#
# Copyright (c) 2019, Texas Instruments Incorporated
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# *  Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
# *  Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# *  Neither the name of Texas Instruments Incorporated nor the names of
#    its contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

include $(PDK_INSTALL_PATH)/ti/build/Rules.make

APP_NAME = board_diag_img

ifeq ($(OS),Windows_NT)
SDSCRIPT=create_sd.bat
else
SDSCRIPT=./create_sd.sh
endif

ifeq ($(BOARD), $(filter $(BOARD), j721e_evm))

ifeq ($(CORE),$(filter $(CORE), mcu1_0 mcu2_0 mcu2_1))
    TARGET=armv7
else
    ifeq ($(CORE),$(filter $(CORE), mpu1_0))
        TARGET=armv8
    endif
endif

ifeq ($(CORE),mpu1_0)
    CPUID=0
else
    ifeq ($(CORE),mcu1_0)
    CPUID=4
    endif
endif

endif

PACKAGE_SRCS_COMMON = ../build/board_diag_img.mk
PACKAGE_SRCS_COMMON += ../create_sd.bat ../create_sd.sh

.PHONY: create_img

create_img:
	$(PDK_BOARD_DIAG_COMP_PATH)/$(SDSCRIPT) $(BOARD) $(TARGET) $(CPUID)

# Include common make files
ifeq ($(MAKERULEDIR), )
#Makerule path not defined, define this and assume relative path from ROOTDIR
  MAKERULEDIR := $(ROOTDIR)/ti/build/makerules
  export MAKERULEDIR
endif
include $(MAKERULEDIR)/common.mk

# Nothing beyond this point
