/******************************************************************************
 * Copyright (c) 2019-2020 Texas Instruments Incorporated - http://www.ti.com
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *****************************************************************************/

/**
 *
 * \file   fpd_dsi_test.h
 *
 * \brief  This is the header file for fpd lib test *
 */
#ifndef _FPD_DSI_TEST_H_
#define _FPD_DSI_TEST_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "fpd_common.h"

#define RESET_CTL_REG_CMP_MASK               (uint8_t)(BOARD_FPD_UB941_DISABLE_DSI_BIT_MASK)
#define DEVICE_CFG_REG_CMP_MASK              (uint8_t)(BOARD_FPD_UB941_DSI1_CLK_PN_SWAP_BIT_MASK | BOARD_FPD_UB941_DSI1_DATA_PN_SWAP_BIT_MASK | BOARD_FPD_UB941_DSI0_CLK_PN_SWAP_BIT_MASK | BOARD_FPD_UB941_DSI0_DATA_PN_SWAP_BIT_MASK)
#define TX_PORT_SEL_REG_CMP_MASK             (uint8_t)(BOARD_FPD_UB941_I2C_ACCESS_PORT_MASK)
#define IND_ACC_CTL_REG_CMP_MASK             (uint8_t)(BOARD_FPD_UB941_IND_ACC_SEL_BIT_MASK | BOARD_FPD_UB941_IND_ACC_READ_BIT_MASK | BOARD_FPD_UB941_IND_ACC_CTL_READ_WRITE_BIT_MASK)
#define GENERAL_CFG_REG_CMP_MASK             (uint8_t)(BOARD_FPD_UB941_RX_CRC_CHECKER_ENABLE_BIT_MASK | BOARD_FPD_UB941_FILTER_ENABLE_BIT_MASK | BOARD_FPD_UB941_PCLK_AUTO_BIT_MASK | BOARD_FPD_UB941_I2C_PASS_THROUGH_BIT_MASK)
#define BRIDGE_CFG_REG_CMP_MASK              (uint8_t)(BOARD_FPD_UB941_DSI_BYTES_PER_PIXEL_BIT_MASK)
#define DUAL_CTL2_REG_CMP_MASK               (uint8_t)(BOARD_FPD_UB941_FREQ_STBL_THR_BIT_MASK)
#define DUAL_CTL1_REG_CMP_MASK               (uint8_t)(BOARD_FPD_UB941_FPD3_TX_MODE_BIT_MASK)
#define BRIDGE_CTL_REG_CMP_MASK              (uint8_t)(BOARD_FPD_UB941_DSI_CONTINUOUS_CLK_BIT_MASK | BOARD_FPD_UB941_BRIDGE_LANE_MODE_BIT_MASK)
#define PGCFG_PGCFG_P1_REG_CMP_MASK          (uint8_t)(BOARD_FPD_UB941_INVERTED_COLOR_PATTERN_BIT_MASK | BOARD_FPD_UB941_AUTO_SCROLL_PATTERN_BIT_MASK)
#define PGCTL_PGCTL_P1_REG_CMP_MASK          (uint8_t)(BOARD_FPD_UB941_COLORS_BAR_PATTERN_SEL_BIT_MASK | BOARD_FPD_UB941_PATTERN_SEL_BIT_MASK | BOARD_FPD_UB941_PATTERN_GENERATOR_BIT_MASK)
#define I2C_CONTROL_REG_CMP_MASK             (uint8_t)(BOARD_FPD_UB941_I2C_PASS_ALL_BIT_MASK)

#define GENERAL_CNFG1_REG_CMP_MASK           (uint8_t)(BOARD_FPD_UB924_FILTER_ENABLE_BIT_MASK | BOARD_FPD_UB924_I2C_PASS_THROUGH_BIT_MASK | BOARD_FPD_UB924_DE_GATE_RGB_BIT_MASK | BOARD_FPD_UB924_AUTO_ACK_BIT_MASK )
#define GENERAL_CNFG0_REG_CMP_MASK           (uint8_t)(BOARD_FPD_UB924_AUTO_CLK_EN_BIT_MASK | BOARD_FPD_UB924_BKWD_MODE_BIT_MASK )
#define DATA_PATH_CONTROL_REG_CMP_MASK       (uint8_t)(BOARD_FPD_UB924_DE_POLARITY_BIT_MASK)
#define FRC_CONTROL_REG_CMP_MASK             (uint8_t)(BOARD_FPD_UB924_HS_POLARITY_BIT_MASK | BOARD_FPD_UB924_VS_POLARITY_BIT_MASK | BOARD_FPD_UB924_DE_SYNC_POLARITY_BIT_MASK | BOARD_FPD_UB924_FRC2_EN_BIT_MASK |  BOARD_FPD_UB924_FRC1_EN_BIT_MASK | BOARD_FPD_UB924_HI_FRC2_EN_BIT_MASK | BOARD_FPD_UB924_HI_FRC1_EN_BIT_MASK)
#define FPD_UB924_PG_CONTROL_REG_MASK        (uint8_t)(BOARD_FPD_UB924_CLR_BAR_PAT_BIT_MASK | BOARD_FPD_UB924_PG_ENABLE_BIT_MASK)
#define FPD_UB924_PG_CNFG_REG_MASK           (uint8_t)(BOARD_FPD_UB924_PG_BIT_MODE_BIT_MASK | BOARD_FPD_UB924_EXT_CLK_BIT_MASK | BOARD_FPD_UB924_AUTO_SCROLL_PATTERN_BIT_MASK | BOARD_FPD_UB924_TIMING_SEL_BIT_MASK)
#define FPD_UB924_GPIO0_CFG_REG_MASK         (uint8_t)(BOARD_FPD_UB924_GPIO0_ENABLE_BIT_MASK | BOARD_FPD_UB924_GPIO0_DIRECTION_BIT_MASK | BOARD_FPD_UB924_GPIO0_REMOTE_BIT_MASK | BOARD_FPD_UB924_GPIO0_OUTPUT_BIT_MASK)
#define FPD_UB924_GPIO1_CFG_REG_MASK         (uint8_t)(BOARD_FPD_UB924_GPIO1_ENABLE_BIT_MASK | BOARD_FPD_UB924_GPIO1_DIRECTION_BIT_MASK | BOARD_FPD_UB924_GPIO1_REMOTE_BIT_MASK | BOARD_FPD_UB924_GPIO2_OUTPUT_BIT_MASK | BOARD_FPD_UB924_GPIO2_ENABLE_BIT_MASK | BOARD_FPD_UB924_GPIO2_DIRECTION_BIT_MASK | BOARD_FPD_UB924_GPIO2_REMOTE_BIT_MASK | BOARD_FPD_UB924_GPIO1_OUTPUT_BIT_MASK)
#define FPD_UB924_GPIO3_CFG_REG_MASK         (uint8_t)(BOARD_FPD_UB924_GPIO3_ENABLE_BIT_MASK | BOARD_FPD_UB924_GPIO3_DIRECTION_BIT_MASK | BOARD_FPD_UB924_GPIO3_REMOTE_BIT_MASK | BOARD_FPD_UB924_GPIO3_OUTPUT_BIT_MASK)
#define FPD_UB924_GPIO5_CFG_REG_MASK         (uint8_t)(BOARD_FPD_UB924_GPIO5_ENABLE_BIT_MASK | BOARD_FPD_UB924_GPIO5_DIRECTION_BIT_MASK | BOARD_FPD_UB924_GPIO5_OUTPUT_BIT_MASK | BOARD_FPD_UB924_GPIO6_ENABLE_BIT_MASK | BOARD_FPD_UB924_GPIO6_DIRECTION_BIT_MASK | BOARD_FPD_UB924_GPIO6_OUTPUT_BIT_MASK)
#define FPD_UB924_GPIO7_CFG_REG_MASK         (uint8_t)(BOARD_FPD_UB924_GPIO7_ENABLE_BIT_MASK | BOARD_FPD_UB924_GPIO7_DIRECTION_BIT_MASK | BOARD_FPD_UB924_GPIO7_OUTPUT_BIT_MASK | BOARD_FPD_UB924_GPIO8_ENABLE_BIT_MASK | BOARD_FPD_UB924_GPIO8_DIRECTION_BIT_MASK | BOARD_FPD_UB924_GPIO8_OUTPUT_BIT_MASK)

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _FPD_DSI_TEST_H_ */
