/**
* Note: This file was auto-generated by TI PinMux on 5/13/2019 at 5:17:56 PM.
*
* \file  J721E_pinmux_data.c
*
* \brief  This file contains the pin mux configurations for the boards.
*         These are prepared based on how the peripherals are extended on
*         the boards.
*
* \copyright Copyright (CU) 2019 Texas Instruments Incorporated -
*             http://www.ti.com/
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

#include "J721E_pinmux.h"

/** Peripheral Pin Configurations */


static pinmuxPerCfg_t gEhrpwm0PinCfg[] =
{
    /* MyEHRPWM0 -> EHRPWM0_A -> V29 */
    {
        PIN_RGMII5_TD2, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyEHRPWM0 -> EHRPWM0_B -> V27 */
    {
        PIN_RGMII5_TD1, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyEHRPWM0 -> EHRPWM0_SYNCI -> U23 */
    {
        PIN_RGMII5_TX_CTL, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyEHRPWM0 -> EHRPWM0_SYNCO -> U26 */
    {
        PIN_RGMII5_RX_CTL, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gEhrpwm1PinCfg[] =
{
    /* MyEHRPWM1 -> EHRPWM1_A -> U28 */
    {
        PIN_RGMII5_TD0, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyEHRPWM1 -> EHRPWM1_B -> U29 */
    {
        PIN_RGMII5_TXC, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gEhrpwm2PinCfg[] =
{
    /* MyEHRPWM2 -> EHRPWM2_A -> U27 */
    {
        PIN_RGMII5_RD3, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyEHRPWM2 -> EHRPWM2_B -> U24 */
    {
        PIN_RGMII5_RD2, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gEhrpwmPinCfg[] =
{
    {0, TRUE, gEhrpwm0PinCfg},
    {1, TRUE, gEhrpwm1PinCfg},
    {2, TRUE, gEhrpwm2PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gEqep0PinCfg[] =
{
    /* MyEQEP0 -> EQEP0_A -> AC2 */
    {
        PIN_UART0_CTSN, PIN_MODE(5) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyEQEP0 -> EQEP0_B -> AB1 */
    {
        PIN_UART0_RTSN, PIN_MODE(5) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyEQEP0 -> EQEP0_I -> AD5 */
    {
        PIN_UART1_RTSN, PIN_MODE(5) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyEQEP0 -> EQEP0_S -> AC4 */
    {
        PIN_UART1_CTSN, PIN_MODE(5) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gEqepPinCfg[] =
{
    {0, FALSE, gEqep0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gGpio0PinCfg[] =
{
    /* MyGPIO1 -> GPIO0_60 -> AB24 */
    {
        PIN_PRG0_PRU0_GPO17, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_61 -> AB29 */
    {
        PIN_PRG0_PRU0_GPO18, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_62 -> AB28 */
    {
        PIN_PRG0_PRU0_GPO19, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_68 -> AB27 */
    {
        PIN_PRG0_PRU1_GPO5, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_96 -> T23 */
    {
        PIN_RGMII5_RD0, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gGpio1PinCfg[] =
{
    /* MyGPIO2 -> GPIO1_23 -> T28 */
    {
        PIN_MMC2_DAT3, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_24 -> T29 */
    {
        PIN_MMC2_DAT2, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gGpioPinCfg[] =
{
    {0, TRUE, gGpio0PinCfg},
    {1, TRUE, gGpio1PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMcan6PinCfg[] =
{
    /* MyMCAN6 -> MCAN6_RX -> AG21 */
    {
        PIN_PRG1_PRU1_GPO5, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCAN6 -> MCAN6_TX -> AH21 */
    {
        PIN_PRG1_PRU0_GPO19, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gMcan7PinCfg[] =
{
    /* MyMCAN7 -> MCAN7_RX -> Y23 */
    {
        PIN_PRG1_PRU1_GPO8, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCAN7 -> MCAN7_TX -> AC21 */
    {
        PIN_PRG1_PRU1_GPO7, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gMcan9PinCfg[] =
{
    /* MyMCAN9 -> MCAN9_RX -> AC27 */
    {
        PIN_PRG0_PRU0_GPO8, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCAN9 -> MCAN9_TX -> AC28 */
    {
        PIN_PRG0_PRU0_GPO7, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gMcan1PinCfg[] =
{
    /* MyMCAN11 -> MCAN11_RX -> AA28 */
    {
        PIN_PRG0_PRU1_GPO8, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCAN11 -> MCAN11_TX -> AA24 */
    {
        PIN_PRG0_PRU1_GPO7, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gMcan5PinCfg[] =
{
    /* MyMCAN5 -> MCAN5_RX -> AE21 */
    {
        PIN_PRG1_PRU0_GPO18, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCAN5 -> MCAN5_TX -> AJ21 */
    {
        PIN_PRG1_PRU0_GPO17, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gMcan4PinCfg[] =
{
    /* MyMCAN4 -> MCAN4_RX -> AJ20 */
    {
        PIN_PRG1_PRU0_GPO8, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCAN4 -> MCAN4_TX -> AE20 */
    {
        PIN_PRG1_PRU0_GPO7, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMcanPinCfg[] =
{
    {6, TRUE, gMcan6PinCfg},
    {7, TRUE, gMcan7PinCfg},
    {9, TRUE, gMcan9PinCfg},
    {1, TRUE, gMcan1PinCfg},
    {5, TRUE, gMcan5PinCfg},
    {4, TRUE, gMcan4PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMcu_adc1PinCfg[] =
{
    /* MyMCU_ADC1 -> MCU_ADC1_AIN0 -> N23 */
    {
        PIN_MCU_ADC1_AIN0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_ADC1 -> MCU_ADC1_AIN1 -> M25 */
    {
        PIN_MCU_ADC1_AIN1, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_ADC1 -> MCU_ADC1_AIN2 -> L24 */
    {
        PIN_MCU_ADC1_AIN2, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_ADC1 -> MCU_ADC1_AIN3 -> L26 */
    {
        PIN_MCU_ADC1_AIN3, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_ADC1 -> MCU_ADC1_AIN4 -> N24 */
    {
        PIN_MCU_ADC1_AIN4, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_ADC1 -> MCU_ADC1_AIN5 -> M24 */
    {
        PIN_MCU_ADC1_AIN5, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_ADC1 -> MCU_ADC1_AIN6 -> L25 */
    {
        PIN_MCU_ADC1_AIN6, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_ADC1 -> MCU_ADC1_AIN7 -> L27 */
    {
        PIN_MCU_ADC1_AIN7, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMcu_adcPinCfg[] =
{
    {1, TRUE, gMcu_adc1PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMdio0PinCfg[] =
{
    /* MyMDIO1 -> MDIO0_MDC -> V24 */
    {
        PIN_MDIO0_MDC, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyMDIO1 -> MDIO0_MDIO -> V26 */
    {
        PIN_MDIO0_MDIO, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMdioPinCfg[] =
{
    {0, TRUE, gMdio0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg0_mdio0PinCfg[] =
{
    /* MyPRU_ICSSG0_MDIO1 -> PRG0_MDIO0_MDC -> AA27 */
    {
        PIN_PRG0_MDIO0_MDC, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_MDIO1 -> PRG0_MDIO0_MDIO -> Y26 */
    {
        PIN_PRG0_MDIO0_MDIO, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg0_mdioPinCfg[] =
{
    {0, TRUE, gPru_icssg0_mdio0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg0_rgmii1PinCfg[] =
{
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_RD0 -> AF28 */
    {
        PIN_PRG0_PRU0_GPO0, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_RD1 -> AE28 */
    {
        PIN_PRG0_PRU0_GPO1, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_RD2 -> AE27 */
    {
        PIN_PRG0_PRU0_GPO2, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_RD3 -> AD26 */
    {
        PIN_PRG0_PRU0_GPO3, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_RXC -> AE26 */
    {
        PIN_PRG0_PRU0_GPO6, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_RX_CTL -> AD25 */
    {
        PIN_PRG0_PRU0_GPO4, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_TD0 -> AJ28 */
    {
        PIN_PRG0_PRU0_GPO11, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_TD1 -> AH27 */
    {
        PIN_PRG0_PRU0_GPO12, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_TD2 -> AH29 */
    {
        PIN_PRG0_PRU0_GPO13, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_TD3 -> AG28 */
    {
        PIN_PRG0_PRU0_GPO14, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_TXC -> AH28 */
    {
        PIN_PRG0_PRU0_GPO16, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII1 -> PRG0_RGMII1_TX_CTL -> AG27 */
    {
        PIN_PRG0_PRU0_GPO15, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gPru_icssg0_rgmii2PinCfg[] =
{
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RD0 -> AE29 */
    {
        PIN_PRG0_PRU1_GPO0, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RD1 -> AD28 */
    {
        PIN_PRG0_PRU1_GPO1, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RD2 -> AD27 */
    {
        PIN_PRG0_PRU1_GPO2, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RD3 -> AC25 */
    {
        PIN_PRG0_PRU1_GPO3, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RXC -> AC26 */
    {
        PIN_PRG0_PRU1_GPO6, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_RX_CTL -> AD29 */
    {
        PIN_PRG0_PRU1_GPO4, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TD0 -> AG26 */
    {
        PIN_PRG0_PRU1_GPO11, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TD1 -> AF27 */
    {
        PIN_PRG0_PRU1_GPO12, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TD2 -> AF26 */
    {
        PIN_PRG0_PRU1_GPO13, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TD3 -> AE25 */
    {
        PIN_PRG0_PRU1_GPO14, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TXC -> AG29 */
    {
        PIN_PRG0_PRU1_GPO16, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_RGMII2 -> PRG0_RGMII2_TX_CTL -> AF29 */
    {
        PIN_PRG0_PRU1_GPO15, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg0_rgmiiPinCfg[] =
{
    {1, TRUE, gPru_icssg0_rgmii1PinCfg},
    {2, TRUE, gPru_icssg0_rgmii2PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg1_iep0PinCfg[] =
{
    /* MyPRU_ICSSG1_IEP1 -> PRG1_IEP0_EDIO_OUTVALID -> Y4 */
    {
        PIN_SPI0_CS1, PIN_MODE(6) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg1_iepPinCfg[] =
{
    {0, TRUE, gPru_icssg1_iep0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg1_mdio0PinCfg[] =
{
    /* MyPRU_ICSSG1_MDIO1 -> PRG1_MDIO0_MDC -> AD18 */
    {
        PIN_PRG1_MDIO0_MDC, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_MDIO1 -> PRG1_MDIO0_MDIO -> AD19 */
    {
        PIN_PRG1_MDIO0_MDIO, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg1_mdioPinCfg[] =
{
    {0, TRUE, gPru_icssg1_mdio0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg1_pru1PinCfg[] =
{
    /* MyPRU_ICSSG1_PRU1 -> PRG1_PRU1_GPO10 -> AB23 */
    {
        PIN_PRG1_PRU1_GPO10, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_PRU1 -> PRG1_PRU1_GPO9 -> AF21 */
    {
        PIN_PRG1_PRU1_GPO9, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gPru_icssg1_pru0PinCfg[] =
{
    /* MyPRU_ICSSG1_PRU2 -> PRG1_PRU0_GPO10 -> AD21 */
    {
        PIN_PRG1_PRU0_GPO10, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg1_pruPinCfg[] =
{
    {1, TRUE, gPru_icssg1_pru1PinCfg},
    {0, TRUE, gPru_icssg1_pru0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg1_pwm3PinCfg[] =
{
    /* MyPRU_ICSSG1_PWM3 -> PRG1_PWM3_B2 -> AD20 */
    {
        PIN_PRG1_PRU0_GPO5, PIN_MODE(3) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg1_pwmPinCfg[] =
{
    {3, TRUE, gPru_icssg1_pwm3PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg1_rgmii1PinCfg[] =
{
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_RD0 -> AC23 */
    {
        PIN_PRG1_PRU0_GPO0, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_RD1 -> AG22 */
    {
        PIN_PRG1_PRU0_GPO1, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_RD2 -> AF22 */
    {
        PIN_PRG1_PRU0_GPO2, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_RD3 -> AJ23 */
    {
        PIN_PRG1_PRU0_GPO3, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_RXC -> AD22 */
    {
        PIN_PRG1_PRU0_GPO6, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_RX_CTL -> AH23 */
    {
        PIN_PRG1_PRU0_GPO4, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_TD0 -> AF24 */
    {
        PIN_PRG1_PRU0_GPO11, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_TD1 -> AJ24 */
    {
        PIN_PRG1_PRU0_GPO12, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_TD2 -> AG24 */
    {
        PIN_PRG1_PRU0_GPO13, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_TD3 -> AD24 */
    {
        PIN_PRG1_PRU0_GPO14, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_TXC -> AE24 */
    {
        PIN_PRG1_PRU0_GPO16, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII1 -> PRG1_RGMII1_TX_CTL -> AC24 */
    {
        PIN_PRG1_PRU0_GPO15, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gPru_icssg1_rgmii2PinCfg[] =
{
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RD0 -> AE22 */
    {
        PIN_PRG1_PRU1_GPO0, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RD1 -> AG23 */
    {
        PIN_PRG1_PRU1_GPO1, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RD2 -> AF23 */
    {
        PIN_PRG1_PRU1_GPO2, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RD3 -> AD23 */
    {
        PIN_PRG1_PRU1_GPO3, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RXC -> AE23 */
    {
        PIN_PRG1_PRU1_GPO6, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_RX_CTL -> AH24 */
    {
        PIN_PRG1_PRU1_GPO4, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TD0 -> AJ25 */
    {
        PIN_PRG1_PRU1_GPO11, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TD1 -> AH25 */
    {
        PIN_PRG1_PRU1_GPO12, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TD2 -> AG25 */
    {
        PIN_PRG1_PRU1_GPO13, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TD3 -> AH26 */
    {
        PIN_PRG1_PRU1_GPO14, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TXC -> AJ26 */
    {
        PIN_PRG1_PRU1_GPO16, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG1_RGMII2 -> PRG1_RGMII2_TX_CTL -> AJ27 */
    {
        PIN_PRG1_PRU1_GPO15, PIN_MODE(2) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg1_rgmiiPinCfg[] =
{
    {1, TRUE, gPru_icssg1_rgmii1PinCfg},
    {2, TRUE, gPru_icssg1_rgmii2PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gSpi3PinCfg[] =
{
    /* MySPI3 -> SPI3_CLK -> Y25 */
    {
        PIN_PRG0_PRU1_GPO17, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MySPI3 -> SPI3_CS1 -> AB26 */
    {
        PIN_PRG0_PRU0_GPO9, PIN_MODE(4) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MySPI3 -> SPI3_CS2 -> AB25 */
    {
        PIN_PRG0_PRU0_GPO10, PIN_MODE(4) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MySPI3 -> SPI3_D0 -> AA26 */
    {
        PIN_PRG0_PRU1_GPO18, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MySPI3 -> SPI3_D1 -> AA29 */
    {
        PIN_PRG0_PRU1_GPO19, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gSpi6PinCfg[] =
{
    /* MySPI6 -> SPI6_CLK -> AC22 */
    {
        PIN_PRG1_PRU1_GPO17, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MySPI6 -> SPI6_CS1 -> AG20 */
    {
        PIN_PRG1_PRU0_GPO9, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MySPI6 -> SPI6_D0 -> AJ22 */
    {
        PIN_PRG1_PRU1_GPO18, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MySPI6 -> SPI6_D1 -> AH22 */
    {
        PIN_PRG1_PRU1_GPO19, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gSpiPinCfg[] =
{
    {3, TRUE, gSpi3PinCfg},
    {6, TRUE, gSpi6PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gUart8PinCfg[] =
{
    /* MyUART1 -> UART8_RXD -> Y24 */
    {
        PIN_PRG0_PRU1_GPO9, PIN_MODE(14) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyUART1 -> UART8_TXD -> AA25 */
    {
        PIN_PRG0_PRU1_GPO10, PIN_MODE(14) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gUart4PinCfg[] =
{
    /* MyUART4 -> UART4_RXD -> W23 */
    {
        PIN_RGMII6_TD3, PIN_MODE(1) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyUART4 -> UART4_TXD -> W28 */
    {
        PIN_RGMII6_TD2, PIN_MODE(1) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gUartPinCfg[] =
{
    {8, TRUE, gUart8PinCfg},
    {4, TRUE, gUart4PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gWkup_gpio0PinCfg[] =
{
    /* MyWKUP_GPIO1 -> WKUP_GPIO0_11 -> H27 */
    {
        PIN_WKUP_GPIO0_11, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gWkup_gpioPinCfg[] =
{
    {0, TRUE, gWkup_gpio0PinCfg},
    {PINMUX_END}
};


pinmuxBoardCfg_t gJ721E_MainPinmuxDataGesiIcssg[] =
{
    {0, gEhrpwmPinCfg},
    {1, gEqepPinCfg},
    {2, gGpioPinCfg},
    {3, gMcanPinCfg},
    {4, gMdioPinCfg},
    {5, gPru_icssg0_mdioPinCfg},
    {6, gPru_icssg0_rgmiiPinCfg},
    {7, gPru_icssg1_iepPinCfg},
    {8, gPru_icssg1_mdioPinCfg},
    {9, gPru_icssg1_pruPinCfg},
    {10, gPru_icssg1_pwmPinCfg},
    {11, gPru_icssg1_rgmiiPinCfg},
    {12, gSpiPinCfg},
    {13, gUartPinCfg},
    {PINMUX_END}
};

pinmuxBoardCfg_t gJ721E_WkupPinmuxDataGesiIcssg[] =
{
    {0, gMcu_adcPinCfg},
    {1, gWkup_gpioPinCfg},
    {PINMUX_END}
};
