/**
 *  @file    reg_crc.h
 *
 *  @brief
 *    This file gives register definitions of MSS_MCRC module.
 *
 *  This file is auto-generated on 3/22/2017.
 *
 */

 /*
 *   (C) Copyright 2016, Texas Instruments Incorporated. - TI web address www.ti.com
 *---------------------------------------------------------------------------------------
 *
 *  Redistribution and use in source and binary forms, with or without modification,
 *  are permitted provided that the following conditions are met:
 *
 *    Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of its
 *    contributors may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  OWNER OR CONTRIBUTORS
 *  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 *  CONTRACT,  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef REG_CRC_H
#define REG_CRC_H

/****************************************************************************************
 * INCLUDE FILES
 ****************************************************************************************/
#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Definition for field CH1_PSA_SWREST in Register CRC_CTRL0 */
#define CRC_CTRL0_CH1_PSA_SWREST_BIT_START                  0U
#define CRC_CTRL0_CH1_PSA_SWREST_BIT_END                    0U

/* Definition for field CH1_DW_SEL in Register CRC_CTRL0 */
#define CRC_CTRL0_CH1_DW_SEL_BIT_START                      1U
#define CRC_CTRL0_CH1_DW_SEL_BIT_END                        2U

/* Definition for field CH1_CRC_SEL in Register CRC_CTRL0 */
#define CRC_CTRL0_CH1_CRC_SEL_BIT_START                     3U
#define CRC_CTRL0_CH1_CRC_SEL_BIT_END                       4U

/* Definition for field CH1_BIT_SWAP in Register CRC_CTRL0 */
#define CRC_CTRL0_CH1_BIT_SWAP_BIT_START                    5U
#define CRC_CTRL0_CH1_BIT_SWAP_BIT_END                      5U

/* Definition for field CH1_BYTE_SWAP in Register CRC_CTRL0 */
#define CRC_CTRL0_CH1_BYTE_SWAP_BIT_START                   6U
#define CRC_CTRL0_CH1_BYTE_SWAP_BIT_END                     6U

/* Definition for field CH1_CRC_SEL2 in Register CRC_CTRL0 */
#define CRC_CTRL0_CH1_CRC_SEL2_BIT_START                    7U
#define CRC_CTRL0_CH1_CRC_SEL2_BIT_END                      7U

/* Definition for field CH2_PSA_SWREST in Register CRC_CTRL0 */
#define CRC_CTRL0_CH2_PSA_SWREST_BIT_START                  8U
#define CRC_CTRL0_CH2_PSA_SWREST_BIT_END                    8U

/* Definition for field CH2_DW_SEL in Register CRC_CTRL0 */
#define CRC_CTRL0_CH2_DW_SEL_BIT_START                      9U
#define CRC_CTRL0_CH2_DW_SEL_BIT_END                        10U

/* Definition for field CH2_CRC_SEL in Register CRC_CTRL0 */
#define CRC_CTRL0_CH2_CRC_SEL_BIT_START                     11U
#define CRC_CTRL0_CH2_CRC_SEL_BIT_END                       12U

/* Definition for field CH2_BIT_SWAP in Register CRC_CTRL0 */
#define CRC_CTRL0_CH2_BIT_SWAP_BIT_START                    13U
#define CRC_CTRL0_CH2_BIT_SWAP_BIT_END                      13U

/* Definition for field CH2_BYTE_SWAP in Register CRC_CTRL0 */
#define CRC_CTRL0_CH2_BYTE_SWAP_BIT_START                   14U
#define CRC_CTRL0_CH2_BYTE_SWAP_BIT_END                     14U

/* Definition for field CH2_CRC_SEL2 in Register CRC_CTRL0 */
#define CRC_CTRL0_CH2_CRC_SEL2_BIT_START                    15U
#define CRC_CTRL0_CH2_CRC_SEL2_BIT_END                      15U

/* Definition for field CH3_PSA_SWREST in Register CRC_CTRL0 */
#define CRC_CTRL0_CH3_PSA_SWREST_BIT_START                  16U
#define CRC_CTRL0_CH3_PSA_SWREST_BIT_END                    16U

/* Definition for field CH3_DW_SEL in Register CRC_CTRL0 */
#define CRC_CTRL0_CH3_DW_SEL_BIT_START                      17U
#define CRC_CTRL0_CH3_DW_SEL_BIT_END                        18U

/* Definition for field CH3_CRC_SEL in Register CRC_CTRL0 */
#define CRC_CTRL0_CH3_CRC_SEL_BIT_START                     19U
#define CRC_CTRL0_CH3_CRC_SEL_BIT_END                       20U

/* Definition for field CH3_BIT_SWAP in Register CRC_CTRL0 */
#define CRC_CTRL0_CH3_BIT_SWAP_BIT_START                    21U
#define CRC_CTRL0_CH3_BIT_SWAP_BIT_END                      21U

/* Definition for field CH3_BYTE_SWAP in Register CRC_CTRL0 */
#define CRC_CTRL0_CH3_BYTE_SWAP_BIT_START                   22U
#define CRC_CTRL0_CH3_BYTE_SWAP_BIT_END                     22U

/* Definition for field CH3_CRC_SEL2 in Register CRC_CTRL0 */
#define CRC_CTRL0_CH3_CRC_SEL2_BIT_START                    23U
#define CRC_CTRL0_CH3_CRC_SEL2_BIT_END                      23U

/* Definition for field CH4_PSA_SWREST in Register CRC_CTRL0 */
#define CRC_CTRL0_CH4_PSA_SWREST_BIT_START                  24U
#define CRC_CTRL0_CH4_PSA_SWREST_BIT_END                    24U

/* Definition for field CH4_DW_SEL in Register CRC_CTRL0 */
#define CRC_CTRL0_CH4_DW_SEL_BIT_START                      25U
#define CRC_CTRL0_CH4_DW_SEL_BIT_END                        26U

/* Definition for field CH4_CRC_SEL in Register CRC_CTRL0 */
#define CRC_CTRL0_CH4_CRC_SEL_BIT_START                     27U
#define CRC_CTRL0_CH4_CRC_SEL_BIT_END                       28U

/* Definition for field CH4_BIT_SWAP in Register CRC_CTRL0 */
#define CRC_CTRL0_CH4_BIT_SWAP_BIT_START                    29U
#define CRC_CTRL0_CH4_BIT_SWAP_BIT_END                      29U

/* Definition for field CH4_BYTE_SWAP in Register CRC_CTRL0 */
#define CRC_CTRL0_CH4_BYTE_SWAP_BIT_START                   30U
#define CRC_CTRL0_CH4_BYTE_SWAP_BIT_END                     30U

/* Definition for field CH4_CRC_SEL2 in Register CRC_CTRL0 */
#define CRC_CTRL0_CH4_CRC_SEL2_BIT_START                    31U
#define CRC_CTRL0_CH4_CRC_SEL2_BIT_END                      31U

/* Definition for field PWDN in Register CRC_CTRL1 */
#define CRC_CTRL1_PWDN_BIT_START                            0U
#define CRC_CTRL1_PWDN_BIT_END                              0U

/* Definition for field CH1_MODE in Register CRC_CTRL2 */
#define CRC_CTRL2_CH1_MODE_BIT_START                        0U
#define CRC_CTRL2_CH1_MODE_BIT_END                          1U

/* Definition for field CH1_TRACEEN in Register CRC_CTRL2 */
#define CRC_CTRL2_CH1_TRACEEN_BIT_START                     4U
#define CRC_CTRL2_CH1_TRACEEN_BIT_END                       4U

/* Definition for field CH2_MODE in Register CRC_CTRL2 */
#define CRC_CTRL2_CH2_MODE_BIT_START                        8U
#define CRC_CTRL2_CH2_MODE_BIT_END                          9U

/* Definition for field CH3_MODE in Register CRC_CTRL2 */
#define CRC_CTRL2_CH3_MODE_BIT_START                        16U
#define CRC_CTRL2_CH3_MODE_BIT_END                          17U

/* Definition for field CH4_MODE in Register CRC_CTRL2 */
#define CRC_CTRL2_CH4_MODE_BIT_START                        24U
#define CRC_CTRL2_CH4_MODE_BIT_END                          25U

/* Definition for field CH1_CRCFAILENS in Register CRC_INTS */
#define CRC_INTS_CH1_CRCFAILENS_BIT_START                   1U
#define CRC_INTS_CH1_CRCFAILENS_BIT_END                     1U

/* Definition for field CH1_OVERENS in Register CRC_INTS */
#define CRC_INTS_CH1_OVERENS_BIT_START                      2U
#define CRC_INTS_CH1_OVERENS_BIT_END                        2U

/* Definition for field CH1_UNDERENS in Register CRC_INTS */
#define CRC_INTS_CH1_UNDERENS_BIT_START                     3U
#define CRC_INTS_CH1_UNDERENS_BIT_END                       3U

/* Definition for field CH1_TIMEOUTENS in Register CRC_INTS */
#define CRC_INTS_CH1_TIMEOUTENS_BIT_START                   4U
#define CRC_INTS_CH1_TIMEOUTENS_BIT_END                     4U

/* Definition for field CH2_CRCFAILENS in Register CRC_INTS */
#define CRC_INTS_CH2_CRCFAILENS_BIT_START                   9U
#define CRC_INTS_CH2_CRCFAILENS_BIT_END                     9U

/* Definition for field CH2_OVERENS in Register CRC_INTS */
#define CRC_INTS_CH2_OVERENS_BIT_START                      10U
#define CRC_INTS_CH2_OVERENS_BIT_END                        10U

/* Definition for field CH2_UNDERENS in Register CRC_INTS */
#define CRC_INTS_CH2_UNDERENS_BIT_START                     11U
#define CRC_INTS_CH2_UNDERENS_BIT_END                       11U

/* Definition for field CH2_TIMEOUTENS in Register CRC_INTS */
#define CRC_INTS_CH2_TIMEOUTENS_BIT_START                   12U
#define CRC_INTS_CH2_TIMEOUTENS_BIT_END                     12U

/* Definition for field CH3_CRCFAILENS in Register CRC_INTS */
#define CRC_INTS_CH3_CRCFAILENS_BIT_START                   17U
#define CRC_INTS_CH3_CRCFAILENS_BIT_END                     17U

/* Definition for field CH3_OVERENS in Register CRC_INTS */
#define CRC_INTS_CH3_OVERENS_BIT_START                      18U
#define CRC_INTS_CH3_OVERENS_BIT_END                        18U

/* Definition for field CH3_UNDERENS in Register CRC_INTS */
#define CRC_INTS_CH3_UNDERENS_BIT_START                     19U
#define CRC_INTS_CH3_UNDERENS_BIT_END                       19U

/* Definition for field CH3_TIMEOUTENS in Register CRC_INTS */
#define CRC_INTS_CH3_TIMEOUTENS_BIT_START                   20U
#define CRC_INTS_CH3_TIMEOUTENS_BIT_END                     20U

/* Definition for field CH4_CRCFAILENS in Register CRC_INTS */
#define CRC_INTS_CH4_CRCFAILENS_BIT_START                   25U
#define CRC_INTS_CH4_CRCFAILENS_BIT_END                     25U

/* Definition for field CH4_OVERENS in Register CRC_INTS */
#define CRC_INTS_CH4_OVERENS_BIT_START                      26U
#define CRC_INTS_CH4_OVERENS_BIT_END                        26U

/* Definition for field CH4_UNDERENS in Register CRC_INTS */
#define CRC_INTS_CH4_UNDERENS_BIT_START                     27U
#define CRC_INTS_CH4_UNDERENS_BIT_END                       27U

/* Definition for field CH4_TIMEOUTENS in Register CRC_INTS */
#define CRC_INTS_CH4_TIMEOUTENS_BIT_START                   28U
#define CRC_INTS_CH4_TIMEOUTENS_BIT_END                     28U

/* Definition for field CH1_CRCFAILENR in Register CRC_INTR */
#define CRC_INTR_CH1_CRCFAILENR_BIT_START                   1U
#define CRC_INTR_CH1_CRCFAILENR_BIT_END                     1U

/* Definition for field CH1_OVERENR in Register CRC_INTR */
#define CRC_INTR_CH1_OVERENR_BIT_START                      2U
#define CRC_INTR_CH1_OVERENR_BIT_END                        2U

/* Definition for field CH1_UNDERENR in Register CRC_INTR */
#define CRC_INTR_CH1_UNDERENR_BIT_START                     3U
#define CRC_INTR_CH1_UNDERENR_BIT_END                       3U

/* Definition for field CH1_TIMEOUTENR in Register CRC_INTR */
#define CRC_INTR_CH1_TIMEOUTENR_BIT_START                   4U
#define CRC_INTR_CH1_TIMEOUTENR_BIT_END                     4U

/* Definition for field CH2_CRCFAILENR in Register CRC_INTR */
#define CRC_INTR_CH2_CRCFAILENR_BIT_START                   9U
#define CRC_INTR_CH2_CRCFAILENR_BIT_END                     9U

/* Definition for field CH2_OVERENR in Register CRC_INTR */
#define CRC_INTR_CH2_OVERENR_BIT_START                      10U
#define CRC_INTR_CH2_OVERENR_BIT_END                        10U

/* Definition for field CH2_UNDERENR in Register CRC_INTR */
#define CRC_INTR_CH2_UNDERENR_BIT_START                     11U
#define CRC_INTR_CH2_UNDERENR_BIT_END                       11U

/* Definition for field CH2_TIMEOUTENR in Register CRC_INTR */
#define CRC_INTR_CH2_TIMEOUTENR_BIT_START                   12U
#define CRC_INTR_CH2_TIMEOUTENR_BIT_END                     12U

/* Definition for field CH3_CRCFAILENR in Register CRC_INTR */
#define CRC_INTR_CH3_CRCFAILENR_BIT_START                   17U
#define CRC_INTR_CH3_CRCFAILENR_BIT_END                     17U

/* Definition for field CH3_OVERENR in Register CRC_INTR */
#define CRC_INTR_CH3_OVERENR_BIT_START                      18U
#define CRC_INTR_CH3_OVERENR_BIT_END                        18U

/* Definition for field CH3_UNDERENR in Register CRC_INTR */
#define CRC_INTR_CH3_UNDERENR_BIT_START                     19U
#define CRC_INTR_CH3_UNDERENR_BIT_END                       19U

/* Definition for field CH3_TIMEOUTENR in Register CRC_INTR */
#define CRC_INTR_CH3_TIMEOUTENR_BIT_START                   20U
#define CRC_INTR_CH3_TIMEOUTENR_BIT_END                     20U

/* Definition for field CH4_CRCFAILENR in Register CRC_INTR */
#define CRC_INTR_CH4_CRCFAILENR_BIT_START                   25U
#define CRC_INTR_CH4_CRCFAILENR_BIT_END                     25U

/* Definition for field CH4_OVERENR in Register CRC_INTR */
#define CRC_INTR_CH4_OVERENR_BIT_START                      26U
#define CRC_INTR_CH4_OVERENR_BIT_END                        26U

/* Definition for field CH4_UNDERENR in Register CRC_INTR */
#define CRC_INTR_CH4_UNDERENR_BIT_START                     27U
#define CRC_INTR_CH4_UNDERENR_BIT_END                       27U

/* Definition for field CH4_TIMEOUTENR in Register CRC_INTR */
#define CRC_INTR_CH4_TIMEOUTENR_BIT_START                   28U
#define CRC_INTR_CH4_TIMEOUTENR_BIT_END                     28U

/* Definition for field CH1_CRCFAIL in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH1_CRCFAIL_BIT_START                1U
#define CRC_STATUS_REG_CH1_CRCFAIL_BIT_END                  1U

/* Definition for field CH1_OVER in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH1_OVER_BIT_START                   2U
#define CRC_STATUS_REG_CH1_OVER_BIT_END                     2U

/* Definition for field CH1_UNDER in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH1_UNDER_BIT_START                  3U
#define CRC_STATUS_REG_CH1_UNDER_BIT_END                    3U

/* Definition for field CH1_TIMEOUT in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH1_TIMEOUT_BIT_START                4U
#define CRC_STATUS_REG_CH1_TIMEOUT_BIT_END                  4U

/* Definition for field CH2_CRCFAIL in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH2_CRCFAIL_BIT_START                9U
#define CRC_STATUS_REG_CH2_CRCFAIL_BIT_END                  9U

/* Definition for field CH2_OVER in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH2_OVER_BIT_START                   10U
#define CRC_STATUS_REG_CH2_OVER_BIT_END                     10U

/* Definition for field CH2_UNDER in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH2_UNDER_BIT_START                  11U
#define CRC_STATUS_REG_CH2_UNDER_BIT_END                    11U

/* Definition for field CH2_TIMEOUT in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH2_TIMEOUT_BIT_START                12U
#define CRC_STATUS_REG_CH2_TIMEOUT_BIT_END                  12U

/* Definition for field CH3_CRCFAIL in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH3_CRCFAIL_BIT_START                17U
#define CRC_STATUS_REG_CH3_CRCFAIL_BIT_END                  17U

/* Definition for field CH3_OVER in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH3_OVER_BIT_START                   18U
#define CRC_STATUS_REG_CH3_OVER_BIT_END                     18U

/* Definition for field CH3_UNDER in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH3_UNDER_BIT_START                  19U
#define CRC_STATUS_REG_CH3_UNDER_BIT_END                    19U

/* Definition for field CH3_TIMEOUT in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH3_TIMEOUT_BIT_START                20U
#define CRC_STATUS_REG_CH3_TIMEOUT_BIT_END                  20U

/* Definition for field CH4_CRCFAIL in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH4_CRCFAIL_BIT_START                25U
#define CRC_STATUS_REG_CH4_CRCFAIL_BIT_END                  25U

/* Definition for field CH4_OVER in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH4_OVER_BIT_START                   26U
#define CRC_STATUS_REG_CH4_OVER_BIT_END                     26U

/* Definition for field CH4_UNDER in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH4_UNDER_BIT_START                  27U
#define CRC_STATUS_REG_CH4_UNDER_BIT_END                    27U

/* Definition for field CH4_TIMEOUT in Register CRC_STATUS_REG */
#define CRC_STATUS_REG_CH4_TIMEOUT_BIT_START                28U
#define CRC_STATUS_REG_CH4_TIMEOUT_BIT_END                  28U

/* Definition for field OFSTREG in Register CRC_INT_OFFSET_REG */
#define CRC_INT_OFFSET_REG_OFSTREG_BIT_START                0U
#define CRC_INT_OFFSET_REG_OFSTREG_BIT_END                  7U

/* Definition for field CH1_BUSY in Register CRC_BUSY */
#define CRC_BUSY_CH1_BUSY_BIT_START                         0U
#define CRC_BUSY_CH1_BUSY_BIT_END                           0U

/* Definition for field Ch2_BUSY in Register CRC_BUSY */
#define CRC_BUSY_CH2_BUSY_BIT_START                         8U
#define CRC_BUSY_CH2_BUSY_BIT_END                           8U

/* Definition for field Ch3_BUSY in Register CRC_BUSY */
#define CRC_BUSY_CH3_BUSY_BIT_START                         16U
#define CRC_BUSY_CH3_BUSY_BIT_END                           16U

/* Definition for field Ch4_BUSY in Register CRC_BUSY */
#define CRC_BUSY_CH4_BUSY_BIT_START                         24U
#define CRC_BUSY_CH4_BUSY_BIT_END                           24U

/* Definition for field CRC_PAT_COUNT1 in Register CRC_PCOUNT_REG1 */
#define CRC_PCOUNT_REG1_CRC_PAT_COUNT1_BIT_START            0U
#define CRC_PCOUNT_REG1_CRC_PAT_COUNT1_BIT_END              19U

/* Definition for field CRC_SEC_COUNT1 in Register CRC_SCOUNT_REG1 */
#define CRC_SCOUNT_REG1_CRC_SEC_COUNT1_BIT_START            0U
#define CRC_SCOUNT_REG1_CRC_SEC_COUNT1_BIT_END              15U

/* Definition for field CRC_CURSEC1 in Register CRC_CURSEC_REG1 */
#define CRC_CURSEC_REG1_CRC_CURSEC1_BIT_START               0U
#define CRC_CURSEC_REG1_CRC_CURSEC1_BIT_END                 15U

/* Definition for field CRC_WDTOPLD1 in Register CRC_WDTOPLD1 */
#define CRC_WDTOPLD1_CRC_WDTOPLD1_BIT_START                 0U
#define CRC_WDTOPLD1_CRC_WDTOPLD1_BIT_END                   23U

/* Definition for field CRC_BCTOPLD1 in Register CRC_BCTOPLD1 */
#define CRC_BCTOPLD1_CRC_BCTOPLD1_BIT_START                 0U
#define CRC_BCTOPLD1_CRC_BCTOPLD1_BIT_END                   23U

/* Definition for field PSASIG1_31_0 in Register PSA_SIGREGL1 */
#define PSA_SIGREGL1_PSASIG1_31_0_BIT_START                 0U
#define PSA_SIGREGL1_PSASIG1_31_0_BIT_END                   31U

/* Definition for field PSA_SIG1_63_32 in Register PSA_SIGREGH1 */
#define PSA_SIGREGH1_PSA_SIG1_63_32_BIT_START               0U
#define PSA_SIGREGH1_PSA_SIG1_63_32_BIT_END                 31U

/* Definition for field CRC1_31_0 in Register CRC_REGL1 */
#define CRC_REGL1_CRC1_31_0_BIT_START                       0U
#define CRC_REGL1_CRC1_31_0_BIT_END                         31U

/* Definition for field CRC1_63_32 in Register CRC_REGH1 */
#define CRC_REGH1_CRC1_63_32_BIT_START                      0U
#define CRC_REGH1_CRC1_63_32_BIT_END                        31U

/* Definition for field PSASECSIG1_31_0 in Register PSA_SECSIGREGL1 */
#define PSA_SECSIGREGL1_PSASECSIG1_31_0_BIT_START           0U
#define PSA_SECSIGREGL1_PSASECSIG1_31_0_BIT_END             31U

/* Definition for field PSASECSIG1_63_32 in Register PSA_SECSIGREGH1 */
#define PSA_SECSIGREGH1_PSASECSIG1_63_32_BIT_START          0U
#define PSA_SECSIGREGH1_PSASECSIG1_63_32_BIT_END            31U

/* Definition for field RAW_DATA1_31_0 in Register RAW_DATAREGL1 */
#define RAW_DATAREGL1_RAW_DATA1_31_0_BIT_START              0U
#define RAW_DATAREGL1_RAW_DATA1_31_0_BIT_END                31U

/* Definition for field RAW_DATA1_63_32 in Register RAW_DATAREGH1 */
#define RAW_DATAREGH1_RAW_DATA1_63_32_BIT_START             0U
#define RAW_DATAREGH1_RAW_DATA1_63_32_BIT_END               31U

/* Definition for field CRC_PAT_COUNT2 in Register CRC_PCOUNT_REG2 */
#define CRC_PCOUNT_REG2_CRC_PAT_COUNT2_BIT_START            0U
#define CRC_PCOUNT_REG2_CRC_PAT_COUNT2_BIT_END              19U

/* Definition for field CRC_SEC_COUNT2 in Register CRC_SCOUNT_REG2 */
#define CRC_SCOUNT_REG2_CRC_SEC_COUNT2_BIT_START            0U
#define CRC_SCOUNT_REG2_CRC_SEC_COUNT2_BIT_END              15U

/* Definition for field CRC_CURSEC2 in Register CRC_CURSEC_REG2 */
#define CRC_CURSEC_REG2_CRC_CURSEC2_BIT_START               0U
#define CRC_CURSEC_REG2_CRC_CURSEC2_BIT_END                 15U

/* Definition for field CRC_WDTOPLD2 in Register CRC_WDTOPLD2 */
#define CRC_WDTOPLD2_CRC_WDTOPLD2_BIT_START                 0U
#define CRC_WDTOPLD2_CRC_WDTOPLD2_BIT_END                   23U

/* Definition for field CRC_BCTOPLD2 in Register CRC_BCTOPLD2 */
#define CRC_BCTOPLD2_CRC_BCTOPLD2_BIT_START                 0U
#define CRC_BCTOPLD2_CRC_BCTOPLD2_BIT_END                   23U

/* Definition for field PSASIG2_31_0 in Register PSA_SIGREGL2 */
#define PSA_SIGREGL2_PSASIG2_31_0_BIT_START                 0U
#define PSA_SIGREGL2_PSASIG2_31_0_BIT_END                   31U

/* Definition for field PSA_SIG2_63_32 in Register PSA_SIGREGH2 */
#define PSA_SIGREGH2_PSA_SIG2_63_32_BIT_START               0U
#define PSA_SIGREGH2_PSA_SIG2_63_32_BIT_END                 31U

/* Definition for field CRC2_31_0 in Register CRC_REGL2 */
#define CRC_REGL2_CRC2_31_0_BIT_START                       0U
#define CRC_REGL2_CRC2_31_0_BIT_END                         31U

/* Definition for field CRC2_63_32 in Register CRC_REGH2 */
#define CRC_REGH2_CRC2_63_32_BIT_START                      0U
#define CRC_REGH2_CRC2_63_32_BIT_END                        31U

/* Definition for field PSASECSIG2_31_0 in Register PSA_SECSIGREGL2 */
#define PSA_SECSIGREGL2_PSASECSIG2_31_0_BIT_START           0U
#define PSA_SECSIGREGL2_PSASECSIG2_31_0_BIT_END             31U

/* Definition for field PSASECSIG2_63_32 in Register PSA_SECSIGREGH2 */
#define PSA_SECSIGREGH2_PSASECSIG2_63_32_BIT_START          0U
#define PSA_SECSIGREGH2_PSASECSIG2_63_32_BIT_END            31U

/* Definition for field RAW_DATA2_31_0 in Register RAW_DATAREGL2 */
#define RAW_DATAREGL2_RAW_DATA2_31_0_BIT_START              0U
#define RAW_DATAREGL2_RAW_DATA2_31_0_BIT_END                31U

/* Definition for field RAW_DATA2_63_32 in Register RAW_DATAREGH2 */
#define RAW_DATAREGH2_RAW_DATA2_63_32_BIT_START             0U
#define RAW_DATAREGH2_RAW_DATA2_63_32_BIT_END               31U

/* Definition for field CRC_PAT_COUNT3 in Register CRC_PCOUNT_REG3 */
#define CRC_PCOUNT_REG3_CRC_PAT_COUNT3_BIT_START            0U
#define CRC_PCOUNT_REG3_CRC_PAT_COUNT3_BIT_END              19U

/* Definition for field CRC_SEC_COUNT3 in Register CRC_SCOUNT_REG3 */
#define CRC_SCOUNT_REG3_CRC_SEC_COUNT3_BIT_START            0U
#define CRC_SCOUNT_REG3_CRC_SEC_COUNT3_BIT_END              15U

/* Definition for field CRC_CURSEC3 in Register CRC_CURSEC_REG3 */
#define CRC_CURSEC_REG3_CRC_CURSEC3_BIT_START               0U
#define CRC_CURSEC_REG3_CRC_CURSEC3_BIT_END                 15U

/* Definition for field CRC_WDTOPLD3 in Register CRC_WDTOPLD3 */
#define CRC_WDTOPLD3_CRC_WDTOPLD3_BIT_START                 0U
#define CRC_WDTOPLD3_CRC_WDTOPLD3_BIT_END                   23U

/* Definition for field CRC_BCTOPLD3 in Register CRC_BCTOPLD3 */
#define CRC_BCTOPLD3_CRC_BCTOPLD3_BIT_START                 0U
#define CRC_BCTOPLD3_CRC_BCTOPLD3_BIT_END                   23U

/* Definition for field PSASIG3_31_0 in Register PSA_SIGREGL3 */
#define PSA_SIGREGL3_PSASIG3_31_0_BIT_START                 0U
#define PSA_SIGREGL3_PSASIG3_31_0_BIT_END                   31U

/* Definition for field PSA_SIG3_63_32 in Register PSA_SIGREGH3 */
#define PSA_SIGREGH3_PSA_SIG3_63_32_BIT_START               0U
#define PSA_SIGREGH3_PSA_SIG3_63_32_BIT_END                 31U

/* Definition for field CRC3_31_0 in Register CRC_REGL3 */
#define CRC_REGL3_CRC3_31_0_BIT_START                       0U
#define CRC_REGL3_CRC3_31_0_BIT_END                         31U

/* Definition for field CRC3_63_32 in Register CRC_REGH3 */
#define CRC_REGH3_CRC3_63_32_BIT_START                      0U
#define CRC_REGH3_CRC3_63_32_BIT_END                        31U

/* Definition for field PSASECSIG3_31_0 in Register PSA_SECSIGREGL3 */
#define PSA_SECSIGREGL3_PSASECSIG3_31_0_BIT_START           0U
#define PSA_SECSIGREGL3_PSASECSIG3_31_0_BIT_END             31U

/* Definition for field PSASECSIG3_63_32 in Register PSA_SECSIGREGH3 */
#define PSA_SECSIGREGH3_PSASECSIG3_63_32_BIT_START          0U
#define PSA_SECSIGREGH3_PSASECSIG3_63_32_BIT_END            31U

/* Definition for field RAW_DATA3_31_0 in Register RAW_DATAREGL3 */
#define RAW_DATAREGL3_RAW_DATA3_31_0_BIT_START              0U
#define RAW_DATAREGL3_RAW_DATA3_31_0_BIT_END                31U

/* Definition for field RAW_DATA3_63_32 in Register RAW_DATAREGH3 */
#define RAW_DATAREGH3_RAW_DATA3_63_32_BIT_START             0U
#define RAW_DATAREGH3_RAW_DATA3_63_32_BIT_END               31U

/* Definition for field CRC_PAT_COUNT4 in Register CRC_PCOUNT_REG4 */
#define CRC_PCOUNT_REG4_CRC_PAT_COUNT4_BIT_START            0U
#define CRC_PCOUNT_REG4_CRC_PAT_COUNT4_BIT_END              19U

/* Definition for field CRC_SEC_COUNT4 in Register CRC_SCOUNT_REG4 */
#define CRC_SCOUNT_REG4_CRC_SEC_COUNT4_BIT_START            0U
#define CRC_SCOUNT_REG4_CRC_SEC_COUNT4_BIT_END              15U

/* Definition for field CRC_CURSEC4 in Register CRC_CURSEC_REG4 */
#define CRC_CURSEC_REG4_CRC_CURSEC4_BIT_START               0U
#define CRC_CURSEC_REG4_CRC_CURSEC4_BIT_END                 15U

/* Definition for field CRC_WDTOPLD4 in Register CRC_WDTOPLD4 */
#define CRC_WDTOPLD4_CRC_WDTOPLD4_BIT_START                 0U
#define CRC_WDTOPLD4_CRC_WDTOPLD4_BIT_END                   23U

/* Definition for field CRC_BCTOPLD4 in Register CRC_BCTOPLD4 */
#define CRC_BCTOPLD4_CRC_BCTOPLD4_BIT_START                 0U
#define CRC_BCTOPLD4_CRC_BCTOPLD4_BIT_END                   23U

/* Definition for field PSASIG4_31_0 in Register PSA_SIGREGL4 */
#define PSA_SIGREGL4_PSASIG4_31_0_BIT_START                 0U
#define PSA_SIGREGL4_PSASIG4_31_0_BIT_END                   31U

/* Definition for field PSA_SIG4_63_32 in Register PSA_SIGREGH4 */
#define PSA_SIGREGH4_PSA_SIG4_63_32_BIT_START               0U
#define PSA_SIGREGH4_PSA_SIG4_63_32_BIT_END                 31U

/* Definition for field CRC4_31_0 in Register CRC_REGL4 */
#define CRC_REGL4_CRC4_31_0_BIT_START                       0U
#define CRC_REGL4_CRC4_31_0_BIT_END                         31U

/* Definition for field CRC4_63_32 in Register CRC_REGH4 */
#define CRC_REGH4_CRC4_63_32_BIT_START                      0U
#define CRC_REGH4_CRC4_63_32_BIT_END                        31U

/* Definition for field PSASECSIG4_31_0 in Register PSA_SECSIGREGL4 */
#define PSA_SECSIGREGL4_PSASECSIG4_31_0_BIT_START           0U
#define PSA_SECSIGREGL4_PSASECSIG4_31_0_BIT_END             31U

/* Definition for field PSASECSIG4_63_32 in Register PSA_SECSIGREGH4 */
#define PSA_SECSIGREGH4_PSASECSIG4_63_32_BIT_START          0U
#define PSA_SECSIGREGH4_PSASECSIG4_63_32_BIT_END            31U

/* Definition for field RAW_DATA4_31_0 in Register RAW_DATAREGL4 */
#define RAW_DATAREGL4_RAW_DATA4_31_0_BIT_START              0U
#define RAW_DATAREGL4_RAW_DATA4_31_0_BIT_END                31U

/* Definition for field RAW_DATA4_63_32 in Register RAW_DATAREGH4 */
#define RAW_DATAREGH4_RAW_DATA4_63_32_BIT_START             0U
#define RAW_DATAREGH4_RAW_DATA4_63_32_BIT_END               31U

/* Definition for field ITCMEn in Register MCRC_BUS_SEL */
#define MCRC_BUS_SEL_ITCMEN_BIT_START                       0U
#define MCRC_BUS_SEL_ITCMEN_BIT_END                         0U

/* Definition for field DTCMEn in Register MCRC_BUS_SEL */
#define MCRC_BUS_SEL_DTCMEN_BIT_START                       1U
#define MCRC_BUS_SEL_DTCMEN_BIT_END                         1U

/* Definition for field MEn in Register MCRC_BUS_SEL */
#define MCRC_BUS_SEL_MEN_BIT_START                          2U
#define MCRC_BUS_SEL_MEN_BIT_END                            2U



/**
 * @struct CRCRegs_t
 * @brief
 *   Module MSS_MCRC Register Definition
 * @details
 *   This structure is used to access the MSS_MCRC module registers.
 */
/**
 * @typedef CRCRegs
 * @brief
 *   Module MSS_MCRC Register Frame type Definition
 * @details
 *   This type is used to access the MSS_MCRC module registers.
 */
typedef volatile struct CRCRegs_t
{
    uint32_t    CRC_CTRL0                          ;        /* Offset = 0x000 */
    uint32_t    RESTRICTED1                        ;        /* Offset = 0x004 */
    uint32_t    CRC_CTRL1                          ;        /* Offset = 0x008 */
    uint32_t    RESTRICTED2                        ;        /* Offset = 0x00C */
    uint32_t    CRC_CTRL2                          ;        /* Offset = 0x010 */
    uint32_t    RESTRICTED3                        ;        /* Offset = 0x014 */
    uint32_t    CRC_INTS                           ;        /* Offset = 0x018 */
    uint32_t    RESTRICTED4                        ;        /* Offset = 0x01C */
    uint32_t    CRC_INTR                           ;        /* Offset = 0x020 */
    uint32_t    RESTRICTED5                        ;        /* Offset = 0x024 */
    uint32_t    CRC_STATUS_REG                     ;        /* Offset = 0x028 */
    uint32_t    RESTRICTED6                        ;        /* Offset = 0x02C */
    uint32_t    CRC_INT_OFFSET_REG                 ;        /* Offset = 0x030 */
    uint32_t    RESTRICTED7                        ;        /* Offset = 0x034 */
    uint32_t    CRC_BUSY                           ;        /* Offset = 0x038 */
    uint32_t    RESTRICTED8                        ;        /* Offset = 0x03C */
    uint32_t    CRC_PCOUNT_REG1                    ;        /* Offset = 0x040 */
    uint32_t    CRC_SCOUNT_REG1                    ;        /* Offset = 0x044 */
    uint32_t    CRC_CURSEC_REG1                    ;        /* Offset = 0x048 */
    uint32_t    CRC_WDTOPLD1                       ;        /* Offset = 0x04C */
    uint32_t    CRC_BCTOPLD1                       ;        /* Offset = 0x050 */
    uint32_t    RESTRICTED9[3]                     ;        /* Offset = 0x054 */
    uint32_t    PSA_SIGREGL1                       ;        /* Offset = 0x060 */
    uint32_t    PSA_SIGREGH1                       ;        /* Offset = 0x064 */
    uint32_t    CRC_REGL1                          ;        /* Offset = 0x068 */
    uint32_t    CRC_REGH1                          ;        /* Offset = 0x06C */
    uint32_t    PSA_SECSIGREGL1                    ;        /* Offset = 0x070 */
    uint32_t    PSA_SECSIGREGH1                    ;        /* Offset = 0x074 */
    uint32_t    RAW_DATAREGL1                      ;        /* Offset = 0x078 */
    uint32_t    RAW_DATAREGH1                      ;        /* Offset = 0x07C */
    uint32_t    CRC_PCOUNT_REG2                    ;        /* Offset = 0x080 */
    uint32_t    CRC_SCOUNT_REG2                    ;        /* Offset = 0x084 */
    uint32_t    CRC_CURSEC_REG2                    ;        /* Offset = 0x088 */
    uint32_t    CRC_WDTOPLD2                       ;        /* Offset = 0x08C */
    uint32_t    CRC_BCTOPLD2                       ;        /* Offset = 0x090 */
    uint32_t    RESTRICTED10[3]                    ;        /* Offset = 0x094 */
    uint32_t    PSA_SIGREGL2                       ;        /* Offset = 0x0A0 */
    uint32_t    PSA_SIGREGH2                       ;        /* Offset = 0x0A4 */
    uint32_t    CRC_REGL2                          ;        /* Offset = 0x0A8 */
    uint32_t    CRC_REGH2                          ;        /* Offset = 0x0AC */
    uint32_t    PSA_SECSIGREGL2                    ;        /* Offset = 0x0B0 */
    uint32_t    PSA_SECSIGREGH2                    ;        /* Offset = 0x0B4 */
    uint32_t    RAW_DATAREGL2                      ;        /* Offset = 0x0B8 */
    uint32_t    RAW_DATAREGH2                      ;        /* Offset = 0x0BC */
    uint32_t    CRC_PCOUNT_REG3                    ;        /* Offset = 0x0C0 */
    uint32_t    CRC_SCOUNT_REG3                    ;        /* Offset = 0x0C4 */
    uint32_t    CRC_CURSEC_REG3                    ;        /* Offset = 0x0C8 */
    uint32_t    CRC_WDTOPLD3                       ;        /* Offset = 0x0CC */
    uint32_t    CRC_BCTOPLD3                       ;        /* Offset = 0x0D0 */
    uint32_t    RESTRICTED11[3]                    ;        /* Offset = 0x0D4 */
    uint32_t    PSA_SIGREGL3                       ;        /* Offset = 0x0E0 */
    uint32_t    PSA_SIGREGH3                       ;        /* Offset = 0x0E4 */
    uint32_t    CRC_REGL3                          ;        /* Offset = 0x0E8 */
    uint32_t    CRC_REGH3                          ;        /* Offset = 0x0EC */
    uint32_t    PSA_SECSIGREGL3                    ;        /* Offset = 0x0F0 */
    uint32_t    PSA_SECSIGREGH3                    ;        /* Offset = 0x0F4 */
    uint32_t    RAW_DATAREGL3                      ;        /* Offset = 0x0F8 */
    uint32_t    RAW_DATAREGH3                      ;        /* Offset = 0x0FC */
    uint32_t    CRC_PCOUNT_REG4                    ;        /* Offset = 0x100 */
    uint32_t    CRC_SCOUNT_REG4                    ;        /* Offset = 0x104 */
    uint32_t    CRC_CURSEC_REG4                    ;        /* Offset = 0x108 */
    uint32_t    CRC_WDTOPLD4                       ;        /* Offset = 0x10C */
    uint32_t    CRC_BCTOPLD4                       ;        /* Offset = 0x110 */
    uint32_t    RESTRICTED12[3]                    ;        /* Offset = 0x114 */
    uint32_t    PSA_SIGREGL4                       ;        /* Offset = 0x120 */
    uint32_t    PSA_SIGREGH4                       ;        /* Offset = 0x124 */
    uint32_t    CRC_REGL4                          ;        /* Offset = 0x128 */
    uint32_t    CRC_REGH4                          ;        /* Offset = 0x12C */
    uint32_t    PSA_SECSIGREGL4                    ;        /* Offset = 0x130 */
    uint32_t    PSA_SECSIGREGH4                    ;        /* Offset = 0x134 */
    uint32_t    RAW_DATAREGL4                      ;        /* Offset = 0x138 */
    uint32_t    RAW_DATAREGH4                      ;        /* Offset = 0x13C */
    uint32_t    MCRC_BUS_SEL                       ;        /* Offset = 0x140 */
    uint32_t    RESERVED1                          ;        /* Offset = 0x144 */
    uint32_t    RESTRICTED13[173]                  ;        /* Offset = 0x148 */
    uint32_t    RESERVED2                          ;        /* Offset = 0x3FC */
} CRCRegs;

#ifdef __cplusplus
}
#endif

#endif /* REG_CRC_H */
/* END OF REG_CRC_H */

