/* parasoft-begin-suppress MISRA2012-RULE-1_1_a_c99-2 "C99 - limits, DRV-4754" parasoft-begin-suppress MISRA2012-RULE-1_1_a_c90-2 "C90 - limits, DRV-4754" */
/* parasoft-begin-suppress item MISRA2012-DIR-4_8 "Consider hiding implementation of structure, DRV-3667" */

/**********************************************************************
* Copyright (C) 2012-2019 Cadence Design Systems, Inc.
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* 1. Redistributions of source code must retain the above copyright
* notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
* notice, this list of conditions and the following disclaimer in the
* documentation and/or other materials provided with the distribution.
* 3. Neither the name of the copyright holder nor the names of its
* contributors may be used to endorse or promote products derived from
* this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
* LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*
* THIS FILE IS AUTOMATICALLY GENERATED, DO NOT EDIT
*
**********************************************************************/

#ifndef REG_MHDP_APB_REGS_H_
#define REG_MHDP_APB_REGS_H_

#include <cps_drv.h>

#include "mhdp_apb_regs_macros.h"

typedef struct __attribute__((packed)) MHDP_ApbRegs_s {
    struct {
        volatile uint32_t APB_CTRL_p;
        volatile uint32_t xt_int_ctrl_p;
        volatile uint32_t MAILBOX_FULL_ADDR_p;
        volatile uint32_t MAILBOX_EMPTY_ADDR_p;
        volatile uint32_t mailbox0_wr_data_p;
        volatile uint32_t mailbox0_rd_data_p;
        volatile uint32_t KEEP_ALIVE_p;
        volatile uint32_t VER_L_p;
        volatile uint32_t VER_H_p;
        volatile uint32_t VER_LIB_L_ADDR_p;
        volatile uint32_t VER_LIB_H_ADDR_p;
        volatile uint32_t SW_DEBUG_L_p;
        volatile uint32_t SW_DEBUG_H_p;
        volatile uint32_t MAILBOX_INT_MASK_p;
        volatile uint32_t MAILBOX_INT_STATUS_p;
        volatile uint32_t SW_CLK_L_p;
        volatile uint32_t SW_CLK_H_p;
        volatile uint32_t SW_EVENTS0_p;
        volatile uint32_t SW_EVENTS1_p;
        volatile uint32_t SW_EVENTS2_p;
        volatile uint32_t SW_EVENTS3_p;
        volatile char pad__0[0xCU];
        volatile uint32_t XT_OCD_CTRL_p;
        volatile uint32_t XT_OCD_CTRL_RO_p;
        volatile char pad__1[0x4U];
        volatile uint32_t APB_INT_MASK_p;
        volatile uint32_t APB_INT_STATUS_p;
        volatile char pad__2[0x2CU];
        volatile uint32_t CDNS_DID_p;
        volatile uint32_t CDNS_RID0_p;
        volatile uint32_t CDNS_RID1_p;
        volatile uint32_t CDNS_CFGS0_p;
        volatile uint32_t CDNS_CFGS1_p;
        volatile char pad__3[0x74CU];
        volatile uint32_t SHIFT_PATTERN_IN_3_0_p;
        volatile uint32_t SHIFT_PATTERN_IN_4_7_p;
        volatile uint32_t SHIFT_PATTERN_IN9_8_p;
        volatile uint32_t PRBS_CNTRL_p;
        volatile uint32_t PRBS_ERR_INSERTION_p;
        volatile uint32_t LANES_CONFIG_p;
        volatile uint32_t PHY_DATA_SEL_p;
        volatile uint32_t LANES_DEL_VAL_p;
        volatile char pad__4[0xE4U];
        volatile uint32_t source_dptx_car_p;
        volatile uint32_t source_phy_car_p;
        volatile char pad__5[0xCU];
        volatile uint32_t source_pkt_car_p;
        volatile uint32_t source_aif_car_p;
        volatile uint32_t source_cipher_car_p;
        volatile uint32_t source_crypto_car_p;
        volatile uint32_t source_spdif_car_p;
        volatile char pad__6[0xD4U];
        struct {
            volatile uint32_t CM_CTRL_p;
            volatile uint32_t CM_I2S_CTRL_p;
            volatile uint32_t CM_SPDIF_CTRL_p;
            volatile uint32_t CM_VID_CTRL_p;
            volatile uint32_t CM_LANE_CTRL_p;
            volatile uint32_t I2S_NM_STABLE_p;
            volatile uint32_t I2S_NCTS_STABLE_p;
            volatile uint32_t SPDIF_NM_STABLE_p;
            volatile uint32_t SPDIF_NCTS_STABLE_p;
            volatile uint32_t NMVID_MEAS_STABLE_p;
            volatile uint32_t CM_VID_MEAS_p;
            volatile uint32_t CM_AUD_MEAS_p;
            volatile uint32_t I2S_MEAS_p;
            volatile uint32_t SPDIF_MEAS_p;
            volatile uint32_t NMVID_MEAS_p;
            volatile char pad__7[0x4U];
        } mhdp_clock_meter[4];
        struct {
            volatile uint32_t BND_HSYNC2VSYNC_p;
            volatile uint32_t HSYNC2VSYNC_F1_L1_p;
            volatile uint32_t HSYNC2VSYNC_F2_L1_p;
            volatile uint32_t HSYNC2VSYNC_STATUS_p;
            volatile uint32_t HSYNC2VSYNC_POL_CTRL_p;
            volatile uint32_t DSC_CTRL_p;
            volatile char pad__8[0x8U];
        } mhdp_vif_ctrl[4];
        volatile char pad__9[0x1480U];
        volatile uint32_t DP_TX_PHY_CONFIG_REG_p;
        volatile uint32_t DP_TX_PHY_SW_RESET_p;
        volatile uint32_t DP_TX_PHY_SCRAMBLER_SEED_p;
        volatile uint32_t DP_TX_PHY_TRAINING_01_04_p;
        volatile uint32_t DP_TX_PHY_TRAINING_05_08_p;
        volatile uint32_t DP_TX_PHY_TRAINING_09_10_p;
        volatile uint32_t DP_TX_PHY_SR_INTERVAL_p;
        volatile uint32_t DP_TX_PHY_FEC_TEST_p;
        volatile char pad__10[0xE0U];
        volatile uint32_t HPD_IRQ_DET_MIN_TIMER_p;
        volatile uint32_t HPD_IRQ_DET_MAX_TIMER_p;
        volatile uint32_t HPD_UNPLGED_DET_MIN_TIMER_p;
        volatile uint32_t HPD_STABLE_TIMER_p;
        volatile uint32_t HPD_FILTER_TIMER_p;
        volatile uint32_t HPD_DBNC_TIMER_p;
        volatile char pad__11[0x4U];
        volatile uint32_t HPD_EVENT_MASK_p;
        volatile uint32_t HPD_EVENT_DET_p;
        volatile char pad__12[0xDCU];
        volatile uint32_t DP_FRAMER_GLOBAL_CONFIG_p;
        volatile uint32_t DP_SW_RESET_p;
        volatile uint32_t DP_FRAMER_TU_p;
        volatile char pad__13[0xCU];
        volatile uint32_t DP_FRAMER_BS_SR_INTRVL_p;
        volatile char pad__14[0x3CU];
        volatile uint32_t DP_MTPH_ECF_SLOTS_31_0_p;
        volatile uint32_t DP_MTPH_ECF_SLOTS_63_32_p;
        volatile uint32_t DP_MTPH_LVP_SYMBOL_p;
        volatile uint32_t DP_MTPH_CONTROL_p;
        volatile char pad__15[0x4U];
        volatile uint32_t DP_MTPH_STATUS_p;
        volatile char pad__16[0x90U];
        volatile uint32_t DPTX_LANE_EN_p;
        volatile uint32_t DPTX_ENHNCD_p;
        volatile uint32_t DPTX_INT_MASK_p;
        volatile uint32_t DPTX_INT_STATUS_p;
        volatile uint32_t DPTX_FEC_CTRL_p;
        volatile uint32_t DPTX_FEC_STATUS_p;
        volatile char pad__17[0xE8U];
        volatile uint32_t HDCP_DP_STATUS_p;
        volatile uint32_t HDCP_DP_CONFIG_p;
        volatile uint32_t HDCP_DP_SW_RST_p;
        volatile uint32_t HDCP_DP_FIFO_STATUS_p;
        volatile char pad__18[0x3F0U];
        volatile uint32_t DP_AUX_HOST_CONTROL_p;
        volatile uint32_t DP_AUX_INTERRUPT_SOURCE_p;
        volatile uint32_t DP_AUX_INTERRUPT_MASK_p;
        volatile uint32_t DP_AUX_SWAP_INVERSION_CONTROL_p;
        volatile uint32_t DP_AUX_SEND_NACK_TRANSACTION_p;
        volatile uint32_t DP_AUX_CLEAR_RX_p;
        volatile uint32_t DP_AUX_CLEAR_TX_p;
        volatile uint32_t DP_AUX_TIMER_STOP_p;
        volatile uint32_t DP_AUX_TIMER_CLEAR_p;
        volatile uint32_t DP_AUX_RESET_SW_p;
        volatile uint32_t DP_AUX_DIVIDE_2M_p;
        volatile uint32_t DP_AUX_TX_PREACHARGE_LENGTH_p;
        volatile uint32_t DP_AUX_FREQUENCY_1M_MAX_p;
        volatile uint32_t DP_AUX_FREQUENCY_1M_MIN_p;
        volatile uint32_t DP_AUX_RX_PRE_MIN_p;
        volatile uint32_t DP_AUX_RX_PRE_MAX_p;
        volatile uint32_t DP_AUX_TIMER_PRESET_p;
        volatile uint32_t DP_AUX_NACK_FORMAT_p;
        volatile uint32_t DP_AUX_TX_DATA_p;
        volatile uint32_t DP_AUX_RX_DATA_p;
        volatile uint32_t DP_AUX_TX_STATUS_p;
        volatile uint32_t DP_AUX_RX_STATUS_p;
        volatile uint32_t DP_AUX_RX_CYCLE_COUNTER_p;
        volatile uint32_t DP_AUX_MAIN_STATES_p;
        volatile uint32_t DP_AUX_MAIN_TIMER_p;
        volatile uint32_t DP_AUX_AFE_OUT_p;
        volatile char pad__19[0x798U];
        struct {
            volatile uint32_t MSA_HORIZONTAL_0_p;
            volatile uint32_t MSA_HORIZONTAL_1_p;
            volatile uint32_t MSA_VERTICAL_0_p;
            volatile uint32_t MSA_VERTICAL_1_p;
            volatile uint32_t MSA_MISC_p;
            volatile uint32_t STREAM_CONFIG_p;
            volatile uint32_t AUDIO_PACK_STATUS_p;
            volatile uint32_t VIF_STATUS_p;
            volatile uint32_t PCK_STUFF_STATUS_0_p;
            volatile uint32_t PCK_STUFF_STATUS_1_p;
            volatile uint32_t INFO_PACK_STATUS_p;
            volatile uint32_t STREAM_CONFIG_2_p;
            volatile uint32_t DP_HORIZONTAL_p;
            volatile uint32_t DP_VERTICAL_0_p;
            volatile uint32_t DP_VERTICAL_1_p;
            volatile uint32_t DP_BLOCK_SDP_p;
            volatile char pad__20[0x4U];
            volatile uint32_t DP_MST_SLOT_ALLOCATE_p;
            volatile uint32_t RATE_GOVERNING_CTRL_p;
            volatile uint32_t DP_FRAMER_PXL_REPR_p;
            volatile uint32_t DP_FRAMER_SP_p;
            volatile uint32_t AUDIO_PACK_CONTROL_p;
            volatile char pad__21[0xCU];
            volatile uint32_t LINE_THRESH_p;
            volatile uint32_t DP_VB_ID_p;
            volatile uint32_t DP_FIELDSEQ_3D_p;
            volatile char pad__22[0x8U];
            volatile uint32_t DP_FRONT_BACK_PORCH_p;
            volatile uint32_t DP_BYTE_COUNT_p;
        } mhdp_dptx_stream[4];
        volatile char pad__23[0xE00U];
        volatile uint32_t CRYPTO_HDCP_REVISION_p;
        volatile uint32_t HDCP_CRYPTO_CONFIG_p;
        volatile uint32_t CRYPTO_INTERRUPT_SOURCE_p;
        volatile uint32_t CRYPTO_INTERRUPT_MASK_p;
        volatile char pad__24[0x8U];
        volatile uint32_t CRYPTO22_CONFIG_p;
        volatile uint32_t CRYPTO22_STATUS_p;
        volatile char pad__25[0x1CU];
        volatile uint32_t SHA_256_DATA_IN_p;
        volatile char pad__26[0x10U];
        volatile uint32_t SHA_256_DATA_OUT_0_p;
        volatile uint32_t SHA_256_DATA_OUT_1_p;
        volatile uint32_t SHA_256_DATA_OUT_2_p;
        volatile uint32_t SHA_256_DATA_OUT_3_p;
        volatile uint32_t SHA_256_DATA_OUT_4_p;
        volatile uint32_t SHA_256_DATA_OUT_5_p;
        volatile uint32_t SHA_256_DATA_OUT_6_p;
        volatile uint32_t SHA_256_DATA_OUT_7_p;
        volatile uint32_t AES_32_KEY_0_p;
        volatile uint32_t AES_32_KEY_1_p;
        volatile uint32_t AES_32_KEY_2_p;
        volatile uint32_t AES_32_KEY_3_p;
        volatile uint32_t AES_32_DATA_IN_p;
        volatile uint32_t AES_32_DATA_OUT_0_p;
        volatile uint32_t AES_32_DATA_OUT_1_p;
        volatile uint32_t AES_32_DATA_OUT_2_p;
        volatile uint32_t AES_32_DATA_OUT_3_p;
        volatile char pad__27[0xCU];
        volatile uint32_t CRYPTO14_CONFIG_p;
        volatile uint32_t CRYPTO14_STATUS_p;
        volatile uint32_t CRYPTO14_PRNM_OUT_p;
        volatile uint32_t CRYPTO14_KM_0_p;
        volatile uint32_t CRYPTO14_KM_1_p;
        volatile uint32_t CRYPTO14_AN_0_p;
        volatile uint32_t CRYPTO14_AN_1_p;
        volatile uint32_t CRYPTO14_YOUR_KSV_0_p;
        volatile uint32_t CRYPTO14_YOUR_KSV_1_p;
        volatile uint32_t CRYPTO14_MI_0_p;
        volatile uint32_t CRYPTO14_MI_1_p;
        volatile uint32_t CRYPTO14_TI_0_p;
        volatile uint32_t CRYPTO14_KI_0_p;
        volatile uint32_t CRYPTO14_KI_1_p;
        volatile uint32_t CRYPTO14_BLOCKS_NUM_p;
        volatile uint32_t CRYPTO14_KEY_MEM_DATA_0_p;
        volatile uint32_t CRYPTO14_KEY_MEM_DATA_1_p;
        volatile uint32_t CRYPTO14_SHA1_MSG_DATA_p;
        volatile uint32_t CRYPTO14_SHA1_V_VALUE_0_p;
        volatile uint32_t CRYPTO14_SHA1_V_VALUE_1_p;
        volatile uint32_t CRYPTO14_SHA1_V_VALUE_2_p;
        volatile uint32_t CRYPTO14_SHA1_V_VALUE_3_p;
        volatile uint32_t CRYPTO14_SHA1_V_VALUE_4_p;
        volatile char pad__28[0xBF04U];
        volatile uint32_t IRAM_REG_p[16384];
        volatile uint32_t DRAM_REG_p[16384];
        struct {
            volatile uint32_t AUDIO_SRC_CNTL_p;
            volatile uint32_t AUDIO_SRC_CNFG_p;
            volatile uint32_t COM_CH_STTS_BITS_p;
            volatile uint32_t STTS_BIT_CH01_p;
            volatile uint32_t STTS_BIT_CH23_p;
            volatile uint32_t STTS_BIT_CH45_p;
            volatile uint32_t STTS_BIT_CH67_p;
            volatile uint32_t STTS_BIT_CH89_p;
            volatile uint32_t STTS_BIT_CH1011_p;
            volatile uint32_t STTS_BIT_CH1213_p;
            volatile uint32_t STTS_BIT_CH1415_p;
            volatile uint32_t STTS_BIT_CH1617_p;
            volatile uint32_t STTS_BIT_CH1819_p;
            volatile uint32_t STTS_BIT_CH2021_p;
            volatile uint32_t STTS_BIT_CH2223_p;
            volatile uint32_t STTS_BIT_CH2425_p;
            volatile uint32_t STTS_BIT_CH2627_p;
            volatile uint32_t STTS_BIT_CH2829_p;
            volatile uint32_t STTS_BIT_CH3031_p;
            volatile uint32_t SPDIF_CTRL_ADDR_p;
            volatile uint32_t SPDIF_CH1_CS_3100_ADDR_p;
            volatile uint32_t SPDIF_CH1_CS_6332_ADDR_p;
            volatile uint32_t SPDIF_CH1_CS_9564_ADDR_p;
            volatile uint32_t SPDIF_CH1_CS_12796_ADDR_p;
            volatile uint32_t SPDIF_CH1_CS_159128_ADDR_p;
            volatile uint32_t SPDIF_CH1_CS_191160_ADDR_p;
            volatile uint32_t SPDIF_CH2_CS_3100_ADDR_p;
            volatile uint32_t SPDIF_CH2_CS_6332_ADDR_p;
            volatile uint32_t SPDIF_CH2_CS_9564_ADDR_p;
            volatile uint32_t SPDIF_CH2_CS_12796_ADDR_p;
            volatile uint32_t SPDIF_CH2_CS_159128_ADDR_p;
            volatile uint32_t SPDIF_CH2_CS_191160_ADDR_p;
            volatile uint32_t SMPL2PKT_CNTL_p;
            volatile uint32_t SMPL2PKT_CNFG_p;
            volatile uint32_t FIFO_CNTL_p;
            volatile uint32_t FIFO_STTS_p;
            volatile uint32_t SUB_PCKT_THRSH_p;
            volatile char pad__29[0x6CU];
        } mhdp_audio_decoder[4];
        volatile char pad__30[0x400U];
        struct {
            volatile uint32_t SOURCE_PIF_WR_ADDR_p;
            volatile uint32_t SOURCE_PIF_WR_REQ_p;
            volatile uint32_t SOURCE_PIF_RD_ADDR_p;
            volatile uint32_t SOURCE_PIF_RD_REQ_p;
            volatile uint32_t SOURCE_PIF_DATA_WR_p;
            volatile uint32_t SOURCE_PIF_DATA_RD_p;
            volatile uint32_t SOURCE_PIF_FIFO1_FLUSH_p;
            volatile uint32_t SOURCE_PIF_FIFO2_FLUSH_p;
            volatile uint32_t SOURCE_PIF_STATUS_p;
            volatile uint32_t SOURCE_PIF_INTERRUPT_SOURCE_p;
            volatile uint32_t SOURCE_PIF_INTERRUPT_MASK_p;
            volatile uint32_t SOURCE_PIF_PKT_ALLOC_REG_p;
            volatile uint32_t SOURCE_PIF_PKT_ALLOC_WR_EN_p;
            volatile uint32_t SOURCE_PIF_SW_RESET_p;
            volatile uint32_t SOURCE_PIF_PPS_HEADER_p;
            volatile uint32_t SOURCE_PIF_PPS_p;
        } mhdp_sdp_control[4];
        volatile char pad__31[0x100U];
        volatile uint32_t AUX_CONFIG_p;
        volatile uint32_t AUX_CTRL_p;
        volatile uint32_t AUX_ATBSEL_p;
        volatile uint32_t AUX_TESTMODE_CTL_p;
        volatile uint32_t AUX_TESTMODE_ST_p;
        volatile char pad__32[0xCU];
        volatile uint32_t PHY_RESET_p;
        volatile uint32_t PMA_PLLCLK_EN_p;
        volatile uint32_t PMA_PLLCLK_EN_ACK_p;
        volatile uint32_t PMA_POWER_STATE_REQ_p;
        volatile uint32_t PMA_POWER_STATE_ACK_p;
        volatile uint32_t PMA_CMN_READY_p;
        volatile uint32_t PMA_TX_VMARGIN_p;
        volatile uint32_t PMA_TX_DEEMPH_p;
        volatile char pad__33[0x20U];
        volatile uint32_t asf_ips_ctrl;
        volatile char pad__34[0x9CU];
        volatile uint32_t asf_int_status;
        volatile uint32_t asf_int_raw_status;
        volatile uint32_t asf_int_mask;
        volatile uint32_t asf_int_test;
        volatile uint32_t asf_fatal_nonfatal_select;
        volatile char pad__35[0xCU];
        volatile uint32_t asf_sram_corr_fault_status;
        volatile uint32_t asf_sram_uncorr_fault_status;
        volatile uint32_t asf_sram_fault_status;
        volatile char pad__36[0x4U];
        volatile uint32_t asf_trans_to_ctrl;
        volatile uint32_t asf_trans_to_fault_mask;
        volatile uint32_t asf_trans_to_fault_status;
        volatile char pad__37[0x4U];
        volatile uint32_t asf_protocol_fault_mask;
        volatile uint32_t asf_protocol_fault_status;
        volatile char pad__38[0xB8U];
        volatile uint32_t COM_MAIN_CONF_p;
        volatile char pad__39[0x11CU];
        volatile uint32_t ENC0_MAIN_CONF_p;
        volatile uint32_t ENC0_PICTURE_SIZE_p;
        volatile uint32_t ENC0_SLICE_SIZE_p;
        volatile uint32_t ENC0_MISC_SIZE_p;
        volatile uint32_t ENC0_HRD_DELAYS_p;
        volatile uint32_t ENC0_RC_SCALE_p;
        volatile uint32_t ENC0_RC_SCALE_INC_DEC_p;
        volatile uint32_t ENC0_RC_OFFSETS_1_p;
        volatile uint32_t ENC0_RC_OFFSETS_2_p;
        volatile uint32_t ENC0_RC_OFFSETS_3_p;
        volatile uint32_t ENC0_FLATNESS_DETECTION_p;
        volatile uint32_t ENC0_RC_MODEL_SIZE_p;
        volatile uint32_t ENC0_RC_CONFIG_p;
        volatile uint32_t ENC0_RC_BUF_THRESH_0_p;
        volatile uint32_t ENC0_RC_BUF_THRESH_1_p;
        volatile uint32_t ENC0_RC_BUF_THRESH_2_p;
        volatile uint32_t ENC0_RC_BUF_THRESH_3_p;
        volatile uint32_t ENC0_RC_MIN_QP_0_p;
        volatile uint32_t ENC0_RC_MIN_QP_1_p;
        volatile uint32_t ENC0_RC_MIN_QP_2_p;
        volatile uint32_t ENC0_RC_MAX_QP_0_p;
        volatile uint32_t ENC0_RC_MAX_QP_1_p;
        volatile uint32_t ENC0_RC_MAX_QP_2_p;
        volatile uint32_t ENC0_RC_RANGE_BPG_OFFSETS_0_p;
        volatile uint32_t ENC0_RC_RANGE_BPG_OFFSETS_1_p;
        volatile uint32_t ENC0_RC_RANGE_BPG_OFFSETS_2_p;
        volatile uint32_t ENC0_DPI_CTRL_OUT_DELAY_p;
        volatile char pad__40[0x34U];
        volatile uint32_t ENC0_GENERAL_STATUS_p;
        volatile uint32_t ENC0_HSLICE_STATUS_p;
        volatile uint32_t ENC0_OUT_STATUS_p;
        volatile uint32_t ENC0_INT_STAT_p;
        volatile uint32_t ENC0_INT_CLR_p;
        volatile uint32_t ENC0_INT_MASK_p;
        volatile uint32_t ENC0_INT_TEST_p;
        volatile char pad__41[0x44U];
        volatile uint32_t ENC1_MAIN_CONF_p;
        volatile uint32_t ENC1_PICTURE_SIZE_p;
        volatile uint32_t ENC1_SLICE_SIZE_p;
        volatile uint32_t ENC1_MISC_SIZE_p;
        volatile uint32_t ENC1_HRD_DELAYS_p;
        volatile uint32_t ENC1_RC_SCALE_p;
        volatile uint32_t ENC1_RC_SCALE_INC_DEC_p;
        volatile uint32_t ENC1_RC_OFFSETS_1_p;
        volatile uint32_t ENC1_RC_OFFSETS_2_p;
        volatile uint32_t ENC1_RC_OFFSETS_3_p;
        volatile uint32_t ENC1_FLATNESS_DETECTION_p;
        volatile uint32_t ENC1_RC_MODEL_SIZE_p;
        volatile uint32_t ENC1_RC_CONFIG_p;
        volatile uint32_t ENC1_RC_BUF_THRESH_0_p;
        volatile uint32_t ENC1_RC_BUF_THRESH_1_p;
        volatile uint32_t ENC1_RC_BUF_THRESH_2_p;
        volatile uint32_t ENC1_RC_BUF_THRESH_3_p;
        volatile uint32_t ENC1_RC_MIN_QP_0_p;
        volatile uint32_t ENC1_RC_MIN_QP_1_p;
        volatile uint32_t ENC1_RC_MIN_QP_2_p;
        volatile uint32_t ENC1_RC_MAX_QP_0_p;
        volatile uint32_t ENC1_RC_MAX_QP_1_p;
        volatile uint32_t ENC1_RC_MAX_QP_2_p;
        volatile uint32_t ENC1_RC_RANGE_BPG_OFFSETS_0_p;
        volatile uint32_t ENC1_RC_RANGE_BPG_OFFSETS_1_p;
        volatile uint32_t ENC1_RC_RANGE_BPG_OFFSETS_2_p;
        volatile uint32_t ENC1_DPI_CTRL_OUT_DELAY_p;
        volatile char pad__42[0x34U];
        volatile uint32_t ENC1_GENERAL_STATUS_p;
        volatile uint32_t ENC1_HSLICE_STATUS_p;
        volatile uint32_t ENC1_OUT_STATUS_p;
        volatile uint32_t ENC1_INT_STAT_p;
        volatile uint32_t ENC1_INT_CLR_p;
        volatile uint32_t ENC1_INT_MASK_p;
        volatile uint32_t ENC1_INT_TEST_p;
        volatile char pad__43[0x24U];
        volatile uint32_t ENC_ASF_INT_STAT_p;
        volatile uint32_t ENC_ASF_INT_MASK_p;
        volatile uint32_t ENC_ASF_INT_CLR_p;
        volatile uint32_t ENC_ASF_INT_TEST_p;
        volatile char pad__44[0x10U];
        volatile uint32_t ENC0_ASF_SRAM_CORR_p;
        volatile uint32_t ENC0_ASF_SRAM_UNCORR_p;
        volatile uint32_t ENC1_ASF_SRAM_CORR_p;
        volatile uint32_t ENC1_ASF_SRAM_UNCORR_p;
        volatile uint32_t ENC0_ASF_CSR_CHK_TEST_p;
        volatile uint32_t ENC1_ASF_CSR_CHK_TEST_p;
        volatile uint32_t ENC0_ASF_SELF_CHK_TEST_p;
        volatile uint32_t ENC1_ASF_SELF_CHK_TEST_p;
        volatile uint32_t ENC0_ASF_OUT_CHK_TEST_p;
        volatile uint32_t ENC1_ASF_OUT_CHK_TEST_p;
    } mhdp_apb_regs;
} MHDP_ApbRegs;

#endif /* REG_MHDP_APB_REGS_H_ */

/* parasoft-end-suppress MISRA2012-RULE-1_1_a_c99-2 "C99 - limits, DRV-4754" */
/* parasoft-end-suppress MISRA2012-RULE-1_1_a_c90-2 "C90 - limits, DRV-4754" */
/* parasoft-end-suppress MISRA2012-DIR-4_8 "Consider hiding implementation of structure, DRV-3667" */

