/******************************************************************************
 *
 * Copyright (C) 2012-2019 Cadence Design Systems, Inc.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holder nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 ******************************************************************************
 *
 * dp_sd0801_spec.h
 *
 ******************************************************************************
 */

#ifndef DP_SD0801_SPEC_H
#define DP_SD0801_SPEC_H

#define AUX_CONFIG_ADDR               0xC280U
#define AUX_CTRL_ADDR                 0xC281U
#define PHY_RESET_ADDR                0xC288U
#define PMA_XCVR_PLLCLK_EN_ADDR       0xC289U
#define PMA_XCVR_PLLCLK_EN_ACK_ADDR   0xC28AU
#define PMA_XCVR_POWER_STATE_REQ_ADDR 0xC28BU
#define PMA_XCVR_POWER_STATE_ACK_ADDR 0xC28CU
#define PMA_CMN_READY_ADDR            0xC28DU
#define PMA_XCVR_TX_VMARGIN_ADDR      0xC28EU
#define PMA_XCVR_TX_DEEMPH_ADDR       0xC28FU

#define PHY_LN_0 0x0000U
#define PHY_LN_1 0x0001U
#define PHY_LN_2 0x0002U
#define PHY_LN_3 0x0003U

#define PHY_POWER_STATE_LN_0 0x0000U
#define PHY_POWER_STATE_LN_1 0x0008U
#define PHY_POWER_STATE_LN_2 0x0010U
#define PHY_POWER_STATE_LN_3 0x0018U

#define PHY_POWER_STATE_A0 0x0001U
#define PHY_POWER_STATE_A1 0x0002U
#define PHY_POWER_STATE_A2 0x0004U
#define PHY_POWER_STATE_A3 0x0008U
#define PHY_POWER_STATE_A4 0x0010U
#define PHY_POWER_STATE_A5 0x0020U

#define TX_DIAG_ACYA_HBDC_MASK 0x0001U

#define CMN_BGCAL_CTRL 0x0060U
#define CMN_BGCAL_INIT_TMR 0x0064U
#define CMN_BGCAL_ITER_TMR 0x0065U
#define CMN_BGCAL_OVRD 0x0061U
#define CMN_BGCAL_START 0x0062U
#define CMN_BGCAL_TUNE 0x0063U
#define CMN_CDIAG_CCAL_PWRI_OVRD 0x0045U
#define CMN_CDIAG_CCAL_PWRI_STAT 0x0046U
#define CMN_CDIAG_CDB_DIAG 0x005cU
#define CMN_CDIAG_CDB_PWRI_OVRD 0x0041U
#define CMN_CDIAG_CDB_PWRI_STAT 0x0042U
#define CMN_CDIAG_DCYA 0x005fU
#define CMN_CDIAG_DIAG_PWRI_OVRD 0x0049U
#define CMN_CDIAG_DIAG_PWRI_STAT 0x004aU
#define CMN_CDIAG_PLLC_PWRI_OVRD 0x0043U
#define CMN_CDIAG_PLLC_PWRI_STAT 0x0044U
#define CMN_CDIAG_PRATECLK_CTRL 0x004bU
#define CMN_CDIAG_PSMCLK_CTRL 0x004eU
#define CMN_CDIAG_PWRI_TMR 0x0040U
#define CMN_CDIAG_REFCLK_DRV0_CTRL 0x0050U
#define CMN_CDIAG_REFCLK_OVRD 0x004cU
#define CMN_CDIAG_REFCLK_TEST 0x004dU
#define CMN_CDIAG_RST_DIAG 0x005dU
#define CMN_CDIAG_SDOSC_CTRL 0x004fU
#define CMN_CDIAG_XCVRC_PWRI_OVRD 0x0047U
#define CMN_CDIAG_XCVRC_PWRI_STAT 0x0048U
#define CMN_CMSMT_CLK_FREQ_MSMT_CTRL 0x0180U
#define CMN_CMSMT_REF_CLK_TMR_VALUE 0x0182U
#define CMN_CMSMT_TEST_CLK_CNT_VALUE 0x0183U
#define CMN_CMSMT_TEST_CLK_SEL 0x0181U
#define CMN_DIAG_ACYA 0x01efU
#define CMN_DIAG_ATB_ADC_CTRL0 0x01eaU
#define CMN_DIAG_ATB_ADC_CTRL1 0x01ebU
#define CMN_DIAG_ATB_CTRL1 0x01e8U
#define CMN_DIAG_ATB_CTRL2 0x01e9U
#define CMN_DIAG_BANDGAP_OVRD 0x01e0U
#define CMN_DIAG_BIAS_OVRD1 0x01e1U
#define CMN_DIAG_BIAS_OVRD2 0x01e2U
#define CMN_DIAG_DCYA 0x01eeU
#define CMN_DIAG_HSRRSM_CTRL 0x01ecU
#define CMN_DIAG_PM_CTRL 0x01e4U
#define CMN_DIAG_RST_DIAG 0x01edU
#define CMN_DIAG_SH_BANDGAP 0x01e5U
#define CMN_DIAG_SH_RESISTOR 0x01e6U
#define CMN_DIAG_SH_SDCLK 0x01e7U
#define CMN_DIAG_VREG_CTRL 0x01e3U
#define CMN_IBCAL_CTRL 0x0070U
#define CMN_IBCAL_INIT_TMR 0x0074U
#define CMN_IBCAL_ITER_TMR 0x0075U
#define CMN_IBCAL_OVRD 0x0071U
#define CMN_IBCAL_START 0x0072U
#define CMN_IBCAL_TUNE 0x0073U
#define CMN_PDIAG_PLL0_CLK_SEL_M0 0x01a1U
#define CMN_PDIAG_PLL0_CLK_SEL_M1 0x01b1U
#define CMN_PDIAG_PLL0_CP_IADJ_M0 0x01a5U
#define CMN_PDIAG_PLL0_CP_IADJ_M1 0x01b5U
#define CMN_PDIAG_PLL0_CP_PADJ_M0 0x01a4U
#define CMN_PDIAG_PLL0_CP_PADJ_M1 0x01b4U
#define CMN_PDIAG_PLL0_CP_TUNE_M0 0x01a7U
#define CMN_PDIAG_PLL0_CP_TUNE_M1 0x01b7U
#define CMN_PDIAG_PLL0_CTRL_M0 0x01a0U
#define CMN_PDIAG_PLL0_CTRL_M1 0x01b0U
#define CMN_PDIAG_PLL0_FILT_PADJ_M0 0x01a6U
#define CMN_PDIAG_PLL0_FILT_PADJ_M1 0x01b6U
#define CMN_PDIAG_PLL0_ITRIM_M0 0x01a3U
#define CMN_PDIAG_PLL0_ITRIM_M1 0x01b3U
#define CMN_PDIAG_PLL0_OVRD_M0 0x01a2U
#define CMN_PDIAG_PLL0_OVRD_M1 0x01b2U
#define CMN_PDIAG_PLL1_CLK_SEL_M0 0x01c1U
#define CMN_PDIAG_PLL1_CLK_SEL_M1 0x01d1U
#define CMN_PDIAG_PLL1_CP_IADJ_M0 0x01c5U
#define CMN_PDIAG_PLL1_CP_IADJ_M1 0x01d5U
#define CMN_PDIAG_PLL1_CP_PADJ_M0 0x01c4U
#define CMN_PDIAG_PLL1_CP_PADJ_M1 0x01d4U
#define CMN_PDIAG_PLL1_CP_TUNE_M0 0x01c7U
#define CMN_PDIAG_PLL1_CP_TUNE_M1 0x01d7U
#define CMN_PDIAG_PLL1_CTRL_M0 0x01c0U
#define CMN_PDIAG_PLL1_CTRL_M1 0x01d0U
#define CMN_PDIAG_PLL1_FILT_PADJ_M0 0x01c6U
#define CMN_PDIAG_PLL1_FILT_PADJ_M1 0x01d6U
#define CMN_PDIAG_PLL1_ITRIM_M0 0x01c3U
#define CMN_PDIAG_PLL1_ITRIM_M1 0x01d3U
#define CMN_PDIAG_PLL1_OVRD_M0 0x01c2U
#define CMN_PDIAG_PLL1_OVRD_M1 0x01d2U
#define CMN_PID_FLV0 0x000aU
#define CMN_PID_FLV1 0x000bU
#define CMN_PID_IOV 0x000cU
#define CMN_PID_LANES 0x000dU
#define CMN_PID_METAL0 0x0010U
#define CMN_PID_METAL1 0x0011U
#define CMN_PID_METAL2 0x0012U
#define CMN_PID_METAL3 0x0013U
#define CMN_PID_METALD 0x0014U
#define CMN_PID_MFG 0x0008U
#define CMN_PID_NODE 0x0009U
#define CMN_PID_NUM 0x0003U
#define CMN_PID_REV 0x0004U
#define CMN_PID_TYPE 0x0000U
#define CMN_PLL0_DSM_DIAG_M0 0x0094U
#define CMN_PLL0_DSM_DIAG_M1 0x00a4U
#define CMN_PLL0_DSM_FBH_OVRD_M0 0x0095U
#define CMN_PLL0_DSM_FBH_OVRD_M1 0x00a5U
#define CMN_PLL0_DSM_FBL_OVRD_M0 0x0096U
#define CMN_PLL0_DSM_FBL_OVRD_M1 0x00a6U
#define CMN_PLL0_FRACDIVH_M0 0x0092U
#define CMN_PLL0_FRACDIVH_M1 0x00a2U
#define CMN_PLL0_FRACDIVL_M0 0x0091U
#define CMN_PLL0_FRACDIVL_M1 0x00a1U
#define CMN_PLL0_HIGH_THR_M0 0x0093U
#define CMN_PLL0_HIGH_THR_M1 0x00a3U
#define CMN_PLL0_INTDIV_M0 0x0090U
#define CMN_PLL0_INTDIV_M1 0x00a0U
#define CMN_PLL0_LOCK_PLLCNT_START 0x009eU
#define CMN_PLL0_LOCK_PLLCNT_THR 0x009fU
#define CMN_PLL0_LOCK_REFCNT_IDLE 0x009dU
#define CMN_PLL0_LOCK_REFCNT_START 0x009cU
#define CMN_PLL0_SS_CTRL1_M0 0x0098U
#define CMN_PLL0_SS_CTRL1_M1 0x00a8U
#define CMN_PLL0_SS_CTRL2_M0 0x0099U
#define CMN_PLL0_SS_CTRL2_M1 0x00a9U
#define CMN_PLL0_SS_CTRL3_M0 0x009aU
#define CMN_PLL0_SS_CTRL3_M1 0x00aaU
#define CMN_PLL0_SS_CTRL4_M0 0x009bU
#define CMN_PLL0_SS_CTRL4_M1 0x00abU
#define CMN_PLL0_VCOCAL_CTRL 0x0080U
#define CMN_PLL0_VCOCAL_INIT_TMR 0x0084U
#define CMN_PLL0_VCOCAL_ITER_TMR 0x0085U
#define CMN_PLL0_VCOCAL_OVRD 0x0083U
#define CMN_PLL0_VCOCAL_PLLCNT_START 0x0088U
#define CMN_PLL0_VCOCAL_REFTIM_START 0x0086U
#define CMN_PLL0_VCOCAL_START 0x0081U
#define CMN_PLL0_VCOCAL_TCTRL 0x0082U
#define CMN_PLL1_DSM_DIAG_M0 0x00d4U
#define CMN_PLL1_DSM_DIAG_M1 0x00e4U
#define CMN_PLL1_DSM_FBH_OVRD_M0 0x00d5U
#define CMN_PLL1_DSM_FBH_OVRD_M1 0x00e5U
#define CMN_PLL1_DSM_FBL_OVRD_M0 0x00d6U
#define CMN_PLL1_DSM_FBL_OVRD_M1 0x00e6U
#define CMN_PLL1_FRACDIVH_M0 0x00d2U
#define CMN_PLL1_FRACDIVH_M1 0x00e2U
#define CMN_PLL1_FRACDIVL_M0 0x00d1U
#define CMN_PLL1_FRACDIVL_M1 0x00e1U
#define CMN_PLL1_HIGH_THR_M0 0x00d3U
#define CMN_PLL1_HIGH_THR_M1 0x00e3U
#define CMN_PLL1_INTDIV_M0 0x00d0U
#define CMN_PLL1_INTDIV_M1 0x00e0U
#define CMN_PLL1_LOCK_PLLCNT_START 0x00deU
#define CMN_PLL1_LOCK_PLLCNT_THR 0x00dfU
#define CMN_PLL1_LOCK_REFCNT_IDLE 0x00ddU
#define CMN_PLL1_LOCK_REFCNT_START 0x00dcU
#define CMN_PLL1_SS_CTRL1_M0 0x00d8U
#define CMN_PLL1_SS_CTRL1_M1 0x00e8U
#define CMN_PLL1_SS_CTRL2_M0 0x00d9U
#define CMN_PLL1_SS_CTRL2_M1 0x00e9U
#define CMN_PLL1_SS_CTRL3_M0 0x00daU
#define CMN_PLL1_SS_CTRL3_M1 0x00eaU
#define CMN_PLL1_SS_CTRL4_M0 0x00dbU
#define CMN_PLL1_SS_CTRL4_M1 0x00ebU
#define CMN_PLL1_VCOCAL_CTRL 0x00c0U
#define CMN_PLL1_VCOCAL_INIT_TMR 0x00c4U
#define CMN_PLL1_VCOCAL_ITER_TMR 0x00c5U
#define CMN_PLL1_VCOCAL_OVRD 0x00c3U
#define CMN_PLL1_VCOCAL_PLLCNT_START 0x00c8U
#define CMN_PLL1_VCOCAL_REFTIM_START 0x00c6U
#define CMN_PLL1_VCOCAL_START 0x00c1U
#define CMN_PLL1_VCOCAL_TCTRL 0x00c2U
#define CMN_PLLSM0_PLLCLKDIS_TMR 0x002dU
#define CMN_PLLSM0_PLLEN_TMR 0x0029U
#define CMN_PLLSM0_PLLLOCK_TMR 0x002cU
#define CMN_PLLSM0_PLLPRE_TMR 0x002aU
#define CMN_PLLSM0_PLLVREF_TMR 0x002bU
#define CMN_PLLSM0_SM_CTRL 0x0028U
#define CMN_PLLSM0_USER_DEF_CTRL 0x002fU
#define CMN_PLLSM1_PLLCLKDIS_TMR 0x0035U
#define CMN_PLLSM1_PLLEN_TMR 0x0031U
#define CMN_PLLSM1_PLLLOCK_TMR 0x0034U
#define CMN_PLLSM1_PLLPRE_TMR 0x0032U
#define CMN_PLLSM1_PLLVREF_TMR 0x0033U
#define CMN_PLLSM1_SM_CTRL 0x0030U
#define CMN_PLLSM1_USER_DEF_CTRL 0x0037U
#define CMN_RXCAL_CTRL 0x0110U
#define CMN_RXCAL_INIT_TMR 0x0114U
#define CMN_RXCAL_ITER_TMR 0x0115U
#define CMN_RXCAL_OVRD 0x0111U
#define CMN_RXCAL_START 0x0112U
#define CMN_RXCAL_TUNE 0x0113U
#define CMN_SD_CAL_CTRL 0x0120U
#define CMN_SD_CAL_INIT_TMR 0x0124U
#define CMN_SD_CAL_ITER_TMR 0x0125U
#define CMN_SD_CAL_OVRD 0x0123U
#define CMN_SD_CAL_PLLCNT_START 0x0128U
#define CMN_SD_CAL_REFTIM_START 0x0126U
#define CMN_SD_CAL_START 0x0121U
#define CMN_SD_CAL_TCTRL 0x0122U
#define CMN_SSM_BANDGAP_TMR 0x0021U
#define CMN_SSM_BIAS_TMR 0x0022U
#define CMN_SSM_SM_CTRL 0x0020U
#define CMN_SSM_USER_DEF_CTRL 0x0027U
#define CMN_TXPDCAL_CTRL 0x0108U
#define CMN_TXPDCAL_INIT_TMR 0x010cU
#define CMN_TXPDCAL_ITER_TMR 0x010dU
#define CMN_TXPDCAL_OVRD 0x0109U
#define CMN_TXPDCAL_START 0x010aU
#define CMN_TXPDCAL_TUNE 0x010bU
#define CMN_TXPUCAL_CTRL 0x0100U
#define CMN_TXPUCAL_INIT_TMR 0x0104U
#define CMN_TXPUCAL_ITER_TMR 0x0105U
#define CMN_TXPUCAL_OVRD 0x0101U
#define CMN_TXPUCAL_START 0x0102U
#define CMN_TXPUCAL_TUNE 0x0103U
#define DRV_DIAG_LANE_FCM_EN_MGN_TMR 0x40c2U
#define DRV_DIAG_LANE_FCM_EN_SWAIT_TMR 0x40c1U
#define DRV_DIAG_LANE_FCM_EN_TO 0x40c0U
#define DRV_DIAG_LANE_FCM_EN_TUNE 0x40c3U
#define DRV_DIAG_LFPS_CTRL 0x40c4U
#define DRV_DIAG_RDVDET_TUNE 0x40c5U
#define DRV_DIAG_TX_DRV 0x40c6U
#define PHY_AUTO_CFG_SPDUP 0xc00fU
#define PHY_ETH_ISO_MAC_CLK_CFG 0xd010U
#define PHY_ETH_ISO_MAC_CLK_DIV 0xd011U
#define PHY_INTERRUPT_STS 0xd012U
#define PHY_ISO_CMN_CTRL 0xc008U
#define PHY_ISO_LINK_CFG 0xd00aU
#define PHY_PCS_ISO_LINK_CTRL 0xd00bU
#define PHY_PCS_ISO_RX_CTRL 0xd008U
#define PHY_PCS_ISO_RX_DATA_HI 0xd00fU
#define PHY_PCS_ISO_RX_DATA_LO 0xd00eU
#define PHY_PCS_ISO_TX_DATA_HI 0xd007U
#define PHY_PCS_ISO_TX_DATA_LO 0xd006U
#define PHY_PCS_ISO_TX_DMPH_LO 0xd003U
#define PHY_PIPE_CMN_CTRL1 0xc000U
#define PHY_PIPE_CMN_CTRL2 0xc001U
#define PHY_PIPE_COM_LOCK_CFG1 0xc002U
#define PHY_PIPE_COM_LOCK_CFG2 0xc003U
#define PHY_PIPE_EIE_LOCK_CFG 0xc004U
#define PHY_PIPE_ISO_RX_EQ_EVAL 0xd009U
#define PHY_PIPE_ISO_TX_CTRL 0xd000U
#define PHY_PIPE_ISO_TX_DMPH_HI 0xd004U
#define PHY_PIPE_ISO_TX_FSLF 0xd005U
#define PHY_PIPE_ISO_TX_LPC_HI 0xd002U
#define PHY_PIPE_ISO_TX_LPC_LO 0xd001U
#define PHY_PIPE_ISO_USB_BER_CNT 0xd00cU
#define PHY_PIPE_LANE_DSBL 0xc005U
#define PHY_PIPE_RCV_DET_INH 0xc006U
#define PHY_PIPE_RX_ELEC_IDLE_DLY 0xc007U
#define PHY_PLL_CFG 0xc00eU
#define PHY_PMA_CMN_CTRL1 0xe000U
#define PHY_PMA_CMN_CTRL2 0xe001U
#define PHY_PMA_ISOLATION_CTRL 0xe00fU
#define PHY_PMA_ISO_CMN_CTRL 0xe004U
#define PHY_PMA_ISO_DATA_HI 0xf00fU
#define PHY_PMA_ISO_DATA_LO 0xf00eU
#define PHY_PMA_ISO_LINK_MODE 0xf00aU
#define PHY_PMA_ISO_PLL_CTRL0 0xe005U
#define PHY_PMA_ISO_PLL_CTRL1 0xe006U
#define PHY_PMA_ISO_PWRST_CTRL 0xf00bU
#define PHY_PMA_ISO_RX_EQ_CTRL 0xf00dU
#define PHY_PMA_ISO_TX_DMPH_HI 0xf007U
#define PHY_PMA_ISO_TX_DMPH_LO 0xf006U
#define PHY_PMA_ISO_TX_FSLF 0xf008U
#define PHY_PMA_ISO_TX_LPC_HI 0xf005U
#define PHY_PMA_ISO_TX_LPC_LO 0xf004U
#define PHY_PMA_ISO_TX_MGN 0xf009U
#define PHY_PMA_ISO_XCVR_CTRL 0xf003U
#define PHY_PMA_PI_POS 0xf002U
#define PHY_PMA_PLL0_SM_STATE 0xe00bU
#define PHY_PMA_PLL1_SM_STATE 0xe00cU
#define PHY_PMA_PLL_RAW_CTRL 0xe003U
#define PHY_PMA_PSM_STATE_HI 0xf011U
#define PHY_PMA_PSM_STATE_LO 0xf010U
#define PHY_PMA_SSM_STATE 0xe002U
#define PHY_PMA_XCVR_CTRL 0xf000U
#define PHY_PMA_XCVR_LPBK 0xf001U
#define PHY_REFCLK_DET_INTERVAL 0xc012U
#define PHY_REFCLK_DET_ISO_CTRL 0xc014U
#define PHY_REFCLK_DET_OP_DELAY 0xc013U
#define PHY_REFCLK_DET_THRES_HIGH 0xc011U
#define PHY_REFCLK_DET_THRES_LOW 0xc010U
#define PHY_STATE_CHG_TIMEOUT 0xc00aU
#define RX_BIST_CTRL 0x80b0U
#define RX_BIST_ERRCNT 0x80b3U
#define RX_BIST_SYNCCNT 0x80b1U
#define RX_BIST_UDDWR 0x80b2U
#define RX_CDRLF_CNFG 0x8080U
#define RX_CDRLF_CNFG2 0x8081U
#define RX_CDRLF_CNFG3 0x8082U
#define RX_CDRLF_FPL_TMR0 0x8084U
#define RX_CDRLF_FPL_TMR1 0x8085U
#define RX_CDRLF_MGN_DIAG 0x8083U
#define RX_DIAG_ACYA 0x81ffU
#define RX_DIAG_DCYA 0x81feU
#define RX_DIAG_DFE_AMP_TUNE 0x81e1U
#define RX_DIAG_DFE_AMP_TUNE_2 0x81e2U
#define RX_DIAG_DFE_AMP_TUNE_3 0x81e3U
#define RX_DIAG_DFE_CTRL 0x81e0U
#define RX_DIAG_LFEQ_TUNE 0x81e6U
#define RX_DIAG_LPBK_CTRL 0x81f8U
#define RX_DIAG_NQST_CTRL 0x81e5U
#define RX_DIAG_PI_CAP 0x81f5U
#define RX_DIAG_PI_RATE 0x81f4U
#define RX_DIAG_PI_TUNE 0x81f6U
#define RX_DIAG_REE_DAC_CTRL 0x81e4U
#define RX_DIAG_RST_DIAG 0x81f9U
#define RX_DIAG_SAMP_CTRL 0x81ecU
#define RX_DIAG_SD_TEST 0x81eaU
#define RX_DIAG_SH_SIGDET 0x81e9U
#define RX_DIAG_SH_SLC_EPM 0x81f2U
#define RX_DIAG_SH_SLC_EPP 0x81f1U
#define RX_DIAG_SH_SLC_IPM 0x81eeU
#define RX_DIAG_SH_SLC_IPP 0x81edU
#define RX_DIAG_SH_SLC_QPM 0x81f0U
#define RX_DIAG_SH_SLC_QPP 0x81efU
#define RX_DIAG_SIGDET_TUNE 0x81e8U
#define RX_EYESURF_CTRL 0x80a0U
#define RX_EYESURF_ERRCNT 0x80aaU
#define RX_EYESURF_EW_COORD 0x80a9U
#define RX_EYESURF_NS_COORD 0x80a8U
#define RX_EYESURF_TMR_DELHIGH 0x80a5U
#define RX_EYESURF_TMR_DELLOW 0x80a4U
#define RX_EYESURF_TMR_TESTHIGH 0x80a7U
#define RX_EYESURF_TMR_TESTLOW 0x80a6U
#define RX_LFPSDET_DIAG_CTRL 0x809cU
#define RX_LFPSDET_MD_CNT 0x8098U
#define RX_LFPSDET_MP_CNT 0x809bU
#define RX_LFPSDET_NS_CNT 0x8099U
#define RX_LFPSDET_RD_CNT 0x809aU
#define RX_PSC_A0 0x8000U
#define RX_PSC_A1 0x8001U
#define RX_PSC_A2 0x8002U
#define RX_PSC_A3 0x8003U
#define RX_PSC_A4 0x8004U
#define RX_PSC_A5 0x8005U
#define RX_PSC_CAL 0x8006U
#define RX_PSC_RDY 0x8007U
#define RX_REE_ADDR_CFG 0x8170U
#define RX_REE_ANAENSM_DEL_TMR 0x8128U
#define RX_REE_ATTEN_CNT 0x814aU
#define RX_REE_ATTEN_CTRL 0x8148U
#define RX_REE_ATTEN_DIAG 0x814cU
#define RX_REE_ATTEN_OVRD 0x814bU
#define RX_REE_ATTEN_THR 0x8149U
#define RX_REE_CTRL_DATA_MASK 0x8173U
#define RX_REE_DIAG_CTRL 0x8175U
#define RX_REE_FIFO_DIAG 0x8174U
#define RX_REE_GCSM1_CTRL 0x8108U
#define RX_REE_GCSM1_EQENM_PH1 0x8109U
#define RX_REE_GCSM1_EQENM_PH2 0x810aU
#define RX_REE_GCSM1_RUN_PH1_TMR 0x810cU
#define RX_REE_GCSM1_RUN_PH2_TMR 0x810dU
#define RX_REE_GCSM1_START_TMR 0x810bU
#define RX_REE_GCSM2_CTRL 0x8110U
#define RX_REE_GCSM2_EQENM_PH1 0x8111U
#define RX_REE_GCSM2_EQENM_PH2 0x8112U
#define RX_REE_GCSM2_RUN_PH1_TMR 0x8114U
#define RX_REE_GCSM2_RUN_PH2_TMR 0x8115U
#define RX_REE_GCSM2_START_TMR 0x8113U
#define RX_REE_LFEQ_CTRL 0x815cU
#define RX_REE_LFEQ_DIAG 0x815eU
#define RX_REE_LFEQ_OVRD 0x815dU
#define RX_REE_OFF_COR_CTRL 0x8164U
#define RX_REE_OFF_COR_DIAG 0x8166U
#define RX_REE_OFF_COR_OVRD 0x8165U
#define RX_REE_PEAK_CODE_CTRL 0x8141U
#define RX_REE_PEAK_COVRD0 0x8145U
#define RX_REE_PEAK_COVRD1 0x8146U
#define RX_REE_PEAK_CTRL 0x8140U
#define RX_REE_PEAK_DIAG 0x8147U
#define RX_REE_PEAK_IOVRD 0x8144U
#define RX_REE_PEAK_LTHR 0x8143U
#define RX_REE_PEAK_UTHR 0x8142U
#define RX_REE_PERGCSM_CTRL 0x8118U
#define RX_REE_PERGCSM_EQENM_PH1 0x8119U
#define RX_REE_PERGCSM_EQENM_PH2 0x811aU
#define RX_REE_PERGCSM_RUN_PH1_TMR 0x811cU
#define RX_REE_PERGCSM_RUN_PH2_TMR 0x811dU
#define RX_REE_PERGCSM_START_TMR 0x811bU
#define RX_REE_PTXEQSM_CTRL 0x8100U
#define RX_REE_PTXEQSM_EQENM_EVAL 0x8101U
#define RX_REE_PTXEQSM_EQENM_PEVAL 0x8102U
#define RX_REE_PTXEQSM_MAX_EVAL_CNT 0x8105U
#define RX_REE_PTXEQSM_PEVAL_TMR 0x8103U
#define RX_REE_PTXEQSM_TIMEOUT_TMR 0x8104U
#define RX_REE_SC_COR_TCNT 0x8169U
#define RX_REE_SC_COR_WCNT 0x8168U
#define RX_REE_SMGM_CTRL1 0x8177U
#define RX_REE_SMGM_CTRL2 0x8178U
#define RX_REE_TAP1_CLIP 0x8171U
#define RX_REE_TAP1_CTRL 0x8150U
#define RX_REE_TAP1_DIAG 0x8152U
#define RX_REE_TAP1_OVRD 0x8151U
#define RX_REE_TAP2TON_CLIP 0x8172U
#define RX_REE_TAP2_CTRL 0x8154U
#define RX_REE_TAP2_DIAG 0x8156U
#define RX_REE_TAP2_OVRD 0x8155U
#define RX_REE_TAP3_CTRL 0x8158U
#define RX_REE_TAP3_DIAG 0x815aU
#define RX_REE_TAP3_OVRD 0x8159U
#define RX_REE_TXEQEVAL_CTRL 0x8176U
#define RX_REE_TXEQEVAL_POST 0x817aU
#define RX_REE_TXEQEVAL_PRE 0x8179U
#define RX_REE_TXPOST_CODE_CTRL 0x8131U
#define RX_REE_TXPOST_COVRD0 0x8135U
#define RX_REE_TXPOST_COVRD1 0x8136U
#define RX_REE_TXPOST_CTRL 0x8130U
#define RX_REE_TXPOST_DIAG 0x8137U
#define RX_REE_TXPOST_IOVRD 0x8134U
#define RX_REE_TXPOST_LTHR 0x8133U
#define RX_REE_TXPOST_UTHR 0x8132U
#define RX_REE_TXPRE_CTRL 0x8138U
#define RX_REE_TXPRE_DIAG 0x813aU
#define RX_REE_TXPRE_OVRD 0x8139U
#define RX_REE_U3GCSM_CTRL 0x8120U
#define RX_REE_U3GCSM_EQENM_PH1 0x8121U
#define RX_REE_U3GCSM_EQENM_PH2 0x8122U
#define RX_REE_U3GCSM_RUN_PH1_TMR 0x8124U
#define RX_REE_U3GCSM_RUN_PH2_TMR 0x8125U
#define RX_REE_U3GCSM_START_TMR 0x8123U
#define RX_REE_VGA_GAIN_CTRL 0x8160U
#define RX_REE_VGA_GAIN_DIAG 0x8162U
#define RX_REE_VGA_GAIN_OVRD 0x8161U
#define RX_REE_VGA_GAIN_TGT_DIAG 0x8163U
#define RX_SAMP_DAC_CTRL 0x8058U
#define RX_SDCAL0_CTRL 0x8040U
#define RX_SDCAL0_INIT_TMR 0x8044U
#define RX_SDCAL0_ITER_TMR 0x8045U
#define RX_SDCAL0_OVRD 0x8041U
#define RX_SDCAL0_START 0x8042U
#define RX_SDCAL0_TUNE 0x8043U
#define RX_SDCAL1_CTRL 0x8048U
#define RX_SDCAL1_INIT_TMR 0x804cU
#define RX_SDCAL1_ITER_TMR 0x804dU
#define RX_SDCAL1_OVRD 0x8049U
#define RX_SDCAL1_START 0x804aU
#define RX_SDCAL1_TUNE 0x804bU
#define RX_SIGDET_HL_DLY_TMR 0x8091U
#define RX_SIGDET_HL_FILT_TMR 0x8090U
#define RX_SIGDET_HL_INIT_TMR 0x8093U
#define RX_SIGDET_HL_MIN_TMR 0x8092U
#define RX_SIGDET_LH_DLY_TMR 0x8095U
#define RX_SIGDET_LH_FILT_TMR 0x8094U
#define RX_SIGDET_LH_INIT_TMR 0x8097U
#define RX_SIGDET_LH_MIN_TMR 0x8096U
#define RX_SLC_CTRL 0x8060U
#define RX_SLC_DIAG_CTRL 0x806fU
#define RX_SLC_DIS 0x8070U
#define RX_SLC_EPM_OVRD 0x806cU
#define RX_SLC_EPM_STAT 0x806bU
#define RX_SLC_EPP_OVRD 0x806aU
#define RX_SLC_EPP_STAT 0x8069U
#define RX_SLC_INIT_TMR 0x806dU
#define RX_SLC_IPM_OVRD 0x8064U
#define RX_SLC_IPM_STAT 0x8063U
#define RX_SLC_IPP_OVRD 0x8062U
#define RX_SLC_IPP_STAT 0x8061U
#define RX_SLC_QPM_OVRD 0x8068U
#define RX_SLC_QPM_STAT 0x8067U
#define RX_SLC_QPP_OVRD 0x8066U
#define RX_SLC_QPP_STAT 0x8065U
#define RX_SLC_RUN_TMR 0x806eU
#define TX_BIST_CTRL 0x4140U
#define TX_BIST_SEED0 0x4142U
#define TX_BIST_SEED1 0x4143U
#define TX_BIST_UDDWR 0x4141U
#define TX_DIAG_ACYA 0x41e7U
#define TX_DIAG_DCYA 0x41e6U
#define TX_DIAG_ELEC_IDLE 0x41e2U
#define TX_DIAG_RST_DIAG 0x41e5U
#define TX_DIAG_SFIFO_CTRL 0x41e0U
#define TX_DIAG_SFIFO_TMR 0x41e1U
#define TX_PSC_A0 0x4100U
#define TX_PSC_A1 0x4101U
#define TX_PSC_A2 0x4102U
#define TX_PSC_A3 0x4103U
#define TX_PSC_A4 0x4104U
#define TX_PSC_A5 0x4105U
#define TX_PSC_CAL 0x4106U
#define TX_PSC_RDY 0x4107U
#define TX_RCVDET_CTRL 0x4120U
#define TX_RCVDET_EN_TMR 0x4122U
#define TX_RCVDET_OVRD 0x4121U
#define TX_RCVDET_ST_TMR 0x4123U
#define TX_TXCC_CPOST_MULT_00 0x404cU
#define TX_TXCC_CPOST_MULT_01 0x404dU
#define TX_TXCC_CPOST_MULT_10 0x404eU
#define TX_TXCC_CPOST_MULT_11 0x404fU
#define TX_TXCC_CPRE_MULT_00 0x4048U
#define TX_TXCC_CPRE_MULT_01 0x4049U
#define TX_TXCC_CPRE_MULT_10 0x404aU
#define TX_TXCC_CPRE_MULT_11 0x404bU
#define TX_TXCC_CTRL 0x4040U
#define TX_TXCC_LF_MULT 0x4047U
#define TX_TXCC_MAIN_CVAL 0x4045U
#define TX_TXCC_MAIN_OVRD 0x4042U
#define TX_TXCC_MGNFS_MULT_000 0x4050U
#define TX_TXCC_MGNFS_MULT_001 0x4051U
#define TX_TXCC_MGNFS_MULT_010 0x4052U
#define TX_TXCC_MGNFS_MULT_011 0x4053U
#define TX_TXCC_MGNFS_MULT_100 0x4054U
#define TX_TXCC_MGNFS_MULT_101 0x4055U
#define TX_TXCC_MGNFS_MULT_110 0x4056U
#define TX_TXCC_MGNFS_MULT_111 0x4057U
#define TX_TXCC_MGNLS_MULT_000 0x4058U
#define TX_TXCC_MGNLS_MULT_001 0x4059U
#define TX_TXCC_MGNLS_MULT_010 0x405aU
#define TX_TXCC_MGNLS_MULT_011 0x405bU
#define TX_TXCC_MGNLS_MULT_100 0x405cU
#define TX_TXCC_MGNLS_MULT_101 0x405dU
#define TX_TXCC_MGNLS_MULT_110 0x405eU
#define TX_TXCC_MGNLS_MULT_111 0x405fU
#define TX_TXCC_P0POST_COEF_MULT 0x4070U
#define TX_TXCC_P0PRE_COEF_MULT 0x4060U
#define TX_TXCC_P1POST_COEF_MULT 0x4071U
#define TX_TXCC_P1PRE_COEF_MULT 0x4061U
#define TX_TXCC_P2POST_COEF_MULT 0x4072U
#define TX_TXCC_P2PRE_COEF_MULT 0x4062U
#define TX_TXCC_P3POST_COEF_MULT 0x4073U
#define TX_TXCC_P3PRE_COEF_MULT 0x4063U
#define TX_TXCC_P4POST_COEF_MULT 0x4074U
#define TX_TXCC_P4PRE_COEF_MULT 0x4064U
#define TX_TXCC_P5POST_COEF_MULT 0x4075U
#define TX_TXCC_P5PRE_COEF_MULT 0x4065U
#define TX_TXCC_P6POST_COEF_MULT 0x4076U
#define TX_TXCC_P6PRE_COEF_MULT 0x4066U
#define TX_TXCC_P7POST_COEF_MULT 0x4077U
#define TX_TXCC_P7PRE_COEF_MULT 0x4067U
#define TX_TXCC_P8POST_COEF_MULT 0x4078U
#define TX_TXCC_P8PRE_COEF_MULT 0x4068U
#define TX_TXCC_P9POST_COEF_MULT 0x4079U
#define TX_TXCC_P9PRE_COEF_MULT 0x4069U
#define TX_TXCC_POST_CVAL 0x4046U
#define TX_TXCC_POST_OVRD 0x4043U
#define TX_TXCC_PRE_CVAL 0x4044U
#define TX_TXCC_PRE_OVRD 0x4041U
#define XCVR_CMSMT_CLK_FREQ_MSMT_CTRL 0x81c0U
#define XCVR_CMSMT_REF_CLK_TMR_VALUE 0x81c2U
#define XCVR_CMSMT_TEST_CLK_CNT_VALUE 0x81c3U
#define XCVR_CMSMT_TEST_CLK_SEL 0x81c1U
#define XCVR_DIAG_BIDI_CTRL 0x40eaU
#define XCVR_DIAG_DCYA 0x40efU
#define XCVR_DIAG_HSCLK_DIV 0x40e7U
#define XCVR_DIAG_HSCLK_SEL 0x40e6U
#define XCVR_DIAG_PLLDRC_CTRL 0x40e5U
#define XCVR_DIAG_PSC_OVRD 0x40ebU
#define XCVR_DIAG_PWRI_TMR 0x40e0U
#define XCVR_DIAG_RST_DIAG 0x40ecU
#define XCVR_DIAG_RXCLK_CTRL 0x40e9U
#define XCVR_DIAG_TXCLK_CTRL 0x40e8U
#define XCVR_DIAG_XCAL_PWRI_OVRD 0x40e1U
#define XCVR_DIAG_XCAL_PWRI_STAT 0x40e2U
#define XCVR_DIAG_XCVR_CLK_CTRL 0x40edU
#define XCVR_DIAG_XDP_PWRI_OVRD 0x40e3U
#define XCVR_DIAG_XDP_PWRI_STAT 0x40e4U
#define XCVR_PSM_A0BYP_TMR 0x4004U
#define XCVR_PSM_A0IN_TMR 0x4003U
#define XCVR_PSM_A0OUT_TMR 0x400bU
#define XCVR_PSM_A1IN_TMR 0x4005U
#define XCVR_PSM_A1OUT_TMR 0x400cU
#define XCVR_PSM_A2IN_TMR 0x4006U
#define XCVR_PSM_A2OUT_TMR 0x400dU
#define XCVR_PSM_A3IN_TMR 0x4007U
#define XCVR_PSM_A3OUT_TMR 0x400eU
#define XCVR_PSM_A4IN_TMR 0x4008U
#define XCVR_PSM_A4OUT_TMR 0x400fU
#define XCVR_PSM_A5IN_TMR 0x4009U
#define XCVR_PSM_A5OUT_TMR 0x4010U
#define XCVR_PSM_CALIN_TMR 0x4002U
#define XCVR_PSM_CALOUT_TMR 0x400aU
#define XCVR_PSM_CTRL 0x4000U
#define XCVR_PSM_DIAG 0x4012U
#define XCVR_PSM_RCTRL 0x4001U
#define XCVR_PSM_RDY_TMR 0x4011U
#define XCVR_PSM_ST_0 0x4013U
#define XCVR_PSM_ST_1 0x4014U
#define XCVR_PSM_USER_DEF_CTRL 0x401fU

/* ****************************** */
/* VCO Cal Frequency programming */
/* ****************************** */
/* 4'b0000: 10G */
/* 4'b0001: 8G Not Ring Osc Mode */
/* 4'b0010: 8G Ring Osc Mode (JESD) */
/* 4'b0011: 10.8G */
/* 4'b0100: 9.72G */
/* 4'b0101: 8.64G */
/* 4'b0110: 8.1G */
/* 4'b0111: 6.25G */
/* 4'b1000: 6G */
/* 4'b1001: 4G */
/* 4'b1010: 10.3125G */
/* ****************************** */
typedef enum
{
    VCO_10GHz8_refclk = 0,
    VCO_9GHz72_refclk = 1,
    VCO_8GHz64_refclk = 2,
    VCO_8GHz1_refclk = 3
} ENUM_VCO_FREQ;

#endif /* DP_SD0801_SPEC_H */
