/******************************************************************************
 * FILE PURPOSE: PASS Firmware Image  
 ******************************************************************************
 * FILE NAME:   pa15_xxx_pdspx_bin.c
 *
 * DESCRIPTION: PA 1.5 PDSP image
 *
 * REVISION HISTORY:
 *
 *
 * TEXAS INSTRUMENTS TEXT FILE LICENSE
 *
 *  Copyright (c) 2016 Texas Instruments Incorporated
 *
 * All rights reserved not granted herein.
 * 
 * Limited License.  
 *
 * Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive 
 * license under copyrights and patents it now or hereafter owns or controls to 
 * make, have made, use, import, offer to sell and sell ("Utilize") this software 
 * subject to the terms herein.  With respect to the foregoing patent license, 
 * such license is granted  solely to the extent that any such patent is necessary 
 * to Utilize the software alone.  The patent license shall not apply to any 
 * combinations which include this software, other than combinations with devices 
 * manufactured by or for TI ('TI Devices').  No hardware patent is licensed hereunder.
 *
 * Redistributions must preserve existing copyright notices and reproduce this license 
 * (including the above copyright notice and the disclaimer and (if applicable) source 
 * code license limitations below) in the documentation and/or other materials provided 
 * with the distribution.
 * 
 * Redistribution and use in binary form, without modification, are permitted provided 
 * that the following conditions are met:
 *	No reverse engineering, decompilation, or disassembly of this software is 
 *  permitted with respect to any software provided in binary form.
 *	Any redistribution and use are licensed by TI for use only with TI Devices.
 *	Nothing shall obligate TI to provide you with source code for the software 
 *  licensed and provided to you in object code.
 * 
 * If software source code is provided to you, modification and redistribution of the 
 * source code are permitted provided that the following conditions are met:
 *	Any redistribution and use of the source code, including any resulting derivative 
 *  works, are licensed by TI for use only with TI Devices.
 *	Any redistribution and use of any object code compiled from the source code
 *  and any resulting derivative works, are licensed by TI for use only with TI Devices.
 *
 * Neither the name of Texas Instruments Incorporated nor the names of its suppliers 
 * may be used to endorse or promote products derived from this software without 
 * specific prior written permission.
 *
 * DISCLAIMER.
 *
 * THIS SOFTWARE IS PROVIDED BY TI AND TIS LICENSORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL TI AND TIS 
 * LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 */
#include <ti/drv/pa/fw/pafw.h>



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const uint32_t eg0_pdsp0[] =  {
     0x21000300,
     0xbabe0600,
     0x03000203,
     0x2300ea9e,
     0x24020382,
     0x240300c2,
     0x81043782,
     0x2eff8582,
     0x8104a482,
     0x240001e2,
     0x81002482,
     0xc900ff00,
     0xd100ff00,
     0x2eff819d,
     0x24000a02,
     0x81001762,
     0xc9067d1c,
     0xc9077d02,
     0xd110ff00,
     0xd110ff19,
     0x2e810384,
     0x2e86098e,
     0xc905ff00,
     0x9120e896,
     0xc9000403,
     0x2300329e,
     0x21001c00,
     0x2300499e,
     0x1d067d7d,
     0xc9077d0f,
     0x1d077d7d,
     0xd1047d06,
     0x1f067d7d,
     0x24000504,
     0x2f010184,
     0xc910ff00,
     0x21002c00,
     0x1d047d7d,
     0x2e86098e,
     0x240023e4,
     0x2f04898e,
     0x2f000184,
     0x21002b00,
     0x21002c00,
     0xd1057d02,
     0xd104ff59,
     0xcf057de2,
     0xc910ff02,
     0x21001000,
     0x21037300,
     0x0905c481,
     0x92812088,
     0x10c8c89f,
     0x59648803,
     0x01018888,
     0x80812088,
     0x6907690c,
     0x09044a36,
     0x10ebebf9,
     0x8120e896,
     0x911008c1,
     0x1d0f8181,
     0x811008c1,
     0x244023e4,
     0x24001864,
     0x2f04898e,
     0x2f000384,
     0x209e0000,
     0x240023e4,
     0x1f060e0e,
     0x2f04898e,
     0x2f000184,
     0x209e0000,
     0x9100f489,
     0x51006902,
     0x21004400,
     0x8118288a,
     0x51000b05,
     0x91090862,
     0x110f0202,
     0x120b0202,
     0x81090862,
     0x2400002e,
     0x2f04898e,
     0xc90e8905,
     0x1d0e8989,
     0x811e08c9,
     0x91c813c9,
     0x21005d00,
     0xc90f8904,
     0x1d0f8989,
     0x811e08c9,
     0x91ca13c9,
     0x246023e4,
     0x24001864,
     0x811208c9,
     0x10494905,
     0x2f000384,
     0x209e0000,
     0x09047ac0,
     0x90c0f486,
     0x2400c59e,
     0x21006700,
     0x10d7d794,
     0x83206796,
     0x69006617,
     0x81182787,
     0x51000805,
     0x91090762,
     0x110f0202,
     0x12080202,
     0x81090762,
     0xc90e8605,
     0x1d0e8686,
     0x811e07c6,
     0x91c813c6,
     0x21007900,
     0xc90f8604,
     0x1d0f8686,
     0x811e07c6,
     0x91ca13c6,
     0x2400002e,
     0x246020e4,
     0x24001864,
     0x10464605,
     0x811207c6,
     0x51036907,
     0x209e0000,
     0x51066601,
     0x1f060e0e,
     0x24002004,
     0x51036902,
     0x209e0000,
     0x209e0000,
     0x91002481,
     0x0101e1e1,
     0x81002481,
     0x2e808f86,
     0x2e84098e,
     0x24000804,
     0x2f000184,
     0x242031e4,
     0x2f000184,
     0x6900c907,
     0x24801e9f,
     0x1f060e0e,
     0x24002004,
     0x24000024,
     0x1f047d7d,
     0x2100c500,
     0x2480009f,
     0x2e808b96,
     0x0b057601,
     0x51050107,
     0x510401cb,
     0x24002004,
     0x24004024,
     0x24000064,
     0x1f047d7d,
     0x2100c900,
     0xc90eb607,
     0x24000f2e,
     0x24002004,
     0x24004024,
     0x24000064,
     0x1f047d7d,
     0x2100c500,
     0xcf0fb6f4,
     0x24000d04,
     0x2f000384,
     0x10171716,
     0x24000004,
     0x101616c4,
     0x2f000384,
     0x2f05098e,
     0x24000303,
     0x240000de,
     0x2eff8786,
     0x2f018786,
     0x2f020786,
     0x2f028786,
     0x2100b900,
     0x70167c03,
     0x24000ade,
     0x2100bf00,
     0x1016167c,
     0x09010300,
     0x90001580,
     0x22c0009e,
     0x5700def9,
     0x1d0fb6b6,
     0x2e85098e,
     0xc907ff00,
     0x83206796,
     0x6901de1c,
     0x24002004,
     0x24000824,
     0xd106ff00,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x1f077d7d,
     0xd1067d0b,
     0xd1047d0e,
     0x1f067d7d,
     0x2f05898e,
     0x2f000384,
     0x1d077d7d,
     0x24000504,
     0xd110ff00,
     0x2f010184,
     0xc910ff00,
     0x21002e00,
     0x2f05098e,
     0x13082424,
     0x2f000384,
     0x21002e00,
     0x1d047d7d,
     0x1d077d7d,
     0x2f04898e,
     0x2f000384,
     0x21002e00,
     0x1f047d7d,
     0x510ade07,
     0x5103de02,
     0x21006300,
     0x24402084,
     0x24001864,
     0x2400002e,
     0x2100c500,
     0x1f060e0e,
     0x24002004,
     0x24000024,
     0x2100c500,
     0x240000e3,
     0x31ff0007,
     0xd110ff00,
     0x10e3e3c4,
     0x24000404,
     0x2f010184,
     0xc910ff00,
     0x0101e3e3,
     0x2eff8983,
     0x24000664,
     0x242000e2,
     0x82c22083,
     0x0120c2c2,
     0x6e82c2fe,
     0x2eff9183,
     0x85002e83,
     0x2eff8983,
     0x83242e83,
     0x240425c8,
     0x24042588,
     0x240425c9,
     0x24037889,
     0x2403a2ca,
     0x2403bd8a,
     0x2403c9cb,
     0x2403d48b,
     0x2403e6cc,
     0x2403f18c,
     0x240425cd,
     0x2404258d,
     0x240425ce,
     0x2404258e,
     0x240425cf,
     0x2404258f,
     0x240425d0,
     0x24040a90,
     0x240413d1,
     0x24041b91,
     0x8500f588,
     0x24505084,
     0x108484c4,
     0x10e4e4e5,
     0x10e4e4e6,
     0x10e4e4e7,
     0x10e4e4e8,
     0x10e4e4e9,
     0x10e4e4ea,
     0x10e4e4eb,
     0x8300f284,
     0x8320f284,
     0x8340f284,
     0x8360f284,
     0x8380f284,
     0x83a0f284,
     0x83c0f284,
     0x83e0f284,
     0x24004304,
     0x81041264,
     0x24004404,
     0x81291264,
     0x24000a04,
     0x81321264,
     0x24000c04,
     0x81331264,
     0x24000904,
     0x812f1264,
     0x24001304,
     0x81061264,
     0x24000504,
     0x81001264,
     0x24000604,
     0x812b1264,
     0x24000704,
     0x812c1264,
     0x24000804,
     0x813c1264,
     0x24001104,
     0x81111264,
     0x24001204,
     0x81881264,
     0x24000f04,
     0x81841264,
     0x240000e5,
     0x2400b0e1,
     0x2eff8788,
     0x24000668,
     0x80e5fa88,
     0x0110e5e5,
     0x6ee1e5fe,
     0x209e0000,
     0x2e80818a,
     0x240100c0,
     0x70c0ca05,
     0x240004d9,
     0x1f047b7b,
     0x1d057b7b,
     0x21019d00,
     0x0b05ca21,
     0x090221c1,
     0x0100c1c1,
     0x90c12e82,
     0x111fca03,
     0x91200e61,
     0x1c03e2e2,
     0x80c12e82,
     0x1c210101,
     0x81200e61,
     0x2eff878e,
     0x2400066e,
     0x2400de4e,
     0x0904ca80,
     0x8080e08e,
     0x24000404,
     0x10cacac4,
     0x24000024,
     0xd1067d05,
     0xd110ff00,
     0x2f010184,
     0xc910ff00,
     0x21019d00,
     0x81242e84,
     0x1f057d7d,
     0x21019d00,
     0x2eff8b96,
     0x05108980,
     0x24000d04,
     0x2f000384,
     0x2e808986,
     0xc907ff00,
     0x10e9e9fa,
     0x51ce0703,
     0x1f077b7b,
     0x21019d00,
     0x51006602,
     0x21019d00,
     0x51004606,
     0x05014646,
     0x2f008026,
     0x2400045b,
     0x1f057b7b,
     0x21019d00,
     0x81182788,
     0x2f05098e,
     0x1f067b7b,
     0x69642711,
     0x1f037b7b,
     0x24000004,
     0x5100c705,
     0x0510c7c4,
     0x2f000384,
     0x2e80818a,
     0x04c48080,
     0x240004c4,
     0x2f000384,
     0x05048080,
     0x106a6a27,
     0x51004a05,
     0x104a4a99,
     0x2400045b,
     0x1f057b7b,
     0x1f047b7b,
     0x5101270e,
     0x5102270e,
     0x5103270e,
     0x5104270e,
     0x53062788,
     0x510c27fe,
     0x530a278a,
     0x53082786,
     0x530b2786,
     0x53092786,
     0x51052740,
     0x24000286,
     0x2f0080c6,
     0x21019d00,
     0x21031f00,
     0x21014400,
     0x21031c00,
     0x21031c00,
     0xc9067b02,
     0x2e85098e,
     0xc9047b08,
     0x240010e4,
     0x2f000184,
     0x24004304,
     0x240002c4,
     0x24000424,
     0x10f9f9e5,
     0x2f000384,
     0x24002004,
     0x24004024,
     0x105b5b64,
     0x2400002e,
     0xc9077b06,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x1f060e0e,
     0x2101cf00,
     0xc9057b04,
     0x24008000,
     0x81200760,
     0x2101b800,
     0x911007c1,
     0x1f0f8181,
     0x811007c1,
     0x91082481,
     0x0101e1e1,
     0x81082481,
     0x51003a03,
     0x1f060e0e,
     0x2101cf00,
     0xc90eda05,
     0x1d0edada,
     0x811e079a,
     0x91c8139a,
     0x2101c700,
     0xc90fda04,
     0x1d0fdada,
     0x811e079a,
     0x91ca139a,
     0x8112079a,
     0x101a1a05,
     0x13202424,
     0x2f04898e,
     0x9110078a,
     0x8110078a,
     0x2f000384,
     0x21001000,
     0x9110078a,
     0x1f0fcaca,
     0x8110078a,
     0x2f04898e,
     0x2f000384,
     0x21001000,
     0x595c8004,
     0x24001086,
     0x2f0080c6,
     0x21019d00,
     0x24000086,
     0x2f0080c6,
     0x2e80878a,
     0x24000004,
     0x240020c4,
     0x2f000384,
     0x2e808b8e,
     0x24ff00c2,
     0xc900ca02,
     0x81a0338b,
     0xc901ca07,
     0x81a4338c,
     0x24000161,
     0x24002082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0xc902ca07,
     0x81a8338d,
     0x24000161,
     0x24006082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0xc903ca02,
     0x81ac338e,
     0xc904ca02,
     0x81b0338f,
     0xc905ca02,
     0x81b43390,
     0xc906ca40,
     0xc90f9102,
     0x81bc3392,
     0x2400a5c1,
     0x10c19181,
     0x51008115,
     0x240100c1,
     0x24000081,
     0xc9059104,
     0x1f012121,
     0xc905d102,
     0x1f010101,
     0xc9009104,
     0x1f072121,
     0xc900d102,
     0x1f070101,
     0xc9029104,
     0x1f062121,
     0xc902d102,
     0x1f060101,
     0xc9079104,
     0x1f022121,
     0xc907d102,
     0x1f020101,
     0x24000082,
     0xe10c2281,
     0x24001ac1,
     0x10c19181,
     0x51008113,
     0x240100c1,
     0x24000081,
     0xc9019104,
     0x1f072121,
     0xc901d102,
     0x1f070101,
     0xc9039104,
     0x1f062121,
     0xc903d102,
     0x1f060101,
     0xc9049104,
     0x1f052121,
     0xc904d102,
     0x1f050101,
     0x24002082,
     0xe10c2281,
     0x24006082,
     0xe10c2281,
     0x240140c1,
     0x10c19181,
     0x5100810f,
     0x240100c1,
     0x24000081,
     0xc9069104,
     0x1f012121,
     0xc906d102,
     0x1f010101,
     0xc9089106,
     0x1f022121,
     0xc908d104,
     0x1f020101,
     0x2400fc82,
     0x80821c13,
     0x2400b082,
     0xe10c2281,
     0x240018c4,
     0x2f000184,
     0x2e80898e,
     0xc907ca02,
     0x81c0338e,
     0xc908ca02,
     0x81c4338f,
     0xc909ca0c,
     0x240200c1,
     0x10707001,
     0x10505021,
     0x24001082,
     0xf10c2280,
     0x6f00e0ff,
     0xe10c2281,
     0x24002082,
     0xf10c2280,
     0x6f00e0ff,
     0xe10c2281,
     0xc90aca0c,
     0x240200c1,
     0x10717101,
     0x10515121,
     0x24005082,
     0xf10c2280,
     0x6f00e0ff,
     0xe10c2281,
     0x24006082,
     0xf10c2280,
     0x6f00e0ff,
     0xe10c2281,
     0xc90bca02,
     0x81c83392,
     0xc90cca35,
     0x240014c4,
     0x2f000184,
     0x2e808f8e,
     0x240200c1,
     0x24000081,
     0x1f002121,
     0xc9006e0a,
     0x24ffa8c0,
     0x24100080,
     0xe1d800d1,
     0x24ff48c0,
     0x24040080,
     0x24000091,
     0xe100a08f,
     0xe10ce092,
     0x1f000101,
     0x24000082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x24001082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x24002082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x24003082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x24004082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x24005082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x24006082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x24007082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x24008082,
     0xf1042280,
     0x6f00e0ff,
     0xe1042281,
     0x21019d00,
     0x24000086,
     0x2f0080c6,
     0x2e80838a,
     0x24000004,
     0x69006a09,
     0x2401e8c0,
     0x58c08004,
     0x24001086,
     0x2f0080c6,
     0x21019d00,
     0x240018c4,
     0x2f000384,
     0x21030d00,
     0x240014c4,
     0x2f000384,
     0x69016a13,
     0x592c8002,
     0x21030a00,
     0x2e80838e,
     0x71046e04,
     0x240011d9,
     0x1f047b7b,
     0x21019d00,
     0x09056e81,
     0x09036ec1,
     0x00c18181,
     0x01008181,
     0x8081738e,
     0x240008c4,
     0x2f000384,
     0x2e808f8e,
     0x01088181,
     0x8281f38e,
     0x21019d00,
     0x69066a0e,
     0x59148002,
     0x21030a00,
     0x2e80878e,
     0x24000cc4,
     0x51006e08,
     0x09036f82,
     0x01508282,
     0x80827c90,
     0x2f000384,
     0x2e80858f,
     0x05016e6e,
     0x2102b500,
     0x21019d00,
     0x69076a0e,
     0x59148002,
     0x21030a00,
     0x2e80878e,
     0x24000cc4,
     0x51006e08,
     0x09036f82,
     0x01008282,
     0x80827c90,
     0x2f000384,
     0x2e80858f,
     0x05016e6e,
     0x2102c300,
     0x21019d00,
     0x69086a19,
     0x24003cc0,
     0x58c08002,
     0x21030a00,
     0x2e808b8e,
     0x240100c2,
     0x51006e12,
     0x09064f82,
     0x00c28282,
     0x82823c8f,
     0x01148282,
     0x240010c4,
     0x2f000184,
     0x2e808790,
     0x8082fc90,
     0x01108282,
     0x2f000184,
     0x2e808790,
     0x8082fc90,
     0x240014c4,
     0x2f000184,
     0x2e80898f,
     0x05016e6e,
     0x2102d200,
     0x21019d00,
     0x69096a1a,
     0x2400a0c0,
     0x58c08002,
     0x21030a00,
     0x2e808d8e,
     0x240300c2,
     0x51006e13,
     0x09085082,
     0x00c28282,
     0x82827c8f,
     0x01188282,
     0x2400084e,
     0x51004e08,
     0x240010c4,
     0x2f000384,
     0x2e808791,
     0x8082fc91,
     0x01108282,
     0x05014e4e,
     0x2102f100,
     0x240018c4,
     0x2f000184,
     0x2e808b8f,
     0x05016e6e,
     0x2102eb00,
     0x21019d00,
     0x690a6a08,
     0x590c8002,
     0x21030a00,
     0x2e80838e,
     0x24ffa8c2,
     0x24100082,
     0xe1d0628e,
     0x21019d00,
     0x240002d9,
     0x1f047b7b,
     0x21019d00,
     0x240010d9,
     0x1f047b7b,
     0x21019d00,
     0x240000e1,
     0x240010c4,
     0x2e80878e,
     0x2f000384,
     0xc801eb02,
     0x80c1f48e,
     0x01010101,
     0x0110c1c1,
     0x671f01fa,
     0x21019d00,
     0x21019d00,
     0x21019d00,
     0x21019d00,
     0x21019d00,
     0x21019d00,
     0x24000c86,
     0x2f0080c6,
     0x21019d00,
     0x2e80838a,
     0x2eff818d,
     0x108b8bcd,
     0x1f0fcdcd,
     0x240068c0,
     0x58c08004,
     0x24001000,
     0xc9037b3c,
     0x21035e00,
     0x91200e61,
     0x240100c0,
     0x68c0ca12,
     0x27000121,
     0x69202104,
     0x24000400,
     0xc9037b34,
     0x21035e00,
     0x090221c1,
     0x0100c1c1,
     0x90c12e82,
     0x2700e203,
     0x69200304,
     0x24000400,
     0xc9037b2c,
     0x21035e00,
     0x090521ca,
     0x0003caca,
     0x2f00808a,
     0x21034500,
     0x60c0ca04,
     0x24000400,
     0xc9037b24,
     0x21035e00,
     0x0b05ca21,
     0x090221c1,
     0x0100c1c1,
     0x90c12e82,
     0x111fca03,
     0x24000004,
     0x240018c4,
     0x2f000384,
     0x21036600,
     0x1e03e2e2,
     0x80c12e82,
     0x2700e223,
     0x69202303,
     0x1e210101,
     0x81200e61,
     0x2e80878e,
     0x0905ca80,
     0x8280208d,
     0x24000204,
     0x10cacac4,
     0x24000024,
     0x10e9e9e5,
     0xd1067d05,
     0xd110ff00,
     0x2f010984,
     0xc910ff00,
     0x21019d00,
     0x83242e84,
     0x1f057d7d,
     0x21019d00,
     0x100000d9,
     0x1f047b7b,
     0x1d057b7b,
     0x21019d00,
     0x10000086,
     0x2f0080c6,
     0x1d057b7b,
     0x21019d00,
     0x2e808f8e,
     0x2f01878e,
     0x2f020792,
     0x240020c4,
     0x2f000384,
     0x2e80878e,
     0x2f02878e,
     0x240010c4,
     0x2f000384,
     0x2e808786,
     0x240010c4,
     0x2f000384,
     0x21034900,
     0x1d057d7d,
     0x93242e84,
     0x2f010984,
     0xc910ff00,
     0x21003000,
     0x2eff8792,
     0x2e808986,
     0x11f066e0,
     0x5160e027,
     0x6940e023,
     0x110f6600,
     0x61050021,
     0xc9075d06,
     0x7114861f,
     0x5100ea1e,
     0x5100681d,
     0x2700e9e0,
     0x5120e01b,
     0x1f09d2d2,
     0x243fff83,
     0x10838783,
     0x51008305,
     0x1f0ad2d2,
     0x1d0d8383,
     0x51008302,
     0x1d09d2d2,
     0x10e9e9eb,
     0x2f01838a,
     0x2eff8384,
     0x110f6682,
     0x090282c4,
     0x008616d7,
     0x00c41616,
     0x90481260,
     0x113f0003,
     0x0b0600de,
     0x24000004,
     0x2f000384,
     0x1f037474,
     0x1f0fd2d2,
     0x10484854,
     0x0b024632,
     0x2f028792,
     0x209e0000,
     0x2400197a,
     0x240002de,
     0x209e0000,
     0x2eff878a,
     0x2e808386,
     0x11f06600,
     0x6f6000fa,
     0x2eff8384,
     0x24000004,
     0x240008c4,
     0x2f000384,
     0x2e808f8e,
     0x2f01878e,
     0x2f020792,
     0x10e6e6eb,
     0x110fcbcb,
     0x1f036c6c,
     0x1027274c,
     0x0b04c62a,
     0x113f2a2a,
     0x2f02878a,
     0x01281616,
     0x00c716d7,
     0x1f09caca,
     0x90271260,
     0x113f0003,
     0x0b0600de,
     0x240020c4,
     0x2f000384,
     0x209e0000,
     0x2e808086,
     0x09034680,
     0x01088080,
     0x00801616,
     0x108080c4,
     0x2f000384,
     0x1066664c,
     0x2f02802c,
     0x90661261,
     0x113f0103,
     0x0b0601de,
     0x209e0000,
     0x2e808186,
     0x1066664c,
     0x2f02802c,
     0x90661261,
     0x113f0103,
     0x0b0601de,
     0x09034680,
     0x010880c4,
     0x2f000384,
     0x00c41616,
     0x209e0000,
     0x2e808386,
     0x240008c4,
     0x2f000384,
     0x1066664c,
     0x2f02802c,
     0x01081616,
     0x1f0acaca,
     0x0b038683,
     0x51008303,
     0x1d09caca,
     0x1d037d7d,
     0x2f02808a,
     0x90661261,
     0x113f0103,
     0x0b0601de,
     0xd1037d02,
     0x240001de,
     0x209e0000,
     0x2e808086,
     0x1066664c,
     0x2f02802c,
     0x90661261,
     0x113f0103,
     0x0b0601de,
     0x09034680,
     0x010880c4,
     0x2f000384,
     0x00c41616,
     0x209e0000,
     0x10161658,
     0x2e808186,
     0x240004c4,
     0x2f000384,
     0x01041616,
     0x240000c4,
     0x1086864c,
     0x2f02802c,
     0x240000c4,
     0xc90dc602,
     0x0104c4c4,
     0xc90cc602,
     0x0104c4c4,
     0x2f000384,
     0x00c41616,
     0x24080080,
     0x68808603,
     0x24000303,
     0x209e0000,
     0x2486dd80,
     0x68808603,
     0x24000403,
     0x209e0000,
     0x24001003,
     0x209e0000,
     0x10161658,
     0x2e808386,
     0x00c716d7,
     0x01081616,
     0x108686d5,
     0x10c6c694,
     0x2f0281d4,
     0x240001de,
     0x209e0000,
     0x10161658,
     0x2e808386,
     0x01081616,
     0x108686d5,
     0x10c6c694,
     0x2f0281d4,
     0x240001de,
     0x209e0000,
     0x10161658,
     0x2e808986,
     0x108686d5,
     0x10c6c694,
     0x2f0281d4,
     0x0b046981,
     0x09028181,
     0x00811616,
     0x240001de,
     0x209e0000,
     0x240001de,
     0x209e0000 };

const int eg0_pdsp0Size = sizeof(eg0_pdsp0);
