/*
 * Copyright (c) 2019, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/** ============================================================================
 *  @file       pruicss_soc.h
 *
 *  @brief      pruicss soc specific data structures
 *
 *  ============================================================================
 */

#ifndef _PRUICSS_SOC_H_
#define _PRUICSS_SOC_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stddef.h>

#if defined(SOC_AM335x)
/*!
 *  @brief    PRUICSS Instance IDs
 */
typedef enum PRUICSS_MaxInstances_s
{
   PRUICCSS_INSTANCE_ONE=1,
   PRUICCSS_INSTANCE_MAX=2
}PRUICSS_MaxInstances;
#elif defined(SOC_AM65XX)
/*!
 *  @brief    PRUICSS Instance IDs
 */
typedef enum PRUICSS_MaxInstances_s
{
   PRUICCSS_INSTANCE_ONE=1,
   PRUICCSS_INSTANCE_TWO=2,
   PRUICCSS_INSTANCE_THREE=3,
   PRUICCSS_INSTANCE_MAX=4
}PRUICSS_MaxInstances;
#elif defined(SOC_J721E) || defined(SOC_AM64X)
/*!
 *  @brief    PRUICSS Instance IDs
 */
typedef enum PRUICSS_MaxInstances_s
{
   PRUICCSS_INSTANCE_ONE=1,
   PRUICCSS_INSTANCE_TWO=2,
   PRUICCSS_INSTANCE_MAX=3
}PRUICSS_MaxInstances;
#else
/*!
 *  @brief    PRUICSS Instance IDs
 */
typedef enum PRUICSS_MaxInstances_s
{
   PRUICCSS_INSTANCE_ONE=1,
   PRUICCSS_INSTANCE_TWO=2,
   PRUICCSS_INSTANCE_MAX=3
}PRUICSS_MaxInstances;
#endif

#ifdef __cplusplus
}
#endif

#endif /* _PRUICSS_SOC_H_ */
