/*
 *  TEXAS INSTRUMENTS TEXT FILE LICENSE
 * 
 *   Copyright (c) 2016 Texas Instruments Incorporated
 * 
 *  All rights reserved not granted herein.
 *  
 *  Limited License.  
 * 
 *  Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive 
 *  license under copyrights and patents it now or hereafter owns or controls to 
 *  make, have made, use, import, offer to sell and sell ("Utilize") this software 
 *  subject to the terms herein.  With respect to the foregoing patent license, 
 *  such license is granted  solely to the extent that any such patent is necessary 
 *  to Utilize the software alone.  The patent license shall not apply to any 
 *  combinations which include this software, other than combinations with devices 
 *  manufactured by or for TI (TI Devices).  No hardware patent is licensed hereunder.
 * 
 *  Redistributions must preserve existing copyright notices and reproduce this license 
 *  (including the above copyright notice and the disclaimer and (if applicable) source 
 *  code license limitations below) in the documentation and/or other materials provided 
 *  with the distribution.
 *  
 *  Redistribution and use in binary form, without modification, are permitted provided 
 *  that the following conditions are met:
 * 	No reverse engineering, decompilation, or disassembly of this software is 
 *   permitted with respect to any software provided in binary form.
 * 	Any redistribution and use are licensed by TI for use only with TI Devices.
 * 	Nothing shall obligate TI to provide you with source code for the software 
 *   licensed and provided to you in object code.
 *  
 *  If software source code is provided to you, modification and redistribution of the 
 *  source code are permitted provided that the following conditions are met:
 * 	Any redistribution and use of the source code, including any resulting derivative 
 *   works, are licensed by TI for use only with TI Devices.
 * 	Any redistribution and use of any object code compiled from the source code
 *   and any resulting derivative works, are licensed by TI for use only with TI Devices.
 * 
 *  Neither the name of Texas Instruments Incorporated nor the names of its suppliers 
 *  may be used to endorse or promote products derived from this software without 
 *  specific prior written permission.
 * 
 *  DISCLAIMER.
 * 
 *  THIS SOFTWARE IS PROVIDED BY TI AND TIS LICENSORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 *  AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL TI AND TIS 
 *  LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 *  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * 
 */


#ifndef QMSS_ACC48_LE_H_
#define QMSS_ACC48_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int acc48_le[] =  {
     0x21000300,
     0x80013000,
     0x0100000b,
     0x240000e0,
     0x81002280,
     0x241117e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x2eff9182,
     0x2400ff0a,
     0x2400ff2a,
     0x2400ff4a,
     0x2400ff6a,
     0x24002f29,
     0x24840082,
     0x24000bc2,
     0x24000069,
     0x244000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02081,
     0x6f00e0fe,
     0x24300081,
     0x248001c1,
     0x240018e0,
     0x80e02081,
     0x0104e0e0,
     0x24000b81,
     0x240100c1,
     0x80e02081,
     0x1d004949,
     0xc91fff03,
     0x1f1fffff,
     0x1f004949,
     0x01012929,
     0x69302902,
     0x24002029,
     0x9300208b,
     0xc9072b53,
     0x69802b18,
     0x61300b03,
     0x2400036b,
     0x21007800,
     0x61200b07,
     0x05200be0,
     0xd0e08403,
     0x2400046b,
     0x21007800,
     0x1ce08484,
     0x21003500,
     0xce0be3fc,
     0x1c0be3e3,
     0x100b0b09,
     0x090409e0,
     0x090209e1,
     0x00e1e0e0,
     0x0140e0e0,
     0x92e0208c,
     0x117f4949,
     0x51009002,
     0x2301589e,
     0x2400016b,
     0x21007800,
     0x69812b26,
     0x242000e0,
     0x60e08e03,
     0x2400066b,
     0x21007800,
     0x61300b03,
     0x2400036b,
     0x21007800,
     0x24014080,
     0x110c4fc0,
     0x0b02c0c0,
     0x0102c0c0,
     0x08c0cec0,
     0x7080c003,
     0x2400076b,
     0x21007800,
     0x61200b07,
     0x05200be0,
     0xc8e08403,
     0x2400056b,
     0x21007800,
     0x1ee08484,
     0x21005900,
     0xd60be3fc,
     0x1e0be3e3,
     0x2400006f,
     0x24000090,
     0x240000d0,
     0xd1014f03,
     0xc9004f02,
     0x1f016f6f,
     0x09040be0,
     0x09020be1,
     0x00e1e0e0,
     0x0140e0e0,
     0x82e0208c,
     0x2400016b,
     0x21007800,
     0x69822b09,
     0x240000e0,
     0x81002280,
     0x1f1fffff,
     0x8104228c,
     0x248003e0,
     0x81002280,
     0x2400016b,
     0x21007800,
     0x69832b04,
     0x10ececc4,
     0x2400016b,
     0x21007800,
     0x69842b04,
     0x10ecece8,
     0x2400016b,
     0x21007800,
     0x2400026b,
     0x2400002b,
     0x8100208b,
     0x5100c402,
     0x2301719e,
     0x51008802,
     0x23018f9e,
     0x2301299e,
     0x24000009,
     0x110f69e0,
     0x690fe003,
     0x2301299e,
     0x21008000,
     0x61200904,
     0x052009e0,
     0xc8e08434,
     0x21008900,
     0xc809e332,
     0x117f4949,
     0x090409e0,
     0x090209e1,
     0x00e1e0e0,
     0x0140e0f4,
     0x92f4208c,
     0xd1026f2b,
     0x010190e0,
     0x50cee020,
     0x0b058ee0,
     0x0902e0e0,
     0x90e02581,
     0xd1054f07,
     0xc88ee10f,
     0x108e8e91,
     0x2300c29e,
     0x010190e0,
     0x50cee017,
     0x2100a500,
     0x10ece1f2,
     0x2701f291,
     0x51209107,
     0x1c91f2f2,
     0x008e9191,
     0x2300c29e,
     0x010190e0,
     0x6ecee0fa,
     0x2100b100,
     0xc9074906,
     0xc9014f05,
     0xd1004f02,
     0xd1016f03,
     0x108f8fd0,
     0x1f016f6f,
     0xc9016f0e,
     0x5100d004,
     0xc900490c,
     0x0501d0d0,
     0x6900d00a,
     0x51009009,
     0x010009e1,
     0x6120e104,
     0x0520e1e1,
     0x910c2380,
     0x2100b700,
     0x91082380,
     0xd0e1e002,
     0x2301089e,
     0x82f4208c,
     0x4f1f0965,
     0x511f0904,
     0x01010909,
     0x673009c3,
     0x21001f00,
     0x10292909,
     0x673009c0,
     0x21001f00,
     0x10e2e2f3,
     0x090209e0,
     0x0009e0e0,
     0x0906e0e0,
     0x00e0f3f3,
     0x010190d1,
     0x04d1ced1,
     0x5100d13e,
     0x110c4f00,
     0x5104001c,
     0x5108002f,
     0x1904d1d1,
     0x090491e0,
     0x010ce0e0,
     0x90e02695,
     0x5100f536,
     0x7101d10c,
     0x90e02696,
     0x6900f602,
     0x240001d1,
     0x7102d108,
     0x90e02697,
     0x6900f702,
     0x240002d1,
     0x7103d104,
     0x90e02698,
     0x6900f802,
     0x240003d1,
     0x090290e1,
     0xc9044f02,
     0x0104e1e1,
     0x0902d100,
     0xeee1d315,
     0x00d19090,
     0x1f074949,
     0x5704d1e2,
     0x21010700,
     0x1902d1d1,
     0x090491e0,
     0x0108e0e0,
     0x90e06695,
     0x5100f61c,
     0x109191d5,
     0x5101d104,
     0x90e06697,
     0x6900f802,
     0x240001d1,
     0x109191d7,
     0x090390e1,
     0xc9044f02,
     0x0108e1e1,
     0x0903d100,
     0xeee1d315,
     0x00d19090,
     0x1f074949,
     0x5702d1ce,
     0x21010700,
     0x1901d1d1,
     0x090491e0,
     0x90e0e695,
     0x5100f809,
     0x109191d7,
     0x090490e1,
     0xc9044f02,
     0x0110e1e1,
     0xe0e1f395,
     0x01019090,
     0x1f074949,
     0x2100c700,
     0x209e0000,
     0x10e2e2f9,
     0x090209e0,
     0x0009e0e0,
     0x0906e0e0,
     0x00e0f9f9,
     0x0b024fe0,
     0x1103e0e0,
     0x0102e0e1,
     0xc9044f04,
     0x109090e0,
     0xe1003980,
     0x21011900,
     0x2eff8795,
     0x24000100,
     0x08e10000,
     0x08e190c0,
     0xeec0d915,
     0x10ededfa,
     0xc9006f03,
     0x08e1cee0,
     0x00e0fafa,
     0x010190e0,
     0x08e1e09b,
     0x249030db,
     0x13f06900,
     0x270000e0,
     0x0906e0e1,
     0x80e1a899,
     0x1f026f6f,
     0x1ee06969,
     0x0128e001,
     0x2c800901,
     0x209e0000,
     0x110f691c,
     0x27011c3c,
     0x51203c2c,
     0x1c3c1c1c,
     0x09063ce0,
     0x90e0a899,
     0xd71efbfb,
     0x6f009bfa,
     0x01043ce1,
     0xd0e16909,
     0x1ee16969,
     0x0504f9e1,
     0x0504faf9,
     0x10e1e1fa,
     0x2400049b,
     0x249030db,
     0x80e0a899,
     0x21012a00,
     0x1ce16969,
     0x1c3c6969,
     0x01283c01,
     0x2c20015c,
     0x09045ce0,
     0x09025ce1,
     0x00e1e0e0,
     0x0140e0f4,
     0x92f4208c,
     0x1d026f6f,
     0x15016f6f,
     0x24000090,
     0x1d016f6f,
     0xd1014f04,
     0xc9004f03,
     0x108f8fd0,
     0x1f016f6f,
     0x82f4208c,
     0x01005ce0,
     0x240001e1,
     0x6120e005,
     0x0520e0e0,
     0x08e0e1e1,
     0x81042381,
     0x21012a00,
     0x08e0e1e1,
     0x81002381,
     0x21012a00,
     0x209e0000,
     0x109e9ede,
     0x010009e1,
     0x6120e104,
     0x0520e1e1,
     0x910c2380,
     0x21015f00,
     0x91082380,
     0xd6e1e0fa,
     0xd1026f0c,
     0x110f69e0,
     0x690fe009,
     0x2301299e,
     0x110f69e0,
     0x570fe0fe,
     0x090409e0,
     0x090209e1,
     0x00e1e0e0,
     0x0140e0e0,
     0x92e0208c,
     0x2301089e,
     0x2301299e,
     0x110f69e0,
     0x6f00e0fe,
     0x10dede9e,
     0x209e0000,
     0x0904c4e0,
     0x010ce0e0,
     0x90e02695,
     0x5100f51a,
     0x11f01515,
     0xf300758b,
     0x11c06be0,
     0x5100e003,
     0x5180e010,
     0x21018e00,
     0xd10fed02,
     0x240000f0,
     0x240000f4,
     0xc90eed02,
     0x1f1ff4f4,
     0x111f2d2d,
     0x09048de0,
     0x0108e0e0,
     0x80e06694,
     0x5700f0ed,
     0x10f0f0f5,
     0x11f01515,
     0xf300758b,
     0x21017d00,
     0x111f2d2d,
     0x09048de0,
     0x010ce0e0,
     0x80e02695,
     0x21017100,
     0x209e0000,
     0x090488e0,
     0x010ce0e0,
     0x90e02695,
     0x5100f50d,
     0x10f5f5f4,
     0x11f01414,
     0xf500348b,
     0x11c06be0,
     0x6900e005,
     0xc91fed04,
     0x240006c0,
     0x24800880,
     0xe1002093,
     0x0904c8e0,
     0x010ce0e0,
     0x80e02695,
     0x209e0000 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_ACC48_LE_H_ */

