/*
 *  TEXAS INSTRUMENTS TEXT FILE LICENSE
 * 
 *   Copyright (c) 2016 Texas Instruments Incorporated
 * 
 *  All rights reserved not granted herein.
 *  
 *  Limited License.  
 * 
 *  Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive 
 *  license under copyrights and patents it now or hereafter owns or controls to 
 *  make, have made, use, import, offer to sell and sell ("Utilize") this software 
 *  subject to the terms herein.  With respect to the foregoing patent license, 
 *  such license is granted  solely to the extent that any such patent is necessary 
 *  to Utilize the software alone.  The patent license shall not apply to any 
 *  combinations which include this software, other than combinations with devices 
 *  manufactured by or for TI (TI Devices).  No hardware patent is licensed hereunder.
 * 
 *  Redistributions must preserve existing copyright notices and reproduce this license 
 *  (including the above copyright notice and the disclaimer and (if applicable) source 
 *  code license limitations below) in the documentation and/or other materials provided 
 *  with the distribution.
 *  
 *  Redistribution and use in binary form, without modification, are permitted provided 
 *  that the following conditions are met:
 * 	No reverse engineering, decompilation, or disassembly of this software is 
 *   permitted with respect to any software provided in binary form.
 * 	Any redistribution and use are licensed by TI for use only with TI Devices.
 * 	Nothing shall obligate TI to provide you with source code for the software 
 *   licensed and provided to you in object code.
 *  
 *  If software source code is provided to you, modification and redistribution of the 
 *  source code are permitted provided that the following conditions are met:
 * 	Any redistribution and use of the source code, including any resulting derivative 
 *   works, are licensed by TI for use only with TI Devices.
 * 	Any redistribution and use of any object code compiled from the source code
 *   and any resulting derivative works, are licensed by TI for use only with TI Devices.
 * 
 *  Neither the name of Texas Instruments Incorporated nor the names of its suppliers 
 *  may be used to endorse or promote products derived from this software without 
 *  specific prior written permission.
 * 
 *  DISCLAIMER.
 * 
 *  THIS SOFTWARE IS PROVIDED BY TI AND TIS LICENSORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 *  AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL TI AND TIS 
 *  LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 *  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * 
 */


#ifndef QMSS_SRIORTR_LE_H_
#define QMSS_SRIORTR_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int sriortr_le[] =  {
     0x21000300,
     0x81000000,
     0x01000001,
     0x240000e0,
     0x81002280,
     0x240064e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000081,
     0x248100c1,
     0x24000182,
     0x240100c2,
     0x240004e0,
     0x80e06981,
     0x2eff8582,
     0x24000723,
     0x24000303,
     0x24000f04,
     0x2401c0c4,
     0x24000043,
     0x24001ce0,
     0x90e0699c,
     0x501c1d0b,
     0x09041de2,
     0x121de2e2,
     0x0904e2e2,
     0x121de2e2,
     0x0904e2e2,
     0x121de2e2,
     0x0904e2e2,
     0x121de2e2,
     0x101d1d1c,
     0x80e0299c,
     0x24002ce0,
     0x90e06985,
     0x10e20414,
     0x27011479,
     0x5120790c,
     0x2300db9e,
     0x1c791414,
     0x570059fc,
     0x0079c4fd,
     0x0079fdfd,
     0x0108fdfd,
     0x90fd09dc,
     0x0086dcdc,
     0x80fd09dc,
     0x1c790404,
     0x21002a00,
     0x0b0585fa,
     0x0902fafa,
     0x90fa2593,
     0x111f851d,
     0x0a1df3f3,
     0x10e2f3f3,
     0x2701f33d,
     0x51203d82,
     0x24000143,
     0x610c3d0f,
     0x1c3df3f3,
     0x003d8598,
     0x050c3d79,
     0x240094d8,
     0x24010099,
     0x2300c69e,
     0x570059f6,
     0x0079c4fa,
     0x0079fafa,
     0x90fa09dd,
     0x0086dddd,
     0x80fa09dd,
     0x1e796363,
     0x21003d00,
     0x61083d13,
     0x05083d79,
     0x2400b4d8,
     0x24012099,
     0x1c3df3f3,
     0x003d8598,
     0x2300c69e,
     0x570059e7,
     0x0079c4fa,
     0x0079fafa,
     0x0108fafa,
     0x90fa09dd,
     0x0501dddd,
     0x80fa09dd,
     0x5100dd03,
     0xd11fdd02,
     0x21003d00,
     0x1e790404,
     0x21003d00,
     0x61043d4a,
     0x01012323,
     0x69082302,
     0x24000423,
     0xce23f3fd,
     0x1c23f3f3,
     0x05042314,
     0x00238596,
     0x09049696,
     0x01089696,
     0x90966697,
     0x5700f8d0,
     0x10f8f8f9,
     0x11f01919,
     0x0110f9fa,
     0xf1003a9a,
     0xf1003a9a,
     0x101a1ad5,
     0x0b03d51d,
     0x09021d1d,
     0x240130dd,
     0x001ddddd,
     0x90dd299a,
     0x1107d51d,
     0x09021d1d,
     0x0a1dfafa,
     0x1103fa34,
     0x1104fa54,
     0x69005405,
     0xd0346304,
     0x1f1ff7f7,
     0x80966697,
     0x21003d00,
     0x2401b0dd,
     0x0902341d,
     0x001ddddd,
     0x90dd699b,
     0x10fbfbd5,
     0x0120f9fa,
     0xf1043a9c,
     0x24001cdc,
     0x1d00fcfc,
     0x51005402,
     0x1f00fcfc,
     0xe1007a9b,
     0xf1043a9b,
     0x090414dd,
     0x0902341d,
     0x001ddddd,
     0x0134dddd,
     0x90dd299a,
     0x10fafad6,
     0x0904d6fa,
     0x0108fafa,
     0x80fa6697,
     0x090234dd,
     0x01e0dddd,
     0x90dd299a,
     0x0101fafa,
     0x80dd299a,
     0x090214dd,
     0x01d0dddd,
     0x90dd299a,
     0x0101fafa,
     0x80dd299a,
     0x6f00549a,
     0x0034c4fa,
     0x0034fafa,
     0x90fa09dd,
     0x0501dddd,
     0x80fa09dd,
     0x6900dd02,
     0x1c346363,
     0x21003d00,
     0x01010303,
     0x69040302,
     0x24000003,
     0xce03f3fd,
     0x1c03f3f3,
     0xce03638c,
     0x00038598,
     0x10030379,
     0x240074d8,
     0x24011099,
     0x2300c69e,
     0x57005986,
     0x0079c4fa,
     0x0079fafa,
     0x90fa09dd,
     0x0501dddd,
     0x80fa09dd,
     0x6f00dd80,
     0x1c796363,
     0x21003d00,
     0x6f004359,
     0xc91fff00,
     0x1f1fffff,
     0xc91fff00,
     0x1f1fffff,
     0x21001900,
     0x090498f5,
     0x0108f5f5,
     0x90f56696,
     0x6900f703,
     0x24000059,
     0x209e0000,
     0x11f01717,
     0x13021717,
     0x090279f5,
     0x00d8f5f5,
     0x90f52995,
     0x0904f5f5,
     0x0108f5f5,
     0x80f56696,
     0x24000159,
     0x090279f5,
     0x0099f5f5,
     0x90f52997,
     0x0101f7f7,
     0x80f52997,
     0x209e0000,
     0x109e9ede,
     0x090279fd,
     0x01a4fdfd,
     0x90fd299d,
     0x10fdfd98,
     0x2400f099,
     0x240084d8,
     0x2300c69e,
     0x10dede9e,
     0x209e0000 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_SRIORTR_LE_H_ */

