/*
 *  TEXAS INSTRUMENTS TEXT FILE LICENSE
 * 
 *   Copyright (c) 2016 Texas Instruments Incorporated
 * 
 *  All rights reserved not granted herein.
 *  
 *  Limited License.  
 * 
 *  Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive 
 *  license under copyrights and patents it now or hereafter owns or controls to 
 *  make, have made, use, import, offer to sell and sell ("Utilize") this software 
 *  subject to the terms herein.  With respect to the foregoing patent license, 
 *  such license is granted  solely to the extent that any such patent is necessary 
 *  to Utilize the software alone.  The patent license shall not apply to any 
 *  combinations which include this software, other than combinations with devices 
 *  manufactured by or for TI (TI Devices).  No hardware patent is licensed hereunder.
 * 
 *  Redistributions must preserve existing copyright notices and reproduce this license 
 *  (including the above copyright notice and the disclaimer and (if applicable) source 
 *  code license limitations below) in the documentation and/or other materials provided 
 *  with the distribution.
 *  
 *  Redistribution and use in binary form, without modification, are permitted provided 
 *  that the following conditions are met:
 * 	No reverse engineering, decompilation, or disassembly of this software is 
 *   permitted with respect to any software provided in binary form.
 * 	Any redistribution and use are licensed by TI for use only with TI Devices.
 * 	Nothing shall obligate TI to provide you with source code for the software 
 *   licensed and provided to you in object code.
 *  
 *  If software source code is provided to you, modification and redistribution of the 
 *  source code are permitted provided that the following conditions are met:
 * 	Any redistribution and use of the source code, including any resulting derivative 
 *   works, are licensed by TI for use only with TI Devices.
 * 	Any redistribution and use of any object code compiled from the source code
 *   and any resulting derivative works, are licensed by TI for use only with TI Devices.
 * 
 *  Neither the name of Texas Instruments Incorporated nor the names of its suppliers 
 *  may be used to endorse or promote products derived from this software without 
 *  specific prior written permission.
 * 
 *  DISCLAIMER.
 * 
 *  THIS SOFTWARE IS PROVIDED BY TI AND TIS LICENSORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 *  AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL TI AND TIS 
 *  LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 *  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * 
 */


#ifndef QMSS_QOS_SCHED_BE_H_
#define QMSS_QOS_SCHED_BE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_be[] =  {
     0x21000300,
     0x80100001,
     0x0200010d,
     0x240000e0,
     0x81002280,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000181,
     0x248010c1,
     0x24010d82,
     0x240200c2,
     0x241ff8e0,
     0x80e06981,
     0x2eff8382,
     0x241e0082,
     0x24000027,
     0x240b2084,
     0x2eff898d,
     0x240220cf,
     0x2404ec8f,
     0x24006830,
     0x2400f810,
     0x24000831,
     0x24002811,
     0x8284298d,
     0x008f8484,
     0x01012727,
     0x510c2709,
     0x6f0227fc,
     0x240060cf,
     0x24009c8f,
     0x24004830,
     0x24008810,
     0x24000431,
     0x24000411,
     0x21001f00,
     0x1f17e3e3,
     0x241ff0e0,
     0x91082281,
     0x90802984,
     0x0101c4c1,
     0x80802981,
     0x241f80e0,
     0x92e02984,
     0xc917e303,
     0x1d17e3e3,
     0x21005c00,
     0x90c4e989,
     0x9284298d,
     0x92c56996,
     0x9085e992,
     0x90c6299c,
     0xc827e31f,
     0x0104c6e0,
     0x90e0299d,
     0x5100fd16,
     0x0048c2c7,
     0x0028c7c7,
     0x0068c7c7,
     0x0904c7e0,
     0x90e06780,
     0xd1020903,
     0x70fde00f,
     0x21004800,
     0x70fde10d,
     0x10c7c7e0,
     0x23029f9e,
     0x8282a98d,
     0x011c8282,
     0x9286a98d,
     0x00e0f1f1,
     0x0300f0f0,
     0x0101f3f3,
     0x8286a98d,
     0x051c8282,
     0x9282a98d,
     0x21004200,
     0x2302959e,
     0x601b680b,
     0x2302879e,
     0x58290703,
     0x2302909e,
     0x21006000,
     0x2302779e,
     0x610c2702,
     0x2302709e,
     0xc827e303,
     0x2302809e,
     0x2302909e,
     0xcf1fffdb,
     0x1f1fffff,
     0x01016363,
     0x241f80e0,
     0x82e02984,
     0x21006600,
     0x91006984,
     0xc90704bf,
     0x240001e5,
     0x69800404,
     0x69002419,
     0x10c2c2c4,
     0x21012400,
     0x69810408,
     0x111fc4e0,
     0x5100e003,
     0x240003e5,
     0x21012400,
     0x69002411,
     0x10c4c4c2,
     0x21012400,
     0x69820408,
     0x240000e0,
     0x81002280,
     0x10c4c4e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x21012400,
     0x6990044c,
     0x1f17e3e3,
     0x5f0c44f1,
     0x6f0064f0,
     0x51012404,
     0x51002434,
     0x240004e5,
     0x21012400,
     0x1e44e3e3,
     0x240b2086,
     0x240320c7,
     0x24009c87,
     0x240060c8,
     0x24000009,
     0x10444429,
     0x51002908,
     0x49022903,
     0x2404ec87,
     0x240220c8,
     0x00878686,
     0x00c8c7c7,
     0x05012929,
     0x4f0029fa,
     0x9286298b,
     0x240000eb,
     0x2400006f,
     0x2400004f,
     0x240000ec,
     0x108d8dc6,
     0x108686e0,
     0x240000ea,
     0x80e0298a,
     0x0504c6c6,
     0x0104e0e0,
     0x6f00c6fd,
     0x8286298b,
     0xd1010908,
     0x92c76990,
     0xc9041006,
     0x24000109,
     0x24000129,
     0x24009c87,
     0x240060c8,
     0x21009000,
     0x104444e0,
     0x2302709e,
     0x50e02703,
     0x2302779e,
     0x2100ab00,
     0x10636370,
     0x2302809e,
     0x50290704,
     0x103b3b75,
     0x2302879e,
     0x2100b000,
     0x2302779e,
     0x21012300,
     0x1cc4e3e3,
     0x10c4c4e0,
     0x2302709e,
     0x50e02703,
     0x2302779e,
     0x2100b900,
     0x00c248c7,
     0x240000dd,
     0x5011dd0a,
     0x0904c7e0,
     0x90e02780,
     0x5100e004,
     0x10c7c7e0,
     0x23029f9e,
     0x2100bf00,
     0x0101dddd,
     0x0101c7c7,
     0x2100be00,
     0x21012300,
     0x69910420,
     0x240040c7,
     0x24000086,
     0x5f0c44a4,
     0x6f0064a3,
     0x24032087,
     0x240060e1,
     0x10c4c4e0,
     0x5100e006,
     0x4902e002,
     0x240220e1,
     0x00e18787,
     0x0501e0e0,
     0x4f00e0fc,
     0x240060c6,
     0x24004886,
     0x5902c403,
     0x240220c6,
     0x24000086,
     0x51002404,
     0x6f0124a6,
     0x1f17e3e3,
     0x2100e200,
     0x108787c7,
     0x24004087,
     0x90c72988,
     0x80872988,
     0x0104c7c7,
     0x01048787,
     0x0504c6c6,
     0x4f00c6fb,
     0x21012400,
     0x69920438,
     0xc9072402,
     0x21008300,
     0x111fc460,
     0x0b05c440,
     0x11074040,
     0x0b08c420,
     0x10242400,
     0x5f0c607f,
     0x2302709e,
     0x50602703,
     0x2302779e,
     0x666027ff,
     0x5e29407a,
     0x2302809e,
     0x50400703,
     0x2302879e,
     0x664007ff,
     0x240300e1,
     0x69ff2008,
     0x24000020,
     0x240040e1,
     0x101b1b14,
     0x80e12994,
     0x0104e1e1,
     0x101b1b60,
     0x21010500,
     0x01012060,
     0x5e1b206b,
     0x2302909e,
     0x50206803,
     0x2302959e,
     0x662068ff,
     0x9286a98d,
     0x10efeff4,
     0x10eeeef5,
     0x10f1f1f6,
     0x10f0f0f7,
     0x10f2f2f8,
     0x10f3f3f9,
     0x82e16994,
     0xc9000003,
     0x240000ef,
     0x240000ee,
     0xc9010002,
     0x240000f2,
     0xc9020003,
     0x240000f1,
     0x240000f0,
     0xc9030002,
     0x240000f3,
     0x8286a98d,
     0x01012020,
     0x0118e1e1,
     0x666020e9,
     0x21012300,
     0x240002e5,
     0x21012400,
     0x240001e5,
     0x24000004,
     0x81006984,
     0x2302709e,
     0xc827e39b,
     0x2400007d,
     0x50706332,
     0x01017070,
     0xc9010905,
     0x00ebeded,
     0xd11fed03,
     0x70eced02,
     0x10ececed,
     0xc9050909,
     0x0110c4e0,
     0x90e0698b,
     0x00ebeeee,
     0xd11fee03,
     0x70ecee02,
     0x10ececee,
     0x0108c4e0,
     0x90e0698b,
     0x2302809e,
     0xc9057b0b,
     0x00f6f2f2,
     0xd11ff203,
     0x70f8f202,
     0x10f8f8f2,
     0x00f7f3f3,
     0x5100f305,
     0xd11ff304,
     0x1e077d7d,
     0x70f9f302,
     0x10f9f9f3,
     0xc9067b13,
     0x01108580,
     0x0118c5c0,
     0x80856992,
     0x90806992,
     0x90c0e996,
     0x00f6f2f2,
     0xd11ff203,
     0x70f8f202,
     0x10f8f8f2,
     0x00f7f3f3,
     0x1c077d7d,
     0x5100f305,
     0xd11ff304,
     0x1e077d7d,
     0x70f9f302,
     0x10f9f9f3,
     0x80806992,
     0x90856992,
     0x2302879e,
     0x662907e1,
     0x21012900,
     0x240000e0,
     0x5100ca08,
     0x0904c9e0,
     0xc9030902,
     0x0104e0e0,
     0x90e02780,
     0x04e0cae0,
     0x5100e060,
     0xd11fe05f,
     0x80822980,
     0x01048282,
     0x2400ff5d,
     0xc9010903,
     0x5100ed59,
     0xd11fed58,
     0xc9050903,
     0x5100ee56,
     0xd11fee55,
     0x1d003d3d,
     0x2302809e,
     0xc9057b03,
     0x5100f215,
     0xd11ff214,
     0xc9067b06,
     0x011085e0,
     0x90e06992,
     0x5100f207,
     0xd11ff206,
     0x90856992,
     0x2301f39e,
     0x6900e005,
     0x1c075d5d,
     0x21018500,
     0x90856992,
     0x21018500,
     0x1d1fe0e0,
     0x1d033d3d,
     0x2301d59e,
     0x1f003d3d,
     0xc9013d43,
     0x2302c29e,
     0x5100e041,
     0x2302879e,
     0x662907e9,
     0xd7003de6,
     0x2302809e,
     0xc9010903,
     0x5100ed37,
     0xd11fed36,
     0xc9050903,
     0x5100ee34,
     0xd11fee33,
     0x105d7de0,
     0x5100e031,
     0x105d7de0,
     0x1071e0e0,
     0x6900e010,
     0x2302879e,
     0x2302809e,
     0x00faf4f4,
     0x0901fae0,
     0xd11ff403,
     0x70e0f402,
     0x10e0e0f4,
     0x5100fa03,
     0xd11ff403,
     0x5100f402,
     0x1e077171,
     0x2302879e,
     0x662907f6,
     0x2302809e,
     0x21019100,
     0x50510703,
     0x2302879e,
     0x2101a300,
     0xc851e015,
     0x2301f39e,
     0x6900e003,
     0x1c515d5d,
     0x2101bb00,
     0x1d1fe0e0,
     0x1f033d3d,
     0x2301d59e,
     0x0908e0e1,
     0xd1000903,
     0x240001e1,
     0x0911e1e1,
     0x04e1f4f4,
     0xd1023d02,
     0x1c517d7d,
     0x5100f403,
     0xd11ff402,
     0x2101b900,
     0x1c517171,
     0x2302c29e,
     0x5100e00b,
     0x2302879e,
     0x01015151,
     0x662951cc,
     0x24000051,
     0x2302809e,
     0x21018900,
     0x05048282,
     0x2302779e,
     0x670c2764,
     0x21002c00,
     0x8085e992,
     0x2101c100,
     0x1d013d3d,
     0x2101de00,
     0x1d013d3d,
     0x2101e800,
     0x5100f303,
     0xd11ff302,
     0x2101e200,
     0x1d023d3d,
     0x2101e200,
     0x5100f303,
     0xd11ff302,
     0x2101ef00,
     0x1d023d3d,
     0x2101ef00,
     0x1f013d3d,
     0x1f023d3d,
     0x000ae0e1,
     0x042ae1e1,
     0x090be1e1,
     0xc9010904,
     0x04e1eded,
     0x5700edeb,
     0xd71fedea,
     0xc9057b04,
     0x04e1f3f3,
     0xd7033deb,
     0x04e1f2f2,
     0x240001e1,
     0x0914e1e1,
     0xc9050904,
     0x04e1eeee,
     0x5700eee3,
     0xd71feee2,
     0xc9067b0a,
     0x80856992,
     0x011085f2,
     0x90f26992,
     0x04e1f3f3,
     0xd7033de3,
     0x04e1f2f2,
     0x011085e1,
     0x80e16992,
     0x90856992,
     0x209e0000,
     0x109e9ede,
     0x8082698d,
     0x01088282,
     0xc91fff03,
     0x1f1fffff,
     0x01016363,
     0x002848e1,
     0x00c2e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e10d,
     0x51000d4a,
     0x005b3b6d,
     0x2302909e,
     0x503b6806,
     0xc8680d03,
     0x23025b9e,
     0x21024b00,
     0x2302959e,
     0x663b68fc,
     0x51005b3b,
     0x2400004d,
     0x240001e1,
     0x085be1e1,
     0x0501e1e1,
     0x083be1e1,
     0x100de1e1,
     0x5100e131,
     0x100d55e1,
     0x6900e115,
     0x2302909e,
     0x503b6803,
     0x2302959e,
     0x21021400,
     0x103b3b2d,
     0x9086298e,
     0x00fceeee,
     0x0901fce0,
     0xd11fee03,
     0x70e0ee02,
     0x10e0e0ee,
     0x5100fc03,
     0xd11fee03,
     0x5100ee02,
     0x1e2d5555,
     0x8086298e,
     0x01012d2d,
     0x2302959e,
     0x666d2df3,
     0x21021100,
     0x50756805,
     0x2302909e,
     0x50756803,
     0x2302959e,
     0x21022900,
     0x100d55e1,
     0xc875e112,
     0x23025b9e,
     0x5100e00d,
     0x000ae0e1,
     0x042ae1e1,
     0x0908e1e1,
     0xd1000903,
     0x240001e1,
     0x0911e1e1,
     0x9086298e,
     0x04e1eeee,
     0x8086298e,
     0x5100ee03,
     0xd11fee02,
     0x21023d00,
     0x1c755555,
     0x23024f9e,
     0x21024b00,
     0x23024f9e,
     0x665b4dd1,
     0x506d6803,
     0x2302959e,
     0x21024100,
     0x501b6806,
     0xc8680d03,
     0x23025b9e,
     0x21024b00,
     0x2302959e,
     0x661b68fc,
     0x240000e0,
     0x05088282,
     0x9082698d,
     0x10dede9e,
     0x209e0000,
     0x8082299e,
     0x01048282,
     0x01017575,
     0x606d7503,
     0x2302909e,
     0x103b3b75,
     0x50756803,
     0x2302959e,
     0x21025500,
     0x05048282,
     0x9082299e,
     0x209e0000,
     0x8282a98d,
     0x011c8282,
     0x9286a98d,
     0x002848e0,
     0x0068e0e0,
     0x00c2e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e109,
     0x0101f2f2,
     0x00e0efef,
     0x0300eeee,
     0x8286a98d,
     0x0904c9f2,
     0x0108f2f2,
     0x80f26680,
     0x1f1fe0e0,
     0x051c8282,
     0x9282a98d,
     0x209e0000,
     0x24000027,
     0x24000048,
     0x240320c4,
     0x240b2084,
     0x90c4e989,
     0x9284298d,
     0x209e0000,
     0x8284298d,
     0x00cfc4c4,
     0x008f8484,
     0x00114848,
     0x01012727,
     0x510c2703,
     0x90c4e989,
     0x9284298d,
     0x209e0000,
     0x24000007,
     0x24000028,
     0x0118c4c5,
     0x01148485,
     0x92c56996,
     0x9085e992,
     0x209e0000,
     0x8085e992,
     0x0030c5c5,
     0x00108585,
     0x01010707,
     0x00312828,
     0x58290703,
     0x92c56996,
     0x9085e992,
     0x209e0000,
     0x24000068,
     0x0128c5c6,
     0x01188586,
     0x90c6299c,
     0x209e0000,
     0x0108c6c6,
     0x011c8686,
     0x01016868,
     0xc9040904,
     0x69046803,
     0x0140c6c6,
     0x012c8686,
     0x581b6802,
     0x90c6299c,
     0x209e0000,
     0x84822984,
     0x01248282,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06684,
     0x11f00505,
     0x10e4e4e6,
     0x5100e518,
     0xf3006587,
     0x11c067e0,
     0x5100e003,
     0x5180e010,
     0x2102be00,
     0xd10fe902,
     0x240000ec,
     0x240000e4,
     0xc90ee902,
     0x1f1fe4e4,
     0x113f2929,
     0x090489e0,
     0x0108e0e0,
     0x80e06684,
     0x5100ec09,
     0x10ecece5,
     0x11f00505,
     0xf3006587,
     0x2102ae00,
     0x113f2929,
     0x090489e0,
     0x010ce0e0,
     0x80e02685,
     0x10e6e6e0,
     0x05248282,
     0x94822984,
     0x209e0000,
     0x05048282,
     0x90822981,
     0x5100e10a,
     0xd1030903,
     0x0501e1e1,
     0x2102cb00,
     0x04e0e1e1,
     0x040ae1e1,
     0x002ae1e1,
     0x240000e0,
     0x5100e103,
     0xd11fe102,
     0x240001e0,
     0x80822981,
     0x01048282,
     0x209e0000,
     0x00000060,
     0x00000220,
     0x0000009c,
     0x000004ec,
     0x00000018,
     0x000000c8,
     0x00000040 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_BE_H_ */

