/*
 *  TEXAS INSTRUMENTS TEXT FILE LICENSE
 * 
 *   Copyright (c) 2016 Texas Instruments Incorporated
 * 
 *  All rights reserved not granted herein.
 *  
 *  Limited License.  
 * 
 *  Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive 
 *  license under copyrights and patents it now or hereafter owns or controls to 
 *  make, have made, use, import, offer to sell and sell ("Utilize") this software 
 *  subject to the terms herein.  With respect to the foregoing patent license, 
 *  such license is granted  solely to the extent that any such patent is necessary 
 *  to Utilize the software alone.  The patent license shall not apply to any 
 *  combinations which include this software, other than combinations with devices 
 *  manufactured by or for TI (TI Devices).  No hardware patent is licensed hereunder.
 * 
 *  Redistributions must preserve existing copyright notices and reproduce this license 
 *  (including the above copyright notice and the disclaimer and (if applicable) source 
 *  code license limitations below) in the documentation and/or other materials provided 
 *  with the distribution.
 *  
 *  Redistribution and use in binary form, without modification, are permitted provided 
 *  that the following conditions are met:
 * 	No reverse engineering, decompilation, or disassembly of this software is 
 *   permitted with respect to any software provided in binary form.
 * 	Any redistribution and use are licensed by TI for use only with TI Devices.
 * 	Nothing shall obligate TI to provide you with source code for the software 
 *   licensed and provided to you in object code.
 *  
 *  If software source code is provided to you, modification and redistribution of the 
 *  source code are permitted provided that the following conditions are met:
 * 	Any redistribution and use of the source code, including any resulting derivative 
 *   works, are licensed by TI for use only with TI Devices.
 * 	Any redistribution and use of any object code compiled from the source code
 *   and any resulting derivative works, are licensed by TI for use only with TI Devices.
 * 
 *  Neither the name of Texas Instruments Incorporated nor the names of its suppliers 
 *  may be used to endorse or promote products derived from this software without 
 *  specific prior written permission.
 * 
 *  DISCLAIMER.
 * 
 *  THIS SOFTWARE IS PROVIDED BY TI AND TIS LICENSORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 *  AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL TI AND TIS 
 *  LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 *  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * 
 */


#ifndef QMSS_QOS_SCHED_WIDE_BE_H_
#define QMSS_QOS_SCHED_WIDE_BE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_wide_be[] =  {
     0x21000300,
     0x80400001,
     0x0200010d,
     0x240000e0,
     0x81002280,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000181,
     0x248040c1,
     0x24010d82,
     0x240200c2,
     0x241ff8e0,
     0x80e06981,
     0x2eff8382,
     0x241e0082,
     0x24000026,
     0x2eff878c,
     0x241000ce,
     0x2400580e,
     0x2400f06f,
     0x2400082f,
     0x2400880f,
     0x240c68e0,
     0x80e0e98c,
     0x1f17e3e3,
     0x241ff0e0,
     0x91082281,
     0x90802984,
     0x0101c4c1,
     0x80802981,
     0x241f80e0,
     0x90e0e984,
     0xc917e303,
     0x1d17e3e3,
     0x21005200,
     0x240680e0,
     0x90e0e988,
     0x240c68e0,
     0x90e0e98c,
     0x92c46994,
     0x9084e990,
     0x90c5299a,
     0xc826e31f,
     0x0104c5e0,
     0x90e0299b,
     0x5100fb16,
     0x0047c2c6,
     0x0027c6c6,
     0x0067c6c6,
     0x0904c6e0,
     0x90e06780,
     0xd1020803,
     0x70fbe00f,
     0x21003e00,
     0x70fbe10d,
     0x10c6c6e0,
     0x2302499e,
     0x8282a98c,
     0x011c8282,
     0x9285a98c,
     0x00e0f0f0,
     0x0300efef,
     0x0101f2f2,
     0x8285a98c,
     0x051c8282,
     0x9282a98c,
     0x21003800,
     0x23023f9e,
     0x6019670b,
     0x2302319e,
     0x58280603,
     0x23023a9e,
     0x21005600,
     0x2302269e,
     0x61012602,
     0x23021f9e,
     0xc826e303,
     0x23022a9e,
     0x23023a9e,
     0xcf1fffdb,
     0x1f1fffff,
     0x01016363,
     0x241f80e0,
     0x80e0e984,
     0x21005c00,
     0x91006984,
     0xc90704be,
     0x240001e5,
     0x69800404,
     0x69002419,
     0x10c2c2c4,
     0x21011900,
     0x69810408,
     0x111fc4e0,
     0x5100e003,
     0x240003e5,
     0x21011900,
     0x69002411,
     0x10c4c4c2,
     0x21011900,
     0x69820408,
     0x240000e0,
     0x81002280,
     0x10c4c4e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x21011900,
     0x6990044b,
     0x1f17e3e3,
     0x5f0144f1,
     0x6f0064f0,
     0x51012404,
     0x51002433,
     0x240004e5,
     0x21011900,
     0x1e44e3e3,
     0x240c6886,
     0x240680c7,
     0x24009087,
     0x240048c8,
     0x24000009,
     0x10444429,
     0x51002908,
     0x49012903,
     0x24100087,
     0x2405e8c8,
     0x00878686,
     0x00c8c7c7,
     0x05012929,
     0x4f0029fa,
     0x9086e98b,
     0x240000eb,
     0x240000ec,
     0x2400004e,
     0x10cdcdc6,
     0x108686e0,
     0x240000ea,
     0x80e0298a,
     0x0504c6c6,
     0x0104e0e0,
     0x6f00c6fd,
     0x8086e98b,
     0xd1010908,
     0x90c7e98f,
     0xc9040f06,
     0x24000109,
     0x24000129,
     0x24009087,
     0x240048c8,
     0x21008600,
     0x104444e0,
     0x23021f9e,
     0x50e02603,
     0x2302269e,
     0x2100a000,
     0x1063632e,
     0x23022a9e,
     0x50280604,
     0x10393973,
     0x2302319e,
     0x2100a500,
     0x2302269e,
     0x21011800,
     0x1cc4e3e3,
     0x10c4c4e0,
     0x23021f9e,
     0x50e02603,
     0x2302269e,
     0x2100ae00,
     0x00c247c6,
     0x240000dd,
     0x500fdd0a,
     0x0904c6e0,
     0x90e02780,
     0x5100e004,
     0x10c6c6e0,
     0x2302499e,
     0x2100b400,
     0x0101dddd,
     0x0101c6c6,
     0x2100b300,
     0x21011800,
     0x69910420,
     0x240040c7,
     0x24000086,
     0x5f0144a5,
     0x6f0064a4,
     0x24068087,
     0x240048e1,
     0x10c4c4e0,
     0x5100e006,
     0x4901e002,
     0x2405e8e1,
     0x00e18787,
     0x0501e0e0,
     0x4f00e0fc,
     0x240048c6,
     0x24003886,
     0x5901c403,
     0x2405e8c6,
     0x24000086,
     0x51002404,
     0x6f0124a7,
     0x1f17e3e3,
     0x2100d700,
     0x108787c7,
     0x24004087,
     0x90c72988,
     0x80872988,
     0x0104c7c7,
     0x01048787,
     0x0504c6c6,
     0x4f00c6fb,
     0x21011900,
     0x69920438,
     0xc9072402,
     0x21007900,
     0x1107c460,
     0x0b03c440,
     0x111f4040,
     0x0b08c420,
     0x10242400,
     0x5f016080,
     0x23021f9e,
     0x50602603,
     0x2302269e,
     0x666026ff,
     0x5e28407b,
     0x23022a9e,
     0x50400603,
     0x2302319e,
     0x664006ff,
     0x240660e1,
     0x69ff2008,
     0x24000020,
     0x240040e1,
     0x10191914,
     0x80e12994,
     0x0104e1e1,
     0x10191960,
     0x2100fa00,
     0x01012060,
     0x5e19206c,
     0x23023a9e,
     0x50206703,
     0x23023f9e,
     0x662067ff,
     0x9285a98c,
     0x10eeeef4,
     0x10ededf5,
     0x10f0f0f6,
     0x10efeff7,
     0x10f1f1f8,
     0x10f2f2f9,
     0x82e16994,
     0xc9000003,
     0x240000ee,
     0x240000ed,
     0xc9010002,
     0x240000f1,
     0xc9020003,
     0x240000f0,
     0x240000ef,
     0xc9030002,
     0x240000f2,
     0x8285a98c,
     0x01012020,
     0x0118e1e1,
     0x666020e9,
     0x21011800,
     0x240002e5,
     0x21011900,
     0x240001e5,
     0x24000004,
     0x81006984,
     0x23021f9e,
     0xc826e381,
     0x240000fb,
     0x502e6314,
     0x01012e2e,
     0x00eaecec,
     0xd11fec03,
     0x70ebec02,
     0x10ebebec,
     0x23022a9e,
     0x00f4f0f0,
     0xd11ff003,
     0x70f6f002,
     0x10f6f6f0,
     0x00f5f1f1,
     0x5100f105,
     0xd11ff104,
     0x1e06fbfb,
     0x70f7f102,
     0x10f7f7f1,
     0x2302319e,
     0x662806f5,
     0x21011e00,
     0x240000e0,
     0x5100c908,
     0x0904c8e0,
     0xc9030802,
     0x0104e0e0,
     0x90e02780,
     0x04e0c9e0,
     0x5100e064,
     0xd11fe063,
     0x80822980,
     0x01048282,
     0x24ffff9c,
     0x2400ff5c,
     0x5100ec5d,
     0xd11fec5c,
     0x1d1ffcfc,
     0x23022a9e,
     0x5100f015,
     0xd11ff014,
     0x2301a29e,
     0x6900e003,
     0x1c06fcfc,
     0x21015800,
     0x1d1fe0e0,
     0x0009e0e1,
     0x0429e1e1,
     0x090be1e1,
     0xd1010803,
     0x240001e1,
     0x0914e1e1,
     0x04e1ecec,
     0x04e1f0f0,
     0x04e1f1f1,
     0x1f1ffcfc,
     0x5100ec4c,
     0xd11fec4b,
     0x23026c9e,
     0x5100e049,
     0x2302319e,
     0x662806ea,
     0xd71ffce7,
     0x23022a9e,
     0x5100ec40,
     0xd11fec3f,
     0x10fcfbe0,
     0x5100e03d,
     0x10fcfbe0,
     0x10ede0e0,
     0x6900e010,
     0x2302319e,
     0x23022a9e,
     0x00f8f2f2,
     0x0901f8e0,
     0xd11ff203,
     0x70e0f202,
     0x10e0e0f2,
     0x5100f803,
     0xd11ff203,
     0x5100f202,
     0x1e06eded,
     0x2302319e,
     0x662806f6,
     0x23022a9e,
     0x21016000,
     0x504f0603,
     0x2302319e,
     0x21017200,
     0xc84fe021,
     0x2301a29e,
     0x6900e003,
     0x1c4ffcfc,
     0x21019600,
     0x1d1fe0e0,
     0x80822980,
     0x01048282,
     0x0009e0e0,
     0x0429e0e0,
     0x090be0e1,
     0xd1010803,
     0x240001e1,
     0x0914e1e1,
     0x0908e0e0,
     0xd1000803,
     0x240001e0,
     0x0911e0e0,
     0x04e1ecec,
     0x04e1f1f1,
     0x04e0f2f2,
     0x5100f103,
     0xd11ff102,
     0x21018e00,
     0x1c4ffbfb,
     0x5100f203,
     0xd11ff202,
     0x21019200,
     0x1c4feded,
     0x05048282,
     0x90822980,
     0x23026c9e,
     0x5100e00b,
     0x2302319e,
     0x01014f4f,
     0x66284fc4,
     0x2400004f,
     0x23022a9e,
     0x21015c00,
     0x05048282,
     0x2302269e,
     0x6701267e,
     0x21002000,
     0x8084e990,
     0x21019c00,
     0x109e9ede,
     0x8082698d,
     0x01088282,
     0xc91fff03,
     0x1f1fffff,
     0x01016363,
     0x002747e1,
     0x00c2e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e10d,
     0x51000d4a,
     0x0059396d,
     0x23023a9e,
     0x50396706,
     0xc8670d03,
     0x23020a9e,
     0x2101fa00,
     0x23023f9e,
     0x663967fc,
     0x5100593b,
     0x2400004d,
     0x240001e1,
     0x0859e1e1,
     0x0501e1e1,
     0x0839e1e1,
     0x100de1e1,
     0x5100e131,
     0x100d53e1,
     0x6900e115,
     0x23023a9e,
     0x50396703,
     0x23023f9e,
     0x2101c300,
     0x1039392d,
     0x9085298e,
     0x00faeeee,
     0x0901fae0,
     0xd11fee03,
     0x70e0ee02,
     0x10e0e0ee,
     0x5100fa03,
     0xd11fee03,
     0x5100ee02,
     0x1e2d5353,
     0x8085298e,
     0x01012d2d,
     0x23023f9e,
     0x666d2df3,
     0x2101c000,
     0x50736705,
     0x23023a9e,
     0x50736703,
     0x23023f9e,
     0x2101d800,
     0x100d53e1,
     0xc873e112,
     0x23020a9e,
     0x5100e00d,
     0x0009e0e1,
     0x0429e1e1,
     0x0908e1e1,
     0xd1000803,
     0x240001e1,
     0x0911e1e1,
     0x9085298e,
     0x04e1eeee,
     0x8085298e,
     0x5100ee03,
     0xd11fee02,
     0x2101ec00,
     0x1c735353,
     0x2301fe9e,
     0x2101fa00,
     0x2301fe9e,
     0x66594dd1,
     0x506d6703,
     0x23023f9e,
     0x2101f000,
     0x50196706,
     0xc8670d03,
     0x23020a9e,
     0x2101fa00,
     0x23023f9e,
     0x661967fc,
     0x240000e0,
     0x05088282,
     0x9082698d,
     0x10dede9e,
     0x209e0000,
     0x8082299e,
     0x01048282,
     0x01017373,
     0x606d7303,
     0x23023a9e,
     0x10393973,
     0x50736703,
     0x23023f9e,
     0x21020400,
     0x05048282,
     0x9082299e,
     0x209e0000,
     0x8282a98c,
     0x011c8282,
     0x9285a98c,
     0x002747e0,
     0x0067e0e0,
     0x00c2e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e109,
     0x0101f1f1,
     0x00e0eeee,
     0x0300eded,
     0x8285a98c,
     0x0904c8f1,
     0x0108f1f1,
     0x80f16680,
     0x1f1fe0e0,
     0x051c8282,
     0x9282a98c,
     0x209e0000,
     0x24000026,
     0x24000047,
     0x240680e1,
     0x90e1e988,
     0x240c68e1,
     0x90e1e98c,
     0x209e0000,
     0x240c68e1,
     0x80e1e98c,
     0x01012626,
     0x209e0000,
     0x24000006,
     0x24000027,
     0x240690c4,
     0x240c7884,
     0x92c46994,
     0x9084e990,
     0x209e0000,
     0x8084e990,
     0x000ec4c4,
     0x006f8484,
     0x01010606,
     0x002f2727,
     0x58280603,
     0x92c46994,
     0x9084e990,
     0x209e0000,
     0x24000067,
     0x0118c4c5,
     0x01108485,
     0x90c5299a,
     0x209e0000,
     0x0108c5c5,
     0x011c8585,
     0x01016767,
     0xc9040804,
     0x69046703,
     0x0128c5c5,
     0x01208585,
     0x58196702,
     0x90c5299a,
     0x209e0000,
     0x84822984,
     0x01248282,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06684,
     0x11f00505,
     0x10e4e4e6,
     0x5100e518,
     0xf3006587,
     0x11c067e0,
     0x5100e003,
     0x5180e010,
     0x21026800,
     0xd10fe902,
     0x240000ec,
     0x240000e4,
     0xc90ee902,
     0x1f1fe4e4,
     0x113f2929,
     0x090489e0,
     0x0108e0e0,
     0x80e06684,
     0x5100ec09,
     0x10ecece5,
     0x11f00505,
     0xf3006587,
     0x21025800,
     0x113f2929,
     0x090489e0,
     0x010ce0e0,
     0x80e02685,
     0x10e6e6e0,
     0x05248282,
     0x94822984,
     0x209e0000,
     0x05048282,
     0x90822981,
     0x5100e10a,
     0xd1030803,
     0x0501e1e1,
     0x21027500,
     0x04e0e1e1,
     0x0409e1e1,
     0x0029e1e1,
     0x240000e0,
     0x5100e103,
     0xd11fe102,
     0x240001e0,
     0x80822981,
     0x01048282,
     0x209e0000,
     0x00000048,
     0x000005e8,
     0x00000090,
     0x00001000,
     0x00000010,
     0x00000198,
     0x00000040 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_WIDE_BE_H_ */

