/*
 *  TEXAS INSTRUMENTS TEXT FILE LICENSE
 * 
 *   Copyright (c) 2016 Texas Instruments Incorporated
 * 
 *  All rights reserved not granted herein.
 *  
 *  Limited License.  
 * 
 *  Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive 
 *  license under copyrights and patents it now or hereafter owns or controls to 
 *  make, have made, use, import, offer to sell and sell ("Utilize") this software 
 *  subject to the terms herein.  With respect to the foregoing patent license, 
 *  such license is granted  solely to the extent that any such patent is necessary 
 *  to Utilize the software alone.  The patent license shall not apply to any 
 *  combinations which include this software, other than combinations with devices 
 *  manufactured by or for TI (TI Devices).  No hardware patent is licensed hereunder.
 * 
 *  Redistributions must preserve existing copyright notices and reproduce this license 
 *  (including the above copyright notice and the disclaimer and (if applicable) source 
 *  code license limitations below) in the documentation and/or other materials provided 
 *  with the distribution.
 *  
 *  Redistribution and use in binary form, without modification, are permitted provided 
 *  that the following conditions are met:
 * 	No reverse engineering, decompilation, or disassembly of this software is 
 *   permitted with respect to any software provided in binary form.
 * 	Any redistribution and use are licensed by TI for use only with TI Devices.
 * 	Nothing shall obligate TI to provide you with source code for the software 
 *   licensed and provided to you in object code.
 *  
 *  If software source code is provided to you, modification and redistribution of the 
 *  source code are permitted provided that the following conditions are met:
 * 	Any redistribution and use of the source code, including any resulting derivative 
 *   works, are licensed by TI for use only with TI Devices.
 * 	Any redistribution and use of any object code compiled from the source code
 *   and any resulting derivative works, are licensed by TI for use only with TI Devices.
 * 
 *  Neither the name of Texas Instruments Incorporated nor the names of its suppliers 
 *  may be used to endorse or promote products derived from this software without 
 *  specific prior written permission.
 * 
 *  DISCLAIMER.
 * 
 *  THIS SOFTWARE IS PROVIDED BY TI AND TIS LICENSORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 *  AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL TI AND TIS 
 *  LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 *  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * 
 */


#ifndef QMSS_QOS_SCHED_WIDE_LE_H_
#define QMSS_QOS_SCHED_WIDE_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_wide_le[] =  {
     0x21000300,
     0x80400000,
     0x0200010d,
     0x240000e0,
     0x81002280,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000081,
     0x248040c1,
     0x24010d82,
     0x240200c2,
     0x241ff8e0,
     0x80e06981,
     0x2eff8382,
     0x241e00c2,
     0x24000046,
     0x2eff878c,
     0x2410008e,
     0x2400586e,
     0x2400f00f,
     0x2400084f,
     0x2400886f,
     0x240c68e0,
     0x80e0e98c,
     0x1f17e3e3,
     0x241ff0e0,
     0x91082281,
     0x90802984,
     0x0101c4c1,
     0x80802981,
     0x241f80e0,
     0x90e0e984,
     0xc917e303,
     0x1d17e3e3,
     0x21005200,
     0x240680e0,
     0x90e0e988,
     0x240c68e0,
     0x90e0e98c,
     0x92846994,
     0x90c4e990,
     0x9085299a,
     0xc846e31f,
     0x010485e0,
     0x90e0299b,
     0x5100fb16,
     0x00278286,
     0x00478686,
     0x00078686,
     0x090486e0,
     0x90e06780,
     0xd1020803,
     0x70fbe00f,
     0x21003e00,
     0x70fbe10d,
     0x108686e0,
     0x2302499e,
     0x82c2a98c,
     0x011cc2c2,
     0x92c5a98c,
     0x00e0f0f0,
     0x0300efef,
     0x0101f2f2,
     0x82c5a98c,
     0x051cc2c2,
     0x92c2a98c,
     0x21003800,
     0x23023f9e,
     0x6019070b,
     0x2302319e,
     0x58286603,
     0x23023a9e,
     0x21005600,
     0x2302269e,
     0x61014602,
     0x23021f9e,
     0xc846e303,
     0x23022a9e,
     0x23023a9e,
     0xcf1fffdb,
     0x1f1fffff,
     0x01016363,
     0x241f80e0,
     0x80e0e984,
     0x21005c00,
     0x91006984,
     0xc90704be,
     0x240001e5,
     0x69800404,
     0x69002419,
     0x108282c4,
     0x21011900,
     0x69810408,
     0x111fc4e0,
     0x5100e003,
     0x240003e5,
     0x21011900,
     0x69002411,
     0x10c4c482,
     0x21011900,
     0x69820408,
     0x240000e0,
     0x81002280,
     0x10c4c4e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x21011900,
     0x6990044b,
     0x1f17e3e3,
     0x5f0144f1,
     0x6f0064f0,
     0x51012404,
     0x51002433,
     0x240004e5,
     0x21011900,
     0x1e44e3e3,
     0x240c68c6,
     0x24068087,
     0x240090c7,
     0x24004888,
     0x24000069,
     0x10444449,
     0x51004908,
     0x49014903,
     0x241000c7,
     0x2405e888,
     0x00c7c6c6,
     0x00888787,
     0x05014949,
     0x4f0049fa,
     0x90c6e98b,
     0x240000eb,
     0x240000ec,
     0x2400002e,
     0x108d8d86,
     0x10c6c6e0,
     0x240000ea,
     0x80e0298a,
     0x05048686,
     0x0104e0e0,
     0x6f0086fd,
     0x80c6e98b,
     0xd1016908,
     0x9087e98f,
     0xc9040f06,
     0x24000169,
     0x24000149,
     0x240090c7,
     0x24004888,
     0x21008600,
     0x104444e0,
     0x23021f9e,
     0x50e04603,
     0x2302269e,
     0x2100a000,
     0x1063634e,
     0x23022a9e,
     0x50286604,
     0x10393913,
     0x2302319e,
     0x2100a500,
     0x2302269e,
     0x21011800,
     0x1cc4e3e3,
     0x10c4c4e0,
     0x23021f9e,
     0x50e04603,
     0x2302269e,
     0x2100ae00,
     0x00822786,
     0x2400009d,
     0x506f9d0a,
     0x090486e0,
     0x90e02780,
     0x5100e004,
     0x108686e0,
     0x2302499e,
     0x2100b400,
     0x01019d9d,
     0x01018686,
     0x2100b300,
     0x21011800,
     0x69910420,
     0x24004087,
     0x240000c6,
     0x5f0144a5,
     0x6f0064a4,
     0x240680c7,
     0x240048e1,
     0x10c4c4e0,
     0x5100e006,
     0x4901e002,
     0x2405e8e1,
     0x00e1c7c7,
     0x0501e0e0,
     0x4f00e0fc,
     0x24004886,
     0x240038c6,
     0x5901c403,
     0x2405e886,
     0x240000c6,
     0x51002404,
     0x6f0124a7,
     0x1f17e3e3,
     0x2100d700,
     0x10c7c787,
     0x240040c7,
     0x90872988,
     0x80c72988,
     0x01048787,
     0x0104c7c7,
     0x05048686,
     0x4f0086fb,
     0x21011900,
     0x69920438,
     0xc9072402,
     0x21007900,
     0x1107c400,
     0x0b03c420,
     0x111f2020,
     0x0b08c440,
     0x10242460,
     0x5f010080,
     0x23021f9e,
     0x50004603,
     0x2302269e,
     0x660046ff,
     0x5e28207b,
     0x23022a9e,
     0x50206603,
     0x2302319e,
     0x662066ff,
     0x240660e1,
     0x69ff4008,
     0x24000040,
     0x240040e1,
     0x10191914,
     0x80e12994,
     0x0104e1e1,
     0x10191900,
     0x2100fa00,
     0x01014000,
     0x5e19406c,
     0x23023a9e,
     0x50400703,
     0x23023f9e,
     0x664007ff,
     0x92c5a98c,
     0x10eeeef4,
     0x10ededf5,
     0x10f0f0f6,
     0x10efeff7,
     0x10f1f1f8,
     0x10f2f2f9,
     0x82e16994,
     0xc9006003,
     0x240000ee,
     0x240000ed,
     0xc9016002,
     0x240000f1,
     0xc9026003,
     0x240000f0,
     0x240000ef,
     0xc9036002,
     0x240000f2,
     0x82c5a98c,
     0x01014040,
     0x0118e1e1,
     0x660040e9,
     0x21011800,
     0x240002e5,
     0x21011900,
     0x240001e5,
     0x24000004,
     0x81006984,
     0x23021f9e,
     0xc846e381,
     0x240000fb,
     0x504e6314,
     0x01014e4e,
     0x00eaecec,
     0xd11fec03,
     0x70ebec02,
     0x10ebebec,
     0x23022a9e,
     0x00f4f0f0,
     0xd11ff003,
     0x70f6f002,
     0x10f6f6f0,
     0x00f5f1f1,
     0x5100f105,
     0xd11ff104,
     0x1e66fbfb,
     0x70f7f102,
     0x10f7f7f1,
     0x2302319e,
     0x662866f5,
     0x21011e00,
     0x240000e0,
     0x5100c908,
     0x0904c8e0,
     0xc9030802,
     0x0104e0e0,
     0x90e02780,
     0x04e0c9e0,
     0x5100e064,
     0xd11fe063,
     0x80c22980,
     0x0104c2c2,
     0x24ffff9c,
     0x2400ff5c,
     0x5100ec5d,
     0xd11fec5c,
     0x1d1ffcfc,
     0x23022a9e,
     0x5100f015,
     0xd11ff014,
     0x2301a29e,
     0x6900e003,
     0x1c66fcfc,
     0x21015800,
     0x1d1fe0e0,
     0x0009e0e1,
     0x0429e1e1,
     0x090be1e1,
     0xd1010803,
     0x240001e1,
     0x0914e1e1,
     0x04e1ecec,
     0x04e1f0f0,
     0x04e1f1f1,
     0x1f1ffcfc,
     0x5100ec4c,
     0xd11fec4b,
     0x23026c9e,
     0x5100e049,
     0x2302319e,
     0x662866ea,
     0xd71ffce7,
     0x23022a9e,
     0x5100ec40,
     0xd11fec3f,
     0x10fcfbe0,
     0x5100e03d,
     0x10fcfbe0,
     0x10ede0e0,
     0x6900e010,
     0x2302319e,
     0x23022a9e,
     0x00f8f2f2,
     0x0901f8e0,
     0xd11ff203,
     0x70e0f202,
     0x10e0e0f2,
     0x5100f803,
     0xd11ff203,
     0x5100f202,
     0x1e66eded,
     0x2302319e,
     0x662866f6,
     0x23022a9e,
     0x21016000,
     0x502f6603,
     0x2302319e,
     0x21017200,
     0xc82fe021,
     0x2301a29e,
     0x6900e003,
     0x1c2ffcfc,
     0x21019600,
     0x1d1fe0e0,
     0x80c22980,
     0x0104c2c2,
     0x0009e0e0,
     0x0429e0e0,
     0x090be0e1,
     0xd1010803,
     0x240001e1,
     0x0914e1e1,
     0x0908e0e0,
     0xd1000803,
     0x240001e0,
     0x0911e0e0,
     0x04e1ecec,
     0x04e1f1f1,
     0x04e0f2f2,
     0x5100f103,
     0xd11ff102,
     0x21018e00,
     0x1c2ffbfb,
     0x5100f203,
     0xd11ff202,
     0x21019200,
     0x1c2feded,
     0x0504c2c2,
     0x90c22980,
     0x23026c9e,
     0x5100e00b,
     0x2302319e,
     0x01012f2f,
     0x66282fc4,
     0x2400002f,
     0x23022a9e,
     0x21015c00,
     0x0504c2c2,
     0x2302269e,
     0x6701467e,
     0x21002000,
     0x80c4e990,
     0x21019c00,
     0x109e9ede,
     0x80c2698d,
     0x0108c2c2,
     0xc91fff03,
     0x1f1fffff,
     0x01016363,
     0x004727e1,
     0x0082e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e16d,
     0x51006d4a,
     0x0059390d,
     0x23023a9e,
     0x50390706,
     0xc8076d03,
     0x23020a9e,
     0x2101fa00,
     0x23023f9e,
     0x663907fc,
     0x5100593b,
     0x2400002d,
     0x240001e1,
     0x0859e1e1,
     0x0501e1e1,
     0x0839e1e1,
     0x106de1e1,
     0x5100e131,
     0x106d33e1,
     0x6900e115,
     0x23023a9e,
     0x50390703,
     0x23023f9e,
     0x2101c300,
     0x1039394d,
     0x90c5298e,
     0x00faeeee,
     0x0901fae0,
     0xd11fee03,
     0x70e0ee02,
     0x10e0e0ee,
     0x5100fa03,
     0xd11fee03,
     0x5100ee02,
     0x1e4d3333,
     0x80c5298e,
     0x01014d4d,
     0x23023f9e,
     0x660d4df3,
     0x2101c000,
     0x50130705,
     0x23023a9e,
     0x50130703,
     0x23023f9e,
     0x2101d800,
     0x106d33e1,
     0xc813e112,
     0x23020a9e,
     0x5100e00d,
     0x0009e0e1,
     0x0429e1e1,
     0x0908e1e1,
     0xd1000803,
     0x240001e1,
     0x0911e1e1,
     0x90c5298e,
     0x04e1eeee,
     0x80c5298e,
     0x5100ee03,
     0xd11fee02,
     0x2101ec00,
     0x1c133333,
     0x2301fe9e,
     0x2101fa00,
     0x2301fe9e,
     0x66592dd1,
     0x500d0703,
     0x23023f9e,
     0x2101f000,
     0x50190706,
     0xc8076d03,
     0x23020a9e,
     0x2101fa00,
     0x23023f9e,
     0x661907fc,
     0x240000e0,
     0x0508c2c2,
     0x90c2698d,
     0x10dede9e,
     0x209e0000,
     0x80c2299e,
     0x0104c2c2,
     0x01011313,
     0x600d1303,
     0x23023a9e,
     0x10393913,
     0x50130703,
     0x23023f9e,
     0x21020400,
     0x0504c2c2,
     0x90c2299e,
     0x209e0000,
     0x82c2a98c,
     0x011cc2c2,
     0x92c5a98c,
     0x004727e0,
     0x0007e0e0,
     0x0082e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e109,
     0x0101f1f1,
     0x00e0eeee,
     0x0300eded,
     0x82c5a98c,
     0x0904c8f1,
     0x0108f1f1,
     0x80f16680,
     0x1f1fe0e0,
     0x051cc2c2,
     0x92c2a98c,
     0x209e0000,
     0x24000046,
     0x24000027,
     0x240680e1,
     0x90e1e988,
     0x240c68e1,
     0x90e1e98c,
     0x209e0000,
     0x240c68e1,
     0x80e1e98c,
     0x01014646,
     0x209e0000,
     0x24000066,
     0x24000047,
     0x24069084,
     0x240c78c4,
     0x92846994,
     0x90c4e990,
     0x209e0000,
     0x80c4e990,
     0x006e8484,
     0x000fc4c4,
     0x01016666,
     0x004f4747,
     0x58286603,
     0x92846994,
     0x90c4e990,
     0x209e0000,
     0x24000007,
     0x01188485,
     0x0110c4c5,
     0x9085299a,
     0x209e0000,
     0x01088585,
     0x011cc5c5,
     0x01010707,
     0xc9040804,
     0x69040703,
     0x01288585,
     0x0120c5c5,
     0x58190702,
     0x9085299a,
     0x209e0000,
     0x84c22984,
     0x0124c2c2,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06684,
     0x11f00505,
     0x10e4e4e6,
     0x5100e518,
     0xf3006587,
     0x11c067e0,
     0x5100e003,
     0x5180e010,
     0x21026800,
     0xd10fe902,
     0x240000ec,
     0x240000e4,
     0xc90ee902,
     0x1f1fe4e4,
     0x113f2929,
     0x090489e0,
     0x0108e0e0,
     0x80e06684,
     0x5100ec09,
     0x10ecece5,
     0x11f00505,
     0xf3006587,
     0x21025800,
     0x113f2929,
     0x090489e0,
     0x010ce0e0,
     0x80e02685,
     0x10e6e6e0,
     0x0524c2c2,
     0x94c22984,
     0x209e0000,
     0x0504c2c2,
     0x90c22981,
     0x5100e10a,
     0xd1030803,
     0x0501e1e1,
     0x21027500,
     0x04e0e1e1,
     0x0409e1e1,
     0x0029e1e1,
     0x240000e0,
     0x5100e103,
     0xd11fe102,
     0x240001e0,
     0x80c22981,
     0x0104c2c2,
     0x209e0000,
     0x00000048,
     0x000005e8,
     0x00000090,
     0x00001000,
     0x00000010,
     0x00000198,
     0x00000040 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_WIDE_LE_H_ */

