/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_SIZE_IN_BYTES (1629U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG { \
    0x3c068230U,     0x24048230U,     0x010203a0U,     0x00090202U, \
    0x44dbe084U,     0x6b9a5653U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x33343436U,     0x0d175a39U,     0x36303032U,     0x36313632U, \
    0x39333434U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0xa081a301U,     0x309d8130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x061230ffU, \
    0x01062b09U,     0x26820104U,     0x05040301U,     0x01020330U, \
    0x065f3000U,     0x01062b09U,     0x26820104U,     0x52042201U, \
    0x09065030U,     0x01488660U,     0x02040365U,     0xee400403U, \
    0x9a0dcdf1U,     0x6d191f79U,     0x0419291cU,     0xd8ba6c18U, \
    0x1108eec8U,     0xc3acc246U,     0x2ddbf1d5U,     0xdebaaaa3U, \
    0xf32f180cU,     0xd857465cU,     0x37421588U,     0xf6972ad0U, \
    0x22342dabU,     0x94b47a59U,     0x58f73105U,     0x02570826U, \
    0x18301d01U,     0x062b0906U,     0x82010401U,     0x04230126U, \
    0x0409300bU,     0x00000004U,     0x02010200U,     0x09060d30U, \
    0x8648862aU,     0x01010df7U,     0x0300050dU,     0x00010282U, \
    0x7f887027U,     0xf1b36270U,     0x7a4e581aU,     0x51902b0eU, \
    0x76a9ad84U,     0xcc44491eU,     0x45182f12U,     0xa4502c97U, \
    0x8920e08eU,     0x1ce64c6dU,     0x8c776145U,     0x275a793fU, \
    0xec6e1f3eU,     0xc96b02c9U,     0xd53d815fU,     0xc2017febU, \
    0x12872c65U,     0xd7c01919U,     0xd9e6c9e0U,     0x42e43cc6U, \
    0x0ba885bbU,     0x207e3f89U,     0x4a7c5c9fU,     0xee8f908aU, \
    0xa2268e98U,     0xe89fd573U,     0x5d7cf777U,     0x1d1e3cecU, \
    0x7f16cc6dU,     0x8aaba68aU,     0xe9eec70cU,     0x782582baU, \
    0x4b42462fU,     0x8dc5700aU,     0xdd2ee114U,     0xa6b4287eU, \
    0x83fcc655U,     0xb73d5173U,     0x2bf701c2U,     0x998ec971U, \
    0x27430be7U,     0xe3546219U,     0xff0ee350U,     0xd9bf75bfU, \
    0xa3f95df0U,     0xc357e898U,     0x345ec826U,     0x3bdaa281U, \
    0xbcd8b85dU,     0x20b2618bU,     0x388175ddU,     0x7d4166efU, \
    0x57d8de40U,     0x12c9be97U,     0xde92bc81U,     0xb8626412U, \
    0x34c7d11fU,     0xfbdd5ab9U,     0x63582851U,     0x125d2e7dU, \
    0xc54dbe78U,     0xd61aab9fU,     0x5883fb5fU,     0x5aa55b87U, \
    0x5fcb83b3U,     0xe7287a36U,     0x47a03c34U,     0xad194d3bU, \
    0xa7cefb8eU,     0x37f0a74fU,     0x0094c072U,     0x1410ca64U, \
    0x4718245eU,     0x483ac932U,     0xf3f1926bU,     0x59ea41d3U, \
    0x79658e40U,     0xa5c50621U,     0x05c89371U,     0x1325554cU, \
    0x66344c18U,     0x2f77cad7U,     0x22dbda9fU,     0xd4c029d9U, \
    0xa4209c96U,     0x72efdf90U,     0xcc02e439U,     0xfe7b52c8U, \
    0x82017f38U,     0x2f551b00U,     0x9e58caf1U,     0xfad077deU, \
    0x76839b29U,     0xbb3d93abU,     0xea59082bU,     0x4a7d1484U, \
    0x2a7dafecU,     0x159e2b6bU,     0xc71c4f24U,     0xd78d6727U, \
    0x7378e0b3U,     0x0299b43bU,     0x7dd91ec2U,     0x274e8663U, \
    0x3d0ed4f1U,     0xcd91be1bU,     0xa0a8bb4cU,     0xf48bfa42U, \
    0x0e6b4413U,     0x33ee879dU,     0x26f15ce8U,     0x2689272fU, \
    0x3490880eU,     0x543a00e2U,     0xe33a0a61U,     0x9a3e2186U, \
    0x1e16650aU,     0x1bfe3087U,     0x6bdac58bU,     0x4d540231U, \
    0xaf15c222U,     0x5b3c522bU,     0x3839a714U,     0x2ae4f78aU, \
    0x81bd6709U,     0x86646599U,     0xaef81407U,     0xce9b9a7eU, \
    0xc1d30100U,     0x045a0007U,     0x07120700U,     0x00010100U, \
    0x0005a5c3U,     0x08020c00U,     0x00000000U,     0x00000000U\
} /* 1629 bytes */
