/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_pm_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_PM_SIZE_IN_BYTES (1602U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_PM { \
    0x3c068230U,     0x24048230U,     0x010203a0U,     0x00090202U, \
    0x0c39918cU,     0xb52d21e2U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x33343436U,     0x0d175a39U,     0x36303032U,     0x36313632U, \
    0x39333434U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0xa081a301U,     0x309d8130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x061230ffU, \
    0x01062b09U,     0x26820104U,     0x05040301U,     0x01020330U, \
    0x065f3000U,     0x01062b09U,     0x26820104U,     0x52042201U, \
    0x09065030U,     0x01488660U,     0x02040365U,     0x80400403U, \
    0x70616c53U,     0xdc2686ddU,     0x48f11a08U,     0xfdc29ed3U, \
    0xc50c095dU,     0x4766a778U,     0xd33f90e7U,     0x432ed04bU, \
    0x7be5ec33U,     0x11ff240eU,     0x9b42436fU,     0x8341f56fU, \
    0xf00ed44bU,     0x3a56d3c8U,     0x0fedf5ceU,     0x02b854d2U, \
    0x18300201U,     0x062b0906U,     0x82010401U,     0x04230126U, \
    0x0409300bU,     0x00000004U,     0x02010200U,     0x09060d30U, \
    0x8648862aU,     0x01010df7U,     0x0300050dU,     0x00010282U, \
    0x3b32a499U,     0x0d708d90U,     0x0340cd23U,     0xa46cd62dU, \
    0x76334cdfU,     0xadca3997U,     0x1cb4fcafU,     0x7c8c2ee8U, \
    0x925a89e8U,     0xedfcf956U,     0x6ca59f68U,     0xd00e76c6U, \
    0x2c6db668U,     0x7af945feU,     0xa09a05aeU,     0x14e067abU, \
    0x01dc483aU,     0x2de51421U,     0x375151d8U,     0xc66014dbU, \
    0x124a26f1U,     0x355af000U,     0x421a47baU,     0x025b9baeU, \
    0x69ff9d4aU,     0x7c8836f6U,     0xe54ee5c8U,     0x40949500U, \
    0x780d13c7U,     0xf71e03eeU,     0xf54dc528U,     0xfbb6656bU, \
    0xd773a69fU,     0x351c53e3U,     0x91297292U,     0xf6bfbb66U, \
    0x6ad181ebU,     0xe10fb92cU,     0x304a1a3cU,     0x3bf93464U, \
    0x76a54de8U,     0x1bdeda07U,     0xdb88c0d9U,     0x357f1c33U, \
    0xe7800b24U,     0x690b27e6U,     0x3cef8991U,     0xcf3eebcbU, \
    0x81b5e623U,     0xee51f71cU,     0xef2c8174U,     0x3da4e6adU, \
    0xc9a83284U,     0xfe857c7aU,     0x7e50f89eU,     0x0ea6ce37U, \
    0x053d20d7U,     0x2c738569U,     0xe644ac76U,     0x1bc9394bU, \
    0xcdfcdec3U,     0x40b7023eU,     0x0d8dca0cU,     0x75bde693U, \
    0xddd16376U,     0xa1a56892U,     0x3e1ba6a9U,     0x0f53c638U, \
    0x085bf43eU,     0xd45bb910U,     0x2e75ce5eU,     0x0f133190U, \
    0x754ed88aU,     0x63ce744dU,     0x7fc33262U,     0x7805917dU, \
    0xc31ea019U,     0xdf7a47dcU,     0xb09c6531U,     0xfbcbfbe9U, \
    0xc6459f0eU,     0x7a39c51eU,     0x7d7531caU,     0x0b3ba537U, \
    0x7937cd26U,     0x803b7a15U,     0x5a3a7af5U,     0x24a597dbU, \
    0x56f31dc9U,     0x59fc6497U,     0xc5b2c15aU,     0x80ba2464U, \
    0xf00db6fdU,     0x0fc7cffcU,     0x6df8d6afU,     0xc6f329fbU, \
    0x34f6e43aU,     0x9855ec06U,     0xc076d6bdU,     0x0182fb36U, \
    0x86f3e322U,     0xf49235bdU,     0xd4468579U,     0x87523cf2U, \
    0x8aa500b3U,     0xf62f03a4U,     0x4671560cU,     0x5e94908aU, \
    0xf7e9fda5U,     0x69f14ba3U,     0x853350e9U,     0x6c68212aU, \
    0x9dc0ce25U,     0x203e599fU,     0x5722c0b9U,     0xc9fa3a13U, \
    0xe4adbf5bU,     0xec5fec76U,     0xd12c7612U,     0xb42065abU, \
    0xc9d14c74U,     0xfda147f7U,     0x4c0f9752U,     0x2d2c9202U, \
    0x1e2e883bU,     0x204255c6U,     0x9c1b6996U,     0x0d7119c2U, \
    0x00000100U\
} /* 1602 bytes */
