/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_rm_hex.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_RM_SIZE_IN_BYTES (1198U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_RM { \
    0x4c410100U,     0x2a000164U,     0xaaaaaaaaU,     0xaaaaaaaaU, \
    0xaa2a00aaU,     0xaaaaaaaaU,     0xaaaaaaaaU,     0xaaaa2a00U, \
    0xaaaaaaaaU,     0x00aaaaaaU,     0xaaaaaa2aU,     0xaaaaaaaaU, \
    0x2a00aaaaU,     0xaaaaaaaaU,     0xaaaaaaaaU,     0xaa2a00aaU, \
    0xaaaaaaaaU,     0xaaaaaaaaU,     0xaaaa2a00U,     0xaaaaaaaaU, \
    0x00aaaaaaU,     0xaaaaaa2aU,     0xaaaaaaaaU,     0x2a00aaaaU, \
    0xaaaaaaaaU,     0xaaaaaaaaU,     0xaa2a00aaU,     0xaaaaaaaaU, \
    0xaaaaaaaaU,     0xaaaa2a00U,     0xaaaaaaaaU,     0x00aaaaaaU, \
    0xaaaaaa2aU,     0xaaaaaaaaU,     0x2a00aaaaU,     0xaaaaaaaaU, \
    0xaaaaaaaaU,     0xaa2a00aaU,     0xaaaaaaaaU,     0xaaaaaaaaU, \
    0xaaaa2a00U,     0xaaaaaaaaU,     0x00aaaaaaU,     0xaaaaaa2aU, \
    0xaaaaaaaaU,     0x2a00aaaaU,     0xaaaaaaaaU,     0xaaaaaaaaU, \
    0xaa2a00aaU,     0xaaaaaaaaU,     0xaaaaaaaaU,     0xaaaa2a00U, \
    0xaaaaaaaaU,     0x00aaaaaaU,     0xaaaaaa2aU,     0xaaaaaaaaU, \
    0x2a00aaaaU,     0xaaaaaaaaU,     0xaaaaaaaaU,     0xaa2a00aaU, \
    0xaaaaaaaaU,     0xaaaaaaaaU,     0xaaaa2a00U,     0xaaaaaaaaU, \
    0x00aaaaaaU,     0xaaaaaa2aU,     0xaaaaaaaaU,     0x2a00aaaaU, \
    0xaaaaaaaaU,     0xaaaaaaaaU,     0xaa2a00aaU,     0xaaaaaaaaU, \
    0xaaaaaaaaU,     0xaaaa2a00U,     0xaaaaaaaaU,     0x00aaaaaaU, \
    0xaaaaaa2aU,     0xaaaaaaaaU,     0x2a00aaaaU,     0xaaaaaaaaU, \
    0xaaaaaaaaU,     0xaa2a00aaU,     0xaaaaaaaaU,     0xaaaaaaaaU, \
    0xaaaa2a00U,     0xaaaaaaaaU,     0x00aaaaaaU,     0xaaaaaa2aU, \
    0xaaaaaaaaU,     0x7b25aaaaU,     0x01d80008U,     0x00000000U, \
    0x00c00020U,     0x00000080U,     0x18400020U,     0x00200003U, \
    0x18400020U,     0x00000005U,     0x18800030U,     0x00000080U, \
    0x19000020U,     0x00000080U,     0x24400028U,     0x00000080U, \
    0x27000010U,     0x00100080U,     0x2cca00f0U,     0x00100080U, \
    0x2ccd11f0U,     0x00000080U,     0x2d0a0040U,     0x50000080U, \
    0x2d0d0400U,     0x00000080U,     0x2d4a0040U,     0x58000080U, \
    0x2d4d0400U,     0x00100080U,     0x2d800068U,     0x00780080U, \
    0x2d800004U,     0x007c0003U,     0x2d800004U,     0x00800005U, \
    0x2d800008U,     0x00880032U,     0x2d800008U,     0x00900033U, \
    0x2d800008U,     0x00010034U,     0x2e40003fU,     0x00000080U, \
    0x2ec00001U,     0x01300080U,     0x2ec101d0U,     0x00a00080U, \
    0x2ec2008eU,     0x00080080U,     0x2ec30070U,     0x00780080U, \
    0x2ec40020U,     0x00990080U,     0x2ec50007U,     0x00010080U, \
    0x2ec70007U,     0x00400080U,     0x2eca0040U,     0x00000080U, \
    0x2ecb0020U,     0x00960080U,     0x2f000096U,     0x00000080U, \
    0x2f010001U,     0xc0000080U,     0x2f020400U,     0x00000080U, \
    0x2f030001U,     0x00080080U,     0x2f0a008eU,     0x00020080U, \
    0x2f0b0006U,     0x00080080U,     0x2f0d0070U,     0x00780080U, \
    0x2f0e0020U,     0x00010080U,     0x2f0f0007U,     0x00080080U, \
    0x2f4a00f8U,     0x40080080U,     0x2f4d05f8U,     0x00040080U, \
    0x2f80001cU,     0x00240003U,     0x2f80001cU,     0x00000005U, \
    0x2fc00040U,     0x00300080U,     0x30800030U,     0x00000080U, \
    0x30810001U,     0xdc000080U,     0x30820100U,     0x00000080U, \
    0x30830001U,     0x00020080U,     0x308a002eU,     0x00000080U, \
    0x308b0002U,     0x00020080U,     0x308d002eU,     0x00000080U, \
    0x308f0002U,     0x00000080U,     0x30c00001U,     0x00600080U, \
    0x30c100a0U,     0x00320080U,     0x30c2002eU,     0x00020080U, \
    0x30c3002eU,     0x00300080U,     0x30c50002U,     0x00000080U, \
    0x30c70002U,     0x00800080U,     0x30ca0040U,     0x00000080U, \
    0x30cb0020U,     0x00000080U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U\
} /* 1198 bytes */
