/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_rm_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_RM_SIZE_IN_BYTES (2799U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_RM { \
    0x3d068230U,     0x25048230U,     0x010203a0U,     0x00090202U, \
    0x7fa315a2U,     0xdcf89febU,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x34343436U,     0x0d175a30U,     0x36303032U,     0x36313632U, \
    0x30343434U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0xa181a301U,     0x309e8130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x061230ffU, \
    0x01062b09U,     0x26820104U,     0x05040301U,     0x01020330U, \
    0x06603000U,     0x01062b09U,     0x26820104U,     0x53042201U, \
    0x09065130U,     0x01488660U,     0x02040365U,     0xdb400403U, \
    0xac0ce627U,     0x4c64f42dU,     0x9e5f316aU,     0x68e0f4c5U, \
    0x657fb8d4U,     0xaa03a2caU,     0x08984759U,     0xaddd4e1fU, \
    0x44c30110U,     0xdb97172aU,     0x5461e1c8U,     0x5bf26ffbU, \
    0xfb28b4d9U,     0x84ef6ff5U,     0xd5ccb438U,     0x02ba048aU, \
    0x30ae0402U,     0x2b090618U,     0x01040106U,     0x23012682U, \
    0x09300b04U,     0x00000404U,     0x01020000U,     0x060d3002U, \
    0x48862a09U,     0x010df786U,     0x00050d01U,     0x01028203U, \
    0x15ca7700U,     0x5277f943U,     0x5462b33dU,     0x9209f379U, \
    0x3a97af49U,     0x8767a690U,     0x8bb4d9beU,     0xf96b390eU, \
    0xe31fced1U,     0x981017f2U,     0xbe9b3b89U,     0xb3ad7e03U, \
    0x94ca0e74U,     0x70b3459eU,     0xc760349eU,     0x55442f9eU, \
    0x57005775U,     0xe8f03484U,     0xdc20e74aU,     0xed34843eU, \
    0x05b43f60U,     0x1c37e53dU,     0x87df45a6U,     0x15cb4fb0U, \
    0x34f05631U,     0xfd3ccc84U,     0xf1db091aU,     0xe7b6df62U, \
    0x4312fd04U,     0x4685c555U,     0x96030cd4U,     0xdbe300daU, \
    0x22074379U,     0xda191eb9U,     0x0f7ed6bdU,     0x7c1bfd56U, \
    0xd1699e9eU,     0xefb54814U,     0x08586f41U,     0xfbf2955fU, \
    0x7ea4e66aU,     0xa46b2879U,     0x804e82e7U,     0x164c5d30U, \
    0xaba03160U,     0x56d2d00dU,     0xa076c6eaU,     0x06ef1b54U, \
    0xddf8aa13U,     0xc18e2fe2U,     0x56c97b9fU,     0x23fe7ac3U, \
    0xec23488bU,     0xb2ed479aU,     0xfe161d4cU,     0xd49bf29aU, \
    0x14d9771bU,     0xfac00e87U,     0x55f5bf3eU,     0xb45de9c2U, \
    0x5aa73913U,     0x2cae89fdU,     0x461d010dU,     0x93d20138U, \
    0xdbf4cc77U,     0x1de41923U,     0xf6730754U,     0xc675bbcfU, \
    0xcf7e5e12U,     0x704dc5b7U,     0xaa58007eU,     0x3702a82dU, \
    0xadfa4017U,     0xd13ce736U,     0x077c1017U,     0xc9be3a27U, \
    0x169b4c22U,     0xcad4436dU,     0x7c8628c7U,     0xcd6f12ecU, \
    0x87121053U,     0x20c98d83U,     0xcb3a8696U,     0xda477c46U, \
    0x4ccadeecU,     0xeb057315U,     0x0346afc1U,     0xb148b238U, \
    0xd91c0617U,     0x9c77d4e1U,     0x6a73f463U,     0xb9f48f32U, \
    0xbc90db74U,     0x06ba535fU,     0x425ec08fU,     0xc2624d56U, \
    0x62b94abeU,     0x84857582U,     0x04a1d6b4U,     0xb7fcecfbU, \
    0x2eef3b15U,     0xc0c2339eU,     0x02b752d8U,     0xf2663667U, \
    0xf9b4aa36U,     0xcb400e94U,     0x57aef878U,     0x588f59f3U, \
    0xba00cbb3U,     0x05af2949U,     0x0f361965U,     0x76dce8bbU, \
    0xfda7c681U,     0xaeff3a1dU,     0x82c579b2U,     0x1ddb6f02U, \
    0x360099afU,     0x5b450d75U,     0x35da0c1cU,     0x4e4b7fbaU, \
    0x7c0ab9a8U,     0x68a5098eU,     0x66c33055U,     0x3a52a004U, \
    0x384f4b92U,     0xbcfeddddU,     0x47d81d05U,     0x73fca905U, \
    0x410100eaU,     0x0001644cU,     0xaaaaaa2aU,     0xaaaaaaaaU, \
    0x2a00aaaaU,     0xaaaaaaaaU,     0xaaaaaaaaU,     0xaa2a00aaU, \
    0xaaaaaaaaU,     0xaaaaaaaaU,     0xaaaa2a00U,     0xaaaaaaaaU, \
    0x00aaaaaaU,     0xaaaaaa2aU,     0xaaaaaaaaU,     0x2a00aaaaU, \
    0xaaaaaaaaU,     0xaaaaaaaaU,     0xaa2a00aaU,     0xaaaaaaaaU, \
    0xaaaaaaaaU,     0xaaaa2a00U,     0xaaaaaaaaU,     0x00aaaaaaU, \
    0xaaaaaa2aU,     0xaaaaaaaaU,     0x2a00aaaaU,     0xaaaaaaaaU, \
    0xaaaaaaaaU,     0xaa2a00aaU,     0xaaaaaaaaU,     0xaaaaaaaaU, \
    0xaaaa2a00U,     0xaaaaaaaaU,     0x00aaaaaaU,     0xaaaaaa2aU, \
    0xaaaaaaaaU,     0x2a00aaaaU,     0xaaaaaaaaU,     0xaaaaaaaaU, \
    0xaa2a00aaU,     0xaaaaaaaaU,     0xaaaaaaaaU,     0xaaaa2a00U, \
    0xaaaaaaaaU,     0x00aaaaaaU,     0xaaaaaa2aU,     0xaaaaaaaaU, \
    0x2a00aaaaU,     0xaaaaaaaaU,     0xaaaaaaaaU,     0xaa2a00aaU, \
    0xaaaaaaaaU,     0xaaaaaaaaU,     0xaaaa2a00U,     0xaaaaaaaaU, \
    0x00aaaaaaU,     0xaaaaaa2aU,     0xaaaaaaaaU,     0x2a00aaaaU, \
    0xaaaaaaaaU,     0xaaaaaaaaU,     0xaa2a00aaU,     0xaaaaaaaaU, \
    0xaaaaaaaaU,     0xaaaa2a00U,     0xaaaaaaaaU,     0x00aaaaaaU, \
    0xaaaaaa2aU,     0xaaaaaaaaU,     0x2a00aaaaU,     0xaaaaaaaaU, \
    0xaaaaaaaaU,     0xaa2a00aaU,     0xaaaaaaaaU,     0xaaaaaaaaU, \
    0xaaaa2a00U,     0xaaaaaaaaU,     0x00aaaaaaU,     0xaaaaaa2aU, \
    0xaaaaaaaaU,     0x2a00aaaaU,     0xaaaaaaaaU,     0xaaaaaaaaU, \
    0xaa2a00aaU,     0xaaaaaaaaU,     0xaaaaaaaaU,     0xaaaa2a00U, \
    0xaaaaaaaaU,     0x25aaaaaaU,     0xd800087bU,     0x00000001U, \
    0xc0002000U,     0x00008000U,     0x40002000U,     0x20000318U, \
    0x40002000U,     0x00000518U,     0x80003000U,     0x00008018U, \
    0x00002000U,     0x00008019U,     0x40002800U,     0x00008024U, \
    0x00001000U,     0x10008027U,     0xca00f000U,     0x1000802cU, \
    0xcd11f000U,     0x0000802cU,     0x0a004000U,     0x0000802dU, \
    0x0d040050U,     0x0000802dU,     0x4a004000U,     0x0000802dU, \
    0x4d040058U,     0x1000802dU,     0x80006800U,     0x7800802dU, \
    0x80000400U,     0x7c00032dU,     0x80000400U,     0x8000052dU, \
    0x80000800U,     0x8800322dU,     0x80000800U,     0x9000332dU, \
    0x80000800U,     0x0100342dU,     0x40003f00U,     0x0000802eU, \
    0xc0000100U,     0x3000802eU,     0xc101d001U,     0xa000802eU, \
    0xc2008e00U,     0x0800802eU,     0xc3007000U,     0x7800802eU, \
    0xc4002000U,     0x9900802eU,     0xc5000700U,     0x0100802eU, \
    0xc7000700U,     0x4000802eU,     0xca004000U,     0x0000802eU, \
    0xcb002000U,     0x9600802eU,     0x00009600U,     0x0000802fU, \
    0x01000100U,     0x0000802fU,     0x020400c0U,     0x0000802fU, \
    0x03000100U,     0x0800802fU,     0x0a008e00U,     0x0200802fU, \
    0x0b000600U,     0x0800802fU,     0x0d007000U,     0x7800802fU, \
    0x0e002000U,     0x0100802fU,     0x0f000700U,     0x0800802fU, \
    0x4a00f800U,     0x0800802fU,     0x4d05f840U,     0x0400802fU, \
    0x80001c00U,     0x2400032fU,     0x80001c00U,     0x0000052fU, \
    0xc0004000U,     0x3000802fU,     0x80003000U,     0x00008030U, \
    0x81000100U,     0x00008030U,     0x820100dcU,     0x00008030U, \
    0x83000100U,     0x02008030U,     0x8a002e00U,     0x00008030U, \
    0x8b000200U,     0x02008030U,     0x8d002e00U,     0x00008030U, \
    0x8f000200U,     0x00008030U,     0xc0000100U,     0x60008030U, \
    0xc100a000U,     0x32008030U,     0xc2002e00U,     0x02008030U, \
    0xc3002e00U,     0x30008030U,     0xc5000200U,     0x00008030U, \
    0xc7000200U,     0x80008030U,     0xca004000U,     0x00008030U, \
    0xcb002000U,     0x00008030U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U\
} /* 2799 bytes */
