/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_security_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_SECURITY_SIZE_IN_BYTES (1924U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_SECURITY { \
    0x3d068230U,     0x25048230U,     0x010203a0U,     0x00090202U, \
    0x1b9903baU,     0x82106c01U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x34343436U,     0x0d175a30U,     0x36303032U,     0x36313632U, \
    0x30343434U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0xa181a301U,     0x309e8130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x061230ffU, \
    0x01062b09U,     0x26820104U,     0x05040301U,     0x01020330U, \
    0x06603000U,     0x01062b09U,     0x26820104U,     0x53042201U, \
    0x09065130U,     0x01488660U,     0x02040365U,     0x41400403U, \
    0xc692ffe6U,     0x86048f87U,     0x1c4d9475U,     0x6c1c2bf5U, \
    0x916fa627U,     0xbd5ca546U,     0x55fbd372U,     0x23374df8U, \
    0x3ef0c920U,     0xa9c46d24U,     0x2ff4674aU,     0xb12d98b3U, \
    0x5f6f3b59U,     0xd27e32b4U,     0xf0e0e696U,     0x02a2a554U, \
    0x30430102U,     0x2b090618U,     0x01040106U,     0x23012682U, \
    0x09300b04U,     0x00000404U,     0x01020000U,     0x060d3002U, \
    0x48862a09U,     0x010df786U,     0x00050d01U,     0x01028203U, \
    0x4ff28000U,     0xc49bcb16U,     0x79b86eaeU,     0x24c938edU, \
    0xf786aad7U,     0x7e5545ceU,     0x21e0ea87U,     0x82561a99U, \
    0x9b500dc8U,     0xca6f8d2eU,     0x2c38dd72U,     0x8dcde497U, \
    0x10773635U,     0x7d67810cU,     0x5c7213daU,     0xbc4065e1U, \
    0x12b2d42dU,     0xa458a291U,     0x3d550aeaU,     0x8c0f1849U, \
    0xcb574845U,     0xe4ddc6d9U,     0xc90e0197U,     0x78f68f87U, \
    0x9ad178ccU,     0x699463f9U,     0xce9f1578U,     0xb1a9bfc9U, \
    0x760e2c04U,     0x19795cf1U,     0x988c7a3cU,     0x5b264327U, \
    0xf79d04beU,     0xfa7473ccU,     0x6926877cU,     0xcd7391b1U, \
    0xe92c35f5U,     0x55f73368U,     0x94c61615U,     0x24c104e8U, \
    0x77eb497eU,     0xb3e3e47aU,     0xbab25d6cU,     0x2472cabaU, \
    0x4b3f28a8U,     0x2f67cca3U,     0xb0f8d522U,     0x57b69eaeU, \
    0xe14b4abaU,     0x672666bdU,     0x1020ffb0U,     0x45d2496aU, \
    0xc7538a15U,     0x6521a1d7U,     0xbe68fca7U,     0x67d4e734U, \
    0x40eea7edU,     0x2fa58f4bU,     0x3346a89fU,     0x874b81aaU, \
    0x24a02cc6U,     0x674c9a93U,     0x3ff29551U,     0xeccb42cfU, \
    0xd04636a9U,     0x2ffc63a8U,     0x36429741U,     0xb253fff6U, \
    0x5dfbe260U,     0x6abe70dbU,     0xe379507cU,     0xfc40dba9U, \
    0x11352ecdU,     0x9ddb77c5U,     0x576f6034U,     0x17568d37U, \
    0xf097a270U,     0xdad11959U,     0x0b7d53efU,     0x20aa3d06U, \
    0x3c08a86eU,     0xbfb98adcU,     0xc7f8a999U,     0xb3874e9bU, \
    0xa2e73e07U,     0xb5260360U,     0x7a95c94bU,     0x049bc7f1U, \
    0x508bf355U,     0x1555c98fU,     0x9e6cc6d8U,     0x2febb503U, \
    0xf9ff97b0U,     0x855508c7U,     0x21bd88acU,     0x71294e54U, \
    0x35883471U,     0x676ace20U,     0xa35593b2U,     0x37df741cU, \
    0x355ab1d3U,     0x76badbf3U,     0xc3130078U,     0x081c9b97U, \
    0x00e1f979U,     0x77f60185U,     0x4e7f391cU,     0xfa5e043fU, \
    0x5fef3f28U,     0x7eb21b4fU,     0x4578c10cU,     0x2fc30d42U, \
    0x3e31a6dbU,     0x96de7967U,     0xa4365b84U,     0x10f58090U, \
    0xad2b9db7U,     0xa5d99af7U,     0xdfbe80f3U,     0x5b891d0dU, \
    0x183093efU,     0x30344f9bU,     0x1d0f0185U,     0xb2192bddU, \
    0x23b18ebaU,     0xbec8d939U,     0x45f62e3eU,     0xdeadf703U, \
    0xea01009dU,     0x0000a4f1U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x27000000U,     0x0000448dU,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x81000000U,     0x00004540U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x000c5170U,     0x00000080U,     0x0000005aU,     0x000023beU, \
    0x00000000U\
} /* 1924 bytes */
