/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_SIZE_IN_BYTES (1629U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG { \
    0x3c068230U,     0x24048230U,     0x010203a0U,     0x00090202U, \
    0x192bb794U,     0xd155ddc7U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x30373336U,     0x0d175a34U,     0x36303032U,     0x36313632U, \
    0x34303733U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0xa081a301U,     0x309d8130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x061230ffU, \
    0x01062b09U,     0x26820104U,     0x05040301U,     0x01020330U, \
    0x065f3000U,     0x01062b09U,     0x26820104U,     0x52042201U, \
    0x09065030U,     0x01488660U,     0x02040365U,     0xee400403U, \
    0x9a0dcdf1U,     0x6d191f79U,     0x0419291cU,     0xd8ba6c18U, \
    0x1108eec8U,     0xc3acc246U,     0x2ddbf1d5U,     0xdebaaaa3U, \
    0xf32f180cU,     0xd857465cU,     0x37421588U,     0xf6972ad0U, \
    0x22342dabU,     0x94b47a59U,     0x58f73105U,     0x02570826U, \
    0x18301d01U,     0x062b0906U,     0x82010401U,     0x04230126U, \
    0x0409300bU,     0x00000004U,     0x02010200U,     0x09060d30U, \
    0x8648862aU,     0x01010df7U,     0x0300050dU,     0x00010282U, \
    0x237089a9U,     0xba984a21U,     0xdbe79106U,     0x4ab4becfU, \
    0x6f3496d2U,     0xe64861d6U,     0x2d06601dU,     0x24c9bc65U, \
    0x556152c8U,     0x8179402eU,     0x0e086b8cU,     0x86fa92c4U, \
    0x31e4c15aU,     0xf1d50d35U,     0x030b96bfU,     0x7b836326U, \
    0xc0e44572U,     0x4ec9c61cU,     0x9475d104U,     0x0f564887U, \
    0x36c37560U,     0x2a0a8643U,     0xc650645eU,     0xfb05c203U, \
    0x10bf6e35U,     0xdc183153U,     0xd63976e4U,     0x17ad062bU, \
    0xe60fe9c6U,     0x04f24fc3U,     0xa6c5c386U,     0x2c19a21eU, \
    0x8cefc33cU,     0x1e810e79U,     0x9a7a7d2dU,     0x765c9a24U, \
    0x6b46d142U,     0xea08c227U,     0x40cae094U,     0xefa562daU, \
    0x9c44a4ebU,     0xd4b64c06U,     0x58f5dd1eU,     0x7d55952fU, \
    0xa6f1ce42U,     0xec5dd469U,     0x14fad13bU,     0x2994a9bfU, \
    0x3e0f173cU,     0xdf22463aU,     0x13076b64U,     0x1a05e56dU, \
    0xe822caedU,     0xcb91f64eU,     0x194d90e6U,     0xa2cda20cU, \
    0x1e52f770U,     0x6074c794U,     0x5dea38e9U,     0x8de7caa4U, \
    0x298b04bbU,     0xe85537b5U,     0x179c161aU,     0x4a930564U, \
    0x14f923f4U,     0x445d4fb3U,     0x17a0cfefU,     0x89b079c7U, \
    0x7a7761e6U,     0x2109fa8fU,     0x0efead0aU,     0xe14fbe31U, \
    0xc74a8f0aU,     0xbd4c3034U,     0x25680ecdU,     0x88a57758U, \
    0xad83add6U,     0x35296e89U,     0x21bd075cU,     0xd8658b92U, \
    0x4dfd14b1U,     0x34abd174U,     0xac51095eU,     0x99914a62U, \
    0xb3939a3fU,     0x448ff745U,     0xba1507bdU,     0x6943c94eU, \
    0xb85e34c7U,     0x65aa7ec7U,     0x5600486eU,     0x0b4357d2U, \
    0x5be4dd25U,     0xca2d8b9bU,     0x1b9a5637U,     0xdf449501U, \
    0x668a5b7aU,     0xf6a4049eU,     0xe0eb9905U,     0xc5501c3dU, \
    0xc53539b2U,     0x85e3c4a0U,     0x509ea40aU,     0x697bbc4cU, \
    0xb6a91744U,     0x7c813165U,     0x32265ff2U,     0x0fb6b7faU, \
    0x9c2eaf08U,     0x801b863fU,     0x15f31b08U,     0xb8772595U, \
    0x8e2a58d2U,     0x06fc0604U,     0x8c3a1b74U,     0x7b938796U, \
    0xc298a2caU,     0x000c7369U,     0xb03bd81dU,     0xfbff84d3U, \
    0xf05f7de0U,     0x9acad6c7U,     0xa8cc907cU,     0x63c6dc9eU, \
    0xd731079fU,     0xd347e2b5U,     0x5f3f0ec0U,     0xfc7681f0U, \
    0xc1d30100U,     0x045a0007U,     0x07120700U,     0x00010100U, \
    0x0005a5c3U,     0x08020c00U,     0x00000000U,     0x00000000U\
} /* 1629 bytes */
