/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_pm_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_PM_SIZE_IN_BYTES (1602U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_PM { \
    0x3c068230U,     0x24048230U,     0x010203a0U,     0x00090202U, \
    0x9d9b1ba1U,     0xd7b3a3b2U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x30373336U,     0x0d175a34U,     0x36303032U,     0x36313632U, \
    0x34303733U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0xa081a301U,     0x309d8130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x061230ffU, \
    0x01062b09U,     0x26820104U,     0x05040301U,     0x01020330U, \
    0x065f3000U,     0x01062b09U,     0x26820104U,     0x52042201U, \
    0x09065030U,     0x01488660U,     0x02040365U,     0x80400403U, \
    0x70616c53U,     0xdc2686ddU,     0x48f11a08U,     0xfdc29ed3U, \
    0xc50c095dU,     0x4766a778U,     0xd33f90e7U,     0x432ed04bU, \
    0x7be5ec33U,     0x11ff240eU,     0x9b42436fU,     0x8341f56fU, \
    0xf00ed44bU,     0x3a56d3c8U,     0x0fedf5ceU,     0x02b854d2U, \
    0x18300201U,     0x062b0906U,     0x82010401U,     0x04230126U, \
    0x0409300bU,     0x00000004U,     0x02010200U,     0x09060d30U, \
    0x8648862aU,     0x01010df7U,     0x0300050dU,     0x00010282U, \
    0x5e783253U,     0x6a63dd83U,     0xa0cc3785U,     0x5012df70U, \
    0x2eceaf8dU,     0x064fb05cU,     0x6aa27985U,     0x1176bf50U, \
    0x6b39b46aU,     0x8dd797c3U,     0x56f0e8e3U,     0x91116f0eU, \
    0xbe02f04aU,     0x85f9024dU,     0xfda16f27U,     0xf8650650U, \
    0x068e06b7U,     0x577a06baU,     0xbbc44e17U,     0xa9e00d89U, \
    0x6a937ca3U,     0x7460a9faU,     0x36aab7cbU,     0xa115fce3U, \
    0x4101a045U,     0x43081d4cU,     0x9c94b614U,     0x8223b952U, \
    0x00076798U,     0x11466520U,     0x49aac94fU,     0x64b341c7U, \
    0xd2d14f55U,     0x3319770fU,     0xe1fec94dU,     0x362c4bcbU, \
    0xd179628bU,     0xfdb6e25eU,     0x4e955937U,     0xf2205bc5U, \
    0xf62287f4U,     0x67b91d81U,     0x250b93afU,     0x4b480c65U, \
    0x364a4db7U,     0xa4260d81U,     0xdba3672aU,     0x8f6d3941U, \
    0xa5a763bcU,     0x7f9e6d80U,     0xcc1b0986U,     0xaf1b2747U, \
    0x959f7871U,     0x37c950c1U,     0x675a161eU,     0x1fbe9badU, \
    0x46d5eee0U,     0x1a25f6e1U,     0x1ca0e3c7U,     0x7be7478aU, \
    0x6d820c8eU,     0x46887e65U,     0x3370a1acU,     0x7756c5fbU, \
    0x0ad67dd7U,     0x8ec8b850U,     0x96e68e64U,     0x38be3963U, \
    0x94c7307dU,     0xc61e5da6U,     0x76422a41U,     0xd640b783U, \
    0x01d923b0U,     0xdec3d82bU,     0xf09ca30dU,     0xf4e73d30U, \
    0x2f346769U,     0xa5df7dc7U,     0xe59981ccU,     0x69acc9e6U, \
    0x84c370acU,     0xf82394ebU,     0xff557abeU,     0x8e259b12U, \
    0x699c7677U,     0x10ee4b25U,     0xe5e1d78aU,     0x63f21219U, \
    0x337d843cU,     0x107ad84eU,     0xf2eab536U,     0x0087a1a6U, \
    0xe945f4f5U,     0xcfaca4c3U,     0x135d54c7U,     0x8cdc94b2U, \
    0x5712f116U,     0x65108d1dU,     0xe8654937U,     0x3012e72bU, \
    0xa3051b70U,     0xd9a5644fU,     0x9e2ec606U,     0xef0010b9U, \
    0x1704d687U,     0x20389d22U,     0x2a1ada3eU,     0xeee90cd5U, \
    0xc90d1e9bU,     0x724311c8U,     0x1caf954dU,     0x6e429f69U, \
    0xd1731618U,     0x4b1fff8cU,     0xa2b5a436U,     0xfe56c83fU, \
    0x47850d8eU,     0x5caba348U,     0xa04440aaU,     0xb445b935U, \
    0xea4c16e2U,     0x36cc279cU,     0x5ae64fa7U,     0x7c2a87b0U, \
    0x649b1666U,     0x2875da9eU,     0x59e2b6dbU,     0x10d7e08dU, \
    0x00000100U\
} /* 1602 bytes */
