/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_defaultBoardcfg_security_hexhs.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_SECURITY_SIZE_IN_BYTES (1924U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_BOARDCFG_SECURITY { \
    0x3d068230U,     0x25048230U,     0x010203a0U,     0x00090202U, \
    0x7bb211a4U,     0xa900044fU,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x30373336U,     0x0d175a34U,     0x36303032U,     0x36313632U, \
    0x34303733U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0xa181a301U,     0x309e8130U, \
    0x5503060cU,     0x0504131dU,     0x01010330U,     0x061230ffU, \
    0x01062b09U,     0x26820104U,     0x05040301U,     0x01020330U, \
    0x06603000U,     0x01062b09U,     0x26820104U,     0x53042201U, \
    0x09065130U,     0x01488660U,     0x02040365U,     0x41400403U, \
    0xc692ffe6U,     0x86048f87U,     0x1c4d9475U,     0x6c1c2bf5U, \
    0x916fa627U,     0xbd5ca546U,     0x55fbd372U,     0x23374df8U, \
    0x3ef0c920U,     0xa9c46d24U,     0x2ff4674aU,     0xb12d98b3U, \
    0x5f6f3b59U,     0xd27e32b4U,     0xf0e0e696U,     0x02a2a554U, \
    0x30430102U,     0x2b090618U,     0x01040106U,     0x23012682U, \
    0x09300b04U,     0x00000404U,     0x01020000U,     0x060d3002U, \
    0x48862a09U,     0x010df786U,     0x00050d01U,     0x01028203U, \
    0x2d4a7900U,     0x6d5eaf10U,     0x57842ed3U,     0xcb5ef973U, \
    0x98e7bb62U,     0x89dd3cb2U,     0xc3d5908dU,     0x0d106614U, \
    0x61bfdd49U,     0xbf52d7f3U,     0x78550d15U,     0x5f8bf61fU, \
    0x08f229adU,     0x1e2bf5d9U,     0x1d6d10f2U,     0xae29d1d7U, \
    0xea463772U,     0xbd59a34eU,     0x5b2af057U,     0x35e98f74U, \
    0xf3aece59U,     0x3a754f5bU,     0x171363eeU,     0x12cc2eb7U, \
    0xefa99045U,     0xc4677ed7U,     0xd5b0c791U,     0x208a5d7fU, \
    0x821cde7cU,     0x93d7c9e6U,     0xd3589746U,     0x8a8cebd5U, \
    0xe605d6b9U,     0x97f6e649U,     0x003db109U,     0x16dc333dU, \
    0xf433c878U,     0x8eb6509fU,     0xdaeb17c5U,     0x1cd67480U, \
    0x480e8874U,     0x4df6eb89U,     0x0a0f050fU,     0x967e83bdU, \
    0xe24d36f0U,     0x83b812a3U,     0x32e0e87eU,     0xad779b87U, \
    0xb7322e24U,     0x659ab82eU,     0x8bc4b78bU,     0x0b456ddbU, \
    0x43fddfb4U,     0x0e5fbc2aU,     0x5b75f305U,     0x83ec2d5eU, \
    0xa975001eU,     0xbfec6020U,     0xd26da33cU,     0x0868811eU, \
    0xecd38fb0U,     0x2158cf2dU,     0x7908bfa7U,     0x4ffabf1cU, \
    0xd8d8b351U,     0x5b8a2502U,     0x00be6977U,     0x0ab05f16U, \
    0xb67f0af5U,     0xb43984a7U,     0xf0aa99deU,     0xeb43cb86U, \
    0xea650949U,     0x143dd45bU,     0x8a352439U,     0xa8e545d2U, \
    0x6c5ba0b9U,     0xef454955U,     0x3b939b56U,     0xe68070c1U, \
    0x20159003U,     0xc5f4a0a3U,     0xdae148b6U,     0x74963f37U, \
    0x748bde65U,     0xa4d90018U,     0x57bd086eU,     0x78767a61U, \
    0x66122443U,     0x66fcc21fU,     0xbd843c78U,     0x17a2bdaeU, \
    0xb885f864U,     0x4135e4a3U,     0x62f5612cU,     0xb95578caU, \
    0x54f909b1U,     0x6c640e85U,     0x55be0396U,     0x0af2c47bU, \
    0x2cdef8ffU,     0xf0cb4d59U,     0xfebfb735U,     0x84874cb5U, \
    0x3fa44464U,     0x72f48d3cU,     0x37793a8dU,     0x865927abU, \
    0xcff00832U,     0x4f8e3b61U,     0x3b9a41a3U,     0x6efc9576U, \
    0x9b1c3a07U,     0x8cb6aef9U,     0x627ff1c5U,     0xd1468f3bU, \
    0x60c3f2b4U,     0xcf9f3044U,     0x2ee4a827U,     0x3a431430U, \
    0x03dbe027U,     0xf2e8c62aU,     0xf13a7ccaU,     0xd7e75a0bU, \
    0x5b7cfb47U,     0x359787c3U,     0x6eebb92aU,     0xf027e8e9U, \
    0xea0100d6U,     0x0000a4f1U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x27000000U,     0x0000448dU,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x81000000U,     0x00004540U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x00000000U,     0x00000000U,     0x00000000U,     0x00000000U, \
    0x000c5170U,     0x00000080U,     0x0000005aU,     0x000023beU, \
    0x00000000U\
} /* 1924 bytes */
