/*
 *  Copyright (C) 2017-2020 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
/**
 * \ingroup TISCI
 * \defgroup tisci_sec_proxy tisci_sec_proxy
 *
 * DMSC controls the power management, security and resource management
 * of the device.
 *
 *
 * @{
 */
/**
 *
 *  \brief  This file contains:
 *
 *          WARNING!!: Autogenerated file from SYSFW. DO NOT MODIFY!!
 * System Firmware Source File
 *
 * Secure Proxy Indices for AM6 device
 *
 */

/**
 *
 * \brief Secure Proxy Indices for AM6 device
 */

#ifndef AM6_TISCI_SEC_PROXY_H_SR2
#define AM6_TISCI_SEC_PROXY_H_SR2

/*
 * -------------------------
 * Secure Proxy Indices for: main_sec_proxy0
 * -------------------------
 */

/** Thread ID macro for A53_0 notify */
#define TISCI_SEC_PROXY_A53_0_NOTIFY_READ_THREAD_ID (0U)
/** Num Messages macro for A53_0 notify */
#define TISCI_SEC_PROXY_A53_0_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for A53_0 response */
#define TISCI_SEC_PROXY_A53_0_RESPONSE_READ_THREAD_ID (1U)
/** Num Messages macro for A53_0 response */
#define TISCI_SEC_PROXY_A53_0_RESPONSE_READ_NUM_MESSAGES (30U)

/** Thread ID macro for A53_0 high_priority */
#define TISCI_SEC_PROXY_A53_0_HIGH_PRIORITY_WRITE_THREAD_ID (2U)
/** Num Messages macro for A53_0 high_priority */
#define TISCI_SEC_PROXY_A53_0_HIGH_PRIORITY_WRITE_NUM_MESSAGES (10U)

/** Thread ID macro for A53_0 low_priority */
#define TISCI_SEC_PROXY_A53_0_LOW_PRIORITY_WRITE_THREAD_ID (3U)
/** Num Messages macro for A53_0 low_priority */
#define TISCI_SEC_PROXY_A53_0_LOW_PRIORITY_WRITE_NUM_MESSAGES (20U)

/** Thread ID macro for A53_0 notify_resp */
#define TISCI_SEC_PROXY_A53_0_NOTIFY_RESP_WRITE_THREAD_ID (4U)
/** Num Messages macro for A53_0 notify_resp */
#define TISCI_SEC_PROXY_A53_0_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_1 notify */
#define TISCI_SEC_PROXY_A53_1_NOTIFY_READ_THREAD_ID (5U)
/** Num Messages macro for A53_1 notify */
#define TISCI_SEC_PROXY_A53_1_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for A53_1 response */
#define TISCI_SEC_PROXY_A53_1_RESPONSE_READ_THREAD_ID (6U)
/** Num Messages macro for A53_1 response */
#define TISCI_SEC_PROXY_A53_1_RESPONSE_READ_NUM_MESSAGES (30U)

/** Thread ID macro for A53_1 high_priority */
#define TISCI_SEC_PROXY_A53_1_HIGH_PRIORITY_WRITE_THREAD_ID (7U)
/** Num Messages macro for A53_1 high_priority */
#define TISCI_SEC_PROXY_A53_1_HIGH_PRIORITY_WRITE_NUM_MESSAGES (10U)

/** Thread ID macro for A53_1 low_priority */
#define TISCI_SEC_PROXY_A53_1_LOW_PRIORITY_WRITE_THREAD_ID (8U)
/** Num Messages macro for A53_1 low_priority */
#define TISCI_SEC_PROXY_A53_1_LOW_PRIORITY_WRITE_NUM_MESSAGES (20U)

/** Thread ID macro for A53_1 notify_resp */
#define TISCI_SEC_PROXY_A53_1_NOTIFY_RESP_WRITE_THREAD_ID (9U)
/** Num Messages macro for A53_1 notify_resp */
#define TISCI_SEC_PROXY_A53_1_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_2 notify */
#define TISCI_SEC_PROXY_A53_2_NOTIFY_READ_THREAD_ID (10U)
/** Num Messages macro for A53_2 notify */
#define TISCI_SEC_PROXY_A53_2_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for A53_2 response */
#define TISCI_SEC_PROXY_A53_2_RESPONSE_READ_THREAD_ID (11U)
/** Num Messages macro for A53_2 response */
#define TISCI_SEC_PROXY_A53_2_RESPONSE_READ_NUM_MESSAGES (22U)

/** Thread ID macro for A53_2 high_priority */
#define TISCI_SEC_PROXY_A53_2_HIGH_PRIORITY_WRITE_THREAD_ID (12U)
/** Num Messages macro for A53_2 high_priority */
#define TISCI_SEC_PROXY_A53_2_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_2 low_priority */
#define TISCI_SEC_PROXY_A53_2_LOW_PRIORITY_WRITE_THREAD_ID (13U)
/** Num Messages macro for A53_2 low_priority */
#define TISCI_SEC_PROXY_A53_2_LOW_PRIORITY_WRITE_NUM_MESSAGES (20U)

/** Thread ID macro for A53_2 notify_resp */
#define TISCI_SEC_PROXY_A53_2_NOTIFY_RESP_WRITE_THREAD_ID (14U)
/** Num Messages macro for A53_2 notify_resp */
#define TISCI_SEC_PROXY_A53_2_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_3 notify */
#define TISCI_SEC_PROXY_A53_3_NOTIFY_READ_THREAD_ID (15U)
/** Num Messages macro for A53_3 notify */
#define TISCI_SEC_PROXY_A53_3_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for A53_3 response */
#define TISCI_SEC_PROXY_A53_3_RESPONSE_READ_THREAD_ID (16U)
/** Num Messages macro for A53_3 response */
#define TISCI_SEC_PROXY_A53_3_RESPONSE_READ_NUM_MESSAGES (7U)

/** Thread ID macro for A53_3 high_priority */
#define TISCI_SEC_PROXY_A53_3_HIGH_PRIORITY_WRITE_THREAD_ID (17U)
/** Num Messages macro for A53_3 high_priority */
#define TISCI_SEC_PROXY_A53_3_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_3 low_priority */
#define TISCI_SEC_PROXY_A53_3_LOW_PRIORITY_WRITE_THREAD_ID (18U)
/** Num Messages macro for A53_3 low_priority */
#define TISCI_SEC_PROXY_A53_3_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for A53_3 notify_resp */
#define TISCI_SEC_PROXY_A53_3_NOTIFY_RESP_WRITE_THREAD_ID (19U)
/** Num Messages macro for A53_3 notify_resp */
#define TISCI_SEC_PROXY_A53_3_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_4 notify */
#define TISCI_SEC_PROXY_A53_4_NOTIFY_READ_THREAD_ID (20U)
/** Num Messages macro for A53_4 notify */
#define TISCI_SEC_PROXY_A53_4_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for A53_4 response */
#define TISCI_SEC_PROXY_A53_4_RESPONSE_READ_THREAD_ID (21U)
/** Num Messages macro for A53_4 response */
#define TISCI_SEC_PROXY_A53_4_RESPONSE_READ_NUM_MESSAGES (5U)

/** Thread ID macro for A53_4 high_priority */
#define TISCI_SEC_PROXY_A53_4_HIGH_PRIORITY_WRITE_THREAD_ID (22U)
/** Num Messages macro for A53_4 high_priority */
#define TISCI_SEC_PROXY_A53_4_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_4 low_priority */
#define TISCI_SEC_PROXY_A53_4_LOW_PRIORITY_WRITE_THREAD_ID (23U)
/** Num Messages macro for A53_4 low_priority */
#define TISCI_SEC_PROXY_A53_4_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for A53_4 notify_resp */
#define TISCI_SEC_PROXY_A53_4_NOTIFY_RESP_WRITE_THREAD_ID (24U)
/** Num Messages macro for A53_4 notify_resp */
#define TISCI_SEC_PROXY_A53_4_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_5 notify */
#define TISCI_SEC_PROXY_A53_5_NOTIFY_READ_THREAD_ID (25U)
/** Num Messages macro for A53_5 notify */
#define TISCI_SEC_PROXY_A53_5_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for A53_5 response */
#define TISCI_SEC_PROXY_A53_5_RESPONSE_READ_THREAD_ID (26U)
/** Num Messages macro for A53_5 response */
#define TISCI_SEC_PROXY_A53_5_RESPONSE_READ_NUM_MESSAGES (5U)

/** Thread ID macro for A53_5 high_priority */
#define TISCI_SEC_PROXY_A53_5_HIGH_PRIORITY_WRITE_THREAD_ID (27U)
/** Num Messages macro for A53_5 high_priority */
#define TISCI_SEC_PROXY_A53_5_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_5 low_priority */
#define TISCI_SEC_PROXY_A53_5_LOW_PRIORITY_WRITE_THREAD_ID (28U)
/** Num Messages macro for A53_5 low_priority */
#define TISCI_SEC_PROXY_A53_5_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for A53_5 notify_resp */
#define TISCI_SEC_PROXY_A53_5_NOTIFY_RESP_WRITE_THREAD_ID (29U)
/** Num Messages macro for A53_5 notify_resp */
#define TISCI_SEC_PROXY_A53_5_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_6 notify */
#define TISCI_SEC_PROXY_A53_6_NOTIFY_READ_THREAD_ID (30U)
/** Num Messages macro for A53_6 notify */
#define TISCI_SEC_PROXY_A53_6_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for A53_6 response */
#define TISCI_SEC_PROXY_A53_6_RESPONSE_READ_THREAD_ID (31U)
/** Num Messages macro for A53_6 response */
#define TISCI_SEC_PROXY_A53_6_RESPONSE_READ_NUM_MESSAGES (5U)

/** Thread ID macro for A53_6 high_priority */
#define TISCI_SEC_PROXY_A53_6_HIGH_PRIORITY_WRITE_THREAD_ID (32U)
/** Num Messages macro for A53_6 high_priority */
#define TISCI_SEC_PROXY_A53_6_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_6 low_priority */
#define TISCI_SEC_PROXY_A53_6_LOW_PRIORITY_WRITE_THREAD_ID (33U)
/** Num Messages macro for A53_6 low_priority */
#define TISCI_SEC_PROXY_A53_6_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for A53_6 notify_resp */
#define TISCI_SEC_PROXY_A53_6_NOTIFY_RESP_WRITE_THREAD_ID (34U)
/** Num Messages macro for A53_6 notify_resp */
#define TISCI_SEC_PROXY_A53_6_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_7 notify */
#define TISCI_SEC_PROXY_A53_7_NOTIFY_READ_THREAD_ID (35U)
/** Num Messages macro for A53_7 notify */
#define TISCI_SEC_PROXY_A53_7_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for A53_7 response */
#define TISCI_SEC_PROXY_A53_7_RESPONSE_READ_THREAD_ID (36U)
/** Num Messages macro for A53_7 response */
#define TISCI_SEC_PROXY_A53_7_RESPONSE_READ_NUM_MESSAGES (5U)

/** Thread ID macro for A53_7 high_priority */
#define TISCI_SEC_PROXY_A53_7_HIGH_PRIORITY_WRITE_THREAD_ID (37U)
/** Num Messages macro for A53_7 high_priority */
#define TISCI_SEC_PROXY_A53_7_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for A53_7 low_priority */
#define TISCI_SEC_PROXY_A53_7_LOW_PRIORITY_WRITE_THREAD_ID (38U)
/** Num Messages macro for A53_7 low_priority */
#define TISCI_SEC_PROXY_A53_7_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for A53_7 notify_resp */
#define TISCI_SEC_PROXY_A53_7_NOTIFY_RESP_WRITE_THREAD_ID (39U)
/** Num Messages macro for A53_7 notify_resp */
#define TISCI_SEC_PROXY_A53_7_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_0 notify */
#define TISCI_SEC_PROXY_ICSSG_0_NOTIFY_READ_THREAD_ID (40U)
/** Num Messages macro for ICSSG_0 notify */
#define TISCI_SEC_PROXY_ICSSG_0_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_0 response */
#define TISCI_SEC_PROXY_ICSSG_0_RESPONSE_READ_THREAD_ID (41U)
/** Num Messages macro for ICSSG_0 response */
#define TISCI_SEC_PROXY_ICSSG_0_RESPONSE_READ_NUM_MESSAGES (7U)

/** Thread ID macro for ICSSG_0 high_priority */
#define TISCI_SEC_PROXY_ICSSG_0_HIGH_PRIORITY_WRITE_THREAD_ID (42U)
/** Num Messages macro for ICSSG_0 high_priority */
#define TISCI_SEC_PROXY_ICSSG_0_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_0 low_priority */
#define TISCI_SEC_PROXY_ICSSG_0_LOW_PRIORITY_WRITE_THREAD_ID (43U)
/** Num Messages macro for ICSSG_0 low_priority */
#define TISCI_SEC_PROXY_ICSSG_0_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for ICSSG_0 notify_resp */
#define TISCI_SEC_PROXY_ICSSG_0_NOTIFY_RESP_WRITE_THREAD_ID (44U)
/** Num Messages macro for ICSSG_0 notify_resp */
#define TISCI_SEC_PROXY_ICSSG_0_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_1 notify */
#define TISCI_SEC_PROXY_ICSSG_1_NOTIFY_READ_THREAD_ID (45U)
/** Num Messages macro for ICSSG_1 notify */
#define TISCI_SEC_PROXY_ICSSG_1_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_1 response */
#define TISCI_SEC_PROXY_ICSSG_1_RESPONSE_READ_THREAD_ID (46U)
/** Num Messages macro for ICSSG_1 response */
#define TISCI_SEC_PROXY_ICSSG_1_RESPONSE_READ_NUM_MESSAGES (4U)

/** Thread ID macro for ICSSG_1 high_priority */
#define TISCI_SEC_PROXY_ICSSG_1_HIGH_PRIORITY_WRITE_THREAD_ID (47U)
/** Num Messages macro for ICSSG_1 high_priority */
#define TISCI_SEC_PROXY_ICSSG_1_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_1 low_priority */
#define TISCI_SEC_PROXY_ICSSG_1_LOW_PRIORITY_WRITE_THREAD_ID (48U)
/** Num Messages macro for ICSSG_1 low_priority */
#define TISCI_SEC_PROXY_ICSSG_1_LOW_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_1 notify_resp */
#define TISCI_SEC_PROXY_ICSSG_1_NOTIFY_RESP_WRITE_THREAD_ID (49U)
/** Num Messages macro for ICSSG_1 notify_resp */
#define TISCI_SEC_PROXY_ICSSG_1_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_2 notify */
#define TISCI_SEC_PROXY_ICSSG_2_NOTIFY_READ_THREAD_ID (50U)
/** Num Messages macro for ICSSG_2 notify */
#define TISCI_SEC_PROXY_ICSSG_2_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_2 response */
#define TISCI_SEC_PROXY_ICSSG_2_RESPONSE_READ_THREAD_ID (51U)
/** Num Messages macro for ICSSG_2 response */
#define TISCI_SEC_PROXY_ICSSG_2_RESPONSE_READ_NUM_MESSAGES (4U)

/** Thread ID macro for ICSSG_2 high_priority */
#define TISCI_SEC_PROXY_ICSSG_2_HIGH_PRIORITY_WRITE_THREAD_ID (52U)
/** Num Messages macro for ICSSG_2 high_priority */
#define TISCI_SEC_PROXY_ICSSG_2_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_2 low_priority */
#define TISCI_SEC_PROXY_ICSSG_2_LOW_PRIORITY_WRITE_THREAD_ID (53U)
/** Num Messages macro for ICSSG_2 low_priority */
#define TISCI_SEC_PROXY_ICSSG_2_LOW_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for ICSSG_2 notify_resp */
#define TISCI_SEC_PROXY_ICSSG_2_NOTIFY_RESP_WRITE_THREAD_ID (54U)
/** Num Messages macro for ICSSG_2 notify_resp */
#define TISCI_SEC_PROXY_ICSSG_2_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for GPU_0 notify */
#define TISCI_SEC_PROXY_GPU_0_NOTIFY_READ_THREAD_ID (55U)
/** Num Messages macro for GPU_0 notify */
#define TISCI_SEC_PROXY_GPU_0_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for GPU_0 response */
#define TISCI_SEC_PROXY_GPU_0_RESPONSE_READ_THREAD_ID (56U)
/** Num Messages macro for GPU_0 response */
#define TISCI_SEC_PROXY_GPU_0_RESPONSE_READ_NUM_MESSAGES (7U)

/** Thread ID macro for GPU_0 high_priority */
#define TISCI_SEC_PROXY_GPU_0_HIGH_PRIORITY_WRITE_THREAD_ID (57U)
/** Num Messages macro for GPU_0 high_priority */
#define TISCI_SEC_PROXY_GPU_0_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for GPU_0 low_priority */
#define TISCI_SEC_PROXY_GPU_0_LOW_PRIORITY_WRITE_THREAD_ID (58U)
/** Num Messages macro for GPU_0 low_priority */
#define TISCI_SEC_PROXY_GPU_0_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for GPU_0 notify_resp */
#define TISCI_SEC_PROXY_GPU_0_NOTIFY_RESP_WRITE_THREAD_ID (59U)
/** Num Messages macro for GPU_0 notify_resp */
#define TISCI_SEC_PROXY_GPU_0_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for GPU_1 notify */
#define TISCI_SEC_PROXY_GPU_1_NOTIFY_READ_THREAD_ID (60U)
/** Num Messages macro for GPU_1 notify */
#define TISCI_SEC_PROXY_GPU_1_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for GPU_1 response */
#define TISCI_SEC_PROXY_GPU_1_RESPONSE_READ_THREAD_ID (61U)
/** Num Messages macro for GPU_1 response */
#define TISCI_SEC_PROXY_GPU_1_RESPONSE_READ_NUM_MESSAGES (5U)

/** Thread ID macro for GPU_1 high_priority */
#define TISCI_SEC_PROXY_GPU_1_HIGH_PRIORITY_WRITE_THREAD_ID (62U)
/** Num Messages macro for GPU_1 high_priority */
#define TISCI_SEC_PROXY_GPU_1_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for GPU_1 low_priority */
#define TISCI_SEC_PROXY_GPU_1_LOW_PRIORITY_WRITE_THREAD_ID (63U)
/** Num Messages macro for GPU_1 low_priority */
#define TISCI_SEC_PROXY_GPU_1_LOW_PRIORITY_WRITE_NUM_MESSAGES (3U)

/** Thread ID macro for GPU_1 notify_resp */
#define TISCI_SEC_PROXY_GPU_1_NOTIFY_RESP_WRITE_THREAD_ID (64U)
/** Num Messages macro for GPU_1 notify_resp */
#define TISCI_SEC_PROXY_GPU_1_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/*
 * -------------------------
 * Secure Proxy Indices for: mcu_sec_proxy0
 * -------------------------
 */

/** Thread ID macro for R5_0 notify */
#define TISCI_SEC_PROXY_R5_0_NOTIFY_READ_THREAD_ID (0U)
/** Num Messages macro for R5_0 notify */
#define TISCI_SEC_PROXY_R5_0_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for R5_0 response */
#define TISCI_SEC_PROXY_R5_0_RESPONSE_READ_THREAD_ID (1U)
/** Num Messages macro for R5_0 response */
#define TISCI_SEC_PROXY_R5_0_RESPONSE_READ_NUM_MESSAGES (7U)

/** Thread ID macro for R5_0 high_priority */
#define TISCI_SEC_PROXY_R5_0_HIGH_PRIORITY_WRITE_THREAD_ID (2U)
/** Num Messages macro for R5_0 high_priority */
#define TISCI_SEC_PROXY_R5_0_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for R5_0 low_priority */
#define TISCI_SEC_PROXY_R5_0_LOW_PRIORITY_WRITE_THREAD_ID (3U)
/** Num Messages macro for R5_0 low_priority */
#define TISCI_SEC_PROXY_R5_0_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for R5_0 notify_resp */
#define TISCI_SEC_PROXY_R5_0_NOTIFY_RESP_WRITE_THREAD_ID (4U)
/** Num Messages macro for R5_0 notify_resp */
#define TISCI_SEC_PROXY_R5_0_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for R5_1 notify */
#define TISCI_SEC_PROXY_R5_1_NOTIFY_READ_THREAD_ID (5U)
/** Num Messages macro for R5_1 notify */
#define TISCI_SEC_PROXY_R5_1_NOTIFY_READ_NUM_MESSAGES (2U)

/** Thread ID macro for R5_1 response */
#define TISCI_SEC_PROXY_R5_1_RESPONSE_READ_THREAD_ID (6U)
/** Num Messages macro for R5_1 response */
#define TISCI_SEC_PROXY_R5_1_RESPONSE_READ_NUM_MESSAGES (7U)

/** Thread ID macro for R5_1 high_priority */
#define TISCI_SEC_PROXY_R5_1_HIGH_PRIORITY_WRITE_THREAD_ID (7U)
/** Num Messages macro for R5_1 high_priority */
#define TISCI_SEC_PROXY_R5_1_HIGH_PRIORITY_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for R5_1 low_priority */
#define TISCI_SEC_PROXY_R5_1_LOW_PRIORITY_WRITE_THREAD_ID (8U)
/** Num Messages macro for R5_1 low_priority */
#define TISCI_SEC_PROXY_R5_1_LOW_PRIORITY_WRITE_NUM_MESSAGES (5U)

/** Thread ID macro for R5_1 notify_resp */
#define TISCI_SEC_PROXY_R5_1_NOTIFY_RESP_WRITE_THREAD_ID (9U)
/** Num Messages macro for R5_1 notify_resp */
#define TISCI_SEC_PROXY_R5_1_NOTIFY_RESP_WRITE_NUM_MESSAGES (2U)

/** Thread ID macro for R5_2 notify */
#define TISCI_SEC_PROXY_R5_2_NOTIFY_READ_THREAD_ID (10U)
/** Num Messages macro for R5_2 notify */
#define TISCI_SEC_PROXY_R5_2_NOTIFY_READ_NUM_MESSAGES (1U)

/** Thread ID macro for R5_2 response */
#define TISCI_SEC_PROXY_R5_2_RESPONSE_READ_THREAD_ID (11U)
/** Num Messages macro for R5_2 response */
#define TISCI_SEC_PROXY_R5_2_RESPONSE_READ_NUM_MESSAGES (2U)

/** Thread ID macro for R5_2 high_priority */
#define TISCI_SEC_PROXY_R5_2_HIGH_PRIORITY_WRITE_THREAD_ID (12U)
/** Num Messages macro for R5_2 high_priority */
#define TISCI_SEC_PROXY_R5_2_HIGH_PRIORITY_WRITE_NUM_MESSAGES (1U)

/** Thread ID macro for R5_2 low_priority */
#define TISCI_SEC_PROXY_R5_2_LOW_PRIORITY_WRITE_THREAD_ID (13U)
/** Num Messages macro for R5_2 low_priority */
#define TISCI_SEC_PROXY_R5_2_LOW_PRIORITY_WRITE_NUM_MESSAGES (1U)

/** Thread ID macro for R5_2 notify_resp */
#define TISCI_SEC_PROXY_R5_2_NOTIFY_RESP_WRITE_THREAD_ID (14U)
/** Num Messages macro for R5_2 notify_resp */
#define TISCI_SEC_PROXY_R5_2_NOTIFY_RESP_WRITE_NUM_MESSAGES (1U)

/** Thread ID macro for R5_3 notify */
#define TISCI_SEC_PROXY_R5_3_NOTIFY_READ_THREAD_ID (15U)
/** Num Messages macro for R5_3 notify */
#define TISCI_SEC_PROXY_R5_3_NOTIFY_READ_NUM_MESSAGES (1U)

/** Thread ID macro for R5_3 response */
#define TISCI_SEC_PROXY_R5_3_RESPONSE_READ_THREAD_ID (16U)
/** Num Messages macro for R5_3 response */
#define TISCI_SEC_PROXY_R5_3_RESPONSE_READ_NUM_MESSAGES (2U)

/** Thread ID macro for R5_3 high_priority */
#define TISCI_SEC_PROXY_R5_3_HIGH_PRIORITY_WRITE_THREAD_ID (17U)
/** Num Messages macro for R5_3 high_priority */
#define TISCI_SEC_PROXY_R5_3_HIGH_PRIORITY_WRITE_NUM_MESSAGES (1U)

/** Thread ID macro for R5_3 low_priority */
#define TISCI_SEC_PROXY_R5_3_LOW_PRIORITY_WRITE_THREAD_ID (18U)
/** Num Messages macro for R5_3 low_priority */
#define TISCI_SEC_PROXY_R5_3_LOW_PRIORITY_WRITE_NUM_MESSAGES (1U)

/** Thread ID macro for R5_3 notify_resp */
#define TISCI_SEC_PROXY_R5_3_NOTIFY_RESP_WRITE_THREAD_ID (19U)
/** Num Messages macro for R5_3 notify_resp */
#define TISCI_SEC_PROXY_R5_3_NOTIFY_RESP_WRITE_NUM_MESSAGES (1U)


#endif /* AM6_TISCI_SEC_PROXY_H_SR2 */

/* @} */
