/**
 * @file   sample.h
 *
 * @brief  Sample HTML Web data to display when requested
 */
/*
 * Copyright (c) 2016-2018, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifdef __cplusplus
extern "C" {
#endif

#define SAMPLE_SIZE 2422
unsigned char SAMPLE[] = {
    0x3C, 0x68, 0x74, 0x6D, 0x6C, 0x3E, 0x0D, 0x0A, 0x3C, 0x68, 0x65, 0x61, 
    0x64, 0x3E, 0x3C, 0x74, 0x69, 0x74, 0x6C, 0x65, 0x3E, 0x43, 0x47, 0x49, 
    0x20, 0x53, 0x61, 0x6D, 0x70, 0x6C, 0x65, 0x3C, 0x2F, 0x74, 0x69, 0x74, 
    0x6C, 0x65, 0x3E, 0x3C, 0x2F, 0x68, 0x65, 0x61, 0x64, 0x3E, 0x0D, 0x0A, 
    0x3C, 0x62, 0x6F, 0x64, 0x79, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x68, 
    0x31, 0x3E, 0x43, 0x47, 0x49, 0x20, 0x53, 0x61, 0x6D, 0x70, 0x6C, 0x65, 
    0x20, 0x46, 0x6F, 0x72, 0x6D, 0x73, 0x3C, 0x2F, 0x68, 0x31, 0x3E, 0x0D, 
    0x0A, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x68, 0x72, 0x20, 0x57, 0x49, 0x44, 
    0x54, 0x48, 0x3D, 0x22, 0x31, 0x30, 0x30, 0x25, 0x22, 0x3E, 0x0D, 0x0A, 
    0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x68, 0x32, 0x3E, 0x46, 0x6F, 0x72, 0x6D, 
    0x20, 0x54, 0x79, 0x70, 0x65, 0x20, 0x31, 0x3A, 0x20, 0x53, 0x74, 0x61, 
    0x6E, 0x64, 0x61, 0x72, 0x64, 0x20, 0x45, 0x6E, 0x63, 0x6F, 0x64, 0x69, 
    0x6E, 0x67, 0x3C, 0x2F, 0x68, 0x32, 0x3E, 0x0D, 0x0A, 0x0D, 0x0A, 0x20, 
    0x20, 0x46, 0x69, 0x6C, 0x6C, 0x20, 0x69, 0x6E, 0x20, 0x74, 0x68, 0x65, 
    0x20, 0x66, 0x6F, 0x72, 0x6D, 0x20, 0x66, 0x69, 0x65, 0x6C, 0x64, 0x73, 
    0x20, 0x61, 0x6E, 0x64, 0x20, 0x68, 0x69, 0x74, 0x20, 0x27, 0x53, 0x75, 
    0x62, 0x6D, 0x69, 0x74, 0x27, 0x2E, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x66, 
    0x6F, 0x72, 0x6D, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x6D, 0x79, 
    0x5F, 0x66, 0x6F, 0x72, 0x6D, 0x22, 0x20, 0x6D, 0x65, 0x74, 0x68, 0x6F, 
    0x64, 0x3D, 0x22, 0x50, 0x4F, 0x53, 0x54, 0x22, 0x20, 0x61, 0x63, 0x74, 
    0x69, 0x6F, 0x6E, 0x3D, 0x22, 0x73, 0x61, 0x6D, 0x70, 0x6C, 0x65, 0x2E, 
    0x63, 0x67, 0x69, 0x22, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x4E, 
    0x61, 0x6D, 0x65, 0x3A, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 
    0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x74, 0x65, 0x78, 0x74, 0x22, 0x20, 
    0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x6E, 0x61, 0x6D, 0x65, 0x22, 0x3E, 
    0x3C, 0x62, 0x72, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x49, 0x20, 
    0x64, 0x69, 0x73, 0x6C, 0x69, 0x6B, 0x65, 0x20, 0x73, 0x70, 0x61, 0x6D, 
    0x3A, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 
    0x65, 0x3D, 0x22, 0x63, 0x68, 0x65, 0x63, 0x6B, 0x62, 0x6F, 0x78, 0x22, 
    0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x73, 0x70, 0x61, 0x6D, 0x22, 
    0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x6E, 0x6F, 0x21, 0x22, 
    0x3E, 0x3C, 0x62, 0x72, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x46, 
    0x61, 0x76, 0x6F, 0x72, 0x69, 0x74, 0x65, 0x20, 0x50, 0x69, 0x7A, 0x7A, 
    0x61, 0x3A, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x69, 
    0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x72, 
    0x61, 0x64, 0x69, 0x6F, 0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 
    0x70, 0x69, 0x7A, 0x7A, 0x61, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 
    0x3D, 0x22, 0x70, 0x65, 0x70, 0x70, 0x65, 0x72, 0x6F, 0x6E, 0x69, 0x22, 
    0x3E, 0x20, 0x50, 0x65, 0x70, 0x70, 0x65, 0x72, 0x6F, 0x6E, 0x69, 0x0D, 
    0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 
    0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x72, 0x61, 0x64, 0x69, 
    0x6F, 0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x70, 0x69, 0x7A, 
    0x7A, 0x61, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x73, 
    0x61, 0x75, 0x73, 0x61, 0x67, 0x65, 0x22, 0x3E, 0x20, 0x53, 0x61, 0x75, 
    0x73, 0x61, 0x67, 0x65, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
    0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 
    0x22, 0x72, 0x61, 0x64, 0x69, 0x6F, 0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 
    0x3D, 0x22, 0x70, 0x69, 0x7A, 0x7A, 0x61, 0x22, 0x20, 0x76, 0x61, 0x6C, 
    0x75, 0x65, 0x3D, 0x22, 0x63, 0x68, 0x65, 0x65, 0x73, 0x65, 0x22, 0x20, 
    0x63, 0x68, 0x65, 0x63, 0x6B, 0x65, 0x64, 0x3E, 0x20, 0x43, 0x68, 0x65, 
    0x65, 0x73, 0x65, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 
    0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 
    0x72, 0x61, 0x64, 0x69, 0x6F, 0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 
    0x22, 0x70, 0x69, 0x7A, 0x7A, 0x61, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 
    0x65, 0x3D, 0x22, 0x6F, 0x74, 0x68, 0x65, 0x72, 0x22, 0x3E, 0x20, 0x4F, 
    0x74, 0x68, 0x65, 0x72, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
    0x3C, 0x62, 0x72, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x46, 0x61, 
    0x76, 0x6F, 0x72, 0x69, 0x74, 0x65, 0x20, 0x43, 0x6F, 0x6C, 0x6F, 0x72, 
    0x3A, 0x20, 0x3C, 0x73, 0x65, 0x6C, 0x65, 0x63, 0x74, 0x20, 0x6E, 0x61, 
    0x6D, 0x65, 0x3D, 0x22, 0x63, 0x6F, 0x6C, 0x6F, 0x72, 0x22, 0x3E, 0x0D, 
    0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 
    0x6F, 0x6E, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x72, 0x65, 
    0x64, 0x22, 0x3E, 0x20, 0x52, 0x65, 0x64, 0x0D, 0x0A, 0x20, 0x20, 0x20, 
    0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 
    0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x67, 0x72, 0x65, 0x65, 0x6E, 0x22, 
    0x3E, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 
    0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 
    0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x62, 0x6C, 0x75, 0x65, 0x22, 0x3E, 
    0x20, 0x42, 0x6C, 0x75, 0x65, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 
    0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 0x61, 0x6C, 
    0x75, 0x65, 0x3D, 0x22, 0x79, 0x65, 0x6C, 0x6C, 0x6F, 0x77, 0x22, 0x3E, 
    0x20, 0x59, 0x65, 0x6C, 0x6C, 0x6F, 0x77, 0x0D, 0x0A, 0x20, 0x20, 0x20, 
    0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 
    0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x63, 0x79, 0x61, 0x6E, 0x22, 0x3E, 
    0x20, 0x43, 0x79, 0x61, 0x6E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 
    0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 0x61, 0x6C, 
    0x75, 0x65, 0x3D, 0x22, 0x6D, 0x61, 0x67, 0x65, 0x6E, 0x74, 0x61, 0x22, 
    0x3E, 0x20, 0x4D, 0x61, 0x67, 0x65, 0x6E, 0x74, 0x61, 0x0D, 0x0A, 0x20, 
    0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 
    0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x62, 0x6C, 0x61, 0x63, 
    0x6B, 0x22, 0x3E, 0x20, 0x42, 0x6C, 0x61, 0x63, 0x6B, 0x0D, 0x0A, 0x20, 
    0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 
    0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x77, 0x68, 0x69, 0x74, 
    0x65, 0x22, 0x3E, 0x20, 0x57, 0x68, 0x69, 0x74, 0x65, 0x0D, 0x0A, 0x20, 
    0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x2F, 0x73, 0x65, 0x6C, 0x65, 0x63, 
    0x74, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x2F, 0x70, 0x3E, 
    0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 
    0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x73, 0x75, 0x62, 0x6D, 0x69, 
    0x74, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x53, 0x75, 
    0x62, 0x6D, 0x69, 0x74, 0x20, 0x46, 0x6F, 0x72, 0x6D, 0x20, 0x44, 0x61, 
    0x74, 0x61, 0x22, 0x3E, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 
    0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x72, 0x65, 0x73, 0x65, 0x74, 0x22, 
    0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x2F, 0x66, 0x6F, 0x72, 0x6D, 0x3E, 
    0x0D, 0x0A, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x68, 0x72, 0x20, 0x57, 0x49, 
    0x44, 0x54, 0x48, 0x3D, 0x22, 0x31, 0x30, 0x30, 0x25, 0x22, 0x3E, 0x0D, 
    0x0A, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x68, 0x32, 0x3E, 0x46, 0x6F, 0x72, 
    0x6D, 0x20, 0x54, 0x79, 0x70, 0x65, 0x20, 0x32, 0x3A, 0x20, 0x4D, 0x75, 
    0x6C, 0x74, 0x69, 0x70, 0x61, 0x72, 0x74, 0x20, 0x46, 0x6F, 0x72, 0x6D, 
    0x20, 0x44, 0x61, 0x74, 0x61, 0x20, 0x45, 0x6E, 0x63, 0x6F, 0x64, 0x69, 
    0x6E, 0x67, 0x3C, 0x2F, 0x68, 0x32, 0x3E, 0x0D, 0x0A, 0x0D, 0x0A, 0x20, 
    0x20, 0x46, 0x69, 0x6C, 0x6C, 0x20, 0x69, 0x6E, 0x20, 0x74, 0x68, 0x65, 
    0x20, 0x66, 0x6F, 0x72, 0x6D, 0x20, 0x66, 0x69, 0x65, 0x6C, 0x64, 0x73, 
    0x20, 0x61, 0x6E, 0x64, 0x20, 0x68, 0x69, 0x74, 0x20, 0x27, 0x53, 0x75, 
    0x62, 0x6D, 0x69, 0x74, 0x27, 0x2E, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x66, 
    0x6F, 0x72, 0x6D, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x6D, 0x79, 
    0x5F, 0x66, 0x6F, 0x72, 0x6D, 0x22, 0x20, 0x6D, 0x65, 0x74, 0x68, 0x6F, 
    0x64, 0x3D, 0x22, 0x50, 0x4F, 0x53, 0x54, 0x22, 0x20, 0x61, 0x63, 0x74, 
    0x69, 0x6F, 0x6E, 0x3D, 0x22, 0x73, 0x61, 0x6D, 0x70, 0x6C, 0x65, 0x5F, 
    0x6D, 0x75, 0x6C, 0x74, 0x69, 0x2E, 0x63, 0x67, 0x69, 0x22, 0x20, 0x45, 
    0x4E, 0x43, 0x54, 0x59, 0x50, 0x45, 0x3D, 0x22, 0x6D, 0x75, 0x6C, 0x74, 
    0x69, 0x70, 0x61, 0x72, 0x74, 0x2F, 0x66, 0x6F, 0x72, 0x6D, 0x2D, 0x64, 
    0x61, 0x74, 0x61, 0x22, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x4E, 
    0x61, 0x6D, 0x65, 0x3A, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 
    0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x74, 0x65, 0x78, 0x74, 0x22, 0x20, 
    0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x6E, 0x61, 0x6D, 0x65, 0x22, 0x3E, 
    0x3C, 0x62, 0x72, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x49, 0x20, 
    0x64, 0x69, 0x73, 0x6C, 0x69, 0x6B, 0x65, 0x20, 0x73, 0x70, 0x61, 0x6D, 
    0x3A, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 
    0x65, 0x3D, 0x22, 0x63, 0x68, 0x65, 0x63, 0x6B, 0x62, 0x6F, 0x78, 0x22, 
    0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x73, 0x70, 0x61, 0x6D, 0x22, 
    0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x6E, 0x6F, 0x21, 0x22, 
    0x3E, 0x3C, 0x62, 0x72, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x46, 
    0x61, 0x76, 0x6F, 0x72, 0x69, 0x74, 0x65, 0x20, 0x50, 0x69, 0x7A, 0x7A, 
    0x61, 0x3A, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x69, 
    0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x72, 
    0x61, 0x64, 0x69, 0x6F, 0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 
    0x70, 0x69, 0x7A, 0x7A, 0x61, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 
    0x3D, 0x22, 0x70, 0x65, 0x70, 0x70, 0x65, 0x72, 0x6F, 0x6E, 0x69, 0x22, 
    0x3E, 0x20, 0x50, 0x65, 0x70, 0x70, 0x65, 0x72, 0x6F, 0x6E, 0x69, 0x0D, 
    0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 
    0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x72, 0x61, 0x64, 0x69, 
    0x6F, 0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x70, 0x69, 0x7A, 
    0x7A, 0x61, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x73, 
    0x61, 0x75, 0x73, 0x61, 0x67, 0x65, 0x22, 0x3E, 0x20, 0x53, 0x61, 0x75, 
    0x73, 0x61, 0x67, 0x65, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
    0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 
    0x22, 0x72, 0x61, 0x64, 0x69, 0x6F, 0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 
    0x3D, 0x22, 0x70, 0x69, 0x7A, 0x7A, 0x61, 0x22, 0x20, 0x76, 0x61, 0x6C, 
    0x75, 0x65, 0x3D, 0x22, 0x63, 0x68, 0x65, 0x65, 0x73, 0x65, 0x22, 0x20, 
    0x63, 0x68, 0x65, 0x63, 0x6B, 0x65, 0x64, 0x3E, 0x20, 0x43, 0x68, 0x65, 
    0x65, 0x73, 0x65, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 
    0x69, 0x6E, 0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 
    0x72, 0x61, 0x64, 0x69, 0x6F, 0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 
    0x22, 0x70, 0x69, 0x7A, 0x7A, 0x61, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 
    0x65, 0x3D, 0x22, 0x6F, 0x74, 0x68, 0x65, 0x72, 0x22, 0x3E, 0x20, 0x4F, 
    0x74, 0x68, 0x65, 0x72, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
    0x3C, 0x62, 0x72, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x46, 0x61, 
    0x76, 0x6F, 0x72, 0x69, 0x74, 0x65, 0x20, 0x43, 0x6F, 0x6C, 0x6F, 0x72, 
    0x3A, 0x20, 0x3C, 0x73, 0x65, 0x6C, 0x65, 0x63, 0x74, 0x20, 0x6E, 0x61, 
    0x6D, 0x65, 0x3D, 0x22, 0x63, 0x6F, 0x6C, 0x6F, 0x72, 0x22, 0x3E, 0x0D, 
    0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 
    0x6F, 0x6E, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x72, 0x65, 
    0x64, 0x22, 0x3E, 0x20, 0x52, 0x65, 0x64, 0x0D, 0x0A, 0x20, 0x20, 0x20, 
    0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 
    0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x67, 0x72, 0x65, 0x65, 0x6E, 0x22, 
    0x3E, 0x20, 0x47, 0x72, 0x65, 0x65, 0x6E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 
    0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 
    0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x62, 0x6C, 0x75, 0x65, 0x22, 0x3E, 
    0x20, 0x42, 0x6C, 0x75, 0x65, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 
    0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 0x61, 0x6C, 
    0x75, 0x65, 0x3D, 0x22, 0x79, 0x65, 0x6C, 0x6C, 0x6F, 0x77, 0x22, 0x3E, 
    0x20, 0x59, 0x65, 0x6C, 0x6C, 0x6F, 0x77, 0x0D, 0x0A, 0x20, 0x20, 0x20, 
    0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 
    0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x63, 0x79, 0x61, 0x6E, 0x22, 0x3E, 
    0x20, 0x43, 0x79, 0x61, 0x6E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x20, 
    0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 0x20, 0x76, 0x61, 0x6C, 
    0x75, 0x65, 0x3D, 0x22, 0x6D, 0x61, 0x67, 0x65, 0x6E, 0x74, 0x61, 0x22, 
    0x3E, 0x20, 0x4D, 0x61, 0x67, 0x65, 0x6E, 0x74, 0x61, 0x0D, 0x0A, 0x20, 
    0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 
    0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x62, 0x6C, 0x61, 0x63, 
    0x6B, 0x22, 0x3E, 0x20, 0x42, 0x6C, 0x61, 0x63, 0x6B, 0x0D, 0x0A, 0x20, 
    0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x6F, 0x70, 0x74, 0x69, 0x6F, 0x6E, 
    0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 0x22, 0x77, 0x68, 0x69, 0x74, 
    0x65, 0x22, 0x3E, 0x20, 0x57, 0x68, 0x69, 0x74, 0x65, 0x0D, 0x0A, 0x20, 
    0x20, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x2F, 0x73, 0x65, 0x6C, 0x65, 0x63, 
    0x74, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x62, 0x72, 0x3E, 
    0x3C, 0x62, 0x72, 0x3E, 0x55, 0x70, 0x6C, 0x6F, 0x61, 0x64, 0x20, 0x61, 
    0x20, 0x66, 0x69, 0x6C, 0x65, 0x3A, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 
    0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x46, 0x49, 0x4C, 0x45, 
    0x22, 0x20, 0x6E, 0x61, 0x6D, 0x65, 0x3D, 0x22, 0x6D, 0x79, 0x66, 0x69, 
    0x6C, 0x65, 0x22, 0x3E, 0x3C, 0x62, 0x72, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 
    0x20, 0x20, 0x3C, 0x69, 0x3E, 0x28, 0x49, 0x66, 0x20, 0x74, 0x68, 0x65, 
    0x20, 0x66, 0x69, 0x6C, 0x65, 0x20, 0x69, 0x73, 0x20, 0x6C, 0x61, 0x72, 
    0x67, 0x65, 0x72, 0x20, 0x74, 0x68, 0x61, 0x6E, 0x20, 0x77, 0x68, 0x61, 
    0x74, 0x20, 0x63, 0x61, 0x6E, 0x20, 0x62, 0x65, 0x20, 0x61, 0x6C, 0x6C, 
    0x6F, 0x63, 0x74, 0x65, 0x64, 0x20, 0x6F, 0x6E, 0x20, 0x74, 0x68, 0x65, 
    0x20, 0x44, 0x53, 0x50, 0x2C, 0x20, 0x74, 0x68, 0x65, 0x20, 0x65, 0x6E, 
    0x74, 0x69, 0x72, 0x65, 0x20, 0x50, 0x4F, 0x53, 0x54, 0x20, 0x77, 0x69, 
    0x6C, 0x6C, 0x20, 0x66, 0x61, 0x69, 0x6C, 0x2E, 0x29, 0x3C, 0x2F, 0x69, 
    0x3E, 0x3C, 0x62, 0x72, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 
    0x2F, 0x70, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x20, 0x20, 0x3C, 0x69, 0x6E, 
    0x70, 0x75, 0x74, 0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x73, 0x75, 
    0x62, 0x6D, 0x69, 0x74, 0x22, 0x20, 0x76, 0x61, 0x6C, 0x75, 0x65, 0x3D, 
    0x22, 0x53, 0x75, 0x62, 0x6D, 0x69, 0x74, 0x20, 0x4D, 0x75, 0x6C, 0x74, 
    0x69, 0x70, 0x61, 0x72, 0x74, 0x20, 0x46, 0x6F, 0x72, 0x6D, 0x20, 0x44, 
    0x61, 0x74, 0x61, 0x22, 0x3E, 0x20, 0x3C, 0x69, 0x6E, 0x70, 0x75, 0x74, 
    0x20, 0x74, 0x79, 0x70, 0x65, 0x3D, 0x22, 0x72, 0x65, 0x73, 0x65, 0x74, 
    0x22, 0x3E, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x2F, 0x66, 0x6F, 0x72, 0x6D, 
    0x3E, 0x0D, 0x0A, 0x0D, 0x0A, 0x20, 0x20, 0x3C, 0x68, 0x72, 0x20, 0x57, 
    0x49, 0x44, 0x54, 0x48, 0x3D, 0x22, 0x31, 0x30, 0x30, 0x25, 0x22, 0x3E, 
    0x0D, 0x0A, 0x0D, 0x0A, 0x3C, 0x2F, 0x62, 0x6F, 0x64, 0x79, 0x3E, 0x0D, 
    0x0A, 0x3C, 0x2F, 0x68, 0x74, 0x6D, 0x6C, 0x3E, 0x0D, 0x0A };

#ifdef __cplusplus
}
#endif
