/*
 *  Copyright (c) Texas Instruments Incorporated 2018
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 *  \file dss_display_buffer1.h
 *
 *  \brief DSS Display buffer size 640x400 ARGB8888 format
 */

#ifndef DSS_DISPLAY_BUFFER1_H_
#define DSS_DISPLAY_BUFFER1_H_

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                      Static Function Declarations                          */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

uint32_t gDispArray1[] __attribute__ ((aligned (4096))) __attribute__ ((section ("displaybuffer")));
uint32_t gDispArray1[] = {
    0xff451c16,
    0xff441b15,
    0xff481d17,
    0xff471c16,
    0xff4b1d18,
    0xff4a1d1b,
    0xff4c1c1a,
    0xff4c1c1a,
    0xff4b1b1c,
    0xff4c1b1a,
    0xff4e211e,
    0xff4d201a,
    0xff4e221e,
    0xff4c1e21,
    0xff4e1f23,
    0xff512228,
    0xff4d253a,
    0xff543058,
    0xff523971,
    0xff534682,
    0xff635697,
    0xff73538f,
    0xff5d2849,
    0xff601e1f,
    0xff732218,
    0xff8c2b23,
    0xff9a3c32,
    0xff8a3229,
    0xff721612,
    0xff6d1b1e,
    0xff631d29,
    0xff6d1a31,
    0xff74181e,
    0xff7a1720,
    0xff7c1922,
    0xff79131d,
    0xff811821,
    0xff7e0f14,
    0xff8f1417,
    0xffb93639,
    0xffab313b,
    0xff672930,
    0xff4a2636,
    0xff442139,
    0xff3e2c3c,
    0xff332940,
    0xff3b305b,
    0xff797cb4,
    0xffbdccfd,
    0xffbcccf5,
    0xffb0c9ed,
    0xffa5c9f0,
    0xffa1c9fa,
    0xffa5c7fd,
    0xffa7c7f1,
    0xffaecaec,
    0xffafbff7,
    0xffb7b7fb,
    0xff765fa3,
    0xff681f34,
    0xff7d1d1b,
    0xff781e29,
    0xff811c25,
    0xff80191e,
    0xff86231f,
    0xff7d222b,
    0xff7f2a3a,
    0xff883440,
    0xff812829,
    0xff7a1d24,
    0xff913752,
    0xffb25d89,
    0xff8e1736,
    0xff740016,
    0xff780217,
    0xff770211,
    0xff78000d,
    0xff7b030d,
    0xff7f070f,
    0xff7b040c,
    0xff74060d,
    0xff71060e,
    0xff71050f,
    0xff74010f,
    0xff720016,
    0xff5a0828,
    0xffaf8fbd,
    0xffb6c0f4,
    0xffa9a3dc,
    0xff6f133e,
    0xff900019,
    0xff8b0115,
    0xff7d041b,
    0xffe68a93,
    0xffe27c7b,
    0xffbb3637,
    0xffc44844,
    0xffbc3532,
    0xffc82c23,
    0xffca2a1c,
    0xffc9221b,
    0xffcf2526,
    0xffc15266,
    0xffd7bff6,
    0xffcdc2ff,
    0xff9c466d,
    0xffaf4047,
    0xff934b47,
    0xff58303a,
    0xff2d1a36,
    0xff242753,
    0xff99a2e1,
    0xffb7d1fb,
    0xffadd1fa,
    0xffa7c9f5,
    0xffa9caf1,
    0xffa6cae8,
    0xffaacae9,
    0xffafcaf2,
    0xffa8c7f7,
    0xffb2c7ff,
    0xffb7d1ff,
    0xffb4d2ff,
    0xff8b91c5,
    0xff77426c,
    0xff820c21,
    0xffb82531,
    0xffad222f,
    0xffa5283e,
    0xff990a1d,
    0xff850915,
    0xff5d0a11,
    0xff4d0e13,
    0xff4d2935,
    0xff7a759d,
    0xff928dd6,
    0xffb096d8,
    0xffac73c7,
    0xff9a82d3,
    0xffac8fe5,
    0xffb8a9f9,
    0xffb1b1ed,
    0xffa15b83,
    0xff7c1920,
    0xff921a1f,
    0xff911f2d,
    0xff85212a,
    0xff8e2329,
    0xff782842,
    0xffb98bc4,
    0xffa65b9e,
    0xff8e2454,
    0xff7c0f23,
    0xff860d0e,
    0xff891613,
    0xff941d26,
    0xff8f2737,
    0xff7b1e4e,
    0xffb79dd4,
    0xffc0a0cb,
    0xffb26670,
    0xffa65963,
    0xff8b416a,
    0xff7e153e,
    0xff930326,
    0xffa80139,
    0xffad0034,
    0xff9c0629,
    0xffa8002b,
    0xffa90329,
    0xffa80325,
    0xffa20015,
    0xffa6000b,
    0xffb20d0d,
    0xffae1204,
    0xffba240b,
    0xffd1470a,
    0xffd54e0b,
    0xffe15b15,
    0xffe25e19,
    0xffc7400a,
    0xffa21901,
    0xff8a0000,
    0xff890001,
    0xff8c020a,
    0xff89020f,
    0xff880413,
    0xff900819,
    0xff940113,
    0xff98020f,
    0xff95030d,
    0xff8f040c,
    0xffa01c1e,
    0xff981e20,
    0xff831719,
    0xff811b16,
    0xff963021,
    0xff96251b,
    0xff971c22,
    0xff961329,
    0xff8e042c,
    0xff8a0523,
    0xff8a0a1c,
    0xff8d131a,
    0xff8d181c,
    0xff8c1f26,
    0xff831d29,
    0xffa0475a,
    0xffbeb5e4,
    0xffb2c2ff,
    0xffa7bff9,
    0xff99c9e9,
    0xff9fc6f3,
    0xffb1bdff,
    0xffaca0ca,
    0xff8a3b4e,
    0xff711921,
    0xffa38fcc,
    0xffb5c6fb,
    0xffa5a9e1,
    0xff9d83d1,
    0xff7e3c76,
    0xffac5285,
    0xffba689b,
    0xff7d172a,
    0xff9a2d3b,
    0xffa03949,
    0xff914963,
    0xff8b6e96,
    0xffaaaee1,
    0xffb8c9ff,
    0xffadbdf2,
    0xffa3beec,
    0xffa0c5f6,
    0xffa0c2f2,
    0xffa5c1eb,
    0xffa0c1f0,
    0xff98c4f9,
    0xff9bc3f9,
    0xffa2c0ee,
    0xffa1c1f3,
    0xff9fc1f4,
    0xffa0c1f4,
    0xff9fc0f3,
    0xffa0c1f4,
    0xffa0c1f4,
    0xff9ebff2,
    0xff9ebff2,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9bbff1,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9bc0f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff99bef4,
    0xff9abff4,
    0xff99bef4,
    0xff9abff4,
    0xff99bef4,
    0xff99bef3,
    0xff9cc1f6,
    0xff9abff5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff9abff3,
    0xff99bef2,
    0xff99bef3,
    0xff99bef3,
    0xff9bc0f5,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff3,
    0xff9abef8,
    0xff96baf5,
    0xff95b8f3,
    0xff95b9f3,
    0xff98bcf6,
    0xff98bbf6,
    0xff98bbf6,
    0xff98bdf5,
    0xff95baef,
    0xff97bcf4,
    0xff96bbf2,
    0xff95baf1,
    0xff94b9f0,
    0xff95baf1,
    0xff94b8f2,
    0xff95b9f2,
    0xff93b8ee,
    0xff93b9ef,
    0xff93b7f1,
    0xff95b9f6,
    0xff96baf6,
    0xff96baf6,
    0xff93b7f1,
    0xff92b5ef,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff90b7f0,
    0xff91b8f1,
    0xff90baf1,
    0xff8db6ee,
    0xff8eb7ef,
    0xff90b9f1,
    0xff8fb8f0,
    0xff8eb6f4,
    0xff8fb7f4,
    0xff8db5f2,
    0xff8db5f0,
    0xff8db5f0,
    0xff8cb4ef,
    0xff8eb6f1,
    0xff8db4ef,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff89b2f0,
    0xff8db6f7,
    0xff8cb5f2,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8db6f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab2f3,
    0xff87b4f3,
    0xff88b4f3,
    0xff86b3f2,
    0xff83b1ef,
    0xff82b4f2,
    0xff81b1ef,
    0xff85b3f1,
    0xff84b0ef,
    0xff86b2f3,
    0xff84b0f1,
    0xff85b1f2,
    0xff85b0f1,
    0xff83b2f2,
    0xff81b2f1,
    0xff82b2f1,
    0xff81b1f3,
    0xff7dadef,
    0xff7eaef0,
    0xff7eaff0,
    0xff7fadf2,
    0xff7eadf4,
    0xff7eadf3,
    0xff7cabef,
    0xff7dabef,
    0xff7badef,
    0xff7cadf0,
    0xff7aabee,
    0xff7aaeef,
    0xff7cacf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7aabf0,
    0xff7bacf1,
    0xff7babf0,
    0xff7badf2,
    0xff78aaef,
    0xff77a9ee,
    0xff77acf0,
    0xff76abf2,
    0xff77acf2,
    0xff77acf2,
    0xff75aaef,
    0xff75aaed,
    0xff77acf0,
    0xff75aaee,
    0xff77acf2,
    0xff76abf0,
    0xff75a8f2,
    0xff76aaf2,
    0xff71a5f1,
    0xff74a6ee,
    0xff71a6ef,
    0xff72a6ef,
    0xff71a7ef,
    0xff71a7ef,
    0xff6fa8ef,
    0xff70a8f0,
    0xff6eaaf0,
    0xff70a8f0,
    0xff70a9f0,
    0xff70a9f0,
    0xff70a9ef,
    0xff70a7f2,
    0xff70a8f2,
    0xff6ea6f0,
    0xff6ca4ee,
    0xff6da5f0,
    0xff6da6f0,
    0xff6ea2f1,
    0xff6da1ef,
    0xff6aa3f0,
    0xff6ca3f0,
    0xff6ca5f4,
    0xff6ca7f5,
    0xff6ba6f1,
    0xff67a0f0,
    0xff6aa4f2,
    0xff6ba1f2,
    0xff6ba2f2,
    0xff6aa0f0,
    0xff68a1f2,
    0xff67a0f1,
    0xff68a1f2,
    0xff67a0f1,
    0xff66a2f2,
    0xff66a1f1,
    0xff66a1f1,
    0xff65a0f0,
    0xff659fef,
    0xff629fef,
    0xff649fef,
    0xff649fef,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0ef,
    0xff659ef1,
    0xff639def,
    0xff639def,
    0xff649fee,
    0xff639eee,
    0xff649eee,
    0xff619ef0,
    0xff609fef,
    0xff609eee,
    0xff5d9fef,
    0xff5c9ded,
    0xff5ca0f1,
    0xff5ca0f1,
    0xff5ba0f1,
    0xff5ba0f1,
    0xff5b9eef,
    0xff5a9bed,
    0xff5f9cef,
    0xff609aef,
    0xff5d9def,
    0xff5a9cee,
    0xff5a9bed,
    0xff5a9bef,
    0xff599aee,
    0xff5a9bef,
    0xff5b9cef,
    0xff5897f0,
    0xff599aed,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5596ea,
    0xff5798ec,
    0xff5697eb,
    0xff5697eb,
    0xff5998f0,
    0xff5595ec,
    0xff5797ee,
    0xff5797ee,
    0xff5797ee,
    0xff5797ee,
    0xff5595ec,
    0xff5595ec,
    0xff5696ee,
    0xff5695ee,
    0xff5497ee,
    0xff5597ee,
    0xff5597ee,
    0xff5596ed,
    0xff5598ef,
    0xff5295ec,
    0xff5295ec,
    0xff4f92e9,
    0xff5194eb,
    0xff5497ee,
    0xff5497ee,
    0xff5396ed,
    0xff5194eb,
    0xff5295eb,
    0xff5295ee,
    0xff5194ed,
    0xff5395ee,
    0xff4e95ed,
    0xff4b91e9,
    0xff4f96ee,
    0xff4e95ed,
    0xff4b92ea,
    0xff4e93ee,
    0xff5194ef,
    0xff4d91eb,
    0xff4d8eed,
    0xff4f90ee,
    0xff4e90ee,
    0xff4c8deb,
    0xff488dea,
    0xff4990ea,
    0xff458ce8,
    0xff488feb,
    0xff488feb,
    0xff468de9,
    0xff468cec,
    0xff478dec,
    0xff478dec,
    0xff478dec,
    0xff478dec,
    0xff458bea,
    0xff468ceb,
    0xff468ceb,
    0xff458bea,
    0xff478dec,
    0xff478dec,
    0xff438ceb,
    0xff4089e8,
    0xff3e87e6,
    0xff428bea,
    0xff438ceb,
    0xff3f88e7,
    0xff428bea,
    0xff4089e7,
    0xff3c84e6,
    0xff4189eb,
    0xff4088ea,
    0xff3e86ea,
    0xff3e86ea,
    0xff3e86ea,
    0xff3c84e8,
    0xff3c83ea,
    0xff3982e9,
    0xff3b84eb,
    0xff3a83ec,
    0xff3881ea,
    0xff3881ea,
    0xff3b84ed,
    0xff3b84eb,
    0xff3881e7,
    0xff3782e8,
    0xff3782e8,
    0xff3883e9,
    0xff3682e7,
    0xff357ee8,
    0xff357fe8,
    0xff357fe8,
    0xff357ee7,
    0xff3380e8,
    0xff3481e9,
    0xff3481e9,
    0xff317ee6,
    0xff3380e8,
    0xff327fe7,
    0xff3481e9,
    0xff317ee6,
    0xff2e7fea,
    0xff307de9,
    0xff2e7ce8,
    0xff2e7ce8,
    0xff317eea,
    0xff2e7be7,
    0xff307de9,
    0xff307de9,
    0xff2e7be7,
    0xff2f7ce8,
    0xff2d7ae6,
    0xff2d79e8,
    0xff2d79e7,
    0xff2e7ae8,
    0xff2e7ae8,
    0xff2f7cea,
    0xff2c7ce4,
    0xff3475f6,
    0xff3777d7,
    0xff236ca3,
    0xff2d78f3,
    0xff2d7fe5,
    0xff2974bd,
    0xff1f5ca3,
    0xff20547f,
    0xff00353d,
    0xff1d463a,
    0xff2d312e,
    0xff70352e,
    0xffaf4625,
    0xffb45122,
    0xff7e3a11,
    0xff804124,
    0xff7d492b,
    0xff733c23,
    0xff833b28,
    0xff8f3927,
    0xff7d2612,
    0xff973b2a,
    0xffad473a,
    0xff904236,
    0xffb7625b,
    0xff944541,
    0xff4b0e09,
    0xff451815,
    0xff391415,
    0xff2b1817,
    0xff1a1f1a,
    0xff001b18,
    0xff021c19,
    0xff071a1d,
    0xff04171b,
    0xff041916,
    0xff00170e,
    0xff001410,
    0xff011218,
    0xff441b15,
    0xff441b15,
    0xff481d17,
    0xff471d16,
    0xff481b18,
    0xff471b18,
    0xff4b1b19,
    0xff4b1b19,
    0xff4b1a1d,
    0xff4c1c1d,
    0xff4f1f1c,
    0xff4e1e1c,
    0xff501f20,
    0xff502127,
    0xff51242e,
    0xff522736,
    0xff553051,
    0xff583b6d,
    0xff5a4783,
    0xff635697,
    0xff695fa8,
    0xff725f9f,
    0xff522546,
    0xff641f1e,
    0xff843324,
    0xff963a32,
    0xff9a4641,
    0xff6b2121,
    0xff681d27,
    0xff681e2a,
    0xff691c25,
    0xff771723,
    0xff781734,
    0xff7b1729,
    0xff7f1419,
    0xff7f1212,
    0xff84151a,
    0xff82101d,
    0xff8b142c,
    0xffa42842,
    0xff9f2b38,
    0xff672832,
    0xff442334,
    0xff452740,
    0xff3d2e41,
    0xff342940,
    0xff44365e,
    0xffb6b4e6,
    0xffccdafd,
    0xffc7d7f8,
    0xffbbd1f2,
    0xffacc9eb,
    0xffa6c3ed,
    0xffa9c5f1,
    0xffafc8f5,
    0xffa9c3e9,
    0xffafcdf0,
    0xffb0bbef,
    0xff8976b4,
    0xff6f1e40,
    0xff891729,
    0xff831934,
    0xff821d2d,
    0xff762327,
    0xff791c1b,
    0xff812228,
    0xff872631,
    0xff812029,
    0xff832629,
    0xff7d2428,
    0xff79182e,
    0xff6a0329,
    0xff760017,
    0xff770114,
    0xff770113,
    0xff770212,
    0xff7a000f,
    0xff7a000f,
    0xff7b0210,
    0xff790011,
    0xff79000f,
    0xff74010d,
    0xff77020b,
    0xff83000c,
    0xff720012,
    0xff762e54,
    0xffe1c4ff,
    0xff9e93e5,
    0xffaf7db7,
    0xff6e0228,
    0xff80000c,
    0xff890313,
    0xff840016,
    0xff800008,
    0xffb92d30,
    0xffc21d24,
    0xffb11b1d,
    0xff910000,
    0xffce2c2c,
    0xffb70b0a,
    0xffcb1b1e,
    0xffc51a1d,
    0xff9d2637,
    0xffeabfed,
    0xffc2c7ff,
    0xff9a6faa,
    0xffa06183,
    0xff72454a,
    0xff3d1e26,
    0xff281537,
    0xff6b709f,
    0xffb0c7f5,
    0xffc4d7fe,
    0xffc4d7fd,
    0xffc4d4fa,
    0xffbbcced,
    0xffc7d5f3,
    0xffd7e0fc,
    0xffe2e5ff,
    0xffcecffa,
    0xffb0abdf,
    0xff8379a5,
    0xff433356,
    0xff31072b,
    0xff660624,
    0xff990316,
    0xffac0417,
    0xff9e021d,
    0xff9a0024,
    0xff9e0126,
    0xff860721,
    0xff7e0e20,
    0xff8c0e21,
    0xff95243f,
    0xffdb9dd3,
    0xffad91eb,
    0xffa38ecb,
    0xffb6a5da,
    0xffbbd0fb,
    0xffbcbbf3,
    0xffa780b9,
    0xff7b3d5e,
    0xff801d33,
    0xff781f2a,
    0xff7e2424,
    0xff882625,
    0xff8d2b30,
    0xff841a3a,
    0xff6e2964,
    0xffaba2e1,
    0xffd2bcfd,
    0xffb17eba,
    0xff7e2e59,
    0xff77122a,
    0xff811820,
    0xff87201d,
    0xff80272f,
    0xff893b75,
    0xffc0bbfc,
    0xffc0ccfb,
    0xffcacdfc,
    0xffded8fd,
    0xffbaa2cf,
    0xff832c48,
    0xff960615,
    0xffac0228,
    0xffb6032d,
    0xffa20024,
    0xffa5002a,
    0xffa5032a,
    0xffa50528,
    0xffa2021c,
    0xffa30313,
    0xffa4050a,
    0xffa70d07,
    0xffac1808,
    0xffc8400b,
    0xffc03b00,
    0xffc94500,
    0xffc03800,
    0xffd14809,
    0xffce4317,
    0xffb62510,
    0xff9c0802,
    0xffa50a07,
    0xff9a0708,
    0xff870004,
    0xff910614,
    0xff930312,
    0xff92000c,
    0xff90000c,
    0xff950914,
    0xff920d0d,
    0xff890f11,
    0xff7b0a0c,
    0xff811912,
    0xff962d1f,
    0xffa8382c,
    0xffa42e30,
    0xff8b1020,
    0xff86071f,
    0xff8b0f20,
    0xff8e1820,
    0xff8e1a1b,
    0xff8c1a19,
    0xff8b1d20,
    0xff881e26,
    0xff7c1c28,
    0xff6e4364,
    0xffb5b8f3,
    0xffa8c4fe,
    0xff9cc4e5,
    0xffa5c4f0,
    0xffa6c0ff,
    0xffb0b6e7,
    0xff8c445c,
    0xff781c2b,
    0xff8b679b,
    0xffb0c6f8,
    0xffacc0ef,
    0xffc0b3e8,
    0xffad759b,
    0xff952d48,
    0xff860e2d,
    0xff9a1e44,
    0xff8e2135,
    0xff963c3b,
    0xff924541,
    0xff8d495d,
    0xff6d3f6c,
    0xff8d87bd,
    0xffabbff6,
    0xffaac5f7,
    0xff9cc1f6,
    0xff9ec4f9,
    0xffa1c2f0,
    0xff9fc1ef,
    0xff9ac2f8,
    0xff9bc3f5,
    0xffa4c0eb,
    0xff9fbff2,
    0xff9fc0f3,
    0xff9fc0f3,
    0xffa0c1f4,
    0xff9fc0f3,
    0xff9fc0f3,
    0xff9fc0f3,
    0xffa0c1f4,
    0xff9dc2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9bc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff99bef2,
    0xff9abff2,
    0xff9abff2,
    0xff99bef2,
    0xff9bc0f4,
    0xff9abff3,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f5,
    0xff9abff4,
    0xff9bc0f5,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff3,
    0xff9abff6,
    0xff97bcf3,
    0xff97bcf3,
    0xff98bef4,
    0xff97bcf3,
    0xff97bdf3,
    0xff97bdf3,
    0xff97bcf4,
    0xff99bef3,
    0xff9abff3,
    0xff98bdf4,
    0xff97bcf3,
    0xff97bcf3,
    0xff97bdf3,
    0xff94b8f3,
    0xff93b8f0,
    0xff94b9ee,
    0xff95baf1,
    0xff93b7f2,
    0xff94b8f1,
    0xff94b8f5,
    0xff95b9f2,
    0xff93b7f1,
    0xff95b8f3,
    0xff90b7f0,
    0xff90b7f0,
    0xff90b7f0,
    0xff90b7f0,
    0xff91b8f1,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff91b8f1,
    0xff90b7f0,
    0xff91b7f0,
    0xff8fb8f0,
    0xff90b9f1,
    0xff90b9f1,
    0xff90b9f0,
    0xff8eb6f2,
    0xff8fb6f2,
    0xff8db5f0,
    0xff8fb7f2,
    0xff8cb4ef,
    0xff8bb3ee,
    0xff8cb4ef,
    0xff8db4ef,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8cb5f2,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8bb4f5,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff8bb4f4,
    0xff89b2f2,
    0xff88b1f1,
    0xff89b3f3,
    0xff85b1f0,
    0xff86b1f0,
    0xff81b1ef,
    0xff85b3f1,
    0xff84b3f1,
    0xff84b0ef,
    0xff86b2f3,
    0xff86b2f3,
    0xff85b0f1,
    0xff84b0f2,
    0xff81b2f1,
    0xff82b2f2,
    0xff82b2f1,
    0xff81b1f3,
    0xff7eaef0,
    0xff7eaef0,
    0xff80b0f2,
    0xff7faff1,
    0xff7dacf0,
    0xff7eadf0,
    0xff7eadf1,
    0xff7eacf1,
    0xff7daef1,
    0xff7daef1,
    0xff7bacef,
    0xff7daef1,
    0xff7bacf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7aabf0,
    0xff7bacf1,
    0xff7bacf1,
    0xff79acf1,
    0xff79abf0,
    0xff79aaef,
    0xff76acef,
    0xff77acf2,
    0xff77acf2,
    0xff77acf2,
    0xff75aaf0,
    0xff76abed,
    0xff75aaef,
    0xff75aaee,
    0xff76abf1,
    0xff76abf1,
    0xff72a6f0,
    0xff75a9f2,
    0xff73a7f0,
    0xff78a9f2,
    0xff75a9f2,
    0xff75a9f2,
    0xff74aaf2,
    0xff73a8f1,
    0xff6fa9f0,
    0xff6fa8ef,
    0xff6ea7ee,
    0xff70a9f0,
    0xff70a9f0,
    0xff70a9f0,
    0xff70a9ef,
    0xff70a8f2,
    0xff6ea6f0,
    0xff6ca4ee,
    0xff6da5ef,
    0xff6ba3ee,
    0xff6ba4ee,
    0xff6da2ee,
    0xff6da2f0,
    0xff6ea3f1,
    0xff6ca4f1,
    0xff6ba4f0,
    0xff6ba3f3,
    0xff6aa6f1,
    0xff6aa3f0,
    0xff6ca2f3,
    0xff6aa1f1,
    0xff6aa1f1,
    0xff6aa1f1,
    0xff69a2f4,
    0xff69a2f4,
    0xff69a2f3,
    0xff68a1f2,
    0xff69a2f3,
    0xff66a2f1,
    0xff67a2f2,
    0xff66a1f1,
    0xff66a1f1,
    0xff63a1f1,
    0xff67a1ef,
    0xff66a1ee,
    0xff649ff0,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0ef,
    0xff639df0,
    0xff649df0,
    0xff639fee,
    0xff65a0f0,
    0xff65a0f0,
    0xff619eee,
    0xff5f9fee,
    0xff609fef,
    0xff5d9fef,
    0xff5d9eee,
    0xff5e9ff1,
    0xff5e9ff1,
    0xff5da0f1,
    0xff5ca0f1,
    0xff5da0f2,
    0xff5d9cef,
    0xff5f9cef,
    0xff5e9bee,
    0xff5d9cef,
    0xff599aec,
    0xff5b9cee,
    0xff5b9cf1,
    0xff5a9bef,
    0xff5899ed,
    0xff5899ed,
    0xff5798ec,
    0xff599aee,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5697eb,
    0xff5798ec,
    0xff5798ec,
    0xff5697eb,
    0xff5898ef,
    0xff5595ec,
    0xff5797ee,
    0xff5796ee,
    0xff5796ee,
    0xff5797ee,
    0xff5595ed,
    0xff5695ed,
    0xff5595ee,
    0xff5695ee,
    0xff5497ee,
    0xff5597ee,
    0xff5597ee,
    0xff5596ee,
    0xff5598ef,
    0xff5295ed,
    0xff5295ec,
    0xff5093ea,
    0xff5295ec,
    0xff5396ed,
    0xff5295ec,
    0xff5396ed,
    0xff5194eb,
    0xff5295eb,
    0xff5195ee,
    0xff5195ee,
    0xff5195ee,
    0xff5193ec,
    0xff4e94ec,
    0xff4f95ed,
    0xff4f95ed,
    0xff4e95ec,
    0xff4c91ec,
    0xff4e91ec,
    0xff4c8fea,
    0xff4f90ec,
    0xff5091ef,
    0xff4e90ee,
    0xff4b8deb,
    0xff498eeb,
    0xff4990e9,
    0xff478eea,
    0xff488feb,
    0xff478eea,
    0xff488fea,
    0xff488eed,
    0xff468ceb,
    0xff478dec,
    0xff468ceb,
    0xff458bea,
    0xff468ceb,
    0xff468ceb,
    0xff468ceb,
    0xff458bea,
    0xff478dec,
    0xff478dec,
    0xff438ceb,
    0xff438ceb,
    0xff428bea,
    0xff428bea,
    0xff418ae9,
    0xff4089e8,
    0xff428bea,
    0xff3f88e7,
    0xff3f87e9,
    0xff4189eb,
    0xff3f87e9,
    0xff3c85e9,
    0xff3c84e8,
    0xff3d86ea,
    0xff3e86ea,
    0xff3d85e9,
    0xff3a83eb,
    0xff3b83ea,
    0xff3a82ec,
    0xff3a83ec,
    0xff3a82eb,
    0xff3b84ed,
    0xff3b83ea,
    0xff3a82e8,
    0xff3984ea,
    0xff3984ea,
    0xff3984ea,
    0xff3783e8,
    0xff3882eb,
    0xff3781ea,
    0xff3781ea,
    0xff367fe8,
    0xff3481e9,
    0xff3380e8,
    0xff327fe7,
    0xff3380e8,
    0xff327fe7,
    0xff327fe7,
    0xff3380e8,
    0xff3380e7,
    0xff3180eb,
    0xff317eeb,
    0xff307eea,
    0xff307eea,
    0xff317dea,
    0xff2f7ce8,
    0xff307de9,
    0xff307de9,
    0xff2e7be7,
    0xff2e7be7,
    0xff2f7ce8,
    0xff2e7ae8,
    0xff2d79e7,
    0xff2e7ae8,
    0xff2f7ae9,
    0xff2f7ce9,
    0xff297de2,
    0xff3378f8,
    0xff3b79d9,
    0xff00416b,
    0xff377ad5,
    0xff367de2,
    0xff1661be,
    0xff1a63ba,
    0xff295ea6,
    0xff043045,
    0xff0e3221,
    0xff2a3e2e,
    0xff4c4237,
    0xff744e3b,
    0xff65422d,
    0xff4e3f30,
    0xff454030,
    0xff302417,
    0xff2e190e,
    0xff4e2c1f,
    0xff76382c,
    0xff772018,
    0xff8f362f,
    0xff6a1d15,
    0xff671814,
    0xff73201c,
    0xff702823,
    0xff56382c,
    0xff252817,
    0xff152717,
    0xff0e281a,
    0xff022414,
    0xff062418,
    0xff00190c,
    0xff051d12,
    0xff001710,
    0xff001716,
    0xff001414,
    0xff001311,
    0xff041611,
    0xff451d17,
    0xff471c16,
    0xff471d17,
    0xff491b16,
    0xff481c19,
    0xff4b1a18,
    0xff4c1c1a,
    0xff4e1e1c,
    0xff4b1e20,
    0xff4f1f1f,
    0xff501e1d,
    0xff542020,
    0xff542127,
    0xff4f212e,
    0xff4d233b,
    0xff552e4c,
    0xff5a3c6e,
    0xff594882,
    0xff5e5395,
    0xff675ba9,
    0xff6561b7,
    0xff7471ba,
    0xff614169,
    0xff671e20,
    0xff963f24,
    0xffac4438,
    0xffa54846,
    0xff72292d,
    0xff66202b,
    0xff62232f,
    0xff631e2a,
    0xff75172b,
    0xff701831,
    0xff7a1321,
    0xffae3336,
    0xffcf464c,
    0xffb52f3e,
    0xff8d1328,
    0xffa63b4a,
    0xffe38189,
    0xff973241,
    0xff632934,
    0xff442538,
    0xff412942,
    0xff3c2b44,
    0xff3e2f49,
    0xff4a3a5c,
    0xffd4ccf1,
    0xffdce4f7,
    0xffc4d4e8,
    0xffcfe3fb,
    0xffcedffb,
    0xffcadaf9,
    0xffc8d7fa,
    0xffb5cbf5,
    0xffafc9f8,
    0xffa6caeb,
    0xffb3caf7,
    0xffacb0e7,
    0xff7a4362,
    0xff7f1e34,
    0xff851d3c,
    0xff8a2030,
    0xff7d2526,
    0xff7d2425,
    0xff832124,
    0xff8b2025,
    0xff892023,
    0xff7d1e22,
    0xff9e3e49,
    0xff851a2c,
    0xff7f061f,
    0xff78020f,
    0xff7b0511,
    0xff79030f,
    0xff76010e,
    0xff760010,
    0xff750012,
    0xff7a0015,
    0xff790015,
    0xff7b000e,
    0xff79000c,
    0xff7a0009,
    0xff7d000a,
    0xff720012,
    0xff681132,
    0xff985a92,
    0xffbc82ce,
    0xff5d002d,
    0xff800320,
    0xff80040c,
    0xff7d0610,
    0xff890016,
    0xff99000c,
    0xffb30d11,
    0xffcd1f1e,
    0xffe85553,
    0xffaf2f32,
    0xffa91e1f,
    0xffb51015,
    0xffbe0c18,
    0xffc91a22,
    0xff9d111f,
    0xffe38bb0,
    0xffd8d3ff,
    0xffb2aeed,
    0xff8371a7,
    0xff362234,
    0xff251623,
    0xff413866,
    0xffa2afea,
    0xffa7d3f8,
    0xffb0cef7,
    0xffbbd0fa,
    0xffcddbff,
    0xffcbd5fc,
    0xffe7ecff,
    0xffdcdafa,
    0xff8d83a7,
    0xff5c456b,
    0xff321e3c,
    0xff301527,
    0xff340a13,
    0xff4e080e,
    0xff7c0c0f,
    0xff9a0a0d,
    0xff990412,
    0xff8a001e,
    0xffa30723,
    0xff970725,
    0xff7b0825,
    0xff74001b,
    0xffa91a2e,
    0xffdf5664,
    0xffc37593,
    0xffe2c7ff,
    0xffc7b5f0,
    0xffb8bef2,
    0xff9eadde,
    0xff8a79aa,
    0xff682647,
    0xff7a1724,
    0xff861222,
    0xff8a1635,
    0xff8a192f,
    0xff8f2429,
    0xff923e4a,
    0xff995087,
    0xffa188d1,
    0xff5f73ab,
    0xff574887,
    0xff743b8b,
    0xff934884,
    0xff7f0e33,
    0xff941224,
    0xff7b131c,
    0xff5c162b,
    0xff89518f,
    0xff9a9ce1,
    0xff869ad8,
    0xff697dd1,
    0xff5f71b2,
    0xff2d2a66,
    0xff5a0627,
    0xffa3131a,
    0xffba172e,
    0xffbf1332,
    0xffb30d2d,
    0xffa3022a,
    0xff9f0028,
    0xff9c0021,
    0xff9c001e,
    0xff9d0016,
    0xff9a000e,
    0xffa20e13,
    0xffa41510,
    0xffc03a17,
    0xffcc4315,
    0xffd0480c,
    0xffd34803,
    0xffce3d00,
    0xffcb3502,
    0xffc62a0b,
    0xffbd1c0b,
    0xffb40400,
    0xffc32118,
    0xff980808,
    0xff900810,
    0xff930916,
    0xff93020f,
    0xff90000c,
    0xff970814,
    0xff971413,
    0xff8e1313,
    0xff8f1b1a,
    0xff8f2019,
    0xff8f2112,
    0xff9e2e22,
    0xff9f2e2d,
    0xff7c0c13,
    0xff911f23,
    0xffa03131,
    0xff8d211e,
    0xff952722,
    0xff8d1d1b,
    0xff922221,
    0xff86191c,
    0xff831b1e,
    0xff74202e,
    0xffb29dcd,
    0xffaec4ff,
    0xffa2c2ea,
    0xffa7c3ed,
    0xff9ac3ff,
    0xffaac0f9,
    0xff945a7c,
    0xff802937,
    0xff7a4168,
    0xffafc3f6,
    0xffa7c5f4,
    0xffbbbbe6,
    0xffd3b7d8,
    0xffb65d71,
    0xffa52737,
    0xff9b1a2a,
    0xff99222d,
    0xff8e252c,
    0xff862c3c,
    0xff964a68,
    0xffc087ab,
    0xff6a4262,
    0xff725872,
    0xffb2bfeb,
    0xffa5c5fc,
    0xff9ac0fb,
    0xffa0c4f6,
    0xffa0c2f2,
    0xff9dc4f6,
    0xffa0c3f4,
    0xffa6c2ec,
    0xff9fbff1,
    0xff9ebff3,
    0xffa0c1f4,
    0xff9fc0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9bc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff98bdf1,
    0xff99bef2,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff99bef2,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff98bdf2,
    0xff99bef3,
    0xff97bcf0,
    0xff98bdf5,
    0xff99bef5,
    0xff98bdf4,
    0xff96bbf2,
    0xff95baf1,
    0xff96bbf0,
    0xff97bcf3,
    0xff95baf1,
    0xff93b7f1,
    0xff95b9f2,
    0xff95b9f3,
    0xff93b7f2,
    0xff95baf0,
    0xff91b8f1,
    0xff90b7f0,
    0xff91b8f1,
    0xff8fb6ef,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff91b8f1,
    0xff8fb7f0,
    0xff90b7f0,
    0xff92b9f2,
    0xff93b9f2,
    0xff91baf2,
    0xff8fb8f0,
    0xff8fb8f0,
    0xff90b9f1,
    0xff8fb8f0,
    0xff90b9f1,
    0xff8fb8ef,
    0xff8fb6f2,
    0xff8eb6f1,
    0xff8cb4f2,
    0xff8db5f2,
    0xff8db4f2,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8cb4f3,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff89b2f0,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff89b2f2,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb1f2,
    0xff8bb2f3,
    0xff88b0f0,
    0xff8ab0f1,
    0xff85b3f1,
    0xff86b2f1,
    0xff85b2f1,
    0xff87afef,
    0xff85b2f3,
    0xff86b2f3,
    0xff83b1f2,
    0xff82b2f1,
    0xff81b2f2,
    0xff80b0f0,
    0xff82b2f2,
    0xff81b1f0,
    0xff7faff1,
    0xff80b0f2,
    0xff81b1f3,
    0xff80b0f2,
    0xff7cabef,
    0xff7dacf0,
    0xff7eacf1,
    0xff7caef1,
    0xff7daef1,
    0xff7daef1,
    0xff7cadf0,
    0xff7daef0,
    0xff7bacf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7aabf0,
    0xff7bacf1,
    0xff7bacf1,
    0xff78aaef,
    0xff7aacf1,
    0xff7aacf1,
    0xff79aaef,
    0xff76acf2,
    0xff77acf2,
    0xff77acf2,
    0xff75aaf1,
    0xff76abee,
    0xff76abef,
    0xff74a9ed,
    0xff74a9f0,
    0xff75abf0,
    0xff72a6ef,
    0xff75a9f2,
    0xff75a9f2,
    0xff76a7f0,
    0xff73a7f0,
    0xff73a7f0,
    0xff73a7f0,
    0xff74aaf2,
    0xff74a9f2,
    0xff71abf1,
    0xff6ea8ef,
    0xff70a9f0,
    0xff70a9f0,
    0xff70a9f0,
    0xff70a9ef,
    0xff70a8f2,
    0xff6da5ef,
    0xff6ca4ee,
    0xff6fa7f0,
    0xff6ca3ef,
    0xff6aa3ee,
    0xff6ca0ec,
    0xff6ea1f1,
    0xff6da0ef,
    0xff6fa2f1,
    0xff6da2f0,
    0xff6fa5f2,
    0xff6ba3f0,
    0xff6aa4f1,
    0xff6ca4f0,
    0xff6aa1f2,
    0xff69a0f0,
    0xff6ba2f2,
    0xff6aa3f1,
    0xff6aa3f1,
    0xff69a2f4,
    0xff69a2f4,
    0xff69a2f3,
    0xff67a2f2,
    0xff67a2f2,
    0xff67a2f2,
    0xff65a0f1,
    0xff66a1f1,
    0xff66a1ef,
    0xff66a1ee,
    0xff66a1f1,
    0xff649ff0,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0ef,
    0xff649ef0,
    0xff639fee,
    0xff65a0f0,
    0xff65a0f0,
    0xff619fee,
    0xff619def,
    0xff5f9fef,
    0xff609fef,
    0xff609fee,
    0xff5f9cf0,
    0xff5f9cf0,
    0xff5e9df0,
    0xff5d9def,
    0xff5e9ff2,
    0xff609df1,
    0xff609ef1,
    0xff5d9aed,
    0xff5e9ff1,
    0xff5a9bed,
    0xff5c9def,
    0xff5a9bec,
    0xff5899ee,
    0xff5697eb,
    0xff5899ed,
    0xff599aee,
    0xff599aee,
    0xff5798ec,
    0xff5798ec,
    0xff599aee,
    0xff5798ec,
    0xff5899ed,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5697eb,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5697eb,
    0xff5797ee,
    0xff5696ed,
    0xff5695ec,
    0xff5497ec,
    0xff5597ec,
    0xff5496ec,
    0xff5698ee,
    0xff5495eb,
    0xff5194ec,
    0xff5194eb,
    0xff5194eb,
    0xff5396ed,
    0xff5396ed,
    0xff5194eb,
    0xff5295ec,
    0xff5195eb,
    0xff5393ee,
    0xff5393ee,
    0xff5393ee,
    0xff5293ec,
    0xff5093ec,
    0xff5093ec,
    0xff4f92eb,
    0xff5194ed,
    0xff4c92ed,
    0xff4d8fea,
    0xff4e91ec,
    0xff5091ec,
    0xff5090ef,
    0xff4f91ef,
    0xff4d8eec,
    0xff4a8fec,
    0xff4990ea,
    0xff4990ec,
    0xff488feb,
    0xff4990ec,
    0xff478fea,
    0xff488eed,
    0xff478dec,
    0xff468ceb,
    0xff458bea,
    0xff468ceb,
    0xff468ceb,
    0xff468ceb,
    0xff448ae9,
    0xff458bea,
    0xff478dec,
    0xff488eed,
    0xff418ae9,
    0xff428bea,
    0xff468fee,
    0xff418ae9,
    0xff4089e8,
    0xff4089e8,
    0xff418ae9,
    0xff4089e8,
    0xff4389eb,
    0xff4389eb,
    0xff4186e8,
    0xff3f85e6,
    0xff3e83e9,
    0xff4085ea,
    0xff4084ea,
    0xff3f86ea,
    0xff3c86eb,
    0xff3b86ec,
    0xff3883e9,
    0xff3a84ed,
    0xff3983ec,
    0xff3983ed,
    0xff3a85eb,
    0xff3a85ea,
    0xff3a85eb,
    0xff3a85eb,
    0xff3a85eb,
    0xff3984ea,
    0xff3680e9,
    0xff3680e9,
    0xff3680e9,
    0xff3781ea,
    0xff3482ea,
    0xff3380e8,
    0xff327fe7,
    0xff3481e9,
    0xff3481e9,
    0xff3481e9,
    0xff327fe7,
    0xff3380e8,
    0xff3181ea,
    0xff3180e9,
    0xff3180e8,
    0xff3180e8,
    0xff3180e9,
    0xff307ce6,
    0xff307de6,
    0xff2e7be5,
    0xff2f7ce8,
    0xff2f7ce8,
    0xff2e7be7,
    0xff2f7ce7,
    0xff307bea,
    0xff2f7be9,
    0xff2f7be9,
    0xff307cea,
    0xff2a7ce4,
    0xff2f77f4,
    0xff3d82e1,
    0xff165976,
    0xff1f5987,
    0xff17539a,
    0xff3e86d7,
    0xff1b6cb1,
    0xff1e5a91,
    0xff0a3546,
    0xff203e32,
    0xff102e20,
    0xff0c291f,
    0xff001404,
    0xff091d16,
    0xff071b23,
    0xff001b1b,
    0xff162726,
    0xff191d18,
    0xff200300,
    0xff79322e,
    0xff9c3335,
    0xff731011,
    0xffae615e,
    0xff76302b,
    0xff580709,
    0xff4f0f0f,
    0xff3b281e,
    0xff233a26,
    0xff00210d,
    0xff071e12,
    0xff1d3125,
    0xff254035,
    0xff082618,
    0xff09271a,
    0xff001911,
    0xff001519,
    0xff01161f,
    0xff041517,
    0xff03150b,
    0xff481d17,
    0xff481d16,
    0xff471d16,
    0xff491b19,
    0xff481c18,
    0xff4a1917,
    0xff4b1c19,
    0xff4f1f1f,
    0xff4b1e20,
    0xff4e1f1c,
    0xff4f1c1b,
    0xff531e21,
    0xff56242f,
    0xff51263c,
    0xff4e2b4d,
    0xff563863,
    0xff5b4683,
    0xff5c5898,
    0xff6263a6,
    0xff6862b5,
    0xff6568c8,
    0xff616ec4,
    0xff8a77ac,
    0xff742e42,
    0xff923f35,
    0xffaa4436,
    0xffb75042,
    0xff8b312a,
    0xff721a25,
    0xff6c2030,
    0xff671e2d,
    0xff761728,
    0xff7e162c,
    0xff801316,
    0xff881606,
    0xffad3829,
    0xffa12929,
    0xff901822,
    0xffb13840,
    0xff9a2224,
    0xff8a3244,
    0xff622b3c,
    0xff40243a,
    0xff402d47,
    0xff382944,
    0xff44324d,
    0xff766280,
    0xffe3d7f0,
    0xfffbfdff,
    0xffdfebf3,
    0xffdff0fe,
    0xffe1ebfd,
    0xffccd2e5,
    0xffc9d8ed,
    0xffd2e6ff,
    0xffb0c3f3,
    0xffa3cbf6,
    0xffb4c8f9,
    0xffb2b2e7,
    0xff8d647b,
    0xff69202a,
    0xff7c2435,
    0xff8c2429,
    0xff852624,
    0xff852531,
    0xff872327,
    0xff8c2323,
    0xff892223,
    0xff871e28,
    0xff7f1426,
    0xff770115,
    0xff7c0110,
    0xff78010c,
    0xff78030f,
    0xff780210,
    0xff74000b,
    0xff760010,
    0xff770013,
    0xff770015,
    0xff770013,
    0xff730108,
    0xff780009,
    0xff75010a,
    0xff6a050c,
    0xff6b010d,
    0xff7b0216,
    0xff710014,
    0xff67011a,
    0xff89052f,
    0xff840015,
    0xff7e030c,
    0xff750511,
    0xff820413,
    0xff950109,
    0xffb61c16,
    0xffc52e23,
    0xff9f1910,
    0xff6c0606,
    0xff821213,
    0xff98050e,
    0xffaa0517,
    0xffad0d15,
    0xff9f1017,
    0xff8f1e36,
    0xffe0b2cf,
    0xffa8a2cd,
    0xff44416a,
    0xff271c2e,
    0xff212337,
    0xff7880bb,
    0xffb4c5ff,
    0xffa9d4fe,
    0xffb8d6ff,
    0xffbdc9ff,
    0xffa9b0df,
    0xff8582a9,
    0xff5b4a67,
    0xff341c2d,
    0xff331117,
    0xff420d10,
    0xff550e16,
    0xff590c10,
    0xffab5151,
    0xffc45451,
    0xffb02625,
    0xffa0060b,
    0xff950012,
    0xff8f001d,
    0xffa70212,
    0xffa3071c,
    0xff8b001f,
    0xff870024,
    0xff8d0012,
    0xffc43838,
    0xffef8c86,
    0xffd6989c,
    0xffcc8bc2,
    0xffcdc3ff,
    0xff937ec8,
    0xff5b1a50,
    0xff6e1928,
    0xff781c1a,
    0xff7c1d22,
    0xff8b1128,
    0xff99172d,
    0xff902734,
    0xffb37991,
    0xffbd9ddb,
    0xffbbc1ff,
    0xffb3d3ff,
    0xffd4c6ff,
    0xffca95ec,
    0xffa772a8,
    0xff89273e,
    0xff850517,
    0xff732847,
    0xffac9ec7,
    0xff999ccb,
    0xff8097cb,
    0xff6f7fc4,
    0xff8589d1,
    0xffa3b3ed,
    0xffcfd0ff,
    0xffb56a97,
    0xff981326,
    0xffbc2f42,
    0xffb71c32,
    0xffb7192d,
    0xffb11133,
    0xffa30729,
    0xff9b0321,
    0xff9c0221,
    0xff9e001b,
    0xff970011,
    0xff97010e,
    0xff930409,
    0xff9e1609,
    0xffc3381d,
    0xffca3d12,
    0xffd04008,
    0xffdb420a,
    0xffcb2c00,
    0xffc81f01,
    0xffd82a14,
    0xffd62310,
    0xffae0c03,
    0xff980a0c,
    0xff84030c,
    0xff8b0512,
    0xff8f020e,
    0xff94020c,
    0xffa8151f,
    0xff961611,
    0xff921613,
    0xff931c18,
    0xff941e15,
    0xff8d1a0d,
    0xff922012,
    0xff932a20,
    0xff9b3530,
    0xffa23e32,
    0xffac4a3c,
    0xff99372b,
    0xff89241d,
    0xff962726,
    0xff911f1e,
    0xff8f1c1f,
    0xff8b191b,
    0xff891924,
    0xff855578,
    0xffb8c4fd,
    0xffa4bff6,
    0xffa4c1ed,
    0xff9cc6f9,
    0xffa8c3fa,
    0xff9f79a4,
    0xff7d313c,
    0xff6c223d,
    0xffaab3ee,
    0xffa6c0fa,
    0xffb0baed,
    0xffafbaeb,
    0xffc092b4,
    0xffd2738e,
    0xffa42f41,
    0xff991a2b,
    0xff931523,
    0xff932b39,
    0xff813946,
    0xff925969,
    0xff8d4e61,
    0xff92475e,
    0xff9a8aac,
    0xffb0bcef,
    0xffa5c5fd,
    0xffa0c1f5,
    0xffa2c3f1,
    0xff9ec4f4,
    0xff9fc2f3,
    0xffa3c2ed,
    0xff9fc0f0,
    0xff9fc2f1,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa0c2f2,
    0xff9fc2f1,
    0xff9fc1f0,
    0xff9cc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc2f4,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9dc1f2,
    0xff9cc0f5,
    0xff9bc0f5,
    0xff9bc1f5,
    0xff9bc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff9abff3,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f5,
    0xff9abff5,
    0xff9cc1f6,
    0xff9bc0f6,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff99bef2,
    0xff98bdf1,
    0xff98bdf1,
    0xff98bdf1,
    0xff97bcf0,
    0xff97bcf0,
    0xff97bcf0,
    0xff97bcf0,
    0xff9bc0f5,
    0xff99bef3,
    0xff97bcf1,
    0xff98bdf2,
    0xff97bcf4,
    0xff98bdf4,
    0xff97bcf3,
    0xff98bdf5,
    0xff98bdf2,
    0xff99bef2,
    0xff96bbf2,
    0xff94b8f3,
    0xff94b8f2,
    0xff95b9f4,
    0xff93b8ee,
    0xff95baf0,
    0xff91b8f1,
    0xff91b9f2,
    0xff90b7f0,
    0xff90b7f0,
    0xff91b9f2,
    0xff91b9f1,
    0xff91b9f2,
    0xff8fb7f0,
    0xff96b9f3,
    0xff92baf2,
    0xff91b9f2,
    0xff91b8f1,
    0xff92b8f2,
    0xff8fb9f0,
    0xff8eb7ef,
    0xff90b9f1,
    0xff92bbf0,
    0xff91baf0,
    0xff8eb7f0,
    0xff8eb7ee,
    0xff8fb7f2,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8eb6f4,
    0xff8ab5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8db7f2,
    0xff89b1f0,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8bb5f0,
    0xff8bb6f1,
    0xff8bb4f3,
    0xff89b2f0,
    0xff8bb4f2,
    0xff8bb4f1,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff8cb5f5,
    0xff8cb2f3,
    0xff8cb3f4,
    0xff8cb2f3,
    0xff8ab0f1,
    0xff8cb2f4,
    0xff8ab2f2,
    0xff89b2f2,
    0xff86aeee,
    0xff8bb3f4,
    0xff85b1f0,
    0xff84b1f3,
    0xff83b3f3,
    0xff82b4f3,
    0xff83b0f2,
    0xff83aff0,
    0xff81b2f2,
    0xff7fafef,
    0xff7fafef,
    0xff80b0f3,
    0xff81b0f2,
    0xff81b1f3,
    0xff7dadef,
    0xff7dadef,
    0xff7cadef,
    0xff7cadf0,
    0xff7daef1,
    0xff7daef1,
    0xff7bacef,
    0xff7daef0,
    0xff7bacf2,
    0xff7bacf1,
    0xff7bacf1,
    0xff7cadf2,
    0xff7cadf2,
    0xff7aabf0,
    0xff7aabf0,
    0xff7babf0,
    0xff79acf1,
    0xff79acf1,
    0xff7aacf1,
    0xff7aacf1,
    0xff79aaf2,
    0xff76acf1,
    0xff76abf1,
    0xff75aaf0,
    0xff75abee,
    0xff76abef,
    0xff73a8eb,
    0xff74a9ef,
    0xff75aaf0,
    0xff71a7ec,
    0xff75a9f3,
    0xff74a8f2,
    0xff74a8f1,
    0xff75a9f2,
    0xff75a9f2,
    0xff75a9f2,
    0xff73aaf1,
    0xff75abf3,
    0xff75aaf2,
    0xff73a8f0,
    0xff6fa9ef,
    0xff6fa9f0,
    0xff6fa9f0,
    0xff6fa9f0,
    0xff70a9ef,
    0xff6ea6f0,
    0xff6ea6f0,
    0xff6ea6f0,
    0xff6faaf4,
    0xff6da5f0,
    0xff6da2ee,
    0xff70a4f0,
    0xff6fa3ef,
    0xff6ea1f1,
    0xff6fa1f1,
    0xff6ea2f0,
    0xff6ba4f0,
    0xff6ca4f1,
    0xff6aa3f0,
    0xff6da1ef,
    0xff6aa2f2,
    0xff69a0f0,
    0xff68a1f0,
    0xff67a3f0,
    0xff69a2f1,
    0xff68a1ef,
    0xff69a2f1,
    0xff68a0ef,
    0xff66a1ef,
    0xff65a0ee,
    0xff65a0ee,
    0xff65a0ee,
    0xff649fed,
    0xff649fed,
    0xff649fed,
    0xff65a0ed,
    0xff649ff0,
    0xff649fef,
    0xff649fef,
    0xff65a0f0,
    0xff629ded,
    0xff639eee,
    0xff649eee,
    0xff619eee,
    0xff609def,
    0xff619def,
    0xff5f9fef,
    0xff609fef,
    0xff619bed,
    0xff619ced,
    0xff5f9ced,
    0xff609ded,
    0xff609eee,
    0xff5f9fee,
    0xff609fef,
    0xff5c9bea,
    0xff5d9ff1,
    0xff5899eb,
    0xff5d9ef0,
    0xff5b9cee,
    0xff599aeb,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff599aee,
    0xff5899ed,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff5899ed,
    0xff5697e9,
    0xff5798e9,
    0xff5697e9,
    0xff5798e9,
    0xff5798e9,
    0xff5798e9,
    0xff5798e9,
    0xff5798ea,
    0xff5796ee,
    0xff5797ee,
    0xff5595ec,
    0xff5695ed,
    0xff5497ed,
    0xff5496ec,
    0xff5698ee,
    0xff5495eb,
    0xff5194eb,
    0xff5194eb,
    0xff5194eb,
    0xff5295ec,
    0xff5295ec,
    0xff5194eb,
    0xff5093ea,
    0xff5195eb,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5293ed,
    0xff4f90ea,
    0xff5192ec,
    0xff4f90ea,
    0xff5192eb,
    0xff4f95ed,
    0xff4e91ec,
    0xff4f93ee,
    0xff5090ec,
    0xff5091ed,
    0xff5092f0,
    0xff4e8fee,
    0xff4b90ed,
    0xff4991ea,
    0xff4b92ee,
    0xff488feb,
    0xff4890eb,
    0xff468ee9,
    0xff468ceb,
    0xff458bea,
    0xff458bea,
    0xff458bea,
    0xff458ceb,
    0xff458ceb,
    0xff458bea,
    0xff468ceb,
    0xff468ceb,
    0xff458bea,
    0xff458bea,
    0xff448cec,
    0xff428bea,
    0xff448dec,
    0xff3f88e7,
    0xff4089e8,
    0xff4089e8,
    0xff4089e8,
    0xff418be9,
    0xff4388eb,
    0xff4389eb,
    0xff4086e8,
    0xff4086e8,
    0xff3f86e7,
    0xff3f84ea,
    0xff4085ea,
    0xff3d84e8,
    0xff3d86ed,
    0xff3a86ea,
    0xff3883e9,
    0xff3a84ee,
    0xff3a83ed,
    0xff3985ea,
    0xff3b86ec,
    0xff3c86ed,
    0xff3984ea,
    0xff3a85eb,
    0xff3a85eb,
    0xff3984ea,
    0xff3680e9,
    0xff3882eb,
    0xff3a84ed,
    0xff3a84ed,
    0xff3481e9,
    0xff3381e8,
    0xff327fe7,
    0xff3381e9,
    0xff3381e8,
    0xff3381e9,
    0xff317ee6,
    0xff3481e9,
    0xff3281ea,
    0xff307fe8,
    0xff307fe8,
    0xff307fe8,
    0xff2e7de6,
    0xff2e7de6,
    0xff317de8,
    0xff307de7,
    0xff2f7ce9,
    0xff2f7ce9,
    0xff307de9,
    0xff2e7be7,
    0xff2c7ae5,
    0xff2d79e7,
    0xff2e7ae8,
    0xff2e7ae8,
    0xff327be7,
    0xff307bf1,
    0xff327cde,
    0xff256c97,
    0xff0b4456,
    0xff16475f,
    0xff053c58,
    0xff226c7a,
    0xff175957,
    0xff204f46,
    0xff173736,
    0xff173238,
    0xff20423f,
    0xff183d28,
    0xff001c0f,
    0xff05181f,
    0xff06191d,
    0xff08241e,
    0xff0d1c0f,
    0xffb0877e,
    0xffd17672,
    0xff9b322d,
    0xff721711,
    0xff6d201c,
    0xff621a1e,
    0xff601119,
    0xff5d2127,
    0xff3b2924,
    0xff223426,
    0xff092517,
    0xff021a0d,
    0xff0e261c,
    0xff06221d,
    0xff04222a,
    0xff00222e,
    0xff012129,
    0xff002128,
    0xff051d28,
    0xff03171e,
    0xff001512,
    0xff481d16,
    0xff481b19,
    0xff481b18,
    0xff481b18,
    0xff4c1b19,
    0xff4b1b1c,
    0xff511f20,
    0xff501f1f,
    0xff4c1e1e,
    0xff51211f,
    0xff552324,
    0xff532129,
    0xff522738,
    0xff52304f,
    0xff543a65,
    0xff584479,
    0xff635497,
    0xff5e62a4,
    0xff5e65af,
    0xff6264bb,
    0xff636ad2,
    0xff6175d7,
    0xff7e79c1,
    0xff88547f,
    0xff933537,
    0xffab3e31,
    0xffb34f34,
    0xffa34438,
    0xff7c1b32,
    0xff721d42,
    0xff651a33,
    0xff721c29,
    0xff7b1425,
    0xff841b19,
    0xffa33720,
    0xffa93f24,
    0xff891f17,
    0xff790d1e,
    0xff7d0f2e,
    0xff9d3052,
    0xff7c3a52,
    0xff552439,
    0xff442a3c,
    0xff392f46,
    0xff3e2d4a,
    0xff3e2747,
    0xffa090a7,
    0xffffffff,
    0xfffef8f6,
    0xfff4fbfd,
    0xfff3fdff,
    0xffeaecfa,
    0xffd6dae1,
    0xffdaeaf2,
    0xffccdaee,
    0xffcdcdf5,
    0xffc3c9f8,
    0xffd4b5e5,
    0xff8b5081,
    0xff701f33,
    0xff7d292d,
    0xff7a2831,
    0xff802222,
    0xff812328,
    0xff83172c,
    0xff7e1821,
    0xff80211f,
    0xff852226,
    0xff881a2d,
    0xff8a122c,
    0xff7b0517,
    0xff78050c,
    0xff76000f,
    0xff760011,
    0xff790313,
    0xff790314,
    0xff77010f,
    0xff77000e,
    0xff76030e,
    0xff74010c,
    0xff72040a,
    0xff70000a,
    0xff6e030d,
    0xff6d030f,
    0xff750110,
    0xff85000f,
    0xff84000a,
    0xff7b0609,
    0xff82001d,
    0xff860317,
    0xff890617,
    0xff7e0118,
    0xff830416,
    0xff950509,
    0xffc42a24,
    0xffe14f46,
    0xffb42221,
    0xff6c0005,
    0xff7b0913,
    0xff920310,
    0xffa70f20,
    0xffa61922,
    0xff981a1b,
    0xff8b1d28,
    0xff782e46,
    0xff6a4e63,
    0xff2d2031,
    0xff261624,
    0xff4c4f69,
    0xffbbc4f9,
    0xffcbd1ff,
    0xffa5aed6,
    0xff717592,
    0xff4b3a5b,
    0xff2f1938,
    0xff341028,
    0xff480312,
    0xff5a0608,
    0xff71170e,
    0xff9c2b24,
    0xffb22d26,
    0xffc13e40,
    0xffee6b74,
    0xffe1555e,
    0xffac161f,
    0xffa00714,
    0xff990013,
    0xffa1011f,
    0xffa6011b,
    0xffa20117,
    0xff99031f,
    0xff8b0020,
    0xff870017,
    0xffa01015,
    0xffe25e54,
    0xffbb5043,
    0xffcc89a7,
    0xffbdccf3,
    0xffb4b7f0,
    0xff6a3c69,
    0xff6d1625,
    0xff871816,
    0xff801812,
    0xff8c1619,
    0xff9b2732,
    0xffce7e9a,
    0xffcabce7,
    0xffb2c1f7,
    0xffa8c8f2,
    0xffaac8e7,
    0xffd7c7fd,
    0xffac87d2,
    0xffd3bbf5,
    0xffb5779c,
    0xff63082c,
    0xff9d7aa9,
    0xffb7c9fd,
    0xffb2cefb,
    0xffb1c9f5,
    0xffb8c7ff,
    0xffb3cef6,
    0xffa6cbed,
    0xffb8caff,
    0xffae6f9d,
    0xff850b1d,
    0xffac2939,
    0xffa61520,
    0xffa30f13,
    0xffac1126,
    0xffa60d25,
    0xff9f0620,
    0xff9c031c,
    0xff9e011a,
    0xff9e0217,
    0xff970112,
    0xff90000a,
    0xff8b0006,
    0xff930503,
    0xffab1a08,
    0xffc62e0f,
    0xffcd310c,
    0xffd32e10,
    0xffcc200a,
    0xffb50600,
    0xffad0500,
    0xff970101,
    0xff830008,
    0xff7f0311,
    0xff830310,
    0xff8b010c,
    0xff930209,
    0xffae1a1e,
    0xffa1211b,
    0xff9b1e19,
    0xffa0261d,
    0xff981d16,
    0xff9b2115,
    0xffa22d23,
    0xffb04339,
    0xffa43e34,
    0xffa94a38,
    0xffa04332,
    0xffa4483b,
    0xff93332c,
    0xff89201e,
    0xff901e21,
    0xff8d1a1d,
    0xff8e1a1d,
    0xff931d2a,
    0xff702236,
    0xff8f81b4,
    0xffa9c5ff,
    0xffa2c3f5,
    0xffa3c8ef,
    0xffb1c3f3,
    0xffb8a8d6,
    0xff7b374b,
    0xff752641,
    0xffb3b5ef,
    0xffa1bdfb,
    0xffacbdf3,
    0xffa2bcf8,
    0xffb69cce,
    0xffbc698d,
    0xffb14664,
    0xff8e1e33,
    0xff941f2b,
    0xff911f23,
    0xff8c2529,
    0xff8a323c,
    0xff8e4051,
    0xff934c62,
    0xff774658,
    0xff86799f,
    0xffb2c5fa,
    0xffa1c0f2,
    0xffa3c2ee,
    0xff9fc3f1,
    0xff9ec5f4,
    0xffa2c3f4,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xff9ebff3,
    0xffa0c1f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xff9fc1f4,
    0xff9dc2f3,
    0xff9ec2f4,
    0xff9dc0f2,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9dc1f2,
    0xff9dc1f2,
    0xff9dc1f2,
    0xff9abef2,
    0xff9bbff3,
    0xff9cbff4,
    0xff9dc1f5,
    0xff9dc1f5,
    0xff9dc1f5,
    0xff9dc1f5,
    0xff9abef2,
    0xff99bff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff98bdf1,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9bc0f3,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff9abff2,
    0xff9abff2,
    0xff99bef2,
    0xff9cc1f5,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff4,
    0xff99bef3,
    0xff97bcf1,
    0xff97bcf1,
    0xff9abff4,
    0xff9abff6,
    0xff99bef5,
    0xff99bef4,
    0xff99bef2,
    0xff9cc1f6,
    0xff97bcf3,
    0xff96baf5,
    0xff94b8f2,
    0xff96b9f4,
    0xff96bbf2,
    0xff96bbf1,
    0xff96b9f4,
    0xff96baf4,
    0xff96b9f3,
    0xff94b8f2,
    0xff94b7f1,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b7f1,
    0xff96baf4,
    0xff93b7f1,
    0xff93b7f1,
    0xff92baf3,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff8eb7ef,
    0xff90b9ee,
    0xff8eb7ed,
    0xff8fb8ed,
    0xff8db6ee,
    0xff90b7f3,
    0xff8eb6f3,
    0xff8fb7f4,
    0xff8cb4f2,
    0xff8eb8f2,
    0xff8eb8f2,
    0xff8bb5f2,
    0xff8db7f3,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8cb4f3,
    0xff8cb5f3,
    0xff8ab5f0,
    0xff8ab4f0,
    0xff8bb5f0,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f2,
    0xff8ab3f4,
    0xff8bb4f4,
    0xff8ab4f3,
    0xff8cb2f4,
    0xff8bb3f4,
    0xff8cb2f3,
    0xff8cb2f3,
    0xff8bb1f3,
    0xff89b2f2,
    0xff8ab1f2,
    0xff8bb1f2,
    0xff89b2f2,
    0xff8ab4f3,
    0xff84b1f2,
    0xff83b2f3,
    0xff82b3f3,
    0xff85b3f0,
    0xff84b2f0,
    0xff85b1f3,
    0xff82b2f2,
    0xff81b1f1,
    0xff81b0f0,
    0xff81b2f4,
    0xff81b2f4,
    0xff80b1f3,
    0xff80b1f3,
    0xff80b1f3,
    0xff7eaff0,
    0xff7daef1,
    0xff7daff1,
    0xff7dacf0,
    0xff7fadf1,
    0xff7caef3,
    0xff7daef3,
    0xff7cadf2,
    0xff7bacf1,
    0xff7bacf1,
    0xff7cadf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7bacf1,
    0xff7bacf1,
    0xff79acf1,
    0xff79abf0,
    0xff7aacf3,
    0xff7aabf3,
    0xff78aef3,
    0xff78adf3,
    0xff78a9ee,
    0xff77a9ed,
    0xff77a8f0,
    0xff76a8ef,
    0xff77a8f0,
    0xff77a9f0,
    0xff78aaf0,
    0xff78aaf0,
    0xff77abf4,
    0xff74a8f1,
    0xff74a8f1,
    0xff73a7f0,
    0xff76aaf3,
    0xff73a7f0,
    0xff74aaf2,
    0xff71a7ef,
    0xff72a7f0,
    0xff72a7f0,
    0xff72a7f0,
    0xff72a8f0,
    0xff71a6ee,
    0xff71a7f1,
    0xff71a6f0,
    0xff72a8f2,
    0xff6fa9f2,
    0xff6ca4ef,
    0xff70a5f1,
    0xff71a5f1,
    0xff6fa3ef,
    0xff70a3f3,
    0xff6fa1f1,
    0xff6da0ef,
    0xff6da4f2,
    0xff6ea7f4,
    0xff6ea2f0,
    0xff6fa4f2,
    0xff6fa3f1,
    0xff6aa1f2,
    0xff69a2f1,
    0xff68a4f2,
    0xff6aa1f2,
    0xff68a2f0,
    0xff68a1f0,
    0xff6ba4f3,
    0xff6ba3f3,
    0xff68a3f1,
    0xff66a1ef,
    0xff66a1ef,
    0xff67a2f0,
    0xff68a3f1,
    0xff67a2f0,
    0xff649fed,
    0xff65a0ee,
    0xff65a0f1,
    0xff65a0f0,
    0xff649fef,
    0xff65a0f0,
    0xff649fef,
    0xff649fef,
    0xff619fef,
    0xff609dee,
    0xff609eef,
    0xff609eef,
    0xff609dee,
    0xff659ef0,
    0xff639cee,
    0xff639cef,
    0xff629def,
    0xff619def,
    0xff60a0ef,
    0xff609fef,
    0xff609eee,
    0xff5d9fee,
    0xff5e9fef,
    0xff5c9df0,
    0xff5d9ef0,
    0xff5c9def,
    0xff5c9dee,
    0xff5c9df1,
    0xff5c9df1,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff5798ec,
    0xff5697eb,
    0xff5798ea,
    0xff5697e9,
    0xff5899eb,
    0xff5697e9,
    0xff5798ea,
    0xff5798ea,
    0xff5798ea,
    0xff5798e9,
    0xff5696ee,
    0xff5696ed,
    0xff5898ef,
    0xff5595ec,
    0xff5494eb,
    0xff5497ed,
    0xff5698ee,
    0xff5395eb,
    0xff5597ee,
    0xff5597ee,
    0xff5597ee,
    0xff5597ee,
    0xff5698ef,
    0xff5597ee,
    0xff5496ed,
    0xff5496ed,
    0xff4f90ea,
    0xff5091eb,
    0xff5091eb,
    0xff5192ec,
    0xff5393ed,
    0xff5291eb,
    0xff5292ec,
    0xff5191eb,
    0xff4d93eb,
    0xff4f92eb,
    0xff4e91ea,
    0xff5090ed,
    0xff5091ed,
    0xff5094ee,
    0xff4d90ea,
    0xff4b91ee,
    0xff4b90ea,
    0xff4c90ee,
    0xff4b90ed,
    0xff4d92ef,
    0xff4c90ed,
    0xff4a8fee,
    0xff4d91f0,
    0xff468bea,
    0xff468bea,
    0xff478ceb,
    0xff478ceb,
    0xff478ceb,
    0xff488dec,
    0xff488dec,
    0xff478ceb,
    0xff468bea,
    0xff468cec,
    0xff448aea,
    0xff478ced,
    0xff4388e8,
    0xff458beb,
    0xff458beb,
    0xff4187e7,
    0xff448aea,
    0xff4187e7,
    0xff4389e8,
    0xff4288ea,
    0xff4288ea,
    0xff4187e9,
    0xff4389eb,
    0xff3f83e9,
    0xff3e84e9,
    0xff3e87e9,
    0xff3d86ec,
    0xff3c84ea,
    0xff3b86eb,
    0xff3983ed,
    0xff3984ea,
    0xff3a85eb,
    0xff3786eb,
    0xff3a84eb,
    0xff3a85eb,
    0xff3a85eb,
    0xff3782e8,
    0xff3983ec,
    0xff3781ea,
    0xff3781ea,
    0xff357fe8,
    0xff3882eb,
    0xff3781ea,
    0xff367fe8,
    0xff3680e9,
    0xff3781ea,
    0xff3780e9,
    0xff357ee7,
    0xff3680e9,
    0xff327fea,
    0xff337fea,
    0xff3181ea,
    0xff3281ea,
    0xff3382eb,
    0xff3180e9,
    0xff3281ea,
    0xff3181e9,
    0xff327fe8,
    0xff327fe8,
    0xff327feb,
    0xff307de9,
    0xff2e7be7,
    0xff2f7ce8,
    0xff307ceb,
    0xff307ce9,
    0xff3677e4,
    0xff2f7ce6,
    0xff2f82e7,
    0xff266cbe,
    0xff255a7b,
    0xff02262b,
    0xff13392f,
    0xff002818,
    0xff10492d,
    0xff033623,
    0xff103537,
    0xff072432,
    0xff082326,
    0xff052115,
    0xff072011,
    0xff071b14,
    0xff091e1c,
    0xff002318,
    0xff0a2110,
    0xff90776b,
    0xffac6a61,
    0xff7d342b,
    0xff501c12,
    0xff3c1a12,
    0xff331c18,
    0xff412524,
    0xff2a1919,
    0xff242823,
    0xff162820,
    0xff091f17,
    0xff102f21,
    0xff0a3525,
    0xff0a2c33,
    0xff05264c,
    0xff001d51,
    0xff062b4a,
    0xff10313a,
    0xff072028,
    0xff011726,
    0xff001523,
    0xff471b18,
    0xff461a17,
    0xff491c19,
    0xff491d19,
    0xff4d1d1d,
    0xff4d1d1d,
    0xff501e1f,
    0xff501f1e,
    0xff502222,
    0xff4f2123,
    0xff50232a,
    0xff4f2636,
    0xff502d4a,
    0xff533963,
    0xff58457e,
    0xff5e518f,
    0xff635ba3,
    0xff5e65b3,
    0xff616ec2,
    0xff626dc7,
    0xff6371d4,
    0xff6477dc,
    0xff797dd0,
    0xff9076b2,
    0xff7d3946,
    0xff944759,
    0xff9d5c75,
    0xffce8fa7,
    0xffab5a72,
    0xff721c30,
    0xff6c192b,
    0xff77182d,
    0xff781621,
    0xff982d39,
    0xffaa3d46,
    0xff942d3d,
    0xff7c2943,
    0xff915880,
    0xffb18ebe,
    0xfff3daff,
    0xff8a617f,
    0xff4e1f39,
    0xff3b2235,
    0xff3b3245,
    0xff42304e,
    0xff4a3152,
    0xffb9aec0,
    0xffffffff,
    0xfffffaf6,
    0xfffcffff,
    0xfffbffff,
    0xfffefcff,
    0xfffeffff,
    0xfff6ffff,
    0xffd7d1dc,
    0xffbb8fa9,
    0xffbb6d8e,
    0xffa52f52,
    0xff911238,
    0xff911a2b,
    0xff7e1e24,
    0xff78212d,
    0xff881a28,
    0xff871329,
    0xff8e132c,
    0xff831423,
    0xff7f1d22,
    0xff7f1d24,
    0xff8f1c30,
    0xff931a33,
    0xff8f1a2d,
    0xff871a21,
    0xff871123,
    0xff81091e,
    0xff790216,
    0xff770212,
    0xff770310,
    0xff75020d,
    0xff76020b,
    0xff730008,
    0xff760011,
    0xff6e0712,
    0xff6a010a,
    0xff7d0013,
    0xff7c0018,
    0xff630016,
    0xff69081e,
    0xff75031d,
    0xff7f061f,
    0xff840619,
    0xff8f031d,
    0xff88001b,
    0xff8a0015,
    0xffa4030b,
    0xffd52327,
    0xffc11a1f,
    0xffaa1616,
    0xff800c1c,
    0xff840e1d,
    0xff9e101a,
    0xffa20e20,
    0xff9b101e,
    0xff97181f,
    0xff972a34,
    0xff88455e,
    0xff4c2a35,
    0xff341f21,
    0xff2c161e,
    0xff85778d,
    0xffaea7c7,
    0xff614f71,
    0xff341b37,
    0xff1d1225,
    0xff2a0d2f,
    0xff3c2044,
    0xff62314b,
    0xff992f3b,
    0xffc84840,
    0xffd55542,
    0xffe25146,
    0xffcf3b29,
    0xffdf5555,
    0xffc3424f,
    0xff8b0616,
    0xff80000c,
    0xff870617,
    0xff8c0115,
    0xff9e051d,
    0xff950329,
    0xff840116,
    0xff800612,
    0xff730212,
    0xff7d081b,
    0xff8e0415,
    0xffa31422,
    0xffbc4955,
    0xffd3b0d4,
    0xffa9d0e9,
    0xffb4d0fb,
    0xffbcb8ef,
    0xff5c3055,
    0xff71071a,
    0xff87131a,
    0xff952b36,
    0xffd47f9c,
    0xfff4b9ef,
    0xffc9c4ff,
    0xffc7c8fa,
    0xffd5c8e2,
    0xffe1bcd0,
    0xffdd8fb1,
    0xffa4557d,
    0xffeccdff,
    0xffae8fd1,
    0xff7b4788,
    0xffc5bfea,
    0xffb1c2f3,
    0xffb3c2f8,
    0xffb5c5f8,
    0xffaac7f9,
    0xffa3c8ed,
    0xffaecef4,
    0xffbdc3fe,
    0xff8f4571,
    0xff8d0a14,
    0xff9a0d16,
    0xffa21011,
    0xff940d07,
    0xff9b0513,
    0xff960212,
    0xff990518,
    0xff9c0418,
    0xffa0031c,
    0xff9e0318,
    0xff980114,
    0xff940212,
    0xff890012,
    0xff8b000b,
    0xff8a0000,
    0xffad1913,
    0xffb51d11,
    0xffb2140b,
    0xffb9170e,
    0xffab0502,
    0xff940001,
    0xff860005,
    0xff7b000e,
    0xff7c0413,
    0xff820110,
    0xff89000a,
    0xff8d0001,
    0xffa41517,
    0xffa2211c,
    0xff93180f,
    0xffa92c25,
    0xff951910,
    0xff981d11,
    0xff8e130b,
    0xff8d1910,
    0xffa73d30,
    0xffa54332,
    0xff9f4130,
    0xffa3483a,
    0xffab4c45,
    0xff902b26,
    0xff891b1c,
    0xff8d1a20,
    0xff8e1b21,
    0xff8d222e,
    0xff811d25,
    0xff906e95,
    0xffb1c2ff,
    0xff9ec1f3,
    0xffa6c8e8,
    0xffafbded,
    0xffbabdee,
    0xff946084,
    0xff6b2f59,
    0xffadb5ea,
    0xffa2c5f8,
    0xffa9bfef,
    0xffa4bbee,
    0xffba97ca,
    0xffae4b6f,
    0xffa73849,
    0xffac3e50,
    0xffc6576b,
    0xff840e26,
    0xff901a31,
    0xff962939,
    0xff842a33,
    0xff833437,
    0xff92484f,
    0xff614364,
    0xff929dd2,
    0xffabc5f8,
    0xffa3c0eb,
    0xffa1c2ef,
    0xff9dc2f3,
    0xff9cc2f4,
    0xffa1c3f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa0c2f2,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xffa0c2f1,
    0xffa0c2f1,
    0xffa0c2f1,
    0xffa0c2f1,
    0xffa0c2f1,
    0xff9ec3f5,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9bbff1,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xffa0c4f5,
    0xff9ec2f4,
    0xff9dc1f2,
    0xff9dc1f2,
    0xff9dc1f2,
    0xff9dc1f2,
    0xff9dc1f3,
    0xff9abef0,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff98bdf1,
    0xff9abff3,
    0xff98bdf1,
    0xff98bdf1,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff99bef2,
    0xff9abff3,
    0xff99bef2,
    0xff99bef2,
    0xff9abff3,
    0xff9bc0f3,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff2,
    0xff9abff2,
    0xff9abff2,
    0xff9abff2,
    0xff9abff3,
    0xff98bdf1,
    0xff97bcf0,
    0xff98bdf2,
    0xff98bdf2,
    0xff9abff4,
    0xff9abff3,
    0xff98bdf5,
    0xff99bef4,
    0xff97bcf0,
    0xff99bef3,
    0xff95baf2,
    0xff96bbf1,
    0xff95b9f3,
    0xff96bbf1,
    0xff95baf1,
    0xff95baf1,
    0xff97bbf5,
    0xff97bbf5,
    0xff95b9f3,
    0xff94b8f2,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff93b7f1,
    0xff97bbf5,
    0xff95b9f3,
    0xff92b6f0,
    0xff93b6f0,
    0xff90b7f0,
    0xff93baf3,
    0xff93baf3,
    0xff8fb6ef,
    0xff90b9ee,
    0xff8eb7ed,
    0xff8fb8f0,
    0xff8fb8f0,
    0xff8cb6ed,
    0xff8db5f0,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8eb8f2,
    0xff8eb8f2,
    0xff8bb5ef,
    0xff8bb5f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f1,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff89b3ef,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8ab4f4,
    0xff8cb2f4,
    0xff8cb3f4,
    0xff8bb2f3,
    0xff89b0f1,
    0xff89b3f3,
    0xff89b3f3,
    0xff8bb1f3,
    0xff8bb1f2,
    0xff89b1f4,
    0xff85b2f2,
    0xff84b2f2,
    0xff82b3f3,
    0xff85b3f0,
    0xff83b1ef,
    0xff85b3f0,
    0xff81b1f1,
    0xff80b0f0,
    0xff80b2f1,
    0xff81b3f1,
    0xff81b3f1,
    0xff7fb2f0,
    0xff80b2f0,
    0xff7eaff2,
    0xff7daef0,
    0xff7cadef,
    0xff7cabef,
    0xff7cabef,
    0xff7cabef,
    0xff7daef0,
    0xff7daef0,
    0xff7daef0,
    0xff7bacef,
    0xff7cadef,
    0xff7cadef,
    0xff7cadef,
    0xff7cadef,
    0xff79aaef,
    0xff7bacf1,
    0xff7babf0,
    0xff7badf2,
    0xff7aacf3,
    0xff79abf2,
    0xff7aabf3,
    0xff79aaf1,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf1,
    0xff77a9f0,
    0xff77a9f0,
    0xff76a8ef,
    0xff78aaf1,
    0xff78a9f0,
    0xff77abf4,
    0xff74a8f1,
    0xff75a9f2,
    0xff73a7f0,
    0xff76aaf3,
    0xff73a7f0,
    0xff75a9f2,
    0xff73a6ef,
    0xff71a8f0,
    0xff72a8f0,
    0xff72a8f0,
    0xff72a8ef,
    0xff70a6f1,
    0xff70a6f0,
    0xff72a8f2,
    0xff72a8f2,
    0xff6fa7f1,
    0xff6ca5ef,
    0xff6fa5ef,
    0xff71a4f1,
    0xff71a5f1,
    0xff71a4f0,
    0xff6da2ed,
    0xff6da1f0,
    0xff6ea2ee,
    0xff6ea3ef,
    0xff6da2f0,
    0xff6da2f0,
    0xff6fa3f1,
    0xff6ca4f0,
    0xff69a2f2,
    0xff67a3f1,
    0xff6ba1f2,
    0xff6ba2f2,
    0xff6ba1f2,
    0xff69a2f1,
    0xff68a1f0,
    0xff67a0ef,
    0xff67a0ef,
    0xff65a0ee,
    0xff67a2ed,
    0xff66a1f0,
    0xff67a2f0,
    0xff649fed,
    0xff65a0ee,
    0xff649fec,
    0xff649ff0,
    0xff65a0f0,
    0xff66a1f1,
    0xff639eee,
    0xff629ded,
    0xff659fef,
    0xff639def,
    0xff639cee,
    0xff639cef,
    0xff609eef,
    0xff609dee,
    0xff619ff0,
    0xff649def,
    0xff639cee,
    0xff609eef,
    0xff619dee,
    0xff609fef,
    0xff5c9ded,
    0xff5e9fef,
    0xff5c9ded,
    0xff5d9eed,
    0xff5d9ef0,
    0xff5b9cee,
    0xff5c9def,
    0xff5c9dee,
    0xff5c9dee,
    0xff5798ec,
    0xff5798ec,
    0xff5899ed,
    0xff599aee,
    0xff599aee,
    0xff5798ec,
    0xff5798ec,
    0xff5697eb,
    0xff599aec,
    0xff5798ea,
    0xff5899ea,
    0xff5697e9,
    0xff5798e9,
    0xff5798e9,
    0xff5798e9,
    0xff5698ea,
    0xff5996ed,
    0xff5996ee,
    0xff5697ee,
    0xff5797ee,
    0xff5696ed,
    0xff5494eb,
    0xff5497ed,
    0xff5597ed,
    0xff5496ec,
    0xff5597ec,
    0xff5597ec,
    0xff5496ec,
    0xff5597ec,
    0xff5395eb,
    0xff5294ea,
    0xff5295eb,
    0xff5292ed,
    0xff5293ed,
    0xff5293ed,
    0xff5293ed,
    0xff5294ee,
    0xff5291eb,
    0xff5292ec,
    0xff4f90ea,
    0xff4f95ed,
    0xff5093ec,
    0xff4f92eb,
    0xff4f90ea,
    0xff5191ee,
    0xff5194ef,
    0xff4e91ec,
    0xff4c92ec,
    0xff4e93ee,
    0xff4d92f0,
    0xff4b90ed,
    0xff4b90ed,
    0xff4b90ed,
    0xff498eed,
    0xff4a8fee,
    0xff468bea,
    0xff478ceb,
    0xff478ceb,
    0xff478ceb,
    0xff458ae9,
    0xff468bea,
    0xff488dec,
    0xff488dec,
    0xff478ceb,
    0xff468cec,
    0xff458beb,
    0xff478ded,
    0xff458beb,
    0xff448aea,
    0xff458beb,
    0xff4288e8,
    0xff458beb,
    0xff4388e8,
    0xff4389e9,
    0xff4287e7,
    0xff4288ea,
    0xff4086e8,
    0xff4086e8,
    0xff3e84e6,
    0xff3f85e7,
    0xff3d85e7,
    0xff3d86e9,
    0xff3d86ec,
    0xff3c84eb,
    0xff3c85eb,
    0xff3b86ec,
    0xff3a86ec,
    0xff3a85eb,
    0xff3984ea,
    0xff3a85eb,
    0xff3a85eb,
    0xff3984e9,
    0xff3982ec,
    0xff3983ec,
    0xff3882eb,
    0xff3680e9,
    0xff3983ec,
    0xff3680e9,
    0xff357fe8,
    0xff3781ea,
    0xff3781ea,
    0xff3680e9,
    0xff337de6,
    0xff3680e9,
    0xff317ee9,
    0xff327fe9,
    0xff337fea,
    0xff3181ea,
    0xff307fe8,
    0xff2f7ee7,
    0xff307fe9,
    0xff3080e9,
    0xff327ee8,
    0xff317ee8,
    0xff327fe8,
    0xff307dea,
    0xff307de9,
    0xff2e7be7,
    0xff2f7de9,
    0xff307ce8,
    0xff397ae2,
    0xff327ee4,
    0xff2879e1,
    0xff357ae2,
    0xff376b9f,
    0xff173946,
    0xff163125,
    0xff223c35,
    0xff21413f,
    0xff07342a,
    0xff033128,
    0xff052729,
    0xff0d272d,
    0xff0d2a2e,
    0xff001d1b,
    0xff001f19,
    0xff031d21,
    0xff02191c,
    0xff0d1f1c,
    0xff22241d,
    0xff4a302b,
    0xff391011,
    0xff2b1213,
    0xff0f1815,
    0xff001b0e,
    0xff0f2018,
    0xff1d2c28,
    0xff0a1d19,
    0xff122623,
    0xff0f1b1a,
    0xff0e241d,
    0xff062e1f,
    0xff062a38,
    0xff092a61,
    0xff153980,
    0xff11365c,
    0xff00191d,
    0xff041c20,
    0xff082130,
    0xff001a2e,
    0xff461b18,
    0xff491c19,
    0xff491c19,
    0xff4c1b19,
    0xff4d1d1d,
    0xff4f1d1e,
    0xff501e1f,
    0xff511f20,
    0xff501f25,
    0xff4f222d,
    0xff4f2639,
    0xff512e4e,
    0xff533865,
    0xff58447e,
    0xff605498,
    0xff655da7,
    0xff6962b3,
    0xff6064c0,
    0xff5c6dcc,
    0xff5f72ce,
    0xff6a7bd5,
    0xff7180df,
    0xff7a83da,
    0xff7e84c9,
    0xff8481b8,
    0xff9d92de,
    0xffa49bec,
    0xffb399d4,
    0xff732f4d,
    0xff68131a,
    0xff6b1720,
    0xff6f1531,
    0xff74213b,
    0xff85385d,
    0xff864777,
    0xffa880b2,
    0xffcdbcea,
    0xffd7d6ff,
    0xffbfc6f4,
    0xffc3cafb,
    0xff6c5679,
    0xff4a223d,
    0xff432938,
    0xff37303c,
    0xff422c49,
    0xff513557,
    0xffd4ccdd,
    0xffffffff,
    0xfffbfbfc,
    0xfffafffd,
    0xfffafcfa,
    0xfffff9fe,
    0xfffbfcfe,
    0xfff3faf7,
    0xffecc7c9,
    0xffab4756,
    0xffb02535,
    0xffbe1827,
    0xffb01630,
    0xff971425,
    0xff891c29,
    0xff86172c,
    0xffad202d,
    0xffaa182e,
    0xff930f23,
    0xff901326,
    0xff861322,
    0xff871929,
    0xff8d1e2d,
    0xff912131,
    0xff93232f,
    0xff902129,
    0xff8f1927,
    0xff830d1c,
    0xff770110,
    0xff760112,
    0xff74000f,
    0xff74000d,
    0xff75030d,
    0xff74010a,
    0xff7f0011,
    0xff6b010d,
    0xff700412,
    0xff6f0015,
    0xff6d1332,
    0xffd9adc5,
    0xffffc8e2,
    0xff7f032a,
    0xff86011c,
    0xff800012,
    0xff880018,
    0xff8c001e,
    0xff8e0014,
    0xffb0030c,
    0xffd81921,
    0xffc21520,
    0xffa41c1d,
    0xff821224,
    0xff7a0716,
    0xff920d11,
    0xff9a121e,
    0xff9c1629,
    0xff921826,
    0xff9d4149,
    0xff704752,
    0xff3f1f27,
    0xff3a2427,
    0xff402729,
    0xff401b24,
    0xff200613,
    0xff221021,
    0xff351e34,
    0xff504f79,
    0xff8f83c3,
    0xffbebbfb,
    0xffefcff4,
    0xffc65b5f,
    0xffd95432,
    0xffcc5320,
    0xffe35833,
    0xffd24129,
    0xffb22c2c,
    0xff8e091d,
    0xff81000f,
    0xff810113,
    0xff7d0318,
    0xff8b031c,
    0xffa1031b,
    0xffa10922,
    0xff97101b,
    0xff8e0a16,
    0xff820218,
    0xff7c0418,
    0xff8a0219,
    0xff970c2b,
    0xff9a2d56,
    0xffd2b0ec,
    0xffb9c9f6,
    0xffb6c3f6,
    0xffbcc6ff,
    0xffa1a9de,
    0xff64335e,
    0xff9c415f,
    0xffdc8599,
    0xffe69ab2,
    0xffe092bb,
    0xffd792bb,
    0xffd67b9c,
    0xffc55063,
    0xffb73640,
    0xffb11f26,
    0xffa82a25,
    0xffb26274,
    0xffcaa1d3,
    0xffcba6e2,
    0xffb7c4e7,
    0xffabc8f2,
    0xffa8c7f6,
    0xffaac8f3,
    0xff9fcdf3,
    0xffabc4f2,
    0xffbac9fb,
    0xffc2bbff,
    0xff89416c,
    0xff880f14,
    0xffa4181b,
    0xffa3100f,
    0xff8e0f07,
    0xff980c14,
    0xff930813,
    0xff950919,
    0xff99081a,
    0xff990018,
    0xff9b0118,
    0xff980317,
    0xff970517,
    0xff860216,
    0xff830010,
    0xff86000d,
    0xff860008,
    0xff91030b,
    0xff8f0003,
    0xff950106,
    0xff980407,
    0xff8c030b,
    0xff81010c,
    0xff7b000f,
    0xff7c000f,
    0xff880211,
    0xff8c010a,
    0xff880003,
    0xff91090e,
    0xffa01f1b,
    0xff92170f,
    0xffa1251b,
    0xff991e13,
    0xff9d1d17,
    0xff981914,
    0xff8f170f,
    0xff861409,
    0xff9d3527,
    0xffa03d2e,
    0xffa04332,
    0xffa6493a,
    0xffae4b42,
    0xff942b28,
    0xff8a1c1d,
    0xff8e2024,
    0xff831e23,
    0xff942222,
    0xff6c3356,
    0xffa7a9eb,
    0xffa4c4f4,
    0xffa2c6ed,
    0xffacbff8,
    0xffaec4f3,
    0xff9e8cbb,
    0xff8472a8,
    0xffa7bfeb,
    0xff9ec7f3,
    0xffa6c0f0,
    0xffabbcee,
    0xffb9a0d5,
    0xffb05f7f,
    0xffae4051,
    0xffa42c43,
    0xff95172f,
    0xff7e0218,
    0xff8a1626,
    0xff8d232e,
    0xff8c242e,
    0xff881f2b,
    0xff8a3237,
    0xff6e486b,
    0xff8390ca,
    0xffa4c2fa,
    0xffa4c1ed,
    0xffa4c4ed,
    0xffa1c5f3,
    0xff9fc3f5,
    0xffa1c2f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa0c2f2,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xffa0c2f1,
    0xff9bbff1,
    0xff9bbff1,
    0xff9bbff1,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9bbef0,
    0xff98bdf2,
    0xff98bdf1,
    0xff99bef2,
    0xff99bef2,
    0xff9abff3,
    0xff99bef2,
    0xff99bef2,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f3,
    0xff9bc0f5,
    0xff9abff5,
    0xff9bc0f5,
    0xff99bef4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf0,
    0xff98bdf1,
    0xff98bdf1,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff98bdf2,
    0xff99bef2,
    0xff99bef3,
    0xff98bdf2,
    0xff98bef4,
    0xff96b9f4,
    0xff96bbf2,
    0xff96bbf2,
    0xff96bbf0,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff93b7f1,
    0xff93b7f1,
    0xff94b8f2,
    0xff93b7f1,
    0xff94b8f2,
    0xff94b8f2,
    0xff90b7f0,
    0xff92b9f2,
    0xff92b9f2,
    0xff91b7f0,
    0xff90b9f1,
    0xff8eb7f0,
    0xff8eb7ef,
    0xff8eb7ef,
    0xff8eb7ef,
    0xff8eb8ef,
    0xff90b9f0,
    0xff90b9f1,
    0xff8db8f2,
    0xff8eb8f2,
    0xff8cb6f0,
    0xff8cb6ef,
    0xff8bb5f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb3f3,
    0xff8ab4f3,
    0xff88b4f3,
    0xff88b2f2,
    0xff8bb3f3,
    0xff8ab3f3,
    0xff8bb2f3,
    0xff8bb2f3,
    0xff89b2f4,
    0xff85b1f2,
    0xff86b3f4,
    0xff85b2f3,
    0xff85b0ef,
    0xff84b2f0,
    0xff85b3f1,
    0xff81b1ef,
    0xff82b2f2,
    0xff80b3f2,
    0xff80b3f2,
    0xff81b3f2,
    0xff7fb1f1,
    0xff7fb1f0,
    0xff7fb1ef,
    0xff7eaff2,
    0xff7faff0,
    0xff7eadf1,
    0xff7eadf0,
    0xff7eacf3,
    0xff7caef0,
    0xff7daef1,
    0xff7daef1,
    0xff7cadf0,
    0xff7cadf0,
    0xff7bacef,
    0xff7cadf0,
    0xff7cadef,
    0xff7aabf1,
    0xff7aabf0,
    0xff7bacf1,
    0xff7bacf1,
    0xff7aacf3,
    0xff79abf2,
    0xff7aacf3,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f0,
    0xff76a8ef,
    0xff78aaf1,
    0xff78a9f0,
    0xff76aaf3,
    0xff75a9f2,
    0xff75a9f2,
    0xff73a7f0,
    0xff76aaf3,
    0xff73a7f0,
    0xff75a9f2,
    0xff72a6ef,
    0xff71a8f0,
    0xff72a8f0,
    0xff72a8f0,
    0xff72a8ef,
    0xff70a6f0,
    0xff71a7f1,
    0xff72a8f2,
    0xff72a8f2,
    0xff6ea6f0,
    0xff6ea6f0,
    0xff6fa5ef,
    0xff70a5f1,
    0xff6ea4f0,
    0xff6da4f0,
    0xff6aa3ed,
    0xff6aa4ee,
    0xff6da2ef,
    0xff6ca1ed,
    0xff6ea1ed,
    0xff6ea0f0,
    0xff6ca1ef,
    0xff6ba3f0,
    0xff6ba4f0,
    0xff69a5f0,
    0xff6ba1f2,
    0xff6aa1f1,
    0xff6ca2f3,
    0xff68a1f0,
    0xff68a1f1,
    0xff69a2f1,
    0xff69a2f1,
    0xff6aa2f2,
    0xff66a1ed,
    0xff67a2ed,
    0xff67a2f0,
    0xff649fed,
    0xff649fed,
    0xff65a0ee,
    0xff65a0f0,
    0xff649fef,
    0xff66a1f1,
    0xff65a0f0,
    0xff649fef,
    0xff65a0f0,
    0xff639df0,
    0xff649ef0,
    0xff629cee,
    0xff629dee,
    0xff609fef,
    0xff60a0f0,
    0xff629ff0,
    0xff609dee,
    0xff609dee,
    0xff619dee,
    0xff609fee,
    0xff5d9eee,
    0xff5e9fef,
    0xff5c9ded,
    0xff5d9eee,
    0xff5d9eed,
    0xff5b9cef,
    0xff5b9cee,
    0xff5b9cee,
    0xff5b9cee,
    0xff5c9df1,
    0xff599aee,
    0xff5798ec,
    0xff5899ed,
    0xff5a9bef,
    0xff5899ed,
    0xff5798ec,
    0xff5798ec,
    0xff599aee,
    0xff599aef,
    0xff5798ed,
    0xff5798ec,
    0xff5697ec,
    0xff5697ec,
    0xff5697ec,
    0xff5697ec,
    0xff5997ec,
    0xff5a98ed,
    0xff5895ea,
    0xff5698eb,
    0xff5799ec,
    0xff5596e9,
    0xff5697ea,
    0xff5696ea,
    0xff5597ed,
    0xff5496ec,
    0xff5597ed,
    0xff5496ec,
    0xff5597ed,
    0xff5395eb,
    0xff5496ec,
    0xff5496eb,
    0xff4f92eb,
    0xff5094ed,
    0xff5094ec,
    0xff5292ed,
    0xff5091eb,
    0xff4f90ea,
    0xff5092ec,
    0xff5292ec,
    0xff4b90e9,
    0xff4e91ea,
    0xff4e91ea,
    0xff5192ec,
    0xff5192ee,
    0xff4f92ed,
    0xff4f92ed,
    0xff4c92ed,
    0xff4c91ec,
    0xff4e93f0,
    0xff4d92ef,
    0xff4c91ee,
    0xff4d92ef,
    0xff4b90ef,
    0xff4b90ef,
    0xff498eed,
    0xff478ceb,
    0xff488dec,
    0xff478ceb,
    0xff468bea,
    0xff468bea,
    0xff488dec,
    0xff488dec,
    0xff488deb,
    0xff478ded,
    0xff478ded,
    0xff468cec,
    0xff468cec,
    0xff448aea,
    0xff458beb,
    0xff448aea,
    0xff4489e9,
    0xff418bea,
    0xff408ae9,
    0xff3f89e7,
    0xff3f89e7,
    0xff4088ea,
    0xff3e87e9,
    0xff4088ea,
    0xff3e87e9,
    0xff4086e7,
    0xff4084ea,
    0xff3f85ec,
    0xff3d84ed,
    0xff3d85ec,
    0xff3c85ec,
    0xff3d85ec,
    0xff3a85eb,
    0xff3984ea,
    0xff3a85eb,
    0xff3a85eb,
    0xff3884e9,
    0xff3982ec,
    0xff3983ec,
    0xff3882eb,
    0xff3781ea,
    0xff3882eb,
    0xff3680e9,
    0xff3680e9,
    0xff3781ea,
    0xff3781ea,
    0xff3680e9,
    0xff337de6,
    0xff3680e9,
    0xff317fe7,
    0xff3380e7,
    0xff327fe7,
    0xff337fe7,
    0xff3282e8,
    0xff307fe6,
    0xff3281e8,
    0xff3180e6,
    0xff337fea,
    0xff327fe9,
    0xff317ee8,
    0xff327fe8,
    0xff317eea,
    0xff2f7ce8,
    0xff307de9,
    0xff307ce8,
    0xff347de4,
    0xff3079e8,
    0xff2d79d3,
    0xff3c7dce,
    0xff2e6388,
    0xff1a4450,
    0xff052819,
    0xff22413e,
    0xff132a2d,
    0xff002321,
    0xff012d22,
    0xff022119,
    0xff0c2a25,
    0xff0b3030,
    0xff002226,
    0xff002027,
    0xff08222d,
    0xff031623,
    0xff071921,
    0xff0a171a,
    0xff171618,
    0xff1c0e11,
    0xff151317,
    0xff001114,
    0xff0d1c19,
    0xff16151a,
    0xff302d34,
    0xff0c191c,
    0xff0b2322,
    0xff051e1c,
    0xff011f17,
    0xff093124,
    0xff0c343e,
    0xff133668,
    0xff0f3471,
    0xff001831,
    0xff021914,
    0xff010f15,
    0xff021626,
    0xff001e2b,
    0xff4b1d1a,
    0xff491c18,
    0xff481b18,
    0xff4b1a1b,
    0xff4d1e1d,
    0xff521f21,
    0xff522021,
    0xff552324,
    0xff51202d,
    0xff56283c,
    0xff562f4c,
    0xff573a65,
    0xff5b467f,
    0xff5c4f94,
    0xff655da9,
    0xff6660b2,
    0xff6763bc,
    0xff686cd2,
    0xff6272db,
    0xff647ad7,
    0xff7283d9,
    0xff7882db,
    0xff7d8cdf,
    0xff7f97e0,
    0xff8f95e7,
    0xff949ae6,
    0xff959fdd,
    0xff8073a6,
    0xff5c265a,
    0xff6e3366,
    0xff765788,
    0xff8978ac,
    0xffaba2ce,
    0xffbfb7f0,
    0xffbabef8,
    0xffbbc6f8,
    0xffcadbfd,
    0xffd1dcfa,
    0xffcec9f3,
    0xffb6a5dc,
    0xff524266,
    0xff48233f,
    0xff422b38,
    0xff39313d,
    0xff442b48,
    0xff5f4666,
    0xffe1dfed,
    0xfffaffff,
    0xfff3f8fa,
    0xfff7fefd,
    0xfffefef9,
    0xfffff8fd,
    0xffffffff,
    0xffcecdcb,
    0xffcb8d8e,
    0xffba323e,
    0xffb9302f,
    0xffc42525,
    0xffb1182d,
    0xff9d0f29,
    0xff8d0823,
    0xff950920,
    0xffb91d1f,
    0xffc02c2a,
    0xff97111e,
    0xff940c21,
    0xff97132a,
    0xff93182c,
    0xff8b202b,
    0xff8a2529,
    0xff8f2128,
    0xff941e28,
    0xff8f1a22,
    0xff840f18,
    0xff76000d,
    0xff780314,
    0xff750010,
    0xff750010,
    0xff73000f,
    0xff71000b,
    0xff780104,
    0xff74050b,
    0xff680010,
    0xff822b4d,
    0xfff0cae8,
    0xffffffff,
    0xffffc7d6,
    0xffad1d3b,
    0xff990019,
    0xff840013,
    0xff810015,
    0xff86011b,
    0xff8e0311,
    0xffb10b0c,
    0xffd11c1f,
    0xffb71a1f,
    0xffa41c22,
    0xff881328,
    0xff83101c,
    0xff8a100e,
    0xff8c191c,
    0xff891c2b,
    0xff8f3842,
    0xff905c5d,
    0xff523d33,
    0xff35181f,
    0xff341e28,
    0xff3e2020,
    0xff481313,
    0xffa47c83,
    0xfff3edf8,
    0xffd5daec,
    0xffeeffff,
    0xffd1d9fc,
    0xffbbcffc,
    0xffdbcde7,
    0xffc15e5c,
    0xffdb5733,
    0xffd1582d,
    0xffdb593f,
    0xffca4833,
    0xffa72c2f,
    0xff7f0317,
    0xff820013,
    0xff7d000d,
    0xff7e021b,
    0xff89001b,
    0xffab0a20,
    0xffbd1f16,
    0xffc72d27,
    0xffac0a1b,
    0xff93001c,
    0xff7a0114,
    0xff7a0310,
    0xff7e0620,
    0xff7f2750,
    0xffc6b1e7,
    0xffafcaf5,
    0xffb2cef7,
    0xffb5c7f2,
    0xffbccaf9,
    0xffeac5fd,
    0xfffd95c6,
    0xffdb6479,
    0xffb83731,
    0xffc33933,
    0xffb83a2f,
    0xffc63b37,
    0xffcd3535,
    0xffc7282a,
    0xffbc1113,
    0xffd6392d,
    0xffd4361d,
    0xff9e3a43,
    0xfff1a3cd,
    0xffd5caf5,
    0xffafc7f9,
    0xffa5cdf1,
    0xffadc8e8,
    0xffabc8f3,
    0xffa8cbef,
    0xffaec7f2,
    0xffb6c6ff,
    0xffd3b1d8,
    0xff82262a,
    0xff99181d,
    0xffa51014,
    0xff8f0c0a,
    0xff90090f,
    0xff8f0a12,
    0xff8e0815,
    0xff9a0f22,
    0xff94021a,
    0xff96011b,
    0xff940018,
    0xff900116,
    0xff800111,
    0xff7f0010,
    0xff7d000f,
    0xff840313,
    0xff820010,
    0xff84000c,
    0xff840009,
    0xff850007,
    0xff88020a,
    0xff80010b,
    0xff7e010e,
    0xff7f000e,
    0xff87000b,
    0xff8b010a,
    0xff8a040a,
    0xff830309,
    0xff981814,
    0xff9e1e18,
    0xff95190f,
    0xff9c2116,
    0xff9e1d18,
    0xff9a1913,
    0xff981b13,
    0xff90150c,
    0xff8b1d11,
    0xffa54030,
    0xff973623,
    0xff9f4231,
    0xffaa4839,
    0xffa53d37,
    0xff922825,
    0xff8e2226,
    0xff842020,
    0xff8f1717,
    0xff7a3854,
    0xffa298d5,
    0xffa9c7f2,
    0xff9dc8f8,
    0xffa2beff,
    0xffa7c8f5,
    0xffa3b3e1,
    0xffa4b7f1,
    0xffa6c5f0,
    0xff9dc1f2,
    0xffa9c1fd,
    0xffaec3fd,
    0xffadb1f0,
    0xff8f6892,
    0xff922f3e,
    0xff8c1326,
    0xff920621,
    0xff9e0924,
    0xff8f0316,
    0xff8d131f,
    0xff993039,
    0xff821f2a,
    0xff751e26,
    0xffac88ad,
    0xffaebefb,
    0xff9fc1fc,
    0xffa3c1ef,
    0xffa6c4ed,
    0xffa4c4f3,
    0xffa2c2f1,
    0xffa0c3f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa2c4f4,
    0xffa1c3f4,
    0xffa4c6f6,
    0xffa1c3f3,
    0xff9fc1f1,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9bbef0,
    0xff97bcf0,
    0xff9abff3,
    0xff9bc0f4,
    0xff9dc2f6,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff98bdf1,
    0xff98bdf1,
    0xff9abff3,
    0xff99bef2,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff4,
    0xff9cc1f6,
    0xff9bc0f5,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9bc0f3,
    0xff9abff3,
    0xff9abff2,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff98bdf2,
    0xff99bef2,
    0xff98bdf2,
    0xff99bef2,
    0xff99bef5,
    0xff98bdf4,
    0xff98bdf4,
    0xff97bcf3,
    0xff97bcf0,
    0xff95b9f2,
    0xff97baf4,
    0xff96bbf4,
    0xff95b9f3,
    0xff96baf4,
    0xff94b8f2,
    0xff93b8f1,
    0xff93b7f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b8f2,
    0xff92b6f0,
    0xff95b8f2,
    0xff90b7f0,
    0xff90b7f0,
    0xff92b9f2,
    0xff8eb7ef,
    0xff8fb9f1,
    0xff90b9f1,
    0xff90b9f1,
    0xff90b9f1,
    0xff8fb8f0,
    0xff90b9f1,
    0xff8eb7ed,
    0xff8cb5f0,
    0xff8eb8f2,
    0xff8eb8f2,
    0xff8eb8f2,
    0xff8bb5f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb5f2,
    0xff8cb6ef,
    0xff8cb6f3,
    0xff8cb6f2,
    0xff8db7f3,
    0xff89b3ef,
    0xff89b2f0,
    0xff89b2f0,
    0xff89b2f0,
    0xff8ab3f2,
    0xff8ab3f4,
    0xff8cb5f5,
    0xff8cb4f5,
    0xff89b6f5,
    0xff87b3f3,
    0xff85b3f1,
    0xff88b6f4,
    0xff88b5f3,
    0xff8bb3f4,
    0xff8ab4f4,
    0xff8cb2f3,
    0xff8bb4f6,
    0xff88b1f4,
    0xff87b4f5,
    0xff88b5f6,
    0xff87b3f1,
    0xff86b2f1,
    0xff86b4f2,
    0xff82b2f0,
    0xff82b1f2,
    0xff81b2f2,
    0xff81b2f2,
    0xff7fb3f2,
    0xff80b4ef,
    0xff81b3f2,
    0xff81b3f2,
    0xff7fb1f3,
    0xff7eaef0,
    0xff7eadf1,
    0xff7dacf0,
    0xff7eadf4,
    0xff7daef0,
    0xff7dadf1,
    0xff7daef1,
    0xff7daef0,
    0xff7daef0,
    0xff7daef1,
    0xff7bacef,
    0xff7badef,
    0xff7cadf3,
    0xff7cadf2,
    0xff7aabf0,
    0xff7aabef,
    0xff7aacf3,
    0xff7aacf3,
    0xff7aacf4,
    0xff7aacf3,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f0,
    0xff78aaf1,
    0xff78aaf0,
    0xff75a9f3,
    0xff75aaf3,
    0xff76aaf3,
    0xff72a7f0,
    0xff79aaf3,
    0xff76a7f0,
    0xff78a9f2,
    0xff74a6f0,
    0xff72a8f0,
    0xff71a8f0,
    0xff71a8ef,
    0xff71a8ef,
    0xff72a8f2,
    0xff71a8f2,
    0xff71a8f2,
    0xff72a8f2,
    0xff70a8f2,
    0xff70a9f3,
    0xff70a6f0,
    0xff72a7f1,
    0xff6fa7f3,
    0xff6da7f1,
    0xff6aa5ee,
    0xff6ca7f1,
    0xff6da3ef,
    0xff6ea1ed,
    0xff6fa3ee,
    0xff6da0ef,
    0xff6ca1ef,
    0xff6ba4f1,
    0xff6ba4f0,
    0xff6aa4f0,
    0xff6da5f2,
    0xff68a0ed,
    0xff6ba3ef,
    0xff6aa2ef,
    0xff68a1ee,
    0xff6ba4f1,
    0xff6ba4f0,
    0xff6aa3ef,
    0xff66a1ed,
    0xff66a1ed,
    0xff67a2ed,
    0xff66a1ef,
    0xff66a1ef,
    0xff68a3f1,
    0xff67a2f0,
    0xff639eee,
    0xff66a1f1,
    0xff68a3f3,
    0xff67a2f2,
    0xff65a0ef,
    0xff649ef0,
    0xff639df0,
    0xff649ef0,
    0xff619dee,
    0xff60a1f1,
    0xff5fa0f0,
    0xff5f9eee,
    0xff629ff0,
    0xff629ff0,
    0xff629ff0,
    0xff61a0f0,
    0xff5e9eee,
    0xff5d9eee,
    0xff5c9ded,
    0xff5c9ded,
    0xff5e9fef,
    0xff5c9ef0,
    0xff5c9ef0,
    0xff5d9ef0,
    0xff5c9ef0,
    0xff5e9ff4,
    0xff5a9bf0,
    0xff599aee,
    0xff5b9cf0,
    0xff5b9cf0,
    0xff599aee,
    0xff5899ed,
    0xff5a9bef,
    0xff5899ee,
    0xff5a9bef,
    0xff5899ed,
    0xff5a9bef,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5799ec,
    0xff5c99ee,
    0xff5a98ed,
    0xff5693e9,
    0xff5697eb,
    0xff5798ec,
    0xff5596ea,
    0xff5697eb,
    0xff5696ea,
    0xff5699ef,
    0xff5698ee,
    0xff5597ed,
    0xff5496ec,
    0xff5597ed,
    0xff5597ed,
    0xff5597ed,
    0xff5597ed,
    0xff5094ed,
    0xff5194ed,
    0xff5194ed,
    0xff5195ee,
    0xff5091eb,
    0xff4f90ea,
    0xff5192ec,
    0xff5091eb,
    0xff4c92e9,
    0xff4f92eb,
    0xff5093ec,
    0xff5191eb,
    0xff4f90e9,
    0xff4e91ec,
    0xff4f92ed,
    0xff4b90eb,
    0xff4a8fe9,
    0xff4d92ef,
    0xff4b90ed,
    0xff4b90ed,
    0xff4b90ed,
    0xff4c91f0,
    0xff4b90f0,
    0xff478ceb,
    0xff488dec,
    0xff478cec,
    0xff478cec,
    0xff488dec,
    0xff488dec,
    0xff488dec,
    0xff488dec,
    0xff488ceb,
    0xff478ded,
    0xff458beb,
    0xff458beb,
    0xff478ded,
    0xff468cec,
    0xff448aea,
    0xff458bec,
    0xff4389e9,
    0xff438ceb,
    0xff408ae8,
    0xff3f88e7,
    0xff418ae9,
    0xff428aed,
    0xff428aec,
    0xff438aed,
    0xff3c84e6,
    0xff4186e7,
    0xff4184e7,
    0xff4084ea,
    0xff4084ed,
    0xff3d84ec,
    0xff3d84ec,
    0xff3b84eb,
    0xff3b84ea,
    0xff3a85eb,
    0xff3b86ec,
    0xff3a85ea,
    0xff3984e9,
    0xff3882ec,
    0xff3983ec,
    0xff3983eb,
    0xff3781ea,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff357fe8,
    0xff3781ea,
    0xff3781ea,
    0xff3680e9,
    0xff367fe9,
    0xff3381e7,
    0xff3481e9,
    0xff3481e9,
    0xff3481e9,
    0xff3381e9,
    0xff317fe6,
    0xff3281e8,
    0xff2f82e7,
    0xff3581ea,
    0xff3280e9,
    0xff317ee9,
    0xff337fea,
    0xff317dea,
    0xff327feb,
    0xff3381eb,
    0xff2f7de8,
    0xff2a7ce6,
    0xff337cf2,
    0xff367ac8,
    0xff0e4c78,
    0xff124c4e,
    0xff1f514e,
    0xff1e4f34,
    0xff073721,
    0xff092613,
    0xff01261c,
    0xff0f3230,
    0xff081e1b,
    0xff00190b,
    0xff052b1f,
    0xff062528,
    0xff051326,
    0xff05212f,
    0xff022834,
    0xff002129,
    0xff051d21,
    0xff071514,
    0xff00130d,
    0xff051915,
    0xff071918,
    0xff061c1b,
    0xff13141b,
    0xff302c37,
    0xff0b1c21,
    0xff082d2a,
    0xff002119,
    0xff09241d,
    0xff0f281f,
    0xff001d22,
    0xff14395d,
    0xff03244b,
    0xff00171d,
    0xff081910,
    0xff051015,
    0xff021422,
    0xff0b292b,
    0xff4e191d,
    0xff4d1b1e,
    0xff4a1d1d,
    0xff4b1d1d,
    0xff501f23,
    0xff521f25,
    0xff51212b,
    0xff572937,
    0xff572c47,
    0xff573353,
    0xff5a3b66,
    0xff5f4884,
    0xff62519e,
    0xff675db3,
    0xff645fb5,
    0xff6466b9,
    0xff606bc5,
    0xff6571cd,
    0xff6c79d6,
    0xff7080de,
    0xff7788e1,
    0xff7a8be2,
    0xff8193e7,
    0xff8198e9,
    0xff859eeb,
    0xff8da2df,
    0xffbec5f1,
    0xffdad3fc,
    0xffbeb5ed,
    0xffb1b3fc,
    0xffaab8ff,
    0xffafbcfe,
    0xffc1cdfc,
    0xffd2ddff,
    0xffbfd9f3,
    0xffafb5d5,
    0xffada5d8,
    0xffc9c4ed,
    0xffb793b1,
    0xff6f3b5d,
    0xff5b2b44,
    0xff46293b,
    0xff3c2c3e,
    0xff402a42,
    0xff4d3150,
    0xff64556b,
    0xfffffdff,
    0xfffdfffd,
    0xfff2fdfe,
    0xfffffafe,
    0xfffffcff,
    0xfff9ffff,
    0xfff3fdfe,
    0xffffffff,
    0xffffffff,
    0xffb65d69,
    0xffc4373d,
    0xffca2c31,
    0xffca2d33,
    0xffaa151f,
    0xff9f0d1f,
    0xffaf1126,
    0xffca2632,
    0xffc62a2c,
    0xffb2192a,
    0xff9e0f22,
    0xff971427,
    0xff8e1827,
    0xff8c1f2a,
    0xff861d23,
    0xff8c2025,
    0xff952426,
    0xff9e2b27,
    0xff911d23,
    0xff780514,
    0xff720013,
    0xff780215,
    0xff730110,
    0xff73040e,
    0xff6f050b,
    0xff680303,
    0xff79000d,
    0xff610024,
    0xffd4afe8,
    0xfff4e1ff,
    0xffe59bab,
    0xffb72c3d,
    0xffb20e2f,
    0xffbb081c,
    0xff900410,
    0xff8c0116,
    0xffa00216,
    0xffaf0e14,
    0xffb81512,
    0xffca2124,
    0xffa40c13,
    0xff9b2029,
    0xff7b121a,
    0xff791d28,
    0xff7d2532,
    0xff7c2339,
    0xff762439,
    0xff7f4854,
    0xff6b4a4f,
    0xff3f212b,
    0xff331e20,
    0xff502120,
    0xff7b181c,
    0xff88161d,
    0xffde9f9f,
    0xffffffff,
    0xffeffbff,
    0xffe8fdfc,
    0xffeff9ff,
    0xffacc4e4,
    0xffcfc6f3,
    0xffc87f9f,
    0xffc7504e,
    0xffe15943,
    0xffc55f43,
    0xffc56d62,
    0xffbe5a6c,
    0xff76082c,
    0xff7b0625,
    0xff7c0020,
    0xff810020,
    0xff8d021f,
    0xff96070e,
    0xffb21b11,
    0xffe73f39,
    0xffc71d23,
    0xffa00a1d,
    0xff7f0013,
    0xff760011,
    0xff6c001b,
    0xff731640,
    0xffc5a5e3,
    0xffc1c4f8,
    0xffafcbf6,
    0xffb3c6f3,
    0xffe3c9f3,
    0xffe28dad,
    0xffb4333c,
    0xffc83129,
    0xffd53722,
    0xffcd381e,
    0xffc63a1e,
    0xffcc3b26,
    0xffd03127,
    0xffbe1714,
    0xffc31f17,
    0xffd2382a,
    0xffd8331d,
    0xffcd3929,
    0xffb3363d,
    0xffc87f97,
    0xffd5c9e2,
    0xffbdcae3,
    0xffb3c3eb,
    0xffa9c8fc,
    0xffabc8f1,
    0xffb2c2ef,
    0xffb2ceff,
    0xffc1aed9,
    0xff7e232d,
    0xff93120d,
    0xff9f070e,
    0xff8f0408,
    0xff9b0208,
    0xff9f0c11,
    0xff980b12,
    0xff990d1a,
    0xffa5142a,
    0xff94011e,
    0xff90001b,
    0xff92041f,
    0xff880012,
    0xff8a0013,
    0xff7c010f,
    0xff770413,
    0xff850119,
    0xff7e0015,
    0xff730210,
    0xff79040e,
    0xff7e010a,
    0xff860813,
    0xff7e000c,
    0xff80000d,
    0xff83010e,
    0xff84000a,
    0xff88000a,
    0xff880008,
    0xff881301,
    0xffb2222e,
    0xffa3161f,
    0xff9b1f13,
    0xff9c1d10,
    0xff9b1b0c,
    0xff961a0a,
    0xff991415,
    0xff911a17,
    0xffa23320,
    0xffa44028,
    0xffa2423a,
    0xffa34544,
    0xffa94840,
    0xff9e3530,
    0xff9a2930,
    0xff8f1120,
    0xff9b2e33,
    0xffe3a4b3,
    0xffbfc0f0,
    0xffa7c1f4,
    0xffa7bdff,
    0xffa2c4f9,
    0xffaabdef,
    0xffa4c4f3,
    0xffa4c0f3,
    0xffa5c0f2,
    0xffa4c4f5,
    0xffa2c5f6,
    0xffa4c0f3,
    0xffafb5f1,
    0xffa796d4,
    0xff81284d,
    0xff8c1826,
    0xff9b112b,
    0xff96062d,
    0xff930721,
    0xff90081c,
    0xff94182e,
    0xff922934,
    0xff7f2534,
    0xff5a3051,
    0xffbbc2fb,
    0xffaac4fc,
    0xffa2c3e7,
    0xffa2c3ee,
    0xffa4c4fb,
    0xffa4c2f0,
    0xffa1c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa1c3f3,
    0xff9ec0f0,
    0xff9fc1f1,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f2,
    0xff9ec3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff98bdf1,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff99bef2,
    0xff9bc0f4,
    0xff99bef3,
    0xff9ac0f0,
    0xff9ac0f0,
    0xff9abef3,
    0xff9abff3,
    0xff98bdf1,
    0xff98bdf1,
    0xff99bef2,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff99bef3,
    0xff99bef2,
    0xff99bef2,
    0xff9bc0f4,
    0xff99bef4,
    0xff99bef3,
    0xff9abff4,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff99bef3,
    0xff98bdf2,
    0xff98bdf2,
    0xff97bcf1,
    0xff9abff4,
    0xff9bc0f4,
    0xff9abff4,
    0xff9abff3,
    0xff9abff4,
    0xff98bdf3,
    0xff96bbf0,
    0xff96bbf0,
    0xff97bcf1,
    0xff95baef,
    0xff95baef,
    0xff94b8f3,
    0xff95b9f3,
    0xff93b7f1,
    0xff94b8f2,
    0xff92b6f0,
    0xff93b6f0,
    0xff93b6f0,
    0xff92b7f0,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b6ef,
    0xff8eb8f0,
    0xff8fb8f0,
    0xff91baf2,
    0xff90b9f1,
    0xff8fb9f0,
    0xff90b4f0,
    0xff8fb7f2,
    0xff90b6f1,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8ab5f1,
    0xff8cb5f2,
    0xff89b7f2,
    0xff8cb5f2,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8bb5f0,
    0xff8cb6f2,
    0xff8cb5f2,
    0xff8bb4f2,
    0xff8db6f3,
    0xff8ab2f0,
    0xff8ab3f1,
    0xff8ab4f1,
    0xff8ab2f3,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff8bb4f4,
    0xff87b0ef,
    0xff89b2f2,
    0xff88b2f1,
    0xff87b3f2,
    0xff85b1f0,
    0xff87b3f2,
    0xff85b1f1,
    0xff85b1ef,
    0xff84b1ef,
    0xff84b1ef,
    0xff85b1ef,
    0xff81b0f1,
    0xff82b2f2,
    0xff81b1f1,
    0xff81b1f4,
    0xff7eaef0,
    0xff7faff1,
    0xff83aff2,
    0xff81aff3,
    0xff7aacf0,
    0xff7baff1,
    0xff7aadef,
    0xff7daef3,
    0xff7cadf2,
    0xff79aaef,
    0xff7faef4,
    0xff7caaf1,
    0xff7badf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff79acf1,
    0xff78aaef,
    0xff78aaef,
    0xff7aacf0,
    0xff7aacf0,
    0xff78aaf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f0,
    0xff77a9f0,
    0xff79aaf1,
    0xff78aaf1,
    0xff78aaf0,
    0xff76a8ee,
    0xff73a9ef,
    0xff74a9ef,
    0xff74a9ef,
    0xff71a7ec,
    0xff72a6ef,
    0xff72a6ef,
    0xff73a7f0,
    0xff72a5f1,
    0xff73a6f2,
    0xff73a7f2,
    0xff73a6f1,
    0xff72a6f2,
    0xff70a6f0,
    0xff72a8f2,
    0xff70a6f0,
    0xff70a9f3,
    0xff70a8f2,
    0xff71a9f1,
    0xff70a9f0,
    0xff70a8f1,
    0xff6fa3f0,
    0xff6ca1ed,
    0xff6fa4f3,
    0xff6ea4f2,
    0xff72a7f5,
    0xff6ea2f0,
    0xff6ca1f2,
    0xff6ba1f2,
    0xff6ba3f0,
    0xff67a0ed,
    0xff6aa3f0,
    0xff69a3f2,
    0xff6aa3f2,
    0xff69a2f2,
    0xff69a2f2,
    0xff6aa3f2,
    0xff65a1ef,
    0xff67a2f1,
    0xff66a1ef,
    0xff65a0ee,
    0xff65a0ee,
    0xff65a0ee,
    0xff65a0ee,
    0xff649fed,
    0xff66a1f2,
    0xff65a0f0,
    0xff649fef,
    0xff639eee,
    0xff639fee,
    0xff639fee,
    0xff649fee,
    0xff649fef,
    0xff619fee,
    0xff629eee,
    0xff629fee,
    0xff629ff0,
    0xff629ff0,
    0xff629ff0,
    0xff629ef0,
    0xff629ff0,
    0xff5d9cec,
    0xff61a0f0,
    0xff62a1f1,
    0xff61a0f0,
    0xff5e9ded,
    0xff5f9eed,
    0xff5d9cec,
    0xff5d9beb,
    0xff5c9ef0,
    0xff5b9cee,
    0xff5c9def,
    0xff5c9dee,
    0xff5c9df1,
    0xff5a9bef,
    0xff5798ec,
    0xff599aee,
    0xff5899eb,
    0xff5b9cee,
    0xff599aef,
    0xff5697eb,
    0xff5798ec,
    0xff5798ec,
    0xff5899ec,
    0xff5897ef,
    0xff5799ec,
    0xff5697eb,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5596ea,
    0xff5596ea,
    0xff5596ea,
    0xff5597eb,
    0xff5597eb,
    0xff5597eb,
    0xff5496ed,
    0xff5496ec,
    0xff5597ed,
    0xff5597ed,
    0xff5597ed,
    0xff5597ec,
    0xff5597ee,
    0xff5496ec,
    0xff5496ec,
    0xff5496ed,
    0xff5192ec,
    0xff5091eb,
    0xff5090eb,
    0xff5295ee,
    0xff5194ed,
    0xff5093ec,
    0xff4f92ed,
    0xff5194ef,
    0xff4d90eb,
    0xff4d90eb,
    0xff5194ef,
    0xff4c8eec,
    0xff4d8eec,
    0xff4a90ec,
    0xff4a8fec,
    0xff4c91ee,
    0xff4c91ed,
    0xff4b90ed,
    0xff468de9,
    0xff468be7,
    0xff488dea,
    0xff498eea,
    0xff478ce9,
    0xff488dec,
    0xff458ae9,
    0xff488dec,
    0xff488ceb,
    0xff488eed,
    0xff448ae9,
    0xff458bea,
    0xff458bea,
    0xff478dec,
    0xff448ae9,
    0xff448ae9,
    0xff458be9,
    0xff448aea,
    0xff4287e7,
    0xff4288e8,
    0xff3f88e7,
    0xff3f88e7,
    0xff418ae8,
    0xff3f8ae8,
    0xff3d88e7,
    0xff4186e9,
    0xff4285eb,
    0xff4084e9,
    0xff3d86ec,
    0xff3d86eb,
    0xff3c85ec,
    0xff3984ea,
    0xff3984e9,
    0xff3986ef,
    0xff3784ed,
    0xff3785ed,
    0xff3583eb,
    0xff3a83ec,
    0xff3882ea,
    0xff3882ee,
    0xff3a84f0,
    0xff3680e9,
    0xff3680e9,
    0xff3680e9,
    0xff3680e9,
    0xff3680e9,
    0xff3882eb,
    0xff3983ec,
    0xff357fe7,
    0xff3482e3,
    0xff3381e7,
    0xff3081ee,
    0xff3280ef,
    0xff327fec,
    0xff3480e8,
    0xff3281e7,
    0xff2d80e8,
    0xff3281e3,
    0xff3084e9,
    0xff3380f0,
    0xff3879f1,
    0xff387ce8,
    0xff2d80e3,
    0xff3085e9,
    0xff3178e3,
    0xff2e7ee4,
    0xff337de3,
    0xff3f80dd,
    0xff165375,
    0xff003135,
    0xff0c3d4c,
    0xff0d3b30,
    0xff204b31,
    0xff0a2c1a,
    0xff0a2b1d,
    0xff14352c,
    0xff11322c,
    0xff001d18,
    0xff062420,
    0xff0d2a29,
    0xff072223,
    0xff041933,
    0xff103975,
    0xff0d3c6b,
    0xff001c27,
    0xff0d1b1e,
    0xff061720,
    0xff001519,
    0xff041513,
    0xff0a1212,
    0xff101115,
    0xff383f42,
    0xff132123,
    0xff122525,
    0xff021e19,
    0xff0a2c1f,
    0xff0a281e,
    0xff012736,
    0xff082b3c,
    0xff021f2d,
    0xff00161d,
    0xff001916,
    0xff011a16,
    0xff05191b,
    0xff05151c,
    0xff511e21,
    0xff4f1e1f,
    0xff4c1e1e,
    0xff4a1c1c,
    0xff4b1d21,
    0xff51222e,
    0xff522738,
    0xff5a344a,
    0xff563e5f,
    0xff5b476f,
    0xff5d4d7d,
    0xff605594,
    0xff6963af,
    0xff6768ba,
    0xff7478ca,
    0xff7e85d4,
    0xff8e93e1,
    0xff7d85d6,
    0xff727fd5,
    0xff7588e2,
    0xff7891e9,
    0xff7797e9,
    0xff7a9be8,
    0xff80a2ec,
    0xff8aa1fb,
    0xff8ba5f2,
    0xff8ba7e1,
    0xff95b0e5,
    0xff9bb8f4,
    0xffaac2ff,
    0xffbec5ff,
    0xffbbaee4,
    0xff9272b2,
    0xffa797d4,
    0xffd0e1fb,
    0xfff3f3ff,
    0xffd0caee,
    0xffddd1f2,
    0xffc292a6,
    0xff7f425b,
    0xff5c2c41,
    0xff402837,
    0xff38293b,
    0xff402942,
    0xff4c3250,
    0xff75667b,
    0xffffffff,
    0xfffdfefb,
    0xfff3fbf1,
    0xfffffdf6,
    0xfffffff8,
    0xfff1fcf5,
    0xfff9fdfc,
    0xfff7fdfb,
    0xfffffefc,
    0xffffe6e5,
    0xffa04343,
    0xffb83d3e,
    0xffc13132,
    0xffb9282a,
    0xffab1b1f,
    0xffc0232d,
    0xffcf2c32,
    0xffcb2c2a,
    0xffc92f34,
    0xffb01e24,
    0xff9f181e,
    0xff971a21,
    0xff911c22,
    0xff932025,
    0xff931e21,
    0xff962021,
    0xff9e2a2a,
    0xff8f141a,
    0xff79000a,
    0xff740209,
    0xff740309,
    0xff79010b,
    0xff78000f,
    0xff780018,
    0xff74001c,
    0xff560023,
    0xff946ba0,
    0xffced9ff,
    0xfff1dcfd,
    0xff801532,
    0xffa9091f,
    0xffae0a19,
    0xffc61427,
    0xffbc1325,
    0xffc1152c,
    0xffbd0c27,
    0xffa5021a,
    0xffb7273a,
    0xfff57685,
    0xffde6874,
    0xff882f3a,
    0xff722730,
    0xff6d3239,
    0xff5e2b36,
    0xff541e2c,
    0xff5d313c,
    0xff705459,
    0xff443738,
    0xff372023,
    0xff48191d,
    0xff792027,
    0xff9b1722,
    0xff9f111b,
    0xff93222a,
    0xffdba1a2,
    0xffffffff,
    0xffeeecf6,
    0xffe9ddf6,
    0xffc7d1ef,
    0xffb5c7eb,
    0xffd6d1ed,
    0xffc78b9a,
    0xffbd4e55,
    0xffc2736a,
    0xffecc4f5,
    0xffb76da3,
    0xff690020,
    0xff780216,
    0xff6e0a18,
    0xff64051e,
    0xff7b0d22,
    0xff9d1b22,
    0xff911111,
    0xff9d1817,
    0xffab1923,
    0xffa30c26,
    0xff860017,
    0xff770212,
    0xff6c0015,
    0xff6a0125,
    0xff916192,
    0xffcbccfd,
    0xffb2c9f3,
    0xffdac9ea,
    0xffd78b9b,
    0xffb2423f,
    0xffc03d28,
    0xffc83318,
    0xffd23424,
    0xffc8331f,
    0xffc4361e,
    0xffc6311d,
    0xffdf3f32,
    0xffc01d10,
    0xffd63c29,
    0xffd8492d,
    0xffc64523,
    0xffd3482e,
    0xffcb463b,
    0xffbc4848,
    0xffb05666,
    0xffd7badd,
    0xffb1cdf6,
    0xffa1d0f1,
    0xffa4cdee,
    0xffaec9f1,
    0xffadc9ff,
    0xffcbaada,
    0xff892024,
    0xff931006,
    0xff960206,
    0xff990b06,
    0xffb4151a,
    0xffbb1119,
    0xffd01d28,
    0xffdc2c3a,
    0xffb0071b,
    0xff9d0017,
    0xff960015,
    0xff96031a,
    0xff88001d,
    0xff7f0218,
    0xff790214,
    0xff790211,
    0xff7e0015,
    0xff820012,
    0xff86010e,
    0xff85040a,
    0xff81020e,
    0xff850411,
    0xff840310,
    0xff81010e,
    0xff850310,
    0xff85020d,
    0xff8b030c,
    0xff890008,
    0xff850604,
    0xffa61a26,
    0xffaa2122,
    0xff9b1a06,
    0xffa5210e,
    0xff8e1900,
    0xff8a1a04,
    0xff9b171b,
    0xff921614,
    0xff8e1e12,
    0xff9d3a2c,
    0xffa44a41,
    0xffa74e48,
    0xffa94e44,
    0xffad4e41,
    0xffa13a30,
    0xffcb3d1f,
    0xffc34a34,
    0xffd28993,
    0xffc5c3f5,
    0xffa7c2eb,
    0xffa9c1f5,
    0xff9ecaf1,
    0xffa6c5f3,
    0xffa0c1f1,
    0xffa6c3f5,
    0xffa7c3f5,
    0xffa2c2f3,
    0xff9fc3f2,
    0xffa5c3f5,
    0xffaeb8f0,
    0xffb7aceb,
    0xff954d7a,
    0xff8e2437,
    0xff961128,
    0xff920932,
    0xff8e0526,
    0xff91051e,
    0xff92152c,
    0xff8a2630,
    0xff862b38,
    0xff5c2a43,
    0xff9a97cb,
    0xffacc4ff,
    0xffa0c5ec,
    0xff9dc5ec,
    0xffa0c4f6,
    0xffa2c3f1,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa0c2f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f2,
    0xff9ec3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff9abef3,
    0xff9ac0f0,
    0xff9ac0f1,
    0xff9ac0f0,
    0xff99bef3,
    0xff9bc0f4,
    0xff9abff3,
    0xff99bef2,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff9cc1f6,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff4,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff99bef3,
    0xff97bcf1,
    0xff97bcf1,
    0xff99bef3,
    0xff98bdf2,
    0xff99bef3,
    0xff96bbf0,
    0xff99bef3,
    0xff99bef3,
    0xff98bdf1,
    0xff99bef3,
    0xff99bef3,
    0xff98bdf2,
    0xff99bef2,
    0xff97bbf5,
    0xff94b8f2,
    0xff93b7f1,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff93b6f1,
    0xff94bbf4,
    0xff94bbf4,
    0xff92b9f2,
    0xff92b9f2,
    0xff8fb8f0,
    0xff8fb8f0,
    0xff8eb7ef,
    0xff8db6ee,
    0xff91b4f1,
    0xff90b7f2,
    0xff90b7f2,
    0xff8cb5f0,
    0xff8eb6f1,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb5f1,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff89b3ef,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff89b2f1,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff88b1f1,
    0xff8ab3f3,
    0xff89b1f1,
    0xff86b2f1,
    0xff86b2f1,
    0xff87b3f2,
    0xff85b1f0,
    0xff86b2f1,
    0xff85b1f0,
    0xff85b1f0,
    0xff86b3f1,
    0xff82b0f2,
    0xff83b3f3,
    0xff82b2f1,
    0xff82b1f4,
    0xff83b3f5,
    0xff80b0f2,
    0xff7faff1,
    0xff81b1f2,
    0xff7caef0,
    0xff7eaff2,
    0xff7cadf0,
    0xff7cadf0,
    0xff7fb0f5,
    0xff7daef3,
    0xff7aacf1,
    0xff7cadf2,
    0xff7bacf1,
    0xff7cadf2,
    0xff7cadf2,
    0xff7babf0,
    0xff79acf1,
    0xff7aacf1,
    0xff7aacf1,
    0xff78aaef,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f0,
    0xff78aaf1,
    0xff77a9f0,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf1,
    0xff74a9ef,
    0xff76abf1,
    0xff76abf1,
    0xff76abf0,
    0xff72a6ef,
    0xff73a7f0,
    0xff75a9f2,
    0xff75a9f1,
    0xff71a5f1,
    0xff73a7f2,
    0xff73a7f2,
    0xff72a6f1,
    0xff70a6f0,
    0xff72a8f2,
    0xff70a6f0,
    0xff73a8f2,
    0xff6fa7f2,
    0xff6ea7ee,
    0xff6da6ed,
    0xff6ca6ec,
    0xff6ea2ef,
    0xff6da2ee,
    0xff6fa4ef,
    0xff6ea3f2,
    0xff6ea3f1,
    0xff6ea3f1,
    0xff6ea3f0,
    0xff6da2f0,
    0xff6ca5f2,
    0xff6ba4f1,
    0xff6ca5f2,
    0xff69a2ef,
    0xff69a3f2,
    0xff69a3f2,
    0xff69a3f2,
    0xff6aa3f2,
    0xff65a0ef,
    0xff67a2f0,
    0xff67a2f0,
    0xff66a1ef,
    0xff65a0ee,
    0xff66a1ef,
    0xff66a1ef,
    0xff65a0ee,
    0xff66a1f2,
    0xff66a1f1,
    0xff649fef,
    0xff639eee,
    0xff649fef,
    0xff649fef,
    0xff639eee,
    0xff649fef,
    0xff619eef,
    0xff629fef,
    0xff629fef,
    0xff629fee,
    0xff629ff0,
    0xff629ff0,
    0xff629ff0,
    0xff629ef0,
    0xff609fef,
    0xff5f9eee,
    0xff5f9eee,
    0xff5f9eee,
    0xff609fef,
    0xff5f9eee,
    0xff5f9eee,
    0xff5f9eed,
    0xff5c9df0,
    0xff5d9ef0,
    0xff5c9def,
    0xff5b9cee,
    0xff5d9eef,
    0xff5c9df1,
    0xff5b9cf0,
    0xff5899ed,
    0xff599aec,
    0xff5a9bed,
    0xff5798ea,
    0xff5798ed,
    0xff599aee,
    0xff5899ed,
    0xff5899ec,
    0xff5696ee,
    0xff5798ec,
    0xff5798ec,
    0xff5697eb,
    0xff5798ec,
    0xff5798ec,
    0xff5697eb,
    0xff5697eb,
    0xff5798ec,
    0xff5395e9,
    0xff5496ea,
    0xff5597eb,
    0xff5597ea,
    0xff5597ed,
    0xff5597ed,
    0xff5597ed,
    0xff5597ed,
    0xff5597ec,
    0xff5597ee,
    0xff5395ec,
    0xff5395ec,
    0xff5497ed,
    0xff5192ed,
    0xff5293ed,
    0xff5192ec,
    0xff4f92eb,
    0xff4f92eb,
    0xff5093ec,
    0xff5093eb,
    0xff4f92ed,
    0xff4f92ed,
    0xff4f92ed,
    0xff4f92ed,
    0xff4d8fee,
    0xff4e90ee,
    0xff4e8fee,
    0xff4b91ee,
    0xff4b90ed,
    0xff4c91ee,
    0xff4c91ee,
    0xff478feb,
    0xff4a8fec,
    0xff4a8fec,
    0xff4b90ed,
    0xff488dea,
    0xff488dec,
    0xff458ae9,
    0xff488dec,
    0xff488dec,
    0xff468dec,
    0xff478dec,
    0xff478dec,
    0xff458bea,
    0xff478dec,
    0xff448ae9,
    0xff448ae9,
    0xff448ae9,
    0xff488eee,
    0xff458beb,
    0xff4489ea,
    0xff418ae9,
    0xff4089e8,
    0xff418ae9,
    0xff418ae9,
    0xff3f89e7,
    0xff4187ea,
    0xff4288e9,
    0xff3e85ea,
    0xff3e86e9,
    0xff3c85ec,
    0xff3c85ea,
    0xff3d89ef,
    0xff3a86ec,
    0xff3a85eb,
    0xff3a85ea,
    0xff3a84ee,
    0xff3a84ed,
    0xff3882eb,
    0xff3983ec,
    0xff3983ec,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff3680e9,
    0xff357fe8,
    0xff387fe7,
    0xff3680ec,
    0xff3280f1,
    0xff3081f2,
    0xff3281ee,
    0xff3381eb,
    0xff3580e9,
    0xff3280e8,
    0xff347ee9,
    0xff3080e6,
    0xff307ee7,
    0xff317ce9,
    0xff317fe1,
    0xff2c81dd,
    0xff337fe9,
    0xff367af3,
    0xff2c7ee4,
    0xff2e7fe5,
    0xff3680e2,
    0xff1f5f8c,
    0xff0e3e4e,
    0xff052639,
    0xff082c21,
    0xff103d26,
    0xff244638,
    0xff1d3f31,
    0xff193a2f,
    0xff173931,
    0xff062521,
    0xff0b292a,
    0xff052122,
    0xff031e1f,
    0xff001b1c,
    0xff1a4360,
    0xff06314b,
    0xff062b33,
    0xff092535,
    0xff001927,
    0xff00201b,
    0xff001a08,
    0xff00120f,
    0xff2b3437,
    0xff3b3a40,
    0xff2e3436,
    0xff425552,
    0xff012116,
    0xff0b271b,
    0xff172d23,
    0xff02272d,
    0xff092d36,
    0xff001e27,
    0xff001a1e,
    0xff001b18,
    0xff011c17,
    0xff031915,
    0xff001313,
    0xff4e1c1d,
    0xff4d1f1c,
    0xff4c201c,
    0xff4c1e1e,
    0xff51232b,
    0xff502739,
    0xff51304a,
    0xff5a4060,
    0xff5c4f7d,
    0xff645a8b,
    0xff635d95,
    0xff6361a5,
    0xff6566b5,
    0xff6b6fc1,
    0xff7b82d2,
    0xff8289d5,
    0xff97a2e3,
    0xff93a2e9,
    0xff7c8fde,
    0xff7a92e8,
    0xff7e96ea,
    0xff8197e4,
    0xff8d9ee2,
    0xff94a2df,
    0xffadb1e2,
    0xffcbc8f5,
    0xffc3c7ef,
    0xff95a1cd,
    0xffaaa1d7,
    0xffa06daa,
    0xff80376a,
    0xff5c113d,
    0xff69367d,
    0xffc6c4f7,
    0xffc2daed,
    0xffebf5ff,
    0xffffffff,
    0xffffecff,
    0xff974f5f,
    0xff8f3f54,
    0xff562c3f,
    0xff3d2636,
    0xff372a3b,
    0xff432b43,
    0xff4a2f4c,
    0xff87788e,
    0xffffffff,
    0xfffdfbfc,
    0xfff0f0f0,
    0xfffffbfb,
    0xfffdfbfa,
    0xfff8f8fa,
    0xfffff7ff,
    0xfffff8ff,
    0xfff6fcfb,
    0xfffffffd,
    0xfffff3ef,
    0xffbb6968,
    0xffbd3f3d,
    0xffc63a31,
    0xffcf4037,
    0xffcd3633,
    0xffcb2c29,
    0xffd0312b,
    0xffca3227,
    0xffcc362e,
    0xffbf2e29,
    0xffc13633,
    0xffbc3736,
    0xffa32222,
    0xff9d1c1c,
    0xff9b1c1c,
    0xff92241d,
    0xff9e2325,
    0xff760000,
    0xff720103,
    0xff770307,
    0xff7d010f,
    0xff730018,
    0xff550018,
    0xff874370,
    0xffae85c8,
    0xffbfc6ff,
    0xffaecfea,
    0xfff9f4ff,
    0xffe391b3,
    0xff8d001a,
    0xffb4111c,
    0xff9d0b14,
    0xffb11b20,
    0xffbf3734,
    0xffd87170,
    0xfffaacb3,
    0xfff5bac3,
    0xffba8c8c,
    0xff855650,
    0xff56252d,
    0xff4b2126,
    0xff3e1b21,
    0xff3f1d24,
    0xff401f27,
    0xff6b4853,
    0xff674853,
    0xff372128,
    0xff401b19,
    0xff681a20,
    0xff901e29,
    0xff96181c,
    0xff9d151a,
    0xffa01118,
    0xffb13639,
    0xffb8625e,
    0xfffff3f9,
    0xffececf9,
    0xffc5def1,
    0xffaacde1,
    0xffaecce7,
    0xffd7c7ed,
    0xffdb93bb,
    0xffd59ab0,
    0xffc8bcff,
    0xffa57cc5,
    0xff4f0038,
    0xff64031f,
    0xff6a0b17,
    0xff690b19,
    0xff70091c,
    0xff7c0c1d,
    0xff780a19,
    0xff6e050b,
    0xff77000f,
    0xff85001b,
    0xff86001c,
    0xff73000d,
    0xff720411,
    0xff75001c,
    0xff712550,
    0xffc2b6ea,
    0xffd1cdff,
    0xffd78ea8,
    0xffba302b,
    0xffd44429,
    0xffc03615,
    0xffcb3316,
    0xffca2d22,
    0xffc83022,
    0xffcf3925,
    0xffd33a28,
    0xffbc1d0c,
    0xffcb2f19,
    0xffeb5b3b,
    0xffda572e,
    0xffcc4e28,
    0xffd54626,
    0xffda5e3b,
    0xffd1582d,
    0xffcd4c3a,
    0xffe9a8c9,
    0xffb2c3f3,
    0xffafcfe7,
    0xffa4cdec,
    0xffa9cbf1,
    0xffb3c6ff,
    0xffe5b0e2,
    0xffa32a2e,
    0xff840100,
    0xff9f101c,
    0xffc83325,
    0xffc42d2d,
    0xffc42124,
    0xffcb1a1e,
    0xffc9181c,
    0xffcb282d,
    0xffb11925,
    0xff990217,
    0xff9e0521,
    0xff910224,
    0xff7c0319,
    0xff7b0114,
    0xff790012,
    0xff760214,
    0xff7f0114,
    0xff8b0011,
    0xff82020b,
    0xff7f000e,
    0xff820211,
    0xff820211,
    0xff800110,
    0xff85010e,
    0xff85010d,
    0xff87010a,
    0xff850005,
    0xff880004,
    0xff9e111b,
    0xffa62218,
    0xffb32f15,
    0xffdd5a3a,
    0xfff08a52,
    0xffbd6221,
    0xffb43f15,
    0xffa1230d,
    0xff8b1808,
    0xff932e21,
    0xff973d30,
    0xff9e473d,
    0xffa54a44,
    0xffa64841,
    0xffa84634,
    0xffc54117,
    0xffd35737,
    0xffc1666a,
    0xffcfbae8,
    0xffafc3e7,
    0xffa5c4f0,
    0xff9cccf0,
    0xffa4c3ef,
    0xffa3c4f2,
    0xffa5c1f4,
    0xffa5c1f4,
    0xffa3c4f4,
    0xffa0c5f5,
    0xffa4c4f4,
    0xffadbcf3,
    0xffb1afeb,
    0xffa777b8,
    0xff892c48,
    0xff9c1f36,
    0xff8a0932,
    0xff8b0631,
    0xff8e011e,
    0xff921128,
    0xff8b2635,
    0xff8a2c37,
    0xff6b2839,
    0xff85709f,
    0xffadc1ff,
    0xff9bc8f3,
    0xff9dc7eb,
    0xffa0c2f1,
    0xffa0c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xff9ec3f5,
    0xff9fc3f5,
    0xff9dc1f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc0f2,
    0xff9dc2f6,
    0xff9abff3,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff9abff3,
    0xff99bef3,
    0xff99bfef,
    0xff99bff0,
    0xff99bff0,
    0xff99bef2,
    0xff99bef2,
    0xff98bdf1,
    0xff9abff2,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff5,
    0xff9bc0f5,
    0xff9bc0f3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff99bef3,
    0xff99bef3,
    0xff97bcf1,
    0xff99bef3,
    0xff99bef3,
    0xff97bcf1,
    0xff97bcf1,
    0xff97bcf1,
    0xff97bcf1,
    0xff9abff4,
    0xff96bbf4,
    0xff95b9f3,
    0xff94b8f3,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b8f2,
    0xff93bbf4,
    0xff94bbf4,
    0xff91b8f1,
    0xff92b8f2,
    0xff90baf2,
    0xff90b9f1,
    0xff8eb7ef,
    0xff8db7ef,
    0xff90b7f0,
    0xff91b8f0,
    0xff90b7f3,
    0xff8cb4ef,
    0xff8db5f0,
    0xff8eb6f1,
    0xff8eb8f4,
    0xff8cb6f2,
    0xff8bb5f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8ab2f1,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff89b1f1,
    0xff84b0ef,
    0xff84b0ef,
    0xff85b1f0,
    0xff86b2f1,
    0xff86b2f1,
    0xff87b3f2,
    0xff87b3f2,
    0xff85b2f1,
    0xff81aff0,
    0xff81b2f2,
    0xff80b0f0,
    0xff80b2f0,
    0xff81b2f4,
    0xff7eaff1,
    0xff7eaff1,
    0xff7eaff1,
    0xff7cadef,
    0xff7faff0,
    0xff7fadf2,
    0xff80b1f4,
    0xff7bacef,
    0xff7bacef,
    0xff79aaf0,
    0xff7daef3,
    0xff7badf2,
    0xff7aabf0,
    0xff7bacf1,
    0xff7cadf2,
    0xff7aadf2,
    0xff79abf0,
    0xff7aacf1,
    0xff78aaef,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf1,
    0xff77a9f0,
    0xff78a9f0,
    0xff75aaf0,
    0xff74a9ef,
    0xff75aaf0,
    0xff76abf1,
    0xff73a6f0,
    0xff73a7f0,
    0xff75a9f2,
    0xff73a7f0,
    0xff74a8f4,
    0xff72a6f1,
    0xff73a7f2,
    0xff70a4ef,
    0xff71a7f1,
    0xff72a8f2,
    0xff70a6f0,
    0xff72a8f2,
    0xff6fa7f2,
    0xff70a9f0,
    0xff6ea7ee,
    0xff6ea7ee,
    0xff71a6f2,
    0xff6fa4f0,
    0xff6ea3f0,
    0xff6ca1ed,
    0xff6ca1ed,
    0xff6da2f0,
    0xff6ea3f2,
    0xff6ea2f1,
    0xff6ca4f1,
    0xff6da5f2,
    0xff6da5f2,
    0xff6aa2ef,
    0xff6ba1f2,
    0xff6ba1f2,
    0xff6ba1f2,
    0xff6ba2f2,
    0xff679fef,
    0xff65a1ef,
    0xff66a1ef,
    0xff66a1ef,
    0xff67a2f0,
    0xff67a2f0,
    0xff66a1ef,
    0xff66a1ef,
    0xff649fef,
    0xff649fef,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0f0,
    0xff639eef,
    0xff649fef,
    0xff619fef,
    0xff629fef,
    0xff629fef,
    0xff629fee,
    0xff629ff0,
    0xff629ff0,
    0xff629ff0,
    0xff629eef,
    0xff61a1f1,
    0xff5f9fee,
    0xff5e9ded,
    0xff609fef,
    0xff5f9fef,
    0xff609fef,
    0xff5f9fef,
    0xff609fef,
    0xff5d9eee,
    0xff5c9df0,
    0xff5d9ef0,
    0xff5d9ef0,
    0xff5d9eef,
    0xff5e9ff4,
    0xff5d9ef2,
    0xff5a9bef,
    0xff5b9cee,
    0xff5a9bed,
    0xff5798ea,
    0xff599aee,
    0xff5a9bef,
    0xff599aee,
    0xff5798ec,
    0xff5797ee,
    0xff5899ec,
    0xff5697eb,
    0xff5697eb,
    0xff5798ec,
    0xff5697eb,
    0xff5596ea,
    0xff5596ea,
    0xff5798ec,
    0xff5597eb,
    0xff5496ea,
    0xff5395e9,
    0xff5395e9,
    0xff5395ec,
    0xff5395eb,
    0xff5395eb,
    0xff5395eb,
    0xff5597ed,
    0xff5597ee,
    0xff5395ec,
    0xff5395ec,
    0xff5497ed,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff4e91ea,
    0xff4f92eb,
    0xff4f92eb,
    0xff5093ec,
    0xff4e91ed,
    0xff4f92ed,
    0xff4f92ed,
    0xff4e92ec,
    0xff4f90ef,
    0xff4f91ef,
    0xff4f90ef,
    0xff4c92ef,
    0xff4c91ee,
    0xff4b90ee,
    0xff4c91ee,
    0xff4b90ed,
    0xff498eeb,
    0xff4b90ed,
    0xff4b90ed,
    0xff498eea,
    0xff478ceb,
    0xff468bea,
    0xff488dec,
    0xff488dec,
    0xff458bea,
    0xff478dec,
    0xff488eed,
    0xff458bea,
    0xff468ceb,
    0xff448ae9,
    0xff468ceb,
    0xff468ceb,
    0xff448aea,
    0xff4288e8,
    0xff458beb,
    0xff458aea,
    0xff3f89e8,
    0xff4089e8,
    0xff3f89e8,
    0xff4089e7,
    0xff3f89ea,
    0xff3e88e9,
    0xff3c86ea,
    0xff3b85e8,
    0xff3e87ee,
    0xff3c85eb,
    0xff3f88ee,
    0xff3b84eb,
    0xff3982ea,
    0xff3a83ea,
    0xff3a83ea,
    0xff3982e9,
    0xff3a83ed,
    0xff3b84ed,
    0xff3b84ed,
    0xff3880e9,
    0xff3983ec,
    0xff3983ec,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff3680e9,
    0xff3782eb,
    0xff387dee,
    0xff387eea,
    0xff387ee5,
    0xff397de0,
    0xff3c7fe2,
    0xff3980e4,
    0xff3780e7,
    0xff357eeb,
    0xff327ee2,
    0xff3680e0,
    0xff3681e5,
    0xff2c7ce9,
    0xff2f83e8,
    0xff2f7ed3,
    0xff357dd5,
    0xff347ce9,
    0xff307fe1,
    0xff1f77d2,
    0xff3286e1,
    0xff276aac,
    0xff103b66,
    0xff14314c,
    0xff082c24,
    0xff1c4a33,
    0xff143728,
    0xff052716,
    0xff234334,
    0xff06261c,
    0xff001a16,
    0xff031f22,
    0xff0e2c2f,
    0xff133232,
    0xff00170e,
    0xff13252a,
    0xff15282b,
    0xff041f22,
    0xff1d3b4f,
    0xff011c2c,
    0xff102b24,
    0xff012316,
    0xff002016,
    0xff0a1e19,
    0xff343235,
    0xff1a1a1a,
    0xff021a13,
    0xff01241b,
    0xff13322b,
    0xff132a27,
    0xff04211e,
    0xff011f1f,
    0xff031f22,
    0xff00191b,
    0xff011c17,
    0xff00180e,
    0xff00150c,
    0xff00130c,
    0xff521f1e,
    0xff4f1e1b,
    0xff4d201c,
    0xff502223,
    0xff51262f,
    0xff552f48,
    0xff5f4668,
    0xff61507b,
    0xff645690,
    0xff6c5e9c,
    0xff6960a4,
    0xff6762b0,
    0xff6b6ac0,
    0xff6e71ca,
    0xff7479d0,
    0xff8288da,
    0xff8c96dc,
    0xff8e9ae5,
    0xff8396e5,
    0xff7d91e2,
    0xff8799e4,
    0xff8d96d6,
    0xff9f9ecf,
    0xffe6e1ff,
    0xffffffff,
    0xfffffffc,
    0xffffffff,
    0xffe1c1d8,
    0xff490328,
    0xff640022,
    0xff710320,
    0xff5d001a,
    0xff7c4a89,
    0xffc5cff3,
    0xffd2e8f3,
    0xffe2e5ec,
    0xfff5f9fd,
    0xffb5989f,
    0xff833447,
    0xff833748,
    0xff542f43,
    0xff3c2a38,
    0xff3a2e3c,
    0xff462e46,
    0xff452d48,
    0xff897e92,
    0xfff0edfa,
    0xffffffff,
    0xffdad6e2,
    0xff9a8e9c,
    0xfffffaff,
    0xfffffcff,
    0xfffff4fe,
    0xfffffbff,
    0xfff9fcf6,
    0xfffbfcf4,
    0xfffcffff,
    0xffffeff0,
    0xffd55b57,
    0xffcb3b2f,
    0xffd64636,
    0xffcf3b2f,
    0xffc82d26,
    0xffcc3127,
    0xffca3025,
    0xffd0372c,
    0xffd0372e,
    0xffd43d36,
    0xffd13e37,
    0xffcf4039,
    0xffc93f37,
    0xffbc352c,
    0xff982812,
    0xffc05046,
    0xffcf6766,
    0xff872b30,
    0xff68020e,
    0xff660013,
    0xff671637,
    0xff9a7897,
    0xffcad1ed,
    0xffcbd6ff,
    0xffb7c6fd,
    0xffb4cde4,
    0xffdbebf7,
    0xffffefff,
    0xffa05676,
    0xffc1576c,
    0xffe696a3,
    0xffffa9ba,
    0xfffcabb3,
    0xffb68b8f,
    0xff76505e,
    0xff492034,
    0xff3d1422,
    0xff420b16,
    0xff510f14,
    0xff4c0910,
    0xff49060e,
    0xff4e101a,
    0xff6a3642,
    0xff774b57,
    0xff512b38,
    0xff411c29,
    0xff4b1a1a,
    0xff741a20,
    0xff8e1820,
    0xff8b1718,
    0xff931c1c,
    0xffa61a1a,
    0xffc1312d,
    0xffaf3025,
    0xffab4f4d,
    0xffffffff,
    0xfff2ffff,
    0xffd5e2f1,
    0xffc7d4ee,
    0xffc0c9f4,
    0xffcac5f2,
    0xffbdc7e1,
    0xffb6c5ef,
    0xffb8bdf1,
    0xffa397cc,
    0xff754b7b,
    0xff570e36,
    0xff5e001f,
    0xff70051f,
    0xff73061a,
    0xff7a071c,
    0xff790c1c,
    0xff730317,
    0xff7b0321,
    0xff78011a,
    0xff72030d,
    0xff76050e,
    0xff770017,
    0xff700532,
    0xffc38ac4,
    0xfff0baed,
    0xffad384a,
    0xffd1281c,
    0xffd12819,
    0xffcb2f23,
    0xffce2d20,
    0xffcf3728,
    0xffd03926,
    0xffda422d,
    0xffd93c29,
    0xffbf210e,
    0xffd33d23,
    0xffd34e27,
    0xffd75c2c,
    0xffdc502d,
    0xffd23f1a,
    0xffd86430,
    0xffd96f2a,
    0xffd25a20,
    0xffc97579,
    0xffd3c8f3,
    0xffb3c4e6,
    0xffb0c8f2,
    0xffabcbf0,
    0xffb9c7ff,
    0xffe4acdd,
    0xff982838,
    0xff94203b,
    0xffd05274,
    0xffc82e29,
    0xffcb2d2f,
    0xffca2a2b,
    0xffbf1e1c,
    0xffc1211d,
    0xffca2c2b,
    0xffc72533,
    0xffa80021,
    0xffac002d,
    0xff990125,
    0xff84001c,
    0xff7e0018,
    0xff760015,
    0xff6e0219,
    0xff73001a,
    0xff7b001a,
    0xff7a0217,
    0xff820112,
    0xff880517,
    0xff870416,
    0xff870414,
    0xff870310,
    0xff84000c,
    0xff860108,
    0xff850005,
    0xff880000,
    0xff990c08,
    0xffad2d18,
    0xffe16441,
    0xffb2350a,
    0xfffb9945,
    0xffffb943,
    0xffffbf55,
    0xffd55c28,
    0xff901400,
    0xff9d2619,
    0xffab4333,
    0xff903526,
    0xff983a38,
    0xffa2393b,
    0xffbe4d45,
    0xffab3f37,
    0xffc14b3f,
    0xffce6d72,
    0xffdebfe7,
    0xffb2c0e5,
    0xffa6c5f9,
    0xff9eccf7,
    0xffafc5f2,
    0xffa4c4f2,
    0xffa4c4f2,
    0xffa3c3f2,
    0xffa2c3f1,
    0xffa1c8f4,
    0xffa4c6f6,
    0xffaac2f6,
    0xffadbaf3,
    0xffb29ae6,
    0xff833862,
    0xffbf4a66,
    0xff991b49,
    0xff8b053a,
    0xff960229,
    0xff99112d,
    0xff8a1f35,
    0xff932d39,
    0xff762532,
    0xff916d99,
    0xffb4c5ff,
    0xff99c5f4,
    0xffa2c8eb,
    0xffa4c3f0,
    0xff9ec3f0,
    0xffa2c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa0c2f0,
    0xff9fc1ef,
    0xff9fc1ef,
    0xff9fc1ef,
    0xff9fc1ef,
    0xffa1c3f0,
    0xffa1c3f0,
    0xffa1c3f0,
    0xffa1c3f0,
    0xff9ec2f3,
    0xff9ec3f3,
    0xff9dc1f1,
    0xff9cc0f0,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9cc0f2,
    0xff9ec2f3,
    0xff9fc2f7,
    0xff9cc0f4,
    0xff9ec1f6,
    0xff9ec2f6,
    0xff9cc0f4,
    0xff9cbff4,
    0xff9cbff4,
    0xff9cbff4,
    0xff9ac1f1,
    0xff9ac1f2,
    0xff9ac1f1,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff99bef2,
    0xff9abff5,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff9bc0f3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff9abff4,
    0xff9bc0f5,
    0xff99bef3,
    0xff98bdf2,
    0xff99bef3,
    0xff97bcf1,
    0xff99bef3,
    0xff99bef3,
    0xff97bcf1,
    0xff98bdf2,
    0xff98bdf2,
    0xff96bbf0,
    0xff96bbf0,
    0xff9abff6,
    0xff97bcf3,
    0xff95baf0,
    0xff92b6f1,
    0xff93b7f1,
    0xff93b7f1,
    0xff95b9f3,
    0xff94b8f2,
    0xff96b9f4,
    0xff93bbf4,
    0xff92b9f2,
    0xff91b8f1,
    0xff92b8f2,
    0xff91baf2,
    0xff8eb8f0,
    0xff92bbf3,
    0xff92b9f2,
    0xff92b9f2,
    0xff91b8f0,
    0xff8fb6f1,
    0xff8eb6f1,
    0xff8db5f0,
    0xff8fb6f1,
    0xff8fb6f1,
    0xff8bb5ef,
    0xff8bb5ef,
    0xff8bb5ef,
    0xff8bb6f2,
    0xff8bb6f1,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8db7f3,
    0xff89b3ef,
    0xff89b3ef,
    0xff8ab4f0,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff88b1f1,
    0xff8bb4f4,
    0xff8ab2f2,
    0xff87b3f2,
    0xff86b2f1,
    0xff87b3f2,
    0xff84b1f0,
    0xff84b0ef,
    0xff85b2f0,
    0xff85b2f1,
    0xff84b1ef,
    0xff82b0f2,
    0xff82b2f2,
    0xff80b3f1,
    0xff81b3f2,
    0xff81b3f1,
    0xff80b1f3,
    0xff80b1f3,
    0xff7fb0f2,
    0xff80adf0,
    0xff82aef1,
    0xff7eaff0,
    0xff81b1f3,
    0xff7eacf1,
    0xff7caef1,
    0xff7cadf0,
    0xff7cadef,
    0xff7dabf2,
    0xff7aabf0,
    0xff7cadf2,
    0xff7cadf2,
    0xff7daef3,
    0xff7aadf2,
    0xff79abf0,
    0xff78aaef,
    0xff78aaef,
    0xff78aaef,
    0xff79abef,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f0,
    0xff77a9f0,
    0xff78aaf1,
    0xff7aabf2,
    0xff77acf2,
    0xff76abf1,
    0xff75aaf0,
    0xff76abf1,
    0xff75abf0,
    0xff74a8f1,
    0xff75a9f3,
    0xff73a7f0,
    0xff72a6ee,
    0xff70a4f0,
    0xff74a8f3,
    0xff72a6f1,
    0xff73a6f2,
    0xff71a8f2,
    0xff70a6f0,
    0xff72a8f2,
    0xff71a7f1,
    0xff6ea8ef,
    0xff70a9f0,
    0xff70a9f0,
    0xff72a7f1,
    0xff6fa4ee,
    0xff70a6f0,
    0xff71a5f2,
    0xff6da2ee,
    0xff6ca1ed,
    0xff6ea3ef,
    0xff6ea3ef,
    0xff69a1ec,
    0xff6ba3f0,
    0xff6aa2ef,
    0xff6aa3ef,
    0xff6aa3ef,
    0xff6aa1f2,
    0xff6aa2f2,
    0xff6ba2f2,
    0xff68a1f1,
    0xff69a2f1,
    0xff68a1f0,
    0xff6aa3f2,
    0xff66a2f0,
    0xff67a2f0,
    0xff66a1ef,
    0xff67a2f0,
    0xff66a1ef,
    0xff66a1ef,
    0xff67a2f0,
    0xff67a2f0,
    0xff66a1ef,
    0xff66a1ef,
    0xff649fed,
    0xff639eeb,
    0xff619eef,
    0xff619eee,
    0xff619fef,
    0xff619fee,
    0xff619ff0,
    0xff619ff0,
    0xff619ff0,
    0xff619ff0,
    0xff619eef,
    0xff619dee,
    0xff619def,
    0xff619def,
    0xff609dee,
    0xff609dee,
    0xff619def,
    0xff619eef,
    0xff5e9fef,
    0xff5d9fef,
    0xff5c9ded,
    0xff5d9ef0,
    0xff5b9cee,
    0xff5d9def,
    0xff5d9def,
    0xff5a9cf1,
    0xff5e9ff0,
    0xff5d9ef0,
    0xff599aec,
    0xff5798ec,
    0xff599aee,
    0xff599aee,
    0xff599aed,
    0xff5898ef,
    0xff5899ed,
    0xff5899ed,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5396ea,
    0xff5497eb,
    0xff5496ea,
    0xff5597eb,
    0xff5496ec,
    0xff5496ec,
    0xff5496ec,
    0xff5496ec,
    0xff5597ec,
    0xff5597ee,
    0xff5395ec,
    0xff5395ec,
    0xff5496ec,
    0xff5192ec,
    0xff5293ed,
    0xff5292ed,
    0xff5093ec,
    0xff5194ed,
    0xff5093ec,
    0xff5093ec,
    0xff4e91ed,
    0xff4e92ed,
    0xff4e92ed,
    0xff4e92ed,
    0xff4e92ec,
    0xff4e92ec,
    0xff4f92ec,
    0xff4f91ec,
    0xff4e93ee,
    0xff4b90eb,
    0xff4c91eb,
    0xff4a8fea,
    0xff4c91ee,
    0xff4b90ed,
    0xff4b90ed,
    0xff488de9,
    0xff468beb,
    0xff468bea,
    0xff488dec,
    0xff488dec,
    0xff458ceb,
    0xff458bea,
    0xff478dec,
    0xff458bea,
    0xff458ceb,
    0xff458bea,
    0xff468ceb,
    0xff468ceb,
    0xff458beb,
    0xff4389e9,
    0xff458beb,
    0xff4389e9,
    0xff458aea,
    0xff4489ea,
    0xff458aea,
    0xff458bec,
    0xff418dea,
    0xff418dee,
    0xff3c89e9,
    0xff3d87e8,
    0xff3c86e9,
    0xff3c85eb,
    0xff3e85ec,
    0xff3f87ed,
    0xff3e86ec,
    0xff3d85eb,
    0xff3e86eb,
    0xff3b82eb,
    0xff3c82ea,
    0xff3b84ed,
    0xff3982eb,
    0xff3780e9,
    0xff3781ea,
    0xff3781ea,
    0xff3781ea,
    0xff3680e9,
    0xff3680e9,
    0xff3882eb,
    0xff3882eb,
    0xff3882eb,
    0xff3780ed,
    0xff3680ea,
    0xff3382e8,
    0xff2f82eb,
    0xff2c83ee,
    0xff3082ef,
    0xff3480ee,
    0xff357deb,
    0xff3588e5,
    0xff3880da,
    0xff377dcf,
    0xff2677c6,
    0xff2775c2,
    0xff1a5c98,
    0xff276ca8,
    0xff3a89de,
    0xff4083e2,
    0xff0451a9,
    0xff3081dc,
    0xff3782e0,
    0xff336ac7,
    0xff0d3779,
    0xff20475c,
    0xff1d463f,
    0xff062b1f,
    0xff0c2e1d,
    0xff21422d,
    0xff143422,
    0xff001c13,
    0xff062422,
    0xff042221,
    0xff032120,
    0xff001e17,
    0xff49494b,
    0xff5f5853,
    0xff1f322d,
    0xff022127,
    0xff031a1a,
    0xff051713,
    0xff021c27,
    0xff08201a,
    0xff081811,
    0xff241e1e,
    0xff3f3636,
    0xff1f2922,
    0xff04140d,
    0xff202b28,
    0xff061110,
    0xff06180d,
    0xff031712,
    0xff001613,
    0xff001514,
    0xff00130e,
    0xff01130b,
    0xff001407,
    0xff001508,
    0xff501e1d,
    0xff4e1d1e,
    0xff502324,
    0xff4a1f27,
    0xff52293d,
    0xff634262,
    0xff69527e,
    0xff706293,
    0xff7466a6,
    0xff776bad,
    0xff716bb0,
    0xff6f71bf,
    0xff6b70c8,
    0xff717ad6,
    0xff7c86df,
    0xff848ce3,
    0xff9293e7,
    0xff9397ec,
    0xff8b99e7,
    0xff8b9ee4,
    0xff8b9fd4,
    0xffc5d2f1,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffefa,
    0xffe6c6c9,
    0xff8e4761,
    0xff63041f,
    0xff670b15,
    0xff661218,
    0xff520118,
    0xffa673a5,
    0xffd7daf1,
    0xffedeffd,
    0xfffdf2fb,
    0xfff3f2f2,
    0xfff2dfe8,
    0xffc595a7,
    0xff512a3a,
    0xff331929,
    0xff2e202c,
    0xff3a2f3c,
    0xff4c344b,
    0xff46314c,
    0xffb2a9c0,
    0xfff1effc,
    0xfffefbff,
    0xffd4d9e3,
    0xffd7d5d9,
    0xffffffff,
    0xfff8ffff,
    0xfff6ffff,
    0xffebfaf7,
    0xfff0fffb,
    0xfff2f5f1,
    0xfffffbff,
    0xffe49fa6,
    0xffc03e3e,
    0xffcf3a2f,
    0xffd13e2e,
    0xffd03e31,
    0xffd13a31,
    0xffc83028,
    0xffc72e29,
    0xffcc312c,
    0xffce322b,
    0xffce322a,
    0xffcc3229,
    0xffd13b31,
    0xffd24135,
    0xffd6493a,
    0xffd7573a,
    0xffc76655,
    0xffffcecb,
    0xffffe3ee,
    0xff54162d,
    0xff874264,
    0xffd6b3d6,
    0xffc7d6f4,
    0xffbccef4,
    0xffbbcff7,
    0xffbccff2,
    0xffc0cfe7,
    0xffc6d4e4,
    0xffeaf4ff,
    0xffffffff,
    0xffffecff,
    0xffb3b0b3,
    0xff6c4d59,
    0xff42212f,
    0xff381f27,
    0xff47101b,
    0xff5c0816,
    0xff690814,
    0xff841422,
    0xffac292c,
    0xffa8212a,
    0xff860415,
    0xff8c2333,
    0xff944f59,
    0xff613941,
    0xff371b21,
    0xff3b1f25,
    0xff5e2022,
    0xff7c1e24,
    0xff8b1019,
    0xff940f17,
    0xff9a181e,
    0xffa31e1e,
    0xffa62118,
    0xffcb4534,
    0xffb73820,
    0xffe0afa0,
    0xffffffff,
    0xfffff8ff,
    0xffdddbe7,
    0xffdbe6fd,
    0xffc5defe,
    0xffadcdec,
    0xffaecff0,
    0xffb2cdf0,
    0xffbecff8,
    0xffcac7ff,
    0xffcbb1f5,
    0xffaa69a3,
    0xff6d0527,
    0xff80000d,
    0xff91041b,
    0xff9c1426,
    0xff8d1428,
    0xff710d23,
    0xff6a071a,
    0xff6f030c,
    0xff77020d,
    0xff79021b,
    0xff780021,
    0xff9a2d5d,
    0xffd8688b,
    0xffbd3230,
    0xffcc2516,
    0xffcf2321,
    0xffcf262d,
    0xffca2320,
    0xffc9341d,
    0xffdb442b,
    0xffdb3f28,
    0xffd43821,
    0xffc02613,
    0xffdc4a31,
    0xffd5532e,
    0xffcd5528,
    0xffde5e35,
    0xffdb5223,
    0xffde602e,
    0xffd96927,
    0xffc6570d,
    0xffbb5538,
    0xffdeb4ce,
    0xffaec8f4,
    0xffb8c6fd,
    0xffa6c9ee,
    0xffb0cbf5,
    0xffd7bfe9,
    0xff9a587b,
    0xffbf7cb3,
    0xfffaaadf,
    0xffaf2935,
    0xffc4272c,
    0xffb42124,
    0xffb42b28,
    0xffb52a23,
    0xffb31d1d,
    0xffaf1325,
    0xffa40c35,
    0xffce3e73,
    0xffa21a4a,
    0xff8e0431,
    0xff77001f,
    0xff6e041c,
    0xff70021d,
    0xff6d011c,
    0xff71041a,
    0xff7d0419,
    0xff850117,
    0xff890319,
    0xff880315,
    0xff8a0518,
    0xff880412,
    0xff84000d,
    0xff830109,
    0xff830005,
    0xff870401,
    0xff920300,
    0xffe16537,
    0xfff38851,
    0xffd05e27,
    0xffd46a13,
    0xfff59f29,
    0xffffad41,
    0xffa43100,
    0xff8d0600,
    0xff9a0c08,
    0xffa22219,
    0xffa8402e,
    0xff922e25,
    0xffa02825,
    0xffcc413c,
    0xffb23c41,
    0xffbe4f4d,
    0xffd17e86,
    0xffcbbce3,
    0xffb1c6ed,
    0xffa8c3fc,
    0xff9dcaf8,
    0xffabc4f5,
    0xffa8c6f4,
    0xffa6c5f2,
    0xffa3c3f2,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa2c1f3,
    0xffa8c5f6,
    0xffa9c1f6,
    0xffaca8f7,
    0xffa46aa2,
    0xff881e47,
    0xff890e43,
    0xff900947,
    0xff980434,
    0xff8f0322,
    0xff8d1134,
    0xff8b1930,
    0xff7e2639,
    0xff7a517e,
    0xffb0bdff,
    0xffa0c7fa,
    0xffa3c5ec,
    0xffa6c1f0,
    0xffa3c4f3,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa2c3f1,
    0xffa2c3f1,
    0xffa1c3f3,
    0xffa0c1f1,
    0xffa1c3f2,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f3,
    0xff9dc1f2,
    0xff9bbff1,
    0xff9bbff1,
    0xff9cc0f2,
    0xff9dc1f2,
    0xff9dc1f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9bbff4,
    0xff9dc1f5,
    0xff9dc1f5,
    0xff9cc0f4,
    0xff99bbf2,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff98bdf2,
    0xff96bbf0,
    0xff95baef,
    0xff9abff4,
    0xff99bef5,
    0xff97bcf3,
    0xff93b8ef,
    0xff93b7f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b8f2,
    0xff96baf4,
    0xff93b7f1,
    0xff92b6f0,
    0xff93baf3,
    0xff90b7f0,
    0xff92b9f2,
    0xff92b8f2,
    0xff90baf1,
    0xff92b8f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff91b8f0,
    0xff90b7f2,
    0xff8fb7f2,
    0xff90b8f3,
    0xff8db5f0,
    0xff8eb6f1,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8db5f2,
    0xff8db4f1,
    0xff8db5f2,
    0xff8db4f1,
    0xff8db4f3,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8bb4f3,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab2f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff88b1f1,
    0xff88b1f1,
    0xff88b0f0,
    0xff87b2f1,
    0xff83b3f0,
    0xff82b3f0,
    0xff83b3f3,
    0xff80b0f0,
    0xff80b3f2,
    0xff82b4f2,
    0xff82b3f6,
    0xff80b0f3,
    0xff85b0f1,
    0xff83b1f1,
    0xff82aff2,
    0xff7facef,
    0xff7eaef0,
    0xff7faff1,
    0xff7fb0f3,
    0xff7caef1,
    0xff7faef4,
    0xff7faef4,
    0xff7cabf1,
    0xff7caef3,
    0xff7cadf2,
    0xff7cacf2,
    0xff7dadf3,
    0xff7badf2,
    0xff7aadee,
    0xff7aacf1,
    0xff78aaf0,
    0xff79abef,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79aaf2,
    0xff75aaf0,
    0xff75aaf0,
    0xff76abf1,
    0xff76abf1,
    0xff76abf1,
    0xff74a9ef,
    0xff76abf0,
    0xff76aaf4,
    0xff73a7f0,
    0xff73a7f0,
    0xff74a8f0,
    0xff73a7f2,
    0xff73a7f2,
    0xff73a6f2,
    0xff73a7f2,
    0xff70a6f0,
    0xff72a8f3,
    0xff72a8f0,
    0xff6fa5ed,
    0xff6ca5ec,
    0xff6fa7f2,
    0xff70a8f2,
    0xff70a8f2,
    0xff6ea7f0,
    0xff6ea7f0,
    0xff6ca4ef,
    0xff69a2ed,
    0xff6aa3ee,
    0xff6fa3f0,
    0xff6fa3ef,
    0xff6fa3ef,
    0xff6da2f0,
    0xff6fa4f2,
    0xff6da1ef,
    0xff6ca0ee,
    0xff6ba0f1,
    0xff69a0f1,
    0xff6ba1f1,
    0xff69a2f1,
    0xff6aa3f2,
    0xff6aa2f1,
    0xff66a1ef,
    0xff67a2f0,
    0xff66a1ef,
    0xff66a1ef,
    0xff67a2f0,
    0xff67a2f0,
    0xff67a2f0,
    0xff65a0ee,
    0xff66a1ef,
    0xff66a1ef,
    0xff65a0ed,
    0xff66a0f1,
    0xff65a0f0,
    0xff649eee,
    0xff649fee,
    0xff649df0,
    0xff649df0,
    0xff649df0,
    0xff649def,
    0xff62a0f0,
    0xff609dee,
    0xff619eef,
    0xff609dee,
    0xff619eef,
    0xff619eef,
    0xff619eef,
    0xff619def,
    0xff609fef,
    0xff609fef,
    0xff5d9fef,
    0xff5e9fee,
    0xff5e9ff1,
    0xff5ca0f1,
    0xff5da0f1,
    0xff5b9fef,
    0xff5d9ef0,
    0xff5c9def,
    0xff5b9cee,
    0xff5a9bef,
    0xff5899ed,
    0xff5798ec,
    0xff589aed,
    0xff5c9bf3,
    0xff5698eb,
    0xff5899ed,
    0xff5899ed,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5697eb,
    0xff5798ec,
    0xff5697eb,
    0xff5798ec,
    0xff5898ec,
    0xff5798eb,
    0xff5696ed,
    0xff5696ed,
    0xff5696ed,
    0xff5595ec,
    0xff5497ec,
    0xff5496ed,
    0xff5597ee,
    0xff5698ef,
    0xff5597ee,
    0xff5293ed,
    0xff5192ec,
    0xff5293ed,
    0xff5091eb,
    0xff5293ed,
    0xff5293ed,
    0xff5191eb,
    0xff5090ed,
    0xff5090ed,
    0xff5090ed,
    0xff4f8fec,
    0xff5292ef,
    0xff5093ee,
    0xff4e92ec,
    0xff4e91ec,
    0xff4f91ec,
    0xff4c92ed,
    0xff4b90eb,
    0xff4c91eb,
    0xff4c91ee,
    0xff4c91ee,
    0xff4b90ed,
    0xff498eeb,
    0xff468bea,
    0xff488dec,
    0xff488dec,
    0xff488dec,
    0xff4489e8,
    0xff468ae9,
    0xff458ae9,
    0xff478ceb,
    0xff478bea,
    0xff488dec,
    0xff468bea,
    0xff458ae9,
    0xff468cec,
    0xff458beb,
    0xff458beb,
    0xff4389e9,
    0xff448aea,
    0xff448aea,
    0xff448aea,
    0xff438bea,
    0xff408be9,
    0xff3c89e6,
    0xff418deb,
    0xff3e88ea,
    0xff3b85e5,
    0xff3e86ea,
    0xff3d86e9,
    0xff3c85eb,
    0xff4084e9,
    0xff4084e9,
    0xff3d85ec,
    0xff3d85eb,
    0xff3c82eb,
    0xff3a84ea,
    0xff3a83ec,
    0xff3b83ec,
    0xff3680e9,
    0xff3882eb,
    0xff3882eb,
    0xff3781ea,
    0xff3882eb,
    0xff3882eb,
    0xff3982ec,
    0xff3683ea,
    0xff3383eb,
    0xff3985e7,
    0xff3881df,
    0xff3780de,
    0xff3985e8,
    0xff3381e8,
    0xff347ee7,
    0xff327be1,
    0xff3186e7,
    0xff2870c8,
    0xff266a9e,
    0xff357d94,
    0xff1c5b73,
    0xff215a6a,
    0xff0f5070,
    0xff2373b6,
    0xff14518a,
    0xff19598d,
    0xff09518f,
    0xff3486df,
    0xff3485f1,
    0xff3b84d7,
    0xff1b5075,
    0xff062d26,
    0xff07302a,
    0xff02291a,
    0xff1a3d24,
    0xff1b3b24,
    0xff062115,
    0xff021e18,
    0xff011e19,
    0xff06271f,
    0xff0a3629,
    0xff555456,
    0xffb8aaae,
    0xff182524,
    0xff0a2421,
    0xff0a1c07,
    0xff031000,
    0xff091d2e,
    0xff0e1926,
    0xff071a20,
    0xff1f1f26,
    0xff211116,
    0xff584745,
    0xff381d18,
    0xff4f2a23,
    0xff6a5445,
    0xff0e1003,
    0xff071107,
    0xff02100e,
    0xff001111,
    0xff000f0c,
    0xff010e09,
    0xff02130b,
    0xff001309,
    0xff512026,
    0xff4c2129,
    0xff512a37,
    0xff512c43,
    0xff4d2d4e,
    0xff593d6a,
    0xff766495,
    0xff8176ae,
    0xff857ebe,
    0xff8b88c8,
    0xff8388c7,
    0xff808ad1,
    0xff7483cf,
    0xff7d8ede,
    0xff7c8cdb,
    0xff8391dc,
    0xff8e98e6,
    0xff8b9ae1,
    0xff8696d1,
    0xff97a9d6,
    0xfff3f9ff,
    0xffffffff,
    0xfffff4f0,
    0xffcab1a5,
    0xff835d62,
    0xff691f25,
    0xff520008,
    0xff611e31,
    0xffa76c76,
    0xff510405,
    0xff5e0d19,
    0xff49062a,
    0xffd0bfdf,
    0xffdaeff7,
    0xfff3f4ff,
    0xfffffaff,
    0xfffaffff,
    0xfffefeff,
    0xfff9f2ff,
    0xff312739,
    0xff291524,
    0xff261925,
    0xff392d39,
    0xff462d43,
    0xff4d3852,
    0xff9a94ad,
    0xffc2c0d7,
    0xffaaa0b7,
    0xffdec4dc,
    0xff67475f,
    0xffbeafbd,
    0xffbbb6c0,
    0xffd2c5d9,
    0xffeedff6,
    0xfff9e9ff,
    0xfffff1ff,
    0xffeab1bd,
    0xffa8434b,
    0xffcb3d3d,
    0xffce382d,
    0xffcb3829,
    0xffcd3a2f,
    0xffd33c35,
    0xffca362d,
    0xffcb3231,
    0xffcf3532,
    0xffcc322c,
    0xffcd3328,
    0xffd0372b,
    0xffd33e2f,
    0xffd24233,
    0xffd74837,
    0xffd95139,
    0xffd58878,
    0xfffffffe,
    0xfff8feff,
    0xffe3d8ec,
    0xffffecff,
    0xffd9d9f8,
    0xffbfd9fe,
    0xffb8c8f9,
    0xffbacaed,
    0xffc5d5ee,
    0xffe8f0ff,
    0xfffafcff,
    0xffc6c7d4,
    0xff7f7587,
    0xff422f4a,
    0xff2e1721,
    0xff371621,
    0xff3c1b26,
    0xff502b2d,
    0xff894843,
    0xff891f1a,
    0xffb0201d,
    0xffc71c1d,
    0xffd12f29,
    0xffc72527,
    0xff9e0916,
    0xff9c2e3c,
    0xff82454c,
    0xff442426,
    0xff391a1d,
    0xff4d1d23,
    0xff821826,
    0xff87191e,
    0xff8e161a,
    0xff98141b,
    0xff95131c,
    0xff951d20,
    0xff971512,
    0xffce3e30,
    0xffca4b25,
    0xff9c4833,
    0xffffe5e5,
    0xfffefffe,
    0xfff7fffc,
    0xffe4e9f1,
    0xffd1d9f0,
    0xffc1bbe2,
    0xffc3ccf4,
    0xffcbd4f7,
    0xffc8d1fa,
    0xffcbcfff,
    0xffd9cfff,
    0xffe9bcdf,
    0xff701429,
    0xff850115,
    0xffa10015,
    0xffa20418,
    0xff880518,
    0xff721025,
    0xff6e1122,
    0xff730511,
    0xff78000f,
    0xff77041a,
    0xff7b0115,
    0xff930620,
    0xffc8313a,
    0xffc63220,
    0xffc42a13,
    0xffc21d1c,
    0xffca1f23,
    0xffce2a22,
    0xffd03b1e,
    0xffd64023,
    0xffdd4129,
    0xffcf321c,
    0xffcb331e,
    0xffd84932,
    0xffdb5734,
    0xffd15429,
    0xffd96131,
    0xffda5f2e,
    0xffd04c1c,
    0xffd55e2a,
    0xffce6625,
    0xffcf5e30,
    0xffdc9399,
    0xffbbc9fc,
    0xffb5c6fa,
    0xffa3cff4,
    0xffa5cff1,
    0xffb8c8eb,
    0xffc3b9e8,
    0xffbcb0ef,
    0xffdfc6fc,
    0xffb45576,
    0xffaa1d28,
    0xffac282f,
    0xffa4292a,
    0xffa4221f,
    0xffaa1b1b,
    0xffa81c29,
    0xff7c0a23,
    0xffe689b0,
    0xffc75895,
    0xff7b0038,
    0xff790432,
    0xff6e0425,
    0xff780321,
    0xff730017,
    0xff770514,
    0xff84000c,
    0xff880216,
    0xff870218,
    0xff8a0118,
    0xff8d0419,
    0xff8a0313,
    0xff84000f,
    0xff84010a,
    0xff810008,
    0xff810002,
    0xff9d1400,
    0xfffc8b40,
    0xfff59d47,
    0xffdd7432,
    0xffc7540b,
    0xffe87d2b,
    0xffc95d26,
    0xff9f2307,
    0xff9e0f08,
    0xff9a0007,
    0xff910204,
    0xff941c0f,
    0xff992817,
    0xffb13326,
    0xffd5473d,
    0xffd1443b,
    0xff992620,
    0xffd799a8,
    0xffbec5f4,
    0xffa7c8ee,
    0xffa7c6f5,
    0xff9cccf4,
    0xffa4c6f5,
    0xffa7c6f4,
    0xffa6c4f3,
    0xffa5c6f2,
    0xffa5c4f4,
    0xffa5c5f4,
    0xffa3c1f3,
    0xffa4c3f4,
    0xffa7c4f7,
    0xffa7b4f5,
    0xffa680c5,
    0xff66104a,
    0xff88104c,
    0xff8b0646,
    0xff92093b,
    0xff90062b,
    0xff900633,
    0xff921a3c,
    0xff6f1f3b,
    0xff715886,
    0xffb4c6ff,
    0xffa2c4f6,
    0xffa7c3f2,
    0xffa7c2f3,
    0xffa1c2ef,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa0c2f0,
    0xff9fc1ef,
    0xffa0c2f3,
    0xffa1c3f2,
    0xffa1c2f5,
    0xff9fc0f3,
    0xffa0c1f4,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f2,
    0xff9bbff4,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f3,
    0xff9bbef4,
    0xff99bef2,
    0xff98bdf1,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff9abff4,
    0xff98bdf2,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff97bcf1,
    0xff96bbf0,
    0xff96bbf0,
    0xff95baef,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf1,
    0xff94b9f0,
    0xff94b9ef,
    0xff95b8f3,
    0xff95b9f3,
    0xff94b8f2,
    0xff96baf4,
    0xff93b7f1,
    0xff93b7f1,
    0xff95b9f3,
    0xff90b7f0,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b8f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff91b8f1,
    0xff90b7f0,
    0xff91b8f1,
    0xff91b8f3,
    0xff91b8f3,
    0xff90b7f2,
    0xff90b8f3,
    0xff8fb6f2,
    0xff8db5f0,
    0xff8cb4f2,
    0xff8cb4f1,
    0xff8cb4f0,
    0xff8cb4f2,
    0xff8eb5f4,
    0xff8bb6f1,
    0xff8cb6f2,
    0xff8cb6f1,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8ab3f3,
    0xff88b1f1,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff88b1f1,
    0xff85aeee,
    0xff85b3f1,
    0xff85b3f1,
    0xff84b2f0,
    0xff82b2f2,
    0xff80b0f0,
    0xff80b2f2,
    0xff80b3f1,
    0xff80b2f0,
    0xff83aff1,
    0xff83aff1,
    0xff82afef,
    0xff80aded,
    0xff7facef,
    0xff81aef1,
    0xff83b1f3,
    0xff81b0f2,
    0xff7faef2,
    0xff80aff3,
    0xff7eadf0,
    0xff7baaee,
    0xff7badef,
    0xff7bacef,
    0xff7cadef,
    0xff7aabee,
    0xff79adef,
    0xff7aadee,
    0xff78aced,
    0xff78aaf0,
    0xff78aaef,
    0xff78aaf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79aaf1,
    0xff77adf2,
    0xff76abf1,
    0xff76abf1,
    0xff75aaf0,
    0xff75aaf0,
    0xff74a9ef,
    0xff74a9ef,
    0xff76abf0,
    0xff76aaf3,
    0xff75a9f2,
    0xff74a8f1,
    0xff70a4ed,
    0xff73a7f2,
    0xff73a7f2,
    0xff73a7f2,
    0xff72a5f0,
    0xff71a8f2,
    0xff72a8ef,
    0xff71a7ef,
    0xff72a8f0,
    0xff6ea7ee,
    0xff70a9ef,
    0xff70a9ef,
    0xff70a8f3,
    0xff6da4ef,
    0xff6ca4ee,
    0xff6aa2ec,
    0xff6ba3ed,
    0xff6ca1ed,
    0xff6da2ee,
    0xff6ca1ed,
    0xff6ca1ed,
    0xff6ca1f0,
    0xff6ca2f0,
    0xff6ca1ef,
    0xff6da2ef,
    0xff69a0f0,
    0xff68a0f0,
    0xff6aa0f0,
    0xff68a2f0,
    0xff69a2f1,
    0xff65a1ee,
    0xff66a1ef,
    0xff66a1ef,
    0xff68a3f1,
    0xff67a2f0,
    0xff65a0ee,
    0xff66a1ef,
    0xff66a1ef,
    0xff65a0ee,
    0xff66a1ef,
    0xff649fed,
    0xff65a0f0,
    0xff639eee,
    0xff639eee,
    0xff649fee,
    0xff649df0,
    0xff649ef0,
    0xff649ef0,
    0xff649df0,
    0xff619ff0,
    0xff609dee,
    0xff609dee,
    0xff619eef,
    0xff609dee,
    0xff619eef,
    0xff619eef,
    0xff619def,
    0xff5f9fef,
    0xff609fef,
    0xff609fef,
    0xff5d9fef,
    0xff5e9eee,
    0xff5ca0f1,
    0xff5da0f1,
    0xff5c9ff0,
    0xff5b9cee,
    0xff5b9cee,
    0xff5b9cee,
    0xff5a9bef,
    0xff599aee,
    0xff599aee,
    0xff589aed,
    0xff5a9af1,
    0xff5697eb,
    0xff5899ed,
    0xff5899ed,
    0xff5798ec,
    0xff5899ed,
    0xff5697eb,
    0xff5697eb,
    0xff5798ec,
    0xff5697eb,
    0xff5697eb,
    0xff5697eb,
    0xff5798eb,
    0xff5595ec,
    0xff5595ec,
    0xff5595ec,
    0xff5494eb,
    0xff5598ed,
    0xff5597ee,
    0xff5395ec,
    0xff5395ec,
    0xff5295eb,
    0xff5091eb,
    0xff5293ed,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5293ed,
    0xff5192eb,
    0xff4e8feb,
    0xff5091ed,
    0xff5091ed,
    0xff5091ed,
    0xff5091ed,
    0xff4f90ec,
    0xff5090ec,
    0xff5093ee,
    0xff4e91ec,
    0xff4f92ed,
    0xff4e90eb,
    0xff4b91eb,
    0xff4a8fec,
    0xff4c91ee,
    0xff4c91ee,
    0xff4b90ed,
    0xff488dec,
    0xff478ceb,
    0xff468bea,
    0xff488dec,
    0xff458ae9,
    0xff468bea,
    0xff478ceb,
    0xff468bea,
    0xff468bea,
    0xff488dec,
    0xff468bea,
    0xff478ceb,
    0xff458cec,
    0xff448aea,
    0xff458beb,
    0xff458beb,
    0xff448beb,
    0xff478aeb,
    0xff478aec,
    0xff468aea,
    0xff428ce9,
    0xff418bea,
    0xff428ceb,
    0xff3f89e7,
    0xff3d85e8,
    0xff3c85e6,
    0xff4084e9,
    0xff3f83e8,
    0xff3e85e7,
    0xff3f85e6,
    0xff3c84e8,
    0xff3c84ea,
    0xff3b85ea,
    0xff3c85ec,
    0xff3d85ef,
    0xff3c86ef,
    0xff3a84ed,
    0xff3983ec,
    0xff3983ec,
    0xff3781ea,
    0xff3781ea,
    0xff357fe8,
    0xff357fe8,
    0xff3781ea,
    0xff3586e8,
    0xff3883e4,
    0xff3a7fe3,
    0xff3b83e8,
    0xff3480e9,
    0xff3480e4,
    0xff3d84da,
    0xff3d7dca,
    0xff2b7abd,
    0xff286eb9,
    0xff16577b,
    0xff175351,
    0xff114042,
    0xff103b3d,
    0xff1e585d,
    0xff1e6281,
    0xff053850,
    0xff073a5d,
    0xff002f5a,
    0xff2775c0,
    0xff237fe3,
    0xff2b83e1,
    0xff2768a7,
    0xff063745,
    0xff144047,
    0xff133f39,
    0xff284f3a,
    0xff25462f,
    0xff173225,
    0xff06211b,
    0xff06241b,
    0xff001c0c,
    0xff143a24,
    0xff4c4446,
    0xffdfc0c9,
    0xff816f77,
    0xff2d2424,
    0xff46321d,
    0xff49341f,
    0xff0b040d,
    0xff15253d,
    0xff0d3343,
    0xff2e4852,
    0xff111015,
    0xff120900,
    0xff744b3a,
    0xff66280e,
    0xff936b44,
    0xff0d0400,
    0xff0a0e07,
    0xff05130e,
    0xff000f0c,
    0xff071210,
    0xff071110,
    0xff001010,
    0xff031c1b,
    0xff4f2535,
    0xff542e43,
    0xff5d405c,
    0xff5f476d,
    0xff614a7b,
    0xff725f97,
    0xff635491,
    0xff655d99,
    0xff7f78ba,
    0xff9794d3,
    0xff9698d7,
    0xff999fdd,
    0xff969bde,
    0xff8589cd,
    0xffa5a4e3,
    0xffaeade6,
    0xffa9b1eb,
    0xffa7aedd,
    0xffd1d2f2,
    0xffffffff,
    0xffffeaf1,
    0xff8c5d60,
    0xff571516,
    0xff570d0c,
    0xff5a1614,
    0xff650606,
    0xff813138,
    0xffe8d0da,
    0xfffffafc,
    0xff853d3a,
    0xff55000a,
    0xff8c4f77,
    0xffffffff,
    0xffebf8ff,
    0xfff8e5fd,
    0xfff1dffe,
    0xffe6e6f0,
    0xfff0f3ff,
    0xffacb0cc,
    0xff3a2a43,
    0xff2d1c2c,
    0xff2e252c,
    0xff332734,
    0xff3c253a,
    0xff503c58,
    0xffd2cdeb,
    0xfffffdff,
    0xff8c809f,
    0xff937d9c,
    0xffeddaf1,
    0xfffdfaff,
    0xffffffff,
    0xffe5b9cd,
    0xffcd92ac,
    0xffdfaabe,
    0xffd999ad,
    0xffc25b5f,
    0xffc64342,
    0xffdc473e,
    0xffd44534,
    0xffc93d2c,
    0xffc8332c,
    0xffce332c,
    0xffd1392e,
    0xffca3630,
    0xffcf3a34,
    0xffcb382b,
    0xffd64435,
    0xffd74736,
    0xffd14433,
    0xffd14437,
    0xffd4473d,
    0xffb5463e,
    0xfff8cdc5,
    0xfffbffff,
    0xffedf8ff,
    0xfff5f9ff,
    0xfff5ffff,
    0xffd1e3fa,
    0xffc9d8ff,
    0xffcde0ff,
    0xffeef9ff,
    0xffdedff8,
    0xff9f9db7,
    0xff4e4860,
    0xff32243e,
    0xff281433,
    0xff331b44,
    0xff6a5176,
    0xffccbdd5,
    0xfffcf2fb,
    0xffffffff,
    0xffffffff,
    0xfff1bebd,
    0xff921c1c,
    0xffca2427,
    0xffcb271f,
    0xffbe1e1f,
    0xffb02933,
    0xff98434d,
    0xff563538,
    0xff38201f,
    0xff4e161b,
    0xff731523,
    0xff950e21,
    0xff891016,
    0xff861712,
    0xff8b1b17,
    0xff8b1a1e,
    0xff901e21,
    0xff991b1c,
    0xffc0302c,
    0xffcd4c32,
    0xffb64533,
    0xffd28c88,
    0xffffffff,
    0xffe8fcfb,
    0xffe6f3f2,
    0xffd7e4ec,
    0xffb688af,
    0xff811846,
    0xffad476c,
    0xffb75a7c,
    0xffb35379,
    0xffae4560,
    0xffd0545e,
    0xffbc2c36,
    0xff990012,
    0xffa8011a,
    0xff9b0316,
    0xff810011,
    0xff75011e,
    0xff72031c,
    0xff73010e,
    0xff75010b,
    0xff700013,
    0xff760214,
    0xff920213,
    0xffc21e25,
    0xffcf2e22,
    0xffcb301f,
    0xffca291f,
    0xffcc2b21,
    0xffce3322,
    0xffcf3a21,
    0xffd53d25,
    0xffd83b25,
    0xffc02511,
    0xffc52f1a,
    0xffd5472c,
    0xffd54e28,
    0xffdb5728,
    0xffde632d,
    0xffd76435,
    0xffd85b2a,
    0xffda612f,
    0xffd76a3f,
    0xffd45a30,
    0xffbb574e,
    0xffe2c6f2,
    0xffb0c2ea,
    0xffa4cdf6,
    0xffa9ccf4,
    0xffafcaf2,
    0xffb4c1f5,
    0xffa8b6e7,
    0xffc5c9ee,
    0xffe7a0d9,
    0xff9e1528,
    0xffa51d2e,
    0xffa61f2c,
    0xffa8181e,
    0xffab1613,
    0xffa61516,
    0xff8e111d,
    0xff7e112c,
    0xff992c63,
    0xff7b083a,
    0xff7b042e,
    0xff770226,
    0xff790321,
    0xff750119,
    0xff7d0217,
    0xff870316,
    0xff890518,
    0xff8d0418,
    0xff8c0418,
    0xff8e0519,
    0xff890115,
    0xff840010,
    0xff82000c,
    0xff80000b,
    0xff820007,
    0xffac3009,
    0xffffa743,
    0xffee9c33,
    0xffe37a2d,
    0xfff17e2f,
    0xffd7661a,
    0xffbe3a16,
    0xff940600,
    0xff980702,
    0xff940107,
    0xff92010c,
    0xff8a0104,
    0xff870900,
    0xffb43d35,
    0xffda6368,
    0xffbf4a4b,
    0xff94272f,
    0xff823b57,
    0xffc8c4ff,
    0xffa9c6f0,
    0xffa4c6f6,
    0xff9cccf2,
    0xffa8c6f3,
    0xffa7c5f2,
    0xffa5c7f1,
    0xffa4c5f3,
    0xffa5c6f2,
    0xffa8c4f4,
    0xffa6c2f4,
    0xffa4c3f4,
    0xffa6c7f7,
    0xffa0b9ed,
    0xffaa9be6,
    0xff7f3884,
    0xff7b0b48,
    0xff8b0c4a,
    0xff8d1145,
    0xff8e0c34,
    0xff960336,
    0xff880d3c,
    0xff8f4e77,
    0xff9d9ccc,
    0xffa7c2f7,
    0xffa3c2f1,
    0xffa7c0f7,
    0xffa4c4fb,
    0xffa1c7ed,
    0xffa3c5f2,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa0c2f1,
    0xffa0c2ee,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa1c3f0,
    0xffa1c3f3,
    0xffa1c1f5,
    0xffa0c1f4,
    0xffa0c0f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9cc1f3,
    0xff9cc1f3,
    0xff9cc1f3,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f2,
    0xff9cc0f4,
    0xff9abef2,
    0xff9cc0f4,
    0xff9cc0f3,
    0xff9cbef5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff99bef2,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff2,
    0xff99bef4,
    0xff99bef3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff99bef3,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff99bef3,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff99bef2,
    0xff9abff4,
    0xff98bdf2,
    0xff95baf2,
    0xff96bbf1,
    0xff94b8f3,
    0xff94b8f2,
    0xff95b9f3,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff95b9f3,
    0xff90b7f0,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9ef,
    0xff92b9ef,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7ef,
    0xff91b8f4,
    0xff91b8f3,
    0xff8eb7ef,
    0xff8fb8ef,
    0xff8db5f1,
    0xff8eb6f1,
    0xff8eb6f3,
    0xff8eb6f4,
    0xff8db5f3,
    0xff8bb3f1,
    0xff8bb6f2,
    0xff8cb6f2,
    0xff8cb6f1,
    0xff8cb5f3,
    0xff89b2f0,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab2f2,
    0xff87b1f0,
    0xff85b2f1,
    0xff84b1ef,
    0xff85b2f0,
    0xff82b0f0,
    0xff80b0f0,
    0xff81b1f1,
    0xff81b1f1,
    0xff83b1ee,
    0xff82b1ee,
    0xff82aff0,
    0xff82aff0,
    0xff83b0f1,
    0xff82aeef,
    0xff84aef3,
    0xff83aef1,
    0xff80aff3,
    0xff80aff3,
    0xff7eadf1,
    0xff7caaee,
    0xff7cadf0,
    0xff7cadf0,
    0xff7cadf0,
    0xff7cacf0,
    0xff7aadee,
    0xff7aadef,
    0xff79acee,
    0xff79abf0,
    0xff7aacf1,
    0xff79abf2,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79aaf1,
    0xff77acf2,
    0xff77acf2,
    0xff75aaf0,
    0xff76abf1,
    0xff74a9ef,
    0xff75aaf0,
    0xff73a8ee,
    0xff76abf1,
    0xff74a8f2,
    0xff73a7f0,
    0xff73a7f0,
    0xff71a5ee,
    0xff73a7f2,
    0xff72a7f2,
    0xff73a7f2,
    0xff71a5f0,
    0xff71a8f2,
    0xff71a7ef,
    0xff73a9f1,
    0xff74aaf2,
    0xff6fa9f0,
    0xff70a9f0,
    0xff70a9f0,
    0xff6ea7ee,
    0xff6ea7ee,
    0xff6ea5f0,
    0xff6da5ef,
    0xff6ba3ed,
    0xff71a4f1,
    0xff71a4f0,
    0xff6fa3ef,
    0xff6da1ed,
    0xff6ea0f0,
    0xff6ea0ef,
    0xff6ea0ef,
    0xff6fa2f1,
    0xff6da2f3,
    0xff6da2f2,
    0xff6aa2f2,
    0xff6aa1f1,
    0xff6aa4f2,
    0xff67a3f0,
    0xff69a4f2,
    0xff68a3f1,
    0xff68a3f1,
    0xff65a0ee,
    0xff65a0ef,
    0xff67a2f1,
    0xff67a2f0,
    0xff66a1ef,
    0xff67a2f0,
    0xff66a1ee,
    0xff65a0f0,
    0xff649fef,
    0xff639eef,
    0xff639fee,
    0xff639df0,
    0xff639def,
    0xff639def,
    0xff649def,
    0xff619ff0,
    0xff609eee,
    0xff609eef,
    0xff5f9ced,
    0xff5f9ced,
    0xff609eef,
    0xff609eef,
    0xff609eef,
    0xff619ded,
    0xff5f9fef,
    0xff609fef,
    0xff5d9fef,
    0xff5e9eee,
    0xff5ca0f1,
    0xff5da0f1,
    0xff5a9eef,
    0xff5e9ef0,
    0xff5d9ef0,
    0xff5d9ef0,
    0xff5c9df1,
    0xff599aee,
    0xff5899ed,
    0xff599aed,
    0xff5999f1,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5899ed,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff599aee,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5797ee,
    0xff5797ee,
    0xff5696ed,
    0xff5696ed,
    0xff5497ec,
    0xff5597ee,
    0xff5496ed,
    0xff5294eb,
    0xff5395ec,
    0xff5192ed,
    0xff5394ee,
    0xff5394ee,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5091eb,
    0xff4f90ed,
    0xff5091ed,
    0xff5192ee,
    0xff5192ee,
    0xff4f90ec,
    0xff5091ed,
    0xff4f90ec,
    0xff4f93ee,
    0xff4e91ec,
    0xff4f92ed,
    0xff4d90eb,
    0xff4e90eb,
    0xff4c91ef,
    0xff4c91ee,
    0xff4a8fec,
    0xff4a8feb,
    0xff4a8fef,
    0xff498eed,
    0xff478ceb,
    0xff468bea,
    0xff478ceb,
    0xff468bea,
    0xff468bea,
    0xff478ceb,
    0xff488dec,
    0xff498eed,
    0xff468bea,
    0xff468bea,
    0xff478ded,
    0xff448aea,
    0xff458beb,
    0xff458beb,
    0xff4488e9,
    0xff4488e9,
    0xff4387e8,
    0xff4286e7,
    0xff3e88e5,
    0xff3e87e5,
    0xff418ae9,
    0xff4388e8,
    0xff4085e8,
    0xff3f85e6,
    0xff3e83e9,
    0xff3f84e9,
    0xff4086e5,
    0xff4186e9,
    0xff3d86e7,
    0xff3d85e9,
    0xff3c85eb,
    0xff3a85eb,
    0xff3984ea,
    0xff3982ec,
    0xff3983ec,
    0xff3a84ed,
    0xff3a84ed,
    0xff3a84ed,
    0xff3680e9,
    0xff3a84ed,
    0xff3882ec,
    0xff3781e9,
    0xff3881e6,
    0xff3a7ce3,
    0xff4382f1,
    0xff3a7ff3,
    0xff3d88fa,
    0xff1963c0,
    0xff4c8cca,
    0xff2f6389,
    0xff1e5d75,
    0xff21649b,
    0xff2e7092,
    0xff0a413d,
    0xff20454d,
    0xff10323c,
    0xff002922,
    0xff164247,
    0xff013048,
    0xff1c467c,
    0xff093974,
    0xff1553a1,
    0xff165fc1,
    0xff226cd6,
    0xff3779e5,
    0xff003c7f,
    0xff174964,
    0xff16434b,
    0xff153e32,
    0xff0a2b1a,
    0xff0a271e,
    0xff07211e,
    0xff05231b,
    0xff0a2b19,
    0xff1c331e,
    0xff897a77,
    0xffbe918d,
    0xff713c34,
    0xff5c221e,
    0xffa86354,
    0xff965946,
    0xff754948,
    0xff262134,
    0xff04212a,
    0xff182731,
    0xff15151b,
    0xff0d1106,
    0xff452a16,
    0xffbc7c63,
    0xff9d6a43,
    0xff0d0100,
    0xff090d0a,
    0xff041311,
    0xff000e0b,
    0xff01110e,
    0xff041213,
    0xff061b21,
    0xff0a272f,
    0xff4f2941,
    0xff5a3b59,
    0xff6b567d,
    0xff6c5f8f,
    0xff6b6099,
    0xff6e64a5,
    0xff7c75b5,
    0xff827bbd,
    0xff8173b9,
    0xff7c6fb3,
    0xff978ecb,
    0xffada3de,
    0xffbdaee8,
    0xffc9b3ea,
    0xff9277aa,
    0xff866b98,
    0xff7e608d,
    0xffceafd3,
    0xfff6d3e9,
    0xffae7f88,
    0xff57181a,
    0xff5d0f12,
    0xff6e0f19,
    0xff730919,
    0xff70001c,
    0xff7d2d39,
    0xffffffff,
    0xfffff0ff,
    0xffa26d81,
    0xff640f10,
    0xff610107,
    0xff640e2f,
    0xffb177a5,
    0xff89577b,
    0xff5f164b,
    0xff965e91,
    0xffdcbfd7,
    0xfff8e7ff,
    0xffa29cbf,
    0xff462343,
    0xff312230,
    0xff322a31,
    0xff382c39,
    0xff3e253d,
    0xff4b3856,
    0xffeee9ff,
    0xffe6e2ff,
    0xff716184,
    0xffe5c0dc,
    0xfffff3ff,
    0xfff7d6d4,
    0xffd99c96,
    0xffc04c4f,
    0xffad2125,
    0xffb6342e,
    0xffce5045,
    0xffc9423e,
    0xffcb372d,
    0xffd43f2e,
    0xffc63c26,
    0xffcb402f,
    0xffd13a33,
    0xffce322b,
    0xffcc3525,
    0xffcb382c,
    0xffc83829,
    0xffd14531,
    0xffd14632,
    0xffd64d39,
    0xffd54b3c,
    0xffd3483f,
    0xffc43d35,
    0xffc57f7e,
    0xfffff8f9,
    0xfff1f4fd,
    0xfff4eefc,
    0xfff5f0f6,
    0xffe7f8fa,
    0xffdbefff,
    0xffbec1eb,
    0xff6f6e94,
    0xff5d5671,
    0xff332940,
    0xff211a2f,
    0xff221736,
    0xff4a3963,
    0xff7777a2,
    0xffa6b9e2,
    0xffcad8fb,
    0xffd2e9f7,
    0xfffcfdff,
    0xfffffaff,
    0xfffbf9ff,
    0xffffffff,
    0xffb9505b,
    0xffb61017,
    0xffcd1a1a,
    0xffc31d29,
    0xffb93e4f,
    0xff793c46,
    0xff352a2b,
    0xff302323,
    0xff601f24,
    0xff8d1827,
    0xff8e141e,
    0xff871615,
    0xff80160c,
    0xff851a11,
    0xff88181b,
    0xff8c1a22,
    0xff8f1f1f,
    0xffa1332b,
    0xffbd5949,
    0xffda816c,
    0xffce9d90,
    0xffeaeced,
    0xfff6f6ff,
    0xffedf2fb,
    0xfff7f9ff,
    0xffd682a8,
    0xffaa0e2a,
    0xffb61a1b,
    0xffc2281d,
    0xffbd2322,
    0xffbf2229,
    0xffc52c26,
    0xffc63427,
    0xffa1100b,
    0xffa20217,
    0xff8f0314,
    0xff7e0218,
    0xff800021,
    0xff81001f,
    0xff760010,
    0xff73030d,
    0xff760117,
    0xff75031f,
    0xff840015,
    0xffbb1a2a,
    0xffd52c32,
    0xffce2b25,
    0xffce3022,
    0xffcc3222,
    0xffc93423,
    0xffcf3927,
    0xffd53c2a,
    0xffdf422f,
    0xffb9200e,
    0xffca3520,
    0xffdc4e30,
    0xffd74e26,
    0xffd8511e,
    0xffd15e21,
    0xffce6034,
    0xffcf531d,
    0xffdf5b2a,
    0xffe05d42,
    0xffdd5739,
    0xffb94937,
    0xffdba1c1,
    0xffc1cde9,
    0xffabc7f8,
    0xffb5c4f9,
    0xffb4c4f7,
    0xffb8c1f8,
    0xffacb8dc,
    0xffc8ceec,
    0xffa761a6,
    0xff961d34,
    0xff9f2434,
    0xff951923,
    0xff961716,
    0xffa31f11,
    0xffa4190c,
    0xff97090b,
    0xff9f1022,
    0xff880c32,
    0xff830c2d,
    0xff830022,
    0xff82001f,
    0xff790424,
    0xff7d0929,
    0xff820326,
    0xff810625,
    0xff8a0217,
    0xff8d0619,
    0xff90051b,
    0xff8d0219,
    0xff8c0317,
    0xff860110,
    0xff840110,
    0xff81000d,
    0xff8b040a,
    0xffc14f1c,
    0xffffb244,
    0xffe89527,
    0xffdf731c,
    0xffed811e,
    0xffd36401,
    0xffd44508,
    0xffbb250e,
    0xff9a0d00,
    0xff8d0602,
    0xff880008,
    0xff8f000c,
    0xff880006,
    0xff6e0007,
    0xffe689a8,
    0xfff2b0d4,
    0xffba6586,
    0xff54001f,
    0xff9670b1,
    0xffb8c8f9,
    0xffa4c6fc,
    0xff9ecaf6,
    0xffafc2ee,
    0xffa9c6f3,
    0xffa5c7f1,
    0xffa4c6f3,
    0xffa6c4f2,
    0xffa9c3f4,
    0xffa8c3f5,
    0xffa5c4f5,
    0xffa6c7f7,
    0xffa5c6eb,
    0xffa6a4f4,
    0xffa56bc0,
    0xff770e4e,
    0xff810b45,
    0xff821144,
    0xff890d3a,
    0xff9b053b,
    0xff830941,
    0xff986796,
    0xffb5c8f9,
    0xffa1c4f3,
    0xffa5c4ef,
    0xffa5bff9,
    0xffa0c3fc,
    0xff9fc8eb,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa3c5f1,
    0xffa2c4f1,
    0xffa1c3f1,
    0xffa1c3f0,
    0xffa1c3f3,
    0xffa1c2f4,
    0xffa1c2f4,
    0xffa1c1f5,
    0xff9ec3f5,
    0xff9ec3f5,
    0xff9ec3f5,
    0xff9ec3f5,
    0xff9dc1f3,
    0xff9dc1f4,
    0xff9dc2f4,
    0xff9dc2f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa1c1f5,
    0xff9dbef1,
    0xff9dbef1,
    0xff9fbff3,
    0xffa0c0f3,
    0xff9cc1f3,
    0xff9dc1f3,
    0xff9dc1f2,
    0xff9bbff4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9bbef4,
    0xff9dc2f7,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9cc2f6,
    0xff9ac0f4,
    0xff9cc2f6,
    0xff9bc0f4,
    0xff98bdf1,
    0xff98bdf1,
    0xff98bdf1,
    0xff98bdf1,
    0xff98bdf1,
    0xff9abff4,
    0xff99bff3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff98bdf2,
    0xff9abff4,
    0xff9abff4,
    0xff99bef4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff97bcf1,
    0xff97bcf1,
    0xff98bdf1,
    0xff9abff2,
    0xff99bef3,
    0xff96bbf0,
    0xff97bcf3,
    0xff94b9f2,
    0xff93b8f1,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff92b6f0,
    0xff91b9f2,
    0xff91b9f1,
    0xff91b9f2,
    0xff92b9ef,
    0xff92b9ef,
    0xff92b9f2,
    0xff92b9f2,
    0xff91b8f1,
    0xff8fb6ef,
    0xff93b6f3,
    0xff92b8f2,
    0xff91baf2,
    0xff8eb8ef,
    0xff8db5f1,
    0xff8db5f0,
    0xff8eb7f4,
    0xff90b8f6,
    0xff90b8f6,
    0xff8cb4f2,
    0xff8cb6f1,
    0xff8bb6f1,
    0xff8bb6f1,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff89b2f0,
    0xff89b2f0,
    0xff89b2f2,
    0xff8ab3f4,
    0xff8db6f7,
    0xff8ab3f3,
    0xff8db6f6,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8ab3f3,
    0xff88b1f1,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff88b0f0,
    0xff87b0f0,
    0xff88b0f1,
    0xff86b2f1,
    0xff83b0f2,
    0xff84b0f2,
    0xff82b2f2,
    0xff83b3f3,
    0xff84b3f0,
    0xff84b2ef,
    0xff83b1ee,
    0xff85b1f2,
    0xff86b2f3,
    0xff84b0f0,
    0xff84b0f0,
    0xff84acf1,
    0xff80aff3,
    0xff80aff3,
    0xff7dacf0,
    0xff7eadf1,
    0xff7fadf1,
    0xff7daef1,
    0xff7eaff2,
    0xff7daef1,
    0xff7baeef,
    0xff7baef0,
    0xff7aadee,
    0xff7aadef,
    0xff79abf0,
    0xff7aacf3,
    0xff78aaf2,
    0xff78aaf2,
    0xff79abf2,
    0xff79aaf2,
    0xff79abf2,
    0xff79aaf1,
    0xff76acf1,
    0xff75aaf0,
    0xff76aaf1,
    0xff78acf2,
    0xff72a8ee,
    0xff76abf1,
    0xff73a8ee,
    0xff75abf0,
    0xff76acf1,
    0xff73a7f1,
    0xff72a6ef,
    0xff73a7f0,
    0xff72a6f2,
    0xff73a7f2,
    0xff72a7f2,
    0xff71a5f1,
    0xff73a7f2,
    0xff71a8ef,
    0xff73a9f1,
    0xff74aaf2,
    0xff6da7eb,
    0xff6fa9f0,
    0xff6fa9ef,
    0xff6fa8ef,
    0xff6fa9ef,
    0xff6fa7f2,
    0xff6ea6f0,
    0xff6ca4ee,
    0xff70a4f0,
    0xff70a4f0,
    0xff70a3ef,
    0xff6ea2ee,
    0xff6fa3ee,
    0xff6ea1f0,
    0xff6da0f0,
    0xff6da0ef,
    0xff6da3f2,
    0xff6ea3f3,
    0xff6ba1f2,
    0xff6aa1f2,
    0xff6aa3f3,
    0xff68a1f0,
    0xff68a3f2,
    0xff68a3f2,
    0xff6aa4f0,
    0xff67a2ed,
    0xff649feb,
    0xff67a2ed,
    0xff67a1ed,
    0xff67a1ed,
    0xff67a2ed,
    0xff65a0ed,
    0xff65a0f0,
    0xff65a0ef,
    0xff649fef,
    0xff64a0ef,
    0xff659ff1,
    0xff659ff1,
    0xff659ff1,
    0xff659ff1,
    0xff649def,
    0xff639cee,
    0xff639cee,
    0xff619bed,
    0xff629bed,
    0xff639cef,
    0xff629dee,
    0xff639eef,
    0xff609dee,
    0xff5f9fed,
    0xff609fef,
    0xff5e9fef,
    0xff5d9eef,
    0xff5da0ee,
    0xff5da0f1,
    0xff5a9ff0,
    0xff5d9df0,
    0xff5c9df0,
    0xff5c9ef0,
    0xff5c9cf1,
    0xff5b9bf0,
    0xff5899ed,
    0xff5798ec,
    0xff5998f0,
    0xff589aed,
    0xff599aee,
    0xff599aee,
    0xff5798ec,
    0xff599aee,
    0xff5899ed,
    0xff5899ed,
    0xff599aee,
    0xff5798ec,
    0xff5899ed,
    0xff5798ec,
    0xff5798ec,
    0xff5595ed,
    0xff5696ed,
    0xff5696ed,
    0xff5696ed,
    0xff5395eb,
    0xff5597ee,
    0xff5597ee,
    0xff5294eb,
    0xff5193ea,
    0xff5192ec,
    0xff5293ec,
    0xff5192eb,
    0xff5293ed,
    0xff5293ed,
    0xff5091eb,
    0xff4f90ea,
    0xff5192ee,
    0xff5192ee,
    0xff5091ee,
    0xff5192ee,
    0xff4e8feb,
    0xff4e8feb,
    0xff5091ed,
    0xff5292ee,
    0xff4e91ec,
    0xff4f92ed,
    0xff4d90eb,
    0xff4e90eb,
    0xff4b91ee,
    0xff4a90ed,
    0xff4b90ed,
    0xff4c91ed,
    0xff4b90ef,
    0xff4b90f0,
    0xff498eed,
    0xff478ceb,
    0xff488dec,
    0xff488dec,
    0xff488dec,
    0xff488dec,
    0xff478cec,
    0xff498eed,
    0xff488dec,
    0xff488deb,
    0xff478ded,
    0xff448aea,
    0xff448aeb,
    0xff448beb,
    0xff4588ea,
    0xff468aeb,
    0xff478aec,
    0xff478aeb,
    0xff448ae8,
    0xff4288e6,
    0xff4388e8,
    0xff458aea,
    0xff448ae9,
    0xff4288ea,
    0xff4187e9,
    0xff4389eb,
    0xff3f85e5,
    0xff3d86e6,
    0xff3e85e8,
    0xff3b86e8,
    0xff3a83e9,
    0xff3a85eb,
    0xff3986eb,
    0xff3985ee,
    0xff3983ec,
    0xff3a84ed,
    0xff3a84ed,
    0xff3983ec,
    0xff3680ea,
    0xff3a84ed,
    0xff3781ea,
    0xff3882ec,
    0xff3a84f2,
    0xff537cdd,
    0xff7774bd,
    0xff7b619a,
    0xff695789,
    0xff666e97,
    0xff0b2e4b,
    0xff003244,
    0xff0d3b49,
    0xff185586,
    0xff074e67,
    0xff1c5646,
    0xff1b4141,
    0xff042332,
    0xff072628,
    0xff172d35,
    0xff023331,
    0xff09365e,
    0xff22537c,
    0xff002e59,
    0xff02376f,
    0xff054393,
    0xff2c6fd7,
    0xff2a77c5,
    0xff002d57,
    0xff093b4c,
    0xff002521,
    0xff07281d,
    0xff041f1c,
    0xff021b1b,
    0xff021f1a,
    0xff1e3f2f,
    0xff213a2d,
    0xffc7bdb2,
    0xff865f3f,
    0xff996036,
    0xffa0573b,
    0xff893324,
    0xffb06453,
    0xffa66965,
    0xff4c171d,
    0xff2f1718,
    0xff593a44,
    0xff250612,
    0xff060000,
    0xffab8b82,
    0xffd58d81,
    0xffa96855,
    0xff0c0000,
    0xff0d100f,
    0xff031612,
    0xff001711,
    0xff001311,
    0xff021318,
    0xff102a32,
    0xff052734,
    0xff523152,
    0xff684c70,
    0xff72628b,
    0xff7873a4,
    0xff6e6fa8,
    0xff6c6fb6,
    0xff6d72c1,
    0xff7074c6,
    0xff7e7aca,
    0xff988cdf,
    0xff9b89d4,
    0xffa080b6,
    0xffab6b8a,
    0xff872940,
    0xff6f1328,
    0xff591127,
    0xff5b0f1f,
    0xff4f0e1a,
    0xff4b0918,
    0xff5e0b1a,
    0xff6d0d1c,
    0xff6b0b16,
    0xff670611,
    0xff6d0715,
    0xff6b0619,
    0xff69111f,
    0xff6e202c,
    0xff530210,
    0xff58000b,
    0xff6b0512,
    0xff650009,
    0xff65000a,
    0xff5b000e,
    0xff5a000e,
    0xff63051c,
    0xff58011b,
    0xff50021c,
    0xff975773,
    0xff6d405c,
    0xff431f3a,
    0xff3f2934,
    0xff352933,
    0xff392d3d,
    0xff3d2943,
    0xff524463,
    0xff7a779a,
    0xff5a5074,
    0xff9a769a,
    0xff7f223c,
    0xff9d262e,
    0xffaa3227,
    0xffcc372f,
    0xffbf3025,
    0xffc2291e,
    0xffbf221f,
    0xffbc292e,
    0xffc53936,
    0xffcc3c34,
    0xffcb3829,
    0xffd13f2a,
    0xffcd3e28,
    0xffca3d2a,
    0xffca3a2a,
    0xffcf3d32,
    0xffbe352d,
    0xffaf2626,
    0xffc83c32,
    0xffbb3621,
    0xffb6352a,
    0xffc0372f,
    0xffca423c,
    0xffae4548,
    0xfffcd0d8,
    0xfffff2f6,
    0xffeae9f0,
    0xffe3f1fb,
    0xffd7e4fd,
    0xffbbc2e2,
    0xff676688,
    0xff2d2448,
    0xff35223a,
    0xff261534,
    0xff292147,
    0xff4f537e,
    0xff94a0cf,
    0xffc4d5ff,
    0xffcde0ff,
    0xffc5d9ff,
    0xffbcccef,
    0xffcde1f8,
    0xfff5ffff,
    0xfffffaf9,
    0xfffff9ff,
    0xfff9ffff,
    0xfff9d6de,
    0xff951317,
    0xffb80c11,
    0xffb22f3f,
    0xff97485c,
    0xff4f2d2f,
    0xff312219,
    0xff402422,
    0xff752029,
    0xffa01825,
    0xff91131b,
    0xff881215,
    0xff7f141f,
    0xff861617,
    0xff7f1614,
    0xff801721,
    0xff791819,
    0xffe6b8b2,
    0xfffef0e9,
    0xfffffcfc,
    0xffffffff,
    0xfff5fdff,
    0xfffcf1fe,
    0xfff7feff,
    0xfffffdff,
    0xffc36880,
    0xffc42d30,
    0xffd5372c,
    0xffda2c24,
    0xffc92321,
    0xffc81f20,
    0xffc92c1e,
    0xffcc4c32,
    0xffdd4b3d,
    0xffd53d2f,
    0xffa40712,
    0xff830223,
    0xff73041d,
    0xff7c0212,
    0xff76091d,
    0xff780f27,
    0xff85010e,
    0xff8a0022,
    0xff82091b,
    0xffa8131a,
    0xffd42d2d,
    0xffc63228,
    0xffcb2c27,
    0xffcf2926,
    0xffcd352a,
    0xffcc341d,
    0xffcb331c,
    0xffd9412e,
    0xffae1002,
    0xffd13524,
    0xfff05843,
    0xffe35337,
    0xffdf5736,
    0xffe06236,
    0xffdf5a37,
    0xffd15126,
    0xffd85f2a,
    0xffda5e31,
    0xffd95a2b,
    0xffc65135,
    0xffb45664,
    0xffd1c9e5,
    0xffb4cbfb,
    0xffb6c5f8,
    0xffb0c7f7,
    0xffbac6e5,
    0xffb3b4f0,
    0xffc0b8f7,
    0xff972f5d,
    0xff9f1333,
    0xffa31927,
    0xff9c1611,
    0xffa11a0f,
    0xffa41912,
    0xffa91a17,
    0xffa5140c,
    0xffa31108,
    0xff9e1124,
    0xff890020,
    0xff7f052c,
    0xff7e0123,
    0xff9e0425,
    0xffa50d27,
    0xff860015,
    0xff90011b,
    0xff92041c,
    0xff881019,
    0xff8c001f,
    0xff920028,
    0xff8a0314,
    0xff89070c,
    0xff7f0009,
    0xff8a000f,
    0xff940715,
    0xffbd3914,
    0xffd16626,
    0xffda742f,
    0xffea731c,
    0xfff5861f,
    0xffe78523,
    0xffd6670d,
    0xfffb7e3d,
    0xffaa1500,
    0xff970708,
    0xff90090d,
    0xff8f010a,
    0xff850707,
    0xff770408,
    0xff700015,
    0xff8f517e,
    0xffeac7ff,
    0xff701e55,
    0xff805892,
    0xffa7ccff,
    0xffa8c4fc,
    0xffa6c8eb,
    0xff9ec8ed,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa4c5f2,
    0xffa4c6f2,
    0xffa5c6f3,
    0xffa6c6f3,
    0xffa4c5f2,
    0xffa4c4f2,
    0xffa0ccf2,
    0xffa6aff8,
    0xffb490e6,
    0xff72276c,
    0xff780c48,
    0xff870545,
    0xff8e0d4a,
    0xff86113e,
    0xff811854,
    0xff9777b2,
    0xffa6c5fb,
    0xffa5c9f8,
    0xffa7c3f0,
    0xffa4c5f3,
    0xffa2c4f7,
    0xffa7c2f3,
    0xffa4c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa3c5f3,
    0xff9fc1ef,
    0xffa1c3f1,
    0xff9fc1ef,
    0xff9fc1ef,
    0xffa1c3f0,
    0xffa0c2ef,
    0xffa0c2f0,
    0xffa0c3f1,
    0xffa1c3f2,
    0xffa1c3f2,
    0xffa1c3f2,
    0xffa1c2f2,
    0xffa2c3f3,
    0xffa1c3f2,
    0xffa0c1f1,
    0xffa0c1f1,
    0xffa0c2f1,
    0xffa0c2f1,
    0xffa0c2f1,
    0xffa0c0f4,
    0xff9ebff2,
    0xff9fc0f3,
    0xff9fc0f3,
    0xff9ebff2,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f2,
    0xff9bbff1,
    0xff9abef0,
    0xff9bbff1,
    0xff9ec2f4,
    0xff9dc0f1,
    0xff9cc0f2,
    0xff9dc1f2,
    0xff9ec2f4,
    0xff9ec2f3,
    0xff9cc0f4,
    0xff9abef2,
    0xff98bcf0,
    0xff9bbef4,
    0xff9bbdf4,
    0xff9bbef4,
    0xff9abcf3,
    0xff9bbdf4,
    0xff9bbdf4,
    0xff9abdf3,
    0xff98bbf1,
    0xff99bff2,
    0xff9bc0f3,
    0xff9abff3,
    0xff9bc0f3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9cc1f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff2,
    0xff9abff2,
    0xff9abff4,
    0xff99bef3,
    0xff98bdf2,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff96bbf0,
    0xff97bcf0,
    0xff95baee,
    0xff94b9ee,
    0xff93b8ee,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff95b8f3,
    0xff94b8f2,
    0xff93b6f0,
    0xff91b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff91b8f1,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff8fb6ef,
    0xff91b8ef,
    0xff91b8f1,
    0xff91b8f0,
    0xff92b9f4,
    0xff8fb6f1,
    0xff90b5f4,
    0xff90b6f3,
    0xff8db4f2,
    0xff8cb4f3,
    0xff8db4f3,
    0xff8cb4f2,
    0xff8db4f3,
    0xff8cb7f2,
    0xff8bb5f1,
    0xff8ab5f0,
    0xff8cb6f3,
    0xff89b2f0,
    0xff8ab3f1,
    0xff8bb4f5,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8bb4f3,
    0xff8ab3f6,
    0xff8bb4f7,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff88b1f1,
    0xff88b1f1,
    0xff86b3f2,
    0xff85b1f0,
    0xff85b1f0,
    0xff87b3f2,
    0xff86b2f0,
    0xff85b1f0,
    0xff85b1f0,
    0xff85b1ef,
    0xff85b0f2,
    0xff83b0f2,
    0xff84b0f2,
    0xff81b2f4,
    0xff82b2f4,
    0xff81aef1,
    0xff83b1f4,
    0xff82adf3,
    0xff80aff2,
    0xff7faef2,
    0xff7eadf1,
    0xff7dacf0,
    0xff7caef0,
    0xff7cadf0,
    0xff7bacef,
    0xff7cadf0,
    0xff7cacf0,
    0xff7baaf1,
    0xff7baaf0,
    0xff7baaf1,
    0xff7bacf1,
    0xff7babf0,
    0xff7bacf0,
    0xff7bacf1,
    0xff75a9ed,
    0xff75abee,
    0xff78aaee,
    0xff7aacf3,
    0xff7aacf3,
    0xff79aaf1,
    0xff7aaaf2,
    0xff79a9f4,
    0xff78aaf1,
    0xff78a9f0,
    0xff78aaf4,
    0xff78aaf3,
    0xff77a9f2,
    0xff77a9f1,
    0xff76a6f3,
    0xff75a6f2,
    0xff76a7f0,
    0xff75a5ef,
    0xff75a7ef,
    0xff74a5ee,
    0xff71a5ee,
    0xff71a7ef,
    0xff72a8f0,
    0xff70a6ee,
    0xff71a7ef,
    0xff73a8f0,
    0xff74a9f1,
    0xff6fa8f2,
    0xff6da5ef,
    0xff6ea6f0,
    0xff70a8f2,
    0xff70a8f2,
    0xff71a5f2,
    0xff6ea3ef,
    0xff70a6f2,
    0xff6fa4f0,
    0xff6fa5f1,
    0xff6fa4f0,
    0xff6ea3ef,
    0xff6da2ee,
    0xff6fa3ee,
    0xff6fa2ef,
    0xff6ea1ef,
    0xff6da2ef,
    0xff6ca2ef,
    0xff69a2ee,
    0xff6aa1f1,
    0xff6aa1f0,
    0xff6aa1f1,
    0xff669fee,
    0xff69a3f2,
    0xff64a3f0,
    0xff64a3f0,
    0xff64a3f0,
    0xff67a1f0,
    0xff66a2f0,
    0xff6ba3f1,
    0xff68a0ed,
    0xff67a1e9,
    0xff68a0ec,
    0xff65a0f0,
    0xff659ff1,
    0xff659fef,
    0xff629eee,
    0xff62a0f4,
    0xff649df1,
    0xff639df2,
    0xff649bf1,
    0xff629cee,
    0xff609eee,
    0xff61a0ef,
    0xff5f9df0,
    0xff619eee,
    0xff619def,
    0xff619def,
    0xff619eef,
    0xff5f9eee,
    0xff5c9cec,
    0xff5e9ded,
    0xff5d9ded,
    0xff5c9eed,
    0xff5f9eed,
    0xff5e9cec,
    0xff5f9cef,
    0xff5e9bed,
    0xff5e9bf1,
    0xff599aee,
    0xff5799ef,
    0xff5d99ef,
    0xff5997ec,
    0xff5a98ed,
    0xff5a97ed,
    0xff5698eb,
    0xff5898ec,
    0xff5699ed,
    0xff5598ec,
    0xff5899ed,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5798eb,
    0xff5798eb,
    0xff5798eb,
    0xff5798eb,
    0xff5594ec,
    0xff5595ec,
    0xff5595ed,
    0xff5494ec,
    0xff5594ef,
    0xff5092eb,
    0xff5293ef,
    0xff5192ef,
    0xff5293ec,
    0xff5192ec,
    0xff5293ed,
    0xff5091eb,
    0xff5192eb,
    0xff5091eb,
    0xff5293ed,
    0xff5191eb,
    0xff5093ec,
    0xff5093eb,
    0xff4f93ee,
    0xff4f91f0,
    0xff5092f2,
    0xff4d8fed,
    0xff4f92ed,
    0xff4f92ed,
    0xff4d8eed,
    0xff4f91ef,
    0xff4d93f0,
    0xff4d92ef,
    0xff4e93ef,
    0xff4d92ef,
    0xff4b90ed,
    0xff468eea,
    0xff488de8,
    0xff468be8,
    0xff488dea,
    0xff478ce9,
    0xff478ce8,
    0xff488dec,
    0xff488dec,
    0xff488dec,
    0xff478dec,
    0xff468ceb,
    0xff458bea,
    0xff468ceb,
    0xff468ceb,
    0xff468ceb,
    0xff448be9,
    0xff4389e8,
    0xff448ded,
    0xff428aec,
    0xff3e86e8,
    0xff428aec,
    0xff468cee,
    0xff448aec,
    0xff4389eb,
    0xff4589eb,
    0xff4087eb,
    0xff3b84e8,
    0xff3d86ec,
    0xff3c84eb,
    0xff3c84ea,
    0xff3c84ea,
    0xff3b83eb,
    0xff3c83eb,
    0xff3984e9,
    0xff3984ea,
    0xff3983ee,
    0xff3b82ef,
    0xff3a81f0,
    0xff3a83ec,
    0xff3985ea,
    0xff3782e5,
    0xff4084e2,
    0xff6180d3,
    0xff885272,
    0xff982e27,
    0xff8a2c31,
    0xff74323e,
    0xff58464e,
    0xff11445a,
    0xff002346,
    0xff0d3d4a,
    0xff1c5361,
    0xff174b41,
    0xff093022,
    0xff162e40,
    0xff001b21,
    0xff052b17,
    0xff133d28,
    0xff164037,
    0xff002628,
    0xff073342,
    0xff0b3a5b,
    0xff063d77,
    0xff0e51a6,
    0xff3985e5,
    0xff0e5381,
    0xff002f41,
    0xff072d2c,
    0xff0b2523,
    0xff061819,
    0xff001610,
    0xff0b2521,
    0xff0c2528,
    0xff252e1a,
    0xff776750,
    0xff8c5c40,
    0xffa2613e,
    0xffae6641,
    0xff9b5535,
    0xff9e543f,
    0xffae6055,
    0xff7d2d29,
    0xff7f493e,
    0xff855642,
    0xff855e4d,
    0xff70574e,
    0xffad8668,
    0xffbf774e,
    0xffba7157,
    0xff5b4242,
    0xff0e0604,
    0xff050e0c,
    0xff031613,
    0xff001313,
    0xff01181b,
    0xff061e24,
    0xff11262d,
    0xff473563,
    0xff5f5385,
    0xff6e66a3,
    0xff726fb7,
    0xff6c6ebd,
    0xff696ec0,
    0xff7278ca,
    0xff7a80d0,
    0xff6a85ce,
    0xff8092da,
    0xff9d99d9,
    0xff663e69,
    0xff69132a,
    0xff860e1b,
    0xff88101f,
    0xff760c1f,
    0xff6b1220,
    0xff5e121d,
    0xff58101c,
    0xff630b1b,
    0xff6a0717,
    0xff690b17,
    0xff650917,
    0xff680419,
    0xff6c0718,
    0xff640415,
    0xff5c0613,
    0xff5e0513,
    0xff60010f,
    0xff66000e,
    0xff65000b,
    0xff67030a,
    0xff690314,
    0xff640212,
    0xff620516,
    0xff610416,
    0xff60071e,
    0xff53051d,
    0xff4d0c24,
    0xff4c1931,
    0xff452637,
    0xff3c2737,
    0xff3b293d,
    0xff392440,
    0xff726686,
    0xffffffff,
    0xffeee8ff,
    0xffffe9ff,
    0xffb74556,
    0xffb41f27,
    0xffbd2c23,
    0xffc92125,
    0xffc02524,
    0xffc6201f,
    0xffc7191b,
    0xffbe1b23,
    0xffc02a2b,
    0xffcb3430,
    0xffce362a,
    0xffd23f2d,
    0xffcd3e2b,
    0xffc93d2c,
    0xffbc3127,
    0xffb72c24,
    0xffa73518,
    0xff921d1a,
    0xff9e232d,
    0xff9b212c,
    0xff9a1d2f,
    0xffa31a28,
    0xff911f24,
    0xffb1747c,
    0xffffffff,
    0xfff5f2ff,
    0xfffcfeff,
    0xffdfe1ff,
    0xff7d7a99,
    0xff342949,
    0xff2f213a,
    0xff23172c,
    0xff272445,
    0xff64658a,
    0xffb2b9e2,
    0xffc9d6ff,
    0xffc8d8ff,
    0xffc2d6ff,
    0xffbfd3f7,
    0xffbed1f5,
    0xffc0d0ee,
    0xffd3e2f5,
    0xffeef9fd,
    0xfffffbf9,
    0xfffef9ff,
    0xfff6ffff,
    0xffffffff,
    0xffcd747e,
    0xff98121f,
    0xffa74353,
    0xff6d3d47,
    0xff3d2326,
    0xff441d22,
    0xff671c2b,
    0xff851b2d,
    0xff8d151f,
    0xff911724,
    0xff8d161c,
    0xff82121d,
    0xff8d1917,
    0xff7e1d12,
    0xff691110,
    0xff721815,
    0xffb98282,
    0xffffffff,
    0xfffffbfe,
    0xfff5ffff,
    0xffdde7ec,
    0xffefecf8,
    0xffe5f4fb,
    0xfff0effa,
    0xffc37c9b,
    0xffb7263a,
    0xffd1292d,
    0xffc8140f,
    0xffc81a19,
    0xffcf1d21,
    0xffd2251f,
    0xffcb3720,
    0xffe44b34,
    0xffd54933,
    0xffd74a3c,
    0xff990e19,
    0xff850013,
    0xff820011,
    0xff75021a,
    0xff73001d,
    0xff83000e,
    0xff820519,
    0xff770311,
    0xff960313,
    0xffc71c26,
    0xffd13229,
    0xffd83324,
    0xffdd3124,
    0xffce3223,
    0xffca321b,
    0xffd03925,
    0xffd53e30,
    0xffb71e14,
    0xff9a0300,
    0xffb72019,
    0xffb32418,
    0xffa01a0b,
    0xffc4462f,
    0xffea674a,
    0xffdb5b2c,
    0xffd45925,
    0xffd95b31,
    0xffdd5b33,
    0xffd05b3a,
    0xffc56566,
    0xffcfc1e1,
    0xffb2c8f5,
    0xffafc9f0,
    0xffaccafc,
    0xffbecaea,
    0xffc8b3ea,
    0xffc495d0,
    0xff851438,
    0xff9f132c,
    0xff9c0f1b,
    0xff990d0a,
    0xffa2150e,
    0xffa51414,
    0xffa51415,
    0xffa31010,
    0xff9c0c04,
    0xff950e0f,
    0xff8e000f,
    0xff880218,
    0xff93081f,
    0xffcd2a42,
    0xffac1224,
    0xff880113,
    0xff8a031b,
    0xff850a12,
    0xff7b0a14,
    0xff86041b,
    0xff89041a,
    0xff860312,
    0xff8a041e,
    0xff81041a,
    0xff87030b,
    0xff8d0e0c,
    0xffa41e09,
    0xff951804,
    0xff97220c,
    0xffc03f0d,
    0xffe4661b,
    0xfff98837,
    0xffd36510,
    0xffce561c,
    0xffb11c0b,
    0xffa2080b,
    0xff9c090c,
    0xff95010c,
    0xff820000,
    0xff790601,
    0xff840115,
    0xff6e000b,
    0xffad599f,
    0xff91427f,
    0xff88699e,
    0xffb4cbf5,
    0xffafc3f7,
    0xff9ecaf2,
    0xffa2c3f2,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa4c5f2,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa4c6f3,
    0xffa4c8f5,
    0xffa5bdfa,
    0xffaca1ec,
    0xff8d4e97,
    0xff770a4d,
    0xff870946,
    0xff880b41,
    0xff881240,
    0xff7b0f50,
    0xffa47ec0,
    0xff9fb4f1,
    0xffa3c2f3,
    0xffa8c2f0,
    0xffa2c4f3,
    0xffa1c6f6,
    0xffa6c2f3,
    0xffa4c5f2,
    0xffa2c5f3,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f1,
    0xffa0c2f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa0c2f2,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc2f1,
    0xffa0c1f4,
    0xff9dbef1,
    0xff9ebff2,
    0xffa0c1f4,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9cc0ef,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9abeef,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9bbff2,
    0xff9bbff3,
    0xff99bdf1,
    0xff98bcf0,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff9abff2,
    0xff9abff4,
    0xff99bef3,
    0xff98bdf2,
    0xff99bef3,
    0xff98bdf2,
    0xff97bcf1,
    0xff98bdf2,
    0xff98bdf2,
    0xff97bcf1,
    0xff97bcf1,
    0xff95baef,
    0xff95b9f4,
    0xff95b9f3,
    0xff95b9f3,
    0xff93b7f1,
    0xff94b8f2,
    0xff96baf4,
    0xff97bbf5,
    0xff96baf4,
    0xff90b8f1,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff91b8f1,
    0xff8fb6ed,
    0xff90b7f0,
    0xff90b7f0,
    0xff91b8f3,
    0xff8fb6f1,
    0xff90b5f4,
    0xff90b6f4,
    0xff8eb4f2,
    0xff8eb7f3,
    0xff8cb4f1,
    0xff8bb3f0,
    0xff8db5f2,
    0xff8db4f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f3,
    0xff8bb4f6,
    0xff8bb4f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff88b1f1,
    0xff86afef,
    0xff87b3f2,
    0xff89b5f4,
    0xff89b5f4,
    0xff86b2f1,
    0xff85b1f0,
    0xff86b2f1,
    0xff86b2f1,
    0xff87b3f1,
    0xff84b0f1,
    0xff85b1f2,
    0xff84b0f1,
    0xff81b2f4,
    0xff81b2f4,
    0xff80adf0,
    0xff83aef2,
    0xff82adf1,
    0xff82b0f4,
    0xff7faff3,
    0xff7eadf1,
    0xff7eadf1,
    0xff7fadf2,
    0xff7eaff2,
    0xff7bacef,
    0xff7bacef,
    0xff80aef5,
    0xff7eadf3,
    0xff7dabf2,
    0xff7aacf0,
    0xff7aabf0,
    0xff7bacf1,
    0xff7bacf1,
    0xff79abf0,
    0xff78aff2,
    0xff7cadf2,
    0xff79abf0,
    0xff78aaf2,
    0xff78aaf1,
    0xff7aa9f2,
    0xff7aaaf2,
    0xff79a8f0,
    0xff77a9f0,
    0xff77a9f0,
    0xff77a9ef,
    0xff77a9f2,
    0xff78aaf3,
    0xff78aaf3,
    0xff77a9f1,
    0xff76a7f4,
    0xff78a8f2,
    0xff75a4ef,
    0xff75a7f0,
    0xff75a7f0,
    0xff70a4ed,
    0xff6fa6ee,
    0xff70a6ee,
    0xff72a8f0,
    0xff6fa5ed,
    0xff70a6ee,
    0xff71a7ef,
    0xff70a6f0,
    0xff6da5ef,
    0xff6fa7f1,
    0xff70a8f2,
    0xff6fa8f1,
    0xff73a8f4,
    0xff73a8f4,
    0xff6fa4f0,
    0xff6da2ee,
    0xff6ca1ed,
    0xff6da2ee,
    0xff6ea3ef,
    0xff6ea3ef,
    0xff6fa2ee,
    0xff6fa3ee,
    0xff6da2ee,
    0xff6ca1f0,
    0xff6da2f0,
    0xff6da1f0,
    0xff69a2ee,
    0xff6ba2f2,
    0xff69a0f0,
    0xff67a0ef,
    0xff66a1ef,
    0xff63a2ef,
    0xff64a2ef,
    0xff65a3f0,
    0xff67a2f0,
    0xff66a1ef,
    0xff66a1f2,
    0xff66a1f1,
    0xff65a1f0,
    0xff68a0f1,
    0xff669ef1,
    0xff669df2,
    0xff669ef0,
    0xff669def,
    0xff629eee,
    0xff619fef,
    0xff649eef,
    0xff659cf0,
    0xff659def,
    0xff649ff3,
    0xff629ef2,
    0xff619df2,
    0xff609eef,
    0xff619eee,
    0xff619eef,
    0xff619eef,
    0xff609ced,
    0xff5e9eee,
    0xff609fef,
    0xff5f9eee,
    0xff5f9dec,
    0xff5f9eee,
    0xff619eef,
    0xff619ef1,
    0xff609def,
    0xff5f9df2,
    0xff5b9cf0,
    0xff5a9df0,
    0xff5c99ef,
    0xff5997ec,
    0xff5996eb,
    0xff5799ec,
    0xff5a9bef,
    0xff5899ed,
    0xff5799ed,
    0xff5799ed,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5697eb,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5798eb,
    0xff5797ee,
    0xff5797ee,
    0xff5797ee,
    0xff5695ee,
    0xff5598ee,
    0xff5293ee,
    0xff5192ec,
    0xff5192ec,
    0xff5293ed,
    0xff5192ec,
    0xff5293ed,
    0xff5091eb,
    0xff5091eb,
    0xff5192ec,
    0xff5091eb,
    0xff5091eb,
    0xff4f93ec,
    0xff5093eb,
    0xff5093ee,
    0xff5092f0,
    0xff4e90ee,
    0xff4d8fed,
    0xff4f92ec,
    0xff4e91ec,
    0xff4e90ee,
    0xff4d8fed,
    0xff4d8eed,
    0xff4b91ee,
    0xff4b90ed,
    0xff4b90ed,
    0xff4b8fed,
    0xff478feb,
    0xff4b90ea,
    0xff4a8fec,
    0xff4b90ed,
    0xff498eeb,
    0xff468be8,
    0xff468beb,
    0xff468bea,
    0xff478ceb,
    0xff458bea,
    0xff478dec,
    0xff4288e7,
    0xff478dec,
    0xff458bea,
    0xff468ceb,
    0xff458bea,
    0xff448ae9,
    0xff4088ea,
    0xff428aed,
    0xff4089eb,
    0xff448cef,
    0xff448aec,
    0xff4288ea,
    0xff4086e8,
    0xff4086e8,
    0xff3f83e9,
    0xff3f84e9,
    0xff4085ea,
    0xff4085ea,
    0xff4085ec,
    0xff4085ec,
    0xff4085ec,
    0xff3f86ec,
    0xff3983e8,
    0xff3883e9,
    0xff3883ea,
    0xff3983eb,
    0xff3882ec,
    0xff3983ed,
    0xff3984e9,
    0xff3a84eb,
    0xff3e7afa,
    0xff5c73d3,
    0xff8c5470,
    0xff7f160a,
    0xff832712,
    0xff904122,
    0xff8a5148,
    0xff342d5b,
    0xff182440,
    0xff113643,
    0xff0a3642,
    0xff0d3433,
    0xff13302b,
    0xff2b4d55,
    0xff072d2d,
    0xff1e4230,
    0xff183928,
    0xff0c2c2a,
    0xff08282d,
    0xff123337,
    0xff002324,
    0xff002235,
    0xff12487f,
    0xff3f77d2,
    0xff2e64bb,
    0xff0d3a78,
    0xff001f3f,
    0xff001918,
    0xff01190e,
    0xff01180d,
    0xff00170f,
    0xff00170c,
    0xff192e12,
    0xff4d5031,
    0xff6c5534,
    0xff67441f,
    0xff725128,
    0xff7f623c,
    0xff735235,
    0xff542d17,
    0xff784633,
    0xff855c43,
    0xff895c3a,
    0xff8b674b,
    0xff756851,
    0xff7e6b46,
    0xff976c42,
    0xffad7a6a,
    0xff4b3a38,
    0xff060401,
    0xff03100c,
    0xff001411,
    0xff061d1e,
    0xff04191d,
    0xff0d2126,
    0xff071c20,
    0xff513c6b,
    0xff62518a,
    0xff7062a8,
    0xff7b70c5,
    0xff726cc8,
    0xff6b6cc7,
    0xff7075c9,
    0xff777dce,
    0xff757dd0,
    0xff8085d1,
    0xffa592d0,
    0xff985883,
    0xff771128,
    0xff80101b,
    0xff750e1b,
    0xff6e1124,
    0xff6b0c18,
    0xff5e0c15,
    0xff5e0e16,
    0xff660a17,
    0xff690618,
    0xff620615,
    0xff5f0716,
    0xff630417,
    0xff690013,
    0xff670315,
    0xff5e0211,
    0xff600511,
    0xff620210,
    0xff66010e,
    0xff66020b,
    0xff66020c,
    0xff63030e,
    0xff62020d,
    0xff63030e,
    0xff64020f,
    0xff680617,
    0xff64071c,
    0xff5f0b1f,
    0xff570f20,
    0xff4a1d33,
    0xff452338,
    0xff432b41,
    0xff3d2847,
    0xff8480a0,
    0xffdfe7ff,
    0xffeaedff,
    0xffefdaef,
    0xffac3542,
    0xffce2b31,
    0xffc2231f,
    0xffcb1e28,
    0xffc5212c,
    0xffcc1f25,
    0xffc8151a,
    0xffc61721,
    0xffc12127,
    0xffc82c2b,
    0xffe44c44,
    0xffda4738,
    0xffcb412d,
    0xffc33d2e,
    0xffa6231a,
    0xffb1322c,
    0xffb75038,
    0xff8c2226,
    0xff94212e,
    0xff922429,
    0xff97242a,
    0xff9c1b29,
    0xff83223c,
    0xffdabce2,
    0xffeff8ff,
    0xffd2d6f7,
    0xff8884ac,
    0xff443857,
    0xff2e1f2e,
    0xff231523,
    0xff342c4b,
    0xff6a6899,
    0xffa1b5e3,
    0xffc0d5ff,
    0xffbed5ff,
    0xffbdd2fb,
    0xffbbd1f8,
    0xffbad0f5,
    0xffbbd2f1,
    0xffb6cded,
    0xffc3d1ea,
    0xffe2edf9,
    0xffecf7fa,
    0xffecf3f7,
    0xfff5f8fa,
    0xffecfaf6,
    0xfffdffff,
    0xfffff9ff,
    0xffac7c8c,
    0xff79444f,
    0xff50222c,
    0xff391f29,
    0xff4a2a38,
    0xff843e4f,
    0xff7c1426,
    0xff851122,
    0xff8c1126,
    0xff8c181e,
    0xff83141c,
    0xff891514,
    0xff791d10,
    0xff631a0f,
    0xff6f1c15,
    0xff86444b,
    0xffffffff,
    0xfffffaff,
    0xfff3fdff,
    0xffdfecf5,
    0xffe5e8f7,
    0xffd4eaf7,
    0xffc2d3e8,
    0xfff0c7ee,
    0xffb0445d,
    0xffb6121d,
    0xffc51812,
    0xffc5201c,
    0xffc62326,
    0xffca2f28,
    0xffca3624,
    0xffcf4229,
    0xffe0523b,
    0xffbd301c,
    0xffad1823,
    0xff8e001c,
    0xff800012,
    0xff79040d,
    0xff770215,
    0xff790015,
    0xff790c15,
    0xff810518,
    0xff8f001a,
    0xffb41322,
    0xffd4332c,
    0xffd93322,
    0xffd42818,
    0xffc72015,
    0xffd13625,
    0xffe75041,
    0xffc22f27,
    0xffb62521,
    0xff980408,
    0xff870000,
    0xff890003,
    0xff850004,
    0xff740000,
    0xff8a0800,
    0xffcf5026,
    0xffd15525,
    0xffda5736,
    0xffdf5835,
    0xffd75e3c,
    0xffcc695d,
    0xffdbc1e3,
    0xffb5c7f1,
    0xffa6cceb,
    0xffa7ccff,
    0xffbacdf1,
    0xffcdabdc,
    0xffa74e82,
    0xff8d1732,
    0xff9b1222,
    0xffa2161f,
    0xffa51417,
    0xffa81213,
    0xffaa1215,
    0xffa50d10,
    0xffab1616,
    0xffa2130c,
    0xff951300,
    0xffac1d11,
    0xffad1b1b,
    0xff9c030e,
    0xffb10c1a,
    0xffb21624,
    0xff870211,
    0xff83021a,
    0xff8b0518,
    0xff840219,
    0xff900313,
    0xff8b070c,
    0xff89051a,
    0xff900026,
    0xff850321,
    0xff850b20,
    0xffa13948,
    0xffa32024,
    0xffa0171a,
    0xff961418,
    0xff960b00,
    0xffac1a00,
    0xffdf5c2f,
    0xffdd6929,
    0xffb53610,
    0xffa11005,
    0xffad1b14,
    0xff970401,
    0xffa00613,
    0xff8d0106,
    0xff7d0500,
    0xff800405,
    0xff7e0405,
    0xff740e35,
    0xff6f2a53,
    0xffa09cd0,
    0xffafc6f3,
    0xffabc2f3,
    0xff9ccbf5,
    0xffa7c1f6,
    0xffa5c6f3,
    0xffa5c7f3,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa9c4f6,
    0xffa2c7f9,
    0xff9dace9,
    0xff9f70c0,
    0xff710c57,
    0xff860d44,
    0xff860d3c,
    0xff850e45,
    0xff720f55,
    0xffa880c7,
    0xff9cace9,
    0xffacc6f9,
    0xffa8c0ef,
    0xffa0c3f3,
    0xff9dc5f5,
    0xffa1c4f1,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa0c2f3,
    0xffa0c2f3,
    0xffa0c2f3,
    0xffa0c2f3,
    0xffa0c2f3,
    0xffa1c3f3,
    0xffa2c4f4,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xff9fc0f4,
    0xffa0c1f4,
    0xffa0c1f4,
    0xff9ebef1,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9bbfee,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff99bdef,
    0xff99bdf1,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9bbff3,
    0xff99bdf1,
    0xff99bdf1,
    0xff99bdf1,
    0xff9abef2,
    0xff9abef2,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff9abff2,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff98bdf2,
    0xff99bef3,
    0xff98bdf2,
    0xff97bcf1,
    0xff97bcf1,
    0xff95baef,
    0xff92b8ec,
    0xff96baf4,
    0xff96b9f4,
    0xff95b9f3,
    0xff94b8f2,
    0xff95b9f3,
    0xff94b8f2,
    0xff95b9f3,
    0xff94b8f2,
    0xff90b8f1,
    0xff91b8f1,
    0xff92b9f2,
    0xff91b8f1,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f1,
    0xff91b8ee,
    0xff90b7f1,
    0xff91b8f1,
    0xff91b8f0,
    0xff90b7f2,
    0xff8fb7f1,
    0xff8fb5f4,
    0xff90b6f4,
    0xff91b7f5,
    0xff8cb5f2,
    0xff8cb4f1,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db7f3,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8db6f4,
    0xff8db6f6,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8cb5f5,
    0xff88b4f3,
    0xff87b3f2,
    0xff87b3f2,
    0xff86b3f2,
    0xff84b0ef,
    0xff84b0ef,
    0xff84b0ef,
    0xff84b0ef,
    0xff86b2f3,
    0xff84b0f1,
    0xff83b1f2,
    0xff84b1f1,
    0xff83b0f4,
    0xff82aff2,
    0xff83aef2,
    0xff82adf1,
    0xff81aef2,
    0xff82aff3,
    0xff7faef2,
    0xff7faef2,
    0xff7faef2,
    0xff7faef2,
    0xff7dabef,
    0xff7badef,
    0xff7cadf2,
    0xff7bacf2,
    0xff7bacf1,
    0xff7cadf2,
    0xff7cacf2,
    0xff7aacf2,
    0xff7badf2,
    0xff79abf1,
    0xff79abf0,
    0xff7aacf1,
    0xff78aaef,
    0xff7aacf0,
    0xff79abf2,
    0xff7aa9f1,
    0xff7aa9f2,
    0xff79a8f0,
    0xff77a9f0,
    0xff77a9f0,
    0xff77a9f0,
    0xff77a9f2,
    0xff77a9f2,
    0xff76a8f1,
    0xff76a8f1,
    0xff76a8f1,
    0xff78a8f2,
    0xff75a4ee,
    0xff73a6ef,
    0xff75a6ef,
    0xff74a8f1,
    0xff74a7f0,
    0xff71a7ef,
    0xff71a7ef,
    0xff72a8f0,
    0xff73a9f1,
    0xff73a9f1,
    0xff72a8f2,
    0xff6da6f0,
    0xff6ea6f0,
    0xff70a8f2,
    0xff6ea6f0,
    0xff70a5f1,
    0xff73a8f4,
    0xff6ea3ef,
    0xff6da2ee,
    0xff6ea3ef,
    0xff6ea3ef,
    0xff6da2ee,
    0xff6da2ee,
    0xff6fa3ef,
    0xff6da3ef,
    0xff6ea3ee,
    0xff6ea3f1,
    0xff6ea3f1,
    0xff6ca1ef,
    0xff6da1f0,
    0xff6aa3ef,
    0xff699ff0,
    0xff68a1f0,
    0xff65a0ee,
    0xff67a2f0,
    0xff64a3f0,
    0xff67a1f0,
    0xff66a1f0,
    0xff67a2f0,
    0xff62a0ef,
    0xff62a1f0,
    0xff66a0ee,
    0xff65a0ee,
    0xff66a0f0,
    0xff659eee,
    0xff669ded,
    0xff649ceb,
    0xff60a0e9,
    0xff619feb,
    0xff61a0ec,
    0xff639fef,
    0xff649bee,
    0xff669ef3,
    0xff639bf3,
    0xff639bf1,
    0xff639cef,
    0xff609eee,
    0xff619eef,
    0xff619eef,
    0xff609dee,
    0xff5e9ded,
    0xff609fef,
    0xff609fef,
    0xff609fef,
    0xff5f9fef,
    0xff619eef,
    0xff5f9cf0,
    0xff609cef,
    0xff5f9cef,
    0xff5b9df1,
    0xff5c9df1,
    0xff5899ed,
    0xff5a9bef,
    0xff5c9df1,
    0xff599aee,
    0xff5799ed,
    0xff5a97ec,
    0xff5996ec,
    0xff5a97ec,
    0xff5799ec,
    0xff5798ec,
    0xff5899ed,
    0xff5697eb,
    0xff5697eb,
    0xff5697eb,
    0xff5697eb,
    0xff5697eb,
    0xff5697eb,
    0xff5798ec,
    0xff5798eb,
    0xff5595ed,
    0xff5497ec,
    0xff5395ec,
    0xff5395ec,
    0xff5396ec,
    0xff5192ed,
    0xff5192ec,
    0xff5293ed,
    0xff5091eb,
    0xff5192ec,
    0xff5091eb,
    0xff5192ec,
    0xff4f90ea,
    0xff5093ec,
    0xff5093eb,
    0xff5093ee,
    0xff5091f0,
    0xff4e90ef,
    0xff4e8fee,
    0xff4f92ed,
    0xff4e91eb,
    0xff4f91f0,
    0xff4e90ee,
    0xff4d8eed,
    0xff4b91ee,
    0xff4b90ed,
    0xff4b90ed,
    0xff4b90ed,
    0xff4a8fec,
    0xff4a8fea,
    0xff4b90ed,
    0xff4b90ed,
    0xff488dea,
    0xff468be8,
    0xff468beb,
    0xff478ceb,
    0xff478bea,
    0xff468ceb,
    0xff4288e7,
    0xff478dec,
    0xff448ae9,
    0xff468ceb,
    0xff468ceb,
    0xff468ceb,
    0xff458ae9,
    0xff418bea,
    0xff428cea,
    0xff458bea,
    0xff448ae9,
    0xff4389e9,
    0xff4288e8,
    0xff4086e6,
    0xff4187e6,
    0xff4086e8,
    0xff448aec,
    0xff438aeb,
    0xff4087e8,
    0xff3f84ea,
    0xff3f85ea,
    0xff3f84e9,
    0xff3f85ea,
    0xff3b84eb,
    0xff3b84ea,
    0xff3b87eb,
    0xff3b87eb,
    0xff3c86ec,
    0xff3685e8,
    0xff3582eb,
    0xff3985f0,
    0xff3a82e8,
    0xff6780d3,
    0xffa26890,
    0xff6d0000,
    0xffa34029,
    0xffb55c2a,
    0xff8d3c12,
    0xff531f23,
    0xff3b3238,
    0xff082131,
    0xff00232b,
    0xff001821,
    0xff072027,
    0xff18443e,
    0xff26554a,
    0xff0e2b20,
    0xff102a20,
    0xff072419,
    0xff021e16,
    0xff041d12,
    0xff02170f,
    0xff041e22,
    0xff04243a,
    0xff001c3f,
    0xff093465,
    0xff183c72,
    0xff153154,
    0xff011a22,
    0xff011a19,
    0xff001419,
    0xff001514,
    0xff011909,
    0xff092e1a,
    0xff122a19,
    0xff162110,
    0xff0e1703,
    0xff091602,
    0xff000e00,
    0xff000900,
    0xff0b190e,
    0xff0c160a,
    0xff262015,
    0xff806052,
    0xff512c22,
    0xff3a2d22,
    0xff3e3d24,
    0xff41331c,
    0xff402a28,
    0xff000000,
    0xff040e0a,
    0xff021310,
    0xff031413,
    0xff041719,
    0xff021416,
    0xff041617,
    0xff001111,
    0xff4f4473,
    0xff63578e,
    0xff6a63a4,
    0xff6c68b5,
    0xff6c70c4,
    0xff6e79d0,
    0xff6b7dd2,
    0xff7086dc,
    0xff7783e4,
    0xff8188de,
    0xff9179bd,
    0xff752757,
    0xff7f0c26,
    0xff830f1d,
    0xff7c101b,
    0xff740d20,
    0xff6b0c18,
    0xff5f0b12,
    0xff5e0c10,
    0xff63050e,
    0xff660413,
    0xff610513,
    0xff620713,
    0xff650311,
    0xff640413,
    0xff620512,
    0xff620613,
    0xff5f0310,
    0xff61020d,
    0xff670610,
    0xff64000b,
    0xff67020d,
    0xff65020a,
    0xff64020b,
    0xff64030e,
    0xff690410,
    0xff690311,
    0xff62000f,
    0xff620717,
    0xff570411,
    0xff490e23,
    0xff4d1e2e,
    0xff4e2b41,
    0xff3e2a4d,
    0xff9090b4,
    0xffdae5ff,
    0xffdae1f7,
    0xffede5fc,
    0xffa64b5b,
    0xffbf2531,
    0xffc22222,
    0xffc91c24,
    0xffc11b26,
    0xffcb1e27,
    0xffc2131a,
    0xffbb1019,
    0xffb91c1e,
    0xffbf2924,
    0xffcf4032,
    0xffcf4530,
    0xffbc3521,
    0xffbc3929,
    0xffac2c25,
    0xff9a221d,
    0xff94231f,
    0xff951f2b,
    0xff932026,
    0xff902a1f,
    0xff8a261f,
    0xff8e1924,
    0xff913555,
    0xffc9afe0,
    0xff8079a4,
    0xff372e4b,
    0xff2b2233,
    0xff2a1e32,
    0xff342b4f,
    0xff7373a2,
    0xffb9c8f9,
    0xffc0deff,
    0xffb5d6ff,
    0xffaed0fb,
    0xffb4d1f9,
    0xffb4cdf3,
    0xffb6cdf0,
    0xffb6d0ef,
    0xffb1cdea,
    0xffb5cfee,
    0xffbfd1eb,
    0xffeef6ff,
    0xffe6f5fe,
    0xffdbeaf5,
    0xffe6ebef,
    0xfff5fff4,
    0xfff0fffc,
    0xffffffff,
    0xffc2cde2,
    0xff503f47,
    0xff3e1b23,
    0xff3e2b39,
    0xffdfdae7,
    0xffffffff,
    0xff99525a,
    0xff811229,
    0xff9c1328,
    0xff94171a,
    0xff8a141e,
    0xff910f1a,
    0xff801317,
    0xff6f1515,
    0xff761312,
    0xff803340,
    0xfffbf5fc,
    0xfffcfafe,
    0xffe6eff3,
    0xffe6f0fa,
    0xffdee7f7,
    0xffc6e2f4,
    0xffb8d2ef,
    0xffd4c8f3,
    0xffaa5c73,
    0xffb3172e,
    0xffc61a25,
    0xffc9252a,
    0xffc32727,
    0xffc93227,
    0xffd23029,
    0xffdb443f,
    0xffd44734,
    0xffcc3e32,
    0xffb73758,
    0xffa63a72,
    0xff720924,
    0xff750403,
    0xff7a0311,
    0xff6d001c,
    0xff770016,
    0xff91011c,
    0xff910013,
    0xffab101c,
    0xffc52427,
    0xffcb2721,
    0xffc41011,
    0xffc21213,
    0xffc0241e,
    0xffa00c08,
    0xff870000,
    0xff8a0002,
    0xff8f050d,
    0xff8a000a,
    0xff87000c,
    0xff84010d,
    0xff7a020a,
    0xff7a0000,
    0xff901000,
    0xffe16340,
    0xffd75336,
    0xffe25833,
    0xffd85d34,
    0xffc35b4b,
    0xffe4b8d6,
    0xffb6c6f0,
    0xffa6cfee,
    0xffaacafd,
    0xffb5d1f3,
    0xffc4addf,
    0xff872155,
    0xff96172c,
    0xff98101a,
    0xff9f1119,
    0xffa61117,
    0xffaa1012,
    0xffa70d06,
    0xff9e0900,
    0xffa91806,
    0xffc93d28,
    0xffe1652f,
    0xffe2572c,
    0xffd7442f,
    0xffa30b11,
    0xffa60719,
    0xff9e0014,
    0xff91031a,
    0xff850626,
    0xff87002b,
    0xff7e0023,
    0xff91000f,
    0xff8b0109,
    0xff85071a,
    0xff8e0017,
    0xff750014,
    0xff8e3664,
    0xffc076ad,
    0xff962541,
    0xff9f1917,
    0xff9b170c,
    0xff9f1110,
    0xffa5080f,
    0xffab190f,
    0xffd45c36,
    0xffd54635,
    0xffa2140d,
    0xff981507,
    0xff880200,
    0xffac1829,
    0xffa31223,
    0xff850402,
    0xff7d0504,
    0xff7f020f,
    0xff7f0012,
    0xff730f2b,
    0xffac9ae1,
    0xffb5cbff,
    0xffaec0f2,
    0xff9fc9f1,
    0xffa2c7f5,
    0xffa7c7f5,
    0xffa7c8f5,
    0xffa4c5f2,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffaac2fb,
    0xffa2c7f1,
    0xff93b0e5,
    0xffa08adb,
    0xff6e196a,
    0xff7f073c,
    0xff7e0634,
    0xff760e48,
    0xff61185c,
    0xffae96dc,
    0xff9babe8,
    0xffa7c1f3,
    0xffa7c2f0,
    0xffa2c3f6,
    0xffa0c7f7,
    0xffa1c6f1,
    0xffa3c4f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa0c2f0,
    0xffa1c3f0,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xff9fc0f4,
    0xff9fc0f4,
    0xffa0c1f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9fc3f2,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9bbff1,
    0xff9cc0f1,
    0xff9cc0f5,
    0xff9dc1f5,
    0xff9ec2f6,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9abef2,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff99bdf1,
    0xff99bff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bff3,
    0xff9abff3,
    0xff99bff3,
    0xff99bef2,
    0xff99bef2,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff3,
    0xff9abff2,
    0xff99bef4,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff99bef3,
    0xff96bbf0,
    0xff97bcf1,
    0xff98bdf2,
    0xff98bdf2,
    0xff97bcf1,
    0xff95bbf2,
    0xff96bbf1,
    0xff96bbf1,
    0xff96baf4,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff93b7f1,
    0xff94bcf5,
    0xff93baf3,
    0xff92b9f2,
    0xff91b9f1,
    0xff91b9f2,
    0xff91b9f2,
    0xff91b9f2,
    0xff91b9f2,
    0xff92b9ef,
    0xff92b9f2,
    0xff91b8f1,
    0xff90b7f0,
    0xff91b8f3,
    0xff8fb6f2,
    0xff8fb6f1,
    0xff91b8f2,
    0xff91b8f3,
    0xff90b7f1,
    0xff8db5f2,
    0xff8bb3f1,
    0xff8cb4f1,
    0xff8cb4f1,
    0xff8cb4f1,
    0xff89b4ef,
    0xff8ab3f2,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff8db6f6,
    0xff8db6f6,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b1f1,
    0xff88b1f1,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff88b0f3,
    0xff85b2f3,
    0xff85b0f1,
    0xff82aff0,
    0xff82aff0,
    0xff86b0f5,
    0xff84b0f4,
    0xff84acf1,
    0xff83b0f5,
    0xff81aff3,
    0xff80adf1,
    0xff7daaee,
    0xff7eaef2,
    0xff7faef2,
    0xff7cabef,
    0xff7eacf1,
    0xff7daef1,
    0xff7cadf0,
    0xff7aabee,
    0xff7aabee,
    0xff7baff1,
    0xff7caff1,
    0xff7aadef,
    0xff79acee,
    0xff79abf0,
    0xff7aacf1,
    0xff78aaef,
    0xff7aacf1,
    0xff7aacf1,
    0xff79acf3,
    0xff7aacf3,
    0xff79abf2,
    0xff77a9f1,
    0xff78aaf1,
    0xff78aaf1,
    0xff77a9f0,
    0xff78aaf0,
    0xff78aaf3,
    0xff78aaf3,
    0xff77a9f2,
    0xff78a8f2,
    0xff76a8f1,
    0xff77a9f2,
    0xff76a8f2,
    0xff74a5ef,
    0xff72a6f0,
    0xff73a7f0,
    0xff71a5ee,
    0xff72a6ef,
    0xff70a7ef,
    0xff72a8ef,
    0xff70a6f0,
    0xff71a7f1,
    0xff6ea6f0,
    0xff6fa7f1,
    0xff6ea7f0,
    0xff72a7f3,
    0xff71a6f3,
    0xff73a8f4,
    0xff6da2ee,
    0xff6ea3ef,
    0xff6ea3ef,
    0xff6ea3ef,
    0xff6fa4f0,
    0xff6da2ef,
    0xff6ea3ef,
    0xff6da2ee,
    0xff6ea3ee,
    0xff6ea3ee,
    0xff6ea3f1,
    0xff6ca1ef,
    0xff6ea3f1,
    0xff6ca4f1,
    0xff6ca5f2,
    0xff69a2ef,
    0xff6aa5f1,
    0xff68a3ef,
    0xff65a0ec,
    0xff65a1ec,
    0xff6aa2ef,
    0xff69a5eb,
    0xff69a5ec,
    0xff69a4ed,
    0xff64a2ec,
    0xff61a1e8,
    0xff63a1e8,
    0xff67a4ed,
    0xff67a5f1,
    0xff62a1f0,
    0xff63a0f0,
    0xff63a0f1,
    0xff66a0f4,
    0xff639bf0,
    0xff689df4,
    0xff659af0,
    0xff669df1,
    0xff639cee,
    0xff639cef,
    0xff609eef,
    0xff609eee,
    0xff629ff0,
    0xff619def,
    0xff619def,
    0xff5f9eee,
    0xff5f9ced,
    0xff5f9ced,
    0xff5f9ced,
    0xff609dee,
    0xff5f9df0,
    0xff609ef1,
    0xff5e9cef,
    0xff5c9def,
    0xff5a9df1,
    0xff5a9cf0,
    0xff599aee,
    0xff5697eb,
    0xff5a97ec,
    0xff5a98ed,
    0xff5b9aee,
    0xff5c98ee,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5899ee,
    0xff5697e8,
    0xff5798e9,
    0xff5697ec,
    0xff5697ea,
    0xff5597ee,
    0xff5597ed,
    0xff5698ed,
    0xff5395ec,
    0xff5192ed,
    0xff5293ed,
    0xff5192ec,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5293ed,
    0xff5191ec,
    0xff4f93ec,
    0xff4f93ec,
    0xff4f93eb,
    0xff5093ee,
    0xff4e92ec,
    0xff5093ee,
    0xff5094ee,
    0xff4f92ed,
    0xff4e92ec,
    0xff4f92ed,
    0xff4f93ed,
    0xff4f92ec,
    0xff4c92ec,
    0xff4d92ed,
    0xff4c91ec,
    0xff4a8fea,
    0xff4c91ec,
    0xff4a8fed,
    0xff4b90ed,
    0xff4a8fec,
    0xff478ce9,
    0xff478ceb,
    0xff468bea,
    0xff468bea,
    0xff478dec,
    0xff458bea,
    0xff488eed,
    0xff488eed,
    0xff458bea,
    0xff458ceb,
    0xff468ceb,
    0xff458bea,
    0xff458beb,
    0xff448aea,
    0xff458beb,
    0xff458beb,
    0xff468cec,
    0xff448aea,
    0xff448aea,
    0xff458beb,
    0xff488ced,
    0xff4488e9,
    0xff3f83e4,
    0xff4386ea,
    0xff4084e7,
    0xff4184e7,
    0xff4185e7,
    0xff4184e8,
    0xff3e85ed,
    0xff3c86ec,
    0xff3c88e7,
    0xff3c88e8,
    0xff3887e7,
    0xff3887ea,
    0xff3784ee,
    0xff3683ed,
    0xff4582dd,
    0xff6d81dd,
    0xff854372,
    0xffb03421,
    0xffc5532b,
    0xff973f1f,
    0xff994430,
    0xff8f4638,
    0xff423629,
    0xff212f42,
    0xff0e3134,
    0xff04202a,
    0xff162f3f,
    0xff002414,
    0xff052f21,
    0xff051e17,
    0xff092513,
    0xff03200e,
    0xff092316,
    0xff041911,
    0xff081819,
    0xff041314,
    0xff041814,
    0xff00180e,
    0xff001d17,
    0xff032026,
    0xff0c252c,
    0xff041d1e,
    0xff062123,
    0xff082127,
    0xff011518,
    0xff06190f,
    0xff071e08,
    0xff2c3e2c,
    0xff1b271a,
    0xff121f13,
    0xff102218,
    0xff071c12,
    0xff0a1c13,
    0xff0c1b15,
    0xff0a1d18,
    0xff000605,
    0xff4f4b4c,
    0xff0a0504,
    0xff030f09,
    0xff021409,
    0xff05110b,
    0xff050d0f,
    0xff01100c,
    0xff00110e,
    0xff000e0c,
    0xff031414,
    0xff011010,
    0xff061415,
    0xff000c0c,
    0xff031615,
    0xff5d4583,
    0xff725a95,
    0xff785e98,
    0xff8568a4,
    0xff8c73af,
    0xff856fb4,
    0xff8d7cc6,
    0xff9184d3,
    0xff8789e4,
    0xff8c8fdc,
    0xff80649f,
    0xff5f0f39,
    0xff830e24,
    0xff840d11,
    0xff7d0d0f,
    0xff7a0a11,
    0xff6a0f1b,
    0xff5b0b11,
    0xff641114,
    0xff690912,
    0xff650611,
    0xff5d0712,
    0xff600611,
    0xff630009,
    0xff5e0611,
    0xff5e0512,
    0xff5e050e,
    0xff5f030e,
    0xff61030d,
    0xff64040f,
    0xff68020f,
    0xff69000e,
    0xff65000c,
    0xff65020d,
    0xff63010f,
    0xff63020f,
    0xff60000e,
    0xff5f000e,
    0xff5b030d,
    0xff56060f,
    0xff4b0716,
    0xff4f1119,
    0xff4d2332,
    0xff4b385e,
    0xffadb2dc,
    0xffd9e7ff,
    0xffcbd6f0,
    0xffcfd1f1,
    0xffca90b1,
    0xffb5243f,
    0xffc42126,
    0xffc8161d,
    0xffc4131e,
    0xffc8101c,
    0xffbc0f18,
    0xffbe1626,
    0xffc83432,
    0xffba2e23,
    0xffc9442f,
    0xffbf3e23,
    0xffbf3b24,
    0xffa62313,
    0xffb5372f,
    0xffb33935,
    0xff972624,
    0xff931f31,
    0xff88182c,
    0xff802836,
    0xffb26980,
    0xff8e3a57,
    0xff6a2439,
    0xff472a41,
    0xff34203a,
    0xff261931,
    0xff2e2c47,
    0xff606590,
    0xffacb5f1,
    0xffc8ddff,
    0xffb8dbff,
    0xffaddbf4,
    0xffb1d1f8,
    0xffb0cef5,
    0xffb3d0f2,
    0xffb4cfee,
    0xffb4cfec,
    0xffb4cfec,
    0xffb3d3f2,
    0xffb8d6f8,
    0xffbfd5f6,
    0xffc7d2ec,
    0xffd4e6fb,
    0xffd0e5f8,
    0xffd6dce7,
    0xfff6faf5,
    0xfff0fffe,
    0xffe9f8ff,
    0xff706988,
    0xff2e2935,
    0xff1d1820,
    0xff918c9c,
    0xffffffff,
    0xffffffff,
    0xfffff1f4,
    0xff702036,
    0xff8d1521,
    0xff881a13,
    0xff7d191e,
    0xff881124,
    0xff811120,
    0xff7a171f,
    0xff670808,
    0xffba818c,
    0xffffffff,
    0xfff6f4fc,
    0xfff1f6fc,
    0xfff0faff,
    0xffc2cfe1,
    0xffb6d2e9,
    0xffb0cfee,
    0xffbbc4f1,
    0xffe0c2de,
    0xff9e3e64,
    0xffb74b69,
    0xffaf374a,
    0xffc63534,
    0xffc12716,
    0xffcb2921,
    0xffc93d41,
    0xffc64a3e,
    0xffc03838,
    0xffdb84ab,
    0xffe3c1ff,
    0xffa5699b,
    0xff5f0014,
    0xff67001e,
    0xffab4b7b,
    0xffb43a60,
    0xffa4021f,
    0xffb30f1a,
    0xffd12c2d,
    0xffcc222a,
    0xffbd111d,
    0xffbb000d,
    0xffb5080c,
    0xff910000,
    0xff8b0000,
    0xff880003,
    0xff850005,
    0xff880109,
    0xff860107,
    0xff850108,
    0xff800004,
    0xff79020b,
    0xff7e000a,
    0xff7a0000,
    0xff911605,
    0xffd6533b,
    0xffdd562b,
    0xffe1633a,
    0xffbf5347,
    0xffdc9fb4,
    0xffbdc7f9,
    0xffaacef3,
    0xffb6c9fa,
    0xffacd0f2,
    0xffc0c1f6,
    0xff883068,
    0xff98172b,
    0xffa31a25,
    0xffa21620,
    0xffa10e17,
    0xffa71009,
    0xffc52e14,
    0xffc13108,
    0xffb73003,
    0xffdc5826,
    0xffd75c0f,
    0xffe3631c,
    0xffce4521,
    0xff9f131a,
    0xff960021,
    0xffaf1032,
    0xff970428,
    0xff6d0023,
    0xffbc6ea4,
    0xffa36491,
    0xff70001c,
    0xff87000f,
    0xff79060b,
    0xff80040d,
    0xff670822,
    0xffcfafea,
    0xffc7a8e5,
    0xff7d2a53,
    0xff951d1f,
    0xff961703,
    0xff960d07,
    0xffa40715,
    0xff9b0309,
    0xffa42818,
    0xffbd2923,
    0xffa51615,
    0xff961008,
    0xffc94a47,
    0xfff57b8e,
    0xffc04257,
    0xff840009,
    0xff87000e,
    0xff760117,
    0xff630019,
    0xff490321,
    0xffa99ce9,
    0xffa3c4ff,
    0xffafc8f6,
    0xffabc6ee,
    0xffa6caf8,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa5c5f2,
    0xffa8c4f9,
    0xffaecaf4,
    0xff9eb8eb,
    0xffa2a1ef,
    0xff9353a5,
    0xff7b0641,
    0xff720335,
    0xff893e7d,
    0xff896ba8,
    0xffb0b0ef,
    0xff9cb5ee,
    0xffa7c8f7,
    0xffa4c4f3,
    0xffa4c4f6,
    0xffa2c5f7,
    0xffa2c6ef,
    0xffa4c4f3,
    0xffa4c3f3,
    0xffa4c3f2,
    0xffa4c3f2,
    0xffa4c3f2,
    0xffa4c3f3,
    0xffa4c3f2,
    0xffa5c5f4,
    0xffa2c5f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xff9fc1ef,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa1c3f0,
    0xffa0c2f2,
    0xff9fc1f1,
    0xffa0c2f2,
    0xffa1c3f2,
    0xffa1c1f5,
    0xffa1c2f5,
    0xffa0c1f4,
    0xffa0c0f4,
    0xff9ebff2,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xff9dc2f1,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9abef2,
    0xff9bbff4,
    0xff9bbff4,
    0xff9bbff3,
    0xff9abef3,
    0xff9abef3,
    0xff9abef3,
    0xff99bdf1,
    0xff9cc0f4,
    0xff9bbff3,
    0xff9abef2,
    0xff9bbff3,
    0xff98bcf0,
    0xff98bcf0,
    0xff99bdf1,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff99bef2,
    0xff98bdf1,
    0xff9abff3,
    0xff9abff4,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff96bbf0,
    0xff95baee,
    0xff95baf1,
    0xff95baf1,
    0xff95baf0,
    0xff95b9f4,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff95b9f3,
    0xff96b9f3,
    0xff95b9f3,
    0xff94b7f1,
    0xff94b7f1,
    0xff94b7f1,
    0xff94b7f1,
    0xff92b9f2,
    0xff91b8f1,
    0xff92b9f2,
    0xff90b7f0,
    0xff8fb6ef,
    0xff91b8f0,
    0xff92b9f4,
    0xff92b9f4,
    0xff8eb5f0,
    0xff90b7f3,
    0xff90b7f1,
    0xff90b7f1,
    0xff8db5f2,
    0xff8cb4f1,
    0xff8db5f2,
    0xff8db4f1,
    0xff8cb6f1,
    0xff8cb4f3,
    0xff8cb4f3,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff89b2ef,
    0xff8cb5f2,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff8bb4f1,
    0xff8bb4f1,
    0xff8bb4f1,
    0xff8bb4f1,
    0xff89b2f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff88b1f1,
    0xff89b1f1,
    0xff85b2f3,
    0xff85b1f2,
    0xff86b1f2,
    0xff84b1f1,
    0xff87aef4,
    0xff85acf2,
    0xff85b0f4,
    0xff83adf1,
    0xff80abef,
    0xff80adf0,
    0xff81aef1,
    0xff81adf0,
    0xff81adf0,
    0xff7fb0f1,
    0xff7eaff2,
    0xff7cadf0,
    0xff7daef1,
    0xff7caef1,
    0xff7eaef1,
    0xff7baef0,
    0xff7cb0f2,
    0xff7caff1,
    0xff7aadef,
    0xff79adee,
    0xff7aacf2,
    0xff79abf0,
    0xff7aacf1,
    0xff7aacf0,
    0xff7aacf3,
    0xff76a8f0,
    0xff77a9ee,
    0xff77a9f1,
    0xff78aaf1,
    0xff79abf2,
    0xff77a9ef,
    0xff77a9f2,
    0xff77a9f2,
    0xff77a9f2,
    0xff79a8f0,
    0xff78aaf1,
    0xff77a9f0,
    0xff77a9ef,
    0xff75a7ed,
    0xff75a7ee,
    0xff74a6ed,
    0xff72a8ed,
    0xff72a6ef,
    0xff73a7f0,
    0xff73a7f0,
    0xff6fa6f0,
    0xff71a7f1,
    0xff71a7f1,
    0xff70a5ef,
    0xff6da5ef,
    0xff71a7f1,
    0xff71a7f1,
    0xff70a6f0,
    0xff70a6ef,
    0xff6fa6ef,
    0xff71a7f1,
    0xff70a6ef,
    0xff71a7f1,
    0xff6da3ec,
    0xff6da2ef,
    0xff6ea3ef,
    0xff6da2ee,
    0xff6ea3ee,
    0xff6da2f0,
    0xff6ea3f1,
    0xff6da2f0,
    0xff6ca4f1,
    0xff6aa2ef,
    0xff6aa2f0,
    0xff68a3ef,
    0xff68a3ef,
    0xff68a4ef,
    0xff6ba3f1,
    0xff6aa4ef,
    0xff69a2eb,
    0xff6aa3f0,
    0xff67a1f1,
    0xff659fee,
    0xff66a3ed,
    0xff62a2e9,
    0xff60a2eb,
    0xff5293e1,
    0xff659ff1,
    0xff67a0f2,
    0xff659ef3,
    0xff659df2,
    0xff629af0,
    0xff669df0,
    0xff659ced,
    0xff649cec,
    0xff649df0,
    0xff629cee,
    0xff639cee,
    0xff639cef,
    0xff609eef,
    0xff619eef,
    0xff619eef,
    0xff619eef,
    0xff649cef,
    0xff609eef,
    0xff619eef,
    0xff609dee,
    0xff609fee,
    0xff609df1,
    0xff5e9cf0,
    0xff5e9cf0,
    0xff5d9ef3,
    0xff5799ed,
    0xff5c9df1,
    0xff5799ec,
    0xff5a98ed,
    0xff5b99ee,
    0xff5a99ee,
    0xff5c98ed,
    0xff599aee,
    0xff589aee,
    0xff5899ed,
    0xff5899ed,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5899ee,
    0xff5697e8,
    0xff5697e9,
    0xff5899ea,
    0xff5798ec,
    0xff5597ea,
    0xff5496ec,
    0xff5597ed,
    0xff5193e9,
    0xff5192ed,
    0xff5192ec,
    0xff5394ee,
    0xff5091eb,
    0xff5192ec,
    0xff5192ec,
    0xff5293ed,
    0xff5091eb,
    0xff5191ec,
    0xff5191eb,
    0xff5191eb,
    0xff5191ec,
    0xff4f90ea,
    0xff5192ee,
    0xff5191ee,
    0xff5090ec,
    0xff4e8feb,
    0xff5093ee,
    0xff4e91ec,
    0xff4f92ed,
    0xff4f92ed,
    0xff4c92ed,
    0xff4b90eb,
    0xff4c91ec,
    0xff4c91ec,
    0xff4a8fec,
    0xff4a8fec,
    0xff4b90ed,
    0xff4a8feb,
    0xff4a8fee,
    0xff498eed,
    0xff488dec,
    0xff498eed,
    0xff468bea,
    0xff488ceb,
    0xff488dec,
    0xff458ae9,
    0xff478ceb,
    0xff468bea,
    0xff478ceb,
    0xff4689eb,
    0xff4689eb,
    0xff448bea,
    0xff448beb,
    0xff448aea,
    0xff4389e9,
    0xff4389e9,
    0xff448aea,
    0xff4589ea,
    0xff4387e8,
    0xff4387e8,
    0xff4386e7,
    0xff4387eb,
    0xff4285e8,
    0xff4084e7,
    0xff4286e8,
    0xff3e86ec,
    0xff3e86ea,
    0xff3d86e8,
    0xff3a86e3,
    0xff3888e6,
    0xff3784e9,
    0xff3982ec,
    0xff3c85f2,
    0xff3881e3,
    0xff437fe2,
    0xff817fb7,
    0xffa76964,
    0xffaf7c70,
    0xff6b5e74,
    0xff2a203a,
    0xff604646,
    0xff242a17,
    0xff172431,
    0xff0b282b,
    0xff001d27,
    0xff01222e,
    0xff0c3321,
    0xff123323,
    0xff001911,
    0xff001900,
    0xff123324,
    0xff1b3937,
    0xff031d1d,
    0xff031711,
    0xff07190c,
    0xff021408,
    0xff01150e,
    0xff00151a,
    0xff021a15,
    0xff011911,
    0xff021c15,
    0xff011f14,
    0xff092615,
    0xff081e13,
    0xff081a19,
    0xff0e3118,
    0xff1b3c26,
    0xff0f2e1e,
    0xff042317,
    0xff02211a,
    0xff04231b,
    0xff001910,
    0xff001309,
    0xff0c0b00,
    0xff0a0e05,
    0xff2d423b,
    0xff001c12,
    0xff001d0c,
    0xff072315,
    0xff00190d,
    0xff00140a,
    0xff00140f,
    0xff001211,
    0xff001512,
    0xff001010,
    0xff041010,
    0xff061213,
    0xff041310,
    0xff00130e,
    0xff7a4c7e,
    0xff743f6b,
    0xff712f4f,
    0xff762b42,
    0xff7d2c43,
    0xff832e47,
    0xff7f2d4c,
    0xff96456a,
    0xff98698d,
    0xff9d7291,
    0xff682e49,
    0xff5c0b1d,
    0xff6e0b17,
    0xff731015,
    0xff6e1116,
    0xff680d15,
    0xff5f0815,
    0xff5a0a0f,
    0xff5e090c,
    0xff62040e,
    0xff670a1c,
    0xff5a061b,
    0xff570113,
    0xff650513,
    0xff5b0511,
    0xff5e050e,
    0xff62020e,
    0xff62040e,
    0xff63020d,
    0xff62020d,
    0xff66020e,
    0xff68000d,
    0xff66000e,
    0xff63010d,
    0xff5f020f,
    0xff5e0111,
    0xff5f0313,
    0xff5d0312,
    0xff59050f,
    0xff560710,
    0xff520611,
    0xff500b0d,
    0xff501d2c,
    0xff54426b,
    0xffc4cffb,
    0xffd4e4ff,
    0xffc4d0ec,
    0xffd8e0ff,
    0xffeec0eb,
    0xffb11b41,
    0xffc61723,
    0xffcb131b,
    0xffcc1220,
    0xffcd0c1d,
    0xffbd0518,
    0xffba061c,
    0xffd33b3d,
    0xffc73a33,
    0xffc13e2b,
    0xffbe3e25,
    0xffc8412c,
    0xffbf362b,
    0xffa92520,
    0xffa42828,
    0xff942d3c,
    0xff781f3e,
    0xff914165,
    0xff9f6389,
    0xff845d8b,
    0xff5e345d,
    0xff4d283f,
    0xff2e1f33,
    0xff302742,
    0xff5d5c85,
    0xffa5b2eb,
    0xffbed4ff,
    0xffb6d3fa,
    0xffb2d1f0,
    0xffb2d1f4,
    0xffb2d0fb,
    0xffb5cdf4,
    0xffb6ccf1,
    0xffb6cdf0,
    0xffb3cbed,
    0xffb2ccee,
    0xffb4d2f2,
    0xffb6d4f7,
    0xffb5d3f5,
    0xffbad4f7,
    0xffbfcdf1,
    0xffbdd5f4,
    0xffbfd8f3,
    0xffd0d4ed,
    0xffeceefc,
    0xffebf5ff,
    0xffa9aabf,
    0xff4e2f4d,
    0xff2b1f35,
    0xff3e4052,
    0xffdcdbf1,
    0xfff4f8ff,
    0xfff8f9fe,
    0xfffff9ff,
    0xffd39fba,
    0xff761424,
    0xff831e16,
    0xff821d1f,
    0xff86111e,
    0xff8a131e,
    0xff861419,
    0xff710f09,
    0xff9a7379,
    0xffffffff,
    0xffedecf5,
    0xffe0e5ef,
    0xffdce8f6,
    0xffc9daef,
    0xffbcd5f1,
    0xffafc9ee,
    0xffb1c8f2,
    0xffbbc9f3,
    0xffccc1f0,
    0xffddd1fa,
    0xffd7a9c6,
    0xffaa3c46,
    0xffcc3d33,
    0xffa3251c,
    0xffc06068,
    0xffea7888,
    0xffad2b38,
    0xffb57993,
    0xffbdc6ff,
    0xff9e92d6,
    0xff62306c,
    0xffa77eb1,
    0xffe6c3f5,
    0xffbe6a8f,
    0xffa21a37,
    0xffbb2b2e,
    0xffbf1d23,
    0xffb01321,
    0xffb41328,
    0xffc80d22,
    0xff9b0200,
    0xff8a0006,
    0xff850006,
    0xff840006,
    0xff830106,
    0xff880308,
    0xff880104,
    0xff850205,
    0xff7f0201,
    0xff7a0303,
    0xff7b000b,
    0xff7c0009,
    0xff6f0000,
    0xffb83a2c,
    0xffd54e2b,
    0xffd85833,
    0xffc9554e,
    0xffd593a7,
    0xffbecaff,
    0xffb1caf4,
    0xffb4c7f3,
    0xffacd0f3,
    0xffc2c5fc,
    0xff92487a,
    0xff971529,
    0xffa61f2b,
    0xffa11724,
    0xffa31518,
    0xff9c0f00,
    0xffd54b15,
    0xfffe7a30,
    0xffcb4801,
    0xffcb4c07,
    0xffd35a03,
    0xffd05a00,
    0xffd0571b,
    0xffac2a25,
    0xff940626,
    0xffa50730,
    0xff89022f,
    0xff843666,
    0xffc6c3ed,
    0xffcbcfff,
    0xff7f326c,
    0xff73001a,
    0xff78050f,
    0xff710014,
    0xff7a3460,
    0xffbfc4fa,
    0xffc2c7f0,
    0xffb989ba,
    0xff881e3b,
    0xff90100f,
    0xff8e0c05,
    0xff9a0a0a,
    0xff9d060a,
    0xff8f0b0b,
    0xffa11713,
    0xffad1c23,
    0xffa20b11,
    0xffa41b1f,
    0xffe77e8d,
    0xffb74f5f,
    0xff82000f,
    0xff93001b,
    0xff710b1d,
    0xffc6a6d1,
    0xffb0b3df,
    0xff98a9e9,
    0xffa2cdf6,
    0xffa4caed,
    0xffafc2f1,
    0xffa9c2f5,
    0xffa8c8f5,
    0xffa8c9f6,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa6c7f5,
    0xffa3c5f6,
    0xffaec3ef,
    0xffafc1f5,
    0xff9ea6ee,
    0xffb186d2,
    0xff660743,
    0xff741e57,
    0xffa27fbf,
    0xffb2b8ec,
    0xffacc0fb,
    0xffa5c5fa,
    0xffa2c8f2,
    0xffa5c8f1,
    0xffa5c4fb,
    0xffa5c5f7,
    0xffa4c5ef,
    0xffa3c5f3,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c3f2,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c3f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xff9fc1f0,
    0xffa0c2f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xffa0c2f1,
    0xff9ec2f2,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f3,
    0xff9ec2f6,
    0xff9ec2f6,
    0xff9dc1f6,
    0xff9dc1f2,
    0xff9dc1f2,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff99bdef,
    0xff9abeef,
    0xff99bdf1,
    0xff9bbff3,
    0xff9cc0f4,
    0xff98bcf0,
    0xff98bcf0,
    0xff99bdf1,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff99bef2,
    0xff9abff2,
    0xff99bef4,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff9bc0f5,
    0xff9abff4,
    0xff9abff4,
    0xff97bcf1,
    0xff96bbf0,
    0xff96bbf0,
    0xff96bbf0,
    0xff97bcf3,
    0xff95bbf1,
    0xff96baf4,
    0xff94b8f2,
    0xff95b9f3,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff92b9f2,
    0xff91b8f1,
    0xff92b9f2,
    0xff90b7f0,
    0xff91b8f1,
    0xff92b9f2,
    0xff92b9f1,
    0xff92b9f2,
    0xff8fb6ef,
    0xff91b8f0,
    0xff91b8f3,
    0xff91b8f3,
    0xff8eb4f3,
    0xff8db5f2,
    0xff8eb6f3,
    0xff8eb6f4,
    0xff8bb6f1,
    0xff8cb6f1,
    0xff8cb6f1,
    0xff8cb4f3,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f2,
    0xff8bb4f5,
    0xff8db6f3,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f1,
    0xff89b2f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff87adef,
    0xff86afef,
    0xff87afef,
    0xff82aff0,
    0xff84b1f1,
    0xff87aff1,
    0xff86b0f1,
    0xff88aff1,
    0xff84aef3,
    0xff82aef1,
    0xff82adf1,
    0xff83aef2,
    0xff83adf2,
    0xff81aff2,
    0xff82aff2,
    0xff81aef1,
    0xff7faef2,
    0xff7eadf2,
    0xff7eadf1,
    0xff7faef2,
    0xff7caef0,
    0xff7aabee,
    0xff7cadf0,
    0xff7bacef,
    0xff7eaff2,
    0xff7cacf0,
    0xff7aabed,
    0xff79abf1,
    0xff79abf0,
    0xff79abf0,
    0xff7badf2,
    0xff79abf0,
    0xff79abf0,
    0xff79abef,
    0xff78aaef,
    0xff7aacf3,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf4,
    0xff79abf2,
    0xff77a9f0,
    0xff75a7ee,
    0xff77a9f0,
    0xff77a9f0,
    0xff77aaf1,
    0xff73a6ed,
    0xff73a4eb,
    0xff72a7f0,
    0xff73a7f0,
    0xff72a6ef,
    0xff72a6f1,
    0xff6fa5ef,
    0xff70a6f0,
    0xff71a7f1,
    0xff6ea4ee,
    0xff72a8f2,
    0xff72a8f2,
    0xff72a8f2,
    0xff70a6f0,
    0xff71a7f1,
    0xff71a7f1,
    0xff6fa5ef,
    0xff70a6f0,
    0xff6aa3ed,
    0xff6ea4ee,
    0xff6ea4ee,
    0xff6da2ee,
    0xff6da2ee,
    0xff6ca1ed,
    0xff6ea3ef,
    0xff6fa2f1,
    0xff6ea2f1,
    0xff6ba3f0,
    0xff69a2ef,
    0xff69a4f0,
    0xff6aa5f1,
    0xff6ca7f3,
    0xff6ba4f1,
    0xff67a0ed,
    0xff6ba1f1,
    0xff6aa1f5,
    0xff6da2fb,
    0xff689fef,
    0xff6ba4e8,
    0xff639ddb,
    0xff68a1e1,
    0xff629ae1,
    0xff5e94dd,
    0xff6299e4,
    0xff669ded,
    0xff669fef,
    0xff659ef0,
    0xff689ff3,
    0xff669ff0,
    0xff669fef,
    0xff629cee,
    0xff649ef0,
    0xff649ef0,
    0xff639def,
    0xff629bed,
    0xff5f9ced,
    0xff5f9ced,
    0xff5f9ced,
    0xff619bed,
    0xff629cee,
    0xff619eef,
    0xff5f9fef,
    0xff609fef,
    0xff609fee,
    0xff609ced,
    0xff609dee,
    0xff5b9cf0,
    0xff5899ed,
    0xff5b9df0,
    0xff5b9cf0,
    0xff5a9bef,
    0xff5b98ed,
    0xff5a98ed,
    0xff5b98ee,
    0xff5799ed,
    0xff599aee,
    0xff599aee,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5798ed,
    0xff5798ea,
    0xff5798ea,
    0xff5899eb,
    0xff5797eb,
    0xff5496ed,
    0xff5597ed,
    0xff5698ee,
    0xff5698ef,
    0xff5394ee,
    0xff5394ee,
    0xff5495ef,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5394ee,
    0xff5293ed,
    0xff5091eb,
    0xff5293ed,
    0xff5192ed,
    0xff5093e9,
    0xff5191ec,
    0xff5192eb,
    0xff5192ee,
    0xff5091ef,
    0xff4e8feb,
    0xff5192ee,
    0xff5090ec,
    0xff4e92ed,
    0xff4f92ed,
    0xff4f92ed,
    0xff4e90eb,
    0xff4b91ec,
    0xff4c91eb,
    0xff4a8fed,
    0xff4b90ed,
    0xff4a8fec,
    0xff4b90ec,
    0xff4a8fee,
    0xff4a8fee,
    0xff4a8fee,
    0xff488dec,
    0xff478ceb,
    0xff488dec,
    0xff488dec,
    0xff458ae9,
    0xff478ceb,
    0xff458ae9,
    0xff458be9,
    0xff4589eb,
    0xff4589eb,
    0xff4689eb,
    0xff4589ea,
    0xff468aeb,
    0xff448beb,
    0xff458beb,
    0xff458beb,
    0xff4289e8,
    0xff4288e7,
    0xff4288e7,
    0xff4187ea,
    0xff458bed,
    0xff4289ea,
    0xff4188e9,
    0xff4087e8,
    0xff4084ea,
    0xff3d85ea,
    0xff3d87e7,
    0xff3a87e6,
    0xff3b86e7,
    0xff3984e8,
    0xff3c84eb,
    0xff4085ed,
    0xff4082e6,
    0xff3583e9,
    0xff4b7dd6,
    0xff6065b4,
    0xff626cc4,
    0xff4f80dd,
    0xff5280c2,
    0xff1b2841,
    0xff1b2e2a,
    0xff061a1d,
    0xff082423,
    0xff052a2f,
    0xff0b3034,
    0xff224134,
    0xff0c2617,
    0xff041d16,
    0xff001a12,
    0xff022218,
    0xff0c2e20,
    0xff012214,
    0xff092314,
    0xff03180f,
    0xff011311,
    0xff001215,
    0xff01151a,
    0xff011512,
    0xff021515,
    0xff091d29,
    0xff001719,
    0xff001c0c,
    0xff071f0f,
    0xff091b1c,
    0xff112b1d,
    0xff1d3b2c,
    0xff08231d,
    0xff06201d,
    0xff061d1e,
    0xff07191b,
    0xff051716,
    0xff00120f,
    0xff061912,
    0xff041212,
    0xff0e2125,
    0xff0e1a14,
    0xff010000,
    0xff383624,
    0xff0a1a09,
    0xff041d03,
    0xff031510,
    0xff000d0c,
    0xff001411,
    0xff00110f,
    0xff010f0f,
    0xff05110f,
    0xff000c0a,
    0xff041711,
    0xff682936,
    0xff6c272f,
    0xff7b2529,
    0xff862424,
    0xff8b211f,
    0xff8e211f,
    0xff8e2625,
    0xff8d2728,
    0xff84332d,
    0xff84322f,
    0xff67181b,
    0xff64151b,
    0xff630d19,
    0xff6b0a1c,
    0xff69061d,
    0xff65071c,
    0xff620514,
    0xff620a13,
    0xff5f060d,
    0xff640415,
    0xff620927,
    0xff6f2548,
    0xff5b1032,
    0xff57001d,
    0xff61000f,
    0xff65000b,
    0xff660009,
    0xff69000c,
    0xff620009,
    0xff5d020c,
    0xff5f030c,
    0xff64020f,
    0xff62010c,
    0xff60020d,
    0xff5b010e,
    0xff5a0110,
    0xff5c0111,
    0xff5e0212,
    0xff5d0510,
    0xff5b0712,
    0xff590816,
    0xff56080c,
    0xff4b1423,
    0xff554773,
    0xffc1cefe,
    0xffcfdefb,
    0xffc8d4e9,
    0xffd7e3ff,
    0xffe0b2d4,
    0xffb01136,
    0xffbc0d17,
    0xffc1131c,
    0xffbd1022,
    0xffc30920,
    0xffc50d1f,
    0xffc50b1f,
    0xffba1622,
    0xffbe2728,
    0xffc43a30,
    0xffc9422f,
    0xffd14434,
    0xffd94a45,
    0xffd85050,
    0xffa92a32,
    0xffb55479,
    0xfff6b9e4,
    0xff7f557c,
    0xff5b3557,
    0xff3e264b,
    0xff2c203e,
    0xff27203f,
    0xff4f5484,
    0xffa2a9e6,
    0xffc2d4ff,
    0xffb6d5fa,
    0xffadd0ee,
    0xffb1d0f0,
    0xffb2caf0,
    0xffb3c7f3,
    0xffb5c8f6,
    0xffbacdf7,
    0xffb6cdf7,
    0xffb2ccf6,
    0xffb0cdf6,
    0xffafcdf3,
    0xffb1cdf3,
    0xffb5d1f3,
    0xffb7d0f0,
    0xffb6d0f0,
    0xffbacff7,
    0xffb3d1f4,
    0xffb5d2f3,
    0xffc3cef3,
    0xffd9e4ff,
    0xffb5bedc,
    0xff5a506b,
    0xff362431,
    0xff241735,
    0xff9b96c0,
    0xffe6efff,
    0xffe2f3fe,
    0xffe1effa,
    0xffefebff,
    0xffffebff,
    0xffb35b82,
    0xff972028,
    0xff9e161d,
    0xffab1d20,
    0xffb72d27,
    0xffd1453d,
    0xffbb3e38,
    0xffb8828e,
    0xfff1f2fd,
    0xffd6dde8,
    0xffdfe8f9,
    0xffe5f5ff,
    0xffd2e9ff,
    0xffb8d2f3,
    0xffafc8f0,
    0xffaecbf5,
    0xffb3c7f9,
    0xffb2cbf8,
    0xffaec3f0,
    0xffd3ccf5,
    0xffd187a9,
    0xffa64053,
    0xffc78294,
    0xfff6c2e7,
    0xffc97daf,
    0xff761d3d,
    0xff986589,
    0xffbfc0f9,
    0xffa3aeec,
    0xffb5bcf4,
    0xffb9ccfc,
    0xffbbd0f8,
    0xffbda8cc,
    0xffd797bb,
    0xffd389a2,
    0xffb25a75,
    0xffd7839d,
    0xffeb7e99,
    0xffb00622,
    0xff8c0407,
    0xff7f0106,
    0xff800106,
    0xff800105,
    0xff870209,
    0xff890007,
    0xff8a0208,
    0xff840205,
    0xff800103,
    0xff7a0202,
    0xff7a0007,
    0xff770007,
    0xff6d0000,
    0xff790103,
    0xffd7513f,
    0xffcf4b2f,
    0xffc95249,
    0xffe2a9c0,
    0xffb5caff,
    0xffafcdf1,
    0xffadcaf0,
    0xffb6cef5,
    0xffceb3e9,
    0xff8c3e63,
    0xff99182a,
    0xffa31c25,
    0xffa31d26,
    0xffab2623,
    0xffaf2d0b,
    0xffd0520b,
    0xffea6f13,
    0xffe46912,
    0xffbb3f00,
    0xffdc640c,
    0xffde7309,
    0xffdf6e18,
    0xffc84a2d,
    0xff9b0d1b,
    0xff9c0123,
    0xff9c2d5e,
    0xffceb3e8,
    0xffbacffc,
    0xffaac7f5,
    0xffceb8f3,
    0xff894678,
    0xff640d2e,
    0xff630f3b,
    0xffc6a8de,
    0xffb7c4f3,
    0xffb1ccef,
    0xffccb7ef,
    0xff862a56,
    0xff8e0c18,
    0xff8d0f0e,
    0xff960d0e,
    0xff9a0405,
    0xff98080e,
    0xffa6191b,
    0xffa31724,
    0xffb41b2b,
    0xff96020f,
    0xff7e0616,
    0xff7b0813,
    0xff97131e,
    0xff87011c,
    0xff82203d,
    0xffc2abf1,
    0xffb3c4f9,
    0xffbac3fa,
    0xffaac7f0,
    0xff9fcbed,
    0xffaac8f0,
    0xffa8c6fa,
    0xffa7c8f5,
    0xffa8c9f6,
    0xffa6c7f4,
    0xffa8c9f6,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa5c5f2,
    0xff9fc5f3,
    0xffadc7f4,
    0xffb1c5f9,
    0xffa7b0f4,
    0xffa98dd2,
    0xff53124f,
    0xff9f6fac,
    0xffb0aff2,
    0xffadc9f8,
    0xffa4c2f5,
    0xffa4c5f5,
    0xffa2c7ed,
    0xffa6c8f3,
    0xffa6c4fb,
    0xffa4c2f7,
    0xffa2c3ed,
    0xffa4c5f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c3f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xff9fc1f1,
    0xff9fc1f1,
    0xffa0c2f2,
    0xff9fc3f3,
    0xff9dc1f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f3,
    0xff9ec2f6,
    0xff9ec2f6,
    0xff9cc0f5,
    0xff9dc1f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9abef0,
    0xff9abef0,
    0xff9abef3,
    0xff9bbff3,
    0xff9bbff3,
    0xff99bdf1,
    0xff98bcf0,
    0xff9abef2,
    0xff9cc0f4,
    0xff9cbff3,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff98bdf2,
    0xff99bef2,
    0xff99bef3,
    0xff99bef3,
    0xff99bef6,
    0xff97bcf3,
    0xff97bbf5,
    0xff94b8f2,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff94bbf4,
    0xff93baf3,
    0xff95bcf5,
    0xff92b9f2,
    0xff92b9f3,
    0xff92b9f3,
    0xff91b8f2,
    0xff92b9f2,
    0xff92b5f0,
    0xff90b8f1,
    0xff90b7f0,
    0xff92b9f4,
    0xff92b9f3,
    0xff8db5f3,
    0xff8eb6f3,
    0xff8cb3f2,
    0xff8bb6f1,
    0xff8cb6f2,
    0xff8cb6f1,
    0xff8cb4f3,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8db6f4,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f1,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b0f1,
    0xff89b0f1,
    0xff88b1f1,
    0xff87b0ef,
    0xff88b1f3,
    0xff88b1f3,
    0xff88aff2,
    0xff88aef1,
    0xff85adf3,
    0xff85adf2,
    0xff83aef2,
    0xff84aff3,
    0xff83aef2,
    0xff83adf1,
    0xff81aff1,
    0xff82aff2,
    0xff82aff3,
    0xff81aef2,
    0xff81adf1,
    0xff7faef2,
    0xff7faef3,
    0xff7dacf0,
    0xff7caaef,
    0xff7baaee,
    0xff7aacef,
    0xff7daef1,
    0xff7bacef,
    0xff7aaeef,
    0xff79abf1,
    0xff79abf0,
    0xff7badf2,
    0xff77adf0,
    0xff7aacf1,
    0xff78aaef,
    0xff79abef,
    0xff79abf3,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf1,
    0xff78aaf1,
    0xff76a8ef,
    0xff76a8ef,
    0xff77a9f0,
    0xff79a9f1,
    0xff79a9f1,
    0xff77a7ef,
    0xff78a9ef,
    0xff75a8f2,
    0xff73a7f0,
    0xff70a4ed,
    0xff73a6f2,
    0xff74aaf4,
    0xff72a8f2,
    0xff6fa5ef,
    0xff6ea4ee,
    0xff72a8f2,
    0xff72a8f2,
    0xff72a8f2,
    0xff72a8f2,
    0xff72a8f2,
    0xff72a8f2,
    0xff6fa5ef,
    0xff70a5ef,
    0xff6fa7f1,
    0xff6ea7f1,
    0xff71a6f0,
    0xff70a5f1,
    0xff70a5f1,
    0xff6da2ee,
    0xff6fa3ef,
    0xff6fa3ee,
    0xff6ea2f1,
    0xff6ba4f1,
    0xff6aa4f1,
    0xff6ca4f1,
    0xff69a4f0,
    0xff6aa3f0,
    0xff6ca5f2,
    0xff6aa4f1,
    0xff68a3eb,
    0xff68a0ef,
    0xff6fa1ef,
    0xff75a7e6,
    0xff5d8ebb,
    0xff5b89a5,
    0xff416b88,
    0xff456f90,
    0xff6599cb,
    0xff5f93cc,
    0xff649cdb,
    0xff5f99e0,
    0xff639eeb,
    0xff65a0ef,
    0xff629cef,
    0xff629cee,
    0xff649cef,
    0xff639ef0,
    0xff649ef0,
    0xff629cee,
    0xff639def,
    0xff609eef,
    0xff619eef,
    0xff609eef,
    0xff649cef,
    0xff639def,
    0xff609dee,
    0xff5e9ded,
    0xff609fef,
    0xff5f9fef,
    0xff619eef,
    0xff609ded,
    0xff619ff4,
    0xff5b98ee,
    0xff5c99ee,
    0xff5c9ef2,
    0xff5b9cf0,
    0xff599aee,
    0xff5798ec,
    0xff5899ed,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff5899ed,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff599aee,
    0xff5798ea,
    0xff5798ed,
    0xff599aee,
    0xff5798eb,
    0xff5496ec,
    0xff5698f0,
    0xff5698ef,
    0xff5698ee,
    0xff5394ef,
    0xff5495ef,
    0xff5495ef,
    0xff5192ec,
    0xff5192ec,
    0xff5394ee,
    0xff5495ef,
    0xff5394ee,
    0xff5293ed,
    0xff5292ed,
    0xff5294ea,
    0xff5092e9,
    0xff5193e9,
    0xff5191ec,
    0xff5192ee,
    0xff4f90ef,
    0xff4e8feb,
    0xff5192ee,
    0xff5090ec,
    0xff4e92ed,
    0xff4f92ed,
    0xff4f92ed,
    0xff4d90eb,
    0xff4e91ec,
    0xff4b91eb,
    0xff4b90ed,
    0xff4c91ee,
    0xff4a8fec,
    0xff4b90ec,
    0xff4b90ef,
    0xff4b90ef,
    0xff4b90ef,
    0xff4b90ef,
    0xff4a8fee,
    0xff4b90ef,
    0xff4a8fee,
    0xff458ae9,
    0xff478ceb,
    0xff458ae9,
    0xff458ae9,
    0xff498beb,
    0xff498aeb,
    0xff468ceb,
    0xff478ceb,
    0xff478ceb,
    0xff448ae9,
    0xff458be9,
    0xff458bea,
    0xff468ced,
    0xff448aec,
    0xff458bed,
    0xff4187e9,
    0xff4288ea,
    0xff4085eb,
    0xff4084ea,
    0xff4286ec,
    0xff3f85e6,
    0xff3d85e7,
    0xff3d87ea,
    0xff3a86ea,
    0xff3c85eb,
    0xff4086ea,
    0xff3f83e9,
    0xff3d7de4,
    0xff4481ef,
    0xff3981e8,
    0xff4186e7,
    0xff4d7fe0,
    0xff4f7fe7,
    0xff4080e7,
    0xff4480d6,
    0xff355794,
    0xff11213a,
    0xff17332c,
    0xff03211c,
    0xff051e24,
    0xff001a19,
    0xff02281d,
    0xff062817,
    0xff041711,
    0xff02121a,
    0xff00130a,
    0xff0f3117,
    0xff113319,
    0xff0b241b,
    0xff031618,
    0xff001313,
    0xff00150b,
    0xff001506,
    0xff01120d,
    0xff011019,
    0xff051423,
    0xff00161c,
    0xff001613,
    0xff072119,
    0xff0f241e,
    0xff0b2d13,
    0xff0c301a,
    0xff00230f,
    0xff001f0e,
    0xff001c0d,
    0xff031d0d,
    0xff06210d,
    0xff03200c,
    0xff062015,
    0xff000000,
    0xff261618,
    0xff3b1f11,
    0xffdbb08d,
    0xff765b47,
    0xff091009,
    0xff031506,
    0xff0a1411,
    0xff000e0a,
    0xff031514,
    0xff011411,
    0xff000d0c,
    0xff01100d,
    0xff00120a,
    0xff0c1f19,
    0xff7d1e20,
    0xff801a1f,
    0xff88171f,
    0xff921725,
    0xff991c2c,
    0xff951d2e,
    0xffa0303e,
    0xffc35964,
    0xffeb7e87,
    0xffe97886,
    0xffb14d5f,
    0xff5e0f1e,
    0xff5d0d1d,
    0xff69091b,
    0xff6a0814,
    0xff62080f,
    0xff660512,
    0xff61040d,
    0xff60030c,
    0xff64031a,
    0xff530025,
    0xff793667,
    0xffb16d9f,
    0xff9a4674,
    0xff821429,
    0xff8a1226,
    0xff93172c,
    0xff75010e,
    0xff630008,
    0xff5c010a,
    0xff5a010a,
    0xff5d010c,
    0xff5d010a,
    0xff5b020a,
    0xff59030b,
    0xff5a010d,
    0xff5d020e,
    0xff5e010d,
    0xff5f020f,
    0xff5d040f,
    0xff590517,
    0xff54050d,
    0xff41091c,
    0xff625482,
    0xffb8c6f8,
    0xffc4d3ef,
    0xffc9d6e5,
    0xffdae6ff,
    0xffc899ae,
    0xffb4172e,
    0xffbb181b,
    0xffc32d36,
    0xffc42c40,
    0xffbc152b,
    0xffc01321,
    0xffbc0414,
    0xffbf0a20,
    0xffc21e29,
    0xffc3302c,
    0xffd14035,
    0xffdd4a41,
    0xffcc3638,
    0xffbb2f38,
    0xffa52935,
    0xff832647,
    0xff633961,
    0xff3f2a4c,
    0xff40223f,
    0xff30142e,
    0xff514458,
    0xff9b9ebf,
    0xffbdd2ff,
    0xffbbcdff,
    0xffb4ccf7,
    0xffb1d2f5,
    0xffadcff1,
    0xffb1cbf3,
    0xffbbcdfc,
    0xffbccbfd,
    0xffb9c8fa,
    0xffb1c0f0,
    0xffbbceff,
    0xffbcd4ff,
    0xffb4d2ff,
    0xffb0cffa,
    0xffb3d0f6,
    0xffb6ceef,
    0xffb7cded,
    0xffb8d1ee,
    0xffb5cff6,
    0xffb0d1f6,
    0xffb2d3f3,
    0xffc3d3ff,
    0xffacbdf3,
    0xff656e9b,
    0xff31243f,
    0xff171e1d,
    0xff3b3c5d,
    0xffb4bcee,
    0xffcce7ff,
    0xffc1e1ed,
    0xffbdcddf,
    0xffc1cbe8,
    0xffcfd9fd,
    0xffbf90bf,
    0xffa23c4c,
    0xffae2a2a,
    0xffbe3e2a,
    0xffbc4824,
    0xffb53916,
    0xffdc725d,
    0xfff6d2dc,
    0xffe4e9f7,
    0xffd8e0f2,
    0xffcad7ed,
    0xffc2d8f4,
    0xffb6d5f5,
    0xffb5cef7,
    0xffaec8f2,
    0xffaacbf4,
    0xffaacaf1,
    0xffa5cfee,
    0xffadcdf2,
    0xffb6c9f6,
    0xffd1c0f2,
    0xffd7bae4,
    0xffc7cef5,
    0xffbec2fd,
    0xffafa4e5,
    0xffac97c5,
    0xff806195,
    0xffcab8f6,
    0xffbdc9f4,
    0xffacceef,
    0xffaecdf4,
    0xffb2c8f3,
    0xffb3ccf5,
    0xffc1c5f6,
    0xffc9ceff,
    0xffd3cdfe,
    0xffcbcdf2,
    0xffecbadc,
    0xff930027,
    0xff7e000f,
    0xff770003,
    0xff7a0204,
    0xff7c0003,
    0xff860007,
    0xff8b0009,
    0xff8d010a,
    0xff850008,
    0xff800206,
    0xff7c0204,
    0xff7a0002,
    0xff740401,
    0xff6b0201,
    0xff700009,
    0xff860402,
    0xffd6513e,
    0xffcc544a,
    0xffdeb0cf,
    0xffb1caf9,
    0xffadd0eb,
    0xffa5cff5,
    0xffc0cdf9,
    0xffb87cab,
    0xff82243c,
    0xff9e1e2f,
    0xffa01920,
    0xff951219,
    0xff9e1c15,
    0xffb3360c,
    0xffd6600e,
    0xffe7730f,
    0xffe66e12,
    0xffcc5207,
    0xffce5a06,
    0xffe88011,
    0xfff3861c,
    0xffe4662f,
    0xffb0211a,
    0xff930014,
    0xff953b6a,
    0xffbcc8ff,
    0xffb8c7fd,
    0xffaacbeb,
    0xffafcff7,
    0xffccd2ff,
    0xff9d7eb1,
    0xff87709a,
    0xffb2cbf4,
    0xffb1c8f5,
    0xffabcbfe,
    0xffb9b4f3,
    0xff91416b,
    0xff88080f,
    0xff890a0d,
    0xff8e0712,
    0xff99020d,
    0xff9c0411,
    0xffa50c17,
    0xff970f21,
    0xff9d1122,
    0xff9a0414,
    0xff96061c,
    0xff9a0918,
    0xff970f18,
    0xff791525,
    0xff664363,
    0xffbbc0ff,
    0xffb2ccef,
    0xffb0c3f2,
    0xffa7c5f7,
    0xff9dcdf4,
    0xffa4c9ec,
    0xffa4c7fa,
    0xffa7c6f4,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa6c7f3,
    0xff9fcaf3,
    0xffa6c6f2,
    0xffafc5f9,
    0xffa7aded,
    0xffb09ada,
    0xff77538d,
    0xffa897d3,
    0xffabbcff,
    0xffa9ccf8,
    0xffa7c6f7,
    0xffa7c6f6,
    0xffa5c8ed,
    0xffa5c8f0,
    0xffa7c4fb,
    0xffa7c5f9,
    0xffa4c7f1,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c3f2,
    0xffa2c5f2,
    0xffa2c5f2,
    0xffa2c5f2,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f2,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xff9fc1ee,
    0xffa0c2f2,
    0xffa0c2f3,
    0xffa0c2f3,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa2c4f4,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa2c4f4,
    0xff9dc2f1,
    0xff9dc2f4,
    0xff9cc1f3,
    0xff9dc2f4,
    0xff9dc2f3,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc1f5,
    0xff9bc0f2,
    0xff9cc1f3,
    0xff9cc1f3,
    0xff9cc1f3,
    0xff9cc1f3,
    0xff9dc1f3,
    0xff9abef0,
    0xff9bbff1,
    0xff9dc1f5,
    0xff99bdf1,
    0xff9abef2,
    0xff9abef2,
    0xff98bcf0,
    0xff9bbff3,
    0xff9dc1f5,
    0xff9cc0f4,
    0xff9ac0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff99bef2,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff99bff4,
    0xff99bff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff97bcf1,
    0xff98bdf1,
    0xff98bdf0,
    0xff98bdf2,
    0xff98bdf1,
    0xff98bdf4,
    0xff99bdf8,
    0xff93b7f1,
    0xff95b9f4,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff94b8f2,
    0xff93b7f1,
    0xff94b8f2,
    0xff94b8f2,
    0xff93bbf4,
    0xff94bbf4,
    0xff94bbf4,
    0xff92b9f2,
    0xff91b8ee,
    0xff91b8ee,
    0xff91b8ef,
    0xff92b9ef,
    0xff90b5eb,
    0xff94b6f1,
    0xff90b8f0,
    0xff90b7f3,
    0xff90b7f2,
    0xff8eb3f2,
    0xff8cb5f1,
    0xff8cb4f2,
    0xff8cb6f1,
    0xff8bb6f1,
    0xff8bb5f1,
    0xff8cb6f1,
    0xff8ab3f1,
    0xff8cb4f3,
    0xff8cb4f3,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff8bb0f2,
    0xff8ab0f2,
    0xff88b2f2,
    0xff87b0f0,
    0xff87b0f2,
    0xff87b1f3,
    0xff89aff3,
    0xff89aff3,
    0xff86aef4,
    0xff87aff4,
    0xff86adf3,
    0xff82aef2,
    0xff82adf1,
    0xff82aef2,
    0xff82adf2,
    0xff82adf2,
    0xff84aff4,
    0xff82aff3,
    0xff82aff3,
    0xff82aff3,
    0xff81adf1,
    0xff7dacf0,
    0xff80aff3,
    0xff7faef2,
    0xff7badf0,
    0xff7daef1,
    0xff79aaed,
    0xff7aadf0,
    0xff7badf2,
    0xff7aabf1,
    0xff78acf1,
    0xff78acf1,
    0xff7aabf1,
    0xff78aaef,
    0xff78aaef,
    0xff78abef,
    0xff78abf2,
    0xff78abf2,
    0xff78abf2,
    0xff79abf2,
    0xff76a8ef,
    0xff78aaf1,
    0xff78aaf1,
    0xff7aaaf2,
    0xff77a7ef,
    0xff78a8f0,
    0xff76a6ee,
    0xff76a6ef,
    0xff75a9f2,
    0xff73a7f0,
    0xff6ea2eb,
    0xff74a8f4,
    0xff73a6f2,
    0xff72a9f3,
    0xff72a8f2,
    0xff73a9f3,
    0xff70a6f0,
    0xff71a8f1,
    0xff71a8f1,
    0xff70a7f0,
    0xff72a8f2,
    0xff72a8f2,
    0xff6fa5ef,
    0xff6fa5ef,
    0xff6fa7f1,
    0xff6fa7f1,
    0xff6ea7f1,
    0xff6fa5ee,
    0xff6ea3ef,
    0xff6da1ed,
    0xff6fa3ef,
    0xff6fa3ef,
    0xff6ea3f2,
    0xff6ca4f1,
    0xff6ba4f1,
    0xff6ca5f2,
    0xff67a3ee,
    0xff67a0ef,
    0xff6ba4f1,
    0xff6098e1,
    0xff5594cc,
    0xff69a5e0,
    0xff74a8e1,
    0xff5686ab,
    0xff56808b,
    0xff092e28,
    0xff405e54,
    0xff1c3835,
    0xff275875,
    0xff3d7198,
    0xff5189bb,
    0xff2a65a2,
    0xff6ca6ef,
    0xff65a3f2,
    0xff62a0f2,
    0xff619ff3,
    0xff659ef0,
    0xff649bef,
    0xff649ef0,
    0xff639df0,
    0xff629ced,
    0xff629cee,
    0xff609dee,
    0xff609ced,
    0xff639aee,
    0xff639def,
    0xff619eef,
    0xff609fef,
    0xff609fef,
    0xff609eef,
    0xff609eed,
    0xff639eee,
    0xff609df1,
    0xff609ef2,
    0xff5f9df2,
    0xff5e9bf0,
    0xff5c9cf1,
    0xff5a9cef,
    0xff5799ed,
    0xff5597ec,
    0xff5899ed,
    0xff5697eb,
    0xff5899ed,
    0xff5d9ef2,
    0xff5a9bef,
    0xff599aee,
    0xff5798ec,
    0xff5596ea,
    0xff5798ed,
    0xff5899ed,
    0xff5899ed,
    0xff5695ed,
    0xff5496ec,
    0xff5699f0,
    0xff5597ed,
    0xff5697f2,
    0xff5394ee,
    0xff5394ef,
    0xff5495ef,
    0xff5192ec,
    0xff5192ec,
    0xff5394ee,
    0xff5394ee,
    0xff5394ed,
    0xff5192ec,
    0xff5192ed,
    0xff5294ea,
    0xff5093e9,
    0xff5193e9,
    0xff5191ec,
    0xff5192ee,
    0xff5091ef,
    0xff4e8feb,
    0xff5192ee,
    0xff4f90ed,
    0xff5090ed,
    0xff4e92ed,
    0xff4f92ed,
    0xff4d90eb,
    0xff4d90eb,
    0xff4c90eb,
    0xff4b90ee,
    0xff4c91ef,
    0xff4a8fec,
    0xff498fec,
    0xff498fed,
    0xff4a8fee,
    0xff4a90ef,
    0xff498eed,
    0xff498eed,
    0xff4a8fee,
    0xff478ceb,
    0xff458ae9,
    0xff478ceb,
    0xff468bea,
    0xff4489e8,
    0xff488beb,
    0xff488beb,
    0xff468cea,
    0xff478ceb,
    0xff478ceb,
    0xff448ae9,
    0xff4389e8,
    0xff4389e8,
    0xff418bec,
    0xff428bed,
    0xff438bed,
    0xff4088ea,
    0xff4089ec,
    0xff3f87eb,
    0xff3e86ea,
    0xff3d86ea,
    0xff3e84e4,
    0xff3e86e8,
    0xff3c86ec,
    0xff3c84eb,
    0xff3d85ed,
    0xff4083ea,
    0xff4482e5,
    0xff4a84e3,
    0xff547be1,
    0xff6281e3,
    0xff6682db,
    0xff6985cf,
    0xff6277c0,
    0xff5f72c6,
    0xff6f81d8,
    0xff717ec8,
    0xff4a4d7a,
    0xff122d25,
    0xff2b4643,
    0xff121f23,
    0xff122521,
    0xff032b24,
    0xff0e3424,
    0xff03150c,
    0xff08140d,
    0xff03150d,
    0xff051e19,
    0xff09241e,
    0xff0a221a,
    0xff061911,
    0xff001307,
    0xff001306,
    0xff00150d,
    0xff041218,
    0xff051218,
    0xff081a0f,
    0xff061f0c,
    0xff001b0a,
    0xff183328,
    0xff00180d,
    0xff162821,
    0xff192e25,
    0xff081f18,
    0xff01150f,
    0xff051510,
    0xff04130c,
    0xff041409,
    0xff001100,
    0xff4a3406,
    0xffab7a50,
    0xff643315,
    0xff8b6430,
    0xffd6b475,
    0xff030000,
    0xff051620,
    0xff021020,
    0xff070c0e,
    0xff040e0d,
    0xff041414,
    0xff001311,
    0xff011512,
    0xff010f0d,
    0xff071715,
    0xff081c15,
    0xff861a22,
    0xff871d26,
    0xff8c1d29,
    0xff931c2e,
    0xff981d2f,
    0xffb03444,
    0xffca5560,
    0xffbe4e55,
    0xffb24142,
    0xff94282b,
    0xff76121b,
    0xff6a0e1c,
    0xff600a1a,
    0xff5f0b18,
    0xff610a15,
    0xff5e0810,
    0xff5c0a0a,
    0xff630116,
    0xff6b0016,
    0xff65000a,
    0xff630d27,
    0xffce7cb4,
    0xffffa5df,
    0xff9b3856,
    0xff911023,
    0xffae122d,
    0xffd4283e,
    0xffb11315,
    0xff7f0000,
    0xff660008,
    0xff5f0013,
    0xff5e0210,
    0xff5e0614,
    0xff51050c,
    0xff5e040e,
    0xff5e020b,
    0xff51040c,
    0xff530412,
    0xff5c0414,
    0xff540613,
    0xff510e22,
    0xff4e1427,
    0xff431d3e,
    0xff746797,
    0xffc1d2f9,
    0xffb6cdf2,
    0xffc8d3f8,
    0xffefefff,
    0xfff7ccde,
    0xffa71d2c,
    0xffaf111b,
    0xffdf6f7d,
    0xffffa5bc,
    0xffba1d2f,
    0xffc10b17,
    0xffc5031c,
    0xffc40021,
    0xffbf0c20,
    0xffb51217,
    0xffb91117,
    0xffc30f1f,
    0xffba152d,
    0xff931e2f,
    0xff6f2833,
    0xff4d2b34,
    0xff462832,
    0xff301b34,
    0xff3c305d,
    0xff8d6da7,
    0xffab74ad,
    0xffddc8f8,
    0xffafd5fd,
    0xffb9d0f1,
    0xffb5cbf2,
    0xffb6cbf8,
    0xffb8ccfe,
    0xffc0ccff,
    0xffc5bef8,
    0xffb090cb,
    0xff774581,
    0xff6a295d,
    0xff794778,
    0xff845d8b,
    0xffb39ed0,
    0xffc1cbff,
    0xffbcd2f8,
    0xffbdcfed,
    0xffb4caf9,
    0xffb4cffb,
    0xffb0ceef,
    0xffb3d5f5,
    0xffb7d5f6,
    0xffbfd5f6,
    0xff8c94c6,
    0xff3d3b63,
    0xff2b282f,
    0xff151c3f,
    0xff7786ae,
    0xffbdd4fa,
    0xffb6d4f8,
    0xffbbdbfd,
    0xffb6d1f4,
    0xffb9cdf1,
    0xffbccbee,
    0xffd8c9fc,
    0xffcd8aaf,
    0xff922f43,
    0xff982b2b,
    0xffb5381b,
    0xffc23c11,
    0xffc06c60,
    0xffe2ddfb,
    0xffd0dbf6,
    0xffc7d5f1,
    0xffb8c9eb,
    0xffb0caf1,
    0xffacc9f2,
    0xffaac9f3,
    0xffadccf7,
    0xffaecbf7,
    0xffabcdf2,
    0xffabcdf2,
    0xffabcbf3,
    0xffaccbf2,
    0xffafccf5,
    0xffaecaf2,
    0xffafcdf6,
    0xffb0cbf4,
    0xffb3c1f4,
    0xffbdcbfa,
    0xff95a5d4,
    0xffacc1ec,
    0xffb3cbf5,
    0xffb0cef3,
    0xffb1cdf4,
    0xffb2cef3,
    0xffadccf3,
    0xffabd2f6,
    0xffa3cff6,
    0xffbac9f2,
    0xffbac5f7,
    0xffdad0fc,
    0xff883246,
    0xff770011,
    0xff7c000a,
    0xff7a0205,
    0xff7d0204,
    0xff850307,
    0xff8c0108,
    0xff8d000b,
    0xff870207,
    0xff7f0406,
    0xff800108,
    0xff780307,
    0xff6d0301,
    0xff680100,
    0xff710308,
    0xff6f0004,
    0xff77070d,
    0xffbc555f,
    0xffcfb8e3,
    0xffc4ccf2,
    0xffb3c9e8,
    0xffb7c8ff,
    0xffbdb2e3,
    0xff95424b,
    0xffa01b28,
    0xffa01d28,
    0xff9a1519,
    0xffa1161b,
    0xff9f120c,
    0xffbc3211,
    0xffd65810,
    0xffe4720d,
    0xfff08617,
    0xffec8116,
    0xffd35b04,
    0xfff37f15,
    0xffe37d00,
    0xffe77314,
    0xffbe371e,
    0xff8e031e,
    0xff8d2d62,
    0xffbfbaf9,
    0xffb3caf7,
    0xffa4ccee,
    0xffa2cff3,
    0xffaac8f4,
    0xffbacdfa,
    0xffafc7f5,
    0xffaccaf6,
    0xffafc7f6,
    0xffabc7f8,
    0xffbac7ff,
    0xffa975a5,
    0xff7e0b18,
    0xff8e0d0a,
    0xff8d0717,
    0xff8e0019,
    0xff940510,
    0xff9b101b,
    0xffa31421,
    0xff96121a,
    0xff8c051e,
    0xff8c0427,
    0xff9e0b1b,
    0xff910716,
    0xff8a426b,
    0xffbfbaf0,
    0xffb7c6f7,
    0xffb0c2ed,
    0xffabc9f7,
    0xffa6c7f9,
    0xffabc5f9,
    0xffa4caf7,
    0xffa9c9f4,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa9caf5,
    0xffa9caf4,
    0xffaacbf6,
    0xffabccf5,
    0xffacccf3,
    0xffabcaf4,
    0xffb5c8f6,
    0xffb8b8ef,
    0xffb9a9e6,
    0xffafa2df,
    0xffb8c1f6,
    0xffa9c6f7,
    0xffa5c7f1,
    0xffa5c7f2,
    0xffa5c6f3,
    0xffa5c6f2,
    0xffa6c6f5,
    0xffa7c7f9,
    0xffa4c4f5,
    0xffa6c6f8,
    0xffa6c5f4,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c3f2,
    0xffa4c3f2,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa3c2f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa1c3f0,
    0xff9fc1ef,
    0xffa1c3f1,
    0xffa1c1f5,
    0xffa1c2f5,
    0xffa1c2f5,
    0xffa0c0f3,
    0xffa0c1f4,
    0xffa0c0f3,
    0xffa0c0f3,
    0xffa1c1f4,
    0xffa0c2f2,
    0xff9dbfef,
    0xff9ec0ef,
    0xff9ebef2,
    0xff9dbdf1,
    0xff9bbff1,
    0xff9bbff1,
    0xff9fc3f4,
    0xff9abef2,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff99bdf1,
    0xff99bdf1,
    0xff9abef2,
    0xff9bbff3,
    0xff99bdf1,
    0xff9ec2f6,
    0xff99bdf1,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f3,
    0xff9cc0f3,
    0xff9cc0f4,
    0xff9bbcf3,
    0xff9abdf3,
    0xff99bcf2,
    0xff99bcf2,
    0xff99bcf2,
    0xff9bbdf4,
    0xff99bff3,
    0xff9bc0f5,
    0xff9abff4,
    0xff99bef3,
    0xff99bef2,
    0xff99bef5,
    0xff98bdf4,
    0xff95baf0,
    0xff96bcf2,
    0xff93b9ef,
    0xff96baf4,
    0xff94b8f2,
    0xff93b7f1,
    0xff94b8f2,
    0xff96baf4,
    0xff97bbf5,
    0xff95b9f3,
    0xff97bbf5,
    0xff94bbf4,
    0xff94bbf4,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff94bbf4,
    0xff94bbf4,
    0xff93baf3,
    0xff93baf1,
    0xff90b7f1,
    0xff91b8f0,
    0xff91b8f3,
    0xff8fb6f0,
    0xff8eb4f3,
    0xff8fb4f2,
    0xff91b6f6,
    0xff8db3f1,
    0xff8db5f2,
    0xff8db7f3,
    0xff89b7f1,
    0xff89b7f2,
    0xff89b7f1,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8cb5f4,
    0xff8ab2f1,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8cb5f5,
    0xff8db6f6,
    0xff8ab3f4,
    0xff88b1f1,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff87b0f0,
    0xff88b2f1,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0ef,
    0xff88b1f3,
    0xff88b1f3,
    0xff87b0f1,
    0xff86aff1,
    0xff87aff1,
    0xff84adee,
    0xff85aeef,
    0xff84adee,
    0xff85acf2,
    0xff84adf2,
    0xff84adf1,
    0xff84aff3,
    0xff83b0f3,
    0xff81aef2,
    0xff7cabef,
    0xff7dacf0,
    0xff81aff4,
    0xff7dabf0,
    0xff7dabef,
    0xff7dacf0,
    0xff7baaed,
    0xff7cabee,
    0xff7babee,
    0xff7dacef,
    0xff7cadf2,
    0xff7cadf2,
    0xff7bacf1,
    0xff79a9f2,
    0xff7aaaf2,
    0xff7aa9f2,
    0xff79a9f1,
    0xff77a7f2,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff78aaf1,
    0xff76acf2,
    0xff72a7ed,
    0xff73a8ed,
    0xff75a9f2,
    0xff76aaf5,
    0xff74a8f3,
    0xff72a6f3,
    0xff72a6f2,
    0xff74a8f4,
    0xff74a8f4,
    0xff74a7f4,
    0xff76a9f6,
    0xff70a7f0,
    0xff71a7f1,
    0xff72a8f2,
    0xff73a8f3,
    0xff6ea7f0,
    0xff6ca7f0,
    0xff6ca7f0,
    0xff6fa7f1,
    0xff6fa8f3,
    0xff6ea3ef,
    0xff6da2ee,
    0xff6ea3f0,
    0xff6c9ff6,
    0xff6ea2f3,
    0xff71a4f2,
    0xff6ea9e9,
    0xff67a9e5,
    0xff5893ec,
    0xff77aafe,
    0xff5e8db0,
    0xff4b7b88,
    0xff4e86a0,
    0xff73a5d4,
    0xff638991,
    0xff48694d,
    0xff3a5e55,
    0xff335457,
    0xff0e2827,
    0xff052224,
    0xff244d71,
    0xff39709f,
    0xff4c84be,
    0xff6d9aee,
    0xff709bec,
    0xff67a0e6,
    0xff62a3f4,
    0xff659eee,
    0xff68a0f2,
    0xff609aee,
    0xff659df6,
    0xff639df0,
    0xff639eec,
    0xff639cee,
    0xff669df3,
    0xff659df0,
    0xff649bee,
    0xff639bee,
    0xff619cee,
    0xff629def,
    0xff639cef,
    0xff639def,
    0xff639def,
    0xff649cee,
    0xff629def,
    0xff619bed,
    0xff5f9ced,
    0xff5e9cec,
    0xff609eef,
    0xff5b9aeb,
    0xff5c9ded,
    0xff5a9bed,
    0xff5a9bed,
    0xff5a9bec,
    0xff5899ed,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff599af0,
    0xff5a9bed,
    0xff5798ea,
    0xff5697e9,
    0xff599bee,
    0xff5998f0,
    0xff5696ed,
    0xff5797ef,
    0xff5797ee,
    0xff5595ec,
    0xff5696ed,
    0xff5696ed,
    0xff5696f0,
    0xff5493ed,
    0xff5294ee,
    0xff5394ed,
    0xff5192ef,
    0xff5293ec,
    0xff5394ee,
    0xff5293ee,
    0xff5091ec,
    0xff5191ec,
    0xff5192ec,
    0xff5192eb,
    0xff5091eb,
    0xff5192ec,
    0xff4f90ea,
    0xff5091ea,
    0xff4e8fe9,
    0xff5091ea,
    0xff5090ed,
    0xff5090ed,
    0xff5091ed,
    0xff4e91ec,
    0xff4e91ec,
    0xff4e91ec,
    0xff4f92ed,
    0xff4e91eb,
    0xff4e91eb,
    0xff4f91ed,
    0xff4e90ec,
    0xff4c91f0,
    0xff4c91f0,
    0xff498eed,
    0xff478ceb,
    0xff458ae9,
    0xff458ae9,
    0xff458ae9,
    0xff4489e8,
    0xff458ce8,
    0xff468de8,
    0xff468cec,
    0xff458bea,
    0xff468ceb,
    0xff468ceb,
    0xff468ceb,
    0xff468cec,
    0xff448aea,
    0xff4288e8,
    0xff4389e9,
    0xff438deb,
    0xff428be9,
    0xff4089e8,
    0xff3f88e7,
    0xff4087e7,
    0xff4487e8,
    0xff3c8af2,
    0xff3c88ec,
    0xff4886e1,
    0xff4285e6,
    0xff4183ea,
    0xff7188d7,
    0xff9e83ac,
    0xff6c546f,
    0xff815c7f,
    0xff6d355e,
    0xff47052d,
    0xff42001e,
    0xff4b0b22,
    0xff551830,
    0xff6b2f47,
    0xff5e2c44,
    0xff4f334e,
    0xff0d1626,
    0xff143129,
    0xff041c11,
    0xff141f24,
    0xff102827,
    0xff002916,
    0xff001613,
    0xff001015,
    0xff001116,
    0xff00120c,
    0xff061b15,
    0xff112225,
    0xff071815,
    0xff031605,
    0xff001014,
    0xff071313,
    0xff020e01,
    0xff04140c,
    0xff00140f,
    0xff18381a,
    0xff284623,
    0xff02121a,
    0xff051c19,
    0xff0b2412,
    0xff001612,
    0xff001a22,
    0xff001619,
    0xff0a1a17,
    0xff0d0200,
    0xff967a45,
    0xffebc65b,
    0xffe0a458,
    0xff7d4720,
    0xff865a46,
    0xff4e291f,
    0xff100a00,
    0xff001b0f,
    0xff00100e,
    0xff00110a,
    0xff000f0a,
    0xff021111,
    0xff011111,
    0xff011413,
    0xff001110,
    0xff00120e,
    0xff00130d,
    0xff861d23,
    0xff891d28,
    0xff901d2b,
    0xff8f1625,
    0xff941224,
    0xff9b1526,
    0xff920e1c,
    0xff981923,
    0xff9f161f,
    0xffa0222c,
    0xff821622,
    0xff6e1120,
    0xff600d1b,
    0xff5e0713,
    0xff63040c,
    0xff6a0209,
    0xff6e000b,
    0xff7a0411,
    0xff730005,
    0xff710109,
    0xffb33249,
    0xffda4163,
    0xffc7344a,
    0xffa5282d,
    0xff972028,
    0xffa41d20,
    0xffc83931,
    0xffc53e2d,
    0xffb82e20,
    0xffaf1d17,
    0xff8e0707,
    0xff6e0000,
    0xff5f0008,
    0xff550514,
    0xff490016,
    0xff4d001d,
    0xff601d38,
    0xff4d182b,
    0xff4d1b2d,
    0xff4d2233,
    0xff472a35,
    0xff4b313e,
    0xff433253,
    0xff8185b7,
    0xffc4dfff,
    0xffb6d6f8,
    0xffbed8f2,
    0xffdeedf7,
    0xfff0e1ff,
    0xffd96d80,
    0xffa61213,
    0xffe0636a,
    0xffe85e74,
    0xffbc0c20,
    0xffbf0713,
    0xffbc0819,
    0xffc50a23,
    0xffbc091b,
    0xffae0614,
    0xffab101d,
    0xffab2235,
    0xff912338,
    0xff6b2031,
    0xff582330,
    0xff482436,
    0xff4f0c2f,
    0xff774574,
    0xffc4c8f8,
    0xffc7d0ff,
    0xffa58ac9,
    0xff8360a2,
    0xffd8c8ff,
    0xffd3d6ff,
    0xffc3cbff,
    0xffc3c9ff,
    0xffc3b5f1,
    0xff9d75a9,
    0xff6b274e,
    0xff5e041f,
    0xff660011,
    0xff77001a,
    0xff65001a,
    0xff610020,
    0xff6e0a3f,
    0xffa57ba9,
    0xffc1c7f5,
    0xffb2cdfd,
    0xffb1d7fe,
    0xffaccdf3,
    0xffadd0ec,
    0xffb0d4f1,
    0xffb6cefb,
    0xffb5bcf2,
    0xff5e5c82,
    0xff2b2638,
    0xff242031,
    0xff333f6b,
    0xffa8b9e6,
    0xffbbd3fc,
    0xffb3d1f7,
    0xffb3d1f8,
    0xffb3cef5,
    0xffb7ccf4,
    0xffb9cdf6,
    0xffb2d5f6,
    0xffbbb7ca,
    0xffae8ca1,
    0xffa4718e,
    0xff8c3e4f,
    0xff963733,
    0xff8d4b51,
    0xffaa98bc,
    0xffdce7ff,
    0xffcfe0fa,
    0xffb9ceee,
    0xffb3cef1,
    0xffaecaf2,
    0xffaccdf3,
    0xffa9c9f1,
    0xffacccf3,
    0xffaacdf2,
    0xffaccbf2,
    0xffabcbf2,
    0xffabcbf2,
    0xffaccdf4,
    0xffadcaf2,
    0xffafccf4,
    0xffadccf3,
    0xffb7cbf8,
    0xffb6cbf8,
    0xffb0c9f5,
    0xffacc9f0,
    0xffadccf3,
    0xffadccf2,
    0xffadcdf3,
    0xffaecef0,
    0xffaeccf2,
    0xffaecef5,
    0xffa9cff5,
    0xffb4ccec,
    0xffb5c9f8,
    0xffd3c5fb,
    0xffb4506c,
    0xff87000e,
    0xff810009,
    0xff7a0004,
    0xff790103,
    0xff7f0104,
    0xff88000a,
    0xff8a010b,
    0xff860207,
    0xff7f0205,
    0xff7e0107,
    0xff770004,
    0xff730003,
    0xff720106,
    0xff6e0005,
    0xff6e0207,
    0xff5f0003,
    0xff5d0a12,
    0xffd3c5ef,
    0xffb8c8f3,
    0xffb1cfee,
    0xffc1cbfd,
    0xffa0799e,
    0xff983334,
    0xffa8212c,
    0xff991523,
    0xff9e131f,
    0xffa01117,
    0xffa01005,
    0xffb62b07,
    0xffd55516,
    0xffe77118,
    0xfffa8827,
    0xfff58322,
    0xffd46200,
    0xffee7a13,
    0xffe9860d,
    0xffeb7b14,
    0xffde6129,
    0xff941809,
    0xffaf5376,
    0xffc7c1ff,
    0xffb9c6f7,
    0xffacc9f4,
    0xffa7cbf3,
    0xffb0cbf5,
    0xffabc2ee,
    0xffafcaf5,
    0xffaccbf4,
    0xffb0ccf5,
    0xffadcaea,
    0xffb5c7fb,
    0xffb79fd9,
    0xff6e1238,
    0xff94081f,
    0xff8c0110,
    0xff86060d,
    0xff8c0a06,
    0xff8d0908,
    0xff950c19,
    0xff930a24,
    0xff8c032b,
    0xff880c2c,
    0xff920d16,
    0xff8b0418,
    0xffb16ba0,
    0xffc2c9fe,
    0xffadc6f5,
    0xffadc4f1,
    0xffa7cdf8,
    0xffa5c9f8,
    0xffadc5f9,
    0xffa6caf6,
    0xffacc8f3,
    0xffa8c8f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa8c9f4,
    0xffa9caf5,
    0xffaacbf6,
    0xffaacbf6,
    0xffa8cbf0,
    0xffaacaf3,
    0xffaec6f2,
    0xffb5bef2,
    0xffc0bef5,
    0xffbec0f8,
    0xffadbff1,
    0xffa4c5f4,
    0xffa5c7f3,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa5c5f4,
    0xffa6c6f4,
    0xffa4c4f6,
    0xffa4c4f6,
    0xffa6c6f4,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa1c3f0,
    0xffa1c1f5,
    0xffa1c2f5,
    0xffa1c2f5,
    0xffa0c1f4,
    0xff9ebff2,
    0xff9fc0f3,
    0xffa0c1f4,
    0xff9fc0f4,
    0xffa0c2f1,
    0xffa0c2f2,
    0xffa0c2f2,
    0xff9fbff3,
    0xff9bbff1,
    0xff9cc0f2,
    0xff9abef0,
    0xff9bbff1,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff99bdf1,
    0xff99bdf1,
    0xff9bbff3,
    0xff9bbff3,
    0xff99bdf1,
    0xff9cc0f4,
    0xff99bdf1,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9bc0f3,
    0xff9fbff5,
    0xff9bbef4,
    0xff9bbef4,
    0xff99bcf2,
    0xff9abcf2,
    0xff98bdf2,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff99bef3,
    0xff99bef3,
    0xff99bef2,
    0xff99bef5,
    0xff97bcf3,
    0xff98bdf4,
    0xff96bbf1,
    0xff95b9f3,
    0xff96baf4,
    0xff95b9f3,
    0xff93b7f1,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff92baf3,
    0xff93baf3,
    0xff93baf3,
    0xff94bbf4,
    0xff93baf3,
    0xff94bbf4,
    0xff93baf3,
    0xff91b8f1,
    0xff93baf1,
    0xff90b7f1,
    0xff91b8f0,
    0xff91b8f3,
    0xff90b7f2,
    0xff90b6f5,
    0xff90b6f4,
    0xff8db3f1,
    0xff92b7f5,
    0xff8eb6f3,
    0xff8fb9f5,
    0xff8bb7f3,
    0xff89b7f1,
    0xff89b7f2,
    0xff8cb5f2,
    0xff8cb6f2,
    0xff8db7f3,
    0xff89b3ef,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8cb5f2,
    0xff8db6f6,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff8ab3f3,
    0xff89b2f2,
    0xff87b0f0,
    0xff88b1f1,
    0xff88b1f1,
    0xff87b0f3,
    0xff88b1f3,
    0xff86aff1,
    0xff87b0f2,
    0xff86aff1,
    0xff83acee,
    0xff85aef0,
    0xff83acee,
    0xff85aef0,
    0xff84aeef,
    0xff85acf2,
    0xff84aff3,
    0xff82aff2,
    0xff81aef0,
    0xff7babef,
    0xff7dadf1,
    0xff7eadf1,
    0xff7faef2,
    0xff7faef2,
    0xff7eadf1,
    0xff7cabef,
    0xff7cabef,
    0xff7dacf0,
    0xff7dabef,
    0xff7bacf1,
    0xff7aabf0,
    0xff7aabf0,
    0xff79a9f2,
    0xff7aaaf2,
    0xff79a9f1,
    0xff78a8f0,
    0xff78a7ef,
    0xff79abf2,
    0xff78aaf1,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f0,
    0xff78a9f1,
    0xff76abf1,
    0xff72a7ed,
    0xff72a7ed,
    0xff75a9f2,
    0xff75a9f4,
    0xff73a7f2,
    0xff74a8f2,
    0xff74a8f4,
    0xff74a8f2,
    0xff74a8f3,
    0xff74a8f2,
    0xff75a8f3,
    0xff71a7f1,
    0xff71a7f1,
    0xff72a8f2,
    0xff73a8f2,
    0xff6da6f0,
    0xff6fa7f1,
    0xff70a8f2,
    0xff71a9f3,
    0xff6fa8f1,
    0xff6ca5f0,
    0xff70a4f0,
    0xff6fa5f1,
    0xff6ba5f2,
    0xff6ea3f0,
    0xff6ea2f3,
    0xff6aa5ed,
    0xff63a2e5,
    0xff4b84dc,
    0xff7daff9,
    0xff5c8f9e,
    0xff38654a,
    0xff326b51,
    0xff4f8284,
    0xff608676,
    0xff3d603a,
    0xff4f7764,
    0xff587f82,
    0xff253f54,
    0xff072646,
    0xff638eb8,
    0xff164c76,
    0xff5b90ba,
    0xff5c8ab5,
    0xff537fa3,
    0xff2a618b,
    0xff63a3e4,
    0xff66a0f2,
    0xff609ced,
    0xff62a0f3,
    0xff609df3,
    0xff62a0f1,
    0xff5e9ceb,
    0xff609dee,
    0xff649ef2,
    0xff649cef,
    0xff649cef,
    0xff639aed,
    0xff619bed,
    0xff619bed,
    0xff619bed,
    0xff629bed,
    0xff629bed,
    0xff629cee,
    0xff639def,
    0xff639def,
    0xff609eef,
    0xff629eef,
    0xff61a0f0,
    0xff5d9cec,
    0xff5a9ceb,
    0xff5c9ef0,
    0xff5b9cee,
    0xff5899eb,
    0xff599aee,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff599aeb,
    0xff5798ea,
    0xff5697e9,
    0xff5798ec,
    0xff5898ef,
    0xff5595ec,
    0xff5797ef,
    0xff5797ef,
    0xff5696ee,
    0xff5797ef,
    0xff5696ee,
    0xff5696f0,
    0xff5293ed,
    0xff5394ee,
    0xff5394ee,
    0xff5293ec,
    0xff5091eb,
    0xff5293ed,
    0xff5293ed,
    0xff5091eb,
    0xff5091eb,
    0xff5192ec,
    0xff5091eb,
    0xff5293ed,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff4f90ea,
    0xff5091ea,
    0xff5091ed,
    0xff5091ed,
    0xff5090ed,
    0xff4e92ed,
    0xff4f92ed,
    0xff4f92ed,
    0xff4f92ed,
    0xff4d90eb,
    0xff4e91ec,
    0xff4d90eb,
    0xff4e91eb,
    0xff4b91f0,
    0xff4c91f0,
    0xff4b90ef,
    0xff488dec,
    0xff478ceb,
    0xff478ceb,
    0xff468bea,
    0xff4589e9,
    0xff468de8,
    0xff458de9,
    0xff468de8,
    0xff468ceb,
    0xff448ae9,
    0xff448ae9,
    0xff448ae9,
    0xff448aea,
    0xff458beb,
    0xff4389e9,
    0xff4288e8,
    0xff408ae9,
    0xff428bea,
    0xff418ae9,
    0xff408ae9,
    0xff438be8,
    0xff4987dd,
    0xff3d8aec,
    0xff398bef,
    0xff438ceb,
    0xff4185e7,
    0xff5284e2,
    0xff5d568f,
    0xff853c49,
    0xffa6524d,
    0xff4d111d,
    0xff401a38,
    0xff4e2847,
    0xff7b3e53,
    0xff8b393f,
    0xff8e3637,
    0xff883536,
    0xff5c2c40,
    0xff5c518e,
    0xff4664a2,
    0xff002230,
    0xff0a3020,
    0xff04221f,
    0xff001b22,
    0xff02211c,
    0xff041a15,
    0xff041a0d,
    0xff041b0b,
    0xff01170b,
    0xff041912,
    0xff0f251e,
    0xff01190e,
    0xff071f15,
    0xff011716,
    0xff031312,
    0xff02110b,
    0xff021112,
    0xff001517,
    0xff2d513a,
    0xff113615,
    0xff062122,
    0xff001822,
    0xff001611,
    0xff051c1d,
    0xff00141b,
    0xff001712,
    0xff030e00,
    0xff34260c,
    0xffddbc7d,
    0xffda974c,
    0xffde9b66,
    0xff2e0d00,
    0xff22220c,
    0xff071302,
    0xff082010,
    0xff00170d,
    0xff181d22,
    0xff0a1a14,
    0xff02120f,
    0xff031212,
    0xff001214,
    0xff001012,
    0xff001111,
    0xff021311,
    0xff091e19,
    0xff861b23,
    0xff881921,
    0xff8d1722,
    0xff941120,
    0xffa01224,
    0xffa30e20,
    0xffa30f20,
    0xffa91a27,
    0xffa91623,
    0xff95101f,
    0xff861828,
    0xff6e1124,
    0xff610718,
    0xff6e0715,
    0xff860b16,
    0xff960c18,
    0xffad1b30,
    0xffc93d3b,
    0xff982116,
    0xff640003,
    0xff8e1523,
    0xffc6272d,
    0xffc72a22,
    0xffae2d23,
    0xffa31a2e,
    0xffb91d24,
    0xffce302b,
    0xffc43730,
    0xffc4342c,
    0xffda382f,
    0xffcd2b2d,
    0xffa81d29,
    0xff850312,
    0xff59001a,
    0xff4e214e,
    0xff866e9e,
    0xffcbafd7,
    0xff6a5167,
    0xff4e3646,
    0xff4f2b40,
    0xff3b2d38,
    0xff41303d,
    0xff473357,
    0xff9f96cb,
    0xffcad3ff,
    0xffc5d7ff,
    0xffcad7fa,
    0xffd5ddf1,
    0xffddd5ff,
    0xffc15f7a,
    0xffbc2320,
    0xffc8352e,
    0xffd1333e,
    0xffc60f1f,
    0xffc20611,
    0xffc10b1b,
    0xffbf101f,
    0xffac0715,
    0xffe15662,
    0xffc65c68,
    0xff6d2634,
    0xff5b2a38,
    0xff512430,
    0xff52222d,
    0xff510b1c,
    0xff811e4a,
    0xff8c5283,
    0xffb1c2e6,
    0xffb2cff8,
    0xffc8bff9,
    0xff71367c,
    0xff851f6a,
    0xff964b90,
    0xffa6679f,
    0xff8a517b,
    0xff631d3d,
    0xff5c0017,
    0xff760017,
    0xff7d0013,
    0xff7d0013,
    0xff7b0208,
    0xff6c0405,
    0xff820719,
    0xff9c112e,
    0xff650a21,
    0xff8f79a4,
    0xffbacdff,
    0xffa9d4f9,
    0xffaed1f3,
    0xffb1d7f2,
    0xffadd2ed,
    0xffbac9ff,
    0xff8980c4,
    0xff3b2c48,
    0xff272025,
    0xff1d1b3e,
    0xff7f91c7,
    0xffb7cdff,
    0xffb3caf8,
    0xffafccf4,
    0xffb1cef6,
    0xffb4cdf6,
    0xffb6ccf7,
    0xffb7cdfb,
    0xffaed3f7,
    0xffc7dbf4,
    0xffd9def8,
    0xffbebce8,
    0xffd8c8fb,
    0xffe1c6ee,
    0xff766284,
    0xffcecff0,
    0xffddedff,
    0xffd0e2fd,
    0xffc7defc,
    0xffb8d4f5,
    0xffaeccf0,
    0xffadcef4,
    0xffaacaf0,
    0xffabccf0,
    0xffaccbf3,
    0xffadcdf4,
    0xffadcdf4,
    0xffabcbf2,
    0xffaccdf4,
    0xffafcbf4,
    0xffafcbf4,
    0xffafccf3,
    0xffb0caf6,
    0xffaccaf4,
    0xffb0d0f7,
    0xffaccdf4,
    0xffabcdf4,
    0xffabcef2,
    0xffaccef3,
    0xffaccef3,
    0xffafcdf3,
    0xffb1ccf5,
    0xffaecdf7,
    0xffb0d0ea,
    0xffb7ccf9,
    0xffcba3dd,
    0xff9a1938,
    0xffa9071c,
    0xff8a0006,
    0xff7e0005,
    0xff7a0106,
    0xff7c0206,
    0xff810008,
    0xff88000a,
    0xff870007,
    0xff820106,
    0xff7e0207,
    0xff790005,
    0xff790105,
    0xff770005,
    0xff710007,
    0xff69040c,
    0xff59050b,
    0xff430004,
    0xff9c8eb6,
    0xffbbcfff,
    0xffadd5fb,
    0xffcac9ec,
    0xff8e4457,
    0xffb03634,
    0xffa62128,
    0xff99101d,
    0xffa20e15,
    0xffa20c06,
    0xffae1c01,
    0xffc0360a,
    0xffd34d19,
    0xffda5926,
    0xffc13d09,
    0xffcb4610,
    0xffc34404,
    0xffdb6815,
    0xffe48b17,
    0xffed901d,
    0xfff08534,
    0xffad2c07,
    0xff890e1f,
    0xffa66ea8,
    0xffc3c0f6,
    0xffb7caf8,
    0xffa8caf2,
    0xffb0c9f5,
    0xffb4caf7,
    0xffaccbf4,
    0xffa9ccf4,
    0xffa9c7f1,
    0xffaecbef,
    0xffb0c9f9,
    0xffb6bef2,
    0xff77406f,
    0xff7c001b,
    0xff980d17,
    0xff891110,
    0xff8e0f14,
    0xff8c101e,
    0xff941322,
    0xff970f21,
    0xff980527,
    0xff930c2f,
    0xff900518,
    0xff8f0621,
    0xff78335e,
    0xffc1ccff,
    0xffaacbf8,
    0xffaac6f3,
    0xffa2caf5,
    0xffa4c9f5,
    0xffacc4f6,
    0xffa5c8f2,
    0xffacc5f0,
    0xffa6c7f3,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa5c7f1,
    0xffa8c9f4,
    0xffa7c8f3,
    0xffa8caf4,
    0xffa9caf5,
    0xffa9caf3,
    0xffa8cbf3,
    0xffa7c8f0,
    0xffadc4f2,
    0xffb4c5f5,
    0xffb1c1f4,
    0xffadc9f8,
    0xffa3c9f5,
    0xffa8c8f5,
    0xffa8c9f5,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa6c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c5f2,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xff9fc1ef,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa0c3f0,
    0xffa1c1f5,
    0xffa1c1f5,
    0xffa1c2f5,
    0xff9fc0f4,
    0xff9fc0f3,
    0xffa0c0f4,
    0xff9fc0f4,
    0xff9fc0f4,
    0xff9fc1f0,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa1c1f5,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f1,
    0xff9abef2,
    0xff9bbff3,
    0xff9bbff3,
    0xff9abef2,
    0xff9bbff3,
    0xff9bbff3,
    0xff9abef2,
    0xff9bbff3,
    0xff99bdf1,
    0xff9bbff3,
    0xff9bbff3,
    0xff9abef2,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9dbdf3,
    0xff9bbff5,
    0xff9cbff5,
    0xff9bbef4,
    0xff9bbdf4,
    0xff99bff4,
    0xff99bef4,
    0xff99bef4,
    0xff99bef4,
    0xff98bdf2,
    0xff97bcf1,
    0xff97bcf1,
    0xff98bdf4,
    0xff97bcf3,
    0xff99bef5,
    0xff95baf1,
    0xff93b7f2,
    0xff96b9f4,
    0xff97bbf5,
    0xff97bbf5,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96b9f3,
    0xff94bcf4,
    0xff93bbf4,
    0xff93bbf4,
    0xff92b9f2,
    0xff93bbf4,
    0xff94bbf4,
    0xff92b9f2,
    0xff92b9f2,
    0xff91b8ef,
    0xff90b7f0,
    0xff91b8f1,
    0xff8fb6ee,
    0xff92b9f4,
    0xff92b9f3,
    0xff91b7f5,
    0xff8eb4f2,
    0xff90b6f5,
    0xff8eb7f4,
    0xff8eb6f4,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8cb5f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8ab2f1,
    0xff8bb3f2,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8db6f3,
    0xff8ab3f4,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff8ab3f3,
    0xff88b1f1,
    0xff87b0f0,
    0xff86afef,
    0xff88b1f3,
    0xff88b1f3,
    0xff86aff2,
    0xff87b0f2,
    0xff88b1f3,
    0xff86aff1,
    0xff87b0f3,
    0xff87b0f2,
    0xff86aff1,
    0xff86aff0,
    0xff86adf3,
    0xff83aff3,
    0xff83aef2,
    0xff81aef1,
    0xff80adf0,
    0xff80adf1,
    0xff7eadf1,
    0xff7faef2,
    0xff7faef2,
    0xff7faef2,
    0xff7eadf1,
    0xff7eadf1,
    0xff7dacf0,
    0xff7dabef,
    0xff7bacf1,
    0xff7aabf0,
    0xff7bacf1,
    0xff7aabef,
    0xff79a9f2,
    0xff79a9f1,
    0xff7aaaf2,
    0xff7babf3,
    0xff78abf2,
    0xff78aaf1,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f1,
    0xff78a9f1,
    0xff75aaf0,
    0xff73a8ee,
    0xff73a8ed,
    0xff75a8f2,
    0xff74a8f1,
    0xff73a7f3,
    0xff73a7f2,
    0xff73a7f2,
    0xff73a8f3,
    0xff72a6f2,
    0xff72a6f1,
    0xff73a7f2,
    0xff72a6f1,
    0xff71a7f1,
    0xff72a8f2,
    0xff72a8f2,
    0xff6fa5ec,
    0xff6fa5f0,
    0xff71a7f1,
    0xff72a8f2,
    0xff73a8f2,
    0xff6ea7f2,
    0xff6ea6f1,
    0xff6da5f1,
    0xff6eabea,
    0xff6ea9f1,
    0xff6ea4f8,
    0xff6da6f2,
    0xff6da7ee,
    0xff6ca1ed,
    0xff497bb1,
    0xff57878a,
    0xff3f6546,
    0xff598858,
    0xff48755b,
    0xff4e7459,
    0xff577d51,
    0xff4d7a5b,
    0xff18443e,
    0xff1a3e59,
    0xff315991,
    0xff5282a7,
    0xff366e8d,
    0xff4c7c97,
    0xff265151,
    0xff4f7c76,
    0xff346a86,
    0xff64a2e1,
    0xff63a1f4,
    0xff619ef2,
    0xff629fef,
    0xff64a1ee,
    0xff619ee9,
    0xff65a1f1,
    0xff609ef0,
    0xff629ef1,
    0xff649cee,
    0xff649bef,
    0xff629cee,
    0xff639def,
    0xff619bed,
    0xff629bed,
    0xff5f9ded,
    0xff5f9ded,
    0xff629bed,
    0xff619bed,
    0xff639cef,
    0xff609eef,
    0xff619def,
    0xff5f9eee,
    0xff5e9ded,
    0xff5e9dec,
    0xff609df1,
    0xff5a9ced,
    0xff5899eb,
    0xff589aeb,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff599aeb,
    0xff5798ea,
    0xff5798ec,
    0xff5899ed,
    0xff5899ec,
    0xff5696ed,
    0xff5696ed,
    0xff5696ed,
    0xff5797ef,
    0xff5797ef,
    0xff5696ee,
    0xff5595ec,
    0xff5192ed,
    0xff5192ec,
    0xff5394ee,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5192ec,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff5192ec,
    0xff5091eb,
    0xff5192ec,
    0xff4f90ea,
    0xff5091eb,
    0xff5091ea,
    0xff5091ed,
    0xff5091ed,
    0xff5090ed,
    0xff4e92ec,
    0xff4f92ec,
    0xff4e91ec,
    0xff4e91ec,
    0xff4d91eb,
    0xff4e91eb,
    0xff4e91eb,
    0xff4c8fea,
    0xff4b91f0,
    0xff4c91f0,
    0xff4c91f0,
    0xff498eed,
    0xff4b90ef,
    0xff4a8fef,
    0xff498eee,
    0xff488cec,
    0xff468de9,
    0xff458ce8,
    0xff448be7,
    0xff468beb,
    0xff458bea,
    0xff458bea,
    0xff458bea,
    0xff458beb,
    0xff478ded,
    0xff468cec,
    0xff468cec,
    0xff458aea,
    0xff438dec,
    0xff428bea,
    0xff4089e8,
    0xff4189e8,
    0xff4a88dc,
    0xff3e8be8,
    0xff388bef,
    0xff428ced,
    0xff3f84e5,
    0xff5684e3,
    0xff5d5793,
    0xff4b1029,
    0xff3c103f,
    0xff7e7abd,
    0xff5f85dc,
    0xff5e8ce6,
    0xff637ac6,
    0xff4e4783,
    0xff4f3a73,
    0xff594784,
    0xff5a7dc8,
    0xff5088f9,
    0xff4080f3,
    0xff265a9b,
    0xff06273c,
    0xff0a1c31,
    0xff0a1531,
    0xff10192e,
    0xff00181b,
    0xff012212,
    0xff06240e,
    0xff001610,
    0xff021917,
    0xff001a0f,
    0xff001810,
    0xff00171a,
    0xff011810,
    0xff001113,
    0xff011218,
    0xff001010,
    0xff042120,
    0xff0f3623,
    0xff0c3619,
    0xff2f544b,
    0xff275867,
    0xff1d4a4f,
    0xff193d43,
    0xff0f323d,
    0xff032128,
    0xff021414,
    0xff0b0d00,
    0xff190a00,
    0xff83572d,
    0xff6e4229,
    0xff3e3020,
    0xff081a0c,
    0xff061f11,
    0xff022212,
    0xff011d15,
    0xff0b1418,
    0xff061514,
    0xff021614,
    0xff001212,
    0xff001012,
    0xff001115,
    0xff031617,
    0xff021413,
    0xff001311,
    0xff8a1722,
    0xff921c27,
    0xff941624,
    0xff9d1625,
    0xffa31021,
    0xffa00b1b,
    0xffa91524,
    0xffa81723,
    0xff94141c,
    0xff8d1723,
    0xff801727,
    0xff79152a,
    0xff780c20,
    0xff8b0c1e,
    0xffaf1826,
    0xffcb2735,
    0xffbe2031,
    0xffc52b2a,
    0xffa3221d,
    0xff660a14,
    0xff530008,
    0xff821112,
    0xffa82221,
    0xffae2530,
    0xffb52536,
    0xffb52328,
    0xffbc3028,
    0xffc84433,
    0xffc83f2a,
    0xffd13922,
    0xffd1362b,
    0xffc43331,
    0xffb2232b,
    0xff952b4e,
    0xffddc0f8,
    0xffbed1ff,
    0xffc1c1e9,
    0xff5c4b60,
    0xff49303e,
    0xff4f2d3e,
    0xff362c3c,
    0xff45323d,
    0xff563451,
    0xffb492bd,
    0xffead3f6,
    0xffe4d5fe,
    0xffe3d2fe,
    0xffeed7f9,
    0xffe8a2d7,
    0xffb22746,
    0xffd11d21,
    0xffcd2920,
    0xffd43f37,
    0xffc01f1c,
    0xffbf1018,
    0xffbd0d20,
    0xffba1022,
    0xffb72332,
    0xfff98e9c,
    0xff9c505b,
    0xff57202b,
    0xff59202b,
    0xff591119,
    0xff781c22,
    0xff9b1e2c,
    0xff88163c,
    0xffdbb1db,
    0xffc6d3fa,
    0xffbac7f8,
    0xffccceff,
    0xff986ba3,
    0xff84053b,
    0xff7e0022,
    0xff690012,
    0xff690018,
    0xff6d0018,
    0xff760017,
    0xff7d001b,
    0xff720012,
    0xff720214,
    0xff740017,
    0xff6c0a0f,
    0xff730506,
    0xff97191e,
    0xff7c2028,
    0xff6f4868,
    0xffadafe1,
    0xffb5d4fe,
    0xffaeccf6,
    0xffaed2f5,
    0xffb2d2f7,
    0xffa2aadf,
    0xff4d3f75,
    0xff2e2033,
    0xff1c1c2a,
    0xff4c588a,
    0xffb4ccff,
    0xffb0c9fb,
    0xffb3caf9,
    0xffb6cef7,
    0xffb2caf3,
    0xffb6cff7,
    0xffb4ccf8,
    0xffb5ccfb,
    0xffc3cbfd,
    0xffcacff9,
    0xffc7cde8,
    0xffcad4f4,
    0xffc8d9ff,
    0xff8ca1e2,
    0xff8498cf,
    0xffbfd2f8,
    0xffbfd2ef,
    0xffbcd1ed,
    0xffbad3f2,
    0xffb7d4f6,
    0xffafcdf1,
    0xffacccf2,
    0xffadcdf3,
    0xffadcdf3,
    0xffabcbf1,
    0xffadcdf3,
    0xffadcdf3,
    0xffabcbf1,
    0xffadcdf3,
    0xffaccdf2,
    0xffaccdf2,
    0xffaccdf2,
    0xffaccdf4,
    0xffadcdf3,
    0xffaaccf2,
    0xffadcff5,
    0xffaccef3,
    0xffadcff4,
    0xffadcdf4,
    0xffadcdf3,
    0xffaecef5,
    0xffb0cdf2,
    0xffb2cdf9,
    0xffb0cef3,
    0xffc6c6f7,
    0xffbc6997,
    0xff940005,
    0xffb30218,
    0xff97000b,
    0xff860005,
    0xff7b0108,
    0xff770208,
    0xff7c0106,
    0xff850107,
    0xff870108,
    0xff840005,
    0xff7d0207,
    0xff790105,
    0xff7a0209,
    0xff6e0005,
    0xff6b0208,
    0xff63050d,
    0xff56040b,
    0xff490008,
    0xff442243,
    0xffc1c9ff,
    0xffb4d8ff,
    0xffc4b8d6,
    0xff922e3a,
    0xffad2a29,
    0xff9f2122,
    0xff95060d,
    0xffb41b10,
    0xffd93f25,
    0xfff76336,
    0xffdd4e1c,
    0xffab1e00,
    0xff9d1002,
    0xff9c0805,
    0xff9f0607,
    0xffa40d03,
    0xffb62807,
    0xffe17224,
    0xffe98220,
    0xffdc6a1b,
    0xffbb3404,
    0xff8d0203,
    0xff681843,
    0xff9c97cc,
    0xffb3c8f4,
    0xffa8c9f2,
    0xffaecaf5,
    0xffadc8f0,
    0xffa8cbf0,
    0xffa6caf0,
    0xffabc9f0,
    0xffa9c8f2,
    0xffaecbf4,
    0xffafcaf3,
    0xffa798c8,
    0xff9b4870,
    0xff820517,
    0xff931418,
    0xff8d0f18,
    0xff8b0d1b,
    0xff99121a,
    0xff911416,
    0xff91071d,
    0xff9d0b32,
    0xff8e0930,
    0xff8d1f4c,
    0xff5c2c60,
    0xffa0a8df,
    0xffaec8f9,
    0xffafc8f6,
    0xffa4c9f3,
    0xffa6c9f7,
    0xffacc6f5,
    0xffa6c8f2,
    0xffabc6ef,
    0xffa8c7f5,
    0xffa8c7f6,
    0xffaac8f4,
    0xffaac8f5,
    0xffa8c6f3,
    0xffa8c7f3,
    0xffaac8f4,
    0xffaac8f5,
    0xffa9c9f1,
    0xffa6c9f1,
    0xffa8ccf3,
    0xffa8c9f4,
    0xffabc8f5,
    0xffabc7f3,
    0xffa6c7f5,
    0xffa2c8f4,
    0xffa5c5f4,
    0xffa5c5f5,
    0xffa5c6f2,
    0xffa4c5f2,
    0xffa8c9f6,
    0xffa6c7f4,
    0xffa8c9f5,
    0xffa5c7f3,
    0xffa5c5f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c3f2,
    0xffa4c3f2,
    0xffa4c3f3,
    0xffa2c5f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xff9fc1ef,
    0xffa0c2f0,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa1c3f3,
    0xffa1c3f2,
    0xffa1c3f2,
    0xff9fc1f1,
    0xffa0c2f2,
    0xffa1c3f2,
    0xffa1c3f2,
    0xffa1c3f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xff9dbfef,
    0xff9fc0f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9cc0f5,
    0xff9dc1f6,
    0xff9dc1f5,
    0xff9cc0f5,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff99bdf1,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9ebef4,
    0xff9cc1f4,
    0xff9bbff3,
    0xff9cc0f3,
    0xff9cc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9bc0f4,
    0xff9abff4,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff9abff6,
    0xff9bc0f7,
    0xff95baf1,
    0xff95baf1,
    0xff95baf1,
    0xff96bcf2,
    0xff98bcf7,
    0xff95b9f3,
    0xff94b8f2,
    0xff97bbf5,
    0xff96baf4,
    0xff95b9f3,
    0xff96b9f4,
    0xff96b9f3,
    0xff97baf4,
    0xff96b9f4,
    0xff94b8f2,
    0xff95b9f3,
    0xff96baf4,
    0xff93baf1,
    0xff91b8f1,
    0xff92b9f2,
    0xff91b8f1,
    0xff93baf5,
    0xff92b9f4,
    0xff90b7f1,
    0xff90b7f2,
    0xff8fb6f1,
    0xff8eb5f0,
    0xff8fb7f2,
    0xff8eb5f0,
    0xff8eb6f0,
    0xff8cb5f0,
    0xff8bb6ef,
    0xff8bb6ef,
    0xff8cb6f2,
    0xff8eb8f4,
    0xff8cb6f2,
    0xff8ab5f0,
    0xff8ab3f2,
    0xff8cb5f3,
    0xff8db6f4,
    0xff8ab3f1,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8bb4f4,
    0xff89b2f2,
    0xff87b0f0,
    0xff88b1f0,
    0xff87b0f0,
    0xff88b1f0,
    0xff88b1f0,
    0xff86afef,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0f2,
    0xff85aef0,
    0xff86aff0,
    0xff83b0f0,
    0xff84aef3,
    0xff84aef3,
    0xff82aff2,
    0xff82aff1,
    0xff7faef2,
    0xff7cabef,
    0xff7eadf1,
    0xff7eadf1,
    0xff80aff3,
    0xff7faef2,
    0xff7eadf1,
    0xff7dacf0,
    0xff7badf2,
    0xff7cadf2,
    0xff7cadf2,
    0xff7bacf1,
    0xff7cadf1,
    0xff7cacf4,
    0xff7babf3,
    0xff7aaaf2,
    0xff77aaee,
    0xff79abef,
    0xff79abef,
    0xff78aaef,
    0xff79abef,
    0xff7aacf0,
    0xff77a9ee,
    0xff78a9ee,
    0xff75abf1,
    0xff74aaef,
    0xff74aaef,
    0xff75aaf3,
    0xff76abf4,
    0xff74a9f1,
    0xff72a6ef,
    0xff71a5f1,
    0xff76a8f0,
    0xff75a6ef,
    0xff72a6f2,
    0xff72a6f1,
    0xff72a6f1,
    0xff72a6f1,
    0xff71a7f1,
    0xff71a7f1,
    0xff72a6ef,
    0xff72a6ef,
    0xff72a6ee,
    0xff71a8f2,
    0xff72a8f2,
    0xff6da6ef,
    0xff6ea7f1,
    0xff6da5f0,
    0xff6eaae8,
    0xff70a8ef,
    0xff73a8f3,
    0xff79aef1,
    0xff5d92cd,
    0xff6f9fdb,
    0xff5684a8,
    0xff467477,
    0xff466642,
    0xff547b41,
    0xff2e5636,
    0xff365d3f,
    0xff28502f,
    0xff365f5c,
    0xff38647e,
    0xff224c83,
    0xff3065a1,
    0xff3b7889,
    0xff4b8398,
    0xff57839e,
    0xff0c3427,
    0xff2c594a,
    0xff3a6d96,
    0xff6da7f7,
    0xff659ff1,
    0xff649eef,
    0xff66a2eb,
    0xff5c96d6,
    0xff659fe1,
    0xff5b94e2,
    0xff66a0f1,
    0xff639eec,
    0xff649ef0,
    0xff639def,
    0xff639def,
    0xff649ef0,
    0xff639cef,
    0xff609eee,
    0xff619eef,
    0xff609eef,
    0xff649def,
    0xff649def,
    0xff609eee,
    0xff619eef,
    0xff609dee,
    0xff5f9eee,
    0xff61a0f0,
    0xff61a0f0,
    0xff5d9bee,
    0xff5e9cef,
    0xff5c9aed,
    0xff5b98eb,
    0xff5799ea,
    0xff5899ed,
    0xff5899ed,
    0xff5798ed,
    0xff599aec,
    0xff599aeb,
    0xff5899ed,
    0xff5798ec,
    0xff599aee,
    0xff5797ee,
    0xff5898ef,
    0xff5898ef,
    0xff5595ed,
    0xff5696ee,
    0xff5494ec,
    0xff5392ea,
    0xff5193ea,
    0xff5192ed,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5293ed,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5192ec,
    0xff5192ec,
    0xff4f90ea,
    0xff5192ec,
    0xff5192ec,
    0xff4f90ea,
    0xff5091eb,
    0xff4f90ea,
    0xff4f90ed,
    0xff4f90ec,
    0xff5091ec,
    0xff4e90ee,
    0xff4d8fee,
    0xff4d8fed,
    0xff4c8eec,
    0xff4e90ee,
    0xff4d8fee,
    0xff4d8fee,
    0xff4c8eec,
    0xff4b91ed,
    0xff4c91ed,
    0xff4c91ed,
    0xff4b90ec,
    0xff4b90ec,
    0xff4b90ec,
    0xff498eeb,
    0xff4a8fec,
    0xff4890ec,
    0xff478eea,
    0xff468de9,
    0xff478ded,
    0xff468ceb,
    0xff468ceb,
    0xff468ceb,
    0xff468cec,
    0xff448aea,
    0xff468cec,
    0xff468cec,
    0xff468cec,
    0xff488ded,
    0xff428cea,
    0xff428bea,
    0xff448ceb,
    0xff4188e7,
    0xff3f8cee,
    0xff3d89e9,
    0xff4487e4,
    0xff4689ea,
    0xff4385ec,
    0xff5883de,
    0xff5c6cb7,
    0xff527ed3,
    0xff4c85e7,
    0xff3d83f1,
    0xff3c8af3,
    0xff3b88e4,
    0xff4c8ee4,
    0xff5387e6,
    0xff4f7ce6,
    0xff3e7ee6,
    0xff3c78ec,
    0xff417ef6,
    0xff4481ec,
    0xff6190ea,
    0xff04246e,
    0xff41659c,
    0xff013053,
    0xff001936,
    0xff02222d,
    0xff062024,
    0xff00161d,
    0xff00111a,
    0xff001013,
    0xff021415,
    0xff011216,
    0xff001911,
    0xff001317,
    0xff0d2028,
    0xff162c2b,
    0xff143223,
    0xff1d402b,
    0xff042c16,
    0xff164031,
    0xff18504a,
    0xff1b4d42,
    0xff1b453f,
    0xff173c3e,
    0xff0f2e36,
    0xff001420,
    0xff07161e,
    0xff0d130f,
    0xff020900,
    0xff020200,
    0xff1b1d19,
    0xff171e1b,
    0xff07140f,
    0xff01150b,
    0xff00120c,
    0xff021313,
    0xff071918,
    0xff071a18,
    0xff001010,
    0xff031517,
    0xff031519,
    0xff041618,
    0xff203234,
    0xff000e0e,
    0xff941826,
    0xff9b1c2a,
    0xff991724,
    0xff9b1222,
    0xff9e0f1d,
    0xff9d0c19,
    0xffa0141c,
    0xff981219,
    0xff84141c,
    0xff831624,
    0xff841829,
    0xff85142d,
    0xff8b1228,
    0xff960c21,
    0xffa6111e,
    0xffbf202b,
    0xffaa111d,
    0xffa9101a,
    0xff980715,
    0xff90132a,
    0xff790e23,
    0xff6a000c,
    0xff961928,
    0xffae2137,
    0xffb64864,
    0xffc47587,
    0xffc68280,
    0xffae4f3d,
    0xffc44228,
    0xffcd3b26,
    0xffc53523,
    0xffbf331b,
    0xffc03c23,
    0xffb84658,
    0xffddb5e7,
    0xffbbd0ff,
    0xffb4b5dd,
    0xff61425d,
    0xff4f3647,
    0xff3d2c3e,
    0xff462b4a,
    0xff512233,
    0xff75293d,
    0xff993d54,
    0xffaa4d59,
    0xffa64e61,
    0xffc16386,
    0xffb2516c,
    0xff860d22,
    0xffad1622,
    0xffcf2228,
    0xffcc2424,
    0xffc1201a,
    0xffc21917,
    0xffc2121f,
    0xffbf1b34,
    0xffab2639,
    0xff97172b,
    0xff6c000e,
    0xff600012,
    0xff650a1c,
    0xff730e18,
    0xffa52627,
    0xffc83531,
    0xffc22935,
    0xff9e1c42,
    0xff975a8d,
    0xffb5aae2,
    0xffcfc8ff,
    0xffcccbff,
    0xffc7aadd,
    0xff6d0b32,
    0xff720217,
    0xff700011,
    0xff70020f,
    0xff6e030f,
    0xff6d0310,
    0xff67030b,
    0xff67040d,
    0xff6a040e,
    0xff79001a,
    0xff7b0015,
    0xff7e0009,
    0xff7e1121,
    0xff8a516f,
    0xffbeaecc,
    0xffcaceef,
    0xffb6c9f7,
    0xffb8cfff,
    0xffb4cef9,
    0xffb0c1f1,
    0xff696d95,
    0xff292335,
    0xff231c2f,
    0xff1d264e,
    0xff95afe2,
    0xffb2cffe,
    0xffb3d1fd,
    0xffafcbf3,
    0xffb5cdf3,
    0xffb6d0f3,
    0xffb7cff6,
    0xffb1cef5,
    0xffb3cef7,
    0xffbbcbff,
    0xffc9dbf7,
    0xffe1eefb,
    0xffdce8ff,
    0xffa3b6ea,
    0xff6d8ac3,
    0xffb1ccff,
    0xffb4c8f3,
    0xffb6cef0,
    0xffb5cdf1,
    0xffb4cef3,
    0xffb0ccf3,
    0xffb0cdf5,
    0xffadcef6,
    0xffaecef6,
    0xffaecef6,
    0xffacccf2,
    0xffaecef4,
    0xffacccf2,
    0xffadcdf3,
    0xffacccf2,
    0xffadcdf3,
    0xffacccf2,
    0xffadcef3,
    0xffaecaf2,
    0xffaccdf4,
    0xffacccf4,
    0xffaecef3,
    0xffadcdf4,
    0xffafcef4,
    0xffb0cdf4,
    0xffb1cef4,
    0xffaccef5,
    0xffabceee,
    0xffb2ccfc,
    0xffb6c8fd,
    0xffd3b9ea,
    0xffa72e4b,
    0xffb90907,
    0xffb50311,
    0xffad0b11,
    0xff8c0002,
    0xff7f0008,
    0xff740007,
    0xff7a0307,
    0xff85050a,
    0xff850007,
    0xff850009,
    0xff7c0005,
    0xff7b0206,
    0xff730407,
    0xff650003,
    0xff5c0104,
    0xff590208,
    0xff5c040e,
    0xff57000b,
    0xff3e0015,
    0xff917dab,
    0xffd1dbff,
    0xffaa8aac,
    0xff912533,
    0xffa7262a,
    0xff961915,
    0xff980304,
    0xffac0900,
    0xffca270b,
    0xffd23709,
    0xffd73f14,
    0xffc42d15,
    0xffa10a0b,
    0xffaa0a1e,
    0xffa8031d,
    0xffa6080c,
    0xffa80109,
    0xffa71200,
    0xffd04012,
    0xfff26d32,
    0xffc74914,
    0xff80100b,
    0xffc194be,
    0xffbabbef,
    0xffa3bce8,
    0xffa8d0f4,
    0xffa9ccf2,
    0xffaacbf1,
    0xffa9cbf1,
    0xffaccdf3,
    0xffb1cbf3,
    0xffa8ccf2,
    0xffadceec,
    0xffb2c9f3,
    0xffbdcdff,
    0xffbaa5e1,
    0xff882c52,
    0xff8f1020,
    0xff871616,
    0xff8c0e0b,
    0xff84070e,
    0xff79263a,
    0xff96446d,
    0xff91285d,
    0xff72134b,
    0xffa362a6,
    0xffbea4f0,
    0xff8b8bc9,
    0xffb5c6fa,
    0xffb1c2f4,
    0xffa8c9f4,
    0xffa6c7f4,
    0xffacc5f5,
    0xffa3caf1,
    0xffa7c8ee,
    0xffa9c7f4,
    0xffa9c8f4,
    0xffa9c8f4,
    0xffa8c7f3,
    0xffaac9f5,
    0xffabcaf5,
    0xffabcaf8,
    0xffa9c8f6,
    0xffacc9f2,
    0xffaac9f5,
    0xffa8cbf5,
    0xffa8cbf5,
    0xffa8caf5,
    0xffa8c9f5,
    0xffa8c9f3,
    0xffa7c9f3,
    0xffa9c9f7,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa6c6f6,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c3f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xff9fc1ef,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa0c2f3,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa1c3f3,
    0xff9fc1f1,
    0xff9ebff2,
    0xff9ec2f4,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9bbff1,
    0xff9bbff1,
    0xff9bbff1,
    0xff9bbff0,
    0xff9cc0f1,
    0xff9bbff3,
    0xff9abef2,
    0xff9abef2,
    0xff99bdf1,
    0xff9abef2,
    0xff9bbff3,
    0xff9bbff3,
    0xff99bdf1,
    0xff9fbff5,
    0xff9bc0f3,
    0xff9dc1f5,
    0xff9cc0f4,
    0xff9cbff3,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff2,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff99bef5,
    0xff98bdf1,
    0xff98bdf5,
    0xff97bcf4,
    0xff97bcf2,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96b9f4,
    0xff93bbf4,
    0xff94bbf4,
    0xff91b8f1,
    0xff90b7f0,
    0xff95bcf4,
    0xff90b7f0,
    0xff90b7f3,
    0xff92b9f4,
    0xff92b9f4,
    0xff91b8f3,
    0xff8eb5f0,
    0xff8eb6f1,
    0xff8eb5f0,
    0xff8fb7f2,
    0xff8bb3ee,
    0xff8db4ef,
    0xff8bb5f2,
    0xff8eb8f4,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8ab5f0,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8ab3f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8db6f6,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff88b1f1,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0f0,
    0xff88b1f1,
    0xff88b1f1,
    0xff85aeee,
    0xff87b0f0,
    0xff87b0ef,
    0xff86aff2,
    0xff85aef0,
    0xff85aef0,
    0xff86aef0,
    0xff84b1f1,
    0xff84aff4,
    0xff84aff3,
    0xff82adf1,
    0xff7faef2,
    0xff7faef2,
    0xff7faef2,
    0xff7faef2,
    0xff7eadf1,
    0xff7eaef2,
    0xff7cacf0,
    0xff7dacf0,
    0xff7cabef,
    0xff7cabef,
    0xff7dabf2,
    0xff7dabf2,
    0xff7dacf2,
    0xff7dacf2,
    0xff7dacf4,
    0xff7cabf4,
    0xff79acf1,
    0xff7aacf1,
    0xff7aacf1,
    0xff78aaef,
    0xff77a9ee,
    0xff77a9ee,
    0xff79abf0,
    0xff79abef,
    0xff78a9f1,
    0xff77a9f0,
    0xff77a9f0,
    0xff78a9f0,
    0xff78a9f3,
    0xff78aaf3,
    0xff77a9f2,
    0xff76a7f0,
    0xff78aaf3,
    0xff77a9f2,
    0xff77a9f1,
    0xff75aaf2,
    0xff74a8f3,
    0xff73a7f2,
    0xff72a6f1,
    0xff71a5f0,
    0xff75a7f0,
    0xff75a7f0,
    0xff72a7f0,
    0xff73a6ef,
    0xff71a8f2,
    0xff72a8f2,
    0xff72a8f2,
    0xff72a8f1,
    0xff74abee,
    0xff72a7f1,
    0xff74a7e7,
    0xff699ece,
    0xff4d7da8,
    0xff416c93,
    0xff6791af,
    0xff436d7f,
    0xff34503a,
    0xff506e47,
    0xff2d4d39,
    0xff153e22,
    0xff2d573c,
    0xff18404e,
    0xff164269,
    0xff24568a,
    0xff5d9fdc,
    0xff468c9a,
    0xff29627c,
    0xff184067,
    0xff2a514e,
    0xff1e4e4a,
    0xff30649e,
    0xff66a3fb,
    0xff69a3f2,
    0xff689eee,
    0xff6ca0e2,
    0xff6fa5d7,
    0xff2a5f95,
    0xff74a6f3,
    0xff669df1,
    0xff659fe9,
    0xff639def,
    0xff649ef0,
    0xff639def,
    0xff669ff1,
    0xff5f9ded,
    0xff63a0f1,
    0xff609dee,
    0xff619eef,
    0xff609eee,
    0xff609eee,
    0xff619eef,
    0xff619eef,
    0xff619eef,
    0xff619def,
    0xff5f9fee,
    0xff5f9fef,
    0xff609ced,
    0xff609ded,
    0xff5e9cf0,
    0xff5d9bee,
    0xff5d9bee,
    0xff5a9ced,
    0xff5c9df2,
    0xff5c9df2,
    0xff5697ec,
    0xff599aee,
    0xff599aee,
    0xff5798ec,
    0xff5899ec,
    0xff5696ee,
    0xff5898ef,
    0xff5898ef,
    0xff5797ee,
    0xff5595ec,
    0xff5494ec,
    0xff5696ee,
    0xff5597ee,
    0xff5294eb,
    0xff5494ef,
    0xff5495ef,
    0xff5192ec,
    0xff5192ec,
    0xff5293ed,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5091eb,
    0xff5192ec,
    0xff5192ec,
    0xff5192ec,
    0xff5192ec,
    0xff4f90ea,
    0xff5192ec,
    0xff5192ee,
    0xff5192ee,
    0xff4f90ec,
    0xff5091ef,
    0xff5091ef,
    0xff5091ef,
    0xff5292f0,
    0xff4e8fed,
    0xff4f8fed,
    0xff5091ef,
    0xff4e8fee,
    0xff4c90ee,
    0xff4a8fec,
    0xff4c91ee,
    0xff4a8fec,
    0xff4a8fec,
    0xff4b90ed,
    0xff4a8fec,
    0xff488dea,
    0xff478be9,
    0xff4d92ef,
    0xff488dea,
    0xff478cec,
    0xff488dec,
    0xff478bea,
    0xff488dec,
    0xff488ced,
    0xff468aeb,
    0xff468aeb,
    0xff458cec,
    0xff468cec,
    0xff468cec,
    0xff458aea,
    0xff418ae9,
    0xff428beb,
    0xff3e88f0,
    0xff3f88f0,
    0xff4388e9,
    0xff4887df,
    0xff4587e6,
    0xff3d8bf4,
    0xff3989f5,
    0xff3b84ee,
    0xff408df8,
    0xff4384ef,
    0xff487deb,
    0xff497fe7,
    0xff4184ea,
    0xff3a84ea,
    0xff3c83f0,
    0xff3f80f2,
    0xff3787dc,
    0xff3888de,
    0xff3487e7,
    0xff2f86f3,
    0xff377ff4,
    0xff5582ec,
    0xff04296d,
    0xff164368,
    0xff143f7c,
    0xff002767,
    0xff04285f,
    0xff00183e,
    0xff00193b,
    0xff001335,
    0xff01112a,
    0xff02121c,
    0xff001114,
    0xff071e29,
    0xff001624,
    0xff2c4847,
    0xff05240e,
    0xff1b3b20,
    0xff0e2d1d,
    0xff1b3b2f,
    0xff1f4428,
    0xff0e3012,
    0xff1b381d,
    0xff122a17,
    0xff0e211d,
    0xff000e11,
    0xff041313,
    0xff03100f,
    0xff01110e,
    0xff011110,
    0xff1b2629,
    0xff0d1819,
    0xff081913,
    0xff02160d,
    0xff02110b,
    0xff040f0c,
    0xff031715,
    0xff001211,
    0xff001110,
    0xff031716,
    0xff031416,
    0xff001112,
    0xff000e0e,
    0xff001213,
    0xff971626,
    0xff991624,
    0xff9c1825,
    0xff98101c,
    0xff9c101d,
    0xffa21620,
    0xff99131c,
    0xff92151c,
    0xff851221,
    0xff881425,
    0xff8b1429,
    0xff8b1228,
    0xff8c0e25,
    0xff901021,
    0xff930e19,
    0xff950e15,
    0xff9a0313,
    0xffa0071f,
    0xff9f0622,
    0xff9c091c,
    0xff991320,
    0xff891721,
    0xff6d0306,
    0xff87211e,
    0xff6f1e48,
    0xffc58cb7,
    0xffffd0ea,
    0xffce6b67,
    0xffcf4d39,
    0xffd8533b,
    0xffc64025,
    0xffcf3b1e,
    0xffc84224,
    0xffb3494f,
    0xffcea7ce,
    0xffc1d1fb,
    0xffa3accf,
    0xff573f5e,
    0xff4e304b,
    0xff3c2a47,
    0xff482d48,
    0xff58262d,
    0xff933a3d,
    0xffb2413d,
    0xff9c2714,
    0xff800a00,
    0xff860c0f,
    0xff870808,
    0xff910908,
    0xff8b070b,
    0xffaf1e28,
    0xffc72430,
    0xffc2171c,
    0xffbc0e16,
    0xffbd212f,
    0xff9c263a,
    0xff6f2b31,
    0xff711625,
    0xff7b031c,
    0xff7f041e,
    0xff790a1b,
    0xff85161a,
    0xffb32e28,
    0xffcb3328,
    0xffbb372d,
    0xffc53246,
    0xff8f1d47,
    0xff723068,
    0xff6f3b82,
    0xff915ea4,
    0xff8b4477,
    0xff6d0024,
    0xff6b0019,
    0xff730317,
    0xff74000e,
    0xff730107,
    0xff6c0506,
    0xff670109,
    0xff6e0213,
    0xff720117,
    0xff6c0107,
    0xff76000c,
    0xff7c000c,
    0xff913158,
    0xffc5b1e7,
    0xffbfd2f9,
    0xffc3d4ef,
    0xffbfcefb,
    0xffbed0fe,
    0xffc0ccfe,
    0xff9091c6,
    0xff2e2b43,
    0xff262524,
    0xff141831,
    0xff6877ae,
    0xffb3d1fd,
    0xffb5d1f8,
    0xffb3cef4,
    0xffb2cef3,
    0xffb2cef3,
    0xffb2cff1,
    0xffb2cff1,
    0xffb2cff1,
    0xffb0cdf1,
    0xffb3d1fc,
    0xffb6d5e2,
    0xffcee8f4,
    0xffbbcbfa,
    0xff788dcb,
    0xffb6d6fc,
    0xffacd0ec,
    0xffafcdf4,
    0xffb0cbf2,
    0xffb0ccf3,
    0xffb0ccf4,
    0xffb0ccf5,
    0xffb0ccf6,
    0xffadcef7,
    0xffaecef7,
    0xffadcef6,
    0xffafccf2,
    0xffafcdf3,
    0xffafccf2,
    0xffadcdf3,
    0xffadcdf3,
    0xffacccf2,
    0xffadcdf3,
    0xffabcbf1,
    0xffaeccf2,
    0xffafccf2,
    0xffb0cdf3,
    0xffaccdf3,
    0xffb0cef4,
    0xffb1cdf4,
    0xffb3ccf4,
    0xffb2ccf4,
    0xffafcff3,
    0xffaad2f0,
    0xffb4ccfb,
    0xffb7cafa,
    0xffccb2e3,
    0xff9e2643,
    0xffb10e04,
    0xffb40e11,
    0xffb90f10,
    0xff9b0005,
    0xff830007,
    0xff770107,
    0xff7b0107,
    0xff800305,
    0xff810005,
    0xff82000c,
    0xff7d0008,
    0xff7a0008,
    0xff700407,
    0xff640605,
    0xff540000,
    0xff520004,
    0xff590008,
    0xff60000a,
    0xff55000f,
    0xff360627,
    0xffdbbbed,
    0xff965674,
    0xff932a32,
    0xffab3337,
    0xff961811,
    0xff9b0004,
    0xffad0209,
    0xffbc110b,
    0xffc41c05,
    0xffd73516,
    0xffda3b23,
    0xffc0241a,
    0xffad0d15,
    0xffaa0718,
    0xff9f0912,
    0xffa50611,
    0xffa40e07,
    0xff960900,
    0xff951200,
    0xffa2250e,
    0xff93222c,
    0xffe4addc,
    0xffcac7f8,
    0xffb3caf4,
    0xffa3cdf0,
    0xffa7cbf1,
    0xffabcdf3,
    0xffa9cdf5,
    0xffaccbf4,
    0xffb0c8f4,
    0xffa8cbf9,
    0xffb0cced,
    0xffb4c9eb,
    0xffaacbfa,
    0xffb1c8fa,
    0xffb289b6,
    0xff650b2f,
    0xff6e1f34,
    0xff631831,
    0xffa56c8a,
    0xffc2bfe9,
    0xffd1cfff,
    0xffcba8ef,
    0xff82549a,
    0xff602c70,
    0xff613c75,
    0xff7770ae,
    0xffbcc9ff,
    0xffb3c3f4,
    0xffa9c8f3,
    0xffa7c9f7,
    0xffadc6f6,
    0xffa5cbf3,
    0xffa9caf0,
    0xffa9c8f4,
    0xffa9c8f4,
    0xffa6c5f1,
    0xffa6c5f1,
    0xffaac9f4,
    0xffaac9f8,
    0xffaac9f7,
    0xffa9c8f7,
    0xffabc8f4,
    0xffacc8f5,
    0xffaac9f5,
    0xffa9c9f5,
    0xffa7cbf5,
    0xffa7cbf5,
    0xffa7c8f3,
    0xffa8c8f3,
    0xffa9caf4,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa6c7f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa2c2f1,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c4f4,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa2c4f4,
    0xffa0c2f2,
    0xffa0c0f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9abef2,
    0xff9bbff3,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9bbff3,
    0xff9bbff3,
    0xff9abff3,
    0xff9ebef3,
    0xff9abef2,
    0xff9cc0f4,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff99bef4,
    0xff9abff4,
    0xff99bef3,
    0xff9abff3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef6,
    0xff98bdf3,
    0xff96baf4,
    0xff95b9f3,
    0xff94b8f2,
    0xff94b8f2,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96b9f4,
    0xff93baf3,
    0xff94bbf4,
    0xff92b9f2,
    0xff93baf3,
    0xff91b8f1,
    0xff90b7f0,
    0xff92b9f2,
    0xff92b9f1,
    0xff90b7f3,
    0xff90b8f3,
    0xff92b5f2,
    0xff91b4f0,
    0xff90b4f0,
    0xff8eb5f0,
    0xff8eb6f1,
    0xff8db5f0,
    0xff8db7f0,
    0xff8bb5f2,
    0xff8db7f3,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8db7f3,
    0xff8db6f5,
    0xff8bb4f2,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff87b0f0,
    0xff87b0f0,
    0xff88b1f1,
    0xff86afef,
    0xff87b0f0,
    0xff87b0f0,
    0xff85aeed,
    0xff86aff2,
    0xff86aff1,
    0xff86aff1,
    0xff84adef,
    0xff86aff0,
    0xff86adf3,
    0xff85adf2,
    0xff83b0f4,
    0xff83b0f4,
    0xff83b0f4,
    0xff82aff3,
    0xff82aff3,
    0xff82aff3,
    0xff81aef2,
    0xff82aef2,
    0xff7eadf1,
    0xff7eadf1,
    0xff7dacef,
    0xff7cabf2,
    0xff7cabf1,
    0xff7baaf0,
    0xff7baaf0,
    0xff7aaaef,
    0xff79aaef,
    0xff79abf0,
    0xff7aacf1,
    0xff7aacf1,
    0xff78aaef,
    0xff79abf0,
    0xff7aacf1,
    0xff7aacf1,
    0xff78aaf2,
    0xff78aaf1,
    0xff78aaf1,
    0xff79abf2,
    0xff77a9f0,
    0xff78aaf0,
    0xff76a8ef,
    0xff75a7ee,
    0xff78aaf1,
    0xff76a8ef,
    0xff77a9f2,
    0xff77a9f1,
    0xff74a9f4,
    0xff74a8f3,
    0xff73a7f2,
    0xff73a7f4,
    0xff74a6ef,
    0xff75a6ef,
    0xff72a6ef,
    0xff73a7f0,
    0xff72a6ef,
    0xff72a7f2,
    0xff72a7f2,
    0xff73a7f2,
    0xff73a2ef,
    0xff77a7f5,
    0xff7cafec,
    0xff43759e,
    0xff5e89ae,
    0xff4f7998,
    0xff497695,
    0xff5986ae,
    0xff50706f,
    0xff4e6c55,
    0xff395c4e,
    0xff326045,
    0xff1f4e31,
    0xff093036,
    0xff1b495b,
    0xff155069,
    0xff2467ad,
    0xff377b98,
    0xff306988,
    0xff1c4469,
    0xff335d60,
    0xff194a58,
    0xff487fbc,
    0xff66a7f6,
    0xff68a2ec,
    0xff6ba1ee,
    0xff6a9fdb,
    0xff32658d,
    0xff376a9a,
    0xff6b9ceb,
    0xff669bf0,
    0xff65a0e7,
    0xff639def,
    0xff649ef0,
    0xff649def,
    0xff62a0f1,
    0xff619eef,
    0xff609dee,
    0xff619eef,
    0xff619dee,
    0xff609dee,
    0xff619eef,
    0xff619eef,
    0xff619eef,
    0xff619eef,
    0xff619eef,
    0xff619def,
    0xff619def,
    0xff609eef,
    0xff609eef,
    0xff609dee,
    0xff5e9cf0,
    0xff5d9aed,
    0xff5a9ced,
    0xff5c9dee,
    0xff5c9dee,
    0xff599aef,
    0xff599aee,
    0xff5a9bef,
    0xff599aee,
    0xff5798ec,
    0xff5697eb,
    0xff5899ec,
    0xff5798ec,
    0xff5796ee,
    0xff5696ed,
    0xff5696ed,
    0xff5797ef,
    0xff5597ee,
    0xff5395ec,
    0xff5496ed,
    0xff5496ec,
    0xff5393ee,
    0xff5394ee,
    0xff5293ed,
    0xff5293ed,
    0xff5192ec,
    0xff5293ed,
    0xff5091eb,
    0xff5192ec,
    0xff5192ec,
    0xff5091eb,
    0xff5192ec,
    0xff5192ec,
    0xff5192eb,
    0xff5192ee,
    0xff5192ee,
    0xff4f90ec,
    0xff5091ef,
    0xff5091ef,
    0xff5091ef,
    0xff4f90ee,
    0xff5091ef,
    0xff4e8fed,
    0xff5091ef,
    0xff4d8fed,
    0xff4d8fee,
    0xff4a8fec,
    0xff4c91ee,
    0xff4c91ee,
    0xff4a8fec,
    0xff4a8fec,
    0xff4a8fec,
    0xff488dea,
    0xff498eeb,
    0xff4c91ee,
    0xff4a8feb,
    0xff488dec,
    0xff468bea,
    0xff458ae9,
    0xff478cea,
    0xff478aec,
    0xff4589ea,
    0xff4589ea,
    0xff4589ea,
    0xff458beb,
    0xff468cec,
    0xff468cec,
    0xff458beb,
    0xff468beb,
    0xff4788ee,
    0xff4588ed,
    0xff4588eb,
    0xff4689e8,
    0xff4387e4,
    0xff448ced,
    0xff408aec,
    0xff3b86e9,
    0xff3a8be8,
    0xff3f88e3,
    0xff4687df,
    0xff4684e3,
    0xff4185ea,
    0xff3d86ed,
    0xff3b88eb,
    0xff3986e2,
    0xff3f83e7,
    0xff3885ef,
    0xff3486ed,
    0xff3884e5,
    0xff3881e2,
    0xff488fed,
    0xff3c7bc4,
    0xff05366a,
    0xff4189de,
    0xff2e78db,
    0xff3179d9,
    0xff256cbc,
    0xff0b4d93,
    0xff2861a6,
    0xff114377,
    0xff002c46,
    0xff133343,
    0xff0b303e,
    0xff001d36,
    0xff113850,
    0xff0f332c,
    0xff0f311b,
    0xff0f2d1e,
    0xff0c271c,
    0xff18341f,
    0xff072213,
    0xff1e3824,
    0xff1e3422,
    0xff00110c,
    0xff011511,
    0xff001608,
    0xff011912,
    0xff050f11,
    0xff000d0e,
    0xff1c2324,
    0xff0f1518,
    0xff031712,
    0xff00130b,
    0xff02140b,
    0xff00160b,
    0xff00140e,
    0xff000e09,
    0xff00130d,
    0xff001310,
    0xff001511,
    0xff091c1a,
    0xff021513,
    0xff041715,
    0xff9a1527,
    0xff981422,
    0xff9c1523,
    0xff9a101c,
    0xff990b19,
    0xff9d111f,
    0xffa41d29,
    0xff93131e,
    0xff891126,
    0xff8a1127,
    0xff8c1427,
    0xff8b1225,
    0xff860b1d,
    0xff901222,
    0xff911221,
    0xff900d1b,
    0xff99071b,
    0xff9e0824,
    0xff9d0925,
    0xff96111b,
    0xff931315,
    0xff94161d,
    0xff992d2e,
    0xff8a3227,
    0xff5c0b1e,
    0xffa35266,
    0xffcd6b77,
    0xffbf423d,
    0xffcb4a2c,
    0xffe26e3f,
    0xffce542a,
    0xffcf4325,
    0xffcc5a58,
    0xffb37584,
    0xffc7b9dd,
    0xffc0c9f5,
    0xff99a4c4,
    0xff4b3f57,
    0xff502c46,
    0xff552643,
    0xff60283a,
    0xff732327,
    0xff932427,
    0xff9b191d,
    0xff991f12,
    0xff85140d,
    0xff7c1013,
    0xff780d0c,
    0xff7b050e,
    0xff710511,
    0xff7f0214,
    0xffa91527,
    0xffae1e29,
    0xffa9232d,
    0xff942733,
    0xff661e24,
    0xff5b1e27,
    0xff6e1925,
    0xff79091c,
    0xff7f081e,
    0xff780a1a,
    0xff6f070e,
    0xff760201,
    0xff9b1915,
    0xffb73b2d,
    0xffc12a29,
    0xffba2433,
    0xff932146,
    0xff752054,
    0xff620f43,
    0xff650535,
    0xff7a0e38,
    0xff7b121d,
    0xff6c0311,
    0xff670011,
    0xff670012,
    0xff6c0015,
    0xff700014,
    0xff72000f,
    0xff73010f,
    0xff670809,
    0xff660505,
    0xff730414,
    0xff5a0020,
    0xff9a79ab,
    0xffcedeff,
    0xffc4d9f7,
    0xffbdceec,
    0xffc2d7f3,
    0xffbbbfed,
    0xff534774,
    0xff332637,
    0xff19171d,
    0xff3e4562,
    0xffb5c4f0,
    0xffbccef2,
    0xffb8d0f0,
    0xffb8d0f1,
    0xffb4d0f6,
    0xffadcbf2,
    0xffb1cef5,
    0xffadcbf1,
    0xffb1cff1,
    0xffb7d0f1,
    0xffafccef,
    0xffc0d9fc,
    0xff9db4e1,
    0xff6a84be,
    0xffacc8fc,
    0xffadcaef,
    0xffaed2f0,
    0xffa7d2f2,
    0xffaecdf4,
    0xffafcdf3,
    0xffb0cef4,
    0xffb1cef4,
    0xffadcdf3,
    0xffaecdf4,
    0xffaecdf4,
    0xffadcef5,
    0xffafccf2,
    0xffaeccf2,
    0xffafccf2,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffacccf2,
    0xffabcdf2,
    0xffafcef4,
    0xffadcef4,
    0xffadcdf4,
    0xffaecef4,
    0xffadcdf4,
    0xffaecdf4,
    0xffb0cef4,
    0xffb0cdf3,
    0xffaecdee,
    0xffaad0f3,
    0xffb6c8f5,
    0xffb0ceeb,
    0xffc8cbf6,
    0xffe591c2,
    0xffae2929,
    0xffb11508,
    0xffcf1e16,
    0xffb11011,
    0xff890007,
    0xff7c0008,
    0xff7c0105,
    0xff7e0003,
    0xff7e0005,
    0xff7e010d,
    0xff7b0109,
    0xff790007,
    0xff760106,
    0xff6c0307,
    0xff5a0202,
    0xff520203,
    0xff510003,
    0xff570109,
    0xff51020b,
    0xff3c0009,
    0xff5e1232,
    0xff973444,
    0xffa03532,
    0xffa73637,
    0xffa21f1b,
    0xffa80d1b,
    0xffb1040f,
    0xffb9070e,
    0xffc3120e,
    0xffc91c0a,
    0xffd12c12,
    0xffd1321e,
    0xffb21511,
    0xffa50612,
    0xff9b091b,
    0xff9d0512,
    0xff970901,
    0xff940e02,
    0xff8e0c0d,
    0xff900206,
    0xffad1b27,
    0xffca6783,
    0xffd3c1f3,
    0xffb9c6f0,
    0xffabccf1,
    0xffaacdf3,
    0xffabccf2,
    0xffaacdf5,
    0xffaacbf6,
    0xffb1c6f6,
    0xffacc9fe,
    0xffafc8f2,
    0xffb0caeb,
    0xffaacdf0,
    0xffafd0f3,
    0xffacb4dd,
    0xff8e7dab,
    0xffbea7d8,
    0xffbcafec,
    0xffb8cbf4,
    0xffa6cdfc,
    0xffacc7ff,
    0xffb1caff,
    0xffb7b5f0,
    0xff683274,
    0xff200015,
    0xffa6a6e0,
    0xffb3c9fb,
    0xffb0c3f1,
    0xffa7c9f2,
    0xffa8cbf5,
    0xffaec7f7,
    0xffa7cbf7,
    0xffabc9f3,
    0xffaccaf7,
    0xffa9c8f4,
    0xffa8c7f3,
    0xffa9c8f4,
    0xffa9c9f7,
    0xffa9c8f6,
    0xffa9c9f6,
    0xffabcaf8,
    0xffa9c9f5,
    0xffa9c9f4,
    0xffaac8f5,
    0xffa8c9f4,
    0xffa7cbf5,
    0xffa8cbf5,
    0xffa9caf5,
    0xffa9c7f4,
    0xffa9caf3,
    0xffa8c9f5,
    0xffa9caf5,
    0xffa9caf4,
    0xffa9caf7,
    0xffa6c8f4,
    0xffa6c5f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa1c4f2,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa1c3f2,
    0xffa0c1f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9dc1f2,
    0xff9bbff4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9dc1f5,
    0xff9cc0f4,
    0xff9abef2,
    0xff9abff3,
    0xff9dbdf3,
    0xff99bef2,
    0xff9cc0f4,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff4,
    0xff98bdf2,
    0xff9abff4,
    0xff9abff4,
    0xff9abff2,
    0xff9abff4,
    0xff9abff3,
    0xff9abff6,
    0xff98bdf4,
    0xff97bbf6,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96b9f4,
    0xff93baf3,
    0xff94bbf4,
    0xff92b9f2,
    0xff94bbf4,
    0xff90b7f0,
    0xff91b8f1,
    0xff93baf3,
    0xff92b9f2,
    0xff90b7f3,
    0xff93b6f2,
    0xff93b7f3,
    0xff91b3f0,
    0xff92b6f2,
    0xff91b7f3,
    0xff90b8f3,
    0xff8db5f0,
    0xff8db7f1,
    0xff8ab4ed,
    0xff8cb6f3,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8db6f5,
    0xff8db6f3,
    0xff8cb5f6,
    0xff8ab3f3,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff88b1f1,
    0xff88b1f1,
    0xff86afef,
    0xff85aeee,
    0xff87b0ef,
    0xff87b0f2,
    0xff87b0f2,
    0xff85aef0,
    0xff86aff1,
    0xff86aef4,
    0xff86adf3,
    0xff82aef3,
    0xff83aef3,
    0xff82adf2,
    0xff82adf2,
    0xff84aff4,
    0xff84b0f5,
    0xff82adf2,
    0xff83aef3,
    0xff80aff3,
    0xff7faef2,
    0xff7eadf1,
    0xff7eadf1,
    0xff7dacf2,
    0xff7cabf1,
    0xff7cabf1,
    0xff7babf0,
    0xff7bacf1,
    0xff79abf0,
    0xff79abf0,
    0xff7aacf2,
    0xff7aabf1,
    0xff7aabf1,
    0xff7aabf1,
    0xff7aabf0,
    0xff7aacf3,
    0xff78aaf1,
    0xff78aaf1,
    0xff7aacf3,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf1,
    0xff76a8ef,
    0xff78aaf1,
    0xff78aaf1,
    0xff76a8ef,
    0xff75a7f0,
    0xff77a9f1,
    0xff73a7f3,
    0xff74a8f3,
    0xff74a8f5,
    0xff71a6ec,
    0xff74a8f1,
    0xff74a8f1,
    0xff72a6ef,
    0xff75a7ef,
    0xff75a5f2,
    0xff75a5f2,
    0xff74a5f2,
    0xff77a7f1,
    0xff71a5f5,
    0xff70a7e8,
    0xff588dbc,
    0xff396593,
    0xff5e8bae,
    0xff386a8d,
    0xff7fb3eb,
    0xff4c7576,
    0xff2d532f,
    0xff315a42,
    0xff326552,
    0xff205344,
    0xff305762,
    0xff154055,
    0xff002749,
    0xff5593db,
    0xff4480a4,
    0xff134559,
    0xff1c4656,
    0xff0a3634,
    0xff06374f,
    0xff447abd,
    0xff69aaf5,
    0xff63a2eb,
    0xff5e98e5,
    0xff4278b2,
    0xff386e8e,
    0xff4175a1,
    0xff76a7fa,
    0xff659cf9,
    0xff63a1ec,
    0xff659ff0,
    0xff649df0,
    0xff619ff0,
    0xff619eef,
    0xff629ff0,
    0xff619eef,
    0xff609fef,
    0xff609fef,
    0xff629ff0,
    0xff609dee,
    0xff609dee,
    0xff619eef,
    0xff619eef,
    0xff619eef,
    0xff619eef,
    0xff609eef,
    0xff639cef,
    0xff639cef,
    0xff609eef,
    0xff609ded,
    0xff5c9aee,
    0xff5a9ced,
    0xff5c9def,
    0xff5c9dee,
    0xff5a9bef,
    0xff5c9df1,
    0xff5a9bef,
    0xff599aee,
    0xff5899ed,
    0xff5697eb,
    0xff5899ed,
    0xff5697eb,
    0xff5797ee,
    0xff5797ee,
    0xff5797ee,
    0xff5796ed,
    0xff5698ef,
    0xff5395ec,
    0xff5496ed,
    0xff5496ed,
    0xff5393ee,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5293ed,
    0xff5293ed,
    0xff5192ec,
    0xff5091eb,
    0xff5192ec,
    0xff5091eb,
    0xff5293ed,
    0xff5091eb,
    0xff5192eb,
    0xff5192ee,
    0xff5192ee,
    0xff4f90ec,
    0xff4f90ee,
    0xff5091ef,
    0xff5091ef,
    0xff5091ef,
    0xff5091ef,
    0xff4e8fed,
    0xff5091ef,
    0xff4d8fee,
    0xff4b90ed,
    0xff4a8fed,
    0xff4c91ee,
    0xff4b90ee,
    0xff4c91ef,
    0xff4d92ef,
    0xff4b90ee,
    0xff4b90ed,
    0xff4b90ed,
    0xff4b90ed,
    0xff4a8feb,
    0xff488dec,
    0xff458ae9,
    0xff4489e8,
    0xff478ceb,
    0xff478aec,
    0xff468aeb,
    0xff478bec,
    0xff478bec,
    0xff478aec,
    0xff458cec,
    0xff468ceb,
    0xff458cec,
    0xff478cec,
    0xff4a88e6,
    0xff488be9,
    0xff448cef,
    0xff418bed,
    0xff478cea,
    0xff4a8ae3,
    0xff4686e1,
    0xff4287e5,
    0xff4086e4,
    0xff3f89e8,
    0xff3e88ed,
    0xff3d87ef,
    0xff3f86f3,
    0xff3f84f0,
    0xff3e86ed,
    0xff3c85e9,
    0xff3e84ee,
    0xff3b83ef,
    0xff3a83ea,
    0xff3f80df,
    0xff438ae2,
    0xff2c79ce,
    0xff488cd8,
    0xff104383,
    0xff2f79b8,
    0xff3c8bd0,
    0xff3d90df,
    0xff3489db,
    0xff3b8ddd,
    0xff2a75b5,
    0xff13587f,
    0xff1c5b6e,
    0xff24546c,
    0xff00364a,
    0xff074376,
    0xff144b90,
    0xff002c4a,
    0xff0c352e,
    0xff001c11,
    0xff133228,
    0xff0d2b20,
    0xff062627,
    0xff103029,
    0xff00150c,
    0xff00141a,
    0xff001414,
    0xff00180c,
    0xff001814,
    0xff021410,
    0xff011611,
    0xff1b1f20,
    0xff1c161d,
    0xff041112,
    0xff000f0f,
    0xff021311,
    0xff001b0e,
    0xff00180d,
    0xff082016,
    0xff02150c,
    0xff02170f,
    0xff021810,
    0xff061914,
    0xff021510,
    0xff01140f,
    0xff9a1826,
    0xff981422,
    0xff991320,
    0xff9c111e,
    0xffa21120,
    0xffa41523,
    0xff9e1422,
    0xff910e1d,
    0xff8a1429,
    0xff891628,
    0xff891727,
    0xff851320,
    0xff87101e,
    0xff911224,
    0xff980e24,
    0xff990c23,
    0xff951021,
    0xffa21128,
    0xff970c1f,
    0xff8a161d,
    0xff8e161a,
    0xff9e0c1a,
    0xffb81d33,
    0xffba3244,
    0xff640c0c,
    0xff650f07,
    0xffae4b43,
    0xffc9534b,
    0xffd04d3b,
    0xffc34423,
    0xffc1492f,
    0xffb64441,
    0xffc485a6,
    0xffd3d0f3,
    0xffbdc5f5,
    0xffcfc3fa,
    0xff9a90b5,
    0xff4d3b4c,
    0xff542a37,
    0xff5c212d,
    0xff722328,
    0xff82211d,
    0xff962029,
    0xff931829,
    0xff79131d,
    0xffb96b7a,
    0xfffccee2,
    0xffd4a6b0,
    0xffe6baca,
    0xffd5a4b2,
    0xff9d4555,
    0xffae3746,
    0xffb1424d,
    0xffa43b49,
    0xff7a071b,
    0xff760618,
    0xff77021b,
    0xff770118,
    0xff7a0417,
    0xff7b0619,
    0xff780216,
    0xff760013,
    0xff7b0012,
    0xff7e000e,
    0xffa0101e,
    0xffcc3734,
    0xffc0292d,
    0xff9e1f3a,
    0xff882f58,
    0xff9b648b,
    0xff7d4e74,
    0xffbe85b5,
    0xffdc92ab,
    0xffc78495,
    0xffd596a2,
    0xffa05862,
    0xff700f1d,
    0xff720010,
    0xff78020e,
    0xff70000c,
    0xff80001d,
    0xff720917,
    0xff6f0013,
    0xff76001a,
    0xff4f001e,
    0xffab94c3,
    0xffd4dfff,
    0xffbddbea,
    0xffcfe7f1,
    0xff8a8ab0,
    0xff2f1d3d,
    0xff392635,
    0xff29213a,
    0xffa8adce,
    0xffdfe8ff,
    0xffe1e8ff,
    0xffc0d3f1,
    0xffbed5f5,
    0xffb7d0f7,
    0xffb1d0fa,
    0xffb0d1fb,
    0xffadcdf4,
    0xffb3cff4,
    0xffb5ceef,
    0xffb5d2f6,
    0xffa1b6fc,
    0xff5972c0,
    0xffa0c4f4,
    0xffb0cff1,
    0xffbbcafe,
    0xffb4c5fb,
    0xffaecff3,
    0xffadcef0,
    0xffadcef1,
    0xffadcff1,
    0xffadcef0,
    0xffaecff1,
    0xffaecff1,
    0xffaecff1,
    0xffaecff3,
    0xffafccf2,
    0xffafcdf2,
    0xffafccf2,
    0xffafcff5,
    0xffadcdf3,
    0xffadcdf3,
    0xffadd0f4,
    0xffadd0f5,
    0xffadcef1,
    0xffadcef1,
    0xffaccef3,
    0xffabcff3,
    0xffaccff4,
    0xffadcff4,
    0xffadcef4,
    0xffaecef3,
    0xffb0cfed,
    0xffadd1f7,
    0xffb9c9f2,
    0xffafdae6,
    0xffacccf3,
    0xffe5b7fa,
    0xffb1495a,
    0xffc32f1b,
    0xffc6180b,
    0xffac0506,
    0xff94020d,
    0xff7f0008,
    0xff7d0104,
    0xff7f0002,
    0xff7f0208,
    0xff7b020c,
    0xff780108,
    0xff7b0008,
    0xff7c0007,
    0xff720007,
    0xff650607,
    0xff530301,
    0xff4e0604,
    0xff4c0304,
    0xff480209,
    0xff4a0704,
    0xff5d0008,
    0xffaa2c30,
    0xffa7382a,
    0xffa83632,
    0xffa11b17,
    0xffa50b20,
    0xffb1050a,
    0xffbc090f,
    0xffc10b0b,
    0xffc61509,
    0xffc81f07,
    0xffc5240f,
    0xffc52723,
    0xffae121e,
    0xffa2091d,
    0xffaa0221,
    0xffa20115,
    0xffa30514,
    0xff960108,
    0xffa90e06,
    0xffdc3c34,
    0xffc05158,
    0xffdab7ea,
    0xffc5c8f4,
    0xffafc8ef,
    0xffaec9f0,
    0xffaccbf2,
    0xffa9ccf3,
    0xffaacbf5,
    0xffafc9f7,
    0xffafcbf0,
    0xffafc9f1,
    0xffa8cbf6,
    0xffadcbfa,
    0xffb1c6f4,
    0xffa7ccf0,
    0xffa9d4fa,
    0xffb9cefe,
    0xffbac8f7,
    0xffa5cfed,
    0xffb0caf7,
    0xffb9c2f1,
    0xffa5d6e7,
    0xffa7c7e3,
    0xff8864aa,
    0xff200b43,
    0xffa2afe8,
    0xffb3d0ff,
    0xffacc9f4,
    0xffa4cbf1,
    0xffa7caf4,
    0xffadc6f8,
    0xffa7c9f5,
    0xffadc8f4,
    0xffabc8f1,
    0xffacc8f5,
    0xffadc9f6,
    0xffacc8f5,
    0xffacc8f6,
    0xffabc6f5,
    0xffacc7f6,
    0xffaccaf8,
    0xffa9ccf5,
    0xffa8c9f5,
    0xffaac8f5,
    0xffa8c7f3,
    0xffa8cbf5,
    0xffa6cbf5,
    0xffa8cbf5,
    0xffa8caf5,
    0xffa8caf2,
    0xffa9caf2,
    0xffa9caf2,
    0xffa9caf5,
    0xffa7c8f5,
    0xffa6c7f5,
    0xffaacaf8,
    0xffa8c8f8,
    0xffa8c8f7,
    0xffa6c6f5,
    0xffa5c5f5,
    0xffa6c5f5,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffa9c8f8,
    0xffa9c9f8,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f3,
    0xffa4c4f3,
    0xffa6c5f5,
    0xffa5c4f4,
    0xffa6c5f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa7c6f6,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa3c6f4,
    0xffa2c4f2,
    0xffa2c5f3,
    0xffa2c5f2,
    0xffa2c5f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c4f4,
    0xffa1c3f4,
    0xffa2c4f4,
    0xffa3c5f5,
    0xffa1c3f4,
    0xffa2c4f4,
    0xffa0c2f3,
    0xffa0c2f3,
    0xffa0c2f3,
    0xffa0c2f2,
    0xffa1c3f3,
    0xff9fc1f2,
    0xff9ec2f4,
    0xff9cc1f2,
    0xff9cc0f2,
    0xff9ec2f5,
    0xff9cc0f2,
    0xff9fc2f5,
    0xff9fc2f5,
    0xff9dc2f4,
    0xff9abff1,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f6,
    0xff9dc1f6,
    0xff9dc1f5,
    0xff9cc0f4,
    0xff9ec2f6,
    0xff9bbff3,
    0xff99bdf1,
    0xff99bdf1,
    0xff9dbdf3,
    0xff9abef2,
    0xff9dc1f5,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9ac0f4,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9ac0f4,
    0xff9cc1f4,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef2,
    0xff99bef2,
    0xff9abff4,
    0xff9abff3,
    0xff98bdf4,
    0xff97bbf4,
    0xff96baf3,
    0xff96baf3,
    0xff97bcf5,
    0xff97bbf6,
    0xff96baf4,
    0xff95b9f4,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf3,
    0xff96b9f3,
    0xff94bbf4,
    0xff95bcf5,
    0xff92b9f2,
    0xff93baf3,
    0xff91b8ee,
    0xff90b7ee,
    0xff92b9f0,
    0xff93baf2,
    0xff90b7f2,
    0xff94b8f4,
    0xff93b6f3,
    0xff92b4f1,
    0xff94b6f3,
    0xff96bbf6,
    0xff90b7f2,
    0xff8db5f0,
    0xff8bb5ef,
    0xff8cb6f0,
    0xff8ab4ed,
    0xff8db7f3,
    0xff8bb6f2,
    0xff89b3ef,
    0xff8cb6f2,
    0xff8db5f4,
    0xff8db6f5,
    0xff8ab3f3,
    0xff8db5f6,
    0xff8bb4f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb5f4,
    0xff8cb5f5,
    0xff88b1f1,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff88b1f1,
    0xff89b2f2,
    0xff8cb5f5,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8db6f6,
    0xff89b2f2,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0f0,
    0xff88b1f1,
    0xff86afef,
    0xff86afee,
    0xff86aff2,
    0xff87b0f3,
    0xff87b0f2,
    0xff87b0f1,
    0xff85aef2,
    0xff86adf3,
    0xff85adf3,
    0xff85acf3,
    0xff85acf3,
    0xff85acf2,
    0xff86adf3,
    0xff84abf2,
    0xff84adf3,
    0xff80aff3,
    0xff80aff3,
    0xff80aff3,
    0xff7faef2,
    0xff7faef4,
    0xff7eadf3,
    0xff7eacf3,
    0xff7dadf2,
    0xff7daff2,
    0xff79adee,
    0xff78abed,
    0xff79acee,
    0xff7aadee,
    0xff79adee,
    0xff7aadee,
    0xff79acee,
    0xff78aaf1,
    0xff78aaf2,
    0xff78aaf2,
    0xff78aaf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f0,
    0xff76a8ef,
    0xff79aaee,
    0xff77a9f1,
    0xff77a9f0,
    0xff75a7f1,
    0xff76a7f0,
    0xff72a7f2,
    0xff72a6f1,
    0xff74a8f4,
    0xff71a5ed,
    0xff74a9ef,
    0xff73a8f1,
    0xff75a6ef,
    0xff74a7ef,
    0xff74a7ef,
    0xff76a5f2,
    0xff76a6f1,
    0xff73a5ee,
    0xff71a5f7,
    0xff70a9ef,
    0xff79b0ea,
    0xff628fca,
    0xff5283af,
    0xff467da3,
    0xff2e67a1,
    0xff7ca9bf,
    0xff2f573d,
    0xff295443,
    0xff3a6d6c,
    0xff36696c,
    0xff2f565e,
    0xff123c46,
    0xff043c5c,
    0xff4981c0,
    0xff0f4664,
    0xff144347,
    0xff0e392d,
    0xff032f23,
    0xff255474,
    0xff72a8f2,
    0xff5e9bed,
    0xff65a7f3,
    0xff5e9be9,
    0xff4a85bb,
    0xff44809c,
    0xff639dc7,
    0xff467cd3,
    0xff629dfd,
    0xff60a2ef,
    0xff649ef0,
    0xff649df0,
    0xff619ff0,
    0xff619eef,
    0xff63a0f1,
    0xff63a0f1,
    0xff5e9eed,
    0xff62a1f1,
    0xff63a0f1,
    0xff609eee,
    0xff5f9ced,
    0xff609eef,
    0xff609dee,
    0xff609dee,
    0xff619eef,
    0xff609eef,
    0xff639cef,
    0xff639cef,
    0xff609eef,
    0xff609ded,
    0xff5c9aed,
    0xff5d9aed,
    0xff5b9def,
    0xff5c9def,
    0xff5a9bf0,
    0xff5b9cf0,
    0xff5b9cf0,
    0xff5899ed,
    0xff599aee,
    0xff5799ec,
    0xff5899ed,
    0xff5697eb,
    0xff5595ec,
    0xff5696ee,
    0xff5696ee,
    0xff5796ee,
    0xff5597ee,
    0xff5395ec,
    0xff5295ec,
    0xff5295eb,
    0xff5192ec,
    0xff5293ec,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5192ec,
    0xff5293ed,
    0xff5192ec,
    0xff5091eb,
    0xff5091eb,
    0xff5293ed,
    0xff5293ed,
    0xff5091eb,
    0xff5192ee,
    0xff5192ee,
    0xff4f90ed,
    0xff4e8fec,
    0xff4f90ee,
    0xff5091ee,
    0xff5091ee,
    0xff5091ef,
    0xff4f90ee,
    0xff5091ef,
    0xff4f8fee,
    0xff4b8fea,
    0xff4a8fea,
    0xff4c91eb,
    0xff4b90eb,
    0xff4b91eb,
    0xff4a8fea,
    0xff498ee8,
    0xff4a8fe9,
    0xff4b90ed,
    0xff4a8fec,
    0xff488dea,
    0xff478ceb,
    0xff458ae9,
    0xff4489e8,
    0xff478ceb,
    0xff488bed,
    0xff4589ea,
    0xff468beb,
    0xff468aeb,
    0xff458aeb,
    0xff458beb,
    0xff458cec,
    0xff468cec,
    0xff458cea,
    0xff4888e7,
    0xff478ce8,
    0xff428ced,
    0xff408bee,
    0xff4589ea,
    0xff4b8ae8,
    0xff4287e9,
    0xff3c86f1,
    0xff3c88e3,
    0xff3e89e7,
    0xff3c88ef,
    0xff3b8aef,
    0xff3a8ce9,
    0xff3986e4,
    0xff3c85e9,
    0xff3e84f0,
    0xff3f85f1,
    0xff4183e8,
    0xff3d84e9,
    0xff358bf5,
    0xff388eee,
    0xff256aa7,
    0xff1c5069,
    0xff2c5760,
    0xff002028,
    0xff1c4c53,
    0xff1c566c,
    0xff0f4b7b,
    0xff2b6699,
    0xff124b65,
    0xff0c3e3e,
    0xff214c45,
    0xff1c576f,
    0xff256c83,
    0xff2670b4,
    0xff3678dd,
    0xff0f4b87,
    0xff25565d,
    0xff10382c,
    0xff032416,
    0xff112c16,
    0xff052019,
    0xff0c271b,
    0xff021b0e,
    0xff06141b,
    0xff020e10,
    0xff010e03,
    0xff081716,
    0xff132c21,
    0xff032316,
    0xff111e1b,
    0xff18191f,
    0xff001013,
    0xff030e14,
    0xff0a0c0f,
    0xff07150f,
    0xff001408,
    0xff1e3628,
    0xff11291d,
    0xff01170b,
    0xff051b11,
    0xff000f05,
    0xff03180e,
    0xff01160c,
    0xff9f1b29,
    0xffa01523,
    0xffa40d1c,
    0xffa8101f,
    0xffa81626,
    0xff9b1423,
    0xff8a0c1d,
    0xff8c1326,
    0xff851223,
    0xff871222,
    0xff871221,
    0xff840e1a,
    0xff870d1a,
    0xff8f111f,
    0xff901421,
    0xff921120,
    0xff94121f,
    0xff970f20,
    0xff950c21,
    0xff990e20,
    0xff9d1020,
    0xffa91921,
    0xffb92628,
    0xffae1e18,
    0xff7a0000,
    0xffab3e31,
    0xff781906,
    0xff741204,
    0xff9b2c21,
    0xffbe483a,
    0xffb13e38,
    0xffa43d4a,
    0xffcaa2de,
    0xffb3cff7,
    0xffc5bdec,
    0xffb09cc4,
    0xff887b90,
    0xff683347,
    0xff612331,
    0xff701f2e,
    0xff7c171e,
    0xff7e181d,
    0xff7f1821,
    0xff821525,
    0xff781024,
    0xffc97c8f,
    0xfffff9ff,
    0xffffffff,
    0xfffff4ff,
    0xffd2b4c9,
    0xffbb8198,
    0xffa95268,
    0xff9d3b4a,
    0xff992f3d,
    0xff811220,
    0xff780315,
    0xff72010f,
    0xff6d000c,
    0xff740312,
    0xff780515,
    0xff750211,
    0xff770113,
    0xff7a0615,
    0xff7f0a1a,
    0xff8b1025,
    0xffbf2b31,
    0xffc6343a,
    0xff9e1923,
    0xff90294b,
    0xffdcc5ee,
    0xffc4daf6,
    0xffc5b0e3,
    0xff884f74,
    0xffbb6a87,
    0xfffff2fd,
    0xffffcddd,
    0xffc57082,
    0xff9d3237,
    0xff950915,
    0xff9d091f,
    0xff78030d,
    0xff810310,
    0xff6f031f,
    0xff6b000f,
    0xff690a2b,
    0xffaa8dc3,
    0xffcad8fc,
    0xffc3dbfe,
    0xffbcb6e4,
    0xff3b3248,
    0xff30222a,
    0xff291c2f,
    0xff867c9a,
    0xfff6f7ff,
    0xffeaf0ff,
    0xffeaf3ff,
    0xffd1e4fb,
    0xffcbe1fd,
    0xffbbd4f6,
    0xffb6d1f9,
    0xffaecbf5,
    0xffb0cdf7,
    0xffb1cef8,
    0xffb1cef7,
    0xffa0bbfa,
    0xff5b76b5,
    0xff9cbbee,
    0xffb2d2fc,
    0xffaecef2,
    0xffaeceef,
    0xffaecdf1,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf2,
    0xffaecef5,
    0xffaecef4,
    0xffacccf3,
    0xffabcbf1,
    0xffadcdf5,
    0xffacccf4,
    0xffadcdf4,
    0xffadcdf5,
    0xffaecef4,
    0xffafcff5,
    0xffaecdf4,
    0xffaccef1,
    0xffafccf3,
    0xffafccf5,
    0xffafcdf5,
    0xffafcdf5,
    0xffadccf3,
    0xffaeccf3,
    0xffafcbf3,
    0xffafccf4,
    0xffaecef1,
    0xffb0ccf4,
    0xffb2cbf8,
    0xffadcef7,
    0xffb2cdf2,
    0xffc5c3e8,
    0xffc692b7,
    0xffca7095,
    0xffa92c42,
    0xffb70312,
    0xffa9020f,
    0xff7d0004,
    0xff770100,
    0xff800302,
    0xff87000f,
    0xff79010d,
    0xff740506,
    0xff750205,
    0xff760205,
    0xff720107,
    0xff680508,
    0xff600303,
    0xff690301,
    0xff82110a,
    0xff640b07,
    0xff520000,
    0xff660008,
    0xff9d282d,
    0xffa73027,
    0xffa82e21,
    0xffa22421,
    0xffa90a1e,
    0xffb30816,
    0xffbc030b,
    0xffbd0403,
    0xffbb1206,
    0xffc9261c,
    0xffcd2a21,
    0xffcf3222,
    0xffd4412b,
    0xffc42925,
    0xffab1212,
    0xff96030b,
    0xff9a010f,
    0xff9c0009,
    0xffab0909,
    0xffd1342a,
    0xffbf2c23,
    0xffcd759a,
    0xffc7c0f1,
    0xffb1cdfe,
    0xffb5c8f2,
    0xffaecdf4,
    0xffafccf4,
    0xffb3cbf2,
    0xffa6d0f8,
    0xffacccf3,
    0xffadcdf4,
    0xffacccf4,
    0xffabccf3,
    0xffaccbf3,
    0xffaccdf4,
    0xffaccdf3,
    0xffabccf3,
    0xffabcaf3,
    0xffaacdf2,
    0xffabcdf2,
    0xffaccbf1,
    0xffaacaf0,
    0xffb1ccf7,
    0xffabbdf3,
    0xff8494cd,
    0xff85a1d6,
    0xffadcbfa,
    0xffa8c8f5,
    0xffa9c9f2,
    0xffa9c9f1,
    0xffa9c9f0,
    0xffa9c9f0,
    0xffa9c9f1,
    0xffa6c8f1,
    0xffaacbf4,
    0xffabcbf3,
    0xffa9caf2,
    0xffa9caf2,
    0xffaacaf3,
    0xffa9caf3,
    0xffadc9f4,
    0xffabcbf1,
    0xffabcbf2,
    0xffabcbf4,
    0xffabcbf4,
    0xffabcbf3,
    0xffaacbf4,
    0xffaac9f2,
    0xffaac8f5,
    0xffaac7f3,
    0xffaac7f3,
    0xffacc8f5,
    0xffacc9f5,
    0xffadcaf6,
    0xffacc9f5,
    0xffabc8f3,
    0xffaac7f4,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa7c9f5,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa8c7f8,
    0xffa7c7f8,
    0xffa5c5f7,
    0xffa5c5f7,
    0xffa5c5f7,
    0xffa7c7f8,
    0xffa7c7f9,
    0xffa7c7f8,
    0xffa7c9f6,
    0xffa7c9f5,
    0xffa7c8f5,
    0xffa5c7f3,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa5c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa3c2f2,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa2c5f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa0c2f0,
    0xff9fc1ef,
    0xffa0c2ef,
    0xffa2c4f1,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa0c2ef,
    0xffa1c3f0,
    0xff9fc1ef,
    0xffa2c4f2,
    0xffa4c5f4,
    0xffa1c2f1,
    0xffa1c2f2,
    0xffa1c1f1,
    0xffa1c1f1,
    0xffa0c1f5,
    0xffa0c0f4,
    0xff9dc2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9dc1f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff99bef2,
    0xff9bbff3,
    0xff9abef2,
    0xff9abef2,
    0xff9bbff3,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9cc0f4,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9bc0f6,
    0xff9cc1f6,
    0xff99bef3,
    0xff9abff4,
    0xff9abff3,
    0xff9abff3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff5,
    0xff98bdf4,
    0xff95baf1,
    0xff96baf5,
    0xff95b9f3,
    0xff96baf6,
    0xff96baf6,
    0xff96b9f3,
    0xff96b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff94b8f2,
    0xff94b7f2,
    0xff92b6f0,
    0xff94b7f2,
    0xff91b9f1,
    0xff91b9f1,
    0xff91b9f1,
    0xff91b8f3,
    0xff91b8f2,
    0xff90b7f2,
    0xff8fb6f1,
    0xff90b7f2,
    0xff90b4f3,
    0xff8fb6f4,
    0xff90b6f4,
    0xff8eb5f3,
    0xff8db4f1,
    0xff8cb6f2,
    0xff8cb5f1,
    0xff89b7f1,
    0xff89b7f1,
    0xff89b7f2,
    0xff89b6f2,
    0xff8eb7f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8eb5f9,
    0xff8cb3f7,
    0xff8db6f6,
    0xff8bb4f4,
    0xff8db6f6,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8cb5f5,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff88b1f1,
    0xff88b1f0,
    0xff88b1f0,
    0xff88b1f0,
    0xff86b0f0,
    0xff87b0f2,
    0xff84adef,
    0xff84adf0,
    0xff84adef,
    0xff83b0f1,
    0xff83b0f1,
    0xff84aff1,
    0xff82adef,
    0xff82adf1,
    0xff82adf1,
    0xff83aef1,
    0xff82aef1,
    0xff84aff4,
    0xff81adf1,
    0xff7faef1,
    0xff7eaff2,
    0xff7aabee,
    0xff7dadf0,
    0xff7eadf0,
    0xff7dacf2,
    0xff7dacf3,
    0xff7cadf2,
    0xff7aacf1,
    0xff77adf1,
    0xff78aaef,
    0xff7badf1,
    0xff7aacf0,
    0xff78aaef,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff77a9f0,
    0xff76a8f1,
    0xff76a7f0,
    0xff76a8f0,
    0xff76a8f1,
    0xff76a7f4,
    0xff76a6f4,
    0xff76a6f3,
    0xff75a6f2,
    0xff76a6f3,
    0xff76a8f1,
    0xff74a7ef,
    0xff73a5ee,
    0xff73a7f2,
    0xff72a9f0,
    0xff70a9ef,
    0xff70a9f0,
    0xff76a9ed,
    0xff4a76a5,
    0xff3f6775,
    0xff487066,
    0xff3e6b57,
    0xff4b7854,
    0xff2f5846,
    0xff376364,
    0xff346477,
    0xff265872,
    0xff0e3d51,
    0xff062d54,
    0xff437ab8,
    0xff376987,
    0xff0e3438,
    0xff1a4434,
    0xff002d1f,
    0xff347091,
    0xff619be8,
    0xff5590d6,
    0xff69a4f5,
    0xff5088c8,
    0xff4c84a5,
    0xff336e82,
    0xff4585b3,
    0xff3677cc,
    0xff639ffc,
    0xff639eec,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0f0,
    0xff629cee,
    0xff639def,
    0xff639def,
    0xff639def,
    0xff629cee,
    0xff639cee,
    0xff649ef0,
    0xff649df0,
    0xff669ff1,
    0xff619ff0,
    0xff609dee,
    0xff609dee,
    0xff639cef,
    0xff639def,
    0xff639cef,
    0xff619eef,
    0xff609fef,
    0xff609fef,
    0xff5b9cec,
    0xff5b9cec,
    0xff599dee,
    0xff579aeb,
    0xff5697e9,
    0xff5896e8,
    0xff5996ec,
    0xff5b99ee,
    0xff589aee,
    0xff599aee,
    0xff5899ed,
    0xff5899ed,
    0xff5899ec,
    0xff5698eb,
    0xff5798ec,
    0xff5796ee,
    0xff5998ef,
    0xff5494ec,
    0xff5697f2,
    0xff5495f2,
    0xff5091ee,
    0xff5192eb,
    0xff5192ec,
    0xff5292ed,
    0xff5294ea,
    0xff5294ea,
    0xff5293ed,
    0xff5293ed,
    0xff5293ed,
    0xff5091eb,
    0xff5192ec,
    0xff5192eb,
    0xff5091ea,
    0xff5091eb,
    0xff5192ec,
    0xff4f90eb,
    0xff5091eb,
    0xff4f90eb,
    0xff4f90eb,
    0xff5091ed,
    0xff5091ed,
    0xff5091ec,
    0xff5091ed,
    0xff5091ed,
    0xff5091ed,
    0xff4f92ed,
    0xff4d8eed,
    0xff4c91ee,
    0xff4a92ee,
    0xff4b92ee,
    0xff4b90ea,
    0xff4990ec,
    0xff4a91ed,
    0xff4790eb,
    0xff4b92ee,
    0xff498fef,
    0xff468bea,
    0xff4489e9,
    0xff4a89ef,
    0xff498ae8,
    0xff4a8ce1,
    0xff4c8dea,
    0xff4788f0,
    0xff498bf4,
    0xff448be4,
    0xff468edf,
    0xff458af7,
    0xff448de6,
    0xff458beb,
    0xff478bed,
    0xff468aee,
    0xff4589ea,
    0xff468ee4,
    0xff4188f1,
    0xff3f8fee,
    0xff3a89e8,
    0xff3e8eeb,
    0xff3a8be4,
    0xff3e8bef,
    0xff3e87f4,
    0xff3e87ed,
    0xff3c87df,
    0xff3a85e2,
    0xff3b89f2,
    0xff398aef,
    0xff3787e7,
    0xff468beb,
    0xff266199,
    0xff26585f,
    0xff062e29,
    0xff0e1b29,
    0xff00241a,
    0xff00291b,
    0xff062635,
    0xff0f2d43,
    0xff0b3c41,
    0xff1f5042,
    0xff284636,
    0xff20493b,
    0xff0d3f39,
    0xff002d4d,
    0xff0a4889,
    0xff4988b6,
    0xff1e5851,
    0xff154327,
    0xff0a2a1e,
    0xff0f271c,
    0xff071d13,
    0xff041e11,
    0xff082215,
    0xff0f2820,
    0xff0a2519,
    0xff112c1d,
    0xff112e1c,
    0xff163620,
    0xff203629,
    0xff1b2221,
    0xff16181d,
    0xff050e0e,
    0xff02120b,
    0xff001006,
    0xff0b1c13,
    0xff011806,
    0xff071c11,
    0xff071d17,
    0xff0e2420,
    0xff00100a,
    0xff01140d,
    0xff03150d,
    0xff02120c,
    0xffa01825,
    0xffa11122,
    0xffa8111f,
    0xffab1623,
    0xffa01321,
    0xff900e1c,
    0xff880f20,
    0xff871225,
    0xff871425,
    0xff851223,
    0xff840f1f,
    0xff850e1a,
    0xff880f1b,
    0xff8a0d1b,
    0xff8d0f1d,
    0xff8f111e,
    0xff96131f,
    0xff981422,
    0xff961022,
    0xff950f20,
    0xff980f1d,
    0xffa61c23,
    0xffc23636,
    0xffc23531,
    0xffa10e12,
    0xffc2332b,
    0xffd74e40,
    0xffbe3b33,
    0xff9b261d,
    0xff720b03,
    0xff882d34,
    0xffae5b79,
    0xffdec4f9,
    0xffc8d9ff,
    0xffc69ed0,
    0xffb880a9,
    0xffa57b8c,
    0xff651b27,
    0xff721b21,
    0xff770914,
    0xff7e0715,
    0xff7b0916,
    0xff750612,
    0xff730111,
    0xff6e0114,
    0xff742332,
    0xffffe4eb,
    0xffffffff,
    0xffffffff,
    0xffe6d7e2,
    0xffeed0df,
    0xff9a6370,
    0xff6f1325,
    0xff9a2538,
    0xff931c2c,
    0xff7e111d,
    0xff6d020f,
    0xff6e000d,
    0xff6e000d,
    0xff6f000e,
    0xff750211,
    0xff770413,
    0xff7a0415,
    0xff790515,
    0xff760910,
    0xff9b2333,
    0xffbf5a7c,
    0xffca718e,
    0xff953560,
    0xffa576aa,
    0xffc9d3f6,
    0xffd1d5ff,
    0xffbf82b7,
    0xff790025,
    0xff900320,
    0xff8d0624,
    0xff9e1438,
    0xffaf2942,
    0xffbc2439,
    0xffa1061c,
    0xff8a0b20,
    0xff6d0003,
    0xff5c0406,
    0xff600501,
    0xff520014,
    0xffb194c9,
    0xffd9e0ff,
    0xffdfdbff,
    0xff645f70,
    0xff221c20,
    0xff262224,
    0xff4b485a,
    0xffdfe1fd,
    0xfff0faff,
    0xffd1e0ef,
    0xffd2e0f5,
    0xffbed2f8,
    0xffbbd1f7,
    0xffb5cdf0,
    0xffb3d0f0,
    0xffb3d0f3,
    0xffb2d3f8,
    0xffaecef9,
    0xffaac9f8,
    0xff617ebc,
    0xff97b5ec,
    0xffb2d1ff,
    0xffafcff6,
    0xffadcff2,
    0xffadcff2,
    0xffadcef0,
    0xffacccf2,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffacccf2,
    0xffadcdf3,
    0xffabcbf1,
    0xffadcdf4,
    0xffacccf3,
    0xffacccf3,
    0xffadcdf4,
    0xffadcdf3,
    0xffafcff5,
    0xffaecef4,
    0xffacccf2,
    0xffafcbf4,
    0xffb0cdf5,
    0xffb0ccf5,
    0xffb0ccf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffafcef5,
    0xffadcff2,
    0xffb4caf4,
    0xffb8c7f6,
    0xffb3c9f8,
    0xffaccff7,
    0xffaed4f3,
    0xffb7d4ef,
    0xffcad2ec,
    0xffd16682,
    0xffaf000e,
    0xffb71114,
    0xff8e0008,
    0xff850005,
    0xff780109,
    0xff7b010f,
    0xff7e020c,
    0xff78010a,
    0xff78010a,
    0xff76020b,
    0xff720006,
    0xff6f0004,
    0xff7a0002,
    0xff930302,
    0xffb71312,
    0xffaf1409,
    0xff850705,
    0xff710006,
    0xff90262d,
    0xff9c352b,
    0xffa1301d,
    0xffac3b2b,
    0xffae1d23,
    0xffb30b0c,
    0xffc61610,
    0xffcc210f,
    0xffc92e15,
    0xffd43d25,
    0xffd93a25,
    0xffcd2d16,
    0xffd74022,
    0xffd94432,
    0xffde4f3c,
    0xff940400,
    0xff94000f,
    0xff9d000f,
    0xffb6170f,
    0xffcb3019,
    0xffbb2417,
    0xffab475e,
    0xffd1c2ea,
    0xffafcbf8,
    0xffb1caf3,
    0xffadcdf5,
    0xffadcdf4,
    0xffb1ccf0,
    0xffaacff4,
    0xffacccf3,
    0xffadcdf4,
    0xffabcbf2,
    0xffabcbf2,
    0xffadcdf4,
    0xffadcdf4,
    0xffadccf4,
    0xffadcdf3,
    0xffaacbf4,
    0xffabcbf2,
    0xffabcbf1,
    0xffaacaf0,
    0xffafccf4,
    0xffabc6f2,
    0xffb0c8f8,
    0xffaac0f5,
    0xffabcaf9,
    0xffa7c6f4,
    0xffabcbf7,
    0xffaacaf1,
    0xffabcbf2,
    0xffabcbf2,
    0xffabcbf2,
    0xffabcbf1,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9cbf4,
    0xffa9c9f2,
    0xffaacaf3,
    0xffa8c8f1,
    0xffa9caf2,
    0xffadcaf4,
    0xffaacaf1,
    0xffabcbf1,
    0xffabcbf1,
    0xffabcbf4,
    0xffabcbf4,
    0xffabcbf4,
    0xffa9caf2,
    0xffaac8f5,
    0xffaac9f5,
    0xffa9c9f5,
    0xffaac9f5,
    0xffa7c7f3,
    0xffa9c8f4,
    0xffaac9f5,
    0xffaac9f5,
    0xffaac8f4,
    0xffa8caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa8c9f7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa6c7f5,
    0xffa5c6f3,
    0xffa6c6f5,
    0xffa7c7f5,
    0xffa7c7f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa7c7f5,
    0xffa6c5f5,
    0xffa7c8f4,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa4c5f2,
    0xffa5c5f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c3f0,
    0xffa0c0f1,
    0xffa2c1f3,
    0xffa0c3f3,
    0xff9fc2f1,
    0xffa0c0f4,
    0xffa0c0f4,
    0xff9dc2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9abef3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9abef2,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9abff5,
    0xff9bc0f5,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff98bdf4,
    0xff95baf1,
    0xff96b9f4,
    0xff96baf3,
    0xff96baf6,
    0xff96baf6,
    0xff96baf3,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff95b9f3,
    0xff93b7f1,
    0xff94b7f2,
    0xff91b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff90b8f3,
    0xff91b8f3,
    0xff8fb6f1,
    0xff90b7f2,
    0xff93b6f4,
    0xff8eb4f2,
    0xff90b6f4,
    0xff8db6f2,
    0xff8cb4f1,
    0xff8bb6f2,
    0xff8cb6f2,
    0xff8db6f2,
    0xff89b7f1,
    0xff89b7f2,
    0xff88b6f1,
    0xff8db6f4,
    0xff8ab3f1,
    0xff8ab3f4,
    0xff8cb3f4,
    0xff8eb5f8,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff88b1f1,
    0xff87b0f0,
    0xff88b1f1,
    0xff88b1f1,
    0xff88b1f1,
    0xff87b0f0,
    0xff87b0f2,
    0xff86aff1,
    0xff86aff1,
    0xff87aff1,
    0xff82aeef,
    0xff84b0f1,
    0xff83b0f0,
    0xff83aff0,
    0xff83aef2,
    0xff83aff3,
    0xff86adf3,
    0xff86adf2,
    0xff84aff4,
    0xff80adf1,
    0xff7eadf2,
    0xff7daef1,
    0xff7bacef,
    0xff7dabf0,
    0xff7cabef,
    0xff7cabee,
    0xff7baaf0,
    0xff7aabf0,
    0xff79abf0,
    0xff7bacf1,
    0xff7aabf1,
    0xff79abf0,
    0xff7aacf1,
    0xff78aaef,
    0xff79abef,
    0xff79abf2,
    0xff78aaf1,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf0,
    0xff76a8f2,
    0xff77a9f2,
    0xff75a7f0,
    0xff76a8f0,
    0xff75a6f2,
    0xff76a7f2,
    0xff75a6f2,
    0xff76a7f4,
    0xff76a8f1,
    0xff76a8f1,
    0xff74a6ef,
    0xff75a7ef,
    0xff71a6f1,
    0xff70a5ee,
    0xff6ea8ec,
    0xff73abf2,
    0xff699de2,
    0xff4372a4,
    0xff578298,
    0xff4f7876,
    0xff2a5759,
    0xff295739,
    0xff1d4a2b,
    0xff3a6b5e,
    0xff1b4f64,
    0xff3d749e,
    0xff114165,
    0xff113b6a,
    0xff5590ce,
    0xff2e646c,
    0xff406850,
    0xff264c39,
    0xff204d53,
    0xff5c93c6,
    0xff5a96e8,
    0xff5194dd,
    0xff589bc5,
    0xff1a5684,
    0xff2d6295,
    0xff2a639e,
    0xff3c7ac5,
    0xff1a59b4,
    0xff62a3f7,
    0xff66a3f0,
    0xff649ff0,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0f0,
    0xff629cee,
    0xff649ef0,
    0xff659ff1,
    0xff649ef0,
    0xff629cee,
    0xff639def,
    0xff649ef0,
    0xff649def,
    0xff629ff0,
    0xff629ff0,
    0xff619eef,
    0xff609eee,
    0xff639cee,
    0xff639def,
    0xff629cee,
    0xff609dee,
    0xff5f9fef,
    0xff609fef,
    0xff5b9cec,
    0xff599ae9,
    0xff5a9ff0,
    0xff599ced,
    0xff5799eb,
    0xff5b98eb,
    0xff5b99ee,
    0xff5b98ed,
    0xff589aee,
    0xff5899ed,
    0xff5798ec,
    0xff5798ec,
    0xff5899ed,
    0xff5697eb,
    0xff5798eb,
    0xff5696ed,
    0xff5797ee,
    0xff5494eb,
    0xff5394ef,
    0xff5596f2,
    0xff5495f1,
    0xff5394ee,
    0xff5192ec,
    0xff5292ed,
    0xff5294ea,
    0xff5294ea,
    0xff5192ed,
    0xff5293ed,
    0xff5192ec,
    0xff5091eb,
    0xff5192ec,
    0xff5091eb,
    0xff5293ed,
    0xff5293ed,
    0xff5091eb,
    0xff5192ec,
    0xff4f90ea,
    0xff5192ec,
    0xff4f90ea,
    0xff5091ed,
    0xff5091ed,
    0xff5091ed,
    0xff5090ed,
    0xff5090ed,
    0xff5090ed,
    0xff4e92ec,
    0xff4f91ef,
    0xff4c91ee,
    0xff4c90ed,
    0xff4a92ee,
    0xff4c91eb,
    0xff498eeb,
    0xff4991ed,
    0xff4a91ed,
    0xff4991ec,
    0xff498fee,
    0xff488dec,
    0xff488dec,
    0xff468beb,
    0xff478cea,
    0xff488de8,
    0xff478ce7,
    0xff488dea,
    0xff4389e8,
    0xff488eef,
    0xff468cec,
    0xff468ae6,
    0xff458cdd,
    0xff4488e8,
    0xff458bea,
    0xff438dea,
    0xff428cec,
    0xff3f8de1,
    0xff448ef2,
    0xff4887e1,
    0xff3e7fd3,
    0xff3576cc,
    0xff4b8cea,
    0xff4688e6,
    0xff4789e5,
    0xff4686e6,
    0xff4586ee,
    0xff3b83e7,
    0xff4184ed,
    0xff4487e8,
    0xff4286e3,
    0xff4187d9,
    0xff115183,
    0xff083b43,
    0xff072c1f,
    0xff112533,
    0xff0e242b,
    0xff07222b,
    0xff021a2b,
    0xff001c24,
    0xff002310,
    0xff03310d,
    0xff163d18,
    0xff082b10,
    0xff0f3a2d,
    0xff00211e,
    0xff286361,
    0xff2d6a58,
    0xff285f3e,
    0xff022b0d,
    0xff082613,
    0xff0c2417,
    0xff072213,
    0xff0d2817,
    0xff0b2617,
    0xff0b251a,
    0xff0b281b,
    0xff092617,
    0xff173521,
    0xff0a2b16,
    0xff091e13,
    0xff141d1b,
    0xff121817,
    0xff05120c,
    0xff001604,
    0xff193220,
    0xff27412e,
    0xff2e4a33,
    0xff112b1b,
    0xff0f291e,
    0xff031d16,
    0xff0f2621,
    0xff01160f,
    0xff0c1f1b,
    0xff051413,
    0xffa31823,
    0xffa00f1c,
    0xffa40f1d,
    0xffa51424,
    0xff98121f,
    0xff8b0e1e,
    0xff851122,
    0xff830e22,
    0xff871326,
    0xff851022,
    0xff830d1d,
    0xff850c1b,
    0xff8b101d,
    0xff90121d,
    0xff900f1c,
    0xff8b0b18,
    0xff920e1a,
    0xff95131e,
    0xff8e0f1b,
    0xff8a0c18,
    0xff91111c,
    0xff940f16,
    0xffab2327,
    0xffbc2f30,
    0xffc73730,
    0xffbc2f19,
    0xffc7391d,
    0xffc7341f,
    0xffcf3c2f,
    0xffd45046,
    0xff8c282b,
    0xff55081e,
    0xff80567c,
    0xff9b89a4,
    0xff823460,
    0xff88294f,
    0xff782639,
    0xff68020c,
    0xff6c0206,
    0xff740006,
    0xff75000d,
    0xff72000f,
    0xff6f000d,
    0xff770413,
    0xff780618,
    0xff6f0d1f,
    0xffa6656e,
    0xffffe5e9,
    0xffebc9cf,
    0xffe8c1ce,
    0xffe4c1d0,
    0xffa37f8c,
    0xff9b5966,
    0xff9c3345,
    0xff8c1d2b,
    0xff74161b,
    0xff6a010d,
    0xff6b000d,
    0xff6c000d,
    0xff6e020f,
    0xff70020e,
    0xff71010f,
    0xff73000f,
    0xff74000e,
    0xff721010,
    0xff5b071e,
    0xffe2c3e9,
    0xfffffeff,
    0xfff8dbed,
    0xffc9add6,
    0xffc9cef2,
    0xffcdd9fe,
    0xffccb0ea,
    0xff8b1340,
    0xffa30016,
    0xffa00014,
    0xff8c001d,
    0xff880526,
    0xffa41c37,
    0xff890817,
    0xff780015,
    0xff60040e,
    0xff550907,
    0xff5e0400,
    0xff58000f,
    0xff865780,
    0xffd9d2f3,
    0xffa38ab0,
    0xff261b30,
    0xff2b2536,
    0xff27273f,
    0xff999fc3,
    0xffd9e7ff,
    0xffcaddf7,
    0xffbfd8f0,
    0xffbbd1f5,
    0xffb9cdfa,
    0xffb6cdf6,
    0xffb5cef0,
    0xffb4d3f1,
    0xffb1d1f5,
    0xffb0cefd,
    0xffb0cdff,
    0xff506dad,
    0xff8da6de,
    0xffb5d2ff,
    0xffb2cefb,
    0xffb0cdf5,
    0xffb0cef2,
    0xffb0cef1,
    0xffb0cef4,
    0xffb0cef4,
    0xffadcef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffadcdf3,
    0xffaecef4,
    0xffadcdf3,
    0xffadcdf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf4,
    0xffaecef3,
    0xffadcdf3,
    0xffafcff5,
    0xffaecef4,
    0xffacccf2,
    0xffafccf4,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0ccf5,
    0xffafcdf5,
    0xffaacff2,
    0xffadcef3,
    0xffadccf3,
    0xffaccdf5,
    0xffaacff8,
    0xffaeccf8,
    0xffbfc9f9,
    0xffb0a3d7,
    0xff870d2e,
    0xffb0070f,
    0xffa60804,
    0xffa1080f,
    0xff910005,
    0xff7d000a,
    0xff7b020e,
    0xff82010b,
    0xff7d000c,
    0xff7c010e,
    0xff78010e,
    0xff700109,
    0xff760003,
    0xff880000,
    0xffc01513,
    0xffd51916,
    0xffb5030b,
    0xff920804,
    0xff810901,
    0xff851d16,
    0xff9e3a34,
    0xffa33934,
    0xffa93f2f,
    0xffb02f1e,
    0xffbe211a,
    0xffd02e21,
    0xffdf452e,
    0xffcf4323,
    0xffc23818,
    0xffc92e16,
    0xffc92512,
    0xffdb3b25,
    0xffcd3c22,
    0xffde5332,
    0xffc53725,
    0xff96000d,
    0xff9b0009,
    0xffca2b19,
    0xffde4023,
    0xffd03323,
    0xffb8434b,
    0xffe3bbdc,
    0xffb5c9f1,
    0xffacccf2,
    0xffadcaf8,
    0xffaaccf4,
    0xffacccee,
    0xffaccbf1,
    0xffaccdf4,
    0xffadcdf4,
    0xffabcbf2,
    0xffabcbf2,
    0xffacccf3,
    0xffadcdf4,
    0xffadcdf4,
    0xffaccdf3,
    0xffafcbf6,
    0xffafcbf4,
    0xffaccdf3,
    0xffabccf2,
    0xffafcdf3,
    0xffa9c7ef,
    0xffb3cef9,
    0xffa8c4f0,
    0xffabcaf6,
    0xffa9c8f1,
    0xffabcbf2,
    0xffacccf3,
    0xffabcbf1,
    0xffabcbf1,
    0xffabcbf2,
    0xffabcbf2,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacaf3,
    0xffaacaf3,
    0xffaacaf3,
    0xffaacaf3,
    0xffadc9f3,
    0xffa9c9f0,
    0xffabcbf2,
    0xffabcbf1,
    0xffabcbf4,
    0xffabcbf4,
    0xffabcbf4,
    0xffa9caf2,
    0xffaac8f5,
    0xffaac9f5,
    0xffaac9f5,
    0xffa9c8f4,
    0xffa7c6f2,
    0xffa8c7f3,
    0xffaac9f5,
    0xffaac9f5,
    0xffaac8f5,
    0xffa8caf4,
    0xffa9caf4,
    0xffa9caf4,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf4,
    0xffa8c9f3,
    0xffa7c8f3,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa8c7f7,
    0xffa8c8f7,
    0xffa7c7f7,
    0xffa6c6f5,
    0xffa7c6f6,
    0xffa8c8f7,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa1c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa2c4f2,
    0xffa0c3f0,
    0xffa0c0f2,
    0xffa1c4f3,
    0xffa1c3f3,
    0xff9fc1f1,
    0xff9fc0f4,
    0xff9fc0f3,
    0xffa0c0f3,
    0xff9dc2f4,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f2,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9abef2,
    0xff9bbff3,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9abff5,
    0xff9bc0f5,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf1,
    0xff95baf2,
    0xff95baf0,
    0xff96baf4,
    0xff96baf3,
    0xff96baf6,
    0xff96baf3,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff97bbf5,
    0xff93b7f1,
    0xff94b7f2,
    0xff91b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff90b7f3,
    0xff91b8f3,
    0xff8fb6f1,
    0xff8fb6f1,
    0xff90b6f5,
    0xff8eb4f2,
    0xff90b5f4,
    0xff8eb6f3,
    0xff8db5f2,
    0xff8db4f2,
    0xff8bb5f1,
    0xff8cb7f2,
    0xff8cb5f1,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8cb5f4,
    0xff8ab3f1,
    0xff8ab3f4,
    0xff8eb5f6,
    0xff8db4f5,
    0xff8bb4f2,
    0xff8ab3f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff88b1f1,
    0xff88b1f1,
    0xff88b1f1,
    0xff88b1f1,
    0xff87b0f0,
    0xff87b0f0,
    0xff86afef,
    0xff85aeee,
    0xff87b0f2,
    0xff86aff2,
    0xff88b1f3,
    0xff87aff2,
    0xff83aff1,
    0xff83aff1,
    0xff85b1f2,
    0xff85b1f2,
    0xff85aff4,
    0xff84b0f4,
    0xff87aff4,
    0xff87aff4,
    0xff83aef2,
    0xff81aef2,
    0xff7faef2,
    0xff7caef0,
    0xff7bacef,
    0xff7badef,
    0xff7dacf0,
    0xff7eadf0,
    0xff7fadf4,
    0xff7cadf2,
    0xff7bacf1,
    0xff78aaf0,
    0xff79adee,
    0xff7aabf1,
    0xff7aabf1,
    0xff79abf0,
    0xff78aaee,
    0xff78aaf2,
    0xff7aacf3,
    0xff7aacf3,
    0xff78aaf2,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff77a9ef,
    0xff76a8f1,
    0xff75a7f0,
    0xff75a7f0,
    0xff76a7f4,
    0xff76a7f3,
    0xff75a6f3,
    0xff75a6f3,
    0xff75a8f0,
    0xff75a7f0,
    0xff74a6ef,
    0xff74a6ef,
    0xff75a6f3,
    0xff74a8f1,
    0xff70a9ee,
    0xff6ea7ed,
    0xff78adf0,
    0xff5d8ec7,
    0xff3b688c,
    0xff386479,
    0xff6192a5,
    0xff3c6e53,
    0xff144620,
    0xff2a5c4f,
    0xff25587d,
    0xff396bad,
    0xff174976,
    0xff15426e,
    0xff467ec1,
    0xff1d5055,
    0xff305c3c,
    0xff21483d,
    0xff4c7796,
    0xff4a83c1,
    0xff2365b1,
    0xff448cd1,
    0xff1d5b9a,
    0xff205c96,
    0xff1c538f,
    0xff124c93,
    0xff0e4b97,
    0xff4e90db,
    0xff64a3ef,
    0xff64a3f0,
    0xff659ff0,
    0xff65a0f0,
    0xff65a0f0,
    0xff65a0f0,
    0xff629ded,
    0xff649df0,
    0xff639def,
    0xff639def,
    0xff649ef0,
    0xff649ef0,
    0xff649ef0,
    0xff649df0,
    0xff619fef,
    0xff629ff0,
    0xff629ff0,
    0xff619eef,
    0xff639def,
    0xff629cee,
    0xff629cee,
    0xff5f9ced,
    0xff619def,
    0xff5f9fef,
    0xff5e9ded,
    0xff5c9beb,
    0xff5c9ff0,
    0xff5c9def,
    0xff5a9bed,
    0xff5c9aed,
    0xff5d9bf0,
    0xff5c9aef,
    0xff5b98ed,
    0xff5799ed,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5697eb,
    0xff5698eb,
    0xff5696ee,
    0xff5898ef,
    0xff5494eb,
    0xff5293ed,
    0xff5394ee,
    0xff5495ee,
    0xff5495ef,
    0xff5192ec,
    0xff5192ed,
    0xff5194ea,
    0xff5193ea,
    0xff5293ed,
    0xff5293ed,
    0xff5091eb,
    0xff5192ec,
    0xff4f90ea,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff4f90ea,
    0xff4f90ea,
    0xff4f90ea,
    0xff5091ea,
    0xff4f90ec,
    0xff4f90ec,
    0xff5091ed,
    0xff5091ed,
    0xff5091ed,
    0xff5090ed,
    0xff4e92ec,
    0xff4f90ef,
    0xff4c91ee,
    0xff4b91ed,
    0xff4b90ee,
    0xff4f91eb,
    0xff498eeb,
    0xff4a91ed,
    0xff4b92ee,
    0xff4b92ed,
    0xff4b91f0,
    0xff4a8eed,
    0xff498eed,
    0xff458ce9,
    0xff458cec,
    0xff458bed,
    0xff478eea,
    0xff458de2,
    0xff448ce2,
    0xff4185e7,
    0xff4789f3,
    0xff478bdd,
    0xff478ee1,
    0xff458ef0,
    0xff4491e3,
    0xff408edb,
    0xff418cea,
    0xff408aea,
    0xff468af5,
    0xff4788e3,
    0xff3475c6,
    0xff0f52a3,
    0xff296bc1,
    0xff3f86d7,
    0xff317ac5,
    0xff418ae3,
    0xff4289f8,
    0xff3c87ea,
    0xff4487e3,
    0xff4884e8,
    0xff4385e8,
    0xff3987d9,
    0xff307dbd,
    0xff114d7a,
    0xff164158,
    0xff073230,
    0xff283439,
    0xff1d212e,
    0xff133139,
    0xff002216,
    0xff254f2a,
    0xff3b6135,
    0xff204e27,
    0xff133410,
    0xff0c2c1e,
    0xff305948,
    0xff245528,
    0xff25591c,
    0xff2c582f,
    0xff2a4c33,
    0xff17331b,
    0xff0e2415,
    0xff112d1a,
    0xff0f2a17,
    0xff021d0e,
    0xff072117,
    0xff011a11,
    0xff00190b,
    0xff001c0c,
    0xff022011,
    0xff0b1e18,
    0xff121a1a,
    0xff111b18,
    0xff041408,
    0xff011c06,
    0xff2f4f35,
    0xff0f2f14,
    0xff0f2d12,
    0xff123019,
    0xff163325,
    0xff072218,
    0xff031a11,
    0xff01150e,
    0xff00100b,
    0xff021110,
    0xffa3121c,
    0xffa6141e,
    0xffab1926,
    0xffa41a28,
    0xff8f0f1e,
    0xff891223,
    0xff841325,
    0xff821227,
    0xff881427,
    0xff891426,
    0xff840f1e,
    0xff880f1e,
    0xff8b0f1c,
    0xff91131e,
    0xff92121f,
    0xff910d1c,
    0xff960d1b,
    0xff971320,
    0xff90111c,
    0xff8b0f19,
    0xff91141c,
    0xff930f17,
    0xff9f1720,
    0xffb2232e,
    0xffc3342d,
    0xffb82d1b,
    0xffbf311c,
    0xffc93226,
    0xffcc2c25,
    0xffc12f23,
    0xff992019,
    0xff6f1017,
    0xff52000b,
    0xff430111,
    0xff60001a,
    0xff680016,
    0xff6a0112,
    0xff75000f,
    0xff6f0312,
    0xff690412,
    0xff690210,
    0xff6b0513,
    0xff68040d,
    0xff740815,
    0xff7a0515,
    0xff7a0919,
    0xff66020f,
    0xff5c0811,
    0xff5f0815,
    0xff540011,
    0xff89465e,
    0xffffeffc,
    0xfff9dae3,
    0xff944c56,
    0xff6f0e18,
    0xff6e1417,
    0xff720a16,
    0xff68010b,
    0xff6c020e,
    0xff6c020e,
    0xff6d010f,
    0xff6d000c,
    0xff6f000d,
    0xff740010,
    0xff6f0012,
    0xff761b3e,
    0xfff0caf0,
    0xfffffffc,
    0xfff7f2ef,
    0xffe1e6ff,
    0xffc5def7,
    0xffcbdef9,
    0xffc8bdf4,
    0xff7e204d,
    0xff9f061b,
    0xffa0040e,
    0xff95031a,
    0xff990027,
    0xffa60c31,
    0xff940725,
    0xffa63b61,
    0xff631e3b,
    0xff4d0326,
    0xff4e0012,
    0xff5e0017,
    0xff581027,
    0xff5d4556,
    0xff3b213d,
    0xff352442,
    0xff271d46,
    0xff565989,
    0xffbeccfb,
    0xffc2d9fb,
    0xffc0daf4,
    0xffb4cfee,
    0xffb2ccf7,
    0xffb5cff6,
    0xffb3cff4,
    0xffb4cff8,
    0xffb5d2fd,
    0xffb6d4ff,
    0xffaac6ff,
    0xff324f97,
    0xff7b97e3,
    0xffb9d4ff,
    0xffb0cbf8,
    0xffafcaf3,
    0xffb1cdf5,
    0xffb0ccf1,
    0xffb1ccf1,
    0xffb1ccf4,
    0xffb1ccf5,
    0xffaecef3,
    0xffadcef4,
    0xffadcef4,
    0xffadcdf3,
    0xffafcff5,
    0xffafcff5,
    0xffaecef4,
    0xffaecef4,
    0xffadcef5,
    0xffadcef5,
    0xffadcef3,
    0xffafcff5,
    0xffadcdf3,
    0xffafcff5,
    0xffadcef3,
    0xffacccf2,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffafcdf5,
    0xffb1cdf4,
    0xffbccaf6,
    0xffb7caf6,
    0xffb2cdf5,
    0xffa8d0f4,
    0xffa8d0f6,
    0xffb7cbfb,
    0xffc9bffc,
    0xffcca3e8,
    0xff961d39,
    0xffb61919,
    0xffad0d04,
    0xffbb0f1a,
    0xffb8101d,
    0xff96050f,
    0xff84000b,
    0xff760001,
    0xff79010a,
    0xff7a000c,
    0xff78010f,
    0xff71030a,
    0xff7a0102,
    0xff9d0b07,
    0xffb7110b,
    0xffc51c15,
    0xffd54767,
    0xff8c242d,
    0xff700202,
    0xff83110d,
    0xffaf403f,
    0xffac3434,
    0xffaf362e,
    0xffc03a2c,
    0xffc53934,
    0xffd03c36,
    0xffd64739,
    0xffc53b29,
    0xffc13120,
    0xffcd2b20,
    0xffc31d15,
    0xffc6261d,
    0xffd24023,
    0xffbe2d0e,
    0xffde4736,
    0xffb51617,
    0xffa40000,
    0xffc52112,
    0xffcf2a16,
    0xffc72116,
    0xffbc2d2f,
    0xffe29cbc,
    0xffc1caf0,
    0xffaecdf3,
    0xffb0cbfc,
    0xffabcef7,
    0xffa8d2ee,
    0xffb2cdf1,
    0xffaeccf3,
    0xffadcdf4,
    0xffabcbf2,
    0xffacccf3,
    0xffabcbf2,
    0xffacccf3,
    0xffacccf3,
    0xffaccdf3,
    0xffafcbf6,
    0xffafcbf3,
    0xffaeccf2,
    0xffadcbee,
    0xffaaccee,
    0xffb1cef4,
    0xffabc8f0,
    0xffafccf3,
    0xffaacaf0,
    0xffacccf2,
    0xffaacaf0,
    0xffacccf2,
    0xffabcbf1,
    0xffabcbf1,
    0xffabcbf2,
    0xffabcbf2,
    0xffaacbf4,
    0xffa9caf3,
    0xffabccf5,
    0xffadccf5,
    0xffacccf5,
    0xffacccf5,
    0xffacccf5,
    0xffabc8f2,
    0xffa9c9f0,
    0xffabcbf2,
    0xffabcbf1,
    0xffabcbf4,
    0xffabcbf4,
    0xffabcbf4,
    0xffa9caf2,
    0xffaac8f5,
    0xffaac9f5,
    0xffa8c7f3,
    0xffa8c7f3,
    0xffa8c7f4,
    0xffa9c8f4,
    0xffa8c7f3,
    0xffa8c7f3,
    0xffa8c7f3,
    0xffa8caf4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa7c8f3,
    0xffa7c8f3,
    0xffa8c9f4,
    0xffa9caf4,
    0xffa9cbf8,
    0xffa9caf7,
    0xffa9caf7,
    0xffa8caf6,
    0xffa9cbf7,
    0xffa8c9f5,
    0xffa5c6f3,
    0xffa7c8f4,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c3f3,
    0xffa4c3f2,
    0xffa4c3f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f0,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f2,
    0xffa1c1f5,
    0xffa1c2f5,
    0xffa1c2f5,
    0xff9cc0f2,
    0xff9dc2f4,
    0xff9dc2f4,
    0xff9cc0f2,
    0xff9cc1f2,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9dc1f5,
    0xff99bdf1,
    0xff9abef2,
    0xff9abef2,
    0xff9bbff3,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f5,
    0xff9cc1f6,
    0xff9abff5,
    0xff9bc0f6,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff2,
    0xff9abff4,
    0xff97bcf1,
    0xff95baf2,
    0xff94b9f0,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf3,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff95b9f3,
    0xff94b7f1,
    0xff91b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff92b9f5,
    0xff92b9f4,
    0xff90b7f2,
    0xff91b8f3,
    0xff91b8f3,
    0xff8eb5f0,
    0xff90b7f1,
    0xff90b6f1,
    0xff8fb8f5,
    0xff8cb4f1,
    0xff8bb3f0,
    0xff8bb3f0,
    0xff8bb6f2,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8cb6f1,
    0xff8bb4f3,
    0xff8cb5f3,
    0xff8eb6f4,
    0xff8ab0f2,
    0xff8ab4f1,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f3,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8db6f6,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff87b0f0,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff88b1f1,
    0xff87b0f0,
    0xff88b1f0,
    0xff88b1f0,
    0xff88b1f1,
    0xff82afee,
    0xff85b1f0,
    0xff84b0ef,
    0xff83afee,
    0xff85b1ef,
    0xff84b1f1,
    0xff87b0f1,
    0xff86aef4,
    0xff86adf2,
    0xff82adf1,
    0xff82aff1,
    0xff80aff3,
    0xff7cabef,
    0xff7fb0f1,
    0xff7cadf1,
    0xff7dacf0,
    0xff7eadf1,
    0xff7eaef1,
    0xff7eacf3,
    0xff7cadf2,
    0xff7dadf3,
    0xff7aaeef,
    0xff79adee,
    0xff79adee,
    0xff79abf1,
    0xff7aadf2,
    0xff7aacf1,
    0xff78aaef,
    0xff78aaf1,
    0xff79abef,
    0xff79abef,
    0xff79abf2,
    0xff79abf2,
    0xff7aacf3,
    0xff78aaf1,
    0xff77a9f3,
    0xff77a9f3,
    0xff75a7f0,
    0xff75a7f0,
    0xff76a8f1,
    0xff76a8f1,
    0xff77a9f2,
    0xff76a8f1,
    0xff76a8f1,
    0xff76a8f2,
    0xff77a7f5,
    0xff73a7f2,
    0xff73a8ef,
    0xff71abef,
    0xff77acf2,
    0xff6ea2e0,
    0xff4b7db0,
    0xff3b6c97,
    0xff407285,
    0xff4b7f65,
    0xff2a583d,
    0xff305f5e,
    0xff093968,
    0xff4b7dc1,
    0xff04365e,
    0xff204d6f,
    0xff164678,
    0xff10414c,
    0xff15473c,
    0xff1d4e5c,
    0xff33699d,
    0xff518dd7,
    0xff2164ad,
    0xff084d8c,
    0xff5086de,
    0xff164f8b,
    0xff17527d,
    0xff023e77,
    0xff4c87d2,
    0xff68a3ef,
    0xff69a4f1,
    0xff649df1,
    0xff64a0ee,
    0xff65a0ed,
    0xff65a0f0,
    0xff649fef,
    0xff649fef,
    0xff649fef,
    0xff649ef1,
    0xff629cee,
    0xff649ef0,
    0xff639def,
    0xff639def,
    0xff649df0,
    0xff619ff0,
    0xff629ff0,
    0xff619eef,
    0xff619ff0,
    0xff659ef0,
    0xff649ef0,
    0xff639def,
    0xff609eef,
    0xff619eef,
    0xff619def,
    0xff609fef,
    0xff5f9eee,
    0xff5d9ef0,
    0xff5b9def,
    0xff5d9aee,
    0xff5d9bed,
    0xff5d9bf1,
    0xff5c9aef,
    0xff5a98ed,
    0xff5d9aef,
    0xff5798ec,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5898ef,
    0xff5999f0,
    0xff5594eb,
    0xff5597f0,
    0xff5596f1,
    0xff5293ee,
    0xff5496f0,
    0xff5293ee,
    0xff5394ee,
    0xff5395eb,
    0xff5395eb,
    0xff5394ee,
    0xff5091eb,
    0xff4f90ea,
    0xff5091eb,
    0xff5192ec,
    0xff5394ee,
    0xff5293ed,
    0xff4f90ea,
    0xff5192ec,
    0xff5091eb,
    0xff4f90ea,
    0xff5091eb,
    0xff5091eb,
    0xff4e8feb,
    0xff4e8feb,
    0xff5091ed,
    0xff4f90ec,
    0xff5091ed,
    0xff5091ed,
    0xff5090ed,
    0xff4c90ea,
    0xff4e8fee,
    0xff4e8fee,
    0xff4b91ee,
    0xff4c8fea,
    0xff4c8fed,
    0xff4c91ee,
    0xff4b92ee,
    0xff4a91ed,
    0xff4b91f0,
    0xff4b90ef,
    0xff4c91f0,
    0xff488fea,
    0xff448aea,
    0xff4489ec,
    0xff498def,
    0xff468be6,
    0xff3f82d8,
    0xff2769bf,
    0xff5696ea,
    0xff3982b4,
    0xff246cb0,
    0xff4288ed,
    0xff438de0,
    0xff4590df,
    0xff458bee,
    0xff4a8cef,
    0xff4685ec,
    0xff4286e0,
    0xff5499e8,
    0xff347cbc,
    0xff0c548b,
    0xff236c9f,
    0xff0b558e,
    0xff1c65a8,
    0xff266fba,
    0xff3887cc,
    0xff4590d6,
    0xff377fdc,
    0xff408bf2,
    0xff378cdd,
    0xff3e8fe0,
    0xff4d91ee,
    0xff3571c3,
    0xff003352,
    0xff1e344b,
    0xff1c2134,
    0xff183238,
    0xff275646,
    0xff2d5738,
    0xff153919,
    0xff214b30,
    0xff0d2c0a,
    0xff0d281e,
    0xff0f2b27,
    0xff133517,
    0xff1e421c,
    0xff062512,
    0xff0b271c,
    0xff0d2b14,
    0xff082313,
    0xff041f0f,
    0xff072112,
    0xff001a0f,
    0xff021b15,
    0xff011b16,
    0xff021b16,
    0xff00190d,
    0xff021914,
    0xff021010,
    0xff1e2227,
    0xff1d2625,
    0xff081e0d,
    0xff26442c,
    0xff1f4224,
    0xff0a2c0f,
    0xff06210b,
    0xff0c2515,
    0xff0d2719,
    0xff0c2219,
    0xff22362c,
    0xff1a2d20,
    0xff2d3a32,
    0xff131e18,
    0xffaa1720,
    0xffaa1722,
    0xffa81a29,
    0xff991523,
    0xff82091a,
    0xff871425,
    0xff821224,
    0xff841127,
    0xff881126,
    0xff881022,
    0xff891020,
    0xff8c1322,
    0xff901220,
    0xff8f111d,
    0xff951522,
    0xff92111f,
    0xff99101e,
    0xff9b1522,
    0xff95141c,
    0xff8d0e17,
    0xff90101a,
    0xff95111b,
    0xff960d1a,
    0xffa91928,
    0xffc4272c,
    0xffc52425,
    0xffca2832,
    0xffbb2035,
    0xff8e0616,
    0xff740000,
    0xff6d0002,
    0xff6b000e,
    0xff700011,
    0xff670514,
    0xff6b0014,
    0xff6a0214,
    0xff6a0211,
    0xff750012,
    0xff6e0113,
    0xff630312,
    0xff650612,
    0xff63050f,
    0xff660712,
    0xff6f0713,
    0xff780712,
    0xff75010e,
    0xff6f0210,
    0xff6a010e,
    0xff630008,
    0xff5f0014,
    0xffab7689,
    0xffffffff,
    0xfff7ecf0,
    0xff884751,
    0xff700915,
    0xff6f060d,
    0xff6b010e,
    0xff6e0410,
    0xff69010c,
    0xff66000a,
    0xff69000b,
    0xff6b000d,
    0xff6f010d,
    0xff71000f,
    0xff680014,
    0xff833b5e,
    0xfff9dcff,
    0xfffffeff,
    0xfff9fcf5,
    0xffcee4f9,
    0xffc4e0f4,
    0xffd4d8f4,
    0xffd8d1fd,
    0xff8b3c6b,
    0xff9d052c,
    0xffa80516,
    0xff9d040f,
    0xff9f0016,
    0xffac012e,
    0xff98002c,
    0xffd596c3,
    0xffe3c8f8,
    0xffc29fd9,
    0xffa378ae,
    0xff4f0c32,
    0xff540217,
    0xff430f18,
    0xff43232c,
    0xff36292c,
    0xff36334c,
    0xff888fc1,
    0xffcadeff,
    0xffbbd3fd,
    0xffb8cff3,
    0xffbad5f7,
    0xffb6d4fb,
    0xffb8d5ff,
    0xffb8d5ff,
    0xffb8d4ff,
    0xff9ab3f0,
    0xff7491d2,
    0xff385397,
    0xff7795d6,
    0xffb3d0ff,
    0xffb0cdf6,
    0xffb1ccf5,
    0xffb0cdf4,
    0xffb1cdf4,
    0xffb2cef5,
    0xffb2cef5,
    0xffb0ccf3,
    0xffb1ccf5,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef3,
    0xffb0cef4,
    0xffaeccf2,
    0xffaeccf2,
    0xffafcdf3,
    0xffafcdf3,
    0xffafccf4,
    0xffafccf4,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffafcdf5,
    0xffb0ccf4,
    0xffb2ccfa,
    0xffb3ccf7,
    0xffb3cdf6,
    0xffafcff4,
    0xffaacef1,
    0xffacccf1,
    0xffbacefc,
    0xffbec2f4,
    0xff8b3650,
    0xffae2a20,
    0xffbe180c,
    0xffcc1b27,
    0xffb52435,
    0xffa21f34,
    0xff830008,
    0xff710800,
    0xff720703,
    0xff780007,
    0xff7c000c,
    0xff7d000a,
    0xff8b0105,
    0xffab0509,
    0xffbd1515,
    0xffac1715,
    0xffe498b5,
    0xfff1d5f0,
    0xffb88dae,
    0xff915069,
    0xff853635,
    0xffa2392a,
    0xffa13727,
    0xffc0574b,
    0xffd55f54,
    0xffd15149,
    0xffcb443f,
    0xffc43c36,
    0xffbd2822,
    0xffd22d28,
    0xffc8241d,
    0xffce362a,
    0xffd43b24,
    0xffc92a20,
    0xffbe1c16,
    0xffcd2717,
    0xffd93223,
    0xffc81e1d,
    0xffc81c22,
    0xffc81b1e,
    0xffbc1c25,
    0xffc57191,
    0xffcbc8f0,
    0xffb2ccf4,
    0xffb4cbfd,
    0xffabcff8,
    0xffa8d3ef,
    0xffb1cef0,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffadcdf4,
    0xffacccf4,
    0xffaecef5,
    0xffaecef5,
    0xffafcbf3,
    0xffb0ccf4,
    0xffafcdf2,
    0xffadcbf2,
    0xffaecbef,
    0xffabcbf2,
    0xffabccf2,
    0xffabcbf2,
    0xffaccef0,
    0xffacccf2,
    0xffacccf2,
    0xffabcbf1,
    0xffadcdf4,
    0xffabcbf2,
    0xffadcdf4,
    0xffaccbf2,
    0xffaaccf5,
    0xffabccf5,
    0xffaaccf5,
    0xffaccbf4,
    0xffacccf5,
    0xffabcbf4,
    0xffabccf5,
    0xffaecbf5,
    0xffacccf3,
    0xffaacaf1,
    0xffabcbf1,
    0xffa9c9f2,
    0xffaacaf3,
    0xffaacaf3,
    0xffaacaf2,
    0xffa9c7f4,
    0xffa9c9f1,
    0xffaacaf3,
    0xffabcbf4,
    0xffa9c9f2,
    0xffabcbf4,
    0xffabcbf4,
    0xffabcbf4,
    0xffabcbf3,
    0xffaaccf7,
    0xffaacbf6,
    0xffaacbf6,
    0xffabccf7,
    0xffaacbf6,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf4,
    0xffa8c9f7,
    0xffa9caf7,
    0xffa8c9f7,
    0xffaacbf8,
    0xffaacbf8,
    0xffa9caf7,
    0xffa6c7f5,
    0xffa5c6f3,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa4c3f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa0c2ef,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f1,
    0xffa0c1f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa1c2f5,
    0xffa0c0f4,
    0xffa0c0f4,
    0xffa0c0f4,
    0xff9cc1f5,
    0xff9bbff3,
    0xff9abef2,
    0xff9cc0f4,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9abef2,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cbff3,
    0xff9ac0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff2,
    0xff99bef2,
    0xff98bdf1,
    0xff99bef2,
    0xff9abff2,
    0xff99bef3,
    0xff97bcf1,
    0xff96bbf2,
    0xff95bbf1,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff94b8f2,
    0xff94b7f1,
    0xff90b7f0,
    0xff91b8f1,
    0xff92b9f2,
    0xff91b8f1,
    0xff94bbf6,
    0xff91b8f3,
    0xff90b7f2,
    0xff90b7f2,
    0xff91b8f0,
    0xff90b7f0,
    0xff8fb6f2,
    0xff91b8f3,
    0xff90b6f1,
    0xff8eb6f4,
    0xff8cb5f1,
    0xff8bb3f0,
    0xff8cb4f1,
    0xff8cb4f1,
    0xff8cb4f1,
    0xff8cb3f1,
    0xff8db5f2,
    0xff8eb6f4,
    0xff8cb5f3,
    0xff8ab3f2,
    0xff8ab4f0,
    0xff8ab5f0,
    0xff8ab3f2,
    0xff8ab3f1,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff88b1f1,
    0xff89b2f2,
    0xff89b2f2,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff89b2f2,
    0xff88b1f1,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff88b1f1,
    0xff89b2f2,
    0xff88b0f1,
    0xff84b1ef,
    0xff86b2f1,
    0xff84b0ef,
    0xff85b1f0,
    0xff84b1ef,
    0xff89b1f3,
    0xff87b0f2,
    0xff84aeef,
    0xff85adf3,
    0xff87aff4,
    0xff85b0f4,
    0xff83b0f3,
    0xff80b0f2,
    0xff7fb0f2,
    0xff7eaff1,
    0xff7daeef,
    0xff80adf1,
    0xff82aef2,
    0xff7eaef1,
    0xff7eacf0,
    0xff7badf2,
    0xff7dadf0,
    0xff79aaed,
    0xff7aabee,
    0xff7bacee,
    0xff7aabf0,
    0xff7aabf0,
    0xff7aabf0,
    0xff79aaee,
    0xff78abf0,
    0xff79abf0,
    0xff79abef,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff78aaf0,
    0xff76a8ee,
    0xff7aacf5,
    0xff7aacf5,
    0xff78aaf4,
    0xff78aaf3,
    0xff79abf4,
    0xff77a9f2,
    0xff77a9f2,
    0xff76a8f1,
    0xff75a5f3,
    0xff74a9f4,
    0xff74a9f1,
    0xff72a8f0,
    0xff74abf1,
    0xff72a7eb,
    0xff81b2f4,
    0xff5b8ec8,
    0xff2f6177,
    0xff2e5f50,
    0xff3c6659,
    0xff2c5457,
    0xff17435f,
    0xff2a5983,
    0xff093651,
    0xff1a435f,
    0xff1e4a5f,
    0xff04344e,
    0xff3b738e,
    0xff3e7fa0,
    0xff3174ac,
    0xff4a88d2,
    0xff2b66aa,
    0xff255b92,
    0xff366c9c,
    0xff215c7f,
    0xff114c77,
    0xff285da8,
    0xff75a8ff,
    0xff6b9ff9,
    0xff699df3,
    0xff699ff8,
    0xff66a0ef,
    0xff649fed,
    0xff649fec,
    0xff649fef,
    0xff66a1f1,
    0xff65a0f0,
    0xff639fee,
    0xff629ded,
    0xff659ff1,
    0xff659ff1,
    0xff659ff1,
    0xff649def,
    0xff619fef,
    0xff619eef,
    0xff63a0f1,
    0xff619fef,
    0xff649def,
    0xff649ef0,
    0xff639cee,
    0xff5f9dee,
    0xff609eef,
    0xff609eef,
    0xff609def,
    0xff619eef,
    0xff5d9bee,
    0xff5c9aed,
    0xff5b99ec,
    0xff5b99ec,
    0xff5d9bf0,
    0xff5a98ed,
    0xff5a98ed,
    0xff5b98ee,
    0xff5698ec,
    0xff5798ec,
    0xff5798ec,
    0xff5798ec,
    0xff5697eb,
    0xff5696ee,
    0xff5696ed,
    0xff5696ed,
    0xff5999f1,
    0xff5999f1,
    0xff5595ed,
    0xff5493eb,
    0xff5494ec,
    0xff5393ea,
    0xff5493ee,
    0xff5493ee,
    0xff5294ee,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5091eb,
    0xff5192ec,
    0xff5192ec,
    0xff5293ed,
    0xff5394ee,
    0xff5192ec,
    0xff5192ec,
    0xff5192ec,
    0xff5192eb,
    0xff5192ee,
    0xff5091ed,
    0xff4f90ec,
    0xff5091ed,
    0xff5091ed,
    0xff5091ed,
    0xff5091ed,
    0xff4e8fea,
    0xff4d8fed,
    0xff4d8fed,
    0xff4d8fed,
    0xff4e8feb,
    0xff4c8eec,
    0xff4c91ee,
    0xff4990ec,
    0xff478fea,
    0xff488eed,
    0xff4a8fee,
    0xff4a8fee,
    0xff4b8beb,
    0xff478be6,
    0xff498be9,
    0xff488aed,
    0xff4988f0,
    0xff4f8fec,
    0xff2966b1,
    0xff236295,
    0xff215e5e,
    0xff145068,
    0xff437dc0,
    0xff2a6bac,
    0xff3a7ec4,
    0xff498eec,
    0xff458ce1,
    0xff4790e4,
    0xff468add,
    0xff1a5aa8,
    0xff3878a7,
    0xff1e5f6c,
    0xff003d52,
    0xff003162,
    0xff3a72a1,
    0xff145064,
    0xff1c5f70,
    0xff2c7692,
    0xff2d7ab7,
    0xff408cd3,
    0xff135d8c,
    0xff3073a7,
    0xff4788d9,
    0xff458be2,
    0xff4384db,
    0xff567fba,
    0xff293e5a,
    0xff2b444c,
    0xff2c554b,
    0xff224f38,
    0xff194228,
    0xff0b2b16,
    0xff123119,
    0xff061f16,
    0xff041d1d,
    0xff08211d,
    0xff062018,
    0xff152e2a,
    0xff051f1b,
    0xff102d25,
    0xff082118,
    0xff0a2419,
    0xff031e13,
    0xff041d17,
    0xff071d1c,
    0xff091d20,
    0xff011614,
    0xff081f1c,
    0xff011312,
    0xff010b0e,
    0xff16171f,
    0xff14191a,
    0xff101f14,
    0xff29442f,
    0xff16331b,
    0xff0d2a13,
    0xff081d11,
    0xff0a2016,
    0xff0a1d17,
    0xff13261c,
    0xff27382a,
    0xff1c2a19,
    0xff151f0f,
    0xff141c10,
    0xffac1923,
    0xffa71825,
    0xff9e1623,
    0xff8c0f20,
    0xff851324,
    0xff811324,
    0xff841325,
    0xff871226,
    0xff850a1e,
    0xff8a0e21,
    0xff8b1020,
    0xff911322,
    0xff901422,
    0xff901120,
    0xff8d0f1d,
    0xff91101f,
    0xff950d1f,
    0xff971020,
    0xff97131f,
    0xff8f0c14,
    0xff95121a,
    0xff97111c,
    0xff970f1f,
    0xffa21728,
    0xffcb2925,
    0xffd0312a,
    0xffb11d22,
    0xff8e0820,
    0xff720011,
    0xff6a020b,
    0xff68020c,
    0xff6a0317,
    0xff640217,
    0xff6b0019,
    0xff71001a,
    0xff680314,
    0xff60070d,
    0xff690309,
    0xff70010a,
    0xff73010e,
    0xff68000c,
    0xff6a0110,
    0xff6b040f,
    0xff6e0611,
    0xff6d030f,
    0xff6a010a,
    0xff650108,
    0xff5f0005,
    0xff963f45,
    0xffd79da5,
    0xfffaeff2,
    0xffffffff,
    0xffd7c2c8,
    0xff80293b,
    0xff7e0316,
    0xff7d0312,
    0xff71020f,
    0xff6f0410,
    0xff6b000d,
    0xff68010b,
    0xff68010b,
    0xff6b010d,
    0xff6c000e,
    0xff6f010d,
    0xff680007,
    0xff7d415c,
    0xffebd4ff,
    0xfff3e3fd,
    0xfff8eff6,
    0xffffffff,
    0xfff0ffff,
    0xfff2efff,
    0xffdde5ff,
    0xffc48fbd,
    0xff8b002f,
    0xffae011d,
    0xffa60d11,
    0xff95000c,
    0xff920022,
    0xff8f0233,
    0xffbe94cf,
    0xffcfd0ff,
    0xffc2d3ff,
    0xffcbdaff,
    0xff9e8ab9,
    0xff4b0722,
    0xff500e1e,
    0xff411e1a,
    0xff2d281b,
    0xff191d33,
    0xff3f4e87,
    0xffa2b5f7,
    0xffaabcfd,
    0xffa4b5f9,
    0xffa7bff6,
    0xff99b5e3,
    0xff809ed7,
    0xff6880c0,
    0xff4c64a9,
    0xff435ca1,
    0xff6179ba,
    0xffa3bef5,
    0xffb4d4fb,
    0xffaed0f1,
    0xffb3d0f4,
    0xffb2cef5,
    0xffb2cef5,
    0xffb2cdf5,
    0xffb2cef5,
    0xffb2cef6,
    0xffb1ccf5,
    0xffb1ccf3,
    0xffaeccf2,
    0xffaeccf2,
    0xffaeccf2,
    0xffaeccf2,
    0xffaeccf2,
    0xffaeccf2,
    0xffaeccf2,
    0xffaeccf2,
    0xffb0cef4,
    0xffb0cef4,
    0xffafcdf3,
    0xffaeccf2,
    0xffaecdf2,
    0xffaecbf4,
    0xffaecbf3,
    0xffaecbf3,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0ccf5,
    0xffafcdf4,
    0xffa6d3fa,
    0xffabd1f7,
    0xffafcff5,
    0xffb2cef2,
    0xffafcced,
    0xffb2cef1,
    0xffb2cdf1,
    0xffbbd0f8,
    0xffce97c3,
    0xff993033,
    0xff9d2113,
    0xffb84a55,
    0xffe1a0b9,
    0xfff1add0,
    0xff98203d,
    0xff7d0200,
    0xff6d0500,
    0xff790109,
    0xff82000a,
    0xff880008,
    0xffa3010a,
    0xffc20513,
    0xffc40a17,
    0xffa50d18,
    0xffd394bd,
    0xffc0cff4,
    0xffbfd3ff,
    0xffdbd7ff,
    0xffbb9ab5,
    0xff8a3c43,
    0xff983e31,
    0xff99472e,
    0xffa53e25,
    0xffab382b,
    0xffa8332b,
    0xff9c241e,
    0xffad231b,
    0xffce3429,
    0xffc92e1e,
    0xffc93c24,
    0xffd63d2a,
    0xffd22f34,
    0xffbf151f,
    0xffca2417,
    0xffb41105,
    0xffae0c1b,
    0xffa40017,
    0xffa5010c,
    0xff9f0218,
    0xffa25882,
    0xffc5c3ee,
    0xffb7cbf4,
    0xffb2cbf8,
    0xffabcdf6,
    0xffacd1ef,
    0xffaecff3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffacccf2,
    0xffadcdf3,
    0xffaecef3,
    0xffaecef3,
    0xffaccdf4,
    0xffaccdf3,
    0xffafcbf4,
    0xffaeccf2,
    0xffaecbf1,
    0xffabccf1,
    0xffaccbf1,
    0xffaacdf2,
    0xffabccef,
    0xffaacaf0,
    0xffaacaf0,
    0xffaacaf1,
    0xffadcdf4,
    0xffabcbf2,
    0xffadcdf3,
    0xffaccbf1,
    0xffaacbf5,
    0xffabccf5,
    0xffaaccf5,
    0xffacccf5,
    0xffacccf5,
    0xffacccf5,
    0xffabccf5,
    0xffaecaf5,
    0xffabccf2,
    0xffacccf3,
    0xffabcbf2,
    0xffabcbf5,
    0xffa9c9f2,
    0xffa9c9f2,
    0xffa9c9f2,
    0xffaccaf7,
    0xffa9caf3,
    0xffa9cbf4,
    0xffa9cbf4,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f5,
    0xffa8c9f5,
    0xffa8c9f5,
    0xffa8c9f4,
    0xffaacbf6,
    0xffaacbf6,
    0xffa8c9f5,
    0xffa8c9f5,
    0xffa8c9f4,
    0xffa9caf4,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f3,
    0xffa7c8f2,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c8f7,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa9c9f8,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa4c3f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xff9ec4f0,
    0xffa1c2f0,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa3c2f3,
    0xffa0c3f2,
    0xffa1c3f2,
    0xffa1c3f2,
    0xffa1c3f2,
    0xffa1c3f2,
    0xff9fc2f1,
    0xffa0c2f1,
    0xffa0c2f2,
    0xff9dc1f5,
    0xff9dc1f5,
    0xff9bbff3,
    0xff9abef2,
    0xff9abef2,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9abef2,
    0xff9abef2,
    0xff9dc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff2,
    0xff98bdf3,
    0xff98bdf2,
    0xff98bdf4,
    0xff98bdf4,
    0xff96baf5,
    0xff98bcf6,
    0xff97bbf5,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff97bbf5,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff94bcf5,
    0xff93baf3,
    0xff93baf3,
    0xff91b8f0,
    0xff91b8f4,
    0xff91b8f3,
    0xff91b8f3,
    0xff90b7f2,
    0xff90b7ef,
    0xff91b8f1,
    0xff91b8f1,
    0xff91b8f3,
    0xff8fb6f1,
    0xff90b5f4,
    0xff8fb4f2,
    0xff8eb4f2,
    0xff8eb7f3,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff90b8f5,
    0xff8eb6f3,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8cb6f1,
    0xff8cb4f3,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff89b2f2,
    0xff87b0f0,
    0xff87afef,
    0xff86b2f1,
    0xff84b0ef,
    0xff84b0ef,
    0xff84b1ef,
    0xff86aff1,
    0xff85aef0,
    0xff87aef1,
    0xff86b0f1,
    0xff87aef4,
    0xff85b0f4,
    0xff83b0f3,
    0xff7fb0f1,
    0xff7eb0f2,
    0xff7fb0f2,
    0xff7dadef,
    0xff81aef1,
    0xff80adf1,
    0xff81aef2,
    0xff7dacf0,
    0xff7dabef,
    0xff7aacef,
    0xff7eaff2,
    0xff7bacef,
    0xff7cadf0,
    0xff7bacef,
    0xff7bacf1,
    0xff7bacf1,
    0xff7aabf0,
    0xff79abf0,
    0xff78aaef,
    0xff79abf0,
    0xff79abef,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff77a9f0,
    0xff77a9ef,
    0xff76a8ef,
    0xff76a8ef,
    0xff75a7f1,
    0xff76a8f1,
    0xff76a8f1,
    0xff78aaf3,
    0xff74a5f1,
    0xff75a5f1,
    0xff73a8f3,
    0xff75aaf4,
    0xff73a7f0,
    0xff75aaf1,
    0xff73a9ef,
    0xff7fb5f8,
    0xff4b7da6,
    0xff4d7c7f,
    0xff3b625c,
    0xff2e5748,
    0xff3a685d,
    0xff2e5b62,
    0xff07323b,
    0xff012246,
    0xff1c445c,
    0xff073369,
    0xff3c73b0,
    0xff3275a0,
    0xff276a94,
    0xff3b7a9e,
    0xff1a4e67,
    0xff1f4e62,
    0xff0a3f60,
    0xff003464,
    0xff073a85,
    0xff588fe8,
    0xff6ea1f7,
    0xff6fa1ed,
    0xff6da1ed,
    0xff689ff4,
    0xff659fee,
    0xff66a1ef,
    0xff65a0ee,
    0xff649fec,
    0xff639eef,
    0xff649fef,
    0xff649fef,
    0xff649fef,
    0xff66a0f2,
    0xff649ef0,
    0xff659ff1,
    0xff659ff1,
    0xff629ff0,
    0xff619eef,
    0xff629ff0,
    0xff619ff0,
    0xff659ef0,
    0xff639def,
    0xff649ef0,
    0xff649ef0,
    0xff639cee,
    0xff639cef,
    0xff639cef,
    0xff609eee,
    0xff609df0,
    0xff609df0,
    0xff5f9df0,
    0xff5e9cef,
    0xff599bef,
    0xff5b99ee,
    0xff5c9aef,
    0xff5b98ed,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5899ed,
    0xff5899ec,
    0xff5898ef,
    0xff5898ef,
    0xff5898ef,
    0xff5696ee,
    0xff5797ef,
    0xff5595ed,
    0xff5797ef,
    0xff5696ee,
    0xff5595ed,
    0xff5393ee,
    0xff5393ed,
    0xff5294ee,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5192ec,
    0xff5192ec,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff5192ec,
    0xff4f90ea,
    0xff5192ec,
    0xff5192eb,
    0xff5192ee,
    0xff4f90ec,
    0xff4f90ec,
    0xff4f90ec,
    0xff5091ed,
    0xff5091ed,
    0xff5091ec,
    0xff4f90ef,
    0xff4f90ee,
    0xff4f90ee,
    0xff4f90ee,
    0xff4f90ec,
    0xff4f90ee,
    0xff4e91ee,
    0xff4c91ee,
    0xff4990eb,
    0xff4a90f0,
    0xff4b90ef,
    0xff4c90ef,
    0xff4d8cf0,
    0xff4d8eea,
    0xff4c8fe9,
    0xff4a8bec,
    0xff4685f0,
    0xff4b8aea,
    0xff4887ce,
    0xff25648f,
    0xff1d4444,
    0xff103a34,
    0xff14404c,
    0xff195055,
    0xff07465d,
    0xff377bb2,
    0xff3c87c9,
    0xff4491e2,
    0xff4f95e8,
    0xff3879c7,
    0xff14567f,
    0xff094b4a,
    0xff0a4351,
    0xff002b62,
    0xff0a3c6c,
    0xff0f4347,
    0xff2e5a43,
    0xff1d5449,
    0xff256571,
    0xff205e6a,
    0xff1f524d,
    0xff2a5955,
    0xff09414f,
    0xff034662,
    0xff2768a1,
    0xff3d788f,
    0xff356157,
    0xff092716,
    0xff2a4a37,
    0xff1f4c31,
    0xff10381d,
    0xff132d1b,
    0xff1f3a30,
    0xff03200f,
    0xff0a2517,
    0xff061c16,
    0xff081f18,
    0xff082015,
    0xff051f19,
    0xff082125,
    0xff152e2b,
    0xff09221e,
    0xff08211b,
    0xff071c1b,
    0xff0d2224,
    0xff071c1f,
    0xff0b2121,
    0xff061d17,
    0xff001510,
    0xff030f10,
    0xff121618,
    0xff2b302d,
    0xff19281b,
    0xff1a321e,
    0xff0b240f,
    0xff091d0f,
    0xff0b1c16,
    0xff0c1c19,
    0xff071713,
    0xff07180f,
    0xff0d1e11,
    0xff162212,
    0xff0f1a0b,
    0xff121a0e,
    0xffab1822,
    0xffa51924,
    0xff96101f,
    0xff830d1d,
    0xff851728,
    0xff841627,
    0xff891729,
    0xff891025,
    0xff931327,
    0xff921325,
    0xff8d0e20,
    0xff8e101d,
    0xff8f111f,
    0xff911321,
    0xff8f1021,
    0xff8d0e20,
    0xff921021,
    0xff931120,
    0xff9a1622,
    0xff98151b,
    0xff941117,
    0xff96121d,
    0xff961322,
    0xff931223,
    0xffc1302b,
    0xffb8352a,
    0xff780400,
    0xff6b0007,
    0xff6c000d,
    0xff690002,
    0xff690008,
    0xff6e0a1c,
    0xff630e1c,
    0xff6b0017,
    0xff6e0016,
    0xff670310,
    0xff66060d,
    0xff6c0207,
    0xff710009,
    0xff6e000d,
    0xff6c000c,
    0xff6c000c,
    0xff6b010d,
    0xff6b010d,
    0xff69010b,
    0xff69020d,
    0xff66030d,
    0xff680911,
    0xff711821,
    0xffa87279,
    0xffffffff,
    0xffffffff,
    0xffffdaea,
    0xffc05e73,
    0xff7e061a,
    0xff77010f,
    0xff71000e,
    0xff71000f,
    0xff6c000c,
    0xff6a020d,
    0xff68000b,
    0xff69020d,
    0xff6b010d,
    0xff6f000d,
    0xff7f010d,
    0xff6e051c,
    0xff761c49,
    0xff832648,
    0xff7d2b3f,
    0xff926074,
    0xffdbcad1,
    0xfff0ebfe,
    0xfff6f2ff,
    0xffdcbde6,
    0xff7c0039,
    0xffae0122,
    0xffb0050f,
    0xffac071a,
    0xff8c001b,
    0xff850028,
    0xff9e5195,
    0xffe5d1ff,
    0xffb7d6fb,
    0xffa5bbf1,
    0xff4f4876,
    0xff461d30,
    0xff49102a,
    0xff301f2c,
    0xff16192f,
    0xff384573,
    0xff6075b8,
    0xff375193,
    0xff283b82,
    0xff2e3c8b,
    0xff5a6db6,
    0xff5d7cb3,
    0xff708ec7,
    0xff94aee9,
    0xffacc6ff,
    0xffb9d2ff,
    0xffb4ceff,
    0xffb5d1fa,
    0xffaeccef,
    0xffafd1ef,
    0xffb0cef1,
    0xffb0cef4,
    0xffb1cef6,
    0xffb1cef9,
    0xffb0cef8,
    0xffb1cef8,
    0xffafccf4,
    0xffafcef3,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0ccf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0ccf5,
    0xffb6ccf5,
    0xffb6ccf5,
    0xffb3cdf4,
    0xffb1cff5,
    0xffafcff5,
    0xffafccf3,
    0xffb3cdf4,
    0xffb5caf4,
    0xffd7bef4,
    0xffc0869f,
    0xffd2aeb6,
    0xffd3c4df,
    0xffcfcef3,
    0xffd3d0f6,
    0xffdea1c6,
    0xff8b1430,
    0xff7c060f,
    0xff860010,
    0xff94071a,
    0xff980b14,
    0xffb0090e,
    0xffc2010a,
    0xffb4000f,
    0xffa41527,
    0xffd490cb,
    0xffc0cdf4,
    0xffb7ccf6,
    0xffbcc7fc,
    0xffd7d5ff,
    0xff955b84,
    0xff8c2a35,
    0xffa43826,
    0xffa8412e,
    0xffa9413b,
    0xff99393b,
    0xff8a2b2f,
    0xff992826,
    0xffbc2f24,
    0xffc7321f,
    0xffd94e34,
    0xffdd4a3a,
    0xffa90c14,
    0xffbb162b,
    0xffa70613,
    0xff9c0410,
    0xff910018,
    0xff8b0016,
    0xff8e000b,
    0xff8a0528,
    0xffca9bca,
    0xffc3ccfd,
    0xffb6c8f2,
    0xffadcdf4,
    0xffacccf3,
    0xffb2cdee,
    0xffaccff5,
    0xffaecdf3,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaaccf1,
    0xffabcef4,
    0xffaccdf4,
    0xffafcbf4,
    0xffafccf4,
    0xffafcbf4,
    0xffadcdf4,
    0xffabcef4,
    0xffacccf2,
    0xffacccf3,
    0xffacccf3,
    0xffacccf5,
    0xffadcdf6,
    0xffabcbf2,
    0xffadcdf3,
    0xffaccbf1,
    0xffaaccf4,
    0xffaacbf5,
    0xffaaccf5,
    0xffacccf5,
    0xffacccf5,
    0xffacccf5,
    0xffabccf5,
    0xffaecaf5,
    0xffabccf2,
    0xffacccf3,
    0xffacccf2,
    0xffacccf5,
    0xffaacaf3,
    0xffa8c8f1,
    0xffaacbf3,
    0xffadccf9,
    0xffaaccf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa7c8f3,
    0xffa8c9f4,
    0xffa8c9f3,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf6,
    0xffa9c9f8,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c3f2,
    0xff9fc5f2,
    0xff9fc5f2,
    0xffa2c3f2,
    0xffa2c4f1,
    0xffa2c4f4,
    0xffa1c4f4,
    0xffa3c2f4,
    0xffa3c3f4,
    0xffa0c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xff9fc1f1,
    0xffa0c2f2,
    0xffa0c1f1,
    0xff9ec2f7,
    0xff9ec2f6,
    0xff9dc1f5,
    0xff9bbff3,
    0xff9bbff3,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9abef2,
    0xff9abef2,
    0xff9dc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff9abff4,
    0xff97bcf1,
    0xff96bbf2,
    0xff96bcf2,
    0xff96baf4,
    0xff99bdf7,
    0xff95b9f3,
    0xff94b8f2,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96b9f4,
    0xff94bbf4,
    0xff94bbf4,
    0xff94bbf4,
    0xff93baf3,
    0xff91b8f4,
    0xff93baf5,
    0xff93baf5,
    0xff92b9f4,
    0xff92b9f1,
    0xff93baf4,
    0xff92b9f2,
    0xff90b7f0,
    0xff91b8f3,
    0xff90b6f4,
    0xff90b6f4,
    0xff90b6f4,
    0xff8fb5f3,
    0xff8fb5f3,
    0xff8fb5f3,
    0xff8eb6f3,
    0xff8fb7f4,
    0xff8cb4f1,
    0xff89b3ef,
    0xff8bb5f1,
    0xff8cb6ef,
    0xff8cb6ef,
    0xff8bb5f2,
    0xff8cb7f2,
    0xff8bb4f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff87b0f0,
    0xff84b0ef,
    0xff86b2f1,
    0xff86b2f1,
    0xff86b2f1,
    0xff84adef,
    0xff86aff1,
    0xff88aff2,
    0xff88aef2,
    0xff87b0f1,
    0xff85aff4,
    0xff83b0f3,
    0xff7fb0f1,
    0xff7eaff1,
    0xff7eaff1,
    0xff7dadef,
    0xff80acef,
    0xff82aff4,
    0xff81aef2,
    0xff80adf1,
    0xff7dacf0,
    0xff7baced,
    0xff7fb0f4,
    0xff7cadf0,
    0xff7cadf0,
    0xff7cadef,
    0xff7cadf2,
    0xff7cadf2,
    0xff7babf0,
    0xff79abf1,
    0xff7aacf1,
    0xff78aaef,
    0xff79abf0,
    0xff79abef,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f1,
    0xff78aaf1,
    0xff78aaf1,
    0xff77a9f0,
    0xff78aaf4,
    0xff78aaf3,
    0xff78aaf3,
    0xff78aaf3,
    0xff75a7ef,
    0xff75a6f1,
    0xff76a7f4,
    0xff77a8f5,
    0xff79a9f5,
    0xff74a8f2,
    0xff75aaf0,
    0xff6fa6ed,
    0xff70a6e0,
    0xff3b6b7d,
    0xff3b6760,
    0xff426c53,
    0xff346349,
    0xff245544,
    0xff002b24,
    0xff0a2d42,
    0xff164358,
    0xff4170a0,
    0xff5287b5,
    0xff2b6181,
    0xff44788f,
    0xff09383c,
    0xff08342f,
    0xff001c2a,
    0xff24578d,
    0xff3a70bf,
    0xff5a95f0,
    0xff6ca7f8,
    0xff6ba2e6,
    0xff6ea3e2,
    0xff6ba4ea,
    0xff66a1ed,
    0xff639eeb,
    0xff67a2f0,
    0xff67a2f0,
    0xff67a2f0,
    0xff65a0ed,
    0xff66a1f2,
    0xff66a1f1,
    0xff66a2f1,
    0xff669ff2,
    0xff649ef0,
    0xff649ef1,
    0xff659ff1,
    0xff63a0f1,
    0xff609dee,
    0xff619eef,
    0xff619eef,
    0xff639def,
    0xff649ef0,
    0xff649ef0,
    0xff649ef0,
    0xff639def,
    0xff629cee,
    0xff639def,
    0xff629cee,
    0xff629cf0,
    0xff609df0,
    0xff609df0,
    0xff5e9cef,
    0xff5a9bef,
    0xff589aee,
    0xff5c9aef,
    0xff5b98ed,
    0xff589aee,
    0xff599aee,
    0xff599aee,
    0xff599aee,
    0xff5799ec,
    0xff5898ef,
    0xff5898ef,
    0xff5898ef,
    0xff5898ef,
    0xff5898ef,
    0xff5797ed,
    0xff5696ef,
    0xff5797ef,
    0xff5696ed,
    0xff5393ee,
    0xff5292ec,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5293ed,
    0xff5293ed,
    0xff5293ed,
    0xff5192ec,
    0xff5293ed,
    0xff5091eb,
    0xff5192ec,
    0xff5192ec,
    0xff5192eb,
    0xff5192ee,
    0xff5192ee,
    0xff5091ed,
    0xff5192ee,
    0xff5091ed,
    0xff4e8feb,
    0xff5091ed,
    0xff5091ef,
    0xff5091ef,
    0xff5091ef,
    0xff4f91ef,
    0xff518fec,
    0xff5091ef,
    0xff4f91ef,
    0xff4b90ed,
    0xff4a92ed,
    0xff4a90f0,
    0xff4c91f0,
    0xff4c91ef,
    0xff4f8ff1,
    0xff4e91ee,
    0xff4c91ec,
    0xff488eeb,
    0xff458ae9,
    0xff4a8de9,
    0xff4f90e2,
    0xff4888d0,
    0xff30598a,
    0xff0b363e,
    0xff0d382f,
    0xff063220,
    0xff002623,
    0xff002b45,
    0xff0a3f61,
    0xff1a558c,
    0xff3e82b7,
    0xff3475a8,
    0xff0c4c65,
    0xff226058,
    0xff094247,
    0xff1e4d79,
    0xff093865,
    0xff00313e,
    0xff254926,
    0xff1b4429,
    0xff0d3e25,
    0xff235137,
    0xff224c33,
    0xff214a2d,
    0xff306242,
    0xff2d6550,
    0xff346f63,
    0xff175232,
    0xff2a572f,
    0xff173413,
    0xff354d34,
    0xff1c3d1d,
    0xff0e3115,
    0xff102a1a,
    0xff0c261b,
    0xff1c3725,
    0xff021b06,
    0xff011a0c,
    0xff001609,
    0xff03190b,
    0xff051a13,
    0xff001317,
    0xff092120,
    0xff001511,
    0xff0a201a,
    0xff061d19,
    0xff041b18,
    0xff031916,
    0xff041910,
    0xff001508,
    0xff122d1c,
    0xff000e04,
    0xff3f4a41,
    0xff283126,
    0xff203521,
    0xff243c27,
    0xff0d2310,
    0xff06190d,
    0xff051910,
    0xff03170e,
    0xff031710,
    0xff0c2016,
    0xff0d1e12,
    0xff091a0d,
    0xff061509,
    0xff051108,
    0xffa91a24,
    0xffa51b28,
    0xff941321,
    0xff871224,
    0xff811727,
    0xff7f1424,
    0xff860f24,
    0xff8e1024,
    0xff98182a,
    0xff961425,
    0xff8a0c1a,
    0xff8d0f1d,
    0xff8d0f1d,
    0xff8c0f1f,
    0xff911428,
    0xff8e1123,
    0xff8f1326,
    0xff8f121f,
    0xff92111a,
    0xff98151c,
    0xff961218,
    0xff91101b,
    0xff901320,
    0xff8d1425,
    0xff93142a,
    0xff880c1b,
    0xff75000a,
    0xff6d0210,
    0xff61010a,
    0xff5d0605,
    0xff62060c,
    0xff6b0118,
    0xff63070c,
    0xff6a000b,
    0xff6c0410,
    0xff69030f,
    0xff6f000e,
    0xff75000e,
    0xff6c0014,
    0xff5d0215,
    0xff66050d,
    0xff65010a,
    0xff68010d,
    0xff6c020d,
    0xff700514,
    0xff710515,
    0xff6d0110,
    0xff700410,
    0xff6d0010,
    0xff701729,
    0xffb87085,
    0xffc17b92,
    0xff97465d,
    0xff7a1e30,
    0xff6a0514,
    0xff6c040f,
    0xff760212,
    0xff73000f,
    0xff6c000b,
    0xff6a000c,
    0xff68010b,
    0xff6a020d,
    0xff6b000c,
    0xff6b000d,
    0xff700516,
    0xff781210,
    0xff871d20,
    0xff901f21,
    0xff861720,
    0xff70091d,
    0xff670d1f,
    0xff7d3752,
    0xffd7c1dc,
    0xfff1ecff,
    0xff772b54,
    0xff95031f,
    0xffb10110,
    0xffc00c25,
    0xff9c0827,
    0xff84011e,
    0xff850846,
    0xff9c5e9c,
    0xffc8c8f6,
    0xff615592,
    0xff342044,
    0xff341d1f,
    0xff391938,
    0xff323a61,
    0xff9aa1df,
    0xffb8c9ff,
    0xffb8d7ff,
    0xffbcddff,
    0xffbed7f9,
    0xffb7cafe,
    0xffbed7ff,
    0xffb5d6ff,
    0xffb9d9ff,
    0xffb4d1fc,
    0xffb5d1f9,
    0xffb3ccf3,
    0xffb6cff5,
    0xffb1cdf5,
    0xffb3d0fc,
    0xffb2cefd,
    0xffb0cff3,
    0xffb1cff5,
    0xffb0cdf5,
    0xffb0cdf6,
    0xffb0cdf7,
    0xffb1cef8,
    0xffaecbf3,
    0xffb0cef3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffb0cef1,
    0xffb0cef4,
    0xffb0cef3,
    0xffb0cef3,
    0xffafccf5,
    0xffb0cdf5,
    0xffb0cdf4,
    0xffb0cdf4,
    0xffafccf4,
    0xffafccf4,
    0xffafccf4,
    0xffb0cdf5,
    0xffaecbf3,
    0xffaecbf3,
    0xffaecbf3,
    0xffaeccf3,
    0xffb0cdf1,
    0xffafd0f3,
    0xffafcff5,
    0xffaecff6,
    0xffafcbf6,
    0xffb0cbf6,
    0xffb1c9f5,
    0xffb6cdf8,
    0xffb7cbf7,
    0xffc8c2ea,
    0xffb4d3fc,
    0xffadcbff,
    0xffc5c5fb,
    0xffb8caec,
    0xffd3d4f9,
    0xffc27cb1,
    0xff840019,
    0xff920018,
    0xff96081f,
    0xff9f1e25,
    0xffa91413,
    0xffbb0b10,
    0xffb3111a,
    0xffb84551,
    0xffd0bbe5,
    0xffb0d2f0,
    0xffb7d1f8,
    0xffaecbf7,
    0xffaad7fa,
    0xffbfbbdb,
    0xff70293f,
    0xff9f2d39,
    0xffab3d39,
    0xffa43d46,
    0xff873749,
    0xffb16d7e,
    0xff7e252f,
    0xffa92a2a,
    0xffbc2b20,
    0xffd0432e,
    0xffda4f3e,
    0xffb11d21,
    0xffa30320,
    0xff97001f,
    0xff910224,
    0xff8a0621,
    0xff85041a,
    0xff830214,
    0xff740630,
    0xffab96ca,
    0xffafc7f7,
    0xffb6ccf2,
    0xffabceef,
    0xffaeccf1,
    0xffb7c9f0,
    0xffabcff6,
    0xffaecef4,
    0xffaecdf3,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffa9ccf1,
    0xffabcef2,
    0xffacccf4,
    0xffafcbf3,
    0xffafcbf6,
    0xffafcbf6,
    0xffaccdf6,
    0xffadccf6,
    0xffacccf3,
    0xffaccdf3,
    0xffaccdf6,
    0xffacccf7,
    0xffadcdf6,
    0xffabcbf2,
    0xffaccdf2,
    0xffabcbf0,
    0xffabccf4,
    0xffabcbf5,
    0xffabcbf5,
    0xffabcbf5,
    0xffabcbf5,
    0xffabcbf5,
    0xffabccf5,
    0xffaecaf5,
    0xffaacbf1,
    0xffabcbf2,
    0xffabcbf1,
    0xffabcbf4,
    0xffabcbf4,
    0xffadcdf6,
    0xffacccf5,
    0xffabcaf7,
    0xffaccdf6,
    0xffa9caf3,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa7c8f1,
    0xffa8c9f2,
    0xffa8c9f1,
    0xffa7c8f1,
    0xffabccf5,
    0xffa9caf3,
    0xffa9caf3,
    0xffabccf5,
    0xffaacbf6,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf5,
    0xffa9caf5,
    0xffa7c8f3,
    0xffa6c7f2,
    0xffa5c6f1,
    0xffa7c8f6,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9c9f8,
    0xffa6c6f5,
    0xffa7c6f6,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c4f4,
    0xffa4c7f5,
    0xffa3c6f4,
    0xffa2c4f2,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa2c3f2,
    0xff9ec4f1,
    0xff9fc4f1,
    0xff9ec4f1,
    0xffa1c3f1,
    0xffa1c4f1,
    0xffa3c2f4,
    0xffa3c2f4,
    0xffa3c3f4,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xff9fc1f1,
    0xffa1c3f3,
    0xff9fc1f1,
    0xffa0c2f2,
    0xffa0c1f1,
    0xff9ec3f7,
    0xff9cc1f4,
    0xff9cc0f4,
    0xff9dc1f5,
    0xff9fc3f7,
    0xff9dc1f5,
    0xff9bbff3,
    0xff9cc0f4,
    0xff9cc0f4,
    0xff9abef2,
    0xff9bbff3,
    0xff9dc1f5,
    0xff99bef2,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff4,
    0xff9bbff4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef4,
    0xff99bef3,
    0xff99bef4,
    0xff98bdf3,
    0xff99bef5,
    0xff97bcf5,
    0xff96baf4,
    0xff94b8f3,
    0xff94b8f2,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff96b9f3,
    0xff94bbf4,
    0xff93baf3,
    0xff94bbf4,
    0xff92b9f1,
    0xff92b9f4,
    0xff91b8f3,
    0xff91b8f4,
    0xff93baf4,
    0xff91b8f0,
    0xff90b7ed,
    0xff8fb7f0,
    0xff90b8f0,
    0xff91b8f3,
    0xff90b7f4,
    0xff93b6f4,
    0xff94b7f6,
    0xff8fb5f4,
    0xff90b6f4,
    0xff90b5f4,
    0xff8eb7f4,
    0xff8fb7f5,
    0xff8eb6f3,
    0xff8db7f3,
    0xff8eb8f4,
    0xff8ab4ee,
    0xff8bb5ee,
    0xff8bb6f2,
    0xff8cb6f2,
    0xff8cb4f3,
    0xff8cb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f4,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff8bb4f4,
    0xff88b1f1,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab2f2,
    0xff83b0ef,
    0xff85b2f1,
    0xff86b2f1,
    0xff85b2f1,
    0xff84aded,
    0xff88aef2,
    0xff88aef2,
    0xff88aef2,
    0xff87b0f2,
    0xff84b0f3,
    0xff82aff2,
    0xff7faff1,
    0xff80b2f4,
    0xff80b1f3,
    0xff7faff1,
    0xff82aff2,
    0xff83b1f3,
    0xff83b0f4,
    0xff82aff3,
    0xff80adf1,
    0xff7fb0f2,
    0xff7eaff1,
    0xff7eaff2,
    0xff7bacef,
    0xff7cadef,
    0xff7bacef,
    0xff7cadf2,
    0xff7aabf0,
    0xff7aaeee,
    0xff79abf1,
    0xff7aacf1,
    0xff78aaef,
    0xff78aaef,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff77a9ed,
    0xff77a9f1,
    0xff78aaf1,
    0xff78aaf0,
    0xff78aaf4,
    0xff77a9f2,
    0xff76a8f2,
    0xff76a8f1,
    0xff77a9f0,
    0xff77a9f2,
    0xff77a8f7,
    0xff76a7f6,
    0xff75a5f2,
    0xff78a9f2,
    0xff73a8ef,
    0xff76acf5,
    0xff629eda,
    0xff386e81,
    0xff4e7a78,
    0xff3a6551,
    0xff26543e,
    0xff386956,
    0xff35634c,
    0xff264e49,
    0xff2b6457,
    0xff4a8281,
    0xff3a6d6d,
    0xff2b5660,
    0xff07283b,
    0xff19383f,
    0xff002029,
    0xff0b2d5a,
    0xff083e80,
    0xff79b3ff,
    0xff6aaafc,
    0xff66a7ef,
    0xff6ba5ef,
    0xff6aa2f2,
    0xff6ca4f5,
    0xff65a5eb,
    0xff68a3ef,
    0xff68a4f1,
    0xff67a3f0,
    0xff68a3f1,
    0xff67a2ef,
    0xff67a2f2,
    0xff66a1f1,
    0xff66a0f1,
    0xff66a0f2,
    0xff649ff0,
    0xff649ff0,
    0xff66a0f2,
    0xff62a0f1,
    0xff609dee,
    0xff609dee,
    0xff609eee,
    0xff629bed,
    0xff629cee,
    0xff639ef0,
    0xff639eef,
    0xff649ef0,
    0xff629cee,
    0xff639def,
    0xff619bed,
    0xff629bf0,
    0xff639df2,
    0xff629ff2,
    0xff5e9cef,
    0xff5a9cf0,
    0xff5998ed,
    0xff5a98ed,
    0xff5c98ed,
    0xff589aed,
    0xff599aed,
    0xff599aed,
    0xff599aee,
    0xff5697eb,
    0xff5696ee,
    0xff5696ed,
    0xff5796ed,
    0xff5797ee,
    0xff5898ef,
    0xff5696ed,
    0xff5797ef,
    0xff5797ef,
    0xff5696ee,
    0xff5493ee,
    0xff5493ee,
    0xff5193ed,
    0xff5294ee,
    0xff5293ee,
    0xff5394ee,
    0xff5495ef,
    0xff5495ef,
    0xff5393ee,
    0xff5394ee,
    0xff5091eb,
    0xff5091eb,
    0xff4f90ea,
    0xff5091eb,
    0xff5192eb,
    0xff5192ee,
    0xff5192ee,
    0xff5192ee,
    0xff5192ee,
    0xff4f90ec,
    0xff4e8feb,
    0xff4e8feb,
    0xff5091ef,
    0xff5091ef,
    0xff5091ef,
    0xff4f91ef,
    0xff518fec,
    0xff4f90ee,
    0xff4f91ef,
    0xff4c90ed,
    0xff4c91ed,
    0xff4b91f0,
    0xff4c90ef,
    0xff4b91f0,
    0xff4d8eee,
    0xff4a8fee,
    0xff4891ee,
    0xff4691e7,
    0xff4692e4,
    0xff478fe2,
    0xff4c8eee,
    0xff4b8bf4,
    0xff5894e7,
    0xff367195,
    0xff002338,
    0xff07283a,
    0xff092035,
    0xff001329,
    0xff04201e,
    0xff001920,
    0xff00262e,
    0xff194b52,
    0xff194840,
    0xff29573f,
    0xff24503f,
    0xff123942,
    0xff173e52,
    0xff0a343f,
    0xff1f4a2f,
    0xff254c32,
    0xff1b4320,
    0xff0d3814,
    0xff083024,
    0xff2e5b4b,
    0xff215130,
    0xff0b3d1e,
    0xff0c371b,
    0xff163e21,
    0xff153922,
    0xff254035,
    0xff122418,
    0xff20341d,
    0xff0e2810,
    0xff011c0f,
    0xff0a2212,
    0xff102915,
    0xff122a1c,
    0xff0e2219,
    0xff0a1d15,
    0xff0e2019,
    0xff071712,
    0xff0e1c1a,
    0xff0c2520,
    0xff041d18,
    0xff142b24,
    0xff132921,
    0xff021712,
    0xff051a14,
    0xff001002,
    0xff213924,
    0xff25482e,
    0xff27412c,
    0xff3c4b3b,
    0xff182513,
    0xff2d442b,
    0xff153318,
    0xff001905,
    0xff001305,
    0xff001503,
    0xff011909,
    0xff031b0e,
    0xff03190d,
    0xff03180d,
    0xff001409,
    0xff00100a,
    0xff01100f,
    0xffb11f2c,
    0xffaf2231,
    0xff960f1e,
    0xff860f1d,
    0xff7f141f,
    0xff7f101c,
    0xff8d111d,
    0xff930817,
    0xff940f1d,
    0xff930f1c,
    0xff920e1c,
    0xff910f1f,
    0xff8c091b,
    0xff911122,
    0xff911020,
    0xff8c0b1d,
    0xff910e26,
    0xff91111a,
    0xff931416,
    0xff8f121d,
    0xff920e20,
    0xff9d101e,
    0xff960f1d,
    0xff881529,
    0xffa71c2e,
    0xff7c0113,
    0xff700110,
    0xff6f000f,
    0xff67020e,
    0xff5e0510,
    0xff650215,
    0xff6e0018,
    0xff6a000b,
    0xff5e0514,
    0xff670410,
    0xff6c0018,
    0xff730014,
    0xff72030f,
    0xff620917,
    0xff640412,
    0xff6a000e,
    0xff6c0010,
    0xff6d0010,
    0xff720313,
    0xff7a0a1a,
    0xff6e020e,
    0xff6d040f,
    0xff6d040e,
    0xff6d0113,
    0xff740716,
    0xff780318,
    0xff7e0520,
    0xff7c021f,
    0xff770118,
    0xff730612,
    0xff750f0f,
    0xff83101f,
    0xff7a0f18,
    0xff70090d,
    0xff680107,
    0xff69000b,
    0xff69000e,
    0xff6a010f,
    0xff66010d,
    0xff6b0114,
    0xff771111,
    0xff811914,
    0xff88141c,
    0xff8b131d,
    0xff8c161e,
    0xff871725,
    0xff780c2b,
    0xff976183,
    0xfffde3ff,
    0xffb98bb9,
    0xff720020,
    0xffad050d,
    0xffa90712,
    0xff9e0520,
    0xff980015,
    0xff850123,
    0xff7e1349,
    0xff692b65,
    0xff361c3c,
    0xff2a1f23,
    0xff271f2f,
    0xff44426f,
    0xffadb5ed,
    0xffbcd3fc,
    0xffb6d0f6,
    0xffb5d0f6,
    0xffb4cff2,
    0xffb4cff2,
    0xffb4cdf3,
    0xffb4cef4,
    0xffb8d2f7,
    0xffb3cff6,
    0xffb2cef5,
    0xffb1cff5,
    0xffb2d0f6,
    0xffb0cef5,
    0xffb2d1f6,
    0xffafcdf4,
    0xffaecff6,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb2d0f6,
    0xffaeccf2,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffafcdf3,
    0xffb0cef4,
    0xffafcdf3,
    0xffaeccf2,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffafcef4,
    0xffb0ccf5,
    0xffb0ccf5,
    0xffafccf5,
    0xffb0cdf5,
    0xffafccf4,
    0xffb0cdf7,
    0xffb0cdf7,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cff6,
    0xffb2cff7,
    0xffb0cdf6,
    0xffb2cef6,
    0xffb0cdf5,
    0xffb1cef6,
    0xffb1cff6,
    0xffb0cef6,
    0xffb0cef5,
    0xffb2cdf4,
    0xffb0cef3,
    0xffb1cdf3,
    0xffb6cdf5,
    0xffb7cbf4,
    0xffbbccf8,
    0xffcbcefe,
    0xffb14f7b,
    0xff830014,
    0xff8f1227,
    0xffd2779d,
    0xffce6a8d,
    0xffad1926,
    0xffa9141a,
    0xffc05d73,
    0xffc7c6f8,
    0xffb1cef3,
    0xffb2d2f1,
    0xffb1caf2,
    0xffb0d5fc,
    0xffbadbfa,
    0xffa38dab,
    0xff832c4b,
    0xff9b3233,
    0xff8e2f40,
    0xff9e6e8d,
    0xffdad3f7,
    0xffbd99bc,
    0xff901e3d,
    0xffc63136,
    0xffb53018,
    0xffbc3b37,
    0xffad1b28,
    0xff9e031c,
    0xff930218,
    0xff970818,
    0xff930013,
    0xff8f0019,
    0xff7d001b,
    0xff710634,
    0xffb0a1d6,
    0xffb4c9ff,
    0xffb6caf0,
    0xffaad2ea,
    0xffaacff9,
    0xffb3cafb,
    0xffacd0f0,
    0xffaecff3,
    0xffaecdf4,
    0xffaecef4,
    0xffaecef4,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffaecef5,
    0xffaecef5,
    0xffaecef5,
    0xffadcef5,
    0xffafcff6,
    0xffadcef4,
    0xffaecef5,
    0xffaccdf3,
    0xffafcbf4,
    0xffb0cdf5,
    0xffb1cdf5,
    0xffaecaf2,
    0xffaecaf2,
    0xffb1cdf5,
    0xffb0cdf5,
    0xffafcbf4,
    0xffaeccf4,
    0xffaeccf3,
    0xffafccf3,
    0xffaccdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf6,
    0xffadcdf6,
    0xffabcbf5,
    0xffacccf5,
    0xffaacaf3,
    0xffabcbf4,
    0xffacccf5,
    0xffacccf4,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffaccdf6,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffaecffb,
    0xffa9caf6,
    0xffaacbf7,
    0xffabccf8,
    0xffa9caf5,
    0xffa9caf5,
    0xffaacbf6,
    0xffa9caf6,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa7c8f3,
    0xffa9caf5,
    0xffaacbf6,
    0xffaacbf6,
    0xffa9caf5,
    0xffa9caf5,
    0xffaacbf5,
    0xffa8c9f4,
    0xffa7c8f6,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa4c4f3,
    0xffa8c8f7,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa4c4f4,
    0xffa4c5f2,
    0xffa7c8f5,
    0xffa7c6f6,
    0xffa3c3f2,
    0xffa4c3f3,
    0xffa4c3f3,
    0xffa4c3f2,
    0xffa4c3f5,
    0xffa2c5f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa2c4f1,
    0xffa1c4f1,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xff9fc1f1,
    0xffa1c3f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa0c1f2,
    0xff9ec2f4,
    0xff9bbff1,
    0xff9bbff3,
    0xff99bef2,
    0xff9bbff3,
    0xff9bbff3,
    0xff9abef2,
    0xff9abef2,
    0xff99bef2,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f6,
    0xff9bc0f6,
    0xff9cc1f6,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc2f2,
    0xff9ac1f1,
    0xff9bbff4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff6,
    0xff96bbf2,
    0xff94baf0,
    0xff96baf4,
    0xff98bcf6,
    0xff98bcf6,
    0xff97bbf5,
    0xff97bbf5,
    0xff92b9f2,
    0xff94bbf4,
    0xff94bbf4,
    0xff94bbf4,
    0xff91b8f1,
    0xff91b8f1,
    0xff92b9f1,
    0xff91b8f1,
    0xff93b6f0,
    0xff93b6f1,
    0xff92b6f0,
    0xff92b5f0,
    0xff8fb7ef,
    0xff8fb6ef,
    0xff93baf4,
    0xff92b9f3,
    0xff8fb6f1,
    0xff8eb5f0,
    0xff8eb5f0,
    0xff8eb5f0,
    0xff90b7f1,
    0xff90b7f1,
    0xff90b7f1,
    0xff90b7f2,
    0xff8cb4ef,
    0xff8eb6f4,
    0xff8eb5f2,
    0xff8bb2ef,
    0xff8ab5f0,
    0xff8bb5f1,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff89b2f0,
    0xff89b2f0,
    0xff89b2f0,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8cb5f2,
    0xff8cb5f3,
    0xff89b2f0,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff88b1f1,
    0xff87b0f0,
    0xff88b1f1,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff88b1f1,
    0xff88b0f0,
    0xff88b0f0,
    0xff88b0f1,
    0xff87b0f0,
    0xff86afef,
    0xff86afee,
    0xff86afee,
    0xff87b0ef,
    0xff87afef,
    0xff86b0f0,
    0xff86b0f0,
    0xff86b1f2,
    0xff84b0f1,
    0xff84b0f0,
    0xff83aef2,
    0xff83aef2,
    0xff83aef2,
    0xff83aef2,
    0xff84aff4,
    0xff7daef1,
    0xff7daef1,
    0xff7eaff2,
    0xff7daef4,
    0xff7aabf0,
    0xff7daef3,
    0xff7daef3,
    0xff7cadf2,
    0xff7aabf0,
    0xff7aabf0,
    0xff7bacf1,
    0xff78aaef,
    0xff79abf0,
    0xff79abef,
    0xff78aaee,
    0xff78aaee,
    0xff79abf2,
    0xff79abf2,
    0xff77a9f0,
    0xff77a9f0,
    0xff77a9ef,
    0xff77a9f0,
    0xff78aaf0,
    0xff78aaf0,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf3,
    0xff78a9f4,
    0xff79abf3,
    0xff77a9f1,
    0xff78a9f5,
    0xff77a9f5,
    0xff7cafef,
    0xff44717f,
    0xff25515a,
    0xff497971,
    0xff234c38,
    0xff254e40,
    0xff1e4d37,
    0xff274740,
    0xff1c4239,
    0xff2e5555,
    0xff063a3f,
    0xff0e4662,
    0xff1c4956,
    0xff142e3c,
    0xff072331,
    0xff0e3d66,
    0xff66a1e9,
    0xff6daaf6,
    0xff6aa6f2,
    0xff6ba5f2,
    0xff6ba3f3,
    0xff6ba4f3,
    0xff69a4f3,
    0xff68a2ef,
    0xff6aa4f5,
    0xff68a1f2,
    0xff68a1f3,
    0xff66a2f2,
    0xff67a2ef,
    0xff67a2ef,
    0xff659fed,
    0xff61a0ed,
    0xff66a1ed,
    0xff649fec,
    0xff65a0ec,
    0xff65a0ee,
    0xff639eee,
    0xff649fee,
    0xff659ff1,
    0xff659ff1,
    0xff669ef1,
    0xff669ef1,
    0xff669ef1,
    0xff669df0,
    0xff629cee,
    0xff629cee,
    0xff649ef0,
    0xff649ef0,
    0xff5d9aea,
    0xff5e9cec,
    0xff5f9ced,
    0xff619ef1,
    0xff609def,
    0xff619cf3,
    0xff5d99ef,
    0xff5a96ef,
    0xff5d99ef,
    0xff5d99ef,
    0xff5c99ef,
    0xff5b97ed,
    0xff5c98ee,
    0xff5c98ee,
    0xff5c98ee,
    0xff5b97ec,
    0xff5799ef,
    0xff5699ef,
    0xff5799ef,
    0xff5597ed,
    0xff5597ed,
    0xff5799f0,
    0xff5698ef,
    0xff5295eb,
    0xff5494ec,
    0xff5493eb,
    0xff5396ec,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5194ed,
    0xff5194f0,
    0xff5090ea,
    0xff5293ed,
    0xff5394ee,
    0xff5091eb,
    0xff5192ec,
    0xff5192eb,
    0xff5192eb,
    0xff5192eb,
    0xff5192ee,
    0xff5192ee,
    0xff5192ee,
    0xff5192ee,
    0xff5091ed,
    0xff4f90ec,
    0xff4f90ec,
    0xff5091ed,
    0xff4e8feb,
    0xff5091ef,
    0xff5192f0,
    0xff4e90ee,
    0xff4c8fec,
    0xff4c91ed,
    0xff4a91f0,
    0xff4b91f0,
    0xff4e8ff0,
    0xff4e90f0,
    0xff4a8fef,
    0xff4a90ee,
    0xff4b90ef,
    0xff498eed,
    0xff468bea,
    0xff468cec,
    0xff478df0,
    0xff5899e1,
    0xff4370c1,
    0xff082d63,
    0xff042a3a,
    0xff021f32,
    0xff031b25,
    0xff011621,
    0xff05202c,
    0xff0d2a2a,
    0xff00180c,
    0xff03281d,
    0xff092d2b,
    0xff0e3236,
    0xff0a3131,
    0xff0a3027,
    0xff204b2b,
    0xff163b20,
    0xff14351e,
    0xff13311c,
    0xff0e2d1a,
    0xff0d3118,
    0xff275333,
    0xff103f19,
    0xff18341c,
    0xff22472c,
    0xff001e04,
    0xff335941,
    0xff324a35,
    0xff12200f,
    0xff122217,
    0xff061c13,
    0xff04130d,
    0xff0d2118,
    0xff0f291e,
    0xff0f271d,
    0xff061614,
    0xff031217,
    0xff000e1b,
    0xff031825,
    0xff001c21,
    0xff071d24,
    0xff0d1e20,
    0xff0b1a16,
    0xff061618,
    0xff02141e,
    0xff00110b,
    0xff1a3516,
    0xff112e14,
    0xff0e2819,
    0xff0d1e1a,
    0xff2e3630,
    0xff21351e,
    0xff082b08,
    0xff002505,
    0xff29442d,
    0xff133514,
    0xff15331a,
    0xff011907,
    0xff061910,
    0xff03120e,
    0xff091717,
    0xff02120f,
    0xff011410,
    0xffb01923,
    0xffa91921,
    0xff991019,
    0xff9d1821,
    0xffa11922,
    0xffb1242c,
    0xffaf1d23,
    0xffae1c1e,
    0xffb2282c,
    0xffa92325,
    0xffae2928,
    0xffad2a27,
    0xffb6322c,
    0xffa5201d,
    0xffa71c1b,
    0xffb72b2c,
    0xffa2171d,
    0xff960f10,
    0xff931318,
    0xff971125,
    0xff930f2d,
    0xff8c1935,
    0xff7e1430,
    0xff830a2f,
    0xff8c0017,
    0xff7e0017,
    0xff680015,
    0xff6a0113,
    0xff6e0004,
    0xff6d0019,
    0xff620028,
    0xff660019,
    0xff61060c,
    0xff5e0516,
    0xff6d0511,
    0xff6b0218,
    0xff710216,
    0xff7b0210,
    0xff680215,
    0xff690913,
    0xff690714,
    0xff740f1d,
    0xff740d1c,
    0xff6f0413,
    0xff6c0110,
    0xff6b000c,
    0xff6f0310,
    0xff6f0310,
    0xff6b0411,
    0xff730619,
    0xff75001a,
    0xff79051f,
    0xff75061b,
    0xff740819,
    0xff770613,
    0xff800a18,
    0xff82151c,
    0xff80171c,
    0xff7e171a,
    0xff740c13,
    0xff6e0410,
    0xff6b010c,
    0xff67010b,
    0xff660208,
    0xff71080a,
    0xff7d1712,
    0xff7b150f,
    0xff811314,
    0xff821517,
    0xff83191a,
    0xff8b1d21,
    0xff921928,
    0xff921d39,
    0xffd795b2,
    0xfffdd8fa,
    0xff75335d,
    0xff870022,
    0xffbc0019,
    0xffa40108,
    0xff84050d,
    0xff761b27,
    0xff7d3044,
    0xff4a1a31,
    0xff351e2f,
    0xff2a1f31,
    0xff303251,
    0xffa1b1dd,
    0xffb6d1ff,
    0xffb3cef3,
    0xffb5cff3,
    0xffb7d1f6,
    0xffb6cff5,
    0xffb6d0f5,
    0xffb5cff3,
    0xffb5cef3,
    0xffb5cef3,
    0xffb2cef3,
    0xffb1cdf2,
    0xffb1cdf2,
    0xffb0cef2,
    0xffb4d3f6,
    0xffb4d2f6,
    0xffb2d0f4,
    0xffadd0f2,
    0xffb0cef1,
    0xffb0cef1,
    0xffb0cef1,
    0xffb0cef2,
    0xffafcdf1,
    0xffb0cef2,
    0xffb1cff2,
    0xffb0cef1,
    0xffb2d0f6,
    0xffb1cff5,
    0xffb1cff5,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffadcbf1,
    0xffb0cef4,
    0xffb0cef3,
    0xffb0ccf5,
    0xffb0cdf5,
    0xffafccf4,
    0xffb0cdf4,
    0xffafccf6,
    0xffaecbf6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cff4,
    0xffafcdf3,
    0xffb1cff5,
    0xffb1cff5,
    0xffafcdf3,
    0xffb0cef4,
    0xffb1cff4,
    0xffb0cff4,
    0xffb2cdf5,
    0xffb1cef5,
    0xffb2cdf2,
    0xffb2cef3,
    0xffb2ccf0,
    0xffb6cbf5,
    0xffb6c9f5,
    0xffc1d3fe,
    0xffd6c7eb,
    0xff801b44,
    0xff8f1e4d,
    0xffcda8d8,
    0xffe1d2f9,
    0xffb36e88,
    0xff822a45,
    0xffb389ac,
    0xffbcc7f2,
    0xffb1d0f0,
    0xffadcfec,
    0xffb6cbf0,
    0xffb2cef8,
    0xffaacef1,
    0xffd5dbfb,
    0xffb488ac,
    0xff741c43,
    0xff815477,
    0xffb7badf,
    0xffbad5f9,
    0xffc3d3f8,
    0xffc6abca,
    0xff7c253d,
    0xff96132a,
    0xff9d212b,
    0xff9e0f24,
    0xff90041e,
    0xff7c051f,
    0xff830623,
    0xff910020,
    0xff870415,
    0xff670809,
    0xff6e1641,
    0xffb8afe4,
    0xffb3ccff,
    0xffb8cdf3,
    0xffaad1eb,
    0xffabcffa,
    0xffb3cafd,
    0xffacd0ef,
    0xffaecff3,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef5,
    0xffaecef5,
    0xffaecef5,
    0xffadcdf4,
    0xffafcff6,
    0xffadcdf4,
    0xffaecef5,
    0xffacccf3,
    0xffacccf3,
    0xffadcdf4,
    0xffaecef5,
    0xffabcbf2,
    0xffabcbf2,
    0xffaccdf4,
    0xffaccdf3,
    0xffaccdf4,
    0xffafcbf4,
    0xffafcbf4,
    0xffaccdf4,
    0xffadcdf4,
    0xffadcdf4,
    0xffadccf4,
    0xffabcef4,
    0xffabcef3,
    0xffadccf6,
    0xffadcdf6,
    0xffabcbf4,
    0xffabcbf4,
    0xffacccf5,
    0xffacccf5,
    0xffacccf5,
    0xffaacaf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffaccdf6,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf4,
    0xffabccf7,
    0xffabccf7,
    0xffaacbf6,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa6c7f2,
    0xffa7c8f3,
    0xffa7c8f3,
    0xffa8c9f3,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f2,
    0xffa4c4f5,
    0xffa2c5f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xff9fc1f1,
    0xffa1c3f3,
    0xffa1c3f0,
    0xffa1c3f0,
    0xff9fc1f2,
    0xff9fc1f1,
    0xff9fc4f6,
    0xff9cc0f2,
    0xff9cc0f5,
    0xff9dc0f4,
    0xff9abef2,
    0xff9abef2,
    0xff99bdf1,
    0xff99bdf1,
    0xff9abef2,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f6,
    0xff9cc1f6,
    0xff9cc1f6,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc0f5,
    0xff9cc2f2,
    0xff9ac1f1,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff2,
    0xff98bdf4,
    0xff98bdf4,
    0xff98bdf4,
    0xff98bef4,
    0xff97bbf6,
    0xff98bcf6,
    0xff95b9f3,
    0xff96b9f3,
    0xff93bbf4,
    0xff94bbf4,
    0xff93baf3,
    0xff94bbf4,
    0xff94bbf4,
    0xff93baf3,
    0xff91b8f1,
    0xff90b7f0,
    0xff93b7f1,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff92b9f2,
    0xff93baf3,
    0xff91b8f0,
    0xff93baf3,
    0xff93baf5,
    0xff92b9f4,
    0xff90b7f2,
    0xff8eb5f0,
    0xff90b7f2,
    0xff90b7f2,
    0xff90b7f2,
    0xff90b6f1,
    0xff90b8f3,
    0xff8db5ef,
    0xff8bb3f0,
    0xff8db5f2,
    0xff8cb4f1,
    0xff8ab4f0,
    0xff8ab3f2,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff89b2f0,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff89b2f0,
    0xff8bb4f1,
    0xff8cb5f2,
    0xff8cb5f2,
    0xff8cb5f3,
    0xff89b2f0,
    0xff8bb4f1,
    0xff8bb4f1,
    0xff8ab3f1,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff88b1f1,
    0xff87b0f0,
    0xff86afef,
    0xff88b1f1,
    0xff88b1f1,
    0xff88b1f1,
    0xff86afef,
    0xff88b1f1,
    0xff88b1f1,
    0xff88b1f1,
    0xff86afef,
    0xff87b0f0,
    0xff87afef,
    0xff87afef,
    0xff85b1f3,
    0xff84b0f1,
    0xff83b0f0,
    0xff83aef2,
    0xff83aef2,
    0xff83aef2,
    0xff83aef2,
    0xff84aff2,
    0xff7daef1,
    0xff7daef1,
    0xff7daef1,
    0xff7cadef,
    0xff7bacf1,
    0xff7daef3,
    0xff7eaff4,
    0xff7eaff4,
    0xff7daef3,
    0xff7cadf2,
    0xff7cadf2,
    0xff79aaef,
    0xff79abf0,
    0xff7aacf1,
    0xff7aacf1,
    0xff7aacf1,
    0xff78aaf1,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff76a8ef,
    0xff76a8ef,
    0xff76a8ef,
    0xff76a8f1,
    0xff77a9f2,
    0xff79abf4,
    0xff77a9f2,
    0xff77a9f4,
    0xff77afe5,
    0xff4f7d9a,
    0xff1a4b66,
    0xff3a6e73,
    0xff29564b,
    0xff0c373b,
    0xff134241,
    0xff0a2b2d,
    0xff194347,
    0xff063261,
    0xff4174b2,
    0xff2e6594,
    0xff285a5c,
    0xff03252c,
    0xff00253e,
    0xff5f8fc6,
    0xff75b0fa,
    0xff68a0ed,
    0xff6ba3f0,
    0xff6ca3f1,
    0xff6ea3f0,
    0xff6ea2f3,
    0xff6ca3f3,
    0xff6ba1f1,
    0xff69a2f1,
    0xff669fed,
    0xff669fee,
    0xff65a0ee,
    0xff66a1ef,
    0xff67a2f0,
    0xff67a2f0,
    0xff6aa5f3,
    0xff67a2ee,
    0xff65a0eb,
    0xff65a0ee,
    0xff65a0ee,
    0xff65a0f0,
    0xff659ff1,
    0xff639def,
    0xff639eef,
    0xff659cef,
    0xff649cef,
    0xff659df0,
    0xff649cef,
    0xff629dee,
    0xff629cee,
    0xff649ef0,
    0xff649ef0,
    0xff609dec,
    0xff619eef,
    0xff619eee,
    0xff619ef1,
    0xff609df0,
    0xff609cf3,
    0xff5f9bf1,
    0xff5d99ef,
    0xff5c98ee,
    0xff5d99ef,
    0xff5c98ee,
    0xff5b97ed,
    0xff5c98ee,
    0xff5c97ee,
    0xff5c97ee,
    0xff5b97ec,
    0xff5798ef,
    0xff5699ef,
    0xff5799ef,
    0xff5597ed,
    0xff5799ef,
    0xff5496ed,
    0xff5496ed,
    0xff5699f0,
    0xff5797ef,
    0xff5392ea,
    0xff5194ea,
    0xff5393ee,
    0xff5394ee,
    0xff5393ee,
    0xff5195ee,
    0xff5295ee,
    0xff4f90ea,
    0xff5293ed,
    0xff5192ec,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff5192ee,
    0xff5192ee,
    0xff5192ee,
    0xff5192ee,
    0xff4f90ec,
    0xff5091ed,
    0xff5091ed,
    0xff5091ed,
    0xff4e8feb,
    0xff4e8feb,
    0xff5091ef,
    0xff4d8fed,
    0xff4d8fed,
    0xff4b91ed,
    0xff4c91f0,
    0xff4b91f0,
    0xff4e8ff0,
    0xff4e90f0,
    0xff4e8fef,
    0xff4a8fee,
    0xff4b8fef,
    0xff4a8fee,
    0xff4a8fee,
    0xff4a91ef,
    0xff4990eb,
    0xff256bb4,
    0xff4789d2,
    0xff4482c1,
    0xff3c79ac,
    0xff1e5186,
    0xff052e5a,
    0xff001f3f,
    0xff082c2d,
    0xff274e48,
    0xff00221f,
    0xff001f24,
    0xff234455,
    0xff052334,
    0xff04272b,
    0xff072e22,
    0xff274f31,
    0xff24492e,
    0xff13341f,
    0xff1a3424,
    0xff0a2413,
    0xff092715,
    0xff143820,
    0xff1f4528,
    0xff365535,
    0xff25492c,
    0xff042a0e,
    0xff325039,
    0xff2b3a28,
    0xff1c2517,
    0xff041209,
    0xff031914,
    0xff03160e,
    0xff021b0e,
    0xff072918,
    0xff0b2f25,
    0xff04222d,
    0xff052249,
    0xff1b3e7e,
    0xff0f3b87,
    0xff0f357b,
    0xff0d2f5d,
    0xff062332,
    0xff062520,
    0xff03201d,
    0xff00151c,
    0xff011b1d,
    0xff1d3528,
    0xff0a2511,
    0xff011b0e,
    0xff031413,
    0xff2e3632,
    0xff1b2917,
    0xff264a28,
    0xff2b5031,
    0xff1d3520,
    0xff29492f,
    0xff17341e,
    0xff03190c,
    0xff001109,
    0xff031111,
    0xff021012,
    0xff001111,
    0xff011010,
    0xffaf2324,
    0xffae2a28,
    0xffac2928,
    0xffbc3131,
    0xffca3235,
    0xffd43638,
    0xffd23c34,
    0xffcd3f34,
    0xffce3c35,
    0xffc33729,
    0xffc63e2b,
    0xffc54329,
    0xffc8462b,
    0xffd24931,
    0xffcf3f2c,
    0xffcd3728,
    0xffc9382b,
    0xffb32827,
    0xff9d1f27,
    0xff911128,
    0xff871036,
    0xff9f5d85,
    0xffcea3ce,
    0xffa5548a,
    0xff781f42,
    0xffa03f5c,
    0xffa94f5d,
    0xff620016,
    0xff6a000f,
    0xff822f59,
    0xff9b59a3,
    0xff681a30,
    0xff730017,
    0xff73001b,
    0xff700011,
    0xff5f0b18,
    0xff66101c,
    0xff760816,
    0xff6d0015,
    0xff6d0111,
    0xff630610,
    0xff680b14,
    0xff6b0a15,
    0xff69020f,
    0xff700513,
    0xff710313,
    0xff720212,
    0xff700111,
    0xff6d0310,
    0xff700517,
    0xff6a0018,
    0xff6e0519,
    0xff700a18,
    0xff7b101b,
    0xff7e0e1c,
    0xff800a1d,
    0xff72090e,
    0xff740d10,
    0xff6f0a10,
    0xff740c16,
    0xff7b101a,
    0xff7e141c,
    0xff6e070c,
    0xff630102,
    0xff70140a,
    0xff7b1516,
    0xff81171c,
    0xff7d1b1a,
    0xff721516,
    0xff781317,
    0xff87171c,
    0xff90161a,
    0xffa41929,
    0xff9e3043,
    0xffe797b5,
    0xffe9bded,
    0xff7c1f60,
    0xffaa0022,
    0xffa51313,
    0xff8d283b,
    0xff81445a,
    0xff562a2e,
    0xff3c221f,
    0xff2a1c2b,
    0xff282952,
    0xff8fa1d2,
    0xffb9d6ff,
    0xffb1d7fb,
    0xffb2cff4,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb3cff5,
    0xffb2cef3,
    0xffb3cff4,
    0xffb3cff5,
    0xffb4d0f5,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb3d1f5,
    0xffb1cff3,
    0xffb1cff3,
    0xffb3d1f5,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb0cef2,
    0xffadcbef,
    0xffb2d0f6,
    0xffb0cef4,
    0xffb1cff4,
    0xffafcdf3,
    0xffafcdf3,
    0xffb1cff5,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffafcdf3,
    0xffb0cef4,
    0xffb0cef3,
    0xffb0ccf5,
    0xffafccf4,
    0xffafccf4,
    0xffb0cdf4,
    0xffafccf3,
    0xffb1cef6,
    0xffb1cdf6,
    0xffb1cdf6,
    0xffb1cdf6,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0ccf5,
    0xffb3d1f7,
    0xffafcdf3,
    0xffb3d1f7,
    0xffb3d1f7,
    0xffafcdf3,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef1,
    0xffb0cef2,
    0xffafcef2,
    0xffb2cef3,
    0xffb2cbf4,
    0xffb4cbf5,
    0xffb5cef8,
    0xffc2d3f7,
    0xffc591c3,
    0xff823674,
    0xffbfa7e2,
    0xffbbcffc,
    0xffccd1f7,
    0xffc7b6e0,
    0xffc2b6eb,
    0xffbbcdf6,
    0xffafd3ee,
    0xffafd0ec,
    0xffb9caef,
    0xffb6c7f5,
    0xffaacef7,
    0xffaecdf2,
    0xffcad4fa,
    0xffa48dc2,
    0xffa8b0dd,
    0xffb6d0fb,
    0xffb6caf7,
    0xffb1cff4,
    0xffb6dbf8,
    0xffa9a1c7,
    0xffa2578e,
    0xffa63d62,
    0xff9e204a,
    0xff6f012d,
    0xffac658f,
    0xffc178a9,
    0xff800f45,
    0xff7d001f,
    0xff6f060c,
    0xff904e79,
    0xffc5c7fb,
    0xffacc9fd,
    0xffb4cbf5,
    0xffacd0ee,
    0xffaacdf7,
    0xffb3c8f8,
    0xffaecfef,
    0xffaccdf2,
    0xffacccf2,
    0xffacccf2,
    0xffacccf2,
    0xffacccf2,
    0xffacccf2,
    0xffacccf2,
    0xffacccf2,
    0xffaecef5,
    0xffaecef5,
    0xffaecef5,
    0xffaecef5,
    0xffadcdf4,
    0xffaecef5,
    0xffaecef5,
    0xffadccf3,
    0xffabcbf2,
    0xffacccf3,
    0xffadccf3,
    0xffadcdf4,
    0xffacccf3,
    0xffadccf4,
    0xffadccf3,
    0xffacccf3,
    0xffafcbf4,
    0xffaccdf4,
    0xffadcdf4,
    0xffadcdf4,
    0xffadccf4,
    0xffadccf4,
    0xffabcef4,
    0xffabcef3,
    0xffadccf6,
    0xffadcdf6,
    0xffadcdf6,
    0xffacccf5,
    0xffacccf5,
    0xffabcbf5,
    0xffacccf5,
    0xffabcbf4,
    0xffaaccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa9caf5,
    0xffa9caf5,
    0xffaacbf6,
    0xffaacbf6,
    0xffaacbf6,
    0xffa8c9f5,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf5,
    0xffaacbf6,
    0xffa7c8f3,
    0xffa7c8f2,
    0xffa9caf8,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa8c7f7,
    0xffa8c8f7,
    0xffa6c6f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa5c5f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa8c9f5,
    0xffa5c6f3,
    0xffa4c5f2,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa2c2f1,
    0xffa2c2f4,
    0xffa2c5f2,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa0c2f0,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa2c4f4,
    0xffa2c4f4,
    0xff9fc1f1,
    0xffa1c3f3,
    0xffa1c3f0,
    0xffa1c3f0,
    0xff9fc1f1,
    0xffa1c3f3,
    0xffa0c1f4,
    0xff9bc0f2,
    0xff9cc0f1,
    0xff9bc0f4,
    0xffa1c1f6,
    0xff9ec2f6,
    0xff9dc1f5,
    0xff9dc1f5,
    0xff9cc0f4,
    0xff9bc1f5,
    0xff9cc2f6,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc0f5,
    0xff9cc2f2,
    0xff9ac1f1,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff4,
    0xff98bdf5,
    0xff99bef5,
    0xff99bef5,
    0xff97bdf3,
    0xff98bbf6,
    0xff96baf4,
    0xff96baf4,
    0xff94bcf5,
    0xff93bbf4,
    0xff92b9f2,
    0xff93bbf4,
    0xff93baf3,
    0xff92b9f2,
    0xff93baf3,
    0xff93bbf3,
    0xff95b8f2,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff92baf2,
    0xff94bbf4,
    0xff90b7f0,
    0xff92b9f1,
    0xff91b8f3,
    0xff92b9f4,
    0xff90b7f2,
    0xff90b7f2,
    0xff90b7f2,
    0xff90b7f2,
    0xff90b7f2,
    0xff90b7f2,
    0xff90b6f1,
    0xff8db5f0,
    0xff8eb6f0,
    0xff8eb6f3,
    0xff8fb6f3,
    0xff8cb7f2,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8bb4f2,
    0xff8ab3f2,
    0xff8bb3f2,
    0xff8ab3f2,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff89b2f0,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8db6f6,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff88b1f1,
    0xff87b0f0,
    0xff89b2f2,
    0xff8ab3f3,
    0xff89b2f2,
    0xff86afef,
    0xff86afef,
    0xff86afef,
    0xff87afef,
    0xff83b0f1,
    0xff83aff0,
    0xff85b1f2,
    0xff85b1f1,
    0xff84aff4,
    0xff84aff3,
    0xff84aff3,
    0xff84b0f3,
    0xff81b0f3,
    0xff7fb0f1,
    0xff80aff3,
    0xff7eadf1,
    0xff7cabef,
    0xff7dacf0,
    0xff7dacf2,
    0xff7dabf2,
    0xff7bacf1,
    0xff7bacf1,
    0xff7cadf2,
    0xff7aabf0,
    0xff79abf0,
    0xff7badf2,
    0xff7aacf1,
    0xff7caef3,
    0xff77aaf1,
    0xff78aaf1,
    0xff7aacf3,
    0xff7aacf3,
    0xff7aacf3,
    0xff7aacf3,
    0xff7aacf3,
    0xff79abf2,
    0xff77a9f0,
    0xff77a9f0,
    0xff77a9f0,
    0xff77a9f2,
    0xff78aaf3,
    0xff75a7f0,
    0xff77a9f2,
    0xff79acf5,
    0xff69a5e0,
    0xff497aaf,
    0xff2a5d95,
    0xff427d96,
    0xff477979,
    0xff21505e,
    0xff053443,
    0xff1d3d42,
    0xff002f3f,
    0xff4c84ca,
    0xff5f9ce9,
    0xff316797,
    0xff11424b,
    0xff002552,
    0xff2c5e9f,
    0xff7ab0fb,
    0xff69a1eb,
    0xff6da2f1,
    0xff6c9fee,
    0xff70a1f0,
    0xff71a2f1,
    0xff70a1f0,
    0xff70a1f0,
    0xff6da1f2,
    0xff6ca4f5,
    0xff69a3f2,
    0xff6aa4f2,
    0xff6aa3f2,
    0xff69a2f1,
    0xff68a4f1,
    0xff67a2f0,
    0xff69a4f2,
    0xff65a0ee,
    0xff639eec,
    0xff65a0f1,
    0xff65a0f0,
    0xff65a0f0,
    0xff659ef1,
    0xff639def,
    0xff639ef0,
    0xff659cef,
    0xff659df0,
    0xff649cef,
    0xff639bee,
    0xff639def,
    0xff629cee,
    0xff649ef0,
    0xff649ef0,
    0xff629ff0,
    0xff629ff0,
    0xff629fef,
    0xff619ef1,
    0xff63a0f3,
    0xff629ff1,
    0xff609bf2,
    0xff5d99f0,
    0xff5c98ee,
    0xff5c98ef,
    0xff5d99f0,
    0xff5c98ee,
    0xff5b97ed,
    0xff5c98ee,
    0xff5c98ee,
    0xff5b98ed,
    0xff5697eb,
    0xff5899ec,
    0xff5897ef,
    0xff5898ef,
    0xff5696ed,
    0xff5796ed,
    0xff5797f0,
    0xff5897f0,
    0xff5393eb,
    0xff5595ed,
    0xff5695ee,
    0xff5295eb,
    0xff5293ee,
    0xff5293ed,
    0xff5393ed,
    0xff5393ed,
    0xff5495ef,
    0xff5394ee,
    0xff5394ee,
    0xff5192ec,
    0xff5091eb,
    0xff5091eb,
    0xff5091eb,
    0xff5192eb,
    0xff4f90ed,
    0xff4f90ec,
    0xff4f90ec,
    0xff4f90ec,
    0xff5091ed,
    0xff4f90ed,
    0xff4f90ed,
    0xff5091ed,
    0xff5091ed,
    0xff4e8feb,
    0xff5091ec,
    0xff4e90ef,
    0xff4e8fee,
    0xff4b91ee,
    0xff4b91ed,
    0xff4b90ec,
    0xff4e8ff0,
    0xff4e90f0,
    0xff4e8ff0,
    0xff4b91f0,
    0xff4b90ef,
    0xff4b90ef,
    0xff4b90ef,
    0xff498fed,
    0xff4590e4,
    0xff2d74bc,
    0xff3279a6,
    0xff3076a0,
    0xff1f6199,
    0xff3b79ae,
    0xff5c94bf,
    0xff4d809d,
    0xff1e4f41,
    0xff154332,
    0xff1a4639,
    0xff0c322f,
    0xff001e24,
    0xff001820,
    0xff082b28,
    0xff001506,
    0xff1c4527,
    0xff12391d,
    0xff1a3b25,
    0xff223d2e,
    0xff0c2417,
    0xff0a2417,
    0xff021e10,
    0xff042213,
    0xff042808,
    0xff214628,
    0xff173a21,
    0xff162d1a,
    0xff303b2e,
    0xff30362f,
    0xff17201e,
    0xff001011,
    0xff000f0e,
    0xff00130e,
    0xff022117,
    0xff1c3f3a,
    0xff001b26,
    0xff133a5a,
    0xff205387,
    0xff3773b2,
    0xff01387e,
    0xff174d77,
    0xff002536,
    0xff012d3c,
    0xff082f46,
    0xff0c2d3a,
    0xff0f2c26,
    0xff0d2812,
    0xff0c2214,
    0xff00180f,
    0xff011210,
    0xff3a3f3d,
    0xff182416,
    0xff1b3a20,
    0xff04230b,
    0xff0d2413,
    0xff0c2816,
    0xff071f11,
    0xff001206,
    0xff00110a,
    0xff000c0d,
    0xff011010,
    0xff000b0f,
    0xff031116,
    0xffbb2f34,
    0xffc5383e,
    0xffbe2d32,
    0xffbd2127,
    0xffbe191f,
    0xffc62221,
    0xffc52b24,
    0xffc8392c,
    0xffcd3229,
    0xffc73625,
    0xffc64126,
    0xffc94d2b,
    0xffd75c3a,
    0xffcc4a2f,
    0xffc83c2a,
    0xffba291c,
    0xffac2115,
    0xffa31820,
    0xff881620,
    0xff7e111c,
    0xff740d2a,
    0xffa681ac,
    0xffc8d8ff,
    0xffd7ceff,
    0xffd1b9ec,
    0xff844064,
    0xff832d2a,
    0xff7f1f3a,
    0xff772353,
    0xffb599d2,
    0xffb2a4f4,
    0xff682946,
    0xff570020,
    0xff620530,
    0xff690d23,
    0xff64202e,
    0xff66242e,
    0xff691018,
    0xff630415,
    0xff6c010d,
    0xff63020e,
    0xff63010d,
    0xff690511,
    0xff6c0311,
    0xff6e0210,
    0xff700010,
    0xff6c000e,
    0xff6f000f,
    0xff71000c,
    0xff700411,
    0xff6f0712,
    0xff700611,
    0xff770412,
    0xff800b18,
    0xff83141e,
    0xff7e171c,
    0xff791515,
    0xff771316,
    0xff700e12,
    0xff670109,
    0xff720910,
    0xff7d1216,
    0xff7e181a,
    0xff6c0e0d,
    0xff510c06,
    0xff781526,
    0xff811427,
    0xff7b2021,
    0xff721c19,
    0xff770e1e,
    0xff800e1f,
    0xff831318,
    0xff87111b,
    0xff9f222d,
    0xffb32c4b,
    0xffd8a2d0,
    0xffedc2f7,
    0xff8b1b44,
    0xffc8677e,
    0xffe7a1cf,
    0xff63315b,
    0xff3d2233,
    0xff312022,
    0xff281e39,
    0xff7a88c0,
    0xffb2d1ff,
    0xffb5d2f5,
    0xffb5cdf6,
    0xffb4d1f4,
    0xffb2d1f5,
    0xffb2d1f5,
    0xffb2d0f4,
    0xffb1cff3,
    0xffb2d1f5,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb3cff4,
    0xffb4d0f5,
    0xffb4d0f5,
    0xffb3cef4,
    0xffb2d1f4,
    0xffafcdf1,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb2d1f5,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb2d1f5,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb0cef2,
    0xffafcef1,
    0xffafcdf5,
    0xffb0cdf5,
    0xffb1cef7,
    0xffb0cdf6,
    0xffb0cdf6,
    0xffb1cef7,
    0xffb3d0f8,
    0xffb3d0f8,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcdf3,
    0xffafcef3,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb0cdf5,
    0xffb1cff4,
    0xffb1cff4,
    0xffb1cff4,
    0xffb1cff4,
    0xffb0cff4,
    0xffb0cff4,
    0xffb1cff5,
    0xffb0cef4,
    0xffb3d1f7,
    0xffb2d0f6,
    0xffaeccf2,
    0xffb1cff5,
    0xffb4d2f8,
    0xffb2d0f6,
    0xffb0cef5,
    0xffb0cef5,
    0xffb2cff3,
    0xffb2cff3,
    0xffb2cff4,
    0xffb2cff1,
    0xffb1cff3,
    0xffb1cef1,
    0xffb0cef4,
    0xffb3cef8,
    0xffbfccef,
    0xffcfccf7,
    0xffbca9dc,
    0xffbbabe1,
    0xffc2cdf9,
    0xffb0d0f6,
    0xffb4cef5,
    0xffc4ccf9,
    0xffb9cef9,
    0xffaacfee,
    0xffadd4ee,
    0xffb5ccee,
    0xffb9caf7,
    0xffaccdf7,
    0xffa9d2fa,
    0xffabd2f7,
    0xffb6d8ff,
    0xffaecbf4,
    0xffbcccf8,
    0xffbdc6f2,
    0xffb5ccf2,
    0xffabd2f2,
    0xffaec8ee,
    0xffcdcdfc,
    0xffd5c5ec,
    0xffbb8fc3,
    0xff693e78,
    0xffbfb5ec,
    0xffcaceff,
    0xffba9ad3,
    0xff893f71,
    0xff560028,
    0xff94709c,
    0xffb8c5f7,
    0xffaeceff,
    0xffb0caf3,
    0xffaecff3,
    0xffacccf7,
    0xffb3c9f7,
    0xffb1cef0,
    0xffadcdf5,
    0xffadcdf4,
    0xffadcdf4,
    0xffadcdf4,
    0xffacccf3,
    0xffaccdf4,
    0xffaccdf4,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffaecef5,
    0xffaecdf5,
    0xffaccff5,
    0xffadcff5,
    0xffaaccf2,
    0xffaaccf2,
    0xffabcef4,
    0xffabcef3,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffacccf3,
    0xffadcdf4,
    0xffadcdf4,
    0xffadccf3,
    0xffabcef4,
    0xffabcef4,
    0xffaccef4,
    0xffabcef4,
    0xffadccf3,
    0xffadccf3,
    0xffadccf3,
    0xffadcdf3,
    0xffaccbf2,
    0xffaccbf2,
    0xffacccf3,
    0xffacccf3,
    0xffaccdf6,
    0xffaccdf6,
    0xffabccf5,
    0xffabcbf5,
    0xffabcbf5,
    0xffabcbf5,
    0xffabcbf5,
    0xffaacbf5,
    0xffaccdf6,
    0xffaacbf4,
    0xffabccf5,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa7c8f1,
    0xffa9caf2,
    0xffa8c9f1,
    0xffa9caf5,
    0xffa7c8f3,
    0xffa8c9f4,
    0xffa7c8f3,
    0xffa8c9f7,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa7c9f6,
    0xffa7c8f5,
    0xffa6c8f4,
    0xffa6c8f5,
    0xffa5c6f3,
    0xffa5c7f3,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa6c6f6,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c4f6,
    0xffa3c3f2,
    0xffa4c3f2,
    0xffa3c3f2,
    0xffa4c3f3,
    0xffa4c3f3,
    0xffa4c3f3,
    0xffa4c3f3,
    0xffa4c3f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa0c2f0,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa2c4f4,
    0xffa2c4f4,
    0xff9fc1f1,
    0xffa1c3f3,
    0xffa0c2f0,
    0xffa0c2f3,
    0xffa1c3f3,
    0xffa1c3f2,
    0xffa2c2f6,
    0xff9fc0f3,
    0xffa0c1f4,
    0xffa0c1f3,
    0xff9fc0f5,
    0xff9fc0f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9dc1f5,
    0xff9bbff3,
    0xff99bdf1,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9cc0f5,
    0xff9cc2f2,
    0xff9cc2f2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff99bef2,
    0xff9abff5,
    0xff98bdf1,
    0xff97bcf1,
    0xff99bef2,
    0xff97bcf4,
    0xff98bdf4,
    0xff97bcf3,
    0xff99bef4,
    0xff97baf5,
    0xff96b9f3,
    0xff94b8f2,
    0xff96b9f4,
    0xff95b9f3,
    0xff96baf4,
    0xff96b9f4,
    0xff96b9f4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff93baf3,
    0xff93baf3,
    0xff8fb6ef,
    0xff91b8f1,
    0xff92b9f1,
    0xff91b8f3,
    0xff92b9f5,
    0xff92b9f4,
    0xff8fb6f1,
    0xff8fb6f2,
    0xff8fb6f2,
    0xff8fb6f2,
    0xff8fb6f1,
    0xff91b8f3,
    0xff90b7f2,
    0xff8cb4ef,
    0xff8eb6f0,
    0xff8fb7f4,
    0xff8db4f1,
    0xff8bb2ef,
    0xff8ab5f1,
    0xff8eb8f4,
    0xff8ab4f0,
    0xff8ab4ef,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8cb6f2,
    0xff8cb7f2,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f1,
    0xff88b1f1,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff88b1f1,
    0xff89b2f2,
    0xff88b1f1,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff87b0f0,
    0xff88b1f1,
    0xff88b1f1,
    0xff88b1f0,
    0xff89b1f4,
    0xff88b0f3,
    0xff85aef0,
    0xff85adf0,
    0xff86aff0,
    0xff86aef3,
    0xff86aef3,
    0xff86aff3,
    0xff83b0f3,
    0xff81aef1,
    0xff7faff1,
    0xff7daeef,
    0xff7dacf0,
    0xff7dacf0,
    0xff7eadf1,
    0xff80aff2,
    0xff7eadf3,
    0xff7daef3,
    0xff7caef3,
    0xff7cadf2,
    0xff7bacf1,
    0xff7aadf2,
    0xff7aadf2,
    0xff7badf1,
    0xff7aa9f2,
    0xff7baaf3,
    0xff7baaf3,
    0xff7baaf3,
    0xff78aaf1,
    0xff7aacf3,
    0xff7aacf3,
    0xff7aacf3,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf1,
    0xff78aaf1,
    0xff79abf1,
    0xff77a9f2,
    0xff7bacf5,
    0xff71a4ed,
    0xff70a8ec,
    0xff6998da,
    0xff3668ab,
    0xff68a2cb,
    0xff376c72,
    0xff01343a,
    0xff316168,
    0xff143439,
    0xff184c70,
    0xff3d80c9,
    0xff5e9fe4,
    0xff326690,
    0xff0b3650,
    0xff0f4084,
    0xff538ddf,
    0xff73aafe,
    0xff73abf8,
    0xff699fed,
    0xff72a4f3,
    0xff6fa1f0,
    0xff6fa0ef,
    0xff70a1f1,
    0xff71a1f1,
    0xff6ea1ef,
    0xff6aa3ef,
    0xff6ca4f0,
    0xff6da3f4,
    0xff6aa3f2,
    0xff69a2f1,
    0xff69a2f1,
    0xff679fef,
    0xff669fee,
    0xff68a3f3,
    0xff65a0f1,
    0xff66a1f1,
    0xff65a0f0,
    0xff649ef1,
    0xff659ef1,
    0xff639def,
    0xff639def,
    0xff659df0,
    0xff649cef,
    0xff659cef,
    0xff639ef0,
    0xff649ef0,
    0xff629cee,
    0xff649ef0,
    0xff629cee,
    0xff609dee,
    0xff619eef,
    0xff619ff0,
    0xff619fef,
    0xff609ef1,
    0xff619ef1,
    0xff609df0,
    0xff5e9cee,
    0xff5c9aec,
    0xff5e9bee,
    0xff5d9bed,
    0xff5d99f0,
    0xff5b97ed,
    0xff5c98ee,
    0xff5c97ee,
    0xff5b97ec,
    0xff5797eb,
    0xff5799ed,
    0xff5799ec,
    0xff5797ef,
    0xff5898ef,
    0xff5898ef,
    0xff5696ed,
    0xff5797ee,
    0xff5494ed,
    0xff5696ee,
    0xff5595ed,
    0xff5291ea,
    0xff5396ec,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5192ec,
    0xff5293ed,
    0xff5394ee,
    0xff5495ef,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5293ed,
    0xff5192ec,
    0xff5192ec,
    0xff5192ec,
    0xff5192ec,
    0xff5192eb,
    0xff5192eb,
    0xff5192ec,
    0xff5192eb,
    0xff5293ef,
    0xff4f90ec,
    0xff5091ed,
    0xff5091ec,
    0xff4d8fee,
    0xff4e8fed,
    0xff4e8fee,
    0xff498fec,
    0xff4e8fed,
    0xff4d8fed,
    0xff4d8fed,
    0xff4e8fed,
    0xff4b91ed,
    0xff4c91ed,
    0xff4b90ed,
    0xff488de9,
    0xff4c98eb,
    0xff5899ea,
    0xff26617a,
    0xff003241,
    0xff376581,
    0xff02343e,
    0xff093d42,
    0xff1f5852,
    0xff1b4a37,
    0xff34654a,
    0xff265433,
    0xff346241,
    0xff2c573c,
    0xff2a553c,
    0xff1f4831,
    0xff2a5239,
    0xff3b6745,
    0xff103919,
    0xff12361c,
    0xff0d2c18,
    0xff0c2818,
    0xff011a0d,
    0xff041d13,
    0xff082216,
    0xff0b2c0e,
    0xff143a1a,
    0xff184024,
    0xff0e3117,
    0xff011b02,
    0xff1b2a15,
    0xff222c20,
    0xff08100a,
    0xff071216,
    0xff041317,
    0xff021318,
    0xff05161f,
    0xff0e1f2a,
    0xff001620,
    0xff00212a,
    0xff003137,
    0xff034048,
    0xff2f6b5f,
    0xff2d655a,
    0xff48778a,
    0xff1d476a,
    0xff0f3344,
    0xff133326,
    0xff052002,
    0xff0a1f17,
    0xff021715,
    0xff011211,
    0xff3e4241,
    0xff0d140b,
    0xff0a210d,
    0xff04200b,
    0xff04160a,
    0xff051c0f,
    0xff091f13,
    0xff11251c,
    0xff01110b,
    0xff000f0c,
    0xff000d0e,
    0xff020c10,
    0xff010b11,
    0xffbe2236,
    0xffba1129,
    0xffc50f29,
    0xffcd112b,
    0xffc31024,
    0xffbe1720,
    0xffbd1f22,
    0xffbe2322,
    0xffc12522,
    0xffc13026,
    0xffc33f2d,
    0xffbf4b34,
    0xffb3432c,
    0xffaa3728,
    0xff9a221d,
    0xff971718,
    0xff881412,
    0xff8d0a1c,
    0xff7a1019,
    0xff721412,
    0xff760b1d,
    0xff73355e,
    0xffbcc2f5,
    0xffbad0ff,
    0xffc0b9f8,
    0xff63154c,
    0xff963b3f,
    0xffac678e,
    0xffb68ad0,
    0xffc7c3fe,
    0xff7d73bf,
    0xff450c44,
    0xff9583b1,
    0xffab97c0,
    0xff69354e,
    0xff692640,
    0xff621a30,
    0xff5d131e,
    0xff530817,
    0xff64040d,
    0xff68000e,
    0xff6c0111,
    0xff700414,
    0xff6c000f,
    0xff6d0011,
    0xff6d0110,
    0xff6b010f,
    0xff6b000f,
    0xff700313,
    0xff72010c,
    0xff760309,
    0xff7b0510,
    0xff76010e,
    0xff80101b,
    0xff7b1415,
    0xff7a1c13,
    0xff741512,
    0xff741517,
    0xff741018,
    0xff730c12,
    0xff7b1315,
    0xff6f070a,
    0xff730f12,
    0xff70161b,
    0xff480c10,
    0xff550b1b,
    0xff6c1120,
    0xff6c0c0b,
    0xff6b0f09,
    0xff67050d,
    0xff720918,
    0xff73080e,
    0xff810f17,
    0xff7d0a08,
    0xffa9233f,
    0xffb57da6,
    0xffb4a6d0,
    0xff9e619b,
    0xffc694d0,
    0xff5c4074,
    0xff381533,
    0xff2f1c2b,
    0xff391925,
    0xff674263,
    0xffc7c7ff,
    0xffb1d0fb,
    0xffb8d0ef,
    0xffbacbfa,
    0xffb3cff4,
    0xffb0cef2,
    0xffb1cff3,
    0xffb3d1f5,
    0xffb2d0f4,
    0xffb3d1f5,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb7d1f6,
    0xffb5d1f7,
    0xffb4d0f5,
    0xffb6d2f7,
    0xffb4cff5,
    0xffb3d1f5,
    0xffb2d1f5,
    0xffb1cff3,
    0xffb3cff4,
    0xffb3cff4,
    0xffb3cff4,
    0xffb2cef3,
    0xffb4cff5,
    0xffb4cff5,
    0xffb3cff4,
    0xffb2cdf3,
    0xffb5d0f8,
    0xffb1cdf4,
    0xffb0ccf3,
    0xffb2cef5,
    0xffb2cef5,
    0xffb3cff5,
    0xffb3cff6,
    0xffb4d0f7,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffafcdf3,
    0xffb1cff4,
    0xffb1cdf6,
    0xffafccf4,
    0xffafccf4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffafcdf3,
    0xffb0cef5,
    0xffb2d0f4,
    0xffb1cff3,
    0xffb2d0f4,
    0xffb4d2f6,
    0xffafcdf1,
    0xffb1cff3,
    0xffb1cff3,
    0xffb1cef2,
    0xffb2d3f6,
    0xffb2d4f7,
    0xffb4d5f6,
    0xffb1d3f4,
    0xffb1d3f3,
    0xffadcff2,
    0xffaecef5,
    0xffafd0f6,
    0xffafd2f2,
    0xffb9d1f9,
    0xffbac8f3,
    0xffa7b9df,
    0xffadc9ea,
    0xffb3d4f7,
    0xffadd3f3,
    0xffacd3ee,
    0xffb9cdfe,
    0xffafd0f9,
    0xffa8d1f2,
    0xffb0d0f3,
    0xffb4cdf3,
    0xffb2cff5,
    0xffadd0f8,
    0xffaed1f8,
    0xffafd1ee,
    0xffb5cff0,
    0xffb5ccf2,
    0xffb2cdf4,
    0xffb0cff6,
    0xffb0ccf3,
    0xffb5d0f7,
    0xffb0cef2,
    0xffaad6f7,
    0xffb0c9f6,
    0xffb5b9f5,
    0xffbfc5fe,
    0xffb5c8f7,
    0xffc1d2ff,
    0xffc3bdf1,
    0xff896aa9,
    0xffa8a2d1,
    0xffb3caf8,
    0xffb1d0ff,
    0xffaecaf3,
    0xffadcdf3,
    0xffaeccf7,
    0xffb4cbf6,
    0xffb0cdf3,
    0xffaeccf3,
    0xffb0ccf5,
    0xffb0ccf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb1cef6,
    0xffafccf4,
    0xffb0cdf5,
    0xffadcef5,
    0xffafcff6,
    0xffaecdf5,
    0xffabcdf3,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffaacdf3,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffaecef5,
    0xffacccf3,
    0xffadccf3,
    0xffaccff4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaccef4,
    0xffa9ccf1,
    0xffaacdf2,
    0xffaaccf2,
    0xffabcdf3,
    0xffaccef4,
    0xffabcef3,
    0xffaccef3,
    0xffaaccf2,
    0xffabcdf2,
    0xffabcdf2,
    0xffaaccf2,
    0xffaaccf1,
    0xffaacbf5,
    0xffabcbf5,
    0xffaacbf5,
    0xffabccf5,
    0xffaacbf4,
    0xffa9caf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf6,
    0xffa9caf5,
    0xffa7c8f3,
    0xffa9caf5,
    0xffa8caf7,
    0xffabc9f5,
    0xffaac9f5,
    0xffaac9f4,
    0xffabc9f5,
    0xffa9c7f3,
    0xffa9c8f3,
    0xffa8c7f3,
    0xffa8c7f3,
    0xffa5c7f4,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa5c7f3,
    0xffa8c9f6,
    0xffa6c8f4,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa7c8f5,
    0xffa8c9f6,
    0xffa6c7f4,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f7,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa0c2f2,
    0xff9fc1f1,
    0xffa1c3f2,
    0xffa1c2f5,
    0xffa1c2f5,
    0xffa1c2f5,
    0xffa1c2f4,
    0xffa1c2f5,
    0xff9ebff2,
    0xffa0c1f4,
    0xff9cc1f2,
    0xff9bbff1,
    0xff9bbff1,
    0xff9dc1f2,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9cc2f2,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff99bef2,
    0xff9abff3,
    0xff9ec3f7,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff5,
    0xff98bdf2,
    0xff98bdf2,
    0xff96bbf0,
    0xff97bcf0,
    0xff97bcf3,
    0xff96bbf2,
    0xff99bdf7,
    0xff96baf4,
    0xff97bbf5,
    0xff97bbf5,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff91b9f2,
    0xff91b8f1,
    0xff91b8f1,
    0xff91b8f1,
    0xff92b9f2,
    0xff91b8f1,
    0xff91b8f1,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff90b7f0,
    0xff91b8f1,
    0xff91b8f0,
    0xff94bbf7,
    0xff90b7f3,
    0xff8fb6f1,
    0xff91b8f3,
    0xff8eb7f1,
    0xff8cb4f1,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8db7f3,
    0xff89b2f0,
    0xff8ab3f2,
    0xff8cb5f3,
    0xff8cb5f4,
    0xff8ab3f1,
    0xff8bb3f2,
    0xff8bb3f2,
    0xff8ab3f1,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0f0,
    0xff88b1f0,
    0xff87b0f0,
    0xff87b0f2,
    0xff86aff1,
    0xff88b1f3,
    0xff87b0f1,
    0xff85adf3,
    0xff85acf2,
    0xff83b0f0,
    0xff80aded,
    0xff81aef1,
    0xff80acf0,
    0xff80adf0,
    0xff7fb0f1,
    0xff7eadf2,
    0xff7eadf1,
    0xff80aff6,
    0xff80aff5,
    0xff7faef4,
    0xff7bacf1,
    0xff7bacf2,
    0xff7cacf2,
    0xff7cadf2,
    0xff79acf1,
    0xff7dadf2,
    0xff7dacf2,
    0xff7cadf2,
    0xff7cadf1,
    0xff7eaff3,
    0xff79abf0,
    0xff79abf0,
    0xff7aacf1,
    0xff78aaef,
    0xff79abf2,
    0xff79abf2,
    0xff79abf2,
    0xff78aaf1,
    0xff78aaf4,
    0xff77a9f2,
    0xff7daef7,
    0xff578ccc,
    0xff6a98c9,
    0xff6396c3,
    0xff4d83ab,
    0xff3c6a7b,
    0xff1b4a4c,
    0xff2b5761,
    0xff00192b,
    0xff144880,
    0xff2968b2,
    0xff2363a3,
    0xff124275,
    0xff24516e,
    0xff0e457b,
    0xff62a1e0,
    0xff72adf7,
    0xff68a1ee,
    0xff72aaf8,
    0xff6da5f2,
    0xff6ca2f0,
    0xff6ea2ee,
    0xff6fa3ef,
    0xff6fa3ef,
    0xff6ea3ee,
    0xff6ea7f4,
    0xff6aa3f0,
    0xff6ba4f0,
    0xff6ba3f0,
    0xff6aa0f1,
    0xff68a2f0,
    0xff68a1f0,
    0xff67a0ef,
    0xff66a1f2,
    0xff66a1f1,
    0xff66a1f2,
    0xff68a3f3,
    0xff66a1f1,
    0xff65a0f0,
    0xff649ef1,
    0xff649ff1,
    0xff659df0,
    0xff679ff2,
    0xff669df0,
    0xff649ef0,
    0xff659ff1,
    0xff639def,
    0xff66a0f2,
    0xff66a0f2,
    0xff649def,
    0xff649ef0,
    0xff629cee,
    0xff649df0,
    0xff659ef0,
    0xff639df2,
    0xff629bf0,
    0xff619aef,
    0xff619eef,
    0xff609df0,
    0xff5f9cf0,
    0xff5b99eb,
    0xff5c98ef,
    0xff5b97ed,
    0xff5d99ef,
    0xff5c98ee,
    0xff5997ec,
    0xff5a97ec,
    0xff5a97ed,
    0xff5a98ec,
    0xff5997ee,
    0xff5997ee,
    0xff5997ee,
    0xff5997ee,
    0xff5899f0,
    0xff5595ec,
    0xff5696ee,
    0xff5494ec,
    0xff5594ec,
    0xff5496ec,
    0xff5394ef,
    0xff5292ed,
    0xff5192ec,
    0xff5293ed,
    0xff5394ee,
    0xff5394ee,
    0xff5192ec,
    0xff5192ec,
    0xff5091eb,
    0xff5192ec,
    0xff5596f0,
    0xff5192ec,
    0xff5293ed,
    0xff5192ec,
    0xff5192ec,
    0xff5293ed,
    0xff4f90ea,
    0xff5192eb,
    0xff5192ee,
    0xff5091ed,
    0xff4f90ec,
    0xff4e8feb,
    0xff4f90ec,
    0xff4e91ef,
    0xff4f91ef,
    0xff5092f0,
    0xff4f90ee,
    0xff4e91ef,
    0xff4f91ef,
    0xff4f91ef,
    0xff4e8fed,
    0xff4b91ee,
    0xff4a8fec,
    0xff4a8fec,
    0xff4d92e6,
    0xff4680dc,
    0xff295b87,
    0xff123d57,
    0xff0f364e,
    0xff042d29,
    0xff143f31,
    0xff1c4531,
    0xff0d3423,
    0xff224a35,
    0xff2c5638,
    0xff25512d,
    0xff1e4b24,
    0xff1a451f,
    0xff396741,
    0xff406e47,
    0xff275631,
    0xff265531,
    0xff2e5637,
    0xff1a4224,
    0xff1d3f27,
    0xff193924,
    0xff021e0d,
    0xff001707,
    0xff07201b,
    0xff13332e,
    0xff204b44,
    0xff1b4a3d,
    0xff032b1d,
    0xff031f14,
    0xff2f3937,
    0xff101319,
    0xff0b1c16,
    0xff081d18,
    0xff021713,
    0xff071312,
    0xff050e10,
    0xff060f0f,
    0xff000e08,
    0xff032116,
    0xff245441,
    0xff10401b,
    0xff15431e,
    0xff184137,
    0xff0d333c,
    0xff062b2d,
    0xff133329,
    0xff051c11,
    0xff031512,
    0xff001912,
    0xff000c05,
    0xff313634,
    0xff181c14,
    0xff1c2d21,
    0xff00180c,
    0xff01140b,
    0xff03180d,
    0xff061d10,
    0xff03160d,
    0xff011410,
    0xff031411,
    0xff000e0e,
    0xff020d0e,
    0xff010c0d,
    0xffc82b43,
    0xffb90e2c,
    0xffbb0425,
    0xffc71332,
    0xffc01c33,
    0xffb82233,
    0xffbf2f3b,
    0xffb6222f,
    0xffad1c21,
    0xffa51e20,
    0xffa02623,
    0xff8f231d,
    0xff841d1a,
    0xff852122,
    0xff841a22,
    0xff7f131e,
    0xff73171f,
    0xff820f22,
    0xff79121c,
    0xff701411,
    0xff870e1c,
    0xff68001d,
    0xff8e5589,
    0xffd7c7ff,
    0xffcbafe8,
    0xff701b56,
    0xff843d5b,
    0xff887dad,
    0xffb5bffe,
    0xffc2c6f3,
    0xff9887c9,
    0xffa27fcb,
    0xffc8c2fe,
    0xffc6bcf0,
    0xff613152,
    0xff571334,
    0xff53102c,
    0xff5c1d2c,
    0xff541427,
    0xff660514,
    0xff6d0113,
    0xff6d0013,
    0xff69000f,
    0xff6d0111,
    0xff6a000f,
    0xff6b010f,
    0xff68000c,
    0xff67010c,
    0xff62030d,
    0xff6c0315,
    0xff700015,
    0xff760219,
    0xff730919,
    0xff78151a,
    0xff75120f,
    0xff78140d,
    0xff741517,
    0xff75171d,
    0xff76131c,
    0xff730d13,
    0xff7a1110,
    0xff7b1515,
    0xff6c0c13,
    0xff5e0415,
    0xff470a13,
    0xff320309,
    0xff420508,
    0xff680b0d,
    0xff720a09,
    0xff69100d,
    0xff761b18,
    0xff861516,
    0xff8c1918,
    0xff8b1f14,
    0xffa92d4a,
    0xfff7beee,
    0xffbdc7f3,
    0xffcdbefb,
    0xff886db1,
    0xff170a2e,
    0xff261a16,
    0xff312428,
    0xff4b151d,
    0xff9e516e,
    0xffe1c5fa,
    0xffb9cdf7,
    0xffb5cfee,
    0xffb6ceff,
    0xffb3d1f6,
    0xffb1d0f3,
    0xffb1cff3,
    0xffb2d0f4,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb6d0f2,
    0xffb7d1f3,
    0xffb6cff2,
    0xffb3d0f2,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb1d0f1,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d2f3,
    0xffb3cff6,
    0xffb3cff6,
    0xffb2cef5,
    0xffb2cef5,
    0xffb3cff6,
    0xffb3cff6,
    0xffb1cdf4,
    0xffb0ccf3,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb2d0f6,
    0xffafcdf3,
    0xffb1cff5,
    0xffb0cef4,
    0xffafccf5,
    0xffafccf5,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffb1cff5,
    0xffafcdf3,
    0xffb0cef4,
    0xffb1cff2,
    0xffb2d0f2,
    0xffb2d0f2,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb4d2f3,
    0xffb4d2f4,
    0xffb4d2f3,
    0xffb0d1f4,
    0xffb0d2f5,
    0xffb1d2f2,
    0xffb2d4f4,
    0xffb3d0f2,
    0xffadcff1,
    0xffafcff5,
    0xffaed0f5,
    0xffa3d4f7,
    0xffb0cdf8,
    0xffb9cefd,
    0xffa3c2ea,
    0xffa6cbee,
    0xffb0d0f7,
    0xffadccf2,
    0xffadd2f3,
    0xffb5cafa,
    0xffafcef8,
    0xffabd0f7,
    0xffadd1f5,
    0xffb1cff2,
    0xffb1ccf2,
    0xffb0cdf2,
    0xffb3ccf4,
    0xffb3cded,
    0xffadcff2,
    0xffa9d1f7,
    0xffabd0fb,
    0xffadcdfc,
    0xffb0ccfa,
    0xffadccf7,
    0xffaccef3,
    0xffb5cdf0,
    0xffb1cef7,
    0xffb3cffa,
    0xffbacaf3,
    0xffbccbeb,
    0xffb6cfee,
    0xffb7cefb,
    0xffb3bdfc,
    0xffb6c9f5,
    0xffb0cbf6,
    0xffaecef7,
    0xffafccf4,
    0xffafcbf3,
    0xffadcbf5,
    0xffb1ccf6,
    0xffafcbf2,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffafccf4,
    0xffaecbf3,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffaecbf3,
    0xffaecbf3,
    0xffb0cdf5,
    0xffafccf4,
    0xffafcbf3,
    0xffacccf3,
    0xffaecef5,
    0xffaccef4,
    0xffadcff5,
    0xffaccff4,
    0xffaecdf5,
    0xffaecdf5,
    0xffaecef5,
    0xffacccf3,
    0xffacccf3,
    0xffaecef5,
    0xffaecdf5,
    0xffafcef6,
    0xffaecef5,
    0xffacccf3,
    0xffabcef3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffa9ccf2,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffabcdf2,
    0xffabcdf2,
    0xffabcdf2,
    0xffabcdf2,
    0xffabcdf2,
    0xffabcdf3,
    0xffabcdf2,
    0xffaccef4,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffabccf7,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf4,
    0xffa8c7f3,
    0xffaac9f5,
    0xffa8c7f3,
    0xffaac9f5,
    0xffa8c7f3,
    0xffa9c8f4,
    0xffaac9f5,
    0xffaac9f4,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa5c6f2,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f4,
    0xffa4c4f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa2c2f1,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa1c4f2,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa0c2f2,
    0xffa1c0f1,
    0xffa0c0f1,
    0xffa0c0f1,
    0xffa0c0f4,
    0xffa0c2f5,
    0xffa1c2f5,
    0xffa0c1f4,
    0xffa0c1f4,
    0xffa0c0f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9cc1f5,
    0xff9abff3,
    0xff9dc2f6,
    0xff9abff3,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f4,
    0xff9abff4,
    0xff99bef3,
    0xff98bdf2,
    0xff97bcf1,
    0xff97bbf5,
    0xff97bbf5,
    0xff98bcf6,
    0xff97bbf5,
    0xff95b9f3,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b8f3,
    0xff92b9f2,
    0xff93baf3,
    0xff95bcf5,
    0xff94bbf4,
    0xff93baf3,
    0xff91b8f1,
    0xff93baf3,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff93baf3,
    0xff90b8f0,
    0xff92b9f1,
    0xff91b8f3,
    0xff8fb6f1,
    0xff91b8f3,
    0xff8eb6f0,
    0xff8fb7f4,
    0xff8eb6f3,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8db7f3,
    0xff8eb8f4,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8db7f3,
    0xff89b3ef,
    0xff8ab4f0,
    0xff8ab5f0,
    0xff8bb5f1,
    0xff8ab5f0,
    0xff8bb5f0,
    0xff8ab5f0,
    0xff8ab4f0,
    0xff8cb5f6,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff86afef,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0f0,
    0xff87b0f0,
    0xff86afef,
    0xff88b1f3,
    0xff86aff1,
    0xff87b0f2,
    0xff86aff1,
    0xff86aff1,
    0xff87aff1,
    0xff83b0f1,
    0xff84b0f1,
    0xff85b1f1,
    0xff82aff3,
    0xff83b0f3,
    0xff7fb0f2,
    0xff7dadef,
    0xff7eadf1,
    0xff7faef1,
    0xff7faef2,
    0xff7eacf0,
    0xff7daef0,
    0xff7daef0,
    0xff7cadf0,
    0xff7bacee,
    0xff7baaf1,
    0xff7babf0,
    0xff7caaf0,
    0xff7aacf0,
    0xff7aabf0,
    0xff7aacf1,
    0xff7aacf1,
    0xff79abf0,
    0xff78aaef,
    0xff79abef,
    0xff79abef,
    0xff78aaf2,
    0xff7aacf3,
    0xff79abf1,
    0xff79abf1,
    0xff7badf6,
    0xff6299cd,
    0xff4d7a95,
    0xff40727d,
    0xff3b6c84,
    0xff52798c,
    0xff0d373e,
    0xff1d4562,
    0xff1c375b,
    0xff4d80b8,
    0xff003870,
    0xff29658f,
    0xff36679a,
    0xff164977,
    0xff0d4386,
    0xff5490d3,
    0xff6dabf3,
    0xff3575bf,
    0xff4280cb,
    0xff6ca7f3,
    0xff6aa4ed,
    0xff6ca5f0,
    0xff6ca5ef,
    0xff6ca5f0,
    0xff6ca5f0,
    0xff70a5f1,
    0xff6da1ed,
    0xff6ea2f1,
    0xff6ba4f1,
    0xff6ba2f3,
    0xff6ba1f2,
    0xff6aa1f1,
    0xff6aa1f3,
    0xff69a4f2,
    0xff69a4f2,
    0xff68a3f1,
    0xff66a1ef,
    0xff65a0ee,
    0xff65a0f1,
    0xff68a3f3,
    0xff64a0f0,
    0xff689ff3,
    0xff679ff2,
    0xff679ff2,
    0xff669df1,
    0xff649ff0,
    0xff659ff1,
    0xff66a0f2,
    0xff649ef0,
    0xff639def,
    0xff649ef0,
    0xff629cee,
    0xff649ef0,
    0xff639def,
    0xff629cee,
    0xff629cee,
    0xff639def,
    0xff609eef,
    0xff609dee,
    0xff609dee,
    0xff5d9aee,
    0xff5b98eb,
    0xff5b97ee,
    0xff5e9af0,
    0xff5c98ee,
    0xff5a98ed,
    0xff5a98ed,
    0xff5998ed,
    0xff5a98ed,
    0xff5997eb,
    0xff5997ef,
    0xff5998ee,
    0xff5896ed,
    0xff5997ee,
    0xff5996ed,
    0xff5898ef,
    0xff5797f0,
    0xff5797ef,
    0xff5999f1,
    0xff579af0,
    0xff5396ec,
    0xff5394ee,
    0xff5192ec,
    0xff5293ed,
    0xff5394ee,
    0xff5394ee,
    0xff5293ed,
    0xff5293ed,
    0xff5293ed,
    0xff4f90ea,
    0xff5091eb,
    0xff5192ec,
    0xff5091eb,
    0xff4f90ea,
    0xff4f90ea,
    0xff4f90ea,
    0xff5192ec,
    0xff5192eb,
    0xff5192eb,
    0xff5192ee,
    0xff5091ed,
    0xff5091ed,
    0xff5091ec,
    0xff4e8fee,
    0xff4e8fed,
    0xff5091ef,
    0xff5192f0,
    0xff4e8fed,
    0xff4d8fed,
    0xff4d8fed,
    0xff4e8fee,
    0xff4e8fee,
    0xff4c91ed,
    0xff4d8ce7,
    0xff5491f2,
    0xff4c8bdc,
    0xff2764ac,
    0xff164f8f,
    0xff053758,
    0xff0a2f38,
    0xff0e2822,
    0xff0e2c1f,
    0xff001c10,
    0xff08281f,
    0xff0e2e26,
    0xff04281c,
    0xff02260f,
    0xff0d3816,
    0xff0a350d,
    0xff113b1c,
    0xff0e3a19,
    0xff1d4724,
    0xff305936,
    0xff173f1d,
    0xff1e4224,
    0xff1b3d23,
    0xff0d2b17,
    0xff001313,
    0xff0c2b2b,
    0xff093631,
    0xff285e52,
    0xff1c503f,
    0xff305547,
    0xff223630,
    0xff272e30,
    0xff193428,
    0xff0c2e18,
    0xff1d4223,
    0xff001d00,
    0xff112804,
    0xff3f4f30,
    0xff203618,
    0xff38563b,
    0xff173a22,
    0xff214124,
    0xff102e12,
    0xff052311,
    0xff001d13,
    0xff032219,
    0xff132f24,
    0xff0e2420,
    0xff041613,
    0xff00170b,
    0xff12291e,
    0xff3f473e,
    0xff1a1c14,
    0xff2b382f,
    0xff04190f,
    0xff01120d,
    0xff03170c,
    0xff03170f,
    0xff011513,
    0xff001314,
    0xff000f13,
    0xff011111,
    0xff041411,
    0xff020d09,
    0xffb61e32,
    0xffb41b30,
    0xffbe243a,
    0xffc12c43,
    0xffd84a5d,
    0xffd65161,
    0xffc94859,
    0xffb43545,
    0xff991b25,
    0xff8a131d,
    0xff82141d,
    0xff7b161e,
    0xff7a1a21,
    0xff7b1e26,
    0xff7b1c23,
    0xff77161d,
    0xff6c141c,
    0xff780d19,
    0xff760d1a,
    0xff72131b,
    0xff790714,
    0xff880b22,
    0xff640126,
    0xffa36393,
    0xff824774,
    0xff6d2351,
    0xffaf7cae,
    0xffacaae9,
    0xffbeceff,
    0xffc6c5ef,
    0xffc5bcf6,
    0xffcbc0ff,
    0xffc9b1f5,
    0xffa382be,
    0xff521a3c,
    0xff5a2b47,
    0xff532f47,
    0xff542b3c,
    0xff53223d,
    0xff5b0c23,
    0xff670519,
    0xff620010,
    0xff670113,
    0xff680111,
    0xff68000e,
    0xff69000d,
    0xff68000a,
    0xff65000a,
    0xff63020f,
    0xff53011f,
    0xff742a59,
    0xff590b36,
    0xff72162a,
    0xff7c1517,
    0xff7c1618,
    0xff771720,
    0xff771920,
    0xff761721,
    0xff77131d,
    0xff730c0e,
    0xff7b130e,
    0xff771311,
    0xff731523,
    0xff620924,
    0xff440618,
    0xff320710,
    0xff3e1622,
    0xff75324b,
    0xff6c132c,
    0xff791921,
    0xff8b2622,
    0xff891b18,
    0xff881c14,
    0xff8b1b16,
    0xff95172d,
    0xffae6b97,
    0xffccdcff,
    0xffafb9f0,
    0xff5a4172,
    0xff2f1c2d,
    0xff271e1b,
    0xff2f2130,
    0xff681f31,
    0xff871e3b,
    0xffc397d1,
    0xffc4d4ff,
    0xffb7cff5,
    0xffb2ccfb,
    0xffb1cef4,
    0xffb2cef3,
    0xffb2cef3,
    0xffb4d0f5,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb5d0f6,
    0xffb4d0f6,
    0xffb6d0f2,
    0xffb7d1f4,
    0xffb6d0f3,
    0xffb6d4f5,
    0xffb4d2f4,
    0xffb4d2f3,
    0xffb4d2f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d0f6,
    0xffb5d1f6,
    0xffb4cff5,
    0xffb5d0f6,
    0xffb1cdf2,
    0xffb3cff4,
    0xffb4d0f5,
    0xffb6d2f7,
    0xffb2d1f4,
    0xffb3d1f5,
    0xffb2d0f4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffafcdf3,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff4,
    0xffb3d1f4,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb3d3f4,
    0xffafd2f5,
    0xffb1d5f4,
    0xffb0d1f2,
    0xffb5d2f4,
    0xffb4d2f4,
    0xffb2d0f4,
    0xffb1d1f8,
    0xffb1d2f8,
    0xffb1d3fc,
    0xffb1d0f7,
    0xffb5ccf6,
    0xffb7cdfa,
    0xffb7d2fc,
    0xffb0cff5,
    0xffb5d1f9,
    0xffb5ccf7,
    0xffb1cff5,
    0xffb1cef6,
    0xffb2ccf7,
    0xffafcef5,
    0xffaecef2,
    0xffafceee,
    0xffb1cdf2,
    0xffb1cef5,
    0xffaed1f4,
    0xffaad0f5,
    0xffaad0f6,
    0xffadcef7,
    0xffb2ccfa,
    0xffb2ccfa,
    0xffaccef7,
    0xffa9d1f6,
    0xffbac8f1,
    0xffb1cff2,
    0xffa6d2ef,
    0xffa8d4ec,
    0xffadd3ef,
    0xffacd1f0,
    0xffaacef3,
    0xffadcffa,
    0xffaacef8,
    0xffadcbf1,
    0xffb2cff4,
    0xffb0ccf4,
    0xffafcaf6,
    0xffb0caf6,
    0xffafcdf4,
    0xffafcbf4,
    0xffb2cff7,
    0xffb2cff7,
    0xffb1cef6,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffaecbf3,
    0xffaecbf3,
    0xffaecbf3,
    0xffafccf4,
    0xffb0cdf5,
    0xffadcef5,
    0xffaecdf4,
    0xffaccff5,
    0xffaccef4,
    0xffadcff5,
    0xffadcdf4,
    0xffadcef5,
    0xffadcef4,
    0xffadcef5,
    0xffadcef5,
    0xffadcef4,
    0xffadcdf4,
    0xffaacbf2,
    0xffadcdf4,
    0xffaecdf5,
    0xffadcff5,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffabcef4,
    0xffabcef4,
    0xffaccdf4,
    0xffabcdf4,
    0xffaccef4,
    0xffadcff5,
    0xffaccef5,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffa9cbf1,
    0xffa9cbf1,
    0xffa9cbf1,
    0xffa9cbf1,
    0xffa9cbf1,
    0xffa9cbf1,
    0xffaaccf2,
    0xffabcdf3,
    0xffabcbf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf3,
    0xffaacbf6,
    0xffa9caf5,
    0xffa6c7f2,
    0xffa8caf5,
    0xffaac8f5,
    0xffaac8f5,
    0xffaac9f5,
    0xffaac8f5,
    0xffaac9f5,
    0xffaac9f5,
    0xffaac8f5,
    0xffaac8f4,
    0xffa8caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa5c6f3,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f4,
    0xffa6c6f7,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa6c8f6,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa2c3f6,
    0xffa2c4f3,
    0xffa2c4f3,
    0xffa0c3f2,
    0xffa1c1f2,
    0xffa1c1f2,
    0xffa1c1f2,
    0xffa1c1f1,
    0xffa2c2f5,
    0xffa0c2f5,
    0xff9fc0f3,
    0xffa0c1f4,
    0xffa0c0f4,
    0xff9dc2f4,
    0xff9ec2f4,
    0xff9ec1f4,
    0xff9cc3f1,
    0xff9dc3f1,
    0xff9dc3f1,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f3,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9dc2f6,
    0xff9abff3,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f5,
    0xff9cc0f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff98bdf1,
    0xff96baf5,
    0xff98bcf6,
    0xff98bcf6,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b8f2,
    0xff94b8f2,
    0xff92b9f2,
    0xff94bbf4,
    0xff94bbf4,
    0xff93baf3,
    0xff94bbf4,
    0xff91b8f1,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b9f2,
    0xff90b7f0,
    0xff90b7f0,
    0xff93b6f0,
    0xff91b9f2,
    0xff92b9f2,
    0xff8fb6f1,
    0xff90b7f2,
    0xff8eb6f1,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8ab4f0,
    0xff8bb5f2,
    0xff8cb7f3,
    0xff8eb8f4,
    0xff8db7f3,
    0xff8bb5f1,
    0xff8db7f3,
    0xff8bb5f2,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8cb6f2,
    0xff8cb6f1,
    0xff8cb5f6,
    0xff8db6f6,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff88b1f1,
    0xff86afef,
    0xff88b1f0,
    0xff87b0f2,
    0xff86aff1,
    0xff87b0f2,
    0xff87b0f2,
    0xff85aeee,
    0xff87b0ef,
    0xff87aff2,
    0xff84b0f1,
    0xff81aeef,
    0xff83b0f0,
    0xff81b1f3,
    0xff80b0f2,
    0xff7eadf1,
    0xff7dacf0,
    0xff7dacf0,
    0xff7eadf1,
    0xff7caef0,
    0xff7eaff2,
    0xff7eaff2,
    0xff7eb0f2,
    0xff7da9f0,
    0xff7ea9f1,
    0xff7baaf1,
    0xff7caaf0,
    0xff79abef,
    0xff7daff4,
    0xff7caef3,
    0xff7caef3,
    0xff78aaef,
    0xff78aaef,
    0xff78aaef,
    0xff78aaf2,
    0xff78aaf1,
    0xff77a9f0,
    0xff7aacf3,
    0xff77aaf1,
    0xff7eb5f0,
    0xff658fb1,
    0xff548483,
    0xff205155,
    0xff345962,
    0xff1c4555,
    0xff436f98,
    0xff00213d,
    0xff164c78,
    0xff487aab,
    0xff21567c,
    0xff1f5891,
    0xff215b9c,
    0xff2b60bc,
    0xff3e76cb,
    0xff2f70c1,
    0xff0a4994,
    0xff215eaa,
    0xff72abf8,
    0xff6ea6f1,
    0xff71a6f2,
    0xff70a5f1,
    0xff71a7f0,
    0xff6fa5ef,
    0xff71a6f2,
    0xff6ea3ef,
    0xff6da2ed,
    0xff6ca1ef,
    0xff6ea3f0,
    0xff6ca3f3,
    0xff6aa1f1,
    0xff6ba3f5,
    0xff68a2f0,
    0xff68a4f2,
    0xff69a4f2,
    0xff67a2f0,
    0xff68a3f1,
    0xff69a4f2,
    0xff629de9,
    0xff68a3f0,
    0xff669ef0,
    0xff659df0,
    0xff659df0,
    0xff639bee,
    0xff65a0f1,
    0xff649ef0,
    0xff659ef1,
    0xff649ef0,
    0xff639def,
    0xff649ef0,
    0xff629cee,
    0xff649ef0,
    0xff649ef0,
    0xff629cee,
    0xff619bed,
    0xff619bed,
    0xff609eed,
    0xff609eef,
    0xff629ff0,
    0xff619ff2,
    0xff5c99ec,
    0xff5c98ee,
    0xff5c98ee,
    0xff5a96ed,
    0xff5b98ea,
    0xff5a97ea,
    0xff5a95ec,
    0xff5a95ec,
    0xff5d98ee,
    0xff5e99ef,
    0xff5d99f1,
    0xff5b97ef,
    0xff5997ee,
    0xff5a98ef,
    0xff5996ed,
    0xff5696ed,
    0xff5696ee,
    0xff5797ef,
    0xff5696ee,
    0xff5393ea,
    0xff5496f0,
    0xff5293ee,
    0xff5192ec,
    0xff5394ee,
    0xff5294ee,
    0xff5394ee,
    0xff5394ee,
    0xff5192ec,
    0xff5293ed,
    0xff5293ed,
    0xff5192ec,
    0xff5192ec,
    0xff5192ec,
    0xff4e8fe9,
    0xff5192ec,
    0xff5192ec,
    0xff5192ec,
    0xff5192ec,
    0xff5192eb,
    0xff5192ee,
    0xff4f90ec,
    0xff5091ed,
    0xff4f90ec,
    0xff4f90eb,
    0xff5293f1,
    0xff5192f0,
    0xff4e8fed,
    0xff4e90ee,
    0xff4d8fee,
    0xff4d8fee,
    0xff4e8fee,
    0xff4d8fee,
    0xff5393f8,
    0xff4c8de5,
    0xff498fef,
    0xff4e97f7,
    0xff498fe7,
    0xff5790d8,
    0xff16405e,
    0xff092a27,
    0xff062419,
    0xff092620,
    0xff042023,
    0xff132e32,
    0xff0c2626,
    0xff09261b,
    0xff011d0e,
    0xff011e0b,
    0xff0b2c1a,
    0xff1c4128,
    0xff1e4327,
    0xff1d4422,
    0xff1c4521,
    0xff1c421f,
    0xff305333,
    0xff17381b,
    0xff143712,
    0xff032602,
    0xff39623e,
    0xff35663e,
    0xff37683c,
    0xff2f5b31,
    0xff294926,
    0xff384f36,
    0xff0a1f0d,
    0xff143219,
    0xff2e5631,
    0xff163d12,
    0xff37592a,
    0xff4b6b3a,
    0xff3d622d,
    0xff264f1b,
    0xff22471b,
    0xff001c06,
    0xff011410,
    0xff04160f,
    0xff021808,
    0xff021b09,
    0xff142f20,
    0xff152c1d,
    0xff0f221c,
    0xff193727,
    0xff102d17,
    0xff444e3e,
    0xff1d1e15,
    0xff19251c,
    0xff00160f,
    0xff041613,
    0xff02160d,
    0xff021715,
    0xff01151b,
    0xff001523,
    0xff001220,
    0xff00111a,
    0xff000d0f,
    0xff06120b,
    0xffc32035,
    0xffc52c3e,
    0xffcc3d4d,
    0xffbf3243,
    0xffb6273a,
    0xffa5172e,
    0xff910e24,
    0xff8d1327,
    0xff861924,
    0xff7e141f,
    0xff7a1222,
    0xff771625,
    0xff751723,
    0xff71151b,
    0xff741819,
    0xff751716,
    0xff731216,
    0xff781315,
    0xff79111b,
    0xff701023,
    0xff70121e,
    0xff780c12,
    0xff750d22,
    0xff6f1e45,
    0xff72194a,
    0xffd18dad,
    0xffa068a5,
    0xffb287d4,
    0xffb79fd4,
    0xffafa3d9,
    0xffaca4e1,
    0xffbdb6e2,
    0xffb7c4f4,
    0xff9e93c2,
    0xff613852,
    0xff523b4e,
    0xff413848,
    0xff483444,
    0xff492f49,
    0xff542a3d,
    0xff711c2e,
    0xff862d40,
    0xff680e1f,
    0xff60010f,
    0xff65000c,
    0xff66000d,
    0xff660008,
    0xff690008,
    0xff6c0210,
    0xff5c1f4b,
    0xffc6afef,
    0xff9a76ac,
    0xff57051f,
    0xff7d080f,
    0xff7a0f19,
    0xff8a334c,
    0xff751624,
    0xff721320,
    0xff75131d,
    0xff730c0d,
    0xff7e1711,
    0xff7c1718,
    0xff701326,
    0xffad5a7f,
    0xff844969,
    0xff400622,
    0xff4d2243,
    0xffaf8ebd,
    0xffa55f94,
    0xff730222,
    0xff8b101a,
    0xff841a19,
    0xff891e1d,
    0xff921c21,
    0xff9a1c28,
    0xff823555,
    0xffb5b3e6,
    0xff7273a0,
    0xff381a33,
    0xff322530,
    0xff2c1939,
    0xff6c5984,
    0xff8c3f63,
    0xffa74063,
    0xffc9a5e2,
    0xff869ada,
    0xffa2b7e2,
    0xffbacef8,
    0xffb8d4f8,
    0xffb3d0f4,
    0xffb4d1f6,
    0xffb6d2f7,
    0xffb3cff4,
    0xffb5d0f4,
    0xffb5d1f5,
    0xffb5d1f5,
    0xffb8d3f6,
    0xffb6d0f3,
    0xffb2ccee,
    0xffb5cff2,
    0xffb5d1f3,
    0xffb7d3f5,
    0xffb6d3f6,
    0xffb5d2f5,
    0xffb5d2f5,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb7d4f6,
    0xffb6d3f4,
    0xffb5d1f3,
    0xffb4d1f3,
    0xffb3d0f1,
    0xffb5d2f4,
    0xffb2d0f1,
    0xffb3d0f1,
    0xffb5d2f4,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f2,
    0xffb2d1f5,
    0xffb2d1f5,
    0xffb2d1f5,
    0xffb3d1f6,
    0xffb2d0f6,
    0xffb3d1f7,
    0xffb3d1f6,
    0xffb3d2f8,
    0xffb4d2f8,
    0xffb3d2f8,
    0xffb2d0f6,
    0xffb1cff6,
    0xffb2cff6,
    0xffb0cef4,
    0xffb3d2f8,
    0xffb4d1f7,
    0xffb2d0f2,
    0xffb5d2f4,
    0xffb5d3f5,
    0xffb5d2f4,
    0xffb3d0f3,
    0xffb4d2f4,
    0xffb5d2f5,
    0xffb4d4f4,
    0xffaed4f6,
    0xffb3d7f7,
    0xffb1d2f3,
    0xffb3d0f3,
    0xffb5d2f4,
    0xffb2d0f5,
    0xffb4d2f6,
    0xffb4d2f7,
    0xffb2cff4,
    0xffb3d3ed,
    0xffadd2ec,
    0xffacd1f5,
    0xffb3d2fa,
    0xffb3d0f3,
    0xffb2d1f5,
    0xffadcffa,
    0xffacd4f0,
    0xffb2cef0,
    0xffb6caf6,
    0xffb7cdf7,
    0xffb2d0f5,
    0xffaed0f3,
    0xffaed0f2,
    0xffadd0f6,
    0xffadcff5,
    0xffb2cdf5,
    0xffb4cff2,
    0xffaed1f1,
    0xffb0d1f3,
    0xffb5caf1,
    0xffb8ccf7,
    0xffaccdf6,
    0xffaccdfb,
    0xffb1cbf5,
    0xffb3ccf0,
    0xffadccf2,
    0xffafccf8,
    0xffb4c9fc,
    0xffb3cbf6,
    0xffaed0f1,
    0xffa7d0f6,
    0xffb2cff4,
    0xffb3ccf0,
    0xffb0ccf3,
    0xffb2cbf6,
    0xffb0cbf6,
    0xffb0cef6,
    0xffadcef7,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffafccf4,
    0xffb0ccf5,
    0xffafccf5,
    0xffb0ccf5,
    0xffb0cdf6,
    0xffb1cdf5,
    0xffb0cdf5,
    0xffafccf4,
    0xffadcdf4,
    0xffaecef5,
    0xffadcff4,
    0xffaacdf3,
    0xffaccff5,
    0xffadccf3,
    0xffb0ccf4,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cdf6,
    0xffb2cef6,
    0xffb2cef6,
    0xffb0ccf4,
    0xffacccf3,
    0xffadd0f6,
    0xffafd2f8,
    0xffb0d2f8,
    0xffaaccf2,
    0xffaacdf3,
    0xffabcff5,
    0xffaccff5,
    0xffabcdf2,
    0xffabcdf2,
    0xffadcff4,
    0xffaccff3,
    0xffaed0f5,
    0xffaccff3,
    0xffabcef2,
    0xffaaccf1,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf2,
    0xffa9cbf1,
    0xffaaccf1,
    0xffabcbf5,
    0xffabcbf5,
    0xffabccf5,
    0xffa9caf4,
    0xffa8c9f2,
    0xffaacaf4,
    0xffaacbf4,
    0xffabccf5,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffa9caf6,
    0xffa7c8f3,
    0xffabccf7,
    0xffa9c9f1,
    0xffa9c9f2,
    0xffa8c8f1,
    0xffa9c9f2,
    0xffa8c8f0,
    0xffa8c8f1,
    0xffaacaf2,
    0xffabcaf3,
    0xffa8c9f6,
    0xffa8c9f7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa8c9f6,
    0xffaacbf8,
    0xffa8c9f6,
    0xffa5c6f3,
    0xffa5c4f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c4f5,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa6c6f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c6f4,
    0xffa3c6f4,
    0xffa2c5f2,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa2c4f1,
    0xffa2c3f5,
    0xffa2c3f6,
    0xffa1c3f6,
    0xffa3c2f4,
    0xffa2c2f3,
    0xffa2c2f3,
    0xffa3c1f3,
    0xffa4c2f3,
    0xffa1c1f5,
    0xffa2c2f5,
    0xff9fc0f4,
    0xffa0c0f4,
    0xff9fc0f3,
    0xffa0c0f4,
    0xff9dc1f4,
    0xff9dc1f3,
    0xff9dc3f1,
    0xff9cc3f1,
    0xff9cc3f1,
    0xff9cc3f4,
    0xff9cc3f3,
    0xff9dc3f4,
    0xff9bc0f5,
    0xff9bc0f4,
    0xff9dc2f6,
    0xff9bc0f5,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9dc2f6,
    0xff9abff3,
    0xff9cc1f6,
    0xff9bc0f5,
    0xff9ec4f4,
    0xff9dc3f3,
    0xff9abff3,
    0xff9abff3,
    0xff9cc1f5,
    0xff9bc0f3,
    0xff9abff4,
    0xff97bcf1,
    0xff99bdf7,
    0xff98bdf6,
    0xff9abef7,
    0xff98bcf6,
    0xff96baf5,
    0xff97baf5,
    0xff97bbf5,
    0xff97bbf5,
    0xff98bcf6,
    0xff98bcf6,
    0xff98bcf6,
    0xff98bcf6,
    0xff95bdf5,
    0xff94bbf4,
    0xff93baf3,
    0xff93bbf4,
    0xff94bbf4,
    0xff90b7f0,
    0xff91b8f1,
    0xff91b8f1,
    0xff90b7f0,
    0xff91b8f2,
    0xff92baf3,
    0xff94bcf5,
    0xff92b6f0,
    0xff93b6f0,
    0xff90b8f0,
    0xff90b8f3,
    0xff8eb5f1,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8db5f0,
    0xff8cb6f0,
    0xff8cb6f0,
    0xff8db6f1,
    0xff8eb9f2,
    0xff8cb7f0,
    0xff8bb5f0,
    0xff8db7f1,
    0xff8bb6f0,
    0xff8cb6f2,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff88b1f1,
    0xff88b1f2,
    0xff88b1f2,
    0xff88b1f2,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff88b1f1,
    0xff8ab3f3,
    0xff8bb4f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb3f3,
    0xff88b1f1,
    0xff87b0f0,
    0xff8ab2f2,
    0xff88b1f4,
    0xff87b0f2,
    0xff86aff1,
    0xff85aef0,
    0xff89aff0,
    0xff88b1f1,
    0xff88b1f0,
    0xff83aff1,
    0xff85b1f2,
    0xff81aeef,
    0xff80b1f0,
    0xff82b2f4,
    0xff7faef2,
    0xff7dacf0,
    0xff7dacf0,
    0xff7dacf0,
    0xff7eacf0,
    0xff7caef0,
    0xff7daef0,
    0xff7cadf0,
    0xff7eabf3,
    0xff7fabf1,
    0xff7cacf0,
    0xff7dacf3,
    0xff7babf2,
    0xff7daff4,
    0xff78abef,
    0xff79acf1,
    0xff7aadf2,
    0xff7aacf1,
    0xff7aadf1,
    0xff7aadf0,
    0xff7badf5,
    0xff77a9f1,
    0xff79abf2,
    0xff74a6ef,
    0xff73a8f6,
    0xff81a9e5,
    0xff3c6a75,
    0xff245451,
    0xff1e4343,
    0xff275060,
    0xff1f4e72,
    0xff00242c,
    0xff00375a,
    0xff0e3a7f,
    0xff2a57a7,
    0xff3774c2,
    0xff013e79,
    0xff2c64b3,
    0xff154e9f,
    0xff2e73c5,
    0xff1c58a4,
    0xff5d99e3,
    0xff72abf5,
    0xff70a4f1,
    0xff71a5f1,
    0xff70a4f0,
    0xff70a3ef,
    0xff6fa3ee,
    0xff6ea1ec,
    0xff6fa4f0,
    0xff6fa4f0,
    0xff6ea3f1,
    0xff6ea3f0,
    0xff6aa1f2,
    0xff6aa2f2,
    0xff69a0f2,
    0xff6ba5f2,
    0xff68a4ee,
    0xff69a4ef,
    0xff6aa5f1,
    0xff66a2ee,
    0xff68a3ef,
    0xff66a1ed,
    0xff66a2ed,
    0xff68a0f2,
    0xff669ef2,
    0xff6aa3f5,
    0xff67a0f3,
    0xff66a0f2,
    0xff629ded,
    0xff649ff1,
    0xff67a1f3,
    0xff639def,
    0xff649ef0,
    0xff629cee,
    0xff639df0,
    0xff649ef0,
    0xff649ef0,
    0xff639fee,
    0xff649fef,
    0xff609ded,
    0xff609dec,
    0xff609dee,
    0xff5e9aeb,
    0xff5f9cee,
    0xff5e9af0,
    0xff609cf2,
    0xff5f9bf1,
    0xff5d9aed,
    0xff5d99ee,
    0xff5b97ed,
    0xff5c98ed,
    0xff5c98ee,
    0xff5d99ef,
    0xff5d99f1,
    0xff5a96ee,
    0xff5a99f0,
    0xff5c9af1,
    0xff5997ee,
    0xff5898ef,
    0xff5a9af2,
    0xff5798f0,
    0xff5596ee,
    0xff5595ed,
    0xff5395ed,
    0xff5395ee,
    0xff5393ee,
    0xff5192ec,
    0xff5394ee,
    0xff5394ee,
    0xff5394ee,
    0xff5091eb,
    0xff5293ed,
    0xff5293ed,
    0xff5192ec,
    0xff5697f1,
    0xff5596f1,
    0xff4f90ea,
    0xff5193ec,
    0xff5092ec,
    0xff5091eb,
    0xff5091eb,
    0xff5192eb,
    0xff5192ee,
    0xff4f90ec,
    0xff5091ed,
    0xff5192ee,
    0xff5192ee,
    0xff5091ed,
    0xff5192ee,
    0xff4e8feb,
    0xff5192ed,
    0xff4f92eb,
    0xff4e91ec,
    0xff4d91eb,
    0xff4d90ec,
    0xff4b8afb,
    0xff4f95e0,
    0xff5092e8,
    0xff5092ea,
    0xff3a7ace,
    0xff3f79c7,
    0xff3f758d,
    0xff1a4a38,
    0xff05271d,
    0xff001c12,
    0xff0a261f,
    0xff041f14,
    0xff162e21,
    0xff13271c,
    0xff0c1d1a,
    0xff0c1c1e,
    0xff062014,
    0xff082416,
    0xff04240e,
    0xff0c2f11,
    0xff113615,
    0xff123514,
    0xff284a28,
    0xff173718,
    0xff2a542c,
    0xff2d512e,
    0xff345436,
    0xff113013,
    0xff123616,
    0xff12361a,
    0xff12361f,
    0xff203e2d,
    0xff2f3522,
    0xff253422,
    0xff193623,
    0xff0d2f1d,
    0xff0f2d1b,
    0xff103118,
    0xff123a17,
    0xff19471b,
    0xff37652b,
    0xff103217,
    0xff00150d,
    0xff031807,
    0xff162e10,
    0xff10270f,
    0xff0c2315,
    0xff051b0e,
    0xff000f08,
    0xff001905,
    0xff032007,
    0xff1d2815,
    0xff1c1e12,
    0xff07120b,
    0xff000f0a,
    0xff001611,
    0xff031610,
    0xff001316,
    0xff001220,
    0xff0f2439,
    0xff23384b,
    0xff041522,
    0xff000d10,
    0xff010e08,
    0xffbc1c26,
    0xffbf1b2a,
    0xffbb1323,
    0xffbc1b27,
    0xffa5101a,
    0xff93111c,
    0xff820e20,
    0xff770b25,
    0xff71171b,
    0xff791821,
    0xff7e1521,
    0xff7a1823,
    0xff751f25,
    0xff732023,
    0xff76181b,
    0xff81161a,
    0xff821018,
    0xff741719,
    0xff6f1821,
    0xff6e151e,
    0xff7d1b1f,
    0xff8a1720,
    0xff93335a,
    0xffcca2dc,
    0xff98749f,
    0xff8c4280,
    0xffa97fbc,
    0xffbcc3f6,
    0xffbbbff0,
    0xffc2c5f5,
    0xffb7cef7,
    0xffb8cdf5,
    0xffbad1ff,
    0xff8f89bb,
    0xff533a53,
    0xff4b374b,
    0xff433c47,
    0xff433352,
    0xff482f4b,
    0xff52324b,
    0xff813446,
    0xffc984a3,
    0xffc88bbd,
    0xff4d0015,
    0xff700215,
    0xff650320,
    0xff5b070d,
    0xff6e0109,
    0xff50000a,
    0xff815797,
    0xffb9b9fc,
    0xffc1c0ed,
    0xff997aad,
    0xffa1679e,
    0xff8f4067,
    0xff771937,
    0xff680d23,
    0xff7f233d,
    0xff752831,
    0xff760e19,
    0xff870a1d,
    0xff7e121a,
    0xff640d25,
    0xffc597cb,
    0xffc898d9,
    0xff61123d,
    0xff441930,
    0xff533a5e,
    0xff7b275b,
    0xff8b1f34,
    0xff791410,
    0xff8d131a,
    0xff871e1f,
    0xff8d191b,
    0xff8e0f18,
    0xff822444,
    0xff8f6da0,
    0xff413152,
    0xff3c2530,
    0xff271f32,
    0xff4e4b85,
    0xffbdccf4,
    0xffc37dae,
    0xff943b72,
    0xffd1c2f4,
    0xffc4ceff,
    0xffa6ace7,
    0xff92a1d2,
    0xffa3c0e1,
    0xffb8daff,
    0xffafd2fb,
    0xffb3d2fb,
    0xffb3d0f3,
    0xffb6d0ed,
    0xffb9d2f3,
    0xffb9d1f4,
    0xffbed5f9,
    0xffb8d0f2,
    0xffb8d3ef,
    0xffb9d3ed,
    0xffb5ceec,
    0xffb8cef3,
    0xffb6ccf9,
    0xffbad0ff,
    0xffb6d0f9,
    0xffb2d2f5,
    0xffb1d2f4,
    0xffb2d0f2,
    0xffb9d1f8,
    0xffbad0f7,
    0xffb6d2f3,
    0xffb2d3ed,
    0xffb5d1f3,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb3d0f1,
    0xffb4d1f2,
    0xffb4d1f3,
    0xffb4d1f2,
    0xffb5d2f4,
    0xffb3d0f3,
    0xffb4d0f3,
    0xffb2cef2,
    0xffb4cff4,
    0xffb3cff4,
    0xffb4cff4,
    0xffb3d0f4,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffafd1f3,
    0xffb1d3f6,
    0xffb1d3f3,
    0xffb1d3f3,
    0xffb1d3f3,
    0xffb1d3f3,
    0xffb3d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d3f5,
    0xffb3d4f5,
    0xffb1d3f3,
    0xffb2d3f4,
    0xffb1d3f3,
    0xffb0d2f3,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb0d2f2,
    0xffb1d2f2,
    0xffb0d2f2,
    0xffb0d2f3,
    0xffb2d4f5,
    0xffb0d1f2,
    0xffb1d2f4,
    0xffb0d1f2,
    0xffb1d0f4,
    0xffb1d0f4,
    0xffb1cef2,
    0xffb2cff4,
    0xffb2d0f4,
    0xffb0cff3,
    0xffb1cff4,
    0xffb1d0f5,
    0xffb1d0f6,
    0xffb1cff5,
    0xffb1cef4,
    0xffb0cff4,
    0xffafcff4,
    0xffb3d0f7,
    0xffb0cef4,
    0xffb2cff5,
    0xffb0cef5,
    0xffb0cdf4,
    0xffb2cff6,
    0xffb1d0f5,
    0xffb0cdf4,
    0xffb1cef5,
    0xffb1cff5,
    0xffb0cef5,
    0xffafcef4,
    0xffb0cef5,
    0xffb2cff6,
    0xffb2d0f6,
    0xffafcdf3,
    0xffafcef4,
    0xffb1cff4,
    0xffb2d0f6,
    0xffb0cff4,
    0xffb1cff5,
    0xffafcdf3,
    0xffb0cef3,
    0xffafcef3,
    0xffb0cef4,
    0xffb0cef4,
    0xffafcdf3,
    0xffb3d1f7,
    0xffb2d1f6,
    0xffb2d0f6,
    0xffb1cff4,
    0xffb2cef6,
    0xffb0cef6,
    0xffb0cef6,
    0xffaeccf3,
    0xffb0cdf7,
    0xffafccf7,
    0xffb1cef6,
    0xffb0cdf5,
    0xffb1cdf5,
    0xffafd0f7,
    0xffb0d1f8,
    0xffaecef4,
    0xffadcdf3,
    0xffafcff5,
    0xffb0d0f6,
    0xffafcef4,
    0xffaecdf3,
    0xffaccdf3,
    0xffafcff4,
    0xffacccf2,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffaecef4,
    0xffadccf2,
    0xffadccf3,
    0xffabcef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcef3,
    0xffacccf6,
    0xffaccdf6,
    0xffabccf5,
    0xffaacbf5,
    0xffabcdf2,
    0xffabcdf2,
    0xffabcdf2,
    0xffaaccf2,
    0xffa9ccf1,
    0xffaaccf2,
    0xffabcdf2,
    0xffaccdf4,
    0xffa7c8f3,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f5,
    0xffa8c9f5,
    0xffa8c9f5,
    0xffa9caf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8caf3,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa9caf5,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa9caf4,
    0xffa9caf4,
    0xffa9caf5,
    0xffa9caf5,
    0xffa9caf5,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8caf6,
    0xffa7c8f5,
    0xffa6c8f4,
    0xffa7c8f4,
    0xffa7c8f4,
    0xffa6c8f4,
    0xffa7c6f6,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa7c7f5,
    0xffa7c7f8,
    0xffa7c7f8,
    0xffa6c6f7,
    0xffa6c6f4,
    0xffa5c4f4,
    0xffa3c3f2,
    0xffa4c3f3,
    0xffa3c2f2,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa1c1f0,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa3c5f3,
    0xffa0c2f0,
    0xffa0c2f0,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa1c4f1,
    0xffa2c4f1,
    0xff9fc1ef,
    0xffa0c3f3,
    0xffa0c3f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa1c3f2,
    0xffa3c4f4,
    0xff9fc1f1,
    0xff9cc0f2,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9ec2f3,
    0xff9fc2f4,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9dc3f3,
    0xff9dc3f4,
    0xff9dc3f3,
    0xff9dc3f3,
    0xff9dc1f6,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff99bef2,
    0xff9bc0f4,
    0xff9abff2,
    0xff99bef2,
    0xff9abff3,
    0xff97bcf0,
    0xff99bef3,
    0xff99bef5,
    0xff97bdf3,
    0xff98bbf6,
    0xff97bbf5,
    0xff98bcf6,
    0xff98bcf6,
    0xff98bcf6,
    0xff97bbf5,
    0xff97baf4,
    0xff97bbf5,
    0xff96baf4,
    0xff96baf4,
    0xff93b7f3,
    0xff94b7f4,
    0xff94b8f2,
    0xff94b8f2,
    0xff95b9f3,
    0xff95baf0,
    0xff96bbf2,
    0xff96bbf1,
    0xff92b6f0,
    0xff94b8f2,
    0xff94b7f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff92b6ef,
    0xff92b6f0,
    0xff91b6ef,
    0xff8fb7f2,
    0xff8fb6f1,
    0xff8fb6f1,
    0xff8fb7f4,
    0xff8eb5f3,
    0xff8db4f3,
    0xff8cb3f3,
    0xff8db4f3,
    0xff8cb6f3,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8cb4f2,
    0xff8cb4f2,
    0xff8cb4f2,
    0xff8bb3f1,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f6,
    0xff8cb5f8,
    0xff8bb4f7,
    0xff8ab3f5,
    0xff8bb4f6,
    0xff8bb4f6,
    0xff89b2f5,
    0xff89b2f5,
    0xff86b3f2,
    0xff87b3f2,
    0xff87b3f2,
    0xff87b3f2,
    0xff86b2f1,
    0xff84b0ef,
    0xff84b1ef,
    0xff87b2f1,
    0xff89aff0,
    0xff88b1f1,
    0xff89b1f1,
    0xff84b1ef,
    0xff83afee,
    0xff82b1ee,
    0xff83b0ee,
    0xff80b1ef,
    0xff80aff3,
    0xff7dacf1,
    0xff7faef2,
    0xff7eadf1,
    0xff7eadf1,
    0xff7eacf3,
    0xff7bacf1,
    0xff7cacf3,
    0xff7dacfb,
    0xff7eaee7,
    0xff82b2e4,
    0xff76a3eb,
    0xff88b6ff,
    0xff7db0f0,
    0xff79b4ef,
    0xff76b2f8,
    0xff76acf7,
    0xff7cb2f4,
    0xff78aae8,
    0xff7cadef,
    0xff7dacf9,
    0xff7aacf9,
    0xff7caff7,
    0xff75abe7,
    0xff6ea9e6,
    0xff6ea4e7,
    0xff608ec9,
    0xff527a98,
    0xff486f64,
    0xff234c36,
    0xff174542,
    0xff002b3d,
    0xff0a4169,
    0xff0c448d,
    0xff457ed4,
    0xff5994dc,
    0xff3e74ba,
    0xff6897f1,
    0xff376bc5,
    0xff5c9be6,
    0xff619ee3,
    0xff76aff5,
    0xff7bb0f9,
    0xff70a6f2,
    0xff71abf8,
    0xff69a7f3,
    0xff73b0fb,
    0xff6aa7ee,
    0xff70a5f3,
    0xff6ea3f2,
    0xff70a5f3,
    0xff6fa4f2,
    0xff6da2f0,
    0xff6da2f0,
    0xff6da1ef,
    0xff6ca3ef,
    0xff68a3ea,
    0xff6da9f1,
    0xff6ca6ee,
    0xff69a2f1,
    0xff6aa2f5,
    0xff66a2f2,
    0xff6aa7ef,
    0xff67a3e7,
    0xff689fea,
    0xff689dfb,
    0xff67a1e7,
    0xff6ba8f0,
    0xff609def,
    0xff66a7e7,
    0xff5f9ee8,
    0xff63a1f1,
    0xff619fef,
    0xff649dee,
    0xff679ef3,
    0xff68a0f8,
    0xff619bf3,
    0xff609df2,
    0xff649cf0,
    0xff659cf1,
    0xff649eec,
    0xff659eef,
    0xff639bee,
    0xff649cf1,
    0xff629af2,
    0xff6198f0,
    0xff639af2,
    0xff6097ed,
    0xff5b98ef,
    0xff5c98f1,
    0xff5d99f1,
    0xff5d99f1,
    0xff5b97f0,
    0xff5b97f0,
    0xff5b97f0,
    0xff5b97f0,
    0xff5d9bef,
    0xff5997ec,
    0xff5a98ec,
    0xff5896ee,
    0xff5896ed,
    0xff5a97ee,
    0xff5d9af1,
    0xff5896ed,
    0xff5597ed,
    0xff5695ed,
    0xff5795ec,
    0xff5893ed,
    0xff5590ea,
    0xff5492ea,
    0xff5594ec,
    0xff5294eb,
    0xff5393ef,
    0xff5294ed,
    0xff5493ef,
    0xff5492f1,
    0xff5492f5,
    0xff5291f3,
    0xff5190ec,
    0xff5191e8,
    0xff5193ed,
    0xff5091eb,
    0xff5091eb,
    0xff5192eb,
    0xff5192ee,
    0xff5192ee,
    0xff5091ed,
    0xff4f91ef,
    0xff5493ea,
    0xff508ef3,
    0xff508df5,
    0xff5291eb,
    0xff4f92e6,
    0xff4f8fef,
    0xff4f8ff1,
    0xff4e8fe7,
    0xff4e91e8,
    0xff4d91e7,
    0xff4e8fee,
    0xff4a8bee,
    0xff5492f1,
    0xff2862a7,
    0xff255d74,
    0xff0e473d,
    0xff143a38,
    0xff153428,
    0xff0c2615,
    0xff061816,
    0xff001114,
    0xff031a11,
    0xff071d13,
    0xff02181a,
    0xff07201a,
    0xff0b231d,
    0xff001113,
    0xff000f0f,
    0xff041612,
    0xff001611,
    0xff062314,
    0xff082814,
    0xff2d4f31,
    0xff193b1b,
    0xff153315,
    0xff0d2a0f,
    0xff132e16,
    0xff183021,
    0xff183027,
    0xff051d16,
    0xff334635,
    0xff0d2114,
    0xff2a4236,
    0xff213a2c,
    0xff102917,
    0xff0f2c15,
    0xff10331a,
    0xff0f371e,
    0xff18381e,
    0xff2b5131,
    0xff042f07,
    0xff254f27,
    0xff1c3a1f,
    0xff021a0b,
    0xff02160f,
    0xff001312,
    0xff001216,
    0xff001114,
    0xff030d0c,
    0xff030a01,
    0xff252b1d,
    0xff121f0f,
    0xff04150e,
    0xff011414,
    0xff030b00,
    0xff020c04,
    0xff061118,
    0xff03121a,
    0xff000e0c,
    0xff000b0f,
    0xff051316,
    0xff071a01,
    0xffbd1821,
    0xffba1025,
    0xffb8102d,
    0xffb41332,
    0xffa1132c,
    0xff891222,
    0xff7e1621,
    0xff751620,
    0xff760f25,
    0xff78152c,
    0xff791c2f,
    0xff741a2c,
    0xff701926,
    0xff731a21,
    0xff751817,
    0xff751512,
    0xff6c1319,
    0xff6c111e,
    0xff7a1624,
    0xff7e1518,
    0xff89151b,
    0xff8e152f,
    0xffba6f9e,
    0xffd1c6fb,
    0xff7f709e,
    0xff2c0036,
    0xffb197d4,
    0xffb8cefc,
    0xffbbcbf7,
    0xffbfcbf7,
    0xffb1d2f4,
    0xffb5d0f8,
    0xffb6cdff,
    0xff7a72a3,
    0xff533b53,
    0xff4b374c,
    0xff453e49,
    0xff423251,
    0xff49314f,
    0xff52354f,
    0xff8c3e32,
    0xff9b414b,
    0xffbf7fb9,
    0xff9e70a6,
    0xff48001f,
    0xff64000d,
    0xff680905,
    0xff5b001b,
    0xff540330,
    0xffa283c6,
    0xffb4c6fc,
    0xffadd7f6,
    0xffc7d9ff,
    0xffc5a8dc,
    0xff813e60,
    0xff77142b,
    0xff83152a,
    0xff820e29,
    0xff801b26,
    0xff840512,
    0xff9c0c1c,
    0xff890c0e,
    0xff780b17,
    0xff8f4971,
    0xffcdbaed,
    0xff54193e,
    0xff621e32,
    0xff430820,
    0xff600d2b,
    0xff7d1525,
    0xff851c20,
    0xff8c1c27,
    0xff8b1525,
    0xff951815,
    0xff9b1f18,
    0xff832934,
    0xff60374b,
    0xff3c2a39,
    0xff2f2539,
    0xff30305e,
    0xff9fade1,
    0xffcfd4fb,
    0xffbe6ca0,
    0xff771f58,
    0xffbdb0de,
    0xffbccdfd,
    0xffbbd0ff,
    0xffb4cef8,
    0xffa2a6ec,
    0xff899bd6,
    0xffaec3f2,
    0xffc3d2fa,
    0xffbbd8f5,
    0xffa8d9f6,
    0xffb1d5fe,
    0xffb0b2ed,
    0xffb1b8f0,
    0xffc2ccff,
    0xffbeceff,
    0xffbbd4ff,
    0xffbbdaff,
    0xffb4d4f7,
    0xffbad5f3,
    0xffb8cfec,
    0xffb5d2f6,
    0xffb7d0f3,
    0xffb9d0f0,
    0xffb8cef0,
    0xffb8d3f5,
    0xffb5d3f8,
    0xffb6d2f4,
    0xffb6cef1,
    0xffb5d2f4,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb3d0f2,
    0xffb3d0f2,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f3,
    0xffb4d1f3,
    0xffb3d0f2,
    0xffb3d1f2,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb4d2f6,
    0xffb1d3f5,
    0xffb3d4f7,
    0xffb1d4f7,
    0xffb0d2f6,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb0d1f2,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb4d5f6,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb0d1f2,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb3d4f5,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d2f2,
    0xffb2cff4,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb0cef2,
    0xffb3d0f5,
    0xffb2cff3,
    0xffb1cef2,
    0xffb2d0f7,
    0xffb2d0f6,
    0xffb0cef5,
    0xffafcdf3,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb1d0f5,
    0xffb1cff5,
    0xffb2d0f6,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff4,
    0xffb0cff4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffafcdf3,
    0xffafcdf3,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef4,
    0xffb2cff7,
    0xffafccf4,
    0xffb1cef6,
    0xffb1cef6,
    0xffaecbf6,
    0xffafccf7,
    0xffb2cff7,
    0xffb2cff7,
    0xffafd0f7,
    0xffb0d0f7,
    0xffb0d0f5,
    0xffadcdf3,
    0xffaecef4,
    0xffaecef4,
    0xffafcff5,
    0xffaecef4,
    0xffb0d0f6,
    0xffacccf2,
    0xffaecef4,
    0xffb0d0f6,
    0xffafcff5,
    0xffafcff5,
    0xffaecef4,
    0xffadcdf3,
    0xffadcdf3,
    0xffaecef4,
    0xffacccf2,
    0xffacccf2,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffadcff5,
    0xffabcef3,
    0xffacccf6,
    0xffabccf5,
    0xffabccf6,
    0xffabcdf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaaccf2,
    0xffaacdf2,
    0xffaacaf4,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8c9f2,
    0xffabccf5,
    0xffabccf5,
    0xffa9caf3,
    0xffa9caf3,
    0xffa7c8f3,
    0xffa7c8f3,
    0xffa9caf5,
    0xffa9caf5,
    0xffa9caf5,
    0xffa9caf5,
    0xffaacbf6,
    0xffabccf6,
    0xffa9caf8,
    0xffa9caf8,
    0xffa9caf8,
    0xffa9caf8,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa6c8f4,
    0xffa7c6f6,
    0xffa6c6f6,
    0xffa7c7f6,
    0xffa7c7f5,
    0xffa5c5f7,
    0xffa4c4f6,
    0xffa6c6f4,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa1c3f3,
    0xffa0c1f1,
    0xff9dc2f4,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9ec1f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9dc3f3,
    0xff9dc1f6,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff99bef1,
    0xff9dc2f6,
    0xff9bc0f7,
    0xff98bdf4,
    0xff98bdf4,
    0xff99bdf8,
    0xff97bbf5,
    0xff99bdf8,
    0xff9abef8,
    0xff97bbf5,
    0xff97bbf6,
    0xff97bbf5,
    0xff95b9f4,
    0xff94b8f2,
    0xff94b8f5,
    0xff95b9f6,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b8f3,
    0xff94baf0,
    0xff96bbf2,
    0xff96bbf1,
    0xff94b8f2,
    0xff93b7f1,
    0xff93b7f1,
    0xff96baf4,
    0xff95b9f3,
    0xff94b8f2,
    0xff95b9f3,
    0xff94b8f2,
    0xff93baf6,
    0xff92b9f4,
    0xff91b8f3,
    0xff8fb5f3,
    0xff8db6f2,
    0xff8db5f3,
    0xff8cb4f1,
    0xff8cb3f3,
    0xff8cb6f2,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8cb3f2,
    0xff8cb4f2,
    0xff8db5f3,
    0xff8db5f3,
    0xff8db6f4,
    0xff8db6f4,
    0xff8bb4f2,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8cb5f4,
    0xff8cb5f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8ab2f2,
    0xff87b4f3,
    0xff87b4f3,
    0xff87b4f3,
    0xff88b4f3,
    0xff85b1f0,
    0xff85b1f0,
    0xff84b1f0,
    0xff85b2f0,
    0xff89aff0,
    0xff88b1f1,
    0xff88b1f1,
    0xff85b2f1,
    0xff84b0ef,
    0xff83b1ef,
    0xff83b1ef,
    0xff84b1ef,
    0xff7eaef1,
    0xff81b1f3,
    0xff81b0f5,
    0xff80aff3,
    0xff80aff3,
    0xff7faef1,
    0xff7caef3,
    0xff7daef3,
    0xff7db0ef,
    0xff7faef5,
    0xff86b2f5,
    0xff5f8dc1,
    0xff6392c6,
    0xff6c9ee0,
    0xff75aaf1,
    0xff6da5e3,
    0xff7bb4e9,
    0xff70a8e5,
    0xff7eb3f6,
    0xff77abf1,
    0xff79aced,
    0xff82b5ed,
    0xff6c9ed2,
    0xff7bade0,
    0xff7dacee,
    0xff78acdc,
    0xff5d96a9,
    0xff4c8581,
    0xff447569,
    0xff1c4642,
    0xff133944,
    0xff00233d,
    0xff143f74,
    0xff5181cb,
    0xff5890e1,
    0xff3f78c0,
    0xff6aa2e0,
    0xff578ad3,
    0xff78aeff,
    0xff6ca5fb,
    0xff71abf9,
    0xff6a9fed,
    0xff4374bc,
    0xff5e91cb,
    0xff79b0e0,
    0xff457fb0,
    0xff265e9e,
    0xff6ea4f1,
    0xff73a8f5,
    0xff6fa4ef,
    0xff6ea3ef,
    0xff6ea3ef,
    0xff6da2ee,
    0xff6ca1ed,
    0xff70a5f0,
    0xff6da2ef,
    0xff6ea2fa,
    0xff6da2f5,
    0xff6ea6f3,
    0xff69a2ee,
    0xff66a1ef,
    0xff68a0f2,
    0xff6ca3fb,
    0xff5c94ed,
    0xff659ef2,
    0xff71aaff,
    0xff61a0dd,
    0xff4781d0,
    0xff699fff,
    0xff5b93e8,
    0xff6fa9f5,
    0xff65a2dd,
    0xff5b96ee,
    0xff66a0f4,
    0xff659df0,
    0xff629cf0,
    0xff64a0f2,
    0xff5f9eea,
    0xff629fee,
    0xff639cf6,
    0xff649fee,
    0xff64a0ef,
    0xff629cee,
    0xff649ef2,
    0xff639bf3,
    0xff629af1,
    0xff629cf0,
    0xff609aed,
    0xff5d99ef,
    0xff5c98ee,
    0xff5b97ed,
    0xff5d99ef,
    0xff5d99ef,
    0xff5b97ed,
    0xff5b97ed,
    0xff5d99ee,
    0xff5d9bf0,
    0xff5a98ed,
    0xff5a98ed,
    0xff5a98ed,
    0xff5997ee,
    0xff5a98ef,
    0xff5997ee,
    0xff5997ee,
    0xff5797ee,
    0xff5697ed,
    0xff5896ed,
    0xff5a95ed,
    0xff5993ed,
    0xff5692eb,
    0xff5393eb,
    0xff5393eb,
    0xff5295eb,
    0xff5395e9,
    0xff5295e9,
    0xff5295ec,
    0xff5493ef,
    0xff5293f1,
    0xff5192ec,
    0xff5193eb,
    0xff5091eb,
    0xff4f90ea,
    0xff5192ec,
    0xff5192ec,
    0xff5192ee,
    0xff5091ed,
    0xff5293ef,
    0xff5294ee,
    0xff5093e5,
    0xff5090ef,
    0xff4e8ff1,
    0xff5092e8,
    0xff4f92e5,
    0xff5091f1,
    0xff508ff2,
    0xff4f90ea,
    0xff4d8def,
    0xff4f91ef,
    0xff498fea,
    0xff4e93f1,
    0xff4c8deb,
    0xff5e9bea,
    0xff134c83,
    0xff0f466a,
    0xff002858,
    0xff022e55,
    0xff113646,
    0xff092a33,
    0xff062338,
    0xff002124,
    0xff011f17,
    0xff001623,
    0xff00170e,
    0xff001e1f,
    0xff00130f,
    0xff021a0b,
    0xff00120a,
    0xff000e14,
    0xff01101b,
    0xff04170d,
    0xff123b16,
    0xff183f1d,
    0xff0f3219,
    0xff0f2d1b,
    0xff122d1e,
    0xff122a1a,
    0xff061d07,
    0xff051802,
    0xff100500,
    0xff474435,
    0xff1c2418,
    0xff0e1d10,
    0xff102113,
    0xff102012,
    0xff132516,
    0xff14281b,
    0xff0e2212,
    0xff102d1e,
    0xff0b3022,
    0xff16382b,
    0xff12281c,
    0xff071a0d,
    0xff01170b,
    0xff00150b,
    0xff00130c,
    0xff001003,
    0xff021405,
    0xff000e0a,
    0xff2b303d,
    0xff19172c,
    0xff090510,
    0xff0c0402,
    0xff775a1d,
    0xffa58346,
    0xff5c3a13,
    0xff5a3c18,
    0xff3d2e0a,
    0xff151307,
    0xff0c1a1a,
    0xff021c0b,
    0xffc0111e,
    0xffb91225,
    0xffaa142a,
    0xff940f28,
    0xff861224,
    0xff811927,
    0xff7d1a27,
    0xff74101e,
    0xff761129,
    0xff6e1426,
    0xff691824,
    0xff68131d,
    0xff72121e,
    0xff781221,
    0xff761726,
    0xff701927,
    0xff6c2022,
    0xff7b1627,
    0xff830f1f,
    0xff921319,
    0xff9e1c2c,
    0xffa23f6a,
    0xffceade1,
    0xffbdcefa,
    0xff8f94c9,
    0xff3b1e60,
    0xffada6e0,
    0xffb0d3fc,
    0xffb0cbf2,
    0xffb8cef3,
    0xffafd1f3,
    0xffb0cdf6,
    0xffb5cafd,
    0xff696190,
    0xff51394f,
    0xff4b364d,
    0xff403945,
    0xff423352,
    0xff4a3652,
    0xff563e5f,
    0xffa36d77,
    0xff984d5a,
    0xffb88bb5,
    0xffc6c8fd,
    0xff9c8abf,
    0xff671d43,
    0xff59000e,
    0xff510223,
    0xff9a78b6,
    0xffb4b8f0,
    0xffb6c9f5,
    0xffb6daff,
    0xffb2b3e9,
    0xff71306c,
    0xff681130,
    0xff820f23,
    0xff78111d,
    0xff821123,
    0xff840c15,
    0xffa11119,
    0xffb4131e,
    0xffb8211b,
    0xffb01716,
    0xff890321,
    0xffb27399,
    0xff813050,
    0xff730c23,
    0xff630c1a,
    0xff531316,
    0xff701620,
    0xff8d0e1e,
    0xff940f1b,
    0xff9d1422,
    0xffb82f26,
    0xffb64237,
    0xff883b3a,
    0xff562a2c,
    0xff35242b,
    0xff1f2343,
    0xff7c8bc4,
    0xffc3d7ff,
    0xffd8caf4,
    0xff8e3f74,
    0xffba7caf,
    0xffc1c2eb,
    0xffb2cdf5,
    0xffb5d5f7,
    0xffb1ceed,
    0xffc6cfff,
    0xffb3c7fb,
    0xff8a9bce,
    0xffa0a0d9,
    0xffc0c2ff,
    0xffa7b1e5,
    0xff7f6d9a,
    0xff642857,
    0xff522b53,
    0xff65436f,
    0xff755b86,
    0xff9388b4,
    0xffa9aedb,
    0xffbfd6fe,
    0xffb6d4fa,
    0xffaed3f7,
    0xffb1d6f6,
    0xffb8d1f3,
    0xffbecdef,
    0xffbbcff0,
    0xffb7d4f3,
    0xffb2d5f5,
    0xffb6d2f7,
    0xffb9cdf6,
    0xffb7d3f5,
    0xffb6d3f5,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb3d0f2,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb4d1f3,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb3d2f6,
    0xffb5d2f6,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb3d3f7,
    0xffb2d3f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb4d5f6,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb0d1f2,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb1d3f6,
    0xffb0d2f5,
    0xffaed0f3,
    0xffaed0f2,
    0xffb0d2f5,
    0xffb2d4f7,
    0xffb2d0f6,
    0xffb1cff6,
    0xffb1cff5,
    0xffb0cef4,
    0xffafcdf3,
    0xffb0cef4,
    0xffb3d1f8,
    0xffb3d1f7,
    0xffb4d2f8,
    0xffb0cef4,
    0xffb0cef4,
    0xffafcdf4,
    0xffb0cef5,
    0xffb1cff5,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb0cef4,
    0xffb1cff5,
    0xffb0cef4,
    0xffb1cff5,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffafcdf3,
    0xffafcdf3,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff5,
    0xffb2d0f6,
    0xffb4d1f9,
    0xffb0cdf5,
    0xffafccf4,
    0xffb0cdf5,
    0xffb3d0f8,
    0xffb1cef6,
    0xffb2cff7,
    0xffb2cef6,
    0xffafd0f7,
    0xffaecef4,
    0xffb0d0f6,
    0xffaecef4,
    0xffacccf2,
    0xffadcdf3,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffafcff5,
    0xffaecef4,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffafcff5,
    0xffafcff5,
    0xffacccf2,
    0xffaacaf0,
    0xffabcdf3,
    0xffaaccf2,
    0xffabcdf3,
    0xffaed0f6,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf2,
    0xffabcdf4,
    0xffabcdf4,
    0xffaccef4,
    0xffabcef3,
    0xffacccf6,
    0xffaacbf4,
    0xffa9caf3,
    0xffabcdf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffabcdf3,
    0xffaaccf2,
    0xffaaccf2,
    0xffaccef4,
    0xffadcff4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf6,
    0xffa8c9f5,
    0xffa9caf5,
    0xffa7c8f3,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa9caf4,
    0xffa9caf4,
    0xffa9caf4,
    0xffa9caf4,
    0xffaacbf8,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa7c8f4,
    0xffa7c6f6,
    0xffa7c6f6,
    0xffa6c6f5,
    0xffa5c5f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa2c4f2,
    0xff9fc1f1,
    0xff9fc1f1,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa2c4f4,
    0xffa1c3f3,
    0xff9fc1f1,
    0xffa0c2f2,
    0xff9dc1f4,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9dc3f3,
    0xff9dc1f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9abff3,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff9abff3,
    0xff99bef3,
    0xff9abff4,
    0xff97bcf4,
    0xff97bcf4,
    0xff97bcf3,
    0xff97bdf3,
    0xff98bdf4,
    0xff97bcf3,
    0xff95baf1,
    0xff95baf1,
    0xff96bbf2,
    0xff96bbf2,
    0xff98bdf3,
    0xff96b9f4,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff96b9f4,
    0xff96bbf1,
    0xff96bbf1,
    0xff95b9f3,
    0xff94b8f2,
    0xff93b7f1,
    0xff96baf4,
    0xff96baf4,
    0xff93b7f1,
    0xff92b6f0,
    0xff91b5ee,
    0xff91b8f4,
    0xff91b8f3,
    0xff8fb6f1,
    0xff8eb3f2,
    0xff8db6f3,
    0xff8eb6f4,
    0xff90b8f6,
    0xff90b7f6,
    0xff8eb9f4,
    0xff8db7f3,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb3f2,
    0xff8bb3f2,
    0xff8bb3f1,
    0xff8db5f3,
    0xff8cb5f3,
    0xff8cb4f3,
    0xff8bb4f2,
    0xff8ab2f0,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b0f1,
    0xff86b0ef,
    0xff86afef,
    0xff8ab2f2,
    0xff85b2f1,
    0xff86b2f1,
    0xff85b3f1,
    0xff85b3f0,
    0xff85b1f5,
    0xff82aef1,
    0xff84b1f4,
    0xff82b1f5,
    0xff7eadf1,
    0xff7fadf2,
    0xff7daef1,
    0xff7daff1,
    0xff7fafe9,
    0xff7caaf8,
    0xff81aaf8,
    0xff7babd4,
    0xff20516f,
    0xff2c5b8b,
    0xff6e9dd6,
    0xff78aad4,
    0xff3b7786,
    0xff528cad,
    0xff76afe4,
    0xff7cb5f5,
    0xff7eb3ed,
    0xff6da3c9,
    0xff4b8393,
    0xff326769,
    0xff406f69,
    0xff3f7866,
    0xff43886c,
    0xff317561,
    0xff407d76,
    0xff4d7c80,
    0xff183b38,
    0xff173730,
    0xff072f3f,
    0xff2f5b81,
    0xff4f82c1,
    0xff78b1fe,
    0xff6aa3f0,
    0xff7ab0f6,
    0xff6da4e9,
    0xff7fb7ff,
    0xff4c86b7,
    0xff0f4371,
    0xff09385a,
    0xff174851,
    0xff144a42,
    0xff1b5351,
    0xff00304e,
    0xff4071ad,
    0xff79aef9,
    0xff71a6f2,
    0xff6fa4f1,
    0xff71a6f2,
    0xff6fa4f0,
    0xff6ca1ed,
    0xff70a5f1,
    0xff6ea3ef,
    0xff74a3f4,
    0xff6ea1ec,
    0xff6da5eb,
    0xff6aa7e7,
    0xff6eabed,
    0xff6ba7ed,
    0xff6da4f3,
    0xff669ced,
    0xff6aa8f2,
    0xff5a95e0,
    0xff6aa5e7,
    0xff437dbc,
    0xff66a0d3,
    0xff3e75a7,
    0xff6799e4,
    0xff6396df,
    0xff5790ea,
    0xff619cea,
    0xff5793db,
    0xff65a0f0,
    0xff64a1ee,
    0xff63a5e6,
    0xff63a3ec,
    0xff5e9bf7,
    0xff649df0,
    0xff659ef0,
    0xff629cf1,
    0xff649ef2,
    0xff639cf0,
    0xff609aee,
    0xff629cee,
    0xff5f98ea,
    0xff609cf2,
    0xff5e9af0,
    0xff5b97ed,
    0xff5a96ec,
    0xff5d99ef,
    0xff5b97ed,
    0xff5b97ed,
    0xff5d99ef,
    0xff5b99ee,
    0xff5d9bf0,
    0xff5d9bf0,
    0xff5997ec,
    0xff5997ef,
    0xff5a98ef,
    0xff5896ed,
    0xff5b99f0,
    0xff5798ef,
    0xff5798ef,
    0xff5a98ef,
    0xff5997ee,
    0xff5895ee,
    0xff5692eb,
    0xff5596ed,
    0xff5595ed,
    0xff5395e9,
    0xff5295e9,
    0xff5395e7,
    0xff5394e9,
    0xff5294ea,
    0xff5394ec,
    0xff5394ee,
    0xff5394ef,
    0xff5293ed,
    0xff5192ec,
    0xff5091eb,
    0xff5091eb,
    0xff5091ea,
    0xff5192ee,
    0xff5091ed,
    0xff5091ec,
    0xff4f94e3,
    0xff4e92ea,
    0xff4d90ec,
    0xff4e93e6,
    0xff5092e9,
    0xff5091f0,
    0xff508ff2,
    0xff5091ee,
    0xff4e8ffa,
    0xff4d91f1,
    0xff4a90e6,
    0xff4e94e9,
    0xff4b8ee8,
    0xff4f8eed,
    0xff5a92ec,
    0xff568de3,
    0xff4e8fde,
    0xff3770c5,
    0xff265d92,
    0xff285c87,
    0xff1d4b87,
    0xff09385d,
    0xff00252d,
    0xff1d4562,
    0xff2a5876,
    0xff173e85,
    0xff173d71,
    0xff092d44,
    0xff062823,
    0xff041d15,
    0xff031026,
    0xff000b0a,
    0xff2e572e,
    0xff1c4422,
    0xff062714,
    0xff0b251e,
    0xff0d2019,
    0xff0c190a,
    0xff041000,
    0xff3f4822,
    0xffc0a78c,
    0xff5f4f3d,
    0xff242415,
    0xff0d180f,
    0xff04140a,
    0xff09160e,
    0xff0b160f,
    0xff07120b,
    0xff081b0f,
    0xff01130d,
    0xff061915,
    0xff071b16,
    0xff11261b,
    0xff0b2215,
    0xff001409,
    0xff031710,
    0xff030c0e,
    0xff021203,
    0xff001200,
    0xff001109,
    0xff232d3b,
    0xff1b1522,
    0xff1b0800,
    0xff836931,
    0xffd5a64d,
    0xffd9a348,
    0xffe9a85a,
    0xffaf7328,
    0xffdfb66f,
    0xff3c2a0a,
    0xff09140e,
    0xff001e11,
    0xffbb1e25,
    0xffaa1921,
    0xff96171e,
    0xff84151b,
    0xff77141d,
    0xff741927,
    0xff6b152e,
    0xff651334,
    0xff561536,
    0xff51142c,
    0xff551523,
    0xff61171d,
    0xff6e151e,
    0xff741122,
    0xff77152b,
    0xff74172f,
    0xff761212,
    0xff96161f,
    0xffaa2131,
    0xffab273a,
    0xffa93c62,
    0xffd7a9d7,
    0xffbfccf9,
    0xffb3ccf8,
    0xffb8cdff,
    0xff7f7cbe,
    0xffaab6ee,
    0xffacd2f9,
    0xffaecff3,
    0xffb3d1f2,
    0xffb0d3f5,
    0xffb6d2fc,
    0xffb2c2f6,
    0xff5c547f,
    0xff533c51,
    0xff47354f,
    0xff423949,
    0xff413351,
    0xff443452,
    0xff574976,
    0xffc0bbf6,
    0xffd5bff3,
    0xffcac3e8,
    0xffb7d5f3,
    0xffb8d7ff,
    0xffa999dc,
    0xff480b43,
    0xff5a0f39,
    0xffa2a4e1,
    0xffaccff9,
    0xffc3d2fd,
    0xffb8cbf8,
    0xffa583bc,
    0xff7b0d43,
    0xff7e1226,
    0xff83101f,
    0xff870d18,
    0xff930b1f,
    0xff980714,
    0xffaa0b15,
    0xffbf1a24,
    0xffd33529,
    0xffcb3120,
    0xffb81e29,
    0xff93041d,
    0xffac2542,
    0xff9b132f,
    0xff881520,
    0xff610d12,
    0xff6b0f1b,
    0xff9f1928,
    0xffb21619,
    0xffcd332b,
    0xffd2433a,
    0xffa34345,
    0xff693339,
    0xff482327,
    0xff2f2138,
    0xff4b5b89,
    0xffb7ccf7,
    0xffc3d1fb,
    0xffbca7d4,
    0xffad83b2,
    0xffd5c9f3,
    0xffb7d1f5,
    0xffb2d5fa,
    0xffb6d4f3,
    0xffb6cde8,
    0xffb1d1e5,
    0xffb3d5eb,
    0xffb6d5fb,
    0xffa2b5f0,
    0xff908ad4,
    0xff5c3779,
    0xff5c153a,
    0xff751e26,
    0xff621b27,
    0xff54121d,
    0xff65252c,
    0xff692b37,
    0xff612943,
    0xff907095,
    0xffc7c6f5,
    0xffc2d8ff,
    0xffb5d5fc,
    0xffb6d1f8,
    0xffb5d0f6,
    0xffb7d1f5,
    0xffb4d3f2,
    0xffb2d4f3,
    0xffb7d3f7,
    0xffbad0f8,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb3d0f2,
    0xffb3d0f2,
    0xffb3d0f2,
    0xffb3d0f2,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb3cff5,
    0xffb3cff4,
    0xffb3cff4,
    0xffb2d0f4,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb0d2f5,
    0xffb1d2f5,
    0xffb0d1f2,
    0xffb1d3f4,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb3d4f7,
    0xffb1d2f6,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb3d1f5,
    0xffb4d2f5,
    0xffb4d2f5,
    0xffb4d2f6,
    0xffb5d3f7,
    0xffb3d1f5,
    0xffb5d2f6,
    0xffb3d1f4,
    0xffb6d3f7,
    0xffb1cff3,
    0xffb3d1f4,
    0xffb4d2f6,
    0xffb3d1f4,
    0xffb2d0f4,
    0xffb2cff3,
    0xffb0cdf1,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f7,
    0xffb2d0f6,
    0xffb0cef5,
    0xffb0cef5,
    0xffafcdf3,
    0xffafcdf3,
    0xffb1cff5,
    0xffb1cff5,
    0xffafcdf3,
    0xffb0cef4,
    0xffb0cef4,
    0xffafcdf3,
    0xffb2d0f6,
    0xffb0cef4,
    0xffb2d0f6,
    0xffb4d2f8,
    0xffb2d0f6,
    0xffb0cdf5,
    0xffb1cef6,
    0xffb1cef6,
    0xffb2cff7,
    0xffb1cef6,
    0xffb3d0f8,
    0xffb2cff7,
    0xffafcff5,
    0xffadcdf3,
    0xffb0d0f6,
    0xffafcff5,
    0xffb1d1f7,
    0xffafcff5,
    0xffafcff5,
    0xffaecef4,
    0xffafcff5,
    0xffaecef4,
    0xffacccf2,
    0xffb1d1f7,
    0xffaecef4,
    0xffafcff5,
    0xffafcff5,
    0xffb0d0f6,
    0xffafcff5,
    0xffb0d0f6,
    0xffafcff5,
    0xffaecef4,
    0xffaed0f6,
    0xffaccef4,
    0xffaacdf2,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffadcff4,
    0xffaccef3,
    0xffabcdf2,
    0xffaaccf2,
    0xffabcdf3,
    0xffaccef4,
    0xffadcff4,
    0xffadcef8,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef3,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa8c9f2,
    0xffa9caf3,
    0xffaacbf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa8c9f2,
    0xffa7c8f1,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf5,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa8c9f4,
    0xffaacbf6,
    0xffa7c8f2,
    0xffa5c6f3,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa7c8f4,
    0xffa7c6f6,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa2c5f2,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa3c6f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa3c5f6,
    0xffa3c5f5,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa1c3f4,
    0xffa2c4f4,
    0xff9ec0f1,
    0xffa1c3f3,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xffa0c4f6,
    0xff9dc1f3,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9cc3f3,
    0xff9cc3f3,
    0xff9dc1f6,
    0xff9cc1f5,
    0xff9dc2f6,
    0xff9ec3f7,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff98bdf1,
    0xff9bc0f4,
    0xff9abff4,
    0xff9bc0f5,
    0xff98bdf2,
    0xff99bef2,
    0xff98bdf4,
    0xff97bcf4,
    0xff96bbf2,
    0xff97bcf3,
    0xff99bef6,
    0xff97bcf3,
    0xff98bdf4,
    0xff98bdf4,
    0xff98bdf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f4,
    0xff96b9f4,
    0xff96baf4,
    0xff96baf4,
    0xff93b7f1,
    0xff97bbf5,
    0xff97bbf5,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b8f2,
    0xff91b4ee,
    0xff90b8f3,
    0xff91b8f3,
    0xff8eb5f0,
    0xff8fb5f0,
    0xff8eb7f4,
    0xff8fb7f4,
    0xff8eb6f3,
    0xff90b7f4,
    0xff8eb6f3,
    0xff8cb4f1,
    0xff8bb3f0,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8db5f2,
    0xff8cb4f1,
    0xff8bb3f0,
    0xff8db4f1,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8ab5f0,
    0xff8bb5f1,
    0xff8ab2f2,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8ab4f4,
    0xff8cb3f4,
    0xff8cb3f4,
    0xff8cb3f4,
    0xff8cb3f4,
    0xff8ab1f2,
    0xff8bb2f3,
    0xff8bb2f3,
    0xff8ab1f2,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff87b0f0,
    0xff84b1f0,
    0xff85b1f0,
    0xff85b1f0,
    0xff85b1f0,
    0xff85b1f2,
    0xff83b0f3,
    0xff84b1f4,
    0xff84b0f3,
    0xff7fb0f1,
    0xff7fadf2,
    0xff7eaff2,
    0xff7fb0f3,
    0xff80b0ee,
    0xff84b0f6,
    0xff83aef6,
    0xff8fb8f3,
    0xff6593b1,
    0xff487982,
    0xff64959b,
    0xff64949e,
    0xff447a5d,
    0xff599380,
    0xff457e8e,
    0xff7cb2e4,
    0xff7eb3f9,
    0xff7bafeb,
    0xff3f778e,
    0xff336d65,
    0xff497c62,
    0xff457c6f,
    0xff337075,
    0xff539199,
    0xff346c68,
    0xff52846b,
    0xff4d784e,
    0xff719964,
    0xff2a4f2a,
    0xff517b6f,
    0xff417487,
    0xff6fa7d8,
    0xff467ec6,
    0xff6398e7,
    0xff7cb1f3,
    0xff6c9ed5,
    0xff002f58,
    0xff2c577b,
    0xff0c2f47,
    0xff0a3039,
    0xff002126,
    0xff002a41,
    0xff285a8f,
    0xff6b9be8,
    0xff70a6f0,
    0xff71a7f1,
    0xff6fa5ef,
    0xff71a7f0,
    0xff70a6f0,
    0xff71a7f0,
    0xff6fa4ee,
    0xff6ba3ec,
    0xff75a5e5,
    0xff70a2e7,
    0xff68a2e8,
    0xff6ba9f3,
    0xff67a8ee,
    0xff69a6e8,
    0xff71a9ea,
    0xff528ac7,
    0xff38719b,
    0xff225a89,
    0xff5e93c9,
    0xff2c6287,
    0xff1e5858,
    0xff0c4253,
    0xff3768a4,
    0xff4978be,
    0xff4d82c9,
    0xff4d88c5,
    0xff4783c6,
    0xff69a3f4,
    0xff538ddb,
    0xff70adea,
    0xff5695d8,
    0xff619ef5,
    0xff619eef,
    0xff619ff0,
    0xff609dee,
    0xff609dee,
    0xff63a0f1,
    0xff609dee,
    0xff619eef,
    0xff5d9bea,
    0xff5e9cef,
    0xff5f9bf2,
    0xff5e9af0,
    0xff5e9af0,
    0xff5c99ef,
    0xff5b97ed,
    0xff5b97ed,
    0xff5d99ef,
    0xff5c9aef,
    0xff5a99ee,
    0xff5c9bf0,
    0xff5a98ed,
    0xff5a98ef,
    0xff5997ee,
    0xff5a98ef,
    0xff5997ef,
    0xff5896ea,
    0xff5997ee,
    0xff5997ee,
    0xff5a98ef,
    0xff5997ee,
    0xff5895ee,
    0xff5995ee,
    0xff5592ec,
    0xff5393ef,
    0xff5393f0,
    0xff5294ed,
    0xff5195ec,
    0xff5094e9,
    0xff5295ea,
    0xff5195ee,
    0xff5393f1,
    0xff5394ef,
    0xff5394ee,
    0xff5293ed,
    0xff5293ed,
    0xff5294ee,
    0xff5192ec,
    0xff5092eb,
    0xff4f90ea,
    0xff4e91ea,
    0xff4e92eb,
    0xff4d90e9,
    0xff4d90e8,
    0xff4d90e8,
    0xff4e8fef,
    0xff4e8fee,
    0xff4e8fea,
    0xff4e8ef5,
    0xff4a90ee,
    0xff4a93e7,
    0xff4a93e6,
    0xff4c91ec,
    0xff4f90f2,
    0xff4e8cf2,
    0xff508df5,
    0xff4892e0,
    0xff4d93e7,
    0xff5394e5,
    0xff5c98f0,
    0xff538df2,
    0xff5b93e4,
    0xff326b99,
    0xff0d4166,
    0xff114d7b,
    0xff396ec3,
    0xff4b84bc,
    0xff296085,
    0xff023132,
    0xff0b3a1c,
    0xff264742,
    0xff04220a,
    0xff345a2f,
    0xff224323,
    0xff2e4633,
    0xff091a11,
    0xff1a221b,
    0xff0e0c01,
    0xff69634c,
    0xff665d43,
    0xff151000,
    0xff0f1000,
    0xff222d22,
    0xff0f2019,
    0xff00120b,
    0xff01120c,
    0xff00150f,
    0xff001510,
    0xff001511,
    0xff00150f,
    0xff112017,
    0xff102413,
    0xff0c2715,
    0xff021e10,
    0xff061916,
    0xff040c12,
    0xff070e1d,
    0xff031211,
    0xff011506,
    0xff000f0a,
    0xff141c21,
    0xff17120e,
    0xff66562c,
    0xfff8e393,
    0xff866f2e,
    0xffd7b875,
    0xff9f7335,
    0xffba8d4e,
    0xff805d1f,
    0xff736241,
    0xff040b07,
    0xff041d0e,
    0xffa72328,
    0xff9e232e,
    0xff7d1120,
    0xff76172e,
    0xff691835,
    0xff612246,
    0xff6c416e,
    0xff987aad,
    0xffb2a3d8,
    0xff9885b8,
    0xff553d68,
    0xff593356,
    0xff511b34,
    0xff681b2a,
    0xff7c1a26,
    0xff8a1e23,
    0xffa21c15,
    0xffc51f22,
    0xffc32c3e,
    0xff9c3c60,
    0xffd9abdd,
    0xffc3c7f4,
    0xffafcef4,
    0xffb6ccf8,
    0xffb0ccff,
    0xff92a0dd,
    0xffa8bcf1,
    0xffadd0f8,
    0xffb0d1f2,
    0xffb2cff0,
    0xffb0cef3,
    0xffb3cdf7,
    0xffa7b3e7,
    0xff574d74,
    0xff4f384c,
    0xff483653,
    0xff3e3446,
    0xff3e314c,
    0xff3e3352,
    0xff585188,
    0xffaec5ff,
    0xffbbcbff,
    0xffbdccff,
    0xffadcfea,
    0xffaad7f3,
    0xffbed2ff,
    0xff8970bd,
    0xff5f3172,
    0xffbbb2f0,
    0xffb3d5f6,
    0xffb6d2f8,
    0xffb3d4fd,
    0xff664d76,
    0xff7b112f,
    0xff7b121c,
    0xff8a1824,
    0xff9e0f23,
    0xffa60c25,
    0xffad0317,
    0xffb00213,
    0xffba0e1a,
    0xffc82119,
    0xffce301e,
    0xffc01e24,
    0xffb5141d,
    0xff9c091d,
    0xff980e20,
    0xffae1c25,
    0xffb42932,
    0xff750714,
    0xff9a2c32,
    0xffc73737,
    0xffd73e2d,
    0xffc03f40,
    0xff803a4d,
    0xff442934,
    0xff3a2630,
    0xff35325e,
    0xff9aade9,
    0xffbed2f4,
    0xffb5caf2,
    0xffbab7e4,
    0xffc7caf3,
    0xffb6cef2,
    0xffb6d2fb,
    0xffb5d0f9,
    0xffb8d0f3,
    0xffb6d5f0,
    0xffb0d6ec,
    0xffb0d7ec,
    0xffaed8f0,
    0xffb5d9fd,
    0xffc2d8ff,
    0xffc4bfea,
    0xff613b55,
    0xff62242c,
    0xff661c27,
    0xff5f1e20,
    0xff5f211a,
    0xff782b29,
    0xff8a2a36,
    0xff761d37,
    0xff733757,
    0xffb699bb,
    0xffcbd3ff,
    0xffbbd2ff,
    0xffafd3fc,
    0xffaed5fa,
    0xffb5d5f5,
    0xffbad1f2,
    0xffb7d2f3,
    0xffb2d3f7,
    0xffb6d2f4,
    0xffb9d6f8,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb4d1f3,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb4d3f4,
    0xffb5d3f4,
    0xffb5d3f4,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb5d2f5,
    0xffb5d2f4,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb5d2f5,
    0xffb5d2f5,
    0xffb5d2f4,
    0xffb6d3f6,
    0xffb1d2f3,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f4,
    0xffb1d2f3,
    0xffb2d3f3,
    0xffb3d4f5,
    0xffb3d4f4,
    0xffb3d4f5,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb3d4f7,
    0xffb2d4f7,
    0xffb2d4f7,
    0xffb3d4f7,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb0d2f5,
    0xffb1d2f5,
    0xffb1d3f6,
    0xffb2d3f6,
    0xffb1d3f6,
    0xffb1d3f6,
    0xffb1d2f5,
    0xffb1d3f6,
    0xffb1d2f5,
    0xffaed0f3,
    0xffb2cff3,
    0xffb1cff3,
    0xffb1cff3,
    0xffb1cff3,
    0xffb1cff3,
    0xffb2d0f3,
    0xffb2d0f3,
    0xffb3d1f5,
    0xffb0cef1,
    0xffb2d0f4,
    0xffb0cef2,
    0xffb3d1f4,
    0xffb0cef2,
    0xffb1cff3,
    0xffb2d0f4,
    0xffb2d0f3,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb2d1f6,
    0xffb0cdf5,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb0cdf5,
    0xffb3cff8,
    0xffb4d2f7,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffaecef4,
    0xffafcff5,
    0xffacccf2,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffafcff5,
    0xffafcff5,
    0xffb1d1f7,
    0xffaecef4,
    0xffb0d0f6,
    0xffb0d0f7,
    0xffb0d0f7,
    0xffaecef5,
    0xffadcdf4,
    0xffb0cff7,
    0xffb0d0f7,
    0xffaecef5,
    0xffaccbf3,
    0xffaed0f5,
    0xffadcff4,
    0xffadcff4,
    0xffadcff4,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef3,
    0xffaccdf6,
    0xffaccdf6,
    0xffaccdf6,
    0xffaccdf6,
    0xffabcbf5,
    0xffa9caf4,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf6,
    0xffaacbf6,
    0xffa6c7f2,
    0xffa7c8f3,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf5,
    0xffa9caf5,
    0xffa8c9f5,
    0xffa8c9f4,
    0xffa8c9f3,
    0xffa6c7f2,
    0xffa6c7f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c4f4,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa4c3f3,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa2c5f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f2,
    0xffa3c5f2,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f1,
    0xff9fc1ef,
    0xffa2c3f1,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xffa0c4f6,
    0xff9fc2f5,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec1f3,
    0xff9ec1f3,
    0xff9cc2f6,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f5,
    0xff9bc0f6,
    0xff99bef4,
    0xff9abff4,
    0xff99bef3,
    0xff99bef2,
    0xff98bdf2,
    0xff98bdf2,
    0xff99bef3,
    0xff99bef2,
    0xff97bcf0,
    0xff98bdf2,
    0xff97bcf5,
    0xff96baf5,
    0xff97bbf5,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff97bbf5,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff93b6f0,
    0xff90b7f3,
    0xff8fb6f2,
    0xff90b7f2,
    0xff90b6f1,
    0xff8fb7f1,
    0xff8db5f2,
    0xff8db5f2,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff90b8f5,
    0xff8fb7f4,
    0xff8bb3f0,
    0xff8eb6f3,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8cb4f3,
    0xff8db6f4,
    0xff8cb4f2,
    0xff8ab3f1,
    0xff89b2f0,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff8bb4f1,
    0xff89b0f1,
    0xff8ab1f2,
    0xff8bb2f3,
    0xff8ab1f2,
    0xff89b0f1,
    0xff8bb2f3,
    0xff8ab1f2,
    0xff8bb1f2,
    0xff8ab3f3,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff88b1f1,
    0xff88b0f1,
    0xff84b1ef,
    0xff85b1f0,
    0xff84b0f2,
    0xff84b1f1,
    0xff85b0f1,
    0xff84b0f1,
    0xff81b1f3,
    0xff82b2f4,
    0xff80b1f3,
    0xff81b2f4,
    0xff80aeef,
    0xff81adee,
    0xff85b0f8,
    0xff80aaf4,
    0xff8bb9dd,
    0xff2c5f50,
    0xff366948,
    0xff4e7d65,
    0xff57864e,
    0xff2e5e33,
    0xff265b4b,
    0xff265971,
    0xff75a8e0,
    0xff89bcfe,
    0xff6da2d8,
    0xff4f87a8,
    0xff427a6e,
    0xff3a7370,
    0xff4c8385,
    0xff356c61,
    0xff366945,
    0xff386933,
    0xff45753e,
    0xff366634,
    0xff4f7341,
    0xff5d8461,
    0xff487860,
    0xff3e7770,
    0xff387291,
    0xff487cc1,
    0xff93c6ff,
    0xff3f6f8f,
    0xff1c405b,
    0xff03233a,
    0xff0c2a3f,
    0xff001a39,
    0xff00255a,
    0xff5785d1,
    0xff82b4ff,
    0xff70a3ff,
    0xff76aaf6,
    0xff71a5f0,
    0xff71a7f1,
    0xff72a8f2,
    0xff72a8f2,
    0xff6ea7f1,
    0xff6ea6f0,
    0xff6da4ee,
    0xff72a3ef,
    0xff6ea3f3,
    0xff68a2f6,
    0xff67a3f6,
    0xff5f9de7,
    0xff6eaaec,
    0xff6da5e6,
    0xff6498d7,
    0xff205171,
    0xff1d4c5f,
    0xff33627b,
    0xff2b596a,
    0xff275867,
    0xff41719e,
    0xff36669d,
    0xff3e7193,
    0xff31668f,
    0xff043c6d,
    0xff548fce,
    0xff6ea5f9,
    0xff588dde,
    0xff255b9d,
    0xff2761a3,
    0xff6aa6f8,
    0xff64a2f5,
    0xff619eef,
    0xff619eef,
    0xff629ff0,
    0xff619eef,
    0xff609eef,
    0xff609dee,
    0xff619eef,
    0xff639bf2,
    0xff619af1,
    0xff5f98ef,
    0xff5f97ef,
    0xff5f97ef,
    0xff5e97ee,
    0xff5f97ef,
    0xff5e96ee,
    0xff5d99ef,
    0xff5c98ee,
    0xff5b97ed,
    0xff5b97ed,
    0xff5a96ef,
    0xff5a96ee,
    0xff5c98f0,
    0xff5c97f0,
    0xff5a99ed,
    0xff5c9aef,
    0xff5997ec,
    0xff5896ee,
    0xff5997ee,
    0xff5a98ef,
    0xff5a98ef,
    0xff5895ef,
    0xff5591f4,
    0xff5794fa,
    0xff5392f6,
    0xff5598f5,
    0xff5396ed,
    0xff5196ea,
    0xff5393ed,
    0xff5193f0,
    0xff5594ef,
    0xff5292ec,
    0xff5392ec,
    0xff5393ed,
    0xff5191eb,
    0xff5393ed,
    0xff5393ed,
    0xff5090eb,
    0xff5092f5,
    0xff5093ee,
    0xff5194ec,
    0xff4f90ec,
    0xff5191f2,
    0xff4f90ee,
    0xff4f91ea,
    0xff5193eb,
    0xff4d92ed,
    0xff4c93ea,
    0xff4d93e9,
    0xff4d93ea,
    0xff4c91ed,
    0xff4d92f0,
    0xff4f90f1,
    0xff4d8fec,
    0xff4c91e5,
    0xff4e93e2,
    0xff4a8be9,
    0xff4a8bf6,
    0xff4a8cf2,
    0xff4d8fed,
    0xff5e9fe5,
    0xff145476,
    0xff003954,
    0xff1e5b74,
    0xff114f4a,
    0xff0f475e,
    0xff33627c,
    0xff1a483c,
    0xff00251f,
    0xff0b2e0f,
    0xff163d13,
    0xff2c522a,
    0xff143413,
    0xff031b01,
    0xff091904,
    0xff777c6d,
    0xff383326,
    0xff0b0500,
    0xff0b230b,
    0xff082111,
    0xff0e211b,
    0xff273335,
    0xff050f10,
    0xff021110,
    0xff001411,
    0xff001e18,
    0xff0f3036,
    0xff001c2c,
    0xff001c2e,
    0xff022029,
    0xff00160d,
    0xff05190d,
    0xff051410,
    0xff010b15,
    0xff05141a,
    0xff001010,
    0xff01100d,
    0xff071013,
    0xff0e121c,
    0xff272429,
    0xff21190e,
    0xff191300,
    0xff9d9e85,
    0xff3d3820,
    0xff2a200a,
    0xff493b20,
    0xff5f5731,
    0xff030100,
    0xff0e1814,
    0xff051706,
    0xff971a35,
    0xff751031,
    0xff6d2a55,
    0xff71477c,
    0xff937ab3,
    0xffaa9ad5,
    0xffb9b3ec,
    0xffc0c3fb,
    0xffb3c7f8,
    0xffbbceff,
    0xffb6c5ff,
    0xffbec0ff,
    0xff8871a5,
    0xff8d4b6e,
    0xffaf4252,
    0xffad252a,
    0xffc02727,
    0xffc81722,
    0xffb82e4a,
    0xffcda3d0,
    0xffb8ccfe,
    0xffb0c9f6,
    0xffb4cef1,
    0xffafcef5,
    0xffb2d0ff,
    0xffa8bdf2,
    0xffa1b7ea,
    0xffb6d0fc,
    0xffb2cef3,
    0xffb2cff2,
    0xffb6d0f6,
    0xffbbd0fd,
    0xff9ba3d6,
    0xff514569,
    0xff523c4e,
    0xff473256,
    0xff3d3448,
    0xff3c324b,
    0xff3c3655,
    0xff62619d,
    0xffb9ccf3,
    0xffbbcdfe,
    0xffb8caf2,
    0xffb5d1f5,
    0xffb0d4f5,
    0xffbecef8,
    0xffbdbbff,
    0xff7279b9,
    0xffb9b3ed,
    0xffb7d7f0,
    0xffb1d4f7,
    0xffb8d6ff,
    0xff7d6389,
    0xff73102b,
    0xff800e1e,
    0xff9e1928,
    0xffaa142b,
    0xffa40821,
    0xffb60519,
    0xffbe081f,
    0xffbd061c,
    0xffc20d12,
    0xffdc372f,
    0xffbc1726,
    0xff8e0812,
    0xff8f1520,
    0xff861416,
    0xff99120b,
    0xffc4272a,
    0xff98232a,
    0xff610c12,
    0xff901d26,
    0xff9a1c1a,
    0xff95384a,
    0xff572c40,
    0xff3a2f35,
    0xff282536,
    0xff7c84b8,
    0xffbcceff,
    0xffb8cdf4,
    0xffb1cff6,
    0xffb9cdf6,
    0xffb1d1f5,
    0xffb7d0f8,
    0xffbccbf8,
    0xffb9cef9,
    0xffb9d2f7,
    0xffb0d6f3,
    0xffb3d2fa,
    0xffb1d5f6,
    0xffb5d3f3,
    0xffbccff6,
    0xffb1d1f5,
    0xffbee2ff,
    0xffb6b5d5,
    0xff5e284e,
    0xff721f34,
    0xff5a1821,
    0xff551f20,
    0xff642425,
    0xff7f2a33,
    0xff822231,
    0xff711c2c,
    0xff632031,
    0xff83638c,
    0xffc2c0eb,
    0xffbdd7ff,
    0xffb0d3fb,
    0xffb6d1f3,
    0xffbccdf0,
    0xffb8d3f1,
    0xffb0d5f5,
    0xffb4d2f4,
    0xffb7d4f6,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb3d0f2,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb4d1f3,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d2f4,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d2f5,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb1d3f3,
    0xffb1d3f3,
    0xffb2d3f4,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d3f4,
    0xffb3d4f4,
    0xffb3d4f4,
    0xffb3d4f4,
    0xffb3d4f4,
    0xffb1d2f3,
    0xffb3d4f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb3d4f5,
    0xffb3d4f4,
    0xffb3d4f5,
    0xffb1d2f3,
    0xffb3d0f5,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb2d0f4,
    0xffb1cff3,
    0xffb0cef2,
    0xffafcdf1,
    0xffafcdf1,
    0xffb2d0f4,
    0xffb1cff3,
    0xffb1cff3,
    0xffb0cef2,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb2d0f5,
    0xffb2cff8,
    0xffb0cdf5,
    0xffafccf4,
    0xffafccf4,
    0xffb3cff8,
    0xffb1cef7,
    0xffb3d1f6,
    0xffb2d0f6,
    0xffb0d1f7,
    0xffb1d0f7,
    0xffb1d2f4,
    0xffb0d1f3,
    0xffb1d1f7,
    0xffafcff5,
    0xffafcff5,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffadcdf3,
    0xffaecef4,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffaecef4,
    0xffb0d0f6,
    0xffafcff5,
    0xffb1d1f7,
    0xffafcff5,
    0xffadcdf3,
    0xffafcff5,
    0xffb0d0f6,
    0xffaecef4,
    0xffacccf2,
    0xffaacdf2,
    0xffadcff4,
    0xffadcff4,
    0xffaccef3,
    0xffadcff4,
    0xffadcff5,
    0xffaccef4,
    0xffaaccf2,
    0xffaaccf2,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffaccef3,
    0xffabcef3,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffaacbf4,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffa9caf3,
    0xffa9caf3,
    0xffa8c9f2,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf3,
    0xffa8c9f5,
    0xffa8c9f5,
    0xffa8c9f4,
    0xffa9caf6,
    0xffa8c9f5,
    0xffa9caf5,
    0xffa8c9f5,
    0xffa9caf5,
    0xffa9caf2,
    0xffa9caf2,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf4,
    0xffa8c9f7,
    0xffa8c9f6,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa2c2f1,
    0xffa2c2f1,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c3f1,
    0xffa0c2f0,
    0xff9fc4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9dc1f3,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec1f3,
    0xff9cc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff99bef2,
    0xff9abff2,
    0xff99bef4,
    0xff9abff4,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff97bcf1,
    0xff96bbf0,
    0xff98bdf4,
    0xff99bef4,
    0xff95b9f4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff94b8f2,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff93b7f1,
    0xff93b6f0,
    0xff91b9f1,
    0xff8eb5ed,
    0xff90b7f0,
    0xff8fb6ef,
    0xff8db5f3,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db5f2,
    0xff8eb6f3,
    0xff8bb3f0,
    0xff8db5f2,
    0xff8cb7f2,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8bb5f1,
    0xff8cb6f1,
    0xff8db7f3,
    0xff8cb6f2,
    0xff89b3ef,
    0xff8ab4f0,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8bb6f1,
    0xff8cb2f4,
    0xff8bb2f3,
    0xff8ab1f2,
    0xff8bb2f3,
    0xff8ab0f2,
    0xff8bb2f3,
    0xff8cb3f4,
    0xff8bb2f3,
    0xff8bb4f4,
    0xff88b1f1,
    0xff89b2f2,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff89b2f2,
    0xff86afef,
    0xff86afef,
    0xff88b1f1,
    0xff88b0f0,
    0xff86b2f3,
    0xff85b2f3,
    0xff84b3f3,
    0xff81b1f1,
    0xff7fb0f3,
    0xff81b2f3,
    0xff80b0ec,
    0xff80aff2,
    0xff7faefb,
    0xff86b4f9,
    0xff6fa0c6,
    0xff3f7173,
    0xff3c6f57,
    0xff1d4d2c,
    0xff123c18,
    0xff1a4323,
    0xff0d3a1f,
    0xff53846e,
    0xff548879,
    0xff629a98,
    0xff639bab,
    0xff73a9c0,
    0xff589478,
    0xff1f5b38,
    0xff3d754e,
    0xff396a3d,
    0xff44713e,
    0xff588252,
    0xff315e35,
    0xff265730,
    0xff5b804e,
    0xff385b3a,
    0xff1a432a,
    0xff316350,
    0xff366b7b,
    0xff5b90c3,
    0xff376790,
    0xff083939,
    0xff042829,
    0xff002121,
    0xff0c2f39,
    0xff072d51,
    0xff517fc0,
    0xff7fb1ff,
    0xff70a8fa,
    0xff6fa7f0,
    0xff73a7f0,
    0xff71a5ee,
    0xff73a6ef,
    0xff71a8ef,
    0xff71a7ef,
    0xff6da6ed,
    0xff6fa8ef,
    0xff71a9f1,
    0xff70a8f8,
    0xff6ca5f7,
    0xff76affc,
    0xff316dab,
    0xff336f9d,
    0xff4e87af,
    0xff3e73a4,
    0xff4b7bb2,
    0xff4d78a6,
    0xff37627f,
    0xff1a455b,
    0xff2d5d62,
    0xff427088,
    0xff3e69ad,
    0xff245390,
    0xff2a6283,
    0xff0e4462,
    0xff0f4a7b,
    0xff7cb8fe,
    0xff3c75c1,
    0xff386ab5,
    0xff3363ab,
    0xff649ae4,
    0xff65a3ee,
    0xff629bed,
    0xff67a1f3,
    0xff68a3f3,
    0xff629ded,
    0xff619cec,
    0xff649fee,
    0xff619bed,
    0xff619bed,
    0xff639df1,
    0xff629cf0,
    0xff619bef,
    0xff619bef,
    0xff5f99ed,
    0xff5f99ed,
    0xff609aed,
    0xff5f99ec,
    0xff5b97ed,
    0xff5b97ed,
    0xff5b97ed,
    0xff5c98ed,
    0xff5c98f0,
    0xff5c98f0,
    0xff5c98f0,
    0xff5b97ef,
    0xff5b98ed,
    0xff5d98ee,
    0xff5997ec,
    0xff5a98ec,
    0xff5896ed,
    0xff5a99f0,
    0xff5995ed,
    0xff5b97ef,
    0xff5c99ee,
    0xff5795f2,
    0xff5593f7,
    0xff5496f3,
    0xff5296eb,
    0xff5296e7,
    0xff5294ea,
    0xff5494f0,
    0xff5393ec,
    0xff5494ee,
    0xff5393ed,
    0xff5090eb,
    0xff5393ea,
    0xff5191e9,
    0xff5292e9,
    0xff5292ec,
    0xff508ff2,
    0xff5091e5,
    0xff579aea,
    0xff5091eb,
    0xff5090f3,
    0xff4f90ed,
    0xff5193e8,
    0xff5194eb,
    0xff4c91e5,
    0xff4e91e6,
    0xff4f92ec,
    0xff4f91ef,
    0xff4f92ee,
    0xff4f92eb,
    0xff4e92e7,
    0xff4c92e7,
    0xff4f8df9,
    0xff4e8fe6,
    0xff4d8eee,
    0xff4a8df1,
    0xff4b93e6,
    0xff4e94eb,
    0xff3776c2,
    0xff26667e,
    0xff0f3f3c,
    0xff2d5d4c,
    0xff0f411f,
    0xff002831,
    0xff082a3a,
    0xff274b37,
    0xff1f3d2d,
    0xff142f19,
    0xff124119,
    0xff14451b,
    0xff154418,
    0xff1f4a20,
    0xff1a3e1d,
    0xff041f07,
    0xff011005,
    0xff07130f,
    0xff001a0a,
    0xff072217,
    0xff041213,
    0xff15171d,
    0xff2b272d,
    0xff05070b,
    0xff001012,
    0xff031c1e,
    0xff0b2338,
    0xff042c58,
    0xff205795,
    0xff25538b,
    0xff0d233d,
    0xff030b0c,
    0xff010d0a,
    0xff001313,
    0xff001409,
    0xff04150b,
    0xff05130e,
    0xff070e0c,
    0xff101512,
    0xff272a29,
    0xff1c2125,
    0xff05090e,
    0xff000300,
    0xff050900,
    0xff0f1212,
    0xff070d09,
    0xff131e0d,
    0xff05110e,
    0xff010d12,
    0xff001101,
    0xff95497b,
    0xffa575a9,
    0xffb1a5df,
    0xffb4befc,
    0xffb3c6ff,
    0xffb8c8ff,
    0xffb7c7fb,
    0xffb9cbfb,
    0xffafc9ef,
    0xffafccf6,
    0xffafc8fb,
    0xffc8c5ff,
    0xffcf9fd9,
    0xffb4507f,
    0xffae2541,
    0xffbe222f,
    0xffb81e2b,
    0xffa41d38,
    0xffb9638c,
    0xffccc2f0,
    0xffaacff9,
    0xffb1ccf9,
    0xffb9cbf5,
    0xffadcfef,
    0xffaccbf1,
    0xffb6d2fd,
    0xffb2c8f7,
    0xffb4caf6,
    0xffb4cef5,
    0xffb3d1f6,
    0xffb6d0f7,
    0xffbcd2ff,
    0xff8b92c6,
    0xff4d4062,
    0xff4f384a,
    0xff423056,
    0xff3e324a,
    0xff3c324b,
    0xff383456,
    0xff6e71b3,
    0xffc6d4fc,
    0xffb7cdf1,
    0xffbcd2ea,
    0xffb8d1f6,
    0xffaecff5,
    0xffc1d2f3,
    0xffc4cdff,
    0xffa5c8f6,
    0xffabc1f0,
    0xffb1d7ee,
    0xffb2d3f6,
    0xffc8d0ff,
    0xff9779aa,
    0xff530631,
    0xff780a2c,
    0xff9e1422,
    0xffae0f26,
    0xffab1026,
    0xffb10516,
    0xffb70b1c,
    0xffb60b23,
    0xffaf0712,
    0xffa5231c,
    0xff8f1220,
    0xff7f131b,
    0xff871320,
    0xff80171a,
    0xff80110a,
    0xff920c0e,
    0xff8d2229,
    0xff530d14,
    0xff6a1a28,
    0xff7c2e3a,
    0xff663a4a,
    0xff402c37,
    0xff352736,
    0xff49496d,
    0xffb2c2f6,
    0xffb9d0ff,
    0xffb6d2f8,
    0xffb3d2f9,
    0xffb5d4fa,
    0xffb2d9f9,
    0xffbacdf4,
    0xffbbcdf4,
    0xffb2d3f7,
    0xffbbd1f7,
    0xffb4d5f8,
    0xffb4d3f7,
    0xffb4d3f9,
    0xffbccdfa,
    0xffc3cbf9,
    0xffb7d1f7,
    0xffaed8f5,
    0xffccd6fd,
    0xffa97eb3,
    0xff6b1e36,
    0xff6f2835,
    0xff642128,
    0xff662624,
    0xff7c3836,
    0xff75292d,
    0xff6f1d27,
    0xff731c2e,
    0xff5d0d2c,
    0xff825377,
    0xffd7cbf7,
    0xffc3d3fe,
    0xffbad0f4,
    0xffb9d1f0,
    0xffb7d2f1,
    0xffb3d3f7,
    0xffb6d4f5,
    0xffb7d4f6,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb9d6f8,
    0xffb7d4f6,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb3d1f3,
    0xffb2d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d4f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d2f5,
    0xffb5d2f4,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb2d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f5,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb3d4f6,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb2d0f4,
    0xffb4d2f6,
    0xffb7d5f9,
    0xffb8d6fa,
    0xffb3d1f5,
    0xffb6d3f8,
    0xffb2d0f4,
    0xffb1cff3,
    0xffb1cff3,
    0xffb1cff3,
    0xffb1cff3,
    0xffb2d0f3,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb2cef7,
    0xffafccf4,
    0xffb1cef6,
    0xffb1cef6,
    0xffb2d1f6,
    0xffb1cff5,
    0xffb3d1f7,
    0xffb3d0f6,
    0xffb1d1f7,
    0xffb0d2f4,
    0xffb1d2f5,
    0xffafd0f3,
    0xffb0d0f7,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffafcff5,
    0xffb0d0f6,
    0xffafcff5,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffafcff5,
    0xffb0d0f6,
    0xffaecef4,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffadcdf3,
    0xffaecdf4,
    0xffaccef0,
    0xffabcdf3,
    0xffaccef3,
    0xffaccef3,
    0xffadcff4,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffaccef4,
    0xffabccf5,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffa8c9f2,
    0xffaacbf3,
    0xffaacbf3,
    0xffaacbf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf2,
    0xffa9caf2,
    0xffa9caf6,
    0xffa9caf5,
    0xffa9caf4,
    0xffa8c9f4,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffaacaf9,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa8c8f7,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c3f3,
    0xffa5c7f5,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f1,
    0xff9fc4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9fc3f5,
    0xffa0c4f6,
    0xff9ec2f5,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9cc0f2,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec1f3,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff2,
    0xff96bbef,
    0xff96bbef,
    0xff99bef5,
    0xff99bef5,
    0xff95baf0,
    0xff97baf5,
    0xff98bcf6,
    0xff95b9f3,
    0xff95b9f6,
    0xff94b8f5,
    0xff96baf3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff97baf5,
    0xff92b9f2,
    0xff90b7f0,
    0xff93baf3,
    0xff90b7ef,
    0xff8eb7f4,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db5f2,
    0xff8db5f2,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff8cb4f2,
    0xff8cb3f1,
    0xff8ab4f0,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8cb6f2,
    0xff8bb5f1,
    0xff8cb6f1,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab4f3,
    0xff8bb4f4,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b2f2,
    0xff89b3f2,
    0xff88b1f1,
    0xff87b1f0,
    0xff88b2f1,
    0xff87b1f1,
    0xff88b1f1,
    0xff85b2f0,
    0xff86b2f3,
    0xff86b3f4,
    0xff82b2f2,
    0xff80b2f0,
    0xff80b3f1,
    0xff82b2f1,
    0xff81b0f7,
    0xff7fb0f6,
    0xff82b4f1,
    0xff87b7ea,
    0xff85b2da,
    0xff3c697d,
    0xff00282a,
    0xff042b30,
    0xff153b38,
    0xff325946,
    0xff527e57,
    0xff3e6a39,
    0xff245629,
    0xff144a27,
    0xff4b826b,
    0xff2d614a,
    0xff33694b,
    0xff1b512d,
    0xff346442,
    0xff234c31,
    0xff2f5539,
    0xff214823,
    0xff4d7c49,
    0xff426b35,
    0xff395a3e,
    0xff1a3a32,
    0xff285053,
    0xff316073,
    0xff235377,
    0xff001637,
    0xff073040,
    0xff002138,
    0xff002340,
    0xff001742,
    0xff3563a2,
    0xff6b9eee,
    0xff5d95e9,
    0xff6ca3ef,
    0xff76abed,
    0xff74a6ee,
    0xff71a5ee,
    0xff73a7f0,
    0xff71a8f0,
    0xff72a8f0,
    0xff6da7ee,
    0xff70a9f0,
    0xff71adf2,
    0xff68a5e8,
    0xff6ea9f0,
    0xff74a8e9,
    0xff6193c3,
    0xff20506c,
    0xff194b59,
    0xff3b6a7c,
    0xff1c4a65,
    0xff588ab6,
    0xff37689b,
    0xff2d5b8b,
    0xff25595e,
    0xff174956,
    0xff1e4d82,
    0xff194b80,
    0xff22558c,
    0xff275e8c,
    0xff1e59a1,
    0xff79baff,
    0xff22629f,
    0xff1d558e,
    0xff3467af,
    0xff71a7fa,
    0xff63a3f1,
    0xff67a1f2,
    0xff639eef,
    0xff5d98e7,
    0xff67a2f0,
    0xff4f8ada,
    0xff629cee,
    0xff649ef2,
    0xff639df3,
    0xff629cf0,
    0xff639df1,
    0xff639df1,
    0xff649ef2,
    0xff649ef2,
    0xff619bef,
    0xff619bef,
    0xff5f99ec,
    0xff5d99f0,
    0xff5c98ee,
    0xff5c98ee,
    0xff5c98ee,
    0xff5c98f0,
    0xff5c98f0,
    0xff5b97ef,
    0xff5b98f0,
    0xff5e96ed,
    0xff5b98ee,
    0xff5998ec,
    0xff5a98ec,
    0xff5a98ef,
    0xff5a98ef,
    0xff5894ed,
    0xff5c95ed,
    0xff5c99d1,
    0xff4f8dd1,
    0xff609ef2,
    0xff589aee,
    0xff559ae9,
    0xff5fa2ee,
    0xff5596e8,
    0xff5691eb,
    0xff5494ef,
    0xff5292ec,
    0xff5191eb,
    0xff5292e9,
    0xff5392eb,
    0xff5595ed,
    0xff5495ed,
    0xff5090e7,
    0xff5793eb,
    0xff5797db,
    0xff003c7e,
    0xff5694e7,
    0xff5391f2,
    0xff5192ed,
    0xff4f93e8,
    0xff4f92ed,
    0xff4e91e6,
    0xff4e91ea,
    0xff5090ef,
    0xff5090ef,
    0xff5190ec,
    0xff5091ea,
    0xff4e90e9,
    0xff4e92eb,
    0xff4e8cf5,
    0xff4f8ee9,
    0xff4e90ed,
    0xff4c8fec,
    0xff468fe1,
    0xff4082da,
    0xff2f69b3,
    0xff205b6e,
    0xff457864,
    0xff2f5f48,
    0xff0e381f,
    0xff052918,
    0xff234524,
    0xff3f6328,
    0xff254514,
    0xff2c4b2f,
    0xff234e29,
    0xff3b6941,
    0xff3a683f,
    0xff16421b,
    0xff2c5331,
    0xff25472d,
    0xff142f1e,
    0xff0d2417,
    0xff0d271a,
    0xff041a10,
    0xff05140e,
    0xff08100d,
    0xff272828,
    0xff181a1d,
    0xff08131c,
    0xff041524,
    0xff031935,
    0xff042a54,
    0xff073973,
    0xff00306a,
    0xff224373,
    0xff00112b,
    0xff000b12,
    0xff01120f,
    0xff021508,
    0xff06170d,
    0xff05130d,
    0xff000f03,
    0xff000a00,
    0xff283425,
    0xff1f251e,
    0xff090f0e,
    0xff050d05,
    0xff051008,
    0xff030d0e,
    0xff081713,
    0xff001202,
    0xff000d0e,
    0xff071820,
    0xff01160a,
    0xffb3bcf2,
    0xffb8cbff,
    0xffadc6fb,
    0xffafc7f9,
    0xffb7c8f6,
    0xffb7c7f4,
    0xffaecbf1,
    0xffa6ccf0,
    0xffb7c9fb,
    0xffb4c7f4,
    0xffc5c7f2,
    0xffc399bf,
    0xffa74065,
    0xffb3223f,
    0xffc42430,
    0xffc62728,
    0xffb41c3b,
    0xffb7668f,
    0xffd3b7e5,
    0xffc2c2ed,
    0xffb5cdf4,
    0xffadc8f7,
    0xffb7cdf9,
    0xffaecfee,
    0xffb1ceef,
    0xffaecff1,
    0xffb4cbf7,
    0xffb9cdfa,
    0xffb7d1fa,
    0xffb3d2f7,
    0xffb3cff5,
    0xffbad1fd,
    0xff7a7fb2,
    0xff504363,
    0xff4b3848,
    0xff433158,
    0xff3d324a,
    0xff3f364f,
    0xff3b3a5d,
    0xff8087ce,
    0xffbdd6ff,
    0xffacd1ff,
    0xffb4d1f2,
    0xffb9cef5,
    0xffafd7f2,
    0xffb3d6e8,
    0xffbbcbf9,
    0xffbad1fe,
    0xffb0cfff,
    0xffadd4ef,
    0xffb2d5f5,
    0xffbeccff,
    0xffceccff,
    0xffa38dbf,
    0xff611a40,
    0xff800e16,
    0xff860815,
    0xff891319,
    0xffa11518,
    0xffa7181e,
    0xffa80f24,
    0xffa50a16,
    0xff810c09,
    0xff7e1320,
    0xff7a181b,
    0xff840b18,
    0xff82091d,
    0xff800e21,
    0xff7d0717,
    0xff710b19,
    0xff662a2c,
    0xff60373b,
    0xff6d4351,
    0xff43383e,
    0xff342b2d,
    0xff3b2543,
    0xff9d99d5,
    0xffc2d5ff,
    0xffb8d3ee,
    0xffb0d4f5,
    0xffbdcdf7,
    0xffb7d1f7,
    0xffaed3f3,
    0xffbccef2,
    0xffb4d6f3,
    0xffa8d9f4,
    0xffbdcef7,
    0xffbfcef9,
    0xffb3d2f2,
    0xffb7d1f6,
    0xffb9d1f7,
    0xffb6d4f2,
    0xffb2daef,
    0xffafd9ed,
    0xffbdd7fb,
    0xffc3c9fa,
    0xff734565,
    0xff712c41,
    0xff78282e,
    0xff6f2115,
    0xff6a2610,
    0xff7c3427,
    0xff8a2e35,
    0xff881b2f,
    0xff881c2e,
    0xff691434,
    0xff774a72,
    0xffc0b9e7,
    0xffc2d6fa,
    0xffb5d3f2,
    0xffb7d4f4,
    0xffbad3fa,
    0xffb9d5f8,
    0xffb8d5f7,
    0xffb5d2f4,
    0xffb9d6f8,
    0xffb8d5f7,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb7d5f7,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d4f6,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb5d4f6,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb2d4f2,
    0xffb3d4f2,
    0xffb3d4f2,
    0xffb3d4f2,
    0xffb0d1f0,
    0xffb2d3f2,
    0xffb1d2f1,
    0xffb1d2f1,
    0xffb2d4f2,
    0xffb2d4f2,
    0xffb2d4f2,
    0xffb2d4f2,
    0xffb3d5f3,
    0xffb1d2f1,
    0xffb0d1ef,
    0xffb0d2f1,
    0xffb5d3f7,
    0xffb5d3f7,
    0xffb5d3f7,
    0xffb5d2f7,
    0xffb7d4f9,
    0xffb5d3f7,
    0xffb4d1f6,
    0xffb3d1f5,
    0xffb1cff4,
    0xffb3d2f5,
    0xffb1cff3,
    0xffb4d3f6,
    0xffb3d2f6,
    0xffb3d2f6,
    0xffb3d2f6,
    0xffb2d1f5,
    0xffb2cff6,
    0xffb3d1f7,
    0xffb3d1f7,
    0xffb4d1f8,
    0xffb3d1f8,
    0xffb1cef6,
    0xffb2cff7,
    0xffb2cef6,
    0xffb1d0f6,
    0xffb1cff6,
    0xffb4d2f8,
    0xffb4d1f8,
    0xffb1d1f8,
    0xffb1d2f5,
    0xffb1d1f4,
    0xffb0d1f3,
    0xffadcdf3,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffafcff5,
    0xffaecef4,
    0xffaecef4,
    0xffafcff5,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffaecef4,
    0xffafcff5,
    0xffb0d0f6,
    0xffb2d2f8,
    0xffadcdf3,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffafcff5,
    0xffb1d0f7,
    0xffafd2f4,
    0xffaccff1,
    0xffabcdf2,
    0xffaed0f5,
    0xffaccef3,
    0xffadcff3,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffaaccf2,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffaed0f6,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffaaccf2,
    0xffaccef4,
    0xffacccf6,
    0xffaccdf6,
    0xffaacbf4,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffaccdf6,
    0xffa9caf3,
    0xffa9caf3,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf6,
    0xffa9caf3,
    0xffabccf5,
    0xffa9caf3,
    0xffaacbf4,
    0xffabccf5,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa8c9f1,
    0xffa8c9f4,
    0xffa6c7f3,
    0xffa7c8f2,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa9c9f8,
    0xffa9c9f8,
    0xffaacaf9,
    0xffa8c8f7,
    0xffa6c5f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa2c2f1,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa2c2f1,
    0xffa2c2f1,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa4c6f5,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa3c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa4c6f4,
    0xff9fc1ef,
    0xff9fc4f5,
    0xffa0c3f5,
    0xffa0c3f5,
    0xffa0c3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9cc0f2,
    0xff9fc3f5,
    0xff9ec2f5,
    0xff9fc3f5,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9dc1f3,
    0xff9bc0f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f6,
    0xff9ec3f7,
    0xff9dc2f6,
    0xff99bef2,
    0xff9cc0f5,
    0xff9bc0f5,
    0xff9cc1f5,
    0xff9dc2f6,
    0xff9dc1f6,
    0xff9ec3f7,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff2,
    0xff9bc0f4,
    0xff9abff6,
    0xff97bcf3,
    0xff96bbf2,
    0xff97bbf4,
    0xff94b9f2,
    0xff95b8f3,
    0xff97bbf6,
    0xff96baf5,
    0xff96baf3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff92b6f0,
    0xff92b6f0,
    0xff94b7f1,
    0xff94bcf2,
    0xff94bbf1,
    0xff92b9f1,
    0xff8fb6f2,
    0xff90b5f3,
    0xff90b6f3,
    0xff90b6f3,
    0xff90b6f3,
    0xff90b6f3,
    0xff90b6f3,
    0xff90b6f4,
    0xff8cb4ef,
    0xff8fb7f2,
    0xff8eb6f1,
    0xff90b8f2,
    0xff8eb8f1,
    0xff8db8f1,
    0xff8bb6ef,
    0xff89b4ed,
    0xff89b4f0,
    0xff8bb6f1,
    0xff8db7f3,
    0xff8cb7f2,
    0xff8cb6f1,
    0xff8cb6f1,
    0xff8bb5f1,
    0xff8db7f3,
    0xff8ab3f3,
    0xff8cb5f5,
    0xff8db6f6,
    0xff8db6f6,
    0xff8db6f6,
    0xff8db6f6,
    0xff8cb5f5,
    0xff8ab3f4,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab4f4,
    0xff8db3f4,
    0xff8cb2f3,
    0xff88aff0,
    0xff89aff0,
    0xff87aeef,
    0xff86afef,
    0xff86afef,
    0xff85b0ee,
    0xff84b1f2,
    0xff83b3f3,
    0xff82b4f3,
    0xff82b4f4,
    0xff83b2f7,
    0xff81b3f4,
    0xff83b5f4,
    0xff7db1eb,
    0xff83b6f4,
    0xff8bb6f7,
    0xff8bb4ef,
    0xff6a91c1,
    0xff2e5a7a,
    0xff002735,
    0xff0f352d,
    0xff2f513e,
    0xff1d3e2a,
    0xff17392b,
    0xff18402c,
    0xff477657,
    0xff346432,
    0xff467b45,
    0xff4e8653,
    0xff184f22,
    0xff174524,
    0xff0b3112,
    0xff2f562c,
    0xff567b4b,
    0xff1b441a,
    0xff1f4129,
    0xff0e2c2a,
    0xff13343d,
    0xff2e5864,
    0xff09354f,
    0xff093167,
    0xff24458c,
    0xff254b83,
    0xff001656,
    0xff4973c1,
    0xff6597ee,
    0xff6da3fa,
    0xff6aa2f2,
    0xff75aaf4,
    0xff74a4e8,
    0xff76a8f1,
    0xff71a5ee,
    0xff71a5ee,
    0xff70a6ee,
    0xff72a8ef,
    0xff6fa8ef,
    0xff70a8f0,
    0xff6ca7ed,
    0xff70adec,
    0xff6ca5eb,
    0xff75a4f1,
    0xff6d96d8,
    0xff4d749d,
    0xff295163,
    0xff3a636f,
    0xff234c59,
    0xff35748a,
    0xff1b5388,
    0xff2f63a0,
    0xff22586a,
    0xff1c5162,
    0xff0e3e69,
    0xff235a74,
    0xff01345c,
    0xff104987,
    0xff619df9,
    0xff72b7ff,
    0xff1f639b,
    0xff0c4a72,
    0xff4a80c3,
    0xff6ca3fb,
    0xff5b9ced,
    0xff659fee,
    0xff70a8f5,
    0xff3c74c3,
    0xff6fa7f5,
    0xff326bbc,
    0xff6ea6fa,
    0xff659df3,
    0xff639bf1,
    0xff649ff3,
    0xff639df1,
    0xff629df1,
    0xff629cef,
    0xff629bf1,
    0xff629bf0,
    0xff639df1,
    0xff639cf0,
    0xff5d9aef,
    0xff5d98ef,
    0xff5b96ed,
    0xff5b97ed,
    0xff5b97ef,
    0xff5c97f0,
    0xff5c98f0,
    0xff5d99f1,
    0xff5e96ee,
    0xff5c97ed,
    0xff5a98ec,
    0xff5a98ee,
    0xff5896eb,
    0xff5694ea,
    0xff5c99f0,
    0xff66a0f4,
    0xff165675,
    0xff185784,
    0xff2d6dae,
    0xff4183cb,
    0xff498ed4,
    0xff478bd2,
    0xff4283d1,
    0xff5f9cf2,
    0xff5797f2,
    0xff5596f0,
    0xff5796f0,
    0xff5696ee,
    0xff5494eb,
    0xff5192ea,
    0xff5595ed,
    0xff5a98ee,
    0xff528dd4,
    0xff3171a5,
    0xff00396d,
    0xff5a9ae6,
    0xff5190ec,
    0xff5294ed,
    0xff5194ed,
    0xff4e91ef,
    0xff5194ee,
    0xff5191ef,
    0xff5090ef,
    0xff538eef,
    0xff5290ec,
    0xff4f8eec,
    0xff508ff1,
    0xff4f91f6,
    0xff4f93e4,
    0xff5093e8,
    0xff498de6,
    0xff4990ec,
    0xff5095f7,
    0xff5491f3,
    0xff4a81c5,
    0xff002236,
    0xff00363a,
    0xff174f4c,
    0xff0c3d32,
    0xff042f16,
    0xff2c552c,
    0xff284f25,
    0xff07290b,
    0xff032416,
    0xff133111,
    0xff183718,
    0xff0d2d0e,
    0xff18381e,
    0xff214127,
    0xff18351e,
    0xff122914,
    0xff122713,
    0xff0d2113,
    0xff051c0d,
    0xff001306,
    0xff02160a,
    0xff0e1f15,
    0xff3f4d4c,
    0xff05111f,
    0xff03132a,
    0xff284864,
    0xff052537,
    0xff133743,
    0xff002442,
    0xff1e5381,
    0xff184473,
    0xff00112a,
    0xff0d100f,
    0xff05120e,
    0xff021211,
    0xff001111,
    0xff000d0e,
    0xff000f0e,
    0xff30393a,
    0xff1f2025,
    0xff0b0a10,
    0xff001511,
    0xff000e08,
    0xff011513,
    0xff051913,
    0xff071808,
    0xff0b1b1a,
    0xff04161d,
    0xff00120b,
    0xffb5c4fd,
    0xffb5c4fb,
    0xffaacaf6,
    0xffa9ccf2,
    0xffb5c9f1,
    0xffb3c9ef,
    0xffa9cbf1,
    0xffaecef8,
    0xffbfc0e8,
    0xffd6bcf0,
    0xffcb7eb4,
    0xffad2c50,
    0xffbc2233,
    0xffbf232b,
    0xffc12526,
    0xffc12122,
    0xffb03e70,
    0xffd9b4e7,
    0xffb6d0f9,
    0xffb0d0f1,
    0xffb5d1f5,
    0xffb0d4ff,
    0xffaed2fe,
    0xffb6cdf2,
    0xffafccf3,
    0xffadd1ee,
    0xffacd0f2,
    0xffb2cffe,
    0xffb4cef8,
    0xffb9cfed,
    0xffbbd1f5,
    0xffb4c9fe,
    0xff716e9d,
    0xff564361,
    0xff533b53,
    0xff423150,
    0xff382c4e,
    0xff382d4c,
    0xff3e3964,
    0xff969bda,
    0xffc2d0fb,
    0xffb7d0f8,
    0xffb1d1f6,
    0xffb3d2f6,
    0xffb6d3f3,
    0xffb9d2f2,
    0xffb6d0f6,
    0xffb5d3fa,
    0xffb9d2f0,
    0xffb6d3f3,
    0xffb8d1fa,
    0xffbacff4,
    0xffbed3f4,
    0xffd4d5ff,
    0xff68386c,
    0xff630814,
    0xff7b1420,
    0xff7f1019,
    0xff850a21,
    0xff860a21,
    0xff8a1419,
    0xff861515,
    0xff7e0e14,
    0xff821215,
    0xff7d1325,
    0xff810e17,
    0xff821223,
    0xff710a2a,
    0xff710e27,
    0xff731618,
    0xff7a3536,
    0xff694052,
    0xff573b3c,
    0xff402c34,
    0xff342c28,
    0xff422137,
    0xffb39fd1,
    0xffc4d4fe,
    0xffbcd0f2,
    0xffb4d0f7,
    0xffb7d3f5,
    0xffb6d3f4,
    0xffb5d3f5,
    0xffb7d2f5,
    0xffb4d0f2,
    0xffb3d1f3,
    0xffb6d1f4,
    0xffb7d2f4,
    0xffb7d2f2,
    0xffb7d1f4,
    0xffb8d1f4,
    0xffb6d4f5,
    0xffb7d4f7,
    0xffb8d4f8,
    0xffb5d4f7,
    0xffbcd7ff,
    0xffb8a8d7,
    0xff6c2940,
    0xff7f2731,
    0xff792c2f,
    0xff772c23,
    0xff7d3027,
    0xff8a3435,
    0xff8d242c,
    0xff871a2b,
    0xff82122c,
    0xff6b1123,
    0xff643161,
    0xffb5b3ea,
    0xffbdd9ff,
    0xffb2d6ed,
    0xffb6d3fa,
    0xffb8d4f8,
    0xffb8d5f7,
    0xffb9d6f8,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb7d1f4,
    0xffb7d1f4,
    0xffb8d2f5,
    0xffb9d2f5,
    0xffbad4f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad4f7,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb5d2f4,
    0xffb7d3f6,
    0xffb6d3f5,
    0xffb5d3f5,
    0xffb2d3f4,
    0xffb0d4f3,
    0xffb1d2f3,
    0xffb3d4f5,
    0xffb3d5f6,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb2d4f5,
    0xffb5d2f5,
    0xffb5d2f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb5d2f5,
    0xffb1d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb0d2f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d3f3,
    0xffb0d3f3,
    0xffb0d3f3,
    0xffb0d3f3,
    0xffb0d2f2,
    0xffb0d2f2,
    0xffb0d2f2,
    0xffb0d3f2,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb4d1f5,
    0xffb0cef2,
    0xffb1cff3,
    0xffb1cff3,
    0xffb1cff3,
    0xffb1cff3,
    0xffb2d4f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb1d3f6,
    0xffaed1f3,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffb1d0f7,
    0xffaecef4,
    0xffb0d0f6,
    0xffb1cef5,
    0xffb2d0f6,
    0xffb3d1f7,
    0xffb0d0f6,
    0xffafcff5,
    0xffb0d0f6,
    0xffadcdf3,
    0xffb1d1f7,
    0xffaecef4,
    0xffb0d0f6,
    0xffadcdf3,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffafcff5,
    0xffaecef4,
    0xffb0d0f6,
    0xffaecff5,
    0xffb3d1f8,
    0xffafcdf3,
    0xffabcbf2,
    0xffaccbf1,
    0xffadcff4,
    0xffadcff4,
    0xffadcff3,
    0xffadcff3,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffaed0f6,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffaaccf2,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffaaccf2,
    0xffaccdf6,
    0xffaccdf6,
    0xffaccdf6,
    0xffaccdf6,
    0xffaacbf4,
    0xffa9caf3,
    0xffabccf5,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf5,
    0xffabcdf3,
    0xffabcdf2,
    0xffa9caf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa8c9f5,
    0xffabccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffabccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf3,
    0xffa8c9f2,
    0xffa7c8f6,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffaacbf8,
    0xffaacbf8,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa7c6f6,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f7,
    0xffa4c4f6,
    0xffa6c6f7,
    0xffa4c4f5,
    0xffa3c3f5,
    0xffa5c5f6,
    0xffa5c5f6,
    0xffa5c5f5,
    0xffa3c6f3,
    0xffa3c5f2,
    0xffa4c6f3,
    0xffa6c8f4,
    0xffa5c7f3,
    0xffa5c7f4,
    0xffa3c5f2,
    0xffa4c5f2,
    0xffa1c7f4,
    0xffa1c7f4,
    0xffa1c7f4,
    0xffa3c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa1c4f1,
    0xffa0c5f2,
    0xff9fc5f2,
    0xff9fc5f2,
    0xff9fc5f2,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa3c4f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c4f3,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9fc3f4,
    0xffa0c4f6,
    0xff9fc2f4,
    0xffa0c4f6,
    0xff9dc1f2,
    0xff9dc0f2,
    0xff9bc2f2,
    0xff9dc3f4,
    0xff9dc3f3,
    0xff9cc3f3,
    0xff9dc4f4,
    0xff9bc1f2,
    0xff9bc1f1,
    0xff9cc2f3,
    0xff9bc0f4,
    0xff98bdf3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff5,
    0xff9bc0f5,
    0xff9abff4,
    0xff99bef3,
    0xff9cc1f6,
    0xff99bef3,
    0xff97bcf1,
    0xff98bdf2,
    0xff95baf0,
    0xff96bcf1,
    0xff98bdf2,
    0xff99bef3,
    0xff94b8f3,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff97bbf5,
    0xff95b9f3,
    0xff95b9f3,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf4,
    0xff95b8f3,
    0xff94baf3,
    0xff92baf1,
    0xff91baf2,
    0xff90b9f1,
    0xff90baf2,
    0xff90b9f1,
    0xff92baf3,
    0xff8fb8f0,
    0xff8eb7f0,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8eb6f4,
    0xff8fb6f4,
    0xff8fb7f4,
    0xff8eb5f3,
    0xff8cb3f1,
    0xff8cb5f3,
    0xff8db6f4,
    0xff8bb4f3,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8bb3f2,
    0xff8db6f4,
    0xff8db5f4,
    0xff8bb4f4,
    0xff8db6f6,
    0xff8db6f6,
    0xff8cb5f5,
    0xff8db6f6,
    0xff8bb4f2,
    0xff8cb5f2,
    0xff8ab3f1,
    0xff8cb5f6,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8cb5f5,
    0xff8ab4f4,
    0xff89b3f2,
    0xff8ab4f3,
    0xff89b2f4,
    0xff8ab3f5,
    0xff8bb2f5,
    0xff87b1f3,
    0xff85b1f2,
    0xff83b2f2,
    0xff81b3f3,
    0xff80b3f2,
    0xff7cb4f1,
    0xff80b4ee,
    0xff84b6ed,
    0xff86b3e7,
    0xff76a5d8,
    0xff7bafe8,
    0xff7cb4f5,
    0xff85c1ff,
    0xff699edd,
    0xff5e91ca,
    0xff46769f,
    0xff164346,
    0xff214730,
    0xff133129,
    0xff02201c,
    0xff335936,
    0xff335c2f,
    0xff3e6c33,
    0xff508242,
    0xff407440,
    0xff29563a,
    0xff002512,
    0xff385c3d,
    0xff3c5f32,
    0xff293f20,
    0xff163526,
    0xff032f28,
    0xff0c3c4d,
    0xff063653,
    0xff336397,
    0xff0f3e9b,
    0xff3469bc,
    0xff001b69,
    0xff3767b1,
    0xff73a7ef,
    0xff76aaf7,
    0xff78a6fb,
    0xff77a5fb,
    0xff74a8f6,
    0xff72aaed,
    0xff73abf3,
    0xff73a8f3,
    0xff74a6f2,
    0xff75a4f1,
    0xff73a6f2,
    0xff73a6f2,
    0xff6fa7f3,
    0xff6da8f3,
    0xff71a6f5,
    0xff679fd3,
    0xff629bda,
    0xff588ede,
    0xff5990bd,
    0xff285d69,
    0xff28536b,
    0xff355885,
    0xff1d4a7a,
    0xff0e4271,
    0xff00375b,
    0xff20587c,
    0xff0d4446,
    0xff123c54,
    0xff32627c,
    0xff002746,
    0xff0c417d,
    0xff235ca5,
    0xff457ed0,
    0xff0c4492,
    0xff1f597b,
    0xff2b6090,
    0xff6eabef,
    0xff64a7fa,
    0xff62a9e8,
    0xff4884b6,
    0xff0c3d6a,
    0xff386aa2,
    0xff457fc8,
    0xff61a1f4,
    0xff61a0ef,
    0xff649eea,
    0xff659def,
    0xff669def,
    0xff649bef,
    0xff639cf2,
    0xff639bf6,
    0xff609df6,
    0xff5f9cef,
    0xff5d9be9,
    0xff5f9cee,
    0xff5d9aed,
    0xff5d9aed,
    0xff5d9aec,
    0xff5b9aef,
    0xff5b9aee,
    0xff5b9aee,
    0xff5c99f0,
    0xff5e96f5,
    0xff5f9aec,
    0xff5a97e7,
    0xff5a97f2,
    0xff5797f5,
    0xff589bea,
    0xff549ae2,
    0xff5598e5,
    0xff1e5787,
    0xff2c5b94,
    0xff37639d,
    0xff3f75a2,
    0xff145788,
    0xff4993d3,
    0xff064d92,
    0xff5194cc,
    0xff3877c5,
    0xff5997e5,
    0xff5a96ed,
    0xff5699e9,
    0xff347fc1,
    0xff5ba0f3,
    0xff5b94f2,
    0xff4c82c1,
    0xff114c6a,
    0xff1d5a8a,
    0xff2a66b7,
    0xff5496ed,
    0xff5196e4,
    0xff4f91ee,
    0xff4e90f3,
    0xff5194e2,
    0xff5294e4,
    0xff5093e9,
    0xff4b92ed,
    0xff4a91f0,
    0xff4e91ee,
    0xff5291eb,
    0xff5092f0,
    0xff4e8ef6,
    0xff4e8dec,
    0xff5292ec,
    0xff488cdf,
    0xff256ec1,
    0xff2e7ab8,
    0xff3a86b1,
    0xff3c7da6,
    0xff2f6e75,
    0xff174b4b,
    0xff114332,
    0xff3e6f47,
    0xff2d6135,
    0xff2e6433,
    0xff2f602e,
    0xff17391e,
    0xff091d17,
    0xff062015,
    0xff061b0e,
    0xff0f1d10,
    0xff05180d,
    0xff011b11,
    0xff021f11,
    0xff011d0d,
    0xff01190a,
    0xff001403,
    0xff021709,
    0xff001408,
    0xff00120d,
    0xff000c0b,
    0xff394445,
    0xff2c2e36,
    0xff11141c,
    0xff001c26,
    0xff082420,
    0xff001913,
    0xff083149,
    0xff023a77,
    0xff1b5093,
    0xff022244,
    0xff03100c,
    0xff03140d,
    0xff041411,
    0xff021212,
    0xff02120f,
    0xff000a06,
    0xff2d3735,
    0xff191b1f,
    0xff11101a,
    0xff000d08,
    0xff04120e,
    0xff071414,
    0xff001113,
    0xff0d2325,
    0xff041c1e,
    0xff021519,
    0xff021316,
    0xff9ed6f1,
    0xffabcef2,
    0xffabccf1,
    0xffaccdf2,
    0xffb2c7f0,
    0xffb4c8f1,
    0xffb8caf3,
    0xffc5c1f3,
    0xffc6a0c9,
    0xffb86189,
    0xffb02747,
    0xffbe202f,
    0xffba1c1b,
    0xffc5282d,
    0xffb6213b,
    0xffb12a5a,
    0xffe09ecf,
    0xffcfc7f7,
    0xffaec9f5,
    0xffb2ccf3,
    0xffb5caf3,
    0xff7999c9,
    0xffa3c6f6,
    0xffb6cffc,
    0xffb2cdf4,
    0xffb1cfef,
    0xffb0d0f3,
    0xffb1cef9,
    0xffb7d2f8,
    0xffbad1ed,
    0xffbdd4f7,
    0xffafc4f7,
    0xff64608a,
    0xff4f3d5a,
    0xff4f3750,
    0xff3d2f4a,
    0xff3b3052,
    0xff3b3153,
    0xff45406f,
    0xffa4ade9,
    0xffb8d5f9,
    0xffb3d2f3,
    0xffb1d1f5,
    0xffb7d3f3,
    0xffbad1f1,
    0xffb8ceee,
    0xffb5d0ed,
    0xffb6d6f5,
    0xffb2d5f3,
    0xffaed3f7,
    0xffadd0fa,
    0xffb1d1f6,
    0xffb7d9fa,
    0xffbdd7ff,
    0xff806e9d,
    0xff5c111d,
    0xff6e150f,
    0xff761a13,
    0xff7a161c,
    0xff7e151d,
    0xff80180c,
    0xff7a150c,
    0xff77121b,
    0xff73121c,
    0xff6e131e,
    0xff841116,
    0xff820e20,
    0xff923860,
    0xff7d315b,
    0xff66162b,
    0xff85434e,
    0xff5b394a,
    0xff4a2839,
    0xff352432,
    0xff3d182b,
    0xff6b1c3c,
    0xff9769a2,
    0xffbdd1ff,
    0xffb7d2ef,
    0xffb5d3f2,
    0xffb5d3f4,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb5d3f5,
    0xffb5cff2,
    0xffb7d1f4,
    0xffb8d1f4,
    0xffb5d3f5,
    0xffb8d5f6,
    0xffb8d3f9,
    0xffb8d4fa,
    0xffb8d7fa,
    0xffc8d0f6,
    0xff845d83,
    0xff79243f,
    0xff87272e,
    0xff80312d,
    0xff7f302f,
    0xff852e2e,
    0xff7e1d22,
    0xff821727,
    0xff86162e,
    0xff781522,
    0xff682753,
    0xffc6b4e8,
    0xffbcceff,
    0xffb3d6ed,
    0xffb7d5fd,
    0xffb6d3f6,
    0xffb6d3f4,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb4d2f4,
    0xffb7d1f4,
    0xffb7d1f4,
    0xffb7d1f4,
    0xffb9d2f5,
    0xffbad4f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad4f7,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb6d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d4f6,
    0xffb4d6f6,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d4f4,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb7d4f6,
    0xffb1d3f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb3d4f4,
    0xffb3d4f5,
    0xffb4d5f5,
    0xffb3d5f5,
    0xffb6d4f5,
    0xffb6d4f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb6d4f5,
    0xffb6d4f6,
    0xffb1d3f4,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb4d4f6,
    0xffb1d4f4,
    0xffb1d4f4,
    0xffb1d4f4,
    0xffb1d4f4,
    0xffb1d4f4,
    0xffb1d4f4,
    0xffb1d4f4,
    0xffb1d4f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb4d2f6,
    0xffb1cff3,
    0xffb1cff2,
    0xffb0cef2,
    0xffb3d1f5,
    0xffb2d0f4,
    0xffb1d3f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffafd1f4,
    0xffb1d3f6,
    0xffb0d3f5,
    0xffb2d3f5,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffafd1f3,
    0xffb0cef2,
    0xffb1cff3,
    0xffb2d0f4,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffafcff5,
    0xffaecef4,
    0xffb1d1f7,
    0xffaecef4,
    0xffb0d0f6,
    0xffaecef4,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffafcff5,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffafcff5,
    0xffaecef4,
    0xffaecef4,
    0xffaccff3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffadcff5,
    0xffaed0f6,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffabcef3,
    0xffacccf6,
    0xffaccdf6,
    0xffaccdf6,
    0xffaccdf6,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffa9caf3,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabcbf5,
    0xffabcdf2,
    0xffa9cbf1,
    0xffaaccf1,
    0xffaacaf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf7,
    0xffa8c9f2,
    0xffaacbf4,
    0xffabccf5,
    0xffa9caf3,
    0xffabccf5,
    0xffaacbf4,
    0xffabccf5,
    0xffaccdf5,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa7c8f5,
    0xffa9caf8,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa9c9f8,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c7f4,
    0xffa3c5f4,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa3c5f4,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa4c5f3,
    0xffa2c6f2,
    0xffa0c6f3,
    0xffa0c6f3,
    0xffa0c6f3,
    0xffa0c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xff9fc4f1,
    0xff9ec3f0,
    0xffa0c3f4,
    0xffa0c3f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9fc3f3,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9bc2f2,
    0xff9cc1f6,
    0xff9abff3,
    0xff9bc0f3,
    0xff9abff3,
    0xff9bc0f3,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f5,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff96bbf0,
    0xff97bcf0,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff95b9f3,
    0xff95b9f3,
    0xff97bbf5,
    0xff96baf4,
    0xff95b9f3,
    0xff96baf3,
    0xff96baf3,
    0xff96baf3,
    0xff96baf4,
    0xff95b9f3,
    0xff93b6f0,
    0xff95b9f3,
    0xff91baf3,
    0xff90b9f1,
    0xff90b9f1,
    0xff8eb7ef,
    0xff8eb7ef,
    0xff8fb8f0,
    0xff8eb7ef,
    0xff8fb8ef,
    0xff8fb6f2,
    0xff8eb6f1,
    0xff8db5f0,
    0xff8db5f0,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff8eb6f3,
    0xff8fb8f7,
    0xff8cb5f3,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8cb5f4,
    0xff8cb6f1,
    0xff8db7f3,
    0xff8db7f3,
    0xff8fb8f8,
    0xff8db6f6,
    0xff8cb5f5,
    0xff8db6f3,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f2,
    0xff8cb5f6,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8bb4f3,
    0xff8bb4f6,
    0xff8bb4f6,
    0xff8cb2f6,
    0xff88b1f3,
    0xff85b1f2,
    0xff84b2f3,
    0xff82b4f3,
    0xff83b5f4,
    0xff82b3f5,
    0xff83b2f7,
    0xff88b4f0,
    0xff6996be,
    0xff4a7a8f,
    0xff699cb0,
    0xff8bc0e0,
    0xff7fb3e5,
    0xff7babe1,
    0xff6a9cd9,
    0xff5889d8,
    0xff7dadf8,
    0xff638dbd,
    0xff30546f,
    0xff002121,
    0xff123910,
    0xff5f8459,
    0xff26501d,
    0xff3e6c36,
    0xff2b582b,
    0xff315c3d,
    0xff1f462d,
    0xff466648,
    0xff294822,
    0xff19371f,
    0xff32533c,
    0xff173c40,
    0xff22477c,
    0xff3c67a6,
    0xff1e4d8a,
    0xff1e4e94,
    0xff002e6b,
    0xff74a6e6,
    0xff6a9fe7,
    0xff74a8f9,
    0xff74a7f6,
    0xff77a9ef,
    0xff77a8e6,
    0xff78abe9,
    0xff75aded,
    0xff72a8ea,
    0xff75a9f0,
    0xff75a9f4,
    0xff76a8f5,
    0xff72a5f3,
    0xff71a6f2,
    0xff6fa8ef,
    0xff6fa7ee,
    0xff79aafd,
    0xff73a7dc,
    0xff3a6d97,
    0xff3f6e97,
    0xff6f9caf,
    0xff3e6c64,
    0xff325b54,
    0xff32575b,
    0xff0c3a5b,
    0xff5e8cd2,
    0xff073987,
    0xff245790,
    0xff0d3f48,
    0xff062f58,
    0xff295086,
    0xff14456b,
    0xff0f4873,
    0xff165577,
    0xff1f587a,
    0xff16477d,
    0xff07345e,
    0xff022f73,
    0xff4e85d1,
    0xff61a5f0,
    0xff6ea9f9,
    0xff30678e,
    0xff13465b,
    0xff235588,
    0xff4984d4,
    0xff65a6f6,
    0xff5f9fea,
    0xff669def,
    0xff659ef2,
    0xff659ff1,
    0xff629cee,
    0xff629cf0,
    0xff639bf4,
    0xff639bf4,
    0xff639cf1,
    0xff639cef,
    0xff609ef1,
    0xff5e9bee,
    0xff5f9cef,
    0xff5e9bee,
    0xff5c99ec,
    0xff5d9bf0,
    0xff5c9aef,
    0xff5a99ed,
    0xff5d9ae7,
    0xff5d9be5,
    0xff5b98e6,
    0xff5a98ee,
    0xff5c98f4,
    0xff5e9af1,
    0xff64a1f1,
    0xff609eea,
    0xff5d99df,
    0xff497ec0,
    0xff07386c,
    0xff41789f,
    0xff195688,
    0xff4582c7,
    0xff477dbd,
    0xff154571,
    0xff256983,
    0xff4486be,
    0xff4688cd,
    0xff478dcc,
    0xff4387ce,
    0xff1c5ea4,
    0xff5190c8,
    0xff4b89b8,
    0xff275f8f,
    0xff2159a4,
    0xff68a3f7,
    0xff5394e1,
    0xff4f93e3,
    0xff5092ec,
    0xff5291ed,
    0xff5393eb,
    0xff518fe8,
    0xff5190ed,
    0xff5091ef,
    0xff5090ee,
    0xff5191e8,
    0xff518fe0,
    0xff5290e1,
    0xff5794ea,
    0xff5295ef,
    0xff5193ed,
    0xff5497e5,
    0xff3174c2,
    0xff1f629f,
    0xff003062,
    0xff0d3b69,
    0xff073335,
    0xff1f4e30,
    0xff174320,
    0xff143c17,
    0xff012d06,
    0xff063603,
    0xff2d5f1e,
    0xff204915,
    0xff0d2c0f,
    0xff042013,
    0xff001708,
    0xff061605,
    0xff081b0b,
    0xff061c0f,
    0xff041b12,
    0xff091f17,
    0xff071613,
    0xff071a12,
    0xff061a14,
    0xff011612,
    0xff001311,
    0xff071615,
    0xff000505,
    0xff484f4f,
    0xff191a1d,
    0xff011721,
    0xff061b23,
    0xff021824,
    0xff022340,
    0xff063360,
    0xff194871,
    0xff001127,
    0xff010d0d,
    0xff000f08,
    0xff021110,
    0xff011110,
    0xff01110d,
    0xff020e09,
    0xff1e2824,
    0xff1a1e23,
    0xff14141d,
    0xff000c0b,
    0xff000d0d,
    0xff021010,
    0xff041618,
    0xff001012,
    0xff051a1a,
    0xff061a1b,
    0xff000d0d,
    0xffacccf2,
    0xffbcc6ee,
    0xffbbc4ec,
    0xffb2c8f3,
    0xffb5c9fe,
    0xffb2c2f8,
    0xffcdc5f2,
    0xffc193ba,
    0xff9c3655,
    0xffba2e41,
    0xffc72630,
    0xffbe2225,
    0xffc22024,
    0xffc92130,
    0xffa92449,
    0xffce82bb,
    0xffd0c9f4,
    0xffb4c9f5,
    0xffaecdfb,
    0xffbccbf7,
    0xffbdcaf9,
    0xffaac8fa,
    0xff5d7fb4,
    0xffb5ceff,
    0xffbad2fe,
    0xffb8d1f6,
    0xffb5cff3,
    0xffb4cff5,
    0xffb6d0f2,
    0xffb6d0ed,
    0xffbdd3f6,
    0xff9eb1e1,
    0xff585076,
    0xff56435f,
    0xff4b364e,
    0xff3b2f47,
    0xff3d3554,
    0xff3c3256,
    0xff494979,
    0xffacb9f5,
    0xffb4d7f8,
    0xffb0d5f3,
    0xffb0d6f5,
    0xffb0d6f3,
    0xffb4d5f5,
    0xffb8d7f4,
    0xffb9d2f0,
    0xffbad0ee,
    0xffbbcff0,
    0xffbed0f4,
    0xffb8d3fc,
    0xffb7d3f6,
    0xffbdd1f2,
    0xffc5d8ff,
    0xff997daa,
    0xff750521,
    0xff820f18,
    0xff8a1a1b,
    0xff8f1b22,
    0xff8d1819,
    0xff992412,
    0xff931f13,
    0xff8d1723,
    0xff851425,
    0xff7c161f,
    0xff890f1a,
    0xff6f021b,
    0xffb67eac,
    0xffd3b2e6,
    0xff6e3f65,
    0xff703f52,
    0xff452933,
    0xff44202c,
    0xff34191b,
    0xff4b071a,
    0xff89192b,
    0xffad6891,
    0xffd3cfff,
    0xffc2c9ed,
    0xffb5d0e7,
    0xffb6d3f5,
    0xffb5d2f5,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb5d2f4,
    0xffbad4fa,
    0xffb9d3f9,
    0xffb9d3f5,
    0xffb7d1f4,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d4f6,
    0xffb5d2f3,
    0xffbddcf7,
    0xffb0ade0,
    0xff732c58,
    0xff8e2333,
    0xff82252c,
    0xff79282d,
    0xff802429,
    0xff7a1e28,
    0xff811826,
    0xff83152b,
    0xff841a26,
    0xff68153b,
    0xff936e9d,
    0xffcaceff,
    0xffbad7f1,
    0xffb5d4fe,
    0xffb7d3f6,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb8d5f8,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f6,
    0xffb8d6f8,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d6f8,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb7d5f7,
    0xffb7d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb7d4f7,
    0xffb4d6f7,
    0xffb3d5f6,
    0xffb3d4f5,
    0xffb5d3f5,
    0xffb5d4f6,
    0xffb5d3f5,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d4f6,
    0xffb5d4f6,
    0xffb6d4f5,
    0xffb3d4f8,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb4d5f8,
    0xffb3d5f8,
    0xffb3d5f8,
    0xffb6d3f8,
    0xffb6d4f8,
    0xffb6d4f8,
    0xffb5d3f7,
    0xffb5d3f7,
    0xffb6d4f8,
    0xffb6d4f8,
    0xffb6d3f8,
    0xffb4d5f6,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f4,
    0xffb2d4f7,
    0xffb2d4f7,
    0xffb2d4f7,
    0xffb5d3f7,
    0xffb3d1f6,
    0xffb3d1f5,
    0xffb5d3f7,
    0xffb4d2f7,
    0xffb4d2f6,
    0xffb3d1f5,
    0xffb4d2f6,
    0xffb1d3f6,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffafd0f3,
    0xffb3d4f7,
    0xffb2d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb0d2f5,
    0xffb2cff4,
    0xffb1cef2,
    0xffb1cff3,
    0xffafcff6,
    0xffb1d1f6,
    0xffb1d1f7,
    0xffb2d2f8,
    0xffb1d1f7,
    0xffadcdf3,
    0xffb0d0f6,
    0xffaecef4,
    0xffafcff5,
    0xffb1d1f7,
    0xffb1d1f6,
    0xffb1d1f6,
    0xffb1d1f6,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f6,
    0xffaed2f6,
    0xffb0d3f8,
    0xffb1d3f8,
    0xffafd1f6,
    0xffaed0f5,
    0xffaed0f5,
    0xffaed0f5,
    0xffaed0f5,
    0xffb0d2f8,
    0xffb0d2f8,
    0xffafd1f7,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffabccf6,
    0xffacccf6,
    0xffacccf6,
    0xffacccf6,
    0xffaccdf6,
    0xffaacbf4,
    0xffaccdf6,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabcbf5,
    0xffabcdf2,
    0xffa9cbf1,
    0xffa9cbf1,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffabccf5,
    0xffabccf7,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa7c8f1,
    0xffa8c9f2,
    0xffa7c8f1,
    0xffa8c9f2,
    0xffaacbf3,
    0xffaacbf6,
    0xffa9caf5,
    0xffa7c8f3,
    0xffaacbf6,
    0xffaacbf6,
    0xffa8c9f4,
    0xffa9caf5,
    0xffaacbf6,
    0xffa9caf7,
    0xffa9caf7,
    0xffa8c9f5,
    0xffa7c6f6,
    0xffaacaf9,
    0xffaac9f9,
    0xffa8c8f7,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa3c6f3,
    0xffa3c5f3,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa3c5f3,
    0xffa3c6f4,
    0xffa3c3f2,
    0xffa5c5f4,
    0xffa5c4f4,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c7f4,
    0xffa1c7f4,
    0xffa3c7f4,
    0xffa3c7f4,
    0xffa0c5f2,
    0xffa1c6f3,
    0xffa0c5f2,
    0xff9fc4f1,
    0xffa0c5f1,
    0xff9fc5f1,
    0xff9fc3f4,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa1c5f7,
    0xff9fc3f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9cc2f3,
    0xff9ec4f5,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9bc1f2,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff99bef3,
    0xff9abff4,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9cc1f6,
    0xff99bef3,
    0xff96bbf0,
    0xff97bcf1,
    0xff98bdf6,
    0xff98bcf7,
    0xff98bcf7,
    0xff97bbf5,
    0xff97bbf6,
    0xff96baf5,
    0xff96baf5,
    0xff95b9f3,
    0xff96baf6,
    0xff96baf6,
    0xff96baf6,
    0xff96baf6,
    0xff94b8f4,
    0xff95b9f5,
    0xff92b6f2,
    0xff94b8f5,
    0xff91baf1,
    0xff92bbf3,
    0xff92bbf3,
    0xff93bcf4,
    0xff90b9f1,
    0xff91baf2,
    0xff8fb8f0,
    0xff8db7ee,
    0xff8eb6f2,
    0xff8fb7f2,
    0xff8eb6f1,
    0xff8eb6f1,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff90b7f5,
    0xff8bb5f1,
    0xff8eb8f4,
    0xff8eb8f4,
    0xff8db7f3,
    0xff8bb5f1,
    0xff8ab4f0,
    0xff8bb5f1,
    0xff8bb6f1,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8bb4f2,
    0xff8bb4f1,
    0xff8cb5f5,
    0xff89b2f2,
    0xff8bb4f4,
    0xff89b2f2,
    0xff8bb4f4,
    0xff8ab3f3,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff88b1f0,
    0xff89b2f1,
    0xff89b2f2,
    0xff88b1f1,
    0xff85b1f0,
    0xff85b3f1,
    0xff84b4f1,
    0xff84b4f2,
    0xff86b1f1,
    0xff89b3f9,
    0xff87b2f7,
    0xff82aed9,
    0xff2b5b64,
    0xff3c6b63,
    0xff315e5c,
    0xff3f6a75,
    0xff5a8497,
    0xff6ca0b3,
    0xff76b0de,
    0xff82bcf7,
    0xff5890b2,
    0xff44767d,
    0xff265042,
    0xff5d875e,
    0xff3c6030,
    0xff1a3f12,
    0xff254f24,
    0xff143d1a,
    0xff28502f,
    0xff052b0d,
    0xff3b5a40,
    0xff1e3a21,
    0xff092f22,
    0xff1f432c,
    0xff2a4848,
    0xff002237,
    0xff113f66,
    0xff1b4b8f,
    0xff6a99e4,
    0xff8bb8f7,
    0xff76aaec,
    0xff73acf4,
    0xff71abf7,
    0xff75acf4,
    0xff78abea,
    0xff76a8e6,
    0xff76a8f0,
    0xff75a9fb,
    0xff78a9f4,
    0xff77a8f2,
    0xff74a8f1,
    0xff74aaf3,
    0xff74aaf2,
    0xff74aaf3,
    0xff74a9f4,
    0xff76a9f4,
    0xff77a6f5,
    0xff6696d1,
    0xff4a748c,
    0xff395d60,
    0xff476663,
    0xff395a4e,
    0xff3b5e48,
    0xff335a45,
    0xff0f414f,
    0xff154580,
    0xff5e8edb,
    0xff083668,
    0xff28555c,
    0xff0e2e54,
    0xff123a68,
    0xff356379,
    0xff285673,
    0xff0c384c,
    0xff194a5c,
    0xff092e52,
    0xff26516b,
    0xff0e3c74,
    0xff3d79c0,
    0xff5099e7,
    0xff5784dd,
    0xff1f526d,
    0xff073c41,
    0xff295e93,
    0xff6da9ff,
    0xff5b9fec,
    0xff64a2e9,
    0xff639af2,
    0xff649cf4,
    0xff649df3,
    0xff639df1,
    0xff659ff0,
    0xff639df0,
    0xff629df0,
    0xff639df1,
    0xff639cf2,
    0xff639def,
    0xff5f9df0,
    0xff619ef1,
    0xff619ef1,
    0xff5d99ec,
    0xff5d9bf1,
    0xff5d9bf0,
    0xff5b99ee,
    0xff5c9af0,
    0xff5a98ed,
    0xff5b99f0,
    0xff5c98f1,
    0xff5f99ec,
    0xff4b85cd,
    0xff3169a3,
    0xff447da8,
    0xff316d76,
    0xff2c6274,
    0xff164669,
    0xff4d7db7,
    0xff5083d1,
    0xff2253a2,
    0xff5e89b3,
    0xff052f2b,
    0xff064139,
    0xff427ca8,
    0xff23628a,
    0xff47849f,
    0xff194a7e,
    0xff6e9ec3,
    0xff1a5a61,
    0xff236484,
    0xff2f6cac,
    0xff4a82e3,
    0xff5895f2,
    0xff5192e6,
    0xff5190ef,
    0xff5290f2,
    0xff5391e9,
    0xff5591f0,
    0xff538eed,
    0xff538df1,
    0xff528ef2,
    0xff528fee,
    0xff5591ee,
    0xff528cea,
    0xff5991ee,
    0xff4680d9,
    0xff458ad1,
    0xff4e92d8,
    0xff599ce2,
    0xff5c9bf1,
    0xff4e8ade,
    0xff2f68b1,
    0xff103f79,
    0xff19484b,
    0xff275434,
    0xff1c451b,
    0xff284822,
    0xff496946,
    0xff395c32,
    0xff2f5922,
    0xff204a11,
    0xff173e12,
    0xff0a2b0d,
    0xff0f2912,
    0xff021606,
    0xff021407,
    0xff001307,
    0xff00130f,
    0xff000e0c,
    0xff030e0a,
    0xff000e0e,
    0xff001110,
    0xff001413,
    0xff051919,
    0xff001210,
    0xff03120f,
    0xff272e2c,
    0xff171f1c,
    0xff0c1624,
    0xff021025,
    0xff0f2240,
    0xff041c39,
    0xff022238,
    0xff001823,
    0xff081a1e,
    0xff0a1212,
    0xff02130c,
    0xff000c0c,
    0xff011110,
    0xff000e0e,
    0xff000b07,
    0xff1d2622,
    0xff212427,
    0xff16181f,
    0xff000e10,
    0xff000c10,
    0xff031215,
    0xff001011,
    0xff011514,
    0xff0c1d1b,
    0xff041811,
    0xff031610,
    0xffb2c5ff,
    0xffbac5f3,
    0xffb3caea,
    0xffb0ccf6,
    0xffbac4ff,
    0xffcfb8f8,
    0xffbc79a5,
    0xffad3653,
    0xffbb3442,
    0xffc42a35,
    0xffc8262e,
    0xffbd1c25,
    0xffca2332,
    0xffbb2039,
    0xffc36c8e,
    0xffccc0e6,
    0xffb0caf3,
    0xffb0d3fa,
    0xffb0ccf8,
    0xffbac8f5,
    0xffbbcbf5,
    0xffb4d3fe,
    0xff9fc1f3,
    0xff6075af,
    0xffb7cafd,
    0xffbfd1ff,
    0xffb8cff7,
    0xffb6cdf4,
    0xffbad5f8,
    0xffb9d1f5,
    0xffbcd1fb,
    0xff929ccf,
    0xff554a6b,
    0xff55415b,
    0xff4d3b4f,
    0xff403748,
    0xff3b354f,
    0xff3c335a,
    0xff545587,
    0xffb5c7ff,
    0xffb5d2fa,
    0xffb7d2f8,
    0xffbed4f8,
    0xffbacef6,
    0xffbbd1fa,
    0xffb7caf7,
    0xffbbcbf8,
    0xffcad7ff,
    0xffc3d7ff,
    0xffc4d3fb,
    0xffb8d7ff,
    0xffb8daff,
    0xffc5d5f7,
    0xffc6d6fd,
    0xffc29fcf,
    0xff9f1943,
    0xff951426,
    0xffba3b39,
    0xffb83b31,
    0xffb03825,
    0xffaf441f,
    0xffbd5337,
    0xffb14037,
    0xff9f271d,
    0xffa92a37,
    0xff9e2d40,
    0xff924c6c,
    0xffc6b8ea,
    0xffb8c0f1,
    0xff6b5d7e,
    0xff4e3041,
    0xff3d222f,
    0xff411814,
    0xff67130c,
    0xffb1303b,
    0xffc43e2e,
    0xffa2595f,
    0xffd2c2fd,
    0xffc8cbf3,
    0xffb9d2ef,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb5d2f4,
    0xffbbd5fa,
    0xffb8d2f7,
    0xffb7d1f7,
    0xffb9d3f5,
    0xffb9d3f6,
    0xffbbd4f5,
    0xffbbd4f5,
    0xffb9d5f4,
    0xffb5d8f5,
    0xffc6d8ff,
    0xff9674a1,
    0xff802b46,
    0xff862433,
    0xff7e2228,
    0xff7e2125,
    0xff811e2c,
    0xff821927,
    0xff85182d,
    0xff84141c,
    0xff801b39,
    0xff642954,
    0xffbdb3e6,
    0xffbdd9f5,
    0xffb4d3fd,
    0xffb8d4f6,
    0xffb8d6f5,
    0xffb8d5f5,
    0xffb6d4f3,
    0xffb7d4f4,
    0xffb7d4f4,
    0xffb7d5f4,
    0xffb7d5f4,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb6d4f5,
    0xffb4d2f4,
    0xffbbd4f8,
    0xffbbd4f7,
    0xffbad3f7,
    0xffbad3f6,
    0xffbbd4f7,
    0xffbad3f6,
    0xffbad3f7,
    0xffbad3f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb6d5f7,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb6d4f5,
    0xffb6d3f5,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb5d2f4,
    0xffb5d3f7,
    0xffb5d3f7,
    0xffb5d3f7,
    0xffb5d3f7,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb5d3f7,
    0xffb6d3f7,
    0xffb5d4f7,
    0xffb5d3f7,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb5d3f7,
    0xffb6d4f8,
    0xffb3d4f4,
    0xffb3d5f6,
    0xffb3d5f6,
    0xffb3d4f5,
    0xffb4d6f7,
    0xffb3d4f5,
    0xffb1d3f4,
    0xffb2d4f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb1d3f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f4,
    0xffb5d3f4,
    0xffb4d2f4,
    0xffb4d2f3,
    0xffb5d3f7,
    0xffb4d2f7,
    0xffb7d5f9,
    0xffb7d4f9,
    0xffb3d5f8,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffafd0f3,
    0xffaccef0,
    0xffaecff2,
    0xffb0d0f6,
    0xffb0d0f8,
    0xffb2d2f9,
    0xffb2d2fa,
    0xffb0d0f8,
    0xffadcdf4,
    0xffb0d0f7,
    0xffafcff7,
    0xffafcff7,
    0xffb1d1f8,
    0xffb0d0f8,
    0xffb1d1f8,
    0xffb1d1f8,
    0xffafcff6,
    0xffb1d1f8,
    0xffb0d0f8,
    0xffacd2f6,
    0xffaed2f6,
    0xffadd1f5,
    0xffacd0f4,
    0xffadcff4,
    0xffadcff4,
    0xffafcef4,
    0xffafcef4,
    0xffaed0f5,
    0xffaed0f5,
    0xffaed0f5,
    0xffabcdf2,
    0xffaccef3,
    0xffabcdf2,
    0xffabcdf2,
    0xffabcdf2,
    0xffaccff5,
    0xffaccff4,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffadcff5,
    0xffaccff5,
    0xffaccff5,
    0xffabcdf3,
    0xffabcef3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffaecef8,
    0xffadcef7,
    0xffaccdf6,
    0xffaacbf5,
    0xffaacbf5,
    0xffaacbf5,
    0xffaacbf5,
    0xffaacbf5,
    0xffabcdf3,
    0xffaaccf2,
    0xffabcdf2,
    0xffabccf6,
    0xffabccf5,
    0xffabccf5,
    0xffabccf4,
    0xffa9caf6,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffa8c9f2,
    0xffa9caf2,
    0xffa7c8f1,
    0xffaacbf3,
    0xffaccdf6,
    0xffa8c9f2,
    0xffa8c9f1,
    0xffa8c9f2,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa8c9f5,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa4c3f2,
    0xffa6c5f4,
    0xffa4c4f4,
    0xffa5c4f4,
    0xffa1c3f1,
    0xffa0c5f2,
    0xffa1c6f3,
    0xff9fc6f3,
    0xffa1c6f3,
    0xffa0c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xff9fc4f1,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa0c4f5,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa1c5f5,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c3f4,
    0xffa0c4f3,
    0xffa0c4f3,
    0xff9fc3f5,
    0xff9ec2f4,
    0xffa1c5f7,
    0xffa0c4f6,
    0xff9dc4f5,
    0xff9dc4f4,
    0xff9dc4f5,
    0xff9cc3f3,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9cc3f4,
    0xff9dc3f3,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9bc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff99bef3,
    0xff9bc0f5,
    0xff9abff5,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff99bef3,
    0xff98bdf5,
    0xff98bdf4,
    0xff99bef5,
    0xff98bdf4,
    0xff97bcf3,
    0xff98bdf4,
    0xff99bef5,
    0xff97bdf4,
    0xff95b9f5,
    0xff95b9f5,
    0xff96baf6,
    0xff96baf6,
    0xff96baf6,
    0xff96baf6,
    0xff95b9f5,
    0xff94b8f4,
    0xff92baf2,
    0xff92b9f2,
    0xff92b9f2,
    0xff92b8f2,
    0xff91bbf3,
    0xff93bcf4,
    0xff91baf2,
    0xff91baf2,
    0xff8fb8f0,
    0xff90b7f3,
    0xff8fb7f2,
    0xff8eb6f1,
    0xff8fb7f2,
    0xff8db5f3,
    0xff8db5f2,
    0xff8eb6f3,
    0xff8db7f1,
    0xff8cb6f0,
    0xff8db7f0,
    0xff8eb8f4,
    0xff8bb6f2,
    0xff8ab4f0,
    0xff8cb6f2,
    0xff8cb6f2,
    0xff8eb8f3,
    0xff8eb6f5,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8eb7f5,
    0xff8db6f4,
    0xff8eb7f7,
    0xff8bb4f4,
    0xff8cb5f6,
    0xff8bb4f4,
    0xff8bb4f4,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff89b2f2,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff8cb5f5,
    0xff89b1f2,
    0xff87b3f2,
    0xff87b3f2,
    0xff85b4f2,
    0xff85b3f0,
    0xff86b4e6,
    0xff87b3f2,
    0xff88b4fc,
    0xff8fbcf8,
    0xff739ec1,
    0xff164148,
    0xff1e453b,
    0xff143a2a,
    0xff133e28,
    0xff43785d,
    0xff437e6e,
    0xff4d8c79,
    0xff46825a,
    0xff4b805b,
    0xff417050,
    0xff608f62,
    0xff436c31,
    0xff4e7545,
    0xff37603c,
    0xff0a3212,
    0xff29522f,
    0xff113519,
    0xff0b2a1a,
    0xff2d4a45,
    0xff052f2a,
    0xff103417,
    0xff143222,
    0xff032d1f,
    0xff023b44,
    0xff4380c4,
    0xff7cb2ff,
    0xff81b0fe,
    0xff7aafff,
    0xff77b0ff,
    0xff77b3f8,
    0xff77b0f0,
    0xff7aaeef,
    0xff79a8f4,
    0xff78a6f9,
    0xff75a8fe,
    0xff77a5f8,
    0xff77a7f5,
    0xff75aaf0,
    0xff71aaeb,
    0xff6fa9eb,
    0xff73a9f1,
    0xff75a6f8,
    0xff76a5f9,
    0xff74aaec,
    0xff81aef0,
    0xff436685,
    0xff415f55,
    0xff445c53,
    0xff223a34,
    0xff325146,
    0xff244848,
    0xff204f6d,
    0xff002f57,
    0xff235381,
    0xff083455,
    0xff153b47,
    0xff103351,
    0xff3b5f85,
    0xff346373,
    0xff102735,
    0xff062335,
    0xff072942,
    0xff073159,
    0xff053648,
    0xff002956,
    0xff4e90d4,
    0xff0b51a6,
    0xff2d5396,
    0xff012a3c,
    0xff033746,
    0xff4e85c6,
    0xff68a5ff,
    0xff60a2f2,
    0xff66a3ec,
    0xff669cf8,
    0xff639ef5,
    0xff65a2f7,
    0xff609ef1,
    0xff649def,
    0xff649fef,
    0xff649ced,
    0xff629aef,
    0xff639bf3,
    0xff629def,
    0xff629bed,
    0xff609eee,
    0xff619ef1,
    0xff5e9bee,
    0xff5e9bed,
    0xff5d9aed,
    0xff5d9bf0,
    0xff599af0,
    0xff579ae6,
    0xff5c9ce8,
    0xff5e9be9,
    0xff538dcf,
    0xff003358,
    0xff2b616e,
    0xff225556,
    0xff34614e,
    0xff386352,
    0xff15403a,
    0xff20505a,
    0xff1d516d,
    0xff407491,
    0xff3a6970,
    0xff204b3b,
    0xff10343a,
    0xff345a87,
    0xff134357,
    0xff18463d,
    0xff102f3a,
    0xff264747,
    0xff2a5c54,
    0xff1f587f,
    0xff5b9de6,
    0xff5a9bf1,
    0xff5396e5,
    0xff5195e0,
    0xff5093e6,
    0xff5194e9,
    0xff5193e8,
    0xff508fec,
    0xff5291f6,
    0xff5290f9,
    0xff5290f4,
    0xff5192ed,
    0xff5090ec,
    0xff5191f2,
    0xff5794ee,
    0xff4280ce,
    0xff3876c5,
    0xff1d6097,
    0xff0d5579,
    0xff1f67a3,
    0xff2570b1,
    0xff3782c4,
    0xff5095e0,
    0xff226592,
    0xff174246,
    0xff083112,
    0xff11330d,
    0xff0e2c0c,
    0xff122b17,
    0xff122f1f,
    0xff1b3f1d,
    0xff173d1d,
    0xff25441a,
    0xff2b4529,
    0xff203629,
    0xff112719,
    0xff091f12,
    0xff0b2018,
    0xff0d2017,
    0xff091b0c,
    0xff021817,
    0xff001214,
    0xff001210,
    0xff001412,
    0xff051917,
    0xff000d0b,
    0xff000b0a,
    0xff2b3635,
    0xff242636,
    0xff1a233a,
    0xff03152f,
    0xff082033,
    0xff001318,
    0xff03120e,
    0xff030e08,
    0xff020d0c,
    0xff00110a,
    0xff031313,
    0xff001010,
    0xff010f0f,
    0xff000d09,
    0xff111a16,
    0xff212526,
    0xff25262b,
    0xff000b0e,
    0xff001214,
    0xff000e0b,
    0xff000f0d,
    0xff101f17,
    0xff1b291f,
    0xff223325,
    0xff122716,
    0xffadcbf8,
    0xffb1cdf9,
    0xffa7cef4,
    0xffb6d0f6,
    0xffc5acd5,
    0xffaf6386,
    0xffa32c40,
    0xffca2e3a,
    0xffbf3036,
    0xffc22739,
    0xffc82239,
    0xffc82030,
    0xffba2839,
    0xffb45070,
    0xffd5b5df,
    0xffb9cef7,
    0xffb2cef7,
    0xffb1cff6,
    0xffb4cff7,
    0xffb9cef7,
    0xffb2ccf0,
    0xffb1d3f4,
    0xffb5d4fe,
    0xffabbef5,
    0xff879bcf,
    0xffa7b8ec,
    0xffb9cbfc,
    0xffbad1fa,
    0xffb6d1fa,
    0xffb6cdfb,
    0xffbecaff,
    0xff7c7eb2,
    0xff584a66,
    0xff4d3852,
    0xff3a293d,
    0xff38303f,
    0xff3c374e,
    0xff413761,
    0xff606097,
    0xffb9cdff,
    0xffb8d4ff,
    0xffbcd2fa,
    0xffbfd2f6,
    0xffbbd4f7,
    0xffb9d9ff,
    0xffbed9ff,
    0xffa1ade3,
    0xff7272a9,
    0xffa19cca,
    0xffbeacd8,
    0xffc1b9e9,
    0xffb3a9d6,
    0xffccb1d9,
    0xffdbcaf0,
    0xffe7bde4,
    0xff9e274a,
    0xff9e181c,
    0xffc6442c,
    0xffc44829,
    0xffa73f1c,
    0xffaa5933,
    0xffb1664a,
    0xffc06554,
    0xffac4128,
    0xffe17b88,
    0xffd291aa,
    0xffe5d0fb,
    0xffc2c8fd,
    0xff7a7ea7,
    0xff423a4d,
    0xff3f2935,
    0xff32192b,
    0xff4d2836,
    0xffae3843,
    0xffb9172c,
    0xffcf3a28,
    0xffb75e54,
    0xffd1c6f4,
    0xffbbd4f7,
    0xffb3d0f5,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d4f5,
    0xffbad4f9,
    0xffb8d2f7,
    0xffb8d2f5,
    0xffbad4f7,
    0xffb8d2f3,
    0xffb7d1f2,
    0xffb8d2f3,
    0xffbbd6f5,
    0xffbcd2fc,
    0xffc1d8f5,
    0xffc4caec,
    0xff7a5079,
    0xff883048,
    0xff872a2d,
    0xff7f2128,
    0xff861b2b,
    0xff831b27,
    0xff831a2f,
    0xff84161d,
    0xff80132b,
    0xff621c42,
    0xffab9bcf,
    0xffbfd6f7,
    0xffb6d3fd,
    0xffb9d4f5,
    0xffbad3f4,
    0xffbad3f4,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad3f5,
    0xffb9d3f4,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb9d6f8,
    0xffb7d5f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d5f7,
    0xffb6d5f7,
    0xffb6d5f7,
    0xffb6d5f7,
    0xffb6d5f7,
    0xffb6d5f7,
    0xffb7d5f7,
    0xffb9d4f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d4f6,
    0xffb9d4f6,
    0xffb9d4f7,
    0xffb9d4f7,
    0xffb9d4f6,
    0xffb9d4f7,
    0xffb9d4f7,
    0xffb9d4f7,
    0xffbad3f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb6d4f6,
    0xffb8d6f8,
    0xffb7d5f6,
    0xffbcd5f8,
    0xffbad3f7,
    0xffb8d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb6d4f9,
    0xffb6d5f9,
    0xffb8d6fa,
    0xffb7d5fa,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb6d5f9,
    0xffb8d3f9,
    0xffb8d3f9,
    0xffb8d4f9,
    0xffb8d4f9,
    0xffb8d4f9,
    0xffb7d2f8,
    0xffb7d2f8,
    0xffb7d3f9,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f5,
    0xffb6d4f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb7d4f6,
    0xffb3d5f5,
    0xffb3d4f5,
    0xffb4d5f5,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb1d3f6,
    0xffb1d2f6,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb2d2f8,
    0xffb2d2f8,
    0xffb3d3f9,
    0xffb1d1f7,
    0xffb1d1f6,
    0xffb2d2f8,
    0xffb0d0f5,
    0xffb2d2f8,
    0xffb2d2f8,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffaed2f5,
    0xffaed2f6,
    0xffafd4f7,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffaed1f6,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0cff6,
    0xffb0cff6,
    0xffb0cff6,
    0xffb1d0f7,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffafcff5,
    0xffaecef4,
    0xffafcff6,
    0xffafcff6,
    0xffacccf3,
    0xffaacaf1,
    0xffacccf3,
    0xffadcdf4,
    0xffaecdf5,
    0xffafcef6,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffabcdf3,
    0xffabcdf3,
    0xffaaccf2,
    0xffadcff4,
    0xffadcff4,
    0xffabcef3,
    0xffaccef3,
    0xffadcff5,
    0xffabcef3,
    0xffaccef4,
    0xffaaccf2,
    0xffaccef4,
    0xffaccef4,
    0xffaacdf2,
    0xffaacbf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf4,
    0xffabccf7,
    0xffabccf4,
    0xffa9caf3,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffa9caf3,
    0xffaacbf4,
    0xffa8c9f2,
    0xffabccf5,
    0xffaacbf4,
    0xffabccf5,
    0xffa8c9f2,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8c9f5,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa9caf4,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa9c9f9,
    0xffa6c6f5,
    0xffa6c6f6,
    0xffa6c6f6,
    0xffa7c6f6,
    0xffa7c6f6,
    0xffa7c7f6,
    0xffa7c6f6,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa7c9f7,
    0xffa7c9f7,
    0xffa6c8f6,
    0xffa4c6f5,
    0xffa4c7f5,
    0xffa7c6f4,
    0xffa7c6f4,
    0xffa7c5f4,
    0xffa5c7f3,
    0xffa6c8f5,
    0xffa2c6f3,
    0xffa1c6f2,
    0xffa3c9f4,
    0xffa5c6f5,
    0xffa7c8f6,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa1c6f3,
    0xffa2c7f4,
    0xffa2c7f4,
    0xffa2c7f4,
    0xff9fc4f1,
    0xffa4c9f6,
    0xffa0c5f2,
    0xff9fc5f1,
    0xff9fc3f4,
    0xffa1c5f5,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c6f2,
    0xff9fc5f1,
    0xffa0c3f4,
    0xffa0c4f4,
    0xff9dc1f1,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9fc3f5,
    0xffa0c4f6,
    0xff9dc1f3,
    0xff9ec1f4,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f5,
    0xff9cc0f5,
    0xff9ec2f6,
    0xff9ec2f6,
    0xff9ec2f6,
    0xff9dc1f5,
    0xff9bbff4,
    0xff9abef2,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f4,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9abff4,
    0xff9bc0f5,
    0xff9abff3,
    0xff97bcf1,
    0xff99bef3,
    0xff98bdf1,
    0xff95baef,
    0xff97bcf1,
    0xff96baf6,
    0xff97bbf8,
    0xff95b9f5,
    0xff95b9f5,
    0xff95b9f6,
    0xff95b9f6,
    0xff96baf6,
    0xff96baf6,
    0xff96baf4,
    0xff96baf4,
    0xff93bbf4,
    0xff94bbf4,
    0xff94bbf4,
    0xff90b9f1,
    0xff92bbf3,
    0xff95bef6,
    0xff92bbf3,
    0xff90baf1,
    0xff91baf1,
    0xff90b8f4,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8fb7f4,
    0xff8fb8f0,
    0xff8fb8f0,
    0xff8fb6f2,
    0xff8fb7f2,
    0xff8cb4ef,
    0xff8db5f3,
    0xff8eb5f3,
    0xff8fb6f3,
    0xff8bb6f2,
    0xff8bb5f1,
    0xff8bb5f0,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f5,
    0xff8bb4f2,
    0xff8eb7f4,
    0xff8db6f3,
    0xff8db6f4,
    0xff8eb7f4,
    0xff8db6f4,
    0xff8cb5f2,
    0xff8ab3f0,
    0xff8ab3f3,
    0xff8ab3f3,
    0xff8bb3f4,
    0xff88b5f4,
    0xff89b5f4,
    0xff87b4f2,
    0xff88b4f3,
    0xff88b4f2,
    0xff84b4ea,
    0xff83b4ee,
    0xff81b2f1,
    0xff86b6f7,
    0xff7fabe7,
    0xff6e97c2,
    0xff355b6f,
    0xff0f3437,
    0xff0e3b26,
    0xff316053,
    0xff48766e,
    0xff5c8d6b,
    0xff4c7a3d,
    0xff497547,
    0xff3e6d46,
    0xff588d51,
    0xff3b6824,
    0xff315e29,
    0xff234f2a,
    0xff295637,
    0xff255032,
    0xff1a412a,
    0xff032420,
    0xff07242f,
    0xff062933,
    0xff0a2c12,
    0xff0e2b28,
    0xff00192e,
    0xff306c93,
    0xff78bdff,
    0xff7fc1ff,
    0xff7fb5fb,
    0xff588fd4,
    0xff4e89d0,
    0xff4f8ad2,
    0xff7db4fd,
    0xff75a8ef,
    0xff7aaaf0,
    0xff79acef,
    0xff76acee,
    0xff7aabf6,
    0xff76a7f2,
    0xff71a6f1,
    0xff75aaf5,
    0xff76acf6,
    0xff75a9f5,
    0xff75a6f3,
    0xff7baaf8,
    0xff71ade6,
    0xff7cadf8,
    0xff577dae,
    0xff325251,
    0xff456056,
    0xff29473d,
    0xff2e5249,
    0xff103a3d,
    0xff47768b,
    0xff103f52,
    0xff023346,
    0xff001c19,
    0xff274f3d,
    0xff0f3332,
    0xff184157,
    0xff00303b,
    0xff0b212d,
    0xff001c31,
    0xff00254c,
    0xff386aab,
    0xff033664,
    0xff0f3f7e,
    0xff0f4185,
    0xff457aba,
    0xff07314e,
    0xff001d36,
    0xff003262,
    0xff639ceb,
    0xff5d9cf7,
    0xff5e9ff3,
    0xff649eef,
    0xff649af1,
    0xff64a1f0,
    0xff4582d4,
    0xff69a7fa,
    0xff629bee,
    0xff639eed,
    0xff649dec,
    0xff649cf1,
    0xff649af7,
    0xff649ef0,
    0xff649ef0,
    0xff639cee,
    0xff639cee,
    0xff609ef1,
    0xff619ef1,
    0xff619ef1,
    0xff5e9bef,
    0xff5e9bf5,
    0xff5f9fe9,
    0xff5e9ee5,
    0xff619bf0,
    0xff699fe9,
    0xff497da3,
    0xff2c5e6b,
    0xff2d5a67,
    0xff234444,
    0xff305647,
    0xff1b4627,
    0xff2c5c32,
    0xff3c7143,
    0xff24572f,
    0xff2e5741,
    0xff31534c,
    0xff3e586f,
    0xff1a3b62,
    0xff24505d,
    0xff143b36,
    0xff0c2929,
    0xff0a2929,
    0xff0b364b,
    0xff3e77b6,
    0xff4489d2,
    0xff428acb,
    0xff3176c4,
    0xff5fa1fd,
    0xff5092eb,
    0xff5798f2,
    0xff5396f2,
    0xff589bf0,
    0xff4d96e3,
    0xff4f92e6,
    0xff5396e8,
    0xff5095de,
    0xff4f97ea,
    0xff468df1,
    0xff5094f0,
    0xff5e9ee8,
    0xff3b7ab9,
    0xff266882,
    0xff185e68,
    0xff0f5380,
    0xff1e6799,
    0xff2e7b9f,
    0xff428bbc,
    0xff4287af,
    0xff3f6f7a,
    0xff10402a,
    0xff062f21,
    0xff02251c,
    0xff062227,
    0xff001a23,
    0xff0f301e,
    0xff0b2b1f,
    0xff092611,
    0xff051f15,
    0xff143227,
    0xff1c3b1f,
    0xff183716,
    0xff173423,
    0xff143328,
    0xff021f10,
    0xff04201a,
    0xff0d2824,
    0xff0e2924,
    0xff00140f,
    0xff091e1c,
    0xff081a1b,
    0xff0b1a1c,
    0xff041114,
    0xff444653,
    0xff202b38,
    0xff253a44,
    0xff0a2026,
    0xff001112,
    0xff05100c,
    0xff05120d,
    0xff01110b,
    0xff00110b,
    0xff0d1d1c,
    0xff091919,
    0xff000d0e,
    0xff010d0b,
    0xff000704,
    0xff1e2123,
    0xff222428,
    0xff061513,
    0xff021612,
    0xff000f09,
    0xff0f2015,
    0xff394337,
    0xff273221,
    0xff152612,
    0xff0c240c,
    0xffaccfe2,
    0xffafcbf5,
    0xffb3c7ff,
    0xffbcacd9,
    0xffaf5c72,
    0xffaf2e2d,
    0xffc73332,
    0xffcf2a35,
    0xffd42730,
    0xffb82c43,
    0xffad3758,
    0xffa83759,
    0xffb75e83,
    0xffd6acdc,
    0xffc7c9fc,
    0xffb6caf7,
    0xffb6cbf6,
    0xffb5cdf3,
    0xffb3d0f3,
    0xffb4d0f7,
    0xffb3d1f4,
    0xffb1d2ed,
    0xffb1ceef,
    0xffbcd1ff,
    0xffbbd1ff,
    0xff8b9fd4,
    0xff6f82b3,
    0xff92aad2,
    0xffb7d4ff,
    0xffc2d7ff,
    0xffb6bdf7,
    0xff6b6798,
    0xff54425b,
    0xff3f2944,
    0xff201024,
    0xff18151e,
    0xff1c1829,
    0xff42355e,
    0xff6c6da2,
    0xffbcd2ff,
    0xffb6d4fe,
    0xffbcc5ef,
    0xffd7c7eb,
    0xffdcc3e5,
    0xffb3a3ca,
    0xffb8afdc,
    0xffdcd2ff,
    0xffb7a3d2,
    0xff5b1c3c,
    0xff6c1633,
    0xff7c2043,
    0xff7c1a3f,
    0xff851a32,
    0xffab5361,
    0xffe29499,
    0xffcc605b,
    0xffbc372f,
    0xffe16851,
    0xffd26d5e,
    0xff9d5654,
    0xffb88d8d,
    0xffc09baa,
    0xffe8b2c8,
    0xff96545e,
    0xffb3909d,
    0xffd6d4ee,
    0xffc2d2ff,
    0xff8a89bb,
    0xff50395c,
    0xff472f41,
    0xff2f1e30,
    0xff423253,
    0xffb3a7d4,
    0xfff0adce,
    0xffa94f6f,
    0xff9a252e,
    0xffb33f4f,
    0xffe1b9e8,
    0xffbdd0f9,
    0xffb4d3f7,
    0xffb4d1f3,
    0xffb6d3f5,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb5d2f4,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d3f5,
    0xffbbd4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f4,
    0xffb8d3f3,
    0xffbad2f4,
    0xffbbd3f4,
    0xffbcd3f5,
    0xffbfcffc,
    0xffbcd0e6,
    0xffc1ddf9,
    0xffb6b7e1,
    0xff723b5a,
    0xff82303d,
    0xff7b232e,
    0xff851724,
    0xff861a28,
    0xff7d162f,
    0xff841b23,
    0xff82152b,
    0xff71244a,
    0xffc5b5eb,
    0xffbbd3f4,
    0xffb8d5fc,
    0xffb8d2f4,
    0xffb9d3f4,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f5,
    0xffb8d2f3,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad3f6,
    0xffbad3f6,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d3f7,
    0xffb8d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffbad3f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d4f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbad4f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb8d4f6,
    0xffb8d5f7,
    0xffbad3f6,
    0xffbad4f7,
    0xffbbd3f6,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffb9d4f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb8d4f6,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d4f6,
    0xffb5d4f6,
    0xffb5d4f6,
    0xffb5d4f6,
    0xffb5d4f6,
    0xffb5d4f6,
    0xffb5d4f6,
    0xffb5d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d3f5,
    0xffb7d4f6,
    0xffb5d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb2d4f5,
    0xffb1d3f4,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb4d1f3,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb3d4f4,
    0xffb2d3f4,
    0xffb4d5f6,
    0xffaecef4,
    0xffb0d0f6,
    0xffb2d2f9,
    0xffb2d2f8,
    0xffb4d4fb,
    0xffb0d0f6,
    0xffb0cff6,
    0xffb3d3fa,
    0xffb1d1f7,
    0xffb2d1f8,
    0xffb2d2f8,
    0xffb0d0f7,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffafd1f6,
    0xffafd1f6,
    0xffb1d2f7,
    0xffb0d1f7,
    0xffb0d0f6,
    0xffb0cff5,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffafcff5,
    0xffaecef4,
    0xffafcff5,
    0xffafcff5,
    0xffb2d2f8,
    0xffaecef4,
    0xffadcdf3,
    0xffaecef4,
    0xffaecef4,
    0xffadcdf3,
    0xffadcdf3,
    0xffacccf2,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffaacbf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf4,
    0xffabccf7,
    0xffabccf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa8c9f2,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa8c9f4,
    0xffaacbf6,
    0xffa8c9f7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa8c9f6,
    0xffa6c8f4,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa5c7f4,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa4c6f3,
    0xffa5c7f4,
    0xffa6c8f5,
    0xffa5c4f1,
    0xffa6c4f2,
    0xffa5c6f3,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa3c4f3,
    0xffa4c5f4,
    0xffa5c6f4,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa2c7f4,
    0xffa1c6f3,
    0xffa2c7f4,
    0xffa0c5f2,
    0xffa1c6f3,
    0xff9fc4f1,
    0xffa1c4f5,
    0xffa1c5f5,
    0xffa0c4f4,
    0xff9fc5f1,
    0xffa0c5f2,
    0xff9fc4f0,
    0xff9ec2f3,
    0xff9ec2f2,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xffa0c4f6,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9ec2f3,
    0xff9ec2f3,
    0xff9ec2f3,
    0xff9cc0f2,
    0xff9dc1f2,
    0xff9ec1f3,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f6,
    0xff9bc0f5,
    0xff9cc1f6,
    0xff99bef3,
    0xff99bef3,
    0xff97bcf1,
    0xff96bbf0,
    0xff96bbf0,
    0xff98bcf6,
    0xff98bcf6,
    0xff96baf4,
    0xff96baf4,
    0xff96baf4,
    0xff95b9f3,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff94b8f2,
    0xff95b8f2,
    0xff92baf2,
    0xff93b9f3,
    0xff90baf1,
    0xff90b9f1,
    0xff91baf2,
    0xff91baf2,
    0xff91baf2,
    0xff90b9f1,
    0xff91baf1,
    0xff90b8f3,
    0xff90b8f3,
    0xff90b8f3,
    0xff90b9f3,
    0xff91bbf1,
    0xff90b9f1,
    0xff90b9f1,
    0xff8eb8ef,
    0xff8eb6f1,
    0xff8eb6f1,
    0xff8db5f3,
    0xff8db5f2,
    0xff8fb9f2,
    0xff8cb6ef,
    0xff8bb5f2,
    0xff8eb8f3,
    0xff8ab3f2,
    0xff8cb5f2,
    0xff8cb5f5,
    0xff8bb4f4,
    0xff8cb5f2,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8ab3f1,
    0xff8bb4f5,
    0xff8bb4f4,
    0xff88b5f4,
    0xff88b4f4,
    0xff88b5f4,
    0xff8ab3f3,
    0xff89b2f3,
    0xff8bb2f3,
    0xff83b2f7,
    0xff83b6f1,
    0xff81b5ea,
    0xff81b4ec,
    0xff86b5f8,
    0xff8bb7fa,
    0xff9bc4fb,
    0xff769ec9,
    0xff103c55,
    0xff1c4469,
    0xff395f82,
    0xff2c5147,
    0xff4b713e,
    0xff274c21,
    0xff3c653f,
    0xff588d4a,
    0xff578744,
    0xff36622d,
    0xff1e4a23,
    0xff1d4929,
    0xff305b42,
    0xff2a5344,
    0xff002023,
    0xff0c2a3d,
    0xff15324c,
    0xff001a25,
    0xff08284b,
    0xff2a568b,
    0xff215b97,
    0xff75b5f9,
    0xff175791,
    0xff0c476c,
    0xff003d37,
    0xff094760,
    0xff4079bc,
    0xff6fa3f6,
    0xff79acf8,
    0xff79aae9,
    0xff74aae6,
    0xff75acef,
    0xff75acea,
    0xff74aaeb,
    0xff77abf5,
    0xff7cadff,
    0xff76a5f7,
    0xff74a5f3,
    0xff79abf0,
    0xff77aaeb,
    0xff71ace9,
    0xff79acfb,
    0xff638fd0,
    0xff315c6f,
    0xff214a43,
    0xff164030,
    0xff2c594a,
    0xff17433a,
    0xff2c5869,
    0xff1c4664,
    0xff3b628f,
    0xff335962,
    0xff0f3128,
    0xff13353f,
    0xff1e487f,
    0xff30659b,
    0xff001435,
    0xff14467b,
    0xff174fa2,
    0xff3d74da,
    0xff2c5e9b,
    0xff133c6d,
    0xff001d46,
    0xff001f40,
    0xff002a3f,
    0xff093766,
    0xff6aa0ed,
    0xff205bb3,
    0xff65a4fb,
    0xff629df6,
    0xff68a0f3,
    0xff689fec,
    0xff70adf0,
    0xff508bd9,
    0xff68a1f5,
    0xff639df0,
    0xff649fee,
    0xff649feb,
    0xff649ef0,
    0xff649df6,
    0xff639ef0,
    0xff649ef0,
    0xff629cee,
    0xff629cee,
    0xff659ef0,
    0xff5f9df0,
    0xff619ef1,
    0xff5f9cf0,
    0xff649cfa,
    0xff5d98ea,
    0xff66a2ee,
    0xff639ced,
    0xff5e95db,
    0xff4679a0,
    0xff376674,
    0xff36646b,
    0xff426e60,
    0xff265337,
    0xff346240,
    0xff1e4c24,
    0xff355d2d,
    0xff345728,
    0xff233c20,
    0xff1a2e2d,
    0xff082c37,
    0xff325d67,
    0xff315e69,
    0xff335e6b,
    0xff244b5b,
    0xff184257,
    0xff4a7caa,
    0xff2f69b3,
    0xff4886c7,
    0xff26678c,
    0xff4e8db8,
    0xff306ca4,
    0xff5390c3,
    0xff5292cb,
    0xff3f7ec7,
    0xff2f70b4,
    0xff5198eb,
    0xff599bf4,
    0xff3979c9,
    0xff5095d5,
    0xff549de7,
    0xff539afb,
    0xff5193e9,
    0xff3f7db2,
    0xff3b778b,
    0xff003838,
    0xff1f555a,
    0xff205180,
    0xff13476f,
    0xff1f5661,
    0xff013540,
    0xff033432,
    0xff15463d,
    0xff174d41,
    0xff255776,
    0xff225074,
    0xff1a435f,
    0xff274a5d,
    0xff11362d,
    0xff0b2d3a,
    0xff0d2e41,
    0xff1b3f5a,
    0xff275358,
    0xff1f4e2c,
    0xff1e4b1c,
    0xff234832,
    0xff1f4341,
    0xff092e2d,
    0xff06281f,
    0xff001f16,
    0xff143329,
    0xff08231f,
    0xff00120f,
    0xff021416,
    0xff06151a,
    0xff031015,
    0xff000109,
    0xff525e60,
    0xff0a1d1b,
    0xff000f0c,
    0xff071516,
    0xff03100f,
    0xff031412,
    0xff000f09,
    0xff00100a,
    0xff0d1d1c,
    0xff041316,
    0xff000a0b,
    0xff04100f,
    0xff000501,
    0xff282c2b,
    0xff1e1f23,
    0xff131d19,
    0xff091912,
    0xff08190f,
    0xff0e190e,
    0xff4c5146,
    0xff0c1003,
    0xff152312,
    0xff061e07,
    0xffa7d3e1,
    0xffafcef8,
    0xffb8c7ff,
    0xffa080b0,
    0xff9d394f,
    0xffbe373c,
    0xffc2373f,
    0xffba2b44,
    0xffbc2e48,
    0xffaa5572,
    0xffd5acd6,
    0xffd7b9ed,
    0xffd1bbf1,
    0xffc3c8f8,
    0xffb8caf6,
    0xffb9caf5,
    0xffb5ccf7,
    0xffb3cfef,
    0xffb1d1f4,
    0xffb2d0fb,
    0xffb2cdf7,
    0xffb8d1ec,
    0xffb8d3ef,
    0xffb2d1fa,
    0xffb1d2f4,
    0xffb9d1fd,
    0xffc0d5ff,
    0xff95aed8,
    0xff5671a0,
    0xff8397d3,
    0xffaaaee7,
    0xff5e547d,
    0xff523c55,
    0xff452e4b,
    0xff332238,
    0xff221f24,
    0xff231d2c,
    0xff33234d,
    0xff7d7ab0,
    0xffc3daff,
    0xffc5dbff,
    0xffc0a4d1,
    0xff933b63,
    0xffb2365e,
    0xff831036,
    0xff6a1135,
    0xff662244,
    0xff874a66,
    0xff7b1f2b,
    0xff841317,
    0xff8b0f1b,
    0xff90121e,
    0xff98140f,
    0xffbe3b2c,
    0xffc24e38,
    0xffbe5830,
    0xffb83b2b,
    0xffbc5e54,
    0xffdfb0c3,
    0xffd0c4eb,
    0xffc9d0f3,
    0xffccd3fd,
    0xffccceff,
    0xffc8cbf0,
    0xffc4cfed,
    0xffc8daff,
    0xff9aa4d1,
    0xff51446b,
    0xff4a2d49,
    0xff331930,
    0xff2d2847,
    0xff949fc9,
    0xffc7d8ff,
    0xffcdcef0,
    0xffd4d7f9,
    0xffd4aed0,
    0xffbd7496,
    0xffd4a8d7,
    0xffc8c7f9,
    0xffb6d3f8,
    0xffb5d3f4,
    0xffb5d2f4,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb5d2f4,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d3f6,
    0xffbbd4f5,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffb8d2f3,
    0xffbad1f3,
    0xffbbd3f4,
    0xffbbd3f7,
    0xffbbd2f6,
    0xffb8d3f3,
    0xffbed5f4,
    0xffbbd5f7,
    0xffc3d5ff,
    0xffb9abd3,
    0xff632f4f,
    0xff822d40,
    0xff87252a,
    0xff841723,
    0xff7f1e39,
    0xff7e1d26,
    0xff811b2f,
    0xff631c3f,
    0xffb6a9df,
    0xffbfd8fa,
    0xffb8d1f6,
    0xffb8d3f4,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f3,
    0xffbbd3f7,
    0xffbad2f6,
    0xffbbd2f6,
    0xffbbd2f6,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbad2f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d4f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffb8d2f5,
    0xffbad3f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb7d5f7,
    0xffb9d3f6,
    0xffbbd2f7,
    0xffbbd1f7,
    0xffbad4f7,
    0xffb9d4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d4f7,
    0xffb9d4f7,
    0xffb9d4f7,
    0xffbad3f7,
    0xffb7d5f4,
    0xffb7d5f4,
    0xffb8d5f4,
    0xffb7d4f4,
    0xffb6d3f3,
    0xffb8d5f5,
    0xffb7d5f4,
    0xffb7d5f4,
    0xffb7d5f4,
    0xffb7d5f4,
    0xffb8d5f5,
    0xffb6d3f3,
    0xffb7d4f4,
    0xffb8d5f5,
    0xffb6d3f3,
    0xffb6d3f2,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb7d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f5,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb7d3f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb7d3f5,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb5d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb3d3f4,
    0xffb2d6f5,
    0xffafd0f3,
    0xffb0d1f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb3d5f7,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffb0d2f4,
    0xffb0d2f4,
    0xffb0d2f4,
    0xffb0d2f4,
    0xffb1d0f6,
    0xffb1cff5,
    0xffb2d1f7,
    0xffb1cff5,
    0xffafd0f6,
    0xffafcff5,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffafcff5,
    0xffafcff5,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb2d2f8,
    0xffb0d0f6,
    0xffaecef4,
    0xffafcff5,
    0xffafcff5,
    0xffaecef4,
    0xffadcdf3,
    0xffaecdf3,
    0xffaccef4,
    0xffadcff5,
    0xffb0d2f8,
    0xffb0d2f8,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffadcff6,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef3,
    0xffabccf5,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf4,
    0xffabccf7,
    0xffabccf4,
    0xffaacbf4,
    0xffaccdf6,
    0xffaacbf4,
    0xffabccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaaccf1,
    0xffaaccf1,
    0xffa8c9f3,
    0xffa8c9f2,
    0xffa8c9f5,
    0xffa8c9f4,
    0xffa8c9f7,
    0xffa9caf7,
    0xffa7c8f5,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa6c7f5,
    0xffa6c8f6,
    0xffa5c6f3,
    0xffa5c7f3,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa5c5f4,
    0xffa6c5f4,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa5c6f5,
    0xffa2c8f5,
    0xffa2c7f4,
    0xffa2c7f4,
    0xffa1c6f2,
    0xffa1c6f2,
    0xffa2c7f4,
    0xffa1c6f3,
    0xffa0c5f2,
    0xffa1c6f3,
    0xffa0c4f5,
    0xffa1c5f4,
    0xff9fc4f1,
    0xff9fc4f2,
    0xffa0c5f2,
    0xff9fc4f0,
    0xff9fc3f3,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9ec2f4,
    0xffa0c4f6,
    0xffa1c5f7,
    0xff9ec2f4,
    0xffa0c4f6,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9bc0f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff4,
    0xff9bc0f5,
    0xff9abff4,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff98bdf2,
    0xff98bdf4,
    0xff98bdf4,
    0xff96bbf2,
    0xff98bdf4,
    0xff96bbf2,
    0xff97bcf3,
    0xff96bbf2,
    0xff95baf0,
    0xff96b8f3,
    0xff96b8f2,
    0xff94b8f2,
    0xff95b8f2,
    0xff92baf3,
    0xff90baf1,
    0xff90b9f1,
    0xff91baf2,
    0xff92bbf3,
    0xff94bdf5,
    0xff90b9f1,
    0xff91baf2,
    0xff90b8f3,
    0xff90b8f3,
    0xff90b8f3,
    0xff90b9f2,
    0xff92bbf1,
    0xff91baf0,
    0xff90b9ef,
    0xff8fb8f0,
    0xff90b9f0,
    0xff90b8f3,
    0xff8fb7f2,
    0xff8fb6f4,
    0xff8db7f1,
    0xff8cb6f0,
    0xff8cb6ef,
    0xff8cb7f3,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8cb5f6,
    0xff8ab3f4,
    0xff8ab3f1,
    0xff8cb5f3,
    0xff8bb4f2,
    0xff8bb4f2,
    0xff8cb5f3,
    0xff8cb5f3,
    0xff8db6f4,
    0xff8db6f4,
    0xff8cb5f3,
    0xff8cb4f2,
    0xff89b6f2,
    0xff89b5f1,
    0xff8ab7f3,
    0xff8bb4f2,
    0xff8bb3f1,
    0xff8eb3f2,
    0xff85b4f8,
    0xff86b7f3,
    0xff86b6f0,
    0xff85b5f0,
    0xff84b4f2,
    0xff8ab9fc,
    0xff81b1f3,
    0xff8bbbf9,
    0xff6c97cf,
    0xff436fab,
    0xff2f5b93,
    0xff124254,
    0xff17462a,
    0xff558059,
    0xff2f5732,
    0xff2b5720,
    0xff365e2d,
    0xff476e43,
    0xff396139,
    0xff1c4625,
    0xff143b23,
    0xff1d4238,
    0xff0c2e31,
    0xff04242f,
    0xff0c253a,
    0xff042342,
    0xff0c3660,
    0xff4074a5,
    0xff5e97c3,
    0xff0f457a,
    0xff1a4a86,
    0xff18485e,
    0xff0c4836,
    0xff1d5567,
    0xff679dda,
    0xff78abfd,
    0xff7babf6,
    0xff76a9ec,
    0xff75abf0,
    0xff71abf8,
    0xff73afee,
    0xff78b0ef,
    0xff75a9e5,
    0xff6a99d7,
    0xff7aa8e6,
    0xff74a5e5,
    0xff70a4e5,
    0xff79aff2,
    0xff72aaf2,
    0xff74a9f4,
    0xff79adf2,
    0xff4a7eae,
    0xff4d8195,
    0xff06363e,
    0xff1c494c,
    0xff0e3b30,
    0xff16423c,
    0xff113c3b,
    0xff0a314a,
    0xff335460,
    0xff214049,
    0xff001424,
    0xff3967a9,
    0xff1b529f,
    0xff255fa5,
    0xff1d5aac,
    0xff5997f2,
    0xff6da3fe,
    0xff04335a,
    0xff022444,
    0xff002548,
    0xff032850,
    0xff124579,
    0xff3168b3,
    0xff3871c9,
    0xff64a2f8,
    0xff66a3f6,
    0xff69a3f7,
    0xff629ce8,
    0xff5995d2,
    0xff21609a,
    0xff3e7bc0,
    0xff6ca6fa,
    0xff619bf1,
    0xff659fef,
    0xff65a0ea,
    0xff65a0ef,
    0xff659ff3,
    0xff659def,
    0xff639ef0,
    0xff629cee,
    0xff639cef,
    0xff639cee,
    0xff5f9df0,
    0xff619ef1,
    0xff64a1f3,
    0xff4d86c5,
    0xff639ae4,
    0xff175194,
    0xff3a7aa7,
    0xff3c7a9a,
    0xff336b87,
    0xff10434d,
    0xff235543,
    0xff3a6752,
    0xff285731,
    0xff2b592d,
    0xff3d623c,
    0xff3a5634,
    0xff334c28,
    0xff435a42,
    0xff223b34,
    0xff052c22,
    0xff224b3b,
    0xff1e463b,
    0xff385e64,
    0xff16414f,
    0xff275c64,
    0xff346a7c,
    0xff40759d,
    0xff437295,
    0xff2a5c59,
    0xff326847,
    0xff376e49,
    0xff346f4d,
    0xff25614d,
    0xff2a656b,
    0xff508cac,
    0xff5fa0ed,
    0xff5991e8,
    0xff3d72b3,
    0xff2f6e94,
    0xff2c729d,
    0xff4489c4,
    0xff3978a1,
    0xff316e6a,
    0xff194847,
    0xff073037,
    0xff03262d,
    0xff0f3343,
    0xff00272a,
    0xff113a3e,
    0xff173854,
    0xff0d2d3b,
    0xff00232b,
    0xff013441,
    0xff255da3,
    0xff3272b6,
    0xff114d81,
    0xff12436e,
    0xff1a4a5a,
    0xff123c6c,
    0xff103f70,
    0xff4e83bf,
    0xff2a638d,
    0xff033f38,
    0xff24553c,
    0xff18403b,
    0xff0b3039,
    0xff012627,
    0xff00231e,
    0xff001c16,
    0xff04241e,
    0xff001b13,
    0xff011913,
    0xff011613,
    0xff041312,
    0xff081616,
    0xff020d0c,
    0xff0c1415,
    0xff596065,
    0xff162121,
    0xff02110d,
    0xff04140d,
    0xff01140e,
    0xff00100a,
    0xff01130c,
    0xff071716,
    0xff020f12,
    0xff000e10,
    0xff000b0a,
    0xff000906,
    0xff2c2f2e,
    0xff16171a,
    0xff1b201f,
    0xff05130b,
    0xff07170d,
    0xff071007,
    0xff3f3f39,
    0xff1f1e17,
    0xff131d16,
    0xff061d12,
    0xffb1cbf7,
    0xffb5c8fb,
    0xffb9cafc,
    0xffb5add7,
    0xffa66e8f,
    0xff994e67,
    0xffac6d7e,
    0xffc68aa4,
    0xffd3a9db,
    0xffd2c2eb,
    0xffc6c6f1,
    0xffc1c4f8,
    0xffb9caf6,
    0xffaad2ea,
    0xffabd2ef,
    0xffb7ccfd,
    0xffafcef6,
    0xffaed1f0,
    0xffafd2f4,
    0xffb1cffd,
    0xffb8cdfa,
    0xffbfd1f0,
    0xffb4d0eb,
    0xffadd6f9,
    0xffaed4ed,
    0xffb5d0f7,
    0xffb9d0fc,
    0xffb9d5fb,
    0xffbbd9ff,
    0xff8397d4,
    0xff7272aa,
    0xff5a4c6f,
    0xff4e364d,
    0xff482e4d,
    0xff33273c,
    0xff333033,
    0xff2f2635,
    0xff35214d,
    0xff8e87bf,
    0xffc8d9ff,
    0xffb3ace1,
    0xff9e7099,
    0xff671126,
    0xff790d1a,
    0xff7e171f,
    0xff761521,
    0xff7e1927,
    0xff851625,
    0xff821a2c,
    0xff84161b,
    0xff86141d,
    0xff83121b,
    0xff93150d,
    0xffc12820,
    0xffd74334,
    0xffd25532,
    0xffc4361e,
    0xffb95d59,
    0xffe4caee,
    0xffc0ccff,
    0xffc0d1f8,
    0xffc3d2f3,
    0xffbbd1f9,
    0xffb8d8fa,
    0xffc2d3ff,
    0xffb5b6e9,
    0xff5c547d,
    0xff423550,
    0xff322539,
    0xff291f41,
    0xff7f88b3,
    0xffb8d9ff,
    0xffb1cfee,
    0xffc7d2ef,
    0xffbacff2,
    0xffbfd3fe,
    0xffc6d3ef,
    0xffc0cdea,
    0xffc3c9fb,
    0xffb5d3f7,
    0xffb7d4f6,
    0xffb5d2f5,
    0xffb6d4f6,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb6d3f5,
    0xffb9d4f2,
    0xffb9d4f1,
    0xffbad5f2,
    0xffb7d1f2,
    0xffbad2f4,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbcd3f6,
    0xffb1d8ee,
    0xffb6d3fd,
    0xffbccef7,
    0xffbcd2f6,
    0xffc7daff,
    0xffb397c6,
    0xff71243b,
    0xff852c2e,
    0xff891b27,
    0xff7a1a35,
    0xff79202a,
    0xff7e1b30,
    0xff7f3c61,
    0xffb8b1e6,
    0xffbdd7fa,
    0xffbcd3f6,
    0xffb9d2f3,
    0xffb8d2f3,
    0xffb8d2f3,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffbbd5f5,
    0xffbdd4f9,
    0xffbcd3f8,
    0xffbcd4f8,
    0xffbbd3f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffbbd2f7,
    0xffb9d4f7,
    0xffb9d3f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d1f5,
    0xffb9d1f5,
    0xffb9d1f5,
    0xffb9d1f5,
    0xffbbd3f6,
    0xffbbd2f6,
    0xffbbd2f6,
    0xffbbd2f6,
    0xffb8d2f5,
    0xffbad3f6,
    0xffb7d5f6,
    0xffb7d5f6,
    0xffbad3f6,
    0xffb8d2f5,
    0xffbbd3f6,
    0xffbbd2f7,
    0xffb9d1f5,
    0xffb9d1f6,
    0xffb9d1f6,
    0xffb9d1f5,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffbbd3f7,
    0xffb8d5f4,
    0xffb8d5f5,
    0xffb8d4f5,
    0xffb7d4f3,
    0xffb7d4f4,
    0xffb7d4f3,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb7d4f3,
    0xffb6d4f4,
    0xffb5d3f3,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb7d4f4,
    0xffb8d6f8,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb8d6f8,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb8d5f7,
    0xffb9d5f7,
    0xffb9d5f7,
    0xffb9d5f7,
    0xffb9d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffbad5f5,
    0xffbbd5f5,
    0xffb8d5f5,
    0xffb9d5f5,
    0xffb8d5f5,
    0xffb5d5f3,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb5d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb7d4f6,
    0xffb5d6f7,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb2d5f5,
    0xffb1d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d4f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb1d3f3,
    0xffb1d2f3,
    0xffafd0f1,
    0xffb2d3f3,
    0xffb1d2f2,
    0xffb2d3f3,
    0xffb2d3f4,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb1d3f4,
    0xffb5d1f9,
    0xffb4d0f7,
    0xffb6d1f8,
    0xffb3d2f7,
    0xffb0cef4,
    0xffb0d1f7,
    0xffb1d1f7,
    0xffafcff5,
    0xffaecef4,
    0xffafd0f6,
    0xffb1d1f7,
    0xffb1d2f7,
    0xffb0d1f7,
    0xffb0d0f6,
    0xffb0d0f5,
    0xffaecef4,
    0xffb0d0f5,
    0xffb0d0f6,
    0xffafcff5,
    0xffaecef4,
    0xffafcff5,
    0xffafcff5,
    0xffafcff5,
    0xffafcff5,
    0xffafd1f6,
    0xffadcff4,
    0xffb0d2f7,
    0xffaed0f5,
    0xffabcef2,
    0xffadd0f4,
    0xffadcff4,
    0xffaccef3,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaaccf2,
    0xffadcff5,
    0xffaccff5,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef3,
    0xffacccf6,
    0xffaacbf5,
    0xffaacbf5,
    0xffaacbf5,
    0xffaacbf6,
    0xffaacbf4,
    0xffaccdf6,
    0xffaccdf7,
    0xffaacbf4,
    0xffabcbf5,
    0xffabccf5,
    0xffaacbf4,
    0xffa9caf3,
    0xffabccf7,
    0xffabccf8,
    0xffa9caf6,
    0xffaacbf7,
    0xffaacaf6,
    0xffaacaf6,
    0xffaacaf6,
    0xffaacaf5,
    0xffa9cbf1,
    0xffaaccf1,
    0xffaaccf1,
    0xffaacbf4,
    0xffa9caf6,
    0xffa9caf5,
    0xffaacbf7,
    0xffaacbf8,
    0xffa7c8f4,
    0xffaacbf7,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa7c8f4,
    0xffa8c8f5,
    0xffa6caf3,
    0xffa5c8f2,
    0xffa6caf3,
    0xffa8cbf5,
    0xffa8ccf5,
    0xffa7caf4,
    0xffa5c9f2,
    0xffa6caf3,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa5c6f5,
    0xffa6c5f4,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa5c6f4,
    0xffa4caf7,
    0xffa4c9f6,
    0xffa0c6f2,
    0xffa3c8f4,
    0xffa1c7f2,
    0xffa2c7f4,
    0xffa2c7f4,
    0xffa2c8f4,
    0xffa1c7f3,
    0xffa0c4f5,
    0xff9fc4f2,
    0xffa1c6f3,
    0xffa1c6f1,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa0c4f4,
    0xff9fc3f6,
    0xff9ec2f5,
    0xff9dc1f3,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9ec2f5,
    0xff9fc3f6,
    0xff9cc0f2,
    0xffa0c4f6,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9cbff1,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9cc0f5,
    0xff9abff3,
    0xff9cc1f6,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff9cc1f4,
    0xff9bc0f4,
    0xff9abff3,
    0xff96bbf0,
    0xff97bcf1,
    0xff96bbf0,
    0xff97bcf1,
    0xff98bdf1,
    0xff97bcf1,
    0xff97bcf1,
    0xff97bcf1,
    0xff96b9f3,
    0xff97b9f3,
    0xff95b9f4,
    0xff96baf4,
    0xff93bbf4,
    0xff90b9f1,
    0xff91baf2,
    0xff94bdf6,
    0xff94bef5,
    0xff95bef6,
    0xff8fb8f0,
    0xff90b9f1,
    0xff90b9f1,
    0xff90b8f2,
    0xff90b8f3,
    0xff90b9f2,
    0xff91baef,
    0xff91baf0,
    0xff90baef,
    0xff91baf2,
    0xff8fb9f0,
    0xff8fb7f3,
    0xff8fb8f2,
    0xff90b8f6,
    0xff8eb8f2,
    0xff90baf4,
    0xff90baf3,
    0xff8eb8f5,
    0xff8db7f4,
    0xff8fb8f6,
    0xff8cb6f5,
    0xff89b3f2,
    0xff8ab3f1,
    0xff8ab3f1,
    0xff8db6f4,
    0xff8bb4f3,
    0xff89b2f0,
    0xff89b3f1,
    0xff89b3f1,
    0xff89b2f1,
    0xff8cb5f2,
    0xff8ab6f3,
    0xff8bb8f3,
    0xff8bb7f4,
    0xff8cb7f4,
    0xff8db6f5,
    0xff8fb5f3,
    0xff8fb5f4,
    0xff86b4ed,
    0xff87b4f1,
    0xff87b2f6,
    0xff8ab4fb,
    0xff87b3f5,
    0xff88b9f2,
    0xff88bcf4,
    0xff84b9f4,
    0xff80afe4,
    0xff94c7fb,
    0xff7bb4f5,
    0xff568fc4,
    0xff4c8489,
    0xff2b5d48,
    0xff194026,
    0xff466c45,
    0xff3b5f3f,
    0xff133914,
    0xff355b37,
    0xff456c4b,
    0xff214430,
    0xff25443e,
    0xff0a2929,
    0xff072527,
    0xff1a3533,
    0xff001f23,
    0xff346c7c,
    0xff6aa1d5,
    0xff184a78,
    0xff012c4a,
    0xff224670,
    0xff062c44,
    0xff03315c,
    0xff5485c2,
    0xff84b7ff,
    0xff7bacf7,
    0xff7cb0f7,
    0xff84b7f8,
    0xff87bffd,
    0xff6ba9e8,
    0xff5c97e3,
    0xff5c94d4,
    0xff6096c1,
    0xff3b6d88,
    0xff3a6b87,
    0xff679ac8,
    0xff5286c8,
    0xff73adff,
    0xff77abfb,
    0xff73abec,
    0xff75abf3,
    0xff5d94db,
    0xff467cae,
    0xff5384ae,
    0xff355f85,
    0xff0f3b44,
    0xff153d39,
    0xff366340,
    0xff103934,
    0xff07243e,
    0xff203a64,
    0xff002442,
    0xff16458a,
    0xff104aa5,
    0xff568fef,
    0xff65a2e8,
    0xff00305a,
    0xff002f58,
    0xff0b3750,
    0xff1c457c,
    0xff02347b,
    0xff1d58a4,
    0xff649af2,
    0xff639df5,
    0xff5392e7,
    0xff6aacfa,
    0xff326fc0,
    0xff73acfd,
    0xff457cc0,
    0xff3675aa,
    0xff1a578a,
    0xff5691d2,
    0xff679ef4,
    0xff66a0f9,
    0xff639ded,
    0xff619fe8,
    0xff619feb,
    0xff639df1,
    0xff659def,
    0xff659fee,
    0xff629cee,
    0xff629dee,
    0xff649ef0,
    0xff649def,
    0xff619ff3,
    0xff67a4f3,
    0xff17507f,
    0xff4d81d1,
    0xff447bca,
    0xff4483ac,
    0xff003862,
    0xff3e6eb9,
    0xff4d7bba,
    0xff376778,
    0xff34544d,
    0xff456846,
    0xff15380d,
    0xff183319,
    0xff39533a,
    0xff425f38,
    0xff1b4213,
    0xff376134,
    0xff3a5946,
    0xff0b270f,
    0xff203b1d,
    0xff2f523c,
    0xff325c50,
    0xff43775d,
    0xff215636,
    0xff25534a,
    0xff22463e,
    0xff1a3d2a,
    0xff092f0d,
    0xff0e331b,
    0xff0c3229,
    0xff1e4a33,
    0xff245735,
    0xff275e4b,
    0xff2a6d68,
    0xff478282,
    0xff356b63,
    0xff235f4a,
    0xff094a4c,
    0xff1d5d81,
    0xff2b637c,
    0xff053a2b,
    0xff1e422e,
    0xff0c2835,
    0xff001329,
    0xff001926,
    0xff001b1a,
    0xff00233c,
    0xff042b68,
    0xff022c53,
    0xff062157,
    0xff002854,
    0xff1d58ae,
    0xff2d75c5,
    0xff286eb6,
    0xff2b65ae,
    0xff164a7b,
    0xff2452a2,
    0xff0f4e84,
    0xff2769b3,
    0xff3b7cc5,
    0xff3a7899,
    0xff20535e,
    0xff0e3342,
    0xff143843,
    0xff00291f,
    0xff355c5b,
    0xff204646,
    0xff173935,
    0xff102d26,
    0xff0e261d,
    0xff081d14,
    0xff02130a,
    0xff05150b,
    0xff08130d,
    0xff02040a,
    0xff1e1c29,
    0xff63646c,
    0xff16221e,
    0xff000e01,
    0xff02150a,
    0xff01120e,
    0xff01110d,
    0xff001112,
    0xff001015,
    0xff000d10,
    0xff000d0a,
    0xff09120f,
    0xff242927,
    0xff1a1a1c,
    0xff212223,
    0xff333f3a,
    0xff000a04,
    0xff111712,
    0xff0b0707,
    0xff494546,
    0xff050f10,
    0xff001511,
    0xffb3cbf4,
    0xffb1cff4,
    0xffafcdf3,
    0xffb9cbf4,
    0xffc3c6f1,
    0xffc5c0ee,
    0xffc5c1ef,
    0xffcacbf5,
    0xffb9cffb,
    0xffb5cdf7,
    0xffb5cdf6,
    0xffb2cdf5,
    0xffb3cdf5,
    0xffb0cff4,
    0xffafcef4,
    0xffb2d0f7,
    0xffb7d3fa,
    0xffb4d1f7,
    0xffb4d1f8,
    0xffb6d3f8,
    0xffb4cff4,
    0xffb5d1f5,
    0xffb5d1f5,
    0xffb4d0f5,
    0xffb6cff3,
    0xffb3d3f9,
    0xffb5d4f5,
    0xffb7d6ef,
    0xffb1d4f3,
    0xffbdddff,
    0xff9aa3d0,
    0xff604b72,
    0xff503150,
    0xff4d3b54,
    0xff372b3e,
    0xff3e273c,
    0xff451936,
    0xff481238,
    0xff633860,
    0xff67496e,
    0xff5f2d52,
    0xff560d30,
    0xff6f0e2d,
    0xff780f22,
    0xff790d19,
    0xff85171f,
    0xff88161e,
    0xff891720,
    0xff891427,
    0xff8b140f,
    0xff871a14,
    0xff861512,
    0xff9d0c08,
    0xffb8231e,
    0xffd24935,
    0xffe15825,
    0xffcd5227,
    0xffbb5557,
    0xffcfc4db,
    0xffb3d1ed,
    0xffc5d0f7,
    0xffbbd0fa,
    0xffb1d6f8,
    0xffb9d8f6,
    0xffbac9fe,
    0xff74729a,
    0xff403242,
    0xff392b34,
    0xff262343,
    0xff616aa6,
    0xffbad0ff,
    0xffbddaf4,
    0xffb7d2f1,
    0xffb9d2f3,
    0xffb7d4f4,
    0xffb8d4f6,
    0xffb5d3f2,
    0xffb6d4f3,
    0xffb8d1f4,
    0xffb7d3f3,
    0xffb8d1f2,
    0xffb8d1f2,
    0xffb8d1f2,
    0xffb8d1f2,
    0xffb9d3f3,
    0xffb9d2f3,
    0xffb9d2f3,
    0xffb8d2f3,
    0xffbcd6f7,
    0xffb9d3f4,
    0xffb7d1f2,
    0xffbad4f5,
    0xffb9d4f5,
    0xffb9d4f4,
    0xffb9d4f4,
    0xffb9d4f5,
    0xffbbd3f6,
    0xffb3d5f2,
    0xffb4d6f2,
    0xffb7d3f3,
    0xffc0d8ff,
    0xffcdd4fb,
    0xff8c6789,
    0xff731f3b,
    0xff8a282a,
    0xff822239,
    0xff752238,
    0xff6d1532,
    0xffa06b9b,
    0xffc7d1ff,
    0xffc0d7fd,
    0xffbacff6,
    0xffbcd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad5f5,
    0xffbbd5f5,
    0xffb9d3f4,
    0xffb9d4f4,
    0xffb9d4f4,
    0xffb9d3f4,
    0xffb9d4f4,
    0xffb9d4f4,
    0xffbad4f5,
    0xffb9d3f3,
    0xffb9d4f4,
    0xffb9d4f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f4,
    0xffbad4f4,
    0xffbad4f4,
    0xffbad4f4,
    0xffbad4f5,
    0xffbad4f8,
    0xffbad4f9,
    0xffbad4f9,
    0xffbad4f9,
    0xffb9d4f9,
    0xffb9d4f9,
    0xffb9d4f9,
    0xffb9d4f9,
    0xffbad4f9,
    0xffbbd5fa,
    0xffbad3f9,
    0xffbbd5fa,
    0xffb9d3f9,
    0xffbad4f9,
    0xffb9d3f8,
    0xffb9d3f8,
    0xffbad2f4,
    0xffbad2f4,
    0xffbad2f4,
    0xffbad2f4,
    0xffbbd3f4,
    0xffb9d1f3,
    0xffb9d1f2,
    0xffb9d0f2,
    0xffbad2f3,
    0xffbad1f3,
    0xffbad2f3,
    0xffbad2f3,
    0xffb9d1f3,
    0xffb9d1f3,
    0xffb9d1f3,
    0xffb9d1f3,
    0xffbad2f5,
    0xffbad2f4,
    0xffb9d1f3,
    0xffb7d1f2,
    0xffb9d3f4,
    0xffb9d2f3,
    0xffb8d1f3,
    0xffb7d3f3,
    0xffb5d5f3,
    0xffb6d5f3,
    0xffb6d5f4,
    0xffb7d4f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d4f6,
    0xffb5d7fa,
    0xffb6d6fa,
    0xffb5d7fa,
    0xffb5d7fa,
    0xffb5d5f9,
    0xffb6d4f9,
    0xffb6d4f9,
    0xffb6d4f9,
    0xffb6d5f9,
    0xffb6d4f8,
    0xffb6d4f8,
    0xffb5d3f7,
    0xffb6d4f8,
    0xffb6d4f8,
    0xffb7d5f9,
    0xffb8d6fa,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d1f4,
    0xffb3d1f3,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb3d1f3,
    0xffb5d2f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d2f5,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb0d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d3f5,
    0xffb4d1f8,
    0xffb3d2f8,
    0xffb4d2f8,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb3d1f6,
    0xffb1cef6,
    0xffb1cdf5,
    0xffb1cef6,
    0xffb2cef6,
    0xffb4d0f8,
    0xffafcff6,
    0xffafcff7,
    0xffb0d0f7,
    0xffaecef5,
    0xffaecef6,
    0xffaecef6,
    0xffaecef6,
    0xffaecef6,
    0xffafcff6,
    0xffb0d0f7,
    0xffafcff6,
    0xffb0d1f4,
    0xffb0d1f3,
    0xffb0d1f3,
    0xffafcef5,
    0xffacccf2,
    0xffabcbf1,
    0xffaecef4,
    0xffadcdf3,
    0xffaeccf2,
    0xffaecdf3,
    0xffafcff5,
    0xffb1d0f6,
    0xffadccf4,
    0xffadcdf4,
    0xffadcff5,
    0xffaccef4,
    0xffaaccf2,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffaccef3,
    0xffabcef3,
    0xffaccef4,
    0xffaacdf2,
    0xffaacdf2,
    0xffabcdf3,
    0xffaccef3,
    0xffa9ccf4,
    0xffaccff7,
    0xffaacdf4,
    0xffa8cbf3,
    0xffaacdf5,
    0xffaacdf4,
    0xffaacdf4,
    0xffa9cdf5,
    0xffaacaf4,
    0xffa8c9f2,
    0xffaacaf4,
    0xffaacaf4,
    0xffa8cbf3,
    0xffa8cbf3,
    0xffa8cbf2,
    0xffa8cbf3,
    0xffaacdf3,
    0xffabcef5,
    0xffaacdf3,
    0xffa9ccf2,
    0xffa8cbf2,
    0xffa9ccf3,
    0xffa8cbf2,
    0xffa8cbf2,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffa8cbf2,
    0xffa7cbf2,
    0xffa9caf3,
    0xffaacbf6,
    0xffaacbf6,
    0xffa9caf4,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa8caf7,
    0xffa6c9f6,
    0xffa5c7f4,
    0xffa4c6f3,
    0xffa6c9f3,
    0xffa6c8f5,
    0xffa6c8f4,
    0xffa6c8f4,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa5c6f4,
    0xffa4c5f6,
    0xffa3c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c4f2,
    0xffa3c4f2,
    0xffa0c6f2,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f2,
    0xffa1c4f5,
    0xffa1c5f5,
    0xffa0c4f3,
    0xffa0c4f4,
    0xff9fc3f2,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c4f3,
    0xff9ec2f1,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9ec2f1,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9bc1f1,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9bc0f5,
    0xff9cc1f6,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff99bef4,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff98bdf2,
    0xff98bdf2,
    0xff96bbf0,
    0xff99bef3,
    0xff9abff3,
    0xff98bef3,
    0xff97bcf1,
    0xff93b8ef,
    0xff97bcf3,
    0xff96bbf2,
    0xff97bdf3,
    0xff96bbf2,
    0xff94bbf5,
    0xff95bcf5,
    0xff96bdf6,
    0xff94bbf4,
    0xff94bbf1,
    0xff93baf1,
    0xff93baf1,
    0xff92b9f0,
    0xff93baf3,
    0xff93b9f3,
    0xff93baf3,
    0xff93baf3,
    0xff92b9f4,
    0xff92b9f4,
    0xff91b8f3,
    0xff8fb5f0,
    0xff8eb7f1,
    0xff8eb9f3,
    0xff8eb9f3,
    0xff90b7f2,
    0xff90b8f3,
    0xff8eb6f2,
    0xff90b8f3,
    0xff8bb3ee,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8cb4f1,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8db5f2,
    0xff8cb4f1,
    0xff8ab2ef,
    0xff8eb6f0,
    0xff8eb6ef,
    0xff8eb6f0,
    0xff8eb6f4,
    0xff8eb4f8,
    0xff8db4f9,
    0xff8db4f5,
    0xff8eb5f3,
    0xff89b6fa,
    0xff86b4f6,
    0xff87b7ec,
    0xff86b5eb,
    0xff88b6ef,
    0xff6498bf,
    0xff7fb5dc,
    0xff80b1f6,
    0xff8abef5,
    0xff85bfe0,
    0xff7baef0,
    0xff5483be,
    0xff386d5f,
    0xff002917,
    0xff0e3a4d,
    0xff0f3e42,
    0xff356270,
    0xff2d5c49,
    0xff164126,
    0xff2b562c,
    0xff466f55,
    0xff204245,
    0xff1a3b37,
    0xff082128,
    0xff0e2523,
    0xff001c29,
    0xff194059,
    0xff305d6f,
    0xff0a3547,
    0xff01233e,
    0xff012035,
    0xff0b2e2d,
    0xff205766,
    0xff4c80d3,
    0xff5b97e2,
    0xff8ccbff,
    0xff5c94d7,
    0xff538ac0,
    0xff326b8c,
    0xff1c556b,
    0xff376591,
    0xff41759b,
    0xff75adc5,
    0xff306662,
    0xff376568,
    0xff1c4a61,
    0xff367297,
    0xff73b7ff,
    0xff72adf7,
    0xff74aaf3,
    0xff7caefd,
    0xff709eda,
    0xff1f5367,
    0xff2f627a,
    0xff2e6285,
    0xff3a7083,
    0xff1e4a47,
    0xff1e4c2a,
    0xff001e1c,
    0xff1e3f5b,
    0xff001b30,
    0xff1e496e,
    0xff0f4490,
    0xff0d4f9d,
    0xff2f70c0,
    0xff08367c,
    0xff001b3d,
    0xff234064,
    0xff001e4e,
    0xff2a598f,
    0xff6eaaf3,
    0xff6bb2f5,
    0xff68abe6,
    0xff598bce,
    0xff3361b2,
    0xff5ea0e7,
    0xff175cab,
    0xff5d93e1,
    0xff3f749a,
    0xff1f5886,
    0xff3270ae,
    0xff619fe1,
    0xff649df8,
    0xff619ff5,
    0xff5fa3ed,
    0xff61a3ec,
    0xff63a1e4,
    0xff669df1,
    0xff639cf3,
    0xff619bed,
    0xff639ff0,
    0xff609ff0,
    0xff5f9deb,
    0xff5d9aec,
    0xff669ef6,
    0xff629bed,
    0xff306697,
    0xff4473d0,
    0xff77abf2,
    0xff033f57,
    0xff4b81b1,
    0xff4271c8,
    0xff4b7ab9,
    0xff2f6371,
    0xff315d50,
    0xff335227,
    0xff35472f,
    0xff1e342e,
    0xff2c482a,
    0xff445c40,
    0xff2d4232,
    0xff415e3c,
    0xff233629,
    0xff00190d,
    0xff0e2e30,
    0xff285140,
    0xff13401f,
    0xff1c4721,
    0xff305831,
    0xff18372a,
    0xff0f2621,
    0xff16321b,
    0xff12341d,
    0xff0a2a1c,
    0xff052412,
    0xff001a0a,
    0xff233e2c,
    0xff375739,
    0xff22562b,
    0xff2b5e37,
    0xff26592b,
    0xff336938,
    0xff3a7055,
    0xff1a5256,
    0xff07444f,
    0xff0c494d,
    0xff123a47,
    0xff365884,
    0xff2c5694,
    0xff27609a,
    0xff3670ad,
    0xff4672bf,
    0xff2252a5,
    0xff13569e,
    0xff2056ac,
    0xff1b4d94,
    0xff3b71b8,
    0xff134785,
    0xff1e5290,
    0xff1e5092,
    0xff174a89,
    0xff234d8b,
    0xff123c5b,
    0xff003255,
    0xff245a7f,
    0xff265976,
    0xff1d4b57,
    0xff163f40,
    0xff184141,
    0xff062c2f,
    0xff142f2d,
    0xff1c3745,
    0xff193a43,
    0xff062715,
    0xff08220c,
    0xff122119,
    0xff061715,
    0xff00150e,
    0xff041208,
    0xff000b0a,
    0xff00050c,
    0xff181a21,
    0xff575b5b,
    0xff222723,
    0xff050b0a,
    0xff050c11,
    0xff00121e,
    0xff173955,
    0xff0b2b47,
    0xff000a0a,
    0xff0a1602,
    0xff001c10,
    0xff081d19,
    0xff1b1a13,
    0xff1c2326,
    0xff03070b,
    0xff0c0d0f,
    0xff21201f,
    0xff282a24,
    0xff9ca59f,
    0xff0e1e15,
    0xff03180f,
    0xffb4cbf4,
    0xffb1ccf3,
    0xffafcdf4,
    0xffb2cbf3,
    0xffbacbf3,
    0xffbec8f3,
    0xffbcc9f4,
    0xffbacbf4,
    0xffb3cdf6,
    0xffb3cdf6,
    0xffb4ccf6,
    0xffb1cef4,
    0xffb1cdf4,
    0xffb2cef5,
    0xffb2d0f6,
    0xffb4d2f8,
    0xffb5d0f7,
    0xffb5d0f8,
    0xffb5d0f5,
    0xffb4d0f5,
    0xffb4d0f5,
    0xffb5d1f7,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb8d0f3,
    0xffb6d2f8,
    0xffb6d3f2,
    0xffb8d2ee,
    0xffbad6f9,
    0xffbfdcff,
    0xff878cbd,
    0xff59446b,
    0xff463750,
    0xff3b2e44,
    0xff382438,
    0xff421c34,
    0xff581836,
    0xff601436,
    0xff5a1132,
    0xff531032,
    0xff561328,
    0xff6c1a2f,
    0xff6e0d21,
    0xff730b1b,
    0xff811621,
    0xff84141e,
    0xff88101c,
    0xff8f1420,
    0xff831018,
    0xff9a181d,
    0xff9d1726,
    0xffc43641,
    0xffc4271d,
    0xffd03a27,
    0xffcc4737,
    0xffd64935,
    0xffde5136,
    0xffc24760,
    0xffe0c0f1,
    0xffc2d3ff,
    0xffc4ccf6,
    0xffbdd4fb,
    0xffbcd3fd,
    0xffc5d0ff,
    0xff8b8fbd,
    0xff433d5f,
    0xff3e2f41,
    0xff2c2234,
    0xff4e4f75,
    0xffb1c0f5,
    0xffbfd5ff,
    0xffbad4ef,
    0xffbad5f4,
    0xffb9d3f4,
    0xffb6d4f4,
    0xffb5d2f2,
    0xffb7d4f5,
    0xffb7d5f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffb8d2f3,
    0xffb8d2f3,
    0xffb8d2f3,
    0xffb8d2f3,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f5,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f4,
    0xffbad4f6,
    0xffb9cff8,
    0xffb6d6f4,
    0xffb5d7f3,
    0xffb9d4f4,
    0xffbad5fd,
    0xffc0d4f9,
    0xffd5c9ea,
    0xff743e5e,
    0xff7c2330,
    0xff8e283a,
    0xff802f3e,
    0xff9b6182,
    0xffc2b0e5,
    0xffbbd7fb,
    0xffbcd2ef,
    0xffbbd2f5,
    0xffbad5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb8d2f3,
    0xffb7d1f2,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f4,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d3f6,
    0xffbad4f7,
    0xffb9d3f6,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d3f6,
    0xffbad4f7,
    0xffbad4f7,
    0xffb9d4f4,
    0xffb9d4f5,
    0xffb9d4f5,
    0xffb9d4f4,
    0xffbad4f5,
    0xffb9d4f5,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbbd3f5,
    0xffbbd2f4,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffb7d4f4,
    0xffb7d4f4,
    0xffb5d5f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb5d3f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb5d2f5,
    0xffb5d3f5,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d3f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb7d4f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb5d2f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d3f5,
    0xffb4d1f8,
    0xffb4d2f8,
    0xffb4d2f8,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffb2cff7,
    0xffb0cdf5,
    0xffb1cef6,
    0xffb2cef7,
    0xffafd0f7,
    0xffb1d1f8,
    0xffb0d0f7,
    0xffafcff6,
    0xffb0d0f6,
    0xffafcff6,
    0xffb0cff6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f7,
    0xffb0d1f3,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffaecff2,
    0xffafcff6,
    0xffaecef4,
    0xffb0d0f6,
    0xffafcff5,
    0xffb0cdf3,
    0xffaecef4,
    0xffaecef4,
    0xffafcff5,
    0xffaecdf5,
    0xffaacdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf1,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffa8cbf3,
    0xffaacdf5,
    0xffa8cbf3,
    0xffaacdf5,
    0xffa9ccf4,
    0xffabcef6,
    0xffabccf5,
    0xffa9caf3,
    0xffabccf5,
    0xffaacbf4,
    0xffa8ccf3,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffa9ccf2,
    0xffaacdf3,
    0xffaacdf3,
    0xffa8cbf1,
    0xffaacdf3,
    0xffa9ccf2,
    0xffa9ccf1,
    0xffa8cbf0,
    0xffaacdf3,
    0xffaacdf2,
    0xffa7caf2,
    0xffa7cbf2,
    0xffa8c9f2,
    0xffaacbf3,
    0xffaacbf6,
    0xffa7c8f3,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa5c7f4,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa6c8f4,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa6c8f6,
    0xffa0c5f2,
    0xff9fc4f1,
    0xffa1c6f3,
    0xffa1c6f2,
    0xffa1c4f5,
    0xffa1c5f5,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa1c5f5,
    0xffa1c5f5,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc0f5,
    0xff9cc1f4,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff98bdf2,
    0xff9abff4,
    0xff9abff4,
    0xff99bef3,
    0xff99bef3,
    0xff97bcf1,
    0xff97bcf1,
    0xff98bdf2,
    0xff9abff3,
    0xff98bdf4,
    0xff96bbf2,
    0xff97bcf3,
    0xff96baf1,
    0xff94bbf5,
    0xff93baf3,
    0xff94bbf5,
    0xff96bdf7,
    0xff94bbf2,
    0xff93bbf2,
    0xff93bbf2,
    0xff94bbf2,
    0xff92b9f3,
    0xff93baf3,
    0xff93baf3,
    0xff93baf3,
    0xff90b7f2,
    0xff92b9f4,
    0xff91b8f3,
    0xff91b7f2,
    0xff90b8f3,
    0xff90b7f3,
    0xff8eb6f1,
    0xff90b8f3,
    0xff8eb6f1,
    0xff8eb6f1,
    0xff90b8f3,
    0xff8db5ef,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8cb4f1,
    0xff8eb6f3,
    0xff8db5f2,
    0xff8db5f2,
    0xff8eb6f3,
    0xff8eb6f4,
    0xff8fb5f9,
    0xff8eb4f7,
    0xff8fb5f7,
    0xff90b7fc,
    0xff8cb4fc,
    0xff8cb3fb,
    0xff8ab4f7,
    0xff89b2f1,
    0xff8ab8ec,
    0xff8cb9eb,
    0xff8ab7f3,
    0xff8cb7f6,
    0xff5282a6,
    0xff679ba1,
    0xff4f838a,
    0xff5f91a8,
    0xff6798a8,
    0xff497e77,
    0xff437681,
    0xff71a0aa,
    0xff47765c,
    0xff07302c,
    0xff30517b,
    0xff5d82a6,
    0xff2c5a74,
    0xff204c49,
    0xff204a3f,
    0xff184229,
    0xff255040,
    0xff264e53,
    0xff163b36,
    0xff042624,
    0xff072020,
    0xff001c1f,
    0xff163f47,
    0xff002335,
    0xff072d46,
    0xff001d39,
    0xff0e364f,
    0xff113950,
    0xff002437,
    0xff4f7fd2,
    0xff94c4ff,
    0xff46799a,
    0xff002442,
    0xff002735,
    0xff01212c,
    0xff143641,
    0xff0e3637,
    0xff285954,
    0xff397068,
    0xff2b614d,
    0xff194246,
    0xff1a415d,
    0xff154a6a,
    0xff538ecc,
    0xff73b2ef,
    0xff5392ca,
    0xff5d97d9,
    0xff6497de,
    0xff7aa7e2,
    0xff144164,
    0xff0a3642,
    0xff346156,
    0xff15413d,
    0xff2c595a,
    0xff1a4659,
    0xff0b3260,
    0xff002154,
    0xff174279,
    0xff0f438e,
    0xff3871ce,
    0xff1156ae,
    0xff235aa6,
    0xff163f65,
    0xff001b42,
    0xff00265a,
    0xff1e5695,
    0xff6ba4f8,
    0xff6ca6f2,
    0xff7fbcff,
    0xff2c5c7c,
    0xff0a3254,
    0xff00223b,
    0xff316e85,
    0xff3e7293,
    0xff285b79,
    0xff1b5188,
    0xff5c9be3,
    0xff538ddb,
    0xff69a1ff,
    0xff65a1f2,
    0xff508fdc,
    0xff66a4fb,
    0xff64a0ef,
    0xff679df4,
    0xff639ce9,
    0xff639fe9,
    0xff609eec,
    0xff63a2f2,
    0xff63a2f0,
    0xff66a5f0,
    0xff5c9be4,
    0xff61a1e6,
    0xff4882bd,
    0xff5488d7,
    0xff1a4d92,
    0xff3768a4,
    0xff3966a5,
    0xff315e89,
    0xff32616f,
    0xff2d5a60,
    0xff24453c,
    0xff42593b,
    0xff20331a,
    0xff315340,
    0xff073317,
    0xff082b12,
    0xff173426,
    0xff2b4c41,
    0xff365057,
    0xff142d3b,
    0xff142641,
    0xff113138,
    0xff345d62,
    0xff002025,
    0xff0b3120,
    0xff132d24,
    0xff132816,
    0xff153117,
    0xff001c13,
    0xff143032,
    0xff173127,
    0xff0a2512,
    0xff031e09,
    0xff20401b,
    0xff2b532f,
    0xff113328,
    0xff092c27,
    0xff0a3025,
    0xff0f3a28,
    0xff1a4937,
    0xff1d4c4d,
    0xff305a81,
    0xff445067,
    0xff5f3c61,
    0xff76578e,
    0xff5468b2,
    0xff4173db,
    0xff2459cc,
    0xff3c73da,
    0xff2867bf,
    0xff2e75d0,
    0xff256bb0,
    0xff083f57,
    0xff1c3d45,
    0xff012933,
    0xff276264,
    0xff2c6468,
    0xff2a5052,
    0xff284436,
    0xff0f2d1e,
    0xff00140b,
    0xff000e0f,
    0xff061b26,
    0xff0f1e27,
    0xff162624,
    0xff02160b,
    0xff03210a,
    0xff001a23,
    0xff032629,
    0xff03250c,
    0xff031e12,
    0xff001211,
    0xff001408,
    0xff001b0d,
    0xff02150f,
    0xff001210,
    0xff000d0e,
    0xff000c0b,
    0xff18221a,
    0xff676f67,
    0xff202424,
    0xff0a0a11,
    0xff030c10,
    0xff13364a,
    0xff204859,
    0xff0d201a,
    0xff0e1604,
    0xff010e0b,
    0xff182427,
    0xff24211f,
    0xff182124,
    0xff010e0e,
    0xff00120d,
    0xff00110a,
    0xff000e09,
    0xff000805,
    0xffababad,
    0xff070407,
    0xffb5cdf5,
    0xffb1cdf4,
    0xffb0cef4,
    0xffb0cef3,
    0xffb2ccf4,
    0xffb3ccf2,
    0xffb0cdf2,
    0xffaecff2,
    0xffb3ccf5,
    0xffb4ccf6,
    0xffb1cef4,
    0xffb1cdf4,
    0xffb2cef5,
    0xffb4d0f7,
    0xffb3cff4,
    0xffb6d1f6,
    0xffb5d1f8,
    0xffb5d1f5,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb4d0f5,
    0xffb5d1f7,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb7cff2,
    0xffb6d2f8,
    0xffbad3f6,
    0xffc0d2f2,
    0xffb9d2f8,
    0xffbdd3ff,
    0xff8082b3,
    0xff5d466e,
    0xff4b3c53,
    0xff422940,
    0xff4b1f38,
    0xff52122b,
    0xff681730,
    0xff6f1630,
    0xff711330,
    0xff70112d,
    0xff6d1326,
    0xff6a0d1e,
    0xff690918,
    0xff710f1e,
    0xff7f1e2f,
    0xff82202f,
    0xff801122,
    0xff8a0e1c,
    0xffa03130,
    0xff961712,
    0xffa92321,
    0xffd44540,
    0xffda412d,
    0xffcb381d,
    0xffc94326,
    0xffdc5330,
    0xffd0633e,
    0xffc25f6d,
    0xffe4cffd,
    0xffb9d3ff,
    0xffb8d3f4,
    0xffb7d9f6,
    0xffc0d7ff,
    0xffa6a6e1,
    0xff4f4566,
    0xff3e2f4a,
    0xff342841,
    0xff393657,
    0xffa2afd9,
    0xffc1d9ff,
    0xffb7d0f2,
    0xffbcd3f4,
    0xffbad1f3,
    0xffb8d2f3,
    0xffbad3f4,
    0xffb7d5f4,
    0xffb6d4f3,
    0xffb9d2f3,
    0xffb9d3f4,
    0xffbad2f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f4,
    0xffbad4f5,
    0xffb7d2f8,
    0xffb9d6f6,
    0xffbbd6f3,
    0xffbbd4f3,
    0xffb8d7fb,
    0xffb5d5f7,
    0xffcdd6fa,
    0xffaf9ec1,
    0xff5f1a39,
    0xff842030,
    0xff77282c,
    0xffa582a5,
    0xffced9ff,
    0xffb0d6f5,
    0xffbfd6e8,
    0xffbbd5f7,
    0xffbad5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb8d2f3,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffb9d3f4,
    0xffbad3f5,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffbcd6f7,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbcd3f6,
    0xffbbd5f6,
    0xffb9d3f5,
    0xffbad3f5,
    0xffbad3f5,
    0xffbbd4f5,
    0xffb8d5f5,
    0xffb9d6f6,
    0xffb5d4f3,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb5d4f3,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb6d5f3,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb5d5f3,
    0xffb5d4f3,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb5d3f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffb2d3f6,
    0xffb4d1f8,
    0xffb4d2f8,
    0xffb4d2f8,
    0xffb3d1f7,
    0xffb1cff6,
    0xffb2d0f6,
    0xffb1cff5,
    0xffb0cef4,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffaecef4,
    0xffb0d0f5,
    0xffafcff5,
    0xffaecef4,
    0xffb1d2f5,
    0xffb1d2f4,
    0xffb0d1f4,
    0xffb0d1f3,
    0xffafd0f3,
    0xffb1d2f5,
    0xffb1d2f4,
    0xffb1d2f5,
    0xffaecff2,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f3,
    0xffb0cff6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0cef4,
    0xffafcff5,
    0xffb0d0f6,
    0xffaecef4,
    0xffafcff6,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffaed0f6,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffaccef4,
    0xffaccef4,
    0xffadcff4,
    0xffaacdf5,
    0xffa8cbf3,
    0xffaacdf5,
    0xffaacdf5,
    0xffa8cbf3,
    0xffaacdf5,
    0xffa9ccf4,
    0xffabcef6,
    0xffabcbf5,
    0xffa9caf4,
    0xffabccf5,
    0xffabccf5,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffaacdf5,
    0xffa8cbf1,
    0xffaacdf3,
    0xffa8cbf1,
    0xffaacdf3,
    0xffaacdf3,
    0xffaacdf3,
    0xffa9ccf2,
    0xffaacdf3,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa8cbf3,
    0xffa8cbf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf3,
    0xffa8c9f4,
    0xffa7c9f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa7c8f6,
    0xffa7c8f6,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f7,
    0xffa7c9f7,
    0xffa7c9f5,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa6c8f5,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa6c8f6,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa1c6f3,
    0xffa0c5f2,
    0xffa1c6f2,
    0xffa1c4f5,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa1c5f5,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff9bc0f5,
    0xff99bef3,
    0xff99bef3,
    0xff9abff3,
    0xff9abff7,
    0xff98bdf4,
    0xff97bcf3,
    0xff96bbf1,
    0xff94b7f2,
    0xff98bbf6,
    0xff98bdf3,
    0xff97bcf3,
    0xff95baf1,
    0xff96bbf2,
    0xff95baf1,
    0xff96baf1,
    0xff93bbf4,
    0xff93baf3,
    0xff91b8f1,
    0xff93baf3,
    0xff92b9f2,
    0xff92b9f4,
    0xff92b9f4,
    0xff92b9f4,
    0xff91b9f4,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff90b8f3,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8fb7f2,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff8db5f2,
    0xff8fb7f4,
    0xff8eb6f3,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff8fb7f4,
    0xff91b7f3,
    0xff90b8f4,
    0xff90b8f4,
    0xff8cb6f0,
    0xff8cb9f2,
    0xff8bb8f0,
    0xff89b8ed,
    0xff88b7ea,
    0xff8ebcea,
    0xff8ebae7,
    0xff8db4f8,
    0xff8fb8f6,
    0xff67989e,
    0xff376d53,
    0xff447863,
    0xff30614d,
    0xff2c5444,
    0xff2a5739,
    0xff2a5b40,
    0xff45735b,
    0xff628f69,
    0xff3b614b,
    0xff113438,
    0xff012628,
    0xff3f6b83,
    0xff053037,
    0xff0c3031,
    0xff19413c,
    0xff0c3333,
    0xff3e676d,
    0xff103a2f,
    0xff0b3324,
    0xff123125,
    0xff20462c,
    0xff022c1a,
    0xff29525a,
    0xff163d4f,
    0xff1c4855,
    0xff0c3a4e,
    0xff0f4167,
    0xff477ea7,
    0xff5e8cde,
    0xff5f8ebb,
    0xff001c21,
    0xff011f20,
    0xff031a14,
    0xff0c211e,
    0xff051b1a,
    0xff09271a,
    0xff09302a,
    0xff1d4a4f,
    0xff0e3c39,
    0xff093237,
    0xff234a57,
    0xff0a363c,
    0xff154564,
    0xff084057,
    0xff2e6976,
    0xff407c8d,
    0xff457caa,
    0xff94c3ff,
    0xff739ec6,
    0xff204c45,
    0xff002a15,
    0xff092f34,
    0xff2c567b,
    0xff4c79a8,
    0xff4372a8,
    0xff153d7f,
    0xff26567e,
    0xff0c3d5c,
    0xff053174,
    0xff154d93,
    0xff235592,
    0xff001d42,
    0xff24578a,
    0xff3e7ec3,
    0xff59a2ee,
    0xff75b0ff,
    0xff6ea0e6,
    0xff5a8cc0,
    0xff0d3731,
    0xff001f15,
    0xff00201e,
    0xff3b6b6a,
    0xff27596c,
    0xff3a6b9d,
    0xff2f64b1,
    0xff6fadf5,
    0xff3474bf,
    0xff6fa9fe,
    0xff5e9bdb,
    0xff3d78bc,
    0xff6aa0ff,
    0xff679ef7,
    0xff669ef1,
    0xff639ced,
    0xff6aa4f6,
    0xff4f8dd9,
    0xff5d9de5,
    0xff63a5ef,
    0xff5fa2ed,
    0xff5fa2ed,
    0xff1b5baa,
    0xff65a3ea,
    0xff235c95,
    0xff2e638e,
    0xff265387,
    0xff4e78a9,
    0xff224c57,
    0xff154235,
    0xff1b4547,
    0xff224440,
    0xff0f2728,
    0xff102a32,
    0xff052d42,
    0xff07334b,
    0xff375d61,
    0xff102f26,
    0xff1a3d36,
    0xff0a3631,
    0xff082838,
    0xff000e26,
    0xff03212a,
    0xff24496a,
    0xff486fa0,
    0xff1b3d48,
    0xff1f3539,
    0xff081c1d,
    0xff0b241e,
    0xff112c30,
    0xff011c2b,
    0xff032028,
    0xff041f2a,
    0xff001920,
    0xff001d0d,
    0xff193c29,
    0xff052617,
    0xff012011,
    0xff022016,
    0xff042216,
    0xff07290d,
    0xff012112,
    0xff2b485c,
    0xff504c4d,
    0xff6a1f26,
    0xff6a1f2e,
    0xff64648d,
    0xff5688d0,
    0xff4d92e0,
    0xff4991d6,
    0xff5a95d9,
    0xff4d77c7,
    0xff3b5da3,
    0xff0b2c29,
    0xff0c2717,
    0xff061e1f,
    0xff0b281c,
    0xff0c2c19,
    0xff072a0d,
    0xff09220d,
    0xff112e19,
    0xff0f2d1a,
    0xff052116,
    0xff011412,
    0xff011011,
    0xff000e08,
    0xff05180c,
    0xff001717,
    0xff0e2e3a,
    0xff00202a,
    0xff04242c,
    0xff062029,
    0xff091f26,
    0xff021918,
    0xff06201a,
    0xff001211,
    0xff011514,
    0xff00140f,
    0xff001004,
    0xff000d00,
    0xff313f2e,
    0xff858982,
    0xff1c1b1a,
    0xff090500,
    0xff00151b,
    0xff00272a,
    0xff041d14,
    0xff030b00,
    0xff0b1113,
    0xff07090e,
    0xff2e2829,
    0xff20292b,
    0xff010f0f,
    0xff001411,
    0xff001913,
    0xff001512,
    0xff000c0c,
    0xff55585f,
    0xff1b1621,
    0xffb1cdf3,
    0xffb2cef5,
    0xffb2cff5,
    0xffaecff5,
    0xffb0d0f5,
    0xffaecff5,
    0xffadcff4,
    0xffabcff3,
    0xffb1cef3,
    0xffb1cdf4,
    0xffb2cef5,
    0xffb1cdf4,
    0xffb3cff6,
    0xffb5d1f5,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb3cff4,
    0xffb5d1f6,
    0xffb5d1f6,
    0xffb3cff4,
    0xffb5d2f4,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb5d3f2,
    0xffb6d3f8,
    0xffbad4f8,
    0xffbfd1f4,
    0xffbad1f7,
    0xffbacfff,
    0xff7477a6,
    0xff5d456b,
    0xff522d45,
    0xff561d37,
    0xff641635,
    0xff701735,
    0xff6d132d,
    0xff6f172c,
    0xff74152d,
    0xff77122e,
    0xff790c2c,
    0xff730f29,
    0xff711326,
    0xff680b20,
    0xff5e061c,
    0xff5d0618,
    0xff6c0615,
    0xff800613,
    0xffb3393c,
    0xffff8f8b,
    0xffcb524b,
    0xffe4685c,
    0xffe15e4c,
    0xffca442d,
    0xffd24e35,
    0xffcc4a2a,
    0xffcd5836,
    0xffb23c46,
    0xffc38cad,
    0xffe8d8ff,
    0xffd7daff,
    0xffc6e0fd,
    0xffb6c4ec,
    0xff606092,
    0xff4b344d,
    0xff3b283c,
    0xff2c2443,
    0xff888dbe,
    0xffc1d9ff,
    0xffb9d9f3,
    0xffbcd7f0,
    0xffb9cff5,
    0xffbdd3f6,
    0xffb9d4f5,
    0xffb8d2f3,
    0xffb5d3f2,
    0xffb6d4f3,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffbad2f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb8d2f3,
    0xffb8d2f3,
    0xffb8d2f3,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffbad4f5,
    0xffb8d2f3,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbad3f4,
    0xffb8d5f5,
    0xffb5d6fa,
    0xffb9d4f5,
    0xffbdd3f3,
    0xffbdd3f2,
    0xffb8d4f6,
    0xffb6d7fb,
    0xffbbd4f9,
    0xffcdd7fe,
    0xff8e6c99,
    0xff5f112c,
    0xff72252a,
    0xff6c3b55,
    0xffbebcf1,
    0xffb5d7f9,
    0xffbdd6eb,
    0xffb9d3f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbad4f5,
    0xffb8d2f3,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd4f6,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffb9d3f5,
    0xffb9d3f4,
    0xffbed8f9,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffbbd5f6,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb9d3f5,
    0xffb9d5f2,
    0xffb9d5f2,
    0xffb9d5f2,
    0xffb9d5f2,
    0xffb9d4f2,
    0xffbad5f2,
    0xffbad5f2,
    0xffbad5f2,
    0xffb9d5f2,
    0xffb9d5f2,
    0xffb9d5f2,
    0xffb9d5f2,
    0xffbbd6f4,
    0xffb9d4f1,
    0xffbcd7f5,
    0xffb9d4f1,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbcd6f7,
    0xffbad4f6,
    0xffbbd5f6,
    0xffbcd6f7,
    0xffbad5f2,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f2,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffb9d4f2,
    0xffb9d4f2,
    0xffb9d5f2,
    0xffbad4f2,
    0xffb8d5f3,
    0xffb8d6f3,
    0xffb9d6f4,
    0xffbad7f5,
    0xffb7d6f2,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb5d5f3,
    0xffb5d3f6,
    0xffb5d3f6,
    0xffb5d4f5,
    0xffb6d2f1,
    0xffb6d3f1,
    0xffb8d5f2,
    0xffb8d4f2,
    0xffb6d6f2,
    0xffb6d6f2,
    0xffb6d5f2,
    0xffb7d6f2,
    0xffb5d4f1,
    0xffb5d4f1,
    0xffb5d4f1,
    0xffb5d4f0,
    0xffb4d3f0,
    0xffb6d5f2,
    0xffb6d5f2,
    0xffb6d5f2,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb7d5f7,
    0xffb5d3f6,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f9,
    0xffb6d4f9,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb3d1f3,
    0xffb5d2f5,
    0xffb1d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d4f4,
    0xffb1d3f3,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb4d1f6,
    0xffb4d1f5,
    0xffb4d2f5,
    0xffb3d0f4,
    0xffb1cef2,
    0xffb1cff3,
    0xffb3d0f4,
    0xffb4d1f5,
    0xffb3d1f8,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb1d1f8,
    0xffb0d0f6,
    0xffafcff5,
    0xffb0d1f6,
    0xffb1d2f4,
    0xffb1d2f5,
    0xffafd0f3,
    0xffafd0f3,
    0xffaecff2,
    0xffafd0f4,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffaecff2,
    0xffb0d1f4,
    0xffafd0f3,
    0xffafd1f3,
    0xffb0cff6,
    0xffaecef4,
    0xffafcff5,
    0xffaecef4,
    0xffb1cef4,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffaecef4,
    0xffafcff5,
    0xffaed0f6,
    0xffafd1f7,
    0xffadcff5,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf2,
    0xffadd0f8,
    0xffaccff7,
    0xffadd0f8,
    0xffa9ccf4,
    0xffaacdf5,
    0xffaacdf5,
    0xffaacdf5,
    0xffa9ccf5,
    0xffabcdf2,
    0xffa8caf0,
    0xffaaccf2,
    0xffa8cbf1,
    0xffa8cbf0,
    0xffa8cbf1,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa8cbf1,
    0xffaacdf3,
    0xffa8cbf1,
    0xffabcef4,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffabcef4,
    0xffaccff5,
    0xffa7caf0,
    0xffa8cbf1,
    0xffa8cbf1,
    0xffabcef3,
    0xffaacef6,
    0xffa8c9f2,
    0xffaacbf4,
    0xffaacaf3,
    0xffa9cdf6,
    0xffa8cbf5,
    0xffa8cbf4,
    0xffa6c9f3,
    0xffa7caf3,
    0xffa5c8f2,
    0xffa6caf3,
    0xffa8caf5,
    0xffa6c8f7,
    0xffa7c9f7,
    0xffa7c9f7,
    0xffa7c9f5,
    0xffa5c7f5,
    0xffa4c7f1,
    0xffa4c7f1,
    0xffa6c8f3,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa0c4f0,
    0xffa3c8f4,
    0xffa4c9f6,
    0xffa1c6f3,
    0xffa0c5f2,
    0xffa0c6f2,
    0xff9fc3f4,
    0xff9fc3f3,
    0xffa1c5f5,
    0xffa0c5f5,
    0xffa0c4f4,
    0xff9ec3f3,
    0xff9ec2f2,
    0xff9ec2f3,
    0xff9ec2f3,
    0xff9ec2f2,
    0xffa0c4f4,
    0xff9fc3f2,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9ec2f2,
    0xff9ec2f2,
    0xffa0c4f4,
    0xffa1c5f4,
    0xff9bc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc3f3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f5,
    0xff9abff5,
    0xff9abff5,
    0xff9abff5,
    0xff9bc0f5,
    0xff98bdf2,
    0xff9bc0f6,
    0xff9bc0f5,
    0xff9bc0f3,
    0xff9bc0f6,
    0xff9bc0f5,
    0xff99bef3,
    0xff98bdf2,
    0xff97bcf4,
    0xff96bbf2,
    0xff95baf1,
    0xff97baf2,
    0xff97baf2,
    0xff98baf2,
    0xff99bbf3,
    0xff96b9f1,
    0xff97baf2,
    0xff98bbf3,
    0xff99bcf3,
    0xff93baf1,
    0xff92b9f0,
    0xff91b8f2,
    0xff91b8f1,
    0xff93baf3,
    0xff93baf3,
    0xff92baf5,
    0xff90b8f3,
    0xff90b7f2,
    0xff92b9f4,
    0xff90b9f4,
    0xff91b9f4,
    0xff90b8f3,
    0xff90b7f3,
    0xff8eb6f2,
    0xff8fb6f1,
    0xff8eb6f4,
    0xff8fb7f4,
    0xff8db5f2,
    0xff8fb7f4,
    0xff8eb6f3,
    0xff8eb6f3,
    0xff8fb7f4,
    0xff8eb6f2,
    0xff8fb6ef,
    0xff8cb5ee,
    0xff8eb6ef,
    0xff8fbaf0,
    0xff8ab9eb,
    0xff89bae9,
    0xff88baeb,
    0xff87baef,
    0xff88b7f3,
    0xff8bb9f4,
    0xff87b4f2,
    0xff89b8e3,
    0xff508182,
    0xff44795e,
    0xff4f8065,
    0xff2f5d42,
    0xff0e312a,
    0xff183f3e,
    0xff184241,
    0xff1a473e,
    0xff35614c,
    0xff406c51,
    0xff457058,
    0xff487665,
    0xff08323a,
    0xff0d3236,
    0xff294a4f,
    0xff06252a,
    0xff0e3139,
    0xff23494d,
    0xff1d4536,
    0xff3d654b,
    0xff254e2c,
    0xff3f6d3d,
    0xff2b5a30,
    0xff244f3c,
    0xff305855,
    0xff28524e,
    0xff0e3d45,
    0xff1b4d6b,
    0xff084379,
    0xff1c4c8e,
    0xff002637,
    0xff0a322c,
    0xff041c26,
    0xff041923,
    0xff021920,
    0xff021f17,
    0xff031e17,
    0xff001932,
    0xff082b61,
    0xff537fa4,
    0xff487387,
    0xff123c3c,
    0xff042f22,
    0xff1c4051,
    0xff203f3f,
    0xff092e27,
    0xff1c4c38,
    0xff2a615b,
    0xff376a84,
    0xff588b96,
    0xff4e836b,
    0xff366549,
    0xff0b3415,
    0xff001f28,
    0xff24546e,
    0xff2c5d82,
    0xff2c5988,
    0xff002633,
    0xff4a7175,
    0xff0b2b52,
    0xff184059,
    0xff153553,
    0xff0f324b,
    0xff04356d,
    0xff579dea,
    0xff65b5f9,
    0xff4d8ecc,
    0xff467397,
    0xff05273f,
    0xff03221e,
    0xff001918,
    0xff001e2e,
    0xff235470,
    0xff316898,
    0xff235a9d,
    0xff5d95e1,
    0xff61a0d5,
    0xff2e6ca7,
    0xff4681c6,
    0xff2e6b97,
    0xff0a447a,
    0xff6d9ffc,
    0xff639bef,
    0xff62a0e3,
    0xff659def,
    0xff538be5,
    0xff003286,
    0xff69a6f6,
    0xff2f6bc4,
    0xff5b9bf3,
    0xff61a1f6,
    0xff6dacff,
    0xff4680d1,
    0xff4b84c3,
    0xff457aa5,
    0xff214f6e,
    0xff325e73,
    0xff386573,
    0xff3f6a84,
    0xff264f81,
    0xff2a5a94,
    0xff33598b,
    0xff4f7293,
    0xff346072,
    0xff2c535e,
    0xff3b5857,
    0xff223a39,
    0xff001526,
    0xff12426a,
    0xff264c8f,
    0xff6d8bcc,
    0xff183652,
    0xff00224d,
    0xff1f437a,
    0xff19404f,
    0xff001c1f,
    0xff062037,
    0xff1a3946,
    0xff2c4f5a,
    0xff173d48,
    0xff0c3241,
    0xff274871,
    0xff1d4170,
    0xff0b3850,
    0xff2a5270,
    0xff143f46,
    0xff083231,
    0xff03262b,
    0xff0f2d2c,
    0xff001614,
    0xff091e1c,
    0xff1c2e2a,
    0xff4f4537,
    0xff752926,
    0xff73322d,
    0xff342d26,
    0xff2f4549,
    0xff24525b,
    0xff265e70,
    0xff36547a,
    0xff4c73a2,
    0xff3e6da2,
    0xff194e32,
    0xff1e3419,
    0xff3e363c,
    0xff383523,
    0xff1d2c19,
    0xff153719,
    0xff234c29,
    0xff0c3518,
    0xff1d492f,
    0xff133d21,
    0xff1f4529,
    0xff1c3d30,
    0xff04232e,
    0xff193854,
    0xff1b3556,
    0xff03211a,
    0xff001c23,
    0xff193856,
    0xff133139,
    0xff092527,
    0xff162f3a,
    0xff011c18,
    0xff061919,
    0xff00130f,
    0xff031d0f,
    0xff001701,
    0xff334f36,
    0xff354733,
    0xff293527,
    0xff585c56,
    0xff272217,
    0xff000d0d,
    0xff001c1d,
    0xff001b0e,
    0xff000d00,
    0xff000e0e,
    0xff050c0e,
    0xff302926,
    0xff17191c,
    0xff091013,
    0xff020c0f,
    0xff010f10,
    0xff031113,
    0xff001114,
    0xff001117,
    0xff485a62,
    0xffb0cff5,
    0xffafcff5,
    0xffb0cef4,
    0xffb0cdf3,
    0xffb1cff5,
    0xffb1cff4,
    0xffb0cdf3,
    0xffb4cdf5,
    0xffb1ccf3,
    0xffb2cef5,
    0xffb2cef5,
    0xffb3cff6,
    0xffb5d1f6,
    0xffb4d0f5,
    0xffb4d1f6,
    0xffb5d1f6,
    0xffb3cff4,
    0xffb6d2f7,
    0xffb4d0f6,
    0xffb6d3f4,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb9d5f7,
    0xffb5d6f3,
    0xffb3d6fb,
    0xffb5d4f7,
    0xffbad1f2,
    0xffbdd4fb,
    0xffb4cafa,
    0xff626390,
    0xff5c4061,
    0xff5f243b,
    0xff641431,
    0xff741334,
    0xff781132,
    0xff70112c,
    0xff6f142e,
    0xff73142f,
    0xff771130,
    0xff7c0c31,
    0xff6e0a23,
    0xff6c0e20,
    0xff740f26,
    0xff72112a,
    0xff6a0e20,
    0xff83141e,
    0xff9d171c,
    0xffad2714,
    0xffe56858,
    0xffd05841,
    0xffc7502c,
    0xffce592c,
    0xffdd6e45,
    0xffb3503a,
    0xffb15a58,
    0xffaf5d5c,
    0xffb25668,
    0xff7e3f61,
    0xff784d7f,
    0xff76578f,
    0xff9991bc,
    0xff84789c,
    0xff433453,
    0xff3e283d,
    0xff2b1b33,
    0xff606085,
    0xffbccafe,
    0xffbdd8ff,
    0xffb5d6ec,
    0xffbad7ed,
    0xffbdd2fb,
    0xffbcd4f7,
    0xffbcd3f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbcd4f6,
    0xffbcd4f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad6f6,
    0xffb4d8fa,
    0xffbbd5f5,
    0xffc1d2f3,
    0xffbed3f3,
    0xffbcd5f5,
    0xffbbd3fa,
    0xffbdd2fc,
    0xffbfd4ff,
    0xffcbd3ff,
    0xff734e73,
    0xff65222e,
    0xff721f33,
    0xff9e729e,
    0xffc5d5fe,
    0xffbcd4f6,
    0xffbad0f7,
    0xffbad3f4,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb8d2f3,
    0xffb9d5f2,
    0xffb9d4f2,
    0xffb9d4f2,
    0xffb9d4f2,
    0xffb9d4f2,
    0xffb9d4f2,
    0xffb9d4f2,
    0xffb9d5f2,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffbad4f5,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbad4f5,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbad5f3,
    0xffbcd7f5,
    0xffb9d4f2,
    0xffbad5f3,
    0xffb9d4f2,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffb9d4f2,
    0xffbbd6f4,
    0xffb8d3f1,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbbd5f3,
    0xffbbd6f3,
    0xffbbd5f3,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbbd5f3,
    0xffbbd5f3,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbad5f3,
    0xffbbd5f3,
    0xffb9d7f5,
    0xffb8d5f3,
    0xffbad7f5,
    0xffb6d3f1,
    0xffb7d4f2,
    0xffbcd9f7,
    0xffb9d5f3,
    0xffb9d5f3,
    0xffbcd8f9,
    0xffb9d6f6,
    0xffbad7f6,
    0xffbad7f6,
    0xffb9d6f7,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffb6d4f2,
    0xffb8d4f3,
    0xffb9d6f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f3,
    0xffb8d6f8,
    0xffb8d6f8,
    0xffb8d6f8,
    0xffb8d6f8,
    0xffb8d6f8,
    0xffb8d6f8,
    0xffb8d6f8,
    0xffb8d6f8,
    0xffb8d7f5,
    0xffb7d6f4,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f6,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d2f4,
    0xffb5d2f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb2d3f7,
    0xffb2d3f7,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb3d4f7,
    0xffb2d4f7,
    0xffb2d4f7,
    0xffb2d4f7,
    0xffb5d3f7,
    0xffb5d3f6,
    0xffb1cff3,
    0xffb4d2f6,
    0xffb1d3f5,
    0xffb1d2f5,
    0xffb3d4f6,
    0xffb2d3f6,
    0xffb1d2f3,
    0xffb1d2f2,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb1d2f2,
    0xffb1d2f2,
    0xffb1d2f2,
    0xffb1d2f2,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f4,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffadcdf3,
    0xffb1cef4,
    0xffb0d1f7,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0cff5,
    0xffafd1f7,
    0xffafd1f7,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffaed0f6,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaaccf2,
    0xffaccef4,
    0xffaccef4,
    0xffaacdf3,
    0xffaacdf2,
    0xffaacdf3,
    0xffabcef4,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffabcef4,
    0xffaacdf3,
    0xffaacdf3,
    0xffaacdf3,
    0xffaacdf3,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffa9ccf2,
    0xffaacdf3,
    0xffa9ccf2,
    0xffabcef4,
    0xffabcef4,
    0xffaaccf3,
    0xffaacdf3,
    0xffaacdf3,
    0xffa9ccf2,
    0xffa9cdf2,
    0xffabccf5,
    0xffabccf5,
    0xffabccf4,
    0xffa9ccf7,
    0xffa9ccf6,
    0xffa7caf4,
    0xffa8cbf5,
    0xffa7caf5,
    0xffa8cbf5,
    0xffa8cbf5,
    0xffa8cbf4,
    0xffa7c8f7,
    0xffa6c8f6,
    0xffa6c8f4,
    0xffa7c9f7,
    0xffa5c8f2,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf2,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c8f5,
    0xffa5c6f3,
    0xffa6c6f3,
    0xffa6c6f3,
    0xffa6c6f3,
    0xffa6c8f5,
    0xffa4c5f2,
    0xffa2c3f0,
    0xffa3c4f3,
    0xffa4c6f4,
    0xffa5c6f5,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa1c3f0,
    0xffa3c5f2,
    0xffa3c5f3,
    0xffa3c5f2,
    0xffa2c3f1,
    0xffa2c4f1,
    0xffa2c4f1,
    0xffa2c3f1,
    0xffa1c5f5,
    0xffa0c4f4,
    0xff9ec2f2,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9fc3f5,
    0xffa0c3f6,
    0xff9fc3f5,
    0xff9cc0f2,
    0xff9bbff1,
    0xff9dc0f2,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9bc0f3,
    0xff9cc1f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff99bef2,
    0xff9bc0f3,
    0xff9bc0f3,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f3,
    0xff9bc0f5,
    0xff9abff4,
    0xff99bef3,
    0xff99bef3,
    0xff97bdf4,
    0xff99bcf1,
    0xff98bbf1,
    0xff97baf2,
    0xff97baf2,
    0xff98bbf4,
    0xff98bbf3,
    0xff98bbf3,
    0xff99bcf4,
    0xff97bcf2,
    0xff97bbf2,
    0xff94b9ef,
    0xff94b7f2,
    0xff95b9f3,
    0xff96baf4,
    0xff95b9f3,
    0xff97bbf5,
    0xff91b8f1,
    0xff93baf3,
    0xff93baf3,
    0xff92b8f1,
    0xff8fb8f0,
    0xff91baf2,
    0xff8fb8ef,
    0xff8db9f0,
    0xff91b9f6,
    0xff8eb6f3,
    0xff90b8f5,
    0xff90b8f5,
    0xff90b8f5,
    0xff90b8f5,
    0xff8eb6f3,
    0xff8fb8f5,
    0xff8eb4f6,
    0xff8fb6fb,
    0xff8fb6fc,
    0xff8fb8f9,
    0xff8ebbf6,
    0xff8fbef6,
    0xff90c1fe,
    0xff8abafa,
    0xff86b9f7,
    0xff83b4f8,
    0xff8dbdf6,
    0xff8dbfe4,
    0xff88b9d2,
    0xff447578,
    0xff285742,
    0xff659374,
    0xff547f5a,
    0xff224d45,
    0xff2c5b64,
    0xff001b23,
    0xff0e3c2f,
    0xff3e7150,
    0xff326843,
    0xff356a52,
    0xff123c2b,
    0xff0a2b20,
    0xff15332c,
    0xff00181b,
    0xff052228,
    0xff001f1d,
    0xff224537,
    0xff193f21,
    0xff38673c,
    0xff295a2b,
    0xff37663d,
    0xff174026,
    0xff032519,
    0xff082924,
    0xff00262c,
    0xff002436,
    0xff00324f,
    0xff25567c,
    0xff245057,
    0xff001e24,
    0xff05182f,
    0xff061b34,
    0xff042038,
    0xff001f25,
    0xff001b24,
    0xff001f48,
    0xff5e84d0,
    0xff5b88c5,
    0xff46749d,
    0xff285666,
    0xff10392f,
    0xff193944,
    0xff243837,
    0xff142a36,
    0xff0c2e28,
    0xff113d22,
    0xff20503e,
    0xff346453,
    0xff437255,
    0xff2c593a,
    0xff3e5f36,
    0xff2e543d,
    0xff002228,
    0xff00263e,
    0xff1b4253,
    0xff0a2c29,
    0xff16332a,
    0xff1e353d,
    0xff0a2b2b,
    0xff051f2a,
    0xff27454f,
    0xff00284c,
    0xff4c8aba,
    0xff2d6f91,
    0xff1b4a63,
    0xff0b2a2a,
    0xff02171e,
    0xff021730,
    0xff001329,
    0xff3a6785,
    0xff255e9b,
    0xff2d6fbc,
    0xff65a5ec,
    0xff5b92cd,
    0xff053e63,
    0xff286094,
    0xff2f6bae,
    0xff002e5b,
    0xff2a6299,
    0xff79abff,
    0xff69a0f4,
    0xff64a2e5,
    0xff65a0e8,
    0xff6da5fb,
    0xff4079c6,
    0xff2b66b1,
    0xff326ac7,
    0xff5e98f1,
    0xff3c79c6,
    0xff4f8ae4,
    0xff70aaf7,
    0xff3970b2,
    0xff326697,
    0xff2e637a,
    0xff1b5055,
    0xff0a4251,
    0xff356795,
    0xff3e6fb3,
    0xff5089bf,
    0xff4b7c98,
    0xff2d5661,
    0xff3e6767,
    0xff32564e,
    0xff031c1f,
    0xff1c355a,
    0xff1a3d7a,
    0xff4274bf,
    0xff487ada,
    0xff002f88,
    0xff144567,
    0xff012233,
    0xff1f3f59,
    0xff264e4f,
    0xff396a68,
    0xff00252e,
    0xff123d4f,
    0xff1b4a6a,
    0xff002942,
    0xff0a3c4c,
    0xff41719c,
    0xff2b5ba2,
    0xff174d8d,
    0xff407cbd,
    0xff4683ba,
    0xff4277b8,
    0xff2b5a84,
    0xff103b32,
    0xff0c2d1e,
    0xff0f2525,
    0xff152411,
    0xff301b14,
    0xff5b1726,
    0xff5c1b28,
    0xff4d281f,
    0xff2e1303,
    0xff1a1c10,
    0xff273233,
    0xff65475e,
    0xff5c4f69,
    0xff5d7195,
    0xff3b4a28,
    0xff77462b,
    0xff78362c,
    0xff474411,
    0xff194117,
    0xff335941,
    0xff264724,
    0xff1d431f,
    0xff153b18,
    0xff264b25,
    0xff2b4c22,
    0xff1f3b1d,
    0xff133029,
    0xff0c2832,
    0xff112b33,
    0xff28472b,
    0xff163723,
    0xff0d2c2a,
    0xff001f13,
    0xff001c1d,
    0xff051d2e,
    0xff011814,
    0xff00120d,
    0xff091f10,
    0xff001200,
    0xff214325,
    0xff284a2d,
    0xff0f2c14,
    0xff0e2313,
    0xff101e15,
    0xff5c5b55,
    0xff202726,
    0xff071415,
    0xff0f2018,
    0xff072516,
    0xff001405,
    0xff001106,
    0xff2e2f24,
    0xff181618,
    0xff0a0b0f,
    0xff141a1e,
    0xff050e14,
    0xff031014,
    0xff030f15,
    0xff122228,
    0xff56646b,
    0xffaccff3,
    0xffaecdf3,
    0xffb3cdf5,
    0xffb3cdf5,
    0xffb1cdf6,
    0xffb3cef6,
    0xffb5caf4,
    0xffb8caf6,
    0xffb2cef4,
    0xffb2cef5,
    0xffb2cef5,
    0xffb1cdf2,
    0xffb5d1f6,
    0xffb4d1f6,
    0xffb7d1f6,
    0xffb7d0f5,
    0xffb2cff4,
    0xffb3cff4,
    0xffb3d0f1,
    0xffb5d2f4,
    0xffb6d3f5,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb8d4f4,
    0xffb7d6f3,
    0xffb3d6fb,
    0xffb5d5f8,
    0xffb8d3f3,
    0xffbbd5f9,
    0xffa6bae8,
    0xff645e85,
    0xff633d5a,
    0xff662436,
    0xff6c1931,
    0xff771532,
    0xff781031,
    0xff781334,
    0xff761332,
    0xff780f31,
    0xff7d0c31,
    0xff790f2b,
    0xff701320,
    0xff791921,
    0xff7f0e21,
    0xff7d0d27,
    0xff630317,
    0xff700915,
    0xff8f0f18,
    0xff971a26,
    0xffc1484b,
    0xffd95945,
    0xffd55432,
    0xffb74b3b,
    0xffa7565b,
    0xffb47d98,
    0xffd6c1ee,
    0xffcdd0f2,
    0xffd9d0ef,
    0xffd9d9fd,
    0xffbaaae5,
    0xffc5aeef,
    0xff6a5b88,
    0xff4b354e,
    0xff3d2d3a,
    0xff30253b,
    0xff383554,
    0xff939cc7,
    0xffb1c5f6,
    0xffb6d4fc,
    0xffb7d5f1,
    0xffbad6f2,
    0xffbad2f8,
    0xffbbd4f6,
    0xffbcd3f5,
    0xffbad5f6,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbad2f4,
    0xffbad2f4,
    0xffbad5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd4f6,
    0xffbad5f6,
    0xffb3d8f5,
    0xffbbd5f6,
    0xffbfd2f3,
    0xffbcd5f3,
    0xffbad5f4,
    0xffc0d2f5,
    0xffc1d1f9,
    0xffbdd3fd,
    0xffb8d8ff,
    0xffc2bdec,
    0xff5f2d46,
    0xff7c1b2b,
    0xff853e65,
    0xffc7cbfa,
    0xffbdd6ff,
    0xffbdcff5,
    0xffbcd5f6,
    0xffbad5f6,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f7,
    0xffbbd6f3,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbcd6f7,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffb8d2f3,
    0xffbad4f5,
    0xffb9d4f2,
    0xffbbd6f3,
    0xffbbd6f3,
    0xffbbd6f4,
    0xffb9d4f1,
    0xffb9d4f2,
    0xffbad5f2,
    0xffbad5f3,
    0xffbbd6f3,
    0xffbbd6f3,
    0xffbbd6f3,
    0xffbad5f3,
    0xffbbd6f3,
    0xffb9d4f2,
    0xffbad6f3,
    0xffbcd7f4,
    0xffbad7f5,
    0xffb9d7f5,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbad7f5,
    0xffb9d7f5,
    0xffb8d5f3,
    0xffb9d7f5,
    0xffb9d7f5,
    0xffb9d7f5,
    0xffb9d6f4,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffb8d5f3,
    0xffb6d6f3,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb7d4f4,
    0xffb7d4f4,
    0xffb7d4f4,
    0xffb8d6f6,
    0xffbdd6f4,
    0xffbdd5f4,
    0xffb9d5f2,
    0xffb9d3f1,
    0xffb6d3f1,
    0xffb8d4f2,
    0xffb6d6f2,
    0xffb6d5f2,
    0xffb8d7f3,
    0xffb8d7f3,
    0xffb8d7f3,
    0xffb8d7f3,
    0xffb8d7f3,
    0xffb8d7f3,
    0xffb8d7f3,
    0xffb8d7f3,
    0xffb8d7f6,
    0xffb8d7f5,
    0xffb8d7f5,
    0xffb8d7f5,
    0xffb8d7f5,
    0xffb8d7f5,
    0xffb8d7f5,
    0xffb8d7f5,
    0xffb8d7f6,
    0xffb6d5f4,
    0xffb7d6f4,
    0xffb7d4f7,
    0xffb7d5f6,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb7d5f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb4d1f3,
    0xffb0d2f2,
    0xffb1d2f2,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb4d1f6,
    0xffb4d2f6,
    0xffb1cff3,
    0xffb4d2f6,
    0xffb1d3f6,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb3d4f8,
    0xffb2d3f7,
    0xffb2d3f6,
    0xffb0d1f5,
    0xffb1d2f5,
    0xffafd0f3,
    0xffafd0f3,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f4,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffb2d0f6,
    0xffadcdf3,
    0xffb0d0f6,
    0xffb0d0f5,
    0xffb0cff7,
    0xffadcff5,
    0xffaed0f6,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaaccf2,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaed0f6,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffaacef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaacef4,
    0xffaccef4,
    0xffadcff5,
    0xffabcdf3,
    0xffadcef4,
    0xffa9ccf2,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffabcef4,
    0xffa9ccf2,
    0xffaacdf3,
    0xffa9ccf2,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffa9cef1,
    0xffaaccf3,
    0xffaacdf3,
    0xffa9cdf3,
    0xffabcdf3,
    0xffabcdf2,
    0xffabcbf5,
    0xffabccf5,
    0xffa7caf2,
    0xffa7caf2,
    0xffa9ccf3,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffa7caf2,
    0xffa6c9f1,
    0xffa8cbf3,
    0xffa5c7f3,
    0xffa7c9f6,
    0xffa8caf8,
    0xffa8ccf5,
    0xffa6c9f3,
    0xffa5c8f2,
    0xffa5c9f2,
    0xffa5c8f2,
    0xffa8c8f6,
    0xffa7c8f5,
    0xffa8c9f6,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa6c8f5,
    0xffa4c6f3,
    0xffa3c5f2,
    0xffa4c6f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f2,
    0xffa0c5f5,
    0xffa0c4f4,
    0xff9ec2f2,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9fc3f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9cbff2,
    0xff9cc3f3,
    0xff9cc3f3,
    0xff9dc3f3,
    0xff9dc3f3,
    0xff9dc3f3,
    0xff9dc3f3,
    0xff9dc3f3,
    0xff9cc3f3,
    0xff9dc2f7,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff99bef2,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff98bdf2,
    0xff98baf1,
    0xff98bbf1,
    0xff99bbf1,
    0xff97baf0,
    0xff97baf0,
    0xff97baf2,
    0xff98bbf3,
    0xff98bbf3,
    0xff98bdf4,
    0xff96bbf2,
    0xff93b8ef,
    0xff96bbf2,
    0xff94b8f3,
    0xff94b8f2,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b8f2,
    0xff95b8f3,
    0xff92baf3,
    0xff92b9f2,
    0xff8fb8f0,
    0xff90b9f1,
    0xff91baf2,
    0xff90bbf1,
    0xff93baf8,
    0xff8fb7f4,
    0xff90b8f5,
    0xff8fb7f4,
    0xff8eb6f3,
    0xff90b8f5,
    0xff8db5f2,
    0xff8fb7f4,
    0xff90b6f3,
    0xff8eb6f6,
    0xff93baf8,
    0xff8fbaed,
    0xff85b5da,
    0xff6d9ebf,
    0xff487a9e,
    0xff95c6f2,
    0xff84bbda,
    0xff8fc1f8,
    0xff8cc0f1,
    0xff88bce3,
    0xff8cb9e7,
    0xff73a1b6,
    0xff37674f,
    0xff457644,
    0xff538745,
    0xff639383,
    0xff447396,
    0xff295486,
    0xff4a7793,
    0xff44766c,
    0xff316645,
    0xff437a57,
    0xff436d4e,
    0xff3a5b46,
    0xff142f1c,
    0xff102724,
    0xff031c1c,
    0xff06261a,
    0xff001e12,
    0xff274a2f,
    0xff467550,
    0xff467752,
    0xff0a381c,
    0xff21493d,
    0xff0c2b2d,
    0xff102d31,
    0xff03202a,
    0xff0e313f,
    0xff0b3331,
    0xff04273f,
    0xff062339,
    0xff0d223f,
    0xff122641,
    0xff031c30,
    0xff203b61,
    0xff001a40,
    0xff000e3e,
    0xff618ac2,
    0xff8ab8fe,
    0xff85bbf5,
    0xff2b6093,
    0xff366785,
    0xff2e5c49,
    0xff2e5440,
    0xff214531,
    0xff09272d,
    0xff08252d,
    0xff0b2a1e,
    0xff02210f,
    0xff001f1b,
    0xff0b2b2c,
    0xff0e2e33,
    0xff1d3b32,
    0xff2d4f42,
    0xff0d3339,
    0xff0f2e47,
    0xff001b26,
    0xff0b2923,
    0xff132a28,
    0xff0b2522,
    0xff001e27,
    0xff002131,
    0xff082a2e,
    0xff09303b,
    0xff17434c,
    0xff103a3b,
    0xff001921,
    0xff031311,
    0xff001812,
    0xff001e3b,
    0xff326271,
    0xff326a7c,
    0xff2769a6,
    0xff6bb2ff,
    0xff67a5f8,
    0xff78a7e4,
    0xff1e4764,
    0xff215482,
    0xff2d63b1,
    0xff0a4689,
    0xff4f88cf,
    0xff6a9cfd,
    0xff67a0f7,
    0xff61a0f2,
    0xff66a2f1,
    0xff69a1f7,
    0xff659fd8,
    0xff08446a,
    0xff0f4881,
    0xff2f68a0,
    0xff1d5791,
    0xff3b70c7,
    0xff4375d8,
    0xff4d84c4,
    0xff336c9d,
    0xff336aa0,
    0xff497eb0,
    0xff4277a9,
    0xff24588a,
    0xff275f87,
    0xff144851,
    0xff28525a,
    0xff456684,
    0xff042558,
    0xff294b7b,
    0xff001443,
    0xff0b306c,
    0xff1e5599,
    0xff2b61a9,
    0xff5793e6,
    0xff64a3fb,
    0xff5794b3,
    0xff316051,
    0xff416357,
    0xff446e5f,
    0xff3d7067,
    0xff174c3e,
    0xff255574,
    0xff4c7ac0,
    0xff4b7db6,
    0xff1f576f,
    0xff0e4470,
    0xff3269b9,
    0xff4885da,
    0xff3278ca,
    0xff61a5fb,
    0xff4782e4,
    0xff457eb8,
    0xff1b5144,
    0xff0e381e,
    0xff011c0f,
    0xff0a2002,
    0xff2b2617,
    0xff40131d,
    0xff380005,
    0xff4d1512,
    0xff491b17,
    0xff3c2b29,
    0xff2a1611,
    0xff76312b,
    0xff65100e,
    0xff712d42,
    0xff722f26,
    0xff721b17,
    0xff5e2323,
    0xff323d17,
    0xff10391d,
    0xff0a2820,
    0xff02200e,
    0xff1d3e23,
    0xff234629,
    0xff0e2d11,
    0xff132e14,
    0xff193119,
    0xff112e10,
    0xff133513,
    0xff0f2c0f,
    0xff25412c,
    0xff0f2d12,
    0xff103616,
    0xff19413d,
    0xff11364c,
    0xff133549,
    0xff072325,
    0xff051f08,
    0xff102c10,
    0xff2a4a28,
    0xff2b4d2b,
    0xff0c2d11,
    0xff05210e,
    0xff0b2315,
    0xff03190b,
    0xff05110c,
    0xff57585a,
    0xff333233,
    0xff181f18,
    0xff1a3326,
    0xff072b1a,
    0xff01170b,
    0xff2b3328,
    0xff121214,
    0xff282e2e,
    0xff101d1d,
    0xff000d0c,
    0xff011111,
    0xff050c10,
    0xff343039,
    0xff251c23,
    0xffaed1f6,
    0xffb3cff5,
    0xffb5cbf4,
    0xffb5ccf4,
    0xffb1cef6,
    0xffb1cef6,
    0xffb4cbf5,
    0xffb9caf6,
    0xffb5d1f7,
    0xffb3d2f7,
    0xffb4d0f5,
    0xffb4d0f5,
    0xffb3cff4,
    0xffb7d1f6,
    0xffb7d1f3,
    0xffb5cff2,
    0xffb5d1f7,
    0xffb6d2f8,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb8d5f7,
    0xffb9d6f8,
    0xffb7d4f4,
    0xffb8d5f5,
    0xffbad4f2,
    0xffb5d5fb,
    0xffb5d6f8,
    0xffb9d5f5,
    0xffbdd5fb,
    0xffa5b4de,
    0xff68567e,
    0xff65324d,
    0xff731d37,
    0xff761b35,
    0xff7b1a36,
    0xff7a1533,
    0xff7b1330,
    0xff7d132f,
    0xff801331,
    0xff821330,
    0xff7f1029,
    0xff7b1a26,
    0xff78151c,
    0xff7e0c24,
    0xff68052a,
    0xff935a7d,
    0xffdaadc9,
    0xffecb0c8,
    0xffe5a8c9,
    0xffcb7f92,
    0xffb95044,
    0xffb64a3e,
    0xffd090a3,
    0xffdcc2e8,
    0xffd7d1f4,
    0xffc0d1f8,
    0xffc3d5ff,
    0xffc1cef6,
    0xffc2d6fe,
    0xffd0ceff,
    0xff9a90cd,
    0xff575173,
    0xff423141,
    0xff2c2a33,
    0xff2c304f,
    0xff9ea9d1,
    0xffc3d5ff,
    0xffb8d2f7,
    0xffbdd8f9,
    0xffb9d2f8,
    0xffb8d2f7,
    0xffb9d3f5,
    0xffbdd4f6,
    0xffbcd3f6,
    0xffbad5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad5f6,
    0xffbcd4f6,
    0xffbdd4f6,
    0xffbbd5f6,
    0xffbad5f6,
    0xffbad5f6,
    0xffbad5f6,
    0xffbbd5f6,
    0xffbbd4f6,
    0xffbbd4f6,
    0xffbbd5f6,
    0xffb8d2f3,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad5f6,
    0xffbad4f6,
    0xffbad6f5,
    0xffb9d7f2,
    0xffbed3f3,
    0xffbed3f7,
    0xffb7d8f6,
    0xffb7d7f3,
    0xffbfd3f3,
    0xffc2d2f4,
    0xffbbd4f5,
    0xffbaddfc,
    0xffccd5ff,
    0xff8e7393,
    0xff6c1c32,
    0xff77365d,
    0xffbec2ef,
    0xffbdd5fc,
    0xffc0d1f5,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f5,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad6f3,
    0xffbbd4f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbcd6f7,
    0xffbbd4f6,
    0xffbbd4f6,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffbbd4f6,
    0xffbad4f6,
    0xffbbd5f6,
    0xffbad4f6,
    0xffbad4f6,
    0xffbbd4f6,
    0xffbcd6f7,
    0xffbbd4f6,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbad8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd7f6,
    0xffb8d8f4,
    0xffb8d8f5,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb8d5f5,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffbad7f7,
    0xffbdd4f7,
    0xffbdd5f7,
    0xffbcd3f6,
    0xffb9d3f4,
    0xffb9d2f3,
    0xffb7d5f5,
    0xffb8d4f5,
    0xffb5d4f3,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb6d5f4,
    0xffb7d6f4,
    0xffb7d4f7,
    0xffb7d5f6,
    0xffb7d5f9,
    0xffb7d5f8,
    0xffb6d4fa,
    0xffb7d5f8,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb3d5f6,
    0xffb3d4f6,
    0xffb3d4f5,
    0xffb1d2f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb1d3f4,
    0xffb4d1f3,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb4d1f3,
    0xffb2d3f4,
    0xffb1d2f2,
    0xffb2d3f3,
    0xffb0d1f2,
    0xffafd0f3,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f4,
    0xffafcff5,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb2d0f6,
    0xffadcdf3,
    0xffb0d0f6,
    0xffafcff5,
    0xffb0d0f7,
    0xffadcff5,
    0xffafd1f7,
    0xffaed0f6,
    0xffaed0f6,
    0xffaed0f6,
    0xffaccef4,
    0xffabcdf3,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffb0d2f8,
    0xffaed0f6,
    0xffadcff5,
    0xffaccef4,
    0xffaed0f6,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccdf3,
    0xffaccff5,
    0xffaacdf3,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaacef4,
    0xffaccef4,
    0xffadcff5,
    0xffabcdf3,
    0xffadcff5,
    0xffaacdf4,
    0xffabcef4,
    0xffa9ccf2,
    0xffa8cbf2,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffa8cbf1,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa8cbf1,
    0xffaacef2,
    0xffaacef1,
    0xffaaccf3,
    0xffa9cdf3,
    0xffabcdf3,
    0xffabcdf2,
    0xffabcbf5,
    0xffabccf5,
    0xffa8cbf3,
    0xffa8cbf3,
    0xffa9ccf4,
    0xffaacdf5,
    0xffa9ccf4,
    0xffa7caf2,
    0xffa7caf2,
    0xffa9ccf3,
    0xffa9ccf6,
    0xffaacdf7,
    0xffaacdf7,
    0xffa9ccf6,
    0xffa8cbf5,
    0xffa6caf3,
    0xffa5c7f5,
    0xffa6c8f5,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa5c7f4,
    0xffa4c6f3,
    0xffa5c7f4,
    0xffa4c6f3,
    0xffa5c7f4,
    0xffa5c7f5,
    0xffa4c6f4,
    0xffa6c8f6,
    0xffa8caf8,
    0xffa3c5f3,
    0xffa5c7f5,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f2,
    0xffa0c5f5,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9ec2f2,
    0xff9fc3f2,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec1f4,
    0xff9ec4f5,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc3f3,
    0xff9ec3f7,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9cc1f7,
    0xff98bdf2,
    0xff9abff4,
    0xff9abff5,
    0xff9abff2,
    0xff9ac0f3,
    0xff9abff4,
    0xff99bef3,
    0xff98bdf2,
    0xff98bdf4,
    0xff97bdf4,
    0xff95baf1,
    0xff96bbf2,
    0xff97bcf3,
    0xff98bdf4,
    0xff95baf1,
    0xff97bcf2,
    0xff94b8f2,
    0xff97bbf5,
    0xff96baf4,
    0xff94b8f2,
    0xff95b9f3,
    0xff96b9f3,
    0xff93baf3,
    0xff90b7f0,
    0xff92bbf3,
    0xff92baf3,
    0xff92bdf3,
    0xff93bbf9,
    0xff90b8f5,
    0xff8fb7f4,
    0xff8fb7f5,
    0xff90b8f5,
    0xff90b8f5,
    0xff8eb6f3,
    0xff8eb6f2,
    0xff90baef,
    0xff8fb8ec,
    0xff80abda,
    0xff53819c,
    0xff3a6d72,
    0xff12483e,
    0xff487d78,
    0xff538688,
    0xff3d7574,
    0xff3e7388,
    0xff588aac,
    0xff4d809c,
    0xff79aabc,
    0xff7ba9a9,
    0xff497652,
    0xff507f3c,
    0xff649749,
    0xff56855b,
    0xff5a8b90,
    0xff538199,
    0xff528084,
    0xff2d5b43,
    0xff3a6c40,
    0xff164810,
    0xff164323,
    0xff294c3c,
    0xff15321b,
    0xff0a211c,
    0xff0a2521,
    0xff0e2d1b,
    0xff05251e,
    0xff1d3e29,
    0xff436d4b,
    0xff1b4a1e,
    0xff2c5b3e,
    0xff1c454b,
    0xff113344,
    0xff012526,
    0xff224843,
    0xff082b35,
    0xff0a323a,
    0xff092f4c,
    0xff001f46,
    0xff0b2959,
    0xff062448,
    0xff000f2a,
    0xff11366e,
    0xff2a5397,
    0xff6794db,
    0xff8abaff,
    0xff7ab0f3,
    0xff76b1e8,
    0xff74abe6,
    0xff255882,
    0xff103e33,
    0xff052d1b,
    0xff174625,
    0xff2c533d,
    0xff102d28,
    0xff162a28,
    0xff10251d,
    0xff042025,
    0xff1a3a58,
    0xff2e557c,
    0xff0a2937,
    0xff001e17,
    0xff093132,
    0xff26485f,
    0xff06233a,
    0xff092337,
    0xff0a293e,
    0xff0f3346,
    0xff163843,
    0xff00172c,
    0xff00212a,
    0xff0f2f3a,
    0xff00161b,
    0xff00191a,
    0xff00142e,
    0xff001533,
    0xff022c4b,
    0xff24567c,
    0xff326878,
    0xff22546b,
    0xff1f5484,
    0xff6baae9,
    0xff78abf4,
    0xff6e90bc,
    0xff3f5f6a,
    0xff1c466a,
    0xff04388b,
    0xff306bc1,
    0xff70a9fb,
    0xff6da4fd,
    0xff69a5f3,
    0xff65a4fb,
    0xff67a1f7,
    0xff73a9ff,
    0xff2a629e,
    0xff094063,
    0xff16487a,
    0xff03355f,
    0xff0f4161,
    0xff3f6dac,
    0xff3468c2,
    0xff538fcd,
    0xff659fe3,
    0xff6498f6,
    0xff6da1f7,
    0xff6c9ce4,
    0xff5d8cc4,
    0xff5382a5,
    0xff2c5070,
    0xff3b5b91,
    0xff1a4084,
    0xff4e7ed0,
    0xff2e5ab3,
    0xff5378bb,
    0xff1a4779,
    0xff1c5796,
    0xff5991ed,
    0xff5a94eb,
    0xff639cff,
    0xff598fce,
    0xff2d6153,
    0xff2e5439,
    0xff153923,
    0xff1b432e,
    0xff1c523d,
    0xff4c7d92,
    0xff2b5991,
    0xff5082a5,
    0xff134b51,
    0xff2e647f,
    0xff1b508e,
    0xff5d9ad5,
    0xff053f83,
    0xff5995e4,
    0xff619ce5,
    0xff3e78a5,
    0xff4c808f,
    0xff0b352c,
    0xff062517,
    0xff001910,
    0xff00140c,
    0xff1c0803,
    0xff521a16,
    0xff5f1e1d,
    0xff430f11,
    0xff36100c,
    0xff51160b,
    0xff842616,
    0xff7b2c10,
    0xff722119,
    0xff561617,
    0xff3c2129,
    0xff262b39,
    0xff0b2025,
    0xff021618,
    0xff031515,
    0xff082a17,
    0xff1a3c29,
    0xff052816,
    0xff00190f,
    0xff18312e,
    0xff142928,
    0xff041f19,
    0xff021f12,
    0xff001b0a,
    0xff062215,
    0xff0b2a13,
    0xff002114,
    0xff022e46,
    0xff042e42,
    0xff09392d,
    0xff305a47,
    0xff2b5529,
    0xff3d6535,
    0xff2c5222,
    0xff1d3f1a,
    0xff06210c,
    0xff092115,
    0xff081d15,
    0xff02160c,
    0xff001510,
    0xff020b03,
    0xff3e3d36,
    0xff393933,
    0xff161e1a,
    0xff03140e,
    0xff071510,
    0xff3f4a4a,
    0xff1b1f1e,
    0xff212a26,
    0xff000d0b,
    0xff041411,
    0xff000c09,
    0xff293230,
    0xff212220,
    0xff15120f,
    0xffb2d2f8,
    0xffb5d0f7,
    0xffb8ccf6,
    0xffb5ccf6,
    0xffadcef5,
    0xffafd0f7,
    0xffb1ccf7,
    0xffb7cdf8,
    0xffb5d3f9,
    0xffb3d2f8,
    0xffb4d0f5,
    0xffb3cff4,
    0xffb1cdf2,
    0xffb7d1f6,
    0xffb7d1f3,
    0xffb7d1f3,
    0xffb3d0f6,
    0xffb9d6f7,
    0xffb9d6f8,
    0xffb6d3f5,
    0xffb7d4f7,
    0xffb9d6f5,
    0xffb8d5f4,
    0xffb9d4f4,
    0xffbed3f5,
    0xffbad4fa,
    0xffb6d5fa,
    0xffb9d4f3,
    0xffbfd6fc,
    0xffa9b0db,
    0xff6b5075,
    0xff6d2947,
    0xff821536,
    0xff831638,
    0xff7f1837,
    0xff7b1733,
    0xff7a152d,
    0xff7d152d,
    0xff7b1429,
    0xff791226,
    0xff830928,
    0xff771021,
    0xff7b1425,
    0xff7c1336,
    0xff742e64,
    0xffc8bff5,
    0xffc4d9ff,
    0xffc2d5fc,
    0xffcdd3fc,
    0xffead3ff,
    0xff9a577e,
    0xffa15e86,
    0xffd6ccfc,
    0xffc1d7ff,
    0xffc1d5f4,
    0xffbccff1,
    0xffc1d5f0,
    0xffbcd5ef,
    0xffb8d9fb,
    0xffb6c1f9,
    0xff645f92,
    0xff3d344c,
    0xff422a3c,
    0xff2b233a,
    0xff7484a8,
    0xffc1d5ff,
    0xffbed6ff,
    0xffbcd7f6,
    0xffbcd5f4,
    0xffbbd2fd,
    0xffbad3fe,
    0xffb6d5f2,
    0xffbdd3f6,
    0xffbcd3f6,
    0xffbcd3f6,
    0xffbad5f6,
    0xffbad4f5,
    0xffbbd2f5,
    0xffbbd3f5,
    0xffbcd2f5,
    0xffbbd5f5,
    0xffbbd4f6,
    0xffbbd5f6,
    0xffbbd4f6,
    0xffbad5f6,
    0xffbad5f6,
    0xffbad5f5,
    0xffbad5f5,
    0xffb8d3f3,
    0xffb9d4f4,
    0xffb9d3f4,
    0xffbbd5f6,
    0xffbbd4f6,
    0xffbbd4f6,
    0xffbcd4f6,
    0xffbad5f5,
    0xffbcd5f2,
    0xffc1d2f3,
    0xffbed3f8,
    0xffb3daf5,
    0xffb2daf3,
    0xffbdd4f1,
    0xffc1d2f0,
    0xffb9d6f1,
    0xffbcd8f3,
    0xffcad5ff,
    0xffb4aad0,
    0xff582242,
    0xff60345f,
    0xffbdc9f1,
    0xffbfd6f7,
    0xffc1d4f4,
    0xffbad3f4,
    0xffbad4f5,
    0xffbbd4f6,
    0xffbad4f6,
    0xffbcd6f7,
    0xffbcd5f7,
    0xffbcd5f7,
    0xffbbd5f6,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f4,
    0xffbcd5f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbad4f5,
    0xffbad4f5,
    0xffb9d3f4,
    0xffbad4f6,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffb9d3f5,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbad4f5,
    0xffb9d2f3,
    0xffbad4f5,
    0xffbed8f9,
    0xffbad4f5,
    0xffbbd5f6,
    0xffbbd4f6,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbcd6f7,
    0xffbbd4f6,
    0xffbcd6f7,
    0xffbbd4f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad8f6,
    0xffbdd8f6,
    0xffbad8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd7f6,
    0xffb9d9f5,
    0xffbad9f6,
    0xffbadaf6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb8d5f2,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb8d3f5,
    0xffbdd4f6,
    0xffbed4f7,
    0xffbcd4f6,
    0xffbad4f5,
    0xffbad3f4,
    0xffb7d4f4,
    0xffb8d4f5,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f3,
    0xffb6d5f5,
    0xffb7d6f4,
    0xffb7d4f7,
    0xffb7d5f7,
    0xffb7d5f9,
    0xffb7d5fb,
    0xffb7d4fa,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f4,
    0xffb6d5f3,
    0xffb6d5f3,
    0xffb6d5f4,
    0xffb6d5f3,
    0xffb6d5f3,
    0xffb6d5f3,
    0xffb6d5f4,
    0xffb1d3f1,
    0xffb1d3f1,
    0xffb2d4f2,
    0xffb3d4f2,
    0xffb1d2f1,
    0xffb1d2f1,
    0xffb1d2f1,
    0xffb1d2f0,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d3f6,
    0xffb5d2f5,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb4d5f6,
    0xffb0d1f2,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d1f6,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffafcff6,
    0xffb2cff5,
    0xffb1d2f8,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb2d1f9,
    0xffaed1f6,
    0xffb0d2f8,
    0xffb0d2f8,
    0xffb0d2f8,
    0xffaed1f7,
    0xffaccef4,
    0xffaed0f6,
    0xffadcff5,
    0xffadd0f6,
    0xffadd0f6,
    0xffadcff5,
    0xffb0d2f8,
    0xffadcff5,
    0xffaccef4,
    0xffaed0f6,
    0xffaccef4,
    0xffabcdf3,
    0xffadcff5,
    0xffadcff5,
    0xffaccff5,
    0xffaccff5,
    0xffaacef4,
    0xffabcef4,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffabcdf2,
    0xffaccef3,
    0xffabcdf2,
    0xffaccef3,
    0xffaacff2,
    0xffaacff2,
    0xffaacef2,
    0xffaacef2,
    0xffaacdf4,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffabcef4,
    0xffaacdf3,
    0xffaacdf3,
    0xffaacdf3,
    0xffa9cef1,
    0xffaacef1,
    0xffaacef1,
    0xffa9ccf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf2,
    0xffabcbf5,
    0xffaacdf5,
    0xffaacdf5,
    0xffaacdf5,
    0xffabcef6,
    0xffa8cbf3,
    0xffa8cbf4,
    0xffa9ccf4,
    0xffabcef6,
    0xffa9ccf4,
    0xffa8cbf3,
    0xffa7caf2,
    0xffa8cbf6,
    0xffabcef8,
    0xffa7c9f7,
    0xffa6c8f5,
    0xffa6c9f6,
    0xffaacaf8,
    0xffa9caf7,
    0xffa9caf7,
    0xffa9caf7,
    0xffa6c7f4,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffaacaf7,
    0xffa4c7f1,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa3c5f3,
    0xffa6c8f6,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c4f2,
    0xffa0c5f5,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa0c4f4,
    0xff9ec2f2,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9fc2f5,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9cc3f3,
    0xff9dc3f4,
    0xff9cc3f4,
    0xff9cc3f4,
    0xff9cc3f4,
    0xff9cc3f3,
    0xff9dc1f6,
    0xff9bc0f4,
    0xff9bc0f5,
    0xff9ec2f7,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9cc1f6,
    0xff9cc1f6,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff3,
    0xff99bef2,
    0xff9abff4,
    0xff9bc0f5,
    0xff9abff3,
    0xff9abff6,
    0xff99bef6,
    0xff97bcf3,
    0xff97bcf0,
    0xff97bcf3,
    0xff98bdf5,
    0xff97bcf4,
    0xff95bbf1,
    0xff93b7f2,
    0xff97bbf5,
    0xff95b9f3,
    0xff95b8f2,
    0xff96baf3,
    0xff96b9f3,
    0xff92baf2,
    0xff90b7f0,
    0xff90b9f1,
    0xff91baf1,
    0xff91bbf3,
    0xff92b9f6,
    0xff8fb7f4,
    0xff91b9f6,
    0xff91b9f6,
    0xff91b9f6,
    0xff91b9f6,
    0xff8fb7f4,
    0xff8eb6f4,
    0xff8cb4f3,
    0xff93bbf9,
    0xff84addf,
    0xff497893,
    0xff205350,
    0xff1c503e,
    0xff427764,
    0xff1e5343,
    0xff134a38,
    0xff0e4042,
    0xff2a5d71,
    0xff427681,
    0xff376b56,
    0xff467659,
    0xff54825a,
    0xff56833c,
    0xff3a642f,
    0xff487641,
    0xff3e7146,
    0xff5e8f6e,
    0xff29582d,
    0xff396340,
    0xff3b5f4b,
    0xff416851,
    0xff25513b,
    0xff193f37,
    0xff082815,
    0xff08211c,
    0xff2b4841,
    0xff042612,
    0xff0d2c27,
    0xff052715,
    0xff21481e,
    0xff3f7030,
    0xff144719,
    0xff16454b,
    0xff0c3948,
    0xff174435,
    0xff15432d,
    0xff346266,
    0xff103d67,
    0xff002555,
    0xff4275a3,
    0xff184780,
    0xff0d3a6e,
    0xff326391,
    0xff3d70b9,
    0xff84baff,
    0xff8bc0fc,
    0xff83b8f6,
    0xff6a9fe4,
    0xff79b4f0,
    0xff7eb8fc,
    0xff8abaf6,
    0xff527c97,
    0xff13324f,
    0xff21493f,
    0xff274c2a,
    0xff2b422e,
    0xff1e2f28,
    0xff112818,
    0xff02241b,
    0xff15455c,
    0xff3c759e,
    0xff143f6e,
    0xff144056,
    0xff012c37,
    0xff08293e,
    0xff314f69,
    0xff0a2b40,
    0xff244f60,
    0xff002b34,
    0xff041d17,
    0xff092431,
    0xff12303f,
    0xff243c58,
    0xff293e57,
    0xff001429,
    0xff092f64,
    0xff295fa5,
    0xff3e70d0,
    0xff366eb9,
    0xff41769f,
    0xff6084b6,
    0xff5a81a8,
    0xff164a64,
    0xff4e7b9c,
    0xff223e3b,
    0xff364f44,
    0xff042b3b,
    0xff265ba3,
    0xff4482d8,
    0xff5b98e7,
    0xff75aff8,
    0xff3f7dbd,
    0xff4e8edf,
    0xff69a7ec,
    0xff6198f6,
    0xff6da1f7,
    0xff23539e,
    0xff4770c9,
    0xff5782b9,
    0xff35646e,
    0xff1f4f59,
    0xff216362,
    0xff1d5e71,
    0xff3874b5,
    0xff5a92dd,
    0xff548fae,
    0xff3d727e,
    0xff3c677e,
    0xff20455d,
    0xff254f5f,
    0xff275386,
    0xff5088c5,
    0xff2e71bb,
    0xff518bea,
    0xff335da8,
    0xff001950,
    0xff4970c4,
    0xff2c69ad,
    0xff195785,
    0xff3a6ec2,
    0xff77a7e4,
    0xff15473a,
    0xff032f13,
    0xff1b3925,
    0xff051f0b,
    0xff0b3920,
    0xff235646,
    0xff376a5d,
    0xff2c6342,
    0xff326a3e,
    0xff30655f,
    0xff4a8294,
    0xff074543,
    0xff17504b,
    0xff306579,
    0xff447c88,
    0xff1d5458,
    0xff4f8088,
    0xff37644c,
    0xff123617,
    0xff122a37,
    0xff0d233a,
    0xff2d1e26,
    0xff62272b,
    0xff5e161b,
    0xff571215,
    0xff620f0c,
    0xff932425,
    0xff8f161b,
    0xff7a2322,
    0xff651d18,
    0xff451b1b,
    0xff302d32,
    0xff091f28,
    0xff132b3a,
    0xff001418,
    0xff052015,
    0xff001219,
    0xff00141f,
    0xff001922,
    0xff001714,
    0xff03160a,
    0xff000d01,
    0xff001212,
    0xff00111b,
    0xff00161b,
    0xff18391d,
    0xff1d4123,
    0xff37606a,
    0xff3a6c84,
    0xff306d57,
    0xff347130,
    0xff306929,
    0xff275d23,
    0xff2c5f23,
    0xff2c5822,
    0xff183914,
    0xff071e0d,
    0xff01130c,
    0xff091814,
    0xff06140e,
    0xff00170f,
    0xff011103,
    0xff070b00,
    0xff2f2a25,
    0xff463c3b,
    0xff352c2f,
    0xff181a21,
    0xff010d14,
    0xff828c88,
    0xff393c3b,
    0xff0f1010,
    0xff0c0c0c,
    0xff121913,
    0xff06140a,
    0xff07200f,
    0xff0d2a17,
    0xffb9cff6,
    0xffb1d2f4,
    0xffb3d0f4,
    0xffb4d2f6,
    0xffaed3f7,
    0xffb6cef7,
    0xffbccbf7,
    0xffb3cef6,
    0xffb3cff4,
    0xffb5d0f5,
    0xffb6d2f7,
    0xffb6d2f7,
    0xffb6d2f7,
    0xffb6d2f7,
    0xffb4d0f6,
    0xffb4d0f6,
    0xffbad3f6,
    0xffbad3f7,
    0xffb7d5f6,
    0xffb7d4f6,
    0xffb9d6f8,
    0xffbad4f5,
    0xffbbd3f4,
    0xffbbd2f5,
    0xffbcd2fa,
    0xffbdd4f7,
    0xffbbd2f3,
    0xffb9d4f8,
    0xffc3d8ff,
    0xffa395c1,
    0xff783d63,
    0xff7e1b3b,
    0xff821332,
    0xff7e112c,
    0xff7f1731,
    0xff7e1b37,
    0xff761834,
    0xff791834,
    0xff7f1831,
    0xff81142a,
    0xff8a0c29,
    0xff7e1827,
    0xff821d33,
    0xff6c1740,
    0xffaa92c2,
    0xffcdceff,
    0xffc8d1fc,
    0xffb0d8f1,
    0xffb9d4f3,
    0xffbfd1f3,
    0xffc0c9f0,
    0xffc9d1f9,
    0xffa0b0d9,
    0xffa7bae2,
    0xffc1d3fd,
    0xffc2d2fb,
    0xffbfd7ee,
    0xffb9d8f2,
    0xffb6d0fe,
    0xff41467d,
    0xff322349,
    0xff473241,
    0xff342a3c,
    0xff51567d,
    0xffb8d1f8,
    0xffbdd7fd,
    0xffbfd7fb,
    0xffbbd4f4,
    0xffbad3f2,
    0xffbcd4f4,
    0xffbcd7f6,
    0xffbed7f9,
    0xffbad6f3,
    0xffbad6f3,
    0xffbad6f3,
    0xffbad6f3,
    0xffbbd6f3,
    0xffbad6f3,
    0xffbad6f3,
    0xffbad6f4,
    0xffb8d9f8,
    0xffb8d6f5,
    0xffbdd3f6,
    0xffbdd3f3,
    0xffbbd4f2,
    0xffb7d8f4,
    0xffb2d7f1,
    0xffb3d9f3,
    0xffb6dbf0,
    0xffbed7f4,
    0xffbed5f7,
    0xffb9d6f6,
    0xffbad6f5,
    0xffbfd0f3,
    0xffc0d0f5,
    0xffb9d3f9,
    0xffbad3fb,
    0xffc5d2f6,
    0xffc5d4f2,
    0xffb6d9f1,
    0xffb2d9f5,
    0xffbad4f5,
    0xffbfd4f2,
    0xffb9d7f1,
    0xffb0d9fb,
    0xffbfd5ff,
    0xffc1d0f7,
    0xff663b6c,
    0xff9169a2,
    0xffbed0ff,
    0xffc2cffe,
    0xffbed5ec,
    0xffbbd6f4,
    0xffbad6f3,
    0xffbcd7f5,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbcd7f4,
    0xffbbd7f4,
    0xffbdd8f6,
    0xffbcd8f5,
    0xffbbd6f4,
    0xffbad5f3,
    0xffbcd7f5,
    0xffbcd7f4,
    0xffbcd7f5,
    0xffbdd8f5,
    0xffb6d4f4,
    0xffb8d6f6,
    0xffbad7f7,
    0xffb9d7f7,
    0xffbdd7f8,
    0xffbdd7f8,
    0xffbed8f9,
    0xffbad3f5,
    0xffb8d6f3,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffb9d7f4,
    0xffb8d6f3,
    0xffb7d4f2,
    0xffb8d6f3,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd7f5,
    0xffbbd7f5,
    0xffbbd7f5,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffbad7f5,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb7d5f2,
    0xffbbd7f5,
    0xffbad7f4,
    0xffbad7f4,
    0xffb9d7f4,
    0xffbbd8f6,
    0xffbad7f7,
    0xffb7d4f4,
    0xffbbd8f8,
    0xffbadaf9,
    0xffbbdaf9,
    0xffbbdaf9,
    0xffbbdaf9,
    0xffb9d8f7,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb6d5f4,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffbad9f8,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb4d4f3,
    0xffb5d4f4,
    0xffb8d6f6,
    0xffb4d2f4,
    0xffb8d6f8,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb5d3f4,
    0xffb6d4f9,
    0xffb6d3f7,
    0xffb6d3f7,
    0xffb6d3f8,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d4f2,
    0xffb7d5f8,
    0xffb6d4f6,
    0xffb5d2f5,
    0xffb4d2f4,
    0xffb5d2f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb2d4f4,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb4d5f6,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb4d5f8,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb1d2f2,
    0xffaecff0,
    0xffb1d3f3,
    0xffafd0f1,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb2d3f8,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffafcff5,
    0xffb0d0f6,
    0xffb0cff6,
    0xffafcef5,
    0xffaecef4,
    0xffb1d1f7,
    0xffb1d0f7,
    0xffb2d2f8,
    0xffb2d2f8,
    0xffb0cff6,
    0xffb0cff6,
    0xffb0cff6,
    0xffb0cff6,
    0xffaed1f7,
    0xffafd1f7,
    0xffaccef4,
    0xffaccef4,
    0xffaed0f6,
    0xffafd1f7,
    0xffaed0f6,
    0xffaaccf2,
    0xffadcff5,
    0xffaaccf2,
    0xffaacbf1,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaed0f6,
    0xffadcff5,
    0xffaed0f6,
    0xffadcff5,
    0xffaed0f6,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccdf4,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffa9ccf2,
    0xffa9ccf3,
    0xffa9ccf3,
    0xffaacdf3,
    0xffa7caf0,
    0xffa8cbf1,
    0xffa9cdf3,
    0xffa9cdf2,
    0xffaacdf2,
    0xffaacdf2,
    0xffa9ccf1,
    0xffa9ccf1,
    0xffaacdf2,
    0xffabcef4,
    0xffaccff5,
    0xffa9ccf2,
    0xffaacdf3,
    0xffa8cbf1,
    0xffa9ccf1,
    0xffabcef6,
    0xffa8cbf5,
    0xffa8ccf5,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa8ccf5,
    0xffa7c9f7,
    0xffa8caf7,
    0xffa8caf7,
    0xffa6c9f6,
    0xffa6c9f5,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa5c7f5,
    0xffa3c5f3,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa3c5f3,
    0xffa5c7f5,
    0xffa3c4f5,
    0xffa3c5f5,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9fc3f3,
    0xff9ec2f2,
    0xff9ec5f3,
    0xff9dc3f2,
    0xff9dc4f2,
    0xff9dc4f2,
    0xff9fc2f2,
    0xff9ec2f5,
    0xff9ec2f4,
    0xffa1c2f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec1f4,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9bc2f2,
    0xff9bc1f1,
    0xff99bff0,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff3,
    0xff98bdf2,
    0xff9abff3,
    0xff99bef1,
    0xff97bcf1,
    0xff96bbf0,
    0xff96bbf2,
    0xff95b9f3,
    0xff95b9f3,
    0xff94b8f2,
    0xff97bef9,
    0xff93baf6,
    0xff93bbf6,
    0xff94bbf6,
    0xff94bbf7,
    0xff95bcf7,
    0xff94bbf6,
    0xff92b9f5,
    0xff92bbf3,
    0xff90b9f1,
    0xff90b9f1,
    0xff90b9f1,
    0xff8fb8f0,
    0xff91b9f2,
    0xff91baf2,
    0xff91b9f3,
    0xff90b9f2,
    0xff90b9ef,
    0xff96c0f8,
    0xff90b6ef,
    0xff86ade3,
    0xff3c6788,
    0xff295661,
    0xff295956,
    0xff2e585d,
    0xff214d73,
    0xff235b80,
    0xff1e6181,
    0xff0b4d6b,
    0xff245a71,
    0xff547d77,
    0xff547a39,
    0xff476b32,
    0xff3c6732,
    0xff3b6c3d,
    0xff2f6134,
    0xff315b32,
    0xff264622,
    0xff385837,
    0xff2b4d2d,
    0xff265332,
    0xff1b4541,
    0xff224842,
    0xff294b38,
    0xff18382b,
    0xff234235,
    0xff0c2a19,
    0xff001c12,
    0xff4b6b3c,
    0xff3f6927,
    0xff548753,
    0xff417b64,
    0xff033528,
    0xff4e7361,
    0xff1d423c,
    0xff09394e,
    0xff2e5aa6,
    0xff3f72a5,
    0xff3c7799,
    0xff2c67a0,
    0xff356aba,
    0xff3369b4,
    0xff74b3f6,
    0xff80c1ff,
    0xff81b1f6,
    0xff386690,
    0xff063856,
    0xff04386a,
    0xff639be4,
    0xff78b2fb,
    0xff87bbf5,
    0xff88b5e5,
    0xff2f5a73,
    0xff245038,
    0xff193927,
    0xff16312d,
    0xff0f2a34,
    0xff001524,
    0xff032827,
    0xff00243c,
    0xff1b5191,
    0xff3c7297,
    0xff4c7b93,
    0xff487287,
    0xff001d26,
    0xff133545,
    0xff19394c,
    0xff0a2a29,
    0xff0d2e20,
    0xff1c3f39,
    0xff1f4540,
    0xff193f52,
    0xff073346,
    0xff164758,
    0xff5583bf,
    0xff7eacff,
    0xff6ea5ff,
    0xff84bcf3,
    0xff45799c,
    0xff37607f,
    0xff61848d,
    0xff2e4d49,
    0xff162f2f,
    0xff243d32,
    0xff1f3e24,
    0xff385e4c,
    0xff477488,
    0xff3d70ae,
    0xff6399eb,
    0xff669fe9,
    0xff0f4689,
    0xff366db9,
    0xff71aeff,
    0xff002d6d,
    0xff2963a0,
    0xff2b6597,
    0xff164a83,
    0xff295686,
    0xff456c6a,
    0xff193c27,
    0xff245138,
    0xff2b5950,
    0xff3f7171,
    0xff275954,
    0xff386856,
    0xff37644d,
    0xff3e6a5e,
    0xff466e74,
    0xff39637d,
    0xff3b7caf,
    0xff0c4487,
    0xff143885,
    0xff376bbf,
    0xff60a1e8,
    0xff37639d,
    0xff193675,
    0xff3662b1,
    0xff0e3a5a,
    0xff052b53,
    0xff2e4877,
    0xff102736,
    0xff203b33,
    0xff1b2b19,
    0xff193325,
    0xff08251e,
    0xff00270e,
    0xff00270d,
    0xff0c2e18,
    0xff103d19,
    0xff104427,
    0xff315e4d,
    0xff3f664b,
    0xff395e31,
    0xff2d5229,
    0xff293725,
    0xff2f342d,
    0xff0b2c14,
    0xff386742,
    0xff233e39,
    0xff3e4871,
    0xff354472,
    0xff1d263d,
    0xff5d2c50,
    0xff59173e,
    0xff5b182e,
    0xff721832,
    0xff7a1929,
    0xff8f2920,
    0xff6f1514,
    0xff62201f,
    0xff542c32,
    0xff311e2d,
    0xff39334b,
    0xff313e5f,
    0xff2b5679,
    0xff1f5e84,
    0xff4975b4,
    0xff234989,
    0xff001f42,
    0xff001b1d,
    0xff0a252f,
    0xff102b5c,
    0xff072662,
    0xff1d456d,
    0xff276056,
    0xff2d543f,
    0xff2f5132,
    0xff13451c,
    0xff1f5628,
    0xff3f6e3f,
    0xff285319,
    0xff2a5a1a,
    0xff385a31,
    0xff24481f,
    0xff103114,
    0xff122a1e,
    0xff061c0c,
    0xff061c02,
    0xff081606,
    0xff0c0e12,
    0xff070e00,
    0xff060b00,
    0xff110b0f,
    0xff170a05,
    0xffb8a776,
    0xff4d3517,
    0xff2f2028,
    0xff0c140d,
    0xffafb1b2,
    0xff4a4a4e,
    0xff262a2c,
    0xff01100c,
    0xff00170c,
    0xff052414,
    0xff092316,
    0xff091e16,
    0xffb8cef4,
    0xffb1d0f4,
    0xffb6cef4,
    0xffb9cef4,
    0xffaed0f6,
    0xffb5cff7,
    0xffbacdf7,
    0xffb4d1f8,
    0xffb3cff4,
    0xffb5d1f6,
    0xffb6d2f7,
    0xffb6d2f7,
    0xffb6d2f7,
    0xffb6d2f7,
    0xffb4d0f5,
    0xffb4d0f6,
    0xffb7d1f3,
    0xffbad3f6,
    0xffb8d5f7,
    0xffb9d6f8,
    0xffb7d4f7,
    0xffbad3f4,
    0xffbbd2f4,
    0xffbcd2f5,
    0xffbad4fa,
    0xffbdd3f6,
    0xffbbd2f2,
    0xffbad4f8,
    0xffc4d4ff,
    0xff9184ae,
    0xff6d375b,
    0xff751e3c,
    0xff7f1c37,
    0xff801c36,
    0xff7d1932,
    0xff7e1a37,
    0xff7c1c39,
    0xff7b1733,
    0xff80152e,
    0xff881128,
    0xff90132b,
    0xff881a28,
    0xff7b1330,
    0xff884377,
    0xffd0c8fd,
    0xffc4d0f8,
    0xffc5d1f5,
    0xffbad7fa,
    0xffbed7f6,
    0xffbed2f3,
    0xffc1d2f6,
    0xffbfcdf5,
    0xffc8dbff,
    0xffaec1e9,
    0xff9baed9,
    0xffbfd0fb,
    0xffbfd2fd,
    0xffc6d9ff,
    0xff9daad2,
    0xff2b2d44,
    0xff281d28,
    0xff3f3042,
    0xff393258,
    0xff9ea4d6,
    0xffc0dcff,
    0xffbad5f7,
    0xffbdd7f9,
    0xffbcd5f4,
    0xffbcd5f4,
    0xffbbd6f3,
    0xffbcd7f5,
    0xffb9d6f4,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbad5f3,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffc1d3f5,
    0xffbbd6f7,
    0xffb8d7f6,
    0xffbed4f6,
    0xffc1d3f7,
    0xffc0d5f8,
    0xffbed4f7,
    0xffbed4f4,
    0xffb4dbf6,
    0xffbbd4f8,
    0xffbfd0fa,
    0xffb7d7fb,
    0xffb3dbf8,
    0xffb6dcfb,
    0xffb5d5f7,
    0xffb1d7fb,
    0xffb3dbf0,
    0xffbcd6f2,
    0xffc0d2f5,
    0xffbdd5fc,
    0xffb7d7ff,
    0xffbcd5fd,
    0xffc2d2fa,
    0xffc6d1f6,
    0xffc0d5f5,
    0xffbecdf2,
    0xffc4daff,
    0xff876fa4,
    0xff9c86bf,
    0xffbcdaff,
    0xffbed5fb,
    0xffb9d7ee,
    0xffbad5f4,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffb8d3f1,
    0xffbad5f3,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad4f2,
    0xffb8d6f6,
    0xffb9d6f6,
    0xffb8d5f5,
    0xffb9d6f6,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbcd6f7,
    0xffbbd4f6,
    0xffb7d5f2,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d7f5,
    0xffbad7f5,
    0xffb9d6f4,
    0xffbad7f7,
    0xffb7d4f4,
    0xffbbd8f8,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb5d4f3,
    0xffb5d3f6,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f8,
    0xffb5d3f8,
    0xffb5d3f8,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb3d5f6,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb4d5f6,
    0xffb2d3f4,
    0xffb0d1f2,
    0xffafd0f1,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb4d5f8,
    0xffb3d4f7,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffafd0f1,
    0xffb1d2f3,
    0xffb1d2f2,
    0xffb0d1f4,
    0xffb1d2f4,
    0xffb1d2f4,
    0xffb1d2f4,
    0xffb1d2f4,
    0xffb1d2f4,
    0xffb0d1f4,
    0xffafd0f3,
    0xffb1d2f4,
    0xffb0d2f4,
    0xffb2d3f5,
    0xffb2d3f6,
    0xffafd0f3,
    0xffb0d1f3,
    0xffb0d1f3,
    0xffb0d1f4,
    0xffafd1f7,
    0xffadcff5,
    0xffabcdf3,
    0xffaed0f6,
    0xffadcff5,
    0xffadcff5,
    0xffaed0f6,
    0xffadcff5,
    0xffaed0f6,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffaaccf2,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffaaccf2,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaacdf3,
    0xffaacdf3,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffaacdf3,
    0xffaacdf3,
    0xffaacdf3,
    0xffabcef4,
    0xffa9ccf2,
    0xffaacdf3,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffabcef4,
    0xffa9ccf2,
    0xffa7caf0,
    0xffa7caf2,
    0xffa6c9f0,
    0xffa7caf4,
    0xffa8cbf4,
    0xffa8c9f7,
    0xffa7cbf4,
    0xffa8cbf4,
    0xffa8c9f7,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f5,
    0xffa8caf8,
    0xffa8caf8,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa2c4f1,
    0xffa1c3f0,
    0xffa4c6f3,
    0xffa7c9f5,
    0xffa5c7f5,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa2c4f2,
    0xffa4c6f3,
    0xffa0c4f4,
    0xffa1c5f5,
    0xffa2c6f6,
    0xffa0c4f4,
    0xffa2c6f6,
    0xffa1c5f5,
    0xffa2c6f6,
    0xffa1c5f5,
    0xff9fc5f4,
    0xff9fc5f4,
    0xff9dc3f2,
    0xff9dc4f2,
    0xffa0c4f4,
    0xffa0c4f6,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9bbff1,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9ec4f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff99bef3,
    0xff99bef3,
    0xff99bef3,
    0xff9abff4,
    0xff9abff2,
    0xff98bdf1,
    0xff98bdf2,
    0xff98bdf2,
    0xff97bcf3,
    0xff96bbf1,
    0xff97bbf6,
    0xff97baf5,
    0xff96bdf6,
    0xff93baf3,
    0xff93baf3,
    0xff91b8f1,
    0xff91b8f1,
    0xff92b9f2,
    0xff93baf3,
    0xff94bbf3,
    0xff93bcf4,
    0xff92bbf3,
    0xff92bbf3,
    0xff91baf2,
    0xff90b9f1,
    0xff90baf1,
    0xff91baf1,
    0xff90baf1,
    0xff91b9f4,
    0xff91bbf0,
    0xff8fb8f2,
    0xff91b9f9,
    0xff95bef4,
    0xff97c5e2,
    0xff63939e,
    0xff4a7d83,
    0xff48899e,
    0xff518aab,
    0xff43777b,
    0xff427d71,
    0xff417d7b,
    0xff3a7078,
    0xff6c9293,
    0xff597644,
    0xff45732d,
    0xff396c2d,
    0xff326b33,
    0xff316937,
    0xff4a7a4c,
    0xff49754d,
    0xff38623d,
    0xff103d18,
    0xff386746,
    0xff436f58,
    0xff386043,
    0xff1c421a,
    0xff22432a,
    0xff09251c,
    0xff122c28,
    0xff00150d,
    0xff51733f,
    0xff3e602d,
    0xff2a552a,
    0xff174a2a,
    0xff002e0d,
    0xff335c37,
    0xff134142,
    0xff1a508b,
    0xff3a6bb8,
    0xff508ab2,
    0xff5593b8,
    0xff5d93de,
    0xff8bbcff,
    0xff4174a1,
    0xff407490,
    0xff5a8bb2,
    0xff14405a,
    0xff002539,
    0xff00203e,
    0xff23528f,
    0xff2d62b5,
    0xff7fb8ff,
    0xff7db0f5,
    0xff87b3f6,
    0xff7dacd3,
    0xff4d7995,
    0xff4d708d,
    0xff294d4d,
    0xff1b403f,
    0xff193b4c,
    0xff062729,
    0xff032321,
    0xff173a3a,
    0xff133738,
    0xff041c33,
    0xff263f5c,
    0xff244147,
    0xff284949,
    0xff0f302f,
    0xff1c402f,
    0xff2c5031,
    0xff0f2d25,
    0xff001312,
    0xff112c3c,
    0xff23444e,
    0xff012d32,
    0xff215683,
    0xff79b2f7,
    0xff71aff7,
    0xff6ea4d9,
    0xff3c6673,
    0xff3e5d47,
    0xff364f29,
    0xff29411b,
    0xff304d2d,
    0xff12301a,
    0xff293f3a,
    0xff2d4d4c,
    0xff113d44,
    0xff497b92,
    0xff669ab8,
    0xff386b93,
    0xff6fa3d8,
    0xff3b72b8,
    0xff4179d2,
    0xff165295,
    0xff336dad,
    0xff296590,
    0xff0b4565,
    0xff194e63,
    0xff25553d,
    0xff1c451c,
    0xff153928,
    0xff0c2c2b,
    0xff0b2a17,
    0xff1f3e22,
    0xff192d32,
    0xff2d444f,
    0xff2b4d54,
    0xff385a7b,
    0xff254075,
    0xff144979,
    0xff3567aa,
    0xff3353ac,
    0xff214eb0,
    0xff2664bd,
    0xff2f60a7,
    0xff000c3b,
    0xff5b92d0,
    0xff4779b2,
    0xff396e96,
    0xff04283a,
    0xff03211f,
    0xff274830,
    0xff103010,
    0xff00231e,
    0xff0b1619,
    0xff182a16,
    0xff0e200f,
    0xff0c1a16,
    0xff0c2013,
    0xff011d0e,
    0xff001c0f,
    0xff0a2b16,
    0xff092c19,
    0xff063413,
    0xff2c2413,
    0xff742731,
    0xff662823,
    0xff241200,
    0xff88655c,
    0xff823551,
    0xff6f3463,
    0xff693d6b,
    0xff87497d,
    0xff745084,
    0xff716aa4,
    0xffa187ba,
    0xffb58690,
    0xffa05438,
    0xff721e08,
    0xff6b2111,
    0xff8b4d43,
    0xff5a1f13,
    0xff582314,
    0xff4b3129,
    0xff061823,
    0xff3a6e8e,
    0xff39689f,
    0xff265596,
    0xff25548b,
    0xff0c3e61,
    0xff043b6e,
    0xff2b67bc,
    0xff3c82da,
    0xff3481be,
    0xff357066,
    0xff264a3e,
    0xff102c1b,
    0xff11371a,
    0xff335e3d,
    0xff1c3e1b,
    0xff1b3a16,
    0xff21441c,
    0xff0a2c0a,
    0xff001c01,
    0xff051c0b,
    0xff0a1c14,
    0xff05130b,
    0xff051806,
    0xff011605,
    0xff0b1e14,
    0xff291d18,
    0xff6e6656,
    0xff040000,
    0xff424229,
    0xff9c9d6d,
    0xff59553e,
    0xff0e060d,
    0xff3c3a33,
    0xffaaa7a4,
    0xff555554,
    0xff232a27,
    0xff0f1c18,
    0xff102319,
    0xff0b2215,
    0xff00160d,
    0xff021a14,
    0xffb5cef7,
    0xffb0d0f6,
    0xffbaccf3,
    0xffbecaf5,
    0xffb2cff3,
    0xffb2d1f4,
    0xffb8d0f6,
    0xffb4d1f6,
    0xffb4d0f5,
    0xffb4d0f5,
    0xffb6d2f7,
    0xffb5d1f6,
    0xffb6d2f7,
    0xffb6d2f7,
    0xffb6d2f7,
    0xffb5d1f6,
    0xffb6d0f3,
    0xffb8d1f4,
    0xffb6d3f5,
    0xffb8d5f7,
    0xffb6d4f6,
    0xffbad4f4,
    0xffbbd2f5,
    0xffbbd3f4,
    0xffb7d2f6,
    0xffbad3f5,
    0xffb9d1f3,
    0xffbcd2fa,
    0xffc1cef7,
    0xff7f779d,
    0xff683f5e,
    0xff6b2a42,
    0xff6c1e36,
    0xff742137,
    0xff7a1e38,
    0xff7f203a,
    0xff7e1a39,
    0xff821732,
    0xff8b122c,
    0xff96122b,
    0xffa72134,
    0xff9d1e2f,
    0xff751035,
    0xffb78bc8,
    0xffc6d2ff,
    0xffbdd8f5,
    0xffc0d2ef,
    0xffbfd0fd,
    0xffb9d4f3,
    0xffbcd4f3,
    0xffc0d2f7,
    0xffc1d4f7,
    0xffbad2f7,
    0xffbed8fd,
    0xffbdd3fc,
    0xff9bafd8,
    0xffc1d3fe,
    0xffc0c8fa,
    0xff6c698f,
    0xff3d3444,
    0xff332838,
    0xff2a2447,
    0xff666998,
    0xffc1cff7,
    0xffbcd8fa,
    0xffbad4f6,
    0xffbad5f3,
    0xffbdd6f5,
    0xffbdd5f3,
    0xffbbd7f4,
    0xffbcd6f3,
    0xffb8d7f3,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbdd7f5,
    0xffc3d3f3,
    0xffb8d9f4,
    0xffb5d9f6,
    0xffbfd4f9,
    0xffc4d2fb,
    0xffbbd3f7,
    0xffbbd4f5,
    0xffc2d4f6,
    0xffbad5f1,
    0xffc4d3f5,
    0xffc5d2f7,
    0xffbed2f2,
    0xffbfd4f0,
    0xffc7d1ef,
    0xffcad5f5,
    0xffbed5f2,
    0xffbed7f1,
    0xffb4daf5,
    0xffb2daf8,
    0xffbdd5f7,
    0xffc8d1f5,
    0xffc3d2f4,
    0xffbad5f8,
    0xffb4d6fb,
    0xffc3d5f8,
    0xffc0d3f4,
    0xffbcdcfe,
    0xffa6a1d4,
    0xff9e96cb,
    0xffb7d8f9,
    0xffbdd4f7,
    0xffb7d7fb,
    0xffbbd7f5,
    0xffbcd7f4,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffb8d5f6,
    0xffb8d5f6,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffbad4f5,
    0xffbcd6f7,
    0xffbad4f5,
    0xffbcd5f7,
    0xffb8d6f4,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad8f6,
    0xffbad8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbad7f4,
    0xffbad7f7,
    0xffb9d6f6,
    0xffbad7f7,
    0xffb8d8f7,
    0xffb8d8f7,
    0xffb8d8f7,
    0xffb8d8f7,
    0xffb9d8f7,
    0xffb8d8f7,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb8d8f7,
    0xffb9d8f7,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d7f5,
    0xffb7d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb9d8f7,
    0xffb8d7f6,
    0xffb7d7f5,
    0xffb9d8f7,
    0xffb8d7f6,
    0xffb5d5f3,
    0xffb5d3f6,
    0xffb7d4f7,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f6,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb7d5f6,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d6f7,
    0xffb3d4f5,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb2d3f4,
    0xffb4d5f6,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb2d3f7,
    0xffb3d4f7,
    0xffb4d5f8,
    0xffb2d3f7,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffafd0f1,
    0xffb1d2f3,
    0xffafd0f1,
    0xffafd0f4,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffafd0f3,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f3,
    0xffaed1f7,
    0xffaed0f6,
    0xffadcff5,
    0xffafd1f7,
    0xffadcff5,
    0xffabcdf3,
    0xffaed0f6,
    0xffadcff5,
    0xffaed0f6,
    0xffaed0f6,
    0xffaed0f6,
    0xffaed0f6,
    0xffadcff5,
    0xffadcff5,
    0xffaed0f6,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffaed0f6,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacdf3,
    0xffabcef4,
    0xffaacef4,
    0xffabcef4,
    0xffaacef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffa9ccf2,
    0xffabcef4,
    0xffaacdf3,
    0xffabcef4,
    0xffabcef4,
    0xffa8cbf1,
    0xffa8cbf1,
    0xffa9ccf2,
    0xffa9ccf5,
    0xffa9ccf4,
    0xffa9ccf6,
    0xffa8cbf5,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa8cbf5,
    0xffa7c9f7,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa5c7f4,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa4c6f3,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa2c6f7,
    0xffa2c5f6,
    0xffa2c5f6,
    0xffa1c5f5,
    0xffa0c4f4,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c7f3,
    0xff9fc5f1,
    0xffa0c3f4,
    0xffa0c3f4,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f6,
    0xff9fc3f6,
    0xff9fc3f6,
    0xff9fc3f5,
    0xff9fc3f6,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec4f5,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9bc1f2,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc1f6,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff4,
    0xff9bbff4,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff4,
    0xff9abff4,
    0xff9bc0f5,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef3,
    0xff99bef3,
    0xff97bcf4,
    0xff96bbf2,
    0xff98bdf3,
    0xff97baf5,
    0xff95bdf6,
    0xff91b9f2,
    0xff93baf3,
    0xff93bbf4,
    0xff93bbf4,
    0xff93baf3,
    0xff92baf3,
    0xff93baf4,
    0xff92bcf3,
    0xff91baf2,
    0xff91baf2,
    0xff91baf2,
    0xff92bbf3,
    0xff91baf2,
    0xff90b9f1,
    0xff91baf1,
    0xff90b8f4,
    0xff8fb8ee,
    0xff91bbf2,
    0xff91b9f7,
    0xff8eb8ed,
    0xff9ecbec,
    0xff568695,
    0xff487a87,
    0xff276d79,
    0xff689ab0,
    0xff5d8482,
    0xff2f5750,
    0xff477f83,
    0xff34707b,
    0xff235955,
    0xff3c6e36,
    0xff608e44,
    0xff376926,
    0xff2c622a,
    0xff23562a,
    0xff21532d,
    0xff1d4a28,
    0xff1f4e2b,
    0xff2f5f39,
    0xff1f5025,
    0xff417048,
    0xff2e5835,
    0xff395f3d,
    0xff2a4b2d,
    0xff153129,
    0xff092323,
    0xff2d4b3a,
    0xff6e9558,
    0xff45673b,
    0xff365d37,
    0xff2a583d,
    0xff022c1b,
    0xff254e34,
    0xff467b79,
    0xff7fbffa,
    0xffa3d7ff,
    0xff457fa9,
    0xff3471a4,
    0xff6da2ef,
    0xff3462a0,
    0xff0d3646,
    0xff173b38,
    0xff001823,
    0xff183d31,
    0xff0f332f,
    0xff00223b,
    0xff234f8c,
    0xff8ac1ff,
    0xff78b3f6,
    0xff7db1eb,
    0xff84b0f0,
    0xff78aae5,
    0xff2b5b8c,
    0xff3a6797,
    0xff184560,
    0xff002a38,
    0xff1b4655,
    0xff001b23,
    0xff001729,
    0xff000d2d,
    0xff08223d,
    0xff192f4d,
    0xff051c30,
    0xff19342f,
    0xff274538,
    0xff1a3a34,
    0xff0b2c22,
    0xff0f2419,
    0xff031914,
    0xff1d3a29,
    0xff214542,
    0xff214e60,
    0xff265e85,
    0xff81c1ff,
    0xff78bcf7,
    0xff66a4b9,
    0xff2a5d60,
    0xff3e6547,
    0xff3d572e,
    0xff364432,
    0xff27351f,
    0xff455c2f,
    0xff2f4b26,
    0xff0a1b26,
    0xff547286,
    0xff497387,
    0xff194751,
    0xff1c4551,
    0xff113756,
    0xff4877b0,
    0xff3f76c2,
    0xff3670c2,
    0xff74adf7,
    0xff699fec,
    0xff3067a7,
    0xff215a8f,
    0xff3b6e9d,
    0xff2a5973,
    0xff1a4259,
    0xff082555,
    0xff234079,
    0xff133451,
    0xff0b2a3a,
    0xff153058,
    0xff123054,
    0xff002239,
    0xff002955,
    0xff315390,
    0xff1e4e87,
    0xff00367b,
    0xff2c5ba9,
    0xff7eaffd,
    0xff72aeff,
    0xff8bc5ff,
    0xff000e27,
    0xff386686,
    0xff5a89cd,
    0xff21496c,
    0xff21484a,
    0xff001320,
    0xff132422,
    0xff011e16,
    0xff08233e,
    0xff31524f,
    0xff072809,
    0xff022307,
    0xff001613,
    0xff051311,
    0xff071006,
    0xff06160c,
    0xff03180a,
    0xff021b20,
    0xff061509,
    0xff300300,
    0xff82121a,
    0xff811714,
    0xff83361f,
    0xff86301e,
    0xff6e0400,
    0xff6c1213,
    0xff590e0e,
    0xff701e1c,
    0xff81474b,
    0xff593c53,
    0xff734b50,
    0xff9c593c,
    0xffbf633f,
    0xffb86e48,
    0xffa45642,
    0xff7f322b,
    0xff894f45,
    0xff311501,
    0xff141300,
    0xff0a1510,
    0xff000514,
    0xff011820,
    0xff0d253c,
    0xff021a36,
    0xff0d2b43,
    0xff10335b,
    0xff1c4786,
    0xff346aa2,
    0xff2e6c87,
    0xff194f31,
    0xff173920,
    0xff213824,
    0xff0b2a0d,
    0xff355734,
    0xff0c2702,
    0xff314729,
    0xff092308,
    0xff022803,
    0xff0d230b,
    0xff161c0f,
    0xff13160e,
    0xff0e1913,
    0xff061112,
    0xff0b150e,
    0xff000700,
    0xffb49c63,
    0xfff9e0b7,
    0xff311d07,
    0xff261608,
    0xff251e0d,
    0xff000300,
    0xff0a1716,
    0xff000900,
    0xff4b4b42,
    0xff22221d,
    0xff555b57,
    0xff010907,
    0xff020e08,
    0xff02110a,
    0xff00100a,
    0xff001613,
    0xffb4d0f7,
    0xffadd2f7,
    0xffb8cef4,
    0xffc0caf4,
    0xffb4d0f4,
    0xffafd3f6,
    0xffb6d2f3,
    0xffb5d1f2,
    0xffb5d1f6,
    0xffb4d0f6,
    0xffb5d2f7,
    0xffb7d3f8,
    0xffb5d1f7,
    0xffb5d2f7,
    0xffb5d2f7,
    0xffb5d1f7,
    0xffb7d5f6,
    0xffb5d3f5,
    0xffb7d4f6,
    0xffb8d6f7,
    0xffb9d2f5,
    0xffb9d3f4,
    0xffbbd2f5,
    0xffbbd4f4,
    0xffb8d4f7,
    0xffb8d5f4,
    0xffbbd4f7,
    0xffc1d3fd,
    0xffbec8f0,
    0xff71688d,
    0xff5d405b,
    0xff593041,
    0xff4c1326,
    0xff5a152b,
    0xff6e182f,
    0xff771933,
    0xff7c1833,
    0xff85142f,
    0xff930f2c,
    0xffa5102b,
    0xffb81d2b,
    0xffaf213f,
    0xff933f6e,
    0xffccbef6,
    0xffbbd6ff,
    0xffbcd9f2,
    0xffbdd3ef,
    0xffbed4fa,
    0xffbdd7f6,
    0xffbcd4f3,
    0xffbdd5f5,
    0xffbcd5f4,
    0xffb9d5f6,
    0xffb9d7f9,
    0xffbbd4f9,
    0xffc1d6ff,
    0xffa0ade8,
    0xff8f8dbc,
    0xff4c3e55,
    0xff3d2f35,
    0xff292531,
    0xff484f73,
    0xffb3c3f4,
    0xffbdd1ff,
    0xffb9d6f8,
    0xffbcd6f7,
    0xffbcd7f4,
    0xffbbd4f3,
    0xffbdd6f4,
    0xffbbd7f3,
    0xffbcd6f3,
    0xffb9d8f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f0,
    0xffb5d9f4,
    0xffb7daf8,
    0xffc2d5fc,
    0xffbed0f9,
    0xffb8d9f8,
    0xffbdddf7,
    0xffc9d5f5,
    0xffd5dbff,
    0xffd2ddff,
    0xffccdfff,
    0xffd0dcff,
    0xffe2d2fe,
    0xffe3bbec,
    0xffdbbcec,
    0xffd7d4fd,
    0xffc3d6f1,
    0xffb9daf7,
    0xffb8d8ff,
    0xffc0d0f9,
    0xffc5d2f2,
    0xffbad8eb,
    0xffb4d8ec,
    0xffb9d6f1,
    0xffc1d0fe,
    0xffbcd4f6,
    0xffb8e1fd,
    0xffabb4e4,
    0xffadb1e0,
    0xffbed7f3,
    0xffc0d3f8,
    0xffbad2ff,
    0xffbcd7f6,
    0xffbcd7f4,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbad5f3,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbcd7f4,
    0xffbcd7f5,
    0xffbbd6f3,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd6f4,
    0xffbbd6f4,
    0xffbed9f7,
    0xffbfd9f7,
    0xffbfdaf8,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f7,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffbbd8f8,
    0xffbad6f6,
    0xffb8d5f5,
    0xffb7d4f4,
    0xffbad7f7,
    0xffb9d6f6,
    0xffbad6f6,
    0xffbad7f7,
    0xffb9d5f5,
    0xffb7d4f4,
    0xffb8d5f5,
    0xffbad6f7,
    0xffbad7f7,
    0xffb7d4f5,
    0xffbad6f7,
    0xffbad7f7,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb8d4f5,
    0xffb7d3f4,
    0xffb4d4f2,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb7d6f4,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f4,
    0xffb7d6f4,
    0xffb7d4f7,
    0xffb7d5f6,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb7d5f6,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb3d5f5,
    0xffb3d5f6,
    0xffb2d3f4,
    0xffb3d5f6,
    0xffb3d4f5,
    0xffb5d6f7,
    0xffb4d5f6,
    0xffb4d6f6,
    0xffb1d2f3,
    0xffb2d4f4,
    0xffb2d3f4,
    0xffb3d5f5,
    0xffb3d5f5,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb4d5f6,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb2d3f4,
    0xffb2d4f5,
    0xffb3d5f5,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffafd0f3,
    0xffafd0f3,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffafd0f3,
    0xffafd0f3,
    0xffafd0f3,
    0xffafd0f3,
    0xffaed0f5,
    0xffb0d3f7,
    0xffb1d3f8,
    0xffaed0f5,
    0xffafd2f6,
    0xffaccff3,
    0xffafd2f6,
    0xffadcff4,
    0xffaccef3,
    0xffaed1f5,
    0xffb0d2f7,
    0xffaed1f5,
    0xffafd1f6,
    0xffaed0f5,
    0xffaccef3,
    0xffaaccf1,
    0xffadcff5,
    0xffaed0f6,
    0xffafd1f7,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffaccef4,
    0xffadcff5,
    0xffaed0f6,
    0xffaccdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffaacdf3,
    0xffabcef4,
    0xffa9ccf2,
    0xffabcef4,
    0xffabcef4,
    0xffa8cbf1,
    0xffaacdf3,
    0xffabcef4,
    0xffabcef3,
    0xffabcef6,
    0xffaacdf5,
    0xffaacdf4,
    0xffa9ccf7,
    0xffa9ccf6,
    0xffa9ccf6,
    0xffa9ccf6,
    0xffa8ccf5,
    0xffa7c9f7,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa5c7f4,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa8caf7,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa8caf6,
    0xffa6c8f6,
    0xffa7c9f7,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa4c9f6,
    0xffa1c6f3,
    0xffa1c7f3,
    0xffa2c7f3,
    0xffa1c6f3,
    0xffa4c5f3,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa1c7f4,
    0xffa0c6f2,
    0xffa0c5f1,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa1c5f4,
    0xffa1c5f5,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f2,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc3f4,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc3f3,
    0xff9cc3f3,
    0xff9dc1f6,
    0xff9dc2f6,
    0xff9bc0f5,
    0xff9abff3,
    0xff9cc0f5,
    0xff9bc0f5,
    0xff9cc0f5,
    0xff9cc0f5,
    0xff9ac1f1,
    0xff9ac1f1,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f5,
    0xff9abff5,
    0xff9bc0f3,
    0xff9bc0f4,
    0xff9abff4,
    0xff9bc0f5,
    0xff9abff3,
    0xff98bdf5,
    0xff98bdf5,
    0xff98bdf4,
    0xff99bef4,
    0xff97bcf3,
    0xff97bcf3,
    0xff98bdf3,
    0xff99bef4,
    0xff97bcf3,
    0xff97bcf3,
    0xff98bdf3,
    0xff94bdf6,
    0xff92bbf3,
    0xff93bcf4,
    0xff92bbf3,
    0xff93bcf4,
    0xff91bbf2,
    0xff90baf1,
    0xff8fb8f0,
    0xff93b9f5,
    0xff90b9f1,
    0xff91baed,
    0xff90bcee,
    0xff91bcf2,
    0xff8fb7ed,
    0xff8ebbdc,
    0xff3e7077,
    0xff397768,
    0xff002937,
    0xff14374e,
    0xff1d406f,
    0xff1e4a8e,
    0xff467cbe,
    0xff4880af,
    0xff3b7470,
    0xff5d8550,
    0xff5e864f,
    0xff426d3b,
    0xff315d31,
    0xff254f2c,
    0xff335e3f,
    0xff12401f,
    0xff1e4f2d,
    0xff1b4f25,
    0xff2b5a34,
    0xff224b3c,
    0xff0d2f27,
    0xff0b2a1c,
    0xff1b352e,
    0xff00160d,
    0xff436537,
    0xff48772d,
    0xff274f1d,
    0xff386741,
    0xff104643,
    0xff3e6d93,
    0xff457078,
    0xff477f66,
    0xff4b8a8f,
    0xff447c9a,
    0xff013d63,
    0xff13537b,
    0xff002f4c,
    0xff255a5d,
    0xff073225,
    0xff032016,
    0xff102627,
    0xff1b3c26,
    0xff163727,
    0xff032835,
    0xff001f51,
    0xff6ea4e8,
    0xff7bb7f7,
    0xff81b7f3,
    0xff78a7e9,
    0xff84b6f9,
    0xff8dc1f8,
    0xff4c80b4,
    0xff5f92c7,
    0xff487cae,
    0xff5d8dc0,
    0xff153c6f,
    0xff5070ae,
    0xff7fafe9,
    0xff437695,
    0xff002f31,
    0xff1f4a37,
    0xff1c4027,
    0xff04210f,
    0xff031f14,
    0xff001a12,
    0xff001b2a,
    0xff082658,
    0xff164278,
    0xff3d77b3,
    0xff5490d0,
    0xff7fbbf8,
    0xff4176b4,
    0xff194c6c,
    0xff012a34,
    0xff3a644b,
    0xff244c1e,
    0xff234227,
    0xff0c1e1a,
    0xff213620,
    0xff445539,
    0xff25322f,
    0xff061e2f,
    0xff0e2c56,
    0xff3f6ca1,
    0xff26527d,
    0xff2a4c76,
    0xff335393,
    0xff3e6abd,
    0xff4381d4,
    0xff7eb8ff,
    0xff6da4f3,
    0xff6fa2fa,
    0xff7bafff,
    0xff6198ea,
    0xff659aed,
    0xff4471ca,
    0xff557cdc,
    0xff4671b6,
    0xff75a6f1,
    0xff71abfb,
    0xff3778c6,
    0xff2968b2,
    0xff70abf4,
    0xff457bcd,
    0xff386dc8,
    0xff5181e5,
    0xff396ed2,
    0xff296cc1,
    0xff2d6eae,
    0xff0b3377,
    0xff2c64b7,
    0xff5e95d3,
    0xff183540,
    0xff001e28,
    0xff17427b,
    0xff022a49,
    0xff001b32,
    0xff304c76,
    0xff000711,
    0xff0e2c30,
    0xff1f365b,
    0xff225458,
    0xff295535,
    0xff164523,
    0xff002519,
    0xff0d211b,
    0xff131d16,
    0xff000e07,
    0xff021812,
    0xff010c12,
    0xff120605,
    0xff551916,
    0xff781912,
    0xff700b00,
    0xffbd4934,
    0xffb53d25,
    0xff882107,
    0xff78120d,
    0xff762111,
    0xff711f0d,
    0xff7e2c29,
    0xff7e3c3c,
    0xff97533d,
    0xff7d361a,
    0xff520e00,
    0xff5b0000,
    0xff6a1a0c,
    0xff470f08,
    0xff2d1411,
    0xff060809,
    0xff031111,
    0xff010e0f,
    0xff071110,
    0xff001303,
    0xff011310,
    0xff000f13,
    0xff04171a,
    0xff00121c,
    0xff001025,
    0xff00111f,
    0xff002014,
    0xff2e5e2f,
    0xff10350f,
    0xff132b0e,
    0xff243f1e,
    0xff092c03,
    0xff1d3f15,
    0xff1c3b1c,
    0xff112914,
    0xff111b1e,
    0xff0e121c,
    0xff0b110f,
    0xff061001,
    0xff0f0f01,
    0xff41281e,
    0xff4d2915,
    0xff83632a,
    0xffffe482,
    0xff4f4313,
    0xff0b1401,
    0xff091c07,
    0xff0c1b12,
    0xff0f231b,
    0xff001304,
    0xff000f0a,
    0xff0a0f09,
    0xff72716f,
    0xff4b4c4e,
    0xff191c1f,
    0xff04100c,
    0xff011209,
    0xff01110c,
    0xff050d0c,
    0xffbecef7,
    0xffaed4f5,
    0xffb2d2f6,
    0xffbdcdf6,
    0xffb6d2f6,
    0xffb0d2f5,
    0xffb8d0f5,
    0xffb9cff3,
    0xffb5cff1,
    0xffb7d1f3,
    0xffb8d2f4,
    0xffb8d1f4,
    0xffb8d2f4,
    0xffb8d2f4,
    0xffb7d1f3,
    0xffb8d2f5,
    0xffb8d5f7,
    0xffb7d5f7,
    0xffbad3f7,
    0xffbad3f7,
    0xffb8d2f6,
    0xffbad4f4,
    0xffb9d4f5,
    0xffb9d3f4,
    0xffb9d5f5,
    0xffbad7fa,
    0xffb6d2f4,
    0xffc5d7ff,
    0xffb9bde4,
    0xff655b7d,
    0xff59465d,
    0xff4b3441,
    0xff3f1426,
    0xff490c20,
    0xff6a162d,
    0xff7a1935,
    0xff851b37,
    0xff8e1733,
    0xffa21335,
    0xffbb1937,
    0xffcd2232,
    0xffa01c47,
    0xffd39ad0,
    0xffc8d3fa,
    0xffbbd7f6,
    0xffbdd3f3,
    0xffbdd5f5,
    0xffb8daf1,
    0xffb7d5f3,
    0xffbdd8f6,
    0xffbbd4f3,
    0xffbad7f5,
    0xffbad9f8,
    0xffb8d5f7,
    0xffc2daff,
    0xffc2d5ff,
    0xffabb4ea,
    0xff4f4a68,
    0xff473644,
    0xff3f2d40,
    0xff3c3b5e,
    0xffa3b2da,
    0xffbfd7ff,
    0xffbdd7ff,
    0xffbcd6f7,
    0xffbad4f4,
    0xffbbd3f5,
    0xffbdd5f8,
    0xffbcd5f6,
    0xffbcd5f4,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbdd8f6,
    0xffbed8f6,
    0xffb9d9f0,
    0xffb8dbf6,
    0xffbad8f7,
    0xffbfd3f9,
    0xffc8d8fc,
    0xffd0d7f6,
    0xffe5cff0,
    0xffcb90b8,
    0xffb8598d,
    0xffa4487d,
    0xff954276,
    0xffb75e8f,
    0xffab356b,
    0xff980842,
    0xff930b44,
    0xffb1497a,
    0xfff7ceff,
    0xffdcd7ff,
    0xffc4d6f8,
    0xffbed9f3,
    0xffb9d8eb,
    0xffb6d5ee,
    0xffc7d6ff,
    0xffd1c7ff,
    0xffcdb7e2,
    0xffd1ccea,
    0xffc8dcfa,
    0xffb3c1f4,
    0xffb0c1f3,
    0xffbbdaf8,
    0xffbfd5f4,
    0xffbed4fd,
    0xffbcd6f6,
    0xffbbd7f4,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbad5f3,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad8f6,
    0xffbcd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbed9f7,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbad5f3,
    0xffbad5f3,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f5,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbad7f7,
    0xffbbd8f8,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffbad7f7,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb9d6f6,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffbad7f7,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb9d6f3,
    0xffbad7f4,
    0xffbbd8f6,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb9d6f3,
    0xffb7d4f2,
    0xffb7d3f1,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb5d4f0,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d4f6,
    0xffb7d5f6,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb7d4f6,
    0xffb6d4f6,
    0xffb7d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb5d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d1f3,
    0xffb5d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb6d3f5,
    0xffb5d2f5,
    0xffb6d3f5,
    0xffb5d2f4,
    0xffb1d2f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f6,
    0xffb1d2f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffb1d1f7,
    0xffb0d0f7,
    0xffb3d2f9,
    0xffadcdf3,
    0xffb1d1f7,
    0xffb2d1f7,
    0xffb0cff5,
    0xffadcdf3,
    0xffafcef4,
    0xffaecef4,
    0xffadccf2,
    0xffaed0f6,
    0xffadcff5,
    0xffaed0f6,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffadcff5,
    0xffaaccf2,
    0xffabcdf3,
    0xffaaccf2,
    0xffaaccf2,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffaacdf3,
    0xffaacdf3,
    0xffa8cbf1,
    0xffaacdf2,
    0xffa9ccf5,
    0xffaacdf5,
    0xffa8cbf3,
    0xffa9ccf6,
    0xffa9ccf6,
    0xffa7caf4,
    0xffa8cbf5,
    0xffa6c9f3,
    0xffa8c9f7,
    0xffa8caf7,
    0xffa8caf7,
    0xffa9cbf8,
    0xffa8caf7,
    0xffa8caf7,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa7c9f5,
    0xffa6c8f5,
    0xffa6c8f4,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa6c8f4,
    0xffa6c8f5,
    0xffa6c9f5,
    0xffa2c8f5,
    0xffa0c6f3,
    0xffa2c7f4,
    0xffa2c7f4,
    0xffa2c7f4,
    0xffa5c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c5f4,
    0xffa4c5f3,
    0xff9fc5f2,
    0xff9ec4f0,
    0xff9ec2f3,
    0xff9fc3f3,
    0xffa1c5f5,
    0xffa0c4f4,
    0xff9fc3f3,
    0xff9dc1f1,
    0xff9ec2f2,
    0xffa0c4f4,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9fc2f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec1f4,
    0xff9ec1f4,
    0xff9cc3f3,
    0xff9dc3f3,
    0xff9dc3f3,
    0xff9dc3f4,
    0xff9dc3f3,
    0xff9dc3f4,
    0xff9bc1f2,
    0xff9cc2f2,
    0xff99bff0,
    0xff9ac0f1,
    0xff9cc2f2,
    0xff9bc0f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f3,
    0xff9bc0f5,
    0xff99bef3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff3,
    0xff9abff7,
    0xff9abff6,
    0xff9bc0f7,
    0xff98bdf4,
    0xff97bcf4,
    0xff98bdf4,
    0xff98bdf4,
    0xff98bdf3,
    0xff96bdf6,
    0xff94bbf4,
    0xff95bcf5,
    0xff94bbf4,
    0xff95bcf5,
    0xff94bbf4,
    0xff93b9f3,
    0xff91b8f1,
    0xff94bbf5,
    0xff90b8f3,
    0xff90baeb,
    0xff90bfe4,
    0xff91baf3,
    0xff91b7ff,
    0xff9bc3f0,
    0xff386861,
    0xff457c71,
    0xff50889c,
    0xff5d98ba,
    0xff4a83bb,
    0xff6c9de1,
    0xff6693d3,
    0xff658dd3,
    0xff5a85b3,
    0xff729899,
    0xff476e5a,
    0xff487247,
    0xff3a6830,
    0xff2b5b2a,
    0xff1f5232,
    0xff114438,
    0xff285b5d,
    0xff154647,
    0xff002f24,
    0xff163e39,
    0xff254749,
    0xff001a18,
    0xff062325,
    0xff2c4c35,
    0xff467127,
    0xff487c2e,
    0xff265723,
    0xff326e51,
    0xff397f94,
    0xff65a2e5,
    0xff3b6c80,
    0xff3b6c3c,
    0xff407643,
    0xff3e7767,
    0xff3d748a,
    0xff3b73ab,
    0xff2d649f,
    0xff144467,
    0xff1b434c,
    0xff0c2c2a,
    0xff233e3b,
    0xff082827,
    0xff1d3d33,
    0xff002222,
    0xff062f4e,
    0xff8bbdf8,
    0xff72aae5,
    0xff5b8fc8,
    0xff7cabe5,
    0xff5487ae,
    0xff84b4ef,
    0xff689aca,
    0xff427b95,
    0xff4784ad,
    0xff77abff,
    0xff88b5ff,
    0xff7fafd9,
    0xff357075,
    0xff215f5c,
    0xff165245,
    0xff134334,
    0xff001c1a,
    0xff00181c,
    0xff011824,
    0xff0c2939,
    0xff053655,
    0xff225692,
    0xff13518b,
    0xff26679e,
    0xff104978,
    0xff063254,
    0xff17354c,
    0xff1b332a,
    0xff2e524f,
    0xff173c2e,
    0xff0b2a27,
    0xff062126,
    0xff37553e,
    0xff3a5a34,
    0xff2e493f,
    0xff00122d,
    0xff072e54,
    0xff033071,
    0xff4477c6,
    0xff7dacf5,
    0xff476fb6,
    0xff3e65b8,
    0xff5589e1,
    0xff5699e8,
    0xff235ea7,
    0xff4c83d5,
    0xff2e5fb6,
    0xff4d82d8,
    0xff1951a2,
    0xff356fb9,
    0xff2c61b7,
    0xff608eed,
    0xff689cea,
    0xff3773c1,
    0xff074799,
    0xff4c8edd,
    0xff3774c3,
    0xff3973c3,
    0xff3a74cb,
    0xff4179dc,
    0xff4581e2,
    0xff457cde,
    0xff5e9ee5,
    0xff4480b1,
    0xff22407d,
    0xff375382,
    0xff294a4b,
    0xff56604c,
    0xff2a4057,
    0xff3a65a9,
    0xff5785d3,
    0xff72a8ff,
    0xff6d99e2,
    0xff001a2b,
    0xff032c39,
    0xff3e5c92,
    0xff092754,
    0xff2d454f,
    0xff012621,
    0xff042a30,
    0xff0c232c,
    0xff09212e,
    0xff001f31,
    0xff081929,
    0xff111e21,
    0xff00110e,
    0xff23110f,
    0xff752d23,
    0xffb04e33,
    0xffb4401d,
    0xffb03914,
    0xffb54820,
    0xff8c2605,
    0xff610c00,
    0xff732011,
    0xff771f1d,
    0xff883b29,
    0xff873924,
    0xff8d3625,
    0xff763117,
    0xff7a2419,
    0xff8b392f,
    0xff67241e,
    0xff391212,
    0xff342c30,
    0xff041013,
    0xff021614,
    0xff001410,
    0xff00150d,
    0xff091e1d,
    0xff0a211c,
    0xff001208,
    0xff00120b,
    0xff021413,
    0xff011310,
    0xff001003,
    0xff183f18,
    0xff2e5330,
    0xff2a492e,
    0xff1f3d20,
    0xff0d3212,
    0xff0b3614,
    0xff12361f,
    0xff132c1d,
    0xff071716,
    0xff0a0b11,
    0xff130503,
    0xff643e32,
    0xff6e231b,
    0xffb34d4b,
    0xffae623e,
    0xfffad687,
    0xff71531f,
    0xff040800,
    0xff001e0d,
    0xff011a04,
    0xff0c1510,
    0xff0b110a,
    0xff1c2315,
    0xff100e0f,
    0xff000000,
    0xff837f85,
    0xff3d313c,
    0xff302d36,
    0xff000d0b,
    0xff021812,
    0xff0f1a14,
    0xff171413,
    0xffbdaadd,
    0xffb4d0f3,
    0xffa9cfee,
    0xffb9d3f6,
    0xffb4d0f4,
    0xffb1d2f5,
    0xffb6cff4,
    0xffb8cdf5,
    0xffb4cdf1,
    0xffb6d0f3,
    0xffb7d1f4,
    0xffb7d1f4,
    0xffb7d1f4,
    0xffb8d2f5,
    0xffb8d2f5,
    0xffb9d2f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffbad3f7,
    0xffb9d4f7,
    0xffbad1f6,
    0xffbbd2f4,
    0xffb9d4f4,
    0xffb9d3f4,
    0xffbcd5f4,
    0xffb8d6f8,
    0xffb8d6fb,
    0xffc1d2fb,
    0xffadaed3,
    0xff625372,
    0xff5a485e,
    0xff483746,
    0xff3b1727,
    0xff4f1528,
    0xff6c182f,
    0xff7e1a33,
    0xff801632,
    0xff8c1230,
    0xffa00d2e,
    0xffb70d2f,
    0xffb91732,
    0xffaf507f,
    0xffdfcbfc,
    0xffbfd4f3,
    0xffbcd9f0,
    0xffc1d3fa,
    0xffbdd3f7,
    0xffb2dbea,
    0xffb8d6f4,
    0xffbcd6f4,
    0xffbbd6f3,
    0xffbbd9f5,
    0xffbadaf7,
    0xffbbd8f9,
    0xffc2d5fe,
    0xffbecbf8,
    0xff717292,
    0xff473d4c,
    0xff402d3c,
    0xff3c2a52,
    0xff817bb5,
    0xffd1deff,
    0xffbfd8f9,
    0xffc0daf9,
    0xffc1d9fd,
    0xffc3dbff,
    0xffc2d8fe,
    0xffbfd5fd,
    0xffc0d6fb,
    0xffc0d7fc,
    0xffbed6fb,
    0xffc0d7fa,
    0xffbcd7f4,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbdd7f6,
    0xffbcd8f5,
    0xffbcd7f6,
    0xffbed6fa,
    0xffc2d5f7,
    0xffd8d1f5,
    0xffbb81aa,
    0xff95204f,
    0xff910029,
    0xffa70528,
    0xffaa0023,
    0xffa80020,
    0xffa2001d,
    0xffa9001c,
    0xffb60320,
    0xffb5031f,
    0xffa30019,
    0xffa2144a,
    0xffbc608c,
    0xffd9bada,
    0xffd2dbfb,
    0xffc1d9fe,
    0xffc8d5ff,
    0xffd1c5f9,
    0xffb990c6,
    0xff903d51,
    0xff894755,
    0xffcdaec4,
    0xffd3d2fa,
    0xffb5ccfc,
    0xffb4d8ff,
    0xffbad8f1,
    0xffbdd5ea,
    0xffbdd7f5,
    0xffbbd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbad8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad8f6,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbed9f7,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbad5f3,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbfdaf8,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f5,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbad7f7,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb8d5f5,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbad7f5,
    0xffb8d5f3,
    0xffb7d4f2,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffbad7f5,
    0xffb9d8f7,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb5d4f2,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb8d7f5,
    0xffb7d5f8,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d5f7,
    0xffb8d6f8,
    0xffb5d3f5,
    0xffb8d6f8,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb3d1f3,
    0xffb2d0f2,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb4d1f3,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb2d3f3,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb2d3f3,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb0d2f4,
    0xffb1d2f4,
    0xffb0d1f4,
    0xffb2d3f6,
    0xffb2d3f5,
    0xffafcef5,
    0xffafcff5,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffafcff5,
    0xffb1d3f9,
    0xffadcff5,
    0xffaed0f6,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffa9ccf2,
    0xffaacdf3,
    0xffa8cbf1,
    0xffaacdf2,
    0xffa9ccf2,
    0xffa9ccf1,
    0xffa7caf2,
    0xffa7caf2,
    0xffa7caf5,
    0xffa8cbf5,
    0xffa7caf4,
    0xffa8cbf4,
    0xffa7c9f7,
    0xffa8caf7,
    0xffa5c7f4,
    0xffa8caf7,
    0xffa7c9f6,
    0xffa8caf7,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa8caf7,
    0xffa7c9f6,
    0xffa5c7f4,
    0xffa4c6f3,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa6c7f5,
    0xffa3c7f3,
    0xffa2c8f5,
    0xffa0c6f3,
    0xffa2c6f3,
    0xffa0c5f2,
    0xffa0c6f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa5c7f4,
    0xffa1c5f6,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa1c5f5,
    0xffa1c5f5,
    0xffa0c4f4,
    0xff9fc3f3,
    0xff9ec2f2,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9dc1f1,
    0xff9ec1f1,
    0xff9cc3f4,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9bc1f2,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc2f2,
    0xff9abff4,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff9bc0f3,
    0xff9abff3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff99bef3,
    0xff99bef2,
    0xff99bef3,
    0xff9bc0f5,
    0xff99bef2,
    0xff97bcf1,
    0xff98bdf1,
    0xff98bdf1,
    0xff98bdf2,
    0xff95bdf6,
    0xff93baf3,
    0xff94bbf4,
    0xff93baf3,
    0xff93baf3,
    0xff93baf3,
    0xff94bbf4,
    0xff93baf3,
    0xff94bbf2,
    0xff90baf3,
    0xff92bced,
    0xff92bde6,
    0xff93bdf2,
    0xff91b5f4,
    0xff93b9d5,
    0xff638e77,
    0xff284a3d,
    0xff507d8f,
    0xff5695af,
    0xff7fbeea,
    0xff95ccfb,
    0xff95c4f2,
    0xff9ac7ff,
    0xff96c6ff,
    0xff9bc7ff,
    0xff729db7,
    0xff54836c,
    0xff2b5d2d,
    0xff367045,
    0xff165348,
    0xff2e6a83,
    0xff2a6193,
    0xff2d5d89,
    0xff4e7d8d,
    0xff103b32,
    0xff143a2b,
    0xff0f3030,
    0xff00151c,
    0xff183b20,
    0xff4c7928,
    0xff205710,
    0xff3a6e47,
    0xff0f4f46,
    0xff4895b1,
    0xff2f77a1,
    0xff2b6359,
    0xff4d7a3c,
    0xff3e662e,
    0xff1b5323,
    0xff447e72,
    0xff4074a1,
    0xff6491e2,
    0xff416ba9,
    0xff143b4e,
    0xff305550,
    0xff1a3c3a,
    0xff244757,
    0xff0a2c2b,
    0xff06271e,
    0xff082d2f,
    0xff1f4d59,
    0xff4a7f84,
    0xff235853,
    0xff5d8e86,
    0xff437463,
    0xff557f94,
    0xff376767,
    0xff175233,
    0xff1a574c,
    0xff6098c1,
    0xff84b9e3,
    0xff346c55,
    0xff49724c,
    0xff2d5546,
    0xff355e5b,
    0xff173b3b,
    0xff06212b,
    0xff05202d,
    0xff183854,
    0xff02255b,
    0xff14437f,
    0xff012765,
    0xff083556,
    0xff00192c,
    0xff18434b,
    0xff183d35,
    0xff46685c,
    0xff183b19,
    0xff002d12,
    0xff143b32,
    0xff0e2634,
    0xff001110,
    0xff4f684a,
    0xff24463d,
    0xff093053,
    0xff497aa5,
    0xff6ca1eb,
    0xff477ed1,
    0xff5189df,
    0xff346bb9,
    0xff1d5198,
    0xff5589d0,
    0xff4780c2,
    0xff0c4785,
    0xff609be2,
    0xff4477cd,
    0xff6b9eee,
    0xff3367bb,
    0xff356dbe,
    0xff1d5aa0,
    0xff5b94e5,
    0xff467dd0,
    0xff487ae2,
    0xff2f5bbd,
    0xff1d487b,
    0xff00152e,
    0xff3f5985,
    0xff2d4c72,
    0xff0e3a50,
    0xff124766,
    0xff5990b8,
    0xff32629b,
    0xff0e396e,
    0xff44638a,
    0xff626c77,
    0xff697244,
    0xff818840,
    0xff5e5a2d,
    0xff3f5031,
    0xff75999e,
    0xff608cc1,
    0xff4776be,
    0xff3f6884,
    0xff365a41,
    0xff274e4b,
    0xff1a3b72,
    0xff5a87d5,
    0xff3c639b,
    0xff6092bb,
    0xff356a92,
    0xff0f335f,
    0xff356196,
    0xff2d4c84,
    0xff60507f,
    0xff47374c,
    0xff3b3a4f,
    0xff54364a,
    0xff732328,
    0xffa63e29,
    0xffad3b16,
    0xffb1390c,
    0xffba4613,
    0xffc84725,
    0xffc54531,
    0xffa62b26,
    0xff7f0400,
    0xff8c2b13,
    0xff6e191b,
    0xff81202d,
    0xff732c0c,
    0xff6c311d,
    0xff662121,
    0xff5c1827,
    0xff421525,
    0xff1d181b,
    0xff0e241a,
    0xff042119,
    0xff071b18,
    0xff0e1513,
    0xff0b1510,
    0xff041308,
    0xff001100,
    0xff001204,
    0xff000f07,
    0xff000e0f,
    0xff031416,
    0xff2b4b28,
    0xff295026,
    0xff2c5228,
    0xff274924,
    0xff284f2b,
    0xff194323,
    0xff224024,
    0xff2a371e,
    0xff0b2400,
    0xff281100,
    0xffad645a,
    0xff99332e,
    0xff81070b,
    0xffb2353a,
    0xffb85b4b,
    0xff3d0e00,
    0xff2e1713,
    0xff10171a,
    0xff00130d,
    0xff0a130d,
    0xff0d0619,
    0xff080e1e,
    0xff001008,
    0xff071108,
    0xff130000,
    0xff71595f,
    0xff422d39,
    0xff514c55,
    0xff061413,
    0xff172b25,
    0xff3c4540,
    0xff100c0b,
    0xffbb75b6,
    0xffced2fa,
    0xffb0d8f4,
    0xffb3cef1,
    0xffb7cff5,
    0xffb4cff3,
    0xffb6cdf6,
    0xffb6cef6,
    0xffb7d2f5,
    0xffb7d1f4,
    0xffb6d0f3,
    0xffb3cdf0,
    0xffb7d1f4,
    0xffb7d1f4,
    0xffb6d0f3,
    0xffb8d2f5,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffbad3f7,
    0xffbbd2f7,
    0xffb9d1f6,
    0xffbbd2f4,
    0xffbad4f5,
    0xffbcd5f6,
    0xffbdd4f3,
    0xffbad9fa,
    0xffb4d4fa,
    0xffc4d8fe,
    0xffa19ec3,
    0xff604d6c,
    0xff5c4a5e,
    0xff453544,
    0xff3b1c2a,
    0xff4d1225,
    0xff6e1830,
    0xff7a112c,
    0xff7e112f,
    0xff8c112f,
    0xffa50e32,
    0xffba0f36,
    0xff9e1a48,
    0xffc89ec8,
    0xffc7d2f9,
    0xffc3d6f4,
    0xffb6d7f0,
    0xffb9d5fc,
    0xffc1d3fd,
    0xffbbd8f3,
    0xffb9d7f4,
    0xffbed9f7,
    0xffbfd9f6,
    0xffb7d6f2,
    0xffb5d4f0,
    0xffbcd5f6,
    0xffc8d9ff,
    0xff9da2d2,
    0xff55466a,
    0xff423148,
    0xff3d2b3a,
    0xff3b2c42,
    0xff3e355d,
    0xffb1b3e3,
    0xffaab7e7,
    0xff9fb0de,
    0xff9cb2d9,
    0xff9db3dc,
    0xffa5b8e3,
    0xffacbfea,
    0xffbaccf9,
    0xffc0d4ff,
    0xffc7dcff,
    0xffbfd6fc,
    0xffbcd6f5,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbed8f6,
    0xffbad5f4,
    0xffc0d5f7,
    0xffc0d3fa,
    0xffcad1f7,
    0xffcf9cc8,
    0xff800032,
    0xffa9002a,
    0xffaf0022,
    0xffaf051f,
    0xffba0022,
    0xffc10026,
    0xffba0223,
    0xffb1051c,
    0xffb50318,
    0xffb50017,
    0xffb8051f,
    0xffa80010,
    0xff9f0016,
    0xff981c3f,
    0xffd18fc0,
    0xffdac4fa,
    0xffcab6e0,
    0xffac7b88,
    0xff93453c,
    0xffb04436,
    0xffa73c30,
    0xff993f39,
    0xffb6878b,
    0xffd7d3ef,
    0xffbfd3fe,
    0xffbad8fa,
    0xffbcdaea,
    0xffbbd6f5,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbed9f7,
    0xffbfdaf8,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbad8f6,
    0xffbad8f6,
    0xffbad8f6,
    0xffbad8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbbd6f4,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbbd6f4,
    0xffbbd7f5,
    0xffbbd6f4,
    0xffbcd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbed8f6,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f8,
    0xffbad7f7,
    0xffbad7f7,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbad7f7,
    0xffbad7f7,
    0xffb9d6f6,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbad7f7,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbbd8f8,
    0xffbad7f7,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbad7f5,
    0xffbad7f5,
    0xffb8d5f3,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffb8d5f3,
    0xffb9d9f8,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb9d6f9,
    0xffb8d6f9,
    0xffb8d7f5,
    0xffb8d7f6,
    0xffb4d3f2,
    0xffb5d4f3,
    0xffb5d5f3,
    0xffb5d5f3,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb5d3f6,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb4d2f5,
    0xffb5d3f6,
    0xffb5d3f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d2f5,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb1d2f3,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f5,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb2d2f8,
    0xffb2d2f8,
    0xffb0d0f6,
    0xffafcff5,
    0xffafcff5,
    0xffb1d3f9,
    0xffaed0f6,
    0xffaed0f6,
    0xffaed0f6,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaed0f6,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffabcdf3,
    0xffabcdf3,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffaccef4,
    0xffaccef4,
    0xffaacef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffa9ccf2,
    0xffaacdf3,
    0xffa9ccf2,
    0xffaacdf3,
    0xffa9ccf2,
    0xffa8cbf3,
    0xffa8cbf3,
    0xffa8cbf2,
    0xffa8cbf5,
    0xffa8cbf5,
    0xffa8cbf5,
    0xffa8cbf5,
    0xffa8cbf5,
    0xffa5c7f5,
    0xffa8c9f7,
    0xffa8caf7,
    0xffa8caf7,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa5c9f5,
    0xffa4caf7,
    0xffa1c7f4,
    0xffa2c8f5,
    0xffa3c8f5,
    0xffa3c4f3,
    0xffa3c5f3,
    0xffa4c3f3,
    0xffa4c4f3,
    0xffa3c4f1,
    0xffa4c5f2,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa0c6f2,
    0xffa1c4f5,
    0xffa2c6f6,
    0xff9fc3f3,
    0xffa0c4f4,
    0xff9fc3f3,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9dc1f1,
    0xff9ec4f5,
    0xff9cc2f3,
    0xff9ec4f5,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9ec4f5,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9cc2f3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f5,
    0xff9cc1f6,
    0xff9cc1f4,
    0xff9abff3,
    0xff9bc0f3,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f3,
    0xff9bc0f6,
    0xff9bc0f5,
    0xff9abff4,
    0xff97bcf1,
    0xff97bcf1,
    0xff97bcf1,
    0xff97bcf1,
    0xff98bcf1,
    0xff96bdf7,
    0xff94bbf4,
    0xff95bcf5,
    0xff94bbf4,
    0xff95bcf5,
    0xff95bcf5,
    0xff95bcf5,
    0xff95bcf5,
    0xff95bcf5,
    0xff93bcf2,
    0xff95bdf5,
    0xff94bef5,
    0xff97bfed,
    0xff6d94a5,
    0xff335b4c,
    0xff456b47,
    0xff4c6a41,
    0xff0c2e1b,
    0xff2c5c54,
    0xff2b6176,
    0xff4b81a5,
    0xff578eb6,
    0xff4e83c5,
    0xff3a70b5,
    0xff407299,
    0xff709ca4,
    0xff658f74,
    0xff58875b,
    0xff205631,
    0xff205b50,
    0xff437f8e,
    0xff356d8b,
    0xff336a86,
    0xff33657d,
    0xff154441,
    0xff1e4833,
    0xff163a31,
    0xff082921,
    0xff345c36,
    0xff487734,
    0xff336835,
    0xff164429,
    0xff255a5f,
    0xff00405b,
    0xff145e62,
    0xff599567,
    0xff517e3d,
    0xff355b30,
    0xff487c50,
    0xff467d60,
    0xff023732,
    0xff002c36,
    0xff154140,
    0xff0b3224,
    0xff0b2f24,
    0xff14393a,
    0xff093238,
    0xff11332e,
    0xff253d37,
    0xff07201c,
    0xff082a1f,
    0xff123d1b,
    0xff225023,
    0xff174319,
    0xff417044,
    0xff416a4f,
    0xff376238,
    0xff39663b,
    0xff2e5e3e,
    0xff21533e,
    0xff3c6b5d,
    0xff326133,
    0xff2b411d,
    0xff162e24,
    0xff193a33,
    0xff1b3e34,
    0xff072425,
    0xff001d24,
    0xff073148,
    0xff0b3b78,
    0xff4774ca,
    0xff4b72d9,
    0xff143b98,
    0xff0e3180,
    0xff335a77,
    0xff416e58,
    0xff154128,
    0xff113b23,
    0xff00281f,
    0xff001a28,
    0xff082126,
    0xff466146,
    0xff33543e,
    0xff183e61,
    0xff4675c5,
    0xff255fb3,
    0xff649ffc,
    0xff467ed3,
    0xff1b4d9e,
    0xff4278c8,
    0xff3d78c6,
    0xff1b589c,
    0xff296099,
    0xff1e4f85,
    0xff00387c,
    0xff487dce,
    0xff2759a3,
    0xff3c6ec7,
    0xff5489e5,
    0xff417bd0,
    0xff5e96f7,
    0xff5892e8,
    0xff4a81d3,
    0xff3968ae,
    0xff4a6f81,
    0xff213930,
    0xff020e1c,
    0xff1f2c3b,
    0xff2c4c4b,
    0xff0f3742,
    0xff01283c,
    0xff244973,
    0xff364e7a,
    0xff313d46,
    0xff7e885c,
    0xff707327,
    0xff4c4a0a,
    0xff40451f,
    0xff4e5c28,
    0xff394d2d,
    0xff1f3f42,
    0xff49606a,
    0xff526159,
    0xff304333,
    0xff254050,
    0xff2d569e,
    0xff2b6fc4,
    0xff66a5f4,
    0xff458cda,
    0xff5a99e3,
    0xff5481d0,
    0xff245ab1,
    0xff7991de,
    0xff884a81,
    0xff7a345b,
    0xff904c79,
    0xff7c2c52,
    0xff95404d,
    0xff8e3d32,
    0xff9b3424,
    0xffb43418,
    0xffc44a14,
    0xffa6420c,
    0xffa73d0f,
    0xffcb5e2f,
    0xffd85927,
    0xffc04f23,
    0xffae4c3b,
    0xff750a13,
    0xff5c1212,
    0xff693e44,
    0xff634650,
    0xff52454f,
    0xff6d6e74,
    0xff1d2223,
    0xff0b1710,
    0xff02170e,
    0xff011c14,
    0xff000e0c,
    0xff061813,
    0xff041b11,
    0xff022012,
    0xff062617,
    0xff042216,
    0xff0a2725,
    0xff193237,
    0xff27452a,
    0xff2a5326,
    0xff224d15,
    0xff274a1b,
    0xff214121,
    0xff1b391e,
    0xff1e280a,
    0xff3a2b09,
    0xff704231,
    0xffa24a45,
    0xffa33034,
    0xff7c1112,
    0xff831e17,
    0xffa53a2c,
    0xffc36559,
    0xff9e5d4f,
    0xff150900,
    0xff000901,
    0xff001007,
    0xff000600,
    0xff080e13,
    0xff000b10,
    0xff000200,
    0xff2b0d05,
    0xff6f2825,
    0xff774342,
    0xff4a3334,
    0xff524d50,
    0xff424345,
    0xff393e3b,
    0xff081310,
    0xff13221e,
    0xff750b53,
    0xffcdb9e6,
    0xffb3d5f3,
    0xffb5d2f4,
    0xffb8cff5,
    0xffb5cff7,
    0xffb7cef8,
    0xffb6cff8,
    0xffb7d1f3,
    0xffb7d2f5,
    0xffb8d2f5,
    0xffb8d2f5,
    0xffb7d1f4,
    0xffb8d2f5,
    0xffb8d2f5,
    0xffbad4f8,
    0xffb7d5f5,
    0xffb7d4f7,
    0xffb9d4f6,
    0xffbbd3f7,
    0xffb9d1f5,
    0xffbad2f4,
    0xffbbd4f6,
    0xffb9d6f6,
    0xffbdd1f1,
    0xffb7d6f7,
    0xffb5d6fd,
    0xffc0d4fa,
    0xff807da1,
    0xff634e6b,
    0xff5d465b,
    0xff453645,
    0xff3c1d2c,
    0xff521428,
    0xff73162f,
    0xff801631,
    0xff7d0f2e,
    0xff8f1434,
    0xffac1338,
    0xffb70f38,
    0xffbb5b96,
    0xffd7d3f8,
    0xffbbd8f6,
    0xffc1d3f7,
    0xffb2d4f7,
    0xffb4d9fc,
    0xffc5d2fd,
    0xffc3d4f9,
    0xffbddaf9,
    0xffbbd6f4,
    0xffbcd7f4,
    0xffbbd9f1,
    0xffbcdaf5,
    0xffc0d6f9,
    0xffbdcbf5,
    0xff686997,
    0xff50384d,
    0xff402943,
    0xff3e2c44,
    0xff30223b,
    0xff615379,
    0xff938ac4,
    0xffacb1e4,
    0xffbecdf0,
    0xffbdd2fb,
    0xffbed1fc,
    0xffb8c9f7,
    0xffb2c3f1,
    0xffa2b1e2,
    0xff97a8d6,
    0xff99abd8,
    0xffb7ccf8,
    0xffc8e2ff,
    0xffbfd9f8,
    0xffbdd9f6,
    0xffbcd7f4,
    0xffbcd8f6,
    0xffbdd7f7,
    0xffbdd7f6,
    0xffbdd9f6,
    0xffb8d8fa,
    0xffc0d5fb,
    0xffc7d4fc,
    0xffdacff8,
    0xff8f406f,
    0xff8e0026,
    0xffaa0023,
    0xff950813,
    0xffa50417,
    0xffb6051f,
    0xffb1021c,
    0xffb3051a,
    0xffb50417,
    0xffbe0116,
    0xffca0c24,
    0xffb60519,
    0xffa60d25,
    0xffaf0e1b,
    0xffb51e1f,
    0xff972521,
    0xff984246,
    0xffa1474d,
    0xffa94137,
    0xffb24427,
    0xffa84323,
    0xffae3d1b,
    0xffcb5028,
    0xffb45b36,
    0xffcfa5a5,
    0xffd4d1fa,
    0xffbbd4ff,
    0xffb9d9f9,
    0xffbcd8f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd8f6,
    0xffbcd8f6,
    0xffbcd8f6,
    0xffbcd8f6,
    0xffbcd8f6,
    0xffbcd8f6,
    0xffbcd8f6,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbdd9f7,
    0xffbed9f7,
    0xffbdd9f7,
    0xffbed9f7,
    0xffbcd8f5,
    0xffbdd8f6,
    0xffbcd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd7f5,
    0xffbdd7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd8f5,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbbd7f5,
    0xffbed6f6,
    0xffbed6f6,
    0xffbed7f6,
    0xffbdd6f5,
    0xffbfd7f6,
    0xffbed7f6,
    0xffbed6f6,
    0xffbcd5f4,
    0xffbcd8f5,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd9f7,
    0xffbdd9f7,
    0xffbdd9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd8f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f6,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbad7f7,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffbbd9f9,
    0xffbbd9f9,
    0xffbbd8f8,
    0xffbad7f7,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbbd8f5,
    0xffbbd8f6,
    0xffb8d5f3,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad8f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbad9f9,
    0xffb7d6f5,
    0xffb7d6f6,
    0xffb8d7f7,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb9d8f7,
    0xffb8d7f6,
    0xffb8d7f8,
    0xffb8d6f8,
    0xffb7d5f7,
    0xffb7d6f5,
    0xffb6d5f5,
    0xffb6d5f2,
    0xffb5d5f1,
    0xffb5d5f2,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb7d5f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb7d4f7,
    0xffb6d4f7,
    0xffb7d4f7,
    0xffb4d3f2,
    0xffb6d5f3,
    0xffb7d6f5,
    0xffb7d6f4,
    0xffb6d5f4,
    0xffb5d5f3,
    0xffb5d4f2,
    0xffb5d5f3,
    0xffb4d2f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d4f4,
    0xffb2d4f4,
    0xffb2d4f4,
    0xffb2d4f4,
    0xffb2d4f5,
    0xffb3d5f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb1d3f4,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb1d3f3,
    0xffb2d3f7,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d1f8,
    0xffb2d2f8,
    0xffb2d2f8,
    0xffb1d1f8,
    0xffb4d4fa,
    0xffb1d1f7,
    0xffafcff5,
    0xffafcff5,
    0xffaed1f7,
    0xffafd1f7,
    0xffb0d3f9,
    0xffafd1f7,
    0xffaed0f6,
    0xffaed0f6,
    0xffafd1f7,
    0xffafd1f7,
    0xffadcff6,
    0xffaed0f6,
    0xffaed0f6,
    0xffaed0f6,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffaed0f5,
    0xffaed0f5,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffabcef3,
    0xffaccef3,
    0xffaacef3,
    0xffabcef3,
    0xffaacef3,
    0xffaacef3,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffaacdf5,
    0xffaacdf6,
    0xffaacdf6,
    0xffaacdf6,
    0xffa9ccf6,
    0xffa9ccf7,
    0xffa8cbf6,
    0xffa9cbf8,
    0xffa9cbf7,
    0xffa9cbf8,
    0xffa7c9f7,
    0xffa8caf7,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f5,
    0xffa7c8f6,
    0xffa7c8f6,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa7c9f6,
    0xffa5c8f4,
    0xffa3c9f6,
    0xffa1c7f4,
    0xffa4caf7,
    0xffa5caf7,
    0xffa6c7f6,
    0xffa6c8f6,
    0xffa7c6f6,
    0xffa7c7f6,
    0xffa3c4f1,
    0xffa3c4f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c3f1,
    0xffa1c6f3,
    0xffa1c4f5,
    0xffa0c4f4,
    0xffa1c5f5,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa2c6f6,
    0xffa0c4f4,
    0xffa0c4f5,
    0xffa0c3f4,
    0xff9fc3f4,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c4f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc2f2,
    0xff9ec4f5,
    0xff9cc2f3,
    0xff9ec4f5,
    0xff9ec4f5,
    0xff9cc2f3,
    0xff9cc3f4,
    0xff9cc3f4,
    0xff9cc3f4,
    0xff9cc2f0,
    0xff9cc3f4,
    0xff9cc3f4,
    0xff9cc3f4,
    0xff9cc3f3,
    0xff9dc2f6,
    0xff9bc0f5,
    0xff9abff3,
    0xff9dc2f7,
    0xff9dc2f7,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f6,
    0xff98bdf3,
    0xff9abff4,
    0xff99bef3,
    0xff98bdf3,
    0xff99bef3,
    0xff98bdf3,
    0xff99bdf2,
    0xff97bef7,
    0xff95bcf5,
    0xff96bdf6,
    0xff96bdf6,
    0xff95bdf6,
    0xff95bdf5,
    0xff94bbf4,
    0xff94bbf5,
    0xff94bbf2,
    0xff92bbed,
    0xff93bcf8,
    0xff91b7ff,
    0xff9bc3eb,
    0xff537f67,
    0xff4b7442,
    0xff51764e,
    0xff427142,
    0xff4f7b4c,
    0xff1e4d14,
    0xff1c4924,
    0xff528969,
    0xff367052,
    0xff3f746f,
    0xff063934,
    0xff4b7e51,
    0xff5b864f,
    0xff6d9150,
    0xff4f7335,
    0xff517c49,
    0xff41744b,
    0xff2a613c,
    0xff1d562d,
    0xff195840,
    0xff386d79,
    0xff315e6d,
    0xff2b534e,
    0xff12392b,
    0xff143c1e,
    0xff3e6937,
    0xff2c5928,
    0xff295d34,
    0xff477259,
    0xff2f5b63,
    0xff1e576d,
    0xff559489,
    0xff235923,
    0xff497739,
    0xff1d481e,
    0xff2a5e3a,
    0xff30615a,
    0xff1d4c59,
    0xff08343a,
    0xff001d22,
    0xff012029,
    0xff042028,
    0xff204041,
    0xff204f3a,
    0xff0d3024,
    0xff0e2326,
    0xff23303e,
    0xff071c1e,
    0xff00180c,
    0xff19362b,
    0xff1b3633,
    0xff2f5635,
    0xff0b2e16,
    0xff1e3e20,
    0xff203e30,
    0xff183629,
    0xff163920,
    0xff173430,
    0xff27423a,
    0xff2e4539,
    0xff001519,
    0xff00282a,
    0xff0e3037,
    0xff041f42,
    0xff1d3e70,
    0xff002e61,
    0xff194f9c,
    0xff2b72c4,
    0xff1d65bb,
    0xff4c92db,
    0xff80beff,
    0xff4c82a9,
    0xff133e38,
    0xff08211f,
    0xff07161a,
    0xff061b1d,
    0xff01153d,
    0xff001034,
    0xff0a2d38,
    0xff103649,
    0xff44719d,
    0xff13458b,
    0xff245ab4,
    0xff2663c0,
    0xff5f95e2,
    0xff0e3c86,
    0xff3163bf,
    0xff356dce,
    0xff2f6abb,
    0xff2a5a9b,
    0xff264b8a,
    0xff4179be,
    0xff6b9fee,
    0xff5485c8,
    0xff2a5db1,
    0xff4377d6,
    0xff5e97ec,
    0xff5591ea,
    0xff71adf5,
    0xff4786b4,
    0xff5994b7,
    0xff4b7f91,
    0xff1d4549,
    0xff2d4a4c,
    0xff051e28,
    0xff001122,
    0xff103049,
    0xff254060,
    0xff41627a,
    0xff435954,
    0xff586d2b,
    0xff647b19,
    0xff5f652c,
    0xff303315,
    0xff3d5d23,
    0xff304629,
    0xff4a5d40,
    0xff355938,
    0xff37481a,
    0xff53573e,
    0xff394b52,
    0xff001731,
    0xff0b4a86,
    0xff6aa3f5,
    0xff6d9cfb,
    0xff5e99fc,
    0xff6698f6,
    0xff6388ea,
    0xff4a83e6,
    0xff5060ad,
    0xff842f5a,
    0xff68233c,
    0xff834763,
    0xff5f2839,
    0xff61403a,
    0xff443829,
    0xff4b2019,
    0xff842815,
    0xffb64518,
    0xffd2591b,
    0xffcd5d1c,
    0xffcd6f25,
    0xffd16024,
    0xffd66634,
    0xffaf511b,
    0xffae5342,
    0xff936483,
    0xff9282a8,
    0xff5e5464,
    0xff393a2c,
    0xff3b4727,
    0xff37472a,
    0xff121e10,
    0xff07120c,
    0xff030e0a,
    0xff001004,
    0xff021e0c,
    0xff001100,
    0xff10321c,
    0xff183c1f,
    0xff153516,
    0xff021e00,
    0xff031907,
    0xff00140a,
    0xff1a4123,
    0xff163f13,
    0xff233d1d,
    0xff061a0d,
    0xff05150e,
    0xff070000,
    0xffbb8a79,
    0xffc05955,
    0xffbe4948,
    0xff830f10,
    0xff73060d,
    0xff8f181a,
    0xffc64d47,
    0xffaf655e,
    0xff080000,
    0xff000300,
    0xff5e5c5d,
    0xff3d2021,
    0xff703529,
    0xff501b04,
    0xff522b15,
    0xff803f36,
    0xffbf4e5b,
    0xff9b2e29,
    0xff7b372f,
    0xffc7b1a8,
    0xff1b1814,
    0xff494244,
    0xff130b11,
    0xff000809,
    0xff001611,
    0xff61002b,
    0xff6a2763,
    0xffc5c8f7,
    0xffb2d7f7,
    0xffb1d3f2,
    0xffb1d1f9,
    0xffb4d0f6,
    0xffc0c8ed,
    0xffbbd1f5,
    0xffb8d0f4,
    0xffbad1f6,
    0xffbad2f6,
    0xffb9d3f6,
    0xffb9d2f6,
    0xffb9d3f6,
    0xffbbd5f7,
    0xffbbd5f2,
    0xffbad6f7,
    0xffb6d4fa,
    0xffb7d3fa,
    0xffbcd4f8,
    0xffbdd5f4,
    0xffbbd5f2,
    0xffb7d4f2,
    0xffbdd5f4,
    0xffb9d7fb,
    0xffb8d4ff,
    0xffc1cffa,
    0xff787195,
    0xff66536e,
    0xff584255,
    0xff463646,
    0xff371b31,
    0xff691028,
    0xff7d162a,
    0xff791631,
    0xff7b183c,
    0xff8e1136,
    0xffae0f36,
    0xff9f1c3f,
    0xffe0b4eb,
    0xffcacff8,
    0xffb3daf6,
    0xffb3daf9,
    0xffb9d8fc,
    0xffb8d7f7,
    0xffbcd8f2,
    0xffc1d6ec,
    0xffb5d7e8,
    0xffbbd5ef,
    0xffc1dbf4,
    0xffbed7ec,
    0xffccd7fb,
    0xffcdd7ff,
    0xff828bb8,
    0xff46475f,
    0xff463141,
    0xff382a4a,
    0xff625a8a,
    0xff5b4c84,
    0xffe5deff,
    0xffd2e1ff,
    0xffbed9f1,
    0xffc5dcf6,
    0xffc1d8ff,
    0xffbfd4ff,
    0xffc4dcff,
    0xffb4cdf4,
    0xffc7e1ff,
    0xffcbe3ff,
    0xffbbcbff,
    0xff9da9e6,
    0xff6c81b1,
    0xffbecdf9,
    0xffc2dcff,
    0xffc5d9fc,
    0xffbdd7fa,
    0xffbcd4f8,
    0xffc6d0f7,
    0xffb5def6,
    0xffbbd8f9,
    0xffbcdafe,
    0xffc6d6ff,
    0xffe0d1fd,
    0xff845c85,
    0xffc38aac,
    0xffdd8aab,
    0xff8f2249,
    0xff750728,
    0xff81041d,
    0xff7c0912,
    0xff850f15,
    0xff9c0519,
    0xffac0d24,
    0xffa5111f,
    0xffa8131a,
    0xffa1151d,
    0xffa21c1e,
    0xffb4372b,
    0xffba4731,
    0xffbd4e2f,
    0xffbd4d2b,
    0xffc34f2b,
    0xffc7532b,
    0xffbe5120,
    0xffb84e2b,
    0xffc14f24,
    0xffc75b2f,
    0xffda9b97,
    0xffd1d5ec,
    0xffb7d9f3,
    0xffc1d6f6,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbed6f5,
    0xffbdd6f5,
    0xffbed7f6,
    0xffbfd8f7,
    0xffbfd7f7,
    0xffbfd7f7,
    0xffbfd7f7,
    0xffbfd7f7,
    0xffbed7f6,
    0xffbed6f5,
    0xffbcd5f4,
    0xffbed7f6,
    0xffbcd5f4,
    0xffbcd7f5,
    0xffbfdaf8,
    0xffbcd7f5,
    0xffbdd7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbcd5f4,
    0xffbed6f6,
    0xffbfd7f6,
    0xffbdd6f5,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbcd9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbfd7f7,
    0xffbfd7f7,
    0xffbfd8f7,
    0xffbdd6f5,
    0xffbdd6f4,
    0xffbfd8f6,
    0xffbfd7f5,
    0xffbfd7f5,
    0xffbfd7f5,
    0xffbfd7f5,
    0xffbfd7f5,
    0xffbfd8f5,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f6,
    0xffbcd7f4,
    0xffbfdaf7,
    0xffbcd7f4,
    0xffbed9f6,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f6,
    0xffbed9f5,
    0xffbdd9f5,
    0xffbbdaf7,
    0xffbadaf7,
    0xffbadaf7,
    0xffbadaf7,
    0xffbadaf7,
    0xffbadaf6,
    0xffbadaf6,
    0xffbadaf6,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbddaf8,
    0xffbddaf7,
    0xffbcd9f7,
    0xffbcd9f6,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd7f5,
    0xffb8d7f4,
    0xffb8d8f4,
    0xffbad7f5,
    0xffb9d6f4,
    0xffbad8f6,
    0xffbdd8f6,
    0xffbcd6f4,
    0xffbad5f3,
    0xffb7d9f4,
    0xffb6d9f5,
    0xffb8d6f3,
    0xffb7d6f2,
    0xffb7d6f3,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb7d4f2,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb5d2f0,
    0xffb6d2f1,
    0xffb7d4f2,
    0xffb7d4f2,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb7d6f5,
    0xffb6d5f3,
    0xffb6d5f3,
    0xffb7d6f4,
    0xffb7d6f4,
    0xffb6d3f3,
    0xffb6d3f3,
    0xffb7d6f5,
    0xffb7d6f4,
    0xffb7d6f4,
    0xffb7d6f4,
    0xffb8d7f5,
    0xffb5d7f5,
    0xffb4d3f2,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb6d6f5,
    0xffb8d4f5,
    0xffbad6f6,
    0xffb5d2f2,
    0xffb5d5f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb2d0f2,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d2f4,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb3d0f3,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb1d2f3,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb1d2f5,
    0xffb2d3f5,
    0xffb2d3f5,
    0xffb2d3f5,
    0xffb1d2f5,
    0xffb2d3f5,
    0xffb2d3f6,
    0xffb2d3f5,
    0xffb2d1f8,
    0xffb2d1f8,
    0xffb2d1f8,
    0xffb2d2f8,
    0xffb1d0f7,
    0xffb1d1f7,
    0xffb0cff6,
    0xffafcff5,
    0xffaccff3,
    0xffadcff4,
    0xffaed0f4,
    0xffaccef2,
    0xffabcdf2,
    0xffaccef4,
    0xffaccef4,
    0xffaccff4,
    0xffadcdf7,
    0xffabccf6,
    0xffaccdf7,
    0xffadcef7,
    0xffaccdf6,
    0xffaccdf6,
    0xffabccf6,
    0xffaacbf4,
    0xffaacbf5,
    0xffaacbf5,
    0xffacccf6,
    0xffacccf6,
    0xffaccef3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcef3,
    0xffabcef3,
    0xffabcef3,
    0xffabcef3,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf4,
    0xffa9ccf3,
    0xffa8cbf2,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffa8cbf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa9ccf5,
    0xffa6c9f3,
    0xffa6caf3,
    0xffa6caf3,
    0xffa6c8f6,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa6c8f5,
    0xffa8c9f7,
    0xffa5c9f3,
    0xffa5c7f4,
    0xffa4c6f3,
    0xffa4c6f3,
    0xffa7c9f6,
    0xffa7c9f7,
    0xffa7c9f7,
    0xffa7c9f7,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa2c7f4,
    0xff9fc5f2,
    0xff9ec4f1,
    0xff9fc3f0,
    0xff9fc5f2,
    0xff9fc5f2,
    0xff9fc4f1,
    0xffa0c5f2,
    0xffa0c5f2,
    0xff9fc5f1,
    0xffa2c7f3,
    0xff9fc4f0,
    0xff9ec3f0,
    0xffa0c5f2,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f6,
    0xffa0c4f6,
    0xffa1c5f7,
    0xffa1c5f7,
    0xffa0c4f7,
    0xff9fc3f6,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9fc2f4,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec1f3,
    0xff9dc1f3,
    0xff9ec1f3,
    0xff9fc3f5,
    0xff9ec1f3,
    0xff9ec1f4,
    0xff9ec1f4,
    0xff9ec1f4,
    0xff9ec2f3,
    0xff9ec2f3,
    0xff9ec2f3,
    0xff9ec3f7,
    0xff9bc0f4,
    0xff9abff3,
    0xff9cc1f5,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff99bef2,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff99bef2,
    0xff98bdf1,
    0xff9abff3,
    0xff99bef2,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f5,
    0xff97bcf1,
    0xff96baef,
    0xff97bcf1,
    0xff97bcf1,
    0xff99bef3,
    0xff96baf0,
    0xff97bcf1,
    0xff96bcec,
    0xff92bcf4,
    0xff8fbdf4,
    0xff93bcfb,
    0xffa1c2fc,
    0xff89acbb,
    0xff275245,
    0xff1c474a,
    0xff3f694e,
    0xff35642f,
    0xff558353,
    0xff336033,
    0xff55833d,
    0xff3f6c37,
    0xff1c4a38,
    0xff2f6443,
    0xff437638,
    0xff44672b,
    0xff4b6d29,
    0xff3d6619,
    0xff5b843e,
    0xff4b6e34,
    0xff3d6731,
    0xff3b703f,
    0xff336535,
    0xff295036,
    0xff26442f,
    0xff16351d,
    0xff072a17,
    0xff174121,
    0xff366133,
    0xff163e1a,
    0xff073913,
    0xff265a5b,
    0xff32686b,
    0xff2a6055,
    0xff396556,
    0xff3c6635,
    0xff538137,
    0xff244f24,
    0xff2a5633,
    0xff25564c,
    0xff245872,
    0xff15497a,
    0xff356396,
    0xff2d557f,
    0xff0b2d4b,
    0xff09283e,
    0xff073340,
    0xff27526e,
    0xff2e5b6a,
    0xff234b34,
    0xff264523,
    0xff20362a,
    0xff102426,
    0xff243d39,
    0xff112325,
    0xff031a0e,
    0xff001311,
    0xff082b31,
    0xff0e352f,
    0xff001e14,
    0xff001c29,
    0xff0a233d,
    0xff123034,
    0xff3e6b8a,
    0xff4e7a9e,
    0xff041d38,
    0xff021e48,
    0xff5186d9,
    0xff7abbff,
    0xff4375ca,
    0xff377bbe,
    0xff5090e1,
    0xff1c5793,
    0xff073a68,
    0xff10384f,
    0xff001e17,
    0xff011d1d,
    0xff001117,
    0xff000d25,
    0xff2e5b9c,
    0xff3169a4,
    0xff355f7b,
    0xff3d5550,
    0xff324e56,
    0xff567dc1,
    0xff71a3ef,
    0xff5689e6,
    0xff6698e2,
    0xff356eb0,
    0xff4887e7,
    0xff609de7,
    0xff2d57a6,
    0xff5e86d6,
    0xff063b85,
    0xff3e6ab9,
    0xff6f9fef,
    0xff649bdc,
    0xff1d549c,
    0xff6596ef,
    0xff3064a7,
    0xff18517c,
    0xff6099ca,
    0xff2a586a,
    0xff214a61,
    0xff1c4165,
    0xff1e4567,
    0xff0d3c55,
    0xff032f5b,
    0xff41659a,
    0xff052241,
    0xff061d2a,
    0xff28433d,
    0xff5c7048,
    0xff6d7a2c,
    0xff73771f,
    0xff676722,
    0xff3c410c,
    0xff45561d,
    0xff223401,
    0xff2c3304,
    0xff4c652d,
    0xff55682c,
    0xff2c4134,
    0xff0c2a4e,
    0xff758eb9,
    0xff0a2861,
    0xff5b8bed,
    0xff4b76c9,
    0xff4f7acc,
    0xff3661b9,
    0xff4971c5,
    0xff2658a7,
    0xff545b98,
    0xff93425e,
    0xff781c2d,
    0xff724b55,
    0xff6c6266,
    0xff3e3d37,
    0xff333229,
    0xff4c2525,
    0xff71190e,
    0xff9d340d,
    0xffc75e2a,
    0xffbc4a24,
    0xffb74c15,
    0xffad4416,
    0xffb03e1a,
    0xffb4472e,
    0xff9f5c6b,
    0xff615d6b,
    0xff382f1d,
    0xff513832,
    0xff483328,
    0xff414724,
    0xff34481f,
    0xff384a31,
    0xff152715,
    0xff3f583e,
    0xff1a351f,
    0xff325b36,
    0xff326531,
    0xff34602a,
    0xff3f6839,
    0xff316237,
    0xff2f5935,
    0xff3c5839,
    0xff343b25,
    0xff0a290e,
    0xff244530,
    0xff152119,
    0xff0e1f16,
    0xff072a17,
    0xff252212,
    0xffb56768,
    0xffb6433d,
    0xffad3b41,
    0xffa73843,
    0xff700004,
    0xffaf4335,
    0xffd27f6b,
    0xff451c15,
    0xff0f0810,
    0xff000907,
    0xff715d4f,
    0xff8f5446,
    0xff8f3e32,
    0xff9c4229,
    0xffa14e27,
    0xffa1584b,
    0xff9b5f75,
    0xff382221,
    0xff18110c,
    0xff858380,
    0xff2e282b,
    0xff403c44,
    0xff01090d,
    0xff0b1c1f,
    0xff1f2a2f,
    0xffc398ce,
    0xff947ab9,
    0xffa8a1db,
    0xffbfc9f2,
    0xffb7d2ef,
    0xffb3d4f7,
    0xffb5d3f8,
    0xffb7d2f3,
    0xffb7d2f6,
    0xffb8d2f7,
    0xffb9d3f5,
    0xffb9d2f6,
    0xffb7d4f6,
    0xffb6d4f6,
    0xffb5d2f4,
    0xffb6d4f5,
    0xffbbd5f3,
    0xffbad6f7,
    0xffb6d5f8,
    0xffb7d3f9,
    0xffbbd5f8,
    0xffbad3f4,
    0xffbad3f5,
    0xffb8d6f6,
    0xffbfdaf2,
    0xffbad9f7,
    0xffbbd7fc,
    0xffb7c4ed,
    0xff6c6588,
    0xff614e68,
    0xff5a455a,
    0xff483647,
    0xff402427,
    0xff5b111e,
    0xff77122a,
    0xff7e1530,
    0xff79182b,
    0xff90172d,
    0xffa41643,
    0xffb66499,
    0xffd9ceff,
    0xffc2d4fb,
    0xffbbdcf9,
    0xffc2d5fa,
    0xffc6d3fd,
    0xffbbd4fe,
    0xffb8d7fe,
    0xffc2d4fe,
    0xffccd5f7,
    0xffc9daff,
    0xffc4cfff,
    0xffcccdfd,
    0xffbfbeef,
    0xffada5de,
    0xff695887,
    0xff453147,
    0xff452937,
    0xff573b59,
    0xff715f89,
    0xff9896c3,
    0xffc8d8fd,
    0xffb9cef2,
    0xffcfe3ff,
    0xffc3d9ff,
    0xffc4e8ff,
    0xff97aed1,
    0xffb6c5e7,
    0xff92a5cd,
    0xff769ace,
    0xff84b1ed,
    0xff628ac8,
    0xff6e8ac8,
    0xff6d7bc4,
    0xffafa7e9,
    0xffa2a1db,
    0xffc6baea,
    0xffdfd7ff,
    0xffbcdcf6,
    0xffbee0fa,
    0xffc1dcf8,
    0xffc7d9ee,
    0xffc1d7f0,
    0xffd5dffe,
    0xffd1c1ec,
    0xffd8c3ec,
    0xffd2cef0,
    0xffcdd3f3,
    0xffd2d4f7,
    0xffd1c0ee,
    0xffd095cf,
    0xffb576aa,
    0xff8a5b7e,
    0xff7d3252,
    0xff7d1733,
    0xff771025,
    0xff711021,
    0xff78192b,
    0xff741121,
    0xff841a27,
    0xff9b2e32,
    0xffab3a38,
    0xffaf4236,
    0xffad4332,
    0xffb24935,
    0xffb7492a,
    0xffaf4e33,
    0xffb14e29,
    0xffc35b21,
    0xffbc7149,
    0xffd5c0d0,
    0xffc6d6ff,
    0xffc0d5f4,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed7f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbdd9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd7f5,
    0xffb9d7f5,
    0xffbad8f5,
    0xffbfd7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbed7f6,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed7f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd7f6,
    0xffbdd9f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbed9f6,
    0xffbcd7f4,
    0xffbfdaf7,
    0xffbcd7f4,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed8f5,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd9f7,
    0xffbcdaf8,
    0xffbedbf9,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffb9d9f5,
    0xffb9d9f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffb9d5f3,
    0xffb8daf6,
    0xffb6d9f5,
    0xffb9d8f5,
    0xffb9d8f5,
    0xffb6d5f2,
    0xffb7d4f2,
    0xffb7d4f2,
    0xffb7d4f2,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb8d7f7,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb7d3f3,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb2d4f3,
    0xffb5d4f2,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb7d7f6,
    0xffb5d4f3,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb3d1f3,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb0d2f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f3,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f5,
    0xffb2d3f5,
    0xffb2d3f5,
    0xffb2d3f5,
    0xffb1d2f5,
    0xffb0d2f4,
    0xffafd0f3,
    0xffaecff1,
    0xffafd1f7,
    0xffafd1f6,
    0xffafd1f6,
    0xffadcff4,
    0xffadcff4,
    0xffadcff5,
    0xffaed0f6,
    0xffaed0f5,
    0xffadcef7,
    0xffb0d1fa,
    0xffadcef7,
    0xffadcdf7,
    0xffaccdf6,
    0xffaccdf6,
    0xffadcef7,
    0xffadcef7,
    0xffaccef4,
    0xffaccef4,
    0xffabcef3,
    0xffabcdf2,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaacef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffa9ccf2,
    0xffa8cbf1,
    0xffa7caef,
    0xffa9ccf5,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffa7caf2,
    0xffaacdf7,
    0xffa8cbf5,
    0xffa7caf4,
    0xffa8cbf5,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7c9f6,
    0xffa8caf7,
    0xffa8caf7,
    0xffa5c7f4,
    0xffa5c8f1,
    0xffa5c7f4,
    0xffa5c7f4,
    0xffa6c8f5,
    0xffa5c7f4,
    0xffa5c7f6,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa7c9f7,
    0xffa4caf7,
    0xffa2c7f4,
    0xffa1c6f3,
    0xffa2c7f4,
    0xffa0c7f4,
    0xffa1c7f4,
    0xffa1c6f3,
    0xffa2c7f4,
    0xffa2c7f4,
    0xffa3c8f5,
    0xffa1c6f3,
    0xffa0c5f2,
    0xff9fc4f1,
    0xffa0c5f2,
    0xffa2c5f8,
    0xffa1c5f8,
    0xffa1c5f8,
    0xffa2c6f8,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f3,
    0xff9cc2f6,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9abff4,
    0xff98bdf2,
    0xff98bdf2,
    0xff9abff4,
    0xff99bef3,
    0xff9abff4,
    0xff97bcf1,
    0xff98bef2,
    0xff9abbf7,
    0xff93bcf3,
    0xff91bef6,
    0xff94c1fc,
    0xff94bbf1,
    0xff98c1e1,
    0xff81aec4,
    0xff5a8aac,
    0xff527f8c,
    0xff508365,
    0xff316446,
    0xff66946e,
    0xff4b7837,
    0xff3e6736,
    0xff2c5834,
    0xff21541e,
    0xff45763e,
    0xff315825,
    0xff658b46,
    0xff558332,
    0xff4d7935,
    0xff395f18,
    0xff4b752a,
    0xff487946,
    0xff153d1f,
    0xff0a281b,
    0xff0c2514,
    0xff09250f,
    0xff0a2a1b,
    0xff274b36,
    0xff183920,
    0xff0b261e,
    0xff001b20,
    0xff284f66,
    0xff174940,
    0xff4c8155,
    0xff3a673a,
    0xff598140,
    0xff2e5911,
    0xff335c37,
    0xff28523f,
    0xff104046,
    0xff043c60,
    0xff1a5693,
    0xff215ba2,
    0xff7cb2f3,
    0xff88bcf8,
    0xff699bd4,
    0xff618ace,
    0xff547cc9,
    0xff3a679e,
    0xff083544,
    0xff1e413a,
    0xff0a2627,
    0xff07262a,
    0xff00221d,
    0xff00121e,
    0xff072127,
    0xff113444,
    0xff2f5673,
    0xff346278,
    0xff3e6b84,
    0xff336070,
    0xff2b5850,
    0xff05222e,
    0xff002c57,
    0xff517fac,
    0xff2b486a,
    0xff0d2f4f,
    0xff245f93,
    0xff003e50,
    0xff002741,
    0xff0c2e4f,
    0xff052a56,
    0xff052e2f,
    0xff092b1f,
    0xff0c1b1a,
    0xff121e20,
    0xff000725,
    0xff08235d,
    0xff2e5caf,
    0xff6a99ff,
    0xff5580b3,
    0xff4c6467,
    0xff293837,
    0xff374e65,
    0xff0c2d57,
    0xff335e6a,
    0xff3a688a,
    0xff527d9e,
    0xff11447b,
    0xff68a2f9,
    0xff417bcd,
    0xff4773c7,
    0xff6e9cf0,
    0xff3e7cc7,
    0xff4185e7,
    0xff488ff7,
    0xff62acfe,
    0xff67aeeb,
    0xff5f99da,
    0xff2b5d95,
    0xff194c75,
    0xff31638f,
    0xff246178,
    0xff265a84,
    0xff224c8c,
    0xff5a83c9,
    0xff194591,
    0xff75a1f6,
    0xff254fa1,
    0xff183e7c,
    0xff0d3453,
    0xff466a5a,
    0xff667f43,
    0xff69742d,
    0xff777b35,
    0xff727933,
    0xff72823b,
    0xff5b712d,
    0xff717e3c,
    0xff556d1a,
    0xff597525,
    0xff63712a,
    0xff6d8467,
    0xff3a6678,
    0xff2a4954,
    0xff79817a,
    0xff8a7999,
    0xff645b8e,
    0xff8e8fd2,
    0xff766eaf,
    0xff4d4481,
    0xff605ba9,
    0xff9676b9,
    0xff803146,
    0xff852a38,
    0xff782f3b,
    0xff7f4446,
    0xff461c14,
    0xff311b0e,
    0xff38170f,
    0xff742c2a,
    0xff85251a,
    0xffa64d29,
    0xff91452c,
    0xff782c0b,
    0xff8e2c1c,
    0xff8d291d,
    0xff915541,
    0xff6d6363,
    0xff364a48,
    0xff152411,
    0xff374327,
    0xff35411e,
    0xff3b4923,
    0xff23371a,
    0xff213a27,
    0xff20301f,
    0xff172407,
    0xff2c5426,
    0xff3a6f3c,
    0xff2c5126,
    0xff313a16,
    0xff0e1200,
    0xff112800,
    0xff142e0d,
    0xff1e2d19,
    0xff123914,
    0xff183c19,
    0xff072909,
    0xff021705,
    0xff081d11,
    0xff00270f,
    0xff152109,
    0xff924c43,
    0xffb84c41,
    0xffc85950,
    0xffbd5047,
    0xff89261e,
    0xff964c41,
    0xff5f3226,
    0xff200d03,
    0xff090c00,
    0xff020c00,
    0xff3d2f1e,
    0xff916551,
    0xff8a4c3b,
    0xff723922,
    0xff431a0a,
    0xff24110d,
    0xff1a182c,
    0xff3a4d80,
    0xff000f29,
    0xff323938,
    0xff817b71,
    0xff47433e,
    0xff071111,
    0xff000605,
    0xff0e0d0e,
    0xffa795cf,
    0xffd1ddff,
    0xffc6cbff,
    0xffcbc7f4,
    0xffbdceed,
    0xffb3d2f3,
    0xffb3d3f8,
    0xffafd4f6,
    0xffb6d3f7,
    0xffb5d1f7,
    0xffb6d3f8,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f5,
    0xffb5d2f2,
    0xffb7d3f4,
    0xffbbd4f6,
    0xffbbd7f7,
    0xffb9d4f6,
    0xffb9d6f7,
    0xffb7d5f7,
    0xffbad3f7,
    0xffb9d5f5,
    0xffbad7f6,
    0xffbed9f1,
    0xffb9d8f1,
    0xffc0d9f7,
    0xffa9b3d4,
    0xff615a79,
    0xff5b4862,
    0xff543f55,
    0xff463547,
    0xff3f1f25,
    0xff470f1c,
    0xff620925,
    0xff790c2a,
    0xff851b2c,
    0xff97182f,
    0xff9a2151,
    0xffd2b0e8,
    0xffc0d9f1,
    0xffbfd9ee,
    0xffc7dbf1,
    0xffc3d1eb,
    0xffc5d7f7,
    0xffc9dbfd,
    0xffd0d9ff,
    0xffcfc7ee,
    0xffd4c1f8,
    0xffb3ade2,
    0xffb095ce,
    0xffc191c6,
    0xffcdaad7,
    0xff8b749e,
    0xff512e50,
    0xff4a2435,
    0xff472d34,
    0xff602a42,
    0xff560a31,
    0xffad648e,
    0xffa2648e,
    0xff804f7a,
    0xff816897,
    0xff4e5182,
    0xff45527d,
    0xff54688d,
    0xff496489,
    0xff5678a5,
    0xff7299d2,
    0xff345c9b,
    0xff5d89c5,
    0xff6899ce,
    0xff7ea5db,
    0xffb5c3f6,
    0xffa194ca,
    0xff753e77,
    0xffb987b8,
    0xffe3e8ff,
    0xffbcc7ee,
    0xffc8b2ea,
    0xffd0c2f4,
    0xffb5b4e2,
    0xffc3c2ec,
    0xffb6a4cf,
    0xffbb9ec4,
    0xffebd9fb,
    0xffdeddfa,
    0xffd2dcf6,
    0xffd0e4f1,
    0xffd8d7f9,
    0xffe1ddff,
    0xffd9daff,
    0xffe2daff,
    0xffd5caf0,
    0xffc0bde5,
    0xffaea9d5,
    0xffac9dc0,
    0xff9f8aad,
    0xff93759a,
    0xff936e93,
    0xffa07799,
    0xffaf88a3,
    0xffad889f,
    0xffa68196,
    0xffbf8e9f,
    0xffbc99a5,
    0xffb49294,
    0xffbc826c,
    0xffb67b60,
    0xffbb9db0,
    0xffc5c9f7,
    0xffc0d8f1,
    0xffbed9f4,
    0xffbfd7f6,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f6,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd7f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbdd6f5,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbdd8f6,
    0xffbdd9f7,
    0xffbdd9f7,
    0xffbfd7f7,
    0xffbed7f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd7f5,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbed9f6,
    0xffbdd8f5,
    0xffbcd7f4,
    0xffbfdaf7,
    0xffbcd7f4,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbdd8f6,
    0xffbed8f6,
    0xffbfdaf8,
    0xffc0daf8,
    0xffbed8f6,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbed8f6,
    0xffbdd8f6,
    0xffbfdaf8,
    0xffbed9f7,
    0xffbed8f6,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbddaf8,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbad7f5,
    0xffbdd8f6,
    0xffbbd7f5,
    0xffb7d6f3,
    0xffb7d6f3,
    0xffb9d8f5,
    0xffb8d7f4,
    0xffbad9f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffb7d4f2,
    0xffb8d5f3,
    0xffb7d4f2,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbad7f4,
    0xffb9d8f7,
    0xffb6d5f4,
    0xffb9d8f7,
    0xffb7d7f6,
    0xffb6d5f4,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d4f5,
    0xffb7d4f4,
    0xffb7d3f4,
    0xffb4d4f2,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d2f2,
    0xffb6d2f3,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb3d2f1,
    0xffb3d2f1,
    0xffb3d2f1,
    0xffb3d3f1,
    0xffb3d1f4,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb2d0f2,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb3d0f2,
    0xffb3d5f6,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb2d3f3,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d3f6,
    0xffb0d2f5,
    0xffb0d2f8,
    0xffafd1f6,
    0xffaed0f5,
    0xffaed0f4,
    0xffaed0f6,
    0xffaed0f6,
    0xffadcff4,
    0xffb0d2f8,
    0xffabcdf3,
    0xffaccff4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaacef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffabcef4,
    0xffaacdf3,
    0xffa9ccf2,
    0xffa9ccf5,
    0xffaacdf5,
    0xffabcef6,
    0xffaccff7,
    0xffa8cbf3,
    0xffa8cbf6,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa7caf4,
    0xffa8c9f7,
    0xffa8caf7,
    0xffa8caf7,
    0xffa5c7f4,
    0xffa7caf3,
    0xffa7c9f7,
    0xffa8caf7,
    0xffa7c9f6,
    0xffa5c7f4,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa6c7f6,
    0xffa2c8f5,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa2c7f4,
    0xffa2c6f3,
    0xffa2c7f4,
    0xffa2c7f4,
    0xffa1c6f3,
    0xffa0c5f2,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa0c5f2,
    0xffa0c3f4,
    0xffa0c4f4,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa2c4f3,
    0xffa2c4f4,
    0xffa2c4f3,
    0xffa2c4f3,
    0xffa2c4f4,
    0xffa1c2f2,
    0xffa1c3f2,
    0xffa1c3f2,
    0xff9ec3f5,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f3,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff99bef4,
    0xff9abff4,
    0xff9abff4,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9abff4,
    0xff97bcf1,
    0xff96bbf1,
    0xff99b8ff,
    0xff95bdf1,
    0xff93c0f3,
    0xff92c0f8,
    0xff90beef,
    0xff93c1ee,
    0xff96c6fd,
    0xff9acdff,
    0xff5588a3,
    0xff023829,
    0xff073c3d,
    0xff3d6e56,
    0xff457438,
    0xff345e2e,
    0xff487442,
    0xff4a7a47,
    0xff497c4e,
    0xff295423,
    0xff1c4318,
    0xff4d7c5d,
    0xff5c8869,
    0xff4b733a,
    0xff4a7129,
    0xff477635,
    0xff21402a,
    0xff253e34,
    0xff2a4330,
    0xff143017,
    0xff244432,
    0xff062516,
    0xff061d12,
    0xff000d16,
    0xff001a23,
    0xff143348,
    0xff2d5653,
    0xff275134,
    0xff0a2e12,
    0xff51774d,
    0xff37622f,
    0xff15442c,
    0xff215965,
    0xff3a7795,
    0xff0e4d81,
    0xff3b79bb,
    0xff5690d4,
    0xff8abcff,
    0xff85b5f3,
    0xff8bb9f8,
    0xff709eeb,
    0xff4575c1,
    0xff507fc3,
    0xff2b598b,
    0xff234d73,
    0xff1e4568,
    0xff01294d,
    0xff275474,
    0xff245382,
    0xff083974,
    0xff4b7bc1,
    0xff3668a1,
    0xff164a65,
    0xff1a465b,
    0xff001f24,
    0xff3c6246,
    0xff37555b,
    0xff103d54,
    0xff001a2c,
    0xff1a4045,
    0xff093036,
    0xff124a6e,
    0xff002e3e,
    0xff2e5973,
    0xff122d2c,
    0xff0e303a,
    0xff002623,
    0xff001516,
    0xff081621,
    0xff000d25,
    0xff183a7e,
    0xff3d76cc,
    0xff195dab,
    0xff508be2,
    0xff4576a5,
    0xff4f728c,
    0xff264775,
    0xff49729f,
    0xff43676f,
    0xff59724a,
    0xff284d24,
    0xff2a513f,
    0xff6d98c6,
    0xff00348a,
    0xff71aaff,
    0xff477ac9,
    0xff154c92,
    0xff2b6ba6,
    0xff1b4da6,
    0xff3365c6,
    0xff4078cd,
    0xff114a93,
    0xff002a6f,
    0xff1e528a,
    0xff4478ae,
    0xff356ab1,
    0xff4a84b5,
    0xff578acf,
    0xff305eb5,
    0xff1a489d,
    0xff467ac7,
    0xff1a53a3,
    0xff4882d9,
    0xff4077ce,
    0xff4e7bc9,
    0xff587f76,
    0xff6a8631,
    0xff748524,
    0xff607019,
    0xff5e751b,
    0xff627b29,
    0xff374b13,
    0xff313012,
    0xff43651d,
    0xff617d23,
    0xff60691a,
    0xff465749,
    0xff5f8aab,
    0xff6e948c,
    0xff5a4825,
    0xff613228,
    0xff7b5252,
    0xff501021,
    0xff792a36,
    0xff672d36,
    0xff5e3054,
    0xff63224e,
    0xff741e2c,
    0xff812420,
    0xff812516,
    0xff662007,
    0xff65351a,
    0xff6f422c,
    0xff6a3924,
    0xff642b1b,
    0xff763327,
    0xff79361a,
    0xff6f4630,
    0xff492812,
    0xff4e1813,
    0xff46140b,
    0xff37270f,
    0xff202214,
    0xff261e18,
    0xff2e2621,
    0xff22230c,
    0xff42441f,
    0xff312c11,
    0xff111200,
    0xff15260d,
    0xff4e5b3a,
    0xff302d0d,
    0xff4b6b34,
    0xff133c0d,
    0xff001600,
    0xffa39884,
    0xff8c7456,
    0xff554e27,
    0xff494424,
    0xff1a0a00,
    0xff332912,
    0xff4b341b,
    0xff120a00,
    0xff000000,
    0xff231b1a,
    0xff243c34,
    0xff184225,
    0xff232303,
    0xffad7359,
    0xffad6f5b,
    0xff7c4336,
    0xff380f05,
    0xff140000,
    0xff000000,
    0xff000f07,
    0xff00130a,
    0xff031306,
    0xff060000,
    0xff4c2d29,
    0xff1d0000,
    0xff040000,
    0xff050c0b,
    0xff10181b,
    0xff15161c,
    0xff1b0f30,
    0xff00000e,
    0xff090c0d,
    0xffbbb6b6,
    0xff3f3940,
    0xff1e242a,
    0xff021412,
    0xff091a0e,
    0xff4e0235,
    0xffa198c9,
    0xffbed6ff,
    0xffc5cef9,
    0xffc0ceef,
    0xffb6d2f4,
    0xffb4d2f9,
    0xffb6cff5,
    0xffb6d3f4,
    0xffb6d2f4,
    0xffb9d3f5,
    0xffb9d2f4,
    0xffb9d2f3,
    0xffb8d2f3,
    0xffb9d4f2,
    0xffbcd6f3,
    0xffbad4f6,
    0xffbcd5f4,
    0xffbcd4f3,
    0xffbdd5f4,
    0xffb9d2f3,
    0xffb7d6f7,
    0xffbbd4f8,
    0xffbcd5f7,
    0xffbad6f7,
    0xffbed8f9,
    0xffc7d9fb,
    0xff989dbe,
    0xff605672,
    0xff614c67,
    0xff513e52,
    0xff433244,
    0xff3b2037,
    0xff3c172b,
    0xff4b182f,
    0xff792d51,
    0xff79173d,
    0xff86173d,
    0xffba6e9d,
    0xffced3ff,
    0xffc5e0ff,
    0xffc8e4ff,
    0xff91abcb,
    0xffcfe7ff,
    0xffc2c2ee,
    0xffa187b9,
    0xffd2aedd,
    0xff87688f,
    0xffaa98c5,
    0xffe5badd,
    0xffb45b76,
    0xffc6536e,
    0xff9b4461,
    0xff684258,
    0xff483642,
    0xff472329,
    0xff6f252e,
    0xff771b2e,
    0xff730521,
    0xff7d0522,
    0xff900f29,
    0xff84051e,
    0xff780f24,
    0xff732838,
    0xff7e435a,
    0xff5e3a56,
    0xff46405f,
    0xff676f8f,
    0xff656e88,
    0xff636b84,
    0xff6e7897,
    0xff4f5b81,
    0xff7674a5,
    0xff4f497e,
    0xff643977,
    0xff963979,
    0xff812c5b,
    0xff914f6e,
    0xffa64c74,
    0xffb5497d,
    0xffe8b2ea,
    0xfff4c7f8,
    0xffd7a2cb,
    0xffc7779a,
    0xffb74c6b,
    0xffad4259,
    0xffcd7785,
    0xffcf8e98,
    0xffb0899f,
    0xffeed3f2,
    0xffa19cc1,
    0xffd2e2ff,
    0xffc4dbf9,
    0xffc4dff5,
    0xffc2deef,
    0xffcae3f7,
    0xffd0dff7,
    0xffcbdbf7,
    0xffcde1ff,
    0xffc5dbfe,
    0xffc8dcff,
    0xffcbdeff,
    0xffcddcff,
    0xffcdd7ff,
    0xffced4fe,
    0xffc1dbfd,
    0xffc5dbff,
    0xffd6d2f8,
    0xffd7c5df,
    0xffd0cbe6,
    0xffc1d0f3,
    0xffb9d4f2,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbdd6f4,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f5,
    0xffbfd8f7,
    0xffbed7f7,
    0xffbfd8f7,
    0xffbdd5f5,
    0xffbbd6f4,
    0xffbcd7f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbfd7f7,
    0xffbfd8f7,
    0xffbed7f7,
    0xffbfd8f7,
    0xffbed7f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbdd6f5,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbdd6f5,
    0xffbfd8f7,
    0xffbfd7f7,
    0xffbfd8f7,
    0xffbdd6f5,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed7f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf7,
    0xffbfdaf7,
    0xffbdd9f5,
    0xffbfdaf7,
    0xffbcd7f4,
    0xffbed9f6,
    0xffbdd9f6,
    0xffbdd9f6,
    0xffbdd9f6,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffc0d8f8,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbfdaf8,
    0xffbed9f7,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbdd8f6,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbed8f6,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbddaf8,
    0xffbddaf8,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad8f6,
    0xffb9d6f4,
    0xffb8d7f4,
    0xffb8d8f5,
    0xffb9d8f5,
    0xffbcd8f7,
    0xffb8d5f3,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffbad7f5,
    0xffb8d5f3,
    0xffbad7f5,
    0xffb7d4f1,
    0xffbbd8f5,
    0xffb9d5f3,
    0xffb8d5f3,
    0xffb7d4f2,
    0xffb7d4f2,
    0xffb8d4f2,
    0xffb6d3f4,
    0xffb6d3f3,
    0xffb6d3f4,
    0xffb6d3f3,
    0xffb4d3f2,
    0xffb5d4f4,
    0xffb7d6f6,
    0xffb7d6f5,
    0xffb9d6f6,
    0xffb8d5f5,
    0xffb7d4f4,
    0xffb4d4f2,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb7d6f5,
    0xffb3d2f1,
    0xffb3d2f1,
    0xffb3d2f1,
    0xffb3d2f1,
    0xffb5d4f2,
    0xffb6d4f7,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb1d3f4,
    0xffb1d3f4,
    0xffb2d4f4,
    0xffb2d4f4,
    0xffb2d4f5,
    0xffb2d3f4,
    0xffb1d3f3,
    0xffb1d3f3,
    0xffb0d1f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb0d3f6,
    0xffb0d3f6,
    0xffb1d3f5,
    0xffadcff4,
    0xffaccff4,
    0xffadcff4,
    0xffadcff4,
    0xffadcff4,
    0xffaed0f6,
    0xffadcff5,
    0xffaed0f6,
    0xffaed0f6,
    0xffadd0f6,
    0xffaed0f6,
    0xffadcff5,
    0xffaccef5,
    0xffaed0f5,
    0xffadcff4,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacef4,
    0xffaacdf3,
    0xffaacef4,
    0xffaacef4,
    0xffabcef4,
    0xffa8cbf1,
    0xffa9ccf1,
    0xffa9cdf5,
    0xffa9cdf4,
    0xffa9ccf4,
    0xffa8cbf3,
    0xffa9ccf7,
    0xffaacdf8,
    0xffa8cbf2,
    0xffa8cbf6,
    0xffa8cbf5,
    0xffa8cbf5,
    0xffa7cbf4,
    0xffa7c9f7,
    0xffa6c8f5,
    0xffa6c8f6,
    0xffa6caf3,
    0xffa7c9f7,
    0xffa6c8f5,
    0xffa3c5f2,
    0xffa6c8f5,
    0xffa5c8f6,
    0xffa5c8f6,
    0xffa5c8f6,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa6c7f5,
    0xffa1c7f4,
    0xffa2c7f4,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c7f3,
    0xffa1c6f3,
    0xffa2c8f4,
    0xffa2c7f4,
    0xffa1c7f4,
    0xffa0c5f2,
    0xffa3c8f5,
    0xffa2c7f4,
    0xffa1c7f3,
    0xffa1c7f3,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa1c3f3,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xffa0c2f2,
    0xff9fc1f1,
    0xffa0c2f2,
    0xff9ec3f5,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9bc0f5,
    0xff9abff3,
    0xff9bc0f5,
    0xff9bc0f5,
    0xff9cc1f5,
    0xff99bef3,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9abff4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f5,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff9bc0f4,
    0xff99bef2,
    0xff9bc0f3,
    0xff99bef3,
    0xff9abcff,
    0xff92bae8,
    0xff93bfef,
    0xff93c0fa,
    0xff90bfef,
    0xff8fbcf3,
    0xff92bdff,
    0xff95c1f8,
    0xff90c4e3,
    0xff538993,
    0xff1e4c78,
    0xff679799,
    0xff2a5a25,
    0xff315d2b,
    0xff194711,
    0xff396748,
    0xff4b7d60,
    0xff477838,
    0xff558160,
    0xff497b7a,
    0xff5f9276,
    0xff2f5724,
    0xff2d521d,
    0xff4b7433,
    0xff2a4c28,
    0xff15331e,
    0xff26442b,
    0xff325335,
    0xff0d2d1a,
    0xff062210,
    0xff031a0a,
    0xff051616,
    0xff001f0f,
    0xff153736,
    0xff436e62,
    0xff3e694e,
    0xff3f644f,
    0xff517966,
    0xff35635b,
    0xff235471,
    0xff20598c,
    0xff24609c,
    0xff4a85ca,
    0xff6fa5ed,
    0xff90bfff,
    0xff86afef,
    0xff8ab1f1,
    0xff8eb5f6,
    0xff8abef5,
    0xff5d91c7,
    0xff6395ce,
    0xff6796d4,
    0xff83aef1,
    0xff709bdd,
    0xff5580c3,
    0xff6594db,
    0xff67a1e5,
    0xff609dd9,
    0xff3670a5,
    0xff174f68,
    0xff2f6956,
    0xff063216,
    0xff113415,
    0xff5e7c4c,
    0xff3b574d,
    0xff39635f,
    0xff2e5c57,
    0xff001d17,
    0xff042829,
    0xff5985b4,
    0xff3b6796,
    0xff0e2a63,
    0xff032222,
    0xff001f1f,
    0xff001d39,
    0xff4b6294,
    0xff0b273f,
    0xff001635,
    0xff124da0,
    0xff2f7fcc,
    0xff79b7ff,
    0xff6ba9e7,
    0xff5d91b7,
    0xff58829f,
    0xff437280,
    0xff376d62,
    0xff658b6f,
    0xff596842,
    0xff4f6d62,
    0xff2a4f4f,
    0xff2f588f,
    0xff1d4e88,
    0xff7fbaff,
    0xff73aef3,
    0xff4077c6,
    0xff3e75cb,
    0xff4d89d7,
    0xff3573b7,
    0xff366db7,
    0xff2f5eb5,
    0xff2f5898,
    0xff14384f,
    0xff001222,
    0xff3f5d8c,
    0xff254681,
    0xff21497f,
    0xff3561ae,
    0xff2f63bb,
    0xff4a86d0,
    0xff1a57a3,
    0xff336dbd,
    0xff427eb4,
    0xff497185,
    0xff627f54,
    0xff5d721a,
    0xff586b19,
    0xff48611c,
    0xff355609,
    0xff587325,
    0xff3c4909,
    0xff555b1d,
    0xff446d24,
    0xff4e6a11,
    0xff667411,
    0xff5f7342,
    0xff315a37,
    0xff2b5e1b,
    0xff595338,
    0xff593e3f,
    0xff4f3e21,
    0xff753d29,
    0xff822d39,
    0xff7f5162,
    0xff8a7478,
    0xff9b8175,
    0xff8e775f,
    0xff89593e,
    0xff6e2e0f,
    0xff5b2b0b,
    0xff482d16,
    0xff432310,
    0xff583517,
    0xff663f1f,
    0xff5f2012,
    0xff542307,
    0xff461b06,
    0xff593e29,
    0xff433723,
    0xff34321a,
    0xff3a371c,
    0xff413523,
    0xff302114,
    0xff231d15,
    0xff1d1c0c,
    0xff2c2c1a,
    0xff272418,
    0xff222c14,
    0xff274111,
    0xff2e4213,
    0xff35371d,
    0xff2a3015,
    0xff101f0a,
    0xff010d00,
    0xff777866,
    0xff948567,
    0xff8a7047,
    0xffa88459,
    0xff986b48,
    0xff8e5430,
    0xff8f4921,
    0xffa86e44,
    0xff926e51,
    0xff27160b,
    0xff010b03,
    0xff13371d,
    0xff354c2a,
    0xff240f00,
    0xff1f1206,
    0xff0d0d08,
    0xff0e1218,
    0xff1f212e,
    0xff292838,
    0xff101720,
    0xff021316,
    0xff001411,
    0xff100405,
    0xff27080c,
    0xff010003,
    0xff051a1d,
    0xff000104,
    0xff200200,
    0xff7d4438,
    0xffd4907e,
    0xff7e6353,
    0xff000000,
    0xffb4b9c2,
    0xff3c3042,
    0xff312c33,
    0xff021411,
    0xff00180e,
    0xff7f0016,
    0xff671b46,
    0xffbebae8,
    0xffb9d5fd,
    0xffbbd1f7,
    0xffbbd2fb,
    0xffb8d3f9,
    0xffc1cef4,
    0xffb9d2f2,
    0xffb9d1f3,
    0xffbbd3f2,
    0xffb9d1f1,
    0xffbad2f2,
    0xffbbd4f3,
    0xffbad2f3,
    0xffbad3f2,
    0xffbcd6f8,
    0xffbcd4f3,
    0xffc0d4f0,
    0xffbdd2ef,
    0xffbbd5f5,
    0xffbddaff,
    0xffc0dafb,
    0xffc1d8fd,
    0xffbdd7ff,
    0xffc2d8ff,
    0xffc9d6fc,
    0xff8483a6,
    0xff5c4f6e,
    0xff5b4a62,
    0xff523f51,
    0xff443341,
    0xff491e34,
    0xff4a152f,
    0xff532447,
    0xffc191be,
    0xff701850,
    0xff8c2f62,
    0xffe6c4f0,
    0xffcbdbff,
    0xff9aade6,
    0xff6b91bd,
    0xff4b6987,
    0xff8d7c9f,
    0xff7e3f6b,
    0xff67204d,
    0xff926183,
    0xff634860,
    0xff8d5976,
    0xffb74e5b,
    0xffc0413e,
    0xffad3d3e,
    0xff924154,
    0xff513747,
    0xff402c30,
    0xff6c1f25,
    0xffab222d,
    0xff810c15,
    0xff6c0109,
    0xff8e0c1b,
    0xffa40b1b,
    0xffa80b12,
    0xffb3221e,
    0xffd24b3e,
    0xffd85044,
    0xffd25957,
    0xffca656e,
    0xffb66c6f,
    0xffc08b87,
    0xff7f5b54,
    0xff806367,
    0xff6e5266,
    0xff70435d,
    0xff6a4d71,
    0xff683f75,
    0xff692b5f,
    0xffa65277,
    0xffd35974,
    0xffa60828,
    0xffbb1739,
    0xffae2c43,
    0xff9e2435,
    0xffad343e,
    0xffbc393e,
    0xffc32b30,
    0xffc52029,
    0xffcd363d,
    0xffb73139,
    0xffb5303b,
    0xffb73848,
    0xff994859,
    0xffcbc2d2,
    0xff98b8d4,
    0xffabc5f3,
    0xffced9ff,
    0xffb7c9f7,
    0xffbdd3f3,
    0xffcae2ff,
    0xffc5e1ff,
    0xffc3deff,
    0xffbed9ff,
    0xffc0d8ff,
    0xffc5d9ff,
    0xffc7d7fc,
    0xffcad8e9,
    0xffc3d9f8,
    0xffc0d9fd,
    0xffc6d8ff,
    0xffc6d5ff,
    0xffc0d8f8,
    0xffbcd8f0,
    0xffbfd7fb,
    0xffbdd6f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed8f5,
    0xffbfd8f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbed7f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f6,
    0xffbcd6f3,
    0xffbed7f5,
    0xffbed8f5,
    0xffbed8f5,
    0xffbdd6f4,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffbdd6f4,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbfd7f5,
    0xffbed7f5,
    0xffbdd6f4,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd7f6,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d8f6,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbad8f6,
    0xffbbd8f6,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffbad7f5,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbcd6f4,
    0xffb8d6f4,
    0xffb7d4f2,
    0xffb9d6f4,
    0xffb9d5f3,
    0xffb8d8f4,
    0xffb9d8f5,
    0xffb7d7f3,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d8f7,
    0xffb6d5f4,
    0xffb5d3f2,
    0xffb3d5f4,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb6d4f7,
    0xffb4d2f4,
    0xffb7d5f7,
    0xffb4d2f4,
    0xffb6d3f6,
    0xffb5d3f6,
    0xffb5d3f6,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb7d5f8,
    0xffb8d6f8,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f8,
    0xffb7d5f8,
    0xffb7d5f8,
    0xffb6d4f6,
    0xffb7d4f7,
    0xffb5d2f4,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb5d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d1f3,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f6,
    0xffb1d2f6,
    0xffb2d3f6,
    0xffafd0f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffb1d1f7,
    0xffb2d2f8,
    0xffb1d0f6,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0cff5,
    0xffb0d0f6,
    0xffafcff5,
    0xffafcef4,
    0xffaecef4,
    0xffaed1f6,
    0xffaed0f6,
    0xffaed0f4,
    0xffaccef2,
    0xffabcdf3,
    0xffadcff5,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffaed0f6,
    0xffadcff5,
    0xffaaccf2,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabccf2,
    0xffa9cbf1,
    0xffaacbf4,
    0xffabccf5,
    0xffabcbf5,
    0xffabccf4,
    0xffa9caf3,
    0xffabcef6,
    0xffa8cbf3,
    0xffa8cbf2,
    0xffa9ccf6,
    0xffa8cbf5,
    0xffa9ccf5,
    0xffa7cbf4,
    0xffa9cbf9,
    0xffabccf6,
    0xffa7c8f6,
    0xffa6c6f3,
    0xffa8c9f6,
    0xffa7c8f4,
    0xffa7c6f6,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c8f6,
    0xffa5c8f5,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa7c8f6,
    0xffa3c9f6,
    0xffa4c9f6,
    0xffa3c9f6,
    0xffa6c8f6,
    0xffa7c9f7,
    0xffa6c7f6,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa4c5f3,
    0xffa4c5f3,
    0xffa4c6f4,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c4f3,
    0xffa3c4f3,
    0xffa3c5f2,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa2c4f4,
    0xffa0c2f2,
    0xffa2c4f4,
    0xffa2c4f3,
    0xffa0c4f7,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f4,
    0xff9cc0f2,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9ec2f3,
    0xff9fc3f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9bc2f2,
    0xff9cc2f2,
    0xff9cc2f2,
    0xff9cc2f2,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9bc1f2,
    0xff9abff4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff99bef2,
    0xff99bef2,
    0xff99bef2,
    0xff99bff3,
    0xff96bef4,
    0xff97c3e9,
    0xff6b97c6,
    0xff98c2f8,
    0xff97c1f4,
    0xff94bdf5,
    0xff99bdf2,
    0xff9fc4dc,
    0xff7aa6b8,
    0xff54868c,
    0xff6794bb,
    0xff1a4a4a,
    0xff265a28,
    0xff588c58,
    0xff477e41,
    0xff44795a,
    0xff38694e,
    0xff4a7d35,
    0xff51844a,
    0xff528a6a,
    0xff367237,
    0xff35631f,
    0xff567b4d,
    0xff40693b,
    0xff173d11,
    0xff12351c,
    0xff1c422d,
    0xff193d2c,
    0xff03221e,
    0xff0b241c,
    0xff06200e,
    0xff0f271e,
    0xff2d5534,
    0xff002615,
    0xff053224,
    0xff0f3c25,
    0xff05321b,
    0xff245047,
    0xff07384c,
    0xff3165a2,
    0xff4470b8,
    0xff71a1ea,
    0xff82b1ff,
    0xff94c4ff,
    0xff93c0ff,
    0xff93c2ff,
    0xff8abdff,
    0xff83bbff,
    0xff83b6f5,
    0xff8abaf4,
    0xff87b6f4,
    0xff8fbbff,
    0xff89b5fe,
    0xff88b7fc,
    0xff8abbfd,
    0xff83b3f7,
    0xff93baff,
    0xff8fbedd,
    0xff366a6c,
    0xff0f453d,
    0xff42775e,
    0xff396a4b,
    0xff295336,
    0xff3a6236,
    0xff1d3f12,
    0xff406a3b,
    0xff406c46,
    0xff496d57,
    0xff375d48,
    0xff214657,
    0xff001f24,
    0xff0d2834,
    0xff1c3f52,
    0xff0f2a36,
    0xff15253b,
    0xff0a153e,
    0xff000f20,
    0xff001d3b,
    0xff6098e8,
    0xff7abdff,
    0xff5e90cd,
    0xff4f859f,
    0xff345a78,
    0xff516571,
    0xff607753,
    0xff4a6b46,
    0xff2f4e48,
    0xff4b6265,
    0xff466895,
    0xff305a8b,
    0xff052e85,
    0xff204e8b,
    0xff4981cc,
    0xff346db4,
    0xff5387d1,
    0xff6c9af0,
    0xff63a6ee,
    0xff3c81c0,
    0xff63a1e9,
    0xff295cae,
    0xff1e4883,
    0xff072a41,
    0xff264b62,
    0xff365681,
    0xff1e374b,
    0xff27514c,
    0xff22547b,
    0xff4e84d6,
    0xff2a62a0,
    0xff3e6ca0,
    0xff2c516f,
    0xff61845f,
    0xff738741,
    0xff69752a,
    0xff72792f,
    0xff6f813e,
    0xff446327,
    0xff2c4c15,
    0xff2c3f06,
    0xff4c4e16,
    0xff48551c,
    0xff20440b,
    0xff354e15,
    0xff42591e,
    0xff445731,
    0xff405a31,
    0xff306627,
    0xff223a31,
    0xff3c2930,
    0xff51552b,
    0xff816235,
    0xff611f21,
    0xff5f3a43,
    0xff5f5134,
    0xff605d2c,
    0xff456136,
    0xff565d4f,
    0xff65624c,
    0xff30351c,
    0xff1e1c12,
    0xff452520,
    0xff623d2b,
    0xff3d210c,
    0xff381209,
    0xff4d2814,
    0xff4f1f0d,
    0xff613e2b,
    0xff373516,
    0xff31411f,
    0xff242d17,
    0xff131b0a,
    0xff0c2213,
    0xff0a2317,
    0xff152111,
    0xff10180f,
    0xff0a1b1e,
    0xff0d2320,
    0xff1f3020,
    0xff1b2315,
    0xff1d2022,
    0xff171b27,
    0xff171d21,
    0xff09170e,
    0xff13210b,
    0xff9c9072,
    0xff936542,
    0xffa96c3e,
    0xffa46c32,
    0xff9c572b,
    0xff9d481d,
    0xff9b3b16,
    0xff814426,
    0xff262c14,
    0xff133122,
    0xff010e06,
    0xff0f1d13,
    0xff0c1418,
    0xff071d12,
    0xff123221,
    0xff0c2f2b,
    0xff041d30,
    0xff25344f,
    0xff18252c,
    0xff071608,
    0xff000c0c,
    0xff261000,
    0xff351901,
    0xff35351f,
    0xff3e3f31,
    0xff693c2d,
    0xffce7c6a,
    0xffd4826f,
    0xff8b4f45,
    0xff060000,
    0xff000700,
    0xff6d7974,
    0xff6a5f60,
    0xff443536,
    0xff070907,
    0xff010e10,
    0xff9a1019,
    0xff6b001e,
    0xffb183ba,
    0xffbbd3fd,
    0xffb4d4f7,
    0xffbad1fa,
    0xffbad1f7,
    0xffbed2f3,
    0xffbbd4f5,
    0xffb5d0f1,
    0xffbed8fa,
    0xffb9d4f8,
    0xffbcd6fc,
    0xffb7d3f8,
    0xffc3dfff,
    0xffb9d4fc,
    0xffbad7ff,
    0xffc4ddfe,
    0xffbdd2f0,
    0xffbdd4f3,
    0xffbbdcff,
    0xff7fa3cf,
    0xffb5d1fa,
    0xffb8d0fc,
    0xffa8c2f8,
    0xffb0c2f3,
    0xffc1c7ed,
    0xff756e8c,
    0xff63536e,
    0xff58465e,
    0xff4b3a4c,
    0xff40303a,
    0xff512224,
    0xff511022,
    0xff632e52,
    0xff936d9b,
    0xff7a3063,
    0xff8f4971,
    0xffb2abcf,
    0xff777eba,
    0xff30437a,
    0xff425b7d,
    0xff655064,
    0xffab5469,
    0xff983247,
    0xffa47079,
    0xff7c6871,
    0xff907281,
    0xffbb636b,
    0xffcf373f,
    0xffb22a27,
    0xff9a4c52,
    0xff6b3654,
    0xff442f45,
    0xff4f262e,
    0xff971b2b,
    0xffbb1b25,
    0xff8e0509,
    0xff97131b,
    0xffa6041a,
    0xffbd061f,
    0xffbe101f,
    0xffc22928,
    0xffc53527,
    0xffc91c0c,
    0xffb71402,
    0xffac180b,
    0xffa61e16,
    0xff9d262b,
    0xff86323f,
    0xff856072,
    0xff7a7889,
    0xff8a8c87,
    0xff6d6c7d,
    0xff65648d,
    0xff6a5e85,
    0xff923e60,
    0xffaa0c29,
    0xffb80f23,
    0xffc21429,
    0xffd61e2f,
    0xffbb0a1a,
    0xffb51820,
    0xffb72426,
    0xffb11719,
    0xffc81e27,
    0xffcd2334,
    0xffb91a2c,
    0xffaa0a21,
    0xffaa0920,
    0xffbd2e49,
    0xffa55675,
    0xff585678,
    0xff4a6596,
    0xff4867a0,
    0xff356396,
    0xff33689a,
    0xff9ecaf5,
    0xff5173a3,
    0xff829ac5,
    0xffbed0f5,
    0xffb7caeb,
    0xffb2c8e4,
    0xffc5dff6,
    0xffcee4f5,
    0xffc6daff,
    0xffc4d9fe,
    0xffbedcee,
    0xffb8d9f7,
    0xffb8d8fc,
    0xffc6ddfa,
    0xffc6d2f4,
    0xffc1d9f6,
    0xffbfd8f6,
    0xffbdd6f4,
    0xffbcd5f3,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbed5f4,
    0xffc0d6f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbdd6f4,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbdd6f4,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed8f6,
    0xffbfd6f5,
    0xffc0d7f6,
    0xffc1d8f7,
    0xffc0d7f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbfdaf8,
    0xffbcdaf8,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbed8f6,
    0xffbdd7f5,
    0xffb9d6f4,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffb7d4f2,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffb7d4f2,
    0xffbad5f3,
    0xffbbd5f3,
    0xffbbd5f3,
    0xffb9d7f5,
    0xffbbd8f6,
    0xffb7d4f2,
    0xffb9d5f4,
    0xffb7d6f3,
    0xffbad4f5,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb7d4f4,
    0xffb7d6f5,
    0xffb6d4f3,
    0xffb2d3f2,
    0xffb4d5f4,
    0xffb4d3f2,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb6d5f3,
    0xffb6d4f7,
    0xffb5d3f5,
    0xffb7d5f7,
    0xffb3d1f4,
    0xffb5d4f2,
    0xffb6d5f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb6d6f4,
    0xffb8d7f5,
    0xffb5d4f2,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d5f3,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb4d2f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb3d1f3,
    0xffb3d4f8,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb3d4f4,
    0xffb2d3f4,
    0xffb4d5f5,
    0xffb1d2f3,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f4,
    0xffb2d1f8,
    0xffb2d2f8,
    0xffb2d2f8,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffb1d0f7,
    0xffafcff5,
    0xffb2d1f8,
    0xffb0d0f6,
    0xffaecef4,
    0xffaecdf4,
    0xffaccef0,
    0xffadcff2,
    0xffafd1f6,
    0xffaed0f5,
    0xffaccef4,
    0xffadcff5,
    0xffaccef3,
    0xffadcdf7,
    0xffaed0f6,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffabcdf2,
    0xffaacbf5,
    0xffaccdf6,
    0xffaacbf4,
    0xffaacbf4,
    0xffa8cbf3,
    0xffaacdf5,
    0xffaacdf5,
    0xffa9ccf4,
    0xffaacdf7,
    0xffabcef8,
    0xffa8cbf5,
    0xffa8cbf5,
    0xffa8c9f4,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa6c8f4,
    0xffa6c6f6,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa8c8f7,
    0xffa6c6f5,
    0xffa3c6f4,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa7c8f6,
    0xffa3c9f6,
    0xffa4c9f6,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f2,
    0xffa3c4f5,
    0xffa3c4f5,
    0xffa3c4f5,
    0xffa3c4f5,
    0xffa3c5f5,
    0xffa2c3f4,
    0xffa2c3f4,
    0xffa1c3f3,
    0xff9fc4f3,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f2,
    0xff9dc1f1,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9fc2f4,
    0xff9cc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc2f2,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9abff3,
    0xff9abff3,
    0xff9ac0f3,
    0xff98c4f3,
    0xff8cb7e0,
    0xff426c98,
    0xff719ecc,
    0xff9dcbfc,
    0xff92bbef,
    0xff96bada,
    0xff4c726b,
    0xff497955,
    0xff4d8350,
    0xff326848,
    0xff427947,
    0xff33692e,
    0xff2a5e2e,
    0xff498142,
    0xff316b39,
    0xff397144,
    0xff4e7c49,
    0xff51824c,
    0xff387044,
    0xff427a54,
    0xff3d6939,
    0xff163d0d,
    0xff5b8869,
    0xff305c35,
    0xff073221,
    0xff0e3830,
    0xff2e5151,
    0xff15303d,
    0xff0e272a,
    0xff113025,
    0xff10302b,
    0xff113b39,
    0xff2d5b60,
    0xff1c4b51,
    0xff3b6567,
    0xff244a4a,
    0xff002531,
    0xff19486d,
    0xff3f75b2,
    0xff518cc1,
    0xff669fd6,
    0xff7cb1e4,
    0xff5888b7,
    0xff225275,
    0xff144569,
    0xff1d567e,
    0xff0f4c7e,
    0xff86b8fb,
    0xff86b3f9,
    0xff8cb4fc,
    0xff89b1f7,
    0xff88b3f9,
    0xff83b2fa,
    0xff89b5f7,
    0xff8ab6f0,
    0xff8aabe3,
    0xff325c6b,
    0xff1a4a49,
    0xff164148,
    0xff37625d,
    0xff10382b,
    0xff16382f,
    0xff15342a,
    0xff0a2919,
    0xff2e5333,
    0xff193e1f,
    0xff31513f,
    0xff2a4d37,
    0xff001927,
    0xff0b2b30,
    0xff011d27,
    0xff012940,
    0xff18324d,
    0xff0c1e24,
    0xff011328,
    0xff1c3f70,
    0xff00225e,
    0xff1e55a0,
    0xff002269,
    0xff012a57,
    0xff255a73,
    0xff6897cc,
    0xff6b8aa2,
    0xff435d47,
    0xff2b465f,
    0xff7c9dda,
    0xff254f76,
    0xff6294cb,
    0xff2f63a1,
    0xff4c7cd3,
    0xff214f8c,
    0xff4575b8,
    0xff00296b,
    0xff093e5b,
    0xff082e50,
    0xff152f58,
    0xff0f2d5d,
    0xff0e326a,
    0xff355d8e,
    0xff19466d,
    0xff4a79b5,
    0xff4479cb,
    0xff5893db,
    0xff052a47,
    0xff001723,
    0xff184e89,
    0xff1b4ea3,
    0xff053450,
    0xff39584e,
    0xff727d5c,
    0xff676c1c,
    0xff6c6d25,
    0xff64642c,
    0xff293000,
    0xff6d832a,
    0xff4f7210,
    0xff4a681d,
    0xff3d4c19,
    0xff3b3d11,
    0xff243804,
    0xff43631b,
    0xff29451d,
    0xff416146,
    0xff324f2e,
    0xff465740,
    0xff4e7750,
    0xff3d7247,
    0xff49633a,
    0xff616d3c,
    0xff6d350e,
    0xff92311f,
    0xff884630,
    0xff976b3f,
    0xff846334,
    0xff5d5c41,
    0xff4f675d,
    0xff3c654e,
    0xff5a8063,
    0xff5c5542,
    0xff562517,
    0xff4f2612,
    0xff443b26,
    0xff45483d,
    0xff372318,
    0xff412e18,
    0xff1b1402,
    0xff0d1b00,
    0xff001900,
    0xff03180d,
    0xff071913,
    0xff001218,
    0xff001916,
    0xff111e18,
    0xff14211e,
    0xff132e38,
    0xff2c4964,
    0xff142345,
    0xff323756,
    0xff162239,
    0xff2c4055,
    0xff11242b,
    0xff08160a,
    0xff181907,
    0xff331601,
    0xff814934,
    0xff834b27,
    0xff986e3f,
    0xffc3976a,
    0xffa27042,
    0xffac5331,
    0xffa34c30,
    0xff503617,
    0xff100a00,
    0xff151109,
    0xff0a1f13,
    0xff0a2822,
    0xff223d2f,
    0xff173625,
    0xff1d4736,
    0xff2f6656,
    0xff0f4537,
    0xff204a32,
    0xff153013,
    0xff2f2d25,
    0xff6f5b2f,
    0xffa89751,
    0xff4a4008,
    0xff7e5b34,
    0xffe49877,
    0xffb96b51,
    0xff895b4e,
    0xff000000,
    0xff000a05,
    0xff001004,
    0xff363a36,
    0xff9f969b,
    0xff3c3c45,
    0xff091319,
    0xff0a181c,
    0xff971228,
    0xffc86898,
    0xffb58fcb,
    0xffc0cbfa,
    0xffb9d6f6,
    0xffb4cfef,
    0xffb8d2f4,
    0xffb5cfed,
    0xffb8d4fa,
    0xffbad9fd,
    0xffbcdaff,
    0xffb9d7ff,
    0xffbfe0ff,
    0xffadcffa,
    0xff6a8cbc,
    0xffb4d8ff,
    0xff9dc1f2,
    0xff7f9ecb,
    0xffc1dbfe,
    0xffbfddff,
    0xffabd2fb,
    0xff305b90,
    0xff476ca4,
    0xff39598c,
    0xff294777,
    0xff3e5179,
    0xff9fa4c0,
    0xff695f77,
    0xff615269,
    0xff57445b,
    0xff493b4d,
    0xff423342,
    0xff442d2d,
    0xff482024,
    0xff6c3747,
    0xff805469,
    0xff6f2b45,
    0xff904b5e,
    0xff755c6c,
    0xff63496f,
    0xff654e75,
    0xff794d71,
    0xff7c2c4a,
    0xff801d38,
    0xff9b5d69,
    0xff68605f,
    0xff7e767b,
    0xff896271,
    0xffbb6a62,
    0xffbb2b2f,
    0xffb63441,
    0xff874057,
    0xff622e4d,
    0xff512230,
    0xff641f25,
    0xff95162a,
    0xff9e0615,
    0xff98000b,
    0xffc92332,
    0xffce1e30,
    0xffc40d1e,
    0xffb60513,
    0xffb0050b,
    0xffc0171a,
    0xffd72a27,
    0xffd3342c,
    0xffca3427,
    0xffc72c28,
    0xffc42431,
    0xffb93b55,
    0xff753c5d,
    0xff3f4063,
    0xff46607e,
    0xff3b5386,
    0xff344587,
    0xff5b5e90,
    0xffa85475,
    0xffac0011,
    0xffba060a,
    0xffbb080f,
    0xffb6081c,
    0xffc10a25,
    0xffbe051f,
    0xffc5182c,
    0xffd22634,
    0xffbe0c1c,
    0xffc41a2a,
    0xffa30d1c,
    0xff8f091d,
    0xff8c0d1e,
    0xff9e162e,
    0xffa02544,
    0xff873f5f,
    0xff71557b,
    0xff595d8a,
    0xff3b628b,
    0xff3c729e,
    0xff305d88,
    0xff3a5d81,
    0xff5a728e,
    0xff677a93,
    0xff667a8f,
    0xff92a9bd,
    0xff688397,
    0xff769cc1,
    0xffc5e3ff,
    0xffa1b9d5,
    0xffc8e7f9,
    0xffc0dff9,
    0xffbdd8fe,
    0xffc2d7f9,
    0xffc4d4f0,
    0xffbdd5f5,
    0xffbdd7f6,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbfd9f8,
    0xffbfd8f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbfd9f8,
    0xffbfd9f8,
    0xffc0d9f8,
    0xffbfd6f5,
    0xffc0d7f6,
    0xffc1d7f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed8f6,
    0xffc0d6f6,
    0xffc1d8f7,
    0xffc1d8f7,
    0xffc1d8f7,
    0xffbfd9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc2d9f8,
    0xffc2d8f8,
    0xffc2d9f8,
    0xffc1d7f7,
    0xffc0d7f6,
    0xffc0d7f6,
    0xffc0d7f6,
    0xffc0d7f6,
    0xffc0daf9,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc1d9f8,
    0xffbedaf8,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbed9f7,
    0xffbfdaf8,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad9f6,
    0xffbbdaf7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd6f4,
    0xffc0daf8,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbad7f5,
    0xffb8d6f4,
    0xffbbd6f4,
    0xffbcd7f5,
    0xffbcd6f4,
    0xffb9d7f5,
    0xffbad7f5,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbad3f5,
    0xffbad3f5,
    0xffb8d6f6,
    0xffb9d6f6,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb4d5f4,
    0xffb3d4f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb5d5f3,
    0xffb7d5f7,
    0xffb5d3f5,
    0xffb6d4f7,
    0xffb5d3f5,
    0xffb3d3f1,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb4d3f2,
    0xffb3d2f1,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb4d2f5,
    0xffb5d3f5,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb5d6f9,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb4d5f6,
    0xffb2d3f4,
    0xffb4d5f6,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f5,
    0xffb2d2f8,
    0xffb1d1f7,
    0xffb2d3f5,
    0xffb2d3f5,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb1d2f4,
    0xffb1d2f4,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffaed0f3,
    0xffafd1f4,
    0xffafd1f3,
    0xffafd1f6,
    0xffadcff4,
    0xffaed0f6,
    0xffaed0f6,
    0xffb1d2fc,
    0xffaed0f6,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffaacdf2,
    0xffaccdf6,
    0xffaacbf4,
    0xffabcbf5,
    0xffa9cdf5,
    0xffaacdf5,
    0xffaacdf5,
    0xffa8cbf3,
    0xffa7caf4,
    0xffa7caf4,
    0xffa6c9f3,
    0xffa7cbf4,
    0xffa8c9f4,
    0xffaacbf8,
    0xffaacbf8,
    0xffaacbf8,
    0xffa8c9f6,
    0xffa8c7f7,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa7c9f7,
    0xffa7c9f7,
    0xffa7c9f7,
    0xffa8c9f7,
    0xffa8caf8,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa2c4f2,
    0xffa4c6f3,
    0xffa4c6f4,
    0xffa1c3f1,
    0xffa0c6f2,
    0xffa0c6f2,
    0xffa0c6f2,
    0xffa0c6f2,
    0xffa1c6f3,
    0xff9fc4f1,
    0xff9fc5f1,
    0xff9ec3f0,
    0xffa0c3f4,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9fc3f3,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9fc3f2,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec1f3,
    0xff9cc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9dc3f4,
    0xff9cc2f3,
    0xff9bc1f2,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9abff3,
    0xff9bc0f4,
    0xff9ac1f3,
    0xff97c3f1,
    0xff9ec6f8,
    0xff739ec3,
    0xff2e5f7d,
    0xff4e80ae,
    0xff9dd0ff,
    0xff79a6ba,
    0xff4a7466,
    0xff49794e,
    0xff3c723f,
    0xff366e3c,
    0xff215621,
    0xff245527,
    0xff2d5d32,
    0xff396a32,
    0xff32682f,
    0xff3b7238,
    0xff3d6843,
    0xff13401d,
    0xff2d6143,
    0xff5e9086,
    0xff436d55,
    0xff346233,
    0xff4e845e,
    0xff4d7d60,
    0xff335f54,
    0xff255048,
    0xff1e403b,
    0xff041b23,
    0xff001414,
    0xff00170a,
    0xff052a2b,
    0xff466894,
    0xff224961,
    0xff35605d,
    0xff163b31,
    0xff082423,
    0xff062236,
    0xff214a6a,
    0xff1b5071,
    0xff326e7f,
    0xff225a6b,
    0xff083847,
    0xff00252c,
    0xff001e1e,
    0xff032524,
    0xff113b42,
    0xff002a3d,
    0xff02386a,
    0xff92bfff,
    0xff8cb4f4,
    0xff8eb7eb,
    0xff8bbaef,
    0xff87b8fa,
    0xff94c0fd,
    0xff507b9f,
    0xff164244,
    0xff053223,
    0xff2c5b50,
    0xff406d66,
    0xff275543,
    0xff042c21,
    0xff001f23,
    0xff001d1e,
    0xff365b5d,
    0xff365d3d,
    0xff446744,
    0xff26492b,
    0xff355932,
    0xff0c2a29,
    0xff3f605f,
    0xff143b3b,
    0xff2b5961,
    0xff254b6d,
    0xff001b36,
    0xff063364,
    0xff4b7ad4,
    0xff3f79cf,
    0xff61a0f2,
    0xff205eaf,
    0xff3763c0,
    0xff05428c,
    0xff306ec1,
    0xff467b9e,
    0xff326361,
    0xff88b5f2,
    0xff7fb2ff,
    0xff81bbf3,
    0xff4b82c8,
    0xff447fbf,
    0xff699bd8,
    0xff001c3a,
    0xff103a5f,
    0xff3768a1,
    0xff02343c,
    0xff102e43,
    0xff0c2439,
    0xff072141,
    0xff142f58,
    0xff11374f,
    0xff00253c,
    0xff22498f,
    0xff5c8be4,
    0xff3a71ac,
    0xff436bb0,
    0xff5789d0,
    0xff6599f1,
    0xff85b3ff,
    0xff81a6c6,
    0xff5a7254,
    0xff5b652a,
    0xff646c23,
    0xff3f4606,
    0xff464f22,
    0xff586332,
    0xff6d8330,
    0xff516806,
    0xff4f6315,
    0xff394b0b,
    0xff3f5311,
    0xff4d6826,
    0xff455b25,
    0xff2c4c4c,
    0xff578174,
    0xff3d6e2d,
    0xff35572d,
    0xff394e38,
    0xff2d5529,
    0xff1d4a05,
    0xff40401a,
    0xff75281d,
    0xff87201d,
    0xff5e211d,
    0xff532b19,
    0xff65381e,
    0xff65452f,
    0xff434827,
    0xff48613f,
    0xff5b583e,
    0xff673620,
    0xff57290d,
    0xff48401f,
    0xff576449,
    0xff575f48,
    0xff504b3b,
    0xff384524,
    0xff223a22,
    0xff163013,
    0xff031405,
    0xff0d1a1d,
    0xff0b1510,
    0xff060914,
    0xff062128,
    0xff0a202a,
    0xff122831,
    0xff031f2b,
    0xff1a3c52,
    0xff2c4c6a,
    0xff001126,
    0xff000f13,
    0xff05080f,
    0xff091916,
    0xff14190d,
    0xff583c2f,
    0xff68382b,
    0xff310f02,
    0xff120300,
    0xff100a01,
    0xff191c00,
    0xff25320b,
    0xff67522f,
    0xff8c522e,
    0xffa56a3f,
    0xffb17f59,
    0xff7c5e44,
    0xff051000,
    0xff001100,
    0xff050e04,
    0xff0b130b,
    0xff09210c,
    0xff1b4621,
    0xff225427,
    0xff1f4420,
    0xff475943,
    0xff212110,
    0xff363309,
    0xff3d3700,
    0xff6e5f2e,
    0xff704f2b,
    0xff50270c,
    0xff210600,
    0xff080500,
    0xff31362b,
    0xff000b01,
    0xff000e04,
    0xff0c0d11,
    0xffbcb9c2,
    0xff353e44,
    0xff1b3032,
    0xff081d1d,
    0xff940636,
    0xffe4b2e7,
    0xffcad1ff,
    0xffc9cfff,
    0xffc0d0f1,
    0xffb7d8f1,
    0xffbddaf7,
    0xffc5dfff,
    0xffbbdbff,
    0xffadcef9,
    0xffb9dcff,
    0xffa3c7f0,
    0xff6d94c6,
    0xff385f90,
    0xff6089bd,
    0xff375f97,
    0xff25508a,
    0xff224678,
    0xff7291bb,
    0xffa5c7ee,
    0xff6c9bce,
    0xff154585,
    0xff35609e,
    0xff41649d,
    0xff4b6a90,
    0xff5e708c,
    0xffb1b4c5,
    0xff6b606f,
    0xff5f4e62,
    0xff55445b,
    0xff4a3c50,
    0xff413144,
    0xff4d2747,
    0xff561e2b,
    0xff97383e,
    0xffae4751,
    0xff9d2a3c,
    0xffb9384b,
    0xffb64957,
    0xffb7495a,
    0xffb24b53,
    0xffb74a58,
    0xff903746,
    0xffac868d,
    0xff747774,
    0xff989a96,
    0xff998981,
    0xff9d776e,
    0xffbd5b54,
    0xffb93239,
    0xffa94051,
    0xff5d3a45,
    0xff443030,
    0xff5e251d,
    0xff92252b,
    0xffa40f2e,
    0xff6f000d,
    0xff92020f,
    0xffb50714,
    0xffab0000,
    0xffb30d0a,
    0xffc91a1a,
    0xffd42022,
    0xffdf2e30,
    0xffcc2d27,
    0xffc62526,
    0xffcd2629,
    0xffd3231f,
    0xffcd1d13,
    0xffb2211f,
    0xffaa475c,
    0xff662a56,
    0xff45407e,
    0xff13377d,
    0xff1a3e8b,
    0xff153264,
    0xff87677c,
    0xffab2532,
    0xffb10113,
    0xffbf0e22,
    0xffbc0a10,
    0xffcb0b17,
    0xffca0819,
    0xffb7020e,
    0xffbf141b,
    0xffca1a21,
    0xffc3141d,
    0xffbc1b20,
    0xffbf1927,
    0xff9d0817,
    0xff960918,
    0xff93131f,
    0xff881924,
    0xff801932,
    0xff72355a,
    0xff4f5b7a,
    0xff284e7c,
    0xff325c85,
    0xff3a6789,
    0xff356581,
    0xff386783,
    0xff426d90,
    0xff486f98,
    0xff2a4f7e,
    0xff6b85ac,
    0xff91a4ac,
    0xff7b8891,
    0xffadb8d8,
    0xffbeccf1,
    0xffb5c9f1,
    0xffc9e4ff,
    0xffc2e6ff,
    0xffc6dffe,
    0xffc1daf9,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffc0daf9,
    0xffc1d9f9,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbfd9f6,
    0xffc0d8f8,
    0xffc0d8f9,
    0xffbfd8f8,
    0xffbfd8f8,
    0xffbfd9f7,
    0xffc0d9f8,
    0xffbfd9f8,
    0xffc0d8f8,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffbed8f7,
    0xffbed8f7,
    0xffc0d8f8,
    0xffc0d8f8,
    0xffc0d8f7,
    0xffc1d8f7,
    0xffc1d8f7,
    0xffc1d8f6,
    0xffc0d8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f7,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed8f5,
    0xffbfd5f4,
    0xffc2d6f5,
    0xffc0d7f6,
    0xffc0d7f6,
    0xffc1d7f7,
    0xffbfd9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f7,
    0xffc0d9f6,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0d9f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffc2d8f8,
    0xffc2d8f8,
    0xffc0d7f7,
    0xffbfd6f5,
    0xffc0d7f6,
    0xffc0d7f6,
    0xffc0d7f6,
    0xffc0d7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbedaf8,
    0xffbedaf8,
    0xffbedaf8,
    0xffbedaf8,
    0xffbedaf8,
    0xffc0dbf9,
    0xffc0dbf9,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbad7f5,
    0xffb9d8f5,
    0xffb9d8f6,
    0xffbdd7f5,
    0xffbfd9f7,
    0xffbed9f7,
    0xffc1dbf9,
    0xffbddaf8,
    0xffbcd9f7,
    0xffbcd8f7,
    0xffbcdcf8,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f5,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcdaf8,
    0xffbdd7f5,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbad5f3,
    0xffb8d6f4,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbad8f5,
    0xffbdd7f8,
    0xffbdd6f8,
    0xffb8d5f6,
    0xffb8d5f5,
    0xffb7d6f5,
    0xffb6d7f6,
    0xffb5d6f5,
    0xffb5d5f4,
    0xffb8d7f7,
    0xffb8d7f7,
    0xffb6d5f4,
    0xffb5d4f4,
    0xffb5d4f5,
    0xffb6d3f6,
    0xffb3d2f3,
    0xffb8d6f8,
    0xffb8d7f5,
    0xffb8d7f6,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb7d6f5,
    0xffbad9f8,
    0xffbad9f8,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb6d5f3,
    0xffb4d1f4,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d8fb,
    0xffb2d3f6,
    0xffb4d5f8,
    0xffb4d6f9,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f8,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb1d2f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb0d0f7,
    0xffb0d1f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb0d1f5,
    0xffb1d2f5,
    0xffafd0f3,
    0xffaecff2,
    0xffafd0f3,
    0xffafd3f2,
    0xffb0d2f5,
    0xffb1d4f6,
    0xffb0d2f8,
    0xffaed0f5,
    0xffadcff6,
    0xffadcef4,
    0xffb0d1f9,
    0xffafd1f7,
    0xffaccef4,
    0xffaccef5,
    0xffadcff5,
    0xffaccef4,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf1,
    0xffabcdf4,
    0xffaccef4,
    0xffa9cbf1,
    0xffaacdf2,
    0xffaccdf6,
    0xffaacbf4,
    0xffabcbf4,
    0xffaacef5,
    0xffa9ccf4,
    0xffa9ccf4,
    0xffaacdf5,
    0xffabcef5,
    0xffabcff9,
    0xffa9ccf6,
    0xffa8ccf6,
    0xffaacbf6,
    0xffa9caf8,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa7c8f6,
    0xffa6c6f5,
    0xffa6c5f5,
    0xffa7c7f7,
    0xffa9c9f8,
    0xffa5c5f4,
    0xffa5c8f5,
    0xffa4c6f4,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa6c8f5,
    0xffa5c7f5,
    0xffa5c7f5,
    0xffa6c8f6,
    0xffa4c7f4,
    0xffa3c5f2,
    0xffa7c9f9,
    0xffa7c9f9,
    0xffa5c7f7,
    0xffa3c5f6,
    0xffa2c4f5,
    0xffa5c7f8,
    0xffa4c6f6,
    0xffa1c3f4,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa0c5f2,
    0xffa2c7f4,
    0xff9fc4f1,
    0xffa0c5f2,
    0xff9ec3f0,
    0xffa1c5f5,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa1c5f5,
    0xff9fc3f4,
    0xffa0c3f4,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9ec3f5,
    0xff9ec3f4,
    0xff9ec3f5,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9cc3f3,
    0xff9cc3f4,
    0xff9dc3f4,
    0xff9cc3f3,
    0xff9dc3f4,
    0xff9cc3f4,
    0xff9cc2f3,
    0xff9bc1f1,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9abff3,
    0xff99bef2,
    0xff99bef2,
    0xff9ac1f5,
    0xff9abefb,
    0xffa2ccef,
    0xff5d92a5,
    0xff2f6691,
    0xff5e96c4,
    0xff5d95a2,
    0xff6b9d97,
    0xff5b879e,
    0xff406c89,
    0xff124152,
    0xff558384,
    0xff5c8677,
    0xff3f6842,
    0xff1f4818,
    0xff3e6c3a,
    0xff265e24,
    0xff568156,
    0xff3f6844,
    0xff21532d,
    0xff3a6b4a,
    0xff234f2f,
    0xff2f5e35,
    0xff225b2b,
    0xff2b5d3e,
    0xff6c9c8b,
    0xff456f5b,
    0xff153723,
    0xff10261b,
    0xff001405,
    0xff153420,
    0xff00241c,
    0xff1e444d,
    0xff2e5747,
    0xff022c0d,
    0xff193827,
    0xff12252b,
    0xff142836,
    0xff133830,
    0xff124621,
    0xff2e4f42,
    0xff0e2a23,
    0xff001511,
    0xff071915,
    0xff091816,
    0xff051b1d,
    0xff001a2a,
    0xff27516c,
    0xff639dc5,
    0xff8bbcf6,
    0xff99c3f7,
    0xff7ba9c4,
    0xff6396ae,
    0xff70a3cd,
    0xff87b6d7,
    0xff235153,
    0xff011f0c,
    0xff507350,
    0xff2c5632,
    0xff3b6a4d,
    0xff2b5e54,
    0xff205271,
    0xff5786b2,
    0xff45788e,
    0xff174346,
    0xff315b3d,
    0xff395d40,
    0xff406350,
    0xff2a502b,
    0xff375948,
    0xff356141,
    0xff3c6c47,
    0xff486f6a,
    0xff1f486c,
    0xff21558c,
    0xff87bcff,
    0xff659cef,
    0xff3874bb,
    0xff3777cd,
    0xff4a8deb,
    0xff3f80d9,
    0xff2265af,
    0xff1a4fa1,
    0xff365a83,
    0xff04233d,
    0xff4773b9,
    0xff2c67b6,
    0xff4889ce,
    0xff3e72c2,
    0xff5b93dc,
    0xff164584,
    0xff12315b,
    0xff092251,
    0xff4a74c2,
    0xff174557,
    0xff0c2748,
    0xff4474a0,
    0xff164777,
    0xff5b8bc8,
    0xff4979b5,
    0xff3663a0,
    0xff527cd4,
    0xff3d69ca,
    0xff7ab2eb,
    0xff82b0da,
    0xff6c9fc4,
    0xff659bb8,
    0xff638db2,
    0xff547098,
    0xff3b5542,
    0xff73943e,
    0xff6a8d2a,
    0xff436008,
    0xff38510f,
    0xff0e2500,
    0xff697c31,
    0xff6e792c,
    0xff364106,
    0xff4d612c,
    0xff385619,
    0xff4a672d,
    0xff728167,
    0xff385a64,
    0xff326645,
    0xff1d5b0b,
    0xff113f16,
    0xff121b10,
    0xff181b02,
    0xff4c1d07,
    0xff601f11,
    0xff7b2a13,
    0xff702c0f,
    0xff351405,
    0xff412615,
    0xff512811,
    0xff552612,
    0xff612a03,
    0xff463617,
    0xff533726,
    0xff6a231e,
    0xff59271a,
    0xff2e2918,
    0xff1f2c1a,
    0xff142309,
    0xff242d0d,
    0xff192b00,
    0xff2c3a23,
    0xff252c18,
    0xff232018,
    0xff141317,
    0xff0f1d0b,
    0xff0a2416,
    0xff0f252a,
    0xff0a2036,
    0xff2d3d5a,
    0xff171b2a,
    0xff202528,
    0xff111818,
    0xff2d2520,
    0xff46281b,
    0xff643d3a,
    0xff2a2317,
    0xff181305,
    0xff663a31,
    0xff603024,
    0xff303020,
    0xff001f23,
    0xff001334,
    0xff01082e,
    0xff29415a,
    0xff000e17,
    0xff0f0d03,
    0xff3f2a12,
    0xff271400,
    0xff070100,
    0xff070c11,
    0xff000e03,
    0xff001602,
    0xff001800,
    0xff234420,
    0xff30522d,
    0xff284928,
    0xff092a0d,
    0xff022105,
    0xff283726,
    0xff0b1a07,
    0xff1b1c0e,
    0xff35261b,
    0xff21180e,
    0xff0c190c,
    0xff0e2011,
    0xff3b3f33,
    0xff392e1f,
    0xff09140a,
    0xff071e1c,
    0xff000000,
    0xffbcb8b0,
    0xff3f3e2e,
    0xff32372e,
    0xff0a0e10,
    0xff890b34,
    0xffbf9bda,
    0xffc5d6fc,
    0xffd1d7fe,
    0xffcbd5ff,
    0xffc0e7ff,
    0xff89b2dd,
    0xff92b3e8,
    0xff577ab2,
    0xff3d6192,
    0xff2c4f87,
    0xff416aa5,
    0xff3e6d99,
    0xff285671,
    0xff39587f,
    0xff304282,
    0xff456b9a,
    0xff133669,
    0xff313a7a,
    0xff475278,
    0xff587ca3,
    0xff1a3d82,
    0xff3c4f89,
    0xff4b6080,
    0xff5e7493,
    0xff7a7d95,
    0xff8d7d8d,
    0xff574554,
    0xff56485d,
    0xff4a3d58,
    0xff4b3e59,
    0xff423749,
    0xff502c44,
    0xff712433,
    0xffad3235,
    0xffb71f21,
    0xffa9181b,
    0xffbe232e,
    0xffd31c2d,
    0xffca2c2f,
    0xffb7221c,
    0xffd8424a,
    0xffa44a5b,
    0xff575f63,
    0xff41555d,
    0xff514f67,
    0xff7a667d,
    0xffa15059,
    0xffbe4545,
    0xffac434f,
    0xff8d3b52,
    0xff4b2e3c,
    0xff3c2a2b,
    0xff701d26,
    0xffa82434,
    0xffa31023,
    0xff810008,
    0xff9f0815,
    0xffbf1d22,
    0xffd6272b,
    0xffce1a24,
    0xffc81621,
    0xffd5272f,
    0xffd0272a,
    0xffcb2622,
    0xffd02a27,
    0xffcc231e,
    0xffcc201e,
    0xffc92121,
    0xffc52729,
    0xffac1f23,
    0xffc2464d,
    0xff5a375d,
    0xff163478,
    0xff002576,
    0xff24316c,
    0xff645072,
    0xffa84556,
    0xffa7000f,
    0xffb6081e,
    0xffc60b1a,
    0xffd72632,
    0xffbf0e1c,
    0xffc4061a,
    0xffbd0111,
    0xffbb1116,
    0xffbb1b17,
    0xffcb2721,
    0xffcb292c,
    0xffd6323a,
    0xffbc1625,
    0xffaa0d1e,
    0xff9b0e1d,
    0xff8f1628,
    0xff7e1e32,
    0xff7a2f49,
    0xff504964,
    0xff62728e,
    0xff4c7492,
    0xff336c8f,
    0xff306d8d,
    0xff2f6784,
    0xff346587,
    0xff25557c,
    0xff326487,
    0xff4b6d93,
    0xff4f5d83,
    0xff7d89a4,
    0xff657b9d,
    0xff5372a2,
    0xff47618d,
    0xffa7b7d4,
    0xff94a2c2,
    0xffcaddff,
    0xffc8e3fb,
    0xffbee0f5,
    0xffbad9fd,
    0xffc0dcfd,
    0xffbfd8f1,
    0xffc2d7f3,
    0xffc2def1,
    0xffc0dbf7,
    0xffbcd4fb,
    0xffc3d8ff,
    0xffc0d8fe,
    0xffc0d8fb,
    0xffbed6fa,
    0xffbfd7fd,
    0xffc4d9f4,
    0xffc2d9f4,
    0xffc1d7f7,
    0xffc2d9f8,
    0xffc2d9f9,
    0xffc2d7f6,
    0xffc0d4f3,
    0xffc2d5f3,
    0xffbcd7f5,
    0xffbdd7f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbfd7f5,
    0xffbfd8f6,
    0xffc0d8f7,
    0xffc0daf4,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0daf4,
    0xffc0daf4,
    0xffc0daf4,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd9f7,
    0xffbfd9f7,
    0xffbfd9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf4,
    0xffc0daf4,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbdd6f4,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed8f2,
    0xffc0daf4,
    0xffc1dbf3,
    0xffc1dbf5,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf7,
    0xffc1daf8,
    0xffc1daf8,
    0xffbfd8f6,
    0xffc1dbf6,
    0xffc0dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffbfd8f6,
    0xffc0d8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d8f6,
    0xffc0d8f6,
    0xffc0d8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed8f6,
    0xffbdd7f4,
    0xffbdd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbcdaf5,
    0xffbcdaf5,
    0xffbcd8f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f6,
    0xffbcd9f9,
    0xffbddaf8,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad8f5,
    0xffbad8f5,
    0xffb9d6f4,
    0xffbad7f5,
    0xffb9d6f4,
    0xffbad7f4,
    0xffbbd8f6,
    0xffbddaf7,
    0xffbad9f6,
    0xffbad9f6,
    0xffb6d5f2,
    0xffb6d5f2,
    0xffb5d4f0,
    0xffb6d5f2,
    0xffb6d5f2,
    0xffb6d5f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb9d8f7,
    0xffb7d6f4,
    0xffb5d4f2,
    0xffb5d5f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f2,
    0xffb5d2f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb5d3f4,
    0xffb6d4f5,
    0xffb5d3f5,
    0xffb5d3f5,
    0xffb4d1f3,
    0xffb2d4f5,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffafd0f4,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb4d5f8,
    0xffb3d4f7,
    0xffb1d3f5,
    0xffb2d3f5,
    0xffb2d3f2,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb2d3f3,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d2f5,
    0xffb1d3f5,
    0xffb0d2f7,
    0xffafd0f5,
    0xffadd1f5,
    0xffabcff3,
    0xffafd0f5,
    0xffaed0f5,
    0xffadcff4,
    0xffadcff4,
    0xffadcff4,
    0xffabcdf2,
    0xffaccef3,
    0xffafd1f5,
    0xffaed0f6,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffaacbf5,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffaccdf6,
    0xffabcbf4,
    0xffaacbf4,
    0xffadcef7,
    0xffa8c8f1,
    0xffacccf5,
    0xffaccdf6,
    0xffaacbf7,
    0xffabccf7,
    0xffaacbf6,
    0xffaacbf6,
    0xffaacbf6,
    0xffa9caf4,
    0xffa7c8f4,
    0xffa7c8f4,
    0xffabcbfa,
    0xffa8c8f7,
    0xffa9c9f8,
    0xffa9c9f8,
    0xffa9c9f8,
    0xffa9c8f8,
    0xffa9c9f8,
    0xffabcaf9,
    0xffa6c6f8,
    0xffa6c6f8,
    0xffa7c6f8,
    0xffa7c7f8,
    0xffa6c6f7,
    0xffa5c5f7,
    0xffa5c5f6,
    0xffa5c5f7,
    0xffa6c8f5,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa3c5f2,
    0xffa4c6f3,
    0xffa4c6f3,
    0xffa4c6f3,
    0xffa4c6f3,
    0xffa1c7f4,
    0xffa1c8f5,
    0xffa3caf7,
    0xff9fc5f2,
    0xff9fc5f2,
    0xff9fc6f3,
    0xff9fc6f3,
    0xff9fc6f3,
    0xffa1c6f2,
    0xffa1c6f2,
    0xff9fc4f1,
    0xff9fc4f1,
    0xffa1c6f3,
    0xffa0c5f2,
    0xffa0c5f1,
    0xff9fc4f1,
    0xffa2c2f6,
    0xffa1c2f5,
    0xffa0c1f4,
    0xffa0c1f4,
    0xffa1c1f5,
    0xff9ec3f5,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9bbff1,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec1f3,
    0xff9ec1f4,
    0xff9ec2f3,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9abff3,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9cc1f5,
    0xff9fbef5,
    0xff99b8ff,
    0xffa3c6fb,
    0xff8db9d9,
    0xff406c9e,
    0xff4a7cab,
    0xff326b7d,
    0xff3b777f,
    0xff69a3cc,
    0xffa9deff,
    0xff9fcdff,
    0xff638dba,
    0xff558186,
    0xff3d6c4a,
    0xff396743,
    0xff285442,
    0xff295c2f,
    0xff144611,
    0xff2e5b28,
    0xff2f582a,
    0xff173d19,
    0xff183b1f,
    0xff274b31,
    0xff21472b,
    0xff41724e,
    0xff38634d,
    0xff547b71,
    0xff19382f,
    0xff2c4b3c,
    0xff09270d,
    0xff3a5d3d,
    0xff2f5333,
    0xff224129,
    0xff001912,
    0xff082723,
    0xff001919,
    0xff07222d,
    0xff183233,
    0xff11291e,
    0xff0b221b,
    0xff133029,
    0xff102b20,
    0xff0c2414,
    0xff081d0d,
    0xff051510,
    0xff102326,
    0xff092028,
    0xff09252b,
    0xff295c5d,
    0xff527f8a,
    0xff476d6e,
    0xff3b6948,
    0xff3b7149,
    0xff427561,
    0xff285544,
    0xff1c4523,
    0xff13311a,
    0xff163d1b,
    0xff326447,
    0xff0c4346,
    0xff0b3f6b,
    0xff72a2e1,
    0xff9ac7f6,
    0xff043244,
    0xff3e6b5b,
    0xff375833,
    0xff34583d,
    0xff1d422d,
    0xff2e4537,
    0xff31543a,
    0xff447566,
    0xff285043,
    0xff345758,
    0xff35606c,
    0xff78a8cd,
    0xff77ace3,
    0xff205687,
    0xff306e92,
    0xff1d5b99,
    0xff3c79da,
    0xff256dc6,
    0xff437ed9,
    0xff1e4894,
    0xff00194f,
    0xff1e4483,
    0xff4a72cf,
    0xff204ca1,
    0xff4f7fb2,
    0xff113566,
    0xff09376f,
    0xff0d447a,
    0xff1a4b97,
    0xff1e4486,
    0xff3d5d86,
    0xff18425a,
    0xff335d9c,
    0xff2066a9,
    0xff7caaff,
    0xff7fa7ff,
    0xff79affe,
    0xff72afee,
    0xff7aafe2,
    0xff7daae9,
    0xff75a8d6,
    0xff608387,
    0xff496d4f,
    0xff46654c,
    0xff638052,
    0xff4a5f42,
    0xff768d47,
    0xff607b15,
    0xff718937,
    0xff3f5408,
    0xff405511,
    0xff405818,
    0xff657922,
    0xff686c18,
    0xff324306,
    0xff355618,
    0xff2a4016,
    0xff3b5b35,
    0xff4c6625,
    0xff405a2b,
    0xff305532,
    0xff173b0c,
    0xff252b0a,
    0xff32190e,
    0xff401a07,
    0xff791f1b,
    0xff7a290b,
    0xff77300b,
    0xff7a3229,
    0xff793130,
    0xff5a1806,
    0xff501c00,
    0xff5d2c1d,
    0xff7d3425,
    0xff462305,
    0xff3d1f04,
    0xff4d1f11,
    0xff451612,
    0xff522823,
    0xff3d3019,
    0xff335623,
    0xff3a621e,
    0xff365822,
    0xff1f3818,
    0xff0f200b,
    0xff212d1c,
    0xff162011,
    0xff0f1c0e,
    0xff0a1e10,
    0xff092106,
    0xff051c1d,
    0xff030f21,
    0xff221c21,
    0xff392b1d,
    0xff2f240e,
    0xff372110,
    0xff5a3428,
    0xff3b1514,
    0xff361d13,
    0xff47382c,
    0xff18120d,
    0xff171c1b,
    0xff00141e,
    0xff113359,
    0xff567fc2,
    0xff4778b4,
    0xff193b60,
    0xff001515,
    0xff041500,
    0xff1e2c19,
    0xff000c00,
    0xff11281d,
    0xff001104,
    0xff1b3512,
    0xff375730,
    0xff2b5a28,
    0xff215b1f,
    0xff25501f,
    0xff26371e,
    0xff142213,
    0xff011e0d,
    0xff041d0e,
    0xff0c1904,
    0xff161f1b,
    0xff172216,
    0xff262a1c,
    0xff222b31,
    0xff12231d,
    0xff232a16,
    0xff24200b,
    0xff223620,
    0xff1c3b27,
    0xff13231a,
    0xff7b7a77,
    0xff5d5858,
    0xff3d393e,
    0xff130b12,
    0xffae2439,
    0xffd1afe2,
    0xffabdaf9,
    0xff578cac,
    0xff709dce,
    0xff4a75b1,
    0xff1c4082,
    0xff244f73,
    0xff376297,
    0xff2c5878,
    0xff6e99ac,
    0xff2a5374,
    0xff426c96,
    0xff456a88,
    0xff667f90,
    0xff78879a,
    0xff435289,
    0xff596c95,
    0xff556083,
    0xff73808c,
    0xff4d636e,
    0xff2c3c60,
    0xff475169,
    0xff4f596b,
    0xff363f5b,
    0xff8d8ba3,
    0xff63586d,
    0xff5d4e61,
    0xff594a5f,
    0xff4e3f55,
    0xff493a4f,
    0xff45394c,
    0xff433648,
    0xff632a37,
    0xffb64948,
    0xffe14b3f,
    0xffc9311c,
    0xffc11a13,
    0xffd2171f,
    0xffc7282e,
    0xffb42b27,
    0xffc52223,
    0xffd75d5d,
    0xff844f4e,
    0xff937580,
    0xff5a5a6f,
    0xff5e565f,
    0xffbd5452,
    0xffaf343d,
    0xff8a4c4f,
    0xff5e3442,
    0xff4d2c3a,
    0xff502029,
    0xff8b2e39,
    0xffc5545b,
    0xff800208,
    0xffb11722,
    0xffc32127,
    0xffcb2123,
    0xffd11d21,
    0xffc9131c,
    0xffc2101a,
    0xffc01418,
    0xffc82620,
    0xffc8271d,
    0xffcd2d23,
    0xffd53228,
    0xffd63129,
    0xffcd2924,
    0xffce332f,
    0xffc83936,
    0xffc84645,
    0xffa45c71,
    0xff463f71,
    0xff1a2f70,
    0xff2c3874,
    0xff736896,
    0xff9f506a,
    0xffa50d1e,
    0xffb8051f,
    0xffc30d19,
    0xffc41820,
    0xffbe121c,
    0xffc60e1e,
    0xffbc0513,
    0xffc42226,
    0xffde4743,
    0xffc12721,
    0xffe23a41,
    0xffc2151f,
    0xffc91929,
    0xffc92032,
    0xffbc1d2d,
    0xffa11325,
    0xff8a0d23,
    0xff8a1831,
    0xff7a2c49,
    0xff795e73,
    0xff324559,
    0xff345574,
    0xff365e82,
    0xff235780,
    0xff296294,
    0xff366aa3,
    0xff3a6082,
    0xff2c638a,
    0xff0f4b71,
    0xff1d486a,
    0xff335178,
    0xff597ba1,
    0xff5c7892,
    0xff6b7c84,
    0xff618385,
    0xff93a7c0,
    0xff687098,
    0xffa4b4db,
    0xffb3d3f4,
    0xffb1d8f3,
    0xffcde9ff,
    0xffd0e1ff,
    0xffbfdeff,
    0xffb9d7fa,
    0xffc3dcf9,
    0xffc1d8f5,
    0xffc0d6f7,
    0xffc1d7fa,
    0xffc0daf9,
    0xffbdd9f3,
    0xffbfdaf8,
    0xffbdd7f8,
    0xffbfd8fa,
    0xffc1dbfd,
    0xffc0dbfd,
    0xffbbdafb,
    0xffbbdafa,
    0xffbddbf8,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbdd6f4,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbfd8f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d8f8,
    0xffc0daf5,
    0xffc0daf4,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbfd9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffc0daf5,
    0xffc0daf5,
    0xffc0daf4,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfdaf4,
    0xffc1dbf5,
    0xffc1daf6,
    0xffc1d9f9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc0d9f8,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffc1d9f8,
    0xffc1d9f8,
    0xffc1d9f8,
    0xffc1d9f8,
    0xffc1d9f8,
    0xffc1d9f8,
    0xffc1d9f8,
    0xffc1d9f8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbcd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd8f6,
    0xffbcdaf5,
    0xffbcdaf6,
    0xffbcdaf5,
    0xffbcd8f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f6,
    0xffbbd8f9,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd7f6,
    0xffbbd7f6,
    0xffb7d7f4,
    0xffb9d8f5,
    0xffb8d7f4,
    0xffb6d5f2,
    0xffb6d5f2,
    0xffb6d5f2,
    0xffb7d6f3,
    0xffb6d5f2,
    0xffb6d5f5,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb9d8f7,
    0xffb7d6f5,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb9d8f7,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f3,
    0xffb6d4f7,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb3d5f5,
    0xffb2d3f3,
    0xffb3d4f4,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb2d3f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb4d5f8,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f5,
    0xffb2d3f2,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f3,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffafd1f4,
    0xffafd1f7,
    0xffb0d2f7,
    0xffb0d1f7,
    0xffafd3f7,
    0xffb1d2f7,
    0xffafd1f6,
    0xffafd1f6,
    0xffaed0f5,
    0xffaccef3,
    0xffadcff4,
    0xffaed0f5,
    0xffadcff4,
    0xffb0d2f9,
    0xffaed0f6,
    0xffa9cbf1,
    0xffaed0f6,
    0xffadcff5,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffaaccf2,
    0xffabcbf5,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffaccdf6,
    0xffaacbf4,
    0xffabccf5,
    0xffaccdf6,
    0xffa8c9f2,
    0xffabccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaccdf6,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf8,
    0xffa7c8f5,
    0xffa9caf7,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa9caf7,
    0xffa7c7f6,
    0xffa9c9f8,
    0xffa8c8f6,
    0xffa6c6f4,
    0xffa8c8f6,
    0xffa6c6f5,
    0xffa5c5f3,
    0xffa5c5f3,
    0xffa6c8f6,
    0xffa6c8f6,
    0xffa4c6f4,
    0xffa5c7f5,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa4c5f4,
    0xffa1c7f3,
    0xffa2c8f5,
    0xffa3c9f5,
    0xffa0c5f2,
    0xffa0c6f3,
    0xffa0c6f3,
    0xffa0c6f3,
    0xffa0c6f3,
    0xffa1c6f3,
    0xffa0c5f2,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa0c5f2,
    0xff9ec3f0,
    0xffa2c3f6,
    0xffa1c2f5,
    0xffa1c2f5,
    0xffa1c1f5,
    0xff9ec3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9bbff1,
    0xff9cc0f2,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9cc1f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9abff3,
    0xff9bc0f4,
    0xff9bc0f4,
    0xff9ac0f3,
    0xff9ec2f3,
    0xff9fc2ff,
    0xff99c2f0,
    0xff98c5e4,
    0xffa5d4fe,
    0xff6a9ac2,
    0xff306a7e,
    0xff326d81,
    0xff346a7b,
    0xff447a9b,
    0xff8ec6f6,
    0xff8bc5f3,
    0xff71a9c8,
    0xff5c8f96,
    0xff477666,
    0xff3e6747,
    0xff366131,
    0xff23501f,
    0xff436f3e,
    0xff345e2c,
    0xff345e29,
    0xff153e10,
    0xff21492c,
    0xff254b39,
    0xff285635,
    0xff1f4c30,
    0xff052e19,
    0xff123b22,
    0xff4e7550,
    0xff19440f,
    0xff1e4a0e,
    0xff416f33,
    0xff14380e,
    0xff062713,
    0xff001810,
    0xff2b4c4b,
    0xff1e3c45,
    0xff193635,
    0xff153122,
    0xff1f352f,
    0xff162a29,
    0xff0d2323,
    0xff041c1e,
    0xff001917,
    0xff0d2923,
    0xff142e22,
    0xff142a1a,
    0xff102515,
    0xff042b12,
    0xff2c5539,
    0xff4f7759,
    0xff285732,
    0xff104518,
    0xff2f6432,
    0xff2d572e,
    0xff3e5b41,
    0xff2b4941,
    0xff193f3b,
    0xff3f6c74,
    0xff457593,
    0xff285684,
    0xff2a5882,
    0xff295469,
    0xff093233,
    0xff154129,
    0xff244b20,
    0xff183d20,
    0xff1a3e24,
    0xff2f4c3d,
    0xff1f451f,
    0xff1a4535,
    0xff0e3838,
    0xff15454c,
    0xff265862,
    0xff306073,
    0xff2d5e71,
    0xff41767a,
    0xff3c7775,
    0xff276588,
    0xff3978c9,
    0xff1047a7,
    0xff4076d8,
    0xff1e57ac,
    0xff2f73b2,
    0xff3f85c6,
    0xff3070bd,
    0xff83b7fc,
    0xff1e4674,
    0xff0e2f4f,
    0xff072d63,
    0xff1c4f88,
    0xff7bb0fa,
    0xff92c4ff,
    0xff244e76,
    0xff3c6a85,
    0xff3a6daa,
    0xff3c7ab4,
    0xff6899e9,
    0xff7babfe,
    0xff73a8fb,
    0xff76a7e3,
    0xff557b8e,
    0xff6a8da2,
    0xff7da4cf,
    0xff6b8a7f,
    0xff1b3b17,
    0xff617d57,
    0xff3b590f,
    0xff445b25,
    0xff3e550c,
    0xff6d8b1f,
    0xff5b760d,
    0xff4d5f1a,
    0xff425a19,
    0xff3f611e,
    0xff506914,
    0xff787621,
    0xff6a6d32,
    0xff21330c,
    0xff343e2a,
    0xff3a4739,
    0xff7a764a,
    0xff5e5f26,
    0xff354a18,
    0xff595e39,
    0xff572512,
    0xff7d2617,
    0xffa34c32,
    0xff7d291b,
    0xff73230c,
    0xff7e321d,
    0xff7b3229,
    0xff78342d,
    0xff702e1c,
    0xff742f1b,
    0xff732b20,
    0xff581316,
    0xff4a231e,
    0xff321509,
    0xff441f11,
    0xff502b16,
    0xff441f06,
    0xff463919,
    0xff2d4d1e,
    0xff2e511c,
    0xff325e2a,
    0xff30572c,
    0xff344d25,
    0xff233108,
    0xff273712,
    0xff142a09,
    0xff021a03,
    0xff081c11,
    0xff111e0e,
    0xff181f0c,
    0xff131305,
    0xff1a0f08,
    0xff2a170e,
    0xff3c2410,
    0xff362104,
    0xff191e08,
    0xff1c2317,
    0xff1c2521,
    0xff0d1518,
    0xff20273b,
    0xff0f1b3c,
    0xff000f29,
    0xff001b24,
    0xff0d2b36,
    0xff142428,
    0xff0b2017,
    0xff0c291e,
    0xff051b19,
    0xff001518,
    0xff1f2d2b,
    0xff170400,
    0xff5c3f26,
    0xff605a3f,
    0xff182d0e,
    0xff1d3b1b,
    0xff2c4628,
    0xff1c321b,
    0xff0c2210,
    0xff041c0f,
    0xff06201b,
    0xff121e13,
    0xff081413,
    0xff071804,
    0xff0f1500,
    0xff181d13,
    0xff2b3228,
    0xff242112,
    0xff0d1a09,
    0xff0c180a,
    0xff0e2215,
    0xff0b2a16,
    0xff193019,
    0xffa9aa9b,
    0xff423533,
    0xff1f1217,
    0xffaa1a30,
    0xffa36895,
    0xff404a77,
    0xff3b6085,
    0xff326782,
    0xff164173,
    0xff294a8f,
    0xff416991,
    0xff2a5778,
    0xff5f8790,
    0xff3c6062,
    0xff304f67,
    0xff3f608c,
    0xff294971,
    0xff506d79,
    0xff738a88,
    0xff3d516e,
    0xff46585f,
    0xff708382,
    0xff627165,
    0xff7a7f74,
    0xff999e96,
    0xff91a285,
    0xff98a794,
    0xff645667,
    0xffafa4bb,
    0xff655f77,
    0xff5b4f68,
    0xff534258,
    0xff4e3c4f,
    0xff4a3a4d,
    0xff47384e,
    0xff4a3340,
    0xff5f2430,
    0xff912f31,
    0xffbf342f,
    0xffc52c1d,
    0xffd9342e,
    0xffcc1221,
    0xffb8192b,
    0xffc62c2e,
    0xffd0311e,
    0xffc14222,
    0xffb74937,
    0xffab5660,
    0xff664b64,
    0xff684455,
    0xffb14a43,
    0xff9c434f,
    0xff674348,
    0xff482935,
    0xff482130,
    0xff64343c,
    0xffd9898c,
    0xffac3c3e,
    0xffa5161b,
    0xffc92123,
    0xffd12423,
    0xffc71516,
    0xffce181b,
    0xffc91119,
    0xffd12126,
    0xffc82020,
    0xffc6261c,
    0xffcf3527,
    0xffc92f21,
    0xffca3121,
    0xffcf3226,
    0xffd33429,
    0xffcb3027,
    0xffc9392f,
    0xffd44b41,
    0xffc45245,
    0xff895256,
    0xff78778b,
    0xff5d6b8c,
    0xff787494,
    0xffa5717d,
    0xff9c201f,
    0xffbc0914,
    0xffc91e1f,
    0xffbe181a,
    0xffc0131c,
    0xffc60c19,
    0xffc20715,
    0xffb90c15,
    0xffc01d22,
    0xffbe181d,
    0xffd5222d,
    0xffbf0b17,
    0xffc41020,
    0xffc61422,
    0xffcc202c,
    0xffcd2937,
    0xffba1e31,
    0xffa60e26,
    0xff950625,
    0xff7b323a,
    0xff8b817a,
    0xff82878b,
    0xff596784,
    0xff143b64,
    0xff2e5d88,
    0xff2d517b,
    0xff2e5073,
    0xff235f8b,
    0xff296ca1,
    0xff255489,
    0xff153f6e,
    0xff2c6088,
    0xff3a6485,
    0xff617492,
    0xff698996,
    0xff768996,
    0xff8890a4,
    0xff95a3bf,
    0xff1f3d5f,
    0xff6792bc,
    0xff6389be,
    0xff7894cb,
    0xff8297c8,
    0xffd9efff,
    0xffc4dcfa,
    0xffcde7fb,
    0xffcbe2fc,
    0xffc4d8f3,
    0xffcadcef,
    0xffc7d9e7,
    0xffc0daf9,
    0xffbed7f8,
    0xffc0d7f8,
    0xffc1d9f9,
    0xffbfdaf9,
    0xffbfdbf9,
    0xffbcdcfa,
    0xffbbdcfb,
    0xffc0d9f3,
    0xffc1d8f4,
    0xffc1d9f5,
    0xffc1dbf5,
    0xffc0d9f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed7f6,
    0xffc0d9f8,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0daf4,
    0xffc0daf4,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbfd8f7,
    0xffbed7f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffc1daf8,
    0xffc1daf8,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc1d9f8,
    0xffc1d9f9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc0d9f8,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbdd9f7,
    0xffbed8f6,
    0xffbed8f6,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed8f7,
    0xffbbdaf5,
    0xffbcdaf6,
    0xffbcdaf5,
    0xffbcd8f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f6,
    0xffbcd9f9,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbddaf8,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb7d7f4,
    0xffb8d7f4,
    0xffb9d8f5,
    0xffb8d7f4,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb9d8f7,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d5f3,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb5d3f6,
    0xffb5d3f6,
    0xffb6d4f6,
    0xffb4d6f9,
    0xffb4d5f8,
    0xffb4d5f8,
    0xffb3d4f7,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f7,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb0d1f0,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb1d2f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffb0d2f5,
    0xffafd1f7,
    0xffafd2f6,
    0xffaed0f5,
    0xffb0d2f7,
    0xffafd1f6,
    0xffafd1f6,
    0xffaed0f5,
    0xffaed0f5,
    0xffafd1f6,
    0xffafd1f6,
    0xffaed0f5,
    0xffadcff6,
    0xffb0d2f8,
    0xffaed0f6,
    0xffaed0f6,
    0xffaed0f7,
    0xffadcff5,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf2,
    0xffaccef4,
    0xffadcff5,
    0xffadcff5,
    0xffaccef3,
    0xffabcbf5,
    0xffa9caf3,
    0xffabccf5,
    0xffaacbf5,
    0xffaccdf6,
    0xffaacbf5,
    0xffaccdf6,
    0xffaccdf6,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf4,
    0xffabccf5,
    0xffabccf5,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffa8c9f2,
    0xffa9caf3,
    0xffaacbf6,
    0xffa7c8f3,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa9caf5,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c8f7,
    0xffa9c9f8,
    0xffa8c8f7,
    0xffa6c6f5,
    0xffa6c5f5,
    0xffa5c5f4,
    0xffa7c7f6,
    0xffa7c6f6,
    0xffa4c7f4,
    0xffa4c6f4,
    0xffa4c7f4,
    0xffa4c7f4,
    0xffa5c7f5,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa3c6f3,
    0xffa3c5f3,
    0xffa5c7f5,
    0xffa4c6f4,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c4f3,
    0xffa0c6f3,
    0xffa0c5f2,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xffa1c6f3,
    0xff9fc4f1,
    0xff9fc4f0,
    0xffa0c2f4,
    0xffa0c1f5,
    0xffa0c1f4,
    0xffa1c1f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f3,
    0xff9cc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9dc2f6,
    0xff9bc0f4,
    0xff9cc1f5,
    0xff9bc0f4,
    0xff9ac0f3,
    0xff9cc3f0,
    0xffa0c5f6,
    0xffa7d0f9,
    0xff9cc6f6,
    0xff95c0f9,
    0xffa1cffb,
    0xff568aa4,
    0xff5185a0,
    0xff275b6c,
    0xff346c7c,
    0xff4b8891,
    0xff448787,
    0xff609ca3,
    0xff89becb,
    0xff7db0a5,
    0xff5a8b5d,
    0xff335822,
    0xff22491f,
    0xff143b1d,
    0xff48704f,
    0xff224d20,
    0xff133d12,
    0xff133619,
    0xff05251a,
    0xff244d30,
    0xff234d32,
    0xff174428,
    0xff3c6b41,
    0xff3e6f33,
    0xff457b2d,
    0xff5c903f,
    0xff336618,
    0xff2b5222,
    0xff22462a,
    0xff284f36,
    0xff163d27,
    0xff1b3e38,
    0xff274841,
    0xff0a2921,
    0xff10292e,
    0xff132328,
    0xff0f2330,
    0xff1a344b,
    0xff416275,
    0xff103337,
    0xff0d2c24,
    0xff0f2518,
    0xff1e2f23,
    0xff0d2816,
    0xff1f3e20,
    0xff426644,
    0xff477154,
    0xff3a6a43,
    0xff407038,
    0xff537949,
    0xff5a735d,
    0xff4d7062,
    0xff426d4f,
    0xff4d7f56,
    0xff1a502d,
    0xff3d7063,
    0xff204b49,
    0xff002316,
    0xff062b11,
    0xff1c411e,
    0xff44733d,
    0xff153913,
    0xff112e16,
    0xff122e28,
    0xff1d3f24,
    0xff153738,
    0xff285277,
    0xff2c5d9c,
    0xff245487,
    0xff15426b,
    0xff2c547d,
    0xff274f79,
    0xff275784,
    0xff4f89c6,
    0xff3274c6,
    0xff5b94ee,
    0xff578fee,
    0xff4d8de7,
    0xff72b7ff,
    0xff6ab1e7,
    0xff5b97bf,
    0xff063245,
    0xff0c2e30,
    0xff06291a,
    0xff0b2638,
    0xff073151,
    0xff336da8,
    0xff78afec,
    0xff3f65a2,
    0xff265186,
    0xff427ccd,
    0xff5f9ae7,
    0xff68a3ef,
    0xff5997ed,
    0xff4583da,
    0xff5c8bca,
    0xff6d8e98,
    0xff305638,
    0xff376255,
    0xff2a431f,
    0xff47602f,
    0xff435b28,
    0xff546c28,
    0xff405425,
    0xff42561e,
    0xff779041,
    0xff486314,
    0xff4b5a0d,
    0xff5e651c,
    0xff727941,
    0xff30360e,
    0xff5e6743,
    0xff1a3429,
    0xff314c60,
    0xff000306,
    0xff898178,
    0xff613228,
    0xff6d3120,
    0xff795240,
    0xff815747,
    0xff8d4330,
    0xff813619,
    0xff663617,
    0xff5c3a25,
    0xff441b16,
    0xff542c2d,
    0xff3b1f18,
    0xff2f1e0f,
    0xff3d2619,
    0xff572d25,
    0xff59211b,
    0xff512f23,
    0xff58392f,
    0xff6a3f3a,
    0xff5a3726,
    0xff4a421d,
    0xff2b2e06,
    0xff211d09,
    0xff1e1e17,
    0xff182413,
    0xff001300,
    0xff060e00,
    0xff3b2811,
    0xff553b1e,
    0xff403f1d,
    0xff1a3518,
    0xff0f2f1d,
    0xff0e1b1f,
    0xff1e1910,
    0xff3a301e,
    0xff231b12,
    0xff302016,
    0xff825f4f,
    0xff714935,
    0xff5f4333,
    0xff2a1d16,
    0xff2b201e,
    0xff201714,
    0xff322e29,
    0xff191c1e,
    0xff384459,
    0xff0a243b,
    0xff143f4a,
    0xff0c2d45,
    0xff00090f,
    0xff001213,
    0xff00191b,
    0xff060c04,
    0xff0f0a00,
    0xff0e0000,
    0xff7f491e,
    0xffb6853e,
    0xff4a4309,
    0xff2a4722,
    0xff032008,
    0xff051a00,
    0xff0f2906,
    0xff031b07,
    0xff071b1c,
    0xff001514,
    0xff0c1210,
    0xff121526,
    0xff12161a,
    0xff1d180d,
    0xff241c22,
    0xff1e1a16,
    0xff2f1f14,
    0xff26241f,
    0xff2f2724,
    0xff13140b,
    0xff021306,
    0xff000300,
    0xffb4b1ae,
    0xff3f2a2f,
    0xff63494f,
    0xffb41b14,
    0xff7b1e24,
    0xff7e5971,
    0xff565777,
    0xff58727d,
    0xff5c756c,
    0xff5c6a78,
    0xff2d4472,
    0xff233e69,
    0xff556b8c,
    0xff71829b,
    0xff5c6f8c,
    0xff28466c,
    0xff3a5d8b,
    0xff0c2f62,
    0xff305085,
    0xff323e6b,
    0xff847f8d,
    0xff827d78,
    0xffada98a,
    0xffbaa687,
    0xffa1917e,
    0xff64624f,
    0xff6c5a5f,
    0xffaf868c,
    0xffb29dad,
    0xff655e76,
    0xff594d69,
    0xff5c4a62,
    0xff4a3c4d,
    0xff493b50,
    0xff443452,
    0xff3d2a4a,
    0xff4a213c,
    0xff440a16,
    0xff78121a,
    0xffd85256,
    0xffcb2e31,
    0xffbf090d,
    0xffd22521,
    0xffd62b28,
    0xffd24923,
    0xffd76331,
    0xffcd482e,
    0xffa84746,
    0xff6f3c57,
    0xff8d4268,
    0xff9f464d,
    0xff824657,
    0xff553741,
    0xff4e2533,
    0xff4d252e,
    0xffa27674,
    0xffb35557,
    0xff90050b,
    0xffcd1e29,
    0xffd72d25,
    0xffcf221c,
    0xffd01e20,
    0xffd21c24,
    0xffbf0b14,
    0xffca1b20,
    0xffcb2322,
    0xffc9271f,
    0xffcd3529,
    0xffca3324,
    0xffc72f21,
    0xffd03527,
    0xffd23427,
    0xffcf3027,
    0xffc0261f,
    0xffc22c23,
    0xffca4130,
    0xffc97066,
    0xff543e41,
    0xff4b5166,
    0xff6f6585,
    0xff8c6675,
    0xff8f2b2e,
    0xffb70717,
    0xffc62023,
    0xffc31b20,
    0xffc10c15,
    0xffc20212,
    0xffcc091b,
    0xffbe0215,
    0xffbb0315,
    0xffd2172b,
    0xffb50009,
    0xffd21b28,
    0xffbf0b17,
    0xffc61520,
    0xffd22629,
    0xffd0272a,
    0xffcb242c,
    0xffd02a36,
    0xffbb1c25,
    0xff922a2b,
    0xffb1837b,
    0xffa18c82,
    0xff918f8d,
    0xff697d80,
    0xff6d8182,
    0xff959b9a,
    0xff3d536a,
    0xff2a5275,
    0xff275281,
    0xff2e5483,
    0xff2a537c,
    0xff2b5f85,
    0xff194d7b,
    0xff335b92,
    0xff47678e,
    0xff5d7f94,
    0xff3e6174,
    0xff537392,
    0xff5a78a7,
    0xff3b5a95,
    0xff3c5b94,
    0xff30537c,
    0xff4f6c93,
    0xff6386b8,
    0xff204682,
    0xff6491cc,
    0xff7ba9da,
    0xffb2ddff,
    0xffb2d5f6,
    0xffccebff,
    0xffc4ddfc,
    0xffc4dbf8,
    0xffc5daf6,
    0xffc4d7f0,
    0xffc4d8ee,
    0xffc4d9f0,
    0xffc2dbf2,
    0xffc1dbf2,
    0xffc3dbf2,
    0xffc1d9f1,
    0xffc2daf3,
    0xffc1d8f5,
    0xffc0d9f8,
    0xffc1daf9,
    0xffc1d8fb,
    0xffc0d8fb,
    0xffc1daf9,
    0xffc1daf9,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f7,
    0xffbfdaf4,
    0xffc0daf4,
    0xffc0daf5,
    0xffbfd8f8,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f8,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbed7f6,
    0xffbed7f6,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf8,
    0xffc1d9f8,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1d9f8,
    0xffc1daf8,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffc1daf9,
    0xffbfd8f7,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc1d9f8,
    0xffc0d9f7,
    0xffc3dbf9,
    0xffc2dbf9,
    0xffc2dbf9,
    0xffc3dbfa,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbedaf8,
    0xffbedaf8,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbdd9f7,
    0xffbed8f7,
    0xffbbdaf5,
    0xffbcdaf6,
    0xffbcdaf5,
    0xffbcd8f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f6,
    0xffbcd9f9,
    0xffbbd9f6,
    0xffbbd8f6,
    0xffbddaf8,
    0xffbbd8f6,
    0xffbbd9f7,
    0xffbbd8f6,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcdaf8,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffb7d4f2,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbcd8f7,
    0xffbbd8f6,
    0xffb9d5f4,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb6d5f4,
    0xffb9d8f7,
    0xffb8d7f6,
    0xffb7d7f5,
    0xffb8d7f6,
    0xffb9d9f8,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb7d7f6,
    0xffb7d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d7f5,
    0xffb7d7f5,
    0xffb7d7f5,
    0xffb7d7f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f4,
    0xffb6d5f4,
    0xffb6d7fa,
    0xffb4d5f8,
    0xffb5d6f9,
    0xffb3d4f8,
    0xffb4d6f9,
    0xffb4d5f8,
    0xffb5d6f9,
    0xffb5d7fa,
    0xffb5d7f7,
    0xffb4d6f6,
    0xffb2d4f4,
    0xffb1d3f3,
    0xffb2d3f4,
    0xffb3d5f5,
    0xffb4d5f6,
    0xffb4d5f6,
    0xffb0d1ef,
    0xffb2d3f4,
    0xffb1d2f3,
    0xffb3d4f5,
    0xffb3d4f4,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffb1d2f2,
    0xffb2d3f3,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f5,
    0xffb2d2f9,
    0xffb2d1f8,
    0xffb0d3f8,
    0xffb1d3f8,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffb0d2f7,
    0xffafd1f6,
    0xffaccef3,
    0xffaed0f5,
    0xffaed0f5,
    0xffaed0f5,
    0xffabcef2,
    0xffabcdf2,
    0xffabcdf2,
    0xffadcff3,
    0xffadcff5,
    0xffabcdf3,
    0xffabcdf2,
    0xffa9cbf1,
    0xffa9caf4,
    0xffaacdf2,
    0xffaccef4,
    0xffaaccf2,
    0xffaccef3,
    0xffabcef3,
    0xffadcff4,
    0xffaacdf2,
    0xffabcdf2,
    0xffa9caf3,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffaccdf6,
    0xffabccf5,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf3,
    0xffa8c9f1,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf3,
    0xffa9caf3,
    0xffa9caf2,
    0xffa9caf3,
    0xffa6c7f4,
    0xffa7c8f4,
    0xffa7c9f5,
    0xffa7c9f5,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa8caf6,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa5c4f3,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa2c2f1,
    0xffa2c2f1,
    0xffa2c2f1,
    0xffa3c3f1,
    0xffa1c6f3,
    0xffa0c6f3,
    0xff9fc4f1,
    0xff9fc4f1,
    0xffa0c5f2,
    0xffa0c6f3,
    0xffa0c6f3,
    0xffa0c6f3,
    0xffa3c4f5,
    0xffa1c3f3,
    0xffa2c4f3,
    0xffa2c4f4,
    0xffa0c4f7,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9cc0f2,
    0xff9cc2f6,
    0xff9cc2f6,
    0xff9cc2f6,
    0xff9dc2f6,
    0xff9cc1f5,
    0xff9dc2f6,
    0xff9cc1f6,
    0xff9dc1f5,
    0xffa0c7e2,
    0xff78a3ac,
    0xff558289,
    0xff628cac,
    0xffa1c9f9,
    0xff95c1df,
    0xff7dadb0,
    0xff346563,
    0xff4f878d,
    0xff2f675d,
    0xff1e552e,
    0xff4c7e4b,
    0xff3d7045,
    0xff306044,
    0xff4f855d,
    0xff478446,
    0xff2b541a,
    0xff0d350f,
    0xff0e3724,
    0xff224c42,
    0xff386051,
    0xff3b5f4b,
    0xff0e2c16,
    0xff1c3522,
    0xff12301c,
    0xff143723,
    0xff1a4228,
    0xff1b491f,
    0xff235618,
    0xff4d8035,
    0xff538237,
    0xff538137,
    0xff668f50,
    0xff224726,
    0xff0d301f,
    0xff224440,
    0xff0c2d3c,
    0xff15323c,
    0xff052521,
    0xff092629,
    0xff102e23,
    0xff0f2f2f,
    0xff0c3040,
    0xff0c3443,
    0xff1b4249,
    0xff113634,
    0xff173537,
    0xff00141f,
    0xff001d1e,
    0xff113223,
    0xff254927,
    0xff30572a,
    0xff2b5520,
    0xff2e5920,
    0xff376028,
    0xff234a1a,
    0xff042e21,
    0xff123d24,
    0xff114017,
    0xff25542f,
    0xff0e3820,
    0xff244c32,
    0xff47693f,
    0xff4d7032,
    0xff39573b,
    0xff315f2b,
    0xff32552a,
    0xff243922,
    0xff052023,
    0xff0f2b20,
    0xff092331,
    0xff4f78ac,
    0xff5382c0,
    0xff30609d,
    0xff1b498b,
    0xff1e4793,
    0xff658fe1,
    0xff5d8cdd,
    0xff75b0fd,
    0xff4d91de,
    0xff5198ef,
    0xff3777ca,
    0xff1f5097,
    0xff2c5583,
    0xff61818b,
    0xff47624f,
    0xff4a5f3d,
    0xff506140,
    0xff365630,
    0xff314834,
    0xff21453f,
    0xff316d9a,
    0xff3872b9,
    0xff567aca,
    0xff123878,
    0xff83beff,
    0xff4e7dd7,
    0xff73abde,
    0xff256195,
    0xff609ac8,
    0xff214e70,
    0xff456373,
    0xff2c4e24,
    0xff557b34,
    0xff415c0d,
    0xff536d16,
    0xff637c28,
    0xff293e00,
    0xff132500,
    0xff6b8436,
    0xff547119,
    0xff324c0e,
    0xff5a6f17,
    0xff616516,
    0xff5f5e29,
    0xff363b2b,
    0xff0d2818,
    0xff154a4c,
    0xff437094,
    0xff000309,
    0xff5d7490,
    0xff5b4b61,
    0xff592638,
    0xff4b171a,
    0xff642718,
    0xff682408,
    0xff602c0c,
    0xff3e2906,
    0xff3f2806,
    0xff2e1703,
    0xff322418,
    0xff25210f,
    0xff1e2405,
    0xff3b3518,
    0xff4c321b,
    0xff633929,
    0xff3c2b0f,
    0xff51331e,
    0xff441409,
    0xff5d3a29,
    0xff464124,
    0xff343a1f,
    0xff33291c,
    0xff33191e,
    0xff472724,
    0xff2a1d14,
    0xff26170d,
    0xff5e342c,
    0xff431e0e,
    0xff2a2008,
    0xff1e1a0e,
    0xff301b1f,
    0xff413628,
    0xff412f1e,
    0xff554331,
    0xff392d1b,
    0xff4b4029,
    0xff423119,
    0xff311e0f,
    0xff3f322f,
    0xff414133,
    0xff2f2f1f,
    0xff2f2c23,
    0xff383331,
    0xff22201e,
    0xff0e1113,
    0xff0f1e39,
    0xff071b55,
    0xff3b5d9a,
    0xff2e4f62,
    0xff001c21,
    0xff000301,
    0xff472108,
    0xff975a35,
    0xffc1865c,
    0xffebaf61,
    0xffc68234,
    0xff3f1c00,
    0xff43401b,
    0xff0b1409,
    0xff091608,
    0xff011300,
    0xff0f1908,
    0xff0a0b0c,
    0xff050906,
    0xff0f0400,
    0xff251507,
    0xff47390c,
    0xff624f22,
    0xff35251a,
    0xff0b0903,
    0xff2c231c,
    0xff151411,
    0xff071406,
    0xff1b2c1d,
    0xff272c28,
    0xff0a0912,
    0xff5e616c,
    0xff5d5d65,
    0xff564d51,
    0xffbb2838,
    0xff994459,
    0xff513857,
    0xff313566,
    0xff323d62,
    0xffb4b09e,
    0xffaaa57f,
    0xff6d7f8c,
    0xff2b4578,
    0xff374a73,
    0xff667786,
    0xff738884,
    0xff708f89,
    0xff496c7c,
    0xff001746,
    0xff233c7c,
    0xff56627e,
    0xff686070,
    0xff716d76,
    0xff79826f,
    0xffa5a695,
    0xff4b4849,
    0xff998b8d,
    0xff8a5a6e,
    0xffce9194,
    0xffa98991,
    0xff5c5268,
    0xff544761,
    0xff504059,
    0xff44384f,
    0xff413751,
    0xff432d50,
    0xff472341,
    0xff45141e,
    0xff420d01,
    0xff5b0300,
    0xff760008,
    0xff8c0f1b,
    0xffac2123,
    0xffc73f2e,
    0xffc73a32,
    0xffca4e36,
    0xffc64f35,
    0xffbd3527,
    0xffa9473b,
    0xff793b48,
    0xffb8688d,
    0xff965363,
    0xff6c334a,
    0xff412c33,
    0xff4c2b30,
    0xff5a1e24,
    0xff68020c,
    0xff94000a,
    0xffbe131f,
    0xffcb1a1f,
    0xffce291e,
    0xffd12a25,
    0xffcc2124,
    0xffc91a24,
    0xffc1121b,
    0xffc6191e,
    0xffc81e1f,
    0xffd02828,
    0xffcd3026,
    0xffcd3228,
    0xffc93226,
    0xffc62b21,
    0xffe5443d,
    0xffd23028,
    0xffc3201b,
    0xffc62724,
    0xffc3392b,
    0xffc76a5d,
    0xff977b75,
    0xff827e8a,
    0xff857287,
    0xff846670,
    0xffa7565d,
    0xffa80612,
    0xffba1119,
    0xffc6141f,
    0xffca121f,
    0xffc20d18,
    0xffc00e1a,
    0xffc21122,
    0xffb50518,
    0xffbd0c21,
    0xffc5121d,
    0xffce1e29,
    0xffe83d45,
    0xffce2729,
    0xffe5423e,
    0xffd4312d,
    0xffc62323,
    0xffc82528,
    0xffc7331f,
    0xffb63436,
    0xff993644,
    0xff8c5a54,
    0xff948b72,
    0xff858c73,
    0xff8e907a,
    0xff948972,
    0xff717475,
    0xff778894,
    0xff5f8198,
    0xff43718e,
    0xff81a2bf,
    0xff607693,
    0xff3b5a78,
    0xff235a7b,
    0xff255879,
    0xff20537d,
    0xff285a8f,
    0xff174283,
    0xff1b4280,
    0xff3b598b,
    0xff778fae,
    0xff6e8397,
    0xff53738e,
    0xff45658f,
    0xff314e89,
    0xff31508f,
    0xff2d4e88,
    0xff2d5283,
    0xff436a9a,
    0xff6086b8,
    0xffa8ccec,
    0xffcdeeff,
    0xffc3e0ff,
    0xffcce4ff,
    0xffc3d9fa,
    0xffc5dbf7,
    0xffc1d6f2,
    0xffbfd8f3,
    0xffc2dbf4,
    0xffc4dcf8,
    0xffbed8f3,
    0xffc2dcf6,
    0xffc3dcfa,
    0xffbfd9f7,
    0xffc2dafd,
    0xffc0d8fa,
    0xffc1daf8,
    0xffc1d9f8,
    0xffc1d9f8,
    0xffc1daf8,
    0xffbfd8f6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc2dbf9,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d8f6,
    0xffc0d9f8,
    0xffbfd8f8,
    0xffbfd8f6,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffbfd8f6,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc1daf9,
    0xffc1d9f9,
    0xffc1d9f9,
    0xffc1d9f7,
    0xffc1d9f8,
    0xffc1dbf5,
    0xffc1dbf6,
    0xffc0daf5,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf5,
    0xffc1d9f8,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc2dbf9,
    0xffbedaf7,
    0xffbfdaf7,
    0xffbfdbf8,
    0xffc1dcf9,
    0xffc0dcf9,
    0xffc1dcf9,
    0xffc0dbf8,
    0xffc0dbf8,
    0xffc1d9f7,
    0xffc1daf8,
    0xffbfd8f6,
    0xffc1daf8,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc1daf8,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f6,
    0xffbed7f5,
    0xffbfd7f5,
    0xffbfd7f5,
    0xffbfd7f5,
    0xffbfd8f5,
    0xffbddbf7,
    0xffbbd9f5,
    0xffbcdaf5,
    0xffbcd8f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f6,
    0xffbbd9f9,
    0xffbed9f6,
    0xffbed9f7,
    0xffbed8f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed8f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbcd7f5,
    0xffbdd7f5,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f8,
    0xffbbd7f8,
    0xffbbd8f8,
    0xffbad6f6,
    0xffbad7f7,
    0xffb8d5f5,
    0xffbad6f7,
    0xffbad6f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb8d4f5,
    0xffb9d5f6,
    0xffbad6f6,
    0xffb8d5f5,
    0xffb7d4f4,
    0xffb7d4f4,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb8d5f7,
    0xffb7d4f6,
    0xffb5d3f5,
    0xffb7d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb7d4f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb6d3f5,
    0xffb6d3f6,
    0xffb3d4f3,
    0xffb2d3f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb4d5f8,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb2d3f3,
    0xffb1d2f3,
    0xffb0d1f2,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d3f6,
    0xffb2d3f6,
    0xffb1d3f5,
    0xffb2d3f5,
    0xffb1d2f5,
    0xffb1d2f4,
    0xffb0d1f4,
    0xffafd0f3,
    0xffafd0f3,
    0xffafd0f3,
    0xffafd0f3,
    0xffb1d0f7,
    0xffb1d0f7,
    0xffb0cff5,
    0xffaecdf4,
    0xffaecef4,
    0xffb0d0f6,
    0xffb0cff6,
    0xffb1d0f6,
    0xffabcdf2,
    0xffaccef3,
    0xffadcff4,
    0xffabcdf2,
    0xffadcff5,
    0xffaaccf2,
    0xffaccef4,
    0xffaccff4,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffadcff5,
    0xffa9caf4,
    0xffaacbf4,
    0xffaacbf5,
    0xffabccf5,
    0xffa9caf3,
    0xffa9caf4,
    0xffabccf5,
    0xffabccf5,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffa9caf3,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa7c8f1,
    0xffaacbf8,
    0xffa9caf8,
    0xffa9caf7,
    0xffa9caf7,
    0xffaacbf8,
    0xffa9caf7,
    0xffa7c8f5,
    0xffa9caf7,
    0xffa7c7f6,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa8c8f7,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c3f3,
    0xffa3c5f3,
    0xffa3c4f2,
    0xffa4c6f4,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c4f2,
    0xffa3c4f3,
    0xffa1c3f1,
    0xffa3c5f2,
    0xffa1c3f4,
    0xffa3c5f5,
    0xff9fc3f3,
    0xffa1c5f7,
    0xffa1c5f7,
    0xffa1c5f7,
    0xff9dc1f3,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f3,
    0xff9ec2f3,
    0xff9ec2f3,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9bbff1,
    0xff9ec2f4,
    0xffa2c6f7,
    0xff6c929f,
    0xff447052,
    0xff4e804f,
    0xff437257,
    0xff38645d,
    0xff507a6e,
    0xff3e6849,
    0xff719e6f,
    0xff518161,
    0xff386734,
    0xff2f5b1e,
    0xff698e58,
    0xff244a16,
    0xff3a6429,
    0xff4d7f3b,
    0xff3b6f2b,
    0xff436f3a,
    0xff538053,
    0xff12401e,
    0xff1a4630,
    0xff012719,
    0xff254235,
    0xff3a523d,
    0xff1c3215,
    0xff1a3023,
    0xff082115,
    0xff062416,
    0xff11351b,
    0xff3e683e,
    0xff305825,
    0xff244918,
    0xff34552c,
    0xff274820,
    0xff1b3a28,
    0xff24433a,
    0xff032120,
    0xff001d2f,
    0xff0a2a3d,
    0xff001827,
    0xff02203e,
    0xff001832,
    0xff1b476b,
    0xff305484,
    0xff305284,
    0xff84a7d5,
    0xffa4c7f4,
    0xff41679a,
    0xff567bb7,
    0xff5e84b6,
    0xff2a5165,
    0xff0a3027,
    0xff0c2d1a,
    0xff31503f,
    0xff143923,
    0xff37624a,
    0xff104128,
    0xff2a5743,
    0xff16412f,
    0xff2d5744,
    0xff1c422a,
    0xff365838,
    0xff4c6d49,
    0xff1d3a17,
    0xff183415,
    0xff2d4630,
    0xff3c6632,
    0xff234619,
    0xff22341b,
    0xff081d20,
    0xff041913,
    0xff0b2135,
    0xff00193e,
    0xff001a30,
    0xff043167,
    0xff18479e,
    0xff77acff,
    0xff89c2ff,
    0xff4583c5,
    0xff13529d,
    0xff2c6dc7,
    0xff1a5eb1,
    0xff2560a3,
    0xff00264c,
    0xff071e20,
    0xff43502c,
    0xff4c5722,
    0xff4b562e,
    0xff3a472f,
    0xff102813,
    0xff303f28,
    0xff1d3c26,
    0xff023762,
    0xff19509f,
    0xff5777c6,
    0xff0c315a,
    0xff255a8f,
    0xff34518c,
    0xff143734,
    0xff0f302b,
    0xff001b17,
    0xff001d0e,
    0xff000d0a,
    0xff677957,
    0xff6b7729,
    0xff677c28,
    0xff667a2e,
    0xff3e510a,
    0xff394a10,
    0xff526728,
    0xff678328,
    0xff567517,
    0xff4a662f,
    0xff304b28,
    0xff283c1d,
    0xff213925,
    0xff102a30,
    0xff001917,
    0xff002735,
    0xff3a6190,
    0xff00000e,
    0xff5e7daa,
    0xff284744,
    0xff13210e,
    0xff3e3625,
    0xff371f02,
    0xff47250f,
    0xff3c1410,
    0xff512a1c,
    0xff411f01,
    0xff3d2909,
    0xff2a2a0e,
    0xff202811,
    0xff282c14,
    0xff383317,
    0xff493a21,
    0xff3b2716,
    0xff191a00,
    0xff4b4c2d,
    0xff38391b,
    0xff1e1e07,
    0xff2f2919,
    0xff2a2716,
    0xff343418,
    0xff35310f,
    0xff54360f,
    0xff4b411d,
    0xff261802,
    0xff46291d,
    0xff382012,
    0xff2f2a14,
    0xff41281d,
    0xff5d2127,
    0xff491c17,
    0xff452726,
    0xff2a1617,
    0xff1e0f10,
    0xff201d21,
    0xff343e52,
    0xff0c1a37,
    0xff26304d,
    0xff172323,
    0xff263630,
    0xff15241d,
    0xff111e16,
    0xff172719,
    0xff0f241a,
    0xff00182f,
    0xff40609c,
    0xff113358,
    0xff083329,
    0xff324031,
    0xff1b0000,
    0xffcd9567,
    0xffb4613f,
    0xff973f2d,
    0xff8f501b,
    0xffb77536,
    0xffaf7133,
    0xff976f48,
    0xff100c04,
    0xff000f17,
    0xff051a1d,
    0xff030f13,
    0xff14161f,
    0xff403216,
    0xff96763c,
    0xff8a6524,
    0xff967425,
    0xff8c692a,
    0xff271506,
    0xff000400,
    0xff151e19,
    0xff0e130f,
    0xff01130d,
    0xff001006,
    0xff0f0700,
    0xff522e25,
    0xff4d2823,
    0xffb49c9d,
    0xff453740,
    0xffb37054,
    0xff99836d,
    0xff7e887b,
    0xff849aa2,
    0xff2e3e67,
    0xff5d5d78,
    0xff858882,
    0xff425774,
    0xff2e537f,
    0xff1e3c5b,
    0xff63777f,
    0xff687b70,
    0xff5b6e68,
    0xff3c4c53,
    0xff8c97a1,
    0xff636969,
    0xff59645d,
    0xff5d6264,
    0xff55637e,
    0xff274a5d,
    0xff25475b,
    0xff24344d,
    0xff523847,
    0xffa35d71,
    0xffedaeb7,
    0xff8c6d76,
    0xff605364,
    0xff574561,
    0xff513f5c,
    0xff403951,
    0xff423751,
    0xff492344,
    0xff72141f,
    0xffb94438,
    0xffc7572d,
    0xffd44b30,
    0xffb21e24,
    0xff760013,
    0xff660008,
    0xff74070a,
    0xff8b1214,
    0xff9c1d1e,
    0xff9d282f,
    0xffbb4343,
    0xffca544e,
    0xffbf6a6f,
    0xffaf7a8b,
    0xff674c4f,
    0xff5b3043,
    0xff3d2e2f,
    0xff622829,
    0xff89121f,
    0xffaa0419,
    0xffc6071c,
    0xffc4131b,
    0xffc9211f,
    0xffcb2922,
    0xffc72121,
    0xffc41c24,
    0xffc71d27,
    0xffc81c24,
    0xffce2025,
    0xffc91d21,
    0xffcc2225,
    0xffcc2a25,
    0xffd2352f,
    0xffcb322b,
    0xffc82d26,
    0xffca2a24,
    0xffd02b28,
    0xffce2726,
    0xffcc2826,
    0xffc94a3b,
    0xffcb7c73,
    0xff957f84,
    0xff887f8a,
    0xff97848b,
    0xff907980,
    0xff99565f,
    0xffaa1c1f,
    0xffb60816,
    0xffbf0a18,
    0xffc7141d,
    0xffcb2d2b,
    0xffb4261f,
    0xffbd332d,
    0xffc6393a,
    0xffa11719,
    0xffc3181d,
    0xffb60a13,
    0xffb71115,
    0xffc32120,
    0xffd0302b,
    0xffc62922,
    0xffcb2b29,
    0xffc72729,
    0xffca2e25,
    0xffcc3034,
    0xffc63e40,
    0xffa75247,
    0xff9d7e79,
    0xff8c8b96,
    0xff5c5f61,
    0xff80846b,
    0xff9a9f9e,
    0xff575764,
    0xff5c6c8c,
    0xff2c5984,
    0xff113a67,
    0xff586589,
    0xff9ca5bc,
    0xff5e778b,
    0xff416c90,
    0xff4f70a1,
    0xff3f5983,
    0xff375986,
    0xff103e7a,
    0xff164477,
    0xff214460,
    0xff495c7c,
    0xff415e7d,
    0xff7a8ea7,
    0xff8b90a6,
    0xff9591ae,
    0xff59527d,
    0xff666a99,
    0xff899dca,
    0xff46638d,
    0xff426894,
    0xff547ba7,
    0xff355a89,
    0xff7da3cd,
    0xffc0e5ff,
    0xffc2e4ff,
    0xffc6e5ff,
    0xffd0ecff,
    0xffc0dcfa,
    0xffbed8f5,
    0xffc4dffb,
    0xffc3defa,
    0xffc1d9f9,
    0xffc0d9f9,
    0xffbfd9f7,
    0xffc0daf9,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc0dbf5,
    0xffc1dbf5,
    0xffc1d9f8,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd6f9,
    0xffc0d9f8,
    0xffc1daf7,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1daf8,
    0xffbfd8f7,
    0xffbfd8f9,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc1daf7,
    0xffc1daf7,
    0xffc1daf7,
    0xffc1dbf6,
    0xffbfd9f4,
    0xffc1dbf6,
    0xffc0daf5,
    0xffc1dbf6,
    0xffc0daf5,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1daf7,
    0xffc1daf7,
    0xffc1daf7,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc0dbf5,
    0xffc2dcf7,
    0xffc2dcf7,
    0xffc0dbf6,
    0xffc0daf6,
    0xffbfdaf5,
    0xffc0dbf6,
    0xffbfdaf5,
    0xffbfdaf5,
    0xffbfdaf5,
    0xffbfdaf5,
    0xffc1d9f8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc1daf8,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed8f6,
    0xffbfd8f5,
    0xffbedbf7,
    0xffbbd9f5,
    0xffbcdaf5,
    0xffbcd8f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f6,
    0xffbbd9f9,
    0xffbed9f6,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbfd9f7,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbcd9f6,
    0xffbcd9f9,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb9d6f6,
    0xffbad7f7,
    0xffb8d5f5,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb8d8f7,
    0xffb8d7f6,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb9d8f7,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb7d4f4,
    0xffb7d4f4,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d5f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d4f7,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb4d2f5,
    0xffb3d1f3,
    0xffb4d2f5,
    0xffb5d3f5,
    0xffb5d3f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb3d5f3,
    0xffb4d5f6,
    0xffb3d4f5,
    0xffb1d2f3,
    0xffb1d2f3,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb0d1f2,
    0xffb0d1f5,
    0xffb3d0f4,
    0xffb4d2f6,
    0xffb3d0f4,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffafd0f3,
    0xffafd0f3,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb0d0f7,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffb0d0f6,
    0xffafcff5,
    0xffadd0f5,
    0xffaed0f5,
    0xffadcff4,
    0xffaed0f5,
    0xffadcff3,
    0xffaaccf2,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaccef4,
    0xffabcdf3,
    0xffaccef4,
    0xffaaccf2,
    0xffaaccf2,
    0xffaaccf2,
    0xffabcdf3,
    0xffaccef4,
    0xffabcdf2,
    0xffa9ccf1,
    0xffa9ccf1,
    0xffabcdf2,
    0xffaacdf2,
    0xffabccf6,
    0xffabccf5,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf2,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffaacbf6,
    0xffa8c9f4,
    0xffa9caf4,
    0xffa9caf5,
    0xffa5c5f5,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa5c4f3,
    0xffa6c5f4,
    0xffa6c4f3,
    0xffa7c5f4,
    0xffa5c4f3,
    0xffa6c5f4,
    0xffa4c3f2,
    0xffa3c2f2,
    0xffa4c6f4,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c4f5,
    0xffa0c5f4,
    0xffa1c5f7,
    0xffa1c5f7,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9dc1f3,
    0xff9ec2f4,
    0xffa0c4f6,
    0xffa0c4f6,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9cc0f2,
    0xff9cc0f2,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9ec2f4,
    0xff9cc0f2,
    0xffa5c8fa,
    0xff6e8daf,
    0xff648d7c,
    0xff245423,
    0xff1f4e1d,
    0xff39673e,
    0xff2d5738,
    0xff2a522e,
    0xff345c25,
    0xff47682e,
    0xff567d33,
    0xff2c570b,
    0xff568044,
    0xff255018,
    0xff254d0f,
    0xff2c4f18,
    0xff36542d,
    0xff09380b,
    0xff386733,
    0xff619256,
    0xff629259,
    0xff5a8557,
    0xff214424,
    0xff193617,
    0xff183214,
    0xff12281c,
    0xff081f1a,
    0xff07211e,
    0xff021b14,
    0xff18311f,
    0xff213c27,
    0xff1e3724,
    0xff0c2418,
    0xff142c30,
    0xff122836,
    0xff001d1b,
    0xff04231d,
    0xff00151f,
    0xff002135,
    0xff385980,
    0xff4f6fb1,
    0xff4f82bc,
    0xff6798ce,
    0xff8bb5f0,
    0xff96bbf6,
    0xff9ec2fe,
    0xff8ab2ed,
    0xff9dcbff,
    0xff9accff,
    0xff8bbdef,
    0xff114255,
    0xff002622,
    0xff406768,
    0xff1d4141,
    0xff1e453b,
    0xff033025,
    0xff356965,
    0xff5b8868,
    0xff416d49,
    0xff3f653d,
    0xff2b4e22,
    0xff1c3b10,
    0xff11300e,
    0xff041e0d,
    0xff041f14,
    0xff39572c,
    0xff55823d,
    0xff3e623a,
    0xff1a331c,
    0xff051713,
    0xff16252c,
    0xff152f5e,
    0xff194270,
    0xff1d3e5e,
    0xff001551,
    0xff2456a6,
    0xff2e6bb3,
    0xff5495d1,
    0xff00367c,
    0xff064199,
    0xff336ccc,
    0xff03366f,
    0xff093465,
    0xff183c5b,
    0xff001d1d,
    0xff0a220b,
    0xff43583f,
    0xff152c19,
    0xff132e1f,
    0xff041f0e,
    0xff213523,
    0xff476858,
    0xff5182ad,
    0xff86b9ff,
    0xff93b4ff,
    0xff325475,
    0xff133c5b,
    0xff0d2d3e,
    0xff173726,
    0xff172e2c,
    0xff112127,
    0xff2c4830,
    0xff1a3f16,
    0xff516a31,
    0xff869242,
    0xff516813,
    0xff4d602d,
    0xff42551a,
    0xff6b7c51,
    0xff2b400e,
    0xff5c743b,
    0xff395119,
    0xff1e3614,
    0xff3d5363,
    0xff3b4d55,
    0xff102a2f,
    0xff2d4b69,
    0xff39598a,
    0xff6393d2,
    0xff7099d5,
    0xff13222c,
    0xff1e2b1a,
    0xff557840,
    0xff3f5f3c,
    0xff0f1c14,
    0xff454b32,
    0xff151700,
    0xff29201d,
    0xff271203,
    0xff493a1b,
    0xff505530,
    0xff122907,
    0xff1c3a28,
    0xff00120d,
    0xff091813,
    0xff06140b,
    0xff011608,
    0xff2b3f1e,
    0xff37411e,
    0xff303b17,
    0xff2d3019,
    0xff443730,
    0xff26160f,
    0xff2b2109,
    0xff3f2d08,
    0xff6f4d1e,
    0xff52421b,
    0xff2e2613,
    0xff2a1c16,
    0xff1e180f,
    0xff191e0e,
    0xff2b2314,
    0xff42221d,
    0xff452627,
    0xff362c41,
    0xff3b4162,
    0xff69728c,
    0xff081d2e,
    0xff1d3e56,
    0xff405d80,
    0xff445379,
    0xff2c415f,
    0xff253b5b,
    0xff21394c,
    0xff112726,
    0xff273830,
    0xff1b2b31,
    0xff435263,
    0xff000c1f,
    0xff16241d,
    0xff192b08,
    0xff4a2c15,
    0xffdc9f8c,
    0xffa8794e,
    0xffaa6b4c,
    0xffca756f,
    0xffaf6c52,
    0xff9d6b2f,
    0xff9c7437,
    0xff514017,
    0xff000a00,
    0xff000a00,
    0xff272b0a,
    0xff191e01,
    0xff0b1b0b,
    0xff7c6a33,
    0xff956d23,
    0xff74490e,
    0xff76520e,
    0xff6f4d1a,
    0xff110300,
    0xff041010,
    0xff061810,
    0xff091513,
    0xff070f18,
    0xff03060a,
    0xff35230f,
    0xffd8a577,
    0xffac5f35,
    0xffde9f95,
    0xff533242,
    0xff90675c,
    0xff757061,
    0xff576361,
    0xff566970,
    0xff0c254e,
    0xff30447f,
    0xff304269,
    0xff132c60,
    0xff375787,
    0xff31466f,
    0xff48546e,
    0xff595e71,
    0xff454763,
    0xff393354,
    0xff8d8487,
    0xff9a8d6b,
    0xffb7a57f,
    0xff9c9968,
    0xff8d8f71,
    0xff768269,
    0xff83937b,
    0xffa69682,
    0xffb2725f,
    0xffba5d63,
    0xffdba7bd,
    0xff6f5a6a,
    0xff5d5262,
    0xff614864,
    0xff4d3a58,
    0xff3d364e,
    0xff442f43,
    0xff511933,
    0xff8f1822,
    0xffda4540,
    0xffeb533a,
    0xffd32414,
    0xffc30d17,
    0xff8c000b,
    0xff87030f,
    0xffb12028,
    0xffb12426,
    0xff971219,
    0xffa6313e,
    0xff9d3136,
    0xff972420,
    0xffa0464f,
    0xff826471,
    0xff4e4343,
    0xff452f37,
    0xff4f272a,
    0xff901a25,
    0xffb60f20,
    0xffbc0a19,
    0xffcb0f1e,
    0xffc91b1f,
    0xffc81e1d,
    0xffcc2020,
    0xffc81b22,
    0xffc81b27,
    0xffc91e27,
    0xffc71d20,
    0xffd12727,
    0xffcc2223,
    0xffcc2225,
    0xffcc2a21,
    0xffd2362b,
    0xffd13c30,
    0xffd23d31,
    0xffcd3328,
    0xffc6241f,
    0xffcd2723,
    0xffcb2722,
    0xffcb4c46,
    0xff9c5d6d,
    0xff6d628f,
    0xff666289,
    0xff80748b,
    0xff8f7c9c,
    0xff7f4163,
    0xffb73a40,
    0xffb00c18,
    0xffbc0a15,
    0xffc01516,
    0xffca4131,
    0xffcb543b,
    0xffb0361f,
    0xffc94738,
    0xffb9352a,
    0xffbb1315,
    0xffc11b20,
    0xffbb1519,
    0xffc61e20,
    0xffd73230,
    0xffbd1513,
    0xffbd151a,
    0xffcf252e,
    0xffd12630,
    0xffcc272f,
    0xffd03d31,
    0xffe5765c,
    0xffa56a68,
    0xff3a3052,
    0xff6c7e98,
    0xff698079,
    0xff50606c,
    0xff7b798e,
    0xff40426a,
    0xff264182,
    0xff164288,
    0xff15356d,
    0xff4c5d84,
    0xff6f7ca1,
    0xff4e71a2,
    0xff2c4074,
    0xff949da7,
    0xff83938d,
    0xff495d8b,
    0xff486a9a,
    0xff4a6a84,
    0xff304574,
    0xff204373,
    0xff375277,
    0xff45566f,
    0xff6d738d,
    0xff747596,
    0xff53567e,
    0xff4e5582,
    0xff4c5984,
    0xff586d9d,
    0xff637dae,
    0xff2c4c7f,
    0xff23487d,
    0xff355c8d,
    0xff426890,
    0xff5b7f9e,
    0xff6c8ba5,
    0xffc1e0ff,
    0xffc7e4ff,
    0xffd0edff,
    0xffbad7f7,
    0xffc4dffd,
    0xffc3dcfa,
    0xffc2dbf9,
    0xffc3d9f8,
    0xffbfdaf2,
    0xffc0daf2,
    0xffc0daf2,
    0xffc0daf2,
    0xffc2dcf5,
    0xffc2dcf4,
    0xffc2dcf4,
    0xffc2dcf4,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc1daf6,
    0xffc1dbf5,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbfd7fa,
    0xffc0d8fa,
    0xffc1daf9,
    0xffc1dbf7,
    0xffc0daf3,
    0xffc1dbf3,
    0xffc1dbf6,
    0xffc0d9f8,
    0xffbfd8f9,
    0xffc1dbf7,
    0xffc1dbf5,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffc0daf5,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc0daf3,
    0xffc1dbf4,
    0xffc0dcf4,
    0xffbfdcf3,
    0xffc0dcf4,
    0xffc1ddf4,
    0xffc0dcf4,
    0xffc0dcf4,
    0xffc0dcf4,
    0xffbedbf2,
    0xffc2dbf9,
    0xffc1daf8,
    0xffc2dbf9,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc2dbf9,
    0xffc2dbf9,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d7f6,
    0xffbfd6f5,
    0xffc1d8f7,
    0xffc1d7f6,
    0xffc1d7f7,
    0xffc1d8f7,
    0xffbfd6f5,
    0xffc0d7f5,
    0xffbedbf7,
    0xffbbd9f5,
    0xffbbdaf5,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f8,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbed9f7,
    0xffbdd8f6,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f8,
    0xffbcd9f9,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffbbd8f8,
    0xffb9d6f6,
    0xffbcd9f9,
    0xffbcd9f9,
    0xffb8d7f6,
    0xffb9d8f7,
    0xffbad9f8,
    0xffbad9f8,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb9d8f7,
    0xffb9d6f6,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffbad7f7,
    0xffbad7f7,
    0xffb8d5f5,
    0xffb9d6f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb4d4f2,
    0xffb5d5f3,
    0xffb5d4f3,
    0xffb6d6f4,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb5d3f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb3d5f3,
    0xffb4d5f6,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffb2d3f3,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb2d4f7,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb3d4f5,
    0xffb2d3f4,
    0xffb4d2f3,
    0xffb4d2f6,
    0xffb4d2f6,
    0xffb3d1f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d1f7,
    0xffb2d2f8,
    0xffb2d2f8,
    0xffb0d0f6,
    0xffafcff5,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffaecef4,
    0xffafd2f4,
    0xffafd1f6,
    0xffadcff4,
    0xffb0d2f7,
    0xffaed0f5,
    0xffabcdf3,
    0xffaccef4,
    0xffadcff5,
    0xffabcdf3,
    0xffadcff5,
    0xffadcff5,
    0xffadcff5,
    0xffabcdf3,
    0xffaccef5,
    0xffaaccf2,
    0xffa9cbf2,
    0xffabcdf3,
    0xffaccef4,
    0xffaccef4,
    0xffaaccf2,
    0xffa9cbf1,
    0xffa9cbf1,
    0xffabcdf3,
    0xffabcdf2,
    0xffaacbf5,
    0xffaacbf4,
    0xffabccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa7c8f4,
    0xffa9caf5,
    0xffa9caf5,
    0xffaacbf6,
    0xffaacbf6,
    0xffaacbf6,
    0xffaacbf6,
    0xffa9caf4,
    0xffa6c6f6,
    0xffa8c8f7,
    0xffa9c9f8,
    0xffa9c9f8,
    0xffa9c9f8,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c8f7,
    0xffa4c4f3,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f1,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa2c3f1,
    0xffa1c5f5,
    0xffa1c5f7,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9fc3f5,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9fc3f5,
    0xffa0c4f6,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9dc1f3,
    0xff9dc1f3,
    0xff9ec2f4,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9fc3f5,
    0xff9cc0f2,
    0xff9fc3f5,
    0xffa9c6fb,
    0xffaed1eb,
    0xff416971,
    0xff214c42,
    0xff124121,
    0xff4e7b60,
    0xff618970,
    0xff648f5d,
    0xff4b6e36,
    0xff456c27,
    0xff5a8633,
    0xff598935,
    0xff4b792e,
    0xff365d24,
    0xff16360e,
    0xff0b280d,
    0xff1f471d,
    0xff376232,
    0xff447038,
    0xff315c1e,
    0xff245014,
    0xff5e8856,
    0xff4f7756,
    0xff3b614a,
    0xff314f3e,
    0xff142f28,
    0xff0c2125,
    0xff0d2123,
    0xff081c17,
    0xff071b12,
    0xff1a2f29,
    0xff0b201e,
    0xff0c2122,
    0xff041a2e,
    0xff667f99,
    0xff001836,
    0xff2b4e78,
    0xff153d64,
    0xff002548,
    0xff0a3764,
    0xff5b8bc6,
    0xff74a5dd,
    0xff9cceff,
    0xff97c4ff,
    0xff6b99df,
    0xff97c4ff,
    0xff9fceff,
    0xff7cadd4,
    0xff002b51,
    0xff1d537c,
    0xff356c9b,
    0xff16486d,
    0xff124050,
    0xff042c2e,
    0xff1f4647,
    0xff0f393f,
    0xff1b4433,
    0xff103521,
    0xff133221,
    0xff0d261a,
    0xff092118,
    0xff051e15,
    0xff0b2a1a,
    0xff1e3f29,
    0xff648b5e,
    0xff1f471e,
    0xff2f5561,
    0xff001f2c,
    0xff021310,
    0xff000c1c,
    0xff4768b3,
    0xff3365a4,
    0xff123b70,
    0xff16437d,
    0xff104478,
    0xff063963,
    0xff104477,
    0xff00276d,
    0xff6195e0,
    0xff0e4382,
    0xff173d67,
    0xff002658,
    0xff0b345e,
    0xff032836,
    0xff082427,
    0xff10272f,
    0xff223d42,
    0xff022416,
    0xff27492f,
    0xff0d2c34,
    0xff2e5567,
    0xff6798c9,
    0xff7eaff3,
    0xff3258a3,
    0xff0a2a4f,
    0xff203f4f,
    0xff05322c,
    0xff6696ad,
    0xff335a73,
    0xff2d484d,
    0xff304c2f,
    0xff638d4c,
    0xff547b32,
    0xff587224,
    0xff6d893d,
    0xff29410d,
    0xff647d31,
    0xff3d5025,
    0xff273a1c,
    0xff172b0d,
    0xff6c845f,
    0xff2e4726,
    0xff122623,
    0xff15201e,
    0xff172932,
    0xff162d41,
    0xff052450,
    0xff205288,
    0xff235167,
    0xff0c170c,
    0xff1a2b08,
    0xff304c1e,
    0xff243b2f,
    0xff1b2530,
    0xff0e1101,
    0xff1b2300,
    0xff252e02,
    0xff3c4613,
    0xff4a5328,
    0xff515f39,
    0xff293e1e,
    0xff06210a,
    0xff031d21,
    0xff152c43,
    0xff16313d,
    0xff001d0f,
    0xff2f3d25,
    0xff412d1f,
    0xff4d2a22,
    0xff37110a,
    0xff4e201a,
    0xff471a12,
    0xff511d17,
    0xff7f312c,
    0xff6f2211,
    0xff704839,
    0xff1f170f,
    0xff141511,
    0xff1d100b,
    0xff32140d,
    0xff60342f,
    0xff58211d,
    0xff521b18,
    0xff65394b,
    0xff5c446a,
    0xff474168,
    0xff343b54,
    0xff262f41,
    0xff25263d,
    0xff524867,
    0xff454e74,
    0xff6470a8,
    0xff5563a1,
    0xff00103f,
    0xff2c3d56,
    0xff0e1e2b,
    0xff0a1e15,
    0xff142b11,
    0xff121506,
    0xff4d432a,
    0xff895340,
    0xff914b34,
    0xffd19f77,
    0xff936039,
    0xffd68f74,
    0xff591800,
    0xffbc8e6d,
    0xff614a16,
    0xff4b4711,
    0xff221d00,
    0xff7b6a34,
    0xff9c8334,
    0xff847622,
    0xff676225,
    0xff8a7b2f,
    0xff644800,
    0xff6c5422,
    0xff6b6121,
    0xff77702b,
    0xff161900,
    0xff000900,
    0xff141b1d,
    0xff02130c,
    0xff001011,
    0xff061817,
    0xff040d00,
    0xff2c1800,
    0xff8c643f,
    0xffc2a190,
    0xff615657,
    0xff8d2530,
    0xff8d6b67,
    0xff354153,
    0xff435f76,
    0xff516e8f,
    0xff213768,
    0xff374b69,
    0xff284562,
    0xff314065,
    0xff282f4c,
    0xff64676e,
    0xff86877c,
    0xff5e5d59,
    0xff757078,
    0xff8b7f76,
    0xff958460,
    0xffa5896e,
    0xff948b54,
    0xffa09370,
    0xffa48f82,
    0xff9a8477,
    0xffb6806c,
    0xffb75d4b,
    0xffc66c7c,
    0xffb892b4,
    0xff5d5266,
    0xff584e5d,
    0xff594058,
    0xff4a3554,
    0xff3e354e,
    0xff422639,
    0xff5c1223,
    0xffad2f29,
    0xffc72a26,
    0xffc32720,
    0xffc1151a,
    0xffb4081a,
    0xff83000b,
    0xff86010a,
    0xffbf212c,
    0xffc62620,
    0xffe86057,
    0xffbd303b,
    0xff911e23,
    0xffa8564f,
    0xff8e5460,
    0xff63475e,
    0xff4f2f40,
    0xff372a2d,
    0xff6a242a,
    0xffb51929,
    0xffc51b24,
    0xffc32427,
    0xffd8232b,
    0xffd52226,
    0xffc7231e,
    0xffd31d22,
    0xffcf1924,
    0xffcc1a27,
    0xffcb1c24,
    0xffc61e1b,
    0xffcf2921,
    0xffca2220,
    0xffcf272a,
    0xffd12f22,
    0xffd3392b,
    0xffd64634,
    0xffd24132,
    0xffd13b2d,
    0xffcf3328,
    0xffc8271f,
    0xffc9271e,
    0xffc94a37,
    0xff965e6d,
    0xff3f3d73,
    0xff3a3c6c,
    0xff7b7a8f,
    0xff65587c,
    0xff733a5b,
    0xff9b2523,
    0xffae1218,
    0xffb4080e,
    0xffbe1d17,
    0xffb6321a,
    0xffb4401f,
    0xffd15034,
    0xffcc3b27,
    0xffc63222,
    0xffbb1818,
    0xffb80f12,
    0xffca2026,
    0xffcd1f23,
    0xffd32425,
    0xffc71519,
    0xffc20d18,
    0xffc91121,
    0xffda272a,
    0xffcf303c,
    0xffc63433,
    0xffcb4b30,
    0xffd38268,
    0xff908087,
    0xff253d58,
    0xff415a74,
    0xff707788,
    0xff7e838d,
    0xff80889f,
    0xff38487c,
    0xff163175,
    0xff062a65,
    0xff123c6c,
    0xff002c5d,
    0xff0f4676,
    0xff002060,
    0xff586b7d,
    0xff8d918a,
    0xff8d80a2,
    0xff817790,
    0xff9da19f,
    0xff6d7493,
    0xff4b6086,
    0xff374e78,
    0xff263d63,
    0xff3e546f,
    0xff4c5e6f,
    0xff828696,
    0xff897e96,
    0xff756386,
    0xff4f4972,
    0xff3d3f6d,
    0xff5d6b9d,
    0xff45608f,
    0xff52729b,
    0xff567492,
    0xff3c5868,
    0xff7e97a5,
    0xff446689,
    0xff698ab0,
    0xff7492b7,
    0xffd5f2ff,
    0xffc2ddfc,
    0xffc3daf7,
    0xffc7e0fb,
    0xffc5ddfb,
    0xffc2dcf5,
    0xffc2dcf6,
    0xffc2ddf6,
    0xffc3ddf7,
    0xffc1dbf3,
    0xffc1dcf4,
    0xffc0dbf5,
    0xffc1dbf6,
    0xffc0dbf2,
    0xffc0dbf1,
    0xffc0daf2,
    0xffbfdaf3,
    0xffc1daf7,
    0xffc2dbfa,
    0xffc2dafc,
    0xffc1d9fd,
    0xffc2dcfc,
    0xffc1dbf9,
    0xffbfd9f5,
    0xffbfd9f3,
    0xffc1dbf4,
    0xffc0dbf5,
    0xffc0daf9,
    0xffc0d9fa,
    0xffc0daf3,
    0xffc0dbf3,
    0xffc0dbf3,
    0xffc0dbf3,
    0xffc0dbf3,
    0xffc0dbf3,
    0xffc0dbf3,
    0xffc0daf3,
    0xffc0daf2,
    0xffc0daf1,
    0xffc0daf1,
    0xffc0daf4,
    0xffc2dcf4,
    0xffc1dbf7,
    0xffc0daf6,
    0xffbfd9f4,
    0xffc1dbf6,
    0xffc0daf6,
    0xffc0daf6,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf0,
    0xffc0daf0,
    0xffc0daf0,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffbfd9f2,
    0xffbfd9f2,
    0xffbfd9f2,
    0xffbfd9f2,
    0xffbedbf3,
    0xffbfdbf3,
    0xffc1ddf5,
    0xffc2dff7,
    0xffc2dff7,
    0xffc2def6,
    0xffc2def6,
    0xffc1ddf5,
    0xffc1dbf8,
    0xffc1daf8,
    0xffc5defc,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc3dcfa,
    0xffc3dcfa,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffc2dbf9,
    0xffc3daf9,
    0xffc1d8f7,
    0xffc0d7f6,
    0xffc2d9f8,
    0xffc1d8f7,
    0xffc1d7f7,
    0xffc1d8f7,
    0xffc0d7f5,
    0xffbddbf7,
    0xffbbdaf5,
    0xffbcd9f5,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd7f5,
    0xffbbd7f5,
    0xffbbd7f7,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbdd9f7,
    0xffbdd9f7,
    0xffbdd9f7,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbcd7f5,
    0xffbdd9f6,
    0xffbed9f7,
    0xffbfdaf8,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f6,
    0xffbad7f6,
    0xffbad7f5,
    0xffbad7f8,
    0xffbcd8f9,
    0xffbcd9f9,
    0xffbddbfb,
    0xffbcd9fa,
    0xffbad7f8,
    0xffbbd8f8,
    0xffbbd7f8,
    0xffb8d8f7,
    0xffb7d7f6,
    0xffbad9f8,
    0xffb9d9f8,
    0xffb9d9f8,
    0xffbad9f8,
    0xffb9d8f7,
    0xffb7d6f5,
    0xffb8d5f5,
    0xffbad7f7,
    0xffbad7f7,
    0xffbad7f7,
    0xffb9d6f6,
    0xffb9d6f6,
    0xffb9d5f5,
    0xffb7d4f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f3,
    0xffb7d6f3,
    0xffb9d8f4,
    0xffb7d6f3,
    0xffb8d7f3,
    0xffb5d4f1,
    0xffb3d2ee,
    0xffb5d4f1,
    0xffb5d4f3,
    0xffb4d3f2,
    0xffb4d3f2,
    0xffb5d4f3,
    0xffb6d5f3,
    0xffb6d5f3,
    0xffb6d5f3,
    0xffb6d5f3,
    0xffb2d3f2,
    0xffb3d5f6,
    0xffb3d5f6,
    0xffb4d6f7,
    0xffb5d7f7,
    0xffb3d4f7,
    0xffb4d6f9,
    0xffb4d4f8,
    0xffb1d2f2,
    0xffb1d2f3,
    0xffb3d4f4,
    0xffb6d5f6,
    0xffb7d4f6,
    0xffb6d4f8,
    0xffb7d5f9,
    0xffb5d2f7,
    0xffb3d4f7,
    0xffb2d4f7,
    0xffb3d5f8,
    0xffb4d5f8,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f4,
    0xffb2d1f8,
    0xffb2d1f8,
    0xffb1d1f7,
    0xffaecef5,
    0xffafcff5,
    0xffb2d2f8,
    0xffb2d2f8,
    0xffaecef4,
    0xffaed1f4,
    0xffb0d2f5,
    0xffadcff4,
    0xffb0d2f7,
    0xffaed0f4,
    0xffabcdf1,
    0xffaed0f7,
    0xffb0d2f8,
    0xffaed0f4,
    0xffadcff3,
    0xffaccef3,
    0xffadcff4,
    0xffaccef2,
    0xffaccef3,
    0xffabcdf3,
    0xffaed0f5,
    0xffaccef4,
    0xffabcef3,
    0xffabcef3,
    0xffabcdf3,
    0xffa9cbf1,
    0xffa9cbf1,
    0xffabcdf3,
    0xffaacdf2,
    0xffaccdf7,
    0xffaccdf6,
    0xffabccf5,
    0xffa8caf3,
    0xffa8c9f2,
    0xffa8c9f2,
    0xffa9caf3,
    0xffa9caf2,
    0xffaacbf7,
    0xffaacbf6,
    0xffa9caf6,
    0xffa9caf6,
    0xffa9caf6,
    0xffabccf7,
    0xffaacbf7,
    0xffa8c9f4,
    0xffabcbfa,
    0xffa8c9f7,
    0xffa7c8f6,
    0xffa6c6f6,
    0xffa6c6f6,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa9c9f8,
    0xffa7c7f7,
    0xffa9c9f9,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa7c7f7,
    0xffa7c7f7,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c8f6,
    0xffa2c4f2,
    0xffa2c4f2,
    0xffa3c6f4,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c5f2,
    0xffa2c4f2,
    0xffa2c4f1,
    0xffa3c5f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa0c5f5,
    0xffa0c5f6,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9dc1f3,
    0xffa2c6f8,
    0xffa1c5f7,
    0xff9fc3f5,
    0xff9ec2f4,
    0xff9fc4f5,
    0xff9ec3f4,
    0xffa1c5f8,
    0xff9fc3f5,
    0xffa0c4f6,
    0xff9fc3f5,
    0xff9ec2f5,
    0xff9fc3f5,
    0xff9cc0f2,
    0xff9ec2f5,
    0xff9cc0f1,
    0xffa1c3eb,
    0xffa3c5f1,
    0xffa4c7fc,
    0xff83accc,
    0xff427168,
    0xff2a5945,
    0xff1f4b30,
    0xff44743c,
    0xff4c8045,
    0xff5a8b4a,
    0xff7ca855,
    0xff547d1d,
    0xff59802c,
    0xff3a6126,
    0xff315c2b,
    0xff396a32,
    0xff274c1e,
    0xff214620,
    0xff193c1d,
    0xff41653f,
    0xff2f5a28,
    0xff2b5b2b,
    0xff376747,
    0xff467865,
    0xff1a4029,
    0xff143528,
    0xff0d2523,
    0xff0c1f23,
    0xff061717,
    0xff01130f,
    0xff061b15,
    0xff001513,
    0xff223e3a,
    0xff92adc2,
    0xff223e65,
    0xff6788b7,
    0xff3b5f97,
    0xff133f6b,
    0xff3e7289,
    0xff326882,
    0xff81afc3,
    0xff477b88,
    0xff65a0ae,
    0xff4c89a8,
    0xff3e76a8,
    0xff6497c8,
    0xff366680,
    0xff0f3c41,
    0xff0e3b48,
    0xff043677,
    0xff235eb0,
    0xff4e8cb8,
    0xff81bbbf,
    0xff59857c,
    0xff17392e,
    0xff24422f,
    0xff1f4530,
    0xff193a2e,
    0xff0f2a28,
    0xff102321,
    0xff1a2f25,
    0xff09231d,
    0xff001925,
    0xff13334d,
    0xff2d525b,
    0xff001c32,
    0xff3e5fb1,
    0xff4667a3,
    0xff03171b,
    0xff000912,
    0xff3967ad,
    0xff87bcf8,
    0xff073c75,
    0xff134387,
    0xff194a88,
    0xff002453,
    0xff001d4c,
    0xff0e3574,
    0xff134080,
    0xff1f4d83,
    0xff002a6f,
    0xff164186,
    0xff153d66,
    0xff001b1b,
    0xff506862,
    0xff303e4f,
    0xff1d3041,
    0xff072621,
    0xff002116,
    0xff2e5285,
    0xff557ebd,
    0xff6596d1,
    0xff78ace0,
    0xff81ace6,
    0xff385a6a,
    0xff3e594e,
    0xff1f4a3a,
    0xff3d6b9f,
    0xff548691,
    0xff33541f,
    0xff6b7e3b,
    0xff617c35,
    0xff4e6c33,
    0xff496135,
    0xff344837,
    0xff344b31,
    0xff829d5a,
    0xff011505,
    0xff19292b,
    0xff0a1a13,
    0xff263b1f,
    0xff21391a,
    0xff021407,
    0xff031923,
    0xff385980,
    0xff163a48,
    0xff082421,
    0xff0e2826,
    0xff162e24,
    0xff14111d,
    0xff081412,
    0xff030f02,
    0xff0d1d09,
    0xff1c301b,
    0xff0d1a04,
    0xff4b512d,
    0xff475724,
    0xff1a3806,
    0xff082502,
    0xff011404,
    0xff0f1f16,
    0xff20342f,
    0xff2f4b65,
    0xff4461a0,
    0xff1e3d6e,
    0xff000d17,
    0xff03141c,
    0xff382a3c,
    0xff412530,
    0xff46241f,
    0xff5d2b17,
    0xff68381c,
    0xff68361e,
    0xff5e150d,
    0xff652317,
    0xff4c291e,
    0xff34251a,
    0xff331710,
    0xff6b1f1d,
    0xff962424,
    0xff9d2a2b,
    0xff7f211c,
    0xff7e3a41,
    0xff672f36,
    0xff5a4355,
    0xff1c2e59,
    0xff86a9ea,
    0xff143776,
    0xff5a7db3,
    0xff204a79,
    0xff3e709d,
    0xff215487,
    0xff3562a2,
    0xff456ba6,
    0xff000620,
    0xff0a1b11,
    0xff21271c,
    0xff201d23,
    0xff151612,
    0xff331e17,
    0xff83523e,
    0xffa55e3e,
    0xffc78059,
    0xffc7875c,
    0xffcd8b64,
    0xff8e5433,
    0xff3b2401,
    0xff7c701d,
    0xff857610,
    0xff76601b,
    0xff54481e,
    0xff3e440f,
    0xff4c4e0b,
    0xff4f3d03,
    0xff867f2a,
    0xff73632b,
    0xff160f0a,
    0xff131b0d,
    0xff26320e,
    0xff1d2813,
    0xff010b01,
    0xff1d1318,
    0xff130b04,
    0xff081508,
    0xff00120a,
    0xff030c0d,
    0xff0e0f17,
    0xff000000,
    0xff141b16,
    0xff9b9e95,
    0xffa2000d,
    0xff71183a,
    0xff4c4052,
    0xff919f9e,
    0xff2c3148,
    0xff3e3e66,
    0xff6d768e,
    0xff656f75,
    0xff88817e,
    0xff888278,
    0xff918877,
    0xff7e7259,
    0xff8f7c62,
    0xff968068,
    0xffa8957e,
    0xff9a8b73,
    0xff6d6255,
    0xff947666,
    0xff937e6f,
    0xff6d5c5c,
    0xff6e504e,
    0xff954041,
    0xffb03640,
    0xffe09da2,
    0xff876c81,
    0xff5d5268,
    0xff584a5d,
    0xff544a56,
    0xff46324c,
    0xff3d2b4c,
    0xff3e2536,
    0xff79171e,
    0xffd54338,
    0xffcb2523,
    0xffc51017,
    0xffc81623,
    0xffa80f17,
    0xff830004,
    0xff8a010b,
    0xffa3101f,
    0xffc1263b,
    0xffa92121,
    0xffa4190d,
    0xffb93a35,
    0xffb66a6c,
    0xff7b5463,
    0xff5d3d4e,
    0xff391e26,
    0xff290913,
    0xff720618,
    0xffbf1523,
    0xffd42a27,
    0xffd23a31,
    0xffcb2c27,
    0xffcd2628,
    0xffc72424,
    0xffd02129,
    0xffcc1c23,
    0xffc91922,
    0xffcc1f24,
    0xffcd2324,
    0xffcb2523,
    0xffce2b26,
    0xffcc2c23,
    0xffc62a1d,
    0xffcd3527,
    0xffd43d32,
    0xffcf3d30,
    0xffcf3e2f,
    0xffd33f2f,
    0xffd73f2d,
    0xffc92f1c,
    0xffba3d35,
    0xffb16672,
    0xff71556a,
    0xff8e7a8b,
    0xff8d7885,
    0xff7b6d76,
    0xff884d55,
    0xffa11320,
    0xffb00d13,
    0xffaf0108,
    0xffbf1b1c,
    0xffba362c,
    0xff9c2917,
    0xffb0331d,
    0xffc84626,
    0xffd25229,
    0xffca3f2a,
    0xffc42e1e,
    0xffb5180a,
    0xffd5342b,
    0xffd4332e,
    0xffcc252a,
    0xffbe0c1a,
    0xffca0e21,
    0xffc31b18,
    0xffcb2229,
    0xffc7292c,
    0xffc53222,
    0xffc54939,
    0xff985f5a,
    0xff6a6e7a,
    0xff485269,
    0xff6b6f7a,
    0xff6f7991,
    0xff576884,
    0xff7d94a2,
    0xff7c9196,
    0xff738698,
    0xff455f83,
    0xff2f537f,
    0xff06356e,
    0xff395992,
    0xff283d72,
    0xff455485,
    0xff3f4367,
    0xff777285,
    0xff7f808d,
    0xff6d768d,
    0xff7a7685,
    0xffa2a7ba,
    0xffacabb4,
    0xffa29c9d,
    0xff8c8a8d,
    0xff827b7a,
    0xff97898a,
    0xff898793,
    0xff81767f,
    0xff877390,
    0xff7a699b,
    0xff5b5b73,
    0xff7e7e89,
    0xff978d94,
    0xffa6a89f,
    0xff7d91a8,
    0xff305d85,
    0xff345986,
    0xff466396,
    0xff6885b5,
    0xff97a9c7,
    0xff8f97a7,
    0xffcbd8f4,
    0xffbed9ff,
    0xffcfdffc,
    0xffcddfff,
    0xffc1dafc,
    0xffbcd8f7,
    0xffc3e0f9,
    0xffbedbf2,
    0xffbeddfa,
    0xffbddbfe,
    0xffbbdcfd,
    0xffbbdcf0,
    0xffbddde6,
    0xffbddce8,
    0xffbddcf4,
    0xffbedafa,
    0xffc0daf5,
    0xffc3d9ed,
    0xffbbdcf2,
    0xffbdddf7,
    0xffbdddf8,
    0xffbfdbf9,
    0xffc0daf9,
    0xffc1daf6,
    0xffc1daf3,
    0xffc3d9f2,
    0xffc2daf3,
    0xffc2d9f4,
    0xffc2d9f4,
    0xffc2d9f4,
    0xffc2d9f4,
    0xffc2d9f3,
    0xffc3dbf8,
    0xffc4dcf8,
    0xffc1dcf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf4,
    0xffc2dcf4,
    0xffc2dcf5,
    0xffc2dcf4,
    0xffc2dcf4,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dbf5,
    0xffc1dbf4,
    0xffc2dbf4,
    0xffc1dbf4,
    0xffc1daf3,
    0xffc4def7,
    0xffc3ddf5,
    0xffc3ddf6,
    0xffc0daf4,
    0xffc0dbf5,
    0xffc2dbf9,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffc3dcfb,
    0xffc2dbfa,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f6,
    0xffbed7f4,
    0xffbfd8f5,
    0xffbbd4f2,
    0xffbed7f5,
    0xffc0d9f7,
    0xffbfd9f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd9f6,
    0xffbfd9f6,
    0xffbfd9f7,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbdd6f4,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d8f8,
    0xffc0d9f8,
    0xffbdd7f4,
    0xffbed7f5,
    0xffbfd9f7,
    0xffc1daf8,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbfd8f5,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f5,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f6,
    0xffbed9f5,
    0xffbfd8f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed9f7,
    0xffbbd8f6,
    0xffbcd9f6,
    0xffbadaf6,
    0xffbadaf6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbad7f4,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbdafa,
    0xffb9d9f8,
    0xffbad9f8,
    0xffbadaf9,
    0xffbadaf9,
    0xffbad9f8,
    0xffb8d8f7,
    0xffb7d7f6,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb4d3f0,
    0xffbad9f5,
    0xffb5d4f4,
    0xffb6d5f5,
    0xffb8d7f7,
    0xffb8d7f6,
    0xffb8d6f8,
    0xffb8d6f8,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb3d5f6,
    0xffb6d3f6,
    0xffb5d2f4,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb6d3f5,
    0xffb6d3f4,
    0xffb8d4f9,
    0xffb7d3f8,
    0xffb6d2f7,
    0xffb5d1f6,
    0xffb4d2f7,
    0xffb6d4f8,
    0xffb6d4f8,
    0xffb5d3f7,
    0xffb6d4f5,
    0xffb6d4f6,
    0xffb5d2f4,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb3d4f7,
    0xffb3d5f7,
    0xffb3d2fa,
    0xffb2d4f6,
    0xffb2d3f5,
    0xffb2d4f6,
    0xffb1d2f5,
    0xffb1d1f7,
    0xffaecef4,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffaed1f6,
    0xffaccff5,
    0xffaccef4,
    0xffaacdf3,
    0xffadd0f6,
    0xffafd1f7,
    0xffaed1f7,
    0xffaed1f7,
    0xffafcef6,
    0xffaccbf3,
    0xffaacaf2,
    0xffabcaf0,
    0xffaacdf1,
    0xffa9cbf0,
    0xffaccef0,
    0xffaccef2,
    0xffadccf4,
    0xffadccf3,
    0xffaecef5,
    0xffaecdf5,
    0xffadd0f6,
    0xffaccef4,
    0xffa9cbf1,
    0xffaaccf2,
    0xffaacaf1,
    0xffabcbf2,
    0xffabcbf1,
    0xffacccf5,
    0xffacccf5,
    0xffacccf5,
    0xffacccf4,
    0xffaccaf8,
    0xffaaccf4,
    0xffabccf4,
    0xffabccf4,
    0xffabccf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffa8c9f3,
    0xffaacbf4,
    0xffabccf6,
    0xffaacbf7,
    0xffaccdf9,
    0xffa9c8f8,
    0xffa6c6f5,
    0xffa7c7f7,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa5c6f3,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa7c8f4,
    0xffa5c6f3,
    0xffa5c6f3,
    0xffa4c5f2,
    0xffa7c8f5,
    0xffa8c9f6,
    0xffa7c8f5,
    0xffa3c3f2,
    0xffa3c2f2,
    0xffa3c3f2,
    0xffa6c5f5,
    0xffa4c7f5,
    0xffa2c4f3,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa3c4f2,
    0xffa3c5f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa4c5f4,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f3,
    0xffa2c4f3,
    0xffa2c4f3,
    0xff9fc4f3,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9fc3f3,
    0xff9fc3f3,
    0xff9ec2f8,
    0xffa0c5f5,
    0xff9ec4f0,
    0xffa4c9f7,
    0xffa7cbf8,
    0xff9fc6e7,
    0xff628c96,
    0xff224f41,
    0xff275a30,
    0xff58895a,
    0xff58874f,
    0xff325e1b,
    0xff305918,
    0xff365b26,
    0xff4e7347,
    0xff32562b,
    0xff2c5029,
    0xff173916,
    0xff1d3d1b,
    0xff143216,
    0xff47644b,
    0xff325339,
    0xff32583a,
    0xff1e4524,
    0xff143420,
    0xff2a4434,
    0xff1d3328,
    0xff0a1e1f,
    0xff0c1f26,
    0xff06191f,
    0xff041417,
    0xff041212,
    0xff2e4547,
    0xff000e1d,
    0xff42697f,
    0xff18404b,
    0xff001d13,
    0xff285132,
    0xff567f5c,
    0xff588667,
    0xff326b48,
    0xff346644,
    0xff285d3e,
    0xff1f5c49,
    0xff0f4440,
    0xff113136,
    0xff112b2d,
    0xff00281e,
    0xff002231,
    0xff1a5090,
    0xff5692bd,
    0xff083739,
    0xff244936,
    0xff0e361f,
    0xff1a3e39,
    0xff163235,
    0xff0c2922,
    0xff042616,
    0xff1a3f32,
    0xff0b272a,
    0xff20343d,
    0xff011728,
    0xff345a81,
    0xff3361a9,
    0xff2a569c,
    0xff204d76,
    0xff00203a,
    0xff031c3d,
    0xff2a3b58,
    0xff001325,
    0xff072249,
    0xff00236a,
    0xff3276b5,
    0xff1f5fa6,
    0xff245c9e,
    0xff1b5182,
    0xff063d6f,
    0xff366fb6,
    0xff3474c3,
    0xff4d96e1,
    0xff327ac7,
    0xff4276aa,
    0xff001b3d,
    0xff051e3e,
    0xff4c739c,
    0xff2b5d8a,
    0xff40709f,
    0xff274f7c,
    0xff447ba1,
    0xff577dbc,
    0xff6d90d9,
    0xff8dc1ec,
    0xff255b75,
    0xff466c6b,
    0xff4b623f,
    0xff41533e,
    0xff3e6b5b,
    0xff7495b7,
    0xff567276,
    0xff607a3d,
    0xff667e39,
    0xff325219,
    0xff628d6e,
    0xff346173,
    0xff1f3c58,
    0xff2c4437,
    0xff112b22,
    0xff0a2d3a,
    0xff082b2f,
    0xff21303f,
    0xff1c2537,
    0xff233829,
    0xff0c200f,
    0xff2f3c35,
    0xff021633,
    0xff0a2d2e,
    0xff1a4322,
    0xff122416,
    0xff161b15,
    0xff111c16,
    0xff001609,
    0xff161800,
    0xff3c3014,
    0xff4f522e,
    0xff243216,
    0xff303b26,
    0xff283b0b,
    0xff112c00,
    0xff2b3620,
    0xff122b1d,
    0xff00161b,
    0xff1f3943,
    0xff3a5668,
    0xff4b73aa,
    0xff79acf2,
    0xff5d96c7,
    0xff6c9ad7,
    0xff282f50,
    0xff52212a,
    0xff662522,
    0xff4c2718,
    0xff482712,
    0xff512112,
    0xff572d22,
    0xff512010,
    0xff511917,
    0xff632b2e,
    0xff64211d,
    0xff7c1e16,
    0xff8c1b1b,
    0xff7a1924,
    0xff501120,
    0xff532f3d,
    0xff543e65,
    0xff2f3a6b,
    0xff113b78,
    0xff2f60a9,
    0xff2e5c95,
    0xff5f8ec6,
    0xff6ba3f0,
    0xff67a2ea,
    0xff5487c7,
    0xff4d77bb,
    0xff4e76b7,
    0xff285471,
    0xff0d3628,
    0xff001707,
    0xff00030b,
    0xff40372f,
    0xff4a2216,
    0xff5d290f,
    0xffce7f60,
    0xffac6043,
    0xffbb854e,
    0xffe5ab72,
    0xffb38162,
    0xff1f0e00,
    0xff625e15,
    0xff737315,
    0xff5b5716,
    0xff3c3704,
    0xff58560f,
    0xff6f6514,
    0xff786630,
    0xff000200,
    0xff1a1b0d,
    0xff0a0a05,
    0xff000a03,
    0xff000b06,
    0xff000a06,
    0xff101513,
    0xff262023,
    0xff070507,
    0xff001003,
    0xff0b1303,
    0xff070c0d,
    0xff000b0b,
    0xff0a1b16,
    0xff000405,
    0xffb1ab98,
    0xffb50109,
    0xff830117,
    0xff6d272e,
    0xff9d7a6a,
    0xff4d3f33,
    0xff949799,
    0xff6c736c,
    0xff7d7e69,
    0xff9b866f,
    0xff948164,
    0xff9e8e69,
    0xff99875e,
    0xffa4926b,
    0xffa08b73,
    0xff8a7a72,
    0xff695e60,
    0xff433443,
    0xff887675,
    0xff7d6f63,
    0xff624c46,
    0xffa1676c,
    0xffc14b5a,
    0xffb1384c,
    0xffe0b0b7,
    0xff795e73,
    0xff62546c,
    0xff5b485d,
    0xff4e4152,
    0xff47344c,
    0xff3d2646,
    0xff3c1623,
    0xff901f23,
    0xffd7352f,
    0xffbf0c0e,
    0xffc70b15,
    0xffbf121d,
    0xff9a0a12,
    0xff790001,
    0xff750002,
    0xff7d0007,
    0xff9d0a15,
    0xffaf1d1c,
    0xffc32c27,
    0xffca4949,
    0xffa55d66,
    0xff5f4950,
    0xff463138,
    0xff411c21,
    0xff5a1115,
    0xff980b16,
    0xffc60b14,
    0xffd01d19,
    0xffd12c23,
    0xffd12524,
    0xffd61d23,
    0xffd31d23,
    0xffcb1d24,
    0xffc91c22,
    0xffcb1f25,
    0xffcd2325,
    0xffcf2627,
    0xffcc2927,
    0xffcd2f28,
    0xffd13529,
    0xffd5352a,
    0xffd03629,
    0xffc93627,
    0xffc73d2b,
    0xffd04735,
    0xffd44635,
    0xffd23e31,
    0xffd0372d,
    0xffbe392d,
    0xffbf5a51,
    0xff996252,
    0xff90785e,
    0xffb39d8c,
    0xff97746e,
    0xffc77f7b,
    0xffad3e35,
    0xffaa1213,
    0xffb50a12,
    0xffb30a0e,
    0xffb72f23,
    0xffb03d29,
    0xffb03e22,
    0xffbc4322,
    0xffc54d24,
    0xffd04f31,
    0xffc83b23,
    0xffcb3622,
    0xffcc3425,
    0xffd63930,
    0xffce2d2b,
    0xffbf1118,
    0xffc40d1b,
    0xffbf0c20,
    0xffd82531,
    0xffcb2928,
    0xffbf271e,
    0xffbe3029,
    0xffb35a55,
    0xff745d64,
    0xff656980,
    0xff2e475d,
    0xff34496a,
    0xff304367,
    0xff0a2137,
    0xff426370,
    0xff455f71,
    0xff87849c,
    0xffab8ca3,
    0xff5a457a,
    0xff1e2265,
    0xff173078,
    0xff082b69,
    0xff224c7b,
    0xff265079,
    0xff456a8c,
    0xff253b57,
    0xff6b7387,
    0xff798298,
    0xff3e465e,
    0xff757c91,
    0xff7a7781,
    0xff948c88,
    0xff938d80,
    0xffa19d88,
    0xffb0a4a1,
    0xff7d6e6e,
    0xff665665,
    0xff9f9a8e,
    0xff9da186,
    0xff8e9995,
    0xff406070,
    0xff205480,
    0xff1f5c8c,
    0xff0d4b86,
    0xff255b9e,
    0xff2c5489,
    0xff6f8ba7,
    0xff7a8e9d,
    0xff647a89,
    0xff8298ad,
    0xffb0cee9,
    0xff9bb7cb,
    0xffd1e8fb,
    0xffd2e6fd,
    0xffb4c4e7,
    0xffd2e2ff,
    0xffcfdefe,
    0xffc7d8f2,
    0xffc4dbf8,
    0xffc1d6f8,
    0xffc9daff,
    0xffc3d8ff,
    0xffc1daff,
    0xffbedafb,
    0xffc1dcf2,
    0xffc1dced,
    0xffc2d8f4,
    0xffc3d9f5,
    0xffc3d9f4,
    0xffc3daf3,
    0xffc2daf4,
    0xffc3d9f7,
    0xffc3d7fa,
    0xffc3d8fb,
    0xffc2daf4,
    0xffc2d9f3,
    0xffc2d9f4,
    0xffc2d9f4,
    0xffc2d9f4,
    0xffc2d9f4,
    0xffc1d9f3,
    0xffc3daf4,
    0xffc1dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc0daf3,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc4def7,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc0daf2,
    0xffc1dbf6,
    0xffc1d9f8,
    0xffbfd8f6,
    0xffc1daf7,
    0xffc1daf9,
    0xffc1d9f7,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffbed7f6,
    0xffbed7f7,
    0xffbed7f7,
    0xffbed7f5,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d8f6,
    0xffc0d8f6,
    0xffc0d8f6,
    0xffc0d8f6,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffbfd7f6,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd7f6,
    0xffbfd7f6,
    0xffbdd9f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbdd8f5,
    0xffbdd9f5,
    0xffbdd6f5,
    0xffbed7f6,
    0xffbfd7f7,
    0xffbed9f6,
    0xffbbd8f6,
    0xffbcd8f6,
    0xffbadaf7,
    0xffbadaf7,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbdaf7,
    0xffb9d9f5,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb8d7f4,
    0xffb9d8f5,
    0xffb8d8f4,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffb9d8f7,
    0xffbad9f8,
    0xffb7d6f2,
    0xffb9d8f5,
    0xffb4d3f0,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb7d6f5,
    0xffb6d4f7,
    0xffb8d7f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb3d2f1,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb3d5f6,
    0xffb6d3f6,
    0xffb4d2f5,
    0xffb3d1f3,
    0xffb5d3f5,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb6d3f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d3f6,
    0xffb6d3f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb5d2f7,
    0xffb1d2f5,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffafcff6,
    0xffaecef4,
    0xffafcff5,
    0xffb1d1f6,
    0xffb1d1f8,
    0xffafcff6,
    0xffaecef5,
    0xffaecef5,
    0xffafcff6,
    0xffafcff7,
    0xffb0d0f7,
    0xffafcff6,
    0xffb0d0f7,
    0xffadcdf3,
    0xffaecef5,
    0xffaecef5,
    0xffafcef4,
    0xffadcff4,
    0xffaaccf1,
    0xffaccef3,
    0xffadcdf4,
    0xffacccf3,
    0xffaecef5,
    0xffaecef5,
    0xffafcef5,
    0xffadcff5,
    0xffaaccf2,
    0xffabcdf3,
    0xffaccbf3,
    0xffaccbf3,
    0xffaccbf2,
    0xffaccbf5,
    0xffacccf5,
    0xffacccf5,
    0xffacccf5,
    0xffacccf4,
    0xffaaccf5,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffa9caf3,
    0xffaacbf4,
    0xffa8c9f2,
    0xffa9caf3,
    0xffa8c9f2,
    0xffaacbf3,
    0xffa9caf6,
    0xffaacbf5,
    0xffa9caf7,
    0xffa9caf6,
    0xffa6c6f5,
    0xffa8c7f7,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa8c9f6,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa5c6f3,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f2,
    0xffa3c5f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f2,
    0xffa3c5f2,
    0xffa3c5f2,
    0xffa3c5f2,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xffa1c3f3,
    0xff9fc4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xffa0c4f4,
    0xff9ec2f2,
    0xff9ec2f2,
    0xff9dc1f2,
    0xff9ec2f4,
    0xffa0c3f6,
    0xff9ac0ea,
    0xffa3cae7,
    0xffa2cbdf,
    0xff6b92b2,
    0xff3a6070,
    0xff335b53,
    0xff355c44,
    0xff2c4d36,
    0xff32543b,
    0xff2b4d29,
    0xff355b2c,
    0xff2a4f39,
    0xff193c2a,
    0xff0b2b1e,
    0xff112e25,
    0xff08221c,
    0xff0f2b21,
    0xff244331,
    0xff16361d,
    0xff204438,
    0xff103026,
    0xff112c24,
    0xff051f1a,
    0xff051e1d,
    0xff081e1c,
    0xff0f231e,
    0xff04160b,
    0xff031e14,
    0xff476967,
    0xff396360,
    0xff224c40,
    0xff244b28,
    0xff6b9360,
    0xff2f5a28,
    0xff285429,
    0xff183519,
    0xff38552f,
    0xff3c5d33,
    0xff244829,
    0xff1a3924,
    0xff10251c,
    0xff07181b,
    0xff0c2232,
    0xff365983,
    0xff345e93,
    0xff194b56,
    0xff22523e,
    0xff17462f,
    0xff033831,
    0xff235f78,
    0xff206179,
    0xff3a6f66,
    0xff235864,
    0xff3c6f91,
    0xff34617d,
    0xff2b555a,
    0xff0b3a38,
    0xff306589,
    0xff5692e1,
    0xff4679cc,
    0xff5588d5,
    0xff4a78bd,
    0xff395f8e,
    0xff001524,
    0xff001b21,
    0xff001a32,
    0xff36628f,
    0xff193e88,
    0xff355fb8,
    0xff5688e7,
    0xff6ba5f9,
    0xff2862ad,
    0xff1a4d92,
    0xff0d3675,
    0xff345a93,
    0xff4371aa,
    0xff023161,
    0xff346393,
    0xff3967a6,
    0xff194b91,
    0xff0e468c,
    0xff124b99,
    0xff2b62b9,
    0xff5f96e2,
    0xff86b5ff,
    0xff8bb2ff,
    0xff81b0c5,
    0xff356250,
    0xff47674c,
    0xff33513b,
    0xff274358,
    0xff467bb2,
    0xff39648d,
    0xff47695b,
    0xff63845d,
    0xff2f5337,
    0xff35663c,
    0xff275c3f,
    0xff325f83,
    0xff0d3e65,
    0xff0b2e20,
    0xff213a2f,
    0xff001727,
    0xff407079,
    0xff5d838d,
    0xff213744,
    0xff233b2e,
    0xff152125,
    0xff232e2e,
    0xff2a3d3b,
    0xff395b3b,
    0xff2d4618,
    0xff222108,
    0xff2e2915,
    0xff111600,
    0xff2d2001,
    0xffb8933c,
    0xffdaaa4c,
    0xff927f3f,
    0xff031105,
    0xff0d2724,
    0xff1e3712,
    0xff37482f,
    0xff0d2307,
    0xff0d1f1f,
    0xff22334c,
    0xff223445,
    0xff263843,
    0xff2b3e5f,
    0xff304d8c,
    0xff7ba4e4,
    0xff234e6b,
    0xff243741,
    0xff62494d,
    0xff341119,
    0xff211415,
    0xff45332a,
    0xff4d2e1e,
    0xff543d26,
    0xff5f2f22,
    0xff54171d,
    0xff561820,
    0xff602421,
    0xff5e2125,
    0xff4a1435,
    0xff826092,
    0xff8379a6,
    0xff3a344e,
    0xff576393,
    0xff6992df,
    0xff5893e1,
    0xff77a3dc,
    0xff28394e,
    0xff1f2b22,
    0xff253c42,
    0xff153d76,
    0xff5d89d8,
    0xff5389d6,
    0xff296994,
    0xff3c7c87,
    0xff0c3634,
    0xff0f1913,
    0xff24150c,
    0xff471607,
    0xffcb9483,
    0xff6c3924,
    0xff874d34,
    0xffd19865,
    0xffc6963f,
    0xff9d6621,
    0xff55200e,
    0xff2d1103,
    0xff473402,
    0xff6e6111,
    0xff605806,
    0xff6b6716,
    0xff827e2c,
    0xff605e13,
    0xff6a662f,
    0xff030c00,
    0xff1a2209,
    0xff262d0c,
    0xff151f09,
    0xff000d03,
    0xff000d0e,
    0xff1c2426,
    0xff2e332c,
    0xff070900,
    0xff0a1e13,
    0xff131d17,
    0xff071017,
    0xff02140d,
    0xff000d01,
    0xff00111c,
    0xff716e75,
    0xffb30503,
    0xffa90c12,
    0xff810006,
    0xffb86357,
    0xffb4917a,
    0xff72736d,
    0xff6a7377,
    0xff55534a,
    0xff8a7a62,
    0xffaa9b80,
    0xff6a5c3a,
    0xffa18d65,
    0xff947c55,
    0xff856b4a,
    0xff866e57,
    0xff826c5f,
    0xff79615e,
    0xff8e856b,
    0xff8f885f,
    0xffa39469,
    0xffa4654a,
    0xffa52c28,
    0xffcf6e73,
    0xffc19d9f,
    0xff624d60,
    0xff5c4d62,
    0xff574359,
    0xff48384d,
    0xff3d2c44,
    0xff41273d,
    0xff4b0e15,
    0xffaf2929,
    0xffd52b28,
    0xffc20e12,
    0xffbe0712,
    0xffb7131c,
    0xff8c0309,
    0xff710001,
    0xff6e0002,
    0xff891116,
    0xffa11f18,
    0xffcd3b36,
    0xffc42e30,
    0xffba434c,
    0xff884954,
    0xff4c3a3f,
    0xff442b2d,
    0xff641f24,
    0xff942320,
    0xffb92020,
    0xffc51818,
    0xffc4261c,
    0xffc02b22,
    0xffcd2a28,
    0xffd52527,
    0xffd12525,
    0xffcb2025,
    0xffc71d23,
    0xffcc2127,
    0xffcd2427,
    0xffd42e2f,
    0xffcb2824,
    0xffcd3028,
    0xffce3327,
    0xffcb3428,
    0xffd23c2e,
    0xffd33f2d,
    0xffd2412c,
    0xffd1402d,
    0xffd24335,
    0xffd5463e,
    0xffc63630,
    0xffd53c2f,
    0xffe9685c,
    0xffd07b70,
    0xffbe9588,
    0xff654746,
    0xff91505e,
    0xffd3656e,
    0xffbe3b30,
    0xffa2141a,
    0xffac0913,
    0xffb40e12,
    0xffb52418,
    0xffbd4128,
    0xffca5235,
    0xffc14325,
    0xffbf3e1f,
    0xffcd4d2d,
    0xffcb452a,
    0xffc73823,
    0xffc12a1b,
    0xffc62a20,
    0xffc92723,
    0xffc31a1b,
    0xffc31218,
    0xffbf171d,
    0xffcd2523,
    0xffc52623,
    0xffc82d2e,
    0xffc42d2c,
    0xffb54e43,
    0xff866e6c,
    0xff405f74,
    0xff426b79,
    0xff45687a,
    0xff708599,
    0xff64738d,
    0xff365479,
    0xff164473,
    0xff304a70,
    0xff564c63,
    0xff7e6d8e,
    0xff586798,
    0xff3b5a87,
    0xff4b5f75,
    0xff4e6a7a,
    0xff21547c,
    0xff22598c,
    0xff294779,
    0xff536599,
    0xff545d84,
    0xff3c5074,
    0xff2c4261,
    0xff7f8898,
    0xff68748a,
    0xff2c456b,
    0xff324362,
    0xff636263,
    0xff9e9c9d,
    0xffa89cb3,
    0xff837176,
    0xff9f998b,
    0xff2d4058,
    0xff0c376f,
    0xff003a75,
    0xff1c4d90,
    0xff0b4b98,
    0xff16579e,
    0xff194c7b,
    0xff57839d,
    0xff34627e,
    0xff264f73,
    0xff536e93,
    0xff4f7298,
    0xff4d6778,
    0xff869598,
    0xffa3b0bd,
    0xff7e8cb6,
    0xff55689e,
    0xffaabee5,
    0xffd9edff,
    0xffc5e0f2,
    0xffcae1f8,
    0xffc8dafa,
    0xffc5daf6,
    0xffc1daee,
    0xffc0dbef,
    0xffc1d9f7,
    0xffc2d6fd,
    0xffc4daf4,
    0xffc4daf0,
    0xffc1dcec,
    0xffc1dde8,
    0xffc0ddea,
    0xffbeddf1,
    0xffbedbf6,
    0xffbddbfa,
    0xffc1daf4,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0dbf3,
    0xffc0daf3,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc0daf3,
    0xffc0daf3,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffbfd9f2,
    0xffc0daf6,
    0xffc0dbf5,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc1daf6,
    0xffbfdaf4,
    0xffc1d9f8,
    0xffc0d9f7,
    0xffc2dbf9,
    0xffc1daf9,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f9,
    0xffbfd8f7,
    0xffbed7f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbfd8f7,
    0xffbed7f6,
    0xffbed7f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc1daf8,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbfd7f5,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbfdaf7,
    0xffbed7f6,
    0xffbfd8f7,
    0xffbfd7f6,
    0xffbdd8f6,
    0xffbfdaf8,
    0xffbcd9f7,
    0xffbcd8f6,
    0xffbcd8f7,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbbd7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd7f5,
    0xffb9d8f7,
    0xffb8d8f7,
    0xffb7d6f5,
    0xffb7d6f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d8f7,
    0xffb8d8f7,
    0xffb9d8f5,
    0xffb9d9f5,
    0xffb6d5f2,
    0xffb7d7f6,
    0xffb7d7f6,
    0xffb7d7f6,
    0xffb7d7f5,
    0xffb7d7f5,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb8d7f6,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb6d4f3,
    0xffb6d5f3,
    0xffb6d5f4,
    0xffb5d4f2,
    0xffb4d4f2,
    0xffb5d2f2,
    0xffb6d3f3,
    0xffb5d2f2,
    0xffb6d3f3,
    0xffb7d4f3,
    0xffb7d4f3,
    0xffb7d3f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb6d5f3,
    0xffb5d3f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb5d3f5,
    0xffb2d4f7,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffaecef4,
    0xffb1d1f7,
    0xffb1d1f7,
    0xffb3d1f6,
    0xffb2d0f5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb2d0f6,
    0xffb2d0f5,
    0xffb1cef4,
    0xffb1cff5,
    0xffb1cdf7,
    0xffaecff8,
    0xffb0d0f7,
    0xffb0d0f7,
    0xffafcff6,
    0xffaed1f7,
    0xffabcef4,
    0xffadcff5,
    0xffb0cdf5,
    0xffacccf3,
    0xffaecef5,
    0xffacccf3,
    0xffadccf3,
    0xffaccef4,
    0xffabcdf3,
    0xffabcdf3,
    0xffaacdf2,
    0xffaacdf2,
    0xffaacdf3,
    0xffaaccf1,
    0xffaacbf5,
    0xffaaccf5,
    0xffaaccf5,
    0xffaaccf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffa9caf3,
    0xffaacbf4,
    0xffaacbf4,
    0xffa9caf3,
    0xffaacbf3,
    0xffaacbf6,
    0xffa8c9f3,
    0xffa9caf7,
    0xffa7c9f6,
    0xffa8c9f6,
    0xffa8c9f6,
    0xffa9caf7,
    0xffa9caf8,
    0xffa7c8f5,
    0xffa7c8f5,
    0xffa8c9f6,
    0xffa7c8f6,
    0xffa8c9f7,
    0xffa9caf4,
    0xffa8c9f7,
    0xffa7c8f5,
    0xffa6c7f4,
    0xffa7c8f5,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa2c5f2,
    0xffa2c5f3,
    0xffa2c5f2,
    0xffa2c4f2,
    0xffa4c6f4,
    0xffa2c4f2,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa2c4f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f2,
    0xffa1c3f4,
    0xffa1c3f4,
    0xffa1c3f4,
    0xffa2c3f4,
    0xff9fc3f4,
    0xff9fc3f4,
    0xffa0c3f4,
    0xffa0c5f3,
    0xff9ec3ee,
    0xff9ec3f1,
    0xff9fc2f8,
    0xff9ec1f7,
    0xff9cc0f2,
    0xffa4c7f8,
    0xff9fc3f4,
    0xff9fc4f8,
    0xffafd1fd,
    0xff7da1bc,
    0xff6c9196,
    0xff3f6452,
    0xff597e55,
    0xff3e632b,
    0xff4e7134,
    0xff4d7034,
    0xff12391e,
    0xff45674d,
    0xff3e6048,
    0xff1b3b28,
    0xff062216,
    0xff011a13,
    0xff041d13,
    0xff183327,
    0xff123e23,
    0xff1e4528,
    0xff1b3d23,
    0xff294834,
    0xff0d2d1f,
    0xff092820,
    0xff001611,
    0xff00110d,
    0xff0f2f2e,
    0xff2b4d50,
    0xff1e3f42,
    0xff0b2c22,
    0xff18361e,
    0xff153416,
    0xff0e3017,
    0xff042618,
    0xff0b1c19,
    0xff0c2516,
    0xff193421,
    0xff08211f,
    0xff001725,
    0xff001930,
    0xff456f95,
    0xff001a50,
    0xff4066a8,
    0xff6183c1,
    0xff476b8b,
    0xff365e63,
    0xff4e7a61,
    0xff275438,
    0xff326567,
    0xff357874,
    0xff2e6e5f,
    0xff0e5059,
    0xff5392ad,
    0xff3a748c,
    0xff0f4551,
    0xff053a4c,
    0xff0a486c,
    0xff0e5183,
    0xff12436e,
    0xff0f3d7d,
    0xff24479e,
    0xff1c4172,
    0xff08271f,
    0xff000f0f,
    0xff415a7a,
    0xff122e49,
    0xff001830,
    0xff1c3c5d,
    0xff073666,
    0xff174e84,
    0xff003161,
    0xff002142,
    0xff041c34,
    0xff000c25,
    0xff001a35,
    0xff376295,
    0xff3977bf,
    0xff7dbeff,
    0xff8ac0ff,
    0xff7fafec,
    0xff8dc1fa,
    0xff84c0f7,
    0xff8cbdfc,
    0xff76a9f0,
    0xff6b9ad0,
    0xff5a7e70,
    0xff41582c,
    0xff4f6848,
    0xff244631,
    0xff001f2b,
    0xff133a58,
    0xff08365e,
    0xff1b5683,
    0xff5185c4,
    0xff2d588c,
    0xff47776c,
    0xff2f6250,
    0xff3d72a3,
    0xff3373b0,
    0xff2f5786,
    0xff132759,
    0xff6884a6,
    0xff3e685c,
    0xff1b422f,
    0xff152f29,
    0xff233925,
    0xff001b04,
    0xff001a02,
    0xff233e16,
    0xff243d19,
    0xff3a3b20,
    0xff4f370e,
    0xff83612e,
    0xff765720,
    0xffb88226,
    0xffc68828,
    0xffc79544,
    0xff342000,
    0xff0a100a,
    0xff0c1f19,
    0xff0c1f0c,
    0xff253241,
    0xff051e18,
    0xff223628,
    0xff0c2116,
    0xff00191e,
    0xff263443,
    0xff25191b,
    0xff28141a,
    0xff352545,
    0xff392c2e,
    0xff2f2215,
    0xff342118,
    0xff36262d,
    0xff665a68,
    0xff75525e,
    0xff501b21,
    0xff421715,
    0xff341d15,
    0xff38242a,
    0xff452e34,
    0xff331d10,
    0xff37231a,
    0xff74616d,
    0xff47333c,
    0xff3b2113,
    0xff462a27,
    0xff343645,
    0xff587ccb,
    0xff669fea,
    0xff5f8bab,
    0xff5d6d6f,
    0xff162511,
    0xff032223,
    0xff679cc6,
    0xff4e84d3,
    0xff6094ea,
    0xff5887bb,
    0xff0c2740,
    0xff020815,
    0xff50483c,
    0xff7c6e45,
    0xff725833,
    0xff675225,
    0xff8c6f52,
    0xff1f0300,
    0xff775f47,
    0xff493108,
    0xff2b1a00,
    0xff230c00,
    0xff664210,
    0xffa37f43,
    0xff4a2c00,
    0xff634801,
    0xff4a3601,
    0xff342805,
    0xff100d00,
    0xff44491f,
    0xff262e09,
    0xff434921,
    0xff343918,
    0xff303425,
    0xff0a1012,
    0xff050d12,
    0xff1f2a21,
    0xff1e2713,
    0xff060c00,
    0xff0d2417,
    0xff01110c,
    0xff07181f,
    0xff091e15,
    0xff05180f,
    0xff000f1e,
    0xff22232f,
    0xffaa0008,
    0xffba0c16,
    0xffa90013,
    0xff8d060b,
    0xff9d4f3d,
    0xff634141,
    0xff6b5a6c,
    0xff796b6b,
    0xff867459,
    0xff95846e,
    0xff8e7b6b,
    0xff9f8975,
    0xffac9177,
    0xffa48c67,
    0xff9a865a,
    0xff9e8c62,
    0xff9d7c6a,
    0xff736751,
    0xff81735a,
    0xff988f6c,
    0xffa67759,
    0xffbc5f5a,
    0xffdd9cab,
    0xff927090,
    0xff635267,
    0xff584b5f,
    0xff55435c,
    0xff44364d,
    0xff3d2e43,
    0xff3c1b25,
    0xff66110f,
    0xffc8342f,
    0xffcc2723,
    0xffb90e0f,
    0xffc51b21,
    0xffab1118,
    0xff820005,
    0xff7a0004,
    0xff82050f,
    0xff9a161f,
    0xffb23321,
    0xffc93d35,
    0xffcb4f51,
    0xffa84f59,
    0xff703848,
    0xff462d33,
    0xff4f2729,
    0xff89252d,
    0xffc23436,
    0xffcf3a3e,
    0xffcc4140,
    0xffca4e45,
    0xffd24b46,
    0xffce2e2f,
    0xffcd1d22,
    0xffc51e1d,
    0xffc5181e,
    0xffc5171e,
    0xffca1f25,
    0xffcb2124,
    0xffd02b29,
    0xffcb2725,
    0xffc6281e,
    0xffd13529,
    0xffcf352b,
    0xffd13b2c,
    0xffd7432d,
    0xffd4462c,
    0xffd14329,
    0xffcf3e28,
    0xffd53f31,
    0xffce372c,
    0xffc63f21,
    0xffc74b37,
    0xffaf3835,
    0xff7c101b,
    0xff9f3e4e,
    0xffad3d4e,
    0xffab202a,
    0xffb92721,
    0xffa82d35,
    0xffa7252e,
    0xffa01717,
    0xffaf251a,
    0xffbe331e,
    0xffc63520,
    0xffcb3726,
    0xffbd2818,
    0xffbf351d,
    0xffc63a23,
    0xffc73222,
    0xffc42c1f,
    0xffbf221b,
    0xffc52521,
    0xffcb2727,
    0xffcf2929,
    0xffcd251e,
    0xffd82d36,
    0xffcd3046,
    0xffc73a4e,
    0xffc0383e,
    0xffc4534d,
    0xffa2686b,
    0xff5d596d,
    0xff3b5a77,
    0xff366678,
    0xff537a82,
    0xff363e4d,
    0xff66698b,
    0xff536ea0,
    0xff0f3561,
    0xff3d5474,
    0xff4d627c,
    0xff274666,
    0xff21384a,
    0xffafaba1,
    0xff8c8881,
    0xff5f7a98,
    0xff0b3879,
    0xff183c87,
    0xff24497b,
    0xff476485,
    0xff6d8aa1,
    0xff657e8c,
    0xff86959d,
    0xff41556f,
    0xff05245e,
    0xff133474,
    0xff9cb1cd,
    0xff607592,
    0xff4c546c,
    0xff736a66,
    0xffbebaa9,
    0xff8a97b0,
    0xff001b5b,
    0xff2d4b8f,
    0xff042774,
    0xff09398c,
    0xff0d4792,
    0xff0f4482,
    0xff174a7a,
    0xff1d4a79,
    0xff315588,
    0xff22376b,
    0xff4c5e87,
    0xff727d8c,
    0xff73756d,
    0xff808483,
    0xff485b75,
    0xff6284b1,
    0xff1c436c,
    0xff6e96b1,
    0xffadd4ee,
    0xffabcde8,
    0xffcee9ff,
    0xffc7e2f5,
    0xffc5e1f1,
    0xffc5e1f6,
    0xffc5dafd,
    0xffc7d7ff,
    0xffc5ddff,
    0xffc3dbfa,
    0xffc1d8f6,
    0xffc1daf4,
    0xffc1daf4,
    0xffc0dbf6,
    0xffbfdaf8,
    0xffbedaf9,
    0xffc3ddf8,
    0xffc2dcf8,
    0xffc2dcf8,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc1dbf4,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc1dcf5,
    0xffc1dbf4,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc2ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc0daf3,
    0xffc1dbf4,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc3ddf8,
    0xffc2dcf7,
    0xffc2ddf7,
    0xffc2dcf6,
    0xffc1daf8,
    0xffc2dcf5,
    0xffc0daf3,
    0xffc2ddf8,
    0xffc2ddf7,
    0xffc1daf8,
    0xffc0d9f8,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffc0d9f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffbed7f5,
    0xffc0d9f7,
    0xffbed7f5,
    0xffc0d9f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc1daf8,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f6,
    0xffbed8f3,
    0xffbed8f3,
    0xffc0d9f7,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf7,
    0xffbedaf6,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbfdaf8,
    0xffbbd8f6,
    0xffbbd9f7,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbcd7f5,
    0xffbfd9f8,
    0xffbfd9f7,
    0xffbbd9f7,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbd9f7,
    0xffbdd9f7,
    0xffbbd7f5,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffbad6f4,
    0xffbad6f4,
    0xffb9d6f3,
    0xffb8d5f3,
    0xffb8d5f3,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad6f4,
    0xffb8d5f3,
    0xffb9d6f6,
    0xffbad7f7,
    0xffbad7f7,
    0xffb5d5f4,
    0xffb7d7f6,
    0xffb7d6f6,
    0xffb8d7f6,
    0xffb6d6f5,
    0xffb7d6f5,
    0xffb8d7f6,
    0xffb7d6f5,
    0xffb5d4f3,
    0xffb6d5f4,
    0xffb6d5f4,
    0xffb4d3f2,
    0xffb6d3f3,
    0xffb7d4f4,
    0xffb7d4f4,
    0xffb5d3f3,
    0xffb7d4f5,
    0xffb6d3f4,
    0xffb7d4f4,
    0xffb5d5f4,
    0xffb4d3f3,
    0xffb3d2f1,
    0xffb4d3f2,
    0xffb6d5f4,
    0xffb7d3f6,
    0xffb5d4f6,
    0xffb4d2f4,
    0xffb6d4f6,
    0xffb6d3f5,
    0xffb3d5f8,
    0xffb4d5f8,
    0xffb2d3f7,
    0xffb3d5f5,
    0xffb1d2f3,
    0xffb1d3f6,
    0xffafd1f3,
    0xffb0d2f5,
    0xffafd0f3,
    0xffb2d2f8,
    0xffb2d2f9,
    0xffb3d1f7,
    0xffb2d0f6,
    0xffb0cef4,
    0xffb1d0f6,
    0xffb4d2f8,
    0xffb1d0f6,
    0xffb0cef5,
    0xffb0cff4,
    0xffb0cdf7,
    0xffb0cdf4,
    0xffaecff6,
    0xffadcef5,
    0xffafcff6,
    0xffadcdf4,
    0xffb1d1f8,
    0xffb0d2f8,
    0xffb1cdf5,
    0xffb0ccf5,
    0xffadcef5,
    0xffacccf3,
    0xffabcbf2,
    0xffadcdf4,
    0xffacccf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffabcdf3,
    0xffaaccf2,
    0xffaacdf2,
    0xffaacbf5,
    0xffaacbf4,
    0xffaacbf4,
    0xffaccdf6,
    0xffaccdf6,
    0xffabcdf6,
    0xffaccdf6,
    0xffaccdf6,
    0xffabccf5,
    0xffabccf5,
    0xffabccf5,
    0xffa9caf4,
    0xffa8c9f2,
    0xffa9caf3,
    0xffabccf5,
    0xffa7c8f3,
    0xffa9caf5,
    0xffa7c8f3,
    0xffa7c8f3,
    0xffa9caf5,
    0xffa8caf4,
    0xffaacbf6,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8c9f4,
    0xffa8caf5,
    0xffa9caf5,
    0xffa9caf4,
    0xffa7c8f5,
    0xffa6c8f4,
    0xffa7c9f5,
    0xffa7c8f5,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa5c4f3,
    0xffa5c4f4,
    0xffa3c3f2,
    0xffa2c1f1,
    0xffa3c5f3,
    0xffa2c5f2,
    0xffa1c3f1,
    0xffa3c5f3,
    0xffa2c5f2,
    0xffa2c5f2,
    0xffa2c5f3,
    0xffa2c5f3,
    0xffa4c3f2,
    0xffa2c5f2,
    0xffa3c5f2,
    0xffa3c5f2,
    0xffa3c5f2,
    0xffa0c6f3,
    0xff9fc5f1,
    0xff9fc4f1,
    0xffa0c6f1,
    0xff9ec2f4,
    0xffa0c3fd,
    0xff9fc2f7,
    0xff9fc4f1,
    0xff9ec3f1,
    0xff9ec2fb,
    0xffa2c3ff,
    0xffa4c4e6,
    0xff94b8ba,
    0xff476d50,
    0xff507548,
    0xff51773c,
    0xff6b8e4b,
    0xff436523,
    0xff36551c,
    0xff3b5b26,
    0xff44692f,
    0xff436630,
    0xff2d4d20,
    0xff213f20,
    0xff0f2b1b,
    0xff061f1a,
    0xff0a2324,
    0xff0f3344,
    0xff001e2b,
    0xff133037,
    0xff395659,
    0xff325152,
    0xff132f32,
    0xff0b2224,
    0xff011715,
    0xff183b31,
    0xff092922,
    0xff04221a,
    0xff001607,
    0xff0b230d,
    0xff011907,
    0xff001814,
    0xff001825,
    0xff041a34,
    0xff001021,
    0xff0f2b38,
    0xff25324e,
    0xff545f92,
    0xff7797d4,
    0xff688dc0,
    0xff7795b8,
    0xff7795a1,
    0xff99acb0,
    0xffa3b8b4,
    0xff54746e,
    0xff436644,
    0xff132b08,
    0xff18332f,
    0xff0e362a,
    0xff2e6548,
    0xff498477,
    0xff346f6d,
    0xff124a4f,
    0xff3e708c,
    0xff4a77ab,
    0xff1c5085,
    0xff034160,
    0xff002934,
    0xff022849,
    0xff517ac3,
    0xff6186b8,
    0xff052319,
    0xff071c22,
    0xff030f37,
    0xff233a50,
    0xff001a21,
    0xff001d19,
    0xff042526,
    0xff001a32,
    0xff315478,
    0xff2a4d68,
    0xff03223c,
    0xff143454,
    0xff03293f,
    0xff002c6b,
    0xff2d6dbb,
    0xff7dbef9,
    0xff91c2f3,
    0xff97b7fd,
    0xff90b2fb,
    0xff91bdf8,
    0xff597ec0,
    0xff4c7eb5,
    0xff315c80,
    0xff233f34,
    0xff2c3b33,
    0xff354b64,
    0xff2c4e61,
    0xff011a27,
    0xff042332,
    0xff264c79,
    0xff245596,
    0xff3977c8,
    0xff76b3ff,
    0xff417aa8,
    0xff17466b,
    0xff264b93,
    0xff4483b7,
    0xff6fa1e0,
    0xff5a7eba,
    0xff314f56,
    0xff415d36,
    0xff3f5043,
    0xff162030,
    0xff293b36,
    0xff213b43,
    0xff2e464e,
    0xff031e08,
    0xff112623,
    0xff313833,
    0xffada762,
    0xff977b17,
    0xffac7f1a,
    0xffc9a632,
    0xff817115,
    0xff2f3600,
    0xff12271b,
    0xff142745,
    0xff1d3044,
    0xff001116,
    0xff0f2d4b,
    0xff274c47,
    0xff0a2306,
    0xff232a04,
    0xff5d4f4b,
    0xff613c57,
    0xff60352e,
    0xff4f2505,
    0xff3e1c0f,
    0xff370f10,
    0xff3e1b0f,
    0xff301704,
    0xff4d3830,
    0xff482624,
    0xff461213,
    0xff4c1718,
    0xff381014,
    0xff3d222c,
    0xff433643,
    0xff4e434e,
    0xff271314,
    0xff331d19,
    0xff2e2122,
    0xff685455,
    0xff442323,
    0xff2c151f,
    0xff1a1e16,
    0xff18335f,
    0xff6793b9,
    0xff01242a,
    0xff0e161c,
    0xff1c2315,
    0xff0e1f1e,
    0xff0e2a2d,
    0xff0b2929,
    0xff294139,
    0xff3e4936,
    0xff3b3718,
    0xff292401,
    0xff030500,
    0xff041400,
    0xff0c1506,
    0xff051700,
    0xff040103,
    0xff060c0a,
    0xff111b03,
    0xff312f13,
    0xff3d4924,
    0xff49450e,
    0xff82580a,
    0xffc79a48,
    0xffedc167,
    0xffc89e49,
    0xff8e6d2d,
    0xff3e2701,
    0xff625c2c,
    0xff50570f,
    0xff45460b,
    0xff35340f,
    0xff0e1003,
    0xff0b1111,
    0xff00080b,
    0xff091210,
    0xff191b14,
    0xff1a1912,
    0xff01070b,
    0xff00120b,
    0xff031706,
    0xff02140d,
    0xff081406,
    0xff0d0903,
    0xff0c090a,
    0xff241b09,
    0xffb3001a,
    0xffb9010e,
    0xffb9000e,
    0xffab0005,
    0xffb93220,
    0xffc66456,
    0xffa86a63,
    0xff9a795c,
    0xffa0805a,
    0xff92765a,
    0xff8b6f5e,
    0xff846e5f,
    0xff8b7962,
    0xff8b8164,
    0xff787a5a,
    0xff83896c,
    0xff988c6a,
    0xff7f8575,
    0xff696766,
    0xff7b7062,
    0xff9f6d56,
    0xffb86a60,
    0xffd6abb4,
    0xff745b7d,
    0xff5c4f66,
    0xff554a5a,
    0xff473e52,
    0xff43344d,
    0xff392639,
    0xff431619,
    0xff8d1f1a,
    0xffc42720,
    0xffbd1415,
    0xffc0161c,
    0xffb8151e,
    0xff9a0510,
    0xff820007,
    0xff7f030c,
    0xff94131e,
    0xffa71a26,
    0xffcc342b,
    0xffc03636,
    0xffbc6264,
    0xff7b4650,
    0xff572f3b,
    0xff472a30,
    0xff5c3132,
    0xffa34850,
    0xffd0626a,
    0xffc66f72,
    0xffaf726d,
    0xffc07f79,
    0xffdc7674,
    0xffc32b32,
    0xffca2127,
    0xffc4201f,
    0xffcd1e24,
    0xffcc1c21,
    0xffcd1e23,
    0xffca1d21,
    0xffc72020,
    0xffd5312e,
    0xffcd2c24,
    0xffcf3226,
    0xffc93a2d,
    0xffcb3d2c,
    0xffd84a36,
    0xffd84832,
    0xffce3e27,
    0xffd04129,
    0xffd3422b,
    0xffd0412c,
    0xffc73c2d,
    0xffa51b17,
    0xff810001,
    0xff8c000c,
    0xff920006,
    0xffb51620,
    0xffb3242f,
    0xffba4356,
    0xffb66b74,
    0xff975256,
    0xff8f433d,
    0xffba5748,
    0xffbc3d29,
    0xffb52110,
    0xffc72a1f,
    0xffc2211d,
    0xffcc2f24,
    0xffc2251c,
    0xffc42721,
    0xffc62322,
    0xffc42124,
    0xffb61316,
    0xffbc1c1d,
    0xffcb2e2e,
    0xffc5463c,
    0xff9c3742,
    0xff8f5166,
    0xff69545e,
    0xff62575a,
    0xff795c66,
    0xff896d78,
    0xff453c41,
    0xff6d6a8f,
    0xff436079,
    0xff496c6e,
    0xff7b7f75,
    0xff908783,
    0xff0d1629,
    0xff3a557b,
    0xff475e8e,
    0xff62769e,
    0xff425279,
    0xff737d9f,
    0xff44445f,
    0xff717690,
    0xff3d527b,
    0xff133c7c,
    0xff134796,
    0xff0e3e77,
    0xff285b94,
    0xff1e4479,
    0xff0f2754,
    0xff233663,
    0xff8893bd,
    0xff7e82ac,
    0xff454f82,
    0xff22486f,
    0xff315a95,
    0xff32547a,
    0xff96a9b0,
    0xff43515f,
    0xff3f5880,
    0xff4d67a5,
    0xff5a6aac,
    0xff002b63,
    0xff063270,
    0xff0e3886,
    0xff03338b,
    0xff184190,
    0xff283b70,
    0xff9494b2,
    0xff6d6a7d,
    0xff676476,
    0xff8c8382,
    0xff8c806b,
    0xffa5a189,
    0xff89938e,
    0xff5e7588,
    0xff3c5975,
    0xff294667,
    0xff6380a8,
    0xff4a6387,
    0xff98aecd,
    0xffb2caed,
    0xffacc7f3,
    0xffa8c7f1,
    0xffc3e3ff,
    0xffcdedff,
    0xffbedbf4,
    0xffc3ddf8,
    0xffc4dafc,
    0xffcbddff,
    0xffc7d9f9,
    0xffc4d7f1,
    0xffc7dcef,
    0xffc3daeb,
    0xffc1daf4,
    0xffbfd9f4,
    0xffc2ddf8,
    0xffc2dcf5,
    0xffc1dcf4,
    0xffc1dcf5,
    0xffc1dbf2,
    0xffc2ddf3,
    0xffc6def6,
    0xffc4dcf4,
    0xffc5dcf4,
    0xffc5dcf4,
    0xffc4dbf3,
    0xffc4dcf3,
    0xffc4dcf3,
    0xffc4dcf4,
    0xffc2daf2,
    0xffc4dcf3,
    0xffc4dbf3,
    0xffc5ddf5,
    0xffc3dbf3,
    0xffc4dcf3,
    0xffc3dbf3,
    0xffc4dcf3,
    0xffc4dbf3,
    0xffc4dbf3,
    0xffc4dbf3,
    0xffc4dbf3,
    0xffc4dbf3,
    0xffc4dbf3,
    0xffc4dbf3,
    0xffc4dbf3,
    0xffc2ddf6,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc4def7,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffc2dcf7,
    0xffc1dbf7,
    0xffc2dcf7,
    0xffc0dbf5,
    0xffc0daf0,
    0xffc0daf4,
    0xffc2dcf4,
    0xffc1dbf7,
    0xffc1dbf6,
    0xffbfd8f6,
    0xffbfd8f8,
    0xffc1daf9,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0daf4,
    0xffc1dbf6,
    0xffc2dcf7,
    0xffc1dbf6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbed7f6,
    0xffbed7f6,
    0xffc0d9f8,
    0xffbedaf8,
    0xffbedaf8,
    0xffbfdaf8,
    0xffbdd8f6,
    0xffbed9f7,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffbdd9f5,
    0xffbed9f7,
    0xffbdd7f5,
    0xffbdd7f5,
    0xffbed9f7,
    0xffbed8f7,
    0xffbed8f7,
    0xffbed8f7,
    0xffbed9f7,
    0xffbbd8f6,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad9f4,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbbd8f6,
    0xffbad7f5,
    0xffbad7f7,
    0xffbad7f7,
    0xffb9d6f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb8d4f2,
    0xffb8d5f3,
    0xffb9d6f3,
    0xffb7d4f2,
    0xffbbd7f5,
    0xffb4d3f2,
    0xffb4d4f2,
    0xffb5d4f3,
    0xffb8d4f4,
    0xffb7d4f4,
    0xffb6d3f3,
    0xffb7d4f4,
    0xffbbd4f5,
    0xffb7d4f1,
    0xffb7d4f2,
    0xffb5d2f0,
    0xffb5d4f0,
    0xffb4d3f0,
    0xffb5d4f0,
    0xffb4d3ef,
    0xffb4d4f0,
    0xffb6d3f3,
    0xffb7d4f4,
    0xffb8d5f7,
    0xffb5d4f6,
    0xffb6d4f6,
    0xffb5d2f4,
    0xffb6d3f8,
    0xffb2d4f7,
    0xffb4d1f3,
    0xffb5d2f5,
    0xffb5d2f4,
    0xffb4d2f7,
    0xffb4d1f5,
    0xffb4d1f6,
    0xffb4d2f6,
    0xffb5d3f7,
    0xffb3cef3,
    0xffb1ccf1,
    0xffb3cff4,
    0xffb3cff4,
    0xffb4cff4,
    0xffb2cef3,
    0xffb3cff3,
    0xffb5d1f6,
    0xffb2cff6,
    0xffb1cef6,
    0xffb1cdf6,
    0xffb0ccf5,
    0xffb0d0f7,
    0xffaecef5,
    0xffb0d0f7,
    0xffafd0f7,
    0xffb2cef6,
    0xffafccf5,
    0xffb0ccf5,
    0xffb2cef7,
    0xffafd0f7,
    0xffafcff6,
    0xffacccf3,
    0xffaecdf5,
    0xffabcef2,
    0xffabcef2,
    0xffabcef4,
    0xffabcef4,
    0xffaccef4,
    0xffaccff4,
    0xffaccdf6,
    0xffaccef7,
    0xffabcbf1,
    0xffadcdf3,
    0xffadcdf4,
    0xffadcdf3,
    0xffadcdf4,
    0xffaacaf1,
    0xffacccf2,
    0xffabcbf2,
    0xffacccf2,
    0xffacccf5,
    0xffabcbf4,
    0xffacccf5,
    0xffabcbf4,
    0xffaac9f2,
    0xffaacaf3,
    0xffa8c8f1,
    0xffabcaf7,
    0xffa8c7f3,
    0xffaac8f5,
    0xffa9c8f4,
    0xffaac8f5,
    0xffabcaf6,
    0xffa8c7f3,
    0xffaac8f5,
    0xffaac8f5,
    0xffaac8f5,
    0xffa9c8f4,
    0xffa8c7f2,
    0xffa7c6f4,
    0xffa8c6f4,
    0xffa8c6f4,
    0xffa8c7f5,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa5c4f4,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c3f3,
    0xffa4c3f3,
    0xffa4c4f3,
    0xffa4c3f3,
    0xffa4c3f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa0c6f3,
    0xffa3c4f2,
    0xffa3c3f8,
    0xffa2c2fb,
    0xffa4c5f7,
    0xffa3c6ee,
    0xffa3c6ec,
    0xffa3c5f7,
    0xffa3c2ff,
    0xffb1ccf8,
    0xff547967,
    0xff38631a,
    0xff689047,
    0xff446732,
    0xff274515,
    0xff56723b,
    0xff5d793d,
    0xff556e38,
    0xff657e4d,
    0xff3c5831,
    0xff0f2e10,
    0xff112f23,
    0xff183731,
    0xff22413a,
    0xff203f39,
    0xff587592,
    0xff647e97,
    0xff5a7480,
    0xff4b646c,
    0xff203c3e,
    0xff001616,
    0xff061d19,
    0xff03160e,
    0xff0a301a,
    0xff183a27,
    0xff052010,
    0xff051b0b,
    0xff001408,
    0xff051918,
    0xff0c1e30,
    0xff213256,
    0xff375898,
    0xff698fc6,
    0xff8ca6cb,
    0xff848aac,
    0xff9697d2,
    0xff98a1f1,
    0xffa6b1e3,
    0xff929894,
    0xff7b7243,
    0xff8f833f,
    0xff64691b,
    0xff45642f,
    0xff27512f,
    0xff10332d,
    0xff000c2b,
    0xff022d33,
    0xff35624c,
    0xff033035,
    0xff2c5a78,
    0xff17456b,
    0xff16426f,
    0xff043370,
    0xff2b5a9a,
    0xff7db0e5,
    0xff063557,
    0xff043557,
    0xff154783,
    0xff144177,
    0xff02272e,
    0xff011d23,
    0xff001a2e,
    0xff062529,
    0xff163350,
    0xff0e2d33,
    0xff0e2e2f,
    0xff021f3a,
    0xff011b50,
    0xff002156,
    0xff0a3a68,
    0xff144978,
    0xff296099,
    0xff5188ca,
    0xff3670aa,
    0xff002146,
    0xff5082a6,
    0xff4570aa,
    0xff4e79c0,
    0xff628fd4,
    0xff8eb9f4,
    0xff699bc4,
    0xff13435f,
    0xff173c42,
    0xff28516d,
    0xff74a1eb,
    0xff87b0f3,
    0xff233f6b,
    0xff182e4d,
    0xff001744,
    0xff032d52,
    0xff417896,
    0xff002652,
    0xff78a7e3,
    0xff00276a,
    0xff4e7bc4,
    0xff5a8fc8,
    0xff4578a2,
    0xff316162,
    0xff517950,
    0xff507251,
    0xff4a627b,
    0xff233b5e,
    0xff133022,
    0xff1c2e36,
    0xff27364a,
    0xff061f17,
    0xff11313a,
    0xff537a99,
    0xff8dafb5,
    0xff656858,
    0xff2f1500,
    0xff423011,
    0xff1b2109,
    0xff00120f,
    0xff3b5688,
    0xff4b60a5,
    0xff647e99,
    0xff000009,
    0xff5c73a1,
    0xff0b2820,
    0xff04130b,
    0xff291c00,
    0xff683612,
    0xff662218,
    0xff531810,
    0xff542509,
    0xff55250c,
    0xff451913,
    0xff5a2b20,
    0xff4f2717,
    0xff512619,
    0xff65261a,
    0xff651d0a,
    0xff4e1f06,
    0xff33200f,
    0xff321725,
    0xff37252a,
    0xff816c6a,
    0xff4d2327,
    0xff4d231f,
    0xff321f17,
    0xff191929,
    0xff656699,
    0xff57678a,
    0xff1a2d1d,
    0xff2f4244,
    0xff0f2a24,
    0xff051605,
    0xff211812,
    0xff5d5226,
    0xff595425,
    0xff443c10,
    0xff595c17,
    0xff78832e,
    0xff6f7424,
    0xff71691c,
    0xff8f8134,
    0xff91864e,
    0xff403822,
    0xff100f03,
    0xff0a1d17,
    0xff000c17,
    0xff12231c,
    0xff0e1100,
    0xff210400,
    0xff79613a,
    0xff7d6107,
    0xffaf8126,
    0xffbd8d29,
    0xffdba83d,
    0xffd19e36,
    0xffe4b956,
    0xffaa8b34,
    0xff5c4a08,
    0xff180c00,
    0xff64633c,
    0xff1a2208,
    0xff000f01,
    0xff001405,
    0xff0a2615,
    0xff233428,
    0xff293131,
    0xff383640,
    0xff050c17,
    0xff071f1c,
    0xff0e1f11,
    0xff102013,
    0xff3d3a1c,
    0xff54340f,
    0xff1a0000,
    0xff82622b,
    0xffad010c,
    0xffb2040a,
    0xffb30107,
    0xffbd0f0f,
    0xffbe150f,
    0xffb5261f,
    0xffb65f4c,
    0xffa17f59,
    0xff968769,
    0xff887a64,
    0xff948774,
    0xff897e64,
    0xff9d9371,
    0xff7d7654,
    0xff656351,
    0xff6c7069,
    0xff727f64,
    0xff546c6a,
    0xff2c3d4a,
    0xff5b4348,
    0xffca7673,
    0xffc66e6e,
    0xffc39da8,
    0xff5d546c,
    0xff5c4e65,
    0xff4e4654,
    0xff454351,
    0xff46344e,
    0xff3f2335,
    0xff520e0e,
    0xffae2827,
    0xffc1201b,
    0xffc11118,
    0xffc31821,
    0xffa2020f,
    0xff880006,
    0xff790005,
    0xff7c060c,
    0xff96191f,
    0xffb42b32,
    0xffd12a30,
    0xffc14248,
    0xff9a5560,
    0xff64424d,
    0xff442c37,
    0xff3c2b2a,
    0xff543935,
    0xff8e5f60,
    0xff855f60,
    0xff897d79,
    0xff848880,
    0xff91877e,
    0xffab6e69,
    0xffbe4344,
    0xffc52528,
    0xffc91d21,
    0xffcd1f23,
    0xffcd1e23,
    0xffce2125,
    0xffcf2425,
    0xffc71f1e,
    0xffd7342e,
    0xffd43229,
    0xffc82a1e,
    0xffd03a2d,
    0xffc63e2f,
    0xffc55040,
    0xffbd5746,
    0xffcb6655,
    0xffb44732,
    0xffcf503b,
    0xffd14532,
    0xffda4039,
    0xffc01d25,
    0xff87000e,
    0xff7c0011,
    0xffac0419,
    0xffcd202f,
    0xffa0333e,
    0xff906070,
    0xff86767e,
    0xff867f82,
    0xff877770,
    0xffa77768,
    0xffb5634b,
    0xffb23f28,
    0xffa71d10,
    0xffbe1f1e,
    0xffc8201d,
    0xffbb1614,
    0xffbe181d,
    0xffbe171f,
    0xffc31a22,
    0xffca232b,
    0xffb61418,
    0xffc32b2a,
    0xffc54c3e,
    0xff9a504f,
    0xff6e5a63,
    0xff16303c,
    0xff235370,
    0xff213f72,
    0xff4a5982,
    0xff718c99,
    0xff61778c,
    0xff406174,
    0xff627f83,
    0xff9ea58f,
    0xff828364,
    0xffa6bbac,
    0xff3f6073,
    0xff25436b,
    0xff516f96,
    0xff3c4a6b,
    0xff4a5379,
    0xff415484,
    0xff3b507c,
    0xff465a80,
    0xff193c6a,
    0xff043f80,
    0xff204986,
    0xff12498e,
    0xff23548f,
    0xff234c7b,
    0xff1c4675,
    0xff284265,
    0xff636d86,
    0xff3d5270,
    0xff103b5b,
    0xff042f6c,
    0xff153e6a,
    0xff153b5a,
    0xff31588a,
    0xff0e3b75,
    0xff0d3676,
    0xff1c3f7c,
    0xff395f85,
    0xff59779b,
    0xff5473a3,
    0xff001f61,
    0xff214284,
    0xff465077,
    0xff7e7385,
    0xff7a6c72,
    0xff95887e,
    0xffbbae98,
    0xffa99e7f,
    0xffb6af8c,
    0xff978f79,
    0xff847c77,
    0xffada4b0,
    0xff877d8f,
    0xff696b78,
    0xff717576,
    0xff6b7069,
    0xff687376,
    0xff455a70,
    0xff3f5c81,
    0xff5d82a3,
    0xff688ca7,
    0xff779eb5,
    0xffc5e8ff,
    0xffc7e6ff,
    0xff9ab6d5,
    0xffcce7ff,
    0xffc5e1fa,
    0xffc1e0f2,
    0xffc2e0f0,
    0xffc0d9f4,
    0xffc7dffb,
    0xffc1d9f5,
    0xffc4dcf5,
    0xffc3dbf5,
    0xffc2daf5,
    0xffc2daf2,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc2daf2,
    0xffc2daf2,
    0xffc2daf2,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc2daf2,
    0xffc3dbf3,
    0xffc2daf2,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc4dcf4,
    0xffc2daf2,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc4dbf3,
    0xffc2ddf6,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf4,
    0xffc2dcf4,
    0xffc2dcf4,
    0xffc0daf3,
    0xffc1dbf1,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf7,
    0xffc1dbf6,
    0xffc1daf7,
    0xffc1dbf8,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf5,
    0xffc1d9f8,
    0xffc1daf8,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f8,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffbed8f3,
    0xffbfd9f5,
    0xffc0daf2,
    0xffc0daf3,
    0xffbed7f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f6,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffc0d8f8,
    0xffc0d8f8,
    0xffc0d8f8,
    0xffbfd8f7,
    0xffbdd9f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbdd9f5,
    0xffbdd8f5,
    0xffbcd7f4,
    0xffbed9f6,
    0xffbdd9f5,
    0xffbed9f6,
    0xffbdd9f5,
    0xffbed9f5,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcdaf6,
    0xffbcdaf5,
    0xffbcdaf5,
    0xffbbd7f6,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbad7f5,
    0xffbad7f8,
    0xffbbd8f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f4,
    0xffb8d5f3,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbad6f4,
    0xffb8d8f7,
    0xffbad7f7,
    0xffbad6f7,
    0xffb7d4f4,
    0xffb6d4f4,
    0xffbad3f5,
    0xffbad3f5,
    0xffb9d3f4,
    0xffb5d2f3,
    0xffb7d4f4,
    0xffb6d3f3,
    0xffb8d5f5,
    0xffb5d5f4,
    0xffb4d3f3,
    0xffb4d3f2,
    0xffb4d3f3,
    0xffb8d5f5,
    0xffb7d4f4,
    0xffb4d1f1,
    0xffb5d1f4,
    0xffb5d3f5,
    0xffb9d7f9,
    0xffb5d3f5,
    0xffb6d4f5,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb5d3f7,
    0xffb5d3f7,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb4d2f6,
    0xffb3d1f5,
    0xffb4d3f7,
    0xffb3d1f5,
    0xffafcdf2,
    0xffafcdf1,
    0xffafcdf1,
    0xffb0cef2,
    0xffb0cff5,
    0xffb1cff5,
    0xffafcdf3,
    0xffafcdf3,
    0xffb1cef4,
    0xffaecef5,
    0xffb0d0f7,
    0xffafd0f7,
    0xffb0cef4,
    0xffaeccf2,
    0xffaeccf2,
    0xffb0cef4,
    0xffb0cdf3,
    0xffafcff5,
    0xffaecef4,
    0xffacccf2,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf4,
    0xffacccf3,
    0xffacccf3,
    0xffabcbf2,
    0xffabcbf2,
    0xffadcdf4,
    0xffadcdf4,
    0xffacccf3,
    0xffabcbf2,
    0xffabcbf2,
    0xffabcbf2,
    0xffadcdf4,
    0xffacccf3,
    0xffa9c9f0,
    0xffaacaf1,
    0xffaacaf1,
    0xffabcbf2,
    0xffa9c9f0,
    0xffa9c9f3,
    0xffaacaf3,
    0xffa9c9f2,
    0xffa9caf2,
    0xffa9caf2,
    0xffabcbf4,
    0xffaacaf3,
    0xffa9caf2,
    0xffa9caf2,
    0xffaacaf2,
    0xffaacaf2,
    0xffaac8f5,
    0xffaac9f5,
    0xffaac9f5,
    0xffa8c7f3,
    0xffa8c7f3,
    0xffa8c7f5,
    0xffa9c8f6,
    0xffa9c8f6,
    0xffa6c6f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa7c7f6,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa4c4f3,
    0xffa2c2f1,
    0xffa2c2f1,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa3c3f2,
    0xffa4c3f3,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa1c3f1,
    0xffa2c3f1,
    0xffa1c3f5,
    0xffa1c2f7,
    0xffa1c3f6,
    0xffa3c5f3,
    0xffa2c5ed,
    0xffa3c6eb,
    0xffa3c5f0,
    0xffa3c4f7,
    0xffaecaff,
    0xff587e7a,
    0xff578053,
    0xff3a623a,
    0xff2c4b31,
    0xff1d3b19,
    0xff3f5c2f,
    0xff0e2900,
    0xff1a2e15,
    0xff203728,
    0xff061f22,
    0xff0b293b,
    0xff2f5066,
    0xff0f323c,
    0xff294e43,
    0xff143b20,
    0xff0b2b22,
    0xff183428,
    0xff355042,
    0xff1c3828,
    0xff0b2617,
    0xff001607,
    0xff09210f,
    0xff1f3722,
    0xff163922,
    0xff132f1f,
    0xff1d3228,
    0xff041715,
    0xff031619,
    0xff041527,
    0xff1e2a4b,
    0xff6b73a2,
    0xff8590d4,
    0xff9ea6dd,
    0xff9193af,
    0xffa3a0b0,
    0xff9f9ec6,
    0xffa8aded,
    0xffb4bbe2,
    0xff929588,
    0xffb39d5c,
    0xff826c2c,
    0xff8a8848,
    0xff3b5133,
    0xff123a41,
    0xff25527a,
    0xff5d8bca,
    0xff5e91b6,
    0xff27536a,
    0xff2a5784,
    0xff2e5e9f,
    0xff5183cc,
    0xff5f95d8,
    0xff87bbfc,
    0xff6da1df,
    0xff6493ca,
    0xff20416a,
    0xff1d4859,
    0xff042b49,
    0xff0c3056,
    0xff0e2a34,
    0xff000e0a,
    0xff001312,
    0xff001a0f,
    0xff041b28,
    0xff052125,
    0xff001824,
    0xff184169,
    0xff023074,
    0xff3365b0,
    0xff578ed2,
    0xff2e68a2,
    0xff195998,
    0xff064176,
    0xff4475a8,
    0xff2d6195,
    0xff185388,
    0xff195c8e,
    0xff155480,
    0xff2d709a,
    0xff7eb6ce,
    0xff10475a,
    0xff5c8dba,
    0xff75a9d4,
    0xff5f9ed5,
    0xff3373ca,
    0xff90c6ff,
    0xff5c84bb,
    0xff000017,
    0xff325478,
    0xff0d385d,
    0xff002135,
    0xff1f3744,
    0xff00051c,
    0xff5281a7,
    0xff4286bb,
    0xff5384d0,
    0xff4c7aa1,
    0xff3e6860,
    0xff3d6652,
    0xff2f6068,
    0xff4178a5,
    0xff1b4a6d,
    0xff052224,
    0xff021927,
    0xff0a224d,
    0xff496583,
    0xff092e3e,
    0xff315e8a,
    0xff2e5298,
    0xff828dbb,
    0xff423429,
    0xff22120f,
    0xff182535,
    0xff153656,
    0xff96acdc,
    0xff4e5c71,
    0xff000000,
    0xff395574,
    0xff24447d,
    0xff172c36,
    0xff3e4a36,
    0xff5e520d,
    0xffb98527,
    0xffaf6b1a,
    0xff955418,
    0xffa05f27,
    0xffa35719,
    0xff7b4211,
    0xff885426,
    0xff3d1f00,
    0xff311b07,
    0xff522115,
    0xff7e3d2a,
    0xff54250d,
    0xff3d1f0d,
    0xff2d1b10,
    0xff342c12,
    0xff312711,
    0xff4d3629,
    0xff3a1f0a,
    0xff322902,
    0xff1a2013,
    0xff2a3856,
    0xff1b3939,
    0xff0e1f07,
    0xff323831,
    0xff262f1d,
    0xff182000,
    0xff3b3503,
    0xff9e9539,
    0xff777114,
    0xff776f1a,
    0xff8a8931,
    0xff535502,
    0xff5e5d11,
    0xff63570e,
    0xff543e00,
    0xff5f4203,
    0xff7d5d2a,
    0xff17150b,
    0xff020f11,
    0xff0d1913,
    0xff36330e,
    0xff633b17,
    0xffca856e,
    0xff511600,
    0xffdfb566,
    0xffc09829,
    0xffc9992d,
    0xffbb8523,
    0xffd2973e,
    0xffcc9a2d,
    0xffd7b23e,
    0xffcbae61,
    0xff684d34,
    0xff071402,
    0xff172f14,
    0xff234729,
    0xff1d4329,
    0xff153222,
    0xff12251c,
    0xff233029,
    0xff030e07,
    0xff000c09,
    0xff000f0f,
    0xff0f1f20,
    0xff0f1b11,
    0xff594b1d,
    0xffb47d3c,
    0xff9a6227,
    0xff976316,
    0xffaf0905,
    0xffab0105,
    0xffab0405,
    0xffb0060c,
    0xffb40111,
    0xff970002,
    0xff943728,
    0xff947c60,
    0xff79877c,
    0xff48554c,
    0xff6e756d,
    0xff787c62,
    0xff858356,
    0xff8f8857,
    0xff948d6a,
    0xff7e7964,
    0xff8a976d,
    0xff76816a,
    0xff697663,
    0xff9d7861,
    0xffac5041,
    0xffe69f99,
    0xff977b7c,
    0xff585259,
    0xff5e4663,
    0xff524857,
    0xff3d4149,
    0xff432e44,
    0xff491a2e,
    0xff6b0f14,
    0xffb5171b,
    0xffbd1a1e,
    0xffb20e15,
    0xffa4050f,
    0xff8a0004,
    0xff7e0009,
    0xff750207,
    0xff830f14,
    0xffa22025,
    0xffc2343d,
    0xffbe363d,
    0xffb25a62,
    0xff744651,
    0xff50303f,
    0xff3b282e,
    0xff483b3a,
    0xff8d7f7d,
    0xff9e908f,
    0xff948481,
    0xff918889,
    0xff8a8687,
    0xff8d807d,
    0xffae8179,
    0xffbb5e56,
    0xffb52223,
    0xffd51c28,
    0xffd0262a,
    0xffcd2527,
    0xffce2528,
    0xffcc2625,
    0xffcc2726,
    0xffcf3029,
    0xffcf362a,
    0xffcd3224,
    0xffd72a22,
    0xffd34d43,
    0xffc07367,
    0xffe7ccbf,
    0xfffffff6,
    0xfff2c3b8,
    0xffbd5a52,
    0xffbe3933,
    0xffd0503d,
    0xffbe271e,
    0xff820303,
    0xff75000c,
    0xffb2092b,
    0xffb42b3d,
    0xff88615f,
    0xff4f6066,
    0xff667985,
    0xff5f707b,
    0xff72787e,
    0xff806b64,
    0xffa97f66,
    0xffc68263,
    0xff962310,
    0xffad0b0e,
    0xffcb2420,
    0xffbe1919,
    0xffb10d12,
    0xffbd141e,
    0xffbf121f,
    0xffc3161f,
    0xffc41e22,
    0xffc22320,
    0xffcf4a38,
    0xff8e493a,
    0xffae9e9e,
    0xff626c7d,
    0xff1f3d5d,
    0xff0c2a51,
    0xff26476b,
    0xff1a4f68,
    0xff105362,
    0xff0d4668,
    0xff285275,
    0xff4c6a73,
    0xff6c8678,
    0xff506c62,
    0xff84a1a5,
    0xff3e5a6a,
    0xff4d6f87,
    0xff576877,
    0xff505c6f,
    0xff263b5a,
    0xff697998,
    0xff72768b,
    0xff677090,
    0xff113066,
    0xff1b3a81,
    0xff1c397b,
    0xff0f2c60,
    0xff243a60,
    0xff425675,
    0xff5b6f8f,
    0xff1d345f,
    0xff2b497c,
    0xff1c4165,
    0xff567098,
    0xff69858f,
    0xff759ba4,
    0xff215165,
    0xff235472,
    0xff1a4982,
    0xff27568e,
    0xff506d98,
    0xff324f73,
    0xff507091,
    0xff3a5f83,
    0xff40648a,
    0xff6d7ea1,
    0xff555367,
    0xff72616d,
    0xffa59283,
    0xff837e69,
    0xff8d957e,
    0xff85897b,
    0xff8a7e7b,
    0xff9e8686,
    0xff997b78,
    0xffac9489,
    0xffa19278,
    0xffa79975,
    0xffbdb186,
    0xffa49c76,
    0xffb1b199,
    0xff7c837f,
    0xff737f8a,
    0xff515b70,
    0xff4e6082,
    0xff445875,
    0xffc7daf3,
    0xff394c61,
    0xff90a3bb,
    0xffb2c9e5,
    0xffa4bfe0,
    0xffbdd7fa,
    0xffcfe4ff,
    0xffc5dafa,
    0xffc6dbf8,
    0xffc8ddfb,
    0xffc5daf6,
    0xffc5dbf2,
    0xffc5daf2,
    0xffc6dcf4,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc1d9f1,
    0xffc2daf2,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc5ddf5,
    0xffc4ddf5,
    0xffc5ddf5,
    0xffc4dbf4,
    0xffc2daf2,
    0xffc2daf2,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf4,
    0xffc4def7,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc0daf3,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf4,
    0xffc0daf3,
    0xffbfd9f2,
    0xffbed8f1,
    0xffbfd9f2,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf4,
    0xffbfd9f6,
    0xffbfd8f6,
    0xffc1daf8,
    0xffc1daf8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc1daf9,
    0xffc0d9f7,
    0xffbfd8f7,
    0xffc0daf4,
    0xffc0daf5,
    0xffc1dbf3,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffbed8f5,
    0xffbfd7f6,
    0xffbfd7f6,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffbfd8f6,
    0xffc1daf8,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbdd6f4,
    0xffbfd8f6,
    0xffbfd7f5,
    0xffc0d9f7,
    0xffbfd7f5,
    0xffbfd9f5,
    0xffbcd8f7,
    0xffbbd9f7,
    0xffbbd9f7,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbad7f5,
    0xffbcdaf6,
    0xffbbdaf6,
    0xffbcdaf6,
    0xffbad7f6,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f5,
    0xffbbd8f5,
    0xffbad7f5,
    0xffbcd9f7,
    0xffbad7f5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffb9d6f3,
    0xffbad7f5,
    0xffbad7f5,
    0xffb9d6f4,
    0xffb9d6f4,
    0xffbcd6f4,
    0xffbad5f3,
    0xffb9d3f1,
    0xffb9d7f7,
    0xffbbd8f8,
    0xffb8d5f5,
    0xffb9d6f6,
    0xffb7d6f5,
    0xffb6d5f4,
    0xffb5d4f3,
    0xffb5d4f3,
    0xffb7d3f4,
    0xffb6d3f3,
    0xffb6d3f3,
    0xffb7d4f3,
    0xffb5d3f5,
    0xffb9d7f9,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb4d2f4,
    0xffb4d3f7,
    0xffb5d3f7,
    0xffb4d2f6,
    0xffb5d2f4,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb3d0f2,
    0xffb1cff1,
    0xffb2cff1,
    0xffb2cff1,
    0xffb1cff0,
    0xffb2cdf3,
    0xffb1cff3,
    0xffb1cff3,
    0xffb1cff2,
    0xffb1cff5,
    0xffb0d0f6,
    0xffb1d1f7,
    0xffafd0f6,
    0xffb1cdf4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffaecff5,
    0xffadcdf3,
    0xffadcdf3,
    0xffb0cef4,
    0xffb0cdf3,
    0xffb0cdf3,
    0xffb0cef3,
    0xffb0cdf5,
    0xffb0ccf5,
    0xffafccf4,
    0xffafcbf3,
    0xffadcdf4,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffadcdf4,
    0xffadcdf4,
    0xffabcbf2,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffabcbf2,
    0xffaacaf1,
    0xffabcbf1,
    0xffaacaf1,
    0xffaacaf0,
    0xffaacaf3,
    0xffaacaf3,
    0xffabcbf4,
    0xffabcbf4,
    0xffaacaf3,
    0xffa9c9f2,
    0xffaacaf3,
    0xffa9c9f2,
    0xffaacaf2,
    0xffaac8f5,
    0xffaac9f5,
    0xffa9c8f4,
    0xffa9c8f3,
    0xffa9c8f6,
    0xffa9c8f6,
    0xffa9c8f5,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa8c8f7,
    0xffa7c7f6,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa5c5f4,
    0xffa3c3f2,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa4c4f3,
    0xffa2c5f3,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c5f4,
    0xffa3c3f7,
    0xffa3c5f5,
    0xffa3c5f2,
    0xffa4c6f2,
    0xffa4c6f4,
    0xffa3c5f6,
    0xffa2c3f2,
    0xffa1c4ed,
    0xffa7cafa,
    0xff90b5d0,
    0xff5b839a,
    0xff7194b5,
    0xff57788a,
    0xff1d3f2c,
    0xff1c3c21,
    0xff173429,
    0xff1f3f35,
    0xff1a3d39,
    0xff3e6669,
    0xff446d7a,
    0xff2a5662,
    0xff265251,
    0xff1c4733,
    0xff15411f,
    0xff2a483f,
    0xff1a352d,
    0xff213a2f,
    0xff152f24,
    0xff1e3d30,
    0xff0c2b1a,
    0xff15341b,
    0xff123011,
    0xff12311e,
    0xff102b1d,
    0xff081c19,
    0xff011319,
    0xff071c2b,
    0xff0a1d33,
    0xff36425c,
    0xff979abd,
    0xffa292b7,
    0xffa4879a,
    0xffb2919a,
    0xffaf98a1,
    0xffa296a5,
    0xffa198a1,
    0xffa3998e,
    0xff8e8665,
    0xff757029,
    0xff3b370e,
    0xff5b5935,
    0xff3d423a,
    0xff56688b,
    0xff6e92d2,
    0xff325aa6,
    0xff7fa8df,
    0xff95cbf8,
    0xff7ab2da,
    0xff235d8d,
    0xff71abe9,
    0xff81bbfe,
    0xff82b8ee,
    0xff4c7d9e,
    0xff001c35,
    0xff1a333e,
    0xff13322f,
    0xff00191a,
    0xff00161f,
    0xff000d13,
    0xff04100e,
    0xff02110f,
    0xff001110,
    0xff001214,
    0xff18354c,
    0xff001e4f,
    0xff82b4f5,
    0xff73aaf6,
    0xff1c51a8,
    0xff3164b9,
    0xff3868b5,
    0xff145280,
    0xff4a81bb,
    0xff27579a,
    0xff3466a7,
    0xff457bc2,
    0xff548dd6,
    0xff6ca6e1,
    0xff376f92,
    0xff40707b,
    0xff0c3443,
    0xff4e72ad,
    0xffa0ceff,
    0xff376dab,
    0xff5c8ddc,
    0xff4071b7,
    0xff649bcf,
    0xff001133,
    0xff355986,
    0xff335680,
    0xff133048,
    0xff0a242f,
    0xff1c3a53,
    0xff002145,
    0xff001c40,
    0xff3d6ea4,
    0xff2e6291,
    0xff447094,
    0xff2c5470,
    0xff3f6e8e,
    0xff002c50,
    0xff25425a,
    0xff0a0b16,
    0xff1f2a2e,
    0xff2c415d,
    0xff0e1e46,
    0xff000204,
    0xff252117,
    0xff352c3e,
    0xff584b4d,
    0xff655226,
    0xff4b4438,
    0xff0b191e,
    0xff0f2c32,
    0xff00070d,
    0xff232318,
    0xff000001,
    0xff687ebf,
    0xff5f81ac,
    0xff0c1e09,
    0xff515009,
    0xffcbac41,
    0xffc1880a,
    0xffc48104,
    0xffcd8d18,
    0xffca8e25,
    0xffb67d17,
    0xffa17819,
    0xff896418,
    0xff383603,
    0xff0f1f03,
    0xff4e4030,
    0xff634028,
    0xff735336,
    0xff422211,
    0xff392607,
    0xff4a3716,
    0xff392a14,
    0xff2d2821,
    0xff171c0d,
    0xff2d3115,
    0xff2c331e,
    0xff0a1312,
    0xff001800,
    0xff2e3d2b,
    0xff243027,
    0xff2a3622,
    0xff212100,
    0xff988838,
    0xff937e12,
    0xff897716,
    0xff8b7c18,
    0xff715f04,
    0xff887425,
    0xff6d6114,
    0xff524c0e,
    0xff4d4d1f,
    0xff2c2b08,
    0xff3d3d20,
    0xff15262b,
    0xff4c4a54,
    0xff6f5d44,
    0xffcba056,
    0xffd39638,
    0xffd0913a,
    0xffbc7e3d,
    0xff330200,
    0xffe2b65a,
    0xffc49531,
    0xffb37e1c,
    0xffd29b3c,
    0xffd2a32b,
    0xffdebf34,
    0xffcfb743,
    0xff8b7631,
    0xff1d3119,
    0xff0f270f,
    0xff142910,
    0xff18230c,
    0xff111302,
    0xff161406,
    0xff171c08,
    0xff121e08,
    0xff0d1d0c,
    0xff031c15,
    0xff061816,
    0xff031107,
    0xff2b1600,
    0xff935009,
    0xff9c5918,
    0xff9d6810,
    0xffba0509,
    0xffbd0312,
    0xffb8020c,
    0xffb7020c,
    0xffbe0018,
    0xffc41a21,
    0xffc56143,
    0xff8b744d,
    0xff5d6e66,
    0xff3a4b4c,
    0xff4e5b5c,
    0xff5e6757,
    0xff898a63,
    0xff83834d,
    0xff919360,
    0xff85875c,
    0xff82795c,
    0xff88715d,
    0xff988f6f,
    0xff956243,
    0xffa85751,
    0xffd3a8b7,
    0xff776180,
    0xff5f4e6d,
    0xff604061,
    0xff4f4251,
    0xff3c4148,
    0xff462d44,
    0xff4e1428,
    0xff7e1016,
    0xffbf121b,
    0xffad0d12,
    0xff930506,
    0xff840002,
    0xff7c0104,
    0xff730105,
    0xff73050a,
    0xff8f1519,
    0xffb1212b,
    0xffca323c,
    0xffd07677,
    0xff996d6e,
    0xff5a3b46,
    0xff4a293b,
    0xff3c292c,
    0xff6d615e,
    0xff958686,
    0xff908b8d,
    0xff99928d,
    0xffa29393,
    0xffaa969a,
    0xffb1a09b,
    0xffac9b87,
    0xffbe9077,
    0xffbe5147,
    0xffc9252b,
    0xffcd2829,
    0xffc82326,
    0xffcd292a,
    0xffc52221,
    0xffc82a25,
    0xffc82d24,
    0xffd03a2e,
    0xffcb3727,
    0xffc43b24,
    0xffd46657,
    0xffffcfcd,
    0xfffff7fe,
    0xfffff1fc,
    0xfff8dfe6,
    0xffffccc9,
    0xfff1aaa4,
    0xffc3525f,
    0xffac252c,
    0xff5d0000,
    0xff8e2a36,
    0xffa72146,
    0xff904360,
    0xff272c47,
    0xff32336b,
    0xff283d53,
    0xff344359,
    0xff625e72,
    0xff786367,
    0xff9a856c,
    0xffc09a75,
    0xff9c3924,
    0xffab060d,
    0xffb00b09,
    0xffca2c29,
    0xffb5181a,
    0xffcc262f,
    0xffc3121e,
    0xffc10f19,
    0xffbe1518,
    0xffcc2b27,
    0xffcb4b3f,
    0xff9c705f,
    0xff283231,
    0xff6e7e8a,
    0xff51655e,
    0xff788972,
    0xff94a49a,
    0xff25434f,
    0xff324959,
    0xff3e5a83,
    0xff265186,
    0xff265985,
    0xff225173,
    0xff3e5f85,
    0xff2c476c,
    0xff49607f,
    0xff4b5663,
    0xff696671,
    0xff6b6e80,
    0xff53647f,
    0xff54617b,
    0xff615c6d,
    0xff837993,
    0xff4b4c77,
    0xff2c4e78,
    0xff26314b,
    0xff6e6678,
    0xff99808a,
    0xff8e6465,
    0xff856b76,
    0xff6d7089,
    0xff333f5a,
    0xff20375a,
    0xff444868,
    0xff5f6270,
    0xff4e5e7a,
    0xff4b6681,
    0xff2a4765,
    0xff3b5994,
    0xff24527c,
    0xff153c75,
    0xff22508a,
    0xff083366,
    0xff1d3c66,
    0xff224067,
    0xff556a90,
    0xff7a778b,
    0xff997c7c,
    0xff796565,
    0xff8c8e89,
    0xff5e7672,
    0xff3e535d,
    0xff75738b,
    0xff8d788b,
    0xff937d75,
    0xffa09472,
    0xff98886a,
    0xffa59077,
    0xffaa8e75,
    0xff866a50,
    0xffac9375,
    0xffc4b08c,
    0xffa59274,
    0xffcbb7a4,
    0xff9e8b91,
    0xff948381,
    0xff908170,
    0xffb4a991,
    0xffa19a86,
    0xff98958e,
    0xff82838e,
    0xff999db9,
    0xff9aadcb,
    0xffc8dcfa,
    0xffcee3fe,
    0xffc9ddf9,
    0xffc8ddf8,
    0xffc8ddf6,
    0xffc4daf3,
    0xffc5dbf4,
    0xffc2daf2,
    0xffc3dbf3,
    0xffc4dbf4,
    0xffc3dbf3,
    0xffc5ddf6,
    0xffc4ddf5,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dcf4,
    0xffc3dbf3,
    0xffc5ddf4,
    0xffc6ddf5,
    0xffc5ddf5,
    0xffc3dcf3,
    0xffc3daf2,
    0xffc3daf2,
    0xffc5def5,
    0xffc5dcf5,
    0xffc5dcf5,
    0xffc5ddf4,
    0xffc5dcf5,
    0xffc5dcf4,
    0xffc5ddf5,
    0xffc4dcf4,
    0xffc4def7,
    0xffc3def7,
    0xffc2ddf6,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc0daf3,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf2,
    0xffc2dcf2,
    0xffc1dbf2,
    0xffc0daf1,
    0xffc1dbf1,
    0xffc0daf1,
    0xffc0daf1,
    0xffc1dbf1,
    0xffc0dbf1,
    0xffc0daf1,
    0xffc0daf1,
    0xffc0daf0,
    0xffc1dbf1,
    0xffc0dbf2,
    0xffc0dbf2,
    0xffc0dbf2,
    0xffbfd9f5,
    0xffbfd9f6,
    0xffc1daf7,
    0xffc1d9f8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f9,
    0xffc1daf7,
    0xffbfd9f6,
    0xffbfdaf5,
    0xffbfd9f4,
    0xffc0daf3,
    0xffc1dbf3,
    0xffc0daf2,
    0xffbed8f4,
    0xffbed8f5,
    0xffbed8f5,
    0xffbed8f5,
    0xffbed8f5,
    0xffbfd9f6,
    0xffc1daf8,
    0xffc1d9f8,
    0xffc1daf8,
    0xffc0d9f8,
    0xffc0d8f7,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbdd6f4,
    0xffbdd6f4,
    0xffbed7f5,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbfd8f5,
    0xffbcd9f6,
    0xffbcd8f7,
    0xffbcd8f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f7,
    0xffbcd9f5,
    0xffbcdaf6,
    0xffbcdaf6,
    0xffbcdaf5,
    0xffbbd8f6,
    0xffbbd8f6,
    0xffbad7f6,
    0xffbbd7f5,
    0xffbad7f7,
    0xffbad7f6,
    0xffbcd9f7,
    0xffbcdaf7,
    0xffbad7f5,
    0xffb8d5f3,
    0xffbcd8f6,
    0xffbbd7f5,
    0xffb8d6f4,
    0xffb8d5f3,
    0xffb9d5f3,
    0xffb8d5f3,
    0xffbbd7f5,
    0xffbad6f5,
    0xffbbd7f4,
    0xffbdd8f6,
    0xffb9d6f7,
    0xffbad6f8,
    0xffb9d7f9,
    0xffbbd8fb,
    0xffb9d7f9,
    0xffb8d6f8,
    0xffb7d5f7,
    0xffb6d4f7,
    0xffb6d3f2,
    0xffb7d4f4,
    0xffb7d5f4,
    0xffb7d5f4,
    0xffb7d4f6,
    0xffb5d4f5,
    0xffb6d4f7,
    0xffb5d4f6,
    0xffb4d3f2,
    0xffb5d4f5,
    0xffb5d4f5,
    0xffb5d2f4,
    0xffb4d2f4,
    0xffb5d2f6,
    0xffb5d2f6,
    0xffb5d3f7,
    0xffb5d7f7,
    0xffb3d3f4,
    0xffb2d2f3,
    0xffb1d2f3,
    0xffb2d2f4,
    0xffb2d3f4,
    0xffb1d3f4,
    0xffb1d2f3,
    0xffb5d1f3,
    0xffb5d1f3,
    0xffb3d1f3,
    0xffb3d1f5,
    0xffb3d1f5,
    0xffb4d2f5,
    0xffb2d2f9,
    0xffadcef4,
    0xffb3cff6,
    0xffb3cff6,
    0xffb2d0f7,
    0xffb2d0f7,
    0xffb2d0f7,
    0xffb2d0f6,
    0xffadcdf3,
    0xffadcdf3,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff5,
    0xffb1cff4,
    0xffb2cff7,
    0xffb1cef6,
    0xffb0cdf4,
    0xffafccf4,
    0xffadcef5,
    0xffadcdf4,
    0xffadcef5,
    0xffb0d0f7,
    0xffafcff6,
    0xffacccf3,
    0xffacccf3,
    0xffabccf2,
    0xffacccf3,
    0xffacccf3,
    0xffadcdf3,
    0xffadcdf4,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffabcbf4,
    0xffacccf5,
    0xffa9c9f2,
    0xffabcbf4,
    0xffabcbf4,
    0xffa9c9f3,
    0xffabcbf4,
    0xffaacaf3,
    0xffa9c9f3,
    0xffaacaf2,
    0xffaac9f5,
    0xffaac9f5,
    0xffa7c6f2,
    0xffa8c7f3,
    0xffa9c7f5,
    0xffa9c8f6,
    0xffa7c8f6,
    0xffa7c8f7,
    0xffa8c8f6,
    0xffa6c7f6,
    0xffa5c6f5,
    0xffa5c6f5,
    0xffa5c6f5,
    0xffa6c7f5,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa3c3f2,
    0xffa4c4f4,
    0xffa5c5f4,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa7c7f6,
    0xffa6c6f6,
    0xffa6c6f5,
    0xffa6c6f5,
    0xffa6c7f5,
    0xffa3c3f2,
    0xffa3c5f2,
    0xffa3c5f3,
    0xffa3c5f3,
    0xffa3c3f7,
    0xffa2c4f1,
    0xffa2c6ec,
    0xffa3c6f1,
    0xffa5c6fd,
    0xffa6c6fe,
    0xffaaccf9,
    0xffacd0f3,
    0xff9ecbd6,
    0xff99c7cd,
    0xff8db9cc,
    0xff8db2dc,
    0xffaaceeb,
    0xff699282,
    0xff375e39,
    0xff153926,
    0xff497865,
    0xff70a389,
    0xff478061,
    0xff023b1c,
    0xff104929,
    0xff437759,
    0xff386648,
    0xff315c3d,
    0xff4d7049,
    0xff294925,
    0xff092708,
    0xff28452e,
    0xff294a3b,
    0xff1f4034,
    0xff254535,
    0xff163623,
    0xff001822,
    0xff2d3d55,
    0xff152346,
    0xff485781,
    0xff364a79,
    0xff7285b3,
    0xff9da6d6,
    0xff9c9dd0,
    0xff9daacf,
    0xff9891a7,
    0xffa18ea7,
    0xffa89ac0,
    0xffaaa4b9,
    0xff8d8067,
    0xff614a14,
    0xff573f0b,
    0xff7c7651,
    0xff726f59,
    0xff848048,
    0xff7d7340,
    0xff7f7e83,
    0xff35517a,
    0xff3f6c95,
    0xff5d8b9a,
    0xff357281,
    0xff438289,
    0xff266670,
    0xff003150,
    0xff367094,
    0xff3b6c7f,
    0xff173d40,
    0xff001a18,
    0xff052424,
    0xff00151d,
    0xff0a2c34,
    0xff153136,
    0xff041a1c,
    0xff0b1c1e,
    0xff021c1e,
    0xff092833,
    0xff011a29,
    0xff001145,
    0xff395bab,
    0xff93c1ff,
    0xff6ca0da,
    0xff77aee8,
    0xff91c0ff,
    0xff7eaeed,
    0xff4b7db7,
    0xff4b7ad1,
    0xff70a0eb,
    0xff396f84,
    0xff00303c,
    0xff234977,
    0xff395781,
    0xff012022,
    0xff0f2638,
    0xff0c2223,
    0xff243e53,
    0xff0c3148,
    0xff001729,
    0xff001034,
    0xff1d426a,
    0xff4580a4,
    0xff172d49,
    0xff1c457a,
    0xff23589a,
    0xff194979,
    0xff1f3f6b,
    0xff1f306f,
    0xff324580,
    0xff123455,
    0xff4b78a5,
    0xff629be2,
    0xff6097e0,
    0xff5b82ac,
    0xff57707e,
    0xff495950,
    0xff5a5331,
    0xff957642,
    0xffc2a892,
    0xffb3ad9b,
    0xffbdb3b8,
    0xffb49467,
    0xffab7d16,
    0xffd8ab52,
    0xffa17f3a,
    0xff4f3608,
    0xff170900,
    0xff3a2c04,
    0xffddbd8e,
    0xffdeae83,
    0xffa28135,
    0xff706922,
    0xff595238,
    0xff9f8f52,
    0xffbb9c39,
    0xffb2801b,
    0xffbf8321,
    0xffbc8e14,
    0xffb99a02,
    0xffd7b42f,
    0xff7b5200,
    0xff8b6b0f,
    0xff8d6d1b,
    0xff6d4611,
    0xff2f1a00,
    0xff33291a,
    0xff432010,
    0xff643713,
    0xff543407,
    0xff3d2301,
    0xff2a2812,
    0xff44301e,
    0xff40281b,
    0xff352e1c,
    0xff2f3421,
    0xff333520,
    0xff29240d,
    0xff25240b,
    0xff22230d,
    0xff1f240e,
    0xff172800,
    0xff273b15,
    0xff141200,
    0xff664d20,
    0xff594000,
    0xff615103,
    0xff857321,
    0xff5e4407,
    0xff654b1f,
    0xff33260b,
    0xff181e0e,
    0xff0e1f15,
    0xff13221d,
    0xff414c43,
    0xff6d7f53,
    0xff745c23,
    0xffcd9c46,
    0xffe39c44,
    0xffd09145,
    0xffc19439,
    0xffd2902d,
    0xffd38835,
    0xff481300,
    0xffae7c33,
    0xffd8aa3e,
    0xffc89b25,
    0xffe5bc47,
    0xffa98719,
    0xfff2d77f,
    0xff584612,
    0xff091707,
    0xff0d1a0c,
    0xff100a00,
    0xff3a2005,
    0xff99734a,
    0xff6c4d26,
    0xff392b16,
    0xff191a14,
    0xff0c1b0e,
    0xff001908,
    0xff021907,
    0xff1a2c1f,
    0xff6a5632,
    0xffac6835,
    0xffa05c20,
    0xff885800,
    0xffcc2020,
    0xffbd0c11,
    0xffb80000,
    0xffbc0007,
    0xffba0011,
    0xffb0070c,
    0xffc05a49,
    0xff928571,
    0xff52646d,
    0xff2b3d4c,
    0xff677779,
    0xff8b9476,
    0xff888a5e,
    0xff949773,
    0xff81886e,
    0xff788167,
    0xff696555,
    0xff797453,
    0xff9c9967,
    0xffac7359,
    0xffb87377,
    0xffbca4b4,
    0xff64586d,
    0xff5d5464,
    0xff504959,
    0xff513c52,
    0xff4c3e52,
    0xff3a3338,
    0xff52171a,
    0xffa21521,
    0xffb60d1a,
    0xff8c0303,
    0xff790000,
    0xff7c0003,
    0xff780005,
    0xff77020b,
    0xff700a0b,
    0xff8d1619,
    0xffbd2833,
    0xffc44b4f,
    0xffcc919a,
    0xff744853,
    0xff4a2c39,
    0xff3e2b2f,
    0xff59524a,
    0xff929284,
    0xff898d82,
    0xff848e87,
    0xff858988,
    0xff83807b,
    0xff8e8076,
    0xff8b7a73,
    0xff8b8179,
    0xffa48a81,
    0xffcd7d76,
    0xffb72c29,
    0xffc52428,
    0xffc62c2e,
    0xffc82b2b,
    0xffcf2427,
    0xffcf2525,
    0xffc42a22,
    0xffc73828,
    0xffca3b2c,
    0xffbb4630,
    0xffbc564a,
    0xff711b23,
    0xff5e0e26,
    0xff814b60,
    0xff966472,
    0xffbb7587,
    0xfffdcdd3,
    0xffffeaeb,
    0xfff4bfc8,
    0xffffeaed,
    0xffffffff,
    0xfff4b6ca,
    0xff63334c,
    0xff373c56,
    0xff1f244a,
    0xff867882,
    0xff807177,
    0xff917c7e,
    0xff866b5d,
    0xff998261,
    0xff917856,
    0xff75342d,
    0xff9b2940,
    0xffb21123,
    0xffb8221b,
    0xffab1a17,
    0xffbd142c,
    0xffd01b25,
    0xffc91f19,
    0xffb61413,
    0xffc62321,
    0xffc5403b,
    0xffbc876c,
    0xff788068,
    0xff3e4c30,
    0xff868c75,
    0xff5f6b53,
    0xffa9b58d,
    0xff92937a,
    0xff768d81,
    0xff143c51,
    0xff184572,
    0xff072a61,
    0xff19386c,
    0xff194175,
    0xff5481ab,
    0xff1c4661,
    0xff5a8788,
    0xff859496,
    0xff707e90,
    0xff354f66,
    0xff405155,
    0xff848e94,
    0xff71778b,
    0xff747087,
    0xff3d516d,
    0xff9d8d91,
    0xffa88974,
    0xff927265,
    0xffa06d7a,
    0xff9b6e7d,
    0xff907978,
    0xffa28e86,
    0xffa8998f,
    0xff817385,
    0xff8b8694,
    0xff434562,
    0xff656c94,
    0xff9aacca,
    0xff2d4c6a,
    0xff648daf,
    0xff1e446f,
    0xff355281,
    0xff7480a7,
    0xff7e8bad,
    0xff1b3f67,
    0xff1b3f67,
    0xff617093,
    0xff747ca2,
    0xff354665,
    0xff859ba8,
    0xff7d9391,
    0xff60747d,
    0xff6e7790,
    0xff74738f,
    0xff837a7f,
    0xffab9e89,
    0xff928a73,
    0xffb8ab93,
    0xffa08555,
    0xffbc9f82,
    0xffb5a287,
    0xff9d8048,
    0xffa27e56,
    0xff8e7f70,
    0xff978270,
    0xffa58673,
    0xffa58b69,
    0xffbdaf82,
    0xffa99a74,
    0xff8e7c5b,
    0xff978c82,
    0xff615f7a,
    0xff8d8896,
    0xff908a93,
    0xffa49ea3,
    0xffcbc6d1,
    0xffd3d4ec,
    0xffc4ccef,
    0xffd2e3ff,
    0xffd3ebff,
    0xffc3ddf4,
    0xffc6e1fd,
    0xffcddcf3,
    0xffcbdcf2,
    0xffb9e1fa,
    0xffbae3f9,
    0xffc7dff8,
    0xffc8dafb,
    0xffc2dff9,
    0xffcde2fa,
    0xffccd9f0,
    0xffc7d8ee,
    0xffc2def5,
    0xffc0dff8,
    0xffc8def7,
    0xffced9f2,
    0xffc8dcf1,
    0xffc3dcf2,
    0xffc3dff3,
    0xffc4e0f5,
    0xffc3def4,
    0xffc5dff6,
    0xffc4dbf1,
    0xffcadef5,
    0xffc3dbf3,
    0xffc6def6,
    0xffc5ddf4,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc4dcf4,
    0xffc4def7,
    0xffc5dff8,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc4def7,
    0xffc3ddf6,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc4def7,
    0xffc4def7,
    0xffc1dbf4,
    0xffc3ddf6,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc1dbf5,
    0xffc0daf4,
    0xffc1dbf4,
    0xffbfd9f2,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1daf3,
    0xffbcdbef,
    0xffc1ddf2,
    0xffc1ddf3,
    0xffc1daf4,
    0xffc0dbf4,
    0xffc2d9f5,
    0xffc3dbf8,
    0xffc4daf8,
    0xffc3dbf5,
    0xffc0dbf4,
    0xffc0dbf4,
    0xffc0dbf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffbfdbf5,
    0xffc1dbf5,
    0xffc2dbf2,
    0xffc0dbf2,
    0xffc1dbf2,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffbfdcf3,
    0xffbfdaf6,
    0xffbfdbf6,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf5,
    0xffbdd7f2,
    0xffbed8f3,
    0xffc0daf4,
    0xffc0daf4,
    0xffc0daf4,
    0xffc0daf4,
    0xffbed8f3,
    0xffbdd8f2,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d8f7,
    0xffc0d8f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbdd6f5,
    0xffbfd9f3,
    0xffc0daf4,
    0xffbfdaf4,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffc0daf5,
    0xffc0daf5,
    0xffc0d9f7,
    0xffbfd8f5,
    0xffbfd8f6,
    0xffbfd8f5,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed9f5,
    0xffbed9f6,
    0xffbdd7f4,
    0xffbad9f5,
    0xffb8d9fa,
    0xffbbdafb,
    0xffb9d8f5,
    0xffb7d8f1,
    0xffbbdaf5,
    0xffbdd8f5,
    0xffbed8f6,
    0xffbed5f8,
    0xffbdd8f6,
    0xffbed8f5,
    0xffbfd7f5,
    0xffbcd9f6,
    0xffb9d8f9,
    0xffb4d7f9,
    0xffb8d8f6,
    0xffb8d8f3,
    0xffbad8ef,
    0xffb9d8f3,
    0xffbbd6f4,
    0xffbad4f7,
    0xffbad4f9,
    0xffb8d5fa,
    0xffb7d4fa,
    0xffb6d6f7,
    0xffb8d4f4,
    0xffbad5f6,
    0xffbcd5f9,
    0xffb9d3f7,
    0xffb7d3f8,
    0xffb8d4fa,
    0xffb9d5fc,
    0xffb7d3fa,
    0xffb9d4fb,
    0xffb9d3f9,
    0xffbad5fa,
    0xffb7d2f5,
    0xffb5cff0,
    0xffbbd5f4,
    0xffb9d3f0,
    0xffbad4f1,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb8d3f4,
    0xffbad1f3,
    0xffb7d2f2,
    0xffb6d2f5,
    0xffb4d2f4,
    0xffb0d2f6,
    0xffb4d1f3,
    0xffb3d1f3,
    0xffb4d2f4,
    0xffb5d2f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb1d3f5,
    0xffb2d2f8,
    0xffb6d4f6,
    0xffb4d3f5,
    0xffb2d0f4,
    0xffb0cef2,
    0xffb2d0f4,
    0xffb2d0f6,
    0xffb2cff5,
    0xffb1cef4,
    0xffb2d0f6,
    0xffb1cff5,
    0xffb0cdf6,
    0xffb1cdf6,
    0xffb1cef5,
    0xffafccf7,
    0xffafccf6,
    0xffafccf5,
    0xffaeccf2,
    0xffafccf4,
    0xffafccf4,
    0xffafccf4,
    0xffafcbf4,
    0xffb2cff7,
    0xffb0cdf7,
    0xffaecaf4,
    0xffacccf5,
    0xffadcdf6,
    0xffadcdf6,
    0xffadcdf6,
    0xffadcdf4,
    0xffadcdf4,
    0xffadcdf4,
    0xffabcbf2,
    0xffacccf3,
    0xffacccf2,
    0xffacccf3,
    0xffabcbf2,
    0xffabcbf1,
    0xffa9c9ef,
    0xffa8c8ef,
    0xffa9c9ef,
    0xffa9c9f0,
    0xffa9c9ef,
    0xffa9c9f0,
    0xffa8c8f1,
    0xffa9c9f2,
    0xffa9c9f2,
    0xffa9caf2,
    0xffa8c7f3,
    0xffa9c8f3,
    0xffa9c8f4,
    0xffa8c7f3,
    0xffa8c7f3,
    0xffa9c8f4,
    0xffa9c8f4,
    0xffa9c8f4,
    0xffa9c8f4,
    0xffa7c6f2,
    0xffa8c7f4,
    0xffa6c4f3,
    0xffa7c6f4,
    0xffa8c7f5,
    0xffa5c4f2,
    0xffa8c7f6,
    0xffa6c5f4,
    0xffa6c6fb,
    0xffa2c4f3,
    0xffa2c6ee,
    0xffa4c5ee,
    0xffa4c4f2,
    0xffa5c4f5,
    0xffa5c4f0,
    0xffa4c4eb,
    0xffa9c6f2,
    0xffa4c6ed,
    0xffa3c8f4,
    0xffa1c4fd,
    0xffa5c5f6,
    0xff9ec1d1,
    0xff779c99,
    0xff638b82,
    0xff6b8f69,
    0xff5d8162,
    0xff456c3b,
    0xff3c643d,
    0xff46696a,
    0xff7ca29a,
    0xff50786b,
    0xff7497b4,
    0xff6e9a82,
    0xff457454,
    0xff285738,
    0xff204d32,
    0xff33603c,
    0xff3b683c,
    0xff436c4b,
    0xff5f8372,
    0xff295037,
    0xff3b5c42,
    0xff2d4d26,
    0xff26451c,
    0xff132d1a,
    0xff0e281a,
    0xff072414,
    0xff032118,
    0xff648a9c,
    0xff4c6f9e,
    0xff607dc0,
    0xff7d98d4,
    0xffbdd4ff,
    0xffa6baf6,
    0xff8c9fe8,
    0xff98aff8,
    0xff92b0e1,
    0xff95a5d8,
    0xff8589a5,
    0xff858693,
    0xffa6a2bd,
    0xffc8bccb,
    0xffb5a081,
    0xff987745,
    0xff8a7349,
    0xff6e6152,
    0xff848058,
    0xff968c68,
    0xff7c7873,
    0xff354b4f,
    0xff133d40,
    0xff002725,
    0xff02282f,
    0xff0a3038,
    0xff113b46,
    0xff052d35,
    0xff0c3435,
    0xff0f3634,
    0xff032324,
    0xff142e32,
    0xff00202d,
    0xff103e74,
    0xff5b8bb4,
    0xff001b22,
    0xff122936,
    0xff0d2025,
    0xff051f1a,
    0xff041f32,
    0xff06305e,
    0xff87b1ed,
    0xff749ae0,
    0xff8ab3f4,
    0xff90bbf2,
    0xff90bbeb,
    0xff8fb2e8,
    0xff98b4f1,
    0xff8eb6f1,
    0xff9ec5ff,
    0xff5680b5,
    0xff11415e,
    0xff09384b,
    0xff42677d,
    0xff001821,
    0xff192d23,
    0xff18202a,
    0xff0b2220,
    0xff062c1f,
    0xff00151a,
    0xff051638,
    0xff000f25,
    0xff001b2e,
    0xff01285b,
    0xff37556c,
    0xff092059,
    0xff6793e1,
    0xff91c6ff,
    0xff93baf9,
    0xff5684b9,
    0xff09417e,
    0xff386ab7,
    0xff4070ba,
    0xff7fb1ef,
    0xff507fb1,
    0xff476e7e,
    0xff1e3d1c,
    0xff667131,
    0xff9c9247,
    0xffae9450,
    0xff7f5d32,
    0xff624600,
    0xff77541d,
    0xffad8622,
    0xffc89916,
    0xffbd831f,
    0xffb07909,
    0xffc79922,
    0xffd2a747,
    0xffcca03a,
    0xffc98f28,
    0xffb8720b,
    0xff9f6902,
    0xff9f7e17,
    0xff7f6508,
    0xffab862f,
    0xff9d7f10,
    0xffbb9415,
    0xffb6830c,
    0xff975e01,
    0xff875702,
    0xff856309,
    0xff7b6205,
    0xff957e1c,
    0xff6c4c05,
    0xff79570d,
    0xff6e532e,
    0xff4a3735,
    0xff3e2210,
    0xff774a21,
    0xff6b351b,
    0xff6d4039,
    0xff28130c,
    0xff10180e,
    0xff1d2709,
    0xff262603,
    0xff32392a,
    0xff1b2620,
    0xff0d1a0c,
    0xff001506,
    0xff1a371b,
    0xff152b0d,
    0xff52553e,
    0xff242d14,
    0xff181500,
    0xff5d421c,
    0xff917e3e,
    0xff8e7e2a,
    0xff4b3f02,
    0xff453407,
    0xff221200,
    0xff101005,
    0xff061c14,
    0xff132a1d,
    0xff2d3017,
    0xff73613b,
    0xff947527,
    0xff9f7c0e,
    0xffc6932d,
    0xffc78621,
    0xffd48e3a,
    0xffdb9a4b,
    0xffd99b32,
    0xffe19d3a,
    0xffd0983b,
    0xff430f00,
    0xff6f4d12,
    0xffbba62a,
    0xfff3d151,
    0xffd5a045,
    0xff472300,
    0xff1e1a06,
    0xff11080e,
    0xff00180e,
    0xff1b1c00,
    0xffa8713a,
    0xff83421d,
    0xff4d2718,
    0xff3d2c13,
    0xff251710,
    0xff051009,
    0xff090f00,
    0xff10240b,
    0xff061c0d,
    0xff22170b,
    0xff492917,
    0xff6c4715,
    0xff966014,
    0xffa70909,
    0xffbb1217,
    0xffb70507,
    0xffb0060a,
    0xffa80411,
    0xffa40607,
    0xffa13628,
    0xff786555,
    0xff3a514e,
    0xff0f2d3c,
    0xff3b5562,
    0xff415048,
    0xff5a6e63,
    0xff496a71,
    0xff5a757e,
    0xff606d63,
    0xff657b64,
    0xff6e746e,
    0xff8f7872,
    0xff8c443e,
    0xffdc9f9e,
    0xff968797,
    0xff685674,
    0xff574a5c,
    0xff4f4757,
    0xff523d54,
    0xff4a3548,
    0xff4a2a33,
    0xff6c1219,
    0xffb71829,
    0xffaf0816,
    0xff830002,
    0xff7e0000,
    0xff780000,
    0xff740005,
    0xff850612,
    0xff88111a,
    0xff951b26,
    0xffb32c3d,
    0xffde7b84,
    0xff9b6d76,
    0xff58343e,
    0xff402934,
    0xff3a2f30,
    0xff726d67,
    0xff909084,
    0xff898d84,
    0xff838b83,
    0xff8b928a,
    0xffa0a496,
    0xffb8b6a3,
    0xffa89f91,
    0xff969185,
    0xff938577,
    0xffb67d6d,
    0xffd26858,
    0xffc53328,
    0xffd9433c,
    0xffd33c36,
    0xffd0312d,
    0xffd12a27,
    0xffcf2b27,
    0xffcd3f33,
    0xffc74d3a,
    0xffd6645f,
    0xffed9495,
    0xffeeaebb,
    0xffffcce1,
    0xffffeeff,
    0xfffff6ff,
    0xff9d3f59,
    0xff7b2036,
    0xff9a586e,
    0xffc07f9a,
    0xffffe3f3,
    0xfffffcff,
    0xffe3a4ac,
    0xff9e6c6d,
    0xffb59a95,
    0xffb9868f,
    0xffa44c59,
    0xff933040,
    0xff9e283c,
    0xff95101d,
    0xff9c2321,
    0xffd88477,
    0xff8c5c54,
    0xff6f4d4c,
    0xff952c3c,
    0xffa72826,
    0xffb7222a,
    0xffb30b22,
    0xffc2101b,
    0xffce2122,
    0xffc72430,
    0xffad1720,
    0xffb83f2e,
    0xffca8446,
    0xffb48b5a,
    0xffbc9b77,
    0xffb19f85,
    0xff6f7372,
    0xff5d625e,
    0xffa29489,
    0xff898978,
    0xff616e60,
    0xff586764,
    0xff62677b,
    0xff242656,
    0xff121f5c,
    0xff08285c,
    0xff295376,
    0xff26456a,
    0xff30485a,
    0xff507390,
    0xff294f72,
    0xff8a939f,
    0xff61655c,
    0xff34494f,
    0xff1d3d56,
    0xff6d7b91,
    0xff93898b,
    0xff958473,
    0xff978d79,
    0xff928578,
    0xff79675f,
    0xff786967,
    0xff83747e,
    0xff6b5f6f,
    0xff646482,
    0xff686777,
    0xff6c718f,
    0xff05224e,
    0xff3e5c83,
    0xff2f416c,
    0xff466185,
    0xff3b6085,
    0xff263a5c,
    0xff7f8898,
    0xff365966,
    0xff29648f,
    0xff315591,
    0xff25366c,
    0xff294a74,
    0xff224773,
    0xff1e426d,
    0xff34567b,
    0xff466d8f,
    0xff284f70,
    0xff56788e,
    0xff617781,
    0xff6e7978,
    0xff767d7c,
    0xff85877a,
    0xff8b855f,
    0xffa99f7d,
    0xff8d7861,
    0xffc5a187,
    0xffa88273,
    0xff94847d,
    0xff8d8679,
    0xff99776e,
    0xffb6847b,
    0xffb08676,
    0xffa28678,
    0xffdac6b0,
    0xff857a5d,
    0xff7d7677,
    0xff78666a,
    0xff7b6f75,
    0xff7e7a83,
    0xff817885,
    0xff847382,
    0xff867b8c,
    0xff8e94a8,
    0xff798da8,
    0xffc9dbf8,
    0xffbdd3f3,
    0xffd9e5fc,
    0xffd7dff5,
    0xffc7dcfc,
    0xffc7ddf7,
    0xffc7dde9,
    0xffc3e4ef,
    0xffc5e1f6,
    0xffbfdbf3,
    0xffc5def9,
    0xffc8e4fa,
    0xffc4e0f2,
    0xffc1e0f0,
    0xffc1dff4,
    0xffc1def7,
    0xffc5def5,
    0xffc5def5,
    0xffc4def5,
    0xffc2ddf4,
    0xffc4ddf5,
    0xffc3def5,
    0xffc2d9f2,
    0xffc7def6,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc4dcf4,
    0xffc3def7,
    0xffc4def7,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc2dcf5,
    0xffc0daf3,
    0xffc0daf3,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc1dbf5,
    0xffc1dcf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc1dbf4,
    0xffc2d9f1,
    0xffc2d9f2,
    0xffc2daf3,
    0xffc3daf4,
    0xffc3dbf2,
    0xffc2d9f1,
    0xffc2d9f1,
    0xffc2d9f1,
    0xffc1d8f1,
    0xffc0dbf2,
    0xffc0dbf0,
    0xffc0dbf0,
    0xffbfd9f2,
    0xffc1dbf4,
    0xffc0daf4,
    0xffc1dbf4,
    0xffc0daf3,
    0xffc1daf4,
    0xffbfdcf3,
    0xffbfdcf3,
    0xffc1dbf4,
    0xffc0daf3,
    0xffc1dbf4,
    0xffbfd9f2,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffbfd9f5,
    0xffc0daf5,
    0xffc0daf5,
    0xffbfd9f4,
    0xffbfd9f4,
    0xffc0daf5,
    0xffc0daf5,
    0xffc0daf4,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f5,
    0xffc2dcf6,
    0xffc1dbf6,
    0xffc0daf5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d9f8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f6,
    0xffc0d9f7,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffbfd7f6,
    0xffbdd6f4,
    0xffbdd6f6,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbfd8f6,
    0xffbfd7f6,
    0xffbfd7f6,
    0xffbfd7f6,
    0xffbdd9f6,
    0xffbed9f6,
    0xffbcd7f4,
    0xffbdd7f4,
    0xffbcd8f5,
    0xffbcd7f5,
    0xffbbd9f4,
    0xffbad9f4,
    0xffbad8f6,
    0xffb8d5f5,
    0xffbad7f9,
    0xffbbd7fa,
    0xffb7d9f9,
    0xffbbd8f5,
    0xffbed6f6,
    0xffbdd8f5,
    0xffbbd8f8,
    0xffbad9f8,
    0xffb9d4f2,
    0xffbdd6ec,
    0xffbad7f2,
    0xffb8d7f2,
    0xffbbd5f3,
    0xffbbd6f4,
    0xffbbd4f4,
    0xffbad5f6,
    0xffb7d3f3,
    0xffb9d7f7,
    0xffb7d6fa,
    0xffb6d4f8,
    0xffb7d3f6,
    0xffbed9f8,
    0xffbad2f2,
    0xffbcd0ef,
    0xffc4d6f4,
    0xffc3d5f4,
    0xffbdd2f4,
    0xffbdd5f8,
    0xffb9d1f3,
    0xffb9d1f2,
    0xffbbd5f6,
    0xffbad4f5,
    0xffb5d3f2,
    0xffb8d6f6,
    0xffb8d4f9,
    0xffb6d2f7,
    0xffb8d2f4,
    0xffb9d3f6,
    0xffb9d2f5,
    0xffb7d4f6,
    0xffb7d4f6,
    0xffb3d5f6,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb2d4f7,
    0xffb3d4f7,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb0d1f4,
    0xffb4d1f3,
    0xffb4d2f4,
    0xffb5d2f7,
    0xffb2d0f4,
    0xffb2cff3,
    0xffb2cff6,
    0xffb0cef4,
    0xffb1cef5,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff4,
    0xffb0cdf5,
    0xffb1cef6,
    0xffb0cdf5,
    0xffafccf7,
    0xffafccf5,
    0xffb1cff5,
    0xffb1cff4,
    0xffb1cef6,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffaecbf6,
    0xffaecbf5,
    0xffadcdf6,
    0xffacccf5,
    0xffadcdf6,
    0xffabcbf2,
    0xffadcdf4,
    0xffacccf3,
    0xffadcdf4,
    0xffabcbf3,
    0xffabcbf2,
    0xffabcbf2,
    0xffaacaf1,
    0xffaacaf1,
    0xffaacaf1,
    0xffaacaf1,
    0xffabcbf2,
    0xffabcbf2,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffabcbf4,
    0xffa9c9f2,
    0xffa9c9f2,
    0xffa8c8f1,
    0xffa7c7f0,
    0xffa7c6f2,
    0xffa9c8f4,
    0xffa9c8f4,
    0xffaac9f4,
    0xffa8c7f3,
    0xffa8c7f3,
    0xffa8c7f3,
    0xffa7c6f2,
    0xffaac9f5,
    0xffa8c7f3,
    0xffabcaf5,
    0xffa6c5f3,
    0xffa8c7f5,
    0xffa5c4f2,
    0xffa8c7f5,
    0xffa8c7f5,
    0xffa6c7f4,
    0xffa8c9f3,
    0xffa5c6f2,
    0xffa5c6f1,
    0xffa8c9f6,
    0xffa7c8f6,
    0xffa7c8f6,
    0xffa6c6f5,
    0xffa3c1f5,
    0xffa8c9fa,
    0xff9ec3fb,
    0xff9abaf2,
    0xffabcee5,
    0xff5f8670,
    0xff2e592b,
    0xff396438,
    0xff315d36,
    0xff396543,
    0xff4b7d4a,
    0xff20502a,
    0xff3c6860,
    0xff144434,
    0xff336554,
    0xff467284,
    0xff4d8375,
    0xff1c4f50,
    0xff2d6354,
    0xff2b6538,
    0xff245e37,
    0xff184944,
    0xff2b5c55,
    0xff497b5a,
    0xff8bb3bb,
    0xffa8cad4,
    0xff25463a,
    0xff2c4a35,
    0xff071e19,
    0xff091e1b,
    0xff02170d,
    0xff000e0f,
    0xff203b53,
    0xff7e99c3,
    0xff87a1d1,
    0xff6c88b3,
    0xff6781b1,
    0xff97b1ec,
    0xff93b0f0,
    0xff86a6e0,
    0xff93a7d8,
    0xff90a5dd,
    0xffa2bbd9,
    0xff758a8b,
    0xff7b8483,
    0xff959589,
    0xff7c7f53,
    0xff74793e,
    0xff948b56,
    0xff958051,
    0xff7f7132,
    0xff575f47,
    0xff5e7e9e,
    0xff699abe,
    0xff043050,
    0xff355772,
    0xff3a6780,
    0xff0f3c37,
    0xff073224,
    0xff0a303a,
    0xff12344e,
    0xff001730,
    0xff053149,
    0xff073056,
    0xff4572a9,
    0xff739fe2,
    0xff34698c,
    0xff144652,
    0xff3a5b6e,
    0xff0d2326,
    0xff001312,
    0xff0b2752,
    0xff9dcdff,
    0xff93c2fa,
    0xff8eb8f1,
    0xff93befc,
    0xff8fbcff,
    0xff92c1ff,
    0xff8fbef8,
    0xff8bb6e9,
    0xff94bcfc,
    0xff8cb2ff,
    0xff587ac4,
    0xff6084ae,
    0xff4e7379,
    0xff17372d,
    0xff2e4333,
    0xff1e2c13,
    0xff162e19,
    0xff0b2a20,
    0xff042426,
    0xff355471,
    0xff5b7aa7,
    0xff51758b,
    0xff052f3a,
    0xff1a4469,
    0xff0d2a39,
    0xff071f4c,
    0xffa6d2ff,
    0xff79aaee,
    0xff90b5f9,
    0xff7cafee,
    0xff4a86ca,
    0xff5b8cdb,
    0xff87b8ff,
    0xff5f89c9,
    0xff85a3d0,
    0xff607d78,
    0xff678550,
    0xff617d28,
    0xff576b04,
    0xff3b4004,
    0xff4e4c29,
    0xff9f9240,
    0xff9d6d29,
    0xffb47417,
    0xffde9e26,
    0xffa76c00,
    0xffc29012,
    0xffb18111,
    0xffc89729,
    0xff835000,
    0xff97650a,
    0xffa37216,
    0xffa57411,
    0xff986600,
    0xff9f6f0f,
    0xff8a6109,
    0xffb9941b,
    0xffb99215,
    0xffae8810,
    0xff947314,
    0xff5e4902,
    0xff534600,
    0xff766a24,
    0xff5e4c17,
    0xff744722,
    0xff6f430f,
    0xff7c5738,
    0xff78605c,
    0xff412715,
    0xff3d1a00,
    0xff4a2512,
    0xff452f2c,
    0xff10141b,
    0xff314b41,
    0xff0f2912,
    0xff233831,
    0xff092330,
    0xff07292f,
    0xff324f3f,
    0xff394e36,
    0xff596a37,
    0xff2d3d09,
    0xff24290c,
    0xff192c12,
    0xff233209,
    0xff84793a,
    0xff594f07,
    0xff402e00,
    0xff3b280a,
    0xff311d00,
    0xff776536,
    0xff483e28,
    0xff29262d,
    0xff1a141c,
    0xff50412b,
    0xff766027,
    0xff897a1f,
    0xff735e00,
    0xffab8533,
    0xffc99c40,
    0xffc09324,
    0xffd1a82e,
    0xffdbb232,
    0xffdead48,
    0xffe8b035,
    0xffffce49,
    0xffb47f3a,
    0xff451500,
    0xffeccd57,
    0xfffce267,
    0xff402500,
    0xff402c29,
    0xff050e03,
    0xff001308,
    0xff0a0e01,
    0xff644b27,
    0xff361f0b,
    0xff150400,
    0xff372802,
    0xff53481e,
    0xff616836,
    0xff362607,
    0xff1a0d00,
    0xff24280d,
    0xff112004,
    0xff061c00,
    0xff161200,
    0xff814a26,
    0xff9b0004,
    0xffb60412,
    0xffcb0c17,
    0xffb1030a,
    0xffa60311,
    0xffab0004,
    0xffae2920,
    0xffa46d65,
    0xff5a6d67,
    0xff4f6378,
    0xff203257,
    0xff314164,
    0xff394a6b,
    0xff152c4e,
    0xff304d65,
    0xff405f64,
    0xff36634f,
    0xff61777c,
    0xff46223e,
    0xff974461,
    0xffdfb0c2,
    0xff6e667d,
    0xff65506a,
    0xff58454d,
    0xff504357,
    0xff493e52,
    0xff473845,
    0xff501e27,
    0xff871520,
    0xffc11829,
    0xffa70414,
    0xff830108,
    0xff7c0005,
    0xff740103,
    0xff6b0405,
    0xff860714,
    0xff901122,
    0xff972f3e,
    0xffba5a6d,
    0xffcc929c,
    0xff644249,
    0xff4c333c,
    0xff392c33,
    0xff534e4f,
    0xff8d8f88,
    0xff8c8f86,
    0xff8d928a,
    0xff87908a,
    0xff8d968c,
    0xff879486,
    0xff8e9a87,
    0xff93978a,
    0xff9b9c94,
    0xffaba99b,
    0xffa58b78,
    0xffc08570,
    0xffd46648,
    0xffd2543e,
    0xffc2392c,
    0xffc2382b,
    0xffc9362c,
    0xffc52b24,
    0xffd0493d,
    0xffe07868,
    0xffa86758,
    0xffa07066,
    0xff916264,
    0xff832b3d,
    0xff8d2c3b,
    0xff832229,
    0xff7a0009,
    0xff850014,
    0xff780012,
    0xff760010,
    0xff6a0013,
    0xff8d1f36,
    0xffa0253b,
    0xffc7646d,
    0xffc66d71,
    0xff921626,
    0xff780000,
    0xff860008,
    0xff900006,
    0xffa6010d,
    0xffa20005,
    0xff8c100e,
    0xff986258,
    0xff7c7e70,
    0xff876570,
    0xff893332,
    0xffb82a2f,
    0xffb61421,
    0xffb21119,
    0xffbf1b26,
    0xffc32330,
    0xffb52428,
    0xffa2331e,
    0xffca964a,
    0xffaf9d5b,
    0xffcab67b,
    0xffbaa966,
    0xff7a7d62,
    0xff283e3f,
    0xff3b5556,
    0xff92967b,
    0xffb8bc9e,
    0xff9ea58d,
    0xff657066,
    0xff8f989a,
    0xff677071,
    0xff708781,
    0xff436a64,
    0xff2b4259,
    0xff233a56,
    0xff224a74,
    0xff0b305c,
    0xff464f53,
    0xffbab59d,
    0xff717f7b,
    0xff2c4f6c,
    0xff3c617f,
    0xff2e4154,
    0xff797681,
    0xff776c6e,
    0xff8e8974,
    0xff92846b,
    0xff907d79,
    0xff676375,
    0xff4d5770,
    0xff435b7c,
    0xff606681,
    0xff414473,
    0xff002661,
    0xff1f3b67,
    0xff7c7295,
    0xff706f7c,
    0xff255260,
    0xff4e667c,
    0xff9397ac,
    0xff3b4f74,
    0xff00286e,
    0xff123486,
    0xff1d3c79,
    0xff154f77,
    0xff0e3f71,
    0xff205190,
    0xff23549a,
    0xff18498c,
    0xff0d3a6f,
    0xff16355e,
    0xff677ba0,
    0xff4d567c,
    0xff26314f,
    0xff4c4f5e,
    0xff7c7b82,
    0xffa29e8c,
    0xff816752,
    0xff9f7e84,
    0xff766a7e,
    0xff373f5c,
    0xff6e7385,
    0xffa28f93,
    0xffc09d9b,
    0xff8f7765,
    0xff7e6e6a,
    0xff796c6b,
    0xffa29d88,
    0xff737375,
    0xffbcb3a3,
    0xffa9a08e,
    0xff767463,
    0xff82867e,
    0xff6a777a,
    0xff667584,
    0xff5e6f83,
    0xff5f7084,
    0xff495d78,
    0xff6988a4,
    0xffaec0d6,
    0xffacb1c2,
    0xffd2d8f4,
    0xffd9e0fa,
    0xffd8e7fd,
    0xffc3e5ff,
    0xffc9def9,
    0xffc4dffc,
    0xffc3ddff,
    0xffc6dff9,
    0xffc9deed,
    0xffc7dde8,
    0xffc3e0f4,
    0xffbde1ff,
    0xffc4e1fb,
    0xffc5e1f9,
    0xffc5dff5,
    0xffc3ddf3,
    0xffc5def4,
    0xffc4ddf3,
    0xffc3dcf5,
    0xffc4ddf7,
    0xffc4dcf3,
    0xffc5ddf5,
    0xffc3dbf3,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3def7,
    0xffc4def7,
    0xffc2dcf5,
    0xffc4def7,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc4def7,
    0xffc4def7,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc2ddf5,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc3ddf6,
    0xffc3ddf5,
    0xffc4dbf8,
    0xffc3dbf7,
    0xffc2d9f6,
    0xffc3dbf4,
    0xffc0daf2,
    0xffc1dcf0,
    0xffc0dbf0,
    0xffc2ddf1,
    0xffc3dbf2,
    0xffc2d9f2,
    0xffc2daf0,
    0xffc2dbf1,
    0xffc1daf0,
    0xffc1daee,
    0xffc1daee,
    0xffc1daee,
    0xffc0daf2,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc0dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc0daf3,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc0daf5,
    0xffbfd9f5,
    0xffbfd9f5,
    0xffc0daf5,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf5,
    0xffbfd9f3,
    0xffc0daf2,
    0xffc0daf6,
    0xffc0dbf5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f7,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffc0d9f8,
    0xffbed7f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f5,
    0xffbdd6f6,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbdd6f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd7f6,
    0xffbdd9f6,
    0xffbcd8f4,
    0xffbcd8f5,
    0xffbdd6f0,
    0xffbdd7f1,
    0xffbed7f4,
    0xffbed9f7,
    0xffbdd6f8,
    0xffbbd6f9,
    0xffbad9fa,
    0xffb9d8f7,
    0xffb7d8f7,
    0xffbbd8f5,
    0xffbed7f4,
    0xffbed6f5,
    0xffbdd6f4,
    0xffbcd4f3,
    0xffbed4ee,
    0xffc2d4ec,
    0xffbbd5f5,
    0xffbbd5f3,
    0xffbdd4f0,
    0xffbdd3ec,
    0xffbcd4eb,
    0xffbed4ed,
    0xffbfd5ef,
    0xffbdd1ef,
    0xffb5d5f5,
    0xffb8d7f7,
    0xffbcd8f5,
    0xffbdd1ec,
    0xffc4d6ec,
    0xffcedbf0,
    0xffdbe4f5,
    0xffdce4f4,
    0xffccddf4,
    0xffcbdef6,
    0xffc1d4ed,
    0xffbfd5f0,
    0xffbed6f3,
    0xffbbd5f5,
    0xffbbd4f7,
    0xffb5d2f4,
    0xffb7d3f9,
    0xffb7d2f7,
    0xffb9d2f8,
    0xffbad4f9,
    0xffb7d4f9,
    0xffb8d5f6,
    0xffb5d3f6,
    0xffb4d3f1,
    0xffb3d1f3,
    0xffb3d1f3,
    0xffb5d2f5,
    0xffb2d4f4,
    0xffb3d4f7,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f3,
    0xffb2d4f4,
    0xffb3d4f7,
    0xffb1d2f5,
    0xffb0d1f4,
    0xffb0d1f4,
    0xffafd1f3,
    0xffaed0f2,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cff4,
    0xffb0cdf5,
    0xffafccf4,
    0xffaecbf3,
    0xffaecbf3,
    0xffb1cff5,
    0xffb1cff5,
    0xffafcef3,
    0xffaecbf3,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffaecbf3,
    0xffb0cdf4,
    0xffadcef7,
    0xffaecef7,
    0xffacccf6,
    0xffacccf3,
    0xffadcdf4,
    0xffacccf4,
    0xffacccf4,
    0xffacccf2,
    0xffabcbf2,
    0xffabcbf2,
    0xffacccf3,
    0xffacccf3,
    0xffabcbf3,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffaacaf1,
    0xffaacaf1,
    0xffaacaf1,
    0xffa9c9f0,
    0xffaacaf4,
    0xffabcbf4,
    0xffaacaf3,
    0xffaacaf3,
    0xffa8c7f4,
    0xffa8c7f3,
    0xffa7c6f2,
    0xffa7c6f2,
    0xffa7c6f2,
    0xffa8c7f3,
    0xffa9c8f4,
    0xffa9c8f4,
    0xffa9c8f4,
    0xffaac8f5,
    0xffa5c4f0,
    0xffa8c7f2,
    0xffaac9f7,
    0xffa8c7f5,
    0xffa7c6f4,
    0xffa6c5f2,
    0xffaacbeb,
    0xffa8c8f0,
    0xffa9c7f8,
    0xffa9c9fa,
    0xffa8cbf8,
    0xffa6c8f5,
    0xffa8c8ff,
    0xffa8c8ff,
    0xffa3c6fb,
    0xffa6ccf1,
    0xff9ec5e7,
    0xffaacdf5,
    0xffa6c7ed,
    0xff759aa4,
    0xff436956,
    0xff163d1c,
    0xff235129,
    0xff3a6a32,
    0xff3c6f2b,
    0xff356631,
    0xff326342,
    0xff447557,
    0xff124320,
    0xff386d4a,
    0xff457c58,
    0xff467871,
    0xff6da495,
    0xff568f69,
    0xff1e5547,
    0xff45739a,
    0xff5f8ea0,
    0xff538c5f,
    0xff43727c,
    0xff6f97a7,
    0xff1d403e,
    0xff809f91,
    0xff3a504e,
    0xff000f10,
    0xff132521,
    0xff05131a,
    0xff0e2228,
    0xff112932,
    0xff334d53,
    0xff0a2728,
    0xff1d3d49,
    0xff325572,
    0xff517993,
    0xff719ca8,
    0xff708890,
    0xff3b5868,
    0xff3a5d5e,
    0xff183b28,
    0xff163021,
    0xff1c3220,
    0xff243c1e,
    0xff193710,
    0xff4c6331,
    0xff585517,
    0xff827833,
    0xff768380,
    0xff386394,
    0xff306582,
    0xff4a7d88,
    0xff4e7b83,
    0xff1a4a4b,
    0xff36674b,
    0xff426f55,
    0xff22495f,
    0xff6f92d6,
    0xff426cb4,
    0xff3467a2,
    0xff275f98,
    0xff487eac,
    0xff3a6996,
    0xff235879,
    0xff002f55,
    0xff001e4b,
    0xff0c232a,
    0xff001213,
    0xff3c6396,
    0xffa5d7ff,
    0xff97c4ff,
    0xff9ec7ff,
    0xff88b2f1,
    0xff6f9fdc,
    0xff396cac,
    0xff6ba0e3,
    0xff92c6ff,
    0xff7faada,
    0xff4f74a4,
    0xff13354e,
    0xff133425,
    0xff496739,
    0xff4d6338,
    0xff495637,
    0xff273219,
    0xff0d2b14,
    0xff041b1b,
    0xff000f1a,
    0xff051c27,
    0xff00161a,
    0xff053223,
    0xff15432d,
    0xff153b38,
    0xff031a1f,
    0xff001c30,
    0xff0c3d58,
    0xff30617d,
    0xff254b76,
    0xff295ca1,
    0xff1f58ae,
    0xff365fb3,
    0xff002e4e,
    0xff0f3438,
    0xff2d493c,
    0xff748b4f,
    0xff41571a,
    0xff576e37,
    0xff52691c,
    0xff556144,
    0xff282a09,
    0xff90800c,
    0xffd49d25,
    0xffbc710a,
    0xffc67e21,
    0xffaa7015,
    0xff9d6f00,
    0xff8a5c02,
    0xff956c02,
    0xffbc8a2e,
    0xff986919,
    0xff815b06,
    0xff8e5c00,
    0xffb2720f,
    0xff986004,
    0xff967317,
    0xffbc8d24,
    0xffa1760d,
    0xffa58521,
    0xff665009,
    0xff605411,
    0xff655821,
    0xff71583b,
    0xff6a4542,
    0xff753334,
    0xff5b1800,
    0xff6a2e1c,
    0xff4f1e23,
    0xff4b1f1e,
    0xff593329,
    0xff3f221f,
    0xff2a1e1e,
    0xff505f6c,
    0xff102226,
    0xff13252c,
    0xff00061d,
    0xff323f68,
    0xff738fb9,
    0xff273e52,
    0xff2d2e1c,
    0xff6c6618,
    0xff7c7e28,
    0xff525313,
    0xff21351a,
    0xff142510,
    0xff3a2f03,
    0xff7f741d,
    0xff8e7724,
    0xff705b18,
    0xff918129,
    0xff7b6d0b,
    0xff6e5912,
    0xff7b5e3f,
    0xff715342,
    0xff573f0e,
    0xff806e1c,
    0xff71580c,
    0xff846404,
    0xffbf952c,
    0xffd8aa3a,
    0xffd4a62f,
    0xffe4b935,
    0xffe0b723,
    0xffdbb52b,
    0xffdbb926,
    0xffebc432,
    0xfff3c428,
    0xffffce50,
    0xff6d3b13,
    0xff664d1a,
    0xff4b4319,
    0xff473a49,
    0xff180e06,
    0xff110700,
    0xff2c1e06,
    0xff140e00,
    0xff000a00,
    0xff252209,
    0xff573f1e,
    0xff524122,
    0xff423d21,
    0xff45310a,
    0xff876c30,
    0xff806a28,
    0xff403c14,
    0xff001305,
    0xff071509,
    0xff725434,
    0xff790203,
    0xff9a020c,
    0xffae000a,
    0xffa30309,
    0xff9d060e,
    0xffa40203,
    0xffa62318,
    0xff885145,
    0xff616163,
    0xff5f5a70,
    0xff535183,
    0xff354079,
    0xff222047,
    0xff5b4755,
    0xff58585f,
    0xff123b4a,
    0xff193d5a,
    0xff3a5762,
    0xff664a51,
    0xffb77482,
    0xffc5adb8,
    0xff625d71,
    0xff614a69,
    0xff59435f,
    0xff51425a,
    0xff444352,
    0xff3c3339,
    0xff591d23,
    0xff991621,
    0xffbf1324,
    0xffa60414,
    0xff82000b,
    0xff720004,
    0xff6e0504,
    0xff670404,
    0xff810713,
    0xff831326,
    0xff8c4756,
    0xffd7a6b6,
    0xff816a74,
    0xff563944,
    0xff3e2b32,
    0xff3d3638,
    0xff747675,
    0xff8a918a,
    0xff889289,
    0xff707d74,
    0xff6f7e75,
    0xff798181,
    0xff738682,
    0xff738780,
    0xff7b8785,
    0xff8a9193,
    0xff828c86,
    0xff9a998c,
    0xffab9783,
    0xffc98d63,
    0xffd8795f,
    0xffbd3d33,
    0xffc6322e,
    0xffc23129,
    0xffb73a2d,
    0xffbe6954,
    0xff9d6e53,
    0xff7a7050,
    0xff796b56,
    0xff9d7772,
    0xff77091b,
    0xff830008,
    0xff770101,
    0xff800208,
    0xff810009,
    0xff820403,
    0xff800106,
    0xff7c020c,
    0xff800013,
    0xff7e0012,
    0xffb34758,
    0xffd87d89,
    0xff690008,
    0xff7f0906,
    0xff860709,
    0xff8b0607,
    0xff880300,
    0xff8f0101,
    0xff8d090a,
    0xffac5653,
    0xff896c62,
    0xff73797e,
    0xff553328,
    0xffa64441,
    0xffa41f1f,
    0xffad252b,
    0xffc12e3d,
    0xffc12620,
    0xffc53421,
    0xffae4334,
    0xffb79662,
    0xff748359,
    0xff858e61,
    0xff8b7e47,
    0xffa19581,
    0xff485a68,
    0xff1f4c69,
    0xff25474e,
    0xff557271,
    0xff5e7e82,
    0xff21424d,
    0xff4d5d65,
    0xff988f84,
    0xffaa9981,
    0xff97957d,
    0xff8aa091,
    0xff6d7b80,
    0xff3b4f66,
    0xff69889c,
    0xff253f46,
    0xff6d7c85,
    0xff43556f,
    0xff314f78,
    0xff27628b,
    0xff194a6d,
    0xff495578,
    0xff756e83,
    0xff888176,
    0xff8b7352,
    0xffb08c74,
    0xff8a7973,
    0xff6f797d,
    0xff53667b,
    0xff424354,
    0xff4f4b6d,
    0xff3e507f,
    0xff152142,
    0xff82758d,
    0xff817f86,
    0xff384e76,
    0xff172f52,
    0xff59667a,
    0xff707b9c,
    0xff233d82,
    0xff001c6d,
    0xff112f73,
    0xff002a60,
    0xff13306d,
    0xff0d3376,
    0xff073882,
    0xff24549d,
    0xff113777,
    0xff1a356a,
    0xff516793,
    0xff3e5279,
    0xff8b9eb2,
    0xff747f8f,
    0xff2b3a60,
    0xff6f7d85,
    0xff91856a,
    0xffa99c8c,
    0xff6c776f,
    0xff6b7a85,
    0xff58586f,
    0xff625f55,
    0xff86866d,
    0xff818b65,
    0xff919289,
    0xff867882,
    0xff787364,
    0xff7c7f85,
    0xff52594d,
    0xffafac9a,
    0xffb2a390,
    0xff91847a,
    0xff868185,
    0xff5c5f6f,
    0xff6a6b7d,
    0xff858491,
    0xff607086,
    0xff4d6582,
    0xff768093,
    0xff84878d,
    0xff828a93,
    0xff8e919e,
    0xff9999b3,
    0xffbecbf6,
    0xffa6b8db,
    0xffd1e4ff,
    0xffcee1ff,
    0xffcfdff9,
    0xffceddf5,
    0xffd0dff5,
    0xffccddf8,
    0xffc6dafa,
    0xffc5e0fb,
    0xffc4dff8,
    0xffc6def5,
    0xffc9def3,
    0xffc9def1,
    0xffcadff4,
    0xffcae0f8,
    0xffc6def5,
    0xffc6def6,
    0xffc6def6,
    0xffc4dcf4,
    0xffc6def6,
    0xffc6def6,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc4dcf6,
    0xffc5ddf7,
    0xffc3dbf5,
    0xffc5dcf7,
    0xffc5dcf7,
    0xffc5ddf7,
    0xffc5dcf7,
    0xffc4dcf6,
    0xffc4dcf6,
    0xffc3dbf6,
    0xffc3dbf6,
    0xffc4dcf6,
    0xffc3dbf5,
    0xffc5ddf7,
    0xffc5ddf7,
    0xffc2daf4,
    0xffc2ddf6,
    0xffc2dcf5,
    0xffc1dbf5,
    0xffc1dbf5,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc2ddf6,
    0xffc2dcf5,
    0xffc3dcf7,
    0xffc3ddf9,
    0xffc3ddf8,
    0xffc0daf5,
    0xffc0dcf4,
    0xffc0dbf4,
    0xffbfddf5,
    0xffbfddf5,
    0xffc1dbf6,
    0xffc0dbf5,
    0xffc0dbf5,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0dbf2,
    0xffc1dbf3,
    0xffc0dbf0,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffbfd9f2,
    0xffc0dbf4,
    0xffc2d9f4,
    0xffc2d9f1,
    0xffc2d9f1,
    0xffbfd9f2,
    0xffc0dbf4,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc0dbf4,
    0xffc0dbf4,
    0xffc0dbf4,
    0xffc0dbf4,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf1,
    0xffc0daf4,
    0xffbfd9f1,
    0xffbed8f3,
    0xffbfdaf4,
    0xffc0d9f7,
    0xffc0d9f8,
    0xffbfd8f8,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffc0d9f6,
    0xffbfd8f6,
    0xffc0d9f6,
    0xffbed7f5,
    0xffc0d9f7,
    0xffbfd8f7,
    0xffc0d9f7,
    0xffbed7f5,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbfd8f5,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed6f4,
    0xffbed6f5,
    0xffbbd7f2,
    0xffbbd6f4,
    0xffbdd6f6,
    0xffc1d9f8,
    0xffbcd3f2,
    0xffbdd4f0,
    0xffbfd6f0,
    0xffb9d1e7,
    0xffbdd5ed,
    0xffbdd3ea,
    0xffc0d2e9,
    0xffc2d4ed,
    0xffbfd6f2,
    0xffc0d5f2,
    0xffcadff9,
    0xffceddf7,
    0xffc8dbfa,
    0xffc6d8f4,
    0xffd2e2f6,
    0xffe5f4fe,
    0xffd7e4f0,
    0xffc6d3e1,
    0xffccd7eb,
    0xffd2dcf3,
    0xffbcd1e8,
    0xffcadef3,
    0xffc4d6e7,
    0xffcbdae8,
    0xfff5ffff,
    0xfffaffff,
    0xfffafbff,
    0xfffcfbff,
    0xfff6feff,
    0xffe5eff8,
    0xffdbe7f5,
    0xffe4f2ff,
    0xffd5e6fc,
    0xffc2d4f0,
    0xffbcd1f0,
    0xffbfd5f6,
    0xffb8d0f1,
    0xffb9d1f5,
    0xffbad3f8,
    0xffb7d3f8,
    0xffb7d3f8,
    0xffb8d5f6,
    0xffb7d4f4,
    0xffb6d3f3,
    0xffb6d4f6,
    0xffb6d4f6,
    0xffb5d3f5,
    0xffb6d4f6,
    0xffb1d2f3,
    0xffb1d2f6,
    0xffb2d3f6,
    0xffb2d4f7,
    0xffb3d4f5,
    0xffb3d4f4,
    0xffb1d2f6,
    0xffb2d3f6,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb0d1f5,
    0xffb0d1f4,
    0xffb2cff6,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb1cff5,
    0xffb2d0f6,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef4,
    0xffafcdf3,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef3,
    0xffb0ccf5,
    0xffb0cdf5,
    0xffaecbf3,
    0xffafccf4,
    0xffacccf6,
    0xffacccf3,
    0xffadcdf4,
    0xffadcdf4,
    0xffadcdf4,
    0xffadcef3,
    0xffadcef4,
    0xffadcdf3,
    0xffabcbf1,
    0xffacccf2,
    0xffadcdf2,
    0xffadcdf2,
    0xffadcdf2,
    0xffadcdf2,
    0xffabcbf1,
    0xffa9c9ef,
    0xffabcbf2,
    0xffabcbf2,
    0xffabcbf2,
    0xffabcbf2,
    0xffa9c9ef,
    0xffabcbf5,
    0xffacccf5,
    0xffadcdf6,
    0xffa9c9f1,
    0xffa9c9f2,
    0xffa9c9f2,
    0xffaacaf2,
    0xffaacbf3,
    0xffaacbf3,
    0xffa8c8f1,
    0xffa7c7f0,
    0xffa9c9f1,
    0xffa8c8f0,
    0xffa9c9f1,
    0xffa7c6f3,
    0xffa6c5f1,
    0xffaac9f4,
    0xffaac8f4,
    0xffa8c7f4,
    0xffabc9eb,
    0xffaac6f2,
    0xffaac9fc,
    0xffa2c2ee,
    0xff88acc5,
    0xff99c0cc,
    0xff8fb9ca,
    0xffa8d0ec,
    0xffb1dcff,
    0xff8fbacc,
    0xff76a3a0,
    0xff6f9a95,
    0xff6d9893,
    0xff8fbda4,
    0xff76a767,
    0xff58892e,
    0xff638c44,
    0xff6d9742,
    0xff689341,
    0xff638d44,
    0xff3d691b,
    0xff578239,
    0xff6f9b58,
    0xff6c9849,
    0xff7aac4e,
    0xff6d9c4e,
    0xff5e8e46,
    0xff588945,
    0xff2f5a3a,
    0xff183d43,
    0xff3d645b,
    0xff5c8b56,
    0xff194e21,
    0xff50825c,
    0xff457440,
    0xff4d773e,
    0xff52744f,
    0xff0a270b,
    0xff001900,
    0xff051d14,
    0xff082014,
    0xff051b16,
    0xff031b0d,
    0xff18351d,
    0xff062913,
    0xff0d342d,
    0xff08312a,
    0xff0f3b27,
    0xff20452b,
    0xff20412e,
    0xff14331a,
    0xff153418,
    0xff0b2a1d,
    0xff0a2623,
    0xff0a2012,
    0xff2e4124,
    0xff123019,
    0xff4b623f,
    0xff6f895d,
    0xff83a0a2,
    0xff6f929c,
    0xff507a52,
    0xff548148,
    0xff487a44,
    0xff588049,
    0xff457133,
    0xff3a6e3a,
    0xff468075,
    0xff396f95,
    0xff85b9f8,
    0xff5387bd,
    0xffa4d9f9,
    0xff377876,
    0xff3a6c79,
    0xff346989,
    0xff17588d,
    0xff82b3e7,
    0xff112734,
    0xff001013,
    0xff5281b1,
    0xff4e7fc1,
    0xff436da8,
    0xff0c335f,
    0xff00233d,
    0xff001e30,
    0xff063651,
    0xff225386,
    0xff4a77ba,
    0xff1a4748,
    0xff174032,
    0xff3a5e36,
    0xff5f7d3c,
    0xff4b5e21,
    0xff2a3614,
    0xff131e0f,
    0xff17271a,
    0xff04180c,
    0xff0d1a22,
    0xff111b2d,
    0xff041018,
    0xff061c17,
    0xff00140d,
    0xff00161a,
    0xff0c1e34,
    0xff243841,
    0xff00191f,
    0xff124044,
    0xff001716,
    0xff001723,
    0xff013155,
    0xff619dc8,
    0xff3f6780,
    0xff254450,
    0xff00112b,
    0xff274b43,
    0xff5b7743,
    0xff454e37,
    0xff342a2a,
    0xff43390b,
    0xff7f7142,
    0xff835833,
    0xffc59624,
    0xffd09513,
    0xffa96c00,
    0xffa56e15,
    0xff693c00,
    0xff9e7503,
    0xff966b09,
    0xff8f6d0c,
    0xffac8126,
    0xff8c5a16,
    0xff97640a,
    0xffb78122,
    0xffc79132,
    0xff8d6a0f,
    0xff817018,
    0xffaa7d11,
    0xff926504,
    0xff8f6b09,
    0xff896c0d,
    0xff8b6f12,
    0xff79550b,
    0xff602f04,
    0xff7d3f2e,
    0xff792e26,
    0xff6c2401,
    0xff6a2201,
    0xff5d160a,
    0xff5d1e13,
    0xff652e22,
    0xff532721,
    0xff513529,
    0xff6b605b,
    0xff503942,
    0xff533d49,
    0xff695450,
    0xff5d413d,
    0xff3c2c4a,
    0xff77738a,
    0xff725e41,
    0xff998540,
    0xff7b721d,
    0xff6c620d,
    0xff515c1a,
    0xff878c60,
    0xff826d2e,
    0xff927f20,
    0xff886d0e,
    0xff836f0a,
    0xff716000,
    0xff7d6a0b,
    0xff664700,
    0xff6d4410,
    0xff7b512d,
    0xff5f451c,
    0xff3e3201,
    0xff7e5f1b,
    0xffdbb04d,
    0xffefc055,
    0xfff0c55e,
    0xfff2c760,
    0xffffd45b,
    0xfffed551,
    0xfffcd65b,
    0xffdfb33f,
    0xffe7c546,
    0xffe4ba3b,
    0xffd49125,
    0xff9e5412,
    0xff773c25,
    0xff2d0303,
    0xff350d04,
    0xff663b25,
    0xff8c6d40,
    0xff897534,
    0xff47442b,
    0xff000800,
    0xff8e9261,
    0xff463619,
    0xff2f2811,
    0xff101500,
    0xff2f3713,
    0xff423d19,
    0xff49330f,
    0xff403815,
    0xff051615,
    0xff1f2432,
    0xff694e3c,
    0xff660304,
    0xff8a030e,
    0xffa9000a,
    0xffab000a,
    0xffa6020e,
    0xffad0302,
    0xffb83222,
    0xffa26556,
    0xff64504b,
    0xff715c64,
    0xff433c53,
    0xff17243d,
    0xff454750,
    0xff907772,
    0xff746161,
    0xff47525f,
    0xff404b6a,
    0xff405b65,
    0xff8b8083,
    0xffc9a4a9,
    0xff989397,
    0xff585265,
    0xff5f4a67,
    0xff50435f,
    0xff50445b,
    0xff474452,
    0xff4c363e,
    0xff751d28,
    0xffb11625,
    0xffc30d1f,
    0xffae0819,
    0xff840009,
    0xff750109,
    0xff790004,
    0xff710001,
    0xff7b020e,
    0xff731225,
    0xff9f7785,
    0xffb19baa,
    0xff584555,
    0xff472b35,
    0xff402d31,
    0xff544e4c,
    0xff80847f,
    0xff7f8a82,
    0xff7f8e85,
    0xff7b8f82,
    0xff7f9788,
    0xff8c9591,
    0xff7c9088,
    0xff6c847e,
    0xff6b7976,
    0xff65726d,
    0xff68796a,
    0xff78856f,
    0xff808366,
    0xffa09d6b,
    0xffa28160,
    0xffa94f45,
    0xffcb343d,
    0xffd42f35,
    0xffbb4138,
    0xffb07861,
    0xff897e62,
    0xff76715e,
    0xff817972,
    0xff675159,
    0xff731d33,
    0xff760010,
    0xff70070a,
    0xff76050e,
    0xff7a0012,
    0xff7d0209,
    0xff7b010b,
    0xff7f0514,
    0xff8b031b,
    0xff980324,
    0xff7a000c,
    0xff7b010f,
    0xff7f000b,
    0xff800208,
    0xff8f020c,
    0xff920109,
    0xff940207,
    0xff900001,
    0xff910007,
    0xff770004,
    0xff9d4b49,
    0xff4e3c3f,
    0xff848884,
    0xff543547,
    0xff913f48,
    0xff96222b,
    0xffae1f27,
    0xffc02b18,
    0xffbc3d26,
    0xff7b4533,
    0xff80745c,
    0xff596761,
    0xff48544b,
    0xff7a7771,
    0xff545364,
    0xff3f5272,
    0xff0d2d68,
    0xff2e4874,
    0xff536883,
    0xff445c6f,
    0xff28435f,
    0xff2e3956,
    0xff6b6070,
    0xff605351,
    0xff999a90,
    0xff6c867c,
    0xff5b6757,
    0xffa7aa96,
    0xff5d695e,
    0xff354c5a,
    0xff2a4167,
    0xff193763,
    0xff093864,
    0xff185079,
    0xff205878,
    0xff456989,
    0xff526986,
    0xff596f70,
    0xffa49984,
    0xffb9987d,
    0xff8b785d,
    0xff80807a,
    0xff706e79,
    0xff9a968a,
    0xff797066,
    0xff736a6e,
    0xff898381,
    0xff40414c,
    0xff4c4f64,
    0xff61567b,
    0xff72799a,
    0xff4a5e72,
    0xff435f7b,
    0xff264984,
    0xff293f7b,
    0xff51527a,
    0xff7f8099,
    0xff667287,
    0xff43526a,
    0xff233758,
    0xff113460,
    0xff2f6199,
    0xff033b76,
    0xff003166,
    0xff285582,
    0xff3d5e74,
    0xff517083,
    0xff5078b3,
    0xff062655,
    0xff797b82,
    0xff767469,
    0xff949c85,
    0xff8d8983,
    0xff8b8c99,
    0xff858579,
    0xffa1a084,
    0xff999b7e,
    0xff898082,
    0xffa49195,
    0xffb3a990,
    0xff6d7060,
    0xff3c545a,
    0xff2d3c43,
    0xff86858b,
    0xff776367,
    0xffa98f8c,
    0xffab978f,
    0xff8e8880,
    0xff757c79,
    0xff4f5b84,
    0xff5a6c94,
    0xff5b6780,
    0xff66778a,
    0xff375b7b,
    0xff456c8e,
    0xff475d7e,
    0xff667ca2,
    0xff4b6a8d,
    0xff748ca6,
    0xffadbed0,
    0xff6a7d94,
    0xffd2ebff,
    0xffa5c0e5,
    0xffd6e8ff,
    0xffd2def9,
    0xffcbe5ff,
    0xffc4def8,
    0xffc7def6,
    0xffcee3f8,
    0xffcbdcf3,
    0xffcde2f6,
    0xffcadff3,
    0xffcbe1f6,
    0xffc7e0f8,
    0xffc5ddf5,
    0xffc7dff7,
    0xffc7dff7,
    0xffc7dff7,
    0xffc7dff7,
    0xffc7dff7,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf4,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc4dbf3,
    0xffc4dcf3,
    0xffc4dcf3,
    0xffc4dbf3,
    0xffc4dcf3,
    0xffc4dbf3,
    0xffc3dcf3,
    0xffc0dcf2,
    0xffc2def5,
    0xffc1ddf5,
    0xffc1dcf7,
    0xffc1dcf8,
    0xffbddaf8,
    0xffbfdcf9,
    0xffbfddfa,
    0xffc5ddfc,
    0xffbed7f5,
    0xffc0d9f7,
    0xffc4ddfa,
    0xffc1dcf9,
    0xffc1dcf9,
    0xffc0dbf7,
    0xffbfdaf6,
    0xffc2dcf5,
    0xffc2ddf6,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc1d9f3,
    0xffc1d9f3,
    0xffc2daf4,
    0xffc3dbf5,
    0xffc2d9f4,
    0xffc2d9f3,
    0xffc2daf4,
    0xffc2daf4,
    0xffc0d8f2,
    0xffc1d9f3,
    0xffc1d9f3,
    0xffc2daf4,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffbfd9f2,
    0xffbfd9f2,
    0xffbfd9f2,
    0xffc1dbf4,
    0xffc0daf3,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf3,
    0xffc1dbf1,
    0xffc0daf3,
    0xffbfd9f4,
    0xffc3ddf8,
    0xffc3dbfa,
    0xffc2dbf9,
    0xffc1dafa,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1daf8,
    0xffc1d9f8,
    0xffc1daf8,
    0xffbfd9f4,
    0xffc1dbf6,
    0xffc1daf8,
    0xffc0d9f8,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd8f7,
    0xffbfd8f7,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbed7f5,
    0xffbfd8f6,
    0xffbed7f5,
    0xffbdd6f4,
    0xffbdd7f4,
    0xffbadaf8,
    0xffbbd7f6,
    0xffbdd5f4,
    0xffc1d4f2,
    0xffc2d1e9,
    0xffdeebff,
    0xffcfdce8,
    0xffe8f6fe,
    0xffc7d3dc,
    0xffdae4ef,
    0xffeaf3fc,
    0xffe2edfe,
    0xffc8daf2,
    0xffc4daf5,
    0xffcce0fa,
    0xffdcedff,
    0xffd2dcf5,
    0xffdde6f8,
    0xffedf5fe,
    0xfffaffff,
    0xfffeffff,
    0xfffdffff,
    0xffffffff,
    0xffffffff,
    0xfff8fdff,
    0xfffbffff,
    0xfffcffff,
    0xfffafcff,
    0xfffefffe,
    0xfffefefe,
    0xfffffefe,
    0xfffffffd,
    0xfffefffb,
    0xfffefffe,
    0xfffafeff,
    0xfff5fdff,
    0xffd4ddeb,
    0xffc5d1e0,
    0xffd2dff3,
    0xffc9d8ef,
    0xffc5d8f3,
    0xffc1d6f4,
    0xffbbd3f5,
    0xffbad3f9,
    0xffb7d3f9,
    0xffb9d5f9,
    0xffb8d5f5,
    0xffbbd6f3,
    0xffb6d3f3,
    0xffb6d4f3,
    0xffb7d4f6,
    0xffb5d3f5,
    0xffb4d2f4,
    0xffb4d2f3,
    0xffb4d2f6,
    0xffb5d2f7,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb3d4f4,
    0xffb3d4f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb2d3f4,
    0xffb3d4f5,
    0xffaecff4,
    0xffaecef5,
    0xffaed0f2,
    0xffafd0f3,
    0xffaed0f2,
    0xffb0d1f4,
    0xffb1d2f5,
    0xffb0d2f4,
    0xffb0cef4,
    0xffb1cff5,
    0xffafcdf3,
    0xffaeccf2,
    0xffb0cef3,
    0xffb0cdf5,
    0xffb1cef6,
    0xffb2cff7,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb0ccf4,
    0xffafcbf4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffadcdf3,
    0xffaacaf0,
    0xffadcdf3,
    0xffadcdf4,
    0xffacccf3,
    0xffaacaf1,
    0xffacccf2,
    0xffacccf6,
    0xffadcdf6,
    0xffa8c8f2,
    0xffabcbf4,
    0xffacccf5,
    0xffaacaf3,
    0xffaacaf3,
    0xffaacaf3,
    0xffaacaf3,
    0xffa8c8f2,
    0xffa8c8f2,
    0xffaacaf3,
    0xffaacaf3,
    0xffaacaf3,
    0xffa9caf2,
    0xffa8c6f3,
    0xffa8c6f3,
    0xffa9c8f5,
    0xffaac6f0,
    0xffaac6f8,
    0xffaac7f9,
    0xffb2d4f1,
    0xff5f8783,
    0xff4b765c,
    0xff3c694b,
    0xff335f47,
    0xff3f7658,
    0xff699b7b,
    0xff35603c,
    0xff467449,
    0xff3b6d3e,
    0xff255824,
    0xff437538,
    0xff5a883e,
    0xff679036,
    0xff739b3d,
    0xff61883d,
    0xff5b8439,
    0xff67952d,
    0xff6b9833,
    0xff7fa858,
    0xff648e37,
    0xff59802a,
    0xff5a832e,
    0xff648e3a,
    0xff5f8a3c,
    0xff537a41,
    0xff587d56,
    0xff33553b,
    0xff4a6d50,
    0xff477736,
    0xff437339,
    0xff2c5a1c,
    0xff376525,
    0xff2c5526,
    0xff285028,
    0xff0f3713,
    0xff0d3320,
    0xff06271b,
    0xff132c2c,
    0xff071c1d,
    0xff0a2616,
    0xff1c3f25,
    0xff284a38,
    0xff264337,
    0xff183422,
    0xff1f3e2a,
    0xff001d11,
    0xff00140f,
    0xff091f15,
    0xff04180c,
    0xff051103,
    0xff1d2108,
    0xff72763e,
    0xff272f08,
    0xff23451c,
    0xff35693c,
    0xff477464,
    0xff4c6f56,
    0xff4e733e,
    0xff22421c,
    0xff385135,
    0xff2c4325,
    0xff143411,
    0xff1e4727,
    0xff1d4f40,
    0xff477c86,
    0xff306480,
    0xff4a7b9a,
    0xff6597b0,
    0xff21604f,
    0xff144253,
    0xff6a99cc,
    0xff4586bc,
    0xff1f5373,
    0xff0d262a,
    0xff000f19,
    0xff3b6895,
    0xff5e8cc1,
    0xff123a57,
    0xff022122,
    0xff012218,
    0xff072723,
    0xff042631,
    0xff00192c,
    0xff001929,
    0xff012412,
    0xff21412e,
    0xff223f25,
    0xff3b4f2e,
    0xff2f3922,
    0xff2b3231,
    0xff1c2b2e,
    0xff122925,
    0xff15291e,
    0xff0f2222,
    0xff1f3340,
    0xff20323e,
    0xff162729,
    0xff132429,
    0xff102137,
    0xff273e58,
    0xff000916,
    0xff001720,
    0xff072740,
    0xff23456e,
    0xff183163,
    0xff3f659e,
    0xff194972,
    0xff5a797f,
    0xff4d6272,
    0xff5070ab,
    0xff4f8498,
    0xff26524d,
    0xff484d58,
    0xff927666,
    0xffc39a59,
    0xffbb8f28,
    0xffca882c,
    0xffbd8314,
    0xffa67107,
    0xffa16f0b,
    0xffa06f13,
    0xffb98823,
    0xffb48818,
    0xff895b03,
    0xff865f0a,
    0xff7d5800,
    0xffa07311,
    0xff935f03,
    0xff885f09,
    0xff675503,
    0xff463b00,
    0xff635400,
    0xffb1831b,
    0xff9e7011,
    0xff885b00,
    0xffb78c2c,
    0xff916005,
    0xff7f4b00,
    0xffac713b,
    0xff763b13,
    0xff531b00,
    0xff925e13,
    0xffbd8536,
    0xff975615,
    0xffa26329,
    0xff5f2400,
    0xff69311a,
    0xff7c472d,
    0xff603003,
    0xff8c5436,
    0xff6e3919,
    0xffaf7433,
    0xffb16c1c,
    0xffa37449,
    0xff3d2a11,
    0xff6b5b24,
    0xff797531,
    0xff555113,
    0xff877a33,
    0xff6e711d,
    0xff767526,
    0xff9f8931,
    0xff8e800f,
    0xff6e5d00,
    0xff7d6a0c,
    0xff7d6d16,
    0xff705e14,
    0xff866927,
    0xff694206,
    0xff5a3908,
    0xff3e2f0a,
    0xff1d1e05,
    0xff4a3a00,
    0xff957a1d,
    0xff735800,
    0xff574905,
    0xff2b2000,
    0xff594700,
    0xff5b4700,
    0xff423200,
    0xff583008,
    0xff3e2800,
    0xff4a3e00,
    0xff795f16,
    0xff8f661e,
    0xff623100,
    0xff803c12,
    0xffae572a,
    0xff591b00,
    0xff6d5828,
    0xff2e2a00,
    0xff1b1307,
    0xff0b0a03,
    0xff1c1d04,
    0xff2e2611,
    0xff30300d,
    0xff444b14,
    0xff395315,
    0xff172916,
    0xff313537,
    0xff071c0d,
    0xff233d4c,
    0xff6a637c,
    0xff764b2a,
    0xff5b0303,
    0xff72020a,
    0xff900002,
    0xffb70e19,
    0xffbe101d,
    0xffae0400,
    0xffb2311b,
    0xffac6c57,
    0xffa18770,
    0xff89776b,
    0xff666455,
    0xff819077,
    0xff86a18f,
    0xff586a70,
    0xff535062,
    0xff99858f,
    0xff797c73,
    0xff112732,
    0xff474263,
    0xffcec3d5,
    0xff74757c,
    0xff594b62,
    0xff55455d,
    0xff4a474d,
    0xff454050,
    0xff4d4051,
    0xff58293a,
    0xff86192d,
    0xffbc1126,
    0xffc40416,
    0xffba0c1d,
    0xff9c0716,
    0xff8b000c,
    0xff98000b,
    0xff8f0d13,
    0xff72010e,
    0xff732537,
    0xffbb9dad,
    0xff725c6d,
    0xff4f3344,
    0xff452933,
    0xff453536,
    0xff78756f,
    0xff848a80,
    0xff828c85,
    0xff808d84,
    0xff7f9285,
    0xff829984,
    0xff83907c,
    0xff788c78,
    0xff7b917c,
    0xff83917e,
    0xff839177,
    0xff7d946f,
    0xff839568,
    0xff919163,
    0xffbb9977,
    0xffac886f,
    0xff692720,
    0xffd35d64,
    0xffb42f32,
    0xffa03f36,
    0xff926e5c,
    0xff777a67,
    0xff838b79,
    0xff7b7978,
    0xff5b545c,
    0xff561729,
    0xff720312,
    0xff700204,
    0xff81070e,
    0xff7e000e,
    0xff810016,
    0xff840014,
    0xff800013,
    0xff87011c,
    0xff8c011f,
    0xff8f001c,
    0xffcf3f57,
    0xff970c1b,
    0xff82000d,
    0xff910012,
    0xff960010,
    0xff920009,
    0xff94030c,
    0xff930009,
    0xff98010c,
    0xff8b0004,
    0xffa96067,
    0xff52596a,
    0xff253a6d,
    0xff62445c,
    0xff792123,
    0xffa01a1a,
    0xffb73119,
    0xffa24742,
    0xff49443d,
    0xff505957,
    0xff404953,
    0xff7b8075,
    0xff8b8e73,
    0xff71796c,
    0xff21383e,
    0xff2f477a,
    0xff395983,
    0xff2c466d,
    0xff55698c,
    0xff4f5f7b,
    0xff596473,
    0xff7f8991,
    0xff435c69,
    0xff29516c,
    0xff224560,
    0xff667d84,
    0xff838474,
    0xffada194,
    0xff84766e,
    0xff918473,
    0xff71706a,
    0xff4e6c84,
    0xff26587e,
    0xff1f5071,
    0xff204970,
    0xff194072,
    0xff0d2f5c,
    0xff4e5e78,
    0xff697379,
    0xff809c99,
    0xff69828a,
    0xff45526b,
    0xff666e6b,
    0xff857d71,
    0xffbaa094,
    0xffb79f84,
    0xffa69884,
    0xff938d80,
    0xff878461,
    0xff6e6b76,
    0xff5f6193,
    0xff0f295b,
    0xff1a3b61,
    0xff676572,
    0xff89736a,
    0xff9e9d92,
    0xff627675,
    0xff838582,
    0xff9f9392,
    0xff767d90,
    0xff275079,
    0xff2d6299,
    0xff1a4175,
    0xff30426b,
    0xff0c3459,
    0xff3a5f7b,
    0xff0f2953,
    0xff3c4173,
    0xff65608a,
    0xff4f567d,
    0xff394f70,
    0xff1b305a,
    0xff1a3c6e,
    0xff444b6b,
    0xffb6a8a6,
    0xff7c6d64,
    0xff72676c,
    0xff47403d,
    0xff9ca094,
    0xff818f89,
    0xffa4aea2,
    0xffa7ae9d,
    0xff767661,
    0xff6b6f5d,
    0xff7e867f,
    0xff67737e,
    0xff666e8f,
    0xff5a5e89,
    0xff65647e,
    0xff4e5161,
    0xff949899,
    0xff5d6b7d,
    0xff1b447c,
    0xff204e8c,
    0xff46668e,
    0xff4c6b81,
    0xff2f566d,
    0xff516f7d,
    0xff8ba6b0,
    0xff5c7d90,
    0xff6a95bb,
    0xff4974a1,
    0xff5c7ba0,
    0xffd0e5fd,
    0xffa5c0db,
    0xffd1edff,
    0xffd3edff,
    0xffc3defb,
    0xffc6dffc,
    0xffc8e1fa,
    0xffc8def2,
    0xffc9ddf1,
    0xffc7dff6,
    0xffc7dff7,
    0xffc5ddf5,
    0xffc6def6,
    0xffc7dff7,
    0xffc6def6,
    0xffc7dff7,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc4dcf4,
    0xffc2daf2,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc2def2,
    0xffbfdbf0,
    0xffc3ddf4,
    0xffc1dbf2,
    0xffc5def7,
    0xffc7dff9,
    0xffc7ddf8,
    0xffc4daf4,
    0xffc5d7ef,
    0xffc6dbf1,
    0xffc8dbf5,
    0xffc3d8f4,
    0xffc5ddf8,
    0xffc3dcf7,
    0xffc2dbf9,
    0xffc3ddf9,
    0xffc5dcf4,
    0xffc1d9f0,
    0xffc3dbf3,
    0xffc4dbf6,
    0xffc4dcf6,
    0xffc3ddf5,
    0xffc1dbf7,
    0xffc1dcf7,
    0xffc2d9f3,
    0xffc1d9f3,
    0xffc1d9f3,
    0xffc0d8f2,
    0xffc2daf4,
    0xffc1d9f3,
    0xffc1d9f3,
    0xffc0d8f2,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc0daf3,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc0daf3,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf1,
    0xffc0daf3,
    0xffbfd9f2,
    0xffbfd9f1,
    0xffc0daf5,
    0xffc0daf4,
    0xffc0d9f7,
    0xffc0d9f6,
    0xffc1dbf6,
    0xffc1dbf5,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf6,
    0xffc1dbf5,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffbfd9f4,
    0xffbed8f3,
    0xffbfd9f4,
    0xffbed8f3,
    0xffbed8f5,
    0xffbed7f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffbfd8f6,
    0xffc0d7f6,
    0xffbfd6f5,
    0xffbed5f4,
    0xffc0d7f6,
    0xffb8d8f9,
    0xffbfdaf9,
    0xffbfd5ee,
    0xffcbdaec,
    0xffe3ebf8,
    0xfffcffff,
    0xfff3f6fa,
    0xffffffff,
    0xfffdffff,
    0xffffffff,
    0xffffffff,
    0xffedf1fb,
    0xffd3dff1,
    0xffcdddf4,
    0xffc7d8ee,
    0xffcedef2,
    0xffdae1ef,
    0xffe0e5ee,
    0xfffeffff,
    0xfffcfcfb,
    0xfffffffa,
    0xfffffffc,
    0xfffffefe,
    0xfffefcff,
    0xfffffefc,
    0xfffffcfa,
    0xfffffefa,
    0xfffffffb,
    0xfffefdf9,
    0xfffffdfb,
    0xfffdfdfb,
    0xfffefefa,
    0xfffefdf8,
    0xfffefef9,
    0xfffefefc,
    0xfffeffff,
    0xfffdffff,
    0xffeef4fb,
    0xffecf3fc,
    0xffe8edfb,
    0xffdce8fa,
    0xffc9d9ef,
    0xffc0d3ee,
    0xffb8d1f3,
    0xffb9d6f8,
    0xffb7d5f6,
    0xffb9d2f4,
    0xffb9d4f1,
    0xffbad4f5,
    0xffb9d3f4,
    0xffb9d3f3,
    0xffb8d3f6,
    0xffb9d6f8,
    0xffb8d5f7,
    0xffb8d5f7,
    0xffb9d6f7,
    0xffb1d3f6,
    0xffb1d3f6,
    0xffb2d4f4,
    0xffb2d4f4,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb2d4f5,
    0xffb3d4f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb1d2f5,
    0xffb2d3f6,
    0xffb1d2f6,
    0xffb0d1f2,
    0xffb0d1f1,
    0xffafcdf1,
    0xffb0cef2,
    0xffb1cff5,
    0xffb0cef4,
    0xffafcdf3,
    0xffafcef3,
    0xffb0cdf5,
    0xffb0cdf5,
    0xffb1cef6,
    0xffb1cef6,
    0xffb1cef6,
    0xffb0cef3,
    0xffaeccf2,
    0xffb0cef4,
    0xffb0cef4,
    0xffafcdf3,
    0xffadcef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffacccf2,
    0xffadcdf3,
    0xffadcdf3,
    0xffadcdf2,
    0xffabcbf3,
    0xffabcbf2,
    0xffabcbf2,
    0xffacccf2,
    0xffaacaf1,
    0xffaacaf1,
    0xffabcbf1,
    0xffaacaf1,
    0xffa8c8ef,
    0xffa9c9f0,
    0xffa9c9f0,
    0xffaacaf1,
    0xffaacaf1,
    0xffa9c9ef,
    0xffa9c9f0,
    0xffa9c9f0,
    0xffa9c9f3,
    0xffa8c8f1,
    0xffa8c8f1,
    0xffaacaf2,
    0xffabcaf6,
    0xffa8c9f2,
    0xffa9c8f7,
    0xffabc6f8,
    0xffaccaf0,
    0xffa4c4d9,
    0xff5d7e85,
    0xff4f7073,
    0xff25484b,
    0xff062e29,
    0xff1b3c34,
    0xff1b3823,
    0xff11330c,
    0xff2e592f,
    0xff1c4929,
    0xff2e5936,
    0xff375d33,
    0xff446f32,
    0xff59873a,
    0xff517e36,
    0xff5d8b41,
    0xff447224,
    0xff365f27,
    0xff436b39,
    0xff3a6619,
    0xff3f6822,
    0xff22480f,
    0xff365e2a,
    0xff29531a,
    0xff5a8746,
    0xff5c8943,
    0xff3a6621,
    0xff638e4a,
    0xff375d22,
    0xff45683b,
    0xff385e30,
    0xff406735,
    0xff3f6940,
    0xff1f4c21,
    0xff316133,
    0xff1e4e2e,
    0xff184326,
    0xff06261d,
    0xff152c29,
    0xff0b2513,
    0xff0e2f15,
    0xff05210c,
    0xff132717,
    0xff0b1605,
    0xff212d1c,
    0xff475c5a,
    0xff456274,
    0xff526870,
    0xff555b46,
    0xff8c846a,
    0xff645d3e,
    0xff555b2c,
    0xff383726,
    0xff263b26,
    0xff07270e,
    0xff132c20,
    0xff112b13,
    0xff0e340f,
    0xff0a2d1b,
    0xff082009,
    0xff122d20,
    0xff112f17,
    0xff1d3b28,
    0xff2c494b,
    0xff1b3e3b,
    0xff174229,
    0xff164729,
    0xff1b4f40,
    0xff1e4f3d,
    0xff305771,
    0xff305a99,
    0xff6197d2,
    0xff97c2e2,
    0xff000d16,
    0xff051b1f,
    0xff042538,
    0xff1b3f61,
    0xff113147,
    0xff0a2733,
    0xff001621,
    0xff021729,
    0xff0f2433,
    0xff061c24,
    0xff182c2b,
    0xff051b1d,
    0xff011421,
    0xff000d15,
    0xff172515,
    0xff252d10,
    0xff293320,
    0xff0e2018,
    0xff09241e,
    0xff061f21,
    0xff0c291e,
    0xff0d3024,
    0xff0c2c27,
    0xff0d2b20,
    0xff0e2a2d,
    0xff012039,
    0xff002344,
    0xff1d3a5c,
    0xff000c1a,
    0xff37526c,
    0xff002249,
    0xff05213c,
    0xff041f31,
    0xff001c20,
    0xff052204,
    0xff071f1b,
    0xff294c6e,
    0xff002526,
    0xff173d44,
    0xff313330,
    0xff927630,
    0xffb17f1b,
    0xffc78f16,
    0xffb98902,
    0xffaf8108,
    0xffa6790e,
    0xff9f6d0d,
    0xff955a08,
    0xffb77f2b,
    0xff98670f,
    0xff633800,
    0xff825803,
    0xff8d6c0d,
    0xff856805,
    0xff765800,
    0xff625103,
    0xff464600,
    0xff7d741c,
    0xff85650b,
    0xffa47417,
    0xff8e5d0d,
    0xff7b4b00,
    0xffa06f1f,
    0xff7c4a04,
    0xff673700,
    0xff63370b,
    0xff573109,
    0xff613e10,
    0xff7a5f0e,
    0xff967519,
    0xff91620c,
    0xff865704,
    0xff774b0f,
    0xff673116,
    0xff561500,
    0xffb67922,
    0xffce953d,
    0xff9d6312,
    0xffc57e26,
    0xffa55900,
    0xff814e0a,
    0xff503c18,
    0xff534b38,
    0xff636f5f,
    0xff32362f,
    0xff372e13,
    0xff5a5e27,
    0xff423e16,
    0xff5e4a20,
    0xff858027,
    0xff78761d,
    0xff928632,
    0xff574e00,
    0xff827720,
    0xff87751f,
    0xff836c17,
    0xff69580a,
    0xff59570e,
    0xff545f1b,
    0xff837d21,
    0xff7e6c0c,
    0xff7b731c,
    0xff2c3919,
    0xff596c55,
    0xff181d00,
    0xff414014,
    0xff424a23,
    0xff26340a,
    0xff253a03,
    0xff213700,
    0xff3b4302,
    0xff4e4114,
    0xff52290e,
    0xff772a19,
    0xffb64f30,
    0xff8b3f28,
    0xff3c2207,
    0xff4a4020,
    0xff4b3017,
    0xff371f0b,
    0xff321c10,
    0xff41281d,
    0xff715f2c,
    0xff897132,
    0xff556110,
    0xff3b4c1f,
    0xff181706,
    0xff3c3f1c,
    0xff393929,
    0xff5e4e3d,
    0xff7d6c17,
    0xff6d040e,
    0xff610002,
    0xff7c0000,
    0xffa8060e,
    0xffb90815,
    0xffb10801,
    0xffb9371d,
    0xffb96d57,
    0xff99866c,
    0xff7f7566,
    0xff867e6d,
    0xff707056,
    0xff435c54,
    0xff2e5571,
    0xff071d41,
    0xff66616f,
    0xff48555c,
    0xff051b37,
    0xff59587c,
    0xffb8b8c1,
    0xff5b5958,
    0xff5a435a,
    0xff463d58,
    0xff423f50,
    0xff433e4d,
    0xff453747,
    0xff552e3d,
    0xff75232e,
    0xffa6242b,
    0xffb00611,
    0xffc2111e,
    0xffc82031,
    0xffb61726,
    0xffba0d21,
    0xffc44a4d,
    0xff7a2a2c,
    0xff905665,
    0xffa08798,
    0xff584150,
    0xff4b323c,
    0xff3e2a2e,
    0xff665e59,
    0xff999b8c,
    0xff8d9384,
    0xff8a9288,
    0xff899189,
    0xff899484,
    0xff879380,
    0xff8d9b80,
    0xff839279,
    0xff7c8972,
    0xff8d9079,
    0xff8b9976,
    0xff8fa370,
    0xffa1ab72,
    0xffb29f6c,
    0xffb74c3b,
    0xffa83635,
    0xff96242d,
    0xff91292e,
    0xffb5675d,
    0xff896852,
    0xff787e6b,
    0xff5c7b6f,
    0xff4e705c,
    0xff363f43,
    0xff6c707d,
    0xff663c4d,
    0xff680c12,
    0xff731709,
    0xff6a0f03,
    0xff751812,
    0xff750c1b,
    0xff870118,
    0xff97021d,
    0xff8e061e,
    0xff880625,
    0xff8d0023,
    0xffaf173d,
    0xffaa1f39,
    0xff980a22,
    0xff84000e,
    0xff83030e,
    0xff84020c,
    0xff830309,
    0xff8c050e,
    0xff930009,
    0xffa2000c,
    0xff952c33,
    0xff705f73,
    0xff07154c,
    0xff2e2c31,
    0xffa27763,
    0xff9a332a,
    0xffae4427,
    0xff783a3d,
    0xff403a45,
    0xff414445,
    0xff6a6c78,
    0xff7a7e6e,
    0xff7f7f51,
    0xffa39d7b,
    0xff9e9e8c,
    0xff4a565d,
    0xff2b626b,
    0xff00254a,
    0xff1f4178,
    0xff3b496e,
    0xff3c424b,
    0xff52636b,
    0xff1e385e,
    0xff0e2e74,
    0xff113269,
    0xff133863,
    0xff697796,
    0xff5a5a67,
    0xff736a61,
    0xffd7c296,
    0xffbfab83,
    0xff71817f,
    0xff254b69,
    0xff203d5c,
    0xff365882,
    0xff315b93,
    0xff10306e,
    0xff234174,
    0xff2b5a80,
    0xff0c496a,
    0xff124466,
    0xff103a68,
    0xff576c7d,
    0xff8c8a98,
    0xff70696f,
    0xff8e7d66,
    0xffa9926f,
    0xffb09f74,
    0xffa2a87a,
    0xff72747b,
    0xff44436d,
    0xff5f6c8a,
    0xff6d7f81,
    0xff9f9280,
    0xff937c72,
    0xff696e7a,
    0xff243d62,
    0xff535c72,
    0xff948c97,
    0xff797787,
    0xff465672,
    0xff2f4867,
    0xff687683,
    0xffbcc0bc,
    0xff3d5969,
    0xff3e5b75,
    0xff777e8a,
    0xff837985,
    0xff8085a2,
    0xff1f3f6e,
    0xff0c397c,
    0xff013278,
    0xff002e7c,
    0xff1b2d6f,
    0xff4e484a,
    0xff6b605a,
    0xff8d8787,
    0xffa2a499,
    0xff727c8d,
    0xff2d405c,
    0xff6c627f,
    0xff9b848f,
    0xffaa9386,
    0xff95927b,
    0xff8ba092,
    0xff516b72,
    0xff38435c,
    0xff887f9e,
    0xffa28e93,
    0xffa2968f,
    0xffbcac95,
    0xff8a7e72,
    0xff66677a,
    0xff565572,
    0xff88808e,
    0xff75747a,
    0xff73818f,
    0xff475965,
    0xff587480,
    0xff446a83,
    0xff25517c,
    0xff2b5889,
    0xff385b85,
    0xff6886a4,
    0xff61809e,
    0xff6386a7,
    0xff7da2c8,
    0xffb3d8fb,
    0xffbce0ff,
    0xffb1d2f1,
    0xffc7e2fa,
    0xffc8e1f7,
    0xffc7def6,
    0xffc9e1f9,
    0xffc7def6,
    0xffc5ddf5,
    0xffc7dff7,
    0xffc6def6,
    0xffc6def6,
    0xffc7e0f8,
    0xffc6def6,
    0xffc6def6,
    0xffc6def6,
    0xffc6def6,
    0xffc7dff7,
    0xffc6def6,
    0xffc6def6,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc4dcf4,
    0xffc5ddf4,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc3dbf3,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc2daf2,
    0xffc7def7,
    0xffc5dcf3,
    0xffc8dbef,
    0xffc6d7e9,
    0xffcad8e8,
    0xffd1ddea,
    0xffdee8f5,
    0xffe9f4f9,
    0xffdbe6f1,
    0xffd2dfea,
    0xffcfdfed,
    0xffc9daec,
    0xffc5d8ee,
    0xffc3d8ef,
    0xffc3d7f1,
    0xffc6dbf3,
    0xffc6daf2,
    0xffc6dcf5,
    0xffc5ddf5,
    0xffc4dcf6,
    0xffc3ddf9,
    0xffc2ddfb,
    0xffc5dffc,
    0xffc1d9f4,
    0xffc3dbf5,
    0xffc3dbf5,
    0xffc5ddf7,
    0xffc4dcf6,
    0xffc4dcf6,
    0xffc3dbf5,
    0xffc4dbf5,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf4,
    0xffc2dcf4,
    0xffc2dcf5,
    0xffc1dbf4,
    0xffc2dcf4,
    0xffc1dbf4,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc1dbf3,
    0xffc1dbf4,
    0xffc0daf2,
    0xffc0daf5,
    0xffc0daf5,
    0xffc0daf4,
    0xffc1dbf4,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf4,
    0xffc1daf3,
    0xffc1daf3,
    0xffc1daf4,
    0xffc1daf3,
    0xffc1daf2,
    0xffc1dbf1,
    0xffc0daf1,
    0xffbfd9f2,
    0xffc0daf2,
    0xffc0daf2,
    0xffbfd9f2,
    0xffbfd9f4,
    0xffc0d8f7,
    0xffc0d9f7,
    0xffc0d9f7,
    0xffbfd9f7,
    0xffc0d7f6,
    0xffc0d7f6,
    0xffbfd6f6,
    0xffc0d7f6,
    0xffc2daf7,
    0xffc1d5ef,
    0xffcddded,
    0xffe8f2f8,
    0xfff7fbfe,
    0xfff9f9fa,
    0xfffbfbf9,
    0xfffefefb,
    0xfffffffc,
    0xfffdfbfa,
    0xfffcfafb,
    0xfffcfdfe,
    0xffe4ebf5,
    0xffd5dfec,
    0xffd6e1eb,
    0xffdde5ef,
    0xffe9eef3,
    0xffe9edf0,
    0xffffffff,
    0xfffcfbf9,
    0xfff7f7f3,
    0xfff6f5f0,
    0xfffdfcfa,
    0xfffffffc,
    0xfffffdfa,
    0xfffffefb,
    0xfffffffd,
    0xfffffefd,
    0xfffffefc,
    0xfffffffd,
    0xfffffffd,
    0xfffefffd,
    0xfffdfefa,
    0xfffffffc,
    0xfffffffe,
    0xfffdfefe,
    0xfffcfdff,
    0xfffdfeff,
    0xfffcffff,
    0xfffafdff,
    0xffedf4fb,
    0xffdde7f4,
    0xffccdef2,
    0xffbdd4f0,
    0xffbbd4f5,
    0xffb7d5f7,
    0xffbad4f5,
    0xffbcd5f4,
    0xffbcd3f5,
    0xffbbd3f5,
    0xffbbd3f6,
    0xffbbd3f5,
    0xffbbd3f8,
    0xffbad3f7,
    0xffbad3f7,
    0xffbad5f7,
    0xffb7d5f9,
    0xffb7d5f9,
    0xffb6d3f5,
    0xffb5d3f5,
    0xffb3d1f3,
    0xffb3d2f0,
    0xffb3d2f1,
    0xffb4d2f1,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d3f6,
    0xffb2d4f4,
    0xffb1d2f3,
    0xffb2d3f4,
    0xffb4d5f6,
    0xffb1cff3,
    0xffb2d0f4,
    0xffb2d0f4,
    0xffb1cff5,
    0xffb1cff5,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef4,
    0xffb1cdf6,
    0xffb1cef6,
    0xffafccf4,
    0xffafcdf3,
    0xffafcdf3,
    0xffb0cef4,
    0xffb0cef4,
    0xffb0cef1,
    0xffadcef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffaecef4,
    0xffacccf2,
    0xffadcdf3,
    0xffacccf2,
    0xffaecef4,
    0xffabcbf1,
    0xffacccf3,
    0xffadcdf4,
    0xffacccf3,
    0xffaacbf2,
    0xffacccf4,
    0xffacccf3,
    0xffabcbf2,
    0xffacccf3,
    0xffaacaf1,
    0xffabcbf2,
    0xffacccf3,
    0xffacccf3,
    0xffabcbf2,
    0xffacccf3,
    0xffacccf3,
    0xffabcbf2,
    0xffaacaf4,
    0xffaacaf3,
    0xffaacaf3,
    0xffa9c9f2,
    0xffa6c9ed,
    0xffaacaf1,
    0xffabcaf6,
    0xffafc9fb,
    0xffb4caff,
    0xffaabff4,
    0xffc3d7ff,
    0xffabbeee,
    0xffa0b4cf,
    0xff929eb0,
    0xff515b52,
    0xff3a4e28,
    0xff204114,
    0xff123a19,
    0xff092b0e,
    0xff14350c,
    0xff0c3013,
    0xff12370e,
    0xff2b541b,
    0xff325820,
    0xff294c25,
    0xff0f2d25,
    0xff0e2a23,
    0xff0d2d08,
    0xff133320,
    0xff193839,
    0xff0a2437,
    0xff1d3b4a,
    0xff305146,
    0xff4c7343,
    0xff477224,
    0xff598628,
    0xff638339,
    0xff3e5a26,
    0xff41602f,
    0xff486937,
    0xff2e5526,
    0xff3d652e,
    0xff255112,
    0xff335f2c,
    0xff164218,
    0xff25482c,
    0xff0d230f,
    0xff183018,
    0xff0f2c19,
    0xff39534a,
    0xff76837b,
    0xff2c2f1a,
    0xff4d4d38,
    0xff1d2d22,
    0xff001721,
    0xff0b2522,
    0xff2f3b1c,
    0xff494833,
    0xff242622,
    0xff192a1c,
    0xff081b0f,
    0xff0b1b0c,
    0xff0c170d,
    0xff00010c,
    0xff0a1914,
    0xff294133,
    0xff1c3738,
    0xff3d5b48,
    0xff20392c,
    0xff2d4834,
    0xff173028,
    0xff213644,
    0xff1b3236,
    0xff032408,
    0xff002604,
    0xff082d16,
    0xff0f3016,
    0xff234641,
    0xff235067,
    0xff426f8f,
    0xff163249,
    0xff081a22,
    0xff041719,
    0xff02171a,
    0xff001727,
    0xff3e5972,
    0xff0c2040,
    0xff1e3255,
    0xff0e2444,
    0xff091e36,
    0xff000b18,
    0xff000d15,
    0xff000e18,
    0xff001018,
    0xff041b0f,
    0xff132700,
    0xff566022,
    0xff5f663a,
    0xff34412c,
    0xff041c13,
    0xff213538,
    0xff263d1e,
    0xff071f05,
    0xff0d2629,
    0xff022633,
    0xff022e4f,
    0xff517ec0,
    0xff5583d2,
    0xff93bef1,
    0xff000918,
    0xff00061a,
    0xff4d79a0,
    0xff325b6f,
    0xff617d8f,
    0xff4e6780,
    0xff2b4351,
    0xff051428,
    0xff242d33,
    0xff121600,
    0xff271900,
    0xff83673f,
    0xffa27f25,
    0xffc0912c,
    0xffcd9628,
    0xffba9620,
    0xff865d06,
    0xffa17006,
    0xffc18b2c,
    0xff6f3c00,
    0xff734800,
    0xff8d6d13,
    0xff7c5d11,
    0xff6c4f02,
    0xff6a5703,
    0xff5d5300,
    0xff77710f,
    0xff857b25,
    0xff7d6c1c,
    0xff755706,
    0xff9d6f1d,
    0xffa5771b,
    0xff845a0e,
    0xff825c0c,
    0xff6b4600,
    0xff754807,
    0xff794915,
    0xff8b6228,
    0xff674508,
    0xff7f5d1e,
    0xff715909,
    0xff6d5104,
    0xff795309,
    0xff7e5b0a,
    0xff8c6d27,
    0xff60320b,
    0xff93501b,
    0xffbd801c,
    0xff9f6e11,
    0xff996013,
    0xff8f4a11,
    0xff5d2600,
    0xff5b3d17,
    0xff514130,
    0xff3a303b,
    0xff585b65,
    0xff2b2f26,
    0xff7d773b,
    0xff5b6516,
    0xff5c5e2e,
    0xff614e16,
    0xff7c7a1b,
    0xff787621,
    0xff8b8737,
    0xff433e00,
    0xff797215,
    0xff5c5200,
    0xff726708,
    0xff746a0e,
    0xff635e07,
    0xff5b5a05,
    0xff9c9021,
    0xff856c0d,
    0xff766c2a,
    0xff455b52,
    0xff6c8c85,
    0xff344316,
    0xff4f5230,
    0xff0c1806,
    0xff243b09,
    0xff273615,
    0xff293418,
    0xff3f3c1c,
    0xff361200,
    0xff934a2a,
    0xffa54414,
    0xffb14612,
    0xff902f0b,
    0xff8b5a27,
    0xff563309,
    0xff8c6435,
    0xff7e682b,
    0xff4e3d1e,
    0xff482b09,
    0xff886623,
    0xff664400,
    0xff636320,
    0xff35350b,
    0xff493a0e,
    0xff80712c,
    0xff7e6926,
    0xff423100,
    0xff3c490c,
    0xff68151b,
    0xff945952,
    0xff894132,
    0xff912119,
    0xffb12d2b,
    0xffc54931,
    0xffc1653b,
    0xff9b6b4a,
    0xff7a7460,
    0xff6f615e,
    0xff664f56,
    0xff66525c,
    0xff4e4e62,
    0xff1f355b,
    0xff022647,
    0xff1f4458,
    0xff1c3956,
    0xff0c243e,
    0xffa9a4bf,
    0xff8c8c9e,
    0xff62546a,
    0xff5f4461,
    0xff454056,
    0xff463f54,
    0xff443d4c,
    0xff443848,
    0xff43353c,
    0xff8f746c,
    0xffc27b6f,
    0xffab2824,
    0xffc41821,
    0xffc91324,
    0xffba1325,
    0xffbf1625,
    0xffca6662,
    0xff8f615a,
    0xffae8d97,
    0xff715d6c,
    0xff44353f,
    0xff3c3230,
    0xff493f3d,
    0xff837f75,
    0xff888c7b,
    0xff828977,
    0xff828679,
    0xff8d8e85,
    0xff939486,
    0xff939881,
    0xff8f9983,
    0xff919c89,
    0xff8f9382,
    0xff8c8a78,
    0xff8b9271,
    0xff96a574,
    0xffa6a571,
    0xffb19163,
    0xffcd7758,
    0xffbd3535,
    0xffc6243a,
    0xffa92835,
    0xff925145,
    0xff988873,
    0xff5a6359,
    0xff53686b,
    0xff608183,
    0xff4f576d,
    0xff263958,
    0xff4f4f65,
    0xff744f52,
    0xffc7a98f,
    0xffab9a77,
    0xff8f886a,
    0xff634948,
    0xff89313f,
    0xff8b011a,
    0xff86031b,
    0xff800b20,
    0xff880121,
    0xff91001b,
    0xff950d25,
    0xffa10e22,
    0xff890411,
    0xff790004,
    0xff800007,
    0xff800009,
    0xff790107,
    0xff7c0608,
    0xff880407,
    0xff7c1016,
    0xff683a48,
    0xff5e536f,
    0xff8e8f74,
    0xffaaa87c,
    0xffa86e5d,
    0xff92401f,
    0xff83574e,
    0xff6d7073,
    0xff849279,
    0xff344848,
    0xff122d33,
    0xff334d45,
    0xff2e383c,
    0xff696b64,
    0xff7a835e,
    0xff8d9e81,
    0xff647a82,
    0xff213453,
    0xff7b8097,
    0xff70767d,
    0xff6d8190,
    0xff1f4069,
    0xff02225b,
    0xff07205c,
    0xff001f61,
    0xff1f4377,
    0xff234a70,
    0xff153f62,
    0xff3e5266,
    0xff818c88,
    0xff3d615b,
    0xff697987,
    0xff72798c,
    0xff486a80,
    0xff134b6e,
    0xff2a557a,
    0xff3a5f7c,
    0xff2a5d7a,
    0xff0e406a,
    0xff0b2f66,
    0xff123c71,
    0xff2d3e56,
    0xff767b8b,
    0xff34505d,
    0xff617672,
    0xff948c83,
    0xff8a866e,
    0xff95897f,
    0xff6a7176,
    0xff42535a,
    0xff708086,
    0xff3c4853,
    0xff726b77,
    0xff89767f,
    0xff686275,
    0xff364e72,
    0xff354e61,
    0xff2d4242,
    0xff586a6e,
    0xff525f70,
    0xff213145,
    0xff4b6068,
    0xff1d3629,
    0xff838e8f,
    0xff11214f,
    0xff666c8c,
    0xff595e71,
    0xff395c78,
    0xff02355d,
    0xff2b4d8e,
    0xff213b78,
    0xff173465,
    0xff222c5c,
    0xffbfc4b2,
    0xff827f71,
    0xff726764,
    0xff817563,
    0xff737186,
    0xff45536f,
    0xff3e6074,
    0xff52646f,
    0xff747570,
    0xffa09689,
    0xff686353,
    0xff8f928d,
    0xff565e6d,
    0xff515b7c,
    0xff75799f,
    0xff5b688a,
    0xff5b5e65,
    0xff9b9081,
    0xffb6aa99,
    0xffa99586,
    0xff8b7468,
    0xffaa9fa0,
    0xffa3909b,
    0xff6c6978,
    0xff707f97,
    0xff536f94,
    0xff2b4b78,
    0xff294577,
    0xff102d58,
    0xff3f5b81,
    0xff6a8caf,
    0xff375e83,
    0xff345e8b,
    0xff2a5887,
    0xff5887b3,
    0xff5a83a8,
    0xffd1f3ff,
    0xffd2eeff,
    0xffd3eaff,
    0xffcce5fe,
    0xffd3ebff,
    0xffcde6fe,
    0xffcee5fd,
    0xffc8def8,
    0xffc8e0f9,
    0xffc8def7,
    0xffc6def5,
    0xffc6dff6,
    0xffc7def6,
    0xffc7def6,
    0xffc6def6,
    0xffc6dff7,
    0xffc7dff7,
    0xffc7dff6,
    0xffc7dff7,
    0xffc6dff6,
    0xffc7dff7,
    0xffc7e0f8,
    0xffc4dcf5,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc4ddf5,
    0xffc3dbf3,
    0xffc5ddf5,
    0xffc3dbf4,
    0xffc1daf1,
    0xffc6daf6,
    0xffc8dbf6,
    0xffcfdff7,
    0xffd6e3f4,
    0xffeaf5fc,
    0xfffaffff,
    0xfffeffff,
    0xfffefffd,
    0xfffdfffd,
    0xfffefffe,
    0xfffdffff,
    0xfffcffff,
    0xffe6f0fa,
    0xffccd8e5,
    0xffdae9f9,
    0xffd6e5f8,
    0xffc7d8ee,
    0xffcbdef6,
    0xffc5d8ee,
    0xffc5daf3,
    0xffc3daf5,
    0xffc1dbf6,
    0xffc0dbf9,
    0xffbfdcfa,
    0xffc3dcf6,
    0xffc2daf5,
    0xffc3dbf5,
    0xffc3dbf5,
    0xffc3dbf5,
    0xffc3dbf5,
    0xffc4dcf6,
    0xffc4dcf6,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc3ddf6,
    0xffc2ddf6,
    0xffc3ddf6,
    0xffc3ddf6,
    0xffc0daf6,
    0xffc0daf6,
    0xffc2dbf7,
    0xffc1dbf7,
    0xffc3ddf8,
    0xffc1dbf7,
    0xffc2dcf7,
    0xffc2dcf7,
    0xffc2dcf7,
    0xffc1dbf6,
    0xffc0daf6,
    0xffc1dbf4,
    0xffc1dbf4,
    0xffc2dcf4,
    0xffc3dcf5,
    0xffc3ddf5,
    0xffc0daf2,
    0xffc0daf2,
    0xffc1daf2,
    0xffc0daf1,
    0xffc1dbf1,
    0xffc1dbf2,
    0xffc1dbf2,
    0xffc0dbf2,
    0xffc1dbf1,
    0xffc1dbf3,
    0xffc1dbf3,
    0xffc1dbf2,
    0xffc1dbf2,
    0xffc1dbf4,
    0xffc0daf3,
    0xffc0daf4,
    0xffbfd9f6,
    0xffbfd9f6,
    0xffc0d9f7,
    0xffc1d8f7,
    0xffc2d8f7,
    0xffc0d7f6,
    0xffc2d7f6,
    0xffc3d8f6,
    0xffc2d3eb,
    0xffd8e4f5,
    0xfff8ffff,
    0xfff9fdfe,
    0xfffdfdf9,
    0xfffdfdfa,
    0xfffffffd,
    0xfffdfdfd,
    0xfff9fbfb,
    0xfff8f8f6,
    0xfffefbfc,
    0xfffcfcff,
    0xfff7faff,
    0xfff9feff,
    0xfffafcff,
    0xffffffff,
    0xfff7ffff,
    0xfffcffff,
    0xfff9fdfc,
    0xfffbfcfc,
    0xfffafcfa,
    0xfffafbfa,
    0xfffcfefb,
    0xfffcfefb,
    0xfffafdff,
    0xfffbfeff,
    0xfffcfdff,
    0xfffdfefe,
    0xfffcfffe,
    0xfffdfffc,
    0xfffdfffc,
    0xfffefffd,
    0xfffbfffe,
    0xfff5faf9,
    0xfff6f9fb,
    0xfffbffff,
    0xfff7fbfa,
    0xfff9fdfc,
    0xfffcfffe,
    0xfff7fbfa,
    0xfff4f8fb,
    0xfff2f9ff,
    0xffd9e8f9,
    0xffbed4ef,
    0xffbdd6f7,
    0xffbbd7fa,
    0xffbcd6f9,
    0xffbad2f4,
    0xffc4dafc,
    0xffc0d6f8,
    0xffbed5f7,
    0xffbed4f5,
    0xffbad0f4,
    0xffbad2f5,
    0xffbbd2f6,
    0xffbad4f7,
    0xffb5d2f6,
    0xffb5d3f7,
    0xffb6d4f6,
    0xffb7d5f7,
    0xffb6d4f6,
    0xffb6d5f5,
    0xffb6d5f5,
    0xffb7d5f5,
    0xffb4d5f9,
    0xffb4d5f8,
    0xffb4d5f9,
    0xffb4d5f5,
    0xffb6d6f7,
    0xffb3d4f5,
    0xffb2d3f2,
    0xffb4d4f4,
    0xffb6d3f7,
    0xffb5d3f6,
    0xffb4d2f6,
    0xffb1cff5,
    0xffb2d0f6,
    0xffb2d0f6,
    0xffb2d0f5,
    0xffb0cef5,
    0xffb1cef6,
    0xffb1cef6,
    0xffb0cff4,
    0xffb0cef4,
    0xffafcdf3,
    0xffb1cff5,
    0xffb2d0f3,
    0xffb2d0f3,
    0xffacccf2,
    0xffaccdf3,
    0xffaccdf3,
    0xffacccf3,
    0xffaecef4,
    0xffaecef3,
    0xffaecef4,
    0xffacccf2,
    0xffabcbf1,
    0xffaccdf2,
    0xffaecef4,
    0xffadccf2,
    0xffacccf4,
    0xffadcef5,
    0xffafcef5,
    0xffaecdf4,
    0xffafcef3,
    0xffaccbf1,
    0xffaacaf0,
    0xffaacaf0,
    0xffacccf1,
    0xffabcbf1,
    0xffabcbf1,
    0xffaacbf0,
    0xffacccf3,
    0xffacccf3,
    0xffacccf3,
    0xffabcbf2,
    0xffaacaf0,
    0xffacccf4,
    0xffacccf4,
    0xffabcbf4,
    0xffa9cbf4,
    0xffa9cbf1,
    0xffaacaef,
    0xffafc9f4,
    0xffafc6f6,
    0xffa9baea,
    0xffaabce3,
    0xffb1c2e0,
    0xffbcc3dd,
    0xffb4b1d2,
    0xffc7bfcd,
    0xff868d6d,
    0xff748e4c,
    0xff33581d,
    0xff3b5935,
    0xff35492e,
    0xff263f20,
    0xff162b1d,
    0xff14291d,
    0xff172f14,
    0xff374d33,
    0xff31423d,
    0xff273341,
    0xff2a3649,
    0xff233149,
    0xff324059,
    0xff485a7c,
    0xff6876a1,
    0xff637884,
    0xff6c895e,
    0xff709141,
    0xff74953d,
    0xff375115,
    0xff223715,
    0xff1d331a,
    0xff1c361d,
    0xff233d2c,
    0xff153218,
    0xff385633,
    0xff113218,
    0xff143c1c,
    0xff3f5e44,
    0xff0e240f,
    0xff14291a,
    0xff496166,
    0xff9eb1c8,
    0xff727d8a,
    0xff959790,
    0xff201c15,
    0xff070f03,
    0xff000701,
    0xff152a1c,
    0xff0f2a09,
    0xff172f20,
    0xff182b35,
    0xff1f3635,
    0xff021913,
    0xff0f1f15,
    0xff465655,
    0xff788c9e,
    0xff2f433d,
    0xff071000,
    0xff1c2118,
    0xff5e6e53,
    0xff3b4f2e,
    0xff0c2502,
    0xff001900,
    0xff002100,
    0xff0d3413,
    0xff3b5c40,
    0xff102815,
    0xff16281d,
    0xff2a4226,
    0xff3c6439,
    0xff2f6138,
    0xff1b4630,
    0xff0f2c22,
    0xff0b1c1b,
    0xff071622,
    0xff051225,
    0xff031c28,
    0xff001a1d,
    0xff001a18,
    0xff001119,
    0xff173349,
    0xff022035,
    0xff536d73,
    0xff678075,
    0xff2e4538,
    0xff5d785f,
    0xff648255,
    0xff5e7332,
    0xff464a15,
    0xff302e15,
    0xff2e3128,
    0xff334034,
    0xff344132,
    0xff32390a,
    0xff46472a,
    0xff232b41,
    0xff32547a,
    0xff1e557a,
    0xff366b9c,
    0xff04356b,
    0xff4f83bd,
    0xff3e5368,
    0xff1f3758,
    0xff4173ad,
    0xff6090b4,
    0xff3d5772,
    0xff4d5e83,
    0xff182f48,
    0xff454b4f,
    0xff8a7549,
    0xffd7a645,
    0xffcc8d26,
    0xffca9231,
    0xffa87822,
    0xff8d5e05,
    0xff9b6708,
    0xffae8710,
    0xff9a6507,
    0xffb37916,
    0xff95650c,
    0xff795706,
    0xff524100,
    0xff705e11,
    0xff5a4114,
    0xff5e5715,
    0xff716b1c,
    0xff78761a,
    0xff80821a,
    0xff756600,
    0xff9a6e18,
    0xff6f3a00,
    0xff683b00,
    0xff764802,
    0xff6d4808,
    0xff593a00,
    0xff7d5c15,
    0xff885a24,
    0xff72370d,
    0xff723700,
    0xffb27f26,
    0xff875b00,
    0xff8b680c,
    0xff9a742e,
    0xff4a2000,
    0xff9d7927,
    0xff876b15,
    0xff835905,
    0xffd3922e,
    0xffad741e,
    0xff73440e,
    0xff5f2400,
    0xff602206,
    0xff40200d,
    0xff30240e,
    0xff2e2305,
    0xff3d2d1a,
    0xff332727,
    0xff170701,
    0xff705c37,
    0xff3b370e,
    0xff756c58,
    0xff836d38,
    0xff5f5202,
    0xff544601,
    0xff737817,
    0xff5e6000,
    0xff8a8520,
    0xff7f780d,
    0xff928c1d,
    0xff77710e,
    0xff635500,
    0xff857026,
    0xff86701d,
    0xff8f7620,
    0xff6c681c,
    0xff476366,
    0xff214766,
    0xff738981,
    0xff414938,
    0xff25351a,
    0xff272409,
    0xff212807,
    0xff132909,
    0xff25320b,
    0xff512d00,
    0xffaf521a,
    0xffc24f24,
    0xff791000,
    0xffa63c19,
    0xffa96421,
    0xff804a2f,
    0xff4a241b,
    0xff1f1a09,
    0xff2a2f18,
    0xff484117,
    0xff64551d,
    0xff626218,
    0xff424d17,
    0xff454618,
    0xff747448,
    0xff2f3b17,
    0xff363914,
    0xff302a0e,
    0xff0b1414,
    0xff5b1220,
    0xff7e534a,
    0xff977155,
    0xffa56753,
    0xff946251,
    0xff865633,
    0xffaa7146,
    0xff8d8160,
    0xff6b6964,
    0xff373742,
    0xff30344e,
    0xff485273,
    0xff283354,
    0xff1d304e,
    0xff1b3353,
    0xff123050,
    0xff5f7c7c,
    0xff869792,
    0xffb8b7bf,
    0xff756986,
    0xff5d4d6c,
    0xff514858,
    0xff484450,
    0xff454254,
    0xff444158,
    0xff4b364d,
    0xff503c43,
    0xff898674,
    0xffaf9374,
    0xffa13a2c,
    0xffc11b27,
    0xffca0f2a,
    0xffb70f1f,
    0xffb41229,
    0xff9e535c,
    0xffab9b9f,
    0xff967f8d,
    0xff50404a,
    0xff42323a,
    0xff3c282a,
    0xff575b52,
    0xff848375,
    0xff928d7d,
    0xff8d8e7b,
    0xff8c9380,
    0xff909582,
    0xff959580,
    0xff98967c,
    0xff9e9675,
    0xff96987a,
    0xff909f7e,
    0xff939376,
    0xffa08c70,
    0xffa18f67,
    0xffb5946d,
    0xffca7f63,
    0xffe7725e,
    0xffbd2223,
    0xffbe1927,
    0xffaa202f,
    0xff9f4750,
    0xff8b7b77,
    0xff344a48,
    0xff495461,
    0xff2f4c5e,
    0xff536479,
    0xff1e3356,
    0xff1f3158,
    0xff66626b,
    0xff9a946c,
    0xff888b5f,
    0xff6a6a5e,
    0xff2f3023,
    0xff9d7874,
    0xff6a0110,
    0xff880014,
    0xff7a0113,
    0xff790215,
    0xff890017,
    0xff95021f,
    0xffb11c27,
    0xffbc2533,
    0xffa41e2e,
    0xff73000c,
    0xff710619,
    0xff61131e,
    0xff651c25,
    0xff7c162a,
    0xff92122c,
    0xff682841,
    0xff4b5054,
    0xff979678,
    0xff727b66,
    0xff615e5a,
    0xff976758,
    0xff7c7659,
    0xff77867c,
    0xff465a4b,
    0xff7d9283,
    0xff6d8576,
    0xff79907d,
    0xff7d8e77,
    0xff6c755b,
    0xff5e6345,
    0xff5c6e56,
    0xff66706e,
    0xff4b5a6c,
    0xff25436b,
    0xff25475e,
    0xff476176,
    0xff243b76,
    0xff002859,
    0xff002360,
    0xff00245e,
    0xff012562,
    0xff0b2d74,
    0xff09286d,
    0xff002050,
    0xff173e63,
    0xff184567,
    0xff28365b,
    0xff7c819d,
    0xff33507b,
    0xff002c65,
    0xff173863,
    0xff495f7b,
    0xff2e576c,
    0xff073d58,
    0xff2b486b,
    0xff174785,
    0xff00255f,
    0xff244061,
    0xff3c6186,
    0xff426288,
    0xff657581,
    0xff707e70,
    0xff7b8483,
    0xff656a7a,
    0xff2f3758,
    0xff5d7474,
    0xff899894,
    0xff5d5768,
    0xff7f7d82,
    0xff5b6c6c,
    0xff3e515e,
    0xff747779,
    0xff857b6a,
    0xff848360,
    0xff94a57a,
    0xffaec498,
    0xffaeb48a,
    0xffb9aa85,
    0xff93906e,
    0xff555a44,
    0xff7a8377,
    0xff545972,
    0xff4f567c,
    0xff364562,
    0xff304874,
    0xff163765,
    0xff45637e,
    0xff4b5866,
    0xff727769,
    0xffa49d80,
    0xff96846d,
    0xff8f9081,
    0xff6f7a82,
    0xff514f71,
    0xff45607a,
    0xff6e757f,
    0xff928c8f,
    0xff5f606b,
    0xff888f87,
    0xffb2b5a0,
    0xff7a7981,
    0xff5f6671,
    0xff7b7c85,
    0xff314864,
    0xff677281,
    0xff877369,
    0xff9a897f,
    0xff686664,
    0xff9b9993,
    0xff948e85,
    0xff8e7c73,
    0xff948c8a,
    0xff81808b,
    0xff726d80,
    0xff756984,
    0xff7f738d,
    0xff8b879c,
    0xff777f8b,
    0xff3c6070,
    0xff475c7e,
    0xff3c4f80,
    0xff194271,
    0xff336f95,
    0xff396f8e,
    0xff59829d,
    0xff7498b1,
    0xff87afd4,
    0xff6c9bc0,
    0xff486a83,
    0xffbedefa,
    0xffb9cff3,
    0xffe2e9ff,
    0xffcddbfe,
    0xffd6dff8,
    0xffc9e2ea,
    0xffcde0f9,
    0xffccdef2,
    0xffcde0f0,
    0xffc6defa,
    0xffc2deff,
    0xffc7ddf8,
    0xffd1defb,
    0xffcdddf7,
    0xffc8def9,
    0xffc6e0fa,
    0xffc4e0fc,
    0xffc6e1fc,
    0xffc6dffb,
    0xffc8dffa,
    0xffcce0fa,
    0xffc2ddf2,
    0xffc2ddf4,
    0xffc4dcf4,
    0xffc8ddf5,
    0xffc7dcf5,
    0xffc5dcf2,
    0xffc7ddf3,
    0xffc5dbf1,
    0xffc8ddf7,
    0xffcadbf2,
    0xffe8f2ff,
    0xfff9fcff,
    0xffffffff,
    0xfffefcfd,
    0xfffdfdfc,
    0xfffdfffe,
    0xfffffffd,
    0xfffffffc,
    0xfffffffd,
    0xfffffffd,
    0xffffffff,
    0xfffdfdfe,
    0xffffffff,
    0xffffffff,
    0xfffdfdff,
    0xfffeffff,
    0xffe0e9f7,
    0xffcadbea,
    0xffcadff3,
    0xffc5ddf7,
    0xffc0dbf9,
    0xffc2dcfb,
    0xffc3dbf3,
    0xffc2daf2,
    0xffc2daf1,
    0xffc2daf2,
    0xffc2daf2,
    0xffc2daf2,
    0xffc2daf2,
    0xffc2daf2,
    0xffc2daf2,
    0xffc3dbf3,
    0xffc4dcf3,
    0xffc4dcf3,
    0xffc3dbf3,
    0xffc4dbf3,
    0xffc5dbf3,
    0xffc4dbf3,
    0xffc1ddf4,
    0xffc1ddf5,
    0xffc1ddf5,
    0xffc1ddf5,
    0xffc3ddf6,
    0xffc1dbf4,
    0xffc0dbf3,
    0xffc2dcf4,
    0xffc1dcf7,
    0xffc0dbf7,
    0xffc0ddf4,
    0xffc0ddf5,
    0xffc0ddf5,
    0xffc0ddf4,
    0xffc0dbf7,
    0xffc0dbf6,
    0xffc1dbf7,
    0xffc1dbf7,
    0xffc1dcf8,
    0xffc1ddf6,
    0xffc0ddf7,
    0xffbddbf4,
    0xffbedbf4,
    0xffbeddf7,
    0xffbed8f4,
    0xffbfd9f5,
    0xffc1dbf7,
    0xffc1daf6,
    0xffc1dbf7,
    0xffc1dbf6,
    0xffc1dbf7,
    0xffc0dbf7,
    0xffc4dbf2,
    0xffc0d7f0,
    0xffbed8f3,
    0xffbdd8f5,
    0xffbed7f6,
    0xffc0d8f7,
    0xffc4d9f4,
    0xffc3d9f1,
    0xffdce0eb,
    0xfffeffff,
    0xfffcfdfe,
    0xfffcfbf8,
    0xfffefbfc,
    0xfffffeff,
    0xfffefefc,
    0xfffafdf6,
    0xfffefdff,
    0xfffbfbfd,
    0xfff9f9fb,
    0xfffcfcfd,
    0xfffefdff,
    0xfffdfafe,
    0xfffffeff,
    0xfffffdff,
    0xfffefefd,
    0xfffefffd,
    0xfffffffc,
    0xfffefdfb,
    0xfffefffd,
    0xfffefffd,
    0xfffefffd,
    0xfffefffd,
    0xfffaffff,
    0xfffaffff,
    0xfffeffff,
    0xfffefdfd,
    0xfffffffe,
    0xfffffffe,
    0xfffefffc,
    0xfffdfffd,
    0xfffcfef6,
    0xfff9fbf6,
    0xfffcfcfe,
    0xffeff3f7,
    0xfff0f3f8,
    0xfff0f5f8,
    0xfff2f9f7,
    0xfff2f9f5,
    0xfff2f6fd,
    0xffeef5fe,
    0xffe1f0fe,
    0xffcbddf5,
    0xffbfd4f4,
    0xffbbd1f8,
    0xffbcd4f8,
    0xffbcd4f4,
    0xffcde0fc,
    0xffd8e8ff,
    0xffd9e6fa,
    0xffd5e3f6,
    0xffd1e2f5,
    0xffc1d6ee,
    0xffb8d5f0,
    0xffb5d5f3,
    0xffb6d5f3,
    0xffb6d4f5,
    0xffb5d3f4,
    0xffb7d5f6,
    0xffb5d3f8,
    0xffb6d2f8,
    0xffb6d2f7,
    0xffb5d1f7,
    0xffb8d6f9,
    0xffb7d4f7,
    0xffb7d4f6,
    0xffb9d6fa,
    0xffb9d5fb,
    0xffb6d2f8,
    0xffb5d1f6,
    0xffb5d1f8,
    0xffb7d6f3,
    0xffb6d5f4,
    0xffb5d3f3,
    0xffb4d2f4,
    0xffb3d1f6,
    0xffb4d1f9,
    0xffb4d0fa,
    0xffb3cff9,
    0xffb3cef5,
    0xffb2cef5,
    0xffb4d0f7,
    0xffb2cef5,
    0xffb4cef6,
    0xffb3cdf4,
    0xffb2ccf1,
    0xffb1cbf1,
    0xffb0cdf5,
    0xffaecbf5,
    0xffafcbf5,
    0xffadcdf5,
    0xffadcdf4,
    0xffadcdf4,
    0xffadcdf4,
    0xffafcdf5,
    0xffafccf4,
    0xffafccf4,
    0xffadcdf4,
    0xffaccff4,
    0xffaecef4,
    0xffafcdf2,
    0xffb1ceee,
    0xffb4ccee,
    0xffb2cbed,
    0xffafcbef,
    0xffaeccf2,
    0xffabccf3,
    0xffacccf5,
    0xffacccf5,
    0xffaecaf4,
    0xffafcbf3,
    0xffaacbf1,
    0xffa9c9f0,
    0xffaacaf1,
    0xffabcbf2,
    0xffa9caf0,
    0xffaacaf1,
    0xffacccf2,
    0xffaecef4,
    0xffaacdf2,
    0xffa9ccf2,
    0xffacc9f4,
    0xffa4bcee,
    0xffb4c4f9,
    0xffabb1e2,
    0xffb6b5de,
    0xffb2afd0,
    0xffa19bb7,
    0xffc7aec6,
    0xffbd99a8,
    0xff9d916e,
    0xff6e8a2d,
    0xff4d7824,
    0xff2b4721,
    0xff454c37,
    0xff575843,
    0xff1b1f0e,
    0xff0c1a18,
    0xff2b3f4b,
    0xff52606e,
    0xff7f7b8a,
    0xff47415a,
    0xff8c8db4,
    0xff958ea4,
    0xff908fab,
    0xff909bbc,
    0xff5a7283,
    0xff264839,
    0xff395d2c,
    0xff94b36d,
    0xff4c671e,
    0xff14280f,
    0xff13260d,
    0xff0b1a12,
    0xff05120a,
    0xff121e1d,
    0xff18252a,
    0xff08160a,
    0xff0a1910,
    0xff143527,
    0xff001409,
    0xff4a5d5c,
    0xff829195,
    0xff58646c,
    0xff303a44,
    0xff606570,
    0xffb5b4bd,
    0xff7c797e,
    0xff404c42,
    0xff818d83,
    0xff0a0911,
    0xff0b1218,
    0xff001609,
    0xff031907,
    0xff0e150d,
    0xff828a8f,
    0xffaeb5ab,
    0xff636454,
    0xff7f7968,
    0xff9f8a68,
    0xff836a30,
    0xff817237,
    0xff767743,
    0xff6d844a,
    0xff3b5829,
    0xff426641,
    0xff446b45,
    0xff466c41,
    0xff2c5324,
    0xff385a36,
    0xff325338,
    0xff2a4537,
    0xff0c2818,
    0xff183224,
    0xff001b11,
    0xff203a37,
    0xff243b3f,
    0xff00131a,
    0xff00171d,
    0xff00171c,
    0xff19343a,
    0xff041e31,
    0xff6e88a6,
    0xff859fc2,
    0xffaec2db,
    0xff9ba7a7,
    0xff666c58,
    0xff657151,
    0xff5b6538,
    0xff4e5428,
    0xff575e32,
    0xff303d17,
    0xff17201f,
    0xff393d4d,
    0xff2b2f23,
    0xff2d2e20,
    0xff686d4a,
    0xff3d4826,
    0xff405458,
    0xff426197,
    0xff143983,
    0xff1c407d,
    0xff183b64,
    0xff072d60,
    0xff24355c,
    0xff000e21,
    0xff688ec5,
    0xff3c5f91,
    0xff607dac,
    0xff8997ab,
    0xffc3af91,
    0xffc0ab6e,
    0xffa57a24,
    0xffcc9431,
    0xffc29624,
    0xffaa8705,
    0xffa3770a,
    0xff9d6910,
    0xff835800,
    0xffa67a1a,
    0xffb27c17,
    0xffa67609,
    0xff8e6a09,
    0xff6b4406,
    0xff825315,
    0xff926b24,
    0xff6a550e,
    0xff655e07,
    0xff7f7518,
    0xff6c5f05,
    0xff77690b,
    0xff9c8b2a,
    0xff694c0c,
    0xff370f00,
    0xff784a18,
    0xff734305,
    0xff74480a,
    0xff6d4311,
    0xff764512,
    0xff783b12,
    0xff622102,
    0xff9e691c,
    0xffaf8220,
    0xff7e5a03,
    0xff5b3808,
    0xff411e00,
    0xffa07b33,
    0xff8d6203,
    0xff946110,
    0xff9c6c0c,
    0xff885707,
    0xff5b2b00,
    0xff4a2500,
    0xff8e6325,
    0xff9b5c22,
    0xff895733,
    0xff413611,
    0xff26230b,
    0xff261005,
    0xff111104,
    0xff3f1d17,
    0xff543221,
    0xff6c4b32,
    0xff503911,
    0xff5a471d,
    0xff8f791b,
    0xff615d02,
    0xff535205,
    0xff8b8e4d,
    0xff737708,
    0xff8f851c,
    0xff827a1c,
    0xff666900,
    0xff695e15,
    0xff715112,
    0xff4c2d00,
    0xff736630,
    0xff3a4d05,
    0xff658884,
    0xff749dc3,
    0xff305d57,
    0xff254134,
    0xff0a1901,
    0xff3b3f0a,
    0xff2f310b,
    0xff1a250e,
    0xff242b0e,
    0xff5e3705,
    0xffbb561e,
    0xffb3400b,
    0xff953a0a,
    0xff721301,
    0xff943d05,
    0xff72431d,
    0xff534926,
    0xff422d21,
    0xff210708,
    0xff6f7641,
    0xff1b330c,
    0xff425e2e,
    0xff5d783c,
    0xff3a451e,
    0xff37473a,
    0xff3c6171,
    0xff49677a,
    0xff263d3b,
    0xff658dae,
    0xff5a1c16,
    0xff7a5b47,
    0xff72613c,
    0xff9d7c60,
    0xff88775c,
    0xff9e8d66,
    0xffb08e6e,
    0xff828978,
    0xff406164,
    0xff315461,
    0xff325667,
    0xff355c63,
    0xff6b928b,
    0xff567d79,
    0xff1f485e,
    0xff00214e,
    0xff465f6e,
    0xff6d7a7f,
    0xffa8a6b1,
    0xff62566d,
    0xff5b4d66,
    0xff4f4754,
    0xff47434e,
    0xff47435c,
    0xff454457,
    0xff4c3b4e,
    0xff584c52,
    0xff848e7a,
    0xff93876b,
    0xffa95b4e,
    0xffa5252a,
    0xffae1c2d,
    0xffb71529,
    0xffad0b28,
    0xffb36775,
    0xffb9a6ac,
    0xff685360,
    0xff473d45,
    0xff393635,
    0xff443f3b,
    0xff767e7b,
    0xff7c8480,
    0xff858c86,
    0xff80897e,
    0xff8b9783,
    0xff859075,
    0xff898f76,
    0xff93967d,
    0xff99907c,
    0xff9a9480,
    0xff909a81,
    0xff929779,
    0xffac8f73,
    0xffc38e72,
    0xffb7624d,
    0xffbc3930,
    0xffc93a2f,
    0xffd03e3a,
    0xffbd2b32,
    0xffab1b2d,
    0xff9f2941,
    0xff7d5364,
    0xff2b3042,
    0xff423d5f,
    0xff202f59,
    0xff13113e,
    0xff281b57,
    0xff242761,
    0xff323b4c,
    0xff9a8762,
    0xffc08557,
    0xffbf745c,
    0xffa66967,
    0xff70443e,
    0xff7f3436,
    0xff780112,
    0xff7f0113,
    0xff7f0214,
    0xff7e0013,
    0xff7e0516,
    0xff880b21,
    0xff90182c,
    0xff9f283c,
    0xffe6829a,
    0xffbd8599,
    0xff322438,
    0xff302747,
    0xff2c1540,
    0xff562845,
    0xff563f63,
    0xff141b29,
    0xff9b9479,
    0xff77896c,
    0xff3b5b58,
    0xff332d3b,
    0xff32485c,
    0xff2f4857,
    0xff4b6e6e,
    0xff5c826c,
    0xff809f7a,
    0xff7e8b64,
    0xff8e8767,
    0xffa2926f,
    0xffb3a87e,
    0xff98957c,
    0xff7f785a,
    0xff8d9173,
    0xff102537,
    0xff062755,
    0xff173869,
    0xff193e84,
    0xff03346c,
    0xff021f60,
    0xff022260,
    0xff001f5c,
    0xff022465,
    0xff012060,
    0xff02245f,
    0xff00245b,
    0xff05326a,
    0xff0c2354,
    0xff35466e,
    0xff0b2e5f,
    0xff092f62,
    0xff0c1f41,
    0xff354059,
    0xff39546b,
    0xff5f8294,
    0xff728990,
    0xff103567,
    0xff002261,
    0xff1e3b67,
    0xff1d486d,
    0xff133b61,
    0xff2e4c70,
    0xff375a7e,
    0xff45566f,
    0xff7b8287,
    0xff6b7276,
    0xff31424f,
    0xff57677d,
    0xff4e5168,
    0xff595769,
    0xff42465f,
    0xff949382,
    0xffa9a581,
    0xffb9b382,
    0xffaca773,
    0xff9b966c,
    0xff8a845b,
    0xffaea370,
    0xffbead71,
    0xffa28a6b,
    0xffb29e7e,
    0xffbeaa86,
    0xff896b70,
    0xff886780,
    0xffa18b95,
    0xff757075,
    0xff738274,
    0xff94a8a3,
    0xff5a6a7b,
    0xff7f7b7c,
    0xff9d8967,
    0xff947f5f,
    0xffb5ac95,
    0xff6b685d,
    0xff777483,
    0xff3f677e,
    0xff7b8aa3,
    0xff7b7c94,
    0xff5c6985,
    0xff445c66,
    0xff3f4843,
    0xff9f8a87,
    0xffa88a66,
    0xffb0a876,
    0xff93a090,
    0xff678084,
    0xff818f8b,
    0xff9b978e,
    0xff918d94,
    0xff6d676f,
    0xff8c7973,
    0xffbaa086,
    0xff887b6e,
    0xff70686a,
    0xff7f7173,
    0xff8e807c,
    0xff999188,
    0xff7a796c,
    0xff9b9a8b,
    0xff85959a,
    0xff82888e,
    0xffa2a4a8,
    0xff5f7377,
    0xff4e6d79,
    0xff405b71,
    0xff627a92,
    0xff5c7a8f,
    0xff396f84,
    0xff1e5f7b,
    0xff457d94,
    0xff37718e,
    0xff41748c,
    0xff618999,
    0xffc0efff,
    0xffb5def6,
    0xffb8defa,
    0xffccdaff,
    0xffdddffb,
    0xffcde0f7,
    0xffc0dfff,
    0xffc5e3fc,
    0xffc2e1eb,
    0xffbee5f3,
    0xffc8e1f8,
    0xffc6dff4,
    0xffc8dff4,
    0xffc9def4,
    0xffc9ddf7,
    0xffc8defa,
    0xffc7ddff,
    0xffc6dcff,
    0xffc6def5,
    0xffc6dff4,
    0xffc6dff5,
    0xffc5dff5,
    0xffc5def4,
    0xffc6dff7,
    0xffc6e0f8,
    0xffc2dcf5,
    0xffc5daf3,
    0xffccdcf0,
    0xffd3dfed,
    0xfff6fcff,
    0xfffefeff,
    0xfffefefd,
    0xfffefffe,
    0xfffeffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffcfefd,
    0xfffeffff,
    0xfffdfeff,
    0xfffdfeff,
    0xfffeffff,
    0xfffffeff,
    0xfffbfdff,
    0xfff9ffff,
    0xffe4f3fd,
    0xffc5d8e7,
    0xffc5dcf1,
    0xffc3dbf3,
    0xffc0daf5,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc2daf2,
    0xffc2daf2,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc5dbf3,
    0xffc5dbf3,
    0xffc5dbf3,
    0xffc5def4,
    0xffc4ddf4,
    0xffc4ddf4,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc6def6,
    0xffc7dff9,
    0xffc1daf4,
    0xffc2dbf5,
    0xffc2dcf5,
    0xffc2dcf5,
    0xffc2dcf2,
    0xffc2dcf2,
    0xffc2dcf5,
    0xffc1dcf5,
    0xffc1dbf3,
    0xffc5d9f1,
    0xffc5d9f0,
    0xffc3d9f0,
    0xffc3daf1,
    0xffc4daf2,
    0xffc5dcf1,
    0xffc5dcf1,
    0xffc1d8ec,
    0xffc3ddf3,
    0xffc0dbf0,
    0xffc0daf0,
    0xffc1dbf1,
    0xffc0dbf0,
    0xffc0daf0,
    0xffc1dbf1,
    0xffc1dbf0,
    0xffc0daf1,
    0xffc0daf3,
    0xffc1dcf7,
    0xffc0daf7,
    0xffc2d9f6,
    0xffc8def8,
    0xffcbdef7,
    0xffcfe0f5,
    0xfff0f4fb,
    0xfff6f6fb,
    0xfffdfdfe,
    0xfffbfcf9,
    0xfffffdff,
    0xfffdfefe,
    0xfffcfcfb,
    0xfffafcf7,
    0xfffbfdfc,
    0xfff9fbfa,
    0xfffafcfb,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffefffe,
    0xfffffdfe,
    0xfffffeff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfffffffd,
    0xfffdfffc,
    0xfffdfffd,
    0xfffdfffd,
    0xfffdfffa,
    0xfffeffff,
    0xffffffff,
    0xfffeffff,
    0xfffcfefd,
    0xfff7f8fa,
    0xfff5f8fb,
    0xffeef4f9,
    0xfff0f5fb,
    0xfff7fbfe,
    0xfff4f8fd,
    0xfff3f7fe,
    0xffeef0fa,
    0xffeef1fb,
    0xfff0f5fb,
    0xffeef2f8,
    0xfff2f7fc,
    0xfff4f8fd,
    0xffeaf1f8,
    0xffe1edf7,
    0xffcbdbef,
    0xffc4d7f2,
    0xffbed5f5,
    0xffbcd5f5,
    0xffbcd7f1,
    0xffc9ddf5,
    0xffe0f0ff,
    0xffdeebfd,
    0xffe2ecfb,
    0xffe4eefd,
    0xffe1ecff,
    0xffd2e0f9,
    0xffc6d8f4,
    0xffbbd4f2,
    0xffbcd5f3,
    0xffbdd6f4,
    0xffbad3f2,
    0xffbbd4f4,
    0xffbad3f6,
    0xffbad2f5,
    0xffbbd2f6,
    0xffb7d4f4,
    0xffb6d3f3,
    0xffb6d3f3,
    0xffb7d4f4,
    0xffb7d4f5,
    0xffb6d3f4,
    0xffb5d2f3,
    0xffb6d3f5,
    0xffb4d1f1,
    0xffb4d1f1,
    0xffb5d2f2,
    0xffb4d1f0,
    0xffb7d3f4,
    0xffb4d2f2,
    0xffb5d3f2,
    0xffb4d2f2,
    0xffb1ceef,
    0xffb4d1f4,
    0xffb6d3f6,
    0xffb5d1f5,
    0xffb1cff1,
    0xffb2cff2,
    0xffb1ceef,
    0xffb1cef0,
    0xffb0ccf3,
    0xffb0ccf4,
    0xffb0ccf4,
    0xffafccf3,
    0xffb0ccf3,
    0xffb1cdf4,
    0xffb1cef4,
    0xffb0ccf3,
    0xffb0ccf3,
    0xffb0cdf3,
    0xffaecdf3,
    0xffadcdf3,
    0xffaecef4,
    0xffadcef4,
    0xffadcdf5,
    0xffaecef5,
    0xffafcef6,
    0xffafcef4,
    0xffaccdf4,
    0xffadccf3,
    0xffaccbf3,
    0xffacccf3,
    0xffb1cef6,
    0xffb0cdf5,
    0xffafd0f9,
    0xffafcef8,
    0xffacccf4,
    0xffaecdf7,
    0xffadccf5,
    0xffaecdf6,
    0xffadcdf6,
    0xffa7c8f1,
    0xffaad0f1,
    0xffa8cbec,
    0xffadcced,
    0xffb7cbee,
    0xffa9b1d5,
    0xffadaaca,
    0xffbeb0c5,
    0xffaf9dad,
    0xffccacd5,
    0xffc0929e,
    0xffc89687,
    0xffb29673,
    0xff6e723c,
    0xff597232,
    0xff445321,
    0xff3d3816,
    0xff393c2d,
    0xff83796a,
    0xffb2a49a,
    0xff968d93,
    0xffc4bec8,
    0xfffceef0,
    0xffdcd1ce,
    0xffd7d6d5,
    0xffb9c0b7,
    0xff707977,
    0xff9bafaf,
    0xff405a54,
    0xff3d5c46,
    0xff597553,
    0xff1a2f0d,
    0xff132105,
    0xff0f1612,
    0xff2e382d,
    0xff131d1c,
    0xff02100a,
    0xff0c1b19,
    0xff000b15,
    0xff051612,
    0xff000a09,
    0xff3d504c,
    0xff2e3b39,
    0xff2d3332,
    0xff4f5451,
    0xff373c37,
    0xff7b7f75,
    0xff56554a,
    0xff807b70,
    0xff7e8087,
    0xff49555c,
    0xff67717a,
    0xff41414d,
    0xff393d46,
    0xff2a373c,
    0xff67736f,
    0xff6c6963,
    0xff9e9292,
    0xffac988e,
    0xff3a321a,
    0xff2b3a17,
    0xff4d5829,
    0xff84733b,
    0xff735b23,
    0xff766e3e,
    0xff364518,
    0xff19300c,
    0xff132f16,
    0xff224228,
    0xff224323,
    0xff0f300f,
    0xff0a290e,
    0xff0e2b18,
    0xff0c280e,
    0xff021c09,
    0xff051d12,
    0xff132c25,
    0xff0e241a,
    0xff112820,
    0xff001015,
    0xff001021,
    0xff203152,
    0xff7a85a4,
    0xffbbc0de,
    0xffbbbede,
    0xffcccfeb,
    0xffecf0fc,
    0xffd2d3ce,
    0xffd8d8c3,
    0xff707a60,
    0xff7a7f62,
    0xff4f503b,
    0xff343723,
    0xff6e7864,
    0xffbec7cf,
    0xffe5e9fc,
    0xffb1b3b3,
    0xff979da2,
    0xff777c8d,
    0xff666c94,
    0xff4a5a94,
    0xff738fd0,
    0xff8cace9,
    0xff294777,
    0xff556d99,
    0xff5574a4,
    0xffb0c0e5,
    0xff000005,
    0xffd7e5ff,
    0xffb0b3d5,
    0xffdfdff7,
    0xffb7b8af,
    0xffbbab71,
    0xff846212,
    0xffca9d41,
    0xffa36d17,
    0xffab781c,
    0xffab7509,
    0xffcc871f,
    0xffb47611,
    0xffb38a0f,
    0xffcca529,
    0xffb88e15,
    0xff927007,
    0xff6b550e,
    0xff61471c,
    0xff5e3c00,
    0xff7f640c,
    0xff746513,
    0xff5e4c09,
    0xff6b5609,
    0xff967b24,
    0xff795805,
    0xff7c5903,
    0xff88650a,
    0xffb9922b,
    0xff9e7218,
    0xff896019,
    0xff80571d,
    0xff663b1b,
    0xff693709,
    0xff763f0d,
    0xffad7b25,
    0xffaf8c15,
    0xff886b19,
    0xff524b02,
    0xff4a4009,
    0xff594c17,
    0xff472900,
    0xff9d7120,
    0xffad741a,
    0xffa06700,
    0xff905514,
    0xffac823a,
    0xff52330d,
    0xff4c3203,
    0xff7a611e,
    0xff5c5317,
    0xff132200,
    0xff0c1b0b,
    0xff272407,
    0xff5d3e0b,
    0xff7c6025,
    0xff2a2600,
    0xff776a37,
    0xff716e0c,
    0xff646b10,
    0xff887c22,
    0xff625515,
    0xff102122,
    0xff4d574c,
    0xff5c5b1a,
    0xff503c14,
    0xff4d3c1d,
    0xff5b6011,
    0xff374302,
    0xff434c08,
    0xff5a590e,
    0xff363403,
    0xff394502,
    0xff5f6f4b,
    0xff495c47,
    0xff506831,
    0xff394015,
    0xff575826,
    0xff606f20,
    0xff5d6529,
    0xff495221,
    0xff3e4310,
    0xff654008,
    0xff9e400e,
    0xffbb4925,
    0xff9b3b1c,
    0xff90330c,
    0xffa95d23,
    0xff311500,
    0xff3c4021,
    0xff6e6259,
    0xff220e0c,
    0xff252603,
    0xff5a5e36,
    0xff2c3913,
    0xff1d3406,
    0xff344325,
    0xff0c2418,
    0xff154252,
    0xff39647d,
    0xff5a8096,
    0xff285793,
    0xff70482e,
    0xff93876a,
    0xff889265,
    0xff9fa472,
    0xff879a6c,
    0xff607041,
    0xff736a54,
    0xff44585c,
    0xff0f3946,
    0xff2d5471,
    0xff12325c,
    0xff021d3d,
    0xff233c4c,
    0xff132b3b,
    0xff082047,
    0xff001656,
    0xff172848,
    0xff7d8698,
    0xff9c97a6,
    0xff63586a,
    0xff554a5a,
    0xff4f4854,
    0xff454151,
    0xff413d56,
    0xff454553,
    0xff4a3d4e,
    0xff635e62,
    0xff86988b,
    0xff8a907a,
    0xffad8879,
    0xffb66e6c,
    0xffa04f52,
    0xff992032,
    0xffa01f39,
    0xffc98d9c,
    0xff8d7984,
    0xff553e4c,
    0xff41363c,
    0xff3c3533,
    0xff5f5c52,
    0xff777b76,
    0xff647371,
    0xff667a74,
    0xff617767,
    0xff6e7f61,
    0xff889871,
    0xff809069,
    0xff808e6c,
    0xff96968a,
    0xff8e7975,
    0xff928073,
    0xffa08c77,
    0xffb07260,
    0xffb3473c,
    0xffb52423,
    0xffbd0b16,
    0xffc51c1b,
    0xffcb3231,
    0xffd7444a,
    0xffce2d41,
    0xffc92c49,
    0xffc15871,
    0xff69344d,
    0xff4e2142,
    0xff6f2f4f,
    0xff7b4559,
    0xffa46483,
    0xff67254f,
    0xff6f464d,
    0xffc28b68,
    0xffc25e35,
    0xffce5238,
    0xffcf5357,
    0xffa55752,
    0xff6b2621,
    0xff6d060e,
    0xff7c0214,
    0xff79010f,
    0xff76010c,
    0xff74030c,
    0xff7b0011,
    0xff74030f,
    0xff6c0004,
    0xff7c2222,
    0xff91786f,
    0xff4c5b59,
    0xff1c293d,
    0xff041033,
    0xff091b41,
    0xff051448,
    0xff0f183d,
    0xffa79186,
    0xff525535,
    0xff657970,
    0xff7c6b75,
    0xff22243b,
    0xff021d29,
    0xff001924,
    0xff18332a,
    0xff365034,
    0xff4b5c48,
    0xff404646,
    0xff75716d,
    0xff726d56,
    0xff474a4e,
    0xff8c886c,
    0xffacad66,
    0xffb3bf99,
    0xff162a36,
    0xff031f3c,
    0xff103065,
    0xff01256e,
    0xff062167,
    0xff001c65,
    0xff012269,
    0xff002363,
    0xff00215e,
    0xff002162,
    0xff022367,
    0xff002669,
    0xff092565,
    0xff001859,
    0xff031e59,
    0xff1d2b4a,
    0xff9b948c,
    0xffa9a891,
    0xff788072,
    0xff7f806c,
    0xff939478,
    0xff656a6f,
    0xff2f324f,
    0xff424d68,
    0xff446075,
    0xff334b62,
    0xff192e56,
    0xff103574,
    0xff0b2764,
    0xff304161,
    0xff738190,
    0xff273b66,
    0xff213a73,
    0xff34486b,
    0xff414d60,
    0xff4c5156,
    0xffd4c78a,
    0xff89854a,
    0xff757b4c,
    0xff8d896e,
    0xff9b8675,
    0xffa98f76,
    0xffad9d6e,
    0xffb7b274,
    0xff9e7b64,
    0xff9e8065,
    0xffb09970,
    0xff92796e,
    0xff866d74,
    0xff84736d,
    0xff867d7b,
    0xff909185,
    0xff627471,
    0xff415a7f,
    0xff44485d,
    0xff8e776c,
    0xff9d8d8d,
    0xff807c89,
    0xff999ba7,
    0xff6b8194,
    0xff224f6b,
    0xff465c8b,
    0xff505789,
    0xff656f9a,
    0xff2d3c4a,
    0xff79777c,
    0xff9a7b7b,
    0xffc5a06d,
    0xffab996c,
    0xff8f856f,
    0xff4f5d66,
    0xff506f78,
    0xff5a6e6e,
    0xff71818d,
    0xff6e7b84,
    0xff8d8974,
    0xff9c997e,
    0xff867f74,
    0xff918d91,
    0xff5c6169,
    0xff697270,
    0xff9ca495,
    0xff878b7b,
    0xff696f64,
    0xff46545c,
    0xff6e716f,
    0xff898778,
    0xff707461,
    0xff8c8881,
    0xffa09091,
    0xffa29388,
    0xff8b8d72,
    0xff5d768c,
    0xff426794,
    0xff2e507d,
    0xff3d6694,
    0xff4b7291,
    0xff426371,
    0xff567e97,
    0xff446481,
    0xff81a2c2,
    0xffaed9f7,
    0xffb0ddfb,
    0xffcdedff,
    0xffd3e6ff,
    0xffcbdfe6,
    0xffcfe9f0,
    0xffc8e1ff,
    0xffc5e1f9,
    0xffc9e3f4,
    0xffc9dfed,
    0xffcce0eb,
    0xffcee1ef,
    0xffc8deef,
    0xffc3ddf4,
    0xffc5e1f9,
    0xffc6ddf4,
    0xffc8ddf4,
    0xffc5dff2,
    0xffc6def2,
    0xffc5e1f3,
    0xffc5e0f6,
    0xffc7e0fa,
    0xffc4e0fa,
    0xffc8ddf0,
    0xffd0e0f0,
    0xffd0dbe6,
    0xffe7edf2,
    0xfffafbfe,
    0xfffefefd,
    0xfffeffff,
    0xfffdffff,
    0xfffeffff,
    0xfffdfeff,
    0xfffeffff,
    0xfffeffff,
    0xfffeffff,
    0xfffeffff,
    0xfffdfeff,
    0xfffeffff,
    0xfffefefc,
    0xfff9fcfb,
    0xfff6fdfd,
    0xffeaf5fb,
    0xffd7e8f2,
    0xffd0e4f2,
    0xffc9def3,
    0xffc8dcf4,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc4dcf4,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc3dbf3,
    0xffc2dbf3,
    0xffc5daf2,
    0xffc4daf2,
    0xffc4daf2,
    0xffc4daf2,
    0xffc6dbf2,
    0xffc4daf1,
    0xffc4daf1,
    0xffc4daf2,
    0xffc5daf2,
    0xffc5dbf3,
    0xffc5dbf2,
    0xffc5dbf3,
    0xffc1d9f1,
    0xffc1d9f1,
    0xffc3daf2,
    0xffc3daf2,
    0xffc1d9f1,
    0xffc3daf2,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc1d9f1,
    0xffc3daf3,
    0xffc3daf2,
    0xffc4daf2,
    0xffc6ddf3,
    0xffc6dbf2,
    0xffc5daf2,
    0xffc4dbf2,
    0xffc2dcf3,
    0xffc0dbf1,
    0xffbfdaef,
    0xffc0dbf0,
    0xffbfdaef,
    0xffc0dbf0,
    0xffbfdaef,
    0xffc0daf0,
    0xffc0daf5,
    0xffc0dbf6,
    0xffc1dbf7,
    0xffc2daf4,
    0xffc0d4eb,
    0xffc5d7eb,
    0xffd1e1f2,
    0xffd7e4f1,
    0xfff0f5fb,
    0xffffffff,
    0xfffefefd,
    0xfffefefc,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffffffd,
    0xfff7fdfc,
    0xfff9ffff,
    0xfffcffff,
    0xfffcfefc,
    0xfff8fbf7,
    0xfffffefc,
    0xfffefefb,
    0xfffefdfa,
    0xffffffff,
    0xfffdfeff,
    0xfffeffff,
    0xfffffeff,
    0xfffffefc,
    0xfffefefc,
    0xfffefffa,
    0xfffefffa,
    0xfffffefa,
    0xfffffefc,
    0xffffffff,
    0xfffbfdfe,
    0xffe9eef4,
    0xffdde6f0,
    0xffd5e1ee,
    0xffd8e6f7,
    0xffe9f0ff,
    0xffe9efff,
    0xffe6edfb,
    0xffe0e7f4,
    0xffe3eaf6,
    0xffe7edfc,
    0xffe8eeff,
    0xffeef3ff,
    0xfff3f6fb,
    0xffeaf1f4,
    0xffe6f2f8,
    0xffdbeaf8,
    0xffc6daf0,
    0xffc0d7f5,
    0xffbbd7f3,
    0xffb9d7f1,
    0xffc1d9f1,
    0xffc6daef,
    0xffccdbec,
    0xffd5dfef,
    0xffd9deee,
    0xffe6e9fc,
    0xffe3e7ff,
    0xffd9e0fb,
    0xffcadcf9,
    0xffc4d7f4,
    0xffc0d3f0,
    0xffbed3f0,
    0xffbdd2f1,
    0xffbdd4f3,
    0xffbdd4f3,
    0xffbed4f4,
    0xffb9d2f3,
    0xffb9d5f1,
    0xffb9d4f1,
    0xffb5d3f0,
    0xffb7d4f2,
    0xffb7d4f2,
    0xffb6d4f2,
    0xffb7d4f3,
    0xffbad3f7,
    0xffb9d4f6,
    0xffb8d5f5,
    0xffb8d5f5,
    0xffb8d5f3,
    0xffb4d4f0,
    0xffb5d4ef,
    0xffb5d4ef,
    0xffb3d2f1,
    0xffb3d2f0,
    0xffb4d3f1,
    0xffb2d1ef,
    0xffb3d2f0,
    0xffb3d2f0,
    0xffb3d3f1,
    0xffb4d1f3,
    0xffb3cff0,
    0xffb5cff2,
    0xffb4cff1,
    0xffb4cdf2,
    0xffb3ccf1,
    0xffb4cdf1,
    0xffb3ccf4,
    0xffb4ccf4,
    0xffafcbf0,
    0xffafcbf0,
    0xffb0ccf0,
    0xffaeccf0,
    0xffaecef4,
    0xffaccef6,
    0xffabcefa,
    0xffabcdfc,
    0xffabd0f9,
    0xffaecff6,
    0xffafcdf2,
    0xffb0cbed,
    0xffb0c9e8,
    0xffb1cdeb,
    0xffafcaec,
    0xffadc8eb,
    0xffacc9eb,
    0xffabc8e9,
    0xffaecaee,
    0xffb3cef3,
    0xffaec9ef,
    0xffadc9ef,
    0xffacc8ee,
    0xffb2ccf3,
    0xffacc6e1,
    0xffbad2e7,
    0xffc0d4e6,
    0xffd6e3f2,
    0xffe0e4ef,
    0xffd5cdd4,
    0xff9c8d8b,
    0xffb7a59c,
    0xffd1c1d1,
    0xffcbb3ae,
    0xffa88b67,
    0xffc2b38c,
    0xffa5ad8f,
    0xff4f663f,
    0xff798659,
    0xff7d7a57,
    0xffa29986,
    0xffc6a88f,
    0xffd5b39b,
    0xffdac6bf,
    0xffffffff,
    0xfff0f4f0,
    0xffbdc5b9,
    0xff99a799,
    0xff71857e,
    0xff1a2e29,
    0xff294038,
    0xff152d1f,
    0xff001300,
    0xff182c14,
    0xff4e5e4c,
    0xff909a90,
    0xff8c8d8f,
    0xff757e72,
    0xff7c8981,
    0xff7f9483,
    0xff4d6559,
    0xff001116,
    0xff001412,
    0xff00060e,
    0xff86919c,
    0xff656c75,
    0xffc3c7ca,
    0xff9b9f9c,
    0xff585f53,
    0xff333826,
    0xff7a7b68,
    0xff4f4e38,
    0xff4b573d,
    0xff3a4d43,
    0xffc1cfce,
    0xffd5dcda,
    0xffe9ebf1,
    0xffe2e4fc,
    0xffd2d0e8,
    0xffe0d7e5,
    0xffffffff,
    0xff94824e,
    0xff928624,
    0xff616c10,
    0xff333f0b,
    0xff2c2c13,
    0xff091100,
    0xff283d0a,
    0xff1c2607,
    0xff101f0b,
    0xff061d0e,
    0xff041f12,
    0xff08210f,
    0xff001300,
    0xff0c2518,
    0xff0f291d,
    0xff0d2a16,
    0xff102d27,
    0xff00131a,
    0xff041b21,
    0xff0b231b,
    0xff051a11,
    0xff021517,
    0xff000a1a,
    0xffffffff,
    0xffebf6ff,
    0xfff9fcff,
    0xfffffcff,
    0xffffffff,
    0xffbfbccb,
    0xffb4b3b9,
    0xff999896,
    0xff484b46,
    0xff969598,
    0xfffffdff,
    0xffceced8,
    0xffc6cdca,
    0xffdde5eb,
    0xffedf0ff,
    0xfff4f7fc,
    0xffddf0f2,
    0xffb7c0e1,
    0xffc8cfff,
    0xff919fde,
    0xff607aa7,
    0xff3a5875,
    0xff7892ad,
    0xffc2d3f3,
    0xff2d4370,
    0xff576489,
    0xff00060e,
    0xfff4fbff,
    0xffece6f9,
    0xffe5dff6,
    0xffe4e1f0,
    0xffb2ada1,
    0xff625d39,
    0xff4b4218,
    0xff53461e,
    0xff4f3406,
    0xffa77430,
    0xffb36c19,
    0xffb77612,
    0xff9f7100,
    0xff986c00,
    0xff976f0e,
    0xff785d0b,
    0xff3f3205,
    0xff4c4121,
    0xff5c4c18,
    0xff7d6d2f,
    0xff4b3e16,
    0xff262500,
    0xff65591c,
    0xff8d741d,
    0xff826400,
    0xff936f10,
    0xff836306,
    0xff7e6205,
    0xff644500,
    0xff8e7025,
    0xff624203,
    0xff5f3908,
    0xff6c3e10,
    0xff7c4717,
    0xff7e5304,
    0xffa08516,
    0xff523a0a,
    0xff443e11,
    0xff272104,
    0xff312200,
    0xff8d6d33,
    0xff946613,
    0xff985e0a,
    0xffbc841c,
    0xff975d1d,
    0xff6b4517,
    0xff37160a,
    0xff392417,
    0xff150f02,
    0xff141808,
    0xff0f1608,
    0xff040600,
    0xff6c6a20,
    0xffa37d31,
    0xff6f6714,
    0xff555919,
    0xff7e5d2f,
    0xff7d5e1d,
    0xff3e420f,
    0xff4b5232,
    0xff595956,
    0xff2c373b,
    0xff2d3727,
    0xff6d7b43,
    0xff364540,
    0xff5e6e7c,
    0xff334c1e,
    0xff2b4106,
    0xff6b814a,
    0xff515f25,
    0xff252710,
    0xff616431,
    0xff383903,
    0xff3e450b,
    0xff5c6b1d,
    0xff424d0f,
    0xff424e0e,
    0xff223504,
    0xff3e4216,
    0xff101200,
    0xff61601f,
    0xff8d6b1e,
    0xffa54f07,
    0xffb64e06,
    0xffa64c00,
    0xffae540d,
    0xff7c4610,
    0xff271e03,
    0xff091500,
    0xff1b1c11,
    0xff332f27,
    0xff554f38,
    0xff331e00,
    0xff6c6342,
    0xff050e00,
    0xff0a130a,
    0xff0a1612,
    0xff102b2d,
    0xff001915,
    0xff052513,
    0xff052323,
    0xff857766,
    0xff585e5f,
    0xff516d6f,
    0xff0f2627,
    0xff33514c,
    0xff637c6e,
    0xff4d494c,
    0xff2d3852,
    0xff16315a,
    0xff142953,
    0xff212d4c,
    0xff5f686f,
    0xff889585,
    0xff95a18d,
    0xff7b8880,
    0xff3f4954,
    0xff152334,
    0xff8e92a3,
    0xff868191,
    0xff574c5c,
    0xff534958,
    0xff4c4554,
    0xff403d4e,
    0xff403b51,
    0xff484554,
    0xff463d4c,
    0xff43454c,
    0xff677e78,
    0xff708577,
    0xff6c6760,
    0xff604947,
    0xff886e6d,
    0xff90565c,
    0xffbd7283,
    0xffba99a3,
    0xff544851,
    0xff48313d,
    0xff3e2b31,
    0xff513c3b,
    0xff877871,
    0xff948f7e,
    0xff768576,
    0xff698575,
    0xff6c846c,
    0xff90a47b,
    0xff8aa16e,
    0xff8da472,
    0xff899772,
    0xff6d7160,
    0xff8a5b5c,
    0xff9f5858,
    0xffb06157,
    0xffc24c46,
    0xffc22125,
    0xffc10f1c,
    0xffcb1327,
    0xffbf1019,
    0xffb91119,
    0xffd1383f,
    0xffc3343a,
    0xffab121c,
    0xffa20415,
    0xff94061e,
    0xff9c223a,
    0xff890616,
    0xff8b0a0c,
    0xff970c0f,
    0xff900816,
    0xffa52e31,
    0xffc34c3d,
    0xffc43729,
    0xffb71b19,
    0xffb72025,
    0xffc64f4d,
    0xff9e3939,
    0xff861f25,
    0xff700510,
    0xff71030c,
    0xff780006,
    0xff7e0005,
    0xff740003,
    0xff832d24,
    0xff904e35,
    0xffb28b64,
    0xffa5a977,
    0xff99b785,
    0xffa4bc9a,
    0xff8a9a84,
    0xff2c3d4a,
    0xff11283d,
    0xff000f29,
    0xff7f7871,
    0xff5b634d,
    0xff798c7a,
    0xff696647,
    0xff939c6c,
    0xffa29f74,
    0xffa38b74,
    0xffc09d88,
    0xffae9977,
    0xff8d8b78,
    0xff2c2f3a,
    0xff71696e,
    0xffaa9880,
    0xff556664,
    0xff2f3a39,
    0xff6b7360,
    0xff697d73,
    0xff718ca0,
    0xff3f5f76,
    0xff536b87,
    0xff27346a,
    0xff062160,
    0xff03216b,
    0xff00206d,
    0xff00236a,
    0xff001f61,
    0xff041f63,
    0xff00155d,
    0xff031b5e,
    0xff001b60,
    0xff032062,
    0xff000b30,
    0xff979491,
    0xffb49c72,
    0xff938d5d,
    0xff878863,
    0xffad9b5f,
    0xffa99c71,
    0xffa08f6e,
    0xffbaab98,
    0xff7a7b73,
    0xff6f736e,
    0xff6b6767,
    0xff838797,
    0xff072147,
    0xff001f54,
    0xff0b2b65,
    0xff4f7291,
    0xff1f446d,
    0xff052a63,
    0xff102c64,
    0xff132755,
    0xff4a5c59,
    0xffc2bb6f,
    0xffabb177,
    0xff768467,
    0xff7b816f,
    0xff7b6f56,
    0xff8e7b5a,
    0xff8b8562,
    0xff878e74,
    0xff958d7f,
    0xff70675a,
    0xff8a836a,
    0xff867e75,
    0xff968c83,
    0xffaea692,
    0xff766a6c,
    0xff6c6069,
    0xff5f5854,
    0xff5d6463,
    0xffa19c8b,
    0xff7f6549,
    0xff8c7176,
    0xff5d5371,
    0xff69738f,
    0xff648496,
    0xff2a5168,
    0xff314a76,
    0xff505983,
    0xff878296,
    0xff8d7b6b,
    0xff9b7f68,
    0xff694d49,
    0xff998b6c,
    0xff8b8064,
    0xff876e64,
    0xff7f7178,
    0xff566875,
    0xff50758a,
    0xff1b466b,
    0xff547592,
    0xff859592,
    0xffa5aea0,
    0xff918979,
    0xff8b827c,
    0xff777f89,
    0xff4c5660,
    0xff7b7570,
    0xff91847b,
    0xff8c8485,
    0xff97879b,
    0xff534347,
    0xffb9b39d,
    0xff757a55,
    0xff9c9a7a,
    0xffaa9a87,
    0xff8d7f6d,
    0xffa6a78e,
    0xffa09f85,
    0xff757b74,
    0xff818782,
    0xff768487,
    0xff75837f,
    0xff7d7f6f,
    0xff929c95,
    0xff9ea19a,
    0xff8e908e,
    0xff638395,
    0xff3e708b,
    0xff7196b7,
    0xff87a2c4,
    0xffb9ddf0,
    0xffa5c6d5,
    0xffd2e3ff,
    0xffcde2ff,
    0xffd3e7ff,
    0xffd5ecff,
    0xffc4def9,
    0xffcbe5fb,
    0xffc7e1f6,
    0xffc8e4f3,
    0xffc6e2f2,
    0xffc8ddfa,
    0xffc7dffa,
    0xffc7def7,
    0xffc6dff3,
    0xffc7dff3,
    0xffc6ddf2,
    0xffcbdff5,
    0xffcaddf4,
    0xffd6e6f3,
    0xffdae7f1,
    0xfff2faff,
    0xfff6fbfe,
    0xfffefeff,
    0xfffefefe,
    0xfffefefb,
    0xfffefefc,
    0xfffeffff,
    0xfffafcfe,
    0xfffbfbfe,
    0xfffefdfd,
    0xfffdfcfc,
    0xfffcfdfc,
    0xfffffeff,
    0xfffffdfd,
    0xfffdffff,
    0xfff8fcfe,
    0xfff3fafe,
    0xffedf6fd,
    0xffe1eef9,
    0xffdae9fa,
    0xffd1e2f7,
    0xffcdddf6,
    0xffc5ddf5,
    0xffc6def6,
    0xffc6def6,
    0xffc6def6,
    0xffc5ddf5,
    0xffc5def6,
    0xffc4dcf4,
    0xffc4dcf4,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc5ddf5,
    0xffc6dcf4,
    0xffc6dcf4,
    0xffc6dcf4,
    0xffc6dcf4,
    0xffc6dcf4,
    0xffc8def5,
    0xffc6dcf4,
    0xffc6dcf4,
    0xffc5dbf3,
    0xffc4daf2,
    0xffc5dbf3,
    0xffc5d9f6,
    0xffc6daf6,
    0xffc5dbf3,
    0xffc5dbf3,
    0xffc4dcf4,
    0xffc4dcf7,
    0xffc4dcf7,
    0xffc3dbf3,
    0xffc5daf2,
    0xffc3d9f2,
    0xffc1dcf5,
    0xffc0dcf6,
    0xffc1dcf6,
    0xffc1dcf5,
    0xffc0dbf4,
    0xffc2dcf5,
    0xffc4dcf5,
    0xffc4dcf7,
    0xffc5dbf7,
    0xffc7dbf8,
    0xffc5dbf7,
    0xffc3daf5,
    0xffc4dbf9,
    0xffc4daf9,
    0xffc5dcfa,
    0xffc5dcfa,
    0xffc2dcf5,
    0xffc3daf4,
    0xffc6ddf5,
    0xffcadcf1,
    0xffd4e3f5,
    0xffe9f4ff,
    0xffe9f2fa,
    0xffe7eff7,
    0xfffeffff,
    0xfffcfffe,
    0xfffefefa,
    0xfffffffe,
    0xfffefeff,
    0xfffffeff,
    0xffffffff,
    0xffffffff,
    0xfff7feff,
    0xffe7f0f2,
    0xffe9eef1,
    0xffedf1f2,
    0xfff8f8fb,
    0xffffffff,
    0xfffefefc,
    0xfffffdfd,
    0xfffeffff,
    0xfffcfdff,
    0xfffcfdff,
    0xfffbfcfd,
    0xfffafcfb,
    0xfffbfbf9,
    0xfffbfbf9,
    0xfffbfcf7,
    0xfffbf9f5,
    0xfffcfaf7,
    0xfffaf9fa,
    0xfff3f6fb,
    0xffe5edf6,
    0xffd1dfee,
    0xffc9dcf1,
    0xffc5d7f2,
    0xffc7d5f2,
    0xffccdaf3,
    0xffcddcef,
    0xffd3e1f0,
    0xffddebf9,
    0xffd3ddef,
    0xffd0d9f0,
    0xffd3ddf6,
    0xffe0e5f1,
    0xffe6eef6,
    0xffdeeaf4,
    0xffcddff0,
    0xffc2d6f1,
    0xffbdd6f4,
    0xffbbd8f5,
    0xffbbdaf7,
    0xffbcd6f6,
    0xffbdd5f2,
    0xffc4d8f1,
    0xffcadcf2,
    0xffd3dff7,
    0xffd5def8,
    0xffd9e2fd,
    0xffd9e2ff,
    0xffc7daf9,
    0xffc3d8f8,
    0xffc0d6f5,
    0xffbcd3f3,
    0xffbbd3f3,
    0xffbad3f3,
    0xffbbd5f6,
    0xffbbd5f6,
    0xffbbd2f4,
    0xffbbd2f5,
    0xffb9d3f5,
    0xffb9d2f4,
    0xffb7d2f0,
    0xffb9d4f1,
    0xffb9d4f2,
    0xffb9d4f2,
    0xffb8d6f9,
    0xffb8d3f9,
    0xffb7d5f8,
    0xffb6d4f7,
    0xffb7d5f7,
    0xffb4d3f2,
    0xffb2d4f2,
    0xffb2d4f0,
    0xffb4d5f6,
    0xffb1d3f4,
    0xffb1d2f4,
    0xffb1d3f4,
    0xffb0d1f2,
    0xffb0d1f2,
    0xffb0d3f5,
    0xffb1d3f6,
    0xffb2d1f3,
    0xffb5d2f4,
    0xffb4d1f6,
    0xffb2cff3,
    0xffb1ccf4,
    0xffb1cdf5,
    0xffb1cef6,
    0xffb3cef6,
    0xffafcef6,
    0xffb0cef4,
    0xffb1ccf2,
    0xffb1ceef,
    0xffb2cdf1,
    0xffafcdf3,
    0xffadcdf4,
    0xffadcdf6,
    0xffaecef2,
    0xffadc7e9,
    0xffb6cce7,
    0xffcadbef,
    0xffcfdbee,
    0xffbdcbdc,
    0xffcadbee,
    0xffd0e5f8,
    0xffd0e3f6,
    0xffcee1f4,
    0xffcee1f5,
    0xffc2d5ea,
    0xffbed1e5,
    0xffb9cbe3,
    0xffb5c7e2,
    0xffcfdef6,
    0xfffbfaff,
    0xfffefeff,
    0xfffeffff,
    0xffffffff,
    0xffffffff,
    0xfff2ede9,
    0xfffffff7,
    0xffbfb9a4,
    0xff6f7e4f,
    0xff7b7e61,
    0xffcecca2,
    0xff858c53,
    0xff3a4a23,
    0xff374a33,
    0xff4b5242,
    0xff8e8685,
    0xfff6ebd7,
    0xffc3b193,
    0xff776c51,
    0xff929c8c,
    0xff637970,
    0xff91a69d,
    0xff4e5f54,
    0xff182c23,
    0xff10281d,
    0xff445b51,
    0xff001108,
    0xff9eb2a9,
    0xffb8c8c2,
    0xffb9c9c2,
    0xffc8d8d4,
    0xffdeece7,
    0xfff1f9e5,
    0xffb5c7a0,
    0xff59734f,
    0xff3d5d34,
    0xff1b3c1b,
    0xff0e2a21,
    0xff00110b,
    0xff04131b,
    0xff142636,
    0xff677483,
    0xff0c1821,
    0xff081617,
    0xff01100b,
    0xff06160d,
    0xff030e03,
    0xff232b22,
    0xff131d1f,
    0xff101c25,
    0xff1c282f,
    0xff0a1611,
    0xff40463a,
    0xffacb09f,
    0xff6b7154,
    0xff6a6f4b,
    0xff566041,
    0xff706f34,
    0xff8c7521,
    0xffa27824,
    0xffb68f4e,
    0xff99824e,
    0xff766636,
    0xff847246,
    0xff484e39,
    0xff0d1c0c,
    0xff11281c,
    0xff264033,
    0xff152e1f,
    0xff1d3525,
    0xff213b2d,
    0xff142f26,
    0xff28474c,
    0xff0f2b38,
    0xff365166,
    0xff7993a4,
    0xff1a3238,
    0xff152b2c,
    0xff04191b,
    0xff001117,
    0xff173239,
    0xff647a7b,
    0xffb8c8c7,
    0xffa2aead,
    0xffa3aeb5,
    0xffc0c9d5,
    0xffebf4fb,
    0xffe1e5e9,
    0xffdddfda,
    0xffc3c4cb,
    0xff9795af,
    0xffefefff,
    0xfff3f5ff,
    0xffe6eef5,
    0xffe5e9f4,
    0xffe2e4f6,
    0xffdff0fd,
    0xffc3cfea,
    0xffb5bfe3,
    0xffb3c4e7,
    0xff607a9c,
    0xff6a87af,
    0xffcfe3ff,
    0xffacb9e1,
    0xff102228,
    0xff000115,
    0xff000a0f,
    0xff8e98b7,
    0xffa7b3c2,
    0xffe3effa,
    0xff8d9795,
    0xff343723,
    0xff1f2704,
    0xff22330e,
    0xff30451b,
    0xff515e23,
    0xff756815,
    0xffb48d28,
    0xff9b6e00,
    0xffb3880d,
    0xff9f6c07,
    0xff865614,
    0xff684312,
    0xff5a440f,
    0xff3c2e07,
    0xff251900,
    0xff110900,
    0xff282718,
    0xff3a421a,
    0xff292500,
    0xff826f1a,
    0xffab9125,
    0xff8b6e0c,
    0xff917b27,
    0xff5a4905,
    0xff7e6f36,
    0xff2a1900,
    0xff54410b,
    0xff4e2d00,
    0xff6a3b0d,
    0xff5b1c00,
    0xff713707,
    0xff8f6a20,
    0xff76592f,
    0xff3e2f11,
    0xff332610,
    0xff201200,
    0xff624f2a,
    0xff8a6f3b,
    0xff6b4f21,
    0xff8c793b,
    0xff877660,
    0xff3b2224,
    0xff48331a,
    0xff362a08,
    0xff1a1e12,
    0xff151a05,
    0xff463e14,
    0xff836f35,
    0xff8e7f21,
    0xff624d03,
    0xff6c6928,
    0xff6b5a1f,
    0xff935a2f,
    0xff804526,
    0xff332d0d,
    0xff3d562e,
    0xff415243,
    0xff52502d,
    0xff383818,
    0xff031700,
    0xff759ec7,
    0xff77a0e6,
    0xff26404f,
    0xff333f30,
    0xff334231,
    0xff5d7981,
    0xff6f7f97,
    0xff566352,
    0xff2d3711,
    0xff455226,
    0xff465a18,
    0xff2b4200,
    0xff3a5407,
    0xff30450b,
    0xff3c3d09,
    0xff665f20,
    0xff625b13,
    0xff755307,
    0xffb36414,
    0xffc8680d,
    0xffc26e05,
    0xffba6c19,
    0xff4e2a01,
    0xff23280c,
    0xff28301d,
    0xff1d2011,
    0xff30382d,
    0xff343332,
    0xff442e1d,
    0xff0a0c00,
    0xff011d0c,
    0xff001f10,
    0xff051e09,
    0xff001704,
    0xff052415,
    0xff031b0c,
    0xff02110c,
    0xff667869,
    0xff273c55,
    0xff001c44,
    0xff00153c,
    0xff001534,
    0xff15262e,
    0xff6b6365,
    0xff73777d,
    0xff1f3a4e,
    0xff192d38,
    0xff687672,
    0xff6c7968,
    0xff51624b,
    0xff728969,
    0xff768e66,
    0xff879e74,
    0xff838f86,
    0xffadafb4,
    0xff716c7a,
    0xff594d5e,
    0xff4d4358,
    0xff433d53,
    0xff444053,
    0xff484452,
    0xff4b4156,
    0xff464050,
    0xff393e44,
    0xff617974,
    0xff617771,
    0xff505c57,
    0xff696e6a,
    0xff5a625b,
    0xff9a8e8d,
    0xffcba9b2,
    0xff63585f,
    0xff474048,
    0xff473740,
    0xff3a292d,
    0xff78615e,
    0xff908177,
    0xff887867,
    0xff727a69,
    0xff788e7d,
    0xff889784,
    0xff758364,
    0xff7c9068,
    0xff7e8d69,
    0xff8c8c71,
    0xff9d826f,
    0xffb65a59,
    0xffba3b40,
    0xffbf3e39,
    0xffc72b2a,
    0xffcd131e,
    0xffc1091b,
    0xffc11128,
    0xffbc0b17,
    0xffc01120,
    0xffb51321,
    0xffab1f28,
    0xff8a0a0e,
    0xff720000,
    0xff730005,
    0xffef969a,
    0xffdb8392,
    0xffc23f51,
    0xffb12c39,
    0xffc76a6e,
    0xffffaeb3,
    0xffd95e64,
    0xffa40a12,
    0xffae0814,
    0xffaa1012,
    0xffa80c13,
    0xff9c161e,
    0xff71070b,
    0xff6f070d,
    0xff790009,
    0xff880004,
    0xff890000,
    0xff9f3227,
    0xffd99078,
    0xffc2a87f,
    0xffafa878,
    0xffaba472,
    0xffa2ab72,
    0xff95af70,
    0xff9cad70,
    0xffa5b47e,
    0xffb6c599,
    0xff9ca593,
    0xff777260,
    0xff596258,
    0xff25353b,
    0xff797759,
    0xffbbb66d,
    0xff9f9542,
    0xffb9995c,
    0xffb28953,
    0xffac9151,
    0xff949367,
    0xff697169,
    0xff454540,
    0xff7b7255,
    0xff8d8670,
    0xff63596a,
    0xff4e4a61,
    0xff414a54,
    0xff435560,
    0xff273b42,
    0xff818381,
    0xff645661,
    0xff2e3754,
    0xff02123e,
    0xff0d225d,
    0xff021a5f,
    0xff051e60,
    0xff08215f,
    0xff102b65,
    0xff153270,
    0xff05276b,
    0xff001f59,
    0xff31525c,
    0xff818171,
    0xff85765a,
    0xff969d8a,
    0xff6f7a77,
    0xff998862,
    0xff7f7555,
    0xff9f906a,
    0xff857b5a,
    0xff80826a,
    0xff797459,
    0xffa89b7b,
    0xff8a8876,
    0xff7a888c,
    0xff253e58,
    0xff0e2f6a,
    0xff07315a,
    0xff436b84,
    0xff3b5871,
    0xff223658,
    0xff2e3c5c,
    0xff687c65,
    0xffb4b277,
    0xff96966d,
    0xff575f42,
    0xff808865,
    0xffa3a474,
    0xff959265,
    0xff92917a,
    0xff4d5050,
    0xff344030,
    0xff82887c,
    0xff666652,
    0xff716662,
    0xff7b6b62,
    0xffb6a483,
    0xff816951,
    0xffab907a,
    0xffaf9b81,
    0xffbeb175,
    0xffc4bc77,
    0xff9a8956,
    0xffbea791,
    0xff616773,
    0xff294f6e,
    0xff335a73,
    0xff42637b,
    0xff66829e,
    0xff576371,
    0xff8e7f78,
    0xffe3c293,
    0xffcba86f,
    0xff927761,
    0xff877861,
    0xff806b5d,
    0xff816670,
    0xffa0869b,
    0xff4e4b64,
    0xff44638a,
    0xff193960,
    0xff515e74,
    0xff494e56,
    0xff6b7985,
    0xff67737a,
    0xff717b7c,
    0xff6e767c,
    0xff9e9eaa,
    0xff8b858a,
    0xff7b6c69,
    0xff7b695b,
    0xff75605b,
    0xff887979,
    0xff989b9d,
    0xff5e7472,
    0xff778886,
    0xff858780,
    0xff8c8779,
    0xff888e76,
    0xff8a8a6a,
    0xff85917b,
    0xff9ea78f,
    0xff63726c,
    0xff7d858b,
    0xff686568,
    0xff5a5d67,
    0xff8a8786,
    0xff7b8589,
    0xff7d849c,
    0xff707c85,
    0xff68857b,
    0xff548190,
    0xff39698d,
    0xff597292,
    0xff7e8195,
    0xffe4edff,
    0xff71819a,
    0xff839dc0,
    0xffd5f4ff,
    0xff87a9d2,
    0xffd1efff,
    0xffcde4ff,
    0xffd0e2f9,
    0xffc9e0fe,
    0xffc9e2fe,
    0xffc5dffa,
    0xffc7e2f8,
    0xffc7def6,
    0xffcadaef,
    0xffcfdaee,
    0xffdfe7f9,
    0xffe9f3fc,
    0xffeff8ff,
    0xfff3fbfe,
    0xfffafeff,
    0xffffffff,
    0xfffffefd,
    0xfffffefc,
    0xfffefefb,
    0xffffffff,
    0xfffcfcfc,
    0xfffbfafa,
    0xfffafafb,
    0xfffbfbfb,
    0xfffaf9fa,
    0xfffbf9fa,
    0xfff7f6f8,
    0xffe7eff6,
    0xffdfe7f0,
    0xffe2ebf7,
    0xffe3ecfb,
    0xffdee9fb,
    0xffdbe9fe,
    0xffd8e7fe,
    0xffd4e4fc,
    0xffc9def8,
    0xffc9dff7,
    0xffc8def6,
    0xffc9dff7,
    0xffc9dff7,
    0xffc9dff7,
    0xffc9dff7,
    0xffc9def6,
    0xffc5ddf5,
    0xffc6def6,
    0xffc9def6,
    0xffc9dff7,
    0xffc8def6,
    0xffc7ddf5,
    0xffcaddf7,
    0xffc8dcf5,
    0xffc7dcf8,
    0xffc4ddf8,
    0xffc4ddf8,
    0xffc8def9,
    0xffc5dbf3,
    0xffc6dbf4,
    0xffc7dcf5,
    0xffc5dbf3,
    0xffc9dcf3,
    0xffc5dbf2,
    0xffc5dbf3,
    0xffc6ddf5,
    0xffc5dcf4,
    0xffc2d8f1,
    0xffc5dcf2,
    0xffc6d9ee,
    0xffc5d8ec,
    0xffc5d7ea,
    0xffc6d9ea,
    0xffcbdcee,
    0xffcedef0,
    0xffcddded,
    0xffcddced,
    0xffcfdef0,
    0xffc9d9ef,
    0xffc3d5ea,
    0xffc4d4eb,
    0xffc3d5ec,
    0xffc4d7ee,
    0xffc5d8f0,
    0xffc7daf2,
    0xffc8dbf3,
    0xffc6dbf0,
    0xffc8dbef,
    0xffc8d9ea,
    0xffd9e6f5,
    0xffe7f1fe,
    0xfff0f6ff,
    0xfff5f9fd,
    0xfff0f4f7,
    0xfff5f4f7,
    0xfff8f7f8,
    0xfffcfcf8,
    0xfff5f7f4,
    0xfff7f8f9,
    0xfff9fafe,
    0xfff8f8fb,
    0xfff3f2f6,
    0xffe2ecf2,
    0xffd9e1e6,
    0xffdfe7ec,
    0xffecf1f4,
    0xfff6faff,
    0xfff7f8fc,
    0xfffbfbfd,
    0xfffafafc,
    0xfff7fafe,
    0xffeef1f7,
    0xffe9eef0,
    0xffeff3f6,
    0xfffbfdff,
    0xfff9fbfc,
    0xfff8fafb,
    0xfffafbfd,
    0xfffcfafa,
    0xfffbfafb,
    0xfff8f9fb,
    0xfff4f9fe,
    0xffe8f2fc,
    0xffdce9fb,
    0xffc9daf4,
    0xffc4d8f5,
    0xffc3d6f5,
    0xffc4d7f3,
    0xffc4d6ea,
    0xffcaddec,
    0xffd1e2f2,
    0xffd4e4f7,
    0xffc7d7f1,
    0xffc3d0ec,
    0xffd5e2f3,
    0xffe1eefe,
    0xffdcecfa,
    0xffcedff3,
    0xffc1d6f0,
    0xffbdd4f4,
    0xffbad5f5,
    0xffbddaf9,
    0xffbad4fa,
    0xffbbd4fb,
    0xffbdd7fa,
    0xffbcd5f4,
    0xffc0d8f7,
    0xffbed7f6,
    0xffbfd6f8,
    0xffbbd5f6,
    0xffbbd3f5,
    0xffbfd7f9,
    0xffb8d2f4,
    0xffbdd6f8,
    0xffb8d5f7,
    0xffb8d7f9,
    0xffb7d5f7,
    0xffb7d5f7,
    0xffbcd3f7,
    0xffbbd1f7,
    0xffbcd3f8,
    0xffbad2f7,
    0xffbbd3f5,
    0xffbad1f4,
    0xffbad4f5,
    0xffbbd4f6,
    0xffb5d3f6,
    0xffb5d3f7,
    0xffb6d4f8,
    0xffb8d6fb,
    0xffb6d5fa,
    0xffb6d3f9,
    0xffb5d2f8,
    0xffb5d2fa,
    0xffb3d2f6,
    0xffb7d6f7,
    0xffb6d4f5,
    0xffb6d4f3,
    0xffb4d5f5,
    0xffb4d5f8,
    0xffb4d4fa,
    0xffb5d4fc,
    0xffb3d5f7,
    0xffb2d4f7,
    0xffb4d5f8,
    0xffb3d3f9,
    0xffb0cff4,
    0xffb3cef5,
    0xffb1cdf3,
    0xffafccf2,
    0xffaed1f6,
    0xffafd0f5,
    0xffb5d3f6,
    0xffb7d1f4,
    0xffb6cced,
    0xffb6cbe9,
    0xffb8cbe9,
    0xffb8cbe7,
    0xffb9cae2,
    0xffc7d5e9,
    0xfff0f8ff,
    0xfffeffff,
    0xffffffff,
    0xffffffff,
    0xfffbffff,
    0xfff8ffff,
    0xfffbffff,
    0xfffcffff,
    0xfffdffff,
    0xfffcffff,
    0xfffcffff,
    0xfff9ffff,
    0xfff7fdff,
    0xfffbffff,
    0xfffffcfd,
    0xfffffbf9,
    0xfffcfaf6,
    0xfffffcf9,
    0xfffefbfa,
    0xffeeebea,
    0xfffffef9,
    0xfffaf2e7,
    0xffe7dfbd,
    0xffc9baab,
    0xffac9f7e,
    0xff717230,
    0xff525e1b,
    0xff647234,
    0xff707441,
    0xff474425,
    0xff1c320f,
    0xff0d2400,
    0xff233d21,
    0xff092513,
    0xff0f2410,
    0xff272c12,
    0xff3e422e,
    0xff2c382e,
    0xff9aaea9,
    0xffa9bab6,
    0xffb3c4be,
    0xff778685,
    0xff263632,
    0xff506656,
    0xff506c47,
    0xff24410d,
    0xff5f7b3a,
    0xff5a7c2c,
    0xff2a510c,
    0xff517d36,
    0xff2c5320,
    0xff24412d,
    0xff112617,
    0xff041014,
    0xff4a595c,
    0xff000000,
    0xff0c171b,
    0xff041213,
    0xff132323,
    0xff000a08,
    0xff0f1a1a,
    0xff353a3c,
    0xff1d2116,
    0xff161d11,
    0xff172318,
    0xff1d2923,
    0xff565d52,
    0xff787d63,
    0xff3d4528,
    0xff112007,
    0xff001e00,
    0xff05230e,
    0xff15201a,
    0xff1c190f,
    0xff33351c,
    0xff1c2f0a,
    0xff283313,
    0xff322c1a,
    0xff192413,
    0xff122716,
    0xff163220,
    0xff254230,
    0xff122f1c,
    0xff122f1c,
    0xff183623,
    0xff325543,
    0xff1a3e3f,
    0xff446868,
    0xff032527,
    0xff07252e,
    0xff000b1c,
    0xff162d3c,
    0xff02151b,
    0xff0a211c,
    0xff0f2625,
    0xff001913,
    0xff000a04,
    0xff000805,
    0xff09262a,
    0xff91a7ab,
    0xff667471,
    0xff787c71,
    0xff7b836c,
    0xff292f2b,
    0xfff2f7ff,
    0xffeef3ff,
    0xffe2e8f8,
    0xffeaeef5,
    0xffdadce8,
    0xfffcfbff,
    0xff444f5a,
    0xffc1c8da,
    0xffa9b1c2,
    0xff566576,
    0xff4a6381,
    0xff244070,
    0xff233a69,
    0xff384b65,
    0xff000600,
    0xff1a1e1c,
    0xff2b1e05,
    0xff5a4b2d,
    0xff464711,
    0xff535b0f,
    0xff79731f,
    0xffa5963c,
    0xffad9040,
    0xff8a7b37,
    0xffa8a968,
    0xff676d20,
    0xff7f8321,
    0xff9d921e,
    0xff9a7b04,
    0xff986801,
    0xffc4900c,
    0xffb68428,
    0xff804f09,
    0xffb2853d,
    0xff634102,
    0xff887543,
    0xff525021,
    0xff080f00,
    0xff3e4016,
    0xff5f5a06,
    0xff796306,
    0xff735108,
    0xff6b4b07,
    0xff675408,
    0xff625918,
    0xff251f00,
    0xff130f07,
    0xff231900,
    0xff51350c,
    0xff683206,
    0xff7e3709,
    0xff914622,
    0xff8b4e15,
    0xff794c07,
    0xff6f4617,
    0xff644210,
    0xff7e632e,
    0xff260a00,
    0xff503310,
    0xff675026,
    0xff847b49,
    0xff857d87,
    0xff675f57,
    0xff514415,
    0xff272000,
    0xff343522,
    0xff232300,
    0xff9d9043,
    0xff715d16,
    0xff7f7828,
    0xff756907,
    0xff7f7125,
    0xff9a7a40,
    0xff744315,
    0xff482202,
    0xff6c6538,
    0xff535d38,
    0xff34321d,
    0xff595830,
    0xff3a3522,
    0xff060f03,
    0xff375361,
    0xff34516f,
    0xff314247,
    0xff384443,
    0xff051a20,
    0xff264f73,
    0xff6d8fb5,
    0xff2f4c4e,
    0xff435848,
    0xff6f7f61,
    0xff556321,
    0xff3f4700,
    0xff5d6011,
    0xff4d5e0b,
    0xff504e06,
    0xff615713,
    0xff615714,
    0xff83611f,
    0xff924901,
    0xffc77012,
    0xffd68e1b,
    0xffb47d2e,
    0xff190800,
    0xff192309,
    0xff131200,
    0xff21220b,
    0xff0f210f,
    0xff1f2a37,
    0xff322e2a,
    0xff2c3033,
    0xff052018,
    0xff00200c,
    0xff253b2b,
    0xff161d0f,
    0xff08140a,
    0xff0c1e1c,
    0xff16211f,
    0xff163843,
    0xff0f294e,
    0xff001a35,
    0xff33484c,
    0xff283735,
    0xff354439,
    0xff97968c,
    0xff565e5a,
    0xff354e48,
    0xff82968d,
    0xff6f7b76,
    0xff556267,
    0xff2d3f53,
    0xff3a5464,
    0xff455f5c,
    0xff4d634d,
    0xff6b7568,
    0xffa9a9ab,
    0xff635b6a,
    0xff574c5d,
    0xff473e54,
    0xff3d3951,
    0xff454056,
    0xff48424f,
    0xff483d53,
    0xff474552,
    0xff808b8a,
    0xff798c84,
    0xff75887f,
    0xff6b7871,
    0xff7a867e,
    0xff7c8a80,
    0xff5b5855,
    0xff452e36,
    0xff41343a,
    0xff443a42,
    0xff3d3438,
    0xff494240,
    0xff887b76,
    0xff838577,
    0xff95847f,
    0xff83867b,
    0xff7e8c7e,
    0xff7d8078,
    0xff797d72,
    0xff627061,
    0xff79766a,
    0xff9d7a77,
    0xffb46054,
    0xffc8383e,
    0xffc41f26,
    0xffbf2422,
    0xffc51d1c,
    0xffcb121b,
    0xffc30c1b,
    0xffbb091f,
    0xffb80911,
    0xffc62c35,
    0xffb52e3e,
    0xff8e202e,
    0xffdd9298,
    0xffe8b7ba,
    0xffffd3da,
    0xffffd4dc,
    0xffe7a7b3,
    0xff994c59,
    0xffebc3ca,
    0xffffffff,
    0xffcc919f,
    0xffb14a59,
    0xff9a1b26,
    0xff900005,
    0xff910000,
    0xffa8040f,
    0xff9b0b16,
    0xff6a0001,
    0xff710003,
    0xff8e010d,
    0xffb11e26,
    0xffbc2f2f,
    0xffa43514,
    0xffa4562e,
    0xff846637,
    0xff836b40,
    0xffab7b5b,
    0xffb29166,
    0xffa6a96e,
    0xffa3a968,
    0xffa1b56b,
    0xffa2af64,
    0xff9e956a,
    0xffa19274,
    0xff6c6f64,
    0xff2d3a4e,
    0xff918c7f,
    0xff967b3f,
    0xffb39448,
    0xffc5a666,
    0xffad914f,
    0xffaa9c52,
    0xffa49e6b,
    0xff6c6a64,
    0xff2e3348,
    0xff263342,
    0xff676769,
    0xff656377,
    0xff4a4657,
    0xff7f755a,
    0xff93875b,
    0xff9c9576,
    0xffa49e76,
    0xffa69a78,
    0xff91826b,
    0xff73695d,
    0xff4a4958,
    0xff454a73,
    0xff25355f,
    0xff233b59,
    0xff37597a,
    0xff5e82b8,
    0xff052e69,
    0xff001d65,
    0xff33597c,
    0xff24343e,
    0xff606a5b,
    0xff67867a,
    0xff1e3554,
    0xff433941,
    0xff8a7b63,
    0xff86744f,
    0xff8c8866,
    0xff838262,
    0xffc8b986,
    0xff9e8a4c,
    0xff9b9568,
    0xff95957d,
    0xff99a08b,
    0xff4f6379,
    0xff1d3c5e,
    0xff1e324d,
    0xffaeb8c3,
    0xffbec3bd,
    0xff8e9378,
    0xffb9bf7a,
    0xffb6ad81,
    0xff8f8566,
    0xff8a816f,
    0xff716860,
    0xff837a71,
    0xff877e74,
    0xff827d72,
    0xff9d958b,
    0xff927b6d,
    0xff9d8d7a,
    0xffa5a386,
    0xff828584,
    0xff7d8386,
    0xff535440,
    0xffa49578,
    0xffb9a176,
    0xff746846,
    0xffc3b874,
    0xff9e9656,
    0xff938c61,
    0xff989471,
    0xff57736f,
    0xff09395e,
    0xff3e6388,
    0xff375376,
    0xff4f6a8c,
    0xff5b6b80,
    0xff8c848e,
    0xff917e64,
    0xffa38d67,
    0xffb69487,
    0xff996f59,
    0xffc29d88,
    0xff443742,
    0xff5b5370,
    0xff6b6387,
    0xff2b3052,
    0xff9595a3,
    0xff988788,
    0xff857984,
    0xff526086,
    0xff0c335c,
    0xff4a718c,
    0xff667174,
    0xff6f6868,
    0xff54555a,
    0xff969790,
    0xffb0a585,
    0xffacae82,
    0xff9ca094,
    0xff475371,
    0xff2e4d81,
    0xff2c4a78,
    0xff3f4b63,
    0xff74746d,
    0xff787a61,
    0xff646c6f,
    0xff51666b,
    0xff73807a,
    0xff708388,
    0xff55606c,
    0xff838289,
    0xff747e80,
    0xff687063,
    0xff4d6367,
    0xff314262,
    0xff848e9c,
    0xffa0a596,
    0xff738384,
    0xff3e5c77,
    0xff566b7b,
    0xff9d9994,
    0xff90957f,
    0xff869386,
    0xff586e6e,
    0xff84a2b3,
    0xff37566d,
    0xff8daac3,
    0xffa3b6ce,
    0xffd4e4f9,
    0xffd5ecff,
    0xffbed9f2,
    0xffc6e2fd,
    0xffcce6ff,
    0xffcbe3fb,
    0xffccddf7,
    0xffd6e0f5,
    0xffe5eafc,
    0xffe4eef9,
    0xffdce7f1,
    0xffd9e2eb,
    0xffdde5ee,
    0xffecf1fa,
    0xfffdffff,
    0xfffcfefd,
    0xfffefdfc,
    0xfffbfdff,
    0xfffafcff,
    0xfff9fbfe,
    0xfff5fafd,
    0xfff5f8fd,
    0xfff7f9fe,
    0xfff5f7fc,
    0xffebeef4,
    0xffd8e7f4,
    0xffceddef,
    0xffcfdbef,
    0xffcfdcf0,
    0xffcfddf2,
    0xffcfdff5,
    0xffd1e0fa,
    0xffcee0fa,
    0xffc9def6,
    0xffc8def6,
    0xffc7ddf5,
    0xffc7ddf5,
    0xffc7ddf5,
    0xffc8def6,
    0xffc9dff7,
    0xffc7ddf5,
    0xffc8ddf5,
    0xffc8def6,
    0xffc9dff7,
    0xffc9dff7,
    0xffc8def6,
    0xffc7daf3,
    0xffc8dcf5,
    0xffc9ddf6,
    0xffc5dcf6,
    0xffc8ddf5,
    0xffc7dcf5,
    0xffc7dbf3,
    0xffcaddf2,
    0xffcbdcf1,
    0xffc9daed,
    0xffcddcee,
    0xffcfdded,
    0xffd4e2f3,
    0xffccdef1,
    0xffc9dcf0,
    0xffc7daee,
    0xffccdef0,
    0xffd2e1f2,
    0xffdbe8f6,
    0xffedf0f4,
    0xfff7f8fc,
    0xfffdfeff,
    0xfffeffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfff8ffff,
    0xffeff8fc,
    0xffeaf7fa,
    0xffecf8fc,
    0xffe9f5f9,
    0xffdbe8ef,
    0xffd1dde5,
    0xffccdbe4,
    0xffccdbe8,
    0xffced9e6,
    0xffd5deeb,
    0xffe9eff9,
    0xfff6faff,
    0xfff6f9fc,
    0xfff2f5f6,
    0xffefefef,
    0xfff3f1f7,
    0xfff4f5f5,
    0xfffbfbf7,
    0xfff8faf7,
    0xfffbfcfd,
    0xfffcfdff,
    0xfff9fafc,
    0xfff2f2f3,
    0xffe6ecf3,
    0xffeaeff5,
    0xffeff5fa,
    0xffeff1f9,
    0xfff4f5fa,
    0xfff4f6fa,
    0xffefedf3,
    0xffeeeef3,
    0xffeceff3,
    0xffe7ebee,
    0xffdee1e6,
    0xffe4e9ee,
    0xffe7ecf1,
    0xfff0f5fb,
    0xfff2f7ff,
    0xfff7fcff,
    0xfff2f7ff,
    0xfff6fbff,
    0xfff4f9ff,
    0xffeaf1f7,
    0xffecf6ff,
    0xffdfebfb,
    0xffd4e1f6,
    0xffcbdcf4,
    0xffcddef8,
    0xffe0f0ff,
    0xffddefff,
    0xffdcedfc,
    0xffcadcea,
    0xffcfe1f1,
    0xffd9e9ff,
    0xffd8e8fe,
    0xffd8e8fc,
    0xffdcedfe,
    0xffd0deee,
    0xffceddee,
    0xffc6d7ef,
    0xffc2d3ed,
    0xffc2d5f2,
    0xffc1d4ed,
    0xffc0d5f6,
    0xffc2d8f9,
    0xffbcd5f3,
    0xffbad5f3,
    0xffbbd8f6,
    0xffb8d7f6,
    0xffbad9f8,
    0xffb9d7f6,
    0xffbdd7f6,
    0xffbdd5f5,
    0xffbfd7f7,
    0xffbad6f3,
    0xffbdd8f6,
    0xffbad6f4,
    0xffb9d6f4,
    0xffbbd7f5,
    0xffc1d5f6,
    0xffbfd3f4,
    0xffbdd2f4,
    0xffbbd2f3,
    0xffbbd1f3,
    0xffbdd5f7,
    0xffbbd2f6,
    0xffbad3f6,
    0xffb5d3f3,
    0xffb7d3f3,
    0xffb8d4f4,
    0xffb7d4f4,
    0xffb7d2f3,
    0xffbad4f7,
    0xffbbd3f7,
    0xffb6cef1,
    0xffb8cdeb,
    0xffbacdeb,
    0xffb6cce7,
    0xffb4cde5,
    0xffb4cce6,
    0xffb7d0eb,
    0xffbad1f1,
    0xffb9d1f4,
    0xffb3d1ef,
    0xffb5d2f2,
    0xffb4d1ef,
    0xffb3ceea,
    0xffb9d2ed,
    0xffbcd3f0,
    0xffb7cce8,
    0xffb9cee9,
    0xffb8d1ed,
    0xffc2dafa,
    0xffc1dafb,
    0xffc2dafb,
    0xffcbe1fd,
    0xffc9d8ef,
    0xffcbd7e7,
    0xffeef7ff,
    0xfff0f6ff,
    0xfff4f6fd,
    0xfffdfdff,
    0xfffffcfc,
    0xfffffdf9,
    0xfffffdf7,
    0xfffffef9,
    0xfffffffc,
    0xfffffff6,
    0xfffffff7,
    0xfffffff7,
    0xfffffef8,
    0xfffffef9,
    0xfffffffa,
    0xfffffdfa,
    0xfffffefb,
    0xfffbfef3,
    0xfffcfef5,
    0xfffffffa,
    0xfff8f5f4,
    0xfff8f3f5,
    0xffede3e5,
    0xfff5e3df,
    0xffe5d1c7,
    0xffd7b3ad,
    0xffcdb192,
    0xffc3b578,
    0xff9b9d51,
    0xff7e8f3c,
    0xff7e9835,
    0xff87a23b,
    0xff8ea54e,
    0xff5a803a,
    0xff577537,
    0xff556b3f,
    0xff516144,
    0xff6d6e54,
    0xff81775b,
    0xff64634f,
    0xff91a7a2,
    0xff9eacaf,
    0xff3f4d4c,
    0xff6a7b74,
    0xff22332d,
    0xff2a4033,
    0xff334e27,
    0xff678b40,
    0xff719b34,
    0xff6b9333,
    0xff6b9531,
    0xff537d2d,
    0xff537a32,
    0xff426534,
    0xff112c18,
    0xff081a09,
    0xff04110d,
    0xff686b5e,
    0xff7d7d71,
    0xff4a4941,
    0xff52524e,
    0xff0f120d,
    0xff43453f,
    0xff908d85,
    0xff494039,
    0xff302c1c,
    0xff454330,
    0xff1c2015,
    0xff2a3333,
    0xff3c4139,
    0xff86826e,
    0xff777963,
    0xff001004,
    0xff152419,
    0xff15221c,
    0xff0b1c12,
    0xff0c2518,
    0xff001409,
    0xff032420,
    0xff042315,
    0xff011e04,
    0xff0b1f12,
    0xff0c2716,
    0xff072715,
    0xff173823,
    0xff1a3b26,
    0xff163620,
    0xff15381f,
    0xff082f14,
    0xff133c23,
    0xff193f21,
    0xff14371c,
    0xff39574e,
    0xff546f7b,
    0xff7b92a7,
    0xff000d17,
    0xff021811,
    0xff071a0e,
    0xff0e2015,
    0xff041c14,
    0xff001d1e,
    0xff00101c,
    0xff9db0bd,
    0xff5d646a,
    0xffc2bdbc,
    0xff717778,
    0xffa4afba,
    0xffa4b1c3,
    0xffc5cfe3,
    0xffe8effe,
    0xffa5aaa1,
    0xff626958,
    0xff3e4345,
    0xff444c4a,
    0xffd7d7eb,
    0xff8888a5,
    0xff7e88a0,
    0xff869cb7,
    0xff3c567e,
    0xff37536e,
    0xff081f1f,
    0xff152b22,
    0xff110d03,
    0xff966b1d,
    0xffdb9f3b,
    0xffba9214,
    0xffcba623,
    0xffd8a72c,
    0xffd19d2c,
    0xffbc902a,
    0xffa0873c,
    0xff9f9359,
    0xffafa966,
    0xff685d0c,
    0xff8f7d0e,
    0xffbe9720,
    0xffd3942c,
    0xffb07904,
    0xffb9841e,
    0xffa97512,
    0xffa46a05,
    0xffb6822c,
    0xff836614,
    0xff89803c,
    0xff160f00,
    0xff1b1600,
    0xff716a19,
    0xff7c6c17,
    0xff685118,
    0xff3e2e00,
    0xff534f1d,
    0xff131700,
    0xff11190b,
    0xff262b18,
    0xff606125,
    0xff6b5125,
    0xff703908,
    0xff9c4f0e,
    0xff9d4418,
    0xff904112,
    0xff935009,
    0xff9f591a,
    0xff9a5d21,
    0xff7b490b,
    0xff916020,
    0xff8f5f17,
    0xff805010,
    0xff815d0e,
    0xff704f23,
    0xff90782c,
    0xff8f6f26,
    0xff694d0f,
    0xff55431f,
    0xff6e5f2c,
    0xff705811,
    0xff432a00,
    0xff2d2307,
    0xff827517,
    0xff7c6909,
    0xff754907,
    0xff653c13,
    0xff381d03,
    0xff625239,
    0xff625c5e,
    0xff6c5e53,
    0xff7a7a40,
    0xff78774f,
    0xff545b2b,
    0xff6c7d3a,
    0xff5c6d31,
    0xff495625,
    0xff2c3c1c,
    0xff374c41,
    0xff667f6d,
    0xff4e6359,
    0xff5b6e58,
    0xff697b58,
    0xff6b794e,
    0xff4b550c,
    0xff6a6718,
    0xff4b3b01,
    0xff4d4e10,
    0xff594f17,
    0xff433c0c,
    0xff353205,
    0xff553b0c,
    0xffe5a360,
    0xffc37c1e,
    0xfff8c74e,
    0xff553307,
    0xff1b1a0b,
    0xff141b0b,
    0xff3c3222,
    0xff191b06,
    0xff03180a,
    0xff122536,
    0xff3e4a4a,
    0xff32292c,
    0xff1f1c19,
    0xff131c14,
    0xff464547,
    0xff1f0a04,
    0xff150900,
    0xff040d11,
    0xff000d11,
    0xff001f51,
    0xff0e1c57,
    0xff3b5264,
    0xff77826c,
    0xff8b9179,
    0xff73867a,
    0xff647779,
    0xff2f4b5a,
    0xff314154,
    0xff707a82,
    0xff57605e,
    0xff5f6d69,
    0xff587176,
    0xff3b5961,
    0xff41555f,
    0xff606b70,
    0xff7d7f7e,
    0xffa7a3af,
    0xff584f61,
    0xff574d58,
    0xff403945,
    0xff39344b,
    0xff454056,
    0xff4a4451,
    0xff4a4255,
    0xff3d4247,
    0xff819685,
    0xff728970,
    0xff7d8c77,
    0xff8d9687,
    0xff959b8b,
    0xff8f9283,
    0xff696464,
    0xff331921,
    0xff3c2831,
    0xff423138,
    0xff433a3e,
    0xff55534f,
    0xff8f857e,
    0xff727c6c,
    0xff817d7a,
    0xff7b887a,
    0xff7b8672,
    0xff848276,
    0xff888784,
    0xff5d635f,
    0xff614c45,
    0xffb16b68,
    0xffb93937,
    0xffc81824,
    0xffc70f1d,
    0xffc21b1e,
    0xffc71d1c,
    0xffcd191d,
    0xffc40f1a,
    0xffbe0316,
    0xffac0005,
    0xffc23c43,
    0xffffa6b0,
    0xffffe3eb,
    0xfffff1f1,
    0xffeabdc8,
    0xffba566d,
    0xff67000f,
    0xff530000,
    0xffffdbda,
    0xffffffff,
    0xffe7afbb,
    0xff700017,
    0xff9f2337,
    0xffff8c98,
    0xff911620,
    0xff7a0000,
    0xff9d0411,
    0xffa51a24,
    0xff861114,
    0xff9e1e22,
    0xffc1373c,
    0xffca4748,
    0xffbc3d37,
    0xffb3542e,
    0xffc6925f,
    0xffbcaa75,
    0xffb6a274,
    0xff99714e,
    0xff835f38,
    0xffa79463,
    0xffa69a65,
    0xffa09d6c,
    0xff99945a,
    0xff9f926e,
    0xff9a966b,
    0xff81926d,
    0xff092421,
    0xff6f8469,
    0xff928d4c,
    0xffc7b060,
    0xffa79647,
    0xffa09545,
    0xffa89e4c,
    0xff867a36,
    0xff988d6b,
    0xff221e23,
    0xff1a2138,
    0xff3b4454,
    0xff314552,
    0xff3e4862,
    0xff7e7769,
    0xffac9b6d,
    0xff8e875e,
    0xff737e4a,
    0xff6e7943,
    0xffc5ab78,
    0xffb9a468,
    0xffb0a27a,
    0xff8f827e,
    0xff78756f,
    0xff798569,
    0xff95ada2,
    0xff0f2746,
    0xff35597d,
    0xff15306c,
    0xff03203f,
    0xff283d4c,
    0xff92a795,
    0xff4f765e,
    0xff0c2142,
    0xff5e4a61,
    0xff81625c,
    0xff998667,
    0xff929471,
    0xff848664,
    0xff9b8759,
    0xffa69a68,
    0xff8d946b,
    0xff868861,
    0xffadb373,
    0xff9aae8c,
    0xff617579,
    0xff4f585c,
    0xff49504b,
    0xff7d8378,
    0xffb7b691,
    0xffb3a76f,
    0xffb09f70,
    0xff958966,
    0xff8c8376,
    0xff736972,
    0xff554659,
    0xff665866,
    0xff615953,
    0xff817c69,
    0xff8c6c60,
    0xff907663,
    0xff7e7455,
    0xff5d5f59,
    0xff354045,
    0xff748072,
    0xff969287,
    0xff8f7f6b,
    0xff969073,
    0xffaaa272,
    0xffb19f71,
    0xff8e7e53,
    0xff898a64,
    0xff7b908a,
    0xff546a7d,
    0xff5d656a,
    0xff919ea1,
    0xff385473,
    0xff35557d,
    0xff5a6a87,
    0xff757877,
    0xff7f7c73,
    0xff6a545a,
    0xffbb9981,
    0xffbca97a,
    0xffa1a790,
    0xff4c5762,
    0xff8a839c,
    0xff7c6f83,
    0xff909196,
    0xff5e6073,
    0xff4b4872,
    0xff6b7299,
    0xff57719e,
    0xff345376,
    0xff2c313a,
    0xffd5c4b4,
    0xffab998a,
    0xff766e61,
    0xff837f71,
    0xff91957a,
    0xff827e77,
    0xff8d8da1,
    0xff576e92,
    0xff1e426a,
    0xff839bbe,
    0xff3a445a,
    0xff737983,
    0xff6a6c7d,
    0xff3c475b,
    0xff9596a0,
    0xff474e56,
    0xff919492,
    0xff969284,
    0xff818c7c,
    0xff6f765e,
    0xffb7b2a5,
    0xff3f536e,
    0xff3d5176,
    0xff857990,
    0xff9f92a6,
    0xff465b64,
    0xff799784,
    0xff7a8060,
    0xff808263,
    0xff979c81,
    0xff848a79,
    0xff8d978c,
    0xff6e807d,
    0xff6b7d80,
    0xff62767a,
    0xff6a8085,
    0xff89a0a6,
    0xff75909b,
    0xff567389,
    0xffc7e7ff,
    0xffc3e2ff,
    0xffd1edff,
    0xffcfe5fe,
    0xffcfe2f5,
    0xffdbeafc,
    0xffd8e7fa,
    0xffd7e6f6,
    0xffd1e1f0,
    0xffe3f1fe,
    0xffeef8fe,
    0xfff5feff,
    0xfff8ffff,
    0xfff4fbff,
    0xffedf4fb,
    0xffe7eff9,
    0xffeef6ff,
    0xffe7f2fd,
    0xffe4f0fc,
    0xffe1f0fc,
    0xffddeaf9,
    0xffc8e0f3,
    0xffc8dff4,
    0xffcce0f5,
    0xffccdef6,
    0xffcedff8,
    0xffccdef6,
    0xffcadef6,
    0xffc8dcf4,
    0xffc8def6,
    0xffc8def6,
    0xffc7ddf5,
    0xffc7ddf5,
    0xffc7ddf5,
    0xffc9dff7,
    0xffc8def7,
    0xffc8def7,
    0xffc9dff7,
    0xffc9dff7,
    0xffc8def6,
    0xffc8def6,
    0xffcbdef8,
    0xffc8dcf5,
    0xffc8ddf6,
    0xffc7dbf4,
    0xffcbdef4,
    0xffcbdef2,
    0xffccdcef,
    0xffcedbed,
    0xffd5e1f0,
    0xffe5effa,
    0xffebf3fc,
    0xfff6fcff,
    0xffecf1f8,
    0xfff7feff,
    0xfff5ffff,
    0xffecf8ff,
    0xffe4f1fb,
    0xffe9f4fc,
    0xffeef6fd,
    0xfff9fdff,
    0xfffffefc,
    0xfffffffc,
    0xfffffffc,
    0xfffffefb,
    0xfffffdfb,
    0xfffffdf8,
    0xfffffef8,
    0xfffefef8,
    0xfffcfef9,
    0xfffefffc,
    0xfffffffe,
    0xfffcfffd,
    0xfff8fdfc,
    0xfffcffff,
    0xfffbffff,
    0xfffaffff,
    0xfffcffff,
    0xfff8feff,
    0xffffffff,
    0xffffffff,
    0xfffffdff,
    0xfffefeff,
    0xfffefefe,
    0xfffdfefe,
    0xfffffeff,
    0xffffffff,
    0xfffffffd,
    0xfffdfefb,
    0xfffeffff,
    0xfffdfeff,
    0xfffdffff,
    0xffffffff,
    0xfffcffff,
    0xfff9fdff,
    0xfff7fbfe,
    0xfff5f9fc,
    0xfffcfdff,
    0xfffeffff,
    0xfffafbfe,
    0xfffdfdfe,
    0xfffeffff,
    0xfff1f6f9,
    0xffebf1f4,
    0xffe6ecf3,
    0xffe1e9f3,
    0xffd9e2ed,
    0xffdfe7f7,
    0xffdae4f3,
    0xffdeeaf9,
    0xffd9e3ef,
    0xffd6dfe8,
    0xffdbe2e8,
    0xffdbe1e9,
    0xffdee5f0,
    0xffdce3f1,
    0xffd7def0,
    0xffcbd4e5,
    0xffd3ddeb,
    0xffdce6f4,
    0xffdbe7f5,
    0xffd7e3f1,
    0xffd3dded,
    0xffdce7f7,
    0xffd6e2f5,
    0xffd6e2f7,
    0xffd6e3f4,
    0xffe1ecf7,
    0xffeaf3f8,
    0xfff1f9fd,
    0xffeaf2fc,
    0xffe1e9f8,
    0xffd5dceb,
    0xffcdd7ea,
    0xffc6d2e4,
    0xffc7d8eb,
    0xffc1d4e9,
    0xffc2d5ea,
    0xffc0d5eb,
    0xffbfd3ea,
    0xffbfd3ea,
    0xffc4d7ee,
    0xffc0d3ea,
    0xffc0d2ea,
    0xffc2d4ea,
    0xffc1d4ea,
    0xffbfd3e9,
    0xffc1d5eb,
    0xffbfd3e8,
    0xffbed2ec,
    0xffc0d3ef,
    0xffc0d7f0,
    0xffc0d5f3,
    0xffbcd4f2,
    0xffbad1f1,
    0xffbdd6f5,
    0xffbdd6f6,
    0xffbcd6f4,
    0xffbcd4f1,
    0xffbbd3ed,
    0xffbcd2eb,
    0xffc0d3ec,
    0xffb9cce1,
    0xffbdcee1,
    0xffcadaec,
    0xffdae3f2,
    0xffe5effa,
    0xffebf5fd,
    0xffe9f5fb,
    0xffdfecf8,
    0xffd9e6f4,
    0xffd2e1f1,
    0xffcbd8ec,
    0xffc8daf1,
    0xffc5d6ed,
    0xffbdccdf,
    0xffcbd9ea,
    0xffeaf8ff,
    0xfff4feff,
    0xffe9f0fa,
    0xffecf3fa,
    0xffe5ecfb,
    0xffc6d2e7,
    0xffc3d4ee,
    0xffc6dbf8,
    0xffc2d7f0,
    0xffcedcf0,
    0xffebf3fc,
    0xfffafcff,
    0xfffefdfe,
    0xfffffefe,
    0xffffffff,
    0xfffefffe,
    0xfffefffd,
    0xfffefffb,
    0xfffffffb,
    0xfffdfdf7,
    0xfffffefa,
    0xfffffffb,
    0xfffffffc,
    0xfffffffc,
    0xfffffffb,
    0xfffefefb,
    0xfffffefa,
    0xfffffffc,
    0xfffefffc,
    0xfffcfffb,
    0xfffafdfb,
    0xffffffff,
    0xffedebea,
    0xfff3ede2,
    0xffd1c8af,
    0xffe0d4b0,
    0xffbdad7a,
    0xffc6c471,
    0xff8f9d3e,
    0xff6c8330,
    0xff668537,
    0xff395c10,
    0xff719545,
    0xff60872f,
    0xff728e3a,
    0xff8d9c4d,
    0xff808546,
    0xff878b65,
    0xffc3c7b0,
    0xffe6e7d5,
    0xffb9c6bc,
    0xff4e6b6a,
    0xff30433a,
    0xff5c705d,
    0xff304530,
    0xff061c0f,
    0xff152926,
    0xff869c8c,
    0xff789363,
    0xff456619,
    0xff84a149,
    0xff7a9a40,
    0xff6b8748,
    0xff748e5c,
    0xff394f34,
    0xff0b1c18,
    0xff08170d,
    0xff03110d,
    0xff868272,
    0xffb8afa4,
    0xfff4ebe6,
    0xff57514d,
    0xff69655d,
    0xffbbb6a5,
    0xff70684e,
    0xff6c5e3f,
    0xffaca38d,
    0xffa3998d,
    0xff8d8783,
    0xff343931,
    0xff3c3726,
    0xff68573f,
    0xff41341d,
    0xff4a513c,
    0xff141a1c,
    0xff242f39,
    0xff152426,
    0xff1c271a,
    0xff141c0c,
    0xff0f1912,
    0xff17231f,
    0xff061708,
    0xff091f1d,
    0xff062119,
    0xff06281b,
    0xff193c2c,
    0xff082918,
    0xff1a3928,
    0xff1c3d28,
    0xff1b4226,
    0xff3d5d41,
    0xff38583f,
    0xff3d5b4a,
    0xff69827f,
    0xff788d9b,
    0xff4b5e6f,
    0xff000f19,
    0xff00110e,
    0xff173028,
    0xff244037,
    0xff213b38,
    0xff102d32,
    0xff435d6e,
    0xff72879b,
    0xffcdd9ea,
    0xffccd0dc,
    0xff83899c,
    0xff626f87,
    0xff6c7f90,
    0xff445366,
    0xffc7cde0,
    0xff686f64,
    0xff9fa487,
    0xffc6ccc4,
    0xffe8effa,
    0xfff1efff,
    0xff8f8ab5,
    0xffbbc0dd,
    0xffebfdff,
    0xff6d84b0,
    0xff394e6c,
    0xff57706a,
    0xff475648,
    0xff2e2a0e,
    0xffbf9339,
    0xffcd8620,
    0xffb97e0d,
    0xffba8213,
    0xffb4770b,
    0xffaa780e,
    0xff947708,
    0xff918736,
    0xff9da057,
    0xff5f5202,
    0xffb59435,
    0xffcda729,
    0xffc6960d,
    0xffb57507,
    0xff8f5600,
    0xff714400,
    0xff9c6f0c,
    0xffa97106,
    0xff976002,
    0xff805a02,
    0xff523500,
    0xff61401f,
    0xff261607,
    0xff423507,
    0xff413400,
    0xff4e450f,
    0xff454721,
    0xff1e2b12,
    0xff1b2f21,
    0xff000a03,
    0xff242f08,
    0xff4a4e00,
    0xff6c561f,
    0xff824b1b,
    0xff9c4a11,
    0xff9e3e13,
    0xff862802,
    0xff802c04,
    0xff661c00,
    0xff692a15,
    0xff673516,
    0xff623900,
    0xff7d5206,
    0xff7e4a14,
    0xff7c5400,
    0xff805811,
    0xff6e3b00,
    0xff643103,
    0xff8a6915,
    0xff907c1d,
    0xff8d7714,
    0xff917510,
    0xff8f7421,
    0xff624e04,
    0xff7c6921,
    0xff6f5d12,
    0xff774b0d,
    0xff623908,
    0xff573414,
    0xff8b724b,
    0xff494b3f,
    0xff5b5e3b,
    0xff726827,
    0xff3f3e0d,
    0xff535e26,
    0xff78823e,
    0xff5e622a,
    0xff454c1d,
    0xff3d4b19,
    0xff485028,
    0xff484f14,
    0xff393c0f,
    0xff3c3f0d,
    0xff525b15,
    0xff474e15,
    0xff50521e,
    0xff2a2500,
    0xff76692e,
    0xff484003,
    0xff584e1b,
    0xff2d2f08,
    0xff0d1b00,
    0xff5c4c27,
    0xff64290a,
    0xffb67844,
    0xff896723,
    0xff261500,
    0xff162416,
    0xff0f1a10,
    0xff1a120a,
    0xff040c00,
    0xff1a2e2c,
    0xff0e1e29,
    0xff0f2221,
    0xff353a3a,
    0xff403937,
    0xff060701,
    0xff1c1716,
    0xff6b4c2e,
    0xffa48a61,
    0xff6c6d81,
    0xff24356d,
    0xff002147,
    0xff0b1443,
    0xff46515b,
    0xff73765d,
    0xff6f7460,
    0xff6a837a,
    0xff355c57,
    0xff3c736e,
    0xff253e3e,
    0xff546565,
    0xff6d7d7f,
    0xff546c6d,
    0xff436769,
    0xff345960,
    0xff536d78,
    0xff485465,
    0xff9d9bac,
    0xff88809b,
    0xff50455c,
    0xff4c4249,
    0xff373337,
    0xff3a3548,
    0xff443f58,
    0xff493f54,
    0xff4b4857,
    0xff596461,
    0xff80987f,
    0xff829978,
    0xff8c997c,
    0xff969b82,
    0xff92937c,
    0xff9e9d87,
    0xff6e6965,
    0xff462c34,
    0xff412931,
    0xff453138,
    0xff3e3435,
    0xff69605d,
    0xff91817e,
    0xff84887c,
    0xff7b867c,
    0xff7e957a,
    0xff899975,
    0xff838169,
    0xff7e7d70,
    0xff7c7f72,
    0xffad8a77,
    0xffb65647,
    0xffb32025,
    0xffc70e20,
    0xffcf1021,
    0xffc71721,
    0xffca1b1d,
    0xffcb191c,
    0xffbf0d13,
    0xffc40a16,
    0xffc3141d,
    0xff97000d,
    0xffb83d51,
    0xffcd808f,
    0xffc79097,
    0xff8f343e,
    0xff630000,
    0xffab5250,
    0xfff6c1cd,
    0xffffffff,
    0xfffde6ec,
    0xffad495b,
    0xff8e0010,
    0xffa91f2d,
    0xffef848d,
    0xfff9a7ae,
    0xffa73a3e,
    0xff9a101b,
    0xffb02731,
    0xff93151a,
    0xffbc383f,
    0xffbf4949,
    0xffa43730,
    0xffa32a25,
    0xff8e3d26,
    0xffab926b,
    0xffa09d70,
    0xff9e946b,
    0xffad9e78,
    0xffb09572,
    0xff936848,
    0xff976c4a,
    0xffbf9976,
    0xffb6a373,
    0xffa29977,
    0xff969867,
    0xff959462,
    0xff7f7b6d,
    0xff3b331a,
    0xffbca169,
    0xffb1994f,
    0xffab8a48,
    0xffc19357,
    0xffd1965a,
    0xffcb894c,
    0xffd6915c,
    0xffca7f64,
    0xffae5e5f,
    0xff823c42,
    0xff573935,
    0xff382e48,
    0xff5b5154,
    0xff94885f,
    0xff9f986b,
    0xff8b8860,
    0xff8e866d,
    0xffa28c5a,
    0xffb8a556,
    0xffb2a35a,
    0xffbead82,
    0xffa79b6b,
    0xffb4b16a,
    0xff969967,
    0xff5b5f61,
    0xff33484e,
    0xff7e8d8f,
    0xff98ac87,
    0xff5b6f53,
    0xff90a18d,
    0xff667d73,
    0xff191b3b,
    0xff97767f,
    0xff684a5d,
    0xff756d5a,
    0xff758b68,
    0xff758870,
    0xff7a7869,
    0xff59655c,
    0xff537569,
    0xff6e8467,
    0xff8b9774,
    0xff6d7f6a,
    0xff768781,
    0xff96a77f,
    0xff899f6c,
    0xff5c735b,
    0xff71795e,
    0xffa7927a,
    0xffbcaf7c,
    0xffacaa7a,
    0xff737757,
    0xff454832,
    0xffb3af98,
    0xffada993,
    0xff636558,
    0xff767f78,
    0xff889b90,
    0xff85877d,
    0xffac9a83,
    0xff9f7e74,
    0xff99796c,
    0xffa79373,
    0xff968579,
    0xff6b5e5c,
    0xff738275,
    0xff53654a,
    0xffaca77e,
    0xffb4a979,
    0xff90a185,
    0xff4a6669,
    0xff4b5551,
    0xffadad80,
    0xffa6a86d,
    0xff4b636a,
    0xff1a466c,
    0xff2f5164,
    0xff4b5a49,
    0xff889183,
    0xff4f555a,
    0xff8f9578,
    0xff5f6d54,
    0xff809279,
    0xff7c8989,
    0xff6a6072,
    0xff857879,
    0xff3d5b58,
    0xff326781,
    0xff1c3e6c,
    0xff334d78,
    0xff334975,
    0xff516a99,
    0xff354a72,
    0xff726e77,
    0xffb19684,
    0xff645a5d,
    0xff4f658f,
    0xff4b5e71,
    0xff5f6270,
    0xff525163,
    0xff4c576d,
    0xff798eac,
    0xff485470,
    0xff7f7e89,
    0xff8b857e,
    0xffabaa92,
    0xff61665d,
    0xff646056,
    0xff706c66,
    0xff736d5e,
    0xff8e876e,
    0xff868f85,
    0xff8b938c,
    0xff56616b,
    0xff5d748c,
    0xff455f69,
    0xff424d47,
    0xff848484,
    0xff4c5452,
    0xffaaa9a5,
    0xff9b8387,
    0xff8d868e,
    0xff6d6667,
    0xff8a827e,
    0xff7c746f,
    0xff7d7b78,
    0xff737b7c,
    0xff44575f,
    0xff708c95,
    0xff869a94,
    0xff728b8b,
    0xff597889,
    0xff4a6e8c,
    0xff89b0d3,
    0xff446c8d,
    0xffc7ebff,
    0xffbfe0f6,
    0xffd8edff,
    0xffc9ddf7,
    0xffcfe4fd,
    0xffcbe1f8,
    0xffd0e3f5,
    0xffd1e3f1,
    0xffd7e5f0,
    0xffd9e5ee,
    0xffd9e4f0,
    0xffd9e5f1,
    0xffd4e2ef,
    0xffd6e6f5,
    0xffd3e5f5,
    0xffd1e4f5,
    0xffd0e5f7,
    0xffcadff1,
    0xffc6e1f8,
    0xffc3dff5,
    0xffc7def6,
    0xffc9def6,
    0xffcadef7,
    0xffcadef4,
    0xffcce1f7,
    0xffcde3f9,
    0xffc6ddf5,
    0xffc8dff6,
    0xffcae0f8,
    0xffc8def7,
    0xffc8ddf6,
    0xffc8ddf7,
    0xffc8dff6,
    0xffc9dff7,
    0xffc9def7,
    0xffc9dff7,
    0xffc8def6,
    0xffc9dff7,
    0xffcadef7,
    0xffc7dbf4,
    0xffcaddf6,
    0xffccdef8,
    0xffccdbec,
    0xffd1deee,
    0xffdce8f5,
    0xffe9f1f6,
    0xfff2f9fc,
    0xfff9fbff,
    0xffedeff1,
    0xfff0f0f2,
    0xfffdfbfa,
    0xfffcfcfd,
    0xfffdffff,
    0xfff5fbfe,
    0xffecf1f6,
    0xffedf1f3,
    0xfff9f8f9,
    0xfffffefe,
    0xfffcfcfe,
    0xfffbfeff,
    0xfffafcff,
    0xfffcffff,
    0xfffaffff,
    0xfffaffff,
    0xfffaffff,
    0xfffaffff,
    0xfffffefc,
    0xfffffcfd,
    0xfffffdff,
    0xfffffdff,
    0xfffefeff,
    0xfffcfdff,
    0xfffbfdff,
    0xfffbfdff,
    0xfffdfffe,
    0xfffefefc,
    0xfffefdfb,
    0xfffffdfc,
    0xfffffdfc,
    0xfffffcfd,
    0xfffffdfe,
    0xffffffff,
    0xfffffcff,
    0xfffefcfe,
    0xfffcfcfb,
    0xfffdfffc,
    0xfffbfffe,
    0xfffeffff,
    0xfffdffff,
    0xfffefdfb,
    0xfffcfefc,
    0xfffefffe,
    0xfffefffd,
    0xfffeffff,
    0xfffdfeff,
    0xfffcfffe,
    0xfffdffff,
    0xfffdfffe,
    0xfffbfefe,
    0xfff8fbfd,
    0xfff5faff,
    0xfff7fdff,
    0xffe6eff9,
    0xffd9e1f0,
    0xffd1dbed,
    0xffc7d2e5,
    0xffd1e0f3,
    0xffc9d5e5,
    0xffe0ebf5,
    0xffeaf3f7,
    0xffedf4f9,
    0xfff7fbfe,
    0xfff0f3fc,
    0xfff5f8ff,
    0xfff4f7fe,
    0xffe5eaf5,
    0xffe1e6f1,
    0xffedf1ff,
    0xffe6ecf9,
    0xffe2e9f5,
    0xffe8eefc,
    0xffdce4f1,
    0xffcdd8e7,
    0xffdce7f0,
    0xfff6fdfe,
    0xfffdffff,
    0xfff9fbfe,
    0xfffffeff,
    0xffffffff,
    0xffffffff,
    0xfffafeff,
    0xfff3f9fc,
    0xfff2f9fe,
    0xfff2faff,
    0xffeef7fe,
    0xffe9f2fd,
    0xffe0e6f5,
    0xffdce0f0,
    0xffeaf4ff,
    0xffd0dbea,
    0xffdee9f7,
    0xffdbe6f4,
    0xffdbe5f3,
    0xffdfe9f8,
    0xffe9f3ff,
    0xffe8f2ff,
    0xffd6e9fb,
    0xffcadef4,
    0xffc1d4ea,
    0xffbcd1e7,
    0xffc2d9f3,
    0xffc4dcf7,
    0xffb7d0ec,
    0xffbbd3f0,
    0xffc0d3ee,
    0xffc4d6f0,
    0xffd1e2f8,
    0xffdfeefc,
    0xffe9f8fe,
    0xffeaf5fa,
    0xfff1fafd,
    0xfff9ffff,
    0xffffffff,
    0xffffffff,
    0xfffefdfd,
    0xfffefffe,
    0xffffffff,
    0xfffdffff,
    0xfff8fdff,
    0xffebeff9,
    0xffdfe4f3,
    0xffebf0ff,
    0xfff0f5fe,
    0xfff9fcff,
    0xfffffffe,
    0xfffffefb,
    0xfffffffb,
    0xfffffffa,
    0xffffffff,
    0xfff6f6ff,
    0xffc8d4e7,
    0xffc3d3ed,
    0xffc5d8ef,
    0xffcfdded,
    0xffe7eff5,
    0xfff7f8f9,
    0xfffffffc,
    0xfffbfefd,
    0xfffbfdff,
    0xfffafeff,
    0xfffaffff,
    0xfffbffff,
    0xfffdffff,
    0xfffcfffb,
    0xfff8fbfd,
    0xfff9fbfe,
    0xfffbfcff,
    0xfffbfdff,
    0xfffafcff,
    0xfffbfeff,
    0xfff7fbfe,
    0xffffffff,
    0xffe7e0e7,
    0xffffffff,
    0xfff8f7f9,
    0xfff1f2f5,
    0xffffffff,
    0xffd5ddc0,
    0xff7c8954,
    0xff8f9958,
    0xff838c4c,
    0xff90a454,
    0xff7f9c4f,
    0xff678941,
    0xff658742,
    0xff47622e,
    0xff496126,
    0xff729135,
    0xff7d9957,
    0xff72803b,
    0xff8c9555,
    0xff1f2f06,
    0xff445c47,
    0xff657669,
    0xffa5b1a9,
    0xffa8b6b5,
    0xffa1b3bb,
    0xff293e39,
    0xff40574d,
    0xff5d7570,
    0xff73888d,
    0xff6a7d7f,
    0xffa2b49c,
    0xff697e4e,
    0xff6e833d,
    0xff677835,
    0xff48552e,
    0xff7d8871,
    0xff030f08,
    0xff000912,
    0xff031112,
    0xff000b0e,
    0xffc3bfbd,
    0xff908689,
    0xff958c92,
    0xff8f878a,
    0xff504b47,
    0xffd4d1bc,
    0xff7f7853,
    0xff534719,
    0xff5f5736,
    0xfff0e0d7,
    0xffe4dcd6,
    0xffdfe0c6,
    0xff736b47,
    0xffa38969,
    0xff66502c,
    0xff5e5d2c,
    0xff423a11,
    0xff1b2a15,
    0xff142c22,
    0xff34372a,
    0xff211e0a,
    0xff2d3d2d,
    0xff1b302a,
    0xff182222,
    0xff071c23,
    0xff0d2728,
    0xff0a2823,
    0xff18382f,
    0xff022017,
    0xff537165,
    0xff456555,
    0xff2f513c,
    0xff49615a,
    0xff778b91,
    0xff889ba8,
    0xffc1d1e6,
    0xffb0c0d5,
    0xff394855,
    0xff021115,
    0xff122425,
    0xff3e647a,
    0xff608392,
    0xff37555e,
    0xff6b888f,
    0xff68848e,
    0xff7e99a2,
    0xff759193,
    0xff637b79,
    0xff536065,
    0xff829599,
    0xff89a3a2,
    0xff768a95,
    0xffbac0df,
    0xffc9c8cf,
    0xfffbfefd,
    0xffe8eafb,
    0xffd3dbe6,
    0xff9a9cb1,
    0xfff8fbff,
    0xfffefffe,
    0xff7e9192,
    0xff4a5b7c,
    0xff3e5066,
    0xff33443a,
    0xff242325,
    0xff272414,
    0xffb29c3f,
    0xffb2871e,
    0xff8e6902,
    0xff8f690c,
    0xff967215,
    0xff5f4700,
    0xffb18e22,
    0xff7a6d18,
    0xff595709,
    0xff866d07,
    0xffcf972c,
    0xffcc9010,
    0xffc99715,
    0xff9f6c0b,
    0xff835400,
    0xffb18c46,
    0xff9f7c2b,
    0xffc3932d,
    0xffa67116,
    0xffa97c33,
    0xffad8339,
    0xffaf7d2f,
    0xff6d4e1a,
    0xff6b5206,
    0xff7d6a14,
    0xff6a5b31,
    0xff261e1d,
    0xff5a6155,
    0xff495648,
    0xff9eacc0,
    0xff4e5646,
    0xff41400a,
    0xff5c420a,
    0xff692f09,
    0xff8b3515,
    0xffa94720,
    0xff9c3e0c,
    0xff771d02,
    0xff883613,
    0xff6a230d,
    0xff4a1400,
    0xff552800,
    0xff7a4a14,
    0xff6b370e,
    0xff714402,
    0xff7a4a1c,
    0xff8a6314,
    0xff907521,
    0xff8b8510,
    0xff7c7807,
    0xff6f5f16,
    0xff5e4302,
    0xff6a4d06,
    0xff896c1c,
    0xff9d7934,
    0xff271200,
    0xff654022,
    0xff6c4617,
    0xff4f2804,
    0xff6a531b,
    0xff17200f,
    0xff1b2426,
    0xff897b6f,
    0xff53573d,
    0xff343e0e,
    0xff4e4f0c,
    0xff605b25,
    0xff676b3e,
    0xff586537,
    0xff2a340f,
    0xff37461f,
    0xff3f4727,
    0xff52551f,
    0xff666b14,
    0xff48450b,
    0xff413518,
    0xff796734,
    0xff6c5c10,
    0xff615518,
    0xff3d350b,
    0xff091400,
    0xff112706,
    0xff191200,
    0xff6a3524,
    0xff481203,
    0xff816a55,
    0xff2c2711,
    0xff061a0c,
    0xff03100e,
    0xff060507,
    0xff000e0d,
    0xff000c11,
    0xff040f16,
    0xff000f07,
    0xff000b00,
    0xff342924,
    0xff3c3134,
    0xff3c2429,
    0xff935d26,
    0xffa16c10,
    0xff9c8667,
    0xff858392,
    0xff001b45,
    0xff2c254d,
    0xff37263b,
    0xff66716c,
    0xff618070,
    0xff4e6c67,
    0xff355963,
    0xff295f6f,
    0xff547779,
    0xff5e7174,
    0xff4e6466,
    0xff254f52,
    0xff2d626b,
    0xff436c82,
    0xff2a4968,
    0xff183753,
    0xffa3a4bb,
    0xff6a6778,
    0xff544f5d,
    0xff403944,
    0xff2b2736,
    0xff393548,
    0xff413e52,
    0xff464253,
    0xff46424f,
    0xff6e756a,
    0xff88967c,
    0xff849375,
    0xff8a9576,
    0xff909571,
    0xff999a80,
    0xffa7a49a,
    0xff5f5858,
    0xff4b2e3b,
    0xff4a2937,
    0xff453736,
    0xff58594a,
    0xff8e8a7c,
    0xff8d887f,
    0xff80837e,
    0xff82837c,
    0xff788370,
    0xff7c8a70,
    0xff878870,
    0xff908479,
    0xff918777,
    0xffa36e5c,
    0xffca4a41,
    0xffc81c2b,
    0xffc61624,
    0xffc71b22,
    0xffc42023,
    0xffc81e23,
    0xffcb1c23,
    0xffa80504,
    0xff900000,
    0xff880200,
    0xff870002,
    0xffa0292e,
    0xffffbdbf,
    0xffc77e81,
    0xff8d444e,
    0xffffd6e4,
    0xffffffff,
    0xfffff6ff,
    0xffffeef5,
    0xffe5aaaf,
    0xff8e2e3d,
    0xff9c162d,
    0xff9d0c1d,
    0xffe47780,
    0xffffccd2,
    0xffffc5c7,
    0xffe97971,
    0xff850b0d,
    0xff931928,
    0xffa82c41,
    0xffbd4f6a,
    0xffb44e66,
    0xff9d272c,
    0xffa7443e,
    0xffa28f6a,
    0xff899866,
    0xff99936b,
    0xffaa9578,
    0xffa79174,
    0xffb09d75,
    0xffa69a67,
    0xff84653e,
    0xff936f41,
    0xffbc9865,
    0xffc6a572,
    0xffb7a573,
    0xffb2a575,
    0xffb5a86c,
    0xffbba45f,
    0xffbb9953,
    0xffb3783d,
    0xffdf8154,
    0xffcf5c3a,
    0xffc14929,
    0xffcb5531,
    0xffcf5a2e,
    0xffe56d3c,
    0xffe97847,
    0xffbf6651,
    0xff5e292e,
    0xff240c0b,
    0xff736a4c,
    0xffa7966b,
    0xff906a51,
    0xff8b5854,
    0xff83755f,
    0xffae9d69,
    0xffa0945d,
    0xff778253,
    0xff849a63,
    0xff7b8253,
    0xff9e996d,
    0xffb0ad72,
    0xffbbbe91,
    0xffbaba89,
    0xffb1ba7b,
    0xffa3b677,
    0xff859b65,
    0xff5b6c4a,
    0xff46403a,
    0xff886e78,
    0xff5f5d65,
    0xff4b5d46,
    0xff7e9891,
    0xff243f50,
    0xff204951,
    0xff38716d,
    0xff467274,
    0xff445555,
    0xff4a5649,
    0xff153339,
    0xff325763,
    0xff648175,
    0xff788f72,
    0xff95aa91,
    0xff78877c,
    0xff8e918d,
    0xff687057,
    0xff969674,
    0xff6f6e4e,
    0xffa6a18d,
    0xffc1b67c,
    0xff95955a,
    0xff687780,
    0xff17284c,
    0xff0e3254,
    0xff28475e,
    0xff616f6f,
    0xff8b857a,
    0xff9f8484,
    0xff735953,
    0xff97938f,
    0xff39485a,
    0xff5b626d,
    0xff526453,
    0xffabad7a,
    0xff9a8b5a,
    0xff4c4a3d,
    0xff434947,
    0xffa0987d,
    0xff9c8756,
    0xff9da468,
    0xff8b978a,
    0xff556e89,
    0xff4f6669,
    0xffb0b692,
    0xff969f8b,
    0xff3e545f,
    0xff87939e,
    0xff2e5762,
    0xff5d7b67,
    0xff405b5e,
    0xff5b5a73,
    0xffaca997,
    0xff67887c,
    0xff28517d,
    0xff2f5386,
    0xff486b9c,
    0xff1e4976,
    0xff20366d,
    0xff696889,
    0xff392c42,
    0xffaea184,
    0xff82816d,
    0xff3b5661,
    0xff6d756d,
    0xffa1a492,
    0xff3a413e,
    0xff796971,
    0xff826b81,
    0xff8c8498,
    0xff8f7e69,
    0xffa69672,
    0xffaf9b75,
    0xffaa997e,
    0xffabab80,
    0xffb3ae88,
    0xff9e826c,
    0xff9d8c80,
    0xff40423f,
    0xff9d9c8b,
    0xff3b495b,
    0xff5f6874,
    0xff94aa90,
    0xff767b70,
    0xff9f8b92,
    0xff878d7f,
    0xff49615e,
    0xff877f8d,
    0xff696276,
    0xffa49f8e,
    0xffa8a780,
    0xff9a9d85,
    0xff7c7d7b,
    0xff5e606a,
    0xff50637b,
    0xff173e66,
    0xff6c8595,
    0xff7b9483,
    0xff7a908b,
    0xff345367,
    0xff36687e,
    0xff3f749e,
    0xff3a6c99,
    0xff497b83,
    0xff80abbf,
    0xffc2e3ff,
    0xffd0e6ff,
    0xffd1dffa,
    0xffcddef0,
    0xffd1e3ef,
    0xffd1e3f0,
    0xffcfe0f5,
    0xffd1def5,
    0xffcedff6,
    0xffcce0f9,
    0xffc9e0fb,
    0xffc8e0f5,
    0xffcae1f0,
    0xffc8dce8,
    0xffccdce6,
    0xffd0ddf1,
    0xffcee0f4,
    0xffcadff3,
    0xffcae1f8,
    0xffc7def7,
    0xffc8ddf7,
    0xffcddef9,
    0xffcbdbf8,
    0xffcadff2,
    0xffcce0f5,
    0xffcaddf3,
    0xffd0e1f9,
    0xffcddef2,
    0xffd8e6f8,
    0xffd9e9f7,
    0xffd5e3ee,
    0xffcaddf4,
    0xffc9dff6,
    0xffc9dff8,
    0xffcadef7,
    0xffcbdef3,
    0xffd0ddf1,
    0xffd8dff1,
    0xffe3e8f4,
    0xfffbfdff,
    0xffffffff,
    0xffffffff,
    0xfffeffff,
    0xfffefdfe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfff6f7f6,
    0xfff6f6f6,
    0xffffffff,
    0xfff9f9fc,
    0xffececee,
    0xfff8f7f9,
    0xfffefdff,
    0xfffdfeff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefffd,
    0xfffefffd,
    0xfffefffd,
    0xfffffffb,
    0xfffbfffb,
    0xfffbfffb,
    0xfffcfffb,
    0xfffdfffa,
    0xfffdfffb,
    0xfffffffb,
    0xfffefff8,
    0xfffdfef8,
    0xfffefdfd,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfeff,
    0xfffeffff,
    0xfffdffff,
    0xffffffff,
    0xfffefefe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffd,
    0xfffefefb,
    0xfffefefe,
    0xfffefefe,
    0xfffefefe,
    0xfffdfcfd,
    0xfffafafd,
    0xfffcfdff,
    0xfffafafe,
    0xfffffffe,
    0xfffcfdfe,
    0xfffbfcfd,
    0xffffffff,
    0xfffffffd,
    0xfffefffd,
    0xfffffffe,
    0xfffffffd,
    0xfffdffff,
    0xfffbffff,
    0xfff9fdff,
    0xfff9fdff,
    0xfff6fafb,
    0xfff6fafc,
    0xfff9fdfe,
    0xfff3f7f9,
    0xfff4f4f5,
    0xfffbfbfc,
    0xfffffeff,
    0xfffefdfd,
    0xfffefefe,
    0xfffefefd,
    0xffffffff,
    0xffffffff,
    0xfffffffd,
    0xffffffff,
    0xfffefefe,
    0xfffffefe,
    0xfffdfcfe,
    0xfffefefe,
    0xfffbfbfd,
    0xfff8f8fa,
    0xffffffff,
    0xfffdfeff,
    0xfff7f8f9,
    0xfff8f9f9,
    0xfffbfcfc,
    0xfffcfdfd,
    0xfffbfcfc,
    0xfffbfbfc,
    0xfff3f7ff,
    0xfff1f4fe,
    0xffecf2f9,
    0xffe0e7ed,
    0xffe9f1f9,
    0xffeaf4fd,
    0xffebf4ff,
    0xffd8e0ed,
    0xffdaddec,
    0xfff7faff,
    0xfffeffff,
    0xffffffff,
    0xfffffffd,
    0xfffffffd,
    0xfffdfffc,
    0xfffafffd,
    0xfffffdfe,
    0xfffffefc,
    0xfffffefc,
    0xfffffffd,
    0xfffefefc,
    0xfffeffff,
    0xfff5f7f8,
    0xffeaebef,
    0xffefedf3,
    0xfff7f7f9,
    0xfffcfcfe,
    0xfffafafd,
    0xfffbfbfb,
    0xffffffff,
    0xfffffffe,
    0xfffefdfd,
    0xfffcfefb,
    0xfffdffff,
    0xfff0f4f8,
    0xffe9f2f6,
    0xffeaf2f7,
    0xfff2f6f9,
    0xfffafbfc,
    0xfffefdfb,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffeffff,
    0xfffeffff,
    0xffffffff,
    0xfffefefe,
    0xfffdfdfd,
    0xfffcf9ff,
    0xfffaf6f9,
    0xfff6f5f4,
    0xfff6f7f7,
    0xfff6f4f9,
    0xfff1f2f8,
    0xfffbfbff,
    0xffc4c6c7,
    0xffe5eae7,
    0xffb4bda7,
    0xffe5f3db,
    0xffa5b7b0,
    0xff9ab2a2,
    0xff83a66d,
    0xff698b3b,
    0xff59762e,
    0xff587b3f,
    0xff6c8b40,
    0xff516e1a,
    0xff385812,
    0xff224717,
    0xff1d4618,
    0xff5c813d,
    0xff7f9f42,
    0xff2a5110,
    0xff305a22,
    0xff012800,
    0xff214322,
    0xff163419,
    0xff263d26,
    0xff263d2b,
    0xff546b5e,
    0xff3e5049,
    0xff647a6f,
    0xff375143,
    0xff2d4c3f,
    0xff395851,
    0xff425f57,
    0xff587465,
    0xff2b4632,
    0xffcce7cb,
    0xff778477,
    0xff8a8d8b,
    0xffcbd3cf,
    0xff112b1d,
    0xff001d17,
    0xff081719,
    0xff07040d,
    0xff8d868b,
    0xffaca1ac,
    0xffefe4ec,
    0xff645854,
    0xffac9d92,
    0xffb6a498,
    0xff57452a,
    0xff5e5121,
    0xff5e4f26,
    0xff998987,
    0xffa39b9c,
    0xffb8b8a8,
    0xff827d64,
    0xff867653,
    0xff513809,
    0xff745424,
    0xff71592b,
    0xff46401d,
    0xff413d26,
    0xff533e2a,
    0xff6d563a,
    0xff484421,
    0xff292f1f,
    0xff141619,
    0xff0d171a,
    0xff040f12,
    0xff39474e,
    0xff54696a,
    0xff5c7973,
    0xff72918a,
    0xff334e4b,
    0xff7f969a,
    0xffb2c0d4,
    0xffdce1ff,
    0xffb6b9d4,
    0xff909db8,
    0xff3f4c6a,
    0xff4d5862,
    0xff00110c,
    0xff001420,
    0xff94b1d2,
    0xff7391ae,
    0xff5d7b8c,
    0xff728c91,
    0xff233939,
    0xff314344,
    0xff7e9095,
    0xff61737d,
    0xff788091,
    0xff657380,
    0xff32444a,
    0xffdce8f4,
    0xfffcffff,
    0xffd0d1e5,
    0xffb5bdc8,
    0xffe5f2f3,
    0xffffffff,
    0xffd6d4e3,
    0xffece7f4,
    0xffffffff,
    0xff99a5ab,
    0xff536184,
    0xffe9f9ff,
    0xff7f8f99,
    0xffced6d1,
    0xffbabea7,
    0xff94712b,
    0xffaf8823,
    0xff987423,
    0xff624900,
    0xff675f0f,
    0xff3f1d00,
    0xff968134,
    0xff51460b,
    0xff8c771f,
    0xffb29320,
    0xffbf8a14,
    0xffc78411,
    0xff966806,
    0xffa88122,
    0xff846315,
    0xff9e7e23,
    0xff9b721f,
    0xffba883b,
    0xffc48f3b,
    0xff925e1b,
    0xff643d05,
    0xff684a03,
    0xff492d03,
    0xff7c5313,
    0xff775f08,
    0xff575314,
    0xff533c29,
    0xff513723,
    0xff51544e,
    0xff4e6b99,
    0xffa6b0cf,
    0xff795847,
    0xff7f3f17,
    0xff94321d,
    0xff8f200f,
    0xffa93e14,
    0xff882100,
    0xff893b25,
    0xff95421d,
    0xff66280a,
    0xff75341d,
    0xff7b3c1f,
    0xff692e10,
    0xff5e2d16,
    0xff674e25,
    0xff6b4b13,
    0xffa18937,
    0xff585000,
    0xff737111,
    0xff6c6411,
    0xff554418,
    0xff372a02,
    0xff6c6321,
    0xff665715,
    0xff73691a,
    0xff3b3c0b,
    0xff6a6454,
    0xff8c7e42,
    0xff887732,
    0xff383423,
    0xff576c70,
    0xff8baab6,
    0xff7e8b8c,
    0xff606d4f,
    0xff5e6762,
    0xff606b73,
    0xff051500,
    0xff2e360e,
    0xff4a503f,
    0xff0f1d08,
    0xff1c2a14,
    0xff414732,
    0xff413818,
    0xff6a5613,
    0xff846719,
    0xffa48544,
    0xff664e15,
    0xff5f4f15,
    0xff343909,
    0xff403b1e,
    0xff472f1a,
    0xff383204,
    0xff54541c,
    0xff763e2a,
    0xff752f33,
    0xff000000,
    0xff6b7c6b,
    0xff000300,
    0xff05101a,
    0xff000e1c,
    0xff000d06,
    0xff0a0a00,
    0xff11180f,
    0xff001a08,
    0xff21361e,
    0xff4e523f,
    0xff312a2d,
    0xff493d40,
    0xff866c3e,
    0xffb18332,
    0xff9b671d,
    0xff8f6525,
    0xff001836,
    0xff291931,
    0xff6a4d52,
    0xff696b64,
    0xff406160,
    0xff294d5c,
    0xff0b2f46,
    0xff164657,
    0xff2f565c,
    0xff1f3337,
    0xff415151,
    0xff103435,
    0xff0d3d46,
    0xff1c4156,
    0xff2a4059,
    0xff3b4e63,
    0xff9d9fb0,
    0xff686372,
    0xff514956,
    0xff36303c,
    0xff2a2736,
    0xff333245,
    0xff3f3c50,
    0xff494455,
    0xff413d4a,
    0xff797e75,
    0xff8c987c,
    0xff95a185,
    0xff8b9278,
    0xff8d8d72,
    0xffa19c8f,
    0xff988f94,
    0xff4a434a,
    0xff3d2c36,
    0xff3c3136,
    0xff383a2f,
    0xff7f846b,
    0xff999478,
    0xff88896b,
    0xff7f8c72,
    0xff7e8e70,
    0xff8a8f78,
    0xff888972,
    0xff8d876e,
    0xff9b8878,
    0xff9b8177,
    0xffaa645a,
    0xffb42e24,
    0xffc3211d,
    0xffc2251e,
    0xffd12e28,
    0xffd11f20,
    0xffc00b17,
    0xffa70811,
    0xff880205,
    0xff7f0000,
    0xff8f0201,
    0xff850001,
    0xff870006,
    0xff840002,
    0xff982833,
    0xffffe7e4,
    0xffffffff,
    0xfffce4e8,
    0xffffcde6,
    0xffd88192,
    0xff7c101f,
    0xff850d20,
    0xffde5665,
    0xffad171f,
    0xff9d1315,
    0xffbc454c,
    0xffb8223a,
    0xffc01d27,
    0xffa51117,
    0xffcd4f55,
    0xffb13d41,
    0xffa13c4c,
    0xffdd7a9c,
    0xff9d2443,
    0xff910b22,
    0xffb76464,
    0xff967862,
    0xff928c6e,
    0xff919172,
    0xff96886d,
    0xffb09b78,
    0xffac9f70,
    0xffb1a675,
    0xffac955d,
    0xff8f612c,
    0xff9c5b2f,
    0xffd3906a,
    0xffeaa882,
    0xffdd8c5f,
    0xffec8959,
    0xffd66c45,
    0xffc6512e,
    0xffc53d20,
    0xffc3321e,
    0xffcc3b2a,
    0xffcf4731,
    0xffd95538,
    0xffd95c33,
    0xffd05133,
    0xffca5343,
    0xffd46865,
    0xffb75d54,
    0xff97513e,
    0xff966847,
    0xff9b7d5f,
    0xff82745c,
    0xff6b6f76,
    0xff46514c,
    0xff5a6866,
    0xff58696b,
    0xff6a725a,
    0xff8b8653,
    0xffaaa163,
    0xffb6b173,
    0xff919a62,
    0xff979d6e,
    0xffacb286,
    0xffa9b280,
    0xffabb87d,
    0xffb9c38f,
    0xff717154,
    0xff534b45,
    0xff19292b,
    0xff708e80,
    0xff48676e,
    0xff1d375b,
    0xff193b5a,
    0xff284e64,
    0xff405260,
    0xff7a7371,
    0xffb6aea2,
    0xff5c726b,
    0xff527b74,
    0xff14352c,
    0xff456364,
    0xff32535f,
    0xff446563,
    0xff5b6f56,
    0xff737261,
    0xff81775c,
    0xff89825e,
    0xff928567,
    0xff947f60,
    0xff827d66,
    0xff5e7079,
    0xff445b76,
    0xff13346e,
    0xff01265b,
    0xff0c2c5d,
    0xff243d65,
    0xff2e485e,
    0xff496978,
    0xff294a6a,
    0xff203b69,
    0xff7b796e,
    0xff919169,
    0xffaa9652,
    0xffd6b372,
    0xffbfa57e,
    0xff9c875e,
    0xffcbb276,
    0xffb7a164,
    0xff67664b,
    0xff586362,
    0xff526f7e,
    0xff4d5e5b,
    0xff91816c,
    0xff7d6e6e,
    0xff4b4f5f,
    0xff52585c,
    0xff72777e,
    0xff888c7c,
    0xff53696a,
    0xff555366,
    0xff7d685d,
    0xff91948c,
    0xff394c75,
    0xff0a3360,
    0xff285d7d,
    0xff37618a,
    0xff16204b,
    0xff7f6e78,
    0xff86666d,
    0xffcfb194,
    0xffb09c7a,
    0xff8a8666,
    0xffc4b483,
    0xffbda66c,
    0xffccb494,
    0xffb8897c,
    0xff93686e,
    0xff775f6e,
    0xffa47e7c,
    0xffb18b84,
    0xff7a695a,
    0xff817476,
    0xff837979,
    0xff9a856f,
    0xff9e806e,
    0xff938079,
    0xff857f66,
    0xffb8a986,
    0xffbd9b80,
    0xff856663,
    0xff967c7d,
    0xff67495a,
    0xff7e6b81,
    0xff80959e,
    0xff36516f,
    0xff47496f,
    0xff576c7f,
    0xff3c4653,
    0xff4d5052,
    0xff717566,
    0xff8b8979,
    0xff918787,
    0xff6e7087,
    0xff1e365a,
    0xff4b6578,
    0xff7a8e82,
    0xffacb79e,
    0xff919f8f,
    0xff506e72,
    0xff386389,
    0xff1f528a,
    0xff3a709f,
    0xff2c5f84,
    0xff5882a8,
    0xff7094b4,
    0xffd3f1ff,
    0xffd2edff,
    0xffcfeafe,
    0xffc6e0fa,
    0xffcce2fc,
    0xffc8e5fa,
    0xffcae2f4,
    0xffccdced,
    0xffdbe6f4,
    0xffe0e9f7,
    0xffe2e6f5,
    0xffe7eaf9,
    0xffeff4fd,
    0xffeef6fd,
    0xffe8f3fc,
    0xffd1e2ee,
    0xffc9daea,
    0xffc9dded,
    0xffccdef0,
    0xffd7e6f7,
    0xffd7e1f4,
    0xffd2e1ec,
    0xffd0dfec,
    0xffd1dceb,
    0xffd0dceb,
    0xffe0eaf8,
    0xfff2feff,
    0xfffcffff,
    0xffe8f3f8,
    0xffcfdeec,
    0xffcadcec,
    0xffcadcec,
    0xffccdeed,
    0xffd9e7f6,
    0xffe2ecf8,
    0xffe4ebf4,
    0xfff0f4fa,
    0xffffffff,
    0xfffcfefc,
    0xfffdfffe,
    0xfffeffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffefeff,
    0xfffbfbfb,
    0xfffcfcfc,
    0xfffcfcfb,
    0xfffafafd,
    0xfffefeff,
    0xffffffff,
    0xfffdfdff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffdffff,
    0xfffeffff,
    0xfffeffff,
    0xfffdfffe,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffefefd,
    0xfffdfdfe,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdffff,
    0xfffeffff,
    0xfffeffff,
    0xfffdfffe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffefefb,
    0xfffcfcfd,
    0xfffefefe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefb,
    0xfffdfdfb,
    0xfffffffd,
    0xfffffffc,
    0xfffcfffd,
    0xfffdfffe,
    0xfffefffe,
    0xfffefffe,
    0xfffcfefc,
    0xffffffff,
    0xfff9fbfa,
    0xfffeffff,
    0xfffdfdfc,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffefefe,
    0xfffefefe,
    0xfffffffc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdff,
    0xffffffff,
    0xfffcfcfc,
    0xfffdfdfc,
    0xfffdfdfd,
    0xfffefefe,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfd,
    0xfffcfcfd,
    0xfffcfdff,
    0xfff7fafe,
    0xfff8fafe,
    0xfff7fbfe,
    0xffeef3f6,
    0xfff1f6fc,
    0xfff0f5fb,
    0xffeef1fa,
    0xffeff3fc,
    0xfffbfdff,
    0xfffafeff,
    0xfffdfefe,
    0xfffdfffb,
    0xfffdfffd,
    0xfffcffff,
    0xfffdffff,
    0xfffffdff,
    0xfffffdff,
    0xfffdfdfb,
    0xfffefefc,
    0xfffefefc,
    0xfff7faf9,
    0xfff2f3f5,
    0xfff2f3f8,
    0xfffcfcfd,
    0xfffbfbfd,
    0xfffcfbfd,
    0xfffbfbfa,
    0xfffcfcfc,
    0xffffffff,
    0xfffdfdfe,
    0xfffefefb,
    0xfffdfdfd,
    0xfffafcfd,
    0xfff9feff,
    0xffeff7f9,
    0xffedf1f5,
    0xfff6fafd,
    0xfffcfdff,
    0xfffdfcfd,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffcfcfc,
    0xfffafafa,
    0xfffbfbfc,
    0xfff9f8fe,
    0xfffbfafc,
    0xfff7f7f7,
    0xfff3f5f3,
    0xfff2f3f5,
    0xfff6f8f8,
    0xffd0d2d2,
    0xffbbbeba,
    0xffadb8aa,
    0xff78845f,
    0xff415025,
    0xff445736,
    0xff567149,
    0xff658444,
    0xff68833c,
    0xff4c6125,
    0xff2b410e,
    0xff1d2e01,
    0xff48542f,
    0xff293a12,
    0xff334b1d,
    0xff284413,
    0xff6f8a58,
    0xff1e3809,
    0xff273c17,
    0xff213b12,
    0xff28481f,
    0xff46673e,
    0xff2c4a25,
    0xff4a683e,
    0xff26450d,
    0xff5d7f3d,
    0xff88a676,
    0xff6a885e,
    0xff355834,
    0xff40654b,
    0xff1c3e2f,
    0xff123022,
    0xff243c2c,
    0xff001603,
    0xff0f1e13,
    0xff1b262c,
    0xff000002,
    0xff030700,
    0xff030e01,
    0xff000f14,
    0xff001010,
    0xff031200,
    0xff8a977d,
    0xffd7dfd6,
    0xffdee0e8,
    0xffc9cbbf,
    0xff908d6f,
    0xff8a8261,
    0xff53471c,
    0xff54451a,
    0xff7b6b55,
    0xffa89e91,
    0xffaaa8ab,
    0xff848392,
    0xffeceaf2,
    0xffc8bcb3,
    0xff99846c,
    0xff6b502b,
    0xff7a591c,
    0xff938145,
    0xff665423,
    0xff6e5323,
    0xff937541,
    0xff7e6f37,
    0xff645e30,
    0xff55482c,
    0xff444947,
    0xffa6aeab,
    0xff9ba7a1,
    0xff7a8b89,
    0xff8c9da2,
    0xff8995a3,
    0xffbabfd0,
    0xff9192a4,
    0xff94a3b9,
    0xff8a94af,
    0xff5c6b89,
    0xff7a95b6,
    0xffaecaec,
    0xff97a8b5,
    0xff000a09,
    0xff00070c,
    0xff7da8b8,
    0xff93b4c6,
    0xff8195ad,
    0xff7e94ac,
    0xffbedcf2,
    0xffa3c5d5,
    0xff3a5562,
    0xff677783,
    0xffb4c1da,
    0xfff9ffff,
    0xffb5c4d5,
    0xffadb8bd,
    0xfffefffe,
    0xffcfcec9,
    0xffa2a1a3,
    0xff9a9ea8,
    0xff848a97,
    0xffb0b1c2,
    0xffffffff,
    0xffdae1f0,
    0xff4a596a,
    0xff586a7e,
    0xff455268,
    0xfffdffff,
    0xffe8d3ce,
    0xff524220,
    0xffad8843,
    0xff8e6d07,
    0xff7f660f,
    0xff6c5b16,
    0xff59500d,
    0xff5c331d,
    0xff493e1d,
    0xff2f2912,
    0xff583c0e,
    0xff8d6b18,
    0xffcc992d,
    0xff945209,
    0xff6c4219,
    0xff644709,
    0xff714402,
    0xffbd8c27,
    0xffae791f,
    0xff8c5e1a,
    0xff55380c,
    0xff382803,
    0xff4b3d1b,
    0xff4c3d13,
    0xff63490c,
    0xff946515,
    0xff805709,
    0xff775924,
    0xff61300f,
    0xff864e44,
    0xff946f7a,
    0xff6e556b,
    0xff8d585f,
    0xff7f3b42,
    0xff783128,
    0xff9c3120,
    0xff901a05,
    0xff821f06,
    0xff903114,
    0xff8b3a14,
    0xff7b310b,
    0xff673112,
    0xff6b2913,
    0xff692406,
    0xff5c1800,
    0xff64301a,
    0xff301e05,
    0xff230f00,
    0xff6d5b15,
    0xff5a4908,
    0xff272100,
    0xff141906,
    0xff2e3120,
    0xff342b03,
    0xff4a3d10,
    0xff332612,
    0xff544f31,
    0xff3d3c34,
    0xff8f93a7,
    0xff778a94,
    0xff4f657a,
    0xff465a7f,
    0xff758f91,
    0xff334e43,
    0xff1f2004,
    0xff585d4a,
    0xff7a88b0,
    0xff7186ca,
    0xff53656d,
    0xff52552c,
    0xff403a22,
    0xff3c3d37,
    0xff1c2b15,
    0xff1e2d0d,
    0xff85875b,
    0xff7a753b,
    0xff685b19,
    0xff605311,
    0xff575021,
    0xff141000,
    0xff342401,
    0xff52452b,
    0xff6f5042,
    0xff6c523d,
    0xff847052,
    0xff8e5246,
    0xff915650,
    0xff98a28a,
    0xff000000,
    0xffa39d98,
    0xff000000,
    0xff02121a,
    0xff000f05,
    0xff091009,
    0xff101417,
    0xff101e15,
    0xff243f19,
    0xff263e1a,
    0xff334136,
    0xff3a3232,
    0xff76593c,
    0xff9c753b,
    0xff8a6d21,
    0xff7f7715,
    0xff536d70,
    0xff716558,
    0xffb29778,
    0xff5a5c42,
    0xff45696a,
    0xff3a6179,
    0xff426a7d,
    0xff2d5a5a,
    0xff37626a,
    0xff334a4d,
    0xff333e3b,
    0xff6e8785,
    0xff355c67,
    0xff3d6075,
    0xff142338,
    0xff535864,
    0xff5d5a68,
    0xff514c58,
    0xff443c45,
    0xff29242e,
    0xff272431,
    0xff353444,
    0xff3e3e50,
    0xff433f53,
    0xff383848,
    0xff80877e,
    0xff808f73,
    0xff859177,
    0xff8d907d,
    0xff8a8878,
    0xffaaa0a0,
    0xff776a7b,
    0xff44323e,
    0xff412938,
    0xff36242a,
    0xff5f5b54,
    0xff888e79,
    0xff87876d,
    0xff88866f,
    0xff8d927a,
    0xff8c9574,
    0xff95937c,
    0xff928c79,
    0xff948b7c,
    0xffb5a59b,
    0xffe0c1bf,
    0xffcd7d7b,
    0xffbe2628,
    0xffc3201c,
    0xffc6261c,
    0xffd92c25,
    0xffd41419,
    0xffc1020e,
    0xffa3000a,
    0xff93000b,
    0xff8e000b,
    0xff970002,
    0xff8f0003,
    0xff830004,
    0xff780003,
    0xffffa5a4,
    0xffdd8b88,
    0xffb8696d,
    0xffc46878,
    0xff88182b,
    0xff740003,
    0xff89000c,
    0xff890011,
    0xffaa1d2b,
    0xffb81f23,
    0xffae0f13,
    0xff950003,
    0xffa3021b,
    0xffb6101d,
    0xffa2070a,
    0xffc0322d,
    0xffd55146,
    0xff99242c,
    0xffb64970,
    0xffd86297,
    0xff982146,
    0xff87112d,
    0xffbe7177,
    0xff988672,
    0xff7f7f64,
    0xff958e73,
    0xff9b8f72,
    0xff93906a,
    0xff979169,
    0xff9f956b,
    0xffc3a076,
    0xffbe7459,
    0xff780800,
    0xffad2924,
    0xffb9241e,
    0xffc9261e,
    0xffcc2620,
    0xffcc2c1f,
    0xffce3021,
    0xffcd2e20,
    0xffd4352a,
    0xffda3f35,
    0xffd13d30,
    0xffc33726,
    0xffc73c38,
    0xffd24136,
    0xffd94232,
    0xffd94335,
    0xffda584c,
    0xffcf7162,
    0xffaf7f63,
    0xff978661,
    0xff56645c,
    0xff314d5b,
    0xff183d58,
    0xff4b627e,
    0xff61666f,
    0xff939278,
    0xffbcba89,
    0xffa6a274,
    0xff9fa982,
    0xff889569,
    0xff9ba676,
    0xff868d5d,
    0xffb4b485,
    0xffb0b083,
    0xffbcc193,
    0xffaeba8a,
    0xff697b60,
    0xff758f78,
    0xff3f5a59,
    0xff273e5b,
    0xff102850,
    0xff283c66,
    0xff65637b,
    0xffa99489,
    0xff767861,
    0xff769482,
    0xff537761,
    0xff7d8974,
    0xff565b5b,
    0xff05192b,
    0xff3a504f,
    0xff747a57,
    0xffb0aa89,
    0xff8f7d59,
    0xffbeb086,
    0xff908456,
    0xff8c7866,
    0xff5e5967,
    0xff3f5a6b,
    0xff33526f,
    0xff062a60,
    0xff002865,
    0xff001f5d,
    0xff142c52,
    0xff133046,
    0xff002555,
    0xff052357,
    0xff5e6b72,
    0xffc6baa3,
    0xff9e9175,
    0xff9e8963,
    0xffb89e79,
    0xff9b8960,
    0xffc2a96f,
    0xffb69b5f,
    0xffa09374,
    0xff818a84,
    0xff476276,
    0xff0f3a5d,
    0xff526d79,
    0xffaaa093,
    0xff584842,
    0xff76737b,
    0xff838281,
    0xff988781,
    0xffa38c82,
    0xff62696d,
    0xff6b727f,
    0xff928f83,
    0xff75796a,
    0xff4b546a,
    0xff314973,
    0xff496783,
    0xff57687d,
    0xff79838c,
    0xff949a98,
    0xff6e6971,
    0xff6e705d,
    0xff7e836f,
    0xff928d8f,
    0xff6b6962,
    0xffa19472,
    0xff937f56,
    0xffaa816a,
    0xffa8858b,
    0xff6f6170,
    0xff7a6054,
    0xffcca78a,
    0xff876f58,
    0xff9a8987,
    0xff705c61,
    0xff9b836d,
    0xff695d52,
    0xff615c61,
    0xff9f947f,
    0xff92796a,
    0xff836c52,
    0xff9e858a,
    0xff8d667a,
    0xffa87593,
    0xff7a6879,
    0xff3e4f62,
    0xff41547d,
    0xff3a3f63,
    0xff7f8081,
    0xff999291,
    0xff98928c,
    0xff6f736a,
    0xff9d9f99,
    0xff6b6971,
    0xff555c72,
    0xff6a849f,
    0xff507c8a,
    0xff4d6b77,
    0xff5d6a6f,
    0xff889392,
    0xff81969b,
    0xff486a7a,
    0xff1a4363,
    0xff3e6997,
    0xff32688e,
    0xff376b87,
    0xff447588,
    0xff77a1b1,
    0xff8aafc7,
    0xff83a3c4,
    0xff96b4dc,
    0xffaec9ed,
    0xffcdedff,
    0xffd0e7ff,
    0xffd5dff1,
    0xfffafdff,
    0xfffffffe,
    0xffffffff,
    0xffffffff,
    0xfffafdff,
    0xffffffff,
    0xfffbfffe,
    0xfff8fdff,
    0xfff0f6fd,
    0xffd6dfe8,
    0xffdde5ed,
    0xffeff6fb,
    0xfff5fcfe,
    0xfff8feff,
    0xfff6fbff,
    0xffedf2f8,
    0xffe6e9f0,
    0xfff0f2f9,
    0xfff9faff,
    0xfffbfcfd,
    0xffffffff,
    0xffe7eff4,
    0xffdee6ee,
    0xffe0ebf2,
    0xffdde8ef,
    0xffe4edf2,
    0xfff8ffff,
    0xfffdffff,
    0xfffdfffd,
    0xfffcfefd,
    0xfffdfffe,
    0xfffeffff,
    0xfffefefe,
    0xfffdfdfd,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xfffdfdfa,
    0xffffffff,
    0xfffefefe,
    0xfffefefe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfffefeff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefeff,
    0xfffdfdff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffdfffe,
    0xfffbfefc,
    0xfffeffff,
    0xfffeffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffdfdfb,
    0xfffdfdfb,
    0xfffefefc,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfd,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffdfdfe,
    0xfffffeff,
    0xfffefeff,
    0xfffdfdfd,
    0xfffefefe,
    0xfffefefe,
    0xfffcfcfc,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffdfdfe,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfd,
    0xfffefefe,
    0xfffefeff,
    0xfffcfcfe,
    0xfffdfdff,
    0xfffefefd,
    0xfffefefe,
    0xfffefefe,
    0xfffcfcfc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefeff,
    0xfffdfcff,
    0xfffdfdff,
    0xfffdfdfe,
    0xfffcfdff,
    0xfff8f9fc,
    0xfff9fbff,
    0xfff7f8fd,
    0xfff2f5fb,
    0xfff3f8fd,
    0xfff8feff,
    0xfffcffff,
    0xfffdfffe,
    0xfffcfffe,
    0xfffcfffd,
    0xfffefeff,
    0xfffdfeff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffefefb,
    0xfffbfbfb,
    0xfff7f9f8,
    0xfff7f8fa,
    0xfff9faff,
    0xfffbfbfd,
    0xffffffff,
    0xfffefefe,
    0xfffdfdfd,
    0xfffdfdfd,
    0xffffffff,
    0xfffdfdfe,
    0xfffdfdfb,
    0xfffefeff,
    0xfffdfdff,
    0xfff5f8fd,
    0xffeef3fa,
    0xffecf2f7,
    0xffe8ecf0,
    0xfff9f9fd,
    0xfffcfdff,
    0xfffdfdfd,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffcfcfc,
    0xfffefefe,
    0xfffbfdff,
    0xfff9fafe,
    0xfff6f7f9,
    0xfff4f6f8,
    0xffedeef0,
    0xfff0f0ef,
    0xffeaeae8,
    0xffdbdbda,
    0xffbcc0c4,
    0xff999f94,
    0xff787f68,
    0xff7a876b,
    0xff243418,
    0xff526347,
    0xff89947c,
    0xffafb1a2,
    0xff8a7d5e,
    0xff9d8660,
    0xff967a50,
    0xff705f32,
    0xff403f16,
    0xff2b3614,
    0xff2b3a17,
    0xff232e0d,
    0xff767562,
    0xff9ca77e,
    0xff82a05d,
    0xff60853b,
    0xff749859,
    0xff82a66d,
    0xff8db074,
    0xff6d964d,
    0xff355820,
    0xff4f7442,
    0xff2d5329,
    0xff032907,
    0xff0a2d13,
    0xff132f1b,
    0xff0c1e11,
    0xff061006,
    0xff3e463c,
    0xff2f2d2e,
    0xff8b817d,
    0xfffffef1,
    0xff1b2019,
    0xff001117,
    0xff001313,
    0xff475138,
    0xff939b70,
    0xff4a512f,
    0xff484c44,
    0xff616a46,
    0xff4c5426,
    0xff6d6c4f,
    0xff7b764f,
    0xff8e8468,
    0xffaba586,
    0xff898d5c,
    0xffa7ac98,
    0xff7b8196,
    0xfff2f5ff,
    0xfffefcff,
    0xffe6ddd7,
    0xffe1d3ba,
    0xff94714b,
    0xff533c13,
    0xff77633b,
    0xff7a603c,
    0xff907552,
    0xff5c4824,
    0xff8d7d5a,
    0xffa49176,
    0xfff7fcf0,
    0xfffffff9,
    0xff909e86,
    0xff79887a,
    0xff3b484f,
    0xffa5b1c4,
    0xffd3daef,
    0xffc3cada,
    0xff728696,
    0xffd9e3eb,
    0xffa7b1c2,
    0xffc6d6f1,
    0xffe6f5ff,
    0xffb2bcc1,
    0xff000307,
    0xff031613,
    0xff355f49,
    0xff12311f,
    0xff192d23,
    0xff1f372a,
    0xff1e412e,
    0xff001401,
    0xff00180d,
    0xff001512,
    0xff000c0b,
    0xff1c3235,
    0xffa8bbc2,
    0xfff5ffff,
    0xfff1f3f3,
    0xfff0ecf0,
    0xffa099aa,
    0xff76728a,
    0xffc5cfd4,
    0xff4b535b,
    0xff717b8b,
    0xff748599,
    0xff8aa2af,
    0xff687d7a,
    0xff505742,
    0xff817d59,
    0xffb0913f,
    0xffa18927,
    0xff997410,
    0xff7c5d00,
    0xff8b7720,
    0xff51480b,
    0xff6a642b,
    0xff927350,
    0xff6b6747,
    0xff3f3a21,
    0xff7e612c,
    0xff825b00,
    0xffce9c2a,
    0xff7b4100,
    0xff190000,
    0xff4d3b08,
    0xff8b6713,
    0xff93630e,
    0xff865605,
    0xff603f11,
    0xff110d00,
    0xff0b1200,
    0xff464014,
    0xff61401f,
    0xff7a491e,
    0xff6e2500,
    0xff772815,
    0xff8b3f1c,
    0xff953f17,
    0xffaa5337,
    0xffa5553c,
    0xffa95527,
    0xff953014,
    0xff853b3a,
    0xffc39190,
    0xff8f432f,
    0xff7a2e0d,
    0xff4f2609,
    0xff482000,
    0xff683f05,
    0xff4a2300,
    0xff6c3a1a,
    0xff8c3927,
    0xff762d0f,
    0xff4a1f00,
    0xff1d0e00,
    0xff10180d,
    0xff170d0c,
    0xff302e18,
    0xff252010,
    0xff0c091a,
    0xff1f264e,
    0xff3e455a,
    0xffa8aaa6,
    0xff05020d,
    0xff7b7d9c,
    0xffc5c6e6,
    0xffb7aeda,
    0xffbdbef0,
    0xff9fbee5,
    0xff88aed3,
    0xff778e8c,
    0xff36450a,
    0xff545d27,
    0xff605b2a,
    0xff474d2d,
    0xff30474a,
    0xff2d4b6f,
    0xff71819c,
    0xff21181e,
    0xff35282a,
    0xff28242d,
    0xff404d56,
    0xff000d0d,
    0xff485253,
    0xff0c0e15,
    0xff272722,
    0xff181d00,
    0xff303a10,
    0xff2b3a19,
    0xff232209,
    0xff1d2202,
    0xff271701,
    0xff251002,
    0xff1e1102,
    0xff2e0f04,
    0xff32120a,
    0xff273017,
    0xffb7b8b7,
    0xff0c0d03,
    0xff6b6e69,
    0xff000000,
    0xff00100b,
    0xff042121,
    0xff011a1d,
    0xff06180a,
    0xff072509,
    0xff072000,
    0xff171f07,
    0xff40392c,
    0xff3c3622,
    0xff1d1a09,
    0xff342c15,
    0xff463c0b,
    0xff557567,
    0xff6a7153,
    0xff95926a,
    0xff79896e,
    0xff33565b,
    0xff254867,
    0xff285266,
    0xff3d6f6f,
    0xff406d79,
    0xff354d50,
    0xff47504c,
    0xff758888,
    0xff2f5260,
    0xff24475f,
    0xff445569,
    0xff76747f,
    0xff5d5966,
    0xff443d46,
    0xff382f36,
    0xff262229,
    0xff24222e,
    0xff333343,
    0xff403f51,
    0xff454255,
    0xff2f3248,
    0xff39443f,
    0xff7f9176,
    0xff8e9d84,
    0xff8e9284,
    0xff9a978d,
    0xff8f8488,
    0xff514558,
    0xff3e2e36,
    0xff442934,
    0xff4a2e36,
    0xff7f7474,
    0xff91998d,
    0xff838e84,
    0xff85817e,
    0xff968384,
    0xff9c8679,
    0xffac8077,
    0xffdab9b5,
    0xffe5e0de,
    0xfffaf5f7,
    0xfffff4f4,
    0xfff08d91,
    0xffbd1d2c,
    0xffc92028,
    0xffce1a20,
    0xffd01d1f,
    0xffb71412,
    0xff9c0303,
    0xff940104,
    0xff8b0104,
    0xff800000,
    0xff890201,
    0xffa4141a,
    0xff8e060d,
    0xff780302,
    0xff840708,
    0xff9f0914,
    0xff990414,
    0xff770004,
    0xff870006,
    0xff910b0a,
    0xff860203,
    0xff880210,
    0xff8e000f,
    0xffb21623,
    0xffc62731,
    0xffa20716,
    0xffd14950,
    0xff880001,
    0xffb42223,
    0xffb8241d,
    0xffc53524,
    0xffc74640,
    0xff76081e,
    0xffa24169,
    0xffbd7d8c,
    0xff852539,
    0xff8f3f46,
    0xff917766,
    0xff8b8367,
    0xff8c886a,
    0xff888b6d,
    0xff8d8b6d,
    0xff958a71,
    0xff918d6c,
    0xff938f6a,
    0xff9e775d,
    0xffac4341,
    0xff9d000d,
    0xffb40514,
    0xffbd181d,
    0xffd42429,
    0xffce2d27,
    0xffc73324,
    0xffc22e1b,
    0xffd23529,
    0xffd73230,
    0xffd13331,
    0xffcd3631,
    0xffcf3a3c,
    0xffd53e33,
    0xffd13722,
    0xffd0301f,
    0xffd43b33,
    0xffba3831,
    0xffb7503f,
    0xffbf704f,
    0xff6f5f3a,
    0xff47575f,
    0xff1f4359,
    0xff496b74,
    0xff415766,
    0xff24383f,
    0xff67795c,
    0xffaab384,
    0xffa0a683,
    0xff9ba77c,
    0xff97aa75,
    0xff899665,
    0xffa5a27d,
    0xff9f9973,
    0xffa9ae76,
    0xffa0b069,
    0xffb8be7a,
    0xffb3be86,
    0xff8da07c,
    0xff3c5346,
    0xff3a4f62,
    0xff384569,
    0xff5c5d6f,
    0xff88806e,
    0xff697460,
    0xff5c766c,
    0xff46523e,
    0xffbba379,
    0xffc6a77f,
    0xff9d9582,
    0xff87867b,
    0xff908367,
    0xff867a46,
    0xffb29e64,
    0xff9a895a,
    0xffa3985e,
    0xff8f8263,
    0xff52586c,
    0xff345676,
    0xff113561,
    0xff0b255a,
    0xff0c2f57,
    0xff2c464a,
    0xffb3b187,
    0xffbbb791,
    0xff0f1c32,
    0xff031341,
    0xff616672,
    0xff585d62,
    0xff657372,
    0xff63716c,
    0xff60736c,
    0xff73846e,
    0xff968e54,
    0xffb59f5b,
    0xff9a8e6c,
    0xff736d53,
    0xff546260,
    0xff617e8d,
    0xff374e4d,
    0xff7c806d,
    0xff989d8c,
    0xff646d67,
    0xff707574,
    0xff807d6d,
    0xff897171,
    0xff6f7881,
    0xff43575f,
    0xff5e6661,
    0xff7c8977,
    0xff637477,
    0xff577894,
    0xff65737d,
    0xff7d8084,
    0xff667575,
    0xff4f6470,
    0xff49506d,
    0xff344c4a,
    0xff5a847a,
    0xff5b7992,
    0xff264b67,
    0xff5f7876,
    0xffa8ae95,
    0xff7b6f5c,
    0xff8c888b,
    0xff6b787f,
    0xff878478,
    0xffc9b091,
    0xff968269,
    0xffa2957d,
    0xffc1a275,
    0xffdabb7d,
    0xff939175,
    0xff6d7c72,
    0xff787d6e,
    0xff736e7c,
    0xffa1a2a4,
    0xff685862,
    0xff72596d,
    0xff765f75,
    0xff705e6f,
    0xff6a5f75,
    0xff8f87a2,
    0xff837d81,
    0xffa99f72,
    0xffbdae74,
    0xffa89e6c,
    0xff838570,
    0xff61635c,
    0xff716d64,
    0xff858182,
    0xff474d62,
    0xff3d5f6a,
    0xff2a435a,
    0xff34456a,
    0xff283c57,
    0xff3d5e61,
    0xff598681,
    0xff4a7a87,
    0xff457194,
    0xff35648b,
    0xff4f849f,
    0xff568b9c,
    0xff497c8c,
    0xff3e6782,
    0xff4e7392,
    0xff6587a4,
    0xff6b90a5,
    0xffa8c4dd,
    0xffafc6dc,
    0xff8e9eae,
    0xffffffff,
    0xffffffff,
    0xffeaf1f0,
    0xffe7eeec,
    0xfff7fffe,
    0xffffffff,
    0xfffefefc,
    0xfffdfdff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffafdfb,
    0xfffafdf8,
    0xfffafef8,
    0xfffffffe,
    0xffffffff,
    0xffffffff,
    0xfffffeff,
    0xfffffdfd,
    0xfffefefc,
    0xfffffefc,
    0xffffffff,
    0xffffffff,
    0xfffdffff,
    0xfffcffff,
    0xfffafeff,
    0xfffefffd,
    0xfffefffa,
    0xfffffffa,
    0xfffdfffe,
    0xfffdfffe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffefefe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffd,
    0xfffffffc,
    0xffffffff,
    0xfffefefe,
    0xfffcfcfc,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffdfdfd,
    0xfffafdfb,
    0xfff6f8f7,
    0xfffafcfb,
    0xfff9fbfa,
    0xfffcfcfc,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffd,
    0xfffffffb,
    0xfffffffa,
    0xfffffffd,
    0xfffefefc,
    0xfffffffd,
    0xfffffffc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffefefc,
    0xfffffffc,
    0xfffefefb,
    0xfffefefc,
    0xfffdfdfb,
    0xfffefefe,
    0xffffffff,
    0xfffefefe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffefefe,
    0xfffefefe,
    0xfffefefe,
    0xfffaf9f9,
    0xfffbfbfd,
    0xfffcfcfe,
    0xfffdfcff,
    0xfffcfcfe,
    0xffffffff,
    0xfffefefe,
    0xfffefefe,
    0xfffefefe,
    0xfffcfcfc,
    0xfffcfcfc,
    0xfffdfdfd,
    0xfffefefe,
    0xffffffff,
    0xfffeffff,
    0xfffffefb,
    0xfffefdfc,
    0xfffdfbfc,
    0xfff8f8f9,
    0xfff9f9fd,
    0xfff9fbfe,
    0xfff7fbfc,
    0xfff6faf9,
    0xfffcfefd,
    0xfffcfefc,
    0xfffffffc,
    0xfffefefe,
    0xfffbfbfd,
    0xfff9f7fe,
    0xfffcfcfe,
    0xfffdfcfe,
    0xfff9fbfa,
    0xfff9fcfa,
    0xfffafcfb,
    0xfffafbfd,
    0xfff8f9fb,
    0xfff7f8fc,
    0xfff9f8f9,
    0xfffcfcfc,
    0xfffffefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefd,
    0xffffffff,
    0xfffffeff,
    0xfffaf9ff,
    0xfff4f5fa,
    0xffeceff7,
    0xffedf2f9,
    0xfff1f3f9,
    0xfff2f6f9,
    0xfff9fafe,
    0xfffbfbfb,
    0xfffcfcfc,
    0xfffefefd,
    0xffffffff,
    0xfffefdfd,
    0xfffdfdfc,
    0xfffbfbfb,
    0xfffefffd,
    0xfff7fafa,
    0xfff6f8f9,
    0xfff5f4fa,
    0xfff5f4f9,
    0xffeeecef,
    0xffefedf1,
    0xffd9d7db,
    0xffe6e3eb,
    0xffe5e4ef,
    0xfffefeff,
    0xfffffffe,
    0xfffffffb,
    0xfff6fbee,
    0xffdbddd8,
    0xffffffff,
    0xffeee2e4,
    0xffc7b7b1,
    0xffebcfb0,
    0xffb68c56,
    0xffba985c,
    0xff948759,
    0xff979d76,
    0xff919567,
    0xffa9a66d,
    0xffa0a169,
    0xffa0b16a,
    0xff668531,
    0xff507929,
    0xff3a6224,
    0xff33572b,
    0xff496945,
    0xff30502d,
    0xff062508,
    0xff02230a,
    0xff02230a,
    0xff0b2c13,
    0xff0c2510,
    0xff213123,
    0xff454d45,
    0xff818281,
    0xffafb4ab,
    0xff5e5e4d,
    0xff060500,
    0xff1a1a10,
    0xff13120d,
    0xff0c0000,
    0xff311c0e,
    0xff301b11,
    0xff695a29,
    0xff90874f,
    0xff7c784b,
    0xff707535,
    0xff787f49,
    0xffacae99,
    0xff747656,
    0xff6d6c4f,
    0xff666d24,
    0xff697327,
    0xff2f3e10,
    0xff79847e,
    0xffdfe8f2,
    0xffb2b5c4,
    0xffb8b6cb,
    0xffeee7f6,
    0xff968184,
    0xffcec1bd,
    0xffb7aea5,
    0xffebe0d8,
    0xff867b74,
    0xffb2a6a0,
    0xffefe4dd,
    0xffebdbd1,
    0xffccb4a0,
    0xff70573f,
    0xff795f49,
    0xff765c4e,
    0xff553e3c,
    0xff76696e,
    0xfff3f4f9,
    0xfffbffff,
    0xff4d585d,
    0xff60614f,
    0xff2f2317,
    0xff1e1315,
    0xff383125,
    0xff423b32,
    0xff0d0f14,
    0xff0a1f1c,
    0xff0b2013,
    0xff0e211d,
    0xff0f2323,
    0xff011512,
    0xff18281e,
    0xff101f15,
    0xff07191c,
    0xff00101e,
    0xff062425,
    0xff2f4f4c,
    0xff3f595c,
    0xff5b6a7b,
    0xfff4fbff,
    0xfff4f9ff,
    0xfff9fdff,
    0xff78817e,
    0xff3d4857,
    0xff677386,
    0xff4b5e6a,
    0xff799194,
    0xff6b8385,
    0xff0f1a0f,
    0xff938d5c,
    0xffb39f3f,
    0xffab910f,
    0xffa48f18,
    0xff8b720a,
    0xff89721a,
    0xff4e4000,
    0xff403c09,
    0xff504c1a,
    0xff443000,
    0xff473800,
    0xff55410a,
    0xffac8324,
    0xffbe9614,
    0xffbf8f17,
    0xffad771c,
    0xff93732d,
    0xff624601,
    0xff8c6e20,
    0xff916a29,
    0xff76561a,
    0xff453715,
    0xff000200,
    0xff59612e,
    0xff61530d,
    0xff66350f,
    0xff7e330f,
    0xff943116,
    0xff9c3419,
    0xffb14d2b,
    0xffa5401e,
    0xffa44a27,
    0xff9a4114,
    0xffb94815,
    0xff9d2a09,
    0xff7a240e,
    0xff68301b,
    0xff71210e,
    0xff67200c,
    0xff5a3d23,
    0xff4e2c10,
    0xff532307,
    0xff652c0e,
    0xff6c1a06,
    0xff911f14,
    0xff741c0f,
    0xff45220f,
    0xff161107,
    0xff060e10,
    0xff150613,
    0xff0d150a,
    0xff071a05,
    0xff0b160b,
    0xff211b22,
    0xff413c38,
    0xff3d4541,
    0xff495b70,
    0xff000a16,
    0xffbdcff7,
    0xffb7bdfb,
    0xffa7ade4,
    0xff7c87b6,
    0xff7e86ac,
    0xff5f6247,
    0xff7c7f2d,
    0xff727033,
    0xff61653c,
    0xff3a3b31,
    0xff1a221f,
    0xff182e2b,
    0xff2d3c51,
    0xff3e3c5b,
    0xff201f29,
    0xff101c1a,
    0xff343f5d,
    0xff495771,
    0xff1d2c4a,
    0xff667192,
    0xff4b5368,
    0xff161f19,
    0xff0c1c03,
    0xff3f4e32,
    0xff121f0e,
    0xff101b00,
    0xff493915,
    0xff684d3b,
    0xff090300,
    0xff1e1301,
    0xff66423c,
    0xff250004,
    0xff14070b,
    0xffa9ad9e,
    0xff3a3c33,
    0xff3a3539,
    0xff000207,
    0xff15373e,
    0xff102622,
    0xff2d2102,
    0xff603a19,
    0xff775427,
    0xff6d451d,
    0xff6a4120,
    0xff41290d,
    0xff3e3421,
    0xff4a2d0a,
    0xffa87225,
    0xff4a6b69,
    0xff304d44,
    0xff4f6d65,
    0xff436469,
    0xff13314e,
    0xff001f48,
    0xff254d6f,
    0xff13495d,
    0xff123b4d,
    0xff28434a,
    0xff283535,
    0xff1c2b32,
    0xff345266,
    0xff355a74,
    0xff42596e,
    0xff9d9faf,
    0xff5c5663,
    0xff302932,
    0xff2a2126,
    0xff221e24,
    0xff292632,
    0xff353544,
    0xff414052,
    0xff454156,
    0xff2a314b,
    0xff505f5c,
    0xff83977d,
    0xff7b8a73,
    0xff7e8677,
    0xff817f77,
    0xff675e5d,
    0xff382e39,
    0xff302d2e,
    0xff332b29,
    0xff6f625d,
    0xff958782,
    0xff9f958d,
    0xffa69691,
    0xffc19a9f,
    0xffb37882,
    0xffb47175,
    0xffc05356,
    0xffe38388,
    0xfffff7ff,
    0xffffdde6,
    0xffbc625d,
    0xffbc362f,
    0xffc62a31,
    0xffbe1d23,
    0xffc3141a,
    0xffca1a20,
    0xffa80e0e,
    0xff8a0305,
    0xff820001,
    0xff880005,
    0xff880006,
    0xff950106,
    0xffa9141c,
    0xffa10e16,
    0xff990005,
    0xffa6040a,
    0xffab0c13,
    0xffa40f16,
    0xff960b13,
    0xff8a030b,
    0xff880206,
    0xff850006,
    0xff920117,
    0xff980017,
    0xffbb242f,
    0xffb82327,
    0xff97020a,
    0xffbb2123,
    0xff94000a,
    0xffae1a24,
    0xff9d0604,
    0xffd84838,
    0xffc64734,
    0xffa23f35,
    0xff91484d,
    0xffae8279,
    0xffc17b78,
    0xff82443c,
    0xff977a62,
    0xff978d6c,
    0xff8a8e6b,
    0xff8a8e6e,
    0xff9b8974,
    0xff979273,
    0xff94926d,
    0xff879567,
    0xff94986c,
    0xffbe856d,
    0xffa81d1f,
    0xffac0008,
    0xffaf0a0e,
    0xffc6151f,
    0xffc3221f,
    0xffe15241,
    0xffc93a26,
    0xffbe2518,
    0xffc82821,
    0xffd0312c,
    0xffd33934,
    0xffd23a2f,
    0xffcf3a2e,
    0xffc33124,
    0xffca362d,
    0xffc6302b,
    0xffcc3830,
    0xffca3d2e,
    0xffce4936,
    0xffba7254,
    0xff523f49,
    0xff415f73,
    0xff2f5960,
    0xff224554,
    0xff4e6b75,
    0xff82a084,
    0xff7f9564,
    0xff909065,
    0xff9ea87e,
    0xffa2b58b,
    0xff8c9e74,
    0xffa3ab7d,
    0xffa6a471,
    0xff9a9b65,
    0xffa9af73,
    0xffada861,
    0xffa9a569,
    0xffb0b87b,
    0xffa4b884,
    0xff859a86,
    0xff6d7983,
    0xff555759,
    0xff888977,
    0xff6b7264,
    0xff6f7b75,
    0xff7a7463,
    0xffbd9a6b,
    0xffae8a51,
    0xff9e8f6b,
    0xff82796d,
    0xff847168,
    0xffa08663,
    0xffcba86b,
    0xffa58859,
    0xffb1a269,
    0xffa99f70,
    0xff555965,
    0xff254063,
    0xff2f4967,
    0xff374460,
    0xff2a474c,
    0xff87a173,
    0xffb5ae62,
    0xffc2b36e,
    0xffa4ad86,
    0xff4d6b68,
    0xff061e44,
    0xff0f2658,
    0xff4c6a8f,
    0xff213d57,
    0xff294262,
    0xff4d5e73,
    0xff897b63,
    0xffd7b680,
    0xffac986c,
    0xffc8ab8a,
    0xff968364,
    0xff8f7e57,
    0xffd5c095,
    0xff9c9274,
    0xff758172,
    0xff61746f,
    0xff566666,
    0xff77776c,
    0xff6d5f65,
    0xff697d83,
    0xff6b808a,
    0xff7a727e,
    0xff908b83,
    0xff768881,
    0xff3d707d,
    0xff1c4564,
    0xff354f7a,
    0xff416377,
    0xff5f787b,
    0xff86878a,
    0xff7a8988,
    0xff336565,
    0xff19506b,
    0xff436f80,
    0xff4e6e7a,
    0xff4c5055,
    0xff807f7f,
    0xff697870,
    0xff658273,
    0xff53645a,
    0xff928583,
    0xff665667,
    0xff4c444b,
    0xffa39066,
    0xffb19979,
    0xff434a50,
    0xff6a8381,
    0xff4e5451,
    0xff585062,
    0xff957b79,
    0xff956663,
    0xff766577,
    0xff5e708c,
    0xff676179,
    0xff916f83,
    0xff947984,
    0xff947d79,
    0xff9e9078,
    0xff947b5f,
    0xff9d806c,
    0xff907773,
    0xff78685d,
    0xffb09f8a,
    0xff766a68,
    0xff706a8c,
    0xff817a87,
    0xff9d9994,
    0xff98959a,
    0xff66706f,
    0xff7f9b83,
    0xff5f8c88,
    0xff2d6285,
    0xff255f88,
    0xff29567d,
    0xff2d5f81,
    0xff346b8b,
    0xff3f7495,
    0xff366483,
    0xff4f7c96,
    0xff40717e,
    0xff427879,
    0xff5a828b,
    0xff5b808d,
    0xff4d7481,
    0xff90b2c1,
    0xff95b0bd,
    0xff586a73,
    0xff90999f,
    0xffffffff,
    0xffd7dcdf,
    0xffffffff,
    0xfffefeff,
    0xfffffcff,
    0xfffffeff,
    0xfffffefe,
    0xfffcfcf8,
    0xfffefff9,
    0xfffffffb,
    0xfffefdfa,
    0xfffefdfb,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xfffffdff,
    0xfffffffc,
    0xfffffdfe,
    0xfffffdfd,
    0xfffefefd,
    0xfffdfefd,
    0xfffefefe,
    0xfffffffc,
    0xfffffffb,
    0xfffffffb,
    0xfffffffe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffeffff,
    0xfffbfdfc,
    0xfff6f8f7,
    0xfff9fcfa,
    0xfffdfffe,
    0xfffeffff,
    0xfffdfffe,
    0xfffdfffe,
    0xfffdfffe,
    0xfffeffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffefefe,
    0xfffefefe,
    0xffffffff,
    0xfffefffa,
    0xfffefefa,
    0xfffffffa,
    0xfffefefc,
    0xfffffffd,
    0xfffdfdfb,
    0xfffcfcfa,
    0xfffefefc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfd,
    0xfffbfdfc,
    0xfff9fbfa,
    0xfff7f9f8,
    0xfff7faf8,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffe,
    0xfffffffd,
    0xfffffffd,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffcfe,
    0xfffffdfe,
    0xfffffdfe,
    0xfffffdff,
    0xfffffcfe,
    0xfffffeff,
    0xfffffeff,
    0xfffffcfd,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xfff7faf9,
    0xfff6f9f7,
    0xfff5f8f6,
    0xfff7f8fb,
    0xfff8f9fb,
    0xfff9fafc,
    0xfff7f8fa,
    0xfff7f8fc,
    0xfff9f9f9,
    0xfffcfcfb,
    0xfffefefe,
    0xfffefefe,
    0xffffffff,
    0xfffbfbfb,
    0xffffffff,
    0xfffdfdfd,
    0xfffffffe,
    0xfffbfbfb,
    0xfffbf8fa,
    0xfffbf9fa,
    0xfff8f9fb,
    0xfff3f4f8,
    0xfff1f3f8,
    0xfff1f5fb,
    0xfff1f4f7,
    0xfff6f7f7,
    0xfffdfefe,
    0xfffdfdfb,
    0xfffdfefc,
    0xfffdfbfc,
    0xfffcf9fa,
    0xfffbf7fa,
    0xfff8f8fd,
    0xfff6f7fb,
    0xfff9fafd,
    0xfff8f9fb,
    0xfff4f5f8,
    0xfff4f5f7,
    0xfff3f4f9,
    0xfff4f5f9,
    0xfff2f3f4,
    0xfff7f9f7,
    0xfffcfefd,
    0xfffdfeff,
    0xfffeffff,
    0xfffbfcfe,
    0xfffbfcfe,
    0xfffafafc,
    0xfffbf9fe,
    0xfff2f1f6,
    0xfff0f1f6,
    0xfff0f1f6,
    0xffeceff4,
    0xffeef1f6,
    0xfff1f6f8,
    0xfff4f9fc,
    0xfff9fafc,
    0xfffafbfd,
    0xfffbfcfe,
    0xfffeffff,
    0xfffdfeff,
    0xfffafbfd,
    0xfff9fbfd,
    0xfff8f9fb,
    0xfff8faf5,
    0xfffcfbfb,
    0xfffdf9ff,
    0xfffbf5fb,
    0xfff9f3f6,
    0xfffaf6f7,
    0xffebe9ee,
    0xffe2dfe9,
    0xfff3f2f6,
    0xffe2e0e4,
    0xffefedef,
    0xffd2cece,
    0xfff0efee,
    0xffefe9eb,
    0xffdfd3d0,
    0xffe1cdc8,
    0xffffffff,
    0xffd6bbb2,
    0xffe7c5a5,
    0xffdcb98b,
    0xff96753e,
    0xffa79057,
    0xffc7b37c,
    0xff96864a,
    0xff7e8e33,
    0xff657f2f,
    0xff54753a,
    0xff21451d,
    0xff012405,
    0xff102d10,
    0xff082002,
    0xff0d2605,
    0xff243d1e,
    0xff263e28,
    0xff12251c,
    0xff253430,
    0xff7d8781,
    0xff797c75,
    0xff86837f,
    0xff756e6b,
    0xff82827d,
    0xffccd9cd,
    0xff2d4f40,
    0xff5f8474,
    0xff4b402c,
    0xffb8775a,
    0xffae6a4b,
    0xff4b250c,
    0xffd6cca9,
    0xff7c7554,
    0xffd5d1bf,
    0xff6a6c51,
    0xff1c220c,
    0xff90908f,
    0xff989d8b,
    0xffd5d9c0,
    0xff4d5421,
    0xffd7dcc4,
    0xff3d4836,
    0xff687562,
    0xff758274,
    0xffbfcac6,
    0xffbcc3c7,
    0xffa4a8b6,
    0xffe3e3ec,
    0xffa2a1a1,
    0xff787670,
    0xff8c9083,
    0xff4e5243,
    0xff7c7c6e,
    0xffbab4a5,
    0xff857e6c,
    0xff654e26,
    0xff5b3a1d,
    0xff633623,
    0xff784230,
    0xff6d3b22,
    0xff563418,
    0xff837b64,
    0xff1f2919,
    0xff303224,
    0xff332b07,
    0xff403117,
    0xff30261f,
    0xff2d291f,
    0xff2c2822,
    0xff0e151a,
    0xff00140f,
    0xff091f14,
    0xff00120a,
    0xff011811,
    0xff041617,
    0xff000a10,
    0xff0d1d1f,
    0xff051b13,
    0xff0d2a1b,
    0xff133934,
    0xff1a3c3c,
    0xff214043,
    0xff233a4a,
    0xff7a91a9,
    0xffa1b9ce,
    0xff3f555d,
    0xff394e4e,
    0xff535f8f,
    0xffa6b4d5,
    0xff6e828a,
    0xff3d5654,
    0xff1b2c32,
    0xff484640,
    0xff776527,
    0xffcfae40,
    0xffa38023,
    0xffa38a52,
    0xff71672e,
    0xff2e2304,
    0xff272308,
    0xff464915,
    0xff372302,
    0xff8c691e,
    0xff90660e,
    0xff976e15,
    0xffd39d25,
    0xffc29216,
    0xff9a6900,
    0xff9c6907,
    0xff7e5808,
    0xff8c5f17,
    0xff7c560b,
    0xff4b2a00,
    0xff524118,
    0xff514d30,
    0xff29230e,
    0xff7e782b,
    0xff9d861f,
    0xff946733,
    0xff793308,
    0xff8c3302,
    0xff90390d,
    0xff984d27,
    0xff7c3613,
    0xff612c06,
    0xff7a401d,
    0xff8d391c,
    0xff8d3816,
    0xff8d380d,
    0xffae5f32,
    0xffa24029,
    0xff752015,
    0xff784638,
    0xff8c4b44,
    0xff570a02,
    0xff701a10,
    0xff711d0a,
    0xff6e1304,
    0xff5a2218,
    0xff271211,
    0xff211d1c,
    0xff64746b,
    0xff1c2317,
    0xff211911,
    0xff070500,
    0xff2c2507,
    0xff50342f,
    0xff361913,
    0xff241a15,
    0xff85859b,
    0xff30373a,
    0xff293441,
    0xff42586b,
    0xff173322,
    0xff444f39,
    0xff443f3d,
    0xff3f402a,
    0xff515b39,
    0xff59615d,
    0xff414c2d,
    0xff160e0b,
    0xff37302c,
    0xff57656a,
    0xff3c5385,
    0xff495b94,
    0xff283644,
    0xff0c1b0a,
    0xff213036,
    0xff1f3037,
    0xff1d322d,
    0xff3e533d,
    0xff404e34,
    0xff2b3021,
    0xff303121,
    0xff0d1101,
    0xff000500,
    0xff475027,
    0xff3a3512,
    0xff3b341b,
    0xff041003,
    0xff121e0a,
    0xff361e1a,
    0xff683645,
    0xff703d46,
    0xff705c53,
    0xffc7c1bd,
    0xffb2aeb4,
    0xff000005,
    0xff3d515f,
    0xff64534d,
    0xffd4885c,
    0xffd67b36,
    0xffce8631,
    0xffbe832b,
    0xffb5752e,
    0xff9b6230,
    0xff4f1d05,
    0xff814e2a,
    0xff955a09,
    0xff305756,
    0xff376464,
    0xff2c5e65,
    0xff214d60,
    0xff254764,
    0xff0b2747,
    0xff0a314d,
    0xff23566e,
    0xff2b5267,
    0xff1e3f4e,
    0xff283f49,
    0xff21323f,
    0xff22394a,
    0xff254457,
    0xff405668,
    0xff999cb0,
    0xff423d4b,
    0xff322933,
    0xff251d25,
    0xff1e1a21,
    0xff282531,
    0xff353444,
    0xff3c384c,
    0xff443d53,
    0xff202939,
    0xff8f9f95,
    0xff7c8e71,
    0xff86957d,
    0xff84867d,
    0xff7f7974,
    0xff4c4340,
    0xff32262b,
    0xff38262c,
    0xff38372e,
    0xff8a8776,
    0xffa68374,
    0xffa45653,
    0xff962d2d,
    0xff8b1716,
    0xffa72927,
    0xffab2b2f,
    0xffc02c2b,
    0xffb5242a,
    0xffc03b4f,
    0xffaf2b39,
    0xffbc3627,
    0xffe95a42,
    0xffcc271f,
    0xffd32121,
    0xffd42525,
    0xffbe0f15,
    0xffa50110,
    0xff7e0003,
    0xff861621,
    0xffa02b37,
    0xff85000f,
    0xff9e0007,
    0xffa0040f,
    0xffa30711,
    0xff9e0008,
    0xff9c0507,
    0xff9d100c,
    0xff9e090b,
    0xffac0411,
    0xff8a0015,
    0xff8e0615,
    0xffc12e3e,
    0xffa80320,
    0xffb7152d,
    0xffa81313,
    0xffff8079,
    0xffa90808,
    0xffad0d0d,
    0xff9a0612,
    0xff960008,
    0xffad040d,
    0xffa50002,
    0xffad190b,
    0xffc3593e,
    0xff9d6049,
    0xff8d6249,
    0xff9a6552,
    0xffac7565,
    0xffad7967,
    0xffb79178,
    0xffa59b79,
    0xff8f8f70,
    0xff958c74,
    0xff8d977a,
    0xff949578,
    0xff969a78,
    0xff8d9c75,
    0xffa69676,
    0xffbb6157,
    0xff9d010e,
    0xffbb0218,
    0xffbe0214,
    0xffc51219,
    0xffd8322c,
    0xffca2c20,
    0xffc7291d,
    0xffd0332a,
    0xffd0382e,
    0xffd33c31,
    0xffcf3723,
    0xffd33e31,
    0xffd13a3a,
    0xffc72f32,
    0xffcf3734,
    0xffd33e33,
    0xffd94736,
    0xffed604d,
    0xffdb6b5b,
    0xff723b3c,
    0xff383d4c,
    0xff183852,
    0xff233f57,
    0xff40555a,
    0xff576e62,
    0xff7b918c,
    0xffb4b299,
    0xffa5ab86,
    0xff95a478,
    0xff8a9a6d,
    0xffacb68e,
    0xffafb189,
    0xffb0ac80,
    0xffa8a572,
    0xffa8a976,
    0xffa7a478,
    0xffa7ac72,
    0xffa3b677,
    0xff809069,
    0xff919280,
    0xff8e8c7c,
    0xff6e7062,
    0xff576a5c,
    0xff637362,
    0xff7e8367,
    0xff98926c,
    0xff7c6f52,
    0xff817569,
    0xff826d6f,
    0xff8a676d,
    0xffad8284,
    0xffb08456,
    0xffa68658,
    0xffbcac84,
    0xff948768,
    0xff565b62,
    0xff304356,
    0xff687a71,
    0xff6e787b,
    0xff3b5952,
    0xffa3c699,
    0xff8d9951,
    0xff9d9755,
    0xffa9ad6a,
    0xff85965d,
    0xff7f8d78,
    0xff042529,
    0xff022636,
    0xff21354f,
    0xff3a486b,
    0xff152c42,
    0xff526454,
    0xff758261,
    0xff667d6b,
    0xff7c8382,
    0xff54524a,
    0xffd1b491,
    0xffbb8e5e,
    0xffb8a278,
    0xff6d7153,
    0xff677169,
    0xff414955,
    0xff8e7578,
    0xff856569,
    0xff656f6e,
    0xff63747a,
    0xff7e818c,
    0xff6a726d,
    0xff808383,
    0xff646c7e,
    0xff424f6e,
    0xff37486a,
    0xff345051,
    0xff86978e,
    0xff76705b,
    0xffa7a284,
    0xff89997c,
    0xff273f45,
    0xff566365,
    0xff687778,
    0xff848580,
    0xff64696d,
    0xff455b64,
    0xff41666e,
    0xff65899e,
    0xff445066,
    0xff6d848e,
    0xff4b605d,
    0xffadb182,
    0xffb3a586,
    0xff535352,
    0xff97a997,
    0xff99a28f,
    0xff938b7d,
    0xff7b675b,
    0xffac8170,
    0xff746e80,
    0xff406173,
    0xff696b63,
    0xff92786f,
    0xff8f8280,
    0xff7c777d,
    0xff6b6c7a,
    0xff846e77,
    0xff9d736f,
    0xff9e7566,
    0xffa17e73,
    0xff8e6e73,
    0xff8a768f,
    0xff625e7f,
    0xff78666f,
    0xffa1916b,
    0xff816e45,
    0xffb5a080,
    0xffa9a07f,
    0xff5f676a,
    0xff425b7f,
    0xff315b6b,
    0xff1d4049,
    0xff315a67,
    0xff235169,
    0xff1a4566,
    0xff295175,
    0xff406a8c,
    0xff3e7391,
    0xff37728e,
    0xff41748b,
    0xff578aa3,
    0xff376c86,
    0xff497a93,
    0xff487082,
    0xff718b92,
    0xff85938e,
    0xff969b92,
    0xff475a65,
    0xffc7d7df,
    0xffa7b0b7,
    0xffffffff,
    0xffdedede,
    0xfffefffd,
    0xfffdfdfb,
    0xfffdfefd,
    0xfffdfffe,
    0xfffbfdfd,
    0xfffbfefc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefdfd,
    0xfffffdff,
    0xffffffff,
    0xfffdfdfd,
    0xfffefdfe,
    0xfffdfdfe,
    0xfffdfdfd,
    0xfffdfdfe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdffff,
    0xfffeffff,
    0xfff7f9f8,
    0xfff6f6f9,
    0xfff2f3f5,
    0xfff4f5f7,
    0xfffcfdfe,
    0xffffffff,
    0xfffeffff,
    0xfffdfffe,
    0xfffbfefc,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xffffffff,
    0xfffefeff,
    0xffffffff,
    0xffffffff,
    0xfffdffff,
    0xfffbfefd,
    0xfffefffd,
    0xfffdfffd,
    0xfffcfefc,
    0xfffefffa,
    0xfffefffa,
    0xfffdfffa,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffbfbfb,
    0xfffefefe,
    0xfffefefe,
    0xfffcfcfc,
    0xfff9fbfa,
    0xfff8faf9,
    0xfff9fbfa,
    0xfff8faf9,
    0xfffcfcfc,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffdfdfd,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffefefe,
    0xfffefefe,
    0xfffffffc,
    0xfffffffc,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfd,
    0xfffefefd,
    0xfffefeff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffdfefd,
    0xfffefefe,
    0xfffcfcfc,
    0xfffdfefd,
    0xfffefffe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xffffffff,
    0xfffbfbfb,
    0xfff8fbf9,
    0xfff4f5f7,
    0xfff2f3f6,
    0xfff4f5f7,
    0xfff7f8f9,
    0xfff7f8fd,
    0xfff6f7fb,
    0xfff2f3f6,
    0xfff6f6f7,
    0xfffafaf9,
    0xfff8f8f8,
    0xfffdfdfd,
    0xfffefefe,
    0xfffdfdfd,
    0xfffcfcfc,
    0xfffdfdfd,
    0xfffbfcfe,
    0xfff8f9fc,
    0xfff6f7f9,
    0xfff4f4f8,
    0xfff5f4fc,
    0xffe9ecf7,
    0xffe0e9f5,
    0xffdce7f6,
    0xffe2e8f0,
    0xffecf2f8,
    0xfff1f6fd,
    0xfff8feff,
    0xfffeffff,
    0xfffafbff,
    0xfff7f6fa,
    0xfff6f5f8,
    0xfff0f3f8,
    0xfff0f4f9,
    0xfff4f4f9,
    0xfff2f3f4,
    0xfff3f4f6,
    0xfff0f1f3,
    0xfff1f2f6,
    0xfff3f4f8,
    0xfff2f3f5,
    0xfff5f6f8,
    0xfffbfbfe,
    0xfffeffff,
    0xfffbfcff,
    0xfff5f6fa,
    0xfff2f3f7,
    0xfff1f2f6,
    0xfff0eff4,
    0xffefeef3,
    0xfff0f1f5,
    0xfff2f3f7,
    0xfff3f4f8,
    0xfff2f3f7,
    0xfff3f4f8,
    0xfff4f5f9,
    0xfff4f5f7,
    0xfff8f9fb,
    0xfff9fafc,
    0xfff9fafc,
    0xfffafbfd,
    0xfff8f9fb,
    0xfff9fafc,
    0xfff8fafa,
    0xfff8f8f1,
    0xfff9f7f9,
    0xfffdf7ff,
    0xfffaf6fa,
    0xfffffff9,
    0xfffffff6,
    0xffe7eae1,
    0xffebefea,
    0xffdce2d6,
    0xffcbcdbe,
    0xff909285,
    0xffd5d6d0,
    0xffcbcbc6,
    0xffbbbcae,
    0xffcdc7ad,
    0xffd4c8ac,
    0xffd9be9e,
    0xffc7bb92,
    0xffadaa79,
    0xffc1ba80,
    0xffd6c384,
    0xffb1a063,
    0xff646831,
    0xff425c27,
    0xff4f652a,
    0xff6f8a5b,
    0xff1d3e1e,
    0xff2e5038,
    0xff28462a,
    0xff2b4420,
    0xff2e451b,
    0xff253a0f,
    0xff5f783d,
    0xff495935,
    0xff929990,
    0xffa4a2ab,
    0xff989199,
    0xffbbb4b3,
    0xfff3ebe6,
    0xffe0d9d0,
    0xffd6ccb7,
    0xff26261f,
    0xff021c17,
    0xff1c432e,
    0xff393b1d,
    0xff6c4020,
    0xff56250c,
    0xff524127,
    0xff738f6c,
    0xff435957,
    0xff919fb4,
    0xffaab5c8,
    0xff1a2226,
    0xff5a6157,
    0xffb0b49e,
    0xff656b45,
    0xff545b3b,
    0xff52585a,
    0xff656d68,
    0xff9dae89,
    0xff475b35,
    0xff374b2a,
    0xff24361a,
    0xffa0b0a4,
    0xffacb5b8,
    0xffbab7b7,
    0xffc9c2b8,
    0xff64674d,
    0xff3b401b,
    0xff34310c,
    0xff6f6546,
    0xff4b4626,
    0xff454812,
    0xff3b350f,
    0xff3a1f09,
    0xff663b22,
    0xff926239,
    0xff5c3806,
    0xff52441c,
    0xff23280c,
    0xff333118,
    0xff464523,
    0xff303926,
    0xff2f4952,
    0xff345263,
    0xff021725,
    0xff051519,
    0xff00110e,
    0xff17415b,
    0xff001f26,
    0xff06231a,
    0xff153431,
    0xff3d6173,
    0xff305872,
    0xff03212a,
    0xff011f15,
    0xff345d58,
    0xff436667,
    0xff436067,
    0xff1b393c,
    0xff3b5c57,
    0xff41615d,
    0xff78959b,
    0xffbbd2e3,
    0xff95a6bf,
    0xffb1c6ba,
    0xff3e523b,
    0xff26363a,
    0xff747d8c,
    0xffa8a78c,
    0xffa69941,
    0xffa4870e,
    0xff795600,
    0xffe1c7aa,
    0xff636449,
    0xff000000,
    0xffa19e95,
    0xff5f5e37,
    0xff79511c,
    0xffcb9531,
    0xffb07d23,
    0xffc39623,
    0xffcc9014,
    0xffac7915,
    0xff8b6408,
    0xff865f0a,
    0xff714e11,
    0xff996c2c,
    0xff7d622a,
    0xff362a17,
    0xff616557,
    0xff41422d,
    0xff463412,
    0xff7c5e05,
    0xff9c7a0b,
    0xff6a4005,
    0xff542b1c,
    0xff99642f,
    0xff461500,
    0xff705342,
    0xff503d10,
    0xff4c420b,
    0xff604d2b,
    0xff472400,
    0xffb8805b,
    0xffb25f3a,
    0xff7b2400,
    0xff842600,
    0xff6a240b,
    0xff3a1102,
    0xff5e2a24,
    0xff501b0f,
    0xff4b0c00,
    0xff642d16,
    0xff582512,
    0xff261808,
    0xff000700,
    0xff303824,
    0xff4c6235,
    0xff485225,
    0xff5a3c04,
    0xff9f7b3b,
    0xff7e5f18,
    0xff2f1100,
    0xff4b2d08,
    0xff89692a,
    0xff7d5e42,
    0xff6a543f,
    0xff2c1600,
    0xff22221f,
    0xff3f4e3c,
    0xff292c21,
    0xff2a232f,
    0xff1c2023,
    0xff1b2b37,
    0xff2f3e5a,
    0xff29341e,
    0xff4d4629,
    0xff504a2a,
    0xff526565,
    0xff6790b9,
    0xff7297b6,
    0xff3f544f,
    0xff13180f,
    0xff07170b,
    0xff0a1b12,
    0xff364933,
    0xff53663b,
    0xff465224,
    0xff222401,
    0xff3c3c14,
    0xff42430a,
    0xff736f3f,
    0xff2b3209,
    0xff122301,
    0xff041804,
    0xff011a0d,
    0xff000600,
    0xff10160b,
    0xff080100,
    0xff3f201c,
    0xff241c11,
    0xff000000,
    0xff939497,
    0xffa1aeb2,
    0xff000915,
    0xff483327,
    0xff854007,
    0xff9e4e21,
    0xff99510f,
    0xff984f04,
    0xff984c06,
    0xffb77433,
    0xffa16c3c,
    0xff805224,
    0xffba904b,
    0xff4c726c,
    0xff25534f,
    0xff306165,
    0xff194550,
    0xff204455,
    0xff1e4052,
    0xff2a5363,
    0xff123f4d,
    0xff153953,
    0xff1c465d,
    0xff173b53,
    0xff17283f,
    0xff1d2635,
    0xff3a4a51,
    0xff3f4c54,
    0xff92919e,
    0xff332d3d,
    0xff3c333f,
    0xff231c24,
    0xff1e1a22,
    0xff2c2a36,
    0xff353344,
    0xff3d364b,
    0xff483c51,
    0xff2a2c2f,
    0xff77836b,
    0xff82916b,
    0xff888e76,
    0xff8a8682,
    0xff6a5d5d,
    0xff3c2f2e,
    0xff342426,
    0xff402026,
    0xff5f5a4c,
    0xff958f73,
    0xffba7e6f,
    0xff961a1c,
    0xff980005,
    0xffb40c11,
    0xffc51d1b,
    0xffd12828,
    0xffc61d24,
    0xffc11926,
    0xffc61120,
    0xffc90816,
    0xffca1f20,
    0xffcc3327,
    0xffca2012,
    0xffd31b1e,
    0xffc01015,
    0xffa0010c,
    0xff750000,
    0xffa0444e,
    0xfffff1f4,
    0xffffd2d2,
    0xff932a2e,
    0xff8c0809,
    0xff9b0a11,
    0xff9c010a,
    0xff960002,
    0xffa10c0e,
    0xffa7120f,
    0xffa10509,
    0xff9d0008,
    0xff8d000b,
    0xffa32121,
    0xffb32c2d,
    0xffbe212f,
    0xffb10719,
    0xffb21313,
    0xffbc211d,
    0xffa80507,
    0xff910100,
    0xff7e0008,
    0xff890004,
    0xffa50006,
    0xffa90007,
    0xffb20b0b,
    0xffc03e29,
    0xffc77a62,
    0xffae846a,
    0xffa0856a,
    0xff906c5a,
    0xff966355,
    0xff865a46,
    0xff8e7058,
    0xff8c7b61,
    0xff858168,
    0xff7f8b74,
    0xff868976,
    0xff81826d,
    0xff7d8568,
    0xff828667,
    0xffa2806b,
    0xff9f3239,
    0xffa50016,
    0xffb60015,
    0xffc10917,
    0xffd01b20,
    0xffd82828,
    0xffd33029,
    0xffcc3228,
    0xffcd3628,
    0xffd13a28,
    0xffd73d2e,
    0xffd23b30,
    0xffd23835,
    0xffcd3130,
    0xffd23832,
    0xffcb3528,
    0xffd04130,
    0xffd34b38,
    0xffce4d3b,
    0xffd46e5b,
    0xff80464a,
    0xff2f2a45,
    0xff3d586f,
    0xff375862,
    0xff364f61,
    0xff2d3d59,
    0xff464f4c,
    0xff91977b,
    0xffb2b685,
    0xff939764,
    0xff9ca07b,
    0xffaeae92,
    0xffb4b28c,
    0xffb4b17d,
    0xffa9ae81,
    0xffacaa84,
    0xffa7aa74,
    0xffa0ae71,
    0xff95a072,
    0xff797950,
    0xff848463,
    0xff636e66,
    0xff4b6961,
    0xff778b71,
    0xff6e7a57,
    0xff747f67,
    0xff61635d,
    0xff746565,
    0xff876b67,
    0xff93726d,
    0xff9b8278,
    0xff997c5c,
    0xff9e916b,
    0xff585a4f,
    0xff767f7e,
    0xff698084,
    0xff648488,
    0xff708977,
    0xff78948e,
    0xff395959,
    0xff5f836b,
    0xff8aa568,
    0xff97a659,
    0xffacad6c,
    0xffafa96d,
    0xffb2a76a,
    0xffcac08e,
    0xff827d5a,
    0xff937d64,
    0xffc5ae9d,
    0xff828477,
    0xff788a72,
    0xff74836e,
    0xff49595c,
    0xff23384c,
    0xff071e28,
    0xff615b4a,
    0xff997956,
    0xff806e49,
    0xffa19c75,
    0xff867e66,
    0xff7c747b,
    0xff87605e,
    0xffbd9080,
    0xff8c816c,
    0xff4c504a,
    0xff616e6f,
    0xff668780,
    0xff666d71,
    0xff765f6c,
    0xffb09181,
    0xff988e7a,
    0xff959a7e,
    0xff75767a,
    0xff686962,
    0xff9a8d6c,
    0xffcdbd79,
    0xffbfae82,
    0xffb6ab89,
    0xff858e62,
    0xffa1a86f,
    0xff84917d,
    0xff172e46,
    0xff1e3b66,
    0xff20487a,
    0xff2c4461,
    0xff265560,
    0xff1d3b4c,
    0xff6d7871,
    0xffbdb395,
    0xffa99c84,
    0xff7e8175,
    0xff394740,
    0xff8d8b86,
    0xff7a786e,
    0xff8c7f69,
    0xff565460,
    0xff4e585b,
    0xffc4c29e,
    0xff948d75,
    0xff666e68,
    0xff637174,
    0xff506766,
    0xff6e7056,
    0xffccbc8b,
    0xffc1b083,
    0xff866e5f,
    0xff7b5a69,
    0xff9f8193,
    0xff806e77,
    0xff847676,
    0xffaea184,
    0xffb8a683,
    0xff9f8468,
    0xffaa8f73,
    0xff88736a,
    0xff8d8284,
    0xff7c7d71,
    0xffb0b1a1,
    0xff868e8b,
    0xff7f8a94,
    0xff3c4a56,
    0xff535e68,
    0xff4f6174,
    0xff1c3c5e,
    0xff275282,
    0xff335f83,
    0xff2e5a7a,
    0xff4d7a98,
    0xff3d6b81,
    0xff517789,
    0xff5d8288,
    0xff6c8a8b,
    0xff607c7b,
    0xff486e81,
    0xff325263,
    0xff556c73,
    0xffacb8b6,
    0xffcfd5d1,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfe,
    0xfffbfbfc,
    0xfffdfdfc,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfffd,
    0xfffeffff,
    0xfffdffff,
    0xfffefdfd,
    0xfffefdfe,
    0xfffefdfe,
    0xfffefdfd,
    0xfffdfdfd,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdffff,
    0xfffeffff,
    0xfffdfffe,
    0xfff6f7f7,
    0xfff3f4f7,
    0xfff0f1f5,
    0xffeff0f4,
    0xffeff0f4,
    0xfff8f9fd,
    0xfffcfdfe,
    0xfffeffff,
    0xfffdfeff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefeff,
    0xfffbfbfd,
    0xfffcfcfe,
    0xfff7f6f8,
    0xffedf3f8,
    0xfff7fdff,
    0xfff7fbff,
    0xfffbfeff,
    0xfffefffe,
    0xfffefffe,
    0xffffffff,
    0xfffdfdfc,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffdfdfd,
    0xfff9f9f9,
    0xfff8f8f8,
    0xfff9f9f9,
    0xfffbfbfb,
    0xfff8fbfa,
    0xfff9fbfa,
    0xfff9fbfa,
    0xfff8fbfa,
    0xfffcfcfc,
    0xfffefefe,
    0xfffefefe,
    0xfffcfcfc,
    0xfffbfbfb,
    0xfff9f9f9,
    0xfffafafa,
    0xfffcfcfc,
    0xfffdfdfd,
    0xfffcfcfc,
    0xfffcfcfc,
    0xfffbfbfb,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfe,
    0xfffcfcff,
    0xfffafbfc,
    0xfffbfbfd,
    0xfffbfbfd,
    0xfffbfbfe,
    0xfffdfcfd,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefeff,
    0xffffffff,
    0xffffffff,
    0xfffcfcfe,
    0xfff8f8fa,
    0xfff6f6f8,
    0xfff8f8fa,
    0xfffafafc,
    0xfffbfbfd,
    0xfffdfdfe,
    0xfffdfdff,
    0xfffffffe,
    0xffffffff,
    0xfffdfdfd,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfd,
    0xfff9f9f9,
    0xfff9f9f9,
    0xfffcfdff,
    0xfffcfdff,
    0xfff9fafc,
    0xfff6f7f9,
    0xfff6f7f9,
    0xfff3f4f9,
    0xfff4f5f9,
    0xfff5f6f9,
    0xfff6f6f7,
    0xfffbfbfb,
    0xfff8f8f8,
    0xfffdfdfd,
    0xfffcfcfc,
    0xfffefefe,
    0xfffefefe,
    0xffffffff,
    0xfffbffff,
    0xfffafeff,
    0xfff7faff,
    0xfff1f3fc,
    0xfff0f7ff,
    0xffdae3f5,
    0xffcfdff0,
    0xffcedff4,
    0xffd2def2,
    0xffdbe5f8,
    0xffd3deef,
    0xffd4e0ed,
    0xffdae5f0,
    0xffd9e2eb,
    0xffe1e6ef,
    0xffe9eef4,
    0xffebeef6,
    0xffedf0f5,
    0xffeef2f5,
    0xfff4f5f9,
    0xfff2f3f4,
    0xffeff0f4,
    0xfff3f4f8,
    0xfff5f6fa,
    0xfff6f7fb,
    0xfff8f9fd,
    0xfff7f8fc,
    0xfff3f4f8,
    0xfff3f4f9,
    0xfff1f2f7,
    0xfff1f2f7,
    0xffeeeff4,
    0xffebecf0,
    0xfff3f4f8,
    0xfff5f7f8,
    0xfff7f7f8,
    0xfff8f8fa,
    0xfff7f7f8,
    0xfff6f5fb,
    0xfff7f6fc,
    0xfff9fafc,
    0xfffcfdff,
    0xfffcfdff,
    0xfffdfeff,
    0xfffbfcfe,
    0xfffeffff,
    0xfffbfcfe,
    0xfff7f9fa,
    0xfff9f9f7,
    0xfffaf9fd,
    0xfff8f6fd,
    0xfffbfcf4,
    0xffbbc1a9,
    0xffb3c19a,
    0xff778b64,
    0xff829876,
    0xff74875c,
    0xff83955c,
    0xff788950,
    0xffa8ba91,
    0xff9fb38b,
    0xff84975e,
    0xff828f51,
    0xff8d925c,
    0xffb6bd7d,
    0xff6d7f38,
    0xff769245,
    0xff6f8840,
    0xff76884e,
    0xff607544,
    0xff082e00,
    0xff0f4210,
    0xff2c4025,
    0xff3a5233,
    0xff4a6542,
    0xff35522d,
    0xff2a411f,
    0xff263918,
    0xff2e3f1d,
    0xff6e845d,
    0xff6a7f54,
    0xff848f76,
    0xff827f7a,
    0xffaa9ca0,
    0xffcbbebb,
    0xffc5bab4,
    0xffa6a19e,
    0xffaaa6a6,
    0xff7c765b,
    0xff111600,
    0xff18271b,
    0xff03140d,
    0xff142211,
    0xff091700,
    0xff121c0e,
    0xff0d1610,
    0xff1d4a25,
    0xff224548,
    0xff596f72,
    0xff3e4b51,
    0xff8c938a,
    0xff363d1b,
    0xff73795d,
    0xff57632d,
    0xff30420d,
    0xff35481e,
    0xff132804,
    0xff132904,
    0xff1a3211,
    0xff2b432b,
    0xff162f21,
    0xff273e3c,
    0xffc4d5da,
    0xfffffdff,
    0xffc3b7b7,
    0xff67664d,
    0xff414413,
    0xff615a26,
    0xff41320d,
    0xff281f07,
    0xff42401c,
    0xff3b391a,
    0xff42381e,
    0xff4b3618,
    0xff57360d,
    0xff624015,
    0xff58441e,
    0xff484025,
    0xff586044,
    0xff3f4c36,
    0xff0b291d,
    0xff316373,
    0xff6294ba,
    0xff527590,
    0xff000f0f,
    0xff000b07,
    0xff5f94b2,
    0xff31606a,
    0xff295042,
    0xff173f2f,
    0xff1b4948,
    0xff22515f,
    0xff052c3b,
    0xff0a2834,
    0xff1d4559,
    0xff496b7f,
    0xff0a232f,
    0xff001710,
    0xff042206,
    0xff284822,
    0xff526d4a,
    0xff70826a,
    0xff597051,
    0xff3a5118,
    0xff5a6c30,
    0xff556447,
    0xff35422d,
    0xff242e00,
    0xff747622,
    0xff948d30,
    0xffbca74a,
    0xff644d24,
    0xff373317,
    0xff8c7c46,
    0xff90784a,
    0xff756229,
    0xffcea243,
    0xffb37f0f,
    0xff7e590c,
    0xffbe9935,
    0xffbd851a,
    0xff916513,
    0xff745814,
    0xff715927,
    0xff564a30,
    0xff97825e,
    0xff645f44,
    0xffffffff,
    0xff778489,
    0xff535347,
    0xff563c1e,
    0xff916925,
    0xffaf8a38,
    0xff6c4c1d,
    0xff0d0600,
    0xff4c3607,
    0xff49391f,
    0xff8e9093,
    0xffacae92,
    0xff36270d,
    0xff382216,
    0xffbda183,
    0xff774023,
    0xffb05e41,
    0xff8c3715,
    0xff933315,
    0xff823417,
    0xff5e2b11,
    0xff491200,
    0xff51210c,
    0xff512912,
    0xff48230e,
    0xff563024,
    0xff372a1a,
    0xff988f6a,
    0xff8c7134,
    0xff79631f,
    0xff432a00,
    0xffa07d21,
    0xff845b14,
    0xff755400,
    0xff8b6e33,
    0xff8a6c2e,
    0xff937618,
    0xff502d00,
    0xff381e05,
    0xff442d1d,
    0xff2b201a,
    0xff252912,
    0xff1b2414,
    0xff2a3325,
    0xff1a2912,
    0xff152529,
    0xff344959,
    0xff172620,
    0xff45422f,
    0xff56533c,
    0xff4a5e50,
    0xff4d7364,
    0xff426840,
    0xff152901,
    0xff20221c,
    0xff162119,
    0xff111f15,
    0xff1c2b1d,
    0xff283622,
    0xff161d04,
    0xff282c0a,
    0xff464e14,
    0xff59630f,
    0xff534e19,
    0xff1c1700,
    0xff1f2414,
    0xff111d12,
    0xff0c180a,
    0xff1b2019,
    0xff0b160c,
    0xff102113,
    0xff192515,
    0xff162f1d,
    0xff12291e,
    0xff0d190e,
    0xff717e77,
    0xff8c9fa6,
    0xff030500,
    0xff8b7536,
    0xffb98539,
    0xffc4822b,
    0xffc3762c,
    0xffc47839,
    0xffc28039,
    0xff8a4b09,
    0xff935a21,
    0xffd8a668,
    0xff335557,
    0xff375e5e,
    0xff3d6269,
    0xff355768,
    0xff42657a,
    0xff2e546b,
    0xff264e62,
    0xff2e5364,
    0xff113454,
    0xff083957,
    0xff0c3756,
    0xff10203b,
    0xff292b36,
    0xff3a3d3c,
    0xff9da09d,
    0xff80777e,
    0xff322b3d,
    0xff322d39,
    0xff282028,
    0xff221f28,
    0xff302e3a,
    0xff353342,
    0xff322a3f,
    0xff4d4055,
    0xff9c9c94,
    0xff969d7c,
    0xff919a6e,
    0xff9c9c83,
    0xff827675,
    0xff524147,
    0xff341e25,
    0xff352326,
    0xff48342e,
    0xff90907a,
    0xff9f9578,
    0xffa26254,
    0xff830b14,
    0xff940012,
    0xffb21223,
    0xffcf2b36,
    0xffc61d16,
    0xffcc0d27,
    0xffc50f2d,
    0xffb91216,
    0xffc50d12,
    0xffce0923,
    0xffd42534,
    0xffc82d25,
    0xffab161b,
    0xff9c010f,
    0xff7b0004,
    0xffa0434d,
    0xfffff4f8,
    0xffc56c6e,
    0xff8a0d12,
    0xff960205,
    0xff991514,
    0xff8a0809,
    0xff8d0409,
    0xff900103,
    0xff9f0507,
    0xffa30707,
    0xff9b0607,
    0xff880001,
    0xffa40f05,
    0xffaf3a1d,
    0xffad4427,
    0xffbb342e,
    0xffc41d26,
    0xffb00209,
    0xffa10005,
    0xffa60816,
    0xff9a000c,
    0xff790009,
    0xff7d0c07,
    0xff860100,
    0xff940008,
    0xffc12127,
    0xffbc3025,
    0xffaa483a,
    0xffa3735b,
    0xff8e8568,
    0xff7f7d6a,
    0xff837766,
    0xff9a8a73,
    0xff9a7960,
    0xff8b624e,
    0xff937965,
    0xff908a71,
    0xff869371,
    0xff849271,
    0xff838865,
    0xff859065,
    0xff888f62,
    0xffb47d68,
    0xff9c1c23,
    0xffab091c,
    0xffb30616,
    0xffc00a15,
    0xffd42225,
    0xffda3533,
    0xffdc4038,
    0xffcc3325,
    0xffd33627,
    0xffca2f28,
    0xffcd352a,
    0xffce382a,
    0xffd23a2d,
    0xffd2382d,
    0xffd3392e,
    0xffd33f31,
    0xffcd3f2f,
    0xffc74636,
    0xffcd3f2a,
    0xffda5e5d,
    0xff5d2d3a,
    0xff3c5d66,
    0xff225d6d,
    0xff0e3553,
    0xff485b69,
    0xff7b8d85,
    0xff585d4c,
    0xff776e50,
    0xff9a8e65,
    0xffa29d72,
    0xff93956c,
    0xff878960,
    0xffb0af85,
    0xffacb175,
    0xffb2ac78,
    0xffb2b073,
    0xffa6b374,
    0xffaebb88,
    0xffacaf78,
    0xff798356,
    0xff485f58,
    0xff213738,
    0xff3a3924,
    0xffb2a78b,
    0xff767565,
    0xff515247,
    0xff9b937d,
    0xff928866,
    0xff7d7d59,
    0xff868f5b,
    0xff7c7b58,
    0xff717f61,
    0xff24404c,
    0xff23455d,
    0xff50837f,
    0xff205653,
    0xff456b65,
    0xff669268,
    0xff3a5f46,
    0xff49636b,
    0xff668183,
    0xff6b8d63,
    0xff849c64,
    0xff919d73,
    0xff828460,
    0xff8e8c6f,
    0xffafba86,
    0xffbdc271,
    0xffbfbe79,
    0xff798c6f,
    0xff425f5d,
    0xff546058,
    0xff8a8979,
    0xff98888a,
    0xff848b78,
    0xffa2a370,
    0xffb09d6c,
    0xffa2977d,
    0xff716951,
    0xffae9e7c,
    0xff897a5d,
    0xffa78d78,
    0xff9a7c53,
    0xff8e8359,
    0xff88736a,
    0xff807073,
    0xff5f7475,
    0xff385153,
    0xff515c59,
    0xff7b7c7a,
    0xff697c7d,
    0xff4f6655,
    0xff607877,
    0xff5a7f77,
    0xff5f7169,
    0xff807f5a,
    0xff8b8863,
    0xffa7905f,
    0xffa2a368,
    0xffb3b571,
    0xffa0aa85,
    0xff929e99,
    0xff435256,
    0xff68848e,
    0xff8e9b93,
    0xff8d8e8f,
    0xff595a7f,
    0xff14275d,
    0xff3f646c,
    0xff668476,
    0xff778b8e,
    0xff7e8172,
    0xffa68568,
    0xff94745f,
    0xffa39473,
    0xff6d5c63,
    0xff8a7476,
    0xff8c876c,
    0xff717978,
    0xff6b757b,
    0xff5b6057,
    0xff877e84,
    0xff9a8975,
    0xff9b8d6e,
    0xff6b6d62,
    0xff888f99,
    0xff757378,
    0xff968a8d,
    0xff7e7279,
    0xff8c7479,
    0xff8a7778,
    0xff776964,
    0xff928670,
    0xff9b8d6e,
    0xffb5a78b,
    0xff9d8d7e,
    0xff8e797a,
    0xff9a7474,
    0xff95727c,
    0xff937b84,
    0xff907977,
    0xffc6b49f,
    0xffa59e89,
    0xff798181,
    0xff31475c,
    0xff344e5a,
    0xff546f77,
    0xff5a747e,
    0xff3e596a,
    0xff507385,
    0xff446d87,
    0xff3d6f8f,
    0xff306386,
    0xff42738c,
    0xff507989,
    0xff58787e,
    0xff6b7f7c,
    0xff859187,
    0xff9ca69e,
    0xff929d97,
    0xff70797e,
    0xffdfe0e4,
    0xffffffff,
    0xfffffeff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffd,
    0xfffcfffd,
    0xfffcfffd,
    0xfffefffc,
    0xfffefffe,
    0xfffefffe,
    0xfffefffe,
    0xfffeffff,
    0xfffefffe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdffff,
    0xfffeffff,
    0xfffdfffe,
    0xfff8f9f9,
    0xfff2f4f9,
    0xfff1f2f7,
    0xffeff0f5,
    0xffeff0f3,
    0xfff0f0f4,
    0xffeff0f4,
    0xfff5f6f8,
    0xfffdfeff,
    0xfffdfcfc,
    0xfffafafa,
    0xfffbfbfc,
    0xffffffff,
    0xfffcfcff,
    0xfff7f7f9,
    0xfff8f7fc,
    0xfff0f0f5,
    0xffdce5ed,
    0xffdae3ec,
    0xffe5edf5,
    0xfff0f5fc,
    0xfff8fcff,
    0xfffbfbfe,
    0xfffdfeff,
    0xfffffdff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffefefe,
    0xfffdfdfc,
    0xfffdfdfd,
    0xfffcfcfb,
    0xfffcfcfc,
    0xfffefffe,
    0xfffdfefe,
    0xfffdfffe,
    0xfffbfcfc,
    0xfffcfcfc,
    0xfffdfdfd,
    0xfffdfefd,
    0xfffbfbfb,
    0xfffdfdfd,
    0xfffafaf9,
    0xfff7f7f7,
    0xfff7f7f6,
    0xfff6f6f5,
    0xfff6f6f6,
    0xfff7f7f7,
    0xfff8f8f9,
    0xfff9f9fb,
    0xfff9f9fb,
    0xfff9f8fc,
    0xfffaf9fc,
    0xfff7f6fb,
    0xfff7f6fb,
    0xfff6f5fa,
    0xfff5f5f9,
    0xfff4f4f6,
    0xfff7f7f8,
    0xfff8f8f9,
    0xfff7f8fa,
    0xfff5f5f8,
    0xfff4f4f7,
    0xfff3f2f7,
    0xfff5f4f9,
    0xfff2f3f7,
    0xfff5f6fa,
    0xfff5f6fa,
    0xfff3f4f8,
    0xfff5f5fa,
    0xfff7f8fc,
    0xfff9fafe,
    0xfff9fafe,
    0xfffafafa,
    0xfffafafa,
    0xfffafaf9,
    0xfffdfdfc,
    0xfffcfcfc,
    0xfffbfbfb,
    0xfffefefd,
    0xfffcfcfc,
    0xfffdfeff,
    0xfffbfcfe,
    0xfff9fafc,
    0xfff9fafc,
    0xfff6f7fb,
    0xfff4f5f9,
    0xfff6f7fb,
    0xfff5f6fa,
    0xfffcfcfd,
    0xfffefefe,
    0xfffefeff,
    0xfffcfcfc,
    0xfffefefe,
    0xfffcfcfb,
    0xfffffefe,
    0xfffbfbfc,
    0xfff4f9fe,
    0xffedf3f9,
    0xffe7ecf6,
    0xffe4eaf6,
    0xffe2ebfd,
    0xffcad8ee,
    0xffc2d6ef,
    0xffc1d9f3,
    0xffd1e1fc,
    0xffccdff9,
    0xffc4d7ee,
    0xffc9dcef,
    0xffd3e4f5,
    0xffd9e7f5,
    0xffdfebf5,
    0xffe2ecf5,
    0xffe5e9f0,
    0xfff0f3fa,
    0xfff3f6fb,
    0xfff6f9fd,
    0xfff6f7fb,
    0xfff2f3f7,
    0xfff4f5fa,
    0xfff2f1f5,
    0xfff2f4f8,
    0xfff3f4f9,
    0xfff1f2f7,
    0xfff0f1f6,
    0xffefeff6,
    0xffecedf4,
    0xfff1f1f9,
    0xfff4f5fb,
    0xfff6fafc,
    0xfff8fbfb,
    0xfff6f8f9,
    0xfff9f9fa,
    0xfff9f9fc,
    0xfff9f9fb,
    0xfffbfbfd,
    0xfffcfcfd,
    0xfffbfdfe,
    0xfffcfcfe,
    0xfff9fafd,
    0xfffbfbfe,
    0xfffafbfd,
    0xfffbfcfe,
    0xfff8f9fb,
    0xfff9fafd,
    0xfffafcfd,
    0xfffafbff,
    0xfff7f8fd,
    0xfffbfff4,
    0xff6a7951,
    0xff4b6128,
    0xff385618,
    0xff274810,
    0xff243c13,
    0xff364e0d,
    0xff445e19,
    0xff30491a,
    0xff344f24,
    0xff5d763b,
    0xff4c6124,
    0xff4a5a31,
    0xff173107,
    0xff223009,
    0xff363411,
    0xff5d5b3a,
    0xff434827,
    0xff62654a,
    0xff988f77,
    0xffc8b6a0,
    0xff48552f,
    0xff142b00,
    0xff28400e,
    0xff33481f,
    0xff32412b,
    0xff384438,
    0xff1f2d1c,
    0xff5f6f57,
    0xff5b676b,
    0xffb4b9c2,
    0xffb9b1b4,
    0xffbeafa8,
    0xff7a6b59,
    0xff958b7b,
    0xffb6b3b4,
    0xff888d98,
    0xff909f93,
    0xff123a17,
    0xff032b12,
    0xff18202a,
    0xff181f29,
    0xff01200d,
    0xff001905,
    0xff05151c,
    0xff547177,
    0xff7d90af,
    0xff92a09b,
    0xffedf0f5,
    0xffffffff,
    0xff444741,
    0xffcbcedf,
    0xffe9f5e6,
    0xff51634e,
    0xff102800,
    0xff576f4e,
    0xff344a41,
    0xff011810,
    0xff688278,
    0xff8aa5a1,
    0xff001811,
    0xff789398,
    0xffe7eaf5,
    0xffe0d6db,
    0xff68694f,
    0xff4f581f,
    0xff706f31,
    0xff3b350b,
    0xff2f2b14,
    0xff252613,
    0xff243014,
    0xff223512,
    0xff2e3d16,
    0xff262b05,
    0xff2e2f0a,
    0xff424523,
    0xff2e3a1a,
    0xff344a34,
    0xff13291c,
    0xff103325,
    0xff05373c,
    0xff4d7c9e,
    0xff517184,
    0xff061b15,
    0xff28433a,
    0xff3f6f61,
    0xff38695d,
    0xff518071,
    0xff113c2a,
    0xff042815,
    0xff143527,
    0xff173832,
    0xff2c4e51,
    0xff355c6c,
    0xff04242c,
    0xff203a36,
    0xff1d3226,
    0xff1c331f,
    0xff2c4224,
    0xff536336,
    0xff4d5821,
    0xff3a4f2b,
    0xff3b4e19,
    0xff5c6d25,
    0xff536615,
    0xff42590e,
    0xff4c6222,
    0xff151f00,
    0xff34321e,
    0xff413a0b,
    0xff4f3a16,
    0xff5a4410,
    0xffdfb23b,
    0xff9f6b00,
    0xffb59335,
    0xffbf961a,
    0xffbc9634,
    0xff887835,
    0xff856a30,
    0xff8c5c0f,
    0xff643f00,
    0xff231000,
    0xffb9b0a9,
    0xffb3bdc2,
    0xffffffff,
    0xffede5d2,
    0xff636165,
    0xff6f7178,
    0xffd9d5ca,
    0xff3e291c,
    0xff482e12,
    0xff4e3f1a,
    0xff1a1602,
    0xff1c231b,
    0xff221200,
    0xff847a74,
    0xff8b97a1,
    0xffdbd2d5,
    0xffa9807d,
    0xff3f0e0a,
    0xff643825,
    0xffab8566,
    0xff693b19,
    0xff572204,
    0xff7a2411,
    0xff8d311a,
    0xff742b04,
    0xff813213,
    0xff782b1b,
    0xff45250a,
    0xff201600,
    0xff1b180c,
    0xff41422b,
    0xff9e7f43,
    0xffba7522,
    0xff8f580a,
    0xff816024,
    0xff9a8445,
    0xff867052,
    0xff998548,
    0xff6f4a15,
    0xff603b0f,
    0xff665313,
    0xff665746,
    0xff8e828b,
    0xff5e7282,
    0xff0e1719,
    0xff121e01,
    0xff182f2e,
    0xff0a2737,
    0xff0d282e,
    0xff1f3947,
    0xff001411,
    0xff1d373c,
    0xff2f3827,
    0xff333413,
    0xff1d280f,
    0xff324438,
    0xff3c4a3c,
    0xff293425,
    0xff28332b,
    0xff323e35,
    0xff0c1a01,
    0xff102101,
    0xff232f1c,
    0xff0e1506,
    0xff1c2600,
    0xff536124,
    0xff495d1c,
    0xff173702,
    0xff16210c,
    0xff171c16,
    0xff13240e,
    0xff122308,
    0xff203020,
    0xff051811,
    0xff132820,
    0xff18271a,
    0xff0f291b,
    0xff132d1e,
    0xff0f2411,
    0xff001300,
    0xffa1b3b7,
    0xff5c6260,
    0xff322700,
    0xffb38646,
    0xff875e04,
    0xff937316,
    0xff81630d,
    0xff8e6200,
    0xffb4720e,
    0xff92560c,
    0xff674205,
    0xff405f60,
    0xff396361,
    0xff326265,
    0xff082f42,
    0xff1f3e60,
    0xff041f45,
    0xff001c37,
    0xff30606d,
    0xff204959,
    0xff0e3351,
    0xff102d56,
    0xff1e3459,
    0xff202e40,
    0xff2c2f31,
    0xff59544f,
    0xff847877,
    0xff514754,
    0xff2e2837,
    0xff272432,
    0xff252431,
    0xff35313b,
    0xff333138,
    0xff31313b,
    0xff2d303d,
    0xff586067,
    0xff949a8c,
    0xffa19c82,
    0xff9c8f7b,
    0xff6c5c5c,
    0xff3f2f3c,
    0xff30232e,
    0xff372c2c,
    0xff71664a,
    0xff9d997c,
    0xffb48c82,
    0xff6f1722,
    0xff6b0010,
    0xff7c000b,
    0xffac0f21,
    0xffc01e28,
    0xffca1e28,
    0xffc7162a,
    0xffc80f2f,
    0xffc10821,
    0xffc20d1a,
    0xffd11c23,
    0xffc71920,
    0xffb6131d,
    0xff95020e,
    0xff830004,
    0xff8e1b24,
    0xfffa9c9a,
    0xffc04d3e,
    0xffd03823,
    0xfff4584d,
    0xff9f181c,
    0xff77060e,
    0xff650000,
    0xff6a0000,
    0xff890a0e,
    0xffa61319,
    0xffad1218,
    0xff920102,
    0xff860200,
    0xffd64c34,
    0xffd76348,
    0xffa13120,
    0xffa13227,
    0xffbf282b,
    0xffc40214,
    0xffb6030f,
    0xffa5080f,
    0xff940407,
    0xff790004,
    0xff750004,
    0xff8c0007,
    0xffc02027,
    0xffc8322d,
    0xffc0362c,
    0xffc04237,
    0xffc16942,
    0xff9f946a,
    0xff8b967b,
    0xff948377,
    0xff9b876c,
    0xff948b60,
    0xffa78f68,
    0xff96694e,
    0xff917350,
    0xff9c9a70,
    0xff849768,
    0xff87986c,
    0xff8a946b,
    0xff8f8a61,
    0xffb78d6c,
    0xffa04d38,
    0xffa40b1a,
    0xffb70318,
    0xffc00010,
    0xffc61117,
    0xffcb2220,
    0xffcf2c24,
    0xffd03128,
    0xffc82e25,
    0xffca271f,
    0xffce2e26,
    0xffd1372b,
    0xffd03c2e,
    0xffd34332,
    0xffd44633,
    0xffd14430,
    0xffd0422b,
    0xffc54127,
    0xffcd3f33,
    0xffcd4732,
    0xffb44b4e,
    0xff403346,
    0xff002f4e,
    0xff132957,
    0xff555c63,
    0xff918871,
    0xffb5a88b,
    0xffb9a584,
    0xffbfab85,
    0xffb5a47d,
    0xffa6a179,
    0xff959b6d,
    0xff9eac79,
    0xff99a66b,
    0xff9eac6b,
    0xff9fb161,
    0xff9cb15f,
    0xffa3b769,
    0xffa0b169,
    0xffa8b776,
    0xffb5c287,
    0xffb3b38b,
    0xff969866,
    0xff9c9e71,
    0xff7c816d,
    0xff4a534c,
    0xff5d6555,
    0xff808264,
    0xff6b6a48,
    0xff878a66,
    0xff646c4b,
    0xff697753,
    0xff455947,
    0xff2d4e56,
    0xff3b6d6e,
    0xff134437,
    0xff587971,
    0xff4b6e60,
    0xff50776b,
    0xff456e70,
    0xff366169,
    0xff55847c,
    0xff5c8d6d,
    0xff4a795a,
    0xff4f7a66,
    0xff526f58,
    0xff6f885d,
    0xff697e56,
    0xff72876f,
    0xff6a8a76,
    0xff2a4b4d,
    0xff45636a,
    0xff3b5649,
    0xff7d8c80,
    0xff878e69,
    0xff9f9157,
    0xffc7ad7a,
    0xffada182,
    0xff5c664e,
    0xff8a9371,
    0xff908b61,
    0xff8c8f6b,
    0xff9f986b,
    0xffafa986,
    0xff938c7b,
    0xff7f796d,
    0xff626a5d,
    0xff747767,
    0xffbba085,
    0xff6f675e,
    0xff565d4d,
    0xff5b6459,
    0xff4b5f5e,
    0xff688c85,
    0xff566153,
    0xff807465,
    0xff5a5a4b,
    0xff989873,
    0xff81965d,
    0xff6e7f6a,
    0xff607368,
    0xff99a787,
    0xff797d70,
    0xff546672,
    0xff586c73,
    0xff4f5153,
    0xff827a80,
    0xff797f91,
    0xff0b3354,
    0xff0e385d,
    0xff40424d,
    0xffa68d6c,
    0xffcfb67d,
    0xffbb8b64,
    0xff9b918a,
    0xff47575d,
    0xff7e7064,
    0xffa59980,
    0xff444844,
    0xff655657,
    0xffcfc8a6,
    0xff4b5a50,
    0xff626a7e,
    0xff9b8982,
    0xff656869,
    0xff516273,
    0xff99898d,
    0xff816d77,
    0xff6b6f66,
    0xff7e7e7e,
    0xff5c6073,
    0xff4b5962,
    0xff9e8c84,
    0xff89786f,
    0xff647074,
    0xff817d8d,
    0xff776467,
    0xff926d70,
    0xff987070,
    0xff917477,
    0xff776e74,
    0xff807d79,
    0xff9a8a79,
    0xffb29987,
    0xffa69288,
    0xffaea493,
    0xffa49e71,
    0xff8b8378,
    0xff727088,
    0xff5f717a,
    0xff456173,
    0xff46618a,
    0xff304a61,
    0xff647380,
    0xff668383,
    0xff56768b,
    0xff51717b,
    0xff5b737a,
    0xff597469,
    0xff9bbc94,
    0xff4b6676,
    0xff4c6c81,
    0xff3e6060,
    0xff95a9a8,
    0xffeae8f4,
    0xffececf3,
    0xfff8fff4,
    0xfff8fffc,
    0xfffff9ff,
    0xfffefdff,
    0xfffcfbfd,
    0xfffdfcfc,
    0xfffefbfe,
    0xfffbfcfe,
    0xfff9fcf5,
    0xfffdfdfb,
    0xfff9f6ff,
    0xfffdfeff,
    0xffffffff,
    0xfffffeff,
    0xfffffffe,
    0xfffafffd,
    0xfff9fffd,
    0xfffbfbff,
    0xfff7f5f8,
    0xfff6f4f8,
    0xfff3f2f7,
    0xfff0f1f7,
    0xffedf1f6,
    0xffeceff6,
    0xffedf1f5,
    0xffebecf1,
    0xfff0f0f2,
    0xfff3f6f5,
    0xfff4f6f5,
    0xfff2f4f7,
    0xffedf3f7,
    0xffeef5fa,
    0xffe8f2f9,
    0xffe6eef7,
    0xffe3edf8,
    0xffdae8f4,
    0xffd3e0ee,
    0xffd0e0ee,
    0xffd6e5f1,
    0xffdfebf7,
    0xffecf4fc,
    0xfff7f9fe,
    0xffffffff,
    0xfffffdfc,
    0xfffffefe,
    0xffffffff,
    0xfffcfdff,
    0xfffdffff,
    0xffffffff,
    0xfffcfdf7,
    0xfffffef8,
    0xfffefef8,
    0xfffffefc,
    0xfffefdfa,
    0xfffffefe,
    0xfffdfcfa,
    0xfffffefc,
    0xfffcfafb,
    0xfffbf9fa,
    0xfffbfbfd,
    0xfff8f8fa,
    0xfff8f8fa,
    0xfff7f7f9,
    0xfff2f2f5,
    0xfff3f2f6,
    0xfff2f1f6,
    0xfff2f1f5,
    0xfff2f3f8,
    0xfff2f3f8,
    0xfff2f3f8,
    0xffeef1f8,
    0xffeceff6,
    0xffeceff7,
    0xffedf0f9,
    0xffedf0f9,
    0xffeaf0f3,
    0xffebeff3,
    0xffecf1f4,
    0xffedf1f4,
    0xffebeff3,
    0xffeaeff4,
    0xffe8edf5,
    0xffe5eef4,
    0xffebeaf2,
    0xffebecf2,
    0xffeceff5,
    0xffedf1f6,
    0xffeceff5,
    0xfff3f7fc,
    0xfff6fafd,
    0xfff9fafe,
    0xfff9fbfe,
    0xfff8fafc,
    0xfff7f8fb,
    0xfff7f7fa,
    0xfff9f9fb,
    0xfffffdff,
    0xfffffcff,
    0xfffffdff,
    0xfffdfeff,
    0xfffbfcff,
    0xfff9faff,
    0xfff6f7fd,
    0xfff8f6fd,
    0xfff7f6fc,
    0xfff5f4fb,
    0xfff6f5fc,
    0xfff6f7fa,
    0xfffdffff,
    0xfffbfefb,
    0xfffefffc,
    0xfffcfffb,
    0xfffbfefe,
    0xfff6f7fb,
    0xffeaebf4,
    0xffd7e5f1,
    0xffceddee,
    0xffcedcef,
    0xffd4e1fb,
    0xffcfe0f9,
    0xffc8dbf6,
    0xffc1d8f3,
    0xffc3dcf6,
    0xffc3dcf8,
    0xffc5dbf5,
    0xffc2d7ee,
    0xffd5e7fa,
    0xffdcebfb,
    0xffe5f0fe,
    0xffecf4ff,
    0xffeef5fe,
    0xffebf0f2,
    0xffeef6f8,
    0xfff4fcff,
    0xffeef4fb,
    0xfff1f5ff,
    0xfff1f4fc,
    0xfff0f1f8,
    0xfff3f5fa,
    0xfff1f5ff,
    0xffeff3fc,
    0xffeff2f8,
    0xffedf2f5,
    0xffedeef0,
    0xfff2f1f5,
    0xfff9f8fc,
    0xfffdfcff,
    0xfffdfef8,
    0xfffefefa,
    0xfffffffb,
    0xfffffffd,
    0xfffffffe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffafefb,
    0xfffbfffc,
    0xfffbfffe,
    0xfff9fefc,
    0xfff9fdfc,
    0xfff7fbf9,
    0xfff9fdff,
    0xfff6f9f8,
    0xfff8f9ef,
    0xfffcfcfe,
    0xffe7e6f0,
    0xfffafcf5,
    0xffc7cfad,
    0xff949d6e,
    0xffa5a884,
    0xff8e907a,
    0xffafa48a,
    0xffbb9f64,
    0xff8b732b,
    0xff3d3f0c,
    0xff262f0d,
    0xff534c26,
    0xff61562e,
    0xff3e3f1d,
    0xffa38d75,
    0xff998477,
    0xff9a8f82,
    0xffb4b19b,
    0xfff2f2df,
    0xffe6dfdd,
    0xffe5d4dc,
    0xffffe8ea,
    0xff9ca372,
    0xff5b6c3b,
    0xff6f8758,
    0xff374e21,
    0xff1a2700,
    0xff6c7058,
    0xff2a292a,
    0xff302f42,
    0xff575b6b,
    0xff575964,
    0xff7b7b7d,
    0xff776d6a,
    0xff7c6d70,
    0xff8a8288,
    0xff697b6a,
    0xff3a5d2e,
    0xff3a6031,
    0xff234629,
    0xff021e12,
    0xff203b32,
    0xff0a2213,
    0xff0a2311,
    0xff092019,
    0xff0b1b27,
    0xff648296,
    0xff97b8d1,
    0xff677f7e,
    0xffffffff,
    0xffffffff,
    0xff152623,
    0xffc6d9d7,
    0xfffdffff,
    0xff5f6268,
    0xff838a78,
    0xff88977b,
    0xff3b5628,
    0xff223818,
    0xff3f4639,
    0xff859583,
    0xffd4ecff,
    0xffb4c3de,
    0xffb5b6c1,
    0xff3a3328,
    0xff67674b,
    0xff677451,
    0xff1e330e,
    0xff47532d,
    0xff444920,
    0xff324622,
    0xff142e0d,
    0xff344f31,
    0xff1b3216,
    0xff203214,
    0xff1f310e,
    0xff425536,
    0xff0b2203,
    0xff193022,
    0xff0f2921,
    0xff0c2a24,
    0xff0b2d25,
    0xff0a2c22,
    0xff214133,
    0xff304b3c,
    0xff10281c,
    0xff1d3a30,
    0xff44665d,
    0xff48715f,
    0xff1f4a2c,
    0xff1c4029,
    0xff3b5854,
    0xff6c8488,
    0xff667d7e,
    0xff606c76,
    0xff091b28,
    0xff6f8b8b,
    0xff849e9d,
    0xffb0c0cd,
    0xffc2cccf,
    0xffa8b79e,
    0xff657b5a,
    0xff6e8f8a,
    0xff739770,
    0xff556c26,
    0xff626a25,
    0xff768448,
    0xff294614,
    0xff091800,
    0xff100600,
    0xff564e1d,
    0xff755f23,
    0xffd5a049,
    0xffad7400,
    0xffc49b20,
    0xffc4a431,
    0xffaf8626,
    0xff7f5c13,
    0xff5d4902,
    0xff947630,
    0xff77581a,
    0xff362b09,
    0xff253120,
    0xff182e2e,
    0xff7d8888,
    0xff7e786e,
    0xff332c0b,
    0xffb0b3a0,
    0xffa9ab9b,
    0xff766652,
    0xffa48b78,
    0xff301d16,
    0xff0f0100,
    0xff120000,
    0xff624c43,
    0xff190600,
    0xff878f88,
    0xff3b4d4f,
    0xff4b373d,
    0xff865554,
    0xff875c55,
    0xffe4c4c0,
    0xff5d2a12,
    0xff5a2f0e,
    0xff4d1b00,
    0xff8c361f,
    0xff99331d,
    0xffa54d34,
    0xff5e1800,
    0xff65260b,
    0xff5d2916,
    0xff25200d,
    0xff28373a,
    0xff898c85,
    0xff846e2f,
    0xff975f11,
    0xff7f420b,
    0xff5a3e11,
    0xff2b2f0b,
    0xff3c424b,
    0xff7b676c,
    0xff654320,
    0xff392300,
    0xff433105,
    0xff544b43,
    0xff7f8fa9,
    0xff3a5378,
    0xff202940,
    0xff17240a,
    0xff1a3853,
    0xff34639c,
    0xff2b5c9a,
    0xff567cc3,
    0xff5e85ab,
    0xff23384b,
    0xff243133,
    0xff1a260a,
    0xff45585c,
    0xff6885ac,
    0xff607eab,
    0xff798fb8,
    0xff1a2830,
    0xff051612,
    0xff5f7450,
    0xff081800,
    0xff1e290d,
    0xff404e1a,
    0xff4f621e,
    0xff5b6f2f,
    0xff556d28,
    0xff254108,
    0xff3c5124,
    0xff1f2f0f,
    0xff0b1903,
    0xff0a1a0d,
    0xff081a0f,
    0xff07160f,
    0xff0a150e,
    0xff1b1913,
    0xff101d10,
    0xff0e2018,
    0xff0d1713,
    0xff101d15,
    0xff000100,
    0xffd5e2d9,
    0xff221d18,
    0xff392f05,
    0xff6a521a,
    0xff6a4e08,
    0xff5e4300,
    0xff8e730d,
    0xff99720c,
    0xff936712,
    0xff855e1c,
    0xff4e6771,
    0xff355764,
    0xff0d374d,
    0xff062e51,
    0xff0e2d58,
    0xff06214d,
    0xff1c3e61,
    0xff174159,
    0xff284c63,
    0xff284d57,
    0xff103344,
    0xff082043,
    0xff091c35,
    0xff767e7c,
    0xff44423a,
    0xff3c3039,
    0xff443a43,
    0xff332d39,
    0xff292836,
    0xff2b2a39,
    0xff353243,
    0xff3a3747,
    0xff39374a,
    0xff313448,
    0xff182c3c,
    0xff324140,
    0xff7f8274,
    0xff81786a,
    0xff594948,
    0xff39242a,
    0xff3c2624,
    0xff50382a,
    0xffa08574,
    0xffa2877c,
    0xff9d6d76,
    0xff8f495d,
    0xffbc7382,
    0xffc86d7a,
    0xff950e22,
    0xffc61934,
    0xffca1423,
    0xffc80a21,
    0xffc70922,
    0xffc5031b,
    0xffd11120,
    0xffc41b1e,
    0xffac1316,
    0xffa00512,
    0xff960007,
    0xffa30d14,
    0xffff8082,
    0xffcf4f4f,
    0xffc43831,
    0xffc0281a,
    0xffa9150e,
    0xff8d0a12,
    0xff78030e,
    0xff730008,
    0xff7c0108,
    0xff89070f,
    0xff910a10,
    0xff8b0408,
    0xff840002,
    0xff9d191c,
    0xffa11e0c,
    0xff730100,
    0xff7a0d01,
    0xff5a0000,
    0xff830404,
    0xffad0916,
    0xff9a030c,
    0xff8e070b,
    0xff720503,
    0xff630104,
    0xff6a0006,
    0xff900914,
    0xffc53136,
    0xffc43c31,
    0xffb73d2b,
    0xffcd5442,
    0xffc76f59,
    0xffab9165,
    0xffa79969,
    0xffc09772,
    0xffae8462,
    0xffb49e77,
    0xff9c8d61,
    0xffb4a275,
    0xff9f7b55,
    0xff9c7b54,
    0xffaa996e,
    0xff929665,
    0xff99a775,
    0xffa19c6f,
    0xffad8863,
    0xffc5846a,
    0xffa11823,
    0xffac0214,
    0xffbf0314,
    0xffbc070e,
    0xffc71e1c,
    0xffcc2720,
    0xffc4251a,
    0xffc93022,
    0xffd33028,
    0xffd43329,
    0xffd2382b,
    0xffcf3b2d,
    0xffcc3d2c,
    0xffcc3d2c,
    0xffcc3f2b,
    0xffd1412f,
    0xffd13d38,
    0xffd03438,
    0xffd43927,
    0xffdf5041,
    0xff924d41,
    0xff30372f,
    0xff1f2e3f,
    0xff43635a,
    0xffa3a385,
    0xff918e68,
    0xff938b64,
    0xff91845f,
    0xff9c926c,
    0xffa19d77,
    0xff99a072,
    0xffa5b07c,
    0xffa7b478,
    0xffa9ba73,
    0xff9fb364,
    0xff9ab25e,
    0xff93ab59,
    0xff99b062,
    0xff9fb36a,
    0xffa5b86e,
    0xffacb86e,
    0xff9da767,
    0xffa1a77a,
    0xff68725a,
    0xff4d5853,
    0xff3c4745,
    0xff7a836e,
    0xff7f8861,
    0xff576748,
    0xffa29b80,
    0xffb6a06d,
    0xffbcab6a,
    0xffaca57c,
    0xff616548,
    0xff8c9674,
    0xff8b9b7d,
    0xff2a5f5a,
    0xff487682,
    0xff24455d,
    0xff1d3d4f,
    0xff3c5f66,
    0xff4d787b,
    0xff235557,
    0xff366c6f,
    0xff437582,
    0xff3c6870,
    0xff3b5f6e,
    0xff355a64,
    0xff29554c,
    0xff689594,
    0xff50767c,
    0xff486b61,
    0xff5a686d,
    0xff696e5f,
    0xffa8ac82,
    0xff949c67,
    0xffa1ae82,
    0xff3d5038,
    0xff69857e,
    0xff537674,
    0xff4e775e,
    0xff819175,
    0xff566149,
    0xff465740,
    0xff6b6f50,
    0xff9a8e73,
    0xff877259,
    0xffba9774,
    0xffb98f6a,
    0xffa69269,
    0xffa7a58b,
    0xff6f8384,
    0xff35565f,
    0xff5e6066,
    0xff997a73,
    0xffaf9a86,
    0xff656e64,
    0xff425e5c,
    0xff57757c,
    0xff426b7c,
    0xff40636d,
    0xff646a6f,
    0xff7e7c79,
    0xffb9a093,
    0xff957165,
    0xff836d5d,
    0xff657174,
    0xff4b6681,
    0xff555169,
    0xff87595b,
    0xffcf9a7f,
    0xffa78352,
    0xffc7a17b,
    0xff6b696b,
    0xff424e61,
    0xff756161,
    0xffa07f66,
    0xffb28e7d,
    0xffa47c6e,
    0xffa49272,
    0xff4b6a60,
    0xff2f576a,
    0xff6d888b,
    0xff315463,
    0xff64768d,
    0xff876c74,
    0xffa68891,
    0xffa39585,
    0xff555156,
    0xff414754,
    0xff778183,
    0xff898177,
    0xff787574,
    0xff6f7f95,
    0xff777a93,
    0xff846b74,
    0xffc28a9d,
    0xff906a66,
    0xff8d867b,
    0xff6b707d,
    0xff787491,
    0xff8b798c,
    0xff85737b,
    0xff7e757b,
    0xff85777b,
    0xff9a8e77,
    0xff89786f,
    0xff6d6169,
    0xff939288,
    0xff7c806e,
    0xff97978c,
    0xff8f8c71,
    0xffadaf7e,
    0xff687b5f,
    0xff456074,
    0xff2f515f,
    0xff567281,
    0xff4d6262,
    0xff96ad79,
    0xff7a8a6d,
    0xff5b7368,
    0xff537774,
    0xff456c7b,
    0xff4c6f8c,
    0xff2d4f65,
    0xffabcace,
    0xffb0c0c2,
    0xfffaf8ff,
    0xfff7fefc,
    0xfffcffff,
    0xffedf8fe,
    0xffeaf3ff,
    0xffeaf3ff,
    0xffedf7f3,
    0xffe2efeb,
    0xffe9f6fe,
    0xffedf4fd,
    0xfff0f4fd,
    0xfff2f4fc,
    0xffeef6fb,
    0xffeffafc,
    0xfff0fcfe,
    0xfff1f8fe,
    0xfff6f9ff,
    0xfff4f9ff,
    0xfff0f7fe,
    0xffecf4fd,
    0xffeaf2fe,
    0xffe7f0fb,
    0xffe9f1fb,
    0xffe8eff7,
    0xffeaf2f9,
    0xffeef4f9,
    0xffeef3fa,
    0xffe9f0f7,
    0xffe2eaf3,
    0xffdbe5f1,
    0xffd9e5f4,
    0xffdae6f3,
    0xffdae6f5,
    0xffcfe0ef,
    0xffcfe1f1,
    0xffcee0f1,
    0xffcbddee,
    0xffd2e3f4,
    0xffd8e6f3,
    0xffe4edf7,
    0xffeff6fd,
    0xfff4f9ff,
    0xfff7feff,
    0xffeff4fd,
    0xffe3ecf5,
    0xffebf3fb,
    0xfff2f9fe,
    0xfff6fbfd,
    0xfffaffff,
    0xfffdffff,
    0xfffbfdfd,
    0xfffcfeff,
    0xfff8fbfd,
    0xfffafcff,
    0xfffafbff,
    0xfff8fafd,
    0xfff8f9fc,
    0xfff6f8fa,
    0xfff2f6f8,
    0xfff1f5f8,
    0xfff0f4f7,
    0xfff0f3f7,
    0xffeff3f5,
    0xffedf1f4,
    0xffeef0f5,
    0xfff1f2f8,
    0xfff2f2f7,
    0xfff0f0f6,
    0xffeeeef2,
    0xffedeef2,
    0xffeeedf6,
    0xffefeef7,
    0xffeeeef6,
    0xffeeeff8,
    0xffefeef7,
    0xfff0eff7,
    0xfff1eef7,
    0xffeceaf2,
    0xffeeedf8,
    0xffeeedfa,
    0xffeeedfb,
    0xfff5f0f9,
    0xffefedf2,
    0xfff0eff4,
    0xfff1f2f6,
    0xfff3f4f8,
    0xfff3f4f6,
    0xfff5f5f7,
    0xfff8f8f9,
    0xfff8f6fc,
    0xfff8f6fc,
    0xfff8f8fa,
    0xfff8f8f7,
    0xfffcfcfb,
    0xfffbfcfb,
    0xfffbfbfe,
    0xfffefdff,
    0xfffdffff,
    0xfffcfdff,
    0xfffafafc,
    0xfffafafb,
    0xfffafafc,
    0xfffcfafc,
    0xfffcfafd,
    0xfff8f6fa,
    0xfffaf7fd,
    0xfffbfaff,
    0xfffcfcff,
    0xfff4f8ff,
    0xfff2f7ff,
    0xffeaf1fe,
    0xffe0eafb,
    0xffdce5f8,
    0xffcedef0,
    0xffcfdef0,
    0xffcddcf2,
    0xffcfdcf7,
    0xffc6d6ef,
    0xffc4d6f1,
    0xffc2d7f3,
    0xffc4daf1,
    0xffcbd9f3,
    0xffcbd8f0,
    0xffd3dff3,
    0xffdde4f5,
    0xffe9f0fa,
    0xffeef2f6,
    0xfff3f4f7,
    0xfff2f2f4,
    0xfff4f4f9,
    0xfff1f4fb,
    0xffeef1fb,
    0xffe3ebf5,
    0xffdfe6f0,
    0xffecf3fb,
    0xffebf0f6,
    0xffecf3f6,
    0xffe7ecf4,
    0xffe7ecf3,
    0xffeff2f8,
    0xfff4f9fb,
    0xfff8f8fb,
    0xfffafafa,
    0xfffbfbfb,
    0xfffdfdfe,
    0xfffffffb,
    0xfffefffa,
    0xfffefffa,
    0xfffefefc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffeff,
    0xfffefefb,
    0xfffffffc,
    0xffffffff,
    0xfffefefe,
    0xfffffffe,
    0xfffbfbfb,
    0xfffcfdff,
    0xfffdfefe,
    0xfffffff9,
    0xfffcfffc,
    0xffffffff,
    0xfffdfbfc,
    0xffffffff,
    0xffece7de,
    0xffcdc6c6,
    0xffffffff,
    0xffffffff,
    0xffcaaa78,
    0xffd9a259,
    0xffca9e65,
    0xffb4946d,
    0xffb68f69,
    0xffc0a073,
    0xffd9cca0,
    0xffb5b188,
    0xfffbf6d9,
    0xfff6f0e3,
    0xfff0eaeb,
    0xffaeaaab,
    0xffc1c5be,
    0xfffafffa,
    0xfff0fdf0,
    0xffbdba90,
    0xff838465,
    0xff939c8b,
    0xff828a7b,
    0xff80846e,
    0xff676549,
    0xff5a583d,
    0xff24260c,
    0xff99969d,
    0xffe8e8f6,
    0xff90929e,
    0xfffeffff,
    0xffe6e6ed,
    0xffffffff,
    0xff94a592,
    0xff355424,
    0xff1d4011,
    0xff3b5939,
    0xff1c392b,
    0xff233e39,
    0xff0d2921,
    0xff0a2515,
    0xff04210b,
    0xff08210a,
    0xff28423a,
    0xff022126,
    0xff2e4848,
    0xff102223,
    0xff5e7467,
    0xff2e412e,
    0xffe5e3f3,
    0xffdfd6e8,
    0xff312f34,
    0xfffbffef,
    0xff141a00,
    0xff525229,
    0xff3a2f14,
    0xff3e3321,
    0xff33301a,
    0xffd9d6e8,
    0xffd7e9f2,
    0xff68726b,
    0xff2e2c15,
    0xff39391a,
    0xff4a5733,
    0xff394b27,
    0xff2d3710,
    0xff37390f,
    0xff384721,
    0xff293d1a,
    0xff213a1c,
    0xff20381c,
    0xff1f361b,
    0xff193115,
    0xff162f14,
    0xff1f3822,
    0xff1f3729,
    0xff153027,
    0xff0c2823,
    0xff0c2b21,
    0xff18382b,
    0xff021f0f,
    0xff0d2617,
    0xff081e12,
    0xff2a3b3e,
    0xffc5dfd6,
    0xff3e5d4c,
    0xff5c7e6b,
    0xff8ea8a0,
    0xff4d6161,
    0xff526267,
    0xffc7d5e0,
    0xffc3d0d6,
    0xffadc0c7,
    0xff546d72,
    0xffa9becc,
    0xffc7d5e2,
    0xff939e8c,
    0xff6f7d50,
    0xffa0ae8e,
    0xff92948d,
    0xff666e3d,
    0xff56550d,
    0xff4f4803,
    0xff505514,
    0xff5b7243,
    0xff334527,
    0xff28280a,
    0xffb59f57,
    0xffbaa54e,
    0xffaf8920,
    0xffcd9b1c,
    0xffaf8305,
    0xff9f6f1a,
    0xff451a00,
    0xff6d5d2d,
    0xff957e34,
    0xff73592d,
    0xff443019,
    0xff474428,
    0xff425030,
    0xff091902,
    0xff080e00,
    0xff272607,
    0xff66642d,
    0xff2a3612,
    0xff979a84,
    0xff301500,
    0xff6c340f,
    0xff62280c,
    0xff682f1f,
    0xff652c21,
    0xff4b0806,
    0xff72292a,
    0xff41130b,
    0xff28190f,
    0xff534145,
    0xffffecf7,
    0xffbca8ae,
    0xffa98488,
    0xff975948,
    0xff5d1b0b,
    0xff76240f,
    0xff8b200f,
    0xff9c2819,
    0xff8c2816,
    0xff6a1c06,
    0xff5e1e09,
    0xff785a4f,
    0xff4d5233,
    0xffa7b6a0,
    0xff2f1e0e,
    0xff77410e,
    0xffa96516,
    0xff7c3a07,
    0xff7d370c,
    0xff8c7747,
    0xff616066,
    0xff89848a,
    0xffa69d69,
    0xffa89d4f,
    0xff6f5c2a,
    0xff190e00,
    0xff738690,
    0xff809cd5,
    0xff6f7bb0,
    0xff000306,
    0xff4f6f9d,
    0xff6a9acd,
    0xff3d6c98,
    0xff1f4481,
    0xff3a5f93,
    0xff516c8f,
    0xff344863,
    0xff22344c,
    0xff6984ba,
    0xff87aee8,
    0xff275285,
    0xff203e73,
    0xff556b6f,
    0xff474a0d,
    0xff71722b,
    0xff44440d,
    0xff444508,
    0xff6b7218,
    0xff869037,
    0xff424f11,
    0xff3c4c18,
    0xff253f09,
    0xff4f6637,
    0xff21310e,
    0xff192810,
    0xff0f1d12,
    0xff091910,
    0xff16211e,
    0xff0c1613,
    0xff0f2214,
    0xff042111,
    0xff0c2819,
    0xff0f1d11,
    0xff0c0f06,
    0xff2a2e21,
    0xff010b00,
    0xffdfe9de,
    0xff070500,
    0xff4f3a1d,
    0xff4b2c08,
    0xff745a14,
    0xff876b10,
    0xff8c6408,
    0xff855806,
    0xff5b3300,
    0xff51637a,
    0xff163550,
    0xff052e4b,
    0xff23516f,
    0xff12395a,
    0xff001e40,
    0xff0e3056,
    0xff01244c,
    0xff0f2d4f,
    0xff527671,
    0xff5b857c,
    0xff001b39,
    0xff071d3f,
    0xff687471,
    0xff7f7c73,
    0xff433449,
    0xff413640,
    0xff332d39,
    0xff2c2b3a,
    0xff303145,
    0xff323047,
    0xff38334f,
    0xff33304a,
    0xff35374f,
    0xff404f5b,
    0xff5b6467,
    0xff85857f,
    0xff67605b,
    0xff45363b,
    0xff39262d,
    0xff452f2b,
    0xff765c4e,
    0xffae8e89,
    0xffcb9da7,
    0xfff9cee1,
    0xfffff2ff,
    0xfffff8ff,
    0xffffe8ec,
    0xfffeb3c1,
    0xffce415f,
    0xffc21521,
    0xffc91522,
    0xffbe1620,
    0xffc31a22,
    0xffcb2226,
    0xffa2201a,
    0xff962926,
    0xff83000b,
    0xff850008,
    0xffba362f,
    0xffdc5046,
    0xffce3637,
    0xffa60c0f,
    0xff910100,
    0xff8b0001,
    0xff8b0011,
    0xff810413,
    0xff830010,
    0xff85000e,
    0xff800008,
    0xff780006,
    0xff770206,
    0xff7f040c,
    0xff84030b,
    0xff9c1d18,
    0xff9d2b24,
    0xff9f302e,
    0xff781c17,
    0xff8c2828,
    0xff7e0109,
    0xff780407,
    0xff740002,
    0xff730004,
    0xff6e0007,
    0xff730112,
    0xff74000c,
    0xff6d0000,
    0xffb26248,
    0xffcb9468,
    0xffc59b69,
    0xffac9872,
    0xff9e925f,
    0xffca8f63,
    0xffb03a26,
    0xff900d0a,
    0xff9b3933,
    0xffc99b7f,
    0xff8e8f5b,
    0xffaa936a,
    0xffa36c4b,
    0xffa76b4a,
    0xffb29e6b,
    0xff94a162,
    0xff8e955d,
    0xffa99268,
    0xffc28f71,
    0xffb34549,
    0xffa50d1d,
    0xffb80214,
    0xffb8000a,
    0xffb80a0b,
    0xffc21912,
    0xffbe1b0e,
    0xffc42718,
    0xffc9261e,
    0xffd33128,
    0xffd43a2d,
    0xffd03a2c,
    0xffd13d2f,
    0xffd03e2f,
    0xffd13f2f,
    0xffd54133,
    0xffdc3d32,
    0xffcf3835,
    0xffc53a2c,
    0xffc13629,
    0xffdb7c64,
    0xffb78f69,
    0xff8a7252,
    0xff737e47,
    0xff9aa873,
    0xff9aa673,
    0xff9ba26f,
    0xff939968,
    0xff92936a,
    0xff93946c,
    0xff7f7f56,
    0xffa6a879,
    0xffa0ae71,
    0xff9dac6a,
    0xffa2b46a,
    0xff9fb367,
    0xffa3ba6b,
    0xffa1b86d,
    0xff9db467,
    0xff9bb362,
    0xff9fb35c,
    0xff94a25f,
    0xff818e5a,
    0xff616e45,
    0xff5c6e58,
    0xff354845,
    0xff64746c,
    0xff8fa385,
    0xff2f574e,
    0xff636a6d,
    0xff917e5d,
    0xffb19c4d,
    0xffb59c54,
    0xff987e51,
    0xffb6ae8c,
    0xff47583e,
    0xff477c76,
    0xff325d68,
    0xff3f5962,
    0xff889e95,
    0xff506a5f,
    0xff3e6167,
    0xff103e4f,
    0xff3b7381,
    0xff2f7075,
    0xff134e5e,
    0xff396987,
    0xff41707d,
    0xff38695f,
    0xff507d7b,
    0xff325962,
    0xff587e78,
    0xff557d75,
    0xff3d6264,
    0xff50727c,
    0xff415f65,
    0xff626a67,
    0xff938581,
    0xff8d8883,
    0xff4d635c,
    0xff496a5d,
    0xff606f5c,
    0xff7f8b78,
    0xff878f74,
    0xffab956c,
    0xffbd916e,
    0xffa8775f,
    0xffba8969,
    0xffbf9c68,
    0xffc5b36f,
    0xffa29e5e,
    0xff73805f,
    0xff758881,
    0xff535250,
    0xff8e8072,
    0xff808364,
    0xff849391,
    0xff4f6079,
    0xff56635f,
    0xff4c6667,
    0xff3b5470,
    0xff4a5c66,
    0xff5b6b6f,
    0xff726d76,
    0xffaea094,
    0xff918366,
    0xff747c6c,
    0xff5a6868,
    0xff9e8e80,
    0xffc3a68c,
    0xff957958,
    0xffb69060,
    0xff90855c,
    0xff546c66,
    0xff293b54,
    0xff7b7b83,
    0xffac9a86,
    0xffb38d75,
    0xff9b8574,
    0xff777f72,
    0xff264d61,
    0xff27476e,
    0xff3a5473,
    0xff3e6283,
    0xff213941,
    0xff969d89,
    0xff5e665d,
    0xffafa78a,
    0xff948b85,
    0xff766969,
    0xff897777,
    0xff797565,
    0xff8b9877,
    0xff97a381,
    0xff9b9c83,
    0xffa39086,
    0xff9f7d78,
    0xff917c74,
    0xff847c7e,
    0xff736b86,
    0xff645d85,
    0xff70708c,
    0xff6b6973,
    0xff7d7476,
    0xff91736e,
    0xff927865,
    0xff8c7d6c,
    0xff8a837d,
    0xff95968b,
    0xff8b8e72,
    0xff98946c,
    0xffa1926c,
    0xffb4ac82,
    0xffc1bd99,
    0xff6d6f65,
    0xff92997f,
    0xff9e9d82,
    0xff928c76,
    0xff918e62,
    0xff959583,
    0xff9aa385,
    0xff7b8e8c,
    0xff305a74,
    0xff2c6587,
    0xff326883,
    0xff42657b,
    0xff536b81,
    0xff6a849a,
    0xff667a95,
    0xffcbe2f6,
    0xffd9efff,
    0xffc6d9f1,
    0xffd9ebfa,
    0xffd1e1ea,
    0xffd7e7f9,
    0xffd1dfff,
    0xffd6e4f6,
    0xffd5e0f0,
    0xffd7e1f0,
    0xffdae5f4,
    0xffd6e6f0,
    0xffd7e6f4,
    0xffd7e3f1,
    0xffdee5f5,
    0xffdfedfb,
    0xffdceaf8,
    0xffdbe9f8,
    0xffdaeaf7,
    0xffd8e7f6,
    0xffd9e6f6,
    0xffd9e6f3,
    0xffdbe6f4,
    0xffdce6f5,
    0xffdce6f5,
    0xffd7e4f3,
    0xffd4e1f3,
    0xffd2dff3,
    0xffd1e0f4,
    0xffd0e0f4,
    0xffcedef6,
    0xffcfe1f4,
    0xffcce1f4,
    0xffcbe2f6,
    0xffcce1f6,
    0xffc8def3,
    0xffccdff3,
    0xffcfe1f0,
    0xffcedeed,
    0xffd5e6f2,
    0xffd9e9f8,
    0xffd3e2f4,
    0xffd1e1f2,
    0xffcfdff0,
    0xffd8e6f3,
    0xffe3effb,
    0xffe7f3fc,
    0xfff1f9fe,
    0xfff6fcff,
    0xffecf3fa,
    0xffe6ecf6,
    0xffe6ecf6,
    0xffe9eef9,
    0xffebf0fa,
    0xffedf3fc,
    0xffeef8fa,
    0xffeff8fc,
    0xffeef8fc,
    0xffeef8fc,
    0xffedf6fb,
    0xffedf5fc,
    0xffebf4fb,
    0xffebf3fa,
    0xffeaedf8,
    0xffeef1fa,
    0xfff0f4fd,
    0xfff1f5fc,
    0xfff0f1f9,
    0xfff3f4f9,
    0xfff6f6fb,
    0xfff5f3f8,
    0xfff5f2fa,
    0xfff5f2f8,
    0xfff8f4f9,
    0xfff9f5f9,
    0xfffbf5fb,
    0xfffbf7fc,
    0xfffbf7fe,
    0xfff9f5fe,
    0xfff8f4fa,
    0xfff8f4f9,
    0xfff8f5fb,
    0xfff6f6f9,
    0xfff6f6f8,
    0xfff6f5f8,
    0xfff6f4f8,
    0xfff9f7fb,
    0xfff5f4f9,
    0xfff4f3f9,
    0xfff2f3f7,
    0xfff1f3f5,
    0xffeef1f3,
    0xfff2f5f6,
    0xfff1f7fb,
    0xfff0f5f9,
    0xffe7ecf1,
    0xffe9eef3,
    0xffedf1f6,
    0xfff4f7fc,
    0xfff7f8fc,
    0xfff8f9fd,
    0xfff7f7f9,
    0xfff4f4f6,
    0xfff6f6fc,
    0xfff2f1f9,
    0xffe8edf9,
    0xffdae2f3,
    0xffd2def2,
    0xffcedcf3,
    0xffc9dcf4,
    0xffcaddf6,
    0xffccdff6,
    0xffcadbf1,
    0xffd2e2fa,
    0xffcfdff9,
    0xffcad8f6,
    0xffcfdffc,
    0xffc6daf2,
    0xffcddff9,
    0xffd1ddfa,
    0xffd4ddfb,
    0xffd2dcf5,
    0xffd6dff2,
    0xffe8f1fd,
    0xffedf4fa,
    0xffeef4f6,
    0xffe8eeef,
    0xffe5e4f0,
    0xffe3e4f2,
    0xffdce1ef,
    0xffd9e0ee,
    0xffe0eaf6,
    0xffe0eaf3,
    0xffe5eff3,
    0xffe2eeef,
    0xffe5e8f0,
    0xfff1f4f9,
    0xfff7fbfe,
    0xfffafbfc,
    0xfff9fcfb,
    0xfffcfbfc,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffbfefb,
    0xfffdfef8,
    0xfffefffa,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffffefc,
    0xfffffdfe,
    0xfffffdfe,
    0xfffffcfe,
    0xfffefbfd,
    0xfffdfbfd,
    0xfffdfafd,
    0xfffdfbfe,
    0xfffefbff,
    0xfffffcff,
    0xfff5fbfc,
    0xffeceeeb,
    0xfff7f5f2,
    0xfffffefd,
    0xffebdee3,
    0xfff7e8f2,
    0xffe2d2de,
    0xfffffaff,
    0xffd4af9b,
    0xffad7240,
    0xffc1813f,
    0xffba8d58,
    0xffb7916d,
    0xffb68d6c,
    0xffdcb89f,
    0xffd1bdac,
    0xffd1b8a8,
    0xffa58f81,
    0xffaa9395,
    0xffe0cadc,
    0xfff3dfed,
    0xffc7b9b0,
    0xffb7aba2,
    0xffe8dadf,
    0xffa89392,
    0xff9f9584,
    0xff43462c,
    0xff5c5e52,
    0xff736b74,
    0xffa99cab,
    0xffdfdad4,
    0xff797960,
    0xff56514e,
    0xfffcfdff,
    0xffecf7ff,
    0xffd1e2e7,
    0xff8fa2a1,
    0xff889b97,
    0xff304832,
    0xff26431b,
    0xff325235,
    0xff1a391c,
    0xff25432b,
    0xff6c8778,
    0xff253d38,
    0xff091e1d,
    0xff0e2222,
    0xff00120e,
    0xff808765,
    0xff697b62,
    0xff697b6c,
    0xff344a34,
    0xff8aac7a,
    0xff4d5431,
    0xff69494d,
    0xff8b7760,
    0xff4c5e35,
    0xff49683c,
    0xff7f9274,
    0xffddd7c5,
    0xff867974,
    0xff929a86,
    0xff20360d,
    0xff4a594b,
    0xff273f2c,
    0xff313e24,
    0xff2d2e0e,
    0xff242703,
    0xff36421f,
    0xff303f1c,
    0xff323a15,
    0xff3e3e18,
    0xff1e2701,
    0xff344423,
    0xff162e11,
    0xff254128,
    0xff27432a,
    0xff06210c,
    0xff0f2a18,
    0xff284436,
    0xff0c281a,
    0xff0a241c,
    0xff07221b,
    0xff203b33,
    0xff1a3329,
    0xff1f372a,
    0xff021509,
    0xff000a06,
    0xff626c77,
    0xff182921,
    0xff0d2516,
    0xff283f3c,
    0xffdbeaed,
    0xffc4d2d3,
    0xff97a2a5,
    0xff99a4b2,
    0xff152817,
    0xff20391c,
    0xff5b774b,
    0xff526b45,
    0xff849669,
    0xff515f14,
    0xff8c954d,
    0xff57583c,
    0xff7d7f5d,
    0xff636a29,
    0xff676818,
    0xff7a742f,
    0xff40420d,
    0xff47503a,
    0xfffdfffd,
    0xff54533e,
    0xffafa97a,
    0xff554409,
    0xffaf8132,
    0xffb8832e,
    0xffd6ba79,
    0xff6c5e2e,
    0xff605323,
    0xff3c3501,
    0xff251c00,
    0xff030000,
    0xff33322e,
    0xff262d1b,
    0xff0e1605,
    0xff0b0e0d,
    0xff353c31,
    0xff091400,
    0xff525e35,
    0xff596f50,
    0xffd0dbc2,
    0xffb29174,
    0xff6f2201,
    0xff94341b,
    0xff822518,
    0xff67150c,
    0xff9a5a45,
    0xff6f2725,
    0xff50151d,
    0xff2e0509,
    0xff755460,
    0xffd7c0cf,
    0xff523330,
    0xff864936,
    0xff833c33,
    0xff721910,
    0xff881e12,
    0xff9c301e,
    0xff841c07,
    0xff872615,
    0xff721b0e,
    0xff6d2518,
    0xff53382c,
    0xff292c17,
    0xff001601,
    0xff2f270a,
    0xffaa783c,
    0xff946811,
    0xff9d7920,
    0xffa46516,
    0xffa76b1c,
    0xffba8d66,
    0xff8d6a45,
    0xff8d7633,
    0xff5b4c14,
    0xff7f6758,
    0xff81656f,
    0xff0b000d,
    0xff91a9da,
    0xffd0e6ff,
    0xff000e16,
    0xff3b6290,
    0xff0f3759,
    0xff16414e,
    0xff042747,
    0xff2d5484,
    0xff6180c9,
    0xff8faded,
    0xff7d9bdb,
    0xff7fa5e9,
    0xff78abd8,
    0xff7fb0e6,
    0xff7394d0,
    0xff5f7870,
    0xff776c1e,
    0xff817420,
    0xff675c15,
    0xff3b3500,
    0xff656711,
    0xff717a30,
    0xff4b5526,
    0xff1e2a08,
    0xff0e2500,
    0xff1b3009,
    0xff1d2a0f,
    0xff081501,
    0xff041507,
    0xff09150e,
    0xff040d0a,
    0xff0e1314,
    0xff0a160d,
    0xff111d13,
    0xff12180d,
    0xff1f170c,
    0xff391c16,
    0xff3c1516,
    0xff422d2b,
    0xff2b2f22,
    0xffc5c7bd,
    0xff1e0e01,
    0xff452a09,
    0xff715918,
    0xff745600,
    0xffa57a23,
    0xff875804,
    0xff896512,
    0xff3a4f69,
    0xff13334c,
    0xff063146,
    0xff336472,
    0xff1e4d57,
    0xff193f50,
    0xff00173a,
    0xff071e50,
    0xff041a4b,
    0xff1c3d40,
    0xff446e64,
    0xff0a2d45,
    0xff001937,
    0xff4e5c5e,
    0xff706d6c,
    0xff56455b,
    0xff463949,
    0xff2f2936,
    0xff2f303e,
    0xff2f3246,
    0xff35324d,
    0xff3b374f,
    0xff3c394e,
    0xff312f40,
    0xff756d67,
    0xffaba097,
    0xff7e736e,
    0xff564a4b,
    0xff362c36,
    0xff392e39,
    0xff3f3238,
    0xff9b8989,
    0xfff1eaec,
    0xfffff0f6,
    0xfff7dde9,
    0xffd6c4d3,
    0xffe0cae1,
    0xffeacee0,
    0xffd18b9b,
    0xffb92e47,
    0xffb81921,
    0xffc31f21,
    0xffc42d27,
    0xffc02420,
    0xffb21415,
    0xff98332b,
    0xff9a5e52,
    0xff9f4049,
    0xff853c3c,
    0xffaa493d,
    0xffb63826,
    0xff960404,
    0xff95020c,
    0xff95050d,
    0xff8b0008,
    0xff8e0013,
    0xff890211,
    0xff83010d,
    0xff80020c,
    0xff790108,
    0xff750006,
    0xff720008,
    0xff7c050e,
    0xff840612,
    0xff800206,
    0xff901c1c,
    0xffae363b,
    0xff630201,
    0xff5a0000,
    0xff670106,
    0xff670204,
    0xff770106,
    0xff930011,
    0xff880211,
    0xff780010,
    0xff76000f,
    0xff6d0002,
    0xff5e0000,
    0xff9d5537,
    0xffbc855c,
    0xffab8054,
    0xffbc865f,
    0xffa73d30,
    0xff9f000e,
    0xffb1021e,
    0xff9e0015,
    0xff911d24,
    0xffb07867,
    0xff6e6d4c,
    0xffa48065,
    0xffac6f52,
    0xff9f7748,
    0xffa29f60,
    0xff9ea364,
    0xffac9f6a,
    0xffba926f,
    0xffb45b59,
    0xffa41a29,
    0xffb70319,
    0xffc30618,
    0xffb60108,
    0xffc91918,
    0xffd02520,
    0xffc9241b,
    0xffc8241b,
    0xffcd2b22,
    0xffd1322a,
    0xffcf352b,
    0xffcf382d,
    0xffd13c30,
    0xffd13a30,
    0xffce382c,
    0xffcf4122,
    0xffc93a27,
    0xffc6352c,
    0xffd22f31,
    0xffaf271e,
    0xffcf7c52,
    0xffd4a660,
    0xffaab34e,
    0xff9cb165,
    0xffa1b66d,
    0xff97aa64,
    0xff9bac6e,
    0xff9fab77,
    0xffa7ae80,
    0xffa0a474,
    0xffa4a776,
    0xffa0aa76,
    0xffa4af75,
    0xffa8b375,
    0xffa3b272,
    0xffa5b574,
    0xffa3b874,
    0xffa1b66d,
    0xffa7be70,
    0xffa5ba74,
    0xffa6b673,
    0xffa9b577,
    0xffa9b87c,
    0xff85986c,
    0xff657b68,
    0xff40554c,
    0xff50685c,
    0xff275352,
    0xff17344e,
    0xff3d4a49,
    0xff9f9c68,
    0xff9b8a4e,
    0xff7e6a46,
    0xff696051,
    0xff757876,
    0xff2b3743,
    0xff3b4e55,
    0xff405d57,
    0xff678273,
    0xff48625a,
    0xff435e6d,
    0xff002342,
    0xff1b4a67,
    0xff2a6169,
    0xff002b46,
    0xff17436a,
    0xff19435a,
    0xff2b5662,
    0xff315972,
    0xff153858,
    0xff24475a,
    0xff45767f,
    0xff03354d,
    0xff1c5373,
    0xff184c60,
    0xff47686d,
    0xff4b5c58,
    0xff5a756b,
    0xff3c6660,
    0xff5c7d7f,
    0xff537971,
    0xff446e65,
    0xff768b7a,
    0xff90835f,
    0xff94825f,
    0xff7f7461,
    0xff755a4e,
    0xff9c7755,
    0xffaf8f5b,
    0xff947e47,
    0xff8c8260,
    0xff7d7363,
    0xffa59185,
    0xff8a7962,
    0xff8d9070,
    0xff727a6e,
    0xff373e4e,
    0xff908d72,
    0xff82896d,
    0xff5f6b6a,
    0xff7a8d7e,
    0xff426b69,
    0xff365b66,
    0xff556b79,
    0xff83846d,
    0xff81866a,
    0xff757863,
    0xff78704d,
    0xff5c6a48,
    0xff687d5d,
    0xffc6b482,
    0xffc2bd95,
    0xff5b7065,
    0xff252e3b,
    0xff2c3f44,
    0xff55665c,
    0xff8e847b,
    0xff74847e,
    0xff375f70,
    0xff366372,
    0xff75869b,
    0xff2f3d54,
    0xff596b86,
    0xff565e54,
    0xff768e78,
    0xff143845,
    0xff646c73,
    0xff827a80,
    0xff896f64,
    0xffaa7c71,
    0xff786c63,
    0xff737965,
    0xff9b8c6b,
    0xffa49e78,
    0xff776d5a,
    0xff8e836d,
    0xff8f8d87,
    0xff7d7682,
    0xff938290,
    0xff787173,
    0xff4f5553,
    0xff6c726b,
    0xff6b6159,
    0xffb29d8d,
    0xff998773,
    0xff867c60,
    0xff83806c,
    0xff62655f,
    0xff838876,
    0xff979d81,
    0xff828378,
    0xff6b6a55,
    0xff88895b,
    0xffa2a27e,
    0xffa2a37c,
    0xff6e6a3c,
    0xffa29864,
    0xff969557,
    0xff828a72,
    0xff5e604f,
    0xff565a5d,
    0xff3c5167,
    0xff123651,
    0xff3c5d70,
    0xff475a6c,
    0xff23415d,
    0xff3a6e93,
    0xff446780,
    0xff5b7787,
    0xff5a6f80,
    0xff7c91b0,
    0xffafc7e7,
    0xffd0ebff,
    0xffd4e7fc,
    0xffd2ddf8,
    0xffcfe1f4,
    0xffd0e0f4,
    0xffd1e1f5,
    0xffd1e3f4,
    0xffd1e4f5,
    0xffcfe1f2,
    0xffd3e3f4,
    0xffd4dff2,
    0xffd0e0f2,
    0xffcfdff0,
    0xffd2e3f4,
    0xffd2e3f5,
    0xffcddef0,
    0xffd0e1f1,
    0xffd5e5f5,
    0xffd6e6f7,
    0xffdae8f9,
    0xffd5e5f6,
    0xffd0e0f3,
    0xffcddef3,
    0xffd2e3f8,
    0xffcee1f7,
    0xffcde0f9,
    0xffcce0f7,
    0xffd0e1f5,
    0xffcde1f5,
    0xffcae0f6,
    0xffcae0f8,
    0xffcde3f9,
    0xffcae1f6,
    0xffcfe4f6,
    0xffd0e2f5,
    0xffcadff1,
    0xffcce0f2,
    0xffcee1f7,
    0xffcde1f6,
    0xffcbdff4,
    0xffcddef2,
    0xffcfe0f1,
    0xffd0e0f0,
    0xffd4e2f1,
    0xffd3e2f0,
    0xffd2e0f0,
    0xffd0deed,
    0xffcfddec,
    0xffd0deed,
    0xffd1dff1,
    0xffd3e1f2,
    0xffd4e3ee,
    0xffdceaf5,
    0xffd9e8f2,
    0xffd6e4ee,
    0xffd6e3f1,
    0xffd5e3f0,
    0xffd5e3f0,
    0xffd5e2f0,
    0xffdae3f4,
    0xffdae5f3,
    0xffe1e8f8,
    0xffe5ebf8,
    0xffeff5ff,
    0xfff3f8ff,
    0xfff7faff,
    0xfff4f5fd,
    0xfff2f9f9,
    0xfff3f7f6,
    0xfff8faf8,
    0xfffcfcfb,
    0xfffffefd,
    0xfffefefc,
    0xfffffeff,
    0xfffeffff,
    0xfffdfcff,
    0xfffbf9ff,
    0xfff9fbff,
    0xfff8faff,
    0xfff4f7fd,
    0xfff4f6fd,
    0xfff1f2f8,
    0xfff1f1f9,
    0xffecf0f9,
    0xffecf1fa,
    0xffebf2f9,
    0xffeaf3fa,
    0xffe5eff8,
    0xffe2ecf8,
    0xffdbe7f4,
    0xffd3dfef,
    0xffcad9e8,
    0xffcbd9e8,
    0xffd1dfec,
    0xffd9e5f2,
    0xffe8f2ff,
    0xffe7f1fe,
    0xffe5edf8,
    0xffe1eaf5,
    0xffdfeaee,
    0xffd8e5ef,
    0xffd1dfee,
    0xffcddcf2,
    0xffc6d9f0,
    0xffc6dcf2,
    0xffc1daee,
    0xffc2dbed,
    0xffc4daf4,
    0xffc8ddf7,
    0xffc7daf5,
    0xffc9daf7,
    0xffc6d8f4,
    0xffc5d6f2,
    0xffc7dcf7,
    0xffc6dbf6,
    0xffc2d6f7,
    0xffc3d7f7,
    0xffc6d9f6,
    0xffc8dbf6,
    0xffcee2f9,
    0xffd3e7f9,
    0xffcadeef,
    0xffccdeee,
    0xffd6e1ee,
    0xffdfe8f9,
    0xffdee9fa,
    0xffddeafa,
    0xffe0ecfd,
    0xffdbe9f4,
    0xffdae4ee,
    0xffdae5eb,
    0xfff2f6fa,
    0xfff5fafc,
    0xfffafafd,
    0xfffafcfb,
    0xfffcfffc,
    0xfffffffc,
    0xfffefeff,
    0xffffffff,
    0xfffefffd,
    0xfffefffd,
    0xfffefefc,
    0xfffffefc,
    0xfffefdfb,
    0xfffffefb,
    0xfffefcfd,
    0xfffffcff,
    0xfffafafd,
    0xfff8f8fc,
    0xfff5f5fa,
    0xfff4f3f8,
    0xfff5f5fa,
    0xfff3f2f8,
    0xfff2f1f7,
    0xfff3f3fa,
    0xfff2f8fe,
    0xffeef0f2,
    0xffc4bdbd,
    0xfff2e4e2,
    0xffc7b5af,
    0xffe2cdc5,
    0xffeeddd1,
    0xffbca797,
    0xffc48b5e,
    0xffe9b68d,
    0xffcfb09b,
    0xffcbc0bf,
    0xfffbe8eb,
    0xffe2c3bb,
    0xffc3aea1,
    0xffcdc9c4,
    0xffceb6b5,
    0xffe4cbc7,
    0xffe0c7c1,
    0xffc0aaa1,
    0xffc1ab98,
    0xff9d8871,
    0xffad918e,
    0xffa8869a,
    0xffd1b9c4,
    0xffe6dcd0,
    0xff898e6f,
    0xff888c7a,
    0xff908f98,
    0xfff5eeff,
    0xfff3f2fd,
    0xffd2d6d0,
    0xff444f41,
    0xffa7b3b5,
    0xff1f3234,
    0xff6c887b,
    0xff3d5f46,
    0xff3c5f44,
    0xff466b4f,
    0xff315733,
    0xff224835,
    0xff80a48e,
    0xff446547,
    0xff203913,
    0xff203607,
    0xff2b390b,
    0xff1f2900,
    0xff61653c,
    0xff777548,
    0xff6d774c,
    0xff697254,
    0xff5c7256,
    0xff416339,
    0xff343610,
    0xff62471f,
    0xff787325,
    0xff54571a,
    0xff393b03,
    0xff5b511c,
    0xff8e764c,
    0xff6d5737,
    0xff959668,
    0xff314314,
    0xff203422,
    0xff273713,
    0xff2d330d,
    0xff4b4927,
    0xff2c2b0a,
    0xff292f13,
    0xff1d2a0e,
    0xff232e0e,
    0xff3a421e,
    0xff3b472b,
    0xff1f3217,
    0xff314d36,
    0xff1c3a27,
    0xff072511,
    0xff102a1a,
    0xff0e2619,
    0xff0b2419,
    0xff042313,
    0xff062219,
    0xff3c5650,
    0xff263c36,
    0xff000d05,
    0xff000d01,
    0xff0c1c15,
    0xff000a07,
    0xff859095,
    0xffa1b3ac,
    0xff203829,
    0xff1c322e,
    0xff000a0c,
    0xffb0bebd,
    0xff9fabaa,
    0xffbdcbce,
    0xff091d1c,
    0xff0e2419,
    0xff486042,
    0xff314220,
    0xff334012,
    0xff616b1d,
    0xff5b620a,
    0xff5b5c23,
    0xff33401b,
    0xff3f4f23,
    0xff5f6a2b,
    0xff444c0f,
    0xff242b0e,
    0xff59625d,
    0xff636f68,
    0xff273023,
    0xff1a2a27,
    0xff9f9c8d,
    0xffaf8c4e,
    0xff542900,
    0xff5e545e,
    0xffefffff,
    0xff3f4928,
    0xff948e87,
    0xff5c6c66,
    0xff9ba7b2,
    0xff4f5766,
    0xffc0c4c8,
    0xffaaabaa,
    0xffc2c6c9,
    0xff656b70,
    0xffc8d3cf,
    0xff7b7b62,
    0xff535333,
    0xff60532b,
    0xff441500,
    0xff772109,
    0xff92291a,
    0xff882112,
    0xff7c1f0d,
    0xff5f1203,
    0xff621e1a,
    0xff410e09,
    0xff46160b,
    0xff5a2615,
    0xff5a3c29,
    0xfffff5e1,
    0xff5c3a2e,
    0xff67271b,
    0xff7f2015,
    0xff972a1c,
    0xff95391d,
    0xff712505,
    0xff6e2208,
    0xff7a2d1d,
    0xff520d00,
    0xff572d09,
    0xff3e3a14,
    0xff425c42,
    0xff2c3924,
    0xff73663a,
    0xff433400,
    0xff7e6d10,
    0xff855f07,
    0xff643d00,
    0xff85682d,
    0xff48390c,
    0xff393927,
    0xff778893,
    0xffaabcdc,
    0xffbfcdf2,
    0xff677698,
    0xff000000,
    0xff485d67,
    0xff000a06,
    0xff3b5f8c,
    0xffa3c9f0,
    0xff143246,
    0xff6987a7,
    0xff97c0f2,
    0xff6791d0,
    0xff83aaed,
    0xff84a9f0,
    0xff84adec,
    0xff7fade8,
    0xff84a3ff,
    0xffabbbff,
    0xff5b6760,
    0xff7c6c32,
    0xff473d00,
    0xff716c23,
    0xff44430d,
    0xff3d4413,
    0xff252f08,
    0xff011100,
    0xff162609,
    0xff0b1d04,
    0xff0b1905,
    0xff202c1c,
    0xff0c1a0c,
    0xff05160a,
    0xff06120b,
    0xff0d1610,
    0xff191816,
    0xff181710,
    0xff2d1c1d,
    0xff280f0e,
    0xff2c140b,
    0xff361411,
    0xff522231,
    0xff3f1b27,
    0xff2a221f,
    0xff717271,
    0xff93887b,
    0xff332000,
    0xff6c5914,
    0xff6a4d00,
    0xff805207,
    0xff8f6109,
    0xff896b01,
    0xff476170,
    0xff07283a,
    0xff2b5569,
    0xff15465a,
    0xff053246,
    0xff1d3f59,
    0xff071e41,
    0xff081a49,
    0xff021349,
    0xff07243e,
    0xff1c404a,
    0xff315468,
    0xff38516a,
    0xff3f4c59,
    0xff6a686e,
    0xff534651,
    0xff43374a,
    0xff2f2b3a,
    0xff303140,
    0xff313547,
    0xff3a384e,
    0xff444052,
    0xff47444a,
    0xff716e68,
    0xff9e8a79,
    0xff978277,
    0xff6e5d58,
    0xff4c3f45,
    0xff3a3039,
    0xff3a2d39,
    0xffa4909b,
    0xfffff7ff,
    0xffffdaf1,
    0xffc094a2,
    0xffa3888a,
    0xfff9e3ee,
    0xfffad0ef,
    0xffe1abcd,
    0xffae556a,
    0xffb42331,
    0xffb91820,
    0xffc61c1e,
    0xffc72c23,
    0xffbb2119,
    0xffa21013,
    0xff9e524e,
    0xff795b4f,
    0xffb17878,
    0xff7c5058,
    0xff8c322f,
    0xff820000,
    0xff8b0406,
    0xff8a030f,
    0xff90010e,
    0xff91000e,
    0xff890010,
    0xff8c020d,
    0xff80030a,
    0xff730506,
    0xff720303,
    0xff770104,
    0xff7e0007,
    0xff81030e,
    0xff880d17,
    0xff7e0008,
    0xff7c0207,
    0xff820105,
    0xff750406,
    0xff660005,
    0xff680008,
    0xff640002,
    0xff82020a,
    0xff9f0914,
    0xff8c070f,
    0xff6f0108,
    0xff690009,
    0xff70000a,
    0xff7d050e,
    0xff5c0000,
    0xff984532,
    0xffc49e6a,
    0xffaa8554,
    0xffc07a5f,
    0xff962526,
    0xff8f0017,
    0xffa80329,
    0xff9a0120,
    0xff9a2d3d,
    0xff4d4e45,
    0xff626450,
    0xffa59777,
    0xff96744a,
    0xffa98452,
    0xffbfa46e,
    0xffae9d67,
    0xffb4a070,
    0xffb16962,
    0xff9b1b26,
    0xffbe0d23,
    0xffc10119,
    0xffbf0415,
    0xffbe050f,
    0xffcb171b,
    0xffcf201f,
    0xffc9211c,
    0xffcd2620,
    0xffce2c25,
    0xffd3342e,
    0xffd2352e,
    0xffd1362f,
    0xffcb322a,
    0xffce342d,
    0xffcb362d,
    0xffd03726,
    0xffcd3622,
    0xffc22816,
    0xffbb4228,
    0xffad6234,
    0xffc1954e,
    0xffa4b052,
    0xffa4b863,
    0xff9bb05c,
    0xffa0b863,
    0xffa3ba70,
    0xff9baf6e,
    0xff97a66e,
    0xffa4ae7a,
    0xffa1a975,
    0xff818960,
    0xffa1a87b,
    0xffa5ad7a,
    0xffa9b07d,
    0xffa4ac79,
    0xffa1ab75,
    0xff9daa6f,
    0xff99a96a,
    0xff9eab77,
    0xffa0ac6d,
    0xffa4af6c,
    0xffa2ac71,
    0xff98a977,
    0xff9aac83,
    0xff8b9d82,
    0xff68776c,
    0xff4b5c52,
    0xff142d3d,
    0xff495c62,
    0xff676a50,
    0xff615e45,
    0xff595c4f,
    0xff50413b,
    0xff8c5c5f,
    0xff78555a,
    0xff404134,
    0xff5b846d,
    0xff3a716a,
    0xff1e4b57,
    0xff3c5f71,
    0xff315b6d,
    0xff396b7d,
    0xff396076,
    0xff143a5d,
    0xff052d51,
    0xff09344d,
    0xff163f5d,
    0xff133b62,
    0xff204c69,
    0xff123f54,
    0xff1b395d,
    0xff0b3659,
    0xff0d3d5e,
    0xff1b4764,
    0xff123d55,
    0xff275c6b,
    0xff326b7f,
    0xff093e58,
    0xff1f4a66,
    0xff34687a,
    0xff296571,
    0xff416b71,
    0xff858e7e,
    0xff757865,
    0xff4a554b,
    0xff494640,
    0xffac785e,
    0xff996e54,
    0xff857867,
    0xff899391,
    0xff525554,
    0xff84745e,
    0xff998157,
    0xff96824e,
    0xff9a9f68,
    0xff98ab91,
    0xff8ca177,
    0xff5f7a62,
    0xff819385,
    0xff6f7760,
    0xff5c7077,
    0xff162b34,
    0xff5c5b71,
    0xff797566,
    0xff737f6a,
    0xff9da393,
    0xff92846f,
    0xff6d786e,
    0xff55736f,
    0xff89896f,
    0xff7f705b,
    0xff797269,
    0xffad9a94,
    0xff939d91,
    0xff657f7e,
    0xff717578,
    0xff4a595f,
    0xff385876,
    0xff436c78,
    0xff78898b,
    0xff638187,
    0xff5e707e,
    0xff928172,
    0xff7e7868,
    0xff47546d,
    0xff5b5a68,
    0xff999b85,
    0xff7b7661,
    0xffaa8a80,
    0xff806d67,
    0xff79706a,
    0xff8a7d79,
    0xff727872,
    0xff7a777b,
    0xff9e7d7d,
    0xff5a5449,
    0xff4d564b,
    0xff696961,
    0xffa69e8d,
    0xffaeaf93,
    0xff777d6b,
    0xff717176,
    0xff747975,
    0xff4d5047,
    0xffc4c6a8,
    0xff949275,
    0xff837b73,
    0xff848270,
    0xff878d75,
    0xff7d8282,
    0xffa18b88,
    0xff968164,
    0xff887b63,
    0xff7e8066,
    0xff958f67,
    0xffd0bc84,
    0xffb8a166,
    0xffa29771,
    0xffa6ae83,
    0xff91976a,
    0xff9ea785,
    0xffaebaa4,
    0xff6b6d50,
    0xffa6a079,
    0xff939c82,
    0xff345555,
    0xff405b52,
    0xff8c9982,
    0xff9c9f8a,
    0xff505d5d,
    0xff2a495c,
    0xff8cbacb,
    0xffbadfeb,
    0xffdaeefe,
    0xffd0e7fb,
    0xffcbe0f5,
    0xffd4e7fd,
    0xffcadef3,
    0xffd0e6fa,
    0xffd1e6fa,
    0xffd0e1f5,
    0xffd6e0f7,
    0xffcfe1f5,
    0xffcee1f5,
    0xffd1e2f4,
    0xffd1e2f5,
    0xffd3e3f3,
    0xffd5e5f5,
    0xffd9e9f9,
    0xffdaeaf9,
    0xffd6e7fa,
    0xffcfe2f3,
    0xffcee2f2,
    0xffd0e2f6,
    0xffcce1f4,
    0xffcce2f5,
    0xffcbe2f5,
    0xffcbe1f6,
    0xffcfe0f1,
    0xffcfe1f2,
    0xffcee0f4,
    0xffcde2f5,
    0xffcce1f5,
    0xffcde2f6,
    0xffcde3f6,
    0xffcfe1f5,
    0xffcddff3,
    0xffcce1f4,
    0xffcce1f7,
    0xffcae0f5,
    0xffcce2f7,
    0xffcee0f4,
    0xffcddef2,
    0xffcddcef,
    0xffcfe2f2,
    0xffd0e2f4,
    0xffd1e2f6,
    0xffd0e1f4,
    0xffcedff2,
    0xffcedff3,
    0xffcee0f5,
    0xffcfe1f6,
    0xffccddf1,
    0xffcdddf3,
    0xffcdddf2,
    0xffcedef3,
    0xffcedef4,
    0xffcedef6,
    0xffcdddf4,
    0xffd0dff7,
    0xffcfe0f7,
    0xffcfdff5,
    0xffd0def3,
    0xffd4e1f4,
    0xffd4e2f3,
    0xffd5e1ef,
    0xffd9e3f2,
    0xffdae5f1,
    0xffd4e3ec,
    0xffd9e8f0,
    0xffdfecf1,
    0xffe5eef4,
    0xffe9f3f8,
    0xffecf6fb,
    0xffebf5f9,
    0xffe8f1fa,
    0xffe8edfb,
    0xffe4e9f7,
    0xffdee5f6,
    0xffdbe5f4,
    0xffdbe5f3,
    0xffe1ebfa,
    0xffdde8f6,
    0xffdfe6f6,
    0xffdce7f2,
    0xffdeeaf6,
    0xffdfedfa,
    0xffdeecfa,
    0xffd5e3f8,
    0xffccdcf5,
    0xffcbd9f8,
    0xffcadbfb,
    0xffc4dbf5,
    0xffc7dcf7,
    0xffc6dbf6,
    0xffc6daf3,
    0xffc7daf3,
    0xffc8dbf5,
    0xffcadaf3,
    0xffc9d9f0,
    0xffc6dcee,
    0xffc9dff5,
    0xffc4daf6,
    0xffc4daf7,
    0xffc6dbf8,
    0xffc6dbf6,
    0xffc6dbf2,
    0xffc2d9ec,
    0xffc3dbf4,
    0xffc4dbf5,
    0xffc4d8f3,
    0xffc5d6f0,
    0xffc7d8f2,
    0xffcdddf8,
    0xffc9daf4,
    0xffc2d4ed,
    0xffc5d9ee,
    0xffc8dbf2,
    0xffc1d5ec,
    0xffc3d7ef,
    0xffc3d9f2,
    0xffc2d7ef,
    0xffc6dbf4,
    0xffc3d8f2,
    0xffc6d9ea,
    0xffd9ecfc,
    0xffd1e4f6,
    0xffcddef1,
    0xffd0ddee,
    0xffd7e1ef,
    0xffd9e1eb,
    0xffe4ebf4,
    0xfff5f8f9,
    0xfffefeff,
    0xfffcfffe,
    0xfffbfdfa,
    0xfffbfdfa,
    0xfffbfbfc,
    0xfffcfcfc,
    0xfffcfcfe,
    0xfffdfefe,
    0xfffbfdfd,
    0xfffcfcfa,
    0xfffdfbf9,
    0xfffaf8fa,
    0xfff9f9fb,
    0xfff6f8fc,
    0xfff4f5fb,
    0xffeef2f9,
    0xffecf1f8,
    0xffedf2fb,
    0xffeef3fb,
    0xffe9eef6,
    0xffe6ebf4,
    0xffe9edf8,
    0xffeaeff9,
    0xffecf3f9,
    0xffeeeffa,
    0xffeae5f1,
    0xffd0c4c7,
    0xffac9a90,
    0xffae9c89,
    0xffdac7b8,
    0xffdecabe,
    0xffc4ad9b,
    0xffc7b0a1,
    0xffebd9d0,
    0xfffae2db,
    0xffc8a18e,
    0xffd6a281,
    0xffc79a76,
    0xffdabea0,
    0xffd6bea0,
    0xffa88b73,
    0xffcdab90,
    0xffdcb792,
    0xff947151,
    0xffe1c8bb,
    0xff8d7c80,
    0xffd9d0db,
    0xffc1b3c2,
    0xffa099af,
    0xffcdd5e6,
    0xffe3eff9,
    0xffb2bdba,
    0xff869086,
    0xffd4e2d5,
    0xffc5d9ce,
    0xff325139,
    0xff132f21,
    0xff274131,
    0xff153612,
    0xff4e7443,
    0xff2b572c,
    0xff3c6c47,
    0xff3a6a45,
    0xff66966c,
    0xff4e7757,
    0xff15331a,
    0xff334722,
    0xff6d7637,
    0xff777928,
    0xff726915,
    0xff766a1a,
    0xff494610,
    0xff6e723f,
    0xff454b20,
    0xff2f3d1c,
    0xff2c3e24,
    0xff272804,
    0xff575210,
    0xff435410,
    0xff4f4810,
    0xff6f5324,
    0xff956e33,
    0xff724e11,
    0xff5d3f03,
    0xff836f26,
    0xff5f5a18,
    0xff333a13,
    0xff42461d,
    0xff3a3813,
    0xff2d2608,
    0xff2d2911,
    0xff333924,
    0xff101e07,
    0xff1b2b11,
    0xff1c2d10,
    0xff344b37,
    0xff3c5747,
    0xff537265,
    0xff48695a,
    0xff2a4637,
    0xff152b1b,
    0xff091f10,
    0xff0b2216,
    0xff042417,
    0xff2d4b43,
    0xff4a5f5a,
    0xff414f4c,
    0xff6a7770,
    0xff212f25,
    0xff09160f,
    0xff081714,
    0xff000900,
    0xff000a04,
    0xff153228,
    0xff0b2a1b,
    0xff0b2217,
    0xff000f0b,
    0xff0c1f15,
    0xff000200,
    0xff00140a,
    0xff16291b,
    0xff445531,
    0xff405021,
    0xff5e6740,
    0xff3b4111,
    0xff5d5e21,
    0xff44410d,
    0xff353c11,
    0xff282d0f,
    0xff3e4912,
    0xff35430c,
    0xff252c1a,
    0xff060e03,
    0xff24331b,
    0xff2e4039,
    0xfff8f1ff,
    0xff4b5057,
    0xff292600,
    0xff321a00,
    0xff968786,
    0xff828583,
    0xff6c7362,
    0xff9d9fb0,
    0xff676d6a,
    0xfffdfeef,
    0xffd8d6c8,
    0xffe3dedd,
    0xffc0c1bd,
    0xffa3a490,
    0xff8e8564,
    0xff735f3b,
    0xff8b6924,
    0xff9b6f27,
    0xffad7630,
    0xff6d2800,
    0xffa15028,
    0xff6c1100,
    0xff88290e,
    0xff84270e,
    0xff6c1c04,
    0xff722d0b,
    0xff6e3511,
    0xff6f2a0d,
    0xff76270d,
    0xff835434,
    0xff3c3219,
    0xffe3d5d2,
    0xffe8b49d,
    0xff5f0700,
    0xffde6f5c,
    0xff8f2c10,
    0xff7f300d,
    0xff6e2305,
    0xff591300,
    0xff581a09,
    0xff562a1d,
    0xff443805,
    0xff4c5021,
    0xff252926,
    0xff202825,
    0xff747438,
    0xff9e8934,
    0xff613f01,
    0xff977d4e,
    0xff6c5e43,
    0xffa0a7ab,
    0xff99a7c9,
    0xff919bc8,
    0xff7885ad,
    0xff5f7990,
    0xff88a7aa,
    0xff8e9f82,
    0xff212d15,
    0xff001001,
    0xff263e71,
    0xff9bb3f7,
    0xffbacdff,
    0xff516aa6,
    0xff9cbfff,
    0xff638dca,
    0xff93b6fa,
    0xff7997e7,
    0xff7a94e6,
    0xff8fa6f3,
    0xff94a0de,
    0xff9698a2,
    0xff656435,
    0xff716924,
    0xff5b5605,
    0xff6e7123,
    0xff37390f,
    0xff242913,
    0xff0f1a00,
    0xff475227,
    0xff111b00,
    0xff1e2a1c,
    0xff111c13,
    0xff0d1710,
    0xff18241b,
    0xff0a1b11,
    0xff0d1a0f,
    0xff020600,
    0xff1d1e12,
    0xff1c1e10,
    0xff322020,
    0xff210d0b,
    0xff171604,
    0xff131a0f,
    0xff2a2530,
    0xff1c1622,
    0xff434540,
    0xff231e13,
    0xffbdafa2,
    0xff78664d,
    0xff7f6f3f,
    0xff7c601c,
    0xff7f5607,
    0xff936914,
    0xff8b6e13,
    0xff55686c,
    0xff283f49,
    0xff2b495f,
    0xff052849,
    0xff00234d,
    0xff082551,
    0xff203860,
    0xff102345,
    0xff061d49,
    0xff001941,
    0xff092847,
    0xff16354a,
    0xff182f41,
    0xff4b5368,
    0xff605968,
    0xff554a4d,
    0xff3e3248,
    0xff332e41,
    0xff2d3240,
    0xff2f3344,
    0xff3c3c4e,
    0xff463e49,
    0xff6b625b,
    0xffa59c86,
    0xffa29287,
    0xff81706e,
    0xff5d4d54,
    0xff453841,
    0xff443338,
    0xff4e3133,
    0xffbd8c92,
    0xffad6c7b,
    0xff5d0529,
    0xff915165,
    0xffffefef,
    0xfff7e2e7,
    0xffe6c2d8,
    0xffba879c,
    0xffaf5f64,
    0xffa22c24,
    0xffbd101d,
    0xffc92425,
    0xffbd3f29,
    0xffa74832,
    0xff9d574a,
    0xff80695f,
    0xff675f53,
    0xff8e6363,
    0xff723040,
    0xff7a0714,
    0xff8e0007,
    0xff8b0410,
    0xff820010,
    0xff8b000c,
    0xff8a0008,
    0xff80020b,
    0xff870008,
    0xff7c0305,
    0xff6e0602,
    0xff720501,
    0xff7c0003,
    0xff840005,
    0xff88050f,
    0xff880c16,
    0xff870210,
    0xff7c0207,
    0xff820001,
    0xff8d0f13,
    0xff8c1a25,
    0xff6a0009,
    0xff680005,
    0xff82000b,
    0xff9b040e,
    0xff980a11,
    0xff790407,
    0xff630304,
    0xff64030d,
    0xff65000a,
    0xff620808,
    0xff611d10,
    0xff95a06a,
    0xffa5b675,
    0xffb1a269,
    0xffd08e72,
    0xff8c2029,
    0xff900226,
    0xff910026,
    0xff811229,
    0xffa47c8f,
    0xff474b47,
    0xff7a8d6f,
    0xffb1a37b,
    0xff955c36,
    0xffb87c52,
    0xffbfa06b,
    0xffa39a61,
    0xffab745f,
    0xff9a2628,
    0xffb4071c,
    0xffbe0019,
    0xffc1071c,
    0xffbf0616,
    0xffc20916,
    0xffc81119,
    0xffc41516,
    0xffc81a1b,
    0xffcc2121,
    0xffce2926,
    0xffcc2b25,
    0xffd0342d,
    0xffcd332b,
    0xffd33831,
    0xffe24a4c,
    0xffcc4a2f,
    0xffa2471d,
    0xffbc7c49,
    0xffb2975d,
    0xff9b854f,
    0xff99743b,
    0xff948a54,
    0xff829650,
    0xff91aa5e,
    0xff98b362,
    0xff97b264,
    0xff96af68,
    0xff90a465,
    0xff93a569,
    0xff97a76e,
    0xff839169,
    0xff9ca87d,
    0xff969e6d,
    0xff969e6a,
    0xffa0a474,
    0xff9ba172,
    0xff99a170,
    0xff99a370,
    0xff9ca974,
    0xff9ca768,
    0xff959e61,
    0xff8e9466,
    0xff95a174,
    0xff92a26c,
    0xff73814f,
    0xff808765,
    0xff656859,
    0xff3c4c51,
    0xff455258,
    0xff616360,
    0xff4d5960,
    0xff425d5f,
    0xff7e6b64,
    0xff953f3d,
    0xff6c3b2d,
    0xffa5a07e,
    0xff689271,
    0xff165353,
    0xff19506a,
    0xff18495c,
    0xff376c6d,
    0xff346e69,
    0xff2c555e,
    0xff3b6779,
    0xff205160,
    0xff002b3f,
    0xff052f53,
    0xff012b48,
    0xff315f71,
    0xff0b3c50,
    0xff092a4e,
    0xff00294f,
    0xff204273,
    0xff091f5e,
    0xff0a2864,
    0xff184773,
    0xff295774,
    0xff183950,
    0xff133b5b,
    0xff082844,
    0xff335f79,
    0xff1c4454,
    0xff68706c,
    0xff8a796e,
    0xff908071,
    0xff938566,
    0xff8d623c,
    0xff7c5c39,
    0xff6b7358,
    0xff3a5b4b,
    0xff3e4e3a,
    0xff9f9c6d,
    0xffb6ad64,
    0xffc8bc6e,
    0xffa2a86c,
    0xff5a7a50,
    0xff486f52,
    0xff4d7773,
    0xff618074,
    0xff5f6a5b,
    0xff677688,
    0xff606d76,
    0xff716963,
    0xff989586,
    0xff394b42,
    0xff3f4f4a,
    0xff909186,
    0xff6d7d81,
    0xff3a5769,
    0xff575c63,
    0xff6a706c,
    0xff72706b,
    0xffbbac8f,
    0xff6a6d43,
    0xff74887b,
    0xff5d6565,
    0xff949994,
    0xff738594,
    0xff415f70,
    0xff5f5f68,
    0xff4b5c6a,
    0xff566670,
    0xff9b8d78,
    0xff958e75,
    0xff928989,
    0xff867766,
    0xffa4aa88,
    0xff4a6564,
    0xff4e5d6e,
    0xff8c8080,
    0xff9d9387,
    0xff677477,
    0xff416069,
    0xff444d55,
    0xffa5787f,
    0xffa48d74,
    0xff9d9c83,
    0xff343741,
    0xff707582,
    0xff616e58,
    0xff65715b,
    0xff696671,
    0xff8d8275,
    0xff7e7c70,
    0xff99a58f,
    0xff647266,
    0xff72787f,
    0xff989b8f,
    0xff6b6a4a,
    0xff868171,
    0xff636360,
    0xff8d8477,
    0xff9b9783,
    0xffa6b28c,
    0xff929962,
    0xff948457,
    0xffafa37e,
    0xff7e895e,
    0xff7e8c67,
    0xff98a570,
    0xff8e9468,
    0xff756f59,
    0xffa6927e,
    0xffb4986d,
    0xffb39a78,
    0xff74665d,
    0xffa09e85,
    0xffb3a97f,
    0xffafa275,
    0xff9da28b,
    0xff719091,
    0xff467984,
    0xff3e6b82,
    0xff6f92b1,
    0xffb9d7ec,
    0xff97b2c8,
    0xffe2f9ff,
    0xffcee6fd,
    0xffd2ecff,
    0xffcce6fb,
    0xffd4e8fd,
    0xffcfddf4,
    0xffd0e5fa,
    0xffd0e1f6,
    0xffcfe0f2,
    0xffdceafd,
    0xffdbeafb,
    0xffd7e7f6,
    0xffd1e0f0,
    0xffd6e6f6,
    0xffcfe0f2,
    0xffd0e3f3,
    0xffd1e4f5,
    0xffd0e4f4,
    0xffcee1f1,
    0xffcce1f2,
    0xffcce1f1,
    0xffcce1f2,
    0xffd2e2f1,
    0xffcfe0ef,
    0xffcfe0ef,
    0xffd0e2f4,
    0xffd1e2f4,
    0xffcde0f0,
    0xffcee0f4,
    0xffcee0f4,
    0xffd0e1f5,
    0xffd0e1f5,
    0xffcfe1f5,
    0xffcce1f4,
    0xffc9dff1,
    0xffcddef3,
    0xffcce0f0,
    0xffcedff1,
    0xffcde2f7,
    0xffcde3f8,
    0xffcde2f7,
    0xffcce1f6,
    0xffcde2f7,
    0xffcbe0f7,
    0xffcde1f9,
    0xffcce1f9,
    0xffcbddf4,
    0xffcbdef6,
    0xffcddff9,
    0xffcee0f9,
    0xffcddff8,
    0xffcddef9,
    0xffccddf9,
    0xffcedffa,
    0xffcce1fa,
    0xffcee2fa,
    0xffcee0f9,
    0xffccdef3,
    0xffcdddf4,
    0xffcdddf1,
    0xffcddef2,
    0xffcedff2,
    0xffc9def8,
    0xffccdff8,
    0xffcdddf6,
    0xffceddf3,
    0xffd3def4,
    0xffd4e0f5,
    0xffd4e1f6,
    0xffd2ddf2,
    0xffd3e1f6,
    0xffd3dff5,
    0xffceddf2,
    0xffc9daef,
    0xffcbdcf1,
    0xffd1e0f6,
    0xffd5e5fc,
    0xffd6e4fb,
    0xffcbdceb,
    0xffcfe0f0,
    0xffd1e3f2,
    0xffcbdcf0,
    0xffc8d8f1,
    0xffcadbf6,
    0xffcddefe,
    0xffc8d8fa,
    0xffc6dcf8,
    0xffc4ddf8,
    0xffc3dcf7,
    0xffc8ddf9,
    0xffc6dbf8,
    0xffc5daf7,
    0xffc5daf6,
    0xffc7dcf8,
    0xffcbdfff,
    0xffc5d8fc,
    0xffc8dafd,
    0xffc9dcfe,
    0xffc6d8fa,
    0xffc8d8f6,
    0xffccdbf8,
    0xffc7d8f2,
    0xffc5d9ec,
    0xffc7d9ed,
    0xffcbdbee,
    0xffd3e3f3,
    0xffc8d6e6,
    0xffc8d6e6,
    0xffdbe9fa,
    0xffe3f0fd,
    0xffe5ecf2,
    0xfff0fbfe,
    0xfff1fafe,
    0xffecf6fb,
    0xffdde5f2,
    0xffcdd7e6,
    0xffd1dbeb,
    0xffdfebf9,
    0xffd1e4ef,
    0xffcde1ed,
    0xffc3d4e2,
    0xffcad7e7,
    0xffd5e1ef,
    0xffdfe5f2,
    0xfff0f3fb,
    0xfffdffff,
    0xfffcfdff,
    0xffffffff,
    0xffffffff,
    0xfffffffd,
    0xfffaf9fa,
    0xfff9f9f8,
    0xfff9f9fb,
    0xfff9f8fd,
    0xfff7f8fa,
    0xfff5f8f6,
    0xfff8f8f9,
    0xfff7f5f5,
    0xfff5f6f8,
    0xfff5f5fa,
    0xfff1f5fd,
    0xffe5ebf6,
    0xffe3eefa,
    0xffdbe7f3,
    0xffdae5f1,
    0xffd8e4ef,
    0xffdae5f4,
    0xffdee9f7,
    0xffdbe7f4,
    0xffdae6f4,
    0xffdae5ef,
    0xffdbe2f4,
    0xffe1e2f9,
    0xffe5e2f5,
    0xffefe8ee,
    0xfff6ecef,
    0xffecdce7,
    0xffcdbcd0,
    0xffced0e6,
    0xffd4cacf,
    0xffbda192,
    0xffae8a6c,
    0xffbb916c,
    0xffc39167,
    0xffc48c5d,
    0xffb37649,
    0xffaf7e4e,
    0xffc89975,
    0xffba8d74,
    0xffb7947f,
    0xffb19a99,
    0xffc0b2cc,
    0xffdadbf2,
    0xffbec7d1,
    0xff878587,
    0xff7b8489,
    0xffadc0c1,
    0xff6b8572,
    0xff9bb78d,
    0xff819b68,
    0xff67825b,
    0xff2f4c33,
    0xff13391f,
    0xff153720,
    0xff1b391b,
    0xff3a592a,
    0xff3b622d,
    0xff27512a,
    0xff396443,
    0xff305b34,
    0xff557f4f,
    0xff446640,
    0xff0a2203,
    0xff93a071,
    0xff70762a,
    0xff918d35,
    0xff807223,
    0xff655110,
    0xff695b11,
    0xff5e520c,
    0xff8d8448,
    0xff595117,
    0xff4c3e0f,
    0xff938547,
    0xff8c8e44,
    0xff303a16,
    0xff424f39,
    0xffd8ccc4,
    0xff3e280c,
    0xff53421e,
    0xff685d2c,
    0xff71661b,
    0xff443c00,
    0xff3a4114,
    0xff2c3009,
    0xff363516,
    0xff3a351f,
    0xff282818,
    0xff0b1403,
    0xff142713,
    0xff142c15,
    0xff213b25,
    0xff1b3b2d,
    0xff688980,
    0xff000701,
    0xffa3c2ba,
    0xff364d41,
    0xff2b4131,
    0xff051b0c,
    0xff082112,
    0xff001810,
    0xff6b8782,
    0xff9aabab,
    0xff818a88,
    0xff6c756e,
    0xff9aa39a,
    0xff0c1911,
    0xff04120f,
    0xff0f2a1c,
    0xff06231e,
    0xff03241d,
    0xff072812,
    0xff0a2510,
    0xff061c10,
    0xff001400,
    0xff2f4b1e,
    0xff405d1b,
    0xff5d7430,
    0xff3f5200,
    0xff657720,
    0xff37450d,
    0xff323a0e,
    0xff242704,
    0xff3c3a18,
    0xff1f2706,
    0xff1a1f09,
    0xff3a4113,
    0xff595c2b,
    0xff3c2f0a,
    0xff735924,
    0xffab9553,
    0xffb3a47f,
    0xff9b7a5e,
    0xff918c79,
    0xff615d3d,
    0xff745821,
    0xff69531f,
    0xff7e7158,
    0xfffffff4,
    0xff756d5a,
    0xffab876c,
    0xffc5a76b,
    0xffa68d49,
    0xff736237,
    0xff9e9070,
    0xffbfac6d,
    0xffd0aa4b,
    0xffc68f26,
    0xffcb9a24,
    0xffbb7f17,
    0xff9a5a0a,
    0xff915d22,
    0xff845725,
    0xff6b3505,
    0xff73320f,
    0xff6c2815,
    0xff7b4826,
    0xff7f3f10,
    0xffa95f2a,
    0xff9f4525,
    0xff7b1203,
    0xffa95a40,
    0xffa46f4f,
    0xff753e29,
    0xff431100,
    0xffba674c,
    0xffa83722,
    0xffaf381f,
    0xff982e14,
    0xff8a3216,
    0xff793117,
    0xff7d4128,
    0xff512e25,
    0xff685423,
    0xff5e480e,
    0xff635a4b,
    0xff6e8390,
    0xff6a7f70,
    0xffa09c77,
    0xff9d9574,
    0xff28310c,
    0xff545d4a,
    0xff627982,
    0xff7898af,
    0xff8ba7c2,
    0xff718fa6,
    0xff2c4e47,
    0xff314e1b,
    0xff5f7032,
    0xff4f5627,
    0xff1d260b,
    0xff000727,
    0xffafc6ff,
    0xff8d9eec,
    0xff9fb2f0,
    0xff516da2,
    0xff4e7090,
    0xff5b7b88,
    0xff8ca4be,
    0xff7d8bb5,
    0xff9ea6bf,
    0xff9b9e86,
    0xff757234,
    0xff4d3e13,
    0xff665e0e,
    0xff58510e,
    0xff545116,
    0xff46441e,
    0xff201e07,
    0xff44442a,
    0xff5b582f,
    0xff221906,
    0xff1d250f,
    0xff141b0b,
    0xff131b10,
    0xff0b170f,
    0xff05140b,
    0xff0c1a0d,
    0xff131908,
    0xff292917,
    0xff1f240f,
    0xff4c443e,
    0xff1b1009,
    0xff000700,
    0xff15301a,
    0xff294041,
    0xff6b7575,
    0xff33331f,
    0xff4f401c,
    0xff3e290d,
    0xff836f63,
    0xff70614e,
    0xff422d00,
    0xff906c1c,
    0xff997125,
    0xff452800,
    0xff615c64,
    0xff767876,
    0xff3f4a46,
    0xff112630,
    0xff1a3352,
    0xff16315a,
    0xff162f55,
    0xff132b46,
    0xff00152f,
    0xff031f45,
    0xff06234a,
    0xff233b54,
    0xff334555,
    0xff5f6478,
    0xff615b6a,
    0xff51454d,
    0xff3f334c,
    0xff312e40,
    0xff2d303c,
    0xff323848,
    0xff434055,
    0xff473b47,
    0xff8b7a72,
    0xffa09175,
    0xff8f827b,
    0xff685b5f,
    0xff534651,
    0xff43323c,
    0xff351e1f,
    0xff522522,
    0xff4d040b,
    0xff4d0000,
    0xffa8677a,
    0xffffebf7,
    0xffe4cfd9,
    0xffccb2bc,
    0xffd0afb4,
    0xffba8884,
    0xffce7b71,
    0xffa73c30,
    0xffaf2025,
    0xffc44a3d,
    0xffc57955,
    0xffc1a57c,
    0xff727358,
    0xff545a51,
    0xff726360,
    0xff875356,
    0xff7b1d2d,
    0xff7f0310,
    0xff8c000f,
    0xff850112,
    0xff7d0110,
    0xff810106,
    0xff7f0003,
    0xff7c010a,
    0xff810008,
    0xff7a0105,
    0xff760303,
    0xff770204,
    0xff790003,
    0xff7c0007,
    0xff82030f,
    0xff850612,
    0xff860014,
    0xff760107,
    0xff820002,
    0xff87060c,
    0xff7e0513,
    0xff6a000c,
    0xff5f0009,
    0xff76020c,
    0xff8c030d,
    0xffa00410,
    0xffa60a16,
    0xff830008,
    0xff6e000a,
    0xff6d010f,
    0xff6b010a,
    0xff771516,
    0xffb78f79,
    0xff93906d,
    0xff7d7e5d,
    0xff937b69,
    0xff966063,
    0xff7d1c34,
    0xff82072a,
    0xff860d30,
    0xff85244e,
    0xff966775,
    0xff706b59,
    0xffa59e79,
    0xffba956e,
    0xff844a23,
    0xffb88a5f,
    0xffb99e6e,
    0xffbe926d,
    0xffaf4737,
    0xffb31119,
    0xffc00a19,
    0xffbb0718,
    0xffb90615,
    0xffc40c19,
    0xffc20815,
    0xffc61015,
    0xffc71317,
    0xffc9191b,
    0xffcd2121,
    0xffce2927,
    0xffcb2923,
    0xffd1332d,
    0xffd63d36,
    0xffc64938,
    0xffcd6b45,
    0xff8b5733,
    0xff988659,
    0xff8f965d,
    0xff6b6b37,
    0xff9a8855,
    0xff7b8262,
    0xff4e6c48,
    0xff6a8a59,
    0xffa7c88a,
    0xff8cab67,
    0xff99b36e,
    0xff8ba461,
    0xff94a969,
    0xff98ac6e,
    0xff7b9564,
    0xff9ab079,
    0xff9dae70,
    0xffa2ac6f,
    0xffa0a870,
    0xff9fa674,
    0xff9ca475,
    0xff9aa374,
    0xff9da871,
    0xffa1aa73,
    0xffa1aa73,
    0xffa1ab74,
    0xffa0b076,
    0xffa7b578,
    0xffa3a972,
    0xffacac7f,
    0xff98998c,
    0xff35454f,
    0xff3d4f5c,
    0xff2e333e,
    0xff3a434d,
    0xff34453b,
    0xff957c6e,
    0xff8f3b42,
    0xff6a433d,
    0xff9f8c77,
    0xff64694f,
    0xff405951,
    0xff0c3040,
    0xff224e68,
    0xff2e5e6f,
    0xff34636b,
    0xff275461,
    0xff124153,
    0xff265769,
    0xff2e5675,
    0xff183759,
    0xff2d484a,
    0xff5b766f,
    0xff1b344b,
    0xff1b435d,
    0xff153a5a,
    0xff123159,
    0xff072551,
    0xff00284e,
    0xff00263f,
    0xff306672,
    0xff467b83,
    0xff215165,
    0xff1c4151,
    0xff134256,
    0xff002940,
    0xff243942,
    0xff7a7675,
    0xff7f7562,
    0xffb2a575,
    0xffb18f6f,
    0xffa17c51,
    0xffb1ab75,
    0xff8b9565,
    0xff8b805a,
    0xff917e50,
    0xffbbb479,
    0xffa3a66e,
    0xff5e6f62,
    0xff577a6d,
    0xff597b76,
    0xff376665,
    0xff3c6a5d,
    0xff5f8475,
    0xff4a7975,
    0xff557e74,
    0xff5b7867,
    0xff6a7c6e,
    0xff687163,
    0xff777f66,
    0xff67775c,
    0xff53726d,
    0xff446673,
    0xff68828e,
    0xff2e595d,
    0xff3c595e,
    0xff99a87f,
    0xff9d9e68,
    0xff626759,
    0xff4e5559,
    0xff6e7272,
    0xff3e5c64,
    0xff456268,
    0xff8d7977,
    0xff8d8584,
    0xff373c33,
    0xffa09f83,
    0xff4a4c3b,
    0xff7b7071,
    0xff635c54,
    0xff7e7a81,
    0xff38556d,
    0xff346377,
    0xff647177,
    0xff67616b,
    0xff3e4d66,
    0xff2b4055,
    0xff869592,
    0xff7b746f,
    0xff867867,
    0xff93847e,
    0xff736b7d,
    0xff545661,
    0xff8c9183,
    0xff888e7a,
    0xff797b76,
    0xff837768,
    0xff919485,
    0xff60786f,
    0xff183540,
    0xff334a61,
    0xff6c7776,
    0xff91947a,
    0xff87846d,
    0xff5e6d5d,
    0xff8d8970,
    0xff83785e,
    0xff828161,
    0xff988d64,
    0xffa6886c,
    0xff857266,
    0xff57674d,
    0xff848e6e,
    0xff909c6c,
    0xff919264,
    0xff8a795d,
    0xff988169,
    0xff968560,
    0xffa09068,
    0xffc4ad8e,
    0xff9e9264,
    0xffa0956a,
    0xffa39e81,
    0xff636461,
    0xff44535a,
    0xff829da0,
    0xff66888f,
    0xff36596d,
    0xff476e81,
    0xff64869d,
    0xff7292ac,
    0xffadcde4,
    0xffadcde7,
    0xffa8c6de,
    0xffcce6fd,
    0xffdbf0ff,
    0xffd6ebff,
    0xffcbe0f7,
    0xffd7e9ff,
    0xffd1e3f7,
    0xffcfe0f2,
    0xffd4e4f6,
    0xffd2e2f5,
    0xffd2e3f6,
    0xffd5e3f7,
    0xffd2e1f4,
    0xffd0e1f3,
    0xffcfe0f2,
    0xffd0e1f3,
    0xffd1e3f4,
    0xffd1e2f4,
    0xffd0e2f4,
    0xffd0e2f3,
    0xffd2e3f5,
    0xffd2e3f4,
    0xffd1e2f3,
    0xffd1e2f3,
    0xffcee0f4,
    0xffcfe1f4,
    0xffcee0f4,
    0xffcfdff3,
    0xffcddef2,
    0xffcbdef1,
    0xffc9def1,
    0xffcbe0f2,
    0xffcbe1f3,
    0xffcce1f4,
    0xffcbe1f3,
    0xffcde2f8,
    0xffcce2f7,
    0xffcbe2f7,
    0xffcae0f5,
    0xffcce2f9,
    0xffcbe1f8,
    0xffcbe2f9,
    0xffcce2f9,
    0xffcfe1f9,
    0xffcfe1f9,
    0xffcee0f8,
    0xffcee0f8,
    0xffcfe0fa,
    0xffcfdffa,
    0xffcedef9,
    0xffcddef8,
    0xffcddff5,
    0xffcddff5,
    0xffccdef4,
    0xffcee0f9,
    0xffcde0f9,
    0xffcddff7,
    0xffccdff7,
    0xffccdef6,
    0xffcadef9,
    0xffcadef9,
    0xffcdddf6,
    0xffd0ddf4,
    0xffcfd8ef,
    0xffd2dbf1,
    0xffd4ddf3,
    0xffcfd8ee,
    0xffc9d9f1,
    0xffcbdbf4,
    0xffcbdcf4,
    0xffc8dcf5,
    0xffcadef7,
    0xffcaddf6,
    0xffcbdcf6,
    0xffc6d7f2,
    0xffccdff2,
    0xffc8d9ed,
    0xffcddff1,
    0xffcadaeb,
    0xffccdceb,
    0xffd1def0,
    0xffced8eb,
    0xffcddaeb,
    0xffc9d9e9,
    0xffc9d9e9,
    0xffc9d8ea,
    0xffcad9ec,
    0xffc8daed,
    0xffc8d9ed,
    0xffc6d7ec,
    0xffc6d7eb,
    0xffcbd3ec,
    0xffd5ddf5,
    0xffd3dcf0,
    0xffd1dbee,
    0xffdae5f6,
    0xffd5e0f3,
    0xffc8d4e8,
    0xffcbd6ec,
    0xffd9e4ee,
    0xffedf6fc,
    0xfffbffff,
    0xfffeffff,
    0xfff2f7fe,
    0xffe4e9f0,
    0xffeef3fc,
    0xfff2f8ff,
    0xffffffff,
    0xfffffffe,
    0xfffefdfe,
    0xfffffffe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffeffff,
    0xfffdffff,
    0xfffaffff,
    0xfff4fbff,
    0xfff2faff,
    0xfffcffff,
    0xfffeffff,
    0xffffffff,
    0xfffcfcfb,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffdfdff,
    0xfffdfbff,
    0xfffcfbff,
    0xfff8f9fb,
    0xfff7f8fb,
    0xfff9f9f8,
    0xfff8f8fa,
    0xfff2f2f7,
    0xffe9edf7,
    0xffd6deeb,
    0xffd7e4f2,
    0xffd8e6f7,
    0xffd2dff1,
    0xffc4d2e4,
    0xffccdaec,
    0xffdeeafe,
    0xffddeafd,
    0xffd1ddf1,
    0xffcbd8ed,
    0xffc9d8f2,
    0xffc3d4ec,
    0xffc6d6ed,
    0xffc7d6eb,
    0xffcfd9f2,
    0xffdaddf8,
    0xffb5b2d2,
    0xffb9b3d5,
    0xffcfd6f1,
    0xffd4d1e4,
    0xffd5c6d1,
    0xffdccdd3,
    0xfffbf4f7,
    0xffebe3db,
    0xffd7bfa5,
    0xffd0a27b,
    0xffc18d60,
    0xffb0875a,
    0xffad9272,
    0xffbfb3ae,
    0xffcdc9e3,
    0xffc5c8eb,
    0xffb9c2ce,
    0xff8ea08a,
    0xff79874f,
    0xff8aa064,
    0xff5e813e,
    0xff61873c,
    0xff5b7b2e,
    0xff68853d,
    0xff577338,
    0xff1a3d0c,
    0xff0b2a11,
    0xff132d19,
    0xff173318,
    0xff0d3009,
    0xff1c4121,
    0xff547763,
    0xff46614b,
    0xff405530,
    0xff2c3f1a,
    0xff21310f,
    0xff384613,
    0xff5a661d,
    0xff8e983e,
    0xff6e7615,
    0xff737620,
    0xff524f07,
    0xff80742b,
    0xff7a681e,
    0xff726e31,
    0xff4c4603,
    0xffa7884c,
    0xff493704,
    0xff636c32,
    0xff6e6b58,
    0xff3d4857,
    0xffb0b1cb,
    0xff9e9b92,
    0xff070600,
    0xff2b320c,
    0xff465110,
    0xff383e16,
    0xff48493c,
    0xff253112,
    0xff273317,
    0xff323c26,
    0xff1e2c16,
    0xff0a1b09,
    0xff18311b,
    0xff05240d,
    0xff193824,
    0xff1d3f31,
    0xff4c6d65,
    0xffb1cfcb,
    0xff6d8681,
    0xff374c43,
    0xff233a2e,
    0xff123224,
    0xff345949,
    0xff91b2ad,
    0xff253c3a,
    0xff253334,
    0xffeceff1,
    0xfff2f5f0,
    0xfff6faf4,
    0xff000a01,
    0xff10211a,
    0xff0f2722,
    0xff102b25,
    0xff133028,
    0xff0d281b,
    0xff122617,
    0xff495a44,
    0xff102400,
    0xff4d652f,
    0xff355102,
    0xff465a13,
    0xff576421,
    0xff1a2500,
    0xff0b1700,
    0xff465726,
    0xff4a5718,
    0xff555d2d,
    0xff0d1c18,
    0xff18260e,
    0xff353d1e,
    0xff272106,
    0xff836420,
    0xffc0881b,
    0xffb17409,
    0xff9a691b,
    0xffa57e22,
    0xff7c682f,
    0xffa98a67,
    0xff72481a,
    0xff483905,
    0xff333520,
    0xff070000,
    0xff785c2e,
    0xff94601f,
    0xff9e6f1f,
    0xff805706,
    0xffa9853c,
    0xffbd9642,
    0xffbf9527,
    0xff9e6900,
    0xffa16400,
    0xffa06e0d,
    0xff895706,
    0xff6d470a,
    0xff332300,
    0xff1d1000,
    0xff694d26,
    0xff482006,
    0xff431c03,
    0xff390900,
    0xff873317,
    0xff97360f,
    0xff93340f,
    0xff933410,
    0xff9c4825,
    0xff9e5634,
    0xff8c3e1e,
    0xff854120,
    0xffffb999,
    0xff903318,
    0xff9a2f18,
    0xff88210a,
    0xff9f482b,
    0xff6a1a02,
    0xff72210a,
    0xff633206,
    0xff412601,
    0xff413a11,
    0xff62644c,
    0xff545f6f,
    0xff828eac,
    0xff9fa5b2,
    0xff605961,
    0xff221d12,
    0xff2b1d0f,
    0xff2c3434,
    0xff264651,
    0xff7096a2,
    0xff285360,
    0xff264c45,
    0xff4e5e2f,
    0xff41591c,
    0xff4a4e2a,
    0xff262610,
    0xff000309,
    0xff537186,
    0xff8499d0,
    0xffadbfe7,
    0xffd9eaff,
    0xff7c8daf,
    0xff364937,
    0xff31412e,
    0xff636a56,
    0xff5c612c,
    0xff696b1c,
    0xff76741d,
    0xff4c420f,
    0xff695c23,
    0xff34270a,
    0xff39360f,
    0xff50561d,
    0xff595e33,
    0xff1e1d00,
    0xff1c1800,
    0xff322c08,
    0xff1a2100,
    0xff141a00,
    0xff1a2209,
    0xff0e1c0c,
    0xff0b190f,
    0xff0e1d0d,
    0xff171e0a,
    0xff37371f,
    0xff1b1e03,
    0xff2b2b1d,
    0xff29271a,
    0xff252305,
    0xff41432e,
    0xff51534c,
    0xff302a19,
    0xff8c7c4b,
    0xff9e8044,
    0xff684f0d,
    0xff58491c,
    0xff8c8471,
    0xff675532,
    0xff785710,
    0xff624000,
    0xff664b1d,
    0xff5e4759,
    0xff7a6b62,
    0xff999673,
    0xff889372,
    0xff425854,
    0xff042138,
    0xff0c2a4a,
    0xff06233d,
    0xff1f3f4c,
    0xff042340,
    0xff031c44,
    0xff0a1d3c,
    0xff374356,
    0xff8f909e,
    0xff5b545f,
    0xff504350,
    0xff40344c,
    0xff312e3f,
    0xff313541,
    0xff35384b,
    0xff453f55,
    0xff554656,
    0xff907c77,
    0xff9b8871,
    0xff816f66,
    0xff58484b,
    0xff4a3743,
    0xff392930,
    0xff381d1c,
    0xff4a1315,
    0xff5a0715,
    0xffcc6a82,
    0xfffccbd1,
    0xffc9abba,
    0xffb98eaa,
    0xffc98ba6,
    0xffb98583,
    0xffb37961,
    0xffbc6953,
    0xffc56a5c,
    0xffce776d,
    0xffc3765c,
    0xffbd845b,
    0xff947553,
    0xff554c3c,
    0xff463437,
    0xff4c222b,
    0xff5b1c21,
    0xff720e14,
    0xff710306,
    0xff7c040d,
    0xff79000f,
    0xff74000a,
    0xff720100,
    0xff770200,
    0xff7f020d,
    0xff7c0007,
    0xff7e0008,
    0xff7e0007,
    0xff7d0009,
    0xff780106,
    0xff7c050e,
    0xff7c020c,
    0xff80010e,
    0xff870319,
    0xff720309,
    0xff7a0103,
    0xff80040a,
    0xff7a0213,
    0xff6b0216,
    0xff58020e,
    0xff62010a,
    0xff710009,
    0xff9d000f,
    0xffb90218,
    0xff98000b,
    0xff700006,
    0xff660109,
    0xff6c030c,
    0xff640000,
    0xff865a47,
    0xff627362,
    0xff143d40,
    0xff1f3f4c,
    0xff585e67,
    0xff784e5b,
    0xff700e2c,
    0xff7f0534,
    0xff7c002c,
    0xff932b4b,
    0xff975c5d,
    0xff897e5d,
    0xffa19c6b,
    0xffbc9a6e,
    0xff7f4723,
    0xffc98d68,
    0xffc99e6d,
    0xffee8e72,
    0xffbc1f1e,
    0xffad000a,
    0xffab020c,
    0xffb00510,
    0xffb90712,
    0xffbf0814,
    0xffd31a22,
    0xffc9131b,
    0xffc51014,
    0xffc6181a,
    0xffcb2222,
    0xffc82420,
    0xffc92a24,
    0xffcf362b,
    0xffca3d2e,
    0xffd86447,
    0xffb16d5a,
    0xff805d3f,
    0xff766c3a,
    0xff938a56,
    0xff94895c,
    0xff37564c,
    0xff345f55,
    0xff4c755e,
    0xff70946b,
    0xff95b77d,
    0xff9ab778,
    0xff90ac6b,
    0xff96ae6d,
    0xffa0b776,
    0xff779a5d,
    0xffa1bf7e,
    0xff98b066,
    0xffa5b36c,
    0xffa4af6d,
    0xffa2ab71,
    0xff9ba370,
    0xff929d6b,
    0xff949f6b,
    0xff959e6f,
    0xff9da873,
    0xff9fb065,
    0xff96a959,
    0xffa3b171,
    0xff8a8d5f,
    0xff88815a,
    0xff877c6b,
    0xff464f5c,
    0xff3c4f6b,
    0xff292b3a,
    0xff635544,
    0xffb49e75,
    0xff936b4e,
    0xff854651,
    0xff604a3f,
    0xff9a7b64,
    0xffa18052,
    0xffaa9b61,
    0xff6a754f,
    0xff385452,
    0xff204351,
    0xff2b4c56,
    0xff2b5363,
    0xff21505f,
    0xff4e7a88,
    0xff3b5b6c,
    0xff526164,
    0xffa3b078,
    0xffcbd287,
    0xff747458,
    0xff577a68,
    0xff526867,
    0xff2f404e,
    0xff254152,
    0xff0e303e,
    0xff375762,
    0xff507580,
    0xff23535f,
    0xff335c71,
    0xff4d7989,
    0xff225a76,
    0xff0f3e6a,
    0xff0c2653,
    0xff475e7a,
    0xff627172,
    0xff766e54,
    0xff958073,
    0xffa28760,
    0xffa9a364,
    0xff8b935d,
    0xffad9b82,
    0xff978472,
    0xff60664f,
    0xff627862,
    0xff5b7f6d,
    0xff55846d,
    0xff497368,
    0xff296359,
    0xff498a86,
    0xff31666f,
    0xff2b6566,
    0xff406b6c,
    0xff3c6f7b,
    0xff3b5a5b,
    0xff8e9070,
    0xffc6b97e,
    0xffa8a575,
    0xff667465,
    0xff355654,
    0xff4a7c73,
    0xff397178,
    0xff3a6372,
    0xff5c7759,
    0xffc9c090,
    0xff705e59,
    0xff646174,
    0xff767b8d,
    0xff49748b,
    0xff425f71,
    0xff6e6062,
    0xff757666,
    0xff919476,
    0xff9c8e6d,
    0xffaa978b,
    0xff776c6c,
    0xff819588,
    0xff716d63,
    0xff515d5b,
    0xff3b6a6b,
    0xff5d7d80,
    0xff79817d,
    0xff71706c,
    0xff7a7279,
    0xff4c5b63,
    0xff3e5e5b,
    0xff5f6c78,
    0xff57515a,
    0xff7f7463,
    0xff907b54,
    0xffa68e70,
    0xff817d71,
    0xff5f7875,
    0xff547a85,
    0xff40676d,
    0xff254b4b,
    0xff68818b,
    0xff424855,
    0xff808081,
    0xff64665d,
    0xff6b7168,
    0xff3f483e,
    0xffa6a377,
    0xff959761,
    0xff6d7d51,
    0xff8d9663,
    0xffb2a37f,
    0xff645253,
    0xff717882,
    0xff7f8072,
    0xff9e9e80,
    0xff837a50,
    0xffbea881,
    0xffafa07d,
    0xff919773,
    0xff88946d,
    0xff9ba076,
    0xff7e7b51,
    0xff8d9670,
    0xff61735d,
    0xff94a393,
    0xff9ca087,
    0xff818363,
    0xff84917e,
    0xff6f8690,
    0xff558094,
    0xff214860,
    0xff3e627b,
    0xff436983,
    0xff3d627f,
    0xff698da7,
    0xff87a6be,
    0xff859eba,
    0xff6b86a1,
    0xffdcf5ff,
    0xffcee5fc,
    0xffdbeeff,
    0xffd1e4f9,
    0xffcfe3f6,
    0xffcfe2f8,
    0xffd2e5fa,
    0xffd3e3f7,
    0xffd2e1f6,
    0xffd3e2f6,
    0xffd3e1f6,
    0xffd0dff3,
    0xffd1dff5,
    0xffd2e0f4,
    0xffd2e2f4,
    0xffd0e1f7,
    0xffcde0f3,
    0xffcde0f5,
    0xffcfe1f6,
    0xffcee1f6,
    0xffcfe2f5,
    0xffd0e2f9,
    0xffcfe2f8,
    0xffd0e1f5,
    0xffcfe0f4,
    0xffcde0f4,
    0xffcce3f5,
    0xffcae3f4,
    0xffcae3f4,
    0xffcae1f7,
    0xffcce2f7,
    0xffcbe2f3,
    0xffcbe2f5,
    0xffcbe1f6,
    0xffcbe1f6,
    0xffcbe2f6,
    0xffcbe2f9,
    0xffcbe2f9,
    0xffcde3fa,
    0xffcee1f5,
    0xffcfe0f5,
    0xffcfe1f6,
    0xffcee0f6,
    0xffcfe0f6,
    0xffd0e2f9,
    0xffcedff7,
    0xffccdef6,
    0xffcddef0,
    0xffcfe0f3,
    0xffcedef3,
    0xffcddcf2,
    0xffcdddf3,
    0xffcddcf5,
    0xffccddf6,
    0xffccdff5,
    0xffccdeef,
    0xffccdeed,
    0xffd1dfec,
    0xffd8e2ec,
    0xffebf4fd,
    0xfff5fcff,
    0xfff3faff,
    0xffdfe5f1,
    0xffcedef6,
    0xffcddef7,
    0xffcbddf5,
    0xffcaddf6,
    0xffc9ddf6,
    0xffc9ddf5,
    0xffc3d7f2,
    0xffc9daf4,
    0xffcad9f0,
    0xffd0e0f4,
    0xffcbdbeb,
    0xffd7e3ef,
    0xfff4ffff,
    0xfff8ffff,
    0xfff6fdff,
    0xfff0f7f9,
    0xfff2f9fd,
    0xfff4fbff,
    0xfff3faff,
    0xfff2fbff,
    0xffeaf2f9,
    0xffdde7f2,
    0xffdce7f4,
    0xffe7f0f9,
    0xfffffeff,
    0xfffffffe,
    0xfffffffe,
    0xfffefffe,
    0xfff9fffa,
    0xfffaffff,
    0xfff0fbfe,
    0xfff0faff,
    0xfffbffff,
    0xfffeffff,
    0xfffdfefc,
    0xfffcfbf8,
    0xfffffffc,
    0xfffffffd,
    0xfffffffe,
    0xfffefefd,
    0xfffcfdfe,
    0xfffeffff,
    0xfffeffff,
    0xfffdfffe,
    0xfffbfefb,
    0xfffafffb,
    0xfffafffb,
    0xfffcfffc,
    0xfffefaf8,
    0xfffffcfc,
    0xfffffeff,
    0xfffffdfe,
    0xfffdfefe,
    0xfffdfdfb,
    0xfffefff8,
    0xfffefef8,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefeff,
    0xfffcfbff,
    0xfffaf9ff,
    0xfffaf9ff,
    0xfff8f9fb,
    0xfff7f9fa,
    0xfff9f9fb,
    0xfff8f7f8,
    0xfff7f9fe,
    0xffe8eff7,
    0xffd1ddea,
    0xffcfddee,
    0xffdbe8fb,
    0xffdde9fd,
    0xffd6e1f8,
    0xffd9e4fb,
    0xffd7e3fb,
    0xffd0dcf4,
    0xffc8d4ed,
    0xffc8d5ef,
    0xffc0d2fc,
    0xffc0d8f4,
    0xffbedbec,
    0xffbdd9ed,
    0xffbad1f0,
    0xffc2d1f5,
    0xffccd3f2,
    0xffcacde3,
    0xffbfb3d2,
    0xffc1b2cd,
    0xffc6b5c4,
    0xffe1cfcc,
    0xffdccdc1,
    0xffb1a093,
    0xffd2b9aa,
    0xffddb7a2,
    0xffc0976d,
    0xffad884e,
    0xffab8859,
    0xff9c7a78,
    0xffb092af,
    0xffbaa7af,
    0xff9e9979,
    0xff878e4a,
    0xff76892e,
    0xff546f27,
    0xff234114,
    0xff25461e,
    0xff2b4815,
    0xff2f4a10,
    0xff405b27,
    0xff213d17,
    0xff122810,
    0xff132715,
    0xff1b351f,
    0xff2f523a,
    0xff305548,
    0xff112d2b,
    0xff1d2b19,
    0xff363912,
    0xff535122,
    0xff747441,
    0xff484e17,
    0xff5f6730,
    0xff4b5421,
    0xff394412,
    0xff384511,
    0xff384714,
    0xff454d21,
    0xff353a04,
    0xff152d0b,
    0xff233609,
    0xff554522,
    0xff0e0e00,
    0xff405e40,
    0xff1d2304,
    0xff4d584a,
    0xff202f30,
    0xffc4d2c4,
    0xff2c3829,
    0xff435a3c,
    0xff2d5815,
    0xff1f4411,
    0xff051701,
    0xff011b00,
    0xff0f2b0c,
    0xff0d240b,
    0xff001500,
    0xff152f16,
    0xff143018,
    0xff1f3e27,
    0xff1e412c,
    0xff466555,
    0xff2a483b,
    0xff4d6662,
    0xff3e534f,
    0xff091d16,
    0xff3f5950,
    0xff466a5f,
    0xff3c695e,
    0xff00130f,
    0xff8ca5a4,
    0xfff4ffff,
    0xffbcbfc0,
    0xffc3c4bf,
    0xff979d94,
    0xff0f1e15,
    0xff0c1f18,
    0xff081b1e,
    0xff031b13,
    0xff455e55,
    0xff233937,
    0xffbccbc5,
    0xff647256,
    0xff445124,
    0xff546533,
    0xff475c1d,
    0xff516027,
    0xff535c2b,
    0xff2a3111,
    0xff384627,
    0xff3e531b,
    0xff4d5e24,
    0xff242a16,
    0xff3b4a30,
    0xff53621f,
    0xff293106,
    0xff1d1403,
    0xff8c6c19,
    0xffd39522,
    0xff8f4700,
    0xff692d00,
    0xff84531e,
    0xff472a06,
    0xff502908,
    0xff865b2f,
    0xff4c4425,
    0xff829384,
    0xffa4a281,
    0xff4f3200,
    0xff9d6d27,
    0xff7a5007,
    0xffb18624,
    0xffac7812,
    0xffd1912d,
    0xff8f4d00,
    0xffb6822d,
    0xff6b4300,
    0xff7e4310,
    0xff521f00,
    0xff371c00,
    0xff302b13,
    0xff887d71,
    0xff2f0d00,
    0xff4d2200,
    0xff906d26,
    0xffaf7f34,
    0xff9c461f,
    0xff842510,
    0xff742306,
    0xff792405,
    0xff872f14,
    0xff772709,
    0xff792b05,
    0xff7b2709,
    0xffa7623f,
    0xff82401e,
    0xff6c2106,
    0xff6e2107,
    0xff621800,
    0xff842e18,
    0xff872010,
    0xff6e1e0b,
    0xff7b5960,
    0xff8a9aa0,
    0xffa3adb6,
    0xffd2b9d0,
    0xff6d515a,
    0xff8e766a,
    0xff552624,
    0xff601c20,
    0xff501a0b,
    0xff2c241a,
    0xff4c6467,
    0xff274638,
    0xff244c2e,
    0xff2e5437,
    0xff344b2c,
    0xff163517,
    0xff262c28,
    0xff1c1b1d,
    0xff00090b,
    0xff0b2d2c,
    0xffd5eeff,
    0xffbcc9e5,
    0xff8c96a8,
    0xffb0b8cf,
    0xff3d4b29,
    0xff3a4121,
    0xff65673d,
    0xff323400,
    0xff4d4a21,
    0xff1f1b00,
    0xff5d5c38,
    0xff3a2e14,
    0xff1e1412,
    0xff1e2300,
    0xff5c6d12,
    0xff43550f,
    0xff47532e,
    0xff414912,
    0xff808932,
    0xff545b15,
    0xff4f561e,
    0xff1d2502,
    0xff1e2c15,
    0xff0d1d0d,
    0xff122111,
    0xff18200c,
    0xff292c13,
    0xff28310f,
    0xff162511,
    0xff2d3721,
    0xff453b1a,
    0xff473317,
    0xff261506,
    0xff5f4f2b,
    0xff5d4603,
    0xff906820,
    0xff775d00,
    0xff756b0d,
    0xff5a5629,
    0xffa4967c,
    0xff71551a,
    0xff735809,
    0xff695613,
    0xff534d63,
    0xff6d5f5c,
    0xff85745f,
    0xff5b5c48,
    0xff283b40,
    0xff1c3d56,
    0xff19354f,
    0xff344757,
    0xff44575f,
    0xff1c3547,
    0xff0b2643,
    0xff1c2e4e,
    0xff414761,
    0xff9993a4,
    0xff554855,
    0xff4b3f4a,
    0xff3f3947,
    0xff303142,
    0xff292f44,
    0xff36364c,
    0xff4a3f4f,
    0xff614e53,
    0xff98827d,
    0xff8d7b6f,
    0xff66505f,
    0xff543846,
    0xff3c2b2d,
    0xff2f2720,
    0xff461b1d,
    0xff52000f,
    0xffaf546e,
    0xffffcadd,
    0xffffdcef,
    0xfffabdd3,
    0xffba6d82,
    0xffd38787,
    0xffab5c3b,
    0xffa74915,
    0xffa83b19,
    0xff80110c,
    0xff6b0c0d,
    0xff560902,
    0xff4d0b00,
    0xff430200,
    0xff410c0b,
    0xff3a0e0e,
    0xff370001,
    0xff550007,
    0xff6d030b,
    0xff6d0308,
    0xff6f0009,
    0xff74010c,
    0xff740009,
    0xff770409,
    0xff760305,
    0xff780204,
    0xff7c0001,
    0xff7b0005,
    0xff7a010a,
    0xff7a0107,
    0xff7d0104,
    0xff830408,
    0xff80020c,
    0xff85071a,
    0xff7d0314,
    0xff800013,
    0xff770011,
    0xff75010e,
    0xff7d000e,
    0xff75020f,
    0xff65040d,
    0xff63000d,
    0xff6a000b,
    0xff970310,
    0xffb20412,
    0xffa60411,
    0xff790007,
    0xff6a040c,
    0xff690008,
    0xff680004,
    0xff7d4e45,
    0xff4c6453,
    0xff29515a,
    0xff1b345b,
    0xff113855,
    0xff31434a,
    0xff815c66,
    0xff6a2037,
    0xff810f2e,
    0xff80042d,
    0xff62000f,
    0xff917454,
    0xffa3ab6a,
    0xffb39768,
    0xffc17f65,
    0xff902917,
    0xffb53825,
    0xffc22f22,
    0xffc61e22,
    0xffaf0515,
    0xff990004,
    0xff900000,
    0xff8f0000,
    0xff9c0110,
    0xffb10910,
    0xffbf0f19,
    0xffcd141e,
    0xffc40811,
    0xffd01a1f,
    0xffcb1d1e,
    0xffcc2523,
    0xffd2302c,
    0xffd3393a,
    0xffbe3d2d,
    0xffcb8362,
    0xff9e7a5a,
    0xff7b6c55,
    0xff8f8251,
    0xffa1925e,
    0xff2a4954,
    0xff0d343e,
    0xff486e6e,
    0xff417461,
    0xff153524,
    0xff51715a,
    0xff7ead7c,
    0xffa3ba79,
    0xffa6ba71,
    0xff719049,
    0xff7b9545,
    0xff9bb16d,
    0xff9eaf77,
    0xff9eb06b,
    0xff9cb166,
    0xff9baa72,
    0xff9fa978,
    0xff9ea76f,
    0xff9ea572,
    0xff9ea672,
    0xff98a264,
    0xff9ca662,
    0xffa2aa70,
    0xff878a67,
    0xff656252,
    0xff726460,
    0xff41454d,
    0xff2d3d5e,
    0xff685f6e,
    0xffac8a60,
    0xff968657,
    0xff78766e,
    0xff493639,
    0xff807872,
    0xff7f5a4c,
    0xffaf885b,
    0xffcaa663,
    0xff8f7a36,
    0xffaeb67d,
    0xff607056,
    0xff7f9d99,
    0xff2d4650,
    0xff315945,
    0xff3d6360,
    0xff294451,
    0xff102c3a,
    0xff637f67,
    0xffa3a95b,
    0xffcab26d,
    0xff83863a,
    0xffaaa569,
    0xff9a9679,
    0xff616a6c,
    0xff687f84,
    0xff47635c,
    0xff577773,
    0xff28515a,
    0xff1f4554,
    0xff244e6c,
    0xff124460,
    0xff154568,
    0xff0a2f60,
    0xff16334e,
    0xff39534d,
    0xff4e6158,
    0xff505c60,
    0xff6c6051,
    0xff9b9975,
    0xff648359,
    0xff5b7053,
    0xff806f5e,
    0xff81786a,
    0xff577061,
    0xff4d7a64,
    0xff558072,
    0xff457267,
    0xff4b7f6f,
    0xff3e7271,
    0xff2b5c76,
    0xff174667,
    0xff27576e,
    0xff1a4866,
    0xff1f4854,
    0xff658073,
    0xff85885a,
    0xff9b8d4a,
    0xffb09e70,
    0xff7c7c68,
    0xff758d73,
    0xff417064,
    0xff175061,
    0xff3a5564,
    0xff9c8574,
    0xff8b6247,
    0xff826a68,
    0xff616065,
    0xff4f5f54,
    0xff7a8172,
    0xff515b56,
    0xff60807b,
    0xff607e6b,
    0xff78785a,
    0xff877f5e,
    0xff626a55,
    0xff657270,
    0xff7f887e,
    0xff9f897e,
    0xff717770,
    0xff485d6b,
    0xff81715b,
    0xffb39372,
    0xff8a886f,
    0xff394248,
    0xff5d686f,
    0xff4f575b,
    0xff837b70,
    0xffa9887e,
    0xffa6906d,
    0xff6a7356,
    0xff466073,
    0xff426176,
    0xff6d8287,
    0xff555f6b,
    0xff495664,
    0xff8d9b99,
    0xff83826e,
    0xff7f796b,
    0xff8d8e80,
    0xffbdb997,
    0xffb6a48b,
    0xffa79c68,
    0xffb7ab7a,
    0xff988963,
    0xff948f5e,
    0xff848d66,
    0xff7e827c,
    0xff6f696a,
    0xff505653,
    0xff767364,
    0xff978f74,
    0xff575f42,
    0xff8a9c7b,
    0xff839772,
    0xff627254,
    0xff818f7b,
    0xff929d72,
    0xff7b8d6e,
    0xff313e3f,
    0xff667d6f,
    0xff758e70,
    0xff889d86,
    0xff597465,
    0xff3e5965,
    0xff36555a,
    0xffa1abaf,
    0xff677e81,
    0xff68919d,
    0xff2f4c60,
    0xff3c5968,
    0xff3a5f70,
    0xff43647f,
    0xff4f768f,
    0xff466783,
    0xffb0d0e1,
    0xff617f9a,
    0xffd7f8ff,
    0xffc6e7f3,
    0xffd7f1ff,
    0xffd0e5f3,
    0xffd1e2ee,
    0xffd6e8fe,
    0xffd2e5f7,
    0xffd1e5ea,
    0xffd1e4ec,
    0xffd6e5ff,
    0xffd5deff,
    0xffd3dcf5,
    0xffdadef8,
    0xffd4e0f8,
    0xffcfe1fa,
    0xffcfe3fc,
    0xffd4e5fe,
    0xffd3e3fb,
    0xffd2e2f6,
    0xffd0e1f3,
    0xffd0e2f6,
    0xffd0e3f7,
    0xffd1e2f6,
    0xffcfe1f5,
    0xffcde0f4,
    0xffcde1f4,
    0xffcfe2f5,
    0xffcce0f3,
    0xffcce1f2,
    0xffcbe0f0,
    0xffcce1f2,
    0xffcce0f3,
    0xffcde1f4,
    0xffcce1f6,
    0xffcde1f6,
    0xffcde1f6,
    0xffcce2f7,
    0xffcce2f4,
    0xffcce2f3,
    0xffcce2f7,
    0xffcde1fa,
    0xffcce0f8,
    0xffcbe1f4,
    0xffcbe0ef,
    0xffcedded,
    0xffcfdded,
    0xffdae7f9,
    0xffd9e5f7,
    0xffe0ecfe,
    0xffd3dff1,
    0xffd2def0,
    0xffd2dbee,
    0xffd7dff1,
    0xffe1e9f9,
    0xffe8ecfb,
    0xffe9ecf6,
    0xffeff2fb,
    0xfff5f9fe,
    0xfffcffff,
    0xfff6f9ff,
    0xffe3eefd,
    0xffd2e1ee,
    0xffcedeef,
    0xffcbdcef,
    0xffcddbec,
    0xffd3e0ee,
    0xffe6eff9,
    0xffe9eef6,
    0xffe6e8ed,
    0xfff8f9ff,
    0xfffafcff,
    0xffffffff,
    0xfffdffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffe,
    0xfffffffe,
    0xfffffffe,
    0xfffefdfd,
    0xfffffffe,
    0xfffffffe,
    0xfffffffe,
    0xfffffffe,
    0xffffffff,
    0xffffffff,
    0xfffffffe,
    0xfffffffe,
    0xfffffffd,
    0xfffefffc,
    0xfffefffd,
    0xfffefefb,
    0xffffffff,
    0xfffffffc,
    0xfffefffd,
    0xfffcfffc,
    0xfffefffc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffcfefc,
    0xfffdfffe,
    0xfffefefe,
    0xfffefefd,
    0xfffffffb,
    0xfffefffb,
    0xfffdfeff,
    0xfffbfeff,
    0xfffdfeff,
    0xfffefffe,
    0xfffbfbfe,
    0xfffafbfe,
    0xfffcfbff,
    0xfffdffff,
    0xfffeffff,
    0xfffbfefc,
    0xfffefff9,
    0xfffdfdf9,
    0xfffffffd,
    0xfffffefc,
    0xfffbfefc,
    0xfff9fafd,
    0xfff8f9fc,
    0xfff7f9fc,
    0xfff8f8f6,
    0xfffafaf9,
    0xfffefbfb,
    0xfffffff9,
    0xfffafef5,
    0xfff6fbf6,
    0xffebf2f6,
    0xffe3ecf6,
    0xffe3edef,
    0xfff1f4fa,
    0xffefeefb,
    0xffefedfe,
    0xffe1e7f9,
    0xffdfebfb,
    0xffd9e8fc,
    0xffc8d8f2,
    0xffbfd7f1,
    0xffc0d9f8,
    0xffbed9f8,
    0xffbed8f7,
    0xffc4d7ef,
    0xffd5e0f5,
    0xffd3d4e9,
    0xffcecade,
    0xffa899a4,
    0xffccb6d2,
    0xffccafaf,
    0xffb69166,
    0xffd9a87c,
    0xffc9927b,
    0xffbc9179,
    0xffb79477,
    0xffba936b,
    0xffb79e7c,
    0xffbca489,
    0xffae8fa5,
    0xffb29ebb,
    0xffa2a180,
    0xff64722b,
    0xff3d6612,
    0xff568425,
    0xff43661f,
    0xff2d521d,
    0xff285c22,
    0xff1d4f15,
    0xff113503,
    0xff254222,
    0xff1f422b,
    0xff0d3113,
    0xff001f07,
    0xff001d06,
    0xff001c03,
    0xff021203,
    0xff323729,
    0xff7d7a52,
    0xff86803b,
    0xff806e3a,
    0xff525728,
    0xff1c3b13,
    0xff163413,
    0xff212913,
    0xff2c2b16,
    0xff1d230e,
    0xff0c2609,
    0xff112809,
    0xff162b06,
    0xff11230f,
    0xff132327,
    0xff53616c,
    0xff071713,
    0xff8e9d8a,
    0xff030b00,
    0xffe1f2e5,
    0xff5f7264,
    0xff000000,
    0xff627e66,
    0xff2b5221,
    0xff24511a,
    0xff235112,
    0xff345730,
    0xff0d2e0a,
    0xff426539,
    0xff173913,
    0xff1b3c21,
    0xff26462f,
    0xff1a3c1d,
    0xff143617,
    0xff12311e,
    0xff061c0f,
    0xff0a2013,
    0xff051e10,
    0xff092414,
    0xff0f2c21,
    0xff03211b,
    0xff001715,
    0xff41595c,
    0xffaabbb9,
    0xff70817d,
    0xff677a73,
    0xff3c5247,
    0xffc0d5c9,
    0xff385145,
    0xff092416,
    0xff001e10,
    0xff25403c,
    0xff74928b,
    0xff30524b,
    0xff57767a,
    0xfff2ffff,
    0xffcadcdf,
    0xff84907a,
    0xff5e673c,
    0xff343b1c,
    0xff1d250a,
    0xff293529,
    0xff243321,
    0xff475b2e,
    0xff425526,
    0xff152a11,
    0xff384c3e,
    0xff5b7450,
    0xff536033,
    0xff4f5538,
    0xff2e2300,
    0xffd8ad44,
    0xffab760a,
    0xff8d5e1d,
    0xff6d3c08,
    0xff875c3b,
    0xff5a4b25,
    0xff4c451c,
    0xff644727,
    0xff3b2116,
    0xff373324,
    0xff5d5321,
    0xffae882b,
    0xffbe7f20,
    0xffcd8a26,
    0xffa56300,
    0xffcd8c1c,
    0xff8c4a00,
    0xff7e3900,
    0xff945100,
    0xffc38614,
    0xffb9821d,
    0xffbb8026,
    0xffa66b1d,
    0xffa67432,
    0xff6f4709,
    0xff95701e,
    0xffbf9227,
    0xffd5a02b,
    0xffab6b12,
    0xff984f0b,
    0xff742e00,
    0xff6b2a07,
    0xff71250b,
    0xff842815,
    0xff72220b,
    0xff612709,
    0xff762c0e,
    0xff8c381f,
    0xff6b1702,
    0xff71220f,
    0xff721f12,
    0xff77160f,
    0xff771b0b,
    0xff692a0d,
    0xff4f2008,
    0xff724d3c,
    0xffa48a7c,
    0xff604539,
    0xffb69285,
    0xff542215,
    0xff4b0900,
    0xff6a1a13,
    0xff70160f,
    0xff682a19,
    0xff492f1b,
    0xff202113,
    0xff1a2a1e,
    0xff294436,
    0xff395d4a,
    0xff305943,
    0xff314e49,
    0xff1b4032,
    0xff354921,
    0xff1e2c05,
    0xff4b6f45,
    0xff3e5837,
    0xff697069,
    0xff193524,
    0xff606b70,
    0xff303615,
    0xff3b3c0a,
    0xff34320b,
    0xff323618,
    0xff49562f,
    0xff3d4d21,
    0xff434d29,
    0xff555a3a,
    0xff131407,
    0xff67714c,
    0xff4a5820,
    0xff2e361a,
    0xff232519,
    0xff5f652e,
    0xff8d9635,
    0xff3a3c00,
    0xff5b552b,
    0xff3c360b,
    0xff302f19,
    0xff192914,
    0xff132709,
    0xff161f10,
    0xff282913,
    0xff23260d,
    0xff1f240e,
    0xff272b14,
    0xff313312,
    0xff444415,
    0xff4c460f,
    0xff2d2100,
    0xff4d3b07,
    0xff493300,
    0xff5f4905,
    0xff665609,
    0xff5e590a,
    0xff636127,
    0xff918c64,
    0xff514218,
    0xff5c4810,
    0xff4a455a,
    0xff6b6166,
    0xff635e54,
    0xff464d46,
    0xff1b3340,
    0xff1a3b55,
    0xff183650,
    0xff3c5465,
    0xff495d67,
    0xff203b4b,
    0xff1b3553,
    0xff102541,
    0xff333951,
    0xff5e5766,
    0xff453a44,
    0xff42373f,
    0xff3c3644,
    0xff343346,
    0xff30344a,
    0xff3a3a50,
    0xff463d4b,
    0xff67535a,
    0xff93807e,
    0xff7b6963,
    0xff55474e,
    0xff452d33,
    0xff3c2927,
    0xff422422,
    0xff4e0610,
    0xff994354,
    0xfff6aeba,
    0xffaf6576,
    0xff84283f,
    0xff540007,
    0xffa3494d,
    0xffa6423b,
    0xffaa4020,
    0xffa93d0b,
    0xffaf3f1b,
    0xff8e180e,
    0xff801811,
    0xff711d11,
    0xff681d13,
    0xff58100a,
    0xff561917,
    0xff44120e,
    0xff480608,
    0xff5c0209,
    0xff67030d,
    0xff660009,
    0xff69010d,
    0xff6f030c,
    0xff710209,
    0xff750208,
    0xff7c0608,
    0xff790102,
    0xff7e0203,
    0xff7b0105,
    0xff79010b,
    0xff780004,
    0xff7c0103,
    0xff7e0003,
    0xff7c0006,
    0xff870918,
    0xff820712,
    0xff80000e,
    0xff790110,
    0xff75010c,
    0xff7f000b,
    0xff79020a,
    0xff6a010b,
    0xff69000d,
    0xff72010b,
    0xff880c12,
    0xff93070d,
    0xff9a0611,
    0xff8f0512,
    0xff730209,
    0xff620001,
    0xff5b0000,
    0xff7c5555,
    0xff394345,
    0xff254251,
    0xff1c3753,
    0xff0a304f,
    0xff001f34,
    0xff3a3f50,
    0xff765a67,
    0xff633e48,
    0xff732d44,
    0xff923c4b,
    0xff934f43,
    0xffbca882,
    0xff8c9d70,
    0xffab8d6d,
    0xffbf5442,
    0xffab1514,
    0xffac0808,
    0xffbe0d0b,
    0xffbb0e0c,
    0xff990000,
    0xff8e0004,
    0xff8a0002,
    0xff8e0000,
    0xff910000,
    0xff9b0002,
    0xffb20a11,
    0xffb7070e,
    0xffb9080e,
    0xffc01216,
    0xffc91a1d,
    0xffcf1e23,
    0xffd52d2b,
    0xffc33b2e,
    0xffa25939,
    0xff7f6441,
    0xff697057,
    0xff7e7d51,
    0xffa89761,
    0xff1c332d,
    0xff4f534e,
    0xff5d5c5c,
    0xff517062,
    0xff3f6463,
    0xff29525a,
    0xff537e5a,
    0xff92a25a,
    0xffa5b06c,
    0xffa7b675,
    0xffa8bb6e,
    0xff8fa465,
    0xff879e6d,
    0xff8aa665,
    0xff97ae67,
    0xff9fa66d,
    0xff9e9b6b,
    0xff959a64,
    0xff9ea16f,
    0xff999c6b,
    0xff9ea66d,
    0xffa0a86a,
    0xff9aa268,
    0xff9fa47d,
    0xff8c8d78,
    0xff737774,
    0xff25383c,
    0xff052541,
    0xff2e3a47,
    0xff888662,
    0xff5d7153,
    0xff345452,
    0xff5f6d61,
    0xff53614b,
    0xff6f4836,
    0xff977048,
    0xffa48947,
    0xffbdae6a,
    0xff6d7d53,
    0xff597a6e,
    0xff335d4f,
    0xff545847,
    0xff96996f,
    0xff797e5b,
    0xff434d33,
    0xff182527,
    0xff172930,
    0xff546038,
    0xff92874f,
    0xffb4a55a,
    0xffb4a948,
    0xffa39841,
    0xffa6a06c,
    0xff595b38,
    0xff70855c,
    0xff537d63,
    0xff487f82,
    0xff346c74,
    0xff09425c,
    0xff1d5475,
    0xff17476c,
    0xff0e315a,
    0xff244155,
    0xff0d2833,
    0xff1f3558,
    0xff1d394e,
    0xff3e455a,
    0xff3f4757,
    0xff4c6a6b,
    0xff546759,
    0xff877566,
    0xff725d4e,
    0xff6e7763,
    0xff658573,
    0xff5c7e77,
    0xff244e46,
    0xff4a7d71,
    0xff24615f,
    0xff0e495e,
    0xff12465b,
    0xff0a3b41,
    0xff1a4e52,
    0xff194650,
    0xff355563,
    0xff849481,
    0xffadb271,
    0xff888849,
    0xffa7ad8e,
    0xff74846c,
    0xff447164,
    0xff12465e,
    0xff0a364e,
    0xff728161,
    0xffada360,
    0xffd1bc84,
    0xff8f8357,
    0xffa3a36d,
    0xffb1a27a,
    0xff97816e,
    0xff544e4a,
    0xff3a3b35,
    0xff91826a,
    0xffa89d79,
    0xff87907e,
    0xff5e727a,
    0xff506a5f,
    0xffb2a07f,
    0xff94865c,
    0xff5d665b,
    0xffa2a38d,
    0xff928378,
    0xff94867c,
    0xffa68e94,
    0xff6a5d68,
    0xff9d8f87,
    0xff867e58,
    0xff75765a,
    0xff79806b,
    0xff858e85,
    0xff2d4157,
    0xff1e424f,
    0xff465b56,
    0xff8e8f89,
    0xff585b56,
    0xff7b877c,
    0xff787f73,
    0xff565d5f,
    0xff6e716f,
    0xff928367,
    0xff635c4f,
    0xff818568,
    0xff7f8068,
    0xff99927c,
    0xff908f67,
    0xff797e5d,
    0xff7b7569,
    0xff8a706a,
    0xff8c8f80,
    0xff737a59,
    0xff9d9c7c,
    0xffa5a397,
    0xff3f4d52,
    0xff4a6c71,
    0xff35575f,
    0xff43576a,
    0xff6a7d80,
    0xff6a7063,
    0xff898279,
    0xff9ba28e,
    0xff667e66,
    0xff688373,
    0xff85a58c,
    0xff628175,
    0xff758d82,
    0xff7f786e,
    0xff585651,
    0xff7a8d95,
    0xff78858d,
    0xff939e8e,
    0xff799373,
    0xff87a28b,
    0xff748c80,
    0xff668987,
    0xff457672,
    0xff3c7082,
    0xff52819e,
    0xff547b91,
    0xff6f8ca7,
    0xffcfeafa,
    0xffdcf0ff,
    0xffdaebff,
    0xffd5e4ff,
    0xffd4e3f3,
    0xffd7e5f2,
    0xffd4e2fc,
    0xffd2e2fb,
    0xffd1e4f2,
    0xffcfe1f2,
    0xffd2e7f7,
    0xffcfe5f7,
    0xffcee2f5,
    0xffd1e0f6,
    0xffd3ddf4,
    0xffd3def4,
    0xffd3ddf4,
    0xffcfe0f5,
    0xffcfe0f4,
    0xffd1e2f6,
    0xffcfe0f4,
    0xffd1e2f6,
    0xffd1e2f7,
    0xffd4e5f9,
    0xffd4e5f9,
    0xffd0e2f4,
    0xffd6e7f8,
    0xffd4e5f6,
    0xffd6e7fb,
    0xffd4e4f9,
    0xffcedef5,
    0xffcbdcf3,
    0xffcddef4,
    0xffcfe1f7,
    0xffcfe0f4,
    0xffcfe1f2,
    0xffcfe1f7,
    0xffcfe0f8,
    0xffcedff9,
    0xffcee0f4,
    0xffcfe1f0,
    0xffd2e0f1,
    0xffe0edfd,
    0xffe2f0ff,
    0xffe6f2ff,
    0xffe4edfb,
    0xffdbe4f1,
    0xffdbe4ef,
    0xffe3ebf5,
    0xfff3faff,
    0xfff4f9fd,
    0xfff5f8f9,
    0xfff7f8f8,
    0xfff5f7f4,
    0xfffdfffc,
    0xfff9fefa,
    0xfff8fefb,
    0xffecf2fb,
    0xffdfe7f3,
    0xffe2ebf8,
    0xffdde9f5,
    0xfff0faff,
    0xfffaffff,
    0xfffdffff,
    0xffffffff,
    0xffffffff,
    0xfffefeff,
    0xffffffff,
    0xfffcfdff,
    0xfffefdff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffefefc,
    0xfffefefc,
    0xfffefdfb,
    0xfffefdfb,
    0xfffffffc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffd,
    0xfffffffd,
    0xfffefefc,
    0xfffffffc,
    0xfffffffd,
    0xfffefefc,
    0xfffcfffb,
    0xfffeffff,
    0xfffefdfd,
    0xfffdfdfd,
    0xfffffdfd,
    0xffffffff,
    0xfffdffff,
    0xffffffff,
    0xffffffff,
    0xfffdfcfc,
    0xfff7faf8,
    0xfff8f9fb,
    0xfff9faff,
    0xfffafafa,
    0xfffcfcfe,
    0xfff9f9fb,
    0xfff7f5fc,
    0xfff3f3f4,
    0xfff4f5f7,
    0xfff8faf9,
    0xfffdfffd,
    0xffffffff,
    0xfffcfcfd,
    0xfffafbfb,
    0xfffbfbfb,
    0xfff7faf8,
    0xfff9fbfa,
    0xfffafcfa,
    0xfffcfdfd,
    0xfffbfdfd,
    0xfffefefe,
    0xfffefdff,
    0xfffcfcfd,
    0xfffefffe,
    0xfff7fafb,
    0xfff4f9ff,
    0xffedf3ff,
    0xffe8f0fd,
    0xffe5edf1,
    0xfff6f9ff,
    0xffebecfd,
    0xfff1f6ff,
    0xffe4eff0,
    0xffe3ebef,
    0xffd9def6,
    0xffc9daf3,
    0xffc4d6f4,
    0xffc7dbfd,
    0xffbfd4f1,
    0xffc3d6e9,
    0xffdae5ef,
    0xffeaecf4,
    0xffd4d1d7,
    0xffd0cdbb,
    0xffe4d4db,
    0xffdcbeb4,
    0xffd4ab78,
    0xffcda066,
    0xffcea06b,
    0xffc49e5f,
    0xffc7a561,
    0xffb49684,
    0xffa9997b,
    0xffb9a886,
    0xffa0928e,
    0xff8f9c88,
    0xff769353,
    0xff355815,
    0xff53823d,
    0xff598232,
    0xff335a21,
    0xff3c6237,
    0xff3f6037,
    0xff254423,
    0xff143620,
    0xff214320,
    0xff0e3300,
    0xff243f21,
    0xff3f5938,
    0xffa9c199,
    0xff4c5c30,
    0xff4e5926,
    0xff818652,
    0xff464118,
    0xff352c0f,
    0xff304118,
    0xff243c15,
    0xff1f3c1b,
    0xff0b2709,
    0xff122d13,
    0xff0e2911,
    0xff0b270e,
    0xff06250e,
    0xff63746e,
    0xff7c8979,
    0xff5c695a,
    0xff121c1d,
    0xff94a1a6,
    0xff5f6f66,
    0xff677466,
    0xff1c261e,
    0xff11231c,
    0xff01100b,
    0xff0a1a1c,
    0xff001304,
    0xff0e2c0e,
    0xff294d26,
    0xff31572a,
    0xff2c4e2a,
    0xff214424,
    0xff2a5023,
    0xff153811,
    0xff0d2d14,
    0xff21412a,
    0xff102d10,
    0xff193819,
    0xff092612,
    0xff0c2416,
    0xff10281a,
    0xff041d10,
    0xff031d11,
    0xff031d15,
    0xff3a554f,
    0xff0f2c26,
    0xff8da7a3,
    0xff91a6a2,
    0xff455951,
    0xff72887e,
    0xff5a7165,
    0xff375243,
    0xff355142,
    0xff193526,
    0xff031f12,
    0xff001611,
    0xff001d15,
    0xff0a2922,
    0xff1b3935,
    0xff526e6b,
    0xff6b7e70,
    0xff61724c,
    0xff4b5724,
    0xff1c2f10,
    0xff334933,
    0xff71878a,
    0xffa8bcc4,
    0xffcadfce,
    0xff2a3b2a,
    0xff5d6c6d,
    0xff66797c,
    0xff405d49,
    0xff243614,
    0xff000500,
    0xff584f22,
    0xff966b0e,
    0xff9d6c15,
    0xff583609,
    0xff4a2a0f,
    0xff2b2411,
    0xff74826d,
    0xff000f00,
    0xff1a1a0c,
    0xff100700,
    0xff52481e,
    0xff876b25,
    0xffbb8123,
    0xffd79724,
    0xffab6800,
    0xffbe7c17,
    0xff975600,
    0xff985a0b,
    0xffb1751e,
    0xffc5891c,
    0xffd19811,
    0xffcd8e0c,
    0xffa86400,
    0xffce892b,
    0xff9e6200,
    0xffd39f29,
    0xffcd9b1d,
    0xffb07902,
    0xffca8c22,
    0xff905f00,
    0xffaa6c13,
    0xffb1732f,
    0xff562a00,
    0xff421f00,
    0xff57260e,
    0xff6a2b12,
    0xff6e300f,
    0xff4d2504,
    0xff561e01,
    0xff7b2a15,
    0xff681f09,
    0xff642b14,
    0xff7a291a,
    0xff771908,
    0xff642104,
    0xff76271a,
    0xff7c2c23,
    0xff752520,
    0xff641812,
    0xff5d160b,
    0xff5a160a,
    0xff5b180c,
    0xff561207,
    0xff54190f,
    0xff4c160a,
    0xff482315,
    0xff3c3523,
    0xff11230f,
    0xff132e17,
    0xff3a5439,
    0xff314b29,
    0xff24331c,
    0xff26361a,
    0xff404614,
    0xff35350b,
    0xff3e491f,
    0xff7a8659,
    0xff535a3b,
    0xff2c3f14,
    0xff213e10,
    0xff122100,
    0xff2e3113,
    0xff1d1c05,
    0xff1d2400,
    0xff485522,
    0xff2a370a,
    0xff4a5333,
    0xff1f2701,
    0xff21240d,
    0xff141a00,
    0xff262f09,
    0xff0f1400,
    0xff40442e,
    0xff444a27,
    0xff171b00,
    0xff0f1507,
    0xff0c0b04,
    0xff282410,
    0xff2b2d18,
    0xff1c290b,
    0xff0f2002,
    0xff222815,
    0xff232110,
    0xff0f1b08,
    0xff314029,
    0xff162206,
    0xff2e3612,
    0xff575828,
    0xff483b05,
    0xff594305,
    0xff705212,
    0xff886b0e,
    0xff816527,
    0xff4d3706,
    0xff685e11,
    0xff5b5711,
    0xff998e72,
    0xffa49483,
    0xff221200,
    0xff493f57,
    0xff575564,
    0xff5a6068,
    0xff3a4a54,
    0xff163144,
    0xff0c2c45,
    0xff0d2e47,
    0xff214158,
    0xff19333f,
    0xff1a364a,
    0xff193552,
    0xff0f2442,
    0xff3e455b,
    0xff56505c,
    0xff4b3f47,
    0xff493f46,
    0xff39313f,
    0xff2d2c3e,
    0xff35384f,
    0xff424257,
    0xff463d4e,
    0xff705e68,
    0xff89797b,
    0xff635655,
    0xff44403d,
    0xff432c2f,
    0xff3e2022,
    0xff4f131d,
    0xff913043,
    0xffbc787d,
    0xff9c726d,
    0xff6d2026,
    0xff500000,
    0xff691b0d,
    0xff94452a,
    0xffb54e35,
    0xffb74222,
    0xffac3f10,
    0xff9f370c,
    0xff861700,
    0xff751306,
    0xff74190a,
    0xff680f01,
    0xff690d03,
    0xff6a110a,
    0xff5b0a07,
    0xff5b040a,
    0xff63010d,
    0xff65030f,
    0xff63010c,
    0xff66020d,
    0xff6b040c,
    0xff70030a,
    0xff740206,
    0xff760000,
    0xff7c0000,
    0xff7b0200,
    0xff790003,
    0xff780004,
    0xff780103,
    0xff7b0002,
    0xff7d0103,
    0xff800006,
    0xff900d1b,
    0xff94161f,
    0xff820009,
    0xff7b000d,
    0xff77000a,
    0xff81000a,
    0xff7b020a,
    0xff6e0309,
    0xff6e0009,
    0xff6d0108,
    0xff6f0308,
    0xff6c0001,
    0xff790007,
    0xff8d0311,
    0xff88010f,
    0xff88261f,
    0xff945e46,
    0xff4b4045,
    0xff2a4056,
    0xff022a4b,
    0xff102948,
    0xff141a3b,
    0xff0a183c,
    0xff112847,
    0xff323f57,
    0xff394450,
    0xff534351,
    0xff5f3e42,
    0xff9e4c51,
    0xffa65452,
    0xffbca586,
    0xffc29c6d,
    0xffd67745,
    0xffd73534,
    0xffb9080f,
    0xffc3080a,
    0xffde2c20,
    0xffa60700,
    0xff8b0003,
    0xff8b0109,
    0xff890300,
    0xff810300,
    0xff870100,
    0xff900000,
    0xffa00307,
    0xffaa080c,
    0xffb30a12,
    0xffc6151f,
    0xffc60f19,
    0xffd31d1e,
    0xffd83f37,
    0xffce6752,
    0xff946f48,
    0xff536e4b,
    0xff59673e,
    0xffc9ae7c,
    0xff49422c,
    0xff846646,
    0xffb49d84,
    0xff464a38,
    0xff485553,
    0xff516a6f,
    0xff365a48,
    0xff95a77b,
    0xff9aa76c,
    0xff9ea767,
    0xffa1ad63,
    0xff9fac73,
    0xff7a8a65,
    0xff879a65,
    0xff98a669,
    0xffa2a96f,
    0xffa7a26a,
    0xffa5a670,
    0xff9e9e6d,
    0xff9da070,
    0xff999c69,
    0xff979b62,
    0xff979f63,
    0xff8d9564,
    0xff949b73,
    0xff656554,
    0xff3f4b42,
    0xff162931,
    0xff172320,
    0xff8a957d,
    0xff42615a,
    0xff2d5255,
    0xff7e8e71,
    0xff6c6846,
    0xff91603f,
    0xffa88a5e,
    0xffa79e63,
    0xffa19f5e,
    0xff5d7753,
    0xff587b77,
    0xff3b5649,
    0xffb2b58e,
    0xffab9251,
    0xffa59246,
    0xffaaa556,
    0xffb0a66e,
    0xff747044,
    0xff939d55,
    0xffb5af5a,
    0xffc0a755,
    0xffb7a348,
    0xffa3933a,
    0xffa99748,
    0xffbab366,
    0xffa6b168,
    0xff5c7950,
    0xff173e3c,
    0xff002c34,
    0xff2d5d72,
    0xff1a506a,
    0xff1b4d67,
    0xff002a3c,
    0xff7a998e,
    0xffa2b89f,
    0xff8a998f,
    0xff5f7466,
    0xff3b4a3e,
    0xff43554b,
    0xff435c4b,
    0xff8b9c90,
    0xff645f57,
    0xff77715b,
    0xff899167,
    0xff718667,
    0xff597461,
    0xff507667,
    0xff4c7e6f,
    0xff1d5349,
    0xff3c7276,
    0xff3f7277,
    0xff346663,
    0xff54918d,
    0xff417779,
    0xff2f5b66,
    0xff325557,
    0xff64846f,
    0xff526d56,
    0xff5b7458,
    0xff84a16e,
    0xff719678,
    0xff1b4158,
    0xff0b3656,
    0xff5d7e6a,
    0xff9da266,
    0xff998c5a,
    0xff979375,
    0xff637354,
    0xff788b6b,
    0xff8b8671,
    0xff96948b,
    0xff707774,
    0xff8a8679,
    0xffa2a17d,
    0xff677852,
    0xff63806d,
    0xff568066,
    0xff868b5e,
    0xffb2a67f,
    0xff626a70,
    0xff3e5c64,
    0xff536575,
    0xff707171,
    0xff746b65,
    0xff857572,
    0xff7f5f56,
    0xff9d916c,
    0xff647d5f,
    0xff46645b,
    0xff798079,
    0xff7e858e,
    0xff34586d,
    0xff325777,
    0xff465368,
    0xff7a7d86,
    0xff525853,
    0xff787d77,
    0xff53646a,
    0xff39535d,
    0xff77867f,
    0xff777d78,
    0xff8d937a,
    0xff8e896f,
    0xff897366,
    0xff705c59,
    0xff817c81,
    0xff686565,
    0xff807460,
    0xff715b54,
    0xff766c4e,
    0xff717049,
    0xff97a18c,
    0xff617d77,
    0xff38615a,
    0xff4f7068,
    0xff5e6b6b,
    0xff8b9aa0,
    0xff96947d,
    0xff908a78,
    0xff757e77,
    0xff486068,
    0xff2a404e,
    0xff5f7175,
    0xff526878,
    0xff505c63,
    0xff7f7c6f,
    0xff8f9c88,
    0xff4b6561,
    0xff5a5d5b,
    0xff8e7c6a,
    0xff80846c,
    0xff6f8e7f,
    0xff778070,
    0xff667f78,
    0xff5a887f,
    0xff2e5e6b,
    0xff365e7e,
    0xff557897,
    0xff44668c,
    0xff517c8e,
    0xff86a9b9,
    0xffadc9e6,
    0xffe0f5ff,
    0xffd5e4fc,
    0xffdfebff,
    0xffd3dffb,
    0xffd5e5fc,
    0xffd2e5f2,
    0xffcfe7f4,
    0xffd1e6f4,
    0xffd1e4f2,
    0xffd3e4f4,
    0xffd3e2f4,
    0xffd3e3f5,
    0xffd5e2f8,
    0xffd4e4fa,
    0xffd3e3f5,
    0xffd2e1f4,
    0xffd3e2f4,
    0xffd2e1f4,
    0xffd0dff2,
    0xffd6e4f7,
    0xffdbeafd,
    0xffd9e8fb,
    0xffd5e3f4,
    0xffd8e5f8,
    0xffd6e3f6,
    0xffddeaff,
    0xffdde9fe,
    0xffd7e3fb,
    0xffd4dff8,
    0xffd6e2fa,
    0xffd0dff8,
    0xffd1e0f5,
    0xffd1e0f5,
    0xffd1e0f7,
    0xffcfddf7,
    0xffd0def9,
    0xffd1e0f6,
    0xffd0dff3,
    0xffd7e8f7,
    0xffdeebfc,
    0xffd8e6f3,
    0xffdce8f4,
    0xffe3ecf5,
    0xffedf6fd,
    0xfff7fdff,
    0xfffaffff,
    0xfffafcfc,
    0xfffefffe,
    0xfffefefd,
    0xfffcfcf9,
    0xfffdfdfb,
    0xfff8fbf8,
    0xfff7fbfb,
    0xffeef4f4,
    0xfff5f7fc,
    0xfff8f9ff,
    0xfff5f8fe,
    0xfff7faff,
    0xfff9fcff,
    0xfffbfcfe,
    0xfffdfdfd,
    0xfffffdfe,
    0xfffdfdff,
    0xfffdfdff,
    0xfffafdfc,
    0xfffffefe,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefc,
    0xfffefefc,
    0xfffffffd,
    0xfffffffd,
    0xfffffffd,
    0xfffdfdfb,
    0xfffefefc,
    0xfffefefc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffffffd,
    0xfffffffc,
    0xffffffff,
    0xfffcfffd,
    0xfffdfefe,
    0xfffdfcff,
    0xfffcfdff,
    0xfffffcff,
    0xfffafafd,
    0xfffefeff,
    0xfffdfeff,
    0xfffcfdff,
    0xfffdfeff,
    0xfffbfafc,
    0xfffbfbfb,
    0xfffcfcfd,
    0xfffdfafe,
    0xfffbf9fc,
    0xfff9f9fc,
    0xffffffff,
    0xfff9f9fb,
    0xfff3f6f4,
    0xfff4f7f4,
    0xfffbfdfa,
    0xfffcfaff,
    0xfff9f8fe,
    0xfff6f4fb,
    0xfff3f5f8,
    0xfff7f8fb,
    0xfffafcfc,
    0xffffffff,
    0xfffdfffc,
    0xfff9fff9,
    0xfffcfdfd,
    0xfffdfeff,
    0xfffbfafe,
    0xfff8f8fa,
    0xfff1f1f6,
    0xfff1f1f9,
    0xffeaecf9,
    0xffe8f0ff,
    0xfff2fbf5,
    0xfff0f7f2,
    0xfff4f8ff,
    0xffd4dae7,
    0xfff1f8f4,
    0xfff9f9f8,
    0xfff4edff,
    0xffe7f0ff,
    0xffb4c1d8,
    0xffb1c1dc,
    0xffc6d5ee,
    0xffe4f2fc,
    0xfff3fbfc,
    0xfff8fbf8,
    0xfffffff9,
    0xfffffff6,
    0xfff2dad3,
    0xffd1ab88,
    0xffc7a05d,
    0xffc9a473,
    0xffc3a588,
    0xfff0d5b2,
    0xffb3976f,
    0xffc2c2c8,
    0xff849662,
    0xff7e903a,
    0xff6c823a,
    0xff528636,
    0xff417d29,
    0xff4d7944,
    0xff396729,
    0xff628043,
    0xff365a30,
    0xff002000,
    0xff192c04,
    0xff1c320a,
    0xff214224,
    0xff1c4419,
    0xff466924,
    0xff54722d,
    0xff668044,
    0xff55653a,
    0xff6d7957,
    0xff656f3f,
    0xff596423,
    0xff677040,
    0xff363929,
    0xff1f3518,
    0xff1c2e15,
    0xff1b2713,
    0xff13270f,
    0xff112d0d,
    0xff0a280d,
    0xff071c13,
    0xff404b51,
    0xffd7e4f2,
    0xffd8e2e0,
    0xffa7b0a4,
    0xffa7afa7,
    0xff4a554d,
    0xff000900,
    0xffd1e1d6,
    0xff000a06,
    0xff03180c,
    0xff01140f,
    0xff07180e,
    0xff25342d,
    0xff061b0c,
    0xff001100,
    0xff2f4e2f,
    0xff13360d,
    0xff163c18,
    0xff264a20,
    0xff11360f,
    0xff16351c,
    0xff23432d,
    0xff133116,
    0xff183419,
    0xff15301e,
    0xff062213,
    0xff193429,
    0xff182e27,
    0xff122723,
    0xff4a5f5b,
    0xff375049,
    0xff809d91,
    0xff0a2b1c,
    0xff172f24,
    0xff142b21,
    0xff0b2418,
    0xff153021,
    0xff072211,
    0xff0d2816,
    0xff1f3b2d,
    0xff051f10,
    0xff01150f,
    0xff01140f,
    0xff001912,
    0xff0c291c,
    0xff132e16,
    0xff3d562f,
    0xff495d2b,
    0xff4a5d23,
    0xff22411f,
    0xff224330,
    0xffb4d2e0,
    0xff6e87a3,
    0xff465c67,
    0xff445561,
    0xff6a7991,
    0xff78869f,
    0xff718293,
    0xff8c9b97,
    0xff8b9d91,
    0xff77744f,
    0xffa28333,
    0xff9f7d32,
    0xff261900,
    0xff191d00,
    0xff475942,
    0xff132411,
    0xff353e32,
    0xff0f0e00,
    0xff4c4312,
    0xff796116,
    0xff8b5f07,
    0xffb3731d,
    0xffbb780f,
    0xffdb9c2d,
    0xffb47709,
    0xffb17a0d,
    0xffb17d0c,
    0xffc69218,
    0xffc08a11,
    0xffae7202,
    0xffa96200,
    0xffba7414,
    0xffa05e00,
    0xffde9e31,
    0xffce8e0f,
    0xffc08104,
    0xffaa6c06,
    0xff965c11,
    0xffb18027,
    0xffa76f18,
    0xff804904,
    0xff724713,
    0xff361300,
    0xff431e12,
    0xff461d10,
    0xff432209,
    0xff342809,
    0xff4a1904,
    0xff6c230f,
    0xff501700,
    0xff543110,
    0xff441700,
    0xff74361f,
    0xff6e3117,
    0xff551201,
    0xff661a0b,
    0xff6d190d,
    0xff670f03,
    0xff621506,
    0xff551505,
    0xff56240f,
    0xff673d28,
    0xff4c3728,
    0xff322917,
    0xff4d533c,
    0xff55644c,
    0xff21321e,
    0xff263c28,
    0xff2e452e,
    0xff283e23,
    0xff253820,
    0xff33402e,
    0xff3c4929,
    0xff1e2610,
    0xff202710,
    0xff1c2e09,
    0xff36502a,
    0xff2d4813,
    0xff436722,
    0xff465c32,
    0xff283019,
    0xff2c2f0a,
    0xff2b2e00,
    0xff373f0d,
    0xff2c330f,
    0xff3b4126,
    0xff252a15,
    0xff282c1e,
    0xff181f08,
    0xff131900,
    0xff232c12,
    0xff27320f,
    0xff303d1e,
    0xff131d17,
    0xff031508,
    0xff081400,
    0xff222511,
    0xff2a2f0d,
    0xff222b09,
    0xff1a2206,
    0xff181a02,
    0xff373023,
    0xff1b231d,
    0xff142110,
    0xff142308,
    0xff1d2707,
    0xff212302,
    0xff41340f,
    0xff482f00,
    0xff866421,
    0xff9d7617,
    0xffa88a3d,
    0xff5a4610,
    0xff504211,
    0xff4a3f07,
    0xff3d2e00,
    0xffab9e75,
    0xff9c9277,
    0xff4e4357,
    0xff545367,
    0xff555f75,
    0xff33475e,
    0xff142e46,
    0xff062239,
    0xff0b2b45,
    0xff133750,
    0xff0c293f,
    0xff0f2d4a,
    0xff09294a,
    0xff051a39,
    0xff575b71,
    0xff68626f,
    0xff564b55,
    0xff4a3f4a,
    0xff3e3746,
    0xff333246,
    0xff2d2f45,
    0xff39394f,
    0xff453b4d,
    0xff695965,
    0xff72666c,
    0xff534b4d,
    0xff3a3736,
    0xff3d2028,
    0xff55242f,
    0xff65192a,
    0xffbe6876,
    0xff98706a,
    0xff867a67,
    0xffa17769,
    0xff633b24,
    0xffb9885e,
    0xffb26838,
    0xffb04823,
    0xffbc4b25,
    0xffac4311,
    0xffb14d16,
    0xff9e3609,
    0xff771609,
    0xff761107,
    0xff7f1006,
    0xff8e1a0e,
    0xff7d0c01,
    0xff710903,
    0xff660307,
    0xff61030b,
    0xff69030a,
    0xff6a040a,
    0xff6b0409,
    0xff6c0208,
    0xff6d0205,
    0xff720003,
    0xff780405,
    0xff7b0305,
    0xff7b0402,
    0xff7e0607,
    0xff7c0406,
    0xff770001,
    0xff7b0303,
    0xff7c0000,
    0xff820005,
    0xffa01922,
    0xffa21c26,
    0xff88000d,
    0xff800210,
    0xff77000b,
    0xff81000c,
    0xff7b030c,
    0xff6d0309,
    0xff6e020a,
    0xff5f0508,
    0xff690005,
    0xff6c010c,
    0xff5f0107,
    0xff74000b,
    0xff870007,
    0xffad4c41,
    0xffa48a63,
    0xff776357,
    0xff353e4a,
    0xff131a37,
    0xff522a46,
    0xff9d4b5d,
    0xff7a303d,
    0xff3b1a2f,
    0xff38405a,
    0xff30415a,
    0xff292f47,
    0xff393d49,
    0xff8e5766,
    0xff810b1a,
    0xff780500,
    0xffc5602a,
    0xfff98b40,
    0xffc22108,
    0xffbb0807,
    0xffb50001,
    0xffca1616,
    0xffcb2c23,
    0xff900000,
    0xff8a0407,
    0xff860004,
    0xff7f0601,
    0xff820200,
    0xff880102,
    0xff8a0000,
    0xff8e0000,
    0xff980002,
    0xffa30008,
    0xffb80a16,
    0xffcd1920,
    0xffc21f1f,
    0xffc63e32,
    0xffc98d61,
    0xff7c9464,
    0xff58623f,
    0xffb98f68,
    0xff7b5439,
    0xff815d2f,
    0xffb4a56e,
    0xff867a5a,
    0xff8b6e55,
    0xff9a8f6b,
    0xff294436,
    0xff3d5e59,
    0xff94ae79,
    0xff9db266,
    0xffa0b05d,
    0xffa2a970,
    0xff979575,
    0xffa7a880,
    0xffa6ad77,
    0xffa4ad74,
    0xffa5ae6f,
    0xffa4a66a,
    0xffa3a26a,
    0xffa5a573,
    0xffa0a26e,
    0xffa2a86b,
    0xffa5ad70,
    0xff9da769,
    0xffa1ad71,
    0xffb5b581,
    0xffb0b388,
    0xffb9bea0,
    0xff94987a,
    0xff6e7b62,
    0xff385258,
    0xff3f5557,
    0xff81865a,
    0xff8b7349,
    0xffc29d6b,
    0xff86734c,
    0xff7f643f,
    0xffa49155,
    0xff697e52,
    0xff465e5b,
    0xff2b3f36,
    0xff405a3e,
    0xffb39d60,
    0xffc9b261,
    0xffbab05d,
    0xffbea348,
    0xffd0ba54,
    0xffbfba50,
    0xffb5a046,
    0xffb39b36,
    0xffc1ae52,
    0xffcdbc5f,
    0xffb6ad42,
    0xffa6a43a,
    0xff9ba14a,
    0xff949b58,
    0xffaaad75,
    0xff7c8578,
    0xff193139,
    0xff1c465a,
    0xff174b63,
    0xff0e3a4d,
    0xff536d68,
    0xffa7b185,
    0xffa9a85f,
    0xffb8c47c,
    0xffbdcd8e,
    0xff9dae6e,
    0xff93a766,
    0xff869365,
    0xff3c432a,
    0xff7e8262,
    0xff797f48,
    0xff65714b,
    0xff66806d,
    0xff50746c,
    0xff3a6053,
    0xff5e7869,
    0xff647a70,
    0xff314f56,
    0xff1f4d60,
    0xff376976,
    0xff0b3735,
    0xff34584e,
    0xff51755b,
    0xff668d6b,
    0xff537965,
    0xff24433b,
    0xff6d8b6e,
    0xff577162,
    0xff152e4c,
    0xff17345e,
    0xff273840,
    0xff706552,
    0xff8e8b75,
    0xff6a8978,
    0xff346854,
    0xff385849,
    0xff606a50,
    0xff506948,
    0xff3a6d58,
    0xff2c594e,
    0xff77967f,
    0xff95b18b,
    0xff728664,
    0xff618374,
    0xff334a31,
    0xff7b8265,
    0xff62706c,
    0xff305649,
    0xff506c6a,
    0xff566763,
    0xff425e5d,
    0xff6d6f61,
    0xff866556,
    0xffab8f73,
    0xff7b8879,
    0xff546e77,
    0xff566361,
    0xff717f7d,
    0xff496a80,
    0xff476066,
    0xff727f7c,
    0xff889490,
    0xff798075,
    0xff8a836e,
    0xff656459,
    0xff536469,
    0xff536567,
    0xff4f5a55,
    0xff727a6e,
    0xff767165,
    0xff8f7b7a,
    0xff8a7a86,
    0xff6b677e,
    0xff7b7882,
    0xff897c6b,
    0xffbb9f7f,
    0xffa88e66,
    0xff8f8863,
    0xff57634e,
    0xff6c7c73,
    0xff6e776b,
    0xff97a08d,
    0xff4f5f4c,
    0xff656e5c,
    0xff757655,
    0xff546a5c,
    0xff628589,
    0xff284b4e,
    0xff94a59a,
    0xff838770,
    0xff566462,
    0xff77808a,
    0xff8c8b86,
    0xff5e6e68,
    0xff436371,
    0xff474c5f,
    0xff9c7f7b,
    0xff947f6e,
    0xff6f766a,
    0xff959887,
    0xff7d827c,
    0xffa1ad9a,
    0xff677a6d,
    0xff657b75,
    0xff5b7776,
    0xff456971,
    0xff517f76,
    0xff49736f,
    0xff395e65,
    0xff7493a4,
    0xffb5d3e7,
    0xffbfd7ee,
    0xffd3e5ff,
    0xffd9e9ff,
    0xffdae7fe,
    0xffd5e5f9,
    0xffd6e6fa,
    0xffd8e3f6,
    0xffd6e4f5,
    0xffd4e4f3,
    0xffd0e6f3,
    0xffcce8f6,
    0xffcce8f7,
    0xffd4e3f7,
    0xffd2e1f4,
    0xffd3e2f5,
    0xffd2e1f4,
    0xffd2e1f4,
    0xffd1e1f4,
    0xffd6e6f9,
    0xffd8e7fa,
    0xffdae6f7,
    0xffd6e2f3,
    0xffd4e1f4,
    0xffd3e0f2,
    0xffd3def5,
    0xffd1ddf3,
    0xffd2def6,
    0xffd2def6,
    0xffcfdef7,
    0xffcee0f5,
    0xffcedff0,
    0xffcedff4,
    0xffd0dff9,
    0xffd0dff9,
    0xffd0e0f6,
    0xffcedff2,
    0xffd1dff2,
    0xffcedfef,
    0xffd4e1f1,
    0xffd9e2ee,
    0xffeef7ff,
    0xffedf2f9,
    0xfff4f8fb,
    0xfff1f5f6,
    0xfff8f7fc,
    0xfffdfbff,
    0xfffffdff,
    0xfffdfcff,
    0xfffaf8ff,
    0xfff0f3fb,
    0xffedf0fd,
    0xfff0f5ff,
    0xffedeff3,
    0xfff0f0f4,
    0xfff5f6f9,
    0xfffcfdff,
    0xfffcfdff,
    0xfffffefe,
    0xfffefdfb,
    0xfffffdfb,
    0xfffefffe,
    0xfffdfffe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xfffffffc,
    0xfffffffc,
    0xfffdfdfb,
    0xfffdfcfa,
    0xfffefefc,
    0xfffffffd,
    0xfffdfdfb,
    0xfffdfdfb,
    0xfffcfcfa,
    0xfffcfcfa,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffdfb,
    0xfffefefc,
    0xfffefdfd,
    0xfffcfcff,
    0xfffbfbff,
    0xfffbfcff,
    0xfffefdff,
    0xfffdfdff,
    0xfffbfbfa,
    0xfff8f8f6,
    0xfff9fcf9,
    0xffffffff,
    0xffffffff,
    0xfffafcfa,
    0xfffefefc,
    0xfffefdf8,
    0xfffffbfd,
    0xfffdf9fd,
    0xfffbf9fc,
    0xfffefeff,
    0xfffeffff,
    0xfffeffff,
    0xfffdfffd,
    0xfffcfef9,
    0xfff9f8fe,
    0xfff8f6fd,
    0xfff0f1f6,
    0xffedeef3,
    0xffeeeff4,
    0xffefeef5,
    0xfff6faff,
    0xfffbfeff,
    0xfff5fcf2,
    0xfff3f7f5,
    0xfff6fafc,
    0xfff5f6fa,
    0xfff1f2f4,
    0xfff1f1f5,
    0xfff0f1f4,
    0xfff1f3f7,
    0xfff1f3f9,
    0xfff8fdf4,
    0xfff6fdef,
    0xffc4d0cb,
    0xff84908e,
    0xfff2fdfb,
    0xfff3f6f9,
    0xffffffff,
    0xffced9d9,
    0xff99a4aa,
    0xffc3cfde,
    0xffcbd8ea,
    0xffe1edf9,
    0xfff6fcff,
    0xffdde0e0,
    0xffe2e0dd,
    0xffdad2cb,
    0xffe1c3ac,
    0xffcca05b,
    0xffba933e,
    0xffdabf96,
    0xfffef7ef,
    0xffdcccb4,
    0xffa18e62,
    0xffa5b68c,
    0xffa3c77b,
    0xff46650b,
    0xff405b24,
    0xff274e22,
    0xff214416,
    0xff253411,
    0xff263901,
    0xff0d1a00,
    0xff122604,
    0xff3c582a,
    0xff58742e,
    0xff587b29,
    0xff618742,
    0xff345729,
    0xff324d24,
    0xff345818,
    0xff345221,
    0xff516552,
    0xff24332a,
    0xff122408,
    0xff536b39,
    0xff506f3a,
    0xff22411d,
    0xff182f23,
    0xff49615a,
    0xff2d453a,
    0xff37583b,
    0xff123307,
    0xff355529,
    0xff273e2a,
    0xff4b5c60,
    0xff97a9af,
    0xff596462,
    0xff071005,
    0xff687164,
    0xff273427,
    0xff0c1e12,
    0xff091e13,
    0xff0d241a,
    0xff112c1b,
    0xff071e13,
    0xff4b634c,
    0xff03140b,
    0xff414f4b,
    0xff0c210c,
    0xff001d02,
    0xff1d4513,
    0xff0f350f,
    0xff264e20,
    0xff173c14,
    0xff0e2e15,
    0xff203d26,
    0xff142f15,
    0xff0e2c0f,
    0xff173020,
    0xff001d11,
    0xff1a342e,
    0xff5c7071,
    0xff89989d,
    0xff526466,
    0xff4e6562,
    0xff123122,
    0xff1f412c,
    0xff2a4739,
    0xff112c1e,
    0xff1a3628,
    0xff042110,
    0xff0c2616,
    0xff142f1e,
    0xff0f2a18,
    0xff1a3325,
    0xff05170e,
    0xff081b18,
    0xff051c1a,
    0xff001909,
    0xff254122,
    0xff536d41,
    0xff5a6f3f,
    0xff455729,
    0xff1a391d,
    0xff23442f,
    0xff91afb8,
    0xffc6e1f7,
    0xff7e989f,
    0xffa3b5c1,
    0xffc6d6ef,
    0xffd1e3fb,
    0xffc2c9d9,
    0xff9fb1a7,
    0xff78947d,
    0xff9daa81,
    0xff746d29,
    0xff493b00,
    0xff474b1f,
    0xff273c0f,
    0xff41441a,
    0xff523e15,
    0xff66401c,
    0xff613a0f,
    0xff825911,
    0xff9a6804,
    0xffab7413,
    0xff8a5408,
    0xffab6a0e,
    0xffd19421,
    0xffb48106,
    0xffb48206,
    0xffab7800,
    0xffbe8909,
    0xffc98b15,
    0xffa36103,
    0xffcb871d,
    0xffc88d1b,
    0xffb4800a,
    0xffcc921b,
    0xffbd7c0c,
    0xffa86608,
    0xff8e540c,
    0xff916227,
    0xff724718,
    0xff6e4200,
    0xff8c6013,
    0xff83611c,
    0xff432b03,
    0xff2d1906,
    0xff301f0e,
    0xff251500,
    0xff270900,
    0xff5b180c,
    0xff5c1b08,
    0xff502207,
    0xff481e07,
    0xff2f2005,
    0xff201800,
    0xff4b1b0d,
    0xff66341f,
    0xff72361f,
    0xff631b02,
    0xff6d280b,
    0xff60290a,
    0xff411e00,
    0xff412d0c,
    0xff403413,
    0xff434d30,
    0xff1f3f1b,
    0xff3b643f,
    0xff1c3a1e,
    0xff162d1c,
    0xff092114,
    0xff000f05,
    0xff2b362d,
    0xff22362e,
    0xff1f3a32,
    0xff152f1b,
    0xff111d10,
    0xff303f2b,
    0xff213a13,
    0xff122f09,
    0xff41602f,
    0xff2e4a17,
    0xff2a3c18,
    0xff474f25,
    0xff565b1c,
    0xff565a1e,
    0xff2e3210,
    0xff181e03,
    0xff1d2902,
    0xff1a2715,
    0xff1d261c,
    0xff0a1501,
    0xff212b14,
    0xff1b2518,
    0xff1a2714,
    0xff081b02,
    0xff0e211a,
    0xff001102,
    0xff031400,
    0xff0c0e0b,
    0xff0b0b00,
    0xff1d1e13,
    0xff151514,
    0xff181808,
    0xff26201b,
    0xff18130b,
    0xff23240e,
    0xff202a07,
    0xff1c2707,
    0xff353c21,
    0xff2d290a,
    0xff574c19,
    0xff57460c,
    0xff7f5b16,
    0xff533e00,
    0xff4e4813,
    0xff2b2204,
    0xff716134,
    0xff8c7d2c,
    0xff7d7628,
    0xffb7b387,
    0xff554b5a,
    0xff4f4d5f,
    0xff596079,
    0xff3d4c67,
    0xff30445d,
    0xff253d54,
    0xff001d34,
    0xff264760,
    0xff25415f,
    0xff052348,
    0xff001c42,
    0xff0d1e42,
    0xff5e607b,
    0xff675e73,
    0xff514554,
    0xff484050,
    0xff3e3547,
    0xff302f44,
    0xff323449,
    0xff3b374c,
    0xff4c4053,
    0xff645663,
    0xff5f535c,
    0xff403940,
    0xff392e35,
    0xff492433,
    0xff622135,
    0xffa76271,
    0xff986b6a,
    0xff807662,
    0xff798260,
    0xff8b916d,
    0xff9a9972,
    0xffb38557,
    0xffa14115,
    0xffb6431d,
    0xffae4317,
    0xffa7460a,
    0xffe28641,
    0xffe08644,
    0xff821c03,
    0xff791004,
    0xff79110a,
    0xff801b17,
    0xff741308,
    0xff74140b,
    0xff6b1007,
    0xff620c05,
    0xff6b0403,
    0xff6d0403,
    0xff6d0303,
    0xff6e0203,
    0xff6f0202,
    0xff710304,
    0xff730306,
    0xff730206,
    0xff730201,
    0xff7a0404,
    0xff7b0001,
    0xff790202,
    0xff790204,
    0xff7c0104,
    0xff860007,
    0xffb82931,
    0xffa41522,
    0xff8d000e,
    0xff820011,
    0xff79020f,
    0xff7c020d,
    0xff76060d,
    0xff650907,
    0xff5f0003,
    0xff5c060b,
    0xff6e0110,
    0xff6c000f,
    0xff580108,
    0xff610103,
    0xff760000,
    0xffa54c39,
    0xffbd9e73,
    0xff7b6d5c,
    0xff545d54,
    0xff2c0a1b,
    0xffa02e52,
    0xffa70e22,
    0xffbb1b25,
    0xffb54055,
    0xff512042,
    0xff1e2743,
    0xff1d2c4d,
    0xff1f2a4e,
    0xff241b39,
    0xff68192d,
    0xff9a0d0b,
    0xffdc4a28,
    0xffea4b1d,
    0xffd2340c,
    0xffbb1300,
    0xffb50400,
    0xffaa0004,
    0xffaf0b14,
    0xff940200,
    0xff8e0202,
    0xff860008,
    0xff840002,
    0xff870003,
    0xff870003,
    0xff850001,
    0xff850104,
    0xff860000,
    0xff8e0003,
    0xff930005,
    0xffa70914,
    0xffab1818,
    0xffc44034,
    0xffcc9159,
    0xff8f9b59,
    0xff6f6a42,
    0xffa58059,
    0xff7d6042,
    0xff816e45,
    0xff868047,
    0xffa68f62,
    0xffb28c5a,
    0xff9a8746,
    0xff778764,
    0xff466a56,
    0xff709659,
    0xff90aa59,
    0xff9fb559,
    0xffa9b170,
    0xff8a8765,
    0xff989a72,
    0xff969c68,
    0xff98a16c,
    0xff9ca669,
    0xffa7ad6a,
    0xffa9af6e,
    0xffa8ac71,
    0xffa5a86e,
    0xffa4aa6c,
    0xffa2ab67,
    0xffa3af68,
    0xffa4b168,
    0xff9bae5a,
    0xff99ad61,
    0xff869357,
    0xff929d6d,
    0xff87a285,
    0xff264449,
    0xff455859,
    0xff7f865b,
    0xff7e6f40,
    0xff7e845b,
    0xff5c5349,
    0xff8e4e43,
    0xffad7e4d,
    0xff818a6c,
    0xff39525b,
    0xff29574e,
    0xff4a7b66,
    0xffa4a36d,
    0xffb3ab60,
    0xff959449,
    0xffdac16c,
    0xffbda444,
    0xffb4a456,
    0xffc3a763,
    0xffad9b47,
    0xffcab256,
    0xffc8b145,
    0xffbfad41,
    0xffafae56,
    0xffa5a66b,
    0xff949355,
    0xffa39c4d,
    0xffa2a576,
    0xff64736e,
    0xff0f314f,
    0xff08355e,
    0xff113b66,
    0xff071e4b,
    0xff3d4650,
    0xffb0b78b,
    0xffbfcc8b,
    0xffa6b47d,
    0xffadbb80,
    0xffb5be72,
    0xffbcc172,
    0xffa8ad6f,
    0xff83814e,
    0xff9f9363,
    0xff889367,
    0xff658569,
    0xff366250,
    0xff566e52,
    0xff958e57,
    0xffc3b678,
    0xff475232,
    0xff2e5758,
    0xff567c7b,
    0xff617c6f,
    0xff6a7c65,
    0xff8fa17d,
    0xff869f76,
    0xff476552,
    0xff5e7d7a,
    0xff426551,
    0xff567b6d,
    0xff1e4752,
    0xff10384b,
    0xff474f54,
    0xff755c5b,
    0xff77786c,
    0xff547b5d,
    0xff305329,
    0xff848756,
    0xffad9f64,
    0xffa1a265,
    0xff56734d,
    0xff31554b,
    0xff3d6860,
    0xff4d826f,
    0xff507c69,
    0xff608176,
    0xff709689,
    0xff667b65,
    0xff616c5a,
    0xff9ab086,
    0xff6d7654,
    0xff8d9371,
    0xff5f7d6a,
    0xff8c8e7b,
    0xffb89875,
    0xffaf825a,
    0xff8a6f65,
    0xff666986,
    0xff687c90,
    0xff375b5b,
    0xff1c4959,
    0xff7d9184,
    0xff7f8d7c,
    0xff5a7672,
    0xff3f5f63,
    0xff8b9b95,
    0xff859488,
    0xff93a599,
    0xff949f8b,
    0xff859394,
    0xff223851,
    0xff2a4163,
    0xff496170,
    0xff4a6167,
    0xff304149,
    0xff726b79,
    0xff8f6d7f,
    0xff655960,
    0xffa09797,
    0xff9d9891,
    0xff7d7568,
    0xff97846d,
    0xffc9b498,
    0xff6d7160,
    0xff608182,
    0xff697966,
    0xffa6af93,
    0xff486864,
    0xff2d4f5e,
    0xff537278,
    0xff819585,
    0xff928d76,
    0xff80838b,
    0xff707787,
    0xff92898f,
    0xff81777e,
    0xff455261,
    0xff697879,
    0xff8c7b65,
    0xffa87858,
    0xffb07d68,
    0xff725f55,
    0xff785d65,
    0xff8f716e,
    0xff8a7870,
    0xff717268,
    0xff8c9d97,
    0xff4c5d62,
    0xff96a798,
    0xff889782,
    0xff708875,
    0xff43635b,
    0xff50767d,
    0xff446c7c,
    0xff91b3cb,
    0xffb1cbe4,
    0xffc2d7f6,
    0xffdbf3ff,
    0xffd5e7fe,
    0xffd5e2f9,
    0xffd4e1f7,
    0xffd3e6f8,
    0xffd0e6f5,
    0xffd3e8f6,
    0xffd5e7f7,
    0xffd7e3f7,
    0xffd4e0f3,
    0xffd8e4f7,
    0xffd7e4f7,
    0xffd7e3f6,
    0xffd6e2f5,
    0xffd8e4f7,
    0xffdce8fc,
    0xffd7e8f7,
    0xffd4e5f4,
    0xffd4e4f4,
    0xffd3e2f5,
    0xffd3e2f8,
    0xffd2e1f6,
    0xffd1e0f4,
    0xffd0dff6,
    0xffd0e2f9,
    0xffcddff3,
    0xffcfe2f3,
    0xffcfe1f3,
    0xffd0e2f7,
    0xffcfe1f9,
    0xffcee0f6,
    0xffcfe2f3,
    0xffcedef5,
    0xffd0dff4,
    0xffd7e4f7,
    0xffe0eaf8,
    0xffd8e1ec,
    0xffdfe4ec,
    0xffe7eaee,
    0xffe9eaef,
    0xfff6f5f6,
    0xfff9f7f9,
    0xfff3f1f6,
    0xfff3f2f9,
    0xfff1f0fa,
    0xffe5e9f6,
    0xffe3e9f6,
    0xffdee4f6,
    0xffe6edf6,
    0xffe6ecf3,
    0xffeef1f7,
    0xfff8f8fd,
    0xfffcfdff,
    0xffffffff,
    0xffffffff,
    0xfffefefe,
    0xfffffffd,
    0xfffffffc,
    0xfffffffc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffeffff,
    0xfffeffff,
    0xfffbfdfa,
    0xfff9fbf8,
    0xfffafcf9,
    0xfffdfffc,
    0xfffdfefb,
    0xfffafdf9,
    0xfffefffc,
    0xfffefffc,
    0xffffffff,
    0xfffefefe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffefd,
    0xfffdfdfd,
    0xfff9fbfe,
    0xfff4f7fc,
    0xfff2f5fb,
    0xfff2f5fb,
    0xfff7f9fe,
    0xfffafafe,
    0xfff8f7f7,
    0xfffefffa,
    0xfff6fbef,
    0xffbbc4b7,
    0xffd2d9d1,
    0xfffbfdfa,
    0xfffefef9,
    0xfffdfbf5,
    0xfffbf8fa,
    0xfffbfafc,
    0xfff8f7fd,
    0xfff4f4f8,
    0xfff8f9fc,
    0xfff9fafc,
    0xfffefdfd,
    0xfffbfbf9,
    0xfffeffff,
    0xfff8fafa,
    0xfff4f5f7,
    0xffeff0f5,
    0xffecebf4,
    0xffe1e4ef,
    0xffe8eaf8,
    0xffebecfa,
    0xffeaeff5,
    0xffebf1f9,
    0xffe5e8f6,
    0xffe6eaf5,
    0xfff1f4fc,
    0xffe8ecf1,
    0xffedf0f8,
    0xfff0f0fa,
    0xfff2eef2,
    0xfff4f2f5,
    0xfffffffd,
    0xff748369,
    0xff51674e,
    0xffb9ccc3,
    0xffb9c6c1,
    0xffc1c9bc,
    0xffb6c7ab,
    0xff5f705e,
    0xffd0dfdf,
    0xff8f9ba8,
    0xffa6afbd,
    0xffeaeefc,
    0xfff2eff9,
    0xfff8f5f9,
    0xffeeebef,
    0xffe5d1c4,
    0xffe2b57f,
    0xfff8cd8b,
    0xffa68b68,
    0xffd0c0a4,
    0xffaf9e61,
    0xffb89e43,
    0xff858013,
    0xff4a5503,
    0xff828e48,
    0xff3c411e,
    0xff101701,
    0xff3d3715,
    0xff6c5b3d,
    0xff554f36,
    0xff776f61,
    0xff626139,
    0xff859955,
    0xff5b842f,
    0xff6f9d43,
    0xff496b1f,
    0xff3f552f,
    0xff0f221e,
    0xff4c6361,
    0xff90a4a9,
    0xff627373,
    0xff808f81,
    0xff081903,
    0xff6c866d,
    0xff456848,
    0xff173c18,
    0xff203e46,
    0xff1a2d32,
    0xff121b0f,
    0xff3e4527,
    0xff2e3a13,
    0xff1b3009,
    0xff001900,
    0xff435d42,
    0xff314a35,
    0xff182a1b,
    0xff192817,
    0xff1a2719,
    0xff102316,
    0xff04190f,
    0xff2f483b,
    0xff061e0a,
    0xff102a1a,
    0xff051914,
    0xff001603,
    0xff718381,
    0xff2f3c3e,
    0xff1c2e1e,
    0xff001c06,
    0xff305a2b,
    0xff3e6539,
    0xff29511e,
    0xff13390b,
    0xff153618,
    0xff15321a,
    0xff1d3a1c,
    0xff223e23,
    0xff0c2515,
    0xffd1eee5,
    0xffd1eae7,
    0xffbdcfd6,
    0xffb1bfc9,
    0xff8d9ca5,
    0xff596d6d,
    0xff153124,
    0xff0f311f,
    0xff092618,
    0xff3e5a4b,
    0xff001a09,
    0xff112e1c,
    0xff0f2a16,
    0xff102b1a,
    0xff062110,
    0xff062011,
    0xff05170d,
    0xff021610,
    0xff0c211b,
    0xff0b2214,
    0xff021b03,
    0xff324a2a,
    0xff182b0d,
    0xff27351d,
    0xff374a2f,
    0xff4b6149,
    0xff102920,
    0xff253e39,
    0xff68806f,
    0xff61766b,
    0xff9db2b9,
    0xffb1c9cc,
    0xff7e916d,
    0xff5a7f44,
    0xff567d42,
    0xff4e6a30,
    0xff666e36,
    0xff60572d,
    0xff4a3d1f,
    0xff504b23,
    0xff5a4106,
    0xff6d3900,
    0xff6d2900,
    0xff9a5d24,
    0xff92550d,
    0xffa96507,
    0xffa5670a,
    0xffab7915,
    0xffc78d17,
    0xffc28f0c,
    0xffc9991b,
    0xffab750d,
    0xffb37613,
    0xff9d5a00,
    0xffb97606,
    0xffe09f30,
    0xffc18505,
    0xffd49f21,
    0xffc8941e,
    0xff9a6000,
    0xff9c590e,
    0xff803d0c,
    0xff5f2706,
    0xff431d03,
    0xff37220e,
    0xff4e340f,
    0xff866835,
    0xff54420f,
    0xff2f2f07,
    0xff2d2812,
    0xff3a170a,
    0xff58160a,
    0xff75342a,
    0xff733022,
    0xff522108,
    0xff55200a,
    0xff591c10,
    0xff281607,
    0xff232616,
    0xff5b3030,
    0xff70281c,
    0xff7a2c1a,
    0xff85361d,
    0xff6c2b0c,
    0xff522a06,
    0xff412f08,
    0xff474118,
    0xff3a390f,
    0xff172903,
    0xff323613,
    0xff4b4b2c,
    0xff354625,
    0xff2c4425,
    0xff060900,
    0xff1e0900,
    0xff7d614d,
    0xff1f1206,
    0xff162c18,
    0xff2b3916,
    0xff3e3517,
    0xff141800,
    0xff525c21,
    0xff535224,
    0xff273000,
    0xff3b431e,
    0xff22270e,
    0xff44461e,
    0xff3c3f00,
    0xff454714,
    0xff21220e,
    0xff212c12,
    0xff334909,
    0xff607947,
    0xff000a00,
    0xff081606,
    0xff031103,
    0xff07130f,
    0xff02120d,
    0xff000c01,
    0xff0b1d17,
    0xff040e06,
    0xff070d00,
    0xff1b1819,
    0xff252118,
    0xff222014,
    0xff1f1e19,
    0xff111600,
    0xff191b0b,
    0xff1c140a,
    0xff232108,
    0xff1b2200,
    0xff232d07,
    0xff202606,
    0xff282905,
    0xff342f00,
    0xff938b41,
    0xff483306,
    0xff3a2f0d,
    0xff23250d,
    0xff1d1b00,
    0xff1e1000,
    0xff5d461a,
    0xff615418,
    0xff585510,
    0xff5d5865,
    0xff4a4756,
    0xff5b596f,
    0xff515671,
    0xff24344e,
    0xff1c344e,
    0xff0a273f,
    0xff05243e,
    0xff152e53,
    0xff06224a,
    0xff021a43,
    0xff253258,
    0xff666681,
    0xff60576b,
    0xff4e4356,
    0xff473e55,
    0xff373042,
    0xff322f44,
    0xff333349,
    0xff3a344a,
    0xff534756,
    0xff63535f,
    0xff4c424a,
    0xff3a343c,
    0xff3b2533,
    0xff562a3a,
    0xff8d515e,
    0xff9b7170,
    0xff81775e,
    0xff838a65,
    0xff899969,
    0xff89a16b,
    0xff86875a,
    0xff9f6639,
    0xffb84720,
    0xffb4431b,
    0xffa24912,
    0xffcc8839,
    0xffffca71,
    0xfffcc36a,
    0xffd18244,
    0xff681700,
    0xff6f2a18,
    0xff692926,
    0xff68221c,
    0xff751a13,
    0xff720a00,
    0xff740b00,
    0xff670805,
    0xff6a0808,
    0xff6c0403,
    0xff700203,
    0xff750205,
    0xff730609,
    0xff710509,
    0xff6e0405,
    0xff740605,
    0xff770303,
    0xff7b0200,
    0xff7b0103,
    0xff7a0306,
    0xff81050d,
    0xff860004,
    0xffaa151e,
    0xffa40d1b,
    0xff980014,
    0xff820010,
    0xff770411,
    0xff73020a,
    0xff81231e,
    0xffc88072,
    0xff783025,
    0xff5a0006,
    0xff65010f,
    0xff690311,
    0xff610308,
    0xff560000,
    0xff731e0a,
    0xffb46748,
    0xff985434,
    0xff845e5e,
    0xff452720,
    0xff953443,
    0xffc6234d,
    0xffae012b,
    0xffb40928,
    0xffa91236,
    0xff892c55,
    0xff280f2f,
    0xff141f3e,
    0xff142450,
    0xff172a57,
    0xff381c3b,
    0xff8c1e2b,
    0xffc32828,
    0xffb80003,
    0xffc42308,
    0xffe7421e,
    0xffcb1f07,
    0xffb50609,
    0xffa50012,
    0xff9e050e,
    0xff8b0000,
    0xff8c0408,
    0xff8a0008,
    0xff8c0007,
    0xff890006,
    0xff860006,
    0xff7e0000,
    0xff800304,
    0xff830305,
    0xff830002,
    0xff8b000c,
    0xff790000,
    0xff98311d,
    0xffbb9656,
    0xffaeae62,
    0xff9e8c5a,
    0xff897a4b,
    0xff80835d,
    0xff8a8a69,
    0xff65572f,
    0xff937643,
    0xff857940,
    0xff868551,
    0xff888851,
    0xff99b770,
    0xff94be76,
    0xff9db570,
    0xff9eb360,
    0xff99a964,
    0xff8c9c6e,
    0xff97a975,
    0xff90a069,
    0xffa3aa78,
    0xffaaad73,
    0xffa6b26c,
    0xffa2ad67,
    0xffa3a967,
    0xffa6ab6c,
    0xffa5aa69,
    0xffa2a966,
    0xffa0ab64,
    0xffa0ac61,
    0xff9eb461,
    0xff9db969,
    0xff8d9f5b,
    0xff849061,
    0xff69836a,
    0xff4c6361,
    0xff4a5655,
    0xff4b563f,
    0xff7c7650,
    0xff577360,
    0xff44484f,
    0xff894f47,
    0xffd1b589,
    0xff5b7167,
    0xff264260,
    0xff0d4345,
    0xff245156,
    0xff57634a,
    0xff9ba270,
    0xff434f1e,
    0xffa6a66e,
    0xff7c7b4b,
    0xff484b2c,
    0xff8d834a,
    0xff8f823e,
    0xffbb9d42,
    0xffb58f2a,
    0xffcbb25a,
    0xffac9f5d,
    0xff89824a,
    0xff87885c,
    0xff596947,
    0xff738f5c,
    0xff759388,
    0xff193861,
    0xff062b5d,
    0xff052755,
    0xff0a295f,
    0xff153362,
    0xff143341,
    0xff666b57,
    0xffacb08f,
    0xffb5b67c,
    0xffc0c16d,
    0xffb5ba5e,
    0xffbbc575,
    0xffbabf7f,
    0xff9ea167,
    0xff677758,
    0xff2f5442,
    0xff37645a,
    0xff6b8062,
    0xffdacc83,
    0xffa78d2f,
    0xffb2b470,
    0xff66876b,
    0xff4a7562,
    0xff507667,
    0xff4b6667,
    0xff607977,
    0xff617f6f,
    0xff2b4a47,
    0xff557d7d,
    0xff5d8c7a,
    0xff518579,
    0xff316862,
    0xff215951,
    0xff5d756c,
    0xff685757,
    0xff7f7e72,
    0xff4e5d34,
    0xffc8b677,
    0xffc9b55a,
    0xffc4ac59,
    0xffab9f57,
    0xffa6a86e,
    0xff7c8964,
    0xff5b816a,
    0xff2c6255,
    0xff36635f,
    0xff396e65,
    0xff437d7c,
    0xff557a6e,
    0xff3d5146,
    0xff819576,
    0xff858a66,
    0xff948e5d,
    0xff8f936d,
    0xff797143,
    0xffad8a52,
    0xffaf7954,
    0xff946859,
    0xff60545c,
    0xff455d64,
    0xff325e5c,
    0xff25546b,
    0xff365870,
    0xff4e5d65,
    0xff4a5c68,
    0xff2d415d,
    0xff122940,
    0xff345560,
    0xff365a5b,
    0xff61786c,
    0xff375052,
    0xff405c82,
    0xff3b5c81,
    0xff587988,
    0xff426978,
    0xff446b84,
    0xff384c6a,
    0xff474466,
    0xff6a6a83,
    0xff253743,
    0xff4a5e60,
    0xff68655d,
    0xff897558,
    0xff9b9269,
    0xff454f3f,
    0xff2c4056,
    0xff394f61,
    0xff515357,
    0xff5b6971,
    0xff61606f,
    0xff545a65,
    0xff4f6862,
    0xff958c82,
    0xff847782,
    0xff7d7a83,
    0xff727374,
    0xff727370,
    0xff93a19a,
    0xff687c69,
    0xff978c72,
    0xffaa7760,
    0xffb47462,
    0xffbd9d70,
    0xff8a5c4d,
    0xff9f7060,
    0xffb89b88,
    0xff95927e,
    0xff656a5c,
    0xff918983,
    0xffad977a,
    0xff927d61,
    0xff8d8466,
    0xffafb9a3,
    0xff49615c,
    0xff5a7c81,
    0xff567b81,
    0xff61828f,
    0xff5e7c93,
    0xff91b4be,
    0xffd3edfd,
    0xffdaedff,
    0xffd7e7fb,
    0xffd5eaff,
    0xffd6eafd,
    0xffd9e2f5,
    0xffe4e4f8,
    0xffd6e3f7,
    0xffd5e4f8,
    0xffd4e3f6,
    0xffd5e4f7,
    0xffd6e5f8,
    0xffd4e3f7,
    0xffd3e2f6,
    0xffd5e4f6,
    0xffd5e6f6,
    0xffd2e3f3,
    0xffd3e4f4,
    0xffd5e7f9,
    0xffd3e4f6,
    0xffd2e4f8,
    0xffd3e4f8,
    0xffd3e4f8,
    0xffcde1f7,
    0xffcde2f3,
    0xffcfe5f2,
    0xffcee5f3,
    0xffcee3f6,
    0xffcde1f6,
    0xffcde1f5,
    0xffcee2f2,
    0xffd3e3fa,
    0xffd2e1f7,
    0xffd7e4f6,
    0xffdde8f8,
    0xffe1e9f5,
    0xffebf1fc,
    0xfff0f4fd,
    0xfff3f5fb,
    0xfff6faf6,
    0xfffbfcf8,
    0xfff0f3ee,
    0xfff1f3f0,
    0xffeef4f5,
    0xffedf3f8,
    0xffdde7ee,
    0xffddeaf2,
    0xffdae8f5,
    0xffe4f1fc,
    0xffe9f3fa,
    0xfff2f9fc,
    0xfffdfdff,
    0xfffcfdff,
    0xfffdfeff,
    0xfffdffff,
    0xfffefefe,
    0xfffefefe,
    0xfffcfcfd,
    0xfffefefe,
    0xfffffefe,
    0xfffafcfb,
    0xfffbfcfe,
    0xfffcfefe,
    0xfff9fbfa,
    0xfffafcfb,
    0xfffafcfb,
    0xfffbfdfd,
    0xfffdfefe,
    0xfffbfcfc,
    0xfffafcfc,
    0xfffdfeff,
    0xfffefefe,
    0xfffefefe,
    0xfffdfdfd,
    0xfffdfdfd,
    0xfffefeff,
    0xffffffff,
    0xfffefeff,
    0xffffffff,
    0xfffeffff,
    0xfff5f6fa,
    0xfff0f3f8,
    0xffeceff9,
    0xffe6ebf5,
    0xffe1e6f0,
    0xffe7ebf4,
    0xffe6eaf2,
    0xfffcfcff,
    0xffdce1d8,
    0xffcedbc5,
    0xff63705a,
    0xff7d897c,
    0xffc8cdc8,
    0xfff8f9f7,
    0xfffef9f6,
    0xfffdfcfe,
    0xffe4e3e9,
    0xffe7e7eb,
    0xfff8faff,
    0xfff2f5fa,
    0xfffefeff,
    0xfff9f8fd,
    0xfff8f7fa,
    0xfff7f9f6,
    0xfff7f9f9,
    0xfff4f5f7,
    0xfff0eff6,
    0xffe4e8f0,
    0xffe2e4f0,
    0xffdfe1ee,
    0xffdfe1f0,
    0xffe1e2f8,
    0xffe4e4fb,
    0xffe5e7fb,
    0xffc4cbd8,
    0xffb8c0c6,
    0xffecf4f8,
    0xffcdd4dc,
    0xfff9feff,
    0xfff5f1f5,
    0xfffffeff,
    0xffdfe5d8,
    0xff7c9161,
    0xff64834f,
    0xff68876a,
    0xff8aa687,
    0xff78955f,
    0xff7b9867,
    0xff637f5f,
    0xff90a69c,
    0xff6b7d81,
    0xffb8c3ce,
    0xfff1f3fb,
    0xfff1eef5,
    0xfffff8fd,
    0xffeef7ed,
    0xffffeddf,
    0xffcfa87c,
    0xffc89a58,
    0xffaa8643,
    0xffab8940,
    0xffba8f36,
    0xffc78c35,
    0xffbc9433,
    0xff7d6c24,
    0xff88823e,
    0xff989265,
    0xffada999,
    0xffddd3bb,
    0xffc3b5aa,
    0xffe7e9e3,
    0xffe0cbc3,
    0xffe0cf9b,
    0xff6d711f,
    0xff325305,
    0xff3c6222,
    0xff314814,
    0xff4c5a3b,
    0xff33433f,
    0xff4a5761,
    0xff49545b,
    0xff768177,
    0xff7b886d,
    0xff000000,
    0xfff7ffff,
    0xffddf1f6,
    0xff7f9c8f,
    0xff37635c,
    0xff42513a,
    0xff81724c,
    0xff977d59,
    0xff4b3d2a,
    0xff161b12,
    0xff172718,
    0xff2d4327,
    0xff051f00,
    0xff001500,
    0xff304330,
    0xff0b1e0c,
    0xff061c0f,
    0xff0a201b,
    0xff001507,
    0xff394d34,
    0xff000a02,
    0xff314142,
    0xff0b201b,
    0xff6a7b7c,
    0xffbec9c9,
    0xff445647,
    0xff000d00,
    0xff1a421b,
    0xff466e39,
    0xff3e662b,
    0xff365e29,
    0xff21421f,
    0xff18391d,
    0xff0e2d0d,
    0xff163217,
    0xff203b2a,
    0xff2a453d,
    0xff233b3a,
    0xff76898d,
    0xffa8bac1,
    0xff718287,
    0xff8ca2a1,
    0xff2a463c,
    0xff0c2717,
    0xff0a2417,
    0xff001a0b,
    0xff112c1b,
    0xff1a3625,
    0xff0d2817,
    0xff102b19,
    0xff0e291a,
    0xff0a2315,
    0xff12271b,
    0xff12261c,
    0xff0d2418,
    0xff172f1f,
    0xff172e1e,
    0xff041908,
    0xff0a1a0a,
    0xff071302,
    0xff5e674c,
    0xff43502f,
    0xff0e2009,
    0xff2a3f2a,
    0xff2b431f,
    0xff2f4627,
    0xff3d5347,
    0xff496353,
    0xff708e53,
    0xff648e41,
    0xff5e8131,
    0xff738644,
    0xff717744,
    0xff6c5733,
    0xff79502d,
    0xff6f4a17,
    0xff6a4306,
    0xff7e4708,
    0xff6e2f00,
    0xff6e3906,
    0xff824d07,
    0xffc07d24,
    0xffca8511,
    0xffbc7f01,
    0xffd49b19,
    0xffbb8808,
    0xffac7b08,
    0xff9e6707,
    0xff9a5503,
    0xffc5801d,
    0xffd39622,
    0xffa06a00,
    0xffa97200,
    0xffc28d1f,
    0xff925b05,
    0xff81470e,
    0xff783b06,
    0xff7d461c,
    0xff6b3e1d,
    0xff331100,
    0xff23210c,
    0xff2e2d10,
    0xff2b1e00,
    0xff331800,
    0xff3b150d,
    0xff57241c,
    0xff772919,
    0xff9e361e,
    0xff7a2316,
    0xff3c0d00,
    0xff451a04,
    0xff7b3523,
    0xff4f0c06,
    0xff431914,
    0xff7f5b5c,
    0xff461319,
    0xff6a241c,
    0xff6d2010,
    0xff661e03,
    0xff662f0d,
    0xff5b3714,
    0xff473010,
    0xff5b4521,
    0xff492c06,
    0xff3c2809,
    0xff612711,
    0xff6c3b21,
    0xff5e6236,
    0xff3e4814,
    0xff7f5328,
    0xff9e5525,
    0xffa46b30,
    0xff7b5032,
    0xff404823,
    0xff474b1a,
    0xff553f1a,
    0xff817e49,
    0xff404203,
    0xff4d3d0f,
    0xff4d4813,
    0xff423f0d,
    0xff45422a,
    0xff2d2d1b,
    0xff323513,
    0xff2e3210,
    0xff2d2f1e,
    0xff1d2c08,
    0xff536c26,
    0xff435c23,
    0xff001102,
    0xff021213,
    0xff000e09,
    0xff000d03,
    0xff0e1b04,
    0xff222f0d,
    0xff1b250e,
    0xff151300,
    0xff534f32,
    0xff353217,
    0xff252201,
    0xff292608,
    0xff181501,
    0xff181805,
    0xff0d0d04,
    0xff110b0c,
    0xff16110d,
    0xff1f1d0a,
    0xff23200b,
    0xff241f07,
    0xff3a2e13,
    0xff615125,
    0xff887641,
    0xff261800,
    0xff1d1309,
    0xff1d1a11,
    0xff201a07,
    0xff2a1602,
    0xff301604,
    0xff3f2809,
    0xff81702d,
    0xff616973,
    0xff4a4855,
    0xff574c5c,
    0xff676479,
    0xff273752,
    0xff173553,
    0xff0f2e4b,
    0xff0b2744,
    0xff0d2549,
    0xff021b43,
    0xff0c234a,
    0xff374465,
    0xff65637b,
    0xff5c5062,
    0xff4b4255,
    0xff3e394f,
    0xff362f44,
    0xff312d43,
    0xff333147,
    0xff403a4e,
    0xff5e4e5d,
    0xff614d5a,
    0xff493d45,
    0xff342c34,
    0xff452932,
    0xff84525e,
    0xff8f6660,
    0xff8f8463,
    0xff959867,
    0xff9da66b,
    0xff9fa967,
    0xffa3a365,
    0xff906b3d,
    0xffa3572a,
    0xffb5461e,
    0xffae3f13,
    0xffd38341,
    0xffffd274,
    0xffd9a945,
    0xffbd852b,
    0xffb66d1d,
    0xff8b3a04,
    0xff661c00,
    0xff541100,
    0xff601205,
    0xff801814,
    0xff7a0909,
    0xff710a0b,
    0xff661a22,
    0xff6e1b22,
    0xff62020c,
    0xff6d0209,
    0xff720208,
    0xff750408,
    0xff720706,
    0xff6e0706,
    0xff730707,
    0xff770202,
    0xff790000,
    0xff7b0103,
    0xff7a0309,
    0xff7d000b,
    0xff92060f,
    0xffb31921,
    0xffa70a16,
    0xffa30717,
    0xff84000e,
    0xff72050c,
    0xff640000,
    0xff883a2b,
    0xffbe8b6e,
    0xffae7b5e,
    0xff550000,
    0xff600409,
    0xff5b0004,
    0xff650b05,
    0xff82351d,
    0xffc47e58,
    0xffd67e5c,
    0xffc0553a,
    0xff911710,
    0xffbd3933,
    0xffcf252d,
    0xffb8000e,
    0xffba0521,
    0xffae0422,
    0xffac1032,
    0xff951b3a,
    0xff8e3461,
    0xff4e1f40,
    0xff2d1940,
    0xff252854,
    0xff292141,
    0xff751e30,
    0xffb81620,
    0xffbe0c13,
    0xffc0150d,
    0xffc81a08,
    0xffc41401,
    0xffd2221a,
    0xffae0406,
    0xff9e0009,
    0xff930207,
    0xff880005,
    0xff850008,
    0xff870007,
    0xff880007,
    0xff870006,
    0xff830203,
    0xff810103,
    0xff820301,
    0xff850001,
    0xff820105,
    0xff820100,
    0xff7d1209,
    0xffa68652,
    0xffb1af65,
    0xffb9ad6f,
    0xff949b5a,
    0xff606139,
    0xff7b8265,
    0xff706342,
    0xff8c6d3d,
    0xff848c53,
    0xff56633a,
    0xff716b3a,
    0xffaec279,
    0xff5f834a,
    0xff7d996d,
    0xff9eb975,
    0xff9cb572,
    0xff869a68,
    0xff82995e,
    0xffa1b579,
    0xffa2af78,
    0xff9ea66c,
    0xff9aad66,
    0xff98aa62,
    0xff9dab66,
    0xffa6ae6e,
    0xffadb376,
    0xffaeb478,
    0xffacb272,
    0xffa5af69,
    0xffa3ac68,
    0xff9aaa63,
    0xff9a9d65,
    0xff8e8d67,
    0xff69775a,
    0xff667157,
    0xff6d6f5e,
    0xff68746b,
    0xff605c4a,
    0xff606650,
    0xff5c5842,
    0xff7a5d3f,
    0xff6a6d4a,
    0xff477266,
    0xff375169,
    0xff183b51,
    0xff09294b,
    0xff445f64,
    0xff5b7269,
    0xff36494f,
    0xff475f53,
    0xff628176,
    0xff2e414d,
    0xff606446,
    0xffa49843,
    0xffd1b14f,
    0xffc5aa49,
    0xffb5ae55,
    0xffc1b55d,
    0xffc7aa56,
    0xff99905d,
    0xff456157,
    0xff466a5d,
    0xff4c736c,
    0xff002440,
    0xff072459,
    0xff103056,
    0xff153659,
    0xff0d325f,
    0xff143b60,
    0xff3b4557,
    0xff929380,
    0xffa9a66b,
    0xffa7a85b,
    0xffb2bd6c,
    0xffb1c073,
    0xffadc179,
    0xff9db374,
    0xff4b625b,
    0xff1b3e43,
    0xff1c454e,
    0xff2b4541,
    0xff8a8a62,
    0xffafa45c,
    0xff909057,
    0xff55664e,
    0xff527b69,
    0xff2f5d5b,
    0xff154459,
    0xff245253,
    0xff5b8460,
    0xff7b9c82,
    0xff133136,
    0xff284c56,
    0xff24483d,
    0xff5f746e,
    0xff62897a,
    0xff4c6f5f,
    0xff575f58,
    0xff6e7d6b,
    0xff758451,
    0xffc0a45c,
    0xffc1a853,
    0xffa39450,
    0xff868a46,
    0xff75772c,
    0xff959057,
    0xff607156,
    0xff3c544c,
    0xff717473,
    0xff23454a,
    0xff174b5e,
    0xff407774,
    0xff386656,
    0xff587a5b,
    0xff7d8969,
    0xffb3ac7f,
    0xff7e6f54,
    0xffbba678,
    0xffbda66d,
    0xff9d8263,
    0xff958360,
    0xff9a9468,
    0xff8a8c6f,
    0xff83917a,
    0xff3c4f50,
    0xff3b494a,
    0xff92886e,
    0xff836451,
    0xff7c5b5e,
    0xff8f737b,
    0xff616269,
    0xff2c444c,
    0xff3c5259,
    0xff5c706b,
    0xff506374,
    0xff6a777a,
    0xff677066,
    0xff506071,
    0xff24466f,
    0xff164061,
    0xff44647c,
    0xff525b6c,
    0xff5d6d7f,
    0xff485771,
    0xff292c3f,
    0xff828276,
    0xffa9b181,
    0xff969e6c,
    0xff888569,
    0xff787569,
    0xff92896c,
    0xff999f80,
    0xff715748,
    0xffa5938d,
    0xff32443b,
    0xff7d6f62,
    0xffa58d85,
    0xff91826d,
    0xff768777,
    0xff21372f,
    0xff5f6364,
    0xff787776,
    0xff978483,
    0xff8f695a,
    0xff987854,
    0xffbb9c6f,
    0xff9a6f65,
    0xff754c40,
    0xff987b69,
    0xff928373,
    0xff847b75,
    0xff6a5457,
    0xffaf9375,
    0xff9b8065,
    0xffbea886,
    0xff988b6e,
    0xff817a6f,
    0xff72746e,
    0xffa4aea5,
    0xff596761,
    0xff606d76,
    0xff556c64,
    0xff607170,
    0xff8d9aa6,
    0xffeafaff,
    0xffbad5ed,
    0xffc8e2f8,
    0xffddedff,
    0xffdbdff3,
    0xffd6e5f5,
    0xffd6e6f5,
    0xffd6e6f6,
    0xffd6e6f6,
    0xffd5e6f5,
    0xffd5e5f5,
    0xffd5e5f5,
    0xffd5e5f4,
    0xffd2e2f1,
    0xffd6e6f6,
    0xffd7e7f7,
    0xffd3e2f6,
    0xffd3e2f5,
    0xffd3e2f7,
    0xffd2e1f6,
    0xffd3e2f7,
    0xffd3e3f9,
    0xffd8e9f9,
    0xffd8eaf6,
    0xffd6e7f3,
    0xffd4e5f5,
    0xffd3e4f5,
    0xffd2e3f4,
    0xffd2e3f4,
    0xffd4e5f6,
    0xffd7e6f7,
    0xffdce9f8,
    0xffe0ecfa,
    0xffe8f2fc,
    0xfff2fbff,
    0xfff2f9ff,
    0xffecf3fa,
    0xfff0f5f5,
    0xfffaffff,
    0xfff9fefd,
    0xfff4f9fb,
    0xffedf5f6,
    0xffecf7fb,
    0xffe6f4fb,
    0xffd7e5ed,
    0xffd0e4f3,
    0xffd4e4f1,
    0xffe6f1f9,
    0xfff4fbfe,
    0xfffdffff,
    0xffffffff,
    0xffffffff,
    0xfffeffff,
    0xfffcfcfc,
    0xffffffff,
    0xfffffffe,
    0xfffefeff,
    0xfffcfdff,
    0xfff9f9fc,
    0xfff8f9fb,
    0xfff8f9fe,
    0xfff9fafd,
    0xfff9fafe,
    0xfffafbfe,
    0xfff8f8fc,
    0xfff9fafd,
    0xfff7f8fc,
    0xfff6f7fb,
    0xfffefeff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdfdfd,
    0xfffcfcfe,
    0xffffffff,
    0xfffdfdfe,
    0xfff7f7f9,
    0xfff4f6f9,
    0xffedf0f5,
    0xffe4e9f3,
    0xffe6ecf8,
    0xffdee6f3,
    0xffdbe3ef,
    0xffe4ebf7,
    0xffeff4ff,
    0xffe2e3ee,
    0xffc2c9c3,
    0xff92a088,
    0xff819478,
    0xff6a7968,
    0xffc2ccc7,
    0xffeae9f0,
    0xfffdfaff,
    0xffebebed,
    0xffc8cbcf,
    0xffbcc2c6,
    0xffe2e8ef,
    0xffdee3e9,
    0xffeef1f7,
    0xfff5f3fb,
    0xffefecf4,
    0xffefeef5,
    0xffedeef4,
    0xffeaeaf0,
    0xffe8ebf2,
    0xffe9ecf3,
    0xffeef1f8,
    0xffeceff6,
    0xffe6e9f4,
    0xffeae9fa,
    0xffe8e8f8,
    0xffdbe0e5,
    0xff96a39a,
    0xff7f8d7c,
    0xff96a791,
    0xff9aab99,
    0xff829086,
    0xffbdc7b6,
    0xffa7b39c,
    0xff9aaa7e,
    0xff789551,
    0xff628644,
    0xff4b7042,
    0xff5a8051,
    0xff5e8347,
    0xff406937,
    0xff2d5230,
    0xff698778,
    0xff96abab,
    0xffffffff,
    0xffd3d7d2,
    0xfff4f0e4,
    0xffd6cfbc,
    0xff8d8f5a,
    0xffa18c5a,
    0xffb78e44,
    0xffb68221,
    0xffc8962c,
    0xffcc9b2a,
    0xffc88d24,
    0xffc67c2e,
    0xffab722c,
    0xff9f783b,
    0xff9e7e40,
    0xffe9ccb1,
    0xffc5b6b6,
    0xfff5eaec,
    0xfffbf1ed,
    0xffd7d6b5,
    0xffd6b898,
    0xff8d7430,
    0xff90842e,
    0xff717228,
    0xff424a14,
    0xff576435,
    0xff35441e,
    0xff293b23,
    0xff5a6b57,
    0xff55684b,
    0xffaabe9a,
    0xff899d7d,
    0xff000900,
    0xff657776,
    0xff93aaa7,
    0xff536d61,
    0xff1d4b29,
    0xff344f21,
    0xff4e5523,
    0xff272400,
    0xff353622,
    0xff0f1e14,
    0xff00160b,
    0xff0b2a17,
    0xff173014,
    0xff203422,
    0xff526453,
    0xff193017,
    0xff0a220e,
    0xff132620,
    0xff09160c,
    0xff0e1602,
    0xff201c0d,
    0xff111509,
    0xffcedbd6,
    0xffdeeedf,
    0xff667358,
    0xff0c1800,
    0xff3d5727,
    0xff587c4e,
    0xff749b5f,
    0xff4b7430,
    0xff375d22,
    0xff3e6137,
    0xff183a1b,
    0xff2f4e2c,
    0xff244324,
    0xff052112,
    0xff122a20,
    0xff152c23,
    0xff081e19,
    0xff132a26,
    0xff132924,
    0xff2e453d,
    0xff0c2219,
    0xff092114,
    0xff061e11,
    0xff0b2214,
    0xff1e3628,
    0xff132a1a,
    0xff0f2616,
    0xff092516,
    0xff0d271b,
    0xff011b0e,
    0xff001606,
    0xff17331e,
    0xff26432a,
    0xff1d3922,
    0xff00160b,
    0xff112319,
    0xff162511,
    0xff232f16,
    0xff3e4821,
    0xff2d3c11,
    0xff041500,
    0xff08190a,
    0xff27371c,
    0xff203218,
    0xff0c1b0c,
    0xff10260d,
    0xff1f3106,
    0xff5c6d2e,
    0xff716b21,
    0xff705d19,
    0xff7b6f3c,
    0xff5d421d,
    0xff916034,
    0xff73430b,
    0xff6e4810,
    0xff6d3c08,
    0xff8a5418,
    0xff9e6f1e,
    0xff865601,
    0xffaa6f04,
    0xffe4a22b,
    0xffcd8e07,
    0xffbb7e0a,
    0xffb2780e,
    0xffb17c17,
    0xffb2790b,
    0xffc98d17,
    0xffbe840c,
    0xffc0931e,
    0xffa88916,
    0xffa58409,
    0xffb6911a,
    0xff9e760f,
    0xff9e792b,
    0xff523302,
    0xff352000,
    0xff625025,
    0xff544815,
    0xff565b24,
    0xff4c612a,
    0xff485327,
    0xff280d00,
    0xff642a19,
    0xff732a13,
    0xff9a4925,
    0xffad5024,
    0xff6c1702,
    0xff531c02,
    0xff4e1400,
    0xff601506,
    0xff57130c,
    0xff4f0b0a,
    0xff520d0d,
    0xff4e1b15,
    0xff3e1006,
    0xff481100,
    0xff713318,
    0xff5d260a,
    0xff441902,
    0xff3f1b02,
    0xff55270b,
    0xff672f0e,
    0xff602407,
    0xff682009,
    0xff673b19,
    0xff505a26,
    0xff4a5317,
    0xffa87c42,
    0xffb66d28,
    0xff985a06,
    0xff7c430d,
    0xff7c7642,
    0xff727745,
    0xff221700,
    0xff4f4e2a,
    0xff2e3a08,
    0xff222203,
    0xff555128,
    0xff49450e,
    0xff1f1e03,
    0xff20281d,
    0xff1f2a1a,
    0xff111a06,
    0xff232b1a,
    0xff132001,
    0xff5a6e38,
    0xff051602,
    0xff202f22,
    0xff16261d,
    0xff010d08,
    0xff1d281c,
    0xff404519,
    0xff373800,
    0xff4c4519,
    0xff736a45,
    0xff1b1300,
    0xff322d08,
    0xff272209,
    0xff281d0e,
    0xff0f0300,
    0xff110304,
    0xff140607,
    0xff1a0a00,
    0xff2f200c,
    0xff211100,
    0xff38260f,
    0xff4d3a1f,
    0xff362207,
    0xff251200,
    0xff2d1b02,
    0xff231105,
    0xff2f1d07,
    0xff261301,
    0xff291109,
    0xff270c01,
    0xff381e00,
    0xff8e7138,
    0xff5b3902,
    0xff4a5b68,
    0xff4d4d5a,
    0xff514351,
    0xff635b6f,
    0xff394764,
    0xff0e2e51,
    0xff072a4d,
    0xff0b2745,
    0xff041b3c,
    0xff0d2549,
    0xff0b2042,
    0xff4f5975,
    0xff645f74,
    0xff594f5d,
    0xff4b4352,
    0xff3f3c4e,
    0xff332c41,
    0xff322e44,
    0xff38364c,
    0xff4e4457,
    0xff5e4a5a,
    0xff533f4a,
    0xff3c2d37,
    0xff372e37,
    0xff65494d,
    0xff8c5d5a,
    0xff7e6d51,
    0xff9ca46f,
    0xffb2ae6f,
    0xffb2b16a,
    0xffb0b064,
    0xff9f7939,
    0xffac562c,
    0xffaf4d1e,
    0xffad390f,
    0xffb93d18,
    0xffe37a3d,
    0xfffab155,
    0xffe69c41,
    0xffdf8437,
    0xffcf6320,
    0xffd25b27,
    0xffbf4a24,
    0xffa33a18,
    0xff8c2308,
    0xff790a01,
    0xff6c0e16,
    0xff702c3e,
    0xff6e3747,
    0xff652333,
    0xff5d0616,
    0xff6b030e,
    0xff710007,
    0xff710106,
    0xff700606,
    0xff730c07,
    0xff710708,
    0xff740101,
    0xff7c0000,
    0xff780000,
    0xff790109,
    0xff7c000a,
    0xff8e030c,
    0xffa70d13,
    0xffb10d18,
    0xffa60514,
    0xff83000a,
    0xff6b0105,
    0xff81271c,
    0xffa7674c,
    0xffa8845b,
    0xffad885f,
    0xff762720,
    0xff5a0000,
    0xff590000,
    0xff984e3a,
    0xffd38f69,
    0xffd17f55,
    0xffd96c49,
    0xffd15539,
    0xffcc4121,
    0xffb21913,
    0xffc31c25,
    0xffc51720,
    0xffb70414,
    0xffb90025,
    0xffb0002c,
    0xffae0136,
    0xff9e104c,
    0xffa62f5b,
    0xff8f375d,
    0xff5b2954,
    0xff3b2b44,
    0xff6a1d24,
    0xffc30f14,
    0xffcd1a0c,
    0xffcc1813,
    0xffbe040c,
    0xffba0003,
    0xffd22010,
    0xffe53a25,
    0xffa00400,
    0xff93010a,
    0xff88020d,
    0xff800208,
    0xff87040c,
    0xff890209,
    0xff870005,
    0xff870005,
    0xff850001,
    0xff880102,
    0xff880000,
    0xff830301,
    0xff990200,
    0xffad2329,
    0xff774526,
    0xff908c4b,
    0xffb3b56d,
    0xff9aa75e,
    0xff8e7a53,
    0xff6b724c,
    0xff6a663a,
    0xff876e3c,
    0xff6c6e34,
    0xff6a7348,
    0xff898260,
    0xff596d4a,
    0xff779878,
    0xff1f482d,
    0xff7a9f68,
    0xff99b177,
    0xff97a475,
    0xff93a16a,
    0xff8b9c5c,
    0xff92a86c,
    0xffa1b879,
    0xffa1ba76,
    0xffa0b46f,
    0xffa1ae6a,
    0xffa1aa6a,
    0xff9da268,
    0xffa2a46c,
    0xffa1a66c,
    0xff9ea467,
    0xffa3a669,
    0xff99a665,
    0xffa1a66b,
    0xff929066,
    0xff839063,
    0xff89935d,
    0xff969e76,
    0xff587261,
    0xff252f20,
    0xffa69065,
    0xffbd9b5b,
    0xffa8865d,
    0xff888e75,
    0xff29553c,
    0xff2c4a46,
    0xff0d253f,
    0xff1e3d49,
    0xff3c6c57,
    0xff2d5647,
    0xff284460,
    0xff497473,
    0xff255943,
    0xff26414e,
    0xff424645,
    0xffcab56c,
    0xffc1a453,
    0xffb2aa58,
    0xff9bac56,
    0xff9b923d,
    0xffc28b46,
    0xffb69167,
    0xff314235,
    0xff1d354c,
    0xff466763,
    0xff0f3343,
    0xff03235c,
    0xff112f67,
    0xff17345d,
    0xff223b69,
    0xff284271,
    0xff194060,
    0xff34494f,
    0xff757c66,
    0xffaeb78b,
    0xffb9c383,
    0xffaeb867,
    0xffc6d18a,
    0xff788853,
    0xff537153,
    0xff5a836a,
    0xff578576,
    0xff5d8477,
    0xff6c845f,
    0xffa0ac6a,
    0xff939859,
    0xff81825e,
    0xff515d4d,
    0xff4e725f,
    0xff2d5c51,
    0xff426c56,
    0xff607b57,
    0xff5e664c,
    0xff605f50,
    0xff6a6d4e,
    0xffacb471,
    0xff93814d,
    0xff7f8154,
    0xff4b6947,
    0xff596d60,
    0xff29463b,
    0xff547a5b,
    0xff808355,
    0xffafaf6b,
    0xff767843,
    0xffac9f68,
    0xffe1ac70,
    0xffc98061,
    0xff65474b,
    0xff323c44,
    0xff55584f,
    0xff847f69,
    0xff283d49,
    0xff2b5a62,
    0xff306364,
    0xff4c6c57,
    0xff848c67,
    0xff968d52,
    0xff7a663e,
    0xff7b6650,
    0xff827e4c,
    0xff959c74,
    0xff879657,
    0xffafad63,
    0xff927848,
    0xffb99a70,
    0xff918155,
    0xffb19e74,
    0xffb1915b,
    0xffc39b71,
    0xffa3755f,
    0xffc6957c,
    0xffa2916c,
    0xff6e8264,
    0xff8ca790,
    0xff94a290,
    0xff5b626c,
    0xff717066,
    0xff7d7755,
    0xff7d7f75,
    0xff738395,
    0xff4f6671,
    0xff677379,
    0xff495f6c,
    0xff71737e,
    0xff6c616a,
    0xff868085,
    0xff838779,
    0xff8a8a70,
    0xff706557,
    0xff78646d,
    0xffae807e,
    0xff987965,
    0xff646a53,
    0xff846953,
    0xffa1836f,
    0xff565c3f,
    0xffc1ac7d,
    0xffab8f5b,
    0xffaa8f7f,
    0xff60645f,
    0xff858385,
    0xff907970,
    0xff806b5c,
    0xff826b5f,
    0xffa8856e,
    0xffb69868,
    0xffa89371,
    0xff7d605c,
    0xff947661,
    0xffa0815d,
    0xffa68a69,
    0xff9d8676,
    0xff8a7771,
    0xff786e48,
    0xff9d9175,
    0xff877753,
    0xffa08968,
    0xff987c6f,
    0xffa1857d,
    0xff9d8574,
    0xff806c5c,
    0xff83726d,
    0xff686651,
    0xffa79f99,
    0xff828288,
    0xff616f82,
    0xff456579,
    0xff668d9f,
    0xff9fc0d2,
    0xffd9edff,
    0xffd9eaf9,
    0xffd8eafc,
    0xffd9ebfb,
    0xffd5e6f6,
    0xffd5e7f7,
    0xffd6e7f7,
    0xffd5e7f6,
    0xffd4e4f4,
    0xffd5e4f3,
    0xffd9e5f6,
    0xffdce9f9,
    0xffdce9fa,
    0xffd8e5f9,
    0xffd8e4f8,
    0xffd6e2f8,
    0xffd6e1f8,
    0xffd6e3f9,
    0xffdbe8f9,
    0xffdce9f8,
    0xffe0effc,
    0xffdbe7f8,
    0xffd9e6f9,
    0xffd8e5f6,
    0xffd7e4f3,
    0xffd3e6f3,
    0xffd8e7f4,
    0xffdaebf6,
    0xffe0eef7,
    0xffdfecf6,
    0xffe4eff8,
    0xffe9f2fa,
    0xffe6f0f7,
    0xffe5ecf9,
    0xffeaf1fe,
    0xffeff6fe,
    0xffe6ecf9,
    0xffdbe2ef,
    0xffdde9f9,
    0xffe8f4ff,
    0xffd4e4f6,
    0xffcfe3f2,
    0xffd4e4f1,
    0xffe2eef6,
    0xfffbffff,
    0xfffffefe,
    0xfffffffe,
    0xfffffefc,
    0xfffafbf8,
    0xfffaf8f8,
    0xfff8f8f8,
    0xfffcfbfe,
    0xfffefefe,
    0xfffcfeff,
    0xfff9fafe,
    0xfff9f9fe,
    0xfff7f8fb,
    0xfff6f8fc,
    0xfff8f9fc,
    0xfff4f5f9,
    0xfff2f3f6,
    0xffeff1f4,
    0xffeceff2,
    0xffeaebf0,
    0xfff2f5f8,
    0xfffbfcfb,
    0xfffefeff,
    0xfffdfcfe,
    0xfffbfbfd,
    0xfffdfdfe,
    0xfff7f6fa,
    0xfff4f2f8,
    0xffecebf0,
    0xffedeff3,
    0xffe7ebf0,
    0xffe6edf6,
    0xffd7dfed,
    0xffc9d2e1,
    0xffd1dde8,
    0xffc1cad4,
    0xffe1e9f3,
    0xffdddeed,
    0xffc1cac7,
    0xffaaba9f,
    0xff6c8362,
    0xff667768,
    0xffc8d0d3,
    0xffc3c3cf,
    0xfff8f2ff,
    0xffb6babd,
    0xff9ba2a2,
    0xff878f91,
    0xff8c9599,
    0xffd3dae2,
    0xfff3f5ff,
    0xffeeecf7,
    0xfff2eef9,
    0xffedecf9,
    0xffedeef9,
    0xffefeef8,
    0xfff0f4fa,
    0xfff3f6fb,
    0xfff5f7fb,
    0xfff9fcfe,
    0xfffbfffe,
    0xffffffff,
    0xffd6d8d1,
    0xffe1ebd8,
    0xff748661,
    0xff89a06d,
    0xff7b9760,
    0xff435e2d,
    0xff4c653b,
    0xff6e8758,
    0xff759050,
    0xff708b3e,
    0xff82a14f,
    0xff688f4a,
    0xff426734,
    0xff416839,
    0xff587e4f,
    0xff326034,
    0xff143e20,
    0xff4d7263,
    0xffadc8c0,
    0xffd3e4d8,
    0xff656d56,
    0xffb7b592,
    0xff847c50,
    0xff9d874a,
    0xffc1985e,
    0xffba8039,
    0xffdc9b49,
    0xffc98832,
    0xffd09432,
    0xffc68620,
    0xffcd8533,
    0xffb67422,
    0xffb87c26,
    0xffb87727,
    0xffc0854b,
    0xffc2a066,
    0xffd0b181,
    0xffcca27f,
    0xffbb9a58,
    0xffaf8c48,
    0xff8f7628,
    0xff9a8430,
    0xff9d8332,
    0xff94863c,
    0xff77803b,
    0xff4c652c,
    0xff354a23,
    0xff16301f,
    0xff3f5e3a,
    0xff2e5120,
    0xff1e4115,
    0xff1e3f1b,
    0xff34592d,
    0xff204415,
    0xff1a3c14,
    0xff1d260e,
    0xff2d3c28,
    0xff1c331c,
    0xff243719,
    0xff2e3a11,
    0xff111800,
    0xff142003,
    0xff10230b,
    0xff536351,
    0xff495a50,
    0xff122616,
    0xff0f240a,
    0xff0d2408,
    0xff0d1b12,
    0xff141611,
    0xff2f2819,
    0xff57482b,
    0xff484625,
    0xff2d3424,
    0xff51613b,
    0xff8d9a61,
    0xff839155,
    0xff70883e,
    0xff5b793d,
    0xff527936,
    0xff527932,
    0xff3c6123,
    0xff1f4217,
    0xff244623,
    0xff1e411d,
    0xff1e3f20,
    0xff062511,
    0xff0a2013,
    0xff082112,
    0xff0b2616,
    0xff001c0f,
    0xff041b0f,
    0xff03190c,
    0xff001306,
    0xff071c0f,
    0xff071d11,
    0xff192f23,
    0xff0f2518,
    0xff092114,
    0xff0d2518,
    0xff0b2215,
    0xff021c0e,
    0xff062015,
    0xff173324,
    0xff133117,
    0xff173716,
    0xff102c11,
    0xff051b0e,
    0xff0d1e13,
    0xff1c2912,
    0xff2d3c15,
    0xff445222,
    0xff2b3c11,
    0xff000d00,
    0xff091811,
    0xff111e10,
    0xff0c170b,
    0xff08140a,
    0xff071500,
    0xff1a1200,
    0xff54430b,
    0xff875911,
    0xff98621f,
    0xff4a2c03,
    0xff351903,
    0xff522905,
    0xff512d00,
    0xff8a672f,
    0xff471a00,
    0xff8a520e,
    0xffc89121,
    0xffbb8500,
    0xffc48e0b,
    0xffb07b04,
    0xffc68e12,
    0xffc18011,
    0xff844700,
    0xff9f680f,
    0xffc38c19,
    0xffe2ae20,
    0xffcda015,
    0xff907500,
    0xffa69b26,
    0xff938b10,
    0xff9f920f,
    0xff9a890f,
    0xff827521,
    0xff1f1a06,
    0xff05080c,
    0xff020506,
    0xff282b14,
    0xff152303,
    0xff0e280b,
    0xff4a634b,
    0xff292e20,
    0xff1a0b02,
    0xff250c05,
    0xff4f1d11,
    0xff63150e,
    0xff73210d,
    0xff76250e,
    0xff904028,
    0xff762e1b,
    0xff591405,
    0xff64150f,
    0xff5a1107,
    0xff440e03,
    0xff440b04,
    0xff571107,
    0xff5f0f00,
    0xff631807,
    0xff521607,
    0xff481806,
    0xff4b1700,
    0xff753a17,
    0xff68300c,
    0xff63310e,
    0xff6a4f27,
    0xff454e1e,
    0xff405d21,
    0xff57611d,
    0xff916e24,
    0xffb57022,
    0xffae6a1c,
    0xff836829,
    0xff4b4e17,
    0xff393318,
    0xff201a04,
    0xff1c2c08,
    0xff1c2c0b,
    0xff1e1c00,
    0xff454414,
    0xff313919,
    0xff0f200b,
    0xff0c2007,
    0xff13210d,
    0xff171f15,
    0xff141d08,
    0xff152304,
    0xff1c251a,
    0xff172709,
    0xff25380e,
    0xff152310,
    0xff20231e,
    0xff45431d,
    0xff65591f,
    0xff644d24,
    0xff564817,
    0xff2e2703,
    0xff221f00,
    0xff2c2611,
    0xff281d0c,
    0xff847455,
    0xff1b0a00,
    0xff7e6f41,
    0xff795e1b,
    0xff7b5d1c,
    0xff795b1f,
    0xff5c4009,
    0xff604812,
    0xff3b2d00,
    0xff3b310b,
    0xff201800,
    0xff291005,
    0xff3a1d00,
    0xff3e1b01,
    0xff3e1b0e,
    0xff5a3c20,
    0xff937c2f,
    0xff967a1f,
    0xff987029,
    0xff334055,
    0xff59596c,
    0xff4b3d50,
    0xff5a5269,
    0xff485070,
    0xff0d254b,
    0xff001c40,
    0xff001e42,
    0xff0f2750,
    0xff0e243d,
    0xff586774,
    0xff79798b,
    0xff61546f,
    0xff564862,
    0xff4c4659,
    0xff3e3d49,
    0xff2f2c3c,
    0xff352c40,
    0xff3d3147,
    0xff554657,
    0xff5d4a54,
    0xff443438,
    0xff3c2d2c,
    0xff433232,
    0xff886966,
    0xff8c865e,
    0xff9ea763,
    0xffa19a56,
    0xffa8884a,
    0xffb18244,
    0xffa65e2c,
    0xffaa4426,
    0xffb84129,
    0xffbe4216,
    0xffbc4314,
    0xffbe4324,
    0xffbc3f20,
    0xffc44b19,
    0xffcd5d23,
    0xffc1541a,
    0xffd2591e,
    0xffd8602e,
    0xffc7542b,
    0xffc24f32,
    0xffa93c29,
    0xff812724,
    0xff7d4050,
    0xff64435c,
    0xff4c3f4c,
    0xff4c3139,
    0xff5b1b1b,
    0xff760608,
    0xff740007,
    0xff660916,
    0xff670c13,
    0xff79040b,
    0xff75000b,
    0xff6e0401,
    0xff820000,
    0xff890001,
    0xff8a0004,
    0xff9d152c,
    0xff8a0f1f,
    0xffb52420,
    0xffbb161a,
    0xff96000f,
    0xff7f010f,
    0xff923e30,
    0xffba8a64,
    0xffae9063,
    0xffa78b5f,
    0xffa5875a,
    0xffa16856,
    0xff571300,
    0xffac7653,
    0xffc88660,
    0xffc56646,
    0xffc4422c,
    0xffc12213,
    0xffcc3621,
    0xffd43b25,
    0xffbf2411,
    0xffc42415,
    0xffcf2821,
    0xffc7171b,
    0xffc0091c,
    0xffbf0524,
    0xffbb0429,
    0xffb30038,
    0xff960436,
    0xff9c0f3b,
    0xffb83150,
    0xff953947,
    0xff7f2632,
    0xff9b0613,
    0xffc90a0e,
    0xffc00a02,
    0xffba0003,
    0xffb5000b,
    0xffb60406,
    0xffc8120b,
    0xffbc170a,
    0xff8d0100,
    0xff890009,
    0xff860408,
    0xff8b0309,
    0xff8e0209,
    0xff8a0208,
    0xff850207,
    0xff820306,
    0xff850002,
    0xff890004,
    0xff870004,
    0xffa40000,
    0xffb91b11,
    0xffbf6455,
    0xff837453,
    0xff929f66,
    0xffaaae65,
    0xffb1a65e,
    0xff979b6b,
    0xff756232,
    0xffc4a54e,
    0xffa68b4a,
    0xff917e57,
    0xff8c8363,
    0xff58675c,
    0xff669268,
    0xff3c5f3d,
    0xff698a5d,
    0xff8eac6d,
    0xff9aac72,
    0xff8f9666,
    0xff9fa66b,
    0xffa0a86e,
    0xff848a6a,
    0xff9aa36b,
    0xffa5ad73,
    0xff9fa36b,
    0xff9f9f68,
    0xffa19f6a,
    0xff9fa067,
    0xff9fa167,
    0xffa1a66b,
    0xff9ca76b,
    0xffa8b074,
    0xffacae6f,
    0xffb1b071,
    0xffa2a369,
    0xff959968,
    0xff8d936f,
    0xff677356,
    0xff747458,
    0xffa57f5a,
    0xffa07146,
    0xff998046,
    0xff5b6c42,
    0xff2c5047,
    0xff4d4942,
    0xff997768,
    0xff644d48,
    0xff526950,
    0xff3b6858,
    0xff163746,
    0xff2f4d5d,
    0xff1b4352,
    0xff2b4858,
    0xff383e3a,
    0xffbeb96e,
    0xffb59e51,
    0xff968641,
    0xff919757,
    0xff717332,
    0xff9d884d,
    0xff998463,
    0xff3c3d3b,
    0xff1c394d,
    0xff28464f,
    0xff274256,
    0xff0b2656,
    0xff0e2f69,
    0xff143866,
    0xff163a64,
    0xff1f4170,
    0xff1f405d,
    0xff1e3953,
    0xff223a4b,
    0xff334442,
    0xff75815e,
    0xffaeba79,
    0xff8c9b59,
    0xff778c55,
    0xff78a26a,
    0xff396e5f,
    0xff337567,
    0xff336a4f,
    0xff3b503f,
    0xff838362,
    0xff897843,
    0xffa07755,
    0xffa57e5e,
    0xff6f8e6d,
    0xff75a37e,
    0xff749974,
    0xff819a79,
    0xff7b7f56,
    0xffac9960,
    0xffcda069,
    0xffb19a44,
    0xffdcbf5f,
    0xffd6c273,
    0xff706c32,
    0xffa17f58,
    0xff8c7659,
    0xff5a755a,
    0xff393f27,
    0xffa49b60,
    0xff5f5734,
    0xff78583a,
    0xffba714d,
    0xff8e3b32,
    0xff52232d,
    0xff493e3d,
    0xff6d6b5e,
    0xff786f4f,
    0xff768073,
    0xff22444b,
    0xff456e70,
    0xff739073,
    0xff868a56,
    0xff9d955b,
    0xff8a8456,
    0xff6f7142,
    0xff5f644d,
    0xff807c66,
    0xff91834c,
    0xffaca055,
    0xffbbb47a,
    0xff9d935e,
    0xffa79552,
    0xffb0ab5d,
    0xff928947,
    0xff9d8852,
    0xffb38c5b,
    0xff966e41,
    0xff7c815c,
    0xff436951,
    0xff647d73,
    0xff4d5c50,
    0xff69716a,
    0xff756853,
    0xffbba371,
    0xff9c957f,
    0xff355056,
    0xff6c8f83,
    0xff50605b,
    0xff54767a,
    0xff42565b,
    0xff6b7a7e,
    0xff4e686d,
    0xff4c625e,
    0xff73796f,
    0xff777271,
    0xff6f687a,
    0xff6b5e72,
    0xff726656,
    0xff67635b,
    0xffc4be87,
    0xffc9a663,
    0xff8c6a4b,
    0xffa4905e,
    0xffbca172,
    0xff776b5d,
    0xff5c5758,
    0xff5b595e,
    0xff827973,
    0xff9a8275,
    0xffa88274,
    0xffaf8471,
    0xffa77e5c,
    0xff9f7c5f,
    0xff7e6454,
    0xffa9906b,
    0xffba935d,
    0xffb68b6b,
    0xff997a70,
    0xff917d71,
    0xff917a6a,
    0xffa08865,
    0xff9d815a,
    0xff9c8263,
    0xff91947f,
    0xff486155,
    0xff615a57,
    0xffb48b7d,
    0xffd9bc95,
    0xffbaa582,
    0xffaa9287,
    0xff605e57,
    0xff636c75,
    0xff8e8f92,
    0xff8b9985,
    0xff466569,
    0xff748da8,
    0xffa8c4cb,
    0xff8baccd,
    0xffd2f1ff,
    0xffe0f3fa,
    0xffe2eafa,
    0xffd4e4f3,
    0xffdaedf6,
    0xffdbe4f9,
    0xffdbeef9,
    0xffdeeff4,
    0xffe3eff4,
    0xffdde8f0,
    0xffdee9fd,
    0xffdbe8ff,
    0xffd8e2fa,
    0xffdae5f7,
    0xffd8e3f9,
    0xffd9e4fc,
    0xffdeebff,
    0xffe2eefe,
    0xffe2f0fb,
    0xffd5e5f1,
    0xffd3e3f3,
    0xffd6e6f9,
    0xffd7e9f7,
    0xffd1e3f2,
    0xffd7e7f9,
    0xffd2e3f2,
    0xffd7e7f5,
    0xffd7e6f5,
    0xffd7e5f7,
    0xffd4e4fc,
    0xffcfe2ed,
    0xffd4e5f0,
    0xffd6e6f2,
    0xffd8e8f7,
    0xffd6e6f5,
    0xffd3e2f2,
    0xffd3e3f7,
    0xffd3e2f5,
    0xffcfe4e9,
    0xffd0e1e9,
    0xffe0e8f0,
    0xfffcffff,
    0xfffdfdfc,
    0xfff8faf7,
    0xffeef2f0,
    0xfff3f8f8,
    0xfff6fcfb,
    0xffcdd0d7,
    0xfffafbff,
    0xfffbfcf7,
    0xfff4f4ec,
    0xfff6f7fa,
    0xfff3f7fc,
    0xfff0f4f3,
    0xffefedf3,
    0xfff3f2f1,
    0xfff4f3fa,
    0xffedeff9,
    0xffebf1ef,
    0xffe8eff0,
    0xffe5eaf3,
    0xffe9f0f1,
    0xfff0f5f4,
    0xffe2e6f0,
    0xffefeefe,
    0xfff5f4fb,
    0xffebeaed,
    0xfffcfbff,
    0xffe8e9f3,
    0xfff3f4fa,
    0xffecebfa,
    0xffecedf7,
    0xffe3eaec,
    0xffa5b2ab,
    0xff7a8c7b,
    0xff849d80,
    0xff728b68,
    0xff7c9772,
    0xffb9c5b3,
    0xffa6b69a,
    0xff6f8a55,
    0xff668552,
    0xff4c635d,
    0xffb9c7d7,
    0xffa8b1b9,
    0xffd7dbe1,
    0xff778a89,
    0xff8e9e83,
    0xff667257,
    0xff8b9491,
    0xfff2feff,
    0xffc2cbd8,
    0xffedecfe,
    0xffefe7f4,
    0xffeeedfb,
    0xffefeef5,
    0xfff2f3f6,
    0xfff1f3f7,
    0xfff5f5fc,
    0xfffefcff,
    0xfffbf7f7,
    0xffe6e1db,
    0xffd0d0ca,
    0xffb3b7a1,
    0xffe3eec9,
    0xff75835b,
    0xff708752,
    0xff6d8e48,
    0xff668c46,
    0xff4b7439,
    0xff7c995c,
    0xff769646,
    0xff6c9139,
    0xff587c32,
    0xff527937,
    0xff4f7933,
    0xff204a0b,
    0xff2d5726,
    0xff2d5825,
    0xff133c19,
    0xff29532f,
    0xff457046,
    0xff3c5f33,
    0xffb2c48a,
    0xff595911,
    0xff887839,
    0xff706b2c,
    0xff8a712c,
    0xffb98638,
    0xffad7218,
    0xffbf8322,
    0xffb27b1a,
    0xffb16f18,
    0xffbe7526,
    0xffb3741c,
    0xffc9882f,
    0xffbf7d23,
    0xffc98c32,
    0xffb47d27,
    0xffbb8735,
    0xffb47e34,
    0xff9e6622,
    0xffae7b30,
    0xff9c6c1b,
    0xff956e13,
    0xffa78a2e,
    0xff877921,
    0xff919249,
    0xff92a068,
    0xff6b7f55,
    0xff254920,
    0xff335229,
    0xff1f520c,
    0xff41671e,
    0xff3f642b,
    0xff2a541d,
    0xff3d5222,
    0xff192b09,
    0xff26310c,
    0xff424f27,
    0xff2a3413,
    0xff4e4a1f,
    0xff8d803a,
    0xff928640,
    0xff525322,
    0xff37491e,
    0xff2f360d,
    0xff0c200d,
    0xff183020,
    0xff21310b,
    0xff33431a,
    0xff1e251a,
    0xff392b2b,
    0xff451f14,
    0xff492e15,
    0xff3d2e0d,
    0xff383310,
    0xff131b00,
    0xff000700,
    0xff253412,
    0xff697746,
    0xff596a2c,
    0xff1d4309,
    0xff365d2f,
    0xff153917,
    0xff27492e,
    0xff0b2c0d,
    0xff22411f,
    0xff1c3918,
    0xff274125,
    0xff051d0b,
    0xff02180c,
    0xff03180f,
    0xff03190f,
    0xff091e12,
    0xff14291d,
    0xff0a1e13,
    0xff0f231a,
    0xff13261e,
    0xff11251a,
    0xff102318,
    0xff0a1f0f,
    0xff081f0f,
    0xff041b09,
    0xff132a1b,
    0xff122a1b,
    0xff1c3424,
    0xff0b2311,
    0xff162b19,
    0xff152513,
    0xff121d09,
    0xff212610,
    0xff242810,
    0xff25280b,
    0xff2e390f,
    0xff343b2a,
    0xff202a10,
    0xff0b2406,
    0xff132315,
    0xff091110,
    0xff05170e,
    0xff262400,
    0xff986a2d,
    0xff8f5d0b,
    0xff9d6817,
    0xff7f450e,
    0xff8e592c,
    0xff81551b,
    0xff70400f,
    0xff5e2c0e,
    0xff744104,
    0xffd8a13e,
    0xffd09b28,
    0xffb88d15,
    0xffc19a10,
    0xffd2a417,
    0xffd4a122,
    0xffbc8d19,
    0xffa96f0d,
    0xff996405,
    0xffcaa334,
    0xffc9a92f,
    0xffac950c,
    0xffb2a41a,
    0xff726c00,
    0xff7b780d,
    0xff939422,
    0xff94861c,
    0xffa29101,
    0xffaa963c,
    0xff332914,
    0xff010500,
    0xff0b0c08,
    0xff2b2f07,
    0xff495f36,
    0xff283207,
    0xff48440e,
    0xff5b5435,
    0xff0e090f,
    0xff100403,
    0xff461f08,
    0xff651e09,
    0xff6c2211,
    0xff650e00,
    0xff7c1a09,
    0xff8b2a18,
    0xff7d2613,
    0xff681b0d,
    0xff5c120c,
    0xff5e1512,
    0xff601d16,
    0xff682015,
    0xff5d0f02,
    0xff611407,
    0xff520c02,
    0xff521609,
    0xff5b230c,
    0xff532000,
    0xff472606,
    0xff5c2d0a,
    0xff5d2802,
    0xff684b22,
    0xff4e5324,
    0xff364104,
    0xff584700,
    0xffb2822b,
    0xff9d5b13,
    0xff70440f,
    0xff332400,
    0xff222708,
    0xff202a12,
    0xff0a1504,
    0xff0f2204,
    0xff4e6737,
    0xff1f280b,
    0xff25331f,
    0xff101f10,
    0xff222f0d,
    0xff121610,
    0xff0f0f1b,
    0xff0d1702,
    0xff121e04,
    0xff21210c,
    0xff0a1f02,
    0xff1e2c12,
    0xff171704,
    0xff2e3012,
    0xff646137,
    0xff443207,
    0xff3d2c05,
    0xff664a1f,
    0xff423f18,
    0xff172400,
    0xff222603,
    0xff2b200a,
    0xff20170a,
    0xff0d0c00,
    0xff1b2000,
    0xff332200,
    0xff726111,
    0xff6f5702,
    0xff533900,
    0xff56460d,
    0xff4a4205,
    0xff383206,
    0xff372c10,
    0xff483212,
    0xff4e3309,
    0xff4e3307,
    0xff472b09,
    0xff553408,
    0xff704a09,
    0xff644500,
    0xff675a14,
    0xff132a3e,
    0xff575d70,
    0xff484252,
    0xff4f485c,
    0xff535777,
    0xff0f2348,
    0xff06224b,
    0xff132f58,
    0xff0e244f,
    0xff3f506a,
    0xff75808a,
    0xff54525e,
    0xff64566b,
    0xff5b4e63,
    0xff443d52,
    0xff434253,
    0xff343143,
    0xff322c3c,
    0xff4a3f4e,
    0xff564855,
    0xff4f3f4a,
    0xff3d2d32,
    0xff362a29,
    0xff5a4c47,
    0xff988676,
    0xff8e996f,
    0xff8da268,
    0xff9e9764,
    0xffa37746,
    0xffa25f26,
    0xffb25925,
    0xffbe4f2b,
    0xffc04017,
    0xffc54219,
    0xffc4481e,
    0xffbf4e24,
    0xffb74a1d,
    0xffc05229,
    0xffcb582f,
    0xffcc572b,
    0xffc94c20,
    0xffc94c23,
    0xffc24e2a,
    0xffa64531,
    0xff84423e,
    0xff714f57,
    0xff4f4850,
    0xff474f55,
    0xff49596b,
    0xff585a66,
    0xff4d1719,
    0xff7b0d07,
    0xff7d0a04,
    0xff690b09,
    0xff6a0c08,
    0xff760b00,
    0xff6b0308,
    0xff720100,
    0xff820000,
    0xff9f0b07,
    0xffd62d2b,
    0xffbb303a,
    0xff72161c,
    0xffbd4845,
    0xffc73e38,
    0xff8c1a1e,
    0xff7e3332,
    0xffb3866d,
    0xff9e8358,
    0xff9b825d,
    0xff9c8267,
    0xffa48b70,
    0xffa88568,
    0xffa38760,
    0xffac9060,
    0xffcd7351,
    0xffc73928,
    0xffbd2517,
    0xffc52013,
    0xffc72918,
    0xffd73d27,
    0xffc62913,
    0xffc3230e,
    0xffd32d1f,
    0xffd12822,
    0xffc91c22,
    0xffc1101f,
    0xffb8031b,
    0xffc20227,
    0xffb8062d,
    0xffaf0531,
    0xffa5052c,
    0xffae2f3e,
    0xffdd7f74,
    0xff89160e,
    0xffa20006,
    0xffae0412,
    0xffb80217,
    0xffbd0011,
    0xffc00005,
    0xffcd1a0b,
    0xffe53d26,
    0xffcc2e25,
    0xff890000,
    0xff850209,
    0xff88000b,
    0xff8e010d,
    0xff8a020c,
    0xff840007,
    0xff830006,
    0xff890108,
    0xff8e0006,
    0xff870003,
    0xffb21009,
    0xffcc341f,
    0xff974022,
    0xff59512d,
    0xff435b2e,
    0xffa2b36f,
    0xffacb061,
    0xff9e9e5a,
    0xff917f3e,
    0xffbea540,
    0xff9e8545,
    0xff7d7d60,
    0xff324d39,
    0xff0a2931,
    0xff415c4f,
    0xff6c8e6f,
    0xff6d8d62,
    0xff91b06e,
    0xffa1b672,
    0xffa6af74,
    0xff9ba15d,
    0xff9aa060,
    0xff828661,
    0xffa1aa72,
    0xffa2a76c,
    0xffa5a96e,
    0xffaaaa70,
    0xffa8a76d,
    0xffa3a369,
    0xffa0a167,
    0xffa3a46b,
    0xffa1a96b,
    0xffa2a966,
    0xffa4a964,
    0xffaeb16f,
    0xff94975b,
    0xff808555,
    0xff626946,
    0xff767d61,
    0xff9c8f55,
    0xff947137,
    0xff8f7849,
    0xff7e7444,
    0xff798367,
    0xff333d32,
    0xffb1916a,
    0xffb67d42,
    0xffab8266,
    0xff687153,
    0xff345d56,
    0xff163f53,
    0xff234e62,
    0xff205061,
    0xff0f3044,
    0xff494e56,
    0xff817c65,
    0xff9b8a61,
    0xff8b824e,
    0xff768455,
    0xff6a7251,
    0xff8d8169,
    0xff837567,
    0xff515c53,
    0xff395658,
    0xff334f58,
    0xff203a51,
    0xff0f2b52,
    0xff0e2f5b,
    0xff113558,
    0xff133351,
    0xff183556,
    0xff294270,
    0xff4d4d64,
    0xff4d464d,
    0xff383e43,
    0xff4d543e,
    0xffb5af79,
    0xff6e632f,
    0xff75765d,
    0xff568160,
    0xff304f5a,
    0xff24455b,
    0xff194047,
    0xff404849,
    0xff9f8060,
    0xffc3944e,
    0xffaf853d,
    0xffa59269,
    0xff5e6857,
    0xff455a48,
    0xff487650,
    0xff3b6d51,
    0xff657c64,
    0xff999f73,
    0xffb19b63,
    0xff8e762a,
    0xffb6b15b,
    0xff929147,
    0xffb2a75f,
    0xffcea45f,
    0xffaa8655,
    0xff687353,
    0xff3d341e,
    0xffb19967,
    0xffb49d6f,
    0xff9b7b43,
    0xffb18142,
    0xff956437,
    0xffa28563,
    0xff827f5f,
    0xff717a6d,
    0xff3f4845,
    0xff5f6f72,
    0xff416165,
    0xff0f2f2d,
    0xff393a2d,
    0xff9b7e61,
    0xff9d8456,
    0xff757b3d,
    0xff9da866,
    0xff858f5f,
    0xff9fa374,
    0xff9b9352,
    0xff9f9d52,
    0xff8c9856,
    0xff566728,
    0xffa7ae68,
    0xff99974b,
    0xffb3a957,
    0xffb9af58,
    0xffb6a553,
    0xffb5a150,
    0xffbcbe6b,
    0xff808b4c,
    0xff767255,
    0xff556555,
    0xff6f786e,
    0xff898a7b,
    0xff898f5f,
    0xff86916a,
    0xff6e886e,
    0xff507c59,
    0xff508170,
    0xff447568,
    0xff567f85,
    0xff38576c,
    0xff324a63,
    0xff537081,
    0xff30535c,
    0xff56797d,
    0xff4c6b6d,
    0xff617378,
    0xff5c6f66,
    0xff59767d,
    0xff5f785b,
    0xffb0aa75,
    0xff9e8e70,
    0xffadac80,
    0xff847f55,
    0xff9c8871,
    0xff8b7774,
    0xff746364,
    0xff847264,
    0xff907c5d,
    0xff8a7459,
    0xff847566,
    0xff776f64,
    0xff9b8179,
    0xff927c5e,
    0xffa48564,
    0xffae8371,
    0xffa47a68,
    0xffa89366,
    0xffa5a27c,
    0xff7b7a79,
    0xff766b5b,
    0xffc0b18f,
    0xff918075,
    0xff5d5c5d,
    0xff7b8672,
    0xff796d61,
    0xff92796f,
    0xff888250,
    0xff9dac75,
    0xff8d9b7d,
    0xff63735a,
    0xff837a74,
    0xffb49488,
    0xffa49273,
    0xff7d9284,
    0xff427070,
    0xff5d7891,
    0xff486789,
    0xff3d5d75,
    0xffbcced9,
    0xffccd0df,
    0xffeaf0fe,
    0xffc5d3e1,
    0xffddeefe,
    0xffd7e5fc,
    0xffdae6f6,
    0xffd9e4ec,
    0xffdeedec,
    0xffdaeeed,
    0xffd6eff1,
    0xffd0e8f2,
    0xffd4ebf9,
    0xffd3e4f4,
    0xffd4e4f6,
    0xffd3e3f5,
    0xffd5e5f6,
    0xffd6e6f5,
    0xffd4e6f4,
    0xffd3e5f6,
    0xffdaeafd,
    0xffd8e9f6,
    0xffd6e6f4,
    0xffd7e5f5,
    0xffd7e3f4,
    0xffd9e7f1,
    0xffd6e6f1,
    0xffd5e6f4,
    0xffd5e6f8,
    0xffd5e7f8,
    0xffd4e5f6,
    0xffd6e7f8,
    0xffdae8fa,
    0xffd8e5f6,
    0xffd6e3f4,
    0xffdae6f8,
    0xffdbe8f9,
    0xffe1edfb,
    0xffe5eeff,
    0xffe4e9f9,
    0xffc7c9d4,
    0xfff3f5fc,
    0xfff7f9fe,
    0xffdee0ef,
    0xffe8eafe,
    0xffe5ebfd,
    0xffc6cae2,
    0xfff5f8ff,
    0xffe9edef,
    0xffc8cac9,
    0xffffffff,
    0xfffbf9ff,
    0xfff6f3f9,
    0xfff1f3fd,
    0xffedf0f5,
    0xffe8e9fb,
    0xffe2e2f5,
    0xffebeff0,
    0xffe9eaee,
    0xffedebfc,
    0xfff0eff8,
    0xffb5bbb4,
    0xffc8d1cd,
    0xffe7f0f2,
    0xffbfcbcd,
    0xff94a597,
    0xffa0b69b,
    0xff7c9185,
    0xffbed0dc,
    0xffe3efee,
    0xffb4c3c1,
    0xffa9bcaa,
    0xff7b9566,
    0xff728e55,
    0xff6c8558,
    0xff697f57,
    0xff617849,
    0xff788a58,
    0xff526838,
    0xff5b793c,
    0xff65844a,
    0xff345136,
    0xff1d3227,
    0xffbdd0c0,
    0xffb2c2b6,
    0xff4b6241,
    0xff546b30,
    0xff819262,
    0xff7c8a77,
    0xffafbeb9,
    0xffc2ced2,
    0xffe5e9f5,
    0xffebe8f0,
    0xfff9fafd,
    0xffdadde5,
    0xffced2dc,
    0xffe6eff0,
    0xffccdac9,
    0xffa0b290,
    0xff798c60,
    0xff8fa374,
    0xff879964,
    0xff72884a,
    0xff778b51,
    0xff7d9658,
    0xff658037,
    0xff74973f,
    0xff51762e,
    0xff385929,
    0xff638542,
    0xff749943,
    0xff62882c,
    0xff577e2d,
    0xff588037,
    0xff5d8937,
    0xff558133,
    0xff5f8c4b,
    0xff36662f,
    0xff385c30,
    0xff486432,
    0xff6a8f56,
    0xff668e5b,
    0xff2e4d10,
    0xff7b7d34,
    0xff856a26,
    0xffa28642,
    0xff876e20,
    0xff9b7d28,
    0xffab7a29,
    0xffc8853a,
    0xffbd742a,
    0xffaf6e19,
    0xffab7514,
    0xffc38034,
    0xffb57423,
    0xffb97d23,
    0xffcb8e2e,
    0xffc28528,
    0xffc58c35,
    0xffa77427,
    0xff976822,
    0xff9c7813,
    0xffa98c22,
    0xffa18c20,
    0xff8e871c,
    0xff828a23,
    0xff61781c,
    0xff4f7122,
    0xff2f590f,
    0xff538529,
    0xff5a8730,
    0xff669b41,
    0xff407322,
    0xff205014,
    0xff174216,
    0xff162a0e,
    0xff1d2512,
    0xff6e6725,
    0xff78752d,
    0xff838748,
    0xff394109,
    0xff596a14,
    0xff526511,
    0xff42540f,
    0xff546728,
    0xff172b11,
    0xff1b2f26,
    0xff1a2119,
    0xff382f15,
    0xff302b07,
    0xff2d321a,
    0xff263117,
    0xff1f2200,
    0xff4a3916,
    0xff443a11,
    0xff5e6037,
    0xff3f4a29,
    0xff0e200a,
    0xff11220e,
    0xff001100,
    0xff2f3e13,
    0xff264714,
    0xff11340a,
    0xff113011,
    0xff17361d,
    0xff1a371b,
    0xff2f4b31,
    0xff102813,
    0xff05190b,
    0xff081b0c,
    0xff081a0f,
    0xff071711,
    0xff061810,
    0xff06160c,
    0xff091b0f,
    0xff15261b,
    0xff11211a,
    0xff0a1e15,
    0xff061a0e,
    0xff04180c,
    0xff0a1f0f,
    0xff031b08,
    0xff081f0d,
    0xff1e3522,
    0xff1a311e,
    0xff0f2612,
    0xff142a18,
    0xff0e210e,
    0xff132310,
    0xff27331d,
    0xff2d341d,
    0xff2f351c,
    0xff33391d,
    0xff283412,
    0xff1c2412,
    0xff0e1700,
    0xff092110,
    0xff0e2015,
    0xff152113,
    0xff001408,
    0xff3c3e26,
    0xff97712a,
    0xff9d6d23,
    0xff743d00,
    0xff844b1b,
    0xff64330f,
    0xff411b04,
    0xff5a3c1a,
    0xff321500,
    0xff86450f,
    0xffd49637,
    0xff9f680b,
    0xffcf9c51,
    0xffbe842b,
    0xff9f5a01,
    0xffd08f31,
    0xff815001,
    0xff8e6413,
    0xffbb9a24,
    0xffb29c18,
    0xffb7a323,
    0xffac9b1b,
    0xffafa61b,
    0xff8e8a06,
    0xff9e9e25,
    0xff7b7e00,
    0xff908212,
    0xffa99412,
    0xff826e09,
    0xff3f3306,
    0xff3a390b,
    0xff312a0e,
    0xff4b400f,
    0xff756e32,
    0xff6b5b12,
    0xff715903,
    0xff917633,
    0xff3b2100,
    0xff351200,
    0xff5a230c,
    0xff671b11,
    0xff681a02,
    0xff6b2406,
    0xff642403,
    0xff5e1f01,
    0xff72300f,
    0xff611d04,
    0xff571b06,
    0xff430d00,
    0xff511101,
    0xff5b1807,
    0xff611b07,
    0xff5c1b07,
    0xff68331f,
    0xff582e18,
    0xff634221,
    0xff583d15,
    0xff7a5b40,
    0xff431f03,
    0xff5d3819,
    0xff413011,
    0xff3c3c22,
    0xff515132,
    0xff6f582d,
    0xff5f3400,
    0xff573104,
    0xff332100,
    0xff2d340a,
    0xff495b36,
    0xff111e08,
    0xff000300,
    0xff22251b,
    0xff142002,
    0xff252d12,
    0xff0f1506,
    0xff182012,
    0xff112006,
    0xff161e17,
    0xff100d10,
    0xff141504,
    0xff101507,
    0xff585132,
    0xff191300,
    0xff3b2b1b,
    0xff3b2011,
    0xff2d1601,
    0xff3a1900,
    0xff664216,
    0xff5b4918,
    0xff433612,
    0xff292b0e,
    0xff2a3216,
    0xff26280a,
    0xff36331b,
    0xff212410,
    0xff141a00,
    0xff484825,
    0xff1c0e00,
    0xff7a6a26,
    0xff5b4800,
    0xff5a4713,
    0xff483b06,
    0xff3b3700,
    0xff453e0f,
    0xff342906,
    0xff483307,
    0xff523600,
    0xff4a2f00,
    0xff513c08,
    0xff583c01,
    0xff946d23,
    0xff7c5e0f,
    0xff7b6d23,
    0xff405c66,
    0xff596871,
    0xff45444e,
    0xff464153,
    0xff595975,
    0xff313e5e,
    0xff182a4c,
    0xff152a49,
    0xff15273f,
    0xff222f41,
    0xff3b3d46,
    0xff261f24,
    0xff392d37,
    0xff55475a,
    0xff40384e,
    0xff423f52,
    0xff343143,
    0xff37343f,
    0xff52494f,
    0xff564b51,
    0xff443742,
    0xff33272e,
    0xff433a34,
    0xff807869,
    0xff96826c,
    0xff8c8d66,
    0xff828e64,
    0xff959070,
    0xff987c5e,
    0xff9b7347,
    0xff9f6d3f,
    0xffa56c44,
    0xff875128,
    0xff833f30,
    0xff8f312b,
    0xffad3924,
    0xffcb512c,
    0xffcb5029,
    0xffd05322,
    0xffce5318,
    0xffc44523,
    0xffb43f25,
    0xffac4b3b,
    0xff8b4b46,
    0xff5b3f45,
    0xff353b42,
    0xff3c555c,
    0xff3f6265,
    0xff224a51,
    0xff3a5051,
    0xff824e47,
    0xffc64b41,
    0xffa92d21,
    0xff710506,
    0xff72040b,
    0xff720908,
    0xff750000,
    0xff830400,
    0xffc1392f,
    0xffd84e3a,
    0xffdc422b,
    0xffbc3f3e,
    0xff5a202a,
    0xff571e27,
    0xffa35f5b,
    0xff68373b,
    0xff3c2721,
    0xff887e60,
    0xff998d60,
    0xff9e8c68,
    0xff968b6d,
    0xff868668,
    0xff90996a,
    0xff919760,
    0xffaa8f5b,
    0xffc44f32,
    0xffcf2319,
    0xffc52117,
    0xffc2190e,
    0xffd1281d,
    0xffd03920,
    0xffc92b14,
    0xffc11b06,
    0xffce2814,
    0xffc82718,
    0xffd13027,
    0xffd93331,
    0xffcb1c23,
    0xffb70316,
    0xffbe0217,
    0xffb60225,
    0xffb30635,
    0xffa70c2c,
    0xffc35952,
    0xffdb7c6f,
    0xff8a000d,
    0xffa00014,
    0xffaa041c,
    0xffbe0117,
    0xffcb0309,
    0xffbf0e00,
    0xffcf260f,
    0xffe33732,
    0xffa5060c,
    0xff85000b,
    0xff8b0110,
    0xff920416,
    0xff8f0212,
    0xff8a010c,
    0xff8c0008,
    0xff93000a,
    0xff990108,
    0xff9a0000,
    0xffbd0d0d,
    0xffc42415,
    0xffc2623a,
    0xff614414,
    0xff686d3d,
    0xff7c7f48,
    0xffa39c57,
    0xffaca24a,
    0xff998e46,
    0xffb5aa59,
    0xff817b49,
    0xff51694a,
    0xff43785d,
    0xff083345,
    0xff182d42,
    0xff476853,
    0xff70926e,
    0xff83a260,
    0xffa8bf6f,
    0xffa9b46d,
    0xffa5ab5d,
    0xffabb36b,
    0xff8b9261,
    0xffabb378,
    0xffa3a86c,
    0xffa7ac6c,
    0xffaeb070,
    0xffa8a868,
    0xffa8a568,
    0xffa8a56e,
    0xffadaa75,
    0xffa9ad6b,
    0xffadb36d,
    0xffa8b067,
    0xff9da65f,
    0xffa4ac6c,
    0xff8c9562,
    0xff818861,
    0xff767959,
    0xff72552d,
    0xff927048,
    0xff7e6a51,
    0xff735e4e,
    0xff6c5655,
    0xff3c2226,
    0xff9d6f49,
    0xffb98c46,
    0xff9b7046,
    0xff8b8b65,
    0xff42625c,
    0xff173b56,
    0xff133a56,
    0xff04364e,
    0xff153d54,
    0xff233643,
    0xff363d42,
    0xff807d6d,
    0xff63694a,
    0xff677e60,
    0xff4f6258,
    0xff474749,
    0xff313339,
    0xff42575c,
    0xff2e4848,
    0xff546b7e,
    0xff132b50,
    0xff0e2b55,
    0xff183962,
    0xff1f3d64,
    0xff314963,
    0xff2a3e4a,
    0xff2f4b4f,
    0xff8a886b,
    0xffa89865,
    0xffb2af76,
    0xff9da359,
    0xffb5b155,
    0xffd6c978,
    0xffa5a36c,
    0xff5c8559,
    0xff628679,
    0xff31555e,
    0xff144049,
    0xff3d575a,
    0xff5c493f,
    0xff946b50,
    0xff8a6542,
    0xff7b5434,
    0xff865b4c,
    0xff79624d,
    0xff57785c,
    0xff447065,
    0xff364a45,
    0xff5b734d,
    0xff6b7847,
    0xffa8a562,
    0xff809e55,
    0xff5e783d,
    0xffa39c5c,
    0xffb59146,
    0xffa98651,
    0xff7d7154,
    0xff725f44,
    0xffb59a69,
    0xff8e7144,
    0xffb6a15c,
    0xffaea14b,
    0xff9f9148,
    0xffbdb97b,
    0xff7f8865,
    0xff3a4d49,
    0xff71826d,
    0xff65806f,
    0xff60785e,
    0xffa3a17b,
    0xff976a51,
    0xffab6861,
    0xff91684a,
    0xffb1ae66,
    0xff9ea45e,
    0xff81863f,
    0xff838035,
    0xffa4964f,
    0xff9f9855,
    0xff818a48,
    0xffafc17e,
    0xff6f7f37,
    0xff9a9d49,
    0xffa9a04c,
    0xffa9a856,
    0xff9da654,
    0xffb4b25b,
    0xffa29e3c,
    0xffc9bf66,
    0xffd1b473,
    0xffaaa266,
    0xff6e714e,
    0xff727e68,
    0xff606c36,
    0xff8c8f59,
    0xff7a7d60,
    0xff5a7563,
    0xff47757b,
    0xff134748,
    0xff2c6473,
    0xff336479,
    0xff50747d,
    0xff638888,
    0xff437272,
    0xff36625d,
    0xff365246,
    0xff537060,
    0xff4b6867,
    0xff5c7f8f,
    0xff2a4a49,
    0xff81866e,
    0xff746c51,
    0xff8f8a70,
    0xff757152,
    0xff989c7a,
    0xff8c8b81,
    0xff7e7b73,
    0xffa79b80,
    0xff816f41,
    0xffa08b67,
    0xff7e7367,
    0xff777779,
    0xff646f6a,
    0xff62634a,
    0xff7a6e5c,
    0xff867074,
    0xff87726d,
    0xff827a62,
    0xff6b766e,
    0xff455e6f,
    0xff4b5871,
    0xff646a6d,
    0xff5e6164,
    0xff4d4c44,
    0xffa0936f,
    0xffa89678,
    0xff7d7665,
    0xff606142,
    0xff989b67,
    0xff6d7155,
    0xff878068,
    0xff9e8c72,
    0xff77673b,
    0xffbab283,
    0xff767d67,
    0xff5e7c65,
    0xff6f8073,
    0xff514f35,
    0xffa3927a,
    0xff7b7161,
    0xff6d7a6c,
    0xff7e9694,
    0xff6c8595,
    0xffddf3ff,
    0xffdff0ff,
    0xffdbe9fd,
    0xffe1ecfe,
    0xffdcebf4,
    0xffd1e7e8,
    0xffd2eae6,
    0xffd4ebee,
    0xffd3e7f1,
    0xffd5e5f2,
    0xffd4e3f1,
    0xffdbeaf8,
    0xffd7e7f4,
    0xffd6e6f2,
    0xffd8e8f6,
    0xffdceafb,
    0xffaab7c8,
    0xffc0cdd2,
    0xffecf6ff,
    0xffe0e9f7,
    0xffdee5f3,
    0xffdbe6ef,
    0xffd8e5eb,
    0xffd5e4eb,
    0xffd6e6f0,
    0xffd7e7f5,
    0xffd4e0f1,
    0xffd9e4f2,
    0xffd9e4f2,
    0xffdfe9f5,
    0xffe1eaf5,
    0xffe7f0f8,
    0xffeaf2fb,
    0xffebedfc,
    0xfff6f7ff,
    0xffdee1ec,
    0xff7c8286,
    0xffecf3f1,
    0xfff5fcfd,
    0xffe0e5f3,
    0xffd4d8ee,
    0xffeaefff,
    0xffb3b8ce,
    0xffdfe7f4,
    0xffa9b3ac,
    0xff828c81,
    0xfff1f4f6,
    0xffc0bdc4,
    0xffffffff,
    0xfff4fefa,
    0xffc6d2cf,
    0xffccd2dd,
    0xffc7ced6,
    0xffecf3e5,
    0xffcaccbd,
    0xfff5f1f3,
    0xfff0ebec,
    0xffa9ac90,
    0xffa4af91,
    0xff8e9e88,
    0xff819782,
    0xff50724c,
    0xff59814d,
    0xff537b56,
    0xff4f7465,
    0xffa5c9a3,
    0xff708f75,
    0xff70936a,
    0xff6c9144,
    0xff799b4a,
    0xff708953,
    0xff586e3e,
    0xff7b924f,
    0xff678339,
    0xff728e50,
    0xff506e30,
    0xff284611,
    0xff2a4826,
    0xff324e2e,
    0xff3c5a33,
    0xff3c593e,
    0xff718957,
    0xff90aa58,
    0xff718737,
    0xff63773c,
    0xff6b8153,
    0xff93a68b,
    0xffe2ecee,
    0xffeaeef6,
    0xffbac4b1,
    0xff8e988d,
    0xff919f94,
    0xffaec5aa,
    0xff779762,
    0xff6c944c,
    0xff628b42,
    0xff699350,
    0xff557a28,
    0xff648637,
    0xff779752,
    0xff7b9a54,
    0xff7a9a46,
    0xff789b3d,
    0xff4f6e26,
    0xff27431b,
    0xff385d28,
    0xff618744,
    0xff6b9448,
    0xff5e8642,
    0xff3a631f,
    0xff57833b,
    0xff3b661c,
    0xff58833f,
    0xff3d692f,
    0xff143500,
    0xff6f8e41,
    0xff5b7f30,
    0xff1a4004,
    0xff516d31,
    0xff82843a,
    0xff948035,
    0xff8a7a28,
    0xff937623,
    0xffcda14f,
    0xffbe8136,
    0xffb67029,
    0xffc07a2f,
    0xffc38429,
    0xffca9029,
    0xffba7722,
    0xffb67725,
    0xff995d0f,
    0xff854400,
    0xffc47e35,
    0xffb27426,
    0xff8c6209,
    0xff9b8723,
    0xff889d2c,
    0xff7d9626,
    0xff7f9d2f,
    0xff74972c,
    0xff6a9328,
    0xff719e32,
    0xff6b9a2d,
    0xff2d5d00,
    0xff5a8014,
    0xff5d8727,
    0xff0d3200,
    0xff163d01,
    0xff2a4409,
    0xff3a3d07,
    0xff5e5930,
    0xff3e2c0b,
    0xff867034,
    0xff928132,
    0xff504b00,
    0xff636f1c,
    0xff8ca84e,
    0xff4e6b23,
    0xff404e26,
    0xff454b24,
    0xff181d00,
    0xff1d2701,
    0xff343a23,
    0xff211f11,
    0xff222415,
    0xff14220e,
    0xff12250b,
    0xff0c1b00,
    0xff292203,
    0xff302e0b,
    0xff1e2807,
    0xff0c1f05,
    0xff092010,
    0xff081f10,
    0xff0e240c,
    0xff0b2200,
    0xff203d12,
    0xff22401a,
    0xff284426,
    0xff07230a,
    0xff112b12,
    0xff0a220d,
    0xff102319,
    0xff04140f,
    0xff0d1c0f,
    0xff08150c,
    0xff05130d,
    0xff02110c,
    0xff0a1911,
    0xff0d1f13,
    0xff091b0f,
    0xff05150c,
    0xff02170b,
    0xff06190d,
    0xff011607,
    0xff152a19,
    0xff1a2f1c,
    0xff132b19,
    0xff1a311f,
    0xff0d2412,
    0xff1b311c,
    0xff172e18,
    0xff172a16,
    0xff182916,
    0xff25321e,
    0xff19250e,
    0xff19230b,
    0xff121c03,
    0xff1f300f,
    0xff182112,
    0xff121906,
    0xff0d2315,
    0xff101f13,
    0xff051502,
    0xff092924,
    0xff7d8385,
    0xff8a6430,
    0xff6f440d,
    0xff744815,
    0xff78501f,
    0xff4c2c04,
    0xff4d3710,
    0xff2a1900,
    0xff604d22,
    0xff552500,
    0xff522900,
    0xff4c2f07,
    0xff74572e,
    0xffb98c56,
    0xffb87e3d,
    0xff582a00,
    0xff2e1700,
    0xff947c21,
    0xffb3a520,
    0xff999200,
    0xff99910f,
    0xff938912,
    0xffa9a319,
    0xff959504,
    0xffa9aa25,
    0xff989b11,
    0xff998e16,
    0xffac9920,
    0xffa39221,
    0xff6f6509,
    0xff786f19,
    0xff968237,
    0xff5f3b04,
    0xff7f600b,
    0xffb2952d,
    0xff8b6706,
    0xff8b6219,
    0xff75450c,
    0xff7b4416,
    0xff703514,
    0xff581800,
    0xff682801,
    0xffc17d59,
    0xff70270a,
    0xff5a1500,
    0xff5e1d04,
    0xff5b2208,
    0xff663117,
    0xff642f15,
    0xff5e1a0a,
    0xff601603,
    0xff641704,
    0xff661e0c,
    0xff5b1b0a,
    0xff4e1905,
    0xff451a01,
    0xff532a0a,
    0xff551c0b,
    0xff52220b,
    0xff54371b,
    0xff2d220b,
    0xff121706,
    0xff0b1102,
    0xff353419,
    0xff4c411b,
    0xff4b3d1e,
    0xff54542e,
    0xff293f0d,
    0xff46662e,
    0xff1a2e12,
    0xff000301,
    0xff2a2d2c,
    0xff1a1f0a,
    0xff111900,
    0xff201d14,
    0xff101203,
    0xff051503,
    0xff151e12,
    0xff332a15,
    0xff3c2d20,
    0xff090705,
    0xff423317,
    0xff2c0e07,
    0xff6c392b,
    0xff72391e,
    0xff612612,
    0xff7d3c20,
    0xff7f481c,
    0xff503b10,
    0xff1a1800,
    0xff0a0e00,
    0xff1f2314,
    0xff212108,
    0xff27290f,
    0xff1a220b,
    0xff1c2106,
    0xff554e29,
    0xff52471b,
    0xff605a0c,
    0xff5a5002,
    0xff443a06,
    0xff514b18,
    0xff2a2900,
    0xff292500,
    0xff2f2606,
    0xff64511a,
    0xff8f783a,
    0xff6e5817,
    0xff61520d,
    0xff725f13,
    0xff7a5a07,
    0xff745505,
    0xff5f4b02,
    0xff33503f,
    0xff47574c,
    0xff595959,
    0xff413a4b,
    0xff504d66,
    0xff4d556a,
    0xff21323a,
    0xff2d433d,
    0xff667c6b,
    0xff6a7470,
    0xff4c4a4f,
    0xff3b3138,
    0xff362a35,
    0xff3f3548,
    0xff362e43,
    0xff363240,
    0xff2e263a,
    0xff423a43,
    0xff4b4141,
    0xff4b3d3d,
    0xff3c2c33,
    0xff34282d,
    0xff5b564c,
    0xff8a866e,
    0xff938269,
    0xff8a8860,
    0xff80885a,
    0xff868968,
    0xff87876b,
    0xff737353,
    0xff5a5b3c,
    0xff5a5e47,
    0xff27423f,
    0xff1e293b,
    0xff461b26,
    0xffa23b25,
    0xffd9512b,
    0xffd4461a,
    0xffda5427,
    0xffd15c31,
    0xffbd503b,
    0xff9e4b43,
    0xff7d4a4f,
    0xff584145,
    0xff3f3738,
    0xff3d4445,
    0xff516870,
    0xff204354,
    0xff0c303b,
    0xff2e4445,
    0xff90504f,
    0xffd64f45,
    0xffaa2a1b,
    0xff7a0405,
    0xff7c0618,
    0xff680b10,
    0xff6d1601,
    0xffa84b34,
    0xffdd6557,
    0xffd3563c,
    0xffd35130,
    0xffb44244,
    0xff4d2341,
    0xff161e3b,
    0xff222137,
    0xff1f2038,
    0xff4c4e58,
    0xff91907a,
    0xff968f60,
    0xff8a8955,
    0xff7f8d5a,
    0xff76965d,
    0xff759f5f,
    0xff959c60,
    0xffb88857,
    0xffc24127,
    0xffd43021,
    0xffc02014,
    0xffcc1e17,
    0xffd3241d,
    0xffcc341e,
    0xffd12e1b,
    0xffc81b0a,
    0xffbc1300,
    0xffce2f19,
    0xffc52c17,
    0xffc6251a,
    0xffd82a26,
    0xffc9202c,
    0xffc4111e,
    0xffba091d,
    0xffba052e,
    0xffb70235,
    0xff9a0d2c,
    0xffcb5461,
    0xffba2b38,
    0xffa10006,
    0xff9f040c,
    0xffae030f,
    0xffc0020b,
    0xffbb0601,
    0xffc5170f,
    0xffc81819,
    0xffb20411,
    0xff92000e,
    0xff8f000e,
    0xff970317,
    0xff990519,
    0xff95000f,
    0xff9b010d,
    0xffa80611,
    0xffc72127,
    0xffba0b04,
    0xffb91415,
    0xffc03a2d,
    0xffd67f4f,
    0xffbe914b,
    0xffb99f61,
    0xff95834d,
    0xffb1a269,
    0xffb0a455,
    0xffb7b473,
    0xff8e9454,
    0xff44522b,
    0xff58755d,
    0xff31604d,
    0xff265360,
    0xff0c313f,
    0xff294f47,
    0xff3b5f4b,
    0xff466a30,
    0xff9ab867,
    0xffa6ba69,
    0xffa0ad5d,
    0xff9baa5f,
    0xff89945f,
    0xffa4ad71,
    0xff9da765,
    0xffa2aa65,
    0xffa9af66,
    0xffaaad67,
    0xffacaa6a,
    0xffaea971,
    0xffb1aa76,
    0xffaaa96a,
    0xffa7ab65,
    0xffa5ad64,
    0xffa0ad62,
    0xff9fac66,
    0xffabb579,
    0xff888f5c,
    0xff595a30,
    0xff98714f,
    0xff875d39,
    0xff725a46,
    0xff63493e,
    0xff6a4c4a,
    0xff4c3026,
    0xffcba972,
    0xffb49b4b,
    0xff8e7247,
    0xff797853,
    0xff5b6c67,
    0xff1c2d45,
    0xff354c62,
    0xff0f3348,
    0xff1e485d,
    0xff294e55,
    0xff6e857f,
    0xff4d5d52,
    0xff546857,
    0xff496b5b,
    0xff42625c,
    0xff3b4b57,
    0xff2e3f57,
    0xff2c4a68,
    0xff02193e,
    0xff0d2151,
    0xff09244e,
    0xff0a2b4a,
    0xff0e3251,
    0xff132d58,
    0xff2a3a5d,
    0xff37434f,
    0xff5a796d,
    0xff59695d,
    0xff7f7b5a,
    0xffc3ba73,
    0xffbab359,
    0xff868334,
    0xff8a8f51,
    0xff88945d,
    0xff517753,
    0xff336a54,
    0xff558177,
    0xff4c654c,
    0xff3c532c,
    0xff596b4f,
    0xff6d6a58,
    0xff88785b,
    0xff99603d,
    0xffbd7e50,
    0xffc5a66f,
    0xff4e6243,
    0xff3f4e55,
    0xff565a52,
    0xff67875d,
    0xff526c4b,
    0xff747844,
    0xff5f7d3a,
    0xff647747,
    0xff827c57,
    0xff86804e,
    0xff797546,
    0xff7f8160,
    0xff75845b,
    0xff868352,
    0xff837d63,
    0xff8d8c5a,
    0xff7b7b34,
    0xff969d5d,
    0xff67754a,
    0xff475f57,
    0xff16303c,
    0xff69847b,
    0xff18484b,
    0xff163e30,
    0xffada97a,
    0xff8c6740,
    0xff755a51,
    0xff7e7d60,
    0xff9da75b,
    0xff9d9863,
    0xff918945,
    0xffbca75d,
    0xffaf9053,
    0xff8a6b38,
    0xffb1a061,
    0xff9a904a,
    0xffa09750,
    0xffa6a556,
    0xffb7ae73,
    0xff8c8e5c,
    0xff838d50,
    0xff8a8c46,
    0xffa1a05b,
    0xff8a843b,
    0xffbda057,
    0xffc0a261,
    0xff6a6b4e,
    0xff6b7c6a,
    0xffc5c681,
    0xffb7ab55,
    0xff93965d,
    0xff859a68,
    0xff5d774c,
    0xff536b5d,
    0xff2c4f47,
    0xff315c54,
    0xff568572,
    0xff417059,
    0xff42715e,
    0xff6b8c7c,
    0xff94a391,
    0xff739378,
    0xff465e5d,
    0xff5d7a7b,
    0xff668789,
    0xff52675a,
    0xff8b8f75,
    0xff888072,
    0xff837d68,
    0xff678369,
    0xff4e6a5e,
    0xff566b5e,
    0xff949d7f,
    0xff949064,
    0xffb1a583,
    0xff8c8172,
    0xff8f8c83,
    0xff5e5955,
    0xffa7987e,
    0xff63533f,
    0xff6b655d,
    0xff545650,
    0xff31353e,
    0xff2b4459,
    0xff3b7278,
    0xff1f4356,
    0xff35464a,
    0xffa9baa2,
    0xff9fa274,
    0xffb2a16b,
    0xff9e945f,
    0xff9fa676,
    0xff9e9b74,
    0xff9f966d,
    0xff716d5f,
    0xff867765,
    0xffb19c7e,
    0xff8e8756,
    0xffa7976e,
    0xffa3827b,
    0xff9e8f87,
    0xff6a8077,
    0xff898b63,
    0xffab9c72,
    0xffa9a284,
    0xffa2ab8a,
    0xff8b9481,
    0xff5c6b6b,
    0xff698283,
    0xffe4f8ee,
    0xfffaffff,
    0xffa5abc1,
    0xfff3f8ff,
    0xffe0e9f8,
    0xffdde6ee,
    0xfff3f9fd,
    0xfff5f7fe,
    0xffe4e9f3,
    0xfff0f9fe,
    0xffdbe5e9,
    0xffeaf3f8,
    0xffe7eff7,
    0xffeff8fd,
    0xffffffff,
    0xffa6adad,
    0xffa0a9a5,
    0xffffffff,
    0xffffffff,
    0xfffbfcff,
    0xfffdffff,
    0xfff7fdfe,
    0xfff6fefe,
    0xfff6ffff,
    0xfffcffff,
    0xffeef6f5,
    0xfff4fcfb,
    0xfffbffff,
    0xfffaffff,
    0xfffcffff,
    0xffffffff,
    0xfffdfefd,
    0xffffffff,
    0xffe4e5e2,
    0xffeff5e9,
    0xff818f76,
    0xff99a98d,
    0xff9bac90,
    0xffecfbea,
    0xff9da8a1,
    0xffd1d9d2,
    0xfff9ffff,
    0xff8d9f90,
    0xff819a76,
    0xff607a54,
    0xff687c64,
    0xff737f6f,
    0xffabb49f,
    0xffc2d4b2,
    0xff9dae8f,
    0xff657266,
    0xffb2c0af,
    0xffccdeae,
    0xff71804d,
    0xff9ca286,
    0xffb7bd9f,
    0xff8f9960,
    0xff798856,
    0xff536a3d,
    0xff496936,
    0xff496e42,
    0xff4f7852,
    0xff2e572b,
    0xff648f56,
    0xff5f9251,
    0xff639260,
    0xff527e49,
    0xff5f8a42,
    0xff739c4e,
    0xff5b7d3f,
    0xff50722f,
    0xff5c7d2b,
    0xff4f6e26,
    0xff4a6829,
    0xff537135,
    0xff5a7549,
    0xff233e29,
    0xff153715,
    0xff446b3b,
    0xff244a24,
    0xff597234,
    0xff7d9a3e,
    0xff7c993e,
    0xff648035,
    0xff49641d,
    0xff8fa76f,
    0xff4a5d41,
    0xffbecebb,
    0xff90a673,
    0xff7a9360,
    0xff7d9966,
    0xff789a5b,
    0xff6a9148,
    0xff6c984b,
    0xff487733,
    0xff618f58,
    0xff597e3b,
    0xff688b44,
    0xff698b47,
    0xff658543,
    0xff688a40,
    0xff6b913f,
    0xff4b6d2c,
    0xff2e4f28,
    0xff275017,
    0xff618b46,
    0xff517c32,
    0xff578337,
    0xff537f33,
    0xff537f2e,
    0xff63913c,
    0xff5b8831,
    0xff648643,
    0xff59803b,
    0xff69983d,
    0xff426f10,
    0xff678840,
    0xff6f803c,
    0xff969d4f,
    0xff71732b,
    0xff5e6d20,
    0xff867a37,
    0xffb88a4f,
    0xffbe7d41,
    0xffb5732e,
    0xffce9040,
    0xffcb8b3c,
    0xffcf8a3e,
    0xffb6702a,
    0xffaf752c,
    0xffd29d4d,
    0xffc88c3d,
    0xffbc7728,
    0xffb07624,
    0xffa68b2f,
    0xff81831f,
    0xff6d831e,
    0xff637e1e,
    0xff5c7c25,
    0xff486c1b,
    0xff58802e,
    0xff56832a,
    0xff5b8728,
    0xff64902a,
    0xff649329,
    0xff53832c,
    0xff4e653c,
    0xff4c5a39,
    0xff746727,
    0xffac7836,
    0xff9c6e36,
    0xff896025,
    0xff8f8139,
    0xff706a12,
    0xff8e8c3c,
    0xff575d1e,
    0xff262f00,
    0xff121900,
    0xff171909,
    0xff0d0b00,
    0xffd2c380,
    0xff424100,
    0xff1d2800,
    0xff101e08,
    0xff0b1a09,
    0xff0e1c06,
    0xff26301d,
    0xff12140b,
    0xff252617,
    0xff1d2413,
    0xff1a2814,
    0xff0c220e,
    0xff062010,
    0xff17321e,
    0xff254024,
    0xff0d2805,
    0xff314f2e,
    0xff183516,
    0xff19391a,
    0xff2f4c2e,
    0xff011f03,
    0xff051e0a,
    0xff0e2416,
    0xff06190f,
    0xff09190a,
    0xff06160b,
    0xff0e1d17,
    0xff091a13,
    0xff081a10,
    0xff03180a,
    0xff091f0f,
    0xff02160a,
    0xff03170b,
    0xff071b0d,
    0xff0a1f0f,
    0xff1c311e,
    0xff1c311e,
    0xff192e1a,
    0xff182d1c,
    0xff0c2211,
    0xff0c1f0b,
    0xff162917,
    0xff132312,
    0xff0e200e,
    0xff051605,
    0xff0f1e0c,
    0xff101d0c,
    0xff0c1b05,
    0xff101f02,
    0xff161d14,
    0xff2f3322,
    0xff23351f,
    0xff0d1908,
    0xff2e3933,
    0xff65828c,
    0xffa0abac,
    0xff684223,
    0xff664218,
    0xff422804,
    0xff251101,
    0xff1f0e05,
    0xff442c17,
    0xff47240b,
    0xff320300,
    0xff7c4814,
    0xff75430b,
    0xff825619,
    0xff815c0d,
    0xffaf811b,
    0xffbe8323,
    0xff7b4800,
    0xff967a24,
    0xffaf9d29,
    0xffa79e17,
    0xffb2af21,
    0xff868207,
    0xff908b0f,
    0xffaca828,
    0xff9a9e17,
    0xff868e0a,
    0xff9b991a,
    0xff978e18,
    0xff817203,
    0xff9f9418,
    0xff847a0b,
    0xff8c7c13,
    0xff957513,
    0xff8c5b16,
    0xff886615,
    0xff947d16,
    0xff876d15,
    0xff744c0b,
    0xff844e0b,
    0xff844a0f,
    0xff5d2a03,
    0xff4c2400,
    0xff573100,
    0xff622c03,
    0xff651a01,
    0xff681506,
    0xff6b1f13,
    0xff55180a,
    0xff4b1b07,
    0xff4f260e,
    0xff4c1300,
    0xff5b1805,
    0xff5a0f01,
    0xff65160a,
    0xff5c0d06,
    0xff560e04,
    0xff591007,
    0xff5c1408,
    0xff5a1007,
    0xff571b08,
    0xff482207,
    0xff302607,
    0xff2c351b,
    0xff0a1c00,
    0xff1f2c0e,
    0xff454a20,
    0xff574825,
    0xff1d1a00,
    0xff2d3d00,
    0xff4f6a2b,
    0xff183311,
    0xff000a07,
    0xff14231a,
    0xff203413,
    0xff181f08,
    0xff554a43,
    0xff1c1603,
    0xff162516,
    0xff182204,
    0xff372500,
    0xff260a01,
    0xff291d14,
    0xff190d00,
    0xff160003,
    0xff68341c,
    0xff8e4313,
    0xff6f2203,
    0xff833a1d,
    0xff672c07,
    0xff391807,
    0xff181103,
    0xff090d03,
    0xff171b10,
    0xff1a1304,
    0xff241c07,
    0xff1e1a06,
    0xff181503,
    0xff211600,
    0xff4c4614,
    0xff5b590a,
    0xff6c6b23,
    0xff6e6b37,
    0xff444310,
    0xff43430e,
    0xff2e2c03,
    0xff3f3b12,
    0xff483c05,
    0xff4f3b01,
    0xff4d3c00,
    0xff443e00,
    0xff5e5706,
    0xff4f3900,
    0xff674f0c,
    0xff655213,
    0xff829b76,
    0xff7c886f,
    0xff625e5b,
    0xff4a3f4e,
    0xff4b445a,
    0xff585e62,
    0xff8a9f87,
    0xff93b080,
    0xff8ca66a,
    0xff808b71,
    0xff575156,
    0xff504350,
    0xff413646,
    0xff312a3f,
    0xff322d3f,
    0xff464047,
    0xff312536,
    0xff3a2e37,
    0xff4f4140,
    0xff453535,
    0xff392828,
    0xff433a35,
    0xff807e6c,
    0xff858768,
    0xff848964,
    0xff829263,
    0xff859a63,
    0xff8a9964,
    0xff92925d,
    0xff88834e,
    0xff6e7250,
    0xff435449,
    0xff274445,
    0xff214249,
    0xff3f2d24,
    0xffa74a2d,
    0xffc23f20,
    0xffca4521,
    0xffba4122,
    0xffb4574c,
    0xff99544f,
    0xff73484b,
    0xff453b40,
    0xff43514e,
    0xff647a6c,
    0xff5b7166,
    0xff1e393f,
    0xff042239,
    0xff0c2949,
    0xff09172f,
    0xff662f3e,
    0xffbb4947,
    0xffa64331,
    0xff6f170f,
    0xff681417,
    0xff501f14,
    0xff645f41,
    0xff71694b,
    0xffa05e54,
    0xffc35346,
    0xffd85342,
    0xffaa4850,
    0xff2e1e40,
    0xff062348,
    0xff0c2e53,
    0xff172c57,
    0xff454d69,
    0xff7f8274,
    0xff8f9865,
    0xff839356,
    0xff7d9658,
    0xff8ca96b,
    0xff8da567,
    0xff99985d,
    0xffb78e56,
    0xffbb4a26,
    0xffc8321d,
    0xffbf2b1b,
    0xffd02922,
    0xffd22620,
    0xffcd311f,
    0xffc82413,
    0xffbe1001,
    0xffc41907,
    0xffcd2c18,
    0xffc72b15,
    0xffce2a1b,
    0xffd2261b,
    0xffd02820,
    0xffcd2024,
    0xffca1e2a,
    0xffc61327,
    0xffc51234,
    0xffac1033,
    0xff8e091b,
    0xffbe3b3b,
    0xffa9160e,
    0xff9f0002,
    0xff9f030d,
    0xff990009,
    0xffb3080f,
    0xffc40b0f,
    0xffd41f1e,
    0xffbc0e0d,
    0xffa40313,
    0xff9d0010,
    0xff9c0114,
    0xffa5071d,
    0xffa50215,
    0xffa9000f,
    0xffb1010c,
    0xffb30006,
    0xffd13828,
    0xffbc4b36,
    0xffab6a41,
    0xffbd994b,
    0xffaa8c35,
    0xff987f34,
    0xff897f3d,
    0xff9da160,
    0xff98a263,
    0xff7a7e3c,
    0xffa9b066,
    0xff6d8254,
    0xff526f6a,
    0xff284656,
    0xff1d4150,
    0xff406f69,
    0xff163f43,
    0xff2d5552,
    0xff50764c,
    0xffa0c276,
    0xffa4bd6f,
    0xff9cb164,
    0xff99ae66,
    0xff7f965d,
    0xff9cab68,
    0xff9cab66,
    0xff9fac64,
    0xffa5b265,
    0xffaab26a,
    0xffa2a463,
    0xffa09d63,
    0xffa39c66,
    0xffa1a065,
    0xffa2a465,
    0xffa6ad66,
    0xffa3b064,
    0xff9eaf61,
    0xffa5b26a,
    0xffb2bd7a,
    0xffb8bd7e,
    0xffb89463,
    0xff936f3d,
    0xff8b7c62,
    0xff675d50,
    0xff544f44,
    0xff6b6850,
    0xffb19357,
    0xffbd9e54,
    0xff76633f,
    0xff55543e,
    0xff485358,
    0xff273346,
    0xff4a5c5c,
    0xff455f5d,
    0xff31505d,
    0xff082537,
    0xff325050,
    0xff3d585b,
    0xff28484b,
    0xff446d6f,
    0xff2f555c,
    0xff1f3951,
    0xff0b294b,
    0xff04294d,
    0xff021f48,
    0xff04204e,
    0xff0c2c57,
    0xff143658,
    0xff31527b,
    0xff324a75,
    0xff22313d,
    0xff8c977f,
    0xff577c5e,
    0xff1e383a,
    0xff3e463e,
    0xffbbb470,
    0xffb7a545,
    0xffa3954b,
    0xff626a36,
    0xff6e9255,
    0xff47674f,
    0xff063c33,
    0xff2f4538,
    0xffa69566,
    0xffc8c37f,
    0xff6b7846,
    0xff7d7c59,
    0xff968550,
    0xff9b7043,
    0xffbd9257,
    0xffa68a46,
    0xff62663e,
    0xff35383a,
    0xff7b857e,
    0xff4b7054,
    0xff3e524a,
    0xffa09379,
    0xffa89f61,
    0xff96814b,
    0xff8b7d61,
    0xff4e653b,
    0xff67814e,
    0xff667b4d,
    0xff679866,
    0xff51724d,
    0xff4b6d62,
    0xff40593a,
    0xff7a7b5c,
    0xff757860,
    0xff486548,
    0xff4e7671,
    0xff1f3b44,
    0xff26454d,
    0xff194459,
    0xff20444b,
    0xff4b5441,
    0xff8d9372,
    0xff4e6952,
    0xff587e69,
    0xff57714e,
    0xff595e49,
    0xff867f54,
    0xffa8915d,
    0xff805c39,
    0xffac825e,
    0xffbb9460,
    0xffcfa868,
    0xffb48f51,
    0xff91783e,
    0xff8f7c4f,
    0xff7b7246,
    0xff91824c,
    0xffbaa76c,
    0xffa2a368,
    0xff80854d,
    0xff987d4e,
    0xffa38968,
    0xff585948,
    0xff566159,
    0xff7a7b44,
    0xffbdb969,
    0xff959c62,
    0xff667a3e,
    0xff99a967,
    0xff959a60,
    0xffa5aa75,
    0xff7e9169,
    0xff274f3a,
    0xff467970,
    0xff517f72,
    0xff416656,
    0xff4f7768,
    0xff477e64,
    0xff537a76,
    0xff426751,
    0xff4f8277,
    0xff3b7468,
    0xff5d826b,
    0xff535f5d,
    0xff717c73,
    0xff6a7e6f,
    0xff4c675d,
    0xff436655,
    0xff5d7c62,
    0xff748b72,
    0xff667768,
    0xff526353,
    0xff53664d,
    0xff7f7068,
    0xffc6b385,
    0xffaa9c73,
    0xff6f6b5e,
    0xff929186,
    0xff878173,
    0xff6d6c6a,
    0xff556669,
    0xff597071,
    0xff55574f,
    0xff60614a,
    0xff66684f,
    0xff757062,
    0xff6d776a,
    0xff6e836b,
    0xffa9ab8e,
    0xff736c56,
    0xff717775,
    0xff807a71,
    0xff85705e,
    0xffa99475,
    0xff8f755e,
    0xff7d6668,
    0xff636f65,
    0xff596f71,
    0xffc5c2a4,
    0xff816b47,
    0xffaf9f86,
    0xff918d6d,
    0xff8a876e,
    0xff6a6b60,
    0xff6d7d6c,
    0xff939770,
    0xffb8b99e,
    0xff807b73,
    0xffbbb8b8,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffdff,
    0xffffffff,
    0xfffcfdf8,
    0xffffffff,
    0xffcfd5ca,
    0xffb4bab3,
    0xffffffff,
    0xffdee4d3,
    0xff9ca289,
    0xff8f9884,
    0xffa7aaa2,
    0xffd3d3d4,
    0xfff7f4f9,
    0xfffffcff,
    0xfffffefd,
    0xfffdfdfb,
    0xfffdfffc,
    0xfffcfdf6,
    0xfffdfdf7,
    0xfffafbf9,
    0xfffcfefc,
    0xffffffff,
    0xfffbfbfa,
    0xfffffffe,
    0xffefeceb,
    0xfffffffa,
    0xff9ea692,
    0xffb8c4a7,
    0xff788a60,
    0xff6f8855,
    0xff6c8652,
    0xff799465,
    0xff889e77,
    0xff7c8d6b,
    0xff96ae8d,
    0xff6a8963,
    0xff668d57,
    0xff527944,
    0xff51764e,
    0xff759576,
    0xff56704e,
    0xff849762,
    0xff6f824e,
    0xff5a714b,
    0xff667f53,
    0xff809d59,
    0xff72904a,
    0xff8ca26d,
    0xff697e49,
    0xff6c863d,
    0xff658345,
    0xff5c7d4c,
    0xff285023,
    0xff2c5733,
    0xff204c2d,
    0xff285428,
    0xff608e4f,
    0xff66985b,
    0xff3c6b31,
    0xff427132,
    0xff608f4a,
    0xff5e8c45,
    0xff55803a,
    0xff6b944c,
    0xff628c41,
    0xff5b7c38,
    0xff698b43,
    0xff618039,
    0xff435e2f,
    0xff425c49,
    0xff385935,
    0xff5a8246,
    0xff4d783c,
    0xff85a250,
    0xff7b993c,
    0xff506e22,
    0xff2b4812,
    0xff5d793b,
    0xff5c7a34,
    0xff799655,
    0xff73904d,
    0xff6b8f3f,
    0xff759a4b,
    0xff739847,
    0xff5c8136,
    0xff719450,
    0xff6c9150,
    0xff638947,
    0xff648948,
    0xff658145,
    0xff77964b,
    0xff587a28,
    0xff75944f,
    0xff284c0e,
    0xff466d31,
    0xff39622e,
    0xff254d25,
    0xff366329,
    0xff497638,
    0xff416e2d,
    0xff608f48,
    0xff57833a,
    0xff659147,
    0xff53802f,
    0xff5b892f,
    0xff618836,
    0xff3a651a,
    0xff4d7f25,
    0xff6e9f3d,
    0xff577b25,
    0xff59701d,
    0xff677926,
    0xff7e8c49,
    0xff6b8031,
    0xff445a15,
    0xff728246,
    0xff7a6b2d,
    0xffba8a3d,
    0xffbb7823,
    0xffc17f2f,
    0xffa87025,
    0xffca8943,
    0xffbd853a,
    0xff9b6a1b,
    0xffb37d2b,
    0xffc68b3c,
    0xffaf822d,
    0xff938c2a,
    0xff6b8317,
    0xff729d25,
    0xff639021,
    0xff669334,
    0xff3e6b1d,
    0xff0f3a00,
    0xff113801,
    0xff36581f,
    0xff355417,
    0xff708d2f,
    0xff4b5902,
    0xff634b20,
    0xff4c3817,
    0xff7c642c,
    0xff8b5d23,
    0xff432d00,
    0xff7d7323,
    0xff584f04,
    0xff686e0e,
    0xff4d6109,
    0xff3a4f0d,
    0xff364212,
    0xff121804,
    0xff0a1106,
    0xff142103,
    0xff302803,
    0xff6d6932,
    0xff454208,
    0xff3c3a0e,
    0xff484318,
    0xff626132,
    0xff494f2b,
    0xff0f1d11,
    0xff1d2417,
    0xff1f2b1b,
    0xff091809,
    0xff051c0c,
    0xff011709,
    0xff0b2513,
    0xff062007,
    0xff152f13,
    0xff19341e,
    0xff143219,
    0xff153415,
    0xff2e502e,
    0xff102f10,
    0xff031e03,
    0xff031f06,
    0xff1b341c,
    0xff001500,
    0xff031508,
    0xff041910,
    0xff00150c,
    0xff051a0d,
    0xff061e0e,
    0xff0a2212,
    0xff061e11,
    0xff061b0b,
    0xff0b2011,
    0xff192e1d,
    0xff122714,
    0xff0b200d,
    0xff0a1f0c,
    0xff041908,
    0xff0b200f,
    0xff112113,
    0xff101f13,
    0xff0a1a0f,
    0xff0a1a0e,
    0xff021408,
    0xff0c1e12,
    0xff15271a,
    0xff142617,
    0xff0d1a07,
    0xff161e11,
    0xff1e2105,
    0xff22321a,
    0xff182019,
    0xff5b6166,
    0xffaac0cb,
    0xff1e2320,
    0xff281603,
    0xff453118,
    0xff1f0c00,
    0xff1c0704,
    0xff220700,
    0xff4f2b06,
    0xff652f00,
    0xffb87327,
    0xffa7680e,
    0xffa65c0c,
    0xffb26517,
    0xffc78713,
    0xffdb9e10,
    0xffb97106,
    0xffad6707,
    0xffce9c1e,
    0xffab9304,
    0xffac9918,
    0xff91850d,
    0xff8e8706,
    0xff989211,
    0xff6e6d00,
    0xff7f8311,
    0xff6e7904,
    0xff5d5a00,
    0xff7e7a0d,
    0xff837b12,
    0xffa69f23,
    0xff817a0c,
    0xff7d680a,
    0xffaa8b19,
    0xff7d4e06,
    0xff573f00,
    0xff827913,
    0xff6f6604,
    0xff947825,
    0xff815003,
    0xff7c4403,
    0xff603009,
    0xff381a02,
    0xff735912,
    0xff957b38,
    0xff482400,
    0xff582005,
    0xff641e11,
    0xff672519,
    0xff431809,
    0xff4e391d,
    0xff66391f,
    0xff4b1301,
    0xff601d0f,
    0xff611710,
    0xff5f160f,
    0xff5f1912,
    0xff59130d,
    0xff56100b,
    0xff52170e,
    0xff4d1508,
    0xff5a3119,
    0xff433012,
    0xff545a37,
    0xff2d3a13,
    0xff222700,
    0xff6a6236,
    0xff4c3d12,
    0xff756f3c,
    0xff646f34,
    0xff3b4e1b,
    0xff1b2e18,
    0xff00060a,
    0xff0c1c14,
    0xff2e4321,
    0xff2a3216,
    0xff33281d,
    0xff332e18,
    0xff3c4632,
    0xff1f2600,
    0xffc0aa64,
    0xff79582d,
    0xff241600,
    0xff342d15,
    0xff0a0d0a,
    0xff60452c,
    0xff833c0d,
    0xff772d0e,
    0xff713b1f,
    0xff613815,
    0xff532d1d,
    0xff2d1d0d,
    0xff0c0b04,
    0xff181d13,
    0xff251806,
    0xff4e321e,
    0xff4b3126,
    0xff36251b,
    0xff1c1100,
    0xff100400,
    0xff282606,
    0xff302d06,
    0xff171600,
    0xff2f3104,
    0xff4a4d1b,
    0xff373a0b,
    0xff2e3300,
    0xff353104,
    0xff4c3d12,
    0xff473908,
    0xff656525,
    0xff5a5b17,
    0xff5b5015,
    0xff675525,
    0xff45380a,
    0xff879b80,
    0xff82907b,
    0xff797a79,
    0xff4d4254,
    0xff494153,
    0xff545654,
    0xff829770,
    0xff85a661,
    0xff8aa859,
    0xff747f62,
    0xff5b545f,
    0xff5b4f60,
    0xff3a3442,
    0xff29273a,
    0xff2b2739,
    0xff403c3e,
    0xff2f242d,
    0xff3f313b,
    0xff49383d,
    0xff40302e,
    0xff3a2f27,
    0xff66624e,
    0xff838a6c,
    0xff85906c,
    0xff929c76,
    0xff87986c,
    0xff819862,
    0xff95a05c,
    0xffaa9b46,
    0xffba9d47,
    0xffa2995a,
    0xff566a4b,
    0xff4f6056,
    0xff29443d,
    0xff624929,
    0xffb64e20,
    0xffc44723,
    0xffc55235,
    0xffb45a45,
    0xff885055,
    0xff574342,
    0xff433a38,
    0xff5e6a64,
    0xff517467,
    0xff2c6152,
    0xff1a564b,
    0xff3f7173,
    0xff082f3d,
    0xff001b35,
    0xff00162e,
    0xff351e2f,
    0xff743e3c,
    0xff9d7467,
    0xff6d4c48,
    0xff41272c,
    0xff323733,
    0xff516d68,
    0xff4b6a62,
    0xff3c3d3e,
    0xff7f4745,
    0xffb55551,
    0xff885960,
    0xff022137,
    0xff0f2645,
    0xff07224a,
    0xff152852,
    0xff13213b,
    0xff4f614f,
    0xff89a16d,
    0xff8aa166,
    0xff98a36f,
    0xff989868,
    0xff9e9060,
    0xffa0a266,
    0xffa69f5a,
    0xffd77f53,
    0xffca3a23,
    0xffc43020,
    0xffcb2b21,
    0xffc5251c,
    0xffca2a1c,
    0xffd12f1f,
    0xffbd1a07,
    0xffc82311,
    0xffc5200e,
    0xffc82311,
    0xffd62f20,
    0xffd5301e,
    0xffd83a14,
    0xffd33525,
    0xffcc3332,
    0xffc62f25,
    0xffc43225,
    0xffb33a30,
    0xffa44f3e,
    0xffcb886a,
    0xffba5944,
    0xff9d0007,
    0xff9f0010,
    0xff82020d,
    0xff9a010a,
    0xffc40409,
    0xffd71c11,
    0xffca280d,
    0xffba0d17,
    0xffa8000e,
    0xff9f000e,
    0xffa50116,
    0xffb0041c,
    0xffb20013,
    0xffc40c1a,
    0xffc30b15,
    0xffac1914,
    0xffa9562c,
    0xffc7b45c,
    0xffa4a33d,
    0xffa59845,
    0xffc1b16f,
    0xff646420,
    0xff697b28,
    0xff93b867,
    0xffa8b267,
    0xff8b8a47,
    0xff718458,
    0xff456b64,
    0xff002335,
    0xff0e2e42,
    0xff1f4249,
    0xff375f69,
    0xff1a424a,
    0xff587f5e,
    0xff9cc279,
    0xff93b062,
    0xff8ba35a,
    0xff8eaa62,
    0xff729050,
    0xff93a962,
    0xff9fb46b,
    0xff9db76b,
    0xff9cb267,
    0xffa4b46c,
    0xffabb670,
    0xffa9aa6a,
    0xffa9a568,
    0xffa9a86e,
    0xffa7aa6a,
    0xffa6ad67,
    0xffa1ae62,
    0xffa4b261,
    0xff9cab5a,
    0xff9fac5c,
    0xffaab668,
    0xffb4b674,
    0xffa59c58,
    0xff797749,
    0xff5c5837,
    0xff85886b,
    0xff5d6441,
    0xff958253,
    0xff836a44,
    0xff796950,
    0xff4e4f49,
    0xff43516a,
    0xff162b3f,
    0xff405b47,
    0xff577055,
    0xff46585e,
    0xff1d2a44,
    0xff18334d,
    0xff2b4b69,
    0xff032843,
    0xff143b52,
    0xff254967,
    0xff23416d,
    0xff01234a,
    0xff012740,
    0xff052848,
    0xff0e3050,
    0xff183754,
    0xff123147,
    0xff1b394a,
    0xff233b3e,
    0xff839277,
    0xffa4b179,
    0xff4e7353,
    0xff202f35,
    0xff30333b,
    0xff777d53,
    0xff9b8f45,
    0xffb39755,
    0xff918d59,
    0xff38602e,
    0xff546d5a,
    0xff24454d,
    0xff383f44,
    0xff605b3d,
    0xff758257,
    0xff595945,
    0xff97776a,
    0xff91684b,
    0xffa9765a,
    0xffa46e53,
    0xffb27654,
    0xff92724c,
    0xff444838,
    0xff648583,
    0xff31635f,
    0xff293a46,
    0xff676665,
    0xffa6935d,
    0xffb69a59,
    0xff9b8c64,
    0xff90a474,
    0xff7b8c4f,
    0xff7f7d4c,
    0xff6c875c,
    0xff325e48,
    0xff2d6050,
    0xff4d7148,
    0xff3d3b3a,
    0xff53525b,
    0xff507854,
    0xff508166,
    0xff5a7c75,
    0xff264854,
    0xff213849,
    0xff2a394f,
    0xff3c5661,
    0xff476f68,
    0xff477462,
    0xff1c4344,
    0xff2a4d61,
    0xff304951,
    0xff5c675c,
    0xff756e5e,
    0xff645447,
    0xff7a614f,
    0xff9d7953,
    0xffbb9364,
    0xffa07a4c,
    0xffc6a16c,
    0xffb29862,
    0xffb29c6d,
    0xff8a6544,
    0xffb08b62,
    0xff9c9c5a,
    0xff808e47,
    0xffa99365,
    0xff847346,
    0xffaca46c,
    0xff928d6b,
    0xff67633d,
    0xff93915f,
    0xff817f5a,
    0xff808565,
    0xff66705a,
    0xff7f9e6f,
    0xff879863,
    0xff73885f,
    0xff4f7461,
    0xff5c8b84,
    0xff4c786e,
    0xff44746a,
    0xff2e6a67,
    0xff35736a,
    0xff4b7b7b,
    0xff426e5c,
    0xff1d594f,
    0xff3f817e,
    0xff345d4f,
    0xff536362,
    0xff59706e,
    0xff708573,
    0xff668475,
    0xff55806d,
    0xff507e6b,
    0xff4d746c,
    0xff214248,
    0xff61837f,
    0xff577c66,
    0xff5d7367,
    0xff798e6b,
    0xff788d6f,
    0xff43514a,
    0xff808573,
    0xffa19772,
    0xff9c896f,
    0xff695557,
    0xff6c6c5e,
    0xffa3976c,
    0xffab9d78,
    0xff8e917a,
    0xff647965,
    0xff5f7d7f,
    0xff294b58,
    0xff486358,
    0xff7b8d82,
    0xff536168,
    0xff757b79,
    0xff77736b,
    0xff72765f,
    0xff7c886a,
    0xff758d81,
    0xff4c7766,
    0xff304d53,
    0xff595e57,
    0xff9b897c,
    0xff847567,
    0xffabb192,
    0xff869777,
    0xff83977c,
    0xff627759,
    0xffc2b688,
    0xffa79a66,
    0xffa39b66,
    0xff8d8d5a,
    0xff879064,
    0xffa1b18e,
    0xffbdcdb1,
    0xffe7f2dd,
    0xfffcfdec,
    0xfffffffc,
    0xff899274,
    0xff8c977a,
    0xff5d6951,
    0xff9daa8f,
    0xffc9d6af,
    0xff7e8b5c,
    0xff6b7e59,
    0xffb0bea3,
    0xfff7f9f1,
    0xfff6f2f5,
    0xfffdfafd,
    0xfffffbfc,
    0xfffefefa,
    0xfffdfcf8,
    0xfffcf9f9,
    0xfffefdfd,
    0xffffffff,
    0xfff8f9fc,
    0xffebf0f2,
    0xffffffff,
    0xfffbfafa,
    0xffa3a29f,
    0xffdce9d3,
    0xff95a58c,
    0xff637656,
    0xff5b7649,
    0xff738f58,
    0xff628348,
    0xff597d44,
    0xff779964,
    0xff5a7a4c,
    0xff52734d,
    0xff4d724c,
    0xff497340,
    0xff366232,
    0xff5f8a67,
    0xff2d5436,
    0xff5b815b,
    0xff4e5e27,
    0xff8c9f62,
    0xff506831,
    0xff48642e,
    0xff84a860,
    0xff698a45,
    0xff59783e,
    0xff486727,
    0xff5d8637,
    0xff638d47,
    0xff4a7241,
    0xff10371d,
    0xff0d381a,
    0xff3b693c,
    0xff205121,
    0xff316138,
    0xff517a4d,
    0xff58824a,
    0xff517d36,
    0xff6d984c,
    0xff5f8b3a,
    0xff638d3f,
    0xff4c7731,
    0xff61894e,
    0xff4c6d24,
    0xff4f721b,
    0xff698a32,
    0xff5b783e,
    0xff183211,
    0xff24420c,
    0xff527823,
    0xff456a1e,
    0xff6c883b,
    0xff44640e,
    0xff4d6f2a,
    0xff304e1a,
    0xff476720,
    0xff688732,
    0xff85a658,
    0xff68893c,
    0xff5a8537,
    0xff759e52,
    0xff72974d,
    0xff698a48,
    0xff5f7b3e,
    0xff627c3b,
    0xff728f3b,
    0xff668425,
    0xff718937,
    0xff728f2b,
    0xff84a239,
    0xff4e6d1a,
    0xff426426,
    0xff385e2b,
    0xff2a5227,
    0xff2f5a37,
    0xff27521f,
    0xff3e6739,
    0xff36602f,
    0xff1a450f,
    0xff295118,
    0xff315924,
    0xff4f7a3c,
    0xff487527,
    0xff6c9d46,
    0xff49742b,
    0xff698f3f,
    0xff497619,
    0xff639037,
    0xff638d31,
    0xff75933f,
    0xff5c6e2d,
    0xff748337,
    0xff547535,
    0xff39642f,
    0xff203703,
    0xffa18b4e,
    0xffa6702a,
    0xffad6f23,
    0xffbd8739,
    0xffbe7e2b,
    0xffa26714,
    0xffb27a2c,
    0xffa86f25,
    0xffaa792e,
    0xff9b7f2b,
    0xff929a36,
    0xff779b2c,
    0xff5f8b15,
    0xff75a02f,
    0xff466b08,
    0xff4b6816,
    0xff465b15,
    0xff434e12,
    0xff222500,
    0xff484816,
    0xff7f7b36,
    0xff90661f,
    0xffa4581c,
    0xff7d4510,
    0xff5b390d,
    0xff432200,
    0xff827531,
    0xff6c6a0c,
    0xff5a4910,
    0xff495007,
    0xff395908,
    0xff446a23,
    0xff1f3a03,
    0xff1d2b0d,
    0xff182715,
    0xff2b3f22,
    0xff272405,
    0xff655a27,
    0xff493d06,
    0xff746435,
    0xff6b5628,
    0xff584413,
    0xff424215,
    0xff001100,
    0xff323c23,
    0xff0e1a03,
    0xff152410,
    0xff0b1d0d,
    0xff041809,
    0xff061a0c,
    0xff102518,
    0xff0c2113,
    0xff051e0b,
    0xff122d16,
    0xff203e20,
    0xff2a4b2d,
    0xff1e4024,
    0xff163819,
    0xff001900,
    0xff274822,
    0xff597455,
    0xff001902,
    0xff01180a,
    0xff02190c,
    0xff162f21,
    0xff1d3525,
    0xff182f1f,
    0xff07200f,
    0xff071a0f,
    0xff001203,
    0xff071c0b,
    0xff0e2413,
    0xff0b1c0d,
    0xff091b0b,
    0xff07190b,
    0xff162819,
    0xff08180e,
    0xff05140a,
    0xff06170e,
    0xff000e06,
    0xff051810,
    0xff0c2016,
    0xff13261c,
    0xff0f2418,
    0xff1b2922,
    0xff242e19,
    0xff2b340d,
    0xff081812,
    0xff787a8a,
    0xff878b8c,
    0xff10211f,
    0xff080404,
    0xff0b0b0a,
    0xff1d1015,
    0xff200500,
    0xff6b470f,
    0xffbf9243,
    0xffa87119,
    0xffd29629,
    0xffd4990f,
    0xffd8a32f,
    0xffcb8328,
    0xff9f4e02,
    0xffae6906,
    0xffe8aa37,
    0xff914a00,
    0xffbc7923,
    0xffbd8b0a,
    0xffb89b03,
    0xffac9017,
    0xff917d0d,
    0xffb4aa27,
    0xff888402,
    0xff7c790c,
    0xff747918,
    0xff6b780f,
    0xff797c1f,
    0xff82811e,
    0xff84841f,
    0xff727400,
    0xff837e18,
    0xffa6983c,
    0xff806d00,
    0xff86660c,
    0xff83770d,
    0xff9e9f21,
    0xff8c8c17,
    0xff705c01,
    0xff7c5103,
    0xff7a4401,
    0xff794b14,
    0xff4d2f08,
    0xff8b711f,
    0xff725d10,
    0xff887235,
    0xff826032,
    0xff4d1a00,
    0xff61250c,
    0xff551e05,
    0xff5c2c0e,
    0xff753f1f,
    0xff531601,
    0xff550e01,
    0xff641a0e,
    0xff5d1609,
    0xff4f0e00,
    0xff5d1f11,
    0xff4c0e06,
    0xff4b0e07,
    0xff4b0f04,
    0xff451301,
    0xff371800,
    0xff252101,
    0xff2a3110,
    0xff2b300b,
    0xff312c08,
    0xff484a1b,
    0xff212701,
    0xff2a340c,
    0xff152404,
    0xff09170d,
    0xff030b15,
    0xff060e0e,
    0xff1d260c,
    0xff323d14,
    0xff3a3614,
    0xff312b0f,
    0xff3b3d1c,
    0xff3c3801,
    0xff6f5508,
    0xff492800,
    0xff6b571e,
    0xff433b0b,
    0xff000e00,
    0xff1e1b08,
    0xff653316,
    0xff481404,
    0xff3a2009,
    0xff47300a,
    0xff522f0b,
    0xff37210c,
    0xff121106,
    0xff090d01,
    0xff473623,
    0xff492611,
    0xff3d1c0f,
    0xff321e16,
    0xff261d12,
    0xff281d1e,
    0xff231d0e,
    0xff151105,
    0xff1a1309,
    0xff282409,
    0xff282409,
    0xff34351e,
    0xff2a3313,
    0xff2b300a,
    0xff382b13,
    0xff38280d,
    0xff323004,
    0xff3c400f,
    0xff332d09,
    0xff33280d,
    0xff211b00,
    0xff1a353a,
    0xff24383d,
    0xff737b86,
    0xff524f61,
    0xff403646,
    0xff3f3f3f,
    0xff6b7b5c,
    0xff95b27b,
    0xff88a967,
    0xff697368,
    0xff5f5670,
    0xff584d5b,
    0xff3b3b3f,
    0xff2b2f3e,
    0xff37364a,
    0xff413d45,
    0xff251d1f,
    0xff3c303a,
    0xff3a2d38,
    0xff352a2c,
    0xff484530,
    0xff7c8761,
    0xff7c8f64,
    0xff758d67,
    0xff3f563e,
    0xff717950,
    0xff98965a,
    0xff9e9a51,
    0xff908332,
    0xffb09c48,
    0xff756d2a,
    0xff748351,
    0xff1c2518,
    0xff2a393c,
    0xff6b4329,
    0xffac440f,
    0xffc1613f,
    0xffab6455,
    0xff7f4a41,
    0xff57383c,
    0xff646854,
    0xff717e71,
    0xff39534e,
    0xff1d4845,
    0xff316a64,
    0xff003b38,
    0xff255a5f,
    0xff043140,
    0xff0b2f3e,
    0xff0a233a,
    0xff051122,
    0xff3d4243,
    0xff525f58,
    0xff35454e,
    0xff001627,
    0xff00151f,
    0xff345159,
    0xff224a4b,
    0xff2a4d53,
    0xff415353,
    0xff3b2b2a,
    0xff1d2231,
    0xff033049,
    0xff0d1e3f,
    0xff15294c,
    0xff10254f,
    0xff273d54,
    0xff536957,
    0xff91a274,
    0xff959b67,
    0xff958d60,
    0xff988b5f,
    0xff948257,
    0xff8d9154,
    0xff949e55,
    0xffc0854f,
    0xffc23f24,
    0xffc52b1c,
    0xffd22b23,
    0xffc72d24,
    0xffd23422,
    0xffd23c26,
    0xffbb2a11,
    0xffc82f17,
    0xffbb1703,
    0xffb90d00,
    0xffcb2613,
    0xffc62a13,
    0xffba2502,
    0xffcb2711,
    0xffc83823,
    0xffc8432b,
    0xffce4225,
    0xffd5734b,
    0xffc7a973,
    0xffaba269,
    0xffc7a176,
    0xffaa3529,
    0xffa0000b,
    0xff9b050f,
    0xff8f0000,
    0xffb50207,
    0xffd71e19,
    0xffc51a0a,
    0xffc10a16,
    0xffb10313,
    0xffa30012,
    0xffa30018,
    0xffac001d,
    0xffb5001b,
    0xffbd0419,
    0xffc60d1d,
    0xffb81515,
    0xffb65621,
    0xffd2b854,
    0xffa29c39,
    0xffa29950,
    0xff908950,
    0xffa6a66b,
    0xff7e833f,
    0xff7c9b3e,
    0xff88994c,
    0xff9da571,
    0xff4d633c,
    0xff2d5a41,
    0xff2d6058,
    0xff052a36,
    0xff253f58,
    0xff22464e,
    0xff193d43,
    0xff3d6241,
    0xff8db063,
    0xff9bb966,
    0xff9eb66c,
    0xffa0bd71,
    0xff98b96e,
    0xff8aa95c,
    0xff91b064,
    0xff92b266,
    0xff9ebc72,
    0xffa4bb73,
    0xffa8b770,
    0xffa9b16a,
    0xffa7a863,
    0xffa9aa69,
    0xffa8a968,
    0xffa5ac64,
    0xffa6ae60,
    0xff9eaa58,
    0xffa5b25f,
    0xffa4b35f,
    0xffa5b662,
    0xffa4ba64,
    0xffb3bc5f,
    0xffa7b167,
    0xff86824d,
    0xff8d8e63,
    0xff7c8a60,
    0xff656841,
    0xff4e5643,
    0xff5b574e,
    0xff464b4a,
    0xff182c42,
    0xff0e273f,
    0xff16302d,
    0xff384b41,
    0xff405157,
    0xff3e555a,
    0xff304f5a,
    0xff00183d,
    0xff022354,
    0xff03254e,
    0xff113258,
    0xff092853,
    0xff02234c,
    0xff022646,
    0xff0c2e5d,
    0xff1e3d63,
    0xff254156,
    0xff425e5b,
    0xff748f6d,
    0xff6d864f,
    0xff7a8453,
    0xff8c906a,
    0xff577659,
    0xff425349,
    0xff687771,
    0xff375135,
    0xff7e8b55,
    0xff8f8548,
    0xffc1bb87,
    0xff42562e,
    0xff384b44,
    0xff4f5f71,
    0xff3c3b4a,
    0xff2d3a33,
    0xff44726a,
    0xff51625c,
    0xff8c7265,
    0xff7b665a,
    0xff683c36,
    0xff815157,
    0xff9d564d,
    0xffa67b53,
    0xff707652,
    0xff3d6154,
    0xff275655,
    0xff20394a,
    0xff2a404e,
    0xff696a4e,
    0xff8a875b,
    0xff898264,
    0xff879160,
    0xff7d8443,
    0xffa4905d,
    0xff777948,
    0xff456545,
    0xff426245,
    0xff99b076,
    0xff5e5d55,
    0xff2d2f43,
    0xff60836f,
    0xff356156,
    0xff244645,
    0xff204863,
    0xff061e43,
    0xff1f3760,
    0xff154260,
    0xff114a52,
    0xff1f4d4c,
    0xff18424b,
    0xff164860,
    0xff0d3548,
    0xff2b3f51,
    0xff4a5062,
    0xff444b54,
    0xff646561,
    0xff6d5c4b,
    0xff7b634e,
    0xff786450,
    0xff95825a,
    0xffab9673,
    0xffa08d76,
    0xff826b5e,
    0xff8f7560,
    0xffafb17a,
    0xff7e8a47,
    0xff91844f,
    0xffb59e61,
    0xffb2a853,
    0xff8d8850,
    0xff9a946d,
    0xff98975f,
    0xff929a62,
    0xff90a273,
    0xff678069,
    0xff457667,
    0xff3e6a53,
    0xff71997c,
    0xff578268,
    0xff517d6e,
    0xff2a5851,
    0xff3b6b68,
    0xff265a56,
    0xff4d807a,
    0xff3e7074,
    0xff497b72,
    0xff548c8a,
    0xff2a5e5f,
    0xff606b59,
    0xff949380,
    0xff638371,
    0xff5d8873,
    0xff3f6e61,
    0xff508179,
    0xff3f6e62,
    0xff486e66,
    0xff557277,
    0xff517575,
    0xff649080,
    0xff426860,
    0xff426d6a,
    0xff4b746e,
    0xff6a8479,
    0xff6d8170,
    0xff687c5f,
    0xff7c8f6e,
    0xff818b7a,
    0xff7a7f7a,
    0xff908c6c,
    0xff908769,
    0xff919d83,
    0xff769776,
    0xff47605f,
    0xff3b5070,
    0xff45737b,
    0xff3d726b,
    0xff486d6f,
    0xff58796c,
    0xff4b6f5f,
    0xff668868,
    0xff57804a,
    0xff60815c,
    0xff6f8366,
    0xff669470,
    0xff3e6e59,
    0xff2e5845,
    0xff344838,
    0xff6e726e,
    0xff383f44,
    0xff304449,
    0xff4c6970,
    0xff6e724c,
    0xff9aa065,
    0xff9da95c,
    0xff8fa053,
    0xff728849,
    0xff5c7744,
    0xff6a824f,
    0xff8a9f68,
    0xff9ba87e,
    0xff8fa170,
    0xff7a915e,
    0xff597246,
    0xff4b6845,
    0xff506b49,
    0xff738f60,
    0xff78965a,
    0xff71915d,
    0xff7d9871,
    0xffbac9b6,
    0xffffffff,
    0xffefeef0,
    0xfffffffe,
    0xfffffdfb,
    0xfffcfcfa,
    0xfffdfcfd,
    0xffffffff,
    0xffecf2f2,
    0xff8d9794,
    0xff838d85,
    0xffffffff,
    0xffb9c4b1,
    0xff8f9c83,
    0xff7f9c73,
    0xff5f7d52,
    0xff6d885e,
    0xff567145,
    0xff5a7b45,
    0xff668d52,
    0xff4a7337,
    0xff3f6c33,
    0xff356432,
    0xff325f3b,
    0xff345f3e,
    0xff59835b,
    0xff4f774f,
    0xff325639,
    0xff426546,
    0xff4c6f46,
    0xff5b6d33,
    0xff93a95d,
    0xff647f37,
    0xff73924f,
    0xff6c8d44,
    0xff628040,
    0xff3a551b,
    0xff627c31,
    0xff789448,
    0xff718e3f,
    0xff627c37,
    0xff7a9259,
    0xff4f6834,
    0xff54753a,
    0xff1e440f,
    0xff2e562e,
    0xff50733e,
    0xff597a41,
    0xff769851,
    0xff75963f,
    0xff6a8b30,
    0xff69883b,
    0xff567631,
    0xff61803a,
    0xff69883a,
    0xff91b15a,
    0xff73953f,
    0xff537135,
    0xff516b3d,
    0xff7b974b,
    0xff819f3f,
    0xff576f25,
    0xff6d8742,
    0xff638730,
    0xff40681d,
    0xff305410,
    0xff7a9d44,
    0xff7b9c40,
    0xff6b8b46,
    0xff476a32,
    0xff335b27,
    0xff557945,
    0xff55783a,
    0xff618038,
    0xff678431,
    0xff8ca749,
    0xff849e3b,
    0xff89a340,
    0xff889f43,
    0xff8ca53c,
    0xff8ba53b,
    0xff5b761f,
    0xff577531,
    0xff2d5215,
    0xff355b2d,
    0xff234a29,
    0xff558242,
    0xff527d47,
    0xff315924,
    0xff729c5f,
    0xff4f793d,
    0xff1e4613,
    0xff476f35,
    0xff669243,
    0xff629043,
    0xff28520b,
    0xff6b9342,
    0xff6e983e,
    0xff5c8738,
    0xff608739,
    0xff698a38,
    0xff49601c,
    0xff70773e,
    0xff6a6b34,
    0xff61592b,
    0xff3b2a00,
    0xff492f0a,
    0xff5f3607,
    0xff995e29,
    0xff954c0e,
    0xffa45e15,
    0xffca8434,
    0xffb97922,
    0xffb1781b,
    0xffb28b2d,
    0xff7d6e14,
    0xff66751d,
    0xff587622,
    0xff668c31,
    0xff6e9331,
    0xff6a8d27,
    0xff80a039,
    0xff7c9b35,
    0xff7c9a3d,
    0xff7c9742,
    0xff617b2e,
    0xff393200,
    0xff7d4d12,
    0xffad7025,
    0xff8a560a,
    0xff713f0e,
    0xffa86d3c,
    0xffbc7d3d,
    0xff8e6b18,
    0xff766d26,
    0xff7f8334,
    0xff384406,
    0xff202b00,
    0xff3c4210,
    0xff3c3c10,
    0xff1c1b00,
    0xff3f400b,
    0xff9c8e46,
    0xff65520f,
    0xff4f400c,
    0xff53461f,
    0xff4b3a19,
    0xff7a6142,
    0xff3b2f11,
    0xff0d1a00,
    0xff050f00,
    0xff242e18,
    0xff15210e,
    0xff162010,
    0xff172412,
    0xff091507,
    0xff142112,
    0xff263325,
    0xff0c1e0d,
    0xff0f260f,
    0xff10290e,
    0xff042107,
    0xff14301a,
    0xff0d2c16,
    0xff355839,
    0xff24461f,
    0xff243f1c,
    0xff254023,
    0xff001704,
    0xff04180c,
    0xff02180c,
    0xff0a2010,
    0xff0d2112,
    0xff122617,
    0xff0e2217,
    0xff102616,
    0xff102517,
    0xff081e0c,
    0xff071909,
    0xff132517,
    0xff081a0f,
    0xff0b1e12,
    0xff223124,
    0xff172a1d,
    0xff0a1c10,
    0xff061b0f,
    0xff0f2318,
    0xff132a1c,
    0xff0d2514,
    0xff102718,
    0xff0f241b,
    0xff192b17,
    0xff1a2913,
    0xff738894,
    0xffadb5ce,
    0xff1e231e,
    0xff000600,
    0xff1d1011,
    0xff1b1819,
    0xff1b090a,
    0xff300900,
    0xffa06d27,
    0xffa3680e,
    0xff935206,
    0xffa46012,
    0xffb97614,
    0xffad6e09,
    0xffa45e00,
    0xffb66d0a,
    0xffc37f1b,
    0xff944c00,
    0xffc4741f,
    0xffc17e1c,
    0xffc4980f,
    0xffa68600,
    0xffaf9215,
    0xff867100,
    0xff928604,
    0xff968e0f,
    0xff857f16,
    0xff595b00,
    0xff5e6904,
    0xff6b720f,
    0xff5c6105,
    0xff5b6301,
    0xff8a9224,
    0xff626508,
    0xff616000,
    0xff807b0d,
    0xff958b27,
    0xff8a890b,
    0xff9ea520,
    0xff707400,
    0xff6e6202,
    0xff7c5a13,
    0xff734d04,
    0xffa4882e,
    0xff7c6c14,
    0xff524503,
    0xff655413,
    0xff614b16,
    0xff482804,
    0xff582c0f,
    0xff582005,
    0xff581700,
    0xff712b10,
    0xff885d2a,
    0xff77461e,
    0xff591a03,
    0xff4f0e00,
    0xff591a00,
    0xff622806,
    0xff4a1100,
    0xff531901,
    0xff561600,
    0xff7a4125,
    0xff623511,
    0xff654722,
    0xff402d0a,
    0xff312a0a,
    0xff121700,
    0xff293717,
    0xff2f4013,
    0xff273613,
    0xff1d2d0d,
    0xff0a1d00,
    0xff011600,
    0xff000c02,
    0xff000400,
    0xff384326,
    0xff404b15,
    0xff5c632b,
    0xff53502e,
    0xff3b3511,
    0xff65550e,
    0xff694c0e,
    0xff7c5d1f,
    0xff664e06,
    0xff675217,
    0xff050f00,
    0xff2b2e1c,
    0xff230c01,
    0xff4c371f,
    0xff29220d,
    0xff483919,
    0xff5e4512,
    0xff3c2f16,
    0xff050600,
    0xff3c3b30,
    0xff3c2912,
    0xff3f2508,
    0xff35220a,
    0xff261e0d,
    0xff252110,
    0xff282016,
    0xff2c2714,
    0xff231d0f,
    0xff241a0f,
    0xff271a04,
    0xff211809,
    0xff20211d,
    0xff132210,
    0xff22280b,
    0xff342619,
    0xff271309,
    0xff201801,
    0xff242602,
    0xff26200d,
    0xff221b0d,
    0xff161803,
    0xff001f44,
    0xff05223f,
    0xff344558,
    0xff484b5f,
    0xff383444,
    0xff3b373c,
    0xff505a4a,
    0xff8fa583,
    0xff7d9a6f,
    0xff565e66,
    0xff5e5575,
    0xff564e5a,
    0xff3c3e3a,
    0xff2a2f39,
    0xff3a3b50,
    0xff3a3541,
    0xff24201d,
    0xff3f3842,
    0xff372c3d,
    0xff342e2e,
    0xff6f7556,
    0xff859a66,
    0xff87a673,
    0xff60855e,
    0xff043e2e,
    0xff506134,
    0xffc6b16b,
    0xffb8a962,
    0xff82834b,
    0xff838856,
    0xff65622e,
    0xff9d975c,
    0xffa69d5c,
    0xff4a483f,
    0xff4e2127,
    0xffda8c89,
    0xffffd4e8,
    0xff61546e,
    0xff564237,
    0xff92855e,
    0xff6b7244,
    0xff50644f,
    0xff0b2e35,
    0xff001e2e,
    0xff21474e,
    0xff3d6064,
    0xff163c49,
    0xff1a415c,
    0xff001430,
    0xff03173e,
    0xff001733,
    0xff12363c,
    0xff335a58,
    0xff285156,
    0xff3c6c74,
    0xff3a7172,
    0xff266055,
    0xff245f56,
    0xff305f62,
    0xff1c4f4f,
    0xff02282a,
    0xff4f577a,
    0xff17295d,
    0xff0c274f,
    0xff142a54,
    0xff18335c,
    0xff163048,
    0xff5a6c5e,
    0xffa09f74,
    0xffaea16f,
    0xffab9f69,
    0xffa4a269,
    0xff9eaa72,
    0xff99995f,
    0xffa3a35f,
    0xffcba064,
    0xffb64a27,
    0xffc6261a,
    0xffd41d1c,
    0xffbf271a,
    0xffd83e26,
    0xffce4024,
    0xffbe3715,
    0xffbe2e10,
    0xffca270e,
    0xffc01502,
    0xffb51300,
    0xffcb371f,
    0xffca2d24,
    0xffd5190c,
    0xffbd1b00,
    0xffb6210e,
    0xffbf130e,
    0xffb53d23,
    0xffaf9557,
    0xffa8a466,
    0xff9f995a,
    0xffce8d66,
    0xffa20b04,
    0xffb9030d,
    0xff9f0105,
    0xff970103,
    0xffc00f17,
    0xffc50810,
    0xffc40d1a,
    0xffb60516,
    0xffa50116,
    0xffa5021e,
    0xffaa001f,
    0xffb90322,
    0xffba001a,
    0xffb90013,
    0xffc2100c,
    0xffd3652c,
    0xffd4a74b,
    0xff9f913b,
    0xff9f9e58,
    0xff707c3a,
    0xff727b43,
    0xff8e895d,
    0xff919851,
    0xff95a85e,
    0xff90ae74,
    0xff618357,
    0xff58846a,
    0xff4d8275,
    0xff3a6966,
    0xff213f48,
    0xff1a3837,
    0xff19393b,
    0xff6b8d6b,
    0xff95b768,
    0xff9bb45e,
    0xff90a758,
    0xff89a652,
    0xff8faf5e,
    0xff89ac59,
    0xff8bae61,
    0xff8aae63,
    0xff6b8d45,
    0xff82a058,
    0xff9eb16a,
    0xffa7b369,
    0xffaab063,
    0xffaab168,
    0xffacae66,
    0xffabae63,
    0xffafb768,
    0xffb0ba68,
    0xffafbb69,
    0xffa7b867,
    0xff9fb05f,
    0xffb0b05d,
    0xffb0ae59,
    0xff9aa76f,
    0xff767c66,
    0xff49534b,
    0xff42584e,
    0xff4a5a4c,
    0xff314a4d,
    0xff48585f,
    0xff465751,
    0xff293b43,
    0xff1d2e48,
    0xff192641,
    0xff445069,
    0xff314c53,
    0xff37654a,
    0xff597b62,
    0xff002133,
    0xff012053,
    0xff052451,
    0xff02203d,
    0xff001f3b,
    0xff01234b,
    0xff0e2e5c,
    0xff12364f,
    0xff0e2f4b,
    0xff1f345c,
    0xff273750,
    0xff687b65,
    0xffadbe78,
    0xffb0b86e,
    0xff8b8a58,
    0xff364d31,
    0xff476554,
    0xff51786a,
    0xff335d4a,
    0xff4e734e,
    0xff798f5f,
    0xff656e43,
    0xff797b58,
    0xff2e4425,
    0xff263023,
    0xff6c584c,
    0xff867c77,
    0xff34565b,
    0xff3a5646,
    0xff626a4c,
    0xff536f64,
    0xff606864,
    0xff555f57,
    0xff867156,
    0xff8f824d,
    0xff768b55,
    0xff728b6a,
    0xff365248,
    0xff2e4757,
    0xff485c76,
    0xff4e5557,
    0xff455350,
    0xff626363,
    0xff707856,
    0xff889d5e,
    0xff858c4b,
    0xff7d924c,
    0xff83935a,
    0xff727850,
    0xff828843,
    0xff737a60,
    0xff0f1c2e,
    0xff385260,
    0xff2e4b68,
    0xff2a4959,
    0xff627f74,
    0xff304c57,
    0xff18364a,
    0xff1f4347,
    0xff335253,
    0xff495f6e,
    0xff0b243b,
    0xff092e3c,
    0xff052c3f,
    0xff1a2c4f,
    0xff262f56,
    0xff24344d,
    0xff505f66,
    0xff565452,
    0xff64565a,
    0xff645d65,
    0xff545959,
    0xff5b535f,
    0xff5b5962,
    0xff4e584a,
    0xff6c7457,
    0xff656f4d,
    0xff6d7c56,
    0xff95926d,
    0xff937e51,
    0xff8d9858,
    0xff6e8063,
    0xff6c6e5b,
    0xff747751,
    0xff6c8a60,
    0xff50805d,
    0xff346250,
    0xff395847,
    0xff638e7e,
    0xff4b7b68,
    0xff406c59,
    0xff548679,
    0xff2b6765,
    0xff0d4543,
    0xff527b71,
    0xff3c6f59,
    0xff226059,
    0xff21625d,
    0xff306d6a,
    0xff2e544d,
    0xffa29c7a,
    0xff9f9868,
    0xff608965,
    0xff32645c,
    0xff275660,
    0xff29525b,
    0xff33574e,
    0xff618171,
    0xff537469,
    0xff6b978c,
    0xff2c6152,
    0xff588c7c,
    0xff356c62,
    0xff689a82,
    0xff526e56,
    0xff505e57,
    0xff4a6251,
    0xff476340,
    0xff6c8465,
    0xff638169,
    0xff73886e,
    0xff89947a,
    0xff586f4c,
    0xff698964,
    0xff707860,
    0xff879180,
    0xff2b5d48,
    0xff436d68,
    0xff3e605b,
    0xff497a60,
    0xff578a74,
    0xff688d66,
    0xff5e8740,
    0xff78a667,
    0xff5e804a,
    0xff68764c,
    0xff606e64,
    0xff797e79,
    0xff928576,
    0xff8b7c74,
    0xff94958a,
    0xff687664,
    0xff808b7e,
    0xff7a9b74,
    0xff66884f,
    0xff63833b,
    0xff779854,
    0xff43612e,
    0xff6a8456,
    0xff889c61,
    0xff7d9044,
    0xff6d854a,
    0xff648243,
    0xff729453,
    0xff5d864b,
    0xff30572d,
    0xff49714a,
    0xff51794a,
    0xff4d763b,
    0xff5d8a4b,
    0xff638857,
    0xff647d62,
    0xffa4b2a8,
    0xfffafffe,
    0xfff4f6f6,
    0xfffbfbfc,
    0xfffdfffd,
    0xfffafdfa,
    0xffeaf2e9,
    0xffc7d4c8,
    0xffa3b6a2,
    0xff6f8669,
    0xff7d976e,
    0xffb9d29f,
    0xff859c64,
    0xff638f4b,
    0xff537b3f,
    0xff6e925e,
    0xff668751,
    0xff5d7f46,
    0xff759c5d,
    0xff699756,
    0xff508343,
    0xff447f4a,
    0xff497e57,
    0xff3d6c4b,
    0xff345f38,
    0xff3d5f3c,
    0xff516e4e,
    0xff25441e,
    0xff51703b,
    0xff7a8d46,
    0xff869f45,
    0xff759538,
    0xff607f2b,
    0xff7a984c,
    0xff607936,
    0xff798c49,
    0xff95a851,
    0xff858d3c,
    0xff919640,
    0xff979b38,
    0xffa2a83f,
    0xff8d943c,
    0xff778442,
    0xff3f531a,
    0xff627e3c,
    0xff6f923e,
    0xff749250,
    0xff748e4c,
    0xff708a32,
    0xff849c40,
    0xff83954d,
    0xff80944b,
    0xff768e31,
    0xff7d9849,
    0xff476618,
    0xff4b6c23,
    0xff264211,
    0xff25400f,
    0xff65822b,
    0xff617a19,
    0xff738444,
    0xff6c8a35,
    0xff5a8122,
    0xff729c4e,
    0xff59803d,
    0xff87a953,
    0xff7c9c44,
    0xff2d4b0c,
    0xff1a3c0e,
    0xff1a3e20,
    0xff264722,
    0xff28480d,
    0xff54751a,
    0xff7fa12a,
    0xff799721,
    0xff65821f,
    0xff4a6115,
    0xff788e3b,
    0xff6c8329,
    0xff6e852f,
    0xff829b4f,
    0xff728f47,
    0xff6c8b45,
    0xff1a3a04,
    0xff3f6140,
    0xff547c46,
    0xff1c4317,
    0xff244a23,
    0xff38602f,
    0xff22481c,
    0xff1f4322,
    0xff1b4117,
    0xff2e5618,
    0xff476727,
    0xff6a934e,
    0xff41761a,
    0xff437219,
    0xff547332,
    0xff667d40,
    0xff557427,
    0xff4c6f1d,
    0xff6c6c20,
    0xff90731e,
    0xffc98d35,
    0xffce8c39,
    0xffaa7027,
    0xffae7936,
    0xffa2661b,
    0xffd38c35,
    0xffc37b23,
    0xffc57a24,
    0xffc9812b,
    0xffbc7f29,
    0xff9c781e,
    0xff8d862d,
    0xff61711a,
    0xff3c5805,
    0xff46781c,
    0xff5a8824,
    0xff4d7508,
    0xff6b8b18,
    0xff7f992d,
    0xff596e0f,
    0xff617325,
    0xff344200,
    0xff91782f,
    0xffae7c3f,
    0xff8f7421,
    0xff857313,
    0xff876016,
    0xff8f5413,
    0xff9f6320,
    0xff7e712b,
    0xff627218,
    0xff65690c,
    0xff8f7f34,
    0xff9c803e,
    0xff7a6213,
    0xff9b8036,
    0xff816425,
    0xff90742e,
    0xff564502,
    0xff8e7736,
    0xff5a4814,
    0xff42390c,
    0xff342603,
    0xff331803,
    0xff4a402d,
    0xff182814,
    0xff0e1205,
    0xff2f3027,
    0xff0b1005,
    0xff091102,
    0xff29341d,
    0xff414c31,
    0xff131e00,
    0xff141d04,
    0xff13200a,
    0xff25341b,
    0xff091c05,
    0xff031a05,
    0xff112c1d,
    0xff0e2a1a,
    0xff19371d,
    0xff173614,
    0xff1d3710,
    0xff243d1e,
    0xff081f09,
    0xff001504,
    0xff07190b,
    0xff091a0c,
    0xff1d2d20,
    0xff0f1d11,
    0xff0f2216,
    0xff081c11,
    0xff031708,
    0xff112215,
    0xff142518,
    0xff122518,
    0xff0c1b11,
    0xff04130a,
    0xff011302,
    0xff081a0a,
    0xff041609,
    0xff0d2313,
    0xff0a1e10,
    0xff172f1e,
    0xff081f0b,
    0xff0c2610,
    0xff07230b,
    0xff1b322d,
    0xff65777b,
    0xff87a1b4,
    0xff010e1f,
    0xff050504,
    0xff121a19,
    0xff1c0a08,
    0xff2c1b05,
    0xff301400,
    0xff673c1b,
    0xff784412,
    0xff7e430e,
    0xff864703,
    0xff995602,
    0xffd69638,
    0xff9e5b10,
    0xffba7c0c,
    0xffc58e0c,
    0xffbd830d,
    0xffe9a02c,
    0xffcc7c0d,
    0xffc88a0e,
    0xffbfa30c,
    0xffaf9112,
    0xff957d00,
    0xffb5a71a,
    0xffa9a017,
    0xff948b13,
    0xff777107,
    0xff87871d,
    0xff757e0b,
    0xff646f03,
    0xff6d7719,
    0xff495500,
    0xff445200,
    0xff5c6602,
    0xff6b750f,
    0xff5e6900,
    0xff757c18,
    0xff959930,
    0xff869121,
    0xff818d10,
    0xff818113,
    0xff5a4a00,
    0xff6f5d02,
    0xff837909,
    0xff94912d,
    0xff61632b,
    0xff1c2000,
    0xff3b3d13,
    0xff301c06,
    0xff4c1d08,
    0xff601e0e,
    0xff581e09,
    0xff5e371a,
    0xff464100,
    0xff867a3a,
    0xff775c27,
    0xff85612f,
    0xff8c652f,
    0xff7d531e,
    0xff7c4f20,
    0xff6b3a10,
    0xff794c0e,
    0xff705112,
    0xff574409,
    0xff554107,
    0xff634418,
    0xff7f6345,
    0xff221700,
    0xff1b220a,
    0xff162601,
    0xff344522,
    0xff354823,
    0xff3f5b28,
    0xff1b3d0c,
    0xff183a14,
    0xff284823,
    0xff355223,
    0xff3c4f0c,
    0xff5a6822,
    0xff66673e,
    0xff362b00,
    0xff6c560f,
    0xff543603,
    0xff694f12,
    0xff634701,
    0xff6c4914,
    0xff2d2709,
    0xff22210f,
    0xff393618,
    0xff0f1400,
    0xff282911,
    0xff3d2e14,
    0xff594917,
    0xff37381c,
    0xff020700,
    0xff221d11,
    0xff433116,
    0xff352704,
    0xff2a2c07,
    0xff262b10,
    0xff25230c,
    0xff160e00,
    0xff100c00,
    0xff251d08,
    0xff251903,
    0xff4d3e18,
    0xff433c1a,
    0xff101600,
    0xff091c01,
    0xff0c1400,
    0xff1f0f08,
    0xff301816,
    0xff241602,
    0xff141000,
    0xff1a1407,
    0xff1d170d,
    0xff21240f,
    0xff07254f,
    0xff062843,
    0xff0c2837,
    0xff515f6c,
    0xff4c465a,
    0xff453c4d,
    0xff434344,
    0xff768372,
    0xff727972,
    0xff5c5b63,
    0xff5a5569,
    0xff514961,
    0xff3b3545,
    0xff292533,
    0xff4f4e5b,
    0xff434251,
    0xff35292e,
    0xff392d38,
    0xff2d2d2f,
    0xff404f37,
    0xff84a36b,
    0xff81aa65,
    0xff7eac71,
    0xff6a9a74,
    0xff0c3633,
    0xff2f4632,
    0xff555422,
    0xff999047,
    0xff7c8541,
    0xff475825,
    0xff868b55,
    0xff927c3a,
    0xff706c38,
    0xff473722,
    0xffc9abaf,
    0xffe8d1dc,
    0xff5b5563,
    0xff45474f,
    0xff68664d,
    0xff878146,
    0xff7f865b,
    0xff596863,
    0xff041c30,
    0xff1e3f4f,
    0xff20454e,
    0xff183d4c,
    0xff0d3b4c,
    0xff124650,
    0xff052936,
    0xff031b43,
    0xff051f36,
    0xff32574d,
    0xff3b6a60,
    0xff2f645e,
    0xff497d6f,
    0xff45756d,
    0xff3b7265,
    0xff163b47,
    0xff0c3142,
    0xff375d64,
    0xff275457,
    0xff162543,
    0xff162d52,
    0xff0a2946,
    0xff0b3052,
    0xff1d3b51,
    0xff253649,
    0xff495240,
    0xffaaaf7c,
    0xff9fa362,
    0xff999f55,
    0xff959d62,
    0xff8fa757,
    0xff9bab67,
    0xff98a564,
    0xffada55f,
    0xffc7744b,
    0xffbc1715,
    0xffd2171d,
    0xffc12312,
    0xffc5391a,
    0xffd14928,
    0xffc53714,
    0xffca2e0d,
    0xffc6280a,
    0xffb42107,
    0xffa81302,
    0xffb61a0f,
    0xffb72412,
    0xffc21b10,
    0xffcb1b13,
    0xffb21509,
    0xffa21505,
    0xffa31502,
    0xffb45733,
    0xffa29558,
    0xffa49563,
    0xffab8c5a,
    0xffb14b2c,
    0xffb80c0f,
    0xffb30c16,
    0xff990004,
    0xffb80603,
    0xffca0900,
    0xffca2f1a,
    0xffd83129,
    0xffaf070f,
    0xffa1091b,
    0xffa40621,
    0xffb80120,
    0xffc40019,
    0xffc50613,
    0xffc41408,
    0xffc5702b,
    0xffcca747,
    0xff978638,
    0xff989751,
    0xff6f773a,
    0xff4d562e,
    0xff808046,
    0xff96a54e,
    0xffa8aa56,
    0xff828643,
    0xff698763,
    0xff32685b,
    0xff235956,
    0xff2f5754,
    0xff47615f,
    0xff6a7774,
    0xff364748,
    0xff476150,
    0xff90a874,
    0xff9aad60,
    0xffa7b567,
    0xffa1b96b,
    0xff9aba6e,
    0xff93b562,
    0xff8aac61,
    0xff90b571,
    0xff82a467,
    0xff9ab67b,
    0xffa4b77b,
    0xffa3ac66,
    0xffa9ac5e,
    0xffa5ab6c,
    0xffa6ab6d,
    0xffa3a968,
    0xffa9a96b,
    0xffa6a767,
    0xffa5a561,
    0xffabad67,
    0xffafb269,
    0xffa7ae61,
    0xffafb267,
    0xffb3b378,
    0xff707456,
    0xff2c3d3a,
    0xff27404f,
    0xff2d4a58,
    0xff243c46,
    0xff213a50,
    0xff19313e,
    0xff1f3443,
    0xff1a294a,
    0xff1c2c50,
    0xff22394c,
    0xff25434c,
    0xff254750,
    0xff1e3b48,
    0xff0b293b,
    0xff082740,
    0xff032242,
    0xff022143,
    0xff06264b,
    0xff103056,
    0xff112e56,
    0xff193551,
    0xff48716f,
    0xff547a68,
    0xff3f5645,
    0xff5e6e53,
    0xffa3ae72,
    0xffb5ac63,
    0xff927332,
    0xff7b744a,
    0xff6d806b,
    0xff3b645b,
    0xff184340,
    0xff3f6654,
    0xff61846b,
    0xff425845,
    0xff97a270,
    0xff787848,
    0xffa39362,
    0xff8c673e,
    0xff947867,
    0xff606965,
    0xff475253,
    0xff737d73,
    0xff365c45,
    0xff4c695c,
    0xff687b64,
    0xff6c754d,
    0xff818963,
    0xff617055,
    0xff44574b,
    0xff607570,
    0xff3c4e51,
    0xff2b415e,
    0xff243d43,
    0xff344646,
    0xff525b60,
    0xff767464,
    0xff9b9f61,
    0xff8b9846,
    0xff98aa61,
    0xff828c4d,
    0xff667643,
    0xff5d7c49,
    0xff476850,
    0xff274356,
    0xff0d2444,
    0xff192e40,
    0xff394e5c,
    0xff4d6059,
    0xff4b5f6b,
    0xff223d55,
    0xff2a4751,
    0xff47595b,
    0xff2e3941,
    0xff092039,
    0xff002043,
    0xff012437,
    0xff031f4a,
    0xff0d2156,
    0xff182843,
    0xff313e41,
    0xff3b4146,
    0xff414151,
    0xff454156,
    0xff252a4e,
    0xff394350,
    0xff3e4949,
    0xff3e4a49,
    0xff637560,
    0xff576851,
    0xff678250,
    0xff536c49,
    0xff677c55,
    0xff6c9276,
    0xff345d4a,
    0xff54705a,
    0xff759078,
    0xff587766,
    0xff55715c,
    0xff3c4b2d,
    0xff586149,
    0xff355538,
    0xff325e44,
    0xff476c5d,
    0xff588272,
    0xff39765c,
    0xff4a8370,
    0xff4e7371,
    0xff5b8a7f,
    0xff3b6553,
    0xff488475,
    0xff427557,
    0xff6b8367,
    0xff7a8170,
    0xff758063,
    0xff4d846a,
    0xff185250,
    0xff123b57,
    0xff4c5849,
    0xff7f8957,
    0xff224544,
    0xff214e6a,
    0xff36646b,
    0xff00363f,
    0xff3a6a70,
    0xff497d66,
    0xff42775c,
    0xff447770,
    0xff5c8271,
    0xff8a9f66,
    0xffa6b773,
    0xff758b60,
    0xff688b6c,
    0xff547758,
    0xff6c8e71,
    0xff57795f,
    0xff5c7a60,
    0xff91a989,
    0xff859a70,
    0xff849965,
    0xff85a775,
    0xff8ba583,
    0xff68895f,
    0xff4f7b54,
    0xff427949,
    0xff5a9251,
    0xff598756,
    0xff4b753f,
    0xff386843,
    0xff48634d,
    0xff777a69,
    0xff7f7b63,
    0xff6e715f,
    0xff657264,
    0xff6d7f61,
    0xff84995e,
    0xff7ea45b,
    0xff628340,
    0xff6f8c53,
    0xff66824e,
    0xff35561d,
    0xff6b8e53,
    0xff65894b,
    0xff6c8d4e,
    0xff64814c,
    0xff4d783d,
    0xff6c9a5d,
    0xff4e743f,
    0xff567a4c,
    0xff4c744a,
    0xff446e3f,
    0xff426536,
    0xff6c925c,
    0xff608b55,
    0xff456d3e,
    0xff5d7e5e,
    0xff7a8b7a,
    0xffffffff,
    0xfffbf8fd,
    0xffffffff,
    0xffe9ebf0,
    0xffe9f1ee,
    0xff7c8e7f,
    0xff91b08f,
    0xff608756,
    0xff6d9655,
    0xff7fa354,
    0xff8faf55,
    0xff5d8930,
    0xff396131,
    0xff234b20,
    0xff547b3a,
    0xff769751,
    0xff6c8f44,
    0xff6c9747,
    0xff60944d,
    0xff548547,
    0xff113e18,
    0xff2d5c41,
    0xff2e5d36,
    0xff2d5828,
    0xff314d22,
    0xff42531e,
    0xff7b873f,
    0xff858932,
    0xff879138,
    0xff6e8328,
    0xff758d3d,
    0xff3b5009,
    0xff808e44,
    0xff888e35,
    0xff8a9027,
    0xff798b2c,
    0xff67791b,
    0xff818f32,
    0xff8f9940,
    0xffa0a855,
    0xff687121,
    0xff7d8b38,
    0xff899940,
    0xff8fa34a,
    0xff697a30,
    0xff75863b,
    0xff90a247,
    0xff74872d,
    0xff728038,
    0xff7e8943,
    0xff7c8737,
    0xff6c7b2c,
    0xff436610,
    0xff3e691e,
    0xff77975e,
    0xff233e03,
    0xff688a35,
    0xff809d3d,
    0xff5b6912,
    0xff43620b,
    0xff618027,
    0xff83a04d,
    0xff2f4900,
    0xff94b35f,
    0xff5c7d23,
    0xff597836,
    0xff537250,
    0xff34582e,
    0xff35592d,
    0xff597843,
    0xff88a351,
    0xff627c0e,
    0xff617708,
    0xff657e27,
    0xff2c4709,
    0xff5b7d2c,
    0xff698638,
    0xff678237,
    0xff526e22,
    0xff4b6d21,
    0xff678b4a,
    0xff436238,
    0xff274227,
    0xff062f06,
    0xff345735,
    0xff102914,
    0xff041d0a,
    0xff0e2a12,
    0xff113113,
    0xff2f4c2f,
    0xff163012,
    0xff193403,
    0xff547636,
    0xff6b9147,
    0xff5d833a,
    0xff223c06,
    0xff737f48,
    0xff6c702c,
    0xff939140,
    0xff786d21,
    0xff866c21,
    0xff956718,
    0xffb57826,
    0xffc4812b,
    0xffc68424,
    0xffcb851f,
    0xffc57e15,
    0xffcf852d,
    0xffc18223,
    0xffc08a26,
    0xffbf9732,
    0xff9c922b,
    0xff879c33,
    0xff85a13b,
    0xff839936,
    0xff79a32e,
    0xff66951f,
    0xff739f2e,
    0xff82a239,
    0xff728225,
    0xff58610f,
    0xff4a5916,
    0xff39500e,
    0xff887e38,
    0xffab9332,
    0xff8c791d,
    0xff5c6100,
    0xff7a7a1a,
    0xff6b4c11,
    0xff7d551c,
    0xff5b490a,
    0xff3e3c00,
    0xff6b5907,
    0xff98742b,
    0xff8d6a2f,
    0xff645012,
    0xff4b4200,
    0xff6b5c15,
    0xff624b11,
    0xff312b04,
    0xff241b00,
    0xff555524,
    0xff465227,
    0xff1c260e,
    0xff262519,
    0xff070900,
    0xff0c1701,
    0xff413926,
    0xff230b06,
    0xff1b1a02,
    0xff051f04,
    0xff102410,
    0xff101b09,
    0xff1d2503,
    0xff3b3720,
    0xff2a3119,
    0xff242d15,
    0xff161e09,
    0xff253017,
    0xff273617,
    0xff223615,
    0xff1f3716,
    0xff243e1f,
    0xff1d350f,
    0xff2d4123,
    0xff718b5a,
    0xff3f5b23,
    0xff21341d,
    0xff162422,
    0xff18241c,
    0xff0c190a,
    0xff092109,
    0xff091b0f,
    0xff121e1e,
    0xff18251c,
    0xff101f0d,
    0xff0e1f0c,
    0xff06160d,
    0xff0a1917,
    0xff1b2913,
    0xff1d281f,
    0xff0b1a15,
    0xff0c220d,
    0xff0e241b,
    0xff1e3132,
    0xff071f03,
    0xff08210f,
    0xff001308,
    0xff435c61,
    0xff546d72,
    0xff01120b,
    0xff080900,
    0xff170d0a,
    0xff201211,
    0xff190901,
    0xff6a4319,
    0xff6c3d1c,
    0xff794d23,
    0xff7e4e16,
    0xffad6e30,
    0xffbd7629,
    0xffa67725,
    0xff98854a,
    0xff745225,
    0xff6e3c08,
    0xffbd840e,
    0xffe19f15,
    0xffc97a00,
    0xffea9b22,
    0xffae7a09,
    0xffaba10c,
    0xff9f9e0e,
    0xffa5a113,
    0xff99920b,
    0xff94910c,
    0xff939413,
    0xff7f8107,
    0xff888911,
    0xff86850b,
    0xff9e9c26,
    0xff5d640b,
    0xff4e6214,
    0xff5c7719,
    0xff758820,
    0xff899432,
    0xff5e6c14,
    0xff50610a,
    0xff617212,
    0xff526907,
    0xff6e8320,
    0xff6b7710,
    0xff867f18,
    0xff897716,
    0xff6f5f0c,
    0xff594f07,
    0xff494412,
    0xff604f1f,
    0xff443200,
    0xff52480b,
    0xffa07f4b,
    0xff6e2707,
    0xff531202,
    0xff442412,
    0xff59430c,
    0xff68541d,
    0xff65501a,
    0xff735b19,
    0xff806221,
    0xff886228,
    0xff774e0f,
    0xff8b6112,
    0xffe0be53,
    0xff755809,
    0xff594206,
    0xff4e3802,
    0xff493001,
    0xff3d260a,
    0xff1f1905,
    0xff071300,
    0xff223b0d,
    0xff3e5d27,
    0xff204a0c,
    0xff2f5c1a,
    0xff3a6526,
    0xff174006,
    0xff19400e,
    0xff2b531b,
    0xff355615,
    0xff4b5d1e,
    0xff3f5211,
    0xff5e6921,
    0xff7d742d,
    0xff786f28,
    0xff3f3c00,
    0xff504507,
    0xff4a3d0a,
    0xff58461f,
    0xff221200,
    0xff282314,
    0xff1a2012,
    0xff373c28,
    0xff2e2405,
    0xff533f18,
    0xff2d2d1d,
    0xff070a00,
    0xff3f3a20,
    0xff402c05,
    0xff533c15,
    0xff37300e,
    0xff3a3b19,
    0xff535128,
    0xff70682a,
    0xff393309,
    0xff382f05,
    0xff483507,
    0xff7d6129,
    0xff533c02,
    0xff595123,
    0xff191f03,
    0xff0f1503,
    0xff0e0d03,
    0xff1a1200,
    0xff2a1c04,
    0xff352418,
    0xff4a3e2d,
    0xff3d3a12,
    0xff41451a,
    0xff00271c,
    0xff0b3728,
    0xff194134,
    0xff556a6b,
    0xff595767,
    0xff53465e,
    0xff3e3549,
    0xff5f5e6b,
    0xff666669,
    0xff595662,
    0xff5a5367,
    0xff433a4f,
    0xff3c3446,
    0xff453f4b,
    0xff585664,
    0xff4a4958,
    0xff2e2326,
    0xff2c292b,
    0xff2d322c,
    0xff718465,
    0xff84a66c,
    0xff79a15f,
    0xff487341,
    0xff366041,
    0xff1d3f37,
    0xff536e50,
    0xff7d874d,
    0xff8b8945,
    0xff93975c,
    0xff42501d,
    0xff919156,
    0xffb9a55f,
    0xff7e644b,
    0xffc8afb1,
    0xffd3c5d1,
    0xff4c4947,
    0xff595a50,
    0xff515548,
    0xff777d5d,
    0xff949c63,
    0xff7c8653,
    0xff30422e,
    0xff1a3e3b,
    0xff3c6c64,
    0xff2d5e55,
    0xff001e23,
    0xff2c5466,
    0xff193f54,
    0xff1f4158,
    0xff001741,
    0xff0e283d,
    0xff5f8179,
    0xff1e4942,
    0xff21514e,
    0xff346661,
    0xff1f4e4e,
    0xff376e66,
    0xff47737d,
    0xff003042,
    0xff033141,
    0xff023145,
    0xff17234f,
    0xff1d2e56,
    0xff102841,
    0xff152d47,
    0xff12282d,
    0xff5c6760,
    0xff9aa57f,
    0xff858f52,
    0xff838f4e,
    0xff95a856,
    0xff94a962,
    0xff82a856,
    0xff819c58,
    0xff8ba260,
    0xff9da65d,
    0xffbc8250,
    0xffbb2d24,
    0xffc81c20,
    0xffbe2014,
    0xffbe2c1f,
    0xffd25239,
    0xffd55135,
    0xffd1331d,
    0xffcf2916,
    0xffb61e0c,
    0xffa81507,
    0xffab0f08,
    0xffaa180d,
    0xffab0e06,
    0xffb20a09,
    0xffac130d,
    0xffb22117,
    0xffb10f0a,
    0xffb33721,
    0xffbd9564,
    0xffa59464,
    0xffa99771,
    0xffc57963,
    0xffa9190f,
    0xffbe1716,
    0xffae040e,
    0xffaf000b,
    0xffd32926,
    0xffd53111,
    0xffe75230,
    0xffde4d3c,
    0xffa50315,
    0xffb70031,
    0xffb90030,
    0xffbd0020,
    0xffc9101b,
    0xffc0251b,
    0xffd29054,
    0xffa38a38,
    0xff8b7b49,
    0xff5a5e3b,
    0xff636d56,
    0xff475946,
    0xff8a9460,
    0xff969e57,
    0xffa9a965,
    0xff8e9763,
    0xff567b59,
    0xff144832,
    0xff3d6a55,
    0xff4d7361,
    0xff5f8178,
    0xff2b413b,
    0xff91a88e,
    0xff506038,
    0xff797e55,
    0xffb4b582,
    0xffacb369,
    0xff9fb359,
    0xff9fbb61,
    0xff91b468,
    0xff86ac66,
    0xff7fa963,
    0xff66924f,
    0xff84ae63,
    0xff8aab5b,
    0xff91a65e,
    0xffa2ac72,
    0xffa2a572,
    0xff9ea16e,
    0xffa2a170,
    0xff9d9c6b,
    0xff9c9c68,
    0xff9c9c66,
    0xff9b9c65,
    0xffa0a168,
    0xffa6a967,
    0xffa8a969,
    0xffa9a66e,
    0xffa1a478,
    0xff60714f,
    0xff3a5041,
    0xff354b47,
    0xff0e2228,
    0xff13293f,
    0xff112a43,
    0xff19354b,
    0xff1f3f54,
    0xff13344e,
    0xff13304e,
    0xff17334e,
    0xff183149,
    0xff182d50,
    0xff1d3551,
    0xff172f45,
    0xff082334,
    0xff062339,
    0xff112c4a,
    0xff173259,
    0xff1c3564,
    0xff2a4363,
    0xff1b3d4a,
    0xff405b60,
    0xff717c78,
    0xff8c8f70,
    0xffb1b072,
    0xffc6b16b,
    0xffbe915c,
    0xffaf9669,
    0xff6b7257,
    0xff355448,
    0xff234a4c,
    0xff275249,
    0xff427265,
    0xff365c5f,
    0xff2f4c34,
    0xff72724c,
    0xffb6aa6f,
    0xffa27640,
    0xff946145,
    0xffa3806f,
    0xff664a39,
    0xff695e5a,
    0xff2d4850,
    0xff567260,
    0xff526651,
    0xff879880,
    0xff617461,
    0xff2c4336,
    0xff405747,
    0xff4d5e40,
    0xff94a07a,
    0xff405156,
    0xff1a3b49,
    0xff0f3859,
    0xff112e54,
    0xff454c4e,
    0xff9ea268,
    0xff899341,
    0xff7f9347,
    0xff9aa365,
    0xff697948,
    0xff627d52,
    0xff3d5c45,
    0xff143042,
    0xff0e2747,
    0xff17324b,
    0xff1a3853,
    0xff324f5a,
    0xff264368,
    0xff0a2553,
    0xff162a47,
    0xff394756,
    0xff3f5060,
    0xff263849,
    0xff1a2f39,
    0xff1a293e,
    0xff152140,
    0xff10142f,
    0xff3a2e3b,
    0xff442f36,
    0xff321b2b,
    0xff3c2434,
    0xff72555e,
    0xff654d55,
    0xff32261d,
    0xff656953,
    0xff716f54,
    0xff8a7f54,
    0xff908169,
    0xff887e5f,
    0xff464640,
    0xff37473f,
    0xff5e7b73,
    0xff4a6f63,
    0xff456d56,
    0xff225237,
    0xff5e896d,
    0xff5b6f45,
    0xffc4b778,
    0xffd0b06c,
    0xffa88e52,
    0xff887848,
    0xff8c8d6b,
    0xff4c6852,
    0xff2b5e53,
    0xff4d867c,
    0xff36685b,
    0xff3e6b51,
    0xff607661,
    0xff728a7a,
    0xff78967f,
    0xff5c8066,
    0xff4f6d5a,
    0xff37523f,
    0xff608677,
    0xff4c6e65,
    0xff45615e,
    0xff869265,
    0xffbac087,
    0xff2f493b,
    0xff1a3637,
    0xff2f4943,
    0xff1d3b4b,
    0xff15403e,
    0xff5d8870,
    0xff467457,
    0xff61927a,
    0xff5c8363,
    0xff617842,
    0xff91a66e,
    0xff6d8b62,
    0xff557e5c,
    0xff5b856e,
    0xff5c887b,
    0xff658d82,
    0xff4e725e,
    0xff486b44,
    0xff708f58,
    0xff829d5c,
    0xff789d46,
    0xff7ba162,
    0xff345e2a,
    0xff588360,
    0xff3e6943,
    0xff396132,
    0xff335b3e,
    0xff295534,
    0xff467844,
    0xff315a38,
    0xff3c543b,
    0xff7a8b68,
    0xff91a175,
    0xff859870,
    0xff6e8a5b,
    0xff7ba164,
    0xff568241,
    0xff658d4d,
    0xff749755,
    0xff5d7f3b,
    0xff709951,
    0xff7fa868,
    0xff466b39,
    0xff37582d,
    0xff5d7a3d,
    0xff6a8a4f,
    0xff5c7746,
    0xff3b4d2b,
    0xff596e54,
    0xff396147,
    0xff235030,
    0xff264e2b,
    0xff44793a,
    0xff3e6f36,
    0xff406339,
    0xff576d46,
    0xff757d57,
    0xffd2d2b2,
    0xfffffffe,
    0xffdadcd5,
    0xffaeb4ab,
    0xffdee8dd,
    0xff859a84,
    0xff76946d,
    0xff6c9158,
    0xff7aa25a,
    0xff79984b,
    0xff789245,
    0xff6f925d,
    0xff2e5328,
    0xff486b37,
    0xff7e9d52,
    0xff6f8835,
    0xff7c9442,
    0xff608335,
    0xff56823d,
    0xff496f2d,
    0xff4e733a,
    0xff31551a,
    0xff8cab5d,
    0xff778e39,
    0xff747a2f,
    0xffa49a55,
    0xff716214,
    0xff9d9032,
    0xff978b2e,
    0xffa59943,
    0xff77711a,
    0xffa4a047,
    0xffa2a249,
    0xff888c32,
    0xff8e923a,
    0xff80882d,
    0xff7d8932,
    0xff637923,
    0xff3f5a08,
    0xff65812d,
    0xff5c7423,
    0xff7b8b3d,
    0xff6c772c,
    0xff798f36,
    0xff758a3a,
    0xff677c2a,
    0xff849b3d,
    0xff798e32,
    0xff8a9b4d,
    0xff6d7b30,
    0xff818d3a,
    0xff819342,
    0xff8eac4a,
    0xff80a13a,
    0xff879d44,
    0xff768730,
    0xff97ac4b,
    0xff74892e,
    0xff79893d,
    0xff799748,
    0xff618130,
    0xff82a153,
    0xff809d53,
    0xff89a95c,
    0xff567a31,
    0xff3e642c,
    0xff1e431a,
    0xff55732f,
    0xff69913e,
    0xff204c00,
    0xff5a7a1a,
    0xff79842b,
    0xff8e9341,
    0xff506416,
    0xff608737,
    0xff6a8c40,
    0xff6d8a3f,
    0xff688238,
    0xff789449,
    0xff4d6c29,
    0xff274811,
    0xff2a461c,
    0xff2c4625,
    0xff325722,
    0xff618040,
    0xff2d410e,
    0xff3b5338,
    0xff1a3b22,
    0xff08330d,
    0xff11381b,
    0xff011915,
    0xff71795e,
    0xff353e1b,
    0xff727d51,
    0xff6b763e,
    0xff858847,
    0xff999347,
    0xff8f812c,
    0xff957f28,
    0xffa37a29,
    0xffb88736,
    0xffa56c19,
    0xffc18027,
    0xffc38222,
    0xffd58d2a,
    0xffdc8d2c,
    0xffe69032,
    0xffd18420,
    0xffd08f2a,
    0xffc5902c,
    0xffa48326,
    0xff8a9131,
    0xff608e25,
    0xff3f7408,
    0xff5c8219,
    0xff8ba441,
    0xff83a03f,
    0xff79993f,
    0xff657b23,
    0xff4b5300,
    0xff908f3d,
    0xff67681b,
    0xff6f742c,
    0xff6e7118,
    0xff8e8c1f,
    0xff7e721d,
    0xff807823,
    0xff7d7f25,
    0xff454407,
    0xff4c4407,
    0xff584910,
    0xff937544,
    0xff624812,
    0xff483707,
    0xff3a3711,
    0xff1d2b01,
    0xff344e13,
    0xff3c571d,
    0xff324517,
    0xff5d602f,
    0xff4b3e0b,
    0xff3e2b03,
    0xff101000,
    0xff24371f,
    0xff031600,
    0xff0b1a08,
    0xff040e16,
    0xff373220,
    0xff232012,
    0xff444c38,
    0xff223417,
    0xff0c1704,
    0xff1f1c09,
    0xff42432b,
    0xff10210a,
    0xff18270b,
    0xff152108,
    0xff2d3921,
    0xff1d2c11,
    0xff142504,
    0xff2b4019,
    0xff3c532f,
    0xff2a4523,
    0xff1f3123,
    0xff2f422b,
    0xff314819,
    0xff3c5524,
    0xff0a1d09,
    0xff0f2114,
    0xff0b1e09,
    0xff07190a,
    0xff111d10,
    0xff0f1f16,
    0xff0d2615,
    0xff0a240c,
    0xff021b02,
    0xff091c0e,
    0xff08150c,
    0xff0d1a0e,
    0xff0d211d,
    0xff071312,
    0xff081a0e,
    0xff193911,
    0xff113113,
    0xff1a3122,
    0xff031c03,
    0xff041e1d,
    0xff445c59,
    0xff425757,
    0xff00100e,
    0xff050d04,
    0xff131110,
    0xff1e0d11,
    0xff1e0500,
    0xff836737,
    0xff9d6a2b,
    0xff511e00,
    0xff895822,
    0xff97601d,
    0xff7f4109,
    0xffa97531,
    0xff5b3805,
    0xff270b12,
    0xff816567,
    0xff4a2a00,
    0xff946b09,
    0xffd7a82a,
    0xffd79d15,
    0xffb37700,
    0xffab880f,
    0xffa2a310,
    0xff979b0b,
    0xff848100,
    0xffa7a31b,
    0xff979614,
    0xff88890e,
    0xff7e820c,
    0xff777705,
    0xff747107,
    0xff747300,
    0xff616808,
    0xff54641a,
    0xff546516,
    0xff323f00,
    0xff626b10,
    0xff58640f,
    0xff415300,
    0xff556915,
    0xff415a07,
    0xff5b7624,
    0xff485d0b,
    0xff737f24,
    0xff404600,
    0xff62701b,
    0xff69802a,
    0xff232b00,
    0xff5b4f1d,
    0xff594c18,
    0xff4b4a0e,
    0xff695920,
    0xff77491d,
    0xff431600,
    0xff422d07,
    0xff785d1e,
    0xff5b3504,
    0xff734416,
    0xff693c0c,
    0xff7b561c,
    0xff7e5724,
    0xff926520,
    0xffb07f28,
    0xff7e4f04,
    0xff5f3a02,
    0xff4f3701,
    0xff7d6a24,
    0xff3d2c00,
    0xff50420d,
    0xff1c1a00,
    0xff152001,
    0xff43542d,
    0xff264007,
    0xff375712,
    0xff30530f,
    0xff314f1a,
    0xff132c00,
    0xff112d00,
    0xff36571a,
    0xff254807,
    0xff3e4a0f,
    0xff464c10,
    0xff505512,
    0xff5e5a19,
    0xff4a4e0c,
    0xff4f561a,
    0xff564c1e,
    0xff3b2d00,
    0xff554317,
    0xff4b3719,
    0xff160c00,
    0xff373628,
    0xff121503,
    0xff463d25,
    0xff3f2f0f,
    0xff2d2918,
    0xff121504,
    0xff302d14,
    0xff41330e,
    0xff483914,
    0xff696344,
    0xff2e2c0a,
    0xff3f380c,
    0xff4b3d07,
    0xff585212,
    0xff6b691e,
    0xff8d8633,
    0xff675508,
    0xff786221,
    0xff544216,
    0xff2b2304,
    0xff37330a,
    0xff312e04,
    0xff4c4a24,
    0xff252405,
    0xff2a2a0e,
    0xff2c2f10,
    0xff343a11,
    0xff323c07,
    0xff7fb473,
    0xff7fb37c,
    0xff6b9973,
    0xff7b9784,
    0xff6a6e6e,
    0xff4c414e,
    0xff4a3b4f,
    0xff6f6478,
    0xff5f5d67,
    0xff524d5a,
    0xff4b4254,
    0xff3f3445,
    0xff524854,
    0xff5c545e,
    0xff4b4452,
    0xff332f3d,
    0xff2f292a,
    0xff232520,
    0xff3c4637,
    0xff647d59,
    0xff678956,
    0xff6e9560,
    0xff527853,
    0xff436550,
    0xff0f2d26,
    0xff3b5c40,
    0xff465e31,
    0xff6b7141,
    0xff848651,
    0xffaab372,
    0xff4d500b,
    0xffaca062,
    0xff9d9887,
    0xffb3a9bc,
    0xff4a3f57,
    0xff5d564f,
    0xff6f6c55,
    0xff575a4c,
    0xff3b4a38,
    0xff58724e,
    0xff7c885d,
    0xff546b56,
    0xff507871,
    0xff487e76,
    0xff245b53,
    0xff022e33,
    0xff1b3e50,
    0xff143348,
    0xff001f36,
    0xff031e3e,
    0xff2a4550,
    0xff456555,
    0xff476e60,
    0xff345f58,
    0xff32605d,
    0xff244f54,
    0xff0b3d3d,
    0xff224c53,
    0xff1c5153,
    0xff002227,
    0xff073948,
    0xff162442,
    0xff24353f,
    0xff9bb0a3,
    0xff576868,
    0xff7d8c75,
    0xff96a27c,
    0xff96a563,
    0xff9eae67,
    0xff99ad6e,
    0xff94b266,
    0xff8baf65,
    0xff7fab5f,
    0xff86a361,
    0xff8ba460,
    0xff86984c,
    0xffb29157,
    0xffbf5139,
    0xffbb1c1a,
    0xffc21f1a,
    0xffbf331a,
    0xffc47747,
    0xffbb8d50,
    0xffa84f22,
    0xffbe321b,
    0xffb62014,
    0xffa0160d,
    0xffa01712,
    0xffa5140b,
    0xffb21d15,
    0xffae1710,
    0xffa11208,
    0xffa51107,
    0xffbf1913,
    0xffa42a14,
    0xffa57b47,
    0xffad9f67,
    0xff9a9671,
    0xffac8c71,
    0xffc26340,
    0xffbd2410,
    0xffb40003,
    0xffb50014,
    0xffa30909,
    0xffd32914,
    0xffd0401a,
    0xffd6552f,
    0xffc32d2a,
    0xffae0022,
    0xffb3002e,
    0xffac051f,
    0xffb21e1b,
    0xffd1624e,
    0xffb28f58,
    0xff8d8543,
    0xff7d7d5d,
    0xff45514c,
    0xff2e3e41,
    0xff112c29,
    0xff799463,
    0xffa9ae72,
    0xffa9ae76,
    0xff6d8256,
    0xff517b5c,
    0xff326244,
    0xff58805f,
    0xff61846e,
    0xff315c54,
    0xff163a3a,
    0xff526a49,
    0xff878952,
    0xff8e8453,
    0xff564f28,
    0xffa4ab78,
    0xffa2b46e,
    0xffa4bb68,
    0xff9cb86c,
    0xff9bbf6f,
    0xff8db871,
    0xff709e60,
    0xff87b36b,
    0xff8db35c,
    0xff94a965,
    0xff959d78,
    0xff9b9872,
    0xff908d68,
    0xff93906c,
    0xff908d6a,
    0xff8c8966,
    0xff969470,
    0xff9e9b76,
    0xff9a9870,
    0xff9a9865,
    0xff94925e,
    0xff9b9561,
    0xffa4a66a,
    0xffadb77a,
    0xff9eae7d,
    0xff77846b,
    0xff57625d,
    0xff243539,
    0xff0b1f30,
    0xff07263b,
    0xff0f3548,
    0xff0a3248,
    0xff0a2c52,
    0xff062140,
    0xff1e3646,
    0xff2e4f64,
    0xff2e4e5b,
    0xff516d6f,
    0xff92aca0,
    0xff7a9081,
    0xff4f6354,
    0xff44554f,
    0xff3c4f4c,
    0xff527470,
    0xff345856,
    0xff344849,
    0xff524d46,
    0xff807149,
    0xffa4904b,
    0xffc0985a,
    0xffc78762,
    0xff9f7d58,
    0xffa2a089,
    0xff425e53,
    0xff2a4f57,
    0xff234f4e,
    0xff346767,
    0xff124055,
    0xff2e5453,
    0xff5f6554,
    0xff706a43,
    0xff9f7e50,
    0xff985e3e,
    0xff8f563a,
    0xff986a56,
    0xff635660,
    0xff112f55,
    0xff2a4551,
    0xff324e50,
    0xff345550,
    0xff254a42,
    0xff55796f,
    0xff567666,
    0xff667e5e,
    0xff67794f,
    0xff4e7d61,
    0xff467770,
    0xff0d3748,
    0xff1a3e4e,
    0xff3a5649,
    0xff243906,
    0xff7f8f4a,
    0xff8c9a54,
    0xff8e9651,
    0xff7e8a53,
    0xff4f612f,
    0xff90a37e,
    0xff394c44,
    0xff172f32,
    0xff2e4d53,
    0xff0a2c40,
    0xff0a2632,
    0xff062746,
    0xff021e46,
    0xff253b51,
    0xff324656,
    0xff243350,
    0xff423f57,
    0xff5c4047,
    0xff625054,
    0xff4f4338,
    0xff846d4b,
    0xffa4764f,
    0xffab7756,
    0xffa1795d,
    0xffa88660,
    0xffaa854d,
    0xff7f5b36,
    0xff97774c,
    0xff9f9e61,
    0xffa99856,
    0xffbca55a,
    0xff816b3c,
    0xffaa8a53,
    0xff7f7644,
    0xff6c8956,
    0xff63845b,
    0xff4a6c52,
    0xff355c50,
    0xff22544f,
    0xff366250,
    0xff6d7742,
    0xffcdb55d,
    0xffbe9b41,
    0xffb17f35,
    0xffac7c3e,
    0xffaa9963,
    0xff5a6a4c,
    0xff2b4e51,
    0xff2d5863,
    0xff154744,
    0xff3d6257,
    0xff7b9488,
    0xff687a5e,
    0xff567c5d,
    0xff4f8063,
    0xff66917b,
    0xff5b847a,
    0xff4d7263,
    0xff708866,
    0xff8bac82,
    0xff708b5d,
    0xff667b59,
    0xff7c987a,
    0xff89a770,
    0xff8ca66d,
    0xff829e88,
    0xff628e6e,
    0xff6f9574,
    0xff4e7256,
    0xff4d735b,
    0xff648065,
    0xff758b63,
    0xff869d6b,
    0xff699156,
    0xff5c8d68,
    0xff5b8c79,
    0xff204d50,
    0xff427170,
    0xff3a6750,
    0xff64905c,
    0xff769e59,
    0xff799d53,
    0xff52722b,
    0xff527f4f,
    0xff347249,
    0xff0c4429,
    0xff244f32,
    0xff31572d,
    0xff082f14,
    0xff366344,
    0xff3e6c40,
    0xff043219,
    0xff376050,
    0xff2f512b,
    0xff94af6d,
    0xff748e44,
    0xff6c934c,
    0xff639654,
    0xff346628,
    0xff639351,
    0xff648d45,
    0xff729d4e,
    0xff7ba559,
    0xff497333,
    0xff6d9362,
    0xff2f4d26,
    0xff8aa05d,
    0xff6e8c4c,
    0xff627e53,
    0xff394c35,
    0xff294436,
    0xff0e3923,
    0xff032f17,
    0xff4f7457,
    0xff538440,
    0xff467746,
    0xff3a664c,
    0xff2e5338,
    0xff698055,
    0xff9cab6f,
    0xff91995d,
    0xff8b8f5b,
    0xff728664,
    0xffa2ba9e,
    0xff7f9e80,
    0xff81a878,
    0xff628c48,
    0xff6b9445,
    0xff729246,
    0xff668142,
    0xff3c5738,
    0xff4e6b30,
    0xff345000,
    0xff90a746,
    0xff83972a,
    0xffa0b54e,
    0xff65802d,
    0xff64893e,
    0xff7aa146,
    0xff7ea04d,
    0xff8ca754,
    0xff758626,
    0xff878a26,
    0xffa7983a,
    0xffaa8f32,
    0xffb99837,
    0xffa58c26,
    0xffa78c2b,
    0xffa28426,
    0xffb39836,
    0xffa39328,
    0xff99972d,
    0xff808b2f,
    0xff5b6c1e,
    0xff707a21,
    0xff95a556,
    0xff768d45,
    0xff587831,
    0xff284c00,
    0xff658538,
    0xff506821,
    0xff5a6d2a,
    0xff789434,
    0xff8aa448,
    0xff7d973c,
    0xff78942f,
    0xff829c3b,
    0xff698028,
    0xff768831,
    0xff6b7b21,
    0xff97a349,
    0xff8f9a36,
    0xffa3aa43,
    0xff838f29,
    0xff7e8625,
    0xff606b10,
    0xff677c23,
    0xff648333,
    0xff7d9c52,
    0xff719046,
    0xff76974b,
    0xff729545,
    0xff557a36,
    0xff3d6231,
    0xff1d431c,
    0xff173f11,
    0xff5b7831,
    0xff668a3a,
    0xff658832,
    0xff5d731d,
    0xff8b8f40,
    0xff4c4e09,
    0xff465a1c,
    0xff1e4207,
    0xff47641e,
    0xff577226,
    0xff5e752a,
    0xff415b19,
    0xff4c6731,
    0xff375224,
    0xff193002,
    0xff293d0b,
    0xff697b42,
    0xff78863a,
    0xff4a540b,
    0xff354410,
    0xff123000,
    0xff335d20,
    0xff2d5425,
    0xff0b2514,
    0xff1c2b0e,
    0xff2f3d24,
    0xff2b3312,
    0xff6e6b3e,
    0xff8a7735,
    0xff886618,
    0xffac7e30,
    0xffab772f,
    0xffbf812f,
    0xffbd7c27,
    0xffb77115,
    0xffc98220,
    0xffce8823,
    0xffd2902c,
    0xffc88424,
    0xffc48022,
    0xffc38829,
    0xffd3a039,
    0xffb88a1e,
    0xffb9982f,
    0xff72780d,
    0xff59841c,
    0xff5f9031,
    0xff5c802a,
    0xff758d38,
    0xff546b1f,
    0xff334303,
    0xff464909,
    0xff736e1f,
    0xff7f791e,
    0xff62640e,
    0xff6f7a23,
    0xff3f4600,
    0xff727a1d,
    0xff4d4b13,
    0xff4f4d1b,
    0xff3d3b01,
    0xff434414,
    0xff202700,
    0xff283006,
    0xff483914,
    0xff464217,
    0xff303915,
    0xff11200c,
    0xff071c06,
    0xff072000,
    0xff143109,
    0xff0a280a,
    0xff1c2907,
    0xff484d1e,
    0xff383a11,
    0xff2e331d,
    0xff2b2e1a,
    0xff3f3d1b,
    0xff0b0e00,
    0xff000505,
    0xff2d3625,
    0xff0b1c07,
    0xff0b0f00,
    0xff131704,
    0xff172400,
    0xff3e4017,
    0xff2b2f0e,
    0xff123810,
    0xff142909,
    0xff112308,
    0xff1f3016,
    0xff15270b,
    0xff283b1a,
    0xff172c05,
    0xff264017,
    0xff243b19,
    0xff1a2826,
    0xff1f2f1a,
    0xff1d3102,
    0xff22310a,
    0xff212e1e,
    0xff0f200c,
    0xff071c05,
    0xff0d221d,
    0xff0f1d11,
    0xff0c1e0c,
    0xff0e200f,
    0xff0b1d14,
    0xff041811,
    0xff091c11,
    0xff08190b,
    0xff061408,
    0xff001906,
    0xff001506,
    0xff051c10,
    0xff092c0b,
    0xff062811,
    0xff1b342a,
    0xff0b2415,
    0xff405d60,
    0xff3c4f50,
    0xff000a02,
    0xff081004,
    0xff0f130c,
    0xff141119,
    0xff201019,
    0xff341600,
    0xff92681e,
    0xffb38633,
    0xff613708,
    0xff522700,
    0xff9c6817,
    0xff643305,
    0xff3d1f15,
    0xff090000,
    0xff39221c,
    0xffc8a86b,
    0xffb6901e,
    0xffbc8a28,
    0xffbd8625,
    0xffe1a72c,
    0xffc58610,
    0xffae8408,
    0xff948504,
    0xff97980e,
    0xff908d07,
    0xff999315,
    0xff787502,
    0xff81800f,
    0xff636605,
    0xff767612,
    0xff7e7b19,
    0xff8c8e1f,
    0xff6f7511,
    0xff495405,
    0xff6c7635,
    0xff535b13,
    0xff575f0d,
    0xff65731f,
    0xff5a7023,
    0xff556b1e,
    0xff344f0c,
    0xff264408,
    0xff344e12,
    0xff4b5d1a,
    0xff5a6d1e,
    0xff5c7620,
    0xff3f610b,
    0xff55662c,
    0xff2f2b00,
    0xff2d2900,
    0xff242d04,
    0xff373e0f,
    0xff312100,
    0xff665127,
    0xff6a6335,
    0xff3f2b00,
    0xff775226,
    0xff936033,
    0xff825614,
    0xff70530b,
    0xff634907,
    0xff5c3c00,
    0xff82560b,
    0xff77480b,
    0xff6f4a10,
    0xff7a671e,
    0xff504500,
    0xff817921,
    0xff736b2e,
    0xff2c2908,
    0xff151806,
    0xff223511,
    0xff3a561b,
    0xff46661c,
    0xff203d00,
    0xff3d5524,
    0xff3a552c,
    0xff2c501a,
    0xff37611d,
    0xff466521,
    0xff504e16,
    0xff594c13,
    0xff443b00,
    0xff514706,
    0xff3c4001,
    0xff484d16,
    0xff4c3c15,
    0xff574710,
    0xff4f3a0b,
    0xff59431f,
    0xff3a2910,
    0xff110b00,
    0xff272517,
    0xff0f0a00,
    0xff271d0a,
    0xff2c2616,
    0xff0f1203,
    0xff2a2f1b,
    0xff373615,
    0xff363212,
    0xff3b3b20,
    0xff3a3619,
    0xff3a2e06,
    0xff2d1f01,
    0xff272400,
    0xff3f4009,
    0xff3d3d00,
    0xff766d28,
    0xff5f4f0f,
    0xff665816,
    0xff574e0f,
    0xff6d5f28,
    0xff6a6120,
    0xff50511e,
    0xff111c00,
    0xff2c4103,
    0xff394e17,
    0xff1a2905,
    0xff24330b,
    0xff7ca96d,
    0xff5d8b5c,
    0xff2a5435,
    0xff5e796b,
    0xff727e7b,
    0xff555157,
    0xff706471,
    0xff6d6171,
    0xff61596a,
    0xff574d5f,
    0xff4c4050,
    0xff4d434e,
    0xff584e57,
    0xff584f56,
    0xff514a56,
    0xff3e3846,
    0xff2c2124,
    0xff2d2c24,
    0xff7f8c75,
    0xff405c37,
    0xff70936b,
    0xff436b47,
    0xff4a7059,
    0xff4b6f60,
    0xff304842,
    0xff16392b,
    0xff436655,
    0xff404e37,
    0xff787a47,
    0xff767c31,
    0xffacaf74,
    0xffe8e3ca,
    0xff889285,
    0xff464358,
    0xff564b65,
    0xff52514c,
    0xff364738,
    0xff0b262b,
    0xff092931,
    0xff0b2e22,
    0xff586e56,
    0xff2b443b,
    0xff113638,
    0xff3a686d,
    0xff205255,
    0xff326266,
    0xff143b46,
    0xff052838,
    0xff00192a,
    0xff082730,
    0xff426156,
    0xff55795e,
    0xff4b725a,
    0xff113c2b,
    0xff204e45,
    0xff0a383a,
    0xff1a424a,
    0xff182a2f,
    0xff3c4f4d,
    0xff203539,
    0xff002037,
    0xff0c1d42,
    0xff102439,
    0xff2b3f3f,
    0xff8b9d88,
    0xff63744f,
    0xff7f8f64,
    0xff9eb366,
    0xff95af5c,
    0xff8baa68,
    0xff7ba158,
    0xff739e58,
    0xff7ba257,
    0xff90a761,
    0xff95aa5f,
    0xff94a655,
    0xffb3a25d,
    0xffc4754c,
    0xffa92311,
    0xffc4271c,
    0xffbb4d27,
    0xffb19955,
    0xff8fad55,
    0xff9c9046,
    0xff9c4919,
    0xff9c2808,
    0xff9d200a,
    0xffa3210f,
    0xff9b220b,
    0xff981904,
    0xffaf2c16,
    0xffa22009,
    0xffac1604,
    0xffad1000,
    0xffa53b14,
    0xffb99d5c,
    0xffa2a460,
    0xff91935f,
    0xffa19569,
    0xffbb915d,
    0xffd97e5b,
    0xffaa1d1c,
    0xff9c0005,
    0xffaa0906,
    0xffbf1d1a,
    0xffd24028,
    0xffcc6532,
    0xffdd9964,
    0xffbc6049,
    0xff9d0a14,
    0xffac0b18,
    0xffc13b37,
    0xffa86e4c,
    0xff646536,
    0xff75804c,
    0xff455839,
    0xff425c4f,
    0xff425c58,
    0xff577972,
    0xff31542d,
    0xff586837,
    0xffa0af7a,
    0xff5b7649,
    0xff52815f,
    0xff487b5d,
    0xff4c755a,
    0xff3f614f,
    0xff3c6661,
    0xff476e6a,
    0xff405139,
    0xff999761,
    0xff888641,
    0xff78824d,
    0xff788e71,
    0xff4c664a,
    0xff87a070,
    0xff9eb66b,
    0xff90b058,
    0xff80a65a,
    0xff769c6a,
    0xff8aab78,
    0xff92a962,
    0xff9aa563,
    0xff9b9775,
    0xff9a9372,
    0xff948e6f,
    0xff9b9878,
    0xff9c997b,
    0xff948f75,
    0xff8c896b,
    0xff959073,
    0xff989173,
    0xff99936c,
    0xffa1996c,
    0xffa59f69,
    0xffa4a265,
    0xff97995c,
    0xff989c6a,
    0xff979a79,
    0xffa1a18e,
    0xff949b86,
    0xff747f77,
    0xff425358,
    0xff1c3540,
    0xff1f3b4e,
    0xff113046,
    0xff234049,
    0xff5c7c75,
    0xff265b54,
    0xff27594f,
    0xff365f4e,
    0xff4e6c53,
    0xff6c835d,
    0xffa3b384,
    0xffafbd84,
    0xffaab87b,
    0xff7d9460,
    0xff7b9065,
    0xff818663,
    0xffb6a57c,
    0xffb59d5f,
    0xffaa9649,
    0xffb89859,
    0xffba895f,
    0xff8a6c4e,
    0xff6a6a57,
    0xff58766b,
    0xff254752,
    0xff284f53,
    0xff255354,
    0xff0b3449,
    0xff32535b,
    0xff3e4d4e,
    0xff505655,
    0xff75695b,
    0xff8c7454,
    0xff856a4d,
    0xff523f3b,
    0xff454f61,
    0xff022742,
    0xff042546,
    0xff0d314b,
    0xff0e3444,
    0xff002931,
    0xff1d494e,
    0xff224c4c,
    0xff274d46,
    0xff3e6052,
    0xff39634e,
    0xff466866,
    0xff1a333f,
    0xff1d3534,
    0xff5e7a5a,
    0xff8fa56d,
    0xffa7a66a,
    0xff8e8042,
    0xffa3a856,
    0xff7a813d,
    0xff909850,
    0xff919851,
    0xff898f56,
    0xffa0ad78,
    0xff738b5f,
    0xff667f69,
    0xff575246,
    0xff464344,
    0xff222d35,
    0xff0a222b,
    0xff2b4353,
    0xff192134,
    0xff4f413b,
    0xff937553,
    0xff8f6b4b,
    0xffbfa56e,
    0xffe1bd70,
    0xffbb8031,
    0xffcd8f4e,
    0xff956c2f,
    0xff896e27,
    0xffc4a456,
    0xff755f1b,
    0xff9d7633,
    0xff9b9143,
    0xff97833e,
    0xff91884e,
    0xff424832,
    0xff897749,
    0xff93914c,
    0xff51773c,
    0xff608057,
    0xff587061,
    0xff2e454b,
    0xff172e3b,
    0xff293830,
    0xff9a9162,
    0xffb69945,
    0xffaa9038,
    0xffd8a858,
    0xffc9984b,
    0xffbdab66,
    0xff64683b,
    0xff3a3e33,
    0xff263445,
    0xff1c405a,
    0xff002634,
    0xff365d57,
    0xff688156,
    0xff467649,
    0xff4c886c,
    0xff48806a,
    0xff306760,
    0xff395c47,
    0xff728761,
    0xff5c7c48,
    0xff77996d,
    0xff7e9883,
    0xff3a5338,
    0xff7f9a68,
    0xff5e7e4d,
    0xff608a6c,
    0xff658c78,
    0xff5a7756,
    0xff5f7548,
    0xff708b56,
    0xff788e5b,
    0xff7c8858,
    0xff738359,
    0xff607e57,
    0xff528257,
    0xff1c4c37,
    0xff37655e,
    0xff29574a,
    0xff67976b,
    0xff66914a,
    0xff85aa5a,
    0xff6d8942,
    0xff677853,
    0xff486f57,
    0xff165430,
    0xff175137,
    0xff09371a,
    0xff316038,
    0xff10381d,
    0xff456a4e,
    0xff153527,
    0xff072729,
    0xff06292b,
    0xff3e6041,
    0xff7a9954,
    0xff799b3f,
    0xff689238,
    0xff3f7223,
    0xff42742f,
    0xff2d5912,
    0xff749d52,
    0xff6f974b,
    0xff638a40,
    0xff638a43,
    0xff315312,
    0xff7a9958,
    0xff86974f,
    0xff638947,
    0xff2b5f2b,
    0xff366341,
    0xff103317,
    0xff2a4b2a,
    0xff2f4820,
    0xff708153,
    0xff769b54,
    0xff638e58,
    0xff2f5e3a,
    0xff0c3916,
    0xff5c8454,
    0xff4d682b,
    0xff7b8d4d,
    0xff909d61,
    0xff62874b,
    0xff3a6532,
    0xff527e51,
    0xff629258,
    0xff78a959,
    0xff6a963e,
    0xff33590d,
    0xff38591d,
    0xff233509,
    0xff556d0c,
    0xffb9cf54,
    0xffb2c44b,
    0xff98ab2a,
    0xff95ae36,
    0xff89a647,
    0xff62862e,
    0xff739a3a,
    0xff759439,
    0xff748a30,
    0xff8e9838,
    0xffa29d38,
    0xffa59730,
    0xffaf9731,
    0xffa98c28,
    0xffa18f28,
    0xff917c17,
    0xffa7932d,
    0xff9a8d25,
    0xffa5a335,
    0xff859026,
    0xff799030,
    0xff4a6913,
    0xff608026,
    0xff375308,
    0xff5c773c,
    0xff536e32,
    0xff68863d,
    0xff557522,
    0xff4a6b1a,
    0xff39580e,
    0xff819e38,
    0xff708d26,
    0xff708c27,
    0xff90ac46,
    0xff7b962f,
    0xff819a37,
    0xff647816,
    0xffa0b54f,
    0xff5e8714,
    0xff849e32,
    0xff6f8121,
    0xff75862f,
    0xff818637,
    0xff9f9344,
    0xff574e00,
    0xff838c32,
    0xff819d46,
    0xff43600f,
    0xff61842c,
    0xff51771e,
    0xff3d6021,
    0xff355838,
    0xff1e4124,
    0xff2d5428,
    0xff1f4013,
    0xff445c26,
    0xff2b3900,
    0xff757d2b,
    0xff939c48,
    0xff5a6a1d,
    0xff31460a,
    0xff526a3d,
    0xff183100,
    0xff40581c,
    0xff4c6126,
    0xff556a3c,
    0xff415537,
    0xff1f3517,
    0xff34451b,
    0xff849257,
    0xff92923a,
    0xff8d9032,
    0xff848e2a,
    0xff839337,
    0xff54681a,
    0xff5c753a,
    0xff1c350d,
    0xff2e482d,
    0xff182b15,
    0xff14260e,
    0xff070f00,
    0xff6c673d,
    0xff7a6229,
    0xffa47b39,
    0xffce9d5b,
    0xffb48444,
    0xffa28c36,
    0xffb29038,
    0xffb1771c,
    0xffd38c2c,
    0xffd78e2a,
    0xffe4a13c,
    0xffba7e1a,
    0xffba8020,
    0xffb36f19,
    0xffa7791c,
    0xff957f20,
    0xff7f771b,
    0xff868933,
    0xff464c05,
    0xff5e530d,
    0xff6a4a0a,
    0xff594900,
    0xff453100,
    0xff7c6334,
    0xff684714,
    0xff714e06,
    0xffa6862e,
    0xffa0892b,
    0xffa99c42,
    0xff928d32,
    0xff575b0b,
    0xff354317,
    0xff22320e,
    0xff2b2b00,
    0xff655228,
    0xff504924,
    0xff445c2d,
    0xff1c2a02,
    0xff37410d,
    0xff252a00,
    0xff25250e,
    0xff16170d,
    0xff0c1300,
    0xff283612,
    0xff273a17,
    0xff233b1f,
    0xff2b3e1c,
    0xff37461f,
    0xff111900,
    0xff241d05,
    0xff4e3a2e,
    0xff231b0c,
    0xff041300,
    0xff122610,
    0xff121902,
    0xff21160b,
    0xff66644c,
    0xff677f40,
    0xff526928,
    0xff1f3208,
    0xff234311,
    0xff344e2b,
    0xff1c3317,
    0xff0b2107,
    0xff091d02,
    0xff223718,
    0xff485e3a,
    0xff1a300d,
    0xff213617,
    0xff152211,
    0xff202b0f,
    0xff99a474,
    0xff414a1b,
    0xff4c523a,
    0xff121907,
    0xff0e1a07,
    0xff162321,
    0xff001003,
    0xff525738,
    0xff352a0d,
    0xff1f140a,
    0xff121610,
    0xff021906,
    0xff072011,
    0xff041716,
    0xff021800,
    0xff162f22,
    0xff091f24,
    0xff132818,
    0xff08210c,
    0xff03201d,
    0xff395749,
    0xff1d3629,
    0xff000b0b,
    0xff0c1109,
    0xff141505,
    0xff13150c,
    0xff12151a,
    0xff0d0707,
    0xff5f4221,
    0xff8f6323,
    0xff5c2701,
    0xff7b4611,
    0xffda9e3a,
    0xffc28414,
    0xff9a630b,
    0xff926d26,
    0xff96752d,
    0xffa57d38,
    0xffa6741e,
    0xffb67d0e,
    0xffb1730e,
    0xffa56b03,
    0xffcc921c,
    0xffb2730b,
    0xff7f5000,
    0xffa58b15,
    0xff969413,
    0xffa29f19,
    0xff94900f,
    0xff7b7806,
    0xff777712,
    0xff555901,
    0xff6f6e19,
    0xff706e17,
    0xff6c700e,
    0xff66710d,
    0xff4c5804,
    0xff4f5a18,
    0xff535a16,
    0xff576012,
    0xff4b5d0f,
    0xff3d5415,
    0xff3b5614,
    0xff334f14,
    0xff2b4511,
    0xff273b0a,
    0xff343f0a,
    0xff434b0e,
    0xff4e5616,
    0xff313c01,
    0xff253707,
    0xff2b2c0b,
    0xff2b2812,
    0xff14210a,
    0xff091d03,
    0xff30361b,
    0xff262305,
    0xff222102,
    0xff2e2e0b,
    0xff140b00,
    0xff5f4c18,
    0xff8d7c34,
    0xff6b5e12,
    0xff504508,
    0xff4b3d06,
    0xff5c4c0d,
    0xff634309,
    0xff675113,
    0xff585006,
    0xff84852a,
    0xff81812a,
    0xff2b2800,
    0xff2f2a0b,
    0xff2f2915,
    0xff373e18,
    0xff3e4916,
    0xff3f4e11,
    0xff4b5a21,
    0xff29390a,
    0xff22360c,
    0xff385625,
    0xff355e20,
    0xff384d14,
    0xff3b3603,
    0xff564710,
    0xff605010,
    0xff573e00,
    0xff5f4e08,
    0xff504406,
    0xff533807,
    0xff604c16,
    0xff543d0a,
    0xff492f05,
    0xff3e2708,
    0xff3f2f1c,
    0xff060000,
    0xff49443b,
    0xff0e0900,
    0xff352e22,
    0xff11160c,
    0xff131e0f,
    0xff1c230c,
    0xff2e351d,
    0xff282f1c,
    0xff3d3c22,
    0xff3a2c07,
    0xff4a3c13,
    0xff413412,
    0xff291d00,
    0xff3e2b04,
    0xff4f3803,
    0xff695111,
    0xff4e3700,
    0xff5f4d1c,
    0xff4e410b,
    0xff5a5518,
    0xff494b0f,
    0xff616e28,
    0xff5c721f,
    0xff3a510b,
    0xff1b2b06,
    0xff15250c,
    0xff7c9973,
    0xff3e5d40,
    0xff2d4937,
    0xff435854,
    0xff7c878f,
    0xff585867,
    0xff70697c,
    0xff6d647b,
    0xff685f74,
    0xff554c5d,
    0xff544956,
    0xff50474f,
    0xff524851,
    0xff564b54,
    0xff4c464d,
    0xff332a34,
    0xff34242a,
    0xff464238,
    0xff7a886c,
    0xff6d8a69,
    0xff466c50,
    0xff396350,
    0xff386254,
    0xff294e41,
    0xff6b7d74,
    0xff0d3221,
    0xff1a4433,
    0xff2b4131,
    0xff4f5233,
    0xff636436,
    0xffdfe0cd,
    0xffa29bad,
    0xff53444c,
    0xff52475c,
    0xff505563,
    0xff3f5c55,
    0xff2d5954,
    0xff0c3847,
    0xff001d2b,
    0xff012116,
    0xff15351f,
    0xff284632,
    0xff274432,
    0xff062719,
    0xff25493c,
    0xff2f574e,
    0xff1c424c,
    0xff001f36,
    0xff041926,
    0xff516b64,
    0xff496a56,
    0xff476b52,
    0xff4f7762,
    0xff2a5246,
    0xff224d4a,
    0xff3a6665,
    0xff4e6a54,
    0xff786c4c,
    0xff9a7e5a,
    0xff856d5e,
    0xff1b2a35,
    0xff12224a,
    0xff0d2751,
    0xff0f2649,
    0xff5b7565,
    0xff3f5844,
    0xff374e39,
    0xff9fbf7b,
    0xff90b458,
    0xff80a653,
    0xff7ca44f,
    0xff83b05f,
    0xff83ab5a,
    0xff8cab59,
    0xff91ab57,
    0xff97b263,
    0xff9fa85d,
    0xffbe985b,
    0xffa84f22,
    0xffa63212,
    0xffbc7b52,
    0xffa2995b,
    0xff8ea459,
    0xffa0a25c,
    0xffc1a064,
    0xffa76c3a,
    0xff953f16,
    0xff9d2a0e,
    0xff8c1d04,
    0xff951903,
    0xff991702,
    0xffa61b08,
    0xffac1303,
    0xff9f1300,
    0xff9b5425,
    0xff9e9e5a,
    0xff98a868,
    0xff9d9861,
    0xffa99f6f,
    0xff878a5f,
    0xff717557,
    0xff694b3b,
    0xffa74e46,
    0xff960802,
    0xffab0500,
    0xffd53a28,
    0xffc4733c,
    0xffa2ae56,
    0xff9eb260,
    0xffbf8b60,
    0xffa43828,
    0xffbe5849,
    0xff766941,
    0xff1e3721,
    0xff658067,
    0xff506f50,
    0xff53795a,
    0xff5a7660,
    0xff214139,
    0xff3c5e4d,
    0xff2d4a35,
    0xff5c714e,
    0xff758e64,
    0xff588464,
    0xff477b62,
    0xff3f6d52,
    0xff5d7e65,
    0xff57765f,
    0xff496745,
    0xff637046,
    0xff828145,
    0xff8f9a50,
    0xff729353,
    0xff53835e,
    0xff2f5a4a,
    0xff1e4132,
    0xff94b58f,
    0xff98c17a,
    0xff86b463,
    0xff628b4f,
    0xff6c8d57,
    0xffa2ba74,
    0xff9ca55f,
    0xff9c9a67,
    0xff9b9772,
    0xff9b9775,
    0xff939273,
    0xff909173,
    0xff969678,
    0xff928f72,
    0xff9c9677,
    0xff998e6e,
    0xff9b9571,
    0xff9f9d6b,
    0xffa2a065,
    0xff9f9d64,
    0xff9e976c,
    0xff9b9273,
    0xff979372,
    0xff969570,
    0xff9c987b,
    0xff969773,
    0xffa2a487,
    0xff9ba292,
    0xff74827c,
    0xff667e70,
    0xff577b65,
    0xff4b7460,
    0xff1f5149,
    0xff22524a,
    0xff184133,
    0xff628372,
    0xff5b745b,
    0xff506543,
    0xff7a9066,
    0xff8ea071,
    0xffb2ae79,
    0xffa5a066,
    0xffaca360,
    0xffc1aa65,
    0xffa28f48,
    0xffa39e55,
    0xffa8a45c,
    0xffac9d59,
    0xff886d49,
    0xff656848,
    0xff536f59,
    0xff224048,
    0xff1b3d41,
    0xff0f3a37,
    0xff2e5369,
    0xff082736,
    0xff2e4b56,
    0xff2d454d,
    0xff3b504a,
    0xff4a5b40,
    0xff4d5840,
    0xff48574e,
    0xff3e504c,
    0xff0f1f17,
    0xff07212f,
    0xff163043,
    0xff2a4359,
    0xff0e263f,
    0xff1b344f,
    0xff002134,
    0xff022a35,
    0xff103f3f,
    0xff214442,
    0xff0d2f46,
    0xff0b2d52,
    0xff2b4d55,
    0xff557248,
    0xff7b9042,
    0xff949b47,
    0xff9d9c50,
    0xff959a4b,
    0xff989951,
    0xff858430,
    0xffb3ad4a,
    0xffaaa244,
    0xff959335,
    0xffabb358,
    0xff586523,
    0xff878556,
    0xff9e9261,
    0xff908c67,
    0xff303b32,
    0xff222025,
    0xff7a5a4a,
    0xff9c773c,
    0xffbeab4e,
    0xffa19341,
    0xffada346,
    0xffa08923,
    0xffcc9e3e,
    0xffe1ad57,
    0xffb7923f,
    0xffb6964c,
    0xff9c7a38,
    0xffaa904f,
    0xffad8144,
    0xff9d8e49,
    0xff867334,
    0xff7e7d42,
    0xff657e61,
    0xff818454,
    0xff708541,
    0xff749267,
    0xff6a8760,
    0xff597457,
    0xff506b56,
    0xff596a56,
    0xff868666,
    0xff8d7e52,
    0xffa18c55,
    0xffa18a3a,
    0xffe3b963,
    0xffc69f53,
    0xff978a4c,
    0xff8c814a,
    0xffd3bc8e,
    0xff423c2a,
    0xff163341,
    0xff254c53,
    0xff2e4d3d,
    0xff7e8152,
    0xff637d58,
    0xff1f5a4a,
    0xff28675e,
    0xff1b584e,
    0xff4b6342,
    0xff96a574,
    0xff9cb26a,
    0xff769446,
    0xff627a39,
    0xff7e8a59,
    0xff616f50,
    0xff52735f,
    0xff487662,
    0xff476f3b,
    0xff92ad5b,
    0xff9db243,
    0xffabc04f,
    0xffabbd50,
    0xffa8af46,
    0xff8d953c,
    0xff778946,
    0xff789c63,
    0xff41663c,
    0xff224723,
    0xff688e5d,
    0xff7ea259,
    0xff77953c,
    0xff7c903b,
    0xff606b23,
    0xff565f27,
    0xff506732,
    0xff3f5d1b,
    0xff526434,
    0xff182808,
    0xff45623f,
    0xff234132,
    0xff425541,
    0xff2b3d2e,
    0xff17291a,
    0xff162b12,
    0xff6f885b,
    0xff7e9e56,
    0xff688d30,
    0xff7fa345,
    0xff739744,
    0xff769d58,
    0xff799e56,
    0xff71903d,
    0xff6f8e36,
    0xff799941,
    0xff668531,
    0xff85a44f,
    0xff556f17,
    0xff6f8032,
    0xff467229,
    0xff185212,
    0xff5a7c4b,
    0xff474b19,
    0xff5f551a,
    0xff7a7129,
    0xffa59d4f,
    0xff6e7f38,
    0xff51661b,
    0xff435c0e,
    0xff81984a,
    0xff8fa15a,
    0xff556627,
    0xff3d501c,
    0xff4e6434,
    0xff86a65a,
    0xff5b7f3e,
    0xff608751,
    0xff537b3a,
    0xff7ba04e,
    0xff617d25,
    0xff738f44,
    0xff819a5e,
    0xff62701e,
    0xffc1d451,
    0xff9aac21,
    0xff7c8a10,
    0xffa3b83f,
    0xff809c2c,
    0xff638426,
    0xff6e9236,
    0xff788f3e,
    0xff53640c,
    0xff7b8924,
    0xff858b1d,
    0xff9b9826,
    0xffb8af3e,
    0xff958623,
    0xff7d6611,
    0xff837417,
    0xff928a26,
    0xff918f28,
    0xff777f19,
    0xff849435,
    0xff6b7e23,
    0xff5c7315,
    0xff809b36,
    0xff759b48,
    0xff406620,
    0xff537539,
    0xff2f4f12,
    0xff527328,
    0xff5e7c24,
    0xff8aa54a,
    0xff668226,
    0xff92ae46,
    0xff738e23,
    0xff779129,
    0xff667f1b,
    0xff728c27,
    0xff7e972f,
    0xff738a21,
    0xff71871e,
    0xff6b8f15,
    0xff9ab649,
    0xff849c40,
    0xff597920,
    0xff374b00,
    0xff676614,
    0xffbcb655,
    0xff989f31,
    0xff85a13a,
    0xff759332,
    0xff799c3a,
    0xff8fb455,
    0xff416424,
    0xff1a391e,
    0xff29462d,
    0xff1c3a11,
    0xff0e2a09,
    0xff3b4e19,
    0xff70792b,
    0xff818834,
    0xff50590f,
    0xff5b6a2b,
    0xff7c9253,
    0xff647d3c,
    0xff728850,
    0xff688142,
    0xff152b00,
    0xff0b2200,
    0xff1e340d,
    0xff415427,
    0xff667533,
    0xff88933e,
    0xff6f6d1a,
    0xff829031,
    0xff76932b,
    0xff597716,
    0xff7c8f44,
    0xff626f3a,
    0xff071d00,
    0xff244522,
    0xff698b61,
    0xff436938,
    0xff264d16,
    0xff1e3b04,
    0xff5a6632,
    0xff505420,
    0xff5d642e,
    0xff2a3800,
    0xff495105,
    0xff7d7320,
    0xffc49d47,
    0xffad6f16,
    0xffe69f41,
    0xffdb8f2f,
    0xffd38826,
    0xffc77a1b,
    0xffca7c26,
    0xffc19332,
    0xffa9952c,
    0xff8b7714,
    0xff755801,
    0xff805a06,
    0xffa06b1d,
    0xffc38134,
    0xff9a6418,
    0xff9b6525,
    0xff7c4514,
    0xff75420b,
    0xff90611a,
    0xff9e721c,
    0xff926d13,
    0xff85620a,
    0xff978322,
    0xff76731d,
    0xff515e24,
    0xff344313,
    0xff3b3600,
    0xff7d6822,
    0xff493704,
    0xff525317,
    0xff2c2e06,
    0xff3d3600,
    0xff584517,
    0xff423316,
    0xff15170b,
    0xff263925,
    0xff0f2700,
    0xff495e2c,
    0xff0a2501,
    0xff232a07,
    0xff3f3b17,
    0xff2c2907,
    0xff36371c,
    0xff140f01,
    0xff0e1009,
    0xff0d1f15,
    0xff162008,
    0xff2c1e06,
    0xff291d11,
    0xff000d00,
    0xff264210,
    0xff1f3c0d,
    0xff051f02,
    0xff2e4324,
    0xff314c2a,
    0xff051e02,
    0xff08210a,
    0xff1f361f,
    0xff22361e,
    0xff1c2d14,
    0xff33442a,
    0xff1e2d16,
    0xff20280f,
    0xff4b4d3c,
    0xff626440,
    0xff70703b,
    0xff453f1b,
    0xff696245,
    0xff55532d,
    0xff272804,
    0xff232602,
    0xff533e0c,
    0xffb18a42,
    0xff937635,
    0xff1b2100,
    0xff001a01,
    0xff001504,
    0xff10140a,
    0xff2c2d11,
    0xff15271b,
    0xff14262b,
    0xff232a0f,
    0xff303d17,
    0xff314e45,
    0xff39574c,
    0xff041403,
    0xff080f0f,
    0xff12110b,
    0xff19150a,
    0xff12150f,
    0xff0f1a12,
    0xff0f1506,
    0xff43341e,
    0xff442104,
    0xff462101,
    0xffc6913f,
    0xffc98119,
    0xffd38e1f,
    0xffbf8612,
    0xffae7205,
    0xff9e600e,
    0xff985c17,
    0xff9a6d2a,
    0xff7b4609,
    0xffcb9b39,
    0xff926b0a,
    0xff582e00,
    0xff774e16,
    0xff806210,
    0xffaca52e,
    0xff9d9f1c,
    0xff7e7f00,
    0xffa19d1c,
    0xff898716,
    0xff696b0c,
    0xff686a1c,
    0xff5a5b0f,
    0xff5a5a0c,
    0xff7a8231,
    0xff748224,
    0xff5e6d0f,
    0xff404d00,
    0xff526017,
    0xff49590c,
    0xff394f08,
    0xff283e0a,
    0xff233a00,
    0xff30470b,
    0xff283e07,
    0xff354910,
    0xff233000,
    0xff3f4910,
    0xff34380b,
    0xff292f09,
    0xff3b4a15,
    0xff323411,
    0xff282910,
    0xff1c2916,
    0xff152713,
    0xff192712,
    0xff121703,
    0xff2e311b,
    0xff2b3b15,
    0xff2d3e19,
    0xff172400,
    0xff242900,
    0xff45400e,
    0xff473b14,
    0xff353405,
    0xff2f3800,
    0xff453e0f,
    0xff3b3800,
    0xff575d1b,
    0xff384200,
    0xff70782f,
    0xff777731,
    0xff3d3900,
    0xff463c0f,
    0xff3a2700,
    0xff4e3a17,
    0xff352703,
    0xff322500,
    0xff40360c,
    0xff46451b,
    0xff383f16,
    0xff1c2b04,
    0xff2d3b1a,
    0xff353a18,
    0xff212700,
    0xff393702,
    0xff74571b,
    0xff714f11,
    0xff533d00,
    0xff4c3500,
    0xff57430b,
    0xff513a03,
    0xff563b0b,
    0xff4e3411,
    0xff3f2c17,
    0xff221509,
    0xff120c07,
    0xff221f1a,
    0xff1b170e,
    0xff0e1811,
    0xff203128,
    0xff263323,
    0xff040f00,
    0xff111c10,
    0xff333522,
    0xff271b00,
    0xff382302,
    0xff452e0f,
    0xff4d2e08,
    0xff593300,
    0xff764e10,
    0xff835f1e,
    0xff6a4d16,
    0xff563d11,
    0xff64602e,
    0xff37340a,
    0xff383701,
    0xff5b5f1a,
    0xff323a00,
    0xff606c2a,
    0xff323e0d,
    0xff25301b,
    0xff6e8951,
    0xff56713a,
    0xff2e4717,
    0xff617255,
    0xff65706a,
    0xff666a75,
    0xff676573,
    0xff65606e,
    0xff64596c,
    0xff4f4353,
    0xff534955,
    0xff584e57,
    0xff534854,
    0xff514653,
    0xff433842,
    0xff32282b,
    0xff2f2020,
    0xff767461,
    0xff60734e,
    0xff496946,
    0xff365c4b,
    0xff284f48,
    0xff395c52,
    0xff395843,
    0xff5c6751,
    0xff496b42,
    0xff588255,
    0xff334930,
    0xff5c5d5a,
    0xffe1dee7,
    0xffafabbc,
    0xff4d455b,
    0xff413b3d,
    0xff26312b,
    0xff375442,
    0xff375840,
    0xff1c3228,
    0xff3c484a,
    0xff304135,
    0xff587351,
    0xff6b916b,
    0xff7d9f6c,
    0xff829b5e,
    0xff83975e,
    0xff768a59,
    0xff6d8562,
    0xff061b19,
    0xff04112d,
    0xff16171f,
    0xff485441,
    0xff506951,
    0xff0b2b1f,
    0xff1f4137,
    0xff375754,
    0xff002025,
    0xff1c403e,
    0xff4a562c,
    0xffaa8d52,
    0xffc18d4e,
    0xffba895e,
    0xff64614d,
    0xff0f191c,
    0xff021f2b,
    0xff032132,
    0xff496a5f,
    0xff284745,
    0xff0e2b29,
    0xff92b57b,
    0xff99c062,
    0xff89b159,
    0xff8ab451,
    0xff84b14e,
    0xff7cab4e,
    0xff86b055,
    0xff87b15e,
    0xff749d57,
    0xff87aa66,
    0xffa0ab63,
    0xffc0a561,
    0xffad7e41,
    0xffa89854,
    0xff969a50,
    0xff95a359,
    0xff959a59,
    0xffa79c67,
    0xffa59062,
    0xffa88461,
    0xffa57557,
    0xffb06746,
    0xffae4830,
    0xff911e08,
    0xff981a08,
    0xffaf1c11,
    0xffa92918,
    0xffb7754f,
    0xff8f824d,
    0xff8d875e,
    0xff969266,
    0xff76875b,
    0xff4a6f53,
    0xff284e46,
    0xff1d3c35,
    0xff646354,
    0xff93604e,
    0xffba582b,
    0xffae511f,
    0xffc49657,
    0xff8ca351,
    0xff7bad56,
    0xff869150,
    0xff9d764b,
    0xffb47858,
    0xff656a4d,
    0xff274851,
    0xff1b3436,
    0xff496c57,
    0xff446f4d,
    0xff436047,
    0xff2b4848,
    0xff0f2f32,
    0xff143642,
    0xff1d3229,
    0xff476245,
    0xff456f52,
    0xff407256,
    0xff527950,
    0xff5a7440,
    0xff758b50,
    0xffa1b86b,
    0xff89923d,
    0xff979749,
    0xff97a061,
    0xff6d9058,
    0xff3b713e,
    0xff5f9374,
    0xff19443d,
    0xff08373c,
    0xff3b7348,
    0xff83bc6b,
    0xff79b15b,
    0xff75a352,
    0xff7fa550,
    0xff94ae5e,
    0xff97a968,
    0xff8a9469,
    0xff8f9a73,
    0xff909b78,
    0xff8b9976,
    0xff889270,
    0xff8d906e,
    0xff96916d,
    0xff9d9670,
    0xff939169,
    0xff90915d,
    0xff95985a,
    0xff908d59,
    0xff9a9270,
    0xff958a71,
    0xff9a9472,
    0xff9c9b70,
    0xff919078,
    0xff9b9b6f,
    0xff9c9e68,
    0xff91966b,
    0xff8a9671,
    0xff547145,
    0xff597f5c,
    0xff305a44,
    0xff2a4c3c,
    0xff365847,
    0xff466c56,
    0xff4b735e,
    0xff365e4a,
    0xff3d6255,
    0xff163932,
    0xff3a5a55,
    0xff5c6240,
    0xff9da570,
    0xffb0b26a,
    0xffb6a95c,
    0xffa99958,
    0xff85804b,
    0xff9f9c5c,
    0xffb1a355,
    0xffbfa66d,
    0xff828451,
    0xff627c58,
    0xff4a6569,
    0xff1d3d41,
    0xff2d5a57,
    0xff0a324c,
    0xff092b41,
    0xff00252b,
    0xff1f423b,
    0xff3d6349,
    0xff5b7956,
    0xff798866,
    0xff5c6a41,
    0xff81885a,
    0xffb5a57b,
    0xff697768,
    0xff293b31,
    0xff4f5c57,
    0xff2f3838,
    0xff434e51,
    0xff35474f,
    0xff1a3a41,
    0xff214e52,
    0xff4b8681,
    0xff1c4444,
    0xff263334,
    0xff4e5040,
    0xff647039,
    0xff8b9e48,
    0xff99ad52,
    0xff909f4e,
    0xff6b6c2a,
    0xff908e4d,
    0xffada74f,
    0xffaea339,
    0xffb09e3c,
    0xffa69a36,
    0xffb6b351,
    0xff9b9d4c,
    0xff727935,
    0xffc0ad55,
    0xffae963b,
    0xff867b37,
    0xffb9a271,
    0xffc69259,
    0xffc8a151,
    0xffb2b457,
    0xff77812f,
    0xff9a9d42,
    0xffb3a94c,
    0xff988424,
    0xffba9a36,
    0xffb28c23,
    0xffd4a74c,
    0xffb4863f,
    0xffa06f38,
    0xff8b5425,
    0xff957a40,
    0xff765e19,
    0xffc3bb61,
    0xff74823e,
    0xff838f49,
    0xff6c8b52,
    0xff5a7650,
    0xff65845c,
    0xff436c47,
    0xff5f9170,
    0xff4e7a54,
    0xff476034,
    0xff859464,
    0xff637047,
    0xff737c45,
    0xff8b8a4e,
    0xff808253,
    0xff556248,
    0xff7a7b54,
    0xffae9753,
    0xffa69d5f,
    0xff273b1d,
    0xff444c31,
    0xff646b44,
    0xff5c5926,
    0xff656649,
    0xff485a55,
    0xff001d17,
    0xff4d7860,
    0xff708a59,
    0xff5e7729,
    0xff647734,
    0xff4b6629,
    0xff6b8542,
    0xff8d9d59,
    0xff7a9159,
    0xff4a774d,
    0xff25562f,
    0xff375915,
    0xff9daf4c,
    0xff97a02d,
    0xff8f9929,
    0xff879027,
    0xffaaac42,
    0xffa19f42,
    0xff959b4d,
    0xff8b9f58,
    0xff798d4d,
    0xff869c5a,
    0xff879f4e,
    0xff8fa33f,
    0xff96a037,
    0xff9d9938,
    0xff9f913b,
    0xff969133,
    0xff959642,
    0xff9b923e,
    0xffb58e56,
    0xff8a6537,
    0xff827c45,
    0xff2b3309,
    0xff373b0d,
    0xff424510,
    0xff9ba15f,
    0xff5a6920,
    0xff7c934a,
    0xff7b9949,
    0xff53741b,
    0xff86a14b,
    0xff63782d,
    0xff5e7439,
    0xff667d30,
    0xff8ca23e,
    0xff7e9628,
    0xff8da63a,
    0xff89a43e,
    0xff9eb655,
    0xff9ab051,
    0xff70872e,
    0xff88ab57,
    0xff566e26,
    0xff716222,
    0xff9e6e29,
    0xffc8933f,
    0xffc99e3d,
    0xffb2922c,
    0xff886f25,
    0xffa99b48,
    0xffa5a446,
    0xff8f9532,
    0xff747d1c,
    0xffb0b65d,
    0xff808931,
    0xff848e37,
    0xff818831,
    0xff758236,
    0xff677834,
    0xff6f7e39,
    0xff868d40,
    0xff8e913c,
    0xff999d4c,
    0xff636c1f,
    0xff9fac43,
    0xffa8b63c,
    0xff909e23,
    0xff9daa42,
    0xff7c902e,
    0xff6c872b,
    0xff5f7923,
    0xff4a610b,
    0xff767a1e,
    0xffa4a643,
    0xff9d9b38,
    0xff96912e,
    0xffa49d37,
    0xff867d0f,
    0xff978b21,
    0xff9d8c2f,
    0xff6a5a04,
    0xffaca649,
    0xff858a27,
    0xff6c7c1e,
    0xff728231,
    0xff6d7e2f,
    0xff717d25,
    0xff8a9534,
    0xff506a1e,
    0xff32540d,
    0xff26510a,
    0xff5b8a43,
    0xff436f22,
    0xff4d6d17,
    0xff94a443,
    0xff909833,
    0xff6a8320,
    0xff89a43d,
    0xff75922d,
    0xff607c20,
    0xff819c42,
    0xff728f2a,
    0xff95b047,
    0xff7e9533,
    0xffb3be56,
    0xff7c8a29,
    0xff8aa33f,
    0xff6b9224,
    0xff8bb345,
    0xffa0c056,
    0xff7d9d30,
    0xff7da42c,
    0xff6c8c21,
    0xff8aad43,
    0xff7ba13b,
    0xff4f751d,
    0xff2e5013,
    0xff597652,
    0xff314a2c,
    0xff465f33,
    0xff7c8e5a,
    0xff5a6b39,
    0xff2f400c,
    0xff32390d,
    0xff41451e,
    0xff3e4520,
    0xff1d3006,
    0xff082700,
    0xff4d6533,
    0xff586f3a,
    0xff6f8552,
    0xff5c7245,
    0xff334b1b,
    0xff788c50,
    0xff677521,
    0xff727a1a,
    0xff676c34,
    0xff445b09,
    0xff4c7415,
    0xff416520,
    0xff395420,
    0xff425b24,
    0xff4e6e3a,
    0xff002501,
    0xff447141,
    0xff447943,
    0xff548d50,
    0xff6a955a,
    0xff587137,
    0xff5c652d,
    0xff677333,
    0xff62732c,
    0xff724c0a,
    0xffb98a47,
    0xffa0681e,
    0xffa16411,
    0xffa8680e,
    0xffba7515,
    0xffe09433,
    0xffc9771a,
    0xffc6812f,
    0xffcc953a,
    0xffaf7f16,
    0xffd39330,
    0xffbb7819,
    0xffc99036,
    0xffae8329,
    0xff805500,
    0xffa17d24,
    0xff9a6c1e,
    0xff8d5310,
    0xffad7030,
    0xff9e641f,
    0xff926819,
    0xffa58c33,
    0xff8d7c23,
    0xff9b7b25,
    0xff625709,
    0xff615817,
    0xff453104,
    0xff7c6d21,
    0xff96943d,
    0xff877b41,
    0xff553702,
    0xff524726,
    0xff4f3f12,
    0xff584912,
    0xff2b2d0b,
    0xff193520,
    0xff02270f,
    0xff1e3c17,
    0xff273610,
    0xff0e2509,
    0xff132001,
    0xff1c2105,
    0xff2c2e1c,
    0xff292206,
    0xff60552a,
    0xff161500,
    0xff010e13,
    0xff3f3b28,
    0xff89755f,
    0xff171501,
    0xff112712,
    0xff192916,
    0xff0c180c,
    0xff081a14,
    0xff16221b,
    0xff122c07,
    0xff142e0d,
    0xff273f25,
    0xff3a4f39,
    0xff253722,
    0xff2a3925,
    0xff0c1705,
    0xff31392a,
    0xff54594a,
    0xff393938,
    0xff66634f,
    0xff8e8a59,
    0xff887d4b,
    0xff52420f,
    0xff62500b,
    0xff8a781f,
    0xffa8932d,
    0xffc29931,
    0xffc19120,
    0xffc8b047,
    0xff333d03,
    0xff10260c,
    0xff1d2500,
    0xff998f36,
    0xff8c8224,
    0xff464a0d,
    0xff0a0c00,
    0xff281e00,
    0xff959064,
    0xff1e2d28,
    0xff001015,
    0xff040806,
    0xff101110,
    0xff13130e,
    0xff151610,
    0xff0f1511,
    0xff061307,
    0xff0f1d07,
    0xff100f00,
    0xff201110,
    0xff201300,
    0xff8b6325,
    0xffaa6e15,
    0xffac6f10,
    0xffa4690d,
    0xff9b5914,
    0xff743203,
    0xff71410a,
    0xff7c6231,
    0xff2e0600,
    0xff5e3a03,
    0xff442b00,
    0xff381c09,
    0xff311601,
    0xff574a06,
    0xff9aa11d,
    0xff969812,
    0xff989810,
    0xff8e8e0c,
    0xff8c8d19,
    0xff7d8124,
    0xff65691e,
    0xff4c4e07,
    0xff474802,
    0xff273000,
    0xff859139,
    0xff4c5b01,
    0xff4a5b08,
    0xff576a1c,
    0xff3b5008,
    0xff3f5110,
    0xff3e5115,
    0xff61722d,
    0xff3a4b0b,
    0xff293d00,
    0xff3d5414,
    0xff5f7834,
    0xff243e00,
    0xff253d0d,
    0xff2b401a,
    0xff3b4409,
    0xff505722,
    0xff242a03,
    0xff2b3511,
    0xff253010,
    0xff2f371a,
    0xff2a3419,
    0xff1a220a,
    0xff303920,
    0xff1a2c13,
    0xff253d17,
    0xff344213,
    0xff4c481f,
    0xff302209,
    0xff2e2b10,
    0xff333f17,
    0xff252f00,
    0xff3b4709,
    0xff4d5c1e,
    0xff3d4913,
    0xff57602c,
    0xff44480e,
    0xff424008,
    0xff453d0b,
    0xff372500,
    0xff3d2d0c,
    0xff392912,
    0xff322408,
    0xff281d00,
    0xff463e15,
    0xff33300f,
    0xff25270f,
    0xff1b200f,
    0xff313525,
    0xff203216,
    0xff202907,
    0xff48320a,
    0xff523308,
    0xff584811,
    0xff554810,
    0xff543f0a,
    0xff463000,
    0xff513a09,
    0xff49310b,
    0xff402a13,
    0xff38291c,
    0xff231912,
    0xff1a1710,
    0xff171710,
    0xff0f1815,
    0xff0a1911,
    0xff1d2417,
    0xff21251a,
    0xff141b13,
    0xff383a2b,
    0xff453c20,
    0xff3b3320,
    0xff382b11,
    0xff2e1c00,
    0xff4b3511,
    0xff4d3714,
    0xff352601,
    0xff433b08,
    0xff3d3d01,
    0xff343905,
    0xff585a37,
    0xff272500,
    0xff2d2900,
    0xff282505,
    0xff4d4d20,
    0xff636b31,
    0xff111900,
    0xff6e8e45,
    0xff6d8b39,
    0xff758c3c,
    0xff86965e,
    0xff848b7a,
    0xff63656d,
    0xff504c5a,
    0xff605a62,
    0xff534859,
    0xff4d414d,
    0xff504a51,
    0xff514954,
    0xff494051,
    0xff4c4453,
    0xff423940,
    0xff2e2523,
    0xff41392e,
    0xff858d6c,
    0xff718a5a,
    0xff577b55,
    0xff2e5346,
    0xff335352,
    0xff3f5b4c,
    0xff516645,
    0xff7b7c54,
    0xff4a5e2c,
    0xff5e7a48,
    0xff717e65,
    0xffe6e1ee,
    0xffb8b0ce,
    0xff474148,
    0xff5a543e,
    0xff78805b,
    0xff6a7b48,
    0xff75844b,
    0xff7d7b4d,
    0xff918258,
    0xff8c8052,
    0xff8b9561,
    0xff5a7646,
    0xff486f3b,
    0xff7c9b57,
    0xff5f7428,
    0xff818c46,
    0xff82884a,
    0xff7b7a44,
    0xff685a3b,
    0xff674c4a,
    0xff7e6759,
    0xff716e3e,
    0xff75885c,
    0xff102b17,
    0xff264335,
    0xff415a50,
    0xff1e3830,
    0xff1b3525,
    0xff68643f,
    0xffad8a55,
    0xff8d6323,
    0xff926738,
    0xff847856,
    0xff6c664a,
    0xff2b3f22,
    0xff24422b,
    0xff456948,
    0xff4e6e57,
    0xff001706,
    0xff567a39,
    0xff86ac59,
    0xff84a861,
    0xff8cb25e,
    0xff8ab252,
    0xff91b960,
    0xff8bb85e,
    0xff719e57,
    0xff1f4c1f,
    0xff4f784b,
    0xff6e9350,
    0xff859b4e,
    0xff9ba55a,
    0xff9baf56,
    0xff9fb05b,
    0xff9fae5d,
    0xff9fab61,
    0xff989758,
    0xff9e905a,
    0xff9f9161,
    0xff94925f,
    0xff9d9b58,
    0xffbd945e,
    0xffb97b4d,
    0xffae5d34,
    0xff9b2e11,
    0xff9f391b,
    0xffbb7b54,
    0xff855c30,
    0xff9a8f63,
    0xff737a56,
    0xff698866,
    0xff283f27,
    0xff61615e,
    0xff1c2d30,
    0xff183d34,
    0xff3b543d,
    0xff889658,
    0xffa0a75f,
    0xffa1a958,
    0xff96a857,
    0xff92ac62,
    0xff9fae70,
    0xff988250,
    0xffa37043,
    0xff63664b,
    0xff173041,
    0xff2e434a,
    0xff3f624d,
    0xff3c6b4d,
    0xff2e4939,
    0xff183636,
    0xff3d6163,
    0xff072232,
    0xff10282a,
    0xff385745,
    0xff587f69,
    0xff476846,
    0xff84955f,
    0xffaeb771,
    0xff818f43,
    0xff828b34,
    0xff9d9d42,
    0xff8d802f,
    0xff9c9256,
    0xff808859,
    0xff4d6c40,
    0xff568265,
    0xff306055,
    0xff26595c,
    0xff0b4322,
    0xff5d974c,
    0xff81b859,
    0xff80b350,
    0xff84b058,
    0xff81a963,
    0xff6e9057,
    0xff536d45,
    0xff7b9771,
    0xff76936f,
    0xff3c5836,
    0xff849976,
    0xff909e78,
    0xff8d9169,
    0xff99976f,
    0xff989b6f,
    0xff99a06a,
    0xffa1ab6e,
    0xffa4aa6e,
    0xff95915e,
    0xff968e64,
    0xff989468,
    0xff939569,
    0xff849070,
    0xff6d7f57,
    0xff7b9162,
    0xff789065,
    0xff5c7a53,
    0xff5e835c,
    0xff68906b,
    0xff37603c,
    0xff72936c,
    0xff6e926b,
    0xff588464,
    0xff3d6d54,
    0xff093728,
    0xff002a22,
    0xff1d3f42,
    0xff304f51,
    0xff647458,
    0xff5c703f,
    0xff93a157,
    0xffb0b161,
    0xffaaa56a,
    0xff726f49,
    0xff9a9667,
    0xffa1954d,
    0xffa19859,
    0xff98ab6b,
    0xff486d44,
    0xff284a50,
    0xff27484d,
    0xff345f56,
    0xff274d5d,
    0xff011f2c,
    0xff152e30,
    0xff46625a,
    0xff325432,
    0xff4f6127,
    0xff938a45,
    0xffa2a357,
    0xff87944a,
    0xff827f41,
    0xff6b7850,
    0xff566a47,
    0xff476240,
    0xff4c6649,
    0xff3d543c,
    0xff233927,
    0xff41604f,
    0xff5b8375,
    0xff2a5c49,
    0xff56683d,
    0xffad9966,
    0xff9e7e4f,
    0xff948851,
    0xff929c4f,
    0xff9ea658,
    0xff827c3b,
    0xff929257,
    0xff969350,
    0xffaba948,
    0xffb2ab3c,
    0xffaa9d40,
    0xffb0a44d,
    0xffa2a048,
    0xff8e9344,
    0xffb2a25d,
    0xffc1973a,
    0xffbd8f1f,
    0xffdac656,
    0xffb6ac47,
    0xffb29d40,
    0xff968c37,
    0xff707e32,
    0xff717634,
    0xff81752d,
    0xffaa994a,
    0xff8e8632,
    0xffa79639,
    0xffc29633,
    0xffbe872f,
    0xffab7b32,
    0xffa6722a,
    0xffc38c48,
    0xff9a6e2e,
    0xffc59d5d,
    0xffa9953d,
    0xff96964d,
    0xff889555,
    0xff566952,
    0xff4d4f40,
    0xff6d644b,
    0xff3f3a22,
    0xff3b4c3a,
    0xff536f59,
    0xff708c63,
    0xff5d7e46,
    0xff60884e,
    0xff638b5a,
    0xff52713d,
    0xff4b6e49,
    0xff133c2b,
    0xff2c482b,
    0xff8a9154,
    0xff8f9654,
    0xff748658,
    0xff938f64,
    0xffa7b27d,
    0xff5c7240,
    0xff939063,
    0xff6b5c33,
    0xff58582b,
    0xff828f58,
    0xff647d40,
    0xffaac57a,
    0xff57653a,
    0xff2b4223,
    0xff5e8053,
    0xff496128,
    0xff597833,
    0xff6f994a,
    0xff75984b,
    0xff92a952,
    0xffa5ac45,
    0xff9d9f23,
    0xff8f9915,
    0xffa8b33b,
    0xff9ea23c,
    0xff7c7f27,
    0xff979d48,
    0xff9ca44e,
    0xff909942,
    0xff727d24,
    0xff98a140,
    0xff939326,
    0xffb0a533,
    0xffb39a27,
    0xffbf9f29,
    0xffc1a632,
    0xff8e872e,
    0xff9b8e49,
    0xff925f34,
    0xffaa7036,
    0xffb4963b,
    0xffa2953c,
    0xffaa9a44,
    0xffb1a54e,
    0xff9a9d39,
    0xff8da23c,
    0xff7e9a42,
    0xff647d2e,
    0xff6b822e,
    0xff80984a,
    0xff516a29,
    0xff586821,
    0xff99a84f,
    0xff99a73a,
    0xff99a836,
    0xff9db042,
    0xff97ac46,
    0xff637814,
    0xff869a32,
    0xff7c972e,
    0xff94a746,
    0xff5c5101,
    0xffbe8e40,
    0xffba7c1f,
    0xffbc8419,
    0xffb38215,
    0xffb7841c,
    0xffb9902b,
    0xff9d8222,
    0xff8f872a,
    0xff869031,
    0xff8e9933,
    0xff9ba536,
    0xff939624,
    0xffa7a835,
    0xffa29d38,
    0xff9c9f40,
    0xff89923b,
    0xff838734,
    0xff958e3c,
    0xff9b9139,
    0xff8b8a29,
    0xff89922a,
    0xffbacb59,
    0xff818e29,
    0xff5d6702,
    0xff899b32,
    0xff778c2e,
    0xff6f832b,
    0xff89953b,
    0xff989b41,
    0xff9a972c,
    0xff969428,
    0xff656306,
    0xffa9a559,
    0xff857f30,
    0xff7c7914,
    0xffaea83e,
    0xff988e2b,
    0xff81781b,
    0xffa09e3e,
    0xff7a8121,
    0xff627214,
    0xff62751c,
    0xff697b25,
    0xff8e9c49,
    0xff677421,
    0xff63742d,
    0xff5e792d,
    0xff638939,
    0xff598538,
    0xff5c8640,
    0xff244100,
    0xff839234,
    0xff99a134,
    0xff59741d,
    0xff6e8b2e,
    0xff658429,
    0xff658436,
    0xff4e6c1f,
    0xff608124,
    0xff6a8c2a,
    0xff62832a,
    0xff5f7b20,
    0xff6c8f36,
    0xff6a9130,
    0xff587d0c,
    0xff739223,
    0xff577a1b,
    0xff53761c,
    0xff729635,
    0xff567b1c,
    0xff68902d,
    0xff588426,
    0xff78a257,
    0xff2a5118,
    0xff456333,
    0xff092300,
    0xff283b13,
    0xff414e19,
    0xff142102,
    0xff131e11,
    0xff293128,
    0xff29301b,
    0xff1e290b,
    0xff20321c,
    0xff0b2215,
    0xff132712,
    0xff0b1a0b,
    0xff16281d,
    0xff05170a,
    0xff283d1f,
    0xff465924,
    0xff7d883f,
    0xff5d610b,
    0xff354100,
    0xff728121,
    0xff6a7d1f,
    0xff384f12,
    0xff042200,
    0xff42663c,
    0xff16350f,
    0xff243925,
    0xff011500,
    0xff1f381e,
    0xff455d3d,
    0xff2e3308,
    0xff846e33,
    0xff9c7225,
    0xff9f6f17,
    0xffb18125,
    0xffc6782a,
    0xffd28234,
    0xffac5e10,
    0xffb36d18,
    0xffbd7f27,
    0xffa5690d,
    0xffb17114,
    0xffbf7b1d,
    0xffb76b20,
    0xffc67f34,
    0xffaf6820,
    0xff8c4604,
    0xff9c6823,
    0xff927426,
    0xffad8f3d,
    0xffa67d28,
    0xff9a7827,
    0xffa17826,
    0xff845607,
    0xff9c6c22,
    0xff855614,
    0xff8b6423,
    0xff87671e,
    0xff9d7e2c,
    0xff805c18,
    0xff664b0a,
    0xff70500c,
    0xff7b4e17,
    0xff95772d,
    0xff6b6e1a,
    0xff322f04,
    0xff4e380b,
    0xff1f2100,
    0xff2f2f01,
    0xff46481a,
    0xff273413,
    0xff1d3717,
    0xff35532e,
    0xff1c3313,
    0xff111c0b,
    0xff122217,
    0xff041701,
    0xff031701,
    0xff19240f,
    0xff211400,
    0xff7f6332,
    0xff423515,
    0xff010c07,
    0xff030600,
    0xff0e0400,
    0xff100d00,
    0xff131d07,
    0xff071209,
    0xff0f100b,
    0xff0d1002,
    0xff162005,
    0xff1a3305,
    0xff0f2a00,
    0xff23391a,
    0xff0e2209,
    0xff23321b,
    0xff16220e,
    0xff535d4d,
    0xff585d52,
    0xff2c3328,
    0xff686c6b,
    0xff404032,
    0xff6d6845,
    0xff493a0c,
    0xff90792c,
    0xffdabd4a,
    0xffc29f22,
    0xffe9c235,
    0xffd5a923,
    0xffac8507,
    0xffb7a131,
    0xff4f4900,
    0xff50501e,
    0xff7c742b,
    0xffa99a28,
    0xffc6b329,
    0xffceb839,
    0xff9a8235,
    0xffa59655,
    0xff7b7435,
    0xff100900,
    0xff131213,
    0xff0c1019,
    0xff0f1110,
    0xff0b1208,
    0xff08140b,
    0xff061113,
    0xff08110f,
    0xff0d1404,
    0xff111307,
    0xff141217,
    0xff1e091b,
    0xff3a1a06,
    0xffd9a952,
    0xffa26800,
    0xff915108,
    0xff804706,
    0xff997035,
    0xff644628,
    0xff9d8f92,
    0xff1a000d,
    0xff3a1a11,
    0xff57411d,
    0xff412e08,
    0xff9a863a,
    0xff93870d,
    0xff91930a,
    0xff787c01,
    0xffb2b326,
    0xff939409,
    0xff9a9c23,
    0xff626508,
    0xff606319,
    0xff575c13,
    0xff55560a,
    0xff676f1a,
    0xff464f00,
    0xff66721d,
    0xff546511,
    0xff364a02,
    0xff354409,
    0xff475312,
    0xff424b00,
    0xff556817,
    0xff41510d,
    0xff48571e,
    0xff475a25,
    0xff30480c,
    0xff375015,
    0xff364d17,
    0xff27380a,
    0xff2b2e00,
    0xff303a05,
    0xff3e4c1c,
    0xff3b4317,
    0xff2f3007,
    0xff3b3c19,
    0xff1d2404,
    0xff263318,
    0xff252813,
    0xff242e14,
    0xff2d3f18,
    0xff384b13,
    0xff202900,
    0xff28270c,
    0xff2f311e,
    0xff1a260a,
    0xff46531f,
    0xff627130,
    0xff3f4a11,
    0xff1e2600,
    0xff353b16,
    0xff222600,
    0xff3c3c0f,
    0xff3a3712,
    0xff2f340b,
    0xff252e09,
    0xff2c3614,
    0xff2b3111,
    0xff353716,
    0xff2c280a,
    0xff211b01,
    0xff262009,
    0xff341e09,
    0xff220c00,
    0xff1e1903,
    0xff242408,
    0xff3f2c0f,
    0xff3b2803,
    0xff342c00,
    0xff514116,
    0xff594311,
    0xff533f0e,
    0xff594417,
    0xff3f2c06,
    0xff220d00,
    0xff544132,
    0xff170d01,
    0xff262113,
    0xff202217,
    0xff121912,
    0xff080d06,
    0xff251d0f,
    0xff382e1f,
    0xff18150d,
    0xff1b1708,
    0xff32290b,
    0xff3f390f,
    0xff2c2903,
    0xff212105,
    0xff1d2113,
    0xff000504,
    0xff19201d,
    0xff151d09,
    0xff2b310c,
    0xff31310a,
    0xff373612,
    0xff585b39,
    0xff24290d,
    0xff1f230c,
    0xff151800,
    0xff515425,
    0xff52531a,
    0xff4e6f36,
    0xff718f46,
    0xff798e41,
    0xff77814e,
    0xff858580,
    0xff625c75,
    0xff4f4560,
    0xff615768,
    0xff48414b,
    0xff433c45,
    0xff423a42,
    0xff403945,
    0xff453c4e,
    0xff524a5b,
    0xff3b353b,
    0xff2c2922,
    0xff4f523d,
    0xff78895e,
    0xff7c9b65,
    0xff4e744b,
    0xff2b4f41,
    0xff3c5753,
    0xff2b3b29,
    0xff68714a,
    0xff827c49,
    0xff70784b,
    0xff768362,
    0xffe2e5d7,
    0xffada6b1,
    0xff403845,
    0xff646044,
    0xff888238,
    0xffb2a057,
    0xffa9933f,
    0xff9d822e,
    0xffa0893e,
    0xff988c3b,
    0xff909b3e,
    0xff7f984c,
    0xff4c6d3e,
    0xff385825,
    0xff6c8849,
    0xff819156,
    0xff6d7243,
    0xff625c2b,
    0xffa69353,
    0xff896627,
    0xffa97346,
    0xff967244,
    0xff837a2d,
    0xff879652,
    0xff637b59,
    0xff4b664a,
    0xff4a6146,
    0xff596c50,
    0xff6b7f54,
    0xff81793e,
    0xffc0ab5d,
    0xff958430,
    0xff97803d,
    0xff796d33,
    0xff9c8b51,
    0xff7f8847,
    0xff829e62,
    0xff7b9e58,
    0xff5e8145,
    0xff60814e,
    0xff779a4d,
    0xff75964e,
    0xff6d885f,
    0xff7e9e65,
    0xff7b9e4f,
    0xff7b9743,
    0xff8aab5b,
    0xff60824c,
    0xff214129,
    0xff12341e,
    0xff759e69,
    0xff87af62,
    0xff90b062,
    0xff8eaf65,
    0xff999f5a,
    0xff9d9550,
    0xffa3a554,
    0xffa4a54f,
    0xffb2a24a,
    0xffbb9d42,
    0xffc1a94a,
    0xffa29d45,
    0xffae8c40,
    0xffb38940,
    0xffb58c44,
    0xff854f10,
    0xff8f6827,
    0xff998f48,
    0xffa6a660,
    0xff748746,
    0xff7a8762,
    0xff494f37,
    0xff7c634a,
    0xff794f43,
    0xff221f1d,
    0xff1a3c37,
    0xff40574a,
    0xff384e35,
    0xff8aa36c,
    0xff8ca552,
    0xff8fae53,
    0xff83a855,
    0xff6c8944,
    0xff868243,
    0xffbb9b5d,
    0xff55522a,
    0xff182830,
    0xff2c3838,
    0xff3a5c3d,
    0xff2b5940,
    0xff466358,
    0xff395a53,
    0xff244e3e,
    0xff283c3e,
    0xff273e34,
    0xff123323,
    0xff2a4d37,
    0xff61724b,
    0xffa5a367,
    0xff807d34,
    0xff848e46,
    0xffb0b367,
    0xff8f823d,
    0xff9b823a,
    0xff947731,
    0xff827140,
    0xff4a4f3d,
    0xff324f4a,
    0xff3e6c61,
    0xff4e7e5c,
    0xff4b7948,
    0xff6f9b55,
    0xff8eb960,
    0xff82aa50,
    0xff84ab63,
    0xff5e8550,
    0xff598059,
    0xff2d5531,
    0xff527959,
    0xff567e60,
    0xff4d7353,
    0xff496a48,
    0xff798f69,
    0xff8b976f,
    0xff8d9165,
    0xff8c935f,
    0xff9aa66f,
    0xff849155,
    0xffa3aa66,
    0xff9fa058,
    0xff9d9958,
    0xff989861,
    0xff949a6c,
    0xff7c9564,
    0xff688866,
    0xff51785f,
    0xff59876b,
    0xff406e57,
    0xff35604e,
    0xff446b4b,
    0xff6c955d,
    0xff63935b,
    0xff2c5e35,
    0xff2e614b,
    0xff2d6059,
    0xff144241,
    0xff638685,
    0xff17312b,
    0xff3b493e,
    0xffa5a67e,
    0xffabb27c,
    0xffa2ab61,
    0xffa9ae59,
    0xff899252,
    0xff53663e,
    0xff70865c,
    0xff849559,
    0xff889a61,
    0xff4e773e,
    0xff427751,
    0xff264d55,
    0xff1a3c40,
    0xff436855,
    0xff213a3c,
    0xff2a3b3a,
    0xff3e4949,
    0xff2f3c43,
    0xff41553a,
    0xff989847,
    0xffb1982f,
    0xff999236,
    0xff769649,
    0xff496f28,
    0xff698940,
    0xff5f8449,
    0xff47764f,
    0xff4b7c63,
    0xff446e58,
    0xff698c6e,
    0xff698f64,
    0xff547d4c,
    0xff56724e,
    0xff7b905b,
    0xff5c6b36,
    0xff6d7f58,
    0xff6d8857,
    0xff859f51,
    0xff929d49,
    0xffa9a361,
    0xff95934f,
    0xff9fa252,
    0xffa3a737,
    0xffabac35,
    0xffa49f44,
    0xffa7a557,
    0xff7b8230,
    0xff7d8b41,
    0xff9e9f4e,
    0xffb29b43,
    0xffd1b552,
    0xffb2ab41,
    0xffaaaf43,
    0xffa49d38,
    0xffccb552,
    0xffc5aa47,
    0xffa99935,
    0xffe4c458,
    0xffba9e31,
    0xffb5b149,
    0xffa19934,
    0xffbc9532,
    0xffa8731f,
    0xffa57f37,
    0xffb99336,
    0xffcd9b39,
    0xffcf923f,
    0xffb18236,
    0xffaa9a36,
    0xff888d2d,
    0xff8d9f3a,
    0xff616929,
    0xff6e4b15,
    0xffb57530,
    0xffc97d33,
    0xffa67436,
    0xff8b7846,
    0xff71723a,
    0xff6d7a3d,
    0xff688242,
    0xff778f40,
    0xff869847,
    0xff7c944f,
    0xff254d19,
    0xff3f673d,
    0xff567249,
    0xff7a916d,
    0xff536a52,
    0xff69835c,
    0xff5b7b4c,
    0xff53794a,
    0xff90934a,
    0xffcebf5b,
    0xffa19f3b,
    0xffa7a149,
    0xff828148,
    0xff859049,
    0xff72752b,
    0xff94a849,
    0xff567919,
    0xff7f944b,
    0xff8a9c4c,
    0xff768b1a,
    0xffbec145,
    0xffa8bd39,
    0xffa9ab38,
    0xffaca734,
    0xff98a025,
    0xff94a037,
    0xff828635,
    0xff888b34,
    0xffa6b245,
    0xffa4a442,
    0xff989a38,
    0xff929331,
    0xffa29f3b,
    0xffb5a93f,
    0xffbba42f,
    0xffcba724,
    0xffe7bc2d,
    0xffd5ab29,
    0xff928c39,
    0xff5b6330,
    0xff523c1b,
    0xff9d7534,
    0xffb5982a,
    0xffa98f25,
    0xffaf8c2a,
    0xffb89d42,
    0xff7d811b,
    0xff7d9937,
    0xff688b37,
    0xff5a6f26,
    0xff728433,
    0xff60772c,
    0xff3b5b1d,
    0xff818f32,
    0xff929a33,
    0xff929b30,
    0xff89962d,
    0xff768826,
    0xff8ea241,
    0xff798e23,
    0xffa2b744,
    0xff8ca631,
    0xff868c22,
    0xffc0a547,
    0xffb17f1e,
    0xffcd9f2e,
    0xffa7860c,
    0xffb58b1b,
    0xffb47b19,
    0xffb9a821,
    0xffa49b22,
    0xffaba843,
    0xff959937,
    0xff8b952c,
    0xff8c992e,
    0xff697617,
    0xff8c9542,
    0xff959628,
    0xff929a2c,
    0xff93a239,
    0xff959f3d,
    0xff79781e,
    0xff716e0b,
    0xffbfc554,
    0xff7f8f10,
    0xff778b17,
    0xff727f28,
    0xff93a244,
    0xff7e9323,
    0xff879b33,
    0xff889532,
    0xff7e7f14,
    0xffa69a35,
    0xff898c2c,
    0xff7e831d,
    0xff646a0c,
    0xff545b0e,
    0xff5a6211,
    0xff7f862b,
    0xff949538,
    0xff757121,
    0xff798118,
    0xff8c9431,
    0xff838e2d,
    0xff798b29,
    0xff809530,
    0xff6c8322,
    0xff435c05,
    0xff718942,
    0xff5e742b,
    0xff6a8630,
    0xff7e9b45,
    0xff4f6d21,
    0xff50692a,
    0xff39500c,
    0xff7d9335,
    0xff849b29,
    0xff4e6a1b,
    0xff587824,
    0xff496b1c,
    0xff5e7e3e,
    0xff476926,
    0xff567e29,
    0xff70983d,
    0xff3d6110,
    0xff507525,
    0xff457026,
    0xff416919,
    0xff6e852c,
    0xff6a7f27,
    0xff5b7d32,
    0xff5d8743,
    0xff1f4600,
    0xff5b8333,
    0xff457319,
    0xff3d6c1b,
    0xff254f13,
    0xff153d0a,
    0xff46672f,
    0xff6f8a55,
    0xff162902,
    0xff253912,
    0xff363d25,
    0xff252417,
    0xff2c331f,
    0xff14280a,
    0xff0d2907,
    0xff0b2008,
    0xff192618,
    0xff13270a,
    0xff20341f,
    0xff0f2112,
    0xff102709,
    0xff051b00,
    0xff566a1c,
    0xff838e2f,
    0xff939833,
    0xff82872b,
    0xff958c32,
    0xff7e6f1c,
    0xff575a16,
    0xff38531b,
    0xff0e3305,
    0xff0e2300,
    0xff616431,
    0xff7b8743,
    0xff475922,
    0xff1a2e05,
    0xff383809,
    0xffa1813f,
    0xffbd8535,
    0xffb37125,
    0xffb87930,
    0xffc68c21,
    0xffcb8822,
    0xffd78d2d,
    0xffc0741b,
    0xffbf7722,
    0xffbf7b26,
    0xffb87521,
    0xffd2933c,
    0xffb78328,
    0xffae7013,
    0xffd98e32,
    0xffc17d23,
    0xffb2912e,
    0xff85821e,
    0xff908826,
    0xff9b7520,
    0xff875a17,
    0xff856918,
    0xff7d7917,
    0xff718223,
    0xff5f7121,
    0xff716e2d,
    0xff735112,
    0xffa06a24,
    0xff8b6519,
    0xff9d7c2f,
    0xffab842e,
    0xff936317,
    0xff98741f,
    0xff635400,
    0xff3c3d0f,
    0xff4d5822,
    0xff444e13,
    0xff4c5421,
    0xff313713,
    0xff2c3111,
    0xff222a04,
    0xff495927,
    0xff162d0b,
    0xff041d11,
    0xff0f1e0b,
    0xff171903,
    0xff141400,
    0xff4e522d,
    0xff45421f,
    0xff191000,
    0xff282715,
    0xff001006,
    0xff001107,
    0xff100f06,
    0xff5c452e,
    0xff3a300e,
    0xff12210b,
    0xff172106,
    0xff7a7739,
    0xff606720,
    0xff6d8449,
    0xff3d5423,
    0xff283e15,
    0xff37492b,
    0xff38482e,
    0xff46523b,
    0xff4d5444,
    0xff5f6458,
    0xff4f5c4a,
    0xff646e60,
    0xff525941,
    0xff7b7b60,
    0xff52411c,
    0xffb99f49,
    0xffe6c346,
    0xffc09517,
    0xffbb9115,
    0xffcfaa21,
    0xffb89915,
    0xff977a13,
    0xff8a7019,
    0xff958120,
    0xff3e2c00,
    0xff665420,
    0xffb69826,
    0xffd7a923,
    0xff9a6f08,
    0xff776a0a,
    0xffa5a236,
    0xff74641c,
    0xff180b00,
    0xff0a1318,
    0xff0b1310,
    0xff041304,
    0xff05150d,
    0xff0c151d,
    0xff0a0c14,
    0xff14140a,
    0xff111104,
    0xff12140e,
    0xff1a1600,
    0xff120600,
    0xff7e6b33,
    0xffb28c2d,
    0xff6a3d09,
    0xff462c0d,
    0xff0f0f00,
    0xff0c0d17,
    0xff9ea6af,
    0xff0b0600,
    0xff210e0b,
    0xff2a190b,
    0xff1d0c00,
    0xff5e4b0f,
    0xffa99e21,
    0xff929205,
    0xff999e11,
    0xff9fa213,
    0xffa0a315,
    0xff7e8005,
    0xff666b0b,
    0xff71762c,
    0xff525713,
    0xff676918,
    0xff7e8426,
    0xff5e6412,
    0xff4f590c,
    0xff58661c,
    0xff455616,
    0xff4c5724,
    0xff4d5210,
    0xff898d32,
    0xff445a01,
    0xff47580f,
    0xff283502,
    0xff475226,
    0xff384214,
    0xff47511d,
    0xff50531a,
    0xff514d19,
    0xff43401c,
    0xff232c06,
    0xff25340b,
    0xff323910,
    0xff332e08,
    0xff322e0d,
    0xff1f2609,
    0xff14230a,
    0xff232e06,
    0xff2a3512,
    0xff23300b,
    0xff2a3c0f,
    0xff263b14,
    0xff152a0d,
    0xff1d2f12,
    0xff293b12,
    0xff3a4526,
    0xff202700,
    0xff262a00,
    0xff2d310e,
    0xff313614,
    0xff2d3505,
    0xff5a622c,
    0xff33380d,
    0xff2f3c1a,
    0xff2e3f19,
    0xff2f4217,
    0xff28310d,
    0xff211c07,
    0xff241203,
    0xff200700,
    0xff2f1300,
    0xff744217,
    0xff703914,
    0xff451f00,
    0xff382001,
    0xff361d02,
    0xff40310a,
    0xff2d2300,
    0xff503a12,
    0xff563f12,
    0xff423002,
    0xff382702,
    0xff45320d,
    0xff49341a,
    0xff311e0b,
    0xff50422f,
    0xff120a00,
    0xff141507,
    0xff171a11,
    0xff1c170c,
    0xff342010,
    0xff371e11,
    0xff221509,
    0xff2b2412,
    0xff3c2f14,
    0xff4f3110,
    0xff40290b,
    0xff392d17,
    0xff212614,
    0xff4a5842,
    0xff151e09,
    0xff1d1a07,
    0xff221405,
    0xff2e200e,
    0xff282701,
    0xff2f3813,
    0xff516142,
    0xff122201,
    0xff071200,
    0xff1c1a00,
    0xff4a4513,
    0xff6b8738,
    0xff799c41,
    0xff719043,
    0xff7f8e69,
    0xff757272,
    0xff655a67,
    0xff5a5164,
    0xff4f4b5e,
    0xff4a4a4c,
    0xff433949,
    0xff3b3446,
    0xff2c3037,
    0xff4d505a,
    0xff584f66,
    0xff392c3a,
    0xff2c2b22,
    0xff58674c,
    0xff5a6d48,
    0xff506b39,
    0xff657f50,
    0xff5c7353,
    0xff55624b,
    0xff646347,
    0xff5b522f,
    0xff7a6845,
    0xff928e6b,
    0xffe2ebdd,
    0xff989fae,
    0xff3a3a49,
    0xff5f5745,
    0xff918a4d,
    0xffa09945,
    0xffa99639,
    0xffaf9b44,
    0xffbfad50,
    0xffaaa140,
    0xff989c45,
    0xff6c7f31,
    0xff6a8b47,
    0xff3e6436,
    0xff0b1e09,
    0xff2b421d,
    0xff4d6638,
    0xff585624,
    0xffb79251,
    0xffbea343,
    0xffb09237,
    0xffa56e34,
    0xffa79049,
    0xff95a253,
    0xff657835,
    0xff81875e,
    0xff455436,
    0xff374429,
    0xff827655,
    0xff836b44,
    0xff7f7149,
    0xff82713d,
    0xff897c39,
    0xff736f28,
    0xff818132,
    0xff8d8a33,
    0xff8f9743,
    0xff75893f,
    0xff597c21,
    0xff528039,
    0xff40722f,
    0xff6e944e,
    0xff637e49,
    0xff607e51,
    0xff3a5f2d,
    0xff4e703b,
    0xff809246,
    0xff798b3f,
    0xff7b8f4f,
    0xff496232,
    0xff1c3712,
    0xff3d5829,
    0xff7b944c,
    0xff667c21,
    0xff96a149,
    0xffacad52,
    0xffb7af4c,
    0xffb8b148,
    0xffaaa337,
    0xffb0a435,
    0xffb79f2f,
    0xffb39525,
    0xffbc9c2f,
    0xffbc932b,
    0xffc19b3e,
    0xff9e822d,
    0xffab9138,
    0xffac9033,
    0xff9d8d37,
    0xff64631f,
    0xff58693c,
    0xff43502b,
    0xff6c6d43,
    0xff895033,
    0xffa25c4f,
    0xff462f27,
    0xff464532,
    0xff596a3c,
    0xff041d00,
    0xff3c4f1d,
    0xff6c7a34,
    0xff829242,
    0xff738539,
    0xff989d5b,
    0xff948545,
    0xff81611d,
    0xff8c762f,
    0xff4a472f,
    0xff6b594b,
    0xff51583a,
    0xff1e3b34,
    0xff223837,
    0xff183824,
    0xff39534e,
    0xff1c210f,
    0xff8e9464,
    0xff7b7b4a,
    0xff595315,
    0xffa79e57,
    0xff88823a,
    0xff959d4a,
    0xff818e4e,
    0xff6d6f24,
    0xffaea75f,
    0xff8a7a2a,
    0xffcab75a,
    0xffa49755,
    0xff686a59,
    0xff1c342f,
    0xff315b3f,
    0xff8cb283,
    0xff92bc6b,
    0xff89b256,
    0xff8ab04f,
    0xff79964f,
    0xff648056,
    0xff496b3a,
    0xff5c8653,
    0xff498454,
    0xff3a6850,
    0xff43685c,
    0xff335943,
    0xff4e7a5a,
    0xff3a6343,
    0xff65805b,
    0xff6d8051,
    0xff849b6b,
    0xff557433,
    0xff677a3e,
    0xff918851,
    0xffa0964d,
    0xff848a48,
    0xff6b7e45,
    0xff7b904d,
    0xff88a86d,
    0xff4b6e55,
    0xff143d34,
    0xff14402a,
    0xff37624a,
    0xff264e42,
    0xff376448,
    0xff5c8f55,
    0xff396b3a,
    0xff154b33,
    0xff11423f,
    0xff123a3a,
    0xff37605e,
    0xff2a5854,
    0xff163b36,
    0xff2d4436,
    0xff415135,
    0xff7a8f5e,
    0xff869b5b,
    0xff8fa161,
    0xffb3c184,
    0xff738a52,
    0xff466b48,
    0xff2c5a4b,
    0xff315241,
    0xff325546,
    0xff37584f,
    0xff11372b,
    0xff426753,
    0xff21422a,
    0xff445d4a,
    0xff435546,
    0xff415241,
    0xff424e27,
    0xffa38e4a,
    0xffa69432,
    0xff8e851a,
    0xff919130,
    0xff5b7823,
    0xff556f27,
    0xff5c8433,
    0xff79974d,
    0xff4a6d3a,
    0xff11442a,
    0xff3b6747,
    0xff74824e,
    0xff747c4b,
    0xff4f674a,
    0xff36562c,
    0xff4e7245,
    0xff577f4b,
    0xff5b7e47,
    0xff4d6726,
    0xff6f7d38,
    0xff959754,
    0xff959152,
    0xff919352,
    0xff92943d,
    0xff9a9a36,
    0xff9c9b3e,
    0xffadb05c,
    0xff929a4b,
    0xff89934b,
    0xff5b6126,
    0xff898749,
    0xff9d8e39,
    0xffb2a743,
    0xffa3af4a,
    0xff657c1e,
    0xff6e7a1a,
    0xffa09e34,
    0xff9e9725,
    0xffaaa22f,
    0xffa9a139,
    0xffa19b32,
    0xff979033,
    0xff94861e,
    0xffc0aa2e,
    0xffb6922f,
    0xffd1a754,
    0xffba9f31,
    0xffe4b14f,
    0xffc68c2f,
    0xffbc9a30,
    0xff98890f,
    0xffbead31,
    0xffc1a834,
    0xffbea137,
    0xffd29a28,
    0xffcc7e19,
    0xffd48126,
    0xff9a6008,
    0xffbbaa4f,
    0xff8a963a,
    0xff7f8a2b,
    0xffa1a33c,
    0xffa1aa3e,
    0xff8e8826,
    0xffa6a836,
    0xffacb147,
    0xff7b703a,
    0xff3b3f27,
    0xff517156,
    0xff1a3c22,
    0xff263930,
    0xff486653,
    0xff1f461a,
    0xff657a30,
    0xffbcb351,
    0xffccb550,
    0xff9a882f,
    0xff918e45,
    0xff63752c,
    0xff757821,
    0xffb9b857,
    0xff829030,
    0xff8ea53f,
    0xffa7af39,
    0xffc7c442,
    0xffb5b12f,
    0xff91a721,
    0xff75780d,
    0xff938d17,
    0xff9c9c27,
    0xff877d32,
    0xff87752e,
    0xffaf9d41,
    0xff978a34,
    0xffaa9034,
    0xffa48f2e,
    0xffa79930,
    0xffac9b2f,
    0xffb8a230,
    0xffcaa92f,
    0xffdcb52e,
    0xffdfba28,
    0xffb5a532,
    0xff5c5d23,
    0xff394623,
    0xff4a590e,
    0xffa6af3f,
    0xffacac3b,
    0xff9b871d,
    0xffddb644,
    0xffbd962d,
    0xff9b993d,
    0xff76811f,
    0xff828c28,
    0xff49651a,
    0xff537539,
    0xff667e40,
    0xff516424,
    0xff8d842f,
    0xffb5a248,
    0xff948729,
    0xff9ba748,
    0xff6e8e20,
    0xff7b991e,
    0xffa9bb4b,
    0xff96a346,
    0xff6f700f,
    0xffbea13c,
    0xffaa7d0a,
    0xffd9af2e,
    0xffd0a929,
    0xffbc921d,
    0xff916c01,
    0xffb19b32,
    0xffa4a332,
    0xff9d901f,
    0xffbfa93b,
    0xff998e1f,
    0xff687006,
    0xff798d2b,
    0xff6c7927,
    0xff4c4e01,
    0xff7e8c2a,
    0xff718426,
    0xff657f0e,
    0xff809530,
    0xff889335,
    0xffbac249,
    0xffa9ab2d,
    0xff9c9d28,
    0xff848d38,
    0xff7e9739,
    0xff698a2b,
    0xff59731c,
    0xff777c23,
    0xffa59e36,
    0xff9f9528,
    0xff8b8723,
    0xff647117,
    0xff9f9d30,
    0xffbaa83b,
    0xffb6ab3b,
    0xff869131,
    0xff38500a,
    0xff5e712d,
    0xff343e03,
    0xff567123,
    0xff4f6210,
    0xff586105,
    0xff60620d,
    0xff51560b,
    0xff717a21,
    0xffa0b14f,
    0xff48590b,
    0xff52721d,
    0xff769736,
    0xff7d9a44,
    0xff546d23,
    0xff829c41,
    0xff8ba63c,
    0xff90ac45,
    0xff7c9630,
    0xff60741e,
    0xff3c5019,
    0xff2c4a1c,
    0xff1c3f1e,
    0xff2c561f,
    0xff446f1b,
    0xff587e30,
    0xff56772c,
    0xff476e27,
    0xff496a2a,
    0xff3e5b1f,
    0xff3b5b1a,
    0xff41671c,
    0xff507b2c,
    0xff3e6018,
    0xff5d7737,
    0xff566e2c,
    0xff487224,
    0xff2f6019,
    0xff446b36,
    0xff2e5023,
    0xff355e26,
    0xff486e29,
    0xff537128,
    0xff283d08,
    0xff1e2618,
    0xff1c1f0f,
    0xff1e2603,
    0xff1b290c,
    0xff1b2b1e,
    0xff202d24,
    0xff151d16,
    0xff0f2510,
    0xff2c3d34,
    0xff26301e,
    0xff5b6326,
    0xff939639,
    0xffa1a039,
    0xff8f881f,
    0xffa59e34,
    0xff8e8124,
    0xff8e8423,
    0xff615a00,
    0xff96913a,
    0xff6a691d,
    0xff74762e,
    0xff4d5204,
    0xff898c36,
    0xff6f6826,
    0xff555a18,
    0xff283305,
    0xff707042,
    0xff8d7527,
    0xffc59440,
    0xffc98f3d,
    0xffcc973c,
    0xffcc9434,
    0xffcb8128,
    0xffc27615,
    0xffc2832c,
    0xffbb8034,
    0xffca873e,
    0xffa96b29,
    0xff9b691b,
    0xffa96e1f,
    0xff9b6b1e,
    0xffa6711d,
    0xffa45f0f,
    0xffa77425,
    0xff978a34,
    0xff656109,
    0xff816916,
    0xff7d4d19,
    0xffad7a35,
    0xff846e14,
    0xff698224,
    0xff65873e,
    0xff4d4d1a,
    0xff795a23,
    0xff926c25,
    0xff805c11,
    0xff6f5012,
    0xff846e23,
    0xff7b5f08,
    0xff896411,
    0xff60400e,
    0xff5a4c2a,
    0xff414a1b,
    0xff343c12,
    0xff17220b,
    0xff1f2b19,
    0xff1b2b0f,
    0xff283616,
    0xff0c1a06,
    0xff142418,
    0xff0a1f0f,
    0xff081806,
    0xff56642d,
    0xff7a833a,
    0xff474910,
    0xff100c00,
    0xff22240d,
    0xff0e1705,
    0xff09160e,
    0xff0d1a0f,
    0xff3f3719,
    0xff4b280e,
    0xff73682b,
    0xff1f2e02,
    0xff342f10,
    0xff615309,
    0xff78813a,
    0xff5a792f,
    0xff4e6218,
    0xff6a6624,
    0xff3c3a18,
    0xff293f1b,
    0xff525d47,
    0xff4f503b,
    0xff576b5a,
    0xff3d453e,
    0xff4f5555,
    0xff425735,
    0xff515d34,
    0xff95824d,
    0xff9c7f23,
    0xff745a02,
    0xffbb9c25,
    0xffaa810b,
    0xffc6a121,
    0xffad8f09,
    0xffa18316,
    0xff937504,
    0xffb39518,
    0xffecc856,
    0xffe0bd37,
    0xffcfaf19,
    0xffc5a40d,
    0xff9b7908,
    0xffb2931d,
    0xffe4cd51,
    0xff6e5c1d,
    0xff120b00,
    0xff09140a,
    0xff071400,
    0xff0c160c,
    0xff0f1017,
    0xff120f17,
    0xff14110e,
    0xff171307,
    0xff17130a,
    0xff16110f,
    0xff17140a,
    0xff090500,
    0xff7d7e69,
    0xff929479,
    0xff747965,
    0xff8d958c,
    0xff919b9e,
    0xff929da9,
    0xff829197,
    0xff060b0a,
    0xff1c1614,
    0xff190706,
    0xff2b1900,
    0xffa79838,
    0xffb1a920,
    0xffa29d08,
    0xffaba300,
    0xff9e980c,
    0xffa3a326,
    0xff9c9e28,
    0xff514c00,
    0xff55480e,
    0xff5f520a,
    0xff9d942d,
    0xff6b6606,
    0xff626512,
    0xff3e4c02,
    0xff576717,
    0xff535b18,
    0xff2b2c00,
    0xff434219,
    0xff50531e,
    0xff576719,
    0xff414f09,
    0xff4c5918,
    0xff43511b,
    0xff304112,
    0xff2d4010,
    0xff3f4e1a,
    0xff3b4710,
    0xff353d07,
    0xff384312,
    0xff263008,
    0xff1d2808,
    0xff1f270d,
    0xff232c14,
    0xff242a14,
    0xff1e260e,
    0xff1c2c14,
    0xff1b290a,
    0xff374722,
    0xff2d3d16,
    0xff21320e,
    0xff19290e,
    0xff1a2e11,
    0xff233618,
    0xff122107,
    0xff1d2b12,
    0xff1f2914,
    0xff1a200b,
    0xff212a0d,
    0xff34421b,
    0xff1b2e02,
    0xff273d10,
    0xff213a14,
    0xff243811,
    0xff303a10,
    0xff3e3711,
    0xff49300d,
    0xff764f27,
    0xff75470e,
    0xffa77731,
    0xff985d0c,
    0xff7a4f14,
    0xff704e13,
    0xffa3782c,
    0xffa2762c,
    0xff5f4317,
    0xff231900,
    0xff373304,
    0xff4c3b0c,
    0xff493a0b,
    0xff3a2d01,
    0xff5f481b,
    0xff614012,
    0xff5d3e13,
    0xff8a754a,
    0xff4c451d,
    0xff040c00,
    0xff0b1200,
    0xff241708,
    0xff502519,
    0xff521d16,
    0xff583326,
    0xff45311a,
    0xff7c6c53,
    0xff432b14,
    0xff4c391b,
    0xff281c00,
    0xff2d2d0e,
    0xff282e14,
    0xff373d27,
    0xff3d4128,
    0xff3a381a,
    0xff262510,
    0xff585936,
    0xff292b05,
    0xff424222,
    0xff64643f,
    0xff3c3b05,
    0xff46420b,
    0xff3c3201,
    0xff709c52,
    0xff588734,
    0xff4c772f,
    0xff799272,
    0xff7a7f7f,
    0xff6e676e,
    0xff5d5257,
    0xff494146,
    0xff3d3d3e,
    0xff3c3242,
    0xff3f374a,
    0xff353b41,
    0xff565a64,
    0xff594f63,
    0xff2d2330,
    0xff51544a,
    0xff6b785e,
    0xff788052,
    0xff929c5a,
    0xff849459,
    0xff485d38,
    0xff4c5b43,
    0xff959375,
    0xff685a2f,
    0xff857963,
    0xffebe2e7,
    0xff908da8,
    0xff363c4e,
    0xff404e44,
    0xff434f2e,
    0xff57592e,
    0xff6e6739,
    0xffa49b4a,
    0xff7b7122,
    0xff8f8932,
    0xff5e630b,
    0xff899c56,
    0xff4d682a,
    0xff3f5a1e,
    0xff30461e,
    0xff051a10,
    0xff272e11,
    0xff72542a,
    0xff95532b,
    0xffb26935,
    0xffa7681f,
    0xffc4873d,
    0xffb67437,
    0xffa37136,
    0xffa47d41,
    0xff996738,
    0xff9b593f,
    0xff754d38,
    0xff2e3213,
    0xff433a16,
    0xffa96b4f,
    0xff965c34,
    0xff956131,
    0xff88682e,
    0xff817532,
    0xffa39c49,
    0xff989633,
    0xff6f8124,
    0xff5a8236,
    0xff4d6d36,
    0xff466b43,
    0xff486e31,
    0xff567825,
    0xff678844,
    0xff6d9660,
    0xff345c25,
    0xff314f13,
    0xff576a19,
    0xffa3b456,
    0xffb1bc55,
    0xff8c912c,
    0xffa9ad4f,
    0xffa2a852,
    0xff797e29,
    0xff9fa349,
    0xffaea93a,
    0xff9d9a33,
    0xff847f24,
    0xff958a2a,
    0xffa58f22,
    0xffae9117,
    0xffb09517,
    0xffbaa326,
    0xffaf8f21,
    0xffb8962b,
    0xffb19532,
    0xff907a1e,
    0xffb19739,
    0xffb08d27,
    0xff9b8220,
    0xffa49a45,
    0xff84722d,
    0xff8c7030,
    0xffad944c,
    0xff985f1c,
    0xffbe7b48,
    0xff7d4d25,
    0xff986e41,
    0xffcab56f,
    0xffa7a961,
    0xff858733,
    0xffbbba59,
    0xffaeb04d,
    0xff979b40,
    0xff706c19,
    0xffb89e50,
    0xffaa7e31,
    0xffb17c31,
    0xff9d7e50,
    0xff70502a,
    0xff67643b,
    0xff2e3b2f,
    0xff555b57,
    0xff22300f,
    0xff606538,
    0xff736315,
    0xffa99b37,
    0xffa99c39,
    0xffa49735,
    0xffa9a03c,
    0xff999b36,
    0xff97a63e,
    0xff5e751f,
    0xff7a923d,
    0xff7a8a3c,
    0xff909248,
    0xff928d42,
    0xff929149,
    0xff929a64,
    0xff6a7d5e,
    0xff16311f,
    0xff54623e,
    0xff8b9e5c,
    0xff8ba150,
    0xff91a94f,
    0xff839850,
    0xff415629,
    0xff5b7948,
    0xff5f835a,
    0xff436b54,
    0xff1f4429,
    0xff5b7f5c,
    0xff789f77,
    0xff295131,
    0xff29503d,
    0xff385c4c,
    0xff3e5e47,
    0xff476c43,
    0xff47733f,
    0xff4d6c41,
    0xff71784e,
    0xff747636,
    0xff8b9b5a,
    0xff4d642e,
    0xff6f864b,
    0xff628641,
    0xff55623d,
    0xff565441,
    0xff59674f,
    0xff14392c,
    0xff063237,
    0xff385751,
    0xff4d5c35,
    0xff7d9063,
    0xff1f3d14,
    0xff3e5e3a,
    0xff3e5b3c,
    0xff2c4e40,
    0xff0d383f,
    0xff183e49,
    0xff354e50,
    0xff738679,
    0xff768c6b,
    0xff607746,
    0xff617241,
    0xffadb983,
    0xff5c6b33,
    0xff647c4f,
    0xff45644b,
    0xff133e23,
    0xff2d5132,
    0xff395b33,
    0xff5f8654,
    0xff67995e,
    0xff709859,
    0xff727c3d,
    0xffa89558,
    0xff847e39,
    0xffa5a04b,
    0xffb19a39,
    0xffb1a735,
    0xff959422,
    0xff9f9c36,
    0xff859430,
    0xff63690f,
    0xff505c0a,
    0xff737d27,
    0xff879c58,
    0xff426538,
    0xff738255,
    0xff817634,
    0xff857839,
    0xff78855a,
    0xff7c9458,
    0xff7b914e,
    0xff778b3b,
    0xffa7b558,
    0xffb3b957,
    0xffb9bc59,
    0xff90943b,
    0xff868d3c,
    0xffa6a04b,
    0xffb6ad49,
    0xffafa43d,
    0xffaa9d43,
    0xff9f9541,
    0xff9d973c,
    0xffaba84b,
    0xff96933a,
    0xffa8a241,
    0xffb2b645,
    0xff889518,
    0xff99ad31,
    0xff94a836,
    0xff97ae40,
    0xff9aaf3c,
    0xff9eb037,
    0xffb0c34b,
    0xff838a15,
    0xff8c8a07,
    0xffa59b29,
    0xffb6af3c,
    0xffb0b02c,
    0xffa09726,
    0xff998a1f,
    0xffb6a541,
    0xffc4a035,
    0xffe3b73e,
    0xffdec134,
    0xffddc82b,
    0xffdec221,
    0xffd6b614,
    0xffddc21c,
    0xffe2ae23,
    0xffb9750f,
    0xff9f5700,
    0xffb6861e,
    0xffb3a53b,
    0xff8f9436,
    0xff767b1e,
    0xffa09f30,
    0xff8e8f20,
    0xff978c27,
    0xffa99b2a,
    0xffa69220,
    0xffb39447,
    0xff745926,
    0xff847e47,
    0xff676931,
    0xff9ea868,
    0xff4e641f,
    0xff90ac5e,
    0xff93a750,
    0xff8d8f30,
    0xff7f7515,
    0xff858021,
    0xff83882c,
    0xff636812,
    0xffa9a03c,
    0xffa1962d,
    0xffa9ab47,
    0xff909a32,
    0xffb4b53e,
    0xffa69d1e,
    0xffb9af34,
    0xff949724,
    0xffa08b25,
    0xffb69415,
    0xffbfa222,
    0xff917321,
    0xff95752d,
    0xff9a8021,
    0xffb09b46,
    0xffad9a3f,
    0xffb09e39,
    0xffb9a734,
    0xffa59115,
    0xffc3ac30,
    0xffb7a023,
    0xffc3af32,
    0xffc4b436,
    0xff9b9729,
    0xff424e00,
    0xff758a36,
    0xff849331,
    0xff858d26,
    0xff7b7d1e,
    0xffa99e38,
    0xffc4a834,
    0xffbfad35,
    0xff909022,
    0xffbab23b,
    0xffa79925,
    0xff818b34,
    0xff4f6829,
    0xff606e37,
    0xff57622c,
    0xff676e23,
    0xffbeb556,
    0xffb4a33a,
    0xff7e7813,
    0xffa8b24d,
    0xff97a540,
    0xff899e3e,
    0xff5a751c,
    0xff8f8b26,
    0xffa28719,
    0xffc5a22b,
    0xff99820a,
    0xff9e9024,
    0xff857615,
    0xffafa544,
    0xff898d1f,
    0xffb1a732,
    0xffaa9426,
    0xffb79a36,
    0xffb09a36,
    0xffa09c37,
    0xff96a23b,
    0xff84902d,
    0xff747d1d,
    0xff656d17,
    0xff666a24,
    0xff959c45,
    0xff424900,
    0xff8b913d,
    0xffa0aa39,
    0xff949930,
    0xff8b8932,
    0xff686e10,
    0xff6b802a,
    0xff607e37,
    0xff506924,
    0xff87913b,
    0xff97962e,
    0xff807f18,
    0xff7e8126,
    0xff6a7402,
    0xffbabc3d,
    0xffa9a028,
    0xffa9aa41,
    0xff3d5106,
    0xff54723c,
    0xff274809,
    0xff57722b,
    0xff455200,
    0xff858f3a,
    0xff828b33,
    0xff949e4b,
    0xff5d6928,
    0xff42560f,
    0xff3e5b0a,
    0xff6a8641,
    0xff708835,
    0xff86a141,
    0xff88a052,
    0xff4b6223,
    0xff92a957,
    0xff5e7516,
    0xff596c16,
    0xff61751c,
    0xff748c31,
    0xff50692b,
    0xff264519,
    0xff15371d,
    0xff254e14,
    0xff709e39,
    0xff446a1b,
    0xff3a5823,
    0xff3d5a20,
    0xff365217,
    0xff3e581f,
    0xff325015,
    0xff466d2e,
    0xff1e4300,
    0xff4b6b27,
    0xff415b19,
    0xff445317,
    0xff4c6c31,
    0xff1a4715,
    0xff1f441e,
    0xff2b4823,
    0xff22410c,
    0xff4b611c,
    0xff606b21,
    0xff0f1500,
    0xff6f7331,
    0xff807e37,
    0xff4e4c1f,
    0xff20260d,
    0xff1d2b16,
    0xff1c2c18,
    0xff0e1b16,
    0xff11230e,
    0xff213222,
    0xff112209,
    0xff46562b,
    0xff7f8b4a,
    0xff6f7023,
    0xff90892b,
    0xffaca137,
    0xff635601,
    0xff988b2d,
    0xff9d932a,
    0xffa2942b,
    0xffa18f2a,
    0xffac9537,
    0xffa08526,
    0xffb99f3c,
    0xff95862b,
    0xff8d7723,
    0xff85662c,
    0xff644919,
    0xff72610b,
    0xffa68c31,
    0xffc0883c,
    0xffc3772a,
    0xffb47a29,
    0xffc57e34,
    0xffc27a23,
    0xffce8d40,
    0xffb27530,
    0xffb5712d,
    0xffb26d38,
    0xff98601d,
    0xffc47d32,
    0xffab6618,
    0xffa25d0e,
    0xffb67625,
    0xff8d5912,
    0xff8e6f1b,
    0xff927425,
    0xffac823b,
    0xffa16f32,
    0xff6e5816,
    0xff484a03,
    0xff6f6924,
    0xff736120,
    0xff77601b,
    0xff906c2e,
    0xff673500,
    0xffad8840,
    0xff8b7335,
    0xff594c0e,
    0xff64590f,
    0xff655207,
    0xff674d13,
    0xff46320b,
    0xff251c00,
    0xff121700,
    0xff111b07,
    0xff0e2013,
    0xff0a230d,
    0xff081e03,
    0xff15280f,
    0xff0f200b,
    0xff13240d,
    0xff24341b,
    0xff607040,
    0xff414b0e,
    0xff64693b,
    0xff49492b,
    0xff252911,
    0xff0f1a08,
    0xff04110c,
    0xff08170c,
    0xff141502,
    0xff32200d,
    0xff322a09,
    0xff222205,
    0xff4d3719,
    0xff48360d,
    0xff354f0a,
    0xff26420a,
    0xff303e14,
    0xff59532a,
    0xff525432,
    0xff3b562a,
    0xff52604c,
    0xff525347,
    0xff435446,
    0xff5a6b50,
    0xff32342f,
    0xff343f2d,
    0xff4b533b,
    0xff766a39,
    0xffac9f41,
    0xff93871e,
    0xffc3a935,
    0xffd2b52b,
    0xffbda212,
    0xffb99f16,
    0xff9b7f1d,
    0xffaf9229,
    0xff987e0c,
    0xff674800,
    0xffdbc138,
    0xffaf9506,
    0xffccab2a,
    0xffb49309,
    0xffcdb038,
    0xff5d4c0a,
    0xff88834a,
    0xff0a0e00,
    0xff0c1007,
    0xff101213,
    0xff101013,
    0xff110e0f,
    0xff120f0d,
    0xff16110b,
    0xff16120c,
    0xff17110e,
    0xff15130e,
    0xff101110,
    0xff0c0b12,
    0xff48495b,
    0xff737592,
    0xff666a8a,
    0xff5a617b,
    0xff535d71,
    0xff525d6b,
    0xff4e4a4e,
    0xff0c0a00,
    0xff171304,
    0xff150c04,
    0xff7c7445,
    0xff9a9421,
    0xffb2ac12,
    0xffb9ad19,
    0xffa19613,
    0xff9b9518,
    0xff828205,
    0xff78750c,
    0xff72681b,
    0xff73651b,
    0xff999036,
    0xff70670f,
    0xff826910,
    0xff6a5805,
    0xff5a5707,
    0xff5f631c,
    0xff36380b,
    0xff40442b,
    0xff2e3c18,
    0xff334a10,
    0xff334509,
    0xff4b5c1f,
    0xff43521a,
    0xff3a4615,
    0xff1d2d02,
    0xff364410,
    0xff4a5619,
    0xff4b5411,
    0xff485619,
    0xff53622b,
    0xff404f21,
    0xff2a3917,
    0xff233016,
    0xff14210b,
    0xff1a2511,
    0xff252e1b,
    0xff1a2911,
    0xff1e2d11,
    0xff142401,
    0xff253411,
    0xff182708,
    0xff1a2a0f,
    0xff17290f,
    0xff14270b,
    0xff233317,
    0xff122008,
    0xff0f1b08,
    0xff16200b,
    0xff2f3c1e,
    0xff263611,
    0xff253a10,
    0xff395024,
    0xff435918,
    0xff132700,
    0xff202a1a,
    0xff201800,
    0xff8d6e29,
    0xff956507,
    0xffac741d,
    0xff894f0b,
    0xff753408,
    0xff733c17,
    0xff6a3306,
    0xff814509,
    0xff774109,
    0xff4c2704,
    0xff6e5229,
    0xff775a23,
    0xff523f10,
    0xff544318,
    0xff423107,
    0xff503b10,
    0xff543909,
    0xff503600,
    0xff54410b,
    0xff706633,
    0xff252415,
    0xff0d0b00,
    0xff33240c,
    0xff582e13,
    0xff612e14,
    0xff49210c,
    0xff412715,
    0xff39250e,
    0xff32260d,
    0xff332a0d,
    0xff3b3414,
    0xff353416,
    0xff24260e,
    0xff292711,
    0xff2c2209,
    0xff493b1e,
    0xff595232,
    0xff443f15,
    0xff3f3d08,
    0xff2c3205,
    0xff58614a,
    0xff363a2e,
    0xff2e2c11,
    0xff413609,
    0xff6e8c45,
    0xff6b8d3f,
    0xff4b6a29,
    0xff64775d,
    0xff7a7f82,
    0xff68616b,
    0xff62565c,
    0xff4f4348,
    0xff3e3e40,
    0xff362f3d,
    0xff362f40,
    0xff191d27,
    0xff0f121b,
    0xff403746,
    0xff3f3a42,
    0xff464f46,
    0xff3d4e38,
    0xff5a6339,
    0xff85894f,
    0xff6a7642,
    0xff2b4625,
    0xff142e1b,
    0xff3c432e,
    0xffa79c81,
    0xfff0edf7,
    0xff7f798e,
    0xff3e3746,
    0xff555d54,
    0xff3a523b,
    0xff132b1b,
    0xff35422d,
    0xff575f38,
    0xff516b39,
    0xff4f5920,
    0xff878433,
    0xff8b8932,
    0xff536124,
    0xff506c40,
    0xff375632,
    0xff273e2e,
    0xff22342b,
    0xff57422b,
    0xffa95837,
    0xffbd522b,
    0xffb35e28,
    0xffbd6a2d,
    0xffb5571e,
    0xffbd6d38,
    0xffa25224,
    0xffa35625,
    0xffb46737,
    0xff9b3518,
    0xffa84130,
    0xff7a432a,
    0xff523711,
    0xff804823,
    0xffaf6e32,
    0xffb98144,
    0xff906d2d,
    0xff917b35,
    0xff9f862d,
    0xffb3942e,
    0xffb9af4d,
    0xff4f6012,
    0xff223d05,
    0xff274a2d,
    0xff305628,
    0xff3e5b0f,
    0xff5f742a,
    0xff465d1e,
    0xff627a32,
    0xff92a450,
    0xff9da23d,
    0xff999c2f,
    0xff929020,
    0xffada938,
    0xff9e992c,
    0xff9e9b31,
    0xff9d9e34,
    0xff8d8f21,
    0xff9e941f,
    0xffa9a037,
    0xff948b2b,
    0xffa08f2c,
    0xffa48c1a,
    0xffbb9d1e,
    0xffb09311,
    0xffb9a122,
    0xffbc9e32,
    0xff9f8717,
    0xffb7a83e,
    0xff968828,
    0xff9e8122,
    0xffc3952c,
    0xffa67e12,
    0xff9f8b23,
    0xffa18421,
    0xffd8b353,
    0xffbea23a,
    0xffc3a036,
    0xffae8429,
    0xffb2863a,
    0xffc39446,
    0xffb99a3b,
    0xffb19b35,
    0xffc8b242,
    0xffb7a62e,
    0xffa49925,
    0xffa89e37,
    0xff8c791d,
    0xffbc943e,
    0xffc88f38,
    0xffcc8a31,
    0xffbe832a,
    0xffbe9235,
    0xff95802e,
    0xff695524,
    0xff897551,
    0xff959150,
    0xff978a2a,
    0xffc39f39,
    0xffb9982c,
    0xffb39b29,
    0xffb29c37,
    0xffad9b39,
    0xffa79e2e,
    0xff9f9f3c,
    0xff90973a,
    0xff9aa342,
    0xff7a7c27,
    0xffa49750,
    0xff7c691d,
    0xffa38b39,
    0xff846f20,
    0xffb69f69,
    0xff7c6846,
    0xff9d8955,
    0xff86782a,
    0xffb2a956,
    0xffa9a43c,
    0xffafac49,
    0xff7f8131,
    0xff828e44,
    0xff7b8b55,
    0xff7d7c65,
    0xff4d5438,
    0xff7a8b6a,
    0xff5a6d4b,
    0xff495d35,
    0xff455e2e,
    0xff4c6f41,
    0xff4b7751,
    0xff3d6542,
    0xff2f5b35,
    0xff0f3115,
    0xff576542,
    0xff6d7536,
    0xff6f7d31,
    0xff5f6d2e,
    0xff676f37,
    0xff6e7429,
    0xff9a925a,
    0xff978c57,
    0xff7b793f,
    0xff505d2a,
    0xff334722,
    0xff566731,
    0xff838f3b,
    0xffa5aa50,
    0xff8d9f45,
    0xff90ab4d,
    0xff7a9b3c,
    0xff66904b,
    0xff2b603c,
    0xff124337,
    0xff3a5f57,
    0xff00281f,
    0xff2f5d43,
    0xff3c6a45,
    0xff2f5930,
    0xff6c8d61,
    0xff88a46d,
    0xff78935e,
    0xff748d64,
    0xff748b61,
    0xff6a7d44,
    0xff8b9953,
    0xff82893e,
    0xff78782d,
    0xff8a7a30,
    0xffa88833,
    0xffb78b2f,
    0xffca9e4a,
    0xff9b7a19,
    0xffbb9d2e,
    0xffb6aa2d,
    0xffaaaa2b,
    0xffb8b23a,
    0xff999522,
    0xffa18f26,
    0xffbca846,
    0xffa89932,
    0xff9b9c3e,
    0xff90994b,
    0xffa69a4b,
    0xffaf872c,
    0xffbc9d46,
    0xff6d6a22,
    0xff9f9d46,
    0xff9e9b3e,
    0xffb2b149,
    0xffb3ad3c,
    0xffada42c,
    0xffa39925,
    0xffa4a035,
    0xffb5b44e,
    0xffa28d2a,
    0xffcdb647,
    0xffbfa735,
    0xffc4ac43,
    0xffb19b34,
    0xffc3b03f,
    0xffbfae38,
    0xffc1b240,
    0xffbdb13f,
    0xff8e9f22,
    0xff96b53b,
    0xff9fb340,
    0xff8d9c31,
    0xffaac259,
    0xff6c8923,
    0xff425800,
    0xff5f7415,
    0xff9ea030,
    0xffae9e17,
    0xffa78e19,
    0xff675a00,
    0xff959824,
    0xff9ea339,
    0xff9b9c2e,
    0xff9b9522,
    0xffbeaf30,
    0xffdcc634,
    0xffd1bb21,
    0xffd7b724,
    0xffd3a61e,
    0xffd9aa22,
    0xffd8b11f,
    0xffd8ab15,
    0xffe3ad38,
    0xffa5700d,
    0xff976f07,
    0xff8d7805,
    0xffa39930,
    0xff89831b,
    0xffa8a634,
    0xff717d23,
    0xff6a7127,
    0xff807a1d,
    0xff917e0b,
    0xff9b8412,
    0xffae9526,
    0xffb8a630,
    0xffbbb63d,
    0xff929c2e,
    0xffb3c357,
    0xff95aa46,
    0xff7d8e34,
    0xff848e3b,
    0xff75751d,
    0xff857f1d,
    0xffaea93e,
    0xffac9c37,
    0xffa98f24,
    0xffb59b2d,
    0xffa6972d,
    0xffbbb549,
    0xffb3a633,
    0xffcdb83f,
    0xffa9941d,
    0xff918216,
    0xffb98f22,
    0xffeaaf23,
    0xffc89909,
    0xffa07b1b,
    0xffa07f2e,
    0xffb59e3b,
    0xff8e7b1e,
    0xff8c8528,
    0xff998e24,
    0xffc3b437,
    0xffae9a14,
    0xffb6a522,
    0xffa59e24,
    0xffa3a538,
    0xff8d9932,
    0xff737b17,
    0xff9cb048,
    0xff93ac40,
    0xff9eab40,
    0xff929530,
    0xffa3a746,
    0xff939429,
    0xff9d971f,
    0xffb0b037,
    0xffa19e30,
    0xffa6931e,
    0xffc4aa32,
    0xff8c861e,
    0xff959b40,
    0xff969037,
    0xff584900,
    0xffcbb95b,
    0xffa48b1f,
    0xffc8b540,
    0xff959626,
    0xff96a139,
    0xff747816,
    0xff7c791c,
    0xff726a12,
    0xffb59027,
    0xffb28019,
    0xffba8b26,
    0xffb19430,
    0xff7f7311,
    0xff89811f,
    0xff9f9830,
    0xff7a7707,
    0xffbba22b,
    0xffa88720,
    0xffcaa34c,
    0xff96761f,
    0xffa08e2d,
    0xffa9aa3a,
    0xff95a12e,
    0xffa9bb48,
    0xff848b30,
    0xff555100,
    0xffa1982d,
    0xff6a6200,
    0xff848429,
    0xff828f1c,
    0xff9ea93f,
    0xff5b6005,
    0xff949432,
    0xff697229,
    0xff617740,
    0xff677c41,
    0xff829243,
    0xff949a3d,
    0xff5b6204,
    0xff84922f,
    0xffa0b03e,
    0xff95a536,
    0xff78891f,
    0xff5d6d22,
    0xff374716,
    0xff344212,
    0xff2e3d01,
    0xff889738,
    0xffa6b048,
    0xff7a8533,
    0xff465506,
    0xff455b08,
    0xff3f5613,
    0xff566c28,
    0xff647b2c,
    0xff293f00,
    0xff9eaf56,
    0xff839d46,
    0xff5a7941,
    0xff16380e,
    0xff80a55d,
    0xff486d0d,
    0xff5b7b26,
    0xff658433,
    0xff597b24,
    0xff4f712b,
    0xff3b5d26,
    0xff2c4e2f,
    0xff2c521a,
    0xff6b9936,
    0xff476d25,
    0xff294920,
    0xff344c1c,
    0xff465c28,
    0xff30470f,
    0xff395520,
    0xff274715,
    0xff426231,
    0xff2e4b0f,
    0xff6a823d,
    0xff5b7024,
    0xff30510f,
    0xff23450e,
    0xff1d3002,
    0xff3d4916,
    0xff465218,
    0xff555f23,
    0xff615c27,
    0xff736c33,
    0xffa39d32,
    0xff8f8912,
    0xff554b00,
    0xff282400,
    0xff2c3517,
    0xff16280f,
    0xff293d29,
    0xff233215,
    0xff1e330e,
    0xff1a3512,
    0xff092209,
    0xff041400,
    0xff3d4209,
    0xff988f39,
    0xff8d7e15,
    0xff897923,
    0xff928224,
    0xffab9c32,
    0xffa59326,
    0xff937d14,
    0xff907412,
    0xff9c771f,
    0xffae8a34,
    0xff595500,
    0xff857a29,
    0xffac8e51,
    0xffa98047,
    0xffc19447,
    0xffb8832e,
    0xffba7c2b,
    0xffc5832e,
    0xffb17723,
    0xffc78232,
    0xffbf7a1a,
    0xffae6d15,
    0xffb67523,
    0xffb46c1e,
    0xffa35e20,
    0xffa76921,
    0xffd58d40,
    0xff9e4f06,
    0xffc57d32,
    0xffa9711f,
    0xffaf882b,
    0xff8c6910,
    0xff89611b,
    0xff805017,
    0xff946b31,
    0xff413500,
    0xff5f541f,
    0xff67410f,
    0xff8a571b,
    0xff96722a,
    0xff724f0f,
    0xffb18248,
    0xff846d26,
    0xff6f6427,
    0xff4d491c,
    0xff5d592b,
    0xff71642d,
    0xff6c5a1d,
    0xff705f32,
    0xff362b0f,
    0xff1b210b,
    0xff14220a,
    0xff364c34,
    0xff132d17,
    0xff182f13,
    0xff2c4019,
    0xff475830,
    0xff213110,
    0xff203111,
    0xff2d3d14,
    0xff2d380f,
    0xff2a2f10,
    0xff464931,
    0xff232b12,
    0xff121f0f,
    0xff091611,
    0xff0a0b00,
    0xff5a5b3a,
    0xff312b0a,
    0xff3f3509,
    0xff5c4506,
    0xff855623,
    0xff846239,
    0xff435511,
    0xff5f782a,
    0xff394812,
    0xff3b3e1b,
    0xff4f554a,
    0xff49613e,
    0xff475836,
    0xff696f49,
    0xff475539,
    0xff354a2d,
    0xff494c3b,
    0xff53543f,
    0xff373824,
    0xff847c57,
    0xff5a5412,
    0xff756c1a,
    0xff977d19,
    0xff836601,
    0xffb69f13,
    0xff978201,
    0xffb89c37,
    0xff937e04,
    0xff9c880c,
    0xffab9330,
    0xffa3901b,
    0xffba9e2d,
    0xff714c00,
    0xffcbaa21,
    0xff8e7510,
    0xff291c04,
    0xff080a00,
    0xff0f1004,
    0xff18101b,
    0xff170c1e,
    0xff160d14,
    0xff171109,
    0xff171206,
    0xff1a130d,
    0xff1a110f,
    0xff171110,
    0xff15100e,
    0xff180b18,
    0xff1d1118,
    0xff0c0200,
    0xff0b0500,
    0xff0d0800,
    0xff0c0709,
    0xff0d0614,
    0xff100b1c,
    0xff0e0f0f,
    0xff19190e,
    0xff1a140e,
    0xff170f11,
    0xff191306,
    0xff404007,
    0xff9f9f35,
    0xff908d17,
    0xff878113,
    0xff716e03,
    0xff8f8d14,
    0xff5e5700,
    0xff5a4902,
    0xff897c2d,
    0xff6b630b,
    0xff4d4901,
    0xff685817,
    0xff534805,
    0xff56530b,
    0xff575916,
    0xff242406,
    0xff17190b,
    0xff2c391d,
    0xff2f470b,
    0xff4e6519,
    0xff354c03,
    0xff3c4e12,
    0xff1f3000,
    0xff2a360e,
    0xff313a12,
    0xff484e1f,
    0xff333901,
    0xff3d5214,
    0xff2e430a,
    0xff384f1f,
    0xff1f330e,
    0xff132308,
    0xff2a3723,
    0xff111e0d,
    0xff172613,
    0xff15240c,
    0xff18260b,
    0xff1a280c,
    0xff1b290e,
    0xff13210a,
    0xff15240f,
    0xff11230b,
    0xff223519,
    0xff132308,
    0xff18250c,
    0xff192613,
    0xff14220a,
    0xff253415,
    0xff112600,
    0xff102800,
    0xff263f15,
    0xff323a08,
    0xff233013,
    0xff192519,
    0xff27240e,
    0xff462b00,
    0xff7e540f,
    0xffa0722c,
    0xff7a5117,
    0xff6d3618,
    0xff6a310d,
    0xff804517,
    0xff75360e,
    0xff693417,
    0xff4d260e,
    0xff926949,
    0xff713c14,
    0xff4a3308,
    0xff3c2603,
    0xff3c2606,
    0xff4b3813,
    0xff443605,
    0xff4a3b04,
    0xff706226,
    0xff66561f,
    0xff5b5547,
    0xff000000,
    0xff372f1b,
    0xff5d441b,
    0xff53320c,
    0xff442c18,
    0xff4e3e33,
    0xff342513,
    0xff25240c,
    0xff1c1a00,
    0xff383618,
    0xff332f12,
    0xff1c1a02,
    0xff2c1f07,
    0xff513920,
    0xff4b2c0e,
    0xff362509,
    0xff4e4225,
    0xff635d38,
    0xff595d37,
    0xff263221,
    0xff5b6269,
    0xff010000,
    0xff383116,
    0xff918539,
    0xff8c8939,
    0xff828044,
    0xff87836f,
    0xff7a727f,
    0xff685e74,
    0xff554d5d,
    0xff483e4e,
    0xff3e3c42,
    0xff352d39,
    0xff393544,
    0xff3d414c,
    0xff292a31,
    0xff372f35,
    0xff454444,
    0xff3c4d44,
    0xff23402f,
    0xff142c16,
    0xff788b72,
    0xff1d331b,
    0xff082813,
    0xff001711,
    0xff859294,
    0xffedebf6,
    0xff767591,
    0xff47484c,
    0xff5d6748,
    0xff374b23,
    0xff405b47,
    0xff05201c,
    0xff2f4834,
    0xff5a7344,
    0xff204123,
    0xff3a3f15,
    0xffa79648,
    0xffb4a34b,
    0xff878a4b,
    0xff40552d,
    0xff264023,
    0xff122217,
    0xff555141,
    0xff64321e,
    0xff8f3514,
    0xffb7622a,
    0xffa15e11,
    0xffb76920,
    0xffb65821,
    0xffb25f34,
    0xff8e4817,
    0xffab6b31,
    0xffa56c2a,
    0xff9c4e18,
    0xff912503,
    0xffb85839,
    0xff70390f,
    0xff84642e,
    0xffb78c40,
    0xffa77b28,
    0xffa27f2d,
    0xffa2832f,
    0xffbc9635,
    0xffc39025,
    0xffbe8f29,
    0xffc1a54b,
    0xff707924,
    0xff1f3d10,
    0xff184211,
    0xff778e3a,
    0xff908a2f,
    0xff978a36,
    0xff726d15,
    0xff999b3e,
    0xffa48b26,
    0xffa08d28,
    0xff918b2b,
    0xffa1a644,
    0xff8f9834,
    0xff717b11,
    0xffa6af3e,
    0xff858d1a,
    0xff7c7a1d,
    0xff9d902f,
    0xffb09e34,
    0xff877504,
    0xffb1a330,
    0xffb2a42f,
    0xffa6911e,
    0xffab8f1d,
    0xffa2861c,
    0xff968412,
    0xff938c1a,
    0xff79700c,
    0xff967218,
    0xffb97d1d,
    0xffc38f27,
    0xff9a7b11,
    0xffb8a237,
    0xffa28d1f,
    0xffb6a233,
    0xffb89d30,
    0xffc8a646,
    0xff9b8026,
    0xffad9139,
    0xff987d20,
    0xffa88423,
    0xffcaa83d,
    0xffb29927,
    0xff9d8d1a,
    0xffb5a33f,
    0xffab9135,
    0xffc6993e,
    0xffcc9130,
    0xffd09a3b,
    0xffbf8510,
    0xffd6a02a,
    0xffcda236,
    0xffbf852f,
    0xffac7b37,
    0xff917b2c,
    0xffa48c20,
    0xffbf9c33,
    0xffb79632,
    0xffa18819,
    0xff9e8325,
    0xff9f8220,
    0xffb59a1f,
    0xffab8e20,
    0xffc5a73c,
    0xffceb23f,
    0xffb59432,
    0xffad852a,
    0xffb58a23,
    0xffcd9c36,
    0xffc6923b,
    0xffa56c21,
    0xffc1893d,
    0xffa3722a,
    0xffb38733,
    0xffbc913c,
    0xffc7a438,
    0xffcbac33,
    0xffc2a53f,
    0xffa39034,
    0xff8a793b,
    0xff8f6b40,
    0xff786330,
    0xff706a33,
    0xff45400a,
    0xffb0a663,
    0xff97953f,
    0xff8fa053,
    0xff52723c,
    0xff22401c,
    0xff224220,
    0xff253e24,
    0xff475530,
    0xff777e34,
    0xff9c9f39,
    0xffb4b152,
    0xff92883a,
    0xffb4a142,
    0xff938536,
    0xff80792b,
    0xff737114,
    0xffc0bd59,
    0xffb4b453,
    0xffadbb4e,
    0xff99b435,
    0xff99a53c,
    0xff94aa4f,
    0xff8baa4f,
    0xff739738,
    0xff719f45,
    0xff2e672b,
    0xff30634a,
    0xff12362e,
    0xff163d25,
    0xff44724b,
    0xff417243,
    0xff18471d,
    0xff2e572a,
    0xff5f7d46,
    0xff5b7036,
    0xff444e1d,
    0xff968948,
    0xff94823a,
    0xff9e883a,
    0xffa98738,
    0xffba8f44,
    0xffc48f45,
    0xffb98134,
    0xffc18436,
    0xffa8632a,
    0xffb67c33,
    0xffa97d17,
    0xffc5ae30,
    0xffaea019,
    0xffb1a01e,
    0xffb29d20,
    0xffb99d26,
    0xffa27f09,
    0xffaa880f,
    0xffb69f26,
    0xffa99a28,
    0xffb69724,
    0xffe5b238,
    0xffb88c17,
    0xffb59e36,
    0xffc1a43b,
    0xffb5a137,
    0xffc3b64e,
    0xffa69d32,
    0xffaca232,
    0xffab9c2b,
    0xffbba735,
    0xffb49e32,
    0xffc4a746,
    0xffbca431,
    0xffbaa321,
    0xffc3aa2c,
    0xffcdb430,
    0xffcfb62d,
    0xffc2ac26,
    0xffb7a229,
    0xffbfb038,
    0xff8c9517,
    0xff789222,
    0xff879c46,
    0xff74822e,
    0xff485500,
    0xff798022,
    0xff7e7a30,
    0xff7f7419,
    0xffb9a331,
    0xffd5b727,
    0xffd5af30,
    0xffc2a630,
    0xffb2a42b,
    0xffa09a2b,
    0xffa5a333,
    0xffafa531,
    0xffa7a222,
    0xffa4a115,
    0xffafa513,
    0xffa38802,
    0xffe0b42e,
    0xffe9b930,
    0xffcc9f11,
    0xffddb01f,
    0xffd0a720,
    0xffc9a02a,
    0xff8b6400,
    0xffb5961e,
    0xffb49f17,
    0xffbfae29,
    0xffaba023,
    0xff999e1f,
    0xff5d6700,
    0xffada33a,
    0xffc2a72e,
    0xffc7b039,
    0xff99790b,
    0xffd1ac44,
    0xffb8a543,
    0xff8b972a,
    0xff6a780c,
    0xff788621,
    0xff717e2d,
    0xff78803a,
    0xff6c6920,
    0xffa49234,
    0xffc0a432,
    0xffc4aa3a,
    0xffc0a132,
    0xffc8a93b,
    0xffa99126,
    0xffb39b2f,
    0xffb59c2a,
    0xffc8a831,
    0xffc29f26,
    0xffb59f1c,
    0xffdda92a,
    0xffdc9f0c,
    0xffcfa611,
    0xffa08918,
    0xffad9c3b,
    0xffa28f2a,
    0xffa89438,
    0xff726d13,
    0xff79720b,
    0xffa69c24,
    0xffb6ad2a,
    0xff9c991b,
    0xffa2a939,
    0xff6a7a19,
    0xff738630,
    0xff7e8f2a,
    0xff6c832d,
    0xff758b36,
    0xff8d952e,
    0xff9da32f,
    0xff95a32f,
    0xff899a2b,
    0xff99a634,
    0xff919820,
    0xffb3b54b,
    0xff968d2a,
    0xffa2922a,
    0xff7e7204,
    0xff92820a,
    0xffcdb031,
    0xfff1c84d,
    0xfff0bb2f,
    0xffdca929,
    0xffba9d29,
    0xff8f9220,
    0xffa0aa38,
    0xffb3a836,
    0xffc7a039,
    0xffbc8727,
    0xffdfa534,
    0xffc88c28,
    0xffc48e36,
    0xffa88827,
    0xff92840f,
    0xffaea224,
    0xffbaa72c,
    0xffbfa432,
    0xffc59d2d,
    0xffa88020,
    0xffc49f4b,
    0xff967321,
    0xff856e10,
    0xff9f9a2c,
    0xff869322,
    0xff85a031,
    0xff6f7f1f,
    0xffb3b547,
    0xffc6bd2a,
    0xffcfc240,
    0xff8a8620,
    0xff6a7509,
    0xff899726,
    0xff8a9528,
    0xff95953d,
    0xff727936,
    0xff75864b,
    0xff788948,
    0xff4b570c,
    0xff343900,
    0xffb4bc59,
    0xff9eae34,
    0xff849513,
    0xff7c9123,
    0xff779428,
    0xff40590b,
    0xff6e7b37,
    0xff7c832c,
    0xff7f8021,
    0xff9ca227,
    0xff728312,
    0xff607322,
    0xff5a7625,
    0xff536f13,
    0xff5e701b,
    0xff6b721f,
    0xff8a8621,
    0xffc8bf53,
    0xff79781e,
    0xff4e5e03,
    0xff3c5a18,
    0xff1b4212,
    0xff1d4a06,
    0xff426d1f,
    0xff3d6622,
    0xff30551a,
    0xff2d5315,
    0xff51763e,
    0xff6f9354,
    0xff244518,
    0xff3f612d,
    0xff4d7227,
    0xff365a1d,
    0xff1d400b,
    0xff344e20,
    0xff496430,
    0xff4b662d,
    0xff435f2e,
    0xff213c16,
    0xff1c320c,
    0xff3f541b,
    0xff3a4c00,
    0xff597224,
    0xff4f6c2b,
    0xff405011,
    0xff4d4810,
    0xffa69c42,
    0xff6b6a16,
    0xff4e550c,
    0xff575b1d,
    0xff463e00,
    0xffaca73d,
    0xff9d9423,
    0xffb0a747,
    0xff938e47,
    0xff2e330b,
    0xff0e1c03,
    0xff425b26,
    0xff344d17,
    0xff667f3e,
    0xff3f5a27,
    0xff43563a,
    0xff475227,
    0xffa4a359,
    0xff73670f,
    0xffb9a337,
    0xff877415,
    0xff9f902f,
    0xff6a5e00,
    0xff887f22,
    0xff776f1d,
    0xff6d651a,
    0xff706525,
    0xff76682b,
    0xff7e702b,
    0xff877c31,
    0xff8c7935,
    0xffb18947,
    0xffc58139,
    0xffc87a29,
    0xffc37c23,
    0xffcd8f2a,
    0xffd7953c,
    0xffc27f28,
    0xffae6b04,
    0xffcd8b2a,
    0xffbf7a20,
    0xffc17921,
    0xffa15d19,
    0xff90510a,
    0xffb0701d,
    0xffa26114,
    0xff90510b,
    0xff9f6c1a,
    0xffb39435,
    0xff7c6e0f,
    0xff5b4a05,
    0xff806638,
    0xff705a29,
    0xff6f4816,
    0xff905d29,
    0xff9a6b38,
    0xff967841,
    0xff705c23,
    0xff99833f,
    0xff81671d,
    0xff555310,
    0xff1d1d00,
    0xff3d3a1a,
    0xff3d3519,
    0xff534320,
    0xff584a24,
    0xff525123,
    0xff323d0e,
    0xff28331b,
    0xff152400,
    0xff152600,
    0xff131f00,
    0xff262f07,
    0xff697440,
    0xff263201,
    0xff0c1a00,
    0xff1d3204,
    0xff273713,
    0xff1b250b,
    0xff161b06,
    0xff2c3218,
    0xff162105,
    0xff15220e,
    0xff0c1910,
    0xff0a0b00,
    0xff2b300e,
    0xff2d3112,
    0xff707137,
    0xffac9a4b,
    0xff794d07,
    0xff664800,
    0xff3a3d00,
    0xff3d470f,
    0xff5b641a,
    0xff475105,
    0xff31391b,
    0xff3a482e,
    0xff485630,
    0xff393f0e,
    0xff58593d,
    0xff2d3524,
    0xff403c29,
    0xff545134,
    0xff737345,
    0xff9c9141,
    0xffbbb146,
    0xffc8c047,
    0xffc4ac26,
    0xffb69b1c,
    0xff9a7f0e,
    0xff9b7e0c,
    0xff9e8303,
    0xffb9a30e,
    0xffad9230,
    0xff452700,
    0xffa79223,
    0xffaa8a21,
    0xff7e5b00,
    0xffccb33d,
    0xff826e1c,
    0xff3e3200,
    0xff7c753c,
    0xff180904,
    0xff190602,
    0xff170609,
    0xff180b08,
    0xff190e09,
    0xff160d07,
    0xff19110d,
    0xff16120f,
    0xff15100d,
    0xff14100c,
    0xff14100f,
    0xff15130e,
    0xff17140b,
    0xff161408,
    0xff141405,
    0xff131207,
    0xff13120c,
    0xff171410,
    0xff1b1105,
    0xff1c0e09,
    0xff1e0d0c,
    0xff1b0e09,
    0xff1a110d,
    0xff0d0500,
    0xff5b5227,
    0xff564c04,
    0xff7e7c0b,
    0xff808006,
    0xff9f992c,
    0xff534500,
    0xff6e5d0e,
    0xff8a792f,
    0xff4f4700,
    0xff656613,
    0xff7d861e,
    0xff687209,
    0xff7f8920,
    0xff616713,
    0xff4f521b,
    0xff111303,
    0xff414a2d,
    0xff314310,
    0xff546815,
    0xff405808,
    0xff2a4100,
    0xff3d4f1e,
    0xff283512,
    0xff2a3415,
    0xff2c3510,
    0xff313c11,
    0xff2e440f,
    0xff1f3b0a,
    0xff102c00,
    0xff1d3610,
    0xff202f12,
    0xff2b3820,
    0xff1e2e16,
    0xff172c14,
    0xff23331c,
    0xff142109,
    0xff19270f,
    0xff182612,
    0xff152211,
    0xff162413,
    0xff22341e,
    0xff25371d,
    0xff17270c,
    0xff25351d,
    0xff1a2613,
    0xff13230b,
    0xff2b3c1f,
    0xff213612,
    0xff1a320e,
    0xff1f3714,
    0xff2f2d10,
    0xff151800,
    0xff3e4324,
    0xff2f3019,
    0xff261d0c,
    0xff3b2b19,
    0xff4a3b19,
    0xff41350d,
    0xff452305,
    0xff694217,
    0xff663b0d,
    0xff512706,
    0xff381400,
    0xff523114,
    0xff3e1700,
    0xff5b2d0b,
    0xff482802,
    0xff422506,
    0xff361a04,
    0xff2a1800,
    0xff4e4618,
    0xff4d4810,
    0xff544911,
    0xff5c4b1b,
    0xff232215,
    0xff303834,
    0xff070d01,
    0xff36330d,
    0xff322902,
    0xff272417,
    0xff1b1a15,
    0xff282714,
    0xff21260b,
    0xff303316,
    0xff2d2c0e,
    0xff312e0e,
    0xff393212,
    0xff4d3d1e,
    0xff4d3211,
    0xff4b2705,
    0xff332205,
    0xff382a13,
    0xff302712,
    0xff342e09,
    0xff615c2e,
    0xff67603d,
    0xff4a482f,
    0xff111200,
    0xff8b7630,
    0xff99863d,
    0xff8b7b44,
    0xffa59487,
    0xff77697d,
    0xff605973,
    0xff4d495c,
    0xff474255,
    0xff3c3b41,
    0xff38323d,
    0xff474452,
    0xff565866,
    0xff403c42,
    0xff372c29,
    0xff42423a,
    0xff374e3f,
    0xff102c27,
    0xff06271d,
    0xff244638,
    0xff031e17,
    0xff021317,
    0xff949cac,
    0xffe9edff,
    0xff696d88,
    0xff3c3d48,
    0xff576555,
    0xff4d6645,
    0xff143018,
    0xff0d2219,
    0xff001207,
    0xff2f4833,
    0xff48674d,
    0xff0b2316,
    0xff1c200a,
    0xff665d28,
    0xff7b7a3e,
    0xff485a37,
    0xff092813,
    0xff36543e,
    0xff122017,
    0xff452b16,
    0xffa9624a,
    0xff9a4f1e,
    0xffa16e18,
    0xffa46c13,
    0xffcd7e3a,
    0xffa95c24,
    0xff93531d,
    0xff87591c,
    0xffa07832,
    0xff9c6c1d,
    0xffc78c44,
    0xff945819,
    0xff9a5f25,
    0xffaa763a,
    0xff987b34,
    0xffa0782b,
    0xffb47f26,
    0xffc6912e,
    0xffc69c39,
    0xffc29e36,
    0xffae8616,
    0xffb9901d,
    0xffb99727,
    0xff9f932d,
    0xff3d4703,
    0xff778c39,
    0xffa8b13d,
    0xffb7a734,
    0xffbaa43f,
    0xff837619,
    0xff847823,
    0xffa58429,
    0xff9c882a,
    0xff999532,
    0xff99a032,
    0xff969f27,
    0xffa1a731,
    0xff888d1d,
    0xff9ca23c,
    0xff72721d,
    0xff8d872a,
    0xffa49733,
    0xff978b25,
    0xff726a04,
    0xff6e6604,
    0xff968b2b,
    0xffa49133,
    0xffb29b35,
    0xff9c8b17,
    0xff8a810c,
    0xffab9d3b,
    0xffb3893a,
    0xffb27020,
    0xffa76b12,
    0xffd2a74a,
    0xff9d7017,
    0xff947b15,
    0xffa9922a,
    0xffa98528,
    0xffb48f38,
    0xffb19742,
    0xff9b7e2f,
    0xffa06928,
    0xffa27a2d,
    0xff9f7f23,
    0xffa49024,
    0xffb6a83b,
    0xff94851d,
    0xff9a7d1b,
    0xffc3992f,
    0xffcd9b2b,
    0xffad8225,
    0xffc89224,
    0xffbc9027,
    0xffb48029,
    0xffd68e3c,
    0xffad6e25,
    0xffb08040,
    0xffc69747,
    0xffc49b42,
    0xffa17e2b,
    0xffa5862c,
    0xff8e6d22,
    0xffa68028,
    0xffcba32b,
    0xffc8982e,
    0xffc49327,
    0xffcd9f21,
    0xffbc8f1d,
    0xffc4982d,
    0xffc19729,
    0xffb68d1b,
    0xffc89a32,
    0xffc39233,
    0xffc19036,
    0xff9d6828,
    0xffa87533,
    0xffa5713a,
    0xffa97826,
    0xffb98c25,
    0xffbe9339,
    0xffc49f50,
    0xff9e7b4b,
    0xffae8049,
    0xffb39943,
    0xffb0a63b,
    0xffbbae46,
    0xffa99133,
    0xff937f28,
    0xff898b48,
    0xff485d31,
    0xff1e3719,
    0xff192f18,
    0xff152a12,
    0xff344421,
    0xff596017,
    0xffbbb947,
    0xffa59c27,
    0xffaca13f,
    0xffaca530,
    0xffb7a941,
    0xff988327,
    0xffc1b450,
    0xffa3a43e,
    0xff9aa749,
    0xff7f8d35,
    0xff8c9a41,
    0xff788c33,
    0xff658136,
    0xff62813a,
    0xff759242,
    0xff5a7b2b,
    0xff456b2c,
    0xff557145,
    0xff424b28,
    0xffa1995b,
    0xff969446,
    0xff979f4e,
    0xff717a39,
    0xff6b7137,
    0xff7d763b,
    0xff6f5b21,
    0xffc9a672,
    0xff895908,
    0xffab732b,
    0xffad7330,
    0xff916616,
    0xff8b7211,
    0xff9a831f,
    0xffab7e2b,
    0xffa46023,
    0xff995722,
    0xff9a5c19,
    0xff9e6d0e,
    0xffd0a432,
    0xffc9a426,
    0xffbb9d1a,
    0xffdec33e,
    0xffb6a118,
    0xffe1c53d,
    0xffcfad23,
    0xffdfb62f,
    0xffc4a219,
    0xffdbb92a,
    0xffd9b01e,
    0xffd2a71c,
    0xffd9b336,
    0xffc4aa33,
    0xffb6a331,
    0xffb2a637,
    0xffc3b94b,
    0xffbcaf3f,
    0xffd0ba4b,
    0xffa68c1f,
    0xffa98d21,
    0xffbba239,
    0xffbca82f,
    0xffb9aa25,
    0xffa2900c,
    0xffc4ae29,
    0xffc4af20,
    0xffbdac20,
    0xffaa9d1c,
    0xffa69a12,
    0xffc3bb2d,
    0xff979c26,
    0xff879746,
    0xff455300,
    0xff928e12,
    0xffc2a62b,
    0xffa67b20,
    0xffb88b2c,
    0xffa0760b,
    0xffc2a21e,
    0xffc7a329,
    0xffc09a23,
    0xffd4b636,
    0xff948316,
    0xff7a7111,
    0xffb9a839,
    0xff948d1f,
    0xffa3a43a,
    0xff989424,
    0xffb6a52d,
    0xffae910f,
    0xffb7900b,
    0xffba8e09,
    0xffcba017,
    0xffb89309,
    0xffb38e0a,
    0xffba9318,
    0xffd1aa26,
    0xffd3b118,
    0xffcaaf17,
    0xffc8b225,
    0xffc7b637,
    0xff8b831a,
    0xffb49f33,
    0xffceaf2d,
    0xffc9b12b,
    0xffcbaf2a,
    0xffcba92d,
    0xffb8aa33,
    0xffacaa42,
    0xff6f6f05,
    0xffa3a43d,
    0xff878f37,
    0xff5c6519,
    0xff7e7b2f,
    0xffb0993e,
    0xffba9626,
    0xffb59a27,
    0xffb1972c,
    0xffc1a43d,
    0xffbf9d34,
    0xffc4a136,
    0xffc7a431,
    0xffc39921,
    0xffcd9c1d,
    0xffd9b112,
    0xffeaaf1e,
    0xffda9f14,
    0xffcaa922,
    0xffab9e2c,
    0xffa2962e,
    0xffa68c2c,
    0xff9b7924,
    0xff82741e,
    0xffb6aa4c,
    0xff887f15,
    0xffb2b244,
    0xff8d972c,
    0xff5d700c,
    0xff86953e,
    0xff6a7624,
    0xff8aa03b,
    0xff617a37,
    0xff57692f,
    0xff889231,
    0xffc1c952,
    0xff71831b,
    0xff4c650c,
    0xff849b39,
    0xff9eb13c,
    0xff717a14,
    0xff868c37,
    0xff9a993e,
    0xffcab33c,
    0xffd7b128,
    0xffdcb029,
    0xffd1a426,
    0xffd9ad15,
    0xffe5b62f,
    0xffc9a531,
    0xffb7a735,
    0xffaa9f2d,
    0xffba9d2f,
    0xffa5790f,
    0xffad8216,
    0xff947100,
    0xffba9b2d,
    0xff9a861a,
    0xff9a911d,
    0xff9ea123,
    0xff9d9e1e,
    0xffb5a431,
    0xffad8924,
    0xffbe9733,
    0xffaf882c,
    0xff9f7c27,
    0xffa4862f,
    0xff9a8a2b,
    0xff82841f,
    0xff7b8e2e,
    0xff68882d,
    0xff688229,
    0xff747e17,
    0xffb7b425,
    0xffb6a92c,
    0xff877c21,
    0xff949434,
    0xff5b6406,
    0xff778024,
    0xff7e8333,
    0xff5e6829,
    0xff6f7a40,
    0xff7d893e,
    0xff9ca24b,
    0xff7b7f21,
    0xff9fa439,
    0xff7f8c08,
    0xffa5ad32,
    0xff8ea03d,
    0xff547216,
    0xff486618,
    0xff607822,
    0xff6e8318,
    0xff7a8b2c,
    0xff93a73b,
    0xff869822,
    0xff6c8327,
    0xff4b650c,
    0xff849e31,
    0xff6d740f,
    0xffa6992d,
    0xffb59c20,
    0xffbe9e1b,
    0xffaa8e19,
    0xffb3aa39,
    0xff616d24,
    0xff0a1d00,
    0xff2d452b,
    0xff2a431c,
    0xff45642e,
    0xff4f762e,
    0xff375d2b,
    0xff2f5132,
    0xff1c3e10,
    0xff254511,
    0xff4f6f35,
    0xff304f15,
    0xff3a5927,
    0xff4b6d2b,
    0xff33511f,
    0xff2f4f19,
    0xff1e4208,
    0xff3b572a,
    0xff3c4f2e,
    0xff525d37,
    0xff4f5417,
    0xff6a701e,
    0xff506200,
    0xff5d711c,
    0xff6f772a,
    0xffab9e47,
    0xff8d7d21,
    0xff5b570d,
    0xff515821,
    0xff2a2f06,
    0xff636120,
    0xff5f5d0f,
    0xff615c0c,
    0xff777019,
    0xff69660e,
    0xff292900,
    0xff2b3405,
    0xff8ca557,
    0xff87a954,
    0xff84a244,
    0xff586b27,
    0xff454c23,
    0xff505008,
    0xff857b13,
    0xff9a881f,
    0xff937a0f,
    0xff8f8118,
    0xffaa9d3d,
    0xff9d9543,
    0xff5a5915,
    0xff5f6126,
    0xff1d2200,
    0xff292f00,
    0xff35380a,
    0xff917a45,
    0xff654d18,
    0xff988246,
    0xff9b8944,
    0xff634e0b,
    0xffa58339,
    0xffbb8234,
    0xffcb8134,
    0xffa55a0e,
    0xffcf893e,
    0xffbc7b20,
    0xffd7923e,
    0xffc27828,
    0xffc57f30,
    0xffb57238,
    0xffa6682b,
    0xffbc7e2b,
    0xff9d6819,
    0xffaa7128,
    0xffb87b35,
    0xffac8633,
    0xff71731e,
    0xff576626,
    0xff41401b,
    0xff443e16,
    0xff845a2b,
    0xff8b511a,
    0xff6c4f15,
    0xff575929,
    0xff6c6c41,
    0xff665b25,
    0xff847931,
    0xff64662c,
    0xff5f613c,
    0xff131500,
    0xff252608,
    0xff605d42,
    0xff2b2a19,
    0xff303d18,
    0xff86a05b,
    0xff3b4c27,
    0xff394710,
    0xff707734,
    0xff7b783e,
    0xff433705,
    0xff6e6a31,
    0xff4c5424,
    0xff2c3c1a,
    0xff465927,
    0xff3b4b27,
    0xff1f2814,
    0xff202810,
    0xff36401f,
    0xff182302,
    0xff1e2b12,
    0xff35452d,
    0xff39511d,
    0xff3b4d2a,
    0xff2e4029,
    0xff192b08,
    0xff181a00,
    0xff2f2000,
    0xff877731,
    0xff6a5d27,
    0xff0f0100,
    0xff444004,
    0xff8e9433,
    0xff181b00,
    0xff3d3b24,
    0xff54523d,
    0xff858347,
    0xff847833,
    0xff584d17,
    0xff5c5027,
    0xff241d0c,
    0xff7e7750,
    0xff897015,
    0xffb49616,
    0xff9d8407,
    0xffcaa82d,
    0xffc3a42d,
    0xffc2a422,
    0xffb08c21,
    0xffbd9a2a,
    0xffbfa216,
    0xffb59623,
    0xffad921d,
    0xffc1ab1d,
    0xffcdab29,
    0xff9f852c,
    0xff70600c,
    0xff68571e,
    0xffc1ae48,
    0xffa28b1e,
    0xff50310b,
    0xffaa974e,
    0xff261600,
    0xff180b00,
    0xff1c1112,
    0xff140b0f,
    0xff17110f,
    0xff15100b,
    0xff130e0b,
    0xff130e0b,
    0xff150f09,
    0xff17110e,
    0xff170f14,
    0xff160f16,
    0xff181117,
    0xff181012,
    0xff17120c,
    0xff191507,
    0xff1c1315,
    0xff1b0a16,
    0xff230e13,
    0xff1c0e03,
    0xff0f0b00,
    0xff0e0d03,
    0xff0f0600,
    0xff180a00,
    0xffadad3d,
    0xff898b06,
    0xff8a841d,
    0xff867728,
    0xff7f6e12,
    0xff4d4100,
    0xff6a6717,
    0xff474e00,
    0xff68660a,
    0xff675c12,
    0xff3e3001,
    0xff564719,
    0xff33290a,
    0xff151100,
    0xff131400,
    0xff4e5420,
    0xff495310,
    0xff3f4c0b,
    0xff556a2f,
    0xff495c2b,
    0xff283811,
    0xff263410,
    0xff263a0e,
    0xff233b09,
    0xff20360c,
    0xff132e08,
    0xff18330c,
    0xff243a16,
    0xff374225,
    0xff373d24,
    0xff172509,
    0xff1b3114,
    0xff13250d,
    0xff16230d,
    0xff112008,
    0xff15220f,
    0xff152213,
    0xff0b190a,
    0xff132511,
    0xff1b2e15,
    0xff233219,
    0xff13220d,
    0xff172714,
    0xff101f0a,
    0xff2f3e25,
    0xff344729,
    0xff061b00,
    0xff283f20,
    0xff3c4619,
    0xff565427,
    0xff332601,
    0xff413719,
    0xff242510,
    0xff181e09,
    0xff49482b,
    0xff362909,
    0xff52341d,
    0xff3e2200,
    0xff553714,
    0xff3f230b,
    0xff3c1e01,
    0xff75561e,
    0xff775719,
    0xff896a39,
    0xff7a552d,
    0xff5b391f,
    0xff472e1f,
    0xff3b2c16,
    0xff3e3914,
    0xff4a4316,
    0xff57491f,
    0xff332101,
    0xff2f2806,
    0xff4d5144,
    0xff0e150c,
    0xff353719,
    0xff2f2e0c,
    0xff191f0d,
    0xff1f2817,
    0xff1f2503,
    0xff262b0b,
    0xff272909,
    0xff292709,
    0xff393617,
    0xff403c15,
    0xff41380d,
    0xff49350c,
    0xff5d431a,
    0xff332700,
    0xff2f2900,
    0xff2e2702,
    0xff433203,
    0xff614400,
    0xff886e1e,
    0xff7c733c,
    0xff161c08,
    0xff484d1f,
    0xff747742,
    0xff85805a,
    0xffa8a09a,
    0xff686375,
    0xff5a5869,
    0xff4b4952,
    0xff444149,
    0xff393940,
    0xff3b3942,
    0xff4e4c59,
    0xff42414e,
    0xff453e3f,
    0xff54463a,
    0xff575a46,
    0xff213728,
    0xff152628,
    0xff0b241b,
    0xff24422f,
    0xff0e211a,
    0xff9494a6,
    0xffe1d5f5,
    0xff534d67,
    0xff3a3e49,
    0xff2e3535,
    0xff263c2d,
    0xff0b2b20,
    0xff0b272b,
    0xff0c1d23,
    0xff0a1711,
    0xff05180b,
    0xff172c2a,
    0xff131d15,
    0xff211a0c,
    0xff6c5930,
    0xff7f733d,
    0xff30320e,
    0xff516449,
    0xff2e432b,
    0xff111e10,
    0xff48230e,
    0xffb76e48,
    0xffab6d1c,
    0xffbc942b,
    0xffb97527,
    0xffab5426,
    0xffa36430,
    0xff896117,
    0xff976525,
    0xff83651a,
    0xff946b1e,
    0xffa5772a,
    0xff867325,
    0xff918836,
    0xff907c2a,
    0xff806811,
    0xff9a7b29,
    0xffcd9e3a,
    0xffc9911e,
    0xffb88c1e,
    0xffb6992c,
    0xffab8f1c,
    0xffb99c26,
    0xffb09622,
    0xffae982f,
    0xff9f9231,
    0xff9d9226,
    0xffaea331,
    0xff8a8423,
    0xff7e8527,
    0xff7d821a,
    0xffaca53f,
    0xff968f20,
    0xffb2af43,
    0xff989730,
    0xffa09d2c,
    0xffbdb337,
    0xffbfb233,
    0xffa29b25,
    0xff817d14,
    0xff9f9d2f,
    0xff5a5900,
    0xff757622,
    0xff6b6516,
    0xff786e19,
    0xff80731d,
    0xff433e00,
    0xff8a8838,
    0xffa08b2e,
    0xffb39c2e,
    0xff93790a,
    0xff997c20,
    0xff90621b,
    0xffbb7837,
    0xffa5661b,
    0xffb78434,
    0xffa9681b,
    0xffa68928,
    0xffae9633,
    0xffac8e37,
    0xff9e8230,
    0xffa38c38,
    0xff96712b,
    0xffad5c31,
    0xff8c601f,
    0xffb1903a,
    0xffa18c23,
    0xffc2b241,
    0xff9f8c1f,
    0xffc9b042,
    0xffc5a42e,
    0xffcda828,
    0xffa67b0b,
    0xffd0a230,
    0xff9d7e24,
    0xffaa7e3f,
    0xffaf722b,
    0xffb5772c,
    0xffae6728,
    0xffb06b28,
    0xffb98439,
    0xff9f722a,
    0xffab863f,
    0xff95702f,
    0xffb18a3a,
    0xffd9b248,
    0xffbd922a,
    0xffb18324,
    0xffc49421,
    0xffc79923,
    0xffad811a,
    0xffa47b23,
    0xffbf9a38,
    0xffbb9a27,
    0xffb3902b,
    0xffb58d48,
    0xffa98143,
    0xff9c7539,
    0xffaf845b,
    0xffaa8145,
    0xffa1792d,
    0xffb08c40,
    0xff967a30,
    0xff886d3a,
    0xffa0843f,
    0xff9a8a38,
    0xff7a7517,
    0xff88801d,
    0xff796907,
    0xffb2a74f,
    0xff545c1b,
    0xff4b653c,
    0xff1f3b29,
    0xff142a1c,
    0xff1a3120,
    0xff364d34,
    0xff2c3b06,
    0xff8d942e,
    0xff878912,
    0xff808322,
    0xff8f9427,
    0xffb0a635,
    0xffbba436,
    0xffad9f39,
    0xff989d48,
    0xff768845,
    0xff6a7b3e,
    0xff7a8746,
    0xff6b7d2f,
    0xff658232,
    0xff64812c,
    0xff63761b,
    0xff88983f,
    0xff6e7c29,
    0xffa6a74d,
    0xffad9c35,
    0xffc6962b,
    0xffb88e16,
    0xffccae30,
    0xffbaa137,
    0xffb29c44,
    0xffac8837,
    0xffb8843a,
    0xffa2601e,
    0xffc3762a,
    0xffcf7d3d,
    0xffba6b2f,
    0xffb37b29,
    0xff9e7e0f,
    0xffbdaa30,
    0xffbca43c,
    0xffa2812d,
    0xff8b640c,
    0xffae7f21,
    0xffb2851e,
    0xffcc942a,
    0xffaf790a,
    0xffc19c1e,
    0xffcdb026,
    0xffbbb21a,
    0xffbbb223,
    0xffcdb428,
    0xffd2ae23,
    0xffb79001,
    0xffd8b821,
    0xffd3b319,
    0xffd7b121,
    0xffd9b329,
    0xffa59d21,
    0xffa7a125,
    0xffa49d20,
    0xffafa223,
    0xffa79518,
    0xffa9941c,
    0xff9d8c1c,
    0xff8c7d16,
    0xffc3b037,
    0xffb6ab2c,
    0xffb1a92e,
    0xff928514,
    0xffa1911a,
    0xffaf9e17,
    0xffa79e12,
    0xff9a9611,
    0xff9d940f,
    0xff988a02,
    0xffa19922,
    0xff767c22,
    0xff737614,
    0xffe4cd46,
    0xffcc9b10,
    0xffc9911e,
    0xffaa750b,
    0xff966e08,
    0xff8e7605,
    0xffa78e25,
    0xffae8d1f,
    0xffb5991a,
    0xffa99533,
    0xff6a620d,
    0xffafa12d,
    0xff8e8719,
    0xff605b00,
    0xff81761c,
    0xff9d8c2b,
    0xff88760c,
    0xff9d821c,
    0xffbc9234,
    0xffa27800,
    0xffaf8709,
    0xffb8920d,
    0xffdbb627,
    0xffc4a00d,
    0xffc4a009,
    0xffcdae15,
    0xffd2b51d,
    0xffbda218,
    0xffaf9622,
    0xffcab033,
    0xffc7ab1c,
    0xffc8af1e,
    0xffcab121,
    0xffcab423,
    0xffbdae24,
    0xffbea32b,
    0xffc2ac33,
    0xffaca12c,
    0xff8f8e26,
    0xff7c7e26,
    0xff585300,
    0xff948222,
    0xffae9021,
    0xffbca12b,
    0xffb09a30,
    0xffb39937,
    0xffb9942d,
    0xffc59b2c,
    0xffb78e1c,
    0xffc69a20,
    0xffd7a31f,
    0xfff4bb15,
    0xffd59400,
    0xffe2aa2b,
    0xffb1921c,
    0xffa59027,
    0xff846109,
    0xffb98634,
    0xffb58034,
    0xff927420,
    0xff7d640c,
    0xffa19137,
    0xff89882b,
    0xff627218,
    0xff708530,
    0xff6e7a2a,
    0xff595e10,
    0xff6b7e22,
    0xff41591e,
    0xff42571e,
    0xff556407,
    0xff7f8c2b,
    0xff506524,
    0xff455f29,
    0xff5b762c,
    0xff506a16,
    0xff626f1e,
    0xff68742b,
    0xff585507,
    0xffa2820e,
    0xffcf9f18,
    0xffd2ac2d,
    0xff967909,
    0xffb39720,
    0xffaf8e1b,
    0xffaf921d,
    0xffb2a12a,
    0xff9b8a1e,
    0xff9a7b21,
    0xffa68429,
    0xff998015,
    0xffbdad42,
    0xffaaa72b,
    0xff949711,
    0xffaeb234,
    0xff969b35,
    0xff6c6f1a,
    0xffa8994a,
    0xff7f580b,
    0xffc3a149,
    0xffa18028,
    0xffaf8f38,
    0xff9e8a34,
    0xff98943b,
    0xff3e4a00,
    0xff7b9240,
    0xff567423,
    0xff587116,
    0xff6f7c22,
    0xff959724,
    0xff978a24,
    0xff887721,
    0xff968e2f,
    0xff777829,
    0xff747c3f,
    0xff556119,
    0xff6c753c,
    0xff4a511d,
    0xff8b8f40,
    0xff959a2f,
    0xff939922,
    0xff9ca432,
    0xff98a73b,
    0xff435b0c,
    0xff516d2c,
    0xff3d5f1e,
    0xff2c4e0d,
    0xff5d7b2c,
    0xff5d7718,
    0xff415902,
    0xff5b741c,
    0xff818a14,
    0xffa5b14e,
    0xff657a18,
    0xff849223,
    0xffa8a537,
    0xffaa9821,
    0xff987c00,
    0xffc9aa2c,
    0xffc8a532,
    0xff8f801e,
    0xff2c2f05,
    0xff071609,
    0xff33481e,
    0xff8eab63,
    0xff496b1f,
    0xff567f36,
    0xff416431,
    0xff0d281a,
    0xff234025,
    0xff40612e,
    0xff456622,
    0xff557333,
    0xff546f3d,
    0xff36530d,
    0xff3b5c23,
    0xff244a13,
    0xff264c1a,
    0xff13310a,
    0xff2f411f,
    0xff444a1d,
    0xff2a2c00,
    0xff6b6d17,
    0xff767119,
    0xff5f6323,
    0xff414a15,
    0xff555615,
    0xff585711,
    0xff575b23,
    0xff565924,
    0xff5a571a,
    0xff3e3f0e,
    0xff3f410c,
    0xff4a4c17,
    0xff504e0d,
    0xff565507,
    0xff858837,
    0xff8f9849,
    0xff8b9d43,
    0xff94b14d,
    0xff6d881c,
    0xff7e8d40,
    0xff5b5d1d,
    0xffabaa45,
    0xffa59d2f,
    0xffbaa94c,
    0xffa69331,
    0xff726a05,
    0xff98923c,
    0xff5c5615,
    0xff3e3d07,
    0xff626131,
    0xff585926,
    0xff4b4a17,
    0xff5a5726,
    0xff655d38,
    0xff271400,
    0xff7d632c,
    0xff796321,
    0xff513e00,
    0xff84681c,
    0xffb27a24,
    0xffc77826,
    0xffb9752b,
    0xff8a5310,
    0xffb98833,
    0xffb67528,
    0xffba7124,
    0xffd4913c,
    0xff945418,
    0xffa06320,
    0xffb97727,
    0xffb88133,
    0xffac702c,
    0xff783000,
    0xffb08244,
    0xff53581b,
    0xff4e6437,
    0xff535942,
    0xff353613,
    0xff5a5027,
    0xff655729,
    0xff817d51,
    0xff252d0b,
    0xff5b6240,
    0xff64643b,
    0xff373109,
    0xff3b380a,
    0xff202308,
    0xff2f3d22,
    0xff233910,
    0xff0e2305,
    0xff19271c,
    0xff657257,
    0xff384c10,
    0xff233902,
    0xff3b4c0e,
    0xff5e6421,
    0xff574d14,
    0xff645426,
    0xff322801,
    0xff181e00,
    0xff3b4d2f,
    0xff3d4e1d,
    0xff303c1b,
    0xff232d17,
    0xff1e270a,
    0xff232d0a,
    0xff283311,
    0xff253314,
    0xff212f0d,
    0xff203700,
    0xff2a2e18,
    0xff121b00,
    0xff242d01,
    0xff160f00,
    0xff84772f,
    0xff442f01,
    0xff6b4815,
    0xffdbc274,
    0xff291200,
    0xff8d8331,
    0xff3f3200,
    0xff826b28,
    0xff716120,
    0xff7e7510,
    0xffd4bc3e,
    0xffbfac27,
    0xffdfce55,
    0xff413c00,
    0xff4c4709,
    0xffb1922e,
    0xffd1a933,
    0xffc4a123,
    0xffd5b028,
    0xffc6aa1d,
    0xffc3a717,
    0xff9a7b00,
    0xffd0b232,
    0xffc1a51b,
    0xffab8e0e,
    0xffcdb12e,
    0xffc9ae27,
    0xffe0c13d,
    0xff5c4506,
    0xff3d3108,
    0xff271700,
    0xff8a6f1a,
    0xffbb9927,
    0xffb99c3a,
    0xffa5962d,
    0xff524b17,
    0xff352b16,
    0xff140b0e,
    0xff150f19,
    0xff161414,
    0xff17160c,
    0xff121009,
    0xff170f0f,
    0xff190c11,
    0xff1b0e11,
    0xff190e09,
    0xff170c05,
    0xff1a0e04,
    0xff190e07,
    0xff1d0d0d,
    0xff211314,
    0xff0e110e,
    0xff1e0b02,
    0xff3a0b00,
    0xff551f03,
    0xff825c19,
    0xffa39636,
    0xff6b671a,
    0xff1e1b00,
    0xff5b5700,
    0xffa4a621,
    0xff706900,
    0xff594b06,
    0xff7c6f0e,
    0xff9e982a,
    0xff595e00,
    0xff8d9829,
    0xff8e8f1c,
    0xff766918,
    0xff684e1f,
    0xff4f2f16,
    0xff331306,
    0xff452721,
    0xff3d1e0c,
    0xff472803,
    0xff413e04,
    0xff3b4409,
    0xff3d4c10,
    0xff3a4a16,
    0xff353f15,
    0xff2d3714,
    0xff25360e,
    0xff2d4519,
    0xff263512,
    0xff2c421e,
    0xff354f2a,
    0xff223211,
    0xff181b00,
    0xff26230a,
    0xff273116,
    0xff192d0f,
    0xff1a2a16,
    0xff172411,
    0xff18260f,
    0xff13200c,
    0xff1a2716,
    0xff192616,
    0xff10210e,
    0xff12240c,
    0xff192711,
    0xff1c2916,
    0xff142110,
    0xff253220,
    0xff313f28,
    0xff283720,
    0xff192713,
    0xff273623,
    0xff1a2e09,
    0xff37320b,
    0xff6f5330,
    0xff583d1d,
    0xff211600,
    0xff222006,
    0xff33240a,
    0xff694b2e,
    0xff684d2d,
    0xff361700,
    0xff371600,
    0xff371c01,
    0xff4e2e0d,
    0xff73511c,
    0xff674614,
    0xff462e06,
    0xff412000,
    0xff543a23,
    0xff3a2b1e,
    0xff322716,
    0xff402f10,
    0xff503b16,
    0xff301700,
    0xff4e3420,
    0xff624921,
    0xff120500,
    0xff655c4e,
    0xff41351b,
    0xff2a2100,
    0xff2d2c0d,
    0xff222404,
    0xff2c2c03,
    0xff222607,
    0xff26270b,
    0xff222107,
    0xff272708,
    0xff242700,
    0xff424214,
    0xff393001,
    0xff4c3c13,
    0xff3a2b0b,
    0xff372e02,
    0xff3c3000,
    0xff5d3f12,
    0xff704413,
    0xff7d561d,
    0xff372200,
    0xff6d6a5d,
    0xff243f2d,
    0xff314326,
    0xff9a9e8b,
    0xff979398,
    0xff5f596e,
    0xff535263,
    0xff47464c,
    0xff403d43,
    0xff3b3b46,
    0xff3e3d43,
    0xff3d3d47,
    0xff3d3c4a,
    0xff493b3c,
    0xff5e4c35,
    0xff7e7e61,
    0xff1c3420,
    0xff152520,
    0xff2a3a2f,
    0xff0c1d10,
    0xffa1abab,
    0xffdadaeb,
    0xff535069,
    0xff3d3f4e,
    0xff1f2828,
    0xff263535,
    0xff001010,
    0xff092222,
    0xff001b20,
    0xff061b23,
    0xff081519,
    0xff101617,
    0xff030500,
    0xff675336,
    0xff845f40,
    0xffa87640,
    0xffab7732,
    0xffa1753b,
    0xff6f541d,
    0xff81713e,
    0xff433517,
    0xff3d1d00,
    0xff5f3100,
    0xffad7f26,
    0xffb99327,
    0xff9b5f13,
    0xff7f330d,
    0xff9c6335,
    0xff93792b,
    0xff7b5713,
    0xff886d23,
    0xff6c570a,
    0xff8f7d32,
    0xff757327,
    0xff525e0a,
    0xff6a7211,
    0xffa8a63d,
    0xffaca13f,
    0xffb29425,
    0xffc09a23,
    0xffba9926,
    0xffb49929,
    0xffb09225,
    0xffa69028,
    0xff847919,
    0xff918928,
    0xffb0ad46,
    0xffafaa3e,
    0xff878029,
    0xff5f6827,
    0xff5f7b2c,
    0xffa5bc51,
    0xff818117,
    0xff9aa129,
    0xff8d9834,
    0xff616c1a,
    0xff6f7323,
    0xff90882a,
    0xff807509,
    0xffaea637,
    0xffa4a538,
    0xff9d9a21,
    0xffb0ad40,
    0xff5a5700,
    0xff67600b,
    0xff877923,
    0xff91822e,
    0xff6e6819,
    0xff5c5c15,
    0xff7d6919,
    0xffa78321,
    0xffac7f16,
    0xffa67a23,
    0xff8d5c1a,
    0xffa56a2b,
    0xff8f530e,
    0xff966117,
    0xffa77024,
    0xff9e8324,
    0xffb2963a,
    0xffac9444,
    0xff766115,
    0xff8b7022,
    0xff85601f,
    0xffa35433,
    0xff80450e,
    0xffb28435,
    0xffb69430,
    0xff9c7f13,
    0xffa38920,
    0xff9d8019,
    0xffa6881b,
    0xffbd9f29,
    0xffbb8d1a,
    0xffc39b26,
    0xffa68d30,
    0xff946327,
    0xffab7131,
    0xffaf7125,
    0xffb4611f,
    0xffb77334,
    0xffb07e37,
    0xff815a0c,
    0xffa07a3a,
    0xff94712a,
    0xffa48124,
    0xffa78613,
    0xffbb9b21,
    0xffb4922a,
    0xffb98d2d,
    0xffb79021,
    0xffb68f28,
    0xff956e1c,
    0xff9e7925,
    0xffbc9731,
    0xff9c7519,
    0xffa67838,
    0xffa58134,
    0xff99762f,
    0xffa98355,
    0xff97723c,
    0xff8d6825,
    0xff8f722b,
    0xffa4923e,
    0xff8b7e33,
    0xffa79947,
    0xff8b803d,
    0xff7b7238,
    0xff7d742a,
    0xffb1a94e,
    0xff838731,
    0xff506426,
    0xff32552d,
    0xff193527,
    0xff283c2f,
    0xff142914,
    0xff223c29,
    0xff3c5032,
    0xff666d20,
    0xff7c831a,
    0xff7f8e3a,
    0xff8b8932,
    0xff9b9330,
    0xffa09529,
    0xffb3a846,
    0xff898837,
    0xff727b38,
    0xff607335,
    0xff5f7236,
    0xff6c7c47,
    0xff738b51,
    0xff5d7431,
    0xff657320,
    0xff99a24b,
    0xff92983e,
    0xffa9a13c,
    0xffbc9e29,
    0xffbd8511,
    0xffb88500,
    0xffd5ac1b,
    0xffccac2d,
    0xffcbad43,
    0xffa98324,
    0xff9b5f0e,
    0xffa75916,
    0xffb4621f,
    0xffcf7e40,
    0xffae6623,
    0xffbb7d2c,
    0xffbf932e,
    0xff9e8614,
    0xff7f760c,
    0xff8d8e2d,
    0xffb5a53e,
    0xffa98b22,
    0xffb99c2b,
    0xffbc8719,
    0xffcb8f1f,
    0xffcba62b,
    0xffd0b12a,
    0xffaca813,
    0xffa29e18,
    0xffb7ab29,
    0xffb9a51f,
    0xffc2a219,
    0xffcca81d,
    0xffd4b327,
    0xffd1b226,
    0xffc4a71c,
    0xffb1ad30,
    0xff9d9b1e,
    0xff9d9a1e,
    0xffafa82b,
    0xffa59a1f,
    0xff92860e,
    0xff9c9425,
    0xff7a760b,
    0xffaf9b22,
    0xffada124,
    0xff939019,
    0xffa8a036,
    0xff8e8012,
    0xffa09117,
    0xffb0a928,
    0xff9d9c26,
    0xffafa739,
    0xff8b8817,
    0xff8d8e1e,
    0xffa49c37,
    0xff826b02,
    0xff977100,
    0xffc59c1c,
    0xffcaa323,
    0xffaf8b0a,
    0xff987902,
    0xffb49a25,
    0xff876805,
    0xffa48616,
    0xffbba521,
    0xff5d4e00,
    0xff736f12,
    0xff585700,
    0xff9e9937,
    0xffaf9c3e,
    0xff9f7d22,
    0xffa18422,
    0xff988a22,
    0xff6b5d00,
    0xffa68827,
    0xffb18f21,
    0xffa37e00,
    0xffe8c230,
    0xffcaa711,
    0xffcdae1d,
    0xffc1a616,
    0xffc0a211,
    0xffbf9e0c,
    0xffa88805,
    0xffaa8410,
    0xffd8b938,
    0xffc5a613,
    0xffcda21b,
    0xffc89f1d,
    0xffc6a61b,
    0xffc7a41e,
    0xffcda520,
    0xffd0b432,
    0xffb4a52f,
    0xff867f16,
    0xff766d10,
    0xff7b6a0f,
    0xff8f750c,
    0xffc5a430,
    0xffceab2e,
    0xffc1a73b,
    0xffb19733,
    0xffad841c,
    0xffcfa12f,
    0xffc69e29,
    0xffb99214,
    0xffc5920c,
    0xffe2ac17,
    0xffc99304,
    0xffcda222,
    0xffa68616,
    0xffa98427,
    0xffc0893b,
    0xffac6e27,
    0xff915a0d,
    0xffad802b,
    0xffac802a,
    0xffa98730,
    0xff93852f,
    0xff5b6412,
    0xff66792b,
    0xff707f36,
    0xff7f853f,
    0xff646c2f,
    0xff4c602c,
    0xff5c7438,
    0xff607423,
    0xff9bad64,
    0xff314819,
    0xff2f4b21,
    0xff476123,
    0xff7c8c52,
    0xff8b8842,
    0xff5b5c19,
    0xff7c7e3a,
    0xff8b7218,
    0xffae881c,
    0xff896e05,
    0xff9c861c,
    0xffa58a25,
    0xff98771a,
    0xff947d17,
    0xffaca433,
    0xff867a12,
    0xffad903d,
    0xff93731d,
    0xffb5a337,
    0xff8b7c13,
    0xffabaa2b,
    0xffacaf25,
    0xff9e9927,
    0xff868134,
    0xff525117,
    0xff605414,
    0xffa7863b,
    0xff7f6614,
    0xff93751f,
    0xffaf923b,
    0xff9b8b3d,
    0xff4f5612,
    0xff768e47,
    0xff627c2d,
    0xff7f973f,
    0xff6f7f25,
    0xff616d1d,
    0xff686e09,
    0xffa19538,
    0xff816819,
    0xff9f8e2f,
    0xff7c792f,
    0xff5c6837,
    0xff5e6f39,
    0xff263400,
    0xff414507,
    0xffa9aa58,
    0xff838718,
    0xff9faa2b,
    0xff8da133,
    0xff66802d,
    0xff537737,
    0xff567a32,
    0xff6c8741,
    0xff576d1f,
    0xff7e9441,
    0xff485e0d,
    0xff788e2a,
    0xff8ba03a,
    0xff737f1a,
    0xff69771c,
    0xff768728,
    0xff78801b,
    0xff877e19,
    0xff9d8714,
    0xffa89018,
    0xff8f7818,
    0xff5c4000,
    0xffa19953,
    0xff334112,
    0xff324c19,
    0xff9bb858,
    0xff76942a,
    0xff375813,
    0xff0a2e0c,
    0xff2b461c,
    0xff1d3620,
    0xff092400,
    0xff365320,
    0xff466728,
    0xff395713,
    0xff647a42,
    0xff88a058,
    0xff213d03,
    0xff375727,
    0xff1d401d,
    0xff284626,
    0xff283a17,
    0xff3d4610,
    0xff7e8238,
    0xff7c8227,
    0xff77721d,
    0xff616929,
    0xff243501,
    0xff323e03,
    0xff3e4310,
    0xff414626,
    0xff4a4926,
    0xff473f04,
    0xff333100,
    0xff383a0e,
    0xff43491a,
    0xff434613,
    0xff5a591c,
    0xff72721c,
    0xff7d861c,
    0xff899632,
    0xff8a9835,
    0xff89982e,
    0xff4b5c10,
    0xff53611f,
    0xff627117,
    0xff616716,
    0xff3d3500,
    0xff8b8330,
    0xff746e18,
    0xff4f4b04,
    0xff333300,
    0xff656832,
    0xff595e2b,
    0xff5b5e2b,
    0xff797749,
    0xff5f5c32,
    0xff353e19,
    0xff463f1a,
    0xffa98f52,
    0xff966f28,
    0xffa36f35,
    0xffd59b52,
    0xffce8c29,
    0xffd08624,
    0xffab7c39,
    0xff8d6f32,
    0xff8f7126,
    0xffac7833,
    0xffb26c22,
    0xffa1620a,
    0xffab6e1f,
    0xffcf8f40,
    0xffcb8d3c,
    0xffa1681a,
    0xff98601b,
    0xffa46f37,
    0xff452508,
    0xff31330f,
    0xff2e4028,
    0xff1d261b,
    0xff292e1b,
    0xff0f1e08,
    0xff263a22,
    0xff2d3822,
    0xff373924,
    0xff1d260f,
    0xff162408,
    0xff293714,
    0xff3b451b,
    0xff3c4b2b,
    0xff1e3517,
    0xff24401b,
    0xff183212,
    0xff192b16,
    0xff273417,
    0xff465321,
    0xff3b5017,
    0xff2f430f,
    0xff485328,
    0xff2e320c,
    0xff36311d,
    0xff0c0a03,
    0xff343d2a,
    0xff425433,
    0xff2a360a,
    0xff333c1f,
    0xff121a01,
    0xff313715,
    0xff2a320d,
    0xff111b01,
    0xff20290c,
    0xff27310c,
    0xff313519,
    0xff120100,
    0xffbfb26e,
    0xff6d5a0e,
    0xffc9a743,
    0xffd1b535,
    0xff997d0d,
    0xffd4a932,
    0xffe3c240,
    0xffad882e,
    0xffa89131,
    0xffbca32a,
    0xfff0ce39,
    0xffd4b83b,
    0xffb9a826,
    0xffe3b936,
    0xffcba728,
    0xffaa8d00,
    0xffd3c56c,
    0xff474008,
    0xffa58f3c,
    0xff72530c,
    0xffcdb33e,
    0xffd5b21e,
    0xff8f7205,
    0xff998203,
    0xffbda834,
    0xff958011,
    0xff8c7808,
    0xffc8b430,
    0xffbca515,
    0xff93760a,
    0xff755c0b,
    0xff6a552b,
    0xff170900,
    0xff6a5a3d,
    0xff725a2b,
    0xff90762e,
    0xff634d0c,
    0xff6a5a22,
    0xff130b00,
    0xff181205,
    0xff110f0e,
    0xff0e0f13,
    0xff141514,
    0xff141610,
    0xff13100c,
    0xff15100d,
    0xff171414,
    0xff171615,
    0xff121210,
    0xff12110f,
    0xff110f0f,
    0xff11100f,
    0xff111010,
    0xff141312,
    0xff160f13,
    0xff3b150f,
    0xff883a3a,
    0xff721218,
    0xff5c0c00,
    0xffa87925,
    0xff8c7414,
    0xff8e7b2c,
    0xffa69f28,
    0xff9d981d,
    0xff8f8b0d,
    0xff8d890c,
    0xff918b17,
    0xff848215,
    0xff767d18,
    0xff535c10,
    0xff363a00,
    0xff605920,
    0xff4e3a11,
    0xff40280a,
    0xff240602,
    0xff3d1918,
    0xff5d3124,
    0xff744520,
    0xff362a00,
    0xff494b14,
    0xff485518,
    0xff39430c,
    0xff383a0c,
    0xff302e0a,
    0xff202606,
    0xff1f2d06,
    0xff3e4925,
    0xff1b2e07,
    0xff233812,
    0xff2b3412,
    0xff2f2910,
    0xff302614,
    0xff272713,
    0xff192814,
    0xff182716,
    0xff14220b,
    0xff111f05,
    0xff253319,
    0xff14220b,
    0xff0f1e0b,
    0xff0f200d,
    0xff132310,
    0xff111c0c,
    0xff182312,
    0xff0f190c,
    0xff152011,
    0xff182312,
    0xff0d1707,
    0xff1e2718,
    0xff182117,
    0xff0c1a0f,
    0xff433d26,
    0xff573c1c,
    0xff553619,
    0xff473521,
    0xff352c1d,
    0xff3a2c19,
    0xff3d250b,
    0xff2b1d00,
    0xff694822,
    0xff714725,
    0xff7b5e40,
    0xff402c0f,
    0xff583f22,
    0xff371e04,
    0xff2f1c04,
    0xff2e1700,
    0xff2d260f,
    0xff2e3122,
    0xff251f0b,
    0xff381e00,
    0xff4c1f00,
    0xff50240a,
    0xff40190c,
    0xff3d1a02,
    0xff311b0a,
    0xff302012,
    0xff5c4733,
    0xff2f1f02,
    0xff4e4d26,
    0xff30310f,
    0xff1b1700,
    0xff161f00,
    0xff1c2009,
    0xff222510,
    0xff191e05,
    0xff222a06,
    0xff30350c,
    0xff2a2901,
    0xff241c00,
    0xff493916,
    0xff432e07,
    0xff52330b,
    0xff4e2b09,
    0xff49280b,
    0xff2c1100,
    0xff331c00,
    0xff392308,
    0xff112b27,
    0xff49584a,
    0xffa7a69e,
    0xff817383,
    0xff635573,
    0xff504d63,
    0xff42414f,
    0xff3c3a49,
    0xff383843,
    0xff47464c,
    0xff3b3b45,
    0xff413f4e,
    0xff5a4c4a,
    0xff6b573e,
    0xff424221,
    0xff243d26,
    0xff1b3222,
    0xff1f2f29,
    0xffa4acb4,
    0xffcad2e2,
    0xff495662,
    0xff2f424a,
    0xff0b1f25,
    0xff031419,
    0xff082119,
    0xff02141b,
    0xff091b25,
    0xff041d19,
    0xff001609,
    0xff0a1b17,
    0xff454342,
    0xff3d2d25,
    0xff533613,
    0xff9e7d60,
    0xff8c6a44,
    0xff906e3f,
    0xff89693e,
    0xff96794c,
    0xff77602d,
    0xff5c431c,
    0xff826c38,
    0xff786323,
    0xff9e7f2b,
    0xffa58823,
    0xff82640d,
    0xff7c4a16,
    0xff753f14,
    0xff76601c,
    0xff515305,
    0xff786419,
    0xff7f7027,
    0xff738034,
    0xff72853c,
    0xff687926,
    0xff6e821c,
    0xff7b8517,
    0xff9b8e25,
    0xffa58f1c,
    0xffb49723,
    0xffaa8e1f,
    0xffa18718,
    0xff957d11,
    0xffa1963b,
    0xff555f14,
    0xff7d8c42,
    0xff60751f,
    0xff586e0d,
    0xff8e9a4d,
    0xff37460b,
    0xff6e893b,
    0xff748a29,
    0xff6e6f21,
    0xff68670a,
    0xff636d23,
    0xff405824,
    0xff425a28,
    0xff546622,
    0xff5d6711,
    0xff596209,
    0xff788029,
    0xffa2a12f,
    0xff9b921d,
    0xffc1b33e,
    0xff887a0d,
    0xff7d7412,
    0xff8a8532,
    0xff554c06,
    0xff605113,
    0xff7e661f,
    0xffb2882e,
    0xffc28928,
    0xffb9822b,
    0xff98661f,
    0xffa16a29,
    0xffad742f,
    0xff8a590d,
    0xff957026,
    0xffa3832e,
    0xffa57328,
    0xffa27938,
    0xff957031,
    0xff936224,
    0xff996d39,
    0xff9d5940,
    0xff863e10,
    0xffb87a35,
    0xffb08025,
    0xffab8220,
    0xff977015,
    0xff8d6713,
    0xffa28228,
    0xffa78c2a,
    0xffb6882a,
    0xffb18b25,
    0xffa28027,
    0xff9b5c23,
    0xffa25f29,
    0xffb97638,
    0xffb05a28,
    0xffa36a3e,
    0xff997146,
    0xff73521c,
    0xff86643f,
    0xffa07f4a,
    0xffad8a38,
    0xffa6811d,
    0xffae8a14,
    0xffb79234,
    0xff9b8327,
    0xff8a7407,
    0xffb19c28,
    0xffa28921,
    0xff997a24,
    0xffa98536,
    0xffad8733,
    0xffa27a22,
    0xffa57729,
    0xffac823c,
    0xff92633a,
    0xff926538,
    0xff896028,
    0xffb69656,
    0xff96832d,
    0xff7a711d,
    0xff776b1d,
    0xff867733,
    0xff7c6e26,
    0xff988d31,
    0xffb0ab51,
    0xff3b4003,
    0xff3e5133,
    0xff1c3925,
    0xff475c4a,
    0xff404b34,
    0xff222d11,
    0xff162814,
    0xff424d3b,
    0xff646525,
    0xff8d9230,
    0xff5e6e20,
    0xff7f7d2e,
    0xff958a39,
    0xff9d8b3a,
    0xffa49446,
    0xff888538,
    0xff868e47,
    0xff697a45,
    0xff627450,
    0xff607247,
    0xff58724b,
    0xff5d744a,
    0xff51631f,
    0xff607016,
    0xff95a445,
    0xff949431,
    0xffbaa33d,
    0xffbb8119,
    0xffd49c20,
    0xffc09209,
    0xffd0ac30,
    0xffa8861f,
    0xffae8228,
    0xffaf6d22,
    0xffb36023,
    0xff975415,
    0xffbc7935,
    0xffa06719,
    0xff9f7d25,
    0xff928c28,
    0xff7c841f,
    0xff868e30,
    0xff585804,
    0xff746b19,
    0xff927b1f,
    0xff958112,
    0xffa87c07,
    0xffbb8714,
    0xffba9415,
    0xffc3a223,
    0xff99950e,
    0xff8d8a10,
    0xff7f7e05,
    0xffa5a021,
    0xffc2ac2b,
    0xffbe9818,
    0xffd5ac2f,
    0xffc8aa26,
    0xffcdb72d,
    0xffb3a627,
    0xffaba42e,
    0xff818314,
    0xff7e841a,
    0xff90922a,
    0xff89851b,
    0xff817b13,
    0xffa0982e,
    0xffac9524,
    0xffb9ad32,
    0xff989319,
    0xff847c0a,
    0xff92830f,
    0xff938206,
    0xff958c18,
    0xff918f2c,
    0xffa09b3a,
    0xff828e2a,
    0xff889728,
    0xff918307,
    0xffdfb63e,
    0xffc29929,
    0xffaf9620,
    0xffb6a91f,
    0xffbea625,
    0xffad8d1b,
    0xffae851c,
    0xffa27220,
    0xff90660f,
    0xffac9123,
    0xffa99735,
    0xff90852f,
    0xff464b13,
    0xff696525,
    0xff8f6d20,
    0xff8e550d,
    0xff9c6e22,
    0xff8a7626,
    0xff908233,
    0xff614a00,
    0xff9f8325,
    0xffd5b52c,
    0xffc7a302,
    0xffbf9b09,
    0xff9d8300,
    0xffb29c0b,
    0xffae9507,
    0xffac8c0b,
    0xffa59f18,
    0xffb5a12e,
    0xffa29a17,
    0xffaea717,
    0xffd4b63a,
    0xffbe9e28,
    0xff968100,
    0xffccad2d,
    0xffc09e18,
    0xffbca62b,
    0xff9d9128,
    0xff8b7f25,
    0xff87721d,
    0xffcaa94a,
    0xffd8af41,
    0xffd3aa2f,
    0xffc29713,
    0xffbda02d,
    0xffb99b35,
    0xffb78b21,
    0xffc69724,
    0xffc6a12a,
    0xffc8a527,
    0xffbe920d,
    0xffd8b02d,
    0xffcea920,
    0xffba9c18,
    0xffa98e1b,
    0xffaf862d,
    0xffa66a25,
    0xffaa712b,
    0xffa57b23,
    0xff9b6912,
    0xffac761f,
    0xffb7862f,
    0xff9e822c,
    0xff777525,
    0xff384800,
    0xff6d803d,
    0xff4c581b,
    0xff3e401b,
    0xff2b3914,
    0xff1e3706,
    0xff576f2e,
    0xff869d5d,
    0xff2a4510,
    0xff597842,
    0xff41591c,
    0xff52550e,
    0xff8e7c25,
    0xff706a1b,
    0xff4b551c,
    0xff49440b,
    0xff7f6729,
    0xff927732,
    0xff977825,
    0xff977c0c,
    0xff926c16,
    0xff896419,
    0xff91791d,
    0xff9a811d,
    0xff826111,
    0xffc2a341,
    0xffa19121,
    0xffb4aa37,
    0xffb0ad33,
    0xff92911a,
    0xff8a811c,
    0xff757224,
    0xff515c12,
    0xff898c3b,
    0xff8d8022,
    0xffad9943,
    0xffab8e39,
    0xff927222,
    0xff82732e,
    0xff38440a,
    0xff324f12,
    0xff4f6b1b,
    0xff748523,
    0xff717129,
    0xff6b7128,
    0xff79801e,
    0xff887b27,
    0xff8b692b,
    0xff8b6e28,
    0xff736b2e,
    0xff435425,
    0xff425232,
    0xff4a571d,
    0xff8a903f,
    0xff87872a,
    0xff828619,
    0xff869827,
    0xff3e5c00,
    0xff496c24,
    0xff2b4001,
    0xff4d5a05,
    0xff5a5b0c,
    0xff7b7a2b,
    0xff4d5111,
    0xff2f3b04,
    0xff697d2a,
    0xff5f751d,
    0xff54691f,
    0xff365106,
    0xff3b5400,
    0xff727b24,
    0xff90842c,
    0xff997e10,
    0xffbba330,
    0xff967d27,
    0xff9a832a,
    0xff767211,
    0xff516010,
    0xff596b2d,
    0xff364103,
    0xff656c2e,
    0xff4c5832,
    0xff15280e,
    0xff485c39,
    0xff19320c,
    0xff7f9b5e,
    0xff42622c,
    0xff5f7c46,
    0xff203a01,
    0xff50672d,
    0xff6d8236,
    0xff354910,
    0xff2a4419,
    0xff28462c,
    0xff1a351e,
    0xff2f411f,
    0xff3a450d,
    0xff828d41,
    0xff5f6d15,
    0xff606821,
    0xff142400,
    0xff475c23,
    0xff59661f,
    0xff52591c,
    0xff393d16,
    0xff4a4e20,
    0xff5d5c17,
    0xff68612b,
    0xff454118,
    0xff494d1f,
    0xff353906,
    0xff302e00,
    0xff878536,
    0xffa4ab3b,
    0xff93a033,
    0xff7f7f23,
    0xff899330,
    0xff5d7128,
    0xff5e7a3c,
    0xff3e5b14,
    0xff314218,
    0xff1b1d00,
    0xff656422,
    0xff736c21,
    0xff5d5916,
    0xff56581e,
    0xff535d25,
    0xff4b5823,
    0xff283507,
    0xff1f2908,
    0xff141c06,
    0xff19341b,
    0xff404e36,
    0xff212000,
    0xff6a622f,
    0xff776848,
    0xff756139,
    0xff90773a,
    0xffc6a268,
    0xff3a1f00,
    0xff110600,
    0xff7c6c3b,
    0xff97683a,
    0xffd4935a,
    0xffb07123,
    0xffae7027,
    0xffba782b,
    0xffa37220,
    0xff885a11,
    0xffc69c54,
    0xff785d24,
    0xff736b44,
    0xff171f0c,
    0xff142118,
    0xff121f1a,
    0xff0b1717,
    0xff0a1d14,
    0xff03170c,
    0xff29372d,
    0xff161e17,
    0xff0d1a0d,
    0xff06210a,
    0xff1b411d,
    0xff234215,
    0xff2b461d,
    0xff1f371a,
    0xff142a10,
    0xff182c0f,
    0xff182b08,
    0xff1c2d09,
    0xff41502d,
    0xff647641,
    0xff384c26,
    0xff20351e,
    0xff2d4031,
    0xff000606,
    0xff0a111b,
    0xff000900,
    0xff031300,
    0xff49522e,
    0xff252a13,
    0xff1f250b,
    0xff3a421d,
    0xff313916,
    0xff21260e,
    0xff0e1200,
    0xff202700,
    0xff212600,
    0xff938741,
    0xff4e3e00,
    0xffb19129,
    0xffc79420,
    0xffcea421,
    0xffb59b1f,
    0xffc9a91f,
    0xffd4ad14,
    0xffe9c13e,
    0xffcdb12d,
    0xffba9616,
    0xffdda822,
    0xffd6ae39,
    0xffb59917,
    0xffe9b830,
    0xffeac238,
    0xffdbb71e,
    0xff836e08,
    0xff766d1c,
    0xff7a7619,
    0xff8c8335,
    0xff8c7b18,
    0xffc3a01e,
    0xffc8b637,
    0xff9a8820,
    0xff776615,
    0xff807024,
    0xff695a0f,
    0xff6c570c,
    0xffa9941d,
    0xff83670f,
    0xff7f6d29,
    0xff5f520d,
    0xff312700,
    0xff64582b,
    0xff281d01,
    0xff453c19,
    0xff685b3d,
    0xff0f0000,
    0xff181010,
    0xff171410,
    0xff151a11,
    0xff0e160f,
    0xff0e1312,
    0xff0e0f10,
    0xff14120f,
    0xff14100b,
    0xff180f0b,
    0xff1b110e,
    0xff160c0a,
    0xff150e0c,
    0xff140c0e,
    0xff18110f,
    0xff191110,
    0xff19120f,
    0xff160f08,
    0xff281402,
    0xff310902,
    0xff310313,
    0xff311119,
    0xff513f1c,
    0xff7c6b17,
    0xff9a870e,
    0xffa9a50b,
    0xff97911b,
    0xff939608,
    0xffa1a701,
    0xffb2b331,
    0xff6c6915,
    0xff51540f,
    0xff333908,
    0xff686631,
    0xff443f04,
    0xff7f782f,
    0xff575006,
    0xff4f4816,
    0xff1d1300,
    0xff261501,
    0xff4f3815,
    0xff453523,
    0xff252206,
    0xff3c4217,
    0xff333505,
    0xff413d0a,
    0xff625926,
    0xff494710,
    0xff3d4109,
    0xff212903,
    0xff1f2c04,
    0xff32431b,
    0xff1d2402,
    0xff2a1f09,
    0xff2c1b0f,
    0xff1d160c,
    0xff131e13,
    0xff172516,
    0xff212e18,
    0xff162509,
    0xff1e2d0f,
    0xff1b290f,
    0xff22321e,
    0xff162714,
    0xff182816,
    0xff0e1a09,
    0xff0b1708,
    0xff091308,
    0xff131e12,
    0xff171f11,
    0xff12190c,
    0xff191f15,
    0xff1b1e18,
    0xff1b2312,
    0xff261f07,
    0xff2e1800,
    0xff472d0d,
    0xff2f1f05,
    0xff2a250f,
    0xff2f301c,
    0xff151b07,
    0xff2a2b1b,
    0xff684a35,
    0xff3f1100,
    0xff2e1400,
    0xff3f3a1d,
    0xff29240c,
    0xff2f260a,
    0xff38300b,
    0xff261a01,
    0xff252d19,
    0xff576956,
    0xff151400,
    0xff502d0b,
    0xff8f5530,
    0xff743b20,
    0xff3d1000,
    0xff36120f,
    0xff2a1612,
    0xff1f130d,
    0xff524436,
    0xff45391f,
    0xff2a2c09,
    0xff292f17,
    0xff171812,
    0xff1b280f,
    0xff1d2912,
    0xff171e0d,
    0xff151c07,
    0xff162002,
    0xff232905,
    0xff3a391a,
    0xff2d2607,
    0xff4c3f08,
    0xff755628,
    0xff5b3211,
    0xff5a3a12,
    0xff352a00,
    0xff524c20,
    0xff62501b,
    0xff7a5b12,
    0xff071e20,
    0xff56636c,
    0xffa2a6b3,
    0xff6b6376,
    0xff595061,
    0xff4a4552,
    0xff41404d,
    0xff393a48,
    0xff393f48,
    0xff4e4a50,
    0xff49414f,
    0xff45404a,
    0xff514d45,
    0xff8a8166,
    0xff394026,
    0xff1b372c,
    0xff344334,
    0xffa4afb1,
    0xffc0c9dc,
    0xff4b536b,
    0xff384453,
    0xff283738,
    0xff051413,
    0xff051215,
    0xff051714,
    0xff08191a,
    0xff0b1a17,
    0xff141f0f,
    0xff0b0f03,
    0xff1e1b1a,
    0xff26221f,
    0xff222112,
    0xff140c0b,
    0xff1f1907,
    0xff2f230b,
    0xff39270d,
    0xff524024,
    0xff604e35,
    0xff3a2900,
    0xffab9b3d,
    0xff8a7807,
    0xffa18b13,
    0xff9d8a16,
    0xff877d1a,
    0xff796e1c,
    0xff786016,
    0xff795b1d,
    0xff6a5119,
    0xff83752e,
    0xffa8a74d,
    0xff727f2b,
    0xff556d2d,
    0xff6d8743,
    0xff4c6607,
    0xff8da440,
    0xff697b2c,
    0xff607114,
    0xff819123,
    0xffa29f3c,
    0xff987e28,
    0xffa18828,
    0xff696006,
    0xff8a8f41,
    0xff5a6313,
    0xff3f500e,
    0xff455c23,
    0xff5d7035,
    0xff919b59,
    0xff546624,
    0xff48652a,
    0xff496222,
    0xff5e671b,
    0xffa3ad4e,
    0xff7c8a48,
    0xff2e4a1c,
    0xff2b3e1f,
    0xff577e3a,
    0xff688633,
    0xff3c4d0a,
    0xff5c5a04,
    0xffb5aa2d,
    0xff978d17,
    0xff79710a,
    0xff837924,
    0xff726720,
    0xff7e6d32,
    0xff624c11,
    0xff82682d,
    0xff8f6a22,
    0xffae8632,
    0xff875708,
    0xffa26920,
    0xff9b6110,
    0xff935b12,
    0xff98682b,
    0xffa07a32,
    0xffa57e33,
    0xffa07f39,
    0xff885c1f,
    0xff9e5f2b,
    0xffb46f39,
    0xffae773e,
    0xff8f6631,
    0xff8f673b,
    0xff866126,
    0xff956e2b,
    0xff997321,
    0xff9b7323,
    0xff916721,
    0xff724700,
    0xffb88d3a,
    0xffc29936,
    0xffb68b32,
    0xff976618,
    0xffa56b2f,
    0xffa15f33,
    0xff99542b,
    0xffa26030,
    0xffad6d33,
    0xffad7533,
    0xffb2854c,
    0xff846232,
    0xff6b552d,
    0xff755d2f,
    0xff876222,
    0xff895f0d,
    0xffab8a28,
    0xffbea840,
    0xffb29735,
    0xff9c851d,
    0xff877208,
    0xffa48e2c,
    0xff826412,
    0xffbe984d,
    0xffa98333,
    0xffaf8c34,
    0xffa8852d,
    0xffa37d3c,
    0xff9b723c,
    0xffaa8043,
    0xff9e782f,
    0xffa4873c,
    0xffa89b4c,
    0xff999640,
    0xffa9a547,
    0xff867935,
    0xff9d8e51,
    0xff867d2e,
    0xff888a32,
    0xff6e7834,
    0xff3e4b25,
    0xff1d2917,
    0xff575743,
    0xff4f5935,
    0xff161f13,
    0xff1b200c,
    0xff322b0e,
    0xff443800,
    0xffa3a034,
    0xff686325,
    0xff838345,
    0xff7c7837,
    0xff8b823f,
    0xffa08e3f,
    0xff9b8b31,
    0xffa19d49,
    0xff657337,
    0xff5e7a52,
    0xff5b6d3e,
    0xff526f39,
    0xff46602e,
    0xff344003,
    0xffa0ae54,
    0xff798a30,
    0xff7f852e,
    0xffa49725,
    0xffca9b28,
    0xffd1a837,
    0xffa48a0c,
    0xffbaa12d,
    0xff7f580d,
    0xffa46b2b,
    0xffd28b3f,
    0xffc9782f,
    0xffaf601a,
    0xffc37c2d,
    0xff986910,
    0xff968a2c,
    0xff5c5c01,
    0xff696512,
    0xff716f21,
    0xff687427,
    0xff716f19,
    0xff98841f,
    0xffb49225,
    0xffad851d,
    0xff8f6400,
    0xffa68011,
    0xff8f8105,
    0xff99a225,
    0xff7f7e14,
    0xff777a15,
    0xff777908,
    0xff9a910c,
    0xffc0a81a,
    0xffc09f17,
    0xffd1b62d,
    0xffb7a71a,
    0xffabad36,
    0xff989d2f,
    0xff939c34,
    0xff5d6a07,
    0xff7f8b29,
    0xff5d6503,
    0xff6a6b0c,
    0xff817d21,
    0xff9b8b23,
    0xff968104,
    0xffaf9e1b,
    0xffa19119,
    0xffc6b234,
    0xffb19b0f,
    0xffd4c744,
    0xff8c8e27,
    0xff696d13,
    0xff798a34,
    0xff718119,
    0xff887f10,
    0xffb1981a,
    0xffb79b19,
    0xffb2962a,
    0xff967a0a,
    0xff917706,
    0xff9e840d,
    0xffc2a32c,
    0xffb08620,
    0xff8a5c08,
    0xff936817,
    0xff906e15,
    0xff927b0b,
    0xff8f8b38,
    0xff2f1a00,
    0xff794511,
    0xff995b20,
    0xff866328,
    0xff76641e,
    0xff816c2b,
    0xff7f722c,
    0xff8e7913,
    0xffcbad2e,
    0xffbc9d0a,
    0xffac9103,
    0xffd6ba28,
    0xffcea918,
    0xffc39d14,
    0xffb79a1e,
    0xff9e8106,
    0xff796300,
    0xff9b9127,
    0xffa0981e,
    0xffa89516,
    0xffa2850a,
    0xffa78509,
    0xffb4910e,
    0xffbd971a,
    0xffbca530,
    0xffaaa13e,
    0xff756e15,
    0xffc1b045,
    0xffceb22c,
    0xffb5910e,
    0xffb99325,
    0xffbb9c24,
    0xffc9ac2e,
    0xffa58417,
    0xffb59638,
    0xffa48620,
    0xffb49810,
    0xffc39f10,
    0xffc49819,
    0xffbe9d1c,
    0xffcca92d,
    0xffae8b19,
    0xffb1942e,
    0xff8e781f,
    0xff765b0c,
    0xff916d21,
    0xff86580c,
    0xffae8d3e,
    0xff80520b,
    0xff966215,
    0xff815711,
    0xff6b5727,
    0xff5a5e30,
    0xff44571f,
    0xff556936,
    0xff334519,
    0xff233420,
    0xff334829,
    0xff445d28,
    0xff112b00,
    0xff476138,
    0xff1e3a0a,
    0xff314b1f,
    0xff666c26,
    0xff797e33,
    0xff81873e,
    0xff5b5d1c,
    0xff5d541c,
    0xff644e1a,
    0xff7f5c26,
    0xff8d6427,
    0xff907421,
    0xffb18535,
    0xffb68331,
    0xffb18e28,
    0xffa18d17,
    0xffc1b137,
    0xffb7aa41,
    0xff918e2c,
    0xff7d9019,
    0xff7d8228,
    0xff6d6518,
    0xff918c2b,
    0xffaaad48,
    0xff909948,
    0xff414a00,
    0xff80882c,
    0xff545508,
    0xff887a35,
    0xff89772f,
    0xff90853d,
    0xff2b3000,
    0xff4c5a27,
    0xff647737,
    0xff5c6d16,
    0xff716d23,
    0xff756f1f,
    0xff7f7117,
    0xff82660d,
    0xff8a6215,
    0xff876526,
    0xff857242,
    0xff453e17,
    0xff3b3d1e,
    0xff47420c,
    0xffa89a40,
    0xffbba93b,
    0xffb1a921,
    0xffaeae49,
    0xff4b5906,
    0xff546b14,
    0xffa0b45c,
    0xff616712,
    0xff685d15,
    0xff645410,
    0xff7f752a,
    0xff6f721d,
    0xff414e06,
    0xff414e20,
    0xff5b6327,
    0xff8da456,
    0xff547527,
    0xff304107,
    0xff64601d,
    0xffa4912d,
    0xff978114,
    0xff6e5b03,
    0xff756b00,
    0xffa5a44e,
    0xff3b4307,
    0xff6e7a45,
    0xff3a470c,
    0xff5d6b2c,
    0xff3c4c21,
    0xff23381f,
    0xff2b441c,
    0xff1c3500,
    0xff5f7b37,
    0xff345116,
    0xff5b794c,
    0xff27431d,
    0xff1b370b,
    0xff3d5625,
    0xff243a0b,
    0xff42582b,
    0xff1b2e1b,
    0xff1a2d25,
    0xff1f3415,
    0xff425324,
    0xff394713,
    0xff455113,
    0xff455106,
    0xff4d571f,
    0xff455117,
    0xff3b4a0d,
    0xff404f17,
    0xff495718,
    0xff3f4702,
    0xff60602a,
    0xff5e5215,
    0xff645a0f,
    0xff4e490a,
    0xff474523,
    0xff2f350f,
    0xff6d7c2c,
    0xff8d9b31,
    0xff77811d,
    0xff59701c,
    0xff4e651b,
    0xff2e4410,
    0xff354d1b,
    0xff41562b,
    0xff313a1c,
    0xff3c3c06,
    0xff6e651b,
    0xffa39434,
    0xff887928,
    0xff706428,
    0xff2b2900,
    0xff2f3a10,
    0xff435330,
    0xff111d07,
    0xff1f2712,
    0xff263718,
    0xff5a694f,
    0xff1d2a17,
    0xff071804,
    0xff081601,
    0xff202d14,
    0xff172106,
    0xff192308,
    0xff1d2811,
    0xff343e32,
    0xff251d0b,
    0xff704622,
    0xff9a5d20,
    0xffbc7f3e,
    0xff723a09,
    0xffac7532,
    0xffa78b4b,
    0xff2a1d00,
    0xff272400,
    0xff665d36,
    0xff352b1b,
    0xff0e180c,
    0xff041e0a,
    0xff122a1f,
    0xff112a25,
    0xff132909,
    0xff0b1700,
    0xff232c1b,
    0xff28371c,
    0xff0d2904,
    0xff3c5f3a,
    0xff446c3b,
    0xff122e07,
    0xff0a2301,
    0xff152c14,
    0xff0a2713,
    0xff12341f,
    0xff36583c,
    0xff294319,
    0xff243504,
    0xff353e18,
    0xff1b2607,
    0xff3a4b33,
    0xff142515,
    0xff0e2013,
    0xff0e1e0f,
    0xff14250e,
    0xff1b2a0c,
    0xff2c401b,
    0xff1a2a14,
    0xff071209,
    0xff040e00,
    0xff34390b,
    0xff918f4c,
    0xff574507,
    0xffdcbf7f,
    0xff250800,
    0xffc5a24b,
    0xffbe9230,
    0xffcd9d28,
    0xffddb326,
    0xffbc9914,
    0xffc09f2f,
    0xffb4941e,
    0xffd1a529,
    0xffc9a317,
    0xffb58d11,
    0xffb78d22,
    0xffc49d27,
    0xffcead29,
    0xffdfbe36,
    0xffc9a714,
    0xffcca70f,
    0xffae971f,
    0xff806e18,
    0xffc3ae50,
    0xff7b6c2d,
    0xff332e03,
    0xff655a09,
    0xffc9a633,
    0xff766617,
    0xff77682e,
    0xff463902,
    0xff887f1e,
    0xff958c25,
    0xff857519,
    0xff847017,
    0xff715b02,
    0xff837110,
    0xff9f912e,
    0xff947a37,
    0xff5c4518,
    0xff3c3815,
    0xff000500,
    0xff4c4f2b,
    0xff3a230b,
    0xff100f00,
    0xff081003,
    0xff0f1e0f,
    0xff071609,
    0xff0e1117,
    0xff130e14,
    0xff130f08,
    0xff141211,
    0xff10110c,
    0xff14120e,
    0xff15100d,
    0xff130f0c,
    0xff170f0c,
    0xff180f0d,
    0xff180f0d,
    0xff15110e,
    0xff131207,
    0xff191503,
    0xff1c0f12,
    0xff1c1006,
    0xff1a0e04,
    0xff0c0000,
    0xff837b3a,
    0xff9c9a18,
    0xff9e9405,
    0xff9b9e11,
    0xff8d9711,
    0xff94981f,
    0xff5d5902,
    0xff716f23,
    0xff48480c,
    0xff4a4c1d,
    0xff2b2c06,
    0xff2a2601,
    0xff624d25,
    0xff3f1600,
    0xff481b00,
    0xff331701,
    0xff220b00,
    0xff1b0200,
    0xff201711,
    0xff2b1f18,
    0xff3e2d21,
    0xff2b1a04,
    0xff302804,
    0xff45430f,
    0xff6b6b35,
    0xff555720,
    0xff273b07,
    0xff3d4013,
    0xff4c4623,
    0xff23290d,
    0xff020b00,
    0xff090e04,
    0xff131a0b,
    0xff061500,
    0xff122407,
    0xff15220e,
    0xff2a311d,
    0xff141d01,
    0xff081700,
    0xff0a1906,
    0xff1a2d1b,
    0xff132610,
    0xff172119,
    0xff10180c,
    0xff12190b,
    0xff07110a,
    0xff081214,
    0xff0c1013,
    0xff090a01,
    0xff24240c,
    0xff33340b,
    0xff533414,
    0xff5e3013,
    0xff523110,
    0xff492a0c,
    0xff5f321b,
    0xff4b230f,
    0xff36240b,
    0xff261c03,
    0xff271601,
    0xff422e1d,
    0xff3f3221,
    0xff191a03,
    0xff1c1f01,
    0xff2a2303,
    0xff53401d,
    0xff3e2c15,
    0xff273121,
    0xff15190a,
    0xff2f260c,
    0xff492e10,
    0xff3e1f09,
    0xff45361b,
    0xff331d01,
    0xff654b35,
    0xff1f1303,
    0xff1f1b12,
    0xff130f01,
    0xff665c42,
    0xff372e14,
    0xff0f1203,
    0xff000b07,
    0xff0c140f,
    0xff131b03,
    0xff1a2007,
    0xff151c08,
    0xff1c260a,
    0xff1d250d,
    0xff191f09,
    0xff1d2300,
    0xff373100,
    0xff564a14,
    0xff66532e,
    0xff4e3815,
    0xff3c2805,
    0xff3a2505,
    0xff614a13,
    0xff5b3f0c,
    0xff011418,
    0xff949ea8,
    0xff8e8e9e,
    0xff5c5566,
    0xff574d5e,
    0xff4a4650,
    0xff413e4c,
    0xff363747,
    0xff464d5a,
    0xff51505f,
    0xff4c4353,
    0xff4e484b,
    0xff2b2a19,
    0xff595d40,
    0xff39462f,
    0xff223830,
    0xffabafb5,
    0xffbec2ce,
    0xff474e62,
    0xff384353,
    0xff2c3d41,
    0xff2a403e,
    0xff000e11,
    0xff02151e,
    0xff001422,
    0xff00151e,
    0xff0f1110,
    0xff452a1c,
    0xff7d5641,
    0xff89725b,
    0xff736949,
    0xff5e5428,
    0xff6e6c43,
    0xff251800,
    0xff61472d,
    0xff3c2a0e,
    0xff484725,
    0xff4d502f,
    0xff5d5312,
    0xffc3ab31,
    0xffc1a41f,
    0xffd3b329,
    0xffc1a628,
    0xffb2a144,
    0xff79681c,
    0xff614600,
    0xffc2a459,
    0xff5a4302,
    0xff675512,
    0xff878838,
    0xff5e732c,
    0xff355121,
    0xff3b571f,
    0xff537018,
    0xff58791c,
    0xff43611f,
    0xff364d16,
    0xff6b8536,
    0xff5f6c19,
    0xff68610c,
    0xff7c7513,
    0xff979c41,
    0xff5e6920,
    0xff6c762e,
    0xff1a2f00,
    0xff354c18,
    0xff54612a,
    0xff373900,
    0xff777f3a,
    0xff728b52,
    0xff28420e,
    0xff65753b,
    0xff67812d,
    0xff526430,
    0xff334f2a,
    0xff31472e,
    0xff2a4910,
    0xff43510c,
    0xff515f24,
    0xff7b8c2b,
    0xffa9aa33,
    0xff807916,
    0xff594e00,
    0xff594805,
    0xff7e6724,
    0xff6a500c,
    0xff9f8137,
    0xff977731,
    0xff7e592d,
    0xff725114,
    0xffa37a3c,
    0xff9f7131,
    0xff9a681f,
    0xffb37f42,
    0xff825124,
    0xff966b3c,
    0xff9c7533,
    0xff8a6727,
    0xff784911,
    0xffa66532,
    0xff9e602b,
    0xff926932,
    0xff866c3d,
    0xff694f26,
    0xff856130,
    0xff835b20,
    0xff895d14,
    0xff8a6015,
    0xff876316,
    0xff704e03,
    0xff835d12,
    0xffc49849,
    0xffb28134,
    0xffac752f,
    0xffaf7039,
    0xffa56132,
    0xff995128,
    0xff9d592a,
    0xffad6e36,
    0xffb17437,
    0xffa8743f,
    0xff805b30,
    0xff5b4a20,
    0xff605222,
    0xffac9254,
    0xffa17d2e,
    0xff9c7a25,
    0xff9c7e26,
    0xffb08e38,
    0xff997b24,
    0xff836a0f,
    0xffa78c35,
    0xff907021,
    0xffad863a,
    0xff997322,
    0xffab852d,
    0xffab8439,
    0xffa27e33,
    0xff9d7937,
    0xffac874d,
    0xff7a5717,
    0xff967e29,
    0xff9b8f35,
    0xff65600e,
    0xff797621,
    0xff948f38,
    0xff807719,
    0xff766f08,
    0xffa4a33d,
    0xff818335,
    0xff63662d,
    0xff55572a,
    0xff645c38,
    0xff686950,
    0xff181e14,
    0xff3d3707,
    0xff957834,
    0xff956a28,
    0xffbda040,
    0xff736125,
    0xff65632c,
    0xff696429,
    0xff8e833e,
    0xff887523,
    0xffb59d47,
    0xff998a3c,
    0xff6d6c30,
    0xff657246,
    0xff607645,
    0xff4c6c39,
    0xff2d4a20,
    0xff6e804c,
    0xff5c6b20,
    0xff899a4e,
    0xff787b30,
    0xff9c8b28,
    0xffb79721,
    0xffac8b1e,
    0xff967b14,
    0xff9f8935,
    0xff7b6429,
    0xff8a6428,
    0xffb5782a,
    0xffca7d24,
    0xffbb751a,
    0xffc88432,
    0xffab782a,
    0xff82701b,
    0xff7d7c20,
    0xff818326,
    0xff8c9a43,
    0xff274400,
    0xff968c38,
    0xff9c8a29,
    0xffa19129,
    0xff928b22,
    0xffa2992e,
    0xffa89924,
    0xff8d820b,
    0xff7e800e,
    0xff7a821c,
    0xff696e19,
    0xff696614,
    0xff908218,
    0xffbba423,
    0xffb8a222,
    0xffa89d26,
    0xff92951f,
    0xff979e2b,
    0xff8d9322,
    0xff5d6100,
    0xffabb044,
    0xff484c00,
    0xffacaf4a,
    0xff7e8328,
    0xff4f5100,
    0xff6f6402,
    0xffd5bf42,
    0xffc7ae24,
    0xffbda622,
    0xffdbc33e,
    0xffcdb11d,
    0xffc4ae1f,
    0xffb4a631,
    0xff88822a,
    0xff757a35,
    0xff7e8639,
    0xff80722a,
    0xffa2872c,
    0xffb79e24,
    0xffb09526,
    0xffa78322,
    0xff8e690d,
    0xff947413,
    0xff968019,
    0xffc3af44,
    0xff7b6300,
    0xff846900,
    0xff876c09,
    0xff957919,
    0xff9a7b1f,
    0xff957040,
    0xff6f4815,
    0xff5d3d05,
    0xff7f7237,
    0xff676118,
    0xff6e6218,
    0xff736717,
    0xff9c8423,
    0xff947200,
    0xffb0910b,
    0xffb69d13,
    0xffa48a03,
    0xffad8c03,
    0xffaa8b08,
    0xffab951b,
    0xff917700,
    0xffb8a232,
    0xffb6a43f,
    0xff97821c,
    0xff9d8215,
    0xffb59823,
    0xff9e8408,
    0xffb09917,
    0xffc3a727,
    0xffb19e30,
    0xff726b10,
    0xff938f31,
    0xffb7a933,
    0xffbda616,
    0xffd9ba28,
    0xffc5a51c,
    0xffaf9012,
    0xffb3951b,
    0xffb29426,
    0xffbb9d39,
    0xffaf9526,
    0xffab9010,
    0xffbb9715,
    0xffcba126,
    0xffa88d04,
    0xff998109,
    0xffa68e2a,
    0xffac8d36,
    0xff8d6411,
    0xffa57527,
    0xff8e5e1d,
    0xff87581f,
    0xff7e6b19,
    0xffa18940,
    0xff6e5409,
    0xff7d6d2a,
    0xff424219,
    0xff38451e,
    0xff596e39,
    0xff283a09,
    0xff2c3e13,
    0xff162310,
    0xff0c1812,
    0xff08190f,
    0xff566951,
    0xff233d14,
    0xff465e36,
    0xff172c14,
    0xff404f18,
    0xff454d0b,
    0xff706b1d,
    0xff7e701a,
    0xff8b7621,
    0xff9c883a,
    0xff705f1c,
    0xff705f25,
    0xff744c0f,
    0xffa56e1e,
    0xffc68e31,
    0xff9a7115,
    0xffb09830,
    0xffb2a42f,
    0xff918920,
    0xff454104,
    0xff686b2b,
    0xff3e4114,
    0xff767e3d,
    0xff8b9b29,
    0xff9fb12f,
    0xff7f8a2a,
    0xff797f44,
    0xff3b3f0e,
    0xff757148,
    0xff4f4112,
    0xff927e40,
    0xff7d6e21,
    0xff746d23,
    0xff676426,
    0xff67641e,
    0xff7b771c,
    0xff847615,
    0xff9d8e27,
    0xff9b891d,
    0xffac9129,
    0xff8f6c11,
    0xffa48538,
    0xff907f3f,
    0xff635d28,
    0xff404415,
    0xff91883f,
    0xffb4a42e,
    0xffc3b437,
    0xffaaab2b,
    0xff839129,
    0xff7d912b,
    0xff8da048,
    0xff6b8737,
    0xff444b0b,
    0xff5b4914,
    0xff4d3500,
    0xff746312,
    0xff898d33,
    0xff6f8937,
    0xff3b6018,
    0xff6c8f3e,
    0xff254004,
    0xff364411,
    0xff676621,
    0xff7a691e,
    0xff675110,
    0xff6e5f1b,
    0xff888439,
    0xff8a893b,
    0xff1a1d00,
    0xff1c2613,
    0xff293325,
    0xff0d1700,
    0xff5a633f,
    0xff1f2f10,
    0xff15280f,
    0xff394b28,
    0xff2a3b1d,
    0xff7e9865,
    0xff1c3c09,
    0xff375939,
    0xff042500,
    0xff32511a,
    0xff3a5127,
    0xff172211,
    0xff374120,
    0xff1b2403,
    0xff162008,
    0xff172a09,
    0xff132807,
    0xff162709,
    0xff051600,
    0xff556825,
    0xff737f43,
    0xff565a25,
    0xff383b10,
    0xff161f02,
    0xff3a4121,
    0xff5d5b2d,
    0xff4b3b0d,
    0xff3c2f06,
    0xff77712f,
    0xff4f4b0a,
    0xff414119,
    0xff1a1e00,
    0xff7a8843,
    0xff829434,
    0xff667417,
    0xff47571d,
    0xff364715,
    0xff3f5325,
    0xff304719,
    0xff1e2d12,
    0xff2d3605,
    0xff969631,
    0xff958831,
    0xff968a2b,
    0xff978727,
    0xffa09235,
    0xff888434,
    0xff666d33,
    0xff2f3e1f,
    0xff2a372c,
    0xff1e2928,
    0xff1c2b11,
    0xff182b14,
    0xff0d1e0f,
    0xff15251a,
    0xff0d1f0f,
    0xff192816,
    0xff101d0a,
    0xff13210c,
    0xff152610,
    0xff172312,
    0xff231900,
    0xff5e3203,
    0xffb97e33,
    0xffb8863c,
    0xff855f1a,
    0xffc7a664,
    0xff472f03,
    0xff383420,
    0xff202b12,
    0xff181f01,
    0xff151c0c,
    0xff203325,
    0xff1a331f,
    0xff112215,
    0xff0a1000,
    0xff63643c,
    0xff6c6545,
    0xff564c3a,
    0xff383a1d,
    0xff3e4f20,
    0xff425e22,
    0xff2f530f,
    0xff1e3d11,
    0xff203915,
    0xff0d2409,
    0xff0b270f,
    0xff0a2b11,
    0xff082805,
    0xff3b5726,
    0xff475b22,
    0xff273710,
    0xff213112,
    0xff243721,
    0xff04190a,
    0xff11271a,
    0xff192f1c,
    0xff122611,
    0xff1c2f16,
    0xff172412,
    0xff121e0e,
    0xff0e1810,
    0xff151f18,
    0xff060b00,
    0xff1f1a02,
    0xffa8945a,
    0xff442600,
    0xffedce59,
    0xffc7ab25,
    0xffd4b531,
    0xffcfaa21,
    0xffeac22a,
    0xffdab223,
    0xffbda024,
    0xffb6a226,
    0xffaf9025,
    0xffdabd3d,
    0xffc2a122,
    0xffc29e23,
    0xffc39d11,
    0xffe0ba27,
    0xffe3bc33,
    0xffb8930d,
    0xffd5b128,
    0xffb3a13f,
    0xff685f2b,
    0xff625e1c,
    0xff464107,
    0xffb6b35c,
    0xff928e22,
    0xffa69e3a,
    0xff1b2400,
    0xff4a4e28,
    0xff5d5f19,
    0xff9b992b,
    0xff76680f,
    0xff543800,
    0xffb89b34,
    0xffc6a925,
    0xff725702,
    0xffc4a733,
    0xff9f850b,
    0xff6f5b0d,
    0xff827c47,
    0xff4e4b1f,
    0xff7b7739,
    0xff7e782d,
    0xff605e29,
    0xff666a4e,
    0xff17240e,
    0xff0b1605,
    0xff0f110b,
    0xff141307,
    0xff141300,
    0xff12120c,
    0xff151611,
    0xff13120e,
    0xff120d0b,
    0xff16110e,
    0xff160e0c,
    0xff19110f,
    0xff19100e,
    0xff140f0c,
    0xff14110c,
    0xff18110a,
    0xff1a1013,
    0xff19100a,
    0xff181004,
    0xff100703,
    0xff3f380b,
    0xffada82d,
    0xffc7a225,
    0xff8e7e05,
    0xff6f6600,
    0xff684902,
    0xff997841,
    0xff4e420c,
    0xff393803,
    0xff7d6e3a,
    0xff685219,
    0xff775921,
    0xff8f5828,
    0xff6e1400,
    0xffa4402b,
    0xff7a2b1c,
    0xff4d170a,
    0xff401409,
    0xff3d1506,
    0xff241001,
    0xff1d1b0d,
    0xff282617,
    0xff251404,
    0xff39250e,
    0xff36300f,
    0xff121e00,
    0xff405617,
    0xff49541c,
    0xff3f4113,
    0xff101900,
    0xff37472b,
    0xff0a1504,
    0xff0a1001,
    0xff313925,
    0xff3d5527,
    0xff182900,
    0xff3c4922,
    0xff101806,
    0xff131b0e,
    0xff0f1a08,
    0xff1d2812,
    0xff141e10,
    0xff121f16,
    0xff111f11,
    0xff101809,
    0xff222a1f,
    0xff131a17,
    0xff0f100b,
    0xff151004,
    0xff4a3f23,
    0xff594121,
    0xff533015,
    0xff51280f,
    0xff3c1901,
    0xff68442b,
    0xff5b2f17,
    0xff582611,
    0xff5b2c15,
    0xff4a2b13,
    0xff3f2811,
    0xff211302,
    0xff23230f,
    0xff1a1f09,
    0xff161a00,
    0xff251c02,
    0xff372106,
    0xff5e4023,
    0xff241f0b,
    0xff161102,
    0xff302c11,
    0xff241901,
    0xff2d1d0f,
    0xff1a1608,
    0xff473322,
    0xff3a2512,
    0xff180e01,
    0xff0b0d01,
    0xff515042,
    0xff1e1602,
    0xff6b644d,
    0xff1b1d10,
    0xff03110f,
    0xff020e08,
    0xff101e0f,
    0xff152014,
    0xff1d1e0c,
    0xff312903,
    0xff2f2301,
    0xff1f1a07,
    0xff2c331d,
    0xff1d1d08,
    0xff211f00,
    0xff392e12,
    0xff2e2100,
    0xff403610,
    0xff33270c,
    0xff3a2f0c,
    0xff3c3014,
    0xff323d45,
    0xffb3b9c6,
    0xff686578,
    0xff5f5669,
    0xff4f4555,
    0xff47434e,
    0xff3e3c4b,
    0xff3b3c4e,
    0xff4f5669,
    0xff4d4d65,
    0xff4a404f,
    0xff524741,
    0xff45442d,
    0xff1f2f18,
    0xff304135,
    0xffb8c3c3,
    0xffc1bdd2,
    0xff4a465e,
    0xff383e4f,
    0xff14232b,
    0xff102b27,
    0xff173631,
    0xff0e282c,
    0xff000f1c,
    0xff030d1b,
    0xff030d12,
    0xff2a1008,
    0xff9a523a,
    0xff9e5130,
    0xff7b562b,
    0xff6d6632,
    0xff7a7634,
    0xff8d8937,
    0xff9b7b46,
    0xff6d3a29,
    0xff34160e,
    0xff2d321b,
    0xff353f24,
    0xff6f641d,
    0xffb6950b,
    0xffc7a317,
    0xffbf9805,
    0xffa68304,
    0xffa08933,
    0xff7b6722,
    0xff987e2b,
    0xff947c25,
    0xff675309,
    0xff695719,
    0xff6d7333,
    0xff3d5929,
    0xff27472a,
    0xff243d14,
    0xff537028,
    0xff65893e,
    0xff1c4610,
    0xff244115,
    0xff325617,
    0xff5d7a30,
    0xff6e7a25,
    0xff7d8524,
    0xff6f7f21,
    0xff626f20,
    0xff63691d,
    0xff3d4e1b,
    0xff303d0d,
    0xff3f4408,
    0xff99944e,
    0xff6f6e2c,
    0xff5d703b,
    0xff2b471f,
    0xff1f3b16,
    0xff31541b,
    0xff273d1d,
    0xff2b452f,
    0xff0e200b,
    0xff566a3e,
    0xff716d3b,
    0xff505d26,
    0xff516d16,
    0xff717708,
    0xff938d30,
    0xff78641d,
    0xff8d6c2a,
    0xff926b20,
    0xff996d1f,
    0xff7e5210,
    0xff845723,
    0xff624113,
    0xff93773a,
    0xff84692d,
    0xff7a5d20,
    0xff845f1b,
    0xff8f652a,
    0xff895f30,
    0xffa07844,
    0xff6e4c14,
    0xff6c4810,
    0xff9a6633,
    0xff8b501e,
    0xff996c36,
    0xff73632d,
    0xff645f32,
    0xff594c2c,
    0xff7d633b,
    0xff633c09,
    0xff956327,
    0xff966b25,
    0xff85691d,
    0xff917a34,
    0xff7a5b17,
    0xff875b1f,
    0xffb17739,
    0xffbe7f44,
    0xff9d5a24,
    0xffc27c49,
    0xff9b5523,
    0xffbc7944,
    0xff94541d,
    0xffa3642c,
    0xffa56636,
    0xff92673d,
    0xff5f4b1f,
    0xff5a501b,
    0xff7a6723,
    0xff9a7e30,
    0xffa27d2e,
    0xff8f6920,
    0xff9d7630,
    0xff916d24,
    0xff896a1f,
    0xff917026,
    0xff906b23,
    0xff9b7029,
    0xff9e7424,
    0xffc59c47,
    0xffa5802d,
    0xffaa8643,
    0xff997745,
    0xff906f41,
    0xff9f843a,
    0xffae9b35,
    0xff98892b,
    0xff8c803b,
    0xff59570d,
    0xffa9a83e,
    0xffb3b22f,
    0xffb7b734,
    0xff8d8b1b,
    0xffb0ae4c,
    0xff999440,
    0xff8e8436,
    0xff8b7c39,
    0xff656137,
    0xff2d2512,
    0xff957a37,
    0xffd79c45,
    0xffc17629,
    0xffca9637,
    0xff826520,
    0xff6c6632,
    0xff736c2e,
    0xff897a2d,
    0xffa28934,
    0xffa08431,
    0xffae954e,
    0xff76662d,
    0xff706a3a,
    0xff566b3a,
    0xff557447,
    0xff1d3d1c,
    0xff3b542c,
    0xff223400,
    0xff5f672c,
    0xff6b6626,
    0xff978430,
    0xffa38e2b,
    0xffaf9734,
    0xffa79341,
    0xff6f6429,
    0xff5f5c25,
    0xff64531b,
    0xffb1823a,
    0xffc67d22,
    0xffad6812,
    0xffc07d32,
    0xffaa762a,
    0xff8b6f11,
    0xff95871c,
    0xff786c0a,
    0xff545304,
    0xff646e2e,
    0xff7c6d21,
    0xff8f7823,
    0xff7a6a13,
    0xff5f5c00,
    0xff7e7e15,
    0xff807703,
    0xff817606,
    0xff8d8522,
    0xff657308,
    0xff737d24,
    0xff72721f,
    0xff6b6000,
    0xff93840a,
    0xffb7ae34,
    0xff8f9724,
    0xff95ad37,
    0xff7c8813,
    0xffa0a530,
    0xff989526,
    0xff837e0e,
    0xffc4be52,
    0xff848121,
    0xff5a5f0b,
    0xff656d24,
    0xff6d6409,
    0xffb3991c,
    0xffdfbb2a,
    0xffbe9f12,
    0xffab8f08,
    0xffc7a813,
    0xffd4b01c,
    0xffcbad26,
    0xff9b9325,
    0xff3f4205,
    0xff364000,
    0xff5e5b0c,
    0xffa09136,
    0xff9e9219,
    0xffa3921c,
    0xff9a7c1a,
    0xff856306,
    0xff7c600c,
    0xff735e09,
    0xff8b7e19,
    0xffaba025,
    0xff9d9219,
    0xff675500,
    0xff887435,
    0xff8d6d25,
    0xff3c1800,
    0xff604b27,
    0xff3e3505,
    0xff5f511d,
    0xff867b33,
    0xff959045,
    0xffb1a555,
    0xff968027,
    0xff8c6d06,
    0xffa48612,
    0xff947e08,
    0xffa18b17,
    0xff937602,
    0xff917804,
    0xff928213,
    0xff907c12,
    0xff988121,
    0xff806806,
    0xffa58a20,
    0xffc9ac3d,
    0xffb69b31,
    0xffad9a2f,
    0xffab9f31,
    0xffb19c35,
    0xff978634,
    0xff534a04,
    0xff7d7620,
    0xffb8a839,
    0xffcdb230,
    0xffd4b429,
    0xffcaac1b,
    0xffdaba31,
    0xffb8961c,
    0xffb99b29,
    0xffac8f1c,
    0xffc2a72e,
    0xffc8aa32,
    0xff987602,
    0xffb4911c,
    0xffb19d1d,
    0xffa5901f,
    0xff96781d,
    0xffa7782d,
    0xff9c601b,
    0xffa46425,
    0xffa76b35,
    0xff744114,
    0xff725810,
    0xff89712d,
    0xff725e19,
    0xff736f2f,
    0xff646e41,
    0xff0f2400,
    0xff4b6229,
    0xff2a3a08,
    0xff546335,
    0xff46562c,
    0xff0e1c0f,
    0xff010e14,
    0xff213322,
    0xff142a00,
    0xff4b6236,
    0xff213615,
    0xff4c592b,
    0xff666b2b,
    0xff766e1a,
    0xff938025,
    0xff745e0b,
    0xff766720,
    0xff5e5a1f,
    0xff42430b,
    0xff805b19,
    0xffc9953b,
    0xffc89330,
    0xff926b0f,
    0xff8e7515,
    0xffbaa937,
    0xffb6a938,
    0xffb9b24e,
    0xff79791e,
    0xff707939,
    0xff586f34,
    0xff617e29,
    0xff829737,
    0xff444e01,
    0xff393e0d,
    0xff606937,
    0xff6e6e3d,
    0xff3b3100,
    0xffad995b,
    0xff816e24,
    0xff826f2a,
    0xff89733c,
    0xff7c6121,
    0xff8d6c1a,
    0xff9c8314,
    0xff806800,
    0xffa38a1b,
    0xffa0831a,
    0xff8f6f13,
    0xff937827,
    0xff998742,
    0xff665d1d,
    0xff3c3f05,
    0xff897c2c,
    0xffc6b332,
    0xffb2a633,
    0xff767e22,
    0xff536d1f,
    0xff637e2f,
    0xff384510,
    0xff446117,
    0xff3e4713,
    0xff65582b,
    0xff76641f,
    0xff918b34,
    0xff79842f,
    0xff315100,
    0xff497620,
    0xff2e5c11,
    0xff26411e,
    0xff2d3217,
    0xff635d17,
    0xff7b7020,
    0xff5f4f1e,
    0xff2b2200,
    0xff78792b,
    0xff818a3b,
    0xff52601d,
    0xff334813,
    0xff475c31,
    0xff45542d,
    0xff1a250b,
    0xff3d4936,
    0xff122212,
    0xff2b3910,
    0xff3c4937,
    0xff162e0b,
    0xff426533,
    0xff35593d,
    0xff254824,
    0xff3a5525,
    0xff202f16,
    0xff364330,
    0xff3e4411,
    0xff6a6923,
    0xff5e611e,
    0xff62703a,
    0xff14240e,
    0xff09140e,
    0xff383d27,
    0xff292907,
    0xff55521d,
    0xff322e00,
    0xff35320e,
    0xff2e2f0f,
    0xff3e4023,
    0xff2f3113,
    0xff47491e,
    0xff38340e,
    0xff58541b,
    0xff494306,
    0xff4b4718,
    0xff2e3200,
    0xff869747,
    0xff80933b,
    0xff6d8034,
    0xff626b4a,
    0xff374324,
    0xff2f4018,
    0xff445b28,
    0xff021400,
    0xff666d34,
    0xffa9a63e,
    0xffa28e3a,
    0xff766517,
    0xff9c8d31,
    0xff847913,
    0xff878228,
    0xff686d2c,
    0xff1c2b03,
    0xff0e230e,
    0xff051908,
    0xff1b2c18,
    0xff304131,
    0xff14261d,
    0xff0a1b13,
    0xff0b1c12,
    0xff1c2d1f,
    0xff1f2c1f,
    0xff1e2b1d,
    0xff293514,
    0xff1f2504,
    0xff8b7b53,
    0xffbf8f59,
    0xffb97f43,
    0xff603609,
    0xff492f0f,
    0xff241000,
    0xff4c3d2b,
    0xff161a18,
    0xff11251c,
    0xff213924,
    0xff233a2a,
    0xff132c20,
    0xff0c2414,
    0xff091506,
    0xff0f0e00,
    0xff37311a,
    0xff29200a,
    0xff140c00,
    0xff131503,
    0xff1f3606,
    0xff3a6016,
    0xff234f08,
    0xff1b4203,
    0xff43632f,
    0xff253f18,
    0xff263f22,
    0xff0c250a,
    0xff1b3616,
    0xff395229,
    0xff42592a,
    0xff3a4d2d,
    0xff1d3216,
    0xff1c301d,
    0xff001607,
    0xff061f12,
    0xff142d1f,
    0xff0c2411,
    0xff071b09,
    0xff131b0a,
    0xff3b462d,
    0xff2a371f,
    0xff0d1a0e,
    0xff1a211c,
    0xff080300,
    0xffa79552,
    0xff927911,
    0xffd3ad27,
    0xffc1a316,
    0xffc1a821,
    0xffcbab2b,
    0xffdaae29,
    0xffe8bb3f,
    0xff795b00,
    0xff8c7f0a,
    0xffaa8c26,
    0xffc9b134,
    0xff917b13,
    0xffbaa23d,
    0xffd0b84a,
    0xffc1a732,
    0xffa68a15,
    0xffbe9f25,
    0xffac9424,
    0xffa4992c,
    0xff484702,
    0xff3d4418,
    0xff494e1d,
    0xff343504,
    0xff3d3e07,
    0xff343a0e,
    0xff636f3b,
    0xff373a0b,
    0xff9a9739,
    0xff958713,
    0xff583c00,
    0xffa07a27,
    0xffae8804,
    0xffc89f06,
    0xffdbbd2a,
    0xffcea715,
    0xffbf9e0b,
    0xffad9939,
    0xff76621b,
    0xffa89338,
    0xff6e5d10,
    0xff6f6b24,
    0xff5d5a17,
    0xff858160,
    0xff1b1d0f,
    0xff0f120e,
    0xff121213,
    0xff16140b,
    0xff131407,
    0xff121215,
    0xff141310,
    0xff151510,
    0xff14100d,
    0xff140f0c,
    0xff170e0d,
    0xff180f0d,
    0xff15100d,
    0xff140f0c,
    0xff160f0c,
    0xff190f11,
    0xff180f10,
    0xff17110f,
    0xff141109,
    0xff120e01,
    0xff292309,
    0xffa29f34,
    0xff858302,
    0xff999b26,
    0xff85711a,
    0xff854711,
    0xff7d2d0c,
    0xff712d09,
    0xff723704,
    0xffb5703c,
    0xffad5c27,
    0xffa8622c,
    0xff843c0e,
    0xff903b19,
    0xff963a25,
    0xff510000,
    0xff70271d,
    0xff772c26,
    0xff6a2e1d,
    0xff422413,
    0xff1b190c,
    0xff11110b,
    0xff250f0e,
    0xff3e1d16,
    0xff3a2411,
    0xff282304,
    0xff403707,
    0xff3d3905,
    0xff5a5828,
    0xff1b1800,
    0xff2b3012,
    0xff212a15,
    0xff171b0a,
    0xff171205,
    0xff233208,
    0xff4c5d2c,
    0xff1d2905,
    0xff1c2108,
    0xff141704,
    0xff1a1f06,
    0xff1c230a,
    0xff0b1304,
    0xff0a1a0f,
    0xff132010,
    0xff0e1908,
    0xff141a0c,
    0xff171c12,
    0xff18150b,
    0xff201602,
    0xff301f03,
    0xff351c05,
    0xff261100,
    0xff35220b,
    0xff332109,
    0xff4b391e,
    0xff371f04,
    0xff4a2408,
    0xff7c4830,
    0xff6b3f29,
    0xff371a04,
    0xff1e1902,
    0xff303921,
    0xff2f3a26,
    0xff222311,
    0xff241b0a,
    0xff2c210b,
    0xff291503,
    0xff1e1d0c,
    0xff100c02,
    0xff0d1000,
    0xff161800,
    0xff403725,
    0xff413727,
    0xff361206,
    0xff30210f,
    0xff161204,
    0xff070901,
    0xff28281b,
    0xff47412d,
    0xff4c4330,
    0xff424439,
    0xff000503,
    0xff010d0d,
    0xff01130f,
    0xff02110f,
    0xff0f0e00,
    0xff5e4c0a,
    0xff604b02,
    0xff4a430a,
    0xff253005,
    0xff2f3510,
    0xff343305,
    0xff2f2600,
    0xff423808,
    0xff383100,
    0xff322f04,
    0xff3f4008,
    0xff494b18,
    0xff777b87,
    0xff9c9baa,
    0xff60596e,
    0xff594f61,
    0xff4f4657,
    0xff46414e,
    0xff3a3848,
    0xff3f4052,
    0xff4d5064,
    0xff4a485f,
    0xff504150,
    0xff574438,
    0xff3d3e27,
    0xff3f5448,
    0xffb6c7ce,
    0xffc2bfcd,
    0xff404158,
    0xff333648,
    0xff202a36,
    0xff0a1f23,
    0xff001b16,
    0xff082722,
    0xff0c211c,
    0xff040d08,
    0xff2d170e,
    0xff402112,
    0xff63280a,
    0xffc2663a,
    0xffba6737,
    0xff7a5726,
    0xff565b29,
    0xff4b561c,
    0xff7d6d1e,
    0xff9e6b2c,
    0xffa25d29,
    0xffb28940,
    0xff7c7927,
    0xff606124,
    0xff66510b,
    0xffd1b039,
    0xff967c05,
    0xffb1920d,
    0xff9e840e,
    0xff7f6e1f,
    0xff7e6f2f,
    0xff8f7a29,
    0xff897420,
    0xff5a4a06,
    0xff635a1f,
    0xff4a5523,
    0xff325337,
    0xff16392a,
    0xff20371c,
    0xff445921,
    0xff5c7d43,
    0xff163f15,
    0xff14340f,
    0xff1e451e,
    0xff335225,
    0xff5b6a2f,
    0xff707832,
    0xff57601b,
    0xff555813,
    0xff8c8237,
    0xff66621e,
    0xff625f1e,
    0xff807e3b,
    0xff6d6c29,
    0xff6d7638,
    0xff394e20,
    0xff203d20,
    0xff284734,
    0xff294c29,
    0xff233a28,
    0xff172b1a,
    0xff252a16,
    0xff26330b,
    0xff6b6d46,
    0xff3c420f,
    0xff6a6d27,
    0xff5b5207,
    0xff857325,
    0xff896917,
    0xffb78933,
    0xffac771d,
    0xffb27c2c,
    0xff986328,
    0xffab794f,
    0xff5c3703,
    0xff7e6228,
    0xff755c32,
    0xff664c2d,
    0xff5a3f16,
    0xff896b42,
    0xff6e4926,
    0xff775722,
    0xff7e602f,
    0xff775521,
    0xff91612c,
    0xff91602a,
    0xff765e25,
    0xff6a713b,
    0xff4c5c32,
    0xff3c3f24,
    0xff554c2c,
    0xff886c3a,
    0xff8c5b25,
    0xff8c601d,
    0xff886d2d,
    0xff806b31,
    0xff644503,
    0xff865414,
    0xffa26329,
    0xffa7672c,
    0xffb67439,
    0xffbb7940,
    0xffb37037,
    0xffa4632b,
    0xff8c4d17,
    0xffa36630,
    0xffb4763f,
    0xff93642f,
    0xff7b5c28,
    0xff8f7839,
    0xff84691c,
    0xffb5903c,
    0xffa87f30,
    0xff9a7129,
    0xff916420,
    0xffa9803c,
    0xff8c6924,
    0xff74510e,
    0xffa47d3b,
    0xff9b6f2c,
    0xff9f752b,
    0xffae8435,
    0xffab8434,
    0xff987443,
    0xff735333,
    0xff7d6430,
    0xffa28c3a,
    0xff9a872d,
    0xff988632,
    0xffa29141,
    0xff555305,
    0xffa9aa3a,
    0xffb6b833,
    0xffb9ba3f,
    0xffaaac3e,
    0xffb5b64a,
    0xffadab3e,
    0xffa8a13b,
    0xffa99f3d,
    0xffb9b05f,
    0xff4f3905,
    0xff9b702a,
    0xffd08935,
    0xffbc701b,
    0xffab7310,
    0xff967123,
    0xff837741,
    0xff938741,
    0xff907c25,
    0xffa58a30,
    0xff886b19,
    0xff997f3b,
    0xff827139,
    0xff776d39,
    0xff5e7240,
    0xff335028,
    0xff2c4c2e,
    0xff435f40,
    0xff3f5022,
    0xff5b5f22,
    0xff7d702a,
    0xff8f7628,
    0xff8a7627,
    0xff8b7f26,
    0xff6f6c23,
    0xff545b21,
    0xff4c5317,
    0xff7d7239,
    0xff80541c,
    0xffc28533,
    0xffb48129,
    0xffa5792a,
    0xff9b7a28,
    0xffa89735,
    0xff92841d,
    0xff8a7721,
    0xff735f1a,
    0xff695a1d,
    0xff6d5e15,
    0xff87681d,
    0xff916a1c,
    0xffaa893a,
    0xff89700f,
    0xffad9327,
    0xff7f6f07,
    0xff726f16,
    0xff5a6516,
    0xff636d23,
    0xff4b5000,
    0xff676607,
    0xff847e1d,
    0xff5f5c02,
    0xff667010,
    0xff7b901d,
    0xffa4ac34,
    0xffa3a834,
    0xff7f7e10,
    0xffa09e35,
    0xff6a6a06,
    0xff61640c,
    0xff626a1d,
    0xff59601c,
    0xff89802c,
    0xffc5a830,
    0xffbf9602,
    0xffb99605,
    0xffa88f04,
    0xffa98c01,
    0xffd0ab1c,
    0xffc5a214,
    0xffa19a1f,
    0xff464b15,
    0xff687a30,
    0xff7f9220,
    0xff6e760d,
    0xff91962b,
    0xff706904,
    0xff958220,
    0xff7e6b00,
    0xffa79338,
    0xff75600e,
    0xff947d22,
    0xff9a871a,
    0xff978b21,
    0xff605911,
    0xff413f18,
    0xff36320c,
    0xff55413d,
    0xff282210,
    0xff392a0b,
    0xff795228,
    0xff957238,
    0xff665c1f,
    0xff6a6620,
    0xff4d4500,
    0xff917f1d,
    0xff766100,
    0xff80730e,
    0xff726504,
    0xff7a6400,
    0xff8d770e,
    0xff786909,
    0xff796512,
    0xff988426,
    0xff756004,
    0xffac9540,
    0xffad943c,
    0xff927d17,
    0xff948119,
    0xff8e791f,
    0xff857223,
    0xff6b5919,
    0xff574a06,
    0xffbaad4c,
    0xffc7b33b,
    0xffbb9f24,
    0xffc5a121,
    0xffc7a61b,
    0xffd1aa1f,
    0xffc6a11c,
    0xffbe9d20,
    0xffcaa831,
    0xffe1c045,
    0xffb18f13,
    0xffb99520,
    0xffa78518,
    0xffaa982b,
    0xffa2801b,
    0xffb47a23,
    0xffa76519,
    0xff8d4c10,
    0xff824a12,
    0xff76460d,
    0xff84551d,
    0xff6f4317,
    0xff7f5530,
    0xff7e5b27,
    0xff776227,
    0xff312d03,
    0xff161f00,
    0xff5d6c32,
    0xff5a6735,
    0xff3e4e24,
    0xff4a5c24,
    0xff5f7250,
    0xff112518,
    0xff273f26,
    0xff3e5634,
    0xff384f29,
    0xff2a3f0b,
    0xff6f6f3a,
    0xff5a5b17,
    0xff818434,
    0xff63621a,
    0xff564f1c,
    0xff615632,
    0xff524823,
    0xff83794c,
    0xff7c632b,
    0xff734810,
    0xffb4863f,
    0xff907029,
    0xff97813b,
    0xff7d651e,
    0xffa3903a,
    0xff7d7411,
    0xffa6a950,
    0xff3f4806,
    0xff485b1a,
    0xff405606,
    0xff7c9138,
    0xff828e3f,
    0xff79843c,
    0xff627020,
    0xff696e24,
    0xff848043,
    0xff6f622a,
    0xffa59258,
    0xff68511d,
    0xff896c3b,
    0xff8e6a2b,
    0xff8a630d,
    0xffa4821e,
    0xff947410,
    0xff8d6e10,
    0xff947722,
    0xff7b5e11,
    0xff785c17,
    0xff9b8445,
    0xff897439,
    0xff443606,
    0xff938340,
    0xffcdc256,
    0xff9b9a31,
    0xff869936,
    0xff55731c,
    0xff79993c,
    0xff344c04,
    0xff203401,
    0xff3b4521,
    0xff525332,
    0xff4c4a1e,
    0xff4d5319,
    0xff6f7e47,
    0xff465a2b,
    0xff314a1b,
    0xff264513,
    0xff2b3e27,
    0xff36412c,
    0xff3e4813,
    0xff4d5713,
    0xff454a0c,
    0xff7a7434,
    0xff84792d,
    0xff474716,
    0xff2f3907,
    0xff3f5420,
    0xff354a1a,
    0xff475530,
    0xff444e34,
    0xff162310,
    0xff2f422d,
    0xff2c3f0e,
    0xff253517,
    0xff162701,
    0xff3b541e,
    0xff112a00,
    0xff1b330e,
    0xff223216,
    0xff1c2619,
    0xff2a3b1c,
    0xff454a0b,
    0xff655c06,
    0xff7c7517,
    0xff4f5503,
    0xff4b5523,
    0xff252a0d,
    0xff625f35,
    0xff463818,
    0xff505321,
    0xff3c4c1a,
    0xff6c7640,
    0xff605d18,
    0xff524b12,
    0xff262908,
    0xff2b3e19,
    0xff3b3b12,
    0xff4d461d,
    0xff564a25,
    0xff4f4720,
    0xff5d5f1e,
    0xff8a9949,
    0xff384a0a,
    0xff253517,
    0xff202912,
    0xff2d3b1b,
    0xff627154,
    0xff445f29,
    0xff263d06,
    0xff42481d,
    0xff5f5617,
    0xff5a4400,
    0xff846c19,
    0xff9e8b37,
    0xff584e04,
    0xff444508,
    0xff576032,
    0xff21310e,
    0xff0b1d00,
    0xff0f2107,
    0xff364733,
    0xff243627,
    0xff14241c,
    0xff061b12,
    0xff0d2116,
    0xff011307,
    0xff14241a,
    0xff0c1c13,
    0xff172d20,
    0xff172e1f,
    0xff010700,
    0xff403316,
    0xff433417,
    0xff3b3e1d,
    0xff0f1e07,
    0xff1d2d1f,
    0xff0f170c,
    0xff010e10,
    0xff05191a,
    0xff082316,
    0xff183122,
    0xff01180d,
    0xff01140a,
    0xff283728,
    0xff404926,
    0xff34371b,
    0xff3b3c1b,
    0xff4d522d,
    0xff0a1900,
    0xff5b7c34,
    0xff4b7819,
    0xff538033,
    0xff4b7829,
    0xff4d7131,
    0xff264216,
    0xff152b11,
    0xff162a17,
    0xff132715,
    0xff162816,
    0xff0e230d,
    0xff0c1e05,
    0xff273a23,
    0xff152919,
    0xff041a0f,
    0xff00120a,
    0xff01160c,
    0xff0f2319,
    0xff26382c,
    0xff071401,
    0xff19280c,
    0xff0b1b00,
    0xff243226,
    0xff1d2320,
    0xff0b0400,
    0xff68540a,
    0xffc7aa25,
    0xffcfa428,
    0xffceaa28,
    0xffcbac27,
    0xffc2a120,
    0xffc8a026,
    0xffdaaf3e,
    0xffd5b94b,
    0xffbdac3e,
    0xff936a1e,
    0xffad8f2e,
    0xff99872f,
    0xff504508,
    0xff4e450e,
    0xff5e5517,
    0xff6d611d,
    0xffa69744,
    0xff6c5b1d,
    0xffb4aa4d,
    0xff878429,
    0xff4a4e19,
    0xff263115,
    0xff1a2c17,
    0xff253210,
    0xff2e3300,
    0xff98913d,
    0xffaf9e2f,
    0xffd2b731,
    0xffc59f1c,
    0xffb58e16,
    0xffd9b61d,
    0xffe1bf14,
    0xffdfb61f,
    0xffdbb315,
    0xff9f7900,
    0xffd6b440,
    0xff765706,
    0xffad8c2a,
    0xffa18306,
    0xff8d750b,
    0xff766e1a,
    0xff4a4600,
    0xff645f36,
    0xff181501,
    0xff12110d,
    0xff12101b,
    0xff121115,
    0xff0f120b,
    0xff111317,
    0xff12120f,
    0xff16110e,
    0xff130f0c,
    0xff140f0c,
    0xff170f0d,
    0xff130f0c,
    0xff140f0c,
    0xff16110e,
    0xff1c110d,
    0xff1a0f11,
    0xff17110b,
    0xff121111,
    0xff0d100a,
    0xff141408,
    0xff070100,
    0xff928d44,
    0xff9b8329,
    0xff6e4100,
    0xffb06e3a,
    0xff812d0c,
    0xff771100,
    0xffa5321d,
    0xffa8381b,
    0xff902803,
    0xff8b2806,
    0xff843111,
    0xff772e13,
    0xff7a3523,
    0xff56190c,
    0xff592a1d,
    0xff57231b,
    0xff551612,
    0xff3f1304,
    0xff2b0900,
    0xff311713,
    0xff2a130e,
    0xff30110b,
    0xff461d11,
    0xff481708,
    0xff471002,
    0xff4b1403,
    0xff634225,
    0xff342000,
    0xff3b250a,
    0xff372912,
    0xff2a2b17,
    0xff101000,
    0xff281a10,
    0xff2e2c1e,
    0xff161706,
    0xff161a05,
    0xff4f5627,
    0xff202500,
    0xff484e2e,
    0xff0f1600,
    0xff1e2910,
    0xff122311,
    0xff172413,
    0xff1e2816,
    0xff161b0d,
    0xff11170e,
    0xff1a1b10,
    0xff231d0d,
    0xff271c05,
    0xff31270c,
    0xff34270f,
    0xff271c07,
    0xff201803,
    0xff231a04,
    0xff241100,
    0xff4e2f16,
    0xff441e06,
    0xff371503,
    0xff2a1907,
    0xff191e07,
    0xff141e0b,
    0xff1c2110,
    0xff2b2819,
    0xff27210e,
    0xff111000,
    0xff26230c,
    0xff151b08,
    0xff41382c,
    0xff1a1a06,
    0xff0b1100,
    0xff362e19,
    0xff605843,
    0xff684b3b,
    0xff4d402e,
    0xff443f31,
    0xff0d0c01,
    0xff151406,
    0xff372e1c,
    0xff392e1d,
    0xff757365,
    0xff000500,
    0xff040e08,
    0xff000a05,
    0xff000d0e,
    0xff000000,
    0xffbeb36f,
    0xffaca04a,
    0xff6d6726,
    0xff525823,
    0xff393910,
    0xff7c753f,
    0xff675926,
    0xff3f3000,
    0xff685f1d,
    0xff413f05,
    0xff454a05,
    0xff464e0c,
    0xffaca9b9,
    0xff777387,
    0xff5e566b,
    0xff544b5d,
    0xff4a4252,
    0xff403c4a,
    0xff3d3b4b,
    0xff4f5064,
    0xff565365,
    0xff464153,
    0xff584a4f,
    0xff4c382d,
    0xff635f55,
    0xffd6e8ee,
    0xffa5b0c5,
    0xff433c53,
    0xff313f46,
    0xff0d1e22,
    0xff0d1e23,
    0xff00181d,
    0xff001a1f,
    0xff021511,
    0xff15190a,
    0xff544528,
    0xff6a3d11,
    0xff9c5f36,
    0xffb96f3c,
    0xffa25617,
    0xffac7438,
    0xff775f35,
    0xff4d522d,
    0xff35461d,
    0xff876b2a,
    0xffaf712e,
    0xff904600,
    0xffbb871d,
    0xffb69a2a,
    0xff71550a,
    0xff735719,
    0xffaf9d3f,
    0xff6c681a,
    0xff7c7314,
    0xff756f14,
    0xff5f5f1e,
    0xff5a591f,
    0xff6f6521,
    0xff786c2a,
    0xff6a632d,
    0xff4d4f1b,
    0xff485d35,
    0xff2f523b,
    0xff143428,
    0xff1f331d,
    0xff3a471f,
    0xff4d6236,
    0xff14310f,
    0xff1e3a1c,
    0xff213f24,
    0xff314a1c,
    0xff464f06,
    0xff7f7d24,
    0xff99963b,
    0xff807414,
    0xffb8a139,
    0xffaa8d28,
    0xff87731a,
    0xff544f04,
    0xff505d24,
    0xff455e2f,
    0xff2a441f,
    0xff264028,
    0xff072415,
    0xff293e2e,
    0xff19281d,
    0xff232c1f,
    0xff97876f,
    0xff252e09,
    0xff283912,
    0xff696d3a,
    0xff8a6435,
    0xff6b4726,
    0xff8f6733,
    0xffa47425,
    0xffa36c0f,
    0xffad7218,
    0xffaf7826,
    0xff98671f,
    0xff9a702a,
    0xffa87c40,
    0xff927131,
    0xff745c2e,
    0xff5a4628,
    0xff77653e,
    0xff553f1b,
    0xff5e4323,
    0xff806837,
    0xff715c29,
    0xff7d652d,
    0xff8c6b30,
    0xff7f6126,
    0xff726d32,
    0xff59723b,
    0xff49683f,
    0xff324128,
    0xff2c351a,
    0xff6e612c,
    0xff775019,
    0xffba924f,
    0xff7a5c22,
    0xff5a3f0e,
    0xffad8a38,
    0xffa8751d,
    0xffb17532,
    0xffb27736,
    0xffac6f30,
    0xffc68a4b,
    0xffa36a2d,
    0xffab7238,
    0xffb37a42,
    0xff9b652c,
    0xff9e6925,
    0xffad7b3e,
    0xffb08448,
    0xff996f2a,
    0xffae802c,
    0xffb28328,
    0xff9e731a,
    0xffab8331,
    0xff8f6316,
    0xff9b7329,
    0xff94702b,
    0xff836020,
    0xff966d31,
    0xff7e5517,
    0xff906727,
    0xff9c7433,
    0xffa0794a,
    0xff815e34,
    0xff674f1b,
    0xff998547,
    0xff998448,
    0xff745c1f,
    0xff846e1b,
    0xffb5a43c,
    0xff9d983b,
    0xff8b891e,
    0xff959329,
    0xff989c3e,
    0xff767f20,
    0xff505c00,
    0xff8d941f,
    0xffa9a73b,
    0xffa4a333,
    0xffada336,
    0xffae933b,
    0xff7e5100,
    0xffc18b2d,
    0xffa5711e,
    0xffa97f28,
    0xff8e6e1e,
    0xff7f6c2f,
    0xff8d762c,
    0xff9c7f26,
    0xffbc9c3f,
    0xff9b812e,
    0xff86722f,
    0xff898046,
    0xff6f6e38,
    0xff697a4b,
    0xff304824,
    0xff213e21,
    0xff355132,
    0xff566638,
    0xff86813e,
    0xff988631,
    0xff9e8831,
    0xff8d792f,
    0xff92933c,
    0xff4a5a14,
    0xff657745,
    0xff676b34,
    0xff6f5624,
    0xff92632f,
    0xff8b5806,
    0xffaa8420,
    0xff8c7619,
    0xff7e7b21,
    0xff6d751c,
    0xff71782d,
    0xff4f5113,
    0xff5d5a13,
    0xff868124,
    0xff6d651a,
    0xff7b5d11,
    0xffa7752d,
    0xff916016,
    0xff9d751f,
    0xff856703,
    0xff9f912d,
    0xff686913,
    0xff51550d,
    0xff5b611d,
    0xff616c1c,
    0xff657314,
    0xff505a00,
    0xff767920,
    0xff696909,
    0xffadaf3f,
    0xff989b23,
    0xff7f8414,
    0xff5b6300,
    0xff8a953c,
    0xff4f5c09,
    0xff535d10,
    0xff656c27,
    0xff535816,
    0xff5c5506,
    0xff9e8314,
    0xffcca51c,
    0xffb5990e,
    0xff9c8a0a,
    0xffa38b10,
    0xffc6a825,
    0xffaf9309,
    0xff958610,
    0xff292400,
    0xff6b7726,
    0xff768618,
    0xff6b741e,
    0xff71762c,
    0xff81792c,
    0xff7c650d,
    0xffa18b23,
    0xff968025,
    0xff72590f,
    0xff82681a,
    0xff887018,
    0xff675803,
    0xff87813c,
    0xff4e4d1b,
    0xff363e15,
    0xff403727,
    0xff332a15,
    0xff3e250f,
    0xff6f3518,
    0xff8b5d32,
    0xff423709,
    0xff535911,
    0xff70751c,
    0xff847f1b,
    0xff797109,
    0xff615d01,
    0xff6e660c,
    0xff8d7a1e,
    0xff7c690d,
    0xff72650f,
    0xff786617,
    0xff7c6e0b,
    0xff7b6d1a,
    0xff7c6d42,
    0xff766539,
    0xffa8993e,
    0xffc8b141,
    0xffb39537,
    0xff6a580a,
    0xff7b691e,
    0xffb2a144,
    0xffaf9d1e,
    0xffc1aa1b,
    0xffad8e06,
    0xffd4ae30,
    0xffd0aa28,
    0xffcea21d,
    0xffe3bc2c,
    0xffdebc33,
    0xffcba72f,
    0xffc39a21,
    0xffbb940b,
    0xffb69011,
    0xffc49f38,
    0xffac8427,
    0xffb27b22,
    0xffc8802f,
    0xffca7c35,
    0xffa15e1e,
    0xff845415,
    0xffa07f3c,
    0xff846924,
    0xff694d23,
    0xff5f3e15,
    0xff7d5f1e,
    0xff99802c,
    0xff796819,
    0xff7e7a27,
    0xff767d24,
    0xff545d14,
    0xff304016,
    0xff4b5f31,
    0xff2f4725,
    0xff001100,
    0xff324e26,
    0xff384e34,
    0xff32442c,
    0xff465923,
    0xff817d38,
    0xff464606,
    0xff697133,
    0xff3a450f,
    0xff47501f,
    0xff5e5b2e,
    0xff5b4a22,
    0xff533b13,
    0xff71562c,
    0xff5c3404,
    0xff997030,
    0xff6b530f,
    0xff57490e,
    0xff766a32,
    0xff6e642b,
    0xff4c4908,
    0xff364200,
    0xff686d22,
    0xff989a44,
    0xffa3a849,
    0xff56630e,
    0xff586921,
    0xff627330,
    0xff435106,
    0xff525a18,
    0xff5a5b27,
    0xff3a3608,
    0xff4c4312,
    0xff463806,
    0xff4e3806,
    0xff81641d,
    0xff9e7e1f,
    0xff987a1c,
    0xff8c6c17,
    0xff937425,
    0xff7c5e17,
    0xff795b1b,
    0xff66470a,
    0xff87692e,
    0xff73531b,
    0xff78612b,
    0xff594b11,
    0xff6d6e1d,
    0xff2e3700,
    0xff82932a,
    0xff81954c,
    0xff476323,
    0xff618345,
    0xff3e5d25,
    0xff3d551c,
    0xff323f0a,
    0xff434b1a,
    0xff555e26,
    0xff455511,
    0xff2e4100,
    0xff586936,
    0xff54672f,
    0xff354520,
    0xff25371c,
    0xff3e5730,
    0xff2b460e,
    0xff52621f,
    0xff5e590f,
    0xff7f6e20,
    0xff504713,
    0xff525523,
    0xff4a572b,
    0xff0d1901,
    0xff1a2111,
    0xff242a19,
    0xff27331c,
    0xff182e0b,
    0xff213f11,
    0xff44582d,
    0xff455128,
    0xff4b5319,
    0xff667027,
    0xff394110,
    0xff3c3f2c,
    0xff3e4223,
    0xff535c13,
    0xff75711d,
    0xff7a6511,
    0xff827414,
    0xff808223,
    0xff4c591c,
    0xff212a08,
    0xff273105,
    0xff081700,
    0xff2c4a1d,
    0xff1e4211,
    0xff0a1f00,
    0xff6d6a25,
    0xff77682f,
    0xff3d2f0c,
    0xff34340e,
    0xff3a3813,
    0xff4d4425,
    0xff301f03,
    0xff4f411a,
    0xff3e3b07,
    0xff313b00,
    0xff1c2a0b,
    0xff131f1e,
    0xff121f08,
    0xff1f3014,
    0xff132712,
    0xff152f0a,
    0xff29411c,
    0xff303b1d,
    0xff3a3700,
    0xffa2934a,
    0xff9e8524,
    0xffa9974b,
    0xff444113,
    0xff222d12,
    0xff11240d,
    0xff2d3d27,
    0xff546051,
    0xff050e05,
    0xff33442d,
    0xff071907,
    0xff000f04,
    0xff071a0f,
    0xff021408,
    0xff162c1d,
    0xff122415,
    0xff28382e,
    0xff122221,
    0xff001611,
    0xff031811,
    0xff020c09,
    0xff04110a,
    0xff001a08,
    0xff001705,
    0xff051f14,
    0xff052111,
    0xff00140e,
    0xff071316,
    0xff0e1d16,
    0xff192c1d,
    0xff0a1913,
    0xff1a2b27,
    0xff0a2010,
    0xff16240f,
    0xff040e00,
    0xff5c6242,
    0xff1e2800,
    0xff4c5d25,
    0xff6e8d37,
    0xff496c0e,
    0xff3c5b1b,
    0xff2a530d,
    0xff1d420c,
    0xff314c2b,
    0xff102312,
    0xff051309,
    0xff152318,
    0xff091b11,
    0xff081b10,
    0xff132312,
    0xff091708,
    0xff1e2d22,
    0xff04140b,
    0xff000f09,
    0xff051510,
    0xff03130d,
    0xff000f0a,
    0xff05160e,
    0xff06170c,
    0xff011008,
    0xff071412,
    0xff0d0e09,
    0xff81724e,
    0xffd8b95f,
    0xffc9a021,
    0xffb78c23,
    0xffc9a02b,
    0xff9b7300,
    0xffd0aa29,
    0xffcca93b,
    0xff684800,
    0xffac8e34,
    0xff7f620b,
    0xff6e4e0b,
    0xffc8ab53,
    0xff866f1a,
    0xff867221,
    0xff75670f,
    0xffb3a94d,
    0xff4a3f00,
    0xff3c3000,
    0xff685116,
    0xff777222,
    0xff7b7a1a,
    0xff746f1d,
    0xff4f531a,
    0xff3d5526,
    0xff2f4409,
    0xff8e9040,
    0xff887618,
    0xffc3a824,
    0xffcda41d,
    0xffbd8f10,
    0xffd1aa13,
    0xffd4b60b,
    0xffdab71b,
    0xffd7ab29,
    0xffcda11a,
    0xffc2a61d,
    0xff836e00,
    0xff8a6a00,
    0xffb0891a,
    0xff9f7e11,
    0xff998215,
    0xff9e8b2d,
    0xff767323,
    0xff969257,
    0xff525022,
    0xff353317,
    0xff0f0e11,
    0xff0d1014,
    0xff0b1508,
    0xff0d1508,
    0xff11110c,
    0xff130f0c,
    0xff140f0c,
    0xff140f0c,
    0xff160d0b,
    0xff14100c,
    0xff15100d,
    0xff171310,
    0xff1b1209,
    0xff1a100e,
    0xff181107,
    0xff110f11,
    0xff10110c,
    0xff13140d,
    0xff100b0c,
    0xff302708,
    0xff825032,
    0xff7d351f,
    0xff944937,
    0xff8f4836,
    0xff833626,
    0xff96332a,
    0xff81160f,
    0xff811f14,
    0xff661102,
    0xff5f1206,
    0xff561108,
    0xff3c0000,
    0xff2d0000,
    0xff270200,
    0xff3d0900,
    0xff570908,
    0xff5d1a14,
    0xff681e1b,
    0xff6f2724,
    0xff53190f,
    0xff391303,
    0xff41270d,
    0xff472916,
    0xff461e12,
    0xff420c0e,
    0xff36130a,
    0xff2b1603,
    0xff371e0c,
    0xff311b0d,
    0xff2f2416,
    0xff1e1307,
    0xff331a11,
    0xff241311,
    0xff1f1411,
    0xff34311d,
    0xff51542c,
    0xff3a3e18,
    0xff1a1d05,
    0xff2b3626,
    0xff132612,
    0xff12200d,
    0xff14200f,
    0xff151c0d,
    0xff0c1309,
    0xff0f1810,
    0xff0c130b,
    0xff1a1c15,
    0xff080800,
    0xff48492b,
    0xff46311b,
    0xff351609,
    0xff231103,
    0xff2d1a0a,
    0xff563227,
    0xff451d0e,
    0xff2d1300,
    0xff170d00,
    0xff191b0a,
    0xff0e1907,
    0xff161c0d,
    0xff171404,
    0xff2a2211,
    0xff1f1f08,
    0xff2b3615,
    0xff282905,
    0xff4b4823,
    0xff624b35,
    0xff211706,
    0xff2d2e19,
    0xff141100,
    0xff17200e,
    0xff17150e,
    0xff211906,
    0xff2b2616,
    0xff545346,
    0xff332d1f,
    0xff4b4330,
    0xff423724,
    0xff241f12,
    0xff4e4e42,
    0xff000000,
    0xff1e2514,
    0xff090e0e,
    0xff000604,
    0xff192000,
    0xff151700,
    0xff262008,
    0xff1e1700,
    0xff1a1b02,
    0xff393602,
    0xff57500b,
    0xff787415,
    0xff888c28,
    0xff6b7521,
    0xff485704,
    0xff52621e,
    0xffaba7bb,
    0xff665d75,
    0xff5b536a,
    0xff544b5c,
    0xff474150,
    0xff3d3b48,
    0xff3d3b4e,
    0xff57556b,
    0xff474456,
    0xff3e3844,
    0xff483d3f,
    0xff8c7f7f,
    0xffedecf1,
    0xff939bae,
    0xff323a51,
    0xff2e3143,
    0xff152e2b,
    0xff1f3731,
    0xff0e2322,
    0xff031c20,
    0xff00171f,
    0xff09110f,
    0xff4a3920,
    0xff7b5325,
    0xffa0692f,
    0xff92501d,
    0xffae6d36,
    0xff9f702c,
    0xff765d1f,
    0xff645a33,
    0xff373b1f,
    0xff454e2e,
    0xff685014,
    0xffb47d3a,
    0xff9b5912,
    0xffbb873a,
    0xff997020,
    0xff91662c,
    0xff6f521b,
    0xff818334,
    0xff455626,
    0xff4f5722,
    0xff777f46,
    0xff3b4b1a,
    0xff344014,
    0xff515225,
    0xff514e24,
    0xff494c26,
    0xff36471d,
    0xff445e3e,
    0xff183723,
    0xff092618,
    0xff1d3523,
    0xff34452a,
    0xff566745,
    0xff1b2f0f,
    0xff0e250d,
    0xff30492d,
    0xff53631d,
    0xff9d9b1f,
    0xffc2b628,
    0xffbdaf23,
    0xffb8a717,
    0xffcbae1c,
    0xffd0a624,
    0xffcaad3f,
    0xff717121,
    0xff526c3e,
    0xff395e3f,
    0xff223d20,
    0xff0f230d,
    0xff2f4337,
    0xff243126,
    0xff2b362a,
    0xff24200e,
    0xff8e6e4c,
    0xff363813,
    0xff0c2101,
    0xff515324,
    0xff793b1d,
    0xff7f4b27,
    0xff99662e,
    0xffa9762a,
    0xffa66f1f,
    0xff98621e,
    0xffaa7839,
    0xff8b631b,
    0xff9f7c29,
    0xff946730,
    0xff8f6e2d,
    0xff907b42,
    0xff6a5f2c,
    0xff5b5118,
    0xff544619,
    0xff695636,
    0xff6d5930,
    0xff6e5a2a,
    0xff71632b,
    0xff827838,
    0xff766c2f,
    0xff636c35,
    0xff4e6d3f,
    0xff264726,
    0xff273b26,
    0xff1a2b17,
    0xff5e5d28,
    0xff836834,
    0xff8a661c,
    0xff806117,
    0xff9a7b36,
    0xffb9972b,
    0xffd8aa3d,
    0xffc89644,
    0xff98661c,
    0xff9d6d28,
    0xffa9783d,
    0xffa3733c,
    0xff8d5d2a,
    0xffae7f49,
    0xffa6753f,
    0xffb08641,
    0xff8f6225,
    0xff7d4f17,
    0xff946221,
    0xffd29f4c,
    0xffa67618,
    0xffad8225,
    0xffa37b24,
    0xffa57c29,
    0xff936e21,
    0xff927130,
    0xff8f6e33,
    0xffa4824a,
    0xff88622b,
    0xff926d36,
    0xff9d7a45,
    0xff8d6b4e,
    0xff74582b,
    0xff927f47,
    0xff675321,
    0xff674f1c,
    0xff796019,
    0xffb19939,
    0xffbfaa3f,
    0xff938a1d,
    0xffa7a13d,
    0xff75741f,
    0xff858a40,
    0xff7e8a38,
    0xff94a43f,
    0xff96a135,
    0xff92952d,
    0xff9b9c30,
    0xff9c9325,
    0xffbaa23a,
    0xffc0a32c,
    0xffb0941e,
    0xffb29340,
    0xff735318,
    0xff765916,
    0xff765f22,
    0xff826320,
    0xffb58d40,
    0xffbc9741,
    0xff7f6210,
    0xff8b7f36,
    0xff5d5f22,
    0xff666f3b,
    0xff4c5c30,
    0xff455736,
    0xff183115,
    0xff1a3816,
    0xff475426,
    0xff999447,
    0xffa0902e,
    0xff85781e,
    0xff8a7f2c,
    0xff677422,
    0xff436124,
    0xff415831,
    0xff3d3816,
    0xff75552a,
    0xff926322,
    0xffa8781d,
    0xffb57e23,
    0xff8b6b15,
    0xff7a7317,
    0xff5b5d02,
    0xff5a6218,
    0xff515c27,
    0xff4f5b18,
    0xff63670b,
    0xff5e5914,
    0xff775d0e,
    0xff835e0b,
    0xff9b7d29,
    0xff7b6611,
    0xff756609,
    0xff746d0f,
    0xff858631,
    0xff525401,
    0xff565913,
    0xff49520b,
    0xff53640b,
    0xff81922c,
    0xff585e00,
    0xff9e9b39,
    0xff948a25,
    0xff8e901f,
    0xff929932,
    0xff64701a,
    0xff46570c,
    0xff4f631c,
    0xff485812,
    0xff505916,
    0xff575b19,
    0xff4e4b06,
    0xff7f6c0d,
    0xff9c810c,
    0xffa49117,
    0xff9d8c1d,
    0xff8f760d,
    0xffa98c17,
    0xffb7a01d,
    0xffc3a831,
    0xffab9c47,
    0xff71710f,
    0xff9a9943,
    0xff7e7b3d,
    0xff707026,
    0xff594d00,
    0xff906e19,
    0xffb7943e,
    0xff8c6f24,
    0xff79651d,
    0xff69580f,
    0xff716314,
    0xff837723,
    0xff7d7121,
    0xff4f4404,
    0xff524804,
    0xff5d4d1d,
    0xff4a390d,
    0xff5d3c23,
    0xff703f28,
    0xff603918,
    0xff6c5f33,
    0xff798128,
    0xff7e8425,
    0xff837e16,
    0xff837d11,
    0xff757313,
    0xff605b01,
    0xff7f6e17,
    0xff75620e,
    0xff72651b,
    0xff6c5e0c,
    0xff67590f,
    0xff746b2c,
    0xff565017,
    0xff7a793f,
    0xff6e6524,
    0xffae9746,
    0xffaa8a2e,
    0xff9e8b46,
    0xff625001,
    0xff957e16,
    0xffbaa11d,
    0xffb99e11,
    0xffb0900f,
    0xffb5931f,
    0xffb99323,
    0xffc4991b,
    0xffc6a415,
    0xffbc9d12,
    0xffe2bc49,
    0xffc69923,
    0xffe6bb2c,
    0xffd4ae24,
    0xffa78214,
    0xffa96c0b,
    0xffc07f2a,
    0xff904d04,
    0xff964f09,
    0xffaf6b21,
    0xffa97527,
    0xff93742c,
    0xff8c8141,
    0xff2e3104,
    0xff5e5b2d,
    0xff6f671f,
    0xff9a8d30,
    0xff796b0f,
    0xff9b922e,
    0xff77760f,
    0xff767820,
    0xff596d26,
    0xff3d531d,
    0xff395229,
    0xff3b5827,
    0xff4b692d,
    0xff193200,
    0xff536339,
    0xff566329,
    0xff7a7c29,
    0xff535312,
    0xff40400d,
    0xff535319,
    0xff808031,
    0xff67610f,
    0xff564609,
    0xff361d00,
    0xff78502e,
    0xff916124,
    0xffaf8534,
    0xff6c590c,
    0xff737026,
    0xff707227,
    0xff474a12,
    0xff282e0e,
    0xffb0ba6d,
    0xff565600,
    0xff8b8424,
    0xff565000,
    0xff6c7335,
    0xff4d5b2f,
    0xff5e6e40,
    0xff4b571f,
    0xff3d4611,
    0xff6a7240,
    0xff6b7041,
    0xff70733d,
    0xff76713b,
    0xff705f2f,
    0xff634b13,
    0xff886c22,
    0xff7f6708,
    0xff785c04,
    0xff886718,
    0xff7c5e17,
    0xff7a5e1d,
    0xff725819,
    0xff836728,
    0xff9c7b3f,
    0xff79631e,
    0xff7c752d,
    0xff5c651b,
    0xff98a65b,
    0xff6a781c,
    0xff2f3c0c,
    0xff475b45,
    0xff001800,
    0xff133a13,
    0xff5e7a4a,
    0xff585f34,
    0xff231e00,
    0xff4a491a,
    0xff75823c,
    0xff50661c,
    0xff1e3800,
    0xff4a6210,
    0xff364d15,
    0xff1e3411,
    0xff2c421c,
    0xff304416,
    0xff485122,
    0xff6a6c31,
    0xff656117,
    0xff494300,
    0xff767a35,
    0xff445014,
    0xff45511f,
    0xff6c7249,
    0xff1a1f00,
    0xff343f14,
    0xff667848,
    0xff476035,
    0xff576838,
    0xff32360e,
    0xff515319,
    0xff89903a,
    0xff3d4009,
    0xff353417,
    0xff616523,
    0xff9c972a,
    0xff918123,
    0xff78641a,
    0xff5a4d08,
    0xff727523,
    0xff313f18,
    0xff0e241d,
    0xff1b3927,
    0xff193a26,
    0xff1f3e20,
    0xff203919,
    0xff2c3e1f,
    0xff202b0d,
    0xff222505,
    0xff5d5530,
    0xff5f5320,
    0xff38340e,
    0xff514d1c,
    0xff65591d,
    0xff362f00,
    0xff696831,
    0xff2d360c,
    0xff0a1900,
    0xff1a2917,
    0xff1b2e19,
    0xff1e301f,
    0xff1d3025,
    0xff142b1e,
    0xff06171a,
    0xff1d290d,
    0xff747b24,
    0xff797528,
    0xff988441,
    0xff211500,
    0xff262c1b,
    0xff1a2d20,
    0xff0b220d,
    0xff0f2009,
    0xff242f23,
    0xff3b3f3f,
    0xff1b2915,
    0xff051403,
    0xff011304,
    0xff001405,
    0xff031907,
    0xff061807,
    0xff17291b,
    0xff0e1f13,
    0xff272822,
    0xff1c2518,
    0xff162119,
    0xff171a22,
    0xff061116,
    0xff072019,
    0xff091e13,
    0xff212727,
    0xff082b17,
    0xff0c2015,
    0xff0b1316,
    0xff040f09,
    0xff0b1d09,
    0xff111e18,
    0xff0e1f20,
    0xff0b2617,
    0xff001a14,
    0xff0c251c,
    0xff506650,
    0xff3b5327,
    0xff2d4b07,
    0xff83a949,
    0xff658b33,
    0xff37581e,
    0xff264514,
    0xff163611,
    0xff546f5a,
    0xff70827a,
    0xff536156,
    0xff212d1c,
    0xff102110,
    0xff223626,
    0xff202b23,
    0xff101b13,
    0xff2f3932,
    0xff07140d,
    0xff05110a,
    0xff0a1512,
    0xff04100f,
    0xff06110f,
    0xff04170f,
    0xff0a1d13,
    0xff0a180e,
    0xff091004,
    0xff181400,
    0xff65541a,
    0xffb59536,
    0xffe7bd3d,
    0xffb39308,
    0xffe5c537,
    0xfffad73d,
    0xffc3a60e,
    0xffcab334,
    0xffcdb947,
    0xffbaa139,
    0xffa1822b,
    0xff918c3f,
    0xffa69946,
    0xff987a2f,
    0xffddb560,
    0xffedc848,
    0xffaa8e05,
    0xffc8b14b,
    0xff6b5410,
    0xff9c7338,
    0xff281c00,
    0xff5d621f,
    0xff70621b,
    0xff4f3818,
    0xff0d0c00,
    0xff64694c,
    0xff221c00,
    0xff393100,
    0xffc4b435,
    0xffd6b532,
    0xffbb9612,
    0xffcfb515,
    0xffcdb41c,
    0xff9c7804,
    0xffe2b629,
    0xffb18608,
    0xffb5a318,
    0xffaba023,
    0xffbda62a,
    0xffc3a636,
    0xff705b09,
    0xff827114,
    0xff856e22,
    0xff45420b,
    0xff403c03,
    0xff6a652b,
    0xff555129,
    0xff080506,
    0xff0b0c14,
    0xff10140c,
    0xff11160c,
    0xff120f0b,
    0xff16120f,
    0xff140f0c,
    0xff16110e,
    0xff15100d,
    0xff17120f,
    0xff14110e,
    0xff14100d,
    0xff160f08,
    0xff1a1206,
    0xff191108,
    0xff150e11,
    0xff0e0e06,
    0xff0e0f0b,
    0xff100b13,
    0xff150c04,
    0xff1c0300,
    0xff51281b,
    0xffcc8b80,
    0xff5d0901,
    0xff690a05,
    0xff680800,
    0xff580000,
    0xff711010,
    0xff61150e,
    0xff510f06,
    0xff57140e,
    0xff5a1211,
    0xff55120c,
    0xff511007,
    0xff66150e,
    0xff851b19,
    0xff75150f,
    0xff771d14,
    0xff631107,
    0xff713320,
    0xff4d250b,
    0xff2f1806,
    0xff241708,
    0xff1f120b,
    0xff2d1213,
    0xff21110a,
    0xff100900,
    0xff1c1007,
    0xff1f0a04,
    0xff2c150e,
    0xff381d14,
    0xff2f1106,
    0xff2e180b,
    0xff1e1300,
    0xff2c2d15,
    0xff1d1c12,
    0xff15120b,
    0xff0d0e02,
    0xff142113,
    0xff000b05,
    0xff091609,
    0xff101b0d,
    0xff070d06,
    0xff010801,
    0xff040f0a,
    0xff000804,
    0xff060f0c,
    0xff0f1411,
    0xff2a3720,
    0xff5f4e3b,
    0xff4a2c1f,
    0xff322312,
    0xff3d2e1e,
    0xff3b1b11,
    0xff331509,
    0xff28240f,
    0xff121f0e,
    0xff182516,
    0xff0c1304,
    0xff191a0d,
    0xff302a1c,
    0xff1e1b07,
    0xff232709,
    0xff545e3b,
    0xff323b16,
    0xff595c38,
    0xff36240b,
    0xff211a0c,
    0xff282211,
    0xff3b2f19,
    0xff2c341b,
    0xff030c00,
    0xff1a1604,
    0xff262212,
    0xff242216,
    0xff2e2a1b,
    0xff837c6b,
    0xff171001,
    0xff231e0e,
    0xff6b6c5d,
    0xff201e09,
    0xff24260c,
    0xff23271e,
    0xff05110b,
    0xff071800,
    0xff1b250f,
    0xff40412d,
    0xff413b1f,
    0xff1a2606,
    0xff435013,
    0xff646f27,
    0xff5b6b09,
    0xff677f16,
    0xff587216,
    0xff719032,
    0xff385504,
    0xff928a9f,
    0xff615870,
    0xff51495f,
    0xff524a5d,
    0xff46414f,
    0xff3a3745,
    0xff474357,
    0xff5e5c75,
    0xff48465d,
    0xff403d46,
    0xffcbc9cb,
    0xffe8eaf3,
    0xff64687c,
    0xff393a51,
    0xff303a47,
    0xff112427,
    0xff031e1d,
    0xff213833,
    0xff0d221c,
    0xff021619,
    0xff001219,
    0xff1b1a18,
    0xff442307,
    0xffac6f3e,
    0xffb17130,
    0xffa2672c,
    0xff8e5b21,
    0xff8b662b,
    0xff635926,
    0xff3e4829,
    0xff3f4e37,
    0xff2d2f16,
    0xff5e5327,
    0xff95722c,
    0xff83590c,
    0xff93792f,
    0xff857527,
    0xff866a2b,
    0xff5c4b18,
    0xff5b692c,
    0xff1f3712,
    0xff27331a,
    0xff455139,
    0xff2d4325,
    0xff1e3219,
    0xff292f22,
    0xff333824,
    0xff4c5c38,
    0xff233d22,
    0xff1b331d,
    0xff28402b,
    0xff04210f,
    0xff203e2e,
    0xff405e4c,
    0xff243c22,
    0xff2f4321,
    0xff1d371e,
    0xff384d3b,
    0xff818945,
    0xffb2a323,
    0xffc1a217,
    0xffbca11b,
    0xffaa8f06,
    0xffc5a117,
    0xffd5b326,
    0xffb7a029,
    0xff828337,
    0xff385833,
    0xff163923,
    0xff1c2d17,
    0xff252f1b,
    0xff29372c,
    0xff263629,
    0xff242a19,
    0xff6e624a,
    0xff9e764b,
    0xff544527,
    0xff3b3e2b,
    0xff555428,
    0xff6d3921,
    0xff875022,
    0xff7c490d,
    0xffa1722c,
    0xff976d28,
    0xff7f5719,
    0xff643f09,
    0xff7f5f24,
    0xff846329,
    0xff896544,
    0xff664d22,
    0xff60522c,
    0xff8f8865,
    0xff352d05,
    0xff685a3d,
    0xff63513e,
    0xff59452c,
    0xff4b3a0d,
    0xff7e7f44,
    0xff6e7a39,
    0xff626f32,
    0xff5e6d40,
    0xff2c4725,
    0xff334f37,
    0xff0b1f0e,
    0xff313d2e,
    0xff353308,
    0xff594316,
    0xff886b11,
    0xffcbae3a,
    0xffa08314,
    0xffc0a41b,
    0xffb99725,
    0xffae8a2a,
    0xffa27c28,
    0xffae8948,
    0xff825c2a,
    0xff7c552b,
    0xff815a32,
    0xff8d6837,
    0xff89602e,
    0xff825f27,
    0xff6e4c1c,
    0xff825e33,
    0xff68450f,
    0xff9e7830,
    0xffad8830,
    0xffa57d25,
    0xffa57c2a,
    0xff997221,
    0xff926e29,
    0xff83652c,
    0xff7e5f2b,
    0xff7f5f2a,
    0xff81612c,
    0xff8f703f,
    0xffa08152,
    0xff785f36,
    0xff645024,
    0xff7a663e,
    0xff897348,
    0xff8a7332,
    0xffbea545,
    0xffaf982b,
    0xffbaa338,
    0xffbab13d,
    0xffa19b39,
    0xff626210,
    0xff66701c,
    0xff627218,
    0xff6a791e,
    0xff696f11,
    0xff979432,
    0xff8e8726,
    0xff837f12,
    0xff7f770e,
    0xff998d1f,
    0xffc4b33d,
    0xffa0882b,
    0xff6e501b,
    0xff674b1b,
    0xff786330,
    0xff835f2e,
    0xffa4713d,
    0xffa3702e,
    0xffa58133,
    0xff7a6d20,
    0xff686a2d,
    0xff5e683a,
    0xff425628,
    0xff28391b,
    0xff3c5538,
    0xff466542,
    0xff37451a,
    0xff7d7629,
    0xff968d2b,
    0xff908f40,
    0xff727a2e,
    0xff516226,
    0xff486432,
    0xff3a4e27,
    0xff363414,
    0xff816534,
    0xffa27527,
    0xffbf892e,
    0xffb77829,
    0xffb3873d,
    0xff897017,
    0xffaf9c30,
    0xff8f8022,
    0xff434407,
    0xff48501a,
    0xff797d38,
    0xff534911,
    0xff846a1d,
    0xff836306,
    0xff756009,
    0xff5f5708,
    0xff686112,
    0xff6d6512,
    0xff5b5805,
    0xff6f6f27,
    0xff4e4d15,
    0xff5c5c27,
    0xff585f1d,
    0xff6d742c,
    0xff616720,
    0xff3a3600,
    0xff7b7427,
    0xff6a710f,
    0xff747c20,
    0xff666e1e,
    0xff5f6a1f,
    0xff3e4a03,
    0xff6d7833,
    0xff4b5517,
    0xff4f591e,
    0xff6a6e2d,
    0xff5a5205,
    0xff8a7f20,
    0xff948a25,
    0xff8c7a18,
    0xff916e0f,
    0xffba982b,
    0xff9c8505,
    0xff8e7302,
    0xff7f7114,
    0xff6f6e0b,
    0xff6c6a1c,
    0xff5d5d14,
    0xff565a00,
    0xff958b31,
    0xff81640f,
    0xff7f5f0f,
    0xff8a6d26,
    0xff86722f,
    0xff9f9045,
    0xff7f741d,
    0xff7a6b12,
    0xff8b802d,
    0xff685b12,
    0xff9b8444,
    0xff57440a,
    0xff725720,
    0xff451c00,
    0xff522a0d,
    0xff502a0d,
    0xff775a32,
    0xff807b16,
    0xff78710b,
    0xffad9c2d,
    0xff877907,
    0xff88831c,
    0xff696407,
    0xff6b5b05,
    0xff736215,
    0xff6d641f,
    0xff65580f,
    0xff6c5c24,
    0xff6b5c1e,
    0xff9b9441,
    0xff979849,
    0xff908b5b,
    0xff786c3d,
    0xff796921,
    0xff4c3b00,
    0xff8f7928,
    0xff7c6300,
    0xffb69928,
    0xffaf901d,
    0xffc8ab36,
    0xffa7891b,
    0xff9e7f15,
    0xffb8951a,
    0xffcdb02d,
    0xffb1961a,
    0xffc2a02e,
    0xff986d00,
    0xffc59910,
    0xffd0ae23,
    0xffb39619,
    0xffbb8115,
    0xffad7414,
    0xffab6f1c,
    0xffae6e23,
    0xffb7772b,
    0xff986019,
    0xff946c33,
    0xff4d3304,
    0xff2f2c13,
    0xff36341e,
    0xff39370d,
    0xff6b682d,
    0xff746e31,
    0xff423c00,
    0xff767524,
    0xff61631a,
    0xff576812,
    0xff4a5d19,
    0xff425a20,
    0xff3a531c,
    0xff526933,
    0xff475519,
    0xff4c570f,
    0xff6d7024,
    0xff6f680e,
    0xff776e1d,
    0xff766923,
    0xff85772c,
    0xff7a6c17,
    0xff88782b,
    0xff725d27,
    0xff6d5334,
    0xff6d452a,
    0xff8e5c2c,
    0xff88571f,
    0xff6b5118,
    0xff706720,
    0xff5e5900,
    0xff766f22,
    0xff252100,
    0xff413700,
    0xff6d6610,
    0xffc1c162,
    0xff99a147,
    0xff616b25,
    0xff3b4a18,
    0xff2b3906,
    0xff46561e,
    0xff737e3e,
    0xff5f6a38,
    0xff657044,
    0xff3f4618,
    0xff565024,
    0xff57401d,
    0xff59390f,
    0xff8e6d30,
    0xff8e7713,
    0xff917516,
    0xff8e6d1b,
    0xff886a23,
    0xff7f6726,
    0xff6c5a1c,
    0xff87753c,
    0xff89723b,
    0xff726626,
    0xff696820,
    0xff858e32,
    0xff59660c,
    0xff90a23d,
    0xff435611,
    0xff435b1d,
    0xff496935,
    0xff345325,
    0xff3d5123,
    0xff474a21,
    0xff4b461a,
    0xff5b5d28,
    0xff6a7635,
    0xff546c23,
    0xff7b984d,
    0xff698031,
    0xff435d26,
    0xff34512b,
    0xff395028,
    0xff2e3a10,
    0xff555830,
    0xff3d4010,
    0xff2e3700,
    0xff6f6b44,
    0xff545735,
    0xff152000,
    0xff3f4a20,
    0xff6d743f,
    0xff66672a,
    0xff5c611d,
    0xff434c07,
    0xff202700,
    0xff3c4108,
    0xff3c4111,
    0xff6e773e,
    0xff5f6d2a,
    0xff4f5733,
    0xff2f3010,
    0xff626418,
    0xff6a610e,
    0xff362e00,
    0xff625f2d,
    0xff616322,
    0xff5d641b,
    0xff233109,
    0xff213c2b,
    0xff093613,
    0xff0f2d14,
    0xff1b2f1e,
    0xff22301d,
    0xff192b1a,
    0xff1f3428,
    0xff13250f,
    0xff383b12,
    0xff65592b,
    0xff282503,
    0xff585422,
    0xff797634,
    0xff6f712a,
    0xff454c17,
    0xff697754,
    0xff5b6e4e,
    0xff14290a,
    0xff13291d,
    0xff182820,
    0xff0b1b11,
    0xff0a1a0b,
    0xff182423,
    0xff000300,
    0xff738029,
    0xff525510,
    0xff241f01,
    0xff1e200f,
    0xff17241d,
    0xff0d1c17,
    0xff081607,
    0xff132009,
    0xff22301a,
    0xff273525,
    0xff394831,
    0xff2e3d2a,
    0xff27392a,
    0xff1d2f22,
    0xff2b3d2d,
    0xff1c2e1e,
    0xff1c2e20,
    0xff112118,
    0xff041318,
    0xff051c12,
    0xff011608,
    0xff111c1c,
    0xff0a1c1b,
    0xff082a15,
    0xff001d04,
    0xff031306,
    0xff001d0f,
    0xff0e1c13,
    0xff1b2226,
    0xff152a23,
    0xff18361c,
    0xff13261b,
    0xff212e30,
    0xff1c3621,
    0xff234935,
    0xff113319,
    0xff213f24,
    0xff0c2d00,
    0xff658f35,
    0xff699b23,
    0xff49760c,
    0xff6b933e,
    0xff6a874a,
    0xff29461a,
    0xff1c3a21,
    0xff07200f,
    0xff243525,
    0xff121e0c,
    0xff122213,
    0xff3d4f43,
    0xff162420,
    0xff06120f,
    0xff2a3631,
    0xff000d05,
    0xff06130c,
    0xff0d1a12,
    0xff010d0b,
    0xff010d0b,
    0xff0c1d16,
    0xff152314,
    0xff313921,
    0xff3f401f,
    0xff201900,
    0xff917f3b,
    0xff8c6d0c,
    0xffd5b136,
    0xffcaaf28,
    0xffa88f1d,
    0xffb7a133,
    0xffcebb4b,
    0xff856f0c,
    0xff816c0a,
    0xffc3ac4b,
    0xff967e3a,
    0xff706d3b,
    0xff756e38,
    0xff8c7851,
    0xff62421c,
    0xff8c6a1d,
    0xffbb9e39,
    0xff785b08,
    0xffa78b42,
    0xffbb9844,
    0xff76612d,
    0xff756f14,
    0xffc3b74a,
    0xff3c2500,
    0xff6b5f28,
    0xff3a3800,
    0xff6e6917,
    0xffada835,
    0xffb1a312,
    0xffbda111,
    0xffb39503,
    0xffc5af10,
    0xffb39c09,
    0xffc7a616,
    0xffcda402,
    0xffd7b239,
    0xff9a7e0e,
    0xff756204,
    0xff958639,
    0xff4b4000,
    0xff888031,
    0xff6b6311,
    0xff7a7027,
    0xff6c672c,
    0xff746a38,
    0xff594b1a,
    0xff3b3006,
    0xff100b02,
    0xff0e0d0a,
    0xff13120c,
    0xff100c0f,
    0xff120e0c,
    0xff15110e,
    0xff17120f,
    0xff17120f,
    0xff15100d,
    0xff17110e,
    0xff14100d,
    0xff130f0d,
    0xff131110,
    0xff1b1505,
    0xff1c1112,
    0xff1a0e10,
    0xff141004,
    0xff16100e,
    0xff110e0e,
    0xff120b09,
    0xff240500,
    0xff682d28,
    0xff89312f,
    0xff88201f,
    0xff770c0a,
    0xff7d1310,
    0xff76110d,
    0xff862a25,
    0xff5d1812,
    0xff3f0a01,
    0xff430c04,
    0xff5c0e0b,
    0xff751416,
    0xff640405,
    0xff641009,
    0xff64170c,
    0xff4c1000,
    0xff3f0d00,
    0xff441c0f,
    0xff391809,
    0xff3a1b0b,
    0xff341106,
    0xff3d1610,
    0xff370c0c,
    0xff2a1105,
    0xff2d170a,
    0xff2b190b,
    0xff26160c,
    0xff2b130e,
    0xff3a1714,
    0xff2f0b03,
    0xff381e0e,
    0xff352213,
    0xff141100,
    0xff121702,
    0xff10150d,
    0xff130f0f,
    0xff191710,
    0xff060d05,
    0xff010f0d,
    0xff08180f,
    0xff08130d,
    0xff080e0c,
    0xff080e0a,
    0xff0d140d,
    0xff0b120a,
    0xff11130e,
    0xff0d0c09,
    0xff030e00,
    0xff473d30,
    0xff150400,
    0xff221905,
    0xff171300,
    0xff362915,
    0xff3e351f,
    0xff131700,
    0xff0c1607,
    0xff12180a,
    0xff18190d,
    0xff111205,
    0xff141605,
    0xff292e17,
    0xff1c1f04,
    0xff2f2e14,
    0xff111402,
    0xff4b5237,
    0xff2f2915,
    0xff0c1104,
    0xff171203,
    0xff291100,
    0xff251e08,
    0xff191e0d,
    0xff0c0f01,
    0xff1b1e0f,
    0xff0e0f03,
    0xff16160a,
    0xff141408,
    0xff636255,
    0xff141708,
    0xff191d10,
    0xff5f5c4e,
    0xff242811,
    0xff0b1504,
    0xff15200f,
    0xff2c340e,
    0xff363a12,
    0xff303410,
    0xff202800,
    0xff17240b,
    0xff112000,
    0xff425121,
    0xff354b02,
    0xff3c5909,
    0xff223f00,
    0xff527019,
    0xff395307,
    0xff807b91,
    0xff5f5a6f,
    0xff4f495e,
    0xff464152,
    0xff44414e,
    0xff393646,
    0xff474358,
    0xff403d57,
    0xff343552,
    0xff4f4d59,
    0xff959a9c,
    0xff3f4e5c,
    0xff222b47,
    0xff2f3044,
    0xff152323,
    0xff001810,
    0xff041e23,
    0xff112522,
    0xff0c1f19,
    0xff001410,
    0xff011112,
    0xff261d19,
    0xff310700,
    0xffb97346,
    0xffc1752e,
    0xffba8141,
    0xff865921,
    0xff9f794a,
    0xff59532d,
    0xff244329,
    0xff133324,
    0xff2e3628,
    0xff4f5331,
    0xff715e25,
    0xff7c642e,
    0xff4b4621,
    0xff3e441b,
    0xff595428,
    0xff59552e,
    0xff45552b,
    0xff223a12,
    0xff222e1d,
    0xff131c17,
    0xff273d2e,
    0xff152b22,
    0xff30383b,
    0xff333c34,
    0xff324b26,
    0xff284332,
    0xff273f30,
    0xff0d220e,
    0xff15301a,
    0xff375c4b,
    0xff032a1d,
    0xff1c3c26,
    0xff364f2a,
    0xff365928,
    0xff1e3812,
    0xff3c4000,
    0xffb19b1f,
    0xffba9315,
    0xffa7830e,
    0xffb49619,
    0xffb49211,
    0xffae980f,
    0xff968513,
    0xff6a7023,
    0xff294824,
    0xff0c2816,
    0xff303822,
    0xff2c2d1c,
    0xff28312c,
    0xff213528,
    0xff1a2210,
    0xff55462a,
    0xff885f2f,
    0xff5d4529,
    0xff201109,
    0xff34320b,
    0xff43260e,
    0xff864f32,
    0xff9a6842,
    0xff89612d,
    0xff7b5e1b,
    0xff8a722b,
    0xffa08641,
    0xffa0834a,
    0xff7d5d2d,
    0xff6c552f,
    0xff6a5c2e,
    0xff514926,
    0xff4f4a2f,
    0xff4a4522,
    0xff77694a,
    0xff423115,
    0xff77643c,
    0xff6d5d31,
    0xff636b31,
    0xff4d6626,
    0xff576d35,
    0xff394d29,
    0xff324a34,
    0xff172f1f,
    0xff162618,
    0xff31352c,
    0xff383513,
    0xff4d3a14,
    0xffcab14b,
    0xffcbb21e,
    0xffd9bf2c,
    0xffd6c126,
    0xffaf9724,
    0xff927510,
    0xffb1923c,
    0xff9a7c3c,
    0xff6d5026,
    0xff8f6e4f,
    0xff6e4d2d,
    0xff846239,
    0xff734e21,
    0xff8d6d45,
    0xff5b3f1a,
    0xff4c3313,
    0xff5d4a1c,
    0xff968241,
    0xff674b00,
    0xffa47e2e,
    0xffab7e32,
    0xff845d16,
    0xff8e6d2e,
    0xff806330,
    0xff6f5427,
    0xff806236,
    0xff836433,
    0xff765a29,
    0xff8a7043,
    0xff7f6c3e,
    0xff675530,
    0xff5d4d27,
    0xffb29f67,
    0xff987f37,
    0xff82670d,
    0xffb39a2e,
    0xffab9a1a,
    0xffa9a22a,
    0xffa5a03b,
    0xff8d8d32,
    0xff9ca945,
    0xff99a947,
    0xff7f8835,
    0xff504e04,
    0xffaaa042,
    0xffa99d40,
    0xffadae3c,
    0xff7c821c,
    0xff827a2f,
    0xffb7a446,
    0xffa0821f,
    0xff725316,
    0xff624922,
    0xff644f2a,
    0xff563011,
    0xff975f3e,
    0xff874d1b,
    0xffa27630,
    0xff8c7b2e,
    0xff636124,
    0xff51582e,
    0xff3c5426,
    0xff2a4120,
    0xff183315,
    0xff385838,
    0xff3a4823,
    0xff69671f,
    0xff868329,
    0xff636d27,
    0xff40541e,
    0xff5e734d,
    0xff21380b,
    0xff5f7240,
    0xff34370d,
    0xff675516,
    0xffa57d27,
    0xff9b6110,
    0xffa07b1a,
    0xff947c28,
    0xff78640c,
    0xffb99d35,
    0xff9c8627,
    0xff676320,
    0xff485118,
    0xff666e2e,
    0xff4d4211,
    0xffa2823a,
    0xff9f781c,
    0xff836511,
    0xff73631d,
    0xff5e500e,
    0xff756a21,
    0xff716c1c,
    0xff62631b,
    0xff70702e,
    0xff5d5c19,
    0xff53510c,
    0xff5c5e22,
    0xff525724,
    0xff4c5115,
    0xff696f1e,
    0xff707f29,
    0xff646f1d,
    0xff5a6011,
    0xff595b0d,
    0xff8a8d41,
    0xff505710,
    0xff354003,
    0xff36460d,
    0xff465315,
    0xff616422,
    0xff676517,
    0xff6b660b,
    0xff8c751b,
    0xff8a6106,
    0xffb58d20,
    0xffb99f20,
    0xff917f19,
    0xff5f5a0c,
    0xff76792b,
    0xff737829,
    0xff6f7b1e,
    0xff627612,
    0xff484b03,
    0xff78671e,
    0xff78670b,
    0xff6b5a0c,
    0xff655109,
    0xff867022,
    0xffa18a31,
    0xff908026,
    0xff6e631c,
    0xff3f3805,
    0xff261901,
    0xff4f4419,
    0xff82612e,
    0xff7d4929,
    0xff653817,
    0xff693a1e,
    0xff784824,
    0xffb8a644,
    0xff99841f,
    0xff8c7002,
    0xff967e09,
    0xff8a7f16,
    0xff665d01,
    0xff70600a,
    0xff756719,
    0xff6f6926,
    0xff67611a,
    0xff7d6d23,
    0xff624e05,
    0xff71611f,
    0xff645d27,
    0xff81804c,
    0xff6d6f3a,
    0xff6f6f38,
    0xff6b6018,
    0xff8e7e1d,
    0xffb19829,
    0xffa7881e,
    0xffad8e22,
    0xffa99217,
    0xffa79114,
    0xffb79f29,
    0xffaf9418,
    0xffb49e2a,
    0xff927e10,
    0xffb79c29,
    0xffdfb93f,
    0xffcfa423,
    0xffb4910b,
    0xffb0980f,
    0xffb48c1a,
    0xffb07d10,
    0xffc28423,
    0xffb37521,
    0xff935e19,
    0xff7f4e17,
    0xff754419,
    0xff8d5833,
    0xff593b16,
    0xff68563a,
    0xff4c471c,
    0xff42430f,
    0xff494c11,
    0xff808635,
    0xff767f20,
    0xff636d15,
    0xff737f34,
    0xff51601d,
    0xff495e1c,
    0xff32451d,
    0xff192416,
    0xff626a41,
    0xff7b7e32,
    0xff6e6a1d,
    0xff9d8528,
    0xff846e0b,
    0xffa5922d,
    0xff675500,
    0xff543e07,
    0xff684d26,
    0xff5a3b1f,
    0xff58381d,
    0xff553b08,
    0xff633a0f,
    0xff855933,
    0xff795c26,
    0xff665300,
    0xffd8c357,
    0xffc1a934,
    0xffeed960,
    0xffcbb64c,
    0xff757009,
    0xff708012,
    0xff60751c,
    0xff798a46,
    0xff425013,
    0xff5b6832,
    0xff52612c,
    0xff3a4311,
    0xff2a3614,
    0xff27311d,
    0xff464a31,
    0xff3c3113,
    0xff553a15,
    0xff8a6629,
    0xff916b17,
    0xff947c16,
    0xff967818,
    0xff815c0b,
    0xff624200,
    0xff6b571b,
    0xff5d501c,
    0xff665a2c,
    0xff534517,
    0xff393701,
    0xff71702e,
    0xff959a33,
    0xff636e13,
    0xff5d701c,
    0xff758d44,
    0xff627a2f,
    0xff3b4e1f,
    0xff374218,
    0xff373b1e,
    0xff4c4d32,
    0xff434a23,
    0xff37441c,
    0xff4a5838,
    0xff0f1e00,
    0xff2a3b0d,
    0xff475122,
    0xff3a4f27,
    0xff1b3d18,
    0xff25421f,
    0xff28340e,
    0xff434617,
    0xff454712,
    0xff545c27,
    0xff3a420d,
    0xff222d07,
    0xff33422b,
    0xff18240e,
    0xff2a2c0e,
    0xff68672c,
    0xff696922,
    0xff535908,
    0xff969237,
    0xff898740,
    0xff2e3500,
    0xff6c8045,
    0xff162d08,
    0xff152519,
    0xff2d3118,
    0xff5f5f1e,
    0xff3a3f00,
    0xff55642c,
    0xff263b07,
    0xff3f510b,
    0xff687327,
    0xff191f00,
    0xff192817,
    0xff14370f,
    0xff1c3d17,
    0xff1c3726,
    0xff0a2613,
    0xff092409,
    0xff162911,
    0xff242c09,
    0xff423911,
    0xff3f2913,
    0xff262414,
    0xff0b0700,
    0xff383414,
    0xff161700,
    0xff1b2606,
    0xff041400,
    0xff021709,
    0xff13271d,
    0xff112724,
    0xff0d1e15,
    0xff081308,
    0xff162600,
    0xff212d09,
    0xff263014,
    0xff444c18,
    0xff41430d,
    0xff2d3b18,
    0xff2e3e26,
    0xff122214,
    0xff101916,
    0xff1f211f,
    0xff242b22,
    0xff202f20,
    0xff17301a,
    0xff1c2b14,
    0xff263524,
    0xff132416,
    0xff18291d,
    0xff06180a,
    0xff0a1c0f,
    0xff021106,
    0xff000f07,
    0xff0c2523,
    0xff1c3724,
    0xff141e0b,
    0xff181612,
    0xff191f1f,
    0xff152b21,
    0xff031d17,
    0xff07111e,
    0xff00110c,
    0xff081210,
    0xff0d151c,
    0xff011e18,
    0xff00260a,
    0xff082112,
    0xff142324,
    0xff061907,
    0xff071b0e,
    0xff041703,
    0xff05110a,
    0xff152513,
    0xff88a559,
    0xff618416,
    0xff567813,
    0xff6b8b31,
    0xff627e29,
    0xff31500e,
    0xff2c4d21,
    0xff0c280e,
    0xff192b17,
    0xff232c1e,
    0xff16211d,
    0xff2a383c,
    0xff273637,
    0xff071515,
    0xff1d2d28,
    0xff000c05,
    0xff000c02,
    0xff0c1b14,
    0xff01110b,
    0xff000f0c,
    0xff051019,
    0xff0b120c,
    0xff121400,
    0xff454121,
    0xff4a3e1a,
    0xff6f5b29,
    0xff977c2e,
    0xffa3841e,
    0xffe9cc5d,
    0xff7b6520,
    0xff50410a,
    0xff5a4a05,
    0xff7e651d,
    0xffbea643,
    0xffb19e3d,
    0xff76662b,
    0xff6a5a3b,
    0xff928c55,
    0xff83834f,
    0xff807f58,
    0xff72733e,
    0xff7f7937,
    0xff96863d,
    0xff8e7921,
    0xffb0a22c,
    0xff5e400d,
    0xffd8bd59,
    0xff958512,
    0xff9f9338,
    0xff7f7a14,
    0xffb3af41,
    0xff807316,
    0xff937d0c,
    0xffd0ae24,
    0xffcaa015,
    0xffad8408,
    0xffaa8c15,
    0xffc9b030,
    0xffccaa26,
    0xffe4b82f,
    0xff9a7c0c,
    0xffdeb847,
    0xff6f5303,
    0xff3b2f18,
    0xff616259,
    0xff4f4e27,
    0xff5e5d2d,
    0xff474711,
    0xff757330,
    0xff91864c,
    0xff604d12,
    0xff5c4c18,
    0xff4b431a,
    0xff4a4828,
    0xff161000,
    0xff1a100f,
    0xff15110e,
    0xff16110e,
    0xff1a1412,
    0xff140f0c,
    0xff130e0b,
    0xff140f0c,
    0xff130f0c,
    0xff16120f,
    0xff110e16,
    0xff161106,
    0xff1c0e15,
    0xff1d1111,
    0xff1c1406,
    0xff141009,
    0xff0e0c04,
    0xff0f0a0b,
    0xff43251f,
    0xff6c3136,
    0xffa4646a,
    0xff6f4340,
    0xff3e0f0a,
    0xff974b4a,
    0xff6d1013,
    0xff751d1b,
    0xff690915,
    0xff460d0b,
    0xff260c01,
    0xff391109,
    0xff550e0f,
    0xff5c0c0e,
    0xff530e0b,
    0xff4e110b,
    0xff47150d,
    0xff3a100e,
    0xff230506,
    0xff251411,
    0xff160900,
    0xff2b1605,
    0xff4a2514,
    0xff471809,
    0xff3f0f00,
    0xff430f02,
    0xff45180c,
    0xff341509,
    0xff2f0d08,
    0xff421515,
    0xff3f1a10,
    0xff30210c,
    0xff2b211d,
    0xff0c0a09,
    0xff030c02,
    0xff0b1400,
    0xff1f1e0a,
    0xff1f1c15,
    0xff060804,
    0xff000d02,
    0xff091b17,
    0xff111b1c,
    0xff111819,
    0xff090b08,
    0xff12140b,
    0xff151509,
    0xff120d06,
    0xff170b08,
    0xff19090a,
    0xff594744,
    0xff473428,
    0xff2b1906,
    0xff281b02,
    0xff312610,
    0xff281c04,
    0xff31230f,
    0xff111000,
    0xff1a1507,
    0xff171206,
    0xff17180a,
    0xff0e1b06,
    0xff14210a,
    0xff1e1f09,
    0xff5f513e,
    0xff38230f,
    0xff3a3213,
    0xff4d4931,
    0xff0c1b0c,
    0xff1d2116,
    0xff382518,
    0xff1f1e0d,
    0xff06140e,
    0xff131b10,
    0xff181f14,
    0xff0d1309,
    0xff10150b,
    0xff13180e,
    0xff080f04,
    0xff535b4f,
    0xff0b1205,
    0xff555347,
    0xff19210d,
    0xff0e1c0c,
    0xff222714,
    0xff38300d,
    0xff312506,
    0xff1c1a03,
    0xff15220b,
    0xff15190a,
    0xff161d00,
    0xff222e00,
    0xff81953b,
    0xff455d00,
    0xff4d640e,
    0xff445a04,
    0xff313e00,
    0xff62606f,
    0xff564d5e,
    0xff504257,
    0xff494154,
    0xff3e3f50,
    0xff525a67,
    0xff494f5b,
    0xff403f4c,
    0xff2f2c40,
    0xff464755,
    0xff2b323a,
    0xff344346,
    0xff213335,
    0xff061b1d,
    0xff193334,
    0xff072324,
    0xff002219,
    0xff0a1f1d,
    0xff081d22,
    0xff00181b,
    0xff091305,
    0xff512d0e,
    0xffa3693b,
    0xff9a6632,
    0xff8f591c,
    0xff765018,
    0xff665727,
    0xff61623d,
    0xff404a31,
    0xff213427,
    0xff172e2b,
    0xff0d2126,
    0xff182318,
    0xff525d42,
    0xff546139,
    0xff3b4e27,
    0xff344a2d,
    0xff465947,
    0xff1f2f22,
    0xff142212,
    0xff374f35,
    0xff203724,
    0xff14291f,
    0xff1b2d2b,
    0xff142727,
    0xff152725,
    0xff1c3023,
    0xff334934,
    0xff283f2f,
    0xff1a2d30,
    0xff0e2222,
    0xff172f19,
    0xff455e47,
    0xff152c28,
    0xff132920,
    0xff27431f,
    0xff193f1d,
    0xff3d5035,
    0xff3f4100,
    0xffd0bf42,
    0xffb3950d,
    0xffac8816,
    0xffa27f12,
    0xffad8d13,
    0xff9f8c14,
    0xff9c8b2b,
    0xffa3a155,
    0xff2c3916,
    0xff273825,
    0xff525c41,
    0xff0b100b,
    0xff192622,
    0xff212d26,
    0xff1c2420,
    0xff442e20,
    0xff9c733b,
    0xff715a30,
    0xff201208,
    0xff645534,
    0xff594929,
    0xff593620,
    0xff754d30,
    0xff6c4a27,
    0xff70582b,
    0xff7e6429,
    0xff856520,
    0xff806629,
    0xff74663b,
    0xff513817,
    0xff615326,
    0xffa99665,
    0xff938351,
    0xff6c6937,
    0xff413710,
    0xff695233,
    0xff725f3b,
    0xff615526,
    0xff6b7842,
    0xff57763f,
    0xff435e2f,
    0xff586a48,
    0xff21381d,
    0xff102815,
    0xff112216,
    0xff31301f,
    0xff3b371c,
    0xff463e0b,
    0xff9c8c30,
    0xffa48e0e,
    0xffb6a010,
    0xffb8a51f,
    0xff9e8f1c,
    0xff94742e,
    0xff846a1a,
    0xffa08b3f,
    0xff6f5929,
    0xff50341d,
    0xff694832,
    0xff77512d,
    0xff7e532b,
    0xff7f5332,
    0xff886941,
    0xff766331,
    0xff523d06,
    0xff8b7337,
    0xff785614,
    0xff967128,
    0xff9b762b,
    0xff92642d,
    0xff967331,
    0xff8c7134,
    0xff694f25,
    0xff927353,
    0xff906f47,
    0xff806439,
    0xff816641,
    0xff755d34,
    0xff6e5e3a,
    0xff5f5a33,
    0xff3e300f,
    0xff6b4e2c,
    0xff886c1d,
    0xffc0b133,
    0xffb0ac23,
    0xffb2b930,
    0xff9ea131,
    0xffa8ac45,
    0xff919a38,
    0xff283500,
    0xff62702f,
    0xff535c07,
    0xff90942c,
    0xff83942d,
    0xff8ea039,
    0xff6d6b19,
    0xff795f19,
    0xffa97b2d,
    0xff8b5d1d,
    0xff412501,
    0xff595034,
    0xff4b3126,
    0xff542816,
    0xff71401e,
    0xff895523,
    0xff98682b,
    0xff786726,
    0xff647136,
    0xff465628,
    0xff4e6b38,
    0xff435e3f,
    0xff041c09,
    0xff415939,
    0xff2a400f,
    0xff5f7138,
    0xff6e7d3b,
    0xff5e7024,
    0xff3f5e25,
    0xff385336,
    0xff2c4427,
    0xff37461e,
    0xff3a360b,
    0xff7f6e21,
    0xff9d801b,
    0xffaf8a2c,
    0xff927618,
    0xff826e0e,
    0xff897d05,
    0xff928c1c,
    0xff6b6520,
    0xff464210,
    0xff626328,
    0xff5f5f2a,
    0xff434619,
    0xff573e02,
    0xff956f12,
    0xff9a7c2d,
    0xff665a13,
    0xff504c0c,
    0xff4a4516,
    0xff5f6212,
    0xff616517,
    0xff3f4918,
    0xff41511e,
    0xff394c12,
    0xff3d4809,
    0xff4a4e10,
    0xff4d4f1c,
    0xff5c6420,
    0xff656f28,
    0xff495911,
    0xff4d601a,
    0xff546121,
    0xff444b0e,
    0xff6d7635,
    0xff4b5b1c,
    0xff30460e,
    0xff465d1f,
    0xff4d5918,
    0xff484700,
    0xff857625,
    0xff957d22,
    0xffa38825,
    0xff8d760b,
    0xff907c0f,
    0xff868310,
    0xff61600e,
    0xff4b4804,
    0xff6e6715,
    0xff666810,
    0xff475415,
    0xff4d5a1d,
    0xff4f500d,
    0xff675402,
    0xff625108,
    0xff6e5c14,
    0xff705d14,
    0xff6c570f,
    0xff7c6b18,
    0xff796e23,
    0xff4d451b,
    0xff565e34,
    0xff585726,
    0xff725e34,
    0xff4f2c10,
    0xff6e492d,
    0xff694f27,
    0xff4a380e,
    0xff352b00,
    0xff5a5514,
    0xff807c20,
    0xff7f770a,
    0xff7d6d06,
    0xff8f791c,
    0xff816c14,
    0xff716511,
    0xff6e691e,
    0xff6b5e1b,
    0xff816319,
    0xff7c631c,
    0xff515620,
    0xff5c6341,
    0xff5f512b,
    0xff675620,
    0xff6a6822,
    0xff78691f,
    0xff7c6707,
    0xff8d7503,
    0xffbc9f2d,
    0xff9d8114,
    0xff9b8616,
    0xff968214,
    0xff937c18,
    0xffa48c20,
    0xff8b7411,
    0xffa8912d,
    0xffb59c2b,
    0xffbe9f20,
    0xffbc970f,
    0xffc6a315,
    0xffc9a917,
    0xffbba21f,
    0xffa27710,
    0xffa56b1f,
    0xff9b6a1a,
    0xff906e29,
    0xff806424,
    0xff714b08,
    0xff6e3616,
    0xff6e462b,
    0xff332418,
    0xff464927,
    0xff7b7c2e,
    0xff908c2a,
    0xff6e730b,
    0xff6e7613,
    0xff676616,
    0xff55590e,
    0xff909c56,
    0xff67822d,
    0xff153308,
    0xff041412,
    0xff2b341b,
    0xff2c2a01,
    0xff4b3f0e,
    0xff605300,
    0xff735606,
    0xff8e7314,
    0xff99892f,
    0xff836d40,
    0xff5f3a18,
    0xff805829,
    0xff6c4826,
    0xff694217,
    0xff5c3508,
    0xff694519,
    0xff6f5117,
    0xff8d7a1c,
    0xffb1a034,
    0xffaf9f2d,
    0xffb0a221,
    0xffa99f2a,
    0xffb9b636,
    0xff8c911f,
    0xff5b6617,
    0xff4e601c,
    0xff839844,
    0xff99a652,
    0xff5a5f1c,
    0xff646931,
    0xff485228,
    0xff4a5443,
    0xff232e0c,
    0xff5b5f2e,
    0xff5f521f,
    0xff977c2e,
    0xffa57f27,
    0xff927319,
    0xff876c06,
    0xff8b6e11,
    0xff907421,
    0xff6d5216,
    0xff5d431b,
    0xff836f39,
    0xff84733a,
    0xff898043,
    0xff606122,
    0xff334000,
    0xff95ab43,
    0xff6b7e30,
    0xff6b7c4a,
    0xff36490d,
    0xff485a34,
    0xff273819,
    0xff213019,
    0xff0e1907,
    0xff091400,
    0xff36422d,
    0xff1d2c13,
    0xff0f2109,
    0xff23351b,
    0xff36491d,
    0xff1d340f,
    0xff173119,
    0xff19311e,
    0xff172d14,
    0xff283510,
    0xff272d02,
    0xff454513,
    0xff333805,
    0xff374011,
    0xff44532b,
    0xff46532f,
    0xff373f18,
    0xff4c5327,
    0xff2e3a05,
    0xff304403,
    0xff3d4507,
    0xff817933,
    0xff454205,
    0xff64602f,
    0xff394113,
    0xff0b1903,
    0xff3d3726,
    0xff393501,
    0xff787026,
    0xff625417,
    0xff796c32,
    0xff55520b,
    0xff67732d,
    0xff354719,
    0xff192b13,
    0xff22321f,
    0xff132e0b,
    0xff142d0f,
    0xff213523,
    0xff1c2d1c,
    0xff46562d,
    0xff656f2e,
    0xff524b15,
    0xff432e16,
    0xff1f1d0d,
    0xff403715,
    0xff605018,
    0xff57491a,
    0xff676334,
    0xff555e39,
    0xff152510,
    0xff162927,
    0xff071b12,
    0xff051d14,
    0xff021308,
    0xff798129,
    0xff868a1e,
    0xff797b2f,
    0xff767824,
    0xff41330a,
    0xff1c2213,
    0xff1f2c1c,
    0xff000e00,
    0xff142713,
    0xff172914,
    0xff223422,
    0xff000f05,
    0xff091e16,
    0xff1c2c17,
    0xff132c18,
    0xff0b2214,
    0xff1c2820,
    0xff152118,
    0xff071c11,
    0xff001307,
    0xff0d190f,
    0xff1a2719,
    0xff242416,
    0xff772228,
    0xff863034,
    0xff350100,
    0xff3f1917,
    0xff171f17,
    0xff050b0c,
    0xff0a1614,
    0xff03120a,
    0xff071711,
    0xff041717,
    0xff061c1a,
    0xff061b15,
    0xff00120b,
    0xff001311,
    0xff0a1715,
    0xff000b09,
    0xff4c5e62,
    0xff394d49,
    0xff3f542c,
    0xff435705,
    0xff476006,
    0xff6b8a3c,
    0xff617f39,
    0xff607f39,
    0xff1c4211,
    0xff1d402a,
    0xff0d160f,
    0xff362119,
    0xff412d22,
    0xff3e3f37,
    0xff343836,
    0xff0a1511,
    0xff122220,
    0xff000f0d,
    0xff01120c,
    0xff091813,
    0xff031111,
    0xff000d0e,
    0xff071608,
    0xff101916,
    0xff141316,
    0xff120e04,
    0xff3a3a13,
    0xff434009,
    0xff968c50,
    0xff7e6f36,
    0xff1a1700,
    0xff0d0400,
    0xff9c8343,
    0xffe5bf5c,
    0xffdaba51,
    0xff998e2a,
    0xff908d2e,
    0xff7e6c42,
    0xff82795c,
    0xff5c581f,
    0xffa2a25c,
    0xff686a35,
    0xff6a6a44,
    0xff535123,
    0xff6b6324,
    0xff827527,
    0xffa5942d,
    0xff947d20,
    0xffab9237,
    0xff917c15,
    0xffae9f2f,
    0xff8e840e,
    0xff897c16,
    0xff726112,
    0xff9c8d0a,
    0xffd7af2a,
    0xffb4870f,
    0xff745509,
    0xffaba03b,
    0xff867318,
    0xff937029,
    0xffb59933,
    0xff90751d,
    0xffb78c20,
    0xff947a23,
    0xff4f3514,
    0xff444f48,
    0xff3d554b,
    0xff3a472f,
    0xff38362f,
    0xff151e10,
    0xff686633,
    0xff6e5927,
    0xff3b1f06,
    0xff3e2e08,
    0xff4d4c1a,
    0xff26260d,
    0xff0e0a06,
    0xff130e0a,
    0xff15110d,
    0xff0d0d08,
    0xff12130f,
    0xff0e0e0a,
    0xff151510,
    0xff13110d,
    0xff140f0c,
    0xff140710,
    0xff10150d,
    0xff071502,
    0xff101104,
    0xff0f0807,
    0xff0c0a0a,
    0xff050700,
    0xff120e01,
    0xff2b0401,
    0xff340d10,
    0xff7a5f65,
    0xffa08b98,
    0xffa69099,
    0xffc19aa1,
    0xff83474b,
    0xff6a1d1f,
    0xff69191b,
    0xff4a0001,
    0xff5e1d1d,
    0xff470f0f,
    0xff3b0704,
    0xff3f0806,
    0xff521311,
    0xff4e0a0a,
    0xff2e0c0a,
    0xff351816,
    0xff2e100d,
    0xff2d120c,
    0xff2f0f06,
    0xff3a1307,
    0xff411002,
    0xff4f170a,
    0xff4c190b,
    0xff461105,
    0xff461408,
    0xff451b0f,
    0xff2f1207,
    0xff251307,
    0xff1d120a,
    0xff170e06,
    0xff181b13,
    0xff0d1009,
    0xff181a16,
    0xff1b1c12,
    0xff111305,
    0xff0b0e00,
    0xff1c2115,
    0xff10150e,
    0xff11190e,
    0xff20241b,
    0xff11100a,
    0xff0e0e07,
    0xff0a0c01,
    0xff1c1911,
    0xff201a0f,
    0xff241910,
    0xff50412f,
    0xff241605,
    0xff544c38,
    0xff2f2412,
    0xff231603,
    0xff241704,
    0xff403523,
    0xff140a00,
    0xff1f1b04,
    0xff27230c,
    0xff27230c,
    0xff25210b,
    0xff1f1a05,
    0xff232008,
    0xff1f1b03,
    0xff1e1b03,
    0xff3b2d08,
    0xff292102,
    0xff4f503c,
    0xff1b2214,
    0xff0d1204,
    0xff151709,
    0xff101403,
    0xff1e2411,
    0xff1a1b0d,
    0xff0b0e03,
    0xff111a10,
    0xff141c10,
    0xff1a1f12,
    0xff19190b,
    0xff1d1b0e,
    0xffa2a097,
    0xff1d1915,
    0xff54544c,
    0xff0d0f05,
    0xff191c10,
    0xff181a0c,
    0xff272a16,
    0xff1e1f04,
    0xff2d2f09,
    0xff091100,
    0xff363a16,
    0xff54521b,
    0xff585a0b,
    0xff687115,
    0xff64750b,
    0xff667817,
    0xff53640f,
    0xff2e2a38,
    0xff443b4c,
    0xff4a3f50,
    0xff403c4d,
    0xff4d5160,
    0xff727886,
    0xff3d3f4c,
    0xff413e4c,
    0xff484557,
    0xff414351,
    0xff374047,
    0xff1b2c2d,
    0xff314844,
    0xff122b27,
    0xff06211f,
    0xff001818,
    0xff0b2e27,
    0xff0c1f1d,
    0xff0b1f21,
    0xff234142,
    0xff172414,
    0xff694923,
    0xffa06d3a,
    0xff754b15,
    0xff8a5928,
    0xff836137,
    0xff463d1a,
    0xff3a4329,
    0xff2e402c,
    0xff11261a,
    0xff273d3b,
    0xff081e20,
    0xff182821,
    0xff22301c,
    0xff2f3f1f,
    0xff334424,
    0xff122611,
    0xff1b3025,
    0xff11211a,
    0xff202f25,
    0xff152b1b,
    0xff091f13,
    0xff0c201f,
    0xff001315,
    0xff091d20,
    0xff0b1f1e,
    0xff0b2117,
    0xff0a2112,
    0xff294637,
    0xff0d2627,
    0xff0b2521,
    0xff042105,
    0xff17341c,
    0xff19322e,
    0xff2d4841,
    0xff1d3d1d,
    0xff193d22,
    0xff13200d,
    0xff938b49,
    0xff7b6901,
    0xff967a0a,
    0xff8d700b,
    0xffab9121,
    0xffb09626,
    0xffab933a,
    0xff231900,
    0xff50522b,
    0xff1a1c06,
    0xff222716,
    0xff11210a,
    0xff0e1712,
    0xff242715,
    0xff1d2b12,
    0xff1c2620,
    0xff432c2a,
    0xff7a5127,
    0xff6b5126,
    0xff412b1d,
    0xff482a14,
    0xff452519,
    0xff34240e,
    0xff573e1d,
    0xff6c4b21,
    0xff7a5826,
    0xff9f7435,
    0xffb98645,
    0xff734c1d,
    0xff554128,
    0xff6a563e,
    0xff534c29,
    0xff695b33,
    0xff827444,
    0xff6f703b,
    0xff787742,
    0xff7d7140,
    0xff46420f,
    0xff71703c,
    0xff5d6f39,
    0xff2d4b19,
    0xff2e4623,
    0xff2d452b,
    0xff1c3625,
    0xff122a1f,
    0xff0f1c16,
    0xff636436,
    0xff757544,
    0xff4e4e16,
    0xff474000,
    0xff867a1a,
    0xff928618,
    0xff989226,
    0xff9a9933,
    0xff6a5c0f,
    0xffa79645,
    0xff7c6719,
    0xff9e8545,
    0xff7b5d3c,
    0xff52332a,
    0xff6a523d,
    0xff735f33,
    0xff6f5333,
    0xff463012,
    0xff6a5938,
    0xff513f13,
    0xff997d45,
    0xff6e4c0e,
    0xff846027,
    0xff9c7541,
    0xff9f7937,
    0xff836720,
    0xff88723c,
    0xff675136,
    0xff78604a,
    0xff69502c,
    0xff725d32,
    0xff746337,
    0xff92895e,
    0xff3c3018,
    0xff70644b,
    0xff5d4f32,
    0xff4f3e17,
    0xff948630,
    0xffc4ba3d,
    0xffbeb343,
    0xff9da72b,
    0xff878d26,
    0xff6b720a,
    0xff8a9936,
    0xff6f7f35,
    0xff657534,
    0xff848f3e,
    0xff898c34,
    0xff91973c,
    0xff556602,
    0xff8a9944,
    0xff72691f,
    0xff8e681e,
    0xff88561e,
    0xff694422,
    0xff473a17,
    0xff3e361b,
    0xff522c1a,
    0xff56230f,
    0xff753a1e,
    0xff8b552e,
    0xff755e2b,
    0xff3f4c12,
    0xff55642f,
    0xff4b612d,
    0xff263d1b,
    0xff152a15,
    0xff3e5637,
    0xff283e17,
    0xff495b35,
    0xff465528,
    0xff5e6e33,
    0xff364c1f,
    0xff354624,
    0xff3f4c1f,
    0xff5c6435,
    0xff69613c,
    0xff634e14,
    0xffa28422,
    0xffc1972b,
    0xffaf7c21,
    0xffba8e3d,
    0xff9f8427,
    0xff78700d,
    0xff696e1f,
    0xff556519,
    0xff546a1f,
    0xff43591e,
    0xff4a4926,
    0xff8d703c,
    0xff976a1e,
    0xff724e0f,
    0xff604f13,
    0xff615826,
    0xff564c26,
    0xff5c5d12,
    0xff5d5d16,
    0xff393f13,
    0xff374618,
    0xff4f5f2b,
    0xff586524,
    0xff555e18,
    0xff494e15,
    0xff586018,
    0xff535f20,
    0xff3c4e06,
    0xff42541a,
    0xff323d0c,
    0xff43480a,
    0xff6d7431,
    0xff3b4b0e,
    0xff415d16,
    0xff3c5210,
    0xff616f29,
    0xff909342,
    0xff746a10,
    0xff857413,
    0xff867211,
    0xff998225,
    0xff947e22,
    0xff7d6c16,
    0xff796b23,
    0xff8c802f,
    0xff8d7f1d,
    0xff8f862a,
    0xff4f5212,
    0xff494c1c,
    0xff4c460c,
    0xff897932,
    0xff7c6f22,
    0xff998c35,
    0xff948534,
    0xff705c1b,
    0xff6f611a,
    0xff635c13,
    0xff42400d,
    0xff3c4918,
    0xff576128,
    0xff504a1b,
    0xff382b0c,
    0xff443b1f,
    0xff353411,
    0xff555c38,
    0xff293017,
    0xff3e3716,
    0xff535014,
    0xff5a5400,
    0xff766a09,
    0xff948117,
    0xff7c6a00,
    0xff7e7112,
    0xff71651b,
    0xff716517,
    0xff76590d,
    0xff725c18,
    0xff4a501b,
    0xff7a845b,
    0xff61572d,
    0xff71602e,
    0xff595821,
    0xff5d4f0c,
    0xffae9c3b,
    0xffab921f,
    0xffa68814,
    0xffae9022,
    0xffa3891a,
    0xff987f18,
    0xff9b8226,
    0xffa08e1b,
    0xff998614,
    0xff9e8414,
    0xffb5951c,
    0xffb8930e,
    0xffc4a011,
    0xffd5b824,
    0xffb29a07,
    0xff9e8b0f,
    0xffa0922b,
    0xff867d29,
    0xff5d4f00,
    0xff5e4306,
    0xff7d5c22,
    0xffa48b46,
    0xff4d350c,
    0xff83612c,
    0xff45380f,
    0xff606126,
    0xff6a6913,
    0xff726b14,
    0xff7c802d,
    0xff6f7828,
    0xff656c22,
    0xff586713,
    0xff485d0e,
    0xff507018,
    0xff264312,
    0xff031707,
    0xff39471b,
    0xff3a3d00,
    0xff847f2f,
    0xff918528,
    0xff927922,
    0xff8f7719,
    0xff6a6108,
    0xff504308,
    0xff593d10,
    0xff59370c,
    0xff694921,
    0xffa0612e,
    0xff925717,
    0xff845010,
    0xffa17629,
    0xffba9e2a,
    0xffc6b433,
    0xffb6aa36,
    0xff95881e,
    0xff9a9427,
    0xffa29d25,
    0xffa7a332,
    0xff62610f,
    0xff474c13,
    0xff384415,
    0xff4a5527,
    0xff545d2e,
    0xff696824,
    0xff5c5f2d,
    0xff3a3d2b,
    0xff44492c,
    0xff646337,
    0xff534415,
    0xff82671a,
    0xff997418,
    0xff7f630f,
    0xff806607,
    0xff957a1f,
    0xff91771e,
    0xff937b30,
    0xff543d08,
    0xff56430c,
    0xff7c6c37,
    0xff6b6a1f,
    0xff686923,
    0xff696b35,
    0xff37450f,
    0xff152812,
    0xff011419,
    0xff152d16,
    0xff2c3f1e,
    0xff3b4e26,
    0xff3c4723,
    0xff3e4427,
    0xff46472c,
    0xff383d1f,
    0xff374320,
    0xff253b17,
    0xff2b4521,
    0xff3c551f,
    0xff354f1f,
    0xff5b7550,
    0xff112b0d,
    0xff384e2a,
    0xff4e5d36,
    0xff475024,
    0xff55592e,
    0xff464a2b,
    0xff4e5435,
    0xff161b00,
    0xff212605,
    0xff3c401f,
    0xff323412,
    0xff3f3e1b,
    0xff494b26,
    0xff3c3c06,
    0xff574704,
    0xff6a5d26,
    0xff544329,
    0xff37341e,
    0xff202613,
    0xff402d12,
    0xff6a5819,
    0xff776905,
    0xff796b0b,
    0xff6d6709,
    0xff586406,
    0xff415e10,
    0xff224110,
    0xff19350c,
    0xff3b5024,
    0xff1f331a,
    0xff2c4322,
    0xff40592f,
    0xff173405,
    0xff36531e,
    0xff162e00,
    0xff434c1e,
    0xff2c280b,
    0xff594634,
    0xff3d2500,
    0xff755b1d,
    0xff96804c,
    0xff221900,
    0xff363b20,
    0xff172410,
    0xff0d1b0e,
    0xff0b1f1b,
    0xff273e35,
    0xff091600,
    0xffb3bc4d,
    0xff8d9018,
    0xff6d7126,
    0xff3f4600,
    0xff353308,
    0xff2d3319,
    0xff16200e,
    0xff041207,
    0xff06160e,
    0xff0a1910,
    0xff3d4b3e,
    0xff233221,
    0xff0b200f,
    0xff1a2020,
    0xff000c00,
    0xff1b2b12,
    0xff373f26,
    0xff152011,
    0xff011c0d,
    0xff0c2d1e,
    0xff2e4737,
    0xff283c18,
    0xff4e361c,
    0xff991e20,
    0xff90090c,
    0xff801613,
    0xff711a1e,
    0xff110000,
    0xff050f08,
    0xff04130b,
    0xff000f0a,
    0xff031313,
    0xff01120f,
    0xff001311,
    0xff000d0f,
    0xff001012,
    0xff021010,
    0xff001311,
    0xff253a36,
    0xff263a38,
    0xff3a4f49,
    0xff041b00,
    0xff6a833e,
    0xff2d4a01,
    0xff254200,
    0xff2b430c,
    0xff122b00,
    0xff173214,
    0xff001006,
    0xff1a160f,
    0xff402316,
    0xff371c12,
    0xff282323,
    0xff1a1f17,
    0xff1d2921,
    0xff11221b,
    0xff000f09,
    0xff000a02,
    0xff101f16,
    0xff071511,
    0xff000c0b,
    0xff0b1808,
    0xff0a160a,
    0xff111f16,
    0xff081712,
    0xff111c16,
    0xff202117,
    0xff211405,
    0xff331905,
    0xffd8af6c,
    0xfff6db79,
    0xffd0ba5b,
    0xffab952c,
    0xff9d832a,
    0xff5a430b,
    0xffa19064,
    0xff635234,
    0xff7d703f,
    0xffaaa25b,
    0xff878035,
    0xff928c52,
    0xff6c6941,
    0xff716f43,
    0xff7b7643,
    0xff756c33,
    0xff958936,
    0xffa3953d,
    0xff897b24,
    0xff7f6f20,
    0xff62560d,
    0xff968c46,
    0xff5e540a,
    0xff8c832a,
    0xff9e8d11,
    0xffaa8409,
    0xffcaa324,
    0xff96802c,
    0xff150d00,
    0xff8b8356,
    0xff5d4f22,
    0xff514800,
    0xff967f26,
    0xffc6a144,
    0xff806f2a,
    0xff826e48,
    0xff4a5745,
    0xff465c53,
    0xff66745c,
    0xff747768,
    0xff7e857d,
    0xff6f7646,
    0xff0c0c00,
    0xff433c2c,
    0xff282412,
    0xff2b2f18,
    0xff191c0d,
    0xff0c0e05,
    0xff0c0f0e,
    0xff090d0a,
    0xff090f09,
    0xff0a1108,
    0xff131c0f,
    0xff1c2719,
    0xff253022,
    0xff212c1f,
    0xff111f14,
    0xff1b3121,
    0xff304637,
    0xff435147,
    0xff4c5c55,
    0xff516156,
    0xff413d2e,
    0xff503527,
    0xff58361e,
    0xff5c3a29,
    0xff502e25,
    0xff2a0602,
    0xff431314,
    0xff712d2f,
    0xff923539,
    0xff7f1315,
    0xff5b0c07,
    0xff651c16,
    0xff540f09,
    0xff571c11,
    0xff4e1b11,
    0xff4a150c,
    0xff5a1f19,
    0xff4a0a05,
    0xff371010,
    0xff270e09,
    0xff26120b,
    0xff28110a,
    0xff37110b,
    0xff43110c,
    0xff4c1812,
    0xff511f16,
    0xff421e0f,
    0xff3e170b,
    0xff3d160c,
    0xff341309,
    0xff291607,
    0xff1e1508,
    0xff1a140b,
    0xff1d1a10,
    0xff181810,
    0xff100f0a,
    0xff0f0c08,
    0xff0e0b04,
    0xff110f02,
    0xff0f1002,
    0xff131508,
    0xff090902,
    0xff13180e,
    0xff15160e,
    0xff17170f,
    0xff12110a,
    0xff181a0f,
    0xff16160c,
    0xff120f07,
    0xff130900,
    0xff190c00,
    0xff1e1604,
    0xff433d2c,
    0xff261f0f,
    0xff251a09,
    0xff332917,
    0xff29220f,
    0xff332f21,
    0xff1b1d0e,
    0xff242318,
    0xff1a190c,
    0xff211d0f,
    0xff251d0c,
    0xff241d09,
    0xff211701,
    0xff281e03,
    0xff3f3313,
    0xff1e1500,
    0xff575646,
    0xff0e1004,
    0xff151508,
    0xff20200e,
    0xff28240f,
    0xff272710,
    0xff191a09,
    0xff1a1e11,
    0xff071106,
    0xff1f291d,
    0xff292d20,
    0xff222315,
    0xff1a1a0e,
    0xff000000,
    0xff6b6a66,
    0xff56574f,
    0xff2e3024,
    0xff141709,
    0xff1a1c0a,
    0xff211e06,
    0xff322e0b,
    0xff6b6337,
    0xff30311c,
    0xff403c1c,
    0xff1e1800,
    0xff383305,
    0xff383d00,
    0xff818f2f,
    0xff667613,
    0xff53610d,
    0xff4d4552,
    0xff463d4d,
    0xff413a4a,
    0xff393948,
    0xff6a6c7b,
    0xff595d6c,
    0xff413e50,
    0xff4b4252,
    0xff41414f,
    0xff39404a,
    0xff162628,
    0xff18302d,
    0xff0d2a24,
    0xff1a3430,
    0xff172e2f,
    0xff001212,
    0xff05221d,
    0xff0e231e,
    0xff0e2123,
    0xff1b3635,
    0xff2c3525,
    0xff8b7049,
    0xff714513,
    0xff5b3603,
    0xff6c401a,
    0xff785b3c,
    0xff524c39,
    0xff1c2b1c,
    0xff294236,
    0xff021e15,
    0xff142f29,
    0xff0c2724,
    0xff0a1e1b,
    0xff081b0e,
    0xff25321e,
    0xff3d4a36,
    0xff132418,
    0xff0c201d,
    0xff122626,
    0xff1c302d,
    0xff10261e,
    0xff0a211d,
    0xff0a1f20,
    0xff03181e,
    0xff04181d,
    0xff011616,
    0xff00160f,
    0xff243c30,
    0xff0e2e21,
    0xff1e3b3b,
    0xff001d14,
    0xff305235,
    0xff42644a,
    0xff12302a,
    0xff03231c,
    0xff0d2e18,
    0xff132f21,
    0xff1d2015,
    0xff836e30,
    0xffac9123,
    0xffbda23c,
    0xff807001,
    0xff7a6b00,
    0xff6f5c04,
    0xff7b711c,
    0xff7a7d34,
    0xff798642,
    0xff272d08,
    0xff12150f,
    0xff151d27,
    0xff161927,
    0xff272119,
    0xff21220a,
    0xff212119,
    0xff3c2320,
    0xff5b3213,
    0xff664b29,
    0xff4c382b,
    0xff3d1f0f,
    0xff502921,
    0xff664c35,
    0xff77593d,
    0xff67462a,
    0xff745537,
    0xff7f542d,
    0xff9b6235,
    0xffa86f4d,
    0xff704538,
    0xff3f3228,
    0xff3c3b22,
    0xff463e1b,
    0xff5c522b,
    0xff585a30,
    0xff3d3f17,
    0xff454418,
    0xff545f2a,
    0xff798852,
    0xff344d1b,
    0xff34512a,
    0xff253b23,
    0xff294335,
    0xff0f2f26,
    0xff09221f,
    0xff0f1516,
    0xff252a04,
    0xff70784a,
    0xff576124,
    0xff616917,
    0xff6c700c,
    0xffacad3d,
    0xff7a780f,
    0xff91912c,
    0xff857d1f,
    0xff7e6f2e,
    0xff543f16,
    0xff5e4622,
    0xff776440,
    0xff534428,
    0xff41381c,
    0xff4a4522,
    0xff7b763c,
    0xff7c7548,
    0xff2f2306,
    0xff685433,
    0xffa38753,
    0xff967532,
    0xff987730,
    0xff7b5c17,
    0xff8f7127,
    0xff89732f,
    0xff766635,
    0xff685a3e,
    0xff6a5b42,
    0xff6b5b36,
    0xff6e6038,
    0xff504520,
    0xff505121,
    0xff453b2a,
    0xff6c5e4d,
    0xff5e4e3a,
    0xff5f573e,
    0xff72701e,
    0xffa8a323,
    0xffaea035,
    0xff8f982a,
    0xff697018,
    0xff6f7b1c,
    0xff889b38,
    0xff768d3e,
    0xff5d702c,
    0xff566216,
    0xff6a7121,
    0xff979a47,
    0xff5e690b,
    0xff4d5a08,
    0xff65631c,
    0xff826c26,
    0xff946c38,
    0xff6c4121,
    0xff6f4924,
    0xff513e1b,
    0xff592b19,
    0xff4e1810,
    0xff5c2c24,
    0xff572d1b,
    0xff4a3c14,
    0xff47531c,
    0xff728042,
    0xff738349,
    0xff172503,
    0xff3f5341,
    0xff1d361b,
    0xff0e2806,
    0xff445c3e,
    0xff223018,
    0xff2d3c1f,
    0xff233819,
    0xff2e3a19,
    0xff53592e,
    0xff565931,
    0xff222209,
    0xff60582c,
    0xffad9342,
    0xffa37916,
    0xff8c6502,
    0xffa8863b,
    0xff6c5a13,
    0xff959542,
    0xff6d771e,
    0xff99a649,
    0xff535c0c,
    0xff4d4f1c,
    0xff363007,
    0xff5c3e02,
    0xff8f6018,
    0xff7e5a19,
    0xff736223,
    0xff53470c,
    0xff605723,
    0xff5c5e09,
    0xff69661b,
    0xff4a4a19,
    0xff4a5320,
    0xff3d4916,
    0xff58622a,
    0xff4f5a1c,
    0xff3e4613,
    0xff465113,
    0xff4b5821,
    0xff4d5e1b,
    0xff556135,
    0xff595b31,
    0xff515307,
    0xff81853e,
    0xff525f28,
    0xff4c6918,
    0xff566924,
    0xff57661d,
    0xff58620d,
    0xff727216,
    0xff6e6808,
    0xff796c11,
    0xff87741f,
    0xff786314,
    0xff7d671f,
    0xff614f0e,
    0xff9c8e33,
    0xff8f8015,
    0xff605600,
    0xff515218,
    0xff3e3f10,
    0xff706a2d,
    0xff746924,
    0xff675c14,
    0xff625806,
    0xff544400,
    0xff6b5819,
    0xff635912,
    0xff61641b,
    0xff3f4717,
    0xff2f2f0d,
    0xff434114,
    0xff635d30,
    0xff574e30,
    0xff38331b,
    0xff2b2b0f,
    0xff1f2003,
    0xff343020,
    0xff2b1e01,
    0xff3f3607,
    0xff746b26,
    0xff7a6e16,
    0xffab9b30,
    0xff96840d,
    0xff7b6705,
    0xff7f6b24,
    0xff695f0f,
    0xff816a1e,
    0xff564404,
    0xff585d2b,
    0xff5b6537,
    0xff494516,
    0xff574e23,
    0xff33320e,
    0xff6c6225,
    0xff8d7e24,
    0xffab921e,
    0xffceaf39,
    0xffb0901f,
    0xffb19525,
    0xffa08321,
    0xff947623,
    0xffa08d1c,
    0xffb7a32e,
    0xffa88b15,
    0xffdab43a,
    0xffdcb432,
    0xffc6a016,
    0xffccb025,
    0xffb4a11a,
    0xffb6a628,
    0xff938f1e,
    0xff8c8e30,
    0xff928c2d,
    0xffa88b3c,
    0xff7e5612,
    0xffa98e3e,
    0xff473500,
    0xff6a4f19,
    0xff645522,
    0xff655f18,
    0xff989137,
    0xff837929,
    0xff616214,
    0xff425300,
    0xff667926,
    0xff3c550b,
    0xff536b2f,
    0xff55712d,
    0xff3b532e,
    0xff3f4d3b,
    0xff505827,
    0xff6d6f24,
    0xff7d781d,
    0xff877b23,
    0xff6b5709,
    0xff7e6b1f,
    0xff5a510f,
    0xff605915,
    0xff887344,
    0xff624425,
    0xff351400,
    0xffa46e31,
    0xffbb8c24,
    0xffa9820b,
    0xffae8b1d,
    0xff937c09,
    0xff695b00,
    0xff4b4400,
    0xff8d8938,
    0xff6a660e,
    0xff9f9935,
    0xffada538,
    0xffb0aa47,
    0xff6b6a27,
    0xff0f1600,
    0xff4a543b,
    0xff45512e,
    0xff524a0d,
    0xff595224,
    0xff46412f,
    0xff4a482e,
    0xff544f26,
    0xff50400e,
    0xffa48c34,
    0xff9e8317,
    0xffa58c31,
    0xff866d0e,
    0xff715609,
    0xff826c1a,
    0xff8c7626,
    0xff7a6724,
    0xff5f510a,
    0xff60501a,
    0xff413c06,
    0xff79722e,
    0xff5c561e,
    0xff4d5221,
    0xff1e3314,
    0xff00090d,
    0xff000900,
    0xff394521,
    0xff444c2a,
    0xff23270b,
    0xff342e1c,
    0xff433b2a,
    0xff23210a,
    0xff2e371d,
    0xff1f361a,
    0xff203f23,
    0xff466036,
    0xff2c421b,
    0xff2a3f1f,
    0xff132403,
    0xff000700,
    0xff485534,
    0xff343d22,
    0xff111a01,
    0xff404c1f,
    0xff545a29,
    0xff666733,
    0xff56571f,
    0xff565d20,
    0xff3e4007,
    0xff79713d,
    0xff554415,
    0xff89874b,
    0xff978737,
    0xff382700,
    0xff3d2b18,
    0xff2c2a26,
    0xff2a331d,
    0xff5c4a20,
    0xff5f4300,
    0xff9c7e22,
    0xff755f03,
    0xff635a00,
    0xff646e19,
    0xff314b14,
    0xff193119,
    0xff25391d,
    0xff1f2b05,
    0xff393a22,
    0xff1c1f01,
    0xff1d2700,
    0xff3c4921,
    0xff2d361e,
    0xff262618,
    0xff231701,
    0xff725b39,
    0xff3a261a,
    0xff584621,
    0xff5a471a,
    0xff3b3117,
    0xff171e1a,
    0xff283f3f,
    0xff13322a,
    0xff112e26,
    0xff0b1d1b,
    0xff586d69,
    0xff23300f,
    0xffa3a837,
    0xff5b5a00,
    0xff4f511a,
    0xff3c4b15,
    0xff243006,
    0xff1c250a,
    0xff16200f,
    0xff101b13,
    0xff19251f,
    0xff17221b,
    0xff0d1a0e,
    0xff1d2b1a,
    0xff182817,
    0xff060c18,
    0xff021003,
    0xff27330e,
    0xff3f441d,
    0xff202b13,
    0xff19352a,
    0xff193e2f,
    0xff254332,
    0xff141d12,
    0xff321a14,
    0xff944643,
    0xff942d28,
    0xff8d1919,
    0xff93181f,
    0xff7b3436,
    0xff454a38,
    0xff27412c,
    0xff223b32,
    0xff17352d,
    0xff042416,
    0xff001f15,
    0xff092327,
    0xff0b2328,
    0xff061d1a,
    0xff022021,
    0xff2c4b46,
    0xff031a14,
    0xff162f26,
    0xff405b45,
    0xff7ea375,
    0xff668853,
    0xff7b966a,
    0xff476641,
    0xff234229,
    0xff2a443d,
    0xff384848,
    0xff615a51,
    0xff7e6855,
    0xff46362b,
    0xff47494b,
    0xff040d00,
    0xff071606,
    0xff0e2317,
    0xff071c0e,
    0xff06180b,
    0xff203124,
    0xff132418,
    0xff12231b,
    0xff18211b,
    0xff112210,
    0xff021d02,
    0xff204331,
    0xff53706c,
    0xff152119,
    0xff221b00,
    0xffb8a46b,
    0xff492b00,
    0xff5c460d,
    0xff6b5f08,
    0xff5b560a,
    0xff897e50,
    0xff93804a,
    0xff92822f,
    0xffa1925a,
    0xff837532,
    0xff716211,
    0xffb7a857,
    0xff80752c,
    0xff969249,
    0xffadb05c,
    0xff858932,
    0xff7c7d2e,
    0xff747329,
    0xff8b8839,
    0xff464000,
    0xff7a753f,
    0xff1f1900,
    0xff3d3826,
    0xff342f16,
    0xff514921,
    0xffad9a23,
    0xffe4c53c,
    0xffb89b0d,
    0xffa2962f,
    0xff484e11,
    0xff808b57,
    0xff3c4326,
    0xff363d20,
    0xffa09149,
    0xff94783d,
    0xff2d2a05,
    0xff5d5236,
    0xff323b23,
    0xff354034,
    0xff1b2507,
    0xff3f4a28,
    0xff282900,
    0xff4a520e,
    0xff89945c,
    0xff151b00,
    0xff383a1d,
    0xff2c2b01,
    0xff3c3916,
    0xff302e12,
    0xff403822,
    0xff473c23,
    0xff6d6241,
    0xff7b7048,
    0xff817649,
    0xff8b8455,
    0xff7f7a4b,
    0xff89885a,
    0xff6d7644,
    0xff5d6e44,
    0xff586546,
    0xff5e6649,
    0xff717454,
    0xff535227,
    0xff5f461b,
    0xff773e1b,
    0xff5a2913,
    0xff461001,
    0xff3d0100,
    0xff490b07,
    0xff4e1311,
    0xff4e1312,
    0xff4f110f,
    0xff460705,
    0xff3a0600,
    0xff460701,
    0xff590a06,
    0xff661211,
    0xff530904,
    0xff4b100a,
    0xff340902,
    0xff3b1710,
    0xff35100c,
    0xff2c160d,
    0xff282015,
    0xff1d1008,
    0xff32130f,
    0xff3e1211,
    0xff3d1510,
    0xff200000,
    0xff1e0b00,
    0xff210a00,
    0xff2b1208,
    0xff301c10,
    0xff1c1003,
    0xff181408,
    0xff1c1a0f,
    0xff17150c,
    0xff231d17,
    0xff261f1c,
    0xff221816,
    0xff1f160e,
    0xff1f190e,
    0xff1c1608,
    0xff1c170c,
    0xff1d1b14,
    0xff171a11,
    0xff191a12,
    0xff28251f,
    0xff16140b,
    0xff15170b,
    0xff121409,
    0xff121207,
    0xff18150b,
    0xff221807,
    0xff1c1306,
    0xff221f13,
    0xff514c40,
    0xff141001,
    0xff241e0e,
    0xff151404,
    0xff28281c,
    0xff080f04,
    0xff12170d,
    0xff0f1204,
    0xff1c1b0c,
    0xff2a2413,
    0xff2d230a,
    0xff312508,
    0xff342507,
    0xff34260d,
    0xff29200c,
    0xff474235,
    0xff1a160b,
    0xff1c1306,
    0xff201602,
    0xff1a0d00,
    0xff2e2208,
    0xff2e301c,
    0xff161a0c,
    0xff1d261b,
    0xff0f190e,
    0xff141a0e,
    0xff0f1104,
    0xff101308,
    0xff1b1e15,
    0xff131510,
    0xffa9aca3,
    0xff696b5e,
    0xff141503,
    0xff28230d,
    0xff3f3417,
    0xff3f3008,
    0xff544311,
    0xff281b00,
    0xff41360a,
    0xff6a6328,
    0xff696825,
    0xff879135,
    0xff68790c,
    0xff5c6e06,
    0xff404b00,
    0xff514553,
    0xff433c47,
    0xff393745,
    0xff444854,
    0xff737887,
    0xff363948,
    0xff454052,
    0xff3d3545,
    0xff3a3d48,
    0xff19252b,
    0xff021416,
    0xff001915,
    0xff06261f,
    0xff15302d,
    0xff07201c,
    0xff04171a,
    0xff001813,
    0xff091e1a,
    0xff0e2221,
    0xff091f1c,
    0xff151807,
    0xff523913,
    0xff8a6033,
    0xff8a6338,
    0xff613815,
    0xff52391e,
    0xff413e31,
    0xff0d1f19,
    0xff001b17,
    0xff233e3a,
    0xff061f1c,
    0xff001815,
    0xff082321,
    0xff091f17,
    0xff1a281b,
    0xff1b271c,
    0xff1a2922,
    0xff091d1d,
    0xff01191a,
    0xff021b18,
    0xff0c2621,
    0xff051d1d,
    0xff001719,
    0xff00161a,
    0xff031a1d,
    0xff031a18,
    0xff0c261e,
    0xff304c3f,
    0xff0d2c27,
    0xff102e2b,
    0xff06291c,
    0xff406448,
    0xff284b32,
    0xff0f2e29,
    0xff0b2727,
    0xff0f2c21,
    0xff0b1b0f,
    0xff272000,
    0xffb99d38,
    0xffad8a0f,
    0xffad9326,
    0xff5a4b00,
    0xff746616,
    0xff786437,
    0xff363d09,
    0xff3a3d01,
    0xff3f490c,
    0xff324423,
    0xff162421,
    0xff161b1b,
    0xff202018,
    0xff333725,
    0xff412e27,
    0xff3d2b22,
    0xff593c2b,
    0xff613d1e,
    0xff432d13,
    0xff140c00,
    0xff372c19,
    0xff6a5336,
    0xff3b2209,
    0xff3f260a,
    0xff604c33,
    0xff51422b,
    0xff7e6542,
    0xff764b1e,
    0xff8a5932,
    0xff613821,
    0xff42342f,
    0xff414129,
    0xff433d1b,
    0xff65593d,
    0xff454130,
    0xff5c574b,
    0xff302c18,
    0xff4f5d35,
    0xff516c3c,
    0xff365229,
    0xff3a5235,
    0xff1f3022,
    0xff0d241c,
    0xff072820,
    0xff10221d,
    0xff0e0d0b,
    0xff181709,
    0xff161905,
    0xff596135,
    0xff434c0b,
    0xff5a5e12,
    0xff847f28,
    0xff9c903c,
    0xff615106,
    0xff927f34,
    0xff867432,
    0xff584a1f,
    0xff382f1b,
    0xff292213,
    0xff3b371e,
    0xff726d52,
    0xff403b26,
    0xff5e653e,
    0xff2f3010,
    0xff3c311c,
    0xff4c351b,
    0xff704f28,
    0xff87662f,
    0xff836220,
    0xff856624,
    0xff775b16,
    0xff9c8445,
    0xff7d6e3a,
    0xff75693f,
    0xff80754b,
    0xff867950,
    0xff998766,
    0xff655236,
    0xff625a41,
    0xff42362e,
    0xff6b6242,
    0xff524d1d,
    0xff2d2700,
    0xff8b8730,
    0xffb0ac2f,
    0xffbcae4d,
    0xff949733,
    0xff727629,
    0xff535e10,
    0xff405500,
    0xff5e7224,
    0xff526418,
    0xff6d7b25,
    0xff9aa34b,
    0xff99a44e,
    0xff989940,
    0xff6c5c14,
    0xff675519,
    0xff7a6d2e,
    0xff746230,
    0xff694526,
    0xff612d0d,
    0xff834e36,
    0xff602419,
    0xff411811,
    0xff312116,
    0xff51402d,
    0xff5d5433,
    0xff2d3705,
    0xff2a3a01,
    0xff677537,
    0xff3f4f30,
    0xff0b1e0f,
    0xff1d3920,
    0xff1e3b14,
    0xff173210,
    0xff233a24,
    0xff4f6051,
    0xff264123,
    0xff2a371d,
    0xff484c35,
    0xff28321a,
    0xff1d2e17,
    0xff2d380f,
    0xff615818,
    0xffa78837,
    0xff836e0a,
    0xff726310,
    0xff706b28,
    0xff4e560a,
    0xff5f690f,
    0xff6c6f15,
    0xff837933,
    0xff473209,
    0xff69612f,
    0xff826524,
    0xff704501,
    0xff7c5719,
    0xff665611,
    0xff6c6022,
    0xff413b00,
    0xff81892d,
    0xff7c7a28,
    0xff5c5c20,
    0xff3f450a,
    0xff30370a,
    0xff353e13,
    0xff3c4816,
    0xff26300d,
    0xff535f35,
    0xff576433,
    0xff49561e,
    0xff565d2e,
    0xff363603,
    0xff8a8532,
    0xff5e5b13,
    0xff232b00,
    0xff475f1a,
    0xff324502,
    0xff64732e,
    0xff4b5a10,
    0xff555e11,
    0xff656717,
    0xff7e7828,
    0xff736415,
    0xff827121,
    0xffa59636,
    0xff6b6007,
    0xff6c6307,
    0xff817409,
    0xffaea84a,
    0xff525917,
    0xff4a5018,
    0xff65651e,
    0xff756d20,
    0xff504603,
    0xff6e601f,
    0xff62510e,
    0xff796a29,
    0xff787224,
    0xff5d6620,
    0xff252f0e,
    0xff2f2818,
    0xff504826,
    0xff332b0d,
    0xff4a4020,
    0xff3c3016,
    0xff564827,
    0xff3f2908,
    0xff6c4d33,
    0xff573f0c,
    0xff685613,
    0xff6f6115,
    0xff716114,
    0xff6d5b01,
    0xff9b8721,
    0xff856e13,
    0xff766016,
    0xff827734,
    0xff5b4905,
    0xff726526,
    0xff323507,
    0xff525d35,
    0xff4b4c24,
    0xff4c4824,
    0xff2d2d0f,
    0xff5e5629,
    0xff5f5004,
    0xff876e01,
    0xffd1b23c,
    0xffb79623,
    0xffa88b1b,
    0xff9e8022,
    0xff947425,
    0xffae9234,
    0xffa28b1e,
    0xffd3b844,
    0xff9c7b0f,
    0xffbf9a26,
    0xffb28d15,
    0xffb1901b,
    0xff826b00,
    0xff898816,
    0xff8c8821,
    0xff8c8132,
    0xff5f5205,
    0xff6f6313,
    0xff8d8037,
    0xff82732a,
    0xff5f4a17,
    0xff342100,
    0xff6c5c33,
    0xff63590f,
    0xff817415,
    0xff7c7116,
    0xff717116,
    0xff5d6c0c,
    0xff526816,
    0xff5e782c,
    0xff425a1b,
    0xff435917,
    0xff415023,
    0xff202605,
    0xff5d5a27,
    0xff3f3506,
    0xff594f03,
    0xff7c6b20,
    0xff766228,
    0xff503c0d,
    0xff7e7235,
    0xff695d23,
    0xff371f00,
    0xff704c32,
    0xff380b00,
    0xffa07d3c,
    0xffc9af31,
    0xffd6c130,
    0xffb09823,
    0xffd0bc53,
    0xffbbae48,
    0xff847c27,
    0xff767224,
    0xff7c801b,
    0xff90932e,
    0xff78771e,
    0xff646322,
    0xff33370b,
    0xff7c8251,
    0xff4d5918,
    0xff697328,
    0xff695c30,
    0xff695c3d,
    0xff322a1b,
    0xff5f5b38,
    0xff4e4b16,
    0xff827638,
    0xff948522,
    0xff897601,
    0xff8a7701,
    0xff948019,
    0xff7d6321,
    0xff745c1d,
    0xff67550f,
    0xff796723,
    0xff695c10,
    0xff6d6021,
    0xff817638,
    0xff837c27,
    0xff5a530e,
    0xff636620,
    0xff3e4610,
    0xff31342c,
    0xff2a2929,
    0xff282515,
    0xff44401e,
    0xff3d3719,
    0xff5c573d,
    0xff303115,
    0xff383f1f,
    0xff384724,
    0xff29421d,
    0xff203b1a,
    0xff2c4415,
    0xff2f4214,
    0xff3d4d1e,
    0xff404b1a,
    0xff555f29,
    0xff2d3907,
    0xff3c461e,
    0xff515c3b,
    0xff405128,
    0xff2f340e,
    0xff322e0a,
    0xff43441b,
    0xff5f6b3d,
    0xff3d4917,
    0xff3f3c0c,
    0xff4e3a12,
    0xff322503,
    0xff4d2d00,
    0xff594115,
    0xff4d3722,
    0xff343222,
    0xff132000,
    0xff786922,
    0xffa68f27,
    0xff8d7012,
    0xff856b11,
    0xffa49132,
    0xff6b680c,
    0xff47500d,
    0xff232d04,
    0xff434a21,
    0xff464810,
    0xff575923,
    0xff6a6d3a,
    0xff434710,
    0xff3f460e,
    0xff5f5c36,
    0xff311f0c,
    0xff795436,
    0xff956b31,
    0xff3a2908,
    0xff352605,
    0xffa39772,
    0xff191509,
    0xff0a1414,
    0xff00110b,
    0xff1b3429,
    0xff2e413b,
    0xff071a15,
    0xff4b6065,
    0xff000600,
    0xff919332,
    0xff777110,
    0xff393908,
    0xff3b4b1a,
    0xff1c2d09,
    0xff0d1306,
    0xff1e281f,
    0xff16251c,
    0xff192a20,
    0xff243224,
    0xff242f23,
    0xff09160e,
    0xff000c09,
    0xff000f09,
    0xff273f26,
    0xff3f4c27,
    0xff2f3110,
    0xff1e2510,
    0xff0b2718,
    0xff000b00,
    0xff051c10,
    0xff5f5353,
    0xff83645f,
    0xff875847,
    0xffa94e3c,
    0xffb9382e,
    0xffaf1d1b,
    0xff8e0d0b,
    0xff865740,
    0xff648057,
    0xff6e926e,
    0xff507a5a,
    0xff44745b,
    0xff477864,
    0xff4a796d,
    0xff4f7973,
    0xff426966,
    0xff224a4d,
    0xff274d4a,
    0xff1f3e3a,
    0xff1f3937,
    0xff1d4039,
    0xff245444,
    0xff26533d,
    0xff1c3b26,
    0xff2d5b4b,
    0xff538076,
    0xff587d78,
    0xff657972,
    0xff646555,
    0xff807863,
    0xff2b2e1b,
    0xff0e1d12,
    0xff16240e,
    0xff213320,
    0xff2e4834,
    0xff1c3721,
    0xff112913,
    0xff1a311b,
    0xff132a17,
    0xff001408,
    0xff091a11,
    0xff081e08,
    0xff08280a,
    0xff052912,
    0xff1f3f30,
    0xff071900,
    0xffa2a768,
    0xffb0aa52,
    0xff151800,
    0xffb8a951,
    0xffc4af41,
    0xff5a4d00,
    0xff4f4726,
    0xff81793d,
    0xffb9af4b,
    0xff89793c,
    0xffa69c4f,
    0xff9a8c3a,
    0xffa79549,
    0xff93803d,
    0xff948a41,
    0xff86852f,
    0xff888737,
    0xff676424,
    0xff747734,
    0xff61621c,
    0xff767830,
    0xff5a5e1d,
    0xff68713a,
    0xff141c00,
    0xff3e4318,
    0xff444317,
    0xff8f791e,
    0xffbaa223,
    0xff967e14,
    0xff312000,
    0xff3f4214,
    0xff3c492d,
    0xff364243,
    0xff3b483e,
    0xff332f00,
    0xff8c8159,
    0xff303d29,
    0xff4a492e,
    0xff525b30,
    0xff3c3f13,
    0xff777a3a,
    0xff7d8542,
    0xff867d23,
    0xff7c7a25,
    0xff363800,
    0xff423c1b,
    0xff857740,
    0xff94833e,
    0xff766932,
    0xff655d3e,
    0xff7e7559,
    0xff7b6e4d,
    0xff8d7b50,
    0xff8d7742,
    0xff9b8549,
    0xffac985b,
    0xff96874a,
    0xff9a8e52,
    0xff7e7a42,
    0xff717c4c,
    0xff4e6036,
    0xff585a31,
    0xff897e4a,
    0xff918047,
    0xff8b713c,
    0xff946f44,
    0xff654d2b,
    0xff815e41,
    0xff8a523f,
    0xff5d190f,
    0xff54100a,
    0xff490e0b,
    0xff3c0b09,
    0xff370c09,
    0xff3b100e,
    0xff490f10,
    0xff54060a,
    0xff5a0306,
    0xff5c0d0f,
    0xff43090a,
    0xff320e0e,
    0xff200b08,
    0xff2e190c,
    0xff302514,
    0xff252817,
    0xff171b0b,
    0xff131106,
    0xff0d0700,
    0xff363327,
    0xff0d0c01,
    0xff170d05,
    0xff2a1a11,
    0xff28150f,
    0xff27150b,
    0xff251b0f,
    0xff2a2519,
    0xff242013,
    0xff211c11,
    0xff1e150e,
    0xff1e150f,
    0xff1a0e0b,
    0xff1a1007,
    0xff1c1407,
    0xff1d1809,
    0xff1a160b,
    0xff16140b,
    0xff12140e,
    0xff13140c,
    0xff120c08,
    0xff17170c,
    0xff191a10,
    0xff12150a,
    0xff0e1109,
    0xff15140c,
    0xff1f180b,
    0xff1c180e,
    0xff070700,
    0xff3c3a34,
    0xff141207,
    0xff19160a,
    0xff181b0d,
    0xff192012,
    0xff0d1301,
    0xff1b220e,
    0xff222611,
    0xff161802,
    0xff161500,
    0xff332b0c,
    0xff302501,
    0xff3d320b,
    0xff352a0b,
    0xff231b02,
    0xff2d2615,
    0xff28200e,
    0xff2b1b0b,
    0xff4c3721,
    0xff4c361c,
    0xff46341a,
    0xff121300,
    0xff191d0f,
    0xff202a1d,
    0xff0e1910,
    0xff131b10,
    0xff101308,
    0xff15180f,
    0xff060b05,
    0xff040a04,
    0xff050800,
    0xff353628,
    0xff686653,
    0xff383015,
    0xff342404,
    0xff654f21,
    0xff644b14,
    0xff43341a,
    0xff4e4504,
    0xff86872c,
    0xff646d12,
    0xff4a5a03,
    0xff698014,
    0xff6e8117,
    0xff6b7a1e,
    0xff504452,
    0xff413c47,
    0xff353642,
    0xff717581,
    0xff4b4d5d,
    0xff333240,
    0xff3e3b49,
    0xff2c2837,
    0xff1f262e,
    0xff07161a,
    0xff031919,
    0xff001a15,
    0xff13332e,
    0xff011c17,
    0xff12282a,
    0xff001315,
    0xff16322e,
    0xff18322b,
    0xff142926,
    0xff00100e,
    0xff262617,
    0xff806645,
    0xff794f2e,
    0xff4b1f02,
    0xff6b4824,
    0xff746045,
    0xff363929,
    0xff0b1e1a,
    0xff061e1f,
    0xff082022,
    0xff071c1e,
    0xff06191b,
    0xff05221e,
    0xff081f19,
    0xff2e3e36,
    0xff0f1c14,
    0xff263730,
    0xff081d1a,
    0xff001613,
    0xff021c19,
    0xff021b17,
    0xff082021,
    0xff0a2222,
    0xff021d1b,
    0xff001815,
    0xff00160f,
    0xff112b23,
    0xff1b3a2e,
    0xff001b1a,
    0xff0a2423,
    0xff2f4d41,
    0xff173821,
    0xff032211,
    0xff0c2824,
    0xff041c1f,
    0xff041a18,
    0xff1c2105,
    0xffa49f3a,
    0xffc2a824,
    0xffc3a22a,
    0xffaf9233,
    0xff584602,
    0xff685432,
    0xff5d4630,
    0xff1b240c,
    0xff3f412f,
    0xff242623,
    0xff142321,
    0xff324a3e,
    0xff0d1d06,
    0xff37412a,
    0xff363b36,
    0xff382723,
    0xff37241a,
    0xff6b553d,
    0xff594022,
    0xff4d3b1f,
    0xff45462d,
    0xff4b4b30,
    0xff4b3b14,
    0xff372a18,
    0xff3a2410,
    0xff41250d,
    0xff56361a,
    0xff8a5c33,
    0xffbb7b4b,
    0xff91532b,
    0xff653520,
    0xff594538,
    0xff44402b,
    0xff504533,
    0xff614e3c,
    0xff5a523b,
    0xff2e2811,
    0xff4b452d,
    0xff515e3e,
    0xff435c36,
    0xff2f482a,
    0xff253524,
    0xff2a342c,
    0xff13231c,
    0xff102718,
    0xff142011,
    0xff24190a,
    0xff95824f,
    0xff584b14,
    0xff5a5117,
    0xff706e32,
    0xff383708,
    0xff4c480c,
    0xff796d2a,
    0xff68560f,
    0xff695620,
    0xff594916,
    0xff5b5024,
    0xff5c5533,
    0xff56532c,
    0xff4d501e,
    0xff3a3c11,
    0xff2c2a13,
    0xff282f2e,
    0xff2d2e1d,
    0xff675e34,
    0xff705c21,
    0xff5e4207,
    0xff74551e,
    0xff7d5d28,
    0xff82622b,
    0xff947534,
    0xff8c7037,
    0xff877141,
    0xff77663b,
    0xff6d5d36,
    0xff5c4823,
    0xff907750,
    0xff806033,
    0xff876f3a,
    0xff59472c,
    0xff595233,
    0xff4f481e,
    0xff7a6837,
    0xffe7d874,
    0xff948e0a,
    0xff928f22,
    0xff8c8c24,
    0xff63631b,
    0xff6f7738,
    0xff5b6a21,
    0xff4b5e16,
    0xff7f8e3c,
    0xff7b8a25,
    0xff727e17,
    0xff4a5400,
    0xff625a05,
    0xff8c6f30,
    0xff795725,
    0xff5e4a12,
    0xff48380b,
    0xff5b4127,
    0xff6b432a,
    0xff612d1b,
    0xff5b261b,
    0xff483423,
    0xff30341b,
    0xff221500,
    0xff756247,
    0xff3f401d,
    0xff46572e,
    0xff506238,
    0xff485a3d,
    0xff001800,
    0xff688561,
    0xff3a5831,
    0xff284326,
    0xff233a1f,
    0xff1c3110,
    0xff3a502b,
    0xff37421e,
    0xff35381b,
    0xff2f3821,
    0xff21351a,
    0xff394921,
    0xff433b04,
    0xff7b5d14,
    0xff8d660e,
    0xffb79948,
    0xff524700,
    0xff93984e,
    0xff465503,
    0xff768433,
    0xff51561b,
    0xff626033,
    0xff332b00,
    0xff654812,
    0xff673c0b,
    0xff6c4a19,
    0xff624f16,
    0xff594b19,
    0xff4e4b14,
    0xff475006,
    0xff565913,
    0xff4e4e15,
    0xff494f16,
    0xff4b512c,
    0xff394420,
    0xff3c481c,
    0xff313e19,
    0xff232f07,
    0xff6a733e,
    0xff3d4517,
    0xff555929,
    0xff908f42,
    0xff898226,
    0xff7c742d,
    0xff494c19,
    0xff425020,
    0xff2b3b00,
    0xff556427,
    0xff415017,
    0xff3c4711,
    0xff585e22,
    0xff6d6922,
    0xff675d0b,
    0xff7e6d13,
    0xff93820b,
    0xff9a8c2a,
    0xff7a6b12,
    0xffa49125,
    0xff938a1f,
    0xff4f5207,
    0xff55551a,
    0xff685e21,
    0xff64580e,
    0xff5d4e11,
    0xff6d5e23,
    0xff65541c,
    0xff544510,
    0xff4f4c09,
    0xff4f5a1c,
    0xff253316,
    0xff293019,
    0xff464e21,
    0xff5c5d28,
    0xff36300a,
    0xff453614,
    0xff795e3c,
    0xff5d3311,
    0xff774527,
    0xff815b2a,
    0xff70560c,
    0xff8e7a20,
    0xff83711d,
    0xff655100,
    0xff846e17,
    0xff8e7820,
    0xff7d691b,
    0xff534718,
    0xff63551a,
    0xff6a6121,
    0xff3c3c10,
    0xff494f34,
    0xff41432b,
    0xff4b4d2d,
    0xff4a4f2d,
    0xff57502f,
    0xff60520e,
    0xff6d5700,
    0xffb59525,
    0xffbe9e2d,
    0xffa78b1c,
    0xff967b1c,
    0xff8f7327,
    0xffa27f2e,
    0xff937911,
    0xff9c8615,
    0xffb29a2d,
    0xffbb9e33,
    0xffceae3b,
    0xffa78516,
    0xffb08f2f,
    0xff8c801a,
    0xffad9535,
    0xff8f6b2a,
    0xff674807,
    0xff766918,
    0xff6a6419,
    0xff746923,
    0xff6f5827,
    0xff5d582c,
    0xff706639,
    0xff5d4f08,
    0xff90831c,
    0xff897b11,
    0xff9a942a,
    0xff6e7419,
    0xff5e6c30,
    0xff4d5f24,
    0xff4c5c28,
    0xff414e0d,
    0xff4c5415,
    0xff64651f,
    0xff746d1c,
    0xff736419,
    0xff88771a,
    0xff544200,
    0xff483513,
    0xff564616,
    0xff8d8342,
    0xff392a00,
    0xff361c05,
    0xff7c522d,
    0xff79422d,
    0xff643c00,
    0xffd0b144,
    0xffba992f,
    0xff9f7f2e,
    0xff745a02,
    0xffa69633,
    0xffb5ad50,
    0xff524d0d,
    0xffa8af4d,
    0xff687114,
    0xff6f7a36,
    0xff364420,
    0xff3a4a26,
    0xff455413,
    0xff929a49,
    0xff6e6a25,
    0xff5c4f2c,
    0xff4e4525,
    0xff5a5439,
    0xff64632e,
    0xff868343,
    0xff6d6529,
    0xff7e721d,
    0xff918122,
    0xff907d04,
    0xff867407,
    0xff735b19,
    0xff6d5718,
    0xff68560f,
    0xff6a5a17,
    0xff7b6d23,
    0xff78692f,
    0xff564e0b,
    0xff646b20,
    0xff536034,
    0xff374017,
    0xff3c3a13,
    0xff30221e,
    0xff17090a,
    0xff2d2717,
    0xff3d2e15,
    0xff2b220a,
    0xff31331a,
    0xff313d22,
    0xff293b1a,
    0xff354c29,
    0xff314628,
    0xff22341c,
    0xff4a5c35,
    0xff505e34,
    0xff3a4414,
    0xff5a612b,
    0xff5c6226,
    0xff555d23,
    0xff4b541f,
    0xff283308,
    0xff263519,
    0xff1c220e,
    0xff34322a,
    0xff121711,
    0xff16281b,
    0xff041901,
    0xff2e3614,
    0xff584f2c,
    0xff442814,
    0xff512819,
    0xff5f4227,
    0xff513b1f,
    0xff26220d,
    0xff323a1e,
    0xff61541f,
    0xff776513,
    0xff645e13,
    0xff8c8038,
    0xff7f6f21,
    0xff756b13,
    0xff858537,
    0xff3c4108,
    0xff424719,
    0xff6d733d,
    0xff2e4008,
    0xff2d3d0f,
    0xff30440e,
    0xff49611e,
    0xff495d1f,
    0xff2e330c,
    0xff4e421c,
    0xff533d0c,
    0xff3a400f,
    0xff161900,
    0xff4d4f38,
    0xff171e16,
    0xff14291d,
    0xff031d04,
    0xff000b00,
    0xff2b3434,
    0xff3d4a44,
    0xff2a3f46,
    0xff11230d,
    0xff868d2a,
    0xff9c9827,
    0xff656519,
    0xff48531b,
    0xff101b00,
    0xff2f362b,
    0xff0c180f,
    0xff000c04,
    0xff00120a,
    0xff15251c,
    0xff041309,
    0xff04140f,
    0xff10221e,
    0xff081b00,
    0xff3f5233,
    0xff2e381e,
    0xff151807,
    0xff101f10,
    0xff001a09,
    0xff406557,
    0xff657c73,
    0xff71685c,
    0xff82584d,
    0xff8d493b,
    0xffa62e28,
    0xff9b1e17,
    0xff9a2c22,
    0xff9c352f,
    0xff6e3e2b,
    0xff64703c,
    0xff6f8941,
    0xff6e9250,
    0xff4d7853,
    0xff4d7e60,
    0xff42744d,
    0xff4f7e5e,
    0xff4f746e,
    0xff567475,
    0xff517977,
    0xff355d5b,
    0xff214043,
    0xff1b4347,
    0xff11474b,
    0xff174b4b,
    0xff1a3d3e,
    0xff18494a,
    0xff31615d,
    0xff527769,
    0xff485747,
    0xff2f2b1c,
    0xff1c160a,
    0xff2f3524,
    0xff1b2e12,
    0xff15280c,
    0xff152e14,
    0xff06240c,
    0xff133118,
    0xff122e15,
    0xff18311b,
    0xff19331e,
    0xff092312,
    0xff152e17,
    0xff152d17,
    0xff0a1e0f,
    0xff081c16,
    0xff031413,
    0xff111e11,
    0xff0f1500,
    0xff353309,
    0xff7f6a3c,
    0xffdab64b,
    0xffca9e27,
    0xffd6bc59,
    0xff8e833e,
    0xff9d9256,
    0xffa49746,
    0xff8e823d,
    0xff97914d,
    0xff736824,
    0xff867738,
    0xff837239,
    0xff8a7e39,
    0xff78731b,
    0xff807a22,
    0xff8e873d,
    0xff87893b,
    0xff8f9242,
    0xff696f21,
    0xff676f30,
    0xff404c1b,
    0xff404c25,
    0xff434c27,
    0xff4d4d29,
    0xff674f20,
    0xff665300,
    0xff776412,
    0xff97834d,
    0xff221a00,
    0xff3b3e32,
    0xff45484b,
    0xff23271a,
    0xff323b1d,
    0xff202304,
    0xff445d44,
    0xff6b6c48,
    0xff474d0d,
    0xff736e1a,
    0xff98962b,
    0xff5b6000,
    0xff584f00,
    0xff6e661e,
    0xff443a06,
    0xff382500,
    0xff4d3303,
    0xff755b23,
    0xff2e1f00,
    0xff20190d,
    0xff2f2d13,
    0xff58512e,
    0xff86784f,
    0xff887444,
    0xff836933,
    0xff846b34,
    0xff89713b,
    0xff917c46,
    0xff948050,
    0xff857d4d,
    0xff887e4f,
    0xff967e49,
    0xff8c6c2d,
    0xff7e6723,
    0xff7b6930,
    0xff5a4719,
    0xff403809,
    0xff5d4c22,
    0xff633d1b,
    0xff643117,
    0xff5e2510,
    0xff5c2014,
    0xff50130a,
    0xff511410,
    0xff4a0e10,
    0xff460806,
    0xff470a04,
    0xff420900,
    0xff431105,
    0xff330800,
    0xff3c1211,
    0xff3d1516,
    0xff4a1d12,
    0xff40120a,
    0xff3b110c,
    0xff351a11,
    0xff271d13,
    0xff120f04,
    0xff20140c,
    0xff180600,
    0xff180a03,
    0xff27170f,
    0xff2a160c,
    0xff271209,
    0xff2e1d13,
    0xff2f2418,
    0xff1d1407,
    0xff190e05,
    0xff21190e,
    0xff1f160c,
    0xff1f170e,
    0xff251e12,
    0xff191405,
    0xff181705,
    0xff151609,
    0xff0d0e04,
    0xff090c06,
    0xff101008,
    0xff1b160d,
    0xff110f05,
    0xff0f1006,
    0xff0f140b,
    0xff131812,
    0xff12150e,
    0xff1e1b10,
    0xff201f18,
    0xff0a0d07,
    0xff050702,
    0xff484941,
    0xff090900,
    0xff14170c,
    0xff12190e,
    0xff161804,
    0xff151803,
    0xff1c1f0c,
    0xff20210d,
    0xff1e1c05,
    0xff2d2d0f,
    0xff4f4b2b,
    0xff322b07,
    0xff3b340d,
    0xff312a08,
    0xff221b01,
    0xff3c3018,
    0xff45311a,
    0xff3f240e,
    0xff391e09,
    0xff321c05,
    0xff2d2e19,
    0xff212617,
    0xff182218,
    0xff06110a,
    0xff0b110a,
    0xff13150a,
    0xff15180f,
    0xff0f140e,
    0xff151811,
    0xff161a0e,
    0xff1c1e0f,
    0xff6d6a58,
    0xff534932,
    0xff5c4c2d,
    0xff513a10,
    0xff472d00,
    0xff2a1f00,
    0xff58530b,
    0xff6c7316,
    0xff4e5a06,
    0xff2d4000,
    0xff4e661c,
    0xff657c22,
    0xff5a6f12,
    0xff483f4f,
    0xff3d3b47,
    0xff4a4e5b,
    0xff757a85,
    0xff252634,
    0xff3e3d4b,
    0xff2f313c,
    0xff222730,
    0xff061618,
    0xff021617,
    0xff051a1b,
    0xff072120,
    0xff001717,
    0xff071f1f,
    0xff112627,
    0xff0c1f20,
    0xff072120,
    0xff031e19,
    0xff132c28,
    0xff162725,
    0xff14170b,
    0xff453517,
    0xff4b2c10,
    0xff936e5d,
    0xff766140,
    0xff342a10,
    0xff31382b,
    0xff142624,
    0xff081c1f,
    0xff0d2125,
    0xff001317,
    0xff011618,
    0xff001712,
    0xff001512,
    0xff081916,
    0xff0b1c17,
    0xff031610,
    0xff031a14,
    0xff031c18,
    0xff001512,
    0xff051c1d,
    0xff0d2724,
    0xff0c2522,
    0xff041d18,
    0xff001c14,
    0xff28423b,
    0xff2e4d44,
    0xff153129,
    0xff001517,
    0xff0a2321,
    0xff183129,
    0xff143122,
    0xff0a241c,
    0xff0e2323,
    0xff0b1d23,
    0xff021012,
    0xff535829,
    0xff9e9b45,
    0xff8a792d,
    0xff3e2300,
    0xff9d8534,
    0xff827128,
    0xff574721,
    0xff5d5030,
    0xff484724,
    0xff21260c,
    0xff0e100a,
    0xff242918,
    0xff192b18,
    0xff001a14,
    0xff051c14,
    0xff101615,
    0xff0b1302,
    0xff434031,
    0xff382d19,
    0xff352510,
    0xff4b3b17,
    0xff59592e,
    0xff181400,
    0xff412610,
    0xff342520,
    0xff35211d,
    0xff58423d,
    0xff4a2f2b,
    0xff633425,
    0xff80381f,
    0xffa2513d,
    0xff884139,
    0xff503620,
    0xff231a0f,
    0xff3d3132,
    0xff332418,
    0xff6a673b,
    0xffb0ad73,
    0xff828050,
    0xff3b4a25,
    0xff46583d,
    0xff364f34,
    0xff263826,
    0xff1b2218,
    0xff474c43,
    0xff232d1c,
    0xff151903,
    0xff50432b,
    0xff9b7636,
    0xff8b6b20,
    0xff7f6b17,
    0xffa59d47,
    0xff696d1d,
    0xff72792f,
    0xff6a6f25,
    0xff636415,
    0xff65681e,
    0xff7a783e,
    0xff5f5321,
    0xff655a15,
    0xff8d8636,
    0xff908e50,
    0xff707653,
    0xff1c2414,
    0xff232b29,
    0xff24250d,
    0xff696127,
    0xff6d5c16,
    0xff725b1b,
    0xff634c15,
    0xff776029,
    0xff6d5618,
    0xff937833,
    0xff896e35,
    0xff887148,
    0xff544122,
    0xff51402b,
    0xff715742,
    0xff775623,
    0xffc19b46,
    0xffdcbd4c,
    0xff7b651e,
    0xff6e6041,
    0xff4f402d,
    0xff4b3308,
    0xff7e6b00,
    0xffcdc73b,
    0xffbcbe3d,
    0xff989223,
    0xff5b5913,
    0xff4b551b,
    0xff4f611c,
    0xff52631c,
    0xff5b6a16,
    0xff66750f,
    0xff8e9d35,
    0xff9a9b48,
    0xff898337,
    0xff7c6a34,
    0xff432806,
    0xff896c34,
    0xff7e6535,
    0xff422f12,
    0xff2f220b,
    0xff483921,
    0xff3d200f,
    0xff322310,
    0xff292c13,
    0xff433118,
    0xff401f0f,
    0xff332e17,
    0xff2a3d26,
    0xff253b2b,
    0xff112710,
    0xff243d14,
    0xff274210,
    0xff192e0c,
    0xff122310,
    0xff293819,
    0xff4f6228,
    0xff2b3006,
    0xff62632b,
    0xff4b4c19,
    0xff636742,
    0xff2e3917,
    0xff2f2f0d,
    0xff735f29,
    0xffb08d39,
    0xff7f4b02,
    0xffa47d2f,
    0xff7f6e25,
    0xff52550b,
    0xff3f5000,
    0xff71873f,
    0xff3d4f1a,
    0xff384615,
    0xff5c5421,
    0xff9b7f41,
    0xff663b0d,
    0xff6a4917,
    0xff5d4b0c,
    0xff665724,
    0xff4c4a12,
    0xff475214,
    0xff505a2d,
    0xff394019,
    0xff2d3406,
    0xff353d21,
    0xff344321,
    0xff2c3f04,
    0xff515f26,
    0xff3b470d,
    0xff555f22,
    0xff3d451f,
    0xff70764a,
    0xff535607,
    0xff87822b,
    0xff675e1d,
    0xff515224,
    0xff414c23,
    0xff3a4c13,
    0xff43551f,
    0xff637243,
    0xff3c461a,
    0xff2b3000,
    0xff686723,
    0xff847a28,
    0xff8e7e21,
    0xffa18618,
    0xff7f660c,
    0xff7d6409,
    0xffbba02d,
    0xffbba735,
    0xff786e1b,
    0xff524414,
    0xff5b4017,
    0xff786827,
    0xff8b7d3c,
    0xff5f5614,
    0xff615824,
    0xff4d4320,
    0xff48481a,
    0xff414e18,
    0xff2b3d1b,
    0xff101d00,
    0xff656d32,
    0xff6d6929,
    0xff544312,
    0xff604123,
    0xff552910,
    0xff5c250d,
    0xff692a19,
    0xff5b3016,
    0xff79581e,
    0xff8d7921,
    0xff615000,
    0xff716009,
    0xff725f07,
    0xff6d5b06,
    0xff87772b,
    0xff483d14,
    0xff696026,
    0xff585012,
    0xff525229,
    0xff535544,
    0xff222613,
    0xff272e0c,
    0xff434925,
    0xff454221,
    0xff5a4f0f,
    0xffa89231,
    0xffc0a239,
    0xffc0a036,
    0xff99801a,
    0xffb8a54e,
    0xff8a7532,
    0xff94782d,
    0xffa6902c,
    0xff9c8a16,
    0xff968218,
    0xff9b7d17,
    0xff9c7d08,
    0xffac8b17,
    0xffa58420,
    0xff9c7a19,
    0xffa7811f,
    0xff8b6020,
    0xff7c570e,
    0xffbc9f47,
    0xff6f5915,
    0xffae9b58,
    0xff4c3909,
    0xff272705,
    0xff56491e,
    0xff5e4900,
    0xffac9f34,
    0xff7e7202,
    0xffa69d24,
    0xff7d7e17,
    0xff4e5818,
    0xff364313,
    0xff38441c,
    0xff303a0d,
    0xff707941,
    0xff6d6f22,
    0xff686112,
    0xff766328,
    0xff7a6814,
    0xff9a882d,
    0xff685727,
    0xff70672f,
    0xff8a8239,
    0xff887d53,
    0xff524022,
    0xff66471c,
    0xff703b1c,
    0xff6f400d,
    0xffcba456,
    0xff5b3800,
    0xff563910,
    0xff564719,
    0xff4a4810,
    0xff353a0b,
    0xff555e2a,
    0xff868a49,
    0xff616a20,
    0xff505f24,
    0xff1a2e0e,
    0xff1d3611,
    0xff6d8143,
    0xff4c4e1e,
    0xff423123,
    0xff262100,
    0xff656239,
    0xff46441b,
    0xff555717,
    0xff3f3d01,
    0xff645a2c,
    0xff706126,
    0xff7c6a27,
    0xff8f7a11,
    0xffa48f2b,
    0xff725e12,
    0xff827023,
    0xff6a5a0a,
    0xff6b5c16,
    0xff675715,
    0xff594819,
    0xff676b2d,
    0xff50642b,
    0xff1b381b,
    0xff172e0a,
    0xff343612,
    0xff4c3f32,
    0xff312a13,
    0xff2d3315,
    0xff503f32,
    0xff52473d,
    0xff2f3022,
    0xff101d0a,
    0xff1d2d16,
    0xff0f2109,
    0xff0a1706,
    0xff0c1609,
    0xff0f1d03,
    0xff38452c,
    0xff161c00,
    0xff4b502c,
    0xff262800,
    0xff4e5325,
    0xff3e4518,
    0xff505a31,
    0xff2e3d19,
    0xff172109,
    0xff1f281c,
    0xff04130b,
    0xff01160a,
    0xff2c4026,
    0xff3b481e,
    0xff36380a,
    0xff38320f,
    0xff342314,
    0xff2a2b13,
    0xff2a2d0e,
    0xff141a0b,
    0xff000c02,
    0xff090d00,
    0xff303912,
    0xff1b310d,
    0xff1a2503,
    0xff121300,
    0xff54531f,
    0xff1d2300,
    0xff0d1902,
    0xff061607,
    0xff14220d,
    0xff49582d,
    0xff334221,
    0xff0a1902,
    0xff23391b,
    0xff1a3811,
    0xff0b2703,
    0xff192f0d,
    0xff31401c,
    0xff314b1d,
    0xff2e421e,
    0xff152410,
    0xff021209,
    0xff031b03,
    0xff193202,
    0xff394525,
    0xff1b1717,
    0xff090600,
    0xff4d5b59,
    0xff1c3309,
    0xff88972b,
    0xff8e9215,
    0xff8b8f2a,
    0xff2f3800,
    0xff242708,
    0xff20260a,
    0xff14200d,
    0xff03110c,
    0xff000b0f,
    0xff020c11,
    0xff000c09,
    0xff091a0e,
    0xff1c3221,
    0xff474d28,
    0xff343c1d,
    0xff070f00,
    0xff1c2820,
    0xff426054,
    0xff548772,
    0xff5c8874,
    0xff688174,
    0xff677b6d,
    0xff77786b,
    0xff8c6d60,
    0xff8d3631,
    0xff9d3b34,
    0xff89382a,
    0xffa95a4d,
    0xff7f5b3e,
    0xff726c2a,
    0xff7c8523,
    0xff7b9133,
    0xff58773e,
    0xff769869,
    0xff7b9f5a,
    0xff678648,
    0xff6b7e64,
    0xff3d4133,
    0xff607d75,
    0xff467070,
    0xff557778,
    0xff45696b,
    0xff25585e,
    0xff1a4e53,
    0xff072e33,
    0xff1a4047,
    0xff315a56,
    0xff567060,
    0xff363620,
    0xff614f45,
    0xff2b1b1a,
    0xff272417,
    0xff44472a,
    0xff203013,
    0xff162b13,
    0xff07210a,
    0xff02210a,
    0xff102a14,
    0xff1b321d,
    0xff071f0c,
    0xff072212,
    0xff0e2a0d,
    0xff162917,
    0xff07120f,
    0xff0f141a,
    0xff161b1f,
    0xff0f1814,
    0xff0d160a,
    0xff0c0f00,
    0xfff0db8e,
    0xff907327,
    0xff64470a,
    0xffc1b361,
    0xff635a16,
    0xff837443,
    0xffb1a05e,
    0xff9c8850,
    0xff686534,
    0xff4f4a15,
    0xff776f3a,
    0xff736935,
    0xff817b33,
    0xffa9a645,
    0xff7c780e,
    0xff9f9537,
    0xff746f36,
    0xff68632d,
    0xff6a6a39,
    0xff3b4021,
    0xff323d2f,
    0xff2b3627,
    0xff37421c,
    0xff575c24,
    0xff7b6e32,
    0xff696112,
    0xffa69d4a,
    0xff625500,
    0xff857b2d,
    0xff72723e,
    0xff2a2c01,
    0xff3c3a1d,
    0xff39443b,
    0xff343926,
    0xff304631,
    0xff34330f,
    0xff6d6e2b,
    0xff9e9642,
    0xff897e18,
    0xff7e771c,
    0xff817e37,
    0xff4a450d,
    0xff544b0c,
    0xff6b5c24,
    0xff4b3812,
    0xff322506,
    0xff67664b,
    0xff151c0e,
    0xff292b18,
    0xff323019,
    0xff413a20,
    0xff423717,
    0xff4a3c19,
    0xff564623,
    0xff503e1d,
    0xff4e3f21,
    0xff534221,
    0xff604b2e,
    0xff6f4f23,
    0xffc69b65,
    0xffc8a869,
    0xffb3a96b,
    0xff928c5a,
    0xff907f5c,
    0xff716045,
    0xff69583d,
    0xff493820,
    0xff4c3c24,
    0xff52432d,
    0xff604738,
    0xff502920,
    0xff6d3a37,
    0xff691514,
    0xff6a110f,
    0xff7d2620,
    0xff630f08,
    0xff5f1208,
    0xff5d120a,
    0xff500500,
    0xff570908,
    0xff581009,
    0xff61140f,
    0xff611515,
    0xff521916,
    0xff34130c,
    0xff261106,
    0xff2e0f09,
    0xff3a110e,
    0xff1f0700,
    0xff3d2419,
    0xff35160c,
    0xff2f1308,
    0xff331b0e,
    0xff2b1a0d,
    0xff2b1b0f,
    0xff27170d,
    0xff221a09,
    0xff20180b,
    0xff1f160b,
    0xff272115,
    0xff2b2716,
    0xff141405,
    0xff111305,
    0xff0e1109,
    0xff0f120c,
    0xff0d0e06,
    0xff171209,
    0xff140f07,
    0xff0e1005,
    0xff0e130a,
    0xff0b1009,
    0xff0a0f08,
    0xff121005,
    0xff191b13,
    0xff0c110d,
    0xff090b08,
    0xff484943,
    0xff121209,
    0xff111409,
    0xff10140b,
    0xff16170b,
    0xff15150a,
    0xff1f1f17,
    0xff101207,
    0xff1d1e12,
    0xff0c0b00,
    0xff2f2a17,
    0xff464123,
    0xff433f16,
    0xff292402,
    0xff3d3618,
    0xff695a40,
    0xff301b03,
    0xff4a311a,
    0xff432712,
    0xff36210c,
    0xff1a1b08,
    0xff1d2115,
    0xff1a241a,
    0xff09130b,
    0xff0d120a,
    0xff13140d,
    0xff181b0f,
    0xff10120a,
    0xff12120b,
    0xff191b0e,
    0xff1c1d0e,
    0xff302f1c,
    0xff8e8775,
    0xff2e220a,
    0xff4f3c1b,
    0xff4f3c13,
    0xff231f00,
    0xff6e702f,
    0xff505900,
    0xff728520,
    0xff4c6410,
    0xff2e4603,
    0xff475e16,
    0xff576e15,
    0xff423d4d,
    0xff3a3b48,
    0xff808490,
    0xff494957,
    0xff312f3d,
    0xff31323e,
    0xff313840,
    0xff0c1c1e,
    0xff04191d,
    0xff03181b,
    0xff011619,
    0xff03171b,
    0xff001317,
    0xff011419,
    0xff001115,
    0xff011318,
    0xff03191a,
    0xff041e19,
    0xff15322e,
    0xff132625,
    0xff1e281c,
    0xff484a2e,
    0xff372e16,
    0xff302016,
    0xff342d14,
    0xff424533,
    0xff16221b,
    0xff122322,
    0xff071c1d,
    0xff0c2121,
    0xff092221,
    0xff031c1c,
    0xff021b17,
    0xff021616,
    0xff011314,
    0xff011515,
    0xff102623,
    0xff051f1a,
    0xff021816,
    0xff031619,
    0xff011518,
    0xff011618,
    0xff08211f,
    0xff00130e,
    0xff1a3630,
    0xff233d38,
    0xff092723,
    0xff001b18,
    0xff02181a,
    0xff152a28,
    0xff051e18,
    0xff1e3934,
    0xff0b2322,
    0xff05191b,
    0xff001215,
    0xff010f11,
    0xff2d341a,
    0xff141b00,
    0xff292c23,
    0xff362e23,
    0xff5e541f,
    0xff726624,
    0xff534e23,
    0xff444524,
    0xff3b2e16,
    0xff39330c,
    0xff676141,
    0xff393812,
    0xff152212,
    0xff08242d,
    0xff011b12,
    0xff101d0c,
    0xff1d2b17,
    0xff302f1d,
    0xff322c11,
    0xff3d2d1d,
    0xff523e1f,
    0xff393812,
    0xff302f27,
    0xff4a2c24,
    0xff493a28,
    0xff504538,
    0xff2a2523,
    0xff303234,
    0xff1b0d06,
    0xff582f1a,
    0xff703b26,
    0xff532114,
    0xff452c20,
    0xff29251f,
    0xff3d3b3a,
    0xff353228,
    0xff1d2300,
    0xff232700,
    0xff46491f,
    0xff384d28,
    0xff3c4b31,
    0xff223c21,
    0xff223a26,
    0xff212a1c,
    0xff313024,
    0xff212113,
    0xff363522,
    0xff423826,
    0xff694b38,
    0xff6b5029,
    0xff726120,
    0xff747025,
    0xff4a530a,
    0xff344201,
    0xff535f1f,
    0xff717834,
    0xff62731d,
    0xff767f2d,
    0xff777a26,
    0xff7d7528,
    0xff877e47,
    0xff170f00,
    0xff181811,
    0xff1c2418,
    0xff586150,
    0xff49482e,
    0xff564b25,
    0xff614f28,
    0xff5c4c26,
    0xff423411,
    0xff574823,
    0xff5f4e24,
    0xff7a6930,
    0xff6c5829,
    0xff827249,
    0xff5d5034,
    0xff5b4b42,
    0xff624b40,
    0xff664209,
    0xffcda63a,
    0xffceab37,
    0xffb2992a,
    0xff776216,
    0xff726028,
    0xffb5a658,
    0xffd8cb65,
    0xffb2a93a,
    0xff8f8b1a,
    0xff989122,
    0xff65631b,
    0xff778348,
    0xff556b23,
    0xff5c7127,
    0xff728434,
    0xff7e9036,
    0xff70812e,
    0xff484a01,
    0xff515312,
    0xff2c2b02,
    0xff6e6334,
    0xff756220,
    0xff685314,
    0xff6f5e3a,
    0xff1f1903,
    0xff262a0c,
    0xff4a291c,
    0xff48281f,
    0xff2a2412,
    0xff1b1402,
    0xff655549,
    0xff3e4234,
    0xff051b0d,
    0xff0a271a,
    0xff1c3524,
    0xff334627,
    0xff4d5a2f,
    0xff565c37,
    0xff404329,
    0xff464b26,
    0xff5d632d,
    0xff666431,
    0xffa9ab6c,
    0xff6f7542,
    0xff28300d,
    0xff52562e,
    0xff3b310b,
    0xffb29869,
    0xff88651a,
    0xff835417,
    0xffa4813a,
    0xff614e0d,
    0xff60611d,
    0xff81923b,
    0xff4b5e14,
    0xff546637,
    0xff3b4a1c,
    0xff5a4d15,
    0xff7b5c15,
    0xff8e6231,
    0xff523100,
    0xff9a883d,
    0xff5e4c16,
    0xff5a551e,
    0xff4b5722,
    0xff3e502d,
    0xff43522d,
    0xff273607,
    0xff202c0f,
    0xff273912,
    0xff465d14,
    0xff86994b,
    0xff697724,
    0xff495715,
    0xff5e6d47,
    0xff3f4c31,
    0xff252e00,
    0xff7d8231,
    0xff525216,
    0xff4c5025,
    0xff515f26,
    0xff41531e,
    0xff4a5c27,
    0xff303f09,
    0xff3b470e,
    0xff55581b,
    0xff78722e,
    0xff897e30,
    0xff83711f,
    0xff876c13,
    0xff836d21,
    0xff6c5607,
    0xff826902,
    0xff97841f,
    0xff706621,
    0xff493b0a,
    0xff927c49,
    0xff5c4d06,
    0xff79702f,
    0xff555314,
    0xff4e4e21,
    0xff4a4a30,
    0xff2b330e,
    0xff3f5322,
    0xff213919,
    0xff2c3315,
    0xff60602c,
    0xff85773b,
    0xff53370c,
    0xff48230b,
    0xff6a3f29,
    0xff431700,
    0xff53250f,
    0xff462710,
    0xff67511f,
    0xff7e7029,
    0xff6c5b11,
    0xff6d5c0f,
    0xff766411,
    0xff7a671c,
    0xff6e5e1f,
    0xff554c14,
    0xff706827,
    0xff474004,
    0xff36320e,
    0xff555644,
    0xff2d341b,
    0xff152100,
    0xff474e2d,
    0xff44451b,
    0xff7d792d,
    0xff897511,
    0xffa28720,
    0xffb79b39,
    0xff8e7921,
    0xff7b6e24,
    0xff837641,
    0xff7f7330,
    0xff988f2c,
    0xff917e13,
    0xff8d6b14,
    0xff9c721d,
    0xffcba436,
    0xffc5a930,
    0xff9f891e,
    0xff937b24,
    0xff9f8b2d,
    0xff756222,
    0xff6f5b1c,
    0xff7b6b1d,
    0xff695c1e,
    0xff57511f,
    0xff606135,
    0xff413e14,
    0xff66521a,
    0xffb59c43,
    0xff9a8b1e,
    0xff92881b,
    0xff9e951f,
    0xff7b7d09,
    0xff5a670f,
    0xff566c1e,
    0xff364711,
    0xff48592f,
    0xff1e2a08,
    0xff434e1c,
    0xff38360a,
    0xff493a28,
    0xff514112,
    0xff765f09,
    0xff80743a,
    0xff212200,
    0xff5f5e23,
    0xff414027,
    0xff464742,
    0xff3c2f1e,
    0xff623f23,
    0xff683b19,
    0xff633d0e,
    0xff61471f,
    0xff35250c,
    0xff1f1b01,
    0xff181b00,
    0xff1d2709,
    0xff273508,
    0xff45450f,
    0xff4f5317,
    0xff3a3e15,
    0xff515b46,
    0xff273623,
    0xff213111,
    0xff72785a,
    0xff42402f,
    0xff3c3c1d,
    0xff5c5d36,
    0xff282402,
    0xff7d7b46,
    0xff3b3400,
    0xff60502b,
    0xff4a3600,
    0xff8a7633,
    0xffa28932,
    0xff6f5900,
    0xff685408,
    0xff736110,
    0xff847523,
    0xff6b5a15,
    0xff604e0c,
    0xff6e5c26,
    0xff484d09,
    0xff485a1a,
    0xff425d25,
    0xff273c01,
    0xff42481c,
    0xff1e1406,
    0xff4f4936,
    0xff312d20,
    0xff29260e,
    0xff1a1501,
    0xff3f3c26,
    0xff181700,
    0xff2a2f12,
    0xff5b6440,
    0xff545f40,
    0xff3b472c,
    0xff3a4c2e,
    0xff2e3f22,
    0xff38442b,
    0xff434d31,
    0xff3a421d,
    0xff353d13,
    0xff676f42,
    0xff434c23,
    0xff374129,
    0xff1a2715,
    0xff1f3224,
    0xff0a1c12,
    0xff061709,
    0xff1c250f,
    0xff404221,
    0xff403e16,
    0xff383c1f,
    0xff1e211b,
    0xff1c3326,
    0xff1a2915,
    0xff242819,
    0xff23300c,
    0xff3f4a14,
    0xff2b4612,
    0xff28461f,
    0xff3a4f25,
    0xff4f5e2c,
    0xff647641,
    0xff374d2d,
    0xff000d06,
    0xff021511,
    0xff021500,
    0xff314002,
    0xff464f1c,
    0xff434b2c,
    0xff1b2413,
    0xff13240e,
    0xff2a451e,
    0xff3f572c,
    0xff344a22,
    0xff4d5d2e,
    0xff525927,
    0xff302f06,
    0xff595726,
    0xff535511,
    0xff807e32,
    0xff5f5214,
    0xff42260a,
    0xff3d2317,
    0xff5e5e52,
    0xff0f2300,
    0xff495a0b,
    0xff646c15,
    0xff59610f,
    0xff5b641f,
    0xff484922,
    0xff272902,
    0xff292f13,
    0xff212c20,
    0xff081312,
    0xff0b1516,
    0xff162019,
    0xff011203,
    0xff1d321c,
    0xff151f08,
    0xff314129,
    0xff415740,
    0xff5f7a6a,
    0xff527c70,
    0xff5b8d7d,
    0xff5f7d6d,
    0xff757669,
    0xff747968,
    0xff787a66,
    0xff82745e,
    0xff9f6a55,
    0xffa14a38,
    0xffa0311d,
    0xff891d00,
    0xffa66b3a,
    0xff7f7621,
    0xff848a1b,
    0xff859a2c,
    0xff375300,
    0xff6d8c3b,
    0xff7d9937,
    0xff879b3d,
    0xff848a49,
    0xff5d401c,
    0xff6f7967,
    0xff497169,
    0xff56756c,
    0xff5b796e,
    0xff4b7870,
    0xff447671,
    0xff3d635f,
    0xff20413d,
    0xff1a3d3b,
    0xff395147,
    0xff282211,
    0xff261107,
    0xff1d0e0d,
    0xff18100b,
    0xff26210c,
    0xff263018,
    0xff283721,
    0xff182c18,
    0xff152a19,
    0xff122412,
    0xff142414,
    0xff0c1d12,
    0xff091b11,
    0xff112314,
    0xff071507,
    0xff1a231e,
    0xff111b11,
    0xff0c190c,
    0xff0b1809,
    0xff0c1507,
    0xff161c0c,
    0xff484a12,
    0xff000000,
    0xff190b00,
    0xff887730,
    0xff7e7336,
    0xff7e7a39,
    0xffafad52,
    0xff7e7034,
    0xff676135,
    0xff8f8958,
    0xff6b6635,
    0xff605a35,
    0xff58572b,
    0xff6e6e2c,
    0xff8d8839,
    0xff877e2f,
    0xff625d0d,
    0xff645f1a,
    0xff4c4d18,
    0xff2f3716,
    0xff3f4c3a,
    0xff1f2d19,
    0xff323f1f,
    0xff737b4c,
    0xff7d7e29,
    0xff5e621f,
    0xff534b27,
    0xff857838,
    0xff78701f,
    0xff46490f,
    0xff8a8f5d,
    0xff5d5b39,
    0xff18230e,
    0xff1c1a07,
    0xff354123,
    0xff817a40,
    0xff686b1f,
    0xff706b28,
    0xff4f4400,
    0xff74691b,
    0xff595307,
    0xff695c1b,
    0xff5f5516,
    0xff736d2a,
    0xff3b3814,
    0xff1a1d09,
    0xff33381b,
    0xff0a0e00,
    0xff070d0a,
    0xff060b0a,
    0xff060e09,
    0xff020a03,
    0xff050b06,
    0xff08100b,
    0xff2d342d,
    0xff242b24,
    0xff141d11,
    0xff262e19,
    0xff3a3a1f,
    0xff958b6e,
    0xff333018,
    0xff000a00,
    0xff0a1807,
    0xff050900,
    0xff0d170d,
    0xff080f06,
    0xff131610,
    0xff0e1009,
    0xff130d07,
    0xff21110e,
    0xff2f0f0f,
    0xff2c0102,
    0xff3b0b00,
    0xff511a0f,
    0xff490700,
    0xff4a0400,
    0xff50120a,
    0xff481106,
    0xff400e02,
    0xff3d0e00,
    0xff511808,
    0xff3f0500,
    0xff461205,
    0xff350e00,
    0xff291203,
    0xff231101,
    0xff261000,
    0xff341407,
    0xff3c1e0e,
    0xff482516,
    0xff401a0b,
    0xff381507,
    0xff381b0e,
    0xff2e180a,
    0xff281507,
    0xff241005,
    0xff211703,
    0xff1f1402,
    0xff1e1204,
    0xff231a0a,
    0xff262110,
    0xff161607,
    0xff0e0e03,
    0xff0e0e09,
    0xff0d120b,
    0xff0b0d06,
    0xff151209,
    0xff161109,
    0xff16180d,
    0xff11170d,
    0xff020801,
    0xff272a28,
    0xff343628,
    0xff0e1008,
    0xff0f1511,
    0xff10110e,
    0xff1c1d15,
    0xff5b584f,
    0xff101003,
    0xff0f1107,
    0xff0b1005,
    0xff11170a,
    0xff10140a,
    0xff131709,
    0xff1b1b08,
    0xff1d1a02,
    0xff32290a,
    0xff4d421d,
    0xff2e290b,
    0xff1d1700,
    0xff1a1400,
    0xff51442d,
    0xff38240d,
    0xff3b230b,
    0xff422b13,
    0xff311f09,
    0xff171706,
    0xff0b1003,
    0xff141e16,
    0xff070f0b,
    0xff141711,
    0xff121209,
    0xff121208,
    0xff111106,
    0xff141307,
    0xff191a0c,
    0xff1b1c0e,
    0xff090900,
    0xff68675b,
    0xff615b4c,
    0xff30260e,
    0xff392f10,
    0xff252706,
    0xff212400,
    0xff666b24,
    0xff899b2b,
    0xff425b00,
    0xff4f6616,
    0xff2b4001,
    0xff5e7328,
    0xff393745,
    0xff646572,
    0xff747786,
    0xff2a2937,
    0xff3d3a48,
    0xff30313b,
    0xff1c272c,
    0xff001615,
    0xff00181a,
    0xff051a1d,
    0xff081c20,
    0xff03121b,
    0xff021219,
    0xff02131b,
    0xff03171b,
    0xff001316,
    0xff02121a,
    0xff001715,
    0xff001a15,
    0xff031b1b,
    0xff1e3024,
    0xff465439,
    0xff4c543d,
    0xff1c1d14,
    0xff2c3224,
    0xff242f25,
    0xff152523,
    0xff122627,
    0xff122729,
    0xff051e1a,
    0xff001b18,
    0xff001c16,
    0xff001314,
    0xff001317,
    0xff021318,
    0xff04181b,
    0xff021a17,
    0xff011915,
    0xff011517,
    0xff061319,
    0xff01151c,
    0xff001419,
    0xff051b1a,
    0xff001815,
    0xff031c1b,
    0xff011b19,
    0xff092526,
    0xff00191b,
    0xff091e21,
    0xff08221d,
    0xff0a2420,
    0xff001919,
    0xff021c1f,
    0xff05191c,
    0xff021414,
    0xff031314,
    0xff030f0f,
    0xff01130b,
    0xff051b0f,
    0xff101c0f,
    0xff141101,
    0xff3e3124,
    0xff3f3d30,
    0xff2f3929,
    0xff443525,
    0xff482d06,
    0xff4f361b,
    0xff35321d,
    0xff0e1d1b,
    0xff091829,
    0xff021213,
    0xff091a22,
    0xff0e1411,
    0xff483e29,
    0xff534720,
    0xff412e1c,
    0xff4b3421,
    0xff252611,
    0xff1b2127,
    0xff27140d,
    0xff623d22,
    0xff754e32,
    0xff56351e,
    0xff593e29,
    0xff604020,
    0xff7a4f24,
    0xff815a32,
    0xff4d321b,
    0xff3e272b,
    0xff1e1f18,
    0xff222b1e,
    0xff232b21,
    0xff111d1a,
    0xff111616,
    0xff292e24,
    0xff4d644b,
    0xff313f25,
    0xff243e26,
    0xff2c4a31,
    0xff1a2415,
    0xff342f25,
    0xff554f45,
    0xff1c190c,
    0xff221c12,
    0xff2a281b,
    0xff454122,
    0xff525021,
    0xff434811,
    0xff43501d,
    0xff4c5a26,
    0xff545d1f,
    0xff5d5f19,
    0xff4c541d,
    0xff181f00,
    0xff54572e,
    0xff3e4022,
    0xff302e14,
    0xff30310b,
    0xff515228,
    0xff2d2e09,
    0xff39441e,
    0xff212000,
    0xff72673f,
    0xff453b09,
    0xff393304,
    0xff403d12,
    0xff504b2a,
    0xff4b3f26,
    0xff584f2b,
    0xff655b34,
    0xff675e33,
    0xff524c29,
    0xff494235,
    0xff645045,
    0xff826329,
    0xffd7b042,
    0xffb49225,
    0xffc2a61e,
    0xffd6bd3e,
    0xff8b761e,
    0xff686015,
    0xff696516,
    0xff595200,
    0xffa59b2b,
    0xff80790b,
    0xff909347,
    0xff425310,
    0xff3e5607,
    0xff556d1b,
    0xff61762a,
    0xff647a2f,
    0xff485d24,
    0xff889355,
    0xff8f9561,
    0xff292b0c,
    0xff383714,
    0xff707223,
    0xff726d20,
    0xff5d4f23,
    0xff5a4930,
    0xff342a10,
    0xff58211e,
    0xff4f1a1c,
    0xff393128,
    0xff0e1d10,
    0xff031608,
    0xff001508,
    0xff021a0f,
    0xff012008,
    0xff061e14,
    0xff101c13,
    0xff1b1e01,
    0xff565426,
    0xff524c20,
    0xff4e4723,
    0xff7a7551,
    0xff54531a,
    0xff3b440d,
    0xff495a40,
    0xff000d00,
    0xffbfc8a1,
    0xff474213,
    0xff846f46,
    0xff997b48,
    0xff936230,
    0xff946e31,
    0xff8c743f,
    0xff7c7638,
    0xff758328,
    0xff3e5605,
    0xff4d622e,
    0xff182e02,
    0xff4e3c0e,
    0xff7f5d20,
    0xff673b16,
    0xff5e3b0b,
    0xff634c0e,
    0xff4d350b,
    0xff2c2200,
    0xff474e2a,
    0xff274318,
    0xff304a19,
    0xff41541c,
    0xff263614,
    0xff43552e,
    0xff2e4803,
    0xff697b2e,
    0xff677222,
    0xff3f5015,
    0xff2a3d12,
    0xff2e3c30,
    0xff455235,
    0xff606b24,
    0xff535923,
    0xff343c13,
    0xff2b3f00,
    0xff607341,
    0xff1c2f00,
    0xff566327,
    0xff424d0a,
    0xff67691f,
    0xff615b11,
    0xff6a5d15,
    0xff69550e,
    0xff7c6e1e,
    0xff655e15,
    0xff655b0e,
    0xffa1923c,
    0xff8f8339,
    0xff696733,
    0xff44430e,
    0xff60590d,
    0xff9b923d,
    0xff7a7634,
    0xff3b3d0d,
    0xff414826,
    0xff364125,
    0xff27390c,
    0xff385322,
    0xff263d2b,
    0xff1b2a20,
    0xff121a00,
    0xff383302,
    0xff85764e,
    0xff4b3819,
    0xff473817,
    0xff5d542d,
    0xff736d44,
    0xff3a3102,
    0xff403806,
    0xff524813,
    0xff4a3c0c,
    0xff705d26,
    0xff5f4c09,
    0xff6c5a1c,
    0xff695827,
    0xff978f45,
    0xff635d11,
    0xff605a22,
    0xff6c6545,
    0xff313219,
    0xff2c3716,
    0xff495534,
    0xff585e45,
    0xff292d00,
    0xff817d2d,
    0xffaa9a34,
    0xff8a700c,
    0xffb1983e,
    0xffae9d4d,
    0xff766c31,
    0xff6a633c,
    0xff444811,
    0xffa09d49,
    0xff907821,
    0xff8f6020,
    0xff8d5514,
    0xffc09334,
    0xffb59c2e,
    0xff92841f,
    0xff7c6e0e,
    0xff796c05,
    0xff74611a,
    0xff8e7e37,
    0xff776d14,
    0xff796f2a,
    0xff5d551f,
    0xff3b3706,
    0xff504b00,
    0xff8e7819,
    0xffa58b15,
    0xff817300,
    0xff6e6707,
    0xff867d1f,
    0xff606100,
    0xff64751f,
    0xff506921,
    0xff405829,
    0xff1b3416,
    0xff172d13,
    0xff3a4d19,
    0xff3a440c,
    0xff323007,
    0xff726c22,
    0xff9c843b,
    0xff554c16,
    0xff6f7249,
    0xff616845,
    0xff47524a,
    0xff424f65,
    0xff636776,
    0xff463627,
    0xff7c5037,
    0xff562d16,
    0xff3f2011,
    0xff523e20,
    0xff534a08,
    0xff8f8b3b,
    0xff938a43,
    0xff685f17,
    0xff6a6739,
    0xff5e5b2e,
    0xff4f4a20,
    0xff4b4b25,
    0xff1f2607,
    0xff243016,
    0xff1d2b10,
    0xff2d371c,
    0xff383b28,
    0xff34331c,
    0xff423d2a,
    0xff5c552f,
    0xff6f6238,
    0xff816c45,
    0xff79631d,
    0xff79650d,
    0xff8e731f,
    0xff8a731b,
    0xff76611a,
    0xff8c7931,
    0xff604f08,
    0xff6e5d1b,
    0xff857426,
    0xff89752e,
    0xff56501e,
    0xff565527,
    0xff373a06,
    0xff79803c,
    0xff625f38,
    0xff362a1e,
    0xff3c2f17,
    0xff433525,
    0xff363c29,
    0xff3b3a2a,
    0xff413829,
    0xff615041,
    0xff493c29,
    0xff322f16,
    0xff3b432a,
    0xff182910,
    0xff192f18,
    0xff2a3c2d,
    0xff13231b,
    0xff101d18,
    0xff0a160c,
    0xff2f3929,
    0xff343c27,
    0xff232c17,
    0xff161c0d,
    0xff0f1e0d,
    0xff29402f,
    0xff122713,
    0xff353e2a,
    0xff3d3924,
    0xff574c31,
    0xff46381b,
    0xff403615,
    0xff251f0f,
    0xff1b2516,
    0xff262119,
    0xff3c2319,
    0xff685621,
    0xff9f9346,
    0xff464c11,
    0xff2f410b,
    0xff3d4d0f,
    0xff6e803a,
    0xff445a21,
    0xff09230d,
    0xff0f262c,
    0xff081a17,
    0xff243316,
    0xff4b612d,
    0xff3b4c15,
    0xff435023,
    0xff1b270c,
    0xff0c1801,
    0xff2b3b1d,
    0xff0e2005,
    0xff000d00,
    0xff091300,
    0xff515528,
    0xff69652d,
    0xff666121,
    0xff545103,
    0xff65610d,
    0xff6f5d19,
    0xff5f3d13,
    0xff5c301f,
    0xff493c2c,
    0xff283815,
    0xff303b1d,
    0xff404028,
    0xff474d1c,
    0xff2e3700,
    0xff414715,
    0xff484621,
    0xff3f4124,
    0xff191e09,
    0xff222717,
    0xff262e1d,
    0xff252f1f,
    0xff101e0f,
    0xff04150a,
    0xff445f59,
    0xff4f735e,
    0xff6c9476,
    0xff5d876e,
    0xff598778,
    0xff5b817b,
    0xff70796e,
    0xff76584b,
    0xff8e4642,
    0xff93433f,
    0xff8d3633,
    0xff914039,
    0xff9a493f,
    0xffa24336,
    0xff823b21,
    0xff7d6d3b,
    0xff8e9431,
    0xff859722,
    0xff62800a,
    0xff8fb648,
    0xff5c8417,
    0xff6b8c14,
    0xff829924,
    0xff8f932f,
    0xff8f5d25,
    0xff797656,
    0xff567768,
    0xff53705f,
    0xff667c6a,
    0xff527966,
    0xff548271,
    0xff5a806f,
    0xff537c6a,
    0xff46726a,
    0xff35534e,
    0xff5c5b50,
    0xff261709,
    0xff221911,
    0xff2d2b26,
    0xff343128,
    0xff0a0d00,
    0xff3e4836,
    0xff172619,
    0xff1f2e22,
    0xff091608,
    0xff1b251b,
    0xff141d15,
    0xff050e09,
    0xff101c15,
    0xff19261b,
    0xff13200f,
    0xff1b2c1c,
    0xff182c1e,
    0xff0e1f14,
    0xff0c140e,
    0xff0c0f0a,
    0xff303514,
    0xffd7d472,
    0xffceb239,
    0xffd7ab40,
    0xffe2c77e,
    0xff8c9259,
    0xff4e591e,
    0xff817658,
    0xff615732,
    0xff797240,
    0xff635e2e,
    0xff393a14,
    0xff62663b,
    0xff7b843d,
    0xff909738,
    0xff77761c,
    0xff867e32,
    0xff857f48,
    0xff454322,
    0xff384125,
    0xff364927,
    0xff394d2b,
    0xff1c2a10,
    0xff404a36,
    0xff565625,
    0xff626d37,
    0xff4a4932,
    0xff584f18,
    0xffa9a452,
    0xff202304,
    0xff19200b,
    0xff2a2c0d,
    0xff667335,
    0xff7e7841,
    0xff545918,
    0xff928b27,
    0xff838c20,
    0xff464703,
    0xff5d560d,
    0xff655c02,
    0xff7a6716,
    0xff594109,
    0xff6b551f,
    0xff443c0a,
    0xff24280d,
    0xff232c13,
    0xff25260c,
    0xff32261a,
    0xff281a11,
    0xff2d231a,
    0xff2a251e,
    0xff2a2b23,
    0xff1f241d,
    0xff242a22,
    0xff272d26,
    0xff171c16,
    0xff0b160f,
    0xff041d0a,
    0xff132f15,
    0xff061303,
    0xff0f110f,
    0xff0b1115,
    0xff000906,
    0xff081008,
    0xff001709,
    0xff08150c,
    0xff17110f,
    0xff281214,
    0xff2a0b0e,
    0xff2b0a07,
    0xff300c06,
    0xff361008,
    0xff390907,
    0xff390403,
    0xff40080b,
    0xff3f0609,
    0xff3c0609,
    0xff3c0705,
    0xff430d08,
    0xff480e07,
    0xff642313,
    0xff591e0d,
    0xff4f1e0b,
    0xff481e0f,
    0xff461f0f,
    0xff5f3527,
    0xff492113,
    0xff472012,
    0xff48220f,
    0xff3b1201,
    0xff4a1f0f,
    0xff78513f,
    0xff321202,
    0xff462d1e,
    0xff422e20,
    0xff362316,
    0xff40311b,
    0xff31220f,
    0xff261a0a,
    0xff221709,
    0xff1e1506,
    0xff191406,
    0xff1f1d15,
    0xff1d1c18,
    0xff161c15,
    0xff161710,
    0xff211d16,
    0xff201d0f,
    0xff28291f,
    0xff0d1308,
    0xff090e09,
    0xff0c100b,
    0xff27291b,
    0xff5e6158,
    0xff31362f,
    0xff0d0e09,
    0xff070500,
    0xff615f54,
    0xff2c2b1f,
    0xff141608,
    0xff182610,
    0xff13200b,
    0xff14220b,
    0xff111a00,
    0xff3d3f21,
    0xff4c4921,
    0xff59501c,
    0xff554813,
    0xff322c18,
    0xff342e1e,
    0xff3b3324,
    0xff473929,
    0xff44311c,
    0xff443117,
    0xff3f2c13,
    0xff2e1e08,
    0xff292a18,
    0xff11150a,
    0xff111914,
    0xff090f0d,
    0xff21221d,
    0xff1b1a10,
    0xff131104,
    0xff151105,
    0xff1c170b,
    0xff131004,
    0xff151507,
    0xff1a1d11,
    0xff090b02,
    0xff828277,
    0xff242111,
    0xff25210a,
    0xff121700,
    0xff1b180f,
    0xff191804,
    0xff444b09,
    0xff5e6e11,
    0xff70823b,
    0xff283702,
    0xff576624,
    0xff37373c,
    0xff858389,
    0xff35323b,
    0xff3f3c47,
    0xff30303a,
    0xff283038,
    0xff041416,
    0xff031716,
    0xff001317,
    0xff021519,
    0xff021418,
    0xff021518,
    0xff021015,
    0xff031116,
    0xff051419,
    0xff031117,
    0xff001418,
    0xff001316,
    0xff001412,
    0xff021715,
    0xff152822,
    0xff091a0f,
    0xff0b1a0e,
    0xff0a1a0d,
    0xff21382a,
    0xff233a30,
    0xff152b27,
    0xff011614,
    0xff001417,
    0xff03181a,
    0xff011719,
    0xff011818,
    0xff041715,
    0xff001212,
    0xff001213,
    0xff011316,
    0xff001315,
    0xff021517,
    0xff001214,
    0xff011315,
    0xff001111,
    0xff000f10,
    0xff1a2b2e,
    0xff07181b,
    0xff071e21,
    0xff00191c,
    0xff01151d,
    0xff05161f,
    0xff011517,
    0xff001516,
    0xff02191b,
    0xff031b1e,
    0xff092121,
    0xff061c1a,
    0xff021614,
    0xff031814,
    0xff00131a,
    0xff00110e,
    0xff162218,
    0xff1b190e,
    0xff24150e,
    0xff38241e,
    0xff1f1207,
    0xff4e4633,
    0xff593918,
    0xff947a5d,
    0xff3e311d,
    0xff1a1b10,
    0xff04100d,
    0xff0b191b,
    0xff021214,
    0xff0c1a1e,
    0xff24342c,
    0xff1b1e15,
    0xff211a0c,
    0xff3b2f21,
    0xff383121,
    0xff212111,
    0xff161309,
    0xff231b13,
    0xff351e17,
    0xff38320a,
    0xff312b0b,
    0xff674a41,
    0xff8b5c44,
    0xffaf7c49,
    0xff8f6732,
    0xff71572a,
    0xff423229,
    0xff332826,
    0xff313025,
    0xff2b362a,
    0xff102225,
    0xff00100d,
    0xff2d3d26,
    0xff323e24,
    0xff2c3d26,
    0xff203323,
    0xff192922,
    0xff1e2a21,
    0xff232a1a,
    0xff404233,
    0xff2e2f27,
    0xff101312,
    0xff1b2523,
    0xff131711,
    0xff2b2d1d,
    0xff2f351d,
    0xff37451d,
    0xff36470f,
    0xff5e6b23,
    0xff6a721c,
    0xff7b8525,
    0xff787f32,
    0xff44470f,
    0xff414117,
    0xff49491e,
    0xff6e6d3c,
    0xff555325,
    0xff5d5934,
    0xff3b371e,
    0xff4f5229,
    0xff716c33,
    0xff716a21,
    0xff62642a,
    0xff56542e,
    0xff5b5323,
    0xff393614,
    0xff525339,
    0xff2f310d,
    0xff6f623d,
    0xff3f3c33,
    0xff474a43,
    0xff4c481d,
    0xffb0a354,
    0xffd1ae3f,
    0xffc79f2b,
    0xffb49613,
    0xffd1b332,
    0xffc8aa2b,
    0xffbea954,
    0xff221b00,
    0xff8b8143,
    0xffb9a140,
    0xff7e741a,
    0xff66690f,
    0xff878a50,
    0xff6b6a18,
    0xff5d5f0b,
    0xff5c6834,
    0xff3c5019,
    0xff101f02,
    0xff1e1f06,
    0xff292815,
    0xff2a2e23,
    0xff0b1500,
    0xff939156,
    0xff614912,
    0xff6b4f26,
    0xff423308,
    0xff4a3619,
    0xff4a2521,
    0xff41200b,
    0xff241707,
    0xff151f1c,
    0xff011e11,
    0xff011f1c,
    0xff051e1c,
    0xff1e332e,
    0xff091d12,
    0xff37442a,
    0xff7c7f4f,
    0xff80783d,
    0xff837346,
    0xff706a44,
    0xff3c4212,
    0xff444616,
    0xff333e2f,
    0xff021412,
    0xff223112,
    0xff5b6a32,
    0xff1c2d01,
    0xff3a3d16,
    0xff5d4821,
    0xff6b4510,
    0xff774d19,
    0xff734e1b,
    0xff483000,
    0xff8d8b46,
    0xff4d5c0d,
    0xff687a32,
    0xff2c3a00,
    0xff5f5813,
    0xff85843d,
    0xff474611,
    0xff443a0f,
    0xff6d5527,
    0xff513710,
    0xff6b6241,
    0xff3e4b20,
    0xff2e4720,
    0xff223b10,
    0xff2c4111,
    0xff697849,
    0xff303a09,
    0xff48521e,
    0xff485619,
    0xff667a36,
    0xff2f3e0f,
    0xff61713f,
    0xff192402,
    0xff2d340b,
    0xff656c28,
    0xff5d6323,
    0xff333c14,
    0xff414f25,
    0xff2d3a16,
    0xff2b2c11,
    0xff211900,
    0xff625b2b,
    0xff707229,
    0xff595b0b,
    0xff72671b,
    0xff7b6624,
    0xff7c6923,
    0xff594a01,
    0xff74641b,
    0xff614f05,
    0xff72601a,
    0xff716225,
    0xff574e18,
    0xff5c5b25,
    0xff595a1a,
    0xff49500c,
    0xff545f23,
    0xff394d24,
    0xff233d1d,
    0xff22411c,
    0xff324b2d,
    0xff152818,
    0xff101f1b,
    0xff1d2a22,
    0xff192410,
    0xff151d00,
    0xff595e38,
    0xff2f3410,
    0xff3f4025,
    0xff393a28,
    0xff262710,
    0xff39340c,
    0xff5a4d15,
    0xff74672d,
    0xff59511e,
    0xff4b4519,
    0xff3c3505,
    0xff584d19,
    0xff564000,
    0xff76602b,
    0xff48370d,
    0xff524c2e,
    0xff3f4330,
    0xff172210,
    0xff1e2a10,
    0xff4d5632,
    0xff4f5222,
    0xff57571e,
    0xff585511,
    0xff71691b,
    0xff8b7f34,
    0xff52470b,
    0xff6a653e,
    0xff62684c,
    0xff516326,
    0xff5c5e23,
    0xff513412,
    0xff714621,
    0xff704c08,
    0xff836512,
    0xff866c1d,
    0xff9a8432,
    0xff827f22,
    0xff75610e,
    0xff8a7623,
    0xff6c6f0d,
    0xff626e0c,
    0xff726a1b,
    0xff6c540c,
    0xffa38c33,
    0xff9c952a,
    0xffa59423,
    0xffb89d2b,
    0xff9e8a20,
    0xff726f17,
    0xff505a0d,
    0xff526212,
    0xff657421,
    0xff394b14,
    0xff142d04,
    0xff1e3b1b,
    0xff394a2c,
    0xff64653a,
    0xff504515,
    0xff605523,
    0xff726f3c,
    0xff464423,
    0xff0c0b00,
    0xff212111,
    0xff1d201a,
    0xff080f14,
    0xff040a11,
    0xff1d2020,
    0xff3b3630,
    0xff230000,
    0xff58381d,
    0xff7e6a31,
    0xff9e8d39,
    0xffc0af4f,
    0xffbdac54,
    0xff84712c,
    0xff968343,
    0xff434001,
    0xff52541b,
    0xff736f34,
    0xff625a23,
    0xff5d613b,
    0xff717353,
    0xff60593d,
    0xff474334,
    0xff4a433a,
    0xff4f4227,
    0xff3e3316,
    0xff464136,
    0xff191202,
    0xff6b5d28,
    0xff83731d,
    0xff827618,
    0xff886b1d,
    0xff867324,
    0xff614f03,
    0xff6e540f,
    0xff775f1c,
    0xff675812,
    0xff705d1c,
    0xff654a13,
    0xff3a350b,
    0xff41400c,
    0xff282b00,
    0xff555724,
    0xff51532d,
    0xff272810,
    0xff2a3023,
    0xff101c15,
    0xff000806,
    0xff30362b,
    0xff161504,
    0xff1f1d09,
    0xff2c2b16,
    0xff202511,
    0xff1c2813,
    0xff21321c,
    0xff273b1f,
    0xff192e18,
    0xff324a3b,
    0xff00100a,
    0xff0a201c,
    0xff0e201c,
    0xff121f18,
    0xff0d170d,
    0xff0d1808,
    0xff0d1b11,
    0xff122423,
    0xff0b1d1d,
    0xff0e1c16,
    0xff2c3021,
    0xff241c09,
    0xff3d2d19,
    0xff3c2a15,
    0xff322404,
    0xff332811,
    0xff261a1d,
    0xff1a1006,
    0xff4c4917,
    0xff5f5e24,
    0xff302c09,
    0xff40461c,
    0xff485206,
    0xff636b1f,
    0xff192001,
    0xff000b07,
    0xff031a0f,
    0xff031b07,
    0xff112313,
    0xff001200,
    0xff0d0c05,
    0xff040d08,
    0xff1e3527,
    0xff0b1600,
    0xff131707,
    0xff040d13,
    0xff050e00,
    0xff282c15,
    0xff453f21,
    0xff3e3005,
    0xff4f420d,
    0xff675f24,
    0xff5b4b14,
    0xff724d20,
    0xff68310e,
    0xff4b1c13,
    0xff3d3220,
    0xff233216,
    0xff233115,
    0xff2d2f16,
    0xff28290c,
    0xff2a300e,
    0xff202504,
    0xff3c4717,
    0xff182103,
    0xff1f2217,
    0xff33352d,
    0xff232b19,
    0xff10250e,
    0xff4c6f5c,
    0xff57877e,
    0xff407269,
    0xff618883,
    0xff4d7c6c,
    0xff5b8d70,
    0xff628577,
    0xff618181,
    0xff687e79,
    0xff7b7465,
    0xff936d6a,
    0xff884837,
    0xffac3926,
    0xffb73d30,
    0xffa23029,
    0xff993c2c,
    0xff7f6b48,
    0xff728254,
    0xffa4a54c,
    0xff859325,
    0xff849f1f,
    0xff88a322,
    0xff87a228,
    0xff7d9f27,
    0xff96ab38,
    0xff838114,
    0xff7e5310,
    0xff917835,
    0xff827e4e,
    0xff7d8179,
    0xff545c69,
    0xff4c5c61,
    0xff57736b,
    0xff507469,
    0xff587872,
    0xff5b816c,
    0xff637d5f,
    0xff1d1300,
    0xff55241b,
    0xff794136,
    0xff5f4036,
    0xff1b1611,
    0xff0b0e00,
    0xff2e3533,
    0xff061415,
    0xff092215,
    0xff061c0f,
    0xff1f2e2b,
    0xff111614,
    0xff0f0d00,
    0xff1e200f,
    0xff132109,
    0xff314833,
    0xff112822,
    0xff263632,
    0xff141d0e,
    0xff151d0c,
    0xff091005,
    0xff757759,
    0xff5b5300,
    0xfff9db5f,
    0xffaa812e,
    0xff402c0a,
    0xff2c330d,
    0xff5f6a42,
    0xff6a6346,
    0xff595728,
    0xff8d8c57,
    0xff494620,
    0xff484c3d,
    0xff3d4b38,
    0xff3d4b19,
    0xff525104,
    0xff867929,
    0xff635f33,
    0xff3d3d14,
    0xff3a3b2e,
    0xff475036,
    0xff495a2e,
    0xff425537,
    0xff4c6040,
    0xff283d17,
    0xff253327,
    0xff08140a,
    0xff4a5548,
    0xff4c513d,
    0xff3d3c20,
    0xff434227,
    0xff1a1c05,
    0xff303722,
    0xff121500,
    0xff656414,
    0xff746e11,
    0xff908d32,
    0xff303100,
    0xff686737,
    0xff7c6f20,
    0xffa68c3d,
    0xff493e05,
    0xff5c5424,
    0xff4a4418,
    0xff302a06,
    0xff2e2a0c,
    0xff26260b,
    0xff2c2c12,
    0xff26250f,
    0xff33361e,
    0xff181c0c,
    0xff1a2019,
    0xff08130f,
    0xff05110d,
    0xff05130f,
    0xff010f0a,
    0xff081513,
    0xff0e1716,
    0xff0d1714,
    0xff0e1a16,
    0xff0b160f,
    0xff141b14,
    0xff282b22,
    0xff615e54,
    0xff3f3f32,
    0xff05140f,
    0xff151f1a,
    0xff161611,
    0xff1b1811,
    0xff211c12,
    0xff231a12,
    0xff2b1f18,
    0xff2f1c18,
    0xff43291f,
    0xff48261c,
    0xff3b1106,
    0xff4b1607,
    0xff612511,
    0xff7d3b23,
    0xff6c280c,
    0xff793615,
    0xff7e3a26,
    0xff561905,
    0xff461100,
    0xff421500,
    0xff673d23,
    0xff462007,
    0xff3f1a08,
    0xff3e180d,
    0xff60352a,
    0xff552f21,
    0xff3d1b0c,
    0xff3b190d,
    0xff3d170e,
    0xff401f15,
    0xff2b1307,
    0xff221503,
    0xff68563d,
    0xff251b05,
    0xff1e1609,
    0xff1f1c11,
    0xff201e13,
    0xff242016,
    0xff1e1a11,
    0xff1a160f,
    0xff171208,
    0xff18140a,
    0xff141306,
    0xff17130c,
    0xff18180e,
    0xff090c01,
    0xff080a02,
    0xff181b13,
    0xff161614,
    0xff181107,
    0xff35281c,
    0xff4e463d,
    0xff4d4e4c,
    0xff686f70,
    0xff868883,
    0xff201c12,
    0xff0f1302,
    0xff0d1406,
    0xff0c1408,
    0xff081203,
    0xff1b2411,
    0xff282d13,
    0xff28280b,
    0xff1c1900,
    0xff261d0a,
    0xff2a210f,
    0xff423a28,
    0xff403425,
    0xff2d2110,
    0xff392616,
    0xff51392e,
    0xff513831,
    0xff262311,
    0xff090800,
    0xff11110c,
    0xff10130e,
    0xff111508,
    0xff161708,
    0xff191006,
    0xff271512,
    0xff24130f,
    0xff201612,
    0xff221e1b,
    0xff14160e,
    0xff090900,
    0xff4b4a37,
    0xff6c6854,
    0xff171500,
    0xff181b11,
    0xff191707,
    0xff151b13,
    0xff181c00,
    0xff7d843a,
    0xff4f5316,
    0xff4e391e,
    0xff63561f,
    0xff63616a,
    0xff66656e,
    0xff36343f,
    0xff353340,
    0xff33353e,
    0xff161f26,
    0xff001012,
    0xff011311,
    0xff001116,
    0xff001014,
    0xff001014,
    0xff021418,
    0xff001115,
    0xff001216,
    0xff041419,
    0xff05161a,
    0xff001317,
    0xff011516,
    0xff071b1a,
    0xff051917,
    0xff061815,
    0xff11261d,
    0xff0b1d15,
    0xff1b2d24,
    0xff132d22,
    0xff112b22,
    0xff102a25,
    0xff05191a,
    0xff02171a,
    0xff03191b,
    0xff001217,
    0xff001415,
    0xff011313,
    0xff011313,
    0xff031514,
    0xff001214,
    0xff000f11,
    0xff001012,
    0xff000e10,
    0xff001214,
    0xff00100f,
    0xff041216,
    0xff031416,
    0xff011416,
    0xff11272a,
    0xff0c2728,
    0xff02161a,
    0xff01131a,
    0xff0a1f1c,
    0xff041a17,
    0xff001717,
    0xff001716,
    0xff041d1d,
    0xff061c19,
    0xff001110,
    0xff011412,
    0xff051412,
    0xff020c0c,
    0xff181814,
    0xff514438,
    0xff503a26,
    0xff654c31,
    0xff604a31,
    0xff43321b,
    0xff402a10,
    0xff42331e,
    0xff373527,
    0xff16211c,
    0xff001010,
    0xff061b1e,
    0xff03191d,
    0xff021619,
    0xff071612,
    0xff080c07,
    0xff1c150c,
    0xff251d0e,
    0xff25210d,
    0xff414432,
    0xff545548,
    0xff323128,
    0xff2f151c,
    0xff4c412a,
    0xff1a1c09,
    0xff181411,
    0xff43290e,
    0xff714412,
    0xff7c4b23,
    0xff60381c,
    0xff583c2d,
    0xff3c2620,
    0xff2b2216,
    0xff1c2317,
    0xff0a1b20,
    0xff071f21,
    0xff273f31,
    0xff2d4235,
    0xff2c3e2c,
    0xff192b20,
    0xff1d2d2b,
    0xff132019,
    0xff242b1d,
    0xff2a2f1e,
    0xff252b1d,
    0xff202722,
    0xff222a1c,
    0xff282b23,
    0xff31312e,
    0xff2a2e21,
    0xff2f3f1e,
    0xff3f5320,
    0xff4c5e21,
    0xff546322,
    0xff697a1e,
    0xff7e8d43,
    0xff69703e,
    0xff333915,
    0xff363917,
    0xff363918,
    0xff36381d,
    0xff41422e,
    0xff242319,
    0xff414526,
    0xff1e1200,
    0xff6c5a1e,
    0xff4a4415,
    0xff4b4323,
    0xff473e10,
    0xff4e4d2e,
    0xff424121,
    0xff585636,
    0xff4f3e1d,
    0xff352d20,
    0xff191a0e,
    0xff484216,
    0xff534701,
    0xffb49333,
    0xffb6901c,
    0xffc8ac24,
    0xffa68810,
    0xffccac4c,
    0xff786533,
    0xff2c2b19,
    0xff282908,
    0xff5a4c22,
    0xff4e421a,
    0xff332e00,
    0xff3b300e,
    0xff9e9046,
    0xff807826,
    0xff232500,
    0xff475514,
    0xff646939,
    0xff45481c,
    0xff161600,
    0xff31372b,
    0xff122104,
    0xff6d733b,
    0xff514214,
    0xff442f14,
    0xff57522c,
    0xff52492d,
    0xff413528,
    0xff4d4728,
    0xff484a33,
    0xff141c18,
    0xff293a2e,
    0xff051b16,
    0xff001b16,
    0xff011818,
    0xff011309,
    0xff434828,
    0xff544718,
    0xff715927,
    0xff745c36,
    0xff40390f,
    0xff656d2f,
    0xff6e7344,
    0xff243228,
    0xff102328,
    0xff2d3c2b,
    0xff4b5a37,
    0xff364722,
    0xff6a6f45,
    0xff544511,
    0xff6b4b19,
    0xff775521,
    0xff805f29,
    0xff7c6a2b,
    0xff686922,
    0xff354300,
    0xff596a35,
    0xff5c6a44,
    0xff45491b,
    0xff47450d,
    0xff59531d,
    0xff574a20,
    0xff60572a,
    0xff36310c,
    0xff313514,
    0xff4b5427,
    0xff334221,
    0xff283a16,
    0xff2e3f18,
    0xff36471e,
    0xff2d3912,
    0xff485628,
    0xff566a30,
    0xff304807,
    0xff4c5e25,
    0xff586933,
    0xff3d491a,
    0xff6a7344,
    0xff6d753b,
    0xff5d652e,
    0xff3f4c22,
    0xff273913,
    0xff131b00,
    0xff464b24,
    0xff9c9a68,
    0xff3c3700,
    0xff5e581b,
    0xff524a0f,
    0xff6c5f29,
    0xff5d4a18,
    0xff604d1b,
    0xff645118,
    0xff5e4b0a,
    0xff77661f,
    0xff72601e,
    0xff54460f,
    0xff4d4211,
    0xff514b1f,
    0xff3a3709,
    0xff4d481b,
    0xff42411e,
    0xff3b4324,
    0xff364719,
    0xff50672d,
    0xff152700,
    0xff0f1806,
    0xff45543e,
    0xff324228,
    0xff2d392a,
    0xff171c1e,
    0xff151a14,
    0xff3c4427,
    0xff343e17,
    0xff30381b,
    0xff3a3b25,
    0xff474119,
    0xff63591f,
    0xff645b1d,
    0xff413f0b,
    0xff363610,
    0xff5e5f36,
    0xff8e895e,
    0xff7d743f,
    0xff5c5325,
    0xff55502c,
    0xff2e2f18,
    0xff313c2d,
    0xff1b271b,
    0xff212d1c,
    0xff282d16,
    0xff41471d,
    0xff565a2b,
    0xff65642c,
    0xff463e00,
    0xff7e7333,
    0xff716a32,
    0xff726e49,
    0xff3b3c20,
    0xff8c875c,
    0xff5b461c,
    0xff5e371f,
    0xff6f442b,
    0xff7b5a27,
    0xff796726,
    0xff605717,
    0xff807930,
    0xff7d771c,
    0xff947c26,
    0xffa28b2d,
    0xff82801b,
    0xff6c6f1d,
    0xff5e4f17,
    0xff8f7338,
    0xffb89c4b,
    0xff826b18,
    0xff8f7b1b,
    0xffa08f22,
    0xff7a6b06,
    0xff6d6814,
    0xff676a21,
    0xff546115,
    0xff687c28,
    0xff556f25,
    0xff2c450c,
    0xff395125,
    0xff445228,
    0xff656933,
    0xff7f7c43,
    0xff3a3808,
    0xff2a2a09,
    0xff514925,
    0xff615d41,
    0xff121709,
    0xff0a1916,
    0xff03161c,
    0xff0c191e,
    0xff0d0f0e,
    0xff3f382f,
    0xff786350,
    0xff533513,
    0xff8c703f,
    0xff62531c,
    0xff5e5a1f,
    0xff313604,
    0xff2e3d15,
    0xff081a00,
    0xff878546,
    0xff777641,
    0xff584e1c,
    0xff6f6537,
    0xff2f3515,
    0xff373c1e,
    0xff322f0e,
    0xff494a32,
    0xff37321a,
    0xff5b4e2f,
    0xff453b1c,
    0xff4d4d30,
    0xff201e00,
    0xff4e400b,
    0xff5c4b08,
    0xff665d0f,
    0xff786b15,
    0xff61580a,
    0xff6b5a12,
    0xff8c6e28,
    0xff917430,
    0xff6f6121,
    0xff575116,
    0xff4e4209,
    0xff796d1c,
    0xff8e8e34,
    0xff7d8743,
    0xff5c6b3c,
    0xff1f2d09,
    0xff121a09,
    0xff000009,
    0xff15181b,
    0xff1b2228,
    0xff0d1314,
    0xff2e332d,
    0xff3a3d34,
    0xff23271e,
    0xff141a14,
    0xff0f1a12,
    0xff1a281f,
    0xff2c3a23,
    0xff24311e,
    0xff111f11,
    0xff39473d,
    0xff08140a,
    0xff0a1406,
    0xff394331,
    0xff303923,
    0xff303724,
    0xff182216,
    0xff0e1f1b,
    0xff001516,
    0xff001210,
    0xff031007,
    0xff1c2115,
    0xff383629,
    0xff342c20,
    0xff342f1b,
    0xff252114,
    0xff201c1d,
    0xff25241f,
    0xff262c0d,
    0xff1b1e00,
    0xff2f301c,
    0xff5b5f28,
    0xff74732e,
    0xff6c6929,
    0xff868257,
    0xff191c00,
    0xff171f03,
    0xff3e4327,
    0xff2f2e17,
    0xff49552f,
    0xff726a4f,
    0xff5f6042,
    0xff000900,
    0xff615e41,
    0xff352911,
    0xff585339,
    0xff5e5b1e,
    0xff5e4224,
    0xff441d03,
    0xff492c0c,
    0xff3f350a,
    0xff413005,
    0xff4f2309,
    0xff4a1d0b,
    0xff3f2817,
    0xff412915,
    0xff3b391c,
    0xff3b4826,
    0xff2a3614,
    0xff283312,
    0xff1f2d11,
    0xff25331b,
    0xff1f2310,
    0xff30311c,
    0xff0c1008,
    0xff000004,
    0xff192a2c,
    0xff526a5f,
    0xff668675,
    0xff456e60,
    0xff54817b,
    0xff578881,
    0xff528a7e,
    0xff4e8975,
    0xff59866f,
    0xff5f846c,
    0xff53846a,
    0xff568866,
    0xff617d5b,
    0xff7e8176,
    0xff7a6549,
    0xff9e482d,
    0xffa43b25,
    0xff953e20,
    0xffa46f3b,
    0xff7d6926,
    0xff947638,
    0xff6f690a,
    0xff9ca234,
    0xff9aaa2b,
    0xff8fa41c,
    0xff98b72e,
    0xff70910b,
    0xff7e9717,
    0xff808918,
    0xff9f8a20,
    0xffa08d21,
    0xff807315,
    0xff5e4b19,
    0xff7f6c5c,
    0xff8e827c,
    0xff6a6e6c,
    0xff57666e,
    0xff57686f,
    0xff5d7463,
    0xff677455,
    0xff78674c,
    0xff7b4d3a,
    0xff4c1c09,
    0xff4d3328,
    0xff1c181b,
    0xff0b1207,
    0xff283032,
    0xff0b161a,
    0xff001106,
    0xff162b1e,
    0xff515c59,
    0xff130e09,
    0xff402f21,
    0xff683c32,
    0xff986454,
    0xff714b40,
    0xff807068,
    0xff28200c,
    0xff181300,
    0xff191a11,
    0xff0a070d,
    0xff435c23,
    0xffa2b04c,
    0xff7e7b0b,
    0xff7b7716,
    0xff5e641a,
    0xff66753a,
    0xff55683f,
    0xff2b3b27,
    0xff8e966d,
    0xff5a5e30,
    0xff373b16,
    0xff4f5a37,
    0xff4b6025,
    0xff607316,
    0xffb6ba5d,
    0xff7d6d2e,
    0xff41451e,
    0xff32371a,
    0xff2f3322,
    0xff626e45,
    0xff58683b,
    0xff435236,
    0xff435431,
    0xff33462d,
    0xff142518,
    0xff0f2012,
    0xff011000,
    0xff39422d,
    0xff111400,
    0xff2e3317,
    0xff384226,
    0xff1f2a11,
    0xff655e29,
    0xffa39a36,
    0xffb7a954,
    0xff817946,
    0xff2c321d,
    0xff3b482c,
    0xff5f6826,
    0xff504e13,
    0xff091300,
    0xff1a2307,
    0xff0f1a01,
    0xff15200c,
    0xff1c271a,
    0xff152217,
    0xff192821,
    0xff13221d,
    0xff1c2323,
    0xff1f262d,
    0xff131d2a,
    0xff111d2b,
    0xff192735,
    0xff10212f,
    0xff162438,
    0xff19283c,
    0xff1c303d,
    0xff1a2d39,
    0xff1c2f3a,
    0xff1b2f38,
    0xff22333b,
    0xff27373a,
    0xff2f393f,
    0xff303940,
    0xff213b4d,
    0xff283e53,
    0xff2f3f52,
    0xff2b3c4c,
    0xff344755,
    0xff314552,
    0xff3a4959,
    0xff3b4557,
    0xff4a4147,
    0xff4d3236,
    0xff5b292b,
    0xff79322f,
    0xff9f4f47,
    0xff661a0c,
    0xff6a2818,
    0xff6b3220,
    0xff602917,
    0xff6e4636,
    0xff593f2d,
    0xff584130,
    0xff533420,
    0xff471c07,
    0xff461e06,
    0xff67462d,
    0xff492c19,
    0xff341a11,
    0xff402b2b,
    0xff483633,
    0xff362015,
    0xff351f12,
    0xff423628,
    0xff070200,
    0xff0f0700,
    0xff322e21,
    0xff13150b,
    0xff191b17,
    0xff191a13,
    0xff10110a,
    0xff16150f,
    0xff161610,
    0xff101107,
    0xff15140b,
    0xff212317,
    0xff16180d,
    0xff1b1d12,
    0xff101009,
    0xff1a1d14,
    0xff0d1007,
    0xff11130e,
    0xff140f05,
    0xff362c1d,
    0xff1c180c,
    0xff070b07,
    0xff000000,
    0xff5c615c,
    0xff5c5c50,
    0xff101307,
    0xff0c0f07,
    0xff111910,
    0xff0d1508,
    0xff0d1501,
    0xff0f1400,
    0xff191b01,
    0xff29280e,
    0xff36320f,
    0xff363113,
    0xff1d1b0a,
    0xff1a1a0c,
    0xff424431,
    0xff151300,
    0xff171100,
    0xff3d3517,
    0xff4a4336,
    0xff1f1b16,
    0xff121010,
    0xff0a0f0b,
    0xff141e12,
    0xff172010,
    0xff111207,
    0xff1a140e,
    0xff1b1608,
    0xff0b0d00,
    0xff0f1508,
    0xff1a1d0e,
    0xff161503,
    0xff261e0b,
    0xff867a6d,
    0xff6b5e55,
    0xff1f1806,
    0xff261c02,
    0xff1c1d04,
    0xff1a1800,
    0xff2e2e00,
    0xff43471f,
    0xff5d5044,
    0xff2a270a,
    0xff6e6e7a,
    0xff3e3e4a,
    0xff3d3d49,
    0xff333540,
    0xff252b36,
    0xff061419,
    0xff001012,
    0xff001311,
    0xff031519,
    0xff011216,
    0xff001216,
    0xff011115,
    0xff001115,
    0xff011418,
    0xff001317,
    0xff001015,
    0xff011419,
    0xff001314,
    0xff021616,
    0xff001110,
    0xff112623,
    0xff00140e,
    0xff162b27,
    0xff122722,
    0xff1d3730,
    0xff132e28,
    0xff233a3a,
    0xff0e2829,
    0xff00151a,
    0xff001017,
    0xff001418,
    0xff001113,
    0xff011312,
    0xff011212,
    0xff011413,
    0xff021211,
    0xff08161a,
    0xff041618,
    0xff001214,
    0xff001113,
    0xff041819,
    0xff031517,
    0xff011013,
    0xff011516,
    0xff051b1c,
    0xff001917,
    0xff011919,
    0xff0f2324,
    0xff051816,
    0xff021815,
    0xff001412,
    0xff011517,
    0xff031819,
    0xff001314,
    0xff001513,
    0xff001011,
    0xff06120d,
    0xff070f12,
    0xff0f0d13,
    0xff2d2119,
    0xff432e14,
    0xff4e3613,
    0xff351f04,
    0xff443421,
    0xff2c2617,
    0xff18170b,
    0xff09150c,
    0xff041817,
    0xff00171b,
    0xff001920,
    0xff011b1f,
    0xff04181f,
    0xff040d0d,
    0xff181b15,
    0xff39342a,
    0xff524d3a,
    0xff2d2f19,
    0xff2b2f1d,
    0xff14190b,
    0xff181d14,
    0xff45403d,
    0xff433c2b,
    0xff37372e,
    0xff272821,
    0xff42320c,
    0xffb2834b,
    0xff693911,
    0xff7a5d44,
    0xff4f3527,
    0xff29120d,
    0xff5f5548,
    0xff2b2d20,
    0xff192324,
    0xff102121,
    0xff142a1d,
    0xff192c24,
    0xff27382a,
    0xff15271e,
    0xff142624,
    0xff152720,
    0xff1e2d1e,
    0xff202c19,
    0xff2c3629,
    0xff1c2a20,
    0xff151d0e,
    0xff303526,
    0xff2f3127,
    0xff393e35,
    0xff1c2918,
    0xff1c3114,
    0xff1b320f,
    0xff2c400f,
    0xff3b5107,
    0xff4e6224,
    0xff34451f,
    0xff38452e,
    0xff24301d,
    0xff222b1e,
    0xff101811,
    0xff212425,
    0xff2c302c,
    0xff121705,
    0xff6a5f40,
    0xff927d4b,
    0xff4b4015,
    0xff463b19,
    0xff5d5321,
    0xff494a23,
    0xff5f5833,
    0xff4c4328,
    0xff6c5636,
    0xff30270e,
    0xff585640,
    0xff6a6240,
    0xff221900,
    0xff977c2e,
    0xffd8b93e,
    0xffa68900,
    0xff9f820f,
    0xffa6882d,
    0xff6b5c29,
    0xff191c02,
    0xff404c2f,
    0xff353a24,
    0xff413d2b,
    0xff3c351a,
    0xff4d3a1c,
    0xffa58f3e,
    0xffaa9b45,
    0xff747440,
    0xff515720,
    0xff6a6522,
    0xff686a2a,
    0xffa2a371,
    0xff5e6448,
    0xff15260b,
    0xff4d5827,
    0xff5b5730,
    0xff372d17,
    0xff444b2b,
    0xff4c522b,
    0xff464f39,
    0xff56693c,
    0xff647252,
    0xff0d140b,
    0xff3e493c,
    0xff172a21,
    0xff102b23,
    0xff001d1c,
    0xff000d08,
    0xff555434,
    0xff9a8749,
    0xff9f8243,
    0xff8f753e,
    0xff77703d,
    0xff767f45,
    0xff5b6a2e,
    0xff23361b,
    0xff0e251f,
    0xff182d24,
    0xff182b22,
    0xff0e2018,
    0xff0f1303,
    0xff3e3309,
    0xff9c894d,
    0xff836d2c,
    0xff645006,
    0xff726c15,
    0xff68731b,
    0xff485c14,
    0xff3a4b1e,
    0xff192608,
    0xff545d3a,
    0xff49400b,
    0xff654c18,
    0xff594315,
    0xff45451b,
    0xff39412b,
    0xff3c3f35,
    0xff352e1b,
    0xff222a10,
    0xff3c492e,
    0xff1c2e11,
    0xff192b0e,
    0xff4d5d40,
    0xff34441f,
    0xff334716,
    0xff4d6327,
    0xff384c0e,
    0xff4a5e24,
    0xff576830,
    0xff5e6c39,
    0xff2b330f,
    0xff252e0a,
    0xff34441c,
    0xff2b401d,
    0xff263016,
    0xff414a1d,
    0xff4d5716,
    0xff5d5d19,
    0xff73682c,
    0xff473708,
    0xff615527,
    0xff6c6332,
    0xff463606,
    0xff5c4c16,
    0xff665617,
    0xff635417,
    0xff88793e,
    0xff5e531a,
    0xff665d28,
    0xff565020,
    0xff675f2e,
    0xff544a25,
    0xff544c32,
    0xff5b5936,
    0xff5d6727,
    0xff9aa957,
    0xff424e16,
    0xff1e1f0f,
    0xff758265,
    0xff1b2b04,
    0xff273222,
    0xff242a3c,
    0xff0f1623,
    0xff34412a,
    0xff465a31,
    0xff394b30,
    0xff373e2a,
    0xff202000,
    0xff66632e,
    0xff85844c,
    0xff404717,
    0xff424c2a,
    0xff070d00,
    0xff4b4d30,
    0xff3c4321,
    0xff2f3715,
    0xff353d20,
    0xff24301f,
    0xff3e4c43,
    0xff07150e,
    0xff17231b,
    0xff373d34,
    0xff20280d,
    0xff262d0f,
    0xff5e603b,
    0xff615c30,
    0xff968c5d,
    0xffaea67a,
    0xff999673,
    0xff46472b,
    0xff64552d,
    0xffb79f6f,
    0xff805b3b,
    0xff3d1904,
    0xff533c15,
    0xff433d0e,
    0xff42400d,
    0xff5d6019,
    0xff837a28,
    0xff715d08,
    0xff917d1e,
    0xff7e761a,
    0xff7a7536,
    0xff443213,
    0xff563b15,
    0xff786022,
    0xff714e15,
    0xff654e05,
    0xff6f6509,
    0xff7a7415,
    0xff7d7926,
    0xff62641d,
    0xff5e6b22,
    0xff597022,
    0xff5d7c37,
    0xff4f642c,
    0xff3e481e,
    0xff1c2300,
    0xff101a00,
    0xff283407,
    0xff32391d,
    0xff44493a,
    0xff312c0f,
    0xff4b4e35,
    0xff233123,
    0xff051c1d,
    0xff031b21,
    0xff051010,
    0xff2c241a,
    0xff291100,
    0xff271904,
    0xff5c3519,
    0xff804b30,
    0xff66442c,
    0xff46371b,
    0xff383014,
    0xff383816,
    0xff222d1a,
    0xff6e6e3a,
    0xff4d4f26,
    0xff57502c,
    0xff483e20,
    0xff303621,
    0xff121500,
    0xff2b2200,
    0xff8b825b,
    0xff382e19,
    0xff422f24,
    0xff291e0c,
    0xff4e4e2a,
    0xff7e8045,
    0xff7f7732,
    0xff65570f,
    0xff645d0f,
    0xff64640f,
    0xff5a5817,
    0xff574711,
    0xff78581a,
    0xff72541b,
    0xff453a0e,
    0xff555b33,
    0xff484f1e,
    0xff776834,
    0xff706d21,
    0xff3f480b,
    0xff2a350d,
    0xff2a3d06,
    0xff2a350a,
    0xff444836,
    0xff293211,
    0xff0a1110,
    0xff212a2c,
    0xff172222,
    0xff030f10,
    0xff051112,
    0xff2e3a37,
    0xff192421,
    0xff26302c,
    0xff192215,
    0xff242a1c,
    0xff1e2214,
    0xff2e3022,
    0xff414130,
    0xff444532,
    0xff4d5138,
    0xff2a2e14,
    0xff535540,
    0xff40483c,
    0xff041613,
    0xff051919,
    0xff001b1a,
    0xff001412,
    0xff031410,
    0xff0b1714,
    0xff181c17,
    0xff0a0e0b,
    0xff0f1415,
    0xff0c1415,
    0xff08120e,
    0xff0b170c,
    0xff09150b,
    0xff09130d,
    0xff080e00,
    0xff171209,
    0xff2e2517,
    0xff363118,
    0xff8f8f71,
    0xff606046,
    0xff635e42,
    0xff332809,
    0xff282d1c,
    0xff1f1704,
    0xff474725,
    0xff0b0e00,
    0xff50442c,
    0xff4a3312,
    0xff8f7853,
    0xff6d5823,
    0xff683f20,
    0xff460e00,
    0xff501e12,
    0xff593c28,
    0xff40250d,
    0xff4e1f0f,
    0xff50211d,
    0xff240907,
    0xff262407,
    0xff37401b,
    0xff364117,
    0xff3b451c,
    0xff2b3b16,
    0xff0a2408,
    0xff061c0c,
    0xff19201d,
    0xff162319,
    0xff243733,
    0xff628081,
    0xff5a847d,
    0xff4b7b6b,
    0xff5b8974,
    0xff628b79,
    0xff61857b,
    0xff66857b,
    0xff6e9b8a,
    0xff5b8578,
    0xff64837b,
    0xff668377,
    0xff64856e,
    0xff5f856f,
    0xff588677,
    0xff678175,
    0xff8c846d,
    0xffb76e57,
    0xffae5038,
    0xffcf8958,
    0xffa98935,
    0xffa39e33,
    0xffaa9931,
    0xff909225,
    0xff7a7908,
    0xff92971b,
    0xff869b0e,
    0xff87a811,
    0xff789503,
    0xff768f09,
    0xff869f26,
    0xff5a6105,
    0xff868d26,
    0xff7b8119,
    0xff9a9743,
    0xff989056,
    0xff2b2600,
    0xff8a8d7c,
    0xff485453,
    0xff7a7b80,
    0xff45493d,
    0xff3f402a,
    0xff4d402c,
    0xff553a28,
    0xff442610,
    0xff412b1f,
    0xff211819,
    0xff0e1a10,
    0xff262e2f,
    0xff0b1219,
    0xff000c08,
    0xff1f3025,
    0xff3c453c,
    0xff130d04,
    0xff2f160d,
    0xffa96b60,
    0xff964128,
    0xffa45945,
    0xff62281f,
    0xff6d2f18,
    0xff71422c,
    0xff030000,
    0xff000404,
    0xff404e33,
    0xff483f14,
    0xff6d5d1d,
    0xff8f8b3b,
    0xff61691b,
    0xff464e14,
    0xff4d5834,
    0xff30452e,
    0xff47533b,
    0xff1f2a10,
    0xff4d5343,
    0xff606756,
    0xff4e5d22,
    0xff839325,
    0xff909523,
    0xff6a6216,
    0xff384415,
    0xff374128,
    0xff515941,
    0xff67713f,
    0xff454d25,
    0xff4c553e,
    0xff3c4a2c,
    0xff28332b,
    0xff586664,
    0xff576665,
    0xff546260,
    0xff626f69,
    0xff262e23,
    0xff7f847b,
    0xff7b857c,
    0xff808e84,
    0xffb2aa74,
    0xffbfb55e,
    0xff7a6f2f,
    0xff5f5a4a,
    0xff666f73,
    0xff647a67,
    0xff4c6332,
    0xff4e5a3c,
    0xff192b1c,
    0xff3c4c41,
    0xff55685a,
    0xff405348,
    0xff42584f,
    0xff3d5150,
    0xff364b50,
    0xff6f838c,
    0xff798595,
    0xff758092,
    0xff778498,
    0xff748397,
    0xff708094,
    0xff74859b,
    0xff6a7a97,
    0xff6b7a9c,
    0xff6a7e92,
    0xff677c8c,
    0xff647a89,
    0xff627887,
    0xff617584,
    0xff5c707d,
    0xff5d6e7d,
    0xff637382,
    0xff526f7f,
    0xff567182,
    0xff586c7f,
    0xff58687b,
    0xff526376,
    0xff566478,
    0xff535a70,
    0xff6b6b81,
    0xff644f52,
    0xff755954,
    0xff8a6052,
    0xff6f3d29,
    0xff804a34,
    0xff6b3624,
    0xff734337,
    0xff5e332a,
    0xff6f452b,
    0xff4c3015,
    0xff423113,
    0xff52351a,
    0xff76442d,
    0xff642918,
    0xff815342,
    0xff371b0c,
    0xff2f210c,
    0xff2a221e,
    0xff3a3841,
    0xff464348,
    0xff4d463d,
    0xff514937,
    0xff0d0c00,
    0xff0d0e0d,
    0xff2d2923,
    0xff26251e,
    0xff2c2d29,
    0xff161a17,
    0xff131815,
    0xff191d19,
    0xff1a1e19,
    0xff090d07,
    0xff0c130b,
    0xff191e16,
    0xff1f251c,
    0xff080e04,
    0xff14190f,
    0xff090c03,
    0xff12150c,
    0xff0d1107,
    0xff0e100a,
    0xff1a190d,
    0xff282212,
    0xff100e02,
    0xff151914,
    0xff101815,
    0xff0e130b,
    0xff5e5f54,
    0xff000000,
    0xff0c0e0a,
    0xff070c04,
    0xff080f00,
    0xff171c07,
    0xff22260d,
    0xff2b2d16,
    0xff323119,
    0xff3b3309,
    0xff373211,
    0xff262515,
    0xff050800,
    0xff3d4332,
    0xff2b3113,
    0xff3a3a0c,
    0xff3a3705,
    0xff382817,
    0xff4b3d37,
    0xff403836,
    0xff0e0c06,
    0xff1a1e0f,
    0xff191f0a,
    0xff1a1b08,
    0xff0e0a00,
    0xff231d0b,
    0xff1d1c09,
    0xff111600,
    0xff191b04,
    0xff100e00,
    0xff2f2713,
    0xff2c2014,
    0xff7e706a,
    0xff32250f,
    0xff42310a,
    0xff4a4214,
    0xff4d3a17,
    0xff2f1c00,
    0xff6e654b,
    0xff9c887a,
    0xff1e1207,
    0xff616370,
    0xff3c3e4b,
    0xff2f3340,
    0xff2d343d,
    0xff0d1721,
    0xff021115,
    0xff001213,
    0xff021717,
    0xff0a181c,
    0xff011214,
    0xff000f11,
    0xff011214,
    0xff001415,
    0xff011515,
    0xff001313,
    0xff001415,
    0xff000f10,
    0xff011315,
    0xff031518,
    0xff031719,
    0xff041817,
    0xff001413,
    0xff071d1b,
    0xff102825,
    0xff092622,
    0xff1b3533,
    0xff01191b,
    0xff001318,
    0xff02141b,
    0xff091c20,
    0xff03161a,
    0xff041215,
    0xff001113,
    0xff041719,
    0xff0c1a1e,
    0xff0a1a19,
    0xff081817,
    0xff021014,
    0xff000f10,
    0xff06181d,
    0xff021717,
    0xff001314,
    0xff031315,
    0xff021315,
    0xff011818,
    0xff001918,
    0xff001616,
    0xff011514,
    0xff001510,
    0xff031715,
    0xff001713,
    0xff041b18,
    0xff011617,
    0xff011616,
    0xff001113,
    0xff000f10,
    0xff041617,
    0xff000b0f,
    0xff02090e,
    0xff2c2826,
    0xff362b19,
    0xff211200,
    0xff362a1a,
    0xff373226,
    0xff1a1b13,
    0xff0c120b,
    0xff000f0e,
    0xff021719,
    0xff031d22,
    0xff041a22,
    0xff051a21,
    0xff0d1c23,
    0xff1c2018,
    0xff27261b,
    0xff2c2a17,
    0xff24220b,
    0xff22240b,
    0xff181a09,
    0xff1e261c,
    0xff252e29,
    0xff17200f,
    0xff342f19,
    0xff2d2a22,
    0xff1e2613,
    0xff574e12,
    0xffc49b53,
    0xff946636,
    0xff3b290b,
    0xff493b33,
    0xff221818,
    0xff534e43,
    0xff313120,
    0xff2b2d25,
    0xff1e2115,
    0xff0e1700,
    0xff566250,
    0xff162817,
    0xff1a2d23,
    0xff112721,
    0xff132821,
    0xff2a3d32,
    0xff152317,
    0xff24342b,
    0xff12231d,
    0xff15201d,
    0xff1f2818,
    0xff2c351f,
    0xff20281a,
    0xff242d2e,
    0xff010d0e,
    0xff11220c,
    0xff43592b,
    0xff3e521c,
    0xff374c23,
    0xff23341c,
    0xff07170a,
    0xff131f1c,
    0xff1a2624,
    0xff0e181b,
    0xff151b24,
    0xff212723,
    0xff141e0c,
    0xff241e04,
    0xff7e7542,
    0xff3f3f12,
    0xff262300,
    0xff5b5419,
    0xff403b12,
    0xff595132,
    0xff332d13,
    0xff726237,
    0xff575127,
    0xff26280e,
    0xff433d2e,
    0xff211e04,
    0xff857935,
    0xffb9a12e,
    0xffb19623,
    0xff9a7b18,
    0xffae9328,
    0xff81731f,
    0xff3d3b0f,
    0xff2b360f,
    0xff222f10,
    0xff24300e,
    0xff61653d,
    0xff564b18,
    0xffaf9d3c,
    0xff999035,
    0xff34390d,
    0xff6c713c,
    0xff777136,
    0xff635b22,
    0xff575108,
    0xff4d511a,
    0xff1c2908,
    0xff2f391a,
    0xff605f3c,
    0xff424020,
    0xff454e28,
    0xff3e4422,
    0xff4c513e,
    0xff444e29,
    0xff566045,
    0xff1e2523,
    0xff5a6761,
    0xff18282e,
    0xff172f34,
    0xff0d2b25,
    0xff021115,
    0xff181a04,
    0xff625a16,
    0xffac9d47,
    0xff998b3e,
    0xff858048,
    0xff313413,
    0xff2c3f21,
    0xff0c2116,
    0xff0b2120,
    0xff0d2521,
    0xff0b2721,
    0xff0e251f,
    0xff101b04,
    0xff545523,
    0xff666324,
    0xff433b03,
    0xff675f1a,
    0xff5c5e0b,
    0xff637223,
    0xff4e6328,
    0xff3b4e28,
    0xff364428,
    0xff6c6d4b,
    0xff493803,
    0xff7e5f23,
    0xff9e834b,
    0xff454209,
    0xff29310a,
    0xff1e1f0d,
    0xff594d3c,
    0xff4e5541,
    0xff24311d,
    0xff1b2f1b,
    0xff0c200f,
    0xff192b19,
    0xff213018,
    0xff283813,
    0xff516233,
    0xff455923,
    0xff2a3c11,
    0xff4c5f2d,
    0xff35451a,
    0xff4f5847,
    0xff3e4937,
    0xff2f441f,
    0xff273f20,
    0xff1d2915,
    0xff2e3f1a,
    0xff3b5014,
    0xff6f7a36,
    0xff3c3900,
    0xffb5ac71,
    0xff6d6a34,
    0xff313a00,
    0xff655e1d,
    0xff665c16,
    0xff564d05,
    0xff5f5616,
    0xff564e15,
    0xff4a430d,
    0xff403a05,
    0xff504b0b,
    0xff4f4a12,
    0xff4b4314,
    0xff50471e,
    0xff696538,
    0xff7d8741,
    0xff647326,
    0xff656e3e,
    0xff494b41,
    0xff404934,
    0xff141f02,
    0xff252f1d,
    0xff182125,
    0xff0d1c1c,
    0xff0d230d,
    0xff183118,
    0xff1c362b,
    0xff12241c,
    0xff202b15,
    0xff2b310b,
    0xff747c52,
    0xff36411e,
    0xff3b4b2e,
    0xff3e4834,
    0xff272a1a,
    0xff364235,
    0xff0a1602,
    0xff1f2a18,
    0xff202d26,
    0xff2e3f3f,
    0xff081815,
    0xff0f1c1a,
    0xff2d3537,
    0xff112115,
    0xff122013,
    0xff171f11,
    0xff3f422a,
    0xff4e4a2d,
    0xff5a5436,
    0xff65664a,
    0xff535842,
    0xff29270c,
    0xff190e00,
    0xff382409,
    0xff483227,
    0xff504238,
    0xff322720,
    0xff3b3223,
    0xff4a4218,
    0xff747029,
    0xff837832,
    0xff6c6117,
    0xff5e5b12,
    0xff484615,
    0xff2b240d,
    0xff30250e,
    0xff5e5429,
    0xff715529,
    0xff705c1f,
    0xff908936,
    0xff777a20,
    0xff616818,
    0xff404a08,
    0xff566628,
    0xff495d22,
    0xff1f3c0a,
    0xff283604,
    0xff5e5c29,
    0xff676538,
    0xff5e6740,
    0xff2e4229,
    0xff182a1c,
    0xff1f2b20,
    0xff1c251a,
    0xff1f2d22,
    0xff102119,
    0xff12271f,
    0xff14221e,
    0xff1e1c12,
    0xff675040,
    0xff704b34,
    0xff483815,
    0xff7e4b1e,
    0xff843e1a,
    0xff572c14,
    0xff65502f,
    0xff8a763a,
    0xff6c5417,
    0xff63582b,
    0xff555a2f,
    0xff20280b,
    0xff544d31,
    0xff564c38,
    0xff222519,
    0xff9a967d,
    0xff856f41,
    0xff725a27,
    0xff5d4c34,
    0xff5e483b,
    0xff3f2c23,
    0xff504c2f,
    0xff363800,
    0xff787120,
    0xff847726,
    0xff877f35,
    0xff66681c,
    0xff666536,
    0xff6a5e38,
    0xff6d5322,
    0xff60491b,
    0xff575039,
    0xff1c2614,
    0xff222c0b,
    0xff4d441a,
    0xff565511,
    0xff545413,
    0xff5a5b1c,
    0xff8b9041,
    0xff80864d,
    0xff1f2610,
    0xff45542f,
    0xff020d00,
    0xff0e1c10,
    0xff1d2f2a,
    0xff01140f,
    0xff000f0a,
    0xff182921,
    0xff051209,
    0xff131d14,
    0xff08130b,
    0xff10170e,
    0xff262a1e,
    0xff48493b,
    0xff3f3e2f,
    0xff202211,
    0xff0e1302,
    0xff0e1401,
    0xff0d1102,
    0xff192319,
    0xff102121,
    0xff061a20,
    0xff031a1e,
    0xff071d1d,
    0xff061819,
    0xff0c191c,
    0xff03100c,
    0xff0e181f,
    0xff000c11,
    0xff081711,
    0xff102119,
    0xff0a191e,
    0xff07151e,
    0xff0e1e1f,
    0xff07190f,
    0xff101b10,
    0xff0e1502,
    0xff151f07,
    0xff1e2b13,
    0xff091505,
    0xff191f12,
    0xff242415,
    0xff1a2629,
    0xff373c36,
    0xff202811,
    0xff060d00,
    0xff544b2e,
    0xff71571a,
    0xff411f00,
    0xff371809,
    0xff4a2413,
    0xff3d140e,
    0xff4f2327,
    0xff411315,
    0xff401206,
    0xff51210e,
    0xff511f12,
    0xff5c2c26,
    0xff2d2b11,
    0xff22310e,
    0xff283810,
    0xff485128,
    0xff3a4422,
    0xff1e321a,
    0xff000e03,
    0xff172427,
    0xff3e5d5a,
    0xff5c7e7e,
    0xff3a6162,
    0xff416f6f,
    0xff4d7e78,
    0xff43706a,
    0xff507371,
    0xff4f696c,
    0xff4e706f,
    0xff466a65,
    0xff547075,
    0xff516e7b,
    0xff5b6f74,
    0xff756161,
    0xff755a61,
    0xff5d6975,
    0xff676f6f,
    0xff6f353a,
    0xff901922,
    0xff90241b,
    0xff9f6e33,
    0xffa59d34,
    0xff999e1d,
    0xffa1a221,
    0xff9eb032,
    0xffa2a830,
    0xff91961a,
    0xff99b125,
    0xff87aa0f,
    0xff98b220,
    0xff738a0a,
    0xff6b891a,
    0xff738f23,
    0xff5d7c07,
    0xff698a0e,
    0xff7e9d27,
    0xff5d7717,
    0xff5e702e,
    0xff4a5632,
    0xff050b00,
    0xff0b0400,
    0xff252316,
    0xff191a12,
    0xff131311,
    0xff150d07,
    0xff1b0e00,
    0xff372614,
    0xff33231d,
    0xff161e15,
    0xff34383b,
    0xff0d0e15,
    0xff091213,
    0xff001007,
    0xff2b372c,
    0xff17140c,
    0xff110000,
    0xff411203,
    0xff6f1a00,
    0xff973f1d,
    0xff6b1a0b,
    0xff90341e,
    0xff853526,
    0xff2f0707,
    0xff251404,
    0xff311e11,
    0xff634c39,
    0xff695026,
    0xff514002,
    0xff454000,
    0xff535b26,
    0xff4e5c2b,
    0xff465821,
    0xff607446,
    0xff465a24,
    0xff415520,
    0xff4c5f2e,
    0xff899a53,
    0xff99a643,
    0xff505702,
    0xff797738,
    0xff4a5416,
    0xff51582b,
    0xff58583d,
    0xff5b5f32,
    0xff575b34,
    0xff4b5040,
    0xff414c35,
    0xff15211c,
    0xff161f22,
    0xff172125,
    0xff162126,
    0xff00070b,
    0xff333d3c,
    0xff1e2323,
    0xff000001,
    0xff00070a,
    0xff000000,
    0xff555830,
    0xff2a2c0c,
    0xff1f2218,
    0xff27342e,
    0xff2c4028,
    0xff5b694c,
    0xff3a3f35,
    0xff172218,
    0xff121f11,
    0xff1d2a18,
    0xff0f1b09,
    0xff071303,
    0xff030f05,
    0xff000c09,
    0xff000000,
    0xff000004,
    0xff000b12,
    0xff000911,
    0xff000e12,
    0xff000a0d,
    0xff000f16,
    0xff000e21,
    0xff8292ac,
    0xff020e17,
    0xff000911,
    0xff000005,
    0xff000005,
    0xff000005,
    0xff000006,
    0xff00010a,
    0xff000007,
    0xff000000,
    0xff0f0e16,
    0xff0b0c14,
    0xff090e16,
    0xff071114,
    0xff040f11,
    0xff0f181a,
    0xff848689,
    0xff52311d,
    0xff441b06,
    0xff431200,
    0xff67301b,
    0xff491401,
    0xff411409,
    0xff2d0c04,
    0xff371f19,
    0xff290000,
    0xff3e1213,
    0xff5a2918,
    0xff773c22,
    0xff622003,
    0xff7b4529,
    0xff593e29,
    0xff1f1b0a,
    0xff201d0d,
    0xff11130f,
    0xff0a1117,
    0xff53585b,
    0xff69675f,
    0xff0b0700,
    0xff0a0a02,
    0xff11100f,
    0xff1b1109,
    0xff5d524a,
    0xff4e473d,
    0xff18150d,
    0xff131512,
    0xff101513,
    0xff08110e,
    0xff19201b,
    0xff111c14,
    0xff07130b,
    0xff0e1811,
    0xff091109,
    0xff0a110a,
    0xff161c11,
    0xff141b11,
    0xff1a1d14,
    0xff1b1c14,
    0xff18170c,
    0xff1b1608,
    0xff171508,
    0xff11130a,
    0xff0d140d,
    0xff171a12,
    0xff4f5047,
    0xff3b3a3a,
    0xff070804,
    0xff060903,
    0xff181c08,
    0xff31351b,
    0xff252a09,
    0xff151800,
    0xff282914,
    0xff3d2e09,
    0xff2f2207,
    0xff292013,
    0xff18140a,
    0xff1e1b0a,
    0xff555030,
    0xff473c0f,
    0xff514110,
    0xff483117,
    0xff513d2d,
    0xff5d5046,
    0xff261e0e,
    0xff28210c,
    0xff30290c,
    0xff352c11,
    0xff332913,
    0xff574132,
    0xff2f2110,
    0xff26210a,
    0xff3e3c1f,
    0xff292504,
    0xff545030,
    0xff312d15,
    0xff4f4d3a,
    0xff67604c,
    0xff42300f,
    0xff403500,
    0xff503204,
    0xff461f09,
    0xffcdaf90,
    0xff5b330f,
    0xff3f2115,
    0xff4a4c5b,
    0xff31333f,
    0xff2f3440,
    0xff212d34,
    0xff041116,
    0xff021117,
    0xff011315,
    0xff001214,
    0xff011013,
    0xff000f12,
    0xff001315,
    0xff021416,
    0xff021616,
    0xff011516,
    0xff001516,
    0xff001515,
    0xff021115,
    0xff021114,
    0xff031316,
    0xff001012,
    0xff0a1c1e,
    0xff1a2e30,
    0xff05191a,
    0xff091d1e,
    0xff041d1d,
    0xff01191c,
    0xff001315,
    0xff03181e,
    0xff01131a,
    0xff031619,
    0xff051318,
    0xff021116,
    0xff031519,
    0xff03161a,
    0xff010f12,
    0xff000d0e,
    0xff000e0f,
    0xff000c0f,
    0xff001116,
    0xff04161a,
    0xff02151a,
    0xff011317,
    0xff021013,
    0xff000f11,
    0xff001515,
    0xff011718,
    0xff001717,
    0xff031718,
    0xff051715,
    0xff001412,
    0xff001412,
    0xff061a19,
    0xff001314,
    0xff021419,
    0xff001115,
    0xff04131a,
    0xff001013,
    0xff0e1e1b,
    0xff1c271d,
    0xff090a00,
    0xff2d241b,
    0xff362c23,
    0xff2b2218,
    0xff2c291e,
    0xff0c0e09,
    0xff111917,
    0xff081415,
    0xff07191c,
    0xff01141b,
    0xff05161c,
    0xff0c191f,
    0xff1d2529,
    0xff3e4029,
    0xff47462f,
    0xff4e4e35,
    0xff2b2b12,
    0xff545541,
    0xff333629,
    0xff2d322d,
    0xff2a3330,
    0xff2e3020,
    0xff463e2d,
    0xff2d3029,
    0xff152d13,
    0xff8c9957,
    0xff93752e,
    0xff8c5e33,
    0xff55381c,
    0xff383023,
    0xff302d27,
    0xff383726,
    0xff414025,
    0xff423c2b,
    0xff3b3721,
    0xff32371b,
    0xff1e2916,
    0xff243622,
    0xff1f3322,
    0xff41584b,
    0xff0c231b,
    0xff132620,
    0xff0f1e1a,
    0xff11201d,
    0xff182828,
    0xff1e2d2e,
    0xff1e2e21,
    0xff283520,
    0xff2c3425,
    0xff212324,
    0xff202224,
    0xff1e2613,
    0xff32401b,
    0xff394727,
    0xff3c4a32,
    0xff1b281b,
    0xff14231d,
    0xff2a3939,
    0xff142020,
    0xff182224,
    0xff121c20,
    0xff212428,
    0xff0f1b13,
    0xff1a1e0c,
    0xff40461a,
    0xff4c5c30,
    0xff494f28,
    0xff9e9561,
    0xff463a1c,
    0xff443f2f,
    0xff28270d,
    0xff7c713c,
    0xff454517,
    0xff484d37,
    0xff2a2825,
    0xff21281d,
    0xff45460e,
    0xffb9a754,
    0xff9c8326,
    0xff8d6f15,
    0xff7e6600,
    0xffbaa845,
    0xff60541a,
    0xff3e3a14,
    0xff343725,
    0xff273b14,
    0xff3a4b1c,
    0xff565920,
    0xff736e1a,
    0xff89873d,
    0xff3c4621,
    0xff465131,
    0xff43411e,
    0xff564721,
    0xffc5bc65,
    0xff9e9e4b,
    0xff2f371a,
    0xff23291b,
    0xff676444,
    0xff575429,
    0xff646b3c,
    0xff595927,
    0xff504525,
    0xff857a46,
    0xff3b370f,
    0xff0b1403,
    0xff506753,
    0xff0f241e,
    0xff031617,
    0xff001811,
    0xff02101d,
    0xff11190e,
    0xff747747,
    0xff46470e,
    0xff5f5f28,
    0xff666636,
    0xff4d4c35,
    0xff132a22,
    0xff122220,
    0xff14211d,
    0xff0a2014,
    0xff163328,
    0xff20392e,
    0xff3c4c36,
    0xff4b572b,
    0xff919c72,
    0xff141500,
    0xff514d2f,
    0xff666a3f,
    0xff5a6a41,
    0xff12240e,
    0xff405040,
    0xff1c2811,
    0xff18140f,
    0xff564a35,
    0xff3f2d14,
    0xff372b05,
    0xff6e6d32,
    0xff525b29,
    0xff0c1300,
    0xff5f654b,
    0xff35422f,
    0xff213320,
    0xff3a513f,
    0xff1d3328,
    0xff132419,
    0xff192415,
    0xff323c23,
    0xff525f3b,
    0xff3a4b29,
    0xff1c2d17,
    0xff273a1d,
    0xff243519,
    0xff222c28,
    0xff1f2d22,
    0xff1a3010,
    0xff1e381a,
    0xff203220,
    0xff0a230b,
    0xff304b27,
    0xff374a1c,
    0xff383f0d,
    0xff5a5d2b,
    0xff535b31,
    0xff21310e,
    0xff61622a,
    0xff595615,
    0xff5c550f,
    0xff5e5918,
    0xff595620,
    0xff4e4d21,
    0xff4d471e,
    0xff52481f,
    0xff6a6643,
    0xff767247,
    0xff353409,
    0xff3f431a,
    0xff596639,
    0xff3b4d1e,
    0xff344525,
    0xff152017,
    0xff1b220f,
    0xff1c2411,
    0xff273021,
    0xff121e13,
    0xff0d1f12,
    0xff0c2416,
    0xff133129,
    0xff052323,
    0xff143134,
    0xff112923,
    0xff152513,
    0xff2d3b25,
    0xff0a1a05,
    0xff2a3a29,
    0xff1d2416,
    0xff2c2d24,
    0xff31383b,
    0xff0c130a,
    0xff20261a,
    0xff0f1619,
    0xff465459,
    0xff0f211b,
    0xff14241e,
    0xff1c262c,
    0xff122423,
    0xff081818,
    0xff0f1b18,
    0xff20241f,
    0xff18160a,
    0xff4f4d3c,
    0xff797c69,
    0xff7b8471,
    0xff66704f,
    0xff7c804c,
    0xff5c562e,
    0xff463d27,
    0xff322c1f,
    0xff292621,
    0xff221c12,
    0xff504a23,
    0xff7d8046,
    0xff434616,
    0xff616738,
    0xff4a5320,
    0xff3b481a,
    0xff1b2a0e,
    0xff26321e,
    0xff283017,
    0xff464118,
    0xff6a632b,
    0xff746f27,
    0xff747d2c,
    0xff3b5407,
    0xff3f5c1c,
    0xff334919,
    0xff28350f,
    0xff375231,
    0xff49551f,
    0xff73712b,
    0xff51500f,
    0xff35421a,
    0xff1f3620,
    0xff152e18,
    0xff364a2c,
    0xff1d2d29,
    0xff132018,
    0xff363e2f,
    0xff424735,
    0xff141304,
    0xff2e271a,
    0xff402e23,
    0xff50362e,
    0xff65513e,
    0xff855237,
    0xff6d3523,
    0xff4a302b,
    0xff0b0e00,
    0xff5e592f,
    0xff8d8252,
    0xff2b2402,
    0xff595928,
    0xff404019,
    0xff4f4225,
    0xff4a3f2b,
    0xff272b27,
    0xff3a3a2c,
    0xff564020,
    0xff745a33,
    0xff543c13,
    0xff5a3d1b,
    0xff4f3928,
    0xff2d2417,
    0xff47451e,
    0xff686017,
    0xff5c5006,
    0xff554e17,
    0xff544f10,
    0xff3f3d12,
    0xff312e0f,
    0xff5f5624,
    0xff787141,
    0xff31311c,
    0xff1b2013,
    0xff27270c,
    0xff4b4411,
    0xff575517,
    0xff62611d,
    0xff767630,
    0xff686823,
    0xff4d4e17,
    0xff363b13,
    0xff586442,
    0xff58644f,
    0xff000800,
    0xff071916,
    0xff112626,
    0xff192f2d,
    0xff11251f,
    0xff0b1915,
    0xff0d1816,
    0xff061513,
    0xff0f1e19,
    0xff18231d,
    0xff141b14,
    0xff060c07,
    0xff171f1b,
    0xff232f2c,
    0xff101d1c,
    0xff111a15,
    0xff071313,
    0xff0e1e24,
    0xff10232a,
    0xff021519,
    0xff091919,
    0xff071313,
    0xff0b1314,
    0xff23322b,
    0xff0c1a1e,
    0xff152426,
    0xff0e1f10,
    0xff142519,
    0xff0d1c22,
    0xff0e1d26,
    0xff0b1c1a,
    0xff051819,
    0xff34452f,
    0xff313f1c,
    0xff344226,
    0xff0a1a0f,
    0xff12231e,
    0xff27332c,
    0xff0d140a,
    0xff152615,
    0xff21311a,
    0xff47552c,
    0xff293115,
    0xff433a12,
    0xff846218,
    0xff6e4010,
    0xff542c1d,
    0xff3b1a0d,
    0xff391d16,
    0xff2e1411,
    0xff35110f,
    0xff551e16,
    0xff5b1d0e,
    0xff4f1908,
    0xff421907,
    0xff342517,
    0xff232e16,
    0xff19300d,
    0xff313d1b,
    0xff333118,
    0xff3a3d2a,
    0xff071206,
    0xff010d0a,
    0xffb3bec9,
    0xffa9afbe,
    0xffb4b9cb,
    0xffb5bed5,
    0xffbacae5,
    0xffbbcdee,
    0xffb4c7e7,
    0xffbcccea,
    0xffb5cae2,
    0xffb9cee0,
    0xffb7c7de,
    0xffb9c1d9,
    0xffb4a5b2,
    0xffb2666d,
    0xffc55a6b,
    0xffd1859c,
    0xffc3a6b0,
    0xff9b656e,
    0xffab6669,
    0xffbf8575,
    0xffab8f53,
    0xffa6a63c,
    0xff9aa825,
    0xff90ad27,
    0xff83a81e,
    0xffa0b534,
    0xff95a427,
    0xff7e9c11,
    0xff719504,
    0xff6a8300,
    0xff859b28,
    0xff3f5c00,
    0xff63790a,
    0xff6a7d11,
    0xff758a21,
    0xff455b00,
    0xff576916,
    0xff323d06,
    0xff4a4c2e,
    0xff171305,
    0xff12180c,
    0xff1e2416,
    0xff161915,
    0xff08020c,
    0xff0f0203,
    0xff443627,
    0xff413526,
    0xff2c201f,
    0xff1c1a15,
    0xff312f30,
    0xff100f16,
    0xff02080a,
    0xff141f14,
    0xff29311f,
    0xff0d0b00,
    0xff1b0e0a,
    0xff552210,
    0xffb85934,
    0xff9d310f,
    0xff8c301c,
    0xff732311,
    0xff6c210b,
    0xff85331a,
    0xffbc5a3a,
    0xff864129,
    0xff542f1b,
    0xff4a2e16,
    0xff663616,
    0xff81492e,
    0xff7a5240,
    0xff6b5039,
    0xff4f330d,
    0xff232800,
    0xff202e04,
    0xff3a4a26,
    0xff142400,
    0xff3c4711,
    0xff3e4200,
    0xff666b2c,
    0xff4c5120,
    0xff858937,
    0xff9a9b54,
    0xff4b4426,
    0xff403b1c,
    0xff2d2c0c,
    0xff353a2e,
    0xff374136,
    0xff1e2c1e,
    0xff282e1f,
    0xff1e2619,
    0xff1f2a21,
    0xff09150b,
    0xff000500,
    0xff21281d,
    0xff0f1a0f,
    0xff000b03,
    0xff020e11,
    0xff000308,
    0xff242a25,
    0xff242f24,
    0xff1e2f1a,
    0xff354730,
    0xff212b1e,
    0xff3a3d34,
    0xff161d0c,
    0xff202816,
    0xff1d250e,
    0xff1e280e,
    0xff101803,
    0xff151e0c,
    0xff010800,
    0xff070d08,
    0xff000b07,
    0xff162521,
    0xff0b1a16,
    0xff0c1c15,
    0xff000b01,
    0xff112221,
    0xff000e16,
    0xff8b99aa,
    0xff151e1e,
    0xff161e1c,
    0xff030705,
    0xff040a06,
    0xff030807,
    0xff040b0b,
    0xff020a0d,
    0xff00090a,
    0xff001411,
    0xff112524,
    0xff011013,
    0xff000e10,
    0xff010d0e,
    0xff050f0f,
    0xff171616,
    0xff756c6b,
    0xff492711,
    0xff4a2814,
    0xff38160a,
    0xff210000,
    0xff472423,
    0xff2e0a07,
    0xff230100,
    0xff2b0500,
    0xff67271e,
    0xff7b3126,
    0xff610f03,
    0xff5f1102,
    0xff6c3220,
    0xff341407,
    0xff0a0000,
    0xff070811,
    0xff25211a,
    0xff0f1108,
    0xff3b4137,
    0xff44443b,
    0xff1d130d,
    0xff1d0f07,
    0xff1e140b,
    0xff292115,
    0xff1e0800,
    0xff432915,
    0xff301a05,
    0xff150500,
    0xff0e0c03,
    0xff080d08,
    0xff0d1613,
    0xff1d2721,
    0xff101b13,
    0xff041008,
    0xff131e16,
    0xff0c160d,
    0xff0e1910,
    0xff090f08,
    0xff131b0f,
    0xff080e04,
    0xff17140e,
    0xff18150b,
    0xff1f1b0f,
    0xff18170a,
    0xff17190e,
    0xff13150e,
    0xff11110b,
    0xff11100c,
    0xff7c7d7a,
    0xff0f100c,
    0xff0c0e01,
    0xff333521,
    0xff575b3b,
    0xff363818,
    0xff262a0d,
    0xff21220c,
    0xff241a04,
    0xff473e2b,
    0xff211c0b,
    0xff1e1b08,
    0xff342f14,
    0xff645a39,
    0xff564421,
    0xff48320f,
    0xff33230b,
    0xff190d01,
    0xff1a160b,
    0xff494538,
    0xff231d0c,
    0xff281c04,
    0xff362914,
    0xff211605,
    0xff2f190f,
    0xff3d2b1f,
    0xff372e1b,
    0xff241c02,
    0xff322c07,
    0xff282200,
    0xff38310d,
    0xff1d1900,
    0xff7d796a,
    0xff4e3f29,
    0xff5d521f,
    0xff513608,
    0xffa6816d,
    0xff5c4120,
    0xff5f4115,
    0xff371f0d,
    0xff575663,
    0xff494c58,
    0xff2b323c,
    0xff0d1920,
    0xff000f12,
    0xff000f11,
    0xff001113,
    0xff000f15,
    0xff000e10,
    0xff000f12,
    0xff031215,
    0xff011013,
    0xff021416,
    0xff031517,
    0xff041517,
    0xff011215,
    0xff041114,
    0xff010f12,
    0xff000e11,
    0xff000d10,
    0xff000d10,
    0xff011214,
    0xff031416,
    0xff001214,
    0xff031719,
    0xff04191a,
    0xff011318,
    0xff011418,
    0xff000f13,
    0xff000f14,
    0xff030f16,
    0xff031116,
    0xff01121a,
    0xff041218,
    0xff010f12,
    0xff020c0e,
    0xff030e10,
    0xff010f12,
    0xff010f14,
    0xff001114,
    0xff021418,
    0xff000e14,
    0xff000b12,
    0xff000b11,
    0xff011317,
    0xff081d1f,
    0xff02181b,
    0xff001216,
    0xff011315,
    0xff021414,
    0xff051919,
    0xff061a1b,
    0xff041919,
    0xff05171b,
    0xff031219,
    0xff000d17,
    0xff05100f,
    0xff061005,
    0xff39412a,
    0xff4a4934,
    0xff3f3526,
    0xff2c1e15,
    0xff2e2214,
    0xff231f0c,
    0xff282b25,
    0xff191f1e,
    0xff1f2a2a,
    0xff122124,
    0xff051318,
    0xff031016,
    0xff081117,
    0xff0a1114,
    0xff51523a,
    0xff41452d,
    0xff0a1300,
    0xff131905,
    0xff212316,
    0xff1f211a,
    0xff0d100f,
    0xff16211f,
    0xff272e27,
    0xff22231d,
    0xff191d20,
    0xff142218,
    0xff4d5227,
    0xff8a7546,
    0xff503117,
    0xff5e4b35,
    0xff7c7359,
    0xff312a1a,
    0xff3d381e,
    0xff3f3917,
    0xff4c422d,
    0xff2b2612,
    0xff3b4531,
    0xff0a2119,
    0xff152816,
    0xff344838,
    0xff223a2c,
    0xff051d13,
    0xff263836,
    0xff142222,
    0xff1d2927,
    0xff162521,
    0xff0c1e11,
    0xff24342a,
    0xff18221b,
    0xff2b2e23,
    0xff211f0b,
    0xff504b32,
    0xff3e3e29,
    0xff212613,
    0xff202517,
    0xff1d2519,
    0xff202b23,
    0xff1a2420,
    0xff233132,
    0xff1e2a2a,
    0xff152221,
    0xff172121,
    0xff1b1f29,
    0xff172326,
    0xff1a1e1c,
    0xff373f22,
    0xff314023,
    0xff0c1200,
    0xff33280a,
    0xff22160c,
    0xff2b2a24,
    0xff2e351f,
    0xff7a7644,
    0xff2f3509,
    0xff313623,
    0xff41433c,
    0xff132217,
    0xff333f17,
    0xff726a26,
    0xff9f8f2a,
    0xff98841d,
    0xff8b7a15,
    0xff948429,
    0xffa89651,
    0xff897e4c,
    0xff2a2520,
    0xff1b2819,
    0xff304429,
    0xff1c2b07,
    0xff515223,
    0xff606139,
    0xff1f2c12,
    0xff192816,
    0xff1f2718,
    0xff231703,
    0xffa8a254,
    0xff808135,
    0xff272e18,
    0xff212722,
    0xff302f14,
    0xff706c44,
    0xff6d7044,
    0xff898957,
    0xff9a8a6a,
    0xff877340,
    0xffb8ae83,
    0xff343d28,
    0xff516b51,
    0xff162e23,
    0xff0e1d1b,
    0xff05150f,
    0xff08121a,
    0xff050c00,
    0xff2e3415,
    0xff171b13,
    0xff171a12,
    0xff4f5332,
    0xff626440,
    0xff12281b,
    0xff1d2119,
    0xff423d33,
    0xff182011,
    0xff081d0b,
    0xff2c3d31,
    0xff0b1a0a,
    0xff12220a,
    0xff2d411d,
    0xff041200,
    0xff363c30,
    0xff1d270b,
    0xff1c2e17,
    0xff182b24,
    0xff303e32,
    0xff606e4f,
    0xff141f13,
    0xff414b36,
    0xff2e3822,
    0xff101900,
    0xff616d3a,
    0xff2f3e12,
    0xff283c24,
    0xff677f69,
    0xff556553,
    0xff1c2e1b,
    0xff061a0a,
    0xff0b1d12,
    0xff1b251f,
    0xff131c14,
    0xff0c1405,
    0xff232d16,
    0xff1d2d1b,
    0xff1d3024,
    0xff36493e,
    0xff14251c,
    0xff101d17,
    0xff273629,
    0xff3f533c,
    0xff324d33,
    0xff294229,
    0xff1d3826,
    0xff102b1f,
    0xff142c1c,
    0xff11250d,
    0xff1b2912,
    0xff1a281c,
    0xff091816,
    0xff262711,
    0xff47451d,
    0xff525018,
    0xff595a20,
    0xff44491e,
    0xff2e3018,
    0xff352d22,
    0xff37261f,
    0xff0d0200,
    0xff211c05,
    0xff353711,
    0xff343f28,
    0xff203224,
    0xff10281a,
    0xff152c1d,
    0xff0e2114,
    0xff636950,
    0xff75796a,
    0xff363d35,
    0xff121d17,
    0xff14261f,
    0xff162d28,
    0xff0c2824,
    0xff092923,
    0xff002228,
    0xff0e292d,
    0xff233532,
    0xff21332d,
    0xff04170f,
    0xff02140c,
    0xff182218,
    0xff2e312a,
    0xff2f333e,
    0xff1c1f17,
    0xff212319,
    0xff10131a,
    0xff3f4850,
    0xff0c1d11,
    0xff172416,
    0xff182222,
    0xff1a2828,
    0xff1c2a2b,
    0xff20292b,
    0xff1f241f,
    0xff2b2a23,
    0xff444538,
    0xff424639,
    0xff505a4f,
    0xff1e1d0c,
    0xff312a0a,
    0xff3f3319,
    0xff33271c,
    0xff17170c,
    0xff111716,
    0xff202625,
    0xff2b301a,
    0xff282d04,
    0xff1d2d0d,
    0xff3e5437,
    0xff3a5029,
    0xff395427,
    0xff2f522e,
    0xff15341d,
    0xff09200b,
    0xff43532d,
    0xff474d1f,
    0xff5a5c21,
    0xff4b5816,
    0xff446121,
    0xff2a4c1a,
    0xff2b4422,
    0xff323e29,
    0xff152c22,
    0xff26320f,
    0xff61652a,
    0xff5f6630,
    0xff35452a,
    0xff1f372f,
    0xff0f291c,
    0xff1a3217,
    0xff2a372e,
    0xff333b2b,
    0xff494930,
    0xff433c1f,
    0xff3a331d,
    0xff4d4b40,
    0xff11100f,
    0xff1c1b1f,
    0xff393326,
    0xff402714,
    0xff4d3323,
    0xff2f2e21,
    0xff26321b,
    0xff6e7345,
    0xff8c854e,
    0xff696232,
    0xff7d6e3d,
    0xff564b21,
    0xff584423,
    0xff352a13,
    0xff233331,
    0xff101d1e,
    0xff463e31,
    0xff594839,
    0xff604224,
    0xff634020,
    0xff4f3424,
    0xff271d1a,
    0xff47472c,
    0xff585712,
    0xff6a651c,
    0xff423f0e,
    0xff595418,
    0xff676a3d,
    0xff2b330b,
    0xff414510,
    0xff595b2b,
    0xff1a2304,
    0xff2d3119,
    0xff524b2c,
    0xff847a2f,
    0xff8a883c,
    0xff454f0d,
    0xff3e4a0f,
    0xff3c481c,
    0xff3b3e20,
    0xff181600,
    0xff0f0b00,
    0xff060e00,
    0xff020a07,
    0xff09181d,
    0xff00131b,
    0xff001017,
    0xff000f12,
    0xff04111b,
    0xff050f1d,
    0xff102422,
    0xff021512,
    0xff001210,
    0xff001112,
    0xff031215,
    0xff111f24,
    0xff091b23,
    0xff04161f,
    0xff061416,
    0xff0e1d21,
    0xff0e1f27,
    0xff13242c,
    0xff031216,
    0xff0e1a1c,
    0xff101717,
    0xff111716,
    0xff031209,
    0xff071615,
    0xff08130e,
    0xff0e1d0a,
    0xff101e11,
    0xff0a151b,
    0xff111d22,
    0xff0e1d14,
    0xff0f171f,
    0xff262819,
    0xff40431e,
    0xff3b3d21,
    0xff1e2619,
    0xff232e24,
    0xff1f2411,
    0xff444628,
    0xff1c2000,
    0xff384213,
    0xff4b5519,
    0xff393a17,
    0xff2c1c02,
    0xff875e24,
    0xff7f4a16,
    0xff583714,
    0xff423518,
    0xff411c09,
    0xff4d2114,
    0xff3e1e0f,
    0xff412111,
    0xff48150d,
    0xff451307,
    0xff371907,
    0xff311509,
    0xff21230f,
    0xff1c3618,
    0xff223015,
    0xff2c2814,
    0xff312e1a,
    0xff101202,
    0xff232411,
    0xff593e23,
    0xff623e21,
    0xff643f24,
    0xff5d3f2d,
    0xff0c0000,
    0xff000102,
    0xff000304,
    0xff000100,
    0xff000006,
    0xff000006,
    0xff000005,
    0xff000004,
    0xff100000,
    0xff3c0204,
    0xff873338,
    0xff8a2a38,
    0xff620d20,
    0xff6a2c34,
    0xff562d27,
    0xff792e23,
    0xff94340c,
    0xffa05c06,
    0xffa08513,
    0xff6d7e06,
    0xff699106,
    0xff94b22d,
    0xff90aa23,
    0xff92b32b,
    0xff84a41c,
    0xff8eab2c,
    0xff637c0b,
    0xff6a831b,
    0xff5b7606,
    0xff79882a,
    0xff72792b,
    0xff525710,
    0xff6e723b,
    0xff090c00,
    0xff0c0c00,
    0xff100d08,
    0xff1d2a22,
    0xff10190e,
    0xff312d28,
    0xff180305,
    0xff5b362f,
    0xff7b5b49,
    0xff493d30,
    0xff1f2126,
    0xff302425,
    0xff2c2925,
    0xff080b0c,
    0xff110e0f,
    0xff120600,
    0xff574226,
    0xff4f371f,
    0xff0f0000,
    0xff642918,
    0xff914b2c,
    0xffbe6744,
    0xffaa4e3a,
    0xff7c2d1e,
    0xff742c0f,
    0xff923f08,
    0xffe08044,
    0xff7b330f,
    0xff3c2915,
    0xff202015,
    0xff3e100e,
    0xff60110b,
    0xff470a04,
    0xff4f1f0c,
    0xff623117,
    0xff45281d,
    0xff201107,
    0xff030900,
    0xffb4c56d,
    0xff83901d,
    0xffc6cc66,
    0xff717435,
    0xff2e360c,
    0xffa9a653,
    0xff837e32,
    0xff4a4325,
    0xff322d16,
    0xff3b3e1f,
    0xff4b4f48,
    0xff3f483f,
    0xff374631,
    0xff1e2211,
    0xff262f1f,
    0xff2a352c,
    0xff28342c,
    0xff040e04,
    0xff030c01,
    0xff4a544c,
    0xff030e06,
    0xff040b06,
    0xff0d101d,
    0xff0a0d12,
    0xff424b47,
    0xff202f23,
    0xff112117,
    0xff32413f,
    0xff23311f,
    0xff121f0e,
    0xff222f1c,
    0xff1b2814,
    0xff1d2a16,
    0xff172412,
    0xff111c0e,
    0xff0f1a10,
    0xff041007,
    0xff031009,
    0xff232e2a,
    0xff131d1b,
    0xff121d1a,
    0xff000b08,
    0xff182527,
    0xff000b16,
    0xff8392a5,
    0xff172523,
    0xff182321,
    0xff000704,
    0xff050a06,
    0xff020a08,
    0xff010a09,
    0xff000c0c,
    0xff000e0e,
    0xff000c0c,
    0xff1b2828,
    0xff030f0f,
    0xff000e0e,
    0xff021310,
    0xff010e06,
    0xff1f2619,
    0xff68655a,
    0xff492011,
    0xff411d14,
    0xff291009,
    0xff321d17,
    0xff40221c,
    0xff451509,
    0xff6e2b17,
    0xffa5543b,
    0xff99321f,
    0xff9a3026,
    0xff8c2b29,
    0xff742825,
    0xff5a3022,
    0xff3e2912,
    0xff514028,
    0xff644e3a,
    0xff2d251e,
    0xff454235,
    0xff3b3826,
    0xff362b1a,
    0xff301b0d,
    0xff43281f,
    0xff210e06,
    0xff2b2010,
    0xff48301c,
    0xff321401,
    0xff52351b,
    0xff4e3925,
    0xff555044,
    0xff171d17,
    0xff1c241f,
    0xff192017,
    0xff0e140d,
    0xff0b120a,
    0xff0d130b,
    0xff1b211a,
    0xff0c130b,
    0xff051006,
    0xff0e180f,
    0xff050e06,
    0xff1a1a12,
    0xff1b1b13,
    0xff1d1e14,
    0xff14150b,
    0xff13150a,
    0xff4b4c45,
    0xff191b17,
    0xff050804,
    0xff454a44,
    0xff2c302a,
    0xff0a0b00,
    0xff0a0900,
    0xff1a1900,
    0xff2c2c0e,
    0xff222105,
    0xff151500,
    0xff181a08,
    0xff1d200e,
    0xff141803,
    0xff131300,
    0xff3e3a19,
    0xff1e1400,
    0xff544729,
    0xff3a2810,
    0xff1f190a,
    0xff171a12,
    0xff05100b,
    0xff0d1411,
    0xff494a42,
    0xff0a0500,
    0xff090600,
    0xff171711,
    0xff1a180c,
    0xff101005,
    0xff262818,
    0xff2e2c17,
    0xff2c2103,
    0xff3c2a09,
    0xff48320d,
    0xff4d3818,
    0xff353021,
    0xff7f6e63,
    0xff2f2902,
    0xffa4926a,
    0xff7f6a56,
    0xff1c1500,
    0xff594e2f,
    0xff181708,
    0xff54525e,
    0xff494b54,
    0xff212a2f,
    0xff031113,
    0xff000f12,
    0xff031215,
    0xff000f14,
    0xff051218,
    0xff031215,
    0xff011013,
    0xff031115,
    0xff031215,
    0xff000e12,
    0xff021013,
    0xff011013,
    0xff000e11,
    0xff010f12,
    0xff000d10,
    0xff000c0f,
    0xff011013,
    0xff000d10,
    0xff000c0f,
    0xff000c0f,
    0xff010f13,
    0xff001010,
    0xff000f12,
    0xff000e11,
    0xff021114,
    0xff000d0f,
    0xff000d13,
    0xff000d13,
    0xff000c13,
    0xff00111a,
    0xff031218,
    0xff000e12,
    0xff010c0d,
    0xff010b0d,
    0xff000f12,
    0xff011015,
    0xff000f17,
    0xff011316,
    0xff041016,
    0xff010a11,
    0xff010a14,
    0xff000f16,
    0xff05181f,
    0xff001218,
    0xff03131c,
    0xff041219,
    0xff031519,
    0xff011317,
    0xff031719,
    0xff000f13,
    0xff001118,
    0xff02101a,
    0xff000b17,
    0xff000c0d,
    0xff05120f,
    0xff020c03,
    0xff0f1004,
    0xff484331,
    0xff39341e,
    0xff38331f,
    0xff323220,
    0xff1d241c,
    0xff010b07,
    0xff071515,
    0xff051719,
    0xff081b20,
    0xff021418,
    0xff041519,
    0xff121e20,
    0xff49523e,
    0xff3b4834,
    0xff000f03,
    0xff000e05,
    0xff202927,
    0xff1b1f1e,
    0xff0f1712,
    0xff1a2921,
    0xff112522,
    0xff162422,
    0xff1a1f28,
    0xff202024,
    0xff423e27,
    0xff72654d,
    0xff453b2a,
    0xff26280f,
    0xff302d16,
    0xff2a291b,
    0xff2d2d14,
    0xff6e6745,
    0xff574933,
    0xff655a45,
    0xff212816,
    0xff152929,
    0xff14221c,
    0xff1f3029,
    0xff1d342b,
    0xff031710,
    0xff091a17,
    0xff0a1512,
    0xff212d24,
    0xff1e2a1c,
    0xff19230d,
    0xff1a2519,
    0xff1e231d,
    0xff363422,
    0xff59522c,
    0xff6c653d,
    0xff44452b,
    0xff1a1e16,
    0xff1d1e17,
    0xff1b1f16,
    0xff2a332b,
    0xff202d28,
    0xff1c2a2b,
    0xff192729,
    0xff2a3839,
    0xff162425,
    0xff142120,
    0xff111e1b,
    0xff171613,
    0xff251d09,
    0xff22240f,
    0xff2d2b1b,
    0xff5d543a,
    0xff3e3c36,
    0xff2f322e,
    0xff313b2c,
    0xff726d4f,
    0xff383a20,
    0xff2a2f1b,
    0xff41432d,
    0xff1f3122,
    0xff364231,
    0xff3d3e06,
    0xff9c9539,
    0xff877d25,
    0xff696514,
    0xff827c37,
    0xff75652d,
    0xff413705,
    0xff1d1f0d,
    0xff46433f,
    0xff293729,
    0xff1f3420,
    0xff3a4136,
    0xff373328,
    0xff303721,
    0xff1d2d1f,
    0xff0a1915,
    0xff222512,
    0xff6d6f3b,
    0xff4f552c,
    0xff1f2f24,
    0xff06160c,
    0xff0d1302,
    0xff322f1f,
    0xff383722,
    0xff4c513e,
    0xff1f1a17,
    0xff5a5438,
    0xff342f1a,
    0xff0d100a,
    0xff48534d,
    0xff09161d,
    0xff1e2a34,
    0xff091704,
    0xff0e0f06,
    0xff64603a,
    0xff8f8b56,
    0xff211d13,
    0xff252623,
    0xff676d48,
    0xff5d653a,
    0xff202d20,
    0xff261614,
    0xff3c1d1f,
    0xff32231e,
    0xff282b1b,
    0xff3b422a,
    0xff545f43,
    0xff29391d,
    0xff32532d,
    0xff001202,
    0xff32402e,
    0xff3f4e2c,
    0xff25381d,
    0xff0a1f17,
    0xff111f14,
    0xff5f7049,
    0xff3f532c,
    0xff435826,
    0xff304515,
    0xff26370e,
    0xff5b6a3a,
    0xff2d3b19,
    0xff011500,
    0xff3a5335,
    0xff475143,
    0xff212d1c,
    0xff121f0f,
    0xff142014,
    0xff262d25,
    0xff0e1713,
    0xff29382d,
    0xff3e5342,
    0xff2b3e30,
    0xff203328,
    0xff06191a,
    0xff17292b,
    0xff27382a,
    0xff2e3c2b,
    0xff0f2114,
    0xff081f0f,
    0xff08210a,
    0xff1f3724,
    0xff2b4037,
    0xff0c2520,
    0xff0c2a22,
    0xff0a251b,
    0xff102318,
    0xff273228,
    0xff2c3321,
    0xff424226,
    0xff46441e,
    0xff313310,
    0xff1b210e,
    0xff131c11,
    0xff333022,
    0xff241504,
    0xff503f23,
    0xff7c7345,
    0xff6c6e3e,
    0xff606e56,
    0xff112825,
    0xff122c2a,
    0xff1c332a,
    0xff192d20,
    0xff2b2f19,
    0xff070b00,
    0xff161d13,
    0xff1f262b,
    0xff152224,
    0xff172e27,
    0xff122e25,
    0xff001e1b,
    0xff001f20,
    0xff061f20,
    0xff04161b,
    0xff081a1d,
    0xff021617,
    0xff041916,
    0xff2b3a33,
    0xff2b332b,
    0xff394248,
    0xff2b3325,
    0xff292d1e,
    0xff27262d,
    0xff3c404a,
    0xff1a2514,
    0xff212e13,
    0xff222a20,
    0xff1a1f17,
    0xff272c24,
    0xff252821,
    0xff2d2d23,
    0xff342e22,
    0xff3a3529,
    0xff6e6f64,
    0xff4c514a,
    0xff3f3922,
    0xff504420,
    0xff5f4c30,
    0xff675541,
    0xff464328,
    0xff2e3421,
    0xff182217,
    0xff18220b,
    0xff444428,
    0xff35462c,
    0xff2d4d2f,
    0xff405f35,
    0xff082b04,
    0xff2b5738,
    0xff1e462e,
    0xff2e4a31,
    0xff20361e,
    0xff1f3113,
    0xff516139,
    0xff38481b,
    0xff41582b,
    0xff243d18,
    0xff1c311a,
    0xff1c2c20,
    0xff0c2325,
    0xff142619,
    0xff3a492a,
    0xff29381d,
    0xff23392c,
    0xff0d2729,
    0xff102b2f,
    0xff173332,
    0xff1f382d,
    0xff30402e,
    0xff323821,
    0xff43422a,
    0xff54553e,
    0xff313125,
    0xff2f302a,
    0xff21221f,
    0xff212628,
    0xff1e1b1a,
    0xff201a18,
    0xff363533,
    0xff26271b,
    0xff36311a,
    0xff292402,
    0xff393612,
    0xff282106,
    0xff3c3720,
    0xff5f5234,
    0xff3d3b25,
    0xff102928,
    0xff122729,
    0xff1c1810,
    0xff2e1c16,
    0xff4b271d,
    0xff5a3325,
    0xff553b2f,
    0xff3a3627,
    0xff323914,
    0xff6a6d2f,
    0xff616723,
    0xff576129,
    0xff4a4d23,
    0xff44512d,
    0xff20300c,
    0xff4e5530,
    0xff5a603a,
    0xff1b2506,
    0xff373e26,
    0xff282410,
    0xff55502a,
    0xff33390b,
    0xff525f38,
    0xff091a00,
    0xff36451f,
    0xff0e1800,
    0xff484a2c,
    0xff767a54,
    0xff282d1a,
    0xff050e08,
    0xff071218,
    0xff06121c,
    0xff011415,
    0xff001011,
    0xff010e17,
    0xff071526,
    0xff0b1a1b,
    0xff0a1c1b,
    0xff06191a,
    0xff05191d,
    0xff02151a,
    0xff071a1e,
    0xff05161b,
    0xff0e1c22,
    0xff132322,
    0xff0d2022,
    0xff11222a,
    0xff0c1f25,
    0xff021314,
    0xff091a19,
    0xff1d2929,
    0xff1f292a,
    0xff0c1a16,
    0xff192925,
    0xff0a180f,
    0xff0d190e,
    0xff07110c,
    0xff0e171b,
    0xff141f1e,
    0xff2c3a2b,
    0xff202708,
    0xff565933,
    0xffa19c70,
    0xff605f2e,
    0xff3d3f17,
    0xff494630,
    0xff2b2506,
    0xff5e5222,
    0xff6c5f22,
    0xff5f6431,
    0xff6b7235,
    0xff2d2d08,
    0xff4f492e,
    0xff5e400e,
    0xff684217,
    0xff3e3315,
    0xff2f3812,
    0xff533214,
    0xff62270c,
    0xff472008,
    0xff2e1b09,
    0xff381a11,
    0xff421a11,
    0xff4e2717,
    0xff422209,
    0xff2e2d0f,
    0xff223417,
    0xff233218,
    0xff2b301a,
    0xff272a11,
    0xff302a0e,
    0xff3f2e0f,
    0xff663a18,
    0xff77441e,
    0xff703c16,
    0xff613920,
    0xff230d04,
    0xff140f11,
    0xff120f14,
    0xff161210,
    0xff17100a,
    0xff10150c,
    0xff08170c,
    0xff0f130b,
    0xff180f0e,
    0xff050003,
    0xff8f7f80,
    0xff350606,
    0xff7b1d25,
    0xff751418,
    0xff620604,
    0xff9a241c,
    0xffb44613,
    0xffb07511,
    0xff9e850c,
    0xff9aa42a,
    0xff92ac2a,
    0xff648200,
    0xff597700,
    0xff92ac22,
    0xff759612,
    0xff7ca320,
    0xff577800,
    0xff748d10,
    0xff9ec22e,
    0xff93b036,
    0xff2d4000,
    0xff82963e,
    0xff3c5010,
    0xff2f3c20,
    0xff181a15,
    0xff0f0a09,
    0xff1a0906,
    0xff484134,
    0xff0e0500,
    0xff684c47,
    0xff4a1b15,
    0xff3c0d00,
    0xff5e4538,
    0xff1f181f,
    0xff33282c,
    0xff2a2d27,
    0xff09110c,
    0xff190d0a,
    0xff522313,
    0xffb36e48,
    0xff934b26,
    0xff84432a,
    0xff510f00,
    0xff3c1a07,
    0xff481500,
    0xff7a1d0d,
    0xff9a3c2c,
    0xffbd6b36,
    0xffeda04e,
    0xff8b4707,
    0xff853514,
    0xff9a6b4a,
    0xff47240e,
    0xff894537,
    0xff7b2517,
    0xff9d5138,
    0xff8f4b2d,
    0xff7b2c0b,
    0xff611f08,
    0xff451c12,
    0xff473c10,
    0xff424800,
    0xffb5b745,
    0xff524a09,
    0xff221d00,
    0xff1c2200,
    0xff5a5a14,
    0xff77773b,
    0xff2d2c13,
    0xff565d3b,
    0xff3d4727,
    0xff535d50,
    0xff495444,
    0xff1d2615,
    0xff262c1c,
    0xff121d13,
    0xff12211b,
    0xff061614,
    0xff0d1916,
    0xff101c16,
    0xff222c28,
    0xff1f2925,
    0xff0c0f05,
    0xff111214,
    0xff0a0d07,
    0xff2c3234,
    0xff0f161c,
    0xff17241e,
    0xff283636,
    0xff15250f,
    0xff152211,
    0xff283424,
    0xff152213,
    0xff111e11,
    0xff07150a,
    0xff030f08,
    0xff18261c,
    0xff010e05,
    0xff0e1b12,
    0xff2e3936,
    0xff131f1f,
    0xff1b2828,
    0xff000407,
    0xff223138,
    0xff001320,
    0xff8496a7,
    0xff2a3836,
    0xff28342f,
    0xff050d09,
    0xff10150f,
    0xff050903,
    0xff000902,
    0xff000c09,
    0xff001110,
    0xff000d07,
    0xff253733,
    0xff02110e,
    0xff000c08,
    0xff090f09,
    0xff100c00,
    0xff392616,
    0xff76594a,
    0xff431806,
    0xff390a00,
    0xff612e27,
    0xff581e1a,
    0xff581510,
    0xff752c22,
    0xff6a1b09,
    0xff681400,
    0xff872d0d,
    0xff7c2a13,
    0xff54140a,
    0xff39110d,
    0xff1c0501,
    0xff140300,
    0xff2a1307,
    0xff45281c,
    0xff1f190e,
    0xff0b0700,
    0xff180f00,
    0xff4f3d27,
    0xff371a03,
    0xff3b1d06,
    0xff45311f,
    0xff3d3127,
    0xff2b1f13,
    0xff4b3824,
    0xff634b33,
    0xff2f1e09,
    0xff282417,
    0xff181f19,
    0xff080f08,
    0xff14180d,
    0xff10120a,
    0xff17170f,
    0xff181a12,
    0xff12170d,
    0xff060c05,
    0xff0c160d,
    0xff081309,
    0xff041107,
    0xff0f130d,
    0xff1a2119,
    0xff182319,
    0xff0a1509,
    0xff121a0c,
    0xff0a1309,
    0xff070f09,
    0xff06100e,
    0xff131d13,
    0xff8a8f89,
    0xff0a0b06,
    0xff131005,
    0xff171200,
    0xff1a1501,
    0xff1c1801,
    0xff141100,
    0xff1a1c06,
    0xff272612,
    0xff322c1b,
    0xff231a06,
    0xff211500,
    0xff4c4022,
    0xff564a2d,
    0xff1f1400,
    0xff1c1204,
    0xff110f07,
    0xff0d1412,
    0xff09120e,
    0xff2b2b24,
    0xff524f44,
    0xff12140c,
    0xff020a04,
    0xff040f05,
    0xff000d03,
    0xff09130b,
    0xff111209,
    0xff3f3726,
    0xff63523a,
    0xff412c0f,
    0xff291600,
    0xff29200b,
    0xff736056,
    0xff786e56,
    0xffc0ac85,
    0xff73623a,
    0xff0a0200,
    0xff706044,
    0xff312a18,
    0xff43414d,
    0xff373941,
    0xff0b1518,
    0xff091616,
    0xff061716,
    0xff000e10,
    0xff030f16,
    0xff030f17,
    0xff031314,
    0xff041413,
    0xff031413,
    0xff010e0f,
    0xff000c0d,
    0xff010c0e,
    0xff020c0e,
    0xff000c0e,
    0xff010f12,
    0xff000e11,
    0xff000c0f,
    0xff061015,
    0xff010c0e,
    0xff041012,
    0xff030e10,
    0xff000d0d,
    0xff000d0e,
    0xff000d0e,
    0xff000e10,
    0xff041213,
    0xff000c0f,
    0xff010d13,
    0xff010e14,
    0xff000b13,
    0xff001118,
    0xff031219,
    0xff031015,
    0xff000a0d,
    0xff020c0f,
    0xff010f10,
    0xff011115,
    0xff000e16,
    0xff021218,
    0xff071219,
    0xff030b12,
    0xff000913,
    0xff000d16,
    0xff071720,
    0xff000e19,
    0xff06121d,
    0xff011018,
    0xff01121a,
    0xff000a11,
    0xff05181c,
    0xff001014,
    0xff010f16,
    0xff031018,
    0xff000c18,
    0xff001119,
    0xff031824,
    0xff021420,
    0xff071212,
    0xff222916,
    0xff252a10,
    0xff202912,
    0xff0a1607,
    0xff06130b,
    0xff02140e,
    0xff001210,
    0xff011919,
    0xff001519,
    0xff041b20,
    0xff00141a,
    0xff081a1f,
    0xff162419,
    0xff1c3027,
    0xff021a17,
    0xff001317,
    0xff1b292d,
    0xff1c2525,
    0xff121e16,
    0xff102215,
    0xff0c1915,
    0xff0d2117,
    0xff011414,
    0xff162420,
    0xff2d351e,
    0xff3e412c,
    0xff4b4a3c,
    0xff36381d,
    0xff374133,
    0xff0d1814,
    0xff1d2513,
    0xff4a4428,
    0xff4d3924,
    0xff4d3a23,
    0xff38341f,
    0xff1d2520,
    0xff0c161a,
    0xff132424,
    0xff122722,
    0xff0b201a,
    0xff0d1c16,
    0xff313a30,
    0xff202a17,
    0xff1b250d,
    0xff40412e,
    0xff434533,
    0xff3a3d27,
    0xff4f492c,
    0xff574e26,
    0xff433c17,
    0xff43432c,
    0xff1f271c,
    0xff27281f,
    0xff1d2116,
    0xff202820,
    0xff1b2a25,
    0xff0f2122,
    0xff0e2026,
    0xff17292f,
    0xff122123,
    0xff0d2310,
    0xff0d1f0b,
    0xff31261c,
    0xff624e32,
    0xff776c52,
    0xff4b432d,
    0xff3d3816,
    0xff262d1e,
    0xff343a34,
    0xff1f2921,
    0xff3d3728,
    0xff3c3a33,
    0xff43432e,
    0xff3d4219,
    0xff2b3c29,
    0xff222f2d,
    0xff2f3216,
    0xff5f5a2d,
    0xff423910,
    0xff525426,
    0xff34330e,
    0xff3a2c16,
    0xff595531,
    0xff263110,
    0xff3e3023,
    0xff27301b,
    0xff112a12,
    0xff171c1e,
    0xff211a17,
    0xff32341c,
    0xff172314,
    0xff051718,
    0xff13280a,
    0xff5d684c,
    0xff232d25,
    0xff152d29,
    0xff021c0c,
    0xff2b352e,
    0xff2b2a2e,
    0xff2b2c27,
    0xff263620,
    0xff1d2c1c,
    0xff35481f,
    0xff48542d,
    0xff444533,
    0xff2f311d,
    0xff131b0c,
    0xff000c00,
    0xff7a8961,
    0xff38381b,
    0xff7f7334,
    0xff7e6f1c,
    0xff8d8254,
    0xff706d4c,
    0xff1f2900,
    0xff656f49,
    0xff4f5732,
    0xff301601,
    0xff40110f,
    0xff412020,
    0xff23170e,
    0xff21210f,
    0xff212414,
    0xff182718,
    0xff2e4f38,
    0xff152c24,
    0xff2e3e34,
    0xff304324,
    0xff11270f,
    0xff021519,
    0xff081619,
    0xff47523d,
    0xff202b28,
    0xff2f3b24,
    0xff40432c,
    0xff393b2e,
    0xff282b1d,
    0xff282b28,
    0xff090e0b,
    0xff3e452f,
    0xff3d4031,
    0xff484c3b,
    0xff2d3321,
    0xff242b1d,
    0xff2a3029,
    0xff2b3732,
    0xff091e15,
    0xff0f2d1c,
    0xff1d3323,
    0xff394f40,
    0xff102427,
    0xff2c3e42,
    0xff2e3f2b,
    0xff24331f,
    0xff152420,
    0xff11261e,
    0xff263c28,
    0xff324532,
    0xff263928,
    0xff031d10,
    0xff082a20,
    0xff193b2a,
    0xff324929,
    0xff3a471c,
    0xff394721,
    0xff333a18,
    0xff2c2b13,
    0xff1f2117,
    0xff262e2e,
    0xff2d342c,
    0xff1b1b00,
    0xff857d46,
    0xffc3b069,
    0xffa79c4c,
    0xff81813e,
    0xff4c5a35,
    0xff0c241b,
    0xff0e2924,
    0xff0b211a,
    0xff1f2e26,
    0xff24261b,
    0xff383d24,
    0xff070f00,
    0xff192124,
    0xff0c191e,
    0xff081e0f,
    0xff102b1d,
    0xff0c272f,
    0xff0a241d,
    0xff081b17,
    0xff0c1d1f,
    0xff02141a,
    0xff00161a,
    0xff001815,
    0xff001008,
    0xff2a3b32,
    0xff2c3d3e,
    0xff3d4c38,
    0xff2e3826,
    0xff16161c,
    0xff383b40,
    0xff49513a,
    0xff3a4120,
    0xff3c3d2c,
    0xff2a2717,
    0xff333322,
    0xff383325,
    0xff332b1d,
    0xff3d3524,
    0xff413829,
    0xff726e62,
    0xff35362d,
    0xff44422c,
    0xff665b3d,
    0xff533f26,
    0xff503c28,
    0xff3e3418,
    0xff35341d,
    0xff292921,
    0xff27261b,
    0xff362f1a,
    0xff384a2e,
    0xff12360c,
    0xff496a3d,
    0xff476a45,
    0xff38634d,
    0xff305941,
    0xff244223,
    0xff13251b,
    0xff021908,
    0xff243b22,
    0xff273919,
    0xff3a4827,
    0xff39452b,
    0xff2d3d2e,
    0xff0f2519,
    0xff00190d,
    0xff0f2b1c,
    0xff2e4a34,
    0xff243f28,
    0xff1d3c26,
    0xff07241b,
    0xff18383a,
    0xff03232f,
    0xff0b342e,
    0xff1e4136,
    0xff2f4534,
    0xff303d29,
    0xff393d2a,
    0xff363620,
    0xff302811,
    0xff3d3119,
    0xff181a10,
    0xff1c201a,
    0xff2d2f29,
    0xff34322e,
    0xff2d2d2a,
    0xff2b3331,
    0xff192e27,
    0xff163026,
    0xff152225,
    0xff152021,
    0xff2c2f22,
    0xff1d2915,
    0xff1d3833,
    0xff394d47,
    0xff392b1d,
    0xff4d3123,
    0xff5c3a2a,
    0xff4f2b1d,
    0xff4f3c27,
    0xff454a26,
    0xff425528,
    0xff3f4a1f,
    0xff4c5530,
    0xff3c4b28,
    0xff233420,
    0xff2e4331,
    0xff2e3f2f,
    0xff46493e,
    0xff2b2c1f,
    0xff24301b,
    0xff242e20,
    0xff242620,
    0xff111b0d,
    0xff364723,
    0xff26361b,
    0xff3d4735,
    0xff4e5730,
    0xff444b2f,
    0xff182216,
    0xff314323,
    0xff283016,
    0xff3a4434,
    0xff4d5651,
    0xff071310,
    0xff011109,
    0xff02120b,
    0xff031616,
    0xff01111b,
    0xff040e11,
    0xff061213,
    0xff000e12,
    0xff001114,
    0xff021518,
    0xff061818,
    0xff081614,
    0xff0d1812,
    0xff091914,
    0xff00100f,
    0xff041619,
    0xff0d1f22,
    0xff00100f,
    0xff001411,
    0xff061817,
    0xff071819,
    0xff0b1b1c,
    0xff081714,
    0xff1b2821,
    0xff131d19,
    0xff202729,
    0xff2b3237,
    0xff18231e,
    0xff202c1f,
    0xff101b07,
    0xff141616,
    0xff1f1814,
    0xff373310,
    0xff4f4f23,
    0xff737052,
    0xff3d3312,
    0xffb3a566,
    0xffaca353,
    0xff4d5219,
    0xff5d692a,
    0xff1f2b00,
    0xff54622a,
    0xff625f18,
    0xff524717,
    0xff1f2d1b,
    0xff1e250f,
    0xff554828,
    0xff5e3c16,
    0xff4f2608,
    0xff522e23,
    0xff3c1a16,
    0xff381005,
    0xff522509,
    0xff52370e,
    0xff47411a,
    0xff354121,
    0xff2d3d23,
    0xff12230b,
    0xff2b381b,
    0xff2a2501,
    0xff5b3b19,
    0xff66471a,
    0xff4f2e00,
    0xff694915,
    0xff442a04,
    0xff281a0b,
    0xff1d1515,
    0xff241618,
    0xff261312,
    0xff1b1618,
    0xff26131f,
    0xff221219,
    0xff211210,
    0xff2d0e1a,
    0xff15000d,
    0xffb696a0,
    0xff420501,
    0xff850309,
    0xffa9101b,
    0xff991014,
    0xff99220f,
    0xffcf8038,
    0xffa68809,
    0xffb6ad22,
    0xff8fa722,
    0xff9eab2f,
    0xff899f18,
    0xff8ba616,
    0xff9ab025,
    0xff648000,
    0xff74a019,
    0xff98c132,
    0xff92ad1c,
    0xff6e8713,
    0xff485d07,
    0xff3b550b,
    0xff3e600f,
    0xff33580e,
    0xff20340d,
    0xff030000,
    0xff331b11,
    0xff541c13,
    0xff4a281e,
    0xff190e04,
    0xff120100,
    0xff4e231a,
    0xff6a351e,
    0xff4a1f0f,
    0xff49302f,
    0xff2f252c,
    0xff1f2926,
    0xff0a150d,
    0xff321d19,
    0xff863e28,
    0xffc3572c,
    0xffc55826,
    0xff892609,
    0xffba664d,
    0xff1d0000,
    0xff310000,
    0xff9b3924,
    0xff913116,
    0xff963d00,
    0xffd87022,
    0xff912f08,
    0xffb15837,
    0xff9b4a24,
    0xff9b4925,
    0xff721e0b,
    0xff4c0400,
    0xff4d110a,
    0xff4f0800,
    0xff670800,
    0xff872e17,
    0xff480b00,
    0xff6c541d,
    0xffcccb4e,
    0xff918916,
    0xff8f7d43,
    0xff251a00,
    0xffa6ae65,
    0xff5a5d25,
    0xff4e5431,
    0xff1e280f,
    0xff28390d,
    0xff1f310e,
    0xff43503d,
    0xff374428,
    0xff31372b,
    0xff18240a,
    0xff13240d,
    0xff162b1a,
    0xff091f11,
    0xff0d2012,
    0xff112110,
    0xff132111,
    0xff2a372a,
    0xff020d07,
    0xff09120d,
    0xff040e00,
    0xff2d3235,
    0xff26292f,
    0xff15190e,
    0xff333631,
    0xff1b2111,
    0xff242a16,
    0xff29321f,
    0xff171e0f,
    0xff10180d,
    0xff131b12,
    0xff0b160c,
    0xff071208,
    0xff051004,
    0xff102110,
    0xff263327,
    0xff1a2722,
    0xff1e2c2c,
    0xff000608,
    0xff2a3d42,
    0xff001620,
    0xff7d939f,
    0xff2e3732,
    0xff272d24,
    0xff202117,
    0xff1f1c11,
    0xff262318,
    0xff14140a,
    0xff070c04,
    0xff020a04,
    0xff000e10,
    0xff304044,
    0xff030f16,
    0xff00080b,
    0xff060c0c,
    0xff251f19,
    0xff5f4d43,
    0xff694e3f,
    0xff462a1a,
    0xff533828,
    0xff341709,
    0xff311309,
    0xff2f0e05,
    0xff401a15,
    0xff461c1c,
    0xff3b0f11,
    0xff3d1911,
    0xff2d1513,
    0xff0b050a,
    0xff080a14,
    0xff00060c,
    0xff06060a,
    0xff0e0c0d,
    0xff0c0a05,
    0xff1a1907,
    0xff0a0700,
    0xff130800,
    0xff67513b,
    0xff705331,
    0xff3d2100,
    0xff3c2816,
    0xff221816,
    0xff121410,
    0xff21180d,
    0xff322210,
    0xff1d1100,
    0xff090900,
    0xff0b130c,
    0xff111710,
    0xff121508,
    0xff121208,
    0xff16130a,
    0xff16170d,
    0xff0e1409,
    0xff050b02,
    0xff010a02,
    0xff0c180f,
    0xff0d190f,
    0xff1b271d,
    0xff0d1a10,
    0xff16281d,
    0xff0a190c,
    0xff000c00,
    0xff020f03,
    0xff000b04,
    0xff061715,
    0xff101c14,
    0xff353b37,
    0xff5c5c59,
    0xff110c07,
    0xff20170e,
    0xff160e00,
    0xff292411,
    0xff332d1b,
    0xff33270b,
    0xff1c0c00,
    0xff361f12,
    0xff351b0f,
    0xff2f1506,
    0xff3a250d,
    0xff5f4e31,
    0xff4f4222,
    0xff432a17,
    0xff1c0d00,
    0xff161308,
    0xff121208,
    0xff120900,
    0xff2b2314,
    0xff414131,
    0xff0b0f04,
    0xff0e160c,
    0xff131b16,
    0xff091110,
    0xff0c100e,
    0xff000000,
    0xff534b3c,
    0xff463e28,
    0xff595338,
    0xff493e23,
    0xff2f190e,
    0xffc5b3a1,
    0xff6f5428,
    0xff92753a,
    0xff967e49,
    0xff8d6645,
    0xff5c3c1c,
    0xff3a3d4d,
    0xff242b35,
    0xff0d1418,
    0xff040d0b,
    0xff131916,
    0xff0e1814,
    0xff041210,
    0xff001214,
    0xff021013,
    0xff03130b,
    0xff0a1a16,
    0xff07171d,
    0xff05131a,
    0xff031312,
    0xff000c0c,
    0xff000e18,
    0xff031414,
    0xff000c0d,
    0xff040e10,
    0xff081317,
    0xff000e0f,
    0xff00110f,
    0xff000d0a,
    0xff020c09,
    0xff020e08,
    0xff010d10,
    0xff010e18,
    0xff031218,
    0xff071518,
    0xff021112,
    0xff000e11,
    0xff010d18,
    0xff001117,
    0xff07181f,
    0xff000d14,
    0xff021012,
    0xff020e0d,
    0xff010e0d,
    0xff000c11,
    0xff02101a,
    0xff021019,
    0xff07121c,
    0xff000a0f,
    0xff000b11,
    0xff030e17,
    0xff07141e,
    0xff000b1b,
    0xff031326,
    0xff00121a,
    0xff02151b,
    0xff001015,
    0xff001115,
    0xff000d14,
    0xff000c16,
    0xff05121d,
    0xff020e1c,
    0xff001122,
    0xff0e1e2e,
    0xff0c1721,
    0xff091211,
    0xff252c23,
    0xff3d4131,
    0xff373b24,
    0xff3a3e29,
    0xff22332e,
    0xff001310,
    0xff011512,
    0xff001715,
    0xff021a1b,
    0xff00161a,
    0xff00181e,
    0xff021c20,
    0xff04191c,
    0xff001115,
    0xff03151c,
    0xff000d14,
    0xff131f24,
    0xff162021,
    0xff19241e,
    0xff1a251b,
    0xff182822,
    0xff0e2522,
    0xff021818,
    0xff101e17,
    0xff1b1c0c,
    0xff35311e,
    0xff444538,
    0xff0e1911,
    0xff111e13,
    0xff1b261f,
    0xff0e100b,
    0xff1f1811,
    0xff3e3226,
    0xff524735,
    0xff4d4231,
    0xff1d1607,
    0xff081016,
    0xff0b1b26,
    0xff112a1e,
    0xff0c2213,
    0xff1e2326,
    0xff39351a,
    0xff8a844d,
    0xff4a4026,
    0xff181808,
    0xff2d2d1a,
    0xff3f3d26,
    0xff312d17,
    0xff4d4b32,
    0xff44432f,
    0xff1e2112,
    0xff313428,
    0xff252617,
    0xff34372b,
    0xff283028,
    0xff273231,
    0xff152426,
    0xff111f25,
    0xff0b191f,
    0xff0b191e,
    0xff0e1c14,
    0xff222916,
    0xff232308,
    0xff777452,
    0xff4e4c2e,
    0xff161803,
    0xff222213,
    0xff2b2b22,
    0xff122112,
    0xff323a31,
    0xff2d2c22,
    0xff2e2616,
    0xff322c10,
    0xff3b381d,
    0xff52533d,
    0xff141710,
    0xff363c2c,
    0xff23220e,
    0xff302a12,
    0xff615a44,
    0xff302b1a,
    0xff211d0a,
    0xff686545,
    0xff454017,
    0xff494c32,
    0xff303b28,
    0xff15291a,
    0xff19251b,
    0xff2b2b1f,
    0xff4f493d,
    0xff35372b,
    0xff28302a,
    0xff15291d,
    0xff071a1b,
    0xff12202d,
    0xff161f28,
    0xff1d221a,
    0xff141301,
    0xff353424,
    0xff2e2f24,
    0xff59624e,
    0xff545a3f,
    0xff464a27,
    0xff6d704f,
    0xff121600,
    0xff474b31,
    0xff7f845d,
    0xff929564,
    0xff5a5e2a,
    0xff41471f,
    0xff40492a,
    0xff313a21,
    0xff333928,
    0xff1f2411,
    0xff454c39,
    0xff323a28,
    0xff34311d,
    0xff43291b,
    0xff451810,
    0xff3b130e,
    0xff291410,
    0xff25251a,
    0xff182113,
    0xff2a3223,
    0xff1b2f1f,
    0xff0a1d1f,
    0xff09221d,
    0xff072307,
    0xff04200a,
    0xff011519,
    0xff0f2221,
    0xff21351c,
    0xff0e1d27,
    0xff2e3e21,
    0xff293416,
    0xff30351c,
    0xff444e1d,
    0xff404524,
    0xff494a37,
    0xff848454,
    0xff5b5530,
    0xff4b4320,
    0xff414119,
    0xff333f23,
    0xff163324,
    0xff0e312d,
    0xff08241f,
    0xff263730,
    0xff193228,
    0xff10312b,
    0xff0b2727,
    0xff283939,
    0xff0a1b13,
    0xff0b2717,
    0xff112d23,
    0xff0b1d1e,
    0xff121a15,
    0xff1b271f,
    0xff142b20,
    0xff173328,
    0xff1e382b,
    0xff253a2d,
    0xff081609,
    0xff182716,
    0xff1a3221,
    0xff061b0e,
    0xff081709,
    0xff23261e,
    0xff252116,
    0xff382e1b,
    0xff322b0d,
    0xff565028,
    0xff6d6026,
    0xff5d521a,
    0xff58542d,
    0xff272f1c,
    0xff0d2620,
    0xff082525,
    0xff0b2821,
    0xff192d1f,
    0xff302f16,
    0xff535732,
    0xff444d2b,
    0xff19261a,
    0xff07181b,
    0xff112525,
    0xff0b1f1d,
    0xff0f2325,
    0xff061a16,
    0xff122524,
    0xff0a1c1e,
    0xff021519,
    0xff001b1b,
    0xff001815,
    0xff031914,
    0xff02140e,
    0xff2f3f3d,
    0xff141f1b,
    0xff202625,
    0xff20221e,
    0xff1c2113,
    0xff5b6045,
    0xff4d4e29,
    0xff5f5d36,
    0xff473f27,
    0xff514935,
    0xff4a3f32,
    0xff473b34,
    0xff493b35,
    0xff635747,
    0xff645d3c,
    0xff676237,
    0xff534e2a,
    0xff695c37,
    0xff69582f,
    0xff685f30,
    0xff565b2a,
    0xff5b653a,
    0xff3e4021,
    0xff464127,
    0xff6c6f45,
    0xff474f3a,
    0xff071c0c,
    0xff1e3f22,
    0xff254c2b,
    0xff274e39,
    0xff244735,
    0xff16361e,
    0xff213738,
    0xff041718,
    0xff24322a,
    0xff424f3a,
    0xff233215,
    0xff2d3f25,
    0xff334838,
    0xff0d2322,
    0xff092c24,
    0xff14362c,
    0xff0e2c23,
    0xff0f3022,
    0xff072b1c,
    0xff183e37,
    0xff0e2c35,
    0xff0a2336,
    0xff082c2e,
    0xff133531,
    0xff15342d,
    0xff1e352e,
    0xff1d2b22,
    0xff3c3f30,
    0xff4b482d,
    0xff625d3a,
    0xff333421,
    0xff2f3024,
    0xff383834,
    0xff252c28,
    0xff2c3a33,
    0xff0e2519,
    0xff152c23,
    0xff253a33,
    0xff23292a,
    0xff1e2626,
    0xff212e2d,
    0xff182b28,
    0xff192722,
    0xff3f4239,
    0xff504337,
    0xff3f2919,
    0xff5c422c,
    0xff4c3e29,
    0xff3b3b29,
    0xff1e311c,
    0xff16351b,
    0xff264730,
    0xff1d3c28,
    0xff223c2d,
    0xff14312d,
    0xff163333,
    0xff1a3036,
    0xff112521,
    0xff233523,
    0xff3c4e37,
    0xff202d1d,
    0xff08120a,
    0xff111e17,
    0xff1b2822,
    0xff121e19,
    0xff1c2c25,
    0xff1a2e21,
    0xff1a2f1d,
    0xff22311e,
    0xff010e00,
    0xff0b1207,
    0xff2f3733,
    0xff0a1819,
    0xff04131a,
    0xff07181f,
    0xff01131b,
    0xff041218,
    0xff051216,
    0xff12211d,
    0xff0e1d18,
    0xff0e1b14,
    0xff16241a,
    0xff1a281b,
    0xff122216,
    0xff142117,
    0xff0b180f,
    0xff152312,
    0xff253120,
    0xff313927,
    0xff1c2412,
    0xff20271a,
    0xff151e16,
    0xff0e1919,
    0xff111d1f,
    0xff061014,
    0xff131b1f,
    0xff0c0f0e,
    0xff191c17,
    0xff151810,
    0xff2a2f28,
    0xff0f1a10,
    0xff142118,
    0xff161815,
    0xff1c1f1e,
    0xff111412,
    0xff2d3126,
    0xff5f634c,
    0xff282a0b,
    0xff474321,
    0xff463f1b,
    0xff535319,
    0xff5c6124,
    0xff333c06,
    0xff373f0f,
    0xff404a15,
    0xff70793c,
    0xff36390d,
    0xff232412,
    0xff1d291b,
    0xff333010,
    0xff5f4c1f,
    0xff47290b,
    0xff3d231c,
    0xff37251f,
    0xff362805,
    0xff695d18,
    0xff7b752e,
    0xff4f4c21,
    0xff3e442c,
    0xff23361c,
    0xff1b341a,
    0xff2c3621,
    0xff43371c,
    0xff69491d,
    0xff5a2e00,
    0xff624912,
    0xff635526,
    0xff5c4226,
    0xff38110b,
    0xff331117,
    0xff2b181d,
    0xff28181a,
    0xff1f1616,
    0xff221322,
    0xff221615,
    0xff2a1208,
    0xff3a0b18,
    0xff491626,
    0xff8f4c4a,
    0xff90231d,
    0xff970807,
    0xffa90a0a,
    0xffa50c0a,
    0xff951c0b,
    0xffb96e33,
    0xff956f06,
    0xff8a8208,
    0xff99aa25,
    0xff8da718,
    0xff8ea10f,
    0xffabb81d,
    0xff97a720,
    0xff87a424,
    0xff406600,
    0xff365c00,
    0xff618315,
    0xff2e5600,
    0xff4f7226,
    0xff3b5717,
    0xff29470d,
    0xff173802,
    0xff122700,
    0xff423f1f,
    0xff5d4231,
    0xff591613,
    0xff5a190b,
    0xff250e00,
    0xff000000,
    0xff73554c,
    0xff753d29,
    0xff3c1904,
    0xff1b1412,
    0xff21211c,
    0xff252528,
    0xff0d0d15,
    0xff261616,
    0xff551808,
    0xffb7492e,
    0xffc14c22,
    0xff9d3c0b,
    0xffa6451a,
    0xff893719,
    0xff742d05,
    0xff7e2c20,
    0xffae5627,
    0xffed8f37,
    0xff9c390f,
    0xffbd612e,
    0xff7b270f,
    0xffa4481c,
    0xff913d1f,
    0xff390000,
    0xff66271c,
    0xff8f3219,
    0xff973318,
    0xff7a2215,
    0xff8b381a,
    0xff6a2d08,
    0xff866411,
    0xffbca327,
    0xff9e8b22,
    0xff61581a,
    0xff595428,
    0xff49411b,
    0xff5c4f36,
    0xff2e371c,
    0xff383522,
    0xff342d1b,
    0xff515b43,
    0xff2e3f25,
    0xff2f3e21,
    0xff344629,
    0xff222916,
    0xff17210f,
    0xff202a1a,
    0xff0e1c0f,
    0xff08160c,
    0xff0c170f,
    0xff0e1911,
    0xff272f27,
    0xff1d231c,
    0xff00100f,
    0xff000c0e,
    0xff404b4e,
    0xff342e2f,
    0xff251c14,
    0xff3d3d31,
    0xff465245,
    0xff162512,
    0xff283723,
    0xff14200e,
    0xff0f1c0a,
    0xff111c0c,
    0xff0f1608,
    0xff171f11,
    0xff121a0c,
    0xff0d1e12,
    0xff36473c,
    0xff1c2823,
    0xff1e2927,
    0xff000b0e,
    0xff33414a,
    0xff021722,
    0xff7d929f,
    0xff2f393b,
    0xff333b39,
    0xff0d0f0a,
    0xff14150a,
    0xff27271a,
    0xff1b1d0e,
    0xff050700,
    0xff080e02,
    0xff001506,
    0xff374746,
    0xff09131a,
    0xff0e181b,
    0xff0f1913,
    0xff0a0d0a,
    0xff16231e,
    0xff739087,
    0xff19211d,
    0xff000700,
    0xff020d03,
    0xff050701,
    0xff12070c,
    0xff10020c,
    0xff0c060f,
    0xff15161c,
    0xff181016,
    0xff000500,
    0xff060911,
    0xff040821,
    0xff00090b,
    0xff090508,
    0xff3f2430,
    0xff45321e,
    0xff331b09,
    0xff211100,
    0xff4c4123,
    0xff5c4b2b,
    0xff311400,
    0xff5e3e30,
    0xff29100b,
    0xff180c0e,
    0xff0d1211,
    0xff10100d,
    0xff17130b,
    0xff252013,
    0xff292317,
    0xff212115,
    0xff1c1f16,
    0xff10170e,
    0xff141609,
    0xff121709,
    0xff091203,
    0xff0f1b11,
    0xff121d16,
    0xff09100a,
    0xff0f130a,
    0xff1c1e10,
    0xff182013,
    0xff09150c,
    0xff05160c,
    0xff000e03,
    0xff09160a,
    0xff091308,
    0xff07130a,
    0xff081511,
    0xff071215,
    0xff000d0a,
    0xff686f6a,
    0xff25261e,
    0xff1a1407,
    0xff251d0a,
    0xff312706,
    0xff52471c,
    0xff5f5317,
    0xff422b08,
    0xff311307,
    0xff361a12,
    0xff27160b,
    0xff1e1309,
    0xff473d28,
    0xff574925,
    0xff311c06,
    0xff221807,
    0xff11130a,
    0xff0c150e,
    0xff10150e,
    0xff090c02,
    0xff2c2e20,
    0xff464438,
    0xff0d0c00,
    0xff101409,
    0xff141d11,
    0xff1c2114,
    0xff4d4a3a,
    0xff1d1706,
    0xff141300,
    0xff141600,
    0xff66512a,
    0xffdfc6b3,
    0xff351e18,
    0xff725e41,
    0xff8b773f,
    0xff8f7748,
    0xff8d715b,
    0xff4b3120,
    0xff333b45,
    0xff0e171d,
    0xff0c1716,
    0xff0b160d,
    0xff1c221a,
    0xff161e17,
    0xff020f0a,
    0xff061715,
    0xff081718,
    0xff071a12,
    0xff091b14,
    0xff0d2025,
    0xff001317,
    0xff061916,
    0xff000f0c,
    0xff000d15,
    0xff021619,
    0xff000f13,
    0xff0f181c,
    0xff0b1517,
    0xff000f0e,
    0xff0e1e1c,
    0xff081918,
    0xff000d0c,
    0xff000f0a,
    0xff000c0e,
    0xff000f13,
    0xff031417,
    0xff031713,
    0xff00130a,
    0xff00100b,
    0xff00110f,
    0xff01111e,
    0xff031623,
    0xff02131d,
    0xff011015,
    0xff010f0f,
    0xff000e0c,
    0xff000e0f,
    0xff021217,
    0xff011017,
    0xff05141a,
    0xff031112,
    0xff000b0d,
    0xff010e10,
    0xff07161c,
    0xff000f17,
    0xff03141f,
    0xff030f1a,
    0xff031118,
    0xff021015,
    0xff030e13,
    0xff020e11,
    0xff071115,
    0xff091318,
    0xff060e15,
    0xff000b19,
    0xff05131e,
    0xff051015,
    0xff1b2322,
    0xff252924,
    0xff2e3225,
    0xff313425,
    0xff272a19,
    0xff0b1911,
    0xff15221d,
    0xff020f0b,
    0xff061413,
    0xff041213,
    0xff021112,
    0xff071719,
    0xff152529,
    0xff00151c,
    0xff081d24,
    0xff02141d,
    0xff00121b,
    0xff122028,
    0xff0a171a,
    0xff101c1c,
    0xff0d1915,
    0xff08190c,
    0xff061b11,
    0xff011912,
    0xff374739,
    0xff494b37,
    0xff3c3c24,
    0xff3e4634,
    0xff112216,
    0xff0d1b1a,
    0xff293537,
    0xff242b2e,
    0xff1e2022,
    0xff1b1913,
    0xff212016,
    0xff3b352c,
    0xff201b14,
    0xff131b14,
    0xff041115,
    0xff0e2418,
    0xff102417,
    0xff161c1e,
    0xff5f5f3f,
    0xff83823e,
    0xff605b2e,
    0xff0a1204,
    0xff363b2d,
    0xff393d30,
    0xff202415,
    0xff25271a,
    0xff1f2013,
    0xff1b1b12,
    0xff2b2922,
    0xff1f2319,
    0xff202720,
    0xff0b1515,
    0xff121e21,
    0xff07171c,
    0xff15272d,
    0xff0f2226,
    0xff122428,
    0xff142022,
    0xff272b27,
    0xff2c2a1d,
    0xff2b2917,
    0xff222011,
    0xff212016,
    0xff303029,
    0xff302e2a,
    0xff21282b,
    0xff272828,
    0xff3a3629,
    0xff655c39,
    0xff62591d,
    0xff7d7536,
    0xff8b814e,
    0xff231900,
    0xff58583c,
    0xff424a2f,
    0xff1e260f,
    0xff555c44,
    0xff24260f,
    0xff2b2f18,
    0xff485237,
    0xff2a3b1f,
    0xff163019,
    0xff163522,
    0xff0b291a,
    0xff22372a,
    0xff1f2514,
    0xff1c1906,
    0xff252b16,
    0xff576250,
    0xff1c221b,
    0xff011011,
    0xff112728,
    0xff101911,
    0xff443921,
    0xff74603a,
    0xff695e35,
    0xff33340e,
    0xff3f4023,
    0xff332f17,
    0xff282009,
    0xff373316,
    0xff393a17,
    0xff212604,
    0xff2e3414,
    0xff3b4025,
    0xff2a3218,
    0xff0a1704,
    0xff021205,
    0xff0b1c14,
    0xff031008,
    0xff0e1810,
    0xff1e2a21,
    0xff37433a,
    0xff1c150e,
    0xff321b18,
    0xff3c1414,
    0xff361112,
    0xff35201c,
    0xff2e281d,
    0xff1b1604,
    0xff453d26,
    0xff343d1c,
    0xff060e0e,
    0xff0f1826,
    0xff091c15,
    0xff081d14,
    0xff011318,
    0xff112229,
    0xff213528,
    0xff19241c,
    0xff323d17,
    0xff2e330b,
    0xff4f512d,
    0xff5e6430,
    0xff484820,
    0xff4b4427,
    0xff605b29,
    0xff90895c,
    0xff4b4313,
    0xff9a9365,
    0xff656c45,
    0xff192f15,
    0xff052112,
    0xff152d1b,
    0xff273623,
    0xff0b1e16,
    0xff001a13,
    0xff00100c,
    0xff1c2622,
    0xff2d382d,
    0xff1e3727,
    0xff0c281c,
    0xff192b2b,
    0xff11201b,
    0xff1e332d,
    0xff18352c,
    0xff032019,
    0xff00180f,
    0xff20352c,
    0xff192e23,
    0xff112519,
    0xff0e2420,
    0xff04190d,
    0xff64775d,
    0xff26300c,
    0xff454920,
    0xff938e6a,
    0xff393617,
    0xff535135,
    0xff55552d,
    0xff514f28,
    0xff59593a,
    0xff333d29,
    0xff0d2218,
    0xff0c2521,
    0xff0e261e,
    0xff1a2b1f,
    0xff2a2a24,
    0xff202413,
    0xff293420,
    0xff15251d,
    0xff0d201f,
    0xff14271e,
    0xff142918,
    0xff1f3427,
    0xff1b2b23,
    0xff13231d,
    0xff112323,
    0xff03191c,
    0xff001419,
    0xff031c1f,
    0xff001316,
    0xff192a2b,
    0xff33462a,
    0xff33412a,
    0xff3d4938,
    0xff2a342a,
    0xff1f2e25,
    0xff3d4c45,
    0xff44504b,
    0xff363e38,
    0xff494f32,
    0xff4f5439,
    0xff41442d,
    0xff272818,
    0xff38372b,
    0xff2f2f1c,
    0xff616244,
    0xff63623c,
    0xff6e704a,
    0xff58532c,
    0xff746c41,
    0xff888754,
    0xff4d5721,
    0xff596831,
    0xff5e6837,
    0xff6b6c41,
    0xff4d5330,
    0xff2c3525,
    0xff051913,
    0xff103020,
    0xff234a38,
    0xff0b3128,
    0xff012220,
    0xff09281f,
    0xff132d1c,
    0xff1a3123,
    0xff13241d,
    0xff091a10,
    0xff2d3c2f,
    0xff203525,
    0xff0c2319,
    0xff0e2a25,
    0xff072c22,
    0xff13332e,
    0xff092628,
    0xff0c2c2f,
    0xff0e3331,
    0xff1c423d,
    0xff0d332b,
    0xff01241c,
    0xff062328,
    0xff132d31,
    0xff0f292b,
    0xff0e2325,
    0xff122321,
    0xff17231b,
    0xff2d3421,
    0xff3e4529,
    0xff383e2f,
    0xff272b24,
    0xff282c2c,
    0xff263330,
    0xff22342e,
    0xff193429,
    0xff1b362d,
    0xff142c26,
    0xff263125,
    0xff27362a,
    0xff1d3227,
    0xff1c3129,
    0xff1c2c23,
    0xff242e23,
    0xff28281d,
    0xff393024,
    0xff252215,
    0xff363a31,
    0xff26332f,
    0xff0e2721,
    0xff06261d,
    0xff113229,
    0xff213f3b,
    0xff12292b,
    0xff0f2e2b,
    0xff163235,
    0xff142c32,
    0xff132c27,
    0xff243a29,
    0xff2b3f29,
    0xff2d3e2c,
    0xff202e25,
    0xff111f17,
    0xff17221f,
    0xff17221f,
    0xff0d1e19,
    0xff11241b,
    0xff0a1b0e,
    0xff0a1905,
    0xff515b45,
    0xff111c11,
    0xff142017,
    0xff12211f,
    0xff091a1d,
    0xff021619,
    0xff001213,
    0xff031616,
    0xff0e1e1c,
    0xff131b1a,
    0xff1a1e1d,
    0xff151a16,
    0xff1d2119,
    0xff2b2e27,
    0xff2e3029,
    0xff23261f,
    0xff3b3c35,
    0xff17170b,
    0xff363327,
    0xff504a3c,
    0xff3d3827,
    0xff4d493a,
    0xff22251a,
    0xff111c13,
    0xff0f1e18,
    0xff1a1c20,
    0xff1e1e22,
    0xff2a2b2a,
    0xff1f1d1b,
    0xff42413b,
    0xff282824,
    0xff1f211f,
    0xff1d211f,
    0xff4e4b3e,
    0xff1c1a0e,
    0xff1d1f19,
    0xff11150a,
    0xff232615,
    0xff232712,
    0xff121300,
    0xff201f0d,
    0xff353812,
    0xff484f27,
    0xff2b3214,
    0xff2d371f,
    0xff313d1d,
    0xff374219,
    0xff242c0e,
    0xff2b2c24,
    0xff0e1f0d,
    0xff2d3412,
    0xff3e350d,
    0xff34290b,
    0xff252017,
    0xff0c100a,
    0xff3e472d,
    0xff444e19,
    0xff5a5d1c,
    0xff393a11,
    0xff1b210a,
    0xff192d11,
    0xff1c3216,
    0xff232d16,
    0xff383214,
    0xff4f350c,
    0xff633813,
    0xff48360e,
    0xff252400,
    0xff2d1e09,
    0xff351814,
    0xff35181b,
    0xff2f161b,
    0xff341a1e,
    0xff311313,
    0xff2e1220,
    0xff2e1823,
    0xff3c1b1a,
    0xff3b1119,
    0xff2e0f2b,
    0xfff2c3d7,
    0xffbe595d,
    0xffb23236,
    0xffc33638,
    0xffbf3a34,
    0xffc25a42,
    0xffa25a21,
    0xffba822c,
    0xffa78114,
    0xffbda832,
    0xff9eb024,
    0xff9eb120,
    0xff889e06,
    0xff79920e,
    0xff65870b,
    0xff5c7e25,
    0xff3a5e0b,
    0xff3c5f14,
    0xff2d4a07,
    0xff2a4506,
    0xff1b3704,
    0xff143001,
    0xff2f4e20,
    0xff173205,
    0xff3b4923,
    0xff313413,
    0xff763a3a,
    0xff762c24,
    0xff5a2920,
    0xff180000,
    0xff582825,
    0xff60200d,
    0xff7e5a43,
    0xff191410,
    0xff1d2e20,
    0xff1e2a28,
    0xff030b11,
    0xff080803,
    0xff230000,
    0xff9a4d25,
    0xffac501e,
    0xffae581e,
    0xff9b4517,
    0xffbc6b2e,
    0xffae6432,
    0xff6c200f,
    0xff6d2502,
    0xff843b13,
    0xff772b02,
    0xffac5d27,
    0xffa0420f,
    0xffbe5523,
    0xffa84727,
    0xff923f33,
    0xff7d1a0e,
    0xffa4270d,
    0xffbf422b,
    0xff7b170f,
    0xff822c01,
    0xffa46d25,
    0xff9e861b,
    0xffd6cb4a,
    0xff675e16,
    0xff403c00,
    0xff716a33,
    0xff564120,
    0xff1c2211,
    0xff373d30,
    0xff332821,
    0xff352621,
    0xff403d33,
    0xff5c4d45,
    0xff493b2f,
    0xff303b26,
    0xff20230f,
    0xff333726,
    0xff192212,
    0xff0f1a0c,
    0xff0d1910,
    0xff09140d,
    0xff0b160d,
    0xff0a100a,
    0xff2d2d27,
    0xff060e0e,
    0xff021013,
    0xff363b3e,
    0xff231e1b,
    0xff2f271f,
    0xff313225,
    0xff2a382b,
    0xff182416,
    0xff1c291a,
    0xff152313,
    0xff121d10,
    0xff111d10,
    0xff161e12,
    0xff1d251a,
    0xff161f14,
    0xff000b0b,
    0xff404f50,
    0xff152325,
    0xff1c2a2d,
    0xff00010a,
    0xff344650,
    0xff021521,
    0xff7b919d,
    0xff303e47,
    0xff2e393d,
    0xff000402,
    0xff010300,
    0xff18190b,
    0xff282515,
    0xff222114,
    0xff262518,
    0xff0f1516,
    0xff373e45,
    0xff040e12,
    0xff01130f,
    0xff0a1c14,
    0xff192322,
    0xff18202c,
    0xff788292,
    0xff2b272d,
    0xff010105,
    0xff0a100f,
    0xff0e1415,
    0xff0f1316,
    0xff0d1014,
    0xff0c120f,
    0xff000b02,
    0xff02030d,
    0xff000e0e,
    0xff030806,
    0xff040000,
    0xff1c180c,
    0xff0c0300,
    0xff4f3d27,
    0xff413212,
    0xff6f5448,
    0xff4c3529,
    0xff291608,
    0xff180500,
    0xff3e2d21,
    0xff1f1107,
    0xff171407,
    0xff1b1f0f,
    0xff00150a,
    0xff0d1d12,
    0xff111e10,
    0xff151b0c,
    0xff1c1d10,
    0xff0c0b00,
    0xff16170e,
    0xff1a1a14,
    0xff150f07,
    0xff151307,
    0xff0f1106,
    0xff091109,
    0xff08100c,
    0xff0a100b,
    0xff0d1008,
    0xff1e1f13,
    0xff1f2314,
    0xff0e1609,
    0xff08140a,
    0xff101d14,
    0xff0f1b11,
    0xff0a160a,
    0xff030f05,
    0xff03100a,
    0xff071210,
    0xff111a18,
    0xff070f09,
    0xff8d9089,
    0xff0f0d01,
    0xff28200c,
    0xff281f02,
    0xff302400,
    0xff605211,
    0xff523913,
    0xff2c0f00,
    0xff311a0a,
    0xff211204,
    0xff181306,
    0xff272411,
    0xff666042,
    0xff473b27,
    0xff100c00,
    0xff070d06,
    0xff020f09,
    0xff09160d,
    0xff0b1003,
    0xff0d0f00,
    0xff2c2a19,
    0xff464433,
    0xff1c1b0c,
    0xff1f1f0f,
    0xff3c3a2b,
    0xff100b00,
    0xff28210c,
    0xff2f2a0d,
    0xff555233,
    0xffecd2b6,
    0xff351d0d,
    0xff594819,
    0xff7a6b35,
    0xff49301c,
    0xff391e04,
    0xff705a2e,
    0xff432b14,
    0xff2a3240,
    0xff0a141e,
    0xff0c1617,
    0xff131a1a,
    0xff161c18,
    0xff181b1d,
    0xff060f12,
    0xff011015,
    0xff0a121e,
    0xff0a1517,
    0xff091516,
    0xff101c29,
    0xff0a1521,
    0xff041015,
    0xff060f15,
    0xff040d1c,
    0xff01171f,
    0xff011115,
    0xff0a1214,
    0xff0e1210,
    0xff121b15,
    0xff0e1b16,
    0xff0d1c17,
    0xff0e1f1d,
    0xff051514,
    0xff021417,
    0xff05161c,
    0xff091d21,
    0xff071918,
    0xff041812,
    0xff000c05,
    0xff00100b,
    0xff04171c,
    0xff03141c,
    0xff04151e,
    0xff021115,
    0xff000f10,
    0xff011011,
    0xff021216,
    0xff01121a,
    0xff01121b,
    0xff00121a,
    0xff000e16,
    0xff000e13,
    0xff04141a,
    0xff000f17,
    0xff091720,
    0xff04111e,
    0xff020f1d,
    0xff000b1b,
    0xff07141e,
    0xff0e1c24,
    0xff021017,
    0xff0b191e,
    0xff0a171c,
    0xff051316,
    0xff000908,
    0xff0d1a16,
    0xff111d16,
    0xff3b443a,
    0xff32382b,
    0xff2d3424,
    0xff2d3422,
    0xff262d1c,
    0xff030f0c,
    0xff192527,
    0xff0a1617,
    0xff031112,
    0xff041314,
    0xff010f12,
    0xff010e14,
    0xff06141b,
    0xff001214,
    0xff071b1d,
    0xff04171c,
    0xff011314,
    0xff071617,
    0xff0c1d1a,
    0xff091811,
    0xff1b2b21,
    0xff1d2e22,
    0xff00150b,
    0xff0c221a,
    0xff33453a,
    0xff1e2817,
    0xff222917,
    0xff2c3a2a,
    0xff10241e,
    0xff091c1a,
    0xff011111,
    0xff011213,
    0xff01100d,
    0xff0f1c12,
    0xff172013,
    0xff14170f,
    0xff33332d,
    0xff1f261b,
    0xff0b1519,
    0xff02120f,
    0xff0c1c1a,
    0xff192029,
    0xff0e1200,
    0xff5f6529,
    0xff6f7345,
    0xff0a170c,
    0xff091912,
    0xff101f19,
    0xff1a2722,
    0xff111c17,
    0xff111712,
    0xff252521,
    0xff383531,
    0xff19221e,
    0xff182222,
    0xff111c1b,
    0xff323f42,
    0xff0e1e21,
    0xff122123,
    0xff182829,
    0xff152526,
    0xff25332f,
    0xff222a22,
    0xff18180b,
    0xff232210,
    0xff504f3d,
    0xff101302,
    0xff353725,
    0xff2f311d,
    0xff2c3025,
    0xff363529,
    0xff504c36,
    0xff474019,
    0xff6e632c,
    0xff6d5d20,
    0xffa38c56,
    0xff8b7142,
    0xffa89060,
    0xff6b6034,
    0xff4b4a22,
    0xff6b6843,
    0xff695e34,
    0xff564822,
    0xff706e4f,
    0xff34402a,
    0xff052111,
    0xff324f43,
    0xff344b42,
    0xff111b0f,
    0xff464232,
    0xff534831,
    0xff423b21,
    0xff49472b,
    0xff48472e,
    0xff5d6850,
    0xff2b391e,
    0xff373b16,
    0xff50400f,
    0xff8b7338,
    0xffb2a267,
    0xff847e49,
    0xff706c51,
    0xff5a4f38,
    0xff493a1f,
    0xff685a3b,
    0xff272402,
    0xff63684b,
    0xff1c2614,
    0xff263026,
    0xff0c1d1b,
    0xff0a1e20,
    0xff031a1d,
    0xff001317,
    0xff172a2b,
    0xff263535,
    0xff102021,
    0xff162729,
    0xff242827,
    0xff2f2728,
    0xff2c1b1d,
    0xff281a1b,
    0xff302c26,
    0xff383829,
    0xff332d14,
    0xff4a3b19,
    0xff73733a,
    0xff292a15,
    0xff2b2d33,
    0xff38413c,
    0xff152616,
    0xff12231b,
    0xff243731,
    0xff344838,
    0xff1a1f11,
    0xff3c3c25,
    0xff484426,
    0xff3d361a,
    0xff372f19,
    0xff48402e,
    0xff403521,
    0xff514529,
    0xff3f4129,
    0xff34321a,
    0xff56553d,
    0xff3b4131,
    0xff04150f,
    0xff0d2223,
    0xff0f2321,
    0xff071610,
    0xff10221a,
    0xff10261c,
    0xff39483e,
    0xff1b1d13,
    0xff414437,
    0xff2c3e2e,
    0xff0f271c,
    0xff152727,
    0xff0a231e,
    0xff0d2a25,
    0xff001c18,
    0xff011b18,
    0xff07211c,
    0xff0c221d,
    0xff1c322a,
    0xff0b231a,
    0xff0e2023,
    0xff192c26,
    0xff1d2f1a,
    0xff404f2e,
    0xff464d26,
    0xff2d310e,
    0xff34391e,
    0xff242d16,
    0xff16240d,
    0xff2f3b24,
    0xff242e17,
    0xff232f1b,
    0xff1b2a1e,
    0xff172922,
    0xff1a2d28,
    0xff222f2c,
    0xff272e2f,
    0xff2e3b30,
    0xff233425,
    0xff132725,
    0xff17292d,
    0xff172b25,
    0xff15281e,
    0xff32413c,
    0xff0e1f14,
    0xff122217,
    0xff0f1f1d,
    0xff001110,
    0xff021a1d,
    0xff00171c,
    0xff001219,
    0xff132129,
    0xff1f2d1d,
    0xff263525,
    0xff313d32,
    0xff213328,
    0xff2b4239,
    0xff19342c,
    0xff152f2a,
    0xff1b3230,
    0xff2a3f25,
    0xff2c3d24,
    0xff314328,
    0xff2e3e28,
    0xff3c4939,
    0xff293424,
    0xff2e3722,
    0xff283018,
    0xff3d442a,
    0xff383b21,
    0xff575437,
    0xff686945,
    0xff6d794d,
    0xff475626,
    0xff545f2b,
    0xff4f5623,
    0xff4c552f,
    0xff091602,
    0xff051b0e,
    0xff153725,
    0xff143728,
    0xff022420,
    0xff082728,
    0xff072521,
    0xff0d271c,
    0xff192f2a,
    0xff0a1d1d,
    0xff112522,
    0xff293b34,
    0xff193023,
    0xff09241a,
    0xff132f29,
    0xff0f3134,
    0xff042327,
    0xff082625,
    0xff02231d,
    0xff3b6258,
    0xff2b5547,
    0xff083324,
    0xff04291e,
    0xff081d28,
    0xff0f242d,
    0xff092026,
    0xff11252c,
    0xff1b2f35,
    0xff0d1f20,
    0xff1d3127,
    0xff2c3d2d,
    0xff26342b,
    0xff182221,
    0xff0d1a1b,
    0xff102022,
    0xff1e3733,
    0xff0f2e26,
    0xff16332b,
    0xff1c3833,
    0xff25382b,
    0xff1b2f23,
    0xff1d322c,
    0xff142a27,
    0xff071919,
    0xff182728,
    0xff0d1a19,
    0xff212929,
    0xff172d27,
    0xff132c29,
    0xff0f2a2b,
    0xff062426,
    0xff0e2f2d,
    0xff032120,
    0xff153035,
    0xff0c252e,
    0xff092727,
    0xff112f33,
    0xff102c31,
    0xff132c2b,
    0xff072114,
    0xff193321,
    0xff2a4133,
    0xff142923,
    0xff0c1b17,
    0xff152522,
    0xff14211f,
    0xff101f1c,
    0xff162923,
    0xff03140b,
    0xff233021,
    0xff323b2d,
    0xff344132,
    0xff233026,
    0xff0e2017,
    0xff051a15,
    0xff132625,
    0xff132625,
    0xff122723,
    0xff0f211d,
    0xff141f1f,
    0xff1b2524,
    0xff161f1c,
    0xff1d2420,
    0xff141b15,
    0xff242a23,
    0xff1f251d,
    0xff1f251d,
    0xff242619,
    0xff242116,
    0xff271e11,
    0xff443528,
    0xff2e2013,
    0xff20190b,
    0xff313125,
    0xff272c21,
    0xff1b1a0a,
    0xff292817,
    0xff363824,
    0xff272b15,
    0xff161a07,
    0xff282819,
    0xff211f14,
    0xff262118,
    0xff383023,
    0xff302c22,
    0xff181812,
    0xff2a2c24,
    0xff2c3425,
    0xff323b2b,
    0xff374031,
    0xff333c2f,
    0xff1f2916,
    0xff1e2a14,
    0xff323f30,
    0xff05110a,
    0xff091707,
    0xff1e2f13,
    0xff1d2912,
    0xff1a231b,
    0xff202a15,
    0xff4d5136,
    0xff323213,
    0xff3c4027,
    0xff243125,
    0xff182e26,
    0xff071f13,
    0xff0d220d,
    0xff252f11,
    0xff242a19,
    0xff131a13,
    0xff15251a,
    0xff102416,
    0xff0f1e14,
    0xff1e1e12,
    0xff473a24,
    0xff523425,
    0xff262109,
    0xff232d18,
    0xff262618,
    0xff2b1916,
    0xff341b1f,
    0xff37181c,
    0xff421a1f,
    0xff411919,
    0xff3f1f2a,
    0xff301426,
    0xff3b1218,
    0xff3e1b17,
    0xff24192e,
    0xff4c2d48,
    0xff6a0d06,
    0xffbe4b4a,
    0xff931413,
    0xffb33428,
    0xff871c06,
    0xffb75e34,
    0xffab5b29,
    0xff7d3c00,
    0xff885e04,
    0xff878626,
    0xff526000,
    0xff6c860d,
    0xff678912,
    0xff60840b,
    0xff486b0b,
    0xff2a5000,
    0xff355d0b,
    0xff173300,
    0xff325019,
    0xff1a390c,
    0xff1e3c15,
    0xff1f3711,
    0xff162a02,
    0xff182d01,
    0xff293e13,
    0xff30170d,
    0xff4a160d,
    0xff380803,
    0xff341215,
    0xff3e0c0d,
    0xff4d1a07,
    0xff3e230c,
    0xff150c04,
    0xff3a4137,
    0xff413532,
    0xff3f201c,
    0xff4c1b0c,
    0xff8f481b,
    0xffab4e18,
    0xffbf5a22,
    0xffb2511d,
    0xff9f4915,
    0xff9e4a0a,
    0xff7d2a01,
    0xffa25b2e,
    0xffa6684b,
    0xff5a1f07,
    0xffbb8134,
    0xff98551b,
    0xff88421e,
    0xffa54e1d,
    0xff963b13,
    0xff7c2912,
    0xffa0472e,
    0xff972a04,
    0xffb1451a,
    0xff903511,
    0xff8d3f16,
    0xffa6732b,
    0xffb69a2a,
    0xff7a6200,
    0xff927e22,
    0xff635920,
    0xff85853e,
    0xff898849,
    0xff000600,
    0xff2f3121,
    0xff3e2a1f,
    0xff51352a,
    0xff3a2818,
    0xff665b46,
    0xff515037,
    0xff2e4924,
    0xff22220d,
    0xff323321,
    0xff232719,
    0xff121b0e,
    0xff0f1810,
    0xff08120a,
    0xff070c09,
    0xff030905,
    0xff1d1c19,
    0xff0e1212,
    0xff000608,
    0xff454849,
    0xff24211f,
    0xff26211b,
    0xff3b4037,
    0xff2f3d33,
    0xff141f17,
    0xff313b33,
    0xff152016,
    0xff10160f,
    0xff111710,
    0xff0a110a,
    0xff0b1109,
    0xff0c150a,
    0xff040e15,
    0xff3c4950,
    0xff13262a,
    0xff283b41,
    0xff092127,
    0xff2c434a,
    0xff132935,
    0xff778d9b,
    0xff1f333e,
    0xff293c42,
    0xff000405,
    0xff050c02,
    0xff000000,
    0xff201f11,
    0xff2b2718,
    0xff292618,
    0xff090d12,
    0xff20282b,
    0xff0e1513,
    0xff0d0f0b,
    0xff0f1510,
    0xff030e10,
    0xff152434,
    0xff72819b,
    0xff161c26,
    0xff000308,
    0xff000606,
    0xff000703,
    0xff000500,
    0xff000200,
    0xff312d21,
    0xff190c00,
    0xff251209,
    0xff091005,
    0xff1c2609,
    0xff544e25,
    0xff3c3c28,
    0xff191d06,
    0xff483e26,
    0xff432d2c,
    0xff25120b,
    0xff260f0a,
    0xff280e0f,
    0xff1b0504,
    0xff1d110e,
    0xff1d1a11,
    0xff1e2010,
    0xff141805,
    0xff000900,
    0xff182112,
    0xff262d1e,
    0xff10160a,
    0xff16180d,
    0xff16160c,
    0xff17140b,
    0xff18130a,
    0xff1a0e0a,
    0xff261b15,
    0xff19160d,
    0xff151912,
    0xff0b100d,
    0xff0b110c,
    0xff080e06,
    0xff0e1105,
    0xff181b08,
    0xff121b0e,
    0xff0c170f,
    0xff07140c,
    0xff071308,
    0xff040f01,
    0xff000d00,
    0xff031304,
    0xff081005,
    0xff050d03,
    0xff0a130a,
    0xff424a41,
    0xff5a5a51,
    0xff120f00,
    0xff271c00,
    0xff4d4017,
    0xff534509,
    0xff3e2b04,
    0xff2e1700,
    0xff2d1e05,
    0xff2f270e,
    0xff373827,
    0xff313423,
    0xff878b73,
    0xff393425,
    0xff0e1107,
    0xff0c1a12,
    0xff000a04,
    0xff0f1c11,
    0xff161d0c,
    0xff191a06,
    0xff21210a,
    0xff3c3c22,
    0xff5a523c,
    0xff211602,
    0xff423725,
    0xff2c240f,
    0xff2a2208,
    0xff201400,
    0xfff3e3c7,
    0xff462d18,
    0xff311b00,
    0xff544903,
    0xff695e20,
    0xff7f6661,
    0xff836959,
    0xff897744,
    0xff9c886d,
    0xff0e171b,
    0xff172322,
    0xff0b1712,
    0xff171f18,
    0xff181b13,
    0xff11130f,
    0xff0c1211,
    0xff081514,
    0xff061519,
    0xff02120e,
    0xff01120e,
    0xff021319,
    0xff05161e,
    0xff031412,
    0xff00100f,
    0xff04121c,
    0xff001525,
    0xff03121d,
    0xff171c22,
    0xff151513,
    0xff1e201d,
    0xff0c1612,
    0xff0b181a,
    0xff07161a,
    0xff031216,
    0xff03151b,
    0xff061720,
    0xff0c1c24,
    0xff05161c,
    0xff051318,
    0xff09161a,
    0xff0b191c,
    0xff081c16,
    0xff031613,
    0xff071919,
    0xff051518,
    0xff0f1d20,
    0xff031217,
    0xff000d18,
    0xff010e1d,
    0xff021417,
    0xff051819,
    0xff00100f,
    0xff021310,
    0xff0a1716,
    0xff091716,
    0xff122020,
    0xff031110,
    0xff051616,
    0xff031413,
    0xff021513,
    0xff081c1a,
    0xff051915,
    0xff081c1a,
    0xff031715,
    0xff031816,
    0xff0f1d1b,
    0xff182420,
    0xff151f1a,
    0xff151f18,
    0xff091109,
    0xff0c140b,
    0xff182118,
    0xff131d15,
    0xff00130b,
    0xff061e17,
    0xff00150e,
    0xff02150f,
    0xff001512,
    0xff00110d,
    0xff00120e,
    0xff021613,
    0xff0b1b20,
    0xff000f14,
    0xff0e1d22,
    0xff06151a,
    0xff061618,
    0xff09191b,
    0xff14221f,
    0xff13211f,
    0xff061511,
    0xff081a19,
    0xff001011,
    0xff1f3131,
    0xff14221f,
    0xff0d1a17,
    0xff061817,
    0xff071d22,
    0xff031516,
    0xff021417,
    0xff03181d,
    0xff021717,
    0xff192d2a,
    0xff2d3c35,
    0xff1b2521,
    0xff0e1414,
    0xff131917,
    0xff151c26,
    0xff182429,
    0xff0d1c1e,
    0xff0f1725,
    0xff0e1811,
    0xff222c15,
    0xff1d240f,
    0xff07150e,
    0xff081b17,
    0xff071c1a,
    0xff0b2222,
    0xff000f0f,
    0xff101f1c,
    0xff252c25,
    0xff242a22,
    0xff1b2521,
    0xff07140f,
    0xff13201b,
    0xff15221d,
    0xff14241b,
    0xff2c3b33,
    0xff2b3a31,
    0xff2b3a30,
    0xff142416,
    0xff202a1a,
    0xff202414,
    0xff363926,
    0xff2e311f,
    0xff303620,
    0xff535c3b,
    0xff464b27,
    0xff22250a,
    0xff383b29,
    0xff4b4a3f,
    0xff474337,
    0xff352d19,
    0xff4c4020,
    0xff604c25,
    0xff59411a,
    0xff5c3d0e,
    0xff6b5324,
    0xff88784b,
    0xff928055,
    0xff6d5529,
    0xff735a36,
    0xff4a361c,
    0xff3e3823,
    0xff476257,
    0xff324e42,
    0xff0b1d12,
    0xff4c4f43,
    0xff3d3725,
    0xff4e432d,
    0xff5d5539,
    0xff373517,
    0xff5f643a,
    0xff393814,
    0xff4b4524,
    0xff69633b,
    0xff746e3c,
    0xff534c1d,
    0xff5c4f2c,
    0xff463822,
    0xff3d3f2b,
    0xff585632,
    0xff4c4510,
    0xff97925a,
    0xff5a582c,
    0xff414a2b,
    0xff26351c,
    0xff22341c,
    0xff283d33,
    0xff00170d,
    0xff031e13,
    0xff041c0f,
    0xff394e3e,
    0xff1e3122,
    0xff132418,
    0xff041813,
    0xff283c2b,
    0xff364435,
    0xff263223,
    0xff182b1a,
    0xff0c250e,
    0xff1b3310,
    0xff4e5b2c,
    0xff62632c,
    0xff4e531a,
    0xff32341a,
    0xff2e3229,
    0xff313b2a,
    0xff2a3a25,
    0xff28392d,
    0xff132419,
    0xff182a18,
    0xff494f34,
    0xff33321e,
    0xff5d583b,
    0xff6f6948,
    0xff2f2817,
    0xff7b755f,
    0xff504925,
    0xff372e13,
    0xff132115,
    0xff132112,
    0xff141e10,
    0xff1d2a22,
    0xff203431,
    0xff0b2625,
    0xff0a2524,
    0xff07201c,
    0xff0b1913,
    0xff0e1f15,
    0xff283327,
    0xff474336,
    0xff373427,
    0xff162417,
    0xff0d221b,
    0xff132324,
    0xff0d2723,
    0xff001915,
    0xff051f1b,
    0xff061c1a,
    0xff031414,
    0xff0a1717,
    0xff11241f,
    0xff051c14,
    0xff0d1d1e,
    0xff07191a,
    0xff0b1e1f,
    0xff212e30,
    0xff3f4843,
    0xff2a3126,
    0xff414e38,
    0xff2b3e24,
    0xff061e14,
    0xff0f2216,
    0xff1c2b1c,
    0xff0a1606,
    0xff344335,
    0xff1b2d27,
    0xff0a1d20,
    0xff0a1f27,
    0xff00121a,
    0xff132828,
    0xff041d1a,
    0xff061b23,
    0xff071d26,
    0xff031918,
    0xff122725,
    0xff112325,
    0xff112319,
    0xff1e2c26,
    0xff23322e,
    0xff071918,
    0xff041917,
    0xff001615,
    0xff05181b,
    0xff09171d,
    0xff152026,
    0xff172024,
    0xff1b2623,
    0xff15271c,
    0xff1f3728,
    0xff183825,
    0xff11311e,
    0xff1b3726,
    0xff152d23,
    0xff162c1c,
    0xff1d311e,
    0xff223522,
    0xff263425,
    0xff263325,
    0xff3b4637,
    0xff2f3827,
    0xff242e1c,
    0xff232919,
    0xff2a2b1d,
    0xff484a3a,
    0xff151b02,
    0xff232e0f,
    0xff59623a,
    0xff4c5129,
    0xff545c41,
    0xff37432f,
    0xff0c1d13,
    0xff0a211a,
    0xff05201e,
    0xff001b21,
    0xff0a202c,
    0xff0a1f2a,
    0xff051626,
    0xff172732,
    0xff213235,
    0xff1e2e25,
    0xff253a29,
    0xff142b19,
    0xff0b2615,
    0xff0f2b1d,
    0xff092621,
    0xff041d16,
    0xff0a2215,
    0xff193527,
    0xff254637,
    0xff0a3125,
    0xff082d25,
    0xff00211b,
    0xff001520,
    0xff0c232b,
    0xff071e24,
    0xff092026,
    0xff061d24,
    0xff0a2027,
    0xff19302e,
    0xff122823,
    0xff0d2120,
    0xff0e2022,
    0xff0e1f26,
    0xff1a3035,
    0xff173331,
    0xff0d2e28,
    0xff0e2e25,
    0xff15312d,
    0xff051a17,
    0xff04181a,
    0xff091a20,
    0xff091822,
    0xff04131e,
    0xff10222d,
    0xff0a1c26,
    0xff182b33,
    0xff0e3128,
    0xff062721,
    0xff052625,
    0xff082726,
    0xff133130,
    0xff052422,
    0xff082627,
    0xff072427,
    0xff021e23,
    0xff00191f,
    0xff011f26,
    0xff001b1d,
    0xff001d18,
    0xff031f15,
    0xff08231c,
    0xff06201c,
    0xff243836,
    0xff000e0d,
    0xff011112,
    0xff0e2120,
    0xff081d19,
    0xff0a1f1b,
    0xff202e29,
    0xff1b261f,
    0xff122116,
    0xff18291f,
    0xff10231a,
    0xff122723,
    0xff1d352e,
    0xff1a322b,
    0xff1d322d,
    0xff1d332c,
    0xff183330,
    0xff18322e,
    0xff122e27,
    0xff152f26,
    0xff162f25,
    0xff22362d,
    0xff21362b,
    0xff12271c,
    0xff253e32,
    0xff1e2f21,
    0xff1f2013,
    0xff443b2f,
    0xff402e20,
    0xff322415,
    0xff483d2e,
    0xff383023,
    0xff2e2f1c,
    0xff30341d,
    0xff333d23,
    0xff3b482b,
    0xff222e11,
    0xff5d664c,
    0xff30331c,
    0xff262511,
    0xff1b1914,
    0xff141411,
    0xff1b1f1f,
    0xff141d16,
    0xff1a2818,
    0xff222f1d,
    0xff0a1806,
    0xff1b2919,
    0xff112113,
    0xff1d2e1b,
    0xff0c1f11,
    0xff0c1f18,
    0xff051a0b,
    0xff1b2e13,
    0xff23371b,
    0xff1e2d1f,
    0xff161909,
    0xff333323,
    0xff323221,
    0xff202817,
    0xff1c2d1c,
    0xff0f231a,
    0xff0d2021,
    0xff091c1f,
    0xff0b1d19,
    0xff182624,
    0xff141f1f,
    0xff091714,
    0xff0c211e,
    0xff071b18,
    0xff08130d,
    0xff0b0b05,
    0xff2f281c,
    0xff202d1e,
    0xff0d1d12,
    0xff151711,
    0xff2f1c1e,
    0xff38201f,
    0xff3e1e24,
    0xff411921,
    0xff301c18,
    0xff371c26,
    0xff331522,
    0xff3a1c18,
    0xff2b1304,
    0xff291e1a,
    0xff35130d,
    0xff7e2009,
    0xffa31712,
    0xffc62727,
    0xffab0b00,
    0xffa71900,
    0xff981d06,
    0xff7a1508,
    0xffa76237,
    0xff725304,
    0xff71680c,
    0xff70781a,
    0xff6a8818,
    0xff4e730d,
    0xff658718,
    0xff5f7e23,
    0xff5d8223,
    0xff3b6611,
    0xff375a16,
    0xff274e16,
    0xff123a0c,
    0xff2e4928,
    0xff323d20,
    0xff404425,
    0xff3c4420,
    0xff21320a,
    0xff292f19,
    0xff4f3322,
    0xff3f1b11,
    0xff2a0a0a,
    0xff2d0304,
    0xff75493c,
    0xff644434,
    0xff290d0d,
    0xff38332d,
    0xff251814,
    0xff36190f,
    0xff723d27,
    0xff8c3a0e,
    0xffb24d17,
    0xffc75e2a,
    0xffaf4d1b,
    0xff9b3f08,
    0xff93380e,
    0xff711c05,
    0xff9c5425,
    0xff450300,
    0xff8a4c29,
    0xfff5be5b,
    0xff8e4f12,
    0xff420c00,
    0xff94451e,
    0xffc96c3d,
    0xff8d3c1e,
    0xff510c00,
    0xff83381c,
    0xff802802,
    0xff862c00,
    0xffe5a859,
    0xff845e08,
    0xffb79e24,
    0xffb0930f,
    0xffbc9546,
    0xff361400,
    0xff422d11,
    0xff342304,
    0xff2a1808,
    0xff2f2010,
    0xff352411,
    0xff583525,
    0xff432812,
    0xff706a4c,
    0xff605838,
    0xff636441,
    0xff3e3825,
    0xff514d3c,
    0xff414033,
    0xff24281c,
    0xff1c231b,
    0xff222921,
    0xff282e2a,
    0xff222824,
    0xff263230,
    0xff1a2523,
    0xff0d1518,
    0xff45484a,
    0xff2b2e2c,
    0xff303331,
    0xff0d1611,
    0xff2f3c35,
    0xff323a32,
    0xff373d37,
    0xff202721,
    0xff050c04,
    0xff091008,
    0xff091005,
    0xff081306,
    0xff101b0e,
    0xff030d0f,
    0xff505e5f,
    0xff1b2f2f,
    0xff364d4d,
    0xff4d6a6b,
    0xff496569,
    0xff4f696e,
    0xff586f79,
    0xff4c6169,
    0xff3e5256,
    0xff091916,
    0xff19241d,
    0xff313a2e,
    0xff161c0e,
    0xff24271c,
    0xff070b00,
    0xff142110,
    0xff212e13,
    0xff283014,
    0xff444333,
    0xff242818,
    0xff293d2a,
    0xff2a443a,
    0xff6e858c,
    0xff364546,
    0xff262925,
    0xff342d24,
    0xff302a19,
    0xff33311d,
    0xff363522,
    0xff3f3323,
    0xff4f3529,
    0xff7e5a3e,
    0xff111100,
    0xff606535,
    0xff5e5224,
    0xff191506,
    0xff252f22,
    0xff2f2c20,
    0xff170211,
    0xff1a150b,
    0xff27150d,
    0xff280c09,
    0xff321b17,
    0xff2a1d15,
    0xff160f03,
    0xff2e241a,
    0xff190700,
    0xff584237,
    0xff27120a,
    0xff271911,
    0xff1b130b,
    0xff17120c,
    0xff18150e,
    0xff16130a,
    0xff1a170e,
    0xff18120d,
    0xff120f09,
    0xff0f1108,
    0xff1a1f18,
    0xff0d110d,
    0xff060b06,
    0xff161912,
    0xff222418,
    0xff020b00,
    0xff061006,
    0xff07140f,
    0xff07110b,
    0xff050d02,
    0xff0e1302,
    0xff2d331a,
    0xff141d03,
    0xff161806,
    0xff1c2310,
    0xff2c3727,
    0xff000a00,
    0xff7e8477,
    0xff0a0900,
    0xff423c1a,
    0xff473b11,
    0xff4d4815,
    0xff342d0a,
    0xff392f15,
    0xff3e3917,
    0xff2d2d0a,
    0xff292d15,
    0xff131703,
    0xff60664f,
    0xff38392b,
    0xff0d1208,
    0xff010f08,
    0xff011008,
    0xff091606,
    0xff1d220a,
    0xff252308,
    0xff333012,
    0xff2e2f0e,
    0xff383015,
    0xff56462f,
    0xff4d3c28,
    0xff362b15,
    0xff31290f,
    0xfffff0d5,
    0xff594229,
    0xff3b2911,
    0xff392e06,
    0xff423c0b,
    0xff261f00,
    0xff695e41,
    0xff73644b,
    0xff5d5033,
    0xff6c6249,
    0xff09131d,
    0xff08161a,
    0xff0f1b1d,
    0xff0d1516,
    0xff111417,
    0xff101519,
    0xff0b1119,
    0xff051019,
    0xff001722,
    0xff001618,
    0xff001313,
    0xff00151f,
    0xff011b27,
    0xff001a1d,
    0xff001a1d,
    0xff00111e,
    0xff031927,
    0xff000f19,
    0xff0e1316,
    0xff1a1d17,
    0xff161a12,
    0xff050d07,
    0xff091515,
    0xff061217,
    0xff021210,
    0xff031311,
    0xff001212,
    0xff031519,
    0xff03141d,
    0xff00111b,
    0xff03121c,
    0xff04121b,
    0xff001315,
    0xff06181e,
    0xff00111a,
    0xff0d1f29,
    0xff182b2e,
    0xff07161b,
    0xff14232a,
    0xff0a1821,
    0xff04161b,
    0xff0a1a20,
    0xff031119,
    0xff04141a,
    0xff0b1b22,
    0xff111f24,
    0xff091719,
    0xff192328,
    0xff182523,
    0xff162221,
    0xff142122,
    0xff071418,
    0xff07161c,
    0xff03111b,
    0xff06161f,
    0xff071722,
    0xff021219,
    0xff06141b,
    0xff07131a,
    0xff0a151b,
    0xff0d171d,
    0xff0a151d,
    0xff111c25,
    0xff142029,
    0xff001417,
    0xff021518,
    0xff001215,
    0xff001115,
    0xff001017,
    0xff001116,
    0xff011118,
    0xff011119,
    0xff05101c,
    0xff071222,
    0xff081324,
    0xff06111e,
    0xff06111e,
    0xff101d27,
    0xff07141d,
    0xff041117,
    0xff011113,
    0xff06181a,
    0xff001217,
    0xff001317,
    0xff071a1b,
    0xff051819,
    0xff00151a,
    0xff00181d,
    0xff04131c,
    0xff01121a,
    0xff000f1a,
    0xff00151c,
    0xff001013,
    0xff021415,
    0xff08161a,
    0xff0a131a,
    0xff0a1314,
    0xff07121c,
    0xff091516,
    0xff051611,
    0xff0c1d1f,
    0xff06171b,
    0xff071817,
    0xff162227,
    0xff13201c,
    0xff10211f,
    0xff071d1e,
    0xff0a2626,
    0xff0a2624,
    0xff55716c,
    0xff5e7468,
    0xff2f4235,
    0xff212e24,
    0xff212d24,
    0xff303d32,
    0xff455146,
    0xff1a2618,
    0xff445143,
    0xff253224,
    0xff192719,
    0xff112322,
    0xff162521,
    0xff262f2a,
    0xff2a302e,
    0xff28312b,
    0xff1b251b,
    0xff1d2814,
    0xff485237,
    0xff3a3d2d,
    0xff2b2f26,
    0xff323a39,
    0xff141b1e,
    0xff181e1b,
    0xff2b2e21,
    0xff3a3a21,
    0xff3f3d1f,
    0xff44422c,
    0xff433f25,
    0xff4c4927,
    0xff4f4c2d,
    0xff525139,
    0xff4f4d3c,
    0xff514c3f,
    0xff868072,
    0xff607f71,
    0xff254434,
    0xff223d2a,
    0xff41533f,
    0xff263121,
    0xff1e2813,
    0xff304027,
    0xff384a2e,
    0xff3a3e22,
    0xff484630,
    0xff4f4736,
    0xff484330,
    0xff353620,
    0xff1f2514,
    0xff191a18,
    0xff211f2a,
    0xff091a1c,
    0xff2b3928,
    0xff303515,
    0xff52532f,
    0xff292c13,
    0xff293325,
    0xff18271b,
    0xff425448,
    0xff192e25,
    0xff011810,
    0xff051c14,
    0xff071c16,
    0xff031109,
    0xff081510,
    0xff112122,
    0xff000c13,
    0xff243730,
    0xff1a2c27,
    0xff122722,
    0xff021c18,
    0xff001f15,
    0xff052311,
    0xff273a1e,
    0xff38431f,
    0xff2b362b,
    0xff1b261f,
    0xff323f36,
    0xff112212,
    0xff26392b,
    0xff213031,
    0xff09181b,
    0xff1b2a25,
    0xff1d2818,
    0xff222520,
    0xff2a2b1c,
    0xff363620,
    0xff16170e,
    0xff2d3120,
    0xff5d613e,
    0xff383823,
    0xff021612,
    0xff081a16,
    0xff0b1917,
    0xff051413,
    0xff081a1b,
    0xff061b1c,
    0xff031a1c,
    0xff001718,
    0xff081618,
    0xff03160f,
    0xff101c12,
    0xff1e1c13,
    0xff24211a,
    0xff0f1c16,
    0xff031a16,
    0xff031416,
    0xff041717,
    0xff031916,
    0xff001414,
    0xff021011,
    0xff161e21,
    0xff0f1416,
    0xff121c1c,
    0xff03140d,
    0xff04150f,
    0xff001514,
    0xff00111c,
    0xff061527,
    0xff0f1a2a,
    0xff2c393a,
    0xff334535,
    0xff284124,
    0xff182f2c,
    0xff172b28,
    0xff697a73,
    0xff303c34,
    0xff06130c,
    0xff001114,
    0xff051d2a,
    0xff4a657b,
    0xff647ea2,
    0xff19344d,
    0xff8dabbc,
    0xff557082,
    0xff001b25,
    0xff07221c,
    0xff051f15,
    0xff051a1a,
    0xff162927,
    0xff152523,
    0xff0b1a17,
    0xff132420,
    0xff122821,
    0xff0c241c,
    0xff162b24,
    0xff172722,
    0xff192824,
    0xff1f2c26,
    0xff263028,
    0xff1b291f,
    0xff1b2d21,
    0xff1e3226,
    0xff1d3026,
    0xff2a3b35,
    0xff273835,
    0xff26382d,
    0xff354633,
    0xff37472e,
    0xff2b371f,
    0xff465038,
    0xff2e351c,
    0xff4f563c,
    0xff3f4934,
    0xff373c29,
    0xff414134,
    0xff4b493e,
    0xff474737,
    0xff464831,
    0xff45472a,
    0xff555737,
    0xff545a33,
    0xff5b633d,
    0xff6c7b58,
    0xff4b5b43,
    0xff1c2e1d,
    0xff000f03,
    0xff06160c,
    0xff0c1813,
    0xff0b1414,
    0xff27332b,
    0xffa2b1a1,
    0xff354732,
    0xff5c7156,
    0xff425a3c,
    0xff3b5437,
    0xff2e4728,
    0xff2a4420,
    0xff364c2b,
    0xff102109,
    0xff223429,
    0xff112628,
    0xff011b1d,
    0xff1b3835,
    0xff1a362e,
    0xff001c20,
    0xff00191a,
    0xff021a1b,
    0xff092223,
    0xff0e2328,
    0xff0e2127,
    0xff041717,
    0xff162a28,
    0xff142b28,
    0xff203339,
    0xff42555c,
    0xff495e64,
    0xff1c3937,
    0xff0f2e28,
    0xff112f26,
    0xff06211b,
    0xff091d1d,
    0xff2f3f44,
    0xff2e3b41,
    0xff19242d,
    0xff2c3740,
    0xff3c4a51,
    0xff1d3134,
    0xff162c2d,
    0xff082624,
    0xff011f21,
    0xff041f24,
    0xff0d272a,
    0xff082325,
    0xff04211f,
    0xff0b292a,
    0xff012026,
    0xff001a23,
    0xff001824,
    0xff021c27,
    0xff001821,
    0xff021c1f,
    0xff021c1d,
    0xff062021,
    0xff0b2526,
    0xff152d2e,
    0xff0a1f22,
    0xff112529,
    0xff081c20,
    0xff092022,
    0xff071e1e,
    0xff051919,
    0xff051616,
    0xff091a15,
    0xff152520,
    0xff1f322e,
    0xff152a27,
    0xff0d201f,
    0xff152b28,
    0xff102422,
    0xff0e2220,
    0xff03241e,
    0xff072822,
    0xff0a2b25,
    0xff062521,
    0xff011b16,
    0xff07241d,
    0xff0d2721,
    0xff0e2920,
    0xff002017,
    0xff163127,
    0xff1c2a20,
    0xff202217,
    0xff2a2519,
    0xff2e291c,
    0xff312f1f,
    0xff2a2a1c,
    0xff1b211e,
    0xff1d2823,
    0xff13241d,
    0xff1c3022,
    0xff263a29,
    0xff1e2f1e,
    0xff303a28,
    0xff3b3f2f,
    0xff111e16,
    0xff15241e,
    0xff0d1b18,
    0xff172820,
    0xff0a1b10,
    0xff000f01,
    0xff16261b,
    0xff04140d,
    0xff00130c,
    0xff041809,
    0xff061d0f,
    0xff041a14,
    0xff0c2217,
    0xff30472f,
    0xff223a23,
    0xff07170e,
    0xff22291f,
    0xff121a13,
    0xff202823,
    0xff142218,
    0xff112315,
    0xff0a1f13,
    0xff08181a,
    0xff0c1923,
    0xff071e1e,
    0xff091c12,
    0xff182517,
    0xff17281b,
    0xff0b2015,
    0xff072011,
    0xff09190c,
    0xff000b00,
    0xff061603,
    0xff0f2417,
    0xff0b1a12,
    0xff211819,
    0xff351a1e,
    0xff371d1d,
    0xff33191d,
    0xff3a1923,
    0xff2a211d,
    0xff381923,
    0xff36161a,
    0xff301e18,
    0xff2e1c19,
    0xff2b1b07,
    0xff664323,
    0xff783219,
    0xff6c1803,
    0xff852110,
    0xffaf4924,
    0xff9d3f12,
    0xff9e4927,
    0xff8f412b,
    0xff71420e,
    0xff8e7f20,
    0xff716a03,
    0xff7e8522,
    0xff839d37,
    0xff395902,
    0xff688720,
    0xff425d07,
    0xff476a08,
    0xff264b00,
    0xff4d6d25,
    0xff25460a,
    0xff143506,
    0xff233514,
    0xff202008,
    0xff36321a,
    0xff232408,
    0xff2c3817,
    0xff3f351e,
    0xff391203,
    0xff3c120a,
    0xff310f0e,
    0xff340d0d,
    0xff2e0502,
    0xff3a1211,
    0xff511b23,
    0xff4c342b,
    0xff25211e,
    0xff090e10,
    0xff130304,
    0xff4b1509,
    0xffac5435,
    0xffb75429,
    0xff912c00,
    0xffbb602e,
    0xffa85839,
    0xff702e14,
    0xff561b00,
    0xff7b392a,
    0xff79361c,
    0xff713901,
    0xff885520,
    0xff8f5e3c,
    0xff8d491c,
    0xffa75a29,
    0xff6f2f12,
    0xff542213,
    0xff470d05,
    0xff71251a,
    0xff721c0c,
    0xff934f22,
    0xff6b430f,
    0xff7c6d15,
    0xffc4ad36,
    0xff825912,
    0xff3d0b01,
    0xff4e1f18,
    0xff400f05,
    0xff381713,
    0xff2f150d,
    0xff121303,
    0xff4f452f,
    0xff281904,
    0xff655f46,
    0xff583829,
    0xff481f13,
    0xff342919,
    0xff464133,
    0xff302e22,
    0xff2f3228,
    0xff232a23,
    0xff000602,
    0xff3b403c,
    0xff050b07,
    0xff011917,
    0xff213432,
    0xff08120f,
    0xff4c5151,
    0xff1d2324,
    0xff0d1718,
    0xff1c2627,
    0xff3f4948,
    0xff1c231d,
    0xff171d15,
    0xff1f261e,
    0xff161d13,
    0xff1a2517,
    0xff111c0c,
    0xff131e0d,
    0xff192413,
    0xff0a170a,
    0xff3b4b41,
    0xff162c20,
    0xff2a4439,
    0xff243f3a,
    0xff354e4d,
    0xff2a4247,
    0xff63767f,
    0xff314546,
    0xff2c3c3a,
    0xff061711,
    0xff203024,
    0xff081509,
    0xff18251a,
    0xff122016,
    0xff0b1811,
    0xff0b110c,
    0xff151a09,
    0xff101302,
    0xff161916,
    0xff111c1e,
    0xff0c1c17,
    0xff4c5957,
    0xff737a88,
    0xff2e2c29,
    0xff5e4e43,
    0xff492d16,
    0xff6c5234,
    0xff4c3d1d,
    0xff58533a,
    0xff5a5644,
    0xff1a0e06,
    0xff3e2c22,
    0xff414a37,
    0xff2a2511,
    0xff3f1810,
    0xff3b1f1c,
    0xff262115,
    0xff100b00,
    0xff281d10,
    0xff2d1f0f,
    0xff4e3426,
    0xff4a2818,
    0xff3b1c08,
    0xff2d1c07,
    0xff1e1202,
    0xff2e1e17,
    0xff291011,
    0xff674e43,
    0xff2a150a,
    0xff25140d,
    0xff231b13,
    0xff1b1610,
    0xff14140f,
    0xff191911,
    0xff191911,
    0xff0e140f,
    0xff101912,
    0xff071108,
    0xff111c14,
    0xff030b09,
    0xff101513,
    0xff1c1c18,
    0xff181711,
    0xff0a160e,
    0xff03110d,
    0xff0f1d19,
    0xff030e07,
    0xff181c0d,
    0xff35361c,
    0xff3e3e1c,
    0xff4c4b27,
    0xff33381b,
    0xff3c442a,
    0xff1b2711,
    0xff182615,
    0xff2f3a2b,
    0xff747764,
    0xff1e1b00,
    0xff362f08,
    0xff1b1e00,
    0xff0a1000,
    0xff282a15,
    0xff2d3110,
    0xff2d2e0b,
    0xff161500,
    0xff202311,
    0xff373c25,
    0xff5b5d4f,
    0xff0d1206,
    0xff06140a,
    0xff031104,
    0xff161f0b,
    0xff26280e,
    0xff353313,
    0xff45401f,
    0xff282607,
    0xff383216,
    0xff4b3c25,
    0xff625441,
    0xff665b47,
    0xffe8ddc9,
    0xff3e2f1a,
    0xff56412d,
    0xff2c2809,
    0xff242400,
    0xff1d1d0c,
    0xff242510,
    0xff4b4c20,
    0xff757255,
    0xff4f4947,
    0xff43422e,
    0xff021520,
    0xff061a22,
    0xff001118,
    0xff011117,
    0xff030e16,
    0xff07111a,
    0xff010f1b,
    0xff000f1e,
    0xff09182b,
    0xff041620,
    0xff1c2f37,
    0xff344759,
    0xff192d3e,
    0xff04161f,
    0xff001019,
    0xff344358,
    0xff4b667f,
    0xff1c3048,
    0xff030d1f,
    0xff020915,
    0xff0e1821,
    0xff02101b,
    0xff031120,
    0xff051526,
    0xff011415,
    0xff001510,
    0xff001512,
    0xff02181b,
    0xff00101b,
    0xff011325,
    0xff011424,
    0xff0e2230,
    0xff132c4a,
    0xff284163,
    0xff112849,
    0xff122a44,
    0xff263e4e,
    0xff20343d,
    0xff011418,
    0xff011416,
    0xff04171e,
    0xff00121b,
    0xff091c26,
    0xff243842,
    0xff1c2e39,
    0xff04151e,
    0xff000f14,
    0xff07171c,
    0xff1d2524,
    0xff101718,
    0xff11191d,
    0xff0a111b,
    0xff010915,
    0xff050e1c,
    0xff040b1b,
    0xff091222,
    0xff05191f,
    0xff001317,
    0xff08191c,
    0xff041518,
    0xff021314,
    0xff001112,
    0xff001215,
    0xff001314,
    0xff021013,
    0xff040f18,
    0xff020e15,
    0xff020e17,
    0xff010d17,
    0xff020d18,
    0xff030d1a,
    0xff020d19,
    0xff011016,
    0xff000b11,
    0xff011217,
    0xff011117,
    0xff011113,
    0xff000e11,
    0xff021213,
    0xff041315,
    0xff031718,
    0xff031619,
    0xff021617,
    0xff001315,
    0xff011517,
    0xff011617,
    0xff001616,
    0xff001616,
    0xff021310,
    0xff001212,
    0xff001114,
    0xff051a1a,
    0xff00120e,
    0xff0c211a,
    0xff061916,
    0xff001311,
    0xff021618,
    0xff07181d,
    0xff091a1b,
    0xff051b0f,
    0xff001910,
    0xff183238,
    0xff102532,
    0xff0b1d2b,
    0xff112024,
    0xff0b1c23,
    0xff0c2329,
    0xff011c23,
    0xff2a484c,
    0xff385756,
    0xff486561,
    0xff0e2b23,
    0xff051713,
    0xff0f1e1b,
    0xff364541,
    0xff202e28,
    0xff03110b,
    0xff111e19,
    0xff091715,
    0xff0c1c1b,
    0xff51686c,
    0xff24373b,
    0xff041115,
    0xff152226,
    0xff07171a,
    0xff1c2d2b,
    0xff112116,
    0xff1e2d1d,
    0xff465247,
    0xff152219,
    0xff11221b,
    0xff273b36,
    0xff677a79,
    0xff09181a,
    0xff314246,
    0xff29373b,
    0xff041917,
    0xff4b5d50,
    0xff424f3d,
    0xff142312,
    0xff071910,
    0xff0d1f1c,
    0xff051009,
    0xff2f3327,
    0xff3a504c,
    0xff162b25,
    0xff001409,
    0xff12231a,
    0xff091a13,
    0xff12241f,
    0xff021812,
    0xff091d13,
    0xff3f4037,
    0xff21241d,
    0xff1d2b1f,
    0xff1f2d20,
    0xff0f190b,
    0xff101c11,
    0xff00100d,
    0xff000f0e,
    0xff57757d,
    0xff283f47,
    0xff112125,
    0xff0d1914,
    0xff07160c,
    0xff0c1f16,
    0xff0c1f23,
    0xff1d2f38,
    0xff112423,
    0xff031b1a,
    0xff061d20,
    0xff06191d,
    0xff05141a,
    0xff030f18,
    0xff03101c,
    0xff041626,
    0xff05121e,
    0xff17232b,
    0xff04111b,
    0xff01101b,
    0xff00141d,
    0xff001216,
    0xff1f2e29,
    0xff1d281f,
    0xff031820,
    0xff081c20,
    0xff071d15,
    0xff0a2113,
    0xff0d231c,
    0xff0d2124,
    0xff03151c,
    0xff07191b,
    0xff0e1f22,
    0xff161f32,
    0xff080f16,
    0xff0b1312,
    0xff0f1b22,
    0xff1b2727,
    0xff0a180b,
    0xff0e1919,
    0xff0c1621,
    0xff08131f,
    0xff0b151f,
    0xff061118,
    0xff071017,
    0xff020e14,
    0xff031018,
    0xff03121a,
    0xff06151d,
    0xff051b1d,
    0xff021512,
    0xff0f1515,
    0xff12181b,
    0xff03161a,
    0xff071e23,
    0xff011317,
    0xff021316,
    0xff001216,
    0xff001015,
    0xff010f16,
    0xff091217,
    0xff14181e,
    0xff182122,
    0xff1a2727,
    0xff000f0d,
    0xff001511,
    0xff001517,
    0xff041a1b,
    0xff041617,
    0xff11221e,
    0xff1e3326,
    0xff07200f,
    0xff0d2121,
    0xff1b2e30,
    0xff364a4c,
    0xff9cabaf,
    0xffafbdc3,
    0xff2d404b,
    0xff001025,
    0xff264561,
    0xff294763,
    0xff001d31,
    0xff133042,
    0xff0d283e,
    0xff051f2c,
    0xff082221,
    0xff001417,
    0xff021727,
    0xff20343d,
    0xff081b22,
    0xff152628,
    0xff132422,
    0xff1d332c,
    0xff2e453b,
    0xff2a3f36,
    0xff23332b,
    0xff1e312c,
    0xff15241f,
    0xff1d2725,
    0xff283332,
    0xff243332,
    0xff253334,
    0xff242e34,
    0xff2a3235,
    0xff394843,
    0xff3e4c3f,
    0xff32402b,
    0xff505d42,
    0xff566042,
    0xff545a3a,
    0xff535837,
    0xff6c714c,
    0xff6a7153,
    0xff4a4e36,
    0xff4c4e37,
    0xff494734,
    0xff666250,
    0xff706c57,
    0xff67654a,
    0xff515231,
    0xff757a44,
    0xff949d5b,
    0xff7b8748,
    0xff747f4f,
    0xff53603a,
    0xff505c34,
    0xff68734a,
    0xff555e39,
    0xff909d6c,
    0xff97a478,
    0xff70805b,
    0xff36432b,
    0xff344531,
    0xff4b5c47,
    0xff364c2b,
    0xff7b9168,
    0xff546843,
    0xff5a6943,
    0xff77845f,
    0xff37442a,
    0xff091812,
    0xff001218,
    0xff081c26,
    0xff15282f,
    0xff153132,
    0xff0d2825,
    0xff102721,
    0xff0e221f,
    0xff132324,
    0xff152325,
    0xff263436,
    0xff1a2826,
    0xff425756,
    0xff3e5256,
    0xff44555e,
    0xff405359,
    0xff223b38,
    0xff1f3a32,
    0xff213a31,
    0xff22362e,
    0xff34483f,
    0xff3c4c45,
    0xff3a4841,
    0xff3b4541,
    0xff303b36,
    0xff313f36,
    0xff2c3b2f,
    0xff162a1c,
    0xff12252d,
    0xff0a1c27,
    0xff041624,
    0xff0c1e2a,
    0xff071b23,
    0xff011820,
    0xff001724,
    0xff08212f,
    0xff051c26,
    0xff011923,
    0xff001520,
    0xff00151e,
    0xff021820,
    0xff00151b,
    0xff001419,
    0xff04191c,
    0xff001817,
    0xff0e2225,
    0xff203135,
    0xff2e4244,
    0xff314749,
    0xff42595b,
    0xff3b4f54,
    0xff384a4e,
    0xff425152,
    0xff415453,
    0xff324543,
    0xff3b4e4c,
    0xff324644,
    0xff0a1e1d,
    0xff0b1f1f,
    0xff0b201e,
    0xff011819,
    0xff011717,
    0xff03181a,
    0xff081b1f,
    0xff06191d,
    0xff021619,
    0xff081c1d,
    0xff071b1c,
    0xff051e20,
    0xff061a1b,
    0xff1d2a29,
    0xff131c19,
    0xff131c14,
    0xff081308,
    0xff08190d,
    0xff0c2213,
    0xff0e1a1d,
    0xff0d1c1e,
    0xff001611,
    0xff081e14,
    0xff172e20,
    0xff122413,
    0xff14220e,
    0xff293621,
    0xff102712,
    0xff061d0c,
    0xff0f2218,
    0xff1c3027,
    0xff1b2c26,
    0xff1a2b2b,
    0xff303c46,
    0xff455160,
    0xff42525c,
    0xff142923,
    0xff00140a,
    0xff000d0c,
    0xff152627,
    0xff0d1e15,
    0xff02100b,
    0xff000004,
    0xff000000,
    0xff000000,
    0xff000a0c,
    0xff000301,
    0xff000601,
    0xff000600,
    0xff000506,
    0xff000008,
    0xff000811,
    0xff04100c,
    0xff030900,
    0xff09100a,
    0xff000e0d,
    0xff0d1c18,
    0xff162620,
    0xff262d2d,
    0xff1a2c1d,
    0xff00150c,
    0xff070c0f,
    0xff1d0811,
    0xff3c1c20,
    0xff2f1516,
    0xff382124,
    0xff3f222d,
    0xff2f1d1d,
    0xff431822,
    0xff3a1419,
    0xff2d1c1e,
    0xff311e2b,
    0xff2a1608,
    0xff705f3a,
    0xff3f1e0c,
    0xff6a4a2e,
    0xff542f0f,
    0xff8f6d3a,
    0xff7e6228,
    0xff7f5f2c,
    0xff5b3303,
    0xff95762a,
    0xff867a10,
    0xff818313,
    0xff5c6504,
    0xff637819,
    0xff577128,
    0xff608015,
    0xff547311,
    0xff617f1e,
    0xff66832f,
    0xff5c6a2b,
    0xff273401,
    0xff2f3c13,
    0xff313819,
    0xff1e210a,
    0xff252710,
    0xff111601,
    0xff1c2510,
    0xff2d1303,
    0xff46170e,
    0xff390f07,
    0xff270b05,
    0xff230303,
    0xff2c110c,
    0xff33140f,
    0xff3c0a0d,
    0xff4f241e,
    0xff261914,
    0xff11110e,
    0xff220802,
    0xff823f30,
    0xff973b1d,
    0xffa24014,
    0xffb55427,
    0xff963f1c,
    0xff844216,
    0xff4e1e04,
    0xff50210e,
    0xff551e0c,
    0xff51120c,
    0xff410c0b,
    0xff714a1e,
    0xff692f0f,
    0xff531700,
    0xff895035,
    0xff5d220b,
    0xff5c1b07,
    0xff651a09,
    0xff6c2015,
    0xff520500,
    0xff5e0900,
    0xff723910,
    0xff977224,
    0xff885f17,
    0xff7a451e,
    0xff4b1e0f,
    0xff684846,
    0xff503543,
    0xff543825,
    0xff662a1d,
    0xff472712,
    0xff4e2b11,
    0xff370e00,
    0xff6c5137,
    0xff532b1a,
    0xff301c07,
    0xff2f2719,
    0xff413d30,
    0xff393a2f,
    0xff292e27,
    0xff20271f,
    0xff020c07,
    0xff2d322e,
    0xff111814,
    0xff031815,
    0xff1f2925,
    0xff1f1e18,
    0xff51504d,
    0xff121715,
    0xff0a1415,
    0xff0f1919,
    0xff222626,
    0xff1c251c,
    0xff3c463d,
    0xff1c261b,
    0xff0f190e,
    0xff152012,
    0xff111c0c,
    0xff1d2818,
    0xff101a0b,
    0xff0f1d0e,
    0xff304133,
    0xff1e3325,
    0xff273d32,
    0xff2a413c,
    0xff2c4140,
    0xff53676d,
    0xff65787f,
    0xff475557,
    0xff263534,
    0xff000d06,
    0xff0c1b11,
    0xff0f1f12,
    0xff07170b,
    0xff0a1a10,
    0xff01110a,
    0xff172228,
    0xff33261d,
    0xff2a0e06,
    0xff321c22,
    0xff12010a,
    0xff170604,
    0xff483c3c,
    0xff76747c,
    0xff4b4135,
    0xff44331d,
    0xff6e5738,
    0xff694f2f,
    0xff442f12,
    0xff2c1d0a,
    0xff5d5348,
    0xff0c0402,
    0xff0a0a0e,
    0xff3f5145,
    0xff0f0c0c,
    0xff33111c,
    0xff3b1d1e,
    0xff27110a,
    0xff311308,
    0xff4f2f16,
    0xff482015,
    0xff7a5241,
    0xff552e17,
    0xff503019,
    0xff220f00,
    0xff3f3523,
    0xff2d271f,
    0xff171211,
    0xff060800,
    0xff1e2312,
    0xff0d1001,
    0xff1f2215,
    0xff1a1d14,
    0xff141710,
    0xff1f211b,
    0xff282a25,
    0xff11211e,
    0xff11221a,
    0xff031409,
    0xff1e2c22,
    0xff07120e,
    0xff09100d,
    0xff10120e,
    0xff11110c,
    0xff040f07,
    0xff0b1a15,
    0xff0b1912,
    0xff061003,
    0xff0e1103,
    0xff403c1f,
    0xff383412,
    0xff393512,
    0xff0f1400,
    0xff0d1600,
    0xff111d07,
    0xff13210f,
    0xff060f04,
    0xff6c7364,
    0xff464633,
    0xff28280c,
    0xff031000,
    0xff0a160b,
    0xff0d1a0b,
    0xff202b0e,
    0xff474c2a,
    0xff34331d,
    0xff1c1d0e,
    0xff080c00,
    0xff646455,
    0xff070d01,
    0xff09140b,
    0xff0d1a0d,
    0xff222917,
    0xff32341b,
    0xff222002,
    0xff1c1900,
    0xff242006,
    0xff2d2913,
    0xff3f3d2b,
    0xff4b4535,
    0xff50473b,
    0xff110500,
    0xff1b1101,
    0xff2d2714,
    0xff212509,
    0xff1f250f,
    0xff081108,
    0xff061000,
    0xff515937,
    0xff2c2e20,
    0xff807f83,
    0xff45493d,
    0xff001621,
    0xff00161f,
    0xff00141d,
    0xff001018,
    0xff000d19,
    0xff000d19,
    0xff000e1d,
    0xff001322,
    0xff000a21,
    0xff000b1a,
    0xff00111e,
    0xff000b22,
    0xff001026,
    0xff000d1a,
    0xff000714,
    0xff05182f,
    0xff001d2e,
    0xff001e2e,
    0xff00111e,
    0xff00121a,
    0xff000c13,
    0xff001018,
    0xff001a26,
    0xff000f1f,
    0xff000b26,
    0xff000b23,
    0xff001125,
    0xff001933,
    0xff072447,
    0xff07224b,
    0xff000f33,
    0xff0d2848,
    0xff284978,
    0xff37598d,
    0xff446599,
    0xff5070a0,
    0xff17355d,
    0xff031b39,
    0xff000a25,
    0xff000c26,
    0xff000b15,
    0xff000b17,
    0xff000f1e,
    0xff001b28,
    0xff001120,
    0xff000c19,
    0xff00131b,
    0xff000e15,
    0xff000b0e,
    0xff000b11,
    0xff000b13,
    0xff000d16,
    0xff000b16,
    0xff000d18,
    0xff00121a,
    0xff000e16,
    0xff000e1c,
    0xff000915,
    0xff000d1a,
    0xff000811,
    0xff000910,
    0xff000a0f,
    0xff000b11,
    0xff000c12,
    0xff000909,
    0xff00080a,
    0xff00080a,
    0xff00080c,
    0xff000c11,
    0xff000a12,
    0xff000b13,
    0xff000b14,
    0xff000b13,
    0xff000e16,
    0xff000a12,
    0xff000b13,
    0xff000912,
    0xff000c15,
    0xff000b14,
    0xff000d17,
    0xff001626,
    0xff000b19,
    0xff000a17,
    0xff000a19,
    0xff000c1a,
    0xff000d1a,
    0xff000915,
    0xff000710,
    0xff000a0f,
    0xff000910,
    0xff000812,
    0xff000912,
    0xff00070e,
    0xff1a3034,
    0xff061b21,
    0xff001018,
    0xff000f18,
    0xff000f23,
    0xff000f24,
    0xff000912,
    0xff00151b,
    0xff052234,
    0xff051f38,
    0xff001727,
    0xff0b2232,
    0xff001021,
    0xff000f21,
    0xff000e21,
    0xff000e1f,
    0xff011b2a,
    0xff001421,
    0xff000711,
    0xff000915,
    0xff00111d,
    0xff000e18,
    0xff000713,
    0xff000b19,
    0xff000417,
    0xff000a1d,
    0xff00122b,
    0xff001b2b,
    0xff001526,
    0xff00101e,
    0xff000a19,
    0xff0b1e2e,
    0xff031825,
    0xff04161e,
    0xff051619,
    0xff001216,
    0xff001316,
    0xff001016,
    0xff1d333d,
    0xff061b2d,
    0xff152843,
    0xff21314f,
    0xff0d1e39,
    0xff000f18,
    0xff112329,
    0xff071c21,
    0xff12252c,
    0xff000812,
    0xff00030f,
    0xff00050e,
    0xff00090e,
    0xff000a1a,
    0xff111c28,
    0xff031014,
    0xff000e14,
    0xff081b25,
    0xff000a15,
    0xff000813,
    0xff0d1b23,
    0xff0d1a1d,
    0xff000d0e,
    0xff001111,
    0xff000c0b,
    0xff001110,
    0xff001414,
    0xff001111,
    0xff001a1c,
    0xff19353a,
    0xff0d2a31,
    0xff051b24,
    0xff0c2227,
    0xff001919,
    0xff102b2b,
    0xff021c1f,
    0xff082126,
    0xff041f1b,
    0xff001517,
    0xff001419,
    0xff00161c,
    0xff000c12,
    0xff00131a,
    0xff000d13,
    0xff00111a,
    0xff000e18,
    0xff000f17,
    0xff000e16,
    0xff000b12,
    0xff000b12,
    0xff00080b,
    0xff000b06,
    0xff000800,
    0xff001011,
    0xff051d20,
    0xff001315,
    0xff001719,
    0xff001516,
    0xff000e0d,
    0xff001416,
    0xff001218,
    0xff031c1e,
    0xff051822,
    0xff0b1d21,
    0xff102120,
    0xff011619,
    0xff092120,
    0xff001311,
    0xff041621,
    0xff101e2b,
    0xff061822,
    0xff192f36,
    0xff000d13,
    0xff000e10,
    0xff000e10,
    0xff000c0e,
    0xff000b14,
    0xff000c1a,
    0xff00141c,
    0xff0a2428,
    0xff00101b,
    0xff081727,
    0xff001624,
    0xff00131d,
    0xff000b11,
    0xff000d17,
    0xff000c14,
    0xff00141c,
    0xff00131b,
    0xff000e17,
    0xff041019,
    0xff051017,
    0xff00090e,
    0xff000d13,
    0xff001012,
    0xff001210,
    0xff00130d,
    0xff000b06,
    0xff00100e,
    0xff000e0f,
    0xff031719,
    0xff000f12,
    0xff193139,
    0xff0b2231,
    0xff000e1f,
    0xff737f91,
    0xffb7c5d6,
    0xff8196ad,
    0xff152f4a,
    0xff122c39,
    0xff254045,
    0xff1b343c,
    0xff344b5d,
    0xff637886,
    0xff889ea3,
    0xff748596,
    0xff58698a,
    0xff546d7d,
    0xff2a404c,
    0xff273940,
    0xff394b4e,
    0xff304445,
    0xff213533,
    0xff26383a,
    0xff78848a,
    0xff95a7b0,
    0xffa6b6c2,
    0xffabb7c6,
    0xff808d9d,
    0xff657784,
    0xff81939d,
    0xff83939b,
    0xff839197,
    0xff425055,
    0xff4f5b59,
    0xff475249,
    0xff2a3429,
    0xff31392b,
    0xff303628,
    0xff4e5341,
    0xff4d503d,
    0xff545847,
    0xff5f6352,
    0xff585b4c,
    0xff5a5748,
    0xff554c3f,
    0xff564f3d,
    0xff56543e,
    0xff8b8d74,
    0xff73715c,
    0xff676c46,
    0xff70764c,
    0xff53563f,
    0xff7c8071,
    0xff90947f,
    0xff8c9176,
    0xff858872,
    0xff7c8558,
    0xff768157,
    0xff505e40,
    0xff9eac9d,
    0xffb2c1bf,
    0xffdfefed,
    0xff2b3c2d,
    0xff52654d,
    0xffa7b6aa,
    0xff6b775f,
    0xff7e8863,
    0xff939e7c,
    0xff283722,
    0xff2d3d3d,
    0xff2f3f4b,
    0xff000d1b,
    0xff081c1f,
    0xff253535,
    0xff344540,
    0xff404e49,
    0xff424e4c,
    0xff4d5958,
    0xff414e4d,
    0xff475753,
    0xff2e413d,
    0xff435253,
    0xff3d4c50,
    0xff1a282b,
    0xff1a2d2a,
    0xff2a3e34,
    0xff35483d,
    0xff39453d,
    0xff45594a,
    0xff445649,
    0xff344338,
    0xff4a544b,
    0xff505b53,
    0xff556057,
    0xff404c42,
    0xff2e3a31,
    0xff132226,
    0xff112228,
    0xff12232b,
    0xff081b20,
    0xff001011,
    0xff03171a,
    0xff05171f,
    0xff01131e,
    0xff01141b,
    0xff011619,
    0xff001417,
    0xff071a1f,
    0xff04151a,
    0xff192b31,
    0xff1d2e31,
    0xff1f302e,
    0xff243532,
    0xff2a3736,
    0xff2e3a39,
    0xff2b3837,
    0xff1e312e,
    0xff233735,
    0xff2b3e3e,
    0xff364547,
    0xff314040,
    0xff2d3d3c,
    0xff445351,
    0xff374a45,
    0xff223531,
    0xff203230,
    0xff162927,
    0xff102423,
    0xff0c191d,
    0xff162329,
    0xff13232b,
    0xff04131c,
    0xff000912,
    0xff00020c,
    0xff00060f,
    0xff00050e,
    0xff000411,
    0xff000614,
    0xff0b1922,
    0xff232f35,
    0xff243135,
    0xff394849,
    0xff283c39,
    0xff374c49,
    0xff3e4d49,
    0xff3d4d46,
    0xff34443a,
    0xff2e3d32,
    0xff3d4c3f,
    0xff4a5849,
    0xff394634,
    0xff3f4a39,
    0xff445543,
    0xff526254,
    0xff5a6861,
    0xff4a5753,
    0xff4b5958,
    0xff7b898d,
    0xff8995a2,
    0xff778296,
    0xff33414e,
    0xff11211e,
    0xff2f3f32,
    0xff31403a,
    0xff142121,
    0xff000603,
    0xff6d787e,
    0xffccd5e6,
    0xffc2cbd5,
    0xffbfcad1,
    0xffb1bcc7,
    0xffbbc3cd,
    0xffaeb4be,
    0xffaeb2bd,
    0xffb1b7c0,
    0xffa6afbb,
    0xffb4b5d1,
    0xffb9b8be,
    0xffccc4c2,
    0xffb8b0bd,
    0xffc0bed0,
    0xffc5c9d5,
    0xffc0c0cd,
    0xffb5adbf,
    0xffcfd0d1,
    0xffc6ced3,
    0xffccc9d8,
    0xffe9d3e1,
    0xff270b0e,
    0xff382420,
    0xff331c1e,
    0xff3b1a27,
    0xff3a1c20,
    0xff461824,
    0xff3c1b25,
    0xff321c24,
    0xff3d2322,
    0xff503f29,
    0xff211f00,
    0xff39340b,
    0xff5c4c20,
    0xff5d4c1d,
    0xff787236,
    0xff555d24,
    0xff4c5219,
    0xff605f18,
    0xff7e872a,
    0xff769221,
    0xff576c00,
    0xff4e5d05,
    0xff4c5d03,
    0xff6e852b,
    0xff769828,
    0xff527613,
    0xff4a6715,
    0xff203600,
    0xff162400,
    0xff152000,
    0xff3b3e1d,
    0xff292d0f,
    0xff30361b,
    0xff21260f,
    0xff212313,
    0xff161108,
    0xff3b2319,
    0xff2f0a07,
    0xff45231f,
    0xff41221d,
    0xff3d1613,
    0xff33110d,
    0xff4e2f23,
    0xff653427,
    0xff572419,
    0xff2c0e00,
    0xff361805,
    0xff5d2210,
    0xff9e491d,
    0xffb65c25,
    0xff721d00,
    0xff873102,
    0xff852e05,
    0xff8d4217,
    0xff672905,
    0xff4c1600,
    0xff63320a,
    0xff572411,
    0xff320302,
    0xff6b4027,
    0xff501008,
    0xff460600,
    0xff91493f,
    0xff751a0b,
    0xff9b2f18,
    0xffac3f23,
    0xff85230b,
    0xff721b0a,
    0xff943831,
    0xff5f1a12,
    0xff3d0900,
    0xffc58a65,
    0xff521300,
    0xff764e34,
    0xff776e4e,
    0xff6e735b,
    0xff643a19,
    0xffa24530,
    0xff964e30,
    0xff95452a,
    0xff832e1d,
    0xff895a3c,
    0xff704b32,
    0xff635d3f,
    0xff29261c,
    0xff34332c,
    0xff232620,
    0xff182018,
    0xff202924,
    0xff17201b,
    0xff18221d,
    0xff080e0a,
    0xff12120f,
    0xff32261f,
    0xff493229,
    0xff49342e,
    0xff2f2a26,
    0xff3a413c,
    0xff111612,
    0xff1e1f1a,
    0xff0b180f,
    0xff111d14,
    0xff16231a,
    0xff0d190f,
    0xff0a170c,
    0xff0c160d,
    0xff131d12,
    0xff0f1a0f,
    0xff031211,
    0xff4c5b5b,
    0xff212f2f,
    0xff3a4746,
    0xff354445,
    0xff37484a,
    0xff3c4e51,
    0xff6a7c83,
    0xff414c54,
    0xff343e43,
    0xff000b08,
    0xff0f1b12,
    0xff1b2718,
    0xff293223,
    0xff151a0e,
    0xff2a3124,
    0xff040e03,
    0xff401f00,
    0xffb37344,
    0xffa56e47,
    0xffaa7853,
    0xff92592d,
    0xffa67a52,
    0xffa2947b,
    0xff483a28,
    0xff050000,
    0xff000000,
    0xff514d3c,
    0xff0b0000,
    0xff0f0202,
    0xff4a3c37,
    0xff483d35,
    0xff090608,
    0xff091308,
    0xff0d0904,
    0xff1b0409,
    0xff1e0805,
    0xff4a2b2b,
    0xff3c0f15,
    0xff431910,
    0xff5c2f27,
    0xff421b0e,
    0xff240600,
    0xff4a321e,
    0xff473422,
    0xff524639,
    0xff181a0f,
    0xff071007,
    0xff091607,
    0xff081102,
    0xff2b3121,
    0xff3f4335,
    0xff181c0f,
    0xff191e15,
    0xff1a211a,
    0xff202926,
    0xff14201f,
    0xff1b2622,
    0xff0e1b12,
    0xff07130d,
    0xff000c07,
    0xff030b0a,
    0xff0a100c,
    0xff10130e,
    0xff080c02,
    0xff0f150c,
    0xff172314,
    0xff0f1503,
    0xff0b1000,
    0xff212002,
    0xff161500,
    0xff0e0f00,
    0xff0f1907,
    0xff071300,
    0xff020e00,
    0xff091305,
    0xff061009,
    0xff0b100d,
    0xff737971,
    0xff000300,
    0xff020b00,
    0xff111d16,
    0xff0f1d14,
    0xff121f09,
    0xff161b03,
    0xff151409,
    0xff151c13,
    0xff071203,
    0xff646657,
    0xff0e130a,
    0xff06130a,
    0xff111f15,
    0xff0d1908,
    0xff111503,
    0xff333420,
    0xff4f4e3b,
    0xff201808,
    0xff181b0a,
    0xff152211,
    0xff1c2518,
    0xff635b56,
    0xff332821,
    0xff110f03,
    0xff192414,
    0xff131e06,
    0xff031100,
    0xff031008,
    0xff020d02,
    0xff030c00,
    0xff090d00,
    0xff404341,
    0xff737577,
    0xff5a79b3,
    0xff5c7cb7,
    0xff5b7cb4,
    0xff5774ac,
    0xff5a74ae,
    0xff5670ae,
    0xff5271af,
    0xff476aa9,
    0xff4b70b0,
    0xff456ca2,
    0xff3d669c,
    0xff426aa9,
    0xff38609e,
    0xff3b6398,
    0xff3a6297,
    0xff365a99,
    0xff385c9e,
    0xff4261a3,
    0xff4965a4,
    0xff45629f,
    0xff4b69a6,
    0xff4967a6,
    0xff4e69a9,
    0xff5166a9,
    0xff566bad,
    0xff4f69a4,
    0xff446098,
    0xff3b5994,
    0xff4262a2,
    0xff38579c,
    0xff4667a6,
    0xff3e6098,
    0xff366391,
    0xff346094,
    0xff2f5995,
    0xff325897,
    0xff3b5f9b,
    0xff4869a4,
    0xff45609b,
    0xff4f68a5,
    0xff4b629a,
    0xff455e97,
    0xff425d99,
    0xff3e5b99,
    0xff3b5898,
    0xff3b5894,
    0xff405e97,
    0xff405c93,
    0xff3a5b8d,
    0xff345587,
    0xff36568d,
    0xff3a5a8f,
    0xff345689,
    0xff2f5080,
    0xff345885,
    0xff385a87,
    0xff385182,
    0xff415989,
    0xff465a86,
    0xff495d87,
    0xff4b5f86,
    0xff4a5f84,
    0xff465a7c,
    0xff43587b,
    0xff3f5880,
    0xff39557b,
    0xff355279,
    0xff304e77,
    0xff2a4674,
    0xff284776,
    0xff2a4a7a,
    0xff315280,
    0xff2f4974,
    0xff334b75,
    0xff344d76,
    0xff374c77,
    0xff374c77,
    0xff3f527e,
    0xff3e517d,
    0xff40537f,
    0xff3c5078,
    0xff41547b,
    0xff435376,
    0xff425376,
    0xff475b7e,
    0xff47597d,
    0xff445574,
    0xff45546f,
    0xff3c5077,
    0xff3d4e79,
    0xff3d4e7a,
    0xff424f7c,
    0xff44537e,
    0xff3a4e77,
    0xff3a527d,
    0xff37547e,
    0xff315372,
    0xff324a76,
    0xff334379,
    0xff2e446c,
    0xff284668,
    0xff21416a,
    0xff25406a,
    0xff2c485e,
    0xff274561,
    0xff304c69,
    0xff314867,
    0xff36496a,
    0xff3c506d,
    0xff3a4d6b,
    0xff3f5472,
    0xff3a506f,
    0xff3a5071,
    0xff354a69,
    0xff3a4e6c,
    0xff374969,
    0xff35496a,
    0xff2f436a,
    0xff304472,
    0xff31487a,
    0xff344f7c,
    0xff344c76,
    0xff41557e,
    0xff435681,
    0xff40537f,
    0xff3d527c,
    0xff465980,
    0xff425478,
    0xff435880,
    0xff425781,
    0xff445885,
    0xff3e5082,
    0xff465589,
    0xff495a83,
    0xff4c5b79,
    0xff56677a,
    0xff5c6680,
    0xff536587,
    0xff4d6c93,
    0xff4a658d,
    0xff53648a,
    0xff576586,
    0xff4e6181,
    0xff476486,
    0xff4d6383,
    0xff4f647d,
    0xff476273,
    0xff4c6b7a,
    0xff3e6075,
    0xff415f7a,
    0xff3e5970,
    0xff3d5366,
    0xff325568,
    0xff3d566f,
    0xff3c4d6b,
    0xff37496b,
    0xff314e6e,
    0xff304f72,
    0xff304c71,
    0xff2f416a,
    0xff2d4472,
    0xff30486f,
    0xff2d4164,
    0xff2b4168,
    0xff223d6e,
    0xff1c386a,
    0xff223d66,
    0xff183555,
    0xff1b3a60,
    0xff1e3e67,
    0xff203f6e,
    0xff274374,
    0xff2c4472,
    0xff1f3860,
    0xff2b476e,
    0xff24466c,
    0xff204570,
    0xff1e3e65,
    0xff253e64,
    0xff2c3e62,
    0xff374769,
    0xff404f71,
    0xff3d516b,
    0xff425b6d,
    0xff3d555d,
    0xff35495c,
    0xff384c6e,
    0xff3b4f73,
    0xff354c68,
    0xff2b4957,
    0xff254256,
    0xff2c4866,
    0xff2e475a,
    0xff32485c,
    0xff304358,
    0xff34485b,
    0xff344b5d,
    0xff2b465a,
    0xff283f5d,
    0xff2b4067,
    0xff284264,
    0xff224062,
    0xff1b3e5f,
    0xff20435f,
    0xff1e3e56,
    0xff224057,
    0xff1d3853,
    0xff1f3b57,
    0xff243a50,
    0xff153644,
    0xff173a45,
    0xff243a4d,
    0xff1a304a,
    0xff153447,
    0xff173442,
    0xff1e323c,
    0xff1d3040,
    0xff1d3847,
    0xff173643,
    0xff173542,
    0xff1f3847,
    0xff213645,
    0xff243742,
    0xff263c46,
    0xff233949,
    0xff213a46,
    0xff203c45,
    0xff223b43,
    0xff293e46,
    0xff2a3b47,
    0xff253746,
    0xff293c4d,
    0xff293e46,
    0xff1f3946,
    0xff213b53,
    0xff1a304c,
    0xff1c2b42,
    0xff162337,
    0xff14253b,
    0xff1e354b,
    0xff263a4d,
    0xff263b47,
    0xff253747,
    0xff293b4d,
    0xff233440,
    0xff1e3131,
    0xff1a2a34,
    0xff1c2b46,
    0xff142d40,
    0xff1b3444,
    0xff213642,
    0xff20333e,
    0xff20353d,
    0xff1e313c,
    0xff2b3b49,
    0xff374455,
    0xff2b3f4c,
    0xff2b3b50,
    0xff283851,
    0xff223451,
    0xff263c5a,
    0xff243d57,
    0xff2d465b,
    0xff2a4155,
    0xff37465b,
    0xff4b596b,
    0xff505c6a,
    0xff525d69,
    0xff5b6473,
    0xff868b9c,
    0xff8d919d,
    0xff8d929b,
    0xff84858b,
    0xff95979b,
    0xff939497,
    0xff989495,
    0xff918b89,
    0xff9f9996,
    0xff8d8a83,
    0xff7d7e75,
    0xff908e90,
    0xff848775,
    0xff8d917b,
    0xff8e8f8c,
    0xff88878b,
    0xff757670,
    0xff929589,
    0xff939590,
    0xff9b9d9c,
    0xff9ca29d,
    0xff88938c,
    0xff6e7b7b,
    0xff798a91,
    0xff50616c,
    0xff35474e,
    0xff102322,
    0xff11221d,
    0xff313e2f,
    0xff434f37,
    0xff4a5543,
    0xff2f3c36,
    0xff2f3d41,
    0xff233737,
    0xff2f4240,
    0xff2b373f,
    0xff2d3b3e,
    0xff2e3937,
    0xff2f3a37,
    0xff394343,
    0xff364243,
    0xff313f3c,
    0xff2b3b37,
    0xff30443e,
    0xff324040,
    0xff3b4449,
    0xff313d41,
    0xff3b4a46,
    0xff2c3c33,
    0xff424f46,
    0xff636f65,
    0xff2e4137,
    0xff24382e,
    0xff354640,
    0xff253431,
    0xff1e2a2c,
    0xff273036,
    0xff2b353a,
    0xff343d43,
    0xff33443a,
    0xff293d34,
    0xff273d36,
    0xff294036,
    0xff23392c,
    0xff24382d,
    0xff1d2d28,
    0xff182524,
    0xff162928,
    0xff112322,
    0xff132524,
    0xff19292a,
    0xff233134,
    0xff1b292c,
    0xff263434,
    0xff24332d,
    0xff2e3934,
    0xff2e3934,
    0xff2d3632,
    0xff2e3732,
    0xff2b3936,
    0xff293b36,
    0xff283936,
    0xff2f3f3e,
    0xff2b3b3d,
    0xff203131,
    0xff243534,
    0xff1b2c28,
    0xff243630,
    0xff243733,
    0xff1b2e29,
    0xff213433,
    0xff283b3d,
    0xff55676b,
    0xff61747b,
    0xff5e707a,
    0xff6f8390,
    0xff6c808d,
    0xff6b808b,
    0xff6c828d,
    0xff708293,
    0xff708192,
    0xff5d6e7d,
    0xff83919f,
    0xff909ca6,
    0xff9ca6b0,
    0xffa5abb6,
    0xffa6abb5,
    0xffa0abae,
    0xff9fa9ab,
    0xffaab3b6,
    0xffaeb4b8,
    0xffa0a8ab,
    0xffb2b6ba,
    0xffbcc2c3,
    0xffc1c7c8,
    0xffa3a8aa,
    0xffa9aeb2,
    0xffa4abae,
    0xff9ba4a5,
    0xff7e8888,
    0xff516060,
    0xff58696d,
    0xff61707a,
    0xff525f65,
    0xff313e32,
    0xff415039,
    0xff404d3e,
    0xff333e35,
    0xff2f3a33,
    0xff616b6f,
    0xffa6acbf,
    0xffbeb8ca,
    0xffa9a4b3,
    0xffa29cac,
    0xffbdb3c8,
    0xff9d8eaa,
    0xff9d90ab,
    0xffb6afc5,
    0xff8e8d9e,
    0xffcbc2d8,
    0xffa69b9b,
    0xffad9d94,
    0xff97898f,
    0xffaca3b3,
    0xffbdb9c3,
    0xffaba4ab,
    0xff9c8b9e,
    0xffb5a6b7,
    0xffb0a8bb,
    0xffa39eb5,
    0xffbaaab9,
    0xff1b070a,
    0xff2e1c16,
    0xff392222,
    0xff461f2a,
    0xff3f2028,
    0xff391a21,
    0xff361f2c,
    0xff351c1e,
    0xff47260e,
    0xff7d6e43,
    0xff787b41,
    0xff707321,
    0xff525710,
    0xff6d6a21,
    0xff5c5413,
    0xff4c3f14,
    0xff4b310e,
    0xff6f4e1d,
    0xff89742a,
    0xff757124,
    0xff596c2d,
    0xff4a5822,
    0xff2c3900,
    0xff738935,
    0xff668e15,
    0xff76a429,
    0xff4c6f09,
    0xff506522,
    0xff334e23,
    0xff4f5f3d,
    0xff32381c,
    0xff282b12,
    0xff131901,
    0xff1c1f09,
    0xff1f1409,
    0xff240d0c,
    0xff251210,
    0xff331013,
    0xff2e080a,
    0xff491a1a,
    0xff4d090e,
    0xff622021,
    0xff5a1b12,
    0xff601304,
    0xff6c1913,
    0xff611e15,
    0xff7c382b,
    0xff8e351e,
    0xffb14f28,
    0xffaf521d,
    0xffc56833,
    0xffc1552b,
    0xffc76426,
    0xff942e19,
    0xff7e250b,
    0xff9e5722,
    0xffaa752f,
    0xffa1732f,
    0xff653100,
    0xff5d2608,
    0xff77552b,
    0xff562905,
    0xffa15b3e,
    0xff963319,
    0xffae3d22,
    0xff9c3018,
    0xff8d3014,
    0xff873417,
    0xff5a0e02,
    0xff3e0b0a,
    0xff3a1812,
    0xff4b2407,
    0xff78452c,
    0xff5c2d1c,
    0xff391b00,
    0xff7e6a46,
    0xffb39771,
    0xff471300,
    0xff392203,
    0xff764625,
    0xff763c23,
    0xff5b4f2d,
    0xff52432b,
    0xff352a1a,
    0xff38362f,
    0xff1e1f1c,
    0xff282d27,
    0xff19221e,
    0xff222c28,
    0xff06110c,
    0xff18221c,
    0xff040d06,
    0xff2e1d1a,
    0xff43211c,
    0xff663932,
    0xff3c190f,
    0xff2a1a12,
    0xff34362f,
    0xff181a13,
    0xff0e0e05,
    0xff091710,
    0xff11211a,
    0xff1d2d26,
    0xff021008,
    0xff040f0a,
    0xff06110b,
    0xff0c150e,
    0xff000904,
    0xff000714,
    0xff505d69,
    0xff222e38,
    0xff555c67,
    0xff5a6069,
    0xff3a444b,
    0xff445256,
    0xff414f54,
    0xff56606f,
    0xff28343d,
    0xff101b19,
    0xff141b11,
    0xff181b0f,
    0xff0f0f01,
    0xff252414,
    0xff252011,
    0xff030000,
    0xffb47253,
    0xffca7541,
    0xffd29357,
    0xff935a1c,
    0xffb86630,
    0xffcd7c50,
    0xff7f4c34,
    0xff4b210f,
    0xff2a1007,
    0xff000000,
    0xff3b4449,
    0xff00000c,
    0xff1f1f27,
    0xff454841,
    0xff030a00,
    0xff0a090c,
    0xff2c2a25,
    0xff1d0300,
    0xff391311,
    0xff41221e,
    0xff2f100e,
    0xff2d0f0d,
    0xff1f1208,
    0xff321207,
    0xff200700,
    0xff37291d,
    0xff26160f,
    0xff382420,
    0xff160702,
    0xff0e0d00,
    0xff151f0d,
    0xff56514b,
    0xff635b54,
    0xff40362c,
    0xff191104,
    0xff1a180b,
    0xff2f352a,
    0xff23302a,
    0xff162724,
    0xff171d1e,
    0xff161e1d,
    0xff0a1410,
    0xff050e08,
    0xff040c0a,
    0xff020a0b,
    0xff030d09,
    0xff0b140c,
    0xff1e1a0f,
    0xff1a190b,
    0xff292e1c,
    0xff1b2008,
    0xff33381a,
    0xff44492e,
    0xff242812,
    0xff262d1b,
    0xff1e2b20,
    0xff0b170c,
    0xff081305,
    0xff131d13,
    0xff121a19,
    0xff02070c,
    0xff31393b,
    0xff5b6565,
    0xff000400,
    0xff08120b,
    0xff101c18,
    0xff081603,
    0xff040b00,
    0xff171915,
    0xff0d1613,
    0xff000a01,
    0xff606457,
    0xff1f271f,
    0xff0c1a12,
    0xff06170f,
    0xff0a170d,
    0xff091105,
    0xff0c1405,
    0xff0c1005,
    0xff281d15,
    0xff0c1407,
    0xff041c0d,
    0xff000b03,
    0xff6a6564,
    0xff433536,
    0xff0a0d06,
    0xff021608,
    0xff1c2614,
    0xff0d1b04,
    0xff061110,
    0xff111922,
    0xff19220f,
    0xff0b0e00,
    0xff181715,
    0xff797987,
    0xff6789d1,
    0xff688bd3,
    0xff698dd5,
    0xff6389d2,
    0xff688fd9,
    0xff6189d3,
    0xff5b83d0,
    0xff5c85d0,
    0xff5d85d3,
    0xff5d87d4,
    0xff6087d7,
    0xff5c83d3,
    0xff6087d8,
    0xff638adc,
    0xff5f86d8,
    0xff5e84d6,
    0xff6187d7,
    0xff5d85d2,
    0xff678ed9,
    0xff688fd9,
    0xff638ad4,
    0xff6086cf,
    0xff6083d0,
    0xff6386d3,
    0xff688cda,
    0xff6286d2,
    0xff6b8fd8,
    0xff658ad0,
    0xff6589d2,
    0xff6387d1,
    0xff5f82ce,
    0xff5f84cf,
    0xff668cd1,
    0xff6a8fd4,
    0xff6387ce,
    0xff5e82cc,
    0xff6186d0,
    0xff6184d0,
    0xff6286d2,
    0xff5f82cf,
    0xff6183d2,
    0xff6081ce,
    0xff6685d1,
    0xff6988d5,
    0xff6180cb,
    0xff6281d0,
    0xff6282d2,
    0xff6183d4,
    0xff5e80ce,
    0xff5e84d1,
    0xff5e86d0,
    0xff5a84cc,
    0xff5d86cb,
    0xff5d85ca,
    0xff648ad1,
    0xff6385cd,
    0xff5f85c8,
    0xff6486c8,
    0xff678ac9,
    0xff6789c7,
    0xff6c8bca,
    0xff6a89c7,
    0xff6788c8,
    0xff6788c7,
    0xff6486c8,
    0xff6387cb,
    0xff6388ce,
    0xff5c81ca,
    0xff5e82cd,
    0xff5f84cf,
    0xff6185ce,
    0xff5e80ca,
    0xff6585cc,
    0xff6181c8,
    0xff6382cb,
    0xff6281ca,
    0xff6888d1,
    0xff6484cd,
    0xff6a8cd2,
    0xff6483ca,
    0xff6784c4,
    0xff6985c4,
    0xff6785c3,
    0xff6382bf,
    0xff6782c1,
    0xff6b87c5,
    0xff6a85c5,
    0xff6a84c5,
    0xff6684ca,
    0xff6584cb,
    0xff6785ca,
    0xff6783c9,
    0xff6786c9,
    0xff6382c4,
    0xff6281c3,
    0xff607fc3,
    0xff5d81cb,
    0xff6083d0,
    0xff6284cf,
    0xff5c80ca,
    0xff5a7dc5,
    0xff5d81ca,
    0xff6386cf,
    0xff597dc4,
    0xff5c80c4,
    0xff6185ca,
    0xff6287ca,
    0xff6486ca,
    0xff6485cb,
    0xff6483c7,
    0xff6581c6,
    0xff6580c6,
    0xff6783c8,
    0xff6984cd,
    0xff617fc9,
    0xff607ec9,
    0xff5d7bc9,
    0xff5d7cc9,
    0xff5c7ccb,
    0xff5b7bc9,
    0xff6282cc,
    0xff5f7dc9,
    0xff5f7ec8,
    0xff607fc9,
    0xff6281cd,
    0xff5f7eca,
    0xff6280cc,
    0xff607dca,
    0xff607eca,
    0xff5e80ca,
    0xff5d7ec9,
    0xff5f80cc,
    0xff6280cc,
    0xff637fca,
    0xff637dc5,
    0xff667fc7,
    0xff6481c5,
    0xff627fc4,
    0xff6785cd,
    0xff6383ca,
    0xff6687ce,
    0xff6486cb,
    0xff6589cb,
    0xff6287ca,
    0xff5d83c9,
    0xff5c81c7,
    0xff5f85c9,
    0xff5e84c9,
    0xff5880c5,
    0xff567ec4,
    0xff567dc4,
    0xff5880c5,
    0xff5881c7,
    0xff577ec7,
    0xff5a80c9,
    0xff5b81ca,
    0xff5a80c8,
    0xff5c81cd,
    0xff587cc8,
    0xff5a7fcc,
    0xff597ecb,
    0xff587cc9,
    0xff587dcb,
    0xff587dcd,
    0xff567bcd,
    0xff557cd0,
    0xff4f78cc,
    0xff537ed2,
    0xff547dd4,
    0xff557fd6,
    0xff537dd1,
    0xff5781d2,
    0xff557dcf,
    0xff577bcd,
    0xff587acd,
    0xff5979ce,
    0xff557cc8,
    0xff567cc8,
    0xff5a7cc7,
    0xff5a79c4,
    0xff5a76c3,
    0xff5d7ac0,
    0xff5f7ec0,
    0xff5d7cbc,
    0xff5c7bb9,
    0xff5877b7,
    0xff5877b8,
    0xff5b7bbe,
    0xff5677b9,
    0xff5274b6,
    0xff5273b8,
    0xff5779be,
    0xff516eb0,
    0xff5a77b7,
    0xff5a77b5,
    0xff5875b4,
    0xff5372b1,
    0xff5677b7,
    0xff5577ba,
    0xff5075b8,
    0xff5178bc,
    0xff517abd,
    0xff4e78b9,
    0xff4f7bb8,
    0xff507bb7,
    0xff4b76b0,
    0xff507ab2,
    0xff5077b2,
    0xff5076a8,
    0xff4d75a7,
    0xff4d73a5,
    0xff4d74a5,
    0xff4d71a1,
    0xff4c71a2,
    0xff4e73a3,
    0xff5073a3,
    0xff4d70a1,
    0xff5375a5,
    0xff5174a1,
    0xff5375a2,
    0xff5577a0,
    0xff55759f,
    0xff5676a0,
    0xff5676a0,
    0xff5375a0,
    0xff52759f,
    0xff52759c,
    0xff50749a,
    0xff4f7296,
    0xff4e7195,
    0xff4d7096,
    0xff4f6f99,
    0xff4c6e94,
    0xff507198,
    0xff4d6f98,
    0xff4d6f9a,
    0xff456996,
    0xff486c9a,
    0xff486c9c,
    0xff446a99,
    0xff476799,
    0xff466595,
    0xff446594,
    0xff496895,
    0xff4b6a95,
    0xff506c98,
    0xff4e6b98,
    0xff516a99,
    0xff537199,
    0xff53729a,
    0xff55759c,
    0xff4f6f97,
    0xff4e6e99,
    0xff51709b,
    0xff55739f,
    0xff526d9e,
    0xff52719e,
    0xff5370a1,
    0xff516fa2,
    0xff4e6da0,
    0xff4c6b9f,
    0xff5576a8,
    0xff5172a3,
    0xff5475a5,
    0xff5b77a5,
    0xff5d78a6,
    0xff5d77a3,
    0xff667da9,
    0xff6b80a9,
    0xff63769d,
    0xff66789e,
    0xff69789e,
    0xff6c7c96,
    0xff6c7991,
    0xff69788f,
    0xff6e7a90,
    0xff768095,
    0xff6f788b,
    0xff717789,
    0xff6f7788,
    0xff677081,
    0xff646f80,
    0xff5b6778,
    0xff556479,
    0xff58667f,
    0xff57657c,
    0xff4d5c73,
    0xff4d5c71,
    0xff41536a,
    0xff475b70,
    0xff4a6172,
    0xff48626e,
    0xff3f5b68,
    0xff405f6e,
    0xff446272,
    0xff3f6072,
    0xff3a5b74,
    0xff36566f,
    0xff345972,
    0xff2c516a,
    0xff2e566d,
    0xff2f556a,
    0xff33596b,
    0xff3a5e6e,
    0xff36566c,
    0xff38556c,
    0xff3e5871,
    0xff3c526a,
    0xff3f546a,
    0xff435368,
    0xff475566,
    0xff4d5966,
    0xff495a67,
    0xff4d5c6a,
    0xff515f6c,
    0xff505e68,
    0xff526169,
    0xff4c6064,
    0xff486061,
    0xff455f5f,
    0xff4e606a,
    0xff4c5f65,
    0xff465d5c,
    0xff435a5f,
    0xff415561,
    0xff455466,
    0xff465262,
    0xff45505a,
    0xff3d5152,
    0xff394e51,
    0xff3a5054,
    0xff395054,
    0xff3c5454,
    0xff425856,
    0xff425751,
    0xff4a5b54,
    0xff465851,
    0xff43554f,
    0xff455854,
    0xff455757,
    0xff435457,
    0xff3f5258,
    0xff3b4f57,
    0xff3c525a,
    0xff384a54,
    0xff3a4e57,
    0xff354d52,
    0xff314b51,
    0xff2e4b50,
    0xff2f4a53,
    0xff27434d,
    0xff27404a,
    0xff233c49,
    0xff213b49,
    0xff1c3543,
    0xff203a48,
    0xff1e3843,
    0xff1b3641,
    0xff1f3a44,
    0xff1d3841,
    0xff243c43,
    0xff1e363d,
    0xff1d363e,
    0xff19343d,
    0xff142e37,
    0xff1b343c,
    0xff1b343b,
    0xff1d343b,
    0xff1d3333,
    0xff162c30,
    0xff182d37,
    0xff142935,
    0xff0a1e29,
    0xff0d212a,
    0xff10212c,
    0xff132430,
    0xff112128,
    0xff13262b,
    0xff13262e,
    0xff10242c,
    0xff0f1f29,
    0xff13252d,
    0xff112029,
    0xff111f27,
    0xff15292a,
    0xff182a26,
    0xff1c2f25,
    0xff21362a,
    0xff1e372f,
    0xff19312e,
    0xff1e3434,
    0xff1c2f30,
    0xff1f2e2d,
    0xff263935,
    0xff1c322c,
    0xff1b2c23,
    0xff24312a,
    0xff1f292a,
    0xff575c69,
    0xffadb3c9,
    0xffcbc9d9,
    0xffa9a6b8,
    0xffa9a5b8,
    0xffcbc9d9,
    0xff9e9ca8,
    0xff91919c,
    0xffbabac6,
    0xff9b9baa,
    0xffc8c2cd,
    0xffbbb0ad,
    0xffc6b9b0,
    0xff9b8e8f,
    0xffafabb1,
    0xffc6c6c9,
    0xffb7b1bc,
    0xff9789a2,
    0xffc6c1d4,
    0xffbdb8c6,
    0xffc0b4bd,
    0xffcbb8ba,
    0xff150000,
    0xff331e17,
    0xff341c18,
    0xff3e2724,
    0xff301b1f,
    0xff371b25,
    0xff3c1a22,
    0xff381a21,
    0xff2e1c17,
    0xff3d3b0d,
    0xff828236,
    0xff7b732b,
    0xff6c6017,
    0xff635416,
    0xff745825,
    0xff502004,
    0xff471203,
    0xff674114,
    0xff97742a,
    0xff86551c,
    0xff552d08,
    0xff2f2f0c,
    0xff303f19,
    0xff162c00,
    0xff698220,
    0xff88a327,
    0xff719229,
    0xff313b01,
    0xff152607,
    0xff1f260b,
    0xff2b2505,
    0xff31230c,
    0xff2d2017,
    0xff271e0b,
    0xff2b1e08,
    0xff301919,
    0xff351208,
    0xff45180f,
    0xff5f2a26,
    0xff380809,
    0xff40100d,
    0xff561a16,
    0xff600f0c,
    0xff6e1011,
    0xff731717,
    0xff843329,
    0xff88331e,
    0xff973310,
    0xffaa4414,
    0xffc2652b,
    0xff9a3804,
    0xffbe4e23,
    0xffc05f28,
    0xff91380d,
    0xff994719,
    0xffd78f50,
    0xff985604,
    0xffd89739,
    0xffab6a17,
    0xffa5641d,
    0xffb8792e,
    0xff955818,
    0xffa66231,
    0xff7e2b0a,
    0xff95301a,
    0xff8a220f,
    0xff711401,
    0xff75260e,
    0xff621f0a,
    0xff511b0a,
    0xff471a0b,
    0xff43180b,
    0xff461610,
    0xff3a0b06,
    0xff45241a,
    0xff1e0a00,
    0xff524022,
    0xff1c1200,
    0xff231400,
    0xff573216,
    0xff6c3c17,
    0xff714b26,
    0xff462512,
    0xff593537,
    0xff2f1e1d,
    0xff4a453e,
    0xff16190e,
    0xff1c1b0e,
    0xff3c3127,
    0xff2e2019,
    0xff27261c,
    0xff030e03,
    0xff1a0e00,
    0xff442317,
    0xff5e2e28,
    0xff4d1c1a,
    0xff3b1e1a,
    0xff23180e,
    0xff232317,
    0xff13140a,
    0xff0a120a,
    0xff05120c,
    0xff132520,
    0xff000e08,
    0xff02110e,
    0xff05100e,
    0xff060f0c,
    0xff050e0c,
    0xff00060a,
    0xff5d6267,
    0xff2b3035,
    0xff1c1d21,
    0xff141315,
    0xff231b1e,
    0xff130609,
    0xff514144,
    0xff635e6a,
    0xff28413c,
    0xff0d2b0a,
    0xff3f4435,
    0xff130603,
    0xff151209,
    0xff140b07,
    0xff442213,
    0xffb06a4f,
    0xffc57a48,
    0xff410008,
    0xff3c0b00,
    0xff420f00,
    0xffc0774b,
    0xffaf5b1c,
    0xffd9883b,
    0xffeba052,
    0xffcd7042,
    0xff8c4b38,
    0xff5e4847,
    0xff090004,
    0xff0d0b0b,
    0xff4a514f,
    0xff111113,
    0xff141918,
    0xff30160f,
    0xff7b3e32,
    0xff702b24,
    0xff4b1b1b,
    0xff31131c,
    0xff230f14,
    0xff261211,
    0xff37151a,
    0xff301f1f,
    0xff221e17,
    0xff473f3a,
    0xff342a23,
    0xff131309,
    0xff1f2018,
    0xff453b35,
    0xff423a2f,
    0xff160c0a,
    0xff251a1a,
    0xff1b1807,
    0xff272a2b,
    0xff192518,
    0xff051308,
    0xff0e1916,
    0xff161f1e,
    0xff121e20,
    0xff091a19,
    0xff06150c,
    0xff030d0a,
    0xff070b14,
    0xff050c0e,
    0xff020e01,
    0xff0c1211,
    0xff131816,
    0xff1d241a,
    0xff151c0f,
    0xff141c08,
    0xff121905,
    0xff212a12,
    0xff17220c,
    0xff091c0b,
    0xff091915,
    0xff091406,
    0xff222d18,
    0xff292d28,
    0xff060a04,
    0xff000000,
    0xff777c7f,
    0xff1b2019,
    0xff000700,
    0xff071308,
    0xff051207,
    0xff0f2014,
    0xff06150e,
    0xff071611,
    0xff000b05,
    0xff363b34,
    0xff44473d,
    0xff020900,
    0xff0b160d,
    0xff182a21,
    0xff05160e,
    0xff031309,
    0xff061003,
    0xff3e332f,
    0xff0e1d0c,
    0xff07150a,
    0xff000b0a,
    0xff858084,
    0xff52403d,
    0xff10190d,
    0xff05110e,
    0xff060f02,
    0xff0d150c,
    0xff060e07,
    0xff101811,
    0xff10150f,
    0xff090d08,
    0xff131411,
    0xff4c4c49,
    0xff83a5e3,
    0xff7496d5,
    0xff7497d6,
    0xff7498d9,
    0xff678ece,
    0xff6b91d3,
    0xff6f97da,
    0xff678ed1,
    0xff6d95d9,
    0xff6a90d5,
    0xff678dd2,
    0xff698fd4,
    0xff6c92d7,
    0xff698fd3,
    0xff6c91d5,
    0xff668ad0,
    0xff6285d1,
    0xff6286cf,
    0xff6286cf,
    0xff6288ce,
    0xff698ed6,
    0xff6b8fd6,
    0xff698bd3,
    0xff6b8cd6,
    0xff6b8dd7,
    0xff6c8ed8,
    0xff7193dd,
    0xff6688cf,
    0xff6c8dd5,
    0xff698bd3,
    0xff698ad3,
    0xff6486d0,
    0xff6a8bd0,
    0xff6a8acf,
    0xff6a8cd1,
    0xff6d8ed5,
    0xff6c8cd3,
    0xff6c8cd6,
    0xff6989d3,
    0xff6a89d3,
    0xff6c8dce,
    0xff6d8dcc,
    0xff7493d1,
    0xff6b8ac6,
    0xff6d8aca,
    0xff7695d3,
    0xff708fcf,
    0xff7192d4,
    0xff6f8cd6,
    0xff6988d1,
    0xff678ad0,
    0xff6386ca,
    0xff6b8fd1,
    0xff688dcf,
    0xff6485c8,
    0xff6d8ccf,
    0xff6286c7,
    0xff6889cb,
    0xff6988c8,
    0xff6a88c7,
    0xff708dcc,
    0xff6a88c6,
    0xff6c8acb,
    0xff6887c7,
    0xff6586c7,
    0xff688acd,
    0xff6b8dd2,
    0xff6487ce,
    0xff698ad2,
    0xff6789d1,
    0xff6687ce,
    0xff6887cf,
    0xff6a89cd,
    0xff6886cb,
    0xff6b89d0,
    0xff6785cd,
    0xff6785ce,
    0xff6685cb,
    0xff6886cc,
    0xff6988cc,
    0xff6d88d1,
    0xff6f8ad1,
    0xff6d88cf,
    0xff6d87cc,
    0xff7088ce,
    0xff6e85cd,
    0xff6c83cb,
    0xff6f88d1,
    0xff6b88cd,
    0xff6b88cc,
    0xff6b87ca,
    0xff6481c4,
    0xff6b87ca,
    0xff6985c8,
    0xff6b88ca,
    0xff6b88cb,
    0xff6282cc,
    0xff6382cd,
    0xff6585ce,
    0xff6585cd,
    0xff6282ca,
    0xff607fc7,
    0xff5f7ec6,
    0xff6281c9,
    0xff6182c9,
    0xff6281c9,
    0xff607fc8,
    0xff6181c7,
    0xff6685cb,
    0xff637fc6,
    0xff6982ca,
    0xff6a81ca,
    0xff667fc4,
    0xff657fc6,
    0xff637dc7,
    0xff617cc8,
    0xff6581ce,
    0xff6480cd,
    0xff5d7bc7,
    0xff617eca,
    0xff637ccf,
    0xff637cce,
    0xff627bce,
    0xff627bcd,
    0xff627bcd,
    0xff647ccd,
    0xff657ecf,
    0xff6982d3,
    0xff617bc6,
    0xff647ec8,
    0xff617ec8,
    0xff6480cc,
    0xff637dc9,
    0xff647cc7,
    0xff6a80ca,
    0xff6c81c8,
    0xff6780c6,
    0xff667fc5,
    0xff647ec4,
    0xff6480c6,
    0xff637fc8,
    0xff6582c9,
    0xff6483c7,
    0xff6180c4,
    0xff5e81c8,
    0xff6084cb,
    0xff5e82ca,
    0xff5f83cb,
    0xff6287cf,
    0xff5f83cb,
    0xff6086cd,
    0xff5e84cc,
    0xff6085cf,
    0xff5d82cf,
    0xff5d83d0,
    0xff5f81cf,
    0xff5d7fcd,
    0xff5b7dcd,
    0xff5d80cf,
    0xff6182d1,
    0xff5d81ce,
    0xff5b7ecb,
    0xff5b7ecd,
    0xff5e80d2,
    0xff5b7fcf,
    0xff5c82d4,
    0xff5980d3,
    0xff5980d5,
    0xff5b82da,
    0xff5881d6,
    0xff5c84d8,
    0xff5e86d7,
    0xff5c82d2,
    0xff5a7fd1,
    0xff6183d5,
    0xff6283d6,
    0xff5f85d4,
    0xff6386d5,
    0xff6283d3,
    0xff6583d3,
    0xff6983d2,
    0xff6a86d3,
    0xff6885ce,
    0xff6a87d0,
    0xff6785cc,
    0xff6284ca,
    0xff6688cf,
    0xff6686ce,
    0xff6284cc,
    0xff6186ce,
    0xff6186cf,
    0xff5f84cd,
    0xff6889d1,
    0xff6180c8,
    0xff6889cf,
    0xff6484ca,
    0xff6587cd,
    0xff6385cd,
    0xff5f84cc,
    0xff6288d0,
    0xff5d84cc,
    0xff6289d0,
    0xff638ad2,
    0xff628cd1,
    0xff5f8bce,
    0xff618acc,
    0xff5f88c9,
    0xff6189c9,
    0xff6189ce,
    0xff6188cd,
    0xff6087cc,
    0xff6087cc,
    0xff5e84c9,
    0xff6086cb,
    0xff5d83c8,
    0xff6488cd,
    0xff6085ca,
    0xff6487ca,
    0xff6286c6,
    0xff6689c7,
    0xff6588c6,
    0xff6385c4,
    0xff6183c0,
    0xff6687c7,
    0xff6183cc,
    0xff6385cd,
    0xff6083c9,
    0xff5f82c6,
    0xff5e82c6,
    0xff5f82c6,
    0xff5f82c8,
    0xff5e80c7,
    0xff6183c9,
    0xff6283c9,
    0xff6081c8,
    0xff5f82c9,
    0xff5e80c8,
    0xff5b7fca,
    0xff5b80cd,
    0xff5e83d0,
    0xff5d80cd,
    0xff5f80cc,
    0xff6182cc,
    0xff5a7ac2,
    0xff6281ca,
    0xff5d7cc4,
    0xff627fc8,
    0xff627fc7,
    0xff607cc0,
    0xff617ec2,
    0xff6582c8,
    0xff6280c6,
    0xff6281c9,
    0xff627dc7,
    0xff6380c9,
    0xff6680cb,
    0xff6181c2,
    0xff6280c5,
    0xff6482c9,
    0xff6685cb,
    0xff6788cd,
    0xff6486ca,
    0xff6485c9,
    0xff6586c9,
    0xff6b89ca,
    0xff6e8bc9,
    0xff6f89c9,
    0xff728ac8,
    0xff758ac5,
    0xff778bc5,
    0xff7889c3,
    0xff7989c2,
    0xff7b8ac3,
    0xff7a88c1,
    0xff7e8dc5,
    0xff7e8bc1,
    0xff7c88bc,
    0xff7c85ba,
    0xff7b84b9,
    0xff7a84b6,
    0xff7881b8,
    0xff707bb0,
    0xff6e7bb3,
    0xff6876b0,
    0xff6374af,
    0xff6071ac,
    0xff6070ac,
    0xff5d6faa,
    0xff5a71ad,
    0xff5c73ad,
    0xff5c74ab,
    0xff5875a8,
    0xff5776a9,
    0xff5072a5,
    0xff4d71a7,
    0xff45679f,
    0xff4263a1,
    0xff4266a6,
    0xff3d64a4,
    0xff3961a1,
    0xff3a61a1,
    0xff3c65a1,
    0xff4269a3,
    0xff3e649c,
    0xff486b94,
    0xff456690,
    0xff46638d,
    0xff465f87,
    0xff485e86,
    0xff495e82,
    0xff4c5d7e,
    0xff4f5e7d,
    0xff586073,
    0xff5c6375,
    0xff626779,
    0xff65697a,
    0xff626875,
    0xff606b77,
    0xff5a6b72,
    0xff54676d,
    0xff516871,
    0xff516b6d,
    0xff4b6a69,
    0xff426364,
    0xff37575f,
    0xff3b5664,
    0xff3b5560,
    0xff3a5257,
    0xff414b58,
    0xff3f4b59,
    0xff3f4a5b,
    0xff3c4756,
    0xff414e59,
    0xff444e58,
    0xff51595d,
    0xff505a5b,
    0xff4a5057,
    0xff4c5359,
    0xff434953,
    0xff4a4f5c,
    0xff464e5b,
    0xff424b5d,
    0xff404b5e,
    0xff3d4c5c,
    0xff394c5f,
    0xff3b5063,
    0xff344c5d,
    0xff334e5f,
    0xff304c5c,
    0xff284557,
    0xff203b51,
    0xff264056,
    0xff1b343d,
    0xff173039,
    0xff183238,
    0xff0a242a,
    0xff082226,
    0xff0c2528,
    0xff031e1f,
    0xff062122,
    0xff0a2127,
    0xff0e252b,
    0xff062026,
    0xff0b242a,
    0xff092027,
    0xff0c2227,
    0xff0f2228,
    0xff0c2022,
    0xff0b1b1d,
    0xff0a1c21,
    0xff10202b,
    0xff10212a,
    0xff091b21,
    0xff0c1c1c,
    0xff101e1e,
    0xff0f1e1e,
    0xff132025,
    0xff101e22,
    0xff0f1e23,
    0xff112026,
    0xff0f1e23,
    0xff162428,
    0xff162322,
    0xff1d2726,
    0xff171f1c,
    0xff21281f,
    0xff292d1f,
    0xff323b2c,
    0xff2f392e,
    0xff19261f,
    0xff1c2524,
    0xff333838,
    0xff1c2c23,
    0xff142920,
    0xff1a3027,
    0xff0d2013,
    0xff222a21,
    0xff2c2c2a,
    0xff8d8890,
    0xffe3ddeb,
    0xffe3ddea,
    0xffcec7d5,
    0xffd0c7d6,
    0xffece2f1,
    0xffcec6d0,
    0xffcbc0cd,
    0xffe1d6e4,
    0xffd0c3d6,
    0xffe0d4e9,
    0xffdeced9,
    0xffdbc7cf,
    0xffc8b6c7,
    0xffc8bdcf,
    0xffded5e0,
    0xffbfb4c1,
    0xffcfbcd4,
    0xffb3a9b9,
    0xffcbbcc8,
    0xffc6b3be,
    0xffd6bec6,
    0xff2c0f16,
    0xff34131b,
    0xff3a1820,
    0xff41202b,
    0xff261e1d,
    0xff2b2023,
    0xff2e1e1d,
    0xff2c1c17,
    0xff271710,
    0xff6c5329,
    0xff825313,
    0xff803e09,
    0xffa15f26,
    0xff7d2d02,
    0xff984226,
    0xff833e30,
    0xff663a2e,
    0xff41270b,
    0xff8c7643,
    0xff6f5325,
    0xff594900,
    0xff4c510d,
    0xff534c14,
    0xff908b41,
    0xffb4be4f,
    0xff8ba328,
    0xff537e13,
    0xff3c5211,
    0xff272500,
    0xff433520,
    0xff2d1b10,
    0xff29190b,
    0xff1b1102,
    0xff221705,
    0xff2f1a0a,
    0xff3e1f19,
    0xff3f140f,
    0xff4a1915,
    0xff562625,
    0xff1c0000,
    0xff5f4037,
    0xffa37e74,
    0xffb88277,
    0xff69211a,
    0xff80201a,
    0xff70150e,
    0xff863123,
    0xff812812,
    0xffba6441,
    0xffa34f23,
    0xff923b0c,
    0xffa14117,
    0xff943e12,
    0xff9b4b26,
    0xff904723,
    0xff723002,
    0xffa6691c,
    0xff8d5303,
    0xff965e1c,
    0xff733b0f,
    0xff753b09,
    0xff99602f,
    0xff6d2f10,
    0xff7d2f0d,
    0xff791a00,
    0xff963119,
    0xffaa4a35,
    0xff7f2916,
    0xff440600,
    0xff4f1f12,
    0xff421d11,
    0xff4e2c24,
    0xff3f1b15,
    0xff280500,
    0xff2d1509,
    0xff1c1001,
    0xff433f24,
    0xff593f1d,
    0xff7c4620,
    0xff934f28,
    0xff7a3211,
    0xff7f341e,
    0xff853b2a,
    0xff752c1e,
    0xff622e23,
    0xff441c11,
    0xff402115,
    0xff54291e,
    0xff5e2519,
    0xff5d251b,
    0xff532e25,
    0xff201206,
    0xff3f281e,
    0xff331710,
    0xff2c100a,
    0xff301711,
    0xff2e1e16,
    0xff140b04,
    0xff221e15,
    0xff130f07,
    0xff10170f,
    0xff0a150d,
    0xff06140d,
    0xff010e07,
    0xff09110b,
    0xff0f1310,
    0xff0d120b,
    0xff000602,
    0xff000204,
    0xff50595b,
    0xff131b17,
    0xff2c302a,
    0xff44453c,
    0xff353229,
    0xff322d22,
    0xff251e15,
    0xff1f1413,
    0xff252b2d,
    0xff1a2d1d,
    0xff1f2924,
    0xff171611,
    0xff2a1501,
    0xff652913,
    0xffb45633,
    0xffd87348,
    0xfff5a85d,
    0xff86482d,
    0xff4d2006,
    0xff76493a,
    0xff260000,
    0xffa76935,
    0xffa0560a,
    0xffc77833,
    0xffca813c,
    0xff431f00,
    0xff61624b,
    0xff050200,
    0xff1a1409,
    0xff685a43,
    0xff351609,
    0xff1e110b,
    0xff3d2814,
    0xff5c1c0b,
    0xff843c34,
    0xff2d130f,
    0xff0c0208,
    0xff0c0106,
    0xff090f09,
    0xff1a1813,
    0xff100d07,
    0xff382f2a,
    0xff4c3331,
    0xff422324,
    0xff422b28,
    0xff3d312b,
    0xff413430,
    0xff1d0502,
    0xff221315,
    0xff1b151c,
    0xff20210e,
    0xff110e0c,
    0xff1d1720,
    0xff0c131c,
    0xff001200,
    0xff000b01,
    0xff020d0a,
    0xff050c0e,
    0xff030a0c,
    0xff02100b,
    0xff001004,
    0xff03110b,
    0xff020d0d,
    0xff010d07,
    0xff08120b,
    0xff061107,
    0xff081307,
    0xff0a1408,
    0xff0c1607,
    0xff0b1609,
    0xff0c1607,
    0xff141a06,
    0xff0a110a,
    0xff0d190d,
    0xff0c1e09,
    0xff07160a,
    0xff0d1c07,
    0xff061700,
    0xff182517,
    0xff7d8881,
    0xff000902,
    0xff07160e,
    0xff13231b,
    0xff02100a,
    0xff09190e,
    0xff0c180f,
    0xff0e1a10,
    0xff171d16,
    0xff7e8077,
    0xff1e251b,
    0xff050e06,
    0xff0f1e19,
    0xff000e08,
    0xff06170d,
    0xff0a1409,
    0xff1c0f07,
    0xff424031,
    0xff0a0d00,
    0xff000000,
    0xffb9b8b5,
    0xff59483e,
    0xff241e10,
    0xff10120d,
    0xff0a1504,
    0xff07160b,
    0xff08180f,
    0xff03160b,
    0xff01130b,
    0xff061410,
    0xff030d07,
    0xff020a02,
    0xff7693d9,
    0xff7591d7,
    0xff7998dd,
    0xff7593d8,
    0xff6584cb,
    0xff6888d0,
    0xff6989d1,
    0xff6c8dd5,
    0xff6a8cd5,
    0xff6587ce,
    0xff6888d0,
    0xff6685cd,
    0xff5f7ec7,
    0xff6b8ad2,
    0xff6988d0,
    0xff5877be,
    0xff6685cd,
    0xff6181c6,
    0xff6788cc,
    0xff6384c7,
    0xff6485c7,
    0xff6180c4,
    0xff617dc1,
    0xff6a87ce,
    0xff6d8ed3,
    0xff6383c8,
    0xff6181c4,
    0xff6c8acd,
    0xff6482c6,
    0xff6b88cd,
    0xff6f8bd1,
    0xff6d8ad0,
    0xff6f8bcc,
    0xff6a88ca,
    0xff6582c4,
    0xff6986c9,
    0xff728fd0,
    0xff6b88cb,
    0xff6481c4,
    0xff607cbf,
    0xff6a86c5,
    0xff6580bf,
    0xff6984c4,
    0xff657fbf,
    0xff7189c9,
    0xff6e88cb,
    0xff637ebf,
    0xff637ec0,
    0xff6680c4,
    0xff617bbf,
    0xff6480c1,
    0xff6480bf,
    0xff6b87c6,
    0xff647fbf,
    0xff6983c4,
    0xff5f79ba,
    0xff607dbe,
    0xff5f7bbc,
    0xff617bbb,
    0xff637dbb,
    0xff657fbc,
    0xff6680bd,
    0xff6983c2,
    0xff6582c0,
    0xff5c78b7,
    0xff5e7bbb,
    0xff607ebd,
    0xff5a79ba,
    0xff5a77bc,
    0xff5c78bd,
    0xff5b78ba,
    0xff5d79bc,
    0xff5d7abc,
    0xff5f7cbd,
    0xff5876b8,
    0xff5e7abd,
    0xff617ec3,
    0xff5b79ba,
    0xff627fc1,
    0xff5976b7,
    0xff627abd,
    0xff6179bc,
    0xff6179bb,
    0xff5f77b8,
    0xff647cbe,
    0xff5d75b6,
    0xff647cbf,
    0xff5e76b9,
    0xff5e76b5,
    0xff5d75b3,
    0xff5e75b5,
    0xff6179b9,
    0xff5f77b7,
    0xff5a72b3,
    0xff5a72b3,
    0xff5b72b4,
    0xff5670b2,
    0xff5570b0,
    0xff5873b6,
    0xff5a75b8,
    0xff5c77bb,
    0xff5772b5,
    0xff5974b7,
    0xff5671b4,
    0xff5671b4,
    0xff5974b8,
    0xff5873b8,
    0xff5873b7,
    0xff5c75b9,
    0xff6177bc,
    0xff6476bd,
    0xff5f71b8,
    0xff6276b5,
    0xff5f74b5,
    0xff5e73b6,
    0xff5e74b9,
    0xff5d72b9,
    0xff596fb5,
    0xff5a73b8,
    0xff546cb2,
    0xff586eb0,
    0xff5b71b2,
    0xff5c72b3,
    0xff5f75b6,
    0xff5c72b2,
    0xff5f76b3,
    0xff6177b5,
    0xff5e75b2,
    0xff6075b8,
    0xff5f75b7,
    0xff5f75ba,
    0xff5e74b9,
    0xff6274ba,
    0xff5f73b6,
    0xff6375b7,
    0xff6475b6,
    0xff687bbb,
    0xff6276b7,
    0xff667bbd,
    0xff677cc0,
    0xff637abf,
    0xff677ec3,
    0xff667fc0,
    0xff647dc0,
    0xff5e7ec1,
    0xff607fc2,
    0xff5b7bbe,
    0xff5a79bd,
    0xff5778bd,
    0xff597abe,
    0xff6081c6,
    0xff5879be,
    0xff597ac2,
    0xff5979c3,
    0xff5b7bc5,
    0xff5b7ac4,
    0xff5e7dc7,
    0xff5b78c4,
    0xff5c79c7,
    0xff5f7cc9,
    0xff5b7cc7,
    0xff5e7dc7,
    0xff5a79c3,
    0xff5978c3,
    0xff5b7ac6,
    0xff597ac7,
    0xff5679c5,
    0xff5478c5,
    0xff5378c9,
    0xff567bcb,
    0xff5479c6,
    0xff5479c5,
    0xff5a80cb,
    0xff5e80cc,
    0xff5d7cca,
    0xff5f7ccb,
    0xff5b7cc9,
    0xff5b7cca,
    0xff5e7bcb,
    0xff5e79cb,
    0xff607bcc,
    0xff657ecd,
    0xff637dc9,
    0xff617bc7,
    0xff607ec8,
    0xff6280c8,
    0xff6282cb,
    0xff6080cb,
    0xff6385cf,
    0xff6283cf,
    0xff6185d1,
    0xff6487d5,
    0xff6387d5,
    0xff6286d1,
    0xff6486d0,
    0xff6486cf,
    0xff6386cf,
    0xff6385cf,
    0xff6286d0,
    0xff658bd6,
    0xff6486d3,
    0xff668ad3,
    0xff668cd5,
    0xff638ad2,
    0xff648cd4,
    0xff658dd3,
    0xff658dd3,
    0xff668ed5,
    0xff648ddb,
    0xff628ddb,
    0xff648edc,
    0xff658cdb,
    0xff6289d7,
    0xff648bda,
    0xff6288d8,
    0xff668cdb,
    0xff658bd7,
    0xff658bd5,
    0xff668cd4,
    0xff6990d7,
    0xff678cd4,
    0xff6a8ed6,
    0xff6b8fd7,
    0xff6b90d7,
    0xff678ed6,
    0xff6a91d7,
    0xff668dd4,
    0xff668dd4,
    0xff6990d7,
    0xff688dd6,
    0xff678dd6,
    0xff6b90da,
    0xff688dd6,
    0xff698dd7,
    0xff698dd7,
    0xff6b90da,
    0xff6b90dc,
    0xff6c91dc,
    0xff6b90da,
    0xff698ddb,
    0xff6b90da,
    0xff6f96df,
    0xff6d93db,
    0xff6d93d8,
    0xff6e93d8,
    0xff6d90d6,
    0xff6e90d6,
    0xff7193db,
    0xff7693d6,
    0xff7491d5,
    0xff7493d8,
    0xff7492d7,
    0xff7492d9,
    0xff7493da,
    0xff7490d8,
    0xff728fd8,
    0xff7393db,
    0xff7292dd,
    0xff6f8fda,
    0xff6c8bd9,
    0xff6c8dd9,
    0xff6c8ed7,
    0xff6f92db,
    0xff7091d9,
    0xff7491d9,
    0xff7a98dd,
    0xff7b96dd,
    0xff7a92d7,
    0xff8397dc,
    0xff8698dc,
    0xff8896d9,
    0xff8797d6,
    0xff8798d6,
    0xff869ad6,
    0xff8294d1,
    0xff8495d0,
    0xff8898d2,
    0xff8495cd,
    0xff8593cb,
    0xff8491cb,
    0xff7f8ecb,
    0xff7e8dcd,
    0xff798bcc,
    0xff7589cc,
    0xff6e82c7,
    0xff6a80c6,
    0xff6980c5,
    0xff677ec3,
    0xff637dc3,
    0xff617fc2,
    0xff6180c0,
    0xff6181bf,
    0xff5d7ebe,
    0xff5d80c0,
    0xff5478ba,
    0xff557abb,
    0xff4f77b4,
    0xff4971af,
    0xff4872b0,
    0xff426dab,
    0xff4672b0,
    0xff4b75b3,
    0xff426caa,
    0xff456fa9,
    0xff476d9e,
    0xff466a9a,
    0xff466897,
    0xff496898,
    0xff486391,
    0xff405985,
    0xff445a85,
    0xff43577e,
    0xff515b73,
    0xff576076,
    0xff5c6379,
    0xff5b6278,
    0xff5a6376,
    0xff5e6879,
    0xff576876,
    0xff546672,
    0xff596676,
    0xff51626b,
    0xff455b61,
    0xff3c525a,
    0xff344c59,
    0xff38505f,
    0xff394f5d,
    0xff364a54,
    0xff344249,
    0xff324047,
    0xff2b3a42,
    0xff27373d,
    0xff2d3e41,
    0xff384845,
    0xff414f49,
    0xff45514b,
    0xff465153,
    0xff434e50,
    0xff3b4449,
    0xff3c464c,
    0xff3b454d,
    0xff313f47,
    0xff2a3a43,
    0xff253744,
    0xff2e4356,
    0xff2f455a,
    0xff2d4757,
    0xff2f4a59,
    0xff274555,
    0xff224054,
    0xff1a3a4f,
    0xff223f57,
    0xff1a3a58,
    0xff163351,
    0xff15314d,
    0xff15324a,
    0xff143047,
    0xff19364a,
    0xff112d3f,
    0xff173545,
    0xff1c394c,
    0xff1b374b,
    0xff173448,
    0xff1a3548,
    0xff1c3646,
    0xff213848,
    0xff223742,
    0xff233541,
    0xff1d2b3d,
    0xff1a273e,
    0xff14233c,
    0xff101f37,
    0xff142534,
    0xff122229,
    0xff16242a,
    0xff162529,
    0xff142525,
    0xff1f3030,
    0xff152525,
    0xff132522,
    0xff192a24,
    0xff1e2d22,
    0xff233023,
    0xff283325,
    0xff273123,
    0xff2b3520,
    0xff373f25,
    0xff374126,
    0xff2d3b24,
    0xff202e1b,
    0xff1d291c,
    0xff293120,
    0xff262e19,
    0xff293320,
    0xff24301d,
    0xff1a2111,
    0xff2b2819,
    0xff3b2b20,
    0xff3e221e,
    0xff2f0f12,
    0xff270c0c,
    0xff2f1414,
    0xff381b1e,
    0xff34141a,
    0xff44212a,
    0xff3e1a26,
    0xff4b2733,
    0xff4c2634,
    0xff3b1925,
    0xff4b272a,
    0xff4d292b,
    0xff512d38,
    0xff593740,
    0xff4f342e,
    0xff51312d,
    0xff5f3c41,
    0xff603b43,
    0xff5f3b44,
    0xff53323a,
    0xff30151b,
    0xff311a1f,
    0xff2e1a21,
    0xff322127,
    0xff37252d,
    0xff3c181e,
    0xff36181d,
    0xff34201b,
    0xff33281f,
    0xff473a2f,
    0xff4f330e,
    0xff986027,
    0xff9c4823,
    0xff984e2a,
    0xff7a350d,
    0xff693118,
    0xff4d2823,
    0xff421913,
    0xff5f251a,
    0xff5e1b0d,
    0xff420f00,
    0xff7a5a3a,
    0xff442e10,
    0xff361a01,
    0xff443a0d,
    0xff435003,
    0xff4d6503,
    0xff304907,
    0xff362e0f,
    0xff644e24,
    0xff462b1a,
    0xff34191e,
    0xff32231f,
    0xff1e1b06,
    0xff20180b,
    0xff210b0b,
    0xff36150b,
    0xff2c0702,
    0xff320f0f,
    0xff270705,
    0xffe1cbc5,
    0xfffff0e3,
    0xffc2b0a0,
    0xffb79784,
    0xff55230e,
    0xff6d1b0a,
    0xff6f180d,
    0xff73231d,
    0xff6e251c,
    0xff6f2614,
    0xff87371f,
    0xff772206,
    0xff782501,
    0xffa04c1f,
    0xff772409,
    0xff843226,
    0xff6d1e0e,
    0xff803716,
    0xff8c4a1a,
    0xff612705,
    0xff763f22,
    0xff3e1200,
    0xff562914,
    0xff5f2b12,
    0xff914e33,
    0xff812e11,
    0xff7c2005,
    0xff6a0f00,
    0xff7f2c1e,
    0xff551f19,
    0xff451d16,
    0xff2d110b,
    0xff29140e,
    0xff3d261f,
    0xff240f07,
    0xff251509,
    0xff383121,
    0xff222807,
    0xff4c3212,
    0xff6f3f15,
    0xff662d04,
    0xff8b4a22,
    0xff772208,
    0xff711203,
    0xff812816,
    0xff73180b,
    0xff6a1812,
    0xff691e1e,
    0xff631e16,
    0xff591806,
    0xff642b16,
    0xff2e0800,
    0xff2c150e,
    0xff3a1f23,
    0xff1c0a0a,
    0xff1a1410,
    0xff14160c,
    0xff0c0c03,
    0xff150f0a,
    0xff1a120d,
    0xff0e0900,
    0xff0c1207,
    0xff070f04,
    0xff081107,
    0xff0d1109,
    0xff100f07,
    0xff0f0d06,
    0xff191a10,
    0xff242b1f,
    0xff2f3c38,
    0xff313c35,
    0xff373f33,
    0xff3d4230,
    0xff3e412c,
    0xff3e422c,
    0xff535841,
    0xff272d17,
    0xff2d2a18,
    0xff170e0e,
    0xff1c1811,
    0xff26251f,
    0xff200e00,
    0xff945b35,
    0xffba4c2b,
    0xffcd4117,
    0xffd5652d,
    0xffffc165,
    0xff5a1600,
    0xff7d3d0e,
    0xff662a02,
    0xff4d1602,
    0xff76360c,
    0xffbf6b41,
    0xff913113,
    0xff954616,
    0xffad7d3f,
    0xff512600,
    0xffc58d58,
    0xffcb8f52,
    0xffe8a95e,
    0xffeaa054,
    0xff280000,
    0xff4a1c0c,
    0xff5f0e00,
    0xff650c07,
    0xff592724,
    0xff310c0c,
    0xff370e0b,
    0xff1f0a00,
    0xff1b170f,
    0xff2a1812,
    0xff240303,
    0xff3e1414,
    0xff421315,
    0xff300404,
    0xff230703,
    0xff191008,
    0xff121203,
    0xff111107,
    0xff050313,
    0xff050b04,
    0xff000d00,
    0xff000d0b,
    0xff01081c,
    0xff051105,
    0xff00120c,
    0xff040d03,
    0xff0a0905,
    0xff080b11,
    0xff01100e,
    0xff001400,
    0xff001406,
    0xff020c11,
    0xff051208,
    0xff08150a,
    0xff000d02,
    0xff031107,
    0xff07140b,
    0xff041009,
    0xff0b1713,
    0xff091410,
    0xff020e09,
    0xff0a1612,
    0xff0b1607,
    0xff050a00,
    0xff020000,
    0xff141206,
    0xff090c01,
    0xff060c01,
    0xff4b5350,
    0xff414c48,
    0xff04120f,
    0xff071715,
    0xff061711,
    0xff06140b,
    0xff051005,
    0xff091105,
    0xff000700,
    0xff757a74,
    0xff121710,
    0xff060d06,
    0xff091511,
    0xff00100c,
    0xff000f08,
    0xff061307,
    0xff060e05,
    0xff1a1709,
    0xff383c2d,
    0xff191f18,
    0xffa2a79d,
    0xff52523c,
    0xff484432,
    0xff010a00,
    0xff061218,
    0xff021111,
    0xff010f0c,
    0xff02100b,
    0xff041109,
    0xff001104,
    0xff000c00,
    0xff04160a,
    0xff657ec3,
    0xff617abf,
    0xff617abf,
    0xff5e79be,
    0xff6d88cd,
    0xff6f8ad0,
    0xff6b86cb,
    0xff5c76be,
    0xff627ec5,
    0xff6582c9,
    0xff637ec7,
    0xff6a85cb,
    0xff738ed4,
    0xff6b87cb,
    0xff5b76bb,
    0xff728cd1,
    0xff6d88ca,
    0xff647ebf,
    0xff6582c3,
    0xff6c89c8,
    0xff6a88c6,
    0xff6884c3,
    0xff6983c3,
    0xff6980c0,
    0xff6683c4,
    0xff6a88c5,
    0xff5e7cb9,
    0xff637dbe,
    0xff607bbb,
    0xff6880c3,
    0xff6178bc,
    0xff6178bc,
    0xff6b84c4,
    0xff6179b9,
    0xff677fbd,
    0xff627ab9,
    0xff627ab9,
    0xff5f77b3,
    0xff657fb9,
    0xff6881bc,
    0xff687ebd,
    0xff788ecd,
    0xff657cba,
    0xff6e84c3,
    0xff7288c8,
    0xff6277b9,
    0xff6379bc,
    0xff687cbf,
    0xff667bbe,
    0xff6178b9,
    0xff647cba,
    0xff5a72b0,
    0xff5d75b1,
    0xff677ebb,
    0xff5b73b1,
    0xff667bb9,
    0xff6a83c3,
    0xff6077b5,
    0xff637ab6,
    0xff6478b4,
    0xff667bb6,
    0xff647ab5,
    0xff6278b4,
    0xff627ab7,
    0xff5f78b4,
    0xff6881be,
    0xff6781bd,
    0xff5b76b3,
    0xff5d78b5,
    0xff637dbc,
    0xff6078b8,
    0xff6079b9,
    0xff5e79b6,
    0xff607ab8,
    0xff5b76b5,
    0xff5d77b8,
    0xff6079ba,
    0xff5e78b7,
    0xff627dba,
    0xff6780be,
    0xff6781b7,
    0xff6079af,
    0xff6680b4,
    0xff6279ab,
    0xff5c74a6,
    0xff6077ad,
    0xff6278af,
    0xff657ab2,
    0xff6075ae,
    0xff677bb5,
    0xff6175b1,
    0xff697db8,
    0xff6b7fbb,
    0xff6377b6,
    0xff6378b6,
    0xff677bba,
    0xff6c81bc,
    0xff677eb8,
    0xff687eba,
    0xff6b82be,
    0xff5b72ae,
    0xff6379b8,
    0xff6379b8,
    0xff657cbb,
    0xff6074b6,
    0xff6075b7,
    0xff6177b5,
    0xff667cbb,
    0xff667ab7,
    0xff6d80bd,
    0xff6a7ab9,
    0xff6f7eba,
    0xff7182bb,
    0xff6b7db7,
    0xff6a7bb7,
    0xff6a7cbb,
    0xff6679b9,
    0xff6276b7,
    0xff667abc,
    0xff6579bb,
    0xff6679bd,
    0xff6578bc,
    0xff6073b6,
    0xff6274b7,
    0xff6477b6,
    0xff6175b4,
    0xff6c80bd,
    0xff697cb9,
    0xff6276b1,
    0xff6175b0,
    0xff6578b6,
    0xff7082c1,
    0xff6577b6,
    0xff6779b6,
    0xff6c7cb8,
    0xff7485c1,
    0xff6b7ebb,
    0xff6a7eb9,
    0xff687cba,
    0xff6a7ebe,
    0xff687cbc,
    0xff6b80c1,
    0xff6780be,
    0xff6980bf,
    0xff6481bd,
    0xff617ebb,
    0xff6481c0,
    0xff6582c0,
    0xff5c7aba,
    0xff5775b5,
    0xff6380c1,
    0xff5d7abb,
    0xff5f7bc1,
    0xff5e7bc2,
    0xff5e7bc0,
    0xff5b78bf,
    0xff5c78c0,
    0xff5c77c0,
    0xff5772ba,
    0xff5b75bf,
    0xff5e7ac3,
    0xff5e79c2,
    0xff5874bc,
    0xff5c76c1,
    0xff5f7cc4,
    0xff5976bf,
    0xff5776be,
    0xff5a7bc2,
    0xff5274c0,
    0xff5273bf,
    0xff577bc6,
    0xff5b7fc9,
    0xff5a7cc4,
    0xff5779c1,
    0xff6080c9,
    0xff5875bf,
    0xff5b7cc5,
    0xff5a77c2,
    0xff607dc9,
    0xff5c77c6,
    0xff6078c9,
    0xff5e77c7,
    0xff617acb,
    0xff607ac7,
    0xff607bc6,
    0xff637fc9,
    0xff5f7bc5,
    0xff617dc9,
    0xff617fca,
    0xff5c7bc9,
    0xff5b7bc8,
    0xff5f7ece,
    0xff5e83d1,
    0xff5d82d0,
    0xff5f80cf,
    0xff5d7dca,
    0xff5f7fcd,
    0xff6182cc,
    0xff6082cc,
    0xff6283ce,
    0xff6283cd,
    0xff5c7ec8,
    0xff5b80ca,
    0xff5c81cb,
    0xff5d85cd,
    0xff5c84cc,
    0xff5f87cf,
    0xff5d85ce,
    0xff5e87cd,
    0xff6087ce,
    0xff5f87cd,
    0xff5e86cc,
    0xff5c83cc,
    0xff5f86cf,
    0xff6188d1,
    0xff5e86ce,
    0xff5e85c9,
    0xff6087ca,
    0xff638bcc,
    0xff648cca,
    0xff678dcc,
    0xff638ac9,
    0xff6a91d0,
    0xff658bcc,
    0xff668eca,
    0xff6a93cd,
    0xff648dc9,
    0xff668eca,
    0xff658dc9,
    0xff658ccc,
    0xff668ecd,
    0xff668ed0,
    0xff678dcd,
    0xff678ecd,
    0xff678ecd,
    0xff698fce,
    0xff6e91d2,
    0xff6d91d0,
    0xff6e91d0,
    0xff6d8fcf,
    0xff6f95d2,
    0xff6a8fcc,
    0xff6d94ce,
    0xff7599d2,
    0xff7499d2,
    0xff7294ce,
    0xff799bd5,
    0xff7999d5,
    0xff7e9bd4,
    0xff7a99d2,
    0xff7a98d1,
    0xff7b9bd3,
    0xff7a9bd5,
    0xff7c9ad6,
    0xff7796d1,
    0xff7894d0,
    0xff7595d6,
    0xff7294d5,
    0xff7496d8,
    0xff7597da,
    0xff7799dc,
    0xff7596d8,
    0xff7597d6,
    0xff799bda,
    0xff7c9cda,
    0xff7e9cda,
    0xff829eda,
    0xff869edb,
    0xff8ba1db,
    0xff899bd6,
    0xff93a3de,
    0xff98a6e0,
    0xff93a4d9,
    0xff91a3d7,
    0xff94a5d8,
    0xff95a7d9,
    0xff94a7d8,
    0xff95a8d7,
    0xff99abda,
    0xff9aabdb,
    0xff98a5de,
    0xff8c9ad3,
    0xff899cd4,
    0xff8499d1,
    0xff8198d0,
    0xff7e97d0,
    0xff7a93cc,
    0xff7b93cf,
    0xff7d97d2,
    0xff809ad6,
    0xff7f9cd6,
    0xff7f9bd3,
    0xff7f9fd5,
    0xff7c9cd4,
    0xff80a2da,
    0xff7696d2,
    0xff6e93d0,
    0xff7398d5,
    0xff6e93d2,
    0xff6991cf,
    0xff6189c9,
    0xff5d84c4,
    0xff6188c7,
    0xff6087c7,
    0xff6386c9,
    0xff6386c9,
    0xff6283c7,
    0xff6582c5,
    0xff617cbe,
    0xff6980c1,
    0xff697fbd,
    0xff6e83bf,
    0xff7283b8,
    0xff7686ba,
    0xff7d8cc0,
    0xff7d8dbf,
    0xff7c8ebf,
    0xff788cbc,
    0xff748bb9,
    0xff7a91c0,
    0xff858bbf,
    0xff8389bd,
    0xff7f8aba,
    0xff7786b7,
    0xff7181b4,
    0xff6e7fb3,
    0xff6e7eb1,
    0xff7182b3,
    0xff7286b7,
    0xff7185b6,
    0xff6e82b3,
    0xff7186b4,
    0xff7488b5,
    0xff7388b0,
    0xff7689ad,
    0xff7d8fb3,
    0xff7f91b1,
    0xff8395b5,
    0xff7e90b3,
    0xff8193b6,
    0xff8296bb,
    0xff7f97bc,
    0xff7b96ba,
    0xff7894b8,
    0xff748ab5,
    0xff7087ae,
    0xff6e85ad,
    0xff6883ab,
    0xff6583a9,
    0xff5d7ca3,
    0xff4f6f9a,
    0xff506f9c,
    0xff4f71a0,
    0xff4d70a0,
    0xff4d729d,
    0xff456692,
    0xff496d93,
    0xff4a6b90,
    0xff45678a,
    0xff466889,
    0xff446a83,
    0xff476c84,
    0xff3e617b,
    0xff4e6e85,
    0xff4d6d81,
    0xff597586,
    0xff556f7e,
    0xff5d7382,
    0xff486878,
    0xff486a7e,
    0xff406377,
    0xff3a5d70,
    0xff406470,
    0xff3c5d65,
    0xff3d6165,
    0xff3e5e64,
    0xff385c62,
    0xff3b5f66,
    0xff365c5e,
    0xff2f5555,
    0xff2b4e4a,
    0xff2a4b42,
    0xff355446,
    0xff395648,
    0xff38473c,
    0xff424d3e,
    0xff45513b,
    0xff404d37,
    0xff384935,
    0xff27382a,
    0xff29382b,
    0xff2d392c,
    0xff2c3925,
    0xff223626,
    0xff243b2d,
    0xff1a2f23,
    0xff263023,
    0xff383529,
    0xff372a21,
    0xff382623,
    0xff3b2925,
    0xff392823,
    0xff3c2b29,
    0xff2c1b1e,
    0xff25141b,
    0xff2b1923,
    0xff25131a,
    0xff29161c,
    0xff251617,
    0xff281912,
    0xff31201e,
    0xff28161e,
    0xff27171d,
    0xff271b10,
    0xff271a11,
    0xff231312,
    0xff271914,
    0xff1f130e,
    0xff2b201d,
    0xff281f1a,
    0xff261c19,
    0xff291c1a,
    0xff352321,
    0xff301c1b,
    0xff2f1f20,
    0xff2c1b1f,
    0xff2e241e,
    0xff372b28,
    0xff2e1417,
    0xff5a2719,
    0xff913a23,
    0xff92201f,
    0xff62201d,
    0xff805b3f,
    0xff160e00,
    0xff252725,
    0xff311c14,
    0xff622a21,
    0xff661e19,
    0xff864332,
    0xff733423,
    0xff603027,
    0xff56301e,
    0xff6b662a,
    0xffb5c069,
    0xff55530f,
    0xff4b3a0b,
    0xff7b4b31,
    0xff502e0c,
    0xff6a4a26,
    0xff170000,
    0xff321c0f,
    0xff1c1300,
    0xff292019,
    0xff1f0b13,
    0xff270b05,
    0xff291408,
    0xff190d07,
    0xfffef7f0,
    0xffb5ad9e,
    0xff807c68,
    0xff928975,
    0xff7e6550,
    0xff7f5137,
    0xff7c4b2e,
    0xff6d2b1b,
    0xff5c140d,
    0xff601d16,
    0xff520901,
    0xff6f160c,
    0xff842b1e,
    0xff7d2e1c,
    0xff813417,
    0xff7d331a,
    0xff5e1304,
    0xff580d01,
    0xff5f1509,
    0xff591908,
    0xff683422,
    0xff3a0f01,
    0xff270900,
    0xff2e1005,
    0xff3c190c,
    0xff300000,
    0xff6b3119,
    0xff8a4830,
    0xff86432f,
    0xff6e3320,
    0xff461a13,
    0xff280800,
    0xff261309,
    0xff1d1108,
    0xff150a03,
    0xff1b1108,
    0xff1f160e,
    0xff1f170d,
    0xff200b01,
    0xff39230b,
    0xff483307,
    0xff876f3d,
    0xff4b1c00,
    0xff813521,
    0xff792014,
    0xff6e1908,
    0xff822517,
    0xff671b13,
    0xff551f1c,
    0xff3e0905,
    0xff581f10,
    0xff441003,
    0xff2f1005,
    0xff1e1112,
    0xff1e0c13,
    0xff0f0b0b,
    0xff040f09,
    0xff0a160e,
    0xff0e0f0a,
    0xff120b05,
    0xff1d180e,
    0xff1c1c12,
    0xff282a1b,
    0xff3c3f30,
    0xff1f1f11,
    0xff1e1b0e,
    0xff342c20,
    0xff3a3225,
    0xff454335,
    0xff494e3e,
    0xff4a5044,
    0xff3f4233,
    0xff42442f,
    0xff37341b,
    0xff333216,
    0xff3c3f24,
    0xff32371f,
    0xff202a13,
    0xff2f3c21,
    0xff35362d,
    0xff504232,
    0xff381602,
    0xff8e502b,
    0xff993b05,
    0xffbc4320,
    0xffd25431,
    0xffd67b2e,
    0xfffcac46,
    0xffef9b43,
    0xffe88c33,
    0xffbd5d18,
    0xffffaf79,
    0xffca7235,
    0xffc2632d,
    0xfff59e6b,
    0xff460500,
    0xffe3af72,
    0xffe19c46,
    0xfff59e40,
    0xfff7a24b,
    0xfff2a644,
    0xffdd9317,
    0xffeeb048,
    0xfff5a94b,
    0xffca6e20,
    0xff822200,
    0xff641202,
    0xff5e1811,
    0xff561716,
    0xff4c1111,
    0xff3c0c0b,
    0xff400205,
    0xff511213,
    0xff380200,
    0xff440f0b,
    0xff440f0c,
    0xff3a150d,
    0xff1e1504,
    0xff021205,
    0xff000d00,
    0xff07080a,
    0xff050a03,
    0xff010805,
    0xff070c03,
    0xff030002,
    0xff110102,
    0xff05100c,
    0xff040e07,
    0xff070905,
    0xff050a0b,
    0xff030c0d,
    0xff001004,
    0xff001003,
    0xff020e07,
    0xff031108,
    0xff021309,
    0xff02120a,
    0xff001007,
    0xff03140e,
    0xff0c1c17,
    0xff000a08,
    0xff04110d,
    0xff041300,
    0xff090c05,
    0xff321a15,
    0xffa4744c,
    0xffd29345,
    0xffda9840,
    0xffa1642a,
    0xff5a2714,
    0xff040000,
    0xff828174,
    0xff0d110c,
    0xff0e1814,
    0xff000d0a,
    0xff0f1e1a,
    0xff08160d,
    0xff0c180f,
    0xff020b06,
    0xff5d635d,
    0xff1d2018,
    0xff030b04,
    0xff05100d,
    0xff081715,
    0xff04140e,
    0xff000e06,
    0xff001109,
    0xff0a0d06,
    0xff111811,
    0xff393335,
    0xff221c1a,
    0xff404a34,
    0xff555342,
    0xff000400,
    0xff010f1a,
    0xff000b0d,
    0xff060b07,
    0xff060803,
    0xff0b0d08,
    0xff070c05,
    0xff030e0c,
    0xff000a13,
    0xff7089bd,
    0xff819ace,
    0xff7e97cb,
    0xff7690c3,
    0xff95b0e3,
    0xff7993c7,
    0xff809ace,
    0xff7d96ca,
    0xff7e98d1,
    0xff859fd9,
    0xff7691c8,
    0xff758ec6,
    0xff7b94ca,
    0xff7891c6,
    0xff839dd2,
    0xff839dd4,
    0xff7088c7,
    0xff7991cf,
    0xff6e88c5,
    0xff617bb8,
    0xff7c96d1,
    0xff829ad6,
    0xff6f85c1,
    0xff7288c3,
    0xff718bc4,
    0xff7f98d2,
    0xff6b83be,
    0xff6e85c2,
    0xff6d84c1,
    0xff7286c5,
    0xff758aca,
    0xff697ebd,
    0xff697ebb,
    0xff677db7,
    0xff687eb8,
    0xff7b90cb,
    0xff6b81ba,
    0xff7b91ca,
    0xff96ace4,
    0xff7a90c6,
    0xff8398cc,
    0xff768abf,
    0xff7a8fc4,
    0xff778cc3,
    0xff6378ae,
    0xff7186bc,
    0xff6579b0,
    0xff7b8fc7,
    0xff6379ba,
    0xff6880c0,
    0xff6179b7,
    0xff6a82be,
    0xff768eca,
    0xff647cb8,
    0xff6880be,
    0xff748dca,
    0xff7488c7,
    0xff687dba,
    0xff6679b4,
    0xff798bc6,
    0xff8396cf,
    0xff758ac3,
    0xff6e82be,
    0xff6c82bb,
    0xff7186c0,
    0xff5f75af,
    0xff778ec7,
    0xff6f88c1,
    0xff647db7,
    0xff748ac4,
    0xff768cc8,
    0xff6377b4,
    0xff667db6,
    0xff7c92cd,
    0xff6379b5,
    0xff6f84c2,
    0xff6379b8,
    0xff5c73ae,
    0xff7e95cf,
    0xff667bb6,
    0xff758cc0,
    0xff7087b9,
    0xff7189bb,
    0xff7187b7,
    0xff7086b6,
    0xff6c81b4,
    0xff778dbf,
    0xff687db2,
    0xff6679b0,
    0xff6d80b8,
    0xff7083bd,
    0xff6b7eb8,
    0xff7184be,
    0xff6d80bb,
    0xff6679b3,
    0xff6e80bc,
    0xff677bb2,
    0xff7386be,
    0xff7b8ec6,
    0xff677ab4,
    0xff687bb6,
    0xff6678b3,
    0xff7487c2,
    0xff687ab5,
    0xff667ab3,
    0xff6d80ba,
    0xff6d81b8,
    0xff6c7fb7,
    0xff667aaf,
    0xff798abe,
    0xff8796cb,
    0xff707cb1,
    0xff6e7bb1,
    0xff6a76ae,
    0xff7180b9,
    0xff7280bb,
    0xff6878b4,
    0xff7686c4,
    0xff6072b1,
    0xff6c7fbb,
    0xff687fbe,
    0xff637ab8,
    0xff667ebc,
    0xff6d86c0,
    0xff6a83bd,
    0xff6f87c0,
    0xff6982b9,
    0xff7087c0,
    0xff677eb5,
    0xff677db4,
    0xff667cb5,
    0xff7b8fca,
    0xff6d81bc,
    0xff6a7fb8,
    0xff697fb7,
    0xff798ec6,
    0xff7990c8,
    0xff7992c9,
    0xff6f88c0,
    0xff6880bc,
    0xff667eba,
    0xff667ebb,
    0xff657cb8,
    0xff768ec8,
    0xff6680b8,
    0xff6d88be,
    0xff6380b9,
    0xff6380b8,
    0xff6885bf,
    0xff7592cd,
    0xff6e8cc8,
    0xff6482bf,
    0xff617ebe,
    0xff5e7cbc,
    0xff6781c4,
    0xff607bbe,
    0xff647fc2,
    0xff627ec1,
    0xff657bc1,
    0xff617ac0,
    0xff5d79c2,
    0xff627ec7,
    0xff6d86d0,
    0xff6782c8,
    0xff647fc6,
    0xff5c79be,
    0xff6381c6,
    0xff6381c7,
    0xff5e7dc6,
    0xff5779c1,
    0xff6182ca,
    0xff6182ca,
    0xff5e80c7,
    0xff5e80c8,
    0xff6081c8,
    0xff6180c7,
    0xff627fc5,
    0xff617ec5,
    0xff617ec7,
    0xff5f7dc6,
    0xff617cca,
    0xff627dca,
    0xff6983d0,
    0xff5f79c6,
    0xff647dc8,
    0xff6981cb,
    0xff657dc7,
    0xff6680ca,
    0xff6984d1,
    0xff6480cd,
    0xff637eca,
    0xff6481cf,
    0xff587bc7,
    0xff6080ce,
    0xff6181ce,
    0xff637fcd,
    0xff6682ce,
    0xff627fcb,
    0xff607ec7,
    0xff6483cc,
    0xff6787cf,
    0xff6083ca,
    0xff6388cf,
    0xff668cd2,
    0xff5e86ce,
    0xff5981c9,
    0xff5c84cc,
    0xff5c84cb,
    0xff6187cb,
    0xff6187cc,
    0xff5e83c7,
    0xff5c81c6,
    0xff6388ce,
    0xff668bd0,
    0xff6288cd,
    0xff6288ce,
    0xff6185c8,
    0xff6389c9,
    0xff648ac7,
    0xff688ecb,
    0xff688bc9,
    0xff698cca,
    0xff688bc9,
    0xff6a8dce,
    0xff678dd1,
    0xff678cd2,
    0xff688cd4,
    0xff668bd3,
    0xff668ad2,
    0xff668bd3,
    0xff6589d3,
    0xff688dd6,
    0xff668bd2,
    0xff6a8bd4,
    0xff6a8cd4,
    0xff6686cf,
    0xff698ad3,
    0xff7493d9,
    0xff7491d9,
    0xff7996de,
    0xff6f8ed3,
    0xff7192d3,
    0xff7394d4,
    0xff7794d6,
    0xff7c9ad9,
    0xff7995d8,
    0xff7a97d9,
    0xff7a92d8,
    0xff7b97d8,
    0xff7c97d7,
    0xff7895d8,
    0xff7795d7,
    0xff7591d4,
    0xff7a97d9,
    0xff7691d4,
    0xff7b97d9,
    0xff7a99d9,
    0xff7896d5,
    0xff7493d2,
    0xff7796d5,
    0xff7b9ada,
    0xff7b99d8,
    0xff7a9ad5,
    0xff7b9cd7,
    0xff7c9ad5,
    0xff7895cf,
    0xff839cd7,
    0xff859ed8,
    0xff8da1da,
    0xff93a6df,
    0xff97a8e0,
    0xff92a3dc,
    0xff92a1dd,
    0xff92a0dd,
    0xff95a3de,
    0xff97a5e1,
    0xff99a7e0,
    0xff97a5de,
    0xff9aa6e0,
    0xff98a4dc,
    0xff98a2df,
    0xff97a3e0,
    0xff94a2de,
    0xff8fa3de,
    0xff8da0dc,
    0xff8ca1de,
    0xff8ca1df,
    0xff8da1e0,
    0xff91a3e3,
    0xff8d9ee1,
    0xff91a5e3,
    0xff93a7e5,
    0xff91a5e4,
    0xff8fa5e4,
    0xff8ba0e0,
    0xff8ba0e1,
    0xff7e9dd6,
    0xff7c9ad3,
    0xff7e9dd9,
    0xff7f9dd9,
    0xff7c9dd6,
    0xff7a9ad7,
    0xff7a9ad9,
    0xff7699d7,
    0xff7a9cda,
    0xff799bd6,
    0xff7898d0,
    0xff809fd5,
    0xff809cd2,
    0xff7d96ce,
    0xff8499d0,
    0xff8198ce,
    0xff869bcf,
    0xff889dd0,
    0xff8ca1d5,
    0xff889ed3,
    0xff859cd0,
    0xff879fd3,
    0xff829bce,
    0xff829ccf,
    0xff8699ce,
    0xff879bd2,
    0xff859bd3,
    0xff839ed3,
    0xff809dd1,
    0xff7f9dd0,
    0xff7e9dd0,
    0xff7f9dd2,
    0xff849ad1,
    0xff869dd4,
    0xff879ed5,
    0xff849cd0,
    0xff869ed1,
    0xff879fce,
    0xff8ca2d0,
    0xff89a0cc,
    0xff92a5d7,
    0xff92a6d9,
    0xff8ea1d5,
    0xff90a3d8,
    0xff889ed2,
    0xff7e95cb,
    0xff7894c8,
    0xff728fc1,
    0xff748db5,
    0xff728cb3,
    0xff6e8ab0,
    0xff6382a7,
    0xff6281a9,
    0xff5a7ca6,
    0xff5578a3,
    0xff5174a2,
    0xff51709a,
    0xff43638d,
    0xff3e5a84,
    0xff38557b,
    0xff2f4d70,
    0xff345172,
    0xff33506f,
    0xff2e4c6b,
    0xff2b4a5f,
    0xff29485d,
    0xff1f3d52,
    0xff183649,
    0xff143040,
    0xff182e3e,
    0xff1a303e,
    0xff172b37,
    0xff132832,
    0xff081f2c,
    0xff091e33,
    0xff041b2e,
    0xff051d2c,
    0xff07212d,
    0xff0a212e,
    0xff0c202f,
    0xff0a202d,
    0xff09202a,
    0xff041c27,
    0xff052025,
    0xff051e20,
    0xff08201f,
    0xff0e231d,
    0xff142620,
    0xff19281c,
    0xff263123,
    0xff343d2a,
    0xff313e2a,
    0xff2e3c2e,
    0xff132517,
    0xff18261a,
    0xff212d20,
    0xff1f2b18,
    0xff1d2c1c,
    0xff182e21,
    0xff0e2216,
    0xff192a1b,
    0xff2a3223,
    0xff262818,
    0xff211e12,
    0xff22211f,
    0xff242722,
    0xff2a2e2c,
    0xff040b0f,
    0xff00040b,
    0xff000912,
    0xff000407,
    0xff010c08,
    0xff000803,
    0xff000600,
    0xff1b2625,
    0xff00010a,
    0xff070d15,
    0xff040b08,
    0xff000604,
    0xff00040d,
    0xff000c13,
    0xff000e13,
    0xff000b0c,
    0xff1b2926,
    0xff3c4441,
    0xff2d302b,
    0xff54514c,
    0xff2a2421,
    0xff0d140f,
    0xff000808,
    0xff000800,
    0xff192a27,
    0xff081218,
    0xff050700,
    0xff0f0400,
    0xff130000,
    0xff160000,
    0xff362f18,
    0xff1b1a0e,
    0xff1b0f18,
    0xff1e0905,
    0xff482c1d,
    0xff5e3026,
    0xff66291c,
    0xff60240e,
    0xff4c1a1d,
    0xff440c10,
    0xff512d05,
    0xff522e07,
    0xff4d1410,
    0xff350007,
    0xff4d110c,
    0xff390c00,
    0xff926620,
    0xff9d6d2a,
    0xff72481a,
    0xff442307,
    0xff321705,
    0xff412321,
    0xff39180e,
    0xff291105,
    0xff443d34,
    0xffbabdb3,
    0xff969882,
    0xff7c7e64,
    0xff9b9c8a,
    0xff786c55,
    0xff8c6a4d,
    0xff886549,
    0xff8b533f,
    0xff6d2519,
    0xff61190c,
    0xff75281b,
    0xff640e06,
    0xff61140e,
    0xff521811,
    0xff4b1410,
    0xff4e1b04,
    0xff6e4014,
    0xff986a3d,
    0xff5f3415,
    0xff2c0600,
    0xff2e120f,
    0xff1e0a09,
    0xff1c0c00,
    0xff1e0b01,
    0xff230d0a,
    0xff280e0b,
    0xff301209,
    0xff2b0c00,
    0xff3a1e09,
    0xff51361d,
    0xff4a2b1b,
    0xff351d0e,
    0xff1f1106,
    0xff271f13,
    0xff150d03,
    0xff160f09,
    0xff130b07,
    0xff0e0503,
    0xff261416,
    0xff393b19,
    0xff5f712d,
    0xff4d5214,
    0xff524422,
    0xff402917,
    0xff4a2c11,
    0xff57340c,
    0xff511d02,
    0xff371402,
    0xff2a1103,
    0xff41150b,
    0xff591009,
    0xff691c16,
    0xff4e1e1a,
    0xff211110,
    0xff0e0c0f,
    0xff050c0c,
    0xff050f09,
    0xff060904,
    0xff1c140f,
    0xff30231e,
    0xff2f291d,
    0xff25291b,
    0xff2b2714,
    0xff312c1a,
    0xff2d2715,
    0xff3a3020,
    0xff4c3f2f,
    0xff504333,
    0xff423d2b,
    0xff3b3d28,
    0xff3e3c25,
    0xff454128,
    0xff575135,
    0xff433a1f,
    0xff2c230b,
    0xff3c3724,
    0xff171809,
    0xff1c1f14,
    0xff1e2b1a,
    0xff2a3730,
    0xff413a23,
    0xff9e694e,
    0xffe7885d,
    0xffdc712e,
    0xffe07a48,
    0xffd17c47,
    0xffc77a33,
    0xffe58d39,
    0xffdf8029,
    0xffcc6b1d,
    0xffd9703d,
    0xffce5c3e,
    0xfff68852,
    0xffd1712e,
    0xfff29b68,
    0xff64240c,
    0xff59200c,
    0xffad6622,
    0xffde912d,
    0xffc07915,
    0xffecad47,
    0xffffd661,
    0xffffc447,
    0xfffba938,
    0xfffca549,
    0xffd88142,
    0xff873c1f,
    0xff81453f,
    0xff7d4d50,
    0xff2e0307,
    0xff5a1718,
    0xff641217,
    0xff5b070c,
    0xff530c09,
    0xff480803,
    0xff4a0a07,
    0xff45170c,
    0xff2f1c0b,
    0xff100b03,
    0xff12100f,
    0xff120d11,
    0xff0a0000,
    0xff563126,
    0xff73452c,
    0xffb17c69,
    0xff3e0c09,
    0xff0c0400,
    0xff040703,
    0xff020b13,
    0xff030809,
    0xff101005,
    0xff1e1910,
    0xff090f07,
    0xff08160b,
    0xff04100b,
    0xff06120e,
    0xff0b1a16,
    0xff081913,
    0xff03150e,
    0xff05160e,
    0xff000e07,
    0xff001109,
    0xff001101,
    0xff0e0f0b,
    0xff3a2018,
    0xff995e32,
    0xffffc053,
    0xffffb32f,
    0xffec962c,
    0xffb96c23,
    0xff482408,
    0xff270e00,
    0xff7f725f,
    0xff030300,
    0xff0e1817,
    0xff02110f,
    0xff00120d,
    0xff00100a,
    0xff010c09,
    0xff3f4641,
    0xff373a33,
    0xff070a04,
    0xff08100d,
    0xff010d0c,
    0xff010d09,
    0xff020f09,
    0xff040d14,
    0xff060a0d,
    0xff071613,
    0xff0c030d,
    0xff0b0105,
    0xff414936,
    0xff50433a,
    0xff635155,
    0xff000000,
    0xff0d1404,
    0xff061000,
    0xff040a0b,
    0xff0a0c11,
    0xff090b06,
    0xff0b0503,
    0xff0e020f,
    0xff99b4eb,
    0xff829bd2,
    0xff869ed4,
    0xff88a2d8,
    0xff849acf,
    0xff95abdf,
    0xff839ace,
    0xff90a6db,
    0xff7f97d1,
    0xff6d85bf,
    0xff7891cb,
    0xff87a0da,
    0xff7d92cc,
    0xff7a90c9,
    0xff8096ce,
    0xff8499d2,
    0xff768bc5,
    0xff849cd9,
    0xff8ba3de,
    0xff8ba3df,
    0xff8ca4e0,
    0xff7d92cc,
    0xff758bc5,
    0xff899dd6,
    0xff97ace4,
    0xff7084bc,
    0xff748ac2,
    0xff8b9fda,
    0xff8b9fd9,
    0xff7a8ec9,
    0xff7d91cc,
    0xff8094cf,
    0xff6e83bc,
    0xff879cd5,
    0xff8398d1,
    0xff8599d1,
    0xff7d91c8,
    0xff7c91c6,
    0xff768bc0,
    0xff7f95c9,
    0xff9aaae2,
    0xff7689c3,
    0xff6174ae,
    0xff6b7db8,
    0xff6c7eba,
    0xff8193cf,
    0xff7083bd,
    0xff7584c0,
    0xff6b85c1,
    0xff768ecc,
    0xff8097d3,
    0xff7d92ce,
    0xff768cc8,
    0xff758dc9,
    0xff677fbc,
    0xff7089c7,
    0xff6176b1,
    0xff798ac9,
    0xff7c8fca,
    0xff7184be,
    0xff6b7eb8,
    0xff6b80b9,
    0xff6d82bb,
    0xff748ac4,
    0xff7689c5,
    0xff778cc4,
    0xff7086bf,
    0xff677cb6,
    0xff7e94cd,
    0xff6d84bc,
    0xff8397d2,
    0xff6e82bd,
    0xff7a90ca,
    0xff5c72ab,
    0xff899fd9,
    0xff6077b0,
    0xff5e75af,
    0xff6e84bd,
    0xff6f85be,
    0xff6a81b9,
    0xff677db9,
    0xff7288c4,
    0xff697db7,
    0xff677cb7,
    0xff7489c4,
    0xff6d81bb,
    0xff7a8cca,
    0xff6779b6,
    0xff687bb3,
    0xff6c7fb8,
    0xff7184be,
    0xff7285bf,
    0xff7184be,
    0xff7588c2,
    0xff6e80ba,
    0xff7b8ec8,
    0xff6b7eb5,
    0xff5e71a9,
    0xff6d80b8,
    0xff6779b1,
    0xff6b7eb8,
    0xff8092cc,
    0xff697cb6,
    0xff7587c1,
    0xff7286bb,
    0xff7f93c8,
    0xff6a7fb2,
    0xff697fb1,
    0xff6b7fb1,
    0xff7284b4,
    0xff6777a8,
    0xff6f80ae,
    0xff6f7baf,
    0xff7080b5,
    0xff6978b1,
    0xff6978b3,
    0xff7788c4,
    0xff778bc5,
    0xff687bb5,
    0xff6375b1,
    0xff6984b9,
    0xff6c88bd,
    0xff617cb0,
    0xff6d89be,
    0xff718dbe,
    0xff7490c2,
    0xff6582b1,
    0xff607dab,
    0xff7995c9,
    0xff708abf,
    0xff6881b8,
    0xff647eb6,
    0xff627bb3,
    0xff687fba,
    0xff6c86bd,
    0xff667fb7,
    0xff6c87be,
    0xff627cb5,
    0xff6e88c0,
    0xff6c86c1,
    0xff6680bb,
    0xff6781b9,
    0xff6984bc,
    0xff6882ba,
    0xff6a87bd,
    0xff6987bf,
    0xff6583bb,
    0xff6482bc,
    0xff6c8ac7,
    0xff6b89c5,
    0xff6786c5,
    0xff6483c1,
    0xff607ec0,
    0xff607fc1,
    0xff5c7abb,
    0xff617ec1,
    0xff607dbf,
    0xff5d7abf,
    0xff5b78bd,
    0xff627dc2,
    0xff5f7dc6,
    0xff5977bf,
    0xff5a77bf,
    0xff5874bd,
    0xff5b78c1,
    0xff5671bb,
    0xff5d7bc3,
    0xff5b7cc4,
    0xff6483cc,
    0xff5d7fc6,
    0xff5e81cb,
    0xff5b7fc9,
    0xff5b7fca,
    0xff5b7fc9,
    0xff597cc4,
    0xff5b7dc5,
    0xff5475ba,
    0xff5375ba,
    0xff5778bf,
    0xff597ac4,
    0xff6382ce,
    0xff6583cf,
    0xff5e79c6,
    0xff617cc8,
    0xff667dc7,
    0xff667fc9,
    0xff647fca,
    0xff5f79c4,
    0xff627dca,
    0xff6783cf,
    0xff617ecc,
    0xff607fcc,
    0xff6185cf,
    0xff6183cd,
    0xff5f7fc9,
    0xff6687d1,
    0xff6381cd,
    0xff6583cf,
    0xff6484cd,
    0xff6586ce,
    0xff5c7ec7,
    0xff5f83cb,
    0xff688fd7,
    0xff5980ca,
    0xff5f87cf,
    0xff5f88d0,
    0xff5c83cc,
    0xff638bd3,
    0xff6588d3,
    0xff6384d0,
    0xff6387d3,
    0xff6185d2,
    0xff6487d6,
    0xff678adb,
    0xff678adb,
    0xff658ad9,
    0xff6387d2,
    0xff658ad4,
    0xff678cd3,
    0xff668ad3,
    0xff698bd4,
    0xff698bd4,
    0xff6789d4,
    0xff6889d4,
    0xff6488d4,
    0xff6589d4,
    0xff6689d8,
    0xff6286d3,
    0xff6286d5,
    0xff6689d8,
    0xff668ad7,
    0xff6488d6,
    0xff6689d5,
    0xff688ad6,
    0xff688ad5,
    0xff6f90dd,
    0xff6e8fdb,
    0xff6d8ed8,
    0xff698ad5,
    0xff7190da,
    0xff7694dd,
    0xff7291d9,
    0xff7995dd,
    0xff7895db,
    0xff7691d7,
    0xff7590d9,
    0xff7c93dd,
    0xff7b93df,
    0xff7490d7,
    0xff7592da,
    0xff7796dd,
    0xff7192d9,
    0xff7796de,
    0xff7392d9,
    0xff7491d9,
    0xff7895dc,
    0xff7594de,
    0xff7290da,
    0xff7593df,
    0xff7796e2,
    0xff7693dd,
    0xff7492da,
    0xff7492d8,
    0xff7794d8,
    0xff7692d8,
    0xff7c99dd,
    0xff7a96db,
    0xff829be0,
    0xff889ee3,
    0xff8ba2e4,
    0xff899de0,
    0xff869bde,
    0xff8699da,
    0xff8a9cdd,
    0xff8c9cde,
    0xff8f9fe2,
    0xff90a0e0,
    0xff8d9ddd,
    0xff93a1e2,
    0xff92a0e1,
    0xff95a4e4,
    0xff95a5e4,
    0xff8fa1e1,
    0xff899cda,
    0xff8599d8,
    0xff889bdc,
    0xff8b9ee0,
    0xff8ea2e5,
    0xff8b9ee2,
    0xff879ade,
    0xff8b9ee2,
    0xff8da0e3,
    0xff8d9fe3,
    0xff899ce0,
    0xff8c9ee2,
    0xff8ea1e5,
    0xff7d97e1,
    0xff7e98e1,
    0xff7e99e0,
    0xff869ee6,
    0xff859de7,
    0xff7f9ae2,
    0xff7c97e3,
    0xff7e9ae5,
    0xff7c99e2,
    0xff7f9de5,
    0xff819de3,
    0xff7a97da,
    0xff7e99db,
    0xff819adc,
    0xff839bde,
    0xff8399dd,
    0xff889ad8,
    0xff8496d5,
    0xff8798d8,
    0xff8b9bdc,
    0xff8598d8,
    0xff8395d7,
    0xff8497d7,
    0xff889cdc,
    0xff869cda,
    0xff869bdd,
    0xff8296dc,
    0xff8198dc,
    0xff849ddc,
    0xff849ddc,
    0xff7e99da,
    0xff829be0,
    0xff8697d4,
    0xff8699d4,
    0xff8496d3,
    0xff8296d1,
    0xff8599d2,
    0xff8497ce,
    0xff8999d1,
    0xff8b9bd2,
    0xff8591d0,
    0xff8794d4,
    0xff8f9cdb,
    0xff8793d3,
    0xff8e9cdb,
    0xff8898d4,
    0xff899bd8,
    0xff8497d3,
    0xff829bd4,
    0xff7e96d0,
    0xff7b94ce,
    0xff7c98d3,
    0xff7896d2,
    0xff6f92cf,
    0xff6c8fcd,
    0xff678ccd,
    0xff6693da,
    0xff6190d3,
    0xff6392d5,
    0xff6394d6,
    0xff5e8ed0,
    0xff6696d7,
    0xff608fce,
    0xff6190cf,
    0xff5c8acb,
    0xff5e8dcd,
    0xff5e8dcf,
    0xff5a88ca,
    0xff5e8bcd,
    0xff5b86c5,
    0xff5c86c4,
    0xff5c83c0,
    0xff5c83ba,
    0xff567cbb,
    0xff5179bd,
    0xff537bc1,
    0xff4b74b7,
    0xff4e77ba,
    0xff4d74b8,
    0xff4c73b8,
    0xff5279b5,
    0xff4770aa,
    0xff4c76b0,
    0xff4671a9,
    0xff4771a8,
    0xff4771a4,
    0xff4871a1,
    0xff466d9c,
    0xff4b6896,
    0xff4c648f,
    0xff536b92,
    0xff4e688f,
    0xff46638b,
    0xff3c5b88,
    0xff395681,
    0xff38537c,
    0xff38577b,
    0xff365b82,
    0xff335b83,
    0xff295279,
    0xff2e5478,
    0xff315476,
    0xff315175,
    0xff2f5073,
    0xff3c4a71,
    0xff3c4d70,
    0xff3c5273,
    0xff354c71,
    0xff334c77,
    0xff364f78,
    0xff385270,
    0xff415c6e,
    0xff202f34,
    0xff0c1a1c,
    0xff32464f,
    0xff465666,
    0xff3a4856,
    0xff222e32,
    0xff182630,
    0xff152541,
    0xff4f688c,
    0xff425a7a,
    0xff445b71,
    0xff122734,
    0xff374851,
    0xff324549,
    0xff1b2c2e,
    0xff354447,
    0xff000709,
    0xff081013,
    0xff020c09,
    0xff02080d,
    0xff1e2233,
    0xff000305,
    0xff070d07,
    0xff000511,
    0xff182418,
    0xff4c5e45,
    0xff363427,
    0xff210008,
    0xff390710,
    0xff502720,
    0xff361108,
    0xff8f5e59,
    0xff804f3e,
    0xff5d2b17,
    0xff642211,
    0xff551b0a,
    0xff561604,
    0xff6d1b0e,
    0xff581503,
    0xff67280e,
    0xff9a6132,
    0xffb37a21,
    0xffc5891f,
    0xff995b11,
    0xff935d2c,
    0xff653418,
    0xff5c2c17,
    0xff632f18,
    0xff683e30,
    0xff5b4b49,
    0xff848881,
    0xff959983,
    0xff6c745a,
    0xff8c9f8e,
    0xff737b6b,
    0xff938567,
    0xff6d4028,
    0xff824536,
    0xff692016,
    0xff62190c,
    0xff601a0b,
    0xff622516,
    0xff330400,
    0xff34150b,
    0xff44120c,
    0xff471b04,
    0xff4c2700,
    0xff512d05,
    0xff431e09,
    0xff371812,
    0xff25110f,
    0xff241814,
    0xff231703,
    0xff221409,
    0xff1e100f,
    0xff211418,
    0xff160b07,
    0xff130d01,
    0xff1b1808,
    0xff2c2912,
    0xff30200f,
    0xff3c2d1c,
    0xff271b0c,
    0xff221a0e,
    0xff17130a,
    0xff0e0b06,
    0xff0d0806,
    0xff140f0e,
    0xff140901,
    0xff7d7957,
    0xff514714,
    0xff4c3703,
    0xff43310c,
    0xff383617,
    0xff615c39,
    0xff382601,
    0xff74663f,
    0xff361600,
    0xff50160c,
    0xff6a1e18,
    0xff691d17,
    0xff5b1d14,
    0xff52291f,
    0xff1e0200,
    0xff080d06,
    0xff070c04,
    0xff2a2a21,
    0xff362d26,
    0xff37281e,
    0xff37271d,
    0xff312918,
    0xff2a2915,
    0xff3c2c1a,
    0xff372915,
    0xff403620,
    0xff4a3e2a,
    0xff4a3b27,
    0xff423523,
    0xff4b4330,
    0xff47442e,
    0xff463f25,
    0xff443e23,
    0xff4b4129,
    0xff423723,
    0xff4a4334,
    0xff302c22,
    0xff26261f,
    0xff2b2b28,
    0xff252323,
    0xff0d1a1e,
    0xff0e1609,
    0xff2f0c01,
    0xffe6906c,
    0xffca6622,
    0xffb45e13,
    0xffba7a1e,
    0xfff6a74c,
    0xffd2771f,
    0xffcf7b0f,
    0xffdd9b2b,
    0xffc58118,
    0xffe59039,
    0xffe68e31,
    0xffd78832,
    0xffba6314,
    0xffd2883b,
    0xffc4742d,
    0xffb75c21,
    0xffd2822f,
    0xffbc7821,
    0xff723a19,
    0xff5b311c,
    0xff70351b,
    0xff5c2e0b,
    0xff4b0800,
    0xff500000,
    0xff350000,
    0xffd29791,
    0xff84473f,
    0xff2d0a01,
    0xff3f120c,
    0xff4c1210,
    0xff480505,
    0xff4e0504,
    0xff671f1e,
    0xff631f1c,
    0xff40130a,
    0xff32190b,
    0xff2e2114,
    0xff110001,
    0xff110000,
    0xffe2bc7b,
    0xff5c2911,
    0xff814121,
    0xff632200,
    0xffc48748,
    0xff6c4b1d,
    0xff0f0000,
    0xff0c0c15,
    0xff0c100e,
    0xff292411,
    0xff392d1d,
    0xff060400,
    0xff031008,
    0xff0f120e,
    0xff121712,
    0xff08110a,
    0xff0f1d15,
    0xff05140d,
    0xff011108,
    0xff06170c,
    0xff09160d,
    0xff0a1a1f,
    0xff000f07,
    0xff1f2314,
    0xff351f01,
    0xff703e07,
    0xff914902,
    0xffad6313,
    0xffb46e19,
    0xff9e6023,
    0xff9a6635,
    0xffa68463,
    0xff39291a,
    0xff0d0e09,
    0xff000b08,
    0xff031110,
    0xff041512,
    0xff04100e,
    0xff202721,
    0xff656560,
    0xff040500,
    0xff030907,
    0xff061010,
    0xff07140f,
    0xff030f0a,
    0xff080d15,
    0xff000807,
    0xff00140d,
    0xff000f0d,
    0xff0e140d,
    0xff1f1c12,
    0xff523a2d,
    0xff462728,
    0xff4a312d,
    0xff0c0300,
    0xff060800,
    0xff0a0e15,
    0xff070807,
    0xff0d0200,
    0xff543417,
    0xff663617,
    0xff6078bc,
    0xff7790d1,
    0xff7b95d5,
    0xff667ebe,
    0xff667abb,
    0xff748ac7,
    0xff7588c7,
    0xff6f84c1,
    0xff6c83c2,
    0xff869edd,
    0xff647cbb,
    0xff6b84c3,
    0xff5f73b3,
    0xff7085c8,
    0xff6f84c7,
    0xff7589cc,
    0xff6f88c2,
    0xff728bc3,
    0xff6f86c3,
    0xff6a85c0,
    0xff6b83c0,
    0xff6983bb,
    0xff7489c3,
    0xff778cc3,
    0xff889ace,
    0xff7687bd,
    0xff687bb4,
    0xff6577b1,
    0xff677bb6,
    0xff8599d4,
    0xff6f85be,
    0xff647bb3,
    0xff859ad1,
    0xff798ec5,
    0xff758ac0,
    0xff6e83ba,
    0xff6e83ba,
    0xff6d82b7,
    0xff6e83b8,
    0xff687eb3,
    0xff7180bc,
    0xff677ab6,
    0xff8496d4,
    0xff6c80bd,
    0xff677bbb,
    0xff697bba,
    0xff7486c4,
    0xff6f80bc,
    0xff667fb8,
    0xff6379b4,
    0xff6076ae,
    0xff697fb8,
    0xff7d91cb,
    0xff758ac3,
    0xff677eb6,
    0xff5b73ae,
    0xff7489c6,
    0xff687cb7,
    0xff6578b3,
    0xff6c7fb9,
    0xff8295cf,
    0xff6c81ba,
    0xff6c82bb,
    0xff6880b9,
    0xff6579b4,
    0xff6c80bb,
    0xff667db6,
    0xff677eb3,
    0xff6b83b8,
    0xff7a90ca,
    0xff657ab3,
    0xff6c80bb,
    0xff5a6fa7,
    0xff697eb5,
    0xff6f84bd,
    0xff6376b2,
    0xff677bb6,
    0xff6479b2,
    0xff657ab1,
    0xff6a7fb7,
    0xff6c81bf,
    0xff6d83be,
    0xff7487c5,
    0xff6c80ba,
    0xff697eb8,
    0xff6c80bd,
    0xff6375b2,
    0xff6c7dbe,
    0xff6579b3,
    0xff697db8,
    0xff687cb8,
    0xff657ab3,
    0xff657ab3,
    0xff6b80b9,
    0xff6176af,
    0xff657bb3,
    0xff6c81ba,
    0xff6b81ba,
    0xff7287c0,
    0xff6a7fb8,
    0xff687db6,
    0xff5f74ad,
    0xff6c81ba,
    0xff5d73a9,
    0xff6678b0,
    0xff798ec5,
    0xff758abf,
    0xff7288bc,
    0xff768cbe,
    0xff798fc1,
    0xff6679a9,
    0xff6b7dad,
    0xff6474a7,
    0xff7282b8,
    0xff6d7eb5,
    0xff6d7fb9,
    0xff6477b2,
    0xff5d71ac,
    0xff5f73ae,
    0xff5e72ae,
    0xff657dbd,
    0xff6a81c2,
    0xff758ccd,
    0xff5d75b5,
    0xff6077b8,
    0xff556dad,
    0xff5c73b4,
    0xff6b83c2,
    0xff6f8bc1,
    0xff5d78b0,
    0xff6781bc,
    0xff6b82bf,
    0xff6f87c4,
    0xff6883bf,
    0xff637db8,
    0xff6e8dc6,
    0xff6a84bf,
    0xff6882bd,
    0xff6882bd,
    0xff6d88c2,
    0xff6983be,
    0xff758fc8,
    0xff6c87bd,
    0xff6581b7,
    0xff607fba,
    0xff6987c5,
    0xff6584c2,
    0xff6484c2,
    0xff6f90d2,
    0xff6283c6,
    0xff5d7fc0,
    0xff5b7cc2,
    0xff5879bf,
    0xff5b7bc2,
    0xff6283ca,
    0xff6785cd,
    0xff6280c7,
    0xff5d7bc4,
    0xff5f7dc7,
    0xff6885d0,
    0xff6385cc,
    0xff6182ca,
    0xff5d7dc6,
    0xff5c7cc5,
    0xff6281cb,
    0xff6787d0,
    0xff5b7dc6,
    0xff5c7ec7,
    0xff5c7fc8,
    0xff5f81ca,
    0xff668bd7,
    0xff587dca,
    0xff5e83d1,
    0xff597fcb,
    0xff597fc9,
    0xff5f86ce,
    0xff5f81ca,
    0xff587ac3,
    0xff5e82ce,
    0xff5b7fcc,
    0xff597bcb,
    0xff5d7ecd,
    0xff6482d3,
    0xff6381cf,
    0xff6381cb,
    0xff6683d0,
    0xff6b89d5,
    0xff607ecb,
    0xff5d7dcb,
    0xff6283d1,
    0xff5b7dcd,
    0xff597bcb,
    0xff5b82c8,
    0xff6086ce,
    0xff6086d1,
    0xff6587d4,
    0xff6487d5,
    0xff5d80ce,
    0xff6487d3,
    0xff5f84ce,
    0xff6085d2,
    0xff5a80cd,
    0xff5a81cd,
    0xff6189d7,
    0xff5a84d1,
    0xff5f85d2,
    0xff5c83d0,
    0xff6186d2,
    0xff678cdb,
    0xff5f83d3,
    0xff6085d6,
    0xff6388d9,
    0xff5e84d6,
    0xff6086d7,
    0xff5b80d4,
    0xff6188dc,
    0xff5f86d7,
    0xff6087d7,
    0xff6189d7,
    0xff678dda,
    0xff658bd8,
    0xff6387d7,
    0xff6185d5,
    0xff6488da,
    0xff628ad3,
    0xff628ad6,
    0xff648bd5,
    0xff6188d7,
    0xff658cd8,
    0xff648cd6,
    0xff668ed6,
    0xff678ed4,
    0xff6990d5,
    0xff6990d6,
    0xff6a90d7,
    0xff6c93da,
    0xff6990d7,
    0xff6a90d6,
    0xff698fd6,
    0xff6e92d9,
    0xff6d91d7,
    0xff6c90d6,
    0xff7096d9,
    0xff7194d9,
    0xff7093d8,
    0xff708fd5,
    0xff7696dd,
    0xff7292d9,
    0xff7296dc,
    0xff6f93d9,
    0xff678cd2,
    0xff6f95db,
    0xff688fd4,
    0xff6a8ed4,
    0xff6d91d7,
    0xff6f92d8,
    0xff7294e4,
    0xff6d90e0,
    0xff6f91e2,
    0xff6b8cdd,
    0xff6b8dde,
    0xff7092e0,
    0xff7695e2,
    0xff7a9be5,
    0xff7697e1,
    0xff81a0eb,
    0xff7492dd,
    0xff7794de,
    0xff7694de,
    0xff6f8ed5,
    0xff7695dd,
    0xff7998de,
    0xff7897d9,
    0xff7895d8,
    0xff86a2e3,
    0xff86a1e3,
    0xff87a0e2,
    0xff85a0e1,
    0xff889fe1,
    0xff869ce0,
    0xff859fe0,
    0xff809ada,
    0xff7f99d8,
    0xff81a0dc,
    0xff85a3e2,
    0xff849ede,
    0xff829ddf,
    0xff87a0e5,
    0xff85a5e4,
    0xff82a2e3,
    0xff86a5e5,
    0xff82a2e3,
    0xff82a0e1,
    0xff82a1e2,
    0xff819fe0,
    0xff7e9cdc,
    0xff84a5e3,
    0xff84a5e3,
    0xff85a3e1,
    0xff89a7e5,
    0xff86a4e3,
    0xff82a1df,
    0xff83a5e2,
    0xff7fa2e2,
    0xff81a2e8,
    0xff7d9ee2,
    0xff81a2e3,
    0xff87a7e6,
    0xff8cabe9,
    0xff8dabea,
    0xff8aa7e6,
    0xff8ea9ea,
    0xff8fa6e1,
    0xff8ea3e0,
    0xff91a6e3,
    0xff8fa5e2,
    0xff8fa6e4,
    0xff94abea,
    0xff8ba3e2,
    0xff8da3e4,
    0xff90a5e0,
    0xff8da0e1,
    0xff92a6ea,
    0xff90a4e5,
    0xff8ea5de,
    0xff8fa4db,
    0xff90a4e1,
    0xff92a6e8,
    0xff8da2e5,
    0xff90a5e6,
    0xff92a8e9,
    0xff92a7e8,
    0xff91a7e8,
    0xff93a8e9,
    0xff99acef,
    0xff99abee,
    0xff98abe1,
    0xff98aae0,
    0xff97aade,
    0xff9cace1,
    0xff99abde,
    0xff99aadd,
    0xff94a8d9,
    0xff94aadb,
    0xff8eabe0,
    0xff87a4db,
    0xff88a5dc,
    0xff8aa7df,
    0xff81a2dc,
    0xff7c9fdc,
    0xff749cd9,
    0xff6d96d5,
    0xff7191d6,
    0xff6f8dd5,
    0xff6b8ad1,
    0xff6a89d1,
    0xff6684cc,
    0xff6385cf,
    0xff6285cf,
    0xff6385cf,
    0xff6884d2,
    0xff6d8bd8,
    0xff6381d1,
    0xff6886d7,
    0xff5c7ece,
    0xff6080d0,
    0xff6281ce,
    0xff5a78c7,
    0xff5181c8,
    0xff4c7cc9,
    0xff4a7bcd,
    0xff4b7dd1,
    0xff487bcb,
    0xff4a7ccb,
    0xff487bc9,
    0xff4f7fd0,
    0xff5282d3,
    0xff4e7dd2,
    0xff4c7ed0,
    0xff497bcf,
    0xff5082d6,
    0xff4e80d3,
    0xff497ace,
    0xff4d7dcf,
    0xff497dcd,
    0xff4778c5,
    0xff4c7ac4,
    0xff4879c2,
    0xff467cc7,
    0xff4379c7,
    0xff4175c1,
    0xff4778c4,
    0xff4b76c2,
    0xff4a76c2,
    0xff4574c1,
    0xff4975c1,
    0xff4972b9,
    0xff4b74bb,
    0xff4d77c3,
    0xff4876c5,
    0xff4873ce,
    0xff4874c9,
    0xff4475c3,
    0xff4375c7,
    0xff4774cf,
    0xff4974cb,
    0xff4870bc,
    0xff527ab6,
    0xff213a52,
    0xff153343,
    0xff1c3e52,
    0xff4c6782,
    0xff40586a,
    0xff3a5157,
    0xff0a2233,
    0xff567197,
    0xff517dac,
    0xff527aa2,
    0xff43637e,
    0xff000112,
    0xff32404a,
    0xff374048,
    0xff313745,
    0xff000412,
    0xff071519,
    0xff09191d,
    0xff000d0b,
    0xff000307,
    0xff454958,
    0xff000000,
    0xff010c05,
    0xff000b16,
    0xff010c08,
    0xff353b33,
    0xff302520,
    0xff331012,
    0xff47181f,
    0xff573021,
    0xff9b8366,
    0xff8f7f6a,
    0xffaa7f76,
    0xff6a3413,
    0xff742910,
    0xff501411,
    0xff612b26,
    0xffb7724d,
    0xffbe8245,
    0xff844214,
    0xff8d521d,
    0xffaa6e28,
    0xffd89e43,
    0xffa97523,
    0xff723f12,
    0xff6b391d,
    0xff854c2d,
    0xff79381b,
    0xff3e1105,
    0xff2a1e1b,
    0xff8f9994,
    0xff565f4b,
    0xff889480,
    0xff68807c,
    0xff60726b,
    0xff968a76,
    0xff6c341d,
    0xff5a2311,
    0xff440a01,
    0xff5a1b15,
    0xff5b261c,
    0xff48200f,
    0xff2b0f00,
    0xff412412,
    0xff7b472d,
    0xff612f1b,
    0xff64372f,
    0xff360d0c,
    0xff35110f,
    0xff2b0c0b,
    0xff200b05,
    0xff170904,
    0xff291b10,
    0xff201109,
    0xff1e0e0d,
    0xff211816,
    0xff120f09,
    0xff0f1106,
    0xff313429,
    0xff0b0d02,
    0xff151309,
    0xff19130b,
    0xff1a1109,
    0xff4d4541,
    0xff120e0a,
    0xff13120c,
    0xff10110c,
    0xff10110d,
    0xff0e1403,
    0xff131600,
    0xff473f1f,
    0xff8e855d,
    0xff414015,
    0xff565c37,
    0xff0e1200,
    0xff423f2d,
    0xff211701,
    0xff63392a,
    0xff702a1f,
    0xff520e07,
    0xff3e1812,
    0xff1d0e03,
    0xff372718,
    0xff472d1f,
    0xff0b0f00,
    0xff2b2a1b,
    0xff352b1e,
    0xff342415,
    0xff312211,
    0xff382816,
    0xff3a2915,
    0xff3f2a17,
    0xff4e3320,
    0xff402c15,
    0xff483921,
    0xff4c4127,
    0xff473b23,
    0xff3e331d,
    0xff4f4533,
    0xff514938,
    0xff454128,
    0xff4b4732,
    0xff2d2c1a,
    0xff3b3b2f,
    0xff282c25,
    0xff1c1f1a,
    0xff19201c,
    0xff1a211d,
    0xff1d2020,
    0xff0f1720,
    0xff001009,
    0xff141106,
    0xff7a472b,
    0xffc5692f,
    0xffc8651e,
    0xffeb9f3d,
    0xffeb994a,
    0xff8f3c07,
    0xffc47c1c,
    0xffbd7f0a,
    0xffe4ac1c,
    0xfffbbf33,
    0xffecaa26,
    0xffe6a040,
    0xffefa741,
    0xffe09b35,
    0xffd98534,
    0xffca7b39,
    0xff95631f,
    0xff89652c,
    0xff664e24,
    0xff050400,
    0xff130400,
    0xff161107,
    0xff502c25,
    0xff4e0f0f,
    0xff3a0000,
    0xffa25b51,
    0xff742317,
    0xff946148,
    0xff160000,
    0xff1d0701,
    0xff33130c,
    0xff3c0e0b,
    0xff491713,
    0xff2f0401,
    0xff31120a,
    0xff2b0f08,
    0xff482810,
    0xffa77c3f,
    0xffe2a94a,
    0xffd49925,
    0xff72330e,
    0xff4e1000,
    0xff6b2f09,
    0xffffcc6a,
    0xffb07827,
    0xffb89259,
    0xff1e0b00,
    0xff150f04,
    0xff1b140e,
    0xff251f18,
    0xff14190e,
    0xff101d10,
    0xff1e1b0c,
    0xff181809,
    0xff131609,
    0xff121d12,
    0xff010f05,
    0xff0b180f,
    0xff031007,
    0xff07120a,
    0xff0f1204,
    0xff171f0d,
    0xff060700,
    0xff130000,
    0xffb9884a,
    0xffd68b3c,
    0xffc36d29,
    0xffa24d03,
    0xffb05e14,
    0xff934e0e,
    0xff7c4822,
    0xff684c36,
    0xff2f241d,
    0xff040500,
    0xff040905,
    0xff111c14,
    0xff040f0a,
    0xff000100,
    0xff74766f,
    0xff030400,
    0xff090d09,
    0xff020c08,
    0xff010d0a,
    0xff06140d,
    0xff040f08,
    0xff110f04,
    0xff070000,
    0xff0d1003,
    0xff0f0000,
    0xff501403,
    0xff935f4b,
    0xff5d3c2d,
    0xff6e3c3d,
    0xff7a4f3a,
    0xff6e4b31,
    0xff200000,
    0xff50250f,
    0xffd89f63,
    0xfff0a65d,
    0xffca7036,
    0xff718ec8,
    0xff5371ab,
    0xff5c76b1,
    0xff556ea8,
    0xff6b85bc,
    0xff7187bf,
    0xff788dc4,
    0xff7a90c7,
    0xff758dc2,
    0xff617aaf,
    0xff728bc0,
    0xff7c95cb,
    0xff6d87bd,
    0xff647ab2,
    0xff6278b0,
    0xff758cc4,
    0xff829ad4,
    0xff5d75ae,
    0xff738dc8,
    0xff6c86c2,
    0xff647eb9,
    0xff637bb4,
    0xff7086bf,
    0xff7e92c9,
    0xff8191c4,
    0xff8193c6,
    0xff8293c9,
    0xff8295cf,
    0xff6d82bb,
    0xff647bb3,
    0xff6f85be,
    0xff798fc5,
    0xff6f85b9,
    0xff6176ac,
    0xff768bc1,
    0xff6f84bb,
    0xff7c91c7,
    0xff8297ce,
    0xff788cc3,
    0xff667cb0,
    0xff7d8fbe,
    0xff8297c8,
    0xff748abb,
    0xff748abd,
    0xff6c81b6,
    0xff6f84b8,
    0xff798ec0,
    0xff7285b5,
    0xff6076ac,
    0xff7488bf,
    0xff6c7eb4,
    0xff7081b7,
    0xff7182b8,
    0xff677bb0,
    0xff7c92ca,
    0xff778dc7,
    0xff6b80bc,
    0xff7d91cc,
    0xff6377b2,
    0xff7083bd,
    0xff7388c1,
    0xff697fb8,
    0xff6279b2,
    0xff6982bb,
    0xff6f82bf,
    0xff647ab4,
    0xff778cc6,
    0xff6a82b9,
    0xff6780b6,
    0xff667cb4,
    0xff6077b0,
    0xff697eb8,
    0xff7f94cc,
    0xff687db4,
    0xff7b90c9,
    0xff5f75ad,
    0xff6c82ba,
    0xff778cc5,
    0xff788ec4,
    0xff758ac1,
    0xff7088bc,
    0xff7188bc,
    0xff627aac,
    0xff677cb0,
    0xff697eb1,
    0xff6479ac,
    0xff6b81b5,
    0xff687db4,
    0xff697db9,
    0xff7589c6,
    0xff6e82bd,
    0xff7589c5,
    0xff6176b0,
    0xff697eb8,
    0xff6c81ba,
    0xff7b8fc9,
    0xff687eb8,
    0xff6a80ba,
    0xff6c82bc,
    0xff677db7,
    0xff6e84bd,
    0xff7287c0,
    0xff7389c2,
    0xff6e85bc,
    0xff7c91cb,
    0xff6378b3,
    0xff6e86be,
    0xff7189bf,
    0xff7e95c9,
    0xff7a92c4,
    0xff6a7fb3,
    0xff6478aa,
    0xff798bc1,
    0xff7789bf,
    0xff768ac3,
    0xff7184bf,
    0xff7d91ce,
    0xff7388c4,
    0xff6278b4,
    0xff6b82bd,
    0xff657eb8,
    0xff6b83be,
    0xff6a82bf,
    0xff627bb7,
    0xff7089c5,
    0xff7a93cf,
    0xff7890cc,
    0xff627bb7,
    0xff5e7ab3,
    0xff6d86c1,
    0xff7890ce,
    0xff7189c9,
    0xff7890d0,
    0xff7a91d3,
    0xff6c84c5,
    0xff6986c3,
    0xff6c84c3,
    0xff758dcc,
    0xff718ac8,
    0xff7289c8,
    0xff829bd7,
    0xff718ac4,
    0xff8aa3db,
    0xff86a0d7,
    0xff6586c6,
    0xff6e8fd1,
    0xff6082c3,
    0xff6588cb,
    0xff5a7dc3,
    0xff6183cb,
    0xff6b8dd7,
    0xff6387d0,
    0xff698cd6,
    0xff6183cc,
    0xff5e80cc,
    0xff5d7eca,
    0xff6485d2,
    0xff6283d0,
    0xff6787d5,
    0xff6282d1,
    0xff5a80ca,
    0xff6083cf,
    0xff6081cc,
    0xff6385d0,
    0xff5879c6,
    0xff6586d4,
    0xff5b7ecb,
    0xff678bd8,
    0xff6385d3,
    0xff6387d3,
    0xff6084d2,
    0xff5e85d5,
    0xff5b82d2,
    0xff567ecc,
    0xff5c84d1,
    0xff5a81cc,
    0xff5b7ecb,
    0xff5c80cf,
    0xff5d81d1,
    0xff5e84d4,
    0xff5a80d0,
    0xff577acc,
    0xff6182d4,
    0xff597ccb,
    0xff6082d0,
    0xff5b7ecc,
    0xff5f82d1,
    0xff5d80d0,
    0xff5c82d1,
    0xff597fd0,
    0xff5b80d2,
    0xff5e85d6,
    0xff5d87d2,
    0xff5983cd,
    0xff5d85d3,
    0xff5e85d5,
    0xff5b81d1,
    0xff5b84d3,
    0xff5a83d2,
    0xff5580cc,
    0xff587fd1,
    0xff6087d9,
    0xff5f87d7,
    0xff5b84d4,
    0xff5d86d6,
    0xff5b83d3,
    0xff648ada,
    0xff5d82d3,
    0xff5f87d0,
    0xff6188d2,
    0xff5c87d1,
    0xff5f88d4,
    0xff608ad7,
    0xff5a85d3,
    0xff5d88d7,
    0xff5b86d4,
    0xff5f8bd7,
    0xff628ed9,
    0xff5b87d0,
    0xff648ed9,
    0xff5f8ad4,
    0xff628cd6,
    0xff608ad6,
    0xff6089d8,
    0xff5e8ad9,
    0xff5d87d8,
    0xff5f89db,
    0xff628de1,
    0xff5d87d9,
    0xff5c87d6,
    0xff608bd9,
    0xff608bd7,
    0xff648ed9,
    0xff618bd4,
    0xff628bd7,
    0xff6088d5,
    0xff6791dc,
    0xff658edd,
    0xff638cda,
    0xff638bda,
    0xff628dda,
    0xff648fdb,
    0xff628ed7,
    0xff618bd4,
    0xff6892dc,
    0xff638ad4,
    0xff678fdc,
    0xff5e85d4,
    0xff6991de,
    0xff6790dd,
    0xff628bd7,
    0xff5e89d5,
    0xff6590dc,
    0xff658edb,
    0xff658dda,
    0xff668edb,
    0xff648dda,
    0xff628ad7,
    0xff6289d7,
    0xff688edc,
    0xff6a90de,
    0xff6d93dc,
    0xff698fd6,
    0xff658bd2,
    0xff688ed5,
    0xff5f84cb,
    0xff698dd5,
    0xff6a8ed6,
    0xff678bd1,
    0xff6d94d9,
    0xff749bdf,
    0xff7299dd,
    0xff6890d9,
    0xff6e95df,
    0xff6f96e0,
    0xff6689d5,
    0xff6688d2,
    0xff6f90da,
    0xff6887d2,
    0xff6987d2,
    0xff6889d6,
    0xff688cd6,
    0xff6e92dc,
    0xff7399df,
    0xff7397de,
    0xff7193dd,
    0xff6e8dd9,
    0xff6a8ad8,
    0xff658ed5,
    0xff668fd8,
    0xff6892dc,
    0xff6089d3,
    0xff628bd5,
    0xff6992dd,
    0xff6891d9,
    0xff6d96df,
    0xff6e95e0,
    0xff6d90db,
    0xff6d92d9,
    0xff6b8ed5,
    0xff6c90d7,
    0xff6a8fd7,
    0xff5f88d0,
    0xff688fdb,
    0xff587ccb,
    0xff6285d3,
    0xff6486d3,
    0xff698cd5,
    0xff6e8dd7,
    0xff7493dd,
    0xff718fd9,
    0xff7391dc,
    0xff7292db,
    0xff6e8eda,
    0xff6b8cd8,
    0xff6385d0,
    0xff698bd6,
    0xff5476c2,
    0xff6789d6,
    0xff5c7dcb,
    0xff6487ca,
    0xff6688d1,
    0xff6f8edb,
    0xff7091db,
    0xff708fd3,
    0xff6b89cc,
    0xff7390d6,
    0xff6e8ad7,
    0xff6c8ed1,
    0xff6e8fd2,
    0xff698cce,
    0xff6285c7,
    0xff6486ca,
    0xff6183c7,
    0xff6887cf,
    0xff6985ce,
    0xff708ed8,
    0xff7793dd,
    0xff7b95df,
    0xff7a94dc,
    0xff839be3,
    0xff7893d9,
    0xff7f9be1,
    0xff7f9ade,
    0xff7b98da,
    0xff819ddf,
    0xff748fd2,
    0xff7593d5,
    0xff7191d4,
    0xff6589cd,
    0xff5e85cc,
    0xff5e87d0,
    0xff6089d2,
    0xff6088d3,
    0xff5c87d3,
    0xff5a87d4,
    0xff5d8cdb,
    0xff5d8adc,
    0xff5283d4,
    0xff5e8ddf,
    0xff668fdc,
    0xff628cdb,
    0xff5783d3,
    0xff5686d6,
    0xff5a8adc,
    0xff5283d5,
    0xff517fd2,
    0xff5080d2,
    0xff4a78cf,
    0xff4574ce,
    0xff4778d7,
    0xff4174d1,
    0xff467cd3,
    0xff4d82d7,
    0xff477cd0,
    0xff4a7dd2,
    0xff5382d5,
    0xff4f81d3,
    0xff5082d7,
    0xff4b7fd7,
    0xff4e82da,
    0xff467bd3,
    0xff4b80d9,
    0xff4378d0,
    0xff4a7eda,
    0xff477ad3,
    0xff4475cb,
    0xff4476cd,
    0xff3e74cc,
    0xff3e76cf,
    0xff3f74cd,
    0xff3f74ca,
    0xff3f7bce,
    0xff3d7acd,
    0xff3674c6,
    0xff3d76c7,
    0xff4075c4,
    0xff4277c7,
    0xff3d77cb,
    0xff3c75ce,
    0xff4277d0,
    0xff4176cb,
    0xff487dcd,
    0xff4375c9,
    0xff507dd5,
    0xff4f76cb,
    0xff4e70b6,
    0xff6583b4,
    0xff2e394b,
    0xff1c2e38,
    0xff223841,
    0xff95a7b1,
    0xffb7c4c3,
    0xff828e83,
    0xff354542,
    0xff172a3c,
    0xff26436d,
    0xff1f3a5e,
    0xff000f25,
    0xff000810,
    0xff465252,
    0xff303d40,
    0xff697a81,
    0xff000913,
    0xff000811,
    0xff142026,
    0xff202f2b,
    0xff4c5a56,
    0xff656e76,
    0xff5c685f,
    0xff112011,
    0xff041317,
    0xff000d16,
    0xff413a48,
    0xff543d40,
    0xff4f4039,
    0xff221b0f,
    0xff8b825e,
    0xffa09059,
    0xffc7b38c,
    0xff8e7453,
    0xff521c06,
    0xff853029,
    0xff71322d,
    0xff3f100c,
    0xff4d120a,
    0xff4f1900,
    0xffba7f48,
    0xff7a4612,
    0xff4a1600,
    0xff7d5017,
    0xff775616,
    0xff442302,
    0xff401706,
    0xff713c24,
    0xff73341a,
    0xff351304,
    0xff030501,
    0xff344943,
    0xff7a8776,
    0xff505b4e,
    0xff63787e,
    0xff6f777f,
    0xffab948c,
    0xffac765a,
    0xff431802,
    0xff38130a,
    0xff3e1113,
    0xff471c1c,
    0xff270900,
    0xff4a2c16,
    0xff7e5440,
    0xff56280b,
    0xff40190d,
    0xff331018,
    0xff2f121b,
    0xff2b140e,
    0xff29190b,
    0xff21150f,
    0xff120a0f,
    0xff241214,
    0xff1d0a0a,
    0xff1e0d0b,
    0xff160a01,
    0xff0c0800,
    0xff2e3021,
    0xff22211d,
    0xff131110,
    0xff090e0d,
    0xff0f1010,
    0xff110b0d,
    0xff120b0a,
    0xff0b0705,
    0xff0b0e07,
    0xff0a0f08,
    0xff0c0f09,
    0xff100f0e,
    0xff18150a,
    0xff474e2f,
    0xff1d2d0a,
    0xff0f1503,
    0xff2d1e17,
    0xff3b2b29,
    0xff17130c,
    0xff1b0708,
    0xff2e1a10,
    0xff423321,
    0xff1e180a,
    0xff0c0907,
    0xff0b090d,
    0xff150d08,
    0xff190b00,
    0xff4a4832,
    0xff4f4631,
    0xff4f3f2b,
    0xff3d2e1a,
    0xff463c25,
    0xff352a12,
    0xff4d341d,
    0xff552f1e,
    0xff452511,
    0xff543d24,
    0xff534429,
    0xff473e21,
    0xff4a4026,
    0xff392e19,
    0xff332a17,
    0xff3f3726,
    0xff393a27,
    0xff565a49,
    0xff3e4539,
    0xff252e28,
    0xff2a3733,
    0xff22302b,
    0xff17241d,
    0xff101e15,
    0xff071913,
    0xff151b20,
    0xff0c1a0e,
    0xff061404,
    0xff422610,
    0xffbd6036,
    0xffd35d2c,
    0xffd57625,
    0xff722600,
    0xff5f1700,
    0xffc27929,
    0xffc47015,
    0xffc67900,
    0xffdfa110,
    0xffffd02d,
    0xffffbc31,
    0xffffba34,
    0xffcd7e15,
    0xffaf5e23,
    0xff451000,
    0xff0a0000,
    0xff130400,
    0xff1c0a00,
    0xff121803,
    0xff0d1911,
    0xff151a11,
    0xff1b0f06,
    0xff4a2520,
    0xff420a07,
    0xff450500,
    0xff73372d,
    0xff8d5d50,
    0xff1d0000,
    0xff140907,
    0xff0e0e03,
    0xff0d0300,
    0xff180b03,
    0xff170d03,
    0xff160702,
    0xff180000,
    0xffe39d4c,
    0xffd4901b,
    0xffe79f2a,
    0xffe39223,
    0xffef9744,
    0xffd78949,
    0xff632207,
    0xff794720,
    0xffde974e,
    0xffb8812b,
    0xffaa8a3b,
    0xff050000,
    0xff110b12,
    0xff060a15,
    0xff010c01,
    0xff0b1500,
    0xff373018,
    0xff453f2a,
    0xff151705,
    0xff0f1506,
    0xff050f06,
    0xff0a150f,
    0xff0c1613,
    0xff091412,
    0xff0c1410,
    0xff121e0b,
    0xff111100,
    0xff8a6d46,
    0xffce933d,
    0xffdf8b28,
    0xffd87d1f,
    0xffe08a21,
    0xffd57e28,
    0xffbe6f2b,
    0xff723608,
    0xff5a3619,
    0xff4e3c2f,
    0xff554d48,
    0xff3d3e33,
    0xff0e1003,
    0xff000702,
    0xff000100,
    0xff595951,
    0xff27271f,
    0xff040602,
    0xff040d0a,
    0xff05120f,
    0xff041109,
    0xff0d0d00,
    0xff4d2417,
    0xff9e584f,
    0xff260000,
    0xff883829,
    0xff9e140d,
    0xffa6422b,
    0xff6b4124,
    0xff733421,
    0xff89491b,
    0xffa25826,
    0xff9a3e1d,
    0xffe47e58,
    0xffca5d21,
    0xffc04d18,
    0xffba4024,
    0xff6885b9,
    0xff7592c7,
    0xff6d8cbd,
    0xff95b5e4,
    0xff829ccd,
    0xff768cbc,
    0xff9daede,
    0xff909fd0,
    0xff8899cf,
    0xff99abe0,
    0xff6577ad,
    0xff7f90c6,
    0xff8496cb,
    0xff8a9cd0,
    0xff8ea0d2,
    0xff96a8d8,
    0xff8095c6,
    0xff7488bf,
    0xff8398d2,
    0xff768ec7,
    0xff8096ce,
    0xff7d92ca,
    0xff8fa2dc,
    0xff7284c0,
    0xff7f98c4,
    0xff7c94c2,
    0xff5870a1,
    0xff7086ba,
    0xff9aabe1,
    0xff96a3da,
    0xff8e9ace,
    0xff939ed0,
    0xff879cca,
    0xff94a8da,
    0xff788cbd,
    0xff92a6d8,
    0xff7c90c1,
    0xff8aa0cd,
    0xff97acd9,
    0xff768cb6,
    0xff86a0ce,
    0xff788fc0,
    0xff6a80b4,
    0xff8194ce,
    0xff7f91ca,
    0xff7788bf,
    0xff8d9fd2,
    0xff8b9dcc,
    0xff9aa5d5,
    0xff858fc0,
    0xff8c96c8,
    0xff9aa7d6,
    0xffa5b5e0,
    0xff94a8da,
    0xff7a90c3,
    0xff879fd4,
    0xff8ca1d3,
    0xff7b8fc0,
    0xff7e90c2,
    0xffcfdfff,
    0xff99a9de,
    0xff7d8ec4,
    0xff7184bc,
    0xff7c91cb,
    0xff7889c3,
    0xff91a2de,
    0xff91a5e1,
    0xff8da1d9,
    0xff8498cb,
    0xff889ece,
    0xff728ab9,
    0xff7990c5,
    0xff889edb,
    0xff798ecd,
    0xff768cc8,
    0xff8296d1,
    0xff96a9e3,
    0xff7386be,
    0xff788ac0,
    0xff6879af,
    0xff7b91c2,
    0xff8097c9,
    0xff7a91c6,
    0xff7b90c8,
    0xff889dd7,
    0xff7488c3,
    0xff647ab2,
    0xff7183bd,
    0xff6f82b7,
    0xff7d92c5,
    0xff738bc2,
    0xff667eb7,
    0xff86a0da,
    0xff6e88c3,
    0xff677fbc,
    0xff738bc8,
    0xff879bd5,
    0xff5f75ad,
    0xff8196cf,
    0xff6983ba,
    0xff738dc5,
    0xff768fc8,
    0xff7f98d1,
    0xff6c84bd,
    0xff677bb8,
    0xff768eca,
    0xff6a86c0,
    0xff6f8cc4,
    0xff6981ba,
    0xff7185c0,
    0xff879dd8,
    0xff7186be,
    0xff758bc0,
    0xff7087be,
    0xff788ec8,
    0xff768bc7,
    0xff6d85c3,
    0xff6780be,
    0xff768ecc,
    0xff6b83c1,
    0xff7d96d2,
    0xff6a84c1,
    0xff6380bb,
    0xff7e9cd8,
    0xff6987c3,
    0xff6b88c4,
    0xff6a84c1,
    0xff6680bc,
    0xff6f8cc6,
    0xff6987c2,
    0xff7692d1,
    0xff6984c6,
    0xff6984c7,
    0xff6e8acc,
    0xff728ed1,
    0xff6883c6,
    0xff6e8acc,
    0xff6e8bcb,
    0xff6685c5,
    0xff6181c1,
    0xff6583c4,
    0xff6988cb,
    0xff5b7cc0,
    0xff6989cd,
    0xff6a8dd2,
    0xff6386ca,
    0xff6d90d4,
    0xff6688cf,
    0xff6688d0,
    0xff6486ce,
    0xff5f81cc,
    0xff5e7fc9,
    0xff5b81c6,
    0xff5479c3,
    0xff6488d2,
    0xff6589d3,
    0xff5c80ca,
    0xff567ac4,
    0xff6587d0,
    0xff6b8bd8,
    0xff5878c9,
    0xff5978c9,
    0xff6183d3,
    0xff5e7fcf,
    0xff5d82d2,
    0xff5b7fd1,
    0xff6085d6,
    0xff6186d7,
    0xff587dce,
    0xff5e84d5,
    0xff5b82d1,
    0xff5980cf,
    0xff5a81cf,
    0xff567ccd,
    0xff5c82d5,
    0xff5e84d8,
    0xff5d83d4,
    0xff5e83d5,
    0xff5a81d2,
    0xff557bcf,
    0xff5d81d2,
    0xff6187d6,
    0xff5c81d0,
    0xff678cda,
    0xff5c83cf,
    0xff5d84cf,
    0xff5e85d2,
    0xff5a83d0,
    0xff5982d1,
    0xff5781d1,
    0xff5a83d2,
    0xff5882d4,
    0xff5886d9,
    0xff5783d6,
    0xff5481d4,
    0xff5780d2,
    0xff628bdb,
    0xff6187d6,
    0xff638ad9,
    0xff5d83d3,
    0xff5881d3,
    0xff5b85d7,
    0xff5d87da,
    0xff5983d5,
    0xff5f89dc,
    0xff618cdd,
    0xff5983d5,
    0xff5984d5,
    0xff5b85cf,
    0xff618bd6,
    0xff618bd7,
    0xff5f8ad6,
    0xff5f89d6,
    0xff5982d1,
    0xff5d86d4,
    0xff5b84d2,
    0xff5a83d2,
    0xff5b82d3,
    0xff6088d7,
    0xff5e85d5,
    0xff6288d9,
    0xff5d84d3,
    0xff5c82d2,
    0xff5f86d6,
    0xff5a84d7,
    0xff5886d7,
    0xff5987d8,
    0xff507fd0,
    0xff5c8bdc,
    0xff5e8bdd,
    0xff5987d8,
    0xff5b86d6,
    0xff5a83d4,
    0xff5b84d4,
    0xff5b84d3,
    0xff638cdc,
    0xff5d86d5,
    0xff5b84d3,
    0xff567fce,
    0xff5983d2,
    0xff5c83d5,
    0xff577ed0,
    0xff567bd1,
    0xff5078ce,
    0xff557dd3,
    0xff5a82d6,
    0xff5681d1,
    0xff5681d1,
    0xff5480d1,
    0xff5986d8,
    0xff5481d3,
    0xff527ed2,
    0xff5582d5,
    0xff4f7dd1,
    0xff537ed4,
    0xff5781d7,
    0xff5680d4,
    0xff4f7acb,
    0xff5983d4,
    0xff527ccd,
    0xff557fce,
    0xff517bc9,
    0xff517ac7,
    0xff4c75c2,
    0xff4b78c7,
    0xff4e7bcc,
    0xff4e7bcc,
    0xff517ecd,
    0xff527ccd,
    0xff547fcf,
    0xff4d79c7,
    0xff537ecd,
    0xff517bce,
    0xff547ed1,
    0xff4d77cb,
    0xff507bcc,
    0xff527dce,
    0xff4d77c8,
    0xff4d76c8,
    0xff557ed0,
    0xff5276cc,
    0xff4e76c8,
    0xff4c77c7,
    0xff4f78c6,
    0xff4a70c0,
    0xff4f75c5,
    0xff557aca,
    0xff4d74c5,
    0xff4c76c6,
    0xff4671c2,
    0xff4370c3,
    0xff4271c5,
    0xff3d6dc1,
    0xff4170c6,
    0xff4371c7,
    0xff416ec2,
    0xff4871c8,
    0xff4a73cb,
    0xff426ec4,
    0xff3c68bf,
    0xff3e6cc2,
    0xff3a6abf,
    0xff3b6cc1,
    0xff3c6cc1,
    0xff426ec6,
    0xff3a67bd,
    0xff3e67be,
    0xff4069c1,
    0xff3c65be,
    0xff436ec6,
    0xff3a68bf,
    0xff3663ba,
    0xff3663ba,
    0xff3c69be,
    0xff3b69bc,
    0xff3e6bbf,
    0xff3a67bb,
    0xff3a67bc,
    0xff3562b8,
    0xff3e6ac1,
    0xff3765b6,
    0xff3361b4,
    0xff3361b6,
    0xff3563b9,
    0xff3563b8,
    0xff3b67bb,
    0xff3a62b6,
    0xff416abb,
    0xff3d66bb,
    0xff3b64b9,
    0xff3b68bc,
    0xff3663b6,
    0xff426fc1,
    0xff3b68bb,
    0xff325fb1,
    0xff3a67b9,
    0xff3461b6,
    0xff3d66bc,
    0xff3e65bc,
    0xff3c63bb,
    0xff3c64bb,
    0xff416ac0,
    0xff3c6abd,
    0xff4270c2,
    0xff416dc2,
    0xff436cc3,
    0xff3d66be,
    0xff3e66bd,
    0xff436dc1,
    0xff3766b6,
    0xff3f6ec4,
    0xff3b6cc6,
    0xff3365bd,
    0xff3769c1,
    0xff3869c1,
    0xff3669c1,
    0xff396cc7,
    0xff3467c2,
    0xff396bc7,
    0xff4278d1,
    0xff3b70c9,
    0xff3e73cf,
    0xff376cca,
    0xff3971cb,
    0xff3870c7,
    0xff3169bf,
    0xff3970cc,
    0xff3169c7,
    0xff366ac6,
    0xff356dc8,
    0xff3268c6,
    0xff2a61be,
    0xff3169c6,
    0xff2961be,
    0xff2c66c3,
    0xff2862c0,
    0xff2764bf,
    0xff2c68c4,
    0xff2d68c6,
    0xff285ebf,
    0xff2e64c6,
    0xff285ebd,
    0xff2961bd,
    0xff306ac4,
    0xff2c65c3,
    0xff2d65c4,
    0xff2d65c4,
    0xff2962c0,
    0xff2b62c4,
    0xff3268ca,
    0xff3167c9,
    0xff2960c0,
    0xff3369c6,
    0xff2e66c2,
    0xff2861be,
    0xff2f69c4,
    0xff2f6ac5,
    0xff306ac6,
    0xff2d66c2,
    0xff346eca,
    0xff3371c8,
    0xff376ecc,
    0xff3a6bcc,
    0xff386dc7,
    0xff396dc7,
    0xff3e68bf,
    0xff4c649c,
    0xffa7b3c4,
    0xff999b9a,
    0xff0d0e0e,
    0xff828384,
    0xff7e7f82,
    0xff535656,
    0xff3f4747,
    0xff2c3938,
    0xff031212,
    0xff000610,
    0xff000813,
    0xff010a16,
    0xff00040c,
    0xff20292d,
    0xff101a1b,
    0xff2f3a3e,
    0xff233538,
    0xff121c1a,
    0xff172119,
    0xff646a60,
    0xffb2b5ab,
    0xff4b5147,
    0xff3f4a41,
    0xff02110d,
    0xff000a09,
    0xff132027,
    0xff63726d,
    0xff13221d,
    0xff111c24,
    0xff979891,
    0xffa5a375,
    0xff898049,
    0xff837453,
    0xff6d6448,
    0xff50301e,
    0xff56211a,
    0xff471609,
    0xff572919,
    0xff6c3b2e,
    0xff441b10,
    0xff260800,
    0xff381508,
    0xff491c09,
    0xff8a5c40,
    0xff2d0800,
    0xff37120a,
    0xff613227,
    0xff632e22,
    0xff5a2921,
    0xff41241e,
    0xff1c1913,
    0xff040b06,
    0xff86887e,
    0xff546055,
    0xff526d64,
    0xff686f65,
    0xff876459,
    0xff672d1b,
    0xff431407,
    0xff35160f,
    0xff200d0b,
    0xff180d0b,
    0xff1a0d04,
    0xff241000,
    0xff381d0b,
    0xff3a1700,
    0xff513522,
    0xff26140a,
    0xff281715,
    0xff1f0d0d,
    0xff31231f,
    0xff130c07,
    0xff0d0b04,
    0xff181112,
    0xff110909,
    0xff160f0d,
    0xff15100e,
    0xff171311,
    0xff050501,
    0xff0e110d,
    0xff030605,
    0xff0a0907,
    0xff121412,
    0xff151614,
    0xff131411,
    0xff120e0b,
    0xff0f0805,
    0xff130e07,
    0xff0b0a01,
    0xff0e0f0a,
    0xff0a0e0b,
    0xff030a02,
    0xff080f07,
    0xff020a02,
    0xff0a0b05,
    0xff24251b,
    0xff252418,
    0xff3c3221,
    0xff141202,
    0xff1f261b,
    0xff1d2b26,
    0xff010e0b,
    0xff020702,
    0xff282516,
    0xff6b6049,
    0xff66582d,
    0xff64552d,
    0xff5f502e,
    0xff56462a,
    0xff3f2e14,
    0xff4a361d,
    0xff553a20,
    0xff5a3d21,
    0xff3e2f09,
    0xff5f4d2a,
    0xff645131,
    0xff463317,
    0xff5f4e37,
    0xff59523c,
    0xff514f3c,
    0xff3f4332,
    0xff363d30,
    0xff3e4940,
    0xff32403b,
    0xff2b3d3d,
    0xff2b3e3f,
    0xff182c2b,
    0xff162b29,
    0xff0b1e17,
    0xff0d1915,
    0xff19191e,
    0xff060f07,
    0xff07140c,
    0xff51351c,
    0xffd27e3d,
    0xffe57937,
    0xffd67c2c,
    0xffeca454,
    0xffffb756,
    0xffb96114,
    0xffb5671f,
    0xffbf7b0e,
    0xffc58600,
    0xffc18b08,
    0xffd38815,
    0xffcc8a13,
    0xffe59532,
    0xffd9853f,
    0xff612200,
    0xff9d7138,
    0xff6a4a10,
    0xff1d0c00,
    0xff0f110e,
    0xff071108,
    0xff0c0f00,
    0xff120703,
    0xff100000,
    0xff2d170b,
    0xff350e09,
    0xff723e23,
    0xff6f343a,
    0xff1c0000,
    0xff15010f,
    0xff120d02,
    0xff0b0706,
    0xff150808,
    0xff260a00,
    0xff39060b,
    0xff531500,
    0xffdf7915,
    0xffd4861a,
    0xffeca02b,
    0xffd97f19,
    0xffe08539,
    0xffc06e1a,
    0xffcd9353,
    0xff130000,
    0xff230f02,
    0xff573a21,
    0xff926f32,
    0xffbf984d,
    0xff7c582d,
    0xff000000,
    0xff03130a,
    0xff101403,
    0xff0b0a00,
    0xff19180a,
    0xff1f2017,
    0xff060e05,
    0xff0c190e,
    0xff000a03,
    0xff171b1a,
    0xff16151a,
    0xff040b00,
    0xff170a03,
    0xff391200,
    0xffb17932,
    0xffde9e38,
    0xffe1973e,
    0xffdb8c36,
    0xffea9f25,
    0xffc68327,
    0xff9e561f,
    0xffaf6515,
    0xffa77533,
    0xff9b8155,
    0xff47353a,
    0xff010900,
    0xff474434,
    0xff373a2b,
    0xff322926,
    0xff7f705e,
    0xff44322d,
    0xff050100,
    0xff2c2d20,
    0xff171314,
    0xff170c01,
    0xff3c1000,
    0xff933a25,
    0xffa94924,
    0xffa94913,
    0xffd75e34,
    0xffa71901,
    0xff831002,
    0xff895c3d,
    0xff72391a,
    0xffa96954,
    0xff400000,
    0xff7a1d12,
    0xffd16147,
    0xffab320b,
    0xffb9431d,
    0xffd7674b,
    0xff909fd0,
    0xff97a8da,
    0xff93a5d3,
    0xff8896c5,
    0xff93a1cd,
    0xff939eca,
    0xffb5c0ea,
    0xff949cc5,
    0xff8296c7,
    0xff8397cb,
    0xff798dbf,
    0xff8b9fd4,
    0xff9bafe1,
    0xff92a6d9,
    0xff7c90c2,
    0xff879ccb,
    0xff8ea0cf,
    0xff8da0d2,
    0xff8ea3d9,
    0xff7085bd,
    0xff90a5d9,
    0xff748abd,
    0xff7a8dc3,
    0xff778ac4,
    0xff9ab0e0,
    0xff8fa5d5,
    0xff98aee0,
    0xff9bafe2,
    0xff8495c8,
    0xff8997c8,
    0xffa5b1de,
    0xff9fa9d7,
    0xff7b8cbf,
    0xff8899ce,
    0xff8394cc,
    0xff7485bd,
    0xff7485bd,
    0xff8797cf,
    0xff8292c7,
    0xff899bce,
    0xff8aa0d3,
    0xff7c94c6,
    0xff7389be,
    0xff7889c0,
    0xff8292c9,
    0xff90a1d7,
    0xff697aae,
    0xff7e8fc3,
    0xff8b99cc,
    0xff8695c7,
    0xff7d8bbc,
    0xff9ba8da,
    0xff8999ca,
    0xff7083b5,
    0xff8198ca,
    0xff6d84b7,
    0xff7a90c2,
    0xff8498cb,
    0xff7e8ec1,
    0xff6d80b1,
    0xff6f80b4,
    0xff93a3d9,
    0xff697cb5,
    0xffa4b7f1,
    0xff9dafe0,
    0xff94a5d8,
    0xff5e71aa,
    0xff7e91cb,
    0xff6378b0,
    0xff6b7fb9,
    0xff95aae9,
    0xff7c91d5,
    0xff657dbc,
    0xff5d75b4,
    0xff6277b3,
    0xff667cb6,
    0xff6075af,
    0xff788cc5,
    0xff6e82ba,
    0xff7c8fc8,
    0xff7289bd,
    0xff6f85bc,
    0xff7188c0,
    0xff6b81bc,
    0xff6478b3,
    0xff6c80bb,
    0xff7487c3,
    0xff7a90c8,
    0xff6a7fb4,
    0xff7c93c9,
    0xff7890c8,
    0xff7c96d1,
    0xff6680bb,
    0xff607ab7,
    0xff6079b7,
    0xff778fcb,
    0xff93a7e1,
    0xff889ed7,
    0xff728bc4,
    0xff667eb9,
    0xff708ac6,
    0xff758cc9,
    0xff6e87c0,
    0xff7690c8,
    0xff7a8fcb,
    0xff6079b4,
    0xff708ec8,
    0xff6f8dc4,
    0xff8da6df,
    0xff7a8dc8,
    0xff6a80ba,
    0xff7690c9,
    0xff697fb5,
    0xff8ea3dc,
    0xff6076b0,
    0xff6982be,
    0xff6e86c4,
    0xff6f87c7,
    0xff6a82c3,
    0xff6580bb,
    0xff748ccd,
    0xff617ebd,
    0xff6580bf,
    0xff7a98d6,
    0xff708ecc,
    0xff637fbe,
    0xff6884c3,
    0xff768fcf,
    0xff7a99d5,
    0xff6482c0,
    0xff708ece,
    0xff6c89cc,
    0xff6683c5,
    0xff6380c5,
    0xff6683c5,
    0xff6b88ca,
    0xff6d8ccd,
    0xff6b8acb,
    0xff6786c7,
    0xff6181c2,
    0xff7b9ddc,
    0xff6282c6,
    0xff6889ce,
    0xff6485cd,
    0xff6e91d6,
    0xff6284cb,
    0xff5d7fc7,
    0xff6183ca,
    0xff6284cc,
    0xff5e80c7,
    0xff7395df,
    0xff6283ce,
    0xff5f83ce,
    0xff6084ce,
    0xff5e82cc,
    0xff5b7fc9,
    0xff567ac3,
    0xff6185ce,
    0xff6185d1,
    0xff577cc7,
    0xff5477c8,
    0xff5e81d2,
    0xff587dcd,
    0xff567bcc,
    0xff597fce,
    0xff557ccd,
    0xff527acb,
    0xff587fd0,
    0xff5f84d6,
    0xff597fd0,
    0xff587fce,
    0xff5c83d2,
    0xff6189d7,
    0xff6086d7,
    0xff5d83d7,
    0xff5b81d5,
    0xff557bcd,
    0xff557bcc,
    0xff5379ca,
    0xff5b81d5,
    0xff5a81d1,
    0xff567bcb,
    0xff597ecf,
    0xff5f84d1,
    0xff658cda,
    0xff5880cf,
    0xff5c82d2,
    0xff587fcf,
    0xff577ccd,
    0xff5982d5,
    0xff5781d3,
    0xff5982d4,
    0xff5885d9,
    0xff5882d7,
    0xff5b85d7,
    0xff5882d5,
    0xff5881d0,
    0xff547ece,
    0xff5b80d1,
    0xff5b82d1,
    0xff5882d4,
    0xff5680d2,
    0xff537dcf,
    0xff557fd1,
    0xff5781d3,
    0xff5982d5,
    0xff5b85d7,
    0xff5883d4,
    0xff5983d1,
    0xff577fcf,
    0xff557dcd,
    0xff5880d0,
    0xff537ccc,
    0xff5780d0,
    0xff5982d2,
    0xff557ece,
    0xff537dcf,
    0xff547ed0,
    0xff5780d2,
    0xff527dcf,
    0xff547ed0,
    0xff5983d5,
    0xff5680d2,
    0xff5b85d8,
    0xff5f89d7,
    0xff5681d0,
    0xff527fcd,
    0xff5d8bd9,
    0xff5785d3,
    0xff5584d1,
    0xff5882d3,
    0xff547dd0,
    0xff5985d7,
    0xff618bde,
    0xff608add,
    0xff608bd9,
    0xff5a86d5,
    0xff5b86d5,
    0xff5a83d3,
    0xff5d86d6,
    0xff5881d2,
    0xff5a83d3,
    0xff5781d2,
    0xff5881d5,
    0xff5982d6,
    0xff4e77ca,
    0xff5884d3,
    0xff5883d2,
    0xff5882d2,
    0xff5a83d2,
    0xff5780d0,
    0xff5c85d6,
    0xff5d85d7,
    0xff5881d2,
    0xff5982d4,
    0xff567ed1,
    0xff5079d1,
    0xff5b85dc,
    0xff4d78cf,
    0xff5a82d9,
    0xff567ed5,
    0xff5981d6,
    0xff557fd2,
    0xff5a7fd5,
    0xff5883d1,
    0xff5984d2,
    0xff5680ce,
    0xff527cca,
    0xff5981cf,
    0xff4f78c6,
    0xff5780cc,
    0xff577fcd,
    0xff567fce,
    0xff567ecd,
    0xff557ecd,
    0xff5a81d0,
    0xff6186d6,
    0xff5e85d2,
    0xff6288d6,
    0xff5d83d1,
    0xff6282dc,
    0xff587cd4,
    0xff5e83d8,
    0xff5c82d4,
    0xff5b7fd3,
    0xff5e80d5,
    0xff5a7ed3,
    0xff6288db,
    0xff5c84d2,
    0xff5b84d3,
    0xff4f7bca,
    0xff5783d6,
    0xff5580d3,
    0xff5783d6,
    0xff557fd3,
    0xff5a84d7,
    0xff4e77cb,
    0xff5179cd,
    0xff4c76ca,
    0xff4d77cb,
    0xff4773c7,
    0xff3f6dbf,
    0xff406dc1,
    0xff4b7acc,
    0xff4774c7,
    0xff4d76ca,
    0xff4873c7,
    0xff5881d6,
    0xff547cd1,
    0xff4d75ca,
    0xff4f79ce,
    0xff4974c8,
    0xff4a75c8,
    0xff4974c7,
    0xff416cbe,
    0xff4973c4,
    0xff527acb,
    0xff537cd0,
    0xff4a70c6,
    0xff4f76cd,
    0xff507cce,
    0xff527ece,
    0xff4e7acd,
    0xff4c78cd,
    0xff537fd4,
    0xff4e7bce,
    0xff507bcf,
    0xff4c77c9,
    0xff4d77cb,
    0xff4771c5,
    0xff3d67bc,
    0xff4973c7,
    0xff3e68bc,
    0xff426dbe,
    0xff4672c3,
    0xff426fc0,
    0xff416ec1,
    0xff4772c5,
    0xff4974c7,
    0xff456ec2,
    0xff446dc0,
    0xff436dc1,
    0xff4471c3,
    0xff4675c7,
    0xff3d69bd,
    0xff456ec7,
    0xff406ac2,
    0xff436cc3,
    0xff406dc0,
    0xff3c6bbe,
    0xff3968bf,
    0xff3466bf,
    0xff3264bc,
    0xff3769c0,
    0xff3063ba,
    0xff2e62bb,
    0xff2e61b9,
    0xff2e61ba,
    0xff3366bf,
    0xff2c5fb8,
    0xff2f64bd,
    0xff2e64be,
    0xff3368c4,
    0xff2d62be,
    0xff2f64bb,
    0xff2e67bd,
    0xff3269c5,
    0xff2a60c1,
    0xff255db9,
    0xff2f66c0,
    0xff2d64bf,
    0xff265eb9,
    0xff1f55b2,
    0xff2b62bf,
    0xff245bb8,
    0xff235ab7,
    0xff2760ba,
    0xff2760ba,
    0xff2d64c1,
    0xff295ebb,
    0xff2a5fbd,
    0xff2d63bf,
    0xff336ac5,
    0xff356cc6,
    0xff336ac6,
    0xff366dc9,
    0xff3970cc,
    0xff3b71cd,
    0xff3369c7,
    0xff3468c6,
    0xff3266c4,
    0xff3367c4,
    0xff2c61bd,
    0xff2f63c0,
    0xff376cc7,
    0xff3c70c8,
    0xff3a6cc1,
    0xff3e6fc2,
    0xff4b78ca,
    0xff4771c4,
    0xff4473c5,
    0xff4c73cd,
    0xff5578cf,
    0xff5078c4,
    0xff507bc4,
    0xff5c7cc4,
    0xffacbbe5,
    0xffb3b7be,
    0xff818c84,
    0xff485148,
    0xff7f857c,
    0xff5b5d55,
    0xff474940,
    0xff292c23,
    0xff040902,
    0xff000900,
    0xff000a03,
    0xff000a04,
    0xff18241d,
    0xff2f3930,
    0xff353c2f,
    0xff252a1e,
    0xff5c665c,
    0xff17241f,
    0xff212d2c,
    0xff6e7976,
    0xff1a211a,
    0xff2c2e25,
    0xff000000,
    0xff262a23,
    0xff19201e,
    0xff192321,
    0xff8e948f,
    0xff232e20,
    0xff142019,
    0xff050a11,
    0xff565754,
    0xff4e4c31,
    0xff2e2b10,
    0xff1b160a,
    0xff26261b,
    0xff321f16,
    0xff66483c,
    0xff674c37,
    0xff593e26,
    0xff5d3c2b,
    0xff1f0200,
    0xff1f0e0f,
    0xff382d27,
    0xff36200d,
    0xff371f06,
    0xff5e503f,
    0xff21140a,
    0xff4c3529,
    0xff4b2f22,
    0xff220a01,
    0xff210f09,
    0xff000000,
    0xff000000,
    0xff3f3e33,
    0xff7c847a,
    0xff5e786e,
    0xff5b635b,
    0xff755c52,
    0xff421b13,
    0xff2f100a,
    0xff281513,
    0xff1e1513,
    0xff000000,
    0xff423829,
    0xff9e8c74,
    0xffa69070,
    0xff684e31,
    0xff281700,
    0xff27200e,
    0xff221a11,
    0xff281d19,
    0xff120a08,
    0xff14100f,
    0xff060909,
    0xff0d0d09,
    0xff12100d,
    0xff221f1a,
    0xff070701,
    0xff000000,
    0xff0b0d08,
    0xff2e332f,
    0xff020602,
    0xff140e01,
    0xff100f02,
    0xff111106,
    0xff0c0700,
    0xff221913,
    0xff291e1a,
    0xff312723,
    0xff110c06,
    0xff0a0e0c,
    0xff0a0f0b,
    0xff0e1411,
    0xff0a110a,
    0xff040902,
    0xff0f120a,
    0xff1f2014,
    0xff151108,
    0xff19150e,
    0xff110f10,
    0xff13141b,
    0xff0b100c,
    0xff000000,
    0xff575736,
    0xff8e845d,
    0xff4d3d18,
    0xff534425,
    0xff605538,
    0xff554c31,
    0xff5d533c,
    0xff4d4027,
    0xff413518,
    0xff433013,
    0xff6b5735,
    0xffa08851,
    0xff7c642f,
    0xffb69f74,
    0xff8b7653,
    0xff463920,
    0xff403c2c,
    0xff32362b,
    0xff353f39,
    0xff323e38,
    0xff283332,
    0xff263638,
    0xff1f3237,
    0xff1d3137,
    0xff1f353a,
    0xff0d2222,
    0xff0d2020,
    0xff001a07,
    0xff07211f,
    0xff102320,
    0xff050000,
    0xff461a05,
    0xffac633a,
    0xffee996c,
    0xffe39555,
    0xfff4a146,
    0xffd5771b,
    0xff954a09,
    0xff89673e,
    0xff87591d,
    0xffb16712,
    0xffc9872e,
    0xffb96313,
    0xffa25e1a,
    0xffb86b27,
    0xffba6c2f,
    0xff9c5e14,
    0xffffe27c,
    0xfff8b84e,
    0xffae6b1c,
    0xff531700,
    0xff090500,
    0xff011213,
    0xff001014,
    0xff0d1911,
    0xff0a0b0c,
    0xff320b13,
    0xff541701,
    0xff5e2d2b,
    0xff371404,
    0xff300e09,
    0xff3c1201,
    0xff4a1009,
    0xff4d160f,
    0xff451401,
    0xff4e0705,
    0xff983325,
    0xffc75a28,
    0xffa64301,
    0xffbb5414,
    0xffb04014,
    0xffc35d2f,
    0xffb46a27,
    0xffc19d61,
    0xff080400,
    0xff080901,
    0xff090001,
    0xff0e0000,
    0xff664e1d,
    0xffcfa85b,
    0xff543f15,
    0xff01070a,
    0xff010b21,
    0xff000808,
    0xff0b0d08,
    0xff272519,
    0xff202313,
    0xff061202,
    0xff091603,
    0xff0a0f00,
    0xff261e12,
    0xff64331e,
    0xffc68750,
    0xffffbb59,
    0xfff4b03a,
    0xffe9aa63,
    0xff490e00,
    0xff966525,
    0xffbc8a2b,
    0xffa9621a,
    0xff4c1100,
    0xffebad62,
    0xff75430c,
    0xffc2a056,
    0xffa3816c,
    0xff241c17,
    0xff000100,
    0xff161b09,
    0xff2a1b15,
    0xff6e5042,
    0xff785e59,
    0xff352c20,
    0xff262211,
    0xff341e17,
    0xff623729,
    0xff8d301a,
    0xffce5538,
    0xff9b2204,
    0xff8e0500,
    0xffbb271b,
    0xff8e0000,
    0xff7c0005,
    0xffa85d5a,
    0xff8c6753,
    0xff5f270e,
    0xff994526,
    0xffb94e2b,
    0xffc4502f,
    0xffa4351b,
    0xffc35b49,
    0xff7e1e10,
    0xff788ec9,
    0xff8296d1,
    0xff90a3dc,
    0xff8494ca,
    0xff90a0d3,
    0xff8d9ccd,
    0xffbfcff4,
    0xff7d8dbc,
    0xff8094c3,
    0xff7086b5,
    0xff7e94c5,
    0xff8ca2d4,
    0xffa1b7e9,
    0xff859ccd,
    0xff8097c8,
    0xff798dbe,
    0xffadbfe9,
    0xff8396c4,
    0xff7387ba,
    0xff7e91c4,
    0xff768cbe,
    0xff90a7d7,
    0xff91a5d8,
    0xff8fa3da,
    0xff879acc,
    0xff7f91c4,
    0xff8494c9,
    0xff7686ba,
    0xff6a7cad,
    0xffa3b5e1,
    0xff8594bc,
    0xff7f8bb4,
    0xff8594c4,
    0xff6979ac,
    0xff6373a7,
    0xff7988bf,
    0xff7182b8,
    0xff6677ad,
    0xff7889bf,
    0xff8596cd,
    0xff7b92ca,
    0xff6075ac,
    0xff8297cb,
    0xff8696cb,
    0xff7789bb,
    0xff8999cd,
    0xffa0b2e5,
    0xff8da1d6,
    0xff8a9cd5,
    0xff7e90c9,
    0xff8799cf,
    0xff6b7caf,
    0xff6779ab,
    0xff6e7fb1,
    0xff7f93c5,
    0xff7f94c5,
    0xff7a91c7,
    0xff778cc2,
    0xff7d92c6,
    0xff7082b6,
    0xff99a9dd,
    0xff7889bf,
    0xff7b8cc1,
    0xff6273ab,
    0xff6d7bb6,
    0xff8393cf,
    0xff8190d1,
    0xff6274b1,
    0xff92a7e0,
    0xff7c92cb,
    0xff7d95cf,
    0xff748dcb,
    0xff627bb8,
    0xff6b85c2,
    0xff829ad8,
    0xff5c74b0,
    0xff6078b4,
    0xff7086c2,
    0xff99afe9,
    0xff8fa4df,
    0xff758ec7,
    0xff7b95cd,
    0xff6c82bd,
    0xff657bb7,
    0xff859bd7,
    0xff6d83c0,
    0xff586ba6,
    0xff5f73ad,
    0xff6780ba,
    0xff6780ba,
    0xff5e77b3,
    0xff6680bc,
    0xff637eba,
    0xff647cba,
    0xff7d91d1,
    0xff758cc6,
    0xff7186bd,
    0xff768cc6,
    0xff6e86c5,
    0xff667fbf,
    0xff637dbe,
    0xff647cba,
    0xff627ab4,
    0xff5e77b0,
    0xff657ab7,
    0xff6a84bf,
    0xff6b89c2,
    0xff6381bb,
    0xff687fbc,
    0xff7b91ca,
    0xff7990c9,
    0xff657eb7,
    0xff6f88c0,
    0xff637cb6,
    0xff839bd8,
    0xff7b93d3,
    0xff677fbe,
    0xff5c76b8,
    0xff6e87c7,
    0xff6c85c5,
    0xff6d86c8,
    0xff6e8acb,
    0xff627ebf,
    0xff6583c3,
    0xff6e8dcd,
    0xff738fd0,
    0xff7c98d9,
    0xff728ccd,
    0xff6887c5,
    0xff6382c3,
    0xff6483c4,
    0xff607fc2,
    0xff6382c5,
    0xff6281c4,
    0xff6483c6,
    0xff6686c9,
    0xff6181c4,
    0xff698acd,
    0xff6889cd,
    0xff6889cc,
    0xff5d7fc2,
    0xff6386ca,
    0xff6183cb,
    0xff5f81c9,
    0xff5b7dc5,
    0xff6385cd,
    0xff6183cb,
    0xff6385cd,
    0xff6082ca,
    0xff6183cb,
    0xff6587ce,
    0xff6081c9,
    0xff6084ce,
    0xff5b7fc9,
    0xff5c80ca,
    0xff577bc5,
    0xff5377c3,
    0xff5f83cf,
    0xff587cc8,
    0xff567ac6,
    0xff5279c9,
    0xff557ccb,
    0xff5980cf,
    0xff547dcc,
    0xff5882d2,
    0xff5782d1,
    0xff537ecd,
    0xff527dcb,
    0xff577dce,
    0xff547acb,
    0xff557acc,
    0xff5d84d3,
    0xff5e83d5,
    0xff5075c6,
    0xff567bcf,
    0xff5a80d3,
    0xff547ecd,
    0xff5d82d3,
    0xff587ed2,
    0xff587ed1,
    0xff567cd0,
    0xff5a7fd0,
    0xff5d82d2,
    0xff567bca,
    0xff567dcd,
    0xff5c81d4,
    0xff5c81d5,
    0xff5d83d6,
    0xff6086d9,
    0xff577dd0,
    0xff6389db,
    0xff5e84d7,
    0xff5880d2,
    0xff5982d4,
    0xff557ed0,
    0xff5c85d8,
    0xff5780d2,
    0xff5982d5,
    0xff527bcd,
    0xff5a83d5,
    0xff5983d5,
    0xff5a84d6,
    0xff5882d4,
    0xff5a84d6,
    0xff5a84d6,
    0xff557fd1,
    0xff5983d5,
    0xff5b85d7,
    0xff5d85d9,
    0xff5d86d8,
    0xff5a83d5,
    0xff5881d4,
    0xff5d86d8,
    0xff5d86d9,
    0xff5e87d8,
    0xff5d85d8,
    0xff5d87d9,
    0xff5d87da,
    0xff5f89db,
    0xff5a84d6,
    0xff5d87d9,
    0xff5983d5,
    0xff5b85d8,
    0xff527dce,
    0xff5b84d4,
    0xff5b84d5,
    0xff618bda,
    0xff5782d1,
    0xff5b86d5,
    0xff5f8ad8,
    0xff5d85d5,
    0xff5f88d7,
    0xff5a86d7,
    0xff5a87d7,
    0xff5884d2,
    0xff5a85d4,
    0xff5d87d7,
    0xff638cdc,
    0xff648ddc,
    0xff668ede,
    0xff5b86d1,
    0xff648cd9,
    0xff628ad9,
    0xff5e85d4,
    0xff668bdb,
    0xff678ddc,
    0xff5c84d0,
    0xff5f86d3,
    0xff6388d4,
    0xff5d83cf,
    0xff6489d6,
    0xff658bd8,
    0xff5e84d1,
    0xff6288d5,
    0xff5c82d0,
    0xff6287d6,
    0xff5881d3,
    0xff577fd2,
    0xff567fd2,
    0xff587ed1,
    0xff5e85d7,
    0xff5e84d6,
    0xff5f85d6,
    0xff5d83d5,
    0xff6088d2,
    0xff6088d2,
    0xff6289d4,
    0xff678dd7,
    0xff658cd5,
    0xff6a90d9,
    0xff6388d1,
    0xff678dd4,
    0xff6389d2,
    0xff688dd4,
    0xff6e92da,
    0xff6386ce,
    0xff6689d1,
    0xff6c8bd2,
    0xff6d8bd2,
    0xff6a87d0,
    0xff6380d1,
    0xff6d8cdb,
    0xff6184d2,
    0xff698ada,
    0xff6c8cdb,
    0xff7190df,
    0xff698ddc,
    0xff597fcf,
    0xff698dd8,
    0xff567cc7,
    0xff638ad6,
    0xff5c84d2,
    0xff5980d0,
    0xff5880ce,
    0xff5a81d0,
    0xff587dcd,
    0xff5b81cf,
    0xff5c82cf,
    0xff597fcc,
    0xff5981cd,
    0xff537bc8,
    0xff577fcd,
    0xff5d86d3,
    0xff5882ce,
    0xff5f8ad7,
    0xff557fcd,
    0xff587ece,
    0xff587fcc,
    0xff5a80cd,
    0xff5a7fcd,
    0xff5076c0,
    0xff5278c3,
    0xff5176c6,
    0xff4d73c2,
    0xff5a7ccb,
    0xff5475c5,
    0xff587ac9,
    0xff5e7dcd,
    0xff6786d8,
    0xff627fd0,
    0xff577fca,
    0xff547cca,
    0xff5981d0,
    0xff5a81d3,
    0xff547ccd,
    0xff547ccd,
    0xff557dce,
    0xff527bc9,
    0xff537ccb,
    0xff557ece,
    0xff527acb,
    0xff5179ca,
    0xff547ccb,
    0xff567ecc,
    0xff5279c9,
    0xff557ccc,
    0xff5079c8,
    0xff5078c7,
    0xff547aca,
    0xff6085d5,
    0xff5278c8,
    0xff587ece,
    0xff4e77c6,
    0xff517bc9,
    0xff4e76c6,
    0xff4e75ca,
    0xff5279d0,
    0xff5179cd,
    0xff4974c4,
    0xff4d78c9,
    0xff4975c9,
    0xff4876cd,
    0xff4371c5,
    0xff3f6dc2,
    0xff4676ca,
    0xff3b6bbf,
    0xff3b6bbf,
    0xff3766bc,
    0xff3869bf,
    0xff4071c7,
    0xff3c6cbf,
    0xff3c6ec5,
    0xff3162ba,
    0xff3a6cc2,
    0xff3364b7,
    0xff3569bb,
    0xff2e62b9,
    0xff3568c3,
    0xff2e64bb,
    0xff3166be,
    0xff3065bd,
    0xff3469c1,
    0xff356ac3,
    0xff3c6fca,
    0xff3064bf,
    0xff3b6fc9,
    0xff2d62b9,
    0xff3569c1,
    0xff3e71cb,
    0xff4071cc,
    0xff3768c3,
    0xff4477d0,
    0xff386ec5,
    0xff356ac3,
    0xff4176d0,
    0xff497cd7,
    0xff487bd4,
    0xff4274cd,
    0xff477ad1,
    0xff497bd2,
    0xff4a7cd2,
    0xff4e80d7,
    0xff4d80da,
    0xff4676d0,
    0xff4f7fd5,
    0xff4e7ccd,
    0xff537ccb,
    0xff5376c0,
    0xff5777be,
    0xff5875ba,
    0xff6183b8,
    0xff5470a5,
    0xff5f7aa9,
    0xff5b7b9f,
    0xff6183a4,
    0xff5f7895,
    0xff57636b,
    0xff747766,
    0xff4b553f,
    0xff474e35,
    0xff7e8166,
    0xff6b694a,
    0xff6b6544,
    0xff847a5e,
    0xff41371d,
    0xff6a5e47,
    0xff655235,
    0xff645636,
    0xff6f6444,
    0xff686240,
    0xffdedabb,
    0xff8c8b72,
    0xff33382a,
    0xff010b03,
    0xff081213,
    0xff1c2323,
    0xff2a302c,
    0xff070a03,
    0xff7e7f77,
    0xff44453d,
    0xff32352f,
    0xff383a35,
    0xff4b4c3b,
    0xff0e1101,
    0xff21261e,
    0xff0f100e,
    0xff252422,
    0xff191a11,
    0xff282a28,
    0xff0a1219,
    0xff1c2821,
    0xff4d4e47,
    0xff3c3530,
    0xff312f21,
    0xff060600,
    0xff35281d,
    0xff1d110c,
    0xff070805,
    0xff000000,
    0xff6a6356,
    0xffeae6d2,
    0xff6f7366,
    0xff070c07,
    0xff89857d,
    0xff271e12,
    0xff110d02,
    0xff080200,
    0xff818684,
    0xffd5dad3,
    0xff433d30,
    0xff4f5245,
    0xff445851,
    0xff2d3834,
    0xff40342d,
    0xff2f2524,
    0xff1a1416,
    0xff080608,
    0xff060608,
    0xff696761,
    0xfff9f4e4,
    0xffe0d4b5,
    0xff91845d,
    0xff5f5035,
    0xff352d15,
    0xff161601,
    0xff3c3c2d,
    0xff6c6a5d,
    0xff010000,
    0xff1b1b1d,
    0xff0a1418,
    0xff0f140f,
    0xff0b0e08,
    0xff000000,
    0xff3b3d37,
    0xffb2b5ae,
    0xffa2a7a2,
    0xff767b78,
    0xff525855,
    0xff4b452e,
    0xff45412b,
    0xff23200d,
    0xff262113,
    0xff190e07,
    0xff1f140e,
    0xff2d241e,
    0xff0e0803,
    0xff060908,
    0xff0f1312,
    0xff151a16,
    0xff0b0f08,
    0xff1a1c13,
    0xff121209,
    0xff15130a,
    0xff333028,
    0xff171814,
    0xff07070c,
    0xff05050a,
    0xff030100,
    0xff9a9772,
    0xffa8a06f,
    0xff4c3e13,
    0xff776242,
    0xff211b0b,
    0xff332e1e,
    0xff4e4a3b,
    0xff535343,
    0xff494935,
    0xff504b33,
    0xff433e20,
    0xff443d1b,
    0xff655524,
    0xff8d8252,
    0xff766f47,
    0xff666346,
    0xff343826,
    0xff292f26,
    0xff27312f,
    0xff212b2f,
    0xff071518,
    0xff101f24,
    0xff172a32,
    0xff172a36,
    0xff1c303b,
    0xff1a2e36,
    0xff192c32,
    0xff051519,
    0xff101a1c,
    0xff0e1d29,
    0xff020000,
    0xffc38d61,
    0xffe7944f,
    0xffffae71,
    0xffe99d52,
    0xfffcb04f,
    0xfff3a44a,
    0xffd47f2c,
    0xffa3661a,
    0xff231a01,
    0xff0e0000,
    0xffcc8233,
    0xffcd7e12,
    0xffc98816,
    0xff6f2500,
    0xff8f3f01,
    0xffcc7e24,
    0xffc27715,
    0xffac5a02,
    0xffffad50,
    0xfff69840,
    0xffdf8935,
    0xff84400e,
    0xff1f0600,
    0xff080c12,
    0xff091000,
    0xff0d0000,
    0xff330604,
    0xff672d17,
    0xff4f170a,
    0xff270000,
    0xff2c080d,
    0xff38080b,
    0xff4b0000,
    0xff510001,
    0xff4e1914,
    0xff2d0504,
    0xff2a0000,
    0xff913c25,
    0xffb34d14,
    0xffab370a,
    0xff8e1002,
    0xffab381d,
    0xff82321e,
    0xff481e16,
    0xff1a0501,
    0xff120c06,
    0xff0a0304,
    0xff070b05,
    0xff020500,
    0xff563c1a,
    0xff442217,
    0xff0f0811,
    0xff021407,
    0xff011217,
    0xff060a09,
    0xff181107,
    0xff161507,
    0xff20281b,
    0xff1d2517,
    0xff1b1500,
    0xff1e0600,
    0xfff6bf7e,
    0xffef9e54,
    0xfff79e31,
    0xfffdba62,
    0xff210400,
    0xff1b1306,
    0xff0f0000,
    0xff703618,
    0xffae733a,
    0xff1f0c00,
    0xff706138,
    0xff090000,
    0xff897852,
    0xffc29f7f,
    0xffae978c,
    0xff575b4b,
    0xff0e0700,
    0xff15100e,
    0xff090600,
    0xff3b342d,
    0xff605047,
    0xff5a3f30,
    0xff533026,
    0xff4a2213,
    0xff8f5335,
    0xffb85926,
    0xffc05514,
    0xffe8633a,
    0xff860000,
    0xff9f2817,
    0xff801a0b,
    0xff99594c,
    0xff644846,
    0xff8a5e45,
    0xffbd7c4d,
    0xff90471c,
    0xff642611,
    0xff431407,
    0xff230500,
    0xff240b00,
    0xff6788c4,
    0xff6987c3,
    0xff728cc9,
    0xff7a8ec8,
    0xff6c7eb8,
    0xff7484bc,
    0xff7d91c5,
    0xff7386b8,
    0xff99abd9,
    0xff9bb0de,
    0xff91a5d7,
    0xff5970a1,
    0xff6e84b6,
    0xff798dc0,
    0xff6e82b5,
    0xff6d7eb1,
    0xff62749f,
    0xff7c8fbe,
    0xff7286b9,
    0xff7f94ca,
    0xff8fa4d9,
    0xff6176a9,
    0xff6b81b8,
    0xff7e90ca,
    0xff93a1d2,
    0xffa0b0e1,
    0xff8191c4,
    0xff7e90c2,
    0xff8294c5,
    0xff8c9dce,
    0xff7d8ebc,
    0xff8796c3,
    0xff95a3ca,
    0xffb3c1e9,
    0xffb6c4ed,
    0xff8293be,
    0xffd5e6ff,
    0xffa5b7e2,
    0xff9aacda,
    0xff6c80af,
    0xff6a7fbb,
    0xff869bd4,
    0xff8296cc,
    0xff7586b8,
    0xff6679aa,
    0xff7f94c6,
    0xff6074a9,
    0xff697eb7,
    0xff7185c5,
    0xff7f94d3,
    0xff778dc7,
    0xff889dd4,
    0xff8a9ed3,
    0xff879bce,
    0xff8498cb,
    0xffa1b6ea,
    0xff8ba3dd,
    0xff7f95cd,
    0xff93a9e0,
    0xff7a90c4,
    0xff657aaf,
    0xff8798ce,
    0xff8c9dd5,
    0xff7c8dc5,
    0xff8190cd,
    0xff6b7bba,
    0xff8295d5,
    0xff6b7eba,
    0xff637bb1,
    0xff667fb4,
    0xff6f89be,
    0xff85a0d7,
    0xff6a86c2,
    0xff718fcb,
    0xff7492cd,
    0xff7a94d1,
    0xff718bc8,
    0xff617ab7,
    0xff627ab7,
    0xff5b73b1,
    0xff7590cb,
    0xff5f76b3,
    0xff7088c6,
    0xff748ccb,
    0xff6981c0,
    0xff5c71ad,
    0xff6f85c1,
    0xff7d93cf,
    0xff5e79b8,
    0xff5976b3,
    0xff5c78b8,
    0xff6d89ca,
    0xff667fc0,
    0xff6a83c3,
    0xff7185c5,
    0xff677ab7,
    0xff687eb6,
    0xff6a83bc,
    0xff677fbe,
    0xff637dc0,
    0xff738bd0,
    0xff7892d4,
    0xff8aa3de,
    0xff7790c8,
    0xff758dca,
    0xff7a95d2,
    0xff6b89c5,
    0xff617eb8,
    0xff627ab6,
    0xff91a7e3,
    0xff7890cd,
    0xff88a1dc,
    0xff7088c4,
    0xff6c84c1,
    0xff7890d0,
    0xff5e77b9,
    0xff728bcd,
    0xff7a93d5,
    0xff647cbf,
    0xff748dcf,
    0xff6884c7,
    0xff708ace,
    0xff6784c6,
    0xff6683c5,
    0xff607dbf,
    0xff6b88ca,
    0xff6883c6,
    0xff7591d3,
    0xff7192d2,
    0xff6487c6,
    0xff6687ca,
    0xff5e7fc4,
    0xff698bd0,
    0xff6283c9,
    0xff5f81c3,
    0xff6586c9,
    0xff6487cb,
    0xff6083c8,
    0xff6b8ecf,
    0xff5f82c4,
    0xff6183c7,
    0xff5c81c8,
    0xff6186cd,
    0xff5b80ca,
    0xff567bc5,
    0xff6286d0,
    0xff5d81cc,
    0xff5a7ec9,
    0xff567cc2,
    0xff5d83c9,
    0xff6187cd,
    0xff5d82c9,
    0xff5d81cb,
    0xff5d81cb,
    0xff597dc6,
    0xff587cc8,
    0xff6286d2,
    0xff5a80ce,
    0xff5075c3,
    0xff577cca,
    0xff5b83d2,
    0xff577ecd,
    0xff5e86d4,
    0xff577cce,
    0xff5079c9,
    0xff5981d1,
    0xff5982d2,
    0xff4d77c6,
    0xff547dcf,
    0xff5982d1,
    0xff4e77c7,
    0xff5079c9,
    0xff527bcb,
    0xff5079c8,
    0xff527bcd,
    0xff517acc,
    0xff5a83d3,
    0xff5882d1,
    0xff557fd1,
    0xff587dd0,
    0xff5d83d7,
    0xff5d84d4,
    0xff557bcc,
    0xff5e83d3,
    0xff5d83d4,
    0xff597fd0,
    0xff5b81d2,
    0xff5f86d6,
    0xff5b81d2,
    0xff6084d6,
    0xff6085d5,
    0xff5d83d3,
    0xff597ed0,
    0xff5781d1,
    0xff5e87d6,
    0xff628ada,
    0xff5b85d7,
    0xff5781d3,
    0xff5680d1,
    0xff5983d8,
    0xff5c86d7,
    0xff5882d4,
    0xff5c86d8,
    0xff5e88da,
    0xff5c86d8,
    0xff5b85d7,
    0xff5c86d8,
    0xff5e88da,
    0xff6189dd,
    0xff638cde,
    0xff5e87d9,
    0xff5b84d6,
    0xff638cdc,
    0xff5c85d5,
    0xff5f88d7,
    0xff5b84d4,
    0xff5b85d4,
    0xff5d85d5,
    0xff6088d8,
    0xff5e86d6,
    0xff5a82d2,
    0xff5d85d5,
    0xff5f88d8,
    0xff6088d8,
    0xff5f85d4,
    0xff628ad8,
    0xff618ad9,
    0xff5b87d5,
    0xff628ddb,
    0xff6089d9,
    0xff6389d6,
    0xff658cd9,
    0xff648edb,
    0xff658cda,
    0xff648cd8,
    0xff6d95e2,
    0xff668cd9,
    0xff658ad6,
    0xff6388d3,
    0xff6a8eda,
    0xff6c92da,
    0xff6e94db,
    0xff7297df,
    0xff6f95dc,
    0xff6b8ed6,
    0xff6e92da,
    0xff7699e1,
    0xff7295dd,
    0xff7494dd,
    0xff7698e1,
    0xff7496df,
    0xff7496de,
    0xff7799e3,
    0xff7293de,
    0xff6a8cd7,
    0xff7193dd,
    0xff7099db,
    0xff6f97d9,
    0xff739bdd,
    0xff739be1,
    0xff7197dd,
    0xff789fe5,
    0xff769ce1,
    0xff769de2,
    0xff759be2,
    0xff749ae1,
    0xff7398df,
    0xff7398de,
    0xff7599df,
    0xff7397db,
    0xff7d9ee4,
    0xff7a9ce0,
    0xff7c9fe1,
    0xff80a3e5,
    0xff799add,
    0xff83a1e6,
    0xff85a3e4,
    0xff809cdf,
    0xff89a3e6,
    0xff87a1e5,
    0xff819cdc,
    0xff7d9bda,
    0xff7fa1de,
    0xff7e9edc,
    0xff7896d7,
    0xff7594d6,
    0xff7497db,
    0xff749bdf,
    0xff799be2,
    0xff7fa1e9,
    0xff789ae3,
    0xff759ae3,
    0xff7296e0,
    0xff7397e0,
    0xff7496e0,
    0xff7a9de6,
    0xff799ce4,
    0xff7c9ee6,
    0xff7496df,
    0xff6f93da,
    0xff7095dd,
    0xff7095dd,
    0xff688ed5,
    0xff7298e0,
    0xff5d87ce,
    0xff6990d9,
    0xff7097df,
    0xff688cd4,
    0xff6c90d6,
    0xff6f91d5,
    0xff779ade,
    0xff7195d8,
    0xff7a9ce5,
    0xff84a5eb,
    0xff7b99e0,
    0xff91aaf2,
    0xff8ba4ea,
    0xff738cd4,
    0xff7a93da,
    0xff7b93de,
    0xff718fd4,
    0xff6281c6,
    0xff708fd6,
    0xff7694dc,
    0xff6481cc,
    0xff6888d1,
    0xff5376be,
    0xff5277c1,
    0xff6486d1,
    0xff6586d1,
    0xff6385ce,
    0xff6588d0,
    0xff6a8dd6,
    0xff6483cd,
    0xff6585cc,
    0xff7191d8,
    0xff6589cf,
    0xff5d80c6,
    0xff6a8ed3,
    0xff6689ce,
    0xff6c8fd7,
    0xff6686cf,
    0xff6383cc,
    0xff6284cc,
    0xff6588d3,
    0xff6d90df,
    0xff6285d5,
    0xff6285d3,
    0xff6288d1,
    0xff5e85cd,
    0xff567ecb,
    0xff5278ca,
    0xff557ecc,
    0xff5a83cf,
    0xff5780cc,
    0xff5881cf,
    0xff658ddc,
    0xff5683d0,
    0xff5c88d5,
    0xff5a86d3,
    0xff5e8ad7,
    0xff5d88da,
    0xff5782d3,
    0xff517ccd,
    0xff5682cf,
    0xff5886d1,
    0xff5683d4,
    0xff5480d6,
    0xff5181d3,
    0xff5485d6,
    0xff4b79cb,
    0xff4877cb,
    0xff4672c7,
    0xff517cd1,
    0xff4e7ace,
    0xff4b75cc,
    0xff426fc4,
    0xff4c7bd0,
    0xff4d7bd2,
    0xff4a78cf,
    0xff4f80d6,
    0xff4071c6,
    0xff3d70c5,
    0xff4276cb,
    0xff4373c9,
    0xff4373cb,
    0xff4272c7,
    0xff4b7bcf,
    0xff4776cb,
    0xff4675c7,
    0xff4676c6,
    0xff4d7bcc,
    0xff4c79ce,
    0xff5682d8,
    0xff5580d1,
    0xff5d86d5,
    0xff5c82ce,
    0xff6282ca,
    0xff5d79c0,
    0xff5b76bd,
    0xff5f78bd,
    0xff586fb0,
    0xff586fa8,
    0xff496696,
    0xff476396,
    0xff405786,
    0xff5c6b8f,
    0xff50596e,
    0xff465269,
    0xff343e51,
    0xff4f5664,
    0xff787980,
    0xff838186,
    0xff6b656c,
    0xff312833,
    0xff7a707f,
    0xff412d28,
    0xff7d6c64,
    0xff655949,
    0xff473b26,
    0xff958a71,
    0xff655c49,
    0xff58544a,
    0xff343432,
    0xff131713,
    0xff1f221c,
    0xff262922,
    0xff0e1106,
    0xff46473c,
    0xff818377,
    0xff11120a,
    0xff414138,
    0xff777863,
    0xff9ea093,
    0xff60605a,
    0xff77766e,
    0xff3b382d,
    0xff0a0a04,
    0xff515658,
    0xff344045,
    0xff2a3b2a,
    0xff434c45,
    0xff000408,
    0xff122025,
    0xff121c1f,
    0xff000000,
    0xff17180e,
    0xff2c3729,
    0xff181d1e,
    0xff9d9990,
    0xff817b6e,
    0xff62665d,
    0xff19201e,
    0xff1d1d15,
    0xff363227,
    0xff5c5e54,
    0xff303433,
    0xff606969,
    0xff3a4037,
    0xff767162,
    0xff636353,
    0xff36443e,
    0xff495855,
    0xff181b13,
    0xff0e1512,
    0xff000202,
    0xff1c2428,
    0xff000307,
    0xffccd0cf,
    0xffa7a89d,
    0xff9a9a84,
    0xff6e6e51,
    0xff2e2513,
    0xff393723,
    0xff1c210b,
    0xff868a75,
    0xff6c6b57,
    0xff46453a,
    0xff3f4440,
    0xff182326,
    0xff262f2b,
    0xff050d08,
    0xffaab0ab,
    0xff757b76,
    0xff272c29,
    0xff292f2e,
    0xff1a2423,
    0xff2d3535,
    0xff3d3c29,
    0xff42412f,
    0xff292c1b,
    0xff36352a,
    0xff16130c,
    0xff040000,
    0xff0b0905,
    0xff020300,
    0xff010803,
    0xff050a04,
    0xff0a0d04,
    0xff0c0e03,
    0xff121306,
    0xff525042,
    0xff4b493c,
    0xff29281b,
    0xff222616,
    0xff2d3020,
    0xff111001,
    0xff8a866d,
    0xff716a49,
    0xff392f0f,
    0xff52422d,
    0xff37281d,
    0xff2c2d23,
    0xff2f342a,
    0xff31352e,
    0xff21261d,
    0xff1b2317,
    0xff373d2d,
    0xff282d19,
    0xff353a25,
    0xff485644,
    0xff384a38,
    0xff14271a,
    0xff1b2f28,
    0xff1c2f2c,
    0xff16282a,
    0xff0f1c20,
    0xff121e25,
    0xff0f1f26,
    0xff15282f,
    0xff1a2e37,
    0xff1d313b,
    0xff203540,
    0xff11242c,
    0xff172b31,
    0xff0b1c20,
    0xff1c2631,
    0xff0a1b26,
    0xff0f090b,
    0xffac7e45,
    0xffffbb73,
    0xff6e3310,
    0xff7e5127,
    0xff734216,
    0xff410f00,
    0xff764f1c,
    0xffb38236,
    0xff190200,
    0xff0a0400,
    0xffeeb857,
    0xffd28c14,
    0xffffdb5d,
    0xff88490e,
    0xffec9e49,
    0xffbd6506,
    0xffa13d00,
    0xffcc5f30,
    0xff9b3304,
    0xffd67c2f,
    0xffc07408,
    0xffdf8526,
    0xffc48345,
    0xff1f0d02,
    0xff3a2711,
    0xffc68263,
    0xffb67333,
    0xffae6e32,
    0xffb1511a,
    0xff91441c,
    0xff65300f,
    0xff673300,
    0xffffc159,
    0xffe39831,
    0xff81470f,
    0xff60340e,
    0xff885934,
    0xff490400,
    0xffaf4c20,
    0xffae3f19,
    0xff8b1a0c,
    0xff6e0900,
    0xff5e1e0e,
    0xff2f0c0f,
    0xff371616,
    0xff2e1205,
    0xff452507,
    0xff080000,
    0xff050c07,
    0xff090800,
    0xff342520,
    0xff0d080f,
    0xff060e00,
    0xff000f0d,
    0xff0c130b,
    0xff18170a,
    0xff010400,
    0xff121a19,
    0xff171510,
    0xff311304,
    0xffd59c76,
    0xffdb9a4a,
    0xfff9b14a,
    0xfff0aa5c,
    0xff310700,
    0xff151300,
    0xff010300,
    0xff71521d,
    0xffbe7c35,
    0xff340000,
    0xff080c07,
    0xff030f00,
    0xff06100c,
    0xff051000,
    0xffdfc195,
    0xff9c7145,
    0xff9b7f6e,
    0xff0c0000,
    0xff060b06,
    0xff000e04,
    0xff3d4b45,
    0xff3a2f2c,
    0xff3d1f1b,
    0xff593835,
    0xff2e150e,
    0xff150000,
    0xffa2481f,
    0xffe87030,
    0xffab2603,
    0xff8f1000,
    0xff8f2216,
    0xff650e07,
    0xffe7c1c0,
    0xff482e30,
    0xff5a412f,
    0xff5b4629,
    0xff201300,
    0xff100f06,
    0xff051014,
    0xff00100d,
    0xff07190b,
    0xff708ec1,
    0xff839dcf,
    0xff859bce,
    0xff9eafe2,
    0xff9da8dd,
    0xffa8b3e4,
    0xff8c96c7,
    0xffb7c2f1,
    0xff95a6d7,
    0xffa7b9ec,
    0xff8ea2d5,
    0xff9eb1e6,
    0xff90a3d9,
    0xff768abf,
    0xff93a3da,
    0xffc4d3ff,
    0xff8b9ed0,
    0xff98aae2,
    0xff8ca0db,
    0xff95abe5,
    0xff6b81bb,
    0xff788ec7,
    0xff90a6e0,
    0xff7b90cd,
    0xff8395c2,
    0xff91a1cf,
    0xff778abb,
    0xffadc1f4,
    0xff7a8ec3,
    0xff677bb2,
    0xff91a3db,
    0xffa6b6ee,
    0xffa1b3de,
    0xffa2b4de,
    0xff798bb6,
    0xff7386b2,
    0xff6376a5,
    0xff869bc9,
    0xff94a8d8,
    0xff90a5d6,
    0xff8396d4,
    0xff7c90cb,
    0xff7a8dc4,
    0xff7b8fc3,
    0xffa8bcef,
    0xff95aadf,
    0xffa0b7ec,
    0xff667cb7,
    0xff6983c4,
    0xff627bba,
    0xff6a82c0,
    0xff6b82bd,
    0xff687fb7,
    0xff99aee5,
    0xff98ace3,
    0xff8698d1,
    0xff526ca8,
    0xff5a72ae,
    0xff6881bb,
    0xff6881b8,
    0xff748bc4,
    0xff7286bf,
    0xff6d81bb,
    0xff768ac2,
    0xff9aafda,
    0xff9cb1e1,
    0xff8da2d7,
    0xff5c72aa,
    0xff728bc3,
    0xff637eb6,
    0xff7a93d1,
    0xff5470b4,
    0xff6987c3,
    0xff617eba,
    0xff5774b0,
    0xff6e8cc7,
    0xff6c89c8,
    0xff7693d2,
    0xff677fc0,
    0xff6982c3,
    0xff627bbc,
    0xff5972b2,
    0xff7a92d3,
    0xff6a84c1,
    0xff718bc8,
    0xff677ebd,
    0xff7e97d4,
    0xff768ecc,
    0xff6984c5,
    0xff607fbf,
    0xff6380c2,
    0xff5d7bbd,
    0xff6b87c8,
    0xff6780c0,
    0xff7287c6,
    0xff6a7eba,
    0xff7d96ce,
    0xff728ac6,
    0xff758ece,
    0xff6f87cb,
    0xff7089cd,
    0xff647ebf,
    0xff6981bf,
    0xff6b80ba,
    0xff627ab7,
    0xff6581bd,
    0xff6c8bc7,
    0xff6c89c5,
    0xff7991d0,
    0xff6f84c0,
    0xff6a83be,
    0xff6f8bc5,
    0xff6781bf,
    0xff728dc9,
    0xff6b84c4,
    0xff6c85c7,
    0xff6b83c7,
    0xff637fc2,
    0xff6682c3,
    0xff6e8acb,
    0xff6781c7,
    0xff5f79bf,
    0xff6683c7,
    0xff627ec3,
    0xff6986cb,
    0xff6987cb,
    0xff5f79bf,
    0xff617cc1,
    0xff6384c4,
    0xff6486c5,
    0xff6485c8,
    0xff5f80c5,
    0xff6586cb,
    0xff6384ca,
    0xff6182c4,
    0xff6080c3,
    0xff5d80c5,
    0xff5d80c4,
    0xff6083c8,
    0xff6689ce,
    0xff658bcf,
    0xff5a7fc5,
    0xff5b80c7,
    0xff5e82cd,
    0xff5b7fc9,
    0xff5c80ca,
    0xff5e82cc,
    0xff5b7fc9,
    0xff5b7fc9,
    0xff5c80ca,
    0xff5d81cb,
    0xff577bc5,
    0xff5e82cc,
    0xff5a7ec8,
    0xff5e82ce,
    0xff597cc8,
    0xff597ecc,
    0xff557ac7,
    0xff5b80d0,
    0xff5b80d0,
    0xff5a7fcf,
    0xff5e83d3,
    0xff5c81d2,
    0xff5b80d1,
    0xff5c81d2,
    0xff597fcf,
    0xff597ed2,
    0xff567cd0,
    0xff5780d2,
    0xff557ed0,
    0xff5c85d7,
    0xff567fd1,
    0xff5780d2,
    0xff5881d3,
    0xff5780d2,
    0xff5a83d3,
    0xff5881d0,
    0xff5b84d4,
    0xff557ed0,
    0xff5781d3,
    0xff5a80d2,
    0xff577dd0,
    0xff5a80d1,
    0xff587ed0,
    0xff5d84d3,
    0xff5c83d2,
    0xff567dcc,
    0xff5c83d0,
    0xff5a80ce,
    0xff6289d6,
    0xff5c83cf,
    0xff5b81cd,
    0xff5b82d1,
    0xff5e83d5,
    0xff5b84d4,
    0xff5c84d4,
    0xff5983d5,
    0xff608adc,
    0xff5d87dc,
    0xff5382d4,
    0xff5e88da,
    0xff5e88da,
    0xff5b85d7,
    0xff5e88da,
    0xff5e88da,
    0xff5983d5,
    0xff5a84d6,
    0xff608adc,
    0xff5c85d6,
    0xff5b84d3,
    0xff6790df,
    0xff5982d2,
    0xff618bd7,
    0xff5b84d1,
    0xff658fda,
    0xff608bd5,
    0xff6388d5,
    0xff6287d6,
    0xff648ad8,
    0xff678cdb,
    0xff658ad9,
    0xff6a8fde,
    0xff668bd9,
    0xff698edd,
    0xff6a91e0,
    0xff658cda,
    0xff5f88d7,
    0xff628ada,
    0xff618bd6,
    0xff628cd8,
    0xff668dda,
    0xff678edb,
    0xff658bd5,
    0xff6086cf,
    0xff6d92d9,
    0xff6c91d9,
    0xff7295de,
    0xff7697df,
    0xff7fa1e8,
    0xff7899e0,
    0xff7698db,
    0xff7597d9,
    0xff7698da,
    0xff7193d6,
    0xff7a99dd,
    0xff7795d9,
    0xff7996da,
    0xff7995da,
    0xff7597de,
    0xff7697dd,
    0xff7a9ae1,
    0xff7292da,
    0xff698bd3,
    0xff6f91d8,
    0xff7596dd,
    0xff7093da,
    0xff6c94d7,
    0xff6b94d6,
    0xff7099db,
    0xff7298db,
    0xff6b91d4,
    0xff6e95d8,
    0xff6b92d7,
    0xff6a91d6,
    0xff6b8fd6,
    0xff6b90d7,
    0xff7196dc,
    0xff7596de,
    0xff7a9adf,
    0xff7899dc,
    0xff80a0e2,
    0xff7d9ce0,
    0xff789bd9,
    0xff7d9cdb,
    0xff7a99d8,
    0xff7e9bdb,
    0xff8aa4e5,
    0xff849cdc,
    0xff8aa1e2,
    0xff859cdc,
    0xff839edb,
    0xff819fdb,
    0xff7d9ed8,
    0xff7896d1,
    0xff87a3e2,
    0xff829ddd,
    0xff7899d9,
    0xff749add,
    0xff7394dc,
    0xff7192d9,
    0xff89a9f0,
    0xff7c9ce2,
    0xff80a1e7,
    0xff7fa1e7,
    0xff87a7ed,
    0xff84a5eb,
    0xff7e9ee3,
    0xff799adf,
    0xff86a7ec,
    0xff7a9be0,
    0xff779ade,
    0xff7b9ee2,
    0xff7598dc,
    0xff7396db,
    0xff759bdf,
    0xff7ea3e9,
    0xff7699dc,
    0xff7596da,
    0xff7998dc,
    0xff82a2e2,
    0xff86a5e6,
    0xff7c9bdb,
    0xff7a99d9,
    0xff7391d1,
    0xff85a1df,
    0xff849bda,
    0xff869cda,
    0xff8aa0df,
    0xff8197d6,
    0xff899dde,
    0xff96aeee,
    0xff89a1e2,
    0xff8196d7,
    0xff8095d7,
    0xff889fe0,
    0xff7e98d9,
    0xff87a2e5,
    0xff7795d6,
    0xff7490d2,
    0xff7995d7,
    0xff6f8bcd,
    0xff7e99da,
    0xff849ddf,
    0xff8099da,
    0xff8ea8e9,
    0xff7992d3,
    0xff7c99d7,
    0xff809bda,
    0xff809bdb,
    0xff88a5e5,
    0xff7e9adb,
    0xff90aded,
    0xff7b98da,
    0xff7f99dc,
    0xff8daaee,
    0xff6a87ce,
    0xff708ed5,
    0xff7594db,
    0xff7a9bde,
    0xff7395d7,
    0xff7a9de4,
    0xff7395df,
    0xff7295dc,
    0xff7195db,
    0xff7295dc,
    0xff799ce2,
    0xff688dd5,
    0xff7397df,
    0xff658ad1,
    0xff6c8fd8,
    0xff6a8fd6,
    0xff6b8fdc,
    0xff7598e5,
    0xff688cd6,
    0xff688fd5,
    0xff759ce2,
    0xff6c92dc,
    0xff5f85d5,
    0xff6089d8,
    0xff547ecd,
    0xff5b85d3,
    0xff648bda,
    0xff6d94e6,
    0xff6087d9,
    0xff5c81d3,
    0xff6489da,
    0xff648be0,
    0xff5a85d8,
    0xff5481d4,
    0xff517ed4,
    0xff4876cc,
    0xff5282d5,
    0xff4d7dd2,
    0xff5686da,
    0xff5785da,
    0xff507dd2,
    0xff4d7bd0,
    0xff5684d7,
    0xff5d8adb,
    0xff5783d4,
    0xff5481cf,
    0xff5481cf,
    0xff5880d1,
    0xff547bcd,
    0xff5b83d3,
    0xff5780cf,
    0xff5b82cf,
    0xff5f85d0,
    0xff6286d2,
    0xff6084ce,
    0xff637fdc,
    0xff5d7acc,
    0xff607dca,
    0xff5c7bcb,
    0xff5a7acd,
    0xff6582d4,
    0xff5f78c5,
    0xff657bc5,
    0xff6081cc,
    0xff607fc4,
    0xff6887c5,
    0xff637fb7,
    0xff5d78ad,
    0xff576fa6,
    0xff657eb6,
    0xff48609a,
    0xff7087bd,
    0xff576e9c,
    0xff4d6480,
    0xff45535d,
    0xff23251f,
    0xff2b2518,
    0xff443a2d,
    0xff3a3129,
    0xff110e07,
    0xff222219,
    0xff13140a,
    0xff1e2116,
    0xff292d20,
    0xff1e2015,
    0xff141107,
    0xff2a281d,
    0xff1f210f,
    0xff4b4d42,
    0xff1a1b14,
    0xff353527,
    0xff28240f,
    0xff3e3b26,
    0xff373a28,
    0xff4a5546,
    0xff1d2915,
    0xff0b0f09,
    0xff172024,
    0xff051319,
    0xff030d0f,
    0xff0f0a0a,
    0xff727066,
    0xff283221,
    0xff6b6f6d,
    0xff544f41,
    0xff3c3623,
    0xff050a01,
    0xff010703,
    0xff4a4b41,
    0xff817e6f,
    0xff7f8175,
    0xff000807,
    0xff5d6866,
    0xff3c4137,
    0xff4e4b37,
    0xff5b5b49,
    0xff000803,
    0xff000b08,
    0xff222922,
    0xff1c2618,
    0xff1a241b,
    0xff2a332f,
    0xff000608,
    0xff0d1519,
    0xff030b0b,
    0xff000000,
    0xff51584e,
    0xff413a34,
    0xff626057,
    0xff353829,
    0xffb6b8a2,
    0xff4a4630,
    0xff534f3c,
    0xff13170c,
    0xff030d0a,
    0xff4e5a57,
    0xff757f7c,
    0xff17211e,
    0xff000000,
    0xff040e0c,
    0xff1b2426,
    0xff0b1517,
    0xff050f13,
    0xff0e130d,
    0xff000602,
    0xff0f1a14,
    0xff131d1a,
    0xff4c5351,
    0xff454d49,
    0xff404942,
    0xff323f36,
    0xff374139,
    0xff141910,
    0xff070a00,
    0xff121305,
    0xff656351,
    0xff323020,
    0xff110e00,
    0xff1c1d0f,
    0xff4f5344,
    0xff3f422a,
    0xff7e825f,
    0xff5f6041,
    0xff282712,
    0xff1d1911,
    0xff464240,
    0xff43433e,
    0xff1c251a,
    0xff303931,
    0xff2e3931,
    0xff212d27,
    0xff131e19,
    0xff0c1913,
    0xff0e1b12,
    0xff0d1710,
    0xff0b1d20,
    0xff0d2428,
    0xff0b2329,
    0xff001c20,
    0xff072126,
    0xff0e2328,
    0xff0f2123,
    0xff132124,
    0xff112529,
    0xff16292e,
    0xff23353c,
    0xff14272e,
    0xff1b2d36,
    0xff22333a,
    0xff1d2f33,
    0xff162629,
    0xff2d4443,
    0xff0c221d,
    0xff030c0c,
    0xff9d9475,
    0xff140000,
    0xff140006,
    0xff010000,
    0xff0f080d,
    0xff100711,
    0xff000000,
    0xffa58648,
    0xff341c04,
    0xff070900,
    0xffbca761,
    0xff99672b,
    0xff512102,
    0xffffd889,
    0xffc87b30,
    0xffac4b11,
    0xffb24111,
    0xffa12805,
    0xffa13311,
    0xffc3671a,
    0xffe5952a,
    0xffdf9031,
    0xffe4903d,
    0xff5b260d,
    0xff43150d,
    0xff520400,
    0xffcc8053,
    0xff641f05,
    0xff91370c,
    0xff712303,
    0xffe4a63b,
    0xffffde43,
    0xffeec516,
    0xfff4cc17,
    0xfff5c716,
    0xffffca39,
    0xffefa143,
    0xff4f1000,
    0xff81290c,
    0xff8f361d,
    0xff621911,
    0xffffcbca,
    0xfff7e5df,
    0xff373d2e,
    0xff0d0600,
    0xff60401d,
    0xffda9e53,
    0xff95592a,
    0xff130000,
    0xff090904,
    0xff040f08,
    0xff06130e,
    0xff060900,
    0xff0c190b,
    0xff0d1706,
    0xff131c0c,
    0xff08140b,
    0xff05110c,
    0xff4d4535,
    0xff8e623f,
    0xffc47533,
    0xffffb858,
    0xffd79b36,
    0xff200b00,
    0xff140e06,
    0xff180d03,
    0xff4e2814,
    0xff93571e,
    0xff9d5519,
    0xff7e4925,
    0xff0b0800,
    0xff191802,
    0xff000500,
    0xff000d00,
    0xff544225,
    0xffd4af80,
    0xff8a6e51,
    0xff4f4131,
    0xff090600,
    0xff0f160f,
    0xff3b443d,
    0xff54574c,
    0xff0f0500,
    0xff836b63,
    0xff503331,
    0xff70483b,
    0xffcf7647,
    0xffd86a2a,
    0xffb13c18,
    0xff7f1c10,
    0xff5a1509,
    0xff6b3c3a,
    0xfffff7fa,
    0xff765e5a,
    0xff4f4235,
    0xff1c2110,
    0xff3f4a3f,
    0xff050e11,
    0xff0a0c17,
    0xff0d0f11,
    0xff070c07,
    0xff7790c1,
    0xff89a3d4,
    0xff92abdd,
    0xff7088bc,
    0xff6881b4,
    0xff657ab0,
    0xff7a8cc3,
    0xff7b8dc3,
    0xff7a8bc1,
    0xffa3b6ec,
    0xff8195cd,
    0xff6d85bb,
    0xff6e85be,
    0xff768bc4,
    0xff7589c1,
    0xff91a2db,
    0xff7f96cd,
    0xff728ac6,
    0xff6077b8,
    0xff758fd1,
    0xff6078b7,
    0xff637bb8,
    0xff7890d1,
    0xff778bcd,
    0xff8091c5,
    0xffa3b6e7,
    0xff92a7db,
    0xff6e85bc,
    0xff677db8,
    0xff7287c5,
    0xff6f83c5,
    0xff5e72b2,
    0xff6b7fba,
    0xff7c90cb,
    0xff8b9fda,
    0xff6d81b9,
    0xff6a7db7,
    0xff758ac5,
    0xff7286c2,
    0xff7c90cc,
    0xff8095d2,
    0xff7087c0,
    0xff6478b3,
    0xff667bb4,
    0xff647ab2,
    0xff6279b1,
    0xff6a82bb,
    0xff5e78b3,
    0xff7b91d4,
    0xff5c75b6,
    0xff5a74b1,
    0xff6b85c0,
    0xff6c87c2,
    0xff6a83be,
    0xff748bc9,
    0xff667cbb,
    0xff657dbd,
    0xff708bca,
    0xff6885c1,
    0xff607bb5,
    0xff7894ce,
    0xff6c84c0,
    0xff6a82be,
    0xff6e85c1,
    0xff6f87b9,
    0xff6c84b9,
    0xff5f78b2,
    0xff6b84be,
    0xff93ade4,
    0xff7690c7,
    0xff5472ac,
    0xff5f7cba,
    0xff607db8,
    0xff617eb9,
    0xff7491cc,
    0xff5470b0,
    0xff5f7bba,
    0xff6e8aca,
    0xff5d79b8,
    0xff607cbc,
    0xff6985c4,
    0xff6885c3,
    0xff5b79b4,
    0xff5c7ab6,
    0xff617bb8,
    0xff768fcf,
    0xff6881c1,
    0xff5e77b9,
    0xff5d7abc,
    0xff5874b7,
    0xff607dbf,
    0xff607dc0,
    0xff627ebf,
    0xff637cbc,
    0xff657ebc,
    0xff5f75b0,
    0xff647cb9,
    0xff5f7ab6,
    0xff677fbf,
    0xff607dbd,
    0xff6c85c6,
    0xff6079ba,
    0xff637cbb,
    0xff6277b8,
    0xff6e86c6,
    0xff5976b5,
    0xff6483c1,
    0xff6782be,
    0xff687ebc,
    0xff6b7fbf,
    0xff647dbb,
    0xff6e8ac7,
    0xff6a84c0,
    0xff647cbd,
    0xff6a82c5,
    0xff5976b6,
    0xff627dc1,
    0xff617cbf,
    0xff6884c5,
    0xff6783c4,
    0xff627dc2,
    0xff6381c5,
    0xff6884c9,
    0xff6483c6,
    0xff5e7ec1,
    0xff6a87cb,
    0xff6b88cc,
    0xff5f7bc0,
    0xff5e7fbf,
    0xff5f80c4,
    0xff5d7ec1,
    0xff6284c9,
    0xff6081c6,
    0xff6384c7,
    0xff5b7cc0,
    0xff688aca,
    0xff6486cb,
    0xff6487cc,
    0xff6185c6,
    0xff5b7ebf,
    0xff678ace,
    0xff5c82c8,
    0xff5c81c8,
    0xff5c81cb,
    0xff597dc7,
    0xff5c80ca,
    0xff597dc7,
    0xff5d81cb,
    0xff6185d1,
    0xff6084d0,
    0xff5b7fcb,
    0xff577bc7,
    0xff6488d2,
    0xff5b7fc8,
    0xff5b7fcb,
    0xff5a7fce,
    0xff4f74c2,
    0xff6186d6,
    0xff557bcc,
    0xff5278c9,
    0xff5b80d1,
    0xff5176c7,
    0xff5479ca,
    0xff597ecf,
    0xff567bcc,
    0xff577bcf,
    0xff5578cc,
    0xff577bce,
    0xff5881d3,
    0xff5881d2,
    0xff547bd1,
    0xff5179ce,
    0xff567ed4,
    0xff5780d2,
    0xff5982d1,
    0xff547dcd,
    0xff557ecd,
    0xff5c85d5,
    0xff537cce,
    0xff5c85d6,
    0xff5c85db,
    0xff5d83d6,
    0xff587ed1,
    0xff587ece,
    0xff5980cd,
    0xff5980cc,
    0xff5d84d1,
    0xff5882d0,
    0xff5a84d1,
    0xff5a83d2,
    0xff5d87d6,
    0xff5c86d5,
    0xff5c82d3,
    0xff5a84d4,
    0xff5982d2,
    0xff5981d1,
    0xff5d87d9,
    0xff5781d3,
    0xff5680d2,
    0xff6089de,
    0xff5d87d9,
    0xff5c86d8,
    0xff5983d5,
    0xff5b85d7,
    0xff557fd1,
    0xff5c86d8,
    0xff5e88da,
    0xff5f8ada,
    0xff5f87d5,
    0xff5b85d1,
    0xff648ed9,
    0xff5f8ad5,
    0xff608ad5,
    0xff618bd7,
    0xff5e88d4,
    0xff5f89d4,
    0xff6187d2,
    0xff5f85d0,
    0xff5f84d0,
    0xff6388d3,
    0xff658bd5,
    0xff678dd8,
    0xff658ad6,
    0xff6187d3,
    0xff6289da,
    0xff6085d7,
    0xff5f88d7,
    0xff638bda,
    0xff5d85d5,
    0xff648eda,
    0xff668cda,
    0xff6990dc,
    0xff6e94d9,
    0xff6e93d9,
    0xff678cd1,
    0xff6586cd,
    0xff6c8dd3,
    0xff718fd6,
    0xff6e8bd1,
    0xff6b88ce,
    0xff7390d7,
    0xff7593da,
    0xff6d8bcf,
    0xff6f8dd1,
    0xff7492d6,
    0xff7897da,
    0xff7997df,
    0xff7593d9,
    0xff7494dd,
    0xff7696de,
    0xff7496de,
    0xff6f92da,
    0xff6d90db,
    0xff668ad5,
    0xff658ad4,
    0xff6086cf,
    0xff678ddc,
    0xff6f95e4,
    0xff668cdb,
    0xff6289d8,
    0xff6287d6,
    0xff6186d6,
    0xff6186d6,
    0xff6589d9,
    0xff678dd6,
    0xff698fd8,
    0xff6e92da,
    0xff799ae1,
    0xff6c8fd5,
    0xff7596dc,
    0xff7896d9,
    0xff7695d8,
    0xff7a98da,
    0xff7b9adb,
    0xff7995d7,
    0xff7b99d9,
    0xff7c97d9,
    0xff829bdd,
    0xff7189cb,
    0xff7e94d6,
    0xff7794da,
    0xff708ed4,
    0xff7290d6,
    0xff7591d9,
    0xff809ae4,
    0xff809ae7,
    0xff6e8dd8,
    0xff688ed8,
    0xff6b8ed5,
    0xff6a8bd2,
    0xff7c9ee2,
    0xff7a98db,
    0xff7998da,
    0xff7391d4,
    0xff7899dc,
    0xff7495d7,
    0xff698acf,
    0xff7192d7,
    0xff7c9ce2,
    0xff7191d6,
    0xff6182c7,
    0xff5c7dc2,
    0xff6d8ed3,
    0xff698acf,
    0xff6a8dcf,
    0xff7295d7,
    0xff7b9cdf,
    0xff7b9adb,
    0xff829fe1,
    0xff86a2e5,
    0xff7291d1,
    0xff82a1e1,
    0xff7a9ad8,
    0xff84a2e0,
    0xff88a3e1,
    0xff7f96d3,
    0xff849ad3,
    0xff8399d5,
    0xff89a2dc,
    0xff849dd8,
    0xff758ecd,
    0xff8397d7,
    0xff879bda,
    0xff899cda,
    0xff92a6e2,
    0xff879ddb,
    0xff8098d6,
    0xff8199d9,
    0xff8aa3e1,
    0xff869edd,
    0xff8ba2e1,
    0xff859ddb,
    0xff8ba1e0,
    0xff859ad7,
    0xff93a7e4,
    0xff99acea,
    0xff91a8e3,
    0xff8ea4e0,
    0xff768ecb,
    0xff87a0dc,
    0xff7e98d6,
    0xff7890d0,
    0xff738bca,
    0xff859cdf,
    0xff7791d2,
    0xff6c88cb,
    0xff819ee2,
    0xff6887c8,
    0xff7695d5,
    0xff84a2e2,
    0xff708fd3,
    0xff617ec7,
    0xff7794d8,
    0xff7e9be1,
    0xff6b88ce,
    0xff6383c7,
    0xff83a4e7,
    0xff7293da,
    0xff6d8ed5,
    0xff6889cf,
    0xff698bd2,
    0xff7294dc,
    0xff688ad3,
    0xff6f93da,
    0xff6489cf,
    0xff5d82c8,
    0xff5a7ec8,
    0xff5d80ce,
    0xff557cc8,
    0xff6289d5,
    0xff5b81cf,
    0xff587fce,
    0xff5f84d3,
    0xff5478c8,
    0xff5d82d2,
    0xff5f84d3,
    0xff5d84d9,
    0xff5883d7,
    0xff5380d3,
    0xff5584d6,
    0xff5181d3,
    0xff4e7ed2,
    0xff4777cb,
    0xff4776ce,
    0xff4a78cd,
    0xff5381d6,
    0xff4e7dce,
    0xff4b78ca,
    0xff507dd0,
    0xff4e7bcc,
    0xff517ecf,
    0xff4c77ca,
    0xff6084d5,
    0xff5379ca,
    0xff557fce,
    0xff5884d2,
    0xff517ccb,
    0xff517bcb,
    0xff5884d3,
    0xff6189d8,
    0xff6289d6,
    0xff648bce,
    0xff648dcc,
    0xff5a81cb,
    0xff5c83d1,
    0xff5d86cf,
    0xff5d82cd,
    0xff5a7ed0,
    0xff5e84d3,
    0xff537ac6,
    0xff5a82c9,
    0xff5880c4,
    0xff648bcd,
    0xff5f86c6,
    0xff5880c0,
    0xff5d84c5,
    0xff5b7ebf,
    0xff5f81ba,
    0xff607da9,
    0xff4f657c,
    0xff1c262b,
    0xff1b1c17,
    0xff27251c,
    0xff19160f,
    0xff1b1c19,
    0xff191b18,
    0xff1c211c,
    0xff1d231b,
    0xff21241a,
    0xff2a271d,
    0xff2a2016,
    0xff24180c,
    0xff2a2216,
    0xff413b2f,
    0xff231d12,
    0xff21180d,
    0xff3e351d,
    0xff524824,
    0xff5e5834,
    0xff4a4829,
    0xff352f26,
    0xff38312b,
    0xff13120a,
    0xff151b0e,
    0xff242313,
    0xff2f1e14,
    0xff2d1e16,
    0xff22221a,
    0xff343829,
    0xff6a644b,
    0xff544f31,
    0xff2d3221,
    0xff2d362b,
    0xff616454,
    0xff6d6d58,
    0xff3c3f2e,
    0xff0f120f,
    0xff383d3b,
    0xff2d3427,
    0xff2f351c,
    0xff40432e,
    0xff060b03,
    0xff000500,
    0xff686c61,
    0xff2c2d19,
    0xff272819,
    0xff0e140a,
    0xff0b100e,
    0xff1f2728,
    0xff263130,
    0xff1c2625,
    0xff656d69,
    0xff827e7a,
    0xffa2a199,
    0xff676a5b,
    0xff63634d,
    0xff2f2811,
    0xffb4ac97,
    0xff6c6c5e,
    0xff494f48,
    0xff525a57,
    0xff0d1512,
    0xff060c09,
    0xff000502,
    0xffadb3b2,
    0xff030c0e,
    0xff071114,
    0xff081317,
    0xff010c0f,
    0xff091619,
    0xff0e2020,
    0xff071718,
    0xff2c3838,
    0xff141f1d,
    0xff000100,
    0xff011308,
    0xff051007,
    0xff22281d,
    0xff353828,
    0xff0f1100,
    0xff2e2c18,
    0xff0d0f01,
    0xff232517,
    0xff0c0f05,
    0xff090c0c,
    0xff181d0d,
    0xff181f02,
    0xff0b0f00,
    0xff0a0d08,
    0xff050b0c,
    0xff070f09,
    0xff141f10,
    0xff0f1d11,
    0xff1b271d,
    0xff0b1710,
    0xff0d1c19,
    0xff051413,
    0xff000709,
    0xff000e10,
    0xff000d0e,
    0xff0c0e0c,
    0xff070c0b,
    0xff000709,
    0xff000a0b,
    0xff001013,
    0xff021215,
    0xff001010,
    0xff031514,
    0xff000c0c,
    0xff000f11,
    0xff031317,
    0xff021115,
    0xff08161b,
    0xff142326,
    0xff061515,
    0xff021110,
    0xff051207,
    0xff070c05,
    0xff06090e,
    0xff000000,
    0xff060708,
    0xff0d070c,
    0xff0c0b03,
    0xff030f01,
    0xff000c0e,
    0xff030913,
    0xff1c1100,
    0xff080600,
    0xff0a0f04,
    0xff2d2e19,
    0xff130300,
    0xff662912,
    0xffffb983,
    0xff8f2c00,
    0xffbf5a20,
    0xffc5571e,
    0xff982800,
    0xff963300,
    0xffbc611b,
    0xffe1862b,
    0xffe89a2f,
    0xffd4780c,
    0xffe78b28,
    0xff9e591b,
    0xff2e0000,
    0xff9b4c36,
    0xff6e1b0f,
    0xff8d5126,
    0xffcea058,
    0xffffed62,
    0xfffade1d,
    0xffffe32d,
    0xffffe64c,
    0xffe7bb36,
    0xff916717,
    0xff734e22,
    0xffab8c70,
    0xff885846,
    0xff794a34,
    0xffc0a292,
    0xffc3bcbd,
    0xff5f6e6b,
    0xff1d3326,
    0xff2d342f,
    0xff46351b,
    0xffc08127,
    0xffbb650a,
    0xffb46d49,
    0xff220000,
    0xff151e1e,
    0xff01170f,
    0xff0a1500,
    0xff323a2b,
    0xff1f2b19,
    0xff0a1907,
    0xff243726,
    0xff313d2a,
    0xff362d08,
    0xffc19b56,
    0xfffabd65,
    0xff72380a,
    0xff130000,
    0xff16240e,
    0xff0c2023,
    0xff0f0b07,
    0xffb79155,
    0xff9e5810,
    0xff9d4802,
    0xffa45a10,
    0xff9d712b,
    0xff703806,
    0xff8d6428,
    0xff66541d,
    0xff331500,
    0xff7e633f,
    0xffdbca9a,
    0xff8d7250,
    0xff756747,
    0xff1b1a0d,
    0xff040600,
    0xff5a5844,
    0xff140400,
    0xff5e4a37,
    0xff482e28,
    0xff2e121a,
    0xff482213,
    0xff6b4328,
    0xff6b312f,
    0xff2b000d,
    0xff322428,
    0xff8f8285,
    0xffab9ea7,
    0xff6d564f,
    0xff52453c,
    0xff292b1e,
    0xff696c5f,
    0xff0e0e01,
    0xff0f0d03,
    0xff0e130b,
    0xff02120a,
    0xff6f7ab3,
    0xff5f6ea7,
    0xff6c82ba,
    0xff6e8cc3,
    0xff6589c0,
    0xff6f92cd,
    0xff5c7fbd,
    0xff5a7cb9,
    0xff6279b3,
    0xff5971ab,
    0xff5774ad,
    0xff5775af,
    0xff5e7db6,
    0xff5e7ab2,
    0xff4e669f,
    0xff556ba4,
    0xff4a69a3,
    0xff4f6dac,
    0xff526eb1,
    0xff5572b4,
    0xff5775b4,
    0xff5976b2,
    0xff5d76b6,
    0xff586eb2,
    0xff6b83c0,
    0xff5c73b1,
    0xff6980bf,
    0xff5d76b4,
    0xff536cab,
    0xff5d75b6,
    0xff6981c1,
    0xff647cbf,
    0xff5f77bc,
    0xff6078bd,
    0xff5f78ba,
    0xff6980be,
    0xff667cb9,
    0xff5368a6,
    0xff5a70ae,
    0xff6174b2,
    0xff526ca3,
    0xff5e74ae,
    0xff697fbb,
    0xff6980bd,
    0xff586fae,
    0xff5670ac,
    0xff5c7ab5,
    0xff5d7cb8,
    0xff526ba8,
    0xff576fad,
    0xff5973b1,
    0xff4e6ca8,
    0xff536fae,
    0xff617cbd,
    0xff617bc0,
    0xff6781c6,
    0xff637ec1,
    0xff5f7cbc,
    0xff5f7cbb,
    0xff5d7bb9,
    0xff5774b2,
    0xff5f7cbb,
    0xff6f8acb,
    0xff6c86c7,
    0xff5c77b9,
    0xff5b75ba,
    0xff5e79bd,
    0xff6680c1,
    0xff4f6da6,
    0xff5d7bb0,
    0xff607eb3,
    0xff516ea7,
    0xff637fbe,
    0xff5b77b6,
    0xff5b77b6,
    0xff6683bf,
    0xff6885c0,
    0xff5e7bb7,
    0xff617eba,
    0xff5c79b5,
    0xff6887c2,
    0xff5e7cb8,
    0xff6380ba,
    0xff6380b9,
    0xff5371ac,
    0xff5975b4,
    0xff5a72b5,
    0xff647cc0,
    0xff5d79ba,
    0xff5f7dbd,
    0xff5976b9,
    0xff5d7abc,
    0xff6180c0,
    0xff5773b2,
    0xff5e78b4,
    0xff586fae,
    0xff617ab9,
    0xff637dba,
    0xff5b79b3,
    0xff5876b1,
    0xff637cb8,
    0xff607bb7,
    0xff647cbc,
    0xff6379ba,
    0xff637fbe,
    0xff627ebd,
    0xff6685c3,
    0xff6179ba,
    0xff7387c9,
    0xff6277b6,
    0xff6982c0,
    0xff6987c2,
    0xff6781bd,
    0xff617dbd,
    0xff6c89c7,
    0xff6581c3,
    0xff6480c1,
    0xff6b8aca,
    0xff5775b6,
    0xff5371af,
    0xff5d77bb,
    0xff607dbf,
    0xff6683c5,
    0xff6988c9,
    0xff5d7cbd,
    0xff6582c4,
    0xff5f7cbe,
    0xff607cbe,
    0xff6483c3,
    0xff6f8dce,
    0xff6382c5,
    0xff5f7ec1,
    0xff6180c3,
    0xff6483c6,
    0xff6886c7,
    0xff5d7cbd,
    0xff7293d6,
    0xff5d7ec0,
    0xff5f7fc2,
    0xff6185c6,
    0xff6588c9,
    0xff5d80c4,
    0xff5c7dc4,
    0xff6081c9,
    0xff6084cf,
    0xff6084ce,
    0xff5c80ca,
    0xff6084d0,
    0xff5b7fcb,
    0xff577bca,
    0xff5b7fcd,
    0xff597dcb,
    0xff6081cb,
    0xff567ac7,
    0xff587cc7,
    0xff6f94e2,
    0xff597dce,
    0xff557bcc,
    0xff5278c8,
    0xff597ed2,
    0xff5379ca,
    0xff547bcb,
    0xff597fd0,
    0xff557ccc,
    0xff5a80d4,
    0xff557ccf,
    0xff597fd2,
    0xff5a81d3,
    0xff527bcd,
    0xff557dd3,
    0xff5880d5,
    0xff567ed3,
    0xff577fd4,
    0xff567fd1,
    0xff5b84d4,
    0xff567fce,
    0xff537fcc,
    0xff557ece,
    0xff517acc,
    0xff557ecf,
    0xff577fd5,
    0xff597ed4,
    0xff597fd2,
    0xff577dd0,
    0xff6087d6,
    0xff577ece,
    0xff5c82d3,
    0xff5982d3,
    0xff527ece,
    0xff5481d2,
    0xff5380d2,
    0xff5484d6,
    0xff5680d0,
    0xff5981d1,
    0xff5a83d2,
    0xff567fd1,
    0xff5d85d7,
    0xff5680d2,
    0xff5a84d6,
    0xff547ed0,
    0xff5781d3,
    0xff5a84d6,
    0xff5e88da,
    0xff5e88da,
    0xff5d87d9,
    0xff5781d3,
    0xff547ed0,
    0xff5c87d8,
    0xff5d86d4,
    0xff5d86d5,
    0xff5982d1,
    0xff5f88d7,
    0xff5880d0,
    0xff5881d1,
    0xff5a83d2,
    0xff5881d1,
    0xff5f89d7,
    0xff628bd9,
    0xff5f88d6,
    0xff5e87d5,
    0xff648cdb,
    0xff6089d7,
    0xff5d86d4,
    0xff6289d9,
    0xff658bde,
    0xff5f89da,
    0xff5881d1,
    0xff5985d3,
    0xff5883d1,
    0xff618bd6,
    0xff5f8ad6,
    0xff658bd8,
    0xff5a83ca,
    0xff648ad2,
    0xff698fd7,
    0xff749ae1,
    0xff779ae1,
    0xff7394dc,
    0xff7495dc,
    0xff7798df,
    0xff6f8fdb,
    0xff7395de,
    0xff7597e0,
    0xff7496de,
    0xff6b8dd5,
    0xff678ad3,
    0xff6588d2,
    0xff688ad6,
    0xff6083cd,
    0xff688bd5,
    0xff6589d4,
    0xff688dd8,
    0xff688ed9,
    0xff678dd8,
    0xff6c93de,
    0xff6890dc,
    0xff6992e5,
    0xff5d87da,
    0xff658bdd,
    0xff688de0,
    0xff6087d8,
    0xff6187d8,
    0xff6387d9,
    0xff6085d7,
    0xff6990dd,
    0xff6087d3,
    0xff668cd7,
    0xff6a8ed9,
    0xff6486ce,
    0xff6282ca,
    0xff7394db,
    0xff718fd4,
    0xff7695d8,
    0xff7190d4,
    0xff708fd2,
    0xff7491d5,
    0xff7d9ade,
    0xff728ed1,
    0xff7f9bde,
    0xff728dd0,
    0xff6586cf,
    0xff7292dc,
    0xff7a9ae3,
    0xff728ed8,
    0xff7f99e5,
    0xff7b95e4,
    0xff7796e6,
    0xff6b91df,
    0xff678dd5,
    0xff6688d0,
    0xff7697dc,
    0xff6e8ccf,
    0xff7b9adb,
    0xff7e9ddd,
    0xff7798db,
    0xff6a8bce,
    0xff688bcf,
    0xff7195d8,
    0xff6c8fd3,
    0xff82a5e9,
    0xff7091d6,
    0xff82a2e7,
    0xff7192d7,
    0xff799adf,
    0xff7495d8,
    0xff88a7ea,
    0xff7a99dc,
    0xff7b98dc,
    0xff7e9bdd,
    0xff809dde,
    0xff7998d9,
    0xff7d9cdd,
    0xff81a2e4,
    0xff7593d4,
    0xff708acc,
    0xff859ddd,
    0xff8aa1e0,
    0xff8ea9e6,
    0xff7c98d6,
    0xff6684c2,
    0xff708dd1,
    0xff7893d5,
    0xff8fa6e8,
    0xff8196d7,
    0xff7e93d2,
    0xff7b93d1,
    0xff7b93d4,
    0xff87a3e1,
    0xff738fce,
    0xff7f99d9,
    0xff849cdc,
    0xff7e99d5,
    0xff869edb,
    0xff7f94d3,
    0xff869ad9,
    0xff7d92cf,
    0xff7b8fce,
    0xff869bdb,
    0xff7e95d4,
    0xff7c97d7,
    0xff718fcf,
    0xff809dde,
    0xff7591d2,
    0xff738fd2,
    0xff7b97da,
    0xff6b87cc,
    0xff7492d7,
    0xff7394d6,
    0xff769ad9,
    0xff6b8ece,
    0xff83a4e9,
    0xff6d8ed5,
    0xff6687ce,
    0xff6889d1,
    0xff6586ce,
    0xff5f81c8,
    0xff6487ce,
    0xff6587cf,
    0xff6b8dd5,
    0xff698bd4,
    0xff6a91da,
    0xff567cc7,
    0xff5d82ce,
    0xff668bd6,
    0xff5e87cc,
    0xff5f87cf,
    0xff5279c6,
    0xff5c83d4,
    0xff5e86d7,
    0xff618ada,
    0xff658dde,
    0xff5680d0,
    0xff5580d2,
    0xff638ee0,
    0xff5883d5,
    0xff527ed1,
    0xff5681d7,
    0xff5883d9,
    0xff507fd1,
    0xff5686d8,
    0xff5383d7,
    0xff4979ce,
    0xff507fd8,
    0xff4e7ad5,
    0xff4272c6,
    0xff5784d9,
    0xff4e7cd1,
    0xff4b79ce,
    0xff517fd4,
    0xff4b77cc,
    0xff507dd2,
    0xff527ed3,
    0xff5c86da,
    0xff527ccf,
    0xff5580d1,
    0xff5a85d8,
    0xff5583d4,
    0xff537ecd,
    0xff567ece,
    0xff5881d1,
    0xff6287d5,
    0xff6289ca,
    0xff6c95d4,
    0xff658bd8,
    0xff678bdb,
    0xff6a91d7,
    0xff5e87cd,
    0xff5b84d6,
    0xff688bd8,
    0xff6588d7,
    0xff5b7fcd,
    0xff6281d0,
    0xff6888d5,
    0xff6b88d3,
    0xff6383ca,
    0xff6480c5,
    0xff6579ad,
    0xff7286b7,
    0xff667ba6,
    0xff546384,
    0xff2b354d,
    0xff1b2534,
    0xff26323f,
    0xff172432,
    0xff151f2d,
    0xff18222e,
    0xff142026,
    0xff121c1d,
    0xff20201c,
    0xff342a20,
    0xff402a1e,
    0xff46291b,
    0xff402419,
    0xff48321f,
    0xff362314,
    0xff291510,
    0xff412d1b,
    0xff55411a,
    0xff5c4b1c,
    0xff655336,
    0xff5c4939,
    0xff422f21,
    0xff2c200e,
    0xff2c240d,
    0xff34220d,
    0xff3f1e0f,
    0xff32160b,
    0xff2b2014,
    0xff211d07,
    0xff756645,
    0xff877856,
    0xff433e2a,
    0xff111004,
    0xff4a4233,
    0xff4d4331,
    0xff3d3727,
    0xff19170f,
    0xff5d5e59,
    0xff575d4f,
    0xff4a563a,
    0xff4d573e,
    0xff404138,
    0xff35342e,
    0xff333424,
    0xff463f2e,
    0xff585446,
    0xff151508,
    0xff0a0f05,
    0xff353c31,
    0xff343a2f,
    0xff313628,
    0xff3a3b2d,
    0xff292b1d,
    0xff4d5041,
    0xff282b18,
    0xff37341f,
    0xff554b35,
    0xff726755,
    0xff424133,
    0xff2b332b,
    0xff4a5149,
    0xff22281f,
    0xff11160e,
    0xffa2a8a0,
    0xff101510,
    0xff0b150f,
    0xff101b19,
    0xff061212,
    0xff040f0e,
    0xff051311,
    0xff031311,
    0xff425050,
    0xff697473,
    0xff000201,
    0xff0f1b14,
    0xff000a04,
    0xff000802,
    0xff020800,
    0xff47483b,
    0xff727061,
    0xff0e0c00,
    0xff1b1d11,
    0xff030903,
    0xff0d1612,
    0xff000608,
    0xff252c27,
    0xff323b33,
    0xff1d2720,
    0xff1c2625,
    0xff151e1d,
    0xff162013,
    0xff222e19,
    0xff112116,
    0xff12221d,
    0xff000a07,
    0xff010a0a,
    0xff041010,
    0xff051012,
    0xff232f31,
    0xff071213,
    0xff080b02,
    0xff050802,
    0xff030905,
    0xff091111,
    0xff030d0d,
    0xff000c0b,
    0xff01110e,
    0xff000e09,
    0xff000c0c,
    0xff000b0b,
    0xff000b0d,
    0xff000b0c,
    0xff010a0e,
    0xff000a0b,
    0xff000d0e,
    0xff000d0b,
    0xff021107,
    0xff01090a,
    0xff020b0d,
    0xff000b14,
    0xff000d18,
    0xff020913,
    0xff010a0e,
    0xff001102,
    0xff000f01,
    0xff040c0b,
    0xff020307,
    0xff00090d,
    0xff060e10,
    0xff000a05,
    0xff040f01,
    0xff754928,
    0xffbf6544,
    0xffa95530,
    0xff802600,
    0xffc25c20,
    0xffc65c23,
    0xffb25725,
    0xff913e0f,
    0xffb25917,
    0xffa54b13,
    0xffa6500f,
    0xffcb6c0d,
    0xffb35819,
    0xff974e21,
    0xff761d01,
    0xff891f08,
    0xffae5c27,
    0xffa1581b,
    0xff9b6d0f,
    0xffffe73a,
    0xffdeac17,
    0xffb87816,
    0xff4e1c00,
    0xff040000,
    0xff90917d,
    0xff968772,
    0xff877166,
    0xffc0a392,
    0xff7f6954,
    0xff181a0c,
    0xff152115,
    0xff1e281a,
    0xff313832,
    0xff0d070c,
    0xff592d02,
    0xffd28a33,
    0xffab5908,
    0xffaa6b32,
    0xff2d1e02,
    0xff25352c,
    0xff0c1319,
    0xff060b05,
    0xff0d170e,
    0xff09180d,
    0xff051207,
    0xff2a2c1a,
    0xff7e7657,
    0xff645122,
    0xff4c3a04,
    0xff1a1e03,
    0xff1d2605,
    0xff131f02,
    0xff0f2106,
    0xff192313,
    0xff050000,
    0xffcb9b51,
    0xffda8944,
    0xffc26717,
    0xffd0842d,
    0xffc77718,
    0xffb07016,
    0xffbe8d46,
    0xffb78a4d,
    0xff100000,
    0xff5c492d,
    0xffae9173,
    0xff6a5d3f,
    0xff1a1b13,
    0xff000400,
    0xff3f3b2a,
    0xff4b3b2f,
    0xff87755e,
    0xff5a4a42,
    0xff0f0c15,
    0xff373733,
    0xff3e4738,
    0xff342520,
    0xff63524f,
    0xff68655b,
    0xff665449,
    0xff271006,
    0xff80706a,
    0xff453932,
    0xff1f1809,
    0xff57533e,
    0xff2f331c,
    0xff041100,
    0xff001306,
    0xff001a11,
    0xff695385,
    0xff897eae,
    0xff8b8fbf,
    0xffa7b9e9,
    0xff7d9bca,
    0xff6588ba,
    0xff6b8cc0,
    0xff6f8ec6,
    0xff7492cc,
    0xff6785c1,
    0xff4f70ac,
    0xff587bb8,
    0xff7396d0,
    0xff6e8fc8,
    0xff6888bf,
    0xff7591c9,
    0xff6082bc,
    0xff6b8dca,
    0xff5f7fc0,
    0xff6585c5,
    0xff6585c3,
    0xff718ec9,
    0xff647ebb,
    0xff738dcd,
    0xff6c84cd,
    0xff7088cf,
    0xff6884c7,
    0xff6985c8,
    0xff94b1f2,
    0xff708ccb,
    0xff627cb9,
    0xff748fcb,
    0xff6886c5,
    0xff6683c1,
    0xff5d79b4,
    0xff5771ab,
    0xff607cb2,
    0xff96afe6,
    0xff667db4,
    0xff7288c0,
    0xff627bb1,
    0xff5972aa,
    0xff637bb8,
    0xff677ec1,
    0xff6b83c6,
    0xff6884c5,
    0xff5b79b8,
    0xff5d7cb7,
    0xff738ac6,
    0xff7088c3,
    0xff8aa3de,
    0xff607eb9,
    0xff6281c1,
    0xff5c79be,
    0xff5b78c0,
    0xff5a76c0,
    0xff556fb3,
    0xff5e7cbd,
    0xff5877b7,
    0xff5675b6,
    0xff5c7bbc,
    0xff6281c1,
    0xff5c79bc,
    0xff607dc0,
    0xff4f6fa9,
    0xff5a7ab6,
    0xff5c7ab9,
    0xff5776b7,
    0xff6280c0,
    0xff5b7aba,
    0xff6581c4,
    0xff7590d6,
    0xff5671b1,
    0xff6d88c8,
    0xff5d78b7,
    0xff637fbc,
    0xff607dba,
    0xff5d7ab6,
    0xff607db7,
    0xff5a78b1,
    0xff5977b3,
    0xff5c7bb4,
    0xff5d7db6,
    0xff617eb7,
    0xff617ebb,
    0xff6a86c6,
    0xff6884c5,
    0xff5671b4,
    0xff607cbc,
    0xff617dbe,
    0xff5775b5,
    0xff5774b5,
    0xff6582c3,
    0xff5d79b8,
    0xff5e7ab9,
    0xff728cc9,
    0xff718acc,
    0xff617aba,
    0xff708ec8,
    0xff8eabe2,
    0xff6482ba,
    0xff5e78b4,
    0xff637bbc,
    0xff7185ca,
    0xff738ecf,
    0xff6685c3,
    0xff6987c5,
    0xff627cbb,
    0xff677bbd,
    0xff7289c8,
    0xff6c87c4,
    0xff718fcb,
    0xff6885c1,
    0xff7592ce,
    0xff6a86c6,
    0xff6783c3,
    0xff5e7cbc,
    0xff6280c0,
    0xff6986c4,
    0xff6a89c7,
    0xff617cbf,
    0xff627fc1,
    0xff6483c4,
    0xff5e7dbf,
    0xff5e7dbe,
    0xff6584c5,
    0xff6a88ca,
    0xff7b97d8,
    0xff708fd1,
    0xff6685c6,
    0xff6a89cc,
    0xff6786c9,
    0xff5a79bc,
    0xff6886c8,
    0xff6381c3,
    0xff6181c0,
    0xff6a8bce,
    0xff6e8fd2,
    0xff6688c8,
    0xff5c7dc0,
    0xff5c7fc1,
    0xff5b7fc3,
    0xff5a7ec4,
    0xff6083cb,
    0xff5b80c7,
    0xff6387d1,
    0xff6387d1,
    0xff5c7fcd,
    0xff567ac5,
    0xff5c80ce,
    0xff5c7fd1,
    0xff6b8edf,
    0xff5778c4,
    0xff567ac7,
    0xff5b7ecb,
    0xff587ecc,
    0xff587dcd,
    0xff567bcc,
    0xff547ace,
    0xff547ccf,
    0xff547fce,
    0xff537dcc,
    0xff517ccb,
    0xff5681d2,
    0xff547ed0,
    0xff517bcd,
    0xff4f7acb,
    0xff567fd1,
    0xff5983d5,
    0xff5981d6,
    0xff5078cd,
    0xff547bd3,
    0xff567dd3,
    0xff4e78c9,
    0xff557ece,
    0xff5179c9,
    0xff547fcd,
    0xff5581cf,
    0xff4e77ca,
    0xff567ed3,
    0xff4e76cb,
    0xff557dd2,
    0xff577dd0,
    0xff5c82d5,
    0xff5f82d7,
    0xff587dd1,
    0xff5a84d6,
    0xff5d87dc,
    0xff4d78ce,
    0xff5a89df,
    0xff4e7bd1,
    0xff5483d9,
    0xff5983d6,
    0xff5680d2,
    0xff5b84d6,
    0xff5c85d7,
    0xff567fd1,
    0xff5780d2,
    0xff567fce,
    0xff5981d1,
    0xff5983d5,
    0xff557fd1,
    0xff5882d3,
    0xff5983d5,
    0xff5982d5,
    0xff5781d3,
    0xff527cce,
    0xff5781d3,
    0xff5b84d4,
    0xff5c85d5,
    0xff5982d3,
    0xff527acb,
    0xff5b84d6,
    0xff5d86d8,
    0xff5881d5,
    0xff5880d5,
    0xff527fd0,
    0xff5884d5,
    0xff5884d5,
    0xff5d8adb,
    0xff5986d6,
    0xff5683d4,
    0xff4f7ccd,
    0xff5884d6,
    0xff547dcf,
    0xff5b84d5,
    0xff517bcd,
    0xff5f8bd9,
    0xff608ad8,
    0xff628ddb,
    0xff638dda,
    0xff638cda,
    0xff6692db,
    0xff608cd6,
    0xff638ed8,
    0xff6288d3,
    0xff6287d1,
    0xff6388d3,
    0xff5b80ca,
    0xff5f82cd,
    0xff688bdd,
    0xff688cdd,
    0xff6288d5,
    0xff567cc9,
    0xff6a90dc,
    0xff688eda,
    0xff678ddc,
    0xff688edf,
    0xff688fda,
    0xff668cd8,
    0xff5d83d0,
    0xff6a91de,
    0xff5c85d2,
    0xff537cca,
    0xff5a85d3,
    0xff618cda,
    0xff5079c8,
    0xff5c85d2,
    0xff5f88d5,
    0xff5e88d2,
    0xff5d85d0,
    0xff5f86cf,
    0xff638cd1,
    0xff648cd2,
    0xff6189d7,
    0xff5e86d2,
    0xff6188d4,
    0xff688ed9,
    0xff6e93dc,
    0xff7597df,
    0xff7596dd,
    0xff7292da,
    0xff7c9ae2,
    0xff6f8cd4,
    0xff7493d8,
    0xff7896dc,
    0xff7290d7,
    0xff7391d7,
    0xff6e8ed0,
    0xff7a99dc,
    0xff6b8ed4,
    0xff7094d9,
    0xff7ea1e4,
    0xff7c9adf,
    0xff7c98dd,
    0xff6b86ce,
    0xff6989cf,
    0xff678ed3,
    0xff6c92db,
    0xff6187cd,
    0xff6789cf,
    0xff7193d6,
    0xff7897d7,
    0xff7799d8,
    0xff82a3e6,
    0xff7c9fe1,
    0xff7498dd,
    0xff7597df,
    0xff7698df,
    0xff6d8ed6,
    0xff7495dd,
    0xff7092da,
    0xff7193db,
    0xff7c9fe5,
    0xff7493d6,
    0xff7695d8,
    0xff7693d7,
    0xff83a0e4,
    0xff718fd3,
    0xff7290d4,
    0xff7b99dd,
    0xff6f90d4,
    0xff5c7ec4,
    0xff718fd7,
    0xff89a4e8,
    0xff8da6ea,
    0xff87a1e4,
    0xff84a0e2,
    0xff6a88c9,
    0xff7091d1,
    0xff698cd4,
    0xff7a98e1,
    0xff87a3e7,
    0xff7e97db,
    0xff869cdf,
    0xff7d95d9,
    0xff6e8ccc,
    0xff7b9ada,
    0xff83a2e2,
    0xff819fe0,
    0xff7c9ada,
    0xff7490d1,
    0xff84a0df,
    0xff819bdb,
    0xff859cde,
    0xff8ca5e4,
    0xff8095d8,
    0xff889ee2,
    0xff7c98d9,
    0xff6889c8,
    0xff7091d2,
    0xff7999dd,
    0xff7797db,
    0xff7899de,
    0xff7e9ce3,
    0xff6c8cd3,
    0xff6485cd,
    0xff7297de,
    0xff7198d9,
    0xff638acb,
    0xff6388cf,
    0xff7093df,
    0xff6488d2,
    0xff7094de,
    0xff779ae5,
    0xff6b90db,
    0xff648ad6,
    0xff6388d4,
    0xff587dc9,
    0xff6e93e0,
    0xff628cd8,
    0xff618ad8,
    0xff567fce,
    0xff537dcb,
    0xff6691de,
    0xff5c88d4,
    0xff5580d0,
    0xff4873c6,
    0xff5a87dc,
    0xff537fd4,
    0xff4e7acf,
    0xff507ed2,
    0xff507ed3,
    0xff5181d6,
    0xff5282d7,
    0xff5483d9,
    0xff4673c8,
    0xff4a78cd,
    0xff5383d7,
    0xff4275c8,
    0xff4c7ed2,
    0xff4c7ed3,
    0xff4a79d3,
    0xff4b77d5,
    0xff5182d5,
    0xff5080d4,
    0xff4e7ed2,
    0xff4b79cf,
    0xff517fd5,
    0xff5280d6,
    0xff5381d8,
    0xff5583d9,
    0xff5885db,
    0xff5483d6,
    0xff5583d6,
    0xff5685d5,
    0xff5f8ad8,
    0xff5e87d7,
    0xff6085d3,
    0xff6c8fdc,
    0xff6b89db,
    0xff6f92d6,
    0xff6b8ed2,
    0xff688bda,
    0xff6686d5,
    0xff6a8acf,
    0xff668ccd,
    0xff608ad5,
    0xff6088cd,
    0xff6891d9,
    0xff6489d7,
    0xff668adb,
    0xff6788d9,
    0xff6181ce,
    0xff6c8ad2,
    0xff6784ca,
    0xff6482c1,
    0xff5b79b8,
    0xff5270ad,
    0xff496197,
    0xff314475,
    0xff2d3d67,
    0xff21335c,
    0xff1f325a,
    0xff172a49,
    0xff22354f,
    0xff1a293f,
    0xff202b37,
    0xff262629,
    0xff3c2c27,
    0xff48281a,
    0xff49200d,
    0xff55281b,
    0xff573116,
    0xff442411,
    0xff391a1a,
    0xff43271b,
    0xff5b4219,
    0xff644d20,
    0xff684f36,
    0xff62482a,
    0xff41290f,
    0xff392511,
    0xff2f1e0d,
    0xff4b2f1c,
    0xff4e2313,
    0xff3f1c09,
    0xff35240b,
    0xff3c260e,
    0xff604020,
    0xff876745,
    0xff5e4834,
    0xff211109,
    0xff4e362c,
    0xff4a2e22,
    0xff361f14,
    0xff180e06,
    0xff3e3a33,
    0xff4a5443,
    0xff48593c,
    0xff546149,
    0xff3e3f33,
    0xff423d33,
    0xff3d3927,
    0xff2b1f13,
    0xff160d03,
    0xff181709,
    0xff050900,
    0xff5a5f4c,
    0xff80846b,
    0xff727155,
    0xff656044,
    0xff5a5c42,
    0xff666b54,
    0xff2a2e17,
    0xff7a7963,
    0xff47402a,
    0xff6e6656,
    0xff312f26,
    0xff1c211d,
    0xff474c40,
    0xff202217,
    0xff1c1f13,
    0xff6d7065,
    0xff282e23,
    0xff0b160d,
    0xff0c180f,
    0xff101d16,
    0xff091409,
    0xff051107,
    0xff101d14,
    0xff1e2a24,
    0xff444844,
    0xff181a16,
    0xff0f110f,
    0xff0f1511,
    0xff141c19,
    0xff10150f,
    0xff30322a,
    0xff312f23,
    0xff131309,
    0xff0a0c06,
    0xff121716,
    0xff0a1216,
    0xff0f190f,
    0xff131d18,
    0xff273233,
    0xff0d191c,
    0xff091516,
    0xff000901,
    0xff495041,
    0xff545948,
    0xff071513,
    0xff021011,
    0xff010d0e,
    0xff051010,
    0xff364141,
    0xff485352,
    0xff4c5755,
    0xff2b3636,
    0xff132823,
    0xff00110e,
    0xff000e0e,
    0xff0c191b,
    0xff091415,
    0xff000b0a,
    0xff000d06,
    0xff010d05,
    0xff081212,
    0xff0b1416,
    0xff000a0c,
    0xff000a0c,
    0xff030d11,
    0xff00090d,
    0xff010c0f,
    0xff000b0d,
    0xff020c13,
    0xff020b1a,
    0xff030f0d,
    0xff0f1b18,
    0xff061211,
    0xff0b1513,
    0xff09141d,
    0xff051109,
    0xff00090a,
    0xff011200,
    0xff111815,
    0xff1c2634,
    0xff192425,
    0xff151e17,
    0xff040e08,
    0xff1a0c0a,
    0xff412504,
    0xff340f03,
    0xff5c1e15,
    0xffb05030,
    0xffb3480e,
    0xffa84c0b,
    0xffa24c12,
    0xffd47241,
    0xff9e2911,
    0xffa34710,
    0xffbf6c21,
    0xffa13e0a,
    0xffcd7a24,
    0xff8b4b12,
    0xff6d2206,
    0xff863303,
    0xffb9700e,
    0xffc89d27,
    0xffffe85c,
    0xff652d00,
    0xff4b0e0b,
    0xff4a2616,
    0xff170200,
    0xff957b3e,
    0xff805c1a,
    0xff7b5b27,
    0xff5d2e17,
    0xff4a1d14,
    0xff0d0000,
    0xff0e0c0b,
    0xff191718,
    0xff0b1612,
    0xff151213,
    0xff140000,
    0xff855923,
    0xffbb721f,
    0xffd8863d,
    0xff482300,
    0xff0e0e01,
    0xff0e0c0f,
    0xff0f1515,
    0xff06100e,
    0xff182322,
    0xff0a0f0c,
    0xff0e0804,
    0xff190e0c,
    0xff0f0c09,
    0xff070c08,
    0xff1c1b03,
    0xff231700,
    0xff251205,
    0xff17070b,
    0xff140e0a,
    0xff1c1407,
    0xff280900,
    0xff6d3a14,
    0xff9e692b,
    0xff542d05,
    0xffb69244,
    0xff4c3515,
    0xff0e0000,
    0xff5e5026,
    0xff3d4420,
    0xff000000,
    0xff2c2913,
    0xffaba694,
    0xff79747e,
    0xff161919,
    0xff0e1b0f,
    0xff5f675e,
    0xff736e5b,
    0xff705f5c,
    0xff52615b,
    0xff6f756f,
    0xff0d1d0b,
    0xff151e07,
    0xff040300,
    0xff777463,
    0xff53413b,
    0xff060400,
    0xff6f716b,
    0xff49423a,
    0xff3c2d25,
    0xff32281d,
    0xff525448,
    0xff323a33,
    0xff040b08,
    0xff080a0e,
    0xff621c2b,
    0xff5d2a41,
    0xffa08dac,
    0xffa4aad3,
    0xff8ca0cd,
    0xff7592c0,
    0xff6e8cbb,
    0xff87a6d7,
    0xff718bbc,
    0xff95abe4,
    0xff7081bf,
    0xff8ba0dc,
    0xff6983bb,
    0xff7e9bd0,
    0xffa0bff4,
    0xff728dc5,
    0xff7f98d1,
    0xff6c87be,
    0xff6a88be,
    0xff6b8ac1,
    0xff7c99d4,
    0xff728cc9,
    0xff7488cb,
    0xff7286c9,
    0xff7186c5,
    0xff6a82bb,
    0xff5978ad,
    0xff5874ad,
    0xff586fb2,
    0xff647bc0,
    0xff738ed0,
    0xff6785be,
    0xff718dc4,
    0xff7790c8,
    0xff8099d7,
    0xff849cdd,
    0xff5d74b5,
    0xff566eab,
    0xff7994cb,
    0xff5570a4,
    0xff829bd4,
    0xff738cc4,
    0xff5c75ad,
    0xff607ab5,
    0xff5e77b7,
    0xff5c75b7,
    0xff657ebe,
    0xff7c98d3,
    0xff5e7abb,
    0xff788ecb,
    0xff8395cf,
    0xff7489c6,
    0xff4865a7,
    0xff5477bd,
    0xff5879bc,
    0xff5673b2,
    0xff6d8bc7,
    0xff6482be,
    0xff6c8ac6,
    0xff6885c3,
    0xff728fcd,
    0xff6a87c8,
    0xff607abb,
    0xff5f78bb,
    0xff8daadf,
    0xff6e8abf,
    0xff6280b5,
    0xff5b78b1,
    0xff6f8bc8,
    0xff6985c5,
    0xff627cb5,
    0xff6a84bc,
    0xff5e71af,
    0xff5c6fad,
    0xff5a70ac,
    0xff677fba,
    0xff6780bb,
    0xff6885c0,
    0xff5979b0,
    0xff6989c0,
    0xff6581c2,
    0xff5c77ba,
    0xff6681c3,
    0xff6b85cb,
    0xff5b78bc,
    0xff5673b4,
    0xff6281c0,
    0xff5c7bbb,
    0xff7291d0,
    0xff5b77ba,
    0xff6281c3,
    0xff6382c7,
    0xff5e7ec0,
    0xff6f8dcc,
    0xff5d79b7,
    0xff6680bb,
    0xff6b88cb,
    0xff637fc3,
    0xff627dc0,
    0xff6985c5,
    0xff6f8cc9,
    0xff647cbe,
    0xff7992d4,
    0xff718acd,
    0xff6d86ca,
    0xff6f8acd,
    0xff5e7cbe,
    0xff7692d5,
    0xff6985c7,
    0xff617ec0,
    0xff6884c6,
    0xff6c87c7,
    0xff6988c7,
    0xff6785c6,
    0xff7795d7,
    0xff6280c3,
    0xff5c7bbe,
    0xff6b8bcd,
    0xff5b7aba,
    0xff6281c2,
    0xff5d7abb,
    0xff6c89cd,
    0xff6e8bd1,
    0xff607ec5,
    0xff6284ca,
    0xff6182c7,
    0xff5778be,
    0xff6386c8,
    0xff6d8ccd,
    0xff6180c3,
    0xff6284c9,
    0xff6689cc,
    0xff597bc1,
    0xff6082c9,
    0xff6c8dd2,
    0xff5e7fc4,
    0xff5b7dc6,
    0xff5b7dc4,
    0xff597ec3,
    0xff5a7fc5,
    0xff5f85cc,
    0xff587fc9,
    0xff5c82cf,
    0xff5e84d4,
    0xff5b7fca,
    0xff5277c7,
    0xff5d82d3,
    0xff557acb,
    0xff567bca,
    0xff597ecc,
    0xff5980cf,
    0xff5278ca,
    0xff587dce,
    0xff5c81d2,
    0xff547fcd,
    0xff4f7ccb,
    0xff4f7dcb,
    0xff4e79c8,
    0xff557bcb,
    0xff5479cb,
    0xff5177cc,
    0xff4e73c8,
    0xff567fd3,
    0xff527acf,
    0xff5681d5,
    0xff537dd1,
    0xff4d77cb,
    0xff4d77cb,
    0xff507dd2,
    0xff4c79cf,
    0xff4d7acd,
    0xff537fd2,
    0xff557ed3,
    0xff547bcd,
    0xff5d81d5,
    0xff5d7fd3,
    0xff5079cb,
    0xff5983d7,
    0xff4d7acf,
    0xff5b87dd,
    0xff5480d7,
    0xff5882d6,
    0xff5680d0,
    0xff5a80d0,
    0xff5f84d5,
    0xff567fcf,
    0xff5982d2,
    0xff557ed0,
    0xff537dd1,
    0xff507acf,
    0xff5580d5,
    0xff507ad0,
    0xff5c82da,
    0xff537bd0,
    0xff4d77c9,
    0xff5583d0,
    0xff5482cf,
    0xff5784d1,
    0xff5f89db,
    0xff5c86d8,
    0xff5c88dc,
    0xff5c89dc,
    0xff5683d7,
    0xff4f7cd1,
    0xff5885da,
    0xff507ed1,
    0xff507ece,
    0xff5482d2,
    0xff517bce,
    0xff547ed2,
    0xff5781d5,
    0xff5a84d8,
    0xff5986d7,
    0xff5985d7,
    0xff5582d3,
    0xff527ecf,
    0xff5586d8,
    0xff5686d8,
    0xff5585d4,
    0xff5482d2,
    0xff567fd2,
    0xff638cde,
    0xff517acc,
    0xff5381d1,
    0xff5a83d8,
    0xff5882d6,
    0xff5f89dd,
    0xff4d76cb,
    0xff4977c7,
    0xff527fd0,
    0xff5786d5,
    0xff4875c5,
    0xff5b8adc,
    0xff5984d5,
    0xff5d83d4,
    0xff6a91e0,
    0xff618ad6,
    0xff658eda,
    0xff6a91e0,
    0xff6387d6,
    0xff5b81d3,
    0xff6185da,
    0xff5e82d6,
    0xff6184d4,
    0xff6286d1,
    0xff648acf,
    0xff597fc6,
    0xff668dd8,
    0xff6f94dc,
    0xff6f95de,
    0xff638cd8,
    0xff648fdd,
    0xff6b96e5,
    0xff618cdc,
    0xff5c87d6,
    0xff658ede,
    0xff618ad9,
    0xff5f89d5,
    0xff5d82d0,
    0xff6c91dc,
    0xff7499e2,
    0xff769ae2,
    0xff779ce3,
    0xff7499df,
    0xff6b91d6,
    0xff7ea3ea,
    0xff7092dc,
    0xff7597e1,
    0xff6f91db,
    0xff668bd2,
    0xff749be0,
    0xff6c92d5,
    0xff7497db,
    0xff7999db,
    0xff718ccf,
    0xff7f9bde,
    0xff7f9dde,
    0xff7293d6,
    0xff7d9ee4,
    0xff7997e0,
    0xff7195e0,
    0xff7499e1,
    0xff6586d0,
    0xff6c8fd6,
    0xff7797de,
    0xff84a3e8,
    0xff7798dd,
    0xff799bde,
    0xff6d90d2,
    0xff7799dc,
    0xff759bdd,
    0xff7a9fe1,
    0xff769bdd,
    0xff779adc,
    0xff6f90d3,
    0xff6e8dd2,
    0xff769de0,
    0xff799ee2,
    0xff799ee5,
    0xff799fe6,
    0xff6d92d9,
    0xff688ad1,
    0xff6f92d6,
    0xff7093d6,
    0xff7998d9,
    0xff7c9ade,
    0xff7595dd,
    0xff7190db,
    0xff7695e0,
    0xff7a9ae3,
    0xff7c9de4,
    0xff82a3e8,
    0xff6688d1,
    0xff6e90d8,
    0xff5f81c9,
    0xff6685cd,
    0xff7797de,
    0xff7a9adf,
    0xff7394d9,
    0xff6c8dd1,
    0xff7c9ee3,
    0xff7698df,
    0xff6e8dd5,
    0xff718ed8,
    0xff718fd9,
    0xff6d8dd5,
    0xff7a9ce1,
    0xff6689cc,
    0xff607dc5,
    0xff7591d8,
    0xff7c99db,
    0xff708bd0,
    0xff7b96dd,
    0xff6d84cc,
    0xff768ed3,
    0xff859ee0,
    0xff778ed0,
    0xff6e8aca,
    0xff7c9bdc,
    0xff7da0e2,
    0xff7194d8,
    0xff6689cf,
    0xff6f91d8,
    0xff7491da,
    0xff6b89d4,
    0xff6586d1,
    0xff7092de,
    0xff6a8eda,
    0xff648ad2,
    0xff6d94db,
    0xff6189cd,
    0xff7095db,
    0xff7294da,
    0xff587ec5,
    0xff668dd7,
    0xff628ad9,
    0xff527bca,
    0xff668ede,
    0xff668ddc,
    0xff466ebc,
    0xff567ed6,
    0xff5280d4,
    0xff4d7ace,
    0xff4775c8,
    0xff5784d7,
    0xff5281d0,
    0xff4f7ecf,
    0xff5483d4,
    0xff557fd6,
    0xff507cd5,
    0xff4574cc,
    0xff5a87e2,
    0xff4676d1,
    0xff4b77d3,
    0xff4b79d3,
    0xff4573cd,
    0xff5381d9,
    0xff5e8ce4,
    0xff5784dd,
    0xff517fd7,
    0xff5885de,
    0xff5381d9,
    0xff4c7ad2,
    0xff527ed6,
    0xff5787da,
    0xff5182d4,
    0xff5282d5,
    0xff4c7dcd,
    0xff5888d9,
    0xff4f81ce,
    0xff5485d3,
    0xff5382d0,
    0xff5c85d9,
    0xff557dce,
    0xff618cda,
    0xff5d87d5,
    0xff5984d5,
    0xff557ed0,
    0xff5780d0,
    0xff668eda,
    0xff6991d5,
    0xff6e93d6,
    0xff7798df,
    0xff7595dc,
    0xff6a8ed4,
    0xff6c92d8,
    0xff6c93d9,
    0xff678cd3,
    0xff6a90d7,
    0xff6287ce,
    0xff6388d0,
    0xff6789d2,
    0xff6384d0,
    0xff5d81cd,
    0xff6288d3,
    0xff5b80cc,
    0xff6281c2,
    0xff5778b9,
    0xff547aba,
    0xff4369ae,
    0xff3a60a8,
    0xff3659a3,
    0xff3e5fa3,
    0xff2f508f,
    0xff395792,
    0xff2c4980,
    0xff2c4677,
    0xff2d426b,
    0xff384361,
    0xff544e5c,
    0xff705452,
    0xff5c3226,
    0xff662c22,
    0xff672e1e,
    0xff67321f,
    0xff56281d,
    0xff4c2a13,
    0xff5a4016,
    0xff69511f,
    0xff654a1f,
    0xff5a4721,
    0xff42320f,
    0xff3e2f0a,
    0xff4b3c14,
    0xff5b4721,
    0xff563a19,
    0xff47250b,
    0xff48200e,
    0xff775035,
    0xff643d16,
    0xff8f6b3d,
    0xff573c15,
    0xff2f1c08,
    0xff422e28,
    0xff4b3129,
    0xff4d291e,
    0xff361a16,
    0xff282519,
    0xff475342,
    0xff525c4d,
    0xff565e4f,
    0xff434d40,
    0xff4d5141,
    0xff5e5242,
    0xff402516,
    0xff352115,
    0xff1f150d,
    0xff0b0b00,
    0xff4e5238,
    0xff7e7e5c,
    0xff7f7754,
    0xff736142,
    0xff4f4226,
    0xff4e442e,
    0xff292210,
    0xff635c4b,
    0xff443e2f,
    0xff3c382c,
    0xff27261f,
    0xff141913,
    0xff2b3229,
    0xff2c2f27,
    0xff373631,
    0xff363930,
    0xff616d63,
    0xff132118,
    0xff16201b,
    0xff1b1d1a,
    0xff1b1f16,
    0xff1b1f15,
    0xff14170e,
    0xff1c1f17,
    0xff2c3229,
    0xff171d15,
    0xff11160f,
    0xff0d130f,
    0xff131915,
    0xff0c110b,
    0xff14170f,
    0xff2a2b21,
    0xff222013,
    0xff1c180b,
    0xff1d180d,
    0xff171408,
    0xff17180c,
    0xff292b1f,
    0xff282b20,
    0xff1b1e15,
    0xff0f1209,
    0xff171a14,
    0xff21221b,
    0xff3b3e37,
    0xff111d1a,
    0xff101c1a,
    0xff000c07,
    0xff00110d,
    0xff1d2d2a,
    0xff293833,
    0xff1f2f28,
    0xff13221b,
    0xff0c1911,
    0xff020e08,
    0xff04130f,
    0xff081615,
    0xff081616,
    0xff000d0b,
    0xff020c08,
    0xff020c0a,
    0xff030d0c,
    0xff040e0c,
    0xff000906,
    0xff000d0a,
    0xff010f0d,
    0xff000c0b,
    0xff010c0b,
    0xff010b0c,
    0xff000c0d,
    0xff00080a,
    0xff000c0b,
    0xff000c09,
    0xff000c0a,
    0xff061210,
    0xff081411,
    0xff030f0a,
    0xff272824,
    0xff031809,
    0xff001012,
    0xff252936,
    0xff100c03,
    0xff0d1206,
    0xff000a0b,
    0xff040b09,
    0xff071008,
    0xff4e4c47,
    0xff210002,
    0xff5d1303,
    0xffae5519,
    0xffaf5b06,
    0xff923e00,
    0xff913401,
    0xff781400,
    0xffac520d,
    0xffc06a13,
    0xff771d00,
    0xffb7641e,
    0xff9a4d04,
    0xffc3782e,
    0xffc17330,
    0xffd78a34,
    0xffe0ab25,
    0xffdbc058,
    0xff240000,
    0xff8c504c,
    0xff612006,
    0xff93530a,
    0xff864400,
    0xffc97f1f,
    0xffb06a02,
    0xffb7772e,
    0xff845525,
    0xff4d3415,
    0xff523f2e,
    0xff200109,
    0xff391307,
    0xff5b361d,
    0xff0b0000,
    0xff250a00,
    0xffad632f,
    0xffd97222,
    0xffb78136,
    0xff000000,
    0xff0e0900,
    0xff0e190f,
    0xff1f2321,
    0xff16141d,
    0xff0b1112,
    0xff081403,
    0xff0c0a01,
    0xff1f0000,
    0xff632c16,
    0xff884e1f,
    0xffa36039,
    0xffa77040,
    0xffa2753b,
    0xff4d240c,
    0xff14000a,
    0xff1e1418,
    0xff3c190e,
    0xff190000,
    0xff2c0e06,
    0xff110000,
    0xff342415,
    0xff130f0a,
    0xff010602,
    0xff00050d,
    0xff051003,
    0xff000000,
    0xff61665a,
    0xff666a5a,
    0xff2d3224,
    0xff020902,
    0xff585d5a,
    0xff3c3d31,
    0xff67634f,
    0xff2c2f1c,
    0xff3c4334,
    0xff313f33,
    0xff091407,
    0xff4f5144,
    0xff2a2617,
    0xff9f988c,
    0xff0b0a00,
    0xff4e514c,
    0xff4a4844,
    0xff443d32,
    0xff1e1707,
    0xff504e3b,
    0xff1f1e0c,
    0xff4a4b3a,
    0xff161408,
    0xff74152b,
    0xff6d192e,
    0xff72364f,
    0xff81648b,
    0xff7972ab,
    0xff6872b5,
    0xff606ead,
    0xff8593cc,
    0xff708fc4,
    0xff7594cd,
    0xff7696d0,
    0xff7092c9,
    0xff5d7eb4,
    0xff6982b6,
    0xff6d7ab5,
    0xff797dbd,
    0xff8098cd,
    0xff7e9ad1,
    0xff6b88c5,
    0xff6682c4,
    0xff5e7abc,
    0xff6b85c0,
    0xff93aade,
    0xff7389b9,
    0xff6b7fb5,
    0xff8196cd,
    0xffb8d1f9,
    0xff8198d2,
    0xff657bb7,
    0xff6076b3,
    0xff677fba,
    0xff748ec7,
    0xff8195ce,
    0xff7388c1,
    0xff6e83ba,
    0xff687cb2,
    0xff8297cc,
    0xff768dc4,
    0xff556da7,
    0xff7890cb,
    0xff5b75ae,
    0xff6f8ac1,
    0xff6682b8,
    0xff7b95cf,
    0xff6881c2,
    0xff7288cc,
    0xff768ecc,
    0xff5d76af,
    0xff6984c1,
    0xff8197d1,
    0xff7588c0,
    0xff6a7fba,
    0xff6580c1,
    0xff5877bb,
    0xff5c7bba,
    0xff6784bf,
    0xff6380be,
    0xff6785c3,
    0xff526dac,
    0xff6f8ac9,
    0xff6e8ac8,
    0xff6884c6,
    0xff6e8acb,
    0xff5b76b7,
    0xff5f78b3,
    0xff758fc8,
    0xff506ea6,
    0xff5b79b4,
    0xff5c78b9,
    0xff7995d6,
    0xff6f89c5,
    0xffa1baf0,
    0xff697fae,
    0xff8ea4d6,
    0xff97afe3,
    0xff819ad2,
    0xff607ab6,
    0xff6884c4,
    0xff6280c2,
    0xff5c7abd,
    0xff627ec0,
    0xff627cc0,
    0xff5872b8,
    0xff5977ba,
    0xff6683c7,
    0xff5c79bb,
    0xff6b8ac9,
    0xff6280bf,
    0xff6784c6,
    0xff6a87cb,
    0xff516fb5,
    0xff6380c6,
    0xff5f7ec3,
    0xff5773b5,
    0xff84a1df,
    0xff6884c2,
    0xff6683c6,
    0xff7b96dc,
    0xff6680c3,
    0xff5d7aba,
    0xff738fd0,
    0xff6b87c8,
    0xff6885c5,
    0xff6681c4,
    0xff7890d2,
    0xff6480c1,
    0xff7492d2,
    0xff5f7dbf,
    0xff6683c5,
    0xff5d7abd,
    0xff6580c3,
    0xff667fc3,
    0xff6988c8,
    0xff6c8bcb,
    0xff6c8bcc,
    0xff6483c6,
    0xff6988ca,
    0xff6482c6,
    0xff708fd2,
    0xff6988cb,
    0xff6683c6,
    0xff6382c8,
    0xff607dc6,
    0xff6383cc,
    0xff6282cb,
    0xff6285cd,
    0xff5c7ec7,
    0xff5c7fc5,
    0xff5877ba,
    0xff5678bc,
    0xff5e81c6,
    0xff5c81c7,
    0xff5b81c6,
    0xff587dc3,
    0xff6283cb,
    0xff6083c7,
    0xff6688cf,
    0xff6b8dd4,
    0xff577cc4,
    0xff6b8fd9,
    0xff577ec8,
    0xff5981cc,
    0xff557cca,
    0xff557cc9,
    0xff5f85cf,
    0xff597ece,
    0xff6589dd,
    0xff577dce,
    0xff537ac9,
    0xff5980cd,
    0xff5278c9,
    0xff557bce,
    0xff5c7fd4,
    0xff587cd0,
    0xff4f77ca,
    0xff4e78ca,
    0xff4e78ca,
    0xff517acc,
    0xff567ace,
    0xff5779cd,
    0xff537acf,
    0xff4e76cb,
    0xff537bd0,
    0xff547cd1,
    0xff4f7acd,
    0xff547ed2,
    0xff5580d4,
    0xff5a84d8,
    0xff5582d7,
    0xff4e7cd1,
    0xff4e7bce,
    0xff4e7ccf,
    0xff5781d5,
    0xff4e78c9,
    0xff567ccf,
    0xff5378cb,
    0xff507bc9,
    0xff527ccf,
    0xff4472c6,
    0xff4a76ce,
    0xff4c7acf,
    0xff537dd1,
    0xff527bcc,
    0xff5277c8,
    0xff527ccb,
    0xff537ccb,
    0xff5e86d9,
    0xff567fd1,
    0xff4f76cc,
    0xff537ed2,
    0xff5781d5,
    0xff5a84db,
    0xff577bd4,
    0xff5a82d7,
    0xff5781d3,
    0xff5483d0,
    0xff4977c5,
    0xff507fcc,
    0xff5881d4,
    0xff567fd1,
    0xff527fd2,
    0xff4e7bce,
    0xff4774ca,
    0xff507dd2,
    0xff527fd5,
    0xff5b88db,
    0xff5582d3,
    0xff608dde,
    0xff5680d4,
    0xff5680d4,
    0xff5882d6,
    0xff5b85d9,
    0xff5b89d9,
    0xff507dce,
    0xff527fd0,
    0xff4e7bcc,
    0xff5585d7,
    0xff5483d5,
    0xff4a77ca,
    0xff517bcf,
    0xff5f89dd,
    0xff5580d3,
    0xff5785d7,
    0xff5885d8,
    0xff507ed0,
    0xff5987d9,
    0xff5987da,
    0xff5785d8,
    0xff5e8bdc,
    0xff5c89da,
    0xff527fd0,
    0xff5e8bdc,
    0xff5784d8,
    0xff547ed0,
    0xff6b90e1,
    0xff658cdb,
    0xff5782ce,
    0xff5f8ad5,
    0xff5b82d2,
    0xff6a8dde,
    0xff6188d5,
    0xff6286d7,
    0xff6085d6,
    0xff6689d9,
    0xff6a8ed9,
    0xff6b92db,
    0xff6d92e1,
    0xff628ada,
    0xff648ad1,
    0xff668dd6,
    0xff648cd9,
    0xff608bd9,
    0xff5f8ad9,
    0xff5984d3,
    0xff6994e3,
    0xff628bda,
    0xff5a86d4,
    0xff6893e2,
    0xff6f97e6,
    0xff678edd,
    0xff5980cd,
    0xff638ad6,
    0xff5d85ce,
    0xff5f86ce,
    0xff6186ce,
    0xff6e94da,
    0xff7193dd,
    0xff7395df,
    0xff7394df,
    0xff6c92d9,
    0xff6e92d8,
    0xff6991d6,
    0xff678ccf,
    0xff708fd4,
    0xff6f8acf,
    0xff7590d3,
    0xff6f8dce,
    0xff7598d7,
    0xff7091d4,
    0xff718dd3,
    0xff6d8ed8,
    0xff6183cd,
    0xff6e90d8,
    0xff6f91d9,
    0xff6789d0,
    0xff6c8ed5,
    0xff6d8fd5,
    0xff7798de,
    0xff7ea0e6,
    0xff769be1,
    0xff688dd3,
    0xff6c91d6,
    0xff668cd1,
    0xff6688cf,
    0xff7797de,
    0xff6b8cd3,
    0xff769adc,
    0xff6a8dce,
    0xff7093d6,
    0xff7da1e4,
    0xff7494da,
    0xff7d9ee3,
    0xff7f9fe3,
    0xff7c9cdf,
    0xff799adc,
    0xff7fa0e5,
    0xff6e8fd6,
    0xff7998e4,
    0xff7696e2,
    0xff6e8ed7,
    0xff7091d8,
    0xff6f90d6,
    0xff6989d2,
    0xff7b9ae4,
    0xff6c8bd5,
    0xff6d90d8,
    0xff6d8fd6,
    0xff7294dc,
    0xff7294dc,
    0xff6c8ed4,
    0xff6489cd,
    0xff5e81c4,
    0xff6081c6,
    0xff6b8cd2,
    0xff6f8fd7,
    0xff6788cf,
    0xff7698df,
    0xff6d93d9,
    0xff6b8cd5,
    0xff7b9ae0,
    0xff7697d8,
    0xff7492d2,
    0xff819ee2,
    0xff7b97db,
    0xff7892d6,
    0xff7390cf,
    0xff8ca6e9,
    0xff84a1e4,
    0xff7192d6,
    0xff7a9de1,
    0xff648ad0,
    0xff4a6cb4,
    0xff7595de,
    0xff6885d2,
    0xff7595e1,
    0xff6486d0,
    0xff5f82cf,
    0xff5378c3,
    0xff5f85cf,
    0xff668cd4,
    0xff6e94dc,
    0xff698fd6,
    0xff6388d1,
    0xff5d82d0,
    0xff4e74c5,
    0xff4b74c8,
    0xff5a85d7,
    0xff517bcf,
    0xff5780d2,
    0xff5c85d6,
    0xff628de5,
    0xff5981da,
    0xff4875cc,
    0xff507ed3,
    0xff527fd4,
    0xff4a76cb,
    0xff5181d5,
    0xff507fd3,
    0xff4d76cb,
    0xff4d7acf,
    0xff4270c6,
    0xff5785dc,
    0xff5180d7,
    0xff4475ca,
    0xff507dd4,
    0xff4e7cd3,
    0xff416fc6,
    0xff4c7acf,
    0xff4876cc,
    0xff4e7cd2,
    0xff507ed3,
    0xff4f7dd3,
    0xff4e7cd1,
    0xff5280d6,
    0xff4773d0,
    0xff4b78d3,
    0xff4875d0,
    0xff4977ce,
    0xff4a78cf,
    0xff5380d8,
    0xff4f7bd2,
    0xff4f7bd2,
    0xff5179cc,
    0xff4e78c9,
    0xff5680cc,
    0xff5887d4,
    0xff537ecc,
    0xff537dd0,
    0xff5d86d5,
    0xff5d83d0,
    0xff6a92d6,
    0xff5d82c8,
    0xff7595dc,
    0xff6082c9,
    0xff688bd3,
    0xff6990d6,
    0xff6a8fd5,
    0xff6588d0,
    0xff668dd1,
    0xff6186cc,
    0xff6a8bd2,
    0xff6b8dd4,
    0xff688ad2,
    0xff6186ce,
    0xff6085ce,
    0xff5e84cd,
    0xff5b7bc8,
    0xff5476c1,
    0xff4e72be,
    0xff4970c1,
    0xff4269bd,
    0xff3d61b7,
    0xff385bae,
    0xff3f60ad,
    0xff4360ad,
    0xff3956a1,
    0xff3f5b9e,
    0xff3d528f,
    0xff4a5588,
    0xff545074,
    0xff665063,
    0xff68424b,
    0xff70363a,
    0xff7a3f37,
    0xff6e3527,
    0xff6a382a,
    0xff59351b,
    0xff654b1d,
    0xff6c5921,
    0xff685524,
    0xff554c1a,
    0xff443b0a,
    0xff453c0b,
    0xff524a17,
    0xff5d531e,
    0xff544211,
    0xff472c07,
    0xff4a290d,
    0xff472500,
    0xff664212,
    0xff815f29,
    0xff573a0d,
    0xff392306,
    0xff412d1a,
    0xff482b1a,
    0xff3b1b05,
    0xff291910,
    0xff252718,
    0xff525c47,
    0xff596351,
    0xff51614f,
    0xff4c604d,
    0xff505b45,
    0xff6a5f4b,
    0xff522f1f,
    0xff301309,
    0xff25120c,
    0xff281c13,
    0xff4e452e,
    0xff766949,
    0xff8b7957,
    0xff7b6346,
    0xff48361e,
    0xff362914,
    0xff231b09,
    0xff3a3225,
    0xff2f291b,
    0xff262217,
    0xff191813,
    0xff0e120e,
    0xff1a221b,
    0xff191a16,
    0xff33322c,
    0xff343631,
    0xff4e5a50,
    0xff26342a,
    0xff26302b,
    0xff161b1a,
    0xff1e2018,
    0xff1b1e16,
    0xff191c11,
    0xff181b0f,
    0xff1d2017,
    0xff1a1d16,
    0xff191b16,
    0xff0e110e,
    0xff0b140f,
    0xff091009,
    0xff0c0f07,
    0xff0b0e04,
    0xff212115,
    0xff3a392d,
    0xff1e1c0f,
    0xff1f2011,
    0xff202113,
    0xff1a1b0d,
    0xff2d2e1f,
    0xff3e3d30,
    0xff333225,
    0xff1b190c,
    0xff201f11,
    0xff252417,
    0xff151c15,
    0xff17221b,
    0xff08140d,
    0xff04100a,
    0xff0c1a12,
    0xff09150d,
    0xff1e2a22,
    0xff0d1910,
    0xff07140b,
    0xff000b04,
    0xff000d08,
    0xff01100d,
    0xff000f0e,
    0xff000d0d,
    0xff010f0e,
    0xff010d0e,
    0xff000b0b,
    0xff000c0c,
    0xff010f0f,
    0xff000d0e,
    0xff020f10,
    0xff01110d,
    0xff020e0c,
    0xff000907,
    0xff030f10,
    0xff000c0d,
    0xff000d0a,
    0xff020f0d,
    0xff040f0d,
    0xff000a06,
    0xff000a06,
    0xff06110e,
    0xff0c0e0e,
    0xff011104,
    0xff00140e,
    0xff0e1618,
    0xff0f150a,
    0xff061108,
    0xff0c161a,
    0xff0e0f0c,
    0xff1d1402,
    0xff211300,
    0xff90682f,
    0xffde9743,
    0xfff29d3d,
    0xffce800c,
    0xfff0ac19,
    0xffffc533,
    0xffffb52f,
    0xffffba37,
    0xffcc7c0b,
    0xffae5b09,
    0xffc97526,
    0xffd07e2c,
    0xfff9a848,
    0xffd17d2f,
    0xffd98122,
    0xfff9b542,
    0xffd3a348,
    0xff5d2703,
    0xff915615,
    0xffd3951f,
    0xffd28f1a,
    0xffd7942f,
    0xffc38513,
    0xffa86700,
    0xffb67917,
    0xffa5702e,
    0xff70491e,
    0xff260000,
    0xff86532f,
    0xffdea257,
    0xffe7a35b,
    0xffae7f43,
    0xff000000,
    0xff2d1200,
    0xffa15e30,
    0xffeca257,
    0xff845b31,
    0xff181618,
    0xff55635c,
    0xff455447,
    0xff293531,
    0xff12130a,
    0xff100300,
    0xff6d4723,
    0xffd99c6c,
    0xffdc944d,
    0xffc07526,
    0xffc06514,
    0xffbf6c0d,
    0xffa35e06,
    0xffb78248,
    0xff260f00,
    0xffad9975,
    0xffa16929,
    0xffd99738,
    0xffbc7b47,
    0xff784d13,
    0xff1c0900,
    0xff09090a,
    0xff000a10,
    0xff08111c,
    0xff020707,
    0xff070d0f,
    0xff000000,
    0xff0a0c01,
    0xff8b8e88,
    0xff0c0d11,
    0xff35353b,
    0xff55524f,
    0xff4c483a,
    0xff39372b,
    0xff21251e,
    0xff17201a,
    0xff000500,
    0xff7a7873,
    0xff100600,
    0xff181006,
    0xff292219,
    0xff4b4740,
    0xff6f685f,
    0xff4d4134,
    0xff3b311d,
    0xff5e563e,
    0xff36301a,
    0xff594f3d,
    0xff5b4f3f,
    0xff871721,
    0xff821d20,
    0xff772222,
    0xff692430,
    0xff713c5d,
    0xff785c8e,
    0xff8684bb,
    0xff6676aa,
    0xff5a71a1,
    0xff4e679c,
    0xff5070a5,
    0xff5b7cb1,
    0xff5778ad,
    0xff7a96ce,
    0xff7687c5,
    0xff717fc3,
    0xff6e84c0,
    0xff607ab7,
    0xff6f88c7,
    0xff5774b1,
    0xff5f79b3,
    0xff758dc4,
    0xff879eca,
    0xff8ea4ce,
    0xff8596c7,
    0xff56669e,
    0xff6b7eb9,
    0xff6b7fb8,
    0xff7388bd,
    0xff6378ab,
    0xff6379af,
    0xff5b71ac,
    0xff6274af,
    0xff7181b7,
    0xff5a6b9a,
    0xff7687b2,
    0xff99add7,
    0xff7d91c4,
    0xff7d93cf,
    0xff7a92d4,
    0xff6480b9,
    0xff607fb5,
    0xff5a75ab,
    0xff607ab5,
    0xff728aca,
    0xff6d86c7,
    0xff7c95d3,
    0xff7389c4,
    0xff7188c1,
    0xff6b7fb7,
    0xff6375ad,
    0xff788cc6,
    0xff677fbd,
    0xff607cbb,
    0xff829cdb,
    0xff839ed9,
    0xff6682c3,
    0xff6883c5,
    0xff5774b5,
    0xff5d78b9,
    0xff5c7abb,
    0xff5d7bb9,
    0xff5e7cba,
    0xff5d7ab8,
    0xff6078ba,
    0xff7e97d7,
    0xff8ea7e6,
    0xff6985c6,
    0xff748fd4,
    0xff5c74b7,
    0xff718bca,
    0xff5d75af,
    0xff96afdd,
    0xff8aa4d3,
    0xff5a74a8,
    0xff6b86bd,
    0xff7891cd,
    0xff5c78b9,
    0xff6983c8,
    0xff6280c3,
    0xff607dbf,
    0xff6e8bcd,
    0xff6380c4,
    0xff5875b9,
    0xff7996d8,
    0xff6682c5,
    0xff617fbf,
    0xff5b79b7,
    0xff5c79bd,
    0xff5876bc,
    0xff6482ca,
    0xff5f81c8,
    0xff6481c9,
    0xff5777b9,
    0xff4f6cae,
    0xff6985c7,
    0xff6883c8,
    0xff5e79be,
    0xff6b86c9,
    0xff617dbe,
    0xff5775b5,
    0xff6886c6,
    0xff6986c8,
    0xff6c8acc,
    0xff627ebe,
    0xff728ecd,
    0xff6e8dca,
    0xff6d8bc9,
    0xff6583c3,
    0xff6987c7,
    0xff6883c6,
    0xff748fd2,
    0xff6b8aca,
    0xff6a89ca,
    0xff6483c6,
    0xff6684ca,
    0xff607ec5,
    0xff5b79c1,
    0xff5875bc,
    0xff6886cc,
    0xff607ec4,
    0xff617fc7,
    0xff5a7ac3,
    0xff6e8eda,
    0xff678ad4,
    0xff6688d4,
    0xff6585d2,
    0xff5d81cb,
    0xff6284c9,
    0xff6184cb,
    0xff5a7fc6,
    0xff5e84cb,
    0xff567cc5,
    0xff5a80c7,
    0xff577cc3,
    0xff6287ce,
    0xff587ec1,
    0xff547ac1,
    0xff567ac4,
    0xff547ac7,
    0xff5479c8,
    0xff5c81d1,
    0xff5b82cf,
    0xff577ec8,
    0xff537ac7,
    0xff5a80d1,
    0xff5176ca,
    0xff557acc,
    0xff5983d1,
    0xff547dcc,
    0xff5079c9,
    0xff547bd1,
    0xff4f72c6,
    0xff5376cb,
    0xff547acd,
    0xff5881d2,
    0xff567fd1,
    0xff557bce,
    0xff5276ca,
    0xff5a7dd0,
    0xff5079cf,
    0xff507ace,
    0xff4f7acd,
    0xff557dd2,
    0xff5179ce,
    0xff547bd0,
    0xff5178ce,
    0xff5078cd,
    0xff4c76cd,
    0xff5b84db,
    0xff4f7dcf,
    0xff5481d4,
    0xff4c7acd,
    0xff5680d4,
    0xff5f86dc,
    0xff567ed2,
    0xff547fce,
    0xff5680d2,
    0xff5680d4,
    0xff5381d6,
    0xff557ed4,
    0xff4f7ad0,
    0xff5982d4,
    0xff5c83d5,
    0xff4f79cb,
    0xff537dcf,
    0xff537dcf,
    0xff5881d3,
    0xff527ccd,
    0xff567ed4,
    0xff547cd1,
    0xff547cd1,
    0xff5c80d9,
    0xff557dd2,
    0xff557fd1,
    0xff5d87d6,
    0xff5786d4,
    0xff5983d2,
    0xff618bde,
    0xff5983d5,
    0xff5885d8,
    0xff4e7bce,
    0xff5986db,
    0xff4b78cd,
    0xff527fd5,
    0xff5a87da,
    0xff4b78c8,
    0xff5481d2,
    0xff547dd2,
    0xff537dd1,
    0xff537dd1,
    0xff547ed2,
    0xff5784d7,
    0xff5885d9,
    0xff5c89dc,
    0xff5b88db,
    0xff517ed1,
    0xff517ed1,
    0xff5a83d7,
    0xff5d87da,
    0xff557fd5,
    0xff5f8ce1,
    0xff5b8adf,
    0xff5785db,
    0xff5d8add,
    0xff5a87d9,
    0xff5784d7,
    0xff5582d5,
    0xff5582d5,
    0xff608ddd,
    0xff5986d7,
    0xff4d7acb,
    0xff5380d3,
    0xff5a83d5,
    0xff587ecf,
    0xff5b81d1,
    0xff5681cc,
    0xff628cd7,
    0xff5a81d0,
    0xff5e82d2,
    0xff5e86cc,
    0xff7096df,
    0xff7398e6,
    0xff6d91df,
    0xff6f93df,
    0xff6d93e0,
    0xff5f84d5,
    0xff658be1,
    0xff6a8fd9,
    0xff668dd8,
    0xff668dda,
    0xff628bdb,
    0xff648fde,
    0xff5984d3,
    0xff5d88d7,
    0xff608bda,
    0xff6592e4,
    0xff5f8ada,
    0xff5c88d7,
    0xff6089d9,
    0xff5e88d6,
    0xff5680cb,
    0xff6996df,
    0xff6590da,
    0xff6d94dc,
    0xff7397e2,
    0xff6a8bd5,
    0xff7294de,
    0xff6c8fd9,
    0xff6f90d8,
    0xff5d83c9,
    0xff587ec4,
    0xff688dd4,
    0xff84a5e9,
    0xff829fe3,
    0xff89a5ea,
    0xff7695d6,
    0xff7a9edd,
    0xff7795d5,
    0xff6480c3,
    0xff7294dc,
    0xff7294dc,
    0xff6a8cd4,
    0xff7d9fe7,
    0xff7d9fe7,
    0xff7091da,
    0xff6b91d7,
    0xff6d93d9,
    0xff5c81ca,
    0xff6186cf,
    0xff6388d1,
    0xff5a7ec8,
    0xff5f83cd,
    0xff668ad4,
    0xff799ce5,
    0xff85a4ef,
    0xff7ea2e2,
    0xff7595d8,
    0xff7292d8,
    0xff6787cc,
    0xff6d8ed3,
    0xff7797dc,
    0xff6687ca,
    0xff6f8fd1,
    0xff7698dc,
    0xff7799e1,
    0xff6384cc,
    0xff6b8dd7,
    0xff6284ce,
    0xff7294de,
    0xff789ae0,
    0xff6184cb,
    0xff6a8bd2,
    0xff6384cb,
    0xff7495dc,
    0xff6e90d8,
    0xff6081cc,
    0xff6d91db,
    0xff688cd8,
    0xff799ce8,
    0xff6d93da,
    0xff81a6ec,
    0xff698cce,
    0xff6e91d2,
    0xff6f93d5,
    0xff7091d9,
    0xff648ad0,
    0xff5c80cb,
    0xff6c90da,
    0xff7094da,
    0xff7498da,
    0xff6a8dcd,
    0xff6a8bce,
    0xff82a1e4,
    0xff7e9ddd,
    0xff6b8ac6,
    0xff6784c8,
    0xff728fd6,
    0xff7192d9,
    0xff6286cd,
    0xff678dd3,
    0xff799de8,
    0xff6689d3,
    0xff6b8bd7,
    0xff5f80c9,
    0xff5d7fc9,
    0xff577ac7,
    0xff789ee9,
    0xff6c93de,
    0xff527ac5,
    0xff567cc7,
    0xff5980c9,
    0xff6387d8,
    0xff5a7fd0,
    0xff4e75ca,
    0xff547ed5,
    0xff4e78cf,
    0xff507ad0,
    0xff4771c5,
    0xff557fd1,
    0xff426cc2,
    0xff4b75cb,
    0xff5781d6,
    0xff4f78ce,
    0xff416ec4,
    0xff4572c9,
    0xff517cd4,
    0xff3f6cc3,
    0xff547ece,
    0xff4977c8,
    0xff5685d7,
    0xff4371c5,
    0xff4b7bcf,
    0xff5986db,
    0xff4d7cce,
    0xff5180d2,
    0xff4c7bcd,
    0xff4c7bce,
    0xff5989da,
    0xff4c7bcd,
    0xff507ed1,
    0xff5584d6,
    0xff5382d4,
    0xff4b7ace,
    0xff527fdb,
    0xff4c7ad4,
    0xff4771cd,
    0xff4e7ad3,
    0xff4a77d0,
    0xff527ad2,
    0xff4e77cf,
    0xff567fd5,
    0xff557fd3,
    0xff608adb,
    0xff4c7bc8,
    0xff5483d0,
    0xff5c86d8,
    0xff507acd,
    0xff527bca,
    0xff5980cd,
    0xff5c85cb,
    0xff648ad0,
    0xff6f8fd8,
    0xff6a8bd4,
    0xff6185cb,
    0xff688ed8,
    0xff6488d3,
    0xff6386d0,
    0xff6289ce,
    0xff6186cc,
    0xff5b80c7,
    0xff6082c9,
    0xff6d8ed4,
    0xff6086cb,
    0xff6489cf,
    0xff5c82c8,
    0xff6484d4,
    0xff5d7ed0,
    0xff5377c7,
    0xff5076c8,
    0xff496ec5,
    0xff4369c2,
    0xff4368bd,
    0xff4366b8,
    0xff4463b9,
    0xff4362b4,
    0xff4360ae,
    0xff455fa8,
    0xff485899,
    0xff595e90,
    0xff68597c,
    0xff664862,
    0xff754151,
    0xff7f4548,
    0xff743932,
    0xff764134,
    0xff684026,
    0xff6c5626,
    0xff6e622b,
    0xff655e2c,
    0xff565a20,
    0xff51551c,
    0xff545920,
    0xff585d20,
    0xff595d20,
    0xff524f16,
    0xff453b0d,
    0xff3e2f0a,
    0xff483116,
    0xff553817,
    0xff6a4a25,
    0xff4c3012,
    0xff341d0d,
    0xff37211c,
    0xff351f17,
    0xff371d0f,
    0xff291d13,
    0xff272014,
    0xff666250,
    0xff6e6d5b,
    0xff596752,
    0xff5c7059,
    0xff5a604a,
    0xff705d49,
    0xff613826,
    0xff411b11,
    0xff371613,
    0xff34140d,
    0xff3e1f0e,
    0xff513016,
    0xff5e3d20,
    0xff5f3f22,
    0xff402710,
    0xff3d2813,
    0xff281809,
    0xff332919,
    0xff281d12,
    0xff211810,
    0xff191612,
    0xff0f110e,
    0xff131410,
    0xff13120c,
    0xff1f1c17,
    0xff25241e,
    0xff3e433a,
    0xff29332c,
    0xff1f2920,
    0xff161b16,
    0xff13160b,
    0xff1c1e13,
    0xff17190e,
    0xff1a1c11,
    0xff1d1f14,
    0xff171810,
    0xff171811,
    0xff10110d,
    0xff09120e,
    0xff0b120d,
    0xff10170d,
    0xff101309,
    0xff181a0d,
    0xff1f2214,
    0xff17180c,
    0xff191b0e,
    0xff1d1c0d,
    0xff242112,
    0xff1d1c09,
    0xff2f2d1c,
    0xff413c29,
    0xff453f2b,
    0xff38301c,
    0xff38301e,
    0xff212217,
    0xff2a2e22,
    0xff23271f,
    0xff1c2419,
    0xff121c13,
    0xff101b0f,
    0xff172115,
    0xff161f13,
    0xff172116,
    0xff121f12,
    0xff0b1910,
    0xff061510,
    0xff091815,
    0xff051514,
    0xff031515,
    0xff031515,
    0xff0c1a1b,
    0xff081819,
    0xff0b1b19,
    0xff061615,
    0xff081918,
    0xff0c1b18,
    0xff0b1715,
    0xff050e0d,
    0xff0b1715,
    0xff071311,
    0xff04100e,
    0xff05110f,
    0xff010d0c,
    0xff0d1915,
    0xff0a1612,
    0xff020e0b,
    0xff0c1115,
    0xff020f02,
    0xff001104,
    0xff010d04,
    0xff05160b,
    0xff0c1912,
    0xff13140d,
    0xff110000,
    0xff481e05,
    0xffe3b97c,
    0xffffcb77,
    0xffec9d2e,
    0xffd47819,
    0xffcb7a10,
    0xfff4b60c,
    0xfff6b503,
    0xfffdbc06,
    0xfff0a815,
    0xffdf9213,
    0xffbd680c,
    0xffc66d23,
    0xffd97d2d,
    0xffffa643,
    0xffe28436,
    0xffd87822,
    0xffbc680f,
    0xffd6923e,
    0xff672500,
    0xffd2961c,
    0xffffd11e,
    0xffce8a00,
    0xffcc8418,
    0xfff4b739,
    0xffca8422,
    0xffaf6314,
    0xff99510e,
    0xff975a16,
    0xff904d27,
    0xff712a03,
    0xffbe7223,
    0xffc9772c,
    0xffeea560,
    0xffa77748,
    0xff1a0b00,
    0xff2d1c0b,
    0xff512000,
    0xffc99c53,
    0xff0d0000,
    0xff2c2826,
    0xff292e1f,
    0xff25271c,
    0xff200900,
    0xffe2aa7f,
    0xfff4a26a,
    0xffdd8345,
    0xffd3812c,
    0xffc27a0a,
    0xffe59127,
    0xffbc6811,
    0xffba703a,
    0xff5a1e10,
    0xff845e46,
    0xff99793b,
    0xffe8ab50,
    0xffbd760e,
    0xffa55604,
    0xffb8711c,
    0xffb07c32,
    0xff3f2301,
    0xff0d0500,
    0xff0c0d0a,
    0xff0c0f06,
    0xff0b1109,
    0xff151709,
    0xff0f1000,
    0xff38392c,
    0xff6b6c63,
    0xff46463e,
    0xff625c4f,
    0xff4f4433,
    0xff1e1a0c,
    0xff0f0f05,
    0xff20231a,
    0xff48483f,
    0xff5b564a,
    0xff423728,
    0xff423521,
    0xff4c4031,
    0xff4f4339,
    0xff7c6d5f,
    0xff625141,
    0xff4e3e27,
    0xff5a4e35,
    0xff493b23,
    0xff5d4a37,
    0xff543e2d,
    0xff891310,
    0xff87221a,
    0xff80281d,
    0xff7c1d12,
    0xff81201e,
    0xff611624,
    0xff6b5273,
    0xff93a6d2,
    0xff6279ae,
    0xff657bb4,
    0xff8a9ed9,
    0xff8497d1,
    0xffa7b9ee,
    0xff657aad,
    0xff8ba8da,
    0xff8dafe3,
    0xff586eb4,
    0xff677ebe,
    0xff637fb3,
    0xff728ebc,
    0xff718eb9,
    0xff7089b7,
    0xff6378aa,
    0xffa2b2e9,
    0xff8da2d2,
    0xff93a4dc,
    0xff7382c0,
    0xff8498d1,
    0xff93abdb,
    0xff92acda,
    0xff839cd2,
    0xff7488c5,
    0xff7486bf,
    0xff7f91c4,
    0xffb8c8f7,
    0xff6676a3,
    0xff5b6d9c,
    0xff6d83b9,
    0xff637cb7,
    0xff778fd1,
    0xff6280ba,
    0xff6582ba,
    0xff5f7eb3,
    0xff748ec9,
    0xff647cbc,
    0xff6178bb,
    0xffaec4ff,
    0xff7086c0,
    0xff7186bb,
    0xff697db2,
    0xffabbef6,
    0xff8499d2,
    0xff6076b2,
    0xff6a83c2,
    0xff657cb8,
    0xff5a72ad,
    0xff6c88cc,
    0xff6a84c9,
    0xff657fc2,
    0xff5b78bb,
    0xff6c8bcb,
    0xff5674b2,
    0xff5e7cba,
    0xff6381be,
    0xff6077ba,
    0xff5f78b8,
    0xff5d75b5,
    0xff6481c2,
    0xff6a85ca,
    0xff768ed2,
    0xff617bb8,
    0xff5c75ad,
    0xff5f78b6,
    0xff6983c2,
    0xff94aeed,
    0xff8aa3e0,
    0xff6683c0,
    0xff6683bf,
    0xff627ebc,
    0xff5e7bb6,
    0xff607fc0,
    0xff5978b9,
    0xff5d7abc,
    0xff5e7bbc,
    0xff5975b8,
    0xff5978b7,
    0xff5c7aba,
    0xff819dde,
    0xff6785cb,
    0xff5d7ac3,
    0xff5f81c8,
    0xff5979c3,
    0xff597ac1,
    0xff6583c8,
    0xff6480c4,
    0xff5876b8,
    0xff627cc2,
    0xff5d77bd,
    0xff6882c5,
    0xff6886c8,
    0xff6d89cc,
    0xff5e7dbe,
    0xff7e9dde,
    0xff6a89c9,
    0xff6381bf,
    0xff6382bd,
    0xff6d8bc7,
    0xff5c7ab5,
    0xff6482c0,
    0xff6e8ccc,
    0xff6c89cb,
    0xff6d8acc,
    0xff6c8bcb,
    0xff6786c6,
    0xff6483c5,
    0xff607ec4,
    0xff5e7bc4,
    0xff6886cf,
    0xff607ec6,
    0xff6481ca,
    0xff5e80c4,
    0xff597abf,
    0xff5d7dc4,
    0xff5c7ec6,
    0xff6385cd,
    0xff5b7dc6,
    0xff577cc6,
    0xff5e82cd,
    0xff5f81c8,
    0xff597dc5,
    0xff5e84ca,
    0xff5f87cf,
    0xff5d86cd,
    0xff5880c8,
    0xff5b80c9,
    0xff658bd1,
    0xff6489cd,
    0xff577cc4,
    0xff567ac6,
    0xff5b80d3,
    0xff567bcc,
    0xff587ccd,
    0xff5a82ce,
    0xff577ec7,
    0xff5681cd,
    0xff567fcf,
    0xff4f78cb,
    0xff5780d1,
    0xff537bcb,
    0xff5682cf,
    0xff537ecd,
    0xff4f79cd,
    0xff5980d5,
    0xff5b83d8,
    0xff547dd1,
    0xff4a75c9,
    0xff517acf,
    0xff4f79cd,
    0xff4d75ca,
    0xff5e84da,
    0xff507cd0,
    0xff5c8add,
    0xff5781d5,
    0xff4e76cb,
    0xff5880d5,
    0xff5981d6,
    0xff547cd1,
    0xff5178cd,
    0xff5781d8,
    0xff527bd2,
    0xff5583d5,
    0xff5683d6,
    0xff507ccf,
    0xff4d7bcd,
    0xff4d76ca,
    0xff517bcf,
    0xff507aca,
    0xff4d77c9,
    0xff557fd3,
    0xff4771c8,
    0xff4d77cd,
    0xff557dd5,
    0xff557dd2,
    0xff547dce,
    0xff4f79ce,
    0xff5983d7,
    0xff5b85d9,
    0xff547ed0,
    0xff5b84d6,
    0xff5c85d7,
    0xff5c85d7,
    0xff5a84d5,
    0xff5a82d7,
    0xff547cd2,
    0xff547cce,
    0xff507cca,
    0xff5782d1,
    0xff507cca,
    0xff547dd0,
    0xff4f78ca,
    0xff4d7acd,
    0xff5784d7,
    0xff5784d9,
    0xff5885da,
    0xff5481d6,
    0xff5380d3,
    0xff5c89da,
    0xff5583d4,
    0xff527cce,
    0xff5781d5,
    0xff5b85d9,
    0xff5d86db,
    0xff5785d8,
    0xff527fd2,
    0xff5784d7,
    0xff517ed1,
    0xff5a83d7,
    0xff5f89df,
    0xff5880d8,
    0xff557fd5,
    0xff5a84da,
    0xff5481d6,
    0xff517fd4,
    0xff5585d9,
    0xff4f7dd2,
    0xff4e7cd2,
    0xff4e7bcd,
    0xff507dd0,
    0xff5b88db,
    0xff5481d5,
    0xff517ecf,
    0xff4e7bcb,
    0xff5e8bdf,
    0xff5e87d9,
    0xff6e94e5,
    0xff6289d8,
    0xff6f99e5,
    0xff6894df,
    0xff678edd,
    0xff6c90df,
    0xff6e96e0,
    0xff648ad5,
    0xff6287d5,
    0xff6a8edc,
    0xff6387d1,
    0xff5c82ce,
    0xff6085d6,
    0xff5c82d4,
    0xff6489d5,
    0xff6d95e2,
    0xff6a91de,
    0xff5c85d5,
    0xff5883d2,
    0xff5d88d7,
    0xff5f8ad9,
    0xff5681d0,
    0xff4f7ac9,
    0xff517ccb,
    0xff5e86d6,
    0xff5077c6,
    0xff678edb,
    0xff5a83ce,
    0xff5d87cf,
    0xff517dc4,
    0xff5c83cb,
    0xff7096df,
    0xff698ed8,
    0xff7395de,
    0xff6d8dd6,
    0xff779ae2,
    0xff7a9ce3,
    0xff7a9be3,
    0xff6d93d9,
    0xff7293da,
    0xff718dd4,
    0xff82a0e4,
    0xff7c9bdc,
    0xff7f9dde,
    0xff83a0e2,
    0xff809adb,
    0xff7191d8,
    0xff6b8cd4,
    0xff698bd2,
    0xff6587cf,
    0xff6687cf,
    0xff6187ce,
    0xff5a7ec9,
    0xff668ad4,
    0xff6e93dc,
    0xff7a9ee8,
    0xff7b9fe9,
    0xff6489d2,
    0xff688cd6,
    0xff698ed7,
    0xff7c9de8,
    0xff7193dd,
    0xff7598dc,
    0xff7598dd,
    0xff7295dc,
    0xff80a2ea,
    0xff7fa1e8,
    0xff7c9fe5,
    0xff7598dd,
    0xff7699df,
    0xff688dd3,
    0xff688ed3,
    0xff6b91d7,
    0xff6c8ed8,
    0xff7a9ce6,
    0xff5f81c9,
    0xff6a8cd4,
    0xff7799e0,
    0xff7e9ce1,
    0xff829fe5,
    0xff7294db,
    0xff7696df,
    0xff5678c2,
    0xff6085d1,
    0xff6b8fde,
    0xff577dca,
    0xff5a80cb,
    0xff7096dd,
    0xff7197db,
    0xff7497d9,
    0xff7296d8,
    0xff5e80c7,
    0xff597ccb,
    0xff6285d7,
    0xff4b72bd,
    0xff5e85cb,
    0xff5a81c5,
    0xff6d91d5,
    0xff7495dc,
    0xff6683ca,
    0xff7191d1,
    0xff84a2e0,
    0xff708fd4,
    0xff5a77c1,
    0xff5c7ec5,
    0xff5f84cc,
    0xff6086cd,
    0xff6e91dc,
    0xff5d7fc9,
    0xff6688d3,
    0xff6587ce,
    0xff668bd1,
    0xff6c91da,
    0xff4d73be,
    0xff5b82ce,
    0xff6c93de,
    0xff5f86d1,
    0xff5d83cc,
    0xff4c73c1,
    0xff5a80d1,
    0xff547cce,
    0xff5e85db,
    0xff517bcf,
    0xff527dce,
    0xff547fcf,
    0xff5883d3,
    0xff618bd8,
    0xff638cdd,
    0xff5780d0,
    0xff5882d4,
    0xff5a85d7,
    0xff668fe2,
    0xff4d77cc,
    0xff557fd4,
    0xff537ecd,
    0xff5480ce,
    0xff5580d2,
    0xff4c7bcd,
    0xff406fc0,
    0xff4574c6,
    0xff5784d5,
    0xff5a87d8,
    0xff5683d8,
    0xff5784d9,
    0xff5986db,
    0xff5280d6,
    0xff4a78cd,
    0xff517fd4,
    0xff5785db,
    0xff5583d8,
    0xff507fd1,
    0xff517fd3,
    0xff5685d5,
    0xff517ecf,
    0xff5380ce,
    0xff5584d1,
    0xff5883d0,
    0xff5581cd,
    0xff507ace,
    0xff5883d4,
    0xff5c87d4,
    0xff517ccb,
    0xff547ed1,
    0xff527bcc,
    0xff668ddd,
    0xff698edc,
    0xff5e87ce,
    0xff688cd7,
    0xff708fdb,
    0xff6283ce,
    0xff678ad4,
    0xff6e94dd,
    0xff638ad3,
    0xff6185cf,
    0xff6086cc,
    0xff668dd5,
    0xff688ed7,
    0xff648bd3,
    0xff6185cf,
    0xff688dd3,
    0xff6b90d6,
    0xff688cd3,
    0xff6a8bd5,
    0xff6c8fd6,
    0xff698ed4,
    0xff6389d0,
    0xff5a7fcd,
    0xff597ece,
    0xff4c71bd,
    0xff4367b0,
    0xff3e60ac,
    0xff4466af,
    0xff34549c,
    0xff425fa2,
    0xff445b99,
    0xff495285,
    0xff605a7e,
    0xff6a5771,
    0xff71435e,
    0xff76424d,
    0xff7b4040,
    0xff79443e,
    0xff714833,
    0xff66522a,
    0xff686638,
    0xff5c633e,
    0xff53612f,
    0xff4a5a26,
    0xff455a25,
    0xff495e25,
    0xff516429,
    0xff475521,
    0xff41461d,
    0xff353516,
    0xff3a3718,
    0xff483d1b,
    0xff5d4b28,
    0xff48361b,
    0xff2d1f10,
    0xff30281f,
    0xff44382e,
    0xff291c0e,
    0xff281c15,
    0xff28120b,
    0xff83685f,
    0xff7d6c5f,
    0xff646354,
    0xff636b58,
    0xff655a4b,
    0xff6d4d40,
    0xff5f3322,
    0xff441c12,
    0xff3a120e,
    0xff3a100a,
    0xff562716,
    0xff6d3a23,
    0xff76482b,
    0xff663e22,
    0xff4f290f,
    0xff472712,
    0xff361b0a,
    0xff422a1b,
    0xff33200f,
    0xff28190b,
    0xff20140b,
    0xff1d1710,
    0xff1e1710,
    0xff1c130c,
    0xff261b13,
    0xff291e15,
    0xff292219,
    0xff2a251a,
    0xff28261d,
    0xff15140d,
    0xff1a190f,
    0xff18180c,
    0xff18170b,
    0xff161609,
    0xff18180f,
    0xff15150d,
    0xff161510,
    0xff0e0d08,
    0xff0a100b,
    0xff0c110c,
    0xff14170e,
    0xff101207,
    0xff111407,
    0xff181a0e,
    0xff191d0f,
    0xff181a0f,
    0xff17190b,
    0xff201d0f,
    0xff1e1b0a,
    0xff2d2614,
    0xff2f2715,
    0xff362d19,
    0xff433721,
    0xff3d331d,
    0xff272516,
    0xff2e2d1e,
    0xff2b2d20,
    0xff272b1e,
    0xff212719,
    0xff202617,
    0xff23281a,
    0xff212718,
    0xff323522,
    0xff333826,
    0xff262d1e,
    0xff1b2519,
    0xff132017,
    0xff0f1e19,
    0xff0c1c19,
    0xff0b1c1a,
    0xff071717,
    0xff0c1b1c,
    0xff0d2121,
    0xff0f2320,
    0xff102020,
    0xff13221f,
    0xff141f1e,
    0xff0e1716,
    0xff14201e,
    0xff0e1a18,
    0xff071311,
    0xff091513,
    0xff010d09,
    0xff010d09,
    0xff000b07,
    0xff06130f,
    0xff06120f,
    0xff071305,
    0xff091605,
    0xff041209,
    0xff04130d,
    0xff1b1f12,
    0xff180200,
    0xffa87e48,
    0xfff7bb6c,
    0xffd99a57,
    0xffeda05b,
    0xffb85900,
    0xffd26a24,
    0xffa64f04,
    0xffdc940c,
    0xffe99b1f,
    0xffd68803,
    0xffcc7912,
    0xffb8610c,
    0xffb05609,
    0xffa94f06,
    0xffb05507,
    0xffdd7f34,
    0xff822100,
    0xffb04a15,
    0xffdd853d,
    0xffc1752d,
    0xff965010,
    0xffd69421,
    0xffe3a60c,
    0xffcb8506,
    0xffb06800,
    0xffeb9d2e,
    0xffcb761f,
    0xffe3874a,
    0xfff49e52,
    0xffd17f41,
    0xff742300,
    0xff560000,
    0xffb45c3b,
    0xff802907,
    0xff8d3810,
    0xffa95825,
    0xff683824,
    0xff120f07,
    0xff121004,
    0xff736126,
    0xff261700,
    0xff3c3d30,
    0xff313823,
    0xff434228,
    0xff281000,
    0xff8e5c25,
    0xfffdb884,
    0xff975227,
    0xff662a00,
    0xffb06b06,
    0xffb9780c,
    0xff945b00,
    0xff703502,
    0xff84471d,
    0xff9a6433,
    0xff471700,
    0xff925d28,
    0xffbe7e36,
    0xffae6306,
    0xffbc6307,
    0xffb65f0b,
    0xffb97a27,
    0xff533100,
    0xff3e311d,
    0xff2e3018,
    0xff2c3321,
    0xff444832,
    0xff656450,
    0xff605f4b,
    0xff5b5d4d,
    0xff7d7a6b,
    0xff4c4534,
    0xff695d48,
    0xff878067,
    0xff5a5840,
    0xff34341e,
    0xff98977f,
    0xff453f24,
    0xff4e4626,
    0xff615435,
    0xff706043,
    0xff877669,
    0xff8b796c,
    0xff534130,
    0xff9a8a74,
    0xff7a6b54,
    0xff56462f,
    0xff88705d,
    0xffa48777,
    0xff9d1a18,
    0xff901f1e,
    0xff831e1f,
    0xff851a1a,
    0xff851113,
    0xff7e171e,
    0xff551528,
    0xff7b607f,
    0xff7a89bf,
    0xff657ab3,
    0xff5e71ae,
    0xff5f71aa,
    0xff6975a8,
    0xff7d89b5,
    0xffa4b4db,
    0xff62759c,
    0xff667ab4,
    0xff8095ca,
    0xffa6beee,
    0xff7c97c3,
    0xff85a0cc,
    0xff89a0d2,
    0xff889bd6,
    0xff6475b2,
    0xff677eb1,
    0xff6173ae,
    0xff7080bd,
    0xff7b8fc8,
    0xff84a0d1,
    0xff7a98c8,
    0xff5c77b0,
    0xff8aa0e0,
    0xff7d93c5,
    0xff8fa5d7,
    0xffafc3f6,
    0xff8b9dd6,
    0xff8ca0db,
    0xff728bc4,
    0xff7794cf,
    0xff7393cd,
    0xff6481bb,
    0xff7794cc,
    0xff82a0d8,
    0xff748ec9,
    0xff5d74b5,
    0xff7c95d5,
    0xff5d71b0,
    0xff748bc3,
    0xff8fa3d7,
    0xff8ea2d9,
    0xff9ab0e6,
    0xff738ac7,
    0xff8da2df,
    0xff8ba1dc,
    0xff6880bc,
    0xff6e88c6,
    0xff5d7abf,
    0xff6987ca,
    0xff86a3e8,
    0xff86a3e5,
    0xff5d7cbc,
    0xff708ece,
    0xff718fcd,
    0xff7795d3,
    0xff5b75b4,
    0xff5a75b1,
    0xff5b79b4,
    0xff5c78b7,
    0xff6d87cb,
    0xff708ccc,
    0xff87a1db,
    0xff859fd6,
    0xff6f87ca,
    0xff7089cc,
    0xff647cc0,
    0xff7793d6,
    0xff607bbd,
    0xff7492d1,
    0xff6e8ccc,
    0xff6683c4,
    0xff5a79ba,
    0xff7392d4,
    0xff6a8acb,
    0xff5f7cbe,
    0xff5d79bc,
    0xff819ee0,
    0xff6d8acc,
    0xff5e7bbd,
    0xff6485cb,
    0xff5b7dc4,
    0xff6687ce,
    0xff678ad2,
    0xff7091d8,
    0xff6687ce,
    0xff5e7cc2,
    0xff6380c6,
    0xff6984c9,
    0xff6a87cb,
    0xff7d9adf,
    0xff718dd2,
    0xff5f7fbf,
    0xff6988c8,
    0xff607ec0,
    0xff678ac8,
    0xff6a88c6,
    0xff6785c3,
    0xff7391cd,
    0xff7f9dd9,
    0xff6583be,
    0xff6583c1,
    0xff6482c4,
    0xff6481c3,
    0xff6587c7,
    0xff6485c9,
    0xff6687cc,
    0xff6485cc,
    0xff6182c9,
    0xff6181ca,
    0xff5a7bc2,
    0xff5e7fc6,
    0xff5b7cbf,
    0xff5f82c3,
    0xff5d80c2,
    0xff5f83c5,
    0xff5d80c4,
    0xff7597dd,
    0xff5c7dc5,
    0xff6082ca,
    0xff577cc3,
    0xff5c82c9,
    0xff567cc5,
    0xff547bc7,
    0xff587fcb,
    0xff587fcb,
    0xff5d85cd,
    0xff587ec7,
    0xff5d82c7,
    0xff6489d1,
    0xff6b8fdd,
    0xff577ccc,
    0xff5c81d2,
    0xff597ece,
    0xff557bc7,
    0xff587ec6,
    0xff567fcb,
    0xff557ece,
    0xff4f78cb,
    0xff547dce,
    0xff4f7bc9,
    0xff507bc9,
    0xff4f7ac8,
    0xff537cd1,
    0xff4f7bce,
    0xff5783d6,
    0xff4b78cb,
    0xff5383d4,
    0xff4e7ccf,
    0xff517ed2,
    0xff5784d7,
    0xff4c78cc,
    0xff4979ca,
    0xff4c7acd,
    0xff557fd3,
    0xff547cd1,
    0xff496ec3,
    0xff5379ce,
    0xff5179ce,
    0xff4d75ca,
    0xff517bce,
    0xff507ace,
    0xff4875ca,
    0xff4977cc,
    0xff4472c7,
    0xff5584d9,
    0xff5481d6,
    0xff5583d8,
    0xff4f78ca,
    0xff4d77c9,
    0xff5a85d9,
    0xff567ed3,
    0xff577fd3,
    0xff4f77cc,
    0xff5078cd,
    0xff537ccd,
    0xff5781d6,
    0xff5983d7,
    0xff517bd0,
    0xff5a83d5,
    0xff537cce,
    0xff547dcf,
    0xff547dcf,
    0xff567fd1,
    0xff577fd4,
    0xff567ed3,
    0xff5781d2,
    0xff5982d2,
    0xff5a85d4,
    0xff5984d3,
    0xff5b84d7,
    0xff5380d1,
    0xff5380d3,
    0xff5480d3,
    0xff5885da,
    0xff5481d6,
    0xff517ed3,
    0xff5885d8,
    0xff5885d6,
    0xff5683d4,
    0xff5882d3,
    0xff5d87db,
    0xff5680d4,
    0xff4f79cd,
    0xff4b79cb,
    0xff517ed3,
    0xff527fd4,
    0xff4977cc,
    0xff5179cd,
    0xff4f76cb,
    0xff5a82d7,
    0xff5981d8,
    0xff537dd3,
    0xff4876ca,
    0xff517fd6,
    0xff4778cd,
    0xff5280d5,
    0xff5582d8,
    0xff5583d8,
    0xff5483d4,
    0xff5c89dc,
    0xff5885d8,
    0xff5e8bde,
    0xff5c8add,
    0xff557fd3,
    0xff5881d3,
    0xff5a7ecf,
    0xff658bdb,
    0xff5680cc,
    0xff5481cb,
    0xff547ccc,
    0xff668adb,
    0xff5f86d4,
    0xff6488d8,
    0xff6287d7,
    0xff688bda,
    0xff6287cf,
    0xff6a90d7,
    0xff6187cf,
    0xff5d84d0,
    0xff5a81ce,
    0xff5980cd,
    0xff5d83d0,
    0xff547dcc,
    0xff5b83d2,
    0xff5c87d6,
    0xff5882d1,
    0xff5986d7,
    0xff6891df,
    0xff6b92e0,
    0xff6c92dd,
    0xff688ed9,
    0xff7298e0,
    0xff658cd3,
    0xff6e95da,
    0xff6f96db,
    0xff769ee8,
    0xff6389d2,
    0xff6589d3,
    0xff5f81c8,
    0xff698ad2,
    0xff7293da,
    0xff6889d0,
    0xff789add,
    0xff688cd4,
    0xff6a8bd0,
    0xff718fd5,
    0xff6b89cf,
    0xff6b8ccf,
    0xff6f91d1,
    0xff708ece,
    0xff7e97d8,
    0xff7192d6,
    0xff698acf,
    0xff5e7fc6,
    0xff6b8cd3,
    0xff7597df,
    0xff6b8dd5,
    0xff6b8fd8,
    0xff7195df,
    0xff6d90d5,
    0xff7597de,
    0xff6c8fd5,
    0xff7799df,
    0xff7c9fe5,
    0xff7b9de3,
    0xff799be1,
    0xff7092d9,
    0xff6f96dd,
    0xff7aa1e8,
    0xff6289d1,
    0xff5b81cc,
    0xff5c82cd,
    0xff7398e2,
    0xff7299df,
    0xff6e93da,
    0xff7a9fe5,
    0xff7499df,
    0xff678cd3,
    0xff6e90d8,
    0xff6587cf,
    0xff6e90d8,
    0xff7a9ce3,
    0xff7394db,
    0xff7591d5,
    0xff7a9adc,
    0xff7794db,
    0xff6f91d8,
    0xff6081c9,
    0xff6789d3,
    0xff6589d4,
    0xff6689d8,
    0xff5b80ce,
    0xff7397e3,
    0xff678ad0,
    0xff7697dc,
    0xff6e8fd4,
    0xff7191db,
    0xff81a3f2,
    0xff5777cb,
    0xff5b81ce,
    0xff7194de,
    0xff7497de,
    0xff6788d0,
    0xff6b8bd3,
    0xff6c8bd2,
    0xff728fd2,
    0xff728fd0,
    0xff6f8dd2,
    0xff6c8bd0,
    0xff6f90d5,
    0xff6081c7,
    0xff7092d8,
    0xff6b8cd4,
    0xff7796df,
    0xff6787d0,
    0xff688ad0,
    0xff81a4ea,
    0xff789ce3,
    0xff658bd2,
    0xff4b71b9,
    0xff587cc6,
    0xff7295dd,
    0xff6589d0,
    0xff6f93dc,
    0xff648ad2,
    0xff5c81cd,
    0xff6388d4,
    0xff5c84ce,
    0xff6c93df,
    0xff6892dc,
    0xff5d86ce,
    0xff6d94db,
    0xff6d93da,
    0xff6e93dc,
    0xff6b92db,
    0xff668fd8,
    0xff5e85d2,
    0xff6990dc,
    0xff648edc,
    0xff5881d0,
    0xff5882d2,
    0xff5883d4,
    0xff5b88db,
    0xff517dd0,
    0xff6590e4,
    0xff5e88da,
    0xff5781d3,
    0xff567fd5,
    0xff5e88de,
    0xff527dd3,
    0xff5784d9,
    0xff5784d9,
    0xff5380d5,
    0xff5684d8,
    0xff5381d6,
    0xff4776ca,
    0xff5183d1,
    0xff5383d2,
    0xff4c7cca,
    0xff5887d3,
    0xff4d7bc7,
    0xff5b88d2,
    0xff537ec9,
    0xff5a81d3,
    0xff5981d2,
    0xff6089d5,
    0xff638bda,
    0xff658bdd,
    0xff5c80d2,
    0xff587aca,
    0xff688bd8,
    0xff628ad0,
    0xff668bd2,
    0xff7897e0,
    0xff6889d2,
    0xff688cd4,
    0xff6b91d9,
    0xff678bd3,
    0xff6a8cd5,
    0xff658bd5,
    0xff648ad3,
    0xff648ad3,
    0xff5c82cb,
    0xff6d93dc,
    0xff6084ca,
    0xff6488cd,
    0xff6486c9,
    0xff6783c9,
    0xff6686c6,
    0xff6989c6,
    0xff6f91cf,
    0xff6788cd,
    0xff6586cc,
    0xff6587cc,
    0xff6485c8,
    0xff6786c9,
    0xff5a7abc,
    0xff6482c2,
    0xff5874b3,
    0xff586fa9,
    0xff576394,
    0xff6d6b8d,
    0xff75647e,
    0xff835c76,
    0xff804f5b,
    0xff7f4648,
    0xff824a4a,
    0xff7b5447,
    0xff746446,
    0xff747757,
    0xff627057,
    0xff627752,
    0xff566e47,
    0xff5a774d,
    0xff557547,
    0xff557443,
    0xff5a7349,
    0xff475a3b,
    0xff515e49,
    0xff4c583e,
    0xff50543b,
    0xff635f48,
    0xff53503f,
    0xff44463d,
    0xff585d5a,
    0xff585a57,
    0xff5a5952,
    0xff494341,
    0xff594240,
    0xff8f6e6c,
    0xff5e473f,
    0xff5d574c,
    0xff686355,
    0xff5e4a3e,
    0xff624036,
    0xff572c1b,
    0xff431c11,
    0xff3c160f,
    0xff43160e,
    0xff5d2616,
    0xff6d311a,
    0xff6a3418,
    0xff633317,
    0xff5d2b0e,
    0xff51240c,
    0xff4e2712,
    0xff492612,
    0xff482613,
    0xff432715,
    0xff301a0b,
    0xff322115,
    0xff342015,
    0xff301c11,
    0xff301b0e,
    0xff31190d,
    0xff3c2416,
    0xff362114,
    0xff362519,
    0xff231709,
    0xff1f1b11,
    0xff1c180c,
    0xff1a160a,
    0xff1e1b0f,
    0xff1c190d,
    0xff1b180f,
    0xff19150e,
    0xff110e0a,
    0xff11120d,
    0xff11130e,
    0xff1d1e11,
    0xff1f1e11,
    0xff1a1909,
    0xff201e10,
    0xff1c1d0e,
    0xff1c1b0f,
    0xff1c1c10,
    0xff1a190d,
    0xff1f1d10,
    0xff252214,
    0xff2c2616,
    0xff362f1e,
    0xff322a17,
    0xff372c19,
    0xff292413,
    0xff333020,
    0xff302f1f,
    0xff2d2f21,
    0xff232618,
    0xff232517,
    0xff262918,
    0xff2b2d1b,
    0xff3d3922,
    0xff49442e,
    0xff44452f,
    0xff333624,
    0xff23291c,
    0xff1c271d,
    0xff18221c,
    0xff17221e,
    0xff122321,
    0xff152524,
    0xff132322,
    0xff162825,
    0xff172724,
    0xff132220,
    0xff121d19,
    0xff0b1813,
    0xff131e1b,
    0xff0c1814,
    0xff07130f,
    0xff08140f,
    0xff020e0a,
    0xff020e0a,
    0xff000c08,
    0xff03100a,
    0xff05180c,
    0xff0a160a,
    0xff051106,
    0xff081510,
    0xff0a0f10,
    0xff160300,
    0xffe0af6e,
    0xfff7b34d,
    0xffd59213,
    0xffefa851,
    0xfffdaa62,
    0xffb35200,
    0xffc96019,
    0xffcf7328,
    0xffc47407,
    0xffae5500,
    0xffad4f01,
    0xff9c4100,
    0xff9e4100,
    0xffb45a0b,
    0xffc4710d,
    0xffc4701a,
    0xff7e2500,
    0xffaa5128,
    0xff620000,
    0xffa44e15,
    0xffc87b41,
    0xffba7233,
    0xffa36205,
    0xffd6951f,
    0xffc48608,
    0xffba7908,
    0xffaa5e00,
    0xfffaa941,
    0xfff19d41,
    0xffce781f,
    0xffa14511,
    0xffbc6037,
    0xff781a03,
    0xff6e0f00,
    0xffc35a3e,
    0xff650f00,
    0xff873c10,
    0xff713426,
    0xff221408,
    0xff1c2319,
    0xff1b1e0a,
    0xff1b240f,
    0xff262b16,
    0xff221c00,
    0xff3b2200,
    0xff946c26,
    0xff925f0d,
    0xff723506,
    0xff4a0b00,
    0xff531700,
    0xffb35e1d,
    0xffad630a,
    0xffcb8a37,
    0xfff0b166,
    0xffa36a2d,
    0xffa8703b,
    0xff915e3b,
    0xff290000,
    0xffa96a2f,
    0xffd18832,
    0xffb35d06,
    0xffbb610b,
    0xffae610b,
    0xffaa7637,
    0xff220c00,
    0xff101101,
    0xff0a0f07,
    0xff1b1d14,
    0xff18170f,
    0xff13130b,
    0xff0f0f08,
    0xff56534e,
    0xff666056,
    0xff5e5149,
    0xff3c361d,
    0xff2c270f,
    0xff6f6954,
    0xff4c472f,
    0xff443f23,
    0xff4d4726,
    0xff5e5332,
    0xff5c4d31,
    0xff6f6356,
    0xffbbac9e,
    0xff342315,
    0xff675a4a,
    0xffada190,
    0xffd3c7b3,
    0xff725f4e,
    0xff776050,
    0xffc12d21,
    0xffaf251e,
    0xff961b19,
    0xff85151c,
    0xff7b131e,
    0xff6d0e18,
    0xff6a1016,
    0xff5c0d12,
    0xffa98aa6,
    0xffb0a7c9,
    0xffb2bee8,
    0xff8399cb,
    0xff768ec0,
    0xff8a99cd,
    0xffcbd5ff,
    0xff9da4da,
    0xffb4c7ea,
    0xff92a4ce,
    0xff8297cb,
    0xff7c91cc,
    0xff7f94d2,
    0xffa4b9f7,
    0xff8194cd,
    0xff7084ba,
    0xff798fc7,
    0xff9bace3,
    0xff8997cb,
    0xff90a4d7,
    0xff6c8abe,
    0xff5d7db6,
    0xff607cb7,
    0xff5f74b0,
    0xff5e7aab,
    0xff6780b5,
    0xff7085c0,
    0xff667ab9,
    0xff6277b5,
    0xff6a84bf,
    0xff6684bb,
    0xff6c8ec3,
    0xff6784bf,
    0xff85a3db,
    0xff7892ca,
    0xff6d88c2,
    0xff8ea5e6,
    0xff6b83c3,
    0xff89a2de,
    0xff758ac3,
    0xff95a9de,
    0xff657eb7,
    0xff6c88c7,
    0xff6782c3,
    0xff576faf,
    0xff8ca0de,
    0xff93abeb,
    0xff6682c2,
    0xff607ec2,
    0xff6a88cf,
    0xff5878ba,
    0xff5a76ba,
    0xff6c89cb,
    0xff6684c4,
    0xff5776b6,
    0xff6886c7,
    0xffa4c0fd,
    0xff9dbaf7,
    0xff7390cc,
    0xff5e7cba,
    0xff5673b5,
    0xff5673b6,
    0xff708dca,
    0xff5875ab,
    0xff7c97ce,
    0xff5d77b1,
    0xff6e8dc8,
    0xff617cbd,
    0xff6381c6,
    0xff5d79c3,
    0xff6684d0,
    0xff607ccc,
    0xff617ec0,
    0xff6381c1,
    0xff6987c7,
    0xff5979b9,
    0xff6685c5,
    0xff6281c3,
    0xff5f7ec2,
    0xff6786cc,
    0xff5778c0,
    0xff5778bf,
    0xff5d7fc7,
    0xff5677bf,
    0xff6385cc,
    0xff5d7ec5,
    0xff6784cd,
    0xff5e7cc4,
    0xff607fc2,
    0xff6281c4,
    0xff6a89cc,
    0xff6786c8,
    0xff6685c8,
    0xff6685c9,
    0xff6a88c9,
    0xff6184c2,
    0xff708fcf,
    0xff6282c1,
    0xff6482c0,
    0xff6e8dc9,
    0xff6c8ac6,
    0xff6c89c7,
    0xff607fbf,
    0xff6e8dce,
    0xff6183c6,
    0xff6687ca,
    0xff6384c9,
    0xff5f80c7,
    0xff6d8ed5,
    0xff6283c9,
    0xff6687cd,
    0xff6788ce,
    0xff5475b9,
    0xff5c7dc0,
    0xff5272b6,
    0xff6384c6,
    0xff597abc,
    0xff6084c5,
    0xff6d91d4,
    0xff6384cb,
    0xff658ad1,
    0xff6187ce,
    0xff5378c1,
    0xff587fcb,
    0xff5a81cc,
    0xff577ec9,
    0xff5881c8,
    0xff557ac4,
    0xff597fc8,
    0xff587ec7,
    0xff5a80ca,
    0xff5a7fcb,
    0xff547ac5,
    0xff5c82cd,
    0xff597fca,
    0xff587ec9,
    0xff527bc5,
    0xff5781cf,
    0xff527bcb,
    0xff5a82d2,
    0xff547eca,
    0xff507dc7,
    0xff628ddb,
    0xff527cce,
    0xff4b79c9,
    0xff4a7aca,
    0xff4e7dcd,
    0xff4574c3,
    0xff4f7ecd,
    0xff4f7fce,
    0xff5180d0,
    0xff4976c7,
    0xff4d7acd,
    0xff5079cd,
    0xff4a72c7,
    0xff5379ce,
    0xff6086db,
    0xff5a82d7,
    0xff4e77cc,
    0xff5781d5,
    0xff5481d4,
    0xff4f7dd0,
    0xff4f7dd2,
    0xff517ed4,
    0xff4a7bcf,
    0xff517fd4,
    0xff507ed3,
    0xff4c7ace,
    0xff547ed3,
    0xff547ed2,
    0xff4e76cb,
    0xff5176cb,
    0xff5177cd,
    0xff5b81d3,
    0xff557fd1,
    0xff537cce,
    0xff4d76c8,
    0xff527bcd,
    0xff557ed0,
    0xff5079cb,
    0xff537ecf,
    0xff5680d4,
    0xff557fd4,
    0xff567fd3,
    0xff5782d8,
    0xff5980d6,
    0xff5680d1,
    0xff5b84d4,
    0xff577fcf,
    0xff537ecd,
    0xff4977c8,
    0xff5481d2,
    0xff5584d6,
    0xff5382d4,
    0xff5785da,
    0xff4b79ce,
    0xff4f7dd2,
    0xff5281d3,
    0xff4c7bca,
    0xff4d7ccc,
    0xff507acc,
    0xff537dce,
    0xff557fd3,
    0xff5c85d9,
    0xff5784da,
    0xff5582d6,
    0xff4c77cf,
    0xff527fd5,
    0xff5d85d9,
    0xff5781d2,
    0xff577fd4,
    0xff5b83d8,
    0xff5983d9,
    0xff5784d8,
    0xff5582d9,
    0xff4d7dd2,
    0xff4b7bcf,
    0xff5081d4,
    0xff5582d7,
    0xff5482d8,
    0xff4b77ca,
    0xff527fd2,
    0xff5582d5,
    0xff5983d7,
    0xff557fd3,
    0xff5278cc,
    0xff5e82d3,
    0xff5b82d1,
    0xff5983cf,
    0xff5380ca,
    0xff5982d1,
    0xff567bcb,
    0xff5d85d3,
    0xff668adc,
    0xff5c81d3,
    0xff587bca,
    0xff6e93db,
    0xff6188cd,
    0xff6388d0,
    0xff648bd7,
    0xff658bda,
    0xff5980cf,
    0xff5c83d2,
    0xff648bda,
    0xff5983d1,
    0xff547fcf,
    0xff5d88d7,
    0xff5e8ddd,
    0xff6e98e2,
    0xff6990da,
    0xff6187d1,
    0xff688cd5,
    0xff6a8ed7,
    0xff6f94da,
    0xff678cd2,
    0xff6b91d5,
    0xff5982c9,
    0xff658ad3,
    0xff688dd4,
    0xff6a8cd3,
    0xff7697dc,
    0xff6e8cd0,
    0xff7896db,
    0xff7c9be0,
    0xff7395da,
    0xff6987cd,
    0xff728ed4,
    0xff708dd4,
    0xff7d9ee1,
    0xff7fa0e3,
    0xff7d9adc,
    0xff809bdd,
    0xff7795d9,
    0xff819fe5,
    0xff83a0e6,
    0xff6a8bd0,
    0xff6283ca,
    0xff7a9be2,
    0xff6888cf,
    0xff6e8dd5,
    0xff7092d3,
    0xff7b9dde,
    0xff84a4e5,
    0xff7392d4,
    0xff6b8ccd,
    0xff7394d5,
    0xff688ccc,
    0xff688ccd,
    0xff557bc2,
    0xff5a80c9,
    0xff6c92db,
    0xff5d83ce,
    0xff557bc7,
    0xff5e84ce,
    0xff6088d1,
    0xff5e85cd,
    0xff5f84ca,
    0xff6c92d7,
    0xff7da2e8,
    0xff6f91d8,
    0xff6a8cd3,
    0xff7697de,
    0xff7091d7,
    0xff7394d9,
    0xff7692d4,
    0xff6b87cc,
    0xff6a89cc,
    0xff7796da,
    0xff82a2e8,
    0xff7190d8,
    0xff5e7ec6,
    0xff6e8ed7,
    0xff6d8ed8,
    0xff6a8bd4,
    0xff6a8bd2,
    0xff728fd5,
    0xff7c9ae0,
    0xff718dd6,
    0xff5e7cc6,
    0xff5e7bc8,
    0xff5d7dc5,
    0xff6b8dd1,
    0xff7493d6,
    0xff6a88cc,
    0xff6e8cd1,
    0xff7692d8,
    0xff7c96dc,
    0xff7f9bdd,
    0xff7a98d9,
    0xff6785c6,
    0xff7895d8,
    0xff85a2e5,
    0xff6f8cd0,
    0xff84a1e5,
    0xff7794d8,
    0xff6c89cb,
    0xff6a89ca,
    0xff6886c9,
    0xff6e8fd3,
    0xff7595dc,
    0xff799adf,
    0xff7d9de2,
    0xff7595d9,
    0xff7796d9,
    0xff7999d9,
    0xff6e8fd2,
    0xff789adb,
    0xff698acc,
    0xff7293d8,
    0xff7599dd,
    0xff7298dd,
    0xff7098da,
    0xff7195d7,
    0xff6e91d4,
    0xff678acc,
    0xff6f95da,
    0xff6a8ed4,
    0xff5277be,
    0xff698ed6,
    0xff6288d0,
    0xff6a90dc,
    0xff658bd8,
    0xff648cdb,
    0xff5f88d7,
    0xff5c85d5,
    0xff527acb,
    0xff5c84d4,
    0xff658ddc,
    0xff5980d2,
    0xff5c85d6,
    0xff5f88da,
    0xff5c85d7,
    0xff5c86d8,
    0xff5b86d7,
    0xff5784d4,
    0xff5281d1,
    0xff5785db,
    0xff5280d5,
    0xff537fd2,
    0xff5e88dc,
    0xff618cdc,
    0xff5c85d5,
    0xff6f96e5,
    0xff5b82cf,
    0xff688dd9,
    0xff5c80c9,
    0xff688ed3,
    0xff668ad0,
    0xff6b8fd9,
    0xff6889d3,
    0xff6a89d3,
    0xff7795da,
    0xff789bdc,
    0xff6c8acb,
    0xff7992d5,
    0xff7691d4,
    0xff7996d5,
    0xff6e8fcd,
    0xff6b8cca,
    0xff6987c6,
    0xff7394d4,
    0xff7295d5,
    0xff6c8ed0,
    0xff6a8ccb,
    0xff6b8dcb,
    0xff7596d1,
    0xff7291c8,
    0xff7999ce,
    0xff7a91ce,
    0xff7e94ce,
    0xff7892c7,
    0xff6f88bd,
    0xff738bc6,
    0xff667ebb,
    0xff647bbb,
    0xff6a81c0,
    0xff6c85be,
    0xff6e84be,
    0xff6e85bf,
    0xff687bb4,
    0xff6474a8,
    0xff6d749f,
    0xff696283,
    0xff705f76,
    0xff7d5868,
    0xff88575c,
    0xff814b46,
    0xff7e4842,
    0xff875f50,
    0xff665838,
    0xff737856,
    0xff6f7d64,
    0xff617653,
    0xff556e4a,
    0xff5c7950,
    0xff527344,
    0xff527443,
    0xff4a663c,
    0xff465d40,
    0xff4a5a47,
    0xff606f5e,
    0xff5a6556,
    0xff6d7066,
    0xff737973,
    0xff6e797a,
    0xff6e7b7f,
    0xff6c737c,
    0xff71727a,
    0xff636762,
    0xff766563,
    0xff937a74,
    0xff73645a,
    0xff4f4a3b,
    0xff63564a,
    0xff5e483c,
    0xff4d3224,
    0xff4d2516,
    0xff3a180e,
    0xff391910,
    0xff481c13,
    0xff6b2e1f,
    0xff743119,
    0xff6e2f14,
    0xff6d3319,
    0xff72351a,
    0xff612810,
    0xff62301b,
    0xff5c2e17,
    0xff51260f,
    0xff4d2811,
    0xff43220e,
    0xff3e2111,
    0xff3b1d12,
    0xff3d2113,
    0xff3f2313,
    0xff482417,
    0xff4e2617,
    0xff4c261a,
    0xff452818,
    0xff2c1708,
    0xff24190f,
    0xff21180e,
    0xff221a0c,
    0xff231d0f,
    0xff1d190d,
    0xff1b170b,
    0xff19160d,
    0xff14110a,
    0xff18170f,
    0xff1f1e12,
    0xff2d2a1c,
    0xff2f2a16,
    0xff241e0a,
    0xff2b2412,
    0xff231b0e,
    0xff211c10,
    0xff211c11,
    0xff221c11,
    0xff241c12,
    0xff211a0f,
    0xff261e11,
    0xff2a2315,
    0xff302919,
    0xff32291b,
    0xff241f11,
    0xff2a261a,
    0xff2a281b,
    0xff29291e,
    0xff202114,
    0xff222414,
    0xff272517,
    0xff2a2816,
    0xff43391f,
    0xff4a4328,
    0xff464029,
    0xff33301b,
    0xff262617,
    0xff22251a,
    0xff1d241c,
    0xff1a2520,
    0xff18241e,
    0xff192824,
    0xff1a2a26,
    0xff172822,
    0xff162821,
    0xff12211c,
    0xff0e1e19,
    0xff0b1612,
    0xff0e1c14,
    0xff0b1713,
    0xff091411,
    0xff05110d,
    0xff030f0b,
    0xff06120e,
    0xff020d09,
    0xff02100d,
    0xff051909,
    0xff08140d,
    0xff05100a,
    0xff0a1613,
    0xff0d0505,
    0xff623917,
    0xffe29a3d,
    0xffeb9715,
    0xffffb931,
    0xffe89e48,
    0xffee9e4e,
    0xffb25200,
    0xffd57226,
    0xffae570a,
    0xffbc6c0e,
    0xffcf7715,
    0xffffaf5c,
    0xffd98016,
    0xffc36d0a,
    0xffc06c02,
    0xffc47608,
    0xffbf730f,
    0xff7b2a00,
    0xffc67549,
    0xff6b1806,
    0xff873a02,
    0xff954a14,
    0xffaa641f,
    0xffcd8d28,
    0xffbe820e,
    0xffbd8500,
    0xffca920a,
    0xffb47709,
    0xffc07e27,
    0xffe39b48,
    0xff792800,
    0xff7f2800,
    0xff8a2904,
    0xff97360e,
    0xff710a00,
    0xffc25e31,
    0xfff39e66,
    0xffb36e30,
    0xff330100,
    0xff231107,
    0xff18160a,
    0xff171821,
    0xff101a17,
    0xff1f1b02,
    0xff53360b,
    0xffc58a4a,
    0xffb66c15,
    0xffdc9336,
    0xffae6425,
    0xffaa5631,
    0xff8a2f00,
    0xffbf6a30,
    0xffa25111,
    0xffc06b25,
    0xff601a00,
    0xff431300,
    0xff361100,
    0xff3a1c09,
    0xff261c0a,
    0xff412a04,
    0xff3a1700,
    0xffbd8942,
    0xffab5f00,
    0xffba5b0b,
    0xffbb6d25,
    0xff6d4816,
    0xff1b1013,
    0xff11190c,
    0xff272b1e,
    0xff24271b,
    0xff181911,
    0xff191b11,
    0xff44483c,
    0xff58574c,
    0xff7e776d,
    0xff615a4d,
    0xff2f251a,
    0xff9b9187,
    0xff100900,
    0xff211c0e,
    0xff4d4a38,
    0xff3f3628,
    0xff716157,
    0xff5e574a,
    0xff7f766a,
    0xff3e3024,
    0xff2f2116,
    0xff3e3426,
    0xff322918,
    0xff281d0c,
    0xff3a2c1b,
    0xffd03a1d,
    0xffc23422,
    0xffa22018,
    0xff841616,
    0xff731c1b,
    0xff782c2e,
    0xff6e252a,
    0xff6d2129,
    0xff57141c,
    0xff9a7384,
    0xffaea8c7,
    0xffadbfea,
    0xff798ec2,
    0xff90a3db,
    0xff6070a8,
    0xff7282b6,
    0xff8291b3,
    0xff7889b1,
    0xff7689bf,
    0xff6c7ebf,
    0xff7388cb,
    0xff5d73b0,
    0xff758ac2,
    0xff889ccf,
    0xffbacfff,
    0xff8f9dcd,
    0xff99a5ca,
    0xffb0c2ec,
    0xff8aa1d9,
    0xff6886c6,
    0xff5f79b4,
    0xff8599d0,
    0xff85a2de,
    0xff7993ce,
    0xff6e84bc,
    0xff7387be,
    0xff677db1,
    0xff88a2d7,
    0xff6381b8,
    0xff6183b9,
    0xff8099d6,
    0xff7993cf,
    0xff6882bb,
    0xff657fba,
    0xff6a83c4,
    0xff6d85c4,
    0xff6881bb,
    0xff7891c9,
    0xff8fa3db,
    0xff5d79b7,
    0xff6282c5,
    0xff6180c6,
    0xff657ec2,
    0xff6279bc,
    0xff657dc1,
    0xff5f7ec3,
    0xff6283c8,
    0xff597ac0,
    0xff5f81c4,
    0xff5372b5,
    0xff607dbe,
    0xff627cc0,
    0xff5a75b8,
    0xff5d77ba,
    0xff5371b1,
    0xff5675b3,
    0xff6e8dca,
    0xff607fbf,
    0xff6987cc,
    0xff5f7dc4,
    0xff6886c5,
    0xff7c99d5,
    0xff758ec4,
    0xff647fb6,
    0xff6e87c2,
    0xff6582c1,
    0xff6280c4,
    0xff5d7cc4,
    0xff5777c2,
    0xff5675c0,
    0xff6481c0,
    0xff647fbf,
    0xff7290ce,
    0xff5674b1,
    0xff5676b5,
    0xff5a7bbe,
    0xff6789d0,
    0xff5d7fc6,
    0xff6181c9,
    0xff5f81c9,
    0xff5578bb,
    0xff557bbf,
    0xff5478bb,
    0xff6a8bd3,
    0xff5c7ec5,
    0xff6b88cf,
    0xff597abe,
    0xff6081c4,
    0xff5b7cc1,
    0xff587abf,
    0xff6380c7,
    0xff6080c2,
    0xff6786c7,
    0xff6281c1,
    0xff6482c9,
    0xff6482c6,
    0xff6f8ccc,
    0xff7b96d6,
    0xff7794cf,
    0xff6d8bc9,
    0xff6483c4,
    0xff6b8acb,
    0xff5d7fc1,
    0xff5b7cc1,
    0xff5c7dc2,
    0xff6182ca,
    0xff6081c5,
    0xff5c7dc1,
    0xff5b7cbf,
    0xff5779ba,
    0xff6787d0,
    0xff6080c8,
    0xff6787cf,
    0xff5d7fc4,
    0xff5b7cbf,
    0xff597abf,
    0xff597abf,
    0xff5f81c8,
    0xff5d82c8,
    0xff5d82c9,
    0xff597fc8,
    0xff5a81cd,
    0xff567dc8,
    0xff567dc9,
    0xff5d82cb,
    0xff597fc8,
    0xff5b80ce,
    0xff5a80c9,
    0xff5e85cc,
    0xff547abf,
    0xff6990d5,
    0xff6186cf,
    0xff587eca,
    0xff567aca,
    0xff557cc6,
    0xff5d83d0,
    0xff567dcc,
    0xff537ccc,
    0xff4f79c3,
    0xff5079c3,
    0xff517bc7,
    0xff507cca,
    0xff527bce,
    0xff4f79cb,
    0xff4f7acc,
    0xff547ed0,
    0xff507bcd,
    0xff4e79cb,
    0xff537dd0,
    0xff547ed0,
    0xff517fd2,
    0xff4e78cc,
    0xff4f76cb,
    0xff5477ce,
    0xff557bd0,
    0xff5179ce,
    0xff507ccf,
    0xff4b7bcc,
    0xff4b7bcd,
    0xff4f7ed0,
    0xff4f7fd3,
    0xff4879cc,
    0xff4c7cd0,
    0xff4a78ce,
    0xff4873cb,
    0xff537fd6,
    0xff4f77cf,
    0xff547ed4,
    0xff5a82d9,
    0xff5b80d5,
    0xff5a81d3,
    0xff5a7fd3,
    0xff537dcc,
    0xff5882d2,
    0xff5a7fd0,
    0xff577dcd,
    0xff567bcf,
    0xff4e77c9,
    0xff547dd2,
    0xff5583d5,
    0xff527fd2,
    0xff4b79ce,
    0xff456fc5,
    0xff4e78cc,
    0xff537ccd,
    0xff5079c9,
    0xff547dcd,
    0xff4e79c7,
    0xff517ed0,
    0xff4c79c9,
    0xff5382d4,
    0xff5180d2,
    0xff507ed3,
    0xff5280d5,
    0xff5280d6,
    0xff507fd1,
    0xff5685d5,
    0xff5686d6,
    0xff5b84d6,
    0xff557fd1,
    0xff517bcf,
    0xff5983d7,
    0xff5886db,
    0xff4f7ad2,
    0xff5783da,
    0xff5582d8,
    0xff5580cf,
    0xff5d86d9,
    0xff5a83d5,
    0xff5780d1,
    0xff5880d5,
    0xff527dd3,
    0xff5785d9,
    0xff5785da,
    0xff5282d6,
    0xff5181d5,
    0xff5484d8,
    0xff5583d8,
    0xff5684da,
    0xff517dd0,
    0xff4876c9,
    0xff4f79cd,
    0xff537dd1,
    0xff6085d8,
    0xff6a8edf,
    0xff668ddc,
    0xff628ed9,
    0xff618dd8,
    0xff557ecd,
    0xff557aca,
    0xff6a92db,
    0xff6287d4,
    0xff658bd8,
    0xff688cd8,
    0xff7196dd,
    0xff6b91d8,
    0xff6388d3,
    0xff6289d8,
    0xff5c86d5,
    0xff678dde,
    0xff6990df,
    0xff6990df,
    0xff6990df,
    0xff608ada,
    0xff5581d3,
    0xff5583d2,
    0xff5483ce,
    0xff5684cf,
    0xff5983ce,
    0xff678ed9,
    0xff6187d0,
    0xff6a8fd6,
    0xff668bd1,
    0xff5d83c8,
    0xff658fd7,
    0xff7098de,
    0xff6e93da,
    0xff7092d3,
    0xff7796d7,
    0xff7897d8,
    0xff7c99db,
    0xff7693d4,
    0xff7a9bdd,
    0xff7b98dc,
    0xff819de4,
    0xff7695da,
    0xff698cd1,
    0xff6588cb,
    0xff6785c6,
    0xff7690d3,
    0xff7b99dc,
    0xff7190d3,
    0xff7a9adc,
    0xff7392d5,
    0xff7594d7,
    0xff7b98df,
    0xff819ee4,
    0xff7996dc,
    0xff7b9adb,
    0xff7393d3,
    0xff7491d3,
    0xff7f9bdd,
    0xff7e9bdd,
    0xff85a3e4,
    0xff84a7e6,
    0xff81a4e4,
    0xff7ea0e5,
    0xff799ce3,
    0xff7093da,
    0xff6c8fd6,
    0xff7294dc,
    0xff6d93da,
    0xff6c91d7,
    0xff6b8fd5,
    0xff668cd2,
    0xff6586ce,
    0xff6c8fd2,
    0xff7596db,
    0xff7395da,
    0xff7d9bdf,
    0xff7999db,
    0xff83a2e5,
    0xff6b88ca,
    0xff819ee0,
    0xff7793d5,
    0xff7390d1,
    0xff718fd2,
    0xff7390d2,
    0xff6b89cb,
    0xff7997d8,
    0xff6e90d3,
    0xff7999db,
    0xff6b89ca,
    0xff7f9bde,
    0xff87a0e4,
    0xff7992d4,
    0xff7892d3,
    0xff91abea,
    0xff849ee0,
    0xff859fde,
    0xff88a4dd,
    0xff8faae6,
    0xff7691d2,
    0xff7e97d9,
    0xff7892d1,
    0xff7b95d0,
    0xff839cda,
    0xff7892d0,
    0xff7993d1,
    0xff6d87c6,
    0xff8099da,
    0xff87a1e1,
    0xff809ada,
    0xff90a9ea,
    0xff7894d4,
    0xff7995d6,
    0xff7895d7,
    0xff7593d4,
    0xff7e9cde,
    0xff88a4e4,
    0xff819ede,
    0xff6e8bc9,
    0xff85a2df,
    0xff87a2e2,
    0xff7f99da,
    0xff8199dd,
    0xff85a1e2,
    0xff7491d3,
    0xff7e9ddf,
    0xff7998dc,
    0xff6e8fcf,
    0xff7a99da,
    0xff7799d8,
    0xff7596d9,
    0xff6a8cce,
    0xff799be0,
    0xff7295d8,
    0xff6588ce,
    0xff698dd5,
    0xff6c91d9,
    0xff6388d2,
    0xff5f86d2,
    0xff668dd8,
    0xff5d85d0,
    0xff658bd4,
    0xff648ad3,
    0xff5e83cf,
    0xff6388d3,
    0xff6188d2,
    0xff5f88d2,
    0xff537dc7,
    0xff618cd5,
    0xff5b87d0,
    0xff5985cd,
    0xff5983cf,
    0xff648bd8,
    0xff5f87d1,
    0xff668bd5,
    0xff6388cf,
    0xff6c8ed4,
    0xff678bcf,
    0xff6f8fd3,
    0xff7496d7,
    0xff6a8ec9,
    0xff7396cf,
    0xff6a8cc7,
    0xff7595d3,
    0xff7594d3,
    0xff7e98d5,
    0xff829ed6,
    0xff869ed4,
    0xff8da3da,
    0xff8c9dd5,
    0xff8e9fd7,
    0xff8ca0d7,
    0xff869dd3,
    0xff89a0d6,
    0xff8da1d4,
    0xff849dce,
    0xff7993c4,
    0xff7790c2,
    0xff7b94c6,
    0xff7994c1,
    0xff7e98c2,
    0xff7d95ba,
    0xff849abe,
    0xff7e90b7,
    0xff8697b9,
    0xff7689a6,
    0xff8193b1,
    0xff55688a,
    0xff5d7297,
    0xff677ba2,
    0xff6f83ab,
    0xff65799f,
    0xff65769a,
    0xff69789e,
    0xff647297,
    0xff717c9e,
    0xff64647e,
    0xff796d7b,
    0xff8d787d,
    0xff90686c,
    0xff95655c,
    0xff7e4535,
    0xff804537,
    0xff7d543a,
    0xff705f30,
    0xff727241,
    0xff6b744b,
    0xff586939,
    0xff4d612f,
    0xff566f38,
    0xff577437,
    0xff577536,
    0xff4c662d,
    0xff4e5f35,
    0xff40502e,
    0xff35411e,
    0xff4d5334,
    0xff62664d,
    0xff414b37,
    0xff606d5e,
    0xff566559,
    0xff737a72,
    0xff4d4a47,
    0xff716e6a,
    0xff5d4b45,
    0xff92796f,
    0xff554433,
    0xff635041,
    0xff79574d,
    0xff633f31,
    0xff543823,
    0xff51281d,
    0xff3c1c13,
    0xff341912,
    0xff40170d,
    0xff612514,
    0xff742a14,
    0xff762f15,
    0xff78351b,
    0xff6d2e15,
    0xff692d18,
    0xff5f2a16,
    0xff5d2b16,
    0xff54240e,
    0xff5b2e17,
    0xff48230e,
    0xff3e1d0a,
    0xff3c1c11,
    0xff3c1c0f,
    0xff39180a,
    0xff42180a,
    0xff4d1d11,
    0xff532316,
    0xff4d271a,
    0xff351908,
    0xff2c1e12,
    0xff24170b,
    0xff26190e,
    0xff292114,
    0xff201a0b,
    0xff1c180c,
    0xff1a180c,
    0xff17160c,
    0xff191508,
    0xff1f190c,
    0xff2e2612,
    0xff352b15,
    0xff2d210c,
    0xff312310,
    0xff312013,
    0xff2e1f11,
    0xff2d1f12,
    0xff2b1c12,
    0xff271c11,
    0xff261a0e,
    0xff281c14,
    0xff271c13,
    0xff2b2117,
    0xff291e15,
    0xff1e1b12,
    0xff222015,
    0xff24231a,
    0xff24241a,
    0xff202014,
    0xff262417,
    0xff252112,
    0xff292513,
    0xff322c13,
    0xff413a21,
    0xff463f29,
    0xff34301b,
    0xff292819,
    0xff25291d,
    0xff1f2821,
    0xff1e2825,
    0xff1e2820,
    0xff1e2821,
    0xff1c2922,
    0xff182720,
    0xff182720,
    0xff172621,
    0xff13221d,
    0xff0a1a16,
    0xff0e1b14,
    0xff0a1710,
    0xff0b1810,
    0xff05110d,
    0xff05110d,
    0xff091511,
    0xff020e0a,
    0xff04100e,
    0xff051408,
    0xff0a1418,
    0xff04130e,
    0xff07160a,
    0xff0c0000,
    0xffad7244,
    0xffd7851d,
    0xffe18b09,
    0xfff7a731,
    0xffdf8d50,
    0xffd98544,
    0xffcf702f,
    0xffca6d2a,
    0xffd48336,
    0xffd98a45,
    0xffd08322,
    0xffcf7e0f,
    0xfff5ac27,
    0xffba6e00,
    0xffc6790e,
    0xffaf610c,
    0xffb56d0a,
    0xffb96f24,
    0xffa3571d,
    0xff5b1000,
    0xffd0883a,
    0xffaf670b,
    0xff914a00,
    0xffb16e07,
    0xffb87805,
    0xffdb9b1d,
    0xffecaf1e,
    0xffdaa80e,
    0xffcc9229,
    0xffa46a0c,
    0xffb87926,
    0xfff4b24a,
    0xffd1852f,
    0xffaf6014,
    0xff974416,
    0xff8e4606,
    0xff974a00,
    0xffb06913,
    0xff8f5c21,
    0xff331602,
    0xff171103,
    0xff23241f,
    0xff151104,
    0xff191002,
    0xff9f812d,
    0xffdd9f38,
    0xffca7a21,
    0xffc67924,
    0xffe49c49,
    0xffd48739,
    0xffd4832f,
    0xffa35b07,
    0xffa15c00,
    0xffd88a32,
    0xff9f5b19,
    0xff8b5f35,
    0xff5f3811,
    0xff351900,
    0xff0f1900,
    0xff111b07,
    0xff192015,
    0xff201500,
    0xffba8429,
    0xffb95a0a,
    0xffb35500,
    0xffbd8b2c,
    0xff120003,
    0xff081300,
    0xff1b2411,
    0xff1b2212,
    0xff0e1807,
    0xff16220f,
    0xff343f2b,
    0xff313825,
    0xff535546,
    0xff544e41,
    0xff635851,
    0xff2b211c,
    0xff251f18,
    0xff24251b,
    0xff15180c,
    0xff413e38,
    0xffb3a6a7,
    0xff191707,
    0xff7e7568,
    0xff514439,
    0xff66554d,
    0xff44392c,
    0xff595343,
    0xff2d2a16,
    0xff3c3924,
    0xffc83b22,
    0xffb22d22,
    0xff9d2628,
    0xff993436,
    0xffb56461,
    0xffba7c81,
    0xffc096b1,
    0xffaa8ab6,
    0xffa86f83,
    0xff7c5671,
    0xff8e82ab,
    0xffa3a6da,
    0xffb4bbef,
    0xff9ca2d1,
    0xffc0cbee,
    0xffc9daf5,
    0xffc2cff9,
    0xffadbae7,
    0xffabbdeb,
    0xff869bd4,
    0xff6980b8,
    0xff8ba1d9,
    0xff748bc1,
    0xff7c91c8,
    0xff7081bb,
    0xff8894be,
    0xffbfc8e7,
    0xff97a4cb,
    0xff7187c0,
    0xff6781c5,
    0xff859bd7,
    0xffa3b3df,
    0xff516baf,
    0xff5b72b1,
    0xff7388be,
    0xffb2c7f1,
    0xffaec4ed,
    0xff8ba0d0,
    0xff6c88bd,
    0xff6682be,
    0xff7d95d3,
    0xff637ab6,
    0xff7892cb,
    0xff728cc6,
    0xff748dce,
    0xff6e88c7,
    0xff7d97d2,
    0xff7a94cc,
    0xff6a80b9,
    0xff6d8bca,
    0xff6588cf,
    0xff5b7dc6,
    0xff6581c6,
    0xff6b85c8,
    0xff5e79be,
    0xff6282ca,
    0xff4c6fb2,
    0xff5d80c2,
    0xff5879bc,
    0xff6a89cc,
    0xff7b98dc,
    0xff5e7abf,
    0xff7f98db,
    0xff6680c3,
    0xff5c7abc,
    0xff6282c1,
    0xff6989ca,
    0xff6081c6,
    0xff5e7fc7,
    0xff6887d1,
    0xff5d7dc3,
    0xff6787c9,
    0xff768fce,
    0xff6279ba,
    0xff6a84c3,
    0xff90aeec,
    0xff5979b5,
    0xff5c7eb9,
    0xff688dc8,
    0xff698dc9,
    0xff5872af,
    0xff7c99d4,
    0xff6c88c3,
    0xff7f9ddc,
    0xff6082c2,
    0xff5376b8,
    0xff5375bd,
    0xff597dc7,
    0xff577cbf,
    0xff5b7ec0,
    0xff5e80c4,
    0xff567cbe,
    0xff6285ca,
    0xff5f83c6,
    0xff6587cd,
    0xff5c79c1,
    0xff5a7dbf,
    0xff6b8fd0,
    0xff5b7dc1,
    0xff5879be,
    0xff5b79bf,
    0xff5a7abc,
    0xff5877b8,
    0xff5e7ebd,
    0xff5f81c9,
    0xff617fc7,
    0xff607dbf,
    0xff607cbb,
    0xff5672b1,
    0xff7796d3,
    0xff6f8ece,
    0xff678ac9,
    0xff6182c6,
    0xff5e7fc4,
    0xff6687cc,
    0xff6687cc,
    0xff6182c7,
    0xff5f80c3,
    0xff6283c4,
    0xff6083c2,
    0xff5f7fcd,
    0xff6181cd,
    0xff607dc8,
    0xff607ec6,
    0xff617ec6,
    0xff6784cc,
    0xff5d7ac3,
    0xff5b79c2,
    0xff6082c9,
    0xff648ad0,
    0xff5a7fc9,
    0xff5982c9,
    0xff587fc9,
    0xff557dc4,
    0xff597fc7,
    0xff5379c0,
    0xff577ccb,
    0xff547ac4,
    0xff567ec3,
    0xff5d85c6,
    0xff527abb,
    0xff587fc4,
    0xff587ec8,
    0xff5d81d0,
    0xff5980c9,
    0xff567dc8,
    0xff537ac9,
    0xff547ac7,
    0xff5580c9,
    0xff4e79c1,
    0xff5781ce,
    0xff4e77c8,
    0xff527bcb,
    0xff557ccd,
    0xff5178c9,
    0xff537acc,
    0xff4c74c4,
    0xff567dce,
    0xff5880cf,
    0xff4f75c6,
    0xff4b74c9,
    0xff4d75ca,
    0xff5176cb,
    0xff5176cb,
    0xff5076ca,
    0xff4e76cb,
    0xff527ed1,
    0xff4978ca,
    0xff4e7dcf,
    0xff4f80d1,
    0xff4f7fd4,
    0xff5585d9,
    0xff5484d8,
    0xff5583d9,
    0xff4c79cf,
    0xff4f7bd2,
    0xff5481da,
    0xff547ed6,
    0xff4e76cd,
    0xff4c71c7,
    0xff5579ce,
    0xff5177c8,
    0xff4f79c9,
    0xff5078c8,
    0xff4e73c4,
    0xff577ccd,
    0xff547bcb,
    0xff5a83d5,
    0xff5680d4,
    0xff4c79cd,
    0xff4977cd,
    0xff5482d7,
    0xff527bd2,
    0xff517cd0,
    0xff547ccf,
    0xff4b71c3,
    0xff537ccc,
    0xff5782d1,
    0xff5481d2,
    0xff5484d4,
    0xff507fd2,
    0xff4d7ccf,
    0xff4f7dd3,
    0xff517ed4,
    0xff5786da,
    0xff5281d3,
    0xff507fce,
    0xff4f7ece,
    0xff4e78cb,
    0xff5680d3,
    0xff557fd3,
    0xff527bcf,
    0xff527fd4,
    0xff527ed5,
    0xff527ed5,
    0xff507ed4,
    0xff6089d9,
    0xff5883d1,
    0xff5279c9,
    0xff547cce,
    0xff557dd1,
    0xff547ed2,
    0xff4f7cd1,
    0xff4c79ce,
    0xff5183d8,
    0xff5180d4,
    0xff5383d7,
    0xff5280d5,
    0xff4a78ce,
    0xff5683d6,
    0xff5885d9,
    0xff5480d4,
    0xff5984d7,
    0xff5980d3,
    0xff6387d8,
    0xff658ddc,
    0xff6e99e6,
    0xff5e8bd5,
    0xff618ada,
    0xff678edc,
    0xff6891d4,
    0xff6c92d9,
    0xff658cd4,
    0xff6287d1,
    0xff6a8ed9,
    0xff688ed9,
    0xff5f84d6,
    0xff5b81d7,
    0xff638cde,
    0xff6187d8,
    0xff6188d7,
    0xff5f85d4,
    0xff638bd9,
    0xff6089d9,
    0xff5b86d7,
    0xff5888d8,
    0xff5688d4,
    0xff5b8cd9,
    0xff5582d0,
    0xff638dd9,
    0xff6288d4,
    0xff6b91dc,
    0xff6b91db,
    0xff5c81ca,
    0xff6b94dd,
    0xff567ec5,
    0xff7499de,
    0xff7698d9,
    0xff7a99d8,
    0xff7b99d7,
    0xff7693d5,
    0xff7c9adc,
    0xff7192d0,
    0xff7d9adc,
    0xff7c98dd,
    0xff7392d7,
    0xff6c8dd1,
    0xff6c8ed1,
    0xff7795d9,
    0xff7590d2,
    0xff7795d9,
    0xff6c8bce,
    0xff6a8acc,
    0xff809ce0,
    0xff7894d8,
    0xff829de1,
    0xff748fd4,
    0xff738fd3,
    0xff7692d5,
    0xff7f9cde,
    0xff829ee1,
    0xff809cde,
    0xff7b96d8,
    0xff809de0,
    0xff6385c5,
    0xff6f90cf,
    0xff7694d8,
    0xff7b97dc,
    0xff7997dd,
    0xff7b99df,
    0xff7a98df,
    0xff7192d8,
    0xff7495d7,
    0xff86a6ea,
    0xff7394db,
    0xff7a9de0,
    0xff7fa2e6,
    0xff7e9fe1,
    0xff7593d6,
    0xff6e8dd1,
    0xff6b87cc,
    0xff718dd2,
    0xff6a88ca,
    0xff809ee0,
    0xff728ed1,
    0xff809fdf,
    0xff809bdb,
    0xff7b96d5,
    0xff90abe9,
    0xff7a96d2,
    0xff7999d4,
    0xff7897d2,
    0xff849fde,
    0xff7a92d3,
    0xff90a7e6,
    0xff7b93cf,
    0xff89a3da,
    0xff819ad1,
    0xff879fd9,
    0xff8ba0d8,
    0xff7d93c8,
    0xff7d93cb,
    0xff7d95cf,
    0xff93aae6,
    0xff92a9e3,
    0xff8ba4dc,
    0xff87a1d9,
    0xff91a9e4,
    0xff93abe6,
    0xff89a2dc,
    0xff7f97d3,
    0xff8199d5,
    0xff8fa6e2,
    0xff8ea6e3,
    0xff809ad9,
    0xff859edf,
    0xff7994d5,
    0xff7e99da,
    0xff7892d2,
    0xff86a0dd,
    0xff859fda,
    0xff8da5e1,
    0xff839bd6,
    0xff859dd9,
    0xff8097d4,
    0xff879cdc,
    0xff92aaec,
    0xff758ed2,
    0xff7791d8,
    0xff6e8cd0,
    0xff7793d8,
    0xff728fd3,
    0xff6f8dd1,
    0xff7291d3,
    0xff7d9bde,
    0xff7795da,
    0xff7e9de2,
    0xff6d8ed1,
    0xff7092d5,
    0xff779adc,
    0xff7399dd,
    0xff6e95d9,
    0xff6990d5,
    0xff6d94d8,
    0xff678bcf,
    0xff6e93d6,
    0xff6d93d7,
    0xff6b91d6,
    0xff6990d5,
    0xff658bd0,
    0xff6d95d9,
    0xff628dd0,
    0xff6a94d7,
    0xff6791d5,
    0xff6a90cb,
    0xff5f84be,
    0xff688ec8,
    0xff6e91c8,
    0xff7091c6,
    0xff7e9dd1,
    0xff7695c8,
    0xff7997c9,
    0xff7696ca,
    0xff6e8fc2,
    0xff7698c6,
    0xff7f9fd0,
    0xff85a2d6,
    0xff7c97cd,
    0xff87a1d5,
    0xff91a9d8,
    0xff8da1d0,
    0xff95a3d1,
    0xff9aa5d3,
    0xff9aa5d2,
    0xff94a2cf,
    0xff96a8d1,
    0xff909fc9,
    0xff929fc9,
    0xff8c9dc1,
    0xff8499bc,
    0xff7287ac,
    0xff6f84a6,
    0xff798fad,
    0xff8799b4,
    0xff708097,
    0xff7e8da0,
    0xff7e8f9b,
    0xff74868c,
    0xff718484,
    0xff687c7c,
    0xff6a7a7f,
    0xff697b85,
    0xff42535f,
    0xff4c5e6a,
    0xff697a86,
    0xff51616e,
    0xff404f5c,
    0xff515d6a,
    0xff4c535f,
    0xff6a676b,
    0xff82726a,
    0xff614838,
    0xff845850,
    0xff86513f,
    0xff854a34,
    0xff854930,
    0xff825631,
    0xff745d24,
    0xff706d2b,
    0xff73793b,
    0xff667234,
    0xff596927,
    0xff5c702a,
    0xff62792d,
    0xff60792b,
    0xff4e631c,
    0xff59692d,
    0xff5e6a3a,
    0xff646745,
    0xff646346,
    0xff7b7a64,
    0xff7b826f,
    0xff7d8879,
    0xff697268,
    0xff343531,
    0xff514344,
    0xff3f2d2a,
    0xff52342f,
    0xff7c5a4e,
    0xff6f4f3f,
    0xff653a2e,
    0xff92584d,
    0xff6c3428,
    0xff4d2511,
    0xff4e2218,
    0xff3a1a13,
    0xff341912,
    0xff3d1409,
    0xff652515,
    0xff772711,
    0xff79280f,
    0xff742c14,
    0xff6c2c16,
    0xff622814,
    0xff592210,
    0xff5b2815,
    0xff582811,
    0xff552811,
    0xff491f0a,
    0xff3d1807,
    0xff39190d,
    0xff401e13,
    0xff401d10,
    0xff47190f,
    0xff511d15,
    0xff58221a,
    0xff4f2418,
    0xff351506,
    0xff2d1910,
    0xff231309,
    0xff26180c,
    0xff241a0e,
    0xff1f1809,
    0xff1c190b,
    0xff1c190e,
    0xff17170c,
    0xff21180c,
    0xff251d0c,
    0xff322713,
    0xff3c2e16,
    0xff312108,
    0xff37250e,
    0xff311e0e,
    0xff332012,
    0xff2d1a0c,
    0xff2f1c0e,
    0xff2d1b0f,
    0xff28180b,
    0xff27190c,
    0xff291c13,
    0xff2d2017,
    0xff281d14,
    0xff1d1b15,
    0xff1f1e19,
    0xff21211c,
    0xff21221a,
    0xff1b1b11,
    0xff221f13,
    0xff201e10,
    0xff292313,
    0xff312b15,
    0xff342e19,
    0xff36311d,
    0xff282413,
    0xff252517,
    0xff20251a,
    0xff1a221d,
    0xff17221e,
    0xff222920,
    0xff232d24,
    0xff1c291f,
    0xff1b281e,
    0xff1a2922,
    0xff14231e,
    0xff13211d,
    0xff0e1d19,
    0xff121d18,
    0xff0b1811,
    0xff0c1912,
    0xff06130b,
    0xff05110d,
    0xff091411,
    0xff000c0b,
    0xff04110e,
    0xff09130f,
    0xff09101a,
    0xff00110e,
    0xff091a06,
    0xff120200,
    0xff9f602a,
    0xffbf6a04,
    0xffffb239,
    0xffcc7406,
    0xffdb8655,
    0xffe48c5b,
    0xffc16135,
    0xffb9611f,
    0xffe29e49,
    0xff662000,
    0xffaf660f,
    0xffe29c1f,
    0xffdd9917,
    0xffc67e09,
    0xfff3a84e,
    0xffbf6c46,
    0xff9a4e06,
    0xffaf640e,
    0xff8f4302,
    0xff8e4519,
    0xffb26d10,
    0xfffeb934,
    0xffe29b24,
    0xffb86d07,
    0xffb46c0a,
    0xffb06605,
    0xffce8906,
    0xffbf8102,
    0xffe0a041,
    0xffc38a2c,
    0xffffd151,
    0xff905807,
    0xffa86b23,
    0xff6b2d03,
    0xff541600,
    0xff935c13,
    0xffb07007,
    0xffab6b0e,
    0xffad730f,
    0xffa87236,
    0xff372307,
    0xff26280b,
    0xff170900,
    0xff3c1a00,
    0xffe0b248,
    0xfff5af35,
    0xffc66c1c,
    0xffd9803f,
    0xffb36711,
    0xffd18926,
    0xffd58a27,
    0xffdc9123,
    0xffbb770c,
    0xffbc740c,
    0xffb36b0a,
    0xffd39033,
    0xffc57739,
    0xff531800,
    0xff130a00,
    0xff231b07,
    0xff11170e,
    0xff121d0d,
    0xff4f4009,
    0xffcb8b3f,
    0xffb26200,
    0xffeebe4e,
    0xff261500,
    0xff0c170c,
    0xff131e16,
    0xff141a16,
    0xff0e1611,
    0xff0e1c12,
    0xff263328,
    0xff242d25,
    0xff20251e,
    0xff5f5b48,
    0xff605648,
    0xff2b2116,
    0xff191609,
    0xff171c0d,
    0xff0d1507,
    0xff1c1d15,
    0xff706865,
    0xff080900,
    0xff4b4434,
    0xff6d5d51,
    0xff5f4d43,
    0xff32241a,
    0xff5b5546,
    0xff292914,
    0xff262911,
    0xffbb3b30,
    0xffc1534d,
    0xffdc9598,
    0xffedccdc,
    0xffd0c3e3,
    0xffaea4cc,
    0xffcec9ee,
    0xffcdd5f1,
    0xffc9c8e5,
    0xfff9f9ff,
    0xffb9bad9,
    0xff7f85b0,
    0xff8591c8,
    0xff8f9cd5,
    0xff8693c3,
    0xff7a89ab,
    0xff657b9d,
    0xff7289b4,
    0xff667db0,
    0xff94abe3,
    0xffafc7f8,
    0xff8da2cf,
    0xff9bacd9,
    0xff9aa9d5,
    0xff92a1d2,
    0xff7f90c4,
    0xff7085bd,
    0xff6c85c1,
    0xff6e89c6,
    0xff6c85be,
    0xff7b8fc4,
    0xff7080b4,
    0xff94a4d3,
    0xffa7bce5,
    0xff95acdf,
    0xff657dac,
    0xff88a0ce,
    0xff6b80b8,
    0xffc2dbff,
    0xff8ba3d6,
    0xff7a91c4,
    0xff768cc2,
    0xff869bd6,
    0xff889ede,
    0xff89a0e1,
    0xff677ec1,
    0xff7891d0,
    0xff718bc8,
    0xff6c89cb,
    0xff6b88ca,
    0xff6986cb,
    0xff6a87cc,
    0xff7796d9,
    0xff6381c5,
    0xff708fcf,
    0xff6382c4,
    0xff5d7cbd,
    0xff7896d7,
    0xff7593d4,
    0xff5674b6,
    0xff607ebf,
    0xff6786c6,
    0xff6283c2,
    0xff6383c4,
    0xff6e8ad2,
    0xff5571b9,
    0xff5372ba,
    0xff5274bc,
    0xff5d82c9,
    0xff5a7ec6,
    0xff587cc4,
    0xff6185ce,
    0xff5e7ebf,
    0xff5273b7,
    0xff5e7ec6,
    0xff5e7fc4,
    0xff5d7fc1,
    0xff5f81c2,
    0xff5f80c4,
    0xff5c7dc5,
    0xff5b7db6,
    0xff5a79b6,
    0xff5270af,
    0xff6685c6,
    0xff5a7cbe,
    0xff5277bc,
    0xff5a7cc4,
    0xff5f7dc7,
    0xff6089c4,
    0xff5a81be,
    0xff567dba,
    0xff6588c8,
    0xff5576b8,
    0xff5072b5,
    0xff5674b8,
    0xff5e7dc1,
    0xff6382bf,
    0xff6d8ccb,
    0xff6b89cb,
    0xff6684ca,
    0xff708ed4,
    0xff6e8cd0,
    0xff6082c2,
    0xff6a8ccc,
    0xff688bcd,
    0xff6b8dd0,
    0xff5d7cbd,
    0xff6b89c9,
    0xff6584c3,
    0xff6281c2,
    0xff6185c3,
    0xff6185c4,
    0xff6b8cd1,
    0xff6586cb,
    0xff5d7ec3,
    0xff5b7ec5,
    0xff5e80c7,
    0xff5e80c8,
    0xff5c7ec6,
    0xff597dc4,
    0xff6485ce,
    0xff5a7bc1,
    0xff5b7fc4,
    0xff5c7ec8,
    0xff5173bf,
    0xff6586d4,
    0xff5b79c6,
    0xff708fd8,
    0xff527cba,
    0xff5680c4,
    0xff577fc9,
    0xff557cc7,
    0xff577fc4,
    0xff537cbc,
    0xff567dc1,
    0xff5479c2,
    0xff5b7fcd,
    0xff5d81cc,
    0xff5478c1,
    0xff5e83cb,
    0xff5a7ec3,
    0xff5479bc,
    0xff5a7ec2,
    0xff5479bd,
    0xff557cc3,
    0xff537bc1,
    0xff5782c9,
    0xff5680c8,
    0xff507bc5,
    0xff547dcf,
    0xff577cd2,
    0xff5177d0,
    0xff517bd5,
    0xff4b7ad2,
    0xff497acf,
    0xff4c80d1,
    0xff5082d3,
    0xff4e7dce,
    0xff537dcc,
    0xff5179c9,
    0xff5378ca,
    0xff587ed1,
    0xff5b84d9,
    0xff5c86dc,
    0xff527ed4,
    0xff5783d9,
    0xff5781d5,
    0xff547ed2,
    0xff4b7bcf,
    0xff4977cc,
    0xff4c7ace,
    0xff4a78cd,
    0xff4f7ccf,
    0xff517ed1,
    0xff4f78ca,
    0xff4f79cd,
    0xff4675cc,
    0xff4975cd,
    0xff4e76ce,
    0xff5278ce,
    0xff557dd2,
    0xff5079cd,
    0xff577ccf,
    0xff5a7ed0,
    0xff547fce,
    0xff527bce,
    0xff527fd1,
    0xff5684d9,
    0xff4f7ed4,
    0xff4e7dd3,
    0xff5080d5,
    0xff4c7ad0,
    0xff5079d2,
    0xff577fd9,
    0xff547dd7,
    0xff557ed8,
    0xff4e75cf,
    0xff557dd5,
    0xff557cd3,
    0xff557bd3,
    0xff5781d7,
    0xff547cd5,
    0xff4e77d2,
    0xff547cd5,
    0xff426fc2,
    0xff4d7acb,
    0xff5682d5,
    0xff4877cb,
    0xff507bd4,
    0xff527ed5,
    0xff4b79ce,
    0xff4f7dcf,
    0xff507dcf,
    0xff4d7bce,
    0xff547cd1,
    0xff517acf,
    0xff4c77ca,
    0xff5279cc,
    0xff5d7fd2,
    0xff5b7dce,
    0xff5b83d2,
    0xff5c89db,
    0xff5785db,
    0xff5886dd,
    0xff4f7fd3,
    0xff4a7ace,
    0xff5a89dd,
    0xff5584d8,
    0xff5d8be2,
    0xff5684da,
    0xff5685db,
    0xff5a88df,
    0xff5f8edb,
    0xff5787d4,
    0xff5b8adb,
    0xff5987d7,
    0xff4775c4,
    0xff5580cf,
    0xff5e86d2,
    0xff6084d1,
    0xff6489cf,
    0xff5e84cb,
    0xff5e84cf,
    0xff5c82d1,
    0xff537acb,
    0xff577fcf,
    0xff577fcf,
    0xff5983d3,
    0xff517bc6,
    0xff648cd9,
    0xff5d83d3,
    0xff618ad4,
    0xff507fc4,
    0xff5b8dcf,
    0xff628fd4,
    0xff6e96e1,
    0xff678ed8,
    0xff668bda,
    0xff6186d6,
    0xff6489d7,
    0xff6389d2,
    0xff7497e0,
    0xff6988d0,
    0xff7991df,
    0xff6d8de3,
    0xff668cd4,
    0xff789be3,
    0xff7193d7,
    0xff6e95c5,
    0xff81a1d5,
    0xff7592d3,
    0xff85a5e5,
    0xff7f9fd7,
    0xff819dd9,
    0xff859cdf,
    0xff899edd,
    0xff8197ce,
    0xff859bd1,
    0xff8da3df,
    0xff91a7ec,
    0xff8097db,
    0xff778ed1,
    0xff8499db,
    0xff869cdb,
    0xff8ba1e0,
    0xff8198d7,
    0xff859edf,
    0xff839ddf,
    0xff7588d0,
    0xff859cdb,
    0xff8ca5df,
    0xff85a1dd,
    0xff7691d3,
    0xff849de6,
    0xff839de3,
    0xff849bdf,
    0xff8099de,
    0xff84a0e3,
    0xff85a5ea,
    0xff7d9be1,
    0xff7c96de,
    0xff8da4e9,
    0xff88a0e6,
    0xff829ee0,
    0xff8aa6e9,
    0xff829ee0,
    0xff8fa8e9,
    0xff89a0e1,
    0xff99afed,
    0xff889cd8,
    0xff9db1ee,
    0xff98abe9,
    0xff88a5e5,
    0xff738ecf,
    0xff7b92d6,
    0xff869add,
    0xff99a9ec,
    0xff99aae8,
    0xff97a9e2,
    0xff96a8e0,
    0xff96a7e8,
    0xff889bdc,
    0xff7c91d3,
    0xff7890d1,
    0xff788fcd,
    0xff8ba1de,
    0xff8a9fda,
    0xff8ea3df,
    0xff889bda,
    0xff8fa1de,
    0xff8d9fdb,
    0xff94a2df,
    0xffa0aeea,
    0xff91a1de,
    0xff8da0dd,
    0xff91a4e0,
    0xff7d92d0,
    0xff8da2dc,
    0xff889ed3,
    0xff96abe3,
    0xff889ed8,
    0xff89a1dd,
    0xff7e99d6,
    0xff6f89c4,
    0xff6b82bf,
    0xff8299d5,
    0xff869ed9,
    0xff869eda,
    0xff8198d4,
    0xff7c93d1,
    0xff879edc,
    0xff829ad8,
    0xff899ddd,
    0xff83a0d4,
    0xff90a1d1,
    0xff939bd1,
    0xff889dd7,
    0xff8c9fe2,
    0xff8394dd,
    0xff87a4e4,
    0xff899bd9,
    0xff879bdb,
    0xff819bd8,
    0xff87a4db,
    0xff859ed2,
    0xff889fd0,
    0xff889dd0,
    0xff8fa5da,
    0xff92a7da,
    0xff8aa4d1,
    0xff819ac8,
    0xff84a3d5,
    0xff87a5d9,
    0xff7d9bd1,
    0xff789bcc,
    0xff7799c7,
    0xff7598cb,
    0xff769cd1,
    0xff6d94c9,
    0xff6a92c5,
    0xff678fbd,
    0xff6f94c1,
    0xff6c8eb6,
    0xff6c8db1,
    0xff7492b8,
    0xff7797b7,
    0xff6f8eae,
    0xff87a6c6,
    0xff84a3c8,
    0xff7c97bd,
    0xff7d99be,
    0xff7590b4,
    0xff7291aa,
    0xff7593ab,
    0xff69879e,
    0xff708ca5,
    0xff67819a,
    0xff8ba2bd,
    0xff899bb9,
    0xff8c9ebb,
    0xff96a4c1,
    0xff97a3bd,
    0xffa2aec3,
    0xffa4b0c4,
    0xff8895aa,
    0xff8b99ad,
    0xff8f9dac,
    0xff8e9fa9,
    0xff8499a0,
    0xff879ca9,
    0xff859bae,
    0xff839aaa,
    0xff80959f,
    0xff748889,
    0xff7e8f8b,
    0xff8b9891,
    0xff7a8a79,
    0xff77897d,
    0xff5a6d66,
    0xff4a5a55,
    0xff4d5854,
    0xff3a4140,
    0xff3d4443,
    0xff272f2f,
    0xff293130,
    0xff252d2c,
    0xff3d4645,
    0xff555c5d,
    0xff79787b,
    0xff71625f,
    0xff7d5c52,
    0xff8b5b4a,
    0xff7f442d,
    0xff8b4934,
    0xff873e2a,
    0xff7d3b20,
    0xff86512c,
    0xff7c6026,
    0xff7c7329,
    0xff737625,
    0xff6f7529,
    0xff5f691a,
    0xff596815,
    0xff4f640c,
    0xff5c741a,
    0xff5a7120,
    0xff4f6420,
    0xff667741,
    0xff6d6e4c,
    0xff767858,
    0xff71795d,
    0xff465943,
    0xff363228,
    0xff4e4d45,
    0xff616f5b,
    0xff512a22,
    0xff3c130b,
    0xff5f503d,
    0xff70503f,
    0xff6c3524,
    0xff883323,
    0xff8d291b,
    0xff893a27,
    0xff954537,
    0xff5d1d07,
    0xff401a0a,
    0xff2f140b,
    0xff46140d,
    0xff6c1f0f,
    0xff802a0e,
    0xff7d290d,
    0xff7b2c14,
    0xff6f3317,
    0xff6b2411,
    0xff712116,
    0xff692011,
    0xff61240f,
    0xff642c15,
    0xff6d321a,
    0xff571b07,
    0xff4a1903,
    0xff572314,
    0xff542314,
    0xff4d1e0e,
    0xff591e0f,
    0xff641c10,
    0xff5c1d10,
    0xff461b0c,
    0xff391710,
    0xff34180d,
    0xff311d0d,
    0xff34230d,
    0xff2b1e0b,
    0xff261e0b,
    0xff252312,
    0xff1d1f10,
    0xff261d10,
    0xff2f220e,
    0xff423012,
    0xff432a0c,
    0xff45290d,
    0xff432912,
    0xff361f0b,
    0xff321e0b,
    0xff351e11,
    0xff301b10,
    0xff2d1b12,
    0xff2d1b0f,
    0xff2e1b0d,
    0xff2d1e11,
    0xff281c14,
    0xff1b150f,
    0xff18180e,
    0xff18180f,
    0xff1c1b11,
    0xff201d13,
    0xff1f1b12,
    0xff1c1c12,
    0xff1c1d12,
    0xff1c1d11,
    0xff1c1e0e,
    0xff242618,
    0xff242618,
    0xff1c1f12,
    0xff1f2214,
    0xff192014,
    0xff1e241b,
    0xff1e241b,
    0xff1a231b,
    0xff232d22,
    0xff20291e,
    0xff1c261b,
    0xff172419,
    0xff1b261e,
    0xff17221c,
    0xff15221b,
    0xff182119,
    0xff101a12,
    0xff0e1910,
    0xff07150e,
    0xff08150d,
    0xff07140c,
    0xff06120e,
    0xff05100d,
    0xff0a1519,
    0xff0a130c,
    0xff071413,
    0xff00141b,
    0xff0b0802,
    0xff875514,
    0xffe58d31,
    0xffcc6611,
    0xffae4612,
    0xffda8c4e,
    0xffe58d56,
    0xffa23e1f,
    0xffc37440,
    0xff6f5018,
    0xff3d2703,
    0xffd27b18,
    0xfff5a61f,
    0xfff9b723,
    0xffc58102,
    0xffffb262,
    0xff9a3f0c,
    0xff984b02,
    0xffd38c32,
    0xffab5e12,
    0xff944c01,
    0xffb4620f,
    0xffe89b2b,
    0xffe7a821,
    0xffb67500,
    0xffb86b05,
    0xffb87008,
    0xffa56d01,
    0xffb8841e,
    0xffb26e12,
    0xffb97928,
    0xffca9329,
    0xff8e4901,
    0xff4d0800,
    0xff864f20,
    0xff6a2c00,
    0xffb56e1f,
    0xffc3840d,
    0xffb0720c,
    0xffb37810,
    0xff824600,
    0xffbd8738,
    0xffa97c20,
    0xff58240e,
    0xffbb833e,
    0xffae700e,
    0xffcb8422,
    0xffffbc54,
    0xffeeab4a,
    0xffdf9c47,
    0xffca871f,
    0xffd58a25,
    0xffc67809,
    0xffaf6504,
    0xffb06a0a,
    0xffb97204,
    0xffc1770d,
    0xffc87f37,
    0xffb58029,
    0xff7e5a29,
    0xff0e0d00,
    0xff191401,
    0xff2f2826,
    0xff0b0f00,
    0xff4a3c03,
    0xffebae3e,
    0xffe0aa43,
    0xff111000,
    0xff07130c,
    0xff0c1810,
    0xff0b150d,
    0xff0c160e,
    0xff0b150d,
    0xff151f16,
    0xff30372f,
    0xff151c13,
    0xff454032,
    0xff7c776c,
    0xff4b4c41,
    0xff0a0f01,
    0xff131c0c,
    0xff151f0e,
    0xff080d03,
    0xff6b6d69,
    0xff25281f,
    0xff0d0c04,
    0xff7e7a6f,
    0xff585146,
    0xff50483d,
    0xff625e51,
    0xff141408,
    0xff1a1d12,
    0xffcb7d8b,
    0xffe0b5c8,
    0xff9d90ae,
    0xff9186b3,
    0xffa499c8,
    0xffb6b2d8,
    0xffaaadcd,
    0xffa8b0cc,
    0xff8c93c3,
    0xff8085b2,
    0xff8d95bd,
    0xff8b96c3,
    0xff8796cb,
    0xff7689be,
    0xff8fa3cd,
    0xffc1d2eb,
    0xffb4c4f2,
    0xff9cace3,
    0xff95a6e4,
    0xff7183c2,
    0xff697cb5,
    0xff7482b7,
    0xff737eaf,
    0xffa0aada,
    0xffaab8e4,
    0xff9fb0e0,
    0xff93a7da,
    0xff899fd4,
    0xff697fb5,
    0xff8ba1d4,
    0xff97a8dc,
    0xff7f90c2,
    0xff737eb3,
    0xff8fa2cf,
    0xff7c91ca,
    0xff657db0,
    0xff768abe,
    0xff6c7fbc,
    0xff5e74a5,
    0xff6178af,
    0xff6f87b9,
    0xff7289be,
    0xff8ea6de,
    0xff7d95d2,
    0xff5871b0,
    0xff7592cf,
    0xff89a6e0,
    0xff6a88bf,
    0xff6e8dcc,
    0xff607ebe,
    0xff5f7cbd,
    0xff5878bb,
    0xff5a79bc,
    0xff5676b9,
    0xff8baeed,
    0xff5070b0,
    0xff637cc2,
    0xff7a91da,
    0xff6981c9,
    0xff647bc4,
    0xff687dc5,
    0xff768cd2,
    0xff647ac1,
    0xff637bc2,
    0xff5c79bc,
    0xff637fc4,
    0xff6080c5,
    0xff6386c9,
    0xff557cbe,
    0xff577dc2,
    0xff5c81c6,
    0xff5b80c5,
    0xff5f81c2,
    0xff6384c9,
    0xff5b7dc4,
    0xff5a7bc2,
    0xff597abe,
    0xff5677bb,
    0xff5d7fc4,
    0xff5776c0,
    0xff587ac3,
    0xff5573be,
    0xff5e79c4,
    0xff5978c2,
    0xff5c7dca,
    0xff567bc6,
    0xff5a7cc6,
    0xff5878c5,
    0xff5b7dc5,
    0xff5e7fc8,
    0xff5d7dc6,
    0xff5d7dc6,
    0xff6283cb,
    0xff6885ce,
    0xff6381ca,
    0xff607ec7,
    0xff6884cb,
    0xff7592d7,
    0xff6582c9,
    0xff617cc6,
    0xff6280c8,
    0xff5c7ac1,
    0xff6684c9,
    0xff5e7fc1,
    0xff5b7fb9,
    0xff577bb2,
    0xff5e7cb6,
    0xff5a77b4,
    0xff637fc1,
    0xff718ed4,
    0xff617fc9,
    0xff6182cc,
    0xff5d7ec3,
    0xff5e7fc4,
    0xff6181c6,
    0xff5e81c7,
    0xff6588cd,
    0xff5d7fc7,
    0xff698bd3,
    0xff698bd4,
    0xff5478ce,
    0xff587fd1,
    0xff5980cf,
    0xff5780d0,
    0xff5c87d7,
    0xff4e77c5,
    0xff557fc6,
    0xff5d85c8,
    0xff5e80c9,
    0xff6180d1,
    0xff5a79cd,
    0xff5975c9,
    0xff6987d4,
    0xff5f7dc7,
    0xff617fcd,
    0xff5c7acb,
    0xff527dc0,
    0xff5381c2,
    0xff537fc4,
    0xff517dc7,
    0xff4f7bc7,
    0xff5781d2,
    0xff507ace,
    0xff5781d8,
    0xff577ecf,
    0xff557bca,
    0xff507ac6,
    0xff527cc7,
    0xff527cc7,
    0xff5681cb,
    0xff587fcd,
    0xff5c81cf,
    0xff547bcc,
    0xff527bcb,
    0xff537fcf,
    0xff547ed0,
    0xff4b78c7,
    0xff5178c9,
    0xff5478c9,
    0xff5071c5,
    0xff5178cf,
    0xff4e79cf,
    0xff4974cc,
    0xff4876cd,
    0xff4876ce,
    0xff4674cc,
    0xff4c7ad0,
    0xff4572c6,
    0xff4e7ece,
    0xff4777c7,
    0xff5080d0,
    0xff4f7fcf,
    0xff507dce,
    0xff4f7ccd,
    0xff4b79ca,
    0xff4e7ccd,
    0xff4b7ccc,
    0xff4f7ccd,
    0xff5179ca,
    0xff5780d1,
    0xff5680cf,
    0xff5782d0,
    0xff557ecd,
    0xff5a7ece,
    0xff567dcc,
    0xff557fce,
    0xff4e79cb,
    0xff517bd0,
    0xff507ed1,
    0xff5682d6,
    0xff5580d4,
    0xff547fd4,
    0xff507ecb,
    0xff5381cf,
    0xff507fcd,
    0xff527ccc,
    0xff527dcd,
    0xff507bca,
    0xff517dc9,
    0xff4f79c5,
    0xff5785d0,
    0xff507ece,
    0xff4c79cd,
    0xff5583d4,
    0xff5582d1,
    0xff5383cf,
    0xff4f7fcf,
    0xff4d7bd0,
    0xff4d7ccf,
    0xff5480d5,
    0xff5c89df,
    0xff5683d6,
    0xff5986da,
    0xff5c8ada,
    0xff5482d3,
    0xff5984d6,
    0xff5083d7,
    0xff5484d7,
    0xff5781d5,
    0xff567fd1,
    0xff5583d4,
    0xff5586d4,
    0xff5382d3,
    0xff5784d6,
    0xff5484d2,
    0xff5886d2,
    0xff5988d5,
    0xff5480cd,
    0xff5a86d4,
    0xff557fce,
    0xff557fce,
    0xff5682d0,
    0xff5e86d9,
    0xff5b83d8,
    0xff547cd1,
    0xff5881d6,
    0xff5b82d4,
    0xff6185d6,
    0xff698bd9,
    0xff6989d5,
    0xff708fd3,
    0xff6e8fd3,
    0xff7191d7,
    0xff6d8fd9,
    0xff688ad5,
    0xff6b8fdb,
    0xff6c90da,
    0xff668ad4,
    0xff678dd8,
    0xff6c8fdd,
    0xff6386d4,
    0xff698fda,
    0xff709ae0,
    0xff6792d6,
    0xff6a90d6,
    0xff7495e0,
    0xff7899e0,
    0xff7794e0,
    0xff809be8,
    0xff7f9be8,
    0xff7190d8,
    0xff7a9cde,
    0xff779bde,
    0xff7b9ae1,
    0xff849ae1,
    0xff7f9bd7,
    0xff7e9ddc,
    0xff8096dc,
    0xff8c99da,
    0xff8b9ae2,
    0xff8499de,
    0xff889acd,
    0xff859dd1,
    0xff8198d2,
    0xff8498d4,
    0xff889ad4,
    0xff98abe0,
    0xff8ca0d3,
    0xff8da1da,
    0xff8295d7,
    0xff8a9ee1,
    0xff8c9fe4,
    0xff889adc,
    0xff8598d7,
    0xff889cdb,
    0xff8397d6,
    0xff96acec,
    0xff8aa0e1,
    0xff91a6e5,
    0xff8ca3dc,
    0xff839bcd,
    0xff91aadb,
    0xff89a1da,
    0xff869ddb,
    0xff8ca4e2,
    0xff90a9e3,
    0xff90a8e7,
    0xff7d9ad6,
    0xff89a7e3,
    0xff82a0dc,
    0xff86a1df,
    0xff91a8e6,
    0xff90a9e3,
    0xff839cd6,
    0xff8da8e1,
    0xff7f99d3,
    0xff7b94cc,
    0xff8ea4dc,
    0xff8ea3db,
    0xff8fa2d8,
    0xff92a5dc,
    0xff90a1d8,
    0xff859ed6,
    0xff93aae1,
    0xff97ace4,
    0xff96a7de,
    0xff93a4d8,
    0xff94a4d6,
    0xff9cacdf,
    0xff97a7d9,
    0xff91a4d4,
    0xff96a9da,
    0xff97abdb,
    0xff8aa0cf,
    0xff93a9d7,
    0xff8fa4d0,
    0xff889dc7,
    0xff93a6d3,
    0xff93a6de,
    0xff91a1db,
    0xff99a8e3,
    0xff99a5de,
    0xff939fd8,
    0xff9eaae4,
    0xff99a7e1,
    0xff8795ce,
    0xff97a5e0,
    0xff8e9ed3,
    0xff93a2d6,
    0xff97a6dc,
    0xff8294ce,
    0xff93a5e1,
    0xff90a2db,
    0xff93a9e0,
    0xff94a6e0,
    0xff91a4dd,
    0xff90a3db,
    0xff8fa3d8,
    0xff9db0e5,
    0xff99ace1,
    0xff8ea2d6,
    0xff95a9df,
    0xff96addc,
    0xff94a8d1,
    0xff9caccf,
    0xffaeb9dd,
    0xff9ca5ce,
    0xff95aad3,
    0xff93a8cf,
    0xffa2aad2,
    0xff97a6c9,
    0xff8ea1c5,
    0xff93a9d2,
    0xff8ea6cf,
    0xff8ca0c9,
    0xff94a6ce,
    0xff8e9dca,
    0xff91a2cf,
    0xff8e9abd,
    0xff8895b7,
    0xff919fc2,
    0xff8699bc,
    0xff768ab2,
    0xff879ec5,
    0xff879dc0,
    0xff7a93b2,
    0xff7594ae,
    0xff4c6d85,
    0xff5b7d96,
    0xff54778f,
    0xff507287,
    0xff4f717e,
    0xff516f7b,
    0xff506d73,
    0xff537068,
    0xff607d72,
    0xff648274,
    0xff426055,
    0xff47645e,
    0xff516e6b,
    0xff5e7a76,
    0xff6d8b84,
    0xff637e78,
    0xff536f67,
    0xff526e66,
    0xff425d54,
    0xff4c635e,
    0xff677b77,
    0xff617171,
    0xff616d70,
    0xff5c6869,
    0xff6b7876,
    0xff8e9a94,
    0xff67746c,
    0xff75827b,
    0xff74837c,
    0xff65776c,
    0xff7a8c7c,
    0xff5b715d,
    0xff384f40,
    0xff4a6155,
    0xff435a4c,
    0xff546a54,
    0xff4a5c40,
    0xff4d5b3c,
    0xff596445,
    0xff586346,
    0xff5b6753,
    0xff566557,
    0xff48544b,
    0xff434741,
    0xff4e4f4b,
    0xff363633,
    0xff333534,
    0xff3a3c3a,
    0xff484a46,
    0xff3a3b3a,
    0xff292b28,
    0xff2c2824,
    0xff55403b,
    0xff61372a,
    0xff6f3523,
    0xff762b19,
    0xff7f2d1c,
    0xff802918,
    0xff792610,
    0xff763310,
    0xff6f4810,
    0xff756118,
    0xff6e6513,
    0xff575c0e,
    0xff525c0b,
    0xff586712,
    0xff50660b,
    0xff5f781b,
    0xff4a6211,
    0xff445915,
    0xff3a4e16,
    0xff384e25,
    0xff313514,
    0xff50442e,
    0xff322e1b,
    0xff24210f,
    0xff131b00,
    0xff061600,
    0xffc89976,
    0xffffb785,
    0xff5b1e00,
    0xff844b2b,
    0xff68301b,
    0xff943b32,
    0xffa92324,
    0xff930805,
    0xffd54f47,
    0xffd16b5d,
    0xff642417,
    0xff3c150c,
    0xff4b1a10,
    0xff682310,
    0xff7d3115,
    0xff742a0f,
    0xff732814,
    0xff7c2816,
    0xff7c170f,
    0xffa3252b,
    0xff9e111d,
    0xffb02d31,
    0xffa1322d,
    0xff8c261e,
    0xff922c28,
    0xff6e2e1c,
    0xff5c1c0f,
    0xff5e2218,
    0xff541e0f,
    0xff5b1d0e,
    0xff631b10,
    0xff5b1f12,
    0xff451d0d,
    0xff3c1910,
    0xff35170c,
    0xff2f1a0a,
    0xff2f1d0c,
    0xff261703,
    0xff231806,
    0xff1d1707,
    0xff191909,
    0xff25180c,
    0xff35220e,
    0xff4a3315,
    0xff4d2f10,
    0xff46230a,
    0xff482610,
    0xff3f1f0e,
    0xff3b210f,
    0xff362113,
    0xff2e1b0d,
    0xff2b190d,
    0xff2c1a0f,
    0xff2a180a,
    0xff29190c,
    0xff261d13,
    0xff19170f,
    0xff16170d,
    0xff17180e,
    0xff1e1a11,
    0xff1f1c13,
    0xff1b180f,
    0xff19190f,
    0xff16190e,
    0xff181a0e,
    0xff191b0d,
    0xff1d1f11,
    0xff1d1f11,
    0xff181d0e,
    0xff1c1f14,
    0xff1a1c11,
    0xff1a2117,
    0xff171d13,
    0xff192116,
    0xff252f24,
    0xff2a3429,
    0xff1d271c,
    0xff1d261b,
    0xff19251b,
    0xff17221a,
    0xff131e18,
    0xff162018,
    0xff101a12,
    0xff0d1810,
    0xff09160d,
    0xff09160f,
    0xff0b1811,
    0xff07130f,
    0xff040e0a,
    0xff03130c,
    0xff0a1202,
    0xff0a150a,
    0xff051210,
    0xff060400,
    0xff90734d,
    0xff835122,
    0xff4a1100,
    0xff722c28,
    0xffd38c5a,
    0xffd08f55,
    0xff381100,
    0xff220700,
    0xff1b0002,
    0xff3c1b00,
    0xfff3b236,
    0xffdc9704,
    0xffecae1b,
    0xffcc8b0e,
    0xffcf7f25,
    0xffc47927,
    0xffac700a,
    0xfff5bb58,
    0xff9c5210,
    0xffa55618,
    0xffb85d17,
    0xffd37c21,
    0xffc37f0f,
    0xffb97808,
    0xffbd750b,
    0xffb97002,
    0xffaf7200,
    0xffb37c00,
    0xffba7f2b,
    0xffb98234,
    0xffa26d10,
    0xffd09031,
    0xffa15e17,
    0xff4f1300,
    0xff81421e,
    0xff975713,
    0xff9f5e00,
    0xffb36c12,
    0xffb2701e,
    0xff814519,
    0xff7e4b16,
    0xffb1831c,
    0xffa26b18,
    0xffa66604,
    0xffe89b48,
    0xff853204,
    0xffc47429,
    0xffeea94b,
    0xfff2b34a,
    0xffecaa45,
    0xffe0953f,
    0xffa96100,
    0xffde9c11,
    0xffbf7a04,
    0xffcb8505,
    0xffb47000,
    0xffb37023,
    0xffac7829,
    0xff673a21,
    0xff160803,
    0xff302308,
    0xff94702b,
    0xff502104,
    0xff0d0000,
    0xffd2b368,
    0xff724e19,
    0xff0c0a00,
    0xff081408,
    0xff0d1910,
    0xff111d11,
    0xff081508,
    0xff1e281d,
    0xff121c11,
    0xff3a4439,
    0xff1b2519,
    0xff1e1c11,
    0xff818175,
    0xff717468,
    0xff040800,
    0xff0c1103,
    0xff0b1304,
    0xff0f180d,
    0xff2c332e,
    0xff555b52,
    0xff000100,
    0xff817d74,
    0xff423930,
    0xff7d746b,
    0xff645f54,
    0xff16180d,
    0xff1b2017,
    0xffc7768b,
    0xffdfbad4,
    0xffb7bddc,
    0xffa9b4da,
    0xffabb1d6,
    0xffabb4db,
    0xffa5b7e8,
    0xff7d91ce,
    0xff93a1d9,
    0xff7e89be,
    0xff9eabd8,
    0xff9daddc,
    0xffbed3ff,
    0xff758cc3,
    0xff7489b8,
    0xff7b8eb8,
    0xffa4aee1,
    0xff7d87c2,
    0xff7b88c5,
    0xff5967a5,
    0xff7381b7,
    0xffa6b4e5,
    0xffc5d1fc,
    0xff99a4d0,
    0xff7e8dc5,
    0xff7281b8,
    0xff7f8ec1,
    0xff8092c2,
    0xff60729c,
    0xff7c8eb7,
    0xffb2c7e4,
    0xffa3b8de,
    0xff7b89bc,
    0xffa6b8e4,
    0xff778cc4,
    0xff90a5d6,
    0xff8da2d4,
    0xffa1b2ee,
    0xff8fa4d4,
    0xff839ad0,
    0xff86a1dc,
    0xff708ac8,
    0xff5e79b9,
    0xff647fc0,
    0xff6b89cb,
    0xff5c7aba,
    0xff607ebc,
    0xff5674b2,
    0xff5c7ab8,
    0xff5574b4,
    0xff5874b7,
    0xff5d7cbc,
    0xff6385c8,
    0xff6081c4,
    0xff5074b3,
    0xff668ac9,
    0xff5e83c3,
    0xff5479ba,
    0xff6c90d2,
    0xff6488c8,
    0xff5276b6,
    0xff5d7fbf,
    0xff5779b9,
    0xff5273b4,
    0xff6988c8,
    0xff5c7ebc,
    0xff5274b3,
    0xff4f72b2,
    0xff5477b6,
    0xff587bbb,
    0xff5578b8,
    0xff5d7fc1,
    0xff6483c5,
    0xff5270b6,
    0xff6481cb,
    0xff6380ca,
    0xff5876bd,
    0xff5d7bbf,
    0xff5d7bc4,
    0xff627fca,
    0xff5b7ec4,
    0xff5677be,
    0xff5977bd,
    0xff5978be,
    0xff557abb,
    0xff5178b7,
    0xff5376b7,
    0xff6183c4,
    0xff5a78c3,
    0xff5977c1,
    0xff5976c0,
    0xff5b78c2,
    0xff5a79c2,
    0xff5576bc,
    0xff5779bf,
    0xff5373bb,
    0xff5e7ac3,
    0xff6783cb,
    0xff637fc4,
    0xff6f8cd0,
    0xff5f7ec0,
    0xff5c7bbd,
    0xff6280c2,
    0xff6c8ccf,
    0xff688bd1,
    0xff688acd,
    0xff6380c4,
    0xff718cce,
    0xff6681c4,
    0xff5672b4,
    0xff627fc1,
    0xff6584c4,
    0xff6281be,
    0xff5e80bb,
    0xff5376b4,
    0xff6486c4,
    0xff6b8dcc,
    0xff577ab8,
    0xff5a7ebd,
    0xff5b7ebe,
    0xff6986c8,
    0xff6480c0,
    0xff6281c0,
    0xff5c7cbe,
    0xff6688d1,
    0xff5878c3,
    0xff5978c2,
    0xff5676bd,
    0xff527cc0,
    0xff4f77c1,
    0xff587fcd,
    0xff547bc7,
    0xff527ac1,
    0xff547bc0,
    0xff5c82c8,
    0xff5a80c7,
    0xff5780c9,
    0xff537cc7,
    0xff547dc8,
    0xff5179c6,
    0xff517ac6,
    0xff577fce,
    0xff577fce,
    0xff547ccb,
    0xff557fd0,
    0xff5881d3,
    0xff517ac9,
    0xff507bca,
    0xff4f77c7,
    0xff5276c9,
    0xff587cce,
    0xff5074c8,
    0xff4d73c5,
    0xff4f79ca,
    0xff4c77ca,
    0xff4772c7,
    0xff4973cb,
    0xff486dc7,
    0xff4c6fcb,
    0xff4f71cd,
    0xff4b77cd,
    0xff4773cb,
    0xff4e7cd4,
    0xff4e7cd4,
    0xff4876ce,
    0xff507ed6,
    0xff4e7cd2,
    0xff4e7dd3,
    0xff4f7bd3,
    0xff547fd8,
    0xff5480d9,
    0xff507cd5,
    0xff4a76ce,
    0xff4674cb,
    0xff5281d8,
    0xff517fd6,
    0xff5181d3,
    0xff537fd3,
    0xff547cd0,
    0xff567fd3,
    0xff5885d6,
    0xff507ccf,
    0xff547cd0,
    0xff5578ce,
    0xff5378c9,
    0xff5b80d0,
    0xff557bce,
    0xff527bcd,
    0xff527acc,
    0xff557ed0,
    0xff5379ca,
    0xff567dce,
    0xff527fcd,
    0xff5482d0,
    0xff5280d0,
    0xff4f7ecd,
    0xff5a88d8,
    0xff5686d3,
    0xff5b85d4,
    0xff5883d2,
    0xff4e7eca,
    0xff5282d3,
    0xff5785db,
    0xff517fd5,
    0xff4d7ccf,
    0xff5583d7,
    0xff5884db,
    0xff5a86df,
    0xff5484d3,
    0xff5384d2,
    0xff5380d2,
    0xff5684d8,
    0xff5783d6,
    0xff5982d5,
    0xff5681d0,
    0xff5784d1,
    0xff5989d6,
    0xff618fde,
    0xff628bdb,
    0xff5a85d4,
    0xff5684d0,
    0xff5884cd,
    0xff587ec6,
    0xff5f7fc9,
    0xff5c86d7,
    0xff5580d1,
    0xff517bcc,
    0xff5a83d4,
    0xff5980d1,
    0xff5c81d1,
    0xff5f84d4,
    0xff6084d4,
    0xff6588d3,
    0xff6486d2,
    0xff678ad6,
    0xff708eda,
    0xff718fd9,
    0xff7996db,
    0xff7a95da,
    0xff7c95d9,
    0xff7d97d6,
    0xff839cdf,
    0xff7f98d9,
    0xff7d97db,
    0xff728dd0,
    0xff7a98d9,
    0xff7390d2,
    0xff7f9de0,
    0xff7291da,
    0xff7392db,
    0xff7694de,
    0xff7796df,
    0xff698dd3,
    0xff7296da,
    0xff7593d9,
    0xff7c97dd,
    0xff6e99d4,
    0xff6b97d5,
    0xff6e98d6,
    0xff6c8bc9,
    0xff8195d2,
    0xff8497d3,
    0xff7a9ad5,
    0xff719ad2,
    0xff8a9dd4,
    0xff849cd2,
    0xff75a1d3,
    0xff85a0ca,
    0xff9e99c1,
    0xff9a9cd4,
    0xff91a2dd,
    0xff9ea0ce,
    0xff9aa8da,
    0xff8b9ad1,
    0xff94a2db,
    0xff94a1d9,
    0xff96a6d8,
    0xff96a6d9,
    0xff93a4da,
    0xff93a4e0,
    0xff8d9ee0,
    0xff8e9fe1,
    0xff8d9bdd,
    0xff92a2df,
    0xff92a2e0,
    0xff8da0dc,
    0xff91a4e1,
    0xff899cdb,
    0xff879edb,
    0xff96ace5,
    0xff94aadd,
    0xff8e9fd3,
    0xff97a8e2,
    0xff95a9e4,
    0xff879cd7,
    0xff93abe3,
    0xff8ea3de,
    0xff93abe7,
    0xff8ca7e0,
    0xff89a3e0,
    0xff8ca2de,
    0xff8fa3de,
    0xff92a6e0,
    0xff899fd8,
    0xff8ba3e2,
    0xff8ca4e3,
    0xff92a7e8,
    0xff9baeed,
    0xff8d9edf,
    0xff97a6e7,
    0xff98a6e4,
    0xffa2aeed,
    0xff9eabe9,
    0xffa0abe9,
    0xffa0ade6,
    0xffa3afe5,
    0xff99a5db,
    0xffa2aee4,
    0xffa1ade3,
    0xffa0ace5,
    0xff95a2d8,
    0xff9daae1,
    0xff9aa7de,
    0xff96a6db,
    0xff9eade2,
    0xffa3b0e5,
    0xff9dacde,
    0xff9ba6d6,
    0xff9baddf,
    0xff99a9dc,
    0xffa4b1e5,
    0xffa1abe0,
    0xffa4afe4,
    0xff9ea9db,
    0xffa5afe1,
    0xffa4aee1,
    0xffa7b0e3,
    0xffacb4e7,
    0xffa9b1e1,
    0xffa6aee0,
    0xffa5ade1,
    0xff9ea8df,
    0xff9eaadc,
    0xffa1afdd,
    0xff9dacda,
    0xff9dacd8,
    0xffa2b1d9,
    0xff9eaed3,
    0xffa3b3d6,
    0xffa3b3d4,
    0xff9baccd,
    0xff91a2c3,
    0xff92abc1,
    0xff9fadc0,
    0xff92a0ae,
    0xffbdc2d3,
    0xff707183,
    0xff788e95,
    0xff8ca1a2,
    0xff988d92,
    0xff67746a,
    0xff758884,
    0xff778c8d,
    0xff748a8e,
    0xff65777a,
    0xff738182,
    0xff7d8a8a,
    0xff798887,
    0xff596f63,
    0xff556c61,
    0xff2d463d,
    0xff3f5d56,
    0xff3e5c55,
    0xff3e5f55,
    0xff517166,
    0xff456556,
    0xff4b665b,
    0xff5a776d,
    0xff3a574e,
    0xff405d52,
    0xff3b594a,
    0xff314d3b,
    0xff546e58,
    0xff536a54,
    0xff465b3d,
    0xff384f2b,
    0xff405734,
    0xff506647,
    0xff4f654a,
    0xff465f47,
    0xff5c745c,
    0xff486144,
    0xff546c4a,
    0xff223916,
    0xff29411e,
    0xff2a401f,
    0xff314424,
    0xff27381d,
    0xff55624a,
    0xff464f3b,
    0xff59634e,
    0xff59644b,
    0xff4a5538,
    0xff5a6548,
    0xff4c593f,
    0xff3c4b2f,
    0xff4b5c3c,
    0xff445833,
    0xff425631,
    0xff455a3a,
    0xff3a4f2e,
    0xff3b502b,
    0xff4e6233,
    0xff485726,
    0xff525c28,
    0xff5c6332,
    0xff5b5f39,
    0xff595f42,
    0xff47503d,
    0xff4b5145,
    0xff404138,
    0xff27241e,
    0xff24211b,
    0xff1f1f19,
    0xff191813,
    0xff1e1d18,
    0xff1c1b16,
    0xff231d19,
    0xff2a1d1a,
    0xff63443c,
    0xff633225,
    0xff6b2918,
    0xff792618,
    0xff802719,
    0xff862819,
    0xff842a14,
    0xff7b340f,
    0xff704409,
    0xff735d10,
    0xff6d640d,
    0xff585f0c,
    0xff505b07,
    0xff55660c,
    0xff566d10,
    0xff566f13,
    0xff47600e,
    0xff3c530f,
    0xff30430b,
    0xff2e3c03,
    0xff2d3c05,
    0xff292901,
    0xff2f2a0d,
    0xff291e0b,
    0xff2c220e,
    0xff292708,
    0xff381c00,
    0xffbb8747,
    0xffc78652,
    0xffffdcb3,
    0xffe1bd9d,
    0xffbb7264,
    0xff840309,
    0xff9a0008,
    0xffdc5b55,
    0xffde6c63,
    0xff7f352a,
    0xff3e140b,
    0xff461a0c,
    0xff662914,
    0xff7b3116,
    0xff7a2811,
    0xff84261a,
    0xffa22722,
    0xffa22225,
    0xffb11a28,
    0xffb2031b,
    0xffbc1326,
    0xff94040a,
    0xff8e0408,
    0xff9b030c,
    0xff860a0c,
    0xff871719,
    0xff701c17,
    0xff521a0a,
    0xff551e0d,
    0xff5f1f0d,
    0xff642317,
    0xff542012,
    0xff421d0f,
    0xff37190a,
    0xff361e0e,
    0xff3f2a18,
    0xff3b2817,
    0xff332413,
    0xff302716,
    0xff24210d,
    0xff352215,
    0xff3b230f,
    0xff53371b,
    0xff542e12,
    0xff532811,
    0xff522815,
    0xff471e10,
    0xff411d0e,
    0xff382012,
    0xff2e1c0d,
    0xff2a180c,
    0xff2a190d,
    0xff291708,
    0xff26180a,
    0xff201b10,
    0xff14140b,
    0xff17140b,
    0xff19150d,
    0xff1b180f,
    0xff1b180f,
    0xff1a170e,
    0xff19190f,
    0xff1a1c11,
    0xff1b1d11,
    0xff1f2113,
    0xff232518,
    0xff202215,
    0xff191e0f,
    0xff1b1e13,
    0xff1a1d11,
    0xff1e2017,
    0xff191e14,
    0xff1a2218,
    0xff283025,
    0xff2a3126,
    0xff192419,
    0xff1d271b,
    0xff1a241b,
    0xff1a241b,
    0xff19221d,
    0xff151f17,
    0xff131d14,
    0xff101b13,
    0xff0c1910,
    0xff06130c,
    0xff05120b,
    0xff040f0b,
    0xff04100a,
    0xff001307,
    0xff071107,
    0xff0d1107,
    0xff0a1006,
    0xff0b0f02,
    0xff242114,
    0xff2a241f,
    0xff252525,
    0xff36150d,
    0xfff3b596,
    0xff49270a,
    0xff121509,
    0xff010b0c,
    0xff1b0d1b,
    0xff673814,
    0xffeead38,
    0xffed9c0d,
    0xffeea11e,
    0xffda7e1f,
    0xff852100,
    0xffd07b25,
    0xffca8918,
    0xffa35b01,
    0xffaa4e21,
    0xff9b4117,
    0xffc16427,
    0xffb76205,
    0xffba7900,
    0xffb27600,
    0xffb46e00,
    0xffb86d07,
    0xffb16602,
    0xffc07b12,
    0xffa46815,
    0xff6c3400,
    0xff9e6313,
    0xffcf9030,
    0xffaa6106,
    0xffb4692c,
    0xff773810,
    0xff632900,
    0xffa46307,
    0xffbc7402,
    0xffa56203,
    0xff784000,
    0xffbd9133,
    0xffbe8d17,
    0xff925300,
    0xffab6106,
    0xffab560e,
    0xffbc6220,
    0xff7b2600,
    0xffa95f10,
    0xffedad4b,
    0xffe09e3d,
    0xffeca644,
    0xffe6a535,
    0xffba7900,
    0xffd58d15,
    0xfffdb921,
    0xfffdc12b,
    0xffdda44a,
    0xff7d4315,
    0xff441302,
    0xff310800,
    0xff3e2100,
    0xffc38b3d,
    0xffd18726,
    0xff8b591c,
    0xff1d0300,
    0xff1e1202,
    0xff0b1314,
    0xff041109,
    0xff081709,
    0xff0a190c,
    0xff020e01,
    0xff2c382c,
    0xff0e1a0c,
    0xff1c281a,
    0xff202c1d,
    0xff0f1709,
    0xff494e44,
    0xff7d7e77,
    0xff22231b,
    0xff14150b,
    0xff11170b,
    0xff0c180e,
    0xff000b06,
    0xffa5afa5,
    0xff000000,
    0xff77756b,
    0xff453933,
    0xff776c66,
    0xff9c9590,
    0xff11140b,
    0xff0e120b,
    0xffca5741,
    0xffc16c6a,
    0xffb693aa,
    0xff98a1ca,
    0xff7d8fbf,
    0xff6974aa,
    0xff5f6fa2,
    0xff6a87b9,
    0xff657cab,
    0xff899cc7,
    0xff96a8d2,
    0xff7185b3,
    0xff6e85b9,
    0xff6d83be,
    0xff687bbb,
    0xff8797d3,
    0xff8e9bc3,
    0xff8a99c3,
    0xff909fd1,
    0xff8194c4,
    0xff94a8d4,
    0xff8899c3,
    0xff899ac2,
    0xffa7b7df,
    0xffafc7f1,
    0xff7a8fbd,
    0xff99add7,
    0xff93a4cf,
    0xffc4d4ff,
    0xff98abe0,
    0xff677db8,
    0xff6d83c2,
    0xff96a7df,
    0xffa3b9e8,
    0xff6b84be,
    0xff7a93c6,
    0xff6c82b7,
    0xff6e83c0,
    0xff697fb0,
    0xff607bb3,
    0xff5572ba,
    0xff5874be,
    0xff5d79c3,
    0xff6381cb,
    0xff5f7cc6,
    0xff5b78c1,
    0xff5677bd,
    0xff5d7ec5,
    0xff7593d4,
    0xff7f9ddd,
    0xff4b67a9,
    0xff5574b8,
    0xff597abd,
    0xff587cbe,
    0xff5c7ec0,
    0xff5d84c3,
    0xff5c88c4,
    0xff537db9,
    0xff4973af,
    0xff4f78b4,
    0xff517ab6,
    0xff5177b3,
    0xff5880bb,
    0xff5c80be,
    0xff698ccc,
    0xff5779b9,
    0xff6185c5,
    0xff5b7ebe,
    0xff6286c6,
    0xff5274b4,
    0xff597bbb,
    0xff5978b8,
    0xff5574a9,
    0xff88a7df,
    0xff5877b3,
    0xff5e7cb7,
    0xff6f8dc6,
    0xff6e8ec3,
    0xff6381bc,
    0xff6483c0,
    0xff597cbb,
    0xff6888c8,
    0xff8ba8e9,
    0xff6281c1,
    0xff5175b3,
    0xff5d84c1,
    0xff567ab7,
    0xff587ab9,
    0xff5f7dbb,
    0xff5d7ab9,
    0xff5b7bb9,
    0xff5676b5,
    0xff5e80c1,
    0xff6487c8,
    0xff6387c8,
    0xff5f82c5,
    0xff617fc5,
    0xff708fd1,
    0xff5878b5,
    0xff6787c1,
    0xff6e8ec6,
    0xff6f8fc9,
    0xff5e82ba,
    0xff7194cf,
    0xff6589c8,
    0xff5375b4,
    0xff5878b4,
    0xff5f7db6,
    0xff5e7cb0,
    0xff6280b1,
    0xff5d7eac,
    0xff5f7eb0,
    0xff5c7ab9,
    0xff5a78bb,
    0xff6987c9,
    0xff6382c6,
    0xff5f7ec2,
    0xff6282c8,
    0xff5d7dc2,
    0xff6081c7,
    0xff5475b2,
    0xff5579b5,
    0xff5479b8,
    0xff587ec3,
    0xff537ac8,
    0xff587fd1,
    0xff567cd0,
    0xff547bcc,
    0xff5580c8,
    0xff5581c9,
    0xff4d78c3,
    0xff4d77c0,
    0xff567fc6,
    0xff547ec2,
    0xff507abd,
    0xff4f78bc,
    0xff577bc1,
    0xff587bc4,
    0xff597bc4,
    0xff5679c2,
    0xff5678c2,
    0xff5579bf,
    0xff5c7ec4,
    0xff597dc1,
    0xff527fbe,
    0xff517fbe,
    0xff4b79ba,
    0xff4d7bbd,
    0xff527fc7,
    0xff507bc8,
    0xff537aca,
    0xff5177c8,
    0xff4b7ac4,
    0xff4d7fc6,
    0xff497ac4,
    0xff4a7ec8,
    0xff4f80cb,
    0xff5181cd,
    0xff5681d2,
    0xff517bcc,
    0xff547ccf,
    0xff537bcf,
    0xff537ed0,
    0xff517bce,
    0xff517ccf,
    0xff5984d3,
    0xff527acb,
    0xff517aca,
    0xff517acd,
    0xff4e76ca,
    0xff5680d2,
    0xff5681d0,
    0xff5480d0,
    0xff507dce,
    0xff4e7ccf,
    0xff4b77ca,
    0xff4b78c6,
    0xff4c77c7,
    0xff537bcb,
    0xff4f78c7,
    0xff4d78c7,
    0xff4e7ac8,
    0xff5179c9,
    0xff5677c9,
    0xff5277c8,
    0xff5378cc,
    0xff547acd,
    0xff547cd1,
    0xff5079ce,
    0xff5780d2,
    0xff5881d2,
    0xff577dce,
    0xff5b88d2,
    0xff5c88d2,
    0xff5c87d4,
    0xff5580cd,
    0xff517dc8,
    0xff5984cf,
    0xff5783cc,
    0xff5682ca,
    0xff5482ce,
    0xff5784d1,
    0xff507dcd,
    0xff5987d3,
    0xff5c88d3,
    0xff5782cd,
    0xff5984d0,
    0xff5c87d4,
    0xff5986d0,
    0xff5987d1,
    0xff5883d0,
    0xff5b84d5,
    0xff547bce,
    0xff5881cf,
    0xff5780cc,
    0xff5f89d2,
    0xff6587c8,
    0xff607fc3,
    0xff607fc6,
    0xff5d81ca,
    0xff6387ce,
    0xff6487cc,
    0xff637fc2,
    0xff687fc1,
    0xff5c85d1,
    0xff5e88d4,
    0xff5d86d1,
    0xff5e85cf,
    0xff6389d2,
    0xff5e82c9,
    0xff5f82ca,
    0xff6384cc,
    0xff6785c6,
    0xff6c8ac7,
    0xff728fcc,
    0xff7b97d2,
    0xff7c98cf,
    0xff7f97ca,
    0xff87a0d3,
    0xff8097c8,
    0xff8196ce,
    0xff7d92cc,
    0xff8299d4,
    0xff8299d2,
    0xff8299d3,
    0xff839ad2,
    0xff859ed5,
    0xff7f97cf,
    0xff7a96d3,
    0xff8199d7,
    0xff7e93d1,
    0xff8098d6,
    0xff7a95d4,
    0xff7996d3,
    0xff7d95d2,
    0xff8095d0,
    0xff7790d3,
    0xff7993d7,
    0xff7891d2,
    0xff8095d4,
    0xff7b8fc7,
    0xff8896ce,
    0xff8690cb,
    0xff8e97d4,
    0xff8d9ac5,
    0xff9997cf,
    0xffa89ed1,
    0xffc794a8,
    0xffb96160,
    0xffa27288,
    0xffa5aad9,
    0xff9c99cd,
    0xff9fa8dc,
    0xff9da7dc,
    0xff9ea8dd,
    0xff9ba6da,
    0xff99a5d6,
    0xff9aa6d9,
    0xff93a0d3,
    0xff93a2d8,
    0xff99a5e0,
    0xff95a1dd,
    0xff96a3dc,
    0xff8f9dd7,
    0xff9dabe4,
    0xff97a4de,
    0xff9cace5,
    0xff8e9fd8,
    0xff8ea4e1,
    0xff9aace7,
    0xff98a6df,
    0xff9fa9e1,
    0xff97a2dc,
    0xff929ed8,
    0xff8c9fda,
    0xff9ab1eb,
    0xff92a3de,
    0xff91a5e3,
    0xff93aae9,
    0xff89a1e0,
    0xff8b9fde,
    0xff8f9fdf,
    0xff92a4df,
    0xff8a9fd8,
    0xff95abe6,
    0xff8ca3de,
    0xff8b9fdb,
    0xff90a1e2,
    0xff92a0dd,
    0xff8d98d7,
    0xff9ea8e6,
    0xff9aa4e0,
    0xffa2a6e2,
    0xffa2a6dd,
    0xffa7acde,
    0xffa6afdb,
    0xff9ea6d1,
    0xffa1aad9,
    0xffa4afe1,
    0xff9da6dd,
    0xff9da4de,
    0xffa0a7e2,
    0xffa3aae5,
    0xffaab0eb,
    0xffa8aee7,
    0xffa4ace2,
    0xffa6aee1,
    0xffa7aee0,
    0xffa4b2db,
    0xffabb8e1,
    0xffa3aeda,
    0xffacb5e1,
    0xffb3bbe8,
    0xffb6bde9,
    0xffafb6e2,
    0xffb2b7e1,
    0xffb4bbe0,
    0xffb0b6d8,
    0xffafb3d6,
    0xffb1b3d8,
    0xffb7bbe1,
    0xffacb1d6,
    0xffa3acce,
    0xff919cb9,
    0xff93a1ba,
    0xff8b9aaf,
    0xff8a9aa9,
    0xff8ea0a7,
    0xff809297,
    0xff78898f,
    0xff84979c,
    0xff85989e,
    0xff728c85,
    0xff788a85,
    0xff596561,
    0xffaaacab,
    0xff696c6a,
    0xff4c6252,
    0xff424e3a,
    0xff755b4f,
    0xff5c6659,
    0xff4d5d54,
    0xff394d47,
    0xff495b54,
    0xff677464,
    0xff6a765f,
    0xff5a6849,
    0xff667554,
    0xff607559,
    0xff526c53,
    0xff5f7d68,
    0xff597762,
    0xff567a62,
    0xff63876a,
    0xff597a5d,
    0xff486a4a,
    0xff3f5638,
    0xff354e2d,
    0xff2d4727,
    0xff2f4b27,
    0xff223e19,
    0xff314922,
    0xff475f31,
    0xff394d21,
    0xff384722,
    0xff3b4a24,
    0xff34461f,
    0xff3d4e2b,
    0xff304326,
    0xff32472d,
    0xff3e533a,
    0xff394c31,
    0xff354722,
    0xff33461f,
    0xff2a3d17,
    0xff253712,
    0xff2f3e1d,
    0xff2d3a1c,
    0xff242f15,
    0xff545c45,
    0xff51543d,
    0xff515639,
    0xff555b3a,
    0xff575c3d,
    0xff474d31,
    0xff485334,
    0xff50603e,
    0xff40542d,
    0xff3e5232,
    0xff3b4d2f,
    0xff3e5131,
    0xff42532c,
    0xff506132,
    0xff4b5827,
    0xff5c612e,
    0xff5f6031,
    0xff5a5e30,
    0xff59603a,
    0xff404832,
    0xff383e32,
    0xff2b2c25,
    0xff282520,
    0xff2c2826,
    0xff2b2928,
    0xff2b2b26,
    0xff2b2b25,
    0xff2b2822,
    0xff2e2825,
    0xff32221e,
    0xff5e3d36,
    0xff693228,
    0xff6e2617,
    0xff772617,
    0xff7e2618,
    0xff7f2312,
    0xff802d11,
    0xff824314,
    0xff75530f,
    0xff7b6d18,
    0xff6e6f10,
    0xff616b0d,
    0xff5a6808,
    0xff516403,
    0xff546b0a,
    0xff567113,
    0xff46610b,
    0xff3c530d,
    0xff2e4308,
    0xff323318,
    0xff192507,
    0xff262f0d,
    0xff34331a,
    0xff2a200e,
    0xff210e03,
    0xff130b00,
    0xff0a0500,
    0xff775c36,
    0xffa76944,
    0xffc4895c,
    0xffffb98e,
    0xffcf664a,
    0xffad2519,
    0xffad1716,
    0xffd06558,
    0xff6e1d10,
    0xff461608,
    0xff3a1b0c,
    0xff3f1304,
    0xff682411,
    0xff781f09,
    0xff8a2310,
    0xffa02c21,
    0xffa1241d,
    0xff8b1612,
    0xff930c14,
    0xffd0293b,
    0xffe13e4b,
    0xffb4322d,
    0xffc34742,
    0xffbd2e2e,
    0xffa40512,
    0xff990511,
    0xff810f13,
    0xff64150c,
    0xff591808,
    0xff5c1506,
    0xff5d150a,
    0xff4a0d00,
    0xff3c1401,
    0xff351502,
    0xff321703,
    0xff2e1803,
    0xff331f09,
    0xff34210d,
    0xff2e230e,
    0xff27200b,
    0xff301e0e,
    0xff3a220c,
    0xff503015,
    0xff5d361b,
    0xff4f220c,
    0xff532615,
    0xff471d10,
    0xff461e12,
    0xff361d10,
    0xff301a0f,
    0xff2d1810,
    0xff2b160c,
    0xff291507,
    0xff2a1a0e,
    0xff21180e,
    0xff1b1711,
    0xff19160d,
    0xff1c1910,
    0xff1e1b12,
    0xff1d1910,
    0xff1b180f,
    0xff191a0f,
    0xff1a1b10,
    0xff181b10,
    0xff1e2213,
    0xff212516,
    0xff1e2117,
    0xff191c11,
    0xff1a1c11,
    0xff181b12,
    0xff1d1f17,
    0xff1c2017,
    0xff1e261a,
    0xff283025,
    0xff20281d,
    0xff1e281d,
    0xff1a2418,
    0xff1a241b,
    0xff1b251d,
    0xff222b25,
    0xff1e281f,
    0xff121f15,
    0xff0c180e,
    0xff0b180f,
    0xff05120b,
    0xff07150e,
    0xff06110e,
    0xff05100c,
    0xff02130f,
    0xff040e14,
    0xff0a0e13,
    0xff0a1005,
    0xff0b1303,
    0xff050f0b,
    0xff112226,
    0xff1a312d,
    0xff100000,
    0xffa17760,
    0xff0e0004,
    0xff191d1c,
    0xff0c1208,
    0xff0a0902,
    0xff744111,
    0xffcd771d,
    0xffed9217,
    0xffed8d20,
    0xffe17139,
    0xff860c00,
    0xffc25928,
    0xffbf6a16,
    0xffb65a16,
    0xffac3915,
    0xff8e2e00,
    0xffac551c,
    0xffa36001,
    0xffeeb630,
    0xffc98817,
    0xffaf6007,
    0xffbd7114,
    0xffc57e24,
    0xff893f16,
    0xffb57a4e,
    0xffad6b23,
    0xffc77a41,
    0xff6b2900,
    0xffa8641d,
    0xffa2541a,
    0xff935507,
    0xffcc8e36,
    0xffc17b29,
    0xffc88111,
    0xffe3a220,
    0xfffec444,
    0xffffd654,
    0xff6a2c00,
    0xffae6726,
    0xff9b5007,
    0xff964500,
    0xffbb6b11,
    0xff9d4e00,
    0xffa76010,
    0xffde9e3b,
    0xffc78420,
    0xffdc961a,
    0xffc38309,
    0xffc78012,
    0xffc5750b,
    0xffc98001,
    0xfff3b434,
    0xffffcd62,
    0xff5f2200,
    0xffd29f3d,
    0xffdca647,
    0xff461700,
    0xff844d1d,
    0xffca820f,
    0xffbd8417,
    0xff5e431b,
    0xff0d0a0f,
    0xff031214,
    0xff08160d,
    0xff0b180f,
    0xff07140c,
    0xff051209,
    0xff162318,
    0xff0b170c,
    0xff0f1b0f,
    0xff081409,
    0xff071407,
    0xff29342a,
    0xff63645f,
    0xff30302a,
    0xff0c0d05,
    0xff0b1006,
    0xff07120a,
    0xff00110a,
    0xff48574b,
    0xff242c21,
    0xff26231c,
    0xff625a55,
    0xff8f8580,
    0xfffef5f3,
    0xff494a44,
    0xff090e07,
    0xff972113,
    0xff952c28,
    0xff6d2431,
    0xff927490,
    0xffc8c7ef,
    0xffd6daff,
    0xffb4bae4,
    0xffc1d0f3,
    0xff778fc1,
    0xff7489b8,
    0xff99afdd,
    0xff869ccb,
    0xff8fa6da,
    0xff718ac4,
    0xff7489c8,
    0xff6c7ebd,
    0xff8aa4c5,
    0xff758cb3,
    0xff8ca5d0,
    0xff8199c9,
    0xff819ac7,
    0xff8ba4d1,
    0xff6c83b4,
    0xff6c84b6,
    0xff5b78b7,
    0xff5772ad,
    0xff6077af,
    0xff6176a9,
    0xff51669a,
    0xff5f79af,
    0xff637fbc,
    0xff6180bf,
    0xff5f79b5,
    0xff6986b7,
    0xff5573b2,
    0xff6e8cc2,
    0xff7f9ad1,
    0xff566eaf,
    0xff85a3d7,
    0xff6d8cc8,
    0xff6381c6,
    0xff6786ca,
    0xff6584c8,
    0xff6885ca,
    0xff5f81c2,
    0xff6587c8,
    0xff6f90d2,
    0xff6385c7,
    0xff5e7cbd,
    0xff617fc1,
    0xff627fc1,
    0xff6584c7,
    0xff6484c7,
    0xff5d80bf,
    0xff5f82c3,
    0xff7193d3,
    0xff6787c9,
    0xff6384c6,
    0xff6282c5,
    0xff607dc1,
    0xff5873b5,
    0xff657ec1,
    0xff5e78bb,
    0xff5d77ba,
    0xff5877b8,
    0xff5577b7,
    0xff4b6dad,
    0xff6385c5,
    0xff7193d4,
    0xff6e8cce,
    0xff6281c3,
    0xff5f7dbe,
    0xff6b88c3,
    0xff7491d0,
    0xff5975b8,
    0xff5f7bbc,
    0xff6b89c6,
    0xff6986c3,
    0xff6884c5,
    0xff5d78bd,
    0xff5573b2,
    0xff5a79b7,
    0xff536fb0,
    0xff5b78bb,
    0xff5a7bc0,
    0xff5576be,
    0xff5b7cc4,
    0xff5370ba,
    0xff5271a9,
    0xff5372a9,
    0xff5475ae,
    0xff5b7bb6,
    0xff6788c7,
    0xff5f7fc0,
    0xff577bbd,
    0xff5679bf,
    0xff5978bc,
    0xff5977ba,
    0xff6989c8,
    0xff5877b2,
    0xff5070a9,
    0xff5171aa,
    0xff7b9bd3,
    0xff5474ac,
    0xff587bb3,
    0xff6786bf,
    0xff6a8ac5,
    0xff6484be,
    0xff6a88c7,
    0xff7592d3,
    0xff6d8acd,
    0xff6885ca,
    0xff627cc4,
    0xff647fc7,
    0xff647fc6,
    0xff6983ce,
    0xff627ec8,
    0xff637fca,
    0xff5d79c5,
    0xff5a75c0,
    0xff5e7cc0,
    0xff6381c3,
    0xff6787c7,
    0xff6187c7,
    0xff567bbf,
    0xff6187c9,
    0xff547ab9,
    0xff597eb8,
    0xff5e7eb7,
    0xff5b7bb3,
    0xff5c7cb4,
    0xff5c7cb4,
    0xff5e7cb5,
    0xff5e7cb4,
    0xff5d7bae,
    0xff5d7dae,
    0xff557aae,
    0xff567bb1,
    0xff597db9,
    0xff577abc,
    0xff5375bb,
    0xff587ac2,
    0xff5678c1,
    0xff5678c5,
    0xff5981cc,
    0xff527bc5,
    0xff5882cc,
    0xff517ac6,
    0xff527bc6,
    0xff5379c6,
    0xff567ac8,
    0xff5679c7,
    0xff557fc9,
    0xff5780cc,
    0xff5682cd,
    0xff5581c9,
    0xff5681c9,
    0xff547dc7,
    0xff5179c2,
    0xff5279c1,
    0xff567bbf,
    0xff5477bb,
    0xff597dbf,
    0xff5578ba,
    0xff5a7dc0,
    0xff5376b9,
    0xff5275b8,
    0xff5076b7,
    0xff5077b9,
    0xff5078ba,
    0xff4b73b2,
    0xff4b75b3,
    0xff507ab7,
    0xff4b76b6,
    0xff4a75b5,
    0xff517cbe,
    0xff4c76ba,
    0xff5076bd,
    0xff5074ba,
    0xff4f74b9,
    0xff537abe,
    0xff567cbf,
    0xff5b7cbf,
    0xff627cc3,
    0xff597bc7,
    0xff5b7fcb,
    0xff5d82d0,
    0xff5e86d3,
    0xff5a83cf,
    0xff5c86d0,
    0xff5b83cb,
    0xff5981ca,
    0xff5e82cc,
    0xff5e80cf,
    0xff5e81cf,
    0xff5f82d2,
    0xff5b7ece,
    0xff6083d2,
    0xff5c80cd,
    0xff6286d1,
    0xff6388da,
    0xff5d82d5,
    0xff5f84d7,
    0xff5c81cf,
    0xff547ac3,
    0xff5981c4,
    0xff5c83c8,
    0xff577ec4,
    0xff557fc1,
    0xff5a83c7,
    0xff5a81c6,
    0xff5b80c6,
    0xff5b7dc6,
    0xff5477bd,
    0xff5a80c4,
    0xff5276b8,
    0xff5f76b0,
    0xff5b72af,
    0xff6982c4,
    0xff607fc2,
    0xff6487ce,
    0xff6489cc,
    0xff607fc2,
    0xff5d78bb,
    0xff5881c0,
    0xff5880bf,
    0xff658cca,
    0xff5f87c2,
    0xff5c82bd,
    0xff6486c3,
    0xff6687c0,
    0xff6987c0,
    0xff7591ca,
    0xff768fc7,
    0xff8098ce,
    0xff819acd,
    0xff889ecd,
    0xff91a6d1,
    0xff8ba1ca,
    0xff8da1cb,
    0xff8195c4,
    0xff8497c6,
    0xff8498c7,
    0xff8599c7,
    0xff7f93c2,
    0xff859ac7,
    0xff768bb8,
    0xff8095c2,
    0xff8699c5,
    0xff7888b2,
    0xff7989b1,
    0xff7c91bc,
    0xff7d93c3,
    0xff7389bb,
    0xff7589b8,
    0xff798bb6,
    0xff7291bc,
    0xff7d85b7,
    0xff9581b6,
    0xffa888b6,
    0xffad9abb,
    0xff9e93ad,
    0xffa698b5,
    0xffa692b2,
    0xffa17e95,
    0xffc189a9,
    0xffb36d82,
    0xffb44c40,
    0xffc5432a,
    0xffb97677,
    0xffa1a5c9,
    0xffa4a8d8,
    0xffa4aada,
    0xffa3aad8,
    0xff9ea6d1,
    0xffa0a8d3,
    0xff9da6d1,
    0xff99a3cd,
    0xff9ca8cf,
    0xff9eaacf,
    0xff9ba4ce,
    0xff9fa9d0,
    0xff949fc7,
    0xff9ba7d0,
    0xff99a6cf,
    0xff99a5ce,
    0xff99a5ce,
    0xff96a2cc,
    0xff97a7d4,
    0xffa3b0dd,
    0xffa8b1dd,
    0xffa5a9d6,
    0xffa6acd6,
    0xff9eaad0,
    0xffa1b2dd,
    0xff90a5d1,
    0xff9aabd7,
    0xff8b9fcd,
    0xff859ccc,
    0xff849ccf,
    0xff93a7dd,
    0xff8a9ace,
    0xff8ba0d1,
    0xff788ebc,
    0xff7b93b8,
    0xff8098bf,
    0xff879cc4,
    0xff9dafd8,
    0xff99a7d2,
    0xff9facd4,
    0xff96a3ca,
    0xff9da8cc,
    0xffaaadcf,
    0xffadb0cf,
    0xff9ca2b9,
    0xff9faab8,
    0xffa8b5c4,
    0xffa4b0c3,
    0xff9eadc2,
    0xff9baac4,
    0xffacb5d1,
    0xff959eba,
    0xff969eba,
    0xffa9b0cc,
    0xffa3a9c4,
    0xffa1a7c0,
    0xffa7afc2,
    0xff9ba2b5,
    0xff8c95af,
    0xffa9b3cd,
    0xffa8b0cf,
    0xffa8b1d2,
    0xffaab2d4,
    0xffaeb3d3,
    0xffabb1d2,
    0xffaeb3d1,
    0xffaab1c9,
    0xffb0b6c9,
    0xffacb1bf,
    0xff9ea1ad,
    0xff979aa9,
    0xff989eab,
    0xffa5aeb7,
    0xff9da8ae,
    0xff748383,
    0xff76857e,
    0xff7f9183,
    0xff7a8d78,
    0xff6c8065,
    0xff6b8168,
    0xff647963,
    0xff546953,
    0xff5d7258,
    0xff405a41,
    0xff9ca595,
    0xff6e6b62,
    0xff5e6a57,
    0xff6b7c64,
    0xff8f8c76,
    0xff7c6b59,
    0xff828e79,
    0xff798c79,
    0xff8ca391,
    0xff7a8c7a,
    0xff79866b,
    0xff7b8662,
    0xff758257,
    0xff6c7b4d,
    0xff6b7652,
    0xff546044,
    0xff3a4b35,
    0xff2e432a,
    0xff344b2e,
    0xff304923,
    0xff304722,
    0xff324824,
    0xff3a522c,
    0xff304a23,
    0xff3e5a30,
    0xff3c582e,
    0xff2e4a1e,
    0xff304a1d,
    0xff304817,
    0xff2c4011,
    0xff344614,
    0xff334512,
    0xff354714,
    0xff324515,
    0xff31451d,
    0xff243b14,
    0xff1f340f,
    0xff263c15,
    0xff2d3f18,
    0xff293e17,
    0xff2b4018,
    0xff2a3a16,
    0xff263715,
    0xff253315,
    0xff2f3922,
    0xff39422c,
    0xff41432b,
    0xff3d3f23,
    0xff434424,
    0xff414223,
    0xff3c3f21,
    0xff3e4728,
    0xff44532f,
    0xff465930,
    0xff384f30,
    0xff364c31,
    0xff2f4528,
    0xff2f421e,
    0xff495a2f,
    0xff475121,
    0xff595d2d,
    0xff575929,
    0xff555929,
    0xff515932,
    0xff404d34,
    0xff2d382c,
    0xff212923,
    0xff252925,
    0xff272928,
    0xff252928,
    0xff222624,
    0xff292d2a,
    0xff2b2d28,
    0xff2a2925,
    0xff382a27,
    0xff65433e,
    0xff753e36,
    0xff772f23,
    0xff7f281c,
    0xff842417,
    0xff872614,
    0xff8f3a1b,
    0xff8e4d1b,
    0xff755308,
    0xff786d10,
    0xff6e7108,
    0xff5f6d06,
    0xff566701,
    0xff586d07,
    0xff556f08,
    0xff55710e,
    0xff48650b,
    0xff3e590f,
    0xff364e0e,
    0xff322e03,
    0xff6c471f,
    0xff94552e,
    0xff732f0a,
    0xff7a4e2b,
    0xfff0dec1,
    0xfffff1e1,
    0xffdeb6ae,
    0xffd4b197,
    0xffcb8d68,
    0xffcb7a44,
    0xffaf3000,
    0xffca2f06,
    0xffcc3b1c,
    0xffe85e4a,
    0xffb6533c,
    0xff3e1005,
    0xff392012,
    0xff311c0d,
    0xff451303,
    0xff651604,
    0xffc4644c,
    0xffad422a,
    0xff982611,
    0xff81250b,
    0xff7e2914,
    0xff92261f,
    0xffab1c20,
    0xffe25554,
    0xff771300,
    0xff7d3010,
    0xff852d11,
    0xff982520,
    0xff9e2524,
    0xff921e1f,
    0xff821d17,
    0xff761d11,
    0xff741d11,
    0xff6e2314,
    0xff56200e,
    0xff4b1e08,
    0xff482209,
    0xff513314,
    0xff543b1b,
    0xff462e11,
    0xff3b270d,
    0xff382b10,
    0xff2d250c,
    0xff301f0c,
    0xff3a240b,
    0xff52361a,
    0xff533115,
    0xff4e2810,
    0xff522b1a,
    0xff432011,
    0xff3e1d0f,
    0xff361d11,
    0xff311c11,
    0xff2d1912,
    0xff2a150d,
    0xff29160a,
    0xff28170d,
    0xff1d150c,
    0xff14110c,
    0xff16120a,
    0xff19150c,
    0xff19160d,
    0xff1f1d13,
    0xff16160c,
    0xff17180d,
    0xff14170c,
    0xff171a0f,
    0xff192014,
    0xff1d2317,
    0xff1d2317,
    0xff191f16,
    0xff191f15,
    0xff181e14,
    0xff191f15,
    0xff151b11,
    0xff1a231c,
    0xff283227,
    0xff1f291d,
    0xff1b251a,
    0xff1c261d,
    0xff1b251c,
    0xff1b231f,
    0xff1e2621,
    0xff162118,
    0xff162217,
    0xff0c1911,
    0xff0d1a11,
    0xff041208,
    0xff08130b,
    0xff07130b,
    0xff040e08,
    0xff071209,
    0xff07121a,
    0xff030d17,
    0xff08120a,
    0xff071406,
    0xff0a1815,
    0xff1c2d2b,
    0xff2d3c30,
    0xff181308,
    0xff332213,
    0xff141415,
    0xff1d1912,
    0xff0e0900,
    0xff151709,
    0xff592e06,
    0xffd27535,
    0xffad5000,
    0xfffa9e3e,
    0xffa33804,
    0xff7d0800,
    0xff7f1500,
    0xffb15817,
    0xff9d3e0b,
    0xff891600,
    0xffe18438,
    0xff74280d,
    0xffa36d28,
    0xffc0891d,
    0xff85340e,
    0xff993e0c,
    0xffbd7217,
    0xffac6f0d,
    0xff230000,
    0xff825035,
    0xffcc864e,
    0xff803615,
    0xff441302,
    0xff53240a,
    0xff71370d,
    0xffa46d14,
    0xffc27316,
    0xff873c00,
    0xffd8952a,
    0xfff4aa4c,
    0xffd98c28,
    0xfff8b02e,
    0xffffb658,
    0xff7a3400,
    0xff9a5908,
    0xffb16920,
    0xffaf660d,
    0xff955000,
    0xfff0b43d,
    0xffd59b0f,
    0xfff1af37,
    0xffb86e00,
    0xffe29b2b,
    0xffb66f01,
    0xffe19a28,
    0xffce8a0d,
    0xffb77601,
    0xffcb960a,
    0xffbb7f19,
    0xff9b6100,
    0xffbc8b19,
    0xffdaa747,
    0xff370500,
    0xffab7b37,
    0xffbc8933,
    0xff5e4012,
    0xff0e0e00,
    0xff0e0f02,
    0xff06110e,
    0xff061210,
    0xff05110d,
    0xff0a1712,
    0xff0c1a12,
    0xff0a150d,
    0xff202b23,
    0xff101c14,
    0xff06190d,
    0xff000a02,
    0xff878a86,
    0xff4e4a46,
    0xff090801,
    0xff0d1208,
    0xff08170e,
    0xff02150e,
    0xff122013,
    0xff777e77,
    0xff000000,
    0xff918b87,
    0xff443d3a,
    0xff77726d,
    0xff74736f,
    0xff090c05,
    0xff80182c,
    0xff791c23,
    0xff761d1b,
    0xff691e23,
    0xff63384b,
    0xff7b7998,
    0xff7688b5,
    0xff798ac1,
    0xff6684c0,
    0xff6781bf,
    0xff7086c2,
    0xff6880b8,
    0xff718dc2,
    0xff6c8abc,
    0xff6381b3,
    0xff617cb0,
    0xff5b7cab,
    0xff5575a8,
    0xff82a2db,
    0xff5877b2,
    0xff617fbb,
    0xff5e7cb9,
    0xff5d7abc,
    0xff5974ba,
    0xff5677ae,
    0xff6180b5,
    0xff5875aa,
    0xff849fd7,
    0xffa4bef3,
    0xff657fc4,
    0xff6d8bd6,
    0xff5f7dcf,
    0xff5975c0,
    0xff5574b6,
    0xff5b7bc5,
    0xff506eb3,
    0xff5c77bc,
    0xff6882cf,
    0xff617fc1,
    0xff6082ca,
    0xff5e7eb5,
    0xff6385b7,
    0xff6183b4,
    0xff5b7dac,
    0xff5071a0,
    0xff5173a3,
    0xff4d6ea1,
    0xff47689e,
    0xff5271ac,
    0xff4d6ca7,
    0xff4d6aa9,
    0xff4463a1,
    0xff3b5c96,
    0xff47679f,
    0xff45669c,
    0xff6e8ec5,
    0xff4967ab,
    0xff526fb5,
    0xff5572b8,
    0xff516eb2,
    0xff5371b5,
    0xff5773b7,
    0xff607bc0,
    0xff617cc0,
    0xff5a77b2,
    0xff5877b1,
    0xff5777b0,
    0xff5676af,
    0xff6182bb,
    0xff6582bd,
    0xff6181b7,
    0xff5674ac,
    0xff5c77ab,
    0xff5e79b0,
    0xff6782bb,
    0xff5e79b1,
    0xff607aaf,
    0xff5c76ac,
    0xff5e79b0,
    0xff647fba,
    0xff5e7ca7,
    0xff56749f,
    0xff5b75a4,
    0xff5c79ab,
    0xff5a7aae,
    0xff5777ad,
    0xff5e7ab4,
    0xff5a74b2,
    0xff5875a9,
    0xff506ea1,
    0xff5471a7,
    0xff526fa6,
    0xff516fa7,
    0xff526ea8,
    0xff5b77b2,
    0xff5b76b3,
    0xff607db9,
    0xff607bb8,
    0xff5f7ab7,
    0xff6782bd,
    0xff6f8bc4,
    0xff7692c9,
    0xff6784b8,
    0xff6f8bbf,
    0xff6d88bd,
    0xff6d8abd,
    0xff6e8abd,
    0xff6b88bb,
    0xff6783b5,
    0xff6681b5,
    0xff6883b9,
    0xff6983ba,
    0xff6481ad,
    0xff6984b2,
    0xff627cab,
    0xff5873a2,
    0xff6c88b8,
    0xff637faf,
    0xff5773a6,
    0xff5a75a8,
    0xff556b98,
    0xff4c638e,
    0xff526c95,
    0xff55719b,
    0xff5d7aa7,
    0xff5471a0,
    0xff54719b,
    0xff506b93,
    0xff53729e,
    0xff5e7da6,
    0xff54749d,
    0xff5d7aa5,
    0xff5b76a5,
    0xff5b76a6,
    0xff607ca9,
    0xff5e7ca4,
    0xff5a82ae,
    0xff577fae,
    0xff537cad,
    0xff557db1,
    0xff5c84b8,
    0xff5981b4,
    0xff567fb1,
    0xff5b81b3,
    0xff6281c3,
    0xff5f7fc0,
    0xff6081bf,
    0xff577bb7,
    0xff547aaf,
    0xff5a7daf,
    0xff5a7fab,
    0xff577aa4,
    0xff5e7aad,
    0xff5d77ab,
    0xff5a75a9,
    0xff546fa1,
    0xff546fa0,
    0xff546d9f,
    0xff526d9d,
    0xff5670a1,
    0xff506c9f,
    0xff506c9d,
    0xff496595,
    0xff4c6899,
    0xff435f90,
    0xff405e90,
    0xff4a6a9c,
    0xff4e6fa3,
    0xff4a6eb1,
    0xff5072b5,
    0xff5678b9,
    0xff5074b2,
    0xff577bb8,
    0xff4f73b0,
    0xff5276b5,
    0xff4f74b5,
    0xff5878c0,
    0xff4e6db4,
    0xff516db3,
    0xff5471b6,
    0xff5d7abb,
    0xff5d79b8,
    0xff6076b6,
    0xff6677b6,
    0xff6077aa,
    0xff5d76aa,
    0xff5c7aae,
    0xff5f7fb3,
    0xff6182b6,
    0xff597cae,
    0xff567aab,
    0xff577baa,
    0xff617dad,
    0xff627dae,
    0xff607baf,
    0xff5874a8,
    0xff617db1,
    0xff637fb3,
    0xff5875a8,
    0xff5975a7,
    0xff5976ad,
    0xff5e7cb5,
    0xff5c79b4,
    0xff5676ac,
    0xff5a7aa8,
    0xff50749e,
    0xff577aa6,
    0xff5e80ae,
    0xff587fb7,
    0xff597eb5,
    0xff5778ad,
    0xff5573a7,
    0xff5975aa,
    0xff6582b6,
    0xff6a87ba,
    0xff5d7db2,
    0xff6781b3,
    0xff6b85bb,
    0xff6680b9,
    0xff698ac6,
    0xff688dc9,
    0xff618bc6,
    0xff5f87c4,
    0xff5c7fbe,
    0xff5f7dbb,
    0xff5676b2,
    0xff587bb5,
    0xff5b7eb7,
    0xff6080b9,
    0xff5e7db5,
    0xff627db8,
    0xff677eb8,
    0xff6a80b4,
    0xff758cbe,
    0xff7f92c1,
    0xff8191be,
    0xff7685af,
    0xff7484aa,
    0xff7f8fb5,
    0xff8697bb,
    0xff7d8eb1,
    0xff798aa9,
    0xff798ba8,
    0xff7586a4,
    0xff7f91ae,
    0xff7d8fac,
    0xff7485a6,
    0xff7585a5,
    0xff7c88a5,
    0xff6f7b93,
    0xff6d798e,
    0xff7684a0,
    0xff7586ab,
    0xff8194bb,
    0xff6f82a3,
    0xff6b7a95,
    0xff6d7f9c,
    0xff8785a5,
    0xff937192,
    0xff823d5c,
    0xff6a0924,
    0xff770e25,
    0xff8d2d42,
    0xff9f475a,
    0xff7e1419,
    0xff85150e,
    0xffbb533d,
    0xffc75d3a,
    0xffbd543c,
    0xffba8a95,
    0xffa9b1d1,
    0xffa7b1cb,
    0xffaab0d1,
    0xffa9afcc,
    0xffaeb4cc,
    0xffa9afc6,
    0xffa4abc3,
    0xffa0a4bb,
    0xffa3a6b6,
    0xffa5a8b3,
    0xffa8a9b5,
    0xffadafbb,
    0xffa2a6b4,
    0xff9ba0b0,
    0xff989cae,
    0xff9397a9,
    0xff9499ad,
    0xff878a9e,
    0xff7d8392,
    0xff7a7e90,
    0xff7f8494,
    0xff898f9b,
    0xff8f9ba1,
    0xff7e8d94,
    0xff738791,
    0xff788d9c,
    0xff718799,
    0xff637c91,
    0xff67829a,
    0xff6b86a6,
    0xff7c95b6,
    0xff7e94b5,
    0xff758cac,
    0xff738ea9,
    0xff728ba9,
    0xff849dbd,
    0xff7b91b2,
    0xff7f92b6,
    0xff7d8bae,
    0xff8592b3,
    0xff8a95b2,
    0xff828ba6,
    0xff9093a9,
    0xff8b90a3,
    0xff7b8290,
    0xff6c7980,
    0xff6e7d82,
    0xff788890,
    0xff778890,
    0xff81929c,
    0xff829191,
    0xff859090,
    0xff828c8d,
    0xff737b7c,
    0xff68716e,
    0xff6a7470,
    0xff687169,
    0xff667066,
    0xff6f7679,
    0xff70777e,
    0xff79828b,
    0xff7f8895,
    0xff88919f,
    0xff909daa,
    0xff97a1af,
    0xff9099a6,
    0xff95a1a7,
    0xff8f9997,
    0xff7c8478,
    0xff848977,
    0xff878a79,
    0xff7c8071,
    0xff777d6c,
    0xff707967,
    0xff6f7d64,
    0xff5b694b,
    0xff54673e,
    0xff5b6e40,
    0xff5b6e3f,
    0xff576d3e,
    0xff5a6f43,
    0xff5b714a,
    0xff60734c,
    0xff415636,
    0xffbbc2ab,
    0xff434430,
    0xff5d6d51,
    0xff52563c,
    0xff776a55,
    0xff65624b,
    0xff5b7144,
    0xff435a2f,
    0xff445c35,
    0xff3f542f,
    0xff445328,
    0xff4e5a2d,
    0xff4f5a2d,
    0xff536034,
    0xff5a683a,
    0xff4a5935,
    0xff3f5337,
    0xff3e593b,
    0xff39572d,
    0xff3c5828,
    0xff44602e,
    0xff395326,
    0xff39542c,
    0xff344f28,
    0xff35532b,
    0xff34542a,
    0xff365529,
    0xff3d572c,
    0xff42592c,
    0xff41562b,
    0xff3f531e,
    0xff384c15,
    0xff2f430c,
    0xff304614,
    0xff31471a,
    0xff31461e,
    0xff364c23,
    0xff344b20,
    0xff374d20,
    0xff394f22,
    0xff384d20,
    0xff2e4319,
    0xff354b23,
    0xff394b25,
    0xff313f1f,
    0xff313e20,
    0xff373c1b,
    0xff3c401c,
    0xff494a24,
    0xff3b3b15,
    0xff313611,
    0xff333b14,
    0xff3e4d20,
    0xff415425,
    0xff334f24,
    0xff3b5730,
    0xff3d5430,
    0xff42552e,
    0xff465626,
    0xff555f28,
    0xff616429,
    0xff636328,
    0xff5d6333,
    0xff515d37,
    0xff465640,
    0xff304237,
    0xff2d3a36,
    0xff252f2c,
    0xff25302b,
    0xff27322f,
    0xff273030,
    0xff25302b,
    0xff212823,
    0xff282c26,
    0xff2e2422,
    0xff61413d,
    0xff6e3732,
    0xff762f24,
    0xff851f1a,
    0xff8b1f17,
    0xff8c2011,
    0xff903011,
    0xff934c16,
    0xff82580a,
    0xff7c6b09,
    0xff727104,
    0xff677709,
    0xff63750a,
    0xff657c10,
    0xff5c780c,
    0xff56750d,
    0xff4e6e0d,
    0xff466210,
    0xff425c15,
    0xff5f5f19,
    0xffb36934,
    0xffb7431b,
    0xffc8522e,
    0xff903b1a,
    0xff652d16,
    0xff5a1b0f,
    0xff793431,
    0xff743e25,
    0xffc59167,
    0xffd98553,
    0xffc13713,
    0xffca2b15,
    0xff9d1805,
    0xffe67460,
    0xffb7543f,
    0xff3c120a,
    0xff3b2116,
    0xff2b0e02,
    0xff4e1507,
    0xffa65441,
    0xff7c240a,
    0xff7e2506,
    0xff842407,
    0xff822e0e,
    0xff752a0d,
    0xff76210e,
    0xff821b10,
    0xff9d3b28,
    0xff742c08,
    0xff804518,
    0xff75360d,
    0xff5f2307,
    0xff70250f,
    0xff732012,
    0xff722412,
    0xff792915,
    0xff7c2515,
    0xff742212,
    0xff662412,
    0xff5b290e,
    0xff5d3210,
    0xff634218,
    0xff5b3e0f,
    0xff533a0d,
    0xff47350b,
    0xff453918,
    0xff372e11,
    0xff32250e,
    0xff332108,
    0xff472e10,
    0xff53361a,
    0xff462510,
    0xff4b2d1d,
    0xff3a2011,
    0xff392313,
    0xff302013,
    0xff2a1b12,
    0xff261a11,
    0xff27180f,
    0xff27180e,
    0xff261c11,
    0xff1d1812,
    0xff11110d,
    0xff14140c,
    0xff16160e,
    0xff1b1b13,
    0xff1c1c14,
    0xff15150e,
    0xff12150d,
    0xff14190f,
    0xff11190f,
    0xff0f180d,
    0xff10190e,
    0xff0d160b,
    0xff081005,
    0xff0a1207,
    0xff0b1307,
    0xff0c1409,
    0xff0b1409,
    0xff0c170e,
    0xff212d24,
    0xff172319,
    0xff18241a,
    0xff172119,
    0xff19221d,
    0xff1b2421,
    0xff262f2c,
    0xff1c2820,
    0xff19241c,
    0xff0c1910,
    0xff0d1a11,
    0xff051208,
    0xff0c180e,
    0xff060f07,
    0xff050e04,
    0xff0a1200,
    0xff000d05,
    0xff041516,
    0xff08150e,
    0xff09140e,
    0xff162325,
    0xff252e2e,
    0xff1c1d16,
    0xff001110,
    0xff0b0a0a,
    0xff1b1d1d,
    0xff12160c,
    0xff0a0c01,
    0xff10120b,
    0xff4a2a13,
    0xff994827,
    0xffb54919,
    0xfff29340,
    0xffa74412,
    0xff730100,
    0xfff08455,
    0xffaa4b13,
    0xff92320e,
    0xffa53d23,
    0xffc67148,
    0xff5b1819,
    0xff490f00,
    0xffc37c30,
    0xff902f03,
    0xffad4b28,
    0xffa85a0a,
    0xffb97c1f,
    0xff391500,
    0xff552710,
    0xffb07753,
    0xff2f0000,
    0xff1e0d0a,
    0xff120400,
    0xff270000,
    0xff9e6520,
    0xffb15505,
    0xff7d2900,
    0xffd89338,
    0xfff1a944,
    0xffec9636,
    0xffbb6400,
    0xffb86f0d,
    0xff9b6000,
    0xffb07611,
    0xff985605,
    0xffa8650d,
    0xffab6e02,
    0xffe8b424,
    0xfff0c222,
    0xfff1b22a,
    0xffcc7d06,
    0xffdc8d15,
    0xffe7a421,
    0xffb87c17,
    0xffc38c16,
    0xffbd8304,
    0xffc48800,
    0xffe5aa1f,
    0xffac7201,
    0xffcc9134,
    0xff643a11,
    0xff82723e,
    0xff4d371d,
    0xff99682c,
    0xffb1812d,
    0xff371e00,
    0xff131001,
    0xff081312,
    0xff061211,
    0xff081412,
    0xff07120e,
    0xff0e1914,
    0xff06110b,
    0xff131e16,
    0xff0b160f,
    0xff071b0e,
    0xff000c02,
    0xff747976,
    0xff666561,
    0xff080702,
    0xff0e1409,
    0xff0a150c,
    0xff03140e,
    0xff000300,
    0xff7a8078,
    0xff131811,
    0xff12130d,
    0xff2b2824,
    0xff6e6c64,
    0xff54514a,
    0xff2b291f,
    0xff711719,
    0xff73191b,
    0xff74161c,
    0xff711421,
    0xff611c31,
    0xff715d7d,
    0xff495c87,
    0xff42639c,
    0xff365d9c,
    0xff4262a4,
    0xff405ea1,
    0xff4563a4,
    0xff42649f,
    0xff396196,
    0xff3b6194,
    0xff4d70a5,
    0xff486ba9,
    0xff4d70b2,
    0xff4366aa,
    0xff4b6db1,
    0xff5071b1,
    0xff5977b8,
    0xff4a69ad,
    0xff506eb7,
    0xff5c76be,
    0xff5974b8,
    0xff5775b4,
    0xff5675ae,
    0xff5574ad,
    0xff5b7ab0,
    0xff5071a8,
    0xff5475ac,
    0xff5474a2,
    0xff507298,
    0xff4b6f9c,
    0xff517398,
    0xff4b6a90,
    0xff4e6a9a,
    0xff4c6f93,
    0xff436995,
    0xff48689a,
    0xff476797,
    0xff486895,
    0xff486994,
    0xff476995,
    0xff446492,
    0xff406192,
    0xff4a6a9e,
    0xff4c6b9f,
    0xff426195,
    0xff5070a3,
    0xff4c6c9f,
    0xff5071a0,
    0xff4f709c,
    0xff5676a0,
    0xff4c6c97,
    0xff567aa7,
    0xff5478a7,
    0xff5277a5,
    0xff5577a4,
    0xff5275a2,
    0xff5678a4,
    0xff50739f,
    0xff4f709c,
    0xff53719b,
    0xff54719b,
    0xff4f6e98,
    0xff4a6b94,
    0xff47688f,
    0xff3e5e84,
    0xff3f5f87,
    0xff3b597f,
    0xff446275,
    0xff3e5d71,
    0xff4c6981,
    0xff48667b,
    0xff446377,
    0xff4f6e83,
    0xff48677c,
    0xff53708b,
    0xff46657a,
    0xff4d687f,
    0xff516982,
    0xff546d88,
    0xff4c6a84,
    0xff4e6d88,
    0xff4c6a87,
    0xff536e8d,
    0xff58739b,
    0xff5f79a0,
    0xff587398,
    0xff5e759a,
    0xff5e7495,
    0xff5f7593,
    0xff617590,
    0xff627591,
    0xff647a99,
    0xff6a81a1,
    0xff677b9f,
    0xff6e81a9,
    0xff64789e,
    0xff607394,
    0xff566a84,
    0xff677b91,
    0xff64798e,
    0xff677c90,
    0xff637888,
    0xff667e8a,
    0xff5f7982,
    0xff587279,
    0xff5c777c,
    0xff5a757c,
    0xff5d768c,
    0xff5b758b,
    0xff546f85,
    0xff516d85,
    0xff516e85,
    0xff4b6681,
    0xff4e6a84,
    0xff4a667f,
    0xff51718d,
    0xff4e7189,
    0xff557892,
    0xff4c718f,
    0xff5d7fa5,
    0xff56789f,
    0xff5c7da3,
    0xff6281a5,
    0xff607fa6,
    0xff5b7b9e,
    0xff6080a1,
    0xff6080a6,
    0xff6281ad,
    0xff637fad,
    0xff627fa9,
    0xff5f7da1,
    0xff617b95,
    0xff647e98,
    0xff627b95,
    0xff607a91,
    0xff637d8f,
    0xff617e87,
    0xff628082,
    0xff607e7c,
    0xff627d7d,
    0xff617c7e,
    0xff5e7c7e,
    0xff5b7b7b,
    0xff567775,
    0xff547572,
    0xff52736d,
    0xff53736c,
    0xff556c71,
    0xff566c71,
    0xff4e646b,
    0xff516672,
    0xff4f6471,
    0xff546a79,
    0xff516678,
    0xff50657a,
    0xff4f6789,
    0xff526c8d,
    0xff4b6586,
    0xff4e6788,
    0xff5a7599,
    0xff58769a,
    0xff4b6d93,
    0xff55789f,
    0xff5879b4,
    0xff5979b3,
    0xff5d7eb4,
    0xff5172a4,
    0xff5071a1,
    0xff5373a4,
    0xff5575a8,
    0xff5776ab,
    0xff5570a9,
    0xff5b75ab,
    0xff6178ae,
    0xff5b73a4,
    0xff59709b,
    0xff5c7099,
    0xff6a769d,
    0xff656b91,
    0xff676e7f,
    0xff656f7f,
    0xff637081,
    0xff607285,
    0xff5c7282,
    0xff566d7d,
    0xff58707f,
    0xff4e6876,
    0xff465d5d,
    0xff445a5b,
    0xff495e62,
    0xff51696d,
    0xff51686d,
    0xff546b6f,
    0xff4f696a,
    0xff526b6e,
    0xff587078,
    0xff59737e,
    0xff577081,
    0xff4a6674,
    0xff53717c,
    0xff516f79,
    0xff547480,
    0xff557486,
    0xff51739e,
    0xff4f7097,
    0xff597596,
    0xff66809b,
    0xff617793,
    0xff5b7290,
    0xff5f7899,
    0xff607a9d,
    0xff5c799c,
    0xff687fa5,
    0xff6c80a4,
    0xff657d9f,
    0xff5d799b,
    0xff6181a0,
    0xff6787a8,
    0xff5f7ca1,
    0xff667ca7,
    0xff647ba5,
    0xff657fa8,
    0xff637fa6,
    0xff617da3,
    0xff6e86ad,
    0xff6f85ad,
    0xff6a7ca4,
    0xff6e7fa0,
    0xff637592,
    0xff687690,
    0xff6e7b91,
    0xff767f95,
    0xff6d778b,
    0xff6a7489,
    0xff646f80,
    0xff656f7f,
    0xff6e7a89,
    0xff596471,
    0xff5e6975,
    0xff6d7885,
    0xff737f8e,
    0xff757f92,
    0xff6c7788,
    0xff717888,
    0xff7a818b,
    0xff7a838c,
    0xff6a7587,
    0xff7887a5,
    0xff6a7e9f,
    0xff7384a1,
    0xff7f8ea3,
    0xff8489ae,
    0xff9297b8,
    0xffa198af,
    0xffbd8fa1,
    0xffbb5e6f,
    0xffce5163,
    0xffc63e51,
    0xffac2b3d,
    0xffc23d3b,
    0xffce4127,
    0xffc03214,
    0xffb5341f,
    0xffa03d38,
    0xffce9cae,
    0xffaaa4bd,
    0xffaab2b8,
    0xffa2a4b1,
    0xffa1a3ab,
    0xff9ba09f,
    0xff9c9f9d,
    0xff959392,
    0xff9d9893,
    0xff958d7f,
    0xff958d76,
    0xff867e68,
    0xff88826e,
    0xff807a6c,
    0xff7b766b,
    0xff7d7a71,
    0xff7c7972,
    0xff7b746f,
    0xff7a746f,
    0xff7b7670,
    0xff74716e,
    0xff7e7e7b,
    0xff6d726a,
    0xff6c7968,
    0xff5f7161,
    0xff576c62,
    0xff617774,
    0xff657d84,
    0xff5c7884,
    0xff527284,
    0xff5a7990,
    0xff617c99,
    0xff6a84a1,
    0xff738ea9,
    0xff718ea9,
    0xff718aab,
    0xff7c94b8,
    0xff8197bc,
    0xff899bc0,
    0xff8a98bc,
    0xff8693b3,
    0xff8f98b5,
    0xff939cb5,
    0xff8f95a6,
    0xff939aaa,
    0xff94a0ac,
    0xff98a6b1,
    0xff93a3ab,
    0xff91a4a9,
    0xff819598,
    0xff819496,
    0xff74847b,
    0xff78857c,
    0xff848f88,
    0xff869087,
    0xff7e857a,
    0xff7b8374,
    0xff6c7865,
    0xff707b66,
    0xff7f8370,
    0xff777b6b,
    0xff767e71,
    0xff6b766e,
    0xff707e78,
    0xff687973,
    0xff687973,
    0xff7c8c86,
    0xff808d86,
    0xff75806e,
    0xff7a825e,
    0xff75774b,
    0xff747345,
    0xff6a683f,
    0xff676a44,
    0xff5b603a,
    0xff5b643d,
    0xff646f43,
    0xff5d6a35,
    0xff5a6b2f,
    0xff5b6c2e,
    0xff4e5e24,
    0xff445422,
    0xff425426,
    0xff47582d,
    0xff5a5d3c,
    0xffa4a489,
    0xff3b4726,
    0xff5d633f,
    0xff736646,
    0xff6d6043,
    0xff596748,
    0xff667758,
    0xff6d8061,
    0xff697c5d,
    0xff62724e,
    0xff6b754e,
    0xff7d835b,
    0xff838963,
    0xff858f6c,
    0xff889a75,
    0xff6a8065,
    0xff668070,
    0xff3f5f4a,
    0xff486c4d,
    0xff4b7147,
    0xff395a32,
    0xff33522d,
    0xff365128,
    0xff2c481f,
    0xff304f25,
    0xff325125,
    0xff2a491d,
    0xff2f4a1d,
    0xff32481d,
    0xff30451b,
    0xff37491e,
    0xff334717,
    0xff36491b,
    0xff36481d,
    0xff31421e,
    0xff2b3b1b,
    0xff213210,
    0xff293a15,
    0xff2e4113,
    0xff2d4314,
    0xff273e0f,
    0xff243b0c,
    0xff283a10,
    0xff2c3e17,
    0xff283613,
    0xff303d1b,
    0xff313a19,
    0xff2c310e,
    0xff454721,
    0xff3c3d16,
    0xff373c17,
    0xff3c451c,
    0xff405020,
    0xff394f1a,
    0xff344d1d,
    0xff2c4619,
    0xff2b401a,
    0xff293a15,
    0xff2f3c0d,
    0xff434b11,
    0xff60601e,
    0xff63601d,
    0xff595f2d,
    0xff58653f,
    0xff4b5c46,
    0xff3a4d43,
    0xff30413b,
    0xff2c3c34,
    0xff304035,
    0xff2e3e34,
    0xff2e3c39,
    0xff313d37,
    0xff2a362e,
    0xff2c3029,
    0xff302622,
    0xff5f413b,
    0xff713b35,
    0xff72281f,
    0xff85201a,
    0xff891e17,
    0xff89200c,
    0xff8f310e,
    0xff8f4b11,
    0xff825d09,
    0xff7b7108,
    0xff777d09,
    0xff6a7b09,
    0xff617505,
    0xff5c7405,
    0xff516e00,
    0xff527203,
    0xff4b6d07,
    0xff406006,
    0xff3b560b,
    0xff34350e,
    0xff954f44,
    0xff4b0000,
    0xff580905,
    0xff510103,
    0xff3e0300,
    0xff430800,
    0xff521305,
    0xff621004,
    0xffa76143,
    0xffb65736,
    0xffb83420,
    0xff9d0d05,
    0xffc24541,
    0xfff79383,
    0xffd76f5d,
    0xff46120a,
    0xff230000,
    0xff724c39,
    0xff8c5141,
    0xff681b07,
    0xff86391f,
    0xff7b2d0f,
    0xff7e290e,
    0xff872d10,
    0xff76290f,
    0xff6b260e,
    0xff67230b,
    0xff6b2a0c,
    0xff6e3009,
    0xff814117,
    0xff773308,
    0xff612a08,
    0xff723118,
    0xff6f2b14,
    0xff63280e,
    0xff6d3214,
    0xff7a3018,
    0xff7c2814,
    0xff722411,
    0xff61290c,
    0xff562701,
    0xff67420d,
    0xff6b4f12,
    0xff644e0f,
    0xff58440f,
    0xff493f14,
    0xff3d3715,
    0xff3c2c16,
    0xff342109,
    0xff3e240a,
    0xff44280d,
    0xff432813,
    0xff4d3726,
    0xff372616,
    0xff2a1d0c,
    0xff232111,
    0xff1f1d11,
    0xff1d1c12,
    0xff1c1a10,
    0xff1b170b,
    0xff161508,
    0xff0e110a,
    0xff07100b,
    0xff13140e,
    0xff13140e,
    0xff1a1b15,
    0xff1c1d17,
    0xff171a13,
    0xff191e16,
    0xff121912,
    0xff141d14,
    0xff111d13,
    0xff121e14,
    0xff0d190f,
    0xff09140b,
    0xff09130b,
    0xff0b150d,
    0xff0b160d,
    0xff111b12,
    0xff101c15,
    0xff232f26,
    0xff17241a,
    0xff17251b,
    0xff141f19,
    0xff1c2723,
    0xff151f1f,
    0xff2a3533,
    0xff28332f,
    0xff18261e,
    0xff0a1710,
    0xff0c1910,
    0xff07140a,
    0xff0a170b,
    0xff081208,
    0xff3f493a,
    0xff2a2e1e,
    0xff051209,
    0xff051712,
    0xff07110e,
    0xff070f0d,
    0xff08191a,
    0xff304040,
    0xff252b2b,
    0xff02130a,
    0xff060d13,
    0xff181b1b,
    0xff06130a,
    0xff0c150f,
    0xff0d1009,
    0xff29150b,
    0xff9e4d3e,
    0xff991c10,
    0xffd5712e,
    0xffc66c36,
    0xffa43c23,
    0xffe88053,
    0xffa44916,
    0xffa25138,
    0xff8f402f,
    0xff4d0a05,
    0xff430600,
    0xffb26840,
    0xffae4e17,
    0xff993200,
    0xffa84d13,
    0xff782800,
    0xffb05f1a,
    0xffa4651e,
    0xff95522a,
    0xff9c665e,
    0xff140100,
    0xff0f0f02,
    0xff110a03,
    0xff5b3314,
    0xff8f3e0a,
    0xffad4b21,
    0xff8d3305,
    0xffb36703,
    0xfffeb34a,
    0xfffdac52,
    0xffbc6c07,
    0xffba7508,
    0xffac7209,
    0xffa96900,
    0xffab6803,
    0xffb26b0e,
    0xffad6f04,
    0xffc99516,
    0xffffd94c,
    0xffcc8d00,
    0xffffc84a,
    0xffe18c0d,
    0xffcf920f,
    0xff5e2c03,
    0xff4f2200,
    0xffcc9729,
    0xffcd8b18,
    0xfffbc334,
    0xffd09a18,
    0xff98541b,
    0xff322210,
    0xff000000,
    0xff493a0b,
    0xffe7bc6a,
    0xffab6f14,
    0xff7b4b16,
    0xff0d0605,
    0xff07120e,
    0xff091410,
    0xff07110c,
    0xff07130b,
    0xff0d170e,
    0xff0d160e,
    0xff040e02,
    0xff0a140b,
    0xff031509,
    0xff000d04,
    0xff444c47,
    0xff81817c,
    0xff11120a,
    0xff11170b,
    0xff0e1710,
    0xff0b1811,
    0xff010600,
    0xff656b63,
    0xff374038,
    0xff091209,
    0xff000400,
    0xff696a60,
    0xff504d41,
    0xff675f54,
    0xff6d1d1b,
    0xff741a22,
    0xff741722,
    0xff6b171d,
    0xff682023,
    0xff5a2939,
    0xff6a6087,
    0xff6480b9,
    0xff5a87ba,
    0xff557db7,
    0xff5f81c4,
    0xff5b7dc3,
    0xff577fc0,
    0xff5983c3,
    0xff5b85c6,
    0xff5981c3,
    0xff5179b8,
    0xff476caf,
    0xff4b70b4,
    0xff476aab,
    0xff4669a5,
    0xff3f639c,
    0xff5270ae,
    0xff4766a5,
    0xff4f69ad,
    0xff425b9f,
    0xff4462a0,
    0xff3c5e94,
    0xff436599,
    0xff405f92,
    0xff416092,
    0xff3f5e90,
    0xff4965a4,
    0xff4a6aa1,
    0xff4d6cab,
    0xff4d6aa2,
    0xff566fa7,
    0xff5e75b6,
    0xff5776ab,
    0xff5173af,
    0xff5877b0,
    0xff5d7bb1,
    0xff5e7cb2,
    0xff5876a9,
    0xff5370a3,
    0xff607cb3,
    0xff5f7bb6,
    0xff5875b0,
    0xff5476a1,
    0xff4f709c,
    0xff476993,
    0xff4e6c96,
    0xff426289,
    0xff476389,
    0xff456383,
    0xff3f5d7b,
    0xff435d73,
    0xff4a6379,
    0xff496278,
    0xff475f75,
    0xff4c677c,
    0xff486377,
    0xff415b70,
    0xff415c71,
    0xff3e5a77,
    0xff3d5b79,
    0xff3a5a76,
    0xff2b4d68,
    0xff30536c,
    0xff3f617b,
    0xff40627c,
    0xff42637b,
    0xff48687f,
    0xff4c6a86,
    0xff4e6b89,
    0xff567491,
    0xff56748c,
    0xff55728b,
    0xff597691,
    0xff577493,
    0xff59738a,
    0xff577088,
    0xff596e86,
    0xff5a7289,
    0xff547085,
    0xff506f81,
    0xff557183,
    0xff5a7386,
    0xff536b82,
    0xff526a7e,
    0xff526978,
    0xff576b74,
    0xff586c6d,
    0xff5e6e6b,
    0xff55655b,
    0xff5d6d63,
    0xff576a66,
    0xff596b6a,
    0xff5d6e74,
    0xff576772,
    0xff5a6974,
    0xff56656a,
    0xff576865,
    0xff4f6059,
    0xff57636d,
    0xff515d69,
    0xff576671,
    0xff5c6d7a,
    0xff627381,
    0xff5c7181,
    0xff5f7388,
    0xff5e7289,
    0xff4e6785,
    0xff57708e,
    0xff576f8d,
    0xff566e8d,
    0xff566f8e,
    0xff556d8c,
    0xff597290,
    0xff637a9c,
    0xff5e758c,
    0xff5b7687,
    0xff5e7886,
    0xff5d7985,
    0xff5e7984,
    0xff58727c,
    0xff5d767a,
    0xff5b7573,
    0xff5a726e,
    0xff5d7670,
    0xff60786f,
    0xff5f7670,
    0xff60757a,
    0xff667980,
    0xff63777b,
    0xff667875,
    0xff6f7766,
    0xff707566,
    0xff6e7569,
    0xff697062,
    0xff666e61,
    0xff666d5d,
    0xff6a725d,
    0xff67715a,
    0xff66795b,
    0xff61775a,
    0xff5b715c,
    0xff5a7364,
    0xff5a726b,
    0xff59726f,
    0xff577072,
    0xff5a7075,
    0xff536d74,
    0xff56707a,
    0xff516878,
    0xff4c6279,
    0xff516782,
    0xff566c8d,
    0xff50678b,
    0xff556c91,
    0xff506884,
    0xff576e89,
    0xff5a7089,
    0xff506982,
    0xff526f88,
    0xff4b6885,
    0xff4f728f,
    0xff577999,
    0xff51728d,
    0xff52728c,
    0xff537489,
    0xff486c7a,
    0xff4a6c78,
    0xff4a6a78,
    0xff4f6e7e,
    0xff496878,
    0xff4b6777,
    0xff4a6371,
    0xff405a64,
    0xff3a5558,
    0xff405758,
    0xff4e615c,
    0xff49544f,
    0xff53554f,
    0xff676257,
    0xff5e5c51,
    0xff5b5c52,
    0xff5b6159,
    0xff525b52,
    0xff546158,
    0xff4f5d54,
    0xff526359,
    0xff5e6c6e,
    0xff5f6d73,
    0xff58656d,
    0xff55646e,
    0xff5d6d76,
    0xff576770,
    0xff586a73,
    0xff596a73,
    0xff4f6070,
    0xff4f6075,
    0xff52607c,
    0xff5c6f8b,
    0xff5d728f,
    0xff607697,
    0xff5f7499,
    0xff6178a4,
    0xff607ea2,
    0xff617b98,
    0xff62798f,
    0xff617782,
    0xff5d717b,
    0xff637783,
    0xff63788a,
    0xff6a7e96,
    0xff6d8292,
    0xff71808d,
    0xff6e7882,
    0xff6c7479,
    0xff6d797a,
    0xff6e7c7c,
    0xff6a7a7a,
    0xff5f7171,
    0xff556965,
    0xff506662,
    0xff49605d,
    0xff4a6563,
    0xff536d6b,
    0xff506868,
    0xff4b5f5f,
    0xff576a6b,
    0xff56646c,
    0xff556166,
    0xff606b6c,
    0xff5d6566,
    0xff606965,
    0xff5e6865,
    0xff606a67,
    0xff6e7875,
    0xff676e76,
    0xff60686f,
    0xff626a6f,
    0xff626a6d,
    0xff656d72,
    0xff6e767c,
    0xff7a818a,
    0xff7e8590,
    0xff7b7f8a,
    0xff777981,
    0xff858990,
    0xff838c9b,
    0xff7c89a5,
    0xff8191b0,
    0xff7f8ea9,
    0xff808d9f,
    0xff9a90a2,
    0xffad7e94,
    0xff84253d,
    0xff750005,
    0xffbb342f,
    0xffc33b2f,
    0xffb93222,
    0xffb2291d,
    0xffa72d2c,
    0xffc84b34,
    0xff9e1c0a,
    0xff82190a,
    0xffe3a896,
    0xffa0807b,
    0xffb5a5af,
    0xffa5a2a1,
    0xff9c9d97,
    0xff9e9e91,
    0xff9d9c89,
    0xff8e8c75,
    0xffaca58e,
    0xff9a8e73,
    0xff948761,
    0xff9b8c5d,
    0xff9a8c60,
    0xff9a8c63,
    0xff897e57,
    0xff8c8160,
    0xff83765b,
    0xff756951,
    0xff7a6953,
    0xff7a6954,
    0xffa8988c,
    0xff786c69,
    0xff5d5a56,
    0xff5d6359,
    0xff687463,
    0xff697a67,
    0xff6c8075,
    0xff6d7e7e,
    0xff6b8492,
    0xff6b899a,
    0xff7897b0,
    0xff7796b4,
    0xff7791b5,
    0xff7691b6,
    0xff718eb1,
    0xff6c8aaa,
    0xff7894ab,
    0xff7791a9,
    0xff738ba5,
    0xff798ca7,
    0xff8091a9,
    0xff768599,
    0xff737f8e,
    0xff818c97,
    0xff818a8d,
    0xff7b8689,
    0xff748385,
    0xff758685,
    0xff6b7f7d,
    0xff728a7e,
    0xff7e9386,
    0xff788f7f,
    0xff738772,
    0xff758573,
    0xff798772,
    0xff7c8975,
    0xff7e8771,
    0xff707a61,
    0xff697558,
    0xff6f7c5b,
    0xff747653,
    0xff797b5a,
    0xff767e61,
    0xff74836a,
    0xff6a7965,
    0xff677b67,
    0xff6f8470,
    0xff6b816c,
    0xff6e7b6e,
    0xff717a5f,
    0xff6b7144,
    0xff6c6c31,
    0xff636023,
    0xff67632b,
    0xff686531,
    0xff636132,
    0xff4f562a,
    0xff4a501f,
    0xff586127,
    0xff656f30,
    0xff5c6a2a,
    0xff5b662d,
    0xff596431,
    0xff646f43,
    0xff47562d,
    0xffaba083,
    0xff727352,
    0xff5a6d43,
    0xff666036,
    0xff9c7f5a,
    0xff615c35,
    0xff61784e,
    0xff5d6d53,
    0xff4a593c,
    0xff4a5a36,
    0xff445526,
    0xff4c541e,
    0xff565e22,
    0xff596126,
    0xff555e27,
    0xff47542a,
    0xff515f41,
    0xff455643,
    0xff425b43,
    0xff4c6942,
    0xff486636,
    0xff5a7445,
    0xff617951,
    0xff526e41,
    0xff536e41,
    0xff4a6739,
    0xff40602f,
    0xff3c5929,
    0xff405c2c,
    0xff3e5427,
    0xff3d5225,
    0xff3b4e1f,
    0xff394d1a,
    0xff324614,
    0xff324316,
    0xff314118,
    0xff2c3c16,
    0xff293812,
    0xff304017,
    0xff304117,
    0xff31431a,
    0xff2e3f16,
    0xff2a3b13,
    0xff31431c,
    0xff30401c,
    0xff2d3b1a,
    0xff374224,
    0xff273018,
    0xff2f351a,
    0xff3a3d1e,
    0xff343517,
    0xff2e3112,
    0xff2a310f,
    0xff404f28,
    0xff3d5024,
    0xff384e1f,
    0xff485d34,
    0xff364828,
    0xff394627,
    0xff454f25,
    0xff50511c,
    0xff5f5b1b,
    0xff5f5917,
    0xff5a602d,
    0xff536039,
    0xff4b5e47,
    0xff394d42,
    0xff2f4239,
    0xff2b3a31,
    0xff324336,
    0xff344537,
    0xff35433e,
    0xff36453b,
    0xff3f4b40,
    0xff474c42,
    0xff493f36,
    0xff6e5048,
    0xff763f37,
    0xff7f352a,
    0xff872d24,
    0xff88261c,
    0xff882812,
    0xff934219,
    0xff8d5714,
    0xff7c6209,
    0xff757609,
    0xff718008,
    0xff647703,
    0xff637804,
    0xff667f0c,
    0xff5e7c08,
    0xff5c7e0d,
    0xff53730b,
    0xff4f6e12,
    0xff445f0d,
    0xffb09e70,
    0xff6f2217,
    0xff380300,
    0xff320403,
    0xff4b0714,
    0xff56161b,
    0xff651713,
    0xff691204,
    0xff782119,
    0xff6b270d,
    0xffa64a27,
    0xff8f1f00,
    0xffae351c,
    0xffdc6f58,
    0xffe89671,
    0xffdd805d,
    0xff5e2014,
    0xffa7806e,
    0xff56321c,
    0xff3c0600,
    0xff561200,
    0xff80341e,
    0xff7f2f1b,
    0xff7e2510,
    0xff782f0f,
    0xff722c11,
    0xff6f2d18,
    0xff672712,
    0xff6b2a0f,
    0xff7e3b17,
    0xff7f3e15,
    0xff6e3107,
    0xff6c2a0b,
    0xff792a11,
    0xff75220e,
    0xff702710,
    0xff69270a,
    0xff73290d,
    0xff722910,
    0xff642109,
    0xff622a0a,
    0xff5e2d01,
    0xff714b0d,
    0xff6a4e07,
    0xff5e4801,
    0xff524005,
    0xff463d0f,
    0xff342c0a,
    0xff3a2813,
    0xff331e07,
    0xff482f15,
    0xff4f321c,
    0xff462d17,
    0xff483526,
    0xff372819,
    0xff28220f,
    0xff1a2011,
    0xff1a2113,
    0xff161e14,
    0xff0e1408,
    0xff101206,
    0xff0d1408,
    0xff0b160e,
    0xff091711,
    0xff0f120c,
    0xff12130e,
    0xff151611,
    0xff1c1f1a,
    0xff191b16,
    0xff161c16,
    0xff131d15,
    0xff101b13,
    0xff111e14,
    0xff0f1c12,
    0xff0a180e,
    0xff071309,
    0xff08140a,
    0xff08150b,
    0xff071108,
    0xff0b150c,
    0xff081710,
    0xff1c2c25,
    0xff15251e,
    0xff15211b,
    0xff122018,
    0xff182320,
    0xff1b2624,
    0xff2c3637,
    0xff232e2a,
    0xff182421,
    0xff09160f,
    0xff0a170e,
    0xff08150b,
    0xff061306,
    0xff091407,
    0xff0c1407,
    0xff0a0c09,
    0xff0b1915,
    0xff031411,
    0xff0b1011,
    0xff0c1310,
    0xff041e16,
    0xff2f4c47,
    0xff223634,
    0xff101108,
    0xff050f0f,
    0xff1a1d0c,
    0xff1f261a,
    0xff080c0f,
    0xff131814,
    0xff1c0c07,
    0xff7d2516,
    0xff750000,
    0xffffae78,
    0xff813b1f,
    0xff510001,
    0xff712105,
    0xff7c3a0f,
    0xff76452e,
    0xff2b0300,
    0xff3b0c00,
    0xff925a1d,
    0xfffba466,
    0xffb43f0f,
    0xffb6490b,
    0xffa8570a,
    0xffa65515,
    0xff9b3900,
    0xffc56212,
    0xff963611,
    0xff320005,
    0xff141003,
    0xff151300,
    0xff210b00,
    0xff7c4312,
    0xffb94f14,
    0xff842607,
    0xff8d2f08,
    0xffdb843b,
    0xffec9b42,
    0xffc5792d,
    0xffa35e17,
    0xffc68632,
    0xffa76808,
    0xffeaa62f,
    0xffbc7301,
    0xffb56912,
    0xffb5730b,
    0xffa56f00,
    0xffe4b236,
    0xffe3a81e,
    0xffc67c09,
    0xffa03e11,
    0xffb37519,
    0xff3f1a00,
    0xff1b0000,
    0xffba8d19,
    0xffcf910c,
    0xffa76b00,
    0xff8d5604,
    0xff692e0f,
    0xff1b1a07,
    0xff7c7749,
    0xffab883a,
    0xffceae59,
    0xffb5872d,
    0xffb27d28,
    0xff291600,
    0xff0e160f,
    0xff06120b,
    0xff081209,
    0xff040f03,
    0xff061205,
    0xff0c1708,
    0xff394032,
    0xff172011,
    0xff0b1a0f,
    0xff08130b,
    0xff0e1612,
    0xff868983,
    0xff404338,
    0xff0c1106,
    0xff0f170e,
    0xff0b150f,
    0xff0e130b,
    0xff272f27,
    0xff707c75,
    0xff041107,
    0xff0a1409,
    0xff303328,
    0xff726d60,
    0xff584d42,
    0xff6b1e19,
    0xff721b20,
    0xff731727,
    0xff731926,
    0xff711c19,
    0xff611e18,
    0xff543a51,
    0xff5a6ba3,
    0xff5273b9,
    0xff3d5fa7,
    0xff4d6eb5,
    0xff476aaf,
    0xff3b61a1,
    0xff446caa,
    0xff466cb0,
    0xff3960a6,
    0xff375c9a,
    0xff355794,
    0xff4d6dae,
    0xff4d6db0,
    0xff4967ad,
    0xff4a69af,
    0xff4a6cb1,
    0xff4a6eb2,
    0xff4c71a7,
    0xff5678ae,
    0xff587ab3,
    0xff5b7ab6,
    0xff5474b1,
    0xff5876b5,
    0xff5978b8,
    0xff5874b6,
    0xff5876b0,
    0xff5a77af,
    0xff5b78b1,
    0xff5b78ad,
    0xff5372a4,
    0xff5575a2,
    0xff56789e,
    0xff56789d,
    0xff57739e,
    0xff56739d,
    0xff58759e,
    0xff526e97,
    0xff4f658e,
    0xff4d6289,
    0xff4c6486,
    0xff436080,
    0xff486079,
    0xff38506d,
    0xff324b69,
    0xff334d6d,
    0xff273f62,
    0xff36506e,
    0xff374e6c,
    0xff283e5a,
    0xff35525f,
    0xff415d6c,
    0xff445f70,
    0xff435e6f,
    0xff3a5566,
    0xff456375,
    0xff4a687f,
    0xff4d6a87,
    0xff4c738c,
    0xff416a84,
    0xff426b84,
    0xff507692,
    0xff567a98,
    0xff4c6e8a,
    0xff55738f,
    0xff587490,
    0xff50728e,
    0xff557692,
    0xff577592,
    0xff58758e,
    0xff597389,
    0xff597383,
    0xff57707b,
    0xff5d727b,
    0xff5c7174,
    0xff50656b,
    0xff50666c,
    0xff4d6469,
    0xff536c70,
    0xff425c5b,
    0xff46605d,
    0xff486059,
    0xff566460,
    0xff4b5953,
    0xff47554e,
    0xff445549,
    0xff415344,
    0xff485a48,
    0xff4b614b,
    0xff4f624b,
    0xff59624f,
    0xff596354,
    0xff5a645c,
    0xff626d6c,
    0xff637072,
    0xff5e6d73,
    0xff5c6e72,
    0xff63777a,
    0xff677b8d,
    0xff617689,
    0xff637b8c,
    0xff5f7888,
    0xff597483,
    0xff577282,
    0xff5a7185,
    0xff556d81,
    0xff516f86,
    0xff4e6a81,
    0xff4a6376,
    0xff4b616d,
    0xff586c71,
    0xff5f6d6f,
    0xff596664,
    0xff57635c,
    0xff58675a,
    0xff5c6959,
    0xff5a6750,
    0xff5a6549,
    0xff596345,
    0xff5b6345,
    0xff5b5f44,
    0xff5a5f43,
    0xff5a6244,
    0xff566040,
    0xff596341,
    0xff596240,
    0xff596241,
    0xff5a6343,
    0xff5d644a,
    0xff646b50,
    0xff6c6f4f,
    0xff6e744b,
    0xff6f784c,
    0xff67744d,
    0xff67765a,
    0xff677866,
    0xff667869,
    0xff637865,
    0xff5e745f,
    0xff5f7662,
    0xff5d7868,
    0xff5b776c,
    0xff556e6b,
    0xff576f6e,
    0xff5c7076,
    0xff5b6e76,
    0xff596d7c,
    0xff546b7e,
    0xff556e86,
    0xff5b7089,
    0xff5d7288,
    0xff576a7e,
    0xff546a7d,
    0xff4f657b,
    0xff5b6883,
    0xff556278,
    0xff4c5962,
    0xff546066,
    0xff546467,
    0xff59696e,
    0xff4c5d5f,
    0xff3a5050,
    0xff425a54,
    0xff39534a,
    0xff345047,
    0xff365146,
    0xff425a4f,
    0xff3f544a,
    0xff46564b,
    0xff475249,
    0xff49544a,
    0xff3e4c42,
    0xff3a4c45,
    0xff3b4d49,
    0xff384842,
    0xff404a45,
    0xff54554f,
    0xff605c53,
    0xff645b49,
    0xff635d4a,
    0xff5c5e49,
    0xff58634d,
    0xff596956,
    0xff556958,
    0xff576e60,
    0xff52675c,
    0xff516467,
    0xff55676e,
    0xff5d6f77,
    0xff677a83,
    0xff647781,
    0xff60757f,
    0xff5e7282,
    0xff61788b,
    0xff58758c,
    0xff5a758c,
    0xff5e798c,
    0xff5b7484,
    0xff637a8b,
    0xff5f728a,
    0xff637591,
    0xff637493,
    0xff62758c,
    0xff586b7b,
    0xff586a71,
    0xff576a67,
    0xff67796e,
    0xff566757,
    0xff5c6d5c,
    0xff596858,
    0xff536452,
    0xff5e6852,
    0xff65674b,
    0xff6b6b4a,
    0xff6a6b4c,
    0xff696e4e,
    0xff606947,
    0xff676e4a,
    0xff5e6c46,
    0xff56654a,
    0xff4e5f53,
    0xff4d605f,
    0xff54676a,
    0xff5b6e73,
    0xff54676d,
    0xff5e7076,
    0xff6c737a,
    0xff636a72,
    0xff6a7278,
    0xff767f87,
    0xff757e88,
    0xff838c9c,
    0xff747d90,
    0xff717e94,
    0xff6e7c9b,
    0xff7986a0,
    0xff7b889b,
    0xff7a8995,
    0xff84939d,
    0xff8392a1,
    0xff7d8b9f,
    0xff7a88a3,
    0xff7d849b,
    0xff9988a5,
    0xff9c7f9c,
    0xffa390a9,
    0xff988da2,
    0xff97849a,
    0xff9a7e97,
    0xffa7879e,
    0xffb37878,
    0xff8e303b,
    0xffa0282e,
    0xffb62b1e,
    0xffb5180b,
    0xffa50206,
    0xff940206,
    0xff971813,
    0xffb63c40,
    0xff881506,
    0xffb12f23,
    0xffaa4d3d,
    0xffa46e55,
    0xffa06758,
    0xff8e6e59,
    0xff827e4c,
    0xff747f47,
    0xff797649,
    0xff857b54,
    0xff7c744b,
    0xff8a7849,
    0xff987749,
    0xff9a7c4c,
    0xff8e7a4d,
    0xff8a7e51,
    0xff93824d,
    0xff998650,
    0xff8a7d53,
    0xff887556,
    0xff926c50,
    0xffbf8e78,
    0xffe7b7a7,
    0xffc59a90,
    0xff847274,
    0xff9a9cac,
    0xff8e90a6,
    0xff8c8b9c,
    0xff8a929d,
    0xff8d9cb0,
    0xff788bab,
    0xff7793b6,
    0xff6c87ae,
    0xff6a83ac,
    0xff7188b3,
    0xff788fb8,
    0xff859dc2,
    0xff8ca5c5,
    0xff8ea6c2,
    0xff8c98b7,
    0xff99a6c5,
    0xff91a1c1,
    0xff93a4c5,
    0xff8d9ebe,
    0xff8e9ebb,
    0xff8e9ab5,
    0xff8c95af,
    0xff8e92a8,
    0xff8e94a1,
    0xff858f90,
    0xff798c85,
    0xff71897d,
    0xff6b8475,
    0xff6d8071,
    0xff6b7a69,
    0xff6b7e63,
    0xff6b7c5a,
    0xff68774b,
    0xff626f3d,
    0xff5a6a36,
    0xff586635,
    0xff5d6735,
    0xff636637,
    0xff67623a,
    0xff676239,
    0xff5e5b35,
    0xff5d5d3b,
    0xff585c3c,
    0xff4f573d,
    0xff58664c,
    0xff697b63,
    0xff7a8871,
    0xff768162,
    0xff7e825a,
    0xff80804d,
    0xff76753e,
    0xff656530,
    0xff686d3d,
    0xff676e43,
    0xff5c6744,
    0xff59693a,
    0xff617236,
    0xff637737,
    0xff75864e,
    0xff7a8358,
    0xff838a62,
    0xff666a42,
    0xff5b6a53,
    0xffd6d1ba,
    0xff414520,
    0xff4a5428,
    0xff6d5638,
    0xff64452f,
    0xff565534,
    0xff4f6541,
    0xff536a4e,
    0xff54694c,
    0xff54664a,
    0xff697959,
    0xff6b7b55,
    0xff6c7a52,
    0xff808c60,
    0xff818f60,
    0xff738958,
    0xff688057,
    0xff6c8566,
    0xff668267,
    0xff5e7b5e,
    0xff637d5d,
    0xff5f7958,
    0xff4e6745,
    0xff435e34,
    0xff415c31,
    0xff365025,
    0xff324d1f,
    0xff324e1d,
    0xff294515,
    0xff2b4716,
    0xff2f4a19,
    0xff364c12,
    0xff344812,
    0xff374b18,
    0xff334618,
    0xff36481e,
    0xff33461c,
    0xff33451b,
    0xff3c4e24,
    0xff394b19,
    0xff3b501f,
    0xff314818,
    0xff2b4217,
    0xff314721,
    0xff2f401f,
    0xff2e3b20,
    0xff313a21,
    0xff414931,
    0xff515739,
    0xff5c6341,
    0xff5b623e,
    0xff5a6443,
    0xff4a5735,
    0xff364922,
    0xff395026,
    0xff385322,
    0xff334d25,
    0xff2d4123,
    0xff32411e,
    0xff444f1f,
    0xff545b1d,
    0xff5e5f1d,
    0xff615f1e,
    0xff5b6429,
    0xff576233,
    0xff4e5d3e,
    0xff3f5441,
    0xff2e4538,
    0xff253e31,
    0xff293d34,
    0xff263b33,
    0xff30423a,
    0xff32453a,
    0xff3a4a40,
    0xff434d41,
    0xff464235,
    0xff685144,
    0xff6c4133,
    0xff7a4335,
    0xff823024,
    0xff90251f,
    0xff962415,
    0xff923b14,
    0xff925e18,
    0xff81670d,
    0xff7c740c,
    0xff777c0d,
    0xff687c0a,
    0xff647a07,
    0xff607904,
    0xff5c7903,
    0xff517301,
    0xff4d6906,
    0xff4b5d06,
    0xff474f03,
    0xff9e7145,
    0xff6e3425,
    0xff280d06,
    0xff3f0a09,
    0xff44090d,
    0xff35100f,
    0xff5b0a0b,
    0xff6b1401,
    0xff5e1107,
    0xff631d0f,
    0xff8c3a25,
    0xffb6512c,
    0xffcb6238,
    0xffa44723,
    0xffe78e6b,
    0xffe9885e,
    0xff8f3827,
    0xff331e09,
    0xff220e07,
    0xff3a150a,
    0xff602710,
    0xff853214,
    0xff7d2e0f,
    0xff772712,
    0xff792e0d,
    0xff772c0d,
    0xff6c240e,
    0xff6b2717,
    0xff672509,
    0xff6f3102,
    0xff7f4216,
    0xff7d3b1f,
    0xff6a280f,
    0xff732f16,
    0xff6a280e,
    0xff6e280e,
    0xff7f351c,
    0xff7a2e13,
    0xff71250a,
    0xff763010,
    0xff7a461c,
    0xff754c0e,
    0xff836313,
    0xff806813,
    0xff6c560d,
    0xff513d06,
    0xff51441a,
    0xff413814,
    0xff3f2b14,
    0xff39220e,
    0xff3b230e,
    0xff4c311c,
    0xff422b13,
    0xff47321d,
    0xff322312,
    0xff2b1f16,
    0xff1d2012,
    0xff1f2315,
    0xff1a1f13,
    0xff171911,
    0xff121810,
    0xff10140f,
    0xff0f150e,
    0xff0f1712,
    0xff10150e,
    0xff11130e,
    0xff161712,
    0xff1e1f1a,
    0xff161916,
    0xff171e1b,
    0xff17211b,
    0xff121f1b,
    0xff0f1a12,
    0xff101b14,
    0xff0d190f,
    0xff08140a,
    0xff061208,
    0xff09150b,
    0xff08150b,
    0xff071309,
    0xff05120c,
    0xff0a1710,
    0xff1a2720,
    0xff0f1c15,
    0xff131f18,
    0xff0d1b16,
    0xff0e201d,
    0xff314342,
    0xff192b28,
    0xff0a1b16,
    0xff02110a,
    0xff061108,
    0xff0c180e,
    0xff0d160d,
    0xff0b150d,
    0xff09130b,
    0xff06130f,
    0xff06150f,
    0xff08150f,
    0xff08150c,
    0xff08150c,
    0xff04130c,
    0xff0c1e1a,
    0xff334441,
    0xff1d2320,
    0xff09130d,
    0xff0d140b,
    0xff1c1b17,
    0xff0b0e0a,
    0xff131b11,
    0xff1f0f08,
    0xff4a1311,
    0xff842d17,
    0xffc25d3a,
    0xffb06544,
    0xff200000,
    0xff210006,
    0xff2d1000,
    0xff311200,
    0xff481516,
    0xffa94f47,
    0xffcf7149,
    0xffa83f1d,
    0xff942905,
    0xff9d3108,
    0xffb14f14,
    0xff923509,
    0xffb05e0c,
    0xff9e4a05,
    0xff963b16,
    0xff370004,
    0xff1c0f19,
    0xff1b0200,
    0xff864a1e,
    0xffb16025,
    0xffba540d,
    0xffbe5e1e,
    0xff8b3307,
    0xff803117,
    0xff74270e,
    0xffddaa75,
    0xff260000,
    0xff70481e,
    0xffa06a16,
    0xffa56905,
    0xffd1931f,
    0xffc78418,
    0xfff7bc40,
    0xff9f6700,
    0xffbc8113,
    0xffe2a332,
    0xffb96d0e,
    0xffc47014,
    0xffcf9221,
    0xff8e5f14,
    0xffd7ae39,
    0xffe9b613,
    0xffe5a916,
    0xffb98200,
    0xffc29025,
    0xff744006,
    0xffb78b25,
    0xffb08419,
    0xffae802c,
    0xffb58a2b,
    0xffa5762a,
    0xffc08746,
    0xff844c1c,
    0xff130003,
    0xff07190a,
    0xff001a05,
    0xff051907,
    0xff001603,
    0xff031408,
    0xff181e15,
    0xff091406,
    0xff142013,
    0xff051107,
    0xff030a04,
    0xff70736e,
    0xff676661,
    0xff11100b,
    0xff141a0f,
    0xff0b180a,
    0xff0b190f,
    0xff0c1511,
    0xff8e9291,
    0xff151b17,
    0xff0a160a,
    0xff000400,
    0xff65655b,
    0xff534b45,
    0xff6c1b25,
    0xff701b20,
    0xff6f1b1f,
    0xff6c1c21,
    0xff6f1b1e,
    0xff6b1f26,
    0xff502143,
    0xff625795,
    0xff4266a3,
    0xff486eac,
    0xff4970ad,
    0xff4971ac,
    0xff4d75ad,
    0xff4a74ab,
    0xff4e78b3,
    0xff507ab9,
    0xff537eb9,
    0xff5780bc,
    0xff4873ae,
    0xff4e76b0,
    0xff527cb2,
    0xff517aac,
    0xff4975a3,
    0xff4b77a3,
    0xff4b6da9,
    0xff5375b1,
    0xff5275ac,
    0xff4e6fa0,
    0xff50739b,
    0xff4b6f8f,
    0xff486c88,
    0xff4b6d86,
    0xff496684,
    0xff446182,
    0xff425f7d,
    0xff415f7a,
    0xff416077,
    0xff415d74,
    0xff3e5b70,
    0xff3f5c72,
    0xff3e5e7b,
    0xff416280,
    0xff456785,
    0xff4a6684,
    0xff435d7b,
    0xff455c7f,
    0xff4c6587,
    0xff416082,
    0xff385977,
    0xff4d6f90,
    0xff496a8b,
    0xff3d6182,
    0xff567997,
    0xff4d728d,
    0xff496b80,
    0xff517488,
    0xff4f7292,
    0xff466687,
    0xff456182,
    0xff4e6983,
    0xff456173,
    0xff47636e,
    0xff3d5963,
    0xff405b6a,
    0xff4f6674,
    0xff506673,
    0xff546b79,
    0xff4c6772,
    0xff49636c,
    0xff455f64,
    0xff456063,
    0xff445d5e,
    0xff3f5953,
    0xff465f5a,
    0xff49625c,
    0xff4a625c,
    0xff455c54,
    0xff3f584b,
    0xff465e4f,
    0xff415847,
    0xff4e5c51,
    0xff4d5951,
    0xff53615d,
    0xff4f5c5b,
    0xff4e5b59,
    0xff556260,
    0xff56615b,
    0xff566159,
    0xff465c59,
    0xff556965,
    0xff5c706f,
    0xff5e7072,
    0xff5c6b6d,
    0xff657479,
    0xff68757c,
    0xff637076,
    0xff647770,
    0xff5f736d,
    0xff667a79,
    0xff64777a,
    0xff607376,
    0xff5a6e72,
    0xff5f7474,
    0xff647777,
    0xff66757a,
    0xff637275,
    0xff60706f,
    0xff63746c,
    0xff5c6c61,
    0xff586658,
    0xff626e60,
    0xff586354,
    0xff5a604e,
    0xff5e6552,
    0xff5c604d,
    0xff5b5e49,
    0xff555741,
    0xff55553f,
    0xff55543f,
    0xff4f5039,
    0xff525339,
    0xff505436,
    0xff525534,
    0xff575a36,
    0xff575c36,
    0xff555b37,
    0xff595e3d,
    0xff5e6341,
    0xff53613b,
    0xff55633e,
    0xff5a6847,
    0xff5a6a4e,
    0xff5f705a,
    0xff647667,
    0xff697a70,
    0xff6a7c77,
    0xff63797c,
    0xff647974,
    0xff5f7769,
    0xff5e786b,
    0xff647c76,
    0xff607976,
    0xff607976,
    0xff668179,
    0xff647474,
    0xff627272,
    0xff607575,
    0xff5b7171,
    0xff55696a,
    0xff566b6b,
    0xff57696a,
    0xff536364,
    0xff506258,
    0xff53665e,
    0xff586a66,
    0xff576762,
    0xff525c56,
    0xff4e554b,
    0xff575f54,
    0xff4f5c4f,
    0xff424c3d,
    0xff4a533f,
    0xff444e34,
    0xff556043,
    0xff3e492e,
    0xff445037,
    0xff3d4b32,
    0xff3e4e34,
    0xff354934,
    0xff384e39,
    0xff3f5744,
    0xff3a5541,
    0xff415b4a,
    0xff3f5749,
    0xff3f5547,
    0xff495c51,
    0xff475a54,
    0xff435755,
    0xff4e6364,
    0xff54686d,
    0xff4b5d63,
    0xff555f65,
    0xff696c70,
    0xff726f73,
    0xff6c6e7b,
    0xff6d717e,
    0xff636d77,
    0xff5f7079,
    0xff5e717b,
    0xff5c707e,
    0xff5a6d7d,
    0xff5b6c7e,
    0xff55676c,
    0xff5a6a71,
    0xff576770,
    0xff5d6d72,
    0xff556667,
    0xff5a6c69,
    0xff576b6b,
    0xff5b6d70,
    0xff5b706e,
    0xff546963,
    0xff526659,
    0xff4a5f4b,
    0xff556a50,
    0xff5b6c51,
    0xff56664a,
    0xff5c6b50,
    0xff566751,
    0xff51624c,
    0xff56684e,
    0xff47593d,
    0xff4d5e3e,
    0xff4f603e,
    0xff4e5e3c,
    0xff52623f,
    0xff4d603c,
    0xff505e36,
    0xff61693b,
    0xff676f40,
    0xff636c40,
    0xff65734a,
    0xff5d6d43,
    0xff63724a,
    0xff657766,
    0xff556861,
    0xff566b6f,
    0xff5b727e,
    0xff5f7988,
    0xff5e7586,
    0xff62768b,
    0xff687a91,
    0xff667486,
    0xff6b7986,
    0xff6e7d8a,
    0xff83919e,
    0xff8d9aaa,
    0xff718092,
    0xff8092a7,
    0xff7687a0,
    0xff838fac,
    0xff7f8aa4,
    0xff768093,
    0xff7d8797,
    0xff727c8c,
    0xff81879b,
    0xff82879f,
    0xff8689a5,
    0xff7f86a1,
    0xff9c8aa0,
    0xff743449,
    0xff7e1b29,
    0xff932f34,
    0xffa2514b,
    0xffc07874,
    0xffb36363,
    0xffd1826a,
    0xfff89489,
    0xff810001,
    0xff8a0000,
    0xff8f0002,
    0xff97000a,
    0xff840000,
    0xffa22720,
    0xffbe4a44,
    0xffb13835,
    0xffa1131b,
    0xff8e0b11,
    0xff8e161e,
    0xff95292b,
    0xff96604c,
    0xff957358,
    0xff997e69,
    0xff958d73,
    0xffb28e80,
    0xffb86f66,
    0xffbc7761,
    0xffe5b191,
    0xff9d7653,
    0xff948159,
    0xff927c4b,
    0xff917d4e,
    0xff8b805a,
    0xff877d61,
    0xff8f7151,
    0xffd59e78,
    0xffebb291,
    0xffd6aa98,
    0xff9e94a0,
    0xff959cae,
    0xff8e9eb8,
    0xff8e9ebf,
    0xff8c97b9,
    0xff93a2c1,
    0xff8ca1c2,
    0xff8ba4c8,
    0xff8fa0ca,
    0xff96a5ce,
    0xff95a3ce,
    0xff9fabd7,
    0xff9ba8d3,
    0xff99a5cf,
    0xff9ba7d0,
    0xffa0add4,
    0xff9fb0de,
    0xff94a5d8,
    0xff90a3d4,
    0xff99afe1,
    0xff9aaddd,
    0xff9caedb,
    0xffa6b6df,
    0xffa3b0d6,
    0xffa6b3cd,
    0xffa3b1c6,
    0xffa0aec2,
    0xff9aadbd,
    0xff94aabb,
    0xff93adb5,
    0xff8ca3a5,
    0xff889a97,
    0xff889085,
    0xff797b6a,
    0xff7d7d61,
    0xff747751,
    0xff6f734c,
    0xff6a6d45,
    0xff636037,
    0xff615c30,
    0xff5c5a23,
    0xff605f2b,
    0xff5f5d31,
    0xff5e5f3c,
    0xff61654b,
    0xff5d6756,
    0xff647066,
    0xff6f8077,
    0xff6f7e64,
    0xff707a59,
    0xff747c52,
    0xff7b7e4f,
    0xff757747,
    0xff818759,
    0xff7d855e,
    0xff6d7957,
    0xff61724f,
    0xff5f6e43,
    0xff6a7743,
    0xff687c44,
    0xff6b7f4c,
    0xff62754b,
    0xff6d7750,
    0xff6c7049,
    0xff67795f,
    0xffc7c5b2,
    0xff908d78,
    0xff858975,
    0xffc9c3b4,
    0xff7b786a,
    0xff8e9683,
    0xff8a8b7b,
    0xff829482,
    0xff819280,
    0xff748671,
    0xff717f67,
    0xff758268,
    0xff747f5f,
    0xff677450,
    0xff57633a,
    0xff4a602d,
    0xff41592c,
    0xff233d16,
    0xff1d3817,
    0xff203f1a,
    0xff2e4a1e,
    0xff2d481d,
    0xff233f13,
    0xff203a12,
    0xff254015,
    0xff284417,
    0xff2b4618,
    0xff284513,
    0xff284412,
    0xff2d4916,
    0xff35511d,
    0xff324517,
    0xff304215,
    0xff304217,
    0xff2f411a,
    0xff2a3b14,
    0xff293b14,
    0xff20320b,
    0xff22340e,
    0xff243613,
    0xff233713,
    0xff233814,
    0xff1f3510,
    0xff213712,
    0xff2d3e1b,
    0xff263614,
    0xff293515,
    0xff313a19,
    0xff353d18,
    0xff353e15,
    0xff2d360b,
    0xff2d380f,
    0xff3f4f25,
    0xff4c6033,
    0xff435b2b,
    0xff334e1f,
    0xff3d552b,
    0xff2b3f1c,
    0xff38471f,
    0xff3a4512,
    0xff52581a,
    0xff636322,
    0xff656321,
    0xff595e27,
    0xff5a6336,
    0xff515c3e,
    0xff3e523d,
    0xff334a3a,
    0xff2b4134,
    0xff2e4136,
    0xff304137,
    0xff2d4435,
    0xff2b4132,
    0xff253a2b,
    0xff263121,
    0xff32301e,
    0xff4d3826,
    0xff6a4430,
    0xff673522,
    0xff752f23,
    0xff86241d,
    0xff902217,
    0xff903817,
    0xff8b5616,
    0xff80620f,
    0xff7c7314,
    0xff747b14,
    0xff6b7b19,
    0xff687b14,
    0xff688015,
    0xff648113,
    0xff65851a,
    0xff5c7715,
    0xff55690f,
    0xff73792d,
    0xff5e2502,
    0xff5d0e08,
    0xff410a06,
    0xff4a0d0b,
    0xff3b0500,
    0xff420c08,
    0xff6d0904,
    0xffa63f26,
    0xff943224,
    0xff500c00,
    0xff833725,
    0xffe1805e,
    0xffca753f,
    0xffaa6d34,
    0xffeda670,
    0xffe58a59,
    0xff721c0e,
    0xff281906,
    0xff20110d,
    0xff370f0b,
    0xff682816,
    0xff8c3419,
    0xff862e14,
    0xff862817,
    0xff813717,
    0xff773010,
    0xff69260f,
    0xff6b2717,
    0xff68280c,
    0xff7a3d0f,
    0xff7e4111,
    0xff662606,
    0xff6e2c13,
    0xff6f2f12,
    0xff6b2a0e,
    0xff712c12,
    0xff742b10,
    0xff7b3013,
    0xff6f2606,
    0xff672101,
    0xff612f05,
    0xff5b3000,
    0xff6a4c00,
    0xff725a04,
    0xff675208,
    0xff58440b,
    0xff4f4616,
    0xff403b11,
    0xff3d2d13,
    0xff34220c,
    0xff35230d,
    0xff433119,
    0xff34250d,
    0xff42361e,
    0xff2b2312,
    0xff231e12,
    0xff1e2416,
    0xff171e10,
    0xff161b0f,
    0xff0d1309,
    0xff0f130d,
    0xff0d150e,
    0xff0a110a,
    0xff0a110a,
    0xff0f140d,
    0xff10160f,
    0xff1a1d16,
    0xff1e1e19,
    0xff161b13,
    0xff181e16,
    0xff121d14,
    0xff121f17,
    0xff0f1b11,
    0xff131f15,
    0xff0e1a10,
    0xff08140a,
    0xff09150b,
    0xff0a160c,
    0xff0b170d,
    0xff081309,
    0xff04120b,
    0xff0f1c15,
    0xff16231c,
    0xff0f1c15,
    0xff0a170f,
    0xff0e1d18,
    0xff0b1b18,
    0xff364a48,
    0xff1b2f2b,
    0xff0c1d17,
    0xff06150e,
    0xff08120a,
    0xff0e170e,
    0xff0f190f,
    0xff0e1811,
    0xff071108,
    0xff020e0b,
    0xff0a1511,
    0xff07120c,
    0xff09130e,
    0xff05110a,
    0xff0a1612,
    0xff142220,
    0xff293734,
    0xff1f2521,
    0xff0a150d,
    0xff13160f,
    0xff13100b,
    0xff0e110c,
    0xff0f180e,
    0xff170d04,
    0xff5b302f,
    0xff5b080d,
    0xff961e16,
    0xff732517,
    0xff110900,
    0xff17110c,
    0xff221004,
    0xff311504,
    0xff430802,
    0xff640500,
    0xff851900,
    0xff8c2300,
    0xff9a4706,
    0xffaf5a20,
    0xffa93f16,
    0xffbe5326,
    0xffab5807,
    0xff781c00,
    0xffb54526,
    0xff400c00,
    0xff150905,
    0xff723821,
    0xff943309,
    0xff9e3410,
    0xff8e200a,
    0xff952400,
    0xffa94d26,
    0xff8f3221,
    0xff721908,
    0xff260000,
    0xff121000,
    0xff160f03,
    0xff513205,
    0xffac7727,
    0xffc8912e,
    0xffe3ad4c,
    0xffe1ab38,
    0xffd59f27,
    0xff925b00,
    0xffb87900,
    0xffab6500,
    0xffb36d00,
    0xffffdc4c,
    0xffb98a19,
    0xffb88c10,
    0xffca970d,
    0xffb67905,
    0xffc48c09,
    0xffc59214,
    0xffca9917,
    0xffb38400,
    0xffb28104,
    0xffb78213,
    0xffa8730a,
    0xffb4801f,
    0xffb3842d,
    0xffa57926,
    0xff4e2200,
    0xff190a00,
    0xff130800,
    0xff150502,
    0xff11120e,
    0xff0c1713,
    0xff0e1417,
    0xff091417,
    0xff0f1b0f,
    0xff0c180e,
    0xff000400,
    0xff6f746e,
    0xff787773,
    0xff11100b,
    0xff11170a,
    0xff0b1606,
    0xff08160d,
    0xff000200,
    0xff969996,
    0xff323631,
    0xff09140a,
    0xff060f01,
    0xff1a1d14,
    0xff7b7875,
    0xff661521,
    0xff6c191c,
    0xff6b1d18,
    0xff671d1f,
    0xff6d1c22,
    0xff6d1c27,
    0xff571d34,
    0xff624c72,
    0xff5573aa,
    0xff5b7eb7,
    0xff5275ab,
    0xff496c9c,
    0xff476e96,
    0xff3e678c,
    0xff41698f,
    0xff477098,
    0xff3a6189,
    0xff3e628c,
    0xff3c5e89,
    0xff375882,
    0xff36577d,
    0xff345578,
    0xff335774,
    0xff365976,
    0xff425f82,
    0xff3b577c,
    0xff354f72,
    0xff385272,
    0xff38516d,
    0xff39536b,
    0xff3d586d,
    0xff435c72,
    0xff3e5d82,
    0xff426285,
    0xff4a688b,
    0xff4c698e,
    0xff516c96,
    0xff55719e,
    0xff576ea2,
    0xff5870a6,
    0xff5373af,
    0xff4d6fa7,
    0xff5679ac,
    0xff5072a3,
    0xff5671a4,
    0xff5872a8,
    0xff5875af,
    0xff5576b1,
    0xff53709a,
    0xff56739b,
    0xff59799e,
    0xff5f7fa3,
    0xff52738f,
    0xff507389,
    0xff48687a,
    0xff4a6b79,
    0xff476776,
    0xff4d6a7a,
    0xff48616f,
    0xff4d6468,
    0xff475c56,
    0xff3e5345,
    0xff44584a,
    0xff3e5246,
    0xff3c4a45,
    0xff394644,
    0xff364743,
    0xff253a35,
    0xff1b332d,
    0xff243d37,
    0xff28423a,
    0xff304941,
    0xff34483f,
    0xff3f534b,
    0xff465a53,
    0xff425850,
    0xff4a6157,
    0xff52685f,
    0xff4d685a,
    0xff536d60,
    0xff4c635d,
    0xff536a66,
    0xff566f6e,
    0xff485f63,
    0xff546b70,
    0xff53666b,
    0xff506167,
    0xff56666a,
    0xff4b6562,
    0xff506866,
    0xff5a7071,
    0xff637476,
    0xff667378,
    0xff657078,
    0xff666d77,
    0xff6b7279,
    0xff62786f,
    0xff60766e,
    0xff61746e,
    0xff64756f,
    0xff606f68,
    0xff647065,
    0xff616b5e,
    0xff656e5e,
    0xff626856,
    0xff656a57,
    0xff60674d,
    0xff636848,
    0xff656a43,
    0xff66673f,
    0xff636234,
    0xff696537,
    0xff726a36,
    0xff696330,
    0xff655e2f,
    0xff635d32,
    0xff5d5732,
    0xff575532,
    0xff4e4b2c,
    0xff525034,
    0xff545539,
    0xff565a3c,
    0xff555c39,
    0xff535c37,
    0xff58623d,
    0xff596542,
    0xff5e6b4b,
    0xff5d6c4d,
    0xff657556,
    0xff637658,
    0xff61765b,
    0xff617662,
    0xff637c6a,
    0xff637e75,
    0xff5f7c76,
    0xff5b7777,
    0xff5e7c81,
    0xff627d7d,
    0xff617e74,
    0xff617e6e,
    0xff5e7969,
    0xff657e6b,
    0xff627b65,
    0xff647b60,
    0xff667465,
    0xff657462,
    0xff61715e,
    0xff657860,
    0xff61765a,
    0xff54684a,
    0xff526544,
    0xff5b6c4c,
    0xff566345,
    0xff4f5e44,
    0xff4c5943,
    0xff49513c,
    0xff51513b,
    0xff56523a,
    0xff5d5841,
    0xff4c4b34,
    0xff484e32,
    0xff4b5333,
    0xff464b2c,
    0xff44482e,
    0xff434933,
    0xff3f4634,
    0xff424b37,
    0xff3c4932,
    0xff3c4835,
    0xff3d4f3c,
    0xff3e5442,
    0xff476151,
    0xff446055,
    0xff456059,
    0xff47625f,
    0xff435a5b,
    0xff486063,
    0xff4b6567,
    0xff4c666d,
    0xff567079,
    0xff536772,
    0xff64707a,
    0xff646670,
    0xff64636c,
    0xff67717e,
    0xff5e6c76,
    0xff657680,
    0xff697f84,
    0xff64797e,
    0xff64777e,
    0xff63757c,
    0xff55646c,
    0xff515e5d,
    0xff63706e,
    0xff68736f,
    0xff636d61,
    0xff5d6651,
    0xff5d674c,
    0xff5d674b,
    0xff57634a,
    0xff545c45,
    0xff525a41,
    0xff4b5437,
    0xff4d5736,
    0xff4b542e,
    0xff515b31,
    0xff566031,
    0xff555f2f,
    0xff546138,
    0xff4d5c35,
    0xff4e5c3b,
    0xff4c5a3d,
    0xff5f6c53,
    0xff4e5c44,
    0xff5f6c56,
    0xff53614a,
    0xff50604d,
    0xff677560,
    0xff677159,
    0xff69745e,
    0xff6b7a67,
    0xff64786c,
    0xff5c7169,
    0xff667d75,
    0xff597477,
    0xff516f78,
    0xff506d7b,
    0xff496977,
    0xff506f7e,
    0xff557082,
    0xff5c758b,
    0xff627892,
    0xff627492,
    0xff6c7d9a,
    0xff6f809a,
    0xff8293aa,
    0xff7e8fa6,
    0xff6e7f97,
    0xff7689a3,
    0xff7e90ac,
    0xff7f8faf,
    0xff7b88a8,
    0xff8e99b8,
    0xff878eac,
    0xff8f95b1,
    0xff878aa7,
    0xff8786a5,
    0xff8484a2,
    0xff7f879f,
    0xff7f838d,
    0xffa97f7f,
    0xff6d0000,
    0xffde5846,
    0xffed7e57,
    0xffcd6839,
    0xffb74113,
    0xfff08738,
    0xfff4a055,
    0xffd6653e,
    0xffc73435,
    0xffac2d32,
    0xffc5574d,
    0xffdc6555,
    0xffe76e57,
    0xff942604,
    0xff7d0500,
    0xff8c0508,
    0xff8b0000,
    0xffa20017,
    0xff8b040a,
    0xffad5e46,
    0xffac5d53,
    0xffa76952,
    0xff937f59,
    0xff925f44,
    0xffb34c44,
    0xffe89184,
    0xffbc8876,
    0xffaa8979,
    0xff898776,
    0xff928c7c,
    0xff959088,
    0xff938f95,
    0xffaa969a,
    0xffcb9588,
    0xffe79a85,
    0xffecada6,
    0xffba9cae,
    0xffa5a5cc,
    0xffa7aed1,
    0xffa1b3d3,
    0xff9bb3d3,
    0xff9bb1d4,
    0xffa3afd9,
    0xffaeb4db,
    0xffb0b6db,
    0xffa6b6e0,
    0xffabbbe3,
    0xffb1c1e7,
    0xffb0c1e6,
    0xffadbce1,
    0xffb2bde6,
    0xffb3bfe7,
    0xffadb7e2,
    0xffa6b8dc,
    0xffa2b5d8,
    0xff9eb2d5,
    0xff99adce,
    0xff92a6c4,
    0xff94a3bd,
    0xff8894ab,
    0xff868ea3,
    0xff838897,
    0xff828387,
    0xff7b7d6e,
    0xff70745a,
    0xff6b7453,
    0xff6b7655,
    0xff6a7757,
    0xff6d7959,
    0xff647448,
    0xff677443,
    0xff6d7740,
    0xff5d692f,
    0xff5b6831,
    0xff5a6832,
    0xff5a6431,
    0xff5f6534,
    0xff6c6c3d,
    0xff75734c,
    0xff797854,
    0xff77795b,
    0xff757d64,
    0xff7b8672,
    0xff7e8d7c,
    0xff7b8d7d,
    0xff84927a,
    0xff838e71,
    0xff838967,
    0xff727952,
    0xff6b7149,
    0xff687252,
    0xff66745c,
    0xff60725d,
    0xff567150,
    0xff677a57,
    0xff6f7953,
    0xff69774f,
    0xff668157,
    0xff738d68,
    0xff7c8a69,
    0xff707153,
    0xffa5a792,
    0xffa8a695,
    0xff6f776c,
    0xffa3a8a4,
    0xffa19ea0,
    0xff8f9393,
    0xffa4afa7,
    0xffa8a6a0,
    0xff9aab99,
    0xff919f8e,
    0xff84937f,
    0xff85927b,
    0xff7d8b6e,
    0xff77835d,
    0xff7b855b,
    0xff7f885c,
    0xff7c8e64,
    0xff728563,
    0xff637b5f,
    0xff667f65,
    0xff698365,
    0xff678261,
    0xff6b8562,
    0xff7c9372,
    0xff768d70,
    0xff698063,
    0xff637a5d,
    0xff4f6744,
    0xff445c36,
    0xff3c542b,
    0xff385427,
    0xff324e1f,
    0xff3e5326,
    0xff384d22,
    0xff364b1f,
    0xff2f4519,
    0xff364b1f,
    0xff354b1e,
    0xff33481b,
    0xff384e1e,
    0xff3e5428,
    0xff385022,
    0xff395224,
    0xff324c20,
    0xff385126,
    0xff2e431a,
    0xff31411d,
    0xff2f3c19,
    0xff404b26,
    0xff384017,
    0xff374012,
    0xff3a4717,
    0xff313d11,
    0xff37491b,
    0xff3f5524,
    0xff415c28,
    0xff3a5122,
    0xff344920,
    0xff2e401a,
    0xff34431b,
    0xff414c19,
    0xff4b5216,
    0xff595819,
    0xff595916,
    0xff595e29,
    0xff596338,
    0xff505d3f,
    0xff455741,
    0xff354937,
    0xff283c2b,
    0xff2a3f2e,
    0xff344839,
    0xff324d37,
    0xff38533d,
    0xff3f5944,
    0xff41533f,
    0xff4e513c,
    0xff64563f,
    0xff73533c,
    0xff784d35,
    0xff773d2c,
    0xff842e24,
    0xff8e251c,
    0xff8b3417,
    0xff854914,
    0xff7e5d14,
    0xff746a13,
    0xff697216,
    0xff62721a,
    0xff5e6f16,
    0xff596e0c,
    0xff55720b,
    0xff55760d,
    0xff4f6d0a,
    0xff536b0f,
    0xff4f5c07,
    0xff563204,
    0xff621507,
    0xff6d1413,
    0xff500501,
    0xff460100,
    0xff630803,
    0xffbf4339,
    0xffd04c36,
    0xff9c1d15,
    0xff601f11,
    0xff3e0900,
    0xffe0916f,
    0xfff4ae76,
    0xffdaa660,
    0xfff0b26e,
    0xffe2965a,
    0xff5c1305,
    0xff352314,
    0xff1d120c,
    0xff2c100b,
    0xff552310,
    0xff7d341a,
    0xff7d2e16,
    0xff792412,
    0xff732f11,
    0xff722f11,
    0xff6b2911,
    0xff6a2818,
    0xff6b2b0e,
    0xff703407,
    0xff7a3c0d,
    0xff6e2d0d,
    0xff6b290f,
    0xff6a290e,
    0xff68290a,
    0xff6a2808,
    0xff772e0f,
    0xff732b0b,
    0xff692301,
    0xff6d2a07,
    0xff663307,
    0xff693e01,
    0xff795a0a,
    0xff7d660f,
    0xff695608,
    0xff574609,
    0xff544a17,
    0xff443e12,
    0xff372c11,
    0xff2d1f08,
    0xff382b16,
    0xff3b2f18,
    0xff342d13,
    0xff3e3822,
    0xff292a18,
    0xff1c1f11,
    0xff182211,
    0xff1b2618,
    0xff141e10,
    0xff151d12,
    0xff131a12,
    0xff11180f,
    0xff101710,
    0xff0b120b,
    0xff0e150d,
    0xff10150e,
    0xff191c13,
    0xff202319,
    0xff15190f,
    0xff161e12,
    0xff101b0f,
    0xff131f14,
    0xff0f1b12,
    0xff131f15,
    0xff0d190f,
    0xff0a160c,
    0xff09150c,
    0xff0b170d,
    0xff0d190f,
    0xff0b170d,
    0xff0d1a13,
    0xff1c2922,
    0xff19261f,
    0xff16231c,
    0xff0e1b14,
    0xff182722,
    0xff1a2926,
    0xff394c4b,
    0xff1f2f2c,
    0xff15231f,
    0xff07140d,
    0xff0a150d,
    0xff050f07,
    0xff0d170f,
    0xff0d1810,
    0xff0d170f,
    0xff081410,
    0xff08100e,
    0xff0d1611,
    0xff0b130e,
    0xff0c1610,
    0xff05100c,
    0xff212d2b,
    0xff3f4a47,
    0xff101812,
    0xff090e07,
    0xff14130b,
    0xff15110b,
    0xff0f110c,
    0xff111710,
    0xff1b160e,
    0xff230703,
    0xff3f0413,
    0xff922226,
    0xff55100e,
    0xff101809,
    0xff151a0d,
    0xff1c0e08,
    0xff1e0500,
    0xff703711,
    0xffca6e45,
    0xffc65b19,
    0xffd36b1e,
    0xffb45f1c,
    0xff9b450d,
    0xff841600,
    0xffa73c0e,
    0xffb1590e,
    0xff923405,
    0xff932613,
    0xff2c0a00,
    0xff291007,
    0xff771801,
    0xffa73310,
    0xff95240b,
    0xff9f2f1f,
    0xff9b2f18,
    0xff81330f,
    0xffae4f2b,
    0xff922e13,
    0xff3a0909,
    0xff0d1409,
    0xff060100,
    0xff2a0802,
    0xff66370e,
    0xff6c3701,
    0xff985915,
    0xffa7650a,
    0xff965500,
    0xffb57515,
    0xffa86b02,
    0xffad710f,
    0xffae7007,
    0xffa66a00,
    0xff6f3200,
    0xff985f0a,
    0xffb5810f,
    0xffaf7b03,
    0xffc38c08,
    0xffd29621,
    0xffca9906,
    0xfffdce3a,
    0xffb17a09,
    0xffc6892e,
    0xff4b0900,
    0xffe3ad58,
    0xffb0862f,
    0xffad8831,
    0xffc5902a,
    0xffbe993b,
    0xff956729,
    0xff6e3e21,
    0xff271405,
    0xff141b11,
    0xff0c1a12,
    0xff081c12,
    0xff0d190e,
    0xff041107,
    0xff0f1911,
    0xff171e17,
    0xff81837e,
    0xff383831,
    0xff161b0d,
    0xff101909,
    0xff071606,
    0xff09130a,
    0xff444641,
    0xff5e605a,
    0xff070b03,
    0xff142011,
    0xff000600,
    0xff616962,
    0xff651619,
    0xff6b1b18,
    0xff6c1c1b,
    0xff681c21,
    0xff6c1c21,
    0xff681f1d,
    0xff5d3634,
    0xff504e56,
    0xff35516b,
    0xff2e4c6a,
    0xff34516e,
    0xff2a4a66,
    0xff27475e,
    0xff27485e,
    0xff2b4d63,
    0xff2d4f6b,
    0xff2a4d6c,
    0xff2b4d6f,
    0xff2c4d71,
    0xff304f76,
    0xff37537d,
    0xff304b78,
    0xff395480,
    0xff3e5884,
    0xff375872,
    0xff42617a,
    0xff486783,
    0xff4c6a8a,
    0xff506a91,
    0xff4c6690,
    0xff4c6593,
    0xff516b98,
    0xff52759c,
    0xff4f7296,
    0xff4e7190,
    0xff4e718b,
    0xff55768f,
    0xff587896,
    0xff567394,
    0xff597699,
    0xff607795,
    0xff566f86,
    0xff526f7c,
    0xff4b646b,
    0xff4d6266,
    0xff4b6066,
    0xff4a626b,
    0xff405b67,
    0xff394c58,
    0xff384b57,
    0xff30444d,
    0xff2a3f46,
    0xff243a3c,
    0xff253b39,
    0xff223831,
    0xff1f352c,
    0xff263b2b,
    0xff23382b,
    0xff2d3d31,
    0xff364436,
    0xff45523e,
    0xff4b5642,
    0xff434e3d,
    0xff404b3e,
    0xff364b3a,
    0xff334b3c,
    0xff3f584b,
    0xff425e56,
    0xff44625e,
    0xff476564,
    0xff436064,
    0xff4c6b70,
    0xff4b6265,
    0xff5b7073,
    0xff4a6466,
    0xff5a7274,
    0xff4f6969,
    0xff526c6b,
    0xff597472,
    0xff57726f,
    0xff4f6d67,
    0xff486660,
    0xff4f6d69,
    0xff4d6a6a,
    0xff56716f,
    0xff4b6462,
    0xff536767,
    0xff4d605e,
    0xff53655b,
    0xff546259,
    0xff5b6a5c,
    0xff536050,
    0xff4f5944,
    0xff5d644c,
    0xff61684e,
    0xff606549,
    0xff5b6144,
    0xff5e6448,
    0xff5d6246,
    0xff595b40,
    0xff525435,
    0xff535332,
    0xff565330,
    0xff534f2b,
    0xff4f502d,
    0xff50532e,
    0xff565931,
    0xff5e6034,
    0xff5f6032,
    0xff666536,
    0xff6d6c3b,
    0xff646333,
    0xff636339,
    0xff5b5d35,
    0xff5e623d,
    0xff515735,
    0xff4e5537,
    0xff525b40,
    0xff566149,
    0xff596650,
    0xff58654f,
    0xff5a6851,
    0xff59694e,
    0xff586a4d,
    0xff586d4e,
    0xff556b4b,
    0xff5c7656,
    0xff60775c,
    0xff6a7964,
    0xff677862,
    0xff657660,
    0xff63785f,
    0xff61775d,
    0xff63795d,
    0xff637c60,
    0xff667f62,
    0xff67745d,
    0xff667557,
    0xff677652,
    0xff66744b,
    0xff667449,
    0xff6a784b,
    0xff677444,
    0xff6c7748,
    0xff697848,
    0xff647444,
    0xff637642,
    0xff5d723d,
    0xff5c713d,
    0xff5e713e,
    0xff5c6e3b,
    0xff556635,
    0xff556438,
    0xff4f5d37,
    0xff4e5f39,
    0xff4c5834,
    0xff4e5331,
    0xff545636,
    0xff55553b,
    0xff565843,
    0xff4c5548,
    0xff454f42,
    0xff4f594e,
    0xff4f5854,
    0xff525959,
    0xff4b5557,
    0xff4e5c5a,
    0xff505f58,
    0xff57645e,
    0xff51615f,
    0xff4a5e5b,
    0xff475f5f,
    0xff476061,
    0xff526b71,
    0xff4d636b,
    0xff455863,
    0xff415657,
    0xff405657,
    0xff435a5b,
    0xff475d5f,
    0xff4a595a,
    0xff58635e,
    0xff5c5b55,
    0xff5c564d,
    0xff5d604d,
    0xff5a624e,
    0xff5b6650,
    0xff56644a,
    0xff506143,
    0xff4e5d3f,
    0xff4e5b3b,
    0xff4a5839,
    0xff4c543f,
    0xff4d523c,
    0xff55573f,
    0xff595936,
    0xff5c5a2f,
    0xff676735,
    0xff5d5d2b,
    0xff5b5a2a,
    0xff5e6237,
    0xff50542a,
    0xff535834,
    0xff515534,
    0xff51553a,
    0xff51543a,
    0xff575b41,
    0xff595f40,
    0xff576339,
    0xff4c5a36,
    0xff4c583c,
    0xff4b5944,
    0xff4f5e4d,
    0xff556557,
    0xff576658,
    0xff576a59,
    0xff5d6e68,
    0xff69756d,
    0xff6c7970,
    0xff6d7a74,
    0xff617374,
    0xff607981,
    0xff607b87,
    0xff617b8b,
    0xff5d789b,
    0xff5f7ba0,
    0xff617da0,
    0xff6582a1,
    0xff627d99,
    0xff6c84a0,
    0xff6b7ca2,
    0xff7988b2,
    0xff8391b4,
    0xff8492b1,
    0xff8e9ab5,
    0xff939cb5,
    0xff929bb1,
    0xff939eb2,
    0xff8b99ae,
    0xff8190a5,
    0xff74898f,
    0xff7e9396,
    0xff728387,
    0xff778285,
    0xff77817f,
    0xff707771,
    0xff7a8075,
    0xff767769,
    0xff7c6f53,
    0xff777553,
    0xff8b6e51,
    0xfff69486,
    0xffd2423b,
    0xffbb2518,
    0xffc42e1b,
    0xffd12f1a,
    0xffc63306,
    0xffffb072,
    0xffff9a79,
    0xffb9393a,
    0xffdf8177,
    0xffb86840,
    0xffc25521,
    0xffe06531,
    0xffffa060,
    0xffed8758,
    0xffc95d3b,
    0xffc84838,
    0xff981112,
    0xffa73b30,
    0xffd0725b,
    0xff860c04,
    0xff870f0b,
    0xffc16c5b,
    0xff842515,
    0xffce564f,
    0xffdc7d75,
    0xffc4847a,
    0xffbf9b94,
    0xffa2a19a,
    0xff9ba5ae,
    0xffa8a8b2,
    0xffbda8b3,
    0xffd0a3a5,
    0xffe69f8e,
    0xffdb927a,
    0xffd2adad,
    0xffafb4d2,
    0xffadb8d3,
    0xffadb4cf,
    0xffa8aecd,
    0xffa1afc8,
    0xffa1b1ca,
    0xffa0a9c5,
    0xffa1a9c4,
    0xff93a2be,
    0xff8098c6,
    0xff85a1cc,
    0xff7c99c1,
    0xff7593b6,
    0xff6d8bac,
    0xff718bae,
    0xff778fb2,
    0xff7388ae,
    0xff768cab,
    0xff7a91ae,
    0xff7790ab,
    0xff7288a2,
    0xff637990,
    0xff697a8c,
    0xff677483,
    0xff757e8b,
    0xff6e7678,
    0xff74756d,
    0xff7c7967,
    0xff7e7b5d,
    0xff767851,
    0xff6e7945,
    0xff717d40,
    0xff6f7f3a,
    0xff6f7538,
    0xff767b3b,
    0xff6f712c,
    0xff717432,
    0xff6d7536,
    0xff626b2f,
    0xff61642a,
    0xff62642a,
    0xff60632a,
    0xff5c612a,
    0xff595e32,
    0xff575e3b,
    0xff515a45,
    0xff576559,
    0xff687772,
    0xff687876,
    0xff67746a,
    0xff6b7567,
    0xff676e5d,
    0xff6e7662,
    0xff77806c,
    0xff7d8b7b,
    0xff7b8c81,
    0xff6f847d,
    0xff6f8c7a,
    0xff6d7e6d,
    0xff888f7c,
    0xff8d9984,
    0xff88a387,
    0xff809b81,
    0xff81927a,
    0xff959482,
    0xffd5c8c9,
    0xff696668,
    0xff98999c,
    0xffa69da6,
    0xff8c7d89,
    0xff807f85,
    0xff7d8388,
    0xff8b8992,
    0xff7b858a,
    0xff7e8a8b,
    0xff7c8685,
    0xff7a857e,
    0xff7e877d,
    0xff7f8673,
    0xff80866b,
    0xff707756,
    0xff65744c,
    0xff4e613a,
    0xff3d5135,
    0xff30482f,
    0xff2f492f,
    0xff304b31,
    0xff354c35,
    0xff384e37,
    0xff354b34,
    0xff294025,
    0xff21381b,
    0xff1a3212,
    0xff253e17,
    0xff2c451c,
    0xff254013,
    0xff2d4919,
    0xff324a19,
    0xff354d1c,
    0xff374f1e,
    0xff334b17,
    0xff324b14,
    0xff354d15,
    0xff3c561b,
    0xff3e571c,
    0xff3c571e,
    0xff3a5621,
    0xff375321,
    0xff314c22,
    0xff314b2a,
    0xff43573d,
    0xff465543,
    0xff404d3e,
    0xff333c1e,
    0xff464f2d,
    0xff576239,
    0xff5f6940,
    0xff4c5a34,
    0xff445530,
    0xff485e35,
    0xff415b2d,
    0xff49633a,
    0xff3f5530,
    0xff2f431f,
    0xff31411a,
    0xff374416,
    0xff4d561f,
    0xff5d6327,
    0xff595c1e,
    0xff58622e,
    0xff566035,
    0xff475635,
    0xff405339,
    0xff2f452c,
    0xff2d452e,
    0xff304932,
    0xff354d38,
    0xff3a5942,
    0xff3c5b44,
    0xff32513a,
    0xff627863,
    0xff6a755e,
    0xff584f38,
    0xff5e462e,
    0xff65412a,
    0xff71432c,
    0xff7c2e22,
    0xff89261b,
    0xff892f16,
    0xff843f13,
    0xff74490b,
    0xff5e4d02,
    0xff646b16,
    0xff6f7f25,
    0xff788a2c,
    0xff6f8521,
    0xff6b8922,
    0xff65861d,
    0xff597a15,
    0xff526d0f,
    0xff556912,
    0xff565d19,
    0xff81542d,
    0xff952822,
    0xff7a0c0c,
    0xff8f2221,
    0xff9b191a,
    0xffad231c,
    0xffc83327,
    0xff980b0a,
    0xff6a2f21,
    0xffe5ccb6,
    0xffa27352,
    0xffd0925c,
    0xfff2a767,
    0xfff3a266,
    0xffd7945a,
    0xff420c00,
    0xff3c2018,
    0xff1d140f,
    0xff161207,
    0xff2d1701,
    0xff59290d,
    0xff5c2306,
    0xff541f07,
    0xff6b2c13,
    0xff6e2d11,
    0xff692810,
    0xff682717,
    0xff69270e,
    0xff75340a,
    0xff86451a,
    0xff743313,
    0xff6d3014,
    0xff682c0e,
    0xff6f3211,
    0xff7c3c18,
    0xff7c3713,
    0xff7c3612,
    0xff712f09,
    0xff6d330a,
    0xff71420a,
    0xff79530a,
    0xff876d11,
    0xff857213,
    0xff655703,
    0xff5e5111,
    0xff544d19,
    0xff423f11,
    0xff43391b,
    0xff322910,
    0xff2c240e,
    0xff332d19,
    0xff2b2913,
    0xff363821,
    0xff232817,
    0xff1f2517,
    0xff182315,
    0xff1b2719,
    0xff142012,
    0xff101c10,
    0xff0d170f,
    0xff111c13,
    0xff0e140d,
    0xff131a13,
    0xff121e15,
    0xff121911,
    0xff10150e,
    0xff20251f,
    0xff161b14,
    0xff171f14,
    0xff172115,
    0xff172116,
    0xff101c10,
    0xff121e12,
    0xff0a160a,
    0xff0a160a,
    0xff091509,
    0xff071306,
    0xff0a160d,
    0xff09150b,
    0xff0b1811,
    0xff1f2c25,
    0xff162018,
    0xff152017,
    0xff15221b,
    0xff1d2c27,
    0xff152522,
    0xff2b403e,
    0xff1d2d2a,
    0xff152520,
    0xff0e1a13,
    0xff0d170f,
    0xff000a02,
    0xff737a73,
    0xff030902,
    0xff061008,
    0xff0a1510,
    0xff0b160f,
    0xff0c1710,
    0xff081410,
    0xff0b1713,
    0xff0a1712,
    0xff1c2927,
    0xff344240,
    0xff181f19,
    0xff22231c,
    0xff18140b,
    0xff1d170f,
    0xff15140e,
    0xff131710,
    0xff18180f,
    0xff1c1008,
    0xff1e0d07,
    0xff713022,
    0xff602d28,
    0xff110c08,
    0xff111308,
    0xff180a0f,
    0xff503226,
    0xffa96f2c,
    0xffaf5604,
    0xffd77621,
    0xffda7320,
    0xff810f00,
    0xffac3d18,
    0xff891c03,
    0xffa2430e,
    0xffa75112,
    0xff832905,
    0xff5d0e08,
    0xff1a0e05,
    0xff421200,
    0xffb94f1d,
    0xffba5d2c,
    0xff730b00,
    0xff95280d,
    0xff9d3620,
    0xff84360e,
    0xffcd6e2c,
    0xff8d2406,
    0xff571411,
    0xff160000,
    0xff6f4c1f,
    0xff592c0f,
    0xff461c00,
    0xff713d02,
    0xff6b2400,
    0xffc7752e,
    0xffcb7a2b,
    0xffdb8f41,
    0xffa16300,
    0xffa26c08,
    0xffa66400,
    0xffb06900,
    0xffaa5e07,
    0xffaa6806,
    0xffab750c,
    0xffaf7c12,
    0xffaa7400,
    0xffc18405,
    0xffd2a216,
    0xffffd038,
    0xffc58c00,
    0xffbe8a0d,
    0xffd4a250,
    0xff9c7519,
    0xffa37c18,
    0xffbc8e40,
    0xffb4891a,
    0xffa7830d,
    0xffba8614,
    0xffbd7f2a,
    0xff4a2a04,
    0xff111000,
    0xff0d1900,
    0xff0e1f06,
    0xff0e190a,
    0xff0d1a0e,
    0xff09140c,
    0xff000a02,
    0xff797e77,
    0xff65665e,
    0xff131709,
    0xff1c2311,
    0xff142411,
    0xff182314,
    0xff32332e,
    0xff95948e,
    0xff181810,
    0xff191f13,
    0xff0a160b,
    0xff4e5e56,
    0xff631914,
    0xff6c1b16,
    0xff6c181a,
    0xff6c1920,
    0xff6c1e1c,
    0xff622722,
    0xff483b44,
    0xff24425e,
    0xff183c59,
    0xff26486a,
    0xff31537a,
    0xff395984,
    0xff41628d,
    0xff3b5a88,
    0xff466698,
    0xff41649a,
    0xff416d94,
    0xff406d94,
    0xff3d6792,
    0xff456d9b,
    0xff476d9e,
    0xff5174a8,
    0xff4d6ea2,
    0xff5072a4,
    0xff52749c,
    0xff55759d,
    0xff57789e,
    0xff58789d,
    0xff55769a,
    0xff547699,
    0xff587a9c,
    0xff527396,
    0xff526e8e,
    0xff536b86,
    0xff536e7f,
    0xff4d676b,
    0xff4a6361,
    0xff4b675c,
    0xff475f54,
    0xff40594c,
    0xff4a5050,
    0xff48504b,
    0xff485247,
    0xff444c3b,
    0xff464a3c,
    0xff484940,
    0xff474d4a,
    0xff3f4847,
    0xff314146,
    0xff2d3c43,
    0xff28353e,
    0xff2f3b44,
    0xff2d3a40,
    0xff2c393e,
    0xff304143,
    0xff364546,
    0xff3c4d48,
    0xff485753,
    0xff455451,
    0xff404e4d,
    0xff3c4c47,
    0xff40514c,
    0xff384948,
    0xff2f4146,
    0xff314d40,
    0xff3d5a4c,
    0xff395549,
    0xff3f5950,
    0xff425b56,
    0xff48635f,
    0xff4a6462,
    0xff4d6768,
    0xff466159,
    0xff4b685b,
    0xff4a6355,
    0xff506958,
    0xff536754,
    0xff52654e,
    0xff556751,
    0xff52624a,
    0xff566048,
    0xff536246,
    0xff4f593e,
    0xff4f5a3f,
    0xff525c3d,
    0xff575d3e,
    0xff555838,
    0xff565837,
    0xff4c513b,
    0xff4e533b,
    0xff474b31,
    0xff484c2c,
    0xff4c502b,
    0xff4c5227,
    0xff4c5223,
    0xff505524,
    0xff5c592d,
    0xff5e5a30,
    0xff5f5b31,
    0xff5f5b31,
    0xff5f5c32,
    0xff615e33,
    0xff615f35,
    0xff605e31,
    0xff616438,
    0xff61663c,
    0xff63693f,
    0xff666c43,
    0xff677049,
    0xff5f6644,
    0xff565f3f,
    0xff5e684c,
    0xff4d5b49,
    0xff52604e,
    0xff4f5d4c,
    0xff485746,
    0xff52614f,
    0xff556453,
    0xff546252,
    0xff5c6b5a,
    0xff556651,
    0xff586952,
    0xff596b51,
    0xff586b4d,
    0xff586a4b,
    0xff5a6e48,
    0xff5d714c,
    0xff5a6d49,
    0xff5c694c,
    0xff616e50,
    0xff5f6a4a,
    0xff636f4a,
    0xff68744a,
    0xff667243,
    0xff687242,
    0xff687240,
    0xff70723f,
    0xff727240,
    0xff727543,
    0xff6f7241,
    0xff6c713f,
    0xff676d3c,
    0xff697243,
    0xff6e7348,
    0xff667644,
    0xff637544,
    0xff5e7040,
    0xff5d7045,
    0xff5f704a,
    0xff5e6f4f,
    0xff5a6b50,
    0xff596752,
    0xff586456,
    0xff546257,
    0xff52665e,
    0xff52625e,
    0xff515f5b,
    0xff485356,
    0xff5c6872,
    0xff51606f,
    0xff596f73,
    0xff4f6667,
    0xff4d6262,
    0xff506465,
    0xff596d70,
    0xff5d7272,
    0xff536b66,
    0xff546f65,
    0xff536868,
    0xff556a6a,
    0xff5a706f,
    0xff455e5e,
    0xff4b6060,
    0xff475b59,
    0xff4a5a5a,
    0xff485654,
    0xff424e45,
    0xff404f44,
    0xff49584d,
    0xff3f4e40,
    0xff4f5b49,
    0xff565641,
    0xff615c40,
    0xff685d3d,
    0xff6a5939,
    0xff635634,
    0xff5f5934,
    0xff595931,
    0xff5a5f34,
    0xff596133,
    0xff565e2d,
    0xff575f2f,
    0xff52572f,
    0xff50522d,
    0xff555329,
    0xff575224,
    0xff5f5722,
    0xff5d571e,
    0xff65612a,
    0xff615e2e,
    0xff545c29,
    0xff586133,
    0xff4d562e,
    0xff57603f,
    0xff576145,
    0xff5c6650,
    0xff5c6653,
    0xff626c59,
    0xff66746c,
    0xff657370,
    0xff606f73,
    0xff5b6b73,
    0xff637681,
    0xff667884,
    0xff657a86,
    0xff627680,
    0xff68787f,
    0xff6c7b7e,
    0xff687474,
    0xff5c6a6e,
    0xff5c7079,
    0xff597383,
    0xff587287,
    0xff516c83,
    0xff4a627c,
    0xff536c84,
    0xff557083,
    0xff56707c,
    0xff566e74,
    0xff62757d,
    0xff6a7786,
    0xff636c81,
    0xff6f757d,
    0xff757a7d,
    0xff737575,
    0xff70726e,
    0xff7d7b76,
    0xff7c7d77,
    0xff696b64,
    0xff656a64,
    0xff4f5f4a,
    0xff5f6c58,
    0xff656e58,
    0xff636b51,
    0xff5d6041,
    0xff67673d,
    0xff676434,
    0xff67632e,
    0xff716128,
    0xff76622a,
    0xff896132,
    0xff954629,
    0xff9b2316,
    0xff960200,
    0xffb10a0a,
    0xffc21216,
    0xffc72619,
    0xffbd4625,
    0xffc55a42,
    0xffc1685c,
    0xff995f43,
    0xffaa5428,
    0xffad2c00,
    0xffd35928,
    0xffe67a33,
    0xffe18735,
    0xffce682a,
    0xffdd6142,
    0xfff49179,
    0xffd38878,
    0xffb34541,
    0xffbb2a25,
    0xffb61e24,
    0xff9e1c1a,
    0xffe16a66,
    0xffe86e70,
    0xffb24f59,
    0xffc38f9b,
    0xffa596a3,
    0xff989cad,
    0xff9694a3,
    0xffac8c94,
    0xffca898b,
    0xffcc7976,
    0xffe48d80,
    0xffba7361,
    0xffa68182,
    0xff8a869a,
    0xff7c8185,
    0xff7f8292,
    0xff737590,
    0xff70758d,
    0xff6f7b85,
    0xff73878b,
    0xff719099,
    0xff658a9e,
    0xff6683a6,
    0xff5f7da0,
    0xff5e81a0,
    0xff5f859b,
    0xff658a9c,
    0xff678b9a,
    0xff668592,
    0xff74919f,
    0xff6f8b95,
    0xff68858d,
    0xff627e85,
    0xff6b888d,
    0xff70898b,
    0xff738787,
    0xff7a8987,
    0xff7f8d87,
    0xff777865,
    0xff777357,
    0xff867c56,
    0xff8a7f51,
    0xff88824d,
    0xff797a3f,
    0xff767d3b,
    0xff727b35,
    0xff6f783c,
    0xff6d7138,
    0xff70703d,
    0xff6d6f45,
    0xff5f6243,
    0xff5c5f4a,
    0xff616252,
    0xff626152,
    0xff5c5f51,
    0xff6b6d65,
    0xff787b7d,
    0xff818893,
    0xffa0a6bc,
    0xffb0b6d5,
    0xffb4bde2,
    0xffadb6da,
    0xffb3bcca,
    0xffb1b8c2,
    0xffaaaeb5,
    0xff9ea5a4,
    0xffa1a9a9,
    0xff909e9d,
    0xff738787,
    0xff667b7e,
    0xff5d7976,
    0xff71827f,
    0xff89918f,
    0xff859189,
    0xff788c7e,
    0xff7b9180,
    0xff818b7e,
    0xff8a877f,
    0xffb5aeaa,
    0xffd1cdc6,
    0xffbca49e,
    0xffb69188,
    0xffa7937c,
    0xffb5b89b,
    0xffafb29e,
    0xffa79f98,
    0xffa0a9a3,
    0xff9aa59f,
    0xff98a39a,
    0xff8a9787,
    0xff85917a,
    0xff727b5b,
    0xff6e754f,
    0xff6f7547,
    0xff637436,
    0xff5e6f36,
    0xff4f6636,
    0xff4a633b,
    0xff546e49,
    0xff607959,
    0xff647e5e,
    0xff62785f,
    0xff60785a,
    0xff627a5e,
    0xff657d5c,
    0xff637a59,
    0xff435d35,
    0xff334e22,
    0xff2c4717,
    0xff2c4819,
    0xff28411b,
    0xff243c15,
    0xff264015,
    0xff274114,
    0xff314c1c,
    0xff334e1b,
    0xff37521e,
    0xff36511b,
    0xff3b591a,
    0xff3c591e,
    0xff46652f,
    0xff527042,
    0xff68825d,
    0xff72866c,
    0xff7b8976,
    0xff7c8978,
    0xff68705e,
    0xff59624b,
    0xff4d593d,
    0xff414d31,
    0xff38472b,
    0xff2b3b21,
    0xff26391e,
    0xff273c1e,
    0xff284123,
    0xff2b4524,
    0xff2c4422,
    0xff3c532d,
    0xff4e6038,
    0xff505d30,
    0xff57622e,
    0xff5f6831,
    0xff52612e,
    0xff596b3c,
    0xff6f815d,
    0xff65795b,
    0xff4b6546,
    0xff345032,
    0xff365538,
    0xff2b4930,
    0xff33513d,
    0xff31533e,
    0xff33553f,
    0xff334f38,
    0xff3f4e39,
    0xff52503b,
    0xff5e4b35,
    0xff664934,
    0xff6e4228,
    0xff7d3421,
    0xff89291b,
    0xff8f341b,
    0xff94491f,
    0xff915b22,
    0xff7a6219,
    0xff666817,
    0xff5c6e08,
    0xff5d710b,
    0xff597107,
    0xff5a770c,
    0xff56790e,
    0xff4f730d,
    0xff507112,
    0xff516b12,
    0xff495f11,
    0xff674712,
    0xffae3023,
    0xffad131d,
    0xffaf1623,
    0xffac141b,
    0xffc0433d,
    0xffb12c27,
    0xffa83b3a,
    0xff986255,
    0xff4a361f,
    0xff45290b,
    0xff8a5128,
    0xffc4693a,
    0xfff69064,
    0xffad6036,
    0xff250000,
    0xff6e4340,
    0xff1f0e0c,
    0xff121c0e,
    0xff211b04,
    0xff51230d,
    0xff5b1e09,
    0xff461902,
    0xff5d220d,
    0xff6c3016,
    0xff66290f,
    0xff6b2919,
    0xff66230f,
    0xff763612,
    0xff8c4a24,
    0xff7a3618,
    0xff683213,
    0xff673212,
    0xff67310c,
    0xff672e02,
    0xff76370d,
    0xff793a0d,
    0xff692f03,
    0xff764215,
    0xff744b03,
    0xff795a02,
    0xff86720c,
    0xff7b6f09,
    0xff6a5c07,
    0xff615816,
    0xff4b4512,
    0xff454316,
    0xff453c1e,
    0xff2d270e,
    0xff2d2712,
    0xff312b1a,
    0xff2b2a17,
    0xff333623,
    0xff24291a,
    0xff1d2618,
    0xff162416,
    0xff172616,
    0xff121e12,
    0xff0c180c,
    0xff0b180b,
    0xff0f1810,
    0xff0e1910,
    0xff101b12,
    0xff131914,
    0xff141a17,
    0xff131916,
    0xff181f18,
    0xff192019,
    0xff1b2119,
    0xff1c261e,
    0xff1a241a,
    0xff121e10,
    0xff111d0f,
    0xff0f1b0d,
    0xff0e1a0c,
    0xff101c10,
    0xff0b170b,
    0xff0d190d,
    0xff0e1a0f,
    0xff0d1b13,
    0xff1b261e,
    0xff18231b,
    0xff141f17,
    0xff0a1710,
    0xff11201b,
    0xff142421,
    0xff3b4b48,
    0xff253431,
    0xff16221d,
    0xff09140e,
    0xff09140b,
    0xff0d140c,
    0xff0b130b,
    0xff60675f,
    0xff000a02,
    0xff0a160c,
    0xff0a1912,
    0xff06150e,
    0xff0a1714,
    0xff061711,
    0xff0c1d17,
    0xff293a34,
    0xff374942,
    0xff0e160e,
    0xff131109,
    0xff21170e,
    0xff1f1a11,
    0xff16160e,
    0xff161712,
    0xff1b1911,
    0xff19180d,
    0xff151805,
    0xff160c00,
    0xff1e0a03,
    0xff1c0f13,
    0xff121308,
    0xff201613,
    0xff230000,
    0xffe8a946,
    0xfffaa034,
    0xffcb6b17,
    0xff9f3b00,
    0xff83160d,
    0xff8b2011,
    0xff821c00,
    0xffab4d12,
    0xff9c4011,
    0xff8f371a,
    0xff400000,
    0xff220500,
    0xff9d5120,
    0xffb15105,
    0xff8d4208,
    0xff801204,
    0xff831504,
    0xffab3825,
    0xff740e00,
    0xff8d1d00,
    0xffa3432f,
    0xff560000,
    0xff793714,
    0xffc0792d,
    0xff8c540b,
    0xffb17020,
    0xffb57119,
    0xffa65a11,
    0xffa15005,
    0xffc57122,
    0xffbc6a1a,
    0xffe29b32,
    0xffc18016,
    0xffde8e43,
    0xffd27b25,
    0xffd57c1f,
    0xffca7d16,
    0xffb1740d,
    0xffad7913,
    0xffb98409,
    0xffbd8106,
    0xffedbf50,
    0xff945b00,
    0xffc78c0e,
    0xff936101,
    0xff5d3c09,
    0xff3f1f00,
    0xff805214,
    0xffb6743c,
    0xffa7843f,
    0xffa68835,
    0xffb78215,
    0xffc27c11,
    0xff81500d,
    0xff634a1d,
    0xff4d3b19,
    0xff1d0f00,
    0xff101305,
    0xff0d1609,
    0xff0a160d,
    0xff030e06,
    0xff6d736c,
    0xff72756c,
    0xff17190a,
    0xff1c2210,
    0xff15220d,
    0xff192012,
    0xff1f2118,
    0xffb4b2ab,
    0xff19150d,
    0xff14180c,
    0xff0a150c,
    0xff0e231a,
    0xff681d1f,
    0xff6e1c1a,
    0xff71191a,
    0xff6e1b1a,
    0xff6a1c1b,
    0xff5e2930,
    0xff6b648b,
    0xff5174bb,
    0xff4f75af,
    0xff5177b0,
    0xff537cb7,
    0xff4c76ab,
    0xff426c9b,
    0xff48749c,
    0xff436f96,
    0xff3f6a91,
    0xff426885,
    0xff3f6683,
    0xff486c8a,
    0xff3d637e,
    0xff466781,
    0xff3c5d71,
    0xff395668,
    0xff3f5a6b,
    0xff3b4e5f,
    0xff384959,
    0xff3e4f5d,
    0xff3d4f5b,
    0xff36494e,
    0xff384b4c,
    0xff2b3f3e,
    0xff304443,
    0xff303e46,
    0xff2d3b41,
    0xff2f3d43,
    0xff334244,
    0xff384646,
    0xff344040,
    0xff354041,
    0xff3e4948,
    0xff374b39,
    0xff3b503b,
    0xff445944,
    0xff465947,
    0xff424f45,
    0xff44504e,
    0xff37454c,
    0xff394b54,
    0xff384f4b,
    0xff334c46,
    0xff3e5452,
    0xff3b504e,
    0xff415656,
    0xff4a605f,
    0xff4b6361,
    0xff4e6566,
    0xff496269,
    0xff4a5f69,
    0xff3f565e,
    0xff374c50,
    0xff3e5651,
    0xff3b564d,
    0xff3b584f,
    0xff3a5551,
    0xff3e524d,
    0xff32443c,
    0xff44544b,
    0xff4a594c,
    0xff4e5c4d,
    0xff516250,
    0xff445543,
    0xff485945,
    0xff475e47,
    0xff485c44,
    0xff45573d,
    0xff445335,
    0xff4a5636,
    0xff4e5934,
    0xff4d532e,
    0xff4a502b,
    0xff525733,
    0xff4f532f,
    0xff4f542f,
    0xff4e532c,
    0xff4c5027,
    0xff53522a,
    0xff555229,
    0xff58552a,
    0xff4d4e2f,
    0xff4f4f33,
    0xff4e4e30,
    0xff58583a,
    0xff565839,
    0xff5c5d3e,
    0xff646546,
    0xff626545,
    0xff6a6a42,
    0xff6a6942,
    0xff656841,
    0xff636741,
    0xff646946,
    0xff636b46,
    0xff5e6743,
    0xff626b47,
    0xff626942,
    0xff5d633b,
    0xff5f6840,
    0xff5e6644,
    0xff555d3d,
    0xff4e5a3f,
    0xff4d5b43,
    0xff495843,
    0xff414d3e,
    0xff465141,
    0xff555e4c,
    0xff555b48,
    0xff555a48,
    0xff545943,
    0xff52543c,
    0xff61634b,
    0xff565c3c,
    0xff5a5f40,
    0xff59603c,
    0xff575b35,
    0xff5a5f35,
    0xff585e30,
    0xff596030,
    0xff5b6231,
    0xff576332,
    0xff566031,
    0xff576032,
    0xff5a6234,
    0xff5a6035,
    0xff626539,
    0xff686c40,
    0xff676a3c,
    0xff6d7336,
    0xff6f763e,
    0xff6a7440,
    0xff647040,
    0xff687546,
    0xff637449,
    0xff637450,
    0xff667758,
    0xff647851,
    0xff627651,
    0xff617454,
    0xff586c51,
    0xff556956,
    0xff54675f,
    0xff546465,
    0xff55646a,
    0xff576864,
    0xff4e6362,
    0xff4a6261,
    0xff506867,
    0xff516a6a,
    0xff4b6269,
    0xff445d6d,
    0xff48657c,
    0xff415d6c,
    0xff455f68,
    0xff445d62,
    0xff435d5f,
    0xff3f5657,
    0xff415c59,
    0xff39554b,
    0xff405e4d,
    0xff455c53,
    0xff435c51,
    0xff4c6559,
    0xff4e6756,
    0xff4c6450,
    0xff445541,
    0xff44513a,
    0xff455039,
    0xff474b38,
    0xff454e3a,
    0xff45513c,
    0xff3c4833,
    0xff474e36,
    0xff4b4c2f,
    0xff504a26,
    0xff695d38,
    0xff715836,
    0xff6c5636,
    0xff625430,
    0xff56512e,
    0xff595c36,
    0xff515731,
    0xff4c552c,
    0xff455027,
    0xff465233,
    0xff474e33,
    0xff4c5033,
    0xff5a5a3a,
    0xff595736,
    0xff585836,
    0xff59593c,
    0xff525440,
    0xff455346,
    0xff4a5b4f,
    0xff4a594c,
    0xff44554a,
    0xff526359,
    0xff506459,
    0xff506357,
    0xff4f6559,
    0xff536b6b,
    0xff536a6e,
    0xff536c71,
    0xff5a7579,
    0xff5f787f,
    0xff5d787c,
    0xff607b7d,
    0xff5b7678,
    0xff677b84,
    0xff6a797f,
    0xff687576,
    0xff6b7a7a,
    0xff677a7d,
    0xff61797e,
    0xff667d86,
    0xff566b73,
    0xff53695e,
    0xff4f6458,
    0xff48624f,
    0xff435b40,
    0xff4f6543,
    0xff566642,
    0xff566040,
    0xff565c43,
    0xff575b39,
    0xff5d5e3a,
    0xff645f3a,
    0xff6d673f,
    0xff645d33,
    0xff655f36,
    0xff5c5c33,
    0xff64643d,
    0xff57573b,
    0xff5b583e,
    0xff676043,
    0xff655d3b,
    0xff635830,
    0xff6b5d2f,
    0xff6f5e2b,
    0xff70612b,
    0xff676136,
    0xff755f32,
    0xff795e2c,
    0xff796427,
    0xff8e5d28,
    0xffb84e2f,
    0xff990000,
    0xffaa0000,
    0xffae0402,
    0xffc34b33,
    0xffb5583b,
    0xff8c371d,
    0xffa6573a,
    0xff952b0d,
    0xffb1230c,
    0xffd94e35,
    0xffdb6f31,
    0xffe88730,
    0xffdf6a25,
    0xffb22501,
    0xffd97654,
    0xfffbb0a1,
    0xff8f121e,
    0xffb3161c,
    0xffc73124,
    0xffb0301a,
    0xffa42c1a,
    0xffc04640,
    0xffe3898f,
    0xffc4afb4,
    0xff97a9b5,
    0xff99a2b5,
    0xffa89a99,
    0xffbb847c,
    0xffc76961,
    0xffe87a79,
    0xffa23131,
    0xffb54443,
    0xffd87176,
    0xffbe616d,
    0xffb36e78,
    0xffa18392,
    0xff9698ad,
    0xff808a9c,
    0xff718285,
    0xff748c86,
    0xff789095,
    0xff838da5,
    0xff75849e,
    0xff667992,
    0xff657e94,
    0xff5f7c8f,
    0xff577585,
    0xff547179,
    0xff486266,
    0xff546a69,
    0xff5e6d55,
    0xff5d6d52,
    0xff5a694e,
    0xff526246,
    0xff566345,
    0xff555f40,
    0xff585a3c,
    0xff5b5c3b,
    0xff585333,
    0xff655b32,
    0xff6f612c,
    0xff726727,
    0xff6d6729,
    0xff6d6a38,
    0xff747148,
    0xff6f6d4d,
    0xff66765c,
    0xff707d63,
    0xff76826a,
    0xff7c8878,
    0xff94a299,
    0xff96a6a2,
    0xff97a4a3,
    0xff949f9e,
    0xff979da5,
    0xff989fa8,
    0xff979fad,
    0xff99a1b4,
    0xff99a3ba,
    0xff9eaac0,
    0xffabb5cc,
    0xffa8b3ca,
    0xffa7aecc,
    0xffaaafca,
    0xffa9aec3,
    0xffa7adbd,
    0xff9aa2b0,
    0xff97a0ac,
    0xff97a7b1,
    0xff9db0bc,
    0xff93a5b2,
    0xff99a9b6,
    0xffa0aab2,
    0xffa2abaa,
    0xff9ba69b,
    0xff889283,
    0xff7c7d74,
    0xffeae6e5,
    0xff6e6058,
    0xff6f6b5d,
    0xff372513,
    0xff745136,
    0xff72552d,
    0xff736135,
    0xff615635,
    0xff434a30,
    0xff475735,
    0xff475733,
    0xff495a36,
    0xff47582d,
    0xff536432,
    0xff5e6c31,
    0xff5e6826,
    0xff626c25,
    0xff778441,
    0xff6c7c41,
    0xff566938,
    0xff3d542b,
    0xff1e3612,
    0xff223b1c,
    0xff233b23,
    0xff2a3f2d,
    0xff2c4034,
    0xff2e4235,
    0xff394f40,
    0xff3c5341,
    0xff3f5640,
    0xff496249,
    0xff5a755a,
    0xff5e775e,
    0xff627b64,
    0xff526b52,
    0xff40593f,
    0xff354f31,
    0xff344d2c,
    0xff37502d,
    0xff354e2c,
    0xff37502d,
    0xff2c4524,
    0xff1a3512,
    0xff1a3514,
    0xff163014,
    0xff142d13,
    0xff182b16,
    0xff1d2b1a,
    0xff303d2e,
    0xff515c50,
    0xff5b6656,
    0xff717c6a,
    0xff879480,
    0xffa5b2a1,
    0xffaebbac,
    0xffc8d9ca,
    0xffc3d4c1,
    0xffb0c7b0,
    0xff98af95,
    0xff8ea584,
    0xff637955,
    0xff657653,
    0xff72825a,
    0xff849164,
    0xff5c6936,
    0xff5b6f3a,
    0xff677849,
    0xff5d6f4a,
    0xff596f4c,
    0xff4d6643,
    0xff334f2e,
    0xff2b4c2d,
    0xff2e5035,
    0xff2e513a,
    0xff30523c,
    0xff375743,
    0xff3e5c46,
    0xff50614e,
    0xff626450,
    0xff685844,
    0xff624935,
    0xff6b4322,
    0xff7b331f,
    0xff892d1e,
    0xff7e250d,
    0xff8b3c17,
    0xff7b410b,
    0xff72520f,
    0xff706f21,
    0xff6c7e17,
    0xff6b7f16,
    0xff657c13,
    0xff627f15,
    0xff51760e,
    0xff507513,
    0xff486910,
    0xff46620d,
    0xff50590f,
    0xff774d14,
    0xffb73928,
    0xffab121b,
    0xffaa1828,
    0xff901013,
    0xff9f473c,
    0xff6b190f,
    0xff633327,
    0xff532310,
    0xff4f2d16,
    0xff4c3518,
    0xff7a5133,
    0xffc47d5a,
    0xff680b00,
    0xff842919,
    0xff2b0100,
    0xff713437,
    0xff260a09,
    0xff111209,
    0xff261306,
    0xff5f291c,
    0xff782c22,
    0xff68291a,
    0xff5c2615,
    0xff5e280f,
    0xff622a11,
    0xff642717,
    0xff662616,
    0xff733314,
    0xff793a17,
    0xff6d2e14,
    0xff592d0d,
    0xff4d2400,
    0xff67390e,
    0xff794816,
    0xff834d19,
    0xff763f0c,
    0xff6f3b0b,
    0xff714210,
    0xff744f04,
    0xff755b02,
    0xff7b6e05,
    0xff726a03,
    0xff534e00,
    0xff514907,
    0xff4c4814,
    0xff3a390b,
    0xff3c3917,
    0xff2d280d,
    0xff2b2512,
    0xff2d2b1d,
    0xff2b2b1c,
    0xff2d3021,
    0xff20261a,
    0xff1f281d,
    0xff1a2618,
    0xff172318,
    0xff162216,
    0xff101c10,
    0xff121e12,
    0xff111d13,
    0xff121b13,
    0xff141f16,
    0xff192019,
    0xff111811,
    0xff0e150e,
    0xff1b221b,
    0xff171f17,
    0xff172119,
    0xff1c251d,
    0xff172419,
    0xff132010,
    0xff14210f,
    0xff111f0d,
    0xff0e190c,
    0xff0d190b,
    0xff0b170b,
    0xff0c180c,
    0xff0b170b,
    0xff0e1911,
    0xff101b13,
    0xff18231b,
    0xff152018,
    0xff0f1a11,
    0xff0e1b14,
    0xff11201b,
    0xff3b4c49,
    0xff21312b,
    0xff18261e,
    0xff101a13,
    0xff0f170f,
    0xff13180f,
    0xff11170d,
    0xff383e34,
    0xff4b5049,
    0xff010f05,
    0xff09160c,
    0xff09180e,
    0xff071811,
    0xff04150d,
    0xff081911,
    0xff35453d,
    0xff1c2a22,
    0xff10140e,
    0xff130c06,
    0xff20150e,
    0xff171509,
    0xff12140a,
    0xff18120f,
    0xff1b140f,
    0xff18170c,
    0xff14110a,
    0xff091802,
    0xff121612,
    0xff181316,
    0xff0f190b,
    0xff121002,
    0xff542802,
    0xfff0b04e,
    0xffa45800,
    0xff993d08,
    0xff8e391b,
    0xff642524,
    0xff4e0b05,
    0xffae522c,
    0xffa9400b,
    0xff9e3812,
    0xff872b04,
    0xffa85823,
    0xff9d5424,
    0xff842200,
    0xffb2561f,
    0xff943a0b,
    0xff7a0000,
    0xff9e3330,
    0xff98311a,
    0xff942b1e,
    0xff7d0b18,
    0xff6b1b17,
    0xff6e0503,
    0xffc06022,
    0xffca5e1d,
    0xffc96833,
    0xffb54213,
    0xffc56017,
    0xffa35106,
    0xfffbb953,
    0xffefa744,
    0xfff19f52,
    0xffba6315,
    0xffffa466,
    0xfff89e5f,
    0xffb24f22,
    0xff8e2b03,
    0xffbf691c,
    0xffb36d05,
    0xffab7300,
    0xffb77c05,
    0xff995700,
    0xffb38410,
    0xffefb25c,
    0xffa56307,
    0xffb28226,
    0xff6b4c0e,
    0xff1a0000,
    0xff76471c,
    0xff854a06,
    0xffbca076,
    0xffc4aa82,
    0xffb88538,
    0xffbf740a,
    0xffa86403,
    0xffa46e13,
    0xffc38d48,
    0xff5f2b19,
    0xff140e00,
    0xff131709,
    0xff0e180d,
    0xff06120a,
    0xff3c433c,
    0xff73766e,
    0xff35372a,
    0xff181b0b,
    0xff141a08,
    0xff1a2212,
    0xff070a00,
    0xffa8a79f,
    0xff211d14,
    0xff1a190f,
    0xff0d170e,
    0xff05150e,
    0xff691a20,
    0xff6b1a17,
    0xff6f1b14,
    0xff6e1d1c,
    0xff6d1f22,
    0xff652630,
    0xff56415e,
    0xff435886,
    0xff375d7d,
    0xff2d5273,
    0xff294e6c,
    0xff2d5267,
    0xff2e545b,
    0xff325954,
    0xff264f43,
    0xff244d40,
    0xff274548,
    0xff213d42,
    0xff223e42,
    0xff1c373b,
    0xff213737,
    0xff233635,
    0xff243631,
    0xff2b3a35,
    0xff323b33,
    0xff333c32,
    0xff343c33,
    0xff343d36,
    0xff384038,
    0xff3c443d,
    0xff465046,
    0xff434d45,
    0xff44584c,
    0xff485951,
    0xff485857,
    0xff48585d,
    0xff455460,
    0xff4f5d6a,
    0xff53616d,
    0xff54636f,
    0xff53706f,
    0xff4b6b68,
    0xff496a69,
    0xff4a6a6b,
    0xff506a72,
    0xff48616b,
    0xff4a6775,
    0xff4a6977,
    0xff4e6971,
    0xff516a71,
    0xff506971,
    0xff4e646e,
    0xff506770,
    0xff4c656c,
    0xff4d666f,
    0xff4a646b,
    0xff4d6865,
    0xff465e5c,
    0xff3e5450,
    0xff3b4e45,
    0xff3a4d39,
    0xff394c33,
    0xff3b4d34,
    0xff3d5039,
    0xff3a4537,
    0xff3b4538,
    0xff374232,
    0xff333f2c,
    0xff2f3c28,
    0xff2c3c26,
    0xff293d28,
    0xff273b28,
    0xff253729,
    0xff2d4031,
    0xff2f3f2d,
    0xff374632,
    0xff3b4b35,
    0xff404e38,
    0xff47533e,
    0xff47533f,
    0xff42553e,
    0xff495c45,
    0xff475a44,
    0xff455841,
    0xff4c5e48,
    0xff4c5a47,
    0xff4b5745,
    0xff46513f,
    0xff505b47,
    0xff5b6551,
    0xff58624d,
    0xff5d6550,
    0xff5e644f,
    0xff60644f,
    0xff656854,
    0xff646551,
    0xff61684a,
    0xff606649,
    0xff5c6548,
    0xff5b6447,
    0xff5d654a,
    0xff59634b,
    0xff646d55,
    0xff667057,
    0xff646e4b,
    0xff6a724d,
    0xff686f48,
    0xff696d47,
    0xff676c44,
    0xff646942,
    0xff666b45,
    0xff636842,
    0xff615f3a,
    0xff615f39,
    0xff5d5b36,
    0xff5b5734,
    0xff5f5b38,
    0xff5e5936,
    0xff554f2e,
    0xff554c2d,
    0xff534e27,
    0xff565129,
    0xff58542b,
    0xff59542e,
    0xff58582e,
    0xff595a2f,
    0xff595c2f,
    0xff585c30,
    0xff59612f,
    0xff555d2e,
    0xff5b6538,
    0xff616a42,
    0xff656e49,
    0xff636f4c,
    0xff677350,
    0xff697551,
    0xff627447,
    0xff60744c,
    0xff667958,
    0xff617457,
    0xff5e7554,
    0xff5e7757,
    0xff5d775e,
    0xff5a7362,
    0xff576e5d,
    0xff5e7463,
    0xff546b5a,
    0xff576d5e,
    0xff596f66,
    0xff596f6d,
    0xff5a6e73,
    0xff53686f,
    0xff506272,
    0xff4f6474,
    0xff556d7b,
    0xff4f6770,
    0xff485c64,
    0xff60727e,
    0xff55677a,
    0xff536882,
    0xff51657b,
    0xff506573,
    0xff54686c,
    0xff516460,
    0xff556662,
    0xff50625b,
    0xff48594f,
    0xff485b4b,
    0xff495c4e,
    0xff4d6251,
    0xff49604c,
    0xff3d553d,
    0xff3e5539,
    0xff3c5031,
    0xff415130,
    0xff404d2b,
    0xff485033,
    0xff444c33,
    0xff3e4a35,
    0xff3c4936,
    0xff404b3a,
    0xff404432,
    0xff4d4b36,
    0xff574f3b,
    0xff65563f,
    0xff5c533d,
    0xff585543,
    0xff5b6251,
    0xff546051,
    0xff4e5e52,
    0xff506256,
    0xff52655c,
    0xff4b6166,
    0xff50626b,
    0xff5d6b72,
    0xff5f6a70,
    0xff5f6c6c,
    0xff647377,
    0xff546770,
    0xff5b7182,
    0xff66799a,
    0xff5f7593,
    0xff5b7288,
    0xff597083,
    0xff637e8c,
    0xff5f7987,
    0xff5d7987,
    0xff5a7685,
    0xff56738a,
    0xff577287,
    0xff4f6b7f,
    0xff5a7587,
    0xff587384,
    0xff537081,
    0xff577084,
    0xff5d7588,
    0xff607779,
    0xff5e716b,
    0xff647466,
    0xff5b6d58,
    0xff627662,
    0xff5a6e5a,
    0xff657661,
    0xff617059,
    0xff566755,
    0xff526451,
    0xff4a5c46,
    0xff526346,
    0xff54643e,
    0xff5c663e,
    0xff676a43,
    0xff636340,
    0xff5f5e2a,
    0xff63612c,
    0xff67622c,
    0xff6a612a,
    0xff726831,
    0xff69622f,
    0xff5f5c2a,
    0xff5c5c2a,
    0xff5d5b33,
    0xff515126,
    0xff525125,
    0xff595426,
    0xff5a5224,
    0xff5c5224,
    0xff63582a,
    0xff67572d,
    0xff635734,
    0xff705e38,
    0xff695f2f,
    0xff706833,
    0xff97673d,
    0xff8a1407,
    0xffaa050e,
    0xffab0213,
    0xff910e1e,
    0xffaf756b,
    0xff9c7a62,
    0xffb27252,
    0xffb25c39,
    0xfff09e70,
    0xffec9460,
    0xffdc753d,
    0xffe98340,
    0xffe5732a,
    0xffde6a21,
    0xffe96127,
    0xffc95828,
    0xfff3a27e,
    0xff7a0000,
    0xffa1010c,
    0xffce2b2c,
    0xffbe2e23,
    0xffa61b12,
    0xffc64c41,
    0xffab6c5e,
    0xff796f5e,
    0xff7d7a6f,
    0xff837c73,
    0xff857560,
    0xffbb7f65,
    0xffe57963,
    0xffe3645a,
    0xffb52924,
    0xffe24a42,
    0xffab0c08,
    0xffba181e,
    0xff90091d,
    0xffa77078,
    0xff878e8f,
    0xff839194,
    0xff89938f,
    0xff71887a,
    0xff717e73,
    0xff776b6c,
    0xff65725c,
    0xff526550,
    0xff465d4f,
    0xff305042,
    0xff345345,
    0xff2b4932,
    0xff314c2e,
    0xff2c4324,
    0xff3c4635,
    0xff4a5543,
    0xff4c5745,
    0xff535d48,
    0xff575f4a,
    0xff616652,
    0xff656554,
    0xff737160,
    0xff7e847f,
    0xff8a8f86,
    0xff8b8e81,
    0xff939a8c,
    0xff8e9a90,
    0xff80908a,
    0xff859591,
    0xff94a29e,
    0xff959daa,
    0xff999eaa,
    0xff86878f,
    0xff777b81,
    0xff636c70,
    0xff5e6967,
    0xff626d62,
    0xff6a7265,
    0xff68747a,
    0xff727d89,
    0xff7f8a9d,
    0xff8994ad,
    0xff99a4c4,
    0xffa8b0d2,
    0xffadb2d7,
    0xffa8add2,
    0xffabb2d0,
    0xffaeb5d1,
    0xffb2b6d0,
    0xffb3b8ce,
    0xffb7bcd0,
    0xff9ba2b5,
    0xffa9b4c8,
    0xff96a2b6,
    0xff97a2b8,
    0xff7e8ea0,
    0xff8999a2,
    0xff939f97,
    0xff757667,
    0xffa39c8c,
    0xff908981,
    0xfff3eceb,
    0xff9b8183,
    0xff999593,
    0xffb2b1ad,
    0xffbfb0a6,
    0xffab8f7c,
    0xffb98e7e,
    0xffd5b9ac,
    0xffafc2b0,
    0xffa5b399,
    0xff9caa90,
    0xff8fa084,
    0xff7d8e6d,
    0xff687850,
    0xff667542,
    0xff606b31,
    0xff61692b,
    0xff5e682d,
    0xff5a6632,
    0xff4f6036,
    0xff4b603b,
    0xff536a47,
    0xff516a49,
    0xff637c62,
    0xff96ac98,
    0xffa5bbaf,
    0xffa3b9af,
    0xff9db3a5,
    0xff93ab9d,
    0xff839c8e,
    0xff698472,
    0xff526d5c,
    0xff446150,
    0xff425b45,
    0xff4d674d,
    0xff4b654a,
    0xff3f593b,
    0xff445f40,
    0xff5e795a,
    0xff85a082,
    0xff8faa8e,
    0xff9bb1a4,
    0xff91a99e,
    0xff889f97,
    0xff99b0a9,
    0xffb8ccc9,
    0xffc2d1d3,
    0xffd6e1e5,
    0xffcfd8de,
    0xffb3c1b5,
    0xffa7b5a5,
    0xff8b9987,
    0xff798875,
    0xff637262,
    0xff4e5c51,
    0xff455346,
    0xff3b4938,
    0xff3b4b3a,
    0xff46593f,
    0xff586a48,
    0xff647652,
    0xff536340,
    0xff55603c,
    0xff4e5930,
    0xff5c6534,
    0xff4c5c26,
    0xff465627,
    0xff425029,
    0xff364822,
    0xff364c27,
    0xff3b5531,
    0xff4b6849,
    0xff355639,
    0xff3c5e44,
    0xff486c52,
    0xff5f8469,
    0xff76967e,
    0xff70836a,
    0xff72785f,
    0xff71664e,
    0xff77634b,
    0xff785034,
    0xff793823,
    0xff853021,
    0xff823019,
    0xff893f1c,
    0xff8f5322,
    0xff866626,
    0xff6e6921,
    0xff596a11,
    0xff627419,
    0xff62771b,
    0xff5a7518,
    0xff5f8326,
    0xff5b8027,
    0xff436712,
    0xff426112,
    0xff424d0c,
    0xff86652f,
    0xff994a2b,
    0xff8c4035,
    0xff5f1812,
    0xffffbeb1,
    0xff64321d,
    0xff452b1a,
    0xff473f2b,
    0xff563014,
    0xff56340c,
    0xff3e2907,
    0xff3a1601,
    0xff3b1400,
    0xff481701,
    0xff741f1d,
    0xff58130b,
    0xff701f28,
    0xff2a0807,
    0xff20130b,
    0xff2a1108,
    0xff4a2718,
    0xff6e3629,
    0xff5a1d13,
    0xff5b301f,
    0xff7b5036,
    0xff86573a,
    0xff804e3d,
    0xff5a2414,
    0xff4d1800,
    0xff602b0b,
    0xff562207,
    0xff694724,
    0xff6b4b22,
    0xff6e4a1a,
    0xff734913,
    0xff74420b,
    0xff76440c,
    0xff6a3e08,
    0xff673e0b,
    0xff6f4f0f,
    0xff6c5705,
    0xff786f0f,
    0xff757312,
    0xff696714,
    0xff5a5614,
    0xff47460f,
    0xff4d4c1b,
    0xff3e3f1d,
    0xff28290c,
    0xff2c2d1b,
    0xff2a2c1f,
    0xff272d1e,
    0xff232a1c,
    0xff1a2317,
    0xff1a221a,
    0xff192319,
    0xff1c261b,
    0xff162015,
    0xff131c12,
    0xff131f13,
    0xff142016,
    0xff152117,
    0xff162219,
    0xff262d21,
    0xff272c20,
    0xff272f22,
    0xff1f271b,
    0xff1d281c,
    0xff1d291c,
    0xff1e2a1e,
    0xff1a2519,
    0xff13200f,
    0xff121f0d,
    0xff121f0e,
    0xff0e1b0a,
    0xff111d0f,
    0xff0e1a0e,
    0xff0f1b0f,
    0xff0d190c,
    0xff0d1810,
    0xff17221a,
    0xff18231b,
    0xff17221a,
    0xff141f17,
    0xff19261f,
    0xff172622,
    0xff2c3d38,
    0xff19261d,
    0xff1d281f,
    0xff151f16,
    0xff192116,
    0xff1a2014,
    0xff1b2114,
    0xff090f02,
    0xff555b51,
    0xff131b11,
    0xff101a0f,
    0xff0f1b11,
    0xff0e1b12,
    0xff0a170d,
    0xff162219,
    0xff3a463d,
    0xff1e281f,
    0xff121611,
    0xff211613,
    0xff21160f,
    0xff15170b,
    0xff13160a,
    0xff1d120f,
    0xff20140e,
    0xff1a160b,
    0xff19110c,
    0xff11140b,
    0xff121710,
    0xff11150d,
    0xff0f1409,
    0xff170e03,
    0xff563919,
    0xff825b21,
    0xff66380d,
    0xff773f20,
    0xff431403,
    0xff2c1109,
    0xff2e0808,
    0xff691e00,
    0xffc86324,
    0xff8a1f00,
    0xffb55122,
    0xffa74701,
    0xff983900,
    0xff8b250c,
    0xff9a351c,
    0xff952e15,
    0xff932113,
    0xff6b0400,
    0xff883320,
    0xff6f100a,
    0xff711126,
    0xff380201,
    0xff741206,
    0xffb7642e,
    0xffc65638,
    0xff8a0600,
    0xff900302,
    0xffb33815,
    0xffcc662b,
    0xffd9842a,
    0xffaa5700,
    0xff812a00,
    0xffffc792,
    0xff852c08,
    0xffb56313,
    0xffaf5911,
    0xffac5804,
    0xffc37215,
    0xffad5f0b,
    0xffb87015,
    0xffb77014,
    0xffc17b29,
    0xffaf7410,
    0xffaf7015,
    0xffb47918,
    0xffa67102,
    0xffba8c26,
    0xff693d0f,
    0xff451d15,
    0xff563315,
    0xff493519,
    0xff9f9181,
    0xff936e3b,
    0xff9b5802,
    0xffb06a09,
    0xffb77907,
    0xffaf6e04,
    0xffa86d33,
    0xff1c1000,
    0xff131301,
    0xff0f160a,
    0xff0a170c,
    0xff121913,
    0xff61645c,
    0xff5c5e53,
    0xff18180a,
    0xff1e200f,
    0xff1e2213,
    0xff091004,
    0xff8f9287,
    0xff3c382c,
    0xff1d1c10,
    0xff1c2016,
    0xff0a160d,
    0xff6a181b,
    0xff6a160d,
    0xff6d1b0e,
    0xff68181a,
    0xff6c1b24,
    0xff681f23,
    0xff4c2b20,
    0xff2b3020,
    0xff193130,
    0xff162d31,
    0xff20353d,
    0xff1e333c,
    0xff1c3238,
    0xff21373b,
    0xff253c40,
    0xff273f44,
    0xff23433f,
    0xff274744,
    0xff224243,
    0xff324f52,
    0xff314c52,
    0xff42585f,
    0xff394954,
    0xff3e4e59,
    0xff465d65,
    0xff425961,
    0xff4c646a,
    0xff51676f,
    0xff546971,
    0xff597279,
    0xff526b72,
    0xff526c73,
    0xff4d6a78,
    0xff547284,
    0xff536f86,
    0xff557088,
    0xff5a788b,
    0xff597886,
    0xff56757c,
    0xff577679,
    0xff5a697b,
    0xff57697b,
    0xff536676,
    0xff546370,
    0xff52606a,
    0xff4e5b60,
    0xff3f5152,
    0xff435c56,
    0xff3e5358,
    0xff374c51,
    0xff2b3e41,
    0xff324345,
    0xff344546,
    0xff2f4241,
    0xff253d37,
    0xff243b34,
    0xff243827,
    0xff233425,
    0xff2f3a2c,
    0xff393f2f,
    0xff434431,
    0xff4a4932,
    0xff4d4634,
    0xff514d3a,
    0xff3e4b30,
    0xff374329,
    0xff33422b,
    0xff334230,
    0xff293d30,
    0xff2c433d,
    0xff355252,
    0xff3c595a,
    0xff3f5854,
    0xff4a635d,
    0xff526b63,
    0xff4d685d,
    0xff567167,
    0xff537068,
    0xff4f6c65,
    0xff55706b,
    0xff4c695a,
    0xff4a6759,
    0xff4c685c,
    0xff446056,
    0xff49635e,
    0xff4c6463,
    0xff51676a,
    0xff52666a,
    0xff4e6360,
    0xff586f66,
    0xff54675d,
    0xff5c6b5b,
    0xff5a6752,
    0xff667056,
    0xff697052,
    0xff676b4d,
    0xff646b53,
    0xff656952,
    0xff646950,
    0xff686c53,
    0xff60634a,
    0xff62654c,
    0xff65684f,
    0xff62644d,
    0xff5d6544,
    0xff5d6440,
    0xff63653d,
    0xff646335,
    0xff65622f,
    0xff67652c,
    0xff6b682e,
    0xff696629,
    0xff716b2d,
    0xff6e682d,
    0xff68622a,
    0xff6a622f,
    0xff5e572a,
    0xff554e26,
    0xff544c27,
    0xff4f4724,
    0xff544d23,
    0xff57532a,
    0xff5b5832,
    0xff585a34,
    0xff595f3c,
    0xff57613d,
    0xff546140,
    0xff586844,
    0xff5c6544,
    0xff646f50,
    0xff687456,
    0xff657559,
    0xff607257,
    0xff5e7559,
    0xff607c5e,
    0xff617d5f,
    0xff5b7466,
    0xff5b726e,
    0xff5e7274,
    0xff637778,
    0xff617771,
    0xff5b7069,
    0xff627674,
    0xff62757a,
    0xff607780,
    0xff5e757b,
    0xff5a7172,
    0xff5f7676,
    0xff4b6364,
    0xff4f686b,
    0xff566f75,
    0xff536d75,
    0xff596d79,
    0xff536872,
    0xff50666a,
    0xff4f6361,
    0xff57665f,
    0xff57655e,
    0xff4c5858,
    0xff59656a,
    0xff45545a,
    0xff515f5c,
    0xff4b594d,
    0xff4e5945,
    0xff3e4734,
    0xff3c4530,
    0xff434b37,
    0xff3b432e,
    0xff39473b,
    0xff2f3f34,
    0xff2b3d2c,
    0xff2d4330,
    0xff395039,
    0xff384b34,
    0xff405136,
    0xff445236,
    0xff4c5538,
    0xff3e4a31,
    0xff4c5b49,
    0xff3c4e41,
    0xff505e59,
    0xff4a5352,
    0xff565858,
    0xff605f60,
    0xff6a6b6e,
    0xff62676d,
    0xff636f7a,
    0xff627383,
    0xff5d758a,
    0xff566e87,
    0xff546c88,
    0xff5b7492,
    0xff527298,
    0xff526e97,
    0xff546d97,
    0xff5a7198,
    0xff5a7295,
    0xff567295,
    0xff5979a2,
    0xff4e719e,
    0xff576fa0,
    0xff5a749f,
    0xff566f95,
    0xff5b7898,
    0xff567491,
    0xff557190,
    0xff597598,
    0xff587398,
    0xff567695,
    0xff4f6e8a,
    0xff5f7f96,
    0xff617e92,
    0xff5c778d,
    0xff688098,
    0xff657c98,
    0xff637896,
    0xff647a89,
    0xff687981,
    0xff6f7c7b,
    0xff69756a,
    0xff657464,
    0xff667360,
    0xff66725d,
    0xff656e55,
    0xff59694d,
    0xff4b5b42,
    0xff48583f,
    0xff4f5e3f,
    0xff525f37,
    0xff5b6236,
    0xff595d32,
    0xff58582d,
    0xff595a2a,
    0xff5b5a29,
    0xff605a2a,
    0xff645b2b,
    0xff685d30,
    0xff615a30,
    0xff625e37,
    0xff64653e,
    0xff5a6443,
    0xff676f4e,
    0xff626a47,
    0xff6b724f,
    0xff717556,
    0xff7e7e62,
    0xff7f7e69,
    0xff8e8b7a,
    0xff8e8975,
    0xff8f8d76,
    0xff88866f,
    0xffa38978,
    0xffac4d4f,
    0xffa10012,
    0xffb60f1c,
    0xff880000,
    0xffcf5f51,
    0xff9e5f47,
    0xff855b34,
    0xffe3925e,
    0xffff8751,
    0xffaa3704,
    0xffe4823b,
    0xffea8629,
    0xffd67220,
    0xffce5312,
    0xffd66f1b,
    0xffde7018,
    0xfff07f3a,
    0xffa7480b,
    0xffa12305,
    0xff9d0006,
    0xffb01316,
    0xffac1b12,
    0xff920701,
    0xffde8a7b,
    0xffaea68f,
    0xffa8a49b,
    0xffb89da1,
    0xffb19d9d,
    0xffc69da6,
    0xffc36f72,
    0xffe9696a,
    0xffd13d3f,
    0xffbf2326,
    0xffb00e0e,
    0xffb01014,
    0xff930009,
    0xff9f232c,
    0xff90675a,
    0xff687760,
    0xff686a5e,
    0xff726961,
    0xff647861,
    0xff5b7d56,
    0xff6d7f58,
    0xff6f7c70,
    0xff6c7f7a,
    0xff668084,
    0xff64818e,
    0xff618390,
    0xff6c8b93,
    0xff698588,
    0xff647d79,
    0xff6f8d8c,
    0xff638281,
    0xff5b7c7b,
    0xff5d7d7e,
    0xff5d7c7d,
    0xff5c767a,
    0xff647a7e,
    0xff6a7b83,
    0xff757a8a,
    0xff73777b,
    0xff70796c,
    0xff627158,
    0xff576e53,
    0xff5e7760,
    0xff627867,
    0xff5e7466,
    0xff5a7467,
    0xff647a6f,
    0xff738683,
    0xff7d8d95,
    0xff889aab,
    0xff8d9fb8,
    0xff90a1bc,
    0xff98a5bf,
    0xffa3aecd,
    0xffa9b5d4,
    0xffb6c4e4,
    0xffbfccf0,
    0xffc4cff1,
    0xffc9d3f2,
    0xffd0d7f4,
    0xffccd1ed,
    0xffccd5ec,
    0xffcad2e9,
    0xffc4cae0,
    0xffc1c6dc,
    0xffc3c5dd,
    0xffa5a9c1,
    0xffa6abc4,
    0xffabb0cb,
    0xff9da3bc,
    0xff8797a8,
    0xff71888b,
    0xff8f9d90,
    0xff76715d,
    0xff938570,
    0xffe3d8ce,
    0xffaca9a3,
    0xff96856d,
    0xff676650,
    0xffaeb1a1,
    0xff7b7c68,
    0xff676544,
    0xff7c6042,
    0xff71533a,
    0xff687253,
    0xff6c7b60,
    0xff7d8d73,
    0xff738469,
    0xff657958,
    0xff71825d,
    0xff6d7b4f,
    0xff66713c,
    0xff616b2e,
    0xff697334,
    0xff657238,
    0xff647541,
    0xff4c6231,
    0xff365021,
    0xff385424,
    0xff375026,
    0xff324a23,
    0xff344d2b,
    0xff2b4522,
    0xff223d1b,
    0xff304b28,
    0xff355331,
    0xff3d5c38,
    0xff466643,
    0xff577753,
    0xff5b7653,
    0xff56714d,
    0xff4a653e,
    0xff405c33,
    0xff4c683e,
    0xff48643b,
    0xff3f5934,
    0xff446339,
    0xff395623,
    0xff375323,
    0xff335125,
    0xff36512e,
    0xff3d533a,
    0xff3e4f3d,
    0xff424e43,
    0xff454f46,
    0xff677668,
    0xff869884,
    0xff8c9e85,
    0xff818f7a,
    0xff9daa98,
    0xffacb8a9,
    0xffa2af9d,
    0xffb0bdaa,
    0xffa4b29c,
    0xff818f74,
    0xff687752,
    0xff53623b,
    0xff63704b,
    0xff626c48,
    0xff7b8156,
    0xff798150,
    0xff77844f,
    0xff6c7849,
    0xff4d5931,
    0xff434f2c,
    0xff374621,
    0xff29401c,
    0xff2e4728,
    0xff304d31,
    0xff315235,
    0xff2e5334,
    0xff2e5334,
    0xff325336,
    0xff3e5439,
    0xff4e5539,
    0xff564e33,
    0xff5b472c,
    0xff6c462b,
    0xff773927,
    0xff7c2e1f,
    0xff7f321c,
    0xff7d3716,
    0xff763d0f,
    0xff6b4e10,
    0xff57550d,
    0xff505e12,
    0xff58661a,
    0xff5e7022,
    0xff5c7623,
    0xff4d6f19,
    0xff496d1a,
    0xff426615,
    0xff385b0d,
    0xff2c4a09,
    0xff514a10,
    0xff5a4618,
    0xff3d4420,
    0xff878e71,
    0xffb3997d,
    0xff523c1e,
    0xff434c30,
    0xff41422a,
    0xff5d431c,
    0xff614f18,
    0xff5a4c25,
    0xff583322,
    0xff38240e,
    0xff352812,
    0xff5d201f,
    0xff751618,
    0xff6a1119,
    0xff2c0805,
    0xff341a17,
    0xff4a3229,
    0xff161600,
    0xff241400,
    0xff583220,
    0xff7d5947,
    0xff734e31,
    0xff714829,
    0xff7b4e3b,
    0xff8b5a4c,
    0xff57290f,
    0xff502305,
    0xff5e3218,
    0xff503411,
    0xff563a10,
    0xff573906,
    0xff734e15,
    0xff754a0f,
    0xff72430a,
    0xff6a3e07,
    0xff643f07,
    0xff684b15,
    0xff564401,
    0xff5d5601,
    0xff5f5e03,
    0xff605f0f,
    0xff5e5a19,
    0xff47450b,
    0xff4c4c17,
    0xff424925,
    0xff292f11,
    0xff272e1a,
    0xff273021,
    0xff283325,
    0xff263224,
    0xff202c1f,
    0xff1e2920,
    0xff1e281b,
    0xff1b2317,
    0xff1a2519,
    0xff1c261a,
    0xff192519,
    0xff172417,
    0xff17231a,
    0xff1b271d,
    0xff232616,
    0xff222717,
    0xff1a220f,
    0xff1e2917,
    0xff172413,
    0xff1b2816,
    0xff1b2a19,
    0xff172514,
    0xff14210f,
    0xff121e0d,
    0xff152111,
    0xff121f0e,
    0xff142011,
    0xff0e1a0c,
    0xff0f1a0f,
    0xff0d1a0d,
    0xff111d15,
    0xff17211a,
    0xff172419,
    0xff142116,
    0xff162118,
    0xff17251e,
    0xff1a2924,
    0xff31423e,
    0xff243129,
    0xff1b271d,
    0xff182217,
    0xff182014,
    0xff202618,
    0xff1a2011,
    0xff1b2116,
    0xff0d1408,
    0xff62665a,
    0xff060d02,
    0xff191f18,
    0xff141d15,
    0xff131d15,
    0xff131c14,
    0xff283027,
    0xff31352d,
    0xff13130f,
    0xff190e0c,
    0xff1e150c,
    0xff161b0c,
    0xff15170c,
    0xff20130d,
    0xff25120d,
    0xff1b150a,
    0xff1a1708,
    0xff22130b,
    0xff201a0c,
    0xff17180a,
    0xff201511,
    0xff22100f,
    0xff1a100b,
    0xff170f04,
    0xff1e0d0b,
    0xff1c0f04,
    0xff201408,
    0xff261605,
    0xff320a0a,
    0xff753902,
    0xffce7935,
    0xff993006,
    0xff851600,
    0xffa14107,
    0xff953d04,
    0xffa4451c,
    0xff8a2303,
    0xff9a371f,
    0xff681101,
    0xff7e1f0a,
    0xff95362e,
    0xff690900,
    0xff560000,
    0xff200000,
    0xffb25f41,
    0xff300000,
    0xff590a03,
    0xffad2e29,
    0xff910e03,
    0xffb03216,
    0xffb7411c,
    0xffb2400c,
    0xffbf551d,
    0xffd67541,
    0xff732700,
    0xff864809,
    0xff7c2f00,
    0xffb76a29,
    0xffd38828,
    0xffa35200,
    0xff963c12,
    0xff882f04,
    0xffd7863d,
    0xffaa6202,
    0xffa25801,
    0xffac6e00,
    0xffbe821b,
    0xffae6f0e,
    0xffad6b0b,
    0xffb47d28,
    0xff401f04,
    0xff120500,
    0xff040000,
    0xff7e7b76,
    0xff2a1703,
    0xff9a662e,
    0xffa86828,
    0xffb06f13,
    0xffab7000,
    0xffb18330,
    0xff2d1f08,
    0xff141000,
    0xff0e1405,
    0xff0c160c,
    0xff030b05,
    0xff6b6f67,
    0xff74746a,
    0xff101104,
    0xff23200f,
    0xff202115,
    0xff171d11,
    0xff72756b,
    0xff5a574d,
    0xff161206,
    0xff16180d,
    0xff0d160e,
    0xff802310,
    0xff922a18,
    0xff9c2f1d,
    0xffad402f,
    0xff9c3227,
    0xff6a1615,
    0xff402121,
    0xff283b38,
    0xff1d3641,
    0xff2b4353,
    0xff2a455b,
    0xff33526a,
    0xff34546e,
    0xff395b76,
    0xff385e76,
    0xff2f556e,
    0xff36597c,
    0xff3c5f7f,
    0xff3f627e,
    0xff43647e,
    0xff3d6076,
    0xff385a70,
    0xff3c5e71,
    0xff416276,
    0xff43687c,
    0xff4c7183,
    0xff4c6f7c,
    0xff486774,
    0xff54727c,
    0xff4f6d77,
    0xff4e6976,
    0xff496873,
    0xff4f7080,
    0xff4b6c7a,
    0xff4f6b74,
    0xff51696e,
    0xff4f6363,
    0xff51625e,
    0xff505f59,
    0xff48584e,
    0xff445347,
    0xff445446,
    0xff445442,
    0xff424e3b,
    0xff444a37,
    0xff3e4130,
    0xff363b2b,
    0xff2f3728,
    0xff2c352c,
    0xff242c24,
    0xff222c25,
    0xff1a2721,
    0xff1c2c27,
    0xff162723,
    0xff172927,
    0xff1f342f,
    0xff223522,
    0xff2c3d2c,
    0xff2f3d31,
    0xff37453d,
    0xff404d49,
    0xff3d4b47,
    0xff45514d,
    0xff34413f,
    0xff3f555a,
    0xff3c5357,
    0xff4d6668,
    0xff496266,
    0xff526c74,
    0xff4f6b78,
    0xff476276,
    0xff456178,
    0xff506f7c,
    0xff43616d,
    0xff3e5c64,
    0xff4a6368,
    0xff4d6564,
    0xff4c6561,
    0xff4b655c,
    0xff445e53,
    0xff455e59,
    0xff4c655d,
    0xff486055,
    0xff465e51,
    0xff415a4a,
    0xff435a47,
    0xff455d46,
    0xff445c44,
    0xff455a45,
    0xff465841,
    0xff4e5a45,
    0xff565c44,
    0xff575a3f,
    0xff605e3c,
    0xff656239,
    0xff646235,
    0xff615f3e,
    0xff65653f,
    0xff626237,
    0xff5d5e34,
    0xff5d5d37,
    0xff565632,
    0xff555533,
    0xff54532f,
    0xff4c4e2a,
    0xff4e5122,
    0xff595d22,
    0xff5c5f20,
    0xff63652c,
    0xff63632f,
    0xff63632b,
    0xff66662b,
    0xff6a6933,
    0xff666432,
    0xff5d5d31,
    0xff545532,
    0xff57593c,
    0xff50563a,
    0xff555d44,
    0xff525b3f,
    0xff526242,
    0xff58694b,
    0xff51644b,
    0xff526755,
    0xff526a5d,
    0xff526f61,
    0xff4f6d5f,
    0xff527063,
    0xff55746d,
    0xff587772,
    0xff567473,
    0xff587678,
    0xff5b7a7e,
    0xff5f7d84,
    0xff59767e,
    0xff597480,
    0xff577a91,
    0xff597d94,
    0xff507286,
    0xff577789,
    0xff58757f,
    0xff546e72,
    0xff627b74,
    0xff5f766d,
    0xff59736d,
    0xff546e65,
    0xff546a5d,
    0xff596d5c,
    0xff596955,
    0xff52624f,
    0xff536252,
    0xff4b5c4c,
    0xff4a5d41,
    0xff48593c,
    0xff4c5c3b,
    0xff505a38,
    0xff505633,
    0xff555534,
    0xff524f31,
    0xff524e33,
    0xff4f4f3d,
    0xff464933,
    0xff42452c,
    0xff444830,
    0xff454d38,
    0xff3e4a37,
    0xff405038,
    0xff41543b,
    0xff425647,
    0xff4d6152,
    0xff4a5f52,
    0xff405449,
    0xff415548,
    0xff455a4b,
    0xff475c49,
    0xff3e523e,
    0xff3d4c3d,
    0xff4a5c55,
    0xff485b5c,
    0xff516468,
    0xff435557,
    0xff54626a,
    0xff4f5f6c,
    0xff5f6f83,
    0xff5b6b85,
    0xff5f728e,
    0xff5a7393,
    0xff59779f,
    0xff5a7bac,
    0xff597bb1,
    0xff5474a8,
    0xff5c7caf,
    0xff5879b2,
    0xff5f7fb9,
    0xff5d7db7,
    0xff6181ba,
    0xff5b7ab3,
    0xff5d7bb1,
    0xff5a77ac,
    0xff5f7eb0,
    0xff597bab,
    0xff587aaa,
    0xff5a7cac,
    0xff5373a0,
    0xff5c7ba7,
    0xff5a79a2,
    0xff5d7ca1,
    0xff537094,
    0xff597599,
    0xff567391,
    0xff557389,
    0xff587787,
    0xff57747c,
    0xff587177,
    0xff536870,
    0xff566a6e,
    0xff506559,
    0xff627466,
    0xff606f59,
    0xff677155,
    0xff616946,
    0xff686e47,
    0xff6b7147,
    0xff666d41,
    0xff58623a,
    0xff54653e,
    0xff4b5d3b,
    0xff4b5d3b,
    0xff4a5a33,
    0xff555e31,
    0xff58602e,
    0xff575b2b,
    0xff58582a,
    0xff5f5c30,
    0xff615c30,
    0xff615b31,
    0xff67603b,
    0xff66623f,
    0xff676548,
    0xff68684d,
    0xff67624d,
    0xff5f6750,
    0xff5e624e,
    0xff666a4e,
    0xff626c45,
    0xff6d6643,
    0xff716147,
    0xff666f52,
    0xff69694c,
    0xff7a684a,
    0xff796d57,
    0xff736f62,
    0xffa46f6b,
    0xff9e182f,
    0xff980016,
    0xff8e1611,
    0xffe88d6a,
    0xffe38d6e,
    0xffd27a4e,
    0xffe4862f,
    0xfff88e37,
    0xff971e02,
    0xff7e0500,
    0xfff38739,
    0xfffd893f,
    0xffd4560f,
    0xffc64b00,
    0xffec7829,
    0xffe26d27,
    0xffa22200,
    0xffa92312,
    0xffa11f1f,
    0xff910804,
    0xff950900,
    0xffa52215,
    0xffd39d85,
    0xff8f8576,
    0xff95757b,
    0xfff5d2d6,
    0xff9e716f,
    0xffb65d5a,
    0xffc23b3f,
    0xffe64f57,
    0xffd53d36,
    0xffa90107,
    0xffa9001a,
    0xffa41215,
    0xffcc3f3b,
    0xffe76669,
    0xffc77680,
    0xff907b7b,
    0xff78786a,
    0xff797967,
    0xff60725d,
    0xff59755a,
    0xff5d6448,
    0xff5d6c5a,
    0xff586b63,
    0xff51676c,
    0xff45646e,
    0xff3f616c,
    0xff3f616a,
    0xff517277,
    0xff55737a,
    0xff5c7f8b,
    0xff6f90a1,
    0xff7192a8,
    0xff7695b3,
    0xff819ec1,
    0xff8da6cb,
    0xff8da3ca,
    0xff93a7cf,
    0xff93a2bf,
    0xff99a8c2,
    0xff92a3ba,
    0xff8da0b4,
    0xff8096a7,
    0xff7b94a4,
    0xff7994a6,
    0xff7590a1,
    0xff7a99a5,
    0xff6e8b97,
    0xff5f7884,
    0xff657b84,
    0xff667984,
    0xff657783,
    0xff697887,
    0xff6f7f8f,
    0xff7a88a7,
    0xff8a97b8,
    0xff92a2c3,
    0xff9daccf,
    0xffa9b8d8,
    0xffadb7d5,
    0xffaab1cd,
    0xffabb0c9,
    0xffa8a8be,
    0xff9b9ec6,
    0xff9da5c5,
    0xff9da7bb,
    0xff9ea1ba,
    0xffaeadb9,
    0xff958e91,
    0xff958d9d,
    0xff7b8f94,
    0xff809893,
    0xff7e9485,
    0xff84917d,
    0xff8d8c7c,
    0xff9a9288,
    0xfffffef6,
    0xff5b5f56,
    0xffa69e8e,
    0xff97907f,
    0xff657057,
    0xff757f5d,
    0xff607548,
    0xff716f48,
    0xff706244,
    0xff90755e,
    0xff6d7a50,
    0xff656d41,
    0xff656d43,
    0xff546a3d,
    0xff516a3c,
    0xff637046,
    0xff636e3e,
    0xff62743c,
    0xff656d3a,
    0xff626e3d,
    0xff607049,
    0xff4e6644,
    0xff3f5c3d,
    0xff446245,
    0xff57785c,
    0xff547458,
    0xff58725c,
    0xff607665,
    0xff5a6f63,
    0xff546c62,
    0xff516c5d,
    0xff43624d,
    0xff466348,
    0xff536b4d,
    0xff546c4e,
    0xff44613d,
    0xff2b4b21,
    0xff2c4b24,
    0xff3c5636,
    0xff4d6746,
    0xff517244,
    0xff4b6f38,
    0xff486935,
    0xff416536,
    0xff4c6e46,
    0xff496a4d,
    0xff59745f,
    0xff6c7f72,
    0xff6e7b72,
    0xff69736c,
    0xff69706a,
    0xff63685b,
    0xff3d452f,
    0xff2e3a1c,
    0xff2e3b1d,
    0xff2c3a1e,
    0xff2a3b1e,
    0xff233618,
    0xff253816,
    0xff304420,
    0xff2b3d19,
    0xff30441c,
    0xff334519,
    0xff47562a,
    0xff4c5929,
    0xff4c5828,
    0xff5e7144,
    0xff5b7045,
    0xff4d633c,
    0xff455d35,
    0xff466038,
    0xff3d5930,
    0xff37512f,
    0xff334c2e,
    0xff2a452a,
    0xff334f36,
    0xff3a5a40,
    0xff385a3e,
    0xff3a5639,
    0xff495539,
    0xff5a5135,
    0xff5b432a,
    0xff69432a,
    0xff783424,
    0xff872b1c,
    0xff892f16,
    0xff8a431a,
    0xff8b5d1f,
    0xff746514,
    0xff657212,
    0xff65741d,
    0xff5f7217,
    0xff586f0d,
    0xff536e09,
    0xff53700c,
    0xff537111,
    0xff516d12,
    0xff4a6711,
    0xff405812,
    0xff44521e,
    0xff435320,
    0xff192b00,
    0xffececd8,
    0xff503d28,
    0xff403610,
    0xff313b13,
    0xff373612,
    0xff403e13,
    0xff444112,
    0xff483d15,
    0xff432b11,
    0xff3d2312,
    0xff3c2518,
    0xff35170f,
    0xff751e1c,
    0xff62291a,
    0xffcb9183,
    0xffffbcb9,
    0xff491b13,
    0xff3e311f,
    0xff32220c,
    0xff3f1a07,
    0xff592e0f,
    0xff602f13,
    0xff662b14,
    0xff632714,
    0xff6e3a25,
    0xff52220b,
    0xff5a2b0e,
    0xff5b2c0f,
    0xff492713,
    0xff4e2b0f,
    0xff69471a,
    0xff704c16,
    0xff6f4910,
    0xff6e4710,
    0xff633c07,
    0xff704911,
    0xff674a05,
    0xff6b5a0d,
    0xff736f18,
    0xff6e6e13,
    0xff66650e,
    0xff59540d,
    0xff514d10,
    0xff45440f,
    0xff3e441e,
    0xff2a3014,
    0xff232b19,
    0xff252e23,
    0xff253025,
    0xff253121,
    0xff1c2b18,
    0xff1d2d17,
    0xff182512,
    0xff172412,
    0xff152411,
    0xff172513,
    0xff142111,
    0xff162112,
    0xff161f14,
    0xff1a2015,
    0xff1e2515,
    0xff222a1a,
    0xff1c2518,
    0xff1a241b,
    0xff1a271b,
    0xff172115,
    0xff202b1e,
    0xff202a1a,
    0xff181f0e,
    0xff181f0d,
    0xff161e09,
    0xff16200d,
    0xff141d0b,
    0xff121a0b,
    0xff141c0e,
    0xff121b10,
    0xff111d13,
    0xff162318,
    0xff162119,
    0xff17211a,
    0xff13211a,
    0xff122019,
    0xff162622,
    0xff34453f,
    0xff1b2b21,
    0xff162319,
    0xff161f13,
    0xff1e2415,
    0xff202218,
    0xff20231a,
    0xff1c211a,
    0xff191f19,
    0xff13150d,
    0xff7f8178,
    0xff0e110b,
    0xff1c211b,
    0xff1c261e,
    0xff131913,
    0xff2c2d27,
    0xff292521,
    0xff2d2319,
    0xff251910,
    0xff251d12,
    0xff231b10,
    0xff241b0f,
    0xff221409,
    0xff28170e,
    0xff251308,
    0xff1c1209,
    0xff1b1209,
    0xff1f1a0f,
    0xff19170d,
    0xff18160d,
    0xff131309,
    0xff16180a,
    0xff17190d,
    0xff1c140c,
    0xff1a150b,
    0xff1f1513,
    0xff2d160b,
    0xff582316,
    0xff863813,
    0xff923c02,
    0xff932f10,
    0xff91270b,
    0xff9f4206,
    0xff963805,
    0xff882c06,
    0xffa34f22,
    0xff822604,
    0xff630800,
    0xff5b1607,
    0xff8a2c2d,
    0xff944636,
    0xffe08c70,
    0xffaa4328,
    0xffb94731,
    0xffc9604a,
    0xff902d1c,
    0xffa63e25,
    0xff670d06,
    0xff690903,
    0xffa43515,
    0xffa6360c,
    0xffad4f1f,
    0xffa44515,
    0xff933308,
    0xffe6a34c,
    0xffbf711b,
    0xffbb4e2a,
    0xffa72803,
    0xffb42e0b,
    0xff921703,
    0xff6c0402,
    0xff9c4b0c,
    0xffa66100,
    0xff995402,
    0xff9f5a06,
    0xff8a4400,
    0xffa96315,
    0xffae6d18,
    0xffb77d22,
    0xff8e5910,
    0xff703a13,
    0xff965a1f,
    0xff9f7e4a,
    0xff8f7644,
    0xff552a12,
    0xff662e0c,
    0xffc5822c,
    0xffae6d08,
    0xff663a05,
    0xff503d22,
    0xff140c05,
    0xff0b1900,
    0xff101309,
    0xff021116,
    0xff344439,
    0xff8d7e74,
    0xff282b10,
    0xff101600,
    0xff1c1401,
    0xff101010,
    0xff564e51,
    0xff817678,
    0xff081000,
    0xff192102,
    0xff111a1d,
    0xff952527,
    0xffbd423a,
    0xffc64c31,
    0xffc85b2e,
    0xffbb5e31,
    0xff904e38,
    0xff5b4751,
    0xff445c7b,
    0xff386187,
    0xff396187,
    0xff4c739b,
    0xff3a608a,
    0xff396088,
    0xff436a91,
    0xff3d658a,
    0xff446e8f,
    0xff3e6788,
    0xff446989,
    0xff436884,
    0xff395d73,
    0xff44677b,
    0xff456474,
    0xff405f70,
    0xff4b6877,
    0xff4d6077,
    0xff4b5d72,
    0xff4e5e6e,
    0xff515f66,
    0xff4f5f61,
    0xff4c5b58,
    0xff435552,
    0xff3e4e49,
    0xff384645,
    0xff384642,
    0xff38433d,
    0xff343e35,
    0xff353d31,
    0xff30372b,
    0xff2f382b,
    0xff2b3325,
    0xff313920,
    0xff343c21,
    0xff364127,
    0xff394229,
    0xff3f4332,
    0xff3c3f33,
    0xff343a31,
    0xff363f39,
    0xff2e3f36,
    0xff35483e,
    0xff37493e,
    0xff32483c,
    0xff364c41,
    0xff50665d,
    0xff50675d,
    0xff4c655c,
    0xff3f5f62,
    0xff37575e,
    0xff42626c,
    0xff416270,
    0xff345566,
    0xff34576a,
    0xff345a6e,
    0xff3a5e73,
    0xff3b5560,
    0xff395258,
    0xff3f585c,
    0xff405858,
    0xff425a5b,
    0xff455c5e,
    0xff3e5658,
    0xff435b5e,
    0xff46625f,
    0xff425a56,
    0xff435b56,
    0xff50635b,
    0xff4d6253,
    0xff516453,
    0xff546853,
    0xff52654f,
    0xff55664e,
    0xff506048,
    0xff526047,
    0xff525e44,
    0xff535d40,
    0xff525b3c,
    0xff545b3a,
    0xff525838,
    0xff525a36,
    0xff4e5431,
    0xff4f512f,
    0xff4f502f,
    0xff4f4e29,
    0xff525029,
    0xff545429,
    0xff555327,
    0xff58532d,
    0xff5b562d,
    0xff5c582b,
    0xff5f5b2d,
    0xff5b572b,
    0xff5f5a30,
    0xff5f5d2c,
    0xff5e5c29,
    0xff605b3f,
    0xff656145,
    0xff666343,
    0xff6f6f4b,
    0xff676945,
    0xff666946,
    0xff5e6347,
    0xff595e46,
    0xff475441,
    0xff4e5a4b,
    0xff58655d,
    0xff525e5b,
    0xff4e5d5e,
    0xff4e5f61,
    0xff556669,
    0xff4f6163,
    0xff556b6f,
    0xff53676d,
    0xff596f77,
    0xff5c727e,
    0xff59727c,
    0xff5c767e,
    0xff59767b,
    0xff5a787c,
    0xff5a7676,
    0xff5b787a,
    0xff5b777b,
    0xff5c787d,
    0xff59757b,
    0xff5b767d,
    0xff5c767c,
    0xff577076,
    0xff5c766e,
    0xff5a746c,
    0xff59746b,
    0xff5f7970,
    0xff5d766b,
    0xff617565,
    0xff627661,
    0xff5e7058,
    0xff65765b,
    0xff637555,
    0xff637451,
    0xff5a6740,
    0xff626e45,
    0xff5a673e,
    0xff5e6b42,
    0xff596641,
    0xff515d3a,
    0xff55613f,
    0xff4f5836,
    0xff505535,
    0xff4f5234,
    0xff535137,
    0xff524d36,
    0xff57523d,
    0xff50563d,
    0xff494f36,
    0xff43492f,
    0xff3e4630,
    0xff4a5545,
    0xff435044,
    0xff3f4f41,
    0xff374b3a,
    0xff3a5140,
    0xff3b5342,
    0xff445c4e,
    0xff3d554c,
    0xff4c635b,
    0xff445c55,
    0xff3a514e,
    0xff4e6464,
    0xff536774,
    0xff384e60,
    0xff3d556f,
    0xff4f6680,
    0xff556780,
    0xff576781,
    0xff637291,
    0xff607094,
    0xff5b7098,
    0xff5c729b,
    0xff607ba5,
    0xff5978a8,
    0xff5675ab,
    0xff5876ae,
    0xff5877ae,
    0xff5571a4,
    0xff5675a3,
    0xff4e6d99,
    0xff54749f,
    0xff54729c,
    0xff57729d,
    0xff5a769b,
    0xff547091,
    0xff5d7797,
    0xff4d6986,
    0xff5b7794,
    0xff59728d,
    0xff647d94,
    0xff5a7387,
    0xff637a87,
    0xff5f7780,
    0xff62787f,
    0xff5b7075,
    0xff576e6f,
    0xff5a706d,
    0xff556a5f,
    0xff526654,
    0xff5b7057,
    0xff5b6c4f,
    0xff5a684a,
    0xff566044,
    0xff585f3d,
    0xff64683d,
    0xff6e6c39,
    0xff6e6c30,
    0xff716e2d,
    0xff6b6b26,
    0xff6c6a29,
    0xff64682b,
    0xff5b622d,
    0xff4b572a,
    0xff475229,
    0xff575e36,
    0xff5b5e37,
    0xff5f5c38,
    0xff585531,
    0xff575935,
    0xff5c5d37,
    0xff5e5d36,
    0xff5d5a35,
    0xff716f4b,
    0xff727256,
    0xff63664a,
    0xff5b5f48,
    0xff6d6b60,
    0xff697869,
    0xff7b877f,
    0xff7c867e,
    0xff738a80,
    0xff7b8782,
    0xff8f7f86,
    0xffa08690,
    0xff9d797e,
    0xffa07b84,
    0xff867886,
    0xff7c867d,
    0xffa58f65,
    0xffb55833,
    0xff700000,
    0xffd96550,
    0xffc5592d,
    0xffbc5a14,
    0xffbb5b0d,
    0xffd46921,
    0xfff57a3d,
    0xffa11a00,
    0xffa41f0d,
    0xffb73c15,
    0xff9a1b00,
    0xffdc5525,
    0xffdb541f,
    0xffed7130,
    0xffd55c1b,
    0xffce4d1d,
    0xffa22308,
    0xff8e1807,
    0xffcd5646,
    0xff881801,
    0xfff9937c,
    0xffb0684f,
    0xffb87d70,
    0xffa65959,
    0xffefb2af,
    0xffc78078,
    0xffb94c45,
    0xffa5151a,
    0xffaa051c,
    0xffc12726,
    0xffa00604,
    0xffa0091b,
    0xffde535c,
    0xffe9636c,
    0xffbf3a32,
    0xff922a27,
    0xff885950,
    0xff888272,
    0xff81867a,
    0xff8a9d9b,
    0xff799097,
    0xff979aab,
    0xff8a9aa3,
    0xff8396a5,
    0xff7a91af,
    0xff7d98bd,
    0xff7393bb,
    0xff7a98be,
    0xff7a96be,
    0xff7b95bc,
    0xff748daa,
    0xff748eaa,
    0xff748caf,
    0xff7992b8,
    0xff7d92ba,
    0xff8397bd,
    0xff8596bb,
    0xff8595b8,
    0xff8c95be,
    0xff8892ba,
    0xff8793b8,
    0xff8392b5,
    0xff7c8dad,
    0xff7e8fb0,
    0xff8497b7,
    0xff8c9fbf,
    0xff8c9dc4,
    0xff899abf,
    0xff8e9cc0,
    0xff96a1c4,
    0xffa2abce,
    0xffa7afd5,
    0xffafb7e0,
    0xffb5bce4,
    0xffbcc6e9,
    0xffb6c1e4,
    0xffc2cef0,
    0xffc7d3f5,
    0xffcad5f6,
    0xffc8d2f1,
    0xffd0d7f3,
    0xffd3d8f5,
    0xffd1dbe7,
    0xffccd5e9,
    0xffc6cfe0,
    0xffbfc9d8,
    0xffb4bbcd,
    0xffb1b3c0,
    0xffaba6ae,
    0xff948896,
    0xff8f94a2,
    0xff878c99,
    0xff818d93,
    0xff859396,
    0xff888d93,
    0xff998f96,
    0xff94888a,
    0xffc9c6bd,
    0xff96927e,
    0xff757363,
    0xff808d7e,
    0xff707768,
    0xff6a7c66,
    0xff77715d,
    0xff8d7966,
    0xff8b6658,
    0xff837863,
    0xff77785f,
    0xff69775a,
    0xff6c8068,
    0xff808b7a,
    0xff9ba091,
    0xff99a18e,
    0xff8e9e83,
    0xff8b9373,
    0xff7d886b,
    0xff778770,
    0xff7c917e,
    0xff6a8274,
    0xff738e82,
    0xff698677,
    0xff6f8b7c,
    0xff89a19b,
    0xff8ea2a2,
    0xff839597,
    0xff73888c,
    0xff6d8685,
    0xff6a8882,
    0xff668272,
    0xff5b725f,
    0xff50694a,
    0xff4b6846,
    0xff456444,
    0xff405e44,
    0xff4e645a,
    0xff5a716a,
    0xff647f72,
    0xff668470,
    0xff587a54,
    0xff4b6d4b,
    0xff47684f,
    0xff668271,
    0xff718982,
    0xff7f9190,
    0xff909da0,
    0xff9fa6ae,
    0xffb6b8c9,
    0xffc0c2cf,
    0xffc8cbd0,
    0xffbfc4c3,
    0xffadb6b5,
    0xffa6b0af,
    0xffa6b2af,
    0xff93a29e,
    0xff8d9d92,
    0xff859589,
    0xff78897b,
    0xff687a68,
    0xff6b7a65,
    0xff78846e,
    0xff858e74,
    0xff778064,
    0xff536239,
    0xff516039,
    0xff485a34,
    0xff3b4f29,
    0xff3c532b,
    0xff344e26,
    0xff384f2d,
    0xff364d30,
    0xff31492d,
    0xff2d4b2c,
    0xff315134,
    0xff2e5134,
    0xff345334,
    0xff445538,
    0xff535033,
    0xff5b4a2f,
    0xff5e4428,
    0xff753a28,
    0xff812b1c,
    0xff822915,
    0xff883f1c,
    0xff86501c,
    0xff76601a,
    0xff696e17,
    0xff657b14,
    0xff60760f,
    0xff5a760e,
    0xff5e7916,
    0xff567316,
    0xff54721d,
    0xff546f27,
    0xff455f1f,
    0xff394b16,
    0xff394a17,
    0xff33411c,
    0xff545746,
    0xffbcb4a5,
    0xff46361f,
    0xff494227,
    0xff4d5333,
    0xff534b25,
    0xff514b1e,
    0xff524a1d,
    0xff4c3e17,
    0xff362409,
    0xff392514,
    0xff2e1a0e,
    0xff200f04,
    0xff844642,
    0xffffdccf,
    0xfffbc9b9,
    0xffbe7a6f,
    0xff450800,
    0xff3a1708,
    0xff281201,
    0xff3b1a07,
    0xff502610,
    0xff5d311c,
    0xff7a4d37,
    0xff76442f,
    0xff71412a,
    0xff54260d,
    0xff592c10,
    0xff5a3115,
    0xff4d3113,
    0xff50340c,
    0xff4f3300,
    0xff604303,
    0xff6b4b0c,
    0xff6d4d0f,
    0xff68440c,
    0xff66420b,
    0xff6a4f1c,
    0xff57460a,
    0xff58550b,
    0xff5d600e,
    0xff606113,
    0xff5c5816,
    0xff4f4e18,
    0xff48491d,
    0xff383f16,
    0xff2c3114,
    0xff2d3520,
    0xff2e3728,
    0xff273423,
    0xff263523,
    0xff253320,
    0xff23321f,
    0xff212e1c,
    0xff1b2a19,
    0xff192716,
    0xff162513,
    0xff172316,
    0xff182214,
    0xff141a0e,
    0xff151a0e,
    0xff161e09,
    0xff161e0a,
    0xff0f1607,
    0xff1b2616,
    0xff1c2718,
    0xff1b2717,
    0xff272e1d,
    0xff222b19,
    0xff192212,
    0xff1c2511,
    0xff1a2310,
    0xff1a220f,
    0xff141d0c,
    0xff111d0d,
    0xff142012,
    0xff141e14,
    0xff162216,
    0xff162216,
    0xff1e271f,
    0xff1b271d,
    0xff18231c,
    0xff19261f,
    0xff182720,
    0xff26372e,
    0xff203024,
    0xff182418,
    0xff182113,
    0xff202618,
    0xff242819,
    0xff22241a,
    0xff1b2119,
    0xff191e17,
    0xff141a11,
    0xff151812,
    0xff74776f,
    0xff060b05,
    0xff161d16,
    0xff141c13,
    0xff26251e,
    0xff3a342c,
    0xff2a1d13,
    0xff26180f,
    0xff271a11,
    0xff24160b,
    0xff26170c,
    0xff28160d,
    0xff2b160e,
    0xff2f1910,
    0xff281610,
    0xff21130a,
    0xff1f150c,
    0xff1c150d,
    0xff17130a,
    0xff141209,
    0xff18170b,
    0xff1c1a0d,
    0xff1d1a0c,
    0xff1a1508,
    0xff1b1203,
    0xff885837,
    0xff943821,
    0xff862b0d,
    0xff9e4a12,
    0xff943610,
    0xff923014,
    0xff964b11,
    0xff823000,
    0xff9e3b12,
    0xff9d3c09,
    0xff8d3203,
    0xff81321a,
    0xff360000,
    0xff45231c,
    0xff290800,
    0xff410d00,
    0xffda6e52,
    0xffc73922,
    0xffc43620,
    0xffc53e27,
    0xffd96046,
    0xff912916,
    0xff933b2b,
    0xff8d2a17,
    0xffa9381d,
    0xffe37953,
    0xffb14822,
    0xff993205,
    0xff954200,
    0xffd87231,
    0xffb0321d,
    0xff980800,
    0xff930503,
    0xff8a0f05,
    0xff87240d,
    0xffaa5d19,
    0xffae6815,
    0xff9d5604,
    0xff8f4206,
    0xffa7571e,
    0xff9b500c,
    0xffb66f1f,
    0xffb67626,
    0xff95590a,
    0xffb87f2a,
    0xffb3720d,
    0xffa27613,
    0xffb69c41,
    0xffa98a41,
    0xff2c0100,
    0xff7c581d,
    0xffa17d1d,
    0xffac741a,
    0xff522e0d,
    0xff140400,
    0xff0d1e0d,
    0xff0d1502,
    0xff171c09,
    0xff131f0e,
    0xff978f8d,
    0xff585b51,
    0xff19220d,
    0xff2a2a0c,
    0xff272d1e,
    0xff353126,
    0xffa19c8d,
    0xff191f05,
    0xff201e00,
    0xff1b1c0e,
    0xff792d27,
    0xff952e20,
    0xffbc3b1b,
    0xffbb3d07,
    0xffba4d15,
    0xffb46b4f,
    0xff7e6879,
    0xff425a88,
    0xff3a6690,
    0xff3d6a90,
    0xff3d668a,
    0xff3c6482,
    0xff3c617c,
    0xff40647d,
    0xff40627b,
    0xff45657e,
    0xff436680,
    0xff375970,
    0xff325165,
    0xff324d5e,
    0xff314957,
    0xff2d404d,
    0xff2a3946,
    0xff2a3944,
    0xff323836,
    0xff353833,
    0xff393c31,
    0xff373a2c,
    0xff343724,
    0xff303621,
    0xff303821,
    0xff323923,
    0xff333a21,
    0xff353b21,
    0xff394027,
    0xff3c452b,
    0xff3c482b,
    0xff404d34,
    0xff3f5036,
    0xff45563f,
    0xff505b43,
    0xff536048,
    0xff53614d,
    0xff515f50,
    0xff4d5a53,
    0xff4b595e,
    0xff435660,
    0xff445a67,
    0xff3d5959,
    0xff365250,
    0xff3d5b58,
    0xff405a56,
    0xff425d55,
    0xff3f5950,
    0xff3a5449,
    0xff3a4f46,
    0xff37473c,
    0xff3b4941,
    0xff2c3d36,
    0xff31423e,
    0xff273b38,
    0xff223737,
    0xff1e3534,
    0xff1c3634,
    0xff263c3f,
    0xff283c3d,
    0xff374c47,
    0xff3a5045,
    0xff3a4f3d,
    0xff3e513f,
    0xff445743,
    0xff465845,
    0xff43573e,
    0xff4a5b43,
    0xff4a5a41,
    0xff4a583e,
    0xff4d593d,
    0xff505f3f,
    0xff515f3e,
    0xff4d5a38,
    0xff515d34,
    0xff575f36,
    0xff545a36,
    0xff565935,
    0xff575632,
    0xff5a5633,
    0xff5c5636,
    0xff5e5534,
    0xff56542e,
    0xff52512b,
    0xff53512d,
    0xff535130,
    0xff565735,
    0xff4e4f2f,
    0xff595c3a,
    0xff5a5f3a,
    0xff636535,
    0xff666a38,
    0xff656a38,
    0xff65693c,
    0xff666943,
    0xff5f643c,
    0xff5d6338,
    0xff626836,
    0xff656943,
    0xff616749,
    0xff616750,
    0xff5f6b4d,
    0xff53643e,
    0xff526540,
    0xff475c44,
    0xff455b51,
    0xff415c61,
    0xff415c65,
    0xff445f6b,
    0xff42596b,
    0xff435a6c,
    0xff4f6879,
    0xff57717f,
    0xff4f6977,
    0xff556f76,
    0xff566f76,
    0xff597279,
    0xff5c757a,
    0xff566e6e,
    0xff58726b,
    0xff577265,
    0xff587262,
    0xff5b715e,
    0xff5c705e,
    0xff5f7360,
    0xff607461,
    0xff5e735e,
    0xff5d7058,
    0xff607358,
    0xff5e7154,
    0xff6c7850,
    0xff69754c,
    0xff67734c,
    0xff67754d,
    0xff606e44,
    0xff627043,
    0xff64713f,
    0xff677442,
    0xff676f45,
    0xff656e41,
    0xff666d3d,
    0xff646c3b,
    0xff656c3c,
    0xff5e6937,
    0xff5c6838,
    0xff5b6739,
    0xff58613d,
    0xff565d3b,
    0xff4f5636,
    0xff4a5235,
    0xff4d523d,
    0xff565949,
    0xff54564c,
    0xff53554f,
    0xff465245,
    0xff3f4f41,
    0xff4d5b4f,
    0xff495851,
    0xff4d5c5e,
    0xff4a5c63,
    0xff4f646b,
    0xff4e6569,
    0xff425f57,
    0xff4a665e,
    0xff3a5551,
    0xff4f6b69,
    0xff445f64,
    0xff435f6c,
    0xff476176,
    0xff425c78,
    0xff45627d,
    0xff3b5b7a,
    0xff3c5b7e,
    0xff486486,
    0xff526a8b,
    0xff506885,
    0xff4d617f,
    0xff5f6f91,
    0xff5a7191,
    0xff516a86,
    0xff587491,
    0xff577694,
    0xff5b7b9c,
    0xff587696,
    0xff53708c,
    0xff58748b,
    0xff4c677a,
    0xff546e80,
    0xff536c7d,
    0xff5a7081,
    0xff566b78,
    0xff556a72,
    0xff55686e,
    0xff506265,
    0xff566766,
    0xff4f5e5c,
    0xff475752,
    0xff536057,
    0xff415041,
    0xff485743,
    0xff4a553b,
    0xff4c593d,
    0xff4c5937,
    0xff525d3c,
    0xff4a5635,
    0xff475333,
    0xff4a5733,
    0xff515b33,
    0xff515c2f,
    0xff596134,
    0xff585e29,
    0xff595a23,
    0xff666428,
    0xff6e6b2f,
    0xff6b662b,
    0xff696432,
    0xff716d40,
    0xff716d45,
    0xff5e6a36,
    0xff4e6231,
    0xff445b34,
    0xff4d6444,
    0xff516346,
    0xff5a674f,
    0xff606a56,
    0xff66705f,
    0xff697670,
    0xff737f7a,
    0xff7f8983,
    0xff7d847d,
    0xff78807b,
    0xff87918c,
    0xff7c8985,
    0xff6f7d7a,
    0xff6c7564,
    0xff667b5f,
    0xff6a7a5d,
    0xff6b715b,
    0xff6a7a63,
    0xff72735c,
    0xff91624f,
    0xff7d2814,
    0xffb5683d,
    0xffce805e,
    0xffa8624f,
    0xffaa693f,
    0xffc6751e,
    0xffffa240,
    0xffff883b,
    0xffdb6823,
    0xffdb6c1a,
    0xffffa82f,
    0xfff7a330,
    0xffb9500f,
    0xffbb3a13,
    0xffad1d04,
    0xffa2160a,
    0xffbb3b35,
    0xff930d05,
    0xff9f0f05,
    0xffb01f09,
    0xffb52d08,
    0xffd5532a,
    0xffde5936,
    0xffbc3e25,
    0xff972815,
    0xff9d4621,
    0xffc88055,
    0xffb75c3b,
    0xffa73921,
    0xff9a1b0b,
    0xffa62415,
    0xffac3f2c,
    0xffc35844,
    0xffe56458,
    0xffa20610,
    0xffab0021,
    0xffb10d20,
    0xffee6a67,
    0xffd4525b,
    0xffdf5d5e,
    0xffbe4245,
    0xffc13c4e,
    0xffb22c3c,
    0xff862f31,
    0xff856660,
    0xff6f6f65,
    0xff5b6c60,
    0xff5c736c,
    0xff66747d,
    0xff5c717e,
    0xff526c81,
    0xff5d779a,
    0xff5c7aa3,
    0xff5c7aa7,
    0xff6f8cb9,
    0xff7a95c3,
    0xff8197c9,
    0xff9cafda,
    0xffa7b8e4,
    0xffadbfeb,
    0xffaebeea,
    0xffaab8e4,
    0xffb1c0e5,
    0xffbac7e8,
    0xffbec9ea,
    0xffc2cbed,
    0xffc4ccee,
    0xffc5ceed,
    0xffbdc7e4,
    0xffbbc7e1,
    0xffbdcae4,
    0xffbcc8e5,
    0xffbac5e3,
    0xffbec4e7,
    0xffbcc2e7,
    0xffbfc3e8,
    0xffbec1e6,
    0xffc4c8ee,
    0xffc2c5ed,
    0xffc3c8f2,
    0xffc3c8f2,
    0xffc3cdf1,
    0xffc3cdf1,
    0xffc6cef3,
    0xffcbd1f2,
    0xffc2c7e7,
    0xffc1c6e6,
    0xffc0c6e6,
    0xffbcc2e3,
    0xffb6c7dd,
    0xffb5bfd0,
    0xffb3b9cd,
    0xffadb4cc,
    0xffb0bccd,
    0xffa6b1c3,
    0xffafafc1,
    0xffa097a3,
    0xffccd2e7,
    0xff9296ad,
    0xff8996a7,
    0xff718b97,
    0xff7c8d97,
    0xfffffeff,
    0xffdbcac3,
    0xff7a6e59,
    0xffbca394,
    0xffa9928c,
    0xffbabab9,
    0xffb3b4b9,
    0xff98aaa8,
    0xffaaafa9,
    0xffabada0,
    0xffa5978c,
    0xff957a70,
    0xff8b8271,
    0xff64745a,
    0xff596d57,
    0xff585f4f,
    0xff50513f,
    0xff444b30,
    0xff4a5c36,
    0xff5d694b,
    0xff5f6c53,
    0xff586952,
    0xff4b5f4e,
    0xff496051,
    0xff566d5e,
    0xff546e5b,
    0xff708876,
    0xff778d84,
    0xff869895,
    0xff7b8e8d,
    0xff7d9393,
    0xff7b968f,
    0xff708f82,
    0xff6d8978,
    0xff69836a,
    0xff6f8865,
    0xff607e57,
    0xff52724d,
    0xff66866a,
    0xff778d81,
    0xff889e99,
    0xff86a196,
    0xff789685,
    0xff5c7c6b,
    0xff617f74,
    0xff769390,
    0xff90a8ae,
    0xffa7bbc8,
    0xffb5c3d7,
    0xffc1c8df,
    0xffc5c9e1,
    0xffc6cad5,
    0xffc2c5cb,
    0xffb7babe,
    0xffaaafb4,
    0xffa3a8ae,
    0xff97a0a3,
    0xff9ba7a5,
    0xff9aaaa3,
    0xff95a295,
    0xff8c998a,
    0xff869987,
    0xff9dac97,
    0xff6a7a61,
    0xff707e61,
    0xff949e80,
    0xffa0ab8b,
    0xff9fa683,
    0xff89926d,
    0xff65714b,
    0xff415029,
    0xff3e502a,
    0xff445833,
    0xff314421,
    0xff324424,
    0xff354f2e,
    0xff335231,
    0xff365636,
    0xff34583a,
    0xff355536,
    0xff425a3a,
    0xff4d5534,
    0xff4c4728,
    0xff544325,
    0xff683822,
    0xff75271a,
    0xff782311,
    0xff7f3017,
    0xff753913,
    0xff5d3f0a,
    0xff565513,
    0xff475c11,
    0xff4e6519,
    0xff4e6619,
    0xff49661a,
    0xff547229,
    0xff567533,
    0xff567236,
    0xff4f6933,
    0xff455721,
    0xff465b1d,
    0xff54603e,
    0xffd3cdc2,
    0xff685d3f,
    0xff3a370d,
    0xff383917,
    0xff41451e,
    0xff4f4217,
    0xff584b1d,
    0xff584b1e,
    0xff55471d,
    0xff514224,
    0xff453623,
    0xff342819,
    0xff211108,
    0xffd2a5a4,
    0xfff2b7b3,
    0xffdda698,
    0xffa86b5c,
    0xff7a2a22,
    0xff53180e,
    0xff442b17,
    0xff2f1b06,
    0xff491b11,
    0xff57281a,
    0xff50200e,
    0xff4c1c06,
    0xff4a1801,
    0xff57250e,
    0xff5f3019,
    0xff5a3219,
    0xff523d11,
    0xff503d05,
    0xff5f4b08,
    0xff675009,
    0xff705610,
    0xff725414,
    0xff6c4d11,
    0xff86692e,
    0xff614a1c,
    0xff534912,
    0xff4e510b,
    0xff596010,
    0xff585d09,
    0xff5b5e15,
    0xff4e5117,
    0xff404518,
    0xff404520,
    0xff2d3313,
    0xff262f15,
    0xff212d17,
    0xff21301c,
    0xff24361f,
    0xff192a17,
    0xff1c2d1e,
    0xff192719,
    0xff182619,
    0xff172516,
    0xff152314,
    0xff162214,
    0xff1c2518,
    0xff1c2116,
    0xff212718,
    0xff30351a,
    0xff383d25,
    0xff2c341d,
    0xff2a321f,
    0xff212a19,
    0xff252e1b,
    0xff262e19,
    0xff19210c,
    0xff141d0c,
    0xff151e0d,
    0xff151d0c,
    0xff0f1a0a,
    0xff101b0a,
    0xff0d1808,
    0xff0e190b,
    0xff0d180a,
    0xff101b0d,
    0xff192319,
    0xff141f14,
    0xff161f13,
    0xff111c13,
    0xff0e1b11,
    0xff15231a,
    0xff303f35,
    0xff2c392f,
    0xff172317,
    0xff1a2215,
    0xff1e2214,
    0xff202415,
    0xff202218,
    0xff1d2419,
    0xff1c211b,
    0xff161f17,
    0xff141912,
    0xff292e29,
    0xff747973,
    0xff0f170f,
    0xff20251c,
    0xff1f1d14,
    0xff362e26,
    0xff301e16,
    0xff2a1710,
    0xff2b1912,
    0xff29180e,
    0xff2d190f,
    0xff2c150d,
    0xff2b120b,
    0xff2f150a,
    0xff301710,
    0xff27120c,
    0xff24120c,
    0xff22150c,
    0xff1c130d,
    0xff191208,
    0xff1c180d,
    0xff1b180c,
    0xff161503,
    0xff1f1606,
    0xff281a00,
    0xffb16434,
    0xffff9272,
    0xff8f3416,
    0xffa5501a,
    0xff9d4312,
    0xff781e04,
    0xff692d00,
    0xff995222,
    0xffa13713,
    0xffa53b01,
    0xff993b02,
    0xff843d19,
    0xff390c00,
    0xff1e1211,
    0xff180802,
    0xff2c220b,
    0xffaa6645,
    0xffa32a09,
    0xffc13d18,
    0xffda422a,
    0xffab1e05,
    0xffcb5018,
    0xffa1430d,
    0xffb1603d,
    0xff7d2b0d,
    0xff480200,
    0xff5d1104,
    0xff852613,
    0xffb94b25,
    0xffd95330,
    0xffcf4032,
    0xff9c0b00,
    0xff8c0208,
    0xff821002,
    0xff8a3009,
    0xffa96210,
    0xffbc7724,
    0xffa85f04,
    0xff93400c,
    0xff691400,
    0xffbe6d31,
    0xff934600,
    0xffb46b25,
    0xff9b5902,
    0xffb67a04,
    0xffb07101,
    0xffa56d00,
    0xffae861a,
    0xffb58d43,
    0xff643b1f,
    0xff060000,
    0xffe2d697,
    0xffc08334,
    0xffae7d2c,
    0xff785c36,
    0xff00080c,
    0xff0d1813,
    0xff1e1b07,
    0xff111208,
    0xff888984,
    0xff6e7265,
    0xff141607,
    0xff272104,
    0xff2b2910,
    0xff211403,
    0xffb5aca8,
    0xff20201f,
    0xff241c11,
    0xff1f1d1d,
    0xff633a28,
    0xff77240e,
    0xffb73f1e,
    0xffca461d,
    0xffb8421d,
    0xff8a3627,
    0xff543740,
    0xff334559,
    0xff213e4f,
    0xff1d3b46,
    0xff1b383d,
    0xff213b3a,
    0xff203933,
    0xff294039,
    0xff263c36,
    0xff243734,
    0xff1c3532,
    0xff1d3433,
    0xff192d2c,
    0xff172a28,
    0xff1a2b28,
    0xff223030,
    0xff202b2c,
    0xff273131,
    0xff2d352b,
    0xff2f392c,
    0xff353d30,
    0xff40473b,
    0xff424a3f,
    0xff404c45,
    0xff45524f,
    0xff465351,
    0xff40544b,
    0xff425849,
    0xff455c4d,
    0xff455c4c,
    0xff466052,
    0xff496559,
    0xff48675c,
    0xff46665b,
    0xff4c6460,
    0xff4c6862,
    0xff476460,
    0xff456462,
    0xff456165,
    0xff47616d,
    0xff446374,
    0xff416379,
    0xff415f6a,
    0xff45636e,
    0xff466069,
    0xff425a60,
    0xff495d61,
    0xff4c6060,
    0xff4e615c,
    0xff4e5e5a,
    0xff485453,
    0xff4a5655,
    0xff3c4846,
    0xff2f3c38,
    0xff384641,
    0xff2c3c35,
    0xff34433b,
    0xff313f35,
    0xff2f3c2e,
    0xff323f2e,
    0xff35422e,
    0xff38452e,
    0xff3a4b2f,
    0xff394a2c,
    0xff3d4c2f,
    0xff425236,
    0xff455532,
    0xff41522e,
    0xff424f2c,
    0xff44522f,
    0xff495433,
    0xff4a5533,
    0xff4a5532,
    0xff4b5735,
    0xff4e5a37,
    0xff4e5936,
    0xff545d3c,
    0xff4f5638,
    0xff52563b,
    0xff50533a,
    0xff52523a,
    0xff4e4e39,
    0xff4a5135,
    0xff484f33,
    0xff4e5539,
    0xff53593d,
    0xff545c3e,
    0xff566044,
    0xff57634a,
    0xff5d6c52,
    0xff586951,
    0xff596a56,
    0xff556859,
    0xff566762,
    0xff58666b,
    0xff5b6b74,
    0xff516267,
    0xff5d6f6f,
    0xff5e6e6f,
    0xff5a6b6f,
    0xff52646a,
    0xff485e61,
    0xff425d5c,
    0xff365352,
    0xff3a5960,
    0xff3c5969,
    0xff466160,
    0xff435c5b,
    0xff385150,
    0xff465d5f,
    0xff536a6a,
    0xff485e5d,
    0xff4c635f,
    0xff596e69,
    0xff536755,
    0xff4c614d,
    0xff546752,
    0xff52644a,
    0xff506042,
    0xff50603b,
    0xff526038,
    0xff526235,
    0xff556037,
    0xff545e33,
    0xff556136,
    0xff566235,
    0xff596633,
    0xff5c6733,
    0xff606b32,
    0xff647035,
    0xff696c3a,
    0xff6f7341,
    0xff69703c,
    0xff676f3a,
    0xff637036,
    0xff657134,
    0xff687533,
    0xff6a7634,
    0xff69743d,
    0xff646e37,
    0xff68733f,
    0xff606c3c,
    0xff616e42,
    0xff57663d,
    0xff54643e,
    0xff505f3d,
    0xff4c5b41,
    0xff4a5940,
    0xff465442,
    0xff556559,
    0xff4d5d58,
    0xff4e5f62,
    0xff4b5c64,
    0xff516270,
    0xff496074,
    0xff475e71,
    0xff465f71,
    0xff455f74,
    0xff425c79,
    0xff526d8e,
    0xff476483,
    0xff4d6a88,
    0xff4e6a7c,
    0xff54717f,
    0xff547380,
    0xff557384,
    0xff54748b,
    0xff446685,
    0xff5b7ba5,
    0xff5373a2,
    0xff40658c,
    0xff5c7fa8,
    0xff466891,
    0xff55759e,
    0xff4f6e90,
    0xff55718d,
    0xff5c6f8b,
    0xff5e6c88,
    0xff586b7e,
    0xff546978,
    0xff5a6f7b,
    0xff546c76,
    0xff5a727b,
    0xff50676c,
    0xff516867,
    0xff4b625b,
    0xff4e615b,
    0xff435651,
    0xff4f5e58,
    0xff56645a,
    0xff5b6557,
    0xff586350,
    0xff556048,
    0xff566147,
    0xff5b6547,
    0xff565e3f,
    0xff515939,
    0xff4c5434,
    0xff515733,
    0xff4e542c,
    0xff5a5f33,
    0xff585f31,
    0xff59632f,
    0xff566130,
    0xff525c30,
    0xff4d5633,
    0xff4d5233,
    0xff555a3d,
    0xff555a3b,
    0xff595e3e,
    0xff515933,
    0xff5e663b,
    0xff5e6535,
    0xff6a703e,
    0xff5f6433,
    0xff5f693f,
    0xff5f6848,
    0xff5d684d,
    0xff586149,
    0xff52604e,
    0xff4a5c4f,
    0xff4b5d54,
    0xff56645a,
    0xff5f6960,
    0xff566058,
    0xff5b6560,
    0xff626660,
    0xff5f6058,
    0xff58584c,
    0xff5f5c50,
    0xff565445,
    0xff5b5a4a,
    0xff56574a,
    0xff56574b,
    0xff605855,
    0xff5d594d,
    0xff68634e,
    0xff6c6852,
    0xff67614d,
    0xff7d6249,
    0xff9a5c33,
    0xffef9f63,
    0xffffd370,
    0xfff2bb57,
    0xffe89d4e,
    0xfff09044,
    0xfffb952e,
    0xffc05d00,
    0xffe7951f,
    0xffdb9715,
    0xffffb121,
    0xfff4ae13,
    0xfffdbf34,
    0xffd58328,
    0xffc75326,
    0xffad2615,
    0xff9c1815,
    0xff931a1b,
    0xffa12028,
    0xffa5171d,
    0xff9f090b,
    0xffa11308,
    0xffad2113,
    0xffb22319,
    0xffa11b17,
    0xffbc4546,
    0xff80160e,
    0xff772017,
    0xffe4968e,
    0xffba675e,
    0xffa84639,
    0xff932718,
    0xff9a2a22,
    0xffba4441,
    0xffce5743,
    0xffbe3333,
    0xff9a0016,
    0xff9e0716,
    0xffd4625f,
    0xffd76268,
    0xffed6864,
    0xffd55851,
    0xffc95c5c,
    0xffd04749,
    0xff9a2927,
    0xff986465,
    0xffa1939a,
    0xff8c9395,
    0xff869a9e,
    0xff869cad,
    0xff8ca3b4,
    0xff93acc4,
    0xff8fa8cb,
    0xff8ea9cf,
    0xff8da7ce,
    0xff8ea8cc,
    0xff91a7ce,
    0xff9badd6,
    0xffa3b1e0,
    0xffa8b5e6,
    0xffa7b4e5,
    0xffadb9e9,
    0xffb8c2f1,
    0xffbcc8f0,
    0xffc0caf0,
    0xffc8d1f3,
    0xffccd5f5,
    0xffd2dcf9,
    0xffd4def9,
    0xffdae4ff,
    0xffe2ecff,
    0xffe6efff,
    0xffe2ebff,
    0xffdde7ff,
    0xffdde5fe,
    0xffdee6ff,
    0xffd5dcf7,
    0xffcbd2ee,
    0xffbac4e1,
    0xffaeb6d7,
    0xff9eaacc,
    0xff8f9abc,
    0xff828fb5,
    0xff7d8ab0,
    0xff848cb0,
    0xff8a8eb0,
    0xff9a9ebe,
    0xffa5abcb,
    0xffa5aecf,
    0xffa1aacd,
    0xffa0a2c9,
    0xffa19bb1,
    0xffab9cb7,
    0xffa197b5,
    0xffa1a4b6,
    0xff99a0b2,
    0xff9491a5,
    0xff9a8f91,
    0xffa49fa2,
    0xfff6e8ef,
    0xffe9e7ec,
    0xff9aa9a8,
    0xffc7d5d4,
    0xffe3dcdc,
    0xff63564f,
    0xff676151,
    0xff784d44,
    0xff886462,
    0xff8f8889,
    0xff6e6f73,
    0xff6d827e,
    0xff788480,
    0xff7e8f87,
    0xff8a918c,
    0xffa8918d,
    0xffb7a49f,
    0xffb6b5ae,
    0xffb4c2be,
    0xffb1bdc3,
    0xffc1c1ce,
    0xffbec1ca,
    0xffb3c1c2,
    0xffb9c1c3,
    0xffa7b1b5,
    0xffa4b1b9,
    0xff9dadb9,
    0xff96a8b3,
    0xff8699a1,
    0xff7c8e95,
    0xff78898e,
    0xff76898f,
    0xff75868e,
    0xff778993,
    0xff71858d,
    0xff597177,
    0xff516f6c,
    0xff5a756d,
    0xff657c72,
    0xff5e756e,
    0xff516c5d,
    0xff4a6a57,
    0xff5a7567,
    0xff667e76,
    0xff5f766f,
    0xff516d5d,
    0xff5b7961,
    0xff5d8161,
    0xff5f7f63,
    0xff6e8d77,
    0xff789286,
    0xff7d928d,
    0xff8e9e9e,
    0xff909a9f,
    0xff82898e,
    0xff868d86,
    0xff9da59a,
    0xff9a9f97,
    0xffa6aba4,
    0xffa3a8a3,
    0xffaab5ab,
    0xff929e91,
    0xff7b8a76,
    0xff728169,
    0xff516147,
    0xff2f3e20,
    0xff233511,
    0xff384921,
    0xff3a4b20,
    0xff48582c,
    0xff515e33,
    0xff464d2b,
    0xff4b552f,
    0xff4d5b30,
    0xff4b5b31,
    0xff53683e,
    0xff41562f,
    0xff415730,
    0xff385027,
    0xff36522c,
    0xff324d2e,
    0xff244224,
    0xff264a2b,
    0xff34583a,
    0xff3b5637,
    0xff475736,
    0xff5b613f,
    0xff6a613f,
    0xff6f442c,
    0xff843c2b,
    0xff974734,
    0xff80331c,
    0xff783b1c,
    0xff64461a,
    0xff585720,
    0xff5c7123,
    0xff5c7321,
    0xff546f1b,
    0xff53721c,
    0xff51761f,
    0xff476a15,
    0xff4a6c1a,
    0xff436314,
    0xff43571a,
    0xff3d5122,
    0xff2f3620,
    0xfff1e7d4,
    0xff4e431d,
    0xff4a5021,
    0xff414e22,
    0xff464a1a,
    0xff52491b,
    0xff594d1a,
    0xff584d1b,
    0xff514218,
    0xff3e3111,
    0xff372a14,
    0xff1f0f00,
    0xff836e63,
    0xffe4b7be,
    0xfff4b5b7,
    0xffbe7c75,
    0xff833d2e,
    0xff520000,
    0xff84332f,
    0xff310b00,
    0xff756d57,
    0xff725345,
    0xff977061,
    0xff9d735c,
    0xffa98168,
    0xff896d4f,
    0xff594627,
    0xff311f05,
    0xff312009,
    0xff645326,
    0xff8e7e44,
    0xff816e2b,
    0xff7d6920,
    0xff745d15,
    0xff6b4f0c,
    0xff705312,
    0xff694d0d,
    0xff5d4b0e,
    0xff544d09,
    0xff5d6212,
    0xff5f690f,
    0xff646a0c,
    0xff585b06,
    0xff4b5010,
    0xff494f1a,
    0xff424722,
    0xff303518,
    0xff252c13,
    0xff26341e,
    0xff202f18,
    0xff20331d,
    0xff162816,
    0xff19291d,
    0xff152316,
    0xff182619,
    0xff19271a,
    0xff1a2517,
    0xff1c281a,
    0xff21291a,
    0xff1c2214,
    0xff1f2415,
    0xff2f3317,
    0xff2f341b,
    0xff2a2f1a,
    0xff2e3520,
    0xff242b19,
    0xff2a311f,
    0xff313521,
    0xff2b311b,
    0xff1c2513,
    0xff1c2515,
    0xff172312,
    0xff192413,
    0xff162111,
    0xff131e0d,
    0xff121e10,
    0xff101c0e,
    0xff142012,
    0xff1a2114,
    0xff1b2316,
    0xff1a2217,
    0xff192116,
    0xff1d271c,
    0xff1d291d,
    0xff2f3b31,
    0xff1c291f,
    0xff192418,
    0xff161e11,
    0xff212515,
    0xff242618,
    0xff222718,
    0xff1c2216,
    0xff1a2117,
    0xff121d14,
    0xff18221a,
    0xff171b16,
    0xff2b302b,
    0xff61665f,
    0xff080b01,
    0xff2a291d,
    0xff2f261c,
    0xff32221a,
    0xff25140a,
    0xff28160c,
    0xff2d180f,
    0xff321a13,
    0xff2e160b,
    0xff32160d,
    0xff33170f,
    0xff33180e,
    0xff2e150d,
    0xff2c1710,
    0xff2b1c16,
    0xff251b12,
    0xff201a10,
    0xff201c11,
    0xff1e1a0e,
    0xff1e1c10,
    0xff1b0c00,
    0xff635132,
    0xffd2865d,
    0xffc97052,
    0xff6a2b09,
    0xffb65b26,
    0xff944209,
    0xff6e1d00,
    0xff70330b,
    0xff94512f,
    0xff9f4729,
    0xff9f400e,
    0xffa9490f,
    0xff924321,
    0xff492112,
    0xff0c0c09,
    0xff1b0408,
    0xff0d0800,
    0xff552014,
    0xffb04d36,
    0xffbb512f,
    0xffd03d27,
    0xffcd3b2a,
    0xffb52b22,
    0xffbc4018,
    0xffba5220,
    0xff985414,
    0xff542a00,
    0xff400a00,
    0xffd1765d,
    0xff93160a,
    0xffd34439,
    0xffd14431,
    0xffc23e18,
    0xffaf381c,
    0xff9f3d16,
    0xff9d4b1b,
    0xffa15b06,
    0xffb36f0c,
    0xffa66004,
    0xffb6682e,
    0xff792a00,
    0xffa0530f,
    0xffb86d19,
    0xff934a00,
    0xffc98623,
    0xffb17400,
    0xffb1790c,
    0xffb77c14,
    0xffb07517,
    0xffbe8048,
    0xffa5764d,
    0xff040000,
    0xff6b5b3d,
    0xffd3a272,
    0xffc49347,
    0xff8a5b25,
    0xff130604,
    0xff0c1a0b,
    0xff191d00,
    0xff1b190c,
    0xff777b77,
    0xff75757a,
    0xff231711,
    0xff3c260f,
    0xff422900,
    0xff4d2800,
    0xff9d8670,
    0xff3f3b2e,
    0xff252400,
    0xff17250c,
    0xff42110e,
    0xff661b0f,
    0xff97371d,
    0xffaa492c,
    0xff7f2511,
    0xff5c1713,
    0xff3d211e,
    0xff202a24,
    0xff142829,
    0xff172a27,
    0xff1a2e23,
    0xff1b2f21,
    0xff223727,
    0xff293d2e,
    0xff2a3c31,
    0xff25372b,
    0xff2a412e,
    0xff2d4434,
    0xff294234,
    0xff2a4138,
    0xff2f4640,
    0xff334a45,
    0xff344c49,
    0xff334b4b,
    0xff334d4a,
    0xff425a57,
    0xff445c59,
    0xff4a625e,
    0xff4c6665,
    0xff506c6d,
    0xff466267,
    0xff48656d,
    0xff436678,
    0xff45677b,
    0xff456676,
    0xff4c6b79,
    0xff4b6977,
    0xff506e7b,
    0xff567582,
    0xff557582,
    0xff527179,
    0xff49696f,
    0xff4f6f72,
    0xff4c6a6b,
    0xff4f686b,
    0xff455d61,
    0xff435d64,
    0xff405e64,
    0xff4c6069,
    0xff42575d,
    0xff495c61,
    0xff4c5d5f,
    0xff435250,
    0xff414e49,
    0xff47514b,
    0xff47544b,
    0xff34483a,
    0xff3c5240,
    0xff3d4e3c,
    0xff3c4d33,
    0xff455337,
    0xff43512e,
    0xff434e2c,
    0xff424b27,
    0xff454829,
    0xff464a2a,
    0xff3d4424,
    0xff354121,
    0xff2f3c21,
    0xff2b3b20,
    0xff2c3e26,
    0xff334630,
    0xff304629,
    0xff3a4c30,
    0xff405136,
    0xff414f34,
    0xff4b5941,
    0xff4d5c44,
    0xff4b5941,
    0xff506047,
    0xff4c5c4b,
    0xff4d604f,
    0xff4a5d4e,
    0xff4c5f52,
    0xff516559,
    0xff52675e,
    0xff4e635c,
    0xff506761,
    0xff4f6472,
    0xff506470,
    0xff546870,
    0xff4d5e65,
    0xff4e5e64,
    0xff58666d,
    0xff5d6b72,
    0xff5d7076,
    0xff5a706d,
    0xff546a67,
    0xff586d70,
    0xff5b6e78,
    0xff5a6c7d,
    0xff5d707e,
    0xff4c6068,
    0xff74898a,
    0xff5f7571,
    0xff576d61,
    0xff516854,
    0xff516754,
    0xff536a57,
    0xff55695d,
    0xff566d5d,
    0xff4a5f4c,
    0xff4f5c42,
    0xff4d573f,
    0xff4d563e,
    0xff4c543c,
    0xff4e563e,
    0xff4f573c,
    0xff4e5238,
    0xff505539,
    0xff515937,
    0xff545c39,
    0xff515733,
    0xff565b34,
    0xff595b32,
    0xff575a2d,
    0xff5c5b2d,
    0xff5c5b2b,
    0xff5a592c,
    0xff59592b,
    0xff58592b,
    0xff5c5d2e,
    0xff5f602f,
    0xff5c5e2a,
    0xff646b32,
    0xff656b31,
    0xff6a713f,
    0xff68713e,
    0xff6c7546,
    0xff677245,
    0xff647144,
    0xff637247,
    0xff68774c,
    0xff657448,
    0xff5f7345,
    0xff5b7044,
    0xff5b6f49,
    0xff54694b,
    0xff586e58,
    0xff536958,
    0xff496254,
    0xff5a7268,
    0xff516a6e,
    0xff5c747c,
    0xff46606d,
    0xff4f697e,
    0xff506c86,
    0xff4c6889,
    0xff506e92,
    0xff516f99,
    0xff5976ab,
    0xff5372a4,
    0xff4d6d9b,
    0xff5678a6,
    0xff5072a3,
    0xff4f72a3,
    0xff4f72a1,
    0xff4f719d,
    0xff526f93,
    0xff4c6a8c,
    0xff4a6986,
    0xff426380,
    0xff3c5f7f,
    0xff4a6c93,
    0xff3b5d8b,
    0xff395b8d,
    0xff3e6390,
    0xff456492,
    0xff466190,
    0xff425d8a,
    0xff49648b,
    0xff597294,
    0xff586783,
    0xff5b647c,
    0xff606573,
    0xff5f656f,
    0xff646f70,
    0xff5a6564,
    0xff5f6d69,
    0xff636f68,
    0xff5d6a5e,
    0xff596552,
    0xff5f6a55,
    0xff556048,
    0xff4b5139,
    0xff4c4e33,
    0xff575838,
    0xff5b5b37,
    0xff555630,
    0xff5b5e36,
    0xff51582c,
    0xff4e562a,
    0xff4c5228,
    0xff51562f,
    0xff494f28,
    0xff545833,
    0xff555a33,
    0xff555b33,
    0xff536137,
    0xff606d46,
    0xff556141,
    0xff5a6649,
    0xff636e54,
    0xff606b51,
    0xff5f6a4e,
    0xff586445,
    0xff5b6551,
    0xff626c56,
    0xff5f674f,
    0xff5d654b,
    0xff535e49,
    0xff536156,
    0xff495858,
    0xff42525a,
    0xff3e4c59,
    0xff3a4c5d,
    0xff40546b,
    0xff3f566c,
    0xff495b73,
    0xff505e77,
    0xff5b6a83,
    0xff5e6e8a,
    0xff6f758b,
    0xff7b7e91,
    0xff818291,
    0xff898891,
    0xff918f98,
    0xff858589,
    0xff7d7e83,
    0xff8a9093,
    0xff677977,
    0xff838781,
    0xff707569,
    0xff6e7165,
    0xff9d797a,
    0xffa2504f,
    0xff791f02,
    0xffd39051,
    0xffffca71,
    0xfff2b556,
    0xffe59b48,
    0xffc86e21,
    0xffeb8d29,
    0xfff3a328,
    0xffe19c0c,
    0xfff5b70b,
    0xfff5b801,
    0xfffcc720,
    0xfff3c22f,
    0xffffc85d,
    0xffe47842,
    0xff911200,
    0xff92130d,
    0xff9f2b25,
    0xff931f11,
    0xff9f180f,
    0xffa4150e,
    0xffaa1c12,
    0xffb02018,
    0xffa60e0f,
    0xff980410,
    0xff84000d,
    0xffa0051d,
    0xffa00520,
    0xffa31d33,
    0xffa43841,
    0xffa84c46,
    0xffb1584b,
    0xff9f3935,
    0xffcc6665,
    0xff953b22,
    0xffd36d50,
    0xffa82a1c,
    0xffc25233,
    0xffe09073,
    0xffce7479,
    0xffd2686c,
    0xffa24445,
    0xffb06757,
    0xffc65446,
    0xffba554b,
    0xff967073,
    0xff807e93,
    0xff7b86a2,
    0xff8a9bbd,
    0xff8698c4,
    0xff8b9cc6,
    0xff889ac9,
    0xff8fa3d8,
    0xff92a7db,
    0xff94a9d8,
    0xff99acd8,
    0xffa3b3de,
    0xffaab7e4,
    0xffa5b5e1,
    0xffa7b9e5,
    0xffabb8e7,
    0xffadb9e8,
    0xffadbae7,
    0xffacb9e6,
    0xffb0beea,
    0xffb3bfe9,
    0xffacb8e3,
    0xffa8b4df,
    0xffa5b1db,
    0xffa2aed4,
    0xff96a2c9,
    0xff929cc3,
    0xff929cc7,
    0xff949ec7,
    0xff98a3c9,
    0xff8d98bd,
    0xff8492b9,
    0xff8693bc,
    0xff8897c1,
    0xff8c9dc8,
    0xff8e9eca,
    0xff8e9eca,
    0xff91a2c7,
    0xff9fadd2,
    0xffadbadc,
    0xffb3bade,
    0xffb8bfde,
    0xffbac3e1,
    0xffb9c2df,
    0xffb5bcda,
    0xffc2b6ce,
    0xffc4b1bc,
    0xffbfa6b8,
    0xffab97ae,
    0xffa39aa8,
    0xff9f9ead,
    0xff9891a7,
    0xff92888d,
    0xff59453d,
    0xff8d7169,
    0xffa0867d,
    0xffddd5cb,
    0xffffffff,
    0xff746d75,
    0xffa4a1ab,
    0xffa4a7af,
    0xffa4837b,
    0xffa88e87,
    0xff9c9f93,
    0xff99a194,
    0xff899d8d,
    0xff8f978e,
    0xffa7b1b0,
    0xffacaeb5,
    0xffbab3bf,
    0xffae95a6,
    0xffb49daa,
    0xff9a9ea4,
    0xff8fa1a6,
    0xff8c949b,
    0xff8e9398,
    0xff849391,
    0xff8e989c,
    0xff8a949d,
    0xff83919b,
    0xff8b9bab,
    0xff8497a5,
    0xff7d8d9a,
    0xff86949e,
    0xff96a4ac,
    0xff9eaeb5,
    0xff99aab3,
    0xff98a9b3,
    0xff899ea7,
    0xff81999e,
    0xff7b9997,
    0xff839e99,
    0xff8ba39b,
    0xff879c9b,
    0xff678379,
    0xff638372,
    0xff738f7f,
    0xff819b8e,
    0xff738a7d,
    0xff69866e,
    0xff50704f,
    0xff385d37,
    0xff395d3b,
    0xff2d4d32,
    0xff324c39,
    0xff42574b,
    0xff47574e,
    0xff626d69,
    0xff757f7b,
    0xff7f8582,
    0xff7f8582,
    0xff838884,
    0xff838788,
    0xff6a7072,
    0xff535a5c,
    0xff4e5851,
    0xff737f73,
    0xff798578,
    0xff717c6e,
    0xff80907c,
    0xff8e9e87,
    0xff839377,
    0xff6b795c,
    0xff677659,
    0xff5c674b,
    0xff6e7a5a,
    0xff6e7c56,
    0xff647547,
    0xff586f41,
    0xff445b31,
    0xff4b633c,
    0xff365025,
    0xff364f22,
    0xff304b24,
    0xff526c4d,
    0xff5d775b,
    0xff58775e,
    0xff638369,
    0xff5e795c,
    0xff586b4b,
    0xff485431,
    0xff4c4320,
    0xff623d21,
    0xff723720,
    0xff67240a,
    0xff732f14,
    0xff672c0e,
    0xff50310a,
    0xff323402,
    0xff344409,
    0xff526429,
    0xff566e33,
    0xff537037,
    0xff4e6d39,
    0xff486838,
    0xff315123,
    0xff2f4b20,
    0xff2d3f10,
    0xff313e35,
    0xffabaaab,
    0xff847763,
    0xff3d361b,
    0xff323d22,
    0xff475632,
    0xff4a4e21,
    0xff4b4b18,
    0xff4b4611,
    0xff504815,
    0xff483f12,
    0xff403513,
    0xff34250e,
    0xff765f4f,
    0xffdbb9af,
    0xffe7bfc4,
    0xfff7c2c2,
    0xffdf978f,
    0xff853125,
    0xff6f0f07,
    0xff891e20,
    0xff82302f,
    0xff997768,
    0xffaf7f70,
    0xffb77366,
    0xffbd7060,
    0xffc3806a,
    0xff8f674a,
    0xff2e1900,
    0xff231600,
    0xff382717,
    0xff56451e,
    0xff736130,
    0xff756224,
    0xff705c16,
    0xff6e5711,
    0xff6f5713,
    0xff674e0a,
    0xff624904,
    0xff66550e,
    0xff544f04,
    0xff5f6213,
    0xff686e16,
    0xff65680c,
    0xff5c5c08,
    0xff4c4c0d,
    0xff494d1c,
    0xff414221,
    0xff2d3115,
    0xff252c16,
    0xff25321e,
    0xff22301b,
    0xff1f2e1b,
    0xff202d1e,
    0xff222f22,
    0xff1f2b1b,
    0xff192515,
    0xff172112,
    0xff1a2413,
    0xff1c2415,
    0xff191e11,
    0xff191e11,
    0xff1f2415,
    0xff32361b,
    0xff31331b,
    0xff2c2f1a,
    0xff282d1a,
    0xff252918,
    0xff282b1b,
    0xff2e331f,
    0xff2c2f1a,
    0xff1e2711,
    0xff202915,
    0xff1b2310,
    0xff152110,
    0xff152011,
    0xff141f0f,
    0xff111c0e,
    0xff121d0f,
    0xff141b0e,
    0xff161e11,
    0xff1d2217,
    0xff1b2114,
    0xff1c2216,
    0xff212a1c,
    0xff1e281d,
    0xff212b1f,
    0xff1b281e,
    0xff1b251a,
    0xff20261a,
    0xff242819,
    0xff26281a,
    0xff1e2212,
    0xff1b2112,
    0xff182114,
    0xff17241a,
    0xff151f16,
    0xff1f231c,
    0xff131811,
    0xff3d423b,
    0xff686a60,
    0xff211f15,
    0xff3a3227,
    0xff26190e,
    0xff281a0f,
    0xff28170d,
    0xff29180e,
    0xff2c180d,
    0xff2b150a,
    0xff2d150b,
    0xff2f170e,
    0xff31150a,
    0xff2c160c,
    0xff251309,
    0xff24170d,
    0xff20170e,
    0xff1a160b,
    0xff1b190d,
    0xff17180a,
    0xff1a1413,
    0xff26150b,
    0xff9e8874,
    0xff2a0000,
    0xff331701,
    0xff230b00,
    0xff9b4510,
    0xffa45726,
    0xffb36f3d,
    0xff874723,
    0xff511200,
    0xff632916,
    0xff904f31,
    0xff943811,
    0xff863114,
    0xff361002,
    0xff001503,
    0xff190b0b,
    0xff09150e,
    0xff0a0600,
    0xff250100,
    0xff754223,
    0xffc3553e,
    0xffa11c0a,
    0xffaa2d26,
    0xffd34425,
    0xffc9451d,
    0xffb1581b,
    0xffa75e2c,
    0xffb3523c,
    0xffe47154,
    0xff911505,
    0xffc03e33,
    0xffcc553b,
    0xfff28b53,
    0xffd87f47,
    0xff8a3f00,
    0xff954a18,
    0xffaf671e,
    0xffb0690f,
    0xffb26d17,
    0xff894300,
    0xff985307,
    0xff924c01,
    0xffba7514,
    0xffb3720b,
    0xffb87a0a,
    0xffb77906,
    0xffb17406,
    0xffa87205,
    0xffc27e21,
    0xffab6c19,
    0xff976a3a,
    0xff7e5d21,
    0xff401800,
    0xffbc9759,
    0xffc69f61,
    0xffce9753,
    0xff2d0800,
    0xff0c1704,
    0xff112109,
    0xff1b1b0d,
    0xff505149,
    0xff828083,
    0xff3c3427,
    0xff4f381b,
    0xffbd9648,
    0xffcc952f,
    0xffc39a6d,
    0xff5f4a3b,
    0xff200b00,
    0xff2b2e33,
    0xff30131b,
    0xff3b1215,
    0xff522115,
    0xff501808,
    0xff55150b,
    0xff581a1a,
    0xff3f2020,
    0xff2d322e,
    0xff273e4b,
    0xff233c47,
    0xff253e47,
    0xff334e57,
    0xff3a555d,
    0xff324d57,
    0xff304b56,
    0xff3b5963,
    0xff3c5960,
    0xff405d67,
    0xff3e5b68,
    0xff466475,
    0xff406276,
    0xff395c74,
    0xff486c86,
    0xff416681,
    0xff45628e,
    0xff4f6a95,
    0xff506c8f,
    0xff53708e,
    0xff4c6982,
    0xff557489,
    0xff547489,
    0xff4f7286,
    0xff4f6e7e,
    0xff547280,
    0xff4d6874,
    0xff516872,
    0xff596e74,
    0xff50646a,
    0xff566a70,
    0xff586c71,
    0xff506568,
    0xff516665,
    0xff4e645f,
    0xff495850,
    0xff495448,
    0xff434a3e,
    0xff3a4335,
    0xff354335,
    0xff35443b,
    0xff27372e,
    0xff213127,
    0xff222f25,
    0xff222e23,
    0xff232f21,
    0xff243022,
    0xff242e1f,
    0xff242e21,
    0xff222c1b,
    0xff2b351f,
    0xff373b22,
    0xff464727,
    0xff524f2c,
    0xff4f4925,
    0xff564f2a,
    0xff43472a,
    0xff384022,
    0xff383f25,
    0xff323d27,
    0xff303f2b,
    0xff354a39,
    0xff374e40,
    0xff41594c,
    0xff405747,
    0xff465c4c,
    0xff495c4f,
    0xff475b4d,
    0xff4d5f52,
    0xff4f6254,
    0xff566a5b,
    0xff566a5e,
    0xff4d6665,
    0xff4c6364,
    0xff405b5a,
    0xff405d5c,
    0xff456263,
    0xff406060,
    0xff3b5c5d,
    0xff3f6161,
    0xff426361,
    0xff3f5f59,
    0xff49665b,
    0xff455d4f,
    0xff4e6553,
    0xff4f6351,
    0xff546856,
    0xff546555,
    0xff59665c,
    0xff5e6a5e,
    0xff5b6655,
    0xff596452,
    0xff5b6651,
    0xff5a6549,
    0xff606c46,
    0xff5c673b,
    0xff636c57,
    0xff60694a,
    0xff5f683e,
    0xff646c3f,
    0xff696e4a,
    0xff6b6c4b,
    0xff64643a,
    0xff656734,
    0xff646137,
    0xff655f39,
    0xff605a34,
    0xff5e5935,
    0xff5b5532,
    0xff59502f,
    0xff564d2c,
    0xff5a5230,
    0xff504d25,
    0xff57552b,
    0xff58562d,
    0xff5a562e,
    0xff5d5931,
    0xff5d5830,
    0xff5b572d,
    0xff58542a,
    0xff5b5c2b,
    0xff5a5e2c,
    0xff5b5f31,
    0xff5d6336,
    0xff5b6336,
    0xff5e683b,
    0xff647042,
    0xff657143,
    0xff63744b,
    0xff657752,
    0xff596f4e,
    0xff60765f,
    0xff617669,
    0xff607471,
    0xff617376,
    0xff5d6f76,
    0xff587070,
    0xff577073,
    0xff56717a,
    0xff536d7e,
    0xff567087,
    0xff526c87,
    0xff4c6682,
    0xff455e7c,
    0xff4d698c,
    0xff567196,
    0xff56739b,
    0xff5874a2,
    0xff4f6d9d,
    0xff5272a4,
    0xff4f6fa2,
    0xff5877ac,
    0xff5975ae,
    0xff4d6da2,
    0xff5170a0,
    0xff5274a0,
    0xff4f709d,
    0xff5979a5,
    0xff53729a,
    0xff527295,
    0xff587190,
    0xff4f6a85,
    0xff56728c,
    0xff59768f,
    0xff516e87,
    0xff4b6982,
    0xff526f8b,
    0xff4d6a87,
    0xff4b6981,
    0xff41586e,
    0xff495c72,
    0xff5a6f81,
    0xff465e6e,
    0xff435762,
    0xff5d676b,
    0xff5d5d5b,
    0xff5c5549,
    0xff5c5745,
    0xff5d5a44,
    0xff595940,
    0xff505339,
    0xff52563a,
    0xff4f5736,
    0xff505832,
    0xff4c5636,
    0xff4a4f2f,
    0xff4a4c2b,
    0xff50502c,
    0xff5a5730,
    0xff605f36,
    0xff5e5d34,
    0xff53542a,
    0xff52592d,
    0xff4e552b,
    0xff4f5830,
    0xff505735,
    0xff545b3c,
    0xff545d40,
    0xff51593d,
    0xff5a6348,
    0xff50604d,
    0xff4f604d,
    0xff505f49,
    0xff4f5e46,
    0xff506141,
    0xff566743,
    0xff576840,
    0xff5c7048,
    0xff656f4c,
    0xff636c4b,
    0xff64694d,
    0xff646a56,
    0xff70786f,
    0xff6a7377,
    0xff697686,
    0xff6c7b90,
    0xff718f9a,
    0xff7697a7,
    0xff698ea7,
    0xff698eab,
    0xff6f8cad,
    0xff718bb0,
    0xff718ab7,
    0xff708ab9,
    0xff738db0,
    0xff7f94b2,
    0xff8296af,
    0xff7e8fa3,
    0xff8798a6,
    0xff71838f,
    0xff4f616e,
    0xff546a74,
    0xff4e7a7d,
    0xff637376,
    0xff6a7572,
    0xff67635c,
    0xffa8585e,
    0xffa11112,
    0xff941000,
    0xffdb873e,
    0xffffd172,
    0xffffc266,
    0xffdf9346,
    0xffbd6919,
    0xffe3981f,
    0xfffebd26,
    0xfffcbe17,
    0xffffc40a,
    0xfff5b804,
    0xffffc31d,
    0xfff8b324,
    0xffca6f0c,
    0xffbf4e1b,
    0xffdb5f3a,
    0xffb83e1f,
    0xffb23b2c,
    0xffa2340b,
    0xffb33414,
    0xffb52c13,
    0xffa81c08,
    0xffc03021,
    0xffb41816,
    0xff9d010c,
    0xffb32232,
    0xff880710,
    0xff9f0617,
    0xff98000e,
    0xffa21a20,
    0xffbb544d,
    0xff8d412e,
    0xffb46556,
    0xff9a4f3d,
    0xffc56858,
    0xffbf5a35,
    0xffe27a47,
    0xffffc271,
    0xffd6a460,
    0xff895749,
    0xff82585f,
    0xff856f7c,
    0xff8c5d68,
    0xffc46d72,
    0xffa75c58,
    0xff85746c,
    0xff74818c,
    0xff7385a1,
    0xff8093b5,
    0xff8494bb,
    0xff7f8fc2,
    0xff8999d0,
    0xff91a2db,
    0xff98a9e1,
    0xffa1b1e1,
    0xffa8b6e3,
    0xffa4b1dd,
    0xff9fabd6,
    0xffa0b3db,
    0xffa2b4dc,
    0xffa0b3dc,
    0xffa6b6e1,
    0xffa4b2de,
    0xffa4b3e0,
    0xffa7b5e3,
    0xffa8b6e5,
    0xffa8b7e2,
    0xffa3b2db,
    0xffa2b2d8,
    0xffa5b5db,
    0xffadbde2,
    0xffaebce2,
    0xffb0bee7,
    0xffb1bde7,
    0xffa1afdd,
    0xffa5b5e4,
    0xff99a9d9,
    0xff8fa1d0,
    0xff9caee0,
    0xff94a6d5,
    0xff8a9ccc,
    0xff8395c4,
    0xff8c9cbe,
    0xff8d9dc1,
    0xff8694b9,
    0xff909cc0,
    0xff919cbe,
    0xff9aa0c0,
    0xffaaafc7,
    0xffb3b8cb,
    0xffbeb9b2,
    0xffd8cfc9,
    0xffc6bcc2,
    0xffccc1ce,
    0xffd0c7d2,
    0xffd0cbdc,
    0xffcbc8e2,
    0xffc0c1d9,
    0xffbcc4ce,
    0xffa2a7ac,
    0xff8b8b8a,
    0xff74716d,
    0xfffdfefe,
    0xff84878c,
    0xff9d9fa6,
    0xff908b92,
    0xff8f6967,
    0xff9b817a,
    0xff88907f,
    0xff717c6a,
    0xff70866f,
    0xff80887a,
    0xff76837c,
    0xff7a8787,
    0xff7d8c73,
    0xff968b74,
    0xffa68b76,
    0xff968c74,
    0xff929983,
    0xff9fa99b,
    0xff99a498,
    0xff9faca1,
    0xff9ca4a7,
    0xffa2afb4,
    0xffa7b5bd,
    0xff9aabb6,
    0xffa3b3be,
    0xff9babb6,
    0xff8b98a2,
    0xff7d8b91,
    0xff829591,
    0xff81908f,
    0xff748788,
    0xff667c7c,
    0xff718b89,
    0xff688780,
    0xff617e73,
    0xff607a6e,
    0xff5d7966,
    0xff48684d,
    0xff224526,
    0xff2c4d31,
    0xff445f4d,
    0xff677e70,
    0xff7e9a86,
    0xff739378,
    0xff789a89,
    0xff7c9c92,
    0xff809a96,
    0xff95aaad,
    0xffa8b8bf,
    0xffb3bdca,
    0xffb5bdca,
    0xffb3b8c4,
    0xffb4b9c1,
    0xffb8bdc2,
    0xffb5b9bc,
    0xff9b9fa3,
    0xff979a9f,
    0xffa2a7ac,
    0xffa7aeb1,
    0xffaeb9b6,
    0xffa6aead,
    0xff9eaaa2,
    0xff828e83,
    0xff717f70,
    0xff687665,
    0xff7f8e7c,
    0xff788575,
    0xff818d7e,
    0xff728068,
    0xff788967,
    0xff4a6034,
    0xff42582f,
    0xff425b36,
    0xff49613f,
    0xff39522b,
    0xff4e673c,
    0xff344d2c,
    0xff2a4226,
    0xff243a25,
    0xff455c49,
    0xff506856,
    0xff5c735b,
    0xff59694d,
    0xff5d6646,
    0xff686241,
    0xff775b3c,
    0xff7e4e33,
    0xff7d4929,
    0xff89502f,
    0xff8a5432,
    0xff775630,
    0xff615e2d,
    0xff555c2a,
    0xff4c5927,
    0xff435625,
    0xff3d5827,
    0xff3e5e2f,
    0xff426436,
    0xff426034,
    0xff4c6a3e,
    0xff5f744f,
    0xff3f4544,
    0xfff9f4ef,
    0xff4c472a,
    0xff585c43,
    0xff5c6d54,
    0xff556538,
    0xff5a622d,
    0xff545a24,
    0xff51501a,
    0xff564e1c,
    0xff534b1e,
    0xff554d28,
    0xff3f3116,
    0xff7e624c,
    0xffc79f8f,
    0xffe4c0ba,
    0xffe6b9ac,
    0xffffb9a8,
    0xffb25343,
    0xffa83e33,
    0xffb12d2f,
    0xffa32028,
    0xff6b0d0a,
    0xff761109,
    0xff8d1813,
    0xff91100b,
    0xff941b14,
    0xff88291d,
    0xff561605,
    0xff522516,
    0xff563123,
    0xff44300b,
    0xff4f3e0d,
    0xff645116,
    0xff786522,
    0xff685410,
    0xff715d1a,
    0xff6b5614,
    0xff654f0c,
    0xff645611,
    0xff534b0b,
    0xff4d4c0f,
    0xff555712,
    0xff5f5f12,
    0xff605b12,
    0xff4e4b13,
    0xff45441c,
    0xff3e401a,
    0xff333718,
    0xff323a23,
    0xff263221,
    0xff263322,
    0xff293622,
    0xff2b3724,
    0xff2e3923,
    0xff2b331d,
    0xff222a16,
    0xff222814,
    0xff2f3623,
    0xff2a2f1f,
    0xff202717,
    0xff1d2414,
    0xff1f2717,
    0xff23260d,
    0xff262812,
    0xff282a15,
    0xff232914,
    0xff202413,
    0xff232813,
    0xff262a15,
    0xff1f230d,
    0xff151e03,
    0xff1b230b,
    0xff131d04,
    0xff161f0c,
    0xff131c0b,
    0xff151c0d,
    0xff131e10,
    0xff111c0e,
    0xff121e10,
    0xff1c2316,
    0xff1b2417,
    0xff1b2115,
    0xff1d2317,
    0xff21291c,
    0xff21281b,
    0xff2e392b,
    0xff242e26,
    0xff182013,
    0xff1b2013,
    0xff242619,
    0xff232614,
    0xff222618,
    0xff262b1e,
    0xff242e1e,
    0xff142216,
    0xff212b1f,
    0xff383d37,
    0xff31332d,
    0xff1d2016,
    0xff5a5c53,
    0xff45443a,
    0xff241e13,
    0xff291f14,
    0xff291d11,
    0xff29190f,
    0xff2c1a0e,
    0xff311d12,
    0xff2f190e,
    0xff2c160b,
    0xff2c170b,
    0xff31190b,
    0xff2d190b,
    0xff28170c,
    0xff251910,
    0xff1d170a,
    0xff1b160c,
    0xff1d1b0e,
    0xff1b1c0e,
    0xff1c1615,
    0xff1d1007,
    0xff2b1a11,
    0xff9a7e77,
    0xff0e1106,
    0xff181700,
    0xffd3996a,
    0xff4c1400,
    0xff7f5224,
    0xff55200c,
    0xff592519,
    0xff1f0500,
    0xff2b1003,
    0xff813d26,
    0xff924831,
    0xff2e1104,
    0xff0f0f00,
    0xff2f0403,
    0xff150b04,
    0xff0b0f05,
    0xff180b01,
    0xff170000,
    0xff6b1f0f,
    0xffac3e22,
    0xffb04a12,
    0xffb0390f,
    0xffa5412a,
    0xff410400,
    0xff7e3010,
    0xfff17957,
    0xffef7242,
    0xffba4b24,
    0xffc55c3a,
    0xffb75a31,
    0xff934510,
    0xff7b3706,
    0xffaf7324,
    0xff631f00,
    0xffbc733a,
    0xff7e3200,
    0xffa15d0e,
    0xffad6e09,
    0xffb87a09,
    0xffb6770d,
    0xffba7d0f,
    0xffb87d01,
    0xffb47a02,
    0xffa76903,
    0xffc17b06,
    0xffaf7410,
    0xffa56e00,
    0xff9b6c02,
    0xffba9261,
    0xffa07132,
    0xffb67d18,
    0xffa1701c,
    0xff694a11,
    0xffbe9350,
    0xff6e4522,
    0xff0c0c04,
    0xff0a1a15,
    0xff17170e,
    0xff2b2f1c,
    0xff8d8880,
    0xff495038,
    0xff201300,
    0xff5e3104,
    0xffaa6319,
    0xffaa7357,
    0xff9d7164,
    0xff7f4d21,
    0xff412703,
    0xff3a3539,
    0xff514b59,
    0xff433e51,
    0xff3d303a,
    0xff3e191d,
    0xff451417,
    0xff3e252f,
    0xff434c5e,
    0xff3b5d78,
    0xff3f637f,
    0xff3a5c7a,
    0xff355876,
    0xff436581,
    0xff456882,
    0xff43657e,
    0xff406378,
    0xff405b73,
    0xff3c5871,
    0xff45617d,
    0xff3a5776,
    0xff335071,
    0xff3f5c7d,
    0xff436280,
    0xff436081,
    0xff4e6787,
    0xff4d6882,
    0xff486173,
    0xff4d636e,
    0xff4a6164,
    0xff48605f,
    0xff455d5a,
    0xff415a54,
    0xff485e54,
    0xff475b4f,
    0xff46554a,
    0xff465444,
    0xff445140,
    0xff475342,
    0xff404c38,
    0xff3c4637,
    0xff3e483d,
    0xff3e4a3a,
    0xff3e4b39,
    0xff424a35,
    0xff424531,
    0xff3c3d28,
    0xff3e402e,
    0xff353a29,
    0xff202d21,
    0xff1f2c21,
    0xff1b2b20,
    0xff1d2c23,
    0xff182921,
    0xff1a2b24,
    0xff162823,
    0xff182a25,
    0xff1c3023,
    0xff1e3324,
    0xff2d3f2e,
    0xff3b4d3a,
    0xff3c4a36,
    0xff394630,
    0xff3b4832,
    0xff35402a,
    0xff34453c,
    0xff32433c,
    0xff394c45,
    0xff3e524b,
    0xff3f5650,
    0xff445d56,
    0xff456058,
    0xff3f5b53,
    0xff465f5d,
    0xff4d6563,
    0xff49615f,
    0xff485f5c,
    0xff4b615d,
    0xff506663,
    0xff4c6260,
    0xff3f5854,
    0xff46605f,
    0xff4f6a69,
    0xff546e6d,
    0xff46605e,
    0xff435f5c,
    0xff415b56,
    0xff3d5953,
    0xff405854,
    0xff496153,
    0xff455b49,
    0xff4d634b,
    0xff526647,
    0xff4e5d40,
    0xff5b674a,
    0xff576348,
    0xff5a664d,
    0xff616656,
    0xff636854,
    0xff5d6245,
    0xff5e6241,
    0xff5d5e3b,
    0xff5c5d36,
    0xff5d5d2f,
    0xff626230,
    0xff5e5b36,
    0xff605f36,
    0xff626232,
    0xff656431,
    0xff696631,
    0xff68632d,
    0xff69652b,
    0xff6e672c,
    0xff6d6631,
    0xff6e6734,
    0xff685f32,
    0xff625b2f,
    0xff615a33,
    0xff554d2a,
    0xff52492a,
    0xff555031,
    0xff4e4f28,
    0xff53542e,
    0xff575933,
    0xff565a33,
    0xff52562f,
    0xff525832,
    0xff545d35,
    0xff535b34,
    0xff526036,
    0xff516036,
    0xff51603d,
    0xff556749,
    0xff566b52,
    0xff5a715e,
    0xff55715e,
    0xff577263,
    0xff5b776d,
    0xff59766e,
    0xff577472,
    0xff537076,
    0xff577381,
    0xff59758a,
    0xff5f7997,
    0xff5d7395,
    0xff607999,
    0xff5a7498,
    0xff58739b,
    0xff5a76a0,
    0xff536f9b,
    0xff4c6691,
    0xff5b759e,
    0xff587096,
    0xff5d7697,
    0xff556e90,
    0xff556f91,
    0xff546a8d,
    0xff4e6585,
    0xff546a89,
    0xff4c637f,
    0xff475d78,
    0xff526884,
    0xff586f87,
    0xff536c7f,
    0xff536c7d,
    0xff41596c,
    0xff415969,
    0xff526874,
    0xff495d67,
    0xff495d5e,
    0xff526567,
    0xff4f6365,
    0xff4a5e5f,
    0xff445958,
    0xff506565,
    0xff3c504f,
    0xff405653,
    0xff40564d,
    0xff3d4c40,
    0xff3d4539,
    0xff344335,
    0xff354a3a,
    0xff3d4f3c,
    0xff444b30,
    0xff564f2d,
    0xff685632,
    0xff62512a,
    0xff5e5426,
    0xff5c5629,
    0xff615e34,
    0xff5b5f33,
    0xff5a6232,
    0xff586330,
    0xff525d3a,
    0xff525937,
    0xff4f5331,
    0xff51532d,
    0xff55552f,
    0xff575932,
    0xff52552e,
    0xff575c34,
    0xff565c3b,
    0xff5b5f42,
    0xff51553c,
    0xff4f583f,
    0xff505a44,
    0xff4e5945,
    0xff4d5a45,
    0xff556551,
    0xff54675f,
    0xff4f6056,
    0xff4a5c4c,
    0xff566550,
    0xff59684c,
    0xff4f6044,
    0xff516245,
    0xff506043,
    0xff566343,
    0xff566244,
    0xff5d684d,
    0xff525f49,
    0xff515e4e,
    0xff415548,
    0xff364b44,
    0xff2d4741,
    0xff2d474d,
    0xff26434f,
    0xff375566,
    0xff405a70,
    0xff384f65,
    0xff465972,
    0xff435571,
    0xff4a5e7e,
    0xff596a8e,
    0xff58668a,
    0xff6f7a97,
    0xff8288a0,
    0xff8c92a4,
    0xff9ba5b3,
    0xff9da5b4,
    0xff909ba9,
    0xff8592aa,
    0xff9b92ae,
    0xff908b9e,
    0xffb49da4,
    0xffa6434a,
    0xff930000,
    0xffc74e21,
    0xffffbb70,
    0xffedb85d,
    0xfff3ac58,
    0xffe18542,
    0xffc86a17,
    0xffefa01b,
    0xffffc524,
    0xfffec01c,
    0xffffc81d,
    0xffffc223,
    0xffe49303,
    0xffd67800,
    0xffe4771d,
    0xffb8440c,
    0xffd16026,
    0xffd16227,
    0xffae3d1a,
    0xffb44019,
    0xffac2a0b,
    0xffb1250f,
    0xffcb4430,
    0xffb5271a,
    0xffa80908,
    0xffa2020c,
    0xffa30b1a,
    0xff90031c,
    0xff970015,
    0xff990616,
    0xff9a0919,
    0xff942634,
    0xff712b2e,
    0xffb46368,
    0xffa2474b,
    0xffd17673,
    0xffaf4a34,
    0xffbd5e33,
    0xfff0a954,
    0xffd39246,
    0xffa46e51,
    0xffad9388,
    0xff99929a,
    0xffe3c1cb,
    0xffb26665,
    0xffdf9376,
    0xffe4bc93,
    0xffd3c1b0,
    0xffb9b6cb,
    0xffaab6dc,
    0xffa5b7d7,
    0xffa2b6dc,
    0xff9db0db,
    0xff9baeda,
    0xff91a3ce,
    0xff869ac0,
    0xff8b9dc0,
    0xff8f9ec4,
    0xff8896be,
    0xff7a8cb3,
    0xff7c8fb7,
    0xff8291ba,
    0xff8794be,
    0xff8c99c3,
    0xff919dc9,
    0xff93a2cd,
    0xff8e9ec9,
    0xff919fc4,
    0xff97a5ca,
    0xff96a6c8,
    0xff97a8c9,
    0xff97a7c8,
    0xff99a9cd,
    0xff92a2c6,
    0xff99a8cf,
    0xff9cacd7,
    0xff97a5d1,
    0xff94a6d1,
    0xff98a8d4,
    0xff91a1ca,
    0xff97a6ce,
    0xff909fc4,
    0xff97a3c7,
    0xffa0abce,
    0xffa9b4d9,
    0xffb0bde4,
    0xffb6c2ea,
    0xffc4ccf2,
    0xffd2d6f1,
    0xffd3d1e3,
    0xffcec7d3,
    0xffe7cfae,
    0xffead4c2,
    0xffddcac2,
    0xffd8bbb1,
    0xffdab0ab,
    0xffc99e95,
    0xffbc9b9a,
    0xffb39ca9,
    0xff8890a5,
    0xff7c919d,
    0xff768891,
    0xffa4a5ae,
    0xffd0d3d8,
    0xff869492,
    0xffa3a69d,
    0xffaf9793,
    0xffb38785,
    0xffa68a87,
    0xff8e938b,
    0xff89938b,
    0xff85998d,
    0xff778176,
    0xff6f8378,
    0xff687b72,
    0xff6d756e,
    0xff6b6e61,
    0xff675743,
    0xff9a7362,
    0xff7a5d4d,
    0xff616452,
    0xff586855,
    0xff61695c,
    0xff697466,
    0xff687668,
    0xff6f7e79,
    0xff6f827e,
    0xff5e706e,
    0xff677676,
    0xff768580,
    0xff84908c,
    0xff97a8af,
    0xff9aa7b3,
    0xff92a0ad,
    0xff869aa7,
    0xff829ba8,
    0xff76949b,
    0xff78949b,
    0xff6b8289,
    0xff546e66,
    0xff557364,
    0xff587966,
    0xff5e7c71,
    0xff728a89,
    0xff83969e,
    0xff72888d,
    0xff5d7a77,
    0xff57786c,
    0xff5a7b71,
    0xff5c7775,
    0xff7d9196,
    0xff92a1a9,
    0xffa0acb5,
    0xffa5acb7,
    0xffb0b3c0,
    0xffbec2cf,
    0xffb7bcc2,
    0xffafb3b5,
    0xffb4b8b8,
    0xffadb1b3,
    0xffa7acaf,
    0xff9fa8a9,
    0xff98a1a1,
    0xff99a29f,
    0xff909992,
    0xff7d897e,
    0xff859384,
    0xff768473,
    0xff6e7c6e,
    0xff8c9a8e,
    0xff747f75,
    0xff92a096,
    0xff66745f,
    0xff657a59,
    0xff5e7352,
    0xff6e8269,
    0xff718470,
    0xff7d9275,
    0xff95a985,
    0xff5f765b,
    0xff80927e,
    0xff9eafa3,
    0xff88988e,
    0xff8d9c92,
    0xff8c9c8a,
    0xff7d876f,
    0xff6f7458,
    0xff696b4e,
    0xff6b5a3f,
    0xff634728,
    0xff5c3513,
    0xff5e2b09,
    0xff6a3210,
    0xff663e1a,
    0xff534518,
    0xff4f5020,
    0xff545a2c,
    0xff5a683c,
    0xff455e31,
    0xff3c582c,
    0xff406137,
    0xff3e5f34,
    0xff37562b,
    0xff2a3f2d,
    0xff828474,
    0xffa69d87,
    0xff52563e,
    0xff51654c,
    0xff4b633e,
    0xff475722,
    0xff4c5518,
    0xff545725,
    0xff585422,
    0xff584d1c,
    0xff5b5326,
    0xff59552d,
    0xff514626,
    0xff785e44,
    0xffdfb7a1,
    0xffcd9a87,
    0xffd38f7b,
    0xffb35e46,
    0xffa64328,
    0xffb54131,
    0xffb32d27,
    0xffb52526,
    0xffb32828,
    0xff971614,
    0xff90100b,
    0xff9b1410,
    0xffa11612,
    0xff9d1b16,
    0xff953023,
    0xff511400,
    0xff331600,
    0xff524212,
    0xff7d6e36,
    0xff887939,
    0xff7d6e28,
    0xff6f5e1d,
    0xff7b6a2b,
    0xff6f6122,
    0xff625717,
    0xff635619,
    0xff5e5722,
    0xff515220,
    0xff54551c,
    0xff5c5a17,
    0xff5f5a13,
    0xff575518,
    0xff505421,
    0xff414215,
    0xff323611,
    0xff2d351b,
    0xff25301b,
    0xff1e2b15,
    0xff242e14,
    0xff273011,
    0xff2b3011,
    0xff24290a,
    0xff1e2305,
    0xff262a11,
    0xff2b2f18,
    0xff242814,
    0xff252818,
    0xff1b2313,
    0xff1d2515,
    0xff2c2f15,
    0xff33371c,
    0xff2e341c,
    0xff393d26,
    0xff333c25,
    0xff31361d,
    0xff2f3617,
    0xff303716,
    0xff282e0d,
    0xff232d0d,
    0xff222912,
    0xff1c240f,
    0xff1a2111,
    0xff161c0d,
    0xff141d10,
    0xff131b0e,
    0xff121c11,
    0xff1a241a,
    0xff1e2619,
    0xff21261a,
    0xff1b2115,
    0xff20281b,
    0xff243022,
    0xff263122,
    0xff141e16,
    0xff1a2216,
    0xff25291b,
    0xff3a3d2d,
    0xff3b3d2c,
    0xff333725,
    0xff2a3121,
    0xff1f2819,
    0xff182517,
    0xff192318,
    0xff1d2218,
    0xff1b1e18,
    0xff161910,
    0xff0a0d05,
    0xff4f4f45,
    0xff413c34,
    0xff372f22,
    0xff2b1f13,
    0xff1f0f05,
    0xff2f1b10,
    0xff2d160c,
    0xff2f170d,
    0xff2d150b,
    0xff32180c,
    0xff32180b,
    0xff2e180a,
    0xff2b1a0d,
    0xff27190e,
    0xff23190e,
    0xff1f1a0d,
    0xff1d180c,
    0xff1c190c,
    0xff1a1909,
    0xff1e160b,
    0xff120c07,
    0xff706354,
    0xff1f0d04,
    0xff1e1907,
    0xff2b1f00,
    0xff2b1109,
    0xff1d0f00,
    0xff270f04,
    0xff2b1008,
    0xff150e04,
    0xff0b0b04,
    0xff3a1d0b,
    0xff6f462f,
    0xff130500,
    0xff21120b,
    0xff833738,
    0xff520300,
    0xff621a14,
    0xff62060f,
    0xff6f1a1b,
    0xff79301c,
    0xff883112,
    0xffb55327,
    0xff85200c,
    0xff6a3022,
    0xff331e0b,
    0xff481700,
    0xffbb6216,
    0xffc56416,
    0xffba601a,
    0xffa6520f,
    0xffa55f0e,
    0xffc0873b,
    0xff551e02,
    0xff9b6827,
    0xff94571d,
    0xff8d480f,
    0xffae662c,
    0xffae6b1e,
    0xffc4851a,
    0xffb27800,
    0xffb87c0b,
    0xffb57a08,
    0xffb78200,
    0xffba8507,
    0xffb1750b,
    0xffaf6802,
    0xff854700,
    0xffbc8912,
    0xffa26d02,
    0xff9c691e,
    0xffad7d44,
    0xffa97816,
    0xffbc7f24,
    0xff340c00,
    0xff281800,
    0xffc8b07e,
    0xff110700,
    0xff171c0f,
    0xff1d210e,
    0xff161e0d,
    0xff979394,
    0xff6b6856,
    0xff302900,
    0xff825c20,
    0xffe7a953,
    0xffd0a95d,
    0xffa77c53,
    0xffb46a3e,
    0xff8b5721,
    0xff553435,
    0xff5b4f68,
    0xff4d5b87,
    0xff4e6689,
    0xff464c56,
    0xff3b2e2e,
    0xff27202d,
    0xff31445f,
    0xff366079,
    0xff2e5773,
    0xff2d5572,
    0xff335775,
    0xff345672,
    0xff2b4962,
    0xff2f4e60,
    0xff355460,
    0xff395155,
    0xff374e52,
    0xff394e53,
    0xff40545b,
    0xff394a4e,
    0xff304244,
    0xff3e4f51,
    0xff3d4e4e,
    0xff354948,
    0xff40534f,
    0xff435149,
    0xff445345,
    0xff465041,
    0xff444f3d,
    0xff3c4635,
    0xff3d4836,
    0xff334332,
    0xff384434,
    0xff2f3b29,
    0xff2e3825,
    0xff2c3523,
    0xff303825,
    0xff2e3a28,
    0xff2c3725,
    0xff2a351f,
    0xff24301a,
    0xff2b3a20,
    0xff333e2a,
    0xff323a27,
    0xff363d2f,
    0xff323b2f,
    0xff26342a,
    0xff32413e,
    0xff31403f,
    0xff2d3d3e,
    0xff304246,
    0xff32454c,
    0xff405660,
    0xff3f5762,
    0xff3e5964,
    0xff3f585d,
    0xff455f61,
    0xff3e595c,
    0xff3a5658,
    0xff2c474b,
    0xff375559,
    0xff2c474e,
    0xff324e58,
    0xff496776,
    0xff395664,
    0xff405e68,
    0xff3f5c63,
    0xff3a5859,
    0xff456262,
    0xff3e5c59,
    0xff38514f,
    0xff3a575a,
    0xff476063,
    0xff465e60,
    0xff465d5f,
    0xff4f6968,
    0xff4a6363,
    0xff4e6664,
    0xff405a57,
    0xff3f5a50,
    0xff486157,
    0xff4a6257,
    0xff485b50,
    0xff46594c,
    0xff49584a,
    0xff495646,
    0xff475241,
    0xff4b5547,
    0xff4b5543,
    0xff4d553c,
    0xff4e5537,
    0xff515738,
    0xff575c3f,
    0xff595c44,
    0xff5c6049,
    0xff58613b,
    0xff576336,
    0xff596231,
    0xff5d6431,
    0xff5f6134,
    0xff5e5f37,
    0xff5e5c36,
    0xff5e5a30,
    0xff5c5c29,
    0xff565628,
    0xff605e33,
    0xff60602d,
    0xff646728,
    0xff666b26,
    0xff66682a,
    0xff64652c,
    0xff686429,
    0xff69652b,
    0xff5f5b27,
    0xff5a5827,
    0xff504e25,
    0xff4a4825,
    0xff4a492a,
    0xff49482d,
    0xff494a3a,
    0xff464d3c,
    0xff4c5340,
    0xff4b5641,
    0xff4d5b46,
    0xff4c5d47,
    0xff4e614b,
    0xff4f674e,
    0xff526959,
    0xff577063,
    0xff5c766f,
    0xff5d797c,
    0xff567581,
    0xff5b7d90,
    0xff53768b,
    0xff577c93,
    0xff54718e,
    0xff50708c,
    0xff587792,
    0xff54748f,
    0xff577893,
    0xff587793,
    0xff5b7895,
    0xff54708d,
    0xff546f8a,
    0xff5a7490,
    0xff55718d,
    0xff4f6c86,
    0xff46647a,
    0xff516d7c,
    0xff55707b,
    0xff4c646c,
    0xff586b77,
    0xff44555f,
    0xff485963,
    0xff47575d,
    0xff49585a,
    0xff465453,
    0xff47574f,
    0xff3b493f,
    0xff374643,
    0xff3b4c45,
    0xff36483d,
    0xff384b3f,
    0xff3c4d45,
    0xff3c4b43,
    0xff3a463c,
    0xff3f4a3c,
    0xff3d4c33,
    0xff3e4b33,
    0xff404d37,
    0xff3e4b37,
    0xff3d4a37,
    0xff3c4a33,
    0xff3d4b32,
    0xff3e4b33,
    0xff3c4736,
    0xff434837,
    0xff434630,
    0xff444935,
    0xff36442f,
    0xff36432b,
    0xff505130,
    0xff645730,
    0xff6b532d,
    0xff68542b,
    0xff68572b,
    0xff5e5229,
    0xff58542f,
    0xff535531,
    0xff515830,
    0xff4b562c,
    0xff42502f,
    0xff414d2b,
    0xff464e2b,
    0xff505632,
    0xff595d38,
    0xff555b37,
    0xff505a36,
    0xff4d5737,
    0xff4a4d37,
    0xff505340,
    0xff4a503e,
    0xff464e3b,
    0xff45503f,
    0xff465542,
    0xff4b5c46,
    0xff4a5b46,
    0xff4d5f55,
    0xff49584d,
    0xff495649,
    0xff4d594a,
    0xff525d50,
    0xff525d54,
    0xff535d5c,
    0xff586365,
    0xff53645e,
    0xff62746f,
    0xff5c6e73,
    0xff687787,
    0xff65758f,
    0xff647a9a,
    0xff5f799c,
    0xff5f7ba1,
    0xff5e7aa9,
    0xff6786b6,
    0xff6587b6,
    0xff6986b4,
    0xff6d85ae,
    0xff7088ad,
    0xff7188ad,
    0xff738aaf,
    0xff7889a8,
    0xff818eab,
    0xff939db5,
    0xff8b92a5,
    0xff828896,
    0xff888e99,
    0xff7e8690,
    0xff79828c,
    0xff707d7b,
    0xff66656b,
    0xff596162,
    0xff665450,
    0xff781c19,
    0xff8d0f00,
    0xffda784a,
    0xfff4ae6d,
    0xfff2be70,
    0xfff0a455,
    0xffbe6112,
    0xfff5a639,
    0xfff0b313,
    0xffe8af00,
    0xfffac411,
    0xfff4c00b,
    0xffe5a107,
    0xffd07801,
    0xffde7205,
    0xffd86608,
    0xffa53700,
    0xffd2722c,
    0xffb95d11,
    0xffb6531b,
    0xffb93b24,
    0xffa81c12,
    0xffa3150f,
    0xffac211c,
    0xffa21314,
    0xff9d0309,
    0xffa90816,
    0xffa00a1b,
    0xff93001b,
    0xff930212,
    0xff8d090c,
    0xff930210,
    0xff7d1324,
    0xffa98688,
    0xff5b3c37,
    0xff6a4339,
    0xfff6c0b9,
    0xff9c4d47,
    0xffb66556,
    0xffe18f59,
    0xfff28a4c,
    0xffd26945,
    0xffbf7559,
    0xffbc837b,
    0xfff3dbd9,
    0xffa25447,
    0xffe98856,
    0xfff19e54,
    0xffd28e62,
    0xffb38e93,
    0xff72758e,
    0xff687f94,
    0xff6c83a1,
    0xff6c83a5,
    0xff768cb3,
    0xff8298bf,
    0xff90a6ca,
    0xff9db0d6,
    0xff9fb1d9,
    0xffa9b9e5,
    0xffb9c7f2,
    0xffbccbf6,
    0xffc3cff9,
    0xffc7d3fd,
    0xffcad6fe,
    0xffc6d3fb,
    0xffc5d3fa,
    0xffc0cff7,
    0xffbec8f9,
    0xffbac4f5,
    0xffafbcea,
    0xffb0bdea,
    0xffacb7e7,
    0xffa8b6e5,
    0xffa9b7e8,
    0xffacb9eb,
    0xffaab6e3,
    0xffacb7e5,
    0xffa7b4e1,
    0xffa9b6e4,
    0xffaab7e0,
    0xffb2bce4,
    0xffbdc3e9,
    0xffbec2e6,
    0xffc1c6e6,
    0xffbfc5eb,
    0xffbbc3ef,
    0xffbcc6f3,
    0xffc0c6ec,
    0xffc1c0de,
    0xffc8bfd2,
    0xffcab6b8,
    0xffd1905b,
    0xffb37353,
    0xff9d5b41,
    0xffb0623d,
    0xffb14e28,
    0xffcb6431,
    0xffc46b37,
    0xffbc6d55,
    0xffd3a2a2,
    0xffb09d99,
    0xffaca0a4,
    0xffc8b3c4,
    0xff9a90a2,
    0xffa3b2b6,
    0xffacacab,
    0xffb28d91,
    0xffc6aba4,
    0xff8d827e,
    0xff829390,
    0xff889399,
    0xff869494,
    0xff908e90,
    0xff888e87,
    0xffa3a79e,
    0xffa69fac,
    0xffa5b4ae,
    0xffaaa598,
    0xffebb2af,
    0xffc78d8b,
    0xffc1b8b2,
    0xffacbcba,
    0xffabaab5,
    0xffa6aeb6,
    0xffa2acb5,
    0xff95a3b1,
    0xff92a2b5,
    0xff95a5bb,
    0xff9ba6be,
    0xffa9b4cb,
    0xffadb8cb,
    0xffabbcc2,
    0xffa9b7bf,
    0xffa2b2bb,
    0xff99adb8,
    0xff88a1ab,
    0xff86a3aa,
    0xff829ca3,
    0xff879fa5,
    0xff779190,
    0xff638178,
    0xff507162,
    0xff607d73,
    0xff677f7e,
    0xff778b8f,
    0xff677e80,
    0xff6d8784,
    0xff6b8b89,
    0xff6c8a8c,
    0xff6f858f,
    0xff798b9c,
    0xff8f9db1,
    0xff9fa6bd,
    0xffa8acc3,
    0xffb3b4cc,
    0xffb0b1ca,
    0xffb4b7c9,
    0xffb4b6c0,
    0xffacafb4,
    0xffaaadb4,
    0xffa0a5b0,
    0xffa4a7b2,
    0xff9da4ae,
    0xff979da1,
    0xff798282,
    0xff7c8682,
    0xff69766f,
    0xff66746a,
    0xff79877f,
    0xff788582,
    0xff73807f,
    0xff86918f,
    0xff869486,
    0xff76876f,
    0xff63735c,
    0xff5d6d5d,
    0xff67776c,
    0xff697965,
    0xff445237,
    0xff425843,
    0xff536454,
    0xff49524b,
    0xff77817c,
    0xff707b75,
    0xff778274,
    0xff787d69,
    0xff797b64,
    0xff717960,
    0xff868167,
    0xff8a7859,
    0xff8f724d,
    0xff926542,
    0xff8f5735,
    0xff8a5737,
    0xff7a5d37,
    0xff6a683a,
    0xff686c41,
    0xff6f7957,
    0xff778870,
    0xff7f9887,
    0xff7d978f,
    0xff829c9a,
    0xff6e888a,
    0xff4b5b6c,
    0xfffffff1,
    0xff3d341e,
    0xff727a78,
    0xff627b72,
    0xff546c4a,
    0xff505d33,
    0xff4c5622,
    0xff4f4e20,
    0xff554c1d,
    0xff5c4e1f,
    0xff50471b,
    0xff47461c,
    0xff3a3410,
    0xff7d6749,
    0xffbe977d,
    0xff8c4027,
    0xff88260d,
    0xff983312,
    0xffad4422,
    0xffb23921,
    0xffb83828,
    0xffad291d,
    0xffb11914,
    0xffa71216,
    0xffa21717,
    0xffa61d1b,
    0xffba2526,
    0xffc62827,
    0xffbf362e,
    0xff8c391e,
    0xff8a6b3d,
    0xffa79d5f,
    0xff9c934d,
    0xff837a2f,
    0xff776d24,
    0xff7f732f,
    0xff716729,
    0xff5f571a,
    0xff645d21,
    0xff635a1b,
    0xff5c5923,
    0xff4d5021,
    0xff53551f,
    0xff595a13,
    0xff5c5b0b,
    0xff5e6215,
    0xff525915,
    0xff484c16,
    0xff3d4216,
    0xff333c1d,
    0xff2a341e,
    0xff28331c,
    0xff2e3719,
    0xff383e19,
    0xff3f441b,
    0xff3e4220,
    0xff323514,
    0xff292b0c,
    0xff303318,
    0xff2a2c18,
    0xff1e2210,
    0xff1e2615,
    0xff1b2414,
    0xff303315,
    0xff33391a,
    0xff2b3113,
    0xff2a3416,
    0xff2e371a,
    0xff363f1e,
    0xff3a411f,
    0xff363e18,
    0xff333b16,
    0xff3d4322,
    0xff33391d,
    0xff222712,
    0xff1b2211,
    0xff181e11,
    0xff171d12,
    0xff11170a,
    0xff0c170b,
    0xff0f190e,
    0xff171f14,
    0xff151d12,
    0xff161f14,
    0xff182016,
    0xff1e2a1b,
    0xff303a2d,
    0xff1d281f,
    0xff192215,
    0xff191d0f,
    0xff1f2213,
    0xff1f220f,
    0xff1c1f0f,
    0xff1b2112,
    0xff151f0e,
    0xff12200e,
    0xff141d0f,
    0xff181a12,
    0xff1d1d15,
    0xff1d2117,
    0xff181b12,
    0xff0f0e06,
    0xff6c695e,
    0xff52453a,
    0xff1d0e04,
    0xff332114,
    0xff2f1a0e,
    0xff371b12,
    0xff371b13,
    0xff32160b,
    0xff33170c,
    0xff34190a,
    0xff2d1407,
    0xff2a170a,
    0xff27180e,
    0xff24170e,
    0xff22180e,
    0xff1f170d,
    0xff21180c,
    0xff1a1a00,
    0xff1a170d,
    0xff1a1e16,
    0xff1d1100,
    0xff9c6d5f,
    0xff1d0803,
    0xff081d06,
    0xff120f16,
    0xff111916,
    0xff141514,
    0xff1b1109,
    0xff15180c,
    0xff06150d,
    0xff070b00,
    0xff2a2108,
    0xff0f1206,
    0xff060f05,
    0xff4e1c0e,
    0xff6f250b,
    0xff6b1a02,
    0xff6f0000,
    0xff760409,
    0xff560500,
    0xffa9562e,
    0xffb95720,
    0xff851d04,
    0xff4a0d00,
    0xff2c0c0b,
    0xff3c0900,
    0xffc28338,
    0xff995802,
    0xffa35d03,
    0xffae650f,
    0xffa46b00,
    0xffa37605,
    0xffb98856,
    0xff764414,
    0xff773f0b,
    0xffaa6c24,
    0xffab671c,
    0xff944f00,
    0xffb8790e,
    0xffb47802,
    0xffb17604,
    0xffb17502,
    0xffb67d00,
    0xffae7400,
    0xffb4780a,
    0xffb0750d,
    0xffc1881e,
    0xffa56b07,
    0xffdf9c28,
    0xffd69326,
    0xffa87f2b,
    0xff997431,
    0xffbf8029,
    0xff75411c,
    0xff090b00,
    0xff4c4724,
    0xff37240f,
    0xff1c150f,
    0xff1b1f0a,
    0xff0f1e0a,
    0xff89847b,
    0xff8a7669,
    0xff220e00,
    0xff633921,
    0xff490f00,
    0xff462c04,
    0xff9c7d4e,
    0xffc78046,
    0xffc9932c,
    0xff4f010d,
    0xff450a18,
    0xff401e2c,
    0xff342c38,
    0xff3c404d,
    0xff3a434e,
    0xff2f3e44,
    0xff34474a,
    0xff264649,
    0xff295353,
    0xff2f565a,
    0xff344d53,
    0xff32444a,
    0xff2f4841,
    0xff2d4836,
    0xff304630,
    0xff304836,
    0xff31473b,
    0xff2e433a,
    0xff2e4238,
    0xff334437,
    0xff304231,
    0xff2e3b2e,
    0xff313c30,
    0xff2f3b31,
    0xff313b32,
    0xff2f372b,
    0xff303628,
    0xff2f3425,
    0xff2d3123,
    0xff2c3122,
    0xff2a3021,
    0xff2c3621,
    0xff29341d,
    0xff2a331e,
    0xff313825,
    0xff353d29,
    0xff364129,
    0xff3d4a30,
    0xff3f4e34,
    0xff3c4b36,
    0xff4d5c4a,
    0xff4f604f,
    0xff506354,
    0xff516459,
    0xff4a5d59,
    0xff475a5c,
    0xff455b5e,
    0xff405659,
    0xff42595e,
    0xff455c62,
    0xff455c62,
    0xff3f565c,
    0xff415860,
    0xff405860,
    0xff455d67,
    0xff445a69,
    0xff2f495b,
    0xff3c5971,
    0xff36566f,
    0xff2d4d69,
    0xff32536c,
    0xff23415b,
    0xff2e4a62,
    0xff2f4e6d,
    0xff37586c,
    0xff395a61,
    0xff406063,
    0xff3b5861,
    0xff486371,
    0xff4a6371,
    0xff415965,
    0xff405b62,
    0xff465d61,
    0xff44585a,
    0xff4d625f,
    0xff4a5f5c,
    0xff526863,
    0xff556962,
    0xff4d5e50,
    0xff485a39,
    0xff485a38,
    0xff485938,
    0xff485737,
    0xff4d5a39,
    0xff4c5837,
    0xff4c5633,
    0xff4d5631,
    0xff4a5330,
    0xff4d532f,
    0xff4d532e,
    0xff4b5029,
    0xff4f532c,
    0xff52532d,
    0xff54532e,
    0xff565631,
    0xff595b2c,
    0xff595a2a,
    0xff595e2b,
    0xff5b5f2d,
    0xff5a6131,
    0xff545a2c,
    0xff535a30,
    0xff4f562e,
    0xff515529,
    0xff52562a,
    0xff57582c,
    0xff5b5d2c,
    0xff5f612e,
    0xff61632e,
    0xff5d622d,
    0xff5c612b,
    0xff5c5b36,
    0xff595d3c,
    0xff555c3e,
    0xff525843,
    0xff50584c,
    0xff495652,
    0xff485d5c,
    0xff4d676a,
    0xff61677c,
    0xff5a7682,
    0xff4e6b78,
    0xff536a7a,
    0xff5a7685,
    0xff5e7387,
    0xff627891,
    0xff4d798d,
    0xff507b96,
    0xff5b7595,
    0xff4c718d,
    0xff567b9e,
    0xff52739f,
    0xff5473a3,
    0xff576e99,
    0xff4f7893,
    0xff537399,
    0xff4e6c92,
    0xff4e6e8e,
    0xff496883,
    0xff546f84,
    0xff55707c,
    0xff536c6f,
    0xff5b7270,
    0xff5c6b6b,
    0xff556560,
    0xff53645c,
    0xff526153,
    0xff4e5e4b,
    0xff4c5b47,
    0xff46543d,
    0xff48553e,
    0xff4e5444,
    0xff4c5041,
    0xff4d5140,
    0xff4d4e3b,
    0xff4e503b,
    0xff4e4f3c,
    0xff4c4c3a,
    0xff474a37,
    0xff3e4c2f,
    0xff3b4a2b,
    0xff374628,
    0xff354226,
    0xff37452b,
    0xff36442a,
    0xff39452e,
    0xff3a4630,
    0xff3a4933,
    0xff3e5036,
    0xff3e4d30,
    0xff3e4d30,
    0xff3d4a2c,
    0xff3d4a2c,
    0xff3e4a2e,
    0xff434d33,
    0xff454c32,
    0xff465036,
    0xff434f35,
    0xff3f4a36,
    0xff3c4533,
    0xff464a37,
    0xff535137,
    0xff5d5835,
    0xff655530,
    0xff665933,
    0xff615732,
    0xff5c5936,
    0xff595a38,
    0xff53593a,
    0xff535b3f,
    0xff505941,
    0xff4f5a50,
    0xff48524e,
    0xff525b57,
    0xff505d55,
    0xff485646,
    0xff485742,
    0xff515f51,
    0xff4c5951,
    0xff536353,
    0xff4e5d4d,
    0xff526152,
    0xff515f53,
    0xff536058,
    0xff535e57,
    0xff4e5954,
    0xff535e58,
    0xff535f57,
    0xff535f5a,
    0xff556060,
    0xff4f5d60,
    0xff556267,
    0xff57676b,
    0xff576769,
    0xff5a6a6b,
    0xff546861,
    0xff596b6b,
    0xff4b5c67,
    0xff4b5b6f,
    0xff445570,
    0xff445577,
    0xff354a6a,
    0xff344b6a,
    0xff425e77,
    0xff324f68,
    0xff314f68,
    0xff37546b,
    0xff3f5c6d,
    0xff3c5463,
    0xff40545e,
    0xff42565c,
    0xff455151,
    0xff4a5559,
    0xff515a60,
    0xff566265,
    0xff4f5a5d,
    0xff5c656a,
    0xff69727b,
    0xff6e7581,
    0xff6f7c71,
    0xff797670,
    0xff5a6a59,
    0xff9a746d,
    0xff9d343f,
    0xffcc4b53,
    0xffa94a25,
    0xfff8bb6a,
    0xffe9ab5c,
    0xffeb9c56,
    0xffc16605,
    0xffffbb35,
    0xfffebe23,
    0xffefba0c,
    0xfffcc10d,
    0xfffbb612,
    0xfffab21b,
    0xffce650f,
    0xffd97113,
    0xffbb5706,
    0xffa73909,
    0xffc2641d,
    0xffab4e00,
    0xffe66f35,
    0xffa12a0d,
    0xffa61a0e,
    0xffb62a1d,
    0xffa81311,
    0xffa20f1c,
    0xffa50b19,
    0xffa3010c,
    0xff860d19,
    0xff820b1f,
    0xff961629,
    0xffa91529,
    0xff82000e,
    0xff7d3740,
    0xff90777e,
    0xff85777c,
    0xff504749,
    0xff61353d,
    0xfff0c8cb,
    0xffa46e6e,
    0xffcf7863,
    0xffe4773a,
    0xfff29237,
    0xffea9e58,
    0xff8c4c32,
    0xfffffffd,
    0xffab5249,
    0xffe77f4f,
    0xffe89642,
    0xffefa466,
    0xffffc4bc,
    0xffe2d2e5,
    0xffc7d6eb,
    0xffccd8ff,
    0xffc7d4fc,
    0xffc4cef6,
    0xffc9d4fb,
    0xffc8d1f6,
    0xffc8d0f4,
    0xffccd3f7,
    0xffc7cdef,
    0xffbac3e4,
    0xffb5bfe0,
    0xffb2bbdf,
    0xffadb6d9,
    0xffaeb9dc,
    0xffacb5dc,
    0xffaab4da,
    0xffa5b1d7,
    0xffa8b4de,
    0xffa8b4df,
    0xffa9b4df,
    0xffa1abd8,
    0xffa6b3e0,
    0xffa9b6e2,
    0xffabb7e6,
    0xffadb9e8,
    0xffafbbe5,
    0xffb0bbe7,
    0xffb0bce5,
    0xffb2bde5,
    0xffb3bce4,
    0xffadb6dd,
    0xffacb5da,
    0xffacb3d8,
    0xffa2a9c5,
    0xffa1aacb,
    0xffa9aee4,
    0xffacb3dc,
    0xffb0bdd3,
    0xffb3bce9,
    0xffd0c1df,
    0xffe0be8f,
    0xffffd3a6,
    0xff8f5524,
    0xffb03f1d,
    0xffb43b1c,
    0xffb64b22,
    0xffc55526,
    0xffc45a26,
    0xffd26335,
    0xffad4a2d,
    0xff914228,
    0xff8b5752,
    0xffffffff,
    0xff777083,
    0xff6f887f,
    0xff8a8479,
    0xffa06a76,
    0xff9a8991,
    0xff908a92,
    0xff979aa1,
    0xff919ea5,
    0xff8f9fa8,
    0xff97a4b0,
    0xffa6aebd,
    0xffadb0c1,
    0xffadb2c7,
    0xffabb2ca,
    0xffb5b0c5,
    0xffeacacb,
    0xff945d44,
    0xffbe8c6b,
    0xffccb2a9,
    0xffbdb9cc,
    0xffb2b5c5,
    0xffb2b6c0,
    0xffabbac2,
    0xff94acc0,
    0xff8ea2b6,
    0xff8f98a7,
    0xff7f8a98,
    0xff768ea2,
    0xff798d91,
    0xff6e7e87,
    0xff677985,
    0xff647887,
    0xff72859a,
    0xff798da2,
    0xff7d8ea3,
    0xff748599,
    0xff7a899c,
    0xff728494,
    0xff7b8c9c,
    0xff8c9dae,
    0xffa1b0c3,
    0xffa2b0c2,
    0xffadb5cc,
    0xffb1b8cd,
    0xffa5b5c5,
    0xff99aabd,
    0xff97a6bc,
    0xffa1aec7,
    0xffb1b7d5,
    0xffabb0d0,
    0xffacafd0,
    0xffb3b8d6,
    0xffb4b7cc,
    0xffb1b4c6,
    0xffb3b6c7,
    0xffaeb2c0,
    0xffafb2c0,
    0xffb4b7c6,
    0xffb3b6c7,
    0xffb1b4c5,
    0xffb2bcc0,
    0xffafb9bc,
    0xff9aa4a7,
    0xff939c9f,
    0xff9ba4a6,
    0xff98a1a2,
    0xff9ca6a5,
    0xffa1aba9,
    0xff8d9895,
    0xff858f8c,
    0xff7d8684,
    0xff6f7976,
    0xff77817d,
    0xff727f78,
    0xff637467,
    0xff556959,
    0xff59716b,
    0xff7b857f,
    0xff7b746e,
    0xff6e655d,
    0xff858679,
    0xff757f6e,
    0xff767d67,
    0xff73725b,
    0xff78755c,
    0xff79755b,
    0xff796d52,
    0xff7f6441,
    0xff794c23,
    0xff6c3812,
    0xff6b411f,
    0xff573d20,
    0xff3c3c18,
    0xff3c4418,
    0xff414d2b,
    0xff3e5142,
    0xff385045,
    0xff334b39,
    0xff395342,
    0xff3b5352,
    0xff787e8c,
    0xffa59486,
    0xff5f695c,
    0xff4e616f,
    0xff525e5c,
    0xff62714f,
    0xff5a6139,
    0xff414c22,
    0xff504e25,
    0xff4f4820,
    0xff463e18,
    0xff464820,
    0xff39401b,
    0xff363314,
    0xff351a05,
    0xff7b4839,
    0xffb66542,
    0xffb04d27,
    0xffa6330b,
    0xffb33a15,
    0xffaf3517,
    0xff9f2710,
    0xff9d1d0e,
    0xff9d150b,
    0xffa0201b,
    0xffab1515,
    0xffad1714,
    0xffb32f25,
    0xffcb473d,
    0xffd84941,
    0xffcf533e,
    0xff88330f,
    0xff714f0d,
    0xff917933,
    0xff8c7a32,
    0xff736420,
    0xff726126,
    0xff76642b,
    0xff66551c,
    0xff63561a,
    0xff5d5219,
    0xff4e450e,
    0xff4a4612,
    0xff524f18,
    0xff545416,
    0xff5d5a14,
    0xff5c5811,
    0xff59530d,
    0xff4e5013,
    0xff484914,
    0xff3e4216,
    0xff393e1f,
    0xff252f17,
    0xff2c361d,
    0xff2d3516,
    0xff383e18,
    0xff373f1f,
    0xff343b1a,
    0xff2f3212,
    0xff2e3112,
    0xff303214,
    0xff222a0d,
    0xff2a331a,
    0xff222e14,
    0xff2b3105,
    0xff373c14,
    0xff333916,
    0xff333917,
    0xff323915,
    0xff333913,
    0xff323813,
    0xff282e0a,
    0xff272b0b,
    0xff2a2d12,
    0xff272b13,
    0xff1e210d,
    0xff181c0c,
    0xff15190b,
    0xff161c10,
    0xff0e1307,
    0xff111109,
    0xff0f1309,
    0xff0e150a,
    0xff0b170c,
    0xff0a180c,
    0xff09160a,
    0xff091308,
    0xff0c1409,
    0xff131912,
    0xff0f160d,
    0xff10180d,
    0xff11170b,
    0xff13190c,
    0xff12190c,
    0xff131a0f,
    0xff151b12,
    0xff161a11,
    0xff1e1e17,
    0xff3c3631,
    0xff37332a,
    0xff2c261c,
    0xff2d231a,
    0xff2f1e15,
    0xff2a110d,
    0xff5a4145,
    0xff5c4640,
    0xff1d0c00,
    0xff2d1906,
    0xff341a0f,
    0xff30120c,
    0xff35160e,
    0xff34180b,
    0xff32160b,
    0xff2e110e,
    0xff2d1717,
    0xff2c1d1a,
    0xff271911,
    0xff28190c,
    0xff25190c,
    0xff1f1b0f,
    0xff1b1812,
    0xff221212,
    0xff23140f,
    0xff181100,
    0xff70644c,
    0xff250f00,
    0xff25140f,
    0xff110e11,
    0xff101610,
    0xff18170c,
    0xff191308,
    0xff13140a,
    0xff07130b,
    0xff0c160e,
    0xff111105,
    0xff150a00,
    0xff0d0200,
    0xff230400,
    0xff550705,
    0xff9a3130,
    0xff933a2b,
    0xff731805,
    0xff90210f,
    0xffa53018,
    0xff8f2100,
    0xff790f00,
    0xff69343c,
    0xff230200,
    0xff6c3e11,
    0xffb1721b,
    0xffc67509,
    0xffb37010,
    0xffa5610c,
    0xffad6607,
    0xffb07002,
    0xff956211,
    0xffa37846,
    0xff8b5b45,
    0xff7d4014,
    0xffb0672d,
    0xff8e5113,
    0xffb67f1b,
    0xffb37b0c,
    0xffb37800,
    0xffbb7e07,
    0xffb7760e,
    0xffb47900,
    0xffbc8415,
    0xffc88725,
    0xffb67e0c,
    0xffa77018,
    0xff864a00,
    0xffd79e30,
    0xffcf9a2c,
    0xff9f6f32,
    0xff97673b,
    0xffb87853,
    0xff160300,
    0xff120f01,
    0xff433d1c,
    0xff171d00,
    0xff1d2d12,
    0xff111400,
    0xff837b6d,
    0xff6c5b3e,
    0xff816623,
    0xff907510,
    0xffd0ae3e,
    0xffd7ab4f,
    0xffecc983,
    0xff9d7a29,
    0xffe6a540,
    0xff4b080d,
    0xff490810,
    0xff440712,
    0xff3f0717,
    0xff431a29,
    0xff3f2a34,
    0xff2b2f2f,
    0xff2a3c38,
    0xff283639,
    0xff203b3a,
    0xff1d3937,
    0xff2a3b3a,
    0xff394340,
    0xff31463b,
    0xff2d4533,
    0xff2d412e,
    0xff25392c,
    0xff22362c,
    0xff1c2e2a,
    0xff22332e,
    0xff192922,
    0xff1e2d24,
    0xff1f3027,
    0xff1c2924,
    0xff27361d,
    0xff2b361e,
    0xff313d26,
    0xff36432b,
    0xff324027,
    0xff3a4a33,
    0xff374832,
    0xff344732,
    0xff374d3f,
    0xff3f5345,
    0xff42544a,
    0xff45564e,
    0xff44554e,
    0xff4a5d53,
    0xff495c52,
    0xff465d4f,
    0xff455c55,
    0xff496358,
    0xff455d58,
    0xff3a5553,
    0xff395655,
    0xff415d65,
    0xff416069,
    0xff32515c,
    0xff38535d,
    0xff3f5b62,
    0xff415b65,
    0xff48636a,
    0xff506b71,
    0xff445d62,
    0xff3f585c,
    0xff3e575c,
    0xff445d6c,
    0xff445f70,
    0xff2e4c60,
    0xff305065,
    0xff34546a,
    0xff345265,
    0xff4c687b,
    0xff324d5e,
    0xff445e67,
    0xff3d595a,
    0xff3a554d,
    0xff355247,
    0xff3c544e,
    0xff3e5755,
    0xff475f5a,
    0xff3c544a,
    0xff435c47,
    0xff41553c,
    0xff4a5c40,
    0xff4d6040,
    0xff4c6141,
    0xff455b38,
    0xff495a36,
    0xff4d5c34,
    0xff515f39,
    0xff55633e,
    0xff55623e,
    0xff535d39,
    0xff4d5630,
    0xff4f552e,
    0xff4f562b,
    0xff50552b,
    0xff4b512a,
    0xff4a5228,
    0xff4d5128,
    0xff4e542a,
    0xff4f532b,
    0xff4a4e29,
    0xff515431,
    0xff555733,
    0xff56592f,
    0xff5b5e34,
    0xff575933,
    0xff585d37,
    0xff5a603b,
    0xff555d3b,
    0xff585f40,
    0xff5b6243,
    0xff5c643e,
    0xff5b633d,
    0xff5e6441,
    0xff5c6243,
    0xff5d664b,
    0xff606a57,
    0xff576455,
    0xff505f55,
    0xff4a5d63,
    0xff455d63,
    0xff3d5961,
    0xff3d5f6b,
    0xff3c5e6d,
    0xff416276,
    0xff43677f,
    0xff40667f,
    0xff456e7f,
    0xff3a6b79,
    0xff446e80,
    0xff4b748c,
    0xff407089,
    0xff486786,
    0xff5e7098,
    0xff4e7194,
    0xff4e677a,
    0xff5b6979,
    0xff4e6a70,
    0xff527177,
    0xff52767f,
    0xff3b696b,
    0xff4f7070,
    0xff477266,
    0xff476d5c,
    0xff4f7261,
    0xff527364,
    0xff51715f,
    0xff4e6e57,
    0xff4f6c4f,
    0xff5c7651,
    0xff556d47,
    0xff57674a,
    0xff58674a,
    0xff546444,
    0xff546443,
    0xff546340,
    0xff54633e,
    0xff4e5d39,
    0xff475733,
    0xff4f5932,
    0xff4b562d,
    0xff515a30,
    0xff4e5529,
    0xff474b22,
    0xff4a4e25,
    0xff484f26,
    0xff454c24,
    0xff3e4729,
    0xff3e4629,
    0xff41492b,
    0xff444e30,
    0xff3b4529,
    0xff414b30,
    0xff3f482e,
    0xff3d4a2e,
    0xff334a23,
    0xff324920,
    0xff324b1e,
    0xff324b1b,
    0xff385122,
    0xff385124,
    0xff3a5128,
    0xff3d502c,
    0xff3e4931,
    0xff3d4a35,
    0xff384835,
    0xff314336,
    0xff394842,
    0xff3c4942,
    0xff525c4f,
    0xff5c6252,
    0xff585c50,
    0xff4d5447,
    0xff4e5849,
    0xff505f4e,
    0xff536955,
    0xff556e5d,
    0xff506c5b,
    0xff3f5d4c,
    0xff3f5e51,
    0xff385455,
    0xff496474,
    0xff4b657a,
    0xff435d6f,
    0xff4b6774,
    0xff4a6672,
    0xff395462,
    0xff45596f,
    0xff415567,
    0xff415365,
    0xff3d4f60,
    0xff445764,
    0xff445764,
    0xff475762,
    0xff4c5d68,
    0xff435e69,
    0xff415d69,
    0xff456072,
    0xff466174,
    0xff4f6d7f,
    0xff536f82,
    0xff52717e,
    0xff506d7b,
    0xff5a7292,
    0xff596f94,
    0xff5a7196,
    0xff667ca1,
    0xff61789d,
    0xff5c7696,
    0xff587592,
    0xff63819c,
    0xff5a7193,
    0xff61789b,
    0xff6a81a3,
    0xff6c85a3,
    0xff6a819b,
    0xff6d8093,
    0xff6c7b8a,
    0xff6f7c8a,
    0xff72768c,
    0xff73778c,
    0xff777a8a,
    0xff797f84,
    0xff848882,
    0xff858a7a,
    0xff6f7464,
    0xff5f6353,
    0xff58644b,
    0xff5b543d,
    0xff505533,
    0xff955840,
    0xffb23c3d,
    0xff931218,
    0xff771700,
    0xfffcb573,
    0xfff1ae64,
    0xffc4743e,
    0xffd8832a,
    0xffffb42d,
    0xfffdb62b,
    0xffffbb1a,
    0xfffdbc09,
    0xffe9a614,
    0xffb46600,
    0xffa54501,
    0xffc0600b,
    0xffaf4909,
    0xffb14015,
    0xffffa35c,
    0xffffae64,
    0xffb33b00,
    0xffa92408,
    0xffa51610,
    0xffa20c0c,
    0xffad1316,
    0xffa40c1b,
    0xffa20a14,
    0xff840001,
    0xff8f3e41,
    0xffa87e80,
    0xff823e4a,
    0xff730015,
    0xff790517,
    0xffa8757d,
    0xffafb0ba,
    0xff9da5ba,
    0xffb6b6ca,
    0xff927f85,
    0xff432628,
    0xffcda5a0,
    0xffb88371,
    0xffc0794c,
    0xfff6a96b,
    0xffb27548,
    0xfffff3e2,
    0xfffffbf6,
    0xffa7604e,
    0xffc86738,
    0xffe49749,
    0xffdb8c40,
    0xffd27a4e,
    0xffe8acac,
    0xffccbedc,
    0xffb3c0e5,
    0xffb5c1e8,
    0xffb3bfe5,
    0xffb3bbe0,
    0xffb7c1e5,
    0xffc2c9ed,
    0xffc5cdf1,
    0xffc6cef2,
    0xffcacff1,
    0xffced3f6,
    0xffc7cff3,
    0xffc5cdf1,
    0xffc4cbf1,
    0xffc0caed,
    0xffc0caed,
    0xffc0c8ef,
    0xffbbc7ef,
    0xffb4c0e7,
    0xffb2c1e7,
    0xffb9c6f0,
    0xffaebbe5,
    0xffa8b5e1,
    0xffa8b8e2,
    0xffa4b2df,
    0xffa0aedc,
    0xff9ba9d6,
    0xff909ecb,
    0xff8592be,
    0xff8d9ac5,
    0xff8997c1,
    0xff8b98c2,
    0xff8d9bc2,
    0xff92a2bc,
    0xff8e9fb3,
    0xff8790b2,
    0xff888ca6,
    0xff7f8e95,
    0xff7b8bac,
    0xff9896ad,
    0xffd3be99,
    0xffa59593,
    0xffab8f88,
    0xffb85b52,
    0xffae3c2f,
    0xffaa3d2f,
    0xffa72e27,
    0xffae3e2b,
    0xffa43512,
    0xffb7462e,
    0xffa94e32,
    0xffb68871,
    0xffdadbda,
    0xff857c91,
    0xff9b9fa7,
    0xffa48e9a,
    0xffaf94a4,
    0xffbab2c1,
    0xffbcb9c5,
    0xffb4b6c4,
    0xffb5bdcb,
    0xffb5c0cf,
    0xffb3bdce,
    0xffb5bbcf,
    0xffaeb3c8,
    0xffb3b5d0,
    0xffb2b2c7,
    0xffb8a8ba,
    0xffdcacb4,
    0xffb16951,
    0xffc6794a,
    0xff9c6248,
    0xffbf9aa4,
    0xffa5a9bb,
    0xffa0a8b9,
    0xffa3a5bf,
    0xffa0a2c0,
    0xffa2a9c0,
    0xff9ba9b9,
    0xff9cadc0,
    0xffa4b0cf,
    0xffa2afc4,
    0xffa2b1c6,
    0xff9fafc8,
    0xffa2b1cd,
    0xff9eb0c9,
    0xffa1b0cb,
    0xff9cacc5,
    0xff94a4bc,
    0xff9aabbe,
    0xffa1b2c4,
    0xff9aabbd,
    0xff9bacbe,
    0xffa5b4c7,
    0xffa1aec1,
    0xffa3aabf,
    0xff9ca1b7,
    0xff8497a2,
    0xff7e8d9b,
    0xff8495a4,
    0xff8592a4,
    0xff9097ad,
    0xffa2a8be,
    0xffb1b8cc,
    0xffbdc2d6,
    0xffc4c6da,
    0xffc4c8d9,
    0xffc6c9d9,
    0xffbdc1ce,
    0xffb8bcc9,
    0xffb5b9c5,
    0xffb7baca,
    0xffb4b7c8,
    0xffadb0c5,
    0xffabaec5,
    0xffa6a9bf,
    0xffacb0c3,
    0xffa0a3b7,
    0xffa5a8bb,
    0xffa7aabd,
    0xffb0b4c4,
    0xffb8bad0,
    0xffb8b9cd,
    0xffb2b5c9,
    0xffa7aabc,
    0xffafb2c1,
    0xffa4acbb,
    0xffa5afbb,
    0xffa0adb8,
    0xff96a7ad,
    0xff93999d,
    0xffa59ea0,
    0xff5e5353,
    0xff999792,
    0xff8c8d84,
    0xff7e7e70,
    0xff7e7867,
    0xff777550,
    0xff6f6b4b,
    0xff6c6547,
    0xff786242,
    0xff805b34,
    0xff7b5125,
    0xff6e4e1d,
    0xff6e5928,
    0xff765c3c,
    0xff605833,
    0xff606349,
    0xff6a726b,
    0xff6c7771,
    0xff6d8371,
    0xff6a8376,
    0xff5c7276,
    0xffeee9ed,
    0xff533e36,
    0xff7b8378,
    0xff6f868e,
    0xff868e93,
    0xff899981,
    0xff6a7f5a,
    0xff5a643f,
    0xff4f502a,
    0xff50522c,
    0xff4e512d,
    0xff404122,
    0xff3c3e1f,
    0xff423c1f,
    0xff2b1e04,
    0xff614a33,
    0xffc17f61,
    0xffb35e3d,
    0xffb24826,
    0xffb13b1b,
    0xffac3517,
    0xffac341d,
    0xffad2c1c,
    0xffa61d10,
    0xffa62320,
    0xffaf1f1e,
    0xffaf201c,
    0xffa92920,
    0xffbd3e34,
    0xffd74d46,
    0xffd05444,
    0xffb15634,
    0xff895f24,
    0xff907230,
    0xff87742e,
    0xff7a6f2b,
    0xff776b2f,
    0xff746730,
    0xff60551c,
    0xff62581b,
    0xff635a1b,
    0xff5d561d,
    0xff555118,
    0xff5d5b20,
    0xff5f5e1d,
    0xff5b5812,
    0xff6c681f,
    0xff665e19,
    0xff535515,
    0xff4f5017,
    0xff444416,
    0xff393c1a,
    0xff30381c,
    0xff263215,
    0xff313815,
    0xff40461c,
    0xff414213,
    0xff3e4011,
    0xff343508,
    0xff34310b,
    0xff343111,
    0xff2d2b11,
    0xff252511,
    0xff232613,
    0xff2e2d11,
    0xff38361e,
    0xff373623,
    0xff3b3d26,
    0xff363b1d,
    0xff3c421f,
    0xff373e17,
    0xff323511,
    0xff383b1b,
    0xff282b10,
    0xff20250e,
    0xff1a1d0a,
    0xff191d0f,
    0xff181c0e,
    0xff131a0e,
    0xff11170b,
    0xff15190f,
    0xff16180f,
    0xff131a10,
    0xff0f190e,
    0xff0e180d,
    0xff101a0e,
    0xff111b0f,
    0xff171f14,
    0xff171d12,
    0xff12180c,
    0xff141a0c,
    0xff181e10,
    0xff232b1b,
    0xff242719,
    0xff1c2012,
    0xff1c2014,
    0xff14170e,
    0xff201f16,
    0xff343127,
    0xff282019,
    0xff272015,
    0xff261b12,
    0xff2f1d14,
    0xff341b15,
    0xff2a1007,
    0xff422e24,
    0xff7c6865,
    0xff1a0405,
    0xff250a0e,
    0xff301212,
    0xff33160e,
    0xff2b1100,
    0xff291c08,
    0xff241808,
    0xff1c1507,
    0xff1d180a,
    0xff1e180a,
    0xff1f150a,
    0xff1e150a,
    0xff1b1608,
    0xff171901,
    0xff1d1407,
    0xff1c130f,
    0xff16160f,
    0xff171309,
    0xff938478,
    0xff0c0100,
    0xff181d0f,
    0xff10150d,
    0xff15150b,
    0xff171308,
    0xff11120a,
    0xff09120b,
    0xff0e170f,
    0xff0d0d02,
    0xff3a2d1d,
    0xffa26e5c,
    0xff844a38,
    0xff7f3827,
    0xff550000,
    0xff6d0700,
    0xff901509,
    0xffb43327,
    0xff861000,
    0xffdb6141,
    0xffc54d2f,
    0xff853018,
    0xffc07b3c,
    0xfffcb34a,
    0xfff8ac38,
    0xffdc8913,
    0xffa16702,
    0xffa56605,
    0xffae6b00,
    0xffaf6a00,
    0xffa5680b,
    0xff9e7607,
    0xff926d35,
    0xffac8565,
    0xff886124,
    0xff794109,
    0xffc99136,
    0xffa96709,
    0xffba770e,
    0xffbb7b0b,
    0xffaf7402,
    0xffae7800,
    0xffb27819,
    0xff9e6000,
    0xffb67d14,
    0xffbd8528,
    0xff9f6711,
    0xffb0791f,
    0xfffbcb62,
    0xff986a28,
    0xff9a7141,
    0xff5b3d10,
    0xff433417,
    0xff121000,
    0xff353110,
    0xff1d0900,
    0xff392300,
    0xff674e12,
    0xffd8b76c,
    0xff54390a,
    0xffdab75f,
    0xfff6d543,
    0xffe3ae24,
    0xffc17713,
    0xfffeca75,
    0xff86691d,
    0xffa17a3e,
    0xff4d070a,
    0xff50050a,
    0xff510007,
    0xff56000b,
    0xff4d000a,
    0xff420a12,
    0xff371c1a,
    0xff2d2721,
    0xff2d2d29,
    0xff1e2d26,
    0xff1c3127,
    0xff222f22,
    0xff222c1e,
    0xff243825,
    0xff233d2d,
    0xff21392b,
    0xff213826,
    0xff22382a,
    0xff1f332d,
    0xff243b34,
    0xff21372e,
    0xff1c3129,
    0xff283d37,
    0xff2d423f,
    0xff30413f,
    0xff3d4d4d,
    0xff3d4d4d,
    0xff48595b,
    0xff4a5f63,
    0xff485e65,
    0xff49646c,
    0xff49676f,
    0xff47676c,
    0xff46676d,
    0xff4e6d74,
    0xff516d75,
    0xff47646c,
    0xff4d696e,
    0xff4b686c,
    0xff4a686b,
    0xff496a71,
    0xff4d6e75,
    0xff40626a,
    0xff3e616a,
    0xff3d616d,
    0xff355b6b,
    0xff375c71,
    0xff345b6f,
    0xff43636f,
    0xff3c5a65,
    0xff3f5e67,
    0xff466469,
    0xff3b585c,
    0xff405c5f,
    0xff3a5454,
    0xff3f585b,
    0xff345059,
    0xff2f4a55,
    0xff45646c,
    0xff405f67,
    0xff2f4c54,
    0xff223d43,
    0xff2a4144,
    0xff2f4546,
    0xff2e4137,
    0xff2a3e2f,
    0xff2c402f,
    0xff314735,
    0xff34493a,
    0xff364b3b,
    0xff384e3a,
    0xff3b5039,
    0xff45563b,
    0xff455336,
    0xff475130,
    0xff424e2d,
    0xff435233,
    0xff475733,
    0xff4d5934,
    0xff515c34,
    0xff4e582f,
    0xff505932,
    0xff535b34,
    0xff565c36,
    0xff50562d,
    0xff51562d,
    0xff51552a,
    0xff53562c,
    0xff4c532b,
    0xff4e542d,
    0xff4d542c,
    0xff484f2a,
    0xff4a522e,
    0xff515839,
    0xff515739,
    0xff5a6044,
    0xff5c6344,
    0xff585e43,
    0xff59614a,
    0xff555f4d,
    0xff5a6456,
    0xff566053,
    0xff525e52,
    0xff515f53,
    0xff5b6966,
    0xff52625e,
    0xff566964,
    0xff576b69,
    0xff546c71,
    0xff557280,
    0xff426078,
    0xff446785,
    0xff48749c,
    0xff416c95,
    0xff39608c,
    0xff446996,
    0xff47699d,
    0xff506da4,
    0xff4d6b9f,
    0xff536fa6,
    0xff5075a3,
    0xff4b6f99,
    0xff55759a,
    0xff4c7690,
    0xff42727f,
    0xff526a71,
    0xff5d676a,
    0xff556f66,
    0xff59635a,
    0xff896263,
    0xff88625e,
    0xff6e6757,
    0xff607960,
    0xff56715c,
    0xff626854,
    0xff597256,
    0xff547550,
    0xff4e704c,
    0xff4f704c,
    0xff547150,
    0xff5b7554,
    0xff5e7750,
    0xff566a42,
    0xff5a6b42,
    0xff58693c,
    0xff536538,
    0xff556639,
    0xff526434,
    0xff536235,
    0xff506033,
    0xff505f34,
    0xff505f37,
    0xff4d5a34,
    0xff535e3a,
    0xff4f5731,
    0xff4a502a,
    0xff494d29,
    0xff4b4f2c,
    0xff4f532f,
    0xff525835,
    0xff505037,
    0xff4d4c34,
    0xff43462d,
    0xff3a4029,
    0xff424932,
    0xff414b33,
    0xff3c482f,
    0xff37442c,
    0xff3c4931,
    0xff3c4a31,
    0xff415033,
    0xff435433,
    0xff425432,
    0xff435634,
    0xff3f5232,
    0xff39492c,
    0xff3f483f,
    0xff36413a,
    0xff303f3a,
    0xff364749,
    0xff3a4d55,
    0xff34444c,
    0xff404e50,
    0xff4a5554,
    0xff49575e,
    0xff44515a,
    0xff495964,
    0xff516270,
    0xff536679,
    0xff4d657b,
    0xff4e6681,
    0xff4a6581,
    0xff43697c,
    0xff406481,
    0xff4e6e97,
    0xff4f6e9e,
    0xff5772a3,
    0xff4d6a96,
    0xff4b6792,
    0xff526d97,
    0xff4e6d93,
    0xff57759e,
    0xff5a79a4,
    0xff5f7aa8,
    0xff5f7aab,
    0xff637eb3,
    0xff6680b7,
    0xff6680b8,
    0xff6783c0,
    0xff6984c3,
    0xff6681c0,
    0xff6e85c7,
    0xff6a83c1,
    0xff6781bc,
    0xff6c86be,
    0xff6a85b9,
    0xff6a7da3,
    0xff7285a5,
    0xff677b96,
    0xff53697d,
    0xff5f7786,
    0xff546e79,
    0xff45626b,
    0xff46636c,
    0xff445867,
    0xff3d5161,
    0xff405662,
    0xff3c525b,
    0xff405354,
    0xff455750,
    0xff47534a,
    0xff495342,
    0xff4a5037,
    0xff4a5136,
    0xff4e5237,
    0xff535533,
    0xff58582d,
    0xff595929,
    0xff5c5a2a,
    0xff605c31,
    0xff5b5d3e,
    0xff645639,
    0xff65582c,
    0xff973c20,
    0xff8c0905,
    0xff89070e,
    0xff6c0300,
    0xfff69578,
    0xffffad6a,
    0xffac451a,
    0xfff28b3e,
    0xffeb8f20,
    0xffe2942b,
    0xffeba925,
    0xfff9b61c,
    0xffdc871a,
    0xffb24b03,
    0xffb25109,
    0xffbf6713,
    0xffac3d04,
    0xffc94016,
    0xffc94b0e,
    0xffd46624,
    0xffb13800,
    0xffee6e3b,
    0xffc7523b,
    0xff96140f,
    0xff990e11,
    0xff980f1a,
    0xff880511,
    0xff9c444b,
    0xff9e7885,
    0xff8d8190,
    0xffa493a8,
    0xff8b5972,
    0xff591529,
    0xff80535f,
    0xff816f7f,
    0xff766b86,
    0xff6d6e82,
    0xff928381,
    0xffc6ada7,
    0xff3f1d19,
    0xff845753,
    0xffecb1a8,
    0xff8a433a,
    0xffffe3e1,
    0xfff9dfe8,
    0xfffff3f9,
    0xffad604e,
    0xffc15331,
    0xffcf6c3b,
    0xffd8782f,
    0xffdc6c23,
    0xffb8694c,
    0xffd6cae5,
    0xffb5c3e6,
    0xffb3c2e4,
    0xffb7c5e7,
    0xffbbc8ea,
    0xffbac7eb,
    0xffbdc6ec,
    0xffc4cdf2,
    0xffc4cdf3,
    0xffc5cdf3,
    0xffc4cbf1,
    0xffc0c7ed,
    0xffc3cbf0,
    0xffc2caef,
    0xffbec7ee,
    0xffbec6ed,
    0xffbec7ee,
    0xffb8c7ed,
    0xffb5c3ea,
    0xffb0bee5,
    0xffadbae4,
    0xffaabae3,
    0xffaebde8,
    0xffaab9e3,
    0xffa8b5e3,
    0xffa0b1e3,
    0xffa2b3e3,
    0xffa1b2e3,
    0xff9caedd,
    0xff8d9dcc,
    0xff8394c0,
    0xff7687b3,
    0xff7384b0,
    0xff6377a1,
    0xff74889f,
    0xff7884a3,
    0xff888ba9,
    0xff8f98aa,
    0xff94a3c2,
    0xffafaece,
    0xffcbbcb6,
    0xffccc1d5,
    0xffead5cb,
    0xffe5947e,
    0xffa42e21,
    0xffa52b2c,
    0xffb9383d,
    0xffa1291e,
    0xffa63621,
    0xffb0392c,
    0xffa44c32,
    0xffe7ccb0,
    0xffa3a09a,
    0xffd6cadc,
    0xffb5a6bd,
    0xffb594ad,
    0xffbcc4cf,
    0xffb3b5ca,
    0xffa6a7bd,
    0xffa8abbf,
    0xffa3a5bb,
    0xffa2a6bb,
    0xffa9adc5,
    0xffb1b5ce,
    0xffb2b6d2,
    0xffb8bedb,
    0xffb6bac9,
    0xffd4c3c9,
    0xffd69fa4,
    0xffb25c45,
    0xffd2753a,
    0xffc3713d,
    0xff9d5a49,
    0xffd5beca,
    0xffc4c0da,
    0xffc1c2e7,
    0xffc0bee0,
    0xffc0c1db,
    0xffb8c6de,
    0xffb6c2e2,
    0xffc3c0e9,
    0xffbac3e6,
    0xffb4bfe2,
    0xffa4b1d6,
    0xff9dabd0,
    0xff9ba9cc,
    0xff9cabcb,
    0xff97a4c1,
    0xff8d9cb4,
    0xff7b8ca2,
    0xff76869e,
    0xff77889c,
    0xff7d8ca2,
    0xff818ca3,
    0xff8792a9,
    0xff8a91a9,
    0xff8f99af,
    0xff7f8c9e,
    0xff7e8fa0,
    0xff8b97ab,
    0xff9ba6bc,
    0xffaab1c8,
    0xffabb1c7,
    0xffaeb5c8,
    0xffbec3d8,
    0xffc0c1da,
    0xffcccee8,
    0xffcacce2,
    0xffc8cadf,
    0xffc8cadf,
    0xffc3c5da,
    0xffcacce3,
    0xffcacce3,
    0xffc8c7e0,
    0xffc6c5de,
    0xffc3c2da,
    0xffbebfd4,
    0xffc4c5d9,
    0xffc0c0d5,
    0xffc6c6db,
    0xffc3c4d6,
    0xffbabace,
    0xffacadbf,
    0xffb1b3c0,
    0xffb3b5be,
    0xffb2b4be,
    0xffb0b5bd,
    0xffaab1bb,
    0xffaab1bb,
    0xffa3aab3,
    0xffaeb4b7,
    0xffa1a3a2,
    0xffa7a5a2,
    0xff645d59,
    0xffa29992,
    0xff938c7d,
    0xff98917a,
    0xff84835c,
    0xff7b7a55,
    0xff867c58,
    0xff896f4d,
    0xff8d5f3c,
    0xff925c39,
    0xff915a38,
    0xff986447,
    0xff875e42,
    0xff796947,
    0xff76775b,
    0xff7c766f,
    0xff828682,
    0xff6a7f75,
    0xff6d8480,
    0xff707883,
    0xffcfc3bb,
    0xff645656,
    0xff7d8683,
    0xff647e7e,
    0xff76808a,
    0xff6d7f79,
    0xff527451,
    0xff4e5133,
    0xff474e2b,
    0xff444e2a,
    0xff4a5331,
    0xff45472b,
    0xff4d462b,
    0xff423b1f,
    0xff332f13,
    0xff535030,
    0xff9f6a4c,
    0xff984e2f,
    0xffa34323,
    0xffa63518,
    0xffac341b,
    0xffb53b24,
    0xffb63522,
    0xffaf291a,
    0xffaf2b29,
    0xff9c1913,
    0xffa82a20,
    0xffb4372d,
    0xffb7352f,
    0xffcc4a41,
    0xffc64f3d,
    0xffb45033,
    0xffaa743e,
    0xff9c7638,
    0xff86702b,
    0xff756c27,
    0xff766f31,
    0xff655e25,
    0xff5f5920,
    0xff625d23,
    0xff635d1b,
    0xff5a5517,
    0xff5a581d,
    0xff575718,
    0xff5a5917,
    0xff636019,
    0xff5d590f,
    0xff5d5611,
    0xff515111,
    0xff4c4b12,
    0xff404111,
    0xff353914,
    0xff353e1d,
    0xff363f1e,
    0xff373d15,
    0xff3f4214,
    0xff4f4a0d,
    0xff514a0a,
    0xff453c05,
    0xff433805,
    0xff392f03,
    0xff332b04,
    0xff2d2708,
    0xff2f2b0b,
    0xff3e3512,
    0xff362f10,
    0xff373317,
    0xff3b391f,
    0xff37371a,
    0xff3a3d1b,
    0xff363a16,
    0xff2f3411,
    0xff353819,
    0xff2e3116,
    0xff1c210a,
    0xff1a1d0a,
    0xff171b0d,
    0xff161a0c,
    0xff11170b,
    0xff11170b,
    0xff12190f,
    0xff151b11,
    0xff1c1e15,
    0xff1e2319,
    0xff1d2117,
    0xff1c2218,
    0xff1c2218,
    0xff1c251a,
    0xff2d3025,
    0xff212517,
    0xff1a1e0f,
    0xff1d2112,
    0xff222615,
    0xff242618,
    0xff1c1e10,
    0xff181a0c,
    0xff1d1d10,
    0xff2b2a1d,
    0xff30291f,
    0xff2f261d,
    0xff271e15,
    0xff261c12,
    0xff2e1c16,
    0xff301914,
    0xff2c1802,
    0xff281209,
    0xff210f12,
    0xff9d8b91,
    0xff554542,
    0xff110100,
    0xff261104,
    0xff2d140a,
    0xff2f1310,
    0xff2e170c,
    0xff231304,
    0xff241504,
    0xff241607,
    0xff211709,
    0xff201906,
    0xff221a04,
    0xff161d00,
    0xff1b1805,
    0xff1e140d,
    0xff201413,
    0xff1a0c07,
    0xff7b6b64,
    0xff1d170a,
    0xff0c1704,
    0xff0e130d,
    0xff14140e,
    0xff11110a,
    0xff0e1109,
    0xff0c150f,
    0xff0b110b,
    0xff121107,
    0xff1e0e02,
    0xff753318,
    0xff651800,
    0xff581500,
    0xff995731,
    0xff9e3e24,
    0xff9c1c13,
    0xff7c0400,
    0xff770a04,
    0xff870600,
    0xffc14432,
    0xff8f2d16,
    0xffc06a37,
    0xffa24e14,
    0xffa7510a,
    0xffd37e26,
    0xffae7318,
    0xffac7712,
    0xffa36b02,
    0xffaa6a0a,
    0xffa86603,
    0xffdcab1e,
    0xffcea459,
    0xff674932,
    0xff9e8d66,
    0xffaf7b51,
    0xff945e16,
    0xffffcf74,
    0xffd7a027,
    0xffb57e00,
    0xffb37b00,
    0xffb67904,
    0xffaa6908,
    0xffaa6d02,
    0xffa86d0f,
    0xffb17b16,
    0xffac7715,
    0xff6d3400,
    0xffa37317,
    0xffdfb657,
    0xffbd975e,
    0xff705e43,
    0xff1d0000,
    0xff170200,
    0xff3e2d09,
    0xffe0ba55,
    0xffffd144,
    0xffe7bd2d,
    0xffc08d17,
    0xffa47a40,
    0xff977122,
    0xfff5d638,
    0xffd49808,
    0xffac5800,
    0xffb5782b,
    0xff8a7049,
    0xff523f33,
    0xff580109,
    0xff540005,
    0xff570104,
    0xff550003,
    0xff520106,
    0xff4e050a,
    0xff460c0f,
    0xff411416,
    0xff2b2622,
    0xff1e3229,
    0xff1b392e,
    0xff24392f,
    0xff2e4032,
    0xff284334,
    0xff25463e,
    0xff254646,
    0xff2e4d4e,
    0xff2b4b4e,
    0xff284551,
    0xff33515d,
    0xff3c5a64,
    0xff3b5b65,
    0xff335460,
    0xff3d5b6d,
    0xff46637c,
    0xff496580,
    0xff435f79,
    0xff4d6882,
    0xff4c6983,
    0xff43627d,
    0xff3c5d7d,
    0xff446584,
    0xff436880,
    0xff375e75,
    0xff43677e,
    0xff3e6175,
    0xff436474,
    0xff40626c,
    0xff43656a,
    0xff46666b,
    0xff4a6a77,
    0xff456872,
    0xff41646f,
    0xff476976,
    0xff3e6270,
    0xff3e6173,
    0xff45687b,
    0xff3e6177,
    0xff3e5c65,
    0xff3c5a61,
    0xff3b585e,
    0xff435f61,
    0xff3d5756,
    0xff435c58,
    0xff415953,
    0xff435954,
    0xff415756,
    0xff3a5451,
    0xff394f4b,
    0xff3c534b,
    0xff3b4e42,
    0xff334234,
    0xff364433,
    0xff3d4a37,
    0xff2d3927,
    0xff303c2b,
    0xff29382a,
    0xff28382d,
    0xff2c3b32,
    0xff304032,
    0xff344532,
    0xff394b33,
    0xff3d4e30,
    0xff3d4c29,
    0xff485430,
    0xff495833,
    0xff404f2e,
    0xff435432,
    0xff455330,
    0xff47532d,
    0xff4e5a33,
    0xff4e5a34,
    0xff505b37,
    0xff515a3a,
    0xff4e5637,
    0xff4d5438,
    0xff4c5335,
    0xff4c5235,
    0xff485242,
    0xff495447,
    0xff4b5547,
    0xff4b564b,
    0xff4d5851,
    0xff566460,
    0xff596565,
    0xff566266,
    0xff5a6a68,
    0xff5e6d72,
    0xff5e6e79,
    0xff617183,
    0xff5c6c84,
    0xff5d7087,
    0xff5e7288,
    0xff62768a,
    0xff5e718a,
    0xff4f6377,
    0xff4a626f,
    0xff47626a,
    0xff45636d,
    0xff436574,
    0xff385c71,
    0xff3e627b,
    0xff375c77,
    0xff446381,
    0xff3f5774,
    0xff3f5570,
    0xff455d74,
    0xff3e596a,
    0xff3e5d6a,
    0xff3e5d68,
    0xff455c5d,
    0xff4a535a,
    0xff4a525b,
    0xff4e5e65,
    0xff545d61,
    0xff65535c,
    0xff6c5054,
    0xff6d5a55,
    0xff944f48,
    0xff9d1621,
    0xff930310,
    0xff993435,
    0xff816753,
    0xff58674b,
    0xff5d6854,
    0xff566e59,
    0xff557053,
    0xff546f53,
    0xff587056,
    0xff526850,
    0xff556a51,
    0xff546449,
    0xff606d52,
    0xff5f6b4d,
    0xff5b693f,
    0xff5d6e40,
    0xff59693c,
    0xff586839,
    0xff59693c,
    0xff5b6b3f,
    0xff5b6b3f,
    0xff526138,
    0xff546035,
    0xff535b31,
    0xff52592f,
    0xff50552c,
    0xff4e4f27,
    0xff51522c,
    0xff4f532e,
    0xff4c502a,
    0xff4a4b23,
    0xff484923,
    0xff434824,
    0xff404928,
    0xff3b492b,
    0xff354328,
    0xff37472d,
    0xff33452a,
    0xff314225,
    0xff384a2e,
    0xff384a34,
    0xff384a3d,
    0xff3d4d4d,
    0xff3c4c56,
    0xff3c4b60,
    0xff3c4c66,
    0xff39505f,
    0xff3b5466,
    0xff345166,
    0xff375676,
    0xff445e88,
    0xff475e8b,
    0xff495d8a,
    0xff536890,
    0xff566f92,
    0xff5c759a,
    0xff5e779c,
    0xff607aa3,
    0xff5a73a1,
    0xff5c77aa,
    0xff5e7db4,
    0xff5979b2,
    0xff5f82b9,
    0xff5678ad,
    0xff6182b4,
    0xff5676a2,
    0xff527199,
    0xff59759c,
    0xff5b759f,
    0xff6079a5,
    0xff597691,
    0xff5a758e,
    0xff506a82,
    0xff506980,
    0xff4e687d,
    0xff4e687b,
    0xff50697c,
    0xff526b7e,
    0xff4e667e,
    0xff475e78,
    0xff4d607c,
    0xff4a5c73,
    0xff516377,
    0xff4e5f6f,
    0xff526571,
    0xff4a5c63,
    0xff596464,
    0xff505854,
    0xff677169,
    0xffa4aea2,
    0xff5b6658,
    0xff525c50,
    0xff56625a,
    0xff515d59,
    0xff4c6050,
    0xff465949,
    0xff3d5340,
    0xff455b46,
    0xff405439,
    0xff4a5937,
    0xff535d33,
    0xff52592b,
    0xff505821,
    0xff555926,
    0xff5a5928,
    0xff5d5729,
    0xff645e2f,
    0xff685e32,
    0xff655730,
    0xff6c5e3c,
    0xff615a3c,
    0xff6f5f43,
    0xff765b37,
    0xff962919,
    0xff9c1214,
    0xff8d0b1b,
    0xff7b020d,
    0xff8e100f,
    0xffe27344,
    0xffa62f0e,
    0xffbe4a14,
    0xffb05113,
    0xff844816,
    0xffbe9b4b,
    0xffd09632,
    0xffe37d35,
    0xffe07425,
    0xffb8560a,
    0xffb54e10,
    0xffb83309,
    0xffd6461a,
    0xffd85724,
    0xffc64b1e,
    0xffcc441a,
    0xffd25923,
    0xffb76649,
    0xff892723,
    0xff8f1b18,
    0xff8a0c11,
    0xff9e1f28,
    0xffffb7ba,
    0xffe7c8d6,
    0xfffad7e8,
    0xfff0dfe7,
    0xffede2ed,
    0xffe0d6e5,
    0xffd1cbd9,
    0xffb7a6b5,
    0xffcdc2d3,
    0xffbdcadc,
    0xffd1c7df,
    0xffc5c0d5,
    0xffd1c6da,
    0xff644554,
    0xff7e5554,
    0xffffe6d3,
    0xffe3c7b2,
    0xffffeadd,
    0xffffe6e3,
    0xff965a46,
    0xffbd5946,
    0xffc35243,
    0xffcd5b36,
    0xffd85b28,
    0xffb45744,
    0xffc5b5cd,
    0xffb4c5e9,
    0xffb4c2e7,
    0xffb8c6ec,
    0xffb5c4e9,
    0xffbbc9f2,
    0xffbecaf3,
    0xffb7c3ed,
    0xffb5c1eb,
    0xffb2bfe8,
    0xffb6c2ec,
    0xffb7c3ec,
    0xffb1bce6,
    0xffafbae5,
    0xffafbbe5,
    0xffb2bfe7,
    0xffb1bee7,
    0xffb3c0ea,
    0xffb5c2ed,
    0xffb1beea,
    0xffb1c0eb,
    0xffaab8e4,
    0xffa5b3e0,
    0xffa0aedd,
    0xff98a6d6,
    0xff96a4d6,
    0xff97a4d5,
    0xff9aa8d9,
    0xff95a2d4,
    0xff8899c7,
    0xff91a2ce,
    0xff9babd7,
    0xffa9b9e7,
    0xffabbaf0,
    0xffb2c5e2,
    0xffc9d2f0,
    0xffd1cef3,
    0xffd6d1ef,
    0xffd6d4f1,
    0xffe5d3ed,
    0xfff9d4da,
    0xffeabaad,
    0xffcc9754,
    0xffe98c3d,
    0xffa72800,
    0xffab250c,
    0xffa92400,
    0xffa92904,
    0xffaf3b2a,
    0xff922812,
    0xff7a321f,
    0xfffffff8,
    0xff887b86,
    0xff93889c,
    0xff9f91a5,
    0xff9d7f94,
    0xff96aab1,
    0xff9eaabe,
    0xffa5acc4,
    0xffacaec7,
    0xffacacc6,
    0xffb5b2ce,
    0xffb8b8d2,
    0xffb1b1ce,
    0xffb3b8d3,
    0xffacbdd6,
    0xffb2bac9,
    0xffc5b8bf,
    0xffe0b0ac,
    0xffa45739,
    0xffc0682a,
    0xffd07d39,
    0xffb86c37,
    0xffa15c4d,
    0xffd9b8c4,
    0xffc3c6e6,
    0xffc2d0ed,
    0xffc0c9e4,
    0xffc0c3e6,
    0xffc0bfe8,
    0xffb9b6de,
    0xffb4bbe2,
    0xffb7c0e9,
    0xffb2bee7,
    0xffa5b1db,
    0xffa0aed7,
    0xffa2add6,
    0xff9daacf,
    0xff9ba5c8,
    0xff96a5c2,
    0xff8d9db9,
    0xff8793b1,
    0xff8b9ab6,
    0xff9ca8c4,
    0xffa7b0cd,
    0xffb1b7d5,
    0xffafb7d3,
    0xffb1bedd,
    0xffb6c0e2,
    0xffb4bfe0,
    0xffb6bee1,
    0xffb9bfe0,
    0xffc8ccec,
    0xffc5cae9,
    0xffc5cae6,
    0xffc8c7eb,
    0xffc7c8e8,
    0xffcdcded,
    0xffceceec,
    0xffc2c2e0,
    0xffc6c7e4,
    0xffc9c9ea,
    0xffbfc0df,
    0xffc5c6dd,
    0xffbdbed2,
    0xffbdbed3,
    0xffbec0d3,
    0xffb9bace,
    0xffbabbce,
    0xffbcbdcf,
    0xffb8b9cb,
    0xffb2b8c1,
    0xffa5aab0,
    0xff848a89,
    0xff6c736d,
    0xff747972,
    0xff707672,
    0xff6c7071,
    0xff616a6a,
    0xff52595c,
    0xff424f4b,
    0xff58685d,
    0xff40493c,
    0xff5d594d,
    0xff392e1e,
    0xff736950,
    0xff56522f,
    0xff544d35,
    0xff635c3c,
    0xff766a40,
    0xff86693c,
    0xff906137,
    0xffa36245,
    0xff894033,
    0xff853d36,
    0xffa98165,
    0xff8e7d53,
    0xff8e8256,
    0xff947f68,
    0xff7e7a73,
    0xff647f79,
    0xff657879,
    0xffd4c6cc,
    0xff67594d,
    0xff878e94,
    0xff748184,
    0xff667e78,
    0xff6d828a,
    0xff7e9192,
    0xff678a69,
    0xff616443,
    0xff4a542e,
    0xff454f2c,
    0xff464b2b,
    0xff515336,
    0xff4d4c2d,
    0xff4b4526,
    0xff463515,
    0xff3a2000,
    0xff8c4f2f,
    0xffa95e3c,
    0xffc86847,
    0xffc15232,
    0xffa12b11,
    0xff971e08,
    0xffa82c17,
    0xffa72817,
    0xffa62820,
    0xffa12c1d,
    0xffa53623,
    0xffa32e1f,
    0xffb13427,
    0xffc14639,
    0xffd05e49,
    0xffbd5739,
    0xffab6a37,
    0xffa47536,
    0xff886d27,
    0xff7b6f27,
    0xff756f2a,
    0xff676223,
    0xff5f591c,
    0xff615c1e,
    0xff615d1b,
    0xff5b5719,
    0xff535116,
    0xff505013,
    0xff555414,
    0xff5c5913,
    0xff5f5b15,
    0xff5c5612,
    0xff555214,
    0xff4a4711,
    0xff3e3e0e,
    0xff393b17,
    0xff2e3414,
    0xff2e3613,
    0xff393f13,
    0xff40400e,
    0xff5c510c,
    0xff72671e,
    0xff746921,
    0xff72671e,
    0xff73671f,
    0xff6d631b,
    0xff6f6820,
    0xff645e17,
    0xff605613,
    0xff4b4209,
    0xff494312,
    0xff3a3a0d,
    0xff3a3b13,
    0xff373912,
    0xff343414,
    0xff2a2a0e,
    0xff2e3212,
    0xff2c2f14,
    0xff222710,
    0xff1b1e0b,
    0xff181d0e,
    0xff15190b,
    0xff12190d,
    0xff131a0d,
    0xff0f190e,
    0xff10180d,
    0xff14170e,
    0xff1b1b13,
    0xff1a1b13,
    0xff1c1d15,
    0xff1b1f15,
    0xff1a2217,
    0xff1e2015,
    0xff1d2115,
    0xff1c1d10,
    0xff1e2013,
    0xff1e2012,
    0xff1b1d0f,
    0xff1e1e10,
    0xff1b1d0f,
    0xff292619,
    0xff342e21,
    0xff34291f,
    0xff31251c,
    0xff2c2119,
    0xff2e2119,
    0xff2f1c17,
    0xff311915,
    0xff361617,
    0xff35150f,
    0xff2c1000,
    0xff1f0700,
    0xff6c534d,
    0xffa9908f,
    0xff220501,
    0xff35170b,
    0xff331614,
    0xff2e1a0f,
    0xff2d1a07,
    0xff2e1607,
    0xff29130c,
    0xff231511,
    0xff271710,
    0xff2c140b,
    0xff25150d,
    0xff23140d,
    0xff1f150c,
    0xff1e160c,
    0xff201609,
    0xff150500,
    0xff907c76,
    0xff0f0200,
    0xff131610,
    0xff161711,
    0xff13140f,
    0xff0e120d,
    0xff0d160f,
    0xff0f160e,
    0xff100e04,
    0xff2a1e13,
    0xffa76b51,
    0xffa33a28,
    0xffc96450,
    0xff7f331a,
    0xff9b3f30,
    0xffb7453e,
    0xff8e1c1e,
    0xff7c0b10,
    0xffbe4238,
    0xffd4604d,
    0xffb9472e,
    0xffad3913,
    0xffa7371b,
    0xffc14e29,
    0xffdb6d30,
    0xffdc872b,
    0xffa3710f,
    0xffa8721d,
    0xffa46e0b,
    0xffae7202,
    0xffd59b18,
    0xffa9731b,
    0xffa6814a,
    0xff695134,
    0xff9a7b66,
    0xff8e6d4f,
    0xffc19c59,
    0xfff7c951,
    0xffecae28,
    0xffc57b10,
    0xffb5710e,
    0xffaa6f03,
    0xffab6c05,
    0xffa56309,
    0xffa56904,
    0xffbf8427,
    0xffac6f2e,
    0xffb78030,
    0xffdfb34e,
    0xffbc9048,
    0xffb89266,
    0xff4f2802,
    0xff9b7c31,
    0xffbb9824,
    0xffd6a21b,
    0xffc99502,
    0xffb68a00,
    0xffe3b13c,
    0xffb18c37,
    0xff7b581f,
    0xfff6db58,
    0xffffdb4c,
    0xffe29939,
    0xffc38a43,
    0xffa98870,
    0xff6b5750,
    0xff5b0008,
    0xff570109,
    0xff540505,
    0xff520503,
    0xff510404,
    0xff51050a,
    0xff4b020a,
    0xff510e19,
    0xff39323f,
    0xff2e4755,
    0xff1c4756,
    0xff2e5464,
    0xff264555,
    0xff365969,
    0xff395f79,
    0xff3a5e82,
    0xff416590,
    0xff416595,
    0xff46699c,
    0xff3b5f92,
    0xff436698,
    0xff416694,
    0xff305587,
    0xff45699f,
    0xff396193,
    0xff4972a1,
    0xff446895,
    0xff3e618a,
    0xff3a5a83,
    0xff486790,
    0xff4d6c94,
    0xff4c6b92,
    0xff4b6e8e,
    0xff446785,
    0xff486a82,
    0xff4f7082,
    0xff486773,
    0xff4b6b6d,
    0xff496766,
    0xff4c6963,
    0xff4b6668,
    0xff4c6668,
    0xff4d6769,
    0xff496266,
    0xff455e64,
    0xff4a636b,
    0xff445c66,
    0xff3f5662,
    0xff3d5457,
    0xff385150,
    0xff364b4b,
    0xff3c534f,
    0xff3b5049,
    0xff34483e,
    0xff31463b,
    0xff2f4235,
    0xff2f3e33,
    0xff354638,
    0xff3c4c3a,
    0xff3e4c36,
    0xff445036,
    0xff424b2f,
    0xff464c2e,
    0xff444629,
    0xff3c472e,
    0xff3a4634,
    0xff2d3a2f,
    0xff25352d,
    0xff22342b,
    0xff2a3e30,
    0xff2b3e2a,
    0xff2e422e,
    0xff30452d,
    0xff384d32,
    0xff5e6e54,
    0xff5b6d54,
    0xff364c36,
    0xff435a47,
    0xff3e533e,
    0xff4b5c44,
    0xff42573a,
    0xff475c42,
    0xff435641,
    0xff48594a,
    0xff48584e,
    0xff485952,
    0xff4a5952,
    0xff475651,
    0xff495e58,
    0xff485c58,
    0xff4a5f5a,
    0xff4e635e,
    0xff4c6260,
    0xff566a6c,
    0xff54686e,
    0xff54686f,
    0xff4e6a6e,
    0xff516b74,
    0xff4a6573,
    0xff526e80,
    0xff536f86,
    0xff4f6d83,
    0xff4a697f,
    0xff4a687c,
    0xff55697d,
    0xff5b6f7d,
    0xff566a70,
    0xff4e6261,
    0xff425854,
    0xff475e5b,
    0xff3d5457,
    0xff334c4f,
    0xff3c4b3d,
    0xff616d63,
    0xff52635e,
    0xff3e5754,
    0xff3a5c5c,
    0xff486c6f,
    0xff4b6770,
    0xff4e626c,
    0xff686666,
    0xff825f68,
    0xffaa7c86,
    0xff856365,
    0xff82645d,
    0xff7f5a4c,
    0xff7f4e3c,
    0xff8e523e,
    0xff8b070e,
    0xffa10111,
    0xffb20216,
    0xffb10014,
    0xff8d2422,
    0xff6f694b,
    0xff5b6e4d,
    0xff5c6b50,
    0xff617651,
    0xff5c704c,
    0xff5f734f,
    0xff5f734c,
    0xff62744a,
    0xff69784e,
    0xff697747,
    0xff6a7646,
    0xff637045,
    0xff636f43,
    0xff5c693a,
    0xff5d6a39,
    0xff576835,
    0xff576736,
    0xff546533,
    0xff4f5f2e,
    0xff525c2e,
    0xff555c30,
    0xff52572e,
    0xff4e522b,
    0xff4b4e2a,
    0xff4c4d2b,
    0xff4b4e2c,
    0xff4e5231,
    0xff4b4f31,
    0xff444a31,
    0xff434d3a,
    0xff3f4d3e,
    0xff3c4c45,
    0xff3c4e4b,
    0xff3d5050,
    0xff425658,
    0xff456366,
    0xff486770,
    0xff496878,
    0xff4d6c84,
    0xff567599,
    0xff5472a3,
    0xff5d7cb6,
    0xff617dbe,
    0xff5b80c6,
    0xff5d84c8,
    0xff5c83c5,
    0xff587ebd,
    0xff587ebc,
    0xff5375ae,
    0xff4e6d9e,
    0xff526e97,
    0xff53698c,
    0xff526785,
    0xff546983,
    0xff53697f,
    0xff4d6576,
    0xff56717d,
    0xff51707a,
    0xff466370,
    0xff475e77,
    0xff3c5268,
    0xff3d505e,
    0xff3f5359,
    0xff4c5a61,
    0xff48565e,
    0xff39444c,
    0xff38414b,
    0xff35414c,
    0xff414c58,
    0xff444e57,
    0xff4a545d,
    0xff475155,
    0xff4a5457,
    0xff4c5659,
    0xff4f5859,
    0xff4c6060,
    0xff4e6161,
    0xff516061,
    0xff4d5754,
    0xff576159,
    0xff505b4c,
    0xff4a5643,
    0xff49533f,
    0xff5b6050,
    0xff5b5e4b,
    0xff565843,
    0xff55573e,
    0xff5f6048,
    0xff5a5a48,
    0xff555549,
    0xff54574e,
    0xff485440,
    0xff42503e,
    0xff3b4d3a,
    0xff384b36,
    0xff37492f,
    0xff414f2e,
    0xff4d562e,
    0xff53592f,
    0xff525428,
    0xff525229,
    0xff555329,
    0xff5c5729,
    0xff625826,
    0xff60551f,
    0xff645925,
    0xff736638,
    0xff675d3a,
    0xff716243,
    0xff77583b,
    0xff8b1a0f,
    0xff951012,
    0xff8a0614,
    0xff97121c,
    0xffbe3632,
    0xffb34d39,
    0xffa43914,
    0xffb85835,
    0xff895642,
    0xff786255,
    0xff76573a,
    0xffbd7843,
    0xffe5853f,
    0xfff99c46,
    0xffba5416,
    0xffc64328,
    0xffc8361d,
    0xffdb552b,
    0xffc95527,
    0xffc1441d,
    0xffd44927,
    0xffbf4b36,
    0xffffd0d2,
    0xff843748,
    0xffd06668,
    0xffa11d1c,
    0xffac201d,
    0xff93291b,
    0xff933e32,
    0xff8f3b28,
    0xff91391f,
    0xff8c3d35,
    0xfffbd6eb,
    0xffe1e8ff,
    0xffd8d4ea,
    0xff947a97,
    0xffe8d9ff,
    0xffdfdcf4,
    0xffdcdafd,
    0xffdfd5fc,
    0xfffff7ff,
    0xff553737,
    0xff472e19,
    0xffe4cab1,
    0xffdfb3a1,
    0xff955d52,
    0xffffcebe,
    0xffcf9187,
    0xffcc8086,
    0xffd68a8d,
    0xffcc7f7a,
    0xffdea8af,
    0xffdcd9ee,
    0xffbdcaf2,
    0xffb7c4ef,
    0xffacb8e3,
    0xffa3afdb,
    0xffa3b0dd,
    0xff9aa7d4,
    0xff9aa7d5,
    0xff9faad9,
    0xff9dabd8,
    0xff97a5d2,
    0xff98a6d3,
    0xff9aa8d5,
    0xffa4b2df,
    0xffa6b4e1,
    0xffa6b5e0,
    0xffabb9e5,
    0xffacb9e6,
    0xffaab7e5,
    0xffa9b6e3,
    0xffa4afe0,
    0xffa6b5e4,
    0xffacbaeb,
    0xffaab9ea,
    0xffb1bef0,
    0xffb8c3f4,
    0xffb5bfee,
    0xffb2beec,
    0xffb2bdec,
    0xffa5b3de,
    0xff9dabd4,
    0xff98a5cf,
    0xff919ec9,
    0xff97a0cb,
    0xff9dabbf,
    0xff999aaf,
    0xffb29fbf,
    0xffc3a4bd,
    0xffbd9ba5,
    0xffc18b8d,
    0xffd18679,
    0xffd88350,
    0xffdd8e2d,
    0xffd16e05,
    0xffe66623,
    0xffdf5d24,
    0xffdc5911,
    0xffd44a15,
    0xffa82c13,
    0xffffba80,
    0xfffacfb1,
    0xffdcd5df,
    0xff937c9d,
    0xffbab0cb,
    0xffbcb7cb,
    0xffbfafc8,
    0xffc0c8dd,
    0xffb8c6dd,
    0xffbbc4de,
    0xffc5c9e1,
    0xffc9c7de,
    0xffc8c5dd,
    0xffbfbfd9,
    0xffc3c4e0,
    0xffbfc5df,
    0xffbac3dc,
    0xffbabad7,
    0xffd6c4d8,
    0xffc19b93,
    0xff935738,
    0xff964922,
    0xffc3753c,
    0xffc97a31,
    0xffb6642b,
    0xffa26050,
    0xffceafc2,
    0xffacb1cb,
    0xffb0b9d8,
    0xffb5b5df,
    0xffbabae1,
    0xffb6c0dc,
    0xffb0bada,
    0xffaab3d8,
    0xffa1add4,
    0xffa1add7,
    0xff94a1ce,
    0xff99a4d0,
    0xff99a5cf,
    0xff9ea8d3,
    0xff94a1c9,
    0xff9caacf,
    0xffabb7dd,
    0xffaeb7dc,
    0xffb5bee2,
    0xffc4c9ed,
    0xffb8bee0,
    0xffb6bdde,
    0xffb0b9de,
    0xffb5c0e5,
    0xffb8bfe5,
    0xffbcc5e8,
    0xffbdc3e6,
    0xffc1c6e5,
    0xffc0c6e3,
    0xffc6cae6,
    0xffcecfea,
    0xffd1d2eb,
    0xffc9cce3,
    0xffd0d2e9,
    0xffc9cbdf,
    0xffd0d3ea,
    0xffd1d3ea,
    0xffc5c7de,
    0xffccd0ee,
    0xffc0c3e2,
    0xffbabdda,
    0xffb1b4d2,
    0xffacafca,
    0xffadb0cb,
    0xffa4a9c0,
    0xffa0a5bc,
    0xffa3aabe,
    0xffadb4c4,
    0xffa6aeb9,
    0xff99a1a8,
    0xff818a90,
    0xff80888f,
    0xff9197a1,
    0xffa6acb7,
    0xffa1a6ac,
    0xff95a2a3,
    0xff94a79e,
    0xff94a19a,
    0xff999b91,
    0xff84796b,
    0xff71654d,
    0xff9b8f6e,
    0xff9c8277,
    0xffa2826e,
    0xffa07957,
    0xff956135,
    0xff985427,
    0xffb9683f,
    0xffc46948,
    0xff8d3217,
    0xff6a2c13,
    0xff9b6839,
    0xffa76f35,
    0xffa56940,
    0xff8b7363,
    0xff748784,
    0xff616d6c,
    0xffe5cec7,
    0xff584e44,
    0xff6c8791,
    0xff6e7e87,
    0xff667a70,
    0xff648281,
    0xff6e807f,
    0xff5e7252,
    0xff5d6136,
    0xff465429,
    0xff535631,
    0xff666143,
    0xff585c3a,
    0xff555d39,
    0xff574f2a,
    0xff6d3e20,
    0xff7f2e16,
    0xff7f2a07,
    0xffa0421e,
    0xffc55d36,
    0xffdc6a4a,
    0xffbb462b,
    0xff9c2511,
    0xffa42f1c,
    0xffb74331,
    0xff9a2514,
    0xff9f361e,
    0xffab462d,
    0xffa83923,
    0xffac3121,
    0xffb93f2f,
    0xffbe5237,
    0xffc46642,
    0xffb16f37,
    0xffa77433,
    0xff927227,
    0xff766619,
    0xff736a1f,
    0xff736a28,
    0xff645a1a,
    0xff5e5718,
    0xff5d5817,
    0xff5b5519,
    0xff534e17,
    0xff525118,
    0xff585517,
    0xff5f5b18,
    0xff5d5515,
    0xff615918,
    0xff5b551c,
    0xff4e4915,
    0xff444215,
    0xff373914,
    0xff363c1b,
    0xff3c431e,
    0xff424317,
    0xff55521d,
    0xff665810,
    0xff66570d,
    0xff5e5006,
    0xff605108,
    0xff63560e,
    0xff675e15,
    0xff696219,
    0xff6b6319,
    0xff6d5e1a,
    0xff584c0f,
    0xff4b4410,
    0xff444014,
    0xff393b11,
    0xff32340e,
    0xff343514,
    0xff323217,
    0xff2a2d0d,
    0xff272a0f,
    0xff242912,
    0xff1f220f,
    0xff191d0f,
    0xff171a0c,
    0xff11180c,
    0xff11180c,
    0xff071207,
    0xff0c140a,
    0xff15180f,
    0xff191a12,
    0xff1b1912,
    0xff181710,
    0xff15180f,
    0xff141910,
    0xff181a13,
    0xff15150e,
    0xff13140b,
    0xff17180f,
    0xff191a11,
    0xff18170d,
    0xff1a1a10,
    0xff1e1e13,
    0xff211d11,
    0xff30291e,
    0xff382820,
    0xff302018,
    0xff2e1f16,
    0xff2c1c14,
    0xff2a160f,
    0xff361e1a,
    0xff2f1b14,
    0xff2f1913,
    0xff341b10,
    0xff260f01,
    0xff281907,
    0xff291a08,
    0xffaf9b91,
    0xff452d26,
    0xff2e0f02,
    0xff39210b,
    0xff240f00,
    0xff34180b,
    0xff27120d,
    0xff1b1813,
    0xff17110e,
    0xff2a1414,
    0xff260b10,
    0xff23130f,
    0xff1f170d,
    0xff1f150c,
    0xff1f140a,
    0xff170a03,
    0xff81776c,
    0xff190e01,
    0xff14150a,
    0xff12130d,
    0xff0f120c,
    0xff0e1411,
    0xff0a110a,
    0xff0f140b,
    0xff0f1006,
    0xff140f07,
    0xff210f00,
    0xff7a3028,
    0xff843028,
    0xff7a402d,
    0xff672e1d,
    0xff854238,
    0xff51100d,
    0xff561210,
    0xff7b3221,
    0xffa65f46,
    0xff932903,
    0xffd45117,
    0xfff0742e,
    0xffb93b04,
    0xff9d2500,
    0xffc76627,
    0xffffc772,
    0xffc37c2f,
    0xffa16400,
    0xffca8e1a,
    0xffdda230,
    0xffb27e0d,
    0xffdcb443,
    0xff9b793e,
    0xff6f6653,
    0xff73676c,
    0xff998577,
    0xffb3864d,
    0xffd0812e,
    0xffa14700,
    0xffa75f0c,
    0xffa5740d,
    0xffb36f15,
    0xffa55e01,
    0xffa45d03,
    0xffaa6519,
    0xffa66322,
    0xff9e6314,
    0xffa8721a,
    0xff875100,
    0xff834306,
    0xffa67f50,
    0xff845c07,
    0xffcc9110,
    0xffb98000,
    0xffd2a616,
    0xffd1ac07,
    0xffc8a400,
    0xfffff378,
    0xff5d4209,
    0xffc49e3b,
    0xfff7b549,
    0xffcb7e2a,
    0xffe8ac5f,
    0xffbd9164,
    0xff7a592f,
    0xff54020a,
    0xff520309,
    0xff510207,
    0xff530206,
    0xff540308,
    0xff520309,
    0xff4d030a,
    0xff470912,
    0xff4c3757,
    0xff4d5b84,
    0xff3d6999,
    0xff416da3,
    0xff385e94,
    0xff3c6495,
    0xff426ca2,
    0xff4467a8,
    0xff40699f,
    0xff3f68a2,
    0xff436ca7,
    0xff436aa5,
    0xff446aa0,
    0xff3e6799,
    0xff3d6396,
    0xff3f6497,
    0xff406a9b,
    0xff406897,
    0xff476c96,
    0xff496b90,
    0xff4c6a8b,
    0xff4d6986,
    0xff486480,
    0xff4a647f,
    0xff4b657a,
    0xff476174,
    0xff456170,
    0xff456067,
    0xff3f5a5b,
    0xff405950,
    0xff475f52,
    0xff485d4d,
    0xff48584f,
    0xff4d5d54,
    0xff4d5c52,
    0xff45544b,
    0xff44524c,
    0xff3f4e49,
    0xff384643,
    0xff354342,
    0xff33453c,
    0xff304138,
    0xff2a3b33,
    0xff2b3d33,
    0xff203128,
    0xff27372d,
    0xff27372c,
    0xff25372b,
    0xff263426,
    0xff253423,
    0xff293522,
    0xff323e23,
    0xff3d472d,
    0xff495235,
    0xff444a30,
    0xff41472b,
    0xff35452b,
    0xff30422d,
    0xff2c4036,
    0xff2f473e,
    0xff375244,
    0xff31493a,
    0xff2a4331,
    0xff384f3f,
    0xff314e45,
    0xff385248,
    0xff435a52,
    0xff3b564d,
    0xff4b6867,
    0xff416262,
    0xff486665,
    0xff4b6665,
    0xff49665f,
    0xff4e6b66,
    0xff496465,
    0xff455f65,
    0xff425d67,
    0xff47606d,
    0xff425b6b,
    0xff4b6475,
    0xff446169,
    0xff49676c,
    0xff4d686c,
    0xff435f62,
    0xff536c6f,
    0xff4e6669,
    0xff50686c,
    0xff5b7277,
    0xff537277,
    0xff4e6e73,
    0xff506f76,
    0xff4d6c72,
    0xff4b6971,
    0xff526f78,
    0xff4c6a72,
    0xff506e77,
    0xff517474,
    0xff426561,
    0xff3f605b,
    0xff42605a,
    0xff3e5854,
    0xff3a5553,
    0xff3b5556,
    0xff3a5359,
    0xff394758,
    0xff344756,
    0xff435b63,
    0xff405f63,
    0xff3e5f5b,
    0xff4a5c54,
    0xff534b43,
    0xff694a48,
    0xff864e51,
    0xff620714,
    0xff740718,
    0xff72161f,
    0xff763a32,
    0xff6b533d,
    0xff675239,
    0xff744130,
    0xffa9343d,
    0xff8a0414,
    0xff9e0c1d,
    0xffb10215,
    0xff8e0705,
    0xff895d37,
    0xff686a35,
    0xff667942,
    0xff617540,
    0xff61733e,
    0xff5e7139,
    0xff5f7339,
    0xff5c7035,
    0xff5e7031,
    0xff607030,
    0xff637331,
    0xff5f6e3a,
    0xff626f3b,
    0xff606e37,
    0xff5e7038,
    0xff5b6c35,
    0xff596a33,
    0xff576832,
    0xff546430,
    0xff545e32,
    0xff545d36,
    0xff515a37,
    0xff505536,
    0xff4c5137,
    0xff4f563e,
    0xff535b46,
    0xff404a34,
    0xff485242,
    0xff475246,
    0xff505f59,
    0xff4f6162,
    0xff4c6166,
    0xff566c75,
    0xff4f6572,
    0xff526776,
    0xff556d8e,
    0xff5a7294,
    0xff5f7999,
    0xff5a7595,
    0xff537092,
    0xff557294,
    0xff4a688a,
    0xff49668a,
    0xff47648c,
    0xff3a597c,
    0xff365673,
    0xff37556e,
    0xff324f63,
    0xff3c5560,
    0xff375151,
    0xff3b514b,
    0xff3e4e54,
    0xff3e4e52,
    0xff465255,
    0xff4d5a5a,
    0xff4c5957,
    0xff465653,
    0xff3f524e,
    0xff334a45,
    0xff314c4f,
    0xff2c4448,
    0xff2e444a,
    0xff344855,
    0xff2f3d51,
    0xff333f53,
    0xff3a454f,
    0xff475557,
    0xff3c504b,
    0xff3d514d,
    0xff40514e,
    0xff394b4b,
    0xff435455,
    0xff37484c,
    0xff3d4c4e,
    0xff435357,
    0xff3e5251,
    0xff465955,
    0xff4c5a53,
    0xff4f5b51,
    0xff4f594b,
    0xff55614d,
    0xff59654d,
    0xff505c43,
    0xff555e48,
    0xff5a6149,
    0xff686e4f,
    0xff686f4a,
    0xff666d46,
    0xff616741,
    0xff636b46,
    0xff59603e,
    0xff505a41,
    0xff4a5640,
    0xff3e4e3b,
    0xff364937,
    0xff344630,
    0xff49573e,
    0xff495131,
    0xff4d5331,
    0xff53563b,
    0xff515139,
    0xff575339,
    0xff5a5235,
    0xff605935,
    0xff645c36,
    0xff69643c,
    0xff635d3a,
    0xff5e5b35,
    0xff615738,
    0xff705134,
    0xff9f2e21,
    0xff8f0d07,
    0xff951113,
    0xff860707,
    0xffc25645,
    0xff85382e,
    0xffbe6541,
    0xff804421,
    0xff645e54,
    0xff676059,
    0xff955445,
    0xffe08056,
    0xffb56516,
    0xffdf7636,
    0xffd25f31,
    0xffce462e,
    0xffdd4c2e,
    0xffd14920,
    0xffd54e20,
    0xffca4a0b,
    0xffbf4a1b,
    0xffa25853,
    0xffac91a6,
    0xff977488,
    0xffc4686c,
    0xff8a0a09,
    0xffa61e18,
    0xff9f230e,
    0xffaa371b,
    0xff954710,
    0xffa8480b,
    0xff9d300d,
    0xffc7878e,
    0xffc7c2dc,
    0xffc0bdd7,
    0xffd4b6d3,
    0xff705473,
    0xff8f929a,
    0xffa093b2,
    0xffb6a1ce,
    0xff9f92ae,
    0xfffff4ff,
    0xff9a767e,
    0xff6c3843,
    0xff8b545c,
    0xffa65552,
    0xff936058,
    0xffedd5d6,
    0xffb4a5b4,
    0xffbeb4cd,
    0xffb2a9c4,
    0xffa4a5bd,
    0xff93a5ba,
    0xff8997bf,
    0xff909ec7,
    0xff96a3cd,
    0xff93a0cb,
    0xff97a4d1,
    0xff9dabd8,
    0xffa2afdc,
    0xff9facd9,
    0xffa2b3dd,
    0xffa3b4de,
    0xffa8b9e3,
    0xffacbbe5,
    0xffafbde8,
    0xffaebde8,
    0xffadbbe8,
    0xffadbbe9,
    0xffafbbe7,
    0xffb0bce8,
    0xffacb7e6,
    0xffb0bce9,
    0xffacb9e8,
    0xffaab6e5,
    0xffa6b1e3,
    0xff9eaadb,
    0xff9ca7d3,
    0xff949fcd,
    0xff99a6d0,
    0xff9ba2cf,
    0xffa3add6,
    0xffa5aed7,
    0xffa9b1d8,
    0xff9ca4cc,
    0xff989ac4,
    0xff9b9cba,
    0xffa793ad,
    0xffc991b2,
    0xffb56c87,
    0xffac5d65,
    0xffc26861,
    0xffe37965,
    0xffef945b,
    0xffffae66,
    0xffed934a,
    0xffc24e0e,
    0xffc4480f,
    0xffcf4e1b,
    0xffd0421d,
    0xffb33f19,
    0xfffac369,
    0xfff0d6ab,
    0xff94889b,
    0xffcab6e0,
    0xffb3b2d0,
    0xffbdb9d5,
    0xffabaccd,
    0xffbfb5e2,
    0xffafbad6,
    0xffb2bbd4,
    0xffbabed8,
    0xffbdbdd4,
    0xffbebed6,
    0xffbdbcd6,
    0xffbfc2dd,
    0xffbec4e0,
    0xffc1bfd9,
    0xffc3b6df,
    0xffdac3e4,
    0xffb69499,
    0xff9d6f66,
    0xffa66962,
    0xffab6145,
    0xffd38946,
    0xffca8533,
    0xffaa572d,
    0xffa45959,
    0xffd5b2c9,
    0xffa9abcd,
    0xffa7b2d9,
    0xffa3afd3,
    0xffa7b9d1,
    0xffacb7d6,
    0xffa8b3d6,
    0xffa7b3da,
    0xffa8b5e1,
    0xffa4b1de,
    0xffa4b2de,
    0xffa3addc,
    0xffa7b1e0,
    0xffa2afda,
    0xffaebce6,
    0xffaab3de,
    0xffb0b8e1,
    0xffb8bce4,
    0xffbbc1e6,
    0xffc0c6ea,
    0xffb6bce1,
    0xffaeb9d5,
    0xffa8b2cd,
    0xffa8b2cd,
    0xffabb2cd,
    0xffb0b8d1,
    0xffb8bed4,
    0xffb5bcd0,
    0xffb3b9cb,
    0xffb7bbc6,
    0xffb3b6c1,
    0xffa7abb4,
    0xffb5bac1,
    0xffa9aeb4,
    0xffa6aab1,
    0xffb7bbc4,
    0xffafb2bc,
    0xffaab1c4,
    0xffb0b7cb,
    0xffa6adc0,
    0xffabb2c3,
    0xffa8b1c1,
    0xffa4acbb,
    0xffa7afbf,
    0xffa8b0be,
    0xffabb2c5,
    0xffaeb7ca,
    0xffb7c1d3,
    0xffb2bdcb,
    0xffb4bccb,
    0xffb5bdc9,
    0xffb5bbc9,
    0xffa9acbb,
    0xff9895a4,
    0xffb8bbc7,
    0xffacb2ba,
    0xffabb1b4,
    0xffa7a7a8,
    0xffb2a6a4,
    0xff654f42,
    0xff8e735e,
    0xff97866f,
    0xff9d8368,
    0xff9c7152,
    0xff9e603a,
    0xff9b4b22,
    0xffaf511f,
    0xffaf4a09,
    0xffe97f38,
    0xffae4c31,
    0xffa9431b,
    0xffc15015,
    0xffc25821,
    0xff9c6040,
    0xff796f65,
    0xffa8a69e,
    0xff978473,
    0xff646461,
    0xff586d75,
    0xff657279,
    0xff5a6860,
    0xff5b7168,
    0xff667569,
    0xff656e50,
    0xff515826,
    0xff404c1f,
    0xff4b4e25,
    0xff4f4827,
    0xff424623,
    0xff39421a,
    0xff43330c,
    0xff783012,
    0xffb03624,
    0xffb64527,
    0xffb94927,
    0xffca5b34,
    0xffd05e3b,
    0xffc14f33,
    0xffa93922,
    0xffa73b26,
    0xffae432d,
    0xffbb523e,
    0xffa8452c,
    0xffa64528,
    0xffa84128,
    0xffad3624,
    0xffa42817,
    0xffb54a2f,
    0xffb9673f,
    0xffa86d32,
    0xffa0712c,
    0xff927324,
    0xff7b6915,
    0xff77681b,
    0xff746521,
    0xff6d5f1d,
    0xff685d1c,
    0xff635a1c,
    0xff5e571b,
    0xff565119,
    0xff58531b,
    0xff5c5819,
    0xff625a1a,
    0xff625814,
    0xff635716,
    0xff554d16,
    0xff4c4511,
    0xff4b4719,
    0xff3e3d17,
    0xff353b18,
    0xff3b4019,
    0xff3f3f0e,
    0xff4f4911,
    0xff6a5e0d,
    0xff65570c,
    0xff514301,
    0xff514404,
    0xff504108,
    0xff4b3e07,
    0xff473907,
    0xff3d3000,
    0xff412f03,
    0xff45350d,
    0xff3f3513,
    0xff3b3817,
    0xff393a17,
    0xff373815,
    0xff363717,
    0xff2f2e10,
    0xff313314,
    0xff313419,
    0xff32361f,
    0xff272a17,
    0xff1a1f10,
    0xff1a1e0f,
    0xff13190d,
    0xff11160a,
    0xff0a1106,
    0xff0a1106,
    0xff101209,
    0xff12140b,
    0xff12140c,
    0xff15160e,
    0xff10130a,
    0xff171a11,
    0xff15180f,
    0xff11150d,
    0xff10110c,
    0xff14140f,
    0xff13140e,
    0xff15170e,
    0xff131309,
    0xff1a190f,
    0xff1f1a0e,
    0xff2c1f16,
    0xff432f28,
    0xff37251b,
    0xff341f16,
    0xff321d14,
    0xff331a14,
    0xff341811,
    0xff2a1908,
    0xff2f1204,
    0xff2c0300,
    0xff2f0600,
    0xff290500,
    0xff331803,
    0xff2b1200,
    0xff7a5b41,
    0xff885f48,
    0xff240100,
    0xff785143,
    0xff59201c,
    0xff4e1b0e,
    0xff270800,
    0xff431a02,
    0xff712c1f,
    0xff4f0f0f,
    0xff341009,
    0xff1d1205,
    0xff16170b,
    0xff171a13,
    0xff151c0f,
    0xff0c0b00,
    0xff8f836d,
    0xff100e00,
    0xff16160d,
    0xff0f140d,
    0xff0d130f,
    0xff10170e,
    0xff0a0f03,
    0xff0b0a03,
    0xff13150e,
    0xff011303,
    0xff120500,
    0xff372118,
    0xff0f0500,
    0xff130800,
    0xff140300,
    0xff120900,
    0xff130f05,
    0xff543013,
    0xff240200,
    0xff97452a,
    0xfff88a47,
    0xffd36f09,
    0xffd56b12,
    0xffb54014,
    0xff962301,
    0xffd56534,
    0xffce652b,
    0xffd98328,
    0xff9c5409,
    0xffbe8420,
    0xffbf931a,
    0xffd5b12a,
    0xffbc953c,
    0xff947746,
    0xff7e6f5f,
    0xff78706f,
    0xff927c7a,
    0xffac7b51,
    0xffb26d15,
    0xffb26709,
    0xff965100,
    0xffa95c0d,
    0xffa25501,
    0xffa35307,
    0xffa9591e,
    0xffd8914c,
    0xffdd9c48,
    0xffbc7c24,
    0xffd99838,
    0xff9b5d00,
    0xffa88749,
    0xffa47a41,
    0xffad6b03,
    0xffcc9409,
    0xffeac119,
    0xffffd02e,
    0xffbb8a00,
    0xffb79e21,
    0xff735615,
    0xffb1773a,
    0xff862500,
    0xffd3723b,
    0xffd88d44,
    0xffaa713c,
    0xffc29e75,
    0xff53060a,
    0xff520409,
    0xff530309,
    0xff57020b,
    0xff580009,
    0xff52010b,
    0xff4d060b,
    0xff48090e,
    0xff3f0e2c,
    0xff625c87,
    0xff4868a3,
    0xff3c66aa,
    0xff4268a7,
    0xff446ca2,
    0xff3c649b,
    0xff3d609b,
    0xff38618b,
    0xff3b648f,
    0xff416894,
    0xff41668e,
    0xff436587,
    0xff395b73,
    0xff34546d,
    0xff36556e,
    0xff365768,
    0xff375664,
    0xff3d5964,
    0xff385559,
    0xff3c5757,
    0xff455c5b,
    0xff415955,
    0xff425b54,
    0xff455959,
    0xff415454,
    0xff405653,
    0xff41574f,
    0xff465c51,
    0xff455a4b,
    0xff445542,
    0xff4b5b46,
    0xff45533c,
    0xff46533e,
    0xff46533e,
    0xff434f3b,
    0xff434d3c,
    0xff424d3d,
    0xff41493c,
    0xff3c4438,
    0xff323d32,
    0xff2c382c,
    0xff263329,
    0xff213026,
    0xff213228,
    0xff22362d,
    0xff20342d,
    0xff1d312a,
    0xff23372e,
    0xff2a3d32,
    0xff2a3e2f,
    0xff314431,
    0xff3c503b,
    0xff3e503d,
    0xff374737,
    0xff3c4b3d,
    0xff33473b,
    0xff2d453f,
    0xff354f50,
    0xff2d4b4d,
    0xff244441,
    0xff2a4b47,
    0xff3b5957,
    0xff415d5f,
    0xff3f6060,
    0xff3d5d5b,
    0xff3f5d5b,
    0xff3f5f61,
    0xff496c73,
    0xff416774,
    0xff426673,
    0xff416470,
    0xff46667c,
    0xff3e5f76,
    0xff476780,
    0xff446680,
    0xff446680,
    0xff436580,
    0xff426780,
    0xff496b85,
    0xff456487,
    0xff435f80,
    0xff46617d,
    0xff48627a,
    0xff51677a,
    0xff536879,
    0xff4c5e6f,
    0xff536474,
    0xff5d7084,
    0xff4b5f6f,
    0xff4b606b,
    0xff51656b,
    0xff4d6064,
    0xff516166,
    0xff48595e,
    0xff485a5f,
    0xff3c5c4f,
    0xff466555,
    0xff4d6a5e,
    0xff476158,
    0xff496159,
    0xff476057,
    0xff466159,
    0xff49655c,
    0xff42544c,
    0xff4b524b,
    0xff3f3936,
    0xff544744,
    0xff654f4a,
    0xff7b534c,
    0xffa9635e,
    0xffda7e7c,
    0xff891a27,
    0xff7b000e,
    0xff7f000b,
    0xff810109,
    0xff892422,
    0xff77543c,
    0xff595a38,
    0xff9b846d,
    0xffbc5c62,
    0xff921024,
    0xff96051f,
    0xff93000f,
    0xff8d2117,
    0xff815a2f,
    0xff6e7033,
    0xff597a36,
    0xff63743e,
    0xff677540,
    0xff64753e,
    0xff60743a,
    0xff607339,
    0xff63773b,
    0xff65793f,
    0xff66783d,
    0xff66733d,
    0xff62743e,
    0xff61733d,
    0xff637440,
    0xff5d6c3e,
    0xff5a6c40,
    0xff57663f,
    0xff50603b,
    0xff4e5d32,
    0xff4a5831,
    0xff4a5735,
    0xff435034,
    0xff414e3a,
    0xff364534,
    0xff2d4031,
    0xff314333,
    0xff34442f,
    0xff334532,
    0xff354a3c,
    0xff374e44,
    0xff375148,
    0xff334d45,
    0xff3d584f,
    0xff4b6258,
    0xff495a50,
    0xff3e4e44,
    0xff36463f,
    0xff3f504d,
    0xff3e4e4d,
    0xff3d4f50,
    0xff3b4d50,
    0xff324348,
    0xff324347,
    0xff34454b,
    0xff3a4b55,
    0xff3a4c60,
    0xff445571,
    0xff4e5c80,
    0xff4d5b7f,
    0xff525e81,
    0xff496774,
    0xff4e6b79,
    0xff4b6575,
    0xff4b6378,
    0xff566d87,
    0xff566f8f,
    0xff5c779c,
    0xff5977a0,
    0xff5581a3,
    0xff5983a4,
    0xff5883a4,
    0xff587ea4,
    0xff5e80ae,
    0xff5e7ea9,
    0xff59799e,
    0xff6a89a3,
    0xff627a93,
    0xff586f85,
    0xff4e677a,
    0xff5b7280,
    0xff556d78,
    0xff597076,
    0xff5a7374,
    0xff506968,
    0xff556965,
    0xff4f5e5a,
    0xff4d5853,
    0xff495248,
    0xff3c4336,
    0xff49513f,
    0xff4c5440,
    0xff4a573f,
    0xff4d5934,
    0xff606a43,
    0xff60683e,
    0xff565d2e,
    0xff57602c,
    0xff565c27,
    0xff4e571f,
    0xff4c541e,
    0xff414c24,
    0xff374520,
    0xff334526,
    0xff364d30,
    0xff30472b,
    0xff415337,
    0xff435031,
    0xff4d5733,
    0xff4f582a,
    0xff4b5227,
    0xff4f502a,
    0xff555531,
    0xff5d5c37,
    0xff545531,
    0xff575a3c,
    0xff52573e,
    0xff4c5640,
    0xff5e5443,
    0xff764d3a,
    0xffa52b20,
    0xff950f07,
    0xff9e161b,
    0xff74060b,
    0xffa46759,
    0xff815353,
    0xff9c6a59,
    0xff7c5f53,
    0xff656f77,
    0xff656670,
    0xffa26e6b,
    0xffba7565,
    0xffae7a62,
    0xffba5e51,
    0xffdf7752,
    0xffe76c41,
    0xffc34a24,
    0xffc75847,
    0xffc1492b,
    0xffbb4a12,
    0xffa2513a,
    0xffd3bac1,
    0xffc4d2ee,
    0xffeae7fd,
    0xff832f39,
    0xff92141d,
    0xff992220,
    0xffab2d18,
    0xffbd431a,
    0xffba5319,
    0xffbb5916,
    0xffab400b,
    0xff872f19,
    0xffd6aaba,
    0xffcab3df,
    0xffdebde7,
    0xffdabacc,
    0xffafbfd8,
    0xffa8aad8,
    0xffbab9e8,
    0xffb9c5e1,
    0xffb5c2d6,
    0xffb7b0c9,
    0xff81667a,
    0xff836263,
    0xff652e2b,
    0xff774b4d,
    0xffb7adb9,
    0xffa4b6cb,
    0xffa7b3d4,
    0xffb3b7db,
    0xffbac0e2,
    0xff989ebf,
    0xffbdc8ed,
    0xffafbbe1,
    0xffb2bee5,
    0xffb9c5ec,
    0xffbcc8f0,
    0xffc2cdf5,
    0xffbcc7f0,
    0xffc2cef6,
    0xffbecdef,
    0xffc0cef1,
    0xffbfccf1,
    0xffbdc9ee,
    0xffc3cdf4,
    0xffb8c3eb,
    0xffbec8f0,
    0xffbbc6ee,
    0xffbcc5ed,
    0xffb9c1ea,
    0xffb8c1eb,
    0xffb1bde5,
    0xffaeb9e4,
    0xffadb8e3,
    0xffa6b1dd,
    0xffa5b2de,
    0xffa9b7e1,
    0xffa6b3dc,
    0xffa8b5e0,
    0xffa3b0d7,
    0xff9fa7d1,
    0xff9da4ca,
    0xff9ca4cb,
    0xffa0a9d0,
    0xffa2a8d1,
    0xffa39abf,
    0xffb0809c,
    0xffb95b71,
    0xffc74f65,
    0xffcf5965,
    0xffce5d58,
    0xffda685a,
    0xffda7f59,
    0xffde8859,
    0xffffb27e,
    0xffa93409,
    0xff9f2104,
    0xff951806,
    0xffa21f0c,
    0xffb75b30,
    0xffffcd85,
    0xffb08f79,
    0xff83728b,
    0xffc7c2e4,
    0xffbdc3db,
    0xffc0accf,
    0xffc4d1ed,
    0xffcbc3e9,
    0xffc4c9e7,
    0xffc0c5e2,
    0xffc1c5e0,
    0xffc7c8e2,
    0xffc9cae6,
    0xffbfc2df,
    0xffc6cbeb,
    0xffbdc2e4,
    0xffc3c1e2,
    0xffbbb7de,
    0xffd2c7eb,
    0xffc7bdd1,
    0xffdac5d9,
    0xffc49db1,
    0xffb77d7b,
    0xffbc7851,
    0xffcf8744,
    0xffb35b26,
    0xff9e412c,
    0xffa86a78,
    0xffbeb2d0,
    0xffaec2e7,
    0xffafc0e3,
    0xffb7bce3,
    0xffa9b1da,
    0xffa0add7,
    0xff9ba7d5,
    0xff9ba6d6,
    0xff99a8d7,
    0xff98a5d3,
    0xff97a5d0,
    0xff9ba8d2,
    0xffa2afd9,
    0xffa0acd4,
    0xff9fa8cf,
    0xffa5aed2,
    0xffa1a7cb,
    0xffa7adcf,
    0xffa3a9c9,
    0xffa8aece,
    0xff9aa5be,
    0xff96a0b9,
    0xff99a4bc,
    0xff99a0ba,
    0xffa4acc4,
    0xffaaafc6,
    0xffabb1c5,
    0xffa8afc1,
    0xffa7a9b7,
    0xffafb2bf,
    0xffa8acb6,
    0xffa0a4ae,
    0xffa0a4ad,
    0xff9b9fa8,
    0xff8d929a,
    0xffa2a5b2,
    0xff9399a3,
    0xff9398a2,
    0xff899099,
    0xff848b93,
    0xff90969e,
    0xff7a8186,
    0xff848b90,
    0xff8b9296,
    0xff959ca5,
    0xff8b929b,
    0xff8f97a2,
    0xff949ca8,
    0xff9aa0ad,
    0xff999ea8,
    0xffa4a8ad,
    0xff9b9ea0,
    0xffa89ca9,
    0xff8c7c89,
    0xffa1919c,
    0xffaaa1a8,
    0xffafa6aa,
    0xff9a8885,
    0xff9f796d,
    0xff6c3928,
    0xff827151,
    0xff8c724f,
    0xff7a4b2b,
    0xff955738,
    0xff9b5232,
    0xff914116,
    0xffc27032,
    0xffad590e,
    0xffad4720,
    0xffca5930,
    0xffca4911,
    0xffc54b09,
    0xffb65b27,
    0xff84523b,
    0xfffae3db,
    0xff544a3d,
    0xff737b7a,
    0xff80757b,
    0xff7b8281,
    0xff5e6e63,
    0xff7b7c6f,
    0xff767a6a,
    0xff6a7357,
    0xff565e2f,
    0xff454e1f,
    0xff484b23,
    0xff4a4b27,
    0xff4a512d,
    0xff474b26,
    0xff553815,
    0xff7d290f,
    0xffb63524,
    0xffb02f1e,
    0xffb23821,
    0xffb23f20,
    0xffc95c3d,
    0xffaf4328,
    0xffaa4128,
    0xffbe563d,
    0xffb65138,
    0xffb3553e,
    0xffb4513a,
    0xffa44229,
    0xffa6442c,
    0xff932111,
    0xffa32018,
    0xff9d331a,
    0xff9d5930,
    0xff986e2f,
    0xff97762d,
    0xff8d7422,
    0xff776511,
    0xff806c21,
    0xff74601e,
    0xff695a1b,
    0xff62581a,
    0xff675e1d,
    0xff635b1e,
    0xff5f591c,
    0xff5f581c,
    0xff5f5a18,
    0xff5f560e,
    0xff63570f,
    0xff685a13,
    0xff5b5318,
    0xff504912,
    0xff454210,
    0xff434419,
    0xff393f15,
    0xff424518,
    0xff42420b,
    0xff504908,
    0xff6d5d07,
    0xff6a5b06,
    0xff645408,
    0xff5e4e0a,
    0xff564609,
    0xff50410a,
    0xff50400c,
    0xff554415,
    0xff544317,
    0xff483914,
    0xff3d3616,
    0xff3f3d1e,
    0xff353918,
    0xff323714,
    0xff353516,
    0xff353516,
    0xff2a2c0c,
    0xff282b10,
    0xff272b14,
    0xff1f220f,
    0xff171b0d,
    0xff1a1e10,
    0xff13190d,
    0xff12190c,
    0xff151910,
    0xff0f150b,
    0xff0f160c,
    0xff12190e,
    0xff11180e,
    0xff13180e,
    0xff161910,
    0xff15150e,
    0xff101308,
    0xff14170d,
    0xff15180f,
    0xff15180f,
    0xff191911,
    0xff191b10,
    0xff1b1d11,
    0xff191b0d,
    0xff1a1207,
    0xff2c1d14,
    0xff412c26,
    0xff351d15,
    0xff331913,
    0xff371c13,
    0xff34160e,
    0xff3f1a16,
    0xff49170d,
    0xff7f4316,
    0xffd38736,
    0xffd88641,
    0xffb25e3f,
    0xff350000,
    0xffd08d59,
    0xffe6a74c,
    0xff875d1c,
    0xffc09969,
    0xff7f462d,
    0xff6d1406,
    0xff9e4023,
    0xffbd673d,
    0xfff78c6c,
    0xffd13e32,
    0xff910b14,
    0xff590500,
    0xff290900,
    0xff161100,
    0xff0f1907,
    0xff0f1b0c,
    0xff0d0900,
    0xffa4897e,
    0xff0a0100,
    0xff161509,
    0xff121711,
    0xff0e1810,
    0xff0f160d,
    0xff101609,
    0xff10150c,
    0xff0f140e,
    0xff0f140d,
    0xff0e160d,
    0xff121610,
    0xff11130e,
    0xff11150d,
    0xff19140e,
    0xff1d150d,
    0xff0c0d01,
    0xff643a1f,
    0xff190000,
    0xffba6b49,
    0xffed8a3c,
    0xffde8e19,
    0xffff9e39,
    0xffb13905,
    0xffb63306,
    0xff9e2200,
    0xff9a2300,
    0xffb4470f,
    0xff903804,
    0xffa86b0c,
    0xffcfa12c,
    0xffdbb22d,
    0xffc48f2d,
    0xffbb8538,
    0xffa0753f,
    0xff6f5b33,
    0xff6e6054,
    0xffa49474,
    0xffa78733,
    0xff9e640d,
    0xffbe721a,
    0xffb6691e,
    0xff9c4e03,
    0xff9b4807,
    0xffa04e1b,
    0xffaa621a,
    0xffa26105,
    0xff945100,
    0xffb56c11,
    0xffdb9e36,
    0xffdeb65c,
    0xffa87f3a,
    0xffd19a3b,
    0xffffcd32,
    0xffe4af12,
    0xffc18707,
    0xffc78406,
    0xffd29e22,
    0xffc9aa5d,
    0xff7d4a1b,
    0xffa3521f,
    0xff913a00,
    0xff6f2400,
    0xffad7755,
    0xff8d7865,
    0xff540002,
    0xff540305,
    0xff540409,
    0xff530309,
    0xff570510,
    0xff52020b,
    0xff50060d,
    0xff4e050b,
    0xff44000b,
    0xff38213b,
    0xff465b88,
    0xff3e629c,
    0xff3b5f92,
    0xff3b6289,
    0xff345b7f,
    0xff3f6187,
    0xff3a5d83,
    0xff30527a,
    0xff315176,
    0xff3b597b,
    0xff3c5870,
    0xff364f61,
    0xff3f5764,
    0xff455b69,
    0xff40535e,
    0xff455860,
    0xff405056,
    0xff485a5a,
    0xff3b4c4a,
    0xff455853,
    0xff3e534d,
    0xff3f534d,
    0xff465646,
    0xff435444,
    0xff435445,
    0xff3c503f,
    0xff374838,
    0xff394937,
    0xff32422f,
    0xff35422d,
    0xff364429,
    0xff3b492d,
    0xff434f35,
    0xff445037,
    0xff414d36,
    0xff434d39,
    0xff434c3b,
    0xff3b4434,
    0xff343f32,
    0xff353f31,
    0xff313f33,
    0xff2a3a31,
    0xff263933,
    0xff243934,
    0xff2a4040,
    0xff29413f,
    0xff27413f,
    0xff37524c,
    0xff365149,
    0xff3d594e,
    0xff3c584d,
    0xff3d5953,
    0xff354f4c,
    0xff264041,
    0xff2f484f,
    0xff2c4958,
    0xff325265,
    0xff36576b,
    0xff385c69,
    0xff305360,
    0xff365669,
    0xff405c77,
    0xff456583,
    0xff486783,
    0xff435e7c,
    0xff476687,
    0xff4a6b92,
    0xff5073a0,
    0xff3f618e,
    0xff4a6a96,
    0xff4b6b97,
    0xff42628f,
    0xff41628d,
    0xff456890,
    0xff416387,
    0xff375d7b,
    0xff355d76,
    0xff436981,
    0xff406273,
    0xff3f5f6e,
    0xff45636d,
    0xff476367,
    0xff4a6260,
    0xff475c54,
    0xff506057,
    0xff526155,
    0xff4e5d56,
    0xff536156,
    0xff4e5e48,
    0xff4b5a3d,
    0xff505c3a,
    0xff545f3e,
    0xff566042,
    0xff5a6248,
    0xff626548,
    0xff5f6246,
    0xff5e5f44,
    0xff606147,
    0xff585b3f,
    0xff525733,
    0xff545b32,
    0xff485125,
    0xff605132,
    0xff906753,
    0xffac6562,
    0xff903740,
    0xffc0626e,
    0xffd67684,
    0xffa64150,
    0xff982839,
    0xff800015,
    0xff740009,
    0xff740706,
    0xff8f0908,
    0xff930000,
    0xff7f2817,
    0xff705531,
    0xff614a27,
    0xff95524a,
    0xff9b2637,
    0xff8b001c,
    0xff980523,
    0xff8d3130,
    0xff7a6743,
    0xff726e42,
    0xff726e45,
    0xff6a7740,
    0xff66743d,
    0xff687941,
    0xff657843,
    0xff647943,
    0xff657943,
    0xff687b49,
    0xff66794a,
    0xff627441,
    0xff667447,
    0xff617047,
    0xff586743,
    0xff505f43,
    0xff4a5843,
    0xff485647,
    0xff4a564c,
    0xff415242,
    0xff57665b,
    0xff455350,
    0xff3d4d51,
    0xff3f5059,
    0xff3d515f,
    0xff425867,
    0xff4e6474,
    0xff5c6971,
    0xff616d77,
    0xff526571,
    0xff546874,
    0xff536972,
    0xff4a6067,
    0xff495d62,
    0xff425656,
    0xff4b5c55,
    0xff485951,
    0xff4b5b56,
    0xff455552,
    0xff475958,
    0xff425554,
    0xff3f5254,
    0xff3b4e51,
    0xff3e5568,
    0xff41596b,
    0xff3c5768,
    0xff3b5a72,
    0xff41607e,
    0xff3c5d7e,
    0xff3d617d,
    0xff486b87,
    0xff446179,
    0xff516b86,
    0xff516784,
    0xff576b8b,
    0xff5f7397,
    0xff60769c,
    0xff637ca5,
    0xff58749e,
    0xff556c96,
    0xff496180,
    0xff3b5464,
    0xff384f59,
    0xff405662,
    0xff415462,
    0xff42545f,
    0xff3b4d52,
    0xff3f4a43,
    0xff3b473f,
    0xff3f4b42,
    0xff424f46,
    0xff3e483d,
    0xff404b3f,
    0xff3f493c,
    0xff3e493d,
    0xff404d39,
    0xff45503a,
    0xff525843,
    0xff878b6f,
    0xffa8a98b,
    0xff4c4f2f,
    0xff4c532e,
    0xff525932,
    0xff575d30,
    0xff5c6232,
    0xff5d5f31,
    0xff636336,
    0xff656235,
    0xff646134,
    0xff615e2e,
    0xff626132,
    0xff566136,
    0xff4b5933,
    0xff3b4e2e,
    0xff31482f,
    0xff2e452e,
    0xff2f412b,
    0xff394932,
    0xff3d4930,
    0xff434d32,
    0xff4a503a,
    0xff484b3a,
    0xff4e5041,
    0xff4d5142,
    0xff52574b,
    0xff58605a,
    0xff555e5d,
    0xff59696c,
    0xff61595e,
    0xff8d5c58,
    0xffaa2724,
    0xffa81918,
    0xff880015,
    0xff82273d,
    0xffa48e93,
    0xff9f92a7,
    0xffa39db1,
    0xff9da4bc,
    0xff95a6d3,
    0xff90a4d7,
    0xffa4b1ca,
    0xffa8a6c4,
    0xffb4a9e7,
    0xffdebbd9,
    0xffd98a73,
    0xffb63f15,
    0xffbd614d,
    0xffdbacbd,
    0xffd19f9e,
    0xff975540,
    0xffdea3c8,
    0xffc7bce6,
    0xffa6b7ed,
    0xffcdcaf2,
    0xffb8576e,
    0xff990e20,
    0xff961d1c,
    0xffa32300,
    0xffc04304,
    0xffca4500,
    0xffb54b06,
    0xffb9550a,
    0xff9a3f09,
    0xffcba1a2,
    0xffb2b5e9,
    0xffb6baf1,
    0xffb9b1c8,
    0xffacb1d9,
    0xffb6beeb,
    0xffabb0db,
    0xffafb5d7,
    0xffaeb7e2,
    0xffbac3f6,
    0xffece0ff,
    0xffd0adc1,
    0xff935f66,
    0xff723040,
    0xffb691ab,
    0xffe8ebff,
    0xffd0d0f4,
    0xffd6d1f1,
    0xffa8b2cd,
    0xffaab8dc,
    0xffc5d2f4,
    0xffbdcaeb,
    0xffc1cff0,
    0xffbfcbef,
    0xffbbc6e9,
    0xffbdcaec,
    0xffbfccee,
    0xffbecbec,
    0xffcad5f2,
    0xffccd6f5,
    0xffc9d3f3,
    0xffccd3f6,
    0xffc8d0f4,
    0xffbec6ea,
    0xffbec3e9,
    0xffc5c8f0,
    0xffbec7ea,
    0xffbbc5e7,
    0xffb6c0e3,
    0xffb7c1e5,
    0xffb4bde2,
    0xffacb8de,
    0xffa8b5db,
    0xffa6b2d8,
    0xff96a7d1,
    0xff9aa9d4,
    0xff9baad2,
    0xff98a5cf,
    0xff9ca8d0,
    0xff99a2cb,
    0xffa0a8cf,
    0xff9da6cc,
    0xff9eaac7,
    0xffbdafcb,
    0xffdf9ba9,
    0xffad3133,
    0xffc42f30,
    0xffdf5653,
    0xffd45b4e,
    0xffcd5f4b,
    0xffdb7957,
    0xffee905e,
    0xffdb8243,
    0xff9a1a00,
    0xffcc4543,
    0xffa8302d,
    0xffa73527,
    0xffffc9a0,
    0xffdca07f,
    0xffbd8e94,
    0xffbea2c1,
    0xffb9c2d7,
    0xffb9bfd0,
    0xffc09dbe,
    0xffb1c4d4,
    0xffbcbdce,
    0xffb9badc,
    0xffbcbfe0,
    0xffbfc2e0,
    0xffc3c7e4,
    0xffb9bedb,
    0xffb9bddd,
    0xffbbbfe4,
    0xffb9bee6,
    0xffbbc5ea,
    0xffbcc8e6,
    0xffbac5e1,
    0xffb6c2e3,
    0xffacb2d5,
    0xffc1b4d1,
    0xffb9969f,
    0xffb0796b,
    0xffce704c,
    0xffc26a36,
    0xff9a4b28,
    0xff9a6366,
    0xffc1b1cf,
    0xffacbedd,
    0xff9eacd4,
    0xffb6aee4,
    0xffb0b8eb,
    0xffa7b0e5,
    0xff9ca8db,
    0xff94a2d5,
    0xff9faddd,
    0xff9eadda,
    0xff9ba7d2,
    0xff96a4cb,
    0xff98a6cb,
    0xff919cc2,
    0xff99a3c8,
    0xffa0a6c9,
    0xffa2a7c7,
    0xffa1a8c5,
    0xffacb4cf,
    0xffabb2ce,
    0xffa6afce,
    0xffa2aace,
    0xffa4a9cd,
    0xffa4aacd,
    0xffaeb2d4,
    0xffaeb3d2,
    0xffb6bbd9,
    0xffbdc2de,
    0xffc5c7e1,
    0xffc6c7e1,
    0xffd0d2ea,
    0xffcccde4,
    0xffcccfe4,
    0xffc4c7dc,
    0xffc7c9e2,
    0xffbfc1d9,
    0xffbcbed4,
    0xffbcbdd3,
    0xffbcbcd0,
    0xffb8b9cc,
    0xffb3b5c6,
    0xffbabbcd,
    0xffb4b6c7,
    0xffb7b9c8,
    0xffb0b4bc,
    0xffb4b8c3,
    0xffaaadbc,
    0xffaeb1c1,
    0xff9a9caa,
    0xffa7a8b3,
    0xffa4a1a6,
    0xffc1baba,
    0xff7a6062,
    0xff8e6e70,
    0xff89696a,
    0xff5b4542,
    0xff6a5a4f,
    0xff886d5e,
    0xffa97663,
    0xffb66b56,
    0xff903028,
    0xffb54b41,
    0xffa7382b,
    0xff9c2a21,
    0xff92261f,
    0xff94372b,
    0xff84321e,
    0xff8f4423,
    0xff8b3c05,
    0xff9e3f0e,
    0xffd0622a,
    0xffcf5e14,
    0xffd56b28,
    0xffaa5a36,
    0xff967267,
    0xff65615a,
    0xff626a69,
    0xff916768,
    0xff726d67,
    0xff5b695f,
    0xff746556,
    0xff696551,
    0xff636e56,
    0xff545b32,
    0xff454e1f,
    0xff3b4419,
    0xff3f4a24,
    0xff3d4423,
    0xff474120,
    0xff532f11,
    0xff7c2c13,
    0xff9c2a15,
    0xffa61f19,
    0xff9f2012,
    0xffa6361e,
    0xffb24b2f,
    0xffb0492e,
    0xffae462e,
    0xffb85134,
    0xffd27052,
    0xffa9543d,
    0xffbd5b49,
    0xffba5542,
    0xffa84b35,
    0xff9b2b1e,
    0xff9a1610,
    0xff9b2f1c,
    0xff9e643a,
    0xff997b3c,
    0xff8b722a,
    0xff766412,
    0xff736210,
    0xff735e15,
    0xff6e5b18,
    0xff615216,
    0xff594e12,
    0xff615915,
    0xff59500f,
    0xff595013,
    0xff5d5816,
    0xff68611a,
    0xff645b0e,
    0xff6a5d0f,
    0xff6d5d12,
    0xff584f0f,
    0xff544d0f,
    0xff4f4c14,
    0xff454716,
    0xff434717,
    0xff505320,
    0xff535112,
    0xff5d560c,
    0xff705e08,
    0xff74640d,
    0xff6d5c09,
    0xff6b5b0d,
    0xff6a5a0e,
    0xff6b5c12,
    0xff64550a,
    0xff63550b,
    0xff625515,
    0xff484007,
    0xff434110,
    0xff3a3d12,
    0xff353911,
    0xff373916,
    0xff363617,
    0xff323116,
    0xff2c2f10,
    0xff2a2d11,
    0xff20250e,
    0xff1e210e,
    0xff171b0c,
    0xff191d0e,
    0xff10160a,
    0xff161b0f,
    0xff100f08,
    0xff12170d,
    0xff161d12,
    0xff111b10,
    0xff131e12,
    0xff151d12,
    0xff171b12,
    0xff202118,
    0xff1b2112,
    0xff1d2012,
    0xff1b1f11,
    0xff1d1f15,
    0xff1e2315,
    0xff1d1f11,
    0xff181b0a,
    0xff191c0b,
    0xff262015,
    0xff382920,
    0xff38221b,
    0xff361b14,
    0xff371b12,
    0xff381811,
    0xff38150d,
    0xff371408,
    0xff502903,
    0xffffe999,
    0xfffdb547,
    0xffe08e1b,
    0xffd68727,
    0xffbf7a24,
    0xff9b5b03,
    0xffce8c1e,
    0xffeb9e28,
    0xffd48d32,
    0xffd7824d,
    0xffe97959,
    0xff861d00,
    0xffed9b6a,
    0xffb05433,
    0xffa1201d,
    0xffc0393f,
    0xffa0382b,
    0xffe59478,
    0xff9b5239,
    0xff4c1809,
    0xff231006,
    0xff0b0e08,
    0xff21241e,
    0xff7b7460,
    0xff100e00,
    0xff0f130c,
    0xff0c150d,
    0xff0a1209,
    0xff0e1307,
    0xff0d1309,
    0xff0a0f0a,
    0xff0d1006,
    0xff031607,
    0xff0a160d,
    0xff0b120e,
    0xff041810,
    0xff0b1610,
    0xff1a130d,
    0xff181307,
    0xff492c25,
    0xff190e00,
    0xff985223,
    0xfff5923c,
    0xfffeb446,
    0xffc9741a,
    0xff8e2f08,
    0xffd17027,
    0xff993100,
    0xff962302,
    0xff9e2e00,
    0xffbc5c13,
    0xffe9ab3d,
    0xffd8a727,
    0xffd0990f,
    0xffcd8a24,
    0xffc08c39,
    0xffbb8340,
    0xffb5803d,
    0xff98704c,
    0xff6e573f,
    0xff927e51,
    0xffc49d62,
    0xffa6711a,
    0xff9c540b,
    0xffae6017,
    0xff9b470b,
    0xff984712,
    0xffb36d24,
    0xffab6d0d,
    0xffb77413,
    0xffa35902,
    0xff9c5c06,
    0xffcd8f1c,
    0xffd0a149,
    0xffa7812a,
    0xffd3a318,
    0xffb97f00,
    0xffc28616,
    0xffc07f00,
    0xffdf9807,
    0xffd2b350,
    0xff5c4605,
    0xffbf9638,
    0xffa16e00,
    0xff8e5513,
    0xff3d1600,
    0xff9b978b,
    0xff570509,
    0xff58060a,
    0xff530407,
    0xff53060a,
    0xff51050a,
    0xff4c040a,
    0xff4c050d,
    0xff440009,
    0xff25020b,
    0xff210c0b,
    0xff241e27,
    0xff3e4a64,
    0xff364a69,
    0xff324d5f,
    0xff2e5062,
    0xff204762,
    0xff2c5064,
    0xff2f5062,
    0xff2c4c5c,
    0xff284350,
    0xff2a444e,
    0xff2a4247,
    0xff304547,
    0xff2f4342,
    0xff33484b,
    0xff334748,
    0xff3b4e4d,
    0xff36443e,
    0xff3d4840,
    0xff3c473d,
    0xff3c483d,
    0xff3d483d,
    0xff414831,
    0xff434a34,
    0xff3b4331,
    0xff3e4837,
    0xff3d4a39,
    0xff314332,
    0xff374b39,
    0xff3f5643,
    0xff38503c,
    0xff415543,
    0xff3b4e3d,
    0xff49584b,
    0xff3f5145,
    0xff374b43,
    0xff364d4a,
    0xff334b49,
    0xff31484a,
    0xff2f4647,
    0xff385153,
    0xff2e494d,
    0xff38545f,
    0xff395765,
    0xff385764,
    0xff3b5c64,
    0xff3e5968,
    0xff375262,
    0xff395762,
    0xff44626e,
    0xff406071,
    0xff41617b,
    0xff406081,
    0xff3f6085,
    0xff416284,
    0xff416585,
    0xff517595,
    0xff3a617f,
    0xff416688,
    0xff436b8e,
    0xff466e96,
    0xff3a648c,
    0xff426996,
    0xff365c87,
    0xff3d638a,
    0xff3c6288,
    0xff416689,
    0xff3f6286,
    0xff416387,
    0xff406287,
    0xff42668e,
    0xff4a6d93,
    0xff406184,
    0xff456784,
    0xff426379,
    0xff3a5868,
    0xff33535f,
    0xff30525b,
    0xff3b5755,
    0xff405c5a,
    0xff3e5a5a,
    0xff3c5652,
    0xff405a4c,
    0xff4e6153,
    0xff555e52,
    0xff555750,
    0xff565e4d,
    0xff555d44,
    0xff5b613e,
    0xff616643,
    0xff5b6445,
    0xff515c41,
    0xff595c42,
    0xff5e583d,
    0xff555c32,
    0xff5f5c37,
    0xff645936,
    0xff675f37,
    0xff5f5e2d,
    0xff64652f,
    0xff65602b,
    0xff735e30,
    0xff904a3e,
    0xff6c1d19,
    0xff752024,
    0xffca6c78,
    0xffdb788a,
    0xffa4384e,
    0xffe06c84,
    0xffaf3950,
    0xff720011,
    0xff840011,
    0xff81060e,
    0xff870005,
    0xff9e000c,
    0xff920107,
    0xff8d3126,
    0xff5e5731,
    0xff81563f,
    0xffb44349,
    0xff850417,
    0xff97041b,
    0xff880712,
    0xff7c5437,
    0xff717644,
    0xff73763f,
    0xff5e7e38,
    0xff63773d,
    0xff627142,
    0xff606f47,
    0xff5f6a43,
    0xff6b6944,
    0xff65633d,
    0xff5b633c,
    0xff556549,
    0xff5d6150,
    0xff4b584c,
    0xff435851,
    0xff4f6261,
    0xff4c6363,
    0xff455d64,
    0xff505968,
    0xff59666d,
    0xff3a4852,
    0xff495865,
    0xff465a68,
    0xff435f69,
    0xff3e5d66,
    0xff3e5b64,
    0xff3d555d,
    0xff838286,
    0xff404549,
    0xff455257,
    0xff3d5155,
    0xff33444a,
    0xff38464b,
    0xff3e4a4b,
    0xff43504f,
    0xff4b5952,
    0xff475750,
    0xff495a55,
    0xff45595a,
    0xff39505a,
    0xff395563,
    0xff385766,
    0xff355664,
    0xff31576e,
    0xff31556f,
    0xff355573,
    0xff3d5d7d,
    0xff3a597a,
    0xff415f7f,
    0xff4a6784,
    0xff45617e,
    0xff3f6175,
    0xff426073,
    0xff485f72,
    0xff485d6a,
    0xff4c6069,
    0xff4f6267,
    0xff536063,
    0xff555d5f,
    0xff4c5957,
    0xff45574d,
    0xff3d513e,
    0xff344b35,
    0xff374c3d,
    0xff35473b,
    0xff3f4e3e,
    0xff48563e,
    0xff414830,
    0xff414931,
    0xff3f4630,
    0xff38422d,
    0xff3e4c34,
    0xff435238,
    0xff415135,
    0xff405132,
    0xff425234,
    0xff425133,
    0xff43512d,
    0xff424c26,
    0xff464e25,
    0xff575c30,
    0xff555a2a,
    0xff585d2b,
    0xff626a33,
    0xff62692d,
    0xff606225,
    0xff69692b,
    0xff6f6d30,
    0xff66642a,
    0xff64632f,
    0xff5b5e2d,
    0xff555b38,
    0xff454f35,
    0xff3f4a3b,
    0xff3f4c40,
    0xff3c4e3f,
    0xff425146,
    0xff4c5b54,
    0xff535e60,
    0xff546667,
    0xff5e6c6e,
    0xff5c6972,
    0xff747e8d,
    0xff768093,
    0xff9da6c0,
    0xffb1bad4,
    0xffadb5d0,
    0xffacb6d7,
    0xffa9afda,
    0xffcab4c4,
    0xff98291a,
    0xff980e07,
    0xff6e213c,
    0xffd3b3e0,
    0xffa5a9c3,
    0xffa2acd0,
    0xff9da7d4,
    0xff9dabde,
    0xff98ade4,
    0xff96ade6,
    0xff9aace1,
    0xffa6afe3,
    0xffafaedf,
    0xffb68288,
    0xffb0411f,
    0xffcd5c3f,
    0xffce9fb1,
    0xffc0b8e1,
    0xffcac5e9,
    0xffb6afd7,
    0xffc3b6ea,
    0xffc0c1ee,
    0xffb0c0e8,
    0xffc4c7f4,
    0xff964162,
    0xffa31123,
    0xffa01e18,
    0xff9f3200,
    0xffffb354,
    0xffffae38,
    0xffcc6a07,
    0xffc06500,
    0xff994100,
    0xffcea7a3,
    0xffc5bee7,
    0xffbec5ee,
    0xffb4a9d2,
    0xffbec8ed,
    0xffb1b7e1,
    0xffb6b7e6,
    0xffacafdf,
    0xffb7bff1,
    0xffb2baea,
    0xffb6b8e2,
    0xffb4a9ce,
    0xffb2798d,
    0xffaf605c,
    0xff693432,
    0xff868097,
    0xffcad4f2,
    0xffbfc4e1,
    0xffa2a4c8,
    0xffc9c9f0,
    0xffbdc0e4,
    0xffbfc6e5,
    0xffb0c0e2,
    0xffb8bef2,
    0xffbeb5ef,
    0xffb2bee6,
    0xffa5bddc,
    0xffa6b1dd,
    0xff9ea9d2,
    0xffa1add6,
    0xff9ea9d3,
    0xff9aa4ce,
    0xff96a1cb,
    0xff959fc9,
    0xff93a0c9,
    0xff929fc8,
    0xff96a2cc,
    0xff9ba8d1,
    0xff9da6ce,
    0xff9ba2cb,
    0xff9ca4cc,
    0xff9da5ce,
    0xffa4add6,
    0xffaab2dd,
    0xffbbc1ed,
    0xffb9c0e8,
    0xffb8c5e6,
    0xffb5c5e6,
    0xffbcc9ec,
    0xffbcc3e9,
    0xffbdc9e9,
    0xffbdcae8,
    0xffd2c6e9,
    0xfff1bbc6,
    0xffba3939,
    0xffba131d,
    0xffa7010d,
    0xff990000,
    0xffda4333,
    0xffd86d4b,
    0xffd87a4c,
    0xffd77d49,
    0xffeaa553,
    0xffffba8d,
    0xffc65f55,
    0xfff5b08e,
    0xffffcdb0,
    0xfffac5b7,
    0xffaa6754,
    0xffbc8d88,
    0xff925f5f,
    0xffe2c5d3,
    0xffd0bfd1,
    0xffb5a4b7,
    0xffbfc1e2,
    0xffc2bbd8,
    0xffb6bad8,
    0xffb3b9d9,
    0xffb2b8d9,
    0xffb5b9d7,
    0xffb7b6d3,
    0xffbbbcd8,
    0xffb6b7d6,
    0xffb0b4d8,
    0xffb1b5d8,
    0xffb3bade,
    0xffb6c0e2,
    0xffb2bfe0,
    0xffbdc5e3,
    0xffc3c5dc,
    0xffc8c3d3,
    0xffb5a5b0,
    0xffbe8269,
    0xffbd7434,
    0xffcb8871,
    0xffa68ab1,
    0xffb1b7d7,
    0xffacafc7,
    0xffb2b3df,
    0xffb2bfee,
    0xffb3bae3,
    0xffacb3dd,
    0xffacb4e3,
    0xffa4afdd,
    0xff9fabda,
    0xffa0add9,
    0xffa5b0da,
    0xff9ba6cd,
    0xff9ba9ce,
    0xffa1afd5,
    0xff9fabcf,
    0xffa0a9cd,
    0xffa7afd3,
    0xffaab0d2,
    0xffadb3d4,
    0xffa9aecf,
    0xffa6accf,
    0xffa7aacd,
    0xffaaaed4,
    0xffadb0d6,
    0xffb2b6d9,
    0xffbabfdf,
    0xffc1c3e2,
    0xffc1c5e1,
    0xffc1c8de,
    0xffc9cee5,
    0xffcfd1ea,
    0xffcacae5,
    0xffcdcde7,
    0xffcdcde8,
    0xffc6c8e2,
    0xffc3c5de,
    0xffc4c8e2,
    0xffbbbfda,
    0xffbabdd8,
    0xffbbbdd8,
    0xffafb1cc,
    0xffafb1cc,
    0xffb3b4d0,
    0xffb7b9d2,
    0xffb7bfc7,
    0xffbbbcd4,
    0xffb0abc7,
    0xffa2a1a9,
    0xff9e9b94,
    0xffa28a8a,
    0xff733e44,
    0xff62171a,
    0xff7a2125,
    0xff610c11,
    0xff80443f,
    0xffa07e6d,
    0xff956959,
    0xffa75051,
    0xff860715,
    0xff9d1121,
    0xff8d000f,
    0xff9e120c,
    0xffab1720,
    0xffa50a25,
    0xffa50c19,
    0xff9b1615,
    0xff9c3024,
    0xff994223,
    0xff923719,
    0xffb3592e,
    0xffb34c12,
    0xffcd4f15,
    0xffc9511e,
    0xffbd7048,
    0xff74543d,
    0xff71685d,
    0xff7d695e,
    0xffb0715d,
    0xff884e43,
    0xff83635c,
    0xff7a593e,
    0xff80633d,
    0xff6a5f3b,
    0xff4f5028,
    0xff59512d,
    0xff505a35,
    0xff485a34,
    0xff464d29,
    0xff433d17,
    0xff4a3714,
    0xff57290f,
    0xff7e3322,
    0xff882311,
    0xff9d2f1c,
    0xffa73a26,
    0xffad4933,
    0xffb74f40,
    0xffae3b2c,
    0xffc04f3b,
    0xffc05d40,
    0xffbd6552,
    0xffbd5b4a,
    0xffae473a,
    0xffb45343,
    0xff892315,
    0xff982f1d,
    0xff8a3514,
    0xff955d2b,
    0xff917631,
    0xff977f31,
    0xff8d7721,
    0xff7e6912,
    0xff746114,
    0xff73611a,
    0xff675816,
    0xff645917,
    0xff695e21,
    0xff685d1e,
    0xff635615,
    0xff625610,
    0xff64570d,
    0xff6b5c0f,
    0xff6f6112,
    0xff6e5e0e,
    0xff5e4f16,
    0xff50470c,
    0xff514a11,
    0xff46440f,
    0xff4a4717,
    0xff57521e,
    0xff5e5615,
    0xff675f12,
    0xff705d0e,
    0xff725f0c,
    0xff75630d,
    0xff695702,
    0xff6a5704,
    0xff6f570a,
    0xff715b09,
    0xff6d5703,
    0xff67550a,
    0xff4a4000,
    0xff423c08,
    0xff403f15,
    0xff3a3914,
    0xff353311,
    0xff343012,
    0xff312d11,
    0xff2a2f11,
    0xff282c11,
    0xff23250f,
    0xff202512,
    0xff191d0e,
    0xff131a0e,
    0xff141a11,
    0xff0f150c,
    0xff1e251e,
    0xff121912,
    0xff080f08,
    0xff0a110a,
    0xff121912,
    0xff10180d,
    0xff121a0f,
    0xff11180b,
    0xff12180c,
    0xff101709,
    0xff121608,
    0xff14150a,
    0xff15160f,
    0xff16160e,
    0xff18180a,
    0xff1e1d0b,
    0xff2f2c14,
    0xff3f2c19,
    0xff3d210f,
    0xff39200e,
    0xff381c13,
    0xff3a0f12,
    0xff421413,
    0xff3d1507,
    0xff411903,
    0xff8d5925,
    0xff8e4015,
    0xffdb8118,
    0xffc36e10,
    0xffab670a,
    0xffd08928,
    0xffd9841a,
    0xfff3a226,
    0xffee9e2d,
    0xffba560c,
    0xffca4c21,
    0xffb63b14,
    0xffa94828,
    0xff5b0700,
    0xff640f07,
    0xff570000,
    0xff530500,
    0xff450a00,
    0xff49110a,
    0xff470500,
    0xff6f2c1e,
    0xff2c0600,
    0xff030000,
    0xffb9ab9c,
    0xff0e0000,
    0xff321e13,
    0xff15190a,
    0xff0c1213,
    0xff170e1b,
    0xff0f1209,
    0xff0f1507,
    0xff061805,
    0xff081706,
    0xff051007,
    0xff0d1600,
    0xff0c1104,
    0xff0f0d16,
    0xff15110b,
    0xff33321d,
    0xff251500,
    0xff463c2f,
    0xff5c2b10,
    0xfffba16a,
    0xffb15c21,
    0xff7e3907,
    0xffc78324,
    0xffc17807,
    0xffffbd5e,
    0xffa24201,
    0xffab3700,
    0xffa44000,
    0xfffbba43,
    0xfff3c63e,
    0xfff3c23e,
    0xffb17006,
    0xffd09f37,
    0xffd3a262,
    0xffa97131,
    0xffad7939,
    0xff9b7e43,
    0xff886746,
    0xff9f6c34,
    0xffb77e32,
    0xffa2623b,
    0xffaa6f28,
    0xff99500f,
    0xff933c00,
    0xffa75708,
    0xffaa7221,
    0xffe0af23,
    0xffbe7a11,
    0xffa76b0f,
    0xffa26000,
    0xffffcc5d,
    0xffd5ba5b,
    0xffc5a43d,
    0xffffc632,
    0xffd9981e,
    0xffb18700,
    0xffe0a81b,
    0xffdaa837,
    0xff7b6522,
    0xffbbac3a,
    0xfff3c340,
    0xffcd912b,
    0xff6a4800,
    0xff977f7c,
    0xff57060c,
    0xff56050c,
    0xff540407,
    0xff55060b,
    0xff52060a,
    0xff4b0008,
    0xff4c020c,
    0xff500612,
    0xff41010a,
    0xff400409,
    0xff401a23,
    0xff474758,
    0xff304857,
    0xff324f52,
    0xff264642,
    0xff284f53,
    0xff2c4c56,
    0xff3c5b66,
    0xff314d58,
    0xff29444e,
    0xff2e444c,
    0xff33474e,
    0xff35484a,
    0xff394b4d,
    0xff405356,
    0xff3b5051,
    0xff3e4f4f,
    0xff374743,
    0xff3b4840,
    0xff3f4e41,
    0xff3d4e3f,
    0xff384736,
    0xff3a4b39,
    0xff3e4e3f,
    0xff384b40,
    0xff3a4b46,
    0xff394d4c,
    0xff3f5759,
    0xff3f5a5a,
    0xff375356,
    0xff466066,
    0xff475c63,
    0xff485d65,
    0xff495b67,
    0xff495d6c,
    0xff485f73,
    0xff435f76,
    0xff425f77,
    0xff405e7b,
    0xff3e5b78,
    0xff3f5f7a,
    0xff3d5d7c,
    0xff416187,
    0xff406187,
    0xff3c5e81,
    0xff3c5e7e,
    0xff456681,
    0xff466782,
    0xff395b76,
    0xff305670,
    0xff254b69,
    0xff264b6f,
    0xff315982,
    0xff365b8b,
    0xff375b87,
    0xff365983,
    0xff254c74,
    0xff365d86,
    0xff446a93,
    0xff3c608c,
    0xff436a97,
    0xff3a608f,
    0xff3f638f,
    0xff436691,
    0xff476a90,
    0xff375c7d,
    0xff3d6080,
    0xff436383,
    0xff3e5d7d,
    0xff3f5f7f,
    0xff3b5e77,
    0xff3a5b72,
    0xff3d5c6f,
    0xff3f5d6d,
    0xff3e5c64,
    0xff4a646b,
    0xff466465,
    0xff395857,
    0xff395a53,
    0xff385a52,
    0xff395852,
    0xff3f5c4f,
    0xff4b624e,
    0xff485b42,
    0xff485c42,
    0xff4d5f47,
    0xff535b44,
    0xff585d3d,
    0xff5b5a36,
    0xff5c5c37,
    0xff59603a,
    0xff515d34,
    0xff536532,
    0xff58662d,
    0xff616534,
    0xff696536,
    0xff5e5e2b,
    0xff62632b,
    0xff716834,
    0xff6f5830,
    0xff926a52,
    0xffcd8e87,
    0xffd98189,
    0xffdf979b,
    0xffedb2b4,
    0xffe49ea4,
    0xffb25662,
    0xffb6505d,
    0xffffaeb1,
    0xfff3aca9,
    0xff9e2b36,
    0xff7f0006,
    0xff79060e,
    0xff810c0f,
    0xff8d060c,
    0xff8b0004,
    0xff8d1d14,
    0xff7b522f,
    0xff694f35,
    0xff9e4f4a,
    0xff8e0c15,
    0xff9b020e,
    0xff94251d,
    0xff8b6e43,
    0xff5f7439,
    0xff59793e,
    0xff636945,
    0xff63694d,
    0xff57644b,
    0xff53654b,
    0xff6d6e55,
    0xff735745,
    0xff774b3e,
    0xff7d5449,
    0xff6d5446,
    0xff4f5845,
    0xff41604d,
    0xff425a4e,
    0xff444f4a,
    0xff3e4745,
    0xff344745,
    0xff274541,
    0xff606158,
    0xff34342e,
    0xff454b46,
    0xff404c49,
    0xff3d4e4b,
    0xff354a45,
    0xff384944,
    0xff384640,
    0xff686a59,
    0xff2f3828,
    0xff3b5143,
    0xff38524c,
    0xff334f4d,
    0xff3e575b,
    0xff3f585b,
    0xff3b565a,
    0xff435b6f,
    0xff41596d,
    0xff455d71,
    0xff4d657c,
    0xff4b637f,
    0xff496281,
    0xff45607c,
    0xff48637e,
    0xff4e6a8d,
    0xff436085,
    0xff4a648b,
    0xff50688e,
    0xff476084,
    0xff506686,
    0xff4d6580,
    0xff496178,
    0xff4f656d,
    0xff4d5e64,
    0xff4d5c5d,
    0xff485a52,
    0xff485c49,
    0xff4b5f46,
    0xff4b5b3e,
    0xff525e3f,
    0xff45553d,
    0xff44573c,
    0xff3e5232,
    0xff35492b,
    0xff354830,
    0xff384934,
    0xff39482e,
    0xff404c29,
    0xff474c26,
    0xff494d2a,
    0xff474c2b,
    0xff4b5133,
    0xff495136,
    0xff48533b,
    0xff424f36,
    0xff3e4b33,
    0xff3d4b35,
    0xff3e4c35,
    0xff47513a,
    0xff495136,
    0xff4b5133,
    0xff505033,
    0xff565336,
    0xff5b5939,
    0xff565d32,
    0xff575c2e,
    0xff5a5d2e,
    0xff58572c,
    0xff53542c,
    0xff5a5b3a,
    0xff56573e,
    0xff4b513a,
    0xff3c4936,
    0xff3c4b3e,
    0xff344442,
    0xff314443,
    0xff334b46,
    0xff3a504a,
    0xff394d4a,
    0xff45575b,
    0xff4a5c69,
    0xff425264,
    0xff4c5d6f,
    0xff5d6980,
    0xff57617e,
    0xff676f92,
    0xff717c9e,
    0xff7a84a6,
    0xff8893b8,
    0xff948ec2,
    0xffb395bb,
    0xff731f2f,
    0xff651827,
    0xffb0a0c4,
    0xffa5a7dc,
    0xffadb6de,
    0xff9aa7d6,
    0xff9caae0,
    0xff97a8e2,
    0xff92a7e3,
    0xff97aeea,
    0xff98abe1,
    0xff9ba6d8,
    0xffb9bae5,
    0xffa96d5f,
    0xffe36e50,
    0xffc77e80,
    0xffb2b4db,
    0xffa0acde,
    0xffacaddf,
    0xffaeb3e6,
    0xffa5aadf,
    0xff9fa5e3,
    0xffa8b1e3,
    0xffccbfed,
    0xff8a324a,
    0xffa41416,
    0xff981100,
    0xfff8852f,
    0xffffab29,
    0xfff4ae1e,
    0xffe4900f,
    0xffffb732,
    0xffd5861b,
    0xffb2936e,
    0xffd6d2eb,
    0xffb8c1e7,
    0xffb4a9d4,
    0xffb1b5e6,
    0xffb8bae9,
    0xffb4b6e6,
    0xffacb3e1,
    0xffafbae5,
    0xffb9c1e6,
    0xffbcb8d9,
    0xffccbddd,
    0xffb095a9,
    0xffa45d62,
    0xffaa5d65,
    0xff4f283a,
    0xff786880,
    0xffc8bcdb,
    0xffada2c1,
    0xffc6b7c6,
    0xffb9afc0,
    0xffbebbdc,
    0xffb2b4e5,
    0xffadb6e4,
    0xffb1bee0,
    0xffb0b8d9,
    0xffafb5e1,
    0xffa9b3e9,
    0xffadb8e4,
    0xffa9b5df,
    0xffa8b4de,
    0xffa7b4de,
    0xffa7b4de,
    0xffadb9e3,
    0xffb1bde7,
    0xffacb7e2,
    0xffa9b5dd,
    0xffb0b9df,
    0xffb0b8de,
    0xffb8c1e7,
    0xffc0c5ea,
    0xffbfc7eb,
    0xffbac2e8,
    0xffbec5eb,
    0xffb4bbe1,
    0xffb8c4e6,
    0xffbbc9e9,
    0xffc3cbec,
    0xffc3c9ed,
    0xffc4c9e9,
    0xffcbcce7,
    0xffe6d8f2,
    0xffd99298,
    0xff930f0a,
    0xffc51b1d,
    0xffb7060b,
    0xffd6261c,
    0xffb80c06,
    0xffbb1217,
    0xffe0574d,
    0xfff2865b,
    0xffe08c4a,
    0xffeeb44e,
    0xfff3bf7d,
    0xffffc7ad,
    0xffc97831,
    0xffc06d12,
    0xffd0744a,
    0xffdaa697,
    0xffa87e5c,
    0xff834b12,
    0xff9b6848,
    0xffd2a9a8,
    0xffeacfde,
    0xffbec5e7,
    0xffc0cae9,
    0xffcdd0ed,
    0xffc5cae7,
    0xffc4cbeb,
    0xffcbd0ee,
    0xffd0d1ee,
    0xffc0c2e0,
    0xffc4c6e5,
    0xffc4caed,
    0xffc1c5e4,
    0xffbec3e7,
    0xffb6bfe4,
    0xffb4bde2,
    0xffb7bde2,
    0xffbdbfe1,
    0xffc7c2e0,
    0xffc9c0db,
    0xffb99599,
    0xffb17b60,
    0xffdaaab0,
    0xffc7b9ed,
    0xffaab4d9,
    0xffaeb2d0,
    0xffb3b2df,
    0xffb0bee6,
    0xffb3bce6,
    0xffa5aedc,
    0xff9dabd7,
    0xff98a6d6,
    0xff919fd0,
    0xff9daad9,
    0xff9ca9d7,
    0xff9eabd7,
    0xff9ca9d3,
    0xff99a6cf,
    0xff94a0c8,
    0xff969ec6,
    0xffa1a9ce,
    0xffacb1d6,
    0xffacb2d6,
    0xffbbbee1,
    0xffafb5d7,
    0xffbcc3e5,
    0xffb5b9dc,
    0xffadb1d4,
    0xffbabfe1,
    0xffc3c9e8,
    0xffc6cae8,
    0xffced2ee,
    0xffc8cce4,
    0xffcbd1e6,
    0xffcfd1e8,
    0xffd2d2ea,
    0xffdbdbf3,
    0xffd4d3eb,
    0xffcfd1e8,
    0xffc9cbe2,
    0xffc8cde2,
    0xffc2c6dd,
    0xffb6bbd1,
    0xffb3b8ce,
    0xffaeb0c7,
    0xffb0b2c9,
    0xffaeb0c7,
    0xffaeb0c6,
    0xffacaec0,
    0xffb2b2cd,
    0xffb0b1c6,
    0xffbab8bb,
    0xffd6c5c1,
    0xff562a30,
    0xff4a020c,
    0xff70171a,
    0xff861925,
    0xff931d2f,
    0xff83111d,
    0xffc05b56,
    0xff9f322c,
    0xffbf393c,
    0xffc63338,
    0xffba2928,
    0xffc42a3a,
    0xffb12019,
    0xff940c08,
    0xffb12e31,
    0xffd45947,
    0xffd25a43,
    0xff880e02,
    0xffe56b62,
    0xffc14835,
    0xffe67d4d,
    0xffe5854c,
    0xffb85432,
    0xff90321a,
    0xffac6546,
    0xff71472c,
    0xff6d4b44,
    0xff9b665c,
    0xfff1a798,
    0xff8b220e,
    0xffac4016,
    0xffb6561d,
    0xffce915d,
    0xff765e39,
    0xff60532e,
    0xff4d4c26,
    0xff45512b,
    0xff46522f,
    0xff4b4827,
    0xff6e6641,
    0xff544c27,
    0xff402c0c,
    0xff4b240e,
    0xff3e1100,
    0xff924936,
    0xffa63a29,
    0xffc14836,
    0xffb2402d,
    0xffa4422a,
    0xffb5513d,
    0xffb94d3b,
    0xffbc5e48,
    0xffbb5c46,
    0xffb6513d,
    0xffac4232,
    0xff943222,
    0xff752609,
    0xff7c3f13,
    0xff86541c,
    0xff856a1d,
    0xff8a701d,
    0xff87701a,
    0xff7b6612,
    0xff79661a,
    0xff73601e,
    0xff67571b,
    0xff625517,
    0xff5f5616,
    0xff5d5514,
    0xff5e5511,
    0xff625813,
    0xff6a5e19,
    0xff655a14,
    0xff70631b,
    0xff62540d,
    0xff554a16,
    0xff4f4711,
    0xff484510,
    0xff424114,
    0xff42431a,
    0xff535123,
    0xff535018,
    0xff57550f,
    0xff6e620a,
    0xff746708,
    0xff736605,
    0xff706304,
    0xff76670c,
    0xff7d6c16,
    0xff77680f,
    0xff7a6911,
    0xff7d6c1d,
    0xff645815,
    0xff4b4811,
    0xff454218,
    0xff3d3b15,
    0xff3a3613,
    0xff393614,
    0xff343414,
    0xff2d3116,
    0xff282c14,
    0xff262a15,
    0xff232514,
    0xff1a1e10,
    0xff171a10,
    0xff15170c,
    0xff11180b,
    0xff080f05,
    0xff0d1309,
    0xff11180e,
    0xff151b11,
    0xff191f15,
    0xff161c12,
    0xff11170b,
    0xff161c10,
    0xff22281c,
    0xff1a1e0f,
    0xff121608,
    0xff17190e,
    0xff16160e,
    0xff1e1b11,
    0xff222011,
    0xff2e2c15,
    0xff3c2b08,
    0xff573214,
    0xff572812,
    0xff3e1306,
    0xff3d130b,
    0xff451713,
    0xff370d00,
    0xff3d1e01,
    0xff3a1509,
    0xff2c0700,
    0xff5a270e,
    0xffa96020,
    0xffbd6a15,
    0xffc17708,
    0xffa85e04,
    0xffcb7b1a,
    0xffd3750c,
    0xffcc6707,
    0xffda692a,
    0xffa43406,
    0xffb04f14,
    0xffa24913,
    0xffce6548,
    0xffaa301d,
    0xff820d1b,
    0xff4b0007,
    0xff2c0000,
    0xff420201,
    0xff9f3a2f,
    0xff710000,
    0xffe47e54,
    0xff7c310b,
    0xff482115,
    0xff8f6543,
    0xff703e20,
    0xff1a0a00,
    0xff11160c,
    0xff0f1206,
    0xff05160d,
    0xff091313,
    0xff140e06,
    0xff101012,
    0xff090f23,
    0xff0a130f,
    0xff081100,
    0xff13140d,
    0xff180b00,
    0xff52372d,
    0xff2b0d0d,
    0xff190b06,
    0xff3d230b,
    0xff946040,
    0xff3e0000,
    0xff894217,
    0xff9d5100,
    0xfffbb745,
    0xfffec453,
    0xff753400,
    0xffdf9c49,
    0xffd28e2a,
    0xffc57d1c,
    0xffae6c01,
    0xffe0aa1c,
    0xffba9002,
    0xffffdc62,
    0xfff1ca85,
    0xffab7f32,
    0xffa06f0e,
    0xffbf9038,
    0xff87643d,
    0xff836236,
    0xffa16f3b,
    0xff723c24,
    0xffab7f60,
    0xffaa6f3d,
    0xff993e00,
    0xffa84905,
    0xff792f00,
    0xffe6a93a,
    0xffd07d1d,
    0xffa4621a,
    0xffaf670d,
    0xffb77e04,
    0xffffdf73,
    0xff966b23,
    0xffa1660a,
    0xffbd8121,
    0xffaa7f16,
    0xffb27717,
    0xffb17011,
    0xffba8361,
    0xff7e5214,
    0xffeab129,
    0xffb27700,
    0xffe9ca75,
    0xffdecbaa,
    0xff54050b,
    0xff520408,
    0xff520308,
    0xff520308,
    0xff530308,
    0xff510208,
    0xff51020b,
    0xff51020d,
    0xff58030e,
    0xff54040c,
    0xff4b0e18,
    0xff3d2835,
    0xff2e3d42,
    0xff234339,
    0xff234335,
    0xff2f4b42,
    0xff274543,
    0xff23413f,
    0xff254141,
    0xff263f41,
    0xff273f41,
    0xff304448,
    0xff2c4042,
    0xff2d3f3f,
    0xff2a3e3b,
    0xff273b39,
    0xff314345,
    0xff314146,
    0xff354648,
    0xff324648,
    0xff334646,
    0xff374e4a,
    0xff375754,
    0xff3b585b,
    0xff405b63,
    0xff405b6b,
    0xff405d70,
    0xff47647c,
    0xff446480,
    0xff456682,
    0xff445f7a,
    0xff56738d,
    0xff68819e,
    0xff516a8a,
    0xff4b658a,
    0xff45618b,
    0xff476593,
    0xff456796,
    0xff3b6193,
    0xff446998,
    0xff426898,
    0xff426596,
    0xff3b5e93,
    0xff45689e,
    0xff476b9d,
    0xff3d6290,
    0xff3e668a,
    0xff366084,
    0xff305a7f,
    0xff3b648c,
    0xff426a94,
    0xff3a668f,
    0xff315c88,
    0xff3c6691,
    0xff466990,
    0xff42658a,
    0xff3d6083,
    0xff406384,
    0xff3c5f7e,
    0xff476a8a,
    0xff3d6183,
    0xff3a5b7e,
    0xff42637c,
    0xff3b5d72,
    0xff37596c,
    0xff405f6f,
    0xff3c5c69,
    0xff46646f,
    0xff496972,
    0xff3e5b65,
    0xff466266,
    0xff415b5c,
    0xff3f5757,
    0xff3f5652,
    0xff394e49,
    0xff3e544c,
    0xff3d5347,
    0xff394f41,
    0xff384d41,
    0xff3c4e47,
    0xff424e44,
    0xff495143,
    0xff545540,
    0xff585b3b,
    0xff5d6543,
    0xff5d6a47,
    0xff5b623e,
    0xff787151,
    0xffa68c71,
    0xff997661,
    0xff8c6953,
    0xff6c5335,
    0xff655d2e,
    0xff5e642a,
    0xff625b2f,
    0xff69562a,
    0xff635f25,
    0xff696528,
    0xff705326,
    0xffba9277,
    0xfff2c7bf,
    0xffcd8c97,
    0xffd896a2,
    0xfff6aebc,
    0xfffaaab9,
    0xffb95b6a,
    0xffa43b48,
    0xffba4850,
    0xffc95355,
    0xffb03836,
    0xffbc2936,
    0xffac1225,
    0xff80020e,
    0xff73060c,
    0xff7c060b,
    0xff810203,
    0xff8d110a,
    0xff8f3e23,
    0xff6e5336,
    0xff7f523d,
    0xff8c1318,
    0xff8e030f,
    0xff7b322b,
    0xff6c5f4a,
    0xff4c5d4a,
    0xff375c4b,
    0xff4e5c4c,
    0xff485646,
    0xff3f4c3d,
    0xff514f40,
    0xff6b3b34,
    0xff881f27,
    0xffa11f2c,
    0xff931423,
    0xff862d32,
    0xff615242,
    0xff415641,
    0xff485746,
    0xff435242,
    0xff4c574a,
    0xff48574c,
    0xff39584c,
    0xff646767,
    0xff4b4f51,
    0xff536063,
    0xff465960,
    0xff425760,
    0xff40545d,
    0xff3e515b,
    0xff44525a,
    0xff717376,
    0xff4b565a,
    0xff536973,
    0xff506d7f,
    0xff4c6d89,
    0xff4c6b8f,
    0xff4f7197,
    0xff4e7099,
    0xff4f7197,
    0xff567698,
    0xff577592,
    0xff526c88,
    0xff576d8d,
    0xff506583,
    0xff536983,
    0xff50677d,
    0xff475b6f,
    0xff3f5367,
    0xff405468,
    0xff516476,
    0xff405360,
    0xff31434b,
    0xff334647,
    0xff344945,
    0xff40493c,
    0xff44483a,
    0xff494c3c,
    0xff485138,
    0xff495637,
    0xff44562f,
    0xff4e5f33,
    0xff4f5e33,
    0xff505b40,
    0xff4d593e,
    0xff435138,
    0xff3f4f3a,
    0xff354234,
    0xff344133,
    0xff3b4835,
    0xff3e472f,
    0xff4c4c30,
    0xff46442a,
    0xff484a2c,
    0xff4b4e2e,
    0xff494e2c,
    0xff424b26,
    0xff434e25,
    0xff48522a,
    0xff44542f,
    0xff43512b,
    0xff3a4721,
    0xff414d23,
    0xff4c5329,
    0xff4c5526,
    0xff5a5f30,
    0xff5b602f,
    0xff585a33,
    0xff595b35,
    0xff61603d,
    0xff5d5f3e,
    0xff5b5e43,
    0xff555947,
    0xff52584f,
    0xff5b635f,
    0xff49615d,
    0xff40585b,
    0xff375361,
    0xff3f5e73,
    0xff44627f,
    0xff4c6786,
    0xff5a759d,
    0xff5c729d,
    0xff7183a6,
    0xff8192b5,
    0xff8594b7,
    0xffa7b4da,
    0xffafb8e0,
    0xffbac2ee,
    0xffa8b0dc,
    0xffa7b4e0,
    0xff9ba9cf,
    0xffa9a6db,
    0xffb9a6dc,
    0xff9876a5,
    0xffbeafda,
    0xffa3b8e9,
    0xff9aadea,
    0xff9caae1,
    0xff98a6e1,
    0xff93a2e0,
    0xff92a3e5,
    0xff91a5e6,
    0xff94abe7,
    0xff99ace2,
    0xffa1acdb,
    0xffb0b0d9,
    0xffaf6a50,
    0xffc55337,
    0xffc39ebb,
    0xffa0bdef,
    0xffa3b5df,
    0xffb4b8f2,
    0xffaab2eb,
    0xff9cb0e9,
    0xff98b2ed,
    0xff9ea7d7,
    0xffc4aed7,
    0xff7c293f,
    0xff7e030a,
    0xff971d08,
    0xfffc9139,
    0xfffcb42f,
    0xffde9406,
    0xffe98f1e,
    0xffdd8817,
    0xffe79533,
    0xff9c7650,
    0xffddcce7,
    0xffc8c3e9,
    0xffb9a3c4,
    0xffc3b9e9,
    0xffb7b2e2,
    0xffb8b9e4,
    0xffadb8e1,
    0xffaabadf,
    0xffb7c1e4,
    0xffbbb7db,
    0xffc2b8d9,
    0xffa49baa,
    0xff894d50,
    0xffaf656c,
    0xfffbcbd1,
    0xff78565e,
    0xff7a545c,
    0xffdbb8a0,
    0xffe2ba73,
    0xffd39146,
    0xffad754c,
    0xffe4b9bc,
    0xffd1c5e0,
    0xffb1cae9,
    0xffb0bde4,
    0xffc0bfea,
    0xffb3c7eb,
    0xffb9c5ee,
    0xffb4c0ea,
    0xffb3bfe9,
    0xffb8c4ee,
    0xffb6c2ec,
    0xffb1bde7,
    0xffb3c0ea,
    0xffb8c4ee,
    0xffbfc7ed,
    0xffc7cff4,
    0xffc6cbf0,
    0xffbcc2e4,
    0xffc7cbee,
    0xffcad1f2,
    0xffc7cdf0,
    0xffc2c9ed,
    0xffc9d7f3,
    0xffc3d6ef,
    0xffc5d0ee,
    0xffcbc8ed,
    0xffc7c7eb,
    0xffc1c9e4,
    0xffc5bbd4,
    0xffe3b4cb,
    0xff8b0e03,
    0xffb10a02,
    0xff960710,
    0xffa61921,
    0xffd53a24,
    0xffa70700,
    0xffa60311,
    0xffb32419,
    0xffea855a,
    0xffd28948,
    0xffd49151,
    0xffffdda9,
    0xffd99665,
    0xffd46916,
    0xffee871f,
    0xff9e3004,
    0xffb5806d,
    0xffd8a566,
    0xffffe07e,
    0xffb5702a,
    0xffc28365,
    0xffb38579,
    0xffc4babf,
    0xffd1d5df,
    0xffc9c7e0,
    0xffcacbea,
    0xffc2c7e7,
    0xffb2b7d7,
    0xffc6caea,
    0xffc9cdec,
    0xffc2c6ea,
    0xffb3bbe0,
    0xffc0c7e7,
    0xffb7bddf,
    0xffb7bbe3,
    0xffafb3dd,
    0xffb3b6e4,
    0xffb9b8e4,
    0xffb7b9e0,
    0xffbcb8e0,
    0xffb6abd0,
    0xffb297a7,
    0xffcbb2d7,
    0xffacace4,
    0xffa3b5dc,
    0xffb4b8e1,
    0xffc0bdf1,
    0xffabb2d7,
    0xffa4afdb,
    0xffa8b3e1,
    0xffa4b0e2,
    0xffa7b3e8,
    0xff9fafe3,
    0xffa1b2e5,
    0xffa0b2e2,
    0xffa0b0df,
    0xffa3b0dd,
    0xffa1acd9,
    0xffacb7e4,
    0xffa6afd7,
    0xffafb7dd,
    0xffafb7dd,
    0xffb4bade,
    0xffadb3d6,
    0xffb5bbdb,
    0xffb3b9d8,
    0xffb7bddf,
    0xffb5b8dc,
    0xffbec3e3,
    0xffc2c7e5,
    0xffbbc0dd,
    0xffc8cee8,
    0xffccd2e5,
    0xffcbcde2,
    0xffc5c6da,
    0xffc0c2d7,
    0xffcac7dd,
    0xffbcbed2,
    0xffbfc0d5,
    0xffc1c2d8,
    0xffbfc5d6,
    0xffbdc3d3,
    0xffc3c9da,
    0xffc2c8d9,
    0xffc3c6d7,
    0xffc0c4d5,
    0xffb9bccd,
    0xffb9bcce,
    0xffbdbcd4,
    0xffc0bdd5,
    0xffd2cad7,
    0xffc5aeb0,
    0xff431819,
    0xff4b0613,
    0xff630b18,
    0xff7a141a,
    0xff821420,
    0xff7f030b,
    0xffc74447,
    0xffc43e40,
    0xffce4640,
    0xffd03d37,
    0xffcc3d35,
    0xffc7413c,
    0xffc3243c,
    0xffc62f34,
    0xffd94d48,
    0xffd45c4a,
    0xffe7814e,
    0xffe57b43,
    0xffdb5d41,
    0xffe04f4c,
    0xffa7351e,
    0xffba6933,
    0xffa36a34,
    0xff7f432f,
    0xffb1706f,
    0xff84493a,
    0xff99533e,
    0xffa75049,
    0xffb6655d,
    0xffa66d69,
    0xffcf745b,
    0xffc45109,
    0xffd75b17,
    0xffb04e2d,
    0xff675332,
    0xff49592e,
    0xff525d34,
    0xff55603b,
    0xff515634,
    0xff5f593a,
    0xff504829,
    0xff484926,
    0xff343816,
    0xff2c2b10,
    0xff212313,
    0xff311905,
    0xffb3664f,
    0xffbd4632,
    0xffa9301c,
    0xffa5482e,
    0xff98402e,
    0xffba5347,
    0xffc26149,
    0xffb85a40,
    0xffbd5842,
    0xff9e3424,
    0xff87341e,
    0xff683a11,
    0xff654712,
    0xff725014,
    0xff867118,
    0xff8e7a1d,
    0xff7f6b10,
    0xff796410,
    0xff715e15,
    0xff6e5b17,
    0xff665717,
    0xff625514,
    0xff5c5612,
    0xff5e5813,
    0xff625c17,
    0xff635c18,
    0xff5f5615,
    0xff5e5514,
    0xff605515,
    0xff5e5314,
    0xff574e1c,
    0xff4d4919,
    0xff4a4a1b,
    0xff42451d,
    0xff404321,
    0xff464820,
    0xff464816,
    0xff4d4c10,
    0xff5e5212,
    0xff635610,
    0xff5c4f08,
    0xff5d510b,
    0xff564708,
    0xff57470d,
    0xff5a4a11,
    0xff5d4f12,
    0xff604e03,
    0xff5d5210,
    0xff45420d,
    0xff454318,
    0xff3c3a13,
    0xff3c3916,
    0xff373816,
    0xff2c2d0d,
    0xff272a12,
    0xff1f220d,
    0xff1c1f0c,
    0xff17190b,
    0xff111306,
    0xff121608,
    0xff0f1405,
    0xff0d1102,
    0xff0f1306,
    0xff111508,
    0xff191c10,
    0xff1f2216,
    0xff1a1d12,
    0xff202218,
    0xff1c1f14,
    0xff1a1d12,
    0xff171a0f,
    0xff1a1b0e,
    0xff131609,
    0xff131307,
    0xff18160c,
    0xff1b160c,
    0xff1a1805,
    0xff201a03,
    0xff5b3a26,
    0xff7b4720,
    0xff8c4d12,
    0xffab7024,
    0xff7b3f02,
    0xffa1602d,
    0xff85482a,
    0xff3e0900,
    0xff461503,
    0xff351c05,
    0xff2b1607,
    0xff2c0000,
    0xff5d1400,
    0xffffb435,
    0xffb76600,
    0xffec9c26,
    0xffcf630e,
    0xffb73f00,
    0xffd35930,
    0xffb44925,
    0xffaf5318,
    0xffd06b35,
    0xffd5573c,
    0xffb0250f,
    0xffda5a33,
    0xff8f3312,
    0xff985436,
    0xffad5537,
    0xffc35123,
    0xffd85e2b,
    0xffda5e2e,
    0xffbe431a,
    0xff873418,
    0xffcc715e,
    0xffaa491e,
    0xffd6a15b,
    0xff392905,
    0xff161100,
    0xff0e1b01,
    0xff111512,
    0xff16120e,
    0xff0a150c,
    0xff0c1518,
    0xff100f03,
    0xff0c0900,
    0xff10100c,
    0xff140901,
    0xff623e40,
    0xff110303,
    0xff15160c,
    0xff1b1200,
    0xff300c00,
    0xff743519,
    0xffcf7b44,
    0xfff5a542,
    0xffffd159,
    0xff7f411a,
    0xff956119,
    0xfff0c164,
    0xffc7902d,
    0xff965000,
    0xffce8415,
    0xffc88f03,
    0xffd7b115,
    0xffd4b631,
    0xfff6d17f,
    0xffa58922,
    0xffcfa11e,
    0xffc58611,
    0xffa67e49,
    0xff867550,
    0xff805841,
    0xff3f0b00,
    0xff87583c,
    0xffb67c5c,
    0xff6e1c00,
    0xff9d4419,
    0xff853311,
    0xffaa5a18,
    0xffffae35,
    0xffd8942e,
    0xff9d5602,
    0xffb37000,
    0xff9b5f00,
    0xffa4711c,
    0xffcd9c51,
    0xffac783f,
    0xff592700,
    0xff3e1300,
    0xffc89428,
    0xffc48752,
    0xff632c00,
    0xffe3ad38,
    0xffab7a00,
    0xffae8f34,
    0xffe9d3c1,
    0xff54050b,
    0xff54050c,
    0xff55060b,
    0xff500207,
    0xff55030a,
    0xff56040c,
    0xff56050b,
    0xff57040f,
    0xff4f040e,
    0xff4b0308,
    0xff4d030c,
    0xff490c16,
    0xff412d2e,
    0xff2b4236,
    0xff284842,
    0xff2d3d43,
    0xff23443a,
    0xff22443b,
    0xff284944,
    0xff2d4c4a,
    0xff264243,
    0xff284247,
    0xff284145,
    0xff274044,
    0xff2f494a,
    0xff30484e,
    0xff3a5160,
    0xff364e66,
    0xff39526f,
    0xff425d7e,
    0xff455f7f,
    0xff446180,
    0xff3f677b,
    0xff3f657b,
    0xff466a83,
    0xff486a89,
    0xff47698c,
    0xff4a6d93,
    0xff466993,
    0xff4c7099,
    0xff476988,
    0xff456586,
    0xff426385,
    0xff4a6a90,
    0xff486992,
    0xff486a97,
    0xff416697,
    0xff3f679a,
    0xff406b9b,
    0xff3e6996,
    0xff3f6995,
    0xff426a97,
    0xff4a709f,
    0xff4c6f9f,
    0xff486c97,
    0xff40648a,
    0xff3c6282,
    0xff426989,
    0xff3f6589,
    0xff395e83,
    0xff40658a,
    0xff385e81,
    0xff395f80,
    0xff29506e,
    0xff254759,
    0xff204351,
    0xff284954,
    0xff38575e,
    0xff315057,
    0xff2e4c4f,
    0xff375355,
    0xff375254,
    0xff2f4946,
    0xff2f4a43,
    0xff3b554b,
    0xff385245,
    0xff3f5848,
    0xff435b49,
    0xff435d46,
    0xff475f49,
    0xff475d48,
    0xff495c48,
    0xff42513e,
    0xff475641,
    0xff43503a,
    0xff425039,
    0xff3e4e35,
    0xff42533b,
    0xff375137,
    0xff3d4f38,
    0xff454d39,
    0xff4a543b,
    0xff4d5c38,
    0xff4c5a33,
    0xff5a5f3a,
    0xff655d3d,
    0xff836049,
    0xff71382b,
    0xff550807,
    0xff570007,
    0xff640410,
    0xff7f272c,
    0xff884d40,
    0xff6d5033,
    0xff665733,
    0xff7c5d35,
    0xff7f5e36,
    0xff8a5f3b,
    0xffcd8070,
    0xffed9f9d,
    0xffbf8085,
    0xffdb95a2,
    0xffefbcc5,
    0xffef9db0,
    0xff9b243f,
    0xff82021b,
    0xff9a1f2e,
    0xffb83841,
    0xffc92d38,
    0xffb3000d,
    0xffa60c19,
    0xffb81e31,
    0xff9a1327,
    0xff71000d,
    0xff7a0412,
    0xff87040d,
    0xff880100,
    0xffc14c41,
    0xff82534b,
    0xff7d5a53,
    0xffa24052,
    0xff942b3f,
    0xff734644,
    0xff634943,
    0xff594543,
    0xff604448,
    0xff5f3f3c,
    0xff603d3a,
    0xff6e423f,
    0xff904a47,
    0xff981d23,
    0xffbf1928,
    0xffab0010,
    0xffa9101c,
    0xffa31623,
    0xff863533,
    0xff6b483d,
    0xff58483b,
    0xff424c39,
    0xff324a36,
    0xff354539,
    0xff323934,
    0xff6b6657,
    0xff403f33,
    0xff3b463c,
    0xff364742,
    0xff3c4e4d,
    0xff445352,
    0xff4a5655,
    0xff656f6e,
    0xff555a5e,
    0xff58656b,
    0xff4e646b,
    0xff496574,
    0xff49667c,
    0xff476580,
    0xff3f5d7c,
    0xff486888,
    0xff49687d,
    0xff486575,
    0xff466069,
    0xff496066,
    0xff495b63,
    0xff47575e,
    0xff3e5254,
    0xff36494a,
    0xff34454b,
    0xff36484f,
    0xff33444c,
    0xff33444b,
    0xff2c3e41,
    0xff2a3b38,
    0xff34453d,
    0xff36443b,
    0xff454932,
    0xff4a4c35,
    0xff494933,
    0xff4b4d35,
    0xff484d33,
    0xff455133,
    0xff4c5838,
    0xff4e5838,
    0xff545f2b,
    0xff505b2b,
    0xff415028,
    0xff3e4e2e,
    0xff364429,
    0xff3a462d,
    0xff434c2f,
    0xff49522f,
    0xff50532e,
    0xff4e512f,
    0xff474a2a,
    0xff43492a,
    0xff454c31,
    0xff454c33,
    0xff454e37,
    0xff3b482e,
    0xff414d2e,
    0xff404e2f,
    0xff3a462d,
    0xff3e4c37,
    0xff3f4f3f,
    0xff45544a,
    0xff41514a,
    0xff4e5d5a,
    0xff51626e,
    0xff5e6d7b,
    0xff5d6c7b,
    0xff5d6f80,
    0xff60738c,
    0xff5e7394,
    0xff5f7aa0,
    0xff647faa,
    0xff6a87bd,
    0xff6584bc,
    0xff6789c4,
    0xff688cc9,
    0xff7196d3,
    0xff779ad6,
    0xff7d9edb,
    0xff8ba9e7,
    0xff96abdd,
    0xffa4b7e6,
    0xffa8b5e5,
    0xffa4b0dd,
    0xffb7bfee,
    0xffafb7e7,
    0xffaab4e5,
    0xffaab5e4,
    0xffaebeea,
    0xffa0b1dc,
    0xff99add9,
    0xffadb7ec,
    0xff9a9fd8,
    0xff989ed9,
    0xffa2adea,
    0xff9aabe8,
    0xffa4b5ee,
    0xff9aaae7,
    0xff9aacec,
    0xff92a6e7,
    0xff94a9e6,
    0xff98aae0,
    0xffa0a9dd,
    0xffb3b1dd,
    0xffb3695b,
    0xffb2533d,
    0xffcfb9e1,
    0xffb1c0ef,
    0xffb5bbd7,
    0xffb0bbf0,
    0xffb5baf3,
    0xffa7bdf0,
    0xffb3bcec,
    0xffb3b1db,
    0xff9d9bc2,
    0xffbba6be,
    0xfff0c3dd,
    0xffab5e62,
    0xffd1662d,
    0xffde8628,
    0xffde9019,
    0xfff3a868,
    0xfff9c299,
    0xffb88661,
    0xff998785,
    0xffc8c0e9,
    0xffb4badb,
    0xffb3adbc,
    0xffbab1d8,
    0xffb3aed7,
    0xffb9bae6,
    0xffacb6e1,
    0xffacbbe3,
    0xffa7b6df,
    0xffc1caf5,
    0xffc5c6f5,
    0xffd6b7d0,
    0xffd08283,
    0xff9b3f37,
    0xffb25f60,
    0xff8f3137,
    0xff82181a,
    0xff8e2b06,
    0xffed9435,
    0xfff77a16,
    0xffe66e0f,
    0xffb3510a,
    0xffba876b,
    0xffd0cfde,
    0xffb3bce9,
    0xffbebff2,
    0xffb2b6df,
    0xffaebbe4,
    0xffb7c4ed,
    0xffb2bee8,
    0xffb0bce6,
    0xffb7c4ee,
    0xffbac2ee,
    0xffb3bce4,
    0xffb7c0e9,
    0xffb6bee4,
    0xffb5bee3,
    0xffbcc2e6,
    0xffb9bce0,
    0xffbabee1,
    0xffbabee1,
    0xffc0c4e6,
    0xffc3caed,
    0xffc6cfea,
    0xffb8cce5,
    0xffc4d0ed,
    0xffcfc7f0,
    0xffc7c8ee,
    0xffbbcce7,
    0xffd4cbdf,
    0xffc385a1,
    0xff97101a,
    0xff860110,
    0xffcf8499,
    0xffffc1d5,
    0xff9f1110,
    0xffa2070e,
    0xff99040e,
    0xffb13014,
    0xfff29b5f,
    0xffebaa72,
    0xfff0aa9d,
    0xffe69e70,
    0xffc97610,
    0xffe06e16,
    0xffea753a,
    0xff9f3a20,
    0xffe69e77,
    0xffffbd6a,
    0xffe69b2f,
    0xffc57d2a,
    0xffb67138,
    0xffd4925e,
    0xffb48357,
    0xffc4a088,
    0xffe3dcf0,
    0xffcdcde8,
    0xffc9cded,
    0xffc5cbee,
    0xffc9cef3,
    0xffc4c9ee,
    0xffc0c8eb,
    0xffbfc8ee,
    0xffc1cbed,
    0xffbec5ea,
    0xffc2c6f0,
    0xffbfc0ee,
    0xffc1c2f0,
    0xffbabeeb,
    0xffbdc1e8,
    0xffc4c9f0,
    0xffc4cbf8,
    0xffbbb5d9,
    0xffc6c0ed,
    0xffaab7e5,
    0xffb2c5e9,
    0xffb9c1ee,
    0xffbab9ef,
    0xffb9c2e5,
    0xffb4bdea,
    0xffadb8e6,
    0xffabb4e5,
    0xffa3afe0,
    0xffa1aede,
    0xffa1aee0,
    0xffa1afe1,
    0xffa5b3e2,
    0xffa3b1de,
    0xffa5b0dd,
    0xffaab7e0,
    0xffaab2db,
    0xffb0b9e0,
    0xffaab2d6,
    0xffb4bce0,
    0xffb0badb,
    0xffa8adcd,
    0xffaeb4d4,
    0xffaeb4d6,
    0xffaeb5d6,
    0xffbbbfe0,
    0xffb5bbd9,
    0xffbdc2df,
    0xffb7bed8,
    0xffbcc1d7,
    0xffcacce1,
    0xffcdcee3,
    0xffd0cde2,
    0xffcac8dd,
    0xffccc9df,
    0xffc5c6db,
    0xffbebfd4,
    0xffbec2d5,
    0xffbabfd2,
    0xffb4b9cc,
    0xffb3b9cc,
    0xffacaec2,
    0xffabaec2,
    0xffa4a7ba,
    0xffa6a9bd,
    0xffa7abc0,
    0xffbbb0c0,
    0xffb08d93,
    0xff41090a,
    0xff51040c,
    0xff6a0d1d,
    0xff7b1523,
    0xff7d1118,
    0xff801115,
    0xffba463a,
    0xffbe4633,
    0xffcc4c47,
    0xffd34d4b,
    0xffdc5145,
    0xffb0201b,
    0xffa61224,
    0xff99031a,
    0xff98000b,
    0xff990003,
    0xff8b0000,
    0xffdc6635,
    0xfffe954d,
    0xffd35e28,
    0xffc8422b,
    0xff982a12,
    0xff9f5431,
    0xff9f6f4d,
    0xff976c5a,
    0xffa58079,
    0xff664435,
    0xff95553d,
    0xffd3664e,
    0xffd25e44,
    0xff975a4a,
    0xffd47f5d,
    0xfff49244,
    0xffbd4104,
    0xffc53e27,
    0xff8b5931,
    0xff565d23,
    0xff3e4921,
    0xff414a25,
    0xff424526,
    0xff433f22,
    0xff423f20,
    0xff2f3313,
    0xff293316,
    0xff222d14,
    0xff142318,
    0xff1c200e,
    0xff361b02,
    0xff8b422c,
    0xffa93e30,
    0xff8a1e13,
    0xffa13f32,
    0xffac5242,
    0xffb2593e,
    0xffb95942,
    0xffb04b37,
    0xff7c200f,
    0xff7b3f26,
    0xff624c21,
    0xff6e662e,
    0xff837636,
    0xff8f7e32,
    0xff8e7c2e,
    0xff79671c,
    0xff74621c,
    0xff6d5c1e,
    0xff695720,
    0xff61521a,
    0xff5d5114,
    0xff5c5414,
    0xff595011,
    0xff5c5312,
    0xff5d5414,
    0xff605513,
    0xff645916,
    0xff5e500e,
    0xff5f5210,
    0xff575018,
    0xff514d1b,
    0xff403f11,
    0xff383a11,
    0xff393e16,
    0xff393c11,
    0xff40400d,
    0xff414006,
    0xff524300,
    0xff615308,
    0xff5d4f04,
    0xff544900,
    0xff514303,
    0xff4f4408,
    0xff4d4108,
    0xff4b3e09,
    0xff584802,
    0xff4b3e00,
    0xff3e3a07,
    0xff3d3b14,
    0xff383814,
    0xff343513,
    0xff2f3011,
    0xff26290d,
    0xff242814,
    0xff212613,
    0xff1b1f10,
    0xff1a1c0f,
    0xff17190c,
    0xff191a0d,
    0xff17190c,
    0xff1a1c0d,
    0xff191b0d,
    0xff191b0d,
    0xff1d1f12,
    0xff1c1e11,
    0xff191b0d,
    0xff181a0c,
    0xff181b0f,
    0xff171711,
    0xff1d1d15,
    0xff1b1d10,
    0xff141506,
    0xff18160a,
    0xff171308,
    0xff171507,
    0xff27220e,
    0xff2e2a0f,
    0xff3b2700,
    0xff6f4509,
    0xffbd8026,
    0xffd59128,
    0xffd78c1b,
    0xffcd750a,
    0xffd37b1d,
    0xffc87a2c,
    0xff5b1700,
    0xff3a1303,
    0xff271307,
    0xff573508,
    0xffffe56c,
    0xffd98d03,
    0xffd37611,
    0xffe78114,
    0xffe97a1a,
    0xffe8701f,
    0xff951c00,
    0xffae3e16,
    0xffce5b22,
    0xffcd4b18,
    0xffc24220,
    0xff922605,
    0xffbe5940,
    0xffb5625a,
    0xff460000,
    0xff842610,
    0xffa73312,
    0xffb4321a,
    0xff7c0000,
    0xffa31c1b,
    0xffa93a20,
    0xffd05c49,
    0xffcd5534,
    0xff944614,
    0xffe7bf77,
    0xff260700,
    0xff100900,
    0xff16160c,
    0xff0d120d,
    0xff0e1a04,
    0xff160800,
    0xff693820,
    0xffa06a51,
    0xff371608,
    0xff402410,
    0xff55221c,
    0xff241404,
    0xff0d110c,
    0xff2a2314,
    0xff77491f,
    0xffe79a59,
    0xfff2983e,
    0xffe19a34,
    0xffdbb457,
    0xff5e2503,
    0xffd79f3c,
    0xffffd366,
    0xffb57802,
    0xffffd33e,
    0xffc68d18,
    0xffa96a23,
    0xffcb8f20,
    0xffaf8502,
    0xfff3cd6b,
    0xffab8e14,
    0xffffe355,
    0xffffc441,
    0xff764400,
    0xff937648,
    0xff8e6e5f,
    0xff915c5e,
    0xff5c1800,
    0xffb26933,
    0xffb16c5b,
    0xff93562b,
    0xff7d3304,
    0xff89370c,
    0xffeea62e,
    0xffb06c0a,
    0xffbf7b1a,
    0xffcb8217,
    0xffb26405,
    0xffeeb440,
    0xffc3994c,
    0xff744d17,
    0xff3e0e00,
    0xff2a1500,
    0xff694e06,
    0xffebcb83,
    0xff684911,
    0xffa17828,
    0xffb68312,
    0xff99731c,
    0xffffebf6,
    0xff510309,
    0xff510309,
    0xff530409,
    0xff56050b,
    0xff56050b,
    0xff54030a,
    0xff530108,
    0xff55010c,
    0xff4e060a,
    0xff480707,
    0xff590304,
    0xff81131b,
    0xff6a282b,
    0xff3a4441,
    0xff1e464b,
    0xff2e4057,
    0xff234851,
    0xff244a56,
    0xff264959,
    0xff24465b,
    0xff2f5168,
    0xff385a73,
    0xff375773,
    0xff3c5d78,
    0xff435e7f,
    0xff4c6b8e,
    0xff4d6c95,
    0xff486895,
    0xff456899,
    0xff496e9f,
    0xff4b709e,
    0xff466a99,
    0xff406a92,
    0xff446b94,
    0xff496e98,
    0xff4e709a,
    0xff476b95,
    0xff4c6f99,
    0xff496c96,
    0xff476d95,
    0xff4c7094,
    0xff476a8f,
    0xff4a6d92,
    0xff496b91,
    0xff3b6288,
    0xff3a618d,
    0xff3c6290,
    0xff3b6393,
    0xff3f6891,
    0xff3b6288,
    0xff3d6588,
    0xff3b6084,
    0xff426489,
    0xff3d5e81,
    0xff426280,
    0xff3d5d76,
    0xff335261,
    0xff355463,
    0xff395768,
    0xff2a475b,
    0xff284556,
    0xff274454,
    0xff23414f,
    0xff27434f,
    0xff264043,
    0xff263f3f,
    0xff1e3935,
    0xff253d33,
    0xff33493b,
    0xff3a4e3d,
    0xff3a4d3b,
    0xff3f5140,
    0xff3b4e3b,
    0xff3c4d3a,
    0xff3c4d37,
    0xff415037,
    0xff445539,
    0xff475636,
    0xff485734,
    0xff4a5935,
    0xff4d5d3a,
    0xff4a5a36,
    0xff485734,
    0xff485533,
    0xff485230,
    0xff46502e,
    0xff434e2d,
    0xff414e2b,
    0xff40542b,
    0xff434a2b,
    0xff474629,
    0xff404827,
    0xff3e512a,
    0xff4a562d,
    0xff6a523a,
    0xff7c4338,
    0xff7f1f23,
    0xff6f010f,
    0xff730114,
    0xff6f0012,
    0xff7b0213,
    0xff780006,
    0xff630000,
    0xffc78071,
    0xffaa6c4e,
    0xff782a11,
    0xff772512,
    0xffb9605a,
    0xffb95361,
    0xffb45b6e,
    0xffd898a7,
    0xfff9bac7,
    0xffc87585,
    0xff8d273b,
    0xff6e0012,
    0xff760010,
    0xffae3141,
    0xffa0202c,
    0xffd04450,
    0xffc12835,
    0xff82000b,
    0xff780004,
    0xff830517,
    0xff760215,
    0xff740012,
    0xff7b000c,
    0xff800a0d,
    0xff8f211e,
    0xff77312a,
    0xff683231,
    0xff76293a,
    0xff5d1f32,
    0xff54363b,
    0xff4d3c37,
    0xff4e4032,
    0xff673a35,
    0xff6c2b2e,
    0xff742e34,
    0xff7b2c33,
    0xff8d232b,
    0xffa00916,
    0xffbe0618,
    0xffb70412,
    0xffa20810,
    0xffb00c18,
    0xffae1c27,
    0xff9d3339,
    0xff7d3536,
    0xff5f342e,
    0xff453f34,
    0xff39443c,
    0xff413d40,
    0xff71666d,
    0xff4b4c53,
    0xff515f69,
    0xff4c616e,
    0xff4f6474,
    0xff4c5a6c,
    0xff4b5769,
    0xff677382,
    0xff4b5454,
    0xff4e5c5b,
    0xff465c59,
    0xff445b59,
    0xff405453,
    0xff405251,
    0xff405453,
    0xff3a504d,
    0xff3e4f4b,
    0xff404f47,
    0xff3e4d3c,
    0xff424d3a,
    0xff4b5645,
    0xff404d3e,
    0xff374635,
    0xff394a37,
    0xff30432f,
    0xff2c3e2c,
    0xff213625,
    0xff203526,
    0xff213628,
    0xff253726,
    0xff2a3b26,
    0xff31422c,
    0xff3e4734,
    0xff464a39,
    0xff474835,
    0xff484933,
    0xff4e5236,
    0xff4e5738,
    0xff545c3a,
    0xff585d3a,
    0xff556024,
    0xff515f29,
    0xff4a592f,
    0xff41512f,
    0xff3a4b2b,
    0xff334325,
    0xff3a4828,
    0xff44502f,
    0xff48523a,
    0xff404a33,
    0xff414d36,
    0xff3f4c3a,
    0xff3f4e40,
    0xff3a4a3f,
    0xff3e4f48,
    0xff495a52,
    0xff455246,
    0xff4e5b54,
    0xff4c5c60,
    0xff485b6c,
    0xff465a7b,
    0xff4f6995,
    0xff5974ad,
    0xff5e79b7,
    0xff5a7ebd,
    0xff5e80c2,
    0xff6287c8,
    0xff6890cf,
    0xff5e89ca,
    0xff618fd6,
    0xff6495df,
    0xff6395e1,
    0xff688de1,
    0xff688de0,
    0xff6992e3,
    0xff6b92e3,
    0xff5e88d5,
    0xff638bd4,
    0xff698ed4,
    0xff6d8fd1,
    0xff879ed7,
    0xff8da0d7,
    0xff99a9db,
    0xff99a4d3,
    0xffa0a8d5,
    0xffa2aad8,
    0xff9faad7,
    0xff8c98c9,
    0xff99a7da,
    0xff93a9d2,
    0xff9bb7da,
    0xff92a9d3,
    0xffacb0e1,
    0xffb9afe2,
    0xffa8addf,
    0xff93a9dd,
    0xff91a4d6,
    0xff91a0d7,
    0xff90a1db,
    0xff8d9fdc,
    0xff93a4e2,
    0xff93a2dd,
    0xff9da5dd,
    0xffada9dd,
    0xffc07985,
    0xffad726e,
    0xffc3bdeb,
    0xffb5b5e8,
    0xffafb6d8,
    0xff99ace3,
    0xffbeb1e4,
    0xffb3b3d7,
    0xffa09cc6,
    0xffa6a6d4,
    0xffb4c3f5,
    0xffadbae6,
    0xffbdbae7,
    0xff9a6270,
    0xffad3907,
    0xffe07826,
    0xffd87f29,
    0xffd19086,
    0xffe3d0e6,
    0xffe7daed,
    0xffc5cae5,
    0xffc7c2f6,
    0xffc5cbf1,
    0xffb3b2cb,
    0xffb9c2e3,
    0xffadb5e1,
    0xffa9b1e2,
    0xffb1b9ea,
    0xffa7b0df,
    0xffabb4e2,
    0xffa9b4e3,
    0xffafb9eb,
    0xffd5bfe2,
    0xffc27468,
    0xffa73c19,
    0xffcd5848,
    0xffa31b20,
    0xffab1924,
    0xffa52423,
    0xff7d0a00,
    0xffc14211,
    0xffd6470f,
    0xffdc5311,
    0xffa93e07,
    0xffb1716c,
    0xffcbbfe8,
    0xffa7addf,
    0xffb5aed8,
    0xffa7b1dd,
    0xffaab5e3,
    0xffabb7e0,
    0xffa8b5df,
    0xffadb6e1,
    0xffb3bce4,
    0xffb1bae3,
    0xffb2bbe4,
    0xffb6bde7,
    0xffbcc1eb,
    0xffbbbde7,
    0xffb7bbe1,
    0xffbcbde4,
    0xffbabee3,
    0xffb7bae0,
    0xffb2b8dc,
    0xffb4b9da,
    0xffa7b6d3,
    0xffafb7da,
    0xffbcb5e1,
    0xffb2b8e1,
    0xffa9c1dc,
    0xffc1c0d9,
    0xff91617f,
    0xff5f0627,
    0xff9e5673,
    0xffffd8e4,
    0xffb03b4b,
    0xff9d0015,
    0xffa90822,
    0xff920711,
    0xff9f1c0c,
    0xffd87a44,
    0xffc6885e,
    0xffffccb9,
    0xffe8984a,
    0xfff49d13,
    0xfff19126,
    0xffb0450f,
    0xffb36147,
    0xffffcb8d,
    0xffe49930,
    0xffb46c00,
    0xffe8a842,
    0xffcc8a3d,
    0xffa35a12,
    0xffce823c,
    0xffbe8250,
    0xffb9adc0,
    0xffcecce8,
    0xffc0c4e7,
    0xffbcc3ed,
    0xffb6bee7,
    0xffaeb5de,
    0xffb0b9e1,
    0xffb0bce5,
    0xffb0b9e2,
    0xffb1b9e4,
    0xffb8bcea,
    0xffbabdea,
    0xffbabee8,
    0xffbec2eb,
    0xffbac1e5,
    0xffbcc8e6,
    0xffb3bee0,
    0xffbec1e0,
    0xffbfc4e8,
    0xffb1bedf,
    0xffafc0df,
    0xffb1b9e6,
    0xffb5b9ec,
    0xffb4bee4,
    0xffbec5ee,
    0xffb8c0ec,
    0xffb5bcea,
    0xffabb3e1,
    0xffa9b0df,
    0xffa2addb,
    0xffa2addc,
    0xffa1afdc,
    0xffa6b3de,
    0xffa7b3dc,
    0xffa4b0d9,
    0xffa3b0d6,
    0xffacb5da,
    0xffb0badd,
    0xffb5bddf,
    0xffbbc4e4,
    0xffbfc5e7,
    0xffbac0e4,
    0xffb2b8dc,
    0xffb4bade,
    0xffbbc2e3,
    0xffbabedf,
    0xffbcc1df,
    0xffbcc1dd,
    0xffbfc3dc,
    0xffbfc0da,
    0xffbfbfd7,
    0xffbebed7,
    0xffcfcce4,
    0xffcecfe4,
    0xffbebfd4,
    0xffbbbbd0,
    0xffb9bdd2,
    0xffa7adc3,
    0xffb1b6cc,
    0xffabb0c6,
    0xffadaec5,
    0xffaaacc3,
    0xffaeb0c7,
    0xffabadc5,
    0xffa6b0bd,
    0xffa49299,
    0xff531a20,
    0xff6b131b,
    0xff6a040f,
    0xff8b222c,
    0xff8c2027,
    0xff9a2b33,
    0xff962027,
    0xff8b1612,
    0xffb03529,
    0xffc03a2b,
    0xffb4241a,
    0xffac120f,
    0xffb10d16,
    0xffad0316,
    0xffa1070e,
    0xffa5000f,
    0xffae0013,
    0xffac0610,
    0xff980d00,
    0xfffb8c50,
    0xffb9460b,
    0xffc4492a,
    0xff802616,
    0xff8f3a2b,
    0xff813a2a,
    0xfff3cab5,
    0xff7a5540,
    0xff7e4b31,
    0xffbd694d,
    0xffc75438,
    0xffbe4f38,
    0xff844634,
    0xff923e24,
    0xffa54b18,
    0xffc05833,
    0xffa32915,
    0xff9f6138,
    0xff64481a,
    0xff434821,
    0xff444828,
    0xff46492a,
    0xff3e4725,
    0xff3a4120,
    0xff36381c,
    0xff2e2f19,
    0xff232516,
    0xff1d2115,
    0xff1a2110,
    0xff131903,
    0xff231300,
    0xff6e312a,
    0xff862321,
    0xff912a20,
    0xff9e4832,
    0xffa85f45,
    0xffaf5542,
    0xff812618,
    0xff5a1c08,
    0xff401f06,
    0xff2c2000,
    0xff3e3d0c,
    0xff464c0e,
    0xff574c17,
    0xff584a17,
    0xff4d3f0b,
    0xff4b3d0a,
    0xff483a0b,
    0xff46390c,
    0xff493e0d,
    0xff4c400d,
    0xff4b3f08,
    0xff52450c,
    0xff564b0f,
    0xff5c4f10,
    0xff60520f,
    0xff61530d,
    0xff5f5109,
    0xff5f5108,
    0xff5b5314,
    0xff4c440d,
    0xff474313,
    0xff484718,
    0xff414111,
    0xff494812,
    0xff545014,
    0xff5f5916,
    0xff706009,
    0xff6a5a02,
    0xff716207,
    0xff6c5e04,
    0xff625300,
    0xff665709,
    0xff695c0d,
    0xff605204,
    0xff61510f,
    0xff50460d,
    0xff443f13,
    0xff3b3815,
    0xff323212,
    0xff333116,
    0xff282912,
    0xff20260e,
    0xff1e2513,
    0xff1c2313,
    0xff192011,
    0xff1c2012,
    0xff161a0c,
    0xff15170a,
    0xff141609,
    0xff1a1c0e,
    0xff222315,
    0xff1e1f11,
    0xff212212,
    0xff252615,
    0xff212211,
    0xff1f2013,
    0xff1d1d13,
    0xff25251b,
    0xff212319,
    0xff1f1f14,
    0xff181a0b,
    0xff1a180b,
    0xff1b170b,
    0xff261f12,
    0xff28230d,
    0xff302c0f,
    0xff32320c,
    0xff533c0b,
    0xff552400,
    0xff9e602a,
    0xffd08943,
    0xffe08a2a,
    0xffd67e13,
    0xffffb24d,
    0xfffbb462,
    0xff430800,
    0xff300000,
    0xffb87e26,
    0xffecaa0f,
    0xffb86700,
    0xffd17016,
    0xffdc6e11,
    0xffa93c00,
    0xffb03600,
    0xffa32406,
    0xff951a00,
    0xffa12200,
    0xffd34b29,
    0xffcf573d,
    0xffa84d26,
    0xff6a0f00,
    0xff4c0000,
    0xff531912,
    0xff440400,
    0xffc25c35,
    0xff9f1600,
    0xffc43e27,
    0xffbe4f30,
    0xff972800,
    0xffa03217,
    0xffb64729,
    0xffbb6c30,
    0xff360000,
    0xffe1a761,
    0xff634b1a,
    0xff130300,
    0xff201806,
    0xff211100,
    0xff4e110f,
    0xffd46554,
    0xffcf5d3b,
    0xffb36030,
    0xffac6228,
    0xffa34824,
    0xff5d1a00,
    0xff2a0e0a,
    0xff1f0100,
    0xffd89953,
    0xffeb9f40,
    0xffe59f47,
    0xff854e15,
    0xff240000,
    0xff8c7123,
    0xffb28b34,
    0xfff8c172,
    0xffb17e0e,
    0xffffe838,
    0xffd9a836,
    0xff662100,
    0xffc57c0d,
    0xffc98e13,
    0xffbd8a1d,
    0xffc49a17,
    0xfff3cc4b,
    0xfff6d150,
    0xff9c5c02,
    0xffba8238,
    0xff6e5130,
    0xff866767,
    0xff733521,
    0xff9a4b10,
    0xff611402,
    0xffa15f4e,
    0xff844019,
    0xffbf7934,
    0xffd7932a,
    0xff823c00,
    0xffe29f53,
    0xff9f5601,
    0xffbc680b,
    0xffa86600,
    0xff91640f,
    0xffad8a41,
    0xffbe914d,
    0xff3d1f00,
    0xff331300,
    0xff533b13,
    0xff988c58,
    0xff785b1f,
    0xffb37c28,
    0xff9b6b1e,
    0xfffff6f6,
    0xff55040b,
    0xff55040a,
    0xff540209,
    0xff510006,
    0xff510006,
    0xff520309,
    0xff52030c,
    0xff53020d,
    0xff580307,
    0xff4d0608,
    0xff5e0509,
    0xff7d0b15,
    0xff863945,
    0xff545a67,
    0xff356277,
    0xff3a5a7a,
    0xff305681,
    0xff355b88,
    0xff345b8a,
    0xff3d6396,
    0xff42679b,
    0xff3a6097,
    0xff3f659c,
    0xff40669d,
    0xff4667a8,
    0xff4666a8,
    0xff4166a3,
    0xff3f669f,
    0xff3d679b,
    0xff3f699a,
    0xff3b6693,
    0xff3d6894,
    0xff3f689a,
    0xff3d6294,
    0xff3c618f,
    0xff41638f,
    0xff42628c,
    0xff47688f,
    0xff46678e,
    0xff406387,
    0xff3f628b,
    0xff446790,
    0xff3f628a,
    0xff3b5e86,
    0xff41648c,
    0xff466992,
    0xff42658f,
    0xff3b5e8b,
    0xff3e6182,
    0xff406382,
    0xff41627e,
    0xff42607b,
    0xff415c7b,
    0xff435d78,
    0xff485f76,
    0xff415867,
    0xff435856,
    0xff425755,
    0xff3a4f4f,
    0xff324746,
    0xff2d4141,
    0xff2c3f40,
    0xff283c3c,
    0xff213533,
    0xff1a3033,
    0xff223736,
    0xff233632,
    0xff304238,
    0xff314232,
    0xff394835,
    0xff394631,
    0xff394733,
    0xff3b4936,
    0xff3b4735,
    0xff3e4b35,
    0xff404c36,
    0xff49533a,
    0xff485336,
    0xff525b3b,
    0xff545e3b,
    0xff516037,
    0xff505f36,
    0xff525d36,
    0xff4e5831,
    0xff4c5630,
    0xff48522e,
    0xff49522f,
    0xff45522c,
    0xff4b532a,
    0xff504f2b,
    0xff4e472b,
    0xff504f30,
    0xff4f4f2f,
    0xff5e4b32,
    0xff7c3c36,
    0xff98323d,
    0xff861729,
    0xff72000f,
    0xff70010e,
    0xff680002,
    0xff850a06,
    0xffa4120e,
    0xffaa2119,
    0xffa84531,
    0xff8b6239,
    0xff875530,
    0xff99523a,
    0xffab5957,
    0xffae5b6c,
    0xffe390ac,
    0xffffacc8,
    0xffb1566d,
    0xff9a263d,
    0xff7c0a1f,
    0xff6e0011,
    0xff851324,
    0xff7b0212,
    0xff941527,
    0xffb93746,
    0xff870714,
    0xff7a0008,
    0xff78000c,
    0xff7a000e,
    0xff72020e,
    0xff6e0410,
    0xff6a0610,
    0xff53130f,
    0xff7f4b43,
    0xff76493d,
    0xff73534f,
    0xff69535f,
    0xff574c5f,
    0xff4b4858,
    0xff4f5c60,
    0xff3b554c,
    0xff4e4e48,
    0xff88817f,
    0xff56484b,
    0xff5a4349,
    0xff6a3b41,
    0xff8d2d37,
    0xffa10d1f,
    0xffa90013,
    0xffab0416,
    0xffaf050c,
    0xffbd0a1b,
    0xffb71a2b,
    0xffa11d2b,
    0xffa72e3e,
    0xff903e48,
    0xff634748,
    0xff5e5457,
    0xff61585f,
    0xff4b5359,
    0xff415b60,
    0xff3c5d67,
    0xff385561,
    0xff445966,
    0xff51636c,
    0xff566970,
    0xff4d545d,
    0xff4e585f,
    0xff445356,
    0xff3f4d4c,
    0xff45504b,
    0xff434a43,
    0xff39433a,
    0xff384638,
    0xff454b3d,
    0xff4a4f3b,
    0xff4e5337,
    0xff535538,
    0xff505439,
    0xff4e563d,
    0xff3e4a32,
    0xff37462d,
    0xff2f3f34,
    0xff2a3933,
    0xff223531,
    0xff233634,
    0xff1e3232,
    0xff182829,
    0xff202e30,
    0xff2d3938,
    0xff2b382c,
    0xff3c4134,
    0xff464936,
    0xff4d4f34,
    0xff484f27,
    0xff535c2d,
    0xff535d28,
    0xff566027,
    0xff525e2f,
    0xff515c37,
    0xff48563a,
    0xff3c4d37,
    0xff344731,
    0xff334430,
    0xff3b4a38,
    0xff415040,
    0xff445352,
    0xff495a5a,
    0xff485a58,
    0xff4c5f5e,
    0xff506666,
    0xff4d6466,
    0xff496166,
    0xff435b64,
    0xff475a72,
    0xff475976,
    0xff475d7e,
    0xff4c688f,
    0xff51729f,
    0xff4f72a5,
    0xff5279b1,
    0xff5078b4,
    0xff5574b9,
    0xff7493da,
    0xff6282c6,
    0xff5e84c6,
    0xff6c93d4,
    0xff658dd1,
    0xff6c99dc,
    0xff6f9be1,
    0xff6691dd,
    0xff6894dc,
    0xff6998de,
    0xff6997e0,
    0xff6e9ae5,
    0xff7099e5,
    0xff749be1,
    0xff7ca0e2,
    0xff89a2de,
    0xffa0b4eb,
    0xffa4b4e5,
    0xffadb9e5,
    0xffb4bde6,
    0xffb0b9e2,
    0xffa8b3e0,
    0xffa2acdb,
    0xff9a9fd6,
    0xffa7b6e0,
    0xff99a0c8,
    0xffa0add0,
    0xffa4abd0,
    0xffa09fc8,
    0xff97aad2,
    0xff96aedd,
    0xff93a8d8,
    0xff8fa1d5,
    0xff93a3dc,
    0xff97abe7,
    0xff99adea,
    0xff9cafea,
    0xffa3afea,
    0xffadace7,
    0xffb588ac,
    0xffb49fb6,
    0xff9aa4db,
    0xffa5abe6,
    0xff96a3d6,
    0xffbcbdf3,
    0xff9a698c,
    0xffb7889b,
    0xffcdbfe3,
    0xffb3b2e4,
    0xffafb6f4,
    0xffb8b8f4,
    0xffc6b9ed,
    0xff995e5f,
    0xffde6e25,
    0xffe7872c,
    0xffce7b47,
    0xffd9a7b5,
    0xffb0afd6,
    0xffbac1de,
    0xffb7c4e1,
    0xffbbb4e4,
    0xffc5bdea,
    0xffb5a0ce,
    0xffbbc5e6,
    0xffb0bde6,
    0xffaebbed,
    0xffa4ace2,
    0xffb2b4e3,
    0xffaeaed4,
    0xffb5b7da,
    0xffb6bbe1,
    0xffd3cdde,
    0xffc98666,
    0xffda7040,
    0xffb74b30,
    0xffaf402f,
    0xff9a2418,
    0xff9b2420,
    0xffa52b26,
    0xff811400,
    0xffbc3327,
    0xffcd3418,
    0xffc33500,
    0xffbb4a1c,
    0xffc9a1a3,
    0xffabbddb,
    0xffb3c3e6,
    0xffb1bde9,
    0xffb9c4f1,
    0xffbac5f3,
    0xffbfc7f2,
    0xffc2cbf7,
    0xffb1bae3,
    0xffb4bbe5,
    0xffbcc3ed,
    0xffbec4f1,
    0xffb8c0e9,
    0xffc0c5ed,
    0xffc6caf1,
    0xffc4c8ed,
    0xffc6caef,
    0xffc1c4e9,
    0xffc7cdf2,
    0xffc9caef,
    0xffc3ccef,
    0xffc9cff4,
    0xffc3c3ef,
    0xffbec7f0,
    0xffb0c8e7,
    0xffc3cae7,
    0xffc7b3d1,
    0xffe6d2ef,
    0xffb698a1,
    0xffffc8b3,
    0xffbc2a20,
    0xff9d0005,
    0xffa40e26,
    0xff8b222e,
    0xffb54249,
    0xffbb665a,
    0xfffbcec6,
    0xffc9a788,
    0xffc97c33,
    0xffce751a,
    0xffaa5700,
    0xffa14b07,
    0xfff1cdac,
    0xffdaa662,
    0xffd28c18,
    0xffffcb3f,
    0xfff3bb3a,
    0xffb37219,
    0xffbe7032,
    0xffa75315,
    0xffe1a773,
    0xffc7bbcd,
    0xffb4afce,
    0xffadb1da,
    0xffadb4e3,
    0xffb0b8e7,
    0xffacb5e2,
    0xffa9b1dd,
    0xffa7b5de,
    0xffadb4e4,
    0xffadb3e2,
    0xffb1b8e8,
    0xffb4bae8,
    0xffb0b6e0,
    0xffbdc4ea,
    0xffbfcaeb,
    0xffc2cdea,
    0xffbec3e0,
    0xffbdc3de,
    0xffbbc1dc,
    0xffb7c1de,
    0xffb3bcde,
    0xffbbc3ee,
    0xffadb4e1,
    0xffb1bbe2,
    0xffb2b7df,
    0xffb1b5dd,
    0xffb2b7e1,
    0xffa2a6d3,
    0xffa4abd7,
    0xff9ea5d3,
    0xff9aa5d2,
    0xff9da8d5,
    0xff96a2cd,
    0xff919dc7,
    0xff8f9bc3,
    0xff8b97bd,
    0xff9ba3ca,
    0xffa1aacf,
    0xffa5b0d2,
    0xffa7b2d5,
    0xffa1a9ce,
    0xff9fa7cd,
    0xff9ea3ca,
    0xffa4a8d1,
    0xffa9afd5,
    0xffb5bbdf,
    0xffbbbee2,
    0xffbec3e3,
    0xffc7cde9,
    0xffc7cae8,
    0xffc7c9e4,
    0xffc5c4e1,
    0xffbdbdd8,
    0xffc4c5de,
    0xffd0d2eb,
    0xffcccee6,
    0xffbec3dd,
    0xffc0c4df,
    0xffbabed8,
    0xffadb1cc,
    0xffb3b4cf,
    0xffacadc9,
    0xffa9aac6,
    0xffabaec9,
    0xffaeb8c3,
    0xffcbbec5,
    0xffad7782,
    0xff6c1625,
    0xff881e25,
    0xffb2433d,
    0xffa53533,
    0xff97252a,
    0xff851c21,
    0xff861725,
    0xffa32228,
    0xffd43f27,
    0xffc42007,
    0xffb7130f,
    0xffab080c,
    0xffb60f04,
    0xffb61105,
    0xffaf0207,
    0xffad010f,
    0xffa80516,
    0xff8f0001,
    0xffc64725,
    0xffc64b1a,
    0xffbe4123,
    0xff631a10,
    0xffac4f42,
    0xff963f30,
    0xfff8beb3,
    0xff73341d,
    0xffd66e4a,
    0xffe06948,
    0xffce6657,
    0xffa8544d,
    0xff745544,
    0xff916b52,
    0xff8f5837,
    0xff9c5036,
    0xff964932,
    0xff715230,
    0xff5f4f31,
    0xff4e512d,
    0xff525032,
    0xff4d4e2f,
    0xff3d4725,
    0xff36401e,
    0xff39361d,
    0xff312a18,
    0xff29271c,
    0xff262b18,
    0xff212212,
    0xff202a1a,
    0xff142314,
    0xff1c130a,
    0xff5b241e,
    0xff7b271c,
    0xff89341e,
    0xff975e43,
    0xff9e5847,
    0xff6d2d1f,
    0xff512f1d,
    0xff443920,
    0xff524c2f,
    0xff615e33,
    0xff6a723b,
    0xff746e37,
    0xff766f33,
    0xff655e1e,
    0xff645b1b,
    0xff635a1c,
    0xff645a1f,
    0xff625b1a,
    0xff585111,
    0xff605320,
    0xff62531e,
    0xff5e4e19,
    0xff645417,
    0xff6c5d1b,
    0xff6a5914,
    0xff6f5d16,
    0xff705f15,
    0xff695f1f,
    0xff544c13,
    0xff474112,
    0xff464313,
    0xff48450e,
    0xff534d0f,
    0xff615813,
    0xff5f530b,
    0xff6c5a0b,
    0xff7a6716,
    0xff74610c,
    0xff6b5906,
    0xff6e5b0e,
    0xff6a570c,
    0xff614f03,
    0xff6e5c10,
    0xff6b5c1b,
    0xff4f430b,
    0xff393608,
    0xff3e3a18,
    0xff393819,
    0xff2e2f14,
    0xff282b16,
    0xff212815,
    0xff1a2514,
    0xff16200f,
    0xff141c0d,
    0xff13190e,
    0xff10170b,
    0xff181a10,
    0xff191b0d,
    0xff16180a,
    0xff1c1c10,
    0xff202113,
    0xff2f3020,
    0xff3e3e2e,
    0xff303121,
    0xff222315,
    0xff1b1a0e,
    0xff1d1d13,
    0xff24261d,
    0xff26281c,
    0xff1d1e0f,
    0xff1b180d,
    0xff1d190f,
    0xff201e0e,
    0xff241e0a,
    0xff232104,
    0xff2a2f10,
    0xff46380f,
    0xff4f320b,
    0xff492305,
    0xff4a1b00,
    0xff915320,
    0xff9e5723,
    0xff88411e,
    0xffa46320,
    0xff9e5a25,
    0xffc16f38,
    0xffce6e0f,
    0xffd77601,
    0xffcf701b,
    0xffb95f02,
    0xffc05902,
    0xffc55c15,
    0xffbf4b09,
    0xffb8380a,
    0xffbf431f,
    0xffd05b29,
    0xffa33100,
    0xffbd511d,
    0xffbb5716,
    0xffd27142,
    0xff90381c,
    0xff4b0900,
    0xff511607,
    0xffa44f3d,
    0xff981f0d,
    0xffc64526,
    0xffe47344,
    0xffd7622d,
    0xffb64819,
    0xffc35425,
    0xffba661a,
    0xffcf801b,
    0xffffb046,
    0xffffd46f,
    0xffb99745,
    0xff0e0000,
    0xffd0ad74,
    0xff611800,
    0xff992807,
    0xffc34b2a,
    0xffac471a,
    0xffce6b26,
    0xffbd470b,
    0xffcc6b31,
    0xff551800,
    0xffc1813e,
    0xffdf8927,
    0xffe29b3d,
    0xff714b16,
    0xff1a0a00,
    0xff19140c,
    0xff1e1d01,
    0xff150b00,
    0xff7c6a43,
    0xff9d841b,
    0xfffcd841,
    0xffb37a17,
    0xff9e500b,
    0xff9d4e0c,
    0xffd79025,
    0xffbd7d0d,
    0xffecb231,
    0xffae8015,
    0xff8e6500,
    0xffb46d01,
    0xffc17610,
    0xff9b7533,
    0xff797155,
    0xff8e7464,
    0xff925432,
    0xff76130f,
    0xff530000,
    0xff8f4b37,
    0xffda9e70,
    0xffc58426,
    0xff985800,
    0xffe3a85e,
    0xffc18136,
    0xffae6006,
    0xffb5650d,
    0xff8f520f,
    0xff96691d,
    0xffbb8c4d,
    0xfff8c464,
    0xff6b3400,
    0xff471b00,
    0xff89704d,
    0xff755a1c,
    0xffbf8929,
    0xffa67726,
    0xfff8f5e2,
    0xff550108,
    0xff550309,
    0xff540205,
    0xff510006,
    0xff56080d,
    0xff4f0108,
    0xff52050f,
    0xff50020e,
    0xff52040e,
    0xff400318,
    0xff420b26,
    0xff6b3451,
    0xff7f6284,
    0xff566894,
    0xff335e8d,
    0xff38618d,
    0xff4269a1,
    0xff466da7,
    0xff446ca9,
    0xff436baa,
    0xff446baa,
    0xff3e67a6,
    0xff3d66a4,
    0xff416baa,
    0xff446aac,
    0xff4066a5,
    0xff3e679e,
    0xff3d699b,
    0xff3e6c98,
    0xff426c97,
    0xff3e6793,
    0xff3f6796,
    0xff43679c,
    0xff42699a,
    0xff436895,
    0xff446792,
    0xff486992,
    0xff43668b,
    0xff44668c,
    0xff476b91,
    0xff44668d,
    0xff46698d,
    0xff416384,
    0xff456584,
    0xff446480,
    0xff3f5f7a,
    0xff3f5d78,
    0xff415f79,
    0xff436378,
    0xff3a5b6b,
    0xff365563,
    0xff365261,
    0xff36505e,
    0xff394f5b,
    0xff364b52,
    0xff304647,
    0xff32443b,
    0xff3b4c40,
    0xff455749,
    0xff405245,
    0xff324436,
    0xff2b3c32,
    0xff22322e,
    0xff1c2d29,
    0xff1a2e30,
    0xff1a2c2e,
    0xff233631,
    0xff27382d,
    0xff2f3f2f,
    0xff394735,
    0xff3b4733,
    0xff3e4d34,
    0xff38482f,
    0xff3a4930,
    0xff435139,
    0xff49563d,
    0xff4d5a40,
    0xff505d3e,
    0xff576342,
    0xff57623f,
    0xff53643a,
    0xff516037,
    0xff535f37,
    0xff4d5631,
    0xff4a5431,
    0xff4a5431,
    0xff4a5533,
    0xff44512e,
    0xff44542e,
    0xff3c4d2a,
    0xff414e2f,
    0xff494e32,
    0xff5c4d34,
    0xff825243,
    0xff6d1d1e,
    0xff66000b,
    0xff610208,
    0xff720009,
    0xff7d0207,
    0xff93150d,
    0xffb22016,
    0xffc0221d,
    0xff921811,
    0xff7b3b2c,
    0xff554a2f,
    0xff665233,
    0xff874330,
    0xffc36962,
    0xffe9a3a4,
    0xfff6a6b2,
    0xffc4596b,
    0xffc55b67,
    0xff881127,
    0xff6f0011,
    0xff6f0112,
    0xff700010,
    0xff770111,
    0xff820115,
    0xff8c0118,
    0xffa3142a,
    0xffbc3549,
    0xff7c0a12,
    0xffa72c33,
    0xff7b090a,
    0xff690000,
    0xff5f0006,
    0xff6e413f,
    0xff684d4b,
    0xff644d57,
    0xff787082,
    0xff415668,
    0xff516277,
    0xff5a5b71,
    0xff3c4f56,
    0xff3c5251,
    0xff3a4e4c,
    0xff627b80,
    0xff344953,
    0xff364d55,
    0xff455055,
    0xff5d3e3f,
    0xff8f313a,
    0xff9c121c,
    0xff9f050e,
    0xffb81017,
    0xffb70212,
    0xffb60418,
    0xffb10e1f,
    0xffbc1c30,
    0xffbb273b,
    0xffa0404c,
    0xff794d4e,
    0xff573a3c,
    0xff5e5355,
    0xff475151,
    0xff3c4f51,
    0xff3d4a4f,
    0xff474a4d,
    0xff6d6c6b,
    0xff54554f,
    0xff3f4944,
    0xff46524a,
    0xff445649,
    0xff424f40,
    0xff3e4939,
    0xff3a4232,
    0xff3d4a36,
    0xff3b4b37,
    0xff394432,
    0xff444c33,
    0xff464a2b,
    0xff4c502c,
    0xff4c502f,
    0xff495133,
    0xff3e492d,
    0xff39482b,
    0xff35422d,
    0xff2b3a28,
    0xff243425,
    0xff213224,
    0xff26382c,
    0xff2a3a2c,
    0xff2d3b2c,
    0xff344132,
    0xff414735,
    0xff4a4b38,
    0xff524f39,
    0xff525235,
    0xff4c512c,
    0xff495427,
    0xff505d29,
    0xff57642f,
    0xff445428,
    0xff455433,
    0xff3a4d33,
    0xff2e452c,
    0xff30482d,
    0xff344d34,
    0xff3d513f,
    0xff405348,
    0xff3a514c,
    0xff3a524f,
    0xff40595b,
    0xff475f6a,
    0xff415a6f,
    0xff405a78,
    0xff425b83,
    0xff516d99,
    0xff546eae,
    0xff536eb0,
    0xff5370b1,
    0xff5473b2,
    0xff587bb7,
    0xff5277b0,
    0xff567db7,
    0xff5980b9,
    0xff667ec8,
    0xff687fc7,
    0xff637dc4,
    0xff637ec4,
    0xff6580c7,
    0xff6784cc,
    0xff6582cc,
    0xff637fcd,
    0xff5c84d8,
    0xff5a86d3,
    0xff5786cd,
    0xff5989ce,
    0xff5e8ad2,
    0xff608acd,
    0xff6c93cc,
    0xff7297c7,
    0xff7c96d2,
    0xff90a4df,
    0xff99a9d9,
    0xff9aa5d0,
    0xffb4bde4,
    0xffb7bee8,
    0xffbdc6f0,
    0xffabb4e3,
    0xffaeb4e4,
    0xff95a5d6,
    0xffadace1,
    0xffa6afdc,
    0xffa4b3df,
    0xffa8b3e6,
    0xff92ade0,
    0xff9cade1,
    0xff92a8de,
    0xff90a7e0,
    0xff8fa5e1,
    0xff8ca6e5,
    0xff93afec,
    0xff98b0eb,
    0xff95a9e3,
    0xffa6b2eb,
    0xffada8d6,
    0xffb9b4e7,
    0xffb4bdf1,
    0xffaeb8e7,
    0xffdbcdfd,
    0xff94567a,
    0xff851e29,
    0xff871e27,
    0xff8c4762,
    0xffd2b6de,
    0xffaeb3e3,
    0xffb4bae9,
    0xffb6bbe5,
    0xffbd978f,
    0xffe68747,
    0xffe28e55,
    0xffd2ab97,
    0xffc2b2c9,
    0xffb3c4e1,
    0xffa7b6cd,
    0xffb4cbe4,
    0xffb7bddd,
    0xffbeb8d4,
    0xffb08daf,
    0xffd0b0bd,
    0xffad9bb4,
    0xffa4a1ca,
    0xffa5abd9,
    0xff9aa2ca,
    0xff9fa4c5,
    0xff989cbe,
    0xff9c9ec2,
    0xffe4c8ca,
    0xffcb7459,
    0xffb94722,
    0xffb75232,
    0xffac4527,
    0xffa33018,
    0xff981a0a,
    0xffad2614,
    0xffac3527,
    0xff760000,
    0xffb93413,
    0xffdf540f,
    0xffc94c00,
    0xff90400d,
    0xffc9b5b8,
    0xff9aa8d6,
    0xff9faddb,
    0xffa0abd8,
    0xffa3aedc,
    0xffa5add8,
    0xff9aa3ce,
    0xffa7aed8,
    0xffa9b0db,
    0xffadb5db,
    0xffadb6de,
    0xffb3bbe2,
    0xffbbc0e6,
    0xffbcc0e3,
    0xffbdc2e3,
    0xffbfc3e3,
    0xffb7bedd,
    0xffb8bdde,
    0xffbabae2,
    0xffb6bce1,
    0xffb1bade,
    0xffb5bce1,
    0xffb0bae1,
    0xffbac7ea,
    0xffbac0e1,
    0xffd1cfef,
    0xffc7c9d8,
    0xffd8ab9b,
    0xff973d1d,
    0xffb82d1d,
    0xffa21b14,
    0xff7b0003,
    0xffffd1d2,
    0xffa64d57,
    0xffcb8999,
    0xffdbc9e0,
    0xffd7cdc4,
    0xffe1b4a6,
    0xffbf7f75,
    0xffb46239,
    0xffa45223,
    0xffa17d62,
    0xff98632a,
    0xfffcaa4d,
    0xfff0a939,
    0xfff1b136,
    0xffb06d0a,
    0xffba682f,
    0xffc16631,
    0xff874f24,
    0xffc9bcd1,
    0xffbeb9dd,
    0xffb8bfe9,
    0xffbac4f7,
    0xffb4bff4,
    0xffb2b9eb,
    0xffaeb7e5,
    0xffb3bbe7,
    0xffb1b6e7,
    0xffabb3e2,
    0xffabb4e3,
    0xffaab4e2,
    0xffa6b0dd,
    0xffa6b0d9,
    0xffacb3db,
    0xffa9b2d7,
    0xffb6b9e0,
    0xffc5cbed,
    0xffb7bfe0,
    0xffbbbee5,
    0xffafb2e0,
    0xffabaed8,
    0xffb1b9de,
    0xffaeb7dd,
    0xffadb6dd,
    0xffa8b0d6,
    0xffa8afd9,
    0xffb4bbe7,
    0xffabb2de,
    0xffa7b0dd,
    0xffa5b2df,
    0xffa4b2de,
    0xffa5b0dd,
    0xffa0abd9,
    0xffa4b0dc,
    0xffa1add9,
    0xff9fabd6,
    0xff9ca8d2,
    0xffa0a8d4,
    0xffa3abd7,
    0xffa7aed9,
    0xffa7aeda,
    0xffa5acd7,
    0xffacb0dd,
    0xffb5bbe5,
    0xffadb2da,
    0xffb1b6dc,
    0xffb8bde3,
    0xffbcc1e0,
    0xffc1c7e6,
    0xffc3c6e6,
    0xffc9cae8,
    0xffc8c9e6,
    0xffcfd0ee,
    0xffced1ed,
    0xffc5c9e4,
    0xffced2ef,
    0xffaeb2d0,
    0xffc3c7e4,
    0xffc1c6e3,
    0xffb4b5d3,
    0xffc2c3e1,
    0xffbabbda,
    0xffbdbfdc,
    0xffbbb8d2,
    0xffd0d0e0,
    0xffe8daeb,
    0xffc38ea2,
    0xff852529,
    0xffb83f2c,
    0xffce5241,
    0xff780404,
    0xff620404,
    0xff5e0000,
    0xff9d2314,
    0xffbf2305,
    0xffe33d1a,
    0xffdc4127,
    0xff9f0e00,
    0xffb21d09,
    0xffad0701,
    0xffa70207,
    0xffa4060d,
    0xff97000d,
    0xff8d000a,
    0xffc43925,
    0xffda5726,
    0xffd1512b,
    0xff852517,
    0xff822916,
    0xffe8a69d,
    0xff7a3b33,
    0xffbb604a,
    0xffb93f14,
    0xffd5714a,
    0xff713722,
    0xffa26358,
    0xffa57e63,
    0xff604b2b,
    0xff59411b,
    0xff8a5b32,
    0xff8a5733,
    0xff5b4924,
    0xff504c21,
    0xff48512b,
    0xff413d1f,
    0xff403b1e,
    0xff2d3514,
    0xff27300d,
    0xff302d15,
    0xff2a2717,
    0xff1d2515,
    0xff18240f,
    0xff1b1f0e,
    0xff191e0f,
    0xff111f12,
    0xff0d190d,
    0xff241e10,
    0xff5a301e,
    0xff75331e,
    0xff7d4a35,
    0xff70452f,
    0xff563d26,
    0xff483e28,
    0xff322f18,
    0xff272406,
    0xff3f3e16,
    0xff535220,
    0xff635e1e,
    0xff6b641e,
    0xff6f671b,
    0xff6e6718,
    0xff6c6219,
    0xff655a14,
    0xff5c5210,
    0xff655c1a,
    0xff615623,
    0xff5d511c,
    0xff554913,
    0xff564811,
    0xff5f5117,
    0xff645519,
    0xff615314,
    0xff645416,
    0xff584f14,
    0xff48410d,
    0xff4a441a,
    0xff4a4519,
    0xff514c17,
    0xff595210,
    0xff645910,
    0xff62540b,
    0xff655105,
    0xff6e5b0b,
    0xff614f00,
    0xff715e08,
    0xff6c5a05,
    0xff756212,
    0xff685403,
    0xff675300,
    0xff5c5109,
    0xff4b4406,
    0xff413d0d,
    0xff35320a,
    0xff302f0f,
    0xff2c2d11,
    0xff21270f,
    0xff1a2410,
    0xff14210f,
    0xff101d0b,
    0xff121d0d,
    0xff151c10,
    0xff10180a,
    0xff12180c,
    0xff16180e,
    0xff14180d,
    0xff181910,
    0xff191b11,
    0xff1f2113,
    0xff222514,
    0xff212413,
    0xff1f2113,
    0xff1e2013,
    0xff1c1e14,
    0xff26281d,
    0xff2a2c1e,
    0xff201f14,
    0xff18190d,
    0xff19170e,
    0xff1c190c,
    0xff272513,
    0xff333015,
    0xff3c3f06,
    0xff4e4203,
    0xff5a460e,
    0xff513b10,
    0xff503400,
    0xff7c4d0b,
    0xfffcc15c,
    0xffa46114,
    0xff4b0200,
    0xffa15c22,
    0xffdc911e,
    0xffcd7000,
    0xffd7730f,
    0xffc96f0f,
    0xffe78f1e,
    0xffa93f06,
    0xffa73a05,
    0xffdc7426,
    0xffb3440f,
    0xffab3005,
    0xff9d2103,
    0xffa5310f,
    0xffc05026,
    0xffd36321,
    0xffaf5218,
    0xffa5511e,
    0xff914823,
    0xff702614,
    0xffa74e44,
    0xffbf563b,
    0xffbf4a21,
    0xffb84205,
    0xffc95e1a,
    0xff9d3403,
    0xffd87220,
    0xffc1770b,
    0xfff1ae36,
    0xffffbf5e,
    0xffffd864,
    0xffffe989,
    0xff270800,
    0xff986d22,
    0xffb27112,
    0xffc97321,
    0xffd77a49,
    0xff670a00,
    0xffc66030,
    0xffa73304,
    0xffe48c41,
    0xffaa6215,
    0xffbe6b10,
    0xffe38e32,
    0xff71400b,
    0xff160a00,
    0xff161907,
    0xff0f1b0b,
    0xff121900,
    0xff101800,
    0xff3d3b2b,
    0xff120000,
    0xff542300,
    0xffc07625,
    0xffad5c11,
    0xff9f510c,
    0xffae6a07,
    0xffc37910,
    0xffc17e04,
    0xffa36c00,
    0xffa97006,
    0xffbd7509,
    0xffb87500,
    0xffa8771a,
    0xff90744b,
    0xff8c7a75,
    0xff5e3926,
    0xff7d2f10,
    0xffad5617,
    0xff551200,
    0xff7f492a,
    0xffac7135,
    0xffa56b17,
    0xff9b6b12,
    0xffe3b15f,
    0xffa66306,
    0xff852c00,
    0xff8c3b0b,
    0xffa66d1f,
    0xff9d701b,
    0xffbb8c17,
    0xfff7bc4a,
    0xffa86817,
    0xffca9e77,
    0xff694911,
    0xffd19c37,
    0xff976619,
    0xfff6f8e7,
    0xff570007,
    0xff580408,
    0xff560408,
    0xff530207,
    0xff4f0108,
    0xff4e050d,
    0xff4a020d,
    0xff4b0712,
    0xff3f1024,
    0xff4c2c53,
    0xff595083,
    0xff546294,
    0xff4e69a3,
    0xff4868b2,
    0xff4269af,
    0xff3a639e,
    0xff3e659b,
    0xff365d92,
    0xff345e94,
    0xff335b92,
    0xff356196,
    0xff356193,
    0xff346293,
    0xff336190,
    0xff3e6797,
    0xff3a658f,
    0xff3d698e,
    0xff3c688c,
    0xff3b678c,
    0xff3d6592,
    0xff44689e,
    0xff486aa4,
    0xff456a9a,
    0xff446b98,
    0xff446894,
    0xff43668f,
    0xff43648c,
    0xff44668e,
    0xff466990,
    0xff416389,
    0xff476982,
    0xff44657b,
    0xff416173,
    0xff446472,
    0xff3f5c69,
    0xff405b63,
    0xff415d66,
    0xff39545b,
    0xff335154,
    0xff2b4b4a,
    0xff314e4b,
    0xff334f4c,
    0xff344e4b,
    0xff384e4b,
    0xff395145,
    0xff3e5447,
    0xff3e4e44,
    0xff425045,
    0xff3a4d3d,
    0xff374937,
    0xff2d3f2f,
    0xff2e4137,
    0xff283b35,
    0xff2d3f3e,
    0xff293d3b,
    0xff243935,
    0xff22362c,
    0xff1e3323,
    0xff293c26,
    0xff304328,
    0xff36462a,
    0xff3d4d30,
    0xff3c4e2a,
    0xff415731,
    0xff4a5d38,
    0xff455632,
    0xff445530,
    0xff46562f,
    0xff47592e,
    0xff4c5d30,
    0xff52623a,
    0xff4c5d36,
    0xff4f5e39,
    0xff4a5532,
    0xff4a5635,
    0xff485333,
    0xff3e4b2c,
    0xff424f30,
    0xff3f482c,
    0xff3c4b30,
    0xff38492f,
    0xff49402e,
    0xff6f3b30,
    0xff5e0505,
    0xff6d030b,
    0xff6d000a,
    0xff700103,
    0xff8a0004,
    0xffc11822,
    0xffd02225,
    0xffc21115,
    0xffac151d,
    0xff793235,
    0xff4b564e,
    0xff3d534f,
    0xff3d3e31,
    0xff7e3129,
    0xffd35454,
    0xffc35852,
    0xff9b2427,
    0xffbb1e28,
    0xffac1b1e,
    0xff730010,
    0xff720318,
    0xff660311,
    0xff660310,
    0xff710010,
    0xff810013,
    0xff960d22,
    0xff960e21,
    0xffc95061,
    0xffe98687,
    0xfff28180,
    0xff9e2822,
    0xff8a090a,
    0xffb1333f,
    0xff82333d,
    0xff823f4e,
    0xff83263e,
    0xff622538,
    0xff5a5258,
    0xff4e4853,
    0xff564c59,
    0xff434e57,
    0xff404e5a,
    0xff2d4852,
    0xff2d4250,
    0xff354355,
    0xff2f394c,
    0xff30343f,
    0xff48272a,
    0xff8e3436,
    0xffae2726,
    0xffb51716,
    0xffa70109,
    0xffb0010d,
    0xffb80114,
    0xffb50c1a,
    0xffab0b17,
    0xffc31728,
    0xffb71d2f,
    0xff9c4044,
    0xff5a3635,
    0xff453933,
    0xff3d4a40,
    0xff384c45,
    0xff334139,
    0xff3f4239,
    0xff646458,
    0xff343624,
    0xff2d3925,
    0xff2b3924,
    0xff2c3e28,
    0xff2d3d2a,
    0xff2a3a27,
    0xff2c3c2a,
    0xff2a3e2b,
    0xff27402b,
    0xff2e3f2a,
    0xff344226,
    0xff44502a,
    0xff4d552a,
    0xff4d532c,
    0xff464f2b,
    0xff404c29,
    0xff384723,
    0xff38442b,
    0xff323d27,
    0xff33432e,
    0xff364834,
    0xff364631,
    0xff394831,
    0xff404c33,
    0xff454f34,
    0xff4c4d31,
    0xff4e4a2f,
    0xff4f4930,
    0xff4b4a2f,
    0xff4d4f34,
    0xff535f42,
    0xff525f43,
    0xff4c593d,
    0xff485742,
    0xff3e4b3e,
    0xff33453d,
    0xff31463d,
    0xff3b5245,
    0xff32493e,
    0xff364c4a,
    0xff465a61,
    0xff495d68,
    0xff4e6572,
    0xff516a78,
    0xff4b677a,
    0xff4f6983,
    0xff537090,
    0xff5d79a2,
    0xff5977a4,
    0xff5d82b7,
    0xff5d83ba,
    0xff5b7ebc,
    0xff5376b5,
    0xff5171b9,
    0xff5171bd,
    0xff4f6ebb,
    0xff4f6dbc,
    0xff4a70b5,
    0xff4e74b8,
    0xff4a70b3,
    0xff4870b5,
    0xff476eb5,
    0xff4168b2,
    0xff466eb8,
    0xff486fbc,
    0xff4670b9,
    0xff4e7bbe,
    0xff517ebf,
    0xff537fc7,
    0xff557fcd,
    0xff6489dc,
    0xff6788d5,
    0xff7190d4,
    0xff819bdb,
    0xff8fa3dc,
    0xffa5b3e6,
    0xffb3bde8,
    0xffb8bfe6,
    0xffafb6e0,
    0xffb2bae5,
    0xffacb4e2,
    0xffa9b0e0,
    0xff9ab5e7,
    0xffa7b6f0,
    0xff9bafe3,
    0xff9dade5,
    0xffa0aaef,
    0xff8da7e6,
    0xff919ad7,
    0xff829ddd,
    0xff87a0e2,
    0xff85a1e3,
    0xff87a5e6,
    0xff88aaeb,
    0xff8dade6,
    0xff98b1e9,
    0xff9eb3e8,
    0xff9bb7e7,
    0xffb3b2f2,
    0xffbbb7df,
    0xffc5c4d9,
    0xffa36783,
    0xff8c0c15,
    0xffb3231e,
    0xff9f181f,
    0xff81191b,
    0xffb48595,
    0xffaba9c8,
    0xffaaacd0,
    0xffadb9df,
    0xffc1b3b7,
    0xffb97f5f,
    0xffd8b0a9,
    0xffccc0d0,
    0xffd2c8ee,
    0xffc1c0e5,
    0xffdfd8f9,
    0xffbdc5e6,
    0xffd5ceeb,
    0xfffde3eb,
    0xffd7979f,
    0xffbf6861,
    0xff78383e,
    0xffd8bfd7,
    0xffbcc1e3,
    0xffb3c4e5,
    0xffb4c5e5,
    0xffb9c8ee,
    0xffaeb8e3,
    0xfff7d8d4,
    0xffbe6952,
    0xffb14729,
    0xffa94621,
    0xffb04222,
    0xffac302a,
    0xff921e26,
    0xff982825,
    0xffac2b20,
    0xffbe5129,
    0xff700700,
    0xffb3391d,
    0xffe05e2e,
    0xffbe3f00,
    0xffb75c41,
    0xffd5bcdb,
    0xffa9b3e1,
    0xffb1bde9,
    0xffadb9e5,
    0xffb7c1eb,
    0xffb3bde8,
    0xffb7bce7,
    0xffadb6dc,
    0xffb4bae1,
    0xffb8c1e6,
    0xffbec6ea,
    0xffbdc5e6,
    0xffc3cae7,
    0xffc5cce9,
    0xffc2c9e4,
    0xffced4f1,
    0xffc8d0ed,
    0xffc7cbf1,
    0xffc1c6e9,
    0xffbcc5e4,
    0xffbac3e4,
    0xffc7cdf2,
    0xffc1c4e9,
    0xffc2c6e7,
    0xffc1c7e4,
    0xffe3c2d1,
    0xffa44533,
    0xffd76753,
    0xff972426,
    0xffa7322f,
    0xff920c18,
    0xffffd8d2,
    0xffaa5c56,
    0xffe3a4ab,
    0xffd3d1e7,
    0xffc4cde0,
    0xffc2cbe8,
    0xffe2d6e9,
    0xffbe7064,
    0xffcb6e63,
    0xffc78a81,
    0xff9d4d22,
    0xffa53600,
    0xffc76b29,
    0xffdc9034,
    0xffbd7414,
    0xffbe6a27,
    0xffc05921,
    0xff9a5531,
    0xffb1a2ba,
    0xffb8b4d8,
    0xffb1b5e3,
    0xffa9b2e9,
    0xffa6aee6,
    0xffa3aade,
    0xffa8addd,
    0xffa6aedd,
    0xffa6adda,
    0xffa6afde,
    0xffadb7e5,
    0xffadb9e8,
    0xffb3c1ef,
    0xffafb9e9,
    0xffa9b0de,
    0xffb6b7e9,
    0xffafb0e5,
    0xffacb6e2,
    0xffb0bbe3,
    0xffb8baed,
    0xffbbb9ef,
    0xffb6bae2,
    0xffb5bbdc,
    0xffaeb4da,
    0xffa5b1d9,
    0xffb2bde6,
    0xffb5bfeb,
    0xffaab4df,
    0xffa2add9,
    0xff99a6d5,
    0xff99a7d6,
    0xff9daddd,
    0xffa2adde,
    0xff9ea8d8,
    0xffa7b2e2,
    0xffa1abdc,
    0xffa7b1e0,
    0xffa7b1e0,
    0xffabb5e4,
    0xffaab3e3,
    0xffafb6e4,
    0xffb2b9e6,
    0xffafb5e3,
    0xffb2b6e5,
    0xffb0b4e3,
    0xffb8bce8,
    0xffb5bae4,
    0xffb8bde4,
    0xffb3badd,
    0xffb2b5d9,
    0xffbcc1e3,
    0xffbbbee0,
    0xffb6b9da,
    0xffb8bbda,
    0xffb5b9d6,
    0xffb9bfdc,
    0xffbbbfda,
    0xffbabed9,
    0xffbdc1dc,
    0xffbbbfda,
    0xffbec0da,
    0xffc4c5e0,
    0xffc5c6e1,
    0xffbcbbd8,
    0xffcfc0e6,
    0xffbac3de,
    0xffafc2da,
    0xffddcadb,
    0xffd57f7e,
    0xffd4563c,
    0xffd9573e,
    0xffa9342e,
    0xff690200,
    0xff7e1900,
    0xfff57d50,
    0xffbe2205,
    0xffbf1700,
    0xffe55022,
    0xffc43511,
    0xffb31814,
    0xffae101d,
    0xff990012,
    0xff99030b,
    0xff940009,
    0xff930009,
    0xffcf3f26,
    0xffd35211,
    0xffc74c11,
    0xffa54623,
    0xff7f4f35,
    0xfff5e3d3,
    0xff6f3828,
    0xffa3341c,
    0xffdd623e,
    0xffad5837,
    0xff6f432e,
    0xffb68b78,
    0xff8a493e,
    0xff744d45,
    0xff59573e,
    0xff615b2f,
    0xff735f41,
    0xff624f35,
    0xff514a18,
    0xff3d4820,
    0xff464325,
    0xff433b20,
    0xff333416,
    0xff2f3213,
    0xff2e2b11,
    0xff242a15,
    0xff112612,
    0xff172815,
    0xff162613,
    0xff101b0a,
    0xff0f1408,
    0xff101e10,
    0xff0f1d0b,
    0xff322c16,
    0xff683f2d,
    0xff7c4f39,
    0xff554126,
    0xff4c4c2d,
    0xff3b3b23,
    0xff413f29,
    0xff363818,
    0xff48471e,
    0xff635927,
    0xff746a35,
    0xff796e33,
    0xff6c6121,
    0xff625615,
    0xff5c4c12,
    0xff584716,
    0xff554519,
    0xff4a380e,
    0xff493f0c,
    0xff473e09,
    0xff4d450f,
    0xff524713,
    0xff514611,
    0xff534512,
    0xff564a15,
    0xff5b4d19,
    0xff504811,
    0xff423c10,
    0xff393311,
    0xff423e17,
    0xff504c16,
    0xff5d5515,
    0xff665a13,
    0xff695912,
    0xff68570d,
    0xff695808,
    0xff6c5c07,
    0xff655600,
    0xff645201,
    0xff6e5c0a,
    0xff786411,
    0xff7e6a14,
    0xff6a5f13,
    0xff574f0d,
    0xff46430c,
    0xff403f13,
    0xff363612,
    0xff2e3012,
    0xff2b3018,
    0xff212a15,
    0xff172612,
    0xff152411,
    0xff172414,
    0xff131d0e,
    0xff141d12,
    0xff10150d,
    0xff111308,
    0xff101308,
    0xff11120b,
    0xff111209,
    0xff16180b,
    0xff1e2010,
    0xff1c1f0e,
    0xff1d1f10,
    0xff181b0d,
    0xff1b1e13,
    0xff171a10,
    0xff222317,
    0xff181a0d,
    0xff1b1a0e,
    0xff1b180f,
    0xff171207,
    0xff1b1805,
    0xff1c1900,
    0xff2e2211,
    0xff432c0b,
    0xff4b330e,
    0xff3c2400,
    0xff785711,
    0xffdeac2a,
    0xffeea715,
    0xffefa11c,
    0xffcb7c22,
    0xff5f1500,
    0xffaf7111,
    0xffc47d0c,
    0xffcc8006,
    0xffca7a00,
    0xffd87d05,
    0xffd6681a,
    0xffc65f08,
    0xffdf8d1c,
    0xffce7912,
    0xffa93300,
    0xffb5290a,
    0xffac2610,
    0xff972401,
    0xffeb803f,
    0xffd0531e,
    0xffb95c12,
    0xffd68e49,
    0xff8c3615,
    0xffc25f53,
    0xffa74e2f,
    0xff89461e,
    0xffbc7f42,
    0xffac6724,
    0xffcf8934,
    0xfff9af47,
    0xffffd765,
    0xff89631d,
    0xff754c1b,
    0xff432600,
    0xff200100,
    0xff390c09,
    0xff915b21,
    0xffe0973a,
    0xffc16f0d,
    0xffad5b0f,
    0xffb95d2d,
    0xff8a2600,
    0xff9a2c17,
    0xff883600,
    0xfffcb16d,
    0xffd48940,
    0xff703b09,
    0xff180d00,
    0xff191d17,
    0xff1b1309,
    0xff1f1509,
    0xff1f1411,
    0xff181300,
    0xff5d513a,
    0xff311200,
    0xffc38e3b,
    0xffab6707,
    0xffa25105,
    0xffa45600,
    0xff965900,
    0xffb26706,
    0xffc38008,
    0xffb47404,
    0xffbd7309,
    0xffb26c05,
    0xffb27e01,
    0xffb07706,
    0xffa16518,
    0xff906a65,
    0xff927c6f,
    0xff8e672d,
    0xffa06513,
    0xffa56628,
    0xff87561a,
    0xff946633,
    0xffa47122,
    0xff8d6409,
    0xffeabd91,
    0xffa86926,
    0xff9d4a00,
    0xffe8932c,
    0xffb17404,
    0xffcaa32f,
    0xff917326,
    0xffa36e1f,
    0xffaf6915,
    0xffc48e51,
    0xff80602f,
    0xffa9742e,
    0xffd7a56c,
    0xfff2eedf,
    0xff5b030f,
    0xff560509,
    0xff580603,
    0xff5b000b,
    0xff4f081d,
    0xff522e4c,
    0xff4a3f62,
    0xff463d63,
    0xff4c517d,
    0xff4b568e,
    0xff405998,
    0xff33579b,
    0xff2c5c99,
    0xff2e6098,
    0xff30619a,
    0xff33609e,
    0xff366191,
    0xff35618d,
    0xff39658e,
    0xff39658f,
    0xff39648e,
    0xff37618e,
    0xff3b668f,
    0xff396388,
    0xff315878,
    0xff496e8d,
    0xff476c8b,
    0xff3a607d,
    0xff3f6180,
    0xff436384,
    0xff3d5d81,
    0xff3e5e84,
    0xff3e607a,
    0xff3e5d78,
    0xff406079,
    0xff46647b,
    0xff456075,
    0xff445e6d,
    0xff445f69,
    0xff48606b,
    0xff4f6061,
    0xff4f6061,
    0xff485a5a,
    0xff465758,
    0xff4a5b5b,
    0xff445454,
    0xff435354,
    0xff3e4e4c,
    0xff374c40,
    0xff34483f,
    0xff31433d,
    0xff2a3b39,
    0xff2a3b39,
    0xff2c3b38,
    0xff2f3f36,
    0xff304036,
    0xff313c2e,
    0xff343f30,
    0xff3b4635,
    0xff374232,
    0xff323e2e,
    0xff2f3d2d,
    0xff233226,
    0xff29382d,
    0xff203025,
    0xff1b2b23,
    0xff23322d,
    0xff223227,
    0xff273623,
    0xff314124,
    0xff364724,
    0xff414f2d,
    0xff42532d,
    0xff43542e,
    0xff40512c,
    0xff435834,
    0xff455633,
    0xff4c5b39,
    0xff505d3e,
    0xff515e3e,
    0xff51623b,
    0xff53623f,
    0xff485739,
    0xff4b573d,
    0xff425039,
    0xff424f39,
    0xff3f4e38,
    0xff3c4d38,
    0xff35482f,
    0xff444d3c,
    0xff44493f,
    0xff634240,
    0xff6d1018,
    0xff75050a,
    0xff77050a,
    0xff8e0111,
    0xff8c050d,
    0xffb61316,
    0xffc51412,
    0xffbd0a0a,
    0xffa90c16,
    0xff8f3c42,
    0xff5a544b,
    0xff425248,
    0xff364441,
    0xff3c5849,
    0xff714c43,
    0xffa13134,
    0xffa52c2a,
    0xffab2728,
    0xffcc2c38,
    0xffa70c1a,
    0xff6a000a,
    0xff63000c,
    0xff5c000a,
    0xff5e020a,
    0xff640008,
    0xff77010d,
    0xff8f0616,
    0xff9b0919,
    0xff93050f,
    0xffc2383f,
    0xffbf3136,
    0xffa8251e,
    0xff92120b,
    0xffbf2931,
    0xffb42a31,
    0xff7d1e17,
    0xff640003,
    0xff802828,
    0xff792a27,
    0xff7c2e2c,
    0xff652d27,
    0xff482d28,
    0xff432b2d,
    0xff53313d,
    0xff3c4046,
    0xff454648,
    0xff4c3734,
    0xff773837,
    0xffb74d4b,
    0xffc93e39,
    0xffcf372c,
    0xffcd3526,
    0xffc51c17,
    0xffac0305,
    0xffaf070d,
    0xffb60a15,
    0xffbb0e1a,
    0xffb4091a,
    0xffaa0e1e,
    0xffb02836,
    0xff6a1c16,
    0xff543223,
    0xff403e2b,
    0xff414633,
    0xff474836,
    0xff5f5e4a,
    0xff5c5a47,
    0xff3c3824,
    0xff313c20,
    0xff2e3e22,
    0xff2b3924,
    0xff2a3b2a,
    0xff243725,
    0xff273b28,
    0xff263e26,
    0xff254026,
    0xff2d422e,
    0xff38442b,
    0xff3d4425,
    0xff3f4423,
    0xff374422,
    0xff324423,
    0xff3b4b2c,
    0xff364324,
    0xff333f27,
    0xff303c28,
    0xff2f3b2c,
    0xff293429,
    0xff253025,
    0xff222d1f,
    0xff303b2b,
    0xff3a4530,
    0xff48523d,
    0xff4a513c,
    0xff4c573e,
    0xff4b573c,
    0xff4d5a3f,
    0xff57654c,
    0xff56654f,
    0xff586654,
    0xff4c6056,
    0xff435b57,
    0xff425d5d,
    0xff395256,
    0xff324547,
    0xff3c4c4c,
    0xff3a4643,
    0xff394241,
    0xff40484d,
    0xff354044,
    0xff394b50,
    0xff465d67,
    0xff435d70,
    0xff466080,
    0xff475c89,
    0xff496094,
    0xff445e94,
    0xff46629a,
    0xff4d6dac,
    0xff4a70b4,
    0xff5277c0,
    0xff597eca,
    0xff6086d2,
    0xff6488d4,
    0xff6593d9,
    0xff6994dd,
    0xff6591d9,
    0xff648fda,
    0xff6b95e4,
    0xff6e99e6,
    0xff729fea,
    0xff6e9de8,
    0xff6897e2,
    0xff70a0ea,
    0xff6c9be6,
    0xff729ee7,
    0xff759fe8,
    0xff789ee6,
    0xff7fa1e7,
    0xff7fa0e3,
    0xff89a0e1,
    0xff9fb1eb,
    0xffa9b4e4,
    0xffb3bce5,
    0xffbfc8ef,
    0xffbbc9ef,
    0xffb7c4e6,
    0xffaebdde,
    0xffa6b4e1,
    0xffa5b5e5,
    0xff98a6dd,
    0xff9eafe5,
    0xff9db1e2,
    0xff9aafdf,
    0xff94a8dd,
    0xff96abe1,
    0xff8fabf2,
    0xff8ba7db,
    0xff839fcc,
    0xff7a99d5,
    0xff7494d7,
    0xff7a96d3,
    0xff7c96c9,
    0xff849bd2,
    0xff8499cd,
    0xff8e8ccd,
    0xff9da0ca,
    0xffa5768c,
    0xff891c22,
    0xffa42622,
    0xffaa2020,
    0xff9d171b,
    0xff99121a,
    0xff8d4a5b,
    0xffb2c0d8,
    0xffb2a9d6,
    0xffa3a9cb,
    0xffb2b6cc,
    0xff9f95ad,
    0xffb7b6d4,
    0xffb2bedb,
    0xffc4c4e8,
    0xffbabbe2,
    0xffbcbbdd,
    0xffd5bed2,
    0xffad7070,
    0xff903824,
    0xff891d01,
    0xffae2f15,
    0xffa3321d,
    0xffb1767c,
    0xffc8c7ea,
    0xffa8b5db,
    0xffb3b9dc,
    0xffbcc4e8,
    0xffbabdde,
    0xffe5c2bf,
    0xffc1683a,
    0xffba5a29,
    0xffa33012,
    0xffac3b26,
    0xff9a2525,
    0xff9f3029,
    0xff902416,
    0xff90210b,
    0xffba4c1d,
    0xffb4571c,
    0xff7d1700,
    0xffb23c1a,
    0xffd25518,
    0xffb34715,
    0xffb58578,
    0xffc8c6e2,
    0xffbec9e5,
    0xffb1c0e2,
    0xffb3c0ec,
    0xffb1b3e5,
    0xffc0bff0,
    0xffbdc4ec,
    0xffc0cbef,
    0xffbbc0e5,
    0xffc7ccf0,
    0xffced2f3,
    0xffc8cfec,
    0xffc2c9e5,
    0xffbfcae3,
    0xffd0dbf4,
    0xffced9f2,
    0xffcdd1f2,
    0xffc2c8e7,
    0xffc0c6e8,
    0xffb6bce1,
    0xffc0c6e8,
    0xffc2cae7,
    0xffcad1ec,
    0xffccd3eb,
    0xffe0c3d2,
    0xffc54c3e,
    0xffca6440,
    0xffffada7,
    0xfffec6cf,
    0xff870a1a,
    0xffb2665b,
    0xffa85c46,
    0xffd499a1,
    0xffdcdbea,
    0xffd5d5f9,
    0xffd1dcff,
    0xffe9ddc9,
    0xffa45524,
    0xffc07278,
    0xffb37571,
    0xffab4f34,
    0xffa73a0f,
    0xffffd583,
    0xff9c3d0d,
    0xffca6442,
    0xffc3792c,
    0xffc5642d,
    0xff924a40,
    0xffc5bee3,
    0xffc8c6ef,
    0xffbbbde8,
    0xffb8bce9,
    0xffbbc1ef,
    0xffb6bcea,
    0xffb9c0ed,
    0xffb6bde9,
    0xffb0b8de,
    0xffbac0e5,
    0xffbcc2e8,
    0xffbbc1e7,
    0xffadb1d6,
    0xffc0c4ea,
    0xffc5c6ed,
    0xffbec0e5,
    0xffbabfdf,
    0xffbbc0df,
    0xffb6bde0,
    0xffbfc4e8,
    0xffb0b7df,
    0xffb3bce5,
    0xffb1b9e6,
    0xffb5bdec,
    0xffb0bee5,
    0xffa7b5df,
    0xffaab8e6,
    0xffa8b6e7,
    0xffa1b0e3,
    0xff9eaee0,
    0xff9eb0e1,
    0xff9fb2e2,
    0xffa5b1e4,
    0xffa6afe3,
    0xffa0aada,
    0xffafb6e4,
    0xffbbc2ed,
    0xffc3c8f0,
    0xffbbc1e6,
    0xffb6bae0,
    0xffafb8dd,
    0xffb6b9e2,
    0xffabadd7,
    0xffb5b8e1,
    0xffb4b9e1,
    0xffa7b0d7,
    0xffaaafd7,
    0xffaeb1d9,
    0xffacb2d5,
    0xffb1b7db,
    0xffb5b9de,
    0xffbabce3,
    0xffc3c6eb,
    0xffc3c6e8,
    0xffc1c7e6,
    0xffc6cbe8,
    0xffc5c9e6,
    0xffcbd0ea,
    0xffcbcbe8,
    0xffcecee7,
    0xffcdcce4,
    0xffc2c2da,
    0xffc1c4d9,
    0xffbabed4,
    0xffb9b6cc,
    0xffaeb6d9,
    0xffb4bed9,
    0xffd9b2b2,
    0xffb95040,
    0xffc04a37,
    0xffda7e6c,
    0xff590a00,
    0xff720a00,
    0xfff37038,
    0xffff8453,
    0xffab1700,
    0xffce250f,
    0xffcb320f,
    0xffd03613,
    0xffb61215,
    0xffa00b11,
    0xff990118,
    0xff97020e,
    0xff96040b,
    0xff8d000a,
    0xffc13d1f,
    0xffd45911,
    0xffbb420e,
    0xffc46c51,
    0xff874f37,
    0xff9e6b52,
    0xff944426,
    0xffe77952,
    0xffb34923,
    0xff6d1a05,
    0xff8e4844,
    0xff943934,
    0xff7f4534,
    0xff62583a,
    0xff4a5231,
    0xff56543a,
    0xff53462e,
    0xff524726,
    0xff48491c,
    0xff3f4a18,
    0xff464824,
    0xff423b23,
    0xff433b25,
    0xff39341c,
    0xff373a1d,
    0xff242d12,
    0xff192613,
    0xff172f15,
    0xff10260f,
    0xff0f1f0e,
    0xff0b1a10,
    0xff0d1b11,
    0xff182718,
    0xff293323,
    0xff454733,
    0xff4d4737,
    0xff534d35,
    0xff4a472a,
    0xff424021,
    0xff3d3c1b,
    0xff444119,
    0xff5d541f,
    0xff635516,
    0xff6b6426,
    0xff6e6727,
    0xff6c6420,
    0xff605817,
    0xff585014,
    0xff4f420f,
    0xff453907,
    0xff4e410f,
    0xff473e12,
    0xff474111,
    0xff4c4914,
    0xff474313,
    0xff4a4618,
    0xff474412,
    0xff4e490b,
    0xff4c4b01,
    0xff494a09,
    0xff414010,
    0xff3d3b13,
    0xff40400e,
    0xff49460f,
    0xff504910,
    0xff605415,
    0xff63550a,
    0xff68540a,
    0xff6e5b10,
    0xff69550a,
    0xff624f03,
    0xff665307,
    0xff65530b,
    0xff65530e,
    0xff5c4905,
    0xff5c4708,
    0xff524409,
    0xff48430e,
    0xff3c3d12,
    0xff323312,
    0xff313218,
    0xff2b2f18,
    0xff232913,
    0xff242711,
    0xff1a251c,
    0xff191e14,
    0xff191d0a,
    0xff0b1b0f,
    0xff0d1913,
    0xff13140d,
    0xff0d120a,
    0xff0f1506,
    0xff14190a,
    0xff1b1f0f,
    0xff222618,
    0xff1b1f12,
    0xff15190b,
    0xff191e10,
    0xff1f2516,
    0xff1e2418,
    0xff1c1b0d,
    0xff221909,
    0xff261806,
    0xff211501,
    0xff221700,
    0xff302b0c,
    0xff302a06,
    0xff3a2d07,
    0xff473907,
    0xff452c00,
    0xffb99145,
    0xffffcd52,
    0xfff0a81a,
    0xffcf7e00,
    0xffc26e00,
    0xffbe6d00,
    0xffcb7010,
    0xffd58013,
    0xffe9a423,
    0xffaf6707,
    0xffc97a03,
    0xfff09e3e,
    0xffbb700c,
    0xffcf820a,
    0xffdb9d00,
    0xffffd240,
    0xffda8330,
    0xffa23400,
    0xffae3700,
    0xffb4480d,
    0xffea8a4a,
    0xffd26527,
    0xffb35d00,
    0xffe3a140,
    0xff955525,
    0xff551c11,
    0xff2f0e04,
    0xff231000,
    0xff180300,
    0xff250b00,
    0xff1f1400,
    0xff411a00,
    0xffeaa765,
    0xff602a0c,
    0xff341501,
    0xff341703,
    0xff522b16,
    0xff823d31,
    0xff080a00,
    0xff220000,
    0xffab6b3d,
    0xffe1a45c,
    0xffb05e2a,
    0xff6f2b10,
    0xff591109,
    0xffb85f2b,
    0xffaf6a3a,
    0xff8a614e,
    0xff1e0b05,
    0xff241c19,
    0xff1e181f,
    0xff1b1618,
    0xff22220a,
    0xff221c15,
    0xff211409,
    0xff3a2d00,
    0xffe0bd5e,
    0xffce8421,
    0xff984f00,
    0xffa76616,
    0xffac5c00,
    0xffa05502,
    0xffa85c00,
    0xffbc730d,
    0xffab6c05,
    0xffb77907,
    0xffad6700,
    0xffab6902,
    0xffac7700,
    0xffae6b15,
    0xff9c722b,
    0xff827464,
    0xff87734e,
    0xffa36a1e,
    0xff9d5c04,
    0xff8a521b,
    0xff8f5712,
    0xff9d7231,
    0xffa38431,
    0xffebc993,
    0xffe8bb88,
    0xffe3a341,
    0xffb46a00,
    0xffa85d00,
    0xffbd7d11,
    0xff9d6314,
    0xffa27631,
    0xffa56b26,
    0xffad7625,
    0xff937048,
    0xff916532,
    0xffa37742,
    0xfff0eaea,
    0xff59020a,
    0xff560406,
    0xff570507,
    0xff57030d,
    0xff510e24,
    0xff694867,
    0xff60628d,
    0xff526597,
    0xff3f6791,
    0xff3a6496,
    0xff38609e,
    0xff38619f,
    0xff3a619d,
    0xff43639a,
    0xff425a92,
    0xff485a97,
    0xff3c6198,
    0xff396096,
    0xff345b8b,
    0xff335a89,
    0xff345b89,
    0xff315788,
    0xff335987,
    0xff2f557e,
    0xff2d4e6d,
    0xff355572,
    0xff365670,
    0xff3b596f,
    0xff3b5a6b,
    0xff415f70,
    0xff3f5d6d,
    0xff405e6e,
    0xff3e5e5d,
    0xff3c5a5a,
    0xff3a5a56,
    0xff3e5a57,
    0xff3f5a53,
    0xff3d564c,
    0xff3e5648,
    0xff435a4a,
    0xff465843,
    0xff4d5c48,
    0xff50604c,
    0xff4b5b47,
    0xff465642,
    0xff42503d,
    0xff404d3a,
    0xff3a4733,
    0xff354731,
    0xff2e3e2c,
    0xff2a3a2c,
    0xff27372a,
    0xff26352a,
    0xff243125,
    0xff263324,
    0xff263424,
    0xff293625,
    0xff2a3724,
    0xff2e3b27,
    0xff2d3a28,
    0xff2e3a28,
    0xff2a3726,
    0xff213220,
    0xff1d3020,
    0xff203327,
    0xff24332d,
    0xff23312e,
    0xff1f2e26,
    0xff253728,
    0xff33422b,
    0xff3c4c31,
    0xff3e4f32,
    0xff3b492c,
    0xff3e4f2f,
    0xff425232,
    0xff455938,
    0xff4a5a38,
    0xff475836,
    0xff495836,
    0xff4f5e3a,
    0xff4b5a3c,
    0xff4b583d,
    0xff48533d,
    0xff45503e,
    0xff475242,
    0xff3e4b3a,
    0xff344432,
    0xff354836,
    0xff325141,
    0xff2e4237,
    0xff504946,
    0xff5f2529,
    0xff71020a,
    0xff7f0305,
    0xff7d0303,
    0xff8b0309,
    0xff870009,
    0xffc31327,
    0xffb20e16,
    0xff8b1716,
    0xff773135,
    0xff462f39,
    0xff2b3840,
    0xff304149,
    0xff27383c,
    0xff283e3d,
    0xff403a3c,
    0xff432f2b,
    0xff482a1e,
    0xff892929,
    0xffb4111e,
    0xffa70910,
    0xff77000f,
    0xff6c000e,
    0xff65000b,
    0xff63010c,
    0xff67020c,
    0xff72010b,
    0xff80020f,
    0xffa01926,
    0xffa61924,
    0xffac222f,
    0xff95000d,
    0xffad1419,
    0xff8f0000,
    0xffaf1823,
    0xffa00111,
    0xff8f0008,
    0xff700003,
    0xff710406,
    0xff8c1a1a,
    0xffa43030,
    0xff9f3d3b,
    0xff925046,
    0xff7a433d,
    0xff702e31,
    0xff772625,
    0xff8a3533,
    0xffa64641,
    0xffbd413c,
    0xffbc2521,
    0xffca241c,
    0xffda3427,
    0xffcd2f1a,
    0xffd1301a,
    0xffd5342a,
    0xffc11e23,
    0xffb40819,
    0xffbc0d22,
    0xffa90512,
    0xffa40f15,
    0xffa72020,
    0xff85201b,
    0xff643023,
    0xff4a422d,
    0xff434932,
    0xff3c3e27,
    0xff60624a,
    0xff33361e,
    0xff3a3b26,
    0xff2f3929,
    0xff2a3526,
    0xff2f392d,
    0xff2d392d,
    0xff2f3b30,
    0xff2a372c,
    0xff2d3c2d,
    0xff253426,
    0xff223b28,
    0xff25371f,
    0xff333d23,
    0xff3f4927,
    0xff46532e,
    0xff455431,
    0xff44532f,
    0xff3f4927,
    0xff364036,
    0xff2f3a35,
    0xff293534,
    0xff253136,
    0xff28343c,
    0xff303b44,
    0xff2a353d,
    0xff313b44,
    0xff3d4845,
    0xff394540,
    0xff3d4b42,
    0xff435145,
    0xff45564d,
    0xff4c5b55,
    0xff4b5c58,
    0xff495a58,
    0xff404f52,
    0xff33474f,
    0xff2b4554,
    0xff2f485c,
    0xff34495c,
    0xff34485a,
    0xff475c6d,
    0xff405368,
    0xff3f526a,
    0xff435974,
    0xff435c77,
    0xff435f7f,
    0xff48678f,
    0xff4e6d9f,
    0xff4b6ba5,
    0xff4e6cac,
    0xff5271b4,
    0xff5678ba,
    0xff557ac0,
    0xff6088d0,
    0xff618bd5,
    0xff6992dd,
    0xff6e96dd,
    0xff6c94da,
    0xff6793da,
    0xff6c99e1,
    0xff6c97e3,
    0xff7097e4,
    0xff6d94e4,
    0xff6690db,
    0xff6996e1,
    0xff6792dd,
    0xff709be5,
    0xff729ee7,
    0xff6893dd,
    0xff6b95df,
    0xff6991d9,
    0xff7095dc,
    0xff779ae0,
    0xff82a3e7,
    0xff8aa1de,
    0xffa1b3e9,
    0xffafb8e9,
    0xffafb5e3,
    0xffb6beee,
    0xffb1b9e9,
    0xffa8aee2,
    0xffb5bcec,
    0xffa9b3d9,
    0xffb0bae4,
    0xffadb8e6,
    0xffa8b4e4,
    0xff9eaeda,
    0xff9aabd7,
    0xff99aad7,
    0xff899ccc,
    0xff8a95d4,
    0xff8694c2,
    0xff7e90b9,
    0xff8293cc,
    0xff8795d3,
    0xff8591c7,
    0xff8a97c9,
    0xff8997cd,
    0xff93a3cf,
    0xffafa8ce,
    0xffbb9bb1,
    0xff7d2630,
    0xffda615c,
    0xffaa2715,
    0xffbc1d18,
    0xffa10a0d,
    0xff95131c,
    0xffa04662,
    0xffd2cef3,
    0xffbdbcf0,
    0xffb7bfe9,
    0xffb2b6d8,
    0xffb9b9de,
    0xffc0c1eb,
    0xffbbceee,
    0xffbab5d4,
    0xffc0c4df,
    0xffdecbe9,
    0xffa9485e,
    0xffa53122,
    0xff9e3b16,
    0xffb04021,
    0xffb44c11,
    0xffab480f,
    0xff8f3e22,
    0xffac7c84,
    0xffb2a4bf,
    0xffa4a4c8,
    0xff9699b9,
    0xff9596ae,
    0xffeaafa6,
    0xffbe6132,
    0xffb15e29,
    0xffcf692f,
    0xffcd6323,
    0xffcd5d37,
    0xffb14a32,
    0xff8a2418,
    0xff8c2618,
    0xff9e3504,
    0xffca7f3e,
    0xff935134,
    0xff681b1c,
    0xff5c0900,
    0xff9b4c42,
    0xff906c73,
    0xffb2b8dd,
    0xffb8c1e5,
    0xffbfc5ee,
    0xffbcc4f2,
    0xffbcc8ee,
    0xffb8c6e3,
    0xffb3bce1,
    0xffbbc0f2,
    0xffb9bce3,
    0xffbbbee4,
    0xffc6cdee,
    0xffc8ceee,
    0xffc1c8e5,
    0xffc8cfeb,
    0xffc1cae8,
    0xffbec8e6,
    0xffcfd3f0,
    0xffced3f3,
    0xffc5c9ec,
    0xffc7cbf1,
    0xffcbcff2,
    0xffc9ceee,
    0xffcdd3ef,
    0xffc5cee8,
    0xffdaddea,
    0xffdc8969,
    0xffd47b3b,
    0xffa94727,
    0xff953231,
    0xffc97483,
    0xffd1adad,
    0xff8b4248,
    0xffe5b6c7,
    0xff999fb7,
    0xffc5cced,
    0xffbec2ec,
    0xffedc6c1,
    0xffa24d38,
    0xffd1939d,
    0xff9e5d4b,
    0xffb13e23,
    0xff971a04,
    0xffbe6134,
    0xff91220d,
    0xffb04228,
    0xffb56c21,
    0xffb36c3a,
    0xffb08883,
    0xffcccbe4,
    0xffbbbdda,
    0xffc1c5e2,
    0xffc1c7e6,
    0xffbdc6e6,
    0xffc8d1f2,
    0xffc3c9e9,
    0xffbec4e5,
    0xffbfc7ea,
    0xffc0c9ed,
    0xffbfc5e8,
    0xffb3b8dc,
    0xffb3badd,
    0xffbbbfe3,
    0xffb1b5da,
    0xffb9bde2,
    0xffbcc1e3,
    0xffbec3e6,
    0xffbbc1e5,
    0xffb7c0e6,
    0xffb4bce5,
    0xffa9b1de,
    0xffa8afdd,
    0xffa4b0de,
    0xffa2acde,
    0xffa7b0e7,
    0xff9ca6e1,
    0xff98a2e1,
    0xff929edd,
    0xff919dda,
    0xff95a5e0,
    0xff9dabe5,
    0xff94a0d3,
    0xff9eaadc,
    0xffaeb8e8,
    0xffa5b0de,
    0xffa9b1dd,
    0xffb0b7df,
    0xffb5bae0,
    0xffaeb4d8,
    0xffacb6d5,
    0xffadb2d3,
    0xffafb1d2,
    0xffa9aecc,
    0xffa9b0cd,
    0xffa8b2ce,
    0xffafb6d3,
    0xffb5b9d7,
    0xffc0c7e2,
    0xffc1c8e2,
    0xffbdc3de,
    0xffc3c6e1,
    0xffc8cde6,
    0xffbfc4da,
    0xffbdc2d6,
    0xffbdc2d5,
    0xffc2c8e2,
    0xffbdc1dd,
    0xffb5bad5,
    0xffb0b2ca,
    0xffadafc8,
    0xffabafc9,
    0xffb3b9d1,
    0xffb3bad2,
    0xffb8bfd5,
    0xffb8bfcc,
    0xffd9bfc1,
    0xffb16058,
    0xffae5c49,
    0xffd2968a,
    0xffac6c78,
    0xffffc6db,
    0xff852b25,
    0xffffa479,
    0xff710300,
    0xffcd3a33,
    0xffc82307,
    0xffb82107,
    0xff970000,
    0xffa50d19,
    0xffa2080b,
    0xff930011,
    0xff94030f,
    0xff930005,
    0xff960006,
    0xffd24625,
    0xffee7c3a,
    0xffac4923,
    0xffb96457,
    0xff651302,
    0xff973a26,
    0xffa4341d,
    0xffd05b44,
    0xffb24c35,
    0xfff3b29b,
    0xff713420,
    0xff771c13,
    0xff64301a,
    0xff5e4628,
    0xff644b32,
    0xff614c32,
    0xff565635,
    0xff494c24,
    0xff4c4118,
    0xff494b1f,
    0xff504b27,
    0xff54482f,
    0xff413923,
    0xff33371a,
    0xff283515,
    0xff27351c,
    0xff222a19,
    0xff24271b,
    0xff202417,
    0xff1b2014,
    0xff131a0d,
    0xff0f1b09,
    0xff121e09,
    0xff232e15,
    0xff373b23,
    0xff4f4a2b,
    0xff4d4827,
    0xff4f4925,
    0xff403d1d,
    0xff3f3e21,
    0xff474424,
    0xff5d582e,
    0xff6f6635,
    0xff75672a,
    0xff807534,
    0xff766924,
    0xff655616,
    0xff7c6c32,
    0xff665421,
    0xff634f1b,
    0xff5d4b17,
    0xff584e14,
    0xff574d1c,
    0xff4c4216,
    0xff4e4819,
    0xff4f4914,
    0xff595419,
    0xff534f15,
    0xff4f4811,
    0xff494d10,
    0xff42441a,
    0xff43431e,
    0xff48471a,
    0xff4b4914,
    0xff504813,
    0xff554a0f,
    0xff5e5108,
    0xff615302,
    0xff665606,
    0xff645508,
    0xff594b00,
    0xff5c4e04,
    0xff61550a,
    0xff64590f,
    0xff675a12,
    0xff635215,
    0xff584d15,
    0xff403c0b,
    0xff373913,
    0xff303314,
    0xff252810,
    0xff272a15,
    0xff222811,
    0xff1d240c,
    0xff1b221b,
    0xff14140c,
    0xff151604,
    0xff071309,
    0xff08140f,
    0xff13130b,
    0xff0f170c,
    0xff141809,
    0xff1b1d10,
    0xff25261a,
    0xff25271a,
    0xff1e1f13,
    0xff1b1d0f,
    0xff1f2316,
    0xff25281b,
    0xff272b21,
    0xff2c2a1e,
    0xff2a2313,
    0xff2f2414,
    0xff322916,
    0xff312a12,
    0xff3e3718,
    0xff453d17,
    0xff534e18,
    0xff54490e,
    0xff62450c,
    0xff713c00,
    0xffd38724,
    0xffc76f06,
    0xffd17909,
    0xffc87700,
    0xffc26d04,
    0xffd0690d,
    0xffd17300,
    0xffe19c10,
    0xfff9b428,
    0xffea9510,
    0xff9a3900,
    0xffa55700,
    0xfff1af2c,
    0xffefb622,
    0xffe6ac26,
    0xffbb7b07,
    0xffdd9617,
    0xfff9ad31,
    0xffb86518,
    0xff7e2701,
    0xffb5791c,
    0xffb07301,
    0xffffcf66,
    0xff672d08,
    0xff4b170f,
    0xff805446,
    0xff301a06,
    0xff131201,
    0xff17160e,
    0xff110c00,
    0xff622d08,
    0xffa54a0b,
    0xffcf8b49,
    0xff3b1300,
    0xff542317,
    0xff763f20,
    0xff3b2514,
    0xff122302,
    0xff211f0e,
    0xff1b1c03,
    0xff402d00,
    0xff6c3312,
    0xff926846,
    0xffc7935a,
    0xffd09e66,
    0xff300900,
    0xff2d130a,
    0xff241509,
    0xff271e02,
    0xff282118,
    0xff1f2128,
    0xff1a261a,
    0xff0c1b0c,
    0xff262214,
    0xff4b350c,
    0xffcc943b,
    0xffb86100,
    0xffaa5a00,
    0xfffcbc5d,
    0xffde8f27,
    0xffa66100,
    0xffa65c00,
    0xffac6603,
    0xffaf770d,
    0xffb97f15,
    0xffad6500,
    0xffb06a04,
    0xffb2740d,
    0xffb16707,
    0xffa66703,
    0xff897452,
    0xff766f61,
    0xff955f31,
    0xffa46418,
    0xffb68959,
    0xff825304,
    0xffa4620f,
    0xffa57c34,
    0xff9c8261,
    0xffedd7ba,
    0xff95671c,
    0xffa7670f,
    0xffa5640f,
    0xffcc9830,
    0xffa97008,
    0xffd7ab4a,
    0xffa56931,
    0xff864a20,
    0xffac8a7a,
    0xff805930,
    0xffb88e6b,
    0xffe1dcea,
    0xff550300,
    0xff570206,
    0xff56030b,
    0xff53040e,
    0xff490616,
    0xff481e3d,
    0xff454778,
    0xff285089,
    0xff275186,
    0xff315b97,
    0xff3661a2,
    0xff305d9b,
    0xff29568b,
    0xff2d5786,
    0xff2c527e,
    0xff2e537e,
    0xff385a88,
    0xff40608b,
    0xff3d5f85,
    0xff38587c,
    0xff3b5b81,
    0xff3d5d81,
    0xff365677,
    0xff3b5976,
    0xff3c556a,
    0xff334b5f,
    0xff324a57,
    0xff3d565e,
    0xff3b5251,
    0xff405954,
    0xff3f564f,
    0xff40584e,
    0xff415a45,
    0xff3f5943,
    0xff3e5540,
    0xff3c543c,
    0xff3e533a,
    0xff3d5137,
    0xff3f5437,
    0xff42583a,
    0xff475635,
    0xff475636,
    0xff4a5938,
    0xff4a5737,
    0xff4b5738,
    0xff4b5435,
    0xff485033,
    0xff444c2f,
    0xff384631,
    0xff313f2d,
    0xff2c3928,
    0xff273325,
    0xff253125,
    0xff223123,
    0xff253323,
    0xff273523,
    0xff243628,
    0xff2d3b2c,
    0xff293728,
    0xff293828,
    0xff253324,
    0xff2d3a2c,
    0xff243428,
    0xff283a2e,
    0xff233422,
    0xff243526,
    0xff1b2c22,
    0xff26352d,
    0xff29392e,
    0xff303d30,
    0xff303d33,
    0xff39463c,
    0xff3e4c37,
    0xff3c4b34,
    0xff40523a,
    0xff394c31,
    0xff44573a,
    0xff46593b,
    0xff445836,
    0xff425433,
    0xff40573d,
    0xff41563d,
    0xff40563f,
    0xff3c513d,
    0xff38503a,
    0xff2d4633,
    0xff35503b,
    0xff36513d,
    0xff354744,
    0xff304038,
    0xff47302e,
    0xff600f11,
    0xff740306,
    0xff7d0102,
    0xff840006,
    0xff740000,
    0xfff57983,
    0xffb1071b,
    0xffa50316,
    0xff7e272d,
    0xff573e44,
    0xff3d404f,
    0xff2d4050,
    0xff223f4e,
    0xff214548,
    0xff233f45,
    0xff2b3644,
    0xff233239,
    0xff2b3631,
    0xff732f33,
    0xffac1922,
    0xffad1716,
    0xff690009,
    0xff65000b,
    0xff60000a,
    0xff62010c,
    0xff69020d,
    0xff6f000a,
    0xff7b000a,
    0xff8a0514,
    0xff840c19,
    0xff8e1317,
    0xff9d0e0a,
    0xffab1810,
    0xffaf3221,
    0xff8b1206,
    0xff910c0e,
    0xff7d0007,
    0xff730001,
    0xff740000,
    0xff890000,
    0xffa00408,
    0xff9b0305,
    0xff9a1412,
    0xff991e1a,
    0xffa92a28,
    0xffc22e27,
    0xffbc2a21,
    0xffc43027,
    0xffc4261e,
    0xffc61e15,
    0xffc2170d,
    0xffbb170a,
    0xffb81e09,
    0xffcf2c16,
    0xffd22e22,
    0xffc41b1f,
    0xffb00510,
    0xffb80d1a,
    0xffab1016,
    0xffba3a35,
    0xffa3342a,
    0xff8e221e,
    0xff682e21,
    0xff3c3218,
    0xff38381e,
    0xff423822,
    0xff675f46,
    0xff3e3e25,
    0xff3c3f29,
    0xff333c2a,
    0xff3a4331,
    0xff333b26,
    0xff323c25,
    0xff2f3926,
    0xff28321f,
    0xff2d3927,
    0xff313b2b,
    0xff31402d,
    0xff37402d,
    0xff41452e,
    0xff41452d,
    0xff414a2f,
    0xff414d35,
    0xff414b36,
    0xff3d4534,
    0xff314840,
    0xff334a45,
    0xff314a48,
    0xff344f51,
    0xff27414a,
    0xff304958,
    0xff33495c,
    0xff2e445b,
    0xff2c4259,
    0xff344a60,
    0xff324a5f,
    0xff2a4356,
    0xff354f64,
    0xff445e76,
    0xff3f5c75,
    0xff435e7b,
    0xff4f6583,
    0xff425c80,
    0xff3f608b,
    0xff4b6d9d,
    0xff5173a5,
    0xff4e70a2,
    0xff5376ab,
    0xff4f75ab,
    0xff5677ae,
    0xff5576af,
    0xff5678b4,
    0xff5a80bf,
    0xff5c83c7,
    0xff638ad1,
    0xff5e86d0,
    0xff5a82ce,
    0xff5982cc,
    0xff5d84d3,
    0xff5b85d3,
    0xff5381cd,
    0xff517ecb,
    0xff537fc9,
    0xff5580c6,
    0xff5a82c7,
    0xff5580c8,
    0xff567cc8,
    0xff5a81ce,
    0xff6388d6,
    0xff6287d8,
    0xff6990dc,
    0xff678fdc,
    0xff6a90db,
    0xff6c93da,
    0xff6f97df,
    0xff7199e1,
    0xff6991d9,
    0xff7096df,
    0xff6e94da,
    0xff6a8bd3,
    0xff6a8bd1,
    0xff7b94ce,
    0xff8fa0d6,
    0xff9ba6d5,
    0xffa1a6d2,
    0xffa6aad7,
    0xffaaafdb,
    0xff8e91be,
    0xff888bb4,
    0xff888eae,
    0xff72789c,
    0xff757ca6,
    0xff767eaa,
    0xff7881aa,
    0xff7b87b0,
    0xff7a88b4,
    0xff7783b3,
    0xff7f82b6,
    0xff7b88b2,
    0xff8293be,
    0xff7e8dc0,
    0xff848cc2,
    0xff919cc8,
    0xff909cc9,
    0xff8b97cc,
    0xffa2aad1,
    0xffb8a3af,
    0xffc07c7a,
    0xfff28181,
    0xffac3c2b,
    0xffb43c1e,
    0xffb61b0e,
    0xffa51116,
    0xff911517,
    0xff8a243e,
    0xffc7b4d8,
    0xffa2add8,
    0xff99a4ce,
    0xffacafd4,
    0xffb0b9da,
    0xffacb5db,
    0xff9eabc9,
    0xffb8adce,
    0xffc0b5c8,
    0xffcb9b9f,
    0xffa0221b,
    0xffba3713,
    0xffbb5823,
    0xffb34717,
    0xffc56e0a,
    0xffffb952,
    0xffba570b,
    0xff923916,
    0xffbb979b,
    0xff8c88ad,
    0xffa8a0ca,
    0xffa69eb1,
    0xffeaa79c,
    0xffbb5a3a,
    0xffa75424,
    0xffe57e3a,
    0xffe48339,
    0xffa65831,
    0xffc4897c,
    0xffdd9ca4,
    0xff761e16,
    0xff993916,
    0xffa66b46,
    0xffdabbbd,
    0xffe0cbde,
    0xff4d3240,
    0xffa67d95,
    0xffe6d2f7,
    0xffb2bced,
    0xffbbc0ea,
    0xffb6b7df,
    0xffbdc3ea,
    0xffbeceed,
    0xffb7cee4,
    0xffb8c5e4,
    0xffc2c2f7,
    0xffbabce6,
    0xffbfc4e9,
    0xffbdc3e7,
    0xffbbc1e3,
    0xffb7bddf,
    0xffbdc3e5,
    0xffbdc2e5,
    0xffc7d0f3,
    0xffc2c7e6,
    0xffc2c7e6,
    0xffc3c7ea,
    0xffbdc1e7,
    0xffc7cbf0,
    0xffc4c9eb,
    0xffbfc4e2,
    0xffbfc6e5,
    0xffbec4db,
    0xffe1a789,
    0xffd4773c,
    0xff6b0800,
    0xffa4565b,
    0xffab91a2,
    0xffd5d6ee,
    0xffc5a1bf,
    0xffd1bad8,
    0xffacb1d4,
    0xffadb4d3,
    0xffcfd0f3,
    0xffdcb3bf,
    0xffb47278,
    0xffbb8596,
    0xffa24631,
    0xffa31e15,
    0xffa53a47,
    0xff90464a,
    0xff964750,
    0xff91372f,
    0xffa5562c,
    0xff845742,
    0xffded6e1,
    0xffc7cae4,
    0xffc2c8e3,
    0xffbec4de,
    0xffb4bbd7,
    0xffbcc2df,
    0xffbdc3e0,
    0xffb9c0dc,
    0xffc6cde9,
    0xffbfc8ea,
    0xffbfc7eb,
    0xffbcc4ea,
    0xffb7bfe5,
    0xffb8c0e7,
    0xffbec4ec,
    0xffa9aed7,
    0xffb7bce6,
    0xffbbc2ea,
    0xffbec6ed,
    0xffb4bce5,
    0xffb2bae6,
    0xffa7b0de,
    0xffa6afe0,
    0xffa2acde,
    0xffa2acdf,
    0xff9da7de,
    0xff9da6de,
    0xff9ca5e1,
    0xff98a2e1,
    0xff969fe0,
    0xff919cdb,
    0xff949fde,
    0xff99a4e2,
    0xff9face1,
    0xff9fadde,
    0xffa6b1e2,
    0xff9ca9d5,
    0xffa0abd8,
    0xff9ba3ce,
    0xff9fa9d2,
    0xffa3aad3,
    0xffa9b1d5,
    0xffaaafd2,
    0xffa4a7cb,
    0xffa9aed1,
    0xffb6bdde,
    0xffb3bedd,
    0xffb7bfdc,
    0xffbdc1df,
    0xffb8c2db,
    0xffc0c7e1,
    0xffc7cde8,
    0xffcacee8,
    0xffc9cae3,
    0xffcccee4,
    0xffc9cbdf,
    0xffc1c3d6,
    0xffbdc3d9,
    0xffc1c6de,
    0xffc5c9e2,
    0xffc1c5e0,
    0xffa6aac6,
    0xffb6bad7,
    0xffa4abc9,
    0xffa8b0cc,
    0xffc3afc2,
    0xffb9818a,
    0xffab6767,
    0xffc88689,
    0xffd3b3b4,
    0xffcdadad,
    0xff92434a,
    0xff782427,
    0xffbf5a5b,
    0xffaf4927,
    0xff710000,
    0xffb61617,
    0xffc7230c,
    0xffab1202,
    0xffa30209,
    0xff9e0c1b,
    0xff9a0109,
    0xff8c0012,
    0xff880008,
    0xff960102,
    0xff9e0000,
    0xfff56245,
    0xffc15623,
    0xfffbbea7,
    0xffdb9691,
    0xff8f251a,
    0xffb3301c,
    0xffc73d2d,
    0xffa72521,
    0xff9a2b27,
    0xffad5a47,
    0xff995937,
    0xff834e33,
    0xff6e5532,
    0xff5c4425,
    0xff76432e,
    0xff7e3d2c,
    0xff5e3c21,
    0xff47441e,
    0xff41451c,
    0xff3f4119,
    0xff403b1b,
    0xff413b1f,
    0xff3f4023,
    0xff334222,
    0xff293b1d,
    0xff2c3520,
    0xff262318,
    0xff282011,
    0xff262316,
    0xff1c2016,
    0xff0d180e,
    0xff122114,
    0xff172414,
    0xff29341e,
    0xff404630,
    0xff384125,
    0xff32391d,
    0xff353b20,
    0xff2e341c,
    0xff292c16,
    0xff20210a,
    0xff333415,
    0xff4c4a27,
    0xff5b531e,
    0xff645a21,
    0xff62581c,
    0xff64581f,
    0xff5f521e,
    0xff49390d,
    0xff645129,
    0xff6e5d31,
    0xff52440f,
    0xff5b4e1b,
    0xff52481b,
    0xff4f4616,
    0xff4d4511,
    0xff4b460f,
    0xff58511f,
    0xff5f572a,
    0xff444715,
    0xff383917,
    0xff373819,
    0xff3e4016,
    0xff444412,
    0xff4a4413,
    0xff5c531c,
    0xff625813,
    0xff64580f,
    0xff645713,
    0xff5f5314,
    0xff544710,
    0xff4f440f,
    0xff564a14,
    0xff595017,
    0xff5b5316,
    0xff5b5017,
    0xff544c19,
    0xff474519,
    0xff373a18,
    0xff2e341a,
    0xff353923,
    0xff1f220f,
    0xff444733,
    0xff1f260e,
    0xff111814,
    0xff544f4a,
    0xff181203,
    0xff131a11,
    0xff131a15,
    0xff16170c,
    0xff101a0c,
    0xff1c1d10,
    0xff27261a,
    0xff232113,
    0xff211e12,
    0xff201d0f,
    0xff1a190c,
    0xff1d1e10,
    0xff222315,
    0xff16180d,
    0xff131106,
    0xff1b1509,
    0xff1b1307,
    0xff272111,
    0xff373119,
    0xff372c0b,
    0xff463910,
    0xff443e0a,
    0xff4a3a00,
    0xff644000,
    0xff7b4105,
    0xffd6883d,
    0xffc67031,
    0xffdf9041,
    0xffd39216,
    0xffc67b00,
    0xffde8110,
    0xffc67000,
    0xffcb8807,
    0xfff1b51c,
    0xffd28000,
    0xffcf7206,
    0xffe39e0f,
    0xfff0ae22,
    0xffba7604,
    0xffd59521,
    0xffae770b,
    0xffffdb6c,
    0xffb8811e,
    0xffc98434,
    0xff822c00,
    0xff602207,
    0xffd2984a,
    0xffffc262,
    0xffb87b39,
    0xff470400,
    0xff500d08,
    0xff885843,
    0xff3d1f01,
    0xff451600,
    0xff75420e,
    0xffffc285,
    0xffac4102,
    0xffcd823e,
    0xff2e0500,
    0xff280300,
    0xff52240b,
    0xff9b5438,
    0xff9c5134,
    0xff7d4436,
    0xff161508,
    0xff302316,
    0xff623647,
    0xff211017,
    0xff442907,
    0xff4f2000,
    0xffb18348,
    0xffae7f48,
    0xffa67244,
    0xff834b1f,
    0xff7c4831,
    0xff4c2522,
    0xff442d21,
    0xff9b9073,
    0xff2a0d00,
    0xffb98f57,
    0xffc38b2d,
    0xffbc750f,
    0xffdc9c40,
    0xfff5b95c,
    0xffe49c32,
    0xffc78a10,
    0xffa76100,
    0xff9c5d00,
    0xffbe8b21,
    0xffc28c2b,
    0xffaa6707,
    0xffb56a04,
    0xff9f5806,
    0xffaa5d0f,
    0xffac6003,
    0xff9a732e,
    0xff897769,
    0xff8d6d5d,
    0xff825b1e,
    0xffd9b687,
    0xffa07c32,
    0xffd08a31,
    0xff855f25,
    0xff5a5341,
    0xfffffffb,
    0xffddbe96,
    0xffa5721c,
    0xff925700,
    0xffd39d32,
    0xffc68e15,
    0xffce9e24,
    0xffb87a40,
    0xff753a23,
    0xffbb9e91,
    0xff5c3f16,
    0xffcaab88,
    0xffd5d2db,
    0xff550400,
    0xff570106,
    0xff56000d,
    0xff4f030c,
    0xff4f0410,
    0xff460b23,
    0xff5a4d77,
    0xff416699,
    0xff39608e,
    0xff375d8c,
    0xff365b8a,
    0xff315782,
    0xff284e72,
    0xff284f67,
    0xff2e5264,
    0xff2c4e5c,
    0xff2f4a5c,
    0xff2d4654,
    0xff304a54,
    0xff354f59,
    0xff2f4852,
    0xff294249,
    0xff2a4246,
    0xff2c4446,
    0xff2b3d40,
    0xff2c3d3f,
    0xff334341,
    0xff3d4e47,
    0xff3b4b3d,
    0xff41513e,
    0xff41503a,
    0xff45553c,
    0xff48573f,
    0xff495841,
    0xff475740,
    0xff44533f,
    0xff425039,
    0xff425037,
    0xff425137,
    0xff435136,
    0xff475538,
    0xff485539,
    0xff485233,
    0xff495034,
    0xff494f33,
    0xff484d32,
    0xff44472f,
    0xff3e402a,
    0xff343e2e,
    0xff293327,
    0xff252e25,
    0xff242d26,
    0xff212c24,
    0xff212c24,
    0xff222f27,
    0xff232f25,
    0xff233028,
    0xff26332b,
    0xff212d24,
    0xff253028,
    0xff263128,
    0xff24312a,
    0xff202f2a,
    0xff253430,
    0xff223123,
    0xff1b2b22,
    0xff1f2e29,
    0xff1c2c24,
    0xff253228,
    0xff2a382b,
    0xff313f32,
    0xff334035,
    0xff2f3d3c,
    0xff2e3f3c,
    0xff2f413d,
    0xff304240,
    0xff314441,
    0xff324540,
    0xff324742,
    0xff364a44,
    0xff334a41,
    0xff384c45,
    0xff344945,
    0xff314544,
    0xff34484c,
    0xff2c4345,
    0xff2b434a,
    0xff243e42,
    0xff203e3c,
    0xff2e433c,
    0xff5a2a2d,
    0xff7f0411,
    0xff87020d,
    0xff7f0007,
    0xff8b1421,
    0xffffc7d0,
    0xffbb4f50,
    0xff8f070f,
    0xff89171c,
    0xff60372f,
    0xff2b382d,
    0xff1f3535,
    0xff203537,
    0xff23373b,
    0xff334146,
    0xff3a4f55,
    0xff3b414c,
    0xff41424c,
    0xff2c3630,
    0xff3b2519,
    0xff85352d,
    0xff982e23,
    0xff6a000b,
    0xff6b000f,
    0xff66000c,
    0xff64000a,
    0xff6a020d,
    0xff72030e,
    0xff720006,
    0xff7c030e,
    0xff7a0212,
    0xff7d0000,
    0xffb12220,
    0xff931314,
    0xff6f0200,
    0xff810100,
    0xff9a0704,
    0xff8a0611,
    0xff8f0a05,
    0xff9d0e0b,
    0xffa20405,
    0xffaf0104,
    0xffb40105,
    0xffb10205,
    0xffac0001,
    0xffaa0000,
    0xffa50400,
    0xffce3228,
    0xffc92c22,
    0xffc12018,
    0xffd52d27,
    0xffd9302a,
    0xffc9261d,
    0xffc5271c,
    0xffbb0904,
    0xffb80705,
    0xffbd0e0b,
    0xffc71913,
    0xffbf1914,
    0xffa51812,
    0xff8e201b,
    0xff802824,
    0xff8b2721,
    0xff682e21,
    0xff56452d,
    0xff54472f,
    0xff836c57,
    0xff5a4530,
    0xff514b35,
    0xff484833,
    0xff3e4833,
    0xff323c25,
    0xff404d31,
    0xff2d3c21,
    0xff2e3e26,
    0xff3d4d3b,
    0xff36463a,
    0xff2a3c34,
    0xff36423e,
    0xff353f3e,
    0xff444b4d,
    0xff4a565a,
    0xff3d4f54,
    0xff3b525c,
    0xff415a6c,
    0xff415b74,
    0xff425f7e,
    0xff446583,
    0xff406282,
    0xff426587,
    0xff476d94,
    0xff466b98,
    0xff5276ab,
    0xff5777b0,
    0xff5578b3,
    0xff5579b3,
    0xff5377b1,
    0xff547ab3,
    0xff5177b3,
    0xff5981bd,
    0xff557cbd,
    0xff597ec0,
    0xff5e84c0,
    0xff5c84c7,
    0xff5988cf,
    0xff5181cc,
    0xff5383cd,
    0xff608eda,
    0xff5c8dd9,
    0xff5d8fdd,
    0xff6693db,
    0xff6a94dd,
    0xff6b95e3,
    0xff6792e1,
    0xff648fde,
    0xff638ede,
    0xff6592e1,
    0xff6693e1,
    0xff6490dd,
    0xff6491e0,
    0xff6291df,
    0xff6391df,
    0xff628fde,
    0xff608dd7,
    0xff638ad3,
    0xff658dd7,
    0xff5b82cc,
    0xff5d84cf,
    0xff5c80cf,
    0xff587cca,
    0xff4f74c2,
    0xff5277c5,
    0xff5177c1,
    0xff4b72bc,
    0xff486cb1,
    0xff4369af,
    0xff4369b2,
    0xff476db6,
    0xff486eb7,
    0xff466ab4,
    0xff4a6fb7,
    0xff5375bc,
    0xff5976b9,
    0xff6479b3,
    0xff6a79a9,
    0xff7d8ab0,
    0xff7e89aa,
    0xff838da8,
    0xff939aaf,
    0xff999fb1,
    0xffa5abca,
    0xffa3a9cd,
    0xffaeb5df,
    0xffabb1df,
    0xffa8b1de,
    0xffaab5e2,
    0xffabb4e5,
    0xffa4aee1,
    0xffa1acdb,
    0xffa0b9e5,
    0xff9bbbe9,
    0xff92abdc,
    0xff96a8da,
    0xff96acd6,
    0xff90a4d3,
    0xff9eace1,
    0xffb4a6cc,
    0xffd8aaa6,
    0xffe38b76,
    0xfff2807c,
    0xff93251b,
    0xffaa3a1a,
    0xffa72715,
    0xff8f1118,
    0xff941411,
    0xff7d2730,
    0xffcec1d5,
    0xff9eaccb,
    0xffa9b2d3,
    0xffa1a5c2,
    0xff92a3ba,
    0xff90a2b9,
    0xff9d9fbb,
    0xff9e8fb0,
    0xffd19fae,
    0xffac5d3c,
    0xffb0551d,
    0xffb35622,
    0xffbd5d22,
    0xffac4c02,
    0xffe9921c,
    0xffffb62b,
    0xfff49521,
    0xffa74802,
    0xff8e5840,
    0xffb8a7c9,
    0xffada1d7,
    0xffbdafc2,
    0xffd7a59c,
    0xffb45944,
    0xffac4d2e,
    0xffe26d3e,
    0xffa24e2b,
    0xffc1a2ac,
    0xffc4c4e0,
    0xffd5c8f2,
    0xffbc8085,
    0xff852d1c,
    0xff9a6358,
    0xffc9bcd0,
    0xffd2d7f4,
    0xffc7cee4,
    0xff423750,
    0xffa49cb9,
    0xffd8e0ff,
    0xffc9ccf3,
    0xffbdbde4,
    0xffc2c6e6,
    0xffbdcae9,
    0xffb5c1e9,
    0xffb5bce6,
    0xffbfc2e8,
    0xffc0c6e9,
    0xffbdc3e6,
    0xffc6ccee,
    0xffcad0f2,
    0xffc8cef0,
    0xffbcc2e4,
    0xffc3c9ed,
    0xffc9cef2,
    0xffc2c7e5,
    0xffc9ceed,
    0xffc7cbee,
    0xffbabee3,
    0xffb6badf,
    0xffbfc2e4,
    0xffc6c8eb,
    0xffc7caec,
    0xffc3c2e2,
    0xffdebab4,
    0xff8b332e,
    0xffc48792,
    0xffe6d2ed,
    0xffccd4f8,
    0xffc1b8e9,
    0xffc4c5e9,
    0xffb3b2d3,
    0xffcac8ed,
    0xff6b6183,
    0xffcbcbec,
    0xffb7b3bd,
    0xffc5a7ac,
    0xff985d6d,
    0xff901b15,
    0xff8e2532,
    0xffeabde0,
    0xffc6bdde,
    0xffd4ceec,
    0xffcea1b2,
    0xff672129,
    0xffd4b8d0,
    0xffb9bbe2,
    0xffbbc1e7,
    0xffb9bfe5,
    0xffbcc2e8,
    0xffc0c5ed,
    0xffc3c8f1,
    0xffc4c9f1,
    0xffbfc4ec,
    0xffbabee7,
    0xffb4bbe3,
    0xffb7bfe8,
    0xffaab3dc,
    0xffabb3de,
    0xffa6afdb,
    0xffacb4e4,
    0xffadb5e6,
    0xffabb2e5,
    0xffa5afde,
    0xffa7b0e1,
    0xffa6b1df,
    0xffa9b4e5,
    0xffa8b4e7,
    0xffa1ade0,
    0xffa9b5ea,
    0xffaeb9ee,
    0xffb0bcec,
    0xffadbaec,
    0xffa6b3e7,
    0xffa4b2e7,
    0xffa5b3ec,
    0xff9babe2,
    0xff98aade,
    0xff9babe0,
    0xff98a8dc,
    0xff9eafe2,
    0xff95a2d5,
    0xff909dd1,
    0xff98a4d6,
    0xff959fd0,
    0xff9aa6d3,
    0xffa5addc,
    0xffaeb7e6,
    0xffb8bcec,
    0xffbabceb,
    0xffb8bbe8,
    0xffacb5e0,
    0xffb1bae2,
    0xffb1b8df,
    0xffb1b5dd,
    0xffb8c0e3,
    0xffb9bfe3,
    0xffb9bde1,
    0xffc0c3e5,
    0xffc7c7e8,
    0xffcecdec,
    0xffc2c3e1,
    0xffbdbfdb,
    0xffc1c3d7,
    0xffc9cbe0,
    0xffc8cae3,
    0xffbcc0db,
    0xffaeb4d2,
    0xff9fa5c4,
    0xffa0a7c7,
    0xffb0b7d6,
    0xffd4aabd,
    0xff9f4155,
    0xffd49aa5,
    0xffcec1dd,
    0xffcbc3e6,
    0xffd2adc0,
    0xffc76062,
    0xffc85343,
    0xffaf352b,
    0xff8d1000,
    0xff930e04,
    0xff91010b,
    0xff890910,
    0xff88090d,
    0xff93040a,
    0xff79011a,
    0xff852333,
    0xffb14b5a,
    0xffa73532,
    0xffbb2826,
    0xffd52c31,
    0xffbe1d0f,
    0xffaa2c12,
    0xffbf5854,
    0xffda6a6c,
    0xffd03f3c,
    0xffc51d15,
    0xffc8241f,
    0xffcb373b,
    0xffca4348,
    0xffc35445,
    0xff7b2a05,
    0xff613d1d,
    0xff60522f,
    0xff53522c,
    0xff554829,
    0xff603a24,
    0xff744431,
    0xff633b26,
    0xff4c371c,
    0xff443e20,
    0xff3f3d1f,
    0xff394021,
    0xff2f3e1f,
    0xff2c3b21,
    0xff364028,
    0xff353427,
    0xff2d271d,
    0xff2c331c,
    0xff252a11,
    0xff251e06,
    0xff281604,
    0xff251203,
    0xff261b10,
    0xff24251d,
    0xff29362f,
    0xff364f42,
    0xff2b4535,
    0xff253b2d,
    0xff1a291e,
    0xff1e2619,
    0xff323725,
    0xff42462d,
    0xff464c2c,
    0xff484c24,
    0xff515527,
    0xff505422,
    0xff454716,
    0xff434118,
    0xff3b3613,
    0xff2a2403,
    0xff5f5636,
    0xff645434,
    0xff403209,
    0xff433907,
    0xff4d4715,
    0xff3f3b0f,
    0xff3d3812,
    0xff433f13,
    0xff3e3b09,
    0xff383d10,
    0xff292d12,
    0xff292b12,
    0xff2d310c,
    0xff343407,
    0xff393406,
    0xff423a06,
    0xff4a4000,
    0xff4c3d00,
    0xff4a3a00,
    0xff3e3100,
    0xff372b02,
    0xff372a03,
    0xff342a00,
    0xff382e01,
    0xff382e01,
    0xff373203,
    0xff343003,
    0xff2e2e08,
    0xff252a0c,
    0xff242e17,
    0xff1d240f,
    0xff353725,
    0xff343320,
    0xff1b200c,
    0xff060c08,
    0xff928a87,
    0xff130900,
    0xff11130c,
    0xff181a16,
    0xff17190c,
    0xff121d0d,
    0xff1e1d0d,
    0xff272415,
    0xff2b2615,
    0xff2d2615,
    0xff2d2516,
    0xff241e0e,
    0xff211e0c,
    0xff1f1c0c,
    0xff221e0e,
    0xff221d0d,
    0xff1e1609,
    0xff1b1306,
    0xff1c1604,
    0xff201700,
    0xff2a1c00,
    0xff3c2600,
    0xff9c6026,
    0xffd8954a,
    0xffffba63,
    0xfff3a73d,
    0xffdb8e2a,
    0xff863600,
    0xff904c0d,
    0xffdca52a,
    0xffcc8604,
    0xffc37904,
    0xfffec131,
    0xfff8c32e,
    0xffeebb13,
    0xffdb9d0a,
    0xffc78300,
    0xffd8950a,
    0xffe89c01,
    0xffdd9112,
    0xffe2a01b,
    0xffd69e20,
    0xff642900,
    0xff500c00,
    0xffa65623,
    0xffba5f3a,
    0xff5d0900,
    0xffc27f44,
    0xffa0641d,
    0xffc68337,
    0xff975108,
    0xffb57628,
    0xff8b4c0e,
    0xff782d0d,
    0xffa1472b,
    0xffc77a3c,
    0xffc47031,
    0xff8e2703,
    0xff923208,
    0xffa96125,
    0xffe3a753,
    0xffb87619,
    0xff9d220d,
    0xffac1c04,
    0xffad371f,
    0xffb7855c,
    0xff93603d,
    0xff833c34,
    0xff532513,
    0xff9d6036,
    0xffcb7c32,
    0xffffc243,
    0xffeda11e,
    0xffd87c22,
    0xfffa9649,
    0xffea8d40,
    0xffcb7b40,
    0xff8f4d26,
    0xff593517,
    0xff7a4b20,
    0xffc08643,
    0xff965700,
    0xffc38322,
    0xffc9903a,
    0xffecb35a,
    0xffd69830,
    0xffc88e19,
    0xfff1ae45,
    0xffb37409,
    0xff9b6a00,
    0xffffd780,
    0xff8d4c00,
    0xffad6712,
    0xffa05b09,
    0xff9f5f11,
    0xffa16913,
    0xff9f6600,
    0xff9e6d41,
    0xff786c6b,
    0xff838067,
    0xffdec2bc,
    0xff4f2b1c,
    0xffb28f59,
    0xff231600,
    0xff000000,
    0xff4c4e57,
    0xfffcebe1,
    0xffc29a40,
    0xffdca621,
    0xffc17f16,
    0xffbf822c,
    0xff8f5600,
    0xff7e3b0c,
    0xffa26c4e,
    0xffb79c94,
    0xff5b4631,
    0xffd7c0af,
    0xffc7c4d4,
    0xff560503,
    0xff5a030c,
    0xff570110,
    0xff54030c,
    0xff58030a,
    0xff4e000f,
    0xff532b48,
    0xff474a70,
    0xff32465e,
    0xff2f4258,
    0xff2e4457,
    0xff284150,
    0xff203b46,
    0xff1c3738,
    0xff1a3832,
    0xff1a3529,
    0xff1b2e2c,
    0xff20332e,
    0xff283c31,
    0xff2c3e33,
    0xff2e3f36,
    0xff2d3d31,
    0xff304030,
    0xff2f3e2b,
    0xff314031,
    0xff354435,
    0xff394635,
    0xff394634,
    0xff3f4b36,
    0xff455239,
    0xff495439,
    0xff4b573b,
    0xff49543c,
    0xff48533a,
    0xff49543d,
    0xff3e4a36,
    0xff3a4530,
    0xff3a4630,
    0xff39442d,
    0xff3a452d,
    0xff3c4930,
    0xff404a2e,
    0xff404a2f,
    0xff484d31,
    0xff474c32,
    0xff40442d,
    0xff3c402b,
    0xff373e29,
    0xff2b3626,
    0xff283425,
    0xff283425,
    0xff283428,
    0xff263429,
    0xff29362b,
    0xff29362b,
    0xff26372c,
    0xff2d3a2b,
    0xff2e3a2b,
    0xff2c3729,
    0xff2e392d,
    0xff2a382d,
    0xff27362d,
    0xff1f302b,
    0xff1b2c28,
    0xff223235,
    0xff24333a,
    0xff213036,
    0xff293939,
    0xff2a3d34,
    0xff2f4131,
    0xff2f4130,
    0xff2e3f30,
    0xff2e4441,
    0xff324745,
    0xff263d3c,
    0xff2d4445,
    0xff2c4346,
    0xff375156,
    0xff304950,
    0xff294349,
    0xff263c3e,
    0xff263b3f,
    0xff2b3d43,
    0xff30424d,
    0xff344453,
    0xff27394d,
    0xff2b3e53,
    0xff273d54,
    0xff273f53,
    0xff284348,
    0xff582732,
    0xff7a0112,
    0xff6f0000,
    0xffa82c36,
    0xffff97a6,
    0xff93353f,
    0xff720004,
    0xff720f12,
    0xff7a3936,
    0xff4e372d,
    0xff353c2e,
    0xff344638,
    0xff344133,
    0xff364132,
    0xff363e37,
    0xff2e4c3d,
    0xff344d3c,
    0xff464e40,
    0xff3e422f,
    0xff594633,
    0xff80332f,
    0xffa52730,
    0xffa90e2b,
    0xffaf1833,
    0xffa51531,
    0xffa0192e,
    0xff79000d,
    0xff720008,
    0xff6e0107,
    0xff740a0d,
    0xff7d0103,
    0xff800004,
    0xff7f0008,
    0xff6a0000,
    0xff700005,
    0xff970009,
    0xffb5010f,
    0xffab0509,
    0xffad0206,
    0xffad0107,
    0xffaa0006,
    0xffaa0308,
    0xffab0309,
    0xffae0107,
    0xffb20408,
    0xffac0104,
    0xffab0600,
    0xffc21d16,
    0xffd7322c,
    0xffc61f19,
    0xffc41915,
    0xffda2f27,
    0xffdc2f25,
    0xffd4281c,
    0xffd22520,
    0xffc91e18,
    0xffc61a12,
    0xffc51911,
    0xffc42317,
    0xffb42721,
    0xff9f3232,
    0xff6f1518,
    0xff931c23,
    0xff732921,
    0xff644734,
    0xff55432f,
    0xff82725b,
    0xff413a24,
    0xff43432f,
    0xff3d3e30,
    0xff333d33,
    0xff364137,
    0xff344537,
    0xff3c4e41,
    0xff3d5349,
    0xff435b59,
    0xff415b61,
    0xff46606c,
    0xff486373,
    0xff4f6a7d,
    0xff507085,
    0xff4f6b84,
    0xff617e95,
    0xff607e98,
    0xff5c7d9f,
    0xff5d7ea9,
    0xff6079aa,
    0xff637eb0,
    0xff5c77a9,
    0xff5172a1,
    0xff5273a7,
    0xff5273aa,
    0xff5574b2,
    0xff506fae,
    0xff5176a8,
    0xff5177a7,
    0xff547cae,
    0xff5b82b8,
    0xff537db3,
    0xff537bb4,
    0xff527db7,
    0xff5882bf,
    0xff537dc3,
    0xff5c8ad8,
    0xff5d8ddc,
    0xff6290e2,
    0xff618bdb,
    0xff6089d6,
    0xff6c96e4,
    0xff6896e5,
    0xff6798e3,
    0xff608fdd,
    0xff6392de,
    0xff6893e1,
    0xff6c96e5,
    0xff6a95e0,
    0xff618fd8,
    0xff6696dd,
    0xff6d99e0,
    0xff6995df,
    0xff6894dd,
    0xff6591dc,
    0xff6893de,
    0xff6e94e4,
    0xff688edb,
    0xff668bd9,
    0xff6289d3,
    0xff6289d4,
    0xff5c83d0,
    0xff597ecc,
    0xff5c80ce,
    0xff597ecc,
    0xff5d80cc,
    0xff587bc7,
    0xff587dc4,
    0xff577cc3,
    0xff5c82cb,
    0xff567cc8,
    0xff537ac6,
    0xff597fc9,
    0xff587ec7,
    0xff577ac5,
    0xff5e81c7,
    0xff6d8aca,
    0xff8299ce,
    0xff94a9d3,
    0xff8fa0c6,
    0xff94a6c4,
    0xffb5c3db,
    0xffcad5ea,
    0xffa5afd5,
    0xff98a0cd,
    0xff9ea9dc,
    0xffa0a9de,
    0xff9ca8d9,
    0xff9eaadd,
    0xff9ba7dc,
    0xff99a5dc,
    0xff97a4d8,
    0xff81a0d4,
    0xff7ea1d7,
    0xff839dd5,
    0xff849cd3,
    0xff809bcd,
    0xff99adde,
    0xff9795c6,
    0xffd09db1,
    0xffb4604c,
    0xffd87051,
    0xffcf605a,
    0xff931318,
    0xffca402d,
    0xffa21f0e,
    0xff940c1d,
    0xff91131b,
    0xff6a3c41,
    0xff838295,
    0xff7d83a2,
    0xff797c9f,
    0xff858da9,
    0xff8896ad,
    0xff93aac0,
    0xff9b9cbb,
    0xffd2b9cd,
    0xff85302b,
    0xffbb4c21,
    0xffa45318,
    0xffa65527,
    0xffbe591c,
    0xffb35b00,
    0xfff6a22a,
    0xfffdab12,
    0xfffdaa27,
    0xffb05300,
    0xff822f02,
    0xffbe90a9,
    0xff8f85be,
    0xffa7a3ae,
    0xffe9c1af,
    0xffac5747,
    0xffa74e3b,
    0xffa53921,
    0xff9e5b58,
    0xffbaaed2,
    0xffa1b5dd,
    0xffaab0e4,
    0xffb999ad,
    0xff7d3124,
    0xff693427,
    0xffb3a5ba,
    0xffb6b9e1,
    0xffb6c3eb,
    0xffbebedc,
    0xff464449,
    0xffb8b8bb,
    0xffa8aacb,
    0xffbec2f2,
    0xffbac1e3,
    0xffbdc0e2,
    0xffc7c5f8,
    0xffc6c8f8,
    0xffb5c0df,
    0xffbac0e3,
    0xffbdc3e5,
    0xffc0c6e7,
    0xffbbc1e0,
    0xffbdc3e3,
    0xffc6cceb,
    0xffc1c7e9,
    0xffb7bddf,
    0xffb7bddd,
    0xffb6bcde,
    0xffbbbee1,
    0xffc0c4e9,
    0xffbbbfe4,
    0xffc3c4eb,
    0xffc3c6e8,
    0xffc4c7eb,
    0xffc3ceef,
    0xffc6c0d2,
    0xffe7b6d9,
    0xffe3d6fd,
    0xffb9c1e1,
    0xffc0c3ea,
    0xffd6bbf2,
    0xffc6c8ee,
    0xffc3ceea,
    0xffd1d4ef,
    0xffa08cae,
    0xffa29ec3,
    0xffd9e5ef,
    0xfff6e7e2,
    0xff8f505c,
    0xff610512,
    0xfff6c9e2,
    0xffc4c7ee,
    0xffb7caf2,
    0xffa8c1e7,
    0xffc2bcdc,
    0xffc09bbd,
    0xffd1c8f8,
    0xffbdc1ec,
    0xffb5bde9,
    0xffb6bde8,
    0xffb7bee9,
    0xffb5bce8,
    0xffb6bae8,
    0xffb0b3e2,
    0xffafb2e3,
    0xffafb2e3,
    0xffa2a9d9,
    0xffa1a9db,
    0xffa3aadd,
    0xff9ba5da,
    0xffa1aae2,
    0xff9ea7e0,
    0xff9da7e0,
    0xff97a1dc,
    0xff94a1d5,
    0xff9fabde,
    0xff9ca9de,
    0xff9ba8dd,
    0xffa0ade2,
    0xffa3afe5,
    0xff9face3,
    0xffa0aee5,
    0xff98a8da,
    0xff8e9dd0,
    0xff94a6db,
    0xff96a7db,
    0xff90a4da,
    0xff94a6dc,
    0xff8ea4d9,
    0xff93a8dd,
    0xff9eaee9,
    0xff94a6dd,
    0xff9dace4,
    0xffabb7ee,
    0xffabb6ec,
    0xffa8b5e9,
    0xffacb6e9,
    0xffa4aee1,
    0xffa5aedc,
    0xffa8aede,
    0xffafb1e1,
    0xffafb3e2,
    0xffb0b9e3,
    0xffa8b3db,
    0xffa6add7,
    0xffa6aad2,
    0xffb3bce1,
    0xffc7cdf3,
    0xffc7caef,
    0xffbcbfe1,
    0xffbcbbdf,
    0xffbbbbdc,
    0xffbcbcde,
    0xffb2b1d4,
    0xffbbbcd1,
    0xffb8b9d1,
    0xffb4b4d1,
    0xffb8bada,
    0xffabb0d2,
    0xffafb3d6,
    0xffa8aed2,
    0xffbbc0e5,
    0xffc6b7d0,
    0xffcea3be,
    0xffdccbe3,
    0xffb6b9de,
    0xffafa6d0,
    0xffad8399,
    0xff8d2b34,
    0xffc44649,
    0xffbd442e,
    0xffca4d1f,
    0xffbe4e44,
    0xffbe6c89,
    0xff9f739b,
    0xffbf8eaa,
    0xff631220,
    0xffcb93ac,
    0xffa589a0,
    0xffae777d,
    0xffc05a4e,
    0xffca3a35,
    0xffb10715,
    0xffac0008,
    0xffb91614,
    0xffbe2229,
    0xffdb5451,
    0xffea5550,
    0xffd43a34,
    0xffcb3931,
    0xffcc4138,
    0xffc23b31,
    0xffc5573d,
    0xffb1623c,
    0xff583c19,
    0xff534628,
    0xff44472a,
    0xff344120,
    0xff313615,
    0xff36280d,
    0xff512b19,
    0xff713a30,
    0xff4b2b1d,
    0xff3e301a,
    0xff353c22,
    0xff2c3d22,
    0xff2f3c26,
    0xff333624,
    0xff2f301e,
    0xff333221,
    0xff262209,
    0xff341c01,
    0xff834b29,
    0xffae5735,
    0xffcf6f50,
    0xff8b3f28,
    0xff441d0c,
    0xff2f2418,
    0xff393f2d,
    0xff323c2c,
    0xff2b3a2a,
    0xff1f2b1e,
    0xff272e1d,
    0xff272b15,
    0xff2b3216,
    0xff3e4a29,
    0xff454c29,
    0xff535b32,
    0xff485020,
    0xff454a19,
    0xff42451b,
    0xff4d4c27,
    0xff413e1d,
    0xff2c2607,
    0xff6c5e49,
    0xff44391a,
    0xff2b2600,
    0xff39360d,
    0xff413f19,
    0xff393914,
    0xff37360b,
    0xff42420f,
    0xff383b15,
    0xff2d3017,
    0xff343823,
    0xff373c17,
    0xff414216,
    0xff4a4719,
    0xff5c5523,
    0xff645b1c,
    0xff6b5c11,
    0xff685913,
    0xff554a0d,
    0xff524613,
    0xff514513,
    0xff50440f,
    0xff53490c,
    0xff534a08,
    0xff4f4c14,
    0xff454113,
    0xff403f18,
    0xff35391e,
    0xff2f3c22,
    0xff232b18,
    0xff151906,
    0xff46402f,
    0xff1a1d07,
    0xff000401,
    0xffbcb3b0,
    0xff201304,
    0xff2e2e26,
    0xff171a15,
    0xff1b1b0f,
    0xff151f0e,
    0xff1e1e0c,
    0xff282412,
    0xff322c18,
    0xff3a311d,
    0xff322a16,
    0xff2f2713,
    0xff29230f,
    0xff282411,
    0xff2c2412,
    0xff342916,
    0xff382b1a,
    0xff322513,
    0xff312310,
    0xff2f2106,
    0xff4c3911,
    0xff8c7343,
    0xff7a461d,
    0xff7b4315,
    0xff884e15,
    0xffbc8528,
    0xffdda335,
    0xfffab75c,
    0xfffdb354,
    0xfff4ad26,
    0xffe79f2d,
    0xffefb541,
    0xffedbb21,
    0xffffcf23,
    0xffefb80c,
    0xffdba910,
    0xffebbb11,
    0xffd08a1b,
    0xffc27114,
    0xff944608,
    0xffb7781a,
    0xffdca726,
    0xffffca63,
    0xff9b5200,
    0xffb5690e,
    0xffae5c14,
    0xffe29253,
    0xff9a5c15,
    0xffa36b1b,
    0xffb17021,
    0xffac6611,
    0xffac690d,
    0xff965002,
    0xffe69557,
    0xffb75a1f,
    0xffe78f50,
    0xffe98a52,
    0xff740800,
    0xff7f0802,
    0xffab4117,
    0xffd0721c,
    0xffbe5c05,
    0xff9a2807,
    0xff9d2115,
    0xff8b1101,
    0xffbb5d2e,
    0xffc87545,
    0xffaa4f23,
    0xffbc672f,
    0xffa53f13,
    0xffac4c0c,
    0xffcf7f04,
    0xffc67a01,
    0xffdc882f,
    0xffd27919,
    0xffe8941e,
    0xffc37414,
    0xff9b521b,
    0xff5d4415,
    0xff3e1300,
    0xff7e370b,
    0xffca772d,
    0xffb66907,
    0xffc27c16,
    0xffefb454,
    0xffb28022,
    0xffa66d16,
    0xffba780d,
    0xffa96800,
    0xffcf9931,
    0xff9d6d16,
    0xffe0a865,
    0xff854500,
    0xff97630a,
    0xffaf8038,
    0xff3b1a00,
    0xffab7b25,
    0xff92552b,
    0xff957d74,
    0xff5d6759,
    0xffada2ad,
    0xff6c4e59,
    0xff5b5746,
    0xff4f533d,
    0xff878c79,
    0xff7d7c87,
    0xffb3a6ad,
    0xffaa9251,
    0xfffed564,
    0xffac6f1b,
    0xffac7541,
    0xffae7128,
    0xffa4631e,
    0xffd5ab50,
    0xffac9774,
    0xff645349,
    0xff92827f,
    0xff827e8e,
    0xff570509,
    0xff58040c,
    0xff56020c,
    0xff550209,
    0xff590105,
    0xff55010a,
    0xff4c0c1d,
    0xff472438,
    0xff333346,
    0xff192130,
    0xff192b35,
    0xff143036,
    0xff113037,
    0xff123638,
    0xff183933,
    0xff193a30,
    0xff2a3c35,
    0xff28392f,
    0xff2a3b2c,
    0xff2c3a2d,
    0xff303c32,
    0xff364137,
    0xff3a4337,
    0xff313d2c,
    0xff2e3c24,
    0xff35432c,
    0xff3a452f,
    0xff38442e,
    0xff3c442f,
    0xff424b33,
    0xff465038,
    0xff41492f,
    0xff3a4324,
    0xff3c4629,
    0xff353f24,
    0xff363f27,
    0xff364329,
    0xff344328,
    0xff344327,
    0xff374629,
    0xff3d4e2e,
    0xff425030,
    0xff495434,
    0xff475030,
    0xff475132,
    0xff444f31,
    0xff424f34,
    0xff404b34,
    0xff384932,
    0xff34452d,
    0xff30422d,
    0xff2f422e,
    0xff2d402f,
    0xff304231,
    0xff314433,
    0xff314333,
    0xff32442d,
    0xff2f422c,
    0xff32432f,
    0xff304130,
    0xff2a3e31,
    0xff1e352b,
    0xff192f2d,
    0xff19312f,
    0xff233b39,
    0xff2c4346,
    0xff334a52,
    0xff293f4a,
    0xff2a414a,
    0xff2a444f,
    0xff213b48,
    0xff273f4f,
    0xff1f3d47,
    0xff1c3b45,
    0xff26414d,
    0xff2c4856,
    0xff213c4e,
    0xff203d50,
    0xff214055,
    0xff27465d,
    0xff244a5c,
    0xff21475b,
    0xff274a5f,
    0xff25475e,
    0xff254560,
    0xff284a68,
    0xff2e5072,
    0xff29496e,
    0xff1e2c58,
    0xff163044,
    0xff462733,
    0xff4b0000,
    0xffd57775,
    0xffcf5e61,
    0xff7d0000,
    0xff740000,
    0xff66000d,
    0xff734043,
    0xff503c36,
    0xff54413c,
    0xff473e32,
    0xff3c3f2f,
    0xff3d402b,
    0xff373c26,
    0xff3a3f27,
    0xff323a1f,
    0xff454426,
    0xff6b5239,
    0xff8c5444,
    0xff962e32,
    0xffb71a33,
    0xffbd0025,
    0xffb90023,
    0xffbb0427,
    0xffb8062a,
    0xffb90d2d,
    0xffb1112b,
    0xff9c091c,
    0xff84000a,
    0xff7f0005,
    0xff850000,
    0xff870408,
    0xff920404,
    0xffc33215,
    0xffcb3b1c,
    0xffa40605,
    0xffa10005,
    0xffa30b03,
    0xffa20306,
    0xff9d0003,
    0xff910102,
    0xff8a0205,
    0xff930408,
    0xffa8030d,
    0xffaf0009,
    0xffaf0106,
    0xffaa0300,
    0xffc41e14,
    0xffd73429,
    0xffd7362b,
    0xffba1b0b,
    0xffbf1f0c,
    0xffd2341c,
    0xffdc3922,
    0xffd13a1f,
    0xffce3721,
    0xffcd3222,
    0xffce2c24,
    0xffc62421,
    0xffc12f2c,
    0xffc14a47,
    0xff912a29,
    0xffa32030,
    0xff8f2f38,
    0xff481813,
    0xff675343,
    0xff5a5944,
    0xff39462f,
    0xff364432,
    0xff32362f,
    0xff33433d,
    0xff3c4e46,
    0xff3f5247,
    0xff354b3f,
    0xff3a5049,
    0xff314847,
    0xff3e5659,
    0xff385057,
    0xff325053,
    0xff3a5761,
    0xff3c5a66,
    0xff425b64,
    0xff3c4e50,
    0xff3a4649,
    0xff3e4852,
    0xff374352,
    0xff344658,
    0xff334458,
    0xff2d4156,
    0xff2a4459,
    0xff2a445d,
    0xff2d4964,
    0xff334e6b,
    0xff3d5978,
    0xff38597f,
    0xff33547b,
    0xff34547e,
    0xff375883,
    0xff2e4e7d,
    0xff335585,
    0xff426598,
    0xff4a6ba2,
    0xff486cb1,
    0xff496fb8,
    0xff4e76c2,
    0xff5277c2,
    0xff5c7dc4,
    0xff7e9cde,
    0xff607dc0,
    0xff5b7bbf,
    0xff5281cc,
    0xff5785d0,
    0xff5d87ce,
    0xff6088ce,
    0xff6188cd,
    0xff6d95d9,
    0xff6491d5,
    0xff5787cc,
    0xff5681c5,
    0xff4f78c1,
    0xff4f79c1,
    0xff557fc9,
    0xff5680cc,
    0xff587fcf,
    0xff5a81d1,
    0xff5a82d3,
    0xff5f88d3,
    0xff5983cf,
    0xff5984d0,
    0xff5880d0,
    0xff547cc8,
    0xff5378c7,
    0xff577ec8,
    0xff597dc7,
    0xff537cc3,
    0xff5982cb,
    0xff5a84ce,
    0xff547fcb,
    0xff5b85d2,
    0xff5d85d0,
    0xff5a80cc,
    0xff6288d1,
    0xff648dd2,
    0xff7495d7,
    0xff7e99d6,
    0xff8ca2dd,
    0xff9aaee8,
    0xffa1b1ec,
    0xffa1afe5,
    0xff9da8dc,
    0xffa5b1e0,
    0xffadb8eb,
    0xff9eabe2,
    0xffa1aee5,
    0xff9eabe1,
    0xffa4b2e5,
    0xffa2b3e7,
    0xffa2b1e7,
    0xffa7afe6,
    0xffa4b9f2,
    0xff97ade7,
    0xff97a4e0,
    0xff95a6e3,
    0xff92a9e1,
    0xff9593bf,
    0xffc29abc,
    0xffc06360,
    0xffd66647,
    0xffd7674a,
    0xffc96365,
    0xff991223,
    0xffad0b07,
    0xff9b0600,
    0xffa20a24,
    0xff7c1735,
    0xffd5c7d9,
    0xffadaecf,
    0xffacb1da,
    0xffb3b3df,
    0xffb3bce1,
    0xffa3b2d4,
    0xffa7b7da,
    0xffbcbcde,
    0xffb78084,
    0xffab4028,
    0xffc24829,
    0xffc24b35,
    0xffaf4022,
    0xffba5216,
    0xffb65b04,
    0xfff1a32d,
    0xfff19f09,
    0xfff6a221,
    0xffca650d,
    0xffae3a00,
    0xff82302e,
    0xffd2b8dc,
    0xffceccd1,
    0xffbf8d74,
    0xffb76351,
    0xff9e5944,
    0xff9d4f3a,
    0xff976365,
    0xffc3adc9,
    0xffbdbed7,
    0xffb9b7e1,
    0xffc9c5d5,
    0xff70362f,
    0xff855b5b,
    0xffd2c6e8,
    0xffc5c5ee,
    0xffb2c0ed,
    0xffcaceff,
    0xffa1a2b9,
    0xff514f48,
    0xff9194b5,
    0xffbdc5ff,
    0xffb4bcec,
    0xffb8bae0,
    0xffb4b2e2,
    0xffb0b5e6,
    0xffaebbe3,
    0xffb6bfe3,
    0xffc5c9ed,
    0xffc3c9eb,
    0xffc9cff0,
    0xffc4caea,
    0xffc5cbeb,
    0xffc4caec,
    0xffc2c7e9,
    0xffbcc3e7,
    0xffbdc5e9,
    0xffbec4e8,
    0xffc3caed,
    0xffbfc3e8,
    0xffc7cbf0,
    0xffc2c6ec,
    0xffbbbee1,
    0xffb9c3e9,
    0xffc5c7e6,
    0xffccbfe9,
    0xffc5cdf0,
    0xffd6cfe8,
    0xffcad3e5,
    0xffcccdef,
    0xffced4f1,
    0xffced9f2,
    0xffccd6e7,
    0xffe9dff9,
    0xff756c8e,
    0xffffffff,
    0xffb6999a,
    0xff3e0d1a,
    0xffb494a7,
    0xffcacce1,
    0xffb8c1de,
    0xffcec7eb,
    0xffb0b2de,
    0xffbbc2e0,
    0xffc4c7e5,
    0xffaebae8,
    0xffbfc4e4,
    0xffb7c1e3,
    0xffb3bee0,
    0xffbdc5e9,
    0xffbcc4ea,
    0xffbabee7,
    0xffb1b8e2,
    0xffb1b8e4,
    0xffb0b7e5,
    0xffb1b8ed,
    0xffaeb5ec,
    0xffadb7ee,
    0xffaab3ec,
    0xffa6b1eb,
    0xffacb7f4,
    0xffa6b2ef,
    0xff9fade9,
    0xffa2b1ea,
    0xffa4b2eb,
    0xff9faee7,
    0xff9eade5,
    0xff9dace5,
    0xff9dace6,
    0xff9dace5,
    0xff99a8e1,
    0xff99a9e6,
    0xff99a9e5,
    0xff9aa9e7,
    0xff96a9e6,
    0xff91a3e0,
    0xff8ca1e0,
    0xff879bda,
    0xff8b9fde,
    0xff92a2dd,
    0xff99aae5,
    0xff98a7e0,
    0xff9ca9e0,
    0xffa1ace2,
    0xff93a0d3,
    0xffa7b1e4,
    0xffabb6e5,
    0xffaebbdd,
    0xffb7bfe4,
    0xffbabfe4,
    0xffafb7d9,
    0xffa4afcf,
    0xff9eadcb,
    0xffa3aecc,
    0xffa8aecf,
    0xffb4bbd8,
    0xffb6bddb,
    0xffb9beda,
    0xffbdc0dd,
    0xffbcc0dd,
    0xffb7bad8,
    0xffafb5d2,
    0xffbbbfde,
    0xffc3c8e4,
    0xffc7cbeb,
    0xffbfc3e7,
    0xffb2b8e0,
    0xffafb7e0,
    0xffa6add6,
    0xffbfc5ef,
    0xffb1b7df,
    0xffb8c8e5,
    0xffc0bfe0,
    0xffc4b3db,
    0xffbfc1e2,
    0xffd7dae8,
    0xffdda8a8,
    0xffb54940,
    0xffc14733,
    0xffd55e2d,
    0xffc35411,
    0xffd9928b,
    0xffc5aad6,
    0xff96a1c6,
    0xff9a9fbd,
    0xffa08399,
    0xff77686f,
    0xffae99b4,
    0xffc6848b,
    0xff9d2319,
    0xffa90c0c,
    0xffa40112,
    0xffad101e,
    0xffc7262b,
    0xffc61e22,
    0xffd45244,
    0xffd5564b,
    0xffd0554c,
    0xffb53427,
    0xffc23723,
    0xffd2432e,
    0xffd3523c,
    0xffcc6449,
    0xff895139,
    0xff403317,
    0xff3d4831,
    0xff343f2a,
    0xff313920,
    0xff384422,
    0xff3f381d,
    0xff50291c,
    0xff633228,
    0xff512f20,
    0xff443925,
    0xff3b3d28,
    0xff3d3f2d,
    0xff333220,
    0xff463e24,
    0xff342505,
    0xff9e5131,
    0xffca6f4e,
    0xffcd5f3e,
    0xffdc5a39,
    0xffd04325,
    0xffd45633,
    0xffc46237,
    0xffa15927,
    0xff6b4d26,
    0xff493616,
    0xff393419,
    0xff60624a,
    0xff262910,
    0xff171902,
    0xff252c15,
    0xff2a371e,
    0xff3b3e1a,
    0xff4b4f24,
    0xff545523,
    0xff5c5b25,
    0xff595525,
    0xff4f471b,
    0xff483c14,
    0xff51461e,
    0xff372d11,
    0xff7c755c,
    0xff6f6756,
    0xff423d25,
    0xff454620,
    0xff444518,
    0xff404214,
    0xff3c3d13,
    0xff383b14,
    0xff2b2d14,
    0xff2d311a,
    0xff323612,
    0xff333507,
    0xff393508,
    0xff453e0c,
    0xff51490b,
    0xff554604,
    0xff564808,
    0xff4a3d04,
    0xff493d09,
    0xff4b3e0c,
    0xff534712,
    0xff594d11,
    0xff574a0b,
    0xff504c10,
    0xff4f4917,
    0xff46411b,
    0xff36381b,
    0xff1f2a12,
    0xff1e2a14,
    0xff21210e,
    0xff463d29,
    0xff51503a,
    0xff7d817c,
    0xffece3df,
    0xff3f3424,
    0xff10140b,
    0xff141912,
    0xff17160b,
    0xff131e0e,
    0xff1b1c0a,
    0xff21200b,
    0xff2d2814,
    0xff342c17,
    0xff392e17,
    0xff2f2810,
    0xff28220c,
    0xff24230d,
    0xff251e09,
    0xff2f230e,
    0xff2f1e08,
    0xff30200a,
    0xff35240e,
    0xff3a2a0e,
    0xff3e2b04,
    0xff453202,
    0xff4c4608,
    0xff524a13,
    0xff56471a,
    0xff4a3803,
    0xff4f3500,
    0xff4f2500,
    0xffa5652e,
    0xffffbb64,
    0xfff3b04a,
    0xffbc8313,
    0xffffd42b,
    0xfff7c206,
    0xffeab008,
    0xffecbf11,
    0xffface1a,
    0xffb07112,
    0xff4f1900,
    0xff753e1f,
    0xff93611a,
    0xffdeab32,
    0xffb77305,
    0xffb06602,
    0xffb46909,
    0xff934906,
    0xff893a10,
    0xffa45310,
    0xffd2802c,
    0xffea9e47,
    0xffc36d22,
    0xffd87231,
    0xffd07025,
    0xffb45f10,
    0xffb85125,
    0xff830100,
    0xff991102,
    0xffc23e27,
    0xff820201,
    0xff99321c,
    0xff9b4b04,
    0xffde8824,
    0xffb6590b,
    0xff751c05,
    0xff710a03,
    0xffb04330,
    0xff841f12,
    0xff9c3b1e,
    0xffa63e13,
    0xff871400,
    0xffa8480a,
    0xffcc8011,
    0xffce9114,
    0xffba800a,
    0xffc58908,
    0xffb87d00,
    0xffda9f19,
    0xffd19a17,
    0xffae8026,
    0xff8e5519,
    0xff85380e,
    0xffba6720,
    0xffc17a0e,
    0xffa86205,
    0xffffc478,
    0xff3b1600,
    0xff764717,
    0xffa86c0e,
    0xffa86300,
    0xffa56703,
    0xff925d05,
    0xffbe8349,
    0xffab7436,
    0xff8f6608,
    0xff441b00,
    0xff3b1f11,
    0xff211301,
    0xff2f0904,
    0xff8b614a,
    0xff7b7e65,
    0xffa8b9b7,
    0xff463a32,
    0xff070d08,
    0xff121015,
    0xff342928,
    0xff645a5d,
    0xff443d49,
    0xffd2ccbc,
    0xff564314,
    0xff5f3d12,
    0xff7b5516,
    0xffca9240,
    0xffbd7e18,
    0xffddba33,
    0xffc0ae6c,
    0xff584b3e,
    0xffded3d3,
    0xffbcb9c5,
    0xff560209,
    0xff530508,
    0xff520509,
    0xff55030a,
    0xff5a060e,
    0xff4f030d,
    0xff520915,
    0xff6a262f,
    0xff3c2734,
    0xff332c33,
    0xff293033,
    0xff233538,
    0xff263f47,
    0xff253d48,
    0xff283d45,
    0xff304243,
    0xff263a31,
    0xff2b4034,
    0xff304535,
    0xff2f4234,
    0xff2f3f34,
    0xff313f36,
    0xff2a3729,
    0xff313d2e,
    0xff2a3925,
    0xff33402d,
    0xff33402d,
    0xff3c4a38,
    0xff3d4a35,
    0xff404833,
    0xff454f37,
    0xff485138,
    0xff495436,
    0xff495439,
    0xff49553d,
    0xff425137,
    0xff45553a,
    0xff46583c,
    0xff45573b,
    0xff44583a,
    0xff46593f,
    0xff47563b,
    0xff4b593c,
    0xff4a573b,
    0xff4a593b,
    0xff44543a,
    0xff40523b,
    0xff3a4e39,
    0xff304837,
    0xff2d4635,
    0xff2e4534,
    0xff2b4234,
    0xff2d4237,
    0xff30463b,
    0xff334640,
    0xff32463f,
    0xff33493d,
    0xff31463e,
    0xff304642,
    0xff2a4241,
    0xff294249,
    0xff2b4754,
    0xff214053,
    0xff214258,
    0xff294b57,
    0xff4d6f7f,
    0xff25465e,
    0xff3a5a79,
    0xff305171,
    0xff34547a,
    0xff325280,
    0xff37578b,
    0xff3e6192,
    0xff3f6192,
    0xff3d5e90,
    0xff3b5a8c,
    0xff3a588a,
    0xff3b5a8c,
    0xff375688,
    0xff48699a,
    0xff3b6796,
    0xff376491,
    0xff3b678f,
    0xff3d658b,
    0xff2d5479,
    0xff2d5478,
    0xff2d5378,
    0xff2a5175,
    0xff405d7c,
    0xff4d6170,
    0xff461a24,
    0xfff58b96,
    0xffc6545a,
    0xff6c0001,
    0xff760509,
    0xff5a0000,
    0xff813740,
    0xff5b4f47,
    0xff495040,
    0xff574639,
    0xff5e4031,
    0xff5f3726,
    0xff673427,
    0xff662f23,
    0xff7b3026,
    0xff89372f,
    0xff822924,
    0xff7e1716,
    0xffbb333e,
    0xffc41833,
    0xffbf0123,
    0xffc30327,
    0xffb90324,
    0xffbf0728,
    0xffc3082e,
    0xffc70d30,
    0xffbf0b2a,
    0xffb80e27,
    0xffa00015,
    0xffc62b3a,
    0xffd02b32,
    0xffb70d13,
    0xffbd0000,
    0xfff4381d,
    0xffd83510,
    0xff9a0300,
    0xff940000,
    0xff8e0802,
    0xff750200,
    0xff700000,
    0xff6d0000,
    0xff690000,
    0xff7c0001,
    0xffa3020c,
    0xffb90710,
    0xffab0001,
    0xff960000,
    0xffda3f33,
    0xffcc3126,
    0xffbc2517,
    0xffd34030,
    0xffd2402b,
    0xffc32b12,
    0xffd4391e,
    0xffea5834,
    0xffd23f1f,
    0xffcf3d22,
    0xffd03c26,
    0xffd03b28,
    0xffbf392c,
    0xffa3332c,
    0xff832621,
    0xff9a3645,
    0xff913e4a,
    0xff793941,
    0xff8f6261,
    0xff3e3025,
    0xff313d2d,
    0xff394d43,
    0xff363f40,
    0xff293f3a,
    0xff314741,
    0xff394e43,
    0xff3f5245,
    0xff3b4a3d,
    0xff404d40,
    0xff3f483b,
    0xff313a2c,
    0xff39453a,
    0xff40504c,
    0xff364847,
    0xff2c3c3a,
    0xff3b433a,
    0xff44473f,
    0xff434949,
    0xff424a52,
    0xff364a5a,
    0xff33475b,
    0xff374c67,
    0xff2d4667,
    0xff2b476b,
    0xff2f4e73,
    0xff314f76,
    0xff325078,
    0xff3d5b9b,
    0xff3a5c9c,
    0xff4364a8,
    0xff5172b8,
    0xff5c7fca,
    0xff5b7ecb,
    0xff5477c5,
    0xff5476c6,
    0xff5378be,
    0xff527ac3,
    0xff547bc8,
    0xff557bc6,
    0xff5d7fc7,
    0xff5a7cc0,
    0xff577abf,
    0xff557dc2,
    0xff4574c4,
    0xff4571bd,
    0xff4870b6,
    0xff5d82c6,
    0xff557bbc,
    0xff4c73b8,
    0xff436db7,
    0xff4371be,
    0xff4e78c5,
    0xff517ac8,
    0xff547dcb,
    0xff557dcc,
    0xff537ecc,
    0xff517dcb,
    0xff5581cf,
    0xff5985d3,
    0xff5986d1,
    0xff5b87d2,
    0xff5b89d3,
    0xff618ddc,
    0xff6b97e2,
    0xff6992dc,
    0xff688eda,
    0xff6f94dd,
    0xff6996e0,
    0xff6a97e2,
    0xff6895e2,
    0xff6b99e6,
    0xff6b98e5,
    0xff6a95e1,
    0xff6893dd,
    0xff688ed9,
    0xff719adf,
    0xff769add,
    0xff829dde,
    0xff7f97d5,
    0xff8298d6,
    0xff97a9e7,
    0xff93a0dc,
    0xff959fd9,
    0xff929fcf,
    0xff95a3d5,
    0xff96a3da,
    0xff96a3d8,
    0xff95a3d5,
    0xff9aa8d5,
    0xff9badd9,
    0xff9babda,
    0xff9ba0d1,
    0xff8796c6,
    0xff7c88b7,
    0xff858abc,
    0xff8292c7,
    0xff7b90c2,
    0xff9884a1,
    0xffda8e94,
    0xffa73823,
    0xffe07254,
    0xffa53b36,
    0xffe59bb3,
    0xff79243f,
    0xff90131b,
    0xff8f1516,
    0xff740018,
    0xffb587ab,
    0xffb1b1cf,
    0xffbcb4e0,
    0xffadb8e2,
    0xffa4a9d2,
    0xff9eaed0,
    0xff9daacf,
    0xffa3a1c9,
    0xffbeaec7,
    0xff943236,
    0xffa72c18,
    0xff992d1a,
    0xffa32726,
    0xffa02616,
    0xffc1632a,
    0xffb75e0d,
    0xffea9c20,
    0xfff3a318,
    0xfff59a1c,
    0xffe17714,
    0xffe0671a,
    0xffaf431a,
    0xffc88681,
    0xffdfc2c9,
    0xffd8a499,
    0xffb65b4d,
    0xff9e5c3f,
    0xff905440,
    0xffc4a2b5,
    0xffbfb3da,
    0xffc3c7e0,
    0xffbdc0f0,
    0xffb5c6e4,
    0xff8d6378,
    0xff93799f,
    0xffbcc1f6,
    0xffaab9e2,
    0xffa6bfef,
    0xffaabcff,
    0xffc3cbff,
    0xff8185a5,
    0xff575d7d,
    0xffaab3db,
    0xffa7b1e3,
    0xffa3ace6,
    0xffaab3e9,
    0xffb3bdee,
    0xffafbbea,
    0xffb6bde9,
    0xffafb7e1,
    0xffb7bce4,
    0xffb4bae0,
    0xffb9bfe3,
    0xffbac1e5,
    0xffbabde3,
    0xffc2c6ec,
    0xffbec8ec,
    0xffb7c2e5,
    0xffbec6eb,
    0xffc1caee,
    0xffc0c6ea,
    0xffccd2f3,
    0xffd6dafc,
    0xffc5c9ed,
    0xffc7c6ee,
    0xffc9c5e8,
    0xffc8caed,
    0xffc5caea,
    0xffd0c6dd,
    0xffbccbdf,
    0xffb5cbe6,
    0xffccd5ee,
    0xffc6c5dd,
    0xffcfd3e8,
    0xffccd0e4,
    0xffded9ed,
    0xff7d6a7e,
    0xff775f73,
    0xffd2bed3,
    0xff9e9ab6,
    0xffc6d0eb,
    0xffc4c8e1,
    0xffb4a1c3,
    0xffc0b6e6,
    0xffbdc8e5,
    0xffb6c9de,
    0xffc0cffa,
    0xffc2c4e8,
    0xffbec8ea,
    0xffbfc9ec,
    0xffbdc5e8,
    0xffbac2e6,
    0xffb9c1e9,
    0xffb2b9e5,
    0xffa7b0de,
    0xffabb5e5,
    0xffa6ade3,
    0xff9fa9e0,
    0xff9ea7de,
    0xff99a4dd,
    0xff95a2db,
    0xff94a2dc,
    0xff899bd4,
    0xff8797d3,
    0xff8394d0,
    0xff8394cf,
    0xff8595d1,
    0xff8a9ad6,
    0xff8797d3,
    0xff8b9cd4,
    0xff8ea0d8,
    0xff8f9fd7,
    0xff919edc,
    0xff909cda,
    0xff8d99d7,
    0xff8b9ad6,
    0xff8794d3,
    0xff8292d1,
    0xff8998d7,
    0xff8698d4,
    0xff8a9bd1,
    0xff8f9ed4,
    0xff95a5da,
    0xff94a2d2,
    0xff939fcf,
    0xff9ea8d5,
    0xff9eaad5,
    0xffa1aed6,
    0xffabb8d9,
    0xffaeb9d9,
    0xffb3b9db,
    0xffaeb7d8,
    0xffa7b3d4,
    0xffabb9d6,
    0xffb0bbd8,
    0xffa5afce,
    0xffa6abcc,
    0xffb3bad8,
    0xffbfc4e2,
    0xffc0c5e4,
    0xffc1c6e7,
    0xffbfc6e6,
    0xffbfc7ea,
    0xffc1c8ee,
    0xffbdc7f1,
    0xffb7c2ee,
    0xffabb5e7,
    0xffa1acde,
    0xff9faadd,
    0xff9aa6d9,
    0xff9aa4d4,
    0xff9ba6d4,
    0xffa1aed3,
    0xffadb1e1,
    0xffc0a9e5,
    0xffa3b4d7,
    0xffb1becc,
    0xffb97680,
    0xffb5523c,
    0xffc95d28,
    0xffe26920,
    0xffc06330,
    0xffd0b4c4,
    0xffaeaed9,
    0xffadb4d0,
    0xffaab0d0,
    0xffcabed5,
    0xff716064,
    0xffd7a4bb,
    0xffa7484b,
    0xffa20e0b,
    0xffb90f17,
    0xffb21323,
    0xffc7363f,
    0xffc73134,
    0xffbf1d20,
    0xffd4423d,
    0xffda5450,
    0xffd34f4a,
    0xffd03932,
    0xffcc2b1f,
    0xffcf3623,
    0xffd24a36,
    0xffcd5441,
    0xffaa5c48,
    0xff826954,
    0xff5a6754,
    0xff3e4f3f,
    0xff3e4631,
    0xff3e4a27,
    0xff444322,
    0xff594128,
    0xff533c22,
    0xff573823,
    0xff553623,
    0xff463123,
    0xff413727,
    0xff4a3b24,
    0xff4d2606,
    0xffb6714c,
    0xffd04a23,
    0xffc6431b,
    0xffce4e2c,
    0xffd45134,
    0xffd85036,
    0xffd15331,
    0xffd26538,
    0xffbd6933,
    0xff7f5a35,
    0xff4b3a1a,
    0xff3b3b21,
    0xff3f4933,
    0xff343c24,
    0xff292d15,
    0xff2e3420,
    0xff374231,
    0xff494e33,
    0xff505530,
    0xff484d20,
    0xff4e4e1d,
    0xff545020,
    0xff494317,
    0xff433a11,
    0xff372c04,
    0xff3c340d,
    0xff777153,
    0xff534c37,
    0xff87836e,
    0xff3e3a1c,
    0xff302f06,
    0xff424014,
    0xff353208,
    0xff2e3209,
    0xff26290e,
    0xff2b2e14,
    0xff343a12,
    0xff393a0a,
    0xff3f3c0d,
    0xff47410e,
    0xff52490d,
    0xff4f440d,
    0xff4d410d,
    0xff4b410f,
    0xff453d0c,
    0xff433b09,
    0xff473b09,
    0xff4c3f06,
    0xff4c3d04,
    0xff484103,
    0xff423804,
    0xff3c320a,
    0xff2c2c0b,
    0xff1f2910,
    0xff1e2a11,
    0xff20200a,
    0xff564834,
    0xff161300,
    0xff040701,
    0xffe3ddd5,
    0xff1a1401,
    0xff151d12,
    0xff111813,
    0xff1d1b0f,
    0xff1a1f13,
    0xff1b1e12,
    0xff1f2012,
    0xff241f0e,
    0xff261e0b,
    0xff261d0b,
    0xff231c09,
    0xff24200e,
    0xff242311,
    0xff2c2815,
    0xff352a16,
    0xff32220b,
    0xff37240e,
    0xff35260c,
    0xff44361b,
    0xff413613,
    0xff43350d,
    0xff54420b,
    0xff553f07,
    0xff51370e,
    0xff513715,
    0xff4f3c10,
    0xff4b370a,
    0xff422400,
    0xff9a7835,
    0xff3f1200,
    0xff965d14,
    0xffffcf3c,
    0xffffe54d,
    0xffbf9112,
    0xffffd330,
    0xfffad153,
    0xff411b00,
    0xff2a1808,
    0xff290400,
    0xffb98047,
    0xffb87112,
    0xffbd6c0e,
    0xffc37113,
    0xffc67915,
    0xffbe6f23,
    0xffc16b22,
    0xffbc5f22,
    0xffd78031,
    0xffd48126,
    0xfff69939,
    0xfff68730,
    0xffe96f28,
    0xffc45110,
    0xff93220b,
    0xff8f0306,
    0xff970f07,
    0xff941903,
    0xffc55038,
    0xff700a00,
    0xff97481b,
    0xffc67814,
    0xffcc811b,
    0xff743002,
    0xff782a1b,
    0xff77140e,
    0xff831c13,
    0xff8e230d,
    0xffb73c1a,
    0xffb03116,
    0xff771000,
    0xffca791a,
    0xffb37100,
    0xffba8107,
    0xffc4880c,
    0xffa96900,
    0xffb37900,
    0xfff8c034,
    0xffd88d18,
    0xffba7510,
    0xffb06612,
    0xff8a4500,
    0xffca8d22,
    0xff974f00,
    0xff92532e,
    0xff230b00,
    0xff482d0d,
    0xff703c00,
    0xffbe7818,
    0xffaf6903,
    0xffb2721e,
    0xff743500,
    0xffffd393,
    0xffb18a37,
    0xff8e6729,
    0xff2d1402,
    0xff0d1909,
    0xff060405,
    0xff4f2f19,
    0xff635d5b,
    0xff94acb1,
    0xff736c6e,
    0xff000000,
    0xff161315,
    0xff0b0302,
    0xff625f5a,
    0xff000000,
    0xfff1f3f4,
    0xff948e88,
    0xff201107,
    0xff4e3413,
    0xffb7813e,
    0xff9e5a14,
    0xff845500,
    0xffc6ab82,
    0xff5a4c4d,
    0xfffff5ff,
    0xffb0a7bf,
    0xff560009,
    0xff4e0604,
    0xff4c0703,
    0xff510207,
    0xff4f030e,
    0xff4a0713,
    0xff4b050c,
    0xff6d1a20,
    0xff954349,
    0xff8a4544,
    0xff663931,
    0xff3e2e25,
    0xff242722,
    0xff212f2d,
    0xff263832,
    0xff273b2f,
    0xff1e3827,
    0xff263f29,
    0xff2b442e,
    0xff29402c,
    0xff2a3e2e,
    0xff2a3c2d,
    0xff2d3e30,
    0xff324130,
    0xff2e3c2b,
    0xff2d3b2b,
    0xff344232,
    0xff384336,
    0xff3b4937,
    0xff404c38,
    0xff414d35,
    0xff445237,
    0xff49523e,
    0xff46523d,
    0xff485441,
    0xff455443,
    0xff445442,
    0xff40543f,
    0xff3c523c,
    0xff3d543c,
    0xff405544,
    0xff445847,
    0xff465746,
    0xff4a5a49,
    0xff465547,
    0xff3f5245,
    0xff3e544a,
    0xff3c544d,
    0xff334e4e,
    0xff365152,
    0xff385254,
    0xff344c51,
    0xff344a53,
    0xff394e58,
    0xff3c505d,
    0xff3b505d,
    0xff3a525e,
    0xff354e5d,
    0xff324d60,
    0xff3a5470,
    0xff314e71,
    0xff2f507c,
    0xff35598b,
    0xff385e94,
    0xff3e649a,
    0xff31568e,
    0xff4c71a8,
    0xff375f90,
    0xff38618a,
    0xff3b668c,
    0xff366288,
    0xff345f87,
    0xff39608e,
    0xff315784,
    0xff305580,
    0xff31547f,
    0xff3f6288,
    0xff3a5d80,
    0xff2f5475,
    0xff315677,
    0xff264461,
    0xff2f4c65,
    0xff314b5d,
    0xff2e4553,
    0xff2a4249,
    0xff294144,
    0xff263b3b,
    0xff273c3d,
    0xff283d44,
    0xff303431,
    0xff6e3735,
    0xff92212a,
    0xff6d0005,
    0xff6d0512,
    0xff530004,
    0xff8b4449,
    0xff794a42,
    0xff4d3928,
    0xff6a3d32,
    0xff8e2629,
    0xff951217,
    0xff9a0c10,
    0xff9d0b13,
    0xff961116,
    0xff94040b,
    0xff94080f,
    0xff88040e,
    0xff9b1222,
    0xffb20a23,
    0xffbd0122,
    0xffc40724,
    0xffc00623,
    0xffbc0524,
    0xffbb0123,
    0xffc2082a,
    0xffc71131,
    0xffbd132f,
    0xff9b0011,
    0xff92020f,
    0xff8d020e,
    0xffa00512,
    0xffb5070d,
    0xffbc000c,
    0xffa20518,
    0xff6d0000,
    0xff8b0a02,
    0xffd03932,
    0xff850001,
    0xff5f0001,
    0xff610001,
    0xff630105,
    0xff5f0102,
    0xff730002,
    0xff990307,
    0xffa90705,
    0xff990100,
    0xffcf362f,
    0xffee5551,
    0xff9d0502,
    0xff910000,
    0xffa00906,
    0xffc93029,
    0xffbb1812,
    0xffc21a12,
    0xffd33219,
    0xffda4021,
    0xffde4b23,
    0xffdf5225,
    0xffc6431b,
    0xffbf4e31,
    0xff993d30,
    0xff7f3739,
    0xff603335,
    0xff622e34,
    0xff85424d,
    0xff8f4854,
    0xff562a2f,
    0xff52524c,
    0xff41524e,
    0xff3b454c,
    0xff3e5862,
    0xff445963,
    0xff41535c,
    0xff4f5b60,
    0xff494e4c,
    0xff4f4d45,
    0xff504a3e,
    0xff958d81,
    0xff626962,
    0xff354043,
    0xff324451,
    0xff334b58,
    0xff2e4450,
    0xff3c5467,
    0xff3c5976,
    0xff30557c,
    0xff3b5b7c,
    0xff47668d,
    0xff4d6d9f,
    0xff4d70aa,
    0xff4f74b5,
    0xff4d73b7,
    0xff567bbf,
    0xff5a84c6,
    0xff5382c0,
    0xff6393d1,
    0xff5d8dce,
    0xff5e8ed1,
    0xff5e90d8,
    0xff5d8eda,
    0xff5e92df,
    0xff5f92de,
    0xff6b98e5,
    0xff6595e5,
    0xff5e90e3,
    0xff6294e7,
    0xff6393e4,
    0xff5f90df,
    0xff598ddc,
    0xff5388dc,
    0xff5988db,
    0xff5d87d7,
    0xff6086d0,
    0xff80a4e9,
    0xff7194d9,
    0xff648bd5,
    0xff6b94e4,
    0xff608de1,
    0xff638ce4,
    0xff6791e6,
    0xff6590e3,
    0xff6591e2,
    0xff6795e3,
    0xff6696e2,
    0xff6194dc,
    0xff669ae2,
    0xff6795df,
    0xff6392dc,
    0xff6190dd,
    0xff5f8fdb,
    0xff5a89d3,
    0xff5a86cf,
    0xff6991d9,
    0xff6f95df,
    0xff608fdb,
    0xff598ad5,
    0xff5b8bd9,
    0xff5e8edb,
    0xff5e8eda,
    0xff6795e2,
    0xff6b98e2,
    0xff729be5,
    0xff789ee6,
    0xff83a3e8,
    0xff90aae8,
    0xff96abe3,
    0xff9cb3e8,
    0xffa5b9e8,
    0xffb7c6f2,
    0xffb5c2ea,
    0xffb3bfed,
    0xffa9b6e7,
    0xff9fabde,
    0xffa6b2e4,
    0xffa2b0db,
    0xff90a0c8,
    0xff8998bd,
    0xff8b99c1,
    0xff92a0c6,
    0xff8898bf,
    0xff98a4c7,
    0xff8d95ba,
    0xff849bc7,
    0xff85a0c5,
    0xffb8a1ae,
    0xffa14634,
    0xffc15037,
    0xff9e412e,
    0xffa34b5f,
    0xffbe98c3,
    0xffb5a5c5,
    0xff783f4f,
    0xff55141e,
    0xffa9718a,
    0xffc1c3de,
    0xffb1b5d3,
    0xffb6a2ce,
    0xff9db0cf,
    0xff9fabc7,
    0xff97acc1,
    0xff99abc2,
    0xffbaaecf,
    0xffa27a89,
    0xffa0202d,
    0xffac2520,
    0xff8b3325,
    0xff8b3632,
    0xffb25548,
    0xffa95a29,
    0xffac590d,
    0xffea9312,
    0xffe89415,
    0xffee8e12,
    0xfff08c19,
    0xffe98024,
    0xffba4200,
    0xff922803,
    0xffffbfcb,
    0xffe2b6c6,
    0xffae4e45,
    0xffab5736,
    0xff884c42,
    0xffaa98c9,
    0xff7680cb,
    0xff809dd2,
    0xff7892d7,
    0xff7c90d9,
    0xff9273a8,
    0xff8077af,
    0xff738dcc,
    0xff7493c8,
    0xff7398d8,
    0xff708fdd,
    0xff7588c6,
    0xff7e87d7,
    0xff515b7c,
    0xff5e6972,
    0xff8f99c1,
    0xff909fe7,
    0xff7e95d6,
    0xff8fa1d0,
    0xff9ca7d5,
    0xffa3aad9,
    0xffaeb4e4,
    0xffb3b9e6,
    0xffbbc0eb,
    0xffb9bee7,
    0xffb9bce4,
    0xffbfc2eb,
    0xffb8bce5,
    0xffb5c1e9,
    0xffb6c3ea,
    0xffb7c1e6,
    0xffb6bee2,
    0xffbac3e7,
    0xffbdc4e6,
    0xffbdc5e7,
    0xffc1c5e9,
    0xffc7c9f0,
    0xffbfcae4,
    0xffc6cdf0,
    0xffcad1f5,
    0xffc7ccee,
    0xffcad1fb,
    0xffcbcbf9,
    0xffd9d3f1,
    0xffd9cbe6,
    0xffd6cdeb,
    0xffccd6ea,
    0xfff5fafa,
    0xff978899,
    0xff797496,
    0xff6e6e8e,
    0xffbeb2d8,
    0xffa5a2c7,
    0xff9392b1,
    0xffb3b5d6,
    0xffafb5e8,
    0xffacbbda,
    0xffb3c1d8,
    0xffb2b6eb,
    0xffb9b8e8,
    0xffb1b9e2,
    0xffadb6df,
    0xffb4bbe7,
    0xffb5b9e5,
    0xffacb3e2,
    0xffa5addf,
    0xffa5ade3,
    0xff9aa5dd,
    0xff9ba2d8,
    0xff9ea7dc,
    0xff9aa6dd,
    0xff9aa6db,
    0xff9aa7dd,
    0xff99aadf,
    0xff98aade,
    0xff98abe1,
    0xff98aae6,
    0xff97a8e6,
    0xff9aace6,
    0xff9eb1ec,
    0xff95a7e0,
    0xff9aaae4,
    0xff99a8e0,
    0xff9baae2,
    0xffa2ace0,
    0xffa2abdf,
    0xffa7b0e3,
    0xffa4afe2,
    0xffa4afe3,
    0xffa8b6ea,
    0xffa2b0e5,
    0xff9daae1,
    0xff9cacde,
    0xff98a8d8,
    0xff9aaad8,
    0xff99a8d3,
    0xff929ec8,
    0xff8f9bc1,
    0xff8c99bc,
    0xff8a93b5,
    0xff8894bc,
    0xff8890b9,
    0xff868eb7,
    0xff7d86ae,
    0xff838eb7,
    0xff7986ae,
    0xff8c96c0,
    0xff9fa7d4,
    0xffadb1de,
    0xffafb4df,
    0xffb6b9e4,
    0xffb8bce8,
    0xffb6bbe8,
    0xffb9c0f1,
    0xffa3acdd,
    0xff9aa4d7,
    0xff98a6dc,
    0xff8c9cd2,
    0xff8899d2,
    0xff8c9fdc,
    0xff91a2df,
    0xff8ea0d9,
    0xff98a7de,
    0xff9ba9de,
    0xff9ca3db,
    0xff8ca2de,
    0xff96a0e0,
    0xff88a4d3,
    0xffa8a1d3,
    0xffb67cb0,
    0xffcf9ca7,
    0xffc87057,
    0xffd8651d,
    0xffbd7b6f,
    0xff8f96c9,
    0xff848dbf,
    0xff9d8fb8,
    0xff9692bf,
    0xff8c84a1,
    0xff907689,
    0xff824c52,
    0xff912e28,
    0xffaa1514,
    0xffc01523,
    0xffd12f37,
    0xffd0363a,
    0xffd42e38,
    0xffca1723,
    0xffbc1c24,
    0xffde4f4f,
    0xffce433e,
    0xffca3a2f,
    0xffca3f2e,
    0xffae4629,
    0xff944d28,
    0xff7c421c,
    0xff674821,
    0xff684e38,
    0xff97837b,
    0xff7c726c,
    0xff595343,
    0xff363517,
    0xff5f5936,
    0xff4a411f,
    0xff354216,
    0xff403615,
    0xff522d18,
    0xff563023,
    0xff4a3322,
    0xff4e2912,
    0xff994527,
    0xffce502e,
    0xffc94627,
    0xffd4552e,
    0xffdb5e2f,
    0xffd45529,
    0xffd85e3a,
    0xffb9553a,
    0xff803b27,
    0xff491e0e,
    0xff352714,
    0xff222717,
    0xff132a1c,
    0xff0b271a,
    0xff0e2211,
    0xff1e2714,
    0xff212518,
    0xff282c22,
    0xff2b3628,
    0xff29371e,
    0xff424c2a,
    0xff3f471f,
    0xff3f441d,
    0xff4d4e2c,
    0xff4b4929,
    0xff433f1e,
    0xff4b441d,
    0xff3d370e,
    0xff443f1a,
    0xff3f391c,
    0xff777059,
    0xffa39c84,
    0xff544f2a,
    0xff504b1a,
    0xff454b1e,
    0xff3c4021,
    0xff393c21,
    0xff3a3f16,
    0xff464716,
    0xff4d4a1a,
    0xff524a17,
    0xff53490d,
    0xff4f460a,
    0xff534d12,
    0xff4e4a0f,
    0xff4f4c10,
    0xff4c480b,
    0xff514908,
    0xff594f0c,
    0xff5f530d,
    0xff5b5311,
    0xff4f430c,
    0xff514419,
    0xff3c3a19,
    0xff3e4829,
    0xff232e12,
    0xff302e17,
    0xff584a36,
    0xffa5a089,
    0xff3b3b36,
    0xffada9a0,
    0xff7d7c69,
    0xff091508,
    0xff0f1610,
    0xff17160e,
    0xff14150c,
    0xff13190f,
    0xff1a1a11,
    0xff1e190d,
    0xff2e2618,
    0xff241a0b,
    0xff1f1808,
    0xff221d0e,
    0xff211e12,
    0xff211e11,
    0xff271f0d,
    0xff271602,
    0xff261400,
    0xff281902,
    0xff221900,
    0xff231a00,
    0xff272000,
    0xff2a2c04,
    0xff332e00,
    0xff403002,
    0xff43300e,
    0xff402e10,
    0xff311e07,
    0xff39210b,
    0xff2d1300,
    0xff311d09,
    0xff471300,
    0xffa66e23,
    0xff391800,
    0xff220000,
    0xffeabf5c,
    0xff60350e,
    0xff211804,
    0xff1b200f,
    0xff2e1000,
    0xff86420b,
    0xffd67d1c,
    0xffdc801a,
    0xffe39020,
    0xffd17b0f,
    0xffc16107,
    0xffffac43,
    0xffe29a3d,
    0xff682a00,
    0xffae681e,
    0xff8c3c08,
    0xffc36122,
    0xff941900,
    0xffbb2a0d,
    0xffb92e11,
    0xffb12505,
    0xffe47052,
    0xff731200,
    0xff9d3213,
    0xff943019,
    0xff782c01,
    0xffbd7516,
    0xffffc469,
    0xff7c3009,
    0xff450000,
    0xff60110c,
    0xff832725,
    0xff780f0c,
    0xff851008,
    0xff931f12,
    0xffe37d54,
    0xffc37115,
    0xffc17b0b,
    0xffb77309,
    0xffc07d09,
    0xffcf890e,
    0xffca861d,
    0xffa16400,
    0xffbe8217,
    0xffdca82f,
    0xffca8a13,
    0xffd5891f,
    0xffb56611,
    0xffda7b3e,
    0xff641a06,
    0xff2f1d07,
    0xff150800,
    0xff693e12,
    0xffba731e,
    0xffae6200,
    0xffb06813,
    0xff813d00,
    0xff8f570c,
    0xffe2bc77,
    0xffd2ac7e,
    0xff170000,
    0xff0d1903,
    0xff3c4a39,
    0xff110d00,
    0xff090d1b,
    0xff7d8d8e,
    0xffccc9ca,
    0xff69685a,
    0xff0c0d00,
    0xff0f150b,
    0xff353e3a,
    0xff232a23,
    0xff434538,
    0xffd2cec6,
    0xff675e60,
    0xff766258,
    0xffb78652,
    0xff9f5a3a,
    0xff5d2804,
    0xffb0937e,
    0xff61514f,
    0xffd5ccdd,
    0xff98909d,
    0xff4f0406,
    0xff480709,
    0xff47090b,
    0xff4f040b,
    0xff570008,
    0xff550308,
    0xff480e0f,
    0xff36110d,
    0xff361a19,
    0xff441816,
    0xff622827,
    0xff72403c,
    0xff644a45,
    0xff2d2b25,
    0xff212d28,
    0xff20312a,
    0xff1f3a2a,
    0xff213929,
    0xff223927,
    0xff203522,
    0xff293b2a,
    0xff26362a,
    0xff2b362f,
    0xff27342d,
    0xff313e33,
    0xff354133,
    0xff344032,
    0xff3a4535,
    0xff3c4737,
    0xff414e3c,
    0xff404f3a,
    0xff41513c,
    0xff3d4f36,
    0xff3a4d3a,
    0xff3c5140,
    0xff395044,
    0xff3d554d,
    0xff3c5651,
    0xff3c5a52,
    0xff3d5a53,
    0xff3e585b,
    0xff446062,
    0xff426267,
    0xff4b6979,
    0xff4c6a86,
    0xff446384,
    0xff466582,
    0xff43637a,
    0xff3f6079,
    0xff3b5d7a,
    0xff3b5f7f,
    0xff41658c,
    0xff3b5f8b,
    0xff3c5c8a,
    0xff476693,
    0xff486793,
    0xff406288,
    0xff40648e,
    0xff446b98,
    0xff436ea0,
    0xff416da3,
    0xff416ca4,
    0xff406ca6,
    0xff3c66a1,
    0xff376092,
    0xff375e8d,
    0xff274974,
    0xff2a4a6d,
    0xff294865,
    0xff21415a,
    0xff274861,
    0xff305268,
    0xff314965,
    0xff314a64,
    0xff385068,
    0xff2a4357,
    0xff253e4e,
    0xff213e4a,
    0xff24424d,
    0xff1e3d43,
    0xff213c3d,
    0xff263c3e,
    0xff304043,
    0xff314444,
    0xff2a4540,
    0xff29473e,
    0xff2e433e,
    0xff2f3d39,
    0xff264432,
    0xff303e31,
    0xff492f2e,
    0xff512425,
    0xff603533,
    0xff4d1211,
    0xff9a4a4f,
    0xff94504e,
    0xff3d1f0d,
    0xff662c21,
    0xff871e1f,
    0xff8a0009,
    0xff9c030f,
    0xff9a010d,
    0xff9a010d,
    0xff9e0310,
    0xff9f000b,
    0xff970009,
    0xff8c0006,
    0xffcb3644,
    0xffb91327,
    0xffb6001a,
    0xffd3102c,
    0xffd00a27,
    0xffbb051f,
    0xffc50c26,
    0xffca142c,
    0xffc51e34,
    0xff9f1128,
    0xff890a24,
    0xff7b001d,
    0xff80001e,
    0xff84001b,
    0xff930012,
    0xff9b0013,
    0xff8d0d1b,
    0xff790304,
    0xffb01312,
    0xffd72931,
    0xff940a14,
    0xff670207,
    0xff5d0304,
    0xff570100,
    0xff5b0000,
    0xff6e0000,
    0xff8f0000,
    0xff970000,
    0xffc3241f,
    0xffd6332b,
    0xff970000,
    0xff8d0008,
    0xff93000b,
    0xff910009,
    0xff870000,
    0xff8c0000,
    0xffa6050e,
    0xffbf1d11,
    0xffc42e1b,
    0xffdb4822,
    0xffe25c29,
    0xffb85528,
    0xffb06542,
    0xff893f2d,
    0xff85444a,
    0xff69535c,
    0xff68485a,
    0xff9c7374,
    0xff652c26,
    0xff6c353f,
    0xff444544,
    0xff38524a,
    0xff474454,
    0xff39585f,
    0xff3e4d63,
    0xff425371,
    0xff3e5569,
    0xff4f5d64,
    0xff425553,
    0xff435b60,
    0xff4f576c,
    0xff5d7a95,
    0xff416080,
    0xff4d6c94,
    0xff486999,
    0xff4d6fa6,
    0xff5577b3,
    0xff4f73b3,
    0xff557bbe,
    0xff5480cc,
    0xff5a86d2,
    0xff628bd7,
    0xff628dd8,
    0xff6790de,
    0xff6994e1,
    0xff6594e1,
    0xff5f90dd,
    0xff5f92d9,
    0xff6093da,
    0xff6294db,
    0xff6496df,
    0xff6294e0,
    0xff5f91dd,
    0xff6192df,
    0xff5f8fdf,
    0xff588cdd,
    0xff5589d9,
    0xff5589d9,
    0xff6090e1,
    0xff5b8bdc,
    0xff5c8bdc,
    0xff5f8dde,
    0xff5c8bd9,
    0xff5e86d8,
    0xff5f8ad9,
    0xff5b88d7,
    0xff5384d2,
    0xff5888d7,
    0xff5b8bda,
    0xff5583d4,
    0xff5c8bdb,
    0xff628dd8,
    0xff618eda,
    0xff5b8bda,
    0xff5f8fe0,
    0xff6592e1,
    0xff668fda,
    0xff6a97db,
    0xff6695d7,
    0xff6894d9,
    0xff6792d8,
    0xff608cd2,
    0xff5d88ce,
    0xff5c86cd,
    0xff638dd3,
    0xff5e88ce,
    0xff628cd4,
    0xff5e88d3,
    0xff608ed6,
    0xff6293d7,
    0xff6195d6,
    0xff699bdd,
    0xff6796d8,
    0xff6a94db,
    0xff6a91db,
    0xff7294da,
    0xff7d9cdc,
    0xff8ba1dd,
    0xff9eafe1,
    0xffa6b4df,
    0xffa0abd4,
    0xff909ac1,
    0xff99a2c8,
    0xff8693b5,
    0xff8692b7,
    0xff8490b7,
    0xff7e8ab2,
    0xff7380ac,
    0xff727fac,
    0xff7380af,
    0xff6f7aac,
    0xff7480b1,
    0xff8595b9,
    0xff7681a3,
    0xff7c83af,
    0xff7080b0,
    0xff7e8cae,
    0xffac8c94,
    0xff953e33,
    0xffc86552,
    0xff68181c,
    0xffae7f9e,
    0xffa79ac6,
    0xff8e92bc,
    0xff989abc,
    0xffa59abc,
    0xffa793b8,
    0xff969bb9,
    0xff8489a7,
    0xff838bab,
    0xff8995b3,
    0xff8b97b5,
    0xff92a0bb,
    0xff9aa8c2,
    0xffa4aec9,
    0xffaa8ba2,
    0xff94251d,
    0xff982a13,
    0xff88384a,
    0xfffee0ff,
    0xffe3cfe2,
    0xff8f411c,
    0xffa85011,
    0xffd67d21,
    0xfff9a036,
    0xfff87c17,
    0xffe28d26,
    0xffe69a44,
    0xffe16429,
    0xffb84e20,
    0xffbd6f5b,
    0xffdfa4ac,
    0xffa8503b,
    0xff9a4932,
    0xff795d74,
    0xff7c8ed2,
    0xff758edb,
    0xff7992d6,
    0xff6d8dd0,
    0xff7191d5,
    0xff7795d8,
    0xff7492d4,
    0xff7190d2,
    0xff7792d5,
    0xff7b92d4,
    0xff8497dc,
    0xff8698db,
    0xff8ca4de,
    0xffaab5e7,
    0xff6c6587,
    0xff615870,
    0xffafb0d1,
    0xffc0c9fe,
    0xffc2ccff,
    0xff99a0cd,
    0xffc2c8f0,
    0xffc7caed,
    0xffcaceee,
    0xffcbceef,
    0xffc9cdf2,
    0xffc5ccf5,
    0xffbdc7f1,
    0xffbbc9f3,
    0xffaab6e8,
    0xffaab6e9,
    0xff9ea9dc,
    0xffa0abdf,
    0xffa6afe4,
    0xffa4ade1,
    0xffacb5e9,
    0xffaeb8ec,
    0xffb1bbea,
    0xffb0bce8,
    0xffacb4e1,
    0xffacb5e0,
    0xffb3bce5,
    0xffb4bde4,
    0xffb6bde3,
    0xffbac0e3,
    0xffa2a7bb,
    0xffb7b6d0,
    0xffb4b0d4,
    0xffffffff,
    0xffa6a2a9,
    0xff9f9bc3,
    0xffc0c4ea,
    0xffb2b8e6,
    0xffb6bcec,
    0xffaeb6e3,
    0xffadb6e3,
    0xffb0b9e6,
    0xffaeb7e1,
    0xffabb3dd,
    0xffacb5e1,
    0xffadb6e1,
    0xffa9b1e0,
    0xffaab2e0,
    0xffaab4df,
    0xffaeb5e2,
    0xffb2bae4,
    0xffb6bbe8,
    0xffacb1de,
    0xffb3b7e4,
    0xffb4b9e8,
    0xffaeb3e2,
    0xffafb5e3,
    0xffb2bbe8,
    0xffaab4e1,
    0xffacb5e2,
    0xffa8afde,
    0xffadb6e3,
    0xffb9bde9,
    0xffb8bdeb,
    0xffb9c1ee,
    0xffb0b9e6,
    0xffb8c3ed,
    0xffb3bce3,
    0xffaeb5d8,
    0xffa9aed1,
    0xffa6a9d0,
    0xffabafd6,
    0xffadaed6,
    0xffacb0d7,
    0xffabb1d9,
    0xffaab1dc,
    0xffa7b0dd,
    0xffa1add8,
    0xffa1abd8,
    0xff9ea8d6,
    0xff9ba7d2,
    0xff9ca9d5,
    0xff94a1cd,
    0xff95a0cb,
    0xff919dc8,
    0xff98a1cc,
    0xff9eaad3,
    0xffa4b1db,
    0xffa2aeda,
    0xff9eacdb,
    0xff90a0d5,
    0xff94a6df,
    0xff8ea4e0,
    0xff889bd9,
    0xff8b9acf,
    0xff8d9ad0,
    0xff8a9fd6,
    0xff829ad7,
    0xff778fd1,
    0xff6d86c6,
    0xff6d85c1,
    0xff8197cf,
    0xff6278b4,
    0xff6983c1,
    0xff6280c7,
    0xff5b7dc8,
    0xff5e80cc,
    0xff6a87cd,
    0xff7890d0,
    0xff778cc7,
    0xff7b8ace,
    0xff7e8fd5,
    0xff849cdd,
    0xff8397c8,
    0xff8a8bc4,
    0xff9194e3,
    0xff9687b6,
    0xffc37f61,
    0xffc66e2a,
    0xffb18c9a,
    0xff8b8ecd,
    0xff8187bc,
    0xff858cbb,
    0xff928ebc,
    0xffbcacca,
    0xffaea6aa,
    0xff8f6b65,
    0xff8d1924,
    0xffbd2631,
    0xffcb2e2f,
    0xffce3731,
    0xffc93e36,
    0xffd5353a,
    0xffbf0e1e,
    0xffbf1a23,
    0xffd73e43,
    0xffdf4345,
    0xffd14a41,
    0xffd15946,
    0xff963019,
    0xff774622,
    0xff604622,
    0xff412f15,
    0xffe7d7bd,
    0xff40341c,
    0xff4c412b,
    0xff675f4a,
    0xff8c8070,
    0xff604f46,
    0xff64534b,
    0xff2d2b1c,
    0xff2c3720,
    0xff3e3523,
    0xff532c23,
    0xff672c27,
    0xff8f362a,
    0xffd6573d,
    0xffd54d22,
    0xffca4c29,
    0xffd6451c,
    0xffc84216,
    0xffb13c23,
    0xff5d1002,
    0xff2e0f00,
    0xff301b0f,
    0xff2c2920,
    0xff293225,
    0xff202d1f,
    0xff1f2c1e,
    0xff1e2c1e,
    0xff1b2718,
    0xff192413,
    0xff1a2310,
    0xff242b18,
    0xff28311e,
    0xff343d24,
    0xff444b2a,
    0xff4a4f2a,
    0xff434621,
    0xff434020,
    0xff4b452d,
    0xff5f5743,
    0xff393621,
    0xff34321c,
    0xff56533e,
    0xffb4b19a,
    0xff7c7863,
    0xff403d28,
    0xffa3a08c,
    0xffa19f89,
    0xff313812,
    0xff202708,
    0xff272b11,
    0xff2d3013,
    0xff35360c,
    0xff5c5826,
    0xff584e1a,
    0xff4b400b,
    0xff4e520e,
    0xff4c480c,
    0xff4b3f0c,
    0xff473b0b,
    0xff3d3505,
    0xff413b06,
    0xff483c01,
    0xff544205,
    0xff4c4302,
    0xff4e430c,
    0xff40370f,
    0xff363412,
    0xff272d0b,
    0xff2e391a,
    0xff1c2811,
    0xff1d2217,
    0xff0c140d,
    0xff888c86,
    0xff474940,
    0xffffffff,
    0xff040400,
    0xff1e1e16,
    0xff1f201c,
    0xff1e221b,
    0xff242717,
    0xff2a2818,
    0xff352c1a,
    0xff3d2e1d,
    0xff372b14,
    0xff30230c,
    0xff30240d,
    0xff352510,
    0xff3a2c17,
    0xff3a2b13,
    0xff3d290f,
    0xff442f15,
    0xff483115,
    0xff503a17,
    0xff4c390e,
    0xff50410d,
    0xff4e4908,
    0xff554f0c,
    0xff524c0c,
    0xff4a450b,
    0xff45400c,
    0xff3c350a,
    0xff3a310c,
    0xff352a0c,
    0xff342b1d,
    0xff392309,
    0xff2e1900,
    0xff2c1f04,
    0xff2e2005,
    0xff371e02,
    0xff4f3716,
    0xff271908,
    0xff281e0f,
    0xff2f0c00,
    0xffffb860,
    0xffbe6100,
    0xffe07c2e,
    0xffe4881f,
    0xffbe6103,
    0xffbe5d06,
    0xffcc790e,
    0xfff7b44e,
    0xffffd372,
    0xffbf741c,
    0xffc68c38,
    0xffc36f1a,
    0xffc65026,
    0xffd55127,
    0xffcd4b27,
    0xffcd501d,
    0xffdd6138,
    0xffd35548,
    0xff760000,
    0xffcf663b,
    0xffbc5f28,
    0xff782000,
    0xffa64b05,
    0xffac5a26,
    0xff68330a,
    0xff441100,
    0xff6f1925,
    0xff7d1d1d,
    0xff6c0f00,
    0xff861d21,
    0xff7e1b08,
    0xff8e3300,
    0xffb2620c,
    0xffcc861f,
    0xffdb9b1d,
    0xffb27501,
    0xffb67534,
    0xff9b5a19,
    0xffbe7e11,
    0xffda9d1d,
    0xfff2ab25,
    0xffc6771a,
    0xffe59b41,
    0xffa0440d,
    0xff872903,
    0xff520c00,
    0xffa16837,
    0xffb97627,
    0xff9c5300,
    0xffb46f07,
    0xffa25506,
    0xff9e4a10,
    0xff904704,
    0xff9d680a,
    0xffa48039,
    0xfffff6eb,
    0xffbcbbc1,
    0xff959387,
    0xff080100,
    0xff021004,
    0xff5e6c66,
    0xff886c78,
    0xff51514b,
    0xff100f02,
    0xff111206,
    0xff18222e,
    0xff4e5b56,
    0xff181a0b,
    0xffa9a3b3,
    0xff7f8185,
    0xff736160,
    0xff321d14,
    0xff28210a,
    0xff261804,
    0xff676259,
    0xff5c4d59,
    0xffdad7e9,
    0xff9493a2,
    0xff500507,
    0xff4e080d,
    0xff4d0610,
    0xff4d010e,
    0xff50010c,
    0xff480009,
    0xff3b0a0f,
    0xff331817,
    0xff282522,
    0xff1c261c,
    0xff1b2718,
    0xff232118,
    0xff645151,
    0xff726064,
    0xff383c3a,
    0xff1d392d,
    0xff20362a,
    0xff283d30,
    0xff2c4333,
    0xff2e4332,
    0xff374a39,
    0xff314436,
    0xff334236,
    0xff324238,
    0xff32433b,
    0xff304139,
    0xff3a4943,
    0xff37463f,
    0xff384841,
    0xff3a4c44,
    0xff384b42,
    0xff3c5248,
    0xff3b5256,
    0xff3e575f,
    0xff455f6c,
    0xff456173,
    0xff425e72,
    0xff3b5a6f,
    0xff3c5c70,
    0xff43657a,
    0xff426188,
    0xff446488,
    0xff42648d,
    0xff406192,
    0xff40609d,
    0xff3f60a1,
    0xff3b5c9a,
    0xff33568b,
    0xff345b8b,
    0xff3d6494,
    0xff406899,
    0xff3b6391,
    0xff3e6795,
    0xff40688f,
    0xff3d6185,
    0xff375c7d,
    0xff3e5681,
    0xff3b5582,
    0xff395482,
    0xff31507d,
    0xff30507e,
    0xff254571,
    0xff284572,
    0xff26456f,
    0xff1d3850,
    0xff233d53,
    0xff22384a,
    0xff233542,
    0xff2e3e47,
    0xff31434a,
    0xff314448,
    0xff23373e,
    0xff294240,
    0xff213c35,
    0xff263f39,
    0xff20382f,
    0xff284035,
    0xff273e33,
    0xff284032,
    0xff2a4234,
    0xff274236,
    0xff33463a,
    0xff344034,
    0xff324335,
    0xff334736,
    0xff2e4334,
    0xff374237,
    0xff3a3f37,
    0xff2d3936,
    0xff3b3a38,
    0xff3c3e36,
    0xff3a4332,
    0xff463728,
    0xffb27771,
    0xff863531,
    0xff74221e,
    0xff8f2e30,
    0xff871016,
    0xff940612,
    0xff9a050e,
    0xff940108,
    0xff940209,
    0xff960209,
    0xff96000b,
    0xffa00f19,
    0xffe65861,
    0xffa61723,
    0xffa00a1b,
    0xffb31329,
    0xffba152d,
    0xffb51529,
    0xffb61b2f,
    0xffa10315,
    0xffac0d1d,
    0xffae111d,
    0xffa40b1b,
    0xff960619,
    0xff9a102b,
    0xff920d29,
    0xff7a0016,
    0xff6a0210,
    0xff6d0308,
    0xff77020b,
    0xff921225,
    0xffa81b2a,
    0xffb0070d,
    0xffae0e0a,
    0xff760000,
    0xff610100,
    0xff670000,
    0xff770000,
    0xffb93137,
    0xffa71b1e,
    0xff850000,
    0xffb2201a,
    0xff9a0200,
    0xffe44336,
    0xffac150d,
    0xff8a0000,
    0xff9e0714,
    0xff94010e,
    0xff870007,
    0xff870003,
    0xff910001,
    0xffa80009,
    0xffc3312c,
    0xffcc4c2b,
    0xffb64f28,
    0xff7c3d2a,
    0xff8a6858,
    0xff4f3d29,
    0xff373522,
    0xff392b2b,
    0xff52353d,
    0xff896f6c,
    0xff492925,
    0xff502c31,
    0xff3b3636,
    0xff2c4538,
    0xff334540,
    0xff294e3f,
    0xff445959,
    0xff3e5862,
    0xff406070,
    0xff4e657d,
    0xff4d6c8c,
    0xff4b749f,
    0xff5771af,
    0xff4a6eb3,
    0xff4f73bb,
    0xff587cc7,
    0xff5a7ecc,
    0xff5e84d8,
    0xff5d84d9,
    0xff5c84d9,
    0xff5d88dc,
    0xff5e8edf,
    0xff5c8ddb,
    0xff5f8fde,
    0xff5a8ad8,
    0xff608fdd,
    0xff6091df,
    0xff5b8ede,
    0xff6295e6,
    0xff618fdd,
    0xff5f8ada,
    0xff5f8ad9,
    0xff5682cf,
    0xff557fcd,
    0xff5981d0,
    0xff5b84d1,
    0xff648cd9,
    0xff618ad5,
    0xff5e86d3,
    0xff5e87d3,
    0xff5a86d3,
    0xff5d89d7,
    0xff618edc,
    0xff5e8cd9,
    0xff5b88d8,
    0xff5f88d4,
    0xff5e8ad4,
    0xff6190d7,
    0xff6493d9,
    0xff6a98df,
    0xff6795db,
    0xff6c99df,
    0xff6b95dc,
    0xff6993dc,
    0xff6894de,
    0xff618edc,
    0xff5f89db,
    0xff668adb,
    0xff6482d3,
    0xff4565b0,
    0xff5271b9,
    0xff5276c7,
    0xff577dcf,
    0xff5276c6,
    0xff587ecd,
    0xff5a80cd,
    0xff5378c3,
    0xff567ac5,
    0xff5377c4,
    0xff5377c8,
    0xff4d72c3,
    0xff476fbe,
    0xff4068b6,
    0xff4168b6,
    0xff486dbb,
    0xff4d71c3,
    0xff4b6ec1,
    0xff5d7ec1,
    0xff6280bd,
    0xff7289c1,
    0xff7b8dc2,
    0xff8995c4,
    0xff8692bd,
    0xff8d98c4,
    0xff939fca,
    0xff97a2c7,
    0xff9aa7ca,
    0xff919dc2,
    0xff9aa8cf,
    0xff94a1ca,
    0xff9aa7d3,
    0xffa0add9,
    0xff9ca9d6,
    0xff9ca9d5,
    0xff96a7c9,
    0xff94a2c3,
    0xff9eabd3,
    0xff8fa3cf,
    0xff90a3c4,
    0xffa395a6,
    0xff7e4a51,
    0xff896f71,
    0xff9b8e9e,
    0xff9090af,
    0xff8695b8,
    0xff879db8,
    0xff8ba0b4,
    0xff8b9aaf,
    0xff8e96b0,
    0xff818aa6,
    0xff8a95b4,
    0xff8a96b9,
    0xff8a99bb,
    0xff7c8bb0,
    0xff7786ac,
    0xff8695bc,
    0xff98a6ce,
    0xffafa1c9,
    0xff753343,
    0xff642f35,
    0xffc8a5cb,
    0xffaaa3d2,
    0xffcbb9e2,
    0xff9c3a34,
    0xffab3319,
    0xffc55a17,
    0xffdc8a2b,
    0xffcb6d2c,
    0xffc09177,
    0xffb6998b,
    0xffcb8a76,
    0xffac6c45,
    0xffbd6c4a,
    0xffddaa9f,
    0xff894e48,
    0xff8f5f72,
    0xff998ec2,
    0xff8f9edf,
    0xff8c9fd6,
    0xff879cd3,
    0xff8caced,
    0xff8da2df,
    0xff92a8e3,
    0xff9ab0e8,
    0xff99aee5,
    0xffa8baf0,
    0xffacbcf1,
    0xffaebbed,
    0xffb0bdef,
    0xffa8b7e9,
    0xffaab5e1,
    0xffd5d5f9,
    0xff514d6d,
    0xff453f5e,
    0xffbfbcde,
    0xffa0a1c6,
    0xff9ca2cc,
    0xffaab5e7,
    0xffacb8e4,
    0xffb2bce4,
    0xffb5bfe8,
    0xffb2b9e6,
    0xffacb3e2,
    0xffa6afdc,
    0xffa0abd5,
    0xff9da9d8,
    0xff95a2d2,
    0xff929dce,
    0xff97a2d2,
    0xffa5acde,
    0xffa2aada,
    0xff9aa2d2,
    0xff99a1d1,
    0xff9da7d8,
    0xff9aa5d6,
    0xff9da5d4,
    0xffa1aad7,
    0xffa4aed9,
    0xffa4abd7,
    0xffa7aed8,
    0xffadb5de,
    0xffacb3d2,
    0xffd8ddf2,
    0xffe0dff4,
    0xffe4e3e6,
    0xff5e5c6d,
    0xffc7c8f8,
    0xffb4bbe5,
    0xffb3bfe7,
    0xffb3bce9,
    0xffb7c0ee,
    0xffafb7e6,
    0xffadb7e1,
    0xffb1b9e8,
    0xffb5bceb,
    0xffb3bbe9,
    0xffb3bbe9,
    0xffb2bae9,
    0xffb6bfea,
    0xffb6bfea,
    0xffbfc8f0,
    0xffbcc4ed,
    0xffbdc3ef,
    0xffbfc7f4,
    0xffbdc4f2,
    0xffbcc4f3,
    0xffbdc6f5,
    0xffbac4f3,
    0xffb7c4f2,
    0xffb5c2f0,
    0xffb2bfed,
    0xffb1bceb,
    0xffb2bdeb,
    0xffb4beeb,
    0xffafb9e8,
    0xffadbae8,
    0xffb5c3f1,
    0xffb8c7f5,
    0xffbac7f6,
    0xffc2ccfb,
    0xffbec8f6,
    0xffb8c1f1,
    0xffb9c1ef,
    0xffb3bde9,
    0xffb0b8e3,
    0xffadb4e0,
    0xffaeb6e4,
    0xffa9b1de,
    0xffa8b2e1,
    0xff9eaadd,
    0xffa5b3e5,
    0xff9fb0e3,
    0xff98aadc,
    0xff9bace1,
    0xff97a9dd,
    0xff95a7db,
    0xff9cade2,
    0xffa6b5e9,
    0xffa9b8ec,
    0xffa1b0e7,
    0xffa3b4ed,
    0xff98abe8,
    0xff859ada,
    0xff8399da,
    0xff8098db,
    0xff829bdd,
    0xff809cdc,
    0xff7a9bdc,
    0xff7394d9,
    0xff7696de,
    0xff6f8ed3,
    0xff7695d5,
    0xff99b5ec,
    0xffb4ccfb,
    0xff7c96d8,
    0xff7c99dc,
    0xff7a97dc,
    0xff839ee2,
    0xff8ea5e3,
    0xff93a6dd,
    0xffa5b2e7,
    0xffaab2d6,
    0xffafbbdc,
    0xffabbdde,
    0xffb1bbd6,
    0xffb6b5d6,
    0xffb4bef2,
    0xffc1bdd7,
    0xffbe886d,
    0xffce917f,
    0xffc4b6cb,
    0xffadbae6,
    0xffaab2d6,
    0xffacaeca,
    0xffaba8c6,
    0xffaca2bb,
    0xffb3a5b7,
    0xffe3ada1,
    0xffaa2b2f,
    0xffb92228,
    0xffcc3230,
    0xffd23d36,
    0xffb52a21,
    0xffd4373a,
    0xffc41b26,
    0xffcd272e,
    0xffcd413e,
    0xffd85149,
    0xffcd5042,
    0xffc65241,
    0xff8e170d,
    0xff90392e,
    0xff876651,
    0xffbeaf98,
    0xff362f18,
    0xff47452f,
    0xff353923,
    0xff303723,
    0xff333527,
    0xff575348,
    0xff908982,
    0xff888981,
    0xff645d5f,
    0xff372a32,
    0xff301c1c,
    0xff4e110a,
    0xffa62921,
    0xffe75748,
    0xffc34d30,
    0xffc24d2b,
    0xffd4563a,
    0xffc95536,
    0xffc65335,
    0xff9f4c2d,
    0xff3b1b00,
    0xff221909,
    0xff111d0f,
    0xff1c281c,
    0xff202c20,
    0xff2a3529,
    0xff2c382c,
    0xff253023,
    0xff313829,
    0xff646b5b,
    0xff292e1c,
    0xff334127,
    0xff3c482c,
    0xff434f2d,
    0xff4a512c,
    0xff535932,
    0xff343613,
    0xff393718,
    0xff161300,
    0xff868877,
    0xff7c7e6b,
    0xff5c5f4d,
    0xff111500,
    0xff252814,
    0xff222613,
    0xff1b1d0c,
    0xff232617,
    0xff9ea294,
    0xff7f8279,
    0xff12150c,
    0xff222412,
    0xff292d0a,
    0xff535321,
    0xff58531a,
    0xff484009,
    0xff3d3b0b,
    0xff473e12,
    0xff493911,
    0xff473a12,
    0xff41370b,
    0xff403907,
    0xff4d410b,
    0xff56450d,
    0xff4c4608,
    0xff3c3704,
    0xff38320d,
    0xff2e2e0e,
    0xff2e3516,
    0xff1e2c10,
    0xff1c2815,
    0xff182218,
    0xff101d0c,
    0xff091706,
    0xff0e1809,
    0xff575d4f,
    0xffc7ccbf,
    0xff040900,
    0xff161b0e,
    0xff1a2214,
    0xff171f11,
    0xff242516,
    0xff2f281b,
    0xff342b18,
    0xff2d2412,
    0xff2b240f,
    0xff2d230f,
    0xff2b1f0d,
    0xff332612,
    0xff382a12,
    0xff36250c,
    0xff341e06,
    0xff3f260b,
    0xff3f2708,
    0xff412e05,
    0xff5a4918,
    0xff685e1c,
    0xff4d4404,
    0xff574f10,
    0xff534e12,
    0xff4b4310,
    0xff453e12,
    0xff3e320d,
    0xff3a2c0f,
    0xff3c2b14,
    0xff382e0a,
    0xff35310b,
    0xff302810,
    0xff26210a,
    0xff262604,
    0xff212000,
    0xff29230b,
    0xff351702,
    0xff855214,
    0xffc07319,
    0xffc96a0f,
    0xffd57419,
    0xffde8120,
    0xffc5681e,
    0xffbb6207,
    0xffa95000,
    0xffe4a134,
    0xfffbc450,
    0xffc67c24,
    0xff995822,
    0xffca6c25,
    0xffc25311,
    0xffeb7d2f,
    0xffd55c31,
    0xffe0793b,
    0xffcd5f28,
    0xffe75a4a,
    0xff9a0603,
    0xff8c1500,
    0xffa23d18,
    0xff740a01,
    0xffae5513,
    0xffa35512,
    0xffab6927,
    0xff6d2e07,
    0xff4c0b0a,
    0xff5f1711,
    0xff741f0d,
    0xff6b0e07,
    0xff9e350d,
    0xffcc622a,
    0xffab4500,
    0xffbd5d19,
    0xffd17f2f,
    0xffb7762a,
    0xff340000,
    0xff8d632e,
    0xffb87215,
    0xffb65e01,
    0xffc66208,
    0xffbf5c14,
    0xff843200,
    0xffc6812a,
    0xffd1893c,
    0xffb85f29,
    0xff97420d,
    0xff692100,
    0xffaa7039,
    0xffa2701e,
    0xff854d06,
    0xff995917,
    0xffa46214,
    0xffa86510,
    0xff9f5816,
    0xff230000,
    0xff212020,
    0xffffffff,
    0xff2d2418,
    0xff0a150c,
    0xff000300,
    0xffc1c4c8,
    0xff747575,
    0xff343028,
    0xff13130a,
    0xff0a121f,
    0xff7a8783,
    0xff020500,
    0xff6e6a7c,
    0xff555962,
    0xff736e6e,
    0xff423c36,
    0xff101708,
    0xff1f1a0c,
    0xff494c3f,
    0xff766a6e,
    0xffcfcfd9,
    0xffa3a0b1,
    0xff510509,
    0xff52070f,
    0xff4e0311,
    0xff4b0310,
    0xff470510,
    0xff3b060f,
    0xff310a0f,
    0xff2a1113,
    0xff112c24,
    0xff0d2b25,
    0xff15332e,
    0xff182d2f,
    0xff1d292e,
    0xff22292d,
    0xff283233,
    0xff1d2b29,
    0xff2f4442,
    0xff304540,
    0xff354943,
    0xff263d33,
    0xff294038,
    0xff283e39,
    0xff2d4341,
    0xff2e4444,
    0xff253e46,
    0xff304952,
    0xff324a55,
    0xff314854,
    0xff324c5a,
    0xff314d5d,
    0xff395765,
    0xff3d5b6c,
    0xff385c7e,
    0xff385c81,
    0xff385d86,
    0xff3b608f,
    0xff3b6393,
    0xff375f8e,
    0xff355f8d,
    0xff36608f,
    0xff37608f,
    0xff325c89,
    0xff2f5a86,
    0xff2b5588,
    0xff2a568f,
    0xff355f9c,
    0xff3c69a0,
    0xff3c699e,
    0xff3b689d,
    0xff39669b,
    0xff38649d,
    0xff39669d,
    0xff39649a,
    0xff396298,
    0xff3a6294,
    0xff335a89,
    0xff315378,
    0xff2f5076,
    0xff2e5074,
    0xff274a69,
    0xff284965,
    0xff284b62,
    0xff2e4f61,
    0xff2a485a,
    0xff213e48,
    0xff1f3a44,
    0xff20373d,
    0xff25383c,
    0xff2a3e40,
    0xff2a3d40,
    0xff2b4142,
    0xff2c4345,
    0xff2c413e,
    0xff293e3c,
    0xff2b413f,
    0xff273e3a,
    0xff2d413f,
    0xff334544,
    0xff283935,
    0xff2a3c39,
    0xff264144,
    0xff213f3e,
    0xff2e4a42,
    0xff32463b,
    0xff384038,
    0xff404643,
    0xff374847,
    0xff2c4445,
    0xff3f464a,
    0xff3d4b47,
    0xff324636,
    0xff50392b,
    0xffb45054,
    0xffb83841,
    0xffa53135,
    0xff981a20,
    0xff9c0312,
    0xff9c010e,
    0xffa70c18,
    0xff92020a,
    0xff870208,
    0xff820004,
    0xff880004,
    0xff920007,
    0xff870109,
    0xff87030e,
    0xff83000a,
    0xff85000d,
    0xff86000e,
    0xff83000f,
    0xff760009,
    0xff700007,
    0xff7e000b,
    0xff7d0003,
    0xff7e0001,
    0xff880005,
    0xff93000d,
    0xff9e061d,
    0xffa5172d,
    0xffa92034,
    0xff990216,
    0xff84010a,
    0xff7a020a,
    0xff770010,
    0xff880315,
    0xffa50209,
    0xffb00000,
    0xffae0b09,
    0xffa20a14,
    0xff91090f,
    0xff7d0505,
    0xff89110f,
    0xff940e0b,
    0xffaa100d,
    0xffed4844,
    0xffc31a13,
    0xffac0f01,
    0xffdb4a38,
    0xffbd2921,
    0xff950000,
    0xff95020e,
    0xff88030d,
    0xff7d0005,
    0xff880202,
    0xff92000c,
    0xff9b0a12,
    0xffc33729,
    0xffb64932,
    0xff79433b,
    0xff624b48,
    0xff453b33,
    0xff353c34,
    0xff372928,
    0xff604a46,
    0xff514c48,
    0xff323e3c,
    0xff35413d,
    0xff2b3936,
    0xff445a58,
    0xff465b57,
    0xff344f5d,
    0xff415569,
    0xff465e74,
    0xff3b5976,
    0xff415a83,
    0xff476b9e,
    0xff3a69a3,
    0xff426cae,
    0xff4f76be,
    0xff4f75be,
    0xff5177c2,
    0xff4f75c0,
    0xff4d73be,
    0xff4d75be,
    0xff5178c2,
    0xff537cc1,
    0xff4e7ec4,
    0xff5887cc,
    0xff5482c8,
    0xff507cc3,
    0xff5681cb,
    0xff4e7dc7,
    0xff4d7bc9,
    0xff4674c2,
    0xff4871bf,
    0xff456cbb,
    0xff486ebb,
    0xff486db9,
    0xff4d72bc,
    0xff4166ae,
    0xff476bb1,
    0xff4d72b6,
    0xff4569b0,
    0xff4d70b7,
    0xff5277be,
    0xff4d72bc,
    0xff4970bd,
    0xff466fbd,
    0xff4d78c7,
    0xff4a74c5,
    0xff4e76c5,
    0xff4973bf,
    0xff4b76bf,
    0xff527bc3,
    0xff4f78bd,
    0xff577dc2,
    0xff4f74bb,
    0xff4d71b6,
    0xff4973b3,
    0xff4874b4,
    0xff4c77b4,
    0xff557bb5,
    0xff5172a2,
    0xff7b95bc,
    0xffc9e3fd,
    0xffafcae4,
    0xff5773c0,
    0xff5976c7,
    0xff5474c0,
    0xff5475be,
    0xff5071b9,
    0xff5273bc,
    0xff5374ba,
    0xff5575bb,
    0xff5677b9,
    0xff5b7abb,
    0xff5b7bba,
    0xff6785c5,
    0xff6886c6,
    0xff6080c1,
    0xff5b7dbd,
    0xff5a7dbf,
    0xff5879ba,
    0xff5c79b9,
    0xff5d75b0,
    0xff6274ab,
    0xff6878ab,
    0xff7580b3,
    0xff8f9bcb,
    0xff8996c6,
    0xff8d9abc,
    0xff929fc0,
    0xff8090b1,
    0xff8b99bc,
    0xff8f9ec1,
    0xff7b89af,
    0xff7a8aaf,
    0xff7c8bb1,
    0xff7987a9,
    0xff6f82a1,
    0xff8194b4,
    0xff7e8eae,
    0xff7286a8,
    0xff7087a3,
    0xff828aa3,
    0xff877d97,
    0xff6e8099,
    0xff5f7292,
    0xff7483a7,
    0xff6b7899,
    0xff717e96,
    0xff8493a8,
    0xff7f8ea7,
    0xff92a3c3,
    0xffa0aecc,
    0xffa4b2d3,
    0xffb1c1e4,
    0xff9bacd6,
    0xff9eafdd,
    0xff99aadd,
    0xff98a9dc,
    0xffa3b3e9,
    0xffb1b5e3,
    0xffb6a2c9,
    0xffc6c9e9,
    0xffbabaed,
    0xffb6bceb,
    0xffd0bff2,
    0xff9e3f4b,
    0xffa6231c,
    0xffce5811,
    0xffea851d,
    0xffc16530,
    0xffba98ac,
    0xffb3add8,
    0xffbcb2d7,
    0xffc6c5dc,
    0xffe3c3d5,
    0xffd6b1ab,
    0xff765a68,
    0xffcbbfe9,
    0xffcbcaff,
    0xffd3d2ff,
    0xffc6c8f0,
    0xffb2bfeb,
    0xffa4bbf2,
    0xffaab4ea,
    0xffaeb8ec,
    0xffb5c0f2,
    0xffb7c4f4,
    0xffb2bfea,
    0xffb8c6ef,
    0xffbbc7f0,
    0xffc0caf3,
    0xffc6d0fb,
    0xffc9d7fe,
    0xffbec8f0,
    0xffd4d4ff,
    0xff736c94,
    0xff695d73,
    0xff807b90,
    0xffc6c7ed,
    0xff98a5dc,
    0xff97a6da,
    0xff9aaadd,
    0xffa0b0e3,
    0xffa3afe5,
    0xffa7b0e5,
    0xffb4bceb,
    0xffbfc4f0,
    0xffb8c2ef,
    0xffbdc8f6,
    0xffc2caf8,
    0xffbec7f3,
    0xffbec4ef,
    0xffb8c0e9,
    0xffbac0e8,
    0xffbcc1e9,
    0xffb1b8e7,
    0xffb4bbea,
    0xffb8bfef,
    0xffbac1ef,
    0xffb8bfee,
    0xffbac1f0,
    0xffbbc2f0,
    0xffb5bcea,
    0xffb9c2e9,
    0xffb7bed3,
    0xffdddeea,
    0xffc4c6c9,
    0xffadb1ca,
    0xffb1b5ec,
    0xffabb7e3,
    0xffafbde1,
    0xffb0b7e2,
    0xffb0b7e3,
    0xffb1b8e3,
    0xffadb4e2,
    0xffaeb6e4,
    0xffa9b1e0,
    0xffadb6e4,
    0xffaab2e1,
    0xffafb7e5,
    0xffacb4e2,
    0xffafb7e3,
    0xffaab2df,
    0xffa5b0dd,
    0xffa5afdf,
    0xff9ba5d5,
    0xff99a3d5,
    0xff9da9da,
    0xff99a7d8,
    0xff91a2d2,
    0xff91a3d4,
    0xff8c9dcf,
    0xff8c9dcf,
    0xff8f9ed0,
    0xff8e9ed0,
    0xff8e9dcf,
    0xff8d9ed3,
    0xff8ea0d6,
    0xff889ad3,
    0xff8799d2,
    0xff8e9dd8,
    0xff8f9ed8,
    0xff9aa8e3,
    0xff99abe0,
    0xff97a5db,
    0xff9ca9dc,
    0xffa4afe3,
    0xffa5b0e2,
    0xffa8b5e7,
    0xffa7b5e8,
    0xffa7b4e9,
    0xff9db1ed,
    0xff92a7e4,
    0xff889edc,
    0xff87a4e1,
    0xff8aa7e7,
    0xff85a2e5,
    0xff7c99dd,
    0xff718dd3,
    0xff7291d8,
    0xff6a88d2,
    0xff6687d1,
    0xff6283ce,
    0xff6787d5,
    0xff7394e1,
    0xff6b8cdc,
    0xff6d8fdd,
    0xff698fde,
    0xff648cd9,
    0xff638dd7,
    0xff658fda,
    0xff6085d3,
    0xff6789d3,
    0xff708ed2,
    0xff6888c5,
    0xff7089c8,
    0xff7a91ce,
    0xff8399d6,
    0xff8b9fda,
    0xff8e9fd8,
    0xff9aa7dd,
    0xff98a3d5,
    0xffa3aad9,
    0xffb2afea,
    0xffb5b5ec,
    0xffbcbdf2,
    0xffc1bcec,
    0xffbeb8de,
    0xffbac2e6,
    0xffc3c2d5,
    0xffb58f89,
    0xffd9bed5,
    0xffc4c9e1,
    0xffafc5e4,
    0xffb5bada,
    0xffb8afc2,
    0xffa6a7b5,
    0xffaaa4b6,
    0xffcda7ba,
    0xffc26857,
    0xffb32520,
    0xffb72620,
    0xffae1710,
    0xffa9100b,
    0xff850000,
    0xffc0292b,
    0xffc3282d,
    0xffc02c2b,
    0xffc04234,
    0xffbf402f,
    0xffbf402d,
    0xff9d4128,
    0xffad5647,
    0xff9b3f40,
    0xff855b55,
    0xff36321d,
    0xff3a4029,
    0xff2c3c27,
    0xff1c3622,
    0xff1c3426,
    0xff202f24,
    0xff2a2b25,
    0xff2c2822,
    0xff343c29,
    0xff736769,
    0xff9b929a,
    0xffab9d92,
    0xffbe7154,
    0xffd34123,
    0xffe65037,
    0xffbe4d33,
    0xffc74c36,
    0xffc84f44,
    0xffc55a49,
    0xffc84f30,
    0xffc05f37,
    0xff5b3514,
    0xff1c1808,
    0xff102316,
    0xff172419,
    0xff202c1e,
    0xff212e24,
    0xff1e2a20,
    0xff1b251b,
    0xff2d352a,
    0xff777a6f,
    0xff323629,
    0xff16251c,
    0xff15241a,
    0xff101c10,
    0xff152012,
    0xff0f1606,
    0xff292f1d,
    0xff282b19,
    0xff717260,
    0xff4b5141,
    0xff091000,
    0xff121907,
    0xff19200e,
    0xff141a09,
    0xff1b2212,
    0xff181e10,
    0xff1c2215,
    0xff0f130f,
    0xff2d322f,
    0xffaeb3b1,
    0xff686d65,
    0xff0e1400,
    0xff262a07,
    0xff333209,
    0xff373309,
    0xff403e09,
    0xff443d0a,
    0xff473f0b,
    0xff544a17,
    0xff47420e,
    0xff54501a,
    0xff59511c,
    0xff584e19,
    0xff5d531d,
    0xff564b1b,
    0xff50451e,
    0xff3c3815,
    0xff373b18,
    0xff2d3314,
    0xff262b12,
    0xff1d1f10,
    0xff192a17,
    0xff132616,
    0xff172619,
    0xff000c01,
    0xffeef8ef,
    0xff384136,
    0xff161e12,
    0xff1c2415,
    0xff162117,
    0xff1d2118,
    0xff232116,
    0xff262116,
    0xff272414,
    0xff262513,
    0xff262311,
    0xff2a2413,
    0xff342c19,
    0xff352912,
    0xff382810,
    0xff3d2910,
    0xff3f2a11,
    0xff3e290a,
    0xff3d2a03,
    0xff483808,
    0xff4b3e02,
    0xff504509,
    0xff4e4408,
    0xff4e440c,
    0xff493f0b,
    0xff42350c,
    0xff41320f,
    0xff3b2c0e,
    0xff443110,
    0xff343207,
    0xff2b2e09,
    0xff2f2513,
    0xff2e2114,
    0xff252003,
    0xff352a0a,
    0xff351700,
    0xff733c09,
    0xffe3a255,
    0xffda8d1f,
    0xffc86a0a,
    0xffe38025,
    0xffda7835,
    0xff7f2100,
    0xffbd6911,
    0xffae5200,
    0xffa95c1e,
    0xffbb8027,
    0xffe39853,
    0xff883e1b,
    0xffd57130,
    0xffcb6726,
    0xffbd5e27,
    0xffcd6631,
    0xffad5c10,
    0xffcc722c,
    0xffcb462c,
    0xffca332b,
    0xff8c0b00,
    0xffa13824,
    0xff7d1a12,
    0xffbe733e,
    0xff874802,
    0xffb26a24,
    0xff743203,
    0xff5a3321,
    0xff43170c,
    0xff5b1509,
    0xff661810,
    0xff721a09,
    0xffb55929,
    0xffef893f,
    0xffb34309,
    0xff9f2f09,
    0xff7d1e04,
    0xff6d2101,
    0xffd09651,
    0xfffdbf54,
    0xffce8213,
    0xffa75d00,
    0xffb55f01,
    0xffb35216,
    0xff8f4d20,
    0xff481f00,
    0xff965c32,
    0xffd38153,
    0xff804328,
    0xff895d48,
    0xffa1754d,
    0xff966b33,
    0xff482000,
    0xff5c2b00,
    0xffb16d25,
    0xff9d480e,
    0xff8f725d,
    0xff000000,
    0xff0c0d00,
    0xffffffff,
    0xff000000,
    0xff051108,
    0xff314341,
    0xffb7b8bf,
    0xff5c5555,
    0xff272520,
    0xff040b13,
    0xff5e6b67,
    0xff060902,
    0xff403d4d,
    0xff9195a4,
    0xff000101,
    0xff919894,
    0xff15241b,
    0xff181b12,
    0xff383f33,
    0xff8a857f,
    0xffb7b8bb,
    0xffa8a4b7,
    0xff4c0508,
    0xff4f070e,
    0xff4d010e,
    0xff4b0413,
    0xff3e060c,
    0xff33090a,
    0xff2c0b0a,
    0xff2d1315,
    0xff162925,
    0xff242f38,
    0xff272c3e,
    0xff25374b,
    0xff193e4b,
    0xff0b343c,
    0xff1a343f,
    0xff2c3643,
    0xff253d4b,
    0xff233d4a,
    0xff223e4a,
    0xff264351,
    0xff254254,
    0xff234156,
    0xff23435a,
    0xff1d3c59,
    0xff2b4d6f,
    0xff264b6e,
    0xff2a4f73,
    0xff2f567c,
    0xff335783,
    0xff3d6290,
    0xff3a6392,
    0xff3e6699,
    0xff3a6aa1,
    0xff3869a2,
    0xff33639f,
    0xff2f619f,
    0xff3869a8,
    0xff386caa,
    0xff396daa,
    0xff386ca9,
    0xff3869ad,
    0xff3e6fb4,
    0xff4372b4,
    0xff4373b4,
    0xff4271b4,
    0xff4372b8,
    0xff4779bc,
    0xff4173b8,
    0xff4672c0,
    0xff4d78c7,
    0xff4671bd,
    0xff4770bd,
    0xff456cb8,
    0xff466bb7,
    0xff4166af,
    0xff4264ab,
    0xff426b99,
    0xff406692,
    0xff3e648b,
    0xff3a5f83,
    0xff355777,
    0xff33556e,
    0xff2a4a60,
    0xff234156,
    0xff31505d,
    0xff335059,
    0xff28444c,
    0xff233b40,
    0xff2c4549,
    0xff294246,
    0xff294148,
    0xff2d474f,
    0xff314654,
    0xff354a5b,
    0xff3a5162,
    0xff334b5e,
    0xff2b4356,
    0xff2b4356,
    0xff2a4155,
    0xff314459,
    0xff374c61,
    0xff39535e,
    0xff354649,
    0xff504447,
    0xff6e464f,
    0xff5b343f,
    0xff493e45,
    0xff324747,
    0xff33463c,
    0xff2d3c2c,
    0xff5a4335,
    0xff9a3535,
    0xffa80615,
    0xffdb3e4a,
    0xffab1f26,
    0xff910008,
    0xff90010e,
    0xff8d020d,
    0xff810005,
    0xff7b0208,
    0xff770307,
    0xff780006,
    0xff820009,
    0xff8d000e,
    0xff8e0514,
    0xff81010d,
    0xff7b020e,
    0xff70000a,
    0xff730411,
    0xff6a000b,
    0xff6b010c,
    0xff6d0410,
    0xff6d040a,
    0xff750809,
    0xff830707,
    0xff8b0206,
    0xff940009,
    0xff980110,
    0xff90000e,
    0xff90020f,
    0xffbd1229,
    0xffba111e,
    0xffbe1222,
    0xffa8051d,
    0xff940013,
    0xffa90410,
    0xffb90c11,
    0xff9e050a,
    0xff80020a,
    0xff6e0101,
    0xff670100,
    0xff740000,
    0xff910201,
    0xffad0f0a,
    0xffd93f2f,
    0xffcf3e26,
    0xffa30602,
    0xffd34132,
    0xffda4231,
    0xffc5291e,
    0xff960000,
    0xff840005,
    0xff78010a,
    0xff7d0108,
    0xff860006,
    0xff8e000b,
    0xff9a0903,
    0xff9f371d,
    0xffa6795f,
    0xff544534,
    0xff484743,
    0xff405061,
    0xff5f5878,
    0xff8c8394,
    0xff453d5a,
    0xff595d85,
    0xff596481,
    0xff4d5a7c,
    0xff5d709f,
    0xff546999,
    0xff596dad,
    0xff5a6fa9,
    0xff566ea0,
    0xff526e9e,
    0xff5268a4,
    0xff45629f,
    0xff4870aa,
    0xff4b74a9,
    0xff47699f,
    0xff486a9f,
    0xff44669b,
    0xff4e6fa4,
    0xff4d6ea2,
    0xff46679b,
    0xff416293,
    0xff486a9d,
    0xff4269a5,
    0xff4065a4,
    0xff3e64a2,
    0xff3f64a4,
    0xff315798,
    0xff3a5fa3,
    0xff4468af,
    0xff476bb3,
    0xff406aae,
    0xff3e69ae,
    0xff3b67ad,
    0xff3c67aa,
    0xff3e67ab,
    0xff446eb0,
    0xff4970b2,
    0xff476cad,
    0xff4c73bb,
    0xff5076c1,
    0xff4e76c1,
    0xff4d75c2,
    0xff4b73c2,
    0xff4c75c4,
    0xff547dce,
    0xff537fcd,
    0xff527bcf,
    0xff567bce,
    0xff5178c9,
    0xff4d72c2,
    0xff5277c5,
    0xff5879c6,
    0xff5677c1,
    0xff5676c0,
    0xff5172bb,
    0xff4d74bb,
    0xff5076be,
    0xff5375bd,
    0xff5670b5,
    0xff566dac,
    0xff4c609b,
    0xff556ca2,
    0xff5473b0,
    0xff4e6fab,
    0xff4f6eac,
    0xff5272b0,
    0xff5275b1,
    0xff4d6fad,
    0xff486aa9,
    0xff4365a4,
    0xff396093,
    0xff3a5d91,
    0xff426196,
    0xff5471a6,
    0xff5573a8,
    0xff48699d,
    0xff43699c,
    0xff456ea2,
    0xff44679c,
    0xff4f6da2,
    0xff5e7bac,
    0xff647aa9,
    0xff7689b1,
    0xff8394b9,
    0xff6f80a0,
    0xff8393b3,
    0xff7989a4,
    0xff7988a5,
    0xff808fac,
    0xff647390,
    0xff7788a4,
    0xff8293af,
    0xff7a8aa6,
    0xff6d7e9a,
    0xff707f99,
    0xff7a8da8,
    0xff7285a1,
    0xff7988a0,
    0xff76859b,
    0xff718296,
    0xff6c7d98,
    0xff6a7a9d,
    0xff7683a1,
    0xff8990b4,
    0xff9091b7,
    0xffa8a4cb,
    0xffa1a1c6,
    0xffabb0d3,
    0xffadbae1,
    0xffa3b2e0,
    0xffb4c0e6,
    0xffacbae1,
    0xffa2afdb,
    0xffa1aedd,
    0xff9aabde,
    0xff9fabe0,
    0xffa3b0e7,
    0xffa7b3ea,
    0xffa7b2de,
    0xffb2b4e0,
    0xffa3b1d9,
    0xffaaaedc,
    0xffb0b6dc,
    0xffc6c2f3,
    0xff7f3a42,
    0xff8e1e0d,
    0xffd6713c,
    0xffec863a,
    0xffab553c,
    0xffd9c3e2,
    0xffbdbbe7,
    0xffc6b9f1,
    0xffbfc8ff,
    0xffc9c8f2,
    0xffccb0c4,
    0xffddd6f3,
    0xffd3ddff,
    0xffcdcfed,
    0xffd0c8e7,
    0xffc2c1e7,
    0xffb4bbe8,
    0xffb6c2ed,
    0xffb1bdf0,
    0xffb3c1f4,
    0xffaebef2,
    0xffaabcee,
    0xffa9baed,
    0xffa5b7ea,
    0xffa2b5e7,
    0xff9eb1e2,
    0xff9fb0e6,
    0xff8094c6,
    0xff9fb0e5,
    0xff959ed9,
    0xffb3b5e9,
    0xff5d5b7e,
    0xff5e5a74,
    0xff8f8ba8,
    0xffadb6e7,
    0xffa5b1e2,
    0xffa7b5e4,
    0xffa8b5e8,
    0xffabb8ed,
    0xffacb6eb,
    0xffa8afde,
    0xffa1a7d1,
    0xffa4add8,
    0xffa9b2dd,
    0xffabb4dd,
    0xffb3bae1,
    0xffb9c2e7,
    0xffc1c6eb,
    0xffbcc2e5,
    0xffbec1e6,
    0xffbcc1e8,
    0xffb9bfe7,
    0xffbabee9,
    0xffbbbfe9,
    0xffc1c6f0,
    0xffbec2ee,
    0xffc0c4f0,
    0xffbcc0ed,
    0xffc6cff5,
    0xffa3a7be,
    0xfff7f5fe,
    0xffb1afbb,
    0xffb5b8d5,
    0xffb5bced,
    0xffaab7e3,
    0xffacb7de,
    0xffb0b8e1,
    0xffb0b7e2,
    0xffaeb4e3,
    0xffabb1e1,
    0xffacb5e5,
    0xffb0b7e9,
    0xffb1b8ea,
    0xffadb6e8,
    0xffa8b2e4,
    0xffa6b1e2,
    0xffa4afe0,
    0xffa1aedc,
    0xffa6b2e5,
    0xffa5b1e6,
    0xffa0ace4,
    0xffa6b2ec,
    0xff9aade2,
    0xff9aace2,
    0xff9eb1e9,
    0xff9cb1e8,
    0xff9cb0ea,
    0xffa0b3ed,
    0xff9eb0ea,
    0xff9baae7,
    0xff9cb0e9,
    0xff9db1ec,
    0xff98abe6,
    0xff98abe6,
    0xff98abe7,
    0xff90a2de,
    0xff8ca0dc,
    0xff91a3df,
    0xff92a3dc,
    0xff98a9e1,
    0xffa0b1e9,
    0xffa0b1e9,
    0xff95a8e1,
    0xff889dd8,
    0xff859dda,
    0xff819adb,
    0xff708ed2,
    0xff6787ce,
    0xff6284cd,
    0xff577ec8,
    0xff537bc8,
    0xff527cc9,
    0xff567ecf,
    0xff5a81d6,
    0xff4d7cd5,
    0xff4e7dd7,
    0xff4a7cd4,
    0xff497ad2,
    0xff4b7bd5,
    0xff4d7ed5,
    0xff4b7bd2,
    0xff4e7dd5,
    0xff5681d5,
    0xff5b86d6,
    0xff628bd6,
    0xff668dd8,
    0xff698ed7,
    0xff7895dd,
    0xff88a2e4,
    0xff89a0dc,
    0xff97ade3,
    0xff9cafe7,
    0xffa4b3ea,
    0xffa2b0e3,
    0xff9da9db,
    0xffa5b0e1,
    0xffa7b1e2,
    0xffa5afdf,
    0xffa3a8ce,
    0xffabb1d4,
    0xffabaed5,
    0xffb8afda,
    0xffb3afd1,
    0xffa6afc7,
    0xffaeb1c8,
    0xffbea7c0,
    0xffa7a6c6,
    0xff959cb5,
    0xff8f9abb,
    0xff9995c0,
    0xffa094af,
    0xff9197a7,
    0xffaa9aa8,
    0xffa35254,
    0xffb83a24,
    0xffc6281c,
    0xffb32215,
    0xff9e0a00,
    0xffb41714,
    0xff9c0d09,
    0xff8b0000,
    0xff9e0a0c,
    0xffc32528,
    0xffc2372f,
    0xffbd3b23,
    0xffc93f2a,
    0xffaf5a3d,
    0xff624322,
    0xff634130,
    0xff3b3424,
    0xff293f24,
    0xff1b311a,
    0xff1c2e1e,
    0xff19291f,
    0xff19241f,
    0xff1a261e,
    0xff263128,
    0xff232e21,
    0xff282f1c,
    0xff2e2f25,
    0xff3c3c30,
    0xff4f2d13,
    0xffd66a44,
    0xffc93b0c,
    0xffc63d15,
    0xffd74c34,
    0xffcf3e2e,
    0xffc14033,
    0xffc15241,
    0xffc94b38,
    0xffb14f38,
    0xff391b05,
    0xff1a1a11,
    0xff101e1b,
    0xff122316,
    0xff1a2a1f,
    0xff0f1f14,
    0xff0b1910,
    0xff18261d,
    0xff101a10,
    0xff0c1309,
    0xff181e14,
    0xff11241a,
    0xff16291e,
    0xff112419,
    0xff1b291d,
    0xff2f3c2b,
    0xff2b3623,
    0xff2e381f,
    0xff252b13,
    0xff1f2713,
    0xff29311c,
    0xff28301a,
    0xff414a35,
    0xff232a18,
    0xff222a19,
    0xff232a1b,
    0xff1d2317,
    0xff1c2510,
    0xff222918,
    0xff0d1608,
    0xff4d554a,
    0xffb4bcb0,
    0xff4c5045,
    0xff111205,
    0xff312e1f,
    0xff52501d,
    0xff484712,
    0xff4a4514,
    0xff565324,
    0xff403d10,
    0xff34330a,
    0xff36320d,
    0xff35300e,
    0xff2e3514,
    0xff2d3115,
    0xff232810,
    0xff202c15,
    0xff1a2c17,
    0xff1d3021,
    0xff2a3d32,
    0xff2d3b35,
    0xff101f16,
    0xff1d2b24,
    0xff192424,
    0xff1a2328,
    0xff0c1419,
    0xffffffff,
    0xff0f110e,
    0xff1e1f1a,
    0xff192119,
    0xff21251c,
    0xff27251b,
    0xff282418,
    0xff292718,
    0xff292819,
    0xff292718,
    0xff2c2618,
    0xff2d2713,
    0xff322711,
    0xff37280f,
    0xff36230b,
    0xff37200a,
    0xff362106,
    0xff422d0c,
    0xff4a380d,
    0xff4c3f0a,
    0xff53470f,
    0xff4b420b,
    0xff473f07,
    0xff463d0a,
    0xff3e3409,
    0xff352a05,
    0xff372a0b,
    0xff322703,
    0xff2f2c06,
    0xff272605,
    0xff34210f,
    0xff361809,
    0xff60371d,
    0xff81481c,
    0xffe79d6a,
    0xffb7753b,
    0xff4d0200,
    0xffd38529,
    0xffd27a1b,
    0xffdd7f1f,
    0xffd87627,
    0xffda7f22,
    0xffc87307,
    0xffc25b00,
    0xffbc5a0b,
    0xffc98736,
    0xffb57644,
    0xff531a0f,
    0xffbb6b29,
    0xffab5117,
    0xff600000,
    0xff953700,
    0xffdf9042,
    0xffb16419,
    0xff862100,
    0xff850600,
    0xffc24335,
    0xff9e3822,
    0xff681e06,
    0xff350100,
    0xff895828,
    0xff6b3300,
    0xff7a441f,
    0xff684532,
    0xff3d1805,
    0xff6b2d20,
    0xff4e0602,
    0xff6a2020,
    0xff83320d,
    0xffae4f05,
    0xffb94709,
    0xffb1340f,
    0xffa2240f,
    0xffa02f08,
    0xffb8570a,
    0xffbe7e13,
    0xffc48c1b,
    0xffaa7612,
    0xffa66200,
    0xffbe661d,
    0xffa4641e,
    0xff3d2305,
    0xff544530,
    0xff714c24,
    0xff9f7649,
    0xff905f3f,
    0xff7b4733,
    0xff845d47,
    0xff7d6357,
    0xff170000,
    0xff7d5527,
    0xff793a0b,
    0xff6d6655,
    0xff4c5d53,
    0xff010600,
    0xff312e2b,
    0xffc0b5b5,
    0xff040000,
    0xff000000,
    0xffd7d9e6,
    0xff7b737b,
    0xff656263,
    0xff081016,
    0xff687475,
    0xff0b0e09,
    0xff242530,
    0xff9fa7ba,
    0xff0b1517,
    0xff141e17,
    0xffa0b2aa,
    0xff000300,
    0xff2b362a,
    0xff928f87,
    0xff797b7f,
    0xff928ea7,
    0xff45070b,
    0xff45040a,
    0xff48060e,
    0xff46080d,
    0xff3f0a0a,
    0xff350e0a,
    0xff2c0d0b,
    0xff2a1011,
    0xff272531,
    0xff1a2036,
    0xff243757,
    0xff224264,
    0xff224869,
    0xff1d4463,
    0xff1e4362,
    0xff1c3e5f,
    0xff284c70,
    0xff22476c,
    0xff234771,
    0xff335885,
    0xff2f578a,
    0xff2e558e,
    0xff375e9c,
    0xff325d9c,
    0xff3664a0,
    0xff3b68a5,
    0xff3969a8,
    0xff3666a8,
    0xff4878bd,
    0xff3b6eb5,
    0xff3a6cb6,
    0xff3769b2,
    0xff386db6,
    0xff3a70ba,
    0xff3d73bc,
    0xff4177c0,
    0xff3e74bd,
    0xff3e73bd,
    0xff3c72ba,
    0xff4177c0,
    0xff4175c6,
    0xff4477c8,
    0xff4373c2,
    0xff4873bf,
    0xff4671b9,
    0xff4270b7,
    0xff3e6db7,
    0xff3769b2,
    0xff3e68b1,
    0xff4068ad,
    0xff3c64a2,
    0xff3f659c,
    0xff466c9b,
    0xff466c95,
    0xff3c6185,
    0xff3a5f80,
    0xff3d617f,
    0xff3b5d7b,
    0xff31526c,
    0xff2c4761,
    0xff213d53,
    0xff243b50,
    0xff273f51,
    0xff2b4254,
    0xff1f3949,
    0xff1b3542,
    0xff1b303b,
    0xff223841,
    0xff22353d,
    0xff2a3d44,
    0xff2c3f49,
    0xff30424f,
    0xff2a3f4d,
    0xff2c4654,
    0xff2e4a5b,
    0xff2a4b5c,
    0xff2a4d60,
    0xff2f5164,
    0xff385a6a,
    0xff3e5d6d,
    0xff3b4d55,
    0xff494047,
    0xff6d3e42,
    0xff8e3238,
    0xff7e070e,
    0xff820f15,
    0xff872b2c,
    0xff77332f,
    0xff633029,
    0xff72221f,
    0xffa31922,
    0xffc11623,
    0xffd2333a,
    0xffa71118,
    0xff9b020e,
    0xff92000c,
    0xff740207,
    0xff720105,
    0xff710007,
    0xff710007,
    0xff6e0006,
    0xff73010a,
    0xff7a020d,
    0xff860716,
    0xff7d000c,
    0xff77000a,
    0xff72000b,
    0xff720311,
    0xff710917,
    0xff69000e,
    0xff6c0110,
    0xff700413,
    0xff630104,
    0xff841113,
    0xff8e050a,
    0xff950207,
    0xff910007,
    0xff8f010b,
    0xff91020b,
    0xff900005,
    0xff9d111e,
    0xffc9262b,
    0xffbd070d,
    0xffb9101c,
    0xff99010e,
    0xffa5000f,
    0xff9d0412,
    0xff690308,
    0xff4d0002,
    0xff570003,
    0xff800b16,
    0xff9c0817,
    0xffa50009,
    0xffac0502,
    0xffde422d,
    0xffcb371c,
    0xffb4141d,
    0xffab1b15,
    0xffd03320,
    0xffd4351e,
    0xffc72e22,
    0xff910507,
    0xff770410,
    0xff7e0016,
    0xff7e0003,
    0xff820109,
    0xff790000,
    0xff8e3b27,
    0xff966f61,
    0xff542f2f,
    0xff683d4e,
    0xff78597e,
    0xff675b80,
    0xff66616d,
    0xff745973,
    0xff753a6f,
    0xff763664,
    0xff7f5582,
    0xff6a66a5,
    0xff506caf,
    0xff4260ab,
    0xff4971b2,
    0xff436ca6,
    0xff3c61a1,
    0xff4667ae,
    0xff4e6ab7,
    0xff405fa8,
    0xff33589b,
    0xff375c9a,
    0xff3d619f,
    0xff4064a2,
    0xff486bab,
    0xff4567a8,
    0xff4264a5,
    0xff4466a9,
    0xff4d70b1,
    0xff4771b4,
    0xff446dae,
    0xff406aab,
    0xff426eaf,
    0xff436cb1,
    0xff4c74bb,
    0xff4871b9,
    0xff4b73bd,
    0xff4676bd,
    0xff4f80c6,
    0xff5081cb,
    0xff5485d1,
    0xff5b8ad6,
    0xff608eda,
    0xff618cd7,
    0xff628bd7,
    0xff598ad9,
    0xff6191e0,
    0xff5e8ddb,
    0xff6191df,
    0xff5e8cd9,
    0xff5c87d5,
    0xff5a83d1,
    0xff557ecc,
    0xff567cca,
    0xff5279c8,
    0xff5378c5,
    0xff5276c2,
    0xff5172bc,
    0xff5577c0,
    0xff5474bb,
    0xff5273b7,
    0xff5577b6,
    0xff4d73b1,
    0xff436baa,
    0xff4068a8,
    0xff4566a8,
    0xff4665a6,
    0xff40619e,
    0xff3d5e9a,
    0xff3d6497,
    0xff3c6399,
    0xff3c639b,
    0xff4066a2,
    0xff395f9e,
    0xff4065a7,
    0xff4a6fb3,
    0xff496db1,
    0xff507bbf,
    0xff597fc5,
    0xff577cc2,
    0xff5b7bc2,
    0xff5878c0,
    0xff5a7fc3,
    0xff4b74b8,
    0xff4e78bb,
    0xff5978bd,
    0xff6380c2,
    0xff627fbd,
    0xff7088c1,
    0xff7086b9,
    0xff657aa6,
    0xff5f7298,
    0xff495c7d,
    0xff55657e,
    0xff53657d,
    0xff5f7189,
    0xff61728a,
    0xff687991,
    0xff556a81,
    0xff4b6078,
    0xff556a81,
    0xff5e7089,
    0xff687996,
    0xff60718d,
    0xff5b6b80,
    0xff606a78,
    0xff656f80,
    0xff7585a1,
    0xff6f85ab,
    0xff8994af,
    0xff8d97b9,
    0xff98a1c8,
    0xffa6afd9,
    0xffa5b0dc,
    0xffabb7e3,
    0xffa2b0dd,
    0xffa5b3df,
    0xffb0bceb,
    0xffaeb9ea,
    0xffaeb9ec,
    0xffa7b5e8,
    0xffa4b2e6,
    0xffaab5e9,
    0xffb4c1f3,
    0xffbac7f7,
    0xffbec7f6,
    0xffbfc3f3,
    0xffc3ccf6,
    0xffc2c3ed,
    0xffbfccef,
    0xffbabdf5,
    0xffc594a0,
    0xff872013,
    0xff973119,
    0xffd57e68,
    0xffac7d94,
    0xffbbc8f8,
    0xffaabbe2,
    0xffb5b3ea,
    0xffaab5f0,
    0xffafb9d9,
    0xffc8c1e5,
    0xffabb8e5,
    0xffacc0e9,
    0xffb2bbdc,
    0xffabb1d9,
    0xffa6b6ee,
    0xff9db1ea,
    0xffa3afde,
    0xff9bb2ec,
    0xff89a1dd,
    0xff7d98d4,
    0xff7d9ad7,
    0xff7c98da,
    0xff7995d9,
    0xff7b96dd,
    0xff7c9ae0,
    0xff678ac9,
    0xff6b84c6,
    0xff465899,
    0xff6172af,
    0xff596bab,
    0xff7789c8,
    0xff7e84b4,
    0xff565572,
    0xff7c7da1,
    0xffc1c2e8,
    0xffb5bbdf,
    0xffb5bce5,
    0xffb8c1f1,
    0xffc0caf9,
    0xffb8bfee,
    0xffbac3ec,
    0xffaeb7e2,
    0xffb1bae4,
    0xffafb8e1,
    0xffa8afd9,
    0xffaab1d9,
    0xffb4bce1,
    0xffbdc4e9,
    0xffc3c9ed,
    0xffc8ccf0,
    0xffc4c8ed,
    0xffc6c9ee,
    0xffc1c5ea,
    0xffbdc0e8,
    0xffbcbfe8,
    0xffbbbee8,
    0xffb9bce6,
    0xffbbc5e7,
    0xff8e8fa9,
    0xffffffff,
    0xff948da2,
    0xffcdd0ed,
    0xffbfc9ec,
    0xffb0b9e3,
    0xffb8c0ed,
    0xffacb3de,
    0xffa9b0dc,
    0xffa5addb,
    0xffa4abdf,
    0xffa0a7dc,
    0xff9ca7dc,
    0xff9ba5d9,
    0xff9da7dd,
    0xff99a5db,
    0xff94a0d5,
    0xff96a2d8,
    0xff9ca8df,
    0xff96a4dc,
    0xff93a0dd,
    0xff93a1e0,
    0xff96a5e6,
    0xff96a7e5,
    0xff8a9fdb,
    0xff8397d4,
    0xff849ad5,
    0xff8298d7,
    0xff869bd9,
    0xff8698d8,
    0xff8294d4,
    0xff8494d4,
    0xff808fcf,
    0xff7988c6,
    0xff7c8ac5,
    0xff7d8bc4,
    0xff8c9bd2,
    0xff8d9ed4,
    0xff97a8dd,
    0xff929fd5,
    0xff98a4db,
    0xff8d9dd7,
    0xff879cd6,
    0xff829ada,
    0xff7b97dc,
    0xff6c8ed6,
    0xff6a8fd9,
    0xff6489d7,
    0xff6b91e1,
    0xff6992e0,
    0xff6490e1,
    0xff5d8bde,
    0xff5785da,
    0xff5482d6,
    0xff5380d6,
    0xff5783d8,
    0xff5885d9,
    0xff5684d7,
    0xff5685d7,
    0xff5482d2,
    0xff537fd0,
    0xff5884d2,
    0xff5880d0,
    0xff5a7cc9,
    0xff5d7fc8,
    0xff6283c6,
    0xff6f8cce,
    0xff7b94d7,
    0xff8196d6,
    0xff8da0dc,
    0xff9bace1,
    0xff9daade,
    0xffa1aee1,
    0xff9ba6da,
    0xffa0afdf,
    0xffa7b5e9,
    0xffa7b6eb,
    0xffa1b3ea,
    0xffb0c4f8,
    0xffbad0ec,
    0xffcaddf9,
    0xffd2ddfe,
    0xffd0cff4,
    0xffd0d6f2,
    0xffbecbdd,
    0xffbdc3d7,
    0xffb8b3d8,
    0xffafb7d4,
    0xffbab6d7,
    0xffbbb4e4,
    0xffb3acd8,
    0xffa9a8c1,
    0xffa9abc4,
    0xffd5a6b8,
    0xff8b0e06,
    0xffc7301d,
    0xffc11c10,
    0xffb02212,
    0xffb51d15,
    0xffba1817,
    0xff9b0a08,
    0xff8f0000,
    0xff8e0000,
    0xffc3292e,
    0xffe06253,
    0xffa23919,
    0xffad220b,
    0xffb23f2a,
    0xff582e0e,
    0xff3f2d12,
    0xff3e331c,
    0xff35301d,
    0xff2c2d1d,
    0xff1e2a1e,
    0xff1c2e24,
    0xff1d3329,
    0xff22342b,
    0xff263126,
    0xff272e22,
    0xff242d25,
    0xff2d3023,
    0xff35250e,
    0xff965133,
    0xffeb6c4c,
    0xffc84720,
    0xffb1300e,
    0xffcc2c1b,
    0xffd13827,
    0xffd35132,
    0xffb94b28,
    0xffc8554a,
    0xff833635,
    0xff1c160a,
    0xff142017,
    0xff1c282a,
    0xff1c2f21,
    0xff2c3e32,
    0xff1b2d21,
    0xff1a2b21,
    0xff112218,
    0xff13241a,
    0xff111c12,
    0xff172219,
    0xff152920,
    0xff122820,
    0xff182b23,
    0xff1a2a21,
    0xff1d2a1f,
    0xff1e2b1a,
    0xff27341b,
    0xff262f14,
    0xff272c15,
    0xff1c220a,
    0xff1b200a,
    0xff252a14,
    0xff383d27,
    0xff1e230f,
    0xff282c1d,
    0xff1d2112,
    0xff2f341a,
    0xff262e14,
    0xff27311c,
    0xff202919,
    0xff0c140b,
    0xff6a6c69,
    0xffb9b9b6,
    0xff504b49,
    0xff080800,
    0xff252613,
    0xff21220d,
    0xff3d3f2a,
    0xff1d1e0b,
    0xff252513,
    0xff232313,
    0xff242716,
    0xff676954,
    0xff2a2b15,
    0xff31341d,
    0xff2a331a,
    0xff1a2914,
    0xff1f3021,
    0xff132218,
    0xff222f26,
    0xff7c847b,
    0xff1c251e,
    0xff0b1112,
    0xff040a0d,
    0xff000001,
    0xff7c7b7d,
    0xffc1bebb,
    0xff000000,
    0xff1e2116,
    0xff1d1a0f,
    0xff363125,
    0xff282315,
    0xff272314,
    0xff2a2816,
    0xff282111,
    0xff282111,
    0xff2d2411,
    0xff30250f,
    0xff35260d,
    0xff37250d,
    0xff38220b,
    0xff3e280e,
    0xff443211,
    0xff4b3a13,
    0xff483e0c,
    0xff4b440f,
    0xff4d4811,
    0xff47420c,
    0xff44400e,
    0xff403b0f,
    0xff3b330d,
    0xff332909,
    0xff2d2907,
    0xff35290d,
    0xff35270e,
    0xff2d1f05,
    0xff351800,
    0xff864a2c,
    0xffba6a33,
    0xffe49442,
    0xff884e12,
    0xffad6b40,
    0xffd18936,
    0xffc06d16,
    0xffb76401,
    0xffa64d00,
    0xffba630a,
    0xffcc7711,
    0xffbf7101,
    0xffc15a08,
    0xffd07810,
    0xfff1ab44,
    0xff3e0400,
    0xff883d1f,
    0xff6a1e0d,
    0xffa54e39,
    0xffa23300,
    0xffffaf69,
    0xff9e500c,
    0xff862d06,
    0xff811102,
    0xff972513,
    0xff8a2c08,
    0xff8f4a1a,
    0xff521d08,
    0xff6a3415,
    0xff936640,
    0xff340800,
    0xff5f2308,
    0xff7a3819,
    0xff90472e,
    0xff81291a,
    0xff7b1d00,
    0xff963407,
    0xffaa3e0d,
    0xffa32f01,
    0xffa32703,
    0xffab2e12,
    0xff991f00,
    0xff9e2906,
    0xffaf580d,
    0xffcc8b2f,
    0xff894e1c,
    0xffa46f20,
    0xffa77527,
    0xffbb8b26,
    0xff67420e,
    0xff0f0b00,
    0xff0f1200,
    0xff634620,
    0xff9f6b3c,
    0xff572d0e,
    0xff1d0a0c,
    0xff403438,
    0xff84796b,
    0xff5b463b,
    0xff54351b,
    0xff000000,
    0xffb0bbb8,
    0xff090a06,
    0xff000305,
    0xffa8a6a6,
    0xff8d817b,
    0xff000000,
    0xff6d6c79,
    0xffe9e2e9,
    0xff474248,
    0xff3c4547,
    0xff5b676a,
    0xff252628,
    0xff0f1015,
    0xff959cb4,
    0xff313231,
    0xff121508,
    0xff2b3b29,
    0xff888988,
    0xff020b06,
    0xff9a9790,
    0xff52545a,
    0xff8a85a3,
    0xff3c090d,
    0xff3f0a0e,
    0xff3f0a0c,
    0xff3b0607,
    0xff330304,
    0xff2d070c,
    0xff240e19,
    0xff201528,
    0xff354462,
    0xff315074,
    0xff2d598b,
    0xff26578d,
    0xff2d5e91,
    0xff325d92,
    0xff305c93,
    0xff3669a1,
    0xff3967a3,
    0xff3e6baa,
    0xff3b68a9,
    0xff3564aa,
    0xff3d6db6,
    0xff406fbe,
    0xff3c6dc0,
    0xff4272c7,
    0xff4276c4,
    0xff4274c4,
    0xff3d73c2,
    0xff3e73c3,
    0xff3b73c3,
    0xff4378cb,
    0xff3d72c7,
    0xff477bd0,
    0xff4376cc,
    0xff4478cd,
    0xff4375cb,
    0xff3f70c6,
    0xff4a7ccf,
    0xff4374c5,
    0xff4374c3,
    0xff3d6fbc,
    0xff396dab,
    0xff3d6daa,
    0xff3d69a3,
    0xff385e93,
    0xff2f5683,
    0xff2e5481,
    0xff2e5987,
    0xff305d91,
    0xff305b81,
    0xff315a7f,
    0xff305875,
    0xff345a73,
    0xff375b6f,
    0xff2d5263,
    0xff2d5161,
    0xff335868,
    0xff2a5569,
    0xff295265,
    0xff2e5366,
    0xff4b6f82,
    0xff345365,
    0xff234053,
    0xff324e62,
    0xff304c61,
    0xff203f5c,
    0xff23405b,
    0xff27455b,
    0xff243e51,
    0xff2d4756,
    0xff2a4151,
    0xff39505f,
    0xff384b5d,
    0xff425762,
    0xff445d68,
    0xff385461,
    0xff30505c,
    0xff23434f,
    0xff26434c,
    0xff264148,
    0xff284046,
    0xff2e3f36,
    0xff5a3636,
    0xff881d25,
    0xff960008,
    0xffa00103,
    0xff9c0200,
    0xffa50807,
    0xffa8050a,
    0xffa7181e,
    0xffc63037,
    0xffbf0314,
    0xffcb0116,
    0xffb0040f,
    0xff9f0710,
    0xff9f0614,
    0xff8f0612,
    0xff78010b,
    0xff77010b,
    0xff74010b,
    0xff73000c,
    0xff6f0009,
    0xff72000c,
    0xff7d0919,
    0xff730310,
    0xff6b000a,
    0xff6f000a,
    0xff760011,
    0xff7c0619,
    0xff720011,
    0xff6b000c,
    0xff6d000e,
    0xff6d010d,
    0xff6a0307,
    0xff83070d,
    0xff9b0912,
    0xff970006,
    0xff8f0208,
    0xff8b050b,
    0xff8c0007,
    0xff920008,
    0xff9c1022,
    0xffaa1617,
    0xffcb382d,
    0xffa92921,
    0xff890509,
    0xffad0317,
    0xffa9061d,
    0xff610005,
    0xff68111a,
    0xff69141b,
    0xff540000,
    0xff720004,
    0xff99040a,
    0xffbb1410,
    0xffd22b19,
    0xffd93b20,
    0xffb71d27,
    0xff940d0a,
    0xffbd1d17,
    0xffcf3423,
    0xffe04a38,
    0xffc0312b,
    0xff800d16,
    0xff850520,
    0xff68020c,
    0xff740010,
    0xff690000,
    0xffa86669,
    0xff463043,
    0xff603255,
    0xff7e1a41,
    0xff85133b,
    0xff945768,
    0xff5b372a,
    0xff6f3730,
    0xff770e25,
    0xff790015,
    0xff6d0315,
    0xff692c4e,
    0xff7a74a4,
    0xff5e7fc3,
    0xff558acc,
    0xff538bce,
    0xff568bd4,
    0xff5287d3,
    0xff547ccd,
    0xff5a7fcf,
    0xff5987d3,
    0xff5989d4,
    0xff5987d5,
    0xff5280cd,
    0xff5383d0,
    0xff5684d6,
    0xff5785d8,
    0xff5c8adf,
    0xff6491e9,
    0xff5b8ede,
    0xff5991e0,
    0xff5b92e0,
    0xff588fdb,
    0xff5990dd,
    0xff5c8fdd,
    0xff5e92e2,
    0xff5d90e0,
    0xff6092e0,
    0xff6395e4,
    0xff5c8fe1,
    0xff5789df,
    0xff5789df,
    0xff5886de,
    0xff628be2,
    0xff678ee5,
    0xff578ad7,
    0xff598ad6,
    0xff5889d4,
    0xff5384cd,
    0xff5482cc,
    0xff5682cb,
    0xff5781c9,
    0xff537dc6,
    0xff537bbc,
    0xff4f77b8,
    0xff4f76b7,
    0xff4169a7,
    0xff4369a8,
    0xff436aa7,
    0xff3e65a2,
    0xff3c64a2,
    0xff4262b1,
    0xff4469ba,
    0xff436cba,
    0xff4975c1,
    0xff4d76c0,
    0xff4973b9,
    0xff4f79bd,
    0xff5888c7,
    0xff5c88c6,
    0xff5f8aca,
    0xff6089cd,
    0xff618bd3,
    0xff638bd5,
    0xff6189d7,
    0xff6288d9,
    0xff6186d9,
    0xff5e88da,
    0xff557ecf,
    0xff5f85d8,
    0xff5c81d3,
    0xff5478c8,
    0xff597fcc,
    0xff537bc4,
    0xff5c84cc,
    0xff5979be,
    0xff5877bb,
    0xff5d78b9,
    0xff637dbb,
    0xff657bb2,
    0xff6a81af,
    0xff7c92bc,
    0xff98add3,
    0xff899bb7,
    0xff8899b5,
    0xff7b8ca8,
    0xff506580,
    0xff566a85,
    0xff677b96,
    0xff6c809b,
    0xff768aa7,
    0xff6e83a2,
    0xff6c799c,
    0xff626d90,
    0xff5a6986,
    0xff6f7e98,
    0xff7c85a2,
    0xff8b98bb,
    0xff90a4ce,
    0xff94a5d0,
    0xff99addb,
    0xff99adde,
    0xff97abe0,
    0xff97abe0,
    0xff98a7d9,
    0xff9ca8d5,
    0xffa0aad4,
    0xff98a7e0,
    0xff9dabe9,
    0xff9cade9,
    0xff9dafe9,
    0xffa3b6ec,
    0xffa3b4eb,
    0xff9caee0,
    0xff9fb0e1,
    0xff9da5e1,
    0xff9ea9e4,
    0xff97a8da,
    0xff99a9dc,
    0xff97b2e1,
    0xff9aa6ed,
    0xffcaa4ca,
    0xff721730,
    0xff964850,
    0xffc19bae,
    0xffa1a8da,
    0xff83a4e1,
    0xff82a5d6,
    0xff7e9ee0,
    0xff7495e3,
    0xff7f97d0,
    0xff89a2cd,
    0xff7a9bd7,
    0xff80a1e8,
    0xff88a0e4,
    0xff809cdc,
    0xff7aa4e9,
    0xff789fe3,
    0xff738fcc,
    0xff6b8acd,
    0xff7194d7,
    0xff7a9ce3,
    0xff769be2,
    0xff7499e4,
    0xff7295e3,
    0xff7092e3,
    0xff7396e7,
    0xff81abef,
    0xff8da8f2,
    0xff8ea0e4,
    0xff96abe4,
    0xff97b5f5,
    0xff8ba6f1,
    0xff97a7e4,
    0xffabaed3,
    0xff5f5a7b,
    0xff5f5b79,
    0xffb5b2cf,
    0xffbcbede,
    0xffbcbee4,
    0xffb7bce6,
    0xffbdc6f0,
    0xffb3bfe6,
    0xffb2bae7,
    0xffadb5e3,
    0xffb0b8e6,
    0xffb7bfed,
    0xffb6bfeb,
    0xffb6c1ec,
    0xffbac5f2,
    0xffb8c2ef,
    0xffbac3ea,
    0xffb7bfe6,
    0xffb5bce5,
    0xffb1b7e2,
    0xffadb3df,
    0xffacb5e2,
    0xffa9b1df,
    0xffacb6e2,
    0xffa2afd6,
    0xffa0a2c2,
    0xffd2c9df,
    0xff8a81a2,
    0xffb4b7d9,
    0xffaab5d0,
    0xffb4bce8,
    0xff9396c5,
    0xff8a91c0,
    0xffafb7e6,
    0xffb2b9ed,
    0xffa7b1e8,
    0xffa9b3ea,
    0xffa7b1ea,
    0xffa4afe5,
    0xffa7b1e7,
    0xffa4b3eb,
    0xffa3b1eb,
    0xffa3b3ed,
    0xffa5b4ed,
    0xffa1b1ec,
    0xff9aaae6,
    0xff9babeb,
    0xff97a6e9,
    0xff8a9ddd,
    0xff8c9ede,
    0xff8ca0df,
    0xff879bda,
    0xff8ea1de,
    0xff90a3e0,
    0xff8f9edc,
    0xff90a0dd,
    0xff9ba8e5,
    0xff9faae8,
    0xffa8b3ed,
    0xffadb8ef,
    0xffafbbf0,
    0xffaeb9ed,
    0xffa5b3e6,
    0xffa8b4e7,
    0xffabb7ec,
    0xffa3b0e7,
    0xff9cace6,
    0xff8ba0dc,
    0xff7f9add,
    0xff7092d9,
    0xff648cd7,
    0xff618dda,
    0xff668cdc,
    0xff678ddc,
    0xff658cdc,
    0xff668fdd,
    0xff628cd8,
    0xff6c95e1,
    0xff6d95e1,
    0xff6a90de,
    0xff7f97db,
    0xff829bdd,
    0xff85a1df,
    0xff829edd,
    0xff86a3e0,
    0xff8ba5e3,
    0xff8fa4e2,
    0xff8fa4e1,
    0xff93a9ea,
    0xff94aae9,
    0xff9aaee9,
    0xffa5b9f2,
    0xff9fb3ed,
    0xffa6b6f0,
    0xffa6b5ef,
    0xffa1b1e5,
    0xffa5b1e7,
    0xffa0b1e7,
    0xff9eafe7,
    0xff92a6e0,
    0xff8ea5e0,
    0xff8299d8,
    0xff7d96d5,
    0xff7089ca,
    0xff708bc6,
    0xff6481c2,
    0xff7281c0,
    0xff8991ca,
    0xff8e9cd1,
    0xff9dacd3,
    0xffb6bde5,
    0xffb5bdf1,
    0xffb0bce3,
    0xffb5b2e2,
    0xffaba2d7,
    0xff9697bb,
    0xff969ab0,
    0xffb29db8,
    0xff933e56,
    0xff980105,
    0xffad0b03,
    0xffad0602,
    0xffbf2d22,
    0xffe0423d,
    0xffe94243,
    0xff940503,
    0xff930305,
    0xff910002,
    0xffc93a3e,
    0xffc64b3b,
    0xffa42f13,
    0xffb22310,
    0xffbb4635,
    0xff5f341a,
    0xff4a361a,
    0xff56301e,
    0xff4d2e24,
    0xff442f24,
    0xff393126,
    0xff282d20,
    0xff243022,
    0xff223122,
    0xff233020,
    0xff2d3727,
    0xff31392a,
    0xff3f3116,
    0xff69380f,
    0xffd6774c,
    0xfff87d56,
    0xffc24723,
    0xffbc3c19,
    0xffcb3418,
    0xffc84126,
    0xffcc5429,
    0xffbc5c2d,
    0xffb8584c,
    0xffad7072,
    0xff282519,
    0xff0f170b,
    0xff1d2621,
    0xff1a281b,
    0xff202e21,
    0xff1f2e24,
    0xff14251b,
    0xff15261c,
    0xff122218,
    0xff0f1c13,
    0xff122018,
    0xff152726,
    0xff1a2d2c,
    0xff1c2c2a,
    0xff15251e,
    0xff1a271e,
    0xff1d2a19,
    0xff24301e,
    0xff252e18,
    0xff1a1f03,
    0xff1f2308,
    0xff24270d,
    0xff1e2108,
    0xff30341d,
    0xff4a4d39,
    0xff474938,
    0xff323426,
    0xff202112,
    0xff2b2e1c,
    0xff242916,
    0xff2c3223,
    0xff51554a,
    0xff82847c,
    0xff5c5a4f,
    0xff726f60,
    0xffbdbbbc,
    0xff505350,
    0xff151d17,
    0xff383d32,
    0xff3b3d31,
    0xff20230e,
    0xff191e05,
    0xff3c4527,
    0xff96876d,
    0xff7c6d4f,
    0xff4c3e1b,
    0xff3a320d,
    0xff363616,
    0xff2e2e16,
    0xff34331f,
    0xff272411,
    0xff000400,
    0xffd8ded1,
    0xffb8c0b5,
    0xffc6cec5,
    0xffcdd3cc,
    0xff96988f,
    0xfffffff6,
    0xff5e594d,
    0xff201e11,
    0xff2f281c,
    0xff3d3425,
    0xff2f2816,
    0xff2a2512,
    0xff2b2613,
    0xff292210,
    0xff2e2212,
    0xff2f2412,
    0xff392914,
    0xff3b2c13,
    0xff3b280e,
    0xff3f2913,
    0xff38230a,
    0xff372304,
    0xff382905,
    0xff372d03,
    0xff383101,
    0xff3c3806,
    0xff3d3b06,
    0xff3e3b09,
    0xff3b360a,
    0xff37330c,
    0xff363110,
    0xff382f14,
    0xff3e2d15,
    0xff32230a,
    0xff2a2606,
    0xff261800,
    0xff6f4424,
    0xffaf7539,
    0xffecbb5f,
    0xffb18739,
    0xffb58020,
    0xffe4a529,
    0xffad6507,
    0xff9f5b11,
    0xff98562a,
    0xff641c00,
    0xffce8a34,
    0xffb27904,
    0xffce6718,
    0xffc05f03,
    0xffffce6c,
    0xff5b2106,
    0xff691d0d,
    0xff360000,
    0xffb45e3e,
    0xffff8b67,
    0xffae4f19,
    0xff611400,
    0xffa43d1a,
    0xff770000,
    0xffb54f35,
    0xffa2461c,
    0xffa3440f,
    0xff863819,
    0xff7b3408,
    0xff603103,
    0xff84542e,
    0xffb9653f,
    0xff9b3a0e,
    0xff93360f,
    0xff9f3813,
    0xffc35d20,
    0xffa23a04,
    0xff962901,
    0xffa73715,
    0xff9e2617,
    0xffa1241b,
    0xff9e2205,
    0xffab2c18,
    0xffa42b06,
    0xffa05316,
    0xff573000,
    0xff342302,
    0xff1e1300,
    0xff917040,
    0xff815e3a,
    0xff161804,
    0xff111f15,
    0xff180600,
    0xff7f5932,
    0xff1c0900,
    0xff141a0f,
    0xff0b1300,
    0xff171301,
    0xff584747,
    0xff7b6f65,
    0xff2b2728,
    0xff000000,
    0xffd9d9d6,
    0xff000000,
    0xff000000,
    0xffffffff,
    0xff0b110b,
    0xff0e1117,
    0xffd8d5d9,
    0xff5d5a60,
    0xff6c7475,
    0xff29313b,
    0xff2f3137,
    0xff050705,
    0xff878fa6,
    0xff524b51,
    0xff161000,
    0xff131d03,
    0xff61605b,
    0xff52585a,
    0xff847f7b,
    0xff4d4c4f,
    0xffafacc5,
    0xff3b0910,
    0xff370c0e,
    0xff330d0d,
    0xff33080b,
    0xff3b0e19,
    0xff26051c,
    0xff0e052b,
    0xff1b2c59,
    0xff336295,
    0xff3a6aab,
    0xff3e6cba,
    0xff3e72c0,
    0xff3a71b9,
    0xff3c75b8,
    0xff487cc7,
    0xff4977ca,
    0xff4076c2,
    0xff4176c6,
    0xff477cca,
    0xff487ccc,
    0xff467acb,
    0xff477bcd,
    0xff487dcf,
    0xff487dcf,
    0xff467acc,
    0xff4074c7,
    0xff4479ca,
    0xff3d72c2,
    0xff4378c6,
    0xff4678c6,
    0xff4677c5,
    0xff4374c1,
    0xff3c6cbc,
    0xff3968b5,
    0xff3867b3,
    0xff3765af,
    0xff3560aa,
    0xff3563a7,
    0xff355ea3,
    0xff365fa2,
    0xff346299,
    0xff325a90,
    0xff335489,
    0xff405d88,
    0xff6881a3,
    0xff819ebe,
    0xff6988af,
    0xff426492,
    0xff3b6188,
    0xff3a5e84,
    0xff395b80,
    0xff3c5d7f,
    0xff3b5c7f,
    0xff3f5e86,
    0xff3d5e88,
    0xff41628e,
    0xff366188,
    0xff416b91,
    0xff3d6188,
    0xff3a5e83,
    0xff3e5e81,
    0xff436588,
    0xff36587b,
    0xff36587d,
    0xff385b80,
    0xff385979,
    0xff34546e,
    0xff2c4c5f,
    0xff23414f,
    0xff334e59,
    0xff374e5a,
    0xff29404c,
    0xff2c3f44,
    0xff2e4048,
    0xff2c4248,
    0xff273c40,
    0xff2d3d41,
    0xff323b3a,
    0xff333432,
    0xff413d39,
    0xff52403c,
    0xff703134,
    0xff7d0611,
    0xff93000a,
    0xff970308,
    0xff990408,
    0xffa5040b,
    0xffac000b,
    0xff8e0000,
    0xffe34f52,
    0xffb5111d,
    0xffb10312,
    0xffb0101d,
    0xff940b12,
    0xff7c0005,
    0xff7a0208,
    0xff7f000b,
    0xff7c000b,
    0xff78000d,
    0xff6c0004,
    0xffa02a38,
    0xffa93442,
    0xff74020e,
    0xff6d0009,
    0xff680009,
    0xff6e000d,
    0xff71000d,
    0xff6f000d,
    0xff680009,
    0xff670009,
    0xff6e010c,
    0xff73000b,
    0xff79030c,
    0xff7e0005,
    0xff8c0308,
    0xff8e0005,
    0xff8f0109,
    0xff8f030c,
    0xff8c0008,
    0xff93030c,
    0xff8f0014,
    0xff980e0e,
    0xffb12b20,
    0xffb93e3b,
    0xff8b0714,
    0xffa00011,
    0xffae0a1b,
    0xff9e262b,
    0xff6f1315,
    0xffa35d57,
    0xff571e17,
    0xff4d0000,
    0xff750000,
    0xffa20f0a,
    0xffc4341e,
    0xffd14e2f,
    0xffcf3e3c,
    0xff971a19,
    0xff9c000d,
    0xffa50d11,
    0xffd13f35,
    0xffdb4d43,
    0xff91231f,
    0xff95132a,
    0xff7b1b30,
    0xff6e0522,
    0xff6b061b,
    0xffa36e7d,
    0xff73647f,
    0xff8a587b,
    0xffab4b65,
    0xff6a0013,
    0xff953949,
    0xff6e1a1c,
    0xff791317,
    0xff780115,
    0xff7c0016,
    0xff84020a,
    0xff750010,
    0xff934778,
    0xff8a8dd2,
    0xff6184cd,
    0xff618de3,
    0xff598ae2,
    0xff5491df,
    0xff5f8fdc,
    0xff6289d9,
    0xff568cd9,
    0xff5d90e0,
    0xff5b8bde,
    0xff5c8dde,
    0xff568bda,
    0xff588cde,
    0xff5b8fe2,
    0xff5a8de2,
    0xff5c90e7,
    0xff568be4,
    0xff588fe3,
    0xff578fe2,
    0xff518bd9,
    0xff558fdc,
    0xff568edb,
    0xff6094e2,
    0xff5e90e0,
    0xff618edb,
    0xff618fda,
    0xff5d8cdc,
    0xff5989d6,
    0xff5b88d3,
    0xff5983cc,
    0xff537abe,
    0xff5074b7,
    0xff567bb8,
    0xff4d73af,
    0xff4a70af,
    0xff436aa9,
    0xff3c66a6,
    0xff3862a4,
    0xff345fa2,
    0xff2a5599,
    0xff3b63a4,
    0xff3962a3,
    0xff3b64a7,
    0xff456db0,
    0xff4b74b7,
    0xff517fc2,
    0xff5483c6,
    0xff5587c8,
    0xff5b85cb,
    0xff5e8dd5,
    0xff5a8bd6,
    0xff5789d5,
    0xff5885da,
    0xff638ce3,
    0xff6592ec,
    0xff6895ee,
    0xff6392e1,
    0xff6695e2,
    0xff6592e1,
    0xff6490df,
    0xff648edd,
    0xff6188d7,
    0xff668ddb,
    0xff648bd9,
    0xff6086cd,
    0xff5e84ca,
    0xff547ac0,
    0xff5981c4,
    0xff567cbd,
    0xff5579b6,
    0xff5678b2,
    0xff5172aa,
    0xff55789e,
    0xff4a6d92,
    0xff40628a,
    0xff42618a,
    0xff49668c,
    0xff526d90,
    0xff506885,
    0xff3d5673,
    0xff657599,
    0xff7785aa,
    0xff6a7ea1,
    0xff7789ac,
    0xff7486ac,
    0xff7486ac,
    0xff7e92b9,
    0xff7f94bb,
    0xff7993ba,
    0xff919cc9,
    0xff9199c6,
    0xff8ea5cf,
    0xff91b0dd,
    0xff8fa3d9,
    0xff96a8de,
    0xff8ea5da,
    0xff96aaec,
    0xff92a8e8,
    0xff8aa2df,
    0xff8ba3e0,
    0xff95aae9,
    0xff98aeeb,
    0xff9fb0ec,
    0xff96a6df,
    0xff86a1e3,
    0xff86a3e5,
    0xff7f9fe1,
    0xff7e9ee0,
    0xff84a3e5,
    0xff83a0e1,
    0xff88a6e3,
    0xff89a4e0,
    0xff98aced,
    0xff8aa6e5,
    0xff87a3e8,
    0xff84a3e8,
    0xff84a5df,
    0xff8899eb,
    0xff9c9ad4,
    0xff785998,
    0xff9c97d8,
    0xff6c8ac5,
    0xff6c95d9,
    0xff6e90d6,
    0xff6f94d5,
    0xff6e97dd,
    0xff7696e5,
    0xff7091da,
    0xff688fc7,
    0xff668fd7,
    0xff688ee1,
    0xff6889d6,
    0xff7294dc,
    0xff6f96dd,
    0xff6891d8,
    0xff7193db,
    0xff7597dd,
    0xff799be3,
    0xff799be2,
    0xff789ae0,
    0xff799be2,
    0xff7596db,
    0xff7392d9,
    0xff7493da,
    0xff7999db,
    0xff7993d1,
    0xff889dd6,
    0xff899cd5,
    0xff859bd6,
    0xff7d96d3,
    0xff8b9ed9,
    0xff8e9cd1,
    0xffb0b3db,
    0xff5b597c,
    0xff615e7b,
    0xffb5b0cd,
    0xffc6c1e3,
    0xffc2c1e7,
    0xffa2a7ce,
    0xffb9c3ea,
    0xffb1b8e6,
    0xffaeb6e6,
    0xffa9b3e5,
    0xffa8b2e6,
    0xff9faae0,
    0xff97a4da,
    0xff95a4da,
    0xff96a4de,
    0xff95a3d8,
    0xff96a3d9,
    0xff96a7db,
    0xff9dade1,
    0xff9cabe1,
    0xff99a6df,
    0xff97a9e0,
    0xff93a5dc,
    0xff92a5db,
    0xffa5abd3,
    0xff918e9d,
    0xff867da4,
    0xffa7acdc,
    0xffa7b4dd,
    0xff8a92c4,
    0xffa4a4d3,
    0xffb6bff0,
    0xffabb6e9,
    0xffa1ace2,
    0xff9fa8e3,
    0xff9ba6e2,
    0xff9ca8e2,
    0xff9aa6df,
    0xff98a8dc,
    0xff94a9de,
    0xff8a9ed3,
    0xff899cd1,
    0xff889bcf,
    0xff8596cc,
    0xff8192cc,
    0xff7b8bc7,
    0xff7f8fcc,
    0xff8c9cd8,
    0xff899ad5,
    0xff8ea0db,
    0xff8fa3dc,
    0xff97a9e1,
    0xff96a6e0,
    0xff9cabe1,
    0xff9eabe3,
    0xff9eabe1,
    0xff9fade0,
    0xffa4b0e3,
    0xffa7b0e4,
    0xffabb4e9,
    0xffaab6ea,
    0xff9eabdf,
    0xffa2afe6,
    0xff99aae4,
    0xff98abe5,
    0xff8ca1db,
    0xff8ca2e0,
    0xff829dde,
    0xff7a9be0,
    0xff7297de,
    0xff769be6,
    0xff7b99e3,
    0xff7b99e4,
    0xff7896dd,
    0xff7393d6,
    0xff7a97da,
    0xff809bda,
    0xff90aae6,
    0xff95abe9,
    0xff98a4db,
    0xff9ba7dc,
    0xff97a8dc,
    0xff92a4d9,
    0xff95a7da,
    0xff96a4da,
    0xff95a0d6,
    0xff98a1d8,
    0xff96a2df,
    0xff96a3da,
    0xff8e9dd1,
    0xff8495c9,
    0xff8b9bd4,
    0xff7e92cc,
    0xff778bc5,
    0xff788cc6,
    0xff7c90cd,
    0xff7a90d2,
    0xff6e8ccc,
    0xff6486c8,
    0xff5c7cc2,
    0xff5f7ec1,
    0xff6c88cc,
    0xff7891d4,
    0xff7d99ce,
    0xff7d9edf,
    0xff879cd8,
    0xff8c9cd2,
    0xff8ca6e4,
    0xff8ea1e2,
    0xff9ea6e4,
    0xff899fe0,
    0xff8494cc,
    0xff7584c0,
    0xff8692c7,
    0xff8795bf,
    0xff9691b9,
    0xffaf7493,
    0xff7e0819,
    0xff9e0b18,
    0xffa2040a,
    0xffa70007,
    0xffb71f1e,
    0xffbb1618,
    0xffa80001,
    0xff940604,
    0xff930206,
    0xff9c0008,
    0xffc8242b,
    0xffcc3d34,
    0xffdd4838,
    0xffbe3c29,
    0xff884830,
    0xff3f381d,
    0xff3a4628,
    0xff3a361b,
    0xff373b22,
    0xff3d3823,
    0xff422e1f,
    0xff4c2c20,
    0xff4b2b22,
    0xff3f2d1e,
    0xff2d2e19,
    0xff252e17,
    0xff36270e,
    0xff3c1900,
    0xffd28352,
    0xffdb6836,
    0xfff0794b,
    0xffcd5a30,
    0xffbb421b,
    0xffc24721,
    0xffc35133,
    0xffb54424,
    0xffa94d29,
    0xffb95a40,
    0xffa75847,
    0xff8c604e,
    0xff634539,
    0xff262014,
    0xff2d3327,
    0xff212b1d,
    0xff222d21,
    0xff18231c,
    0xff131f16,
    0xff162118,
    0xff141f17,
    0xff141f16,
    0xff17291b,
    0xff1b2d1c,
    0xff253722,
    0xff334228,
    0xff334224,
    0xff455334,
    0xff3e4928,
    0xff3c4526,
    0xff394024,
    0xff3b4225,
    0xff363d20,
    0xff2c3318,
    0xff2b311a,
    0xff232814,
    0xff292e1e,
    0xff64675a,
    0xff717069,
    0xff5b5c50,
    0xff555747,
    0xff5b5d4d,
    0xff4c4c40,
    0xff1d1b0f,
    0xff383220,
    0xff443f28,
    0xff292919,
    0xff6f7566,
    0xffb4beaf,
    0xff62675a,
    0xff939485,
    0xff272711,
    0xff383c1f,
    0xff27320f,
    0xff968f83,
    0xffb5af9e,
    0xff242208,
    0xff32341b,
    0xff29331f,
    0xff1c291c,
    0xff1a241a,
    0xff242d23,
    0xff6c736b,
    0xff2c372d,
    0xff17251a,
    0xff000e03,
    0xff000d02,
    0xff010c03,
    0xff0f140d,
    0xffffffff,
    0xff0f0c00,
    0xff4c4438,
    0xff312819,
    0xff1b1402,
    0xff1e1906,
    0xff201d0a,
    0xff241e0b,
    0xff261b0c,
    0xff302110,
    0xff32210a,
    0xff362209,
    0xff38220a,
    0xff39230b,
    0xff3b240c,
    0xff402e0f,
    0xff433412,
    0xff41350f,
    0xff453c11,
    0xff4c4616,
    0xff4c4815,
    0xff45410f,
    0xff3e370b,
    0xff362e08,
    0xff322809,
    0xff35260c,
    0xff30230d,
    0xff2d2609,
    0xff262302,
    0xff241e02,
    0xff2c1706,
    0xff2b0f00,
    0xff967b33,
    0xff401400,
    0xffbc8425,
    0xffffcc42,
    0xffcb8723,
    0xff461300,
    0xff2f0e00,
    0xff2f0c00,
    0xff6e4809,
    0xffbe7f18,
    0xffcf6913,
    0xffad6119,
    0xff390800,
    0xff380d00,
    0xffa55e18,
    0xffc16a32,
    0xffe37258,
    0xffc15d48,
    0xff853912,
    0xffb86d38,
    0xff8a2300,
    0xff7b0800,
    0xffa23c26,
    0xff8c2d0a,
    0xff982e04,
    0xffa84111,
    0xffaa5c12,
    0xffbe8843,
    0xff4d1300,
    0xff92441a,
    0xff9e4015,
    0xff9b3b11,
    0xffa14610,
    0xffaa5915,
    0xffb05b14,
    0xffaa4b10,
    0xff9e3402,
    0xffab3324,
    0xffa5261f,
    0xffb63a0e,
    0xffb5340d,
    0xffac2615,
    0xff983c24,
    0xff462108,
    0xff271e18,
    0xff191909,
    0xff242008,
    0xff1b1b02,
    0xff101b12,
    0xff13191a,
    0xff1e1c01,
    0xff151100,
    0xff1b1a12,
    0xff0f1b09,
    0xff0b1a00,
    0xff121305,
    0xff0f0900,
    0xff262720,
    0xff74696e,
    0xff69615c,
    0xff19180f,
    0xff9a9698,
    0xff000000,
    0xff182417,
    0xff858d8b,
    0xff000500,
    0xff52504e,
    0xff99979e,
    0xff5f686a,
    0xff39424d,
    0xff5f5d68,
    0xff1b1f16,
    0xff727a90,
    0xff5e596a,
    0xff181701,
    0xff1a2a03,
    0xff0b0b02,
    0xffa1a5ab,
    0xffdacfcf,
    0xff302d29,
    0xff98919b,
    0xff36090f,
    0xff2c080b,
    0xff290a0b,
    0xff2d0b0e,
    0xff34091d,
    0xff4e315a,
    0xff505994,
    0xff4869b0,
    0xff4d7bc8,
    0xff4e7ad4,
    0xff4a74d7,
    0xff4e7bdc,
    0xff4b7ed4,
    0xff487dcd,
    0xff4277cd,
    0xff4478d4,
    0xff4178cd,
    0xff3b73c7,
    0xff3d75c8,
    0xff3a71c1,
    0xff356ab8,
    0xff386eb8,
    0xff356bb4,
    0xff3266af,
    0xff3665b6,
    0xff3e6dc0,
    0xff3a6ab8,
    0xff376ab6,
    0xff3163ad,
    0xff3161a9,
    0xff305fa5,
    0xff3462a7,
    0xff2e5c9c,
    0xff2e5b98,
    0xff315e9b,
    0xff2f5b93,
    0xff315a91,
    0xff2b5688,
    0xff315a8d,
    0xff325b8d,
    0xff305a89,
    0xff2f5184,
    0xff365181,
    0xff3f577e,
    0xff647894,
    0xff677e98,
    0xff546e8e,
    0xff3e5a82,
    0xff30527b,
    0xff32557a,
    0xff385a7a,
    0xff3b5c77,
    0xff3b5c75,
    0xff385a72,
    0xff3b5e77,
    0xff3c6079,
    0xff476581,
    0xff435f78,
    0xff3c576e,
    0xff3a5265,
    0xff32495c,
    0xff294253,
    0xff2c4456,
    0xff233d4f,
    0xff1f364c,
    0xff152b3e,
    0xff1d313b,
    0xff172b30,
    0xff213230,
    0xff2c3b32,
    0xff2c362f,
    0xff2e372f,
    0xff313e35,
    0xff2c3b33,
    0xff2a3930,
    0xff313e34,
    0xff393d30,
    0xff473c2e,
    0xff624938,
    0xff684332,
    0xff68191e,
    0xff61040a,
    0xff74040b,
    0xff87080e,
    0xff890107,
    0xff890004,
    0xff91040b,
    0xff93040c,
    0xff860f0c,
    0xffd72738,
    0xffb3000e,
    0xffa2121b,
    0xff8f1a1d,
    0xff76080b,
    0xff7d0107,
    0xff880007,
    0xff7f0109,
    0xff79030c,
    0xff5f0000,
    0xffa1343c,
    0xffff9ba3,
    0xff95202b,
    0xff740009,
    0xff740008,
    0xff71000c,
    0xff72000f,
    0xff6a020d,
    0xff5d0008,
    0xff590306,
    0xff5e0104,
    0xff72030a,
    0xff80000c,
    0xff83020e,
    0xff800309,
    0xff7c0000,
    0xff880106,
    0xff8f0008,
    0xff90000b,
    0xff8d000c,
    0xff89010b,
    0xff8a0012,
    0xff8e0709,
    0xffa41f1c,
    0xff8d101a,
    0xff891421,
    0xff9c1621,
    0xff970205,
    0xffb12824,
    0xff971a1a,
    0xff710905,
    0xff8b2f25,
    0xff5d0000,
    0xff7d0803,
    0xffb5271f,
    0xffab1005,
    0xffca2e1a,
    0xffbd3628,
    0xff9f2d2e,
    0xff9c0522,
    0xff950317,
    0xff9d1210,
    0xffb92d22,
    0xffad4336,
    0xff94141d,
    0xff8d1a3c,
    0xff95335a,
    0xff91455d,
    0xff8a505f,
    0xff9c536c,
    0xff9a1f3c,
    0xff8c081a,
    0xff771e28,
    0xff7e373b,
    0xff720917,
    0xff8f0114,
    0xff8f0a25,
    0xff72051a,
    0xff7e0500,
    0xff8e0706,
    0xff73062b,
    0xff8464a0,
    0xff7c87cd,
    0xff6883dd,
    0xff6084e5,
    0xff5e92e8,
    0xff5c88dc,
    0xff698de7,
    0xff5b90e9,
    0xff5d8ae1,
    0xff618ee4,
    0xff5886d9,
    0xff5986d7,
    0xff5d8adb,
    0xff5f8edd,
    0xff5e8cdd,
    0xff5f8ddf,
    0xff618bdf,
    0xff5c88d9,
    0xff5e8cd8,
    0xff5d8cd4,
    0xff5785cb,
    0xff4b7abd,
    0xff4c76ba,
    0xff4e77b9,
    0xff4c74b2,
    0xff456cae,
    0xff3f6ba8,
    0xff3f6aa7,
    0xff3e699f,
    0xff3c6594,
    0xff2f557f,
    0xff2f5078,
    0xff385480,
    0xff3c5889,
    0xff415e92,
    0xff3e5d93,
    0xff3b609b,
    0xff3f68a6,
    0xff4b73b5,
    0xff4f7bbe,
    0xff5079c4,
    0xff5981cf,
    0xff638bd9,
    0xff638ddc,
    0xff5e89d9,
    0xff6392e3,
    0xff6093e5,
    0xff6093e5,
    0xff6392e3,
    0xff6092e1,
    0xff6095e2,
    0xff5d8fdb,
    0xff5f8edb,
    0xff618bd9,
    0xff5a86d0,
    0xff5281cb,
    0xff5787d6,
    0xff5887d6,
    0xff5784d1,
    0xff5984cd,
    0xff5881c7,
    0xff557dc1,
    0xff486fb1,
    0xff466dae,
    0xff4767a6,
    0xff3f619f,
    0xff466aa8,
    0xff3e64a0,
    0xff40649e,
    0xff3f5e94,
    0xff395488,
    0xff405a8a,
    0xff385b88,
    0xff406292,
    0xff5070a6,
    0xff506ea8,
    0xff617cb9,
    0xff7b94ce,
    0xff879ed7,
    0xff8fa3d7,
    0xff899bc6,
    0xff98aad4,
    0xff97a8d4,
    0xffa0b1de,
    0xff99aad7,
    0xff99abdb,
    0xffa5b6e6,
    0xffadc1ef,
    0xffa2bbe9,
    0xffabb5e6,
    0xffa2abde,
    0xff92afe5,
    0xff7fa9e5,
    0xff83a2e9,
    0xff87a0e4,
    0xff849fde,
    0xff7a97e3,
    0xff7f9ce1,
    0xff7e9cda,
    0xff80a0de,
    0xff7b9fe0,
    0xff739ae0,
    0xff739be8,
    0xff729de9,
    0xff759ce4,
    0xff6e97de,
    0xff6d97de,
    0xff6c96e1,
    0xff6c95e0,
    0xff6e97e1,
    0xff6c95df,
    0xff6f93dd,
    0xff7a9bd8,
    0xff799fe2,
    0xff7fa1f0,
    0xff7d9ef0,
    0xff7899d8,
    0xff718edb,
    0xff7098d4,
    0xff7399e5,
    0xff708eea,
    0xff6f92e5,
    0xff6d91dd,
    0xff6e92e4,
    0xff6296e7,
    0xff6596df,
    0xff6c90d5,
    0xff6799dc,
    0xff7697e6,
    0xff799de7,
    0xff7ca4e4,
    0xff82a5e0,
    0xff88a1e2,
    0xff8da4e9,
    0xff8ca4ee,
    0xff89a7ef,
    0xff839fe9,
    0xff8aa7ef,
    0xff809de3,
    0xff809edf,
    0xff839ede,
    0xff839ed9,
    0xff97b0e9,
    0xff9db4ed,
    0xff9fb3eb,
    0xffa9c0ef,
    0xffb1c8f7,
    0xffabbdf3,
    0xffafbdef,
    0xffadbae4,
    0xffa2b5e6,
    0xff9fb5f4,
    0xffaab4e4,
    0xffc8cdf6,
    0xff8988a9,
    0xff534c69,
    0xffb1abcc,
    0xffb4b1d5,
    0xffb1b4da,
    0xffa3abd4,
    0xffa9b2e4,
    0xffa6aee2,
    0xffa7b1e8,
    0xffaab6ed,
    0xffa1b2ea,
    0xff9bade9,
    0xff8fa2e0,
    0xff8c9edd,
    0xff8fa3e2,
    0xff889cdc,
    0xff7e91d3,
    0xff8399da,
    0xff899fdf,
    0xff89a0e2,
    0xff849bdd,
    0xff7f96da,
    0xff8499dd,
    0xff98a1cd,
    0xffffffff,
    0xff78759d,
    0xff7b82c0,
    0xff808fc2,
    0xff99a3dc,
    0xff9b9ecb,
    0xff99a3d4,
    0xff9aa2da,
    0xff939ed8,
    0xff909bd7,
    0xff929cda,
    0xff96a4de,
    0xff96a4dc,
    0xff94a3da,
    0xff90a5d7,
    0xff94aadb,
    0xff92a8d9,
    0xff9db1e3,
    0xffa2b5e8,
    0xffabbcf0,
    0xffb1c1f8,
    0xffaabbf2,
    0xffa3b2eb,
    0xffa4b3eb,
    0xffa9b9f0,
    0xffa3b4e7,
    0xffaab8ec,
    0xffa8b6e9,
    0xffa2aee1,
    0xff9eaada,
    0xffa7b7e1,
    0xffb0bfea,
    0xffadb9e6,
    0xffabb5e6,
    0xffa5afe3,
    0xff9da8e0,
    0xff99a4e0,
    0xff8998d6,
    0xff8aa2df,
    0xff92a9e7,
    0xff8fa6e4,
    0xff90a8e7,
    0xff86a1e1,
    0xff89a7e9,
    0xff7c9cdf,
    0xff7e9ee4,
    0xff7f97dd,
    0xff859ce1,
    0xff89a0e1,
    0xff8ba2df,
    0xff96aae1,
    0xff96a9dc,
    0xff9ba9da,
    0xff97a4d5,
    0xff9ba6dd,
    0xff9eaae1,
    0xff98a8dd,
    0xff9dafe4,
    0xff98aadf,
    0xff9cace3,
    0xffa6b2ea,
    0xffa4aee8,
    0xffa3ace5,
    0xffa7b1e6,
    0xffa4b1e3,
    0xff97a9db,
    0xff93a9df,
    0xff8ea5e0,
    0xff859edb,
    0xff809bd6,
    0xff7390d5,
    0xff6b8cd2,
    0xff6287d0,
    0xff5c85cf,
    0xff5c83cd,
    0xff6789d1,
    0xff728ed2,
    0xff7c92d6,
    0xff7991d3,
    0xff718add,
    0xff788ad2,
    0xff7d91c8,
    0xff7d9bdc,
    0xff8097dc,
    0xff8091c9,
    0xff6f91c5,
    0xff7c97d8,
    0xff6b8ecc,
    0xff7293cc,
    0xff8699d4,
    0xffa796d4,
    0xff752243,
    0xff850008,
    0xff89040d,
    0xff910008,
    0xff9e0006,
    0xffa0070a,
    0xffa70004,
    0xffa70000,
    0xff950705,
    0xff940006,
    0xffa4000c,
    0xffa40808,
    0xffde6853,
    0xffbf432d,
    0xff8a371b,
    0xff786547,
    0xff5c5844,
    0xff313623,
    0xff37462d,
    0xff303e23,
    0xff353c22,
    0xff3e3d23,
    0xff483d24,
    0xff4a3420,
    0xff4f2f21,
    0xff593127,
    0xff572b25,
    0xff57291a,
    0xff501f01,
    0xffd27250,
    0xffe25b3b,
    0xffbb401b,
    0xffc15330,
    0xffbc4d31,
    0xffa1391d,
    0xff8c1f04,
    0xff841407,
    0xff8c2815,
    0xffb84c2c,
    0xffda6b45,
    0xffd3755c,
    0xffa35b4f,
    0xff9b7b69,
    0xff251f14,
    0xff17170c,
    0xff20241a,
    0xff242a22,
    0xff1d241e,
    0xff1e241e,
    0xff1d241d,
    0xff1c251d,
    0xff19281f,
    0xff1a271e,
    0xff22301e,
    0xff33412a,
    0xff3f4c32,
    0xff384428,
    0xff394226,
    0xff2d361d,
    0xff263214,
    0xff2a3418,
    0xff1d270c,
    0xff1b250c,
    0xff1d270f,
    0xff17200b,
    0xff141e0e,
    0xff131a0e,
    0xff1e1a11,
    0xff4a4737,
    0xff32301d,
    0xff33301e,
    0xff29241b,
    0xff231d16,
    0xff0f0600,
    0xff3d3321,
    0xff35361a,
    0xff171d03,
    0xff171f0f,
    0xff61655c,
    0xffb7b4b2,
    0xff898482,
    0xff1b1813,
    0xff000000,
    0xffaaa4a1,
    0xff383628,
    0xff908f7b,
    0xff0e1400,
    0xff0e1d0d,
    0xff0e1f16,
    0xff14251f,
    0xff182621,
    0xff0e1a1e,
    0xff0c1d1f,
    0xff0f2322,
    0xff122b27,
    0xff152c28,
    0xff18292a,
    0xff0f1c20,
    0xff636b70,
    0xffe6e1d9,
    0xff6a6458,
    0xff2a2214,
    0xff312a19,
    0xff272313,
    0xff272615,
    0xff2f2919,
    0xff332919,
    0xff3b2a19,
    0xff402d17,
    0xff453018,
    0xff4c341a,
    0xff422b12,
    0xff3b260b,
    0xff3d2c0c,
    0xff3a2c0a,
    0xff433411,
    0xff41330a,
    0xff413508,
    0xff3d3403,
    0xff3f3605,
    0xff3c3207,
    0xff3a300a,
    0xff3e2f10,
    0xff342206,
    0xff322c0f,
    0xff2b2a0b,
    0xff2a2305,
    0xff2b1d0c,
    0xff291a18,
    0xff311a0c,
    0xff3f1d00,
    0xffe7ba6a,
    0xffce8c25,
    0xffd88811,
    0xffa36006,
    0xff411b09,
    0xff2a240b,
    0xff3f382d,
    0xff1e0c00,
    0xff704b05,
    0xffc9763b,
    0xff5d1400,
    0xffa36d20,
    0xffb17514,
    0xffffb241,
    0xffd37a38,
    0xff903a18,
    0xff461302,
    0xff4f1900,
    0xffa76331,
    0xffd8844d,
    0xff822000,
    0xff801904,
    0xff8a2513,
    0xff8e2d0b,
    0xffa73f04,
    0xffd18a29,
    0xff9a6109,
    0xff814621,
    0xff763d16,
    0xff752c0d,
    0xff964424,
    0xff874206,
    0xffab6711,
    0xffa25604,
    0xff9f4501,
    0xffb65003,
    0xffab390b,
    0xff972200,
    0xffa23200,
    0xffa3330c,
    0xff9e210b,
    0xff98280c,
    0xffac602e,
    0xff3a0d00,
    0xff2c1a09,
    0xff0c191b,
    0xff0c2414,
    0xff191709,
    0xff18190c,
    0xff0b1b07,
    0xff0e2105,
    0xff141907,
    0xff191717,
    0xff0f1512,
    0xff0d1906,
    0xff0f1606,
    0xff071409,
    0xff0f0c08,
    0xff3b3b2a,
    0xff6f7260,
    0xff69585d,
    0xff85797a,
    0xff000000,
    0xff6f6f76,
    0xff141f15,
    0xff000000,
    0xffc6c4ca,
    0xff444d50,
    0xff5e6578,
    0xff6d6b77,
    0xff030600,
    0xff778093,
    0xff77748c,
    0xff161b05,
    0xff1a2e02,
    0xff272a1d,
    0xff2d3035,
    0xfffbeeef,
    0xff5b554a,
    0xff665b59,
    0xff261107,
    0xff2b080f,
    0xff280512,
    0xff23090a,
    0xff3e0615,
    0xff815b8f,
    0xff5479be,
    0xff4d76ca,
    0xff4877c9,
    0xff4371c7,
    0xff4271cb,
    0xff3b6cc7,
    0xff3b6cc5,
    0xff3c6ec3,
    0xff3d70c0,
    0xff3f6ebc,
    0xff3d6bbc,
    0xff3869b9,
    0xff3c6fbf,
    0xff3c6ec0,
    0xff3c6fc1,
    0xff3e6fc1,
    0xff3d6bc1,
    0xff3563b8,
    0xff3761b1,
    0xff2f5dab,
    0xff3765b3,
    0xff3562af,
    0xff2e5ba6,
    0xff3361ac,
    0xff3465ac,
    0xff3464ac,
    0xff3566a5,
    0xff3566a1,
    0xff35679c,
    0xff37669d,
    0xff325f9a,
    0xff345f9a,
    0xff3d68a0,
    0xff396599,
    0xff3c6994,
    0xff38628e,
    0xff2d567f,
    0xff355b81,
    0xff385f80,
    0xff375d79,
    0xff3c617a,
    0xff355871,
    0xff3e5d6d,
    0xff395865,
    0xff32535a,
    0xff385961,
    0xff35525c,
    0xff344e59,
    0xff334b53,
    0xff33494e,
    0xff2d4341,
    0xff2d423f,
    0xff2e413c,
    0xff283933,
    0xff253631,
    0xff20322e,
    0xff192c2d,
    0xff1c2f31,
    0xff1e3136,
    0xff192e30,
    0xff1b2d2d,
    0xff21312d,
    0xff243128,
    0xff283428,
    0xff333e2d,
    0xff323e2b,
    0xff333a28,
    0xff353b2b,
    0xff363b2d,
    0xff36422e,
    0xff343a20,
    0xff5f3d29,
    0xff7b271f,
    0xff700001,
    0xff760008,
    0xff6f000d,
    0xff6d0312,
    0xff75000a,
    0xff840001,
    0xff950101,
    0xffa9171d,
    0xff850004,
    0xffa61623,
    0xffab000c,
    0xffbf040e,
    0xff981110,
    0xff793629,
    0xff73352f,
    0xff7b0e15,
    0xff900612,
    0xff800107,
    0xff660000,
    0xffc05258,
    0xffd0636e,
    0xff871421,
    0xff70000b,
    0xff70000c,
    0xff6d0309,
    0xff6d040d,
    0xff6b030f,
    0xff64020b,
    0xff650009,
    0xff70000b,
    0xff7a000d,
    0xff83010e,
    0xff89000e,
    0xff93000c,
    0xff7e050a,
    0xff730608,
    0xff7f0107,
    0xff880007,
    0xff870009,
    0xff82000c,
    0xff7f000e,
    0xff7a001a,
    0xff7a0100,
    0xff8e1312,
    0xff8c1220,
    0xff840d13,
    0xffa72622,
    0xffc33532,
    0xffbb2720,
    0xffa42518,
    0xffc75123,
    0xffb93f22,
    0xff9c1b13,
    0xffa92e10,
    0xffb63618,
    0xffa9241b,
    0xff870a02,
    0xff731c29,
    0xff995f7e,
    0xff84234d,
    0xff880c25,
    0xff832929,
    0xff821233,
    0xff842338,
    0xff741712,
    0xff65001d,
    0xff73132d,
    0xffa0616b,
    0xff824d5a,
    0xffac4155,
    0xffa60008,
    0xff910000,
    0xffb3605f,
    0xff692027,
    0xff61051b,
    0xff730022,
    0xff7b0222,
    0xff831022,
    0xff800b16,
    0xff830616,
    0xff7e0019,
    0xff8b426a,
    0xff6978b2,
    0xff4880d0,
    0xff567fd8,
    0xff5a7bcb,
    0xff5c81ce,
    0xff5a7dd0,
    0xff5d89d9,
    0xff598ad9,
    0xff5686d1,
    0xff547fc9,
    0xff5980c5,
    0xff4e73b3,
    0xff4a6caa,
    0xff4a6da7,
    0xff4f73ab,
    0xff5772aa,
    0xff4f6ca3,
    0xff416296,
    0xff416595,
    0xff355b87,
    0xff3a6187,
    0xff396282,
    0xff315976,
    0xff294770,
    0xff375884,
    0xff375c8d,
    0xff315a8e,
    0xff38659e,
    0xff3d69a3,
    0xff436ea8,
    0xff4d78b2,
    0xff4a74af,
    0xff4e78b6,
    0xff4974b6,
    0xff4c75be,
    0xff5481d0,
    0xff5784d8,
    0xff5e8ee5,
    0xff608fe8,
    0xff5b90de,
    0xff5f93e1,
    0xff6092e1,
    0xff5e8fdb,
    0xff6494e0,
    0xff6594e2,
    0xff608fe0,
    0xff5c8cde,
    0xff5f8be1,
    0xff5b86db,
    0xff5c87db,
    0xff5a87d7,
    0xff5480cf,
    0xff517cc9,
    0xff537eca,
    0xff5482ce,
    0xff527acb,
    0xff4b6fbd,
    0xff456cb4,
    0xff3f66ac,
    0xff4368af,
    0xff3f64ab,
    0xff4065aa,
    0xff4066a6,
    0xff4568a2,
    0xff4668a2,
    0xff355896,
    0xff4467a7,
    0xff5073b5,
    0xff5779bf,
    0xff5a7cc3,
    0xff5b7cc5,
    0xff587cc4,
    0xff5176c4,
    0xff4c71c1,
    0xff547aca,
    0xff5578c3,
    0xff5d7cbe,
    0xff7790c7,
    0xff92a8d8,
    0xff93a2d2,
    0xff95a3d2,
    0xff9dabdc,
    0xff9ca9da,
    0xff97a5d8,
    0xff90a3d3,
    0xff7e94c3,
    0xff7f93c4,
    0xff8fa3d8,
    0xff95a8e0,
    0xff96aae5,
    0xff93aeec,
    0xff85a1e4,
    0xff7b9de2,
    0xff6d93db,
    0xff6a93db,
    0xff6996e1,
    0xff6795df,
    0xff6793de,
    0xff6794df,
    0xff6a97e4,
    0xff6897e4,
    0xff6092df,
    0xff6091e0,
    0xff6091e0,
    0xff5e8fdf,
    0xff608fdf,
    0xff608edf,
    0xff5e8edd,
    0xff5e8cda,
    0xff5f8cdb,
    0xff5f8cdb,
    0xff608ee0,
    0xff5a8ade,
    0xff6191e5,
    0xff5d90e3,
    0xff5c8fe0,
    0xff5e8dde,
    0xff5c8cd9,
    0xff5e8edd,
    0xff5e8eda,
    0xff5f8ddb,
    0xff628fdd,
    0xff6690df,
    0xff6a93e2,
    0xff6f96e3,
    0xff6d95dc,
    0xff7199df,
    0xff789fe8,
    0xff729ce2,
    0xff6e96da,
    0xff789cde,
    0xff7792d4,
    0xff879edf,
    0xff93aae9,
    0xff8aa3e0,
    0xff8ba2dd,
    0xff889fda,
    0xff899cda,
    0xff8c9edd,
    0xff92a7e3,
    0xff99b0eb,
    0xff97b1ec,
    0xff97b1ed,
    0xff98ade3,
    0xff9fb3eb,
    0xff97aee4,
    0xff9cb3ea,
    0xff98afe3,
    0xff9ab1e4,
    0xffa2baeb,
    0xffa6bdec,
    0xffb6c5ec,
    0xffa3ade4,
    0xffb0b7f0,
    0xff8d8fb1,
    0xff5b5868,
    0xffc4c3da,
    0xff99a2ca,
    0xff9db0e2,
    0xff92a3e1,
    0xff87a4dc,
    0xff86a2e2,
    0xff86a0df,
    0xff80a0d7,
    0xff769fe0,
    0xff7da1ea,
    0xff89a3db,
    0xff879fe2,
    0xff7d98db,
    0xff7b97db,
    0xff7793d7,
    0xff809ce1,
    0xff7e99db,
    0xff89a2e5,
    0xff889fe0,
    0xff8196d6,
    0xffa7afcd,
    0xffe1deec,
    0xff8a8bbd,
    0xffa1aadc,
    0xffa6b0dc,
    0xffa6aee0,
    0xffa6b3e5,
    0xffa3b0e6,
    0xffa0ade3,
    0xffa5b0e5,
    0xffaab2e8,
    0xffa7b0e3,
    0xffa6afe0,
    0xffa3addd,
    0xffa3aede,
    0xffa6ade0,
    0xffa2a9dd,
    0xffa1a7dc,
    0xffa2acde,
    0xffa2abdf,
    0xffa8b1e6,
    0xffa5ade3,
    0xff9ba4da,
    0xffa5b1e6,
    0xffa3b0e5,
    0xffa2aee6,
    0xffa1aae3,
    0xffa2ace3,
    0xffa4aee5,
    0xffa2aee5,
    0xff9fabdf,
    0xffa0abdb,
    0xff9ca8d7,
    0xff9caadb,
    0xff93a4da,
    0xff93a7de,
    0xff90a3df,
    0xff879ada,
    0xff8a9fe1,
    0xff89a0e4,
    0xff8399df,
    0xff7c96dd,
    0xff7695dc,
    0xff7494dc,
    0xff7191db,
    0xff6e91d7,
    0xff6f91d9,
    0xff799adf,
    0xff809fe2,
    0xff87a2e3,
    0xff8da4e1,
    0xff94a8e4,
    0xff97a9e1,
    0xff99aae0,
    0xff9fb1e5,
    0xff9eace5,
    0xff96a3d7,
    0xff9da6d6,
    0xffb7bcec,
    0xff9ea3d3,
    0xff9ca3d4,
    0xff96a1d6,
    0xff99a5dd,
    0xff99a1d9,
    0xffa4ade3,
    0xffacb7eb,
    0xffa1b2e4,
    0xff99abde,
    0xff9dafe3,
    0xff97a8de,
    0xff97a8e2,
    0xff93a9e4,
    0xff8ba1dd,
    0xff8aa0db,
    0xff89a1da,
    0xff95ade6,
    0xff97aee8,
    0xff96ade3,
    0xff869cd3,
    0xff8396d2,
    0xff8fa2e0,
    0xff879ed7,
    0xff849bd5,
    0xff748fcc,
    0xff7894d5,
    0xff6f8dd2,
    0xff6584cc,
    0xff647dd3,
    0xff7095d5,
    0xff789bd6,
    0xff898dd2,
    0xff9981be,
    0xffa27da6,
    0xffc57b91,
    0xffe46468,
    0xffcb3d3d,
    0xffbf2a2a,
    0xffda4040,
    0xffde4040,
    0xffa40807,
    0xff9b0101,
    0xff9a0002,
    0xffa40a0d,
    0xffca412d,
    0xffdd5e4d,
    0xffac4335,
    0xff854538,
    0xff5b4b38,
    0xff606750,
    0xff777b66,
    0xff373320,
    0xff344032,
    0xff303429,
    0xff2d3223,
    0xff273722,
    0xff263922,
    0xff323524,
    0xff3b2c24,
    0xff3e2721,
    0xff53292d,
    0xff4f2d19,
    0xff94230d,
    0xffc84027,
    0xffdb6749,
    0xffbb4329,
    0xff9c3c19,
    0xffc35f3f,
    0xffce5439,
    0xff9b2119,
    0xff8b1417,
    0xff8e180f,
    0xffcc5639,
    0xffbd4e25,
    0xffa53e1d,
    0xffa54430,
    0xffa6524a,
    0xff6a4533,
    0xff141600,
    0xff1c2011,
    0xff26251e,
    0xff20241f,
    0xff19261d,
    0xff16251a,
    0xff1a241f,
    0xff141f17,
    0xff15251a,
    0xff132516,
    0xff0f2212,
    0xff142511,
    0xff202e19,
    0xff1a2813,
    0xff16270f,
    0xff162111,
    0xff151f13,
    0xff151f11,
    0xff151f09,
    0xff152408,
    0xff11250d,
    0xff364633,
    0xff362d17,
    0xff1c1800,
    0xff231900,
    0xff785e4e,
    0xff59473c,
    0xff4d5647,
    0xff848c80,
    0xff7b6b64,
    0xff757665,
    0xff737161,
    0xff3d372a,
    0xff161207,
    0xff0e1209,
    0xff515b54,
    0xffd0d8d5,
    0xff8c8d8e,
    0xff757271,
    0xff3c332f,
    0xffc7bcae,
    0xff1b1600,
    0xff283118,
    0xff263721,
    0xff22342a,
    0xff182726,
    0xff172f2b,
    0xff142c2a,
    0xff0e2829,
    0xff0e272a,
    0xff0e282d,
    0xff142b31,
    0xff182f35,
    0xff02151d,
    0xffd1d6dd,
    0xffd0cdc8,
    0xff251d0a,
    0xff2c2711,
    0xff272c17,
    0xff202516,
    0xff282714,
    0xff2e220d,
    0xff312515,
    0xff2e200c,
    0xff33270d,
    0xff38280e,
    0xff362609,
    0xff3b2609,
    0xff412b09,
    0xff442e06,
    0xff413303,
    0xff4b3e0c,
    0xff493c0a,
    0xff4b3f0b,
    0xff4d400e,
    0xff4d4010,
    0xff493b0f,
    0xff3e2f09,
    0xff343106,
    0xff423405,
    0xff392e12,
    0xff302e11,
    0xff2b280a,
    0xff352805,
    0xff301100,
    0xff8d6523,
    0xfffdbc54,
    0xffa45a00,
    0xffba6d2e,
    0xff7f3f15,
    0xff462006,
    0xff31220b,
    0xff494230,
    0xff716957,
    0xff240100,
    0xff8b4b28,
    0xff965121,
    0xffb3760a,
    0xffd88917,
    0xffca6810,
    0xffa45814,
    0xff3a1000,
    0xff381c0e,
    0xff421a0f,
    0xffc06d51,
    0xffd98540,
    0xff9d4b03,
    0xffbc4b2b,
    0xff9a2d1d,
    0xff7f2c07,
    0xff7c3913,
    0xffb87a1e,
    0xffe29f23,
    0xff934511,
    0xff894626,
    0xff5b2509,
    0xff672a0f,
    0xff9d542b,
    0xffa76518,
    0xffb26d12,
    0xffac590d,
    0xffa14304,
    0xffb9580c,
    0xffa74900,
    0xffa64c0d,
    0xffa24906,
    0xff952804,
    0xffa22315,
    0xffb3461c,
    0xff864e15,
    0xff1c0f02,
    0xff12170c,
    0xff191c02,
    0xff1c140c,
    0xff13180e,
    0xff141b10,
    0xff171a0e,
    0xff18180c,
    0xff18190e,
    0xff111609,
    0xff0b1608,
    0xff0d190d,
    0xff0a170e,
    0xff0f160f,
    0xff0b0e04,
    0xff202119,
    0xff59544d,
    0xffa7a29f,
    0xff54544f,
    0xff1a1a16,
    0xffbabab5,
    0xff000000,
    0xff2f271c,
    0xff8d908c,
    0xff5c6580,
    0xffc2becb,
    0xff181409,
    0xff46525c,
    0xff918a96,
    0xff101400,
    0xff1c2b0a,
    0xff0a1101,
    0xff706b6d,
    0xffe1cfe4,
    0xff615262,
    0xff4b4339,
    0xff2c0a11,
    0xff2a0616,
    0xff190e0e,
    0xff181401,
    0xff460609,
    0xff782550,
    0xff7565a8,
    0xff4668bf,
    0xff4171c3,
    0xff4272c6,
    0xff4476cd,
    0xff4377d0,
    0xff4175cc,
    0xff4376c9,
    0xff3f74c3,
    0xff3b70bb,
    0xff4172c1,
    0xff4273c3,
    0xff3a6ebc,
    0xff396dbb,
    0xff3a6dbb,
    0xff3b6dbb,
    0xff3d6cbc,
    0xff3d6cbc,
    0xff4072c1,
    0xff4274c2,
    0xff4071bb,
    0xff3869ae,
    0xff3b6cad,
    0xff3b6baa,
    0xff3b6aa6,
    0xff3d6aa8,
    0xff3a62ac,
    0xff3c65a9,
    0xff3b619e,
    0xff3d6299,
    0xff3e6093,
    0xff3c5d8b,
    0xff33547a,
    0xff32506f,
    0xff385a78,
    0xff40617f,
    0xff3e5f7c,
    0xff3e5e77,
    0xff39576d,
    0xff385667,
    0xff324f5d,
    0xff37555d,
    0xff354f54,
    0xff344d4f,
    0xff334e4b,
    0xff2c4744,
    0xff3c5354,
    0xff394e51,
    0xff384c4b,
    0xff354845,
    0xff35493f,
    0xff37493e,
    0xff37483c,
    0xff354539,
    0xff2d3c31,
    0xff2f3f37,
    0xff293a36,
    0xff243534,
    0xff192b2f,
    0xff1c2c2e,
    0xff1d2d2c,
    0xff1e2d2a,
    0xff27342d,
    0xff28352a,
    0xff293328,
    0xff273225,
    0xff253722,
    0xff2d3a29,
    0xff324130,
    0xff2e3b28,
    0xff55382a,
    0xff832324,
    0xff82030c,
    0xff7b080e,
    0xff750507,
    0xff74020b,
    0xff76000a,
    0xff840009,
    0xff9c0b0c,
    0xffab1a17,
    0xff8d0807,
    0xff7e0106,
    0xffb10e2a,
    0xffc40421,
    0xffbe0014,
    0xff991d20,
    0xff5c3123,
    0xff602f2a,
    0xff6e010c,
    0xff8b000a,
    0xff73000a,
    0xffd66a72,
    0xfff08990,
    0xff7d0d16,
    0xff78010c,
    0xff7a020f,
    0xff71010a,
    0xff6c020a,
    0xff6b020e,
    0xff650008,
    0xff670107,
    0xff6f040b,
    0xff7a040e,
    0xff81020d,
    0xff86020d,
    0xff89020d,
    0xff8a000d,
    0xff7a030a,
    0xff74020c,
    0xff81000d,
    0xff88030e,
    0xff80040c,
    0xff77040c,
    0xff78000d,
    0xff780010,
    0xff900d0d,
    0xff911804,
    0xffa33b2e,
    0xff8d2627,
    0xff91201f,
    0xff9d3629,
    0xff9b4434,
    0xff942b1f,
    0xffb65528,
    0xffba461e,
    0xff9e1806,
    0xffae2d17,
    0xffaa2914,
    0xffa13130,
    0xff703141,
    0xff674d7e,
    0xff4e5787,
    0xff795782,
    0xff600f35,
    0xff775173,
    0xff896cac,
    0xff5c4f91,
    0xff7e65a2,
    0xff633e66,
    0xff643342,
    0xffa06d79,
    0xff652f45,
    0xff6d1526,
    0xff770105,
    0xff871a1e,
    0xffa34e58,
    0xff740d11,
    0xff66000c,
    0xff65021b,
    0xff650624,
    0xff62031f,
    0xff741027,
    0xff87162b,
    0xff82051b,
    0xff6c0727,
    0xff7e5e8e,
    0xff5b6eb4,
    0xff546fba,
    0xff4c67a8,
    0xff3b6197,
    0xff366094,
    0xff305d91,
    0xff2f5780,
    0xff2b5176,
    0xff325478,
    0xff365877,
    0xff3a5875,
    0xff3f5b76,
    0xff335168,
    0xff2e4b63,
    0xff263f5a,
    0xff203958,
    0xff264264,
    0xff1f3e62,
    0xff2c4c72,
    0xff254470,
    0xff1b3b65,
    0xff22426d,
    0xff2e518c,
    0xff3c60a1,
    0xff3c64a8,
    0xff3c68b1,
    0xff4372bc,
    0xff4471bd,
    0xff4a77c5,
    0xff527dcc,
    0xff4e7ecb,
    0xff5787d4,
    0xff5f8edb,
    0xff5d90dc,
    0xff5e8fdc,
    0xff6296e1,
    0xff5b8fdb,
    0xff5c92de,
    0xff6093e5,
    0xff6091e5,
    0xff5f8de1,
    0xff5f8ce0,
    0xff5984da,
    0xff5a84dc,
    0xff5b84dd,
    0xff5d88e0,
    0xff6095db,
    0xff5c90d7,
    0xff5d91d8,
    0xff5a8cd5,
    0xff5b8bd6,
    0xff5c8bd7,
    0xff4d78c7,
    0xff4d78c8,
    0xff4777c5,
    0xff4677bd,
    0xff4f80c2,
    0xff5383c5,
    0xff5887c9,
    0xff5684c9,
    0xff507ec0,
    0xff5684c4,
    0xff5780c8,
    0xff557fc8,
    0xff5c85cd,
    0xff5b86ce,
    0xff5c89cd,
    0xff5986ca,
    0xff5585c9,
    0xff5684c8,
    0xff587bc3,
    0xff557bc1,
    0xff567bc7,
    0xff5578c5,
    0xff5b7ec4,
    0xff5b78b6,
    0xff6f86bb,
    0xff7789b9,
    0xff8290b9,
    0xff8996c2,
    0xff8d9aca,
    0xff95a5d8,
    0xff95a5dc,
    0xff98ade5,
    0xff95abe8,
    0xff89a4e0,
    0xff82a0df,
    0xff7e9cdc,
    0xff7d9dde,
    0xff7796db,
    0xff7398e0,
    0xff6e97e1,
    0xff6c9ae7,
    0xff6899e7,
    0xff6395e3,
    0xff6798e7,
    0xff6595e5,
    0xff5f8ede,
    0xff5d8ede,
    0xff6091e2,
    0xff5d90e0,
    0xff5a8fdf,
    0xff548fe2,
    0xff5691e1,
    0xff538edf,
    0xff528bdc,
    0xff538cdc,
    0xff518ada,
    0xff528ada,
    0xff5389d7,
    0xff5988d7,
    0xff5e8cdd,
    0xff5989da,
    0xff5d8ddf,
    0xff5b8bde,
    0xff5b8ddd,
    0xff6190de,
    0xff6393e0,
    0xff6997e2,
    0xff6e9de8,
    0xff6d9ce8,
    0xff749eed,
    0xff709ce8,
    0xff78a1ec,
    0xff78a2ea,
    0xff709ae0,
    0xff6993dd,
    0xff6792dc,
    0xff709de3,
    0xff7399e1,
    0xff85a6eb,
    0xff8aa6eb,
    0xff86a3e6,
    0xff89a9e9,
    0xff90b0f0,
    0xff9cbcfd,
    0xff94b3f5,
    0xff9ab8fc,
    0xff90aef3,
    0xff809ee3,
    0xff7d9ee2,
    0xff7698dd,
    0xff7b9ae2,
    0xff819fe8,
    0xff7897e3,
    0xff6f8ed9,
    0xff7290db,
    0xff6b8bd4,
    0xff6a8bd1,
    0xff7494d9,
    0xff7391d1,
    0xff6a88ce,
    0xff5a71b8,
    0xff8f97cc,
    0xff89839e,
    0xff71697c,
    0xff878fb8,
    0xff6c86c8,
    0xff648bdc,
    0xff6888d8,
    0xff6384cf,
    0xff5b81cc,
    0xff5a7bc8,
    0xff647bbd,
    0xff6d83c3,
    0xff6d8dd5,
    0xff6a81c2,
    0xff7289ca,
    0xff768ecf,
    0xff7a90ce,
    0xff7a8ecb,
    0xff8797d1,
    0xff8d9bd2,
    0xff94a0d7,
    0xff8f9ed7,
    0xffcbcde2,
    0xffcdc9d7,
    0xff9797c2,
    0xffacb1dc,
    0xffaeb6da,
    0xffb1b4de,
    0xffa6b2de,
    0xffaeb4e2,
    0xffb1b7e4,
    0xffb4b8e7,
    0xffb0b6e3,
    0xffb3b8e5,
    0xffafb7e3,
    0xffb2bae6,
    0xffacb5e1,
    0xffa7b3e0,
    0xffadb7e8,
    0xffa6b3e2,
    0xffa6b3e3,
    0xffa3afdf,
    0xffa0adde,
    0xffa5b4e4,
    0xffa9b7e8,
    0xff9aa7da,
    0xff9ea8df,
    0xffa1abe0,
    0xff9ca7de,
    0xff9aa6df,
    0xff93a0db,
    0xff98a8e1,
    0xff92a3e0,
    0xff93a2e4,
    0xff8c9ddf,
    0xff8699dc,
    0xff879ce0,
    0xff7d96db,
    0xff7d96db,
    0xff7994da,
    0xff7e97e0,
    0xff7893d7,
    0xff7897dc,
    0xff7393d9,
    0xff7093da,
    0xff6d93da,
    0xff6b8fda,
    0xff6991db,
    0xff7096de,
    0xff6c8ed7,
    0xff7091d7,
    0xff7591d8,
    0xff7892d7,
    0xff879ee1,
    0xff8ba2e1,
    0xff8ba3e1,
    0xff8ea5e2,
    0xff98ace9,
    0xff9eb1ec,
    0xff9aade6,
    0xff9cace5,
    0xffa4b4ec,
    0xffa4b4ee,
    0xff9baceb,
    0xff9caeed,
    0xffa4aeee,
    0xff97a2df,
    0xff909fd9,
    0xff8293ca,
    0xff92a2da,
    0xff94a5dd,
    0xff99abe3,
    0xff9ba9e4,
    0xff95a6e2,
    0xff9eb0e9,
    0xffa0b2eb,
    0xff9eb0ea,
    0xff9eafe9,
    0xffa3b4ec,
    0xffa3b5ed,
    0xffa2b4ec,
    0xff9faeea,
    0xffa3b3ec,
    0xffa8b8ef,
    0xffb1c0f6,
    0xffa5b7ea,
    0xffa5b6ed,
    0xffa3b2ee,
    0xff99a6e5,
    0xff969adc,
    0xff93a2d6,
    0xff8a9bd9,
    0xff808dd8,
    0xff8487be,
    0xffa781a4,
    0xffbe516a,
    0xffa50a12,
    0xffae0807,
    0xffb01c13,
    0xffd75346,
    0xffe45b50,
    0xffb51a16,
    0xffa20000,
    0xffa60309,
    0xffbc232a,
    0xffe5574b,
    0xffc95546,
    0xff9b4f3f,
    0xff694432,
    0xff615240,
    0xff4f4937,
    0xff554d3b,
    0xff998b7c,
    0xff3b3b23,
    0xff2a3d23,
    0xff2a442c,
    0xff2a3626,
    0xff2f3528,
    0xff2a3728,
    0xff213321,
    0xff253121,
    0xff352f29,
    0xff312711,
    0xff9e3f26,
    0xffd85e36,
    0xffd46635,
    0xffc0623d,
    0xff4c1700,
    0xff803b26,
    0xffb1513e,
    0xffa63a28,
    0xffad3123,
    0xffa61e15,
    0xff98100b,
    0xffaa241e,
    0xffbe382b,
    0xffb83521,
    0xffa12a27,
    0xffaf5545,
    0xffb17058,
    0xff502818,
    0xff231e17,
    0xff122523,
    0xff192a25,
    0xff24221c,
    0xff18231e,
    0xff1b2821,
    0xff1c2c22,
    0xff15271c,
    0xff15271b,
    0xff16281a,
    0xff1a2c1c,
    0xff1a2a1b,
    0xff172213,
    0xff121f13,
    0xff101913,
    0xff0b1610,
    0xff091f18,
    0xff081c14,
    0xff101811,
    0xff1b1f18,
    0xff2e251b,
    0xff323224,
    0xff2e3020,
    0xff1a190b,
    0xff0d1307,
    0xff0b1b10,
    0xff021004,
    0xff14160f,
    0xff0b150a,
    0xff0c1108,
    0xff5a5d51,
    0xff67645b,
    0xff8a877e,
    0xff64625a,
    0xff36352d,
    0xff898883,
    0xff8d8c8f,
    0xff9c9692,
    0xff494039,
    0xff929183,
    0xff232d1c,
    0xff1c3122,
    0xff1a2f2a,
    0xff1a2d2e,
    0xff102929,
    0xff112b2c,
    0xff102a2d,
    0xff132b31,
    0xff112b32,
    0xff162d36,
    0xff0f2730,
    0xff11242b,
    0xff0d1921,
    0xffffffff,
    0xff252014,
    0xff2f2b1c,
    0xff25281a,
    0xff272a1e,
    0xff302a1c,
    0xff453724,
    0xff332615,
    0xff2d230c,
    0xff352b10,
    0xff352b0e,
    0xff37280d,
    0xff412e10,
    0xff472e0c,
    0xff4d3309,
    0xff513e09,
    0xff504009,
    0xff504007,
    0xff4f4007,
    0xff4c3f08,
    0xff4b3e0b,
    0xff433506,
    0xff3e3004,
    0xff3f340a,
    0xff393101,
    0xff3a3317,
    0xff36300e,
    0xff352b0f,
    0xff412f0d,
    0xff4a2b00,
    0xfff7c664,
    0xffea9b3d,
    0xff99510b,
    0xff5b2600,
    0xff391a00,
    0xff2e2502,
    0xff2e2909,
    0xff281905,
    0xff3d2723,
    0xffb99a9f,
    0xff411600,
    0xffb27c2f,
    0xffab6d00,
    0xffd18926,
    0xff954c0e,
    0xff683208,
    0xff2f110b,
    0xff221e00,
    0xff3c1f05,
    0xffc4664c,
    0xffbe561f,
    0xff9e3d00,
    0xff9b2500,
    0xffb14007,
    0xffe08234,
    0xff5c1200,
    0xff99530c,
    0xffe2aa3b,
    0xff74480b,
    0xff775335,
    0xff774e3f,
    0xffa47354,
    0xff5e240f,
    0xff805534,
    0xffa06a31,
    0xffa95a1e,
    0xffa54d08,
    0xffa05400,
    0xffa7610b,
    0xffa44b0c,
    0xffb24508,
    0xffa43e05,
    0xff841300,
    0xffa6380a,
    0xffc06933,
    0xff53220f,
    0xff1c0d0d,
    0xff18190f,
    0xff191811,
    0xff141d0c,
    0xff161d0c,
    0xff191b0b,
    0xff191a0c,
    0xff18180c,
    0xff171a0e,
    0xff141912,
    0xff101a11,
    0xff0e170e,
    0xff0d160c,
    0xff12180e,
    0xff101105,
    0xff121108,
    0xff3c3931,
    0xffa9a6a1,
    0xff383632,
    0xffd1cbcb,
    0xff635d61,
    0xff000000,
    0xff7a7c6f,
    0xff374150,
    0xfff7f4f7,
    0xff453b32,
    0xff2b3141,
    0xff9094b2,
    0xff1d2125,
    0xff171810,
    0xff636261,
    0xff525455,
    0xffc1c4cf,
    0xff5d5d6d,
    0xff555852,
    0xff1b130f,
    0xff1f0b1b,
    0xff10120b,
    0xff1d0f00,
    0xff5c000a,
    0xff920525,
    0xff7e2054,
    0xff6564b6,
    0xff3f6cbf,
    0xff396abe,
    0xff386ac0,
    0xff386bc5,
    0xff346bbf,
    0xff366ec0,
    0xff3972c0,
    0xff3e75be,
    0xff406fbc,
    0xff3f6ebb,
    0xff3d6eb9,
    0xff396ab4,
    0xff3868b0,
    0xff3666ac,
    0xff3563a8,
    0xff3764a8,
    0xff3061a2,
    0xff2c5c9b,
    0xff33619b,
    0xff335e94,
    0xff2d5686,
    0xff29507b,
    0xff2c5277,
    0xff2f5478,
    0xff294f75,
    0xff2e5374,
    0xff2d4f68,
    0xff2a4a5c,
    0xff304958,
    0xff3a5157,
    0xff869a98,
    0xff95a8a2,
    0xff4b626d,
    0xff2d4351,
    0xff3a505c,
    0xff364c54,
    0xff364c54,
    0xff354b4e,
    0xff374d4c,
    0xff344945,
    0xff384741,
    0xff28372d,
    0xff36483a,
    0xff324739,
    0xff32463d,
    0xff31423a,
    0xff33453c,
    0xff364639,
    0xff3b4c3e,
    0xff364737,
    0xff334230,
    0xff354332,
    0xff303f2e,
    0xff2b3b2e,
    0xff25362c,
    0xff203229,
    0xff182826,
    0xff1b2929,
    0xff192825,
    0xff1c2726,
    0xff222f2a,
    0xff26302a,
    0xff27332a,
    0xff303c32,
    0xff2e412e,
    0xff2f3c2d,
    0xff2c3a2b,
    0xff403a2d,
    0xff692925,
    0xff81020d,
    0xff87000b,
    0xff750207,
    0xff760104,
    0xff7d0007,
    0xff830007,
    0xff94070a,
    0xffb92923,
    0xff9c110a,
    0xff820000,
    0xffa11926,
    0xffac0b24,
    0xffc30d29,
    0xffbb071c,
    0xff95131d,
    0xff803031,
    0xff882930,
    0xff870812,
    0xff790304,
    0xffaf4c56,
    0xffae4a54,
    0xff630000,
    0xff7d030e,
    0xff81020e,
    0xff7d000a,
    0xff77010e,
    0xff70020d,
    0xff68000b,
    0xff650006,
    0xff6d0209,
    0xff78070b,
    0xff7d0107,
    0xff840109,
    0xff860109,
    0xff84010a,
    0xff7f000a,
    0xff780210,
    0xff780214,
    0xff7a0011,
    0xff7a000c,
    0xff710208,
    0xff710308,
    0xff770309,
    0xff7c0201,
    0xff8e0000,
    0xffca4428,
    0xffcc6542,
    0xff660f05,
    0xff73211b,
    0xff78382f,
    0xff654047,
    0xff752d3b,
    0xff783b2e,
    0xff7a1906,
    0xffa51910,
    0xffac1c17,
    0xffad272a,
    0xff8f3c5b,
    0xff64649f,
    0xff4556a0,
    0xff4064a2,
    0xff7a789f,
    0xff5f3558,
    0xff656ba7,
    0xff4868b7,
    0xff4b79c9,
    0xff576fd1,
    0xff6178c8,
    0xff8f85ab,
    0xff7d5e7d,
    0xff85527c,
    0xff55041c,
    0xff5e0c0f,
    0xff8f484c,
    0xff7a252a,
    0xff981517,
    0xff80090d,
    0xff640312,
    0xff570a25,
    0xff550f32,
    0xff4f0227,
    0xff690f28,
    0xff6f0c1e,
    0xff66051d,
    0xff672a51,
    0xff786eaa,
    0xff5770b7,
    0xff4d6dad,
    0xff3e6591,
    0xff3d6b8f,
    0xff406995,
    0xff3d5f96,
    0xff416097,
    0xff3b5a8f,
    0xff3e5c90,
    0xff385489,
    0xff365387,
    0xff446298,
    0xff436196,
    0xff3f6598,
    0xff4f74ab,
    0xff4c73ae,
    0xff4d76b7,
    0xff557dc4,
    0xff557dca,
    0xff587fd0,
    0xff5b82d5,
    0xff547dca,
    0xff5983d1,
    0xff5e8ddf,
    0xff5f90e4,
    0xff608ee6,
    0xff608ee7,
    0xff618fe6,
    0xff5c8ae3,
    0xff5486e3,
    0xff5085e0,
    0xff5287e0,
    0xff4e83da,
    0xff4e85d8,
    0xff4f83d8,
    0xff4f84d6,
    0xff4f84d6,
    0xff5086d8,
    0xff5587d8,
    0xff5988d8,
    0xff5b89da,
    0xff5e89db,
    0xff5984d7,
    0xff5781d5,
    0xff5682d6,
    0xff437dbe,
    0xff4d86c6,
    0xff558ace,
    0xff5688cd,
    0xff5888cc,
    0xff5682c7,
    0xff567fc6,
    0xff5981c9,
    0xff5a85d3,
    0xff618bd5,
    0xff638cd2,
    0xff608bcf,
    0xff6892d9,
    0xff6e97e2,
    0xff6a93dd,
    0xff6791d7,
    0xff6a91d6,
    0xff6991d5,
    0xff658fd2,
    0xff618ccf,
    0xff5480c6,
    0xff527dc4,
    0xff4e7dc2,
    0xff4978be,
    0xff4e72b5,
    0xff4e71b5,
    0xff5378be,
    0xff5275bb,
    0xff5878bb,
    0xff7691cd,
    0xff8da2d9,
    0xff9aaddc,
    0xffbfcdf5,
    0xffb6c2ee,
    0xffaebded,
    0xffaabaf0,
    0xff94abe7,
    0xff839ce1,
    0xff7997dd,
    0xff7394dc,
    0xff6a92d9,
    0xff6e97dd,
    0xff6993dc,
    0xff6794de,
    0xff6591e0,
    0xff5f91e1,
    0xff5d91e4,
    0xff588ee0,
    0xff5f94e5,
    0xff5c90e3,
    0xff5c8fe2,
    0xff6192e5,
    0xff6090e3,
    0xff5e8ee0,
    0xff5d90e0,
    0xff5e90e1,
    0xff5d8de3,
    0xff5f8ee4,
    0xff618fe5,
    0xff6593e8,
    0xff6391e4,
    0xff6592e4,
    0xff6b99e9,
    0xff6e9ceb,
    0xff6894e2,
    0xff6695e2,
    0xff6795e4,
    0xff6394e3,
    0xff6697e5,
    0xff6596e5,
    0xff6394e1,
    0xff6494e1,
    0xff6595dc,
    0xff6691d9,
    0xff6591da,
    0xff638fda,
    0xff6894de,
    0xff6693dc,
    0xff6a96df,
    0xff6793db,
    0xff6e99e8,
    0xff6d9be8,
    0xff6999e5,
    0xff6b98e4,
    0xff6c95de,
    0xff769ce7,
    0xff749de4,
    0xff6891d9,
    0xff618dd5,
    0xff5a84ce,
    0xff5e88d2,
    0xff5b84d0,
    0xff5b84d1,
    0xff5882ce,
    0xff5681d1,
    0xff5885d5,
    0xff5880d6,
    0xff517bd1,
    0xff537dd4,
    0xff547dd6,
    0xff537cd7,
    0xff517dd6,
    0xff5480d6,
    0xff507cd2,
    0xff5582d5,
    0xff5785ce,
    0xff4f75bb,
    0xff4b62a7,
    0xff838ebc,
    0xff4a4d68,
    0xff585d7d,
    0xff808bc3,
    0xff5d89cc,
    0xff618ada,
    0xff608cd3,
    0xff6b93db,
    0xff839ee9,
    0xff92a0d7,
    0xff97a7d2,
    0xff93aced,
    0xffa2b2ee,
    0xff9fb1e9,
    0xff9dabe2,
    0xffa3b0e6,
    0xffaeb9eb,
    0xffb5baeb,
    0xffbec1ed,
    0xffbec1ed,
    0xffb8c2ef,
    0xffe8e7f2,
    0xffb4abb7,
    0xffb8b5db,
    0xffc0c6eb,
    0xffc0c3e3,
    0xffc2c4e9,
    0xffc0c7ef,
    0xffc5c7ef,
    0xffc8c9f1,
    0xffc3c6ed,
    0xffbfc2eb,
    0xffbec2ed,
    0xffb4bde5,
    0xffb3bee9,
    0xffb0bbe6,
    0xffb4b7ed,
    0xffb6baf0,
    0xffb3b9ef,
    0xffb7bcf3,
    0xffb5baf1,
    0xffb5baf1,
    0xffabb4ea,
    0xffa0a8df,
    0xffa4abdb,
    0xffa6aede,
    0xffa6ade0,
    0xffa3a9de,
    0xffa5ace2,
    0xffa0abe2,
    0xff9ba8e0,
    0xff92a2dc,
    0xff8fa3ec,
    0xff889eea,
    0xff7f97e1,
    0xff7c9be2,
    0xff7a97df,
    0xff7c99e0,
    0xff7695d9,
    0xff708fd5,
    0xff6992da,
    0xff668fd8,
    0xff5986d1,
    0xff5686d2,
    0xff5283d3,
    0xff4f80d0,
    0xff5284d6,
    0xff5b8bdc,
    0xff688ddd,
    0xff688bda,
    0xff6687d5,
    0xff6685d4,
    0xff5d7ac7,
    0xff5c7ac5,
    0xff5a7ac4,
    0xff5e7dc8,
    0xff6885cb,
    0xff6e8cd2,
    0xff7494d9,
    0xff7091d7,
    0xff6d8ed5,
    0xff6d8dd5,
    0xff6482cc,
    0xff7290da,
    0xff7e97e2,
    0xff748ed6,
    0xff7a94da,
    0xff7b97da,
    0xff7c97d9,
    0xff7c97d6,
    0xff7087ca,
    0xff6c83c5,
    0xff738acc,
    0xff758ccf,
    0xff7288cb,
    0xff7188cb,
    0xff6980c1,
    0xff7187c8,
    0xff728aca,
    0xff7188ca,
    0xff6d8bd1,
    0xff6f8ad1,
    0xff6984c4,
    0xff6a83c3,
    0xff687dbb,
    0xff788dc9,
    0xff798bca,
    0xff7a88ca,
    0xff8687d1,
    0xff7489c1,
    0xff5f7dc0,
    0xff5974bb,
    0xff7f759d,
    0xff973244,
    0xffb00612,
    0xffb70706,
    0xffcc1b19,
    0xffdd463b,
    0xffce523f,
    0xffd05443,
    0xffca322d,
    0xffae050c,
    0xffac0512,
    0xffaa0c19,
    0xffa5060b,
    0xffba4945,
    0xff804a3a,
    0xff645643,
    0xff5b5644,
    0xff676151,
    0xff4e4d39,
    0xff323720,
    0xff877b5d,
    0xff5c593c,
    0xff25321a,
    0xff263c29,
    0xff203225,
    0xff253026,
    0xff253125,
    0xff1f3222,
    0xff1f3522,
    0xff292e1d,
    0xff7e3c24,
    0xffe0723a,
    0xffd86324,
    0xffba6d41,
    0xff362709,
    0xff41170f,
    0xff6a2212,
    0xffaa4e37,
    0xffc04832,
    0xffac251b,
    0xff940f12,
    0xff88080f,
    0xffa52820,
    0xffad2f1d,
    0xffa92a21,
    0xffab2a17,
    0xffa42b12,
    0xffa54d3b,
    0xff482a24,
    0xff0c1d1d,
    0xff112725,
    0xff1c221d,
    0xff10201a,
    0xff15241d,
    0xff16241e,
    0xff13211b,
    0xff0c1b14,
    0xff0f2017,
    0xff0b1f14,
    0xff091d13,
    0xff091510,
    0xff0f1d0c,
    0xff2f2612,
    0xff160a00,
    0xff0e1c09,
    0xff0d1b11,
    0xff191817,
    0xff0f1712,
    0xff0b1c14,
    0xff0f1612,
    0xff1b201c,
    0xff0e1d16,
    0xff0d251b,
    0xff051d12,
    0xff102217,
    0xff0c1810,
    0xff0f1e1b,
    0xff14251e,
    0xff07130c,
    0xff13140b,
    0xff6d5e58,
    0xff86736c,
    0xff70645a,
    0xff161307,
    0xff4b4d50,
    0xffb1afb2,
    0xff888486,
    0xffe3e4e3,
    0xff0a1611,
    0xff112422,
    0xff172c2d,
    0xff1b3133,
    0xff173237,
    0xff102d30,
    0xff0a252b,
    0xff0b272e,
    0xff0a2329,
    0xff0a2228,
    0xff162930,
    0xff14272e,
    0xff112228,
    0xff6c7677,
    0xffd7d8d3,
    0xff0e0b05,
    0xff24221f,
    0xff23201b,
    0xff2c2215,
    0xff574430,
    0xff2f220c,
    0xff33280f,
    0xff302a0d,
    0xff342c11,
    0xff372c0f,
    0xff473416,
    0xff533913,
    0xff5e4015,
    0xff5d4810,
    0xff58460b,
    0xff564308,
    0xff514005,
    0xff504106,
    0xff52420c,
    0xff4b3f0b,
    0xff4d3e0e,
    0xff47320d,
    0xff3d380d,
    0xff38330f,
    0xff3a2c0a,
    0xff392607,
    0xff2b1100,
    0xffc8a539,
    0xffffc64e,
    0xffe0944b,
    0xff6c3101,
    0xff381d03,
    0xff292709,
    0xff202502,
    0xff242000,
    0xff2c1c08,
    0xff2c1212,
    0xff1c0700,
    0xffd4ba75,
    0xffd4a24d,
    0xffb16f2a,
    0xff622500,
    0xff3a1000,
    0xff2f1600,
    0xff321f0d,
    0xff281a0c,
    0xff4f250c,
    0xffc55a3f,
    0xffcd4d2c,
    0xffd3583b,
    0xffac2a14,
    0xffa83911,
    0xffa14301,
    0xffe99535,
    0xffa25816,
    0xff865c31,
    0xff3a311b,
    0xff252715,
    0xff624d42,
    0xff8e6841,
    0xff704729,
    0xff3e250a,
    0xff795134,
    0xffa87052,
    0xffa05a2d,
    0xffb05f1b,
    0xffb45810,
    0xffa34809,
    0xffa2510a,
    0xffac510c,
    0xffb1571b,
    0xffa04400,
    0xffb15402,
    0xff9e5819,
    0xff2d1100,
    0xff202113,
    0xff18200a,
    0xff172109,
    0xff1a1f09,
    0xff191c09,
    0xff1b1c0c,
    0xff19180c,
    0xff14170c,
    0xff14160f,
    0xff141813,
    0xff12170c,
    0xff0e1608,
    0xff0e1607,
    0xff101608,
    0xff14180a,
    0xff16190d,
    0xff18160b,
    0xffaea9a2,
    0xff9e9196,
    0xff817b80,
    0xff675e50,
    0xff444534,
    0xff636b6f,
    0xffe3dfde,
    0xff40332c,
    0xff1d1e2c,
    0xff8491ac,
    0xff44454f,
    0xffccbdc3,
    0xff362a2a,
    0xff000200,
    0xffdeeceb,
    0xffafb7c8,
    0xff666a73,
    0xff171300,
    0xff210b16,
    0xff1d0f10,
    0xff2c0605,
    0xff570415,
    0xff7f0911,
    0xff7a0f23,
    0xff786aa4,
    0xff4470be,
    0xff4472c2,
    0xff3f6dc0,
    0xff3b6cbe,
    0xff3d6fc0,
    0xff3a6fbb,
    0xff386cb3,
    0xff3569ac,
    0xff3764ab,
    0xff3863aa,
    0xff3a65a8,
    0xff3863a5,
    0xff305c99,
    0xff345f98,
    0xff2f5b92,
    0xff30588e,
    0xff2d507f,
    0xff2d507c,
    0xff294b77,
    0xff27476c,
    0xff2e4e6e,
    0xff2e4b65,
    0xff314f63,
    0xff314c5f,
    0xff2c4d57,
    0xff2b4c50,
    0xff325254,
    0xff304d50,
    0xff32494c,
    0xff2c4245,
    0xff354746,
    0xff32443e,
    0xff354849,
    0xff536567,
    0xff4f6162,
    0xff3d5050,
    0xff3a4d49,
    0xff374a44,
    0xff3a4d43,
    0xff3b4e41,
    0xff515d4e,
    0xff9aa693,
    0xff5a6a55,
    0xff384935,
    0xff334435,
    0xff2d3f31,
    0xff304031,
    0xff354633,
    0xff34422f,
    0xff34422f,
    0xff313d2a,
    0xff323f28,
    0xff33402d,
    0xff2c3a29,
    0xff263629,
    0xff213025,
    0xff1d2d25,
    0xff232f29,
    0xff1e2b24,
    0xff1f2b25,
    0xff202d25,
    0xff26332c,
    0xff24302a,
    0xff29362e,
    0xff354236,
    0xff2d352c,
    0xff323329,
    0xff4c2d28,
    0xff550a09,
    0xff640404,
    0xff6d0001,
    0xff81010b,
    0xff850108,
    0xff890007,
    0xff8e0208,
    0xff950b09,
    0xffa21b14,
    0xff860000,
    0xff9b010f,
    0xffae0922,
    0xffb60d1e,
    0xffb40316,
    0xffb80f1e,
    0xff931119,
    0xff882026,
    0xff8a0d19,
    0xff7e0004,
    0xff85291e,
    0xff772225,
    0xff65080c,
    0xff720509,
    0xff780002,
    0xff800108,
    0xff760007,
    0xff71040e,
    0xff66020f,
    0xff700110,
    0xff70000a,
    0xff78040d,
    0xff7e0208,
    0xff810004,
    0xff890108,
    0xff8b040d,
    0xff87010d,
    0xff7e020c,
    0xff7a000c,
    0xff780011,
    0xff720011,
    0xff6b000a,
    0xff6a0004,
    0xff720002,
    0xff800007,
    0xff750500,
    0xffc03c2f,
    0xffc74525,
    0xffc86041,
    0xff56100d,
    0xff6b4154,
    0xff5d4d6e,
    0xff3f4274,
    0xff495280,
    0xff49567c,
    0xff6a4866,
    0xff7c111a,
    0xffa71a0e,
    0xffa22b2d,
    0xff7f5279,
    0xff4063a2,
    0xff3e67b2,
    0xff4258ad,
    0xff746ba1,
    0xff896f8d,
    0xff576fb4,
    0xff4571c0,
    0xff4378be,
    0xff4e75c4,
    0xff5978d5,
    0xff9899c4,
    0xff6c6483,
    0xff81638c,
    0xff57071a,
    0xff650d10,
    0xff7a363a,
    0xff61110b,
    0xff7f0201,
    0xff8d1110,
    0xff720308,
    0xff5d0418,
    0xff5a173a,
    0xff491237,
    0xff480c2c,
    0xff521126,
    0xff4f182e,
    0xff4b183e,
    0xff59558e,
    0xff4871be,
    0xff416cbb,
    0xff436da9,
    0xff406ea5,
    0xff476bb3,
    0xff4a77c2,
    0xff4e79c6,
    0xff5681cd,
    0xff5581ce,
    0xff5580ce,
    0xff5884d5,
    0xff5382d4,
    0xff5a88db,
    0xff5b8dd7,
    0xff5486d2,
    0xff5588d5,
    0xff5588d7,
    0xff5689d8,
    0xff5a8edc,
    0xff598ddb,
    0xff568ad8,
    0xff5588d6,
    0xff5082d1,
    0xff487dcd,
    0xff497dd0,
    0xff4a7dd2,
    0xff5083d8,
    0xff4f7fd3,
    0xff4d7ed1,
    0xff4a80cf,
    0xff4d84d3,
    0xff5087d6,
    0xff548bd9,
    0xff5589db,
    0xff5487d8,
    0xff5384d6,
    0xff5382d4,
    0xff5285d6,
    0xff5788d9,
    0xff5988d4,
    0xff5883cd,
    0xff557ec6,
    0xff5580c6,
    0xff5882c7,
    0xff547dc4,
    0xff527ac7,
    0xff5379c9,
    0xff4f75c3,
    0xff4f74bf,
    0xff4e72bb,
    0xff5073b9,
    0xff4f73b8,
    0xff5476ba,
    0xff5a7aac,
    0xff516f9f,
    0xff4a6993,
    0xff4b6997,
    0xff476695,
    0xff426193,
    0xff456495,
    0xff3d5c8b,
    0xff38597b,
    0xff355679,
    0xff32547d,
    0xff335584,
    0xff395c92,
    0xff355894,
    0xff3b5fa0,
    0xff3c61a5,
    0xff3a62a5,
    0xff3c62a5,
    0xff446bb1,
    0xff4d73b8,
    0xff5478ba,
    0xff7794d3,
    0xff8ea7e2,
    0xff9db1e8,
    0xff94aade,
    0xff9aaee4,
    0xff93a8e0,
    0xff7d95d1,
    0xff7f95d6,
    0xff7b96db,
    0xff7d9be0,
    0xff799be2,
    0xff729be2,
    0xff6892dc,
    0xff648fd9,
    0xff618edc,
    0xff5f8fde,
    0xff5f91e2,
    0xff5b91e0,
    0xff5f94e4,
    0xff5c8ddc,
    0xff5d8edd,
    0xff608fdf,
    0xff6390e1,
    0xff638ede,
    0xff648fdf,
    0xff6794e0,
    0xff6392de,
    0xff6193e3,
    0xff6597e6,
    0xff6395e3,
    0xff6798e5,
    0xff6597e2,
    0xff6697e2,
    0xff6899e3,
    0xff6999e3,
    0xff79a4ed,
    0xff729ee9,
    0xff6b9ae6,
    0xff6392df,
    0xff6092e1,
    0xff6293e2,
    0xff6394e3,
    0xff6494e3,
    0xff6894e0,
    0xff6d97e4,
    0xff6795e2,
    0xff6593e1,
    0xff6593e0,
    0xff6493e2,
    0xff6190df,
    0xff5e8ddb,
    0xff5a87da,
    0xff598adb,
    0xff5489d9,
    0xff5588d9,
    0xff5b8cdc,
    0xff5a89da,
    0xff598ada,
    0xff5688d9,
    0xff588bd9,
    0xff5c8ddb,
    0xff5b8bdd,
    0xff5e8edf,
    0xff5d8de0,
    0xff5b8ae0,
    0xff588adf,
    0xff5788df,
    0xff5a8cdd,
    0xff5587d7,
    0xff5d8fe1,
    0xff5a8ddf,
    0xff5486d9,
    0xff5b8de1,
    0xff5284d8,
    0xff5789de,
    0xff5a8be3,
    0xff5c85d5,
    0xff678bd8,
    0xff5f84d7,
    0xff618ad7,
    0xff7997d2,
    0xff686b97,
    0xff6a587d,
    0xff8797bb,
    0xff6e91d0,
    0xff6590d7,
    0xff7e9fdf,
    0xff8c9fdf,
    0xff93a3d9,
    0xff99acd6,
    0xffa8b5e3,
    0xffb0bbed,
    0xffb5bef2,
    0xffb9c3f3,
    0xffbac2f3,
    0xffb6bceb,
    0xffb8bdec,
    0xffbdbfec,
    0xffbdbfeb,
    0xffbec4ee,
    0xfff9f6fc,
    0xffa298a5,
    0xffcdc9f1,
    0xffc2caf3,
    0xffbdc1e5,
    0xffb9bee6,
    0xffb5bee7,
    0xffb7bde8,
    0xffbabeeb,
    0xffafb5e3,
    0xffa4acdb,
    0xffa0abdc,
    0xff9dacde,
    0xff96a8db,
    0xff93a6da,
    0xff96a4d6,
    0xff919dd0,
    0xff929ed0,
    0xff8d9acd,
    0xff99a7db,
    0xff9dabdf,
    0xff9aa8dc,
    0xff9caadf,
    0xff96a9e2,
    0xff92a4df,
    0xff8d9ed7,
    0xff98a8e3,
    0xff94a5e0,
    0xff97a9e3,
    0xff9bace8,
    0xff98aae8,
    0xff8ba0de,
    0xff7e96d6,
    0xff748fce,
    0xff708fcd,
    0xff7293d0,
    0xff7699d5,
    0xff7f9edc,
    0xff7f9fdd,
    0xff809bda,
    0xff829fdd,
    0xff84a3e1,
    0xff80a0e2,
    0xff7da0e3,
    0xff7699dd,
    0xff7295dc,
    0xff7799e0,
    0xff6e96dc,
    0xff6f96db,
    0xff7199de,
    0xff7ba1e7,
    0xff81a8ee,
    0xff7da3e9,
    0xff719adf,
    0xff6e96dc,
    0xff6b8ed6,
    0xff6488d4,
    0xff5d86d4,
    0xff5b86d6,
    0xff6089db,
    0xff5881d1,
    0xff5f84d4,
    0xff5d7fce,
    0xff547ed1,
    0xff5780d3,
    0xff5e86d7,
    0xff668dda,
    0xff6d92db,
    0xff6d91d9,
    0xff6e90d9,
    0xff7192da,
    0xff7091da,
    0xff6d90d9,
    0xff7092db,
    0xff6f90da,
    0xff698bd5,
    0xff698bd3,
    0xff6c8ed6,
    0xff6788d1,
    0xff587cca,
    0xff5478c5,
    0xff6d90d9,
    0xff7798e0,
    0xff7695dc,
    0xff7b99e0,
    0xff7c98df,
    0xff7e98e1,
    0xff7f95e8,
    0xff6280c2,
    0xff5076ba,
    0xff6d7ab8,
    0xffbb7b94,
    0xff980001,
    0xffc10105,
    0xffb40000,
    0xffdc3838,
    0xffd3413a,
    0xffcf483c,
    0xffcb423a,
    0xffc83433,
    0xffa20008,
    0xffa2000d,
    0xff9c000d,
    0xff9b1520,
    0xff953d3c,
    0xff88665a,
    0xff666151,
    0xff5d5e4e,
    0xff5d5b4d,
    0xff4d533f,
    0xff3e5036,
    0xff463f25,
    0xff594330,
    0xff6b5847,
    0xff242612,
    0xff222f1c,
    0xff21281b,
    0xff30302a,
    0xff2c3129,
    0xff283621,
    0xff282f27,
    0xff5d3629,
    0xffd07442,
    0xffe15f26,
    0xffad5a34,
    0xff342b13,
    0xff482723,
    0xff5e260c,
    0xff7b3523,
    0xff8c312a,
    0xffab433c,
    0xffa7382e,
    0xff962416,
    0xffa73328,
    0xffa42f27,
    0xffbc483a,
    0xffb83925,
    0xffa61e0b,
    0xff91170c,
    0xffa25251,
    0xff5f4142,
    0xff080d0b,
    0xff10231b,
    0xff12271b,
    0xff16271c,
    0xff122318,
    0xff101c14,
    0xff0f1f17,
    0xff0e1f16,
    0xff071d12,
    0xff091f16,
    0xff0a211b,
    0xff101c01,
    0xff552a03,
    0xffbf7745,
    0xff563109,
    0xff270e00,
    0xff2a0e00,
    0xff161704,
    0xff0b210e,
    0xff081409,
    0xff121612,
    0xff0e1413,
    0xff05180f,
    0xff021e11,
    0xff061910,
    0xff121915,
    0xff0b1b17,
    0xff091e17,
    0xff11251a,
    0xff262a21,
    0xff27140f,
    0xff745954,
    0xff53453c,
    0xff6d6e61,
    0xffa0a1a4,
    0xff848288,
    0xff313036,
    0xff505157,
    0xffb7bec4,
    0xff404d52,
    0xff000f10,
    0xff132729,
    0xff0d262b,
    0xff0d292e,
    0xff0b272a,
    0xff0b282a,
    0xff152e31,
    0xff172c2e,
    0xff132627,
    0xff122325,
    0xff112727,
    0xff000e0d,
    0xffffffff,
    0xff201f1f,
    0xff282423,
    0xff130a05,
    0xff5b4c3b,
    0xff362008,
    0xff36280f,
    0xff362b10,
    0xff362f12,
    0xff332c0e,
    0xff3a2e11,
    0xff402f0d,
    0xff50350d,
    0xff593809,
    0xff553e04,
    0xff594309,
    0xff594608,
    0xff594708,
    0xff564509,
    0xff53430b,
    0xff51400c,
    0xff493a0a,
    0xff46320e,
    0xff3b3005,
    0xff362a05,
    0xff372705,
    0xff372704,
    0xff512b00,
    0xffffd04d,
    0xffae700d,
    0xff824e1d,
    0xff563410,
    0xff36280c,
    0xff2f2713,
    0xff31290d,
    0xff37280b,
    0xff33240d,
    0xff2e220e,
    0xff452c00,
    0xffab801c,
    0xffa86917,
    0xffd99c7a,
    0xff866054,
    0xff241203,
    0xff362b13,
    0xff35280c,
    0xff402810,
    0xff501f01,
    0xffc45b41,
    0xffd65640,
    0xffdd5840,
    0xffbb331a,
    0xff9c2902,
    0xffa83c0b,
    0xffce6d10,
    0xffce9048,
    0xff372714,
    0xff364250,
    0xff293d41,
    0xff383343,
    0xff6a4d26,
    0xff8b5f13,
    0xffdca355,
    0xff935d2a,
    0xff734a2e,
    0xff947853,
    0xff895a22,
    0xff964205,
    0xffae5510,
    0xff9a5802,
    0xffaa5800,
    0xffb56e07,
    0xffc47f16,
    0xffc0760d,
    0xffa46209,
    0xff5e3307,
    0xff21140b,
    0xff1b1f13,
    0xff1e220d,
    0xff1d200c,
    0xff1a1e0b,
    0xff1c1d0d,
    0xff1e1f11,
    0xff1e1d12,
    0xff1b1b11,
    0xff191a0f,
    0xff15190c,
    0xff12180a,
    0xff111a09,
    0xff15200f,
    0xff111a08,
    0xff131609,
    0xff414033,
    0xff100c00,
    0xffa59797,
    0xffdedadd,
    0xff000000,
    0xff26251c,
    0xff8f959b,
    0xffc2c3c3,
    0xff7a6f6a,
    0xff16151a,
    0xff8c929b,
    0xff86837b,
    0xff1c0f06,
    0xff2c2114,
    0xff111200,
    0xfff0f8f3,
    0xffacabc3,
    0xff706682,
    0xff260f00,
    0xff240811,
    0xff2a080d,
    0xff430009,
    0xff61061d,
    0xff6d0008,
    0xff760014,
    0xff682b6c,
    0xff476bb5,
    0xff3f68b4,
    0xff3b67b2,
    0xff3664af,
    0xff3462aa,
    0xff3868ac,
    0xff3564a4,
    0xff31619f,
    0xff38609f,
    0xff345d9b,
    0xff355c98,
    0xff32578f,
    0xff32588c,
    0xff315686,
    0xff224873,
    0xff1f446f,
    0xff294870,
    0xff2d4c73,
    0xff2c4b71,
    0xff2d4b70,
    0xff2e4c6e,
    0xff3b5c79,
    0xff3a5b74,
    0xff33576b,
    0xff335356,
    0xff2d4a4d,
    0xff2b484a,
    0xff2c494e,
    0xff324e58,
    0xff3c5660,
    0xff375258,
    0xff375456,
    0xff3a504c,
    0xff364c4a,
    0xff364b48,
    0xff354a48,
    0xff364d47,
    0xff3a4f47,
    0xff374d41,
    0xff304639,
    0xff3d4b3a,
    0xff303f2c,
    0xff2c3e28,
    0xff374a36,
    0xff334737,
    0xff2f4535,
    0xff334434,
    0xff364a37,
    0xff404f3b,
    0xff3f4c3a,
    0xff394632,
    0xff394633,
    0xff394634,
    0xff394835,
    0xff2f3f32,
    0xff2b3d32,
    0xff2a3a30,
    0xff213227,
    0xff1b2a23,
    0xff21312a,
    0xff182821,
    0xff182821,
    0xff1d2c26,
    0xff2a3932,
    0xff273932,
    0xff323a35,
    0xff33312b,
    0xff492b25,
    0xff89433f,
    0xff87342d,
    0xff640100,
    0xff8e0411,
    0xff8c010e,
    0xff8c000a,
    0xff93010a,
    0xff97080c,
    0xff8b0001,
    0xffa30915,
    0xffba102b,
    0xffc0062a,
    0xffbf011c,
    0xffb5051c,
    0xffae1b30,
    0xff842d33,
    0xff572523,
    0xff75272b,
    0xff73090e,
    0xff6e0b09,
    0xffb34043,
    0xff99191c,
    0xffa1141b,
    0xffb72127,
    0xffad1823,
    0xff870008,
    0xff800010,
    0xff780011,
    0xff7b010c,
    0xff810511,
    0xff81030e,
    0xff85000a,
    0xff8d000b,
    0xff91000d,
    0xff900210,
    0xff8e0310,
    0xff850208,
    0xff81000c,
    0xff7a000d,
    0xff690009,
    0xff680407,
    0xff6e0105,
    0xff7f0006,
    0xff8b000b,
    0xff810000,
    0xffe56b46,
    0xffd76331,
    0xffd86d4a,
    0xff68221e,
    0xff6a557b,
    0xff485899,
    0xff3f5f9b,
    0xff3b6299,
    0xff466bab,
    0xff676bb4,
    0xff884367,
    0xff941d15,
    0xff9d4e5e,
    0xff6e74b6,
    0xff477ec7,
    0xff4d8cda,
    0xff5a73d7,
    0xff8d7fc9,
    0xff714b6b,
    0xff6f76c0,
    0xff527bd2,
    0xff4e83d3,
    0xff4b79be,
    0xff6176b6,
    0xff5c5a6c,
    0xff57606b,
    0xff6f728c,
    0xff3d0412,
    0xff983f46,
    0xff81363c,
    0xff560906,
    0xff610100,
    0xff7d0808,
    0xff8c080d,
    0xff77000d,
    0xff5b0620,
    0xff501c3e,
    0xff3a1636,
    0xff2f0d2a,
    0xff2a142b,
    0xff401c41,
    0xff545186,
    0xff4f79c4,
    0xff517ed6,
    0xff5882d1,
    0xff5682d3,
    0xff5982e1,
    0xff5186d7,
    0xff558cdc,
    0xff5186d6,
    0xff568ada,
    0xff5389dc,
    0xff4f86dc,
    0xff518be3,
    0xff5188e2,
    0xff5786dc,
    0xff5786da,
    0xff5a89db,
    0xff5f8fdf,
    0xff5c8cd9,
    0xff5484d0,
    0xff5586cf,
    0xff5386ce,
    0xff5287d8,
    0xff5488db,
    0xff5287da,
    0xff5488db,
    0xff598cdd,
    0xff5686d8,
    0xff5888d8,
    0xff5a8ad8,
    0xff5586d5,
    0xff4e7fce,
    0xff4c7fcb,
    0xff4d7dca,
    0xff4b78c4,
    0xff517ac6,
    0xff557cc8,
    0xff567cc5,
    0xff5a7dbc,
    0xff587ab7,
    0xff5272ab,
    0xff4e6ea3,
    0xff4c6a99,
    0xff476691,
    0xff46658d,
    0xff406289,
    0xff4c618b,
    0xff4b648c,
    0xff4b638c,
    0xff47638f,
    0xff415e89,
    0xff415f8c,
    0xff395a88,
    0xff3e5f8c,
    0xff375580,
    0xff3b587f,
    0xff3e5c81,
    0xff365479,
    0xff33507c,
    0xff3c5987,
    0xff3f5c89,
    0xff385580,
    0xff3f5b8a,
    0xff436194,
    0xff4e6ca2,
    0xff4b6aa8,
    0xff4968aa,
    0xff4868b3,
    0xff4c6ebd,
    0xff5c7ece,
    0xff628fd9,
    0xff6896df,
    0xff6c9ae2,
    0xff6c99e0,
    0xff78a0e7,
    0xff85a8ec,
    0xff87a7e8,
    0xff89a3e5,
    0xff7d9ce0,
    0xff7391d7,
    0xff7592d6,
    0xff8ba5e9,
    0xff91abee,
    0xff8aa7e7,
    0xff8ba7e6,
    0xff84a1df,
    0xff7da2e5,
    0xff7a9ee5,
    0xff7499e3,
    0xff6f99e2,
    0xff6995e1,
    0xff6a98e4,
    0xff6996e4,
    0xff6c9be7,
    0xff6b95df,
    0xff75a0e9,
    0xff779fe9,
    0xff6f95e1,
    0xff6e93dd,
    0xff7094dd,
    0xff7399e0,
    0xff759be3,
    0xff6f9ae5,
    0xff6995df,
    0xff6e9ae4,
    0xff6e9be2,
    0xff6d97df,
    0xff6d97dd,
    0xff6b95db,
    0xff6c96da,
    0xff6892dd,
    0xff6692dd,
    0xff6996e4,
    0xff6495e4,
    0xff5f8fe1,
    0xff6291e3,
    0xff6292e5,
    0xff6494e6,
    0xff618fe0,
    0xff618ede,
    0xff5d8adb,
    0xff5e8dde,
    0xff5b8adc,
    0xff5f8ee2,
    0xff5f8fe3,
    0xff6191e6,
    0xff608ee4,
    0xff5b8de2,
    0xff5b92e5,
    0xff5890e3,
    0xff578de0,
    0xff588cdf,
    0xff558cdf,
    0xff538bde,
    0xff578adc,
    0xff578adb,
    0xff588cdf,
    0xff568add,
    0xff5284da,
    0xff5284dc,
    0xff5486de,
    0xff5284db,
    0xff5288d4,
    0xff5589d5,
    0xff5589d6,
    0xff598cd9,
    0xff5689d5,
    0xff5888d9,
    0xff5787d8,
    0xff5686d7,
    0xff5984d9,
    0xff6586e0,
    0xff6482dc,
    0xff688ce1,
    0xff6b94e8,
    0xff7995e9,
    0xffa2a7e9,
    0xff807099,
    0xff6a5976,
    0xff9ba1cc,
    0xff8ea5ea,
    0xff879ceb,
    0xff8c9edf,
    0xff8ea0e1,
    0xff94a3e0,
    0xff9ea5d4,
    0xffa4abd9,
    0xffa7addd,
    0xffa2a8d8,
    0xffa7afe0,
    0xffa2acde,
    0xffa0aadc,
    0xff9ca8dc,
    0xff9ca8dc,
    0xff959ac8,
    0xfff1eff8,
    0xff9993a5,
    0xffa4a5d7,
    0xff99a6d9,
    0xff99a2d0,
    0xff9ba4d5,
    0xff95a0d2,
    0xff949fd5,
    0xff92a0d5,
    0xff8f9dd5,
    0xff8f9dd7,
    0xff8698d5,
    0xff8298d6,
    0xff7f98d6,
    0xff7c9bd9,
    0xff7798dd,
    0xff7497db,
    0xff7193d7,
    0xff6f93d9,
    0xff6388cd,
    0xff6388cd,
    0xff6c90d5,
    0xff7498dd,
    0xff6b91da,
    0xff6e94dc,
    0xff7a9be1,
    0xff7895da,
    0xff7b98db,
    0xff7b96d9,
    0xff7c97db,
    0xff819bde,
    0xff8da2da,
    0xff8ca6dd,
    0xff87a4de,
    0xff87a6e3,
    0xff86a5e5,
    0xff8caaec,
    0xff88a5e7,
    0xff8ba7e9,
    0xff99b2f5,
    0xff8ba6ea,
    0xff7c99dc,
    0xff7d9de0,
    0xff7b9ce2,
    0xff7192db,
    0xff6e8fdb,
    0xff6889d7,
    0xff6992e6,
    0xff618adf,
    0xff5f88dd,
    0xff5e85da,
    0xff5b82d7,
    0xff5a81d6,
    0xff608bde,
    0xff658fe3,
    0xff6688d6,
    0xff678bd9,
    0xff5f87d8,
    0xff5883d2,
    0xff5b85d8,
    0xff537ccc,
    0xff567bc9,
    0xff5a7ecb,
    0xff5d84d1,
    0xff567dc8,
    0xff587ec6,
    0xff5d80c6,
    0xff6686ca,
    0xff6e8ed2,
    0xff718fd0,
    0xff718ed2,
    0xff6c8dd3,
    0xff698cd3,
    0xff698cd3,
    0xff698cd2,
    0xff6a8cd3,
    0xff6d90d6,
    0xff6b8ed4,
    0xff7294da,
    0xff7c98df,
    0xff7d99df,
    0xff7b98dd,
    0xff7b98df,
    0xff7996dc,
    0xff7a96df,
    0xff6d8bd5,
    0xff5d7cc5,
    0xff5c80c4,
    0xff6b80c1,
    0xff7487cb,
    0xff8e7cb5,
    0xffad415b,
    0xffa20301,
    0xffae060a,
    0xffc10a19,
    0xffd8424a,
    0xffd24649,
    0xffdf5455,
    0xffce3d40,
    0xffcb3139,
    0xff960006,
    0xff980913,
    0xff84050e,
    0xff8a4f4b,
    0xff7a544c,
    0xff65554a,
    0xff575248,
    0xff555347,
    0xff4b493e,
    0xff424333,
    0xff3a402d,
    0xff242f20,
    0xff2f3321,
    0xff433120,
    0xff6c493a,
    0xff7f6554,
    0xff2b2916,
    0xff172013,
    0xff1e211a,
    0xff514b3a,
    0xff252727,
    0xff2d2b23,
    0xff733b16,
    0xffe06641,
    0xff953f24,
    0xff2b1e08,
    0xff4b2d23,
    0xff553319,
    0xff351908,
    0xff36150f,
    0xff4d1a0f,
    0xff742912,
    0xff9a3c21,
    0xffb95242,
    0xffa43d3a,
    0xff82311c,
    0xffa24335,
    0xffa63730,
    0xffa43631,
    0xff791c17,
    0xff8f534e,
    0xff7d6260,
    0xff090908,
    0xff122014,
    0xff122114,
    0xff182619,
    0xff111f13,
    0xff152317,
    0xff122416,
    0xff081d0f,
    0xff081e10,
    0xff081f10,
    0xff101200,
    0xffd78e5c,
    0xffe16935,
    0xffd6703e,
    0xffd47554,
    0xffb55844,
    0xff5c2104,
    0xff451d0c,
    0xff25200c,
    0xff152212,
    0xff141d12,
    0xff0e1a0e,
    0xff041d0e,
    0xff081d10,
    0xff121612,
    0xff0c170f,
    0xff06180c,
    0xff061a0c,
    0xff2c3128,
    0xff31241e,
    0xff1b0907,
    0xff5b564f,
    0xff212c23,
    0xff000000,
    0xff626463,
    0xff807f82,
    0xff39383e,
    0xffafafb4,
    0xff808588,
    0xff828a8b,
    0xff0c1a1b,
    0xff0a2023,
    0xff0c2526,
    0xff132c2b,
    0xff0f2925,
    0xff152e29,
    0xff0c211c,
    0xff2b3b39,
    0xff1c2928,
    0xff132c23,
    0xff03170f,
    0xff9fa8a5,
    0xffacacaa,
    0xff0a0300,
    0xffc7bbb0,
    0xff372610,
    0xff412b10,
    0xff37280e,
    0xff362a0f,
    0xff3a2e0d,
    0xff3a2f0f,
    0xff3f3110,
    0xff45310b,
    0xff4b3004,
    0xff553606,
    0xff543a05,
    0xff523c02,
    0xff533d03,
    0xff513e02,
    0xff4e3c01,
    0xff4f3d07,
    0xff4c3c08,
    0xff483808,
    0xff43330f,
    0xff47360b,
    0xff432e07,
    0xff3f3312,
    0xff352d01,
    0xff875819,
    0xffffce50,
    0xff683300,
    0xff3d1d00,
    0xff3d2807,
    0xff332909,
    0xff35260d,
    0xff392313,
    0xff38210d,
    0xff37280c,
    0xff2b2400,
    0xff7b500f,
    0xffc1780f,
    0xffbf710b,
    0xff6b3e0e,
    0xff54482a,
    0xffb6ad9c,
    0xff46342c,
    0xff271903,
    0xff2b2308,
    0xff481f0c,
    0xffb65047,
    0xffc9523e,
    0xffd35931,
    0xffe16734,
    0xff9c2700,
    0xffac1d00,
    0xffab4215,
    0xff683c0a,
    0xff3c402b,
    0xff2f403e,
    0xff2a3b31,
    0xff313440,
    0xff735935,
    0xff985812,
    0xffde9b3d,
    0xffb86e31,
    0xffb06b45,
    0xff8a552e,
    0xff8b653f,
    0xff9a7051,
    0xff723614,
    0xff9c5427,
    0xff90450a,
    0xffa45c00,
    0xffc27a15,
    0xffb87014,
    0xffc57c1a,
    0xffa46415,
    0xff461e00,
    0xff231d00,
    0xff1d1e0f,
    0xff1a1b0c,
    0xff191b0e,
    0xff1c1e11,
    0xff191d0b,
    0xff1a1b0b,
    0xff1c1c0d,
    0xff171906,
    0xff191d0f,
    0xff141a0c,
    0xff131b0c,
    0xff0e1b0a,
    0xff121b09,
    0xff191c0d,
    0xff0e0f00,
    0xff3a3527,
    0xff30291a,
    0xffbdc1bf,
    0xff726f75,
    0xff000000,
    0xff6a6e78,
    0xffa1a3ab,
    0xffaba8a6,
    0xff1a1c19,
    0xff686672,
    0xff44423a,
    0xff1c1d0b,
    0xff21250d,
    0xff1b2105,
    0xffffffff,
    0xffa197b3,
    0xff756589,
    0xff190e04,
    0xff131014,
    0xff250d0d,
    0xff4c0008,
    0xff600016,
    0xff6b0828,
    0xff6a123e,
    0xff6e4391,
    0xff4264ac,
    0xff3b63aa,
    0xff3a63a9,
    0xff3965a9,
    0xff315c9e,
    0xff2b5796,
    0xff2a5792,
    0xff29548d,
    0xff2a538b,
    0xff284f86,
    0xff32578b,
    0xff365a8c,
    0xff2e507e,
    0xff2a4b76,
    0xff2e5179,
    0xff375b81,
    0xff365a87,
    0xff2e5280,
    0xff305684,
    0xff305987,
    0xff38608c,
    0xff335f86,
    0xff315d80,
    0xff245170,
    0xff254155,
    0xff2e4b5c,
    0xff2e4c5a,
    0xff395765,
    0xff365461,
    0xff395861,
    0xff335357,
    0xff2b4d49,
    0xff37514a,
    0xff38524a,
    0xff3a544e,
    0xff3e5650,
    0xff405751,
    0xff394f47,
    0xff354c42,
    0xff374c41,
    0xff3c4f40,
    0xff3a4c3c,
    0xff2e4330,
    0xff2b422f,
    0xff2b4235,
    0xff2d4135,
    0xff2e4237,
    0xff334436,
    0xff303e2f,
    0xff334133,
    0xff31402e,
    0xff2f3d2c,
    0xff233223,
    0xff233227,
    0xff22332b,
    0xff172926,
    0xff162a25,
    0xff1b2f2a,
    0xff1b2e29,
    0xff192b28,
    0xff233532,
    0xff1e302d,
    0xff1f322e,
    0xff223431,
    0xff1d3e39,
    0xff293535,
    0xff303831,
    0xff3b281d,
    0xff7b2524,
    0xff8a1617,
    0xff7e0406,
    0xff920410,
    0xff86020e,
    0xff88000c,
    0xff94010f,
    0xff960009,
    0xffb00c20,
    0xffba112b,
    0xffb30627,
    0xffb9082c,
    0xffa80224,
    0xff8c112b,
    0xff883c4f,
    0xff4c2b34,
    0xff3d2c30,
    0xff5c222b,
    0xff66000e,
    0xffdb6872,
    0xffbd2f2f,
    0xffa60b0e,
    0xffb61117,
    0xffb50b13,
    0xffa9040c,
    0xff9e040c,
    0xff930009,
    0xff91020d,
    0xff8f0108,
    0xff8c0107,
    0xff8a0009,
    0xff8d010b,
    0xff950011,
    0xff980213,
    0xff95000e,
    0xff94000d,
    0xff910109,
    0xff8d0008,
    0xff80000c,
    0xff6f0207,
    0xff6c0405,
    0xff7b030c,
    0xff860513,
    0xff8c081a,
    0xff981a1b,
    0xffb5563c,
    0xffca745b,
    0xffffa89a,
    0xff4d1613,
    0xff595c82,
    0xff3b65ae,
    0xff3b6db6,
    0xff4a6ab1,
    0xff4c68bf,
    0xff4f66cd,
    0xff7a68b0,
    0xff884867,
    0xff856ca3,
    0xff4471d1,
    0xff3f7dd6,
    0xff3b82cc,
    0xff577cd9,
    0xff6965b1,
    0xff521a36,
    0xff725ca1,
    0xff6182d7,
    0xff467bde,
    0xff5277ca,
    0xff5e6dab,
    0xff25264a,
    0xff43547d,
    0xff657db2,
    0xff3e2949,
    0xff7b404b,
    0xff601822,
    0xff530209,
    0xff550606,
    0xff6a0002,
    0xff880106,
    0xff8c060f,
    0xff67000d,
    0xff521128,
    0xff452140,
    0xff2f193a,
    0xff2d132d,
    0xff310d2d,
    0xff261843,
    0xff37467f,
    0xff516eb5,
    0xff6281d3,
    0xff5e87df,
    0xff5589e4,
    0xff5589df,
    0xff5588db,
    0xff5889dd,
    0xff5e8ee2,
    0xff5c8ce1,
    0xff5a8bdf,
    0xff588ae0,
    0xff588be3,
    0xff578ae4,
    0xff578ae2,
    0xff588ae2,
    0xff598be0,
    0xff5b8ce4,
    0xff5a8ce3,
    0xff598ae3,
    0xff598de5,
    0xff5688dd,
    0xff5283d9,
    0xff5686da,
    0xff5786d7,
    0xff4c7bcb,
    0xff507dca,
    0xff4b77c3,
    0xff4c78c4,
    0xff517ac5,
    0xff4b73bb,
    0xff507bbb,
    0xff4771ac,
    0xff406a9b,
    0xff406693,
    0xff40628b,
    0xff416185,
    0xff3c5268,
    0xff2f4456,
    0xff263a4a,
    0xff293d49,
    0xff32484f,
    0xff32474c,
    0xff334c51,
    0xff354c52,
    0xff364a51,
    0xff374b55,
    0xff3e5464,
    0xff3e566e,
    0xff3e5a77,
    0xff36557d,
    0xff3a5a87,
    0xff416392,
    0xff476caa,
    0xff4066a1,
    0xff4167a2,
    0xff476faa,
    0xff5076b5,
    0xff4f74b8,
    0xff4e73b7,
    0xff4d73b6,
    0xff4a72c1,
    0xff4e76c6,
    0xff527acb,
    0xff5882d3,
    0xff618dde,
    0xff608cdd,
    0xff6290e3,
    0xff6290e3,
    0xff5e90e0,
    0xff5e91de,
    0xff6191dd,
    0xff6596df,
    0xff6490d8,
    0xff638ad2,
    0xff6689d0,
    0xff6687ce,
    0xff688eda,
    0xff6d90db,
    0xff7999e3,
    0xff7e9ce2,
    0xff7a96d8,
    0xff809ada,
    0xff89a2dd,
    0xff8aa5de,
    0xff82a1e0,
    0xff80a1e4,
    0xff7b9fe3,
    0xff739ae1,
    0xff749de7,
    0xff719be4,
    0xff709ae3,
    0xff6e97e0,
    0xff759ee4,
    0xff7096dd,
    0xff7197df,
    0xff799ee6,
    0xff8bacf5,
    0xff89aef5,
    0xff82a7ec,
    0xff87aef3,
    0xff85a8f3,
    0xff7ea0eb,
    0xff7396e0,
    0xff799ce6,
    0xff81a2ed,
    0xff84a5ed,
    0xff87a8f0,
    0xff799ce5,
    0xff6e9be8,
    0xff6896e4,
    0xff5786d6,
    0xff5d8de0,
    0xff5488db,
    0xff5689dd,
    0xff5888dc,
    0xff5585d9,
    0xff5885db,
    0xff5987dd,
    0xff5886dc,
    0xff5787db,
    0xff5687db,
    0xff5988dd,
    0xff5284db,
    0xff598ae3,
    0xff5a87e0,
    0xff578be2,
    0xff538de1,
    0xff528ce0,
    0xff5288df,
    0xff5589df,
    0xff5489e0,
    0xff5389de,
    0xff5a8ade,
    0xff588bde,
    0xff5b8ee1,
    0xff5a8de0,
    0xff5a8ee0,
    0xff5c8ce1,
    0xff5b8be0,
    0xff5b89df,
    0xff598ce0,
    0xff6595e8,
    0xff6696e8,
    0xff5d8bdc,
    0xff5e8bdb,
    0xff608cdd,
    0xff5f87d9,
    0xff638adb,
    0xff6e94d1,
    0xff779de9,
    0xff83a9f5,
    0xff8eade9,
    0xff96a9dd,
    0xff95a1db,
    0xff8e9cd4,
    0xff9fafdd,
    0xff7b6c8b,
    0xff6b5b71,
    0xffa09ec9,
    0xff98a7e9,
    0xff8ba2dc,
    0xff97a4dc,
    0xffa1aae5,
    0xff7f8ebe,
    0xff939ed0,
    0xff9ca6d8,
    0xff9ba4d8,
    0xff99a5d9,
    0xff9eace0,
    0xff9cabe2,
    0xff99abe6,
    0xff98a9e5,
    0xff9aa1d1,
    0xfff2f1f7,
    0xff9490a9,
    0xffa1a8e0,
    0xff91a4e0,
    0xff97a8dc,
    0xff97a2db,
    0xff8d9ed5,
    0xff8ea1dd,
    0xff8a9cd8,
    0xff91a5e1,
    0xff869ad9,
    0xff8297d8,
    0xff7b94d6,
    0xff7593d5,
    0xff7795d7,
    0xff6f90da,
    0xff698ad5,
    0xff6687d5,
    0xff6788d5,
    0xff698ad7,
    0xff6588d4,
    0xff5e82d1,
    0xff6385d4,
    0xff6b88cb,
    0xff708bcb,
    0xff738ecb,
    0xff8da4e0,
    0xff8296d2,
    0xff8da0db,
    0xff91a3de,
    0xff8b9ddb,
    0xff859cde,
    0xff829ce2,
    0xff7a98e0,
    0xff7395e1,
    0xff688bda,
    0xff6586d8,
    0xff617dd1,
    0xff627ed1,
    0xff547fd5,
    0xff5481d7,
    0xff4f7ed3,
    0xff4b7bd0,
    0xff4676cc,
    0xff4779d1,
    0xff4878d2,
    0xff4777d3,
    0xff4572c9,
    0xff4875cc,
    0xff4b74cc,
    0xff5078cf,
    0xff537bd2,
    0xff537bd2,
    0xff577ed6,
    0xff557cd3,
    0xff5e81ce,
    0xff5e83cf,
    0xff6086d1,
    0xff648ad5,
    0xff6d94dc,
    0xff6f93dd,
    0xff6f92da,
    0xff82a2eb,
    0xff809ddc,
    0xff829bdb,
    0xff869fdc,
    0xff93a9e4,
    0xff9aaee8,
    0xff93a7e2,
    0xff8da1da,
    0xff8b9fd9,
    0xff7d96d6,
    0xff7993d3,
    0xff7993d4,
    0xff7d98d7,
    0xff7f98db,
    0xff7993d5,
    0xff7b94d6,
    0xff6b86c8,
    0xff5a79c0,
    0xff6080c9,
    0xff5c7ec7,
    0xff658ad5,
    0xff5d83d2,
    0xff5a82d1,
    0xff4f77c8,
    0xff527acb,
    0xff5378b8,
    0xff5d70b7,
    0xff5a75bb,
    0xff8a6da4,
    0xffb52842,
    0xffb00206,
    0xffaa0706,
    0xffcc1214,
    0xffd03d49,
    0xffcd444d,
    0xffda565b,
    0xffda4d54,
    0xffb6232f,
    0xff830008,
    0xff7c1518,
    0xff8d4440,
    0xff614f42,
    0xff615147,
    0xff5e4f48,
    0xff5a5149,
    0xff414138,
    0xff363e31,
    0xff2e3828,
    0xff2d3828,
    0xff25352e,
    0xff192a1c,
    0xff202714,
    0xff201902,
    0xff614c38,
    0xff5a4939,
    0xff292519,
    0xff272c21,
    0xff4e3f33,
    0xff101514,
    0xff162f27,
    0xff38250d,
    0xffb35e49,
    0xff7c3c2b,
    0xff251d08,
    0xff3a2c1c,
    0xff382d20,
    0xff212719,
    0xff1a2c1a,
    0xff27321a,
    0xff2b1c02,
    0xff4f2910,
    0xff522812,
    0xff3e1d09,
    0xff311a02,
    0xff411c11,
    0xff572725,
    0xff5c3227,
    0xff391805,
    0xff644932,
    0xff927a70,
    0xff9d8f8f,
    0xff2f352d,
    0xff1f291f,
    0xff2c382c,
    0xff253324,
    0xff192617,
    0xff192b19,
    0xff1d2d1b,
    0xff182915,
    0xff182612,
    0xff1b1700,
    0xff8a492e,
    0xff881404,
    0xff8c1000,
    0xffb52e24,
    0xffed5f54,
    0xffd75e4b,
    0xffc35a50,
    0xff331300,
    0xff0d270c,
    0xff0e2411,
    0xff1e2817,
    0xff172815,
    0xff102816,
    0xff122118,
    0xff182115,
    0xff182415,
    0xff122010,
    0xff121b0c,
    0xff1b1b13,
    0xff201b19,
    0xff444945,
    0xff485651,
    0xffa1a49e,
    0xff838782,
    0xff8d918d,
    0xff878887,
    0xffaba7a9,
    0xff827f80,
    0xff484a4a,
    0xffb2bcb9,
    0xff374648,
    0xff091b1b,
    0xff142926,
    0xff132823,
    0xff11261e,
    0xff10211a,
    0xff536058,
    0xff1a231e,
    0xff102618,
    0xff1a2b21,
    0xff3d463f,
    0xffffffff,
    0xff63594f,
    0xff271706,
    0xff3d2d13,
    0xff372707,
    0xff392a11,
    0xff403114,
    0xff443511,
    0xff4e3c15,
    0xff4f3b12,
    0xff483005,
    0xff533909,
    0xff5b410d,
    0xff58400f,
    0xff58410c,
    0xff533e06,
    0xff503a01,
    0xff503d03,
    0xff514109,
    0xff52400c,
    0xff4e3e0c,
    0xff463a0e,
    0xff4c370b,
    0xff4b2c07,
    0xff382c08,
    0xff2b2600,
    0xffc79550,
    0xffcd892c,
    0xff3d1603,
    0xff3a200c,
    0xff342302,
    0xff352704,
    0xff322709,
    0xff33220f,
    0xff331c0d,
    0xff3c270a,
    0xff331e00,
    0xff8e561b,
    0xffc8741b,
    0xffc06f05,
    0xff613c00,
    0xff2a2606,
    0xff201708,
    0xff937f7a,
    0xff998c73,
    0xff252000,
    0xff481c00,
    0xffa84529,
    0xffad411e,
    0xff9a3717,
    0xff7a260d,
    0xff8b3b0e,
    0xffc54d1e,
    0xff934028,
    0xff3b2013,
    0xff334029,
    0xff333a2a,
    0xff363e2f,
    0xff313a32,
    0xff857243,
    0xffa15b29,
    0xff985a10,
    0xff733000,
    0xffa14d09,
    0xffbb5c0d,
    0xff9e5826,
    0xff7a5c48,
    0xff94746b,
    0xff94554d,
    0xff9b5e2c,
    0xffb4710e,
    0xffbd7404,
    0xffbd7103,
    0xffd27d04,
    0xffd37e15,
    0xff96561f,
    0xff290d00,
    0xff1e1c0f,
    0xff171709,
    0xff191b0d,
    0xff181c0d,
    0xff141809,
    0xff151908,
    0xff171a06,
    0xff181908,
    0xff101608,
    0xff161b0e,
    0xff121a0d,
    0xff141c0f,
    0xff151b0e,
    0xff141809,
    0xff161808,
    0xff121402,
    0xff35341d,
    0xff69756f,
    0xffeceaf2,
    0xff998a94,
    0xff0d0912,
    0xff9999a3,
    0xff6d6c70,
    0xff4f5556,
    0xff7d7d9c,
    0xff52575d,
    0xff12190d,
    0xff141b08,
    0xff212914,
    0xffffffff,
    0xff918da5,
    0xff6a677e,
    0xff260c0b,
    0xff120e11,
    0xff1e0c11,
    0xff3d1720,
    0xff6b425e,
    0xff7c6893,
    0xff576ca1,
    0xff3564a2,
    0xff3562a7,
    0xff3763a8,
    0xff3562a4,
    0xff325fa2,
    0xff3461a3,
    0xff3965a3,
    0xff38619e,
    0xff3c65a0,
    0xff3a679c,
    0xff356197,
    0xff345d91,
    0xff214679,
    0xff395f8d,
    0xff345988,
    0xff2a507c,
    0xff294e79,
    0xff264e7a,
    0xff2e5585,
    0xff335c8b,
    0xff2b5483,
    0xff214773,
    0xff244b72,
    0xff2f5778,
    0xff37607d,
    0xff3e5976,
    0xff3e5974,
    0xff39556b,
    0xff375069,
    0xff3c566c,
    0xff395263,
    0xff2a464c,
    0xff34504f,
    0xff30473d,
    0xff344a3f,
    0xff3b5249,
    0xff42574f,
    0xff40524c,
    0xff374941,
    0xff3d5046,
    0xff3a493f,
    0xff2c4238,
    0xff2c4235,
    0xff283f30,
    0xff2a4033,
    0xff263a31,
    0xff293931,
    0xff27372d,
    0xff27352a,
    0xff2c3b33,
    0xff29382f,
    0xff2d3c33,
    0xff34443b,
    0xff4b5c53,
    0xff3e514d,
    0xff213635,
    0xff1a3033,
    0xff1e343a,
    0xff1b3236,
    0xff1e3439,
    0xff24393c,
    0xff23373a,
    0xff223738,
    0xff273a3c,
    0xff2b4142,
    0xff1c3e40,
    0xff29363c,
    0xff343c39,
    0xff5e3734,
    0xff9a1b29,
    0xff960007,
    0xff940810,
    0xff95000b,
    0xff8e000e,
    0xff8c040f,
    0xff8a000a,
    0xff940012,
    0xffa4001b,
    0xffb70c2e,
    0xffb60c2a,
    0xffaa0a25,
    0xff912741,
    0xff683744,
    0xff4a3845,
    0xff4f3d4b,
    0xff512f38,
    0xff6e2129,
    0xff991d26,
    0xff9b0e14,
    0xff900000,
    0xff9c0403,
    0xff9e0201,
    0xffa10604,
    0xff9e0904,
    0xff980700,
    0xffa10f05,
    0xffaa130a,
    0xffa80c05,
    0xff9c0502,
    0xff8d0000,
    0xff98030f,
    0xff9d0312,
    0xff9e010f,
    0xff9b000c,
    0xff9d040c,
    0xff960008,
    0xff95000a,
    0xff8c000c,
    0xff7e030b,
    0xff790007,
    0xff7f010e,
    0xff760117,
    0xff963b51,
    0xff845177,
    0xff8b5873,
    0xff501523,
    0xffc18d99,
    0xff665070,
    0xff5e76b7,
    0xff4f71c9,
    0xff6980d3,
    0xff6677c4,
    0xff656ec0,
    0xff677ed9,
    0xff5774c6,
    0xff6a75ba,
    0xff6072c3,
    0xff4070c9,
    0xff4580ce,
    0xff4380c8,
    0xff5677c8,
    0xff6472bf,
    0xff3e153f,
    0xff6b5ba1,
    0xff4b74b6,
    0xff4271d1,
    0xff4d6abf,
    0xff8b93d4,
    0xff43548e,
    0xff5e7dc7,
    0xff566dc6,
    0xff4c457f,
    0xff6f4854,
    0xff4e0c09,
    0xff5a010b,
    0xff5d0208,
    0xff630106,
    0xff730209,
    0xff7f040c,
    0xff78050e,
    0xff58000e,
    0xff470e2a,
    0xff3d1e41,
    0xff381937,
    0xff2e1330,
    0xff2b1330,
    0xff1d1335,
    0xff32396c,
    0xff596ab5,
    0xff5f80d4,
    0xff4e88d4,
    0xff5387d4,
    0xff5b8cd8,
    0xff5989d3,
    0xff5c8bd5,
    0xff5e8bd6,
    0xff608cd7,
    0xff5b8ad4,
    0xff5a89d3,
    0xff4f88d2,
    0xff528ad2,
    0xff558ad3,
    0xff5589d0,
    0xff5286cc,
    0xff5286ce,
    0xff4a80ca,
    0xff457ac6,
    0xff4b7ac4,
    0xff4b77c2,
    0xff4572b9,
    0xff4771b4,
    0xff4069aa,
    0xff466fac,
    0xff3f67a2,
    0xff436aa3,
    0xff3d6494,
    0xff406793,
    0xff3a6289,
    0xff305c7a,
    0xff2b5368,
    0xff234855,
    0xff1f3f49,
    0xff1f3d43,
    0xff1b373f,
    0xff2a444c,
    0xff354d56,
    0xff2f4851,
    0xff27414d,
    0xff345160,
    0xff324f60,
    0xff355368,
    0xff3f5981,
    0xff486290,
    0xff4a6598,
    0xff506fa9,
    0xff5372b6,
    0xff4f6eb9,
    0xff5476c6,
    0xff5d80d1,
    0xff5280c7,
    0xff5888cb,
    0xff5a8ac8,
    0xff5483c4,
    0xff5689cc,
    0xff5b8cd2,
    0xff6192d9,
    0xff6394d8,
    0xff6396de,
    0xff6095da,
    0xff6198dc,
    0xff5c94d9,
    0xff5e94d9,
    0xff5c96d9,
    0xff5b93d6,
    0xff5d94d9,
    0xff5e93e6,
    0xff6194e6,
    0xff6395e2,
    0xff6596e0,
    0xff6c98e1,
    0xff78a0e8,
    0xff7ea2ed,
    0xff8aabf5,
    0xff83a8ed,
    0xff84a6ed,
    0xff88a9ed,
    0xff84a1e8,
    0xff8fabef,
    0xff819ee2,
    0xff86a3e4,
    0xff8aa9ea,
    0xff84a3e3,
    0xff7d9ede,
    0xff7b9fe5,
    0xff78a0e8,
    0xff719ae6,
    0xff6994e2,
    0xff6b98e3,
    0xff709de7,
    0xff6b97e1,
    0xff6e9ae4,
    0xff739ce6,
    0xff759dea,
    0xff6e97e4,
    0xff6591dc,
    0xff638fdb,
    0xff6190da,
    0xff568cd5,
    0xff578dda,
    0xff5a90dc,
    0xff5a90dc,
    0xff578bd7,
    0xff5b8fdb,
    0xff568bd8,
    0xff568ad8,
    0xff5989db,
    0xff5585d7,
    0xff5c8fe2,
    0xff5688dd,
    0xff5387dc,
    0xff5284db,
    0xff5386da,
    0xff5a89de,
    0xff5988e0,
    0xff5585da,
    0xff5484d8,
    0xff5585d9,
    0xff5484d8,
    0xff588ade,
    0xff5284db,
    0xff5487de,
    0xff5685dc,
    0xff5286dc,
    0xff4e87db,
    0xff4e88dc,
    0xff5389dc,
    0xff5587dc,
    0xff5688dd,
    0xff5989de,
    0xff5a8adf,
    0xff5a88de,
    0xff5a8de0,
    0xff5b8ee1,
    0xff598cdf,
    0xff5c8bdf,
    0xff6290e5,
    0xff6794e7,
    0xff6595eb,
    0xff6a97ed,
    0xff6592e4,
    0xff7199ea,
    0xff749be8,
    0xff7597e3,
    0xff84a6f2,
    0xff8faef9,
    0xff8bb1ea,
    0xff82acea,
    0xff84afed,
    0xff8fabe1,
    0xff98a4ce,
    0xff989bc6,
    0xff9eaede,
    0xff8dace2,
    0xffa8b5e4,
    0xff6f6a8b,
    0xff6f6580,
    0xff989abf,
    0xff8796c3,
    0xff93a4d3,
    0xff99aad9,
    0xff90a3d4,
    0xff99ace6,
    0xff94a8e2,
    0xff97a7e0,
    0xff92a2d9,
    0xff95a4dd,
    0xff8f9fd8,
    0xff8999d5,
    0xff8998d2,
    0xff878eba,
    0xfff0eff5,
    0xff9b97b0,
    0xff7983bd,
    0xff7f92cf,
    0xff8a9ad5,
    0xff8d99d6,
    0xff8b9bd3,
    0xff899bd2,
    0xff8a99d3,
    0xff90a0db,
    0xff94a4de,
    0xff91a2e0,
    0xff8ca0dc,
    0xff8ba2dd,
    0xff8ea6e1,
    0xff91a4d9,
    0xff91a6da,
    0xff97abe0,
    0xff98ace0,
    0xff9cb2e5,
    0xffa5baf2,
    0xffa2b8ef,
    0xffa2b8ef,
    0xffa8baf3,
    0xffa1b3ec,
    0xffa9baf2,
    0xffa5b7ee,
    0xff94a5df,
    0xff94a8e4,
    0xff8da3e3,
    0xff889fe2,
    0xff7495e3,
    0xff6286da,
    0xff557dd2,
    0xff517dd4,
    0xff517ed6,
    0xff5782db,
    0xff5c83dc,
    0xff5d83da,
    0xff5981d5,
    0xff5e85da,
    0xff6089da,
    0xff5c89d8,
    0xff5e8cda,
    0xff5a88d8,
    0xff5e8ade,
    0xff6a95ea,
    0xff6194d8,
    0xff6a9bde,
    0xff6d9adc,
    0xff739ee1,
    0xff779fe1,
    0xff769ede,
    0xff7ea6e3,
    0xff83abeb,
    0xff799fec,
    0xff7fa3ee,
    0xff86a6ed,
    0xff7998db,
    0xff7995d8,
    0xff85a2e3,
    0xff8ba7ec,
    0xff88a6ea,
    0xff7e98da,
    0xff869edf,
    0xff869edc,
    0xff859ada,
    0xff8fa5e1,
    0xff92a8e6,
    0xff8fa7e5,
    0xff88a0e0,
    0xff88a7ea,
    0xff8eacf0,
    0xff88a6ea,
    0xff7f9ce3,
    0xff809ee3,
    0xff84a1e6,
    0xff7a97df,
    0xff7c9ae1,
    0xff759deb,
    0xff749deb,
    0xff779fee,
    0xff648ede,
    0xff4b74c5,
    0xff5179cc,
    0xff4975c8,
    0xff507bce,
    0xff5f81c7,
    0xff6379c9,
    0xff5b71b8,
    0xff8c6187,
    0xffb51b26,
    0xffbd0005,
    0xffbb1010,
    0xffb00300,
    0xffd9464a,
    0xffcd3e43,
    0xffcb4044,
    0xffd65357,
    0xffad3b3f,
    0xff974243,
    0xff7a4540,
    0xff664840,
    0xff645348,
    0xff5f4d46,
    0xff564842,
    0xff504944,
    0xff4b504a,
    0xff3d4b40,
    0xff37483a,
    0xff2a3c2d,
    0xff4a5044,
    0xff2a2f20,
    0xff243021,
    0xff1b2f1b,
    0xff1b2211,
    0xff846e64,
    0xff7a5c55,
    0xff634f44,
    0xff523f37,
    0xff8b8683,
    0xff43574e,
    0xff353122,
    0xff67332b,
    0xff49261b,
    0xff15160a,
    0xff1f1f1b,
    0xff222021,
    0xff0a160e,
    0xff001a0a,
    0xff29412d,
    0xff222e1d,
    0xff010600,
    0xff171f0e,
    0xff10210c,
    0xff0b1c0a,
    0xff525149,
    0xff1b1811,
    0xff131c0c,
    0xff0b1603,
    0xff1a1707,
    0xffc7bdb3,
    0xff999189,
    0xffa6a4a2,
    0xff525351,
    0xff0e160f,
    0xff233024,
    0xff1d301e,
    0xff22311e,
    0xff313c28,
    0xff313b27,
    0xff202b1a,
    0xff282d1a,
    0xff2b1407,
    0xff602820,
    0xff84332c,
    0xffb4514b,
    0xffaf483e,
    0xffa4483a,
    0xffae6252,
    0xff472e19,
    0xff152714,
    0xff182c1d,
    0xff212919,
    0xff1e2812,
    0xff182915,
    0xff142719,
    0xff172417,
    0xff142014,
    0xff172317,
    0xff0d1b0f,
    0xff081609,
    0xff2d3b31,
    0xff16231a,
    0xff09140e,
    0xff111a12,
    0xff313b32,
    0xff4c564c,
    0xff4f514c,
    0xff6a6462,
    0xffffffff,
    0xff242223,
    0xff151918,
    0xff9ea5aa,
    0xff6f787b,
    0xff0c1a1a,
    0xff182826,
    0xff162721,
    0xff121f1a,
    0xff596260,
    0xff2f3433,
    0xff142317,
    0xff17221a,
    0xff0d100a,
    0xffffffff,
    0xff2f2317,
    0xff382714,
    0xff35260d,
    0xff3d2e13,
    0xff392b13,
    0xff3c2c0e,
    0xff4a360c,
    0xff4b3305,
    0xff513707,
    0xff624817,
    0xff513b08,
    0xff4f3902,
    0xff553f0c,
    0xff55400b,
    0xff523f05,
    0xff544107,
    0xff564307,
    0xff57480c,
    0xff56460d,
    0xff524209,
    0xff52410c,
    0xff49390c,
    0xff4a2c09,
    0xff443008,
    0xff342c06,
    0xff704410,
    0xffbf8348,
    0xff281500,
    0xff39290c,
    0xff352305,
    0xff372608,
    0xff32260a,
    0xff30260d,
    0xff31230c,
    0xff3a2207,
    0xff412000,
    0xffab8246,
    0xff95521a,
    0xffb36e26,
    0xff542b00,
    0xff382812,
    0xff2c2612,
    0xff261c0f,
    0xff332813,
    0xffac9497,
    0xff6b3f27,
    0xffcf853b,
    0xffd98a1d,
    0xffd08029,
    0xff5d2401,
    0xff4f3215,
    0xff622b12,
    0xff441a0c,
    0xff31251c,
    0xff28300e,
    0xff272620,
    0xff25292e,
    0xff1c2925,
    0xff544c1e,
    0xffc38f4c,
    0xff9f5e0f,
    0xffac6d2c,
    0xffa46608,
    0xffda971e,
    0xffa36104,
    0xff713d0b,
    0xff7c4b2b,
    0xff7c402b,
    0xff7e4a35,
    0xff9f6d38,
    0xffac7529,
    0xffad6f10,
    0xffb77100,
    0xffc7850c,
    0xffce923e,
    0xff6e3e0d,
    0xff160e00,
    0xff1b1c08,
    0xff161808,
    0xff14190b,
    0xff141a0d,
    0xff13190d,
    0xff14170b,
    0xff15160b,
    0xff0f180a,
    0xff11190e,
    0xff0f150b,
    0xff14180e,
    0xff181a0f,
    0xff171a0c,
    0xff191d0e,
    0xff1a1e0d,
    0xff161603,
    0xff000200,
    0xffc4c1c3,
    0xff765f60,
    0xfffcf2ec,
    0xff8f9096,
    0xff413f4f,
    0xff444854,
    0xff8585a7,
    0xff5b5558,
    0xff271406,
    0xff231000,
    0xff4e4839,
    0xffffffff,
    0xff8a8ea2,
    0xff696c77,
    0xff610815,
    0xff3b0617,
    0xff24031a,
    0xff2d2940,
    0xff4d5d81,
    0xff465c9d,
    0xff305fa7,
    0xff3561a2,
    0xff3564aa,
    0xff3463a7,
    0xff3462a7,
    0xff3263a3,
    0xff2d5e9d,
    0xff305d9b,
    0xff315e98,
    0xff36609b,
    0xff35659a,
    0xff39689b,
    0xff2b568a,
    0xff285184,
    0xff3c6496,
    0xff375e8e,
    0xff365e8b,
    0xff355c89,
    0xff3e6489,
    0xff3b6084,
    0xff395b80,
    0xff3c5d80,
    0xff365375,
    0xff3f5a75,
    0xff364d64,
    0xff304959,
    0xff30534d,
    0xff2a4e45,
    0xff2b4b43,
    0xff37544f,
    0xff344b4a,
    0xff384c4a,
    0xff3a4e45,
    0xff334838,
    0xff395040,
    0xff374b3d,
    0xff38493d,
    0xff3c4a40,
    0xff3e4b43,
    0xff3e4a41,
    0xff3c483e,
    0xff3c473d,
    0xff2d453c,
    0xff2c4437,
    0xff293f33,
    0xff253c2f,
    0xff23372f,
    0xff263732,
    0xff2a3730,
    0xff2a372e,
    0xff2b3c39,
    0xff324441,
    0xff334540,
    0xff40524d,
    0xff374a46,
    0xff304447,
    0xff263a41,
    0xff243b41,
    0xff2b4652,
    0xff284250,
    0xff253e49,
    0xff1e363f,
    0xff263d44,
    0xff243b41,
    0xff283c42,
    0xff3f5359,
    0xff384f58,
    0xff343f48,
    0xff453b3f,
    0xff82333c,
    0xffa6041b,
    0xffa30613,
    0xff8c0407,
    0xff9e000b,
    0xff9b000d,
    0xff90030b,
    0xff80020b,
    0xff790006,
    0xff8c0012,
    0xffaa0625,
    0xffab0522,
    0xffa90e23,
    0xff7f303e,
    0xff5c3b45,
    0xff3a2732,
    0xff3d1f2a,
    0xff4d2322,
    0xff8a3f32,
    0xffa62018,
    0xffae0001,
    0xffb1070b,
    0xffad0007,
    0xffba090d,
    0xffbb0d0f,
    0xffb8100b,
    0xffc82015,
    0xffc8180a,
    0xffd31d0d,
    0xffd32e1b,
    0xffcd2e21,
    0xffa10806,
    0xff940005,
    0xffa50b1b,
    0xff9e000e,
    0xffa2030b,
    0xffa20608,
    0xff9b020b,
    0xff9d000c,
    0xff96010c,
    0xff89000a,
    0xff8a010e,
    0xff830012,
    0xff640017,
    0xff793e58,
    0xff827dbf,
    0xff683862,
    0xff69170f,
    0xff56130a,
    0xff684b85,
    0xff8078db,
    0xff8a6cb8,
    0xff6a2956,
    0xff560426,
    0xff54001e,
    0xff5a264c,
    0xff8086c5,
    0xff627fde,
    0xff6079e1,
    0xff567bda,
    0xff4783d7,
    0xff467ccf,
    0xff5574c6,
    0xff5676d3,
    0xff515c9c,
    0xff5773c3,
    0xff4a82c0,
    0xff4475cd,
    0xff5b7ac1,
    0xff706d8f,
    0xff3f6085,
    0xff3c6aa7,
    0xff596dc0,
    0xff665695,
    0xff522c32,
    0xff4a0700,
    0xff62030b,
    0xff680004,
    0xff620509,
    0xff5b0006,
    0xff660005,
    0xff7c060c,
    0xff710512,
    0xff4f031a,
    0xff3e1331,
    0xff331e3e,
    0xff261c3a,
    0xff2a1932,
    0xff2b182d,
    0xff171338,
    0xff3f4588,
    0xff5a70bf,
    0xff427ac0,
    0xff427bd0,
    0xff4176cb,
    0xff3f72c4,
    0xff3a6bbb,
    0xff3c6bb8,
    0xff3a68b6,
    0xff426fbd,
    0xff4572bf,
    0xff456fbd,
    0xff3f67b0,
    0xff3c63a9,
    0xff4066a8,
    0xff3b5f9e,
    0xff325893,
    0xff345a96,
    0xff365c99,
    0xff36619a,
    0xff335e96,
    0xff365f94,
    0xff30588a,
    0xff284e7a,
    0xff2a527a,
    0xff2a5279,
    0xff2b537a,
    0xff3d5e99,
    0xff4265a0,
    0xff42659c,
    0xff3c5f94,
    0xff3c5e8d,
    0xff375784,
    0xff3f5885,
    0xff48628f,
    0xff416690,
    0xff416691,
    0xff486c9b,
    0xff486da2,
    0xff4f75ae,
    0xff5077b8,
    0xff5078bf,
    0xff4c76c0,
    0xff4c71b9,
    0xff4e78bd,
    0xff4a72ba,
    0xff456eb6,
    0xff426cb6,
    0xff4771bb,
    0xff466fbd,
    0xff4772c1,
    0xff517bd0,
    0xff4d78cb,
    0xff5681d1,
    0xff5381d0,
    0xff5783d7,
    0xff5985db,
    0xff5888dd,
    0xff5988da,
    0xff5d90dc,
    0xff5f93df,
    0xff5d91df,
    0xff6194e6,
    0xff5f92e7,
    0xff5d8fe7,
    0xff5e90eb,
    0xff5b8ce7,
    0xff5b8de4,
    0xff5e91e4,
    0xff6294e0,
    0xff6897e3,
    0xff6793db,
    0xff6b94dc,
    0xff7194df,
    0xff7497e0,
    0xff7596d4,
    0xff7697d4,
    0xff7c9cdc,
    0xff7e9de1,
    0xff7b99df,
    0xff80a2ea,
    0xff7498e2,
    0xff7295e0,
    0xff799bdd,
    0xff6e92d7,
    0xff6b94dc,
    0xff6894e1,
    0xff6490df,
    0xff5e8ddc,
    0xff6090de,
    0xff5e8fdc,
    0xff5e90dd,
    0xff5d8fdc,
    0xff5c8ddd,
    0xff5b8cdb,
    0xff5e8fde,
    0xff588bdb,
    0xff578bdc,
    0xff5389da,
    0xff538adc,
    0xff5188da,
    0xff5087da,
    0xff5087da,
    0xff5084db,
    0xff5589df,
    0xff5084de,
    0xff5084db,
    0xff578add,
    0xff588ce1,
    0xff5386dc,
    0xff5286dd,
    0xff5285df,
    0xff5485dd,
    0xff5386de,
    0xff5787dc,
    0xff5689dd,
    0xff588ade,
    0xff5e92e3,
    0xff5f93e4,
    0xff5b8fe0,
    0xff5f92e4,
    0xff5b8ee2,
    0xff598adf,
    0xff5687df,
    0xff4d83d9,
    0xff4c85d8,
    0xff4b85d7,
    0xff4c83d5,
    0xff4e7fd3,
    0xff507fd5,
    0xff5280d5,
    0xff5382da,
    0xff4e81d6,
    0xff5183d8,
    0xff5286da,
    0xff5385d8,
    0xff5384d6,
    0xff5887d9,
    0xff5c89dc,
    0xff598ada,
    0xff5989d6,
    0xff6693dd,
    0xff6e97de,
    0xff799ee2,
    0xff7fa1e4,
    0xff7b9bdb,
    0xff718fd1,
    0xff6383d8,
    0xff6086d2,
    0xff5c81cd,
    0xff617fd3,
    0xff7282d3,
    0xff3f4a8c,
    0xff727dba,
    0xff7787ce,
    0xff6484cf,
    0xff7285ca,
    0xff615d84,
    0xff7c6c83,
    0xffaca8d5,
    0xff8da3de,
    0xff617eb9,
    0xff7f8ccd,
    0xff788fd2,
    0xff778ecf,
    0xff8095d2,
    0xff9aaae6,
    0xff98a5de,
    0xff9aa6dc,
    0xff99a5db,
    0xff99a7db,
    0xff9ea3ca,
    0xffffffff,
    0xff747187,
    0xff969ed7,
    0xff90a2e0,
    0xff94a4db,
    0xff99a6de,
    0xff97a8df,
    0xffa0afdf,
    0xffa1adde,
    0xff9aa6d7,
    0xff98a6d6,
    0xff9ba8da,
    0xff9aa8da,
    0xff97a7d9,
    0xff97a7da,
    0xff97a7e0,
    0xff8f9edb,
    0xff8e9cd9,
    0xff8c9ad7,
    0xff8699d3,
    0xff8799d6,
    0xff8598d4,
    0xff8a9cd9,
    0xff7c97d8,
    0xff7591d3,
    0xff6987c8,
    0xff688bcd,
    0xff648ad2,
    0xff5780ce,
    0xff4b7acc,
    0xff4877ce,
    0xff4c76cd,
    0xff4875cd,
    0xff4a7dd3,
    0xff4981d8,
    0xff427bcf,
    0xff467bd0,
    0xff4f81d2,
    0xff4e7fcc,
    0xff5a84d9,
    0xff527fd2,
    0xff517fd2,
    0xff5383d2,
    0xff5585d6,
    0xff5282d5,
    0xff5383d8,
    0xff4d7cd1,
    0xff5284d7,
    0xff5988dd,
    0xff5e8ade,
    0xff6189dd,
    0xff678cdd,
    0xff6a8fde,
    0xff688bd9,
    0xff5a7cca,
    0xff638ad9,
    0xff6f92dd,
    0xff7697dd,
    0xff809cde,
    0xff849fde,
    0xff849ede,
    0xff7996d6,
    0xff6d8bce,
    0xff6e92db,
    0xff6c8ed9,
    0xff7092dc,
    0xff7292dd,
    0xff6688d3,
    0xff5e81cd,
    0xff5c81ce,
    0xff5d83cf,
    0xff5a82d5,
    0xff5a82d4,
    0xff5178cd,
    0xff5078cd,
    0xff4c75ca,
    0xff5a82d7,
    0xff5d84db,
    0xff5a83d6,
    0xff688ed3,
    0xff6c8dd5,
    0xff6688d0,
    0xff6e8dd5,
    0xff7b9be3,
    0xff83a2ea,
    0xff83a1e7,
    0xff7c99df,
    0xff6e8dd0,
    0xff7981cd,
    0xff9b8dcc,
    0xffb36c7b,
    0xffb82416,
    0xffb7050e,
    0xffa00011,
    0xffbb2422,
    0xffdb504c,
    0xffd43e3d,
    0xffd43f41,
    0xffce5153,
    0xffa3564e,
    0xff845f54,
    0xff77645d,
    0xff6e5d56,
    0xff685a51,
    0xff60584c,
    0xff57554a,
    0xff575950,
    0xff50534d,
    0xff4c4f49,
    0xff393e37,
    0xff363a32,
    0xff42412a,
    0xff313322,
    0xff2c2b23,
    0xff474041,
    0xff2d2525,
    0xff2d201c,
    0xff8f6f67,
    0xff8a5952,
    0xff5b413f,
    0xff46352f,
    0xff3e3c2e,
    0xff63584e,
    0xffb79593,
    0xff917f78,
    0xff9d9f9e,
    0xff8f939d,
    0xff959798,
    0xff9c9c9c,
    0xff8f8f8f,
    0xff8b8587,
    0xffc4bbbc,
    0xff8d8485,
    0xff6a6166,
    0xff4b4750,
    0xff3a3d3f,
    0xff7b7575,
    0xff514f4a,
    0xff848980,
    0xffb6b5b1,
    0xfff5e2e5,
    0xffa39490,
    0xff363527,
    0xff40383c,
    0xff929093,
    0xff7d837e,
    0xff0c1a10,
    0xff192919,
    0xff152210,
    0xff1a2310,
    0xff1e2210,
    0xff182718,
    0xff0d1f12,
    0xff1d2b1d,
    0xff262715,
    0xff2a1000,
    0xff583621,
    0xff291000,
    0xff2f210d,
    0xff111100,
    0xff151500,
    0xff1d1e19,
    0xff191a17,
    0xff1e2116,
    0xff191e0a,
    0xff151e0a,
    0xff142110,
    0xff0c1d13,
    0xff101c15,
    0xff1a251c,
    0xff162819,
    0xff0d2516,
    0xff031b0a,
    0xff4e5d52,
    0xff2d362e,
    0xff000b02,
    0xff06150c,
    0xff142317,
    0xff091007,
    0xff191712,
    0xff342e2c,
    0xffa4a2a2,
    0xff939798,
    0xff3e3e46,
    0xff666a70,
    0xff909b9d,
    0xff132221,
    0xff243431,
    0xff192423,
    0xff2f3537,
    0xff7a7c80,
    0xff0d170f,
    0xff19231b,
    0xff0a0e08,
    0xffe0ddd4,
    0xff6d6152,
    0xff31200d,
    0xff3b2c15,
    0xff332a10,
    0xff34250f,
    0xff392608,
    0xff4a3408,
    0xff583b0a,
    0xff5d400e,
    0xff5d400d,
    0xff55400b,
    0xff4c3a04,
    0xff503c08,
    0xff523e07,
    0xff544106,
    0xff604d10,
    0xff604e0e,
    0xff574405,
    0xff4b3c00,
    0xff4a3800,
    0xff493400,
    0xff473e0d,
    0xff4c300f,
    0xff4c3204,
    0xff3d2e11,
    0xff532f03,
    0xff73411c,
    0xff342a00,
    0xff2d2a03,
    0xff37290b,
    0xff3e2612,
    0xff3e2814,
    0xff35280d,
    0xff342809,
    0xff3b280a,
    0xff41240a,
    0xff482f00,
    0xff401501,
    0xff744120,
    0xff552809,
    0xff351c06,
    0xff4b4726,
    0xff393928,
    0xff49403b,
    0xff664f49,
    0xffa28786,
    0xffae8370,
    0xffdc9d65,
    0xffd67c44,
    0xff985536,
    0xff221e04,
    0xff2c280e,
    0xff302611,
    0xff2c281d,
    0xff2a2919,
    0xff332e3c,
    0xff2e392e,
    0xff293b23,
    0xff302e0d,
    0xff8c6e33,
    0xffb1903d,
    0xff5f2402,
    0xff935230,
    0xffa77225,
    0xffa8681b,
    0xff9e4917,
    0xff853513,
    0xff753e25,
    0xff62321d,
    0xff7f5c46,
    0xff9e7f6a,
    0xffa77f63,
    0xffa47640,
    0xff966c22,
    0xffb3823a,
    0xffb3763d,
    0xff281f02,
    0xff201f07,
    0xff171b06,
    0xff151b0b,
    0xff0f180c,
    0xff121a12,
    0xff0f1410,
    0xff10130e,
    0xff081409,
    0xff0d160d,
    0xff11150f,
    0xff12120c,
    0xff13130b,
    0xff15170d,
    0xff111709,
    0xff141c0b,
    0xff1e1e0f,
    0xff061308,
    0xff67625c,
    0xffa98e80,
    0xff9f8e79,
    0xffe0dddd,
    0xff464258,
    0xff676980,
    0xff7c7f8c,
    0xff523726,
    0xff663013,
    0xff733a27,
    0xffcfb5a7,
    0xfff5f2fa,
    0xff878b9e,
    0xff6a6971,
    0xff8b0d14,
    0xff8c3e57,
    0xff3f3964,
    0xff36427e,
    0xff406aa2,
    0xff376ba0,
    0xff35689e,
    0xff37639e,
    0xff385e9a,
    0xff385e96,
    0xff2d5687,
    0xff2a547f,
    0xff325b85,
    0xff315881,
    0xff325580,
    0xff2d4d7c,
    0xff305578,
    0xff2f5275,
    0xff315171,
    0xff133051,
    0xff2f4d6a,
    0xff274561,
    0xff294964,
    0xff27475f,
    0xff223c45,
    0xff1c353b,
    0xff294349,
    0xff253f43,
    0xff294244,
    0xff324a4c,
    0xff2d4345,
    0xff2d4342,
    0xff344b36,
    0xff394d37,
    0xff3a4d36,
    0xff3b4a35,
    0xff3a4937,
    0xff384939,
    0xff334738,
    0xff384f40,
    0xff3a553e,
    0xff354a34,
    0xff3f4d38,
    0xff404b38,
    0xff4b5141,
    0xff374133,
    0xff424f45,
    0xff35473c,
    0xff2c4543,
    0xff314c49,
    0xff2d4646,
    0xff25403f,
    0xff284343,
    0xff2c4749,
    0xff304a4f,
    0xff314b50,
    0xff394f52,
    0xff354b4c,
    0xff334a49,
    0xff354c49,
    0xff354a4a,
    0xff2b4245,
    0xff2c424a,
    0xff2d434c,
    0xff213642,
    0xff1c313b,
    0xff263c45,
    0xff22373e,
    0xff233638,
    0xff1e3131,
    0xff20312d,
    0xff203129,
    0xff244033,
    0xff282d3c,
    0xff4d1c2e,
    0xff8f101d,
    0xff9f0312,
    0xff970008,
    0xffa10108,
    0xff920311,
    0xff8d0311,
    0xff8c050e,
    0xff8f162b,
    0xff983043,
    0xffad2e35,
    0xffb5061d,
    0xffb70a2d,
    0xff9f1a2a,
    0xff53191c,
    0xff431d2f,
    0xff2d3445,
    0xff3b474b,
    0xff7a4547,
    0xffb53e2e,
    0xffac1004,
    0xffb20018,
    0xffab0013,
    0xffaa0004,
    0xffac0600,
    0xffab0d00,
    0xffac150b,
    0xffa90e07,
    0xffbf1809,
    0xffd4260c,
    0xffd03514,
    0xffca1b03,
    0xffbb1108,
    0xff840000,
    0xffa52530,
    0xff9e0317,
    0xffa3000e,
    0xff9d070c,
    0xffa50715,
    0xffa70201,
    0xff970200,
    0xff8e0e14,
    0xff84030a,
    0xff870004,
    0xff6a0015,
    0xff6e3466,
    0xff856f99,
    0xffb55859,
    0xffb0453b,
    0xff542331,
    0xff726ca6,
    0xff5a3675,
    0xff5f001f,
    0xff6e001a,
    0xff760212,
    0xff7e0712,
    0xff700013,
    0xff60184c,
    0xff6469ad,
    0xff4a6dbe,
    0xff4567bd,
    0xff3f6bbf,
    0xff4375cb,
    0xff3b79c9,
    0xff416bb7,
    0xff436bbc,
    0xff3867b2,
    0xff3668b9,
    0xff3263bb,
    0xff6074a3,
    0xff454370,
    0xff5568a0,
    0xff32679c,
    0xff3c64a0,
    0xff605597,
    0xff482845,
    0xff400e11,
    0xff570013,
    0xff56040a,
    0xff590901,
    0xff620206,
    0xff70020e,
    0xff720003,
    0xff6f010b,
    0xff640a22,
    0xff480b1f,
    0xff35112a,
    0xff2c1530,
    0xff2e203a,
    0xff27162a,
    0xff29142a,
    0xff2c1f46,
    0xff636fad,
    0xff5379c7,
    0xff4b80d0,
    0xff487ecc,
    0xff497cc9,
    0xff4879c5,
    0xff4a78c3,
    0xff4772bd,
    0xff4a6fbc,
    0xff4267b1,
    0xff3d60a1,
    0xff3e61a4,
    0xff4264aa,
    0xff3d62a5,
    0xff3b60a0,
    0xff426aa7,
    0xff436ba9,
    0xff3b63a4,
    0xff436da9,
    0xff4973ad,
    0xff426ba0,
    0xff436a9f,
    0xff476ea4,
    0xff446ca8,
    0xff4269aa,
    0xff4871b4,
    0xff3f66a9,
    0xff476eb0,
    0xff4066ab,
    0xff4268ad,
    0xff4971ba,
    0xff4b75c0,
    0xff4d79c4,
    0xff5180cb,
    0xff5687d3,
    0xff5a8cda,
    0xff5e90de,
    0xff5b8dda,
    0xff5989db,
    0xff5a8adc,
    0xff598adc,
    0xff5d8de0,
    0xff5e92e2,
    0xff588cdb,
    0xff588cdc,
    0xff5f92e2,
    0xff5c8fdf,
    0xff5f92e2,
    0xff5d90e0,
    0xff588bda,
    0xff558bdb,
    0xff5d94e7,
    0xff598fe3,
    0xff6195e9,
    0xff5c90e5,
    0xff5f92e7,
    0xff5f93e6,
    0xff5d92e2,
    0xff5990e3,
    0xff578de0,
    0xff588fe2,
    0xff568ce0,
    0xff558de0,
    0xff538bde,
    0xff578ee2,
    0xff558ce0,
    0xff518be0,
    0xff528cde,
    0xff5088da,
    0xff558ada,
    0xff5588d6,
    0xff5f8edd,
    0xff608dd9,
    0xff5d8ad6,
    0xff5d8ad4,
    0xff5f8cd7,
    0xff618eda,
    0xff5d8cd9,
    0xff5987d7,
    0xff5c8adb,
    0xff5785d6,
    0xff5785da,
    0xff5888d8,
    0xff5c8ddb,
    0xff6091e0,
    0xff5e8edf,
    0xff5c8ee1,
    0xff5a8cdf,
    0xff578de0,
    0xff558de0,
    0xff558de0,
    0xff558de0,
    0xff548ddf,
    0xff538cde,
    0xff5189db,
    0xff5088db,
    0xff4f87da,
    0xff4e87da,
    0xff4b83d7,
    0xff4d86db,
    0xff4e86db,
    0xff4b83d8,
    0xff4a83d8,
    0xff4880d6,
    0xff4880d5,
    0xff4981d6,
    0xff457fd4,
    0xff4a81d9,
    0xff4b7ed8,
    0xff4f7fdc,
    0xff5181de,
    0xff4e83de,
    0xff4d83df,
    0xff4b84de,
    0xff5382db,
    0xff5381d9,
    0xff5181d7,
    0xff4f81d7,
    0xff4d82d7,
    0xff4e82d7,
    0xff4a80d6,
    0xff5085dc,
    0xff4e86d8,
    0xff5088db,
    0xff5189de,
    0xff4d83da,
    0xff4f83d9,
    0xff4f81d9,
    0xff5284dd,
    0xff5384dc,
    0xff4e88df,
    0xff4c85dc,
    0xff4c84d9,
    0xff4e84db,
    0xff5084d9,
    0xff5084d9,
    0xff5385da,
    0xff5385da,
    0xff5585d9,
    0xff5383d6,
    0xff5583d6,
    0xff5987db,
    0xff5784d7,
    0xff5682d5,
    0xff5884d8,
    0xff5682d6,
    0xff5784d6,
    0xff5783d8,
    0xff5582dc,
    0xff5881dd,
    0xff6383db,
    0xff738ad4,
    0xff6773b1,
    0xff596097,
    0xff6f80ba,
    0xff9cb4f9,
    0xffa0a7d4,
    0xff877282,
    0xff75637f,
    0xff707db2,
    0xff7a99d8,
    0xff8598dc,
    0xff959ce3,
    0xff96a7e2,
    0xff93aae3,
    0xff9fa8e7,
    0xffa3b1e4,
    0xffa6b5d7,
    0xffb3b5e0,
    0xff99b3e0,
    0xff9ca9cf,
    0xfff4e9ff,
    0xff8f82a2,
    0xffb3b3e1,
    0xffa8aae8,
    0xffacb1e9,
    0xffaebbea,
    0xffabb7ea,
    0xffabb3e2,
    0xffb2b8e9,
    0xffa7b6e4,
    0xffa2bfe6,
    0xff9bb8dd,
    0xffa0b0da,
    0xffa7b3e3,
    0xffa2b4e8,
    0xffa8b4f0,
    0xffa1ade9,
    0xffa1ace8,
    0xff9fabe8,
    0xff9dafe9,
    0xff96aae5,
    0xff8da5e1,
    0xff87a1e0,
    0xff82a3e2,
    0xff7a9cdf,
    0xff7599e0,
    0xff749ae4,
    0xff6e94e5,
    0xff6892e6,
    0xff618de5,
    0xff5988e1,
    0xff5687dc,
    0xff598cdf,
    0xff6193e6,
    0xff6192e4,
    0xff6291e2,
    0xff6797e6,
    0xff6391e0,
    0xff6493e0,
    0xff618cdd,
    0xff5c88d9,
    0xff5987d7,
    0xff5584d6,
    0xff5582d8,
    0xff5382d9,
    0xff507ed8,
    0xff4e7fdb,
    0xff4c7ed5,
    0xff4c7ed5,
    0xff497ed4,
    0xff4879d2,
    0xff467cd4,
    0xff467bd5,
    0xff467ad5,
    0xff467bd4,
    0xff4a7dd2,
    0xff4b7cd1,
    0xff4e7bd0,
    0xff537dd0,
    0xff577ed0,
    0xff557dcf,
    0xff5981d1,
    0xff5a81d2,
    0xff597dca,
    0xff567dcd,
    0xff517bcd,
    0xff4977cd,
    0xff4579d1,
    0xff4377d0,
    0xff477ad3,
    0xff487cd4,
    0xff437dcb,
    0xff5e7ac7,
    0xff6071c9,
    0xff5f72d7,
    0xff557ad7,
    0xff4a72d1,
    0xff576fd3,
    0xff4a79c5,
    0xff4e7abf,
    0xff587cd1,
    0xff4e7ad1,
    0xff5679c1,
    0xff4f70c8,
    0xff4174d2,
    0xff5177be,
    0xff6b80cb,
    0xff7b8de4,
    0xff778ac4,
    0xff8791c5,
    0xff93566b,
    0xffb73736,
    0xff980017,
    0xff99000a,
    0xffcb3e30,
    0xffda3d48,
    0xffcb3f48,
    0xffcd4852,
    0xffc25259,
    0xff9b5d5a,
    0xff81665d,
    0xff77605a,
    0xff715956,
    0xff6a5b5c,
    0xff60554c,
    0xff655a4c,
    0xff564c40,
    0xff57524b,
    0xff4f4f4b,
    0xff434a42,
    0xff3b4838,
    0xff2a3a2f,
    0xff2a372c,
    0xff303227,
    0xff393027,
    0xff32241d,
    0xff392922,
    0xff2c1c15,
    0xff44332d,
    0xffa68a7d,
    0xff493428,
    0xff83786e,
    0xffccc4b9,
    0xff625a4d,
    0xff2e251d,
    0xff252324,
    0xff1e202a,
    0xff171f19,
    0xff1c2013,
    0xff26291d,
    0xff2b3028,
    0xff3d3b31,
    0xff47362a,
    0xff5d4c46,
    0xff776d70,
    0xff857c77,
    0xff857b74,
    0xff776c62,
    0xff544d41,
    0xff342e22,
    0xff100c01,
    0xff120f05,
    0xff1a1a13,
    0xff151a12,
    0xff20271f,
    0xff6b6f6b,
    0xffa6a7a8,
    0xff323536,
    0xff060d0a,
    0xff1d281f,
    0xff1b2a1f,
    0xff05180c,
    0xff112318,
    0xff08190e,
    0xff0f1d10,
    0xff0d180b,
    0xff0c1507,
    0xff10180c,
    0xff161e11,
    0xff272817,
    0xff272719,
    0xff0e0f05,
    0xff1a1816,
    0xff1c1b1b,
    0xff1d1e1b,
    0xff222b1c,
    0xff13250d,
    0xff10271c,
    0xff14120e,
    0xff171d13,
    0xff112a1c,
    0xff15281f,
    0xff172622,
    0xff061711,
    0xff4a544e,
    0xff7f8c89,
    0xff020d0b,
    0xff0c1812,
    0xff131f18,
    0xff122117,
    0xff000f06,
    0xff505b54,
    0xff67706b,
    0xff4f4a47,
    0xff959297,
    0xff9293a2,
    0xffa8afbc,
    0xff1e2b2e,
    0xff404c49,
    0xff6d7472,
    0xffa9afb0,
    0xff091115,
    0xff172628,
    0xff122623,
    0xff86928d,
    0xffbebab4,
    0xff271b10,
    0xff322915,
    0xff302e14,
    0xff3d2e18,
    0xff402d15,
    0xff422c12,
    0xff472e0d,
    0xff4e340f,
    0xff503a0f,
    0xff523d0c,
    0xff483703,
    0xff463406,
    0xff493807,
    0xff54430d,
    0xff504005,
    0xff504004,
    0xff4d3c02,
    0xff4f3e07,
    0xff4f3f0a,
    0xff523f09,
    0xff4e3c0b,
    0xff4d3a0d,
    0xff47340c,
    0xff42300e,
    0xff3f2c0b,
    0xff3e270c,
    0xff3d290b,
    0xff39270a,
    0xff3f2a0f,
    0xff40280f,
    0xff402810,
    0xff40290f,
    0xff38260b,
    0xff38270b,
    0xff37260b,
    0xff362509,
    0xff35240b,
    0xff352208,
    0xff3a260c,
    0xff332109,
    0xff3b2c15,
    0xff504231,
    0xff463828,
    0xff371806,
    0xffd9ada2,
    0xff5d513f,
    0xff635143,
    0xffbf9895,
    0xff8b7573,
    0xff3b322f,
    0xff101109,
    0xff1e2316,
    0xff22271c,
    0xff21281b,
    0xff20291f,
    0xff242c22,
    0xff1b2416,
    0xff202319,
    0xff161806,
    0xff524b20,
    0xff373218,
    0xff321a0f,
    0xff49240c,
    0xff765423,
    0xff9a5e2a,
    0xff7e2e08,
    0xff5b1700,
    0xffa15639,
    0xff9c4120,
    0xff7d3220,
    0xff72443d,
    0xff8d6159,
    0xff916767,
    0xff7f605e,
    0xff9e8069,
    0xff796756,
    0xff0f0800,
    0xff161e0e,
    0xff152110,
    0xff172311,
    0xff121808,
    0xff12170c,
    0xff0c140c,
    0xff0e1608,
    0xff0c180a,
    0xff0b140b,
    0xff0f1b13,
    0xff0d160e,
    0xff101a11,
    0xff131c0e,
    0xff15190d,
    0xff1a1711,
    0xff0b1a06,
    0xff1b2815,
    0xffded4cc,
    0xff523c38,
    0xfffbf4ee,
    0xff888a95,
    0xff5d5f7f,
    0xff6d686d,
    0xffce9168,
    0xfffda569,
    0xffc37a5f,
    0xffdbcac4,
    0xffe7e7ec,
    0xff869195,
    0xff6c6973,
    0xff690309,
    0xff6d273e,
    0xff5e6989,
    0xff3f5485,
    0xff3b5989,
    0xff3e5887,
    0xff3e578b,
    0xff334d87,
    0xff304e6f,
    0xff2b4867,
    0xff25435c,
    0xff223f54,
    0xff254052,
    0xff193245,
    0xff203a4d,
    0xff273e53,
    0xff21373f,
    0xff0f262c,
    0xff1c3237,
    0xff1d3035,
    0xff1a2f30,
    0xff1d2e2f,
    0xff283a39,
    0xff233434,
    0xff24342e,
    0xff2d3c37,
    0xff304139,
    0xff28392e,
    0xff2a3a31,
    0xff344137,
    0xff334036,
    0xff374336,
    0xff364836,
    0xff364735,
    0xff3d4c39,
    0xff404c3a,
    0xff3d4c37,
    0xff394b37,
    0xff3c503c,
    0xff354c39,
    0xff38523b,
    0xff344932,
    0xff44523d,
    0xff3e4835,
    0xff828877,
    0xffdae5d7,
    0xff9faca1,
    0xff43544a,
    0xff2e4541,
    0xff2f4643,
    0xff2f4643,
    0xff344b48,
    0xff354c48,
    0xff3c534f,
    0xff3b524e,
    0xff334a46,
    0xff3e5246,
    0xff3a4e41,
    0xff304536,
    0xff2a3e2f,
    0xff2f4335,
    0xff273a30,
    0xff1c2f2a,
    0xff1d302d,
    0xff1d2d29,
    0xff172925,
    0xff1c2f2b,
    0xff263934,
    0xff253831,
    0xff25352b,
    0xff28382d,
    0xff2a3a2a,
    0xff234032,
    0xff272c36,
    0xff4a272b,
    0xff831918,
    0xff8e0009,
    0xff95040d,
    0xff9e0007,
    0xff97020c,
    0xff8d0005,
    0xff981923,
    0xffb15560,
    0xffc77078,
    0xffbf4043,
    0xffb60e1e,
    0xffbf1635,
    0xff860721,
    0xff61365f,
    0xff595a93,
    0xff3d63a5,
    0xff3b5fa6,
    0xff625295,
    0xff993450,
    0xff9c0000,
    0xffae0a00,
    0xffa80309,
    0xffa80000,
    0xffc31e0b,
    0xffc52713,
    0xffa10b02,
    0xff8d0000,
    0xffa70a03,
    0xffc52111,
    0xffc0270d,
    0xffdc2d28,
    0xffb00709,
    0xff8a0100,
    0xffac342d,
    0xffb93b3d,
    0xff7f010c,
    0xff740107,
    0xffa20517,
    0xffba1317,
    0xffae1718,
    0xff830811,
    0xff6d0004,
    0xff730300,
    0xff68131f,
    0xffab779a,
    0xff9f3c3b,
    0xffff826a,
    0xffa63a31,
    0xff3d1733,
    0xff6e76bc,
    0xff7562ac,
    0xff6c0b30,
    0xff810719,
    0xff7d060a,
    0xff76020d,
    0xff7a010a,
    0xff6a0805,
    0xff431629,
    0xff5a63a4,
    0xff3969b8,
    0xff2c72b3,
    0xff3666bf,
    0xff2c67b8,
    0xff2f67b7,
    0xff3169bb,
    0xff2e6eb6,
    0xff2c69ba,
    0xff4470c2,
    0xff6d7daa,
    0xff40597f,
    0xff547bc0,
    0xff396ebb,
    0xff5b7dba,
    0xff414884,
    0xff656fb4,
    0xff7676b5,
    0xff5c2f58,
    0xff56000b,
    0xff5e0003,
    0xff5b0207,
    0xff5e070a,
    0xff580204,
    0xff742436,
    0xff752846,
    0xff570519,
    0xff480923,
    0xff390c26,
    0xff351431,
    0xff33142b,
    0xff2f0f25,
    0xff1c0828,
    0xff51588b,
    0xff5574b7,
    0xff4572bb,
    0xff436fb9,
    0xff4c7ac3,
    0xff4977c0,
    0xff4774c0,
    0xff4f7bc6,
    0xff4e78c4,
    0xff5278c4,
    0xff5a7dc5,
    0xff5379c1,
    0xff5176c0,
    0xff5377c2,
    0xff577ec4,
    0xff5379bd,
    0xff567ec4,
    0xff426ab2,
    0xff3d63a9,
    0xff385f9f,
    0xff365c99,
    0xff335a93,
    0xff33598f,
    0xff365f97,
    0xff3d66a2,
    0xff4069a7,
    0xff4670af,
    0xff476fb1,
    0xff4b73b6,
    0xff4c74ba,
    0xff507ac1,
    0xff4a77c0,
    0xff4676bf,
    0xff4777c1,
    0xff5281d1,
    0xff5686d6,
    0xff5a89da,
    0xff5c8bde,
    0xff5e8ddf,
    0xff5b8bdc,
    0xff5988d9,
    0xff5a88de,
    0xff5688dc,
    0xff588cdf,
    0xff5a8adf,
    0xff5f8fe4,
    0xff5d8de1,
    0xff5c8ce1,
    0xff5d8ce1,
    0xff5d8be2,
    0xff5b90df,
    0xff598de1,
    0xff588ce0,
    0xff598de1,
    0xff5c91e4,
    0xff598de1,
    0xff598de0,
    0xff5a8fdf,
    0xff578ee1,
    0xff5990e3,
    0xff578ee1,
    0xff5f96e9,
    0xff558de0,
    0xff558de0,
    0xff5189dc,
    0xff5189dc,
    0xff5088da,
    0xff558de0,
    0xff558cde,
    0xff5b8fe2,
    0xff5c8fdf,
    0xff6192e1,
    0xff6998e8,
    0xff6595e3,
    0xff6897e5,
    0xff6897e6,
    0xff6292e0,
    0xff5d8cdc,
    0xff5989dc,
    0xff5888da,
    0xff5989de,
    0xff5b8adf,
    0xff5589da,
    0xff5a89dc,
    0xff5685d8,
    0xff5a8ade,
    0xff588cdf,
    0xff5386db,
    0xff4f87d9,
    0xff5088dd,
    0xff4c84d9,
    0xff4d85da,
    0xff4d85da,
    0xff4d85da,
    0xff4b83d8,
    0xff4a82d7,
    0xff4f87dc,
    0xff4c84d9,
    0xff4c84d9,
    0xff4b83d8,
    0xff4b83d8,
    0xff4a82d7,
    0xff4c84d8,
    0xff4d85da,
    0xff4d85da,
    0xff4c84d9,
    0xff4b86d8,
    0xff4d85d9,
    0xff4f83da,
    0xff5082da,
    0xff4f81d9,
    0xff497ed5,
    0xff4a82d9,
    0xff4a84db,
    0xff5182d8,
    0xff5183da,
    0xff5284da,
    0xff5285db,
    0xff5084da,
    0xff4a80d6,
    0xff4c81d8,
    0xff477fd4,
    0xff4a82d5,
    0xff4d85da,
    0xff4d85da,
    0xff4a80d6,
    0xff4b81d7,
    0xff4b81d9,
    0xff4e82db,
    0xff4e83db,
    0xff4d86dd,
    0xff4780d8,
    0xff477fd7,
    0xff4b80d6,
    0xff487ed4,
    0xff4c80d6,
    0xff4c7dd5,
    0xff5082d8,
    0xff5888dc,
    0xff5484d8,
    0xff5685da,
    0xff5383d8,
    0xff5585d9,
    0xff5886db,
    0xff5483d8,
    0xff5684d9,
    0xff4e82d3,
    0xff4e85d7,
    0xff5188de,
    0xff558be0,
    0xff5987d9,
    0xff5b81cb,
    0xff647fc0,
    0xff7084be,
    0xff6270a2,
    0xff606f97,
    0xff949cc5,
    0xff877fa0,
    0xff736371,
    0xff847892,
    0xffa5a8d5,
    0xff99a8da,
    0xff8db4ee,
    0xff99a8d4,
    0xff9bacd0,
    0xff9bacdf,
    0xff95a8d8,
    0xff959ed9,
    0xffb19adb,
    0xffbfa4db,
    0xffafa0c3,
    0xffffffff,
    0xff866362,
    0xffb88f9c,
    0xffd5c4e5,
    0xffafaedf,
    0xffacb0e2,
    0xff9faadb,
    0xff90a2e4,
    0xff899ce1,
    0xff8c99e0,
    0xff9292de,
    0xff9895e3,
    0xff8d97de,
    0xff8f9fe1,
    0xff909add,
    0xff8398da,
    0xff839ada,
    0xff7e95d9,
    0xff7d96d9,
    0xff7a94da,
    0xff7593db,
    0xff6c8fda,
    0xff678ad6,
    0xff5e85d2,
    0xff5f87d6,
    0xff557fcf,
    0xff5582d2,
    0xff5482d6,
    0xff5283d6,
    0xff4c7ed2,
    0xff4d80d4,
    0xff5084db,
    0xff5084d9,
    0xff4e82d7,
    0xff4d7fd4,
    0xff4f81d5,
    0xff5181d5,
    0xff5080d4,
    0xff5685d7,
    0xff5887da,
    0xff5888dc,
    0xff5787db,
    0xff5081d7,
    0xff5182d9,
    0xff5385df,
    0xff4f81da,
    0xff4a7bd7,
    0xff4b7ed7,
    0xff4b7ed7,
    0xff4b7ed7,
    0xff4b7ed7,
    0xff4c7ed8,
    0xff477ed5,
    0xff467dd5,
    0xff477dd8,
    0xff4d7fd5,
    0xff4e7ed2,
    0xff4b79cf,
    0xff4d7ace,
    0xff4c76c9,
    0xff547dcd,
    0xff547dcd,
    0xff517cca,
    0xff557ed8,
    0xff527dd8,
    0xff517fdb,
    0xff5584e0,
    0xff4273d1,
    0xff4375d5,
    0xff4172d5,
    0xff4075d7,
    0xff3b70d6,
    0xff686dc0,
    0xff573060,
    0xff8a4e75,
    0xff836799,
    0xff8c79b1,
    0xff8f69a8,
    0xff8474b8,
    0xff8070bc,
    0xff8563a9,
    0xff7779c3,
    0xff5c80d1,
    0xff4b72cd,
    0xff5e75b6,
    0xff8488b5,
    0xff536ab5,
    0xff4572d2,
    0xff5572c4,
    0xff5975c5,
    0xff707db5,
    0xff9c87ae,
    0xffa55280,
    0xffa70c1e,
    0xffd33224,
    0xffd63f47,
    0xffc94048,
    0xffd1414d,
    0xffcf4e5c,
    0xff9c5656,
    0xff7b655b,
    0xff6c645b,
    0xff706d64,
    0xff6e655e,
    0xff695f53,
    0xff746d59,
    0xff5f5946,
    0xff49463a,
    0xff484c40,
    0xff3e4738,
    0xff31402a,
    0xff263525,
    0xff213120,
    0xff2a3a25,
    0xff25331b,
    0xff2c3420,
    0xff272919,
    0xff504c40,
    0xff776f66,
    0xff957a77,
    0xffd0b0a7,
    0xff886558,
    0xff482e21,
    0xff352c25,
    0xff242a24,
    0xff1f2a24,
    0xff1d2a21,
    0xff1c1a16,
    0xff39332b,
    0xff1f1f16,
    0xff111f1a,
    0xff131f15,
    0xff171908,
    0xff17190c,
    0xff0c1813,
    0xff081009,
    0xff171e17,
    0xff0e1508,
    0xff1e2518,
    0xff192316,
    0xff141f13,
    0xff101f16,
    0xff0e1d15,
    0xff101b14,
    0xff101b12,
    0xff1b1f1b,
    0xff515353,
    0xff919597,
    0xff707676,
    0xff07100e,
    0xff303b36,
    0xff5a695c,
    0xff010e01,
    0xff101e11,
    0xff0c1a0d,
    0xff0a170e,
    0xff0f1c12,
    0xff0e1911,
    0xff0c120a,
    0xff464231,
    0xff5f5742,
    0xff665c46,
    0xff615a47,
    0xff202413,
    0xff0f1a08,
    0xff0a1e08,
    0xff061f06,
    0xff0c2011,
    0xff1e2517,
    0xff1b1c0c,
    0xff19200c,
    0xff1c2614,
    0xff0f2310,
    0xff182b17,
    0xff1c1c0e,
    0xff0e190d,
    0xff9fa89d,
    0xff70796e,
    0xff131d14,
    0xff000e04,
    0xff091913,
    0xff071311,
    0xff636c6d,
    0xff575d66,
    0xff000001,
    0xff353633,
    0xff828182,
    0xffb4b2bc,
    0xff484c59,
    0xff000008,
    0xff667476,
    0xff4d555b,
    0xff18272a,
    0xff102524,
    0xff414f4c,
    0xfff9faf6,
    0xff1b140c,
    0xff292216,
    0xff282815,
    0xff312813,
    0xff342611,
    0xff3c2d14,
    0xff3c280d,
    0xff3f2a09,
    0xff3e2a06,
    0xff3f2d04,
    0xff463508,
    0xff49360b,
    0xff513e0f,
    0xff503f0b,
    0xff4f3e05,
    0xff4d3c02,
    0xff4e3d06,
    0xff52410d,
    0xff53410f,
    0xff48390c,
    0xff403107,
    0xff3b2e09,
    0xff3c300e,
    0xff382b0d,
    0xff34280c,
    0xff382810,
    0xff37270f,
    0xff35270e,
    0xff37260e,
    0xff36270f,
    0xff3a270f,
    0xff34240c,
    0xff35240c,
    0xff34260d,
    0xff31250c,
    0xff2f220b,
    0xff2d2108,
    0xff2f2108,
    0xff30210a,
    0xff32220b,
    0xff30210c,
    0xff2f210e,
    0xff291a09,
    0xff693d2b,
    0xff501d11,
    0xff5d5540,
    0xff736f5e,
    0xff4c3732,
    0xff241e16,
    0xff847f79,
    0xffb0b2ac,
    0xff868b85,
    0xff161c16,
    0xff1d2621,
    0xff1e2821,
    0xff212c23,
    0xff222a1f,
    0xff1d2518,
    0xff252a1e,
    0xff222018,
    0xff1b241a,
    0xff25261c,
    0xff282515,
    0xff443f21,
    0xff401800,
    0xff7f2915,
    0xff822313,
    0xff6a1900,
    0xffa93c1c,
    0xffa83a1f,
    0xff92301a,
    0xff82210a,
    0xff802c1e,
    0xff774438,
    0xff6c4c2f,
    0xff816c69,
    0xff938a87,
    0xff383d35,
    0xff0d170a,
    0xff161a0c,
    0xff1d1d0e,
    0xff151307,
    0xff14130b,
    0xff0c1305,
    0xff0c170c,
    0xff091308,
    0xff061006,
    0xff08120a,
    0xff0a1009,
    0xff0c1207,
    0xff0d1208,
    0xff0f0e08,
    0xff091706,
    0xff000c00,
    0xff7a7268,
    0xffa69590,
    0xff8f8783,
    0xffe5e3eb,
    0xff665f75,
    0xff7c7277,
    0xff602a0e,
    0xff682806,
    0xff3b0500,
    0xffcbc1c2,
    0xffe7e2f8,
    0xff9c9eac,
    0xff6c686a,
    0xff78000a,
    0xff6c0623,
    0xff4e4c64,
    0xff314d69,
    0xff314b6a,
    0xff283c5e,
    0xff1d3e61,
    0xff1b4067,
    0xff1f3957,
    0xff152c47,
    0xff142a42,
    0xff1f3046,
    0xff1c2c3e,
    0xff112032,
    0xff253647,
    0xff2b3d4d,
    0xff1b2931,
    0xff1f2f35,
    0xff18292d,
    0xff1e3031,
    0xff263737,
    0xff2c3938,
    0xff343e3d,
    0xff2c3431,
    0xff27322a,
    0xff2b362c,
    0xff2d3b30,
    0xff313e32,
    0xff273526,
    0xff374334,
    0xff3c4736,
    0xff3c4835,
    0xff37463b,
    0xff344134,
    0xff364334,
    0xff3d4a39,
    0xff3a4835,
    0xff334530,
    0xff334933,
    0xff354d38,
    0xff405644,
    0xff495b4c,
    0xff3c4a39,
    0xff444f41,
    0xff3e493b,
    0xff232e25,
    0xff2c3d36,
    0xff304540,
    0xff2b3f3d,
    0xff2b3e3c,
    0xff2c403b,
    0xff30423c,
    0xff2f4039,
    0xff2e4036,
    0xff2f4135,
    0xff324136,
    0xff334037,
    0xff303e33,
    0xff2d3a30,
    0xff2f3c32,
    0xff2d3b33,
    0xff263330,
    0xff232f32,
    0xff1b272c,
    0xff1d292e,
    0xff19262d,
    0xff19272e,
    0xff152630,
    0xff182832,
    0xff1d2e37,
    0xff23333d,
    0xff253740,
    0xff17302f,
    0xff303645,
    0xff37292e,
    0xff772723,
    0xff910811,
    0xff95060f,
    0xff9b040d,
    0xff8b0002,
    0xff8c2729,
    0xffbe656f,
    0xffce9897,
    0xffc26968,
    0xffb32d36,
    0xffb41f2b,
    0xff9d091c,
    0xff7b162c,
    0xff5b4674,
    0xff234274,
    0xff325b9a,
    0xff345fb3,
    0xff3d60b1,
    0xff925c92,
    0xffb21e32,
    0xffae0c0f,
    0xffa80101,
    0xffab0000,
    0xffcc1e0a,
    0xffc92614,
    0xffaf1d14,
    0xff900a07,
    0xff800000,
    0xff9b110d,
    0xffa21208,
    0xff9e050a,
    0xff980003,
    0xffa41502,
    0xfff07656,
    0xffcf6559,
    0xff761620,
    0xff520003,
    0xff770008,
    0xff8c0608,
    0xff830105,
    0xff6e020c,
    0xff6c080e,
    0xff6d0400,
    0xff690411,
    0xff5d0a2a,
    0xff720b06,
    0xff900d00,
    0xff7e0a0d,
    0xffa8526b,
    0xff8b5787,
    0xff8c5995,
    0xff6b0f2c,
    0xff840e14,
    0xff800417,
    0xff810121,
    0xff7b0013,
    0xff6d0400,
    0xff5c1827,
    0xff827ec1,
    0xff4d80d6,
    0xff3d80cc,
    0xff4878d2,
    0xff4675c7,
    0xff4575d1,
    0xff4d72cc,
    0xff4974c5,
    0xff497acb,
    0xff5a7abd,
    0xff48608a,
    0xff5773a9,
    0xff5475c9,
    0xff5770d0,
    0xff888ecc,
    0xff4d537e,
    0xff597cc7,
    0xff4e71bf,
    0xff5a5477,
    0xff470824,
    0xff4e0015,
    0xff540410,
    0xff5c0407,
    0xff5e030d,
    0xff6a3351,
    0xff7b5b7f,
    0xff633043,
    0xff4b1e30,
    0xff3b192f,
    0xff250e25,
    0xff2e152a,
    0xff381b2f,
    0xff241128,
    0xff42476a,
    0xff435c8a,
    0xff3b628c,
    0xff39628b,
    0xff2d5881,
    0xff2f5d87,
    0xff33628d,
    0xff2a5987,
    0xff356294,
    0xff2f5b8e,
    0xff325790,
    0xff345893,
    0xff345b96,
    0xff3a609b,
    0xff325c91,
    0xff2b5487,
    0xff224d81,
    0xff2d5790,
    0xff2e568a,
    0xff2f568a,
    0xff375f92,
    0xff355d95,
    0xff3e64a2,
    0xff4067ad,
    0xff4b72c0,
    0xff537dcd,
    0xff4b77c4,
    0xff507bc6,
    0xff5a84d2,
    0xff5983d4,
    0xff5681d2,
    0xff5885d8,
    0xff5b8add,
    0xff5b8be0,
    0xff5f8de0,
    0xff5f8cdf,
    0xff5f8cdf,
    0xff5e8bde,
    0xff5c89de,
    0xff5c88de,
    0xff5a87dd,
    0xff5b89de,
    0xff5584d8,
    0xff5180d4,
    0xff5989dc,
    0xff5b88dd,
    0xff5885da,
    0xff5482d7,
    0xff517ed3,
    0xff507ed2,
    0xff5285d8,
    0xff4c7fd2,
    0xff4e80d5,
    0xff5284d9,
    0xff5d8ee4,
    0xff5a8be1,
    0xff588bde,
    0xff578add,
    0xff4f86d9,
    0xff487fd2,
    0xff467dd0,
    0xff447bce,
    0xff467ed1,
    0xff4e86d9,
    0xff538bde,
    0xff568ee1,
    0xff578ee1,
    0xff588fe2,
    0xff5b8fe3,
    0xff5a8ee1,
    0xff5b8ee1,
    0xff5f92e4,
    0xff5c8ee1,
    0xff5f8fe1,
    0xff5c8bdd,
    0xff5a8add,
    0xff5988dc,
    0xff5a8bde,
    0xff6192e7,
    0xff5789de,
    0xff5587dc,
    0xff5183d7,
    0xff588add,
    0xff578ade,
    0xff5d8fe4,
    0xff5b8de1,
    0xff588ae1,
    0xff5488dd,
    0xff5187dd,
    0xff5287e0,
    0xff4c85db,
    0xff4e86dd,
    0xff4f87de,
    0xff4f87de,
    0xff4d85dc,
    0xff4e86dd,
    0xff4c84db,
    0xff4e86dd,
    0xff4e86dd,
    0xff4d85dd,
    0xff4d85dc,
    0xff4e86de,
    0xff5189e0,
    0xff538be2,
    0xff538be2,
    0xff528ae0,
    0xff518edd,
    0xff528cdc,
    0xff578bdf,
    0xff568ade,
    0xff568ade,
    0xff568cde,
    0xff548cdf,
    0xff518bde,
    0xff5489e0,
    0xff5587e1,
    0xff5285df,
    0xff4d83db,
    0xff4f85dd,
    0xff4e86dd,
    0xff528ae1,
    0xff5188df,
    0xff4e86db,
    0xff4f87db,
    0xff4d85da,
    0xff4b84d8,
    0xff4c84dc,
    0xff4c84db,
    0xff4d86dc,
    0xff4d84dc,
    0xff4a83da,
    0xff4c85dc,
    0xff4f87de,
    0xff4f88df,
    0xff4e84da,
    0xff4c80d6,
    0xff5082d9,
    0xff5284db,
    0xff5382d6,
    0xff5386d9,
    0xff4f83d6,
    0xff5184d7,
    0xff5386da,
    0xff5588db,
    0xff5284d8,
    0xff5285d7,
    0xff5083d9,
    0xff4f85db,
    0xff5089de,
    0xff5189de,
    0xff6092e6,
    0xff6d9ae8,
    0xff749ae5,
    0xff83a5ef,
    0xff8ea5f4,
    0xff9aa9e9,
    0xff8392dc,
    0xff8c9bec,
    0xff8e8dc5,
    0xff6f547c,
    0xff907cae,
    0xff9199d7,
    0xff7293d5,
    0xff818bda,
    0xff6e86d5,
    0xff7177db,
    0xff9c79ae,
    0xffb97794,
    0xffbf6468,
    0xff912733,
    0xff8e202e,
    0xffbd5a50,
    0xffbf4f3f,
    0xff8b141c,
    0xff782953,
    0xff8c72bb,
    0xff6e76c7,
    0xff6b87c9,
    0xff688ac6,
    0xff688cc6,
    0xff718fce,
    0xff6f85ce,
    0xff718cda,
    0xff658cd8,
    0xff6a90d5,
    0xff6683c5,
    0xff638bd3,
    0xff648dd6,
    0xff6088d3,
    0xff5f86d5,
    0xff567fd1,
    0xff5884d8,
    0xff5480db,
    0xff4b78d5,
    0xff4879d4,
    0xff487cd7,
    0xff4c81da,
    0xff497dd6,
    0xff487ed5,
    0xff477dd4,
    0xff4d85da,
    0xff4d85da,
    0xff4b83db,
    0xff4d83dc,
    0xff4b82d9,
    0xff4e84db,
    0xff4d80d8,
    0xff4f82da,
    0xff487ad2,
    0xff497bd4,
    0xff457bd2,
    0xff467cd3,
    0xff4379d0,
    0xff4277cf,
    0xff457ad4,
    0xff497bd7,
    0xff497cd7,
    0xff4a7ed8,
    0xff467cd6,
    0xff477dd7,
    0xff477ed8,
    0xff4c7ed7,
    0xff497cd5,
    0xff4b7dd6,
    0xff4a7dd6,
    0xff487bd4,
    0xff497cd2,
    0xff4e7dd4,
    0xff517fd5,
    0xff5683d8,
    0xff5b88db,
    0xff6b96e8,
    0xff6b96e5,
    0xff638ddc,
    0xff537dcf,
    0xff4f78c9,
    0xff5b82cf,
    0xff5c82cd,
    0xff648ad5,
    0xff5d84d0,
    0xff5079c9,
    0xff4875c6,
    0xff447dce,
    0xff5f75c4,
    0xff836694,
    0xff6d0a20,
    0xff8b091d,
    0xff8b101e,
    0xff900b22,
    0xffa32447,
    0xffb4374d,
    0xff87061f,
    0xff864680,
    0xff7076cc,
    0xff6472bb,
    0xff97798f,
    0xffba8286,
    0xff8475b3,
    0xff4c75c9,
    0xff4d6dbb,
    0xff5070bc,
    0xff4d71bb,
    0xff455aa3,
    0xff9a5b91,
    0xffab1317,
    0xffbb1d0a,
    0xffd04741,
    0xffd14d4e,
    0xffd6434c,
    0xffd34d5a,
    0xff92494b,
    0xff624e44,
    0xff585248,
    0xff5c564f,
    0xff5d493e,
    0xff574233,
    0xff5a4533,
    0xff74604f,
    0xff8b7a6b,
    0xff796d62,
    0xff696352,
    0xff74715e,
    0xff93897c,
    0xff7c6f61,
    0xff766959,
    0xff786958,
    0xff817060,
    0xff8c7a6e,
    0xff68564c,
    0xff3f2d27,
    0xff4c3d36,
    0xff2e160d,
    0xffa6867a,
    0xff927569,
    0xff483932,
    0xff4b4d45,
    0xff222d22,
    0xff1f2d1c,
    0xff2a231d,
    0xff645d53,
    0xff20231c,
    0xff112524,
    0xff0f241f,
    0xff141e10,
    0xff182212,
    0xff0c2119,
    0xff091c14,
    0xff0b1c11,
    0xff1b2c20,
    0xff0a1c10,
    0xff13251a,
    0xff13261b,
    0xff10261f,
    0xff0d221d,
    0xff101f18,
    0xff18241e,
    0xff131c15,
    0xff0a100a,
    0xff363a38,
    0xff797d7f,
    0xff979e9f,
    0xff323a3d,
    0xff74786f,
    0xff2a3228,
    0xff0d1a0e,
    0xff122117,
    0xff0f2016,
    0xff0f1f15,
    0xff131e17,
    0xff16201b,
    0xff091b09,
    0xff1e240d,
    0xff40371f,
    0xff62563c,
    0xff6b624c,
    0xff796c5f,
    0xff573d39,
    0xff310c0c,
    0xff130702,
    0xff0b1501,
    0xff151902,
    0xff271a04,
    0xff201603,
    0xff272b16,
    0xff1c260f,
    0xff202a13,
    0xff222917,
    0xff171d0b,
    0xff1e2011,
    0xff858b7f,
    0xff94a197,
    0xff3c4c47,
    0xff061113,
    0xff050f12,
    0xff64717c,
    0xff5c6667,
    0xff060d05,
    0xff161a13,
    0xff424248,
    0xffa5a7b4,
    0xff767e8d,
    0xff000000,
    0xffb2b9c5,
    0xff06121a,
    0xff1b2d2e,
    0xff162221,
    0xffffffff,
    0xff28231f,
    0xff2d2922,
    0xff2a281f,
    0xff312e1b,
    0xff2c2713,
    0xff362b15,
    0xff362811,
    0xff3a280e,
    0xff412e10,
    0xff443110,
    0xff453411,
    0xff402e05,
    0xff463508,
    0xff4a3a0a,
    0xff4f400b,
    0xff4e3f09,
    0xff52420f,
    0xff4b3b0a,
    0xff433308,
    0xff372b0b,
    0xff342b0d,
    0xff32290c,
    0xff2d250a,
    0xff29210a,
    0xff281f0a,
    0xff29200c,
    0xff2b220f,
    0xff2b220d,
    0xff2c210c,
    0xff2e230e,
    0xff2d220d,
    0xff302510,
    0xff302711,
    0xff2e2510,
    0xff2a240d,
    0xff2e2612,
    0xff2e2412,
    0xff2d220f,
    0xff2d220d,
    0xff2e210d,
    0xff2b1f0c,
    0xff2b210d,
    0xff251a09,
    0xff6d392a,
    0xff3d0d00,
    0xff241b04,
    0xff22230f,
    0xff221c0f,
    0xff1f2116,
    0xff191912,
    0xff0e1008,
    0xff363a3c,
    0xff959da0,
    0xff90989a,
    0xff424c4b,
    0xff0c1613,
    0xff142019,
    0xff1d281e,
    0xff141f15,
    0xff1e2226,
    0xff1f2d24,
    0xff192816,
    0xff1f2f1f,
    0xff16281f,
    0xff2d1b18,
    0xff722320,
    0xff871608,
    0xff962107,
    0xffc34024,
    0xffa62811,
    0xffb13926,
    0xff870e00,
    0xff8f2009,
    0xffb15e41,
    0xff84441b,
    0xff976f5b,
    0xff71594e,
    0xff9b9096,
    0xff848390,
    0xff272733,
    0xff0e0f12,
    0xff0d1408,
    0xff11200b,
    0xff131c10,
    0xff11180e,
    0xff0c1809,
    0xff0e1909,
    0xff0c170a,
    0xff121a0e,
    0xff141812,
    0xff121712,
    0xff12170d,
    0xff0c1608,
    0xff141b0c,
    0xff0d0900,
    0xffe7e0dd,
    0xff2b282d,
    0xffc9c3ca,
    0xff8b7d86,
    0xff715e74,
    0xff7b5148,
    0xff83581e,
    0xff8c6a2c,
    0xffb9b79b,
    0xffe9e0f2,
    0xff6f6b85,
    0xff6a6571,
    0xff990509,
    0xff9a162d,
    0xff433743,
    0xff143b48,
    0xff20394e,
    0xff2f3b53,
    0xff264257,
    0xff25475b,
    0xff22434e,
    0xff2b4953,
    0xff253c46,
    0xff1e323b,
    0xff1a2c34,
    0xff1d3038,
    0xff1a3235,
    0xff132c31,
    0xff1d3135,
    0xff1a2e30,
    0xff233d3d,
    0xff1f3c38,
    0xff193732,
    0xff1e3430,
    0xff253430,
    0xff2c3834,
    0xff2a3c3b,
    0xff273c39,
    0xff2d413e,
    0xff2e4640,
    0xff273f39,
    0xff314840,
    0xff33493f,
    0xff32463b,
    0xff334239,
    0xff3d4d44,
    0xff38483e,
    0xff36453d,
    0xff36473d,
    0xff3b4e44,
    0xff2e463b,
    0xff354e43,
    0xff2f4b44,
    0xff354d48,
    0xff354842,
    0xff2f3f3a,
    0xff2f3f3b,
    0xff394c4a,
    0xff2f4646,
    0xff254041,
    0xff263c40,
    0xff2e4446,
    0xff314547,
    0xff253a36,
    0xff2d403c,
    0xff2f4037,
    0xff2d3f35,
    0xff2a3d2f,
    0xff2e3f2e,
    0xff2e3e30,
    0xff2b3c2d,
    0xff2e3f32,
    0xff293a31,
    0xff23332f,
    0xff1e2f2e,
    0xff1e2e2f,
    0xff24363f,
    0xff1e323b,
    0xff1c3441,
    0xff183042,
    0xff213d50,
    0xff2d475f,
    0xff274159,
    0xff28415b,
    0xff203b52,
    0xff2e3a64,
    0xff2c3453,
    0xff6b3041,
    0xff8d0512,
    0xff91000a,
    0xff7c0000,
    0xff8e1623,
    0xffd68494,
    0xffda859b,
    0xff9f5e5f,
    0xffa6343d,
    0xffb3264a,
    0xff8b112c,
    0xff920a21,
    0xff912343,
    0xff5f5ea2,
    0xff3774b0,
    0xff2a71a8,
    0xff386faf,
    0xff4f66a6,
    0xffa45280,
    0xffb1071e,
    0xffac030d,
    0xffae0308,
    0xffb60301,
    0xffc6130a,
    0xffc11f15,
    0xff950e08,
    0xff740304,
    0xff6b0001,
    0xff6c0000,
    0xff7d0000,
    0xff7f0002,
    0xff940300,
    0xffbf2700,
    0xffe05829,
    0xffd46456,
    0xffb3505a,
    0xff6e0813,
    0xff5e0304,
    0xff700302,
    0xff730006,
    0xff66000c,
    0xff610008,
    0xff6e0202,
    0xff77000a,
    0xff76011d,
    0xff620118,
    0xff71010f,
    0xff69000a,
    0xff9c2426,
    0xffc85a63,
    0xffaa5776,
    0xff720e21,
    0xff880809,
    0xff841012,
    0xff900004,
    0xffad0a15,
    0xff990513,
    0xff71001d,
    0xff653863,
    0xff3b4f84,
    0xff2c5393,
    0xff274c86,
    0xff24457a,
    0xff295a9a,
    0xff234d87,
    0xff193e72,
    0xff173768,
    0xff7e7c97,
    0xff483e54,
    0xff4d647e,
    0xff395577,
    0xff4b5a7f,
    0xff75758d,
    0xff394357,
    0xff244876,
    0xff335a93,
    0xff495b82,
    0xff5c567a,
    0xff3a183e,
    0xff3e0b28,
    0xff590310,
    0xff65000d,
    0xff5a3055,
    0xff3a4c7a,
    0xff434a68,
    0xff404869,
    0xff3f4e73,
    0xff404f79,
    0xff424770,
    0xff4b446a,
    0xff140b30,
    0xff32335e,
    0xff4f5e8d,
    0xff3e6191,
    0xff335788,
    0xff3b6292,
    0xff3d6599,
    0xff3e679b,
    0xff3e679d,
    0xff396297,
    0xff4970a9,
    0xff4b6da9,
    0xff4a6caa,
    0xff4a6cad,
    0xff4164a2,
    0xff4367a0,
    0xff3e649b,
    0xff466ea6,
    0xff4269a6,
    0xff4167a6,
    0xff4369a8,
    0xff4d72b2,
    0xff4f75b4,
    0xff4870b0,
    0xff4770b4,
    0xff416bb3,
    0xff446fb9,
    0xff4172b7,
    0xff3c6cb1,
    0xff3e6db5,
    0xff3d6cb3,
    0xff3a6ab4,
    0xff3a6ab5,
    0xff3d72bb,
    0xff4073bf,
    0xff3d6fc2,
    0xff4575ca,
    0xff4b7bd0,
    0xff4c7cd0,
    0xff5181d5,
    0xff5383d7,
    0xff5181d5,
    0xff5282d5,
    0xff4d7fd4,
    0xff4d7fd4,
    0xff5385db,
    0xff5788dd,
    0xff5787dc,
    0xff5989de,
    0xff5d8de2,
    0xff6191e6,
    0xff5f8fe3,
    0xff6291e5,
    0xff5b8fe1,
    0xff5e92e4,
    0xff5084d6,
    0xff4c7fd2,
    0xff4b7dd0,
    0xff4e80d3,
    0xff4f85d9,
    0xff548bde,
    0xff538add,
    0xff5990e3,
    0xff5890e3,
    0xff5189dc,
    0xff558de0,
    0xff568ee1,
    0xff578cdf,
    0xff578ade,
    0xff568ade,
    0xff578bdf,
    0xff568ade,
    0xff5589dd,
    0xff558ade,
    0xff568add,
    0xff5486db,
    0xff5486db,
    0xff5789de,
    0xff598ae1,
    0xff598de3,
    0xff5489df,
    0xff5589df,
    0xff5a8fe5,
    0xff5789df,
    0xff5688df,
    0xff5085da,
    0xff5286dc,
    0xff5082dc,
    0xff4b80d9,
    0xff4c82da,
    0xff4b82d9,
    0xff4880d9,
    0xff4780d9,
    0xff4780d9,
    0xff467fd8,
    0xff4881da,
    0xff4780d9,
    0xff4a83dc,
    0xff4881da,
    0xff4d85dc,
    0xff4d85dc,
    0xff4d85db,
    0xff4e86dd,
    0xff4c84db,
    0xff4b83da,
    0xff4b83da,
    0xff4c84db,
    0xff4c84d7,
    0xff4d85d8,
    0xff5188db,
    0xff5386db,
    0xff5286da,
    0xff4c83d6,
    0xff4d86d9,
    0xff4d85d9,
    0xff4c82db,
    0xff4e85df,
    0xff4f85df,
    0xff4e85df,
    0xff4e84df,
    0xff4d86e0,
    0xff4b84dd,
    0xff4882db,
    0xff4d85dc,
    0xff4b83da,
    0xff4a82d9,
    0xff4c84db,
    0xff4c84db,
    0xff4c85dc,
    0xff4c85dc,
    0xff4b84db,
    0xff4a82d9,
    0xff4981d8,
    0xff4982d9,
    0xff4b80d9,
    0xff5188dd,
    0xff5185db,
    0xff5287dd,
    0xff588ae1,
    0xff5487dd,
    0xff5384dc,
    0xff5385db,
    0xff5385db,
    0xff5185db,
    0xff4d82d6,
    0xff5186da,
    0xff5488dc,
    0xff5883e1,
    0xff5683e0,
    0xff5585de,
    0xff5687dc,
    0xff5986dd,
    0xff5a85db,
    0xff577cd4,
    0xff5477d0,
    0xff4e7eca,
    0xff5477c7,
    0xff5a7fcd,
    0xff5281d5,
    0xff6b87d9,
    0xff8e8bbd,
    0xff665e7f,
    0xff838bbd,
    0xff738ec9,
    0xff607ac7,
    0xff5a7eaf,
    0xff9178ae,
    0xffab543d,
    0xffb94d10,
    0xffd0631c,
    0xffb64f43,
    0xffa03821,
    0xffd4693b,
    0xffcb6127,
    0xffc15529,
    0xffaa443c,
    0xff946185,
    0xff8994ca,
    0xff80a5d4,
    0xff8aa8dc,
    0xff94a5dc,
    0xff94a9e0,
    0xff80a7e1,
    0xff6a9ce0,
    0xff5c8ad8,
    0xff5d89d5,
    0xff5687d1,
    0xff4f82d5,
    0xff4f81d4,
    0xff5283d6,
    0xff4f7fd4,
    0xff4778d1,
    0xff4577d3,
    0xff4379d6,
    0xff467bdb,
    0xff4179d5,
    0xff427ad6,
    0xff4179d3,
    0xff467dd8,
    0xff4880db,
    0xff4981db,
    0xff467ed5,
    0xff457cd4,
    0xff467dd5,
    0xff477dd6,
    0xff457bd3,
    0xff477dd6,
    0xff477cd7,
    0xff497cd7,
    0xff5387e2,
    0xff4c7fdb,
    0xff467fd9,
    0xff4981dc,
    0xff467eda,
    0xff467ed8,
    0xff477ed9,
    0xff457cd6,
    0xff4379d3,
    0xff437ad4,
    0xff4178d4,
    0xff457bd5,
    0xff457bd5,
    0xff4379d4,
    0xff4b7dd6,
    0xff5184dd,
    0xff5283dd,
    0xff497bd1,
    0xff497bd5,
    0xff4e81d9,
    0xff5585dd,
    0xff5c8ce1,
    0xff5b8ade,
    0xff5281d3,
    0xff5382d2,
    0xff5584d3,
    0xff6890d9,
    0xff7da3e7,
    0xff8daaeb,
    0xff92ade9,
    0xff8fa7e3,
    0xff89a3e0,
    0xff87a4e3,
    0xff84a3e3,
    0xff88a0db,
    0xff8c96df,
    0xffa9adf1,
    0xff732550,
    0xff9f000a,
    0xff9e0505,
    0xffa50e18,
    0xffb1020c,
    0xffac0904,
    0xffa20809,
    0xff790824,
    0xff95466d,
    0xffb66c8a,
    0xffa74f52,
    0xffc07174,
    0xff9382b7,
    0xff6f82cb,
    0xff6282c4,
    0xff6f82be,
    0xff6f7ec1,
    0xff7983cc,
    0xffae7291,
    0xffbb2f21,
    0xffb81d14,
    0xffda4d46,
    0xffc13d38,
    0xffb82c30,
    0xffd2565e,
    0xff7f3d39,
    0xff644b3f,
    0xff78605b,
    0xff977876,
    0xff8e7b6d,
    0xff867063,
    0xff776556,
    0xff806e5e,
    0xff79685a,
    0xff5f5243,
    0xff5a5144,
    0xff3a3424,
    0xff1d2111,
    0xff262312,
    0xff372617,
    0xff513d30,
    0xff5e4a3f,
    0xff1b1205,
    0xff1d1f12,
    0xff141f10,
    0xff2e3124,
    0xff25281e,
    0xff262823,
    0xff736c66,
    0xffd1c2b8,
    0xff69564c,
    0xff594f46,
    0xff292621,
    0xff2d2a1e,
    0xff454133,
    0xff1a2216,
    0xff0c1f1f,
    0xff12231f,
    0xff3b3f32,
    0xff262417,
    0xff151a14,
    0xff132019,
    0xff162219,
    0xff121e16,
    0xff1d281e,
    0xff162219,
    0xff131e18,
    0xff17241e,
    0xff192621,
    0xff12231b,
    0xff102015,
    0xff182419,
    0xff131e13,
    0xff161d12,
    0xff1a1e1b,
    0xff606466,
    0xff8f9197,
    0xff464341,
    0xffaeaeaa,
    0xff0c140f,
    0xff0d1d14,
    0xff0c1e14,
    0xff0a1a10,
    0xff0c190e,
    0xff0d180f,
    0xff071f14,
    0xff131f12,
    0xff19190d,
    0xff121606,
    0xff121e0b,
    0xff0d1003,
    0xff583e39,
    0xffba8383,
    0xffc89b97,
    0xff988272,
    0xff785842,
    0xff703f2e,
    0xff5e3b28,
    0xff2e1709,
    0xff2e2216,
    0xff1c2716,
    0xff2c2f1d,
    0xff2a2b1b,
    0xff3d3c2f,
    0xff191b0e,
    0xff0e170d,
    0xff545f5a,
    0xffa5b4b2,
    0xff859092,
    0xff0d1516,
    0xff616b6d,
    0xff4c595e,
    0xff041312,
    0xff0e1c14,
    0xff222b27,
    0xff7a7b81,
    0xffa6a1b1,
    0xff272837,
    0xff858b96,
    0xff0d1618,
    0xff0c110e,
    0xfff3f3eb,
    0xff60594e,
    0xff2b2517,
    0xff2a2917,
    0xff2a2a12,
    0xff29260f,
    0xff332a13,
    0xff392b14,
    0xff3b2a11,
    0xff3e2a11,
    0xff422e13,
    0xff412d10,
    0xff43300f,
    0xff3f2d08,
    0xff4a3810,
    0xff413307,
    0xff47390e,
    0xff46370e,
    0xff40300a,
    0xff3e300c,
    0xff31260c,
    0xff2c250b,
    0xff2a240e,
    0xff28230f,
    0xff27220f,
    0xff282210,
    0xff251e0d,
    0xff231d0b,
    0xff211a08,
    0xff241d0a,
    0xff28200e,
    0xff261f0c,
    0xff241d0a,
    0xff261f0c,
    0xff231d0a,
    0xff251e0b,
    0xff241f10,
    0xff262010,
    0xff26200d,
    0xff28200d,
    0xff2b220d,
    0xff29220c,
    0xff29230c,
    0xff29200d,
    0xff68432f,
    0xff381804,
    0xff2a210a,
    0xff262411,
    0xff211f11,
    0xff1e2013,
    0xff27291e,
    0xff20261b,
    0xff1b2120,
    0xff0d1514,
    0xff151e1c,
    0xff606a6b,
    0xff9aa4a5,
    0xff606a6b,
    0xff192424,
    0xff293333,
    0xff57605c,
    0xff111d0e,
    0xff242e18,
    0xff1b261a,
    0xff1b2b28,
    0xff292321,
    0xff692821,
    0xff871303,
    0xffa81404,
    0xffb02515,
    0xff962012,
    0xffa13421,
    0xffa02d16,
    0xff8c1800,
    0xff942e16,
    0xff852e0e,
    0xff8b633b,
    0xff301800,
    0xff231814,
    0xff5c5a67,
    0xff9b9aad,
    0xff70727e,
    0xff131b1d,
    0xff000803,
    0xff151c10,
    0xff182011,
    0xff192211,
    0xff121f0b,
    0xff17200f,
    0xff171d0f,
    0xff192015,
    0xff191b14,
    0xff1c2013,
    0xff292d20,
    0xff212516,
    0xff191d10,
    0xff686c6b,
    0xff888b96,
    0xff98969d,
    0xffdcd1d1,
    0xff5e4e4e,
    0xff603d22,
    0xff774805,
    0xff8b5b14,
    0xffbeb696,
    0xffe9e0e9,
    0xff7f7d86,
    0xff7a7879,
    0xffb71409,
    0xffb3262c,
    0xff564343,
    0xff254951,
    0xff1b394b,
    0xff222f44,
    0xff263d49,
    0xff1f3840,
    0xff113033,
    0xff102b30,
    0xff162d33,
    0xff16282e,
    0xff1c2d33,
    0xff1a2e31,
    0xff142a2b,
    0xff183030,
    0xff1a2d37,
    0xff132b34,
    0xff163438,
    0xff224345,
    0xff153436,
    0xff0f2b2d,
    0xff21363a,
    0xff283a3f,
    0xff1f3238,
    0xff2e4448,
    0xff253e45,
    0xff2b4549,
    0xff2d484c,
    0xff213d3f,
    0xff2a4244,
    0xff314c4a,
    0xff3a4f4c,
    0xff3c5050,
    0xff314446,
    0xff2b4143,
    0xff354c52,
    0xff2d474e,
    0xff3d5860,
    0xff2f4c55,
    0xff31515c,
    0xff315058,
    0xff4b656d,
    0xff92acb4,
    0xff769097,
    0xff354f57,
    0xff37555e,
    0xff385964,
    0xff3c5966,
    0xff334f5c,
    0xff314b56,
    0xff37515a,
    0xff314a50,
    0xff374d52,
    0xff2d4446,
    0xff304748,
    0xff324c49,
    0xff2e4845,
    0xff2a4243,
    0xff294345,
    0xff2d474c,
    0xff2e4753,
    0xff233d4a,
    0xff20394a,
    0xff2e4c6c,
    0xff224263,
    0xff305179,
    0xff294e79,
    0xff264c7c,
    0xff2a5185,
    0xff396096,
    0xff3b6397,
    0xff396595,
    0xff375c9e,
    0xff4164a4,
    0xff7d5784,
    0xff7c0417,
    0xffae3137,
    0xffba5663,
    0xffd08593,
    0xffa85b69,
    0xff993c51,
    0xff944b49,
    0xffaa4d5b,
    0xff8d3e72,
    0xff8f6597,
    0xff8e3969,
    0xff701149,
    0xff6d6ec1,
    0xff3e70c8,
    0xff3473cc,
    0xff3a67bd,
    0xff6359a0,
    0xff6c0f31,
    0xff8e0001,
    0xff860000,
    0xff94020c,
    0xffa2030c,
    0xffa80307,
    0xff900000,
    0xff7b0000,
    0xff6c0201,
    0xff6d0205,
    0xff740004,
    0xff7d0000,
    0xffa72019,
    0xffc02d0d,
    0xffdc3d02,
    0xffe14c1d,
    0xffbc413b,
    0xff680004,
    0xff7a0407,
    0xff78050e,
    0xff770002,
    0xff7c0009,
    0xff6b0009,
    0xff67020c,
    0xff690406,
    0xff700108,
    0xff760011,
    0xff710212,
    0xff700006,
    0xff6b000f,
    0xff9c1618,
    0xffbe3e3e,
    0xff883958,
    0xff7e2b46,
    0xff790305,
    0xff781100,
    0xffac1a07,
    0xffd4392b,
    0xff7a0000,
    0xff700010,
    0xff530716,
    0xff5b4b61,
    0xff495a89,
    0xff3f4c8e,
    0xff464f8f,
    0xff3b5aa6,
    0xff3a5b98,
    0xff35588b,
    0xff33557b,
    0xff858b99,
    0xff23293c,
    0xff2d486c,
    0xff466083,
    0xff8fa4b7,
    0xff3f5562,
    0xff3a597c,
    0xff3b5f93,
    0xff3e659e,
    0xff4068a5,
    0xff4e679f,
    0xff606aa6,
    0xff505383,
    0xff3d182b,
    0xff440005,
    0xff5f476b,
    0xff4469a6,
    0xff4464a5,
    0xff4972b9,
    0xff4974be,
    0xff436cb5,
    0xff4e6bb2,
    0xff5764a5,
    0xff2c316d,
    0xff3d467f,
    0xff5464a1,
    0xff4c6fae,
    0xff486cad,
    0xff476dad,
    0xff4268a8,
    0xff4165a6,
    0xff496aac,
    0xff5070b2,
    0xff4562a5,
    0xff3f5e97,
    0xff3c5c99,
    0xff355494,
    0xff30538f,
    0xff385c95,
    0xff32578e,
    0xff2f548d,
    0xff355c9a,
    0xff3a63a5,
    0xff3660a3,
    0xff325b9e,
    0xff345ba2,
    0xff3c64ac,
    0xff3864b0,
    0xff3b68b5,
    0xff3e6dbd,
    0xff4375c8,
    0xff4a7ad1,
    0xff4f7ed4,
    0xff5582da,
    0xff5786de,
    0xff5b8ae2,
    0xff598be3,
    0xff588ae1,
    0xff5b8fe2,
    0xff5a8fe2,
    0xff5a8ee1,
    0xff558add,
    0xff5589dc,
    0xff568add,
    0xff5488db,
    0xff5286d9,
    0xff5387dc,
    0xff588ce0,
    0xff598de1,
    0xff5b8fe3,
    0xff588be0,
    0xff5a8ce1,
    0xff5a8ce1,
    0xff588be0,
    0xff5686d9,
    0xff5787db,
    0xff5584d8,
    0xff4e82d5,
    0xff5082d5,
    0xff5688db,
    0xff5b8fe2,
    0xff5a8ee1,
    0xff548ddf,
    0xff5189dc,
    0xff4e86d9,
    0xff5089dc,
    0xff5188db,
    0xff5087da,
    0xff5289dc,
    0xff5087da,
    0xff5486db,
    0xff5587dc,
    0xff5587dc,
    0xff5284d9,
    0xff5185d9,
    0xff5084db,
    0xff5488df,
    0xff5286dc,
    0xff5284dc,
    0xff4e7fd7,
    0xff5185db,
    0xff5286dc,
    0xff5185db,
    0xff4e82d8,
    0xff4a80d6,
    0xff487fd4,
    0xff487bd5,
    0xff4a7cd5,
    0xff487bd4,
    0xff477dd5,
    0xff497fd6,
    0xff487ed8,
    0xff457bd6,
    0xff457bd5,
    0xff477fd9,
    0xff467fd9,
    0xff457ed8,
    0xff457ed9,
    0xff467fd9,
    0xff447dd7,
    0xff437cd6,
    0xff407ad4,
    0xff447bd5,
    0xff437ad4,
    0xff457cd6,
    0xff477ed8,
    0xff477ed9,
    0xff477ed9,
    0xff477ed9,
    0xff477fd8,
    0xff4982d8,
    0xff4780d7,
    0xff4a7fd8,
    0xff487ed7,
    0xff4c82d9,
    0xff4b81d9,
    0xff4a82d9,
    0xff4a83d9,
    0xff477ed8,
    0xff477ed8,
    0xff477ed8,
    0xff4680d9,
    0xff4680d9,
    0xff4780d9,
    0xff4780d9,
    0xff4881db,
    0xff4a82d8,
    0xff4b83da,
    0xff4c84da,
    0xff4c84db,
    0xff4b83da,
    0xff4a83da,
    0xff4a83da,
    0xff4c85dc,
    0xff477ed6,
    0xff4f85dd,
    0xff5187dd,
    0xff5387dd,
    0xff5287dd,
    0xff5a8be2,
    0xff4f81d6,
    0xff5183d8,
    0xff5385e0,
    0xff4f82dc,
    0xff5385df,
    0xff5385df,
    0xff5385de,
    0xff5486dd,
    0xff5183db,
    0xff5084db,
    0xff5785e3,
    0xff5582df,
    0xff5683dd,
    0xff5583d9,
    0xff527fd3,
    0xff5280d4,
    0xff547fd8,
    0xff5883dd,
    0xff5992dc,
    0xff5a8cd9,
    0xff5c8bd4,
    0xff598ad7,
    0xff5883d6,
    0xff6a85c2,
    0xff737b9c,
    0xff696587,
    0xff8088c7,
    0xff8084da,
    0xff9e8ca6,
    0xff922f37,
    0xffbb4114,
    0xffec854c,
    0xffd57b35,
    0xffc27b66,
    0xffe2a371,
    0xfff4b159,
    0xffcb8d23,
    0xffbc720d,
    0xffd5722a,
    0xff93392f,
    0xff83618d,
    0xff8b97d2,
    0xff7a98de,
    0xff7789d5,
    0xff7185d0,
    0xff6283ce,
    0xff5681cc,
    0xff4e79cc,
    0xff4c7fd5,
    0xff4183d7,
    0xff4277d2,
    0xff4879d2,
    0xff4677cf,
    0xff497bd1,
    0xff4a7cd2,
    0xff4c7fd5,
    0xff497cd5,
    0xff487fd7,
    0xff4a83d9,
    0xff477fd7,
    0xff447bd2,
    0xff427ad1,
    0xff4378d0,
    0xff4277d2,
    0xff4a7bd8,
    0xff487ad5,
    0xff487bd2,
    0xff487ad0,
    0xff4b7cd2,
    0xff487ad0,
    0xff4879cf,
    0xff4677ce,
    0xff4577cd,
    0xff4679d0,
    0xff457bd2,
    0xff457bd3,
    0xff487dd5,
    0xff4a7fd6,
    0xff4a80d7,
    0xff4a80d8,
    0xff487ed6,
    0xff4c7fd8,
    0xff4b83de,
    0xff4c81de,
    0xff4a80d9,
    0xff497fd9,
    0xff4476d2,
    0xff4578d1,
    0xff4a7cd5,
    0xff4f81da,
    0xff4e7edb,
    0xff4878d4,
    0xff4578d2,
    0xff4678d1,
    0xff5486dd,
    0xff5387db,
    0xff5587da,
    0xff5788dc,
    0xff5686de,
    0xff5881d6,
    0xff6185d5,
    0xff6d8ad6,
    0xff7793dd,
    0xff7995df,
    0xff7191de,
    0xff80a1ef,
    0xff8fa2e1,
    0xff979fdf,
    0xff93a9e6,
    0xffbe9dcf,
    0xff7f0e28,
    0xff87060f,
    0xffa00d20,
    0xffad0118,
    0xff9c0318,
    0xff900710,
    0xff7e0910,
    0xff740000,
    0xff992322,
    0xffb54647,
    0xffbf6e77,
    0xff807cad,
    0xff667dc8,
    0xff5d7ed0,
    0xff6678c0,
    0xff617bc2,
    0xff5571b1,
    0xffa7787e,
    0xffb82c1a,
    0xffca1d29,
    0xffa20604,
    0xff830000,
    0xff8c0709,
    0xffd46063,
    0xff7d4039,
    0xff81685b,
    0xff5b453a,
    0xff503831,
    0xff323322,
    0xff383a2a,
    0xff3a3c2c,
    0xff3c3f30,
    0xff313627,
    0xff2a3120,
    0xff273422,
    0xff2a3927,
    0xff1e3522,
    0xff152614,
    0xff3a4232,
    0xff343526,
    0xff1d2113,
    0xff172619,
    0xff112c1d,
    0xff0a2c1d,
    0xff1e2a22,
    0xff142621,
    0xff102726,
    0xff122520,
    0xff171a10,
    0xff897e74,
    0xffb7a39e,
    0xff6a5252,
    0xff5b4e3e,
    0xff261a08,
    0xff131004,
    0xff0c1914,
    0xff1a241f,
    0xff979384,
    0xff261e0f,
    0xff120f07,
    0xff141d16,
    0xff151f16,
    0xff1b241b,
    0xff626a60,
    0xff0f180d,
    0xff161f16,
    0xff19231b,
    0xff1c271f,
    0xff142617,
    0xff122514,
    0xff152312,
    0xff1c2916,
    0xff1a2515,
    0xff182015,
    0xff0e140e,
    0xff303532,
    0xff8a8689,
    0xff7a7a7c,
    0xffa0a3a2,
    0xff000c08,
    0xff0f1e14,
    0xff0e1c10,
    0xff0c1a0a,
    0xff101e0b,
    0xff111a13,
    0xff191b17,
    0xff191a16,
    0xff101b14,
    0xff102014,
    0xff20190d,
    0xff3d0f04,
    0xff5f0e05,
    0xff852e23,
    0xff8b3b25,
    0xff913119,
    0xff97361f,
    0xffca806a,
    0xff935348,
    0xff9a6f68,
    0xff4c4b3d,
    0xff14160b,
    0xff0b0900,
    0xff5f5c52,
    0xff131309,
    0xff0f180d,
    0xff0b180e,
    0xff051209,
    0xff293630,
    0xff919c93,
    0xff9fa9aa,
    0xffa8b4bd,
    0xff344149,
    0xff0d1a1a,
    0xff222c22,
    0xff171911,
    0xff6a6864,
    0xffadaab8,
    0xff696a71,
    0xff484a4c,
    0xff181a13,
    0xffaaa898,
    0xffa29b86,
    0xff221b00,
    0xff3a3414,
    0xff322e12,
    0xff342f14,
    0xff352b11,
    0xff34250c,
    0xff36250b,
    0xff39240a,
    0xff3d280e,
    0xff493215,
    0xff423014,
    0xff402f12,
    0xff3d2d0d,
    0xff3d2d0c,
    0xff382a09,
    0xff372809,
    0xff342508,
    0xff332409,
    0xff2e240b,
    0xff2d220d,
    0xff28210b,
    0xff27200d,
    0xff251e0b,
    0xff251e0b,
    0xff261e0b,
    0xff231b08,
    0xff231b07,
    0xff1e1701,
    0xff221b06,
    0xff221a05,
    0xff231c06,
    0xff251d08,
    0xff201702,
    0xff231905,
    0xff201c0d,
    0xff221c0c,
    0xff201907,
    0xff231c09,
    0xff251e0b,
    0xff231c0a,
    0xff26200d,
    0xff25200c,
    0xff2c2006,
    0xff282006,
    0xff2b220d,
    0xff2d2413,
    0xff2c281a,
    0xff2f2c1f,
    0xff2b2e21,
    0xff252d1d,
    0xff21271e,
    0xff1c241b,
    0xff1c221c,
    0xff1b211e,
    0xff0d1615,
    0xff3b4446,
    0xff8a959a,
    0xff8b969d,
    0xff595f63,
    0xff494e4c,
    0xff101614,
    0xff212527,
    0xff232a27,
    0xff2b1f11,
    0xff803a23,
    0xff9b0f00,
    0xffa7160e,
    0xff8a130b,
    0xff821603,
    0xffb5422a,
    0xffaf3012,
    0xffa92b0e,
    0xff9f3722,
    0xff712719,
    0xff2d1d00,
    0xff252408,
    0xff101a01,
    0xff1b2513,
    0xff24251c,
    0xff736b6f,
    0xff948898,
    0xffa39bad,
    0xff171b10,
    0xff151b0c,
    0xff192311,
    0xff18210e,
    0xff1b2511,
    0xff1a2211,
    0xff0a0d00,
    0xff3b3c30,
    0xff636458,
    0xff48483a,
    0xff13170a,
    0xff0d180f,
    0xff363f42,
    0xffe4e8f1,
    0xff807f87,
    0xffebe8ee,
    0xff6c605c,
    0xff6e4a28,
    0xffe7a75a,
    0xffae601d,
    0xffd3bda4,
    0xffe3dfe3,
    0xff838488,
    0xff72717d,
    0xffb21f11,
    0xffb53837,
    0xff38221d,
    0xff172a33,
    0xff102a3e,
    0xff233447,
    0xff1d323f,
    0xff2b3a43,
    0xff21363c,
    0xff1c2f38,
    0xff1d2e38,
    0xff24323d,
    0xff1a2731,
    0xff1b2730,
    0xff202b32,
    0xff232e34,
    0xff263847,
    0xff2f4253,
    0xff304555,
    0xff203847,
    0xff253c4a,
    0xff2a4051,
    0xff223345,
    0xff1a293c,
    0xff293c46,
    0xff2a3f4b,
    0xff2a404f,
    0xff324959,
    0xff354e60,
    0xff2f4858,
    0xff2f4a57,
    0xff253f4d,
    0xff274552,
    0xff547280,
    0xff587586,
    0xff2c4a60,
    0xff3a5871,
    0xff35546f,
    0xff3f607a,
    0xff2b4e69,
    0xff395d77,
    0xff3c6179,
    0xff34546b,
    0xff274658,
    0xff314f62,
    0xff395a6b,
    0xff264a5c,
    0xff2e5367,
    0xff32546c,
    0xff36586f,
    0xff33556e,
    0xff305168,
    0xff315268,
    0xff38566b,
    0xff314f63,
    0xff2f4d61,
    0xff33536e,
    0xff355673,
    0xff375777,
    0xff3c5b7e,
    0xff38597e,
    0xff375982,
    0xff345782,
    0xff385a89,
    0xff385f9c,
    0xff325b9b,
    0xff3761a5,
    0xff3460a7,
    0xff3563b0,
    0xff3663b1,
    0xff3562b3,
    0xff305dae,
    0xff2e69ae,
    0xff3167b5,
    0xff3c68b5,
    0xff6c538b,
    0xffa64e62,
    0xfffda2a8,
    0xffd38c98,
    0xffad8187,
    0xffbe7a76,
    0xffcf7d80,
    0xffa6696d,
    0xff92607d,
    0xff655f9c,
    0xff436aaa,
    0xff676bad,
    0xff6d5897,
    0xff606aa3,
    0xff4762b4,
    0xff3e67c4,
    0xff5272c9,
    0xff534787,
    0xff3b0012,
    0xff580201,
    0xff54030d,
    0xff640005,
    0xff7c050d,
    0xff8a060f,
    0xff7b0002,
    0xff6f0102,
    0xff730505,
    0xff7d0002,
    0xff910004,
    0xffba1a16,
    0xffc72c1b,
    0xffdb3d12,
    0xffe23f08,
    0xffc02c0b,
    0xff780001,
    0xff700209,
    0xff750100,
    0xffa3202c,
    0xffc43949,
    0xffa21b29,
    0xffc34857,
    0xff8a1f28,
    0xff6a030a,
    0xff6b020a,
    0xff6f020d,
    0xff6b010c,
    0xff720407,
    0xff6a0011,
    0xff990d14,
    0xffcd464c,
    0xff843f65,
    0xff753b5f,
    0xff781017,
    0xff7f0005,
    0xffa1070d,
    0xffb52b2b,
    0xffaa3c3c,
    0xffa43039,
    0xff780018,
    0xff7f3061,
    0xff5a4488,
    0xff525096,
    0xff554999,
    0xff4c489a,
    0xff3f438c,
    0xff454785,
    0xff5b597d,
    0xff544b58,
    0xff535270,
    0xff6468a7,
    0xff6162a4,
    0xff8b8cb1,
    0xff051934,
    0xff486ca5,
    0xff4262b0,
    0xff4162ae,
    0xff3263af,
    0xff3a66ac,
    0xff3b65aa,
    0xff4b73b0,
    0xff3a4163,
    0xff220315,
    0xff4a456b,
    0xff587fc4,
    0xff4671c1,
    0xff4569b9,
    0xff466cba,
    0xff4c74bc,
    0xff4d6fb0,
    0xff516ca4,
    0xff4f6295,
    0xff405584,
    0xff4b6592,
    0xff39608f,
    0xff345d8a,
    0xff305a87,
    0xff315a88,
    0xff335987,
    0xff315584,
    0xff426293,
    0xff466598,
    0xff406396,
    0xff3c6299,
    0xff4267a2,
    0xff4368a3,
    0xff41689e,
    0xff396398,
    0xff456da6,
    0xff4c75b3,
    0xff4878b5,
    0xff4e7dc0,
    0xff5481c9,
    0xff5682cf,
    0xff5582d5,
    0xff5482da,
    0xff5987e2,
    0xff5a88e4,
    0xff5084d2,
    0xff5186d3,
    0xff4e82d0,
    0xff5283d0,
    0xff5183d0,
    0xff4f7fce,
    0xff4e81cf,
    0xff5386d5,
    0xff568add,
    0xff4e83d6,
    0xff4b7fd2,
    0xff5387da,
    0xff5086d5,
    0xff5288d8,
    0xff568bdb,
    0xff5e93e2,
    0xff598de0,
    0xff588cdf,
    0xff5a8ee1,
    0xff568adc,
    0xff4f83d5,
    0xff4e80d3,
    0xff4b7ed1,
    0xff5183d6,
    0xff5888de,
    0xff5c8be0,
    0xff568adc,
    0xff5a8ce0,
    0xff598de0,
    0xff578bde,
    0xff5689de,
    0xff5289dc,
    0xff5189dc,
    0xff528add,
    0xff528add,
    0xff538bde,
    0xff538add,
    0xff548bde,
    0xff578ee1,
    0xff578ee1,
    0xff598adf,
    0xff598be0,
    0xff588adf,
    0xff5a8be1,
    0xff568ade,
    0xff5488dc,
    0xff578bde,
    0xff5287da,
    0xff5587db,
    0xff5587dc,
    0xff568bde,
    0xff5488de,
    0xff5387de,
    0xff5386dc,
    0xff4f85db,
    0xff4b82da,
    0xff4c7ed7,
    0xff4a80db,
    0xff4a80da,
    0xff487fd9,
    0xff467ed8,
    0xff487fd9,
    0xff4a7fda,
    0xff487fd9,
    0xff457dd7,
    0xff447dd7,
    0xff447dd7,
    0xff437cd7,
    0xff437cd6,
    0xff447dd7,
    0xff467fd9,
    0xff4780da,
    0xff437ad4,
    0xff447bd4,
    0xff447bd5,
    0xff447bd5,
    0xff437ad4,
    0xff437ad4,
    0xff447bd5,
    0xff447bd5,
    0xff447ad5,
    0xff457cd7,
    0xff487fda,
    0xff487fdb,
    0xff457cd6,
    0xff457cd7,
    0xff457cd7,
    0xff457cd7,
    0xff467dd7,
    0xff467cd7,
    0xff447ed7,
    0xff447dd7,
    0xff467fd9,
    0xff457ed7,
    0xff447dd6,
    0xff447dd6,
    0xff447bd5,
    0xff457cd6,
    0xff467dd7,
    0xff467ed5,
    0xff4981d8,
    0xff4a82d9,
    0xff4982d8,
    0xff4880d7,
    0xff4e82d8,
    0xff5184da,
    0xff4f82d7,
    0xff4e80d5,
    0xff5082d7,
    0xff5080d5,
    0xff5988dd,
    0xff5685d9,
    0xff5385de,
    0xff5285dd,
    0xff5180d7,
    0xff5180d8,
    0xff507fd4,
    0xff5382d7,
    0xff5483d9,
    0xff5786d9,
    0xff4d83d9,
    0xff5085d7,
    0xff5485d4,
    0xff5585d1,
    0xff5885d0,
    0xff5784d0,
    0xff5787d2,
    0xff5584d3,
    0xff5279d0,
    0xff567ac9,
    0xff6180d4,
    0xff6c87de,
    0xff6888dc,
    0xff5a7bce,
    0xff757dc4,
    0xff76658d,
    0xff867393,
    0xff8e77c2,
    0xff673d62,
    0xff8d2c30,
    0xffaa442c,
    0xff963e24,
    0xffb65510,
    0xffda842e,
    0xffd07726,
    0xfffcb439,
    0xffce830d,
    0xffa74c00,
    0xffe77b2c,
    0xffa52b11,
    0xffa94d6e,
    0xff876998,
    0xff7b73b5,
    0xff7387ce,
    0xff5f87d2,
    0xff5a82d1,
    0xff6288cf,
    0xff5d8acd,
    0xff5485ce,
    0xff4e7acf,
    0xff4c7ad0,
    0xff527dd3,
    0xff5884d8,
    0xff5783d7,
    0xff5685d4,
    0xff5786d7,
    0xff5b8cde,
    0xff5586d8,
    0xff4d85d5,
    0xff477fd1,
    0xff5388db,
    0xff588be0,
    0xff588be0,
    0xff5584dd,
    0xff4e7dd6,
    0xff517fd8,
    0xff4f7ccd,
    0xff4d7bcb,
    0xff517fcf,
    0xff527fd0,
    0xff5280d0,
    0xff5583d3,
    0xff527cce,
    0xff517dcd,
    0xff507ed1,
    0xff507fd2,
    0xff5381d3,
    0xff5283d6,
    0xff5486da,
    0xff5183d9,
    0xff4f83d9,
    0xff5185db,
    0xff4a80da,
    0xff487ed8,
    0xff467dd6,
    0xff497bd7,
    0xff4c7fda,
    0xff4f82dd,
    0xff5083de,
    0xff4e81dc,
    0xff497dd9,
    0xff4378d4,
    0xff4177d2,
    0xff3f77d1,
    0xff3d75ce,
    0xff3c73cc,
    0xff3b72ca,
    0xff3b71c9,
    0xff3974d5,
    0xff3a72d2,
    0xff3d72cd,
    0xff4172cb,
    0xff4673cb,
    0xff4e7bd4,
    0xff4a79d0,
    0xff4172ca,
    0xff447bc9,
    0xff426fbd,
    0xff3f70b7,
    0xff6773bb,
    0xff98649b,
    0xff860c1b,
    0xffa40000,
    0xff980015,
    0xff980117,
    0xff86000d,
    0xff870c1b,
    0xff800901,
    0xffd56744,
    0xffdd6d44,
    0xffc96c65,
    0xff6d619b,
    0xff4062b0,
    0xff3d65c3,
    0xff4466b7,
    0xff335faf,
    0xff4b5f9f,
    0xff9c5456,
    0xffb9270d,
    0xffa80000,
    0xffa40005,
    0xff8d0605,
    0xff81080b,
    0xffc95f64,
    0xff7c423e,
    0xff4b382b,
    0xff4c4839,
    0xff3a402f,
    0xff3a3e2f,
    0xff363b31,
    0xff333a33,
    0xff38413a,
    0xff2c382d,
    0xff283728,
    0xff2d3d30,
    0xff26372d,
    0xff2d322d,
    0xff272e26,
    0xff1c271c,
    0xff172718,
    0xff16251a,
    0xff16261d,
    0xff10201b,
    0xff132320,
    0xff142125,
    0xff101e1d,
    0xff1b2d25,
    0xff11281f,
    0xff142c28,
    0xff192722,
    0xff2b251f,
    0xffa0877e,
    0xffead1c6,
    0xff5f4638,
    0xff5e5144,
    0xff292c25,
    0xff000000,
    0xff43402f,
    0xff555140,
    0xff83877f,
    0xff18251c,
    0xff061308,
    0xff08150b,
    0xff7b877b,
    0xff031003,
    0xff122111,
    0xff152617,
    0xff122415,
    0xff132513,
    0xff142412,
    0xff152310,
    0xff172412,
    0xff142110,
    0xff162212,
    0xff121d0e,
    0xff0f1a0d,
    0xff292927,
    0xff6d6e6d,
    0xff929492,
    0xffd7dad8,
    0xff0a140b,
    0xff1a261a,
    0xff142211,
    0xff0f210d,
    0xff0c210b,
    0xff11200d,
    0xff151e10,
    0xff1b2015,
    0xff241911,
    0xff8c6155,
    0xffc4675a,
    0xffd65849,
    0xffae2b1c,
    0xffc74e33,
    0xffdd6a44,
    0xffc7512d,
    0xffbc422c,
    0xffd5605a,
    0xff8e4e46,
    0xff6e715d,
    0xffa9afa8,
    0xffa5a59f,
    0xffffffff,
    0xff52534b,
    0xff182015,
    0xff000800,
    0xff0b180f,
    0xff0f1d14,
    0xff1b2f2a,
    0xff54635e,
    0xff394142,
    0xffb6b6c0,
    0xff6d6c7a,
    0xff272930,
    0xff171d11,
    0xff142005,
    0xff4f5053,
    0xffa2a1a6,
    0xffb5b4b6,
    0xff191612,
    0xff716d61,
    0xffe5e2cc,
    0xff2f2609,
    0xff382e0a,
    0xff362e11,
    0xff342c0f,
    0xff3b2f13,
    0xff443518,
    0xff413014,
    0xff433113,
    0xff422e10,
    0xff412c0f,
    0xff3b2a0e,
    0xff39280c,
    0xff756649,
    0xff493a1b,
    0xff382a0e,
    0xff35270d,
    0xff32230a,
    0xff33270e,
    0xff32250c,
    0xff2d2307,
    0xff2a230a,
    0xff282009,
    0xff27210b,
    0xff281f0a,
    0xff272009,
    0xff2c200b,
    0xff271c06,
    0xff574b35,
    0xff261a04,
    0xff282109,
    0xff31250f,
    0xff30240e,
    0xff31240e,
    0xff2d220c,
    0xff241e0c,
    0xff221b09,
    0xff231c09,
    0xff1f1a04,
    0xff252009,
    0xff28230f,
    0xff26230e,
    0xff25230f,
    0xff28280e,
    0xff212a10,
    0xff302413,
    0xff2f2213,
    0xff252214,
    0xff251e13,
    0xff232517,
    0xff2b3121,
    0xff313525,
    0xff272b1b,
    0xff212515,
    0xff1e2117,
    0xff1e231c,
    0xff182120,
    0xff0f191c,
    0xff252f36,
    0xff7f8397,
    0xffccd2e5,
    0xff707e8e,
    0xff020f18,
    0xff1f201e,
    0xff32210b,
    0xffb9684c,
    0xffdd3e2c,
    0xffaf2f1a,
    0xff872d1d,
    0xff621200,
    0xff91270d,
    0xffc3432b,
    0xffa52504,
    0xff9c3110,
    0xff691f0d,
    0xff27170d,
    0xff1a190b,
    0xff121c0b,
    0xff25331e,
    0xff2d3220,
    0xff181408,
    0xff635b58,
    0xff8c8689,
    0xff9fa197,
    0xff535a4e,
    0xff060c00,
    0xff181d12,
    0xff171d11,
    0xff121408,
    0xff616656,
    0xffb5b7a8,
    0xff050300,
    0xff828375,
    0xff030b00,
    0xff0e1919,
    0xff747678,
    0xff4b3f3a,
    0xff897d7a,
    0xffd9d7e2,
    0xffa599a7,
    0xff8a6d5b,
    0xffe4a25b,
    0xffd07536,
    0xffe9cebb,
    0xffd9d6e1,
    0xff808192,
    0xff6d6c92,
    0xff90342e,
    0xff6d2121,
    0xff3f3530,
    0xff37363f,
    0xff364554,
    0xff25354a,
    0xff2a384d,
    0xff272e44,
    0xff152a2d,
    0xff1c3437,
    0xff1e383d,
    0xff173137,
    0xff1a3138,
    0xff162a31,
    0xff1b2a2e,
    0xff213134,
    0xff172d34,
    0xff1c343a,
    0xff192f39,
    0xff1f3742,
    0xff29424e,
    0xff2b4351,
    0xff26404e,
    0xff1a3544,
    0xff1c3750,
    0xff1e3954,
    0xff1e3c5c,
    0xff1f3f62,
    0xff1c3d61,
    0xff1f4166,
    0xff244669,
    0xff315476,
    0xff35587e,
    0xff2a5177,
    0xff32577e,
    0xff365c85,
    0xff204872,
    0xff2b547c,
    0xff2a537b,
    0xff234b72,
    0xff2a5176,
    0xff274a6c,
    0xff224664,
    0xff32516b,
    0xff3b5c73,
    0xff24445a,
    0xff33556b,
    0xff34576e,
    0xff2a4f6c,
    0xff1f4363,
    0xff35597b,
    0xff335679,
    0xff36597c,
    0xff33557c,
    0xff3c5f84,
    0xff395b82,
    0xff345c81,
    0xff376088,
    0xff345e87,
    0xff2d5885,
    0xff2c5684,
    0xff2b5789,
    0xff2a568a,
    0xff245084,
    0xff275592,
    0xff245191,
    0xff28579b,
    0xff2c5da4,
    0xff3365ad,
    0xff3667b3,
    0xff3261af,
    0xff3866b4,
    0xff3b6bbd,
    0xff3c66af,
    0xff4d5ca3,
    0xff8e649b,
    0xffbe7c8d,
    0xffcc8a96,
    0xffbd6d87,
    0xffa46367,
    0xffa75351,
    0xff92464f,
    0xff805073,
    0xff5f4c88,
    0xff3f4f91,
    0xff285499,
    0xff23458c,
    0xff2d447e,
    0xff476598,
    0xff29579d,
    0xff1a559f,
    0xff275091,
    0xff332552,
    0xff44000b,
    0xff510000,
    0xff490211,
    0xff520202,
    0xff620004,
    0xff6c0007,
    0xff690207,
    0xff630505,
    0xff670100,
    0xff8c0203,
    0xffb50e14,
    0xffc11403,
    0xffcd280d,
    0xffda3a17,
    0xffd23b19,
    0xff940e00,
    0xff6b0000,
    0xff70050c,
    0xff770309,
    0xff760003,
    0xff790006,
    0xff770004,
    0xff750004,
    0xff700006,
    0xff730310,
    0xff70000e,
    0xff71000f,
    0xff6a0219,
    0xff6d0207,
    0xff6e111f,
    0xff800d12,
    0xffaa3b3e,
    0xff8b5a83,
    0xff824d7c,
    0xff750617,
    0xff780b16,
    0xff78070d,
    0xff871316,
    0xff6a0100,
    0xff770607,
    0xff860e23,
    0xff580c3b,
    0xff7571ad,
    0xff3f70b7,
    0xff4370c8,
    0xff4974c5,
    0xff467ac7,
    0xff4469ae,
    0xff6f6f99,
    0xff49395f,
    0xff5d457e,
    0xff472c4e,
    0xff86687a,
    0xff56313b,
    0xff6e5a72,
    0xff5d74a6,
    0xff4d73c0,
    0xff4f70c7,
    0xff4774c5,
    0xff4374c0,
    0xff4377ba,
    0xff4573b9,
    0xff5871ad,
    0xff4e4f7a,
    0xff485283,
    0xff4969ad,
    0xff416db0,
    0xff496aa8,
    0xff3d5f9a,
    0xff386093,
    0xff335785,
    0xff34537b,
    0xff3b587c,
    0xff3e5c7e,
    0xff37597e,
    0xff375986,
    0xff325686,
    0xff2e5384,
    0xff2c5489,
    0xff345b92,
    0xff3c649e,
    0xff3d63a0,
    0xff4266a7,
    0xff4068ae,
    0xff3e65b0,
    0xff3a63b2,
    0xff436cbb,
    0xff3e6bb6,
    0xff4c77c5,
    0xff4672c5,
    0xff507dd2,
    0xff497dd1,
    0xff5486dd,
    0xff5a8ce4,
    0xff5585de,
    0xff5181d7,
    0xff4e81d4,
    0xff4d81d1,
    0xff487dcc,
    0xff4e85d9,
    0xff5488df,
    0xff5688e0,
    0xff5382d9,
    0xff5483da,
    0xff507fd6,
    0xff4d80d6,
    0xff5183d9,
    0xff5185d8,
    0xff5a8ddd,
    0xff5f91e3,
    0xff5c8fe0,
    0xff598bdd,
    0xff5587d6,
    0xff5b8edd,
    0xff598bda,
    0xff5486d9,
    0xff5483d8,
    0xff5383d7,
    0xff4d7bd0,
    0xff4978cd,
    0xff4b79ce,
    0xff4977cc,
    0xff5481d6,
    0xff5282d7,
    0xff5587dc,
    0xff588bde,
    0xff5a90df,
    0xff5c91e0,
    0xff5b93e5,
    0xff5c93e6,
    0xff598fe2,
    0xff568ee1,
    0xff568ee1,
    0xff568ee1,
    0xff548cdf,
    0xff558cdf,
    0xff548bde,
    0xff558cdf,
    0xff558cdf,
    0xff588adf,
    0xff5789de,
    0xff5889df,
    0xff578ce0,
    0xff588cde,
    0xff578bdd,
    0xff598ce0,
    0xff5c90e3,
    0xff588bdc,
    0xff578adc,
    0xff5689dc,
    0xff588cde,
    0xff4f83d7,
    0xff5488df,
    0xff4e82d8,
    0xff5183dc,
    0xff4c83dd,
    0xff4c82dc,
    0xff4c83dd,
    0xff4881da,
    0xff487fd9,
    0xff4a82d8,
    0xff4a80d8,
    0xff4b7dd6,
    0xff477fd8,
    0xff467fd8,
    0xff4780d8,
    0xff4780d9,
    0xff4881da,
    0xff4881da,
    0xff4881d9,
    0xff4781d9,
    0xff487eda,
    0xff487fdb,
    0xff487fda,
    0xff487fda,
    0xff477eda,
    0xff477ed9,
    0xff477ed9,
    0xff477ed9,
    0xff477ed9,
    0xff467dd9,
    0xff487fda,
    0xff487fd9,
    0xff4980da,
    0xff4880d9,
    0xff4881d7,
    0xff4880d6,
    0xff4880d6,
    0xff4880d6,
    0xff4880d6,
    0xff4880d6,
    0xff457dd4,
    0xff457dd3,
    0xff447cd3,
    0xff457dd3,
    0xff477dd8,
    0xff467dd7,
    0xff477ed8,
    0xff497fd9,
    0xff477dd5,
    0xff487fd7,
    0xff4c80d9,
    0xff4d7fd8,
    0xff5080d6,
    0xff5686da,
    0xff5686d9,
    0xff5585d9,
    0xff5684d9,
    0xff5a89db,
    0xff5e8dde,
    0xff5786d9,
    0xff5787da,
    0xff5686d7,
    0xff5182d4,
    0xff5988d8,
    0xff5c8bdb,
    0xff5985d4,
    0xff5682d2,
    0xff5d88d6,
    0xff5a89d3,
    0xff628ed7,
    0xff6b91d8,
    0xff7699da,
    0xff7c9bda,
    0xff7d9bd8,
    0xff7c9fdb,
    0xff7b9bd9,
    0xff92a3e8,
    0xff8ea3e2,
    0xff90a2e5,
    0xff91a1e4,
    0xff8ea2df,
    0xff8ca2e7,
    0xff99a2e7,
    0xffb3aad7,
    0xff64536d,
    0xffa28cbf,
    0xffc2bde9,
    0xffc2b0ca,
    0xffcda6aa,
    0xffa76565,
    0xff96310d,
    0xffce6f12,
    0xffd6810f,
    0xfff5ba14,
    0xffffc439,
    0xffc26716,
    0xffd87329,
    0xffae3f00,
    0xff94280b,
    0xff8d3f25,
    0xff8f3f42,
    0xffd0b1cd,
    0xff90a1d9,
    0xff8ca7ec,
    0xff90a6e6,
    0xff8ea3da,
    0xff869cdb,
    0xff879be8,
    0xff769de7,
    0xff6e96e1,
    0xff739ce5,
    0xff6b93de,
    0xff658cda,
    0xff5782d0,
    0xff5480d2,
    0xff4c7bcd,
    0xff4e81d7,
    0xff4b80d4,
    0xff5486db,
    0xff5686d9,
    0xff5080d4,
    0xff517fd4,
    0xff5c88de,
    0xff6590e4,
    0xff7095e4,
    0xff7fa4f2,
    0xff82a6f2,
    0xff87acf7,
    0xff88adf6,
    0xff88aef6,
    0xff82a8f0,
    0xff7da3eb,
    0xff769ae3,
    0xff6287d2,
    0xff638ad8,
    0xff628bd9,
    0xff5986d6,
    0xff5382d4,
    0xff5383d7,
    0xff5183d8,
    0xff4f81db,
    0xff4d7fdb,
    0xff4a7dd8,
    0xff497cd7,
    0xff4c7ed9,
    0xff467dd6,
    0xff4479d5,
    0xff4277d3,
    0xff4075d1,
    0xff3e75d0,
    0xff3d77d3,
    0xff3c76d2,
    0xff3872ce,
    0xff3871cf,
    0xff3771cf,
    0xff3971d0,
    0xff3875d2,
    0xff3975d4,
    0xff3a76d5,
    0xff3b75d2,
    0xff3b73ce,
    0xff3971ca,
    0xff3a72ca,
    0xff4076ce,
    0xff3a72ce,
    0xff3d75d9,
    0xff3c77da,
    0xff4a6fd5,
    0xff696fc4,
    0xff8d4c77,
    0xff96161e,
    0xff840e09,
    0xff8c0306,
    0xff800000,
    0xff800000,
    0xffa8210a,
    0xffd86631,
    0xffcc5f2b,
    0xffb96262,
    0xff6864b5,
    0xff4869b4,
    0xff3c67bf,
    0xff3f64ac,
    0xff3a61aa,
    0xff595699,
    0xffab5e67,
    0xff870e00,
    0xff9b0b00,
    0xff99000b,
    0xff7b0e10,
    0xff651314,
    0xff894849,
    0xff603d3b,
    0xff52463f,
    0xff4b483f,
    0xff434d3e,
    0xff4d4b3f,
    0xff484742,
    0xff424242,
    0xff3c3e3d,
    0xff394037,
    0xff2a3328,
    0xff2a352c,
    0xff27312d,
    0xff212a27,
    0xff1e2b24,
    0xff13261b,
    0xff10291b,
    0xff0f281a,
    0xff0e231a,
    0xff10211d,
    0xff111d20,
    0xff102023,
    0xff112221,
    0xff15251f,
    0xff0c1f1a,
    0xff0c221f,
    0xff1d2e28,
    0xff282c1f,
    0xff352d1b,
    0xff5a4c40,
    0xff8a7969,
    0xff564d3e,
    0xff80837a,
    0xffa0a299,
    0xffa69f8f,
    0xff3b362b,
    0xff000000,
    0xff666f6c,
    0xff828a85,
    0xff131b16,
    0xff444e46,
    0xff323e34,
    0xff192718,
    0xff172717,
    0xff182916,
    0xff1a2716,
    0xff1a2717,
    0xff192617,
    0xff182617,
    0xff182617,
    0xff162413,
    0xff182714,
    0xff162412,
    0xff152011,
    0xff151a0f,
    0xff565853,
    0xff858781,
    0xffd5d6d4,
    0xff1f261f,
    0xff031107,
    0xff132515,
    0xff0f290f,
    0xff0b2209,
    0xff12270f,
    0xff15240d,
    0xff1f1f0d,
    0xff34200c,
    0xff572b18,
    0xff6f2d16,
    0xffac392d,
    0xff8a1700,
    0xffad411d,
    0xffb5411e,
    0xffc94735,
    0xffce675e,
    0xff71473c,
    0xff131908,
    0xff041107,
    0xff0b130a,
    0xff1c1f18,
    0xff6e716a,
    0xffa9b1aa,
    0xffc7d2cb,
    0xff99a6a1,
    0xff3f4a49,
    0xff334343,
    0xff101b1a,
    0xff0a0e0d,
    0xff020208,
    0xffb0afbb,
    0xff80828c,
    0xff8c928f,
    0xff313c30,
    0xff070e06,
    0xff323634,
    0xff7f7e84,
    0xffa8a6aa,
    0xff464444,
    0xfffffbf3,
    0xff302714,
    0xff41341a,
    0xff463a20,
    0xff3c3016,
    0xff38290e,
    0xff3c2d13,
    0xff47381c,
    0xff433414,
    0xff392a0b,
    0xff332305,
    0xff402f10,
    0xff3f3110,
    0xff6a5b39,
    0xff493c19,
    0xff423413,
    0xff3e3314,
    0xff392e11,
    0xff382d11,
    0xff32290c,
    0xff2e240a,
    0xff2e270d,
    0xff2b260e,
    0xff282209,
    0xff26210b,
    0xff261e07,
    0xff261e07,
    0xff291f08,
    0xff231c04,
    0xff2b230c,
    0xff2c230c,
    0xff2d250e,
    0xff2e220c,
    0xff332710,
    0xff32240e,
    0xff2d240e,
    0xff2e240e,
    0xff302610,
    0xff2d250d,
    0xff282009,
    0xff26220c,
    0xff211d09,
    0xff211f0c,
    0xff221b08,
    0xff19230b,
    0xff2a1e0f,
    0xff271f12,
    0xff1b2511,
    0xff282515,
    0xff212212,
    0xff1d1f0f,
    0xff222412,
    0xff2a2b19,
    0xff2c2d1b,
    0xff2e2f20,
    0xff282a1d,
    0xff262c20,
    0xff1d281e,
    0xff16201a,
    0xff11181b,
    0xff0d1a1d,
    0xff748b8a,
    0xff9ca8a9,
    0xff1e1715,
    0xff170c00,
    0xff7d442c,
    0xffba3627,
    0xffb74e30,
    0xff380600,
    0xff300d00,
    0xff5c1607,
    0xff96301e,
    0xffa63110,
    0xff992a02,
    0xff863018,
    0xff1e0400,
    0xff362b23,
    0xff181a16,
    0xff000502,
    0xff282a26,
    0xff3f3f32,
    0xff4f5140,
    0xff030600,
    0xff4a4d46,
    0xff8c8d8a,
    0xff8d9292,
    0xff282c2d,
    0xff000000,
    0xff8c8f89,
    0xff87887d,
    0xff444739,
    0xff0d0c10,
    0xff676d5f,
    0xff131f14,
    0xff0d181d,
    0xff726764,
    0xff402003,
    0xffaf937c,
    0xffa69ba3,
    0xffd5c7d0,
    0xff74645d,
    0xff90612d,
    0xff9f531d,
    0xffe7d0cc,
    0xffdcd6f1,
    0xff7e7b8b,
    0xff6f7282,
    0xff832c3e,
    0xff621f2d,
    0xff40272c,
    0xff270d19,
    0xff27303a,
    0xff1e424e,
    0xff163a50,
    0xff193a55,
    0xff2e4a60,
    0xff234259,
    0xff23465f,
    0xff244b68,
    0xff214560,
    0xff21405b,
    0xff1f3750,
    0xff233851,
    0xff1c3b52,
    0xff1f3d55,
    0xff183751,
    0xff1e3c57,
    0xff193957,
    0xff224362,
    0xff305474,
    0xff2c5474,
    0xff345a84,
    0xff365e8c,
    0xff345e8f,
    0xff346097,
    0xff38669e,
    0xff3a68a1,
    0xff36679d,
    0xff36649c,
    0xff3b639a,
    0xff3a629a,
    0xff2f5990,
    0xff3a6499,
    0xff356093,
    0xff3b6795,
    0xff396591,
    0xff345f89,
    0xff345a82,
    0xff2e5177,
    0xff335578,
    0xff365572,
    0xff2f4d67,
    0xff37566e,
    0xff325269,
    0xff2f5269,
    0xff365c7e,
    0xff345b7f,
    0xff31577d,
    0xff30567f,
    0xff325784,
    0xff395d8c,
    0xff3b6191,
    0xff385f92,
    0xff39639e,
    0xff315c99,
    0xff2c5797,
    0xff2f5b9b,
    0xff3360a2,
    0xff2b5a9e,
    0xff2f5da4,
    0xff3260a7,
    0xff3e6bb4,
    0xff3363ad,
    0xff3665b1,
    0xff3865b7,
    0xff3c68bb,
    0xff3c66bb,
    0xff446dc1,
    0xff3d64b6,
    0xff4e62b8,
    0xff5a60a2,
    0xff8367a0,
    0xffb8709f,
    0xffb17584,
    0xffb27389,
    0xff9c3859,
    0xff882127,
    0xff851f2f,
    0xff744157,
    0xff57548c,
    0xff2a4c93,
    0xff24508a,
    0xff335991,
    0xff3a5a97,
    0xff304e7f,
    0xff28507f,
    0xff275398,
    0xff224798,
    0xff324c95,
    0xff3e3e6f,
    0xff2f0009,
    0xff520000,
    0xff550012,
    0xff5c0604,
    0xff640304,
    0xff650006,
    0xff600103,
    0xff580501,
    0xff650500,
    0xff830200,
    0xffac0a07,
    0xffd53010,
    0xffd43211,
    0xffd53d21,
    0xff910700,
    0xff730000,
    0xff740607,
    0xff72030e,
    0xff770012,
    0xff7a0208,
    0xff750305,
    0xff750505,
    0xff780506,
    0xff750008,
    0xff730211,
    0xff6f0313,
    0xff6d020e,
    0xff67040f,
    0xff690100,
    0xff6e121f,
    0xff6c000d,
    0xffaa455a,
    0xff8f6ba3,
    0xff825d90,
    0xff650417,
    0xff740d1b,
    0xff5c0000,
    0xff871a21,
    0xff740311,
    0xff69060b,
    0xff6b0816,
    0xff51032d,
    0xff644e91,
    0xff3c69af,
    0xff305cb9,
    0xff3251a0,
    0xff27529e,
    0xff3b589f,
    0xff7b7c9d,
    0xff444b6b,
    0xff616299,
    0xff693d6c,
    0xffa2747d,
    0xff5c1625,
    0xff894f80,
    0xff54619c,
    0xff2f65a9,
    0xff2e60b2,
    0xff3262b0,
    0xff3960ad,
    0xff3662a5,
    0xff3864ac,
    0xff3d64b0,
    0xff395c99,
    0xff445c98,
    0xff33488a,
    0xff335388,
    0xff2f5591,
    0xff305994,
    0xff355f92,
    0xff3a6394,
    0xff395e8d,
    0xff426091,
    0xff466296,
    0xff3a598c,
    0xff375589,
    0xff35538c,
    0xff40609d,
    0xff456bab,
    0xff476db5,
    0xff4972bd,
    0xff4f76c6,
    0xff557dd1,
    0xff5382c8,
    0xff5384cd,
    0xff5282cf,
    0xff4878c7,
    0xff5181cf,
    0xff497cca,
    0xff5081d6,
    0xff5284da,
    0xff538cdd,
    0xff4a81d3,
    0xff4e82d8,
    0xff5588e2,
    0xff578ae7,
    0xff588be7,
    0xff5187de,
    0xff558ae3,
    0xff548cde,
    0xff5387da,
    0xff5687da,
    0xff5686da,
    0xff5788dd,
    0xff5282d5,
    0xff5383d5,
    0xff578bde,
    0xff608ee0,
    0xff5786d8,
    0xff5d8cde,
    0xff5d8ddb,
    0xff5483d2,
    0xff4d7ccc,
    0xff4373bf,
    0xff4473c2,
    0xff4473c5,
    0xff4774c6,
    0xff4875c7,
    0xff4773c6,
    0xff4a77c9,
    0xff507bcf,
    0xff5982d6,
    0xff5b86d9,
    0xff5688dd,
    0xff5689dd,
    0xff5c90e4,
    0xff5a8fde,
    0xff558cdc,
    0xff538add,
    0xff538cdf,
    0xff538bdf,
    0xff558de1,
    0xff528add,
    0xff538bdf,
    0xff528add,
    0xff5188db,
    0xff5087da,
    0xff5188da,
    0xff5087d9,
    0xff5184d8,
    0xff4f83d6,
    0xff5084d8,
    0xff5488db,
    0xff5589dc,
    0xff588cdf,
    0xff578bdb,
    0xff5589da,
    0xff5b8edc,
    0xff588bd9,
    0xff5689da,
    0xff588bde,
    0xff588ddf,
    0xff5085d9,
    0xff5186dc,
    0xff4e82da,
    0xff4d82dd,
    0xff487fd9,
    0xff4b81dc,
    0xff467fd6,
    0xff4780d7,
    0xff477ed6,
    0xff447bd3,
    0xff4579d3,
    0xff427ad3,
    0xff427bd4,
    0xff437cd5,
    0xff427bd4,
    0xff437cd5,
    0xff437cd5,
    0xff447dd6,
    0xff447dd6,
    0xff447cd7,
    0xff447bd6,
    0xff467dd7,
    0xff487eda,
    0xff487eda,
    0xff477ed9,
    0xff467dd8,
    0xff467dd8,
    0xff477ed7,
    0xff487fd9,
    0xff4980da,
    0xff4881d8,
    0xff4780d6,
    0xff4880d7,
    0xff4880d5,
    0xff4880d5,
    0xff477fd6,
    0xff4880d7,
    0xff4981d8,
    0xff4a82d9,
    0xff4d85dc,
    0xff4d85dc,
    0xff4c84db,
    0xff4e86dd,
    0xff4982dc,
    0xff4b82dd,
    0xff4c83dd,
    0xff4e84de,
    0xff5183dd,
    0xff5386de,
    0xff5688e1,
    0xff598be3,
    0xff5a88dc,
    0xff5683d9,
    0xff5381d6,
    0xff5584d5,
    0xff5c8bdc,
    0xff6490e4,
    0xff6895ea,
    0xff6b98e8,
    0xff6698e3,
    0xff6a9ce8,
    0xff6999e4,
    0xff6896e0,
    0xff6b96e0,
    0xff739de8,
    0xff78a1ea,
    0xff7ba3eb,
    0xff7fa0e6,
    0xff93aff3,
    0xffa0b4f8,
    0xffabbafb,
    0xffb8c3ff,
    0xffb9c4fe,
    0xffb5c3f7,
    0xffb5c6f5,
    0xffafbbeb,
    0xffafbcf3,
    0xffacc0f0,
    0xffacc1ee,
    0xffa7b9ed,
    0xffa9b9ec,
    0xffaab7e7,
    0xffb0bcf5,
    0xffa59fcd,
    0xff755269,
    0xffb6abd0,
    0xffb5baee,
    0xffcbb6d0,
    0xffe8aea6,
    0xffa7511f,
    0xfff7a92e,
    0xfff2a526,
    0xfffebe0a,
    0xfff0b418,
    0xff8e3d00,
    0xffbb561a,
    0xffc4682a,
    0xffaa4e28,
    0xffa23013,
    0xffb44b12,
    0xff924f3d,
    0xffbcadd4,
    0xff93a5e7,
    0xff91a3e3,
    0xff949cd9,
    0xff829bde,
    0xff689be4,
    0xff6b92d4,
    0xff668bcd,
    0xff6085c6,
    0xff698ed1,
    0xff668ad5,
    0xff638bdb,
    0xff608ade,
    0xff5884db,
    0xff4b7cd7,
    0xff497bd4,
    0xff4e7fd6,
    0xff4e7fd3,
    0xff5180d3,
    0xff5382d2,
    0xff5180ce,
    0xff5884d1,
    0xff6889d2,
    0xff6989d2,
    0xff6789d1,
    0xff6081c9,
    0xff6385cb,
    0xff6588cc,
    0xff7193d7,
    0xff7293d7,
    0xff7e9be0,
    0xff7b9ae1,
    0xff7799e0,
    0xff6e93e0,
    0xff658edd,
    0xff5c89da,
    0xff5888da,
    0xff5182d6,
    0xff4b7dd6,
    0xff4c7ed8,
    0xff4a7cd7,
    0xff477ad5,
    0xff4076d2,
    0xff4579d6,
    0xff4378d4,
    0xff3e75d0,
    0xff3c74cf,
    0xff3c74d2,
    0xff3d77d4,
    0xff3876d3,
    0xff3876d3,
    0xff3875d5,
    0xff3874d5,
    0xff3a73d6,
    0xff3b6ed4,
    0xff3c70d4,
    0xff3b6fd5,
    0xff3a70d6,
    0xff366ad2,
    0xff3f72d4,
    0xff3e6dcf,
    0xff3e6ccc,
    0xff366cd4,
    0xff386cd0,
    0xff3671cf,
    0xff3569c8,
    0xff3a6bca,
    0xff5967cb,
    0xff985192,
    0xff9a211b,
    0xffa01505,
    0xffb8442c,
    0xffc75745,
    0xffd7614f,
    0xffc1645c,
    0xffb96774,
    0xffaa678b,
    0xff6565ae,
    0xff5672c0,
    0xff446dbf,
    0xff44649f,
    0xff4a68ac,
    0xff5c66a8,
    0xff7a6074,
    0xffe8a8ab,
    0xff810000,
    0xff920214,
    0xff802e32,
    0xffb8938f,
    0xff907b76,
    0xff665d57,
    0xff5b534e,
    0xff5d4c4c,
    0xff4d443f,
    0xff424436,
    0xff41453c,
    0xff414645,
    0xff39413f,
    0xff36443a,
    0xff2e4032,
    0xff273a2e,
    0xff1e322a,
    0xff192d26,
    0xff14271e,
    0xff132319,
    0xff0f1f14,
    0xff102015,
    0xff101f18,
    0xff12221d,
    0xff122521,
    0xff0c2119,
    0xff0a231d,
    0xff0c2727,
    0xff0b1f1e,
    0xff1a241b,
    0xff2f3022,
    0xff303020,
    0xff19200f,
    0xff0b1606,
    0xff0d1200,
    0xff131807,
    0xff0a1206,
    0xff1c1d13,
    0xff6d6055,
    0xff776864,
    0xffa29ca3,
    0xff767277,
    0xff6c686a,
    0xffc0bcbc,
    0xffc4c2c0,
    0xffb6b7b2,
    0xff000000,
    0xff151c10,
    0xff1c2617,
    0xff1c261a,
    0xff1b271b,
    0xff1a251c,
    0xff16231a,
    0xff16261d,
    0xff203123,
    0xff1c2e1c,
    0xff182913,
    0xff1b2b0d,
    0xff17220b,
    0xff1b1f0f,
    0xff36342e,
    0xff686463,
    0xff9da09e,
    0xffb7c3bf,
    0xff273731,
    0xff0e190f,
    0xff1c2818,
    0xff1c2713,
    0xff1f2912,
    0xff1f2212,
    0xff202012,
    0xff1c1d0c,
    0xff1a1c08,
    0xff5a291c,
    0xff983d33,
    0xff9c2918,
    0xffc14b37,
    0xffb65847,
    0xff331200,
    0xff1c1d10,
    0xff241d1d,
    0xff0f1f13,
    0xff0e1b0f,
    0xff151b14,
    0xff0f1510,
    0xff030c08,
    0xff000302,
    0xff162223,
    0xff6d7579,
    0xff999b9c,
    0xffb5b8bc,
    0xffcbd2d9,
    0xffcbd7da,
    0xffa4aead,
    0xff9aa2a4,
    0xff100f1b,
    0xff88879a,
    0xffb2bfb5,
    0xff16201c,
    0xff0e1117,
    0xff61626e,
    0xffbfbdc9,
    0xffe8e6eb,
    0xff1a140e,
    0xff35281d,
    0xff3e311a,
    0xff382b14,
    0xff2f250a,
    0xff35290e,
    0xff3c3315,
    0xff372e10,
    0xff372d0f,
    0xff3e3212,
    0xff433611,
    0xff41330f,
    0xff6d5f3b,
    0xff4c401c,
    0xff3e3410,
    0xff3c3110,
    0xff322b08,
    0xff302808,
    0xff2c2508,
    0xff30290c,
    0xff2e280e,
    0xff2b260d,
    0xff2d2812,
    0xff2d2811,
    0xff2b2711,
    0xff2a240e,
    0xff2a220e,
    0xff241e08,
    0xff27210b,
    0xff27210c,
    0xff2b2510,
    0xff2c2410,
    0xff2d2310,
    0xff2f2410,
    0xff2f2208,
    0xff31250b,
    0xff30250b,
    0xff2f250c,
    0xff2c250e,
    0xff2b240f,
    0xff2a2714,
    0xff292615,
    0xff2e1e12,
    0xff1a200c,
    0xff24170d,
    0xff1b1b0e,
    0xff102511,
    0xff1b1f0f,
    0xff232414,
    0xff353421,
    0xff3e3a29,
    0xff3e3a29,
    0xff4d4a35,
    0xff4d4c37,
    0xff41412d,
    0xff393d29,
    0xff424c38,
    0xff454f3c,
    0xff434e2e,
    0xff465331,
    0xff364727,
    0xff404132,
    0xff9d8e8e,
    0xff59574c,
    0xff33200e,
    0xff8e4335,
    0xff7d382c,
    0xff6f635e,
    0xff656658,
    0xffbf9a85,
    0xff9c533c,
    0xff97310c,
    0xff922802,
    0xff8d3b2f,
    0xffd7c3b8,
    0xffb0ab9f,
    0xff999d94,
    0xffd6ddd4,
    0xffaeaea7,
    0xff847b77,
    0xff8e8281,
    0xff695f5f,
    0xff252628,
    0xff3a3a40,
    0xff575a64,
    0xff80828d,
    0xffb4b5be,
    0xff3f3f42,
    0xff060600,
    0xff211f12,
    0xff2c2b32,
    0xff0d1507,
    0xff2b3d32,
    0xff49515c,
    0xff5a4239,
    0xffca9867,
    0xffc9a078,
    0xffcebbbe,
    0xffad9ba9,
    0xff78727a,
    0xffad9a62,
    0xffd3a150,
    0xffe5dbbe,
    0xffd4cbe5,
    0xff867e90,
    0xff6e737b,
    0xff9f0012,
    0xff7e0916,
    0xff7b212e,
    0xff581724,
    0xff3c3035,
    0xff2d414e,
    0xff37476f,
    0xff34457a,
    0xff334b6d,
    0xff3b4775,
    0xff434f89,
    0xff49508c,
    0xff4d497f,
    0xff43517c,
    0xff355780,
    0xff375787,
    0xff335d8a,
    0xff375a8e,
    0xff32598c,
    0xff3e6092,
    0xff305b8c,
    0xff315594,
    0xff405697,
    0xff28648d,
    0xff315f96,
    0xff2e5b95,
    0xff295692,
    0xff265390,
    0xff295793,
    0xff2f5a95,
    0xff325f93,
    0xff2f5b8c,
    0xff33588b,
    0xff33578c,
    0xff33568b,
    0xff35588e,
    0xff3a5e91,
    0xff3b5f8f,
    0xff2e527e,
    0xff385b85,
    0xff385478,
    0xff365273,
    0xff32516e,
    0xff34536f,
    0xff30516f,
    0xff2f516f,
    0xff385b7b,
    0xff35577a,
    0xff345986,
    0xff305484,
    0xff2a5084,
    0xff30578f,
    0xff2f5692,
    0xff2c5698,
    0xff2c5798,
    0xff3461a6,
    0xff3966b0,
    0xff3c6ab6,
    0xff3d6eb9,
    0xff3b6fbe,
    0xff386dbc,
    0xff4376c9,
    0xff4173c5,
    0xff4472c9,
    0xff3b69d0,
    0xff3878ca,
    0xff357dcb,
    0xff3c70cc,
    0xff5263c1,
    0xff5c61ba,
    0xff6563ad,
    0xff886399,
    0xffa04d6a,
    0xff9f3d65,
    0xff871835,
    0xffa2273a,
    0xffab5f67,
    0xff91464c,
    0xff7f2c31,
    0xff7d1828,
    0xff9d4b5d,
    0xff585379,
    0xff2c5393,
    0xff274b97,
    0xff2a5392,
    0xff285895,
    0xff28579d,
    0xff20589d,
    0xff275f9a,
    0xff385a9f,
    0xff3a5aa9,
    0xff3b63ad,
    0xff5b5992,
    0xffa85b7d,
    0xff97283c,
    0xff5c000c,
    0xff5a0206,
    0xff5c0100,
    0xff5b090f,
    0xff5c0307,
    0xff700200,
    0xff700000,
    0xff770004,
    0xffa00b06,
    0xffd73818,
    0xffdc3916,
    0xffc23d1d,
    0xff6a0000,
    0xff780105,
    0xff7c0000,
    0xff7c0212,
    0xff74000f,
    0xff78040a,
    0xff7f0610,
    0xff7f030e,
    0xff7c010d,
    0xff76020f,
    0xff70020c,
    0xff6d010a,
    0xff6e0208,
    0xff6a0100,
    0xff5d010b,
    0xff620018,
    0xff7a0000,
    0xffb45d7d,
    0xff6c4f83,
    0xff58264d,
    0xff520e1c,
    0xff6d1723,
    0xff590603,
    0xff580000,
    0xff720115,
    0xff78031d,
    0xff77001a,
    0xff630e3e,
    0xff534d94,
    0xff3964af,
    0xff456dd0,
    0xff386cae,
    0xff3a74ad,
    0xff587fc1,
    0xff4b5a80,
    0xff606e9a,
    0xff5265b3,
    0xffa99ed0,
    0xff4e294a,
    0xff721b2b,
    0xff6b2039,
    0xff6e74af,
    0xff4a77c9,
    0xff5479ce,
    0xff4373c2,
    0xff4c73b8,
    0xff4074b9,
    0xff3d73c1,
    0xff456fc0,
    0xff4b6cbc,
    0xff466fb6,
    0xff406bb2,
    0xff3f67b0,
    0xff4167ac,
    0xff456bab,
    0xff3a609e,
    0xff3c629c,
    0xff40669f,
    0xff375d99,
    0xff3b629f,
    0xff436daa,
    0xff4378b2,
    0xff4d74bb,
    0xff466bbc,
    0xff406ec0,
    0xff4974c6,
    0xff5573cb,
    0xff5474cd,
    0xff507ed3,
    0xff5a7ccd,
    0xff4a81d2,
    0xff4d87de,
    0xff6188e3,
    0xff5e85d8,
    0xff528bd6,
    0xff4c88da,
    0xff5480df,
    0xff5584df,
    0xff5984e9,
    0xff5885e0,
    0xff5686d6,
    0xff5186e1,
    0xff4e8adf,
    0xff5487d4,
    0xff608de9,
    0xff5791e1,
    0xff5589d7,
    0xff5b7ece,
    0xff5b86d5,
    0xff508adc,
    0xff5184c9,
    0xff4d78bc,
    0xff3b73c9,
    0xff4476c6,
    0xff4978c7,
    0xff4d7acd,
    0xff537ed2,
    0xff527dd1,
    0xff5281d3,
    0xff4779ca,
    0xff4f83d4,
    0xff5989db,
    0xff5d8ee1,
    0xff598adf,
    0xff5a8be0,
    0xff5e8de1,
    0xff5a88d9,
    0xff6290dc,
    0xff5884ce,
    0xff5d8cdc,
    0xff5c90e0,
    0xff578ada,
    0xff578bde,
    0xff568ade,
    0xff548adf,
    0xff5186de,
    0xff4c84dd,
    0xff4d84dd,
    0xff4e86df,
    0xff4e85de,
    0xff4c84db,
    0xff4880d7,
    0xff4880d5,
    0xff4b83d8,
    0xff4e86db,
    0xff4f85db,
    0xff4d83d9,
    0xff4c82d8,
    0xff4a80d8,
    0xff497fd6,
    0xff4a80d7,
    0xff497fd7,
    0xff487ed6,
    0xff4882d5,
    0xff4780d7,
    0xff4781d9,
    0xff477fda,
    0xff467ed9,
    0xff457dd8,
    0xff437cd6,
    0xff447cd6,
    0xff427bd5,
    0xff437cd6,
    0xff407ad4,
    0xff457ed9,
    0xff447dd8,
    0xff447dd8,
    0xff437cd6,
    0xff427ad4,
    0xff447ed6,
    0xff447dd6,
    0xff447dd6,
    0xff447dd6,
    0xff457ed7,
    0xff447dd6,
    0xff437cd5,
    0xff437cd5,
    0xff437ed7,
    0xff427ed6,
    0xff437ed7,
    0xff407bd3,
    0xff427bd4,
    0xff457ed7,
    0xff457ed7,
    0xff437dd5,
    0xff437ed8,
    0xff437ed8,
    0xff467fd9,
    0xff467fd9,
    0xff4780d9,
    0xff4882db,
    0xff497fda,
    0xff4a82da,
    0xff4981d8,
    0xff4a82d9,
    0xff4a82d9,
    0xff4981d8,
    0xff4981d9,
    0xff4981d9,
    0xff4981d8,
    0xff4981d8,
    0xff4981d7,
    0xff4880d7,
    0xff477fd6,
    0xff4981d6,
    0xff4780d4,
    0xff4a81d4,
    0xff4e85d8,
    0xff5e92e7,
    0xff6494e3,
    0xff6696e7,
    0xff5d8dde,
    0xff5c8ce0,
    0xff5484d8,
    0xff4e7fd4,
    0xff507ed5,
    0xff4f7fd6,
    0xff4e80d6,
    0xff4e7ed4,
    0xff5383c9,
    0xff5483c7,
    0xff5481dc,
    0xff5783d8,
    0xff6190d3,
    0xff6a96e1,
    0xff7797e5,
    0xff6f8ad6,
    0xff718ad5,
    0xff6380cd,
    0xff6888d6,
    0xff7193db,
    0xff7999da,
    0xff7d9ad4,
    0xff84a0e4,
    0xff8b9adc,
    0xff8697d8,
    0xff7898d7,
    0xff7895d5,
    0xff7b8bc8,
    0xff6d83c4,
    0xff5e88d0,
    0xff7b86c7,
    0xff806999,
    0xff7d6987,
    0xff8796cc,
    0xff8d83af,
    0xffb87660,
    0xffc3762a,
    0xffd3880f,
    0xffaf6404,
    0xfffca125,
    0xffd5911a,
    0xffb97916,
    0xffd06f2b,
    0xff97360f,
    0xffdd8970,
    0xffaa3e1c,
    0xffa9431b,
    0xff9b432a,
    0xff9a738d,
    0xff727bc0,
    0xff627dc4,
    0xff557bbb,
    0xff557dca,
    0xff657ed5,
    0xff6386dc,
    0xff6187d1,
    0xff6d8fcc,
    0xff7e9bd8,
    0xff7a97da,
    0xff7994e1,
    0xff6f92e2,
    0xff6f98e9,
    0xff6493e3,
    0xff6392e5,
    0xff5d8be1,
    0xff5986dd,
    0xff5b88dc,
    0xff5c8ad9,
    0xff6894dc,
    0xff6d99de,
    0xff6f97e3,
    0xff6992e0,
    0xff5884d5,
    0xff5381d2,
    0xff517fd0,
    0xff5582d2,
    0xff5985d1,
    0xff5f88d4,
    0xff668bdb,
    0xff668ade,
    0xff6188dc,
    0xff5a87db,
    0xff5484d9,
    0xff4e82d8,
    0xff467dd7,
    0xff437dd5,
    0xff437cd6,
    0xff437ad6,
    0xff4379d6,
    0xff4577d7,
    0xff497bdc,
    0xff4076d7,
    0xff3d78d7,
    0xff3873d4,
    0xff3875d8,
    0xff3974d8,
    0xff3570d2,
    0xff3b74d2,
    0xff3a73d2,
    0xff356fce,
    0xff336ecd,
    0xff3470d1,
    0xff386de1,
    0xff3a71d7,
    0xff376dcf,
    0xff386cdb,
    0xff396add,
    0xff3c6dd7,
    0xff3e6fd3,
    0xff3c6ed6,
    0xff3b6fd0,
    0xff3873c9,
    0xff2f75d7,
    0xff3572d6,
    0xff3d6ec4,
    0xff3c64c3,
    0xff6f64ac,
    0xffa75455,
    0xffc45a4f,
    0xffc06062,
    0xffaf667f,
    0xff946a95,
    0xff756aa7,
    0xff706fb6,
    0xff6056a4,
    0xff7667b8,
    0xff5f7ac4,
    0xff6378c2,
    0xff5f78c1,
    0xff6371bc,
    0xff576d9e,
    0xffa2a4c1,
    0xffffdde9,
    0xff850e0d,
    0xff950e0b,
    0xff793d42,
    0xff756775,
    0xff7e717c,
    0xff776f6c,
    0xff6c6860,
    0xff695c53,
    0xff665749,
    0xff675b4d,
    0xff61594c,
    0xff555243,
    0xff474b3d,
    0xff363f2e,
    0xff32412f,
    0xff2d3e2c,
    0xff2f4132,
    0xff233629,
    0xff203127,
    0xff1b2c22,
    0xff182921,
    0xff142620,
    0xff132621,
    0xff132624,
    0xff122524,
    0xff132522,
    0xff132624,
    0xff0d231e,
    0xff122723,
    0xff0e231d,
    0xff0f221d,
    0xff0b1e1a,
    0xff0e221b,
    0xff112017,
    0xff0f1c11,
    0xff0f1c0d,
    0xff121b0a,
    0xff131707,
    0xff3c3929,
    0xff6a6456,
    0xff837e6f,
    0xff8d8376,
    0xff3f362a,
    0xff62594f,
    0xff736e63,
    0xff807a73,
    0xffd7d7d2,
    0xff5c605e,
    0xff060c0b,
    0xff151d14,
    0xff1b271e,
    0xff1b281a,
    0xff132616,
    0xff142615,
    0xff142615,
    0xff192513,
    0xff1e2a18,
    0xff243021,
    0xff23301e,
    0xff232e17,
    0xff202c12,
    0xff252b18,
    0xff505147,
    0xff494446,
    0xff9e97a0,
    0xff7e858a,
    0xff303834,
    0xff151a0e,
    0xff242918,
    0xff262c1a,
    0xff182010,
    0xff0f1b11,
    0xff111e17,
    0xff1f1906,
    0xff562610,
    0xffb35a42,
    0xffa24d36,
    0xff481f0c,
    0xff101509,
    0xff021614,
    0xff0c191d,
    0xff051e20,
    0xff051e20,
    0xff071b1e,
    0xff031518,
    0xff152529,
    0xff273439,
    0xff313d43,
    0xff2c363e,
    0xff001317,
    0xff00141a,
    0xff000f17,
    0xff041621,
    0xff011120,
    0xff29364a,
    0xffacb7d3,
    0xff000a28,
    0xff071327,
    0xff7e8f97,
    0xff7e8d8c,
    0xff101a1b,
    0xff2f313c,
    0xff888493,
    0xff76757d,
    0xff2a2b2b,
    0xff251e19,
    0xff2e2a1c,
    0xff2e2c17,
    0xff363519,
    0xff363417,
    0xff322d13,
    0xff302714,
    0xff2e2313,
    0xff3a2f13,
    0xff352a0c,
    0xff7b6c62,
    0xff3a2f1c,
    0xff32280c,
    0xff322912,
    0xff2e2908,
    0xff2c2510,
    0xff2d260b,
    0xff2d260d,
    0xff30280f,
    0xff332914,
    0xff322915,
    0xff2a230f,
    0xff2b250f,
    0xff28240f,
    0xff271e08,
    0xff27210a,
    0xff26220e,
    0xff22210c,
    0xff21220f,
    0xff21210f,
    0xff252613,
    0xff24240f,
    0xff221f0c,
    0xff25220f,
    0xff25220d,
    0xff24210e,
    0xff21210d,
    0xff222311,
    0xff232718,
    0xff222617,
    0xff20281d,
    0xff1e291c,
    0xff1f261a,
    0xff201f1a,
    0xff312b28,
    0xff443d30,
    0xff454328,
    0xff44461e,
    0xff484324,
    0xff514b2b,
    0xff564d26,
    0xff564d24,
    0xff544a20,
    0xff524923,
    0xff554c2e,
    0xff524b2e,
    0xff484b24,
    0xff474924,
    0xff383616,
    0xff413b2b,
    0xff817a76,
    0xffc6bbc3,
    0xffbaa9b4,
    0xffdbc4d1,
    0xff67625c,
    0xff89857d,
    0xff918375,
    0xff322a25,
    0xff7a6c68,
    0xff7c3304,
    0xffd36d2b,
    0xff976147,
    0xffafa19d,
    0xff777568,
    0xff696e5c,
    0xff6d6e65,
    0xffc8bfc2,
    0xff5a4d55,
    0xffaba0a0,
    0xffa19e8f,
    0xff8f9789,
    0xff929596,
    0xffa4a8b2,
    0xffc2baba,
    0xff755a56,
    0xff8e7888,
    0xff5e4852,
    0xff66391b,
    0xff5d3b19,
    0xff4e3913,
    0xff4b5043,
    0xff9699af,
    0xff7e5b3a,
    0xffe8ac5e,
    0xff936f27,
    0xffc7bea8,
    0xffd9d4d6,
    0xff6c5a72,
    0xffa99565,
    0xffebc064,
    0xffe6e3ba,
    0xffd1c9d8,
    0xff8c7586,
    0xff6d7782,
    0xff9c0b06,
    0xff8f0404,
    0xff9d121d,
    0xff910d1b,
    0xff822027,
    0xff7f424a,
    0xff795465,
    0xff5f4b66,
    0xff4e587e,
    0xff655384,
    0xff8a5d8f,
    0xff8d4b77,
    0xff95426d,
    0xff834570,
    0xff69578b,
    0xff4d5996,
    0xff3d5790,
    0xff3f5c9f,
    0xff2e5997,
    0xff33548c,
    0xff3a5491,
    0xff315899,
    0xff3861a1,
    0xff396698,
    0xff356097,
    0xff275289,
    0xff224c86,
    0xff355f9b,
    0xff335d97,
    0xff30588e,
    0xff274f85,
    0xff254f7f,
    0xff275279,
    0xff264f77,
    0xff224b74,
    0xff26507c,
    0xff315a87,
    0xff2e5683,
    0xff3a628f,
    0xff254e7a,
    0xff1f456a,
    0xff274d71,
    0xff1d4469,
    0xff234c72,
    0xff204971,
    0xff234e79,
    0xff214c7b,
    0xff244e81,
    0xff315c99,
    0xff305b99,
    0xff3661a1,
    0xff3765a8,
    0xff3967ad,
    0xff3465ae,
    0xff3d6dba,
    0xff3e6ebc,
    0xff3867b5,
    0xff3969b8,
    0xff3d6ebc,
    0xff3e71c1,
    0xff4075c5,
    0xff3568bb,
    0xff4074c7,
    0xff4173c8,
    0xff4677c8,
    0xff4177b6,
    0xff386fb7,
    0xff4160b7,
    0xff6b5a98,
    0xff915474,
    0xff9d3347,
    0xffa80a1d,
    0xff9e010f,
    0xff9c001a,
    0xff980015,
    0xff930616,
    0xff893340,
    0xffa4666f,
    0xffc78695,
    0xff935272,
    0xff886694,
    0xff475c97,
    0xff3d6cb8,
    0xff3663b4,
    0xff2e65b2,
    0xff2f68b9,
    0xff2d5cb2,
    0xff295ead,
    0xff2d5fb0,
    0xff3160b3,
    0xff385eaa,
    0xff5e639f,
    0xffa9709d,
    0xffa6385e,
    0xff77051c,
    0xff59040a,
    0xff530500,
    0xff550104,
    0xff560014,
    0xff5d000d,
    0xff690008,
    0xff640416,
    0xff6a000f,
    0xff9d0900,
    0xffdd381c,
    0xffcb4020,
    0xffb76456,
    0xff884371,
    0xff7e143f,
    0xff820203,
    0xff760304,
    0xff6d070b,
    0xff770507,
    0xff770006,
    0xff7c020d,
    0xff7a010e,
    0xff75010e,
    0xff71020e,
    0xff72010a,
    0xff6f0007,
    0xff6f010b,
    0xff680110,
    0xff6b000c,
    0xff7d0601,
    0xff7d3b5d,
    0xff2c1b53,
    0xff391744,
    0xff50010d,
    0xff5e0003,
    0xffa1262a,
    0xffa21820,
    0xff7d000f,
    0xff730712,
    0xff6c0812,
    0xff925e81,
    0xff6c7ec0,
    0xff5384da,
    0xff587ddb,
    0xff597bcb,
    0xff5676c6,
    0xff454f8a,
    0xff4c4359,
    0xff4a4c71,
    0xff6983b7,
    0xff6d7094,
    0xff654c7b,
    0xff701836,
    0xff78131b,
    0xff694266,
    0xff7a7fd0,
    0xff596dca,
    0xff4e7fcf,
    0xff4d78cf,
    0xff437eca,
    0xff4482c6,
    0xff4977c1,
    0xff4a6fc0,
    0xff4870c0,
    0xff3e6cb1,
    0xff3d68a9,
    0xff3f68b2,
    0xff3963ab,
    0xff375fa4,
    0xff3a62a5,
    0xff3a63a5,
    0xff3d69aa,
    0xff4370b5,
    0xff4171b5,
    0xff4376bd,
    0xff5176c6,
    0xff567ed4,
    0xff4c85d6,
    0xff4987d5,
    0xff4e81d1,
    0xff4a7dcd,
    0xff477fcf,
    0xff4b82d4,
    0xff4c86d2,
    0xff4f89d0,
    0xff5486d0,
    0xff5784d6,
    0xff5584de,
    0xff5286e1,
    0xff568ce3,
    0xff528ad0,
    0xff5486de,
    0xff5a85de,
    0xff5283d1,
    0xff4781d6,
    0xff4775d2,
    0xff486bbd,
    0xff4069c0,
    0xff3466ba,
    0xff3f66b4,
    0xff3d65b2,
    0xff3869bb,
    0xff336aba,
    0xff3d70c0,
    0xff446abb,
    0xff506cbb,
    0xff4371c3,
    0xff4372c6,
    0xff4573c8,
    0xff4674c9,
    0xff4675ca,
    0xff4673c9,
    0xff4c7dd2,
    0xff5082d7,
    0xff4c7fd2,
    0xff4b7fd2,
    0xff4b7fd5,
    0xff5084d9,
    0xff4e80d6,
    0xff5081d2,
    0xff6999e6,
    0xff99c7ff,
    0xff5486d9,
    0xff5083d7,
    0xff5083d7,
    0xff4e83d7,
    0xff4d83d9,
    0xff4e86de,
    0xff4f87de,
    0xff4b83d9,
    0xff4c82dd,
    0xff4e85df,
    0xff4e85df,
    0xff4d86dc,
    0xff4a82d9,
    0xff4b84db,
    0xff4880d7,
    0xff4a83d7,
    0xff4d83d9,
    0xff4b81d6,
    0xff4d83db,
    0xff5186df,
    0xff4d83db,
    0xff4c82da,
    0xff4a80db,
    0xff497fd9,
    0xff477fd6,
    0xff467ed4,
    0xff477dd8,
    0xff457cd7,
    0xff437ad5,
    0xff447bd6,
    0xff467dd8,
    0xff477ed8,
    0xff4982dc,
    0xff457ed8,
    0xff4982dc,
    0xff4982dc,
    0xff4a83dd,
    0xff4780da,
    0xff467fd9,
    0xff4881db,
    0xff417ad4,
    0xff437cd6,
    0xff457ed8,
    0xff457ed8,
    0xff457ed8,
    0xff457ed8,
    0xff457ed8,
    0xff457ed8,
    0xff427fd7,
    0xff427fd7,
    0xff477fd8,
    0xff457ed7,
    0xff467fd8,
    0xff4780d9,
    0xff487fd9,
    0xff477fd8,
    0xff4780da,
    0xff457ed9,
    0xff4780d8,
    0xff4680d9,
    0xff4a80db,
    0xff4b82dd,
    0xff4a82d8,
    0xff4981d8,
    0xff4981d6,
    0xff4981d6,
    0xff4981d6,
    0xff4a82d7,
    0xff4780d4,
    0xff4981d6,
    0xff4a82d7,
    0xff4a83d7,
    0xff4b84db,
    0xff477fd3,
    0xff447cd1,
    0xff4880d5,
    0xff497fd4,
    0xff447bd1,
    0xff4b7ed4,
    0xff4579cf,
    0xff4578ca,
    0xff487ccf,
    0xff4a7dd0,
    0xff4d7fd4,
    0xff5d8fe4,
    0xff4b7dd1,
    0xff497bd2,
    0xff4a7dd3,
    0xff487ad6,
    0xff4a77db,
    0xff4b7bd3,
    0xff4880d4,
    0xff3e79dc,
    0xff3f7ed5,
    0xff447fc6,
    0xff4b7bca,
    0xff4c79c8,
    0xff497fd5,
    0xff417cd7,
    0xff4d83df,
    0xff507dd0,
    0xff5d7fcd,
    0xff5b80ce,
    0xff527dce,
    0xff4b78ca,
    0xff5984c7,
    0xff5c84bf,
    0xff5980c5,
    0xff5983cb,
    0xff5b84cb,
    0xff5e83ce,
    0xff5a7cd4,
    0xff4178c6,
    0xff6b85bd,
    0xff735e81,
    0xff856ea2,
    0xff9b7a97,
    0xffb2662d,
    0xfff5a024,
    0xfff0ab07,
    0xffe49e0e,
    0xffc76200,
    0xffca6d09,
    0xffcc831d,
    0xff984a08,
    0xffe3977b,
    0xff87371f,
    0xffb24121,
    0xffbd4d2b,
    0xffab655f,
    0xffa694b7,
    0xff8488c2,
    0xff827ebf,
    0xff878ad4,
    0xff718dd7,
    0xff628dcd,
    0xff6e90d2,
    0xff7095db,
    0xff6992db,
    0xff6889d3,
    0xff6b82ca,
    0xff697fc4,
    0xff6082c9,
    0xff507fc6,
    0xff4f7ece,
    0xff4877c8,
    0xff4a78ce,
    0xff4e7dd1,
    0xff4c78cc,
    0xff507dcd,
    0xff5482cf,
    0xff5381c9,
    0xff5a81d0,
    0xff5a85d5,
    0xff608ee1,
    0xff5988de,
    0xff5081d5,
    0xff4f7fd3,
    0xff5381d4,
    0xff5380d1,
    0xff537bcf,
    0xff4f7acc,
    0xff4f7bd0,
    0xff517fd4,
    0xff497bd0,
    0xff4378cd,
    0xff3f77cd,
    0xff4077d2,
    0xff3c74cc,
    0xff4178d2,
    0xff4275d0,
    0xff4677d3,
    0xff4173d0,
    0xff4274d2,
    0xff3d74d2,
    0xff3b74d1,
    0xff3870d1,
    0xff3b72d3,
    0xff396fcf,
    0xff3970d0,
    0xff386fd1,
    0xff346ed1,
    0xff326fd3,
    0xff3572d6,
    0xff3b6ec7,
    0xff376fcd,
    0xff3971d3,
    0xff3a73d0,
    0xff3572d1,
    0xff316fd4,
    0xff3875d7,
    0xff3970ca,
    0xff456ad7,
    0xff406ccf,
    0xff3475d4,
    0xff3b7ada,
    0xff4b73d4,
    0xff5375d8,
    0xff6e82d3,
    0xff796fa4,
    0xff656aae,
    0xff7f86d4,
    0xff7484d9,
    0xff5c7ed7,
    0xff4472c7,
    0xff537dcc,
    0xff6981ce,
    0xff6367b1,
    0xff6e7dc5,
    0xff6775be,
    0xff677dc8,
    0xff6e78c3,
    0xff7184b9,
    0xffb0aacd,
    0xffb0828f,
    0xff983031,
    0xff86121a,
    0xff976a79,
    0xff75748c,
    0xff6f6c82,
    0xff6a6a74,
    0xff626567,
    0xff696564,
    0xff635b54,
    0xff615a4e,
    0xff5d554a,
    0xff515144,
    0xff494c3d,
    0xff384333,
    0xff354332,
    0xff2c3d2b,
    0xff243625,
    0xff1d2f22,
    0xff182920,
    0xff16271c,
    0xff0d1e16,
    0xff0f221c,
    0xff091c19,
    0xff0c1f1a,
    0xff102321,
    0xff132725,
    0xff162a28,
    0xff152a24,
    0xff162b26,
    0xff132823,
    0xff132924,
    0xff122722,
    0xff102621,
    0xff152721,
    0xff13241c,
    0xff0c1d12,
    0xff121f0f,
    0xff161f10,
    0xff181c0e,
    0xff1c1f11,
    0xff303124,
    0xff080d00,
    0xff1c2012,
    0xff17190d,
    0xff121309,
    0xff16170f,
    0xff31332e,
    0xff9a9e9e,
    0xffcdd3d3,
    0xff686e69,
    0xff000400,
    0xff101913,
    0xff18261e,
    0xff132317,
    0xff16261a,
    0xff112015,
    0xff142317,
    0xff142316,
    0xff152314,
    0xff13210e,
    0xff0f1d09,
    0xff0e1a07,
    0xff0d1209,
    0xff1e211d,
    0xff3f3e40,
    0xff767877,
    0xffadafad,
    0xff868686,
    0xff414142,
    0xff040604,
    0xff0f1611,
    0xff0d190f,
    0xff0c1a0f,
    0xff0b1c15,
    0xff120f05,
    0xff371d14,
    0xff270b05,
    0xff140d0b,
    0xff0d1c19,
    0xff051b14,
    0xff061d0e,
    0xff051918,
    0xff0c1e1f,
    0xff0f2223,
    0xff0a1c1e,
    0xff0a1c20,
    0xff071920,
    0xff071820,
    0xff11212b,
    0xff081f23,
    0xff0b2427,
    0xff0d2128,
    0xff0d212b,
    0xff132631,
    0xff051828,
    0xff223649,
    0xffa1b7cc,
    0xff071426,
    0xff020f1b,
    0xff19292e,
    0xff868f95,
    0xff7e7e88,
    0xff44404c,
    0xffe8e7ee,
    0xff83858a,
    0xff3e3c3a,
    0xff191510,
    0xff28261b,
    0xff211f0f,
    0xff2b2a17,
    0xff2a2714,
    0xff2e2716,
    0xff2c2515,
    0xff2d260a,
    0xff292306,
    0xff837971,
    0xff372e1a,
    0xff312a0e,
    0xff2d260a,
    0xff2d2700,
    0xff322b10,
    0xff332d0f,
    0xff2f280b,
    0xff2f260a,
    0xff2f260b,
    0xff2f280e,
    0xff302810,
    0xff2e2a10,
    0xff312d15,
    0xff302814,
    0xff2d2711,
    0xff2b2713,
    0xff2a2815,
    0xff22210d,
    0xff21220d,
    0xff242410,
    0xff22210d,
    0xff21210f,
    0xff221f11,
    0xff211e0d,
    0xff1d1c0b,
    0xff1b1c0c,
    0xff1c1e11,
    0xff1b1e12,
    0xff171b12,
    0xff1b1913,
    0xff1c1b12,
    0xff2d2c18,
    0xff544f2f,
    0xff494116,
    0xff5b5124,
    0xff534b29,
    0xff504a2f,
    0xff47482d,
    0xff413f21,
    0xff474320,
    0xff4e4721,
    0xff554d28,
    0xff524b2a,
    0xff444026,
    0xff58553e,
    0xff2d2a13,
    0xff57513c,
    0xffbab2a2,
    0xffa8a498,
    0xffa3a19f,
    0xff7f7e83,
    0xff928e94,
    0xff90888f,
    0xff5c5f63,
    0xff727579,
    0xff6b645b,
    0xff484640,
    0xff322e29,
    0xffba835f,
    0xffd08351,
    0xff4d281c,
    0xff4e4645,
    0xff585851,
    0xff6d7069,
    0xff3a3835,
    0xffa39a9f,
    0xff7d7178,
    0xff797373,
    0xff6b6b63,
    0xff5d6257,
    0xff8a8c90,
    0xffb5b0b5,
    0xff89715d,
    0xffaa8860,
    0xff7c5f41,
    0xff8d7261,
    0xffbb8f75,
    0xffd99056,
    0xffd58c46,
    0xff956c37,
    0xff573e2f,
    0xff98692d,
    0xffdb9435,
    0xffaf6f16,
    0xffc58f67,
    0xffc5b5b6,
    0xffc6bac6,
    0xff685b37,
    0xffdbad70,
    0xfff9f0cd,
    0xffdfd5e1,
    0xff927e93,
    0xff85909f,
    0xffbd2618,
    0xffc62220,
    0xffb7141d,
    0xff920006,
    0xffa2121a,
    0xffa21f24,
    0xffa02f36,
    0xff9d3541,
    0xff912942,
    0xff951c35,
    0xffa61628,
    0xffa80d12,
    0xffb00d0f,
    0xffa50114,
    0xff9e1c3e,
    0xff8d466f,
    0xff424b7d,
    0xff3e5692,
    0xff315a94,
    0xff2c5685,
    0xff3d5185,
    0xff2f4f87,
    0xff1c5684,
    0xff284f7c,
    0xff2a548a,
    0xff25508a,
    0xff35609c,
    0xff25508b,
    0xff244d88,
    0xff2c5590,
    0xff315a90,
    0xff1d4579,
    0xff0e3b65,
    0xff1c4974,
    0xff214e7d,
    0xff29578a,
    0xff315d94,
    0xff33639a,
    0xff315f9a,
    0xff2a5896,
    0xff2f5ea0,
    0xff3664a8,
    0xff3a6aae,
    0xff3e6db7,
    0xff3a6cb8,
    0xff3f71c0,
    0xff4272c9,
    0xff3f6fc6,
    0xff396dbb,
    0xff4174c5,
    0xff4274c5,
    0xff3f72c5,
    0xff4176c8,
    0xff4275c9,
    0xff3e72c8,
    0xff3d70c6,
    0xff4074c4,
    0xff3f73c4,
    0xff3c6fc1,
    0xff3867bb,
    0xff3969be,
    0xff3569bb,
    0xff3266b9,
    0xff2b5fb4,
    0xff2654a6,
    0xff2f579f,
    0xff3c5aa5,
    0xff6e569a,
    0xff892d4b,
    0xff8d0d0c,
    0xff9e0603,
    0xffb10100,
    0xffae0000,
    0xffaa000c,
    0xffa10511,
    0xff850009,
    0xffac4c5c,
    0xffb7818a,
    0xffc0768d,
    0xff9e709c,
    0xff515ea6,
    0xff365dab,
    0xff3969bc,
    0xff3b6fc2,
    0xff2b69c0,
    0xff306acb,
    0xff3d6acd,
    0xff3c6bbe,
    0xff3d6ccc,
    0xff426dcb,
    0xff5e66b1,
    0xffa06694,
    0xffb44261,
    0xff850323,
    0xff6c0010,
    0xff600209,
    0xff580100,
    0xff5c0106,
    0xff510015,
    0xff5f0e2c,
    0xff6a0f22,
    0xff660008,
    0xff7c0000,
    0xffab1603,
    0xffc63c26,
    0xffc5655f,
    0xff8a6482,
    0xff694790,
    0xff731e44,
    0xff8b1000,
    0xff7c0600,
    0xff6e0607,
    0xff770309,
    0xff7f070d,
    0xff7b030c,
    0xff78030c,
    0xff75030e,
    0xff71010e,
    0xff71000b,
    0xff75000f,
    0xff6f0014,
    0xff760010,
    0xff700003,
    0xff70050a,
    0xffa37da7,
    0xff6767af,
    0xff8483cb,
    0xff6a233a,
    0xff890b1b,
    0xffb30b1d,
    0xffb3111e,
    0xff82090d,
    0xff720801,
    0xff6d0708,
    0xff803964,
    0xff775ab3,
    0xff547dd8,
    0xff4d7dd6,
    0xff4c78db,
    0xff516bcf,
    0xff4d5380,
    0xff262233,
    0xff666a9a,
    0xff6989ad,
    0xff3a4c79,
    0xff777ec7,
    0xff723a7a,
    0xff8a1b32,
    0xff701224,
    0xff683368,
    0xff6f69b7,
    0xff4c76c5,
    0xff4767c4,
    0xff3466b9,
    0xff2f6aae,
    0xff386bb2,
    0xff3e6cbb,
    0xff3d6ebd,
    0xff4476bd,
    0xff486db5,
    0xff3c6abb,
    0xff3b6aba,
    0xff3e6dbb,
    0xff4170bd,
    0xff4777c1,
    0xff4777c2,
    0xff4e7fcc,
    0xff5486d4,
    0xff4e80d5,
    0xff577fd8,
    0xff527cd3,
    0xff4a82d4,
    0xff4485d4,
    0xff4983d2,
    0xff4f81d3,
    0xff5084d5,
    0xff5086e6,
    0xff4b80dc,
    0xff5287db,
    0xff5183d8,
    0xff507ed6,
    0xff4971cc,
    0xff4b76c9,
    0xff4572bc,
    0xff3e6fb4,
    0xff3a6bc7,
    0xff3d5fbc,
    0xff3a64b1,
    0xff326db8,
    0xff3e66bb,
    0xff4a6dc3,
    0xff4078c2,
    0xff4c7ac5,
    0xff4b7ed1,
    0xff5181d6,
    0xff587ed5,
    0xff607fda,
    0xff667cd2,
    0xff6b80ca,
    0xff6481c8,
    0xff5b88e0,
    0xff5787dd,
    0xff5484db,
    0xff5384db,
    0xff4e80d7,
    0xff5283dc,
    0xff4e7dd7,
    0xff4b7bd5,
    0xff4b81d5,
    0xff4b82d7,
    0xff4981d8,
    0xff4980d9,
    0xff497fd7,
    0xff4b7fd5,
    0xff4a7dd1,
    0xff4174c7,
    0xff457cd0,
    0xff487ed3,
    0xff467cd3,
    0xff477fd5,
    0xff437cd3,
    0xff437bd1,
    0xff437cd3,
    0xff457ed8,
    0xff497ed8,
    0xff487ed8,
    0xff477dd7,
    0xff477cd7,
    0xff477dd4,
    0xff467cd4,
    0xff4a7fd7,
    0xff497ed6,
    0xff467fd5,
    0xff467fd5,
    0xff4880d7,
    0xff447cd2,
    0xff457cd6,
    0xff467dd7,
    0xff467dd7,
    0xff457dd7,
    0xff477ed6,
    0xff457bd6,
    0xff467dd8,
    0xff457cd7,
    0xff467dd8,
    0xff467dd8,
    0xff487fda,
    0xff4980db,
    0xff4680d9,
    0xff447dd6,
    0xff457ed8,
    0xff457ed8,
    0xff457ed8,
    0xff4780d9,
    0xff4780da,
    0xff4780d9,
    0xff4881db,
    0xff4881db,
    0xff467fd9,
    0xff457ed8,
    0xff4881db,
    0xff4881db,
    0xff4881db,
    0xff4881db,
    0xff4880d9,
    0xff457ed7,
    0xff4680d9,
    0xff487ed9,
    0xff487ed9,
    0xff487ed9,
    0xff477ed8,
    0xff467dd7,
    0xff477fd8,
    0xff467dd7,
    0xff487ed9,
    0xff4880d6,
    0xff467ed5,
    0xff4981d8,
    0xff487ed6,
    0xff497ed7,
    0xff487ed4,
    0xff497fd5,
    0xff4c81d7,
    0xff4b81d7,
    0xff4e84da,
    0xff4e84da,
    0xff4d83d9,
    0xff4c82d8,
    0xff4e84d9,
    0xff5389df,
    0xff5389df,
    0xff4f86db,
    0xff5284de,
    0xff4f82db,
    0xff4b7ed7,
    0xff4a7cd5,
    0xff4d80d7,
    0xff4e81d7,
    0xff4c7fd6,
    0xff4b7fd4,
    0xff4d81d7,
    0xff487cd2,
    0xff4a7ed4,
    0xff477bd1,
    0xff4780d5,
    0xff4c7ce0,
    0xff4979dc,
    0xff447dda,
    0xff4182e1,
    0xff3f81db,
    0xff4880cf,
    0xff517dd5,
    0xff4d80e2,
    0xff4d7edc,
    0xff4d7bd4,
    0xff4f7fd4,
    0xff5081d4,
    0xff4a7ed1,
    0xff4c83d6,
    0xff5086d9,
    0xff4e7dce,
    0xff527ec8,
    0xff5778c6,
    0xff6274cd,
    0xff6b76cb,
    0xff747fc6,
    0xff7286cd,
    0xff6982d2,
    0xff6780cb,
    0xff6076c2,
    0xff8b719f,
    0xff79607d,
    0xff76797e,
    0xff987445,
    0xffc9861c,
    0xffbd8000,
    0xffe9a510,
    0xfff39a29,
    0xffdb7f15,
    0xffbf7614,
    0xffa96f3d,
    0xffd39988,
    0xff9e5034,
    0xffa13814,
    0xff9b2107,
    0xff98647c,
    0xffaeb0e2,
    0xffa9abd6,
    0xffbca8d8,
    0xffa98ecc,
    0xff9790c5,
    0xff9db0d1,
    0xff87a6dd,
    0xff83a4e5,
    0xff7793de,
    0xff81a0e9,
    0xff85a2e8,
    0xff799bdd,
    0xff759be0,
    0xff6793dc,
    0xff507fd3,
    0xff5785d8,
    0xff6391e3,
    0xff6594e6,
    0xff6695e5,
    0xff608fdf,
    0xff5987d8,
    0xff5885d5,
    0xff5984d6,
    0xff527ed2,
    0xff4c7cd1,
    0xff4c7ed7,
    0xff4a7ed6,
    0xff5284dd,
    0xff5183dd,
    0xff5485dc,
    0xff5181d6,
    0xff5184d7,
    0xff5183d9,
    0xff4f83d9,
    0xff4a7ed7,
    0xff497fd8,
    0xff4d83dc,
    0xff5086e0,
    0xff538ae0,
    0xff5789e2,
    0xff5789e1,
    0xff5b8ae4,
    0xff5384e0,
    0xff4a7ed7,
    0xff3c72ce,
    0xff3a71cb,
    0xff4074d1,
    0xff4073d0,
    0xff4779d7,
    0xff4176d4,
    0xff3d73d6,
    0xff3771d5,
    0xff3570d6,
    0xff3372d8,
    0xff3575cd,
    0xff396fd7,
    0xff3a6dd7,
    0xff386fc9,
    0xff3772c7,
    0xff3673d1,
    0xff326fd4,
    0xff3a77d8,
    0xff3e78dc,
    0xff4974d3,
    0xff457ac8,
    0xff3980c9,
    0xff377cd0,
    0xff3a76ca,
    0xff4979cd,
    0xff627cdf,
    0xff5d84cb,
    0xff5f84ce,
    0xff6085d5,
    0xff5881d2,
    0xff4c79c9,
    0xff4c72c1,
    0xff576aba,
    0xff5e62b1,
    0xff6c70b7,
    0xff5f6db5,
    0xff4767ac,
    0xff5161a9,
    0xff5469a2,
    0xff8d83a5,
    0xff88606c,
    0xff9c4f59,
    0xff781623,
    0xff9d758a,
    0xff68637e,
    0xff5b566b,
    0xff5a5960,
    0xff504f54,
    0xff4e4343,
    0xff4f443b,
    0xff4c4a40,
    0xff43423a,
    0xff3e4236,
    0xff353f32,
    0xff313d2d,
    0xff2e3b2a,
    0xff233522,
    0xff293a29,
    0xff1a2c22,
    0xff1d2e24,
    0xff24352d,
    0xff22332a,
    0xff172b25,
    0xff112420,
    0xff0f221e,
    0xff112422,
    0xff112523,
    0xff142826,
    0xff122625,
    0xff122721,
    0xff122721,
    0xff0f241f,
    0xff0e231b,
    0xff0b2119,
    0xff132924,
    0xff122720,
    0xff17271f,
    0xff112117,
    0xff142117,
    0xff141e12,
    0xff1d251a,
    0xff10180d,
    0xff142516,
    0xff0e1d11,
    0xff162418,
    0xff131f15,
    0xff161f17,
    0xff0f1812,
    0xff040d0b,
    0xff232b28,
    0xff8f9293,
    0xffdee2e3,
    0xff707474,
    0xff030a08,
    0xff05100e,
    0xff101c1a,
    0xff10211e,
    0xff10221c,
    0xff0b1a11,
    0xff0e1e14,
    0xff0c1c14,
    0xff0a1810,
    0xff0c1a12,
    0xff07160c,
    0xff0c160f,
    0xff051009,
    0xff1d1c1d,
    0xff4a494a,
    0xff6d6b70,
    0xffa8a6ac,
    0xffabaab1,
    0xff6c7174,
    0xff222c2b,
    0xff08120f,
    0xff131d1b,
    0xff152416,
    0xff14260f,
    0xff0f220c,
    0xff132016,
    0xff0e1b1c,
    0xff172529,
    0xff122425,
    0xff11201e,
    0xff0c1c1a,
    0xff0b1b1b,
    0xff091a1c,
    0xff091f23,
    0xff061b22,
    0xff0b2129,
    0xff041d26,
    0xff091e24,
    0xff0b1f25,
    0xff081d21,
    0xff0a1f24,
    0xff0d2429,
    0xff0b232a,
    0xff001d26,
    0xff314c55,
    0xff9eaeb7,
    0xff02101d,
    0xff1a2633,
    0xff0f141e,
    0xff202226,
    0xff757373,
    0xffb9b8bb,
    0xfffbfbff,
    0xff838187,
    0xff6b696c,
    0xff100f0f,
    0xff656562,
    0xff242018,
    0xff2a271c,
    0xff332f21,
    0xff302c1b,
    0xff353318,
    0xff4f4c33,
    0xff9c978d,
    0xff342f19,
    0xff35300e,
    0xff332e0d,
    0xff342f02,
    0xff36310e,
    0xff332907,
    0xff362c09,
    0xff362a0a,
    0xff342909,
    0xff2e2507,
    0xff2d2709,
    0xff2c2709,
    0xff2d290c,
    0xff2f2913,
    0xff2c2610,
    0xff2b2613,
    0xff282613,
    0xff292612,
    0xff282611,
    0xff27240f,
    0xff26230d,
    0xff232010,
    0xff242112,
    0xff242112,
    0xff242114,
    0xff252316,
    0xff232419,
    0xff23271e,
    0xff22261f,
    0xff252019,
    0xff201f16,
    0xff252211,
    0xff393511,
    0xff97935c,
    0xff635e27,
    0xff55512e,
    0xff4d4a3d,
    0xff4b4e3b,
    0xff4e4f3a,
    0xff4c4d32,
    0xff4b482d,
    0xff3f3c21,
    0xff414028,
    0xff2c2b18,
    0xff727262,
    0xffaba1a0,
    0xfff1e6e4,
    0xffd4cbc7,
    0xff686461,
    0xff242628,
    0xff4a4f50,
    0xff7b827f,
    0xff40413d,
    0xff8d8f9d,
    0xff929db0,
    0xff868789,
    0xff76756f,
    0xff3c3d38,
    0xff3f220e,
    0xffc5977f,
    0xff39292a,
    0xff3b3c3a,
    0xff8d8f91,
    0xff6a6b6f,
    0xff48454a,
    0xffa49d9e,
    0xff797070,
    0xff444344,
    0xff222625,
    0xff6b7267,
    0xff7b807e,
    0xff796560,
    0xff936047,
    0xffb3764f,
    0xffc68b61,
    0xff91583b,
    0xff6a3730,
    0xff9b655d,
    0xffcda37c,
    0xffa99962,
    0xff71613d,
    0xff976625,
    0xffa05a0c,
    0xffc47c2b,
    0xffd4854c,
    0xffd2ada5,
    0xffcdc3c3,
    0xff54503f,
    0xffb2896d,
    0xffdacdb4,
    0xffd3c9d1,
    0xff7d738c,
    0xff9199aa,
    0xffca2f23,
    0xffb90e16,
    0xff9c0a16,
    0xff79020a,
    0xff85010b,
    0xffa6101d,
    0xffc62c3a,
    0xffac081d,
    0xffb30b1d,
    0xffae0d1a,
    0xffb5151d,
    0xffa71413,
    0xffa81612,
    0xffb60e19,
    0xffa91025,
    0xff8a3341,
    0xff484770,
    0xff3b518b,
    0xff3b5f9e,
    0xff275f91,
    0xff335d8e,
    0xff38528a,
    0xff25598d,
    0xff2e5d8c,
    0xff30609f,
    0xff2e5ea0,
    0xff2f5da2,
    0xff29579d,
    0xff3461a6,
    0xff2e5c9e,
    0xff325f9f,
    0xff335d9e,
    0xff3161a2,
    0xff3e6db1,
    0xff3565ab,
    0xff3a6ab2,
    0xff3a6bb9,
    0xff3a6dbc,
    0xff386abb,
    0xff3c6ec1,
    0xff3f76c3,
    0xff3f76c3,
    0xff3c73c1,
    0xff3b74c5,
    0xff3f77cb,
    0xff3e77cb,
    0xff3b73cd,
    0xff3c75ce,
    0xff3d75ce,
    0xff3972cb,
    0xff3a73cd,
    0xff366fc5,
    0xff3971c8,
    0xff3b73ca,
    0xff3b71ca,
    0xff3d73cb,
    0xff3b74c7,
    0xff3e74c7,
    0xff3f71c7,
    0xff4271c6,
    0xff4171c6,
    0xff4274c9,
    0xff3d71c6,
    0xff3c75c7,
    0xff2f70b8,
    0xff4864ae,
    0xff7664aa,
    0xff9a3966,
    0xff9f000c,
    0xffa8040e,
    0xffa50214,
    0xffa70206,
    0xff9b0400,
    0xff9e030e,
    0xff850508,
    0xff6f0004,
    0xffb3555e,
    0xffb47e79,
    0xffb15e71,
    0xff8b6b93,
    0xff4667b5,
    0xff416bc1,
    0xff3d6cc1,
    0xff3770bf,
    0xff3473c6,
    0xff3a6fd1,
    0xff416bcd,
    0xff4674ca,
    0xff4673cc,
    0xff626bc2,
    0xffa167ab,
    0xffab3a62,
    0xff8b041a,
    0xff75000d,
    0xff72020d,
    0xff730208,
    0xff70010b,
    0xff720304,
    0xff510211,
    0xff8e6792,
    0xff612f59,
    0xff530007,
    0xff660007,
    0xff7b1d37,
    0xffa26c96,
    0xff785a9d,
    0xff565aab,
    0xff6056a6,
    0xff671e3c,
    0xff84120c,
    0xff78000f,
    0xff760013,
    0xff7b0109,
    0xff7d0008,
    0xff7d0209,
    0xff750007,
    0xff6f0006,
    0xff6c0008,
    0xff6f010d,
    0xff70000e,
    0xff6d0113,
    0xff76000b,
    0xff6d0003,
    0xff620011,
    0xff9c7eaf,
    0xff5955a4,
    0xff657cd6,
    0xff693963,
    0xff760c12,
    0xffb00315,
    0xffb40d1c,
    0xff7c0502,
    0xff770703,
    0xff5e0008,
    0xff664273,
    0xff5c5fbb,
    0xff3d4e9a,
    0xff507cca,
    0xff437cd7,
    0xff4a76c9,
    0xff6e87a3,
    0xff2d3c4a,
    0xffa7aee4,
    0xff48577d,
    0xff5472bc,
    0xff4d70c5,
    0xff6e55a1,
    0xff78113a,
    0xff8a121d,
    0xff6f1525,
    0xff582147,
    0xff533e71,
    0xff665d9f,
    0xff6573bb,
    0xff5274c2,
    0xff466fc1,
    0xff3c70bc,
    0xff3874bc,
    0xff3c70bd,
    0xff5076cd,
    0xff4c7dd4,
    0xff497bd0,
    0xff4676ca,
    0xff4a7acc,
    0xff4878c9,
    0xff4678cb,
    0xff477acf,
    0xff477acf,
    0xff4376d0,
    0xff4373ca,
    0xff4877cd,
    0xff4a79cf,
    0xff4f78d2,
    0xff5278d2,
    0xff537ad4,
    0xff5079cf,
    0xff5779c8,
    0xff507acf,
    0xff4974d1,
    0xff4e6fd1,
    0xff4a6ecb,
    0xff406fc3,
    0xff4470c5,
    0xff526fc9,
    0xff4d6dbd,
    0xff4076d8,
    0xff557bdb,
    0xff5984d2,
    0xff518cd0,
    0xff5680cf,
    0xff557dd8,
    0xff4f88d1,
    0xff527ecd,
    0xff4483de,
    0xff5384d6,
    0xff5f80d2,
    0xff5c7ddf,
    0xff7577c5,
    0xff8273ad,
    0xff6c82cb,
    0xff5383dc,
    0xff5182dd,
    0xff4b81da,
    0xff4a82d9,
    0xff4b82dc,
    0xff4b81dc,
    0xff4a7cd9,
    0xff4b7ddb,
    0xff457dd5,
    0xff467fd5,
    0xff4680d9,
    0xff467fd9,
    0xff487fda,
    0xff477ed9,
    0xff4980da,
    0xff467cd6,
    0xff467dd7,
    0xff487fd9,
    0xff467dd7,
    0xff4880da,
    0xff4881da,
    0xff4881da,
    0xff4681da,
    0xff4682d9,
    0xff487dd8,
    0xff487ed8,
    0xff487fd8,
    0xff4a80da,
    0xff4b81db,
    0xff4b81db,
    0xff477dd7,
    0xff467cd6,
    0xff477ed8,
    0xff487ed9,
    0xff4a80db,
    0xff487fd9,
    0xff457bd5,
    0xff467dd8,
    0xff477ed9,
    0xff477dd8,
    0xff477ed7,
    0xff457cd8,
    0xff457cd7,
    0xff447bd6,
    0xff447bd8,
    0xff4279d6,
    0xff4077d4,
    0xff3f76d3,
    0xff437bd8,
    0xff447cda,
    0xff4279d7,
    0xff447cd9,
    0xff427ad7,
    0xff4178d6,
    0xff3e76d4,
    0xff3f77d5,
    0xff4079d3,
    0xff417ad4,
    0xff417ad4,
    0xff427bd5,
    0xff437cd6,
    0xff437cd6,
    0xff447dd7,
    0xff447dd7,
    0xff4780d9,
    0xff467cd6,
    0xff497fd9,
    0xff4980da,
    0xff4980da,
    0xff497fd9,
    0xff497fd8,
    0xff497fd9,
    0xff467ed5,
    0xff477fd6,
    0xff4a82d8,
    0xff4981d8,
    0xff4d82db,
    0xff4e83d9,
    0xff4f85da,
    0xff548ae0,
    0xff568ce2,
    0xff588ee4,
    0xff578de3,
    0xff5288de,
    0xff4e84da,
    0xff4e84da,
    0xff4e84da,
    0xff4e84d9,
    0xff4b81d7,
    0xff4e85da,
    0xff5185da,
    0xff5184de,
    0xff4e81d9,
    0xff4f81dd,
    0xff4e85df,
    0xff548ae4,
    0xff5187e1,
    0xff4c82dc,
    0xff487ed8,
    0xff497fd7,
    0xff497fd7,
    0xff497fd7,
    0xff457bd4,
    0xff477dd4,
    0xff437bca,
    0xff437ad7,
    0xff4278d7,
    0xff467cd3,
    0xff477cd0,
    0xff4a7dd6,
    0xff4e7bd6,
    0xff4e79d5,
    0xff487dd4,
    0xff4a7ccc,
    0xff4f79cb,
    0xff4c78cd,
    0xff527eda,
    0xff5078d9,
    0xff5b76d4,
    0xff5e6cc5,
    0xff7168b8,
    0xff8d71c0,
    0xff9c75bb,
    0xffa56ea3,
    0xffb66380,
    0xffc05f76,
    0xff9c5e8b,
    0xff8075bd,
    0xff6b81cd,
    0xff6e7dd2,
    0xffa876ad,
    0xff7e4058,
    0xff936d74,
    0xffdaa079,
    0xffc5740f,
    0xffed9417,
    0xffeda219,
    0xffd9971c,
    0xffad6003,
    0xff9e5514,
    0xffd69d79,
    0xff995938,
    0xffd7805f,
    0xff95321b,
    0xff9b2e29,
    0xff8c6da4,
    0xff7991e0,
    0xff7491cf,
    0xff819ed9,
    0xff8799d9,
    0xff9492cb,
    0xff5f5d8f,
    0xff7993d3,
    0xff8595d3,
    0xff8b92cc,
    0xff7c8fc9,
    0xff6893d2,
    0xff578ed8,
    0xff5988d9,
    0xff6183da,
    0xff5887dc,
    0xff5585d9,
    0xff4e7fd0,
    0xff4f80cf,
    0xff4f81d0,
    0xff5788da,
    0xff5687dc,
    0xff5280d8,
    0xff5584da,
    0xff4c7cd3,
    0xff4175d1,
    0xff4176d2,
    0xff3d74d0,
    0xff396fce,
    0xff3b71cf,
    0xff3b71cf,
    0xff3b72cf,
    0xff3c72d0,
    0xff3b71cf,
    0xff3b72cf,
    0xff3d73d1,
    0xff3f74d2,
    0xff3e73d1,
    0xff3e73d0,
    0xff4076d1,
    0xff3b71cc,
    0xff4276d1,
    0xff4377d3,
    0xff4174d0,
    0xff3d72ce,
    0xff3f76d2,
    0xff3d75d0,
    0xff3d72cd,
    0xff437ad4,
    0xff4174cf,
    0xff3f72cd,
    0xff4073d0,
    0xff3b6fce,
    0xff386ed0,
    0xff376fd2,
    0xff3175d1,
    0xff3c73d7,
    0xff3b6dda,
    0xff3772db,
    0xff3275d0,
    0xff3b74cc,
    0xff3c71cb,
    0xff3a70d1,
    0xff3977d2,
    0xff497fd9,
    0xff4b81d6,
    0xff3e79d4,
    0xff376fd7,
    0xff386dd4,
    0xff3973cf,
    0xff356fcd,
    0xff406cc5,
    0xff4871cb,
    0xff537cd6,
    0xff4775ce,
    0xff4a7ad0,
    0xff4876cb,
    0xff4c71c7,
    0xff536cc3,
    0xff55599b,
    0xff42599a,
    0xff4372ae,
    0xff4764a8,
    0xff476198,
    0xff9188aa,
    0xff816973,
    0xff8f6879,
    0xff6c3452,
    0xff695f83,
    0xff505c87,
    0xff465072,
    0xff47596d,
    0xff475766,
    0xff4f5360,
    0xff484e4d,
    0xff474b46,
    0xff3c423c,
    0xff3a443a,
    0xff36443a,
    0xff213124,
    0xff1d2e1f,
    0xff1e2f1d,
    0xff162715,
    0xff122319,
    0xff13241a,
    0xff16271f,
    0xff152920,
    0xff162923,
    0xff122522,
    0xff122521,
    0xff10221e,
    0xff0f241f,
    0xff132822,
    0xff112524,
    0xff142826,
    0xff122625,
    0xff122420,
    0xff142721,
    0xff11241e,
    0xff152822,
    0xff172923,
    0xff16271f,
    0xff18271f,
    0xff132218,
    0xff142218,
    0xff0b170d,
    0xff101c13,
    0xff071b0f,
    0xff0e1f15,
    0xff0c1c13,
    0xff0f1f16,
    0xff091710,
    0xff091710,
    0xff0c1a16,
    0xff0d1a16,
    0xff040d0c,
    0xff293030,
    0xff8b8f93,
    0xffe5e8ed,
    0xff989ea2,
    0xff161d21,
    0xff010c0d,
    0xff091616,
    0xff0b1b14,
    0xff0b1a15,
    0xff0b1c18,
    0xff0d1d1c,
    0xff061615,
    0xff051711,
    0xff05180d,
    0xff0a1d11,
    0xff091016,
    0xff070c11,
    0xff090d09,
    0xff272b25,
    0xff585b56,
    0xff888b8d,
    0xffa2a7ad,
    0xff878998,
    0xff41374a,
    0xff000208,
    0xff000c03,
    0xff001707,
    0xff04180d,
    0xff071913,
    0xff021915,
    0xff031c17,
    0xff061a17,
    0xff071c1a,
    0xff081c1d,
    0xff03181c,
    0xff02191e,
    0xff061f22,
    0xff021f22,
    0xff031f21,
    0xff0a2325,
    0xff13282a,
    0xff142a2b,
    0xff162a2b,
    0xff152a2c,
    0xff172c2d,
    0xff122a2c,
    0xff0f2729,
    0xff4a5a5d,
    0xffa1afba,
    0xff061221,
    0xff222932,
    0xff232623,
    0xff26251c,
    0xff0e0e09,
    0xff858788,
    0xffdddce1,
    0xff6d6b71,
    0xff727177,
    0xffa8a5ab,
    0xff1a1819,
    0xff24251d,
    0xff2f2d1e,
    0xff252410,
    0xff535440,
    0xff4f503b,
    0xff8e8b85,
    0xff312f1d,
    0xff343412,
    0xff3d3a18,
    0xff444010,
    0xff47411c,
    0xff483e15,
    0xff453811,
    0xff3f310c,
    0xff3a2d0a,
    0xff392c0a,
    0xff342809,
    0xff312809,
    0xff292304,
    0xff2b250c,
    0xff2b2510,
    0xff2c2610,
    0xff2a2511,
    0xff27220f,
    0xff27210b,
    0xff27210c,
    0xff2b240d,
    0xff29220f,
    0xff28210d,
    0xff28210d,
    0xff292110,
    0xff272211,
    0xff242112,
    0xff242418,
    0xff24261a,
    0xff1f2112,
    0xff242a1f,
    0xff212622,
    0xff22261b,
    0xff151702,
    0xff404128,
    0xff383d28,
    0xff505749,
    0xff4a4e42,
    0xff4e5143,
    0xff393c2b,
    0xff51503e,
    0xff828171,
    0xff7c7a6c,
    0xffdbdcd1,
    0xffc4c3bd,
    0xff676066,
    0xff82797c,
    0xff473c3e,
    0xffbeb9b8,
    0xff484a4b,
    0xff383d3f,
    0xff545955,
    0xff474942,
    0xff282a33,
    0xffb3c0d2,
    0xff9da4ad,
    0xff6c6a69,
    0xff959698,
    0xffb6aea8,
    0xff63584c,
    0xff494d4c,
    0xff2f3833,
    0xff282c32,
    0xff605e6b,
    0xffbbb6c0,
    0xff817b7a,
    0xff141109,
    0xff60625e,
    0xff2e333a,
    0xff727685,
    0xffa6aab0,
    0xff75554b,
    0xff863c2f,
    0xffc4715f,
    0xffbf6c3f,
    0xffd4864a,
    0xffd3976e,
    0xff865e53,
    0xff7c6d5d,
    0xffa8ab93,
    0xff765b46,
    0xffa76425,
    0xffa45c16,
    0xffb07423,
    0xffc68334,
    0xffca9771,
    0xffb6aaa7,
    0xff797b7d,
    0xffbc9c8f,
    0xffb6a495,
    0xff786c78,
    0xff6a677f,
    0xff979caa,
    0xffac1c0d,
    0xff9c0106,
    0xff84030e,
    0xff700915,
    0xff820715,
    0xff960115,
    0xffa4091e,
    0xffa7031b,
    0xffab0416,
    0xffab051a,
    0xffb9132b,
    0xffa90f26,
    0xffa30d23,
    0xffb70b28,
    0xffad0b28,
    0xff973240,
    0xff6f4d7d,
    0xff415697,
    0xff365cb0,
    0xff2760ad,
    0xff2a61a7,
    0xff3556a6,
    0xff2957a5,
    0xff2859a2,
    0xff2e62ae,
    0xff2f61b0,
    0xff3062b1,
    0xff3464b6,
    0xff3263b4,
    0xff3060b1,
    0xff3868b8,
    0xff3b6bbc,
    0xff3d6ec4,
    0xff3c6dc3,
    0xff3c6ec5,
    0xff3a6ec5,
    0xff396ec5,
    0xff3a6fc7,
    0xff3a71c8,
    0xff376ec8,
    0xff356fc6,
    0xff356ec6,
    0xff3771c8,
    0xff3872c9,
    0xff3c76cb,
    0xff3875ca,
    0xff3371c3,
    0xff3775c7,
    0xff3673c9,
    0xff3a72cc,
    0xff3c75cc,
    0xff3e75cd,
    0xff3d76ca,
    0xff3e75c8,
    0xff3b73c5,
    0xff3269bd,
    0xff3169be,
    0xff3066bd,
    0xff3569c0,
    0xff3668bd,
    0xff3968bd,
    0xff3265ba,
    0xff3265b9,
    0xff2c62b5,
    0xff3665a0,
    0xff885695,
    0xff89184a,
    0xff960016,
    0xffa70003,
    0xffa10007,
    0xffac0011,
    0xffa80101,
    0xff990506,
    0xff8f0009,
    0xff760103,
    0xff640001,
    0xffc3646a,
    0xffb1786b,
    0xff9a5162,
    0xff68618d,
    0xff4b73c2,
    0xff4973d1,
    0xff3e74d2,
    0xff377acc,
    0xff3877c8,
    0xff3b71cd,
    0xff3b6dcc,
    0xff416dc6,
    0xff6473b8,
    0xff9b6ea7,
    0xffaf4171,
    0xff9f1c42,
    0xff750012,
    0xff6d0105,
    0xff730002,
    0xff7e000a,
    0xff77010f,
    0xff790000,
    0xff570404,
    0xff563c6b,
    0xff6c67b8,
    0xff543e87,
    0xff7361a4,
    0xff6475c7,
    0xff496dca,
    0xff4674d3,
    0xff4677c5,
    0xff7278b6,
    0xff641f36,
    0xff7d0e0f,
    0xff790717,
    0xff730108,
    0xff7f0008,
    0xff8b0913,
    0xff86080f,
    0xff780004,
    0xff710205,
    0xff6c050a,
    0xff6b020b,
    0xff6b030e,
    0xff660307,
    0xff6d0009,
    0xff64000b,
    0xff690015,
    0xff6c2b4e,
    0xff4c1a4f,
    0xff7a73bb,
    0xff80496d,
    0xff6d0a0e,
    0xffa3000f,
    0xff9c040f,
    0xff740201,
    0xff76010b,
    0xff550220,
    0xff736faa,
    0xff5176d4,
    0xff6264ab,
    0xff4b53a4,
    0xff5473c1,
    0xff4d79be,
    0xff3f5f7c,
    0xff2b3437,
    0xff7d7998,
    0xff3c416b,
    0xff5679c5,
    0xff4975be,
    0xff6f6dab,
    0xff75274d,
    0xff83161f,
    0xff851a20,
    0xff710819,
    0xff65000f,
    0xff520d31,
    0xff5c3866,
    0xff5e5799,
    0xff5061af,
    0xff3962b2,
    0xff346ebe,
    0xff3d74c9,
    0xff496ecc,
    0xff4272c7,
    0xff3d6dc3,
    0xff4575c9,
    0xff4b7bd0,
    0xff4978cd,
    0xff4878cd,
    0xff4373c8,
    0xff4473cc,
    0xff4372c9,
    0xff3d76c7,
    0xff3c75c5,
    0xff446ec5,
    0xff4d6ccb,
    0xff5170d1,
    0xff4776ce,
    0xff3e78c8,
    0xff4174c2,
    0xff4b72c0,
    0xff5f6fbb,
    0xff7b73ba,
    0xff8370b2,
    0xff967fbf,
    0xff7e60a6,
    0xff6f4793,
    0xff9180c0,
    0xff6a8cda,
    0xff5982d6,
    0xff4e84db,
    0xff4e8bdb,
    0xff5885d8,
    0xff587fe5,
    0xff5b7cd5,
    0xff597ddf,
    0xff467bd9,
    0xff497cc7,
    0xff5182c9,
    0xff5c81d3,
    0xff857cba,
    0xff826096,
    0xff7a79c9,
    0xff5281dc,
    0xff5083dc,
    0xff4a80d7,
    0xff4781d8,
    0xff477fd9,
    0xff4881db,
    0xff467ddb,
    0xff487ede,
    0xff4580d9,
    0xff4481d9,
    0xff467fd9,
    0xff477fdd,
    0xff467edc,
    0xff457dda,
    0xff447dd7,
    0xff447dd8,
    0xff467fd9,
    0xff4781db,
    0xff4881db,
    0xff4780da,
    0xff4880da,
    0xff4480da,
    0xff4582da,
    0xff4682da,
    0xff4b80da,
    0xff497fd9,
    0xff4a7fdb,
    0xff4b80dc,
    0xff497eda,
    0xff4a7fdb,
    0xff4b80dc,
    0xff4c81dc,
    0xff4780da,
    0xff467fd9,
    0xff4881db,
    0xff467fd9,
    0xff457ed8,
    0xff457ddb,
    0xff477fdc,
    0xff4780dc,
    0xff477eda,
    0xff477ed9,
    0xff487fda,
    0xff487ed9,
    0xff487edc,
    0xff487fdc,
    0xff477eda,
    0xff467bdc,
    0xff3f78d5,
    0xff3f77d4,
    0xff3f77d4,
    0xff3f77d4,
    0xff3e76d2,
    0xff4078d5,
    0xff4179d6,
    0xff4179d6,
    0xff427bd5,
    0xff447dd6,
    0xff457ed8,
    0xff457ed8,
    0xff4780d9,
    0xff4780da,
    0xff467fd8,
    0xff4780da,
    0xff447dd7,
    0xff477dd8,
    0xff477ed9,
    0xff487fda,
    0xff4880db,
    0xff497dda,
    0xff497dda,
    0xff497fdb,
    0xff487fd7,
    0xff477fd6,
    0xff4880d7,
    0xff4880d7,
    0xff497ed7,
    0xff467cd2,
    0xff457bd1,
    0xff487ed3,
    0xff467cd4,
    0xff487ed6,
    0xff477dd5,
    0xff467cd4,
    0xff487ed6,
    0xff497fd7,
    0xff487ed6,
    0xff4c82da,
    0xff4780d5,
    0xff477dd5,
    0xff4e80d9,
    0xff5083db,
    0xff4c7fdb,
    0xff4a7ed8,
    0xff477dd7,
    0xff457bd7,
    0xff447bd7,
    0xff437ad4,
    0xff467dd7,
    0xff447bd5,
    0xff4077d2,
    0xff3f76d0,
    0xff3e75d0,
    0xff4077d1,
    0xff437ad0,
    0xff457cd9,
    0xff3d77d3,
    0xff4279c8,
    0xff4978c7,
    0xff4572d2,
    0xff3f74da,
    0xff3d7ad2,
    0xff4778ce,
    0xff4377d4,
    0xff4378da,
    0xff4c6ecc,
    0xff6c6ebe,
    0xff8d6eae,
    0xff9e659b,
    0xffb66fa0,
    0xffd77a9c,
    0xffd26282,
    0xffda5d77,
    0xffbc333d,
    0xffd0291f,
    0xffef3b2d,
    0xff9a0710,
    0xff953960,
    0xffa56cb5,
    0xff91447e,
    0xffa82846,
    0xffc1394b,
    0xff9c2931,
    0xffe9924f,
    0xfff0ac23,
    0xffd47909,
    0xffe38819,
    0xffd3831c,
    0xffa13e08,
    0xff962b17,
    0xffee9f79,
    0xffa1491b,
    0xff95200c,
    0xff9e2824,
    0xff923235,
    0xff866da2,
    0xff5c72c0,
    0xff5a7dc8,
    0xff6292d9,
    0xff648fcb,
    0xff7783b8,
    0xff7064a3,
    0xff8a95d3,
    0xff7c81bd,
    0xff696aa4,
    0xff7688c8,
    0xff5986ce,
    0xff447fd3,
    0xff457ad5,
    0xff5078d8,
    0xff4b7cd6,
    0xff4d7fd5,
    0xff4a7ed3,
    0xff497ed0,
    0xff467bcd,
    0xff4579d0,
    0xff4377d0,
    0xff4176d0,
    0xff4579d3,
    0xff4176d1,
    0xff4278d6,
    0xff3c73d2,
    0xff3b73d3,
    0xff3e78d9,
    0xff3973d5,
    0xff3771d3,
    0xff3771d5,
    0xff3670d5,
    0xff3770d4,
    0xff3b72d7,
    0xff3870d3,
    0xff396ed2,
    0xff3a6fd3,
    0xff376ed2,
    0xff3870cf,
    0xff3a71cf,
    0xff366ecc,
    0xff356ccb,
    0xff366fcd,
    0xff356ecf,
    0xff3a75d4,
    0xff3b77d6,
    0xff3f7ad5,
    0xff477fda,
    0xff437bd4,
    0xff4e81da,
    0xff5385dc,
    0xff5484dc,
    0xff4979d1,
    0xff4b7bd2,
    0xff457dc9,
    0xff3c76cd,
    0xff376cd1,
    0xff4270d7,
    0xff3771ce,
    0xff3078ce,
    0xff3574ca,
    0xff436fca,
    0xff3075d7,
    0xff387dd4,
    0xff477bd1,
    0xff486cc5,
    0xff426ec5,
    0xff3b6ecc,
    0xff437ada,
    0xff477ed4,
    0xff4475cf,
    0xff4776cd,
    0xff567fd6,
    0xff5f8add,
    0xff6891e0,
    0xff6185d3,
    0xff6685d2,
    0xff677fcd,
    0xff6c6cb5,
    0xff7382c3,
    0xff5b86c3,
    0xff4c6ab0,
    0xff4e5e91,
    0xff9385a1,
    0xff7e7182,
    0xff62526b,
    0xff6f5b7e,
    0xff4a527f,
    0xff3c5181,
    0xff3d5177,
    0xff365369,
    0xff354c63,
    0xff354151,
    0xff324244,
    0xff384341,
    0xff2c3934,
    0xff25332c,
    0xff213227,
    0xff223327,
    0xff182b1d,
    0xff1a2a1b,
    0xff19291a,
    0xff16281d,
    0xff15261e,
    0xff15251d,
    0xff13281f,
    0xff11231e,
    0xff0d2019,
    0xff0e211e,
    0xff0c1f1c,
    0xff0e251e,
    0xff0e261f,
    0xff102423,
    0xff112523,
    0xff112523,
    0xff112420,
    0xff0c1f19,
    0xff0e231a,
    0xff112017,
    0xff16251c,
    0xff17271d,
    0xff162219,
    0xff121f16,
    0xff111d13,
    0xff0e1a0e,
    0xff09160a,
    0xff0a1510,
    0xff101b16,
    0xff0f1b18,
    0xff0f1c18,
    0xff061811,
    0xff081c16,
    0xff051711,
    0xff081c12,
    0xff0b1b14,
    0xff0d1b17,
    0xff071110,
    0xff1b2124,
    0xff717477,
    0xffe1e5e8,
    0xffbbc0c2,
    0xff3c4244,
    0xff000500,
    0xff0e1b19,
    0xff152123,
    0xff0e1c1e,
    0xff102121,
    0xff0d221d,
    0xff061d11,
    0xff041a0d,
    0xff0a1e1c,
    0xff02150e,
    0xff091a10,
    0xff051307,
    0xff050f04,
    0xff1d241f,
    0xff3b4044,
    0xff72757e,
    0xffa4a6b0,
    0xffbabcc7,
    0xff808392,
    0xff424a5d,
    0xff112235,
    0xff000410,
    0xff000e10,
    0xff001816,
    0xff062021,
    0xff021a1b,
    0xff031b1f,
    0xff092025,
    0xff041e1e,
    0xff092322,
    0xff0a2421,
    0xff0c2622,
    0xff0b2624,
    0xff0a2121,
    0xff0a1e1d,
    0xff102121,
    0xff102120,
    0xff132222,
    0xff172526,
    0xff182629,
    0xff10201e,
    0xff53646c,
    0xff93a2ac,
    0xff172026,
    0xff292d23,
    0xff29291a,
    0xff2e3122,
    0xff12150d,
    0xffe0e0dd,
    0xffffffff,
    0xff4c4c50,
    0xff9f9da4,
    0xff454346,
    0xff2e2c27,
    0xff6d6e5e,
    0xff1b1c09,
    0xff808273,
    0xff212211,
    0xffa7a6a5,
    0xff252916,
    0xff363619,
    0xff3c3a1a,
    0xff444115,
    0xff433d19,
    0xff483913,
    0xff47370f,
    0xff44330f,
    0xff402f0b,
    0xff3f300d,
    0xff362706,
    0xff352808,
    0xff2f2304,
    0xff2e260c,
    0xff29220b,
    0xff272108,
    0xff2b250f,
    0xff26200a,
    0xff28210c,
    0xff291e07,
    0xff30250f,
    0xff31250b,
    0xff352a10,
    0xff32270d,
    0xff32260f,
    0xff312610,
    0xff312814,
    0xff2e2916,
    0xff1c1809,
    0xff181a06,
    0xff1b1d0f,
    0xff32332d,
    0xff505154,
    0xff99959d,
    0xffb2b0b4,
    0xffdadcd7,
    0xffa7ada1,
    0xff898b85,
    0xffb6b5b0,
    0xff78756e,
    0xffd0cdc6,
    0xff6d6a64,
    0xffa4a19c,
    0xff534f4b,
    0xff918d8c,
    0xff4c4d4a,
    0xff777370,
    0xff605755,
    0xff443f3b,
    0xff525050,
    0xff646366,
    0xff9d999a,
    0xff7b7574,
    0xff4a4c44,
    0xff141f26,
    0xff9498a1,
    0xffdfd9de,
    0xff87868e,
    0xff7f8184,
    0xff181d14,
    0xff6b766c,
    0xff3f4b45,
    0xff2b3035,
    0xff8e8d97,
    0xff999299,
    0xff626058,
    0xff9b9b90,
    0xff4c4e48,
    0xff42464b,
    0xffadabb4,
    0xff3d3632,
    0xff9b7461,
    0xff9b5948,
    0xffd49385,
    0xff8d4d24,
    0xffc3874b,
    0xffa98058,
    0xff4e3b30,
    0xff544349,
    0xff6e6871,
    0xff866c66,
    0xffc6893d,
    0xffc37612,
    0xffc27919,
    0xffc57228,
    0xffa86926,
    0xffc0aba7,
    0xffcdcdd8,
    0xff665144,
    0xfff7e8e0,
    0xffc6b9cb,
    0xff5e6471,
    0xff9ea1ad,
    0xffa90f00,
    0xff8f0000,
    0xff7a0309,
    0xff6d070f,
    0xff7e0814,
    0xff8d020f,
    0xff9e0717,
    0xffa8091c,
    0xff9f0916,
    0xffab101d,
    0xffb0121f,
    0xffad131f,
    0xffab0f1e,
    0xffb8091f,
    0xffba1026,
    0xffa31523,
    0xff90355a,
    0xff5f5e92,
    0xff355fae,
    0xff3661b8,
    0xff3569b7,
    0xff3168b7,
    0xff386dbe,
    0xff3d6ac0,
    0xff356bc0,
    0xff3168bd,
    0xff2d62b8,
    0xff356bc3,
    0xff376bc3,
    0xff396bc7,
    0xff366ac4,
    0xff3668c3,
    0xff3166bf,
    0xff376cc6,
    0xff376dc2,
    0xff336abd,
    0xff336bbd,
    0xff336ebe,
    0xff3974c6,
    0xff3c77c9,
    0xff366dcd,
    0xff376fcf,
    0xff386fd0,
    0xff376fcc,
    0xff3a73cd,
    0xff3c74ce,
    0xff3b74ca,
    0xff3d76cc,
    0xff3c75ca,
    0xff3a74c9,
    0xff3b72c7,
    0xff3b73c6,
    0xff3168ba,
    0xff2d64b7,
    0xff3467b9,
    0xff396ec1,
    0xff376dc2,
    0xff386ec4,
    0xff386cc3,
    0xff3569bd,
    0xff3568bd,
    0xff3969be,
    0xff3968be,
    0xff3b6ac1,
    0xff6269bd,
    0xff901649,
    0xff9f0009,
    0xffa4010a,
    0xffa00202,
    0xffa20100,
    0xffac0006,
    0xff91090a,
    0xff850401,
    0xff820001,
    0xff6f0000,
    0xff770e11,
    0xffae444c,
    0xff8a3634,
    0xff9b516f,
    0xff7375bb,
    0xff4b77cc,
    0xff4475d8,
    0xff3979de,
    0xff3178d1,
    0xff3374cb,
    0xff3e79d4,
    0xff3b6dc5,
    0xff5268ba,
    0xff95689d,
    0xffa64769,
    0xffa0203a,
    0xff750018,
    0xff6a0316,
    0xff6b0008,
    0xff7c0709,
    0xff710003,
    0xff6d0113,
    0xff740403,
    0xff670100,
    0xff481536,
    0xff6971cd,
    0xff4668d6,
    0xff4572d0,
    0xff336ec4,
    0xff3b79ce,
    0xff3779cc,
    0xff417dc9,
    0xff6e71bb,
    0xff661d39,
    0xff7a1303,
    0xff6c0300,
    0xff77050a,
    0xff7b0009,
    0xff8b0d15,
    0xff9a1a20,
    0xff7c0002,
    0xff710000,
    0xff690103,
    0xff680308,
    0xff670307,
    0xff610502,
    0xff63060c,
    0xff600213,
    0xff730006,
    0xff6a000a,
    0xff67010c,
    0xff560e29,
    0xff832b3b,
    0xff7e0915,
    0xffa10314,
    0xff8f040a,
    0xff6f0507,
    0xff690318,
    0xff480c39,
    0xff5966a5,
    0xff3863b8,
    0xff4b65bc,
    0xff4c46a3,
    0xff52559e,
    0xff4762b1,
    0xff415a90,
    0xff1c1b1f,
    0xff2d2a38,
    0xff3a4f7b,
    0xff304475,
    0xff28538c,
    0xff395195,
    0xff53315e,
    0xff701a25,
    0xff831322,
    0xff740021,
    0xff6f0017,
    0xff640013,
    0xff51031a,
    0xff512042,
    0xff604983,
    0xff6e77c8,
    0xff547bd2,
    0xff4476cc,
    0xff4c74ca,
    0xff4470c6,
    0xff4071c5,
    0xff4373c7,
    0xff4171c5,
    0xff4272c6,
    0xff4370c5,
    0xff4270c6,
    0xff4c78ce,
    0xff507ad2,
    0xff497fd0,
    0xff4581ce,
    0xff497acf,
    0xff4d76d6,
    0xff426fcc,
    0xff407bca,
    0xff407ac0,
    0xff5f75d3,
    0xff9177c6,
    0xff823b6d,
    0xff630724,
    0xff6c001d,
    0xff840026,
    0xff920d35,
    0xff6e0016,
    0xff670422,
    0xff683b6a,
    0xff7772af,
    0xff466fcc,
    0xff3c70c9,
    0xff4c71c2,
    0xff497ce1,
    0xff567ad6,
    0xff5a83dc,
    0xff5a83da,
    0xff5188e2,
    0xff5f84d4,
    0xff967fac,
    0xff9a6e91,
    0xff8578ba,
    0xff6278d1,
    0xff5482dd,
    0xff5484dc,
    0xff4d7dd3,
    0xff4b7dd2,
    0xff497dd3,
    0xff497ed8,
    0xff477eda,
    0xff477fdd,
    0xff4682db,
    0xff457ed8,
    0xff447dd7,
    0xff467dd8,
    0xff487ed9,
    0xff4780da,
    0xff4780da,
    0xff457ed8,
    0xff467fd9,
    0xff457ed8,
    0xff437cd6,
    0xff447dd7,
    0xff457ed8,
    0xff467fd9,
    0xff477fd9,
    0xff457fda,
    0xff4980dc,
    0xff477eda,
    0xff457cd7,
    0xff457cd7,
    0xff447bd5,
    0xff447bd5,
    0xff437ad8,
    0xff4279d6,
    0xff417ad4,
    0xff437cd5,
    0xff447bd9,
    0xff437bd8,
    0xff4078d5,
    0xff4077d4,
    0xff4078d8,
    0xff4078d7,
    0xff4078d4,
    0xff4178d6,
    0xff4078d5,
    0xff4077d5,
    0xff4179d6,
    0xff4078d5,
    0xff4078d7,
    0xff4179d9,
    0xff4078d7,
    0xff4078d8,
    0xff427ad9,
    0xff427ad9,
    0xff4179d8,
    0xff4179d8,
    0xff4078d7,
    0xff3e76d5,
    0xff4179d6,
    0xff4077d5,
    0xff4077d5,
    0xff3f77d4,
    0xff3f77d4,
    0xff3f77d5,
    0xff3e76d3,
    0xff4078d5,
    0xff437cd5,
    0xff427bd5,
    0xff437cd6,
    0xff457bd6,
    0xff467dd8,
    0xff457cd7,
    0xff467dd8,
    0xff467dd8,
    0xff4881da,
    0xff447bd5,
    0xff487fda,
    0xff477fd6,
    0xff467ed5,
    0xff467ed5,
    0xff497ed7,
    0xff487fd6,
    0xff4a81dc,
    0xff4980da,
    0xff477ed8,
    0xff457cd6,
    0xff467dd7,
    0xff467dd7,
    0xff447bd5,
    0xff457cd6,
    0xff487fd9,
    0xff467dd8,
    0xff467dd7,
    0xff4679d4,
    0xff4679d4,
    0xff457cd6,
    0xff427bd4,
    0xff3f79d3,
    0xff447bd5,
    0xff4279d4,
    0xff437ad4,
    0xff447bd5,
    0xff457cd6,
    0xff4279d5,
    0xff4178d3,
    0xff4279d4,
    0xff4477dd,
    0xff4075dc,
    0xff3e78d9,
    0xff417cd0,
    0xff417bcd,
    0xff457ae1,
    0xff4076de,
    0xff427cc3,
    0xff6272c0,
    0xff7373bf,
    0xff917aba,
    0xffb17bad,
    0xffae5b7d,
    0xff9f3244,
    0xffd0555b,
    0xffec6a6b,
    0xffd75049,
    0xffdc5246,
    0xffbb2721,
    0xffb9171f,
    0xffb60c14,
    0xffa50000,
    0xffa50906,
    0xffc83640,
    0xffca4f6a,
    0xff90000d,
    0xffb91918,
    0xffc23426,
    0xff980a06,
    0xffbe481e,
    0xffe4882c,
    0xffca460b,
    0xffdb5d23,
    0xffbb3d06,
    0xffbc2409,
    0xffdf4a41,
    0xffb3371f,
    0xffa42d1e,
    0xffa3181f,
    0xffa11e1a,
    0xff98607b,
    0xff9793bf,
    0xff879cda,
    0xff8899de,
    0xff848fce,
    0xff8088b5,
    0xfff7f1ff,
    0xff9887ae,
    0xff6c6e9f,
    0xff626ca9,
    0xff5266b5,
    0xff5272ca,
    0xff4a72ca,
    0xff4575cd,
    0xff4479d4,
    0xff4079d4,
    0xff447bd4,
    0xff4076d0,
    0xff4177d1,
    0xff3f76cf,
    0xff3e76cf,
    0xff3d75cf,
    0xff3e75cf,
    0xff3e75d0,
    0xff3870cd,
    0xff356eca,
    0xff3671ce,
    0xff3670d2,
    0xff3771d2,
    0xff3670d4,
    0xff3670d3,
    0xff336dd0,
    0xff346dd5,
    0xff356ed7,
    0xff346dd5,
    0xff356ed6,
    0xff3871d8,
    0xff366ed3,
    0xff366ed3,
    0xff356dd2,
    0xff3871d4,
    0xff3772d4,
    0xff3670d3,
    0xff3771d4,
    0xff3874d7,
    0xff3470d3,
    0xff3571d3,
    0xff326fd0,
    0xff326ecf,
    0xff3771cf,
    0xff3a71cc,
    0xff497cd5,
    0xff4e7dd5,
    0xff4f7dd3,
    0xff4e7dd1,
    0xff4775c9,
    0xff3b6ec6,
    0xff356fd0,
    0xff5c72ce,
    0xff7a60a9,
    0xff7263ac,
    0xff4570cc,
    0xff3270d7,
    0xff4668c7,
    0xff4c6acd,
    0xff416dcd,
    0xff3e67c8,
    0xff3e6cc2,
    0xff3477b9,
    0xff367bc1,
    0xff3869bf,
    0xff436fc4,
    0xff3972c4,
    0xff3c77c8,
    0xff3670c1,
    0xff366dbe,
    0xff386cbe,
    0xff3f70c4,
    0xff4674cd,
    0xff4e77cf,
    0xff6363b7,
    0xff454483,
    0xff4b68aa,
    0xff5266b3,
    0xffa9a6d1,
    0xff8d7086,
    0xff756b86,
    0xff60577d,
    0xff5b597b,
    0xff42517a,
    0xff3f507d,
    0xff3e506f,
    0xff365265,
    0xff3c5062,
    0xff404654,
    0xff344443,
    0xff324040,
    0xff364444,
    0xff293936,
    0xff22332d,
    0xff26372f,
    0xff223329,
    0xff1a2a1f,
    0xff18281c,
    0xff0f2017,
    0xff12231c,
    0xff14251d,
    0xff14251c,
    0xff12251f,
    0xff11241e,
    0xff13251f,
    0xff0f231d,
    0xff0a2119,
    0xff0c231d,
    0xff0c201e,
    0xff0a1e1d,
    0xff0a1e1c,
    0xff0d201c,
    0xff132621,
    0xff11251b,
    0xff17271b,
    0xff19291d,
    0xff132016,
    0xff0e1b10,
    0xff0c180e,
    0xff0a160c,
    0xff212d21,
    0xff313b31,
    0xff161a19,
    0xff121716,
    0xff0d1914,
    0xff081613,
    0xff2b3b39,
    0xff04140d,
    0xff081a15,
    0xff03170e,
    0xff26352a,
    0xff0a1911,
    0xff11201c,
    0xff0a1616,
    0xff060d0f,
    0xff0c1212,
    0xff575a5b,
    0xffc2c3c3,
    0xffbec7c3,
    0xff3f4746,
    0xff000000,
    0xff00070d,
    0xff0d181a,
    0xff0c1c1b,
    0xff0c1f19,
    0xff061d10,
    0xff011e09,
    0xff061f0f,
    0xff01180d,
    0xff0a1e1a,
    0xff0a1917,
    0xff0c1613,
    0xff061008,
    0xff0e180d,
    0xff2a3a2d,
    0xff62665f,
    0xff797275,
    0xffa69da7,
    0xffc0c0cb,
    0xffb8bdca,
    0xff828497,
    0xff59586c,
    0xff0d2125,
    0xff00070a,
    0xff071d22,
    0xff01161c,
    0xff0c2125,
    0xff091f1d,
    0xff0c221f,
    0xff0b231b,
    0xff051d1a,
    0xff0d2221,
    0xff132725,
    0xff0b1b1a,
    0xff131f1f,
    0xff162123,
    0xff1a2629,
    0xff1c282c,
    0xff122527,
    0xff0b1e22,
    0xff5e6f74,
    0xff7b8687,
    0xff181d15,
    0xff303226,
    0xff2a2e1e,
    0xff2c3222,
    0xff16180e,
    0xfffffff9,
    0xffffffff,
    0xff4b494b,
    0xff918f8f,
    0xffb0afa9,
    0xff525549,
    0xff292b1d,
    0xff969482,
    0xff1d1907,
    0xffb5b4b1,
    0xff2f301d,
    0xff373b1d,
    0xff343515,
    0xff36370d,
    0xff3c3a1a,
    0xff423914,
    0xff423611,
    0xff3d2f0c,
    0xff3f310f,
    0xff3e2e0d,
    0xff3b2c0b,
    0xff3b2b0c,
    0xff382c0c,
    0xff342a0e,
    0xff332a0f,
    0xff2c240a,
    0xff2e2610,
    0xff2e2612,
    0xff312512,
    0xff342a13,
    0xff332811,
    0xff35270c,
    0xff37290d,
    0xff36260e,
    0xff34260c,
    0xff241701,
    0xff1d1300,
    0xff564f3d,
    0xffaea798,
    0xffe1d5c9,
    0xffb0a795,
    0xff9b9786,
    0xffa69f94,
    0xffada1a3,
    0xffcdc1c7,
    0xff958a8b,
    0xff6d6863,
    0xffa09f9b,
    0xff7e7d79,
    0xff6d6b67,
    0xff5f5a58,
    0xff797573,
    0xff787471,
    0xff4e4949,
    0xff94918f,
    0xff60655e,
    0xff626359,
    0xff5b574f,
    0xff58534d,
    0xff3c3838,
    0xff645f64,
    0xff948e92,
    0xffd6ccce,
    0xff2b2e20,
    0xff8b8f8c,
    0xff29282b,
    0xff201c23,
    0xff7a7881,
    0xffbabfc6,
    0xff626c66,
    0xff4d584d,
    0xff333d3b,
    0xff1c2024,
    0xffd1ced1,
    0xff4b4744,
    0xff5b5a53,
    0xff3d3f36,
    0xff44433f,
    0xffc4bec1,
    0xff3f2a25,
    0xff7b574d,
    0xffac7b6c,
    0xfff0c8bd,
    0xffceb9b0,
    0xffb29e8c,
    0xff62483b,
    0xff5b464c,
    0xff696567,
    0xffa98e8f,
    0xff8c787d,
    0xff766a75,
    0xff8a6c3f,
    0xffdfa054,
    0xffd68729,
    0xffb95a06,
    0xffa4610c,
    0xffd7b5a5,
    0xffaea5af,
    0xff655853,
    0xffcecbcc,
    0xffe3d5e9,
    0xff6c767d,
    0xffa29ea9,
    0xffc71512,
    0xffab1e1c,
    0xff7a070c,
    0xff750810,
    0xff7f0f14,
    0xff8d0b10,
    0xff9d0510,
    0xffad0b1d,
    0xffa60d1f,
    0xffad081a,
    0xffb10d1b,
    0xffb6161f,
    0xffb60d1a,
    0xffbe0f22,
    0xffbf0a1e,
    0xffbb0218,
    0xffa51623,
    0xff8a577c,
    0xff4b68aa,
    0xff4268bb,
    0xff3e69b7,
    0xff2e71b6,
    0xff3472be,
    0xff3b6bbc,
    0xff386ec1,
    0xff3169bb,
    0xff336abd,
    0xff346bbf,
    0xff3164bc,
    0xff3063bc,
    0xff3164be,
    0xff3365c0,
    0xff3169bf,
    0xff2c65b8,
    0xff3169bb,
    0xff306bbb,
    0xff326dbd,
    0xff346fc2,
    0xff3872c7,
    0xff3771c7,
    0xff3974c3,
    0xff306bba,
    0xff3770c2,
    0xff356fc0,
    0xff356fc0,
    0xff3a74c4,
    0xff3b76c4,
    0xff3874c0,
    0xff336dc0,
    0xff346fc2,
    0xff3a71c6,
    0xff3870c5,
    0xff356dc2,
    0xff3e74ca,
    0xff3c73c8,
    0xff366cc2,
    0xff3c6cc1,
    0xff3c6ec3,
    0xff386ec1,
    0xff3b72c5,
    0xff3c73c6,
    0xff4776cc,
    0xff416cc3,
    0xff4368c2,
    0xff705fb8,
    0xff8f102f,
    0xff9a0400,
    0xffa10609,
    0xffa30107,
    0xffa20100,
    0xffa40005,
    0xff7d030f,
    0xff720708,
    0xff690000,
    0xff600000,
    0xffa7383f,
    0xff6b0007,
    0xff831219,
    0xff9c597e,
    0xff5963b8,
    0xff3c70c7,
    0xff3b6dca,
    0xff3572ca,
    0xff3270c5,
    0xff3e72cd,
    0xff3c70c8,
    0xff4b64ad,
    0xff8a65a3,
    0xffab4c77,
    0xffa12643,
    0xff850413,
    0xff6b0008,
    0xff640412,
    0xff710519,
    0xff881321,
    0xff770b0b,
    0xff6d050e,
    0xff730509,
    0xff690000,
    0xff4f1437,
    0xff6175c6,
    0xff3b71ce,
    0xff4576c3,
    0xff4475bf,
    0xff4171c6,
    0xff4474d0,
    0xff3d6ccd,
    0xff5964ce,
    0xff634383,
    0xff7c465a,
    0xff883c5a,
    0xff6d0019,
    0xff73030a,
    0xff760105,
    0xff810308,
    0xff7f0102,
    0xff840d0d,
    0xff740403,
    0xff6c0103,
    0xff6c050a,
    0xff6a0401,
    0xff61020a,
    0xff5e0115,
    0xff750100,
    0xff710100,
    0xff6e0300,
    0xff74070b,
    0xff6a030c,
    0xff760616,
    0xff950715,
    0xff8c0507,
    0xff700608,
    0xff490010,
    0xff483a60,
    0xff4179a1,
    0xff2d77a7,
    0xff3a6caf,
    0xff626cb5,
    0xff524984,
    0xff585a98,
    0xff7d86b8,
    0xff242631,
    0xff3b4052,
    0xff69799d,
    0xffc9b7d9,
    0xffb2afd1,
    0xff706c9d,
    0xff9a74a0,
    0xff8a3a46,
    0xff851e28,
    0xffb85570,
    0xff852b46,
    0xff640010,
    0xff620612,
    0xff520011,
    0xff4c032b,
    0xff593872,
    0xff5b65ae,
    0xff496fbf,
    0xff4774c5,
    0xff4373c4,
    0xff4172c6,
    0xff4477ca,
    0xff497ccf,
    0xff4f81d7,
    0xff5282d7,
    0xff5280d5,
    0xff5681d8,
    0xff517ed6,
    0xff487dcf,
    0xff467bcb,
    0xff4a7ad2,
    0xff487dd9,
    0xff4980d5,
    0xff5c7dc6,
    0xff807dc1,
    0xff8d4786,
    0xff7e0738,
    0xff9a001b,
    0xff96000c,
    0xffa0071b,
    0xffa30022,
    0xff9e0222,
    0xff8b0717,
    0xff890212,
    0xff7a0220,
    0xff6c1e45,
    0xff7b7dc7,
    0xff7375bf,
    0xff7d72ad,
    0xff5482d7,
    0xff4a85d4,
    0xff4882ca,
    0xff5980d0,
    0xff607ee1,
    0xff8e73bd,
    0xffa94f65,
    0xff9e678b,
    0xff5d78cc,
    0xff4a7ddb,
    0xff517bd3,
    0xff537bd2,
    0xff5077ce,
    0xff5278d0,
    0xff527cd4,
    0xff4d7cd3,
    0xff487bd7,
    0xff447bd6,
    0xff437bd6,
    0xff447ed8,
    0xff467dd8,
    0xff457bd5,
    0xff457bd5,
    0xff447bd5,
    0xff437cd5,
    0xff437cd5,
    0xff447dd8,
    0xff437cd6,
    0xff447dd7,
    0xff447dd7,
    0xff457ed8,
    0xff427bd5,
    0xff437cd5,
    0xff4780d9,
    0xff427bd5,
    0xff427bd5,
    0xff417ad4,
    0xff427bd4,
    0xff4078d6,
    0xff3f77d4,
    0xff3f77d4,
    0xff3e76d3,
    0xff3b75d2,
    0xff3b77d3,
    0xff3a75d1,
    0xff3a76d1,
    0xff3b76d4,
    0xff3b76d4,
    0xff3c77d5,
    0xff3c78d5,
    0xff3a75d4,
    0xff3b76d1,
    0xff3a75d1,
    0xff3b76d2,
    0xff3d78d4,
    0xff3c78d6,
    0xff3c77d8,
    0xff3d78d9,
    0xff3e75d4,
    0xff3e76d5,
    0xff3f77d6,
    0xff3f77d6,
    0xff4179d8,
    0xff427ad9,
    0xff4279d9,
    0xff427ad9,
    0xff4078d5,
    0xff4078d5,
    0xff4179d6,
    0xff4078d5,
    0xff4078d5,
    0xff4078d5,
    0xff3f77d4,
    0xff4078d5,
    0xff417dd6,
    0xff407cd6,
    0xff427bd5,
    0xff417ad4,
    0xff417bd5,
    0xff417ad4,
    0xff4379d4,
    0xff437ad5,
    0xff4780da,
    0xff437cd6,
    0xff447dd6,
    0xff447dd6,
    0xff457bd6,
    0xff467cd7,
    0xff457ed4,
    0xff447cd3,
    0xff417ad4,
    0xff427bd5,
    0xff437cd6,
    0xff457ed8,
    0xff457fd9,
    0xff457fd9,
    0xff4780da,
    0xff467fd9,
    0xff457ed8,
    0xff477ed9,
    0xff467bd7,
    0xff497bd7,
    0xff487ed8,
    0xff467dd8,
    0xff407dd4,
    0xff4481d8,
    0xff457dd5,
    0xff477fd5,
    0xff457cd7,
    0xff467dd7,
    0xff457cd7,
    0xff457cd7,
    0xff437ad5,
    0xff437ad6,
    0xff417bd9,
    0xff4b7edc,
    0xff4a7add,
    0xff457fd7,
    0xff4280d1,
    0xff4e7ae1,
    0xff5f6cc8,
    0xff8a7ea2,
    0xffa66a7e,
    0xff97414c,
    0xffba484c,
    0xffc74245,
    0xffba323b,
    0xffe25d69,
    0xffdb5a67,
    0xffd6525d,
    0xffd94c5a,
    0xffc83535,
    0xffdc4a45,
    0xffd94a4a,
    0xffbb3035,
    0xffc94241,
    0xfff66e73,
    0xfff16474,
    0xffe2575b,
    0xffb70e18,
    0xffb80613,
    0xffa60e01,
    0xffab0b04,
    0xff9f060d,
    0xffd76343,
    0xffb32509,
    0xffac0400,
    0xffb30900,
    0xffca1603,
    0xffc8150f,
    0xffc2251f,
    0xff9c1111,
    0xff981a20,
    0xff841c27,
    0xff7073aa,
    0xff7389c0,
    0xff416199,
    0xff6176ae,
    0xffb0b2df,
    0xffb7b5e5,
    0xff575e8e,
    0xff414a75,
    0xff55629e,
    0xff5873bd,
    0xff4b77cd,
    0xff4a7bd9,
    0xff4d7ad9,
    0xff5581dc,
    0xff487ed6,
    0xff3d7cd3,
    0xff3d77d0,
    0xff3f77d5,
    0xff3d74d3,
    0xff3f77d9,
    0xff3c77d7,
    0xff3974d2,
    0xff3973ce,
    0xff3a76ce,
    0xff3774d0,
    0xff3773d0,
    0xff3673cf,
    0xff3673d3,
    0xff3871d3,
    0xff3670d1,
    0xff3872d5,
    0xff3771d4,
    0xff376dd2,
    0xff3973d8,
    0xff3872d6,
    0xff3671d4,
    0xff3670d3,
    0xff326ed0,
    0xff336fd1,
    0xff336fd1,
    0xff376fd3,
    0xff386ed3,
    0xff366dd1,
    0xff3770d4,
    0xff3570d3,
    0xff356fd2,
    0xff356fd2,
    0xff356fd2,
    0xff3970d2,
    0xff386ccd,
    0xff3d71cf,
    0xff3b6dca,
    0xff3e6fcb,
    0xff396dc7,
    0xff3e71cf,
    0xff396dcb,
    0xff3a6ad2,
    0xff4862c5,
    0xff835fa3,
    0xff8c2545,
    0xff993056,
    0xff89589d,
    0xff7162ad,
    0xff836ba4,
    0xff766d98,
    0xff4c62a6,
    0xff3f66bf,
    0xff4361c0,
    0xff565aae,
    0xff775195,
    0xff956cae,
    0xff635db8,
    0xff3968c9,
    0xff3268c8,
    0xff336dc9,
    0xff306ac5,
    0xff326dc5,
    0xff3771c8,
    0xff3570c3,
    0xff346ec2,
    0xff5065bf,
    0xff3d3672,
    0xff506caf,
    0xff3f56a3,
    0xffe8e0ff,
    0xff715763,
    0xff5e6686,
    0xff565883,
    0xff445883,
    0xff395789,
    0xff3f558b,
    0xff395178,
    0xff30536e,
    0xff314b69,
    0xff35445b,
    0xff2e4449,
    0xff313e40,
    0xff2a3b3b,
    0xff374746,
    0xff2a3e39,
    0xff182c25,
    0xff14251d,
    0xff14231a,
    0xff112117,
    0xff14251d,
    0xff102119,
    0xff0e1f17,
    0xff10201b,
    0xff0e211c,
    0xff0f221c,
    0xff11231d,
    0xff0e221c,
    0xff0e241c,
    0xff0d241e,
    0xff0a211e,
    0xff0c201f,
    0xff0b1e1e,
    0xff0a1d1a,
    0xff0d1e18,
    0xff0a1b12,
    0xff0b1e10,
    0xff0d1f12,
    0xff08190f,
    0xff0a1a10,
    0xff0c1911,
    0xff0b180f,
    0xff0a150c,
    0xff071209,
    0xff05100a,
    0xff08160f,
    0xff071510,
    0xff091816,
    0xff142421,
    0xff6a7974,
    0xff6c7975,
    0xff344039,
    0xff101813,
    0xff1d2523,
    0xff051411,
    0xff081716,
    0xff011112,
    0xff0c1818,
    0xff000402,
    0xff000000,
    0xff353834,
    0xffc7cac7,
    0xfff7f9f9,
    0xffc3c5c7,
    0xff44494b,
    0xff000000,
    0xff02120e,
    0xff0d1f19,
    0xff0c2111,
    0xff0a1e11,
    0xff081a12,
    0xff071a17,
    0xff081a18,
    0xff071813,
    0xff0d1f12,
    0xff0a1c0f,
    0xff0d1a1a,
    0xff0f1313,
    0xff211d17,
    0xff2f2b1b,
    0xff565943,
    0xff4b4d3d,
    0xff918d88,
    0xffa59b9f,
    0xffb5b9b9,
    0xffa9afb1,
    0xff3f464b,
    0xff3a444b,
    0xff000910,
    0xff000a0f,
    0xff081a1d,
    0xff091c1c,
    0xff0b1d1b,
    0xff0e201e,
    0xff031312,
    0xff162725,
    0xff0f1f1f,
    0xff102024,
    0xff0c2025,
    0xff11242b,
    0xff112331,
    0xff142930,
    0xff061b1d,
    0xff929f9f,
    0xff606668,
    0xff262926,
    0xff2c3225,
    0xff323b26,
    0xff3f4232,
    0xff343629,
    0xfff8f8f0,
    0xffffffff,
    0xff666161,
    0xff595855,
    0xff868682,
    0xff91918d,
    0xff706a52,
    0xff2d260d,
    0xffbdb8af,
    0xff30321c,
    0xff3a401f,
    0xff383c1c,
    0xff393b12,
    0xff353617,
    0xff393713,
    0xff3b3a16,
    0xff3e3815,
    0xff3a3111,
    0xff3f3413,
    0xff3d3212,
    0xff392f0e,
    0xff352909,
    0xff382c0c,
    0xff352a0b,
    0xff352b0f,
    0xff2e240b,
    0xff2c200a,
    0xff281d09,
    0xff251705,
    0xff2b1d0a,
    0xff271b08,
    0xff3b2f1b,
    0xff493d29,
    0xff564937,
    0xffa49889,
    0xffc9bfb2,
    0xffcbc4bb,
    0xffe0d8d0,
    0xffc4b7ae,
    0xffaca396,
    0xff888073,
    0xffb1aa9b,
    0xffbab0a1,
    0xff83776c,
    0xff978d87,
    0xff6e6763,
    0xff7a7b75,
    0xff9ea09a,
    0xff70716d,
    0xff595a55,
    0xff8b8b86,
    0xff898884,
    0xff53524e,
    0xff777672,
    0xff303731,
    0xff464941,
    0xffbfbdb3,
    0xff504d47,
    0xff454541,
    0xff2e3032,
    0xff343336,
    0xff525051,
    0xff474a49,
    0xff64625b,
    0xff83807f,
    0xff383b3d,
    0xff04060d,
    0xff52555b,
    0xffb3b7bc,
    0xff989ba0,
    0xff4f535d,
    0xff7c7b7f,
    0xff777370,
    0xff24211c,
    0xff646460,
    0xff333332,
    0xff656064,
    0xff85787c,
    0xffb58d8c,
    0xfff1ada2,
    0xffc4847b,
    0xff523834,
    0xff3a3933,
    0xff4c4d43,
    0xff887b6c,
    0xffc9a88e,
    0xffce9962,
    0xffa5683b,
    0xff825236,
    0xff765052,
    0xff7b5044,
    0xff9f7360,
    0xffae7c42,
    0xff995400,
    0xffae6715,
    0xffb78b62,
    0xffd0b9ba,
    0xff473f50,
    0xffb9c0ca,
    0xffe2d7e3,
    0xff646b76,
    0xffb7abbf,
    0xffbd0a13,
    0xff940f13,
    0xff75000c,
    0xff7e0213,
    0xff7f0912,
    0xff8d0e15,
    0xff9a0712,
    0xffa50f1c,
    0xffaf1c23,
    0xffb10b16,
    0xffae040d,
    0xffc01922,
    0xffbd111f,
    0xffb8151c,
    0xffad1111,
    0xffb90709,
    0xffb50b10,
    0xff972b58,
    0xff6366b0,
    0xff4068c0,
    0xff4268c0,
    0xff3670c3,
    0xff3671c5,
    0xff3b73c9,
    0xff356abc,
    0xff3267b7,
    0xff2e63b3,
    0xff3369ba,
    0xff3b6ec2,
    0xff3768be,
    0xff3a6bc1,
    0xff366ac2,
    0xff346cc3,
    0xff3a73ca,
    0xff356ec4,
    0xff3a73c9,
    0xff3a73cc,
    0xff396fcc,
    0xff3c72d3,
    0xff3e73d5,
    0xff3975c8,
    0xff3674c7,
    0xff3370c7,
    0xff3971cc,
    0xff3972ce,
    0xff346cc8,
    0xff356dca,
    0xff3770ca,
    0xff3c75cd,
    0xff3870c8,
    0xff3770c8,
    0xff3972c9,
    0xff3b75cd,
    0xff3d74ce,
    0xff3b72cd,
    0xff4076d0,
    0xff4270c5,
    0xff4575c8,
    0xff3c72c5,
    0xff3976c7,
    0xff3a73c5,
    0xff3d6dc2,
    0xff4c74cf,
    0xff4d67c5,
    0xff8d4e81,
    0xff95000b,
    0xffa50600,
    0xffa7010d,
    0xff9c0110,
    0xff890a05,
    0xff8d0102,
    0xff7b0100,
    0xff61000d,
    0xff5b0006,
    0xff781b20,
    0xff7f151f,
    0xff610000,
    0xff922224,
    0xff7d5570,
    0xff4064b4,
    0xff386dc2,
    0xff3d6abc,
    0xff3665af,
    0xff3962b0,
    0xff385ab3,
    0xff385cac,
    0xff796fa5,
    0xffa94c72,
    0xff9c2549,
    0xff900c2c,
    0xff7c0008,
    0xff6b0400,
    0xff670e13,
    0xff801c36,
    0xff6e0015,
    0xff6f0001,
    0xff790505,
    0xff770005,
    0xff5f000f,
    0xff654a7c,
    0xff396dbc,
    0xff2b6cb5,
    0xff3e6eb6,
    0xff336ac8,
    0xff3266bf,
    0xff3562b9,
    0xff2b61ab,
    0xff2757a7,
    0xff3f61b1,
    0xff5266ab,
    0xff5d4178,
    0xff57000a,
    0xff6c0809,
    0xff700205,
    0xff760000,
    0xff7b0000,
    0xffa72927,
    0xff730000,
    0xff6d0000,
    0xff710407,
    0xff710000,
    0xff660106,
    0xff600515,
    0xff6e0600,
    0xff670509,
    0xff5f080a,
    0xff6e0308,
    0xff670a20,
    0xff700317,
    0xff84040e,
    0xff7d0501,
    0xff630300,
    0xff531729,
    0xff535070,
    0xff314b71,
    0xff36476e,
    0xff204658,
    0xff223757,
    0xff362c46,
    0xff5e4356,
    0xffae9eac,
    0xff23252d,
    0xff3d394e,
    0xff462f42,
    0xff5d2853,
    0xff5c1516,
    0xff620b06,
    0xff822538,
    0xff842835,
    0xff6f1511,
    0xffa1473f,
    0xffad4c45,
    0xff5d040e,
    0xff5d010e,
    0xff680118,
    0xff620018,
    0xff4d0b2a,
    0xff6b608a,
    0xff5673b6,
    0xff4f7bd2,
    0xff497cd0,
    0xff477acd,
    0xff467bcd,
    0xff4b7fd4,
    0xff4d81d4,
    0xff4e80d8,
    0xff4a79d1,
    0xff4a79ce,
    0xff5080dc,
    0xff5081d6,
    0xff577fd7,
    0xff5681dd,
    0xff4f84df,
    0xff5481d4,
    0xff766dba,
    0xff5e175f,
    0xff630010,
    0xff800616,
    0xff900418,
    0xff910417,
    0xff8c0619,
    0xff8f0419,
    0xff8f0415,
    0xff89010e,
    0xff77071b,
    0xff8d061d,
    0xff951c31,
    0xff8f6394,
    0xff844a78,
    0xff83395d,
    0xff6b7ac2,
    0xff4a84cf,
    0xff4485d4,
    0xff5377c9,
    0xff8673bd,
    0xffa45078,
    0xffa94c65,
    0xff8575b8,
    0xff4674d8,
    0xff597ad1,
    0xff5777ce,
    0xff667fd6,
    0xff6579d1,
    0xff5f74ca,
    0xff5c75cc,
    0xff5375ce,
    0xff4d7dd7,
    0xff467ed7,
    0xff477eda,
    0xff467dd7,
    0xff457bd5,
    0xff497cd7,
    0xff487cd7,
    0xff447ad2,
    0xff447bd1,
    0xff457dd3,
    0xff457ed6,
    0xff467fd7,
    0xff457ed7,
    0xff447dd7,
    0xff427bd4,
    0xff437bd7,
    0xff427ad7,
    0xff4279d7,
    0xff4079d3,
    0xff4079d3,
    0xff3f78d2,
    0xff3f77d5,
    0xff3f76d3,
    0xff3f76d3,
    0xff3f77d6,
    0xff3f76d6,
    0xff3b77d3,
    0xff3c77d3,
    0xff3b76d2,
    0xff3f7ad8,
    0xff3e7ad7,
    0xff3d78d6,
    0xff3a74d3,
    0xff3871d3,
    0xff3874d1,
    0xff3974d2,
    0xff3873cf,
    0xff3974d0,
    0xff3974cf,
    0xff3973d2,
    0xff3872d3,
    0xff3771d4,
    0xff3b75d3,
    0xff3b74d3,
    0xff3c74d3,
    0xff3c74d2,
    0xff3e76d4,
    0xff3f76d5,
    0xff3e77d5,
    0xff3e77d5,
    0xff3f77d4,
    0xff3f77d5,
    0xff3f77d4,
    0xff3f77d4,
    0xff3f77d5,
    0xff3f78d5,
    0xff3e76d3,
    0xff3f78d5,
    0xff3a75ce,
    0xff3b76d0,
    0xff3c77d0,
    0xff3b77d1,
    0xff3f78d2,
    0xff3f78d1,
    0xff4079d3,
    0xff417ad3,
    0xff3e79d3,
    0xff407cd6,
    0xff4078d2,
    0xff4179d4,
    0xff4079d2,
    0xff4079d2,
    0xff4279d3,
    0xff4279d3,
    0xff4079d3,
    0xff437cd6,
    0xff437cd6,
    0xff437cd6,
    0xff417ad3,
    0xff417ad3,
    0xff447dd7,
    0xff417ad4,
    0xff3f7bd7,
    0xff437ad8,
    0xff437ad5,
    0xff487ed9,
    0xff487ed8,
    0xff4a82db,
    0xff4381d8,
    0xff4484da,
    0xff457ed3,
    0xff4981d8,
    0xff4780d6,
    0xff477ed8,
    0xff467ed7,
    0xff467ed8,
    0xff477edb,
    0xff467dd9,
    0xff3b82cd,
    0xff477dcc,
    0xff537ad9,
    0xff497ad4,
    0xff457ecf,
    0xff697bd9,
    0xff9f6db5,
    0xffb6505b,
    0xffbd3423,
    0xff99130f,
    0xffce4f5a,
    0xffc64a61,
    0xffd2586f,
    0xffc95365,
    0xffd46a75,
    0xffc75f67,
    0xff940014,
    0xffd42e40,
    0xffd63643,
    0xffce3f46,
    0xffeb5f5e,
    0xffea5147,
    0xffcf4037,
    0xffc84b47,
    0xffb00e10,
    0xffc00708,
    0xffd21324,
    0xffb20b08,
    0xffb4060a,
    0xffa80014,
    0xffab1b1d,
    0xff9b0000,
    0xffc80506,
    0xffc60a0c,
    0xffc10f0f,
    0xffc5141b,
    0xffd22825,
    0xffb42609,
    0xff7f1c0e,
    0xffb476a3,
    0xff8891c5,
    0xff9e9bc7,
    0xffc9cfe7,
    0xffaebcd8,
    0xff6e7495,
    0xff7b8ac5,
    0xff6e91df,
    0xff7195db,
    0xff7393ed,
    0xff648ce1,
    0xff5b8fdd,
    0xff4880d3,
    0xff457dd7,
    0xff3d73d2,
    0xff4075d2,
    0xff3d75cc,
    0xff3873cd,
    0xff3772d0,
    0xff3872d5,
    0xff356fd4,
    0xff3571d4,
    0xff3b77d7,
    0xff3b78d1,
    0xff3576cb,
    0xff3272d1,
    0xff3675d5,
    0xff3773d4,
    0xff3673d3,
    0xff3973d4,
    0xff3872d3,
    0xff336dcd,
    0xff356fd0,
    0xff3b73d3,
    0xff386fd1,
    0xff376ed0,
    0xff3873d5,
    0xff3771d3,
    0xff3470d0,
    0xff3271d0,
    0xff316ece,
    0xff366dcd,
    0xff376dce,
    0xff376dcf,
    0xff3b70d3,
    0xff3c73d4,
    0xff3a71d4,
    0xff386fd1,
    0xff396fd2,
    0xff3c6bcd,
    0xff3f6acd,
    0xff3d6acd,
    0xff3c6ccf,
    0xff3a6cce,
    0xff376cce,
    0xff3369cc,
    0xff356fd3,
    0xff476bc1,
    0xff8378c0,
    0xff9e527a,
    0xffa82b36,
    0xff9d111c,
    0xffb83447,
    0xffba4549,
    0xffc95b47,
    0xffc56d69,
    0xffa05675,
    0xff9f5a82,
    0xffa46281,
    0xffbc6878,
    0xffbd5645,
    0xffd28a8d,
    0xff5255a3,
    0xff3161c7,
    0xff2a61c7,
    0xff2d68ce,
    0xff2a66cc,
    0xff2f68cf,
    0xff3469cf,
    0xff386cd0,
    0xff356acb,
    0xff3963bf,
    0xff3e4479,
    0xff4567ac,
    0xff30529e,
    0xffeeecf6,
    0xff6d6063,
    0xff496785,
    0xff455984,
    0xff42567e,
    0xff425783,
    0xff434f7d,
    0xff445274,
    0xff3d566c,
    0xff3c4e66,
    0xff464a5d,
    0xff414e53,
    0xff384647,
    0xff374847,
    0xff2b3b3a,
    0xff263936,
    0xff2b3e3a,
    0xff2d3e37,
    0xff22342c,
    0xff23322c,
    0xff1d2d26,
    0xff192a22,
    0xff15251e,
    0xff13241e,
    0xff0c1f18,
    0xff0c1f19,
    0xff0c1f19,
    0xff0e221b,
    0xff0f251f,
    0xff122a23,
    0xff122825,
    0xff0f2322,
    0xff0c1e1e,
    0xff0e221f,
    0xff10211a,
    0xff0f1f16,
    0xff0b2214,
    0xff0d2116,
    0xff091e15,
    0xff031711,
    0xff081813,
    0xff091814,
    0xff0a1911,
    0xff0e1c12,
    0xff071a0f,
    0xff05180f,
    0xff051912,
    0xff071815,
    0xff091a17,
    0xff051210,
    0xff101a16,
    0xff525a55,
    0xff949192,
    0xff8b8d90,
    0xff7f898c,
    0xff637475,
    0xff576c6d,
    0xff667877,
    0xff81918c,
    0xffa8b2ae,
    0xffd1d0cc,
    0xff555450,
    0xff41403e,
    0xff838483,
    0xffdcdedc,
    0xffebf2f0,
    0xff899292,
    0xff121c1c,
    0xff020b0d,
    0xff0f1815,
    0xff101d15,
    0xff0d1d10,
    0xff0a1f11,
    0xff0f2418,
    0xff061c14,
    0xff0f251f,
    0xff0d2012,
    0xff102015,
    0xff102319,
    0xff152a20,
    0xff071c10,
    0xff112417,
    0xff14221c,
    0xff37413f,
    0xff6a6360,
    0xff6d6665,
    0xff706d72,
    0xffa4a4ad,
    0xffc0c6d1,
    0xff87919b,
    0xff4b5962,
    0xff0d1d24,
    0xff091614,
    0xff3f4c49,
    0xff4a5757,
    0xff01100f,
    0xff102423,
    0xff142c2d,
    0xff0f2a2f,
    0xff0c2b30,
    0xff122439,
    0xff192d38,
    0xff394e4f,
    0xff172528,
    0xff9aa1aa,
    0xff4b4e54,
    0xff242b22,
    0xff242e18,
    0xff565949,
    0xff38382a,
    0xff2d2b22,
    0xfffffdf8,
    0xffffffff,
    0xff98969a,
    0xff67676c,
    0xff7e7e7e,
    0xff4f452a,
    0xff3e3815,
    0xffb6b1a1,
    0xff3a3c1f,
    0xff3e441e,
    0xff3e421e,
    0xff3e4215,
    0xff3e4020,
    0xff3b421e,
    0xff414624,
    0xff3c3d1c,
    0xff514e2d,
    0xff443f1f,
    0xff393415,
    0xff3a3415,
    0xff393211,
    0xff3e3110,
    0xff35290a,
    0xff32250b,
    0xff261d05,
    0xff6c624c,
    0xffb2a995,
    0xff9e907e,
    0xff9d907f,
    0xffe6dbcd,
    0xffe1d6cb,
    0xfff4eade,
    0xffd2c7bd,
    0xffc3bab2,
    0xffbab3ab,
    0xffa8a2a0,
    0xffb4b0ae,
    0xffb2aea1,
    0xff888480,
    0xffcac8c8,
    0xff92918d,
    0xffb4b2a1,
    0xff99967f,
    0xff767567,
    0xff6a6964,
    0xff32352c,
    0xff4b4e45,
    0xff989c94,
    0xff464843,
    0xff62645f,
    0xff50524d,
    0xff767873,
    0xff43443e,
    0xff262a2b,
    0xff2b2b29,
    0xff6b6964,
    0xff82817b,
    0xff989d97,
    0xff313939,
    0xff3b4644,
    0xff7f8785,
    0xff131825,
    0xff312a29,
    0xff67635c,
    0xff717877,
    0xff656d6f,
    0xff27282e,
    0xff2b2838,
    0xffc1c0d6,
    0xff7e7b8f,
    0xffd4d3d8,
    0xff000000,
    0xff37342d,
    0xff1c1d1c,
    0xffa09ea7,
    0xffe3dae1,
    0xffb8a3a6,
    0xffc1916f,
    0xffe2915c,
    0xffc07b4c,
    0xff402a10,
    0xff38352c,
    0xff2d251f,
    0xff6a4923,
    0xffad6b1b,
    0xff8d3a00,
    0xff7b431f,
    0xff7f5839,
    0xff874e22,
    0xffe0a062,
    0xff7e5642,
    0xff866b5e,
    0xff9e6746,
    0xff995414,
    0xff976929,
    0xffffe3d9,
    0xff948cb0,
    0xffb2bccf,
    0xffe2d7e0,
    0xff686f79,
    0xffbaa8c4,
    0xffab0d0e,
    0xff870009,
    0xff98071f,
    0xffa40d21,
    0xff88030f,
    0xff81000d,
    0xff91000e,
    0xffa20b12,
    0xffb20a1c,
    0xffb30717,
    0xffaf0811,
    0xffba1219,
    0xffba1118,
    0xffba161b,
    0xffba1619,
    0xffbc1714,
    0xffbc1b0f,
    0xffb43e59,
    0xff7960a0,
    0xff3c66b9,
    0xff3e66bd,
    0xff4967ba,
    0xff3d6bb9,
    0xff356ebf,
    0xff356bd2,
    0xff3a70c5,
    0xff3373b7,
    0xff2d75c6,
    0xff2968c3,
    0xff3765bf,
    0xff436fc8,
    0xff3c75ce,
    0xff3873cd,
    0xff3873cd,
    0xff306cc5,
    0xff336fc9,
    0xff3b77d1,
    0xff3d79d2,
    0xff3c76d1,
    0xff366fca,
    0xff3a72cd,
    0xff3f77d1,
    0xff3a73ce,
    0xff3972cc,
    0xff3770ca,
    0xff366fc9,
    0xff356ec8,
    0xff366fc9,
    0xff3471ca,
    0xff3672cc,
    0xff3672cc,
    0xff3a73cc,
    0xff3871ca,
    0xff3971c7,
    0xff3a71c8,
    0xff3a6fc8,
    0xff3f75d0,
    0xff506fc8,
    0xff4277ce,
    0xff2f7acc,
    0xff336db7,
    0xff3f74bf,
    0xff4a6fc9,
    0xff7464c0,
    0xff721d3f,
    0xff960214,
    0xffa30009,
    0xff980507,
    0xff940600,
    0xff890108,
    0xff7e0116,
    0xff720008,
    0xff6b0013,
    0xff520800,
    0xff7e1713,
    0xff670208,
    0xff700714,
    0xffa0354a,
    0xff72618b,
    0xff386abd,
    0xff2d63b7,
    0xff3266ac,
    0xff3669b1,
    0xff3465bb,
    0xff3f62b7,
    0xff6c65a1,
    0xff8d4b6e,
    0xff9d2746,
    0xffa62136,
    0xff740010,
    0xff6d0312,
    0xff620005,
    0xff6a0003,
    0xff6e0001,
    0xff70010a,
    0xff68010c,
    0xff68020c,
    0xff7b0708,
    0xff58010f,
    0xff60568d,
    0xff386bbe,
    0xff3068b9,
    0xff3362b2,
    0xff3266bd,
    0xff2464b6,
    0xff3663bd,
    0xff2a62be,
    0xff2d5ec0,
    0xff3663bc,
    0xff425c9d,
    0xff4b234a,
    0xff4a000a,
    0xff690009,
    0xff6c040e,
    0xff941d10,
    0xffc62a1b,
    0xffa1241e,
    0xff660000,
    0xff640500,
    0xff650602,
    0xff650104,
    0xff690206,
    0xff6e0307,
    0xff720203,
    0xff710105,
    0xff680004,
    0xff670508,
    0xff670a13,
    0xff740518,
    0xff6b0008,
    0xff6c0916,
    0xff540619,
    0xff3d1825,
    0xff232d2f,
    0xff0a2835,
    0xff102748,
    0xff203646,
    0xff1a2b35,
    0xff171a35,
    0xffa69fa9,
    0xff44362f,
    0xff513647,
    0xff67303f,
    0xff5f0c0f,
    0xff610104,
    0xff740306,
    0xff7a0107,
    0xff720001,
    0xff700001,
    0xff780308,
    0xff650000,
    0xff590000,
    0xff6c0a17,
    0xff5f0b11,
    0xff640100,
    0xff690008,
    0xff59020b,
    0xff4f1738,
    0xff56559c,
    0xff4468af,
    0xff386abe,
    0xff4072c7,
    0xff4879cf,
    0xff4476cb,
    0xff3f71c8,
    0xff3e72c8,
    0xff4377cc,
    0xff497cd3,
    0xff4b7dda,
    0xff4683d4,
    0xff537dd2,
    0xff4d7fdd,
    0xff4681e2,
    0xff5079d4,
    0xff606fba,
    0xff764b93,
    0xff943d66,
    0xff69001e,
    0xff70000e,
    0xff75000f,
    0xff74000d,
    0xff7c0010,
    0xff7c0011,
    0xff71000c,
    0xff7f0015,
    0xff920c27,
    0xff8e071f,
    0xffbb667d,
    0xffa35060,
    0xff681b40,
    0xff6772c0,
    0xff527cce,
    0xff4b7ad3,
    0xff6171cd,
    0xffa76aa1,
    0xffa54962,
    0xff9b6ea4,
    0xff7070c7,
    0xff6071c8,
    0xff7b70ca,
    0xff89509b,
    0xff751b50,
    0xff821e5d,
    0xff934a84,
    0xff9b4875,
    0xff9b63a7,
    0xff5373ce,
    0xff457fd6,
    0xff3e7edd,
    0xff4a7ad0,
    0xff3d80d6,
    0xff4679dc,
    0xff527ad3,
    0xff447dce,
    0xff5a84da,
    0xff6683cf,
    0xff4f85d5,
    0xff427dcf,
    0xff4079d1,
    0xff417ad5,
    0xff3f7bd8,
    0xff3c78d6,
    0xff3d78d8,
    0xff3d78d6,
    0xff3b76d0,
    0xff3b76d0,
    0xff3b76d0,
    0xff3c77d0,
    0xff3b76d2,
    0xff3b77d2,
    0xff3b76d1,
    0xff3974d0,
    0xff3b76d6,
    0xff3973d4,
    0xff3b74d6,
    0xff3a74d5,
    0xff3973d6,
    0xff3871d5,
    0xff3973d7,
    0xff3a74d7,
    0xff3771d4,
    0xff3772d1,
    0xff3974d2,
    0xff3a75d1,
    0xff3974d0,
    0xff3a75d4,
    0xff3a74d8,
    0xff3c76db,
    0xff3774d4,
    0xff3874d4,
    0xff3773d3,
    0xff3974d5,
    0xff3974d5,
    0xff3771d2,
    0xff3672d2,
    0xff3772d3,
    0xff3773d6,
    0xff3773d4,
    0xff3673d0,
    0xff3673ce,
    0xff3774cc,
    0xff3a77cf,
    0xff3875cd,
    0xff3976d1,
    0xff3a78d3,
    0xff3b78d4,
    0xff3a78d3,
    0xff3974d1,
    0xff3c78d4,
    0xff3e79d6,
    0xff3e7ad7,
    0xff4077d6,
    0xff3e7ad3,
    0xff3e79d3,
    0xff3e7ad4,
    0xff3d78d2,
    0xff3d79d3,
    0xff3e7ad4,
    0xff3e7ad4,
    0xff3e79d3,
    0xff417ad4,
    0xff3f78d2,
    0xff457ed8,
    0xff417ad4,
    0xff3d75d3,
    0xff3d75d2,
    0xff4179d6,
    0xff3e76d3,
    0xff3f77d7,
    0xff4078d7,
    0xff417ad9,
    0xff427ad7,
    0xff467fd9,
    0xff467fd8,
    0xff447ed7,
    0xff4781d9,
    0xff4684d4,
    0xff528ade,
    0xff5288de,
    0xff4880d7,
    0xff4382d9,
    0xff4785df,
    0xff4a80e0,
    0xff507de0,
    0xff4a86d3,
    0xff4986d4,
    0xff5676d9,
    0xff507cdd,
    0xff6c82cd,
    0xffa55f91,
    0xff890819,
    0xff9e0000,
    0xffa90301,
    0xffe55758,
    0xffe0626b,
    0xffcf698b,
    0xffc371a3,
    0xffca95c9,
    0xffc7a2cf,
    0xffb16a7d,
    0xff90051a,
    0xffb7182f,
    0xffb92c42,
    0xffcf4e62,
    0xffca4d57,
    0xffa50915,
    0xffa6080f,
    0xffd33737,
    0xffb50000,
    0xffb4020d,
    0xffae0015,
    0xffad020f,
    0xffac0607,
    0xffaa0809,
    0xffa00006,
    0xffa00009,
    0xffad0109,
    0xffb5010b,
    0xffb80309,
    0xffb80e11,
    0xffab0409,
    0xffb80901,
    0xff9e272b,
    0xff9c85b8,
    0xff9ea3d4,
    0xffdcd4ef,
    0xff5f5ea1,
    0xff6a83bc,
    0xff6b90d2,
    0xff6286d3,
    0xff5e83d7,
    0xff5186cc,
    0xff4977d1,
    0xff4172cb,
    0xff4174cd,
    0xff4174ce,
    0xff497edb,
    0xff4f81de,
    0xff4475d5,
    0xff4273d1,
    0xff3b75d5,
    0xff3976d3,
    0xff3e7bd7,
    0xff417cd6,
    0xff3e79d3,
    0xff3f78d3,
    0xff3e77d1,
    0xff3d75d1,
    0xff3974d1,
    0xff3771d0,
    0xff3670ce,
    0xff3e78d8,
    0xff3a73d4,
    0xff3771d2,
    0xff3771d2,
    0xff366fd1,
    0xff3470d1,
    0xff3870d1,
    0xff3870d4,
    0xff346dd5,
    0xff306dd8,
    0xff316ed6,
    0xff3871d4,
    0xff366cca,
    0xff3772d5,
    0xff2d6ed0,
    0xff3269ce,
    0xff3b67d0,
    0xff3b68d1,
    0xff336cd0,
    0xff326dd4,
    0xff3568d4,
    0xff4666c6,
    0xff7266bb,
    0xff5956ab,
    0xff4662bf,
    0xff475dc3,
    0xff6560ad,
    0xff6c649f,
    0xff3a5ebd,
    0xff3e61b1,
    0xff4f51a2,
    0xff7e4e8b,
    0xff9f5179,
    0xffb7546d,
    0xffbe373c,
    0xffc62f23,
    0xffd95647,
    0xffb74936,
    0xffae2b29,
    0xffcd454e,
    0xffc04942,
    0xffe26f4e,
    0xffdc7053,
    0xffa2677c,
    0xff6266b7,
    0xff3562c9,
    0xff2e65cb,
    0xff2965cf,
    0xff2566d0,
    0xff2163cc,
    0xff2964c8,
    0xff2f64c2,
    0xff3362bf,
    0xff4865c0,
    0xff3a4075,
    0xff3d5bae,
    0xff6b74ac,
    0xffc9c2d6,
    0xff745e68,
    0xff416490,
    0xff3d5597,
    0xff3b558e,
    0xff3e5688,
    0xff495d84,
    0xff495877,
    0xff47556e,
    0xff47576e,
    0xff38495b,
    0xff354857,
    0xff2e3e45,
    0xff223031,
    0xff1f2e29,
    0xff24332c,
    0xff283832,
    0xff1c2f2b,
    0xff1a2b24,
    0xff192720,
    0xff1f2a24,
    0xff223026,
    0xff26352a,
    0xff142418,
    0xff0f2014,
    0xff0e231a,
    0xff0e241e,
    0xff0f2521,
    0xff122524,
    0xff142827,
    0xff132923,
    0xff10231f,
    0xff11211b,
    0xff0b1c14,
    0xff0c1a13,
    0xff0c1b14,
    0xff081a12,
    0xff091a12,
    0xff071810,
    0xff081911,
    0xff04150c,
    0xff05160e,
    0xff071810,
    0xff05160e,
    0xff06160a,
    0xff051a0d,
    0xff01190e,
    0xff072017,
    0xff031814,
    0xff11211c,
    0xff04140d,
    0xff0d1f15,
    0xff040e0e,
    0xff061011,
    0xff182224,
    0xff3d4748,
    0xff454f4f,
    0xff4b5352,
    0xff2e3838,
    0xff0f1914,
    0xff060f07,
    0xff0d1616,
    0xff101c1e,
    0xff0f1611,
    0xff404130,
    0xff736f57,
    0xff9c9381,
    0xffebe1d7,
    0xffd4ced7,
    0xff6f6c75,
    0xff202327,
    0xff050d0c,
    0xff0f1b16,
    0xff091b12,
    0xff13271b,
    0xff0d2014,
    0xff16261e,
    0xff11221a,
    0xff0d1e16,
    0xff0e201b,
    0xff0f1f1b,
    0xff0f1f1e,
    0xff112222,
    0xff102022,
    0xff121e16,
    0xff29322a,
    0xff363a34,
    0xff4d4e4a,
    0xff676562,
    0xff827f7c,
    0xff9b9b98,
    0xffb4b5b2,
    0xffbbc3c6,
    0xff919396,
    0xff777174,
    0xff989897,
    0xff23312e,
    0xff1c3533,
    0xff173736,
    0xff173739,
    0xff1c3635,
    0xff1f3434,
    0xff192b2c,
    0xff3a4747,
    0xff4a5355,
    0xffbabec0,
    0xff595a5b,
    0xff424240,
    0xff565d50,
    0xff363d2b,
    0xff2f3222,
    0xff30302a,
    0xffffffff,
    0xffafabb6,
    0xff515151,
    0xff727269,
    0xff706654,
    0xff312f0b,
    0xffafab9c,
    0xff4a451c,
    0xff574914,
    0xff5c461d,
    0xff574705,
    0xff504215,
    0xff524514,
    0xff4e4212,
    0xff4e4116,
    0xff4a401a,
    0xff463f1d,
    0xff37351a,
    0xff303218,
    0xff282b17,
    0xff4b4639,
    0xff878278,
    0xffb5b1a9,
    0xffe0dcd2,
    0xffe0d8cd,
    0xffbdb7ab,
    0xffd0c6bd,
    0xffb5aca4,
    0xffb1a691,
    0xffb7aea1,
    0xffb2a7a1,
    0xffb2aaa3,
    0xff9c9585,
    0xff99917f,
    0xffafa79c,
    0xff9f9693,
    0xff958e86,
    0xffcbc3bc,
    0xffbfb4af,
    0xffdbcfc7,
    0xff9d968a,
    0xff4b463c,
    0xff434540,
    0xff575a5a,
    0xffb2b0aa,
    0xff605e56,
    0xff504f4a,
    0xff6a6a65,
    0xff41443d,
    0xff393f39,
    0xff353b37,
    0xff696f6c,
    0xff3f3f3c,
    0xff37352a,
    0xff94907c,
    0xff3c3824,
    0xff5f6254,
    0xff3f4742,
    0xff7a8180,
    0xff5d6465,
    0xff272035,
    0xff1f1f1c,
    0xff484a37,
    0xff596256,
    0xff30413f,
    0xff575459,
    0xff786a7a,
    0xff0b1320,
    0xfff5f4ff,
    0xff9a8f95,
    0xfffbebe9,
    0xffded6cf,
    0xffcdd2c2,
    0xff746d75,
    0xff6b543b,
    0xffce9d89,
    0xffd98a5d,
    0xffd59548,
    0xff8f5a29,
    0xffac854b,
    0xff7a5d3e,
    0xff785c34,
    0xffc29434,
    0xffaf5914,
    0xffa65315,
    0xff74421d,
    0xff714033,
    0xff843c13,
    0xffe39548,
    0xffa76325,
    0xff8e613f,
    0xff7c6657,
    0xff95675b,
    0xffc0965c,
    0xffecc7a3,
    0xffcbc0cf,
    0xffbbb2cf,
    0xffe2daed,
    0xff606a72,
    0xffd6bfcd,
    0xff8a0010,
    0xff92061a,
    0xffb00924,
    0xffb50a1a,
    0xffa71621,
    0xff87000f,
    0xff99001b,
    0xffa00418,
    0xffb70518,
    0xffbc0413,
    0xffc00614,
    0xffbf0816,
    0xffc0121d,
    0xffb70f17,
    0xffb00a10,
    0xffbf1418,
    0xffb61724,
    0xffaa1431,
    0xff8c3660,
    0xff63649c,
    0xff3d61b2,
    0xff4564c9,
    0xff3a5dbd,
    0xff3868ba,
    0xff386abd,
    0xff3d6db9,
    0xff3867b4,
    0xff376dbf,
    0xff3a70c8,
    0xff3d70c7,
    0xff356bc1,
    0xff316ec6,
    0xff3b76d0,
    0xff3d78d3,
    0xff3d78d2,
    0xff3974ce,
    0xff3974ce,
    0xff3873cd,
    0xff3873cc,
    0xff3772cc,
    0xff3871cb,
    0xff366fc9,
    0xff3b74ce,
    0xff3c75cf,
    0xff3a73cd,
    0xff3972cc,
    0xff3d76d0,
    0xff3972cc,
    0xff3771ca,
    0xff3c74cd,
    0xff3f76ce,
    0xff4179cf,
    0xff457bd1,
    0xff477bd1,
    0xff4578cd,
    0xff497bd1,
    0xff4482d4,
    0xff4d74c8,
    0xff4e74cb,
    0xff5278ce,
    0xff5676ca,
    0xff487cd0,
    0xff4d71b7,
    0xff886092,
    0xff7d000b,
    0xffa6020e,
    0xffaf000e,
    0xffa00007,
    0xff8d0100,
    0xff7c0100,
    0xff6b0304,
    0xff600000,
    0xff600001,
    0xff954646,
    0xff6a050b,
    0xff600201,
    0xff841b23,
    0xffaa4c6e,
    0xff5c5e98,
    0xff3261bb,
    0xff3a5dc4,
    0xff3d62c3,
    0xff3967c3,
    0xff4165b8,
    0xff7268ae,
    0xff934a79,
    0xff942440,
    0xff9b283a,
    0xff760917,
    0xff6a010c,
    0xff600006,
    0xff660206,
    0xff690204,
    0xff6d0301,
    0xff6a0500,
    0xff640100,
    0xff690308,
    0xff720003,
    0xff60122d,
    0xff5a62a4,
    0xff2b68c1,
    0xff2e62bc,
    0xff3a67be,
    0xff326fc9,
    0xff386fbf,
    0xff3d68b8,
    0xff316ab1,
    0xff3a6dba,
    0xff3a69b5,
    0xff4f6eb1,
    0xff1d0743,
    0xff4f2250,
    0xff5b3454,
    0xff92646f,
    0xffc16e57,
    0xffc03822,
    0xff710000,
    0xff740011,
    0xff6e030b,
    0xff6a0006,
    0xff630205,
    0xff660004,
    0xff6c0103,
    0xff700303,
    0xff6c0002,
    0xff6a0306,
    0xff6a0c0d,
    0xff6b1215,
    0xff680b0b,
    0xff790907,
    0xff610008,
    0xff492231,
    0xff3f4659,
    0xff2c4964,
    0xff1f466c,
    0xff214c6d,
    0xff0a3854,
    0xff1f3764,
    0xff61678b,
    0xff765c64,
    0xff631217,
    0xff941838,
    0xff870024,
    0xff8e0110,
    0xff7e0309,
    0xff85030b,
    0xff840308,
    0xff760202,
    0xff720100,
    0xff7a0407,
    0xff7d090d,
    0xff670101,
    0xff630001,
    0xff6a0d0b,
    0xff740605,
    0xff6d000c,
    0xff5f0012,
    0xff52133b,
    0xff656cb7,
    0xff5584cb,
    0xff4e80d3,
    0xff4e80d7,
    0xff4e83d8,
    0xff4c80d6,
    0xff4e82d7,
    0xff4e81da,
    0xff4b82da,
    0xff487ed6,
    0xff5083d9,
    0xff4582d8,
    0xff4a7ed6,
    0xff4282d6,
    0xff4883dd,
    0xff507ad9,
    0xff4e80d1,
    0xff5982c3,
    0xff8376b0,
    0xffaa6ba3,
    0xffb64b78,
    0xffa0263c,
    0xffaf3036,
    0xffaf2631,
    0xffa61730,
    0xff980b2d,
    0xff901228,
    0xffac2a47,
    0xffbc314d,
    0xffd87883,
    0xffc0645d,
    0xff8b3447,
    0xff6a63ae,
    0xff586fd0,
    0xff646bcd,
    0xff8d71af,
    0xff98486b,
    0xff946187,
    0xff6069ad,
    0xff5a69c0,
    0xff7e68aa,
    0xffa4527d,
    0xff8a031e,
    0xffa00016,
    0xffab0624,
    0xffb71b30,
    0xffb60814,
    0xff910424,
    0xff9069ad,
    0xff5371d0,
    0xff3c7ed8,
    0xff457ad8,
    0xff417ada,
    0xff4377d6,
    0xff4678d3,
    0xff3f79d1,
    0xff5889e2,
    0xff7ba3ef,
    0xff5089dd,
    0xff3972c9,
    0xff3f78d0,
    0xff3e76d2,
    0xff3a76d4,
    0xff3a73d5,
    0xff3b75d7,
    0xff3c77d4,
    0xff3873cf,
    0xff3873cf,
    0xff3873cf,
    0xff3974d1,
    0xff3974d2,
    0xff3a75d3,
    0xff3b76d4,
    0xff3a75d4,
    0xff3a74d5,
    0xff3a74d5,
    0xff3b75d6,
    0xff3973d4,
    0xff3973d4,
    0xff3c76d7,
    0xff3d77d8,
    0xff3a74d5,
    0xff3a74d4,
    0xff3a75d3,
    0xff3b76d2,
    0xff3a75cf,
    0xff3a75d1,
    0xff3974d3,
    0xff3872d5,
    0xff3972d6,
    0xff3774d6,
    0xff3773d6,
    0xff3670d3,
    0xff386fd3,
    0xff3a70d5,
    0xff3771d5,
    0xff3973d6,
    0xff3774d6,
    0xff3673d2,
    0xff3874d4,
    0xff3876d1,
    0xff3876cf,
    0xff3875ce,
    0xff3a77d0,
    0xff3976cf,
    0xff3a77d3,
    0xff3b76d0,
    0xff3b76d0,
    0xff3c77d1,
    0xff3b76d0,
    0xff3a76d0,
    0xff3f78d2,
    0xff3c75cf,
    0xff407ad3,
    0xff4079d3,
    0xff3f78d2,
    0xff3f78d2,
    0xff427bd5,
    0xff4079d3,
    0xff4079d3,
    0xff4079d3,
    0xff4079d3,
    0xff427bd5,
    0xff417ad4,
    0xff3f78d2,
    0xff407ad3,
    0xff4078d5,
    0xff427ad7,
    0xff447cd9,
    0xff4179d6,
    0xff4078d5,
    0xff4078d5,
    0xff4078d5,
    0xff4078d6,
    0xff437cd6,
    0xff457ed8,
    0xff447dd6,
    0xff437bd5,
    0xff417dd2,
    0xff437cd4,
    0xff457dd4,
    0xff457cd1,
    0xff497ed4,
    0xff477cd2,
    0xff4e7dd7,
    0xff527cd9,
    0xff5878de,
    0xff4f81de,
    0xff657ad3,
    0xff8e84c8,
    0xff91486e,
    0xff9c0a14,
    0xffa00103,
    0xffa70413,
    0xffb6000e,
    0xffa30213,
    0xffd34650,
    0xffe190b6,
    0xffa598d5,
    0xff8696ce,
    0xff909fd6,
    0xffcfb7e6,
    0xff7e0922,
    0xff940015,
    0xff8e0f30,
    0xffce7ca4,
    0xffeba3c7,
    0xffa22935,
    0xff930000,
    0xffc9232b,
    0xffaf0502,
    0xffae0708,
    0xffa60009,
    0xffb7081a,
    0xffb7061a,
    0xffac0115,
    0xff9e0012,
    0xff970210,
    0xff9c0013,
    0xffa50019,
    0xffb50612,
    0xffb10307,
    0xffad020d,
    0xffb0040f,
    0xff780002,
    0xffaf7192,
    0xffadabd1,
    0xff41638b,
    0xff4c78c8,
    0xff3e74cd,
    0xff4074ce,
    0xff4771c4,
    0xff4171cb,
    0xff3b72d5,
    0xff4174cd,
    0xff4275cd,
    0xff3d70cc,
    0xff4076d0,
    0xff3c71cd,
    0xff3d72ce,
    0xff3e70cc,
    0xff4375d1,
    0xff4075d0,
    0xff3e73cd,
    0xff4378cf,
    0xff4177cd,
    0xff4178cd,
    0xff3f73ca,
    0xff4074cd,
    0xff3b70c9,
    0xff3d75d0,
    0xff3b72cd,
    0xff3d74cf,
    0xff3a71cd,
    0xff3e74d2,
    0xff4177d5,
    0xff3a71d0,
    0xff396fce,
    0xff3572cf,
    0xff3a71cf,
    0xff396fcb,
    0xff386ece,
    0xff336ecf,
    0xff346fd2,
    0xff3570d1,
    0xff336bc7,
    0xff3b6ac4,
    0xff346ecd,
    0xff2f71d5,
    0xff306bd3,
    0xff2f6dcd,
    0xff2f74c7,
    0xff2c6ebf,
    0xff3970c3,
    0xff4065ad,
    0xff865583,
    0xff9d5d87,
    0xff7d5b8f,
    0xff93649d,
    0xff89214d,
    0xff811742,
    0xff6f4c9c,
    0xffb27db7,
    0xffae6397,
    0xffaa578f,
    0xff794c96,
    0xff634f99,
    0xff9c5984,
    0xffa74151,
    0xff9f5467,
    0xffad5f7d,
    0xffae5564,
    0xffab5661,
    0xff9e5f78,
    0xff925d8d,
    0xff845da0,
    0xff6259b1,
    0xff3658bb,
    0xff295dc2,
    0xff285ec4,
    0xff2660cb,
    0xff2460cc,
    0xff2865ce,
    0xff2961c7,
    0xff3364c2,
    0xff2853b1,
    0xff4759a6,
    0xff2b2d65,
    0xff385bb6,
    0xffb4bbdf,
    0xff928a9b,
    0xff6e637c,
    0xff4e74ae,
    0xff4868ad,
    0xff3e62a6,
    0xff375a95,
    0xff3d5a8b,
    0xff435b85,
    0xff3c5075,
    0xff394d6f,
    0xff384d67,
    0xff394e63,
    0xff374e56,
    0xff3c5054,
    0xff2a3a37,
    0xff1c2f29,
    0xff142922,
    0xff132821,
    0xff172b23,
    0xff15251b,
    0xff111d17,
    0xff122016,
    0xff122217,
    0xff0d1f11,
    0xff0e2014,
    0xff0a1e15,
    0xff0c211c,
    0xff0c201f,
    0xff0c201f,
    0xff0d221d,
    0xff10221e,
    0xff10231f,
    0xff13231d,
    0xff0b1c14,
    0xff0d1c15,
    0xff101e18,
    0xff0e1f17,
    0xff0a1b13,
    0xff0d1e16,
    0xff091a12,
    0xff06170f,
    0xff03140c,
    0xff04150d,
    0xff05160e,
    0xff091615,
    0xff031313,
    0xff0b1e1b,
    0xff061513,
    0xff121d1f,
    0xff10161a,
    0xff172123,
    0xff0a1719,
    0xff0d1c1c,
    0xff0e1c1b,
    0xff152420,
    0xff111e1c,
    0xff0e1c19,
    0xff121f1d,
    0xff101c18,
    0xff111d19,
    0xff112420,
    0xff142727,
    0xff0f1e1e,
    0xff151e16,
    0xff3d3c25,
    0xff6d6244,
    0xff99886a,
    0xffa18f78,
    0xff7b7c7b,
    0xffaeb1b1,
    0xffeff6f3,
    0xffe0e9e6,
    0xff8d9693,
    0xff48514e,
    0xff000602,
    0xff0c1411,
    0xff0c1811,
    0xff0d1a14,
    0xff0e1b14,
    0xff0c1b14,
    0xff0e201a,
    0xff0a1e1b,
    0xff0e2422,
    0xff0b2021,
    0xff12281f,
    0xff12251d,
    0xff172620,
    0xff141f1a,
    0xff1a221f,
    0xff232927,
    0xff363a39,
    0xff616462,
    0xff7e7c74,
    0xffa19b9b,
    0xff7b787f,
    0xff4c515b,
    0xff203337,
    0xff1c3635,
    0xff233c37,
    0xff21372f,
    0xff243a36,
    0xff223732,
    0xff293c38,
    0xff2d3b38,
    0xff2a3435,
    0xff2c3136,
    0xffa1a4aa,
    0xff6b6b76,
    0xff8c8e8c,
    0xff66685d,
    0xff8a8d7c,
    0xff86887a,
    0xff3b3d33,
    0xffaaa8a7,
    0xffc3c1c4,
    0xff484548,
    0xff8d847e,
    0xff4b492f,
    0xffa2a098,
    0xff514c26,
    0xff574d17,
    0xff5b491d,
    0xff564b05,
    0xff504514,
    0xff4f450d,
    0xff4d410b,
    0xff4a3e0e,
    0xff4b4015,
    0xff38300d,
    0xff857f64,
    0xffaeab93,
    0xffd7d6c3,
    0xffdad8c6,
    0xffd8d5c7,
    0xffc3c0b3,
    0xffbdb6a9,
    0xffccc7b6,
    0xffd9d4c3,
    0xffb2aaa0,
    0xffb6aea6,
    0xffb0a893,
    0xffb9b0a0,
    0xffb9afa1,
    0xffbfb7a7,
    0xff98917d,
    0xffbbb4a1,
    0xff8b8474,
    0xff9b9289,
    0xffa29b90,
    0xffccc3ba,
    0xffbfb4ab,
    0xffcac0b6,
    0xffa39c8e,
    0xffa7a396,
    0xff363831,
    0xff4a4c4b,
    0xff64615b,
    0xff8a8a82,
    0xff36362e,
    0xff45463e,
    0xff595c55,
    0xff2b312a,
    0xff353c35,
    0xff404740,
    0xff515855,
    0xff50544b,
    0xff121302,
    0xffa09f90,
    0xff3e4136,
    0xff2b2f2a,
    0xff141a15,
    0xff30312d,
    0xff3e3f42,
    0xff32342f,
    0xff24221d,
    0xff585452,
    0xff363330,
    0xff150910,
    0xff1f0e1b,
    0xffcdc9c3,
    0xff74655c,
    0xff635748,
    0xff6a6561,
    0xff4f505f,
    0xff161821,
    0xff544642,
    0xff8c6430,
    0xffaa663f,
    0xffd28e50,
    0xffb6853a,
    0xffc2995d,
    0xffeabf76,
    0xffffd68c,
    0xff9f7721,
    0xffbb8f1d,
    0xff914b0e,
    0xff8c2b0d,
    0xff894e38,
    0xff6a341d,
    0xffa95a2c,
    0xffbd5f0f,
    0xffaf5300,
    0xffbc762a,
    0xff81592f,
    0xff775039,
    0xff90695e,
    0xffb599a4,
    0xffe9ecff,
    0xffdadde5,
    0xffe0d9e6,
    0xff667083,
    0xffada9b4,
    0xff820200,
    0xff860000,
    0xffa50b08,
    0xff9e1706,
    0xff780f03,
    0xff700002,
    0xffa40a19,
    0xffb5060f,
    0xffc00917,
    0xffca0e1c,
    0xffc20916,
    0xffbb0c18,
    0xffa80a16,
    0xffab101a,
    0xffb6111b,
    0xffb60910,
    0xffa50309,
    0xffa70010,
    0xff95011e,
    0xff993f5d,
    0xff895177,
    0xff8a4f8d,
    0xff805aa4,
    0xff5367a7,
    0xff4571b8,
    0xff3f6fc3,
    0xff3c6cca,
    0xff416cca,
    0xff4273c9,
    0xff3c76ca,
    0xff3a7ad1,
    0xff3b7ad0,
    0xff3873cd,
    0xff3772cc,
    0xff3873cd,
    0xff3671cb,
    0xff3570ca,
    0xff3671cb,
    0xff3974ce,
    0xff3c77d1,
    0xff4179d3,
    0xff3a73cd,
    0xff3c75cf,
    0xff3a73cd,
    0xff3871cb,
    0xff3f78d2,
    0xff3c75cf,
    0xff3d77d1,
    0xff4178d0,
    0xff4177ce,
    0xff4377cc,
    0xff467ad0,
    0xff4577cc,
    0xff4a7acf,
    0xff4977cb,
    0xff4a78cd,
    0xff487acc,
    0xff4e7bca,
    0xff507bcc,
    0xff5979ca,
    0xff587bd3,
    0xff4177d1,
    0xff7176b9,
    0xff862138,
    0xff9a050a,
    0xff91000b,
    0xff91000f,
    0xff8d0213,
    0xff71000f,
    0xff5f030a,
    0xff5a0104,
    0xff570006,
    0xffb05450,
    0xff6b1421,
    0xff650213,
    0xff650c07,
    0xff983a43,
    0xff86487d,
    0xff526dba,
    0xff4470cf,
    0xff4174d2,
    0xff4173da,
    0xff4c71d2,
    0xff7a72b9,
    0xffa25988,
    0xff981a3c,
    0xff9b102a,
    0xff8f1425,
    0xff65000f,
    0xff67010e,
    0xff670006,
    0xff6d0008,
    0xff6b000b,
    0xff6e0009,
    0xff6c0003,
    0xff6e0400,
    0xff6d0400,
    0xff6f000a,
    0xff551c42,
    0xff496aaf,
    0xff2971c4,
    0xff3567b9,
    0xff3e6bbb,
    0xff2e72c3,
    0xff3062b1,
    0xff3261aa,
    0xff316cab,
    0xff2b63a3,
    0xff2d5ea3,
    0xff355ea3,
    0xff4e5ca0,
    0xff5b64a2,
    0xff4665a7,
    0xff525382,
    0xff6c3949,
    0xff73050a,
    0xff6d0309,
    0xff6c0008,
    0xff6c090c,
    0xff5f010c,
    0xff5e0001,
    0xff6a0407,
    0xff6f0607,
    0xff6f0302,
    0xff6b0103,
    0xff690406,
    0xff6a0e0f,
    0xff6c1516,
    0xff5e0d04,
    0xff751012,
    0xff4f0e2a,
    0xff30365d,
    0xff1f4871,
    0xff2e5a95,
    0xff2d5da3,
    0xff34649c,
    0xff3065a3,
    0xff475aa4,
    0xffa3a8c6,
    0xff3f2528,
    0xff6b1118,
    0xff720004,
    0xff720119,
    0xff6e0605,
    0xff8d020a,
    0xff93010b,
    0xff8b020a,
    0xff7d0302,
    0xff740200,
    0xff7f0406,
    0xff800307,
    0xff740100,
    0xff6d0000,
    0xff6f0300,
    0xff810406,
    0xff840920,
    0xff6b0019,
    0xff5a1640,
    0xff6470bc,
    0xff4b82cd,
    0xff4c82d6,
    0xff4a7ed7,
    0xff4a80d8,
    0xff497fd7,
    0xff477dd5,
    0xff477dd7,
    0xff477ed8,
    0xff497fd8,
    0xff4e80d3,
    0xff4584e0,
    0xff4881dd,
    0xff4581d1,
    0xff4d82d8,
    0xff567be1,
    0xff5078d8,
    0xff5e7ac5,
    0xff86659d,
    0xff994073,
    0xffb63052,
    0xffc83e4a,
    0xffbc4a4a,
    0xffa53f48,
    0xffa94161,
    0xffbc5483,
    0xffc27193,
    0xffb85b79,
    0xffc04762,
    0xffd66e7e,
    0xffe87b86,
    0xffce6b8b,
    0xff836eb2,
    0xff5b6cb9,
    0xff7165a4,
    0xff8d647a,
    0xff99587e,
    0xff895eae,
    0xff7c5cb9,
    0xff874faf,
    0xff874892,
    0xff843158,
    0xffb22f4b,
    0xffa70426,
    0xffab031f,
    0xffb2021b,
    0xffbb011c,
    0xffaf0e31,
    0xffb660a0,
    0xff6d6cd2,
    0xff4876c9,
    0xff3d75d9,
    0xff4374de,
    0xff4178d1,
    0xff3777cf,
    0xff3c73d9,
    0xff3871ce,
    0xff3a73c6,
    0xff3870ca,
    0xff3e76d1,
    0xff3a72d0,
    0xff3a72d0,
    0xff3b73d4,
    0xff3771d2,
    0xff3771d2,
    0xff3771d2,
    0xff3b76d4,
    0xff3a74d4,
    0xff3a74d4,
    0xff3b74d6,
    0xff3b74d5,
    0xff3a74d5,
    0xff3973d5,
    0xff3973d7,
    0xff3771d4,
    0xff3973d7,
    0xff3b75d6,
    0xff3b75d6,
    0xff3973d4,
    0xff3974d1,
    0xff3b76d4,
    0xff3a75d3,
    0xff3a75d3,
    0xff3c77d3,
    0xff3c77d1,
    0xff3c77d1,
    0xff3f7ad4,
    0xff3e79d5,
    0xff3c78d6,
    0xff3c76d8,
    0xff3d76d9,
    0xff3f76da,
    0xff3f76d9,
    0xff4076da,
    0xff4076d9,
    0xff4077da,
    0xff3d77da,
    0xff3d77da,
    0xff3f7ad5,
    0xff417cd8,
    0xff427dd8,
    0xff427dd7,
    0xff427dd7,
    0xff417cd6,
    0xff437ed8,
    0xff407bd7,
    0xff4581da,
    0xff4480d8,
    0xff467fd8,
    0xff477fd8,
    0xff4780d9,
    0xff4881da,
    0xff487fd9,
    0xff477ed8,
    0xff447bd5,
    0xff447bd5,
    0xff457bd5,
    0xff4279d3,
    0xff3f76d0,
    0xff4076d0,
    0xff4077d1,
    0xff3f75cf,
    0xff3e77d1,
    0xff437cd6,
    0xff417ad4,
    0xff427bd5,
    0xff437bd8,
    0xff427ad7,
    0xff427ad7,
    0xff447cd9,
    0xff427bd4,
    0xff427bd5,
    0xff437cd6,
    0xff447dd7,
    0xff427bd5,
    0xff4079d3,
    0xff417ad4,
    0xff427bd5,
    0xff4279d4,
    0xff427bd5,
    0xff437dd5,
    0xff477bd3,
    0xff5480d8,
    0xff5c82da,
    0xff5d85d9,
    0xff4f7dce,
    0xff537ed8,
    0xff5c7ac0,
    0xff9d6da7,
    0xff9c254b,
    0xff970004,
    0xffb40300,
    0xffa60103,
    0xff97021c,
    0xffa8020c,
    0xff9f030b,
    0xffa40505,
    0xff871433,
    0xffa976b6,
    0xff957db7,
    0xff8f7bba,
    0xffab8bd0,
    0xff8b415c,
    0xff781644,
    0xffc890c1,
    0xff9d8dce,
    0xffa28fda,
    0xff923762,
    0xff8e0610,
    0xffb60926,
    0xffaf001a,
    0xffac0013,
    0xffad000d,
    0xffc4111e,
    0xffb70009,
    0xffb00007,
    0xffa70210,
    0xff9c0216,
    0xff930017,
    0xff94011c,
    0xffa0000e,
    0xffaf030a,
    0xffa1000e,
    0xff950015,
    0xff830015,
    0xff7e1b32,
    0xff7f6fae,
    0xff4474c1,
    0xff4e79d0,
    0xff4673d9,
    0xff3571cf,
    0xff3a6fd0,
    0xff3772ce,
    0xff3b6fcd,
    0xff3e71cc,
    0xff4074cf,
    0xff4278d1,
    0xff3e75cf,
    0xff4178d2,
    0xff3e75d0,
    0xff3d72cf,
    0xff4377d2,
    0xff4c7ad2,
    0xff5583d8,
    0xff5987dc,
    0xff5483d5,
    0xff4f7dd1,
    0xff5887dc,
    0xff608fe4,
    0xff5b88e1,
    0xff5285e0,
    0xff4d80da,
    0xff4c7fd9,
    0xff4478d2,
    0xff4a7cd7,
    0xff477ad6,
    0xff4275d0,
    0xff4477d3,
    0xff427cd8,
    0xff3f74cc,
    0xff4577c7,
    0xff4f7ece,
    0xff4174c9,
    0xff3a71ca,
    0xff4078d7,
    0xff3b75d3,
    0xff497bd7,
    0xff3370cc,
    0xff3371d0,
    0xff3a6fd3,
    0xff3c71d3,
    0xff3672d2,
    0xff3770d4,
    0xff3b66d3,
    0xff3e59b7,
    0xffe3a5c0,
    0xffae3437,
    0xff88030a,
    0xff981322,
    0xff950418,
    0xff9a0015,
    0xffac2f52,
    0xffd2545a,
    0xffbd302e,
    0xff95010b,
    0xff984469,
    0xff8572b6,
    0xff724b9b,
    0xff8951a4,
    0xff6d67c3,
    0xff4752ba,
    0xff4d58b0,
    0xff505da8,
    0xff475bb1,
    0xff405dbd,
    0xff385bb8,
    0xff365eb5,
    0xff3865b9,
    0xff2c65c6,
    0xff2a63c9,
    0xff2b64cf,
    0xff2a62ce,
    0xff2a5fc9,
    0xff3164c8,
    0xff3362c3,
    0xff3762be,
    0xff505695,
    0xff47447a,
    0xff2b52ac,
    0xffe4e6fe,
    0xff716870,
    0xff606791,
    0xff365ea5,
    0xff325ba8,
    0xff305da9,
    0xff2e5aa0,
    0xff2c5693,
    0xff2a4f87,
    0xff2a4a7f,
    0xff294373,
    0xff314971,
    0xff2b4362,
    0xff2b4859,
    0xff2f4b53,
    0xff334b4c,
    0xff2e4641,
    0xff203835,
    0xff18312a,
    0xff182e26,
    0xff14261b,
    0xff15241d,
    0xff15261c,
    0xff132518,
    0xff102216,
    0xff0f2115,
    0xff0a1f16,
    0xff0b1e18,
    0xff0d1f1c,
    0xff0b201b,
    0xff0c211c,
    0xff0e211e,
    0xff0d201a,
    0xff0b1c16,
    0xff0f2018,
    0xff0d1f17,
    0xff0b1a13,
    0xff071810,
    0xff071810,
    0xff0b1c14,
    0xff071810,
    0xff05160e,
    0xff03140c,
    0xff04150d,
    0xff02130c,
    0xff071213,
    0xff091512,
    0xff121d19,
    0xff070f09,
    0xff090904,
    0xff11110f,
    0xff16191a,
    0xff131c1d,
    0xff0f211e,
    0xff0c1e1a,
    0xff091d18,
    0xff091b18,
    0xff0c1b19,
    0xff0e1f19,
    0xff0c1d17,
    0xff0d1d17,
    0xff071d16,
    0xff061d1b,
    0xff092023,
    0xff0c241f,
    0xff14261a,
    0xff121f0e,
    0xff09170a,
    0xff0a180f,
    0xff0a190b,
    0xff101e11,
    0xff1e2a20,
    0xff434e46,
    0xff9ca2a0,
    0xffdee2e4,
    0xfff0eef4,
    0xffb7b4bb,
    0xff505350,
    0xff0b0f0c,
    0xff010904,
    0xff05130b,
    0xff10221c,
    0xff192c28,
    0xff102623,
    0xff172d2c,
    0xff142c26,
    0xff0f2823,
    0xff112a25,
    0xff192f2b,
    0xff162b28,
    0xff1c2d2e,
    0xff1f2e2f,
    0xff1d2a2b,
    0xff373833,
    0xff575657,
    0xff77747c,
    0xff91949f,
    0xff6f7983,
    0xff37484c,
    0xff192b28,
    0xff404f4a,
    0xff203532,
    0xff2e423e,
    0xff142822,
    0xff182923,
    0xff1e2b29,
    0xff151d21,
    0xff3a404c,
    0xffa8abbb,
    0xff77757d,
    0xff121011,
    0xff23261f,
    0xff252a19,
    0xff292f1a,
    0xff2d2f22,
    0xfff5f4fb,
    0xff847d91,
    0xff787179,
    0xff68655c,
    0xff818080,
    0xff707051,
    0xff5f5b29,
    0xff584f22,
    0xff575414,
    0xff4d491a,
    0xff544a13,
    0xff504711,
    0xff463d0d,
    0xff695d35,
    0xffece2c2,
    0xffd2c9ae,
    0xffb2a893,
    0xffbbb29f,
    0xffc6c2ac,
    0xffa9a590,
    0xffa39b89,
    0xffdbd4c0,
    0xffcfc9b4,
    0xff8f8874,
    0xffd7cfc3,
    0xffccc2b9,
    0xffcbc0b4,
    0xffa9a18e,
    0xffa19a7f,
    0xffbdb59a,
    0xffb3ae95,
    0xffb4ad9b,
    0xffa19a88,
    0xff807965,
    0xff868374,
    0xff999385,
    0xffbcb4a7,
    0xffb8aea0,
    0xffbfbaa8,
    0xff888472,
    0xff5b5d52,
    0xff383b36,
    0xff515148,
    0xff838379,
    0xff69685e,
    0xff5e5f58,
    0xff45483f,
    0xff61655b,
    0xff6b7167,
    0xff777d73,
    0xff4d5b55,
    0xff343d35,
    0xff30342b,
    0xff1b1b14,
    0xff72746f,
    0xff343633,
    0xff4b4c48,
    0xff62645b,
    0xff51584b,
    0xff697158,
    0xff61675e,
    0xff59595d,
    0xffa5a19c,
    0xffa0a19f,
    0xff999a9b,
    0xffa99b91,
    0xff794c38,
    0xff6a4f3e,
    0xff2b2a22,
    0xff686d80,
    0xff7b767f,
    0xff6f4f31,
    0xffffdc83,
    0xffa34f12,
    0xffffbb70,
    0xffecac51,
    0xfff1b959,
    0xfff0bd77,
    0xff8e6648,
    0xffd0bda5,
    0xff897656,
    0xff441908,
    0xff955530,
    0xffb58068,
    0xff813e11,
    0xffc86823,
    0xffa34100,
    0xffa84e00,
    0xffe99b36,
    0xffb77a10,
    0xffddba45,
    0xff916935,
    0xff6b5247,
    0xff888f9d,
    0xffbec0cb,
    0xffe8dae5,
    0xff70708c,
    0xffcbd1d2,
    0xffb01c10,
    0xffab0705,
    0xffb1100d,
    0xff8f190b,
    0xff4d0100,
    0xff57040b,
    0xff7f0009,
    0xffb71415,
    0xffb20b0d,
    0xffb3090c,
    0xffb10c11,
    0xffac1a1e,
    0xffac2b2f,
    0xffa12227,
    0xffa51219,
    0xffa30006,
    0xff980c05,
    0xff91050a,
    0xff990216,
    0xff99000d,
    0xff9a0305,
    0xffa0000a,
    0xff920829,
    0xff7b3862,
    0xff6d7ec1,
    0xff416fcc,
    0xff3372e0,
    0xff336dd1,
    0xff3c72ca,
    0xff3875cc,
    0xff3879d0,
    0xff3a77ce,
    0xff3772cc,
    0xff3a75cf,
    0xff3a75cf,
    0xff3b76d0,
    0xff3c77d1,
    0xff3a75cf,
    0xff3974ce,
    0xff3974ce,
    0xff3b74ce,
    0xff3d76d0,
    0xff3f78d2,
    0xff3c74ce,
    0xff3e77d1,
    0xff3f78d2,
    0xff3c74ce,
    0xff3b74ce,
    0xff3e76cf,
    0xff447ad2,
    0xff4278d0,
    0xff4276cd,
    0xff4173cb,
    0xff4677cc,
    0xff487acf,
    0xff4877cd,
    0xff4c78cf,
    0xff4479c4,
    0xff3b74bf,
    0xff4375c4,
    0xff4271c7,
    0xff4475ce,
    0xff7d69b1,
    0xff86092b,
    0xff920000,
    0xff8d0315,
    0xff880511,
    0xff7a060a,
    0xff5c010d,
    0xff5b0006,
    0xff640000,
    0xff8a293a,
    0xff74181b,
    0xff59010d,
    0xff67000e,
    0xff7a2226,
    0xffae728c,
    0xff685fa3,
    0xff4273cf,
    0xff406fcf,
    0xff3071bc,
    0xff396ec0,
    0xff7072be,
    0xffa15c8f,
    0xff891835,
    0xff7c031a,
    0xff96213a,
    0xff770217,
    0xff670013,
    0xff67000a,
    0xff6d010a,
    0xff6b000c,
    0xff67000f,
    0xff690112,
    0xff69000a,
    0xff6c0004,
    0xff690807,
    0xff4c000e,
    0xff4c3266,
    0xff4670bd,
    0xff2869bb,
    0xff3563ab,
    0xff365da1,
    0xff2b62a9,
    0xff3362a8,
    0xff3366a9,
    0xff2b67a3,
    0xff2a609f,
    0xff3463a5,
    0xff2f5b96,
    0xff204b7a,
    0xff15466c,
    0xff213a62,
    0xff3f2945,
    0xff4d080f,
    0xff730004,
    0xff6f0401,
    0xff760200,
    0xff650000,
    0xff62020a,
    0xff660104,
    0xff6f080b,
    0xff740709,
    0xff6e0003,
    0xff6d0103,
    0xff690205,
    0xff6c0c0d,
    0xff6e1517,
    0xff620914,
    0xff56091e,
    0xff624f89,
    0xff486bc0,
    0xff3a67b3,
    0xff3d6fb7,
    0xff366bc2,
    0xff3a61bb,
    0xff3362b9,
    0xff9cace2,
    0xff554d5e,
    0xff6f3f53,
    0xff690617,
    0xff710709,
    0xff5d0306,
    0xff680403,
    0xff8a0109,
    0xff96030e,
    0xff8f0006,
    0xff860406,
    0xff820401,
    0xff880205,
    0xff870305,
    0xff780001,
    0xff720000,
    0xff7c0000,
    0xff880102,
    0xff82081c,
    0xff811029,
    0xff5f1639,
    0xff6a73b8,
    0xff5388d8,
    0xff487fd7,
    0xff4a80db,
    0xff4981db,
    0xff467dd7,
    0xff467dd7,
    0xff447bd7,
    0xff417ad4,
    0xff3d75d0,
    0xff4475cd,
    0xff3a79da,
    0xff407dd9,
    0xff497ecc,
    0xff437ccf,
    0xff417adc,
    0xff626ecc,
    0xff9767ae,
    0xff9b4265,
    0xffb8485e,
    0xffba414c,
    0xffa63e4d,
    0xff9a587b,
    0xff8f69a3,
    0xff856ab0,
    0xff8166ae,
    0xff876cba,
    0xff866eae,
    0xff956295,
    0xffa86589,
    0xffbd637e,
    0xffc2627e,
    0xff7f4466,
    0xff99608a,
    0xffc681a2,
    0xff97405b,
    0xffbc66a4,
    0xff8763bd,
    0xff7866bd,
    0xff7b6abe,
    0xff716cc1,
    0xff886cbe,
    0xff832349,
    0xffbd324c,
    0xffa7010d,
    0xffc90b22,
    0xffc50e27,
    0xffb2081c,
    0xffa80929,
    0xffb45280,
    0xff7e6ab0,
    0xff4070d2,
    0xff3b73d9,
    0xff3a7ac7,
    0xff3577d0,
    0xff3b70d9,
    0xff3777d4,
    0xff3a74cd,
    0xff3870d0,
    0xff3970d2,
    0xff376fd0,
    0xff3870d1,
    0xff3870d1,
    0xff376fd0,
    0xff3771d2,
    0xff3771d2,
    0xff3771d3,
    0xff3771d4,
    0xff3771d4,
    0xff3771d5,
    0xff3771d4,
    0xff3670d4,
    0xff3771d5,
    0xff3973d7,
    0xff3973d6,
    0xff3872d5,
    0xff3a74d5,
    0xff3b75d6,
    0xff3873d1,
    0xff3974d0,
    0xff3b76d2,
    0xff3a75cf,
    0xff3b76d2,
    0xff3c77d4,
    0xff3c77d1,
    0xff3a77ce,
    0xff3a76ce,
    0xff3a75cf,
    0xff3974d1,
    0xff3974d1,
    0xff3e75d3,
    0xff3e75d2,
    0xff3f73d1,
    0xff4175d3,
    0xff4277d6,
    0xff437ad9,
    0xff437bda,
    0xff437bda,
    0xff427bd3,
    0xff467fd8,
    0xff467fd8,
    0xff437cd5,
    0xff467fd7,
    0xff447dd7,
    0xff4780da,
    0xff447dd9,
    0xff447cd4,
    0xff437cd2,
    0xff457ed4,
    0xff4780d7,
    0xff467ed5,
    0xff427ad0,
    0xff4880d6,
    0xff4881d7,
    0xff457bd5,
    0xff457bd5,
    0xff457bd5,
    0xff467bd5,
    0xff497ed8,
    0xff4a80da,
    0xff487ed8,
    0xff447bd5,
    0xff427ad4,
    0xff427bd5,
    0xff437cd6,
    0xff447ed7,
    0xff447cd9,
    0xff457dda,
    0xff447cd9,
    0xff457dda,
    0xff467fd8,
    0xff457ed6,
    0xff447dd7,
    0xff437cd6,
    0xff437cd6,
    0xff447dd7,
    0xff4780da,
    0xff4680da,
    0xff457ad5,
    0xff427cd6,
    0xff417ed7,
    0xff457bd5,
    0xff4f7ad6,
    0xff5d85dc,
    0xff608de0,
    0xff5d91e1,
    0xff6e92df,
    0xff9993ba,
    0xff8c2636,
    0xffa50910,
    0xff9f0a0a,
    0xffa50708,
    0xffae0008,
    0xffb4091a,
    0xffbb0f1c,
    0xff9b0b11,
    0xff920b04,
    0xff720007,
    0xffc06682,
    0xffa36d96,
    0xff8173b4,
    0xff7568b0,
    0xff8866a7,
    0xff8a6bbe,
    0xff8169a7,
    0xff996a9b,
    0xff945087,
    0xffa22444,
    0xffac130d,
    0xffca2122,
    0xffc5271e,
    0xffed4746,
    0xffb0000d,
    0xffba0921,
    0xffb50b21,
    0xffaa010b,
    0xffa90310,
    0xffa10016,
    0xff92020e,
    0xff92010f,
    0xff97010c,
    0xff9a0008,
    0xffa10a1b,
    0xffa0122b,
    0xff87071c,
    0xff6d0013,
    0xff7763ab,
    0xff4577de,
    0xff5573c7,
    0xff5276d1,
    0xff3f7dcd,
    0xff4978d9,
    0xff4f8adc,
    0xff5188d4,
    0xff5082dc,
    0xff477ed8,
    0xff447bd6,
    0xff437cd5,
    0xff427cd4,
    0xff3e77d0,
    0xff3f76d0,
    0xff4479d4,
    0xff5783d7,
    0xff5a85da,
    0xff527fd1,
    0xff5884d8,
    0xff5988db,
    0xff5684d8,
    0xff4f7dd4,
    0xff4b7ad1,
    0xff4378d3,
    0xff3e74ce,
    0xff3d72cd,
    0xff3e73cf,
    0xff3a6fcc,
    0xff396fca,
    0xff3c71cf,
    0xff3f75d3,
    0xff427ad6,
    0xff5587dc,
    0xff4970bc,
    0xff4065ac,
    0xff4772be,
    0xff4b7dcf,
    0xff3c73d1,
    0xff3970d1,
    0xff3e72d4,
    0xff4c84df,
    0xff3e76cf,
    0xff3a72d0,
    0xff3476d7,
    0xff3076d4,
    0xff3b6bc6,
    0xff5767bf,
    0xff8064b0,
    0xff88394e,
    0xfff27073,
    0xffad0808,
    0xff9b0004,
    0xff8c0721,
    0xffa0051a,
    0xffa50000,
    0xffc4121a,
    0xffae070d,
    0xff9d0009,
    0xffd05a84,
    0xff7f5795,
    0xff6b5697,
    0xff68569f,
    0xff3f5fb3,
    0xff3a67c5,
    0xff3068c8,
    0xff2b6ad0,
    0xff2a64d2,
    0xff2363cd,
    0xff206bcd,
    0xff226acd,
    0xff2764cd,
    0xff2465c6,
    0xff2666ca,
    0xff2964cc,
    0xff2960cc,
    0xff295ec7,
    0xff2e5ec4,
    0xff2c5ebe,
    0xff2f5eb8,
    0xff605e96,
    0xff534b7c,
    0xff2b4f99,
    0xfff9f2f8,
    0xff695d65,
    0xff50689d,
    0xff2c57a5,
    0xff2c5ab1,
    0xff2758a6,
    0xff2658a0,
    0xff245697,
    0xff255595,
    0xff254e8d,
    0xff264d86,
    0xff1c4070,
    0xff224471,
    0xff183d57,
    0xff14364a,
    0xff1a3744,
    0xff1f3c41,
    0xff1d3a3c,
    0xff12302e,
    0xff112723,
    0xff12261e,
    0xff10241b,
    0xff0c2115,
    0xff0d2117,
    0xff0b2014,
    0xff0d1d14,
    0xff0f2018,
    0xff081913,
    0xff081913,
    0xff091e1a,
    0xff071a13,
    0xff081b15,
    0xff0b1e18,
    0xff0e1e19,
    0xff0d1e16,
    0xff0b1c14,
    0xff0d1e16,
    0xff0d1e16,
    0xff0b1c14,
    0xff091a12,
    0xff0d1e16,
    0xff0a1b13,
    0xff05160e,
    0xff04150d,
    0xff05160e,
    0xff0a1910,
    0xff061409,
    0xff1c2915,
    0xffe4e9d6,
    0xffd9d8c7,
    0xff919282,
    0xff595f51,
    0xff273429,
    0xff0e211c,
    0xff0a1e1a,
    0xff0d211d,
    0xff0e221d,
    0xff0b1f1b,
    0xff091d19,
    0xff0a1e1a,
    0xff0e211d,
    0xff121b14,
    0xff121c1b,
    0xff0f1e1f,
    0xff0c1b1a,
    0xff0e1c1b,
    0xff13201f,
    0xff0e2022,
    0xff0f2327,
    0xff112317,
    0xff132417,
    0xff102115,
    0xff0b1a10,
    0xff0d1812,
    0xff161f1c,
    0xff323636,
    0xff7d7f81,
    0xffd5d8d5,
    0xffedf2ee,
    0xffe4e7e4,
    0xff9ca29e,
    0xff38433c,
    0xff13211c,
    0xff000a08,
    0xff081615,
    0xff101f20,
    0xff112425,
    0xff0b2422,
    0xff0b2525,
    0xff0a2626,
    0xff092426,
    0xff0c2629,
    0xff0f262a,
    0xff112c32,
    0xff0f1f25,
    0xff2a2f36,
    0xff67626b,
    0xff88848c,
    0xff8c8f96,
    0xff556269,
    0xff26393f,
    0xff1c2b30,
    0xff4a595a,
    0xff425250,
    0xff4b5b59,
    0xff455555,
    0xff515f61,
    0xff414c56,
    0xff303747,
    0xff59555f,
    0xff94939d,
    0xff171c22,
    0xff172019,
    0xff1c2716,
    0xff10180c,
    0xff505056,
    0xffede8ff,
    0xff5e5a69,
    0xff939193,
    0xff7d7c85,
    0xff73715e,
    0xff45451f,
    0xff4f4c29,
    0xff555424,
    0xff545130,
    0xff403b12,
    0xff3d370f,
    0xff7b7552,
    0xfff7edd0,
    0xffbeb49b,
    0xffc2b59f,
    0xffc1b59f,
    0xff8a7e68,
    0xffa7a187,
    0xffaca68f,
    0xffd1c9b4,
    0xffbab39d,
    0xffdcd3bd,
    0xffa49d88,
    0xff6d6458,
    0xffe2d9d2,
    0xffbeb4b3,
    0xffaea796,
    0xffd4cfaf,
    0xffb4ae8e,
    0xff857d65,
    0xffaea797,
    0xff9f9885,
    0xffc5c1aa,
    0xff7c7a67,
    0xffafaa98,
    0xffaba493,
    0xffd3cbb8,
    0xff948e7a,
    0xffa3a08a,
    0xff737567,
    0xff7a7d74,
    0xff7d7e72,
    0xff3f3e34,
    0xff474a3f,
    0xff333529,
    0xff56584c,
    0xff6d7065,
    0xff484c3e,
    0xff767b6d,
    0xff455043,
    0xff747d70,
    0xff888b84,
    0xff41423c,
    0xff646867,
    0xff2d3432,
    0xff151b16,
    0xff10120e,
    0xff1a1a1e,
    0xff605a48,
    0xff282521,
    0xff564c4b,
    0xff453622,
    0xff1a1a05,
    0xffc0c0a9,
    0xff300d00,
    0xff8b4c37,
    0xff6f4e42,
    0xff7a7b6e,
    0xff161f23,
    0xff57514d,
    0xffb89a78,
    0xffd2a360,
    0xffbf8261,
    0xffc16b4c,
    0xffbe7055,
    0xff894d27,
    0xff522919,
    0xff140a0b,
    0xff16261c,
    0xff40443e,
    0xffb8a79a,
    0xffb59f84,
    0xffd6b8b0,
    0xff874b0e,
    0xffd47d17,
    0xffbc690e,
    0xffd48e2c,
    0xffd99524,
    0xffdd9e21,
    0xffe3b013,
    0xffc88f16,
    0xff93680c,
    0xff685949,
    0xffa69db0,
    0xffeadae0,
    0xff887b95,
    0xffbebabf,
    0xffaf190f,
    0xffad0206,
    0xffb4040a,
    0xffb01e1d,
    0xff7c1110,
    0xff570007,
    0xff610105,
    0xffa32b24,
    0xffb2281d,
    0xffa8140d,
    0xffa90e0c,
    0xffa91417,
    0xffb22e33,
    0xffd05159,
    0xff86000b,
    0xff90010c,
    0xff8a0010,
    0xff87000e,
    0xff970009,
    0xffa10008,
    0xff940205,
    0xff92040a,
    0xff930512,
    0xff7c0614,
    0xff592c5b,
    0xff686fbb,
    0xff3c71cf,
    0xff3776d1,
    0xff3972c7,
    0xff3971cb,
    0xff3572cf,
    0xff356fcc,
    0xff3671cb,
    0xff3772cc,
    0xff3671cb,
    0xff3b76d0,
    0xff3a75cf,
    0xff3a75cf,
    0xff3873cd,
    0xff3772cc,
    0xff3772cc,
    0xff3873cd,
    0xff3772cc,
    0xff3a75cf,
    0xff3974ce,
    0xff3671cb,
    0xff3671cb,
    0xff3975cf,
    0xff3b76d1,
    0xff3b74ce,
    0xff3971cb,
    0xff3971cc,
    0xff3d72cc,
    0xff3d73cb,
    0xff4274cd,
    0xff4376cf,
    0xff407bd6,
    0xff457bc8,
    0xff4678c8,
    0xff4874ce,
    0xff4b72c9,
    0xff557ace,
    0xff7275c3,
    0xff915e9a,
    0xff8e3060,
    0xff891d4f,
    0xff840d28,
    0xff690205,
    0xff57050b,
    0xff5d0001,
    0xffa7393f,
    0xff7a2531,
    0xff5e0013,
    0xff5c050c,
    0xff650008,
    0xff9c4c66,
    0xff877aae,
    0xff456ebd,
    0xff316dc8,
    0xff356bc5,
    0xff3e69b8,
    0xff5e69b0,
    0xff845788,
    0xff791c32,
    0xff670004,
    0xff8e2439,
    0xff922d44,
    0xff690211,
    0xff6a010a,
    0xff6a0409,
    0xff630302,
    0xff600303,
    0xff5e040a,
    0xff640916,
    0xff630410,
    0xff64030d,
    0xff530115,
    0xff5b3453,
    0xff4e568d,
    0xff365aa7,
    0xff3663ac,
    0xff37619c,
    0xff355a8e,
    0xff3c5b95,
    0xff36588b,
    0xff204c77,
    0xff26517b,
    0xff214a71,
    0xff244570,
    0xff213f67,
    0xff224c6b,
    0xff1e4e68,
    0xff3d4064,
    0xff4d1921,
    0xff5a0700,
    0xff6a0203,
    0xff63020b,
    0xff6e0008,
    0xff630000,
    0xff630800,
    0xff6e0809,
    0xff70060b,
    0xff710209,
    0xff720107,
    0xff6f0007,
    0xff6c0006,
    0xff660104,
    0xff67060c,
    0xff680319,
    0xff4c0016,
    0xff604a84,
    0xff5670d2,
    0xff4370d3,
    0xff4179cd,
    0xff3f79cf,
    0xff5478da,
    0xff6a81c4,
    0xff6b7991,
    0xff5b466a,
    0xff7b2e56,
    0xff790612,
    0xff8a2323,
    0xff660709,
    0xff73000a,
    0xff780206,
    0xff880208,
    0xff8f0009,
    0xff8f0208,
    0xff8d0106,
    0xff930108,
    0xff91060c,
    0xff7d0305,
    0xff770107,
    0xff810102,
    0xff7f0204,
    0xff620014,
    0xff57000d,
    0xff4e0b27,
    0xff5b61a6,
    0xff446dc3,
    0xff3a70ca,
    0xff366ec8,
    0xff366dc7,
    0xff366dc8,
    0xff356ec8,
    0xff3770ca,
    0xff3b74ce,
    0xff437bd5,
    0xff3e76d0,
    0xff3f78db,
    0xff3c7ad3,
    0xff417cc7,
    0xff3f82d3,
    0xff3b78d1,
    0xff7773bb,
    0xffb06b94,
    0xffc46c91,
    0xffb46f92,
    0xff916891,
    0xff806eae,
    0xff6268c1,
    0xff516acf,
    0xff5275da,
    0xff486bc9,
    0xff5269d2,
    0xff5175d2,
    0xff706bb9,
    0xffa46190,
    0xffb44e59,
    0xffbd5043,
    0xffcd6351,
    0xffa2242c,
    0xff760e21,
    0xff84244f,
    0xffa55b8e,
    0xff695689,
    0xff7482cc,
    0xff577fd3,
    0xff4479c3,
    0xff6f75c7,
    0xff93609f,
    0xff7b2344,
    0xffad243b,
    0xffb3001e,
    0xffb50b21,
    0xffb10a19,
    0xffc10015,
    0xffa50210,
    0xffaf4b88,
    0xff5f6bc3,
    0xff3676cf,
    0xff3378c3,
    0xff3372cc,
    0xff3b71d7,
    0xff3574d2,
    0xff3b71cf,
    0xff3971d6,
    0xff3671d4,
    0xff386ed3,
    0xff3a71d5,
    0xff3a71d6,
    0xff3972d2,
    0xff3971d1,
    0xff376fcf,
    0xff3771d5,
    0xff3771d4,
    0xff3872d5,
    0xff3872d5,
    0xff3771d5,
    0xff3973d7,
    0xff3771d6,
    0xff3670d5,
    0xff3872d4,
    0xff3771d2,
    0xff3b74d5,
    0xff3b76d4,
    0xff3b76d2,
    0xff3b76d2,
    0xff3c77d1,
    0xff3c78d1,
    0xff4077d5,
    0xff427bd5,
    0xff447cd6,
    0xff447dd6,
    0xff437cd5,
    0xff477fd8,
    0xff437cd6,
    0xff457ed8,
    0xff457bd3,
    0xff467bd4,
    0xff4b82da,
    0xff4d83db,
    0xff4c81dc,
    0xff487ed9,
    0xff4781da,
    0xff4780d9,
    0xff4b84db,
    0xff4881d7,
    0xff4881da,
    0xff4b84dc,
    0xff4982dd,
    0xff4982dc,
    0xff4881db,
    0xff4982dc,
    0xff4881da,
    0xff477fd8,
    0xff4881da,
    0xff457ed7,
    0xff467cd7,
    0xff4980da,
    0xff487fda,
    0xff4c83dd,
    0xff5085df,
    0xff4c82dc,
    0xff4c82dc,
    0xff4e84de,
    0xff4f85df,
    0xff4e84de,
    0xff477dd7,
    0xff4379d3,
    0xff4078d5,
    0xff4078d5,
    0xff3f77d4,
    0xff3f77d4,
    0xff417ad3,
    0xff3e78d1,
    0xff4079d3,
    0xff3e77d1,
    0xff4079d2,
    0xff417ad3,
    0xff427bd3,
    0xff427bd5,
    0xff437cd6,
    0xff4079d3,
    0xff427bd5,
    0xff427cd5,
    0xff4178cf,
    0xff407bd2,
    0xff3c7ad3,
    0xff407dd8,
    0xff4379d4,
    0xff4777d3,
    0xff4075cc,
    0xff447ccf,
    0xff6d79c4,
    0xffab6e92,
    0xff931412,
    0xff9c0702,
    0xffa50c16,
    0xffaa0c1a,
    0xffaf0c12,
    0xffa10400,
    0xff98000c,
    0xff8b0917,
    0xff790010,
    0xff7a0009,
    0xffbe3b45,
    0xffa16592,
    0xff6d89e2,
    0xff7088dc,
    0xff787ad3,
    0xff8c83da,
    0xffa06895,
    0xff890a1c,
    0xff85000f,
    0xffa8020e,
    0xffa40705,
    0xff941022,
    0xffde6b6d,
    0xffd13e3a,
    0xffb60b0c,
    0xffae0615,
    0xffa50a1c,
    0xff980009,
    0xff9c0209,
    0xff9c0312,
    0xff98040e,
    0xff950108,
    0xff8e000a,
    0xff950314,
    0xffa20a1c,
    0xff930009,
    0xff8e030f,
    0xff7f000d,
    0xff885a8b,
    0xff6182cc,
    0xff5e7dbc,
    0xff4c76ca,
    0xff3b79c5,
    0xff4868b9,
    0xff4577c2,
    0xff3e7bcf,
    0xff3f75cf,
    0xff3d73cd,
    0xff3d74ce,
    0xff3e77d0,
    0xff3871ca,
    0xff3e77d1,
    0xff4077d2,
    0xff3b72ce,
    0xff4473cb,
    0xff4878ce,
    0xff5181d7,
    0xff4a7ad1,
    0xff4174c9,
    0xff3e70c9,
    0xff3b6fc8,
    0xff3b6dc8,
    0xff326cc9,
    0xff3770ce,
    0xff3a72d0,
    0xff3770cf,
    0xff386fd0,
    0xff3971d1,
    0xff376fd0,
    0xff376ed1,
    0xff3b70cd,
    0xff3b67be,
    0xff789de9,
    0xffa7caff,
    0xff83a8f6,
    0xff3563b8,
    0xff3e71d0,
    0xff376ed1,
    0xff3769ca,
    0xff3669c0,
    0xff386dc1,
    0xff346ccf,
    0xff2e6ed8,
    0xff3965be,
    0xff74639e,
    0xffad5f80,
    0xffbd555f,
    0xffae342f,
    0xffb63b48,
    0xffc7424e,
    0xffac272c,
    0xff81000e,
    0xff99000a,
    0xffa10802,
    0xffa40205,
    0xff9b0b01,
    0xffa30b12,
    0xffbe305a,
    0xffa04478,
    0xff9e5c7b,
    0xff8d648a,
    0xff7980cf,
    0xff345bc6,
    0xff2463c7,
    0xff256ac9,
    0xff2b60c3,
    0xff315dc6,
    0xff2a63c9,
    0xff2664c5,
    0xff2960c0,
    0xff2065c4,
    0xff2364c5,
    0xff225fc3,
    0xff2660c9,
    0xff2a60ca,
    0xff2a5fc5,
    0xff2a60c4,
    0xff2c61bd,
    0xff6c6eab,
    0xff4b446e,
    0xff6780ae,
    0xffd7c7d2,
    0xff72697d,
    0xff32578f,
    0xff2e5bab,
    0xff2758b5,
    0xff24549b,
    0xff235595,
    0xff245595,
    0xff225491,
    0xff1f508c,
    0xff214e8a,
    0xff245289,
    0xff1d4a7d,
    0xff113e63,
    0xff113857,
    0xff12364c,
    0xff092a39,
    0xff0c2e36,
    0xff0d2d32,
    0xff0d2728,
    0xff0d2120,
    0xff10231c,
    0xff0d2116,
    0xff0d2116,
    0xff0a1e13,
    0xff0a1e13,
    0xff0c1c15,
    0xff0c1d15,
    0xff0d1e18,
    0xff091c17,
    0xff0a1d17,
    0xff091c16,
    0xff071a15,
    0xff051a10,
    0xff0b1c14,
    0xff0b1b13,
    0xff071810,
    0xff071810,
    0xff081911,
    0xff081911,
    0xff0c1d15,
    0xff0a1b13,
    0xff071810,
    0xff091a12,
    0xff071810,
    0xff0a1b11,
    0xff0b1d10,
    0xff071402,
    0xff000800,
    0xff323724,
    0xff2a2f1e,
    0xff162211,
    0xff102215,
    0xff0f1f1b,
    0xff0f1e1c,
    0xff0f1e1b,
    0xff0e1d1a,
    0xff152421,
    0xff13221f,
    0xff0b1a19,
    0xff0d1d1c,
    0xff0c211a,
    0xff0b221a,
    0xff0c231b,
    0xff0a1d14,
    0xff0d1a0d,
    0xff0f1a09,
    0xff0f1a09,
    0xff0b190b,
    0xff081a13,
    0xff081b15,
    0xff081d15,
    0xff091e15,
    0xff0e2319,
    0xff03160d,
    0xff112218,
    0xff000d04,
    0xff0e1614,
    0xff3e4541,
    0xff565c58,
    0xff9ea4a0,
    0xffe9eeea,
    0xffffffff,
    0xfff6f7f8,
    0xff989a9e,
    0xff171c25,
    0xff000007,
    0xff0a181e,
    0xff05171d,
    0xff031d22,
    0xff062226,
    0xff022025,
    0xff05242a,
    0xff002731,
    0xff092a34,
    0xff0f232d,
    0xff141b25,
    0xff484653,
    0xff787786,
    0xff898f9d,
    0xff5b6676,
    0xff5b6372,
    0xff0f1925,
    0xff0d191f,
    0xff08181a,
    0xff0a191a,
    0xff102020,
    0xff152327,
    0xff162429,
    0xff111719,
    0xff5f656f,
    0xffb2bbcc,
    0xff3a474f,
    0xff283434,
    0xff434e4b,
    0xff858a8f,
    0xff8a8c9c,
    0xffa8a6b2,
    0xff7b7880,
    0xff706d79,
    0xff6d6962,
    0xff272512,
    0xff34331a,
    0xff313112,
    0xff2f2917,
    0xff99947c,
    0xfffdf7e1,
    0xffddd8c5,
    0xffb3ad9c,
    0xffc2baa9,
    0xffbaae9c,
    0xffbbb19a,
    0xffa3977d,
    0xffa59f82,
    0xffc8bea5,
    0xffb0a58e,
    0xffa2977f,
    0xffaca088,
    0xffb9ad9a,
    0xff756b5c,
    0xffc5bab4,
    0xff8e8588,
    0xffb5ada1,
    0xffc7bfa7,
    0xff7e785a,
    0xff615945,
    0xff898072,
    0xffa09987,
    0xff716e57,
    0xffa3a28a,
    0xff726f5a,
    0xff8a836e,
    0xff9f977f,
    0xff948d74,
    0xff959079,
    0xff8d8c7b,
    0xffaaaca1,
    0xff696c5e,
    0xff66685d,
    0xff4e5045,
    0xff707267,
    0xffa8aa9f,
    0xff939588,
    0xff6f7263,
    0xff4a4d3c,
    0xff9ea28b,
    0xff848373,
    0xff59574d,
    0xff5c5d58,
    0xff222726,
    0xff212c2a,
    0xff232d2d,
    0xff272f32,
    0xff3f4041,
    0xff8a786a,
    0xff87635e,
    0xff68371c,
    0xff864929,
    0xffb4887a,
    0xff956c56,
    0xffac6248,
    0xffb0713c,
    0xff532f12,
    0xff0b0700,
    0xff525345,
    0xff5f5247,
    0xff513733,
    0xff87726e,
    0xff897789,
    0xffa77967,
    0xff30120d,
    0xff2c1f13,
    0xff40373b,
    0xff221e20,
    0xff34392d,
    0xff120e16,
    0xff080000,
    0xff6a503e,
    0xff8c787d,
    0xffab875e,
    0xff9d5b19,
    0xff9e5c08,
    0xffd09311,
    0xffd39409,
    0xffd09216,
    0xffe7a633,
    0xffbd7201,
    0xffc28708,
    0xffcca677,
    0xffcec4c9,
    0xffe7e6e1,
    0xff8b7c94,
    0xffcabfd3,
    0xff96424a,
    0xff892737,
    0xffa23640,
    0xffa42a29,
    0xffaa332c,
    0xff6a0805,
    0xff6c0d0c,
    0xff931a1a,
    0xffc14035,
    0xffc5352d,
    0xffe44340,
    0xffce262b,
    0xffc11f2c,
    0xffa31323,
    0xff760006,
    0xff6f0108,
    0xff610008,
    0xff690204,
    0xff860104,
    0xff9c000a,
    0xff9a0317,
    0xff8c0417,
    0xff900114,
    0xff980010,
    0xff6a000c,
    0xff642e59,
    0xff5b64a4,
    0xff426cbd,
    0xff386dc1,
    0xff376ec7,
    0xff376fce,
    0xff3573d1,
    0xff3873ce,
    0xff3a75cf,
    0xff3772cc,
    0xff346fc9,
    0xff3671cb,
    0xff3772cc,
    0xff3772cc,
    0xff3671cb,
    0xff3974ce,
    0xff3873cd,
    0xff3974ce,
    0xff3a75cf,
    0xff3570ca,
    0xff3772cc,
    0xff3974ce,
    0xff3974ce,
    0xff3674cf,
    0xff3876d1,
    0xff3a75d1,
    0xff3a75cf,
    0xff417ad4,
    0xff3f76d0,
    0xff3b72cc,
    0xff4278d2,
    0xff3c74d2,
    0xff4775c8,
    0xff4971ce,
    0xff426fcf,
    0xff4472c6,
    0xff4d73c8,
    0xff4469c2,
    0xff4f74c3,
    0xff6870c6,
    0xffa378c0,
    0xff6e143b,
    0xff59000a,
    0xff57000a,
    0xff780a21,
    0xff9b2f40,
    0xff57040f,
    0xff62031c,
    0xff520109,
    0xff711f30,
    0xff9d6da0,
    0xff465fab,
    0xff3373ca,
    0xff316fc6,
    0xff3168bd,
    0xff4d6cca,
    0xff745ea6,
    0xff51102f,
    0xff4e0000,
    0xff74131d,
    0xffa22746,
    0xff810320,
    0xff6a020b,
    0xff660207,
    0xff610106,
    0xff620608,
    0xff600604,
    0xff71110f,
    0xff721419,
    0xff56000a,
    0xff4f0112,
    0xff451a2c,
    0xff383d51,
    0xff254966,
    0xff24446f,
    0xff16335a,
    0xff0f3951,
    0xff20455c,
    0xff213653,
    0xff293d56,
    0xff1e3b4e,
    0xff112b3c,
    0xff102d3b,
    0xff10293c,
    0xff172849,
    0xff193860,
    0xff1d3869,
    0xff2f3866,
    0xff430b1f,
    0xff560710,
    0xff530216,
    0xff520617,
    0xff64000c,
    0xff5d0307,
    0xff5f0808,
    0xff680407,
    0xff6e0409,
    0xff700209,
    0xff74020a,
    0xff700007,
    0xff6d0009,
    0xff6a0007,
    0xff68030a,
    0xff63030e,
    0xff640a14,
    0xff41051f,
    0xff7470b1,
    0xff497dd8,
    0xff3275d2,
    0xff4379ca,
    0xff4568b3,
    0xffabaac8,
    0xff2b3451,
    0xff7d619f,
    0xff6e1238,
    0xff81110c,
    0xff913533,
    0xff681618,
    0xff640312,
    0xff680405,
    0xff760005,
    0xff88010a,
    0xff880007,
    0xff8e010a,
    0xff92000a,
    0xff8c040c,
    0xff7c0307,
    0xff79020f,
    0xff80020e,
    0xff720f20,
    0xff703a61,
    0xff440f35,
    0xff3c1436,
    0xff5e70b5,
    0xff4c73ce,
    0xff4076d0,
    0xff4179d3,
    0xff447bd5,
    0xff477ed9,
    0xff457ed8,
    0xff4982dc,
    0xff4880da,
    0xff447fd8,
    0xff3c85db,
    0xff477bdd,
    0xff437ad4,
    0xff447ccd,
    0xff4875cb,
    0xff686fd0,
    0xffa47fc6,
    0xffaa7f9c,
    0xff9979b3,
    0xff676cb5,
    0xff4d6dcc,
    0xff516fd9,
    0xff6273d3,
    0xff6971c5,
    0xff696eba,
    0xff7377c4,
    0xff7476cb,
    0xff6571b1,
    0xff9d73a0,
    0xffbe4c57,
    0xffc63930,
    0xffd6553a,
    0xffc24a25,
    0xffb93b33,
    0xff440000,
    0xff926391,
    0xff644d73,
    0xff3b283e,
    0xff8563a6,
    0xff7962b5,
    0xff7175a3,
    0xff9175a9,
    0xff865d9b,
    0xff835182,
    0xff84214b,
    0xff9a001c,
    0xffa90007,
    0xffb6030e,
    0xffc30119,
    0xffbc061b,
    0xffb91c4e,
    0xff9169ae,
    0xff4576c6,
    0xff3478ca,
    0xff3872cc,
    0xff396fd1,
    0xff3571d0,
    0xff3b6ed0,
    0xff376fd6,
    0xff3771d5,
    0xff3570d3,
    0xff386ed3,
    0xff376fcf,
    0xff386ed3,
    0xff386fd4,
    0xff3970d5,
    0xff3771d2,
    0xff3771d2,
    0xff3771d2,
    0xff3771d4,
    0xff3872d5,
    0xff3973d6,
    0xff3872d5,
    0xff3a74d7,
    0xff3c78d5,
    0xff3b76d4,
    0xff3c78d6,
    0xff3c77d3,
    0xff3e79d5,
    0xff3d78d4,
    0xff3d78d2,
    0xff3f7ad4,
    0xff427bd4,
    0xff417ad3,
    0xff417ad4,
    0xff427bd5,
    0xff4780d9,
    0xff4780d9,
    0xff467fd8,
    0xff4982db,
    0xff5087da,
    0xff4e85d8,
    0xff4e81d6,
    0xff5285da,
    0xff4d83da,
    0xff4a82d8,
    0xff4a82d9,
    0xff4784dc,
    0xff4982d9,
    0xff4881d7,
    0xff457ed7,
    0xff447dd7,
    0xff457dd7,
    0xff437bd5,
    0xff4079d3,
    0xff4179d3,
    0xff3a76d0,
    0xff3c77d1,
    0xff4079d3,
    0xff4078d2,
    0xff4079d3,
    0xff427cd5,
    0xff447ad5,
    0xff437ad5,
    0xff3e75cf,
    0xff3e75d0,
    0xff3e75d0,
    0xff3f76d1,
    0xff3e75d0,
    0xff457cd6,
    0xff447bd6,
    0xff4076d1,
    0xff3f77d5,
    0xff3f77d4,
    0xff3f77d4,
    0xff3f77d4,
    0xff3e77d1,
    0xff427bd5,
    0xff417ad4,
    0xff457ed8,
    0xff447dd8,
    0xff447dd8,
    0xff447dd6,
    0xff447dd6,
    0xff437cd5,
    0xff437cd5,
    0xff447dd6,
    0xff417ad3,
    0xff447ccf,
    0xff447cd3,
    0xff437cd6,
    0xff417dd9,
    0xff407dd9,
    0xff457dd6,
    0xff5180d9,
    0xff5076cb,
    0xff9477ab,
    0xff9a1239,
    0xffa4080b,
    0xffa40f0c,
    0xffb20d1d,
    0xff910513,
    0xff7a0b0e,
    0xff740308,
    0xff750000,
    0xff820d12,
    0xff88061f,
    0xff9b001a,
    0xffbb1b26,
    0xffaa6496,
    0xff4b5ec7,
    0xff7a73c6,
    0xff7a639a,
    0xffa1698f,
    0xffa13040,
    0xffa50215,
    0xff99061c,
    0xff9f0113,
    0xff910a22,
    0xffb45491,
    0xffa75194,
    0xff870b2b,
    0xff9f070d,
    0xff9b030e,
    0xff92000e,
    0xffa3010f,
    0xffa9020d,
    0xffa00111,
    0xff940010,
    0xff9c040f,
    0xffa91529,
    0xff8e0017,
    0xff9b0012,
    0xff95000b,
    0xff910310,
    0xff990413,
    0xff921e3d,
    0xff9f6b79,
    0xff9a768a,
    0xff8985ca,
    0xff5d7ed6,
    0xff6387da,
    0xff5487d5,
    0xff4c7ee2,
    0xff3e70cb,
    0xff4178cf,
    0xff467dd8,
    0xff3b74cd,
    0xff3b74ce,
    0xff3872cb,
    0xff376ecb,
    0xff366eca,
    0xff356ac6,
    0xff386dc9,
    0xff386dc8,
    0xff366dc6,
    0xff3d73cd,
    0xff3f75d0,
    0xff4077d3,
    0xff4177d4,
    0xff3976d6,
    0xff326ecf,
    0xff326ecf,
    0xff3772d5,
    0xff3975d8,
    0xff3672d5,
    0xff3470d3,
    0xff336ed3,
    0xff3368ca,
    0xff3969c3,
    0xff4068bb,
    0xff3960b1,
    0xff3661b5,
    0xff3464bf,
    0xff3b6fd0,
    0xff366bce,
    0xff2f6bd0,
    0xff3872cb,
    0xff3f6fc6,
    0xff3a65ca,
    0xff3365d4,
    0xff4967ca,
    0xff8363a8,
    0xff802353,
    0xff851b32,
    0xffbc3c35,
    0xffae2a28,
    0xffb2292a,
    0xffd3483d,
    0xffcb4330,
    0xffbe2f13,
    0xffdd604e,
    0xffab2c23,
    0xff840000,
    0xffba1a17,
    0xffd73333,
    0xffc53940,
    0xffb75362,
    0xff9f799e,
    0xff4258a5,
    0xff3a5bc5,
    0xff2c63c9,
    0xff2665c3,
    0xff2f62ba,
    0xff315dba,
    0xff2760c4,
    0xff1c64c3,
    0xff1e65bc,
    0xff2361be,
    0xff2562c3,
    0xff255fc3,
    0xff225ec3,
    0xff1f5ac3,
    0xff1d57bd,
    0xff1d59bb,
    0xff245dbd,
    0xff455ba8,
    0xff3d416d,
    0xffcfd7e7,
    0xffa18f9e,
    0xff6c6a8f,
    0xff2e5d9b,
    0xff2c5db2,
    0xff295ab7,
    0xff25549b,
    0xff285696,
    0xff26538d,
    0xff204e83,
    0xff1a4781,
    0xff1a4781,
    0xff14477b,
    0xff124678,
    0xff1d4a78,
    0xff1e466c,
    0xff1a3d5a,
    0xff082d3e,
    0xff0e2f3e,
    0xff14323c,
    0xff163036,
    0xff152a2b,
    0xff11241d,
    0xff0d2115,
    0xff0c2014,
    0xff081c11,
    0xff091d12,
    0xff081c13,
    0xff061a12,
    0xff061a11,
    0xff081c13,
    0xff081c13,
    0xff091d14,
    0xff051910,
    0xff051910,
    0xff051910,
    0xff051910,
    0xff081810,
    0xff081911,
    0xff081911,
    0xff06170f,
    0xff03140c,
    0xff081911,
    0xff081911,
    0xff0a1b12,
    0xff091a12,
    0xff091919,
    0xff041612,
    0xff081913,
    0xff07150f,
    0xff0a160c,
    0xff09150e,
    0xff0a1917,
    0xff081c19,
    0xff091a18,
    0xff0e1e1d,
    0xff102120,
    0xff0d201e,
    0xff0e2120,
    0xff112422,
    0xff0e2020,
    0xff0f2120,
    0xff082018,
    0xff072114,
    0xff062216,
    0xff061e15,
    0xff071b13,
    0xff081d14,
    0xff051c12,
    0xff021d11,
    0xff051717,
    0xff061818,
    0xff061a17,
    0xff021c16,
    0xff021a12,
    0xff051e13,
    0xff011b0e,
    0xff082216,
    0xff0a1916,
    0xff081511,
    0xff07120e,
    0xff0c1613,
    0xff0b120f,
    0xff2f3133,
    0xff5a5a5f,
    0xffa2a1a6,
    0xffffffff,
    0xffe5e8f2,
    0xff616771,
    0xff00050d,
    0xff000810,
    0xff021720,
    0xff0a262c,
    0xff05222b,
    0xff032129,
    0xff03232e,
    0xff012130,
    0xff072437,
    0xff06172c,
    0xff141a2d,
    0xff6f707e,
    0xff888791,
    0xff656676,
    0xff646778,
    0xff454d5a,
    0xff000d17,
    0xff0f2028,
    0xff0b1d1f,
    0xff0c1f1e,
    0xff0d1f1d,
    0xff182521,
    0xff0f191f,
    0xff28323f,
    0xff9fa8b8,
    0xff7d8592,
    0xff1e262c,
    0xff141e1f,
    0xff1d2626,
    0xffffffff,
    0xff7f7b85,
    0xff847c8a,
    0xff888185,
    0xff242114,
    0xff2a2b14,
    0xff2a280e,
    0xff4c4432,
    0xffe2ddc9,
    0xffdad5c1,
    0xffe1dbcd,
    0xffc4bcb1,
    0xffcfc8ba,
    0xffcfc7b4,
    0xffbeb49b,
    0xffbbb094,
    0xffb8af91,
    0xffa69a80,
    0xffa7997f,
    0xffa7987d,
    0xffdccfb0,
    0xff988c73,
    0xffb7ac99,
    0xff8a8177,
    0xffded7d8,
    0xffa49c98,
    0xffa69c8e,
    0xffa89c89,
    0xff8f8472,
    0xff88806f,
    0xff7f7864,
    0xff4a452f,
    0xff5e5d43,
    0xff9a967d,
    0xff776f58,
    0xff6c6149,
    0xffc9c0a4,
    0xffaca68e,
    0xff74725f,
    0xff757266,
    0xff393b2e,
    0xff3c3e33,
    0xff73746d,
    0xff8b8b84,
    0xff57594f,
    0xff5d5d51,
    0xff797a6b,
    0xff4b4c39,
    0xff79785e,
    0xffbeb9a6,
    0xff9a948a,
    0xff625f58,
    0xff6d736a,
    0xff5e6962,
    0xff303a38,
    0xff2b3336,
    0xff1d3828,
    0xff49402e,
    0xff65301f,
    0xffeda367,
    0xffd48452,
    0xffffc2b5,
    0xff9a5829,
    0xffed9a59,
    0xfff9ac5d,
    0xffb67b3f,
    0xffa2793e,
    0xff380d00,
    0xff7c4a26,
    0xff946555,
    0xff5b4242,
    0xff939197,
    0xff7d7e86,
    0xff353d40,
    0xff0c1405,
    0xff15120e,
    0xff2b2927,
    0xff2c3032,
    0xff312939,
    0xff39230d,
    0xffbb9366,
    0xff50302b,
    0xffb99175,
    0xffefb591,
    0xffc59357,
    0xff8e5d00,
    0xfffbb544,
    0xffbd6f00,
    0xffc5861b,
    0xffe3a235,
    0xffb27600,
    0xffdea96a,
    0xfff0e4d9,
    0xffd8e9e1,
    0xff9995a3,
    0xff837e89,
    0xff6f5794,
    0xff685e9d,
    0xff7d71a3,
    0xff854d69,
    0xff7b1221,
    0xff690007,
    0xff8d1a23,
    0xffaf1526,
    0xffad1719,
    0xffb21a16,
    0xffb51914,
    0xffc01c1c,
    0xffbc1b22,
    0xff990a19,
    0xff780412,
    0xff5e020a,
    0xff590400,
    0xff6f0402,
    0xff890509,
    0xff9a010a,
    0xff9e000d,
    0xff960715,
    0xff951421,
    0xff83000e,
    0xff750108,
    0xff4e0013,
    0xff2d0c45,
    0xff4f66b9,
    0xff3c72cb,
    0xff3971cb,
    0xff3a71cb,
    0xff3971cf,
    0xff3b75d0,
    0xff3873cd,
    0xff346fc9,
    0xff346fc9,
    0xff3873cd,
    0xff3772cc,
    0xff3772cc,
    0xff3772cc,
    0xff3873cd,
    0xff3873cd,
    0xff3974ce,
    0xff3873cd,
    0xff3a75cf,
    0xff3b76d0,
    0xff3b76d0,
    0xff3872cc,
    0xff3573cd,
    0xff3772cd,
    0xff3773cc,
    0xff3871cb,
    0xff3e75ce,
    0xff3e77ce,
    0xff4076ce,
    0xff4178cf,
    0xff4676cf,
    0xff3d6bc2,
    0xff4373d2,
    0xff3773ca,
    0xff3677c0,
    0xff4576d0,
    0xff4874da,
    0xff4077cb,
    0xff4d72c1,
    0xff806596,
    0xff4d0010,
    0xff5b0003,
    0xff62010c,
    0xff761432,
    0xff5e031d,
    0xff5d010d,
    0xff5d000f,
    0xff500315,
    0xff6a3d61,
    0xff6160a5,
    0xff3e69c2,
    0xff356cc9,
    0xff3367ba,
    0xff356cbb,
    0xff3362bb,
    0xff543b7b,
    0xff46000f,
    0xff500106,
    0xff892e3d,
    0xff8d1435,
    0xff810c2a,
    0xff4d000b,
    0xff49091e,
    0xff662b44,
    0xff581730,
    0xff580417,
    0xff5f0007,
    0xff540002,
    0xff4d1022,
    0xff452642,
    0xff35354d,
    0xff112e3e,
    0xff032d3c,
    0xff0f2e3e,
    0xff1c3546,
    0xff123644,
    0xff1f4653,
    0xff1e394a,
    0xff203a4c,
    0xff1f4155,
    0xff2c4360,
    0xff0f324e,
    0xff163f60,
    0xff254272,
    0xff1c447f,
    0xff29478a,
    0xff455275,
    0xff4e0b16,
    0xff5e0109,
    0xff5f0417,
    0xff5a0609,
    0xff720004,
    0xff69010f,
    0xff630017,
    0xff630409,
    0xff650208,
    0xff680006,
    0xff6b0007,
    0xff6b0008,
    0xff6b000a,
    0xff690109,
    0xff67030b,
    0xff6d1115,
    0xff510315,
    0xff510314,
    0xff3a0e2a,
    0xff5875c2,
    0xff3973d5,
    0xff4468b3,
    0xff94aadf,
    0xff4b5068,
    0xff515692,
    0xff88518f,
    0xff750017,
    0xff79070b,
    0xff89282a,
    0xff821f21,
    0xff640310,
    0xff630109,
    0xff72010b,
    0xff790009,
    0xff7b010b,
    0xff800109,
    0xff850009,
    0xff83000a,
    0xff760107,
    0xff76040c,
    0xff790518,
    0xff56143b,
    0xff7272bc,
    0xff53519a,
    0xff4a4981,
    0xff537fcc,
    0xff497ddb,
    0xff437ad5,
    0xff457cd6,
    0xff457cd6,
    0xff457cd6,
    0xff467cd8,
    0xff447ed7,
    0xff447dd7,
    0xff447fd9,
    0xff3982d6,
    0xff517bdf,
    0xff467ddd,
    0xff477cd3,
    0xff5a74ca,
    0xff8a7ed6,
    0xff9c76c8,
    0xff7876b2,
    0xff5274b9,
    0xff4781d9,
    0xff4379e0,
    0xff6872d2,
    0xff673a7d,
    0xff5a0f36,
    0xff570021,
    0xff6b0939,
    0xff620835,
    0xffb4687c,
    0xffa84643,
    0xffc74726,
    0xffc64427,
    0xffc5422f,
    0xffc54323,
    0xffb94038,
    0xff721a20,
    0xff9677b7,
    0xff463469,
    0xffb696a7,
    0xffe1b0d4,
    0xffb17ba3,
    0xffb58396,
    0xffb96b93,
    0xff9a7db2,
    0xff6c6ab5,
    0xff754e96,
    0xff740a34,
    0xff8f0015,
    0xff9a0013,
    0xffa3041b,
    0xffb80329,
    0xffaa0121,
    0xffa24279,
    0xff6069bd,
    0xff3770d4,
    0xff3770cf,
    0xff3772ce,
    0xff3a70d5,
    0xff366fd3,
    0xff366fd5,
    0xff3771d5,
    0xff3771d4,
    0xff3771d2,
    0xff3a72d3,
    0xff3a70d5,
    0xff3a71d5,
    0xff3a70d6,
    0xff3773d1,
    0xff3773d0,
    0xff3773d0,
    0xff3871d3,
    0xff3670d1,
    0xff3a74d5,
    0xff3a74d5,
    0xff3872d3,
    0xff3b76d2,
    0xff3974d0,
    0xff3c77d3,
    0xff3c77d3,
    0xff3c77d3,
    0xff3b76d2,
    0xff3a75d2,
    0xff3b77d3,
    0xff3e76d3,
    0xff3d74d2,
    0xff4078d6,
    0xff457ed7,
    0xff4780da,
    0xff467fd9,
    0xff4881da,
    0xff4a83dc,
    0xff5389df,
    0xff578de4,
    0xff4f85dd,
    0xff4c82db,
    0xff487fd9,
    0xff447bd5,
    0xff427cd5,
    0xff407bd6,
    0xff3c79d0,
    0xff3e7bd2,
    0xff3e79d3,
    0xff3c78d4,
    0xff3c77d4,
    0xff3c77d0,
    0xff3b76d0,
    0xff3b78d1,
    0xff3b76d2,
    0xff3c77d3,
    0xff3a75d1,
    0xff3873cf,
    0xff3874d0,
    0xff3b72cf,
    0xff3a72cf,
    0xff376fcc,
    0xff3971ce,
    0xff3a72cf,
    0xff3a72cf,
    0xff3a71cf,
    0xff3a72d0,
    0xff3d74d2,
    0xff3c74d2,
    0xff3e76d3,
    0xff3b73d0,
    0xff3d75d2,
    0xff3e76d3,
    0xff3e76d3,
    0xff427bd5,
    0xff437cd6,
    0xff4079d3,
    0xff417ad4,
    0xff457ed7,
    0xff447dd7,
    0xff447dd8,
    0xff437cd5,
    0xff467fd8,
    0xff467fd9,
    0xff457ed5,
    0xff457ed5,
    0xff4783d5,
    0xff477ad3,
    0xff4878d5,
    0xff457ad6,
    0xff4581d9,
    0xff457bcd,
    0xff5673c7,
    0xff6c70c0,
    0xff9c4263,
    0xffa0001a,
    0xff9f1012,
    0xff810608,
    0xff7b010b,
    0xff680609,
    0xff6d0710,
    0xff6c0006,
    0xff910a0c,
    0xff89090b,
    0xff80030b,
    0xff830412,
    0xff830d13,
    0xff9c6384,
    0xff776aac,
    0xff6b284e,
    0xff6c0317,
    0xff890004,
    0xffa71109,
    0xffb0060e,
    0xff990010,
    0xffaa1d2b,
    0xffb34f65,
    0xffad5d93,
    0xffaa70aa,
    0xffb36290,
    0xff812656,
    0xff943474,
    0xffa52d66,
    0xff9e001a,
    0xffc3101e,
    0xffb81020,
    0xffa3071a,
    0xff900005,
    0xffa51424,
    0xff8d0013,
    0xff870319,
    0xff771434,
    0xff6c0d2e,
    0xff830010,
    0xff8b0000,
    0xffcf5830,
    0xffcf6444,
    0xffc37377,
    0xff846ca0,
    0xff4b68b5,
    0xff4375cc,
    0xff4b6ccc,
    0xff4577ce,
    0xff4074ca,
    0xff366cc3,
    0xff3a71cc,
    0xff3970cb,
    0xff396fcd,
    0xff3a70d0,
    0xff3e73d4,
    0xff3c75d3,
    0xff3973d2,
    0xff346dc9,
    0xff3570c9,
    0xff3770ca,
    0xff3971cf,
    0xff3a72cf,
    0xff3a71ce,
    0xff3470d0,
    0xff3470d0,
    0xff326ece,
    0xff2f6bcd,
    0xff316dcf,
    0xff316dcf,
    0xff316ecf,
    0xff346ed3,
    0xff306ed0,
    0xff2b63c1,
    0xff3165bf,
    0xff3364c0,
    0xff3568ca,
    0xff2e65c8,
    0xff2a65c6,
    0xff2c66c7,
    0xff2d69d3,
    0xff2664c5,
    0xff2963bd,
    0xff2e62c2,
    0xff2a66ca,
    0xff2668c7,
    0xff3565be,
    0xff5360b9,
    0xff7e5aa9,
    0xffb36686,
    0xffcb5f5e,
    0xffde5043,
    0xffd0412d,
    0xffc94f23,
    0xffd65d20,
    0xffe26b46,
    0xfff56b45,
    0xffd43f3a,
    0xffc83631,
    0xffc13629,
    0xffbd4e5f,
    0xff865b94,
    0xff3a57a8,
    0xff2962c9,
    0xff2a66bc,
    0xff2864c7,
    0xff2662ca,
    0xff2b5fbc,
    0xff2b61b8,
    0xff2861c1,
    0xff265fc4,
    0xff295bbe,
    0xff2654b5,
    0xff2255b7,
    0xff1f55ba,
    0xff1d56bd,
    0xff1d59c1,
    0xff1f5ac0,
    0xff205cc2,
    0xff215abf,
    0xff2254ae,
    0xff3b508c,
    0xff796f7b,
    0xff857585,
    0xff5f6d9d,
    0xff2157a3,
    0xff1d54b3,
    0xff1d55aa,
    0xff1e4e9d,
    0xff224e93,
    0xff264e88,
    0xff25477b,
    0xff274a7c,
    0xff1e4576,
    0xff194474,
    0xff174772,
    0xff16426f,
    0xff163f67,
    0xff193d59,
    0xff14384a,
    0xff173945,
    0xff113239,
    0xff0e2a2c,
    0xff112826,
    0xff0b1e14,
    0xff0c2017,
    0xff0a1e15,
    0xff0c2017,
    0xff091d14,
    0xff091c11,
    0xff071e11,
    0xff081e11,
    0xff0b1c14,
    0xff071c13,
    0xff071b12,
    0xff04180f,
    0xff071b12,
    0xff071b12,
    0xff081c13,
    0xff051a11,
    0xff081810,
    0xff081911,
    0xff081911,
    0xff05160e,
    0xff05160e,
    0xff081911,
    0xff071810,
    0xff081911,
    0xff0c1817,
    0xff091a19,
    0xff051917,
    0xff061816,
    0xff091919,
    0xff0b191b,
    0xff071617,
    0xff051818,
    0xff081d1c,
    0xff071b1b,
    0xff071b1b,
    0xff091e1c,
    0xff081d1d,
    0xff0c2223,
    0xff0c2323,
    0xff0d2223,
    0xff181f21,
    0xff16211f,
    0xff152220,
    0xff142122,
    0xff131e26,
    0xff111e29,
    0xff0b1e28,
    0xff061f24,
    0xff091c1d,
    0xff061a19,
    0xff031917,
    0xff001915,
    0xff001914,
    0xff021b16,
    0xff001510,
    0xff011510,
    0xff001210,
    0xff071917,
    0xff021410,
    0xff041612,
    0xff081613,
    0xff021010,
    0xff000d0c,
    0xff00090b,
    0xff1b272b,
    0xff5c646c,
    0xffc9cdd6,
    0xffffffff,
    0xffaaaeba,
    0xff303a48,
    0xff000004,
    0xff00121e,
    0xff0d1a29,
    0xff051c29,
    0xff001b29,
    0xff022333,
    0xff061c2e,
    0xff0c1926,
    0xff080e17,
    0xff53585b,
    0xff7b7782,
    0xff838391,
    0xff424757,
    0xff5f6b7b,
    0xff000d1b,
    0xff0c1f27,
    0xff102123,
    0xff071919,
    0xff0c1f1b,
    0xff364442,
    0xff131d1d,
    0xff1d222a,
    0xff8d8f9a,
    0xff9799a3,
    0xff272c2c,
    0xff151b14,
    0xff7f817e,
    0xffd8d5dc,
    0xff837784,
    0xff9c9099,
    0xff231f14,
    0xff2f3012,
    0xff191400,
    0xffc6bb99,
    0xffd9ceae,
    0xffe0d7ba,
    0xffd4cab4,
    0xffddd4c2,
    0xffbaac9b,
    0xffcbbfa9,
    0xffcfc2a6,
    0xffd8c9aa,
    0xffa39977,
    0xffc4b698,
    0xffc7b898,
    0xffbeae8d,
    0xffb1a37e,
    0xffa09473,
    0xff6c6246,
    0xff958d7b,
    0xffffffff,
    0xff9f9893,
    0xffa29792,
    0xffbaada1,
    0xffb8ac99,
    0xffa9a188,
    0xff8d886d,
    0xff7e7a63,
    0xff646448,
    0xff9e9980,
    0xff615741,
    0xffac9f86,
    0xffbaae93,
    0xffa39880,
    0xffa6a08e,
    0xff676456,
    0xff626358,
    0xff262720,
    0xff595a52,
    0xff464742,
    0xff414138,
    0xff3d3e31,
    0xff757768,
    0xff53513e,
    0xff918f7a,
    0xff605b4d,
    0xff6a6057,
    0xff585549,
    0xff767968,
    0xff53594a,
    0xff32352f,
    0xff2f3032,
    0xff0a1203,
    0xff7b643f,
    0xff925321,
    0xfff0ae5b,
    0xffe8af78,
    0xffa06941,
    0xffe5a840,
    0xffdf9a34,
    0xffb45f17,
    0xffa2560b,
    0xffc7852e,
    0xff6f2200,
    0xffb36622,
    0xffcf8a55,
    0xffae836b,
    0xff36290b,
    0xff383d41,
    0xff55595f,
    0xff131115,
    0xff201b23,
    0xff142018,
    0xff172b2b,
    0xff0d0c17,
    0xff472f1b,
    0xffc49a76,
    0xff5a3429,
    0xffad7b49,
    0xff884906,
    0xffd6a55a,
    0xffedc071,
    0xffe7a26e,
    0xffa35b02,
    0xffd39a1b,
    0xffecbd3c,
    0xffe9c037,
    0xffb97c2e,
    0xfff6d9d1,
    0xffd1dde4,
    0xffbbb4bd,
    0xff564f50,
    0xff6c5eb9,
    0xff5a69c5,
    0xff4c63b3,
    0xff936ea6,
    0xff811937,
    0xff6e0103,
    0xff851209,
    0xffb0100d,
    0xffb90c16,
    0xffb91b1d,
    0xffad2115,
    0xffb52d21,
    0xff981210,
    0xff7d0006,
    0xff660009,
    0xff59040f,
    0xff57030b,
    0xff79000e,
    0xff87050c,
    0xff870809,
    0xff8b0207,
    0xff820005,
    0xff790109,
    0xff79000b,
    0xff630817,
    0xff4a001b,
    0xff492062,
    0xff596ccb,
    0xff356fd4,
    0xff3071c9,
    0xff376fc1,
    0xff3b6ec9,
    0xff346ec8,
    0xff326dc7,
    0xff316dc7,
    0xff326dc7,
    0xff3772cc,
    0xff336ec8,
    0xff326dc7,
    0xff346fc9,
    0xff3772cc,
    0xff336ec8,
    0xff3570ca,
    0xff2e69c3,
    0xff306bc5,
    0xff3570ca,
    0xff3974ce,
    0xff3a75cf,
    0xff3b78d0,
    0xff3c75ce,
    0xff3a73ca,
    0xff3d75cc,
    0xff4178cd,
    0xff3c71c7,
    0xff3e73c8,
    0xff376dc0,
    0xff3371bf,
    0xff3572ca,
    0xff3b72d2,
    0xff3472c3,
    0xff3377be,
    0xff3b6cd0,
    0xff4569d6,
    0xff436cbc,
    0xff5c5eab,
    0xff441739,
    0xff4e0108,
    0xff57050e,
    0xff59172e,
    0xff764e7e,
    0xff6e4c81,
    0xff410524,
    0xff530004,
    0xff691f3a,
    0xff51477d,
    0xff3a63ae,
    0xff2f5bb7,
    0xff2a52ae,
    0xff2a58aa,
    0xff1e539f,
    0xff2557a3,
    0xff5a3f73,
    0xff580013,
    0xff710e22,
    0xff862f49,
    0xff6a1c3b,
    0xff6e3752,
    0xff4c3449,
    0xff4b4b6c,
    0xff403f68,
    0xff44315f,
    0xff4a193d,
    0xff4c051a,
    0xff430818,
    0xff43374e,
    0xff264265,
    0xff0f2a5b,
    0xff0f335d,
    0xff153a59,
    0xff0e2d47,
    0xff06213e,
    0xff0f3155,
    0xff123860,
    0xff173e63,
    0xff1a4163,
    0xff13426c,
    0xff31538f,
    0xff2a5ca0,
    0xff215da1,
    0xff275da5,
    0xff2967aa,
    0xff3864b0,
    0xff5368b4,
    0xff4a062b,
    0xff61000b,
    0xff5c0515,
    0xff5a060d,
    0xff710108,
    0xff66040c,
    0xff5e080d,
    0xff5f0607,
    0xff610409,
    0xff62020a,
    0xff69020d,
    0xff68000b,
    0xff6a010b,
    0xff65000c,
    0xff660109,
    0xff620710,
    0xff5c2f5c,
    0xff42082a,
    0xff49061b,
    0xff555498,
    0xff446ecb,
    0xff8295d9,
    0xff8181ae,
    0xff1f3662,
    0xff8181d5,
    0xff5e1138,
    0xff8d0913,
    0xff760f25,
    0xff873539,
    0xff8e342c,
    0xff5d070a,
    0xff6a030f,
    0xff71000e,
    0xff720008,
    0xff6e0207,
    0xff6f0007,
    0xff7b000b,
    0xff7e000c,
    0xff760008,
    0xff750403,
    0xff690015,
    0xff9e76ac,
    0xff577be1,
    0xff4c71d4,
    0xff5a79c5,
    0xff3e7fd3,
    0xff4080de,
    0xff437ad3,
    0xff467cd6,
    0xff457dd7,
    0xff467dd6,
    0xff457cd6,
    0xff467dd7,
    0xff437cd6,
    0xff457ed7,
    0xff4278d0,
    0xff5075d9,
    0xff417cdf,
    0xff427dd4,
    0xff5382ca,
    0xff6888ca,
    0xff5c6ebf,
    0xff4977d2,
    0xff5076cf,
    0xff4976ce,
    0xff677ad2,
    0xff956bb3,
    0xff6f0e37,
    0xff770211,
    0xff7a0109,
    0xff7b000f,
    0xff700002,
    0xff820d10,
    0xffcc4849,
    0xffc63d21,
    0xffc94724,
    0xffcf4125,
    0xffbf2c06,
    0xffaf382a,
    0xff7d324c,
    0xff7c6faf,
    0xff584b80,
    0xffffe5ee,
    0xfff1c6d2,
    0xffb47c90,
    0xffb17c83,
    0xffad6a87,
    0xffa297c4,
    0xff4163c1,
    0xff5d67be,
    0xff7e4f7f,
    0xff730c3b,
    0xff7a001e,
    0xff8a040d,
    0xffb90020,
    0xffa60015,
    0xffa22150,
    0xff735eb7,
    0xff3968d5,
    0xff336fce,
    0xff3271cc,
    0xff386ed6,
    0xff3173d6,
    0xff3570d4,
    0xff346ed2,
    0xff3670d3,
    0xff3771d2,
    0xff3971d1,
    0xff3a72d2,
    0xff3970d5,
    0xff3a70d5,
    0xff3975d1,
    0xff3974d0,
    0xff3874cf,
    0xff3773d1,
    0xff3b77d4,
    0xff3974d2,
    0xff3773d1,
    0xff3b76d4,
    0xff3a75cf,
    0xff3772cb,
    0xff3873cc,
    0xff3873cf,
    0xff3974d0,
    0xff3b76d2,
    0xff3d78d4,
    0xff3e79d5,
    0xff4179d6,
    0xff3f77d4,
    0xff3d74d1,
    0xff3e76d3,
    0xff3d75d0,
    0xff3e76d1,
    0xff3f78d0,
    0xff3e77d0,
    0xff4178d1,
    0xff4075cf,
    0xff3d74cd,
    0xff3e73cf,
    0xff3f75d2,
    0xff3b73d1,
    0xff3c75d3,
    0xff3a77d4,
    0xff3975ce,
    0xff3a75d0,
    0xff3a76d1,
    0xff3a75d1,
    0xff3772ce,
    0xff3a75d1,
    0xff3a75cf,
    0xff3772cb,
    0xff3976d3,
    0xff3a76d4,
    0xff3572d0,
    0xff3670cf,
    0xff3872d1,
    0xff3671cf,
    0xff3a75d3,
    0xff3a74d4,
    0xff3974d0,
    0xff3874d0,
    0xff3a75d1,
    0xff3b77d3,
    0xff3974d0,
    0xff3b77d3,
    0xff3a76d2,
    0xff3b76d2,
    0xff3d74d1,
    0xff3e76d3,
    0xff3f77d4,
    0xff4078d5,
    0xff3d76d0,
    0xff3e77d1,
    0xff417ad4,
    0xff427bd4,
    0xff4178d6,
    0xff4179d7,
    0xff427bd5,
    0xff427bd4,
    0xff417ad3,
    0xff427bd2,
    0xff427bd2,
    0xff447ed3,
    0xff407ed0,
    0xff4d80d9,
    0xff5e86e6,
    0xff5d8de8,
    0xff508add,
    0xff5a89d7,
    0xff717fce,
    0xff7663b2,
    0xff711733,
    0xff730f18,
    0xff670c0f,
    0xff6a000f,
    0xff660114,
    0xff680607,
    0xff840400,
    0xff9c1f18,
    0xff9a0d1e,
    0xff97121e,
    0xff910f15,
    0xff770011,
    0xff7c0821,
    0xffb86483,
    0xff94556f,
    0xffbf564f,
    0xffc6403e,
    0xff9b0400,
    0xffb12b0d,
    0xff990000,
    0xffb40b14,
    0xffd25578,
    0xff9266a0,
    0xff845db0,
    0xff755a9f,
    0xff7b5eab,
    0xff7163c3,
    0xff6c61c3,
    0xffa46ea7,
    0xff9f2023,
    0xffae0902,
    0xffa70713,
    0xff9c0306,
    0xffd84442,
    0xff8f0409,
    0xff910713,
    0xff790e27,
    0xffa77fb7,
    0xff8f6da8,
    0xffb5566e,
    0xffe86b4d,
    0xffee883e,
    0xffcd6628,
    0xffc04c07,
    0xffd2806f,
    0xff8181b0,
    0xff5f85de,
    0xff6284d9,
    0xff5183d7,
    0xff4d82d6,
    0xff4379d1,
    0xff3f77d0,
    0xff3a71cb,
    0xff3b72cf,
    0xff3e72d4,
    0xff3d71d5,
    0xff3470d0,
    0xff326fcd,
    0xff3270ca,
    0xff3671cd,
    0xff3571cb,
    0xff3972cb,
    0xff3970ce,
    0xff376ecb,
    0xff336ecc,
    0xff346ecc,
    0xff336ecb,
    0xff326bcc,
    0xff316bcb,
    0xff326bcc,
    0xff2f69cb,
    0xff2d68cb,
    0xff2468c8,
    0xff2e6ece,
    0xff2964c7,
    0xff2f67cd,
    0xff2b67cd,
    0xff2a6bd0,
    0xff2a68ca,
    0xff2967c7,
    0xff2f65c4,
    0xff276ac9,
    0xff286bcc,
    0xff2b63c7,
    0xff3064c3,
    0xff3266bf,
    0xff3662c0,
    0xff4161c2,
    0xff4a57a5,
    0xff6a538a,
    0xff99627b,
    0xff983a37,
    0xff9a261e,
    0xffd66449,
    0xffd55b2c,
    0xffbb4830,
    0xffcf5034,
    0xffdf6858,
    0xffb2432d,
    0xffcf524a,
    0xffb14464,
    0xff584a84,
    0xff335faf,
    0xff4652bd,
    0xff4858a6,
    0xff414ca7,
    0xff484eb2,
    0xff3751af,
    0xff265ab8,
    0xff1d59c4,
    0xff2058c7,
    0xff2b59bd,
    0xff3151b2,
    0xff2d52b3,
    0xff295abf,
    0xff2058bf,
    0xff1c56be,
    0xff1f59c2,
    0xff1f5ac2,
    0xff1f59c1,
    0xff155cbd,
    0xff3957a2,
    0xffb19ea8,
    0xff5c515e,
    0xff5672a8,
    0xff225bb5,
    0xff1e5cc6,
    0xff1f5aa7,
    0xff2356aa,
    0xff214f9c,
    0xff244987,
    0xff27477c,
    0xff22416f,
    0xff1d3b67,
    0xff1d436c,
    0xff1b446b,
    0xff16426c,
    0xff133d5e,
    0xff12374e,
    0xff113444,
    0xff0f313b,
    0xff0f2e33,
    0xff0d2927,
    0xff0b211d,
    0xff13251c,
    0xff11261c,
    0xff0b2017,
    0xff0a1e15,
    0xff0b2017,
    0xff091f13,
    0xff081e12,
    0xff081e11,
    0xff091b13,
    0xff081911,
    0xff0a1a12,
    0xff091d14,
    0xff0a1e15,
    0xff071b12,
    0xff04180f,
    0xff061b11,
    0xff091911,
    0xff06170f,
    0xff081911,
    0xff05160e,
    0xff05160e,
    0xff05160e,
    0xff04150d,
    0xff06160f,
    0xff101a10,
    0xff091a0f,
    0xff081d14,
    0xff081e17,
    0xff081c18,
    0xff0a1a16,
    0xff0c1d16,
    0xff071b11,
    0xff051e1b,
    0xff051e1a,
    0xff071d1e,
    0xff082121,
    0xff051f1e,
    0xff072124,
    0xff0a2526,
    0xff0a2627,
    0xff0a2829,
    0xff0b2b29,
    0xff0f2e27,
    0xff0e2824,
    0xff102620,
    0xff12231f,
    0xff0e2218,
    0xff0a2113,
    0xff0c1f1d,
    0xff061c19,
    0xff041b19,
    0xff041b19,
    0xff041918,
    0xff041719,
    0xff021216,
    0xff031417,
    0xff011413,
    0xff011513,
    0xff001311,
    0xff011813,
    0xff041917,
    0xff021714,
    0xff031b18,
    0xff011817,
    0xff001313,
    0xff001011,
    0xff000910,
    0xff353642,
    0xff91909e,
    0xffe4e6f5,
    0xffe8f0fd,
    0xff798493,
    0xff1e263d,
    0xff000113,
    0xff021b23,
    0xff0f262b,
    0xff0b1c21,
    0xff132127,
    0xff06181e,
    0xff000a11,
    0xff3c3a3f,
    0xff65646c,
    0xff9295a4,
    0xff353c50,
    0xff697789,
    0xff122531,
    0xff0b1e26,
    0xff14272a,
    0xff142728,
    0xff33413b,
    0xff1e261a,
    0xff2e2d28,
    0xff1a1419,
    0xff6b6970,
    0xffbabbbd,
    0xff30362d,
    0xff161711,
    0xfff4edf4,
    0xffab9dab,
    0xffb8acb5,
    0xff292314,
    0xff2b2a03,
    0xff665f30,
    0xffc5ba86,
    0xffad9f6e,
    0xffc2b68a,
    0xffe7d9b6,
    0xffded0b4,
    0xffdccdb6,
    0xffc8b9a0,
    0xffdfd0b3,
    0xffb8a787,
    0xffb4a982,
    0xffb2a680,
    0xffcfbf9a,
    0xffb1a278,
    0xffa99b70,
    0xff968a61,
    0xffa79b7b,
    0xffa39d80,
    0xff9e9c8b,
    0xff766f66,
    0xffcfc3c2,
    0xffaea199,
    0xffc1b7a0,
    0xffbbb492,
    0xff9b9576,
    0xff8e896f,
    0xff959478,
    0xffaca78f,
    0xff7f755d,
    0xff998b71,
    0xffa79a7f,
    0xffa0937c,
    0xff9a9280,
    0xffc0baad,
    0xff979a8f,
    0xff81827b,
    0xff8b8b85,
    0xff656660,
    0xff65645c,
    0xff848579,
    0xff7d7a6b,
    0xff888772,
    0xff666555,
    0xff4a463b,
    0xff3b342b,
    0xff5b584a,
    0xff84856f,
    0xff787a65,
    0xff666357,
    0xff4c423b,
    0xff976c33,
    0xffd59e32,
    0xffe09523,
    0xffca8e30,
    0xffe0bd9b,
    0xff784a24,
    0xfff4b04f,
    0xffa85f29,
    0xff5a1100,
    0xffba7c1f,
    0xffb57910,
    0xff6f2300,
    0xffefaa56,
    0xff9d611b,
    0xff2c0000,
    0xff281000,
    0xff3c2723,
    0xff827f7c,
    0xff212b30,
    0xff1d2c32,
    0xff22312c,
    0xff1a2622,
    0xff262215,
    0xff644719,
    0xff9c7a64,
    0xff482f1c,
    0xffc49d5c,
    0xffc78140,
    0xffbe792b,
    0xffa26a0a,
    0xffe5b376,
    0xffd6b66a,
    0xffb97d20,
    0xffdbb236,
    0xffdfbc2e,
    0xffd38b36,
    0xffe1acaa,
    0xffcec7de,
    0xffc5b2bc,
    0xff8c7c81,
    0xff5364b4,
    0xff7068b3,
    0xff744785,
    0xff5d113b,
    0xff6a071c,
    0xff76050a,
    0xff870707,
    0xffa10f11,
    0xffac0c18,
    0xffb72125,
    0xffdc5151,
    0xffb93c3c,
    0xff740208,
    0xff620008,
    0xff5c030e,
    0xff51010d,
    0xff53000f,
    0xff61000e,
    0xff75020f,
    0xff82040f,
    0xff8c0510,
    0xff8d0610,
    0xff850510,
    0xff80030d,
    0xff700000,
    0xff4f0a32,
    0xff6365a8,
    0xff4371c5,
    0xff3e70d4,
    0xff2d75ca,
    0xff2978c5,
    0xff3e72df,
    0xff3a72ce,
    0xff3a73cd,
    0xff3a73cd,
    0xff3a73cd,
    0xff3972cc,
    0xff3b74ce,
    0xff3972cc,
    0xff3a72cd,
    0xff3673ca,
    0xff3874cb,
    0xff3672ca,
    0xff3874cb,
    0xff3772cc,
    0xff3772cc,
    0xff3974cd,
    0xff3773cd,
    0xff376fc6,
    0xff3b73ca,
    0xff3a72c9,
    0xff356dc3,
    0xff336cc3,
    0xff3c75cb,
    0xff356ec5,
    0xff3871c9,
    0xff366dc6,
    0xff366ec7,
    0xff336bc4,
    0xff2f6cc4,
    0xff3670c8,
    0xff3f75cf,
    0xff3868c6,
    0xff426cc7,
    0xff615190,
    0xff3f0529,
    0xff530517,
    0xff4e0005,
    0xff6b4c6f,
    0xff4c66b2,
    0xff5160a8,
    0xff473e7a,
    0xff3b153b,
    0xff73669a,
    0xff4057a1,
    0xff3360b0,
    0xff2c5daa,
    0xff3566af,
    0xff2c5aa8,
    0xff2e5db2,
    0xff3b5fa7,
    0xff605584,
    0xff52152a,
    0xff7a2d43,
    0xff562043,
    0xff534371,
    0xff373e6c,
    0xff233457,
    0xff0c2948,
    0xff12314c,
    0xff2a4059,
    0xff363b57,
    0xff292345,
    0xff22264d,
    0xff28446d,
    0xff194b74,
    0xff154273,
    0xff184576,
    0xff1b497b,
    0xff1d4e83,
    0xff22548c,
    0xff1e508b,
    0xff235794,
    0xff3065a4,
    0xff2c61ab,
    0xff3064b2,
    0xff2f63b4,
    0xff265eaf,
    0xff2e65ba,
    0xff3871c5,
    0xff356ec4,
    0xff3c73cc,
    0xff5d77c9,
    0xff3f1441,
    0xff54030e,
    0xff3c0427,
    0xff6d4d77,
    0xff590011,
    0xff62030c,
    0xff5a050d,
    0xff630400,
    0xff600310,
    0xff5e0319,
    0xff5c071c,
    0xff680006,
    0xff6f000a,
    0xff5f031a,
    0xff6c0200,
    0xff4d000f,
    0xff797cb5,
    0xff4b4c90,
    0xff1f053a,
    0xff566bbd,
    0xff4778c3,
    0xff9aaac8,
    0xff1c1a4b,
    0xff5172b4,
    0xff5860b7,
    0xff52083e,
    0xff7c0215,
    0xff8d1b27,
    0xff791724,
    0xff78232f,
    0xff741b17,
    0xff750318,
    0xff690512,
    0xff6c070a,
    0xff6e0103,
    0xff710209,
    0xff6f0108,
    0xff7a0513,
    0xff7b0012,
    0xff6f0000,
    0xff612345,
    0xff6e75bf,
    0xff4477da,
    0xff417adc,
    0xff4778d2,
    0xff3e74c8,
    0xff3e77d0,
    0xff407ad4,
    0xff437dd7,
    0xff427dd7,
    0xff407bd4,
    0xff3e79d5,
    0xff3f79d6,
    0xff3b76d2,
    0xff3e7ad8,
    0xff3e78d8,
    0xff4277ce,
    0xff4279d0,
    0xff4078d5,
    0xff3b77d1,
    0xff3876c4,
    0xff3b70c5,
    0xff4572d5,
    0xff5579cb,
    0xff7466ab,
    0xff661649,
    0xff6c001d,
    0xff78001b,
    0xff740216,
    0xff76010b,
    0xff7e0005,
    0xff7d010b,
    0xff770000,
    0xffaf2a1f,
    0xffc94227,
    0xffc94220,
    0xffad2406,
    0xffbe351e,
    0xffb83627,
    0xff83385e,
    0xff6c6194,
    0xffab90bf,
    0xffeccfdc,
    0xffdeb5bf,
    0xffaa6679,
    0xffb68b95,
    0xffefb9d4,
    0xff727aa9,
    0xff3d69d7,
    0xff4067c8,
    0xff5667b8,
    0xff7654a4,
    0xff791637,
    0xff8f0719,
    0xff9c002f,
    0xffb3123c,
    0xff914a83,
    0xff516bb4,
    0xff406cc4,
    0xff3a71ce,
    0xff3075d8,
    0xff386dd6,
    0xff3b70cf,
    0xff3a72d9,
    0xff3772d6,
    0xff3872d6,
    0xff3973d6,
    0xff3973d6,
    0xff3973d4,
    0xff3a74d6,
    0xff3c77d5,
    0xff3d74d1,
    0xff3e75d3,
    0xff3d75d2,
    0xff3d74d1,
    0xff3e76d3,
    0xff4077d4,
    0xff4077d4,
    0xff3f76d3,
    0xff3d78d4,
    0xff3d78d4,
    0xff3e79d5,
    0xff3d78d4,
    0xff3d78d4,
    0xff3c77d3,
    0xff3c77d3,
    0xff3b76d2,
    0xff3a75cf,
    0xff3c77d1,
    0xff3c78d4,
    0xff3975d0,
    0xff3873d1,
    0xff3974d4,
    0xff3772d2,
    0xff3973d4,
    0xff3d75d5,
    0xff3c72d6,
    0xff3871d4,
    0xff3770d2,
    0xff3972d5,
    0xff3672d3,
    0xff3571d2,
    0xff3774d1,
    0xff3270cf,
    0xff3372d0,
    0xff3372d0,
    0xff3673d3,
    0xff3673d2,
    0xff3573cf,
    0xff3471cc,
    0xff3875d0,
    0xff3571d2,
    0xff3571d3,
    0xff3773d5,
    0xff3672d4,
    0xff3773d5,
    0xff3a76d9,
    0xff3a76d8,
    0xff3a75d7,
    0xff3c76d0,
    0xff3d75cf,
    0xff3d76cf,
    0xff3d74d2,
    0xff3d75d1,
    0xff3d75d5,
    0xff3e76d6,
    0xff3d75d3,
    0xff4276d3,
    0xff4073d0,
    0xff4779d6,
    0xff4478d4,
    0xff3f75d1,
    0xff4078d1,
    0xff437ad8,
    0xff3f7bd8,
    0xff417ad3,
    0xff427bd5,
    0xff447dd7,
    0xff447dd7,
    0xff447dd8,
    0xff437cd7,
    0xff467fd8,
    0xff4d86e0,
    0xff4d84db,
    0xff487ed4,
    0xff477cd3,
    0xff4c7ed6,
    0xff4b7dd4,
    0xff4c7bd2,
    0xff4872cc,
    0xff5578d3,
    0xff7574c0,
    0xff6a5b91,
    0xff5e4478,
    0xff6a4481,
    0xff88406a,
    0xff7b0008,
    0xffc83b32,
    0xff820d04,
    0xff680002,
    0xff930a27,
    0xff7e051a,
    0xff75051b,
    0xff890712,
    0xffb53e40,
    0xffb95760,
    0xffde735f,
    0xffa01606,
    0xff9d1500,
    0xffffb04a,
    0xffffc651,
    0xffd85c31,
    0xff9e415b,
    0xff6759a3,
    0xff616bcb,
    0xff736ace,
    0xff636cbc,
    0xff6668c2,
    0xff6569ce,
    0xff7c73b3,
    0xffa74157,
    0xffa2000a,
    0xff8f061b,
    0xff940b03,
    0xff9e0007,
    0xffb61c31,
    0xff860003,
    0xff86102c,
    0xff9c659f,
    0xff7f629f,
    0xffaa627a,
    0xfff78d7c,
    0xffd56d33,
    0xffd46829,
    0xffe0631b,
    0xffd4634a,
    0xff9f8299,
    0xff4169bb,
    0xff4471c5,
    0xff3e70bf,
    0xff3169cc,
    0xff4378df,
    0xff3866b8,
    0xff4977bf,
    0xff3d78d3,
    0xff306cd6,
    0xff376bd0,
    0xff316dce,
    0xff3673d4,
    0xff3470d4,
    0xff3974d6,
    0xff3874d1,
    0xff356fcb,
    0xff326dc9,
    0xff3571cf,
    0xff306bc9,
    0xff2f6ac7,
    0xff2f68ca,
    0xff306ccf,
    0xff306cce,
    0xff2f69cd,
    0xff2c6acf,
    0xff2c6acf,
    0xff2e6ad1,
    0xff2d69d1,
    0xff2e69d0,
    0xff2d69cf,
    0xff2d68cc,
    0xff2c67cc,
    0xff316ccf,
    0xff3672d4,
    0xff316dce,
    0xff2b69c9,
    0xff2869c9,
    0xff2d6bcd,
    0xff3b70d2,
    0xff4371d1,
    0xff466acc,
    0xff445fc1,
    0xff7169ae,
    0xff8d7e9c,
    0xffa86987,
    0xffba6f77,
    0xff926e7b,
    0xff94678c,
    0xff8f4e9b,
    0xff815d96,
    0xff865772,
    0xff943e45,
    0xffd6765f,
    0xffc14349,
    0xffc95163,
    0xff6b4f87,
    0xff4556c2,
    0xff6d4880,
    0xff6f2747,
    0xffb76579,
    0xffc7546b,
    0xff6f3e79,
    0xff455fb9,
    0xff3954ba,
    0xff2c59c2,
    0xff2650a5,
    0xff73638e,
    0xff8d6694,
    0xff3c4596,
    0xff2f54b3,
    0xff314fa2,
    0xff2959ac,
    0xff215ab1,
    0xff2255b6,
    0xff2559b3,
    0xff4a63ae,
    0xfff3d8de,
    0xff63646e,
    0xff395d9d,
    0xff224fbb,
    0xff1057d1,
    0xff1b56a5,
    0xff1f56af,
    0xff2057ac,
    0xff1e55a1,
    0xff1d4e95,
    0xff214c8d,
    0xff1c4679,
    0xff1a3e64,
    0xff1c3f5c,
    0xff153850,
    0xff16394c,
    0xff153746,
    0xff1a3a47,
    0xff17353f,
    0xff112c33,
    0xff102827,
    0xff132824,
    0xff0d241c,
    0xff061e16,
    0xff0b2117,
    0xff091d14,
    0xff0d1c15,
    0xff0a1b10,
    0xff071f12,
    0xff032012,
    0xff081912,
    0xff0a1b13,
    0xff0b1c14,
    0xff091911,
    0xff081914,
    0xff0a1b15,
    0xff071812,
    0xff0a1b16,
    0xff06170f,
    0xff081912,
    0xff081911,
    0xff071810,
    0xff07180f,
    0xff071813,
    0xff051610,
    0xff081913,
    0xff0a1b10,
    0xff0c1c14,
    0xff0b1d14,
    0xff0b1e18,
    0xff0e211d,
    0xff0e211f,
    0xff0d2020,
    0xff0e2120,
    0xff061c12,
    0xff071d16,
    0xff071c18,
    0xff0a1f1d,
    0xff0c201f,
    0xff0b2021,
    0xff0e2425,
    0xff0c2224,
    0xff082327,
    0xff0b2325,
    0xff0b2424,
    0xff112627,
    0xff132725,
    0xff0e221e,
    0xff0e211c,
    0xff0b1e17,
    0xff071b18,
    0xff0a1d1c,
    0xff041816,
    0xff041715,
    0xff011311,
    0xff021413,
    0xff041716,
    0xff001211,
    0xff001412,
    0xff001715,
    0xff001415,
    0xff04171a,
    0xff031717,
    0xff031715,
    0xff00150e,
    0xff00140a,
    0xff001312,
    0xff001716,
    0xff001b1c,
    0xff001821,
    0xff000d1a,
    0xff12232d,
    0xff69737d,
    0xffa5aab3,
    0xffe5e6f3,
    0xffe8e9f4,
    0xff90939b,
    0xff333a3e,
    0xff414c4e,
    0xff546567,
    0xff3d5756,
    0xff2c494a,
    0xff22343e,
    0xff1a222c,
    0xff605c65,
    0xff8d8790,
    0xff61656d,
    0xff576269,
    0xff303d48,
    0xff0e1d29,
    0xff16211e,
    0xff1a251d,
    0xff1f2617,
    0xff262818,
    0xff252518,
    0xff17160e,
    0xff424341,
    0xffe1dfe1,
    0xff655955,
    0xff6e6664,
    0xffd0cad8,
    0xffb0a7ad,
    0xff5c4e31,
    0xff665621,
    0xff7e7136,
    0xff9d954e,
    0xffb6ac64,
    0xffbdb271,
    0xffc0b27d,
    0xffdbcda3,
    0xffdacba7,
    0xffbcad87,
    0xffaea37b,
    0xffb8ac7f,
    0xffc1ad76,
    0xffcfbb84,
    0xffc9b47e,
    0xffe2ca97,
    0xffb39a66,
    0xffa48a5c,
    0xffb8a57c,
    0xff7d6e4b,
    0xffb19f89,
    0xffc1b38c,
    0xffb5a990,
    0xffa1948b,
    0xffaba183,
    0xffd5caa0,
    0xffcebd99,
    0xffa08d69,
    0xffaa9d80,
    0xffc1b497,
    0xff908261,
    0xffae9f7e,
    0xffbcae8c,
    0xffa6997c,
    0xff8f856c,
    0xffbbb49e,
    0xff605e4f,
    0xffb1b19d,
    0xffd1ceba,
    0xff5a5546,
    0xff978f87,
    0xffaea59a,
    0xffc7c1ab,
    0xff827e5c,
    0xffa0a083,
    0xff9b9080,
    0xff62614d,
    0xff767b5c,
    0xffbbad94,
    0xff807263,
    0xff6b6751,
    0xff907e59,
    0xffb98130,
    0xffc07c03,
    0xffd48b03,
    0xffd4994d,
    0xffb5865c,
    0xff944e11,
    0xffab5a11,
    0xff7f4f00,
    0xffd29a30,
    0xffce8f27,
    0xffa96402,
    0xffffaf51,
    0xff9a5800,
    0xffb17b16,
    0xffdb8c44,
    0xffbd8656,
    0xff2c1302,
    0xff817277,
    0xff5a4a44,
    0xff1b2928,
    0xff161c2d,
    0xff201d20,
    0xff091500,
    0xffd2ad85,
    0xff735e4c,
    0xff3c1818,
    0xffae7c35,
    0xffbd7d2d,
    0xffb56e27,
    0xffcf9724,
    0xffbc8522,
    0xffc49046,
    0xffefd48c,
    0xffcea559,
    0xffca873b,
    0xffb56828,
    0xffd0a093,
    0xffddd7ec,
    0xffbfc5c3,
    0xff695f59,
    0xff6f3656,
    0xff782b4a,
    0xff64041f,
    0xff690014,
    0xff64000a,
    0xff66030d,
    0xff65000b,
    0xff6b000c,
    0xffb8393c,
    0xffc63c3f,
    0xffc12f35,
    0xff950f15,
    0xff6f0002,
    0xff5d0006,
    0xff58000a,
    0xff56010c,
    0xff49020e,
    0xff4e010b,
    0xff57000a,
    0xff600009,
    0xff650108,
    0xff68000a,
    0xff67010c,
    0xff660310,
    0xff792f4c,
    0xff896eb6,
    0xff4a66c1,
    0xff3f6ecd,
    0xff3b6ccf,
    0xff3371c3,
    0xff3473bb,
    0xff446ac8,
    0xff346dc8,
    0xff346fc9,
    0xff3671cb,
    0xff3772cc,
    0xff3873cd,
    0xff3873cd,
    0xff346fc9,
    0xff3874cd,
    0xff3a75cf,
    0xff3873cd,
    0xff3570ca,
    0xff326ec8,
    0xff336ec8,
    0xff3974ce,
    0xff3470cc,
    0xff3671cc,
    0xff3b71cb,
    0xff376ec8,
    0xff346bc5,
    0xff3c73cd,
    0xff346ac5,
    0xff366cc7,
    0xff2f66c1,
    0xff2b61bd,
    0xff2c63be,
    0xff2d66c1,
    0xff306cc4,
    0xff2d6ac2,
    0xff326bc5,
    0xff366dc8,
    0xff386ac5,
    0xff3c6ac6,
    0xff56559c,
    0xff3a0226,
    0xff570413,
    0xff4e112a,
    0xff66619c,
    0xff3b5eb1,
    0xff3a59a9,
    0xff4c5fac,
    0xff535691,
    0xff3c4f93,
    0xff2b57a4,
    0xff265dae,
    0xff285dab,
    0xff24519e,
    0xff2c5aa5,
    0xff24519f,
    0xff204ea2,
    0xff384380,
    0xff3b2145,
    0xff6a4563,
    0xff4e4069,
    0xff273c6b,
    0xff0f3460,
    0xff1a4366,
    0xff183e77,
    0xff19437d,
    0xff133e75,
    0xff1c4377,
    0xff2e4b8a,
    0xff335193,
    0xff2b5499,
    0xff1d5497,
    0xff2d5ca1,
    0xff2f60a5,
    0xff2858a1,
    0xff1c4f98,
    0xff275aa6,
    0xff2b60ad,
    0xff2a60af,
    0xff3368b8,
    0xff346abd,
    0xff336abd,
    0xff346cc0,
    0xff3870c5,
    0xff356ec4,
    0xff3a72ca,
    0xff437ad5,
    0xff4178d1,
    0xff5e78c5,
    0xff35205a,
    0xff33133b,
    0xff6c6ab3,
    0xff6e7bc6,
    0xff6f3a64,
    0xff4a0113,
    0xff530311,
    0xff610305,
    0xff620007,
    0xff680006,
    0xff69050b,
    0xff690003,
    0xff670308,
    0xff58000d,
    0xff600404,
    0xff551d44,
    0xff677cc3,
    0xff5978ce,
    0xff545daa,
    0xff556cb8,
    0xff91abdc,
    0xff3d4a68,
    0xff465da0,
    0xff4f7ac6,
    0xff5c76d2,
    0xff8c5a95,
    0xff6e0419,
    0xff931d2b,
    0xff80121f,
    0xff78232e,
    0xff661a14,
    0xff64030c,
    0xff670011,
    0xff71000d,
    0xff6b020c,
    0xff620313,
    0xff6c000c,
    0xff5f000b,
    0xff56244f,
    0xff885fa3,
    0xff6d66b6,
    0xff5377d2,
    0xff3c77d5,
    0xff4078d2,
    0xff4574cd,
    0xff4774d3,
    0xff4174d8,
    0xff3e78d3,
    0xff3b76d0,
    0xff3a75ce,
    0xff3c77d3,
    0xff3a75d1,
    0xff3c77d2,
    0xff3a75d3,
    0xff3873d1,
    0xff3877c9,
    0xff3d71d0,
    0xff456bd8,
    0xff446bd7,
    0xff3e74d2,
    0xff3974c7,
    0xff4f6cc0,
    0xff776dc4,
    0xff652555,
    0xff510021,
    0xff670113,
    0xff6f000a,
    0xff6f010a,
    0xff71050e,
    0xff78030f,
    0xff7b020d,
    0xff7a020d,
    0xff7e0307,
    0xff7c0000,
    0xffc84639,
    0xffaf2a1a,
    0xffa82419,
    0xffad2b24,
    0xff971818,
    0xff7d182e,
    0xff794661,
    0xfff1b3ce,
    0xffdfa1a7,
    0xffeeaeb1,
    0xff9f4c5a,
    0xffbe7a83,
    0xff97515e,
    0xff666192,
    0xff3b69c3,
    0xff3e6dca,
    0xff4461c5,
    0xff595fc7,
    0xff7d5b9b,
    0xff752650,
    0xff7d0430,
    0xff8a4075,
    0xff6265b1,
    0xff366dce,
    0xff3a68d4,
    0xff306fd3,
    0xff3370da,
    0xff4667da,
    0xff396ed7,
    0xff3670d4,
    0xff3872d6,
    0xff3973d6,
    0xff3872d3,
    0xff3974d4,
    0xff3b76d5,
    0xff3a75d3,
    0xff3772d0,
    0xff3b76d2,
    0xff3974d0,
    0xff3873cf,
    0xff3a75d1,
    0xff3975d0,
    0xff3a75d1,
    0xff3975d1,
    0xff3974d0,
    0xff3a75d1,
    0xff3c77d3,
    0xff3b76d2,
    0xff3a75d1,
    0xff3a75d1,
    0xff3a75d1,
    0xff3b76d2,
    0xff3b76d2,
    0xff3873cd,
    0xff3772cb,
    0xff3671ce,
    0xff3771cd,
    0xff3772d0,
    0xff3770d2,
    0xff336dce,
    0xff356fd0,
    0xff366dce,
    0xff306bcf,
    0xff2f69cc,
    0xff2e68cb,
    0xff336cd0,
    0xff306ccc,
    0xff3572ce,
    0xff316dca,
    0xff2e6dca,
    0xff2f6ecd,
    0xff2f6ecd,
    0xff3070cf,
    0xff3470d0,
    0xff3370cd,
    0xff326fc9,
    0xff3371cc,
    0xff3572d1,
    0xff3671d2,
    0xff3773d3,
    0xff3772d3,
    0xff3773d3,
    0xff3874d4,
    0xff3773d3,
    0xff3673d2,
    0xff3873cf,
    0xff3873cf,
    0xff3975d1,
    0xff3c73d0,
    0xff3c74d1,
    0xff3a73cf,
    0xff3d73d0,
    0xff3e75d5,
    0xff3a7add,
    0xff3a79de,
    0xff3575d7,
    0xff3d7bda,
    0xff3b77d4,
    0xff3c78d4,
    0xff3d79d2,
    0xff3d77d1,
    0xff3f78d2,
    0xff3f78d2,
    0xff3f78d2,
    0xff3f78d2,
    0xff3f78d2,
    0xff4079d3,
    0xff3e77d1,
    0xff3e77d1,
    0xff3a74cd,
    0xff3e76d1,
    0xff3f75d0,
    0xff3c72cd,
    0xff3d72cd,
    0xff3e71ce,
    0xff4273cf,
    0xff3d6fce,
    0xff3d70d2,
    0xff4b6fc0,
    0xff4b71ca,
    0xff4e6dcd,
    0xff79558e,
    0xff9d2b31,
    0xff901609,
    0xff6e0e0f,
    0xff830800,
    0xff87041a,
    0xff720a20,
    0xff8c263a,
    0xff70000c,
    0xffcd4c49,
    0xffef6f65,
    0xffe6756c,
    0xff8a0000,
    0xffaf3507,
    0xffffc63f,
    0xffffc339,
    0xffc24c1f,
    0xffb25365,
    0xff9c6193,
    0xff8d4a7f,
    0xff79529a,
    0xff6a72b5,
    0xff7066b7,
    0xff6f5cb6,
    0xff606ab6,
    0xff956aad,
    0xff9b0d3d,
    0xffa00009,
    0xff9e0018,
    0xff9e0719,
    0xff8b020d,
    0xff7a0000,
    0xffba584c,
    0xff834150,
    0xff93658a,
    0xff70415d,
    0xffa34851,
    0xffa42715,
    0xffd44229,
    0xffe05b38,
    0xffbd6775,
    0xff61639f,
    0xff3a6ed3,
    0xff3a67bd,
    0xff326dcc,
    0xff406fd7,
    0xff3553b3,
    0xff7893d7,
    0xff608ac8,
    0xff2c65b3,
    0xff336bc5,
    0xff3665bb,
    0xff2b65c1,
    0xff2c65c5,
    0xff2e66ca,
    0xff2e66c5,
    0xff3168c4,
    0xff2c65bc,
    0xff3269c2,
    0xff3065c4,
    0xff2e68c6,
    0xff2d66c8,
    0xff2b68c7,
    0xff2a66c5,
    0xff2c68ca,
    0xff2a66c8,
    0xff2f6acd,
    0xff2d68cc,
    0xff2f6ad0,
    0xff2f6ad0,
    0xff306bd1,
    0xff2d68cc,
    0xff306bcf,
    0xff316dcf,
    0xff326ed0,
    0xff306bcb,
    0xff2e67c8,
    0xff326bcb,
    0xff316bce,
    0xff3069cd,
    0xff2c64c5,
    0xff3365c6,
    0xff315fbf,
    0xff3a64c8,
    0xff3c57bb,
    0xff415aa7,
    0xff4f5ab2,
    0xff4f5dac,
    0xff3f63b7,
    0xff3463b8,
    0xff345dc6,
    0xff3b65bf,
    0xff4a57b1,
    0xff91486a,
    0xffd75933,
    0xffac1b07,
    0xff98181d,
    0xff9c597d,
    0xff793a83,
    0xff820513,
    0xffa00001,
    0xffb42c20,
    0xff910100,
    0xff924765,
    0xff4452a3,
    0xff2f57c2,
    0xff4058ab,
    0xff925a85,
    0xffb54331,
    0xffc14935,
    0xff9f5467,
    0xff8a5375,
    0xff946787,
    0xff5e5897,
    0xff4454ad,
    0xff4355b0,
    0xff3a478f,
    0xff899ad0,
    0xffbeabb4,
    0xff656885,
    0xff2e559d,
    0xff2858bb,
    0xff0e55c8,
    0xff1f56ab,
    0xff1a55b1,
    0xff1956af,
    0xff1953a6,
    0xff1a51a1,
    0xff124693,
    0xff184689,
    0xff19437b,
    0xff163d6b,
    0xff163755,
    0xff11334c,
    0xff113144,
    0xff0d2d3c,
    0xff102d39,
    0xff142c34,
    0xff142a28,
    0xff152722,
    0xff132620,
    0xff0c201a,
    0xff0a1e15,
    0xff102119,
    0xff101e18,
    0xff101f15,
    0xff0f2015,
    0xff091f13,
    0xff0d1f17,
    0xff0d1e16,
    0xff0e1f17,
    0xff0c1d15,
    0xff0a1b12,
    0xff0b1c16,
    0xff091a14,
    0xff0b1b15,
    0xff0a1b12,
    0xff091a0f,
    0xff061710,
    0xff04150d,
    0xff05160e,
    0xff05160d,
    0xff04150f,
    0xff061712,
    0xff0a1b13,
    0xff091a12,
    0xff0a1b15,
    0xff0a1d17,
    0xff0b1e1a,
    0xff0f2220,
    0xff0e211e,
    0xff0c1f1f,
    0xff12251d,
    0xff10231e,
    0xff0f221c,
    0xff0f251f,
    0xff102422,
    0xff0d2120,
    0xff0e2220,
    0xff0f2423,
    0xff152d2e,
    0xff10282b,
    0xff0e2626,
    0xff0e2926,
    0xff0f2523,
    0xff0d2321,
    0xff0f241f,
    0xff0a1f1a,
    0xff0c211c,
    0xff0a1f1a,
    0xff081d18,
    0xff061c17,
    0xff0b1e1a,
    0xff213430,
    0xff1f322e,
    0xff0d211c,
    0xff011715,
    0xff011816,
    0xff011714,
    0xff001615,
    0xff021817,
    0xff041917,
    0xff051a17,
    0xff18312b,
    0xff071e1b,
    0xff041b1c,
    0xff021c1e,
    0xff021f24,
    0xff072027,
    0xff0a1d27,
    0xff05111b,
    0xff051018,
    0xff1c2730,
    0xff49515b,
    0xff9ca1ab,
    0xffe6eaf3,
    0xffc9d0d8,
    0xff5a656c,
    0xff00030c,
    0xff06171f,
    0xff021e26,
    0xff0a262d,
    0xff091d25,
    0xff515761,
    0xff7c7583,
    0xff8b7f91,
    0xff5b5968,
    0xff48505d,
    0xff101c1f,
    0xff222f2e,
    0xff222b26,
    0xff20281d,
    0xff2a2e20,
    0xff323225,
    0xff212018,
    0xff3f3b34,
    0xff998c88,
    0xff3f3937,
    0xffc1bccd,
    0xffc6bdc9,
    0xff7f7059,
    0xff5a461b,
    0xff635520,
    0xff7d7333,
    0xff9b8d45,
    0xffb6a764,
    0xff9d8d52,
    0xffa1915b,
    0xffa29161,
    0xff7c6b3c,
    0xff817341,
    0xff695a27,
    0xffa8925c,
    0xff8e7b42,
    0xffa28e55,
    0xffa28e50,
    0xff877236,
    0xff947e49,
    0xff7e6d43,
    0xff665a38,
    0xff584c2a,
    0xff746d34,
    0xff89845a,
    0xffe9e0d5,
    0xff696050,
    0xff877d55,
    0xff8d7c56,
    0xff9b8470,
    0xff9c8e6c,
    0xffc3b693,
    0xff8f825a,
    0xffac9e74,
    0xff9c8e64,
    0xffb7ab85,
    0xffc6bc9b,
    0xffafa687,
    0xff777254,
    0xff9e967a,
    0xffbeb69e,
    0xffc9bfa9,
    0xffa1977f,
    0xffaaa084,
    0xff91886b,
    0xff837c5f,
    0xffaea78a,
    0xff9c887b,
    0xff857d6a,
    0xff9b9d7d,
    0xffbbb094,
    0xff8a7d67,
    0xff8d8260,
    0xffaf9261,
    0xffb6792d,
    0xffa75100,
    0xffb16518,
    0xfffdca9e,
    0xff764403,
    0xffe39836,
    0xffe59c2f,
    0xfff4c644,
    0xffeaad3e,
    0xffa46416,
    0xfff1ab5c,
    0xffde8c33,
    0xffcb8121,
    0xffba6d14,
    0xff812a00,
    0xff915218,
    0xff251501,
    0xff434144,
    0xff807470,
    0xff171d18,
    0xff201b1f,
    0xff463a39,
    0xff232c25,
    0xff815f50,
    0xff6e5c46,
    0xff3b1a15,
    0xff80490c,
    0xff9d4e13,
    0xff9f5224,
    0xffaa761f,
    0xffb68320,
    0xffd99524,
    0xffb07915,
    0xffe3bd71,
    0xffe4b983,
    0xff996132,
    0xffdeaea2,
    0xffe8dbe9,
    0xff707570,
    0xff494040,
    0xff7e1a23,
    0xff690007,
    0xff75030e,
    0xff72020a,
    0xff680106,
    0xff5c0004,
    0xff5c0106,
    0xff5a0002,
    0xff650302,
    0xff9b2123,
    0xffc63840,
    0xff8e050c,
    0xff710005,
    0xff62020b,
    0xff5d010b,
    0xff5d0008,
    0xff4c040f,
    0xff4b0510,
    0xff4b010e,
    0xff4a0210,
    0xff4c0111,
    0xff4e0010,
    0xff510010,
    0xff520113,
    0xff57153a,
    0xff533370,
    0xff5a58a7,
    0xff4d62c1,
    0xff3b68cc,
    0xff356fc6,
    0xff3972c4,
    0xff346dc9,
    0xff316fca,
    0xff3673ce,
    0xff3774d0,
    0xff3673cd,
    0xff2d6ac5,
    0xff3270cb,
    0xff3471cc,
    0xff2f6bc7,
    0xff2d67c3,
    0xff2e66c3,
    0xff316ac6,
    0xff3169c6,
    0xff336bc8,
    0xff326bc7,
    0xff356dca,
    0xff346dc7,
    0xff3168c4,
    0xff376ec9,
    0xff356cc7,
    0xff3269c5,
    0xff3067c2,
    0xff3168c3,
    0xff2f67c2,
    0xff356cc7,
    0xff376fc8,
    0xff3b74cc,
    0xff3772ca,
    0xff3874c9,
    0xff366fc5,
    0xff336bc2,
    0xff3468bf,
    0xff3263bb,
    0xff5366b7,
    0xff613358,
    0xff4a0001,
    0xff603b69,
    0xff4760af,
    0xff335fb0,
    0xff2c5bb1,
    0xff2f5eb6,
    0xff3760af,
    0xff2f62af,
    0xff2a66b1,
    0xff2b68b6,
    0xff2d5fb0,
    0xff2d5ba9,
    0xff2f5da6,
    0xff285b9e,
    0xff1f55a1,
    0xff3c5a95,
    0xff303965,
    0xff38416e,
    0xff36528e,
    0xff26569d,
    0xff275da5,
    0xff26599b,
    0xff365fa7,
    0xff2d61a6,
    0xff2967a9,
    0xff2b6aac,
    0xff2e66ac,
    0xff2b5ea7,
    0xff2b5faa,
    0xff2d64af,
    0xff2b62b3,
    0xff2157aa,
    0xff255bae,
    0xff2a60b5,
    0xff2f66bc,
    0xff2c63bd,
    0xff3168c1,
    0xff366dc7,
    0xff366fc8,
    0xff3972cb,
    0xff3c75ce,
    0xff3d76d0,
    0xff3f78d1,
    0xff4079d4,
    0xff3e77d1,
    0xff3d72cd,
    0xff4d70c9,
    0xff4b5fab,
    0xff5b72b5,
    0xff5273d3,
    0xff5c76c7,
    0xff62385e,
    0xff43000f,
    0xff60020a,
    0xff560615,
    0xff5d0205,
    0xff680000,
    0xff710400,
    0xff66040c,
    0xff5c050e,
    0xff60060a,
    0xff4c0014,
    0xff635598,
    0xff4c72c9,
    0xff3e76cf,
    0xff4973cb,
    0xff637bbd,
    0xff8990aa,
    0xff2f3d65,
    0xff4973c7,
    0xff4175c8,
    0xff4670d2,
    0xff755493,
    0xff5c0019,
    0xff911524,
    0xff90101c,
    0xff6b111a,
    0xff51130e,
    0xff580405,
    0xff600809,
    0xff700303,
    0xff69000c,
    0xff610118,
    0xff79070c,
    0xff771f35,
    0xff7d76c6,
    0xff496ddb,
    0xff4573dd,
    0xff3d77d9,
    0xff3e78d4,
    0xff3e74cd,
    0xff3e71cc,
    0xff4075d5,
    0xff3a73d8,
    0xff3975d1,
    0xff3b75d2,
    0xff3a75d1,
    0xff3873cf,
    0xff3a75d0,
    0xff3a75d3,
    0xff3a75d3,
    0xff3873d1,
    0xff3876cf,
    0xff3771d4,
    0xff3e72d6,
    0xff3e75d1,
    0xff3e77d2,
    0xff4e69c6,
    0xff9168b7,
    0xff993064,
    0xff810007,
    0xff7a0003,
    0xff6d0302,
    0xff6e0704,
    0xff760405,
    0xff7a0007,
    0xff7d000b,
    0xff7e000e,
    0xff720008,
    0xff760208,
    0xff7b0207,
    0xff7c0103,
    0xff780000,
    0xff7a0006,
    0xff78000c,
    0xff7a000f,
    0xff78000e,
    0xff64070d,
    0xffbd5d6a,
    0xffc36169,
    0xff84302f,
    0xff78222d,
    0xff690e1e,
    0xff711c20,
    0xff724171,
    0xff476ab7,
    0xff3168bf,
    0xff3f67c6,
    0xff4b65c3,
    0xff6068b8,
    0xff755ca0,
    0xff6d1f59,
    0xff4f0d4e,
    0xff6556a9,
    0xff4c68cd,
    0xff3f6ed3,
    0xff2e78ce,
    0xff317bd1,
    0xff4270d5,
    0xff3277d7,
    0xff3b75d6,
    0xff3c77d7,
    0xff3d78d6,
    0xff3d78d6,
    0xff3b76d2,
    0xff3974d0,
    0xff3974d1,
    0xff3c77d2,
    0xff3974d0,
    0xff3c77d3,
    0xff3d78d4,
    0xff3c77d3,
    0xff3d78d4,
    0xff3d78d4,
    0xff3c77d3,
    0xff3a75d1,
    0xff3b76d2,
    0xff3c77d3,
    0xff3c76d2,
    0xff3b76d1,
    0xff3c77d3,
    0xff3c76d2,
    0xff3d78d4,
    0xff3b77d3,
    0xff3976d1,
    0xff3774d0,
    0xff3774ce,
    0xff3875d2,
    0xff3673d0,
    0xff3570d1,
    0xff316dcd,
    0xff336fcf,
    0xff336cce,
    0xff346ece,
    0xff346ed2,
    0xff366fd2,
    0xff3673d5,
    0xff326ece,
    0xff3371cd,
    0xff3370cd,
    0xff306fcc,
    0xff3170cf,
    0xff2d6dcb,
    0xff316ccd,
    0xff336fcf,
    0xff3471cd,
    0xff3371ce,
    0xff3674ce,
    0xff3572cf,
    0xff3471ce,
    0xff3774d0,
    0xff3673cf,
    0xff3774d1,
    0xff3875d1,
    0xff3774d1,
    0xff3976d3,
    0xff3a77d4,
    0xff3976d3,
    0xff3974d3,
    0xff3975d0,
    0xff3b73d0,
    0xff3d74d1,
    0xff3c73d0,
    0xff3b70ce,
    0xff3d75cb,
    0xff346dc3,
    0xff356dc6,
    0xff3872cb,
    0xff3875cf,
    0xff3774ce,
    0xff3475cf,
    0xff3574cf,
    0xff3872cc,
    0xff3b74cd,
    0xff3b74cd,
    0xff3b74ce,
    0xff3972cc,
    0xff3a73cc,
    0xff3972cc,
    0xff3771cb,
    0xff336fcb,
    0xff3471ce,
    0xff3671ce,
    0xff3770cf,
    0xff3670ce,
    0xff3872d0,
    0xff346ecc,
    0xff3a71d1,
    0xff356cd1,
    0xff3f6dcb,
    0xff336cd7,
    0xff4e6cd1,
    0xff7a3761,
    0xff9b130d,
    0xff90100a,
    0xff77121a,
    0xff740b0f,
    0xff8d1d2d,
    0xff58000a,
    0xff680307,
    0xffaa3340,
    0xffd75662,
    0xffb22521,
    0xff7a0000,
    0xffa70008,
    0xff990800,
    0xffffb845,
    0xffde790d,
    0xffa71c02,
    0xffcf4b59,
    0xff890b24,
    0xff9c0314,
    0xff8b2836,
    0xff844464,
    0xff903e75,
    0xff9b4587,
    0xff8266ac,
    0xff7264bb,
    0xffa45da1,
    0xff7e0b20,
    0xff940121,
    0xff7d0011,
    0xff830422,
    0xff7a0925,
    0xff7e3421,
    0xffaf6d58,
    0xff7b475d,
    0xff524b7e,
    0xff876694,
    0xff893645,
    0xff992213,
    0xffd86339,
    0xff964642,
    0xff6b5c96,
    0xff3b5cc8,
    0xff3462c6,
    0xff3661b4,
    0xff506ab0,
    0xff9eb3ec,
    0xff5879b2,
    0xff2e5ba8,
    0xff3466c8,
    0xff3567ca,
    0xff3167bc,
    0xff2f66c3,
    0xff2e66c4,
    0xff3167c9,
    0xff2f63c1,
    0xff3369c1,
    0xff4477ce,
    0xff4073ca,
    0xff3365c0,
    0xff2e6ac9,
    0xff2e6aca,
    0xff326dcd,
    0xff2f6bcb,
    0xff326ece,
    0xff3976d5,
    0xff346ece,
    0xff316bcd,
    0xff2d68cd,
    0xff2d67cb,
    0xff2e68cc,
    0xff2f69ce,
    0xff2a66c8,
    0xff2d68cb,
    0xff2d69c9,
    0xff2965c5,
    0xff3268c9,
    0xff3267cc,
    0xff3268cc,
    0xff3368cc,
    0xff2f66ca,
    0xff2e67ca,
    0xff2d68c8,
    0xff2b68c8,
    0xff2d67cb,
    0xff3565c2,
    0xff2864cd,
    0xff316ad3,
    0xff3564d3,
    0xff256dce,
    0xff2168c7,
    0xff4a63b3,
    0xff5f5aa5,
    0xffa04b6e,
    0xffcb4028,
    0xffa10e05,
    0xff9a0f19,
    0xff860b20,
    0xff9e244e,
    0xff94090d,
    0xffa5020b,
    0xff8c0300,
    0xffcc3e2d,
    0xffc1614a,
    0xff805d74,
    0xff515394,
    0xff725d78,
    0xffba3729,
    0xffc7330a,
    0xffc84209,
    0xffb33c1c,
    0xffc94927,
    0xffce5332,
    0xffa1434c,
    0xff71234a,
    0xff682c54,
    0xff65467c,
    0xffcdd6e7,
    0xff877f88,
    0xff6d70a4,
    0xff2450a0,
    0xff2359b0,
    0xff1759c1,
    0xff1f56ad,
    0xff1857b1,
    0xff1757af,
    0xff1755aa,
    0xff1a54a9,
    0xff184ea5,
    0xff1b4a9b,
    0xff17468f,
    0xff164382,
    0xff1d4167,
    0xff153858,
    0xff11334c,
    0xff123347,
    0xff102c39,
    0xff122b33,
    0xff142826,
    0xff14281f,
    0xff1a2a25,
    0xff162620,
    0xff162621,
    0xff12241b,
    0xff0e2118,
    0xff101f18,
    0xff101e17,
    0xff0f1c16,
    0xff0a1d12,
    0xff081d11,
    0xff0a1e15,
    0xff081c13,
    0xff081d13,
    0xff081d13,
    0xff081b16,
    0xff081d15,
    0xff08190f,
    0xff07180e,
    0xff071810,
    0xff06170f,
    0xff081911,
    0xff05160e,
    0xff07180f,
    0xff071812,
    0xff0a1a15,
    0xff0a1b15,
    0xff061913,
    0xff0a1d19,
    0xff0a1d19,
    0xff0c1f1a,
    0xff0c201f,
    0xff0f2321,
    0xff12261e,
    0xff162b20,
    0xff192c27,
    0xff172a24,
    0xff152b24,
    0xff162b25,
    0xff122721,
    0xff0e2320,
    0xff142927,
    0xff152b2a,
    0xff304544,
    0xff1d3331,
    0xff152b27,
    0xff132926,
    0xff142c26,
    0xff0f2720,
    0xff0f241d,
    0xff0b2019,
    0xff091e17,
    0xff051a13,
    0xff20332d,
    0xff273a34,
    0xff071a14,
    0xff081b16,
    0xff0c201f,
    0xff091d1b,
    0xff061c19,
    0xff061c19,
    0xff031d18,
    0xff021b18,
    0xff0f2826,
    0xff193231,
    0xff00181a,
    0xff001a1b,
    0xff021c1e,
    0xff082125,
    0xff071d22,
    0xff0a1c24,
    0xff13262e,
    0xff16272e,
    0xff1e323a,
    0xff12242d,
    0xff031019,
    0xff262d38,
    0xff606673,
    0xffb7bcca,
    0xffeff2ff,
    0xff8d92a5,
    0xff061b25,
    0xff001621,
    0xff09252f,
    0xff061826,
    0xff3b3f50,
    0xff696374,
    0xff897f8e,
    0xff77727e,
    0xff616975,
    0xff07111a,
    0xff1c272b,
    0xff202b27,
    0xff1d281f,
    0xff25281c,
    0xff2c2d1d,
    0xff2d2719,
    0xff342a22,
    0xffb0aaa9,
    0xff888297,
    0xfff0e7f9,
    0xff6b5b52,
    0xff503f21,
    0xff594824,
    0xff7d723d,
    0xff897836,
    0xff867433,
    0xff857536,
    0xffb8a86b,
    0xffbbab6f,
    0xff857439,
    0xff86753a,
    0xffa49457,
    0xff8e7b46,
    0xff78672e,
    0xffb5a66a,
    0xff756626,
    0xff8b7a3b,
    0xff96834e,
    0xff564b20,
    0xff746c4c,
    0xff4e4625,
    0xff777440,
    0xff4c4a1c,
    0xff797168,
    0xffb0a6a5,
    0xff3a330e,
    0xff56491b,
    0xff281405,
    0xff190c00,
    0xff6a5e36,
    0xff8e8155,
    0xff605325,
    0xff948758,
    0xff7c7143,
    0xff70653b,
    0xff8f865c,
    0xff786d40,
    0xffbdb28c,
    0xffa69679,
    0xff877957,
    0xffa69a6f,
    0xff998e60,
    0xff9b9170,
    0xff9c9078,
    0xffb5ae92,
    0xffb09c8b,
    0xff988978,
    0xff8d886c,
    0xffbab294,
    0xffbaa888,
    0xff9e7c51,
    0xff8f511d,
    0xff975508,
    0xffee9545,
    0xffae603f,
    0xffb5816b,
    0xff9e581d,
    0xff994100,
    0xfff9af5b,
    0xfff3c160,
    0xffca8827,
    0xffc78e56,
    0xffc68731,
    0xffd2853f,
    0xffbd6d19,
    0xffb6580d,
    0xffb76111,
    0xffb36d29,
    0xff481e01,
    0xffdecabd,
    0xffaf8c85,
    0xff756455,
    0xff7e694b,
    0xff41290c,
    0xff787e6f,
    0xff574541,
    0xff553e40,
    0xff3c2c2a,
    0xffac8c56,
    0xffa46020,
    0xffa55b19,
    0xfff5c572,
    0xffdeb261,
    0xffdca032,
    0xffeca538,
    0xffc09038,
    0xff9d7b44,
    0xfff4d0a6,
    0xffc4a299,
    0xfff8e7ee,
    0xff524d45,
    0xff51444e,
    0xff600513,
    0xff650413,
    0xff660110,
    0xff62010b,
    0xff5f040b,
    0xff5c0404,
    0xff5a0000,
    0xff5b0000,
    0xff5c0405,
    0xff690004,
    0xff7f050b,
    0xff780004,
    0xff6a0003,
    0xff69060d,
    0xff6c0912,
    0xff680009,
    0xff58000a,
    0xff560210,
    0xff4e000f,
    0xff4d0316,
    0xff4d0318,
    0xff4f041b,
    0xff510018,
    0xff520014,
    0xff500018,
    0xff400011,
    0xff400329,
    0xff65498d,
    0xff5773ca,
    0xff3e72cd,
    0xff3d76cf,
    0xff2974cf,
    0xff306cc3,
    0xff336bc5,
    0xff366fc7,
    0xff3a73cc,
    0xff376fc9,
    0xff2e67c0,
    0xff366fc7,
    0xff326ac3,
    0xff3269c4,
    0xff336ac4,
    0xff3b72cb,
    0xff3c73cd,
    0xff366dc6,
    0xff356dc5,
    0xff3067c0,
    0xff3067c0,
    0xff326ac3,
    0xff2c63bc,
    0xff2f67be,
    0xff2e66bd,
    0xff2a60b8,
    0xff3369c1,
    0xff2f65bd,
    0xff346ac2,
    0xff356abe,
    0xff3167bc,
    0xff3268bb,
    0xff2f65b8,
    0xff2f66b8,
    0xff3065b7,
    0xff3364b4,
    0xff3465b7,
    0xff395cac,
    0xff664e79,
    0xff460010,
    0xff56457a,
    0xff355eb2,
    0xff2f61ae,
    0xff2e69ba,
    0xff3067b8,
    0xff3168b7,
    0xff2d66b0,
    0xff2e68a8,
    0xff3368ac,
    0xff3260ab,
    0xff315eaa,
    0xff2758a1,
    0xff2d61a2,
    0xff3561ac,
    0xff315395,
    0xff2c467f,
    0xff3d5c9b,
    0xff3160af,
    0xff2a62bf,
    0xff2e64c1,
    0xff3461be,
    0xff3965bc,
    0xff3263ba,
    0xff2f69bf,
    0xff2864ba,
    0xff2c64bc,
    0xff3164bd,
    0xff2e5fb7,
    0xff2b61b5,
    0xff2862b6,
    0xff316dc1,
    0xff2f6bbe,
    0xff346fc3,
    0xff3a75cc,
    0xff3874ca,
    0xff336ec7,
    0xff3670c9,
    0xff3572cc,
    0xff3370cb,
    0xff346fcc,
    0xff3571cc,
    0xff3c75cf,
    0xff3c75cf,
    0xff3d76d1,
    0xff3e78d3,
    0xff3f76da,
    0xff3f74cf,
    0xff3d73c3,
    0xff426ac8,
    0xff5f70b1,
    0xff5d3c5c,
    0xff38102b,
    0xff550e26,
    0xff500c21,
    0xff56090d,
    0xff590503,
    0xff650107,
    0xff5f0717,
    0xff53000c,
    0xff650409,
    0xff4d0e3d,
    0xff566ec4,
    0xff3b69c8,
    0xff346fbf,
    0xff3460b2,
    0xffa7b9ee,
    0xff344157,
    0xff45609a,
    0xff3767bc,
    0xff376ec0,
    0xff486ccb,
    0xff5e3a78,
    0xff590016,
    0xff880d1b,
    0xff931218,
    0xff60040f,
    0xff45080c,
    0xff5a0107,
    0xff55090f,
    0xff570604,
    0xff5f0000,
    0xff720914,
    0xff63011b,
    0xff64306a,
    0xff5b6bcf,
    0xff3376d1,
    0xff3476ce,
    0xff3773cb,
    0xff3870cb,
    0xff346ece,
    0xff3172d2,
    0xff2e72d0,
    0xff2c72c9,
    0xff316fcc,
    0xff3471ce,
    0xff3472cf,
    0xff3670cf,
    0xff3671d0,
    0xff346fcd,
    0xff3772d0,
    0xff3772cf,
    0xff3772c9,
    0xff346fcb,
    0xff3273cf,
    0xff3574d1,
    0xff4865c2,
    0xff8b62b4,
    0xff9c2a54,
    0xffa40709,
    0xffb0080f,
    0xff9a010c,
    0xff84000c,
    0xff750007,
    0xff750006,
    0xff760008,
    0xff75020a,
    0xff6f040e,
    0xff710108,
    0xff78040d,
    0xff78020e,
    0xff7a000e,
    0xff7c0212,
    0xff790110,
    0xff7a0315,
    0xff750012,
    0xff780213,
    0xff750507,
    0xff620000,
    0xff821123,
    0xff761e22,
    0xff6e202c,
    0xff740f28,
    0xff862e2d,
    0xff6d1c41,
    0xff505a9e,
    0xff5472c5,
    0xff6d6cb0,
    0xff52376e,
    0xff65417e,
    0xff7963ad,
    0xff785caa,
    0xff562963,
    0xff4c206b,
    0xff5d6bb8,
    0xff487ac8,
    0xff3d7aca,
    0xff3d7bd1,
    0xff4578d7,
    0xff447ddc,
    0xff417cda,
    0xff407ad7,
    0xff3f79d5,
    0xff407bd6,
    0xff3d78d5,
    0xff3e79d3,
    0xff3f79d3,
    0xff3d78d1,
    0xff3f7ad6,
    0xff3d78d4,
    0xff3c77d3,
    0xff3d78d3,
    0xff3d78d4,
    0xff3d78d4,
    0xff3b76d2,
    0xff3973cf,
    0xff3774d2,
    0xff3774d1,
    0xff3774d1,
    0xff3774d1,
    0xff3875d2,
    0xff3673d0,
    0xff3673d1,
    0xff3572cf,
    0xff3373cc,
    0xff3273cc,
    0xff3170ce,
    0xff3170cd,
    0xff3372cf,
    0xff3473d2,
    0xff3170cf,
    0xff2f6fce,
    0xff336fcf,
    0xff326fce,
    0xff3470d2,
    0xff3672d4,
    0xff3571d4,
    0xff3672d2,
    0xff3572cf,
    0xff3572cc,
    0xff3271cf,
    0xff3372cf,
    0xff3671d2,
    0xff3773d3,
    0xff3773d3,
    0xff3975d5,
    0xff3974d2,
    0xff3a74d0,
    0xff3976d3,
    0xff3774d2,
    0xff3774d1,
    0xff3673d1,
    0xff3774d1,
    0xff3774d2,
    0xff3572cf,
    0xff3774d1,
    0xff3372d2,
    0xff3372cf,
    0xff3673d0,
    0xff3671cf,
    0xff386fcc,
    0xff386fcc,
    0xff396ecd,
    0xff3a6dc7,
    0xff4763a3,
    0xff506eb0,
    0xff769adf,
    0xff4e7ac7,
    0xff396cc1,
    0xff336cc7,
    0xff3170ce,
    0xff3071d0,
    0xff346eca,
    0xff356cca,
    0xff356dca,
    0xff336bc8,
    0xff336ac7,
    0xff336ac7,
    0xff326ac7,
    0xff356dcb,
    0xff336fcf,
    0xff336ecf,
    0xff336fd0,
    0xff326ecf,
    0xff3370d0,
    0xff326ecf,
    0xff3370d0,
    0xff316dcc,
    0xff396fc5,
    0xff386dca,
    0xff3671d5,
    0xff656baf,
    0xff912e38,
    0xff8f0b00,
    0xff630000,
    0xff5d0209,
    0xff630c21,
    0xff4f0014,
    0xff714466,
    0xff742939,
    0xffc54a50,
    0xffc4465a,
    0xffa31420,
    0xff960000,
    0xffa20304,
    0xffb10a0e,
    0xffc33702,
    0xffb93a0c,
    0xffb22313,
    0xff990d0b,
    0xff870002,
    0xffc32c2d,
    0xffba403b,
    0xffb0293a,
    0xffa01a36,
    0xff7f001b,
    0xff7d0e32,
    0xff83365a,
    0xff783254,
    0xffab4864,
    0xff810005,
    0xff830909,
    0xff730023,
    0xff8d3984,
    0xffe3b9cd,
    0xff844d42,
    0xff6b2f3c,
    0xff6e63a0,
    0xff4a54b6,
    0xff825a92,
    0xff9c3b3c,
    0xffb4340a,
    0xffad2809,
    0xff902e3d,
    0xff74578f,
    0xff637cc0,
    0xffc2cbf7,
    0xff7681b3,
    0xff2a4982,
    0xff265fa9,
    0xff2c67c6,
    0xff2d5bc8,
    0xff275bc6,
    0xff2267c9,
    0xff2764c3,
    0xff2d66c7,
    0xff2f66ca,
    0xff2d64c3,
    0xff2d62bc,
    0xff4077d0,
    0xff4c80d9,
    0xff3f73ce,
    0xff2867c4,
    0xff2766c5,
    0xff2565c4,
    0xff2762c2,
    0xff2966c6,
    0xff2e67c9,
    0xff2963c4,
    0xff2763c1,
    0xff2561c6,
    0xff2a69cc,
    0xff2d6ccd,
    0xff2a6aca,
    0xff2b6acb,
    0xff2968c6,
    0xff2968c7,
    0xff2867c6,
    0xff2b65c8,
    0xff2961c5,
    0xff295ec4,
    0xff285cc3,
    0xff2960c5,
    0xff2a65c9,
    0xff2464c6,
    0xff2368c8,
    0xff1e69c8,
    0xff2662c3,
    0xff2366c7,
    0xff285fb7,
    0xff3d5dbe,
    0xff2963c8,
    0xff436ec4,
    0xff5c3467,
    0xff620313,
    0xff900e1e,
    0xffa20c06,
    0xff940000,
    0xffa0060e,
    0xff9d0005,
    0xffb21c35,
    0xff7d0110,
    0xff910117,
    0xff960611,
    0xffb2191b,
    0xffee6941,
    0xffb83f2a,
    0xff973040,
    0xffca6c5a,
    0xffe84921,
    0xffd54514,
    0xffcd4a0f,
    0xffc64a11,
    0xffcf4205,
    0xffd94b1e,
    0xffaa2419,
    0xff83040f,
    0xff9f4a6d,
    0xff5c3e74,
    0xffeff1ff,
    0xff75666f,
    0xff59619f,
    0xff1f52a6,
    0xff245eb2,
    0xff1e56bb,
    0xff2058ad,
    0xff1e58ae,
    0xff2058ad,
    0xff2056a8,
    0xff1f54a6,
    0xff1f50a0,
    0xff22519f,
    0xff1c498e,
    0xff204e8a,
    0xff234a79,
    0xff1c436c,
    0xff153858,
    0xff15374e,
    0xff123242,
    0xff0a242d,
    0xff112725,
    0xff11251c,
    0xff11251c,
    0xff10251b,
    0xff0c2017,
    0xff0c2117,
    0xff0e241b,
    0xff0c2118,
    0xff0e1e17,
    0xff0f1c16,
    0xff0e2116,
    0xff0a1e13,
    0xff071b10,
    0xff061a0e,
    0xff04180f,
    0xff03170e,
    0xff051910,
    0xff051910,
    0xff08180e,
    0xff06170d,
    0xff07180d,
    0xff08190f,
    0xff071811,
    0xff04150d,
    0xff071810,
    0xff081810,
    0xff051913,
    0xff071b17,
    0xff091c18,
    0xff0a1d19,
    0xff071a16,
    0xff0a201a,
    0xff0d221d,
    0xff0f241f,
    0xff12241e,
    0xff11241f,
    0xff182c22,
    0xff1a2e24,
    0xff15281f,
    0xff172c22,
    0xff162b22,
    0xff152a21,
    0xff12271e,
    0xff12251d,
    0xff182a25,
    0xff11241c,
    0xff152823,
    0xff132720,
    0xff142921,
    0xff132721,
    0xff11261d,
    0xff0f241a,
    0xff10251c,
    0xff0e2319,
    0xff081c13,
    0xff061b11,
    0xff0a1e14,
    0xff0e2119,
    0xff0c2020,
    0xff091c1b,
    0xff0a211a,
    0xff041f16,
    0xff031c16,
    0xff031c18,
    0xff021a1a,
    0xff03181c,
    0xff051e20,
    0xff011c1d,
    0xff01191b,
    0xff01191b,
    0xff051d1e,
    0xff041d21,
    0xff0b2329,
    0xff0a242a,
    0xff032123,
    0xff00171c,
    0xff0d2229,
    0xff0b1b23,
    0xff09131f,
    0xff121a2a,
    0xff464d60,
    0xff9ba1b3,
    0xfff5f7ff,
    0xffa8aabe,
    0xff20273a,
    0xff011222,
    0xff09212d,
    0xff1b2e36,
    0xff64676d,
    0xff80747a,
    0xff757887,
    0xff6c747f,
    0xff131e27,
    0xff1e2b2f,
    0xff222f2c,
    0xff202b22,
    0xff1f2617,
    0xff2c2e1d,
    0xff4c443a,
    0xff221f1b,
    0xffabaaba,
    0xffddd7eb,
    0xff8e817f,
    0xff6d5c4a,
    0xff483a1f,
    0xff50481d,
    0xff91844c,
    0xff94864e,
    0xff706427,
    0xff786c2c,
    0xff8c8040,
    0xff8c8141,
    0xff867a39,
    0xff8c7e42,
    0xff887a41,
    0xff8f824b,
    0xff837744,
    0xff908451,
    0xff847644,
    0xff7a6d3c,
    0xff595229,
    0xff6c6a45,
    0xff49442c,
    0xff403c22,
    0xff706f52,
    0xff130f07,
    0xffebe0e7,
    0xff494225,
    0xff49420f,
    0xff504124,
    0xff514325,
    0xff817452,
    0xff5c5028,
    0xff4b3e13,
    0xff4f4214,
    0xff413408,
    0xff4c3f16,
    0xff5b4f27,
    0xff736538,
    0xff7c6f44,
    0xff61512b,
    0xff63562a,
    0xff66592c,
    0xff6f6439,
    0xff746a4a,
    0xff655c45,
    0xff656643,
    0xff928a6c,
    0xff5a4a32,
    0xff847e63,
    0xff5c5538,
    0xff7a6541,
    0xff723610,
    0xff933709,
    0xfff4a05a,
    0xffca7e38,
    0xfff4bb9f,
    0xff80502e,
    0xff995511,
    0xffd28326,
    0xffe49e2e,
    0xfff8bc4f,
    0xffd7a55c,
    0xffa17742,
    0xff986000,
    0xff7a3809,
    0xff712700,
    0xffd98237,
    0xff995200,
    0xffa5580d,
    0xffa45f28,
    0xffb97b49,
    0xffcd8f70,
    0xff502c0a,
    0xffad8a48,
    0xff9e6a20,
    0xff5b3f0c,
    0xffa48f7b,
    0xff3b2832,
    0xff292c29,
    0xff41451c,
    0xff977537,
    0xffaf7412,
    0xffe5b248,
    0xffb38b4a,
    0xffc09e55,
    0xffac721e,
    0xffb06911,
    0xffab6c1a,
    0xff6a4a08,
    0xffe8dbc4,
    0xfff3e5e7,
    0xff76665e,
    0xff503f49,
    0xff5c0008,
    0xff5f020c,
    0xff5c0009,
    0xff59000a,
    0xff56010a,
    0xff54040c,
    0xff55040b,
    0xff560209,
    0xff5e0008,
    0xff610108,
    0xff630405,
    0xff610204,
    0xff610108,
    0xff610007,
    0xff720a13,
    0xff6f030e,
    0xff63000a,
    0xff5d000a,
    0xff55000f,
    0xff520317,
    0xff56081e,
    0xff570720,
    0xff590420,
    0xff57001b,
    0xff4d0315,
    0xff4a040f,
    0xff5a0112,
    0xff49001e,
    0xff493e78,
    0xff4064c0,
    0xff3566c3,
    0xff316eb2,
    0xff336abf,
    0xff3369c0,
    0xff3a70c6,
    0xff3369c0,
    0xff3066bc,
    0xff3369bf,
    0xff2a60b7,
    0xff2d63ba,
    0xff2e66bd,
    0xff2c64b9,
    0xff2961b6,
    0xff2a62b7,
    0xff2d65b8,
    0xff2b63b7,
    0xff3068bb,
    0xff376fc3,
    0xff346cc0,
    0xff356ec1,
    0xff356bbf,
    0xff3269bb,
    0xff376fc0,
    0xff3367ba,
    0xff3367ba,
    0xff2f63b5,
    0xff3060b3,
    0xff3062b1,
    0xff2d5fad,
    0xff2d5eac,
    0xff3062b0,
    0xff3160ac,
    0xff2f5daa,
    0xff2c5ca6,
    0xff345fa8,
    0xff5c6094,
    0xff482240,
    0xff434479,
    0xff345faa,
    0xff295ca2,
    0xff205ba3,
    0xff265390,
    0xff214d90,
    0xff13437d,
    0xff123f75,
    0xff1b457f,
    0xff264d91,
    0xff2b55a1,
    0xff1f519c,
    0xff1f579f,
    0xff2a50ab,
    0xff385aae,
    0xff365ba9,
    0xff3161af,
    0xff2b66b7,
    0xff2b6ac1,
    0xff2f66be,
    0xff3362ba,
    0xff366bc3,
    0xff3368c3,
    0xff2f64c2,
    0xff376ac8,
    0xff3668c6,
    0xff3569c3,
    0xff2e67be,
    0xff316dbd,
    0xff2e6dc2,
    0xff2e6dc2,
    0xff2e6cc3,
    0xff306cc4,
    0xff3471c9,
    0xff3c78d0,
    0xff3773cc,
    0xff3874ce,
    0xff3571cc,
    0xff3d78d4,
    0xff3c77d1,
    0xff3a74ce,
    0xff3e77d0,
    0xff3770c8,
    0xff3c73ca,
    0xff3b73cb,
    0xff3c74d2,
    0xff3670c9,
    0xff3372c2,
    0xff3f68be,
    0xff6372af,
    0xff534e7c,
    0xff505f9a,
    0xff513d79,
    0xff5b081c,
    0xff5a0307,
    0xff57050e,
    0xff620413,
    0xff5b0012,
    0xff5f0408,
    0xff590105,
    0xff613b73,
    0xff4b68ba,
    0xff3969c9,
    0xff3269b7,
    0xff5e7dba,
    0xff54587d,
    0xff324769,
    0xff456fbd,
    0xff4174c9,
    0xff3f74c2,
    0xff6172cc,
    0xff61205b,
    0xff6b0018,
    0xff810815,
    0xffa3282d,
    0xff610311,
    0xff510918,
    0xff5f0114,
    0xff510018,
    0xff4a0816,
    0xff590700,
    0xff6f0003,
    0xff772969,
    0xff686ccf,
    0xff356ec3,
    0xff3172c5,
    0xff3872c4,
    0xff366dc2,
    0xff356cca,
    0xff306ed4,
    0xff2e6fd6,
    0xff2e70ce,
    0xff2e6fc4,
    0xff2f6fca,
    0xff336fcc,
    0xff326fcc,
    0xff316fcb,
    0xff316cc9,
    0xff316cca,
    0xff326dcb,
    0xff3470ce,
    0xff376fd2,
    0xff386bd1,
    0xff386ccf,
    0xff4369c0,
    0xff755c9a,
    0xff8d1d41,
    0xffa40518,
    0xffa80411,
    0xffb1040e,
    0xffaf0618,
    0xffa50420,
    0xff8f0016,
    0xff79000b,
    0xff710208,
    0xff6e030b,
    0xff6e030f,
    0xff77010b,
    0xff78020e,
    0xff75000e,
    0xff76010f,
    0xff76000e,
    0xff76010c,
    0xff76010b,
    0xff76020a,
    0xff740016,
    0xff7a0207,
    0xff76060d,
    0xff871327,
    0xff80272c,
    0xff71242a,
    0xff87182e,
    0xff8a332f,
    0xff7d3039,
    0xff7e6299,
    0xff765397,
    0xff621839,
    0xff6f0019,
    0xff6c0022,
    0xff8c5381,
    0xff786bb1,
    0xff6563a0,
    0xff544084,
    0xff596eb4,
    0xff4176c8,
    0xff4172d8,
    0xff3f74dd,
    0xff3e73da,
    0xff3677d7,
    0xff3674cf,
    0xff3875cf,
    0xff3976d1,
    0xff3875d0,
    0xff3a77d2,
    0xff3b78d1,
    0xff3976cf,
    0xff3674cd,
    0xff3974d2,
    0xff3974d2,
    0xff3873d2,
    0xff3873d1,
    0xff3772d0,
    0xff3772d0,
    0xff3671cf,
    0xff3570cd,
    0xff3170cc,
    0xff3070cd,
    0xff3170cd,
    0xff306fcc,
    0xff3170cd,
    0xff2f6ecb,
    0xff2d6cc9,
    0xff306fcc,
    0xff2f6ecb,
    0xff306fcc,
    0xff2f6ecb,
    0xff3271cd,
    0xff3170cf,
    0xff2f6ecd,
    0xff306fce,
    0xff2f6ece,
    0xff316eca,
    0xff326dce,
    0xff316dcc,
    0xff306ccf,
    0xff326ece,
    0xff3570d0,
    0xff3674d1,
    0xff3774cf,
    0xff3774ce,
    0xff3975d2,
    0xff3570d1,
    0xff3571d1,
    0xff3774d3,
    0xff3771d2,
    0xff3a75d3,
    0xff3974d3,
    0xff3573cd,
    0xff3673cd,
    0xff3774cf,
    0xff3774cf,
    0xff3774cf,
    0xff3572cd,
    0xff3572cd,
    0xff3673cf,
    0xff3271d0,
    0xff3171d0,
    0xff3370cd,
    0xff346fcd,
    0xff356dcc,
    0xff376dca,
    0xff336bc8,
    0xff4376d3,
    0xffaac1f8,
    0xffa2bbf1,
    0xff6788d1,
    0xff4069b9,
    0xff3766bd,
    0xff3369c7,
    0xff2f6aca,
    0xff2e69cd,
    0xff2d69c8,
    0xff2f6ac8,
    0xff2f6ac8,
    0xff2e6ac7,
    0xff316cca,
    0xff2f6ac8,
    0xff326ecc,
    0xff326dcb,
    0xff336dcb,
    0xff326bc9,
    0xff336bca,
    0xff336ecb,
    0xff336ecc,
    0xff336ecc,
    0xff326dca,
    0xff326ecb,
    0xff2b6ec9,
    0xff356ccf,
    0xff336bcd,
    0xff6169ad,
    0xff772237,
    0xff83110c,
    0xff711417,
    0xff721220,
    0xff58000d,
    0xff7a5c85,
    0xff5966b5,
    0xff8d6395,
    0xffa53542,
    0xfff67285,
    0xffa00914,
    0xffa20000,
    0xffa30200,
    0xffbf131e,
    0xffb01000,
    0xffa20b00,
    0xff9d0809,
    0xff9c1306,
    0xffd54f47,
    0xff930002,
    0xff8b0000,
    0xffb7191e,
    0xffa51116,
    0xff890402,
    0xff910400,
    0xff8a0401,
    0xff7c000c,
    0xff990e31,
    0xff8c081c,
    0xff790609,
    0xff581535,
    0xff665fbe,
    0xff4d578d,
    0xff7c5867,
    0xff804a53,
    0xff7f6995,
    0xff335ab1,
    0xff5a5da1,
    0xff8b5472,
    0xffad4049,
    0xffc12f2b,
    0xff990c0d,
    0xffac6274,
    0xffb0b4de,
    0xff3b4d82,
    0xff4356a3,
    0xff375fc2,
    0xff2668cd,
    0xff256ac2,
    0xff2f66b7,
    0xff2e65c0,
    0xff2568d0,
    0xff2867c9,
    0xff2964c9,
    0xff2a64ca,
    0xff2761c6,
    0xff2962c0,
    0xff255fb9,
    0xff265dba,
    0xff235cbb,
    0xff2261c2,
    0xff1e5ebf,
    0xff1d5dbb,
    0xff225dbd,
    0xff215dbd,
    0xff225bbc,
    0xff265fc0,
    0xff2560c0,
    0xff2361c2,
    0xff2160c1,
    0xff2261c2,
    0xff2463c4,
    0xff2564c5,
    0xff2362c3,
    0xff2362c0,
    0xff2262c1,
    0xff1e61c2,
    0xff2464c6,
    0xff2661c5,
    0xff265ec2,
    0xff285ec3,
    0xff205bbe,
    0xff1d5cc1,
    0xff1d5ec1,
    0xff2361c3,
    0xff275dca,
    0xff2760c0,
    0xff406cb8,
    0xff3a61af,
    0xff2c5eca,
    0xff5359ad,
    0xff7d2039,
    0xff8b000d,
    0xff8d0114,
    0xff910206,
    0xff8e0303,
    0xff8b050c,
    0xff910010,
    0xff95011c,
    0xff89041a,
    0xff950002,
    0xff9c0001,
    0xff9b000b,
    0xffad160c,
    0xffaf120a,
    0xff9d080e,
    0xffc64c2d,
    0xffd6481d,
    0xffda461c,
    0xffba2a00,
    0xffc9450f,
    0xffc8420f,
    0xffb53221,
    0xff9a0d07,
    0xff7f0002,
    0xff8b498b,
    0xff4c4b93,
    0xfff5effc,
    0xff735c6d,
    0xff4a5898,
    0xff1f5bad,
    0xff2056ad,
    0xff2556b7,
    0xff1b58a7,
    0xff2554a5,
    0xff23509d,
    0xff25519a,
    0xff255096,
    0xff2d5498,
    0xff305692,
    0xff2c5284,
    0xff1f4572,
    0xff184074,
    0xff173f6b,
    0xff0e3758,
    0xff12374e,
    0xff1c3e4e,
    0xff19343e,
    0xff0e2826,
    0xff112721,
    0xff152e21,
    0xff182d23,
    0xff13251d,
    0xff0d2319,
    0xff042116,
    0xff001d11,
    0xff051d14,
    0xff091a12,
    0xff061a0e,
    0xff061a0e,
    0xff071b0f,
    0xff051a0f,
    0xff071b10,
    0xff061a0f,
    0xff061b0f,
    0xff091e15,
    0xff08190f,
    0xff06170d,
    0xff05160c,
    0xff04150b,
    0xff07180d,
    0xff071811,
    0xff081911,
    0xff0b1c13,
    0xff051812,
    0xff061916,
    0xff081b18,
    0xff081a16,
    0xff081d18,
    0xff0c211c,
    0xff0d221d,
    0xff0e241e,
    0xff12251f,
    0xff11241d,
    0xff12251f,
    0xff192c26,
    0xff142920,
    0xff142920,
    0xff13281f,
    0xff14281f,
    0xff19281d,
    0xff17281d,
    0xff16261a,
    0xff16271c,
    0xff16251b,
    0xff14241b,
    0xff132319,
    0xff0e1f16,
    0xff0c2017,
    0xff0e231a,
    0xff0f241b,
    0xff0e231a,
    0xff0f231a,
    0xff0f231a,
    0xff10241a,
    0xff0e2119,
    0xff081e1a,
    0xff091d1c,
    0xff061d17,
    0xff021d13,
    0xff001a10,
    0xff051a16,
    0xff001511,
    0xff0a1e1e,
    0xff001716,
    0xff041b1b,
    0xff041819,
    0xff021a1c,
    0xff021a1c,
    0xff041d21,
    0xff001a1e,
    0xff011d23,
    0xff001d1d,
    0xff2a4547,
    0xff183034,
    0xff081e24,
    0xff071e27,
    0xff0a1f27,
    0xff041a22,
    0xff061924,
    0xff363b46,
    0xff8f8d9e,
    0xfff1eeff,
    0xffc3c9dc,
    0xff303f4b,
    0xff000e14,
    0xff111b1b,
    0xff595b59,
    0xff797681,
    0xff85838f,
    0xff757985,
    0xff242f37,
    0xff172428,
    0xff212e2d,
    0xff202e2a,
    0xff1b2920,
    0xff79746c,
    0xff2d2e24,
    0xff242a33,
    0xffd7d5e7,
    0xffcac2c1,
    0xff84786e,
    0xff433a2b,
    0xff3a3818,
    0xff605d36,
    0xff827f54,
    0xff858151,
    0xff817e4a,
    0xff7f7b42,
    0xff6d6830,
    0xff8c8850,
    0xff858148,
    0xff867d40,
    0xff7a733e,
    0xff777249,
    0xff685f40,
    0xff625638,
    0xff655c3a,
    0xff5d5932,
    0xff75774d,
    0xff97947c,
    0xff3a382e,
    0xff555441,
    0xff797967,
    0xffb3acad,
    0xff6e675f,
    0xff575132,
    0xff5c5335,
    0xff584c35,
    0xff493d23,
    0xff665a3a,
    0xff6d633f,
    0xff91855e,
    0xff7d714c,
    0xff746642,
    0xff5b4c2b,
    0xff483b1c,
    0xff6e623a,
    0xff93895a,
    0xff564b1c,
    0xff504622,
    0xff4a4026,
    0xff352f17,
    0xff454026,
    0xff5d5631,
    0xff5c4f2b,
    0xff4e3d21,
    0xff4f422d,
    0xff434026,
    0xff594626,
    0xff804825,
    0xffc16b45,
    0xffcb6832,
    0xffa97342,
    0xffe5bfa6,
    0xff744619,
    0xff754000,
    0xffc08716,
    0xffeaaa1c,
    0xffd8912a,
    0xff85683c,
    0xff2a0900,
    0xffae791d,
    0xff8b5233,
    0xff693011,
    0xff692702,
    0xffca933f,
    0xff9e4f01,
    0xffa76513,
    0xffb66d18,
    0xffba7436,
    0xff886734,
    0xff9d7a2f,
    0xffb56908,
    0xffa65f0b,
    0xff895f3c,
    0xff665c54,
    0xff616654,
    0xff41422d,
    0xff371d00,
    0xffcb9643,
    0xff9b6200,
    0xff9a6c21,
    0xffb39554,
    0xffb7853e,
    0xff9f5001,
    0xffab5800,
    0xffb48417,
    0xffecdfa5,
    0xff766c6a,
    0xff4e3e3f,
    0xff4e3a43,
    0xff5d0206,
    0xff600408,
    0xff5e0208,
    0xff5b0106,
    0xff5a0006,
    0xff580007,
    0xff590007,
    0xff59000a,
    0xff5f000f,
    0xff5c020c,
    0xff560508,
    0xff5b0b0f,
    0xff570108,
    0xff5b0009,
    0xff640009,
    0xff65020a,
    0xff5e040a,
    0xff560008,
    0xff54030c,
    0xff50000d,
    0xff4e0412,
    0xff500618,
    0xff51061b,
    0xff4e0219,
    0xff4b0717,
    0xff3f061b,
    0xff510015,
    0xff610006,
    0xff4e1433,
    0xff5e6ec5,
    0xff3062c9,
    0xff3163a4,
    0xff2a60b1,
    0xff2a61b4,
    0xff2e65b7,
    0xff2a61b4,
    0xff2a61b3,
    0xff2960b2,
    0xff2b62b4,
    0xff2e64b7,
    0xff2d66ba,
    0xff2e66bb,
    0xff2e66bb,
    0xff2f67ba,
    0xff2e66b9,
    0xff2f68b9,
    0xff2b64b5,
    0xff235cad,
    0xff2d66b7,
    0xff2a61b3,
    0xff2960b0,
    0xff2961b1,
    0xff3469b7,
    0xff3368b6,
    0xff2c5eae,
    0xff295ca9,
    0xff3160ae,
    0xff3462b2,
    0xff2c5aa8,
    0xff2a59a5,
    0xff2858a3,
    0xff2a57a3,
    0xff3665ad,
    0xff3565ac,
    0xff1e4e94,
    0xff22407e,
    0xff585e91,
    0xff455691,
    0xff214d8f,
    0xff1b5397,
    0xff205497,
    0xff173b77,
    0xff163a76,
    0xff244984,
    0xff284b85,
    0xff1f427f,
    0xff1b4385,
    0xff25559c,
    0xff2558a6,
    0xff235cad,
    0xff2c5cb1,
    0xff2c5fb0,
    0xff2c62b1,
    0xff2761b2,
    0xff2362b4,
    0xff2767bc,
    0xff2462b7,
    0xff2761b6,
    0xff286bbd,
    0xff2664b8,
    0xff245bb1,
    0xff285bb3,
    0xff285cb4,
    0xff2b63b6,
    0xff2868b7,
    0xff2468b6,
    0xff356fc6,
    0xff366fc8,
    0xff366dc9,
    0xff326ac5,
    0xff336cc7,
    0xff316ac6,
    0xff3269c6,
    0xff376ecd,
    0xff356ec5,
    0xff326bc2,
    0xff376fc6,
    0xff3a71c6,
    0xff356dc2,
    0xff356ec1,
    0xff326abd,
    0xff3068ba,
    0xff2d61b3,
    0xff2a5cab,
    0xff2960ad,
    0xff3a5caa,
    0xff6b76a9,
    0xff3a3b6d,
    0xff4a69af,
    0xff4d4981,
    0xff50000e,
    0xff66020f,
    0xff640715,
    0xff5e000f,
    0xff63050b,
    0xff5a0200,
    0xff3d040e,
    0xff56588f,
    0xff4964ab,
    0xff2d61bb,
    0xff3e70bd,
    0xff8594c3,
    0xff373652,
    0xff3f5b8d,
    0xff427bd2,
    0xff4379d6,
    0xff4070c3,
    0xff6769bf,
    0xff5e0638,
    0xff780116,
    0xff7b0612,
    0xff9d2a2e,
    0xff60000e,
    0xff570619,
    0xff550719,
    0xff590311,
    0xff440618,
    0xff450211,
    0xff63000f,
    0xff661a5b,
    0xff5560c0,
    0xff3171be,
    0xff3369ce,
    0xff326acd,
    0xff316cc8,
    0xff2f6ec9,
    0xff306bcd,
    0xff326bd0,
    0xff3669ce,
    0xff3769c9,
    0xff2f6dcc,
    0xff2d6dcc,
    0xff2d6dcc,
    0xff316ccd,
    0xff326ecf,
    0xff326dcb,
    0xff346fcc,
    0xff3670d0,
    0xff316bd9,
    0xff346bcf,
    0xff336cc4,
    0xff4668b8,
    0xff714988,
    0xff961641,
    0xffa7001d,
    0xffac0127,
    0xffaa020d,
    0xffaa000b,
    0xffa70313,
    0xff920110,
    0xff7b030d,
    0xff71030c,
    0xff73000c,
    0xff7f0011,
    0xff79010c,
    0xff79010d,
    0xff78000c,
    0xff76000c,
    0xff79000b,
    0xff79010a,
    0xff7a0306,
    0xff790105,
    0xff7d0514,
    0xff820307,
    0xff7c060b,
    0xff9b2633,
    0xffa14343,
    0xff882f2c,
    0xff982a35,
    0xff883135,
    0xff853131,
    0xff7f3859,
    0xff640432,
    0xff7f161e,
    0xff7d020a,
    0xff92021f,
    0xffa3384c,
    0xff91507a,
    0xff8f6ab3,
    0xff745ba3,
    0xff5065b0,
    0xff356ac6,
    0xff3172d8,
    0xff3172d4,
    0xff3a6ecd,
    0xff2c74c9,
    0xff3371cf,
    0xff3673d0,
    0xff3774d1,
    0xff3572cf,
    0xff3370cd,
    0xff3370cc,
    0xff3370cc,
    0xff3572cf,
    0xff3471ce,
    0xff3370cd,
    0xff316ecb,
    0xff316ecb,
    0xff316fcc,
    0xff316fcc,
    0xff326fcc,
    0xff316ecb,
    0xff306fcf,
    0xff2f6ece,
    0xff306fce,
    0xff3271d0,
    0xff3271d0,
    0xff306fce,
    0xff2c6bcb,
    0xff2c6bca,
    0xff2d6ccc,
    0xff2e6ecd,
    0xff2d6ccb,
    0xff2b6bca,
    0xff2d6ccb,
    0xff2d6ccb,
    0xff2e6dcc,
    0xff2f6fce,
    0xff2e6dca,
    0xff2e6dcd,
    0xff2e6ecd,
    0xff326ece,
    0xff336fcf,
    0xff3370cd,
    0xff3572cd,
    0xff3774cf,
    0xff3673ce,
    0xff3774d2,
    0xff3673cf,
    0xff3773d3,
    0xff3670d1,
    0xff3973d4,
    0xff3975d2,
    0xff3873d1,
    0xff3674d1,
    0xff3774d1,
    0xff3572d0,
    0xff3572cf,
    0xff3572cf,
    0xff3370cd,
    0xff306dcb,
    0xff316ecb,
    0xff306fcc,
    0xff2f6ecb,
    0xff306dca,
    0xff316ecb,
    0xff306bc9,
    0xff2f67c6,
    0xff336bca,
    0xff3369c8,
    0xff2c5bb2,
    0xff2c5db6,
    0xff2f63be,
    0xff3368c6,
    0xff2e66c8,
    0xff3169c9,
    0xff3369c8,
    0xff3368c8,
    0xff316acb,
    0xff306acb,
    0xff306acb,
    0xff2f69ca,
    0xff2e68c9,
    0xff2e68c9,
    0xff306acb,
    0xff306bcc,
    0xff346aca,
    0xff3469c9,
    0xff3469c9,
    0xff346ac9,
    0xff336ac9,
    0xff336bca,
    0xff346cca,
    0xff346dcc,
    0xff296fd2,
    0xff3b68cf,
    0xff3968cb,
    0xff435fbc,
    0xff865590,
    0xff851b21,
    0xff720300,
    0xff720e20,
    0xff6a3257,
    0xff5b66ab,
    0xff6662b3,
    0xffb66d9a,
    0xffa13244,
    0xffa82433,
    0xff950004,
    0xffac040b,
    0xffb30707,
    0xffa60a06,
    0xffa71600,
    0xffeb4e46,
    0xffc1262e,
    0xffb42e20,
    0xffa81b10,
    0xffa80105,
    0xffa20000,
    0xffb81b1b,
    0xffaa0c0a,
    0xffa00803,
    0xff900704,
    0xff880307,
    0xff8e010f,
    0xff890010,
    0xff8f1221,
    0xff6f0006,
    0xff9e6785,
    0xff5454a4,
    0xff877d90,
    0xffd99c87,
    0xff814522,
    0xff876b75,
    0xff456aa3,
    0xff3765bd,
    0xff4860b7,
    0xff7c5b9e,
    0xff8d2a3a,
    0xffac2122,
    0xff861f2e,
    0xff735796,
    0xff3368ba,
    0xff3465c5,
    0xff3162c6,
    0xff316ac7,
    0xff2d6cc3,
    0xff2e68c5,
    0xff2c65c6,
    0xff2c67c8,
    0xff2a68cb,
    0xff2463ca,
    0xff2362c9,
    0xff2362c6,
    0xff2461c3,
    0xff225ebd,
    0xff215cbe,
    0xff205bbf,
    0xff215ebf,
    0xff2460c2,
    0xff2460c2,
    0xff235fc1,
    0xff235fc1,
    0xff215ec0,
    0xff245dc0,
    0xff235dc0,
    0xff1e5dbe,
    0xff1e5dbe,
    0xff205fc0,
    0xff2160c1,
    0xff2160c1,
    0xff1f5ebf,
    0xff2160c1,
    0xff2160c1,
    0xff1c61c3,
    0xff1c5fc3,
    0xff1b5cbe,
    0xff205bbf,
    0xff205bbf,
    0xff245dc1,
    0xff255fc3,
    0xff2560c6,
    0xff265db3,
    0xff235ac2,
    0xff245dbb,
    0xff3361ac,
    0xff3d65ac,
    0xff3153c2,
    0xff6e54a8,
    0xff921a2f,
    0xff99020b,
    0xff910214,
    0xff870310,
    0xff7d000a,
    0xff7d0013,
    0xff880015,
    0xff920112,
    0xff9a070b,
    0xff9a080a,
    0xff920200,
    0xff9b0408,
    0xffa00108,
    0xffa80716,
    0xff8a0005,
    0xff9f240e,
    0xffb02d0b,
    0xffbd2c04,
    0xffd43e14,
    0xffdc5523,
    0xffb33602,
    0xffbb391e,
    0xffd14024,
    0xffbb3e2e,
    0xff8a5b9c,
    0xff4058a2,
    0xffb9afcb,
    0xff7a6682,
    0xff4962a4,
    0xff2963b2,
    0xff2a5bb5,
    0xff2855b7,
    0xff255da7,
    0xff325ba7,
    0xff355aa2,
    0xff35599b,
    0xff2f508c,
    0xff2c4b83,
    0xff274978,
    0xff27486b,
    0xff1a3b5d,
    0xff204471,
    0xff1f446b,
    0xff204660,
    0xff1b3e51,
    0xff1b3b47,
    0xff133035,
    0xff152e2e,
    0xff132921,
    0xff0b2316,
    0xff0d1d12,
    0xff141e15,
    0xff0d1910,
    0xff051d10,
    0xff052112,
    0xff071f12,
    0xff0b1d13,
    0xff0c1e12,
    0xff091b0f,
    0xff091b0f,
    0xff0a1c10,
    0xff07190d,
    0xff07170e,
    0xff07180e,
    0xff08190f,
    0xff081a0e,
    0xff07170e,
    0xff06170d,
    0xff06170d,
    0xff07180e,
    0xff07180e,
    0xff05160e,
    0xff071810,
    0xff091c16,
    0xff091c16,
    0xff061913,
    0xff0a1f1a,
    0xff071c17,
    0xff091e19,
    0xff0e2221,
    0xff0e2220,
    0xff112420,
    0xff0f241f,
    0xff0d221d,
    0xff0e231e,
    0xff122721,
    0xff132b24,
    0xff132a24,
    0xff132924,
    0xff16261d,
    0xff19291f,
    0xff18281f,
    0xff15261c,
    0xff16261d,
    0xff192920,
    0xff1b2a21,
    0xff14231a,
    0xff14281f,
    0xff12271e,
    0xff11261d,
    0xff0f241b,
    0xff0e2219,
    0xff0d2118,
    0xff0c2117,
    0xff0c2018,
    0xff0b201b,
    0xff0c211b,
    0xff0a211b,
    0xff0a211b,
    0xff081f17,
    0xff071d15,
    0xff04160e,
    0xff000d03,
    0xff041713,
    0xff081c1a,
    0xff0a1f20,
    0xff031b1f,
    0xff001c20,
    0xff001b21,
    0xff001c23,
    0xff001b1e,
    0xff021c1e,
    0xff042023,
    0xff001a1e,
    0xff062329,
    0xff0b272e,
    0xff052429,
    0xff09282d,
    0xff05262b,
    0xff041f24,
    0xff001118,
    0xff2c3946,
    0xff9291a6,
    0xffcfc3d9,
    0xffc3bac8,
    0xff252a2f,
    0xff000705,
    0xff4b4850,
    0xff737178,
    0xff81828b,
    0xff7c848e,
    0xff38444c,
    0xff101f26,
    0xff1a2b31,
    0xff122328,
    0xff9b9a97,
    0xff1b2117,
    0xff1a242a,
    0xff585b69,
    0xff8a8888,
    0xff524746,
    0xff685f5d,
    0xff292a15,
    0xff3c4128,
    0xff53573c,
    0xff606646,
    0xff6c704d,
    0xff747750,
    0xff75754d,
    0xff6f7045,
    0xff828257,
    0xff8b8852,
    0xff767448,
    0xff6b6a4a,
    0xff76745d,
    0xff5b553e,
    0xff666142,
    0xff6f6e4b,
    0xff61653c,
    0xff5b5b38,
    0xff64644f,
    0xff5c5b45,
    0xff5d5c46,
    0xff4e4b46,
    0xffbeb6be,
    0xff534a48,
    0xff504939,
    0xff574d3a,
    0xff5e543d,
    0xff5c5436,
    0xff766d4b,
    0xff69603e,
    0xff524624,
    0xff89795b,
    0xff594a2e,
    0xff584d35,
    0xff69603d,
    0xff756e41,
    0xff5a5129,
    0xff524b2e,
    0xff2a2311,
    0xff241e0d,
    0xff645f47,
    0xff4f381b,
    0xff725e3c,
    0xff533e22,
    0xff5b4d3c,
    0xff41442f,
    0xff4a4426,
    0xff7a5a38,
    0xff4e2002,
    0xff571711,
    0xffae8e8d,
    0xff8e6756,
    0xff713000,
    0xffe2a549,
    0xffffdd4f,
    0xfff0c12f,
    0xffa77729,
    0xff715c3d,
    0xff522a0c,
    0xffb58039,
    0xff8f5843,
    0xff58230c,
    0xff521e00,
    0xff854f1a,
    0xffc67827,
    0xffa7620e,
    0xffa65700,
    0xffa3580f,
    0xffb39254,
    0xff7e6628,
    0xffcc8f36,
    0xffefaf4d,
    0xff7e5f36,
    0xff585249,
    0xff8e8269,
    0xff8c715c,
    0xff9a6d58,
    0xffd39d58,
    0xffbe8121,
    0xffe2a44e,
    0xfff0bd68,
    0xffda9c45,
    0xffb37021,
    0xffbf7a1a,
    0xffe0a224,
    0xffe7be6e,
    0xffbbafa9,
    0xff2d2b32,
    0xff5e4f5a,
    0xff5e0412,
    0xff5d050f,
    0xff5e050b,
    0xff5d0005,
    0xff5c0003,
    0xff5d0003,
    0xff5b0005,
    0xff580106,
    0xff570310,
    0xff56000d,
    0xff5f060e,
    0xff5f0a13,
    0xff52030c,
    0xff51020b,
    0xff530008,
    0xff5b030a,
    0xff53070c,
    0xff4f0207,
    0xff54050a,
    0xff56070d,
    0xff52050f,
    0xff4d0411,
    0xff4d0819,
    0xff460417,
    0xff460613,
    0xff48071f,
    0xff550622,
    0xff73090f,
    0xff62000a,
    0xff563577,
    0xff4463c7,
    0xff336bbe,
    0xff336cbf,
    0xff336bc1,
    0xff346cc2,
    0xff3870c5,
    0xff346dc2,
    0xff346dc2,
    0xff366fc4,
    0xff356dc3,
    0xff356cc5,
    0xff3269c3,
    0xff346cc4,
    0xff3269c1,
    0xff2f67bc,
    0xff3068bd,
    0xff346bbf,
    0xff376fc3,
    0xff3067ba,
    0xff2e65b6,
    0xff2d64b7,
    0xff3266b6,
    0xff2f64b4,
    0xff2e61b0,
    0xff2f62b1,
    0xff3464b3,
    0xff2d5fb2,
    0xff2e60b4,
    0xff2f5fb1,
    0xff3363b2,
    0xff3565b3,
    0xff3161ad,
    0xff2959a4,
    0xff23559f,
    0xff1d549f,
    0xff2f599f,
    0xff2c55a1,
    0xff2b559f,
    0xff2a5fa7,
    0xff235ca7,
    0xff29569d,
    0xff2d58a3,
    0xff2f5ba1,
    0xff2f59a4,
    0xff2b55a6,
    0xff24539f,
    0xff255a9d,
    0xff225aa0,
    0xff245aaa,
    0xff2859b6,
    0xff2760ab,
    0xff2964af,
    0xff2964b3,
    0xff326bbc,
    0xff366ec0,
    0xff3066bc,
    0xff2c67be,
    0xff2361b9,
    0xff2b66bf,
    0xff2c62bb,
    0xff3165bd,
    0xff396bc1,
    0xff386ebf,
    0xff386fc3,
    0xff326abd,
    0xff3168bb,
    0xff3167b6,
    0xff356aba,
    0xff2f64b4,
    0xff2e66b6,
    0xff2c62b6,
    0xff3268bb,
    0xff2d65bb,
    0xff2c61b7,
    0xff2d63b4,
    0xff2d63b4,
    0xff255bab,
    0xff235aaa,
    0xff2058a5,
    0xff2057a5,
    0xff1e56a3,
    0xff245ca8,
    0xff205daa,
    0xff2c59a5,
    0xff2d58a0,
    0xff4761a5,
    0xff61658e,
    0xff3e3c71,
    0xff385da4,
    0xff3f4674,
    0xff2d072f,
    0xff560f2a,
    0xff5c0212,
    0xff580413,
    0xff5d0304,
    0xff530208,
    0xff41315c,
    0xff33589d,
    0xff3860ac,
    0xff3267bb,
    0xff5172ba,
    0xff8788ad,
    0xff39446b,
    0xff4272c0,
    0xff2c6bc4,
    0xff386dca,
    0xff406ece,
    0xff605eb2,
    0xff570126,
    0xff70010e,
    0xff710511,
    0xff831119,
    0xff6d0916,
    0xff6b1824,
    0xff4a0a14,
    0xff4b0919,
    0xff50315b,
    0xff584b85,
    0xff734880,
    0xff714487,
    0xff5c62b6,
    0xff386bc1,
    0xff3369d2,
    0xff306bd3,
    0xff2e6fd2,
    0xff2e71cf,
    0xff336ec9,
    0xff376dc9,
    0xff386dcc,
    0xff366dcf,
    0xff3271d3,
    0xff3271d3,
    0xff3271d3,
    0xff3470cf,
    0xff3471d0,
    0xff366fd1,
    0xff346dcf,
    0xff346fcc,
    0xff3471ca,
    0xff2f73c7,
    0xff2e70cb,
    0xff3a66ce,
    0xff5d63cf,
    0xff875bb5,
    0xffad4d8b,
    0xff9c1941,
    0xff930014,
    0xff9e0314,
    0xff930005,
    0xff810001,
    0xff6d0104,
    0xff6b0510,
    0xff70020f,
    0xff7c010e,
    0xff79010e,
    0xff76000c,
    0xff77010c,
    0xff78030e,
    0xff75010a,
    0xff7a020b,
    0xff7a010a,
    0xff7e000a,
    0xff7e000a,
    0xff80000b,
    0xff770006,
    0xff8e1d26,
    0xffa4474c,
    0xff993d38,
    0xff922d37,
    0xff873d59,
    0xff8f3143,
    0xff862c37,
    0xff85142c,
    0xff831f1f,
    0xff7e221d,
    0xff8e1628,
    0xff921824,
    0xff8c192f,
    0xff893566,
    0xff98629d,
    0xff5061ab,
    0xff366ecd,
    0xff3375d4,
    0xff3675c3,
    0xff426cc1,
    0xff3d6acd,
    0xff346ecf,
    0xff336fcf,
    0xff336fcf,
    0xff2e6aca,
    0xff2e6aca,
    0xff2f6acb,
    0xff2e6aca,
    0xff2c68c9,
    0xff2e6bc8,
    0xff2d6ac7,
    0xff2b68c5,
    0xff2b68c5,
    0xff2d6ac7,
    0xff2d6ac7,
    0xff2b68c5,
    0xff2a67c4,
    0xff2a69c9,
    0xff2968c7,
    0xff2867c6,
    0xff2867c6,
    0xff2967c6,
    0xff2c6ac9,
    0xff2967c6,
    0xff2c6bca,
    0xff306bcb,
    0xff326dcd,
    0xff316ccc,
    0xff306ccc,
    0xff306bcb,
    0xff316dcd,
    0xff3470d0,
    0xff3671d2,
    0xff2f6ecb,
    0xff306fcc,
    0xff3170cf,
    0xff3271d0,
    0xff3571d1,
    0xff3572cf,
    0xff3572cc,
    0xff3673ce,
    0xff3673ce,
    0xff3673ce,
    0xff3875d2,
    0xff3972d4,
    0xff3670d1,
    0xff3872d3,
    0xff3872d4,
    0xff3671cf,
    0xff3673d0,
    0xff3673cf,
    0xff3572cf,
    0xff3471ce,
    0xff3673d0,
    0xff3875d1,
    0xff3774d0,
    0xff3270cc,
    0xff306dca,
    0xff316ecb,
    0xff316ecb,
    0xff3370cd,
    0xff326dcb,
    0xff316dca,
    0xff306acc,
    0xff346cce,
    0xff2e68c9,
    0xff2c68cd,
    0xff2f6fd3,
    0xff2b6bcf,
    0xff2a67cc,
    0xff2d69ca,
    0xff2f67c7,
    0xff3064c3,
    0xff2d66c7,
    0xff2d67c8,
    0xff2f69ca,
    0xff2e68c9,
    0xff2f69ca,
    0xff2f69ca,
    0xff2d67c7,
    0xff2d67c8,
    0xff326acb,
    0xff326acb,
    0xff3169ca,
    0xff3067c8,
    0xff3068c9,
    0xff3068c8,
    0xff3169ca,
    0xff3169c9,
    0xff256ec3,
    0xff3368ca,
    0xff306acc,
    0xff2f68c3,
    0xff6660a9,
    0xff5f151d,
    0xff7e2818,
    0xff4e1230,
    0xff6665b2,
    0xff505fa6,
    0xff83386b,
    0xff92112a,
    0xff7c0005,
    0xffbf3236,
    0xff8c0003,
    0xffa3030f,
    0xffa30205,
    0xffaa2519,
    0xffff8e62,
    0xffaf2514,
    0xffa5191f,
    0xffc24538,
    0xffb12b1f,
    0xffaa090f,
    0xff9a0011,
    0xff9d0b14,
    0xff9a0002,
    0xffcc2b34,
    0xffc53741,
    0xff88000b,
    0xff91030a,
    0xff830400,
    0xff800200,
    0xffc53333,
    0xffed797c,
    0xff833453,
    0xff953815,
    0xffe96e35,
    0xffffb366,
    0xffa36c3f,
    0xff7d70a5,
    0xff3857ce,
    0xff386ade,
    0xff4452a3,
    0xffbe8ca2,
    0xff982435,
    0xff891628,
    0xff7a3d6e,
    0xff3161bb,
    0xff2e68c4,
    0xff2d67bd,
    0xff2e63b4,
    0xff2c62c3,
    0xff265ed7,
    0xff235ed1,
    0xff2862b9,
    0xff2560c1,
    0xff245fc5,
    0xff2560c8,
    0xff255fc4,
    0xff2261c2,
    0xff2060c0,
    0xff1f5dc0,
    0xff2360c5,
    0xff2660c3,
    0xff245ec1,
    0xff225fc0,
    0xff235ec3,
    0xff245fc3,
    0xff245ec2,
    0xff225dc2,
    0xff225cc3,
    0xff1f5dc0,
    0xff215fc3,
    0xff2360c4,
    0xff2562c6,
    0xff1e5cbf,
    0xff1f5dc0,
    0xff1f5dc0,
    0xff1d5bbe,
    0xff1d5dc4,
    0xff2060c4,
    0xff1f60c1,
    0xff1e5dbe,
    0xff215fc1,
    0xff215ebf,
    0xff205abe,
    0xff1b57ba,
    0xff185cba,
    0xff145ac5,
    0xff165fc0,
    0xff2458b5,
    0xff4869b7,
    0xff2c4dba,
    0xff5355b2,
    0xff904c88,
    0xff870f22,
    0xff84060d,
    0xff7b000e,
    0xff750016,
    0xff870119,
    0xff93000b,
    0xff9f0402,
    0xff9f0000,
    0xffa40b1e,
    0xff960613,
    0xff9a0200,
    0xffaf020b,
    0xffa6000f,
    0xff99050d,
    0xff8d0000,
    0xffbd2b1b,
    0xffcc3f13,
    0xffb51f00,
    0xffad2800,
    0xffb53508,
    0xffd2521d,
    0xffae380b,
    0xffb86966,
    0xff535296,
    0xff5469a6,
    0xff887693,
    0xff6e6c96,
    0xff3964ad,
    0xff2d5fad,
    0xff2e5bb3,
    0xff2756b3,
    0xff28579f,
    0xff2b539b,
    0xff30579c,
    0xff365a97,
    0xff335490,
    0xff304f87,
    0xff2d4b7a,
    0xff2c4b73,
    0xff294a6a,
    0xff244565,
    0xff1e3a55,
    0xff173847,
    0xff122f37,
    0xff142d32,
    0xff1b3031,
    0xff1b2f2b,
    0xff16281e,
    0xff162417,
    0xff1a1c14,
    0xff1b1711,
    0xff1c1a13,
    0xff161e17,
    0xff112317,
    0xff102016,
    0xff131e15,
    0xff0d1d10,
    0xff0d1d10,
    0xff0d1e13,
    0xff0a1a0f,
    0xff09190e,
    0xff0b1b0f,
    0xff09190f,
    0xff09180f,
    0xff07190d,
    0xff05170b,
    0xff05160c,
    0xff05160c,
    0xff06170d,
    0xff06170d,
    0xff081911,
    0xff0c1d15,
    0xff04190f,
    0xff091d14,
    0xff061c15,
    0xff081d15,
    0xff0a1f1a,
    0xff071b1a,
    0xff0a201d,
    0xff0b221f,
    0xff0e211f,
    0xff102322,
    0xff0e2522,
    0xff112623,
    0xff102623,
    0xff132826,
    0xff132d29,
    0xff0c2522,
    0xff0c231f,
    0xff0d2521,
    0xff112521,
    0xff142824,
    0xff142723,
    0xff142723,
    0xff162823,
    0xff152622,
    0xff0f231c,
    0xff0e231c,
    0xff0a1f18,
    0xff071c15,
    0xff071a14,
    0xff071914,
    0xff061913,
    0xff061813,
    0xff031811,
    0xff041914,
    0xff041a17,
    0xff031917,
    0xff061a15,
    0xff08170e,
    0xff697667,
    0xffa6b29e,
    0xff455045,
    0xff07160f,
    0xff071d1e,
    0xff062128,
    0xff021e29,
    0xff001a23,
    0xff021d23,
    0xff041e22,
    0xff031e24,
    0xff062028,
    0xff032029,
    0xff04202a,
    0xff04232d,
    0xff022028,
    0xff022028,
    0xff05252b,
    0xff01242a,
    0xff04272e,
    0xff07202c,
    0xff061122,
    0xff3d3a50,
    0xff868095,
    0xffd9dbeb,
    0xff96a3ae,
    0xff050a13,
    0xff282a34,
    0xff72727b,
    0xff7d7e8b,
    0xff858996,
    0xff525a68,
    0xff101f2b,
    0xff061725,
    0xff82858c,
    0xff1d2725,
    0xff1d2a31,
    0xff303845,
    0xffb4b5b7,
    0xff534f54,
    0xff908e97,
    0xff31332f,
    0xff3d4738,
    0xff3e4737,
    0xff4c5543,
    0xff454b38,
    0xff4f533e,
    0xff4d5037,
    0xff5c5f43,
    0xff626545,
    0xff66643e,
    0xff676944,
    0xff575c3c,
    0xff5d6042,
    0xff6b6b4a,
    0xff6c6b49,
    0xff686949,
    0xff535738,
    0xff555439,
    0xff5a5938,
    0xff666746,
    0xff5b5c43,
    0xff656357,
    0xffa49fa2,
    0xff7f7a7c,
    0xff605c4f,
    0xff6d6851,
    0xff605b3e,
    0xff55512e,
    0xff5a5730,
    0xff69643c,
    0xff6c633f,
    0xff594c2a,
    0xff5a4b2d,
    0xff4c4627,
    0xff55512f,
    0xff605734,
    0xff5e5535,
    0xff544f30,
    0xff6e674e,
    0xff37311a,
    0xff48432b,
    0xff54402e,
    0xff544e2d,
    0xff4e4326,
    0xff4f4236,
    0xff606354,
    0xff848266,
    0xff857153,
    0xff48391d,
    0xff524b31,
    0xfffff4d6,
    0xffa0763b,
    0xffa96c27,
    0xff9c5c04,
    0xffffd656,
    0xffaa8316,
    0xffac8d61,
    0xff694b20,
    0xff7b4408,
    0xffa3702e,
    0xff723819,
    0xff7f3f11,
    0xff915d1f,
    0xff975716,
    0xffc2721d,
    0xffa85807,
    0xffa85006,
    0xffb35f11,
    0xff915909,
    0xff725221,
    0xffb99458,
    0xff926f1d,
    0xff594c24,
    0xff2d2221,
    0xff72644f,
    0xff6d4d2b,
    0xffbd8756,
    0xffd19446,
    0xfff8be5d,
    0xffdea139,
    0xffefa93c,
    0xfff9b240,
    0xffd39c34,
    0xffc08926,
    0xffc7841c,
    0xffe1af73,
    0xffd1c8c2,
    0xff4b5250,
    0xff5d5564,
    0xff5e0312,
    0xff5a000b,
    0xff5b010a,
    0xff580008,
    0xff5a0009,
    0xff59020d,
    0xff510415,
    0xff420012,
    0xff41000e,
    0xff51000d,
    0xff5c000b,
    0xff5f000f,
    0xff51020c,
    0xff49050e,
    0xff4c0409,
    0xff4f0106,
    0xff4a030c,
    0xff53050e,
    0xff56050a,
    0xff590109,
    0xff57020a,
    0xff4f000e,
    0xff4d0519,
    0xff460419,
    0xff3b061c,
    0xff4a041c,
    0xff50001c,
    0xff650312,
    0xff810505,
    0xff7b1a37,
    0xff6c61af,
    0xff346cc8,
    0xff3571ca,
    0xff3973cb,
    0xff336ec7,
    0xff316cc4,
    0xff336ec6,
    0xff346fc7,
    0xff346fc7,
    0xff3a74cd,
    0xff3069c4,
    0xff2d66c1,
    0xff2f68c2,
    0xff2f67c1,
    0xff326bc4,
    0xff356ec5,
    0xff326bc1,
    0xff2961b8,
    0xff2c62b9,
    0xff2d63b9,
    0xff2a62b4,
    0xff2b5fb3,
    0xff2558ab,
    0xff2d60b2,
    0xff2f60b2,
    0xff3465b7,
    0xff3569bd,
    0xff3167bc,
    0xff3366bb,
    0xff2e61b4,
    0xff2d61b1,
    0xff2f62b1,
    0xff3063b1,
    0xff3268b5,
    0xff316ebe,
    0xff3969b6,
    0xff2763bf,
    0xff2966bc,
    0xff2b6abc,
    0xff316ebd,
    0xff3762af,
    0xff2b5fbb,
    0xff3169be,
    0xff2c62bf,
    0xff2b60c5,
    0xff2a65be,
    0xff316fba,
    0xff3270b5,
    0xff3c71c4,
    0xff3d6acb,
    0xff346cc6,
    0xff3469c7,
    0xff3769c4,
    0xff3665bb,
    0xff345daf,
    0xff315faa,
    0xff2c61a9,
    0xff2862aa,
    0xff27569d,
    0xff295698,
    0xff235290,
    0xff1b4d88,
    0xff1b4f89,
    0xff164884,
    0xff0e3a7c,
    0xff20478d,
    0xff1a4d8c,
    0xff033776,
    0xff0d4281,
    0xff205696,
    0xff1b5192,
    0xff12478d,
    0xff24599e,
    0xff285ea5,
    0xff2b5eaa,
    0xff2154a1,
    0xff2054a1,
    0xff2356a5,
    0xff2257a1,
    0xff2359a3,
    0xff235ba4,
    0xff2159a4,
    0xff1b61b3,
    0xff2b5aa8,
    0xff2b5098,
    0xff5369a9,
    0xff5c6690,
    0xff3e5094,
    0xff1f62bf,
    0xff2b5c9f,
    0xff3c5998,
    0xff4e3b66,
    0xff440015,
    0xff480415,
    0xff560610,
    0xff43031f,
    0xff5966b4,
    0xff3b72cd,
    0xff316fca,
    0xff396dbd,
    0xff9da6e2,
    0xff4f4766,
    0xff4b6aa4,
    0xff3376df,
    0xff3777d2,
    0xff3c6cc5,
    0xff3e6fd9,
    0xff6063bb,
    0xff530827,
    0xff630009,
    0xff690412,
    0xff901a26,
    0xff87202a,
    0xff57050c,
    0xff4c0516,
    0xff70498a,
    0xff5762c9,
    0xff3a6cc7,
    0xff4570bf,
    0xff4c66c1,
    0xff4269cd,
    0xff2e6fca,
    0xff366ec5,
    0xff2f6fcb,
    0xff2d74d1,
    0xff2d70d0,
    0xff336fc8,
    0xff3670c6,
    0xff3274c9,
    0xff2e76cb,
    0xff3071d0,
    0xff3373d5,
    0xff3473d4,
    0xff3070d1,
    0xff346fcf,
    0xff366fd1,
    0xff3770d2,
    0xff3772cf,
    0xff356cca,
    0xff3170d4,
    0xff386ed5,
    0xff3e6ccf,
    0xff3573cf,
    0xff2e74cd,
    0xff4d67b9,
    0xff8662ad,
    0xff7c2652,
    0xff680419,
    0xff73070b,
    0xff710003,
    0xff71020b,
    0xff740315,
    0xff78000c,
    0xff7f000a,
    0xff77000d,
    0xff73000c,
    0xff74020d,
    0xff73010c,
    0xff74000c,
    0xff790010,
    0xff7c0112,
    0xff7d0014,
    0xff820111,
    0xff7f0116,
    0xff77000e,
    0xff831d2a,
    0xff984251,
    0xff9d4246,
    0xff9c4755,
    0xff905485,
    0xff904062,
    0xff91413e,
    0xff912135,
    0xff821a23,
    0xff7d2a1b,
    0xff821d25,
    0xff8a202d,
    0xff8e2231,
    0xff7c1a2b,
    0xff843969,
    0xff565fb1,
    0xff3062c7,
    0xff3762c6,
    0xff2e6cb7,
    0xff296bc2,
    0xff2e64d8,
    0xff306bcf,
    0xff2e69cb,
    0xff2e6acc,
    0xff2b66c9,
    0xff2d68cb,
    0xff2a65c8,
    0xff2965c7,
    0xff2a66c8,
    0xff2a67c4,
    0xff2a67c3,
    0xff2b68c4,
    0xff2b67c4,
    0xff2b68c5,
    0xff2c69c5,
    0xff2c69c5,
    0xff2b68c5,
    0xff2969c7,
    0xff296ac8,
    0xff296bc8,
    0xff2869c7,
    0xff286ac7,
    0xff2d6ecc,
    0xff286ac8,
    0xff2c6dcb,
    0xff326dce,
    0xff316dce,
    0xff326ece,
    0xff3470d0,
    0xff3470d0,
    0xff3672d2,
    0xff3672d2,
    0xff3470d1,
    0xff3374d0,
    0xff3473d0,
    0xff3574d3,
    0xff3471d1,
    0xff3773d3,
    0xff3775d1,
    0xff3875d0,
    0xff3673ce,
    0xff3976d1,
    0xff3673ce,
    0xff3875d2,
    0xff3670d1,
    0xff3670d1,
    0xff3872d3,
    0xff3570d1,
    0xff3871d2,
    0xff3571d1,
    0xff3470d1,
    0xff3470d1,
    0xff3470d0,
    0xff346fd0,
    0xff336fcf,
    0xff326ecf,
    0xff336fce,
    0xff3471cc,
    0xff3370ca,
    0xff3370cd,
    0xff356fcd,
    0xff3771d3,
    0xff336dcf,
    0xff356fd1,
    0xff336ccc,
    0xff3c70c8,
    0xff396ec8,
    0xff316bc9,
    0xff3571d1,
    0xff2e6ccd,
    0xff306dcf,
    0xff316dcd,
    0xff316cc9,
    0xff316bcd,
    0xff316bcf,
    0xff326ccf,
    0xff316bce,
    0xff326ccf,
    0xff326bcf,
    0xff306acd,
    0xff336dd0,
    0xff316ccf,
    0xff326ccf,
    0xff326cd0,
    0xff306acd,
    0xff2e68cc,
    0xff3068cc,
    0xff3167cd,
    0xff3068c9,
    0xff316aba,
    0xff2f65d0,
    0xff2a64cc,
    0xff3569c5,
    0xff6666b8,
    0xff76405e,
    0xff54202a,
    0xff5c4889,
    0xff4c58b0,
    0xff71639a,
    0xff912244,
    0xff8f0222,
    0xffc43538,
    0xffd43529,
    0xff9c0f11,
    0xff9e000a,
    0xffa7090f,
    0xffc22e30,
    0xffcc4027,
    0xffb12015,
    0xffb6252b,
    0xffc83630,
    0xff9f0c0d,
    0xff970412,
    0xff9d0209,
    0xffbb1f1a,
    0xffa00a02,
    0xff930305,
    0xff91000d,
    0xff9f061a,
    0xff8e0016,
    0xff76021c,
    0xff700118,
    0xff9e0f0d,
    0xffc7351f,
    0xff730005,
    0xffa62e15,
    0xff9c0e00,
    0xffd1591c,
    0xffffbe7c,
    0xff8b636a,
    0xff6669ad,
    0xff385595,
    0xff8dabda,
    0xff8188b2,
    0xff75458d,
    0xff782b59,
    0xff672e47,
    0xff515da7,
    0xff2d58b9,
    0xff2261c8,
    0xff2662be,
    0xff2a60bf,
    0xff235ecc,
    0xff2061ca,
    0xff2364b8,
    0xff2660be,
    0xff265ec2,
    0xff2761c4,
    0xff2660c5,
    0xff2662c3,
    0xff2762c3,
    0xff205fc1,
    0xff2461c6,
    0xff2762c5,
    0xff2962c5,
    0xff2862c5,
    0xff2661c4,
    0xff2560c6,
    0xff2463c7,
    0xff2361c8,
    0xff2563c9,
    0xff205fc1,
    0xff215fc2,
    0xff1f5ec0,
    0xff1c5abd,
    0xff1e5cbf,
    0xff205ec3,
    0xff215fc5,
    0xff205ec3,
    0xff1c55bf,
    0xff205ac2,
    0xff1f5dc0,
    0xff2060c1,
    0xff1e60bd,
    0xff1d5dbb,
    0xff1d5dbe,
    0xff2160c1,
    0xff2260c6,
    0xff255ac5,
    0xff2561bd,
    0xff2c53b2,
    0xff626fb4,
    0xff3152a6,
    0xff2257ac,
    0xff3d4eaa,
    0xff6549a8,
    0xff753766,
    0xff6e2445,
    0xff8d3e6b,
    0xff5d001f,
    0xff7a0217,
    0xff8e0211,
    0xff9e0011,
    0xffb7121e,
    0xffa41224,
    0xff940b05,
    0xff950809,
    0xff910d11,
    0xff910309,
    0xff9b000f,
    0xffb0271f,
    0xffb02f23,
    0xffb02f19,
    0xff8a130d,
    0xffc5462e,
    0xffcc501b,
    0xffb65634,
    0xff7e526e,
    0xff3e57ab,
    0xff676d9c,
    0xff816b86,
    0xff616fa5,
    0xff2659ab,
    0xff2e54a4,
    0xff2753a7,
    0xff245ab1,
    0xff2d57a2,
    0xff265197,
    0xff245192,
    0xff295290,
    0xff2d508b,
    0xff2f4e8a,
    0xff28487f,
    0xff1f406e,
    0xff22436a,
    0xff273f57,
    0xff284352,
    0xff274148,
    0xff20383a,
    0xff1b2f2f,
    0xff213230,
    0xff233128,
    0xff1a271a,
    0xff23271d,
    0xff21140e,
    0xff311211,
    0xff2f1515,
    0xff1d150f,
    0xff13160c,
    0xff141911,
    0xff161812,
    0xff102010,
    0xff0d1d11,
    0xff0e1d10,
    0xff0c1d11,
    0xff0a190f,
    0xff0a1a0f,
    0xff0b1b0f,
    0xff08180d,
    0xff091c0f,
    0xff07190d,
    0xff04170a,
    0xff03140a,
    0xff06170d,
    0xff091a10,
    0xff08190e,
    0xff061710,
    0xff04180c,
    0xff03170f,
    0xff071c12,
    0xff0a1f18,
    0xff0e221e,
    0xff102423,
    0xff102524,
    0xff112725,
    0xff102624,
    0xff102624,
    0xff0e2422,
    0xff0e2824,
    0xff0d2525,
    0xff0a2223,
    0xff0f2728,
    0xff0f2728,
    0xff102b2a,
    0xff102b2a,
    0xff10292b,
    0xff0f2826,
    0xff102726,
    0xff0e2323,
    0xff0e2222,
    0xff0a1f1e,
    0xff0b201a,
    0xff0a1f18,
    0xff071d16,
    0xff031912,
    0xff051812,
    0xff061913,
    0xff061a14,
    0xff041811,
    0xff041912,
    0xff041914,
    0xff021917,
    0xff021817,
    0xff071a15,
    0xff031408,
    0xff36422e,
    0xff4f583f,
    0xff4b5345,
    0xff1b2820,
    0xff071d1f,
    0xff07232b,
    0xff04222e,
    0xff05232d,
    0xff062228,
    0xff061e23,
    0xff0b2833,
    0xff082430,
    0xff082432,
    0xff0a2633,
    0xff0a2634,
    0xff072330,
    0xff0a2430,
    0xff08242d,
    0xff0b2632,
    0xff1b3542,
    0xff0e2534,
    0xff0c2834,
    0xff05222e,
    0xff082130,
    0xff3e4459,
    0xff9d97b3,
    0xffd1dbe9,
    0xff68717c,
    0xff080a15,
    0xff6e6d77,
    0xff514f5d,
    0xff808491,
    0xff82889b,
    0xff404a5e,
    0xff393b49,
    0xff3b4548,
    0xff15232c,
    0xff141d2a,
    0xffb8bcc3,
    0xff7d7985,
    0xff686577,
    0xff6f7477,
    0xff202b20,
    0xff344037,
    0xff455047,
    0xff454e44,
    0xff484e42,
    0xff505344,
    0xff494c38,
    0xff50543c,
    0xff5e5f43,
    0xff666b4c,
    0xff6d7450,
    0xff767e51,
    0xff6e7145,
    0xff6b6c44,
    0xff636445,
    0xff5f604c,
    0xff5c554c,
    0xff62623e,
    0xff5b5b38,
    0xff595843,
    0xff55553e,
    0xff4f4e3c,
    0xffd2d0c7,
    0xff464630,
    0xff615a3e,
    0xff5f5d39,
    0xff69683f,
    0xff767548,
    0xff706c3f,
    0xff726a3e,
    0xff766841,
    0xff5a4a23,
    0xff584f23,
    0xff473e1c,
    0xff4f462d,
    0xff61583d,
    0xff5c522e,
    0xff57512a,
    0xff5c5535,
    0xff48412c,
    0xff312f22,
    0xff2f3e20,
    0xff323a1d,
    0xff372f25,
    0xff3a382e,
    0xff3a3019,
    0xff624b32,
    0xff595038,
    0xff7b7c6a,
    0xffba9779,
    0xffa17d42,
    0xff503611,
    0xff6c421e,
    0xffcf9a46,
    0xff996a24,
    0xffb28b4c,
    0xffad7f3f,
    0xfff2b547,
    0xff915f0c,
    0xff7d3e1c,
    0xffa05414,
    0xffaf7309,
    0xffab6306,
    0xffa05300,
    0xff9c4f03,
    0xff9b4e08,
    0xffaa5401,
    0xffb56504,
    0xffa36d40,
    0xff7a5836,
    0xffaf8f48,
    0xff6e5738,
    0xff49362e,
    0xff42402d,
    0xff514724,
    0xffc09150,
    0xffcc8a32,
    0xffe7af48,
    0xffe6b435,
    0xffedb126,
    0xffd59814,
    0xffce9811,
    0xffb27907,
    0xffb87b30,
    0xffd4a991,
    0xff8e8581,
    0xff51584a,
    0xff565262,
    0xff56040c,
    0xff61010a,
    0xff5c000a,
    0xff54050f,
    0xff5f020b,
    0xff600004,
    0xff490520,
    0xff5c497d,
    0xff6c5ba1,
    0xff4a3f6d,
    0xff562860,
    0xff50001a,
    0xff560300,
    0xff5a0607,
    0xff4b0203,
    0xff3a0807,
    0xff42030f,
    0xff510113,
    0xff51040c,
    0xff670604,
    0xff6b0b11,
    0xff430317,
    0xff3d041c,
    0xff440516,
    0xff310816,
    0xff2a0b20,
    0xff4c0920,
    0xff650219,
    0xff790004,
    0xff840c19,
    0xff7e5997,
    0xff3d6acb,
    0xff3269c5,
    0xff3167c2,
    0xff336ac5,
    0xff386fca,
    0xff3a71cc,
    0xff366dc7,
    0xff3c73ce,
    0xff3a71cc,
    0xff3a71ca,
    0xff396ec7,
    0xff3c72ca,
    0xff396fc7,
    0xff3569c1,
    0xff3266be,
    0xff2e62bb,
    0xff2d60b9,
    0xff3466bd,
    0xff3064ba,
    0xff3669c0,
    0xff3268bf,
    0xff346cc2,
    0xff346dc4,
    0xff2e67be,
    0xff326dc3,
    0xff346ebf,
    0xff326cbe,
    0xff2f68bb,
    0xff336cc0,
    0xff336abf,
    0xff2f64b9,
    0xff2d61b5,
    0xff2e64b7,
    0xff2b69bf,
    0xff2966bc,
    0xff2f69c3,
    0xff2964bd,
    0xff306ac2,
    0xff336cc4,
    0xff3168c0,
    0xff3168c2,
    0xff2e69c1,
    0xff306bc2,
    0xff316bc4,
    0xff3671cb,
    0xff3570c4,
    0xff3b72c6,
    0xff396dbd,
    0xff3969ba,
    0xff3564b8,
    0xff2f5eb0,
    0xff2b5aa8,
    0xff25529e,
    0xff27569d,
    0xff1f4e90,
    0xff1d4d8d,
    0xff194a86,
    0xff104175,
    0xff0e4073,
    0xff134679,
    0xff17497f,
    0xff10457b,
    0xff0c417a,
    0xff1d538e,
    0xff1a4e8c,
    0xff12468e,
    0xff184e97,
    0xff245ba4,
    0xff2058a1,
    0xff2059a5,
    0xff235ca7,
    0xff245ca7,
    0xff275faa,
    0xff265da6,
    0xff275faa,
    0xff2e65b5,
    0xff2d63b4,
    0xff2860b4,
    0xff275fb3,
    0xff2b64b7,
    0xff2a60b5,
    0xff2e5ec2,
    0xff2165b2,
    0xff2e5ba9,
    0xff6f76ab,
    0xff4b5783,
    0xff375ca1,
    0xff3365b8,
    0xff376ac9,
    0xff3e6cc8,
    0xff5172b3,
    0xff442a5f,
    0xff430828,
    0xff3e041c,
    0xff4b3770,
    0xff4a74cb,
    0xff346ecc,
    0xff3273c4,
    0xff5480bf,
    0xff8585ac,
    0xff444b75,
    0xff3973c2,
    0xff3670dd,
    0xff406cd1,
    0xff3275cc,
    0xff2f6fd5,
    0xff5969c1,
    0xff532360,
    0xff520116,
    0xff63040b,
    0xff881419,
    0xff801716,
    0xff500b1f,
    0xff491034,
    0xff5a6ebb,
    0xff386bd3,
    0xff3f6bcc,
    0xff326fcb,
    0xff3472d2,
    0xff3f6fcf,
    0xff3473cb,
    0xff3471cb,
    0xff3270cc,
    0xff3572cf,
    0xff3572d0,
    0xff3370cf,
    0xff3471d0,
    0xff3572d1,
    0xff3572d1,
    0xff356fd0,
    0xff3571d1,
    0xff3570d0,
    0xff3170cf,
    0xff3272d0,
    0xff3672d2,
    0xff3571d1,
    0xff3871d2,
    0xff2d70c6,
    0xff2d72d6,
    0xff3a6bd5,
    0xff4168d0,
    0xff2b6dd1,
    0xff2776cb,
    0xff366dc1,
    0xff4063c6,
    0xff7171b8,
    0xff8a273c,
    0xff6a0001,
    0xff70000e,
    0xff730114,
    0xff670412,
    0xff7f020b,
    0xff83000d,
    0xff790005,
    0xff6d030d,
    0xff690413,
    0xff700717,
    0xff790116,
    0xff8a000d,
    0xff85000a,
    0xff74031f,
    0xff7d0010,
    0xff740316,
    0xff7c0306,
    0xff6b0910,
    0xffcf7f96,
    0xffaa505d,
    0xff933a51,
    0xff873a61,
    0xff964569,
    0xff98484d,
    0xff7a211f,
    0xff7d1927,
    0xff841d28,
    0xff89221b,
    0xff932929,
    0xff95223a,
    0xff80122f,
    0xff6a5393,
    0xff3e64b9,
    0xff3b61b7,
    0xff3a63be,
    0xff2c66c4,
    0xff2868c4,
    0xff2a63c5,
    0xff2664c5,
    0xff2565c5,
    0xff2665c6,
    0xff2463c4,
    0xff2666c7,
    0xff2766c7,
    0xff2666c7,
    0xff2665c6,
    0xff2766c5,
    0xff2766c5,
    0xff2564c4,
    0xff2767c6,
    0xff2766c5,
    0xff2868c7,
    0xff2868c7,
    0xff2867c6,
    0xff2766c5,
    0xff2c6bca,
    0xff2968c7,
    0xff2c6bca,
    0xff2d6ccb,
    0xff2f6dcc,
    0xff2e6dcc,
    0xff2f6ece,
    0xff326fcb,
    0xff3370cd,
    0xff326fcc,
    0xff3471cd,
    0xff3673d0,
    0xff3674d0,
    0xff3673d0,
    0xff3673d0,
    0xff3774d1,
    0xff3873d1,
    0xff3772cf,
    0xff3871d3,
    0xff3871d3,
    0xff3872d3,
    0xff3672d4,
    0xff3372d2,
    0xff3872cc,
    0xff3770cc,
    0xff3b72d1,
    0xff3a72d3,
    0xff396fd5,
    0xff3a70d5,
    0xff3870d1,
    0xff366fce,
    0xff3572cf,
    0xff3572cf,
    0xff3572cf,
    0xff3572cf,
    0xff3673cf,
    0xff3673cf,
    0xff3572cf,
    0xff3572cf,
    0xff3671cf,
    0xff3671cf,
    0xff3670cf,
    0xff3570ce,
    0xff3472ce,
    0xff3573cf,
    0xff3472ce,
    0xff3370ce,
    0xff3370cb,
    0xff3572cc,
    0xff3470cb,
    0xff3771cd,
    0xff3570ce,
    0xff3770cf,
    0xff386fce,
    0xff366dcd,
    0xff356eca,
    0xff346fd0,
    0xff3371d3,
    0xff3371d2,
    0xff316ecb,
    0xff3471cf,
    0xff3370d0,
    0xff2d6ed0,
    0xff306dcb,
    0xff306cca,
    0xff2d6ac8,
    0xff2c68c8,
    0xff2d69c9,
    0xff2c69c8,
    0xff2964c5,
    0xff2865c5,
    0xff2567bf,
    0xff336ac2,
    0xff2763c3,
    0xff3672da,
    0xff4865ba,
    0xff584c87,
    0xff4c4483,
    0xff4962bf,
    0xff5559ab,
    0xff764b77,
    0xff9a3a55,
    0xffaa2747,
    0xff9f1025,
    0xff9e0a0a,
    0xffad1f23,
    0xffd13f4d,
    0xffdb534e,
    0xffad2920,
    0xffb72a2e,
    0xffe65437,
    0xffb24643,
    0xffad1c2f,
    0xff8d0107,
    0xffa30310,
    0xffa10110,
    0xff990810,
    0xff95000b,
    0xff980000,
    0xffce3835,
    0xff8a000a,
    0xff8e2145,
    0xff723971,
    0xff83416b,
    0xffb13742,
    0xff980a00,
    0xff950c05,
    0xff9a0e05,
    0xffbe2914,
    0xff9a1100,
    0xff780000,
    0xff6e080b,
    0xff53152a,
    0xffbf9cb4,
    0xff686c9f,
    0xff2958b4,
    0xff4861ba,
    0xff77619e,
    0xff5b4884,
    0xff475cb4,
    0xff335cb5,
    0xff2461bb,
    0xff1f62bf,
    0xff2561c4,
    0xff2a60c6,
    0xff2861c3,
    0xff2766c4,
    0xff2764c6,
    0xff2461c5,
    0xff2462c5,
    0xff2661c5,
    0xff2661c5,
    0xff2661c6,
    0xff2660c4,
    0xff245ec2,
    0xff215cc0,
    0xff225ec0,
    0xff205dbf,
    0xff1f5bbc,
    0xff245ec0,
    0xff225bbf,
    0xff225bbe,
    0xff205abe,
    0xff1f59bd,
    0xff205bbf,
    0xff215cc0,
    0xff225cc1,
    0xff1e5dbf,
    0xff1f5dc0,
    0xff215fc2,
    0xff205ec0,
    0xff2460c1,
    0xff215dbe,
    0xff225ebe,
    0xff205cbe,
    0xff1d59bb,
    0xff1b57b9,
    0xff1a54b8,
    0xff1956ba,
    0xff1655ba,
    0xff2054ad,
    0xff1857b5,
    0xff1554b2,
    0xff3b5ba2,
    0xff405a9c,
    0xff2250a6,
    0xff1d54b5,
    0xff2b4eb2,
    0xff6a6ebc,
    0xff334ea5,
    0xff3f45a8,
    0xff6f4980,
    0xff7d2f48,
    0xff84001c,
    0xff890208,
    0xffaa0212,
    0xffa51825,
    0xffa8110d,
    0xff9c1e2d,
    0xff7a1532,
    0xff980d18,
    0xffa70811,
    0xff940303,
    0xff9f0400,
    0xff900c0b,
    0xffb52e22,
    0xffc13a1c,
    0xff982b0c,
    0xff96352e,
    0xff773c5f,
    0xff3d4f94,
    0xff7379a7,
    0xff7c6d83,
    0xff5563a3,
    0xff2152ac,
    0xff2f58aa,
    0xff2c59b3,
    0xff1759b2,
    0xff1e54a9,
    0xff295094,
    0xff185485,
    0xff1b527f,
    0xff2b437b,
    0xff334284,
    0xff23467e,
    0xff1f4a72,
    0xff274664,
    0xff2d4861,
    0xff34485a,
    0xff274145,
    0xff264445,
    0xff29373b,
    0xff2e272e,
    0xff322223,
    0xff2c1d15,
    0xff3f181b,
    0xff92313d,
    0xffba2635,
    0xffb63239,
    0xff87312e,
    0xff6b1e21,
    0xff671b21,
    0xff43110c,
    0xff2d1604,
    0xff270f12,
    0xff250b0e,
    0xff101d0d,
    0xff0c1811,
    0xff091e0b,
    0xff0f1706,
    0xff0b1a16,
    0xff04170c,
    0xff081a0e,
    0xff05140b,
    0xff0a180f,
    0xff0a170e,
    0xff07170d,
    0xff071811,
    0xff0a1b14,
    0xff132319,
    0xff314238,
    0xff1f3328,
    0xff0b2017,
    0xff0d241b,
    0xff102923,
    0xff0e2824,
    0xff0b2425,
    0xff0e2320,
    0xff0e2221,
    0xff0e2325,
    0xff102526,
    0xff0f2727,
    0xff0d2622,
    0xff0f2926,
    0xff0d2824,
    0xff102925,
    0xff0f2424,
    0xff0d2525,
    0xff0e272a,
    0xff0c2427,
    0xff0c2629,
    0xff0b2427,
    0xff072124,
    0xff011f1e,
    0xff02211f,
    0xff011d1b,
    0xff011d1b,
    0xff041e1c,
    0xff041b1b,
    0xff02181a,
    0xff01171a,
    0xff001817,
    0xff011715,
    0xff001713,
    0xff021710,
    0xff01160e,
    0xff031612,
    0xff031512,
    0xff011010,
    0xff051d1a,
    0xff011917,
    0xff071a21,
    0xff091e28,
    0xff061c2b,
    0xff071f2e,
    0xff061e2e,
    0xff082331,
    0xff08212b,
    0xff09242f,
    0xff06222e,
    0xff062331,
    0xff052233,
    0xff0b2838,
    0xff0c2838,
    0xff0a2535,
    0xff08262e,
    0xff09262d,
    0xff0b2732,
    0xff0c2933,
    0xff0d2733,
    0xff142b38,
    0xff0b1e2e,
    0xff142235,
    0xff555b70,
    0xffadb0c5,
    0xffc4c6d7,
    0xff323141,
    0xff4e4b5a,
    0xff73717e,
    0xff807e8b,
    0xff5a5665,
    0xffbac0bf,
    0xff899193,
    0xff111923,
    0xff0d1523,
    0xffbdc2d1,
    0xff545863,
    0xff65636a,
    0xff8c878b,
    0xff909099,
    0xff111a21,
    0xff263739,
    0xff2a3737,
    0xff444743,
    0xff312f2b,
    0xff40443c,
    0xff344237,
    0xff384334,
    0xff424e37,
    0xff606a4b,
    0xff747a55,
    0xff70714d,
    0xff65633f,
    0xff635f3c,
    0xff726b49,
    0xff6e6a49,
    0xff656548,
    0xff565b3d,
    0xff585c38,
    0xff626138,
    0xff605d3c,
    0xff676b58,
    0xff727875,
    0xff5f5343,
    0xff5f5c30,
    0xff5e632e,
    0xff676541,
    0xff6b573d,
    0xff987149,
    0xffc8924c,
    0xffc5892a,
    0xffca9331,
    0xff906523,
    0xff614b1f,
    0xff5f5133,
    0xff847945,
    0xff76673c,
    0xff716440,
    0xff625843,
    0xff4c4e2c,
    0xff464b33,
    0xff383d22,
    0xff353823,
    0xff322b29,
    0xff40362a,
    0xff4a4324,
    0xff2d2b12,
    0xfffafff9,
    0xff7b6a68,
    0xff120100,
    0xff393522,
    0xff3e2903,
    0xff824e0b,
    0xffb47d36,
    0xffa68844,
    0xffcc9d48,
    0xffbd8819,
    0xffab6c0c,
    0xff985202,
    0xff974a0f,
    0xffb67013,
    0xffba7213,
    0xffac6200,
    0xffa44d02,
    0xffa7541d,
    0xffa4530c,
    0xff8e3600,
    0xffa76430,
    0xff805a34,
    0xff877347,
    0xff5c3d32,
    0xff6a5245,
    0xff4b433c,
    0xff4a462f,
    0xff816026,
    0xffffc55a,
    0xffda9719,
    0xffdca117,
    0xfff0b729,
    0xffdc9f1f,
    0xffd9981d,
    0xffcb8a26,
    0xffb37c2c,
    0xffcca482,
    0xff6d5957,
    0xff373629,
    0xff565962,
    0xff5e010c,
    0xff650008,
    0xff64010d,
    0xff5e0911,
    0xff62090a,
    0xff5a0204,
    0xff310218,
    0xff495381,
    0xff4773af,
    0xff3972b7,
    0xff5d6fca,
    0xff451756,
    0xff4a020d,
    0xff4a040b,
    0xff490814,
    0xff420108,
    0xff470606,
    0xff520014,
    0xff57040d,
    0xff6f0505,
    0xff881821,
    0xff510411,
    0xff4c0b16,
    0xff420810,
    0xff460714,
    0xff30071a,
    0xff623049,
    0xff93648e,
    0xff90628b,
    0xff854f75,
    0xff6f5d9f,
    0xff4560af,
    0xff2e62b9,
    0xff2860b8,
    0xff2f67be,
    0xff2f66be,
    0xff2962ba,
    0xff2f68c0,
    0xff2e68bf,
    0xff2560b8,
    0xff2960ba,
    0xff265db7,
    0xff255cb6,
    0xff2259b4,
    0xff265db7,
    0xff2d63bd,
    0xff3167c1,
    0xff3167c1,
    0xff2d60ba,
    0xff3163be,
    0xff2f66bf,
    0xff3066c0,
    0xff346bc6,
    0xff356dc4,
    0xff366fc6,
    0xff326bc3,
    0xff2e65c3,
    0xff3066c5,
    0xff3269c7,
    0xff2d62c0,
    0xff3063bf,
    0xff2f63bd,
    0xff3266bc,
    0xff3466bb,
    0xff3269b9,
    0xff356cbb,
    0xff3067b6,
    0xff356cbb,
    0xff336aba,
    0xff3268b8,
    0xff3369b9,
    0xff3366b7,
    0xff386ab5,
    0xff3568b5,
    0xff2d62b1,
    0xff285dad,
    0xff2359aa,
    0xff2258a8,
    0xff1b509e,
    0xff164996,
    0xff10408c,
    0xff1e4e99,
    0xff1f4f9b,
    0xff2857a5,
    0xff2b5bab,
    0xff3060b3,
    0xff3767b8,
    0xff3362b6,
    0xff3162ae,
    0xff3261af,
    0xff2f5fad,
    0xff3162b2,
    0xff2b5daf,
    0xff2b5eb1,
    0xff295db3,
    0xff2c60b5,
    0xff356abb,
    0xff3469b9,
    0xff2f67b6,
    0xff306ab8,
    0xff2961b3,
    0xff2a62b3,
    0xff2d65b6,
    0xff2b61b3,
    0xff255cac,
    0xff255eaf,
    0xff2861b4,
    0xff255db4,
    0xff2c63bc,
    0xff3068c1,
    0xff306ac1,
    0xff336cc4,
    0xff3a6dcf,
    0xff3074c6,
    0xff4971c4,
    0xff767aaf,
    0xff3f4d7c,
    0xff4268b8,
    0xff3a6fc5,
    0xff2f65c6,
    0xff376ad1,
    0xff2e68bc,
    0xff5d7ac1,
    0xff422b6d,
    0xff2e1b53,
    0xff5277bb,
    0xff2d6dc9,
    0xff336fca,
    0xff3267bc,
    0xff87a1da,
    0xff4a567d,
    0xff4762a1,
    0xff396aca,
    0xff3670cf,
    0xff3971c8,
    0xff3472cf,
    0xff356fcd,
    0xff4670c8,
    0xff69549a,
    0xff5a021b,
    0xff6e0011,
    0xff720721,
    0xff6a0f0f,
    0xff4a0301,
    0xff533059,
    0xff4b73c5,
    0xff3170d4,
    0xff3e71cd,
    0xff3170c9,
    0xff3371d3,
    0xff3c6ece,
    0xff3572cb,
    0xff3472ce,
    0xff3571cf,
    0xff3572cf,
    0xff3572cf,
    0xff3470d1,
    0xff3571d1,
    0xff3571d1,
    0xff3571d1,
    0xff3470cf,
    0xff336ece,
    0xff2f6ecd,
    0xff2f6ecd,
    0xff306fce,
    0xff2f6fce,
    0xff316ccc,
    0xff2e6dcb,
    0xff2a6eca,
    0xff3469d1,
    0xff3566d3,
    0xff326cce,
    0xff326fc8,
    0xff336dc7,
    0xff3e6dc9,
    0xff4a6ac0,
    0xff73538f,
    0xff6d0010,
    0xff75010a,
    0xff7c000f,
    0xff7a010e,
    0xff760112,
    0xff91000c,
    0xff8c0412,
    0xff770012,
    0xff720001,
    0xff740908,
    0xff69070e,
    0xff71070f,
    0xff720309,
    0xff740611,
    0xff750210,
    0xff7f0209,
    0xff70020d,
    0xff740202,
    0xff71111a,
    0xff782334,
    0xffa94d5b,
    0xffa14a63,
    0xff963f59,
    0xff963e4d,
    0xff84313a,
    0xff6a141a,
    0xff7e1f28,
    0xff7d1b26,
    0xff781b21,
    0xff81202c,
    0xff851b2a,
    0xff85212f,
    0xff744576,
    0xff5f58a2,
    0xff4958af,
    0xff2f5fc0,
    0xff2464c4,
    0xff2764c0,
    0xff2863c7,
    0xff2565c5,
    0xff2564c5,
    0xff2665c6,
    0xff2463c4,
    0xff2362c3,
    0xff2463c4,
    0xff2463c4,
    0xff2362c4,
    0xff2362c0,
    0xff2564c3,
    0xff2564c3,
    0xff2766c5,
    0xff2867c6,
    0xff2665c4,
    0xff2867c6,
    0xff2867c6,
    0xff2a69c8,
    0xff2867c6,
    0xff2665c4,
    0xff2968c7,
    0xff2c6bca,
    0xff2f6ecd,
    0xff2968c7,
    0xff2e6dcd,
    0xff2f6cc8,
    0xff316ecb,
    0xff316ecb,
    0xff3370cd,
    0xff326fcc,
    0xff3370cd,
    0xff3471ce,
    0xff3572cf,
    0xff3372d0,
    0xff3774d1,
    0xff3771d0,
    0xff3671cf,
    0xff3873d0,
    0xff3973d5,
    0xff3673d3,
    0xff3773d3,
    0xff3974d0,
    0xff3772d0,
    0xff3771d3,
    0xff3771d2,
    0xff3873d3,
    0xff3872d3,
    0xff3773d1,
    0xff3873d1,
    0xff3775d1,
    0xff3774d1,
    0xff3774d1,
    0xff3774d1,
    0xff3674d1,
    0xff3774d1,
    0xff3774d1,
    0xff3875d2,
    0xff3974d2,
    0xff3974d2,
    0xff3772d0,
    0xff356fcd,
    0xff3572cf,
    0xff3774d1,
    0xff3673d0,
    0xff3371cd,
    0xff3570cb,
    0xff3772cf,
    0xff3672ce,
    0xff3873ce,
    0xff3974d2,
    0xff3772cf,
    0xff346fd0,
    0xff366dce,
    0xff3872cf,
    0xff3570d1,
    0xff3271d3,
    0xff3271d0,
    0xff3671ce,
    0xff3470cb,
    0xff326fcc,
    0xff2d6dce,
    0xff2d6bc8,
    0xff2f6cc9,
    0xff2f6cc9,
    0xff2f6bcc,
    0xff2e6aca,
    0xff2f6bcb,
    0xff2e6aca,
    0xff2f6ccc,
    0xff2b6cc9,
    0xff326cc6,
    0xff326ecf,
    0xff2c6bd0,
    0xff3e69c4,
    0xff5062ae,
    0xff4f64b7,
    0xff3c63c9,
    0xff565dbf,
    0xff7361b4,
    0xff905496,
    0xffb13f71,
    0xffab192d,
    0xffd03637,
    0xffbc2f30,
    0xffdd5765,
    0xffd45447,
    0xffc13021,
    0xffd33947,
    0xffca535c,
    0xff8d6488,
    0xff9d3b60,
    0xff8e1012,
    0xffa6010e,
    0xffa80013,
    0xffa10003,
    0xffa8030d,
    0xff91071c,
    0xff7f0913,
    0xff7e000c,
    0xff924780,
    0xff696bcf,
    0xff9975b9,
    0xff951b43,
    0xffa4000e,
    0xffa20816,
    0xff89030c,
    0xff951c18,
    0xffa3292a,
    0xff840011,
    0xff87050d,
    0xff770618,
    0xff4f0016,
    0xff79537e,
    0xff5d6bb2,
    0xff4473ca,
    0xff3b68bf,
    0xff4064c1,
    0xff4164c1,
    0xff3564be,
    0xff2867c2,
    0xff2567c4,
    0xff2a64c7,
    0xff2e63c7,
    0xff2962c4,
    0xff2865c6,
    0xff2464c4,
    0xff2464c5,
    0xff2964c6,
    0xff2763c5,
    0xff2662c4,
    0xff2662c4,
    0xff2662c3,
    0xff2864c5,
    0xff2560c5,
    0xff2662c4,
    0xff2561c4,
    0xff2461c0,
    0xff255fc0,
    0xff2761c4,
    0xff245ec0,
    0xff2861c5,
    0xff235ec2,
    0xff245fc3,
    0xff225dc1,
    0xff1e59bd,
    0xff1e5cbf,
    0xff1b59bc,
    0xff1957ba,
    0xff1958bb,
    0xff1c58b9,
    0xff1d59b8,
    0xff225ec0,
    0xff2460c1,
    0xff2561c2,
    0xff225dc1,
    0xff1f5abe,
    0xff1d5abd,
    0xff185fca,
    0xff2259ba,
    0xff2953b2,
    0xff304ba0,
    0xff3a428a,
    0xff637ac6,
    0xff1c4fa8,
    0xff2558ab,
    0xff38518b,
    0xff2d478c,
    0xff1c54a9,
    0xff1a56b9,
    0xff2244a4,
    0xff574f94,
    0xff74234a,
    0xff8c1118,
    0xff880818,
    0xff910010,
    0xffa7030a,
    0xff9f203c,
    0xff964475,
    0xff651f48,
    0xff8c385c,
    0xff8f233c,
    0xff8e131f,
    0xff800011,
    0xff840404,
    0xff780600,
    0xff8d2c2a,
    0xff86313b,
    0xff794e64,
    0xff5f699b,
    0xff827f9c,
    0xff7c6d7b,
    0xff5167a7,
    0xff2767c1,
    0xff1f59b1,
    0xff2157b3,
    0xff185cae,
    0xff2658a6,
    0xff295eb3,
    0xff2857a3,
    0xff2e5495,
    0xff2f5590,
    0xff25568d,
    0xff24598a,
    0xff2a507d,
    0xff374e74,
    0xff354365,
    0xff2c354e,
    0xff2d3840,
    0xff273230,
    0xff2f1f20,
    0xff4c0f18,
    0xffb65660,
    0xffbc4c55,
    0xffbd2c43,
    0xffdc3748,
    0xffe33038,
    0xffc82524,
    0xffd24942,
    0xffce3e3d,
    0xffcf3938,
    0xffbb3c32,
    0xffae3a3b,
    0xff922d38,
    0xff752c28,
    0xff2f260c,
    0xff14160b,
    0xff091e09,
    0xff0a1c00,
    0xff021e09,
    0xff051b0d,
    0xff07190d,
    0xff0a190e,
    0xff0a1a10,
    0xff0c1c12,
    0xff0b1b11,
    0xff081a0f,
    0xff08190f,
    0xff03140a,
    0xff091a10,
    0xff091b10,
    0xff0d2218,
    0xff071c16,
    0xff0d241e,
    0xff0e2322,
    0xff0e2422,
    0xff102323,
    0xff0e2221,
    0xff0e2325,
    0xff13272b,
    0xff10292b,
    0xff0f2628,
    0xff0d2726,
    0xff112b2a,
    0xff0f292a,
    0xff0e282b,
    0xff0c282b,
    0xff0b262c,
    0xff0c272f,
    0xff0a262f,
    0xff08252d,
    0xff07232b,
    0xff052228,
    0xff062226,
    0xff001d20,
    0xff041d20,
    0xff021c1b,
    0xff031b1b,
    0xff031c19,
    0xff031b1a,
    0xff011b19,
    0xff041a18,
    0xff061d17,
    0xff091e17,
    0xff081e17,
    0xff0d201a,
    0xff0e211e,
    0xff172a28,
    0xff0d2320,
    0xff122825,
    0xff132829,
    0xff0a1f24,
    0xff0a1f26,
    0xff092028,
    0xff0a232b,
    0xff072428,
    0xff0b2329,
    0xff08232c,
    0xff04202c,
    0xff05212d,
    0xff072332,
    0xff092734,
    0xff0b2734,
    0xff092531,
    0xff0a2431,
    0xff0a2330,
    0xff0b2331,
    0xff0c2332,
    0xff112638,
    0xff182b3d,
    0xff1c2d41,
    0xff19273c,
    0xff172031,
    0xff252c3c,
    0xff727984,
    0xffc5cad4,
    0xff8c8d96,
    0xff37363e,
    0xff696670,
    0xff85828d,
    0xff47475e,
    0xff51536a,
    0xff848a9d,
    0xff00010d,
    0xffbfc7cd,
    0xff1c2125,
    0xff767779,
    0xff5c5a5d,
    0xff8b889b,
    0xff6a6e7e,
    0xff122026,
    0xff293331,
    0xff494c45,
    0xff2b2923,
    0xff313531,
    0xff2c3939,
    0xff354138,
    0xff3b4636,
    0xff394329,
    0xff474e30,
    0xff616445,
    0xff666543,
    0xff716f48,
    0xff666438,
    0xff565333,
    0xff69674c,
    0xff63664d,
    0xff626346,
    0xff676242,
    0xff524e32,
    0xff504f45,
    0xff919496,
    0xff49523c,
    0xff5c5b3c,
    0xff655c34,
    0xff5c5120,
    0xff5a4819,
    0xff5b3c0d,
    0xff9d6920,
    0xffe09f30,
    0xffcc8c07,
    0xffe8ae2c,
    0xffb68829,
    0xff422100,
    0xff45380b,
    0xff5d5539,
    0xff554f2a,
    0xff5b531f,
    0xff4b4829,
    0xff434426,
    0xff4b4e2d,
    0xff393e24,
    0xff262816,
    0xff40402a,
    0xff3a3925,
    0xff706f67,
    0xff97927b,
    0xff74615c,
    0xffe5d1cb,
    0xff9d937a,
    0xff877827,
    0xfffff278,
    0xffe5b94f,
    0xffd4b44f,
    0xffc49338,
    0xffaf7615,
    0xffae6e0e,
    0xffa86402,
    0xff944f00,
    0xffb77600,
    0xffb47100,
    0xffaf6900,
    0xffad5d01,
    0xff9c4d04,
    0xffbd6b15,
    0xff973e00,
    0xff7b2d00,
    0xffa4755e,
    0xff7d6450,
    0xff4a3033,
    0xff5b543d,
    0xff2e3626,
    0xff161000,
    0xffbc984f,
    0xffd1982c,
    0xffe0a41e,
    0xfff5b833,
    0xffffc745,
    0xffbd7c00,
    0xffc68700,
    0xffffc644,
    0xffb6861d,
    0xffcdac84,
    0xff846f7b,
    0xff443f44,
    0xff636178,
    0xff52040a,
    0xff5b0006,
    0xff5d0007,
    0xff62080d,
    0xff680a09,
    0xff5b0208,
    0xff380a21,
    0xff3e4370,
    0xff4354ae,
    0xff4268bb,
    0xff4a70c3,
    0xff615cab,
    0xff36042a,
    0xff440407,
    0xff4c0112,
    0xff570014,
    0xff4c0707,
    0xff4f051b,
    0xff510714,
    0xff610009,
    0xff660317,
    0xff48000b,
    0xff4b0405,
    0xff3e050a,
    0xff370d29,
    0xff2d1431,
    0xff290c34,
    0xff33337d,
    0xff3d5cb4,
    0xff415fb5,
    0xff355fb9,
    0xff2d68b7,
    0xff326cbf,
    0xff326abf,
    0xff3068bc,
    0xff326cbf,
    0xff326fc1,
    0xff2e6bbd,
    0xff2c6abc,
    0xff316fc2,
    0xff2f6ac4,
    0xff2e68c2,
    0xff2f68c2,
    0xff2e67c1,
    0xff356ec8,
    0xff3971cc,
    0xff3b72cd,
    0xff3970cb,
    0xff396dcb,
    0xff396ecd,
    0xff356ac6,
    0xff3367c4,
    0xff3066c0,
    0xff2e64bd,
    0xff2c62b7,
    0xff2e64ba,
    0xff3a6fce,
    0xff366bcb,
    0xff2e60bf,
    0xff3064bd,
    0xff2f60b9,
    0xff2f62b5,
    0xff3064b2,
    0xff3766b4,
    0xff2f60a8,
    0xff3060a8,
    0xff22529a,
    0xff1f5199,
    0xff20539a,
    0xff194c93,
    0xff174991,
    0xff0f4086,
    0xff184283,
    0xff0e3b7a,
    0xff113f82,
    0xff1b4c91,
    0xff1a4c93,
    0xff21549e,
    0xff2b60a8,
    0xff3066af,
    0xff2a58a7,
    0xff2f5dad,
    0xff3566b3,
    0xff3567b4,
    0xff3465b3,
    0xff2c60ad,
    0xff275ba8,
    0xff2559a6,
    0xff2559a5,
    0xff2054a2,
    0xff2a5bad,
    0xff2b60b0,
    0xff2b60b4,
    0xff295fb5,
    0xff285fb4,
    0xff255bb3,
    0xff2259b0,
    0xff235bb3,
    0xff2059af,
    0xff1f59af,
    0xff255fb5,
    0xff2c66bd,
    0xff346dc5,
    0xff3168c2,
    0xff2f67bc,
    0xff3068be,
    0xff346dc6,
    0xff3a73cc,
    0xff3870cc,
    0xff346bc8,
    0xff3872ce,
    0xff3872ce,
    0xff3e74d1,
    0xff306fcc,
    0xff5072c7,
    0xff696ea3,
    0xff47598f,
    0xff416bc6,
    0xff3a70cf,
    0xff3672d1,
    0xff346cd5,
    0xff3776d5,
    0xff3173cc,
    0xff425ab5,
    0xff405cad,
    0xff2f78ca,
    0xff3475d3,
    0xff376fc0,
    0xff4c6fbe,
    0xff828db9,
    0xff36507c,
    0xff3f6ec7,
    0xff3f6ad4,
    0xff3b75c5,
    0xff3179c5,
    0xff3d70d8,
    0xff3a71d7,
    0xff3977d5,
    0xff555ba8,
    0xff3d0016,
    0xff640011,
    0xff64041e,
    0xff631018,
    0xff46000f,
    0xff55548c,
    0xff3873cb,
    0xff2a71d4,
    0xff3870c9,
    0xff3374cc,
    0xff3672d0,
    0xff3b6fcd,
    0xff3472cf,
    0xff3572cf,
    0xff3774d1,
    0xff3572cf,
    0xff3673d0,
    0xff3472ce,
    0xff3470d1,
    0xff336fcf,
    0xff316dcd,
    0xff326dd0,
    0xff2e6ecf,
    0xff306fd0,
    0xff3070d2,
    0xff2d6dce,
    0xff306fd0,
    0xff2e6ecf,
    0xff306ccf,
    0xff326cd0,
    0xff3768cd,
    0xff2c68d2,
    0xff286cca,
    0xff3168bb,
    0xff3765c1,
    0xff415ebb,
    0xff736bad,
    0xff6a1238,
    0xff79000e,
    0xff770111,
    0xff7b000b,
    0xff7a0206,
    0xff7f0311,
    0xff9c081a,
    0xff7b0a0e,
    0xff6a0018,
    0xff770201,
    0xff750300,
    0xff78020f,
    0xff79000d,
    0xff71060c,
    0xff67050f,
    0xff700007,
    0xff720309,
    0xff670314,
    0xff5e010d,
    0xff600a18,
    0xff781c25,
    0xff872f41,
    0xff8f5887,
    0xff8a5686,
    0xff694059,
    0xff5a385e,
    0xff6c3f63,
    0xff6a2032,
    0xff82242d,
    0xff7e2136,
    0xff81243c,
    0xff831d2c,
    0xff7c2020,
    0xff731b3b,
    0xff752d67,
    0xff604fa0,
    0xff2d5fc0,
    0xff2065c6,
    0xff2863bf,
    0xff2863c7,
    0xff2666c7,
    0xff2564c5,
    0xff2665c6,
    0xff2564c5,
    0xff2564c5,
    0xff2665c7,
    0xff2766c7,
    0xff2665c6,
    0xff2b6ac9,
    0xff2d6ccb,
    0xff2d6ccb,
    0xff2c6bca,
    0xff2c6bca,
    0xff2a69c9,
    0xff2c6bca,
    0xff2e6dcc,
    0xff2c6bca,
    0xff2d6ccc,
    0xff2e6dcc,
    0xff2e6dcd,
    0xff306fcf,
    0xff2d6ccb,
    0xff306fcf,
    0xff2e6ecd,
    0xff3370cd,
    0xff3470cd,
    0xff316ecb,
    0xff336fcc,
    0xff3471ce,
    0xff3370cd,
    0xff326fcc,
    0xff316ecb,
    0xff3273cc,
    0xff3374ce,
    0xff3572cc,
    0xff336fcd,
    0xff3970d0,
    0xff3773d0,
    0xff3772d0,
    0xff3873d1,
    0xff3570ce,
    0xff3670d2,
    0xff356fd0,
    0xff3771d2,
    0xff3771d2,
    0xff3874d1,
    0xff3873d1,
    0xff3873cf,
    0xff3873d2,
    0xff3873d1,
    0xff3873d1,
    0xff3873d1,
    0xff3872d1,
    0xff3873d1,
    0xff3973d1,
    0xff3873d1,
    0xff3873d1,
    0xff3873d1,
    0xff3873d1,
    0xff3772d0,
    0xff3673d0,
    0xff3572cf,
    0xff3673d0,
    0xff3875d1,
    0xff3c75d0,
    0xff3a73cd,
    0xff386fcd,
    0xff3874cf,
    0xff3772d0,
    0xff366fd2,
    0xff356fd0,
    0xff3670d2,
    0xff3871cf,
    0xff346ed0,
    0xff3070d1,
    0xff346fcf,
    0xff356dca,
    0xff356dc6,
    0xff366fca,
    0xff3673cf,
    0xff326fcc,
    0xff326fcc,
    0xff316fcb,
    0xff316dcd,
    0xff326ece,
    0xff316dcd,
    0xff326ece,
    0xff316dcd,
    0xff336ecf,
    0xff3270ce,
    0xff2e6ccd,
    0xff2f6bcf,
    0xff3269cc,
    0xff3769ca,
    0xff3568cb,
    0xff3369d0,
    0xff3a60c1,
    0xff4557b4,
    0xff7b56a0,
    0xff78113c,
    0xffb92439,
    0xff9d050a,
    0xffa81218,
    0xffde4d5b,
    0xffd14f54,
    0xffc33932,
    0xffcc4648,
    0xff9d4968,
    0xff68579f,
    0xff862555,
    0xffb22b1d,
    0xffca362e,
    0xff950507,
    0xff960909,
    0xffb21212,
    0xff910a25,
    0xff920522,
    0xffa40012,
    0xff6e0f41,
    0xff7b71ae,
    0xff7b2e54,
    0xff8f0518,
    0xffa10207,
    0xff8e0006,
    0xff960e16,
    0xff9f1810,
    0xffad2619,
    0xffa91818,
    0xff8d0205,
    0xff92000d,
    0xff7d0010,
    0xff5a0008,
    0xff591834,
    0xff565991,
    0xff3d74c9,
    0xff3864c9,
    0xff3562c3,
    0xff3067c5,
    0xff2b6ac7,
    0xff2766c3,
    0xff2d64c5,
    0xff2d62c7,
    0xff2860c5,
    0xff2561c7,
    0xff2661c3,
    0xff2561c3,
    0xff2662c4,
    0xff2561c3,
    0xff2561c3,
    0xff245fc2,
    0xff2161c2,
    0xff2262c3,
    0xff2560c4,
    0xff215ebf,
    0xff215dbf,
    0xff2461c0,
    0xff255fc0,
    0xff235dc0,
    0xff255fc2,
    0xff245dc2,
    0xff225dc1,
    0xff225cc1,
    0xff215cc0,
    0xff245ec2,
    0xff1f5dc0,
    0xff2361c4,
    0xff2361c4,
    0xff2361c4,
    0xff2561c3,
    0xff2662c4,
    0xff2763c4,
    0xff235dc2,
    0xff1d57bc,
    0xff1d57bc,
    0xff1c56bb,
    0xff1c56ba,
    0xff1953b7,
    0xff2853ae,
    0xff294291,
    0xff36387b,
    0xff2b2b68,
    0xff5a78c5,
    0xff1e52a7,
    0xff2d559c,
    0xff2a396f,
    0xff2f5aaf,
    0xff1853ac,
    0xff1254a9,
    0xff1753c1,
    0xff314eb1,
    0xff341d56,
    0xff82355c,
    0xff7a1322,
    0xff940010,
    0xffac1012,
    0xffaa1b2c,
    0xff983361,
    0xff584082,
    0xff454b9f,
    0xff534587,
    0xff784f80,
    0xff86233e,
    0xffa01a12,
    0xffa82915,
    0xff8f1c1b,
    0xff781d29,
    0xff855b71,
    0xff514f7b,
    0xff917e9e,
    0xff7e6981,
    0xff3b4d94,
    0xff1652b1,
    0xff1e55b0,
    0xff1c51b4,
    0xff1c57b3,
    0xff2653aa,
    0xff2151af,
    0xff2b58ad,
    0xff2b589b,
    0xff21548b,
    0xff255c90,
    0xff225485,
    0xff244d78,
    0xff224269,
    0xff29405a,
    0xff383249,
    0xff502a39,
    0xff72333b,
    0xff963a41,
    0xffb73340,
    0xffcd313d,
    0xffc82833,
    0xffce2232,
    0xffb91e25,
    0xffd24a47,
    0xff8e271c,
    0xff6d2f1e,
    0xff78382b,
    0xff7e2a27,
    0xff610f0c,
    0xff58130e,
    0xff5e181a,
    0xff652b24,
    0xff3c2a1a,
    0xff1b1414,
    0xff101813,
    0xff11190b,
    0xff0a1d0c,
    0xff06180d,
    0xff06180c,
    0xff091c0f,
    0xff08170c,
    0xff08170e,
    0xff07190f,
    0xff09190f,
    0xff051a0e,
    0xff071810,
    0xff091a13,
    0xff0c1c12,
    0xff0b1c15,
    0xff0c2017,
    0xff0a1e17,
    0xff0c1f1b,
    0xff0f2221,
    0xff0b1f1d,
    0xff102423,
    0xff132829,
    0xff14282b,
    0xff0e2729,
    0xff0f272a,
    0xff0f2629,
    0xff102a29,
    0xff0b272d,
    0xff0d2b30,
    0xff0d2b32,
    0xff0b2732,
    0xff021f2b,
    0xff04232e,
    0xff04222d,
    0xff04222b,
    0xff011c22,
    0xff011d23,
    0xff082026,
    0xff082124,
    0xff041f1d,
    0xff09221e,
    0xff0c251f,
    0xff0f2823,
    0xff112624,
    0xff102624,
    0xff112820,
    0xff13271f,
    0xff13281f,
    0xff10241a,
    0xff142723,
    0xff152824,
    0xff172e25,
    0xff132723,
    0xff142726,
    0xff142826,
    0xff142a29,
    0xff152d2b,
    0xff112c28,
    0xff16302c,
    0xff183035,
    0xff0b262d,
    0xff06242b,
    0xff092430,
    0xff05232e,
    0xff05212c,
    0xff04202c,
    0xff09242e,
    0xff0d232f,
    0xff0c222e,
    0xff0c212d,
    0xff0e2430,
    0xff0f2532,
    0xff162735,
    0xff162533,
    0xff192837,
    0xff1a2b35,
    0xff1a2932,
    0xff152129,
    0xff434c54,
    0xff91969e,
    0xffbabac0,
    0xff505055,
    0xff555159,
    0xff827d97,
    0xff736f87,
    0xff606075,
    0xff5c5f70,
    0xffb7b9c7,
    0xff12161c,
    0xff484d4e,
    0xff919294,
    0xff524d64,
    0xff9090a4,
    0xff687179,
    0xff222a26,
    0xff58584e,
    0xff3d3c32,
    0xff454845,
    0xff374143,
    0xff35423a,
    0xff313b30,
    0xff2d3625,
    0xff323923,
    0xff40462d,
    0xff47492d,
    0xff53562f,
    0xff686c3e,
    0xff5e5b36,
    0xff535232,
    0xff505132,
    0xff585637,
    0xff5c5836,
    0xff6f674b,
    0xff676054,
    0xffa4a39f,
    0xff67705e,
    0xff595544,
    0xff6c6143,
    0xff716538,
    0xff635224,
    0xff937440,
    0xfffbc573,
    0xfff2b041,
    0xffffbc57,
    0xffe0a314,
    0xfffac132,
    0xff905a00,
    0xfff8d76b,
    0xff4e3900,
    0xff5d4f1f,
    0xff4f471e,
    0xff55472e,
    0xff51481f,
    0xff403b12,
    0xff403f1b,
    0xff4d4c22,
    0xff44431f,
    0xff242415,
    0xffe3dddd,
    0xff452c1f,
    0xff503b1f,
    0xff403105,
    0xff3c2e03,
    0xff53410a,
    0xff523100,
    0xffb98d4f,
    0xffc2982a,
    0xffbc8032,
    0xff9c6108,
    0xffa76a05,
    0xffc98b14,
    0xff782f00,
    0xffb87314,
    0xffb7740b,
    0xffaf6b07,
    0xffa65e00,
    0xffb26c1a,
    0xffba7216,
    0xffbf6516,
    0xff984004,
    0xff914f3f,
    0xff765349,
    0xff624f4f,
    0xff423216,
    0xff3d3718,
    0xff89673a,
    0xffc6892b,
    0xffbf812d,
    0xffcb8c20,
    0xfff4aa3a,
    0xffc78212,
    0xffbb6913,
    0xffbf7408,
    0xffc98a15,
    0xffd8ad49,
    0xffdbc09f,
    0xff847585,
    0xff423b47,
    0xff666174,
    0xff4e0707,
    0xff560106,
    0xff5b0004,
    0xff620202,
    0xff680302,
    0xff60050d,
    0xff7c4a62,
    0xff000025,
    0xff3d4aa7,
    0xff6e6db6,
    0xff5e6d9f,
    0xff5464b3,
    0xff5b5398,
    0xff321b38,
    0xff39112f,
    0xff450519,
    0xff520605,
    0xff560011,
    0xff55050e,
    0xff5d010a,
    0xff4e011d,
    0xff43061b,
    0xff460006,
    0xff40060e,
    0xff3e0410,
    0xff3b0713,
    0xff450a1c,
    0xff1f0a43,
    0xff213e8d,
    0xff476dbe,
    0xff396bbf,
    0xff326db5,
    0xff3068be,
    0xff2d64bd,
    0xff336cc3,
    0xff3671c8,
    0xff3570c7,
    0xff3372c7,
    0xff3273c8,
    0xff3072c7,
    0xff3370ca,
    0xff326dc9,
    0xff2f6bc7,
    0xff316cc9,
    0xff3571cd,
    0xff386fcd,
    0xff356dcb,
    0xff326ac8,
    0xff2a61be,
    0xff2d64c1,
    0xff356bc7,
    0xff3369c2,
    0xff336abf,
    0xff2e62b4,
    0xff3468b9,
    0xff3166b5,
    0xff2f64af,
    0xff2f64af,
    0xff2d63ae,
    0xff2d61aa,
    0xff2c5da5,
    0xff2c5fa2,
    0xff2a5d9d,
    0xff285999,
    0xff2a589e,
    0xff235197,
    0xff215196,
    0xff24559a,
    0xff26569c,
    0xff2a5ca1,
    0xff2e60a5,
    0xff2b60a3,
    0xff2c5896,
    0xff285692,
    0xff2d5d9b,
    0xff2f61a0,
    0xff2b5c9d,
    0xff285a9d,
    0xff275da0,
    0xff255a9d,
    0xff2d5ba2,
    0xff245399,
    0xff29599e,
    0xff205197,
    0xff205295,
    0xff215697,
    0xff245a9a,
    0xff255a9c,
    0xff1f599c,
    0xff1f589f,
    0xff1f579d,
    0xff1a539c,
    0xff1c559f,
    0xff1d56a3,
    0xff215aa5,
    0xff245fad,
    0xff2f68c2,
    0xff3771cb,
    0xff3974ce,
    0xff3671cb,
    0xff326ec8,
    0xff306cc6,
    0xff336cc6,
    0xff366fca,
    0xff366fc5,
    0xff3770ca,
    0xff3870c9,
    0xff3570ca,
    0xff3470cc,
    0xff3874d0,
    0xff3873d1,
    0xff3671ce,
    0xff356ec5,
    0xff2d67c6,
    0xff536dbd,
    0xff616797,
    0xff465e9a,
    0xff3e6dcc,
    0xff3973d6,
    0xff3275cc,
    0xff3572d0,
    0xff396eca,
    0xff3571cf,
    0xff3e75d1,
    0xff3a75c8,
    0xff3174cf,
    0xff3e6fcd,
    0xff416eb4,
    0xff92a2db,
    0xff505a79,
    0xff3c6699,
    0xff3774d7,
    0xff3d6ad0,
    0xff3a74c1,
    0xff2f77c9,
    0xff396ed7,
    0xff2d6fd2,
    0xff3272ce,
    0xff4c64c3,
    0xff5a448a,
    0xff531943,
    0xff4e000d,
    0xff52060c,
    0xff3c093a,
    0xff566ab5,
    0xff3371d3,
    0xff2f73d7,
    0xff3670ca,
    0xff3673cd,
    0xff3571d0,
    0xff3670cb,
    0xff3172cf,
    0xff3271ce,
    0xff3572cf,
    0xff316fcc,
    0xff3370cd,
    0xff306ecb,
    0xff306eca,
    0xff326ece,
    0xff316dcd,
    0xff306cce,
    0xff2f6ecf,
    0xff2d6ecf,
    0xff2c6ccd,
    0xff2d6dce,
    0xff2d6dce,
    0xff2b6bcc,
    0xff2d67ca,
    0xff3664cb,
    0xff2f6ccb,
    0xff256fca,
    0xff2c6bc8,
    0xff2f63c3,
    0xff3863c6,
    0xff5d58a4,
    0xff965074,
    0xff5a0000,
    0xff700310,
    0xff630914,
    0xff6a0609,
    0xff7b0001,
    0xff930417,
    0xff9b011b,
    0xff780007,
    0xff6d0212,
    0xff6d0302,
    0xff730004,
    0xff78001e,
    0xff7b032d,
    0xff6c0015,
    0xff73020f,
    0xff7a0012,
    0xff720512,
    0xff650315,
    0xff610313,
    0xff751724,
    0xff8d2221,
    0xff8f4052,
    0xff6f62a9,
    0xff5256aa,
    0xff4a468c,
    0xff4d5bae,
    0xff555da9,
    0xff694a6e,
    0xff6d242a,
    0xff81242b,
    0xff892430,
    0xff81141c,
    0xff802122,
    0xff821730,
    0xff841b45,
    0xff6f4179,
    0xff3e60b1,
    0xff2465c5,
    0xff2963c2,
    0xff2d64c8,
    0xff2865c6,
    0xff2565c4,
    0xff2867c6,
    0xff2968c7,
    0xff2968c7,
    0xff2a69c8,
    0xff2b6ac9,
    0xff2b6ac9,
    0xff2d6cc9,
    0xff306fcc,
    0xff2f6eca,
    0xff2e6dca,
    0xff2e6dca,
    0xff2d6cc9,
    0xff2f6ecb,
    0xff306fcc,
    0xff3070cc,
    0xff2e6dca,
    0xff2f6ecb,
    0xff2e6dca,
    0xff2f6ecb,
    0xff3170cd,
    0xff3170cd,
    0xff3271ce,
    0xff3170cd,
    0xff3271ce,
    0xff3170cd,
    0xff3372cf,
    0xff3373cf,
    0xff3271ce,
    0xff3070cc,
    0xff2e6dca,
    0xff2e6fc9,
    0xff3273cd,
    0xff326fca,
    0xff316cc8,
    0xff356cc9,
    0xff376fcc,
    0xff376fcc,
    0xff3971cf,
    0xff316ccc,
    0xff336dce,
    0xff336dce,
    0xff356fd0,
    0xff3772cf,
    0xff3772d1,
    0xff3671cc,
    0xff3570cc,
    0xff3671cf,
    0xff3671cf,
    0xff3671cf,
    0xff3671cf,
    0xff3671cf,
    0xff3671cf,
    0xff346fcd,
    0xff346fcd,
    0xff3873d1,
    0xff3570ce,
    0xff3671cf,
    0xff3873d1,
    0xff3976d3,
    0xff3875d2,
    0xff3774d1,
    0xff3672d0,
    0xff3a71cd,
    0xff3b74cd,
    0xff3971ce,
    0xff3970cd,
    0xff3672d0,
    0xff3772cf,
    0xff366fd1,
    0xff336fce,
    0xff366fcc,
    0xff3671d1,
    0xff3470d2,
    0xff3570ce,
    0xff346ac6,
    0xff3367bf,
    0xff346ac4,
    0xff336bc6,
    0xff306bc9,
    0xff306bc9,
    0xff306bc9,
    0xff3069cb,
    0xff306acb,
    0xff2f68ca,
    0xff316bcc,
    0xff2f69ca,
    0xff316ccb,
    0xff2c6cce,
    0xff316ecf,
    0xff366dca,
    0xff326ed0,
    0xff276cd7,
    0xff266bd5,
    0xff326dcc,
    0xff356dc6,
    0xff5d6bae,
    0xff662347,
    0xff750414,
    0xff8b0617,
    0xff9a1621,
    0xffc7353c,
    0xffce3f47,
    0xffd85461,
    0xffbe4039,
    0xffba3927,
    0xff771e32,
    0xff815ca0,
    0xff8a1f4f,
    0xff9c1a08,
    0xff981c0a,
    0xffba3b39,
    0xff8e1620,
    0xffa10700,
    0xff95080f,
    0xff8e0015,
    0xff93001c,
    0xff9a3e75,
    0xff6f2d50,
    0xff7d0216,
    0xff950107,
    0xff930a05,
    0xff941216,
    0xff970612,
    0xffa20706,
    0xffa91a08,
    0xffc13526,
    0xff991313,
    0xffa40814,
    0xff900104,
    0xff8a0702,
    0xff810009,
    0xff500827,
    0xff6569a8,
    0xff425cc2,
    0xff2d64c9,
    0xff2865c5,
    0xff2867c4,
    0xff2c69c6,
    0xff2d63c5,
    0xff2d61c7,
    0xff285fc7,
    0xff2562c9,
    0xff2b65c8,
    0xff2662c4,
    0xff2662c4,
    0xff2662c4,
    0xff2662c4,
    0xff2363c4,
    0xff2160c1,
    0xff1e5ebe,
    0xff235dc2,
    0xff225ec0,
    0xff235fc1,
    0xff235fbf,
    0xff255fbf,
    0xff255fc2,
    0xff255fc2,
    0xff2862c6,
    0xff2460c1,
    0xff2562c3,
    0xff2561c3,
    0xff1f5ebf,
    0xff2160c1,
    0xff1f5ebf,
    0xff1f5ebf,
    0xff1f5ebf,
    0xff215fc3,
    0xff1d5bbe,
    0xff1d5bbf,
    0xff1d5cbf,
    0xff1a58bb,
    0xff1b59bc,
    0xff1a58bb,
    0xff1958bc,
    0xff1b5cc7,
    0xff1e5abb,
    0xff2d5eaf,
    0xff2b4786,
    0xff3f5084,
    0xff405186,
    0xff6d73a7,
    0xff463f6b,
    0xff2f4190,
    0xff1e4ebe,
    0xff1a59bd,
    0xff1d55aa,
    0xff2154b4,
    0xff2650ab,
    0xff243275,
    0xff4e4287,
    0xff70345e,
    0xff84011b,
    0xff81000c,
    0xff831738,
    0xff803a6c,
    0xff54599f,
    0xff214cb0,
    0xff194fb0,
    0xff2b4a98,
    0xff664576,
    0xffae5d63,
    0xffe07a6a,
    0xffcf5342,
    0xff96180b,
    0xff741f26,
    0xffdcb7d7,
    0xff7f728d,
    0xff6f6a81,
    0xff385493,
    0xff255ba9,
    0xff3367b3,
    0xff215ab4,
    0xff195fb4,
    0xff1e5ab3,
    0xff2455a3,
    0xff245ea0,
    0xff205a92,
    0xff26518a,
    0xff21467b,
    0xff244875,
    0xff264163,
    0xff2d3452,
    0xff493848,
    0xff7f3b52,
    0xffb53f56,
    0xffcb3247,
    0xffc71e2f,
    0xffc71728,
    0xffcb2836,
    0xffd23f47,
    0xffbc2230,
    0xffa22b30,
    0xff8a3032,
    0xff491412,
    0xff23160e,
    0xff1a1914,
    0xff1d1112,
    0xff231816,
    0xff171d0b,
    0xff20150e,
    0xff230f0c,
    0xff1c1810,
    0xff131c13,
    0xff06150b,
    0xff0e1b10,
    0xff0b1f13,
    0xff06190b,
    0xff081a0c,
    0xff08180b,
    0xff05180c,
    0xff091b0f,
    0xff0a1c10,
    0xff0c1e11,
    0xff0a1f14,
    0xff0d1e16,
    0xff0b1d15,
    0xff0d1e14,
    0xff102116,
    0xff12231b,
    0xff12231d,
    0xff12211f,
    0xff11221f,
    0xff122720,
    0xff142823,
    0xff142b26,
    0xff142a29,
    0xff152929,
    0xff132d2b,
    0xff162f2d,
    0xff0f2925,
    0xff0d2929,
    0xff0c272a,
    0xff0d282f,
    0xff112d32,
    0xff102d34,
    0xff0c282e,
    0xff0c282d,
    0xff0f2d2f,
    0xff152f2d,
    0xff102a26,
    0xff1a3531,
    0xff0f2726,
    0xff0d2622,
    0xff0d2623,
    0xff0c261f,
    0xff0f261f,
    0xff0f2523,
    0xff112922,
    0xff122920,
    0xff12281c,
    0xff11271b,
    0xff13281f,
    0xff12251f,
    0xff122521,
    0xff10251f,
    0xff112622,
    0xff152b25,
    0xff132923,
    0xff1b312a,
    0xff1d342e,
    0xff1d3630,
    0xff19342e,
    0xff1a3238,
    0xff0f2b2e,
    0xff0a272d,
    0xff07252c,
    0xff09262d,
    0xff09272e,
    0xff09242d,
    0xff0a262e,
    0xff0d252b,
    0xff0c252b,
    0xff0e272d,
    0xff0d282d,
    0xff0c252b,
    0xff0d242b,
    0xff0e232a,
    0xff11232c,
    0xff102631,
    0xff192d37,
    0xff172a33,
    0xff142329,
    0xff152127,
    0xff70747b,
    0xffb8b8c0,
    0xff88878d,
    0xff433e3a,
    0xff6b656a,
    0xff938d9f,
    0xff9d98b0,
    0xffb7b3cd,
    0xff454454,
    0xff1a1b1d,
    0xff323631,
    0xff736e7c,
    0xff73707f,
    0xff92939d,
    0xff747678,
    0xff5c5b58,
    0xff606056,
    0xff3b3f36,
    0xff2e382d,
    0xff2e3a2b,
    0xff333f2f,
    0xff384434,
    0xff374030,
    0xff42483a,
    0xff393e2a,
    0xff272c0c,
    0xff6d754d,
    0xff5f5f38,
    0xff65653f,
    0xff62633d,
    0xff615f37,
    0xff5f5b32,
    0xff5a552e,
    0xff5c5837,
    0xff6c6550,
    0xffb8aaa8,
    0xff4a4235,
    0xff635f43,
    0xff67593b,
    0xff745237,
    0xffd19f62,
    0xffda9d3b,
    0xfffdb74f,
    0xffffca61,
    0xffffd03c,
    0xffe7b412,
    0xffc7840a,
    0xffde941c,
    0xffce8f35,
    0xff7b5316,
    0xff563f25,
    0xff554129,
    0xff594828,
    0xff57452e,
    0xff4e4025,
    0xff535023,
    0xff453e25,
    0xff948689,
    0xff8a7a77,
    0xff574021,
    0xff524516,
    0xff4f4919,
    0xff524523,
    0xff52421b,
    0xff3f2614,
    0xffdfaea8,
    0xffeaaa5b,
    0xffc98b1b,
    0xfff0b442,
    0xfffec63e,
    0xfff0b62b,
    0xffa75e13,
    0xff954f00,
    0xffd49527,
    0xffbd7e13,
    0xffa56104,
    0xff8a500a,
    0xff7e4807,
    0xffbe732c,
    0xffb75914,
    0xff832d0e,
    0xff80543d,
    0xff5f5746,
    0xff89664e,
    0xff3c2900,
    0xff814e09,
    0xffeba336,
    0xff8e5522,
    0xffb37e37,
    0xffffb85f,
    0xffc88311,
    0xff923300,
    0xff892e00,
    0xffa96107,
    0xffeec070,
    0xffb39b83,
    0xffb5aeb5,
    0xff39373a,
    0xff6b676a,
    0xff5a0208,
    0xff5e0009,
    0xff67020c,
    0xff670201,
    0xff6f0b07,
    0xff650f19,
    0xff5d3246,
    0xff17122d,
    0xff5b6fac,
    0xff6e5593,
    0xff705087,
    0xff676ab7,
    0xff4f68be,
    0xff475fab,
    0xff6765ac,
    0xff532a4d,
    0xff3f0724,
    0xff4e0017,
    0xff4e0100,
    0xff560505,
    0xff4d0719,
    0xff3d0718,
    0xff430009,
    0xff4a0415,
    0xff540415,
    0xff40000f,
    0xff541c30,
    0xff635f96,
    0xff3b6cb8,
    0xff3d72c6,
    0xff3168cd,
    0xff2f6ac8,
    0xff3069c4,
    0xff366fc8,
    0xff366fc8,
    0xff3671cb,
    0xff306ec6,
    0xff2e6cc4,
    0xff2e6ec6,
    0xff2e6ec6,
    0xff3471ca,
    0xff2d67c2,
    0xff2f6ac4,
    0xff326ec8,
    0xff326ec8,
    0xff356ec8,
    0xff346dc7,
    0xff2d67c0,
    0xff2c63bc,
    0xff2f68be,
    0xff2f64bb,
    0xff2a62b3,
    0xff2d60b1,
    0xff295ea9,
    0xff295da8,
    0xff275ca5,
    0xff225996,
    0xff1f5593,
    0xff235999,
    0xff2a5d9d,
    0xff25589a,
    0xff28599b,
    0xff2a5b9d,
    0xff255697,
    0xff1d4c95,
    0xff22519c,
    0xff2556a0,
    0xff2657a0,
    0xff2457a1,
    0xff265ba3,
    0xff20559d,
    0xff1a5098,
    0xff255c9f,
    0xff255a9e,
    0xff1d5293,
    0xff205395,
    0xff235598,
    0xff1f5293,
    0xff1d5090,
    0xff134685,
    0xff14437d,
    0xff1c4a88,
    0xff1a4a8a,
    0xff1d4d92,
    0xff1e4e99,
    0xff1c4c9d,
    0xff1a4a9c,
    0xff2053a6,
    0xff215bae,
    0xff255fb0,
    0xff255fb0,
    0xff2d66ba,
    0xff336cc2,
    0xff2f68c0,
    0xff2e67bf,
    0xff2b67be,
    0xff326ac5,
    0xff2c68c0,
    0xff2a68bf,
    0xff2e6cc3,
    0xff3270c7,
    0xff3470c8,
    0xff3472c9,
    0xff326bc5,
    0xff3770c6,
    0xff366fc5,
    0xff3370c8,
    0xff3673ca,
    0xff326ec6,
    0xff2b65c0,
    0xff2361ba,
    0xff2462bc,
    0xff2562b1,
    0xff3b6dc8,
    0xff667bbc,
    0xff535b86,
    0xff4463a6,
    0xff3970cc,
    0xff3974d4,
    0xff3478cd,
    0xff3773cb,
    0xff3974c8,
    0xff406fcc,
    0xff3872cb,
    0xff3477c7,
    0xff4070d3,
    0xff3b67c8,
    0xff5e7dc1,
    0xffc3c8e8,
    0xff1b334e,
    0xff4a7bb8,
    0xff3772d4,
    0xff3871cb,
    0xff3673c4,
    0xff3271cf,
    0xff346ed2,
    0xff3173c6,
    0xff3272c4,
    0xff3b67d5,
    0xff526adc,
    0xff5350a9,
    0xff431840,
    0xff35000b,
    0xff442c62,
    0xff4969c4,
    0xff2f68d1,
    0xff316ed2,
    0xff3269c4,
    0xff2f69c9,
    0xff2f6cca,
    0xff2f6ec7,
    0xff2a6fcd,
    0xff316dce,
    0xff346dcf,
    0xff316cc9,
    0xff336dcb,
    0xff326dcb,
    0xff336dcc,
    0xff326dcb,
    0xff2f6ac7,
    0xff306ccc,
    0xff2d6ccb,
    0xff2d6ccb,
    0xff2d6fcc,
    0xff2b6dca,
    0xff2e6dcc,
    0xff2e6ecc,
    0xff2e69ca,
    0xff3866c9,
    0xff256ac7,
    0xff246bbc,
    0xff2c67bf,
    0xff2b64d2,
    0xff455bbb,
    0xff965b8a,
    0xffa6252c,
    0xff740400,
    0xff7e0013,
    0xff650614,
    0xff670807,
    0xff8a0009,
    0xff9a071d,
    0xff830015,
    0xff760009,
    0xff7c0010,
    0xff6c020c,
    0xff6b030e,
    0xff5e0633,
    0xff8856a2,
    0xff5d234f,
    0xff6d0111,
    0xff78001b,
    0xff6c0011,
    0xff75030b,
    0xff780103,
    0xff831e29,
    0xff852b37,
    0xff6b3558,
    0xff5461ae,
    0xff3f59ac,
    0xff384da6,
    0xff3a62c8,
    0xff385cc4,
    0xff6a5daa,
    0xff773556,
    0xff852a2b,
    0xff781b14,
    0xff721915,
    0xff7f1723,
    0xff8b2342,
    0xff892440,
    0xff6d2f4a,
    0xff545d99,
    0xff3367c6,
    0xff3269d0,
    0xff3368c6,
    0xff2d6cc9,
    0xff2c6cc8,
    0xff306fcc,
    0xff2f6ecb,
    0xff2f6ecb,
    0xff2e6dca,
    0xff2f6ecb,
    0xff2f6ecb,
    0xff3170cd,
    0xff3170cd,
    0xff3170cd,
    0xff306fcc,
    0xff3271ce,
    0xff3372cf,
    0xff3170cd,
    0xff3171ce,
    0xff3471ce,
    0xff3471ce,
    0xff3370cd,
    0xff3370cd,
    0xff3471ce,
    0xff3471ce,
    0xff3471ce,
    0xff326fcb,
    0xff3372d1,
    0xff3372d1,
    0xff3372d1,
    0xff3170d0,
    0xff3170d0,
    0xff3271d0,
    0xff306fcf,
    0xff3271d0,
    0xff2e70ca,
    0xff3071ca,
    0xff3370cb,
    0xff3570cc,
    0xff376ecb,
    0xff366ecb,
    0xff356cc9,
    0xff356dcb,
    0xff326ccf,
    0xff326bcc,
    0xff336dce,
    0xff3570ce,
    0xff356fcd,
    0xff3671cf,
    0xff3771d0,
    0xff3671cd,
    0xff3570ce,
    0xff3570ce,
    0xff3671cf,
    0xff3671cf,
    0xff3671cf,
    0xff3671cf,
    0xff3671cf,
    0xff3671cf,
    0xff346fcd,
    0xff3570ce,
    0xff3671cf,
    0xff3771cf,
    0xff3371cd,
    0xff3471ce,
    0xff3673d0,
    0xff3773d0,
    0xff3e74d1,
    0xff447ad7,
    0xff447cd9,
    0xff3971ce,
    0xff366ecd,
    0xff3571cf,
    0xff3571cf,
    0xff3571cf,
    0xff376eca,
    0xff336dce,
    0xff306dcd,
    0xff316ac8,
    0xff376ec8,
    0xff699bf4,
    0xff3f73cd,
    0xff366dc9,
    0xff2e69c7,
    0xff2d68c6,
    0xff2d69c6,
    0xff2d67c9,
    0xff2e68c9,
    0xff2e68c9,
    0xff2d67c8,
    0xff2f68c9,
    0xff2e65c4,
    0xff2967cb,
    0xff2a64c4,
    0xff3565bf,
    0xff326ac7,
    0xff256bd5,
    0xff2a6dd2,
    0xff3667bf,
    0xff3968c5,
    0xff64558f,
    0xff6d0010,
    0xff87080a,
    0xff8e0e27,
    0xff921923,
    0xffcb4447,
    0xffc25764,
    0xffb06483,
    0xffa0526d,
    0xff983341,
    0xff813c6c,
    0xff625dad,
    0xff5d3e82,
    0xff945571,
    0xff863350,
    0xff965e80,
    0xff82356d,
    0xff880014,
    0xffa20a16,
    0xff910d11,
    0xff871b2c,
    0xff8e5080,
    0xff762646,
    0xff72061c,
    0xff8c000e,
    0xff96060a,
    0xffb12a2c,
    0xff92050b,
    0xffa21918,
    0xffa82620,
    0xff8c0607,
    0xff9d1012,
    0xffa80e1a,
    0xff970a06,
    0xff8c0806,
    0xff9c0e26,
    0xff750016,
    0xff582f5b,
    0xff4561c8,
    0xff2864c5,
    0xff2764c3,
    0xff2a67c4,
    0xff2c64c3,
    0xff2c61c2,
    0xff2c61c5,
    0xff2a62c9,
    0xff2560c7,
    0xff2561c3,
    0xff2460c2,
    0xff235fc1,
    0xff225ec0,
    0xff225ec0,
    0xff235ec1,
    0xff235ec1,
    0xff2662c3,
    0xff215bc0,
    0xff225ec0,
    0xff215dbf,
    0xff2460bf,
    0xff245ebf,
    0xff225cc0,
    0xff225cbf,
    0xff1f59bd,
    0xff205dbe,
    0xff215dbf,
    0xff205bbe,
    0xff1f5fc0,
    0xff1e5dbe,
    0xff1f5ebf,
    0xff205fc0,
    0xff205fc0,
    0xff1a58bc,
    0xff1d5bbe,
    0xff1f5dc0,
    0xff1d5bbf,
    0xff1b59bc,
    0xff1e5dbe,
    0xff1f5ebf,
    0xff1e5dbf,
    0xff1958ba,
    0xff1858ba,
    0xff1959b5,
    0xff235eb3,
    0xff224994,
    0xff3f487f,
    0xff9687b5,
    0xff4c3f74,
    0xff2c4da0,
    0xff264bb0,
    0xff0a55b2,
    0xff0f52b0,
    0xff1454b5,
    0xff1254a8,
    0xff314792,
    0xff2b397b,
    0xff494998,
    0xff7b254c,
    0xff710f38,
    0xff6b3e8a,
    0xff314491,
    0xff215099,
    0xff274ca7,
    0xff2056bc,
    0xff2354b1,
    0xff2d54a6,
    0xff384b93,
    0xff574e7a,
    0xff9a626a,
    0xffbc5248,
    0xff781012,
    0xffb97c8a,
    0xff8f7a86,
    0xff5c596d,
    0xff3d5690,
    0xff325c9f,
    0xff315ca0,
    0xff2659a9,
    0xff225dab,
    0xff225aa9,
    0xff1c5ea2,
    0xff1e5b9f,
    0xff23589b,
    0xff355b9c,
    0xff395187,
    0xff3b3c62,
    0xff603854,
    0xff904158,
    0xffa42a3e,
    0xffbb2339,
    0xffc7162e,
    0xffc70e24,
    0xffb90413,
    0xffb10a19,
    0xffd84e5b,
    0xffa1383f,
    0xff4d0a08,
    0xff2e1308,
    0xff20160c,
    0xff201a10,
    0xff202014,
    0xff1a1c0e,
    0xff1b2412,
    0xff05260b,
    0xff0b1e05,
    0xff111b0d,
    0xff101d16,
    0xff0d1b0c,
    0xff141f00,
    0xff4e4423,
    0xff201b05,
    0xff0d1908,
    0xff0d1c0f,
    0xff0c1b0e,
    0xff0b1b0e,
    0xff0a190c,
    0xff091b0d,
    0xff0b1e12,
    0xff091b0f,
    0xff071a0e,
    0xff0b1912,
    0xff0e1c16,
    0xff102117,
    0xff13241a,
    0xff16271c,
    0xff192a22,
    0xff13231d,
    0xff142521,
    0xff0e231b,
    0xff142920,
    0xff162a23,
    0xff162e28,
    0xff1b312d,
    0xff1d332f,
    0xff233934,
    0xff243b34,
    0xff142f27,
    0xff152f2a,
    0xff172f2d,
    0xff162e2e,
    0xff203837,
    0xff18312f,
    0xff1a322d,
    0xff1b342b,
    0xff193621,
    0xff1d3925,
    0xff163122,
    0xff173226,
    0xff142d27,
    0xff152a28,
    0xff122725,
    0xff0c221f,
    0xff0d2320,
    0xff0a221a,
    0xff0b1f18,
    0xff0d2317,
    0xff0f2518,
    0xff0e2419,
    0xff132922,
    0xff142a23,
    0xff172b2a,
    0xff152928,
    0xff172b29,
    0xff1a2e2c,
    0xff1a2e2c,
    0xff1a312e,
    0xff1d3632,
    0xff1c3632,
    0xff152d31,
    0xff0a242c,
    0xff08252d,
    0xff0b282f,
    0xff0b282f,
    0xff0c2730,
    0xff0a262f,
    0xff0a2229,
    0xff07222d,
    0xff06232d,
    0xff092632,
    0xff082532,
    0xff0b2734,
    0xff0e2a37,
    0xff0f2835,
    0xff0d2735,
    0xff112939,
    0xff102736,
    0xff122836,
    0xff142936,
    0xff1d2e3a,
    0xff111a26,
    0xff4d545f,
    0xff8d9099,
    0xffc5c1b7,
    0xff342f2d,
    0xff524b54,
    0xff787082,
    0xff7b7485,
    0xff84828b,
    0xff11100e,
    0xff202017,
    0xff757372,
    0xff504c52,
    0xff393743,
    0xff93919c,
    0xffe2dee1,
    0xff24241b,
    0xff303423,
    0xff343b26,
    0xff2d371f,
    0xff313a25,
    0xff343c29,
    0xff32392c,
    0xff3b4139,
    0xff373d32,
    0xff282f1d,
    0xff586145,
    0xff3d3d22,
    0xff67654a,
    0xff5b563b,
    0xff5b5737,
    0xff57572e,
    0xff59562e,
    0xff57542c,
    0xff504a28,
    0xffc4b7b4,
    0xff5a4941,
    0xff6b5534,
    0xff7a5627,
    0xff854d1d,
    0xffa86614,
    0xffd08c1b,
    0xffcc851a,
    0xffb57311,
    0xffa56a02,
    0xffcd9509,
    0xffab6400,
    0xffb36306,
    0xffdb8d33,
    0xffc58a29,
    0xff815117,
    0xff574d1b,
    0xff524620,
    0xff594931,
    0xff564f29,
    0xff585827,
    0xff37321f,
    0xffe9dbda,
    0xff3d2d0d,
    0xff564619,
    0xff504e22,
    0xff40411b,
    0xff4d4626,
    0xff474211,
    0xff514527,
    0xffcd9f8c,
    0xffc87f22,
    0xffda9a07,
    0xffeaab36,
    0xffba7e0d,
    0xff9e6200,
    0xffa25a0c,
    0xffa45e00,
    0xffc4820d,
    0xffeaac41,
    0xffc78124,
    0xff542600,
    0xff513000,
    0xff6e3a07,
    0xffc46e2b,
    0xff872a00,
    0xff805031,
    0xff5c5c46,
    0xff55402d,
    0xff4a4218,
    0xffab833f,
    0xffe3ac44,
    0xff421d00,
    0xffd3b072,
    0xfff9b961,
    0xffffc249,
    0xffea9134,
    0xffbc5f05,
    0xffffc25e,
    0xff8f5b0e,
    0xffae977b,
    0xff787471,
    0xff555658,
    0xff626066,
    0xff550205,
    0xff58030c,
    0xff5f060e,
    0xff670705,
    0xff751311,
    0xff671019,
    0xff440618,
    0xff39182f,
    0xff646bb5,
    0xff48397d,
    0xff593a7c,
    0xff6851aa,
    0xff5558b7,
    0xff4162c2,
    0xff3963c9,
    0xff5574cc,
    0xff5062bd,
    0xff664c93,
    0xff472d4f,
    0xff340d26,
    0xff43081a,
    0xff430611,
    0xff4a0008,
    0xff58020e,
    0xff69010a,
    0xff590611,
    0xff4c041c,
    0xff574885,
    0xff426cbf,
    0xff3669c2,
    0xff366dd2,
    0xff336dcd,
    0xff336ac8,
    0xff326eca,
    0xff3570cd,
    0xff3772ce,
    0xff3671cd,
    0xff3772cf,
    0xff3370cc,
    0xff3773ce,
    0xff3470c8,
    0xff3873cb,
    0xff366fc7,
    0xff326bc4,
    0xff316ac3,
    0xff2c64bd,
    0xff2e65bf,
    0xff366dc7,
    0xff336bbc,
    0xff3067ba,
    0xff3168b8,
    0xff2b64b1,
    0xff2c61ac,
    0xff275da8,
    0xff2559a3,
    0xff2154a0,
    0xff245b9e,
    0xff2e62a7,
    0xff2e63ac,
    0xff3061ac,
    0xff3263b1,
    0xff305fad,
    0xff3160ad,
    0xff3464b1,
    0xff3465b2,
    0xff2c5eab,
    0xff2c5daa,
    0xff2f62ae,
    0xff2f64b0,
    0xff2a60ac,
    0xff265eaa,
    0xff2962ad,
    0xff255fab,
    0xff225aa8,
    0xff2058a0,
    0xff1d539b,
    0xff2358a0,
    0xff24589f,
    0xff20559a,
    0xff21569d,
    0xff2554a4,
    0xff2856a8,
    0xff3263b6,
    0xff3969be,
    0xff3363bc,
    0xff3465c1,
    0xff3567c3,
    0xff3668c7,
    0xff2c67c0,
    0xff2864be,
    0xff2b67c1,
    0xff2f6ac5,
    0xff2f6ac6,
    0xff2b66c3,
    0xff2863c1,
    0xff2863c2,
    0xff2b66c1,
    0xff2f6bc3,
    0xff2f6dc4,
    0xff3271c7,
    0xff2e6dc3,
    0xff2b67bf,
    0xff2760b9,
    0xff255eb5,
    0xff2a63bc,
    0xff2b64be,
    0xff235bb3,
    0xff205cb2,
    0xff2965ba,
    0xff2965bd,
    0xff2f6ac4,
    0xff3570c8,
    0xff4079c7,
    0xff4973c9,
    0xff7484b7,
    0xff4b5883,
    0xff446dba,
    0xff3672ca,
    0xff3471c9,
    0xff3070ca,
    0xff3472d0,
    0xff2e77ca,
    0xff3b6fcc,
    0xff3a70cd,
    0xff3573ca,
    0xff346ad1,
    0xff366ac8,
    0xff8999e1,
    0xff484e67,
    0xff002249,
    0xff3b70b9,
    0xff3970ca,
    0xff3173c5,
    0xff3072ca,
    0xff376fd3,
    0xff3770d0,
    0xff386cc7,
    0xff2e73cd,
    0xff3173d9,
    0xff366ad1,
    0xff4368ce,
    0xff6066ba,
    0xff3a3261,
    0xff313470,
    0xff416aca,
    0xff376ad3,
    0xff356bcc,
    0xff346bc5,
    0xff326ace,
    0xff2f6bcd,
    0xff2e6fc7,
    0xff2e6fce,
    0xff316bcc,
    0xff316bcc,
    0xff2e68ca,
    0xff2e69c7,
    0xff2f6ac8,
    0xff2e69c7,
    0xff2d68c6,
    0xff2b66c4,
    0xff2b65c6,
    0xff2b67c7,
    0xff2b69c9,
    0xff2a69c8,
    0xff2a69c8,
    0xff2a6ac9,
    0xff2d68c9,
    0xff2c66c7,
    0xff2c68c5,
    0xff2a64c3,
    0xff3164ba,
    0xff2d66c0,
    0xff3664ca,
    0xff735aa5,
    0xffb14055,
    0xffc83125,
    0xffbe201a,
    0xffae0022,
    0xff8e0216,
    0xff7a0005,
    0xff9b0518,
    0xff88000f,
    0xff690010,
    0xff6d0210,
    0xff790011,
    0xff680419,
    0xff5c0013,
    0xff65336f,
    0xff4d61c3,
    0xff6464a1,
    0xff450e1b,
    0xff591e40,
    0xff64234f,
    0xff5c0017,
    0xff750814,
    0xff7b3a61,
    0xff5c4687,
    0xff4f5197,
    0xff4766b5,
    0xff24438b,
    0xff326ac0,
    0xff2765c4,
    0xff3165d0,
    0xff4657bf,
    0xff7f5fa9,
    0xff6f2748,
    0xff751f2c,
    0xff69111c,
    0xff7e1324,
    0xff812745,
    0xff752135,
    0xff793444,
    0xff686191,
    0xff3e6ac4,
    0xff3972d3,
    0xff386dca,
    0xff3170cd,
    0xff306fcc,
    0xff3271ce,
    0xff3170cd,
    0xff3372cf,
    0xff306fcc,
    0xff3372cf,
    0xff3271ce,
    0xff3170cd,
    0xff3372cf,
    0xff3271ce,
    0xff3372cf,
    0xff3372cf,
    0xff3372cf,
    0xff3372cf,
    0xff3271ce,
    0xff3471ce,
    0xff3572cf,
    0xff3572cf,
    0xff3673d0,
    0xff3774d1,
    0xff3774d1,
    0xff3774d1,
    0xff3673d0,
    0xff3271d1,
    0xff3271d0,
    0xff3170cf,
    0xff3170cf,
    0xff3271d0,
    0xff3271d0,
    0xff306fce,
    0xff3170cf,
    0xff3270cd,
    0xff3170cd,
    0xff3371cd,
    0xff326ecc,
    0xff336aca,
    0xff306cc7,
    0xff316cc8,
    0xff316cc8,
    0xff3470d0,
    0xff3470d1,
    0xff3270cc,
    0xff306ecb,
    0xff316ecb,
    0xff3371cd,
    0xff3371cd,
    0xff3370cf,
    0xff3370cc,
    0xff326fcc,
    0xff3370cd,
    0xff3370cd,
    0xff306dca,
    0xff306dca,
    0xff306dc9,
    0xff2f6dc9,
    0xff336dcc,
    0xff336ecc,
    0xff336ecc,
    0xff336dcc,
    0xff3572cf,
    0xff3471ce,
    0xff3270cd,
    0xff326fcc,
    0xff326ac9,
    0xff3068c7,
    0xff3068c7,
    0xff326ac9,
    0xff3169c7,
    0xff326ac6,
    0xff336bc8,
    0xff2f67c4,
    0xff3068c5,
    0xff2b66c4,
    0xff2a66c7,
    0xff2e68c5,
    0xff366cc8,
    0xff2f61bc,
    0xff3669c5,
    0xff3269c7,
    0xff2c67c5,
    0xff2d68c6,
    0xff2c67c5,
    0xff2c65c7,
    0xff2963c4,
    0xff2963c4,
    0xff2863c4,
    0xff2962c3,
    0xff2d63c1,
    0xff2563c7,
    0xff2b65c5,
    0xff3061b8,
    0xff2d61ba,
    0xff2463c6,
    0xff2865c4,
    0xff3262b7,
    0xff2960c4,
    0xff605da6,
    0xff9e3457,
    0xff95202c,
    0xff8e0823,
    0xffb32e39,
    0xffc23648,
    0xffa65d8b,
    0xff565596,
    0xff5254a1,
    0xff816db2,
    0xff5f54ae,
    0xff4a5cb4,
    0xff5c5eab,
    0xff714f81,
    0xff7b2b5b,
    0xff64436f,
    0xff8e5c9b,
    0xff7d1c4f,
    0xff8b153e,
    0xff9b1526,
    0xff94130b,
    0xff7d2330,
    0xff923349,
    0xff79020e,
    0xff940311,
    0xff93010a,
    0xff991017,
    0xff8b0008,
    0xff8b0607,
    0xff8f0a06,
    0xffa10a0c,
    0xff99000d,
    0xff94000b,
    0xff950703,
    0xff8c0a0e,
    0xffa21530,
    0xff9a0810,
    0xff671120,
    0xff5a5da5,
    0xff2c60be,
    0xff275dba,
    0xff265db9,
    0xff285ebe,
    0xff255ebf,
    0xff2760c4,
    0xff2761c4,
    0xff225bbf,
    0xff2363c1,
    0xff2564c3,
    0xff2565c3,
    0xff2661c1,
    0xff235fbe,
    0xff225fbe,
    0xff1f5cbb,
    0xff215abc,
    0xff205bbf,
    0xff215dbf,
    0xff215dbf,
    0xff205cbc,
    0xff215abb,
    0xff225cbf,
    0xff245ec1,
    0xff215bbf,
    0xff205cbe,
    0xff205cbe,
    0xff1e5abc,
    0xff1e59bb,
    0xff1c5bbc,
    0xff1d5cbd,
    0xff1d5cbd,
    0xff1d5cbd,
    0xff1a59ba,
    0xff1958b9,
    0xff1a5abb,
    0xff1b5abb,
    0xff1958b9,
    0xff1958b9,
    0xff1958b7,
    0xff1957b5,
    0xff2054a9,
    0xff1d54ae,
    0xff1b52b5,
    0xff1953c1,
    0xff2356c2,
    0xff2f459b,
    0xff7e86cf,
    0xff4057a7,
    0xff2853a3,
    0xff243786,
    0xff1f57a6,
    0xff1d57b6,
    0xff1d53bc,
    0xff1156ba,
    0xff4253ad,
    0xff2f2763,
    0xff544b9a,
    0xff573366,
    0xff814578,
    0xff794d81,
    0xff41528f,
    0xff1c53a8,
    0xff1d4eab,
    0xff2255b4,
    0xff1d4db8,
    0xff1b54b9,
    0xff1b54bd,
    0xff1e53af,
    0xff335390,
    0xff5d5184,
    0xff532c53,
    0xffffdff1,
    0xff725461,
    0xff323353,
    0xff3a58a6,
    0xff2956ad,
    0xff2756ad,
    0xff2653b5,
    0xff2a5cac,
    0xff2b59a7,
    0xff225aad,
    0xff2759ac,
    0xff2a5aa7,
    0xff224f8b,
    0xff3a3768,
    0xffa45279,
    0xffba344e,
    0xffc7333e,
    0xffbf1624,
    0xffaf000e,
    0xffae0211,
    0xffa5040c,
    0xff9d080e,
    0xff941618,
    0xff702120,
    0xff2e0e06,
    0xff1c270e,
    0xff11290f,
    0xff142514,
    0xff161d11,
    0xff161e0e,
    0xff201d10,
    0xff14180a,
    0xff03210b,
    0xff0b220e,
    0xff0c2113,
    0xff071f18,
    0xff1c1309,
    0xff300700,
    0xffd79070,
    0xff360f00,
    0xff141607,
    0xff0e1a0c,
    0xff0c1809,
    0xff0c1a0a,
    0xff0a1a0d,
    0xff08180b,
    0xff061508,
    0xff07170a,
    0xff06160c,
    0xff0d1d13,
    0xff0e1e14,
    0xff122218,
    0xff14251b,
    0xff14251b,
    0xff11221b,
    0xff0d201c,
    0xff0f221d,
    0xff0c2219,
    0xff0f241b,
    0xff0d221a,
    0xff10251e,
    0xff0f261e,
    0xff112920,
    0xff162e24,
    0xff1c3329,
    0xff1f3728,
    0xff142a20,
    0xff1c322a,
    0xff192d2a,
    0xff162b26,
    0xff152b21,
    0xff1c3225,
    0xff2c4130,
    0xff3a5436,
    0xff375137,
    0xff2b432f,
    0xff20382b,
    0xff193029,
    0xff152b28,
    0xff182e2d,
    0xff132a28,
    0xff122524,
    0xff142923,
    0xff10251d,
    0xff0d2217,
    0xff091f13,
    0xff081d14,
    0xff122720,
    0xff102521,
    0xff162b2c,
    0xff1a2e2f,
    0xff1a2e2d,
    0xff182b2b,
    0xff192f2e,
    0xff182f31,
    0xff162f33,
    0xff132c30,
    0xff0e2a30,
    0xff0d2832,
    0xff07232e,
    0xff092430,
    0xff0b2833,
    0xff102b36,
    0xff132b35,
    0xff112733,
    0xff0f2a40,
    0xff122e44,
    0xff102b43,
    0xff0e2c44,
    0xff0c2b43,
    0xff0d2943,
    0xff0d2844,
    0xff122c48,
    0xff162b42,
    0xff142e43,
    0xff152e42,
    0xff172e41,
    0xff14293c,
    0xff182738,
    0xff182334,
    0xff2d3646,
    0xff7b7b8d,
    0xffb5b3bf,
    0xff78767d,
    0xff1d1719,
    0xff3e3935,
    0xff6d6963,
    0xff838179,
    0xff14130c,
    0xff474841,
    0xff7f7e81,
    0xff615a66,
    0xff9b95a3,
    0xff6f696e,
    0xff878780,
    0xff1d200f,
    0xff373c26,
    0xff3a3f26,
    0xff363c24,
    0xff333823,
    0xff2c3122,
    0xff252a23,
    0xff2b3129,
    0xff23291c,
    0xff3a3f30,
    0xff2f2f26,
    0xff333026,
    0xff544c42,
    0xff353224,
    0xff4b4d3a,
    0xff53543d,
    0xff555037,
    0xff5a5339,
    0xff61644c,
    0xffbaa29d,
    0xff834f2b,
    0xffc37f31,
    0xffd7903a,
    0xfff8b44f,
    0xfffab63d,
    0xfff1a437,
    0xffd27820,
    0xffc36b24,
    0xffbb700e,
    0xffb47214,
    0xffa66d07,
    0xffa67000,
    0xffb27300,
    0xffa85d21,
    0xff554b12,
    0xff5d5221,
    0xff675931,
    0xff676236,
    0xff3f411f,
    0xffb0aea6,
    0xff5e5448,
    0xff53451b,
    0xff564d2d,
    0xff4c4a25,
    0xff3e400d,
    0xff39360f,
    0xff343414,
    0xff615948,
    0xffa17657,
    0xffbe7508,
    0xffcd8502,
    0xffd18b2c,
    0xffc38133,
    0xffa2630b,
    0xff833900,
    0xffb06609,
    0xffaa6600,
    0xfff6b844,
    0xfffcba54,
    0xffdcb05d,
    0xff4f3a06,
    0xff4c2e11,
    0xff7c440f,
    0xffa55c3b,
    0xff522716,
    0xff80817d,
    0xff635e55,
    0xff726b5c,
    0xffa97f5c,
    0xffae7125,
    0xff8b5b2f,
    0xffbd904a,
    0xffffc06f,
    0xffd08422,
    0xffd79437,
    0xffae6310,
    0xffbd7315,
    0xffc28c49,
    0xffc9ae9a,
    0xff2f2b2d,
    0xff434451,
    0xff737180,
    0xff4c0703,
    0xff4a090f,
    0xff4a040a,
    0xff560400,
    0xff630906,
    0xff59000a,
    0xff510012,
    0xff440312,
    0xff6d5b8a,
    0xff2e1c39,
    0xff582f5f,
    0xff9f6dae,
    0xff7e5796,
    0xff57428a,
    0xff5f65ad,
    0xff466cad,
    0xff5768bb,
    0xff7562a8,
    0xff6271b4,
    0xff4d579a,
    0xff3f1137,
    0xff42030e,
    0xff4d000a,
    0xff5c0006,
    0xff780209,
    0xff73070f,
    0xff6b0014,
    0xff4b1b58,
    0xff4c65b9,
    0xff3d6cc3,
    0xff336fcd,
    0xff3172c7,
    0xff316dc6,
    0xff326dc7,
    0xff336ec8,
    0xff336ec7,
    0xff3571cb,
    0xff356ec7,
    0xff346dc7,
    0xff2c65c0,
    0xff326bbf,
    0xff346bc1,
    0xff3068bd,
    0xff2e67bc,
    0xff3067bd,
    0xff346ac1,
    0xff3167be,
    0xff2a61b7,
    0xff2659ab,
    0xff285dad,
    0xff2458a9,
    0xff295eab,
    0xff2a5fac,
    0xff2a5fad,
    0xff2d62b0,
    0xff2e64b2,
    0xff2c61af,
    0xff295fac,
    0xff3063b4,
    0xff2d60b1,
    0xff2f5fb0,
    0xff2e5fb0,
    0xff305eae,
    0xff3564b3,
    0xff3061ad,
    0xff3465b1,
    0xff3667b3,
    0xff3064af,
    0xff295da8,
    0xff255ba5,
    0xff265ca6,
    0xff295ea8,
    0xff295eaf,
    0xff265caa,
    0xff285cab,
    0xff2b5fab,
    0xff3265b3,
    0xff2d63b3,
    0xff3067b7,
    0xff2f67b9,
    0xff3164c5,
    0xff356acb,
    0xff3368c5,
    0xff2e66c2,
    0xff3169c3,
    0xff366ec5,
    0xff3168c0,
    0xff346bc1,
    0xff326ec3,
    0xff3470c7,
    0xff3672ca,
    0xff2f6cc3,
    0xff2c67c1,
    0xff2f6ac4,
    0xff2f6ac5,
    0xff336eca,
    0xff316cc8,
    0xff316cc7,
    0xff2967c0,
    0xff2561ba,
    0xff2562bb,
    0xff2864bd,
    0xff2a63bc,
    0xff2e64be,
    0xff326ac6,
    0xff366ec9,
    0xff326bc4,
    0xff356ec7,
    0xff3a73cc,
    0xff3975ce,
    0xff3873d0,
    0xff3671cc,
    0xff3c70c2,
    0xff5476ca,
    0xff47547a,
    0xff3b4a79,
    0xff4172ca,
    0xff3375ca,
    0xff3872c8,
    0xff3771d3,
    0xff3471d2,
    0xff3373ca,
    0xff3770d0,
    0xff3670d2,
    0xff3271cc,
    0xff316dce,
    0xff4269be,
    0xff919dd1,
    0xff25365d,
    0xff4673b3,
    0xff3a70c3,
    0xff3b6fc6,
    0xff3473cb,
    0xff3074cf,
    0xff346fcb,
    0xff386ecd,
    0xff3c6bce,
    0xff2e73d7,
    0xff2c6cd1,
    0xff3770be,
    0xff336ec8,
    0xff3a67d1,
    0xff496bc0,
    0xff4265bb,
    0xff356dcb,
    0xff3a6ed2,
    0xff346cc5,
    0xff326dc5,
    0xff326bd5,
    0xff2f6bd1,
    0xff2e6dc6,
    0xff306bce,
    0xff316bcc,
    0xff2e69ca,
    0xff2d67c8,
    0xff2d66c8,
    0xff2e69c6,
    0xff2c67c5,
    0xff2b66c4,
    0xff2b65c4,
    0xff2d68c6,
    0xff2d68c5,
    0xff2b68c5,
    0xff2a67c3,
    0xff2a67c4,
    0xff2a67c4,
    0xff2b66c4,
    0xff2c66c5,
    0xff2368c8,
    0xff3364c2,
    0xff335cbe,
    0xff3764c7,
    0xff4f59a6,
    0xff9a5275,
    0xffb73634,
    0xffc6392a,
    0xffa70e06,
    0xffaa021f,
    0xffa30410,
    0xff9c060f,
    0xff9d0118,
    0xff840008,
    0xff70000b,
    0xff76000d,
    0xff76040b,
    0xff60051d,
    0xff44042e,
    0xff6057a5,
    0xff375dbc,
    0xff6775ab,
    0xff483a54,
    0xff50619a,
    0xff525aab,
    0xff725994,
    0xff541f48,
    0xff605aa7,
    0xff4368d0,
    0xff4464bd,
    0xff2a4e9b,
    0xff3661ac,
    0xff336bc6,
    0xff486abe,
    0xff4c61ac,
    0xff4b61a9,
    0xff6e6caf,
    0xff834d83,
    0xff650628,
    0xff7d1228,
    0xff831a24,
    0xff6b172b,
    0xff702235,
    0xff73304a,
    0xff5d518c,
    0xff436ec2,
    0xff326ec7,
    0xff2d6cc7,
    0xff3170cd,
    0xff3170cd,
    0xff3473d0,
    0xff3473d0,
    0xff3372d0,
    0xff3271ce,
    0xff3372cf,
    0xff3372cf,
    0xff3271ce,
    0xff3473d0,
    0xff3372cf,
    0xff3473d0,
    0xff3473d0,
    0xff3473d0,
    0xff3574d1,
    0xff3373d0,
    0xff3976d3,
    0xff3875d2,
    0xff3774d1,
    0xff3774d1,
    0xff3673d0,
    0xff3673d0,
    0xff3673d0,
    0xff3572cf,
    0xff3473d2,
    0xff3372d1,
    0xff3271d0,
    0xff3372d1,
    0xff3271d0,
    0xff3271d0,
    0xff3170cf,
    0xff3170cf,
    0xff2f6ecd,
    0xff316dcd,
    0xff336cce,
    0xff306bc8,
    0xff316dca,
    0xff306bc9,
    0xff2e6cc9,
    0xff306dca,
    0xff2c68c9,
    0xff2e6cc8,
    0xff2e6bc8,
    0xff2c69c3,
    0xff2b68c5,
    0xff2967c3,
    0xff2965c5,
    0xff2864c6,
    0xff2969c6,
    0xff2968c5,
    0xff2767c4,
    0xff2666c3,
    0xff2868c5,
    0xff2867c4,
    0xff2868c5,
    0xff2766c3,
    0xff2d67c5,
    0xff2c67c5,
    0xff2c67c5,
    0xff2c67c5,
    0xff2a67c4,
    0xff2b68c5,
    0xff2966c3,
    0xff2866c3,
    0xff2d64c8,
    0xff2f67c8,
    0xff2f67c8,
    0xff2e66c5,
    0xff2c64c1,
    0xff2f68c3,
    0xff2e66c1,
    0xff3067c3,
    0xff2f67c2,
    0xff2e69c7,
    0xff2c69c9,
    0xff2e67c5,
    0xff2d62bf,
    0xff3063be,
    0xff3369c8,
    0xff2b62c2,
    0xff2d68c6,
    0xff2b67c4,
    0xff2b66c4,
    0xff2a65c6,
    0xff2963c4,
    0xff2963c4,
    0xff2862c4,
    0xff2a63c3,
    0xff2d64bd,
    0xff2762c3,
    0xff2865c7,
    0xff2960be,
    0xff2c62bd,
    0xff2963c4,
    0xff2a63c7,
    0xff2d66c3,
    0xff2166c6,
    0xff445fb6,
    0xff62174a,
    0xff69030f,
    0xff920c24,
    0xffb93b4b,
    0xffbd486c,
    0xff75519d,
    0xff3c56b1,
    0xff305ebc,
    0xff3a65b2,
    0xff495cb9,
    0xff573970,
    0xff520c2e,
    0xff60081c,
    0xff80050c,
    0xff72000b,
    0xff781628,
    0xff7e3752,
    0xffa35b87,
    0xff9a2543,
    0xffa0130b,
    0xff8f110c,
    0xff920d27,
    0xff8e000d,
    0xff920011,
    0xff8c0418,
    0xff8a051a,
    0xff930018,
    0xff990218,
    0xff94000c,
    0xffa10409,
    0xff930113,
    0xff8f010c,
    0xff920509,
    0xff89040e,
    0xff8d0313,
    0xff9c0c0d,
    0xff720910,
    0xff523263,
    0xff375fb5,
    0xff2e5db6,
    0xff2c5bba,
    0xff255bbb,
    0xff205bbb,
    0xff1e5bbb,
    0xff205bbb,
    0xff235bbb,
    0xff1c5dbb,
    0xff1c5ebb,
    0xff1d5cbb,
    0xff1d5dbb,
    0xff1f5bbb,
    0xff205abb,
    0xff205abb,
    0xff235bbb,
    0xff205bc0,
    0xff225ec0,
    0xff205cbe,
    0xff1d5ab9,
    0xff1d56b7,
    0xff1d57ba,
    0xff1d57ba,
    0xff1b55b9,
    0xff1b57b9,
    0xff1a56b8,
    0xff1b57b9,
    0xff1a56b8,
    0xff1a5abb,
    0xff1958b9,
    0xff1857b8,
    0xff1958b9,
    0xff1c5bbc,
    0xff1c5abc,
    0xff1a59b8,
    0xff1655b4,
    0xff1251b0,
    0xff1352af,
    0xff1250ad,
    0xff114fad,
    0xff0f51ae,
    0xff0f55bc,
    0xff1853b6,
    0xff1a50b5,
    0xff1551bb,
    0xff2650ac,
    0xff4a5ba4,
    0xff5c70b8,
    0xff2b5297,
    0xff303d8f,
    0xff2756a6,
    0xff2855ab,
    0xff314fb6,
    0xff1650bb,
    0xff2f4fa6,
    0xff2a0e41,
    0xff442865,
    0xff424e92,
    0xff504686,
    0xffa77184,
    0xff8a576a,
    0xff555297,
    0xff2254a3,
    0xff1c5ab5,
    0xff2058bc,
    0xff2252b5,
    0xff2253b6,
    0xff2152af,
    0xff2954a9,
    0xff2b50ab,
    0xff4a5aa3,
    0xfff9e6f5,
    0xff65525c,
    0xff5b698e,
    0xff2d53a6,
    0xff2a54ac,
    0xff2855ad,
    0xff2a59b9,
    0xff2f64b0,
    0xff4170bb,
    0xff415bab,
    0xff2d4892,
    0xff264980,
    0xff3c486e,
    0xff7b3f5f,
    0xffca3654,
    0xffc01020,
    0xffb51815,
    0xffa6080d,
    0xff990008,
    0xff92000c,
    0xff8d0209,
    0xff8c0208,
    0xff8a1816,
    0xff521b0e,
    0xff1e240b,
    0xff072a0d,
    0xff0c230f,
    0xff171e16,
    0xff102015,
    0xff092711,
    0xff121f0d,
    0xff10120c,
    0xff0b1f16,
    0xff171c10,
    0xff1c1302,
    0xff1b0600,
    0xff78362a,
    0xffbe6843,
    0xffee846b,
    0xff360200,
    0xff171400,
    0xff0d170a,
    0xff0e190b,
    0xff0e1a0c,
    0xff0c1909,
    0xff0b1b0e,
    0xff06170a,
    0xff0c190c,
    0xff0b190b,
    0xff08180d,
    0xff0a1a10,
    0xff0d1d12,
    0xff122417,
    0xff102419,
    0xff0b1f17,
    0xff0d211c,
    0xff0e2220,
    0xff0d211e,
    0xff0d211e,
    0xff0c211e,
    0xff102422,
    0xff132725,
    0xff152a25,
    0xff172c26,
    0xff1d3129,
    0xff1f372a,
    0xff1b332a,
    0xff172b27,
    0xff122524,
    0xff132825,
    0xff13251d,
    0xff1d3124,
    0xff203525,
    0xff213a21,
    0xff27412a,
    0xff2b4432,
    0xff2b4237,
    0xff102721,
    0xff152b29,
    0xff142a27,
    0xff142a27,
    0xff1a2e2c,
    0xff152925,
    0xff1b3028,
    0xff1a2f26,
    0xff253c2e,
    0xff495d54,
    0xff21362f,
    0xff112622,
    0xff0e2422,
    0xff122826,
    0xff152b29,
    0xff182e2b,
    0xff172c2e,
    0xff122b2f,
    0xff0b252b,
    0xff031f28,
    0xff05202b,
    0xff0c2734,
    0xff0d2633,
    0xff0a2734,
    0xff0c2535,
    0xff0e2936,
    0xff152e3a,
    0xff192f3c,
    0xff193042,
    0xff274051,
    0xff284356,
    0xff223f52,
    0xff163248,
    0xff0f2b43,
    0xff112a45,
    0xff132d48,
    0xff1a3048,
    0xff162e46,
    0xff102c43,
    0xff0d283d,
    0xff102a3d,
    0xff182f41,
    0xff172a39,
    0xff162636,
    0xff101d35,
    0xff5a6377,
    0xff969ca5,
    0xffb2b4b6,
    0xff282725,
    0xff565353,
    0xff868487,
    0xff5e5c62,
    0xff0a0c10,
    0xffa7a6ad,
    0xff4a454f,
    0xff8c858b,
    0xff302c2c,
    0xffb9b8b2,
    0xff80817c,
    0xff262721,
    0xff3c3c29,
    0xff33341f,
    0xff33341f,
    0xff333525,
    0xff32342a,
    0xff2e3027,
    0xff262c1f,
    0xff393f30,
    0xff262720,
    0xff24221c,
    0xff534e47,
    0xff201c18,
    0xff222621,
    0xff2a2d25,
    0xff36352a,
    0xff3c3727,
    0xff796f4e,
    0xfffbd8d5,
    0xffa3684c,
    0xffd9964e,
    0xffeca457,
    0xffe79e3b,
    0xffde8f13,
    0xffde8413,
    0xffce7900,
    0xffdd8428,
    0xffa25306,
    0xff9c5800,
    0xff9f6700,
    0xffa56d00,
    0xffa8670b,
    0xff90421b,
    0xff5a3506,
    0xff5c3802,
    0xff886624,
    0xff523707,
    0xff5b4740,
    0xffcfc0c1,
    0xff352115,
    0xff5a3d27,
    0xff4a411d,
    0xff4e462b,
    0xff6a603e,
    0xff46412b,
    0xff313327,
    0xff757164,
    0xff784f33,
    0xffb36c13,
    0xffda8913,
    0xffcc8325,
    0xffc8873b,
    0xffbd7c20,
    0xffab610f,
    0xffb36508,
    0xffb16706,
    0xffbe7f0b,
    0xfff9b84f,
    0xffffca66,
    0xff6b4a10,
    0xff312115,
    0xff2e1e04,
    0xff654938,
    0xff5e4742,
    0xff5c585f,
    0xff787274,
    0xff332119,
    0xff632b10,
    0xff9e4b10,
    0xff9f5114,
    0xffbe7f44,
    0xffd79967,
    0xff92501f,
    0xff5c3610,
    0xff532000,
    0xfff3b85f,
    0xffaf7b36,
    0xff674b3a,
    0xff383134,
    0xff4f4f5f,
    0xff61606b,
    0xff550606,
    0xff4f0811,
    0xff440008,
    0xff490100,
    0xff510100,
    0xff54040c,
    0xff4f0611,
    0xff450407,
    0xff3a2437,
    0xff321a3f,
    0xff513688,
    0xff5761a5,
    0xff4a65a1,
    0xff6a53b4,
    0xff6f2d82,
    0xff763563,
    0xff5c151a,
    0xff61101c,
    0xff423d78,
    0xff5a72c8,
    0xff543165,
    0xff3c0012,
    0xff460112,
    0xff5b0209,
    0xff850212,
    0xff820107,
    0xff7d0006,
    0xff6b305c,
    0xff526ab0,
    0xff386dbe,
    0xff326bc8,
    0xff2f69c0,
    0xff2e6ac1,
    0xff2e6ac0,
    0xff336fc4,
    0xff3371c7,
    0xff3770c8,
    0xff356dc4,
    0xff3269c1,
    0xff356cc5,
    0xff3168bb,
    0xff2f66b8,
    0xff2d65b7,
    0xff2860b3,
    0xff295cb0,
    0xff295cb0,
    0xff295cb0,
    0xff2d60b4,
    0xff3064b5,
    0xff2d61b1,
    0xff295eae,
    0xff2e63b3,
    0xff2b60b2,
    0xff2b5fb2,
    0xff2e62b5,
    0xff3063b7,
    0xff2a5faf,
    0xff2e63b4,
    0xff2c5fb0,
    0xff285ba9,
    0xff2c5dab,
    0xff2959a4,
    0xff23559c,
    0xff27579d,
    0xff295ba1,
    0xff24579d,
    0xff26589f,
    0xff295ba1,
    0xff2a5ca4,
    0xff2659a0,
    0xff2a5ea5,
    0xff2d60a8,
    0xff2a58a5,
    0xff2c5aa8,
    0xff2453a0,
    0xff2050a0,
    0xff194d9e,
    0xff1e56ab,
    0xff1f5bb2,
    0xff2663bb,
    0xff3272bf,
    0xff2d6cbc,
    0xff3271c1,
    0xff3775c8,
    0xff3573c7,
    0xff3671ca,
    0xff3570c8,
    0xff3772cc,
    0xff336ec7,
    0xff306ac3,
    0xff2a66c0,
    0xff2a65c1,
    0xff2d68c4,
    0xff326dcb,
    0xff2f6ac8,
    0xff2f6ac8,
    0xff316cca,
    0xff346fce,
    0xff356fce,
    0xff3371cc,
    0xff3772ce,
    0xff3a72cc,
    0xff346cc6,
    0xff376ec9,
    0xff386ece,
    0xff396fcf,
    0xff3a70cd,
    0xff3c76cf,
    0xff3870cd,
    0xff3870cd,
    0xff3870cf,
    0xff3871d1,
    0xff3f6dc7,
    0xff5d77c9,
    0xff5d6788,
    0xff485b91,
    0xff3e70d5,
    0xff3276c9,
    0xff3670c9,
    0xff376ed5,
    0xff3473cc,
    0xff426cc9,
    0xff3c6dcf,
    0xff3271d3,
    0xff3076cd,
    0xff3368bf,
    0xff7c89d1,
    0xff5c6a84,
    0xff39548e,
    0xff4674c6,
    0xff3a71cb,
    0xff396ec4,
    0xff366ed1,
    0xff2f73cc,
    0xff3375c6,
    0xff3c70cd,
    0xff3a71c2,
    0xff306fd0,
    0xff356ad6,
    0xff356dc2,
    0xff2a6ec7,
    0xff2e6ed7,
    0xff366fcb,
    0xff306ccd,
    0xff2a6dc6,
    0xff316bc9,
    0xff356ec1,
    0xff306ec6,
    0xff316cd6,
    0xff3069d0,
    0xff2f6ac7,
    0xff3369cd,
    0xff3068cb,
    0xff2b65c5,
    0xff2e67c9,
    0xff2d68c9,
    0xff2a67c4,
    0xff2b66c4,
    0xff2c66c5,
    0xff2c68c3,
    0xff2f67c4,
    0xff2e67c4,
    0xff2d67c4,
    0xff2c69c5,
    0xff2a67c2,
    0xff2b66c1,
    0xff2f67c2,
    0xff2e67c4,
    0xff2a68cf,
    0xff3463c1,
    0xff3764cc,
    0xff3f59c2,
    0xff876196,
    0xffac4b49,
    0xffb03825,
    0xffb9362c,
    0xffa00e06,
    0xff9f0114,
    0xffa50000,
    0xffa5020b,
    0xff920015,
    0xff7e0304,
    0xff700209,
    0xff73020b,
    0xff810201,
    0xff4f0017,
    0xff634e92,
    0xff446ac7,
    0xff3c66b5,
    0xff7a7297,
    0xff433560,
    0xff4166c6,
    0xff3669ce,
    0xff4b64b7,
    0xff736ead,
    0xff4963be,
    0xff3866d0,
    0xff4d5fa9,
    0xff3a5192,
    0xff3b6fc3,
    0xff3c6dc5,
    0xff725c9e,
    0xff490027,
    0xff66223d,
    0xff531a40,
    0xff520a32,
    0xff853649,
    0xff6d2218,
    0xff751514,
    0xff6c1c26,
    0xff702237,
    0xff612350,
    0xff57539d,
    0xff4171c0,
    0xff3577c7,
    0xff2e72cf,
    0xff3172cc,
    0xff3172cb,
    0xff3475ce,
    0xff3475ce,
    0xff3171ca,
    0xff3373cc,
    0xff3474cd,
    0xff3070c9,
    0xff2f6ecc,
    0xff3271ce,
    0xff306fcc,
    0xff306fcc,
    0xff3271ce,
    0xff3170cd,
    0xff3372cf,
    0xff3271ce,
    0xff316ecb,
    0xff316ecb,
    0xff316ecb,
    0xff326ecb,
    0xff3370cd,
    0xff3470cd,
    0xff3471ce,
    0xff336fcc,
    0xff3170cf,
    0xff2f6ecd,
    0xff2e6dcc,
    0xff306fce,
    0xff2d6ccb,
    0xff2e6dcc,
    0xff2c6bca,
    0xff2c6bca,
    0xff2e69cb,
    0xff2f68cc,
    0xff2f68ca,
    0xff2e68c9,
    0xff2f68ca,
    0xff2e68c6,
    0xff2a67c4,
    0xff2767c4,
    0xff2c69c5,
    0xff2d6ac7,
    0xff2c69c3,
    0xff2b68c2,
    0xff2d6ac5,
    0xff2b67c6,
    0xff2a66c8,
    0xff2b67ca,
    0xff2767c4,
    0xff2867c3,
    0xff2968c4,
    0xff2968c5,
    0xff2968c5,
    0xff2968c5,
    0xff2867c4,
    0xff2867c5,
    0xff2964c2,
    0xff2964c2,
    0xff2964c2,
    0xff2964c2,
    0xff2764c1,
    0xff2764c2,
    0xff2966c3,
    0xff2966c4,
    0xff2964c7,
    0xff2b64c8,
    0xff2b63c5,
    0xff2d66c5,
    0xff2c62c0,
    0xff3970ca,
    0xff2a60b9,
    0xff295fb7,
    0xff3067c0,
    0xff306ac9,
    0xff2c69ca,
    0xff2d67c7,
    0xff2b62be,
    0xff2d62bf,
    0xff2c62c2,
    0xff2b65c6,
    0xff2d64c3,
    0xff2d64c4,
    0xff2b63c2,
    0xff2a62c3,
    0xff2c64c5,
    0xff2b63c4,
    0xff2b62c3,
    0xff2b63c4,
    0xff2e64bd,
    0xff2965c5,
    0xff2564c8,
    0xff2a67cb,
    0xff2f67c8,
    0xff2f67c9,
    0xff2663c8,
    0xff2264cc,
    0xff2963be,
    0xff4361b8,
    0xff7b3668,
    0xff690509,
    0xff972235,
    0xffa6526b,
    0xff9e6092,
    0xff4c5dae,
    0xff3963ca,
    0xff266dcd,
    0xff246cb8,
    0xff4b6ac4,
    0xff511336,
    0xff75040e,
    0xff85151b,
    0xffb33133,
    0xff990f1d,
    0xff830109,
    0xff740e25,
    0xff9a3662,
    0xff7c001d,
    0xff8e1208,
    0xff8d1403,
    0xff8e0715,
    0xff830617,
    0xff8c0a1e,
    0xff7e0110,
    0xff7f0006,
    0xff98020c,
    0xff8e0009,
    0xff87050c,
    0xff8d0510,
    0xff82010d,
    0xff8c080f,
    0xff8a0810,
    0xff870b20,
    0xff78041a,
    0xff770c23,
    0xff671c45,
    0xff492a6d,
    0xff4769be,
    0xff375eb5,
    0xff3059b6,
    0xff2958b7,
    0xff215bbc,
    0xff225fbf,
    0xff2761bf,
    0xff265fba,
    0xff1f61be,
    0xff1c5ebd,
    0xff1c5ebc,
    0xff205fbe,
    0xff2260be,
    0xff235ebf,
    0xff225bbd,
    0xff2359bb,
    0xff1f5abe,
    0xff1f5bbc,
    0xff1b58ba,
    0xff1a57b6,
    0xff1d57b7,
    0xff1a53b7,
    0xff1b54b7,
    0xff1c56ba,
    0xff1753b6,
    0xff1551b4,
    0xff1652b4,
    0xff1450b2,
    0xff0e4eaf,
    0xff0d4cad,
    0xff0f4eaf,
    0xff1150b2,
    0xff0d4cab,
    0xff0d4caa,
    0xff104fae,
    0xff0f4fae,
    0xff0f4eac,
    0xff1150ad,
    0xff1554b2,
    0xff1959b3,
    0xff1d56b2,
    0xff1258b8,
    0xff1551a2,
    0xff174f99,
    0xff1058af,
    0xff0d52ab,
    0xff284c93,
    0xff7686c0,
    0xff2b4678,
    0xff28469f,
    0xff0d54b4,
    0xff0e54a7,
    0xff294bab,
    0xff1454b3,
    0xff1d5b99,
    0xff3e2b4b,
    0xff474f8c,
    0xff1e4fab,
    0xff253fa7,
    0xff947fa8,
    0xffc88590,
    0xff9a627d,
    0xff3b5076,
    0xff2052ab,
    0xff1d57a6,
    0xff2251b4,
    0xff1753c0,
    0xff2956b2,
    0xff47468f,
    0xff5d549e,
    0xff72699e,
    0xffe3b2bf,
    0xff8a5f62,
    0xff5f516d,
    0xff555091,
    0xff625494,
    0xff5e5194,
    0xff4a4895,
    0xff404f8c,
    0xff394b8b,
    0xff484a82,
    0xff535581,
    0xff5b506d,
    0xff784757,
    0xffae444e,
    0xffb92228,
    0xffce3030,
    0xffdd4842,
    0xff9c0008,
    0xff92000b,
    0xff8c0414,
    0xff8a000b,
    0xff930007,
    0xff93080a,
    0xff802e22,
    0xff392108,
    0xff20241c,
    0xff1f211d,
    0xff1f221e,
    0xff102716,
    0xff0e270a,
    0xff382a11,
    0xff583927,
    0xff1f1c07,
    0xff281100,
    0xff854b2d,
    0xff964a2d,
    0xffcc6042,
    0xffde7943,
    0xffda6844,
    0xff88321d,
    0xff7d472f,
    0xff141508,
    0xff0e180b,
    0xff0c1608,
    0xff081708,
    0xff0d1b0d,
    0xff0e1b0e,
    0xff0b180c,
    0xff0e1b0f,
    0xff0f1c0f,
    0xff0b1c0e,
    0xff0d1e11,
    0xff102216,
    0xff0d2217,
    0xff0c211b,
    0xff0d2420,
    0xff112726,
    0xff142827,
    0xff142729,
    0xff14282a,
    0xff1b2f2f,
    0xff203432,
    0xff1e3330,
    0xff172d26,
    0xff192e27,
    0xff132b26,
    0xff122b27,
    0xff102827,
    0xff0f2427,
    0xff102527,
    0xff102620,
    0xff10261c,
    0xff11271a,
    0xff122818,
    0xff102619,
    0xff0f241d,
    0xff0b221e,
    0xff0d2321,
    0xff081e1b,
    0xff0a201c,
    0xff0e2520,
    0xff0e2120,
    0xff0d211f,
    0xff0d221b,
    0xff172c23,
    0xff162c23,
    0xff0c2119,
    0xff122622,
    0xff142824,
    0xff152d27,
    0xff122d27,
    0xff112724,
    0xff0e2423,
    0xff092222,
    0xff0c2629,
    0xff09232c,
    0xff07222e,
    0xff08222f,
    0xff082130,
    0xff0c2634,
    0xff092435,
    0xff0d2738,
    0xff102635,
    0xff122836,
    0xff192f3c,
    0xff183030,
    0xff1a3134,
    0xff1c353a,
    0xff19353a,
    0xff153139,
    0xff0f2b35,
    0xff102b36,
    0xff102a36,
    0xff11263e,
    0xff11273f,
    0xff0f2a41,
    0xff102d43,
    0xff0e2b3d,
    0xff102a39,
    0xff112938,
    0xff122935,
    0xff142e34,
    0xff051b22,
    0xff313f4a,
    0xff808695,
    0xffb8b7c7,
    0xff7d7a8c,
    0xff615f70,
    0xff8c8a99,
    0xff393e4e,
    0xff2b2b38,
    0xffe2dee6,
    0xff4a4341,
    0xff2d2a22,
    0xff30312b,
    0xff9c9ba0,
    0xff84808e,
    0xff1d180e,
    0xff242111,
    0xff272712,
    0xff2e2e1b,
    0xff282b1d,
    0xff2c3023,
    0xff212516,
    0xff343b27,
    0xff2a2e1b,
    0xff272716,
    0xff524e40,
    0xff2d2a20,
    0xff1c231c,
    0xff222a24,
    0xff22241c,
    0xff2a2114,
    0xff3e1200,
    0xffe0b0a7,
    0xffdbb09c,
    0xff320600,
    0xffa05e3e,
    0xfff6a654,
    0xffd17600,
    0xffe57f17,
    0xffe69923,
    0xffd08b1e,
    0xfffebf48,
    0xfff9b141,
    0xfff9ad37,
    0xffd38226,
    0xffab661a,
    0xff7a3d07,
    0xff9f5d15,
    0xffc9881c,
    0xffebb532,
    0xffb3832d,
    0xfff4cbab,
    0xff371700,
    0xff825f28,
    0xff5c3107,
    0xff342705,
    0xff442f19,
    0xff50391c,
    0xff271f09,
    0xff050a02,
    0xff898573,
    0xff573206,
    0xffcf8d34,
    0xffce7c08,
    0xffa65a09,
    0xffc57f51,
    0xff924e09,
    0xffb3660e,
    0xffa75700,
    0xff8e3c03,
    0xffa15712,
    0xffdd993c,
    0xfff7b64b,
    0xff804f13,
    0xff0e0001,
    0xff05130a,
    0xff080e06,
    0xff100b06,
    0xff3a343b,
    0xff787474,
    0xff795f50,
    0xff7c4011,
    0xfff29959,
    0xffba6723,
    0xff8d5530,
    0xff553421,
    0xff200700,
    0xff050000,
    0xffb89968,
    0xffbc9225,
    0xffffd67e,
    0xffbfa589,
    0xff5e5552,
    0xff4b4a54,
    0xff686664,
    0xff470513,
    0xff420200,
    0xff410103,
    0xff440208,
    0xff4f0401,
    0xff470000,
    0xff4e0512,
    0xff470300,
    0xff31060e,
    0xff615374,
    0xff5556a2,
    0xff415ead,
    0xff2c579b,
    0xff486bc0,
    0xff5f68b2,
    0xff6c2954,
    0xff6e1116,
    0xff741713,
    0xff501243,
    0xff5f5faf,
    0xff525289,
    0xff2f0b31,
    0xff3a0120,
    0xff62000b,
    0xff870309,
    0xff860400,
    0xff7e010e,
    0xff6a2e5d,
    0xff4966ac,
    0xff3864bd,
    0xff4364c7,
    0xff2c70c8,
    0xff3a69cc,
    0xff346dbd,
    0xff2b6eb8,
    0xff2569c0,
    0xff2463be,
    0xff2a64b8,
    0xff2762b6,
    0xff2462bd,
    0xff295db4,
    0xff295cb2,
    0xff285cb2,
    0xff295db1,
    0xff295db0,
    0xff3065b5,
    0xff2a60b0,
    0xff2f63b2,
    0xff2d66af,
    0xff2961ab,
    0xff2862ad,
    0xff245daa,
    0xff2760af,
    0xff2f68b9,
    0xff275fb2,
    0xff285eb2,
    0xff3064b3,
    0xff2e60b0,
    0xff2f60ab,
    0xff2b5aa5,
    0xff29599f,
    0xff315fa3,
    0xff305ca0,
    0xff245092,
    0xff1a4c8c,
    0xff245596,
    0xff18498b,
    0xff104084,
    0xff18498e,
    0xff1e4e94,
    0xff184891,
    0xff1b4b94,
    0xff1d509e,
    0xff1f51a0,
    0xff295cab,
    0xff3267b5,
    0xff3369b9,
    0xff386dbe,
    0xff3870c1,
    0xff3068b8,
    0xff3267b7,
    0xff2e63b2,
    0xff2d62b1,
    0xff2358a9,
    0xff2054a6,
    0xff2154a5,
    0xff1d50a2,
    0xff2052a5,
    0xff2257ac,
    0xff255cb2,
    0xff2f68c1,
    0xff306bc5,
    0xff306ec9,
    0xff356fcb,
    0xff3670cc,
    0xff336ec8,
    0xff346fcc,
    0xff316cca,
    0xff336ecb,
    0xff356fce,
    0xff346fcb,
    0xff3470cc,
    0xff3671ce,
    0xff3872ce,
    0xff3473cd,
    0xff2f6fc9,
    0xff3571cd,
    0xff326fc7,
    0xff316ec7,
    0xff3570ca,
    0xff3671cb,
    0xff3471c9,
    0xff356ec5,
    0xff7478b6,
    0xff5c5c87,
    0xff3b68bc,
    0xff2e71d1,
    0xff3471be,
    0xff3971d1,
    0xff346fd3,
    0xff3670cb,
    0xff3871c9,
    0xff3f6fcf,
    0xff386fd6,
    0xff2e72cf,
    0xff3c66ab,
    0xff959ecf,
    0xff2f4068,
    0xff3b6abb,
    0xff386cc4,
    0xff356cc5,
    0xff356dca,
    0xff336ecc,
    0xff306fc8,
    0xff316fc8,
    0xff3370c9,
    0xff336dc8,
    0xff336bcb,
    0xff336dcd,
    0xff366fcd,
    0xff336ecb,
    0xff306fcc,
    0xff306ecb,
    0xff2d6dc9,
    0xff2f6fc5,
    0xff2f6ecf,
    0xff336dc1,
    0xff386bca,
    0xff306acf,
    0xff2b6cc7,
    0xff2b6ad1,
    0xff2d6ad0,
    0xff2f65cc,
    0xff3463c8,
    0xff2d64c3,
    0xff2369c6,
    0xff256ac8,
    0xff2d63c7,
    0xff2e65c5,
    0xff286cc3,
    0xff296bc0,
    0xff2a66c6,
    0xff2c61cb,
    0xff2c60ca,
    0xff2967c8,
    0xff2868be,
    0xff2f65ba,
    0xff3c61bc,
    0xff4060c3,
    0xff3461c1,
    0xff4c5fb8,
    0xff8c5797,
    0xffba465a,
    0xffb53322,
    0xffb0311c,
    0xffad2923,
    0xff970d01,
    0xff9d0003,
    0xff960200,
    0xff910615,
    0xff95011e,
    0xff92010c,
    0xff800012,
    0xff74000d,
    0xff5f000b,
    0xff523268,
    0xff4a6abc,
    0xff3167c9,
    0xff3b5baf,
    0xff6b6694,
    0xff41457f,
    0xff396bdf,
    0xff3666cf,
    0xff396ac3,
    0xff3767b7,
    0xff3568c5,
    0xff4365bd,
    0xff37509b,
    0xff446dc6,
    0xff4b6ac3,
    0xff6e5a99,
    0xff40001e,
    0xff740510,
    0xff6d0003,
    0xff61050b,
    0xff55040a,
    0xff5a090e,
    0xff74202b,
    0xff6e1427,
    0xff5d3754,
    0xff614d8a,
    0xff585cb1,
    0xff406ac4,
    0xff2e6ac4,
    0xff2a73d0,
    0xff2b70d3,
    0xff3370cf,
    0xff336fcc,
    0xff2f6cc9,
    0xff2f6cc9,
    0xff2d6dca,
    0xff2f6ecb,
    0xff2e6dca,
    0xff2a69c7,
    0xff2b6ac7,
    0xff2c6bc8,
    0xff2b6ac7,
    0xff2c6bc8,
    0xff2b6ac7,
    0xff2968c5,
    0xff2867c4,
    0xff2968c5,
    0xff2a69c6,
    0xff2c6cc9,
    0xff306fcc,
    0xff2b6ac7,
    0xff2a69c6,
    0xff2a69c6,
    0xff2a69c6,
    0xff2b6bc7,
    0xff2a69c8,
    0xff2867c6,
    0xff2968c7,
    0xff2867c6,
    0xff2867c6,
    0xff2564c3,
    0xff2766c5,
    0xff2766c5,
    0xff2a67c4,
    0xff2b69c6,
    0xff2b68c4,
    0xff2b68c4,
    0xff2b69c5,
    0xff2a67c4,
    0xff2b68c5,
    0xff2d69c6,
    0xff2966c3,
    0xff2a67c4,
    0xff2767c4,
    0xff2867c4,
    0xff2766c3,
    0xff2767c4,
    0xff2968c6,
    0xff2868c5,
    0xff2968c7,
    0xff2867c7,
    0xff2867c7,
    0xff2968c7,
    0xff2867c4,
    0xff2665c2,
    0xff2665c3,
    0xff2566be,
    0xff2966c3,
    0xff2966c3,
    0xff2966c3,
    0xff2966c3,
    0xff2a67c4,
    0xff2966c1,
    0xff2966c1,
    0xff2965c1,
    0xff2d63c9,
    0xff2e63cb,
    0xff2f65c8,
    0xff3569c3,
    0xff2c5bac,
    0xff355a9d,
    0xff89a6da,
    0xff8198c7,
    0xff556fb2,
    0xff3259b9,
    0xff2f69d0,
    0xff2468bc,
    0xff2a67bc,
    0xff3163cf,
    0xff3260d0,
    0xff3065c3,
    0xff2b66c1,
    0xff2a65c3,
    0xff2d69c6,
    0xff2d67c9,
    0xff2963c4,
    0xff2c67c4,
    0xff2b66c3,
    0xff2b65c2,
    0xff2f67c4,
    0xff2e66c6,
    0xff2d65c7,
    0xff2e68ca,
    0xff2d67cb,
    0xff2c68c8,
    0xff2f6cc9,
    0xff2f6cca,
    0xff3861cd,
    0xff5069bd,
    0xff6e3355,
    0xff5e001c,
    0xff8a498e,
    0xff6862af,
    0xff4966b9,
    0xff4462bd,
    0xff4261bd,
    0xff2570d1,
    0xff3c6cc4,
    0xff6a74bc,
    0xff5a102e,
    0xff790215,
    0xff880504,
    0xff91090d,
    0xff890c1a,
    0xff9b060f,
    0xff88050c,
    0xff991b37,
    0xff870e0e,
    0xff90160d,
    0xff920018,
    0xff880c00,
    0xff700610,
    0xff8a1d42,
    0xff802c63,
    0xff854573,
    0xff7d0019,
    0xff860408,
    0xff810b0c,
    0xff800a14,
    0xff6f0006,
    0xff6e010d,
    0xff821815,
    0xffa14f60,
    0xff835984,
    0xff826897,
    0xff55498f,
    0xff495cb6,
    0xff3b51b1,
    0xff5859a0,
    0xff735f93,
    0xff805899,
    0xff6055a0,
    0xff3859a6,
    0xff3357ae,
    0xff2562ba,
    0xff1e5bbc,
    0xff265ac8,
    0xff255abf,
    0xff1e5eb9,
    0xff1c5fa8,
    0xff1b5bb7,
    0xff1d5db9,
    0xff1c59b5,
    0xff1c56b3,
    0xff1b57ae,
    0xff1c55bb,
    0xff1b57af,
    0xff1c55b3,
    0xff1e50c2,
    0xff1c53b1,
    0xff1650a9,
    0xff1552b1,
    0xff1551b1,
    0xff1551b1,
    0xff1652b2,
    0xff1652b2,
    0xff1753b3,
    0xff1854b4,
    0xff1855b4,
    0xff1355b3,
    0xff1557b7,
    0xff1453b5,
    0xff144eb3,
    0xff134eb2,
    0xff1150af,
    0xff0b4ea9,
    0xff074ba3,
    0xff0f4ba2,
    0xff1147a2,
    0xff0b49a0,
    0xff094aa3,
    0xff0c4da9,
    0xff094d9f,
    0xff134288,
    0xff858bcb,
    0xff2b3763,
    0xff1f488a,
    0xff1158b4,
    0xff1450a9,
    0xff254db1,
    0xff1d55a4,
    0xff23569e,
    0xff243371,
    0xff2e4a90,
    0xff1a429e,
    0xff2b4c9f,
    0xff454c84,
    0xffce9bad,
    0xffbb7372,
    0xff5b4f74,
    0xff2e4da2,
    0xff2856b3,
    0xff2a45c5,
    0xff294bb2,
    0xff1b519f,
    0xff53458b,
    0xff8d2b5c,
    0xffa53e64,
    0xffa23f57,
    0xff9b444d,
    0xffa45a61,
    0xffc06f7a,
    0xffac4a61,
    0xffae325b,
    0xffaa3f65,
    0xff935871,
    0xff814367,
    0xff964465,
    0xffb75f6e,
    0xffc95d60,
    0xffc3684d,
    0xffc55f3f,
    0xffd44646,
    0xffe45457,
    0xffc3301a,
    0xff9e000d,
    0xff8a0811,
    0xff820d12,
    0xff8b0a0d,
    0xff8c0300,
    0xff800d02,
    0xff7e261a,
    0xff662116,
    0xff301b10,
    0xff22210e,
    0xff1f210f,
    0xff122721,
    0xff0e2418,
    0xff713d1d,
    0xffdd7e5c,
    0xff3e0200,
    0xff883b25,
    0xffcb583d,
    0xffd44d33,
    0xffde4f2a,
    0xffd7693f,
    0xffba592f,
    0xffd86031,
    0xffa83b2b,
    0xff3f0d0f,
    0xff0b0f00,
    0xff161407,
    0xff00240e,
    0xff091c12,
    0xff141c14,
    0xff0a2012,
    0xff0b1e0e,
    0xff0a1d11,
    0xff0a1b11,
    0xff0a1f13,
    0xff091f16,
    0xff0b2017,
    0xff0d211b,
    0xff0d221b,
    0xff0f231d,
    0xff102623,
    0xff142a27,
    0xff152e29,
    0xff16302b,
    0xff17342d,
    0xff1c352f,
    0xff18322c,
    0xff102b25,
    0xff0b282c,
    0xff0e282d,
    0xff112a2f,
    0xff0d272a,
    0xff0b2426,
    0xff0e2727,
    0xff112927,
    0xff122927,
    0xff192c2a,
    0xff182c2b,
    0xff142828,
    0xff102528,
    0xff0c2023,
    0xff092223,
    0xff0a2222,
    0xff082220,
    0xff0e2321,
    0xff0d2222,
    0xff071c1c,
    0xff031c1a,
    0xff0b2223,
    0xff142b2d,
    0xff0c2425,
    0xff091f21,
    0xff0b2022,
    0xff091e20,
    0xff0e2325,
    0xff0f2328,
    0xff0a2326,
    0xff0d242a,
    0xff0d242a,
    0xff0e262b,
    0xff0c262f,
    0xff09252f,
    0xff0a2730,
    0xff09272d,
    0xff0d292e,
    0xff0e2829,
    0xff162f30,
    0xff182d2d,
    0xff142e2b,
    0xff0e2627,
    0xff0e2628,
    0xff0d2327,
    0xff0e252a,
    0xff0b242a,
    0xff0c232d,
    0xff0e2831,
    0xff14263a,
    0xff132639,
    0xff122435,
    0xff112737,
    0xff112936,
    0xff102831,
    0xff132c32,
    0xff0d272b,
    0xff13272f,
    0xff152831,
    0xff11222a,
    0xff1b272f,
    0xff676b74,
    0xffaeabb7,
    0xfffef4ff,
    0xff6e616e,
    0xff898790,
    0xff837d8a,
    0xffb1a4b0,
    0xff5b4d53,
    0xff574c48,
    0xff201e19,
    0xff121519,
    0xff8f95a2,
    0xffa3a0b2,
    0xff1d1a15,
    0xff343214,
    0xff353314,
    0xff362d20,
    0xff221b18,
    0xff8f8980,
    0xff212009,
    0xff252715,
    0xff302a18,
    0xff3b2a1f,
    0xff493833,
    0xff1f251d,
    0xff1c301e,
    0xff26220c,
    0xff380d00,
    0xffbc764c,
    0xffc68553,
    0xff180000,
    0xff190400,
    0xff200000,
    0xffa6602b,
    0xffc27f15,
    0xffd8791f,
    0xffd0831a,
    0xffbb800a,
    0xffcd9b10,
    0xfff0b230,
    0xffe8a21a,
    0xffeead1c,
    0xffbe790f,
    0xffb06114,
    0xfff39e34,
    0xffd77b02,
    0xffbb7b00,
    0xfff0c789,
    0xff905a3e,
    0xffb57234,
    0xffdf9a3a,
    0xfffab745,
    0xffb88937,
    0xff552500,
    0xffe3b874,
    0xff382300,
    0xff2a2b15,
    0xffb1afae,
    0xff7b4d29,
    0xffd3742a,
    0xff994800,
    0xff9f5821,
    0xffc38367,
    0xffa56132,
    0xffa75a05,
    0xffc46c13,
    0xffa9530e,
    0xff9c5007,
    0xffd38f34,
    0xffdc9e46,
    0xffffdd95,
    0xff46290c,
    0xff060a0a,
    0xff1f2113,
    0xff4b3e27,
    0xff594e52,
    0xff816868,
    0xff724c40,
    0xffc38a52,
    0xffc27428,
    0xffcd9740,
    0xffd29956,
    0xff7a5239,
    0xff0b0000,
    0xff371b06,
    0xffffc697,
    0xfff2bd5a,
    0xffeccd82,
    0xffad918b,
    0xff615860,
    0xff5b6163,
    0xff595b51,
    0xff460311,
    0xff450502,
    0xff440307,
    0xff460009,
    0xff4d0406,
    0xff4f050e,
    0xff440410,
    0xff3f0507,
    0xff3b0016,
    0xff15002e,
    0xff404688,
    0xff1d3879,
    0xff0c266b,
    0xff446ac1,
    0xff3a6cbb,
    0xff555592,
    0xff541443,
    0xff79101f,
    0xff82334f,
    0xff5b4c8b,
    0xff5a4b90,
    0xff58437f,
    0xff4b305d,
    0xff470011,
    0xff89020f,
    0xff910503,
    0xff900413,
    0xff6f2157,
    0xff4662ae,
    0xff376dc5,
    0xff3a5fbf,
    0xff3a6fcd,
    0xff3261bf,
    0xff375eb1,
    0xff365bad,
    0xff3862be,
    0xff355fc0,
    0xff355fb7,
    0xff2c5fb0,
    0xff2761b5,
    0xff2c61b0,
    0xff2d62af,
    0xff2a5fad,
    0xff2c60b0,
    0xff3368b7,
    0xff2e61b5,
    0xff2b5fb3,
    0xff2255a9,
    0xff2058a7,
    0xff255dac,
    0xff265fb0,
    0xff2b64b6,
    0xff2760b3,
    0xff245db1,
    0xff2e63bb,
    0xff2b61ba,
    0xff285faf,
    0xff245aad,
    0xff2055a5,
    0xff1d519d,
    0xff20519d,
    0xff1e4e95,
    0xff215197,
    0xff26559b,
    0xff2b5ca6,
    0xff2857a4,
    0xff2d5caa,
    0xff3d6cbc,
    0xff2f60b0,
    0xff3262b5,
    0xff3566b8,
    0xff3766bd,
    0xff396dba,
    0xff3467b6,
    0xff275aa9,
    0xff2759a8,
    0xff2d5fae,
    0xff2459a9,
    0xff1f54a3,
    0xff1b50a0,
    0xff1f53a6,
    0xff1c4fa3,
    0xff184fa1,
    0xff1e55a8,
    0xff245baf,
    0xff255caf,
    0xff245aae,
    0xff285fb2,
    0xff285fb6,
    0xff2f65bf,
    0xff3069c3,
    0xff336eca,
    0xff3371ce,
    0xff3572cf,
    0xff3471cc,
    0xff346eca,
    0xff2f6ac4,
    0xff2d68c3,
    0xff306bc5,
    0xff326dc8,
    0xff336ec8,
    0xff346fcb,
    0xff336eca,
    0xff326cc9,
    0xff3370c9,
    0xff2f6cc5,
    0xff306ec6,
    0xff316cc6,
    0xff346ec9,
    0xff346fc9,
    0xff326dc7,
    0xff2f6bc4,
    0xff366bc2,
    0xff7372af,
    0xff5c5c8b,
    0xff3964ba,
    0xff2f70ca,
    0xff3973c0,
    0xff396ecc,
    0xff3671d0,
    0xff346ec6,
    0xff336acb,
    0xff3267c6,
    0xff2f69cc,
    0xff316fce,
    0xff5a77b4,
    0xff8087ad,
    0xff32487d,
    0xff396cc0,
    0xff346bc4,
    0xff3268c4,
    0xff3169c8,
    0xff306cca,
    0xff2f6ac8,
    0xff2e69c5,
    0xff2e69c3,
    0xff326dcb,
    0xff316cca,
    0xff316cca,
    0xff316cca,
    0xff316cca,
    0xff316fcb,
    0xff306dca,
    0xff2f6bc9,
    0xff3367d2,
    0xff3065d9,
    0xff2f63c8,
    0xff3163cd,
    0xff2f65cd,
    0xff2e69c4,
    0xff2e64cc,
    0xff2c65c3,
    0xff246bc3,
    0xff2e66c1,
    0xff3263c2,
    0xff2f66c5,
    0xff2f64c6,
    0xff3561c5,
    0xff3463bf,
    0xff2f68bd,
    0xff3c62c0,
    0xff2a69c0,
    0xff206dbe,
    0xff2a68c3,
    0xff3164ca,
    0xff3168cc,
    0xff3667c9,
    0xff3d62c2,
    0xff4861bf,
    0xff6758a3,
    0xff8e4773,
    0xffa0273a,
    0xffb92026,
    0xffcc2428,
    0xffc51e24,
    0xffc9272c,
    0xffa51218,
    0xff93000d,
    0xff9c090d,
    0xff960313,
    0xff990016,
    0xff96030e,
    0xff8e172f,
    0xff93426b,
    0xff723569,
    0xff7d67ab,
    0xff6267b8,
    0xff6263b0,
    0xffa89bd3,
    0xff4e3f62,
    0xff5d6399,
    0xff4968c9,
    0xff5161c8,
    0xff4071d6,
    0xff3a6ecc,
    0xff476ebf,
    0xff364d98,
    0xff3d61b2,
    0xff4570cc,
    0xff574d8e,
    0xff48001a,
    0xff6f0a12,
    0xff730000,
    0xff750606,
    0xff6d010b,
    0xff6c000b,
    0xff6c020f,
    0xff6e0c1f,
    0xff591535,
    0xff5e6095,
    0xff4a61b9,
    0xff3f5eba,
    0xff5e80c6,
    0xff718cca,
    0xff3c68af,
    0xff3166c1,
    0xff2b68c5,
    0xff2b68c5,
    0xff2b68c5,
    0xff2a67c4,
    0xff2767c4,
    0xff2766c3,
    0xff2766c3,
    0xff2766c3,
    0xff2968c5,
    0xff2a69c6,
    0xff2968c5,
    0xff2a69c6,
    0xff2867c4,
    0xff2867c4,
    0xff2867c4,
    0xff2a69c6,
    0xff2968c5,
    0xff2a69c6,
    0xff2766c3,
    0xff2665c2,
    0xff2a69c6,
    0xff2a69c6,
    0xff2a69c6,
    0xff2665c2,
    0xff2867c7,
    0xff2665c4,
    0xff2766c6,
    0xff2867c6,
    0xff2968c7,
    0xff2766c6,
    0xff2766c6,
    0xff2665c4,
    0xff2a67c4,
    0xff2a67c4,
    0xff2966c3,
    0xff2b68c5,
    0xff2a67c4,
    0xff2c69c6,
    0xff2e6bc8,
    0xff2e6bc8,
    0xff2c69c6,
    0xff2b68c5,
    0xff2c69c6,
    0xff2c6bc8,
    0xff2b6ac7,
    0xff2766c3,
    0xff2867c4,
    0xff2769c4,
    0xff2b6ac9,
    0xff2a69c8,
    0xff2a69c8,
    0xff2a69c9,
    0xff2b6ac6,
    0xff2766c3,
    0xff2766c3,
    0xff2867c4,
    0xff2b68c5,
    0xff2b68c4,
    0xff2b68c5,
    0xff2b68c5,
    0xff2a67c4,
    0xff2966c0,
    0xff2966c1,
    0xff2c69c3,
    0xff2c6abd,
    0xff2b64bc,
    0xff3464be,
    0xff2e579e,
    0xffcce6ff,
    0xffffffff,
    0xffffffff,
    0xffe9dbe0,
    0xffa4b5b4,
    0xff5b7baf,
    0xff3665c3,
    0xff2b68c4,
    0xff2866bd,
    0xff2a62c9,
    0xff2b68d2,
    0xff2669c7,
    0xff2b67c2,
    0xff2f6ac8,
    0xff2863c1,
    0xff2d67c8,
    0xff2e68c9,
    0xff2f68c9,
    0xff2d68c6,
    0xff2e69c7,
    0xff2d68c2,
    0xff2e69c4,
    0xff2d68c6,
    0xff2e69c7,
    0xff336dcc,
    0xff306dca,
    0xff3270cb,
    0xff3370c8,
    0xff426eca,
    0xff4968be,
    0xff4f326c,
    0xff71488b,
    0xff5660ba,
    0xff386bc0,
    0xff3c7aca,
    0xff5e86d7,
    0xff5e82dd,
    0xff5d67bb,
    0xff825c96,
    0xff663558,
    0xff620c0d,
    0xff7c171b,
    0xff710405,
    0xff7b060c,
    0xff800c0d,
    0xff9a0201,
    0xff7e0313,
    0xff8c346a,
    0xff8e263f,
    0xff8d0302,
    0xff92041a,
    0xff800f1b,
    0xff84466f,
    0xff694e90,
    0xff4c55a0,
    0xff51598e,
    0xff7f2a4b,
    0xff7d0812,
    0xff7d0005,
    0xff85000c,
    0xff86090c,
    0xff750513,
    0xff831514,
    0xffa34146,
    0xff94607e,
    0xff2a275d,
    0xff4a5dae,
    0xff4559a1,
    0xff865f85,
    0xffa06172,
    0xff994a50,
    0xffa53c4d,
    0xffac596d,
    0xff895a77,
    0xff7b5a98,
    0xff3b51a0,
    0xff2161b1,
    0xff2f57be,
    0xff2558ba,
    0xff2454bd,
    0xff2f58a8,
    0xff3d529f,
    0xff4b4e99,
    0xff2e51af,
    0xff2052bf,
    0xff1c56b0,
    0xff2055b4,
    0xff1458b3,
    0xff0b5bb0,
    0xff1552ba,
    0xff1d52b7,
    0xff1a57ae,
    0xff1753b2,
    0xff1854b4,
    0xff1955b5,
    0xff1955b5,
    0xff1a56b6,
    0xff1a56b6,
    0xff1b57b6,
    0xff1b57b7,
    0xff1454b0,
    0xff1250b0,
    0xff1350b0,
    0xff1551b3,
    0xff144fb0,
    0xff124fad,
    0xff0e4da9,
    0xff0f4ea7,
    0xff1554ac,
    0xff1b52a9,
    0xff1655ad,
    0xff1355af,
    0xff104ba8,
    0xff1456aa,
    0xff194e93,
    0xff737bbd,
    0xff3d395d,
    0xff334792,
    0xff1146a9,
    0xff104e9f,
    0xff194ba9,
    0xff1450a0,
    0xff1b4c9e,
    0xff32388c,
    0xff2e3579,
    0xff1951ac,
    0xff2252b1,
    0xff2e3c96,
    0xffa97bb6,
    0xffb04a4f,
    0xff883643,
    0xff60487c,
    0xff273d88,
    0xff1c5baa,
    0xff2b5390,
    0xff444686,
    0xff783b80,
    0xffa1194b,
    0xff9f0322,
    0xffa20b19,
    0xffbc2834,
    0xffc95252,
    0xffc65d54,
    0xffba504a,
    0xffb93239,
    0xffb9363a,
    0xffa23d35,
    0xffa73b3a,
    0xffaa4f49,
    0xffd8635b,
    0xffe86b5b,
    0xffd88057,
    0xfffba771,
    0xffd4563e,
    0xffd85840,
    0xffb1440d,
    0xffa81e00,
    0xff840500,
    0xff810d05,
    0xff820b0c,
    0xff82130f,
    0xff812516,
    0xff802917,
    0xff84261a,
    0xff511a19,
    0xff1f170d,
    0xff1a2417,
    0xff1f221c,
    0xff200400,
    0xffbe644b,
    0xffca5539,
    0xff8f3924,
    0xffc05b4a,
    0xffbd5135,
    0xffc85438,
    0xffd24d27,
    0xffcd5a2f,
    0xffe27b4d,
    0xffe66236,
    0xff8b0504,
    0xff77242f,
    0xff554a38,
    0xff280700,
    0xff15140e,
    0xff091815,
    0xff0e1913,
    0xff0f1a10,
    0xff0f1911,
    0xff131c13,
    0xff121d13,
    0xff142118,
    0xff11201b,
    0xff0c201c,
    0xff0c2221,
    0xff0b2322,
    0xff0a2523,
    0xff0f2423,
    0xff0d2523,
    0xff0f2826,
    0xff102c2c,
    0xff102c2f,
    0xff102c30,
    0xff102830,
    0xff0d252c,
    0xff08232d,
    0xff0c2730,
    0xff0a272d,
    0xff0e272c,
    0xff0d262c,
    0xff0d262b,
    0xff0f2a2a,
    0xff11292b,
    0xff0f2322,
    0xff122524,
    0xff122728,
    0xff102526,
    0xff102527,
    0xff0c2122,
    0xff0a201f,
    0xff0d2220,
    0xff0c2623,
    0xff0c2622,
    0xff0c2324,
    0xff0e2828,
    0xff0c2728,
    0xff072025,
    0xff0b2429,
    0xff082125,
    0xff091f21,
    0xff091d20,
    0xff061f21,
    0xff071f23,
    0xff071d24,
    0xff0a2026,
    0xff092327,
    0xff0c252c,
    0xff09232a,
    0xff072329,
    0xff0e2a30,
    0xff0e2930,
    0xff0e262b,
    0xff10282c,
    0xff182c2f,
    0xff182b2c,
    0xff11282c,
    0xff0f272d,
    0xff12252c,
    0xff0e202a,
    0xff122431,
    0xff11242f,
    0xff112533,
    0xff132836,
    0xff172832,
    0xff182834,
    0xff172834,
    0xff152632,
    0xff142631,
    0xff192b35,
    0xff14262d,
    0xff172931,
    0xff17292f,
    0xff14272b,
    0xff17262b,
    0xff172328,
    0xff0d1618,
    0xff3f3f45,
    0xff9a959a,
    0xffa09aa1,
    0xff746f78,
    0xff797380,
    0xff3d3243,
    0xff8e828c,
    0xff5c5354,
    0xff5c5954,
    0xff1a1b18,
    0xff0e1317,
    0xff9291a0,
    0xffbdbdc1,
    0xff1e1e14,
    0xff262617,
    0xff313125,
    0xff2a291f,
    0xff1e2112,
    0xff626553,
    0xff21241b,
    0xff23211b,
    0xff241b15,
    0xff524946,
    0xff272618,
    0xff271d00,
    0xff7b5324,
    0xffdc9358,
    0xfff2b06f,
    0xffa07344,
    0xff9e8982,
    0xff917b74,
    0xff7a503c,
    0xff401500,
    0xffeec279,
    0xff8e4709,
    0xff5f1900,
    0xffa76f1e,
    0xffc79714,
    0xffe9ae28,
    0xfff9b82e,
    0xffefb618,
    0xffe3a31e,
    0xffea9a27,
    0xffe5932b,
    0xffab5807,
    0xffca8f52,
    0xffd3aa80,
    0xff9c621e,
    0xffc98725,
    0xffad6f14,
    0xffc38a18,
    0xffe4b12f,
    0xffeab041,
    0xffb27c0c,
    0xffdfb54d,
    0xff5b4c18,
    0xffa3a298,
    0xff0f0100,
    0xff5e3813,
    0xff2d1400,
    0xff190000,
    0xffb07a56,
    0xffaa683d,
    0xff9e5121,
    0xff8c3e00,
    0xffc77e35,
    0xffb87229,
    0xff80511c,
    0xff502e0f,
    0xff4c3311,
    0xff60512b,
    0xff120006,
    0xff5b3326,
    0xffc58d67,
    0xff62332e,
    0xff7c6254,
    0xffab8279,
    0xff88614b,
    0xffc28452,
    0xffd28e4b,
    0xffe99f71,
    0xffe3b28f,
    0xff854f31,
    0xff411006,
    0xff360900,
    0xff9f7735,
    0xfff5d19b,
    0xff84615b,
    0xff3b322d,
    0xff434c41,
    0xff524e4a,
    0xff45020e,
    0xff410204,
    0xff420006,
    0xff49000c,
    0xff4f050a,
    0xff4a0411,
    0xff3d0316,
    0xff320b14,
    0xff250d2b,
    0xff3f3e76,
    0xff5568aa,
    0xff1e407e,
    0xff476bbb,
    0xff3465c6,
    0xff2965c2,
    0xff4f63bc,
    0xff724a80,
    0xff750e21,
    0xff731e2e,
    0xff83598a,
    0xff664388,
    0xff674b8f,
    0xff714178,
    0xff550014,
    0xff7f0016,
    0xff940b05,
    0xff9c0506,
    0xff8f2451,
    0xff565595,
    0xff2d62a3,
    0xff385ca9,
    0xff4159b3,
    0xff4b599d,
    0xff6861a1,
    0xff857dc1,
    0xff5766b5,
    0xff395eb2,
    0xff2e57aa,
    0xff2b59ac,
    0xff2057a5,
    0xff2a62aa,
    0xff2961ab,
    0xff2860aa,
    0xff2961ae,
    0xff285fb0,
    0xff285fb2,
    0xff2f66bb,
    0xff2e64ba,
    0xff295eb6,
    0xff3167bf,
    0xff2f67bd,
    0xff3068be,
    0xff2c64bd,
    0xff3269c4,
    0xff3369c4,
    0xff346ac3,
    0xff2c65ba,
    0xff3068bd,
    0xff326abd,
    0xff366cbf,
    0xff396ebc,
    0xff3f74c1,
    0xff467ac5,
    0xff3f72bd,
    0xff416ebd,
    0xff4a77c7,
    0xff3d6cbd,
    0xff2d5db2,
    0xff2c5cb2,
    0xff2a5cb3,
    0xff275bb3,
    0xff2255af,
    0xff1d53a5,
    0xff2056a6,
    0xff245aaa,
    0xff2158a8,
    0xff2357a8,
    0xff2458ab,
    0xff295cb0,
    0xff2e60b4,
    0xff3066bc,
    0xff346bc1,
    0xff2f67bf,
    0xff3068c0,
    0xff316ac2,
    0xff316bc3,
    0xff336dc5,
    0xff346ec8,
    0xff3770c9,
    0xff3169c6,
    0xff3670cf,
    0xff3572ce,
    0xff326ecf,
    0xff326ece,
    0xff326ece,
    0xff316eca,
    0xff326dc6,
    0xff326ec6,
    0xff3571c8,
    0xff346ec9,
    0xff306bc5,
    0xff2f6bc4,
    0xff2f6ac6,
    0xff2e6ac6,
    0xff306bc5,
    0xff2f6ac3,
    0xff316cc6,
    0xff316cc6,
    0xff2f6ac4,
    0xff316cc8,
    0xff326dca,
    0xff326dc9,
    0xff3e6bbd,
    0xff7272ad,
    0xff56588c,
    0xff3865ba,
    0xff2c69c3,
    0xff346bbb,
    0xff3168c3,
    0xff3069c8,
    0xff2d6ac3,
    0xff3066cd,
    0xff2c65c1,
    0xff2b6cc8,
    0xff2a5eb9,
    0xff8695ca,
    0xff444d6b,
    0xff3f60a2,
    0xff3268c0,
    0xff3269c3,
    0xff2e65c2,
    0xff2d68c5,
    0xff2a64c5,
    0xff2a65c5,
    0xff2d65c3,
    0xff2e65c3,
    0xff2b67c5,
    0xff2d68c6,
    0xff2c67c5,
    0xff2b65c4,
    0xff2a65c3,
    0xff2c67c5,
    0xff2b66c4,
    0xff2b65c3,
    0xff3064c8,
    0xff2c65cc,
    0xff246ac2,
    0xff2469c7,
    0xff2e66c5,
    0xff3466c1,
    0xff3268c8,
    0xff2d6bc2,
    0xff226ec8,
    0xff2d68ca,
    0xff3164cb,
    0xff2d64ca,
    0xff2b68cc,
    0xff2d65c9,
    0xff2c66c1,
    0xff2767bf,
    0xff3567cb,
    0xff2f67c3,
    0xff2a68c0,
    0xff2a67c1,
    0xff3367c4,
    0xff4860bb,
    0xff715eae,
    0xff834a92,
    0xff903879,
    0xffa41f4e,
    0xffa00010,
    0xffa40007,
    0xff9b020c,
    0xff9b000f,
    0xffbf2021,
    0xffce3226,
    0xffb0162d,
    0xff98030f,
    0xffa6050c,
    0xffa10409,
    0xff8a0214,
    0xff861536,
    0xff7e3662,
    0xff5c4f97,
    0xff4f539d,
    0xff5d4e96,
    0xff8461aa,
    0xffa273ac,
    0xff98677a,
    0xff401b23,
    0xff260d33,
    0xff65448a,
    0xff644899,
    0xff4d4ba7,
    0xff4d4c9e,
    0xff4c4c98,
    0xff4458a6,
    0xff4073cf,
    0xff4e69c5,
    0xff53113f,
    0xff740514,
    0xff710308,
    0xff6c0c0c,
    0xff5e080f,
    0xff62050e,
    0xff670001,
    0xff5f0000,
    0xff66181f,
    0xff83506f,
    0xff57639b,
    0xff3f62bb,
    0xff3861bb,
    0xff577bbb,
    0xff879dd8,
    0xff4f79c3,
    0xff2660c2,
    0xff2764c2,
    0xff2966c3,
    0xff2966c3,
    0xff2966c3,
    0xff2665c2,
    0xff2564c1,
    0xff2867c4,
    0xff2a69c6,
    0xff2766c3,
    0xff2968c5,
    0xff2665c2,
    0xff2665c2,
    0xff2867c4,
    0xff2766c3,
    0xff2867c4,
    0xff2a69c6,
    0xff2b6ac7,
    0xff2c6bc8,
    0xff2867c4,
    0xff2a69c6,
    0xff2968c5,
    0xff2867c4,
    0xff2665c2,
    0xff2766c3,
    0xff2665c2,
    0xff2767c3,
    0xff2666c2,
    0xff2867c4,
    0xff2868c4,
    0xff2767c3,
    0xff2968c5,
    0xff2767c3,
    0xff2c69c6,
    0xff2c69c6,
    0xff2c69c6,
    0xff306dca,
    0xff2f6cc9,
    0xff306dca,
    0xff2f6cc9,
    0xff2e6bc8,
    0xff2e6bc8,
    0xff2d6ac7,
    0xff306dca,
    0xff3070cd,
    0xff2e6dca,
    0xff306fcc,
    0xff3170cd,
    0xff2e6dca,
    0xff2e6dcc,
    0xff2e6ecd,
    0xff2e6ecd,
    0xff2d6dc9,
    0xff2f6fcc,
    0xff2e6ecb,
    0xff2d6cc9,
    0xff2969c6,
    0xff2b66c7,
    0xff2c68c9,
    0xff2d6bc7,
    0xff2f6cc9,
    0xff2a67c4,
    0xff2b68c6,
    0xff2b68c2,
    0xff2865c1,
    0xff3168cc,
    0xff3a70d0,
    0xff4072c8,
    0xff3561ae,
    0xff4667ad,
    0xff6077b1,
    0xff444f7a,
    0xff848ba6,
    0xffc5d8df,
    0xff6987c0,
    0xff2d56b9,
    0xff2a63c5,
    0xff2a65c1,
    0xff2865c2,
    0xff2767c1,
    0xff2168b3,
    0xff2962bd,
    0xff275ebe,
    0xff2763c1,
    0xff235dbe,
    0xff2862c6,
    0xff2763c5,
    0xff2561c1,
    0xff2763c3,
    0xff2764bd,
    0xff2966c0,
    0xff2966c0,
    0xff2b68c3,
    0xff2967c1,
    0xff2765bf,
    0xff2c66c2,
    0xff2c68c2,
    0xff2d69bc,
    0xff2d64bf,
    0xff5267b7,
    0xff4562bd,
    0xff2763ca,
    0xff2366c5,
    0xff2a66c1,
    0xff3b62b8,
    0xff415fbc,
    0xff834771,
    0xff7d1417,
    0xff620206,
    0xff7e140e,
    0xff6c0508,
    0xff77070e,
    0xff740706,
    0xff830511,
    0xff900004,
    0xff70001b,
    0xff80477c,
    0xff71223f,
    0xff871721,
    0xff7a2655,
    0xff7f4692,
    0xff4f4cb9,
    0xff3f4db0,
    0xff564c86,
    0xff7a454b,
    0xff9c2924,
    0xff7e0808,
    0xff7f0410,
    0xff850715,
    0xff76050c,
    0xff70000d,
    0xff810f0c,
    0xffb4413d,
    0xff953e44,
    0xff5e3a57,
    0xff785c8e,
    0xff834b5b,
    0xffbd403d,
    0xffb5382e,
    0xffa73428,
    0xffb24136,
    0xffb75143,
    0xffbc5c5e,
    0xffb06392,
    0xff6456a2,
    0xff2b52ad,
    0xff2f55b7,
    0xff1264ad,
    0xff195dbd,
    0xff284fa9,
    0xff614f94,
    0xff844989,
    0xff3d449f,
    0xff2e58bf,
    0xff1b5cb6,
    0xff295ab5,
    0xff1c5eba,
    0xff1064b7,
    0xff2058b8,
    0xff2054c2,
    0xff195bb3,
    0xff1954b7,
    0xff1955b8,
    0xff1955b7,
    0xff1854b6,
    0xff1854b7,
    0xff1854b6,
    0xff1854b6,
    0xff1854b5,
    0xff1854b2,
    0xff1b56b3,
    0xff1a57b3,
    0xff1855b5,
    0xff1a56b3,
    0xff1855b2,
    0xff1752ae,
    0xff1954b0,
    0xff1255ac,
    0xff1652aa,
    0xff1455ab,
    0xff1350ae,
    0xff174db0,
    0xff0d50a5,
    0xff124c94,
    0xff5164a7,
    0xff666680,
    0xff30418f,
    0xff2052b6,
    0xff1254a4,
    0xff1453b7,
    0xff0e5aad,
    0xff175699,
    0xff3b4c88,
    0xff332c6b,
    0xff1a4ca7,
    0xff164fb0,
    0xff274da6,
    0xff3f3476,
    0xff913866,
    0xff8e2345,
    0xffa6545e,
    0xff724e6c,
    0xff5d5583,
    0xff793e6b,
    0xffa53a70,
    0xffb74c7b,
    0xffb2324d,
    0xffae1532,
    0xffb41231,
    0xffcc2a35,
    0xffc83c3a,
    0xffc53f3d,
    0xffc53e3d,
    0xffa71116,
    0xffbd3137,
    0xffb9574e,
    0xffbe5948,
    0xffb56043,
    0xffdb664c,
    0xffd46047,
    0xffda814e,
    0xffc9762a,
    0xffd56c2b,
    0xffcf5e1e,
    0xffd38022,
    0xfff7b24f,
    0xffc16726,
    0xffbd4434,
    0xffa51726,
    0xff890815,
    0xff851a19,
    0xff7f150a,
    0xff942115,
    0xff732020,
    0xff411309,
    0xff24150f,
    0xff1f0f0f,
    0xff612619,
    0xffd86c53,
    0xffd55b3e,
    0xffba502f,
    0xffc5513b,
    0xffd0654a,
    0xffc5573e,
    0xffc74522,
    0xffdb6539,
    0xffdb7037,
    0xffeb5f36,
    0xffa30812,
    0xffe57685,
    0xfffff6e4,
    0xffc5948b,
    0xff130708,
    0xff091d1d,
    0xff092116,
    0xff0d2015,
    0xff11211f,
    0xff072111,
    0xff041e0f,
    0xff082015,
    0xff0d221e,
    0xff0e2322,
    0xff0f2628,
    0xff0b272b,
    0xff0a262c,
    0xff122a28,
    0xff0e2526,
    0xff0c2629,
    0xff0c272e,
    0xff0f2a34,
    0xff0f2938,
    0xff11273a,
    0xff11283b,
    0xff122d38,
    0xff112c36,
    0xff0e2933,
    0xff0f2b34,
    0xff102930,
    0xff0e272b,
    0xff0d262b,
    0xff0d262b,
    0xff0e2322,
    0xff0c221f,
    0xff0e2324,
    0xff0f2426,
    0xff0f2623,
    0xff0b221e,
    0xff0c201c,
    0xff0f251f,
    0xff051e19,
    0xff061f1a,
    0xff08211e,
    0xff041f1e,
    0xff072121,
    0xff082125,
    0xff092226,
    0xff082328,
    0xff061f21,
    0xff092126,
    0xff092125,
    0xff072124,
    0xff082226,
    0xff051e26,
    0xff051e25,
    0xff092229,
    0xff082027,
    0xff0c242c,
    0xff08202a,
    0xff0b222d,
    0xff0b222c,
    0xff0f252e,
    0xff0c2128,
    0xff11242b,
    0xff0c2329,
    0xff0e252a,
    0xff13282f,
    0xff12262c,
    0xff11222a,
    0xff10222b,
    0xff152730,
    0xff152730,
    0xff17272c,
    0xff18262c,
    0xff19272f,
    0xff1a2730,
    0xff1c2933,
    0xff18252e,
    0xff1a262f,
    0xff1d2b31,
    0xff1b2c2b,
    0xff1e2d2c,
    0xff1a2a28,
    0xff1d2a28,
    0xff222d2b,
    0xff1b221f,
    0xff191c1b,
    0xff353535,
    0xff767078,
    0xff6d6774,
    0xff777181,
    0xff9892a4,
    0xff504c56,
    0xff6e6b6c,
    0xff3b3d37,
    0xff51514c,
    0xff0a0e15,
    0xff878992,
    0xffd6d7e2,
    0xff2c2e34,
    0xff232723,
    0xff22291f,
    0xff2c3326,
    0xff3b4635,
    0xff3c4f3e,
    0xff192010,
    0xff1b1d0f,
    0xff424435,
    0xff110800,
    0xff7f604d,
    0xff834c30,
    0xff86441d,
    0xff421200,
    0xff0d0200,
    0xff736e80,
    0xffebd4db,
    0xff876865,
    0xff5f4643,
    0xff290700,
    0xff5e2c17,
    0xff38180f,
    0xff633d1c,
    0xffba8021,
    0xffbd6708,
    0xffca7515,
    0xffb07100,
    0xffefb835,
    0xfff2b627,
    0xffe6a235,
    0xff8c4d0c,
    0xffffd6b6,
    0xff673006,
    0xffd89336,
    0xffb9791e,
    0xffc99162,
    0xffbf8945,
    0xfff4c37a,
    0xffedbe89,
    0xffd7aa6c,
    0xffb78a48,
    0xfffedfbe,
    0xff938683,
    0xff544a46,
    0xff5a443f,
    0xff2e1b22,
    0xff1a0000,
    0xff72482d,
    0xffbb816d,
    0xff68221f,
    0xff964e32,
    0xffc47a42,
    0xffd7895b,
    0xff080000,
    0xff0b0205,
    0xff0b0e00,
    0xff000a00,
    0xff0c1317,
    0xff160200,
    0xff7b583d,
    0xff695048,
    0xff6a492b,
    0xff96644b,
    0xff70554d,
    0xff7f522c,
    0xffb56426,
    0xffd17c5a,
    0xffb9835c,
    0xffde895f,
    0xff89472e,
    0xff090000,
    0xff714f34,
    0xff6d411e,
    0xffa37f75,
    0xff3b2f1b,
    0xff616f61,
    0xff4e4058,
    0xff440109,
    0xff3e0506,
    0xff440209,
    0xff4c000a,
    0xff4a0409,
    0xff3f000a,
    0xff4e1b2b,
    0xff1d0714,
    0xff4f456f,
    0xff5659a3,
    0xff223f87,
    0xff0f3b80,
    0xff3f67c5,
    0xff336ac7,
    0xff2c67b5,
    0xff3f5bb1,
    0xff5f5ea3,
    0xff6d2542,
    0xff83171e,
    0xff76112b,
    0xff7c5589,
    0xff52559e,
    0xff5f2e75,
    0xff5b0015,
    0xff81000a,
    0xff990900,
    0xff9b0709,
    0xff78214d,
    0xff5f5999,
    0xff5c5f95,
    0xff755786,
    0xff98729f,
    0xffcaa1bc,
    0xffd399b7,
    0xffb082a7,
    0xff7c7dad,
    0xff23508d,
    0xff285fac,
    0xff265aae,
    0xff235cad,
    0xff205aa5,
    0xff245ea9,
    0xff2c65b2,
    0xff2760af,
    0xff215aab,
    0xff2159ac,
    0xff1f58ad,
    0xff245db1,
    0xff3267c1,
    0xff3267c2,
    0xff2d64be,
    0xff2d63be,
    0xff2e65bf,
    0xff2d64be,
    0xff2d63bd,
    0xff265cb5,
    0xff255db2,
    0xff2b64b9,
    0xff2d65b8,
    0xff3269bb,
    0xff2c64b3,
    0xff2e63b1,
    0xff3468b7,
    0xff3063af,
    0xff3261ad,
    0xff305faa,
    0xff2d5da9,
    0xff2a5ca9,
    0xff2e61b3,
    0xff2a61b3,
    0xff2a61b4,
    0xff2d66b8,
    0xff2d66b9,
    0xff2b65b9,
    0xff2b63b9,
    0xff3069be,
    0xff346cc1,
    0xff346ac3,
    0xff336ac2,
    0xff3a6fc7,
    0xff346dc8,
    0xff346dc7,
    0xff326bc5,
    0xff336ec9,
    0xff346fca,
    0xff306dca,
    0xff306dca,
    0xff2f6dc8,
    0xff2d68c6,
    0xff306cca,
    0xff316cca,
    0xff306bcd,
    0xff2f6bcb,
    0xff2d69c9,
    0xff2e6aca,
    0xff306ccc,
    0xff326ec6,
    0xff2d6ac1,
    0xff2e69c3,
    0xff316cc6,
    0xff306bc7,
    0xff3169c6,
    0xff336bc8,
    0xff3870cf,
    0xff356dca,
    0xff346fcb,
    0xff316cc9,
    0xff2e6cc7,
    0xff306ec8,
    0xff2f6cca,
    0xff2e6bc9,
    0xff2c67c5,
    0xff466bbf,
    0xff7276ae,
    0xff49548e,
    0xff3768bb,
    0xff2d69c4,
    0xff3069be,
    0xff2e69c6,
    0xff2b64c6,
    0xff2969c6,
    0xff2f65c7,
    0xff2963c3,
    0xff2867c4,
    0xff3a63ad,
    0xff9298be,
    0xff3b456b,
    0xff3662af,
    0xff2e67c1,
    0xff3068c5,
    0xff2b65c3,
    0xff2862c3,
    0xff2862c3,
    0xff2b62c3,
    0xff2a62c3,
    0xff2b62c3,
    0xff2963c2,
    0xff2964c2,
    0xff2a64c2,
    0xff2764c1,
    0xff2a64c3,
    0xff2a66c4,
    0xff2e65c4,
    0xff2d64c4,
    0xff2e60c8,
    0xff3a60c7,
    0xff3263c6,
    0xff2365c6,
    0xff2e68c2,
    0xff3067be,
    0xff2c67c3,
    0xff306abf,
    0xff2867c4,
    0xff2d66c9,
    0xff2e65c8,
    0xff2768c5,
    0xff246ac3,
    0xff276ac3,
    0xff2a67c7,
    0xff2b65c8,
    0xff216ec5,
    0xff3364c8,
    0xff395fcc,
    0xff2d67c9,
    0xff3b62b2,
    0xff785596,
    0xff962450,
    0xff980017,
    0xffa70010,
    0xffac000e,
    0xffad0212,
    0xffa00313,
    0xff970416,
    0xff91000a,
    0xffab110f,
    0xffd9392d,
    0xffa51122,
    0xff920301,
    0xff860015,
    0xff7c1740,
    0xff784a7a,
    0xff7461ab,
    0xff5a60b1,
    0xff4668ca,
    0xff3671cc,
    0xff436fbf,
    0xff3d61c2,
    0xff4152b1,
    0xff76659e,
    0xff221041,
    0xff646ab1,
    0xff5569b2,
    0xff416fbb,
    0xff4e6ba2,
    0xff544e73,
    0xff3f3b6f,
    0xff3f4891,
    0xff465db1,
    0xff6663b1,
    0xff56052d,
    0xff700010,
    0xff700814,
    0xff580513,
    0xff4b0414,
    0xff4c000b,
    0xff590206,
    0xff54090e,
    0xff430d1e,
    0xff623967,
    0xff595b92,
    0xff4653a0,
    0xff3f62b3,
    0xff2d67b3,
    0xff3167b8,
    0xff2f6ec7,
    0xff2769cb,
    0xff2c69c7,
    0xff2a67c4,
    0xff2b68c5,
    0xff2969c5,
    0xff2968c5,
    0xff2867c3,
    0xff2766c3,
    0xff2564c1,
    0xff2867c4,
    0xff2a69c6,
    0xff2b6ac6,
    0xff2c6bc8,
    0xff2a69c6,
    0xff2968c5,
    0xff2968c5,
    0xff2b6ac6,
    0xff2968c5,
    0xff2766c3,
    0xff2867c4,
    0xff2564c1,
    0xff2665c2,
    0xff2867c4,
    0xff2968c4,
    0xff2867c4,
    0xff2b68c5,
    0xff2c69c6,
    0xff2a67c4,
    0xff2c68c5,
    0xff2a67c4,
    0xff2c68c5,
    0xff2e6bc8,
    0xff2e6ac7,
    0xff2d6ac7,
    0xff2e6bc8,
    0xff2e6bc8,
    0xff326fcc,
    0xff306dca,
    0xff2f6cc9,
    0xff2e6bc8,
    0xff2d6ac7,
    0xff2f6dc9,
    0xff2f6cc9,
    0xff2f6cc9,
    0xff306cc9,
    0xff2d6dca,
    0xff2b6ac7,
    0xff2b6ac7,
    0xff2b6ac7,
    0xff2a65c6,
    0xff2c67c8,
    0xff2c69c5,
    0xff2b68c5,
    0xff2966c3,
    0xff2865c2,
    0xff2966c3,
    0xff2966c2,
    0xff2965c5,
    0xff2864c4,
    0xff2763c4,
    0xff2765c1,
    0xff2764c1,
    0xff2663c0,
    0xff2663c0,
    0xff2864c1,
    0xff2d61ba,
    0xff285cbd,
    0xff2458c0,
    0xff265dc1,
    0xff2963bd,
    0xff275eb1,
    0xff2861b2,
    0xff2559ae,
    0xff244b98,
    0xff2e5ab8,
    0xff275ec2,
    0xff225fb9,
    0xff255eb8,
    0xff295dc2,
    0xff295cbb,
    0xff295eae,
    0xff3c73cf,
    0xff265ebe,
    0xff2a61c0,
    0xff235dbe,
    0xff2660c0,
    0xff2460c3,
    0xff235fc1,
    0xff2762c4,
    0xff2463c0,
    0xff2363c0,
    0xff2060be,
    0xff2764c1,
    0xff2461be,
    0xff215cba,
    0xff225dbc,
    0xff225dbc,
    0xff2260be,
    0xff1d61c4,
    0xff2a5fb5,
    0xff2059ba,
    0xff235cc4,
    0xff2b57bf,
    0xff295bc4,
    0xff2a58b8,
    0xff4f5096,
    0xff87292a,
    0xff810f00,
    0xff760912,
    0xff81050a,
    0xff820701,
    0xff880001,
    0xff8f040a,
    0xff7d0000,
    0xff7d0100,
    0xff7a1032,
    0xff89528d,
    0xff764f7c,
    0xff714f7b,
    0xff3e539a,
    0xff2552ae,
    0xff244eb3,
    0xff2c56b2,
    0xff553f6e,
    0xff74110a,
    0xffa73017,
    0xff7c1706,
    0xff750d04,
    0xff780703,
    0xff660911,
    0xff700106,
    0xff7b0602,
    0xff7a0508,
    0xff972c31,
    0xffac5b6a,
    0xffbc637c,
    0xff99150a,
    0xffc13323,
    0xffba2b23,
    0xffad2224,
    0xff971b21,
    0xffb94847,
    0xffc04e54,
    0xff9d4867,
    0xff58487b,
    0xff2b54aa,
    0xff2d58b8,
    0xff2161a9,
    0xff295ab9,
    0xff3054b2,
    0xff735791,
    0xffa03b4f,
    0xff804562,
    0xff475284,
    0xff1d57ae,
    0xff2455b2,
    0xff1d54b1,
    0xff1754b2,
    0xff2550b0,
    0xff2055be,
    0xff1b57b4,
    0xff1b57b7,
    0xff1b57b7,
    0xff1d59b9,
    0xff1d59b9,
    0xff1c58b8,
    0xff1d5aba,
    0xff1e5aba,
    0xff205cbc,
    0xff1d55b6,
    0xff1e58b9,
    0xff1c5cbb,
    0xff1c5db8,
    0xff1b5bb8,
    0xff1c5aba,
    0xff1b55b6,
    0xff1d56b6,
    0xff165ab5,
    0xff1754b0,
    0xff1959b4,
    0xff1d56b7,
    0xff1f51b9,
    0xff1454b0,
    0xff1854a4,
    0xff2f4c97,
    0xff545b85,
    0xff344ba2,
    0xff1a51b5,
    0xff155aa9,
    0xff1b50c7,
    0xff1250bf,
    0xff1a53ac,
    0xff365497,
    0xff232d68,
    0xff23529d,
    0xff1657af,
    0xff2a4a9d,
    0xff674381,
    0xff68327b,
    0xff5a3c87,
    0xff764c5a,
    0xffa15f57,
    0xffb36974,
    0xff8a1e33,
    0xffaa304b,
    0xffae3b59,
    0xffb43448,
    0xffbd313b,
    0xffc44149,
    0xffcd4346,
    0xffc3373c,
    0xffc72b3f,
    0xffbe213e,
    0xffbf2547,
    0xffc14169,
    0xffb05c7a,
    0xffa64d57,
    0xffcd764e,
    0xffce673c,
    0xffcd6d42,
    0xffc05924,
    0xffdf7f31,
    0xffd88130,
    0xffd16827,
    0xffea9346,
    0xffe8c664,
    0xffe1ae71,
    0xff945142,
    0xff5a1523,
    0xff571e2f,
    0xff612c34,
    0xff632024,
    0xff741d23,
    0xff7a1f22,
    0xff7a1105,
    0xff651510,
    0xff3b0208,
    0xff964534,
    0xffd65e38,
    0xffdb5435,
    0xffd54e37,
    0xffce543b,
    0xffc8523c,
    0xffcd4d38,
    0xffc23c1c,
    0xffdf6738,
    0xffe87134,
    0xffd84b23,
    0xff9f1019,
    0xffbe3c4a,
    0xffd97a71,
    0xff6f2a1f,
    0xff160804,
    0xff0b1c16,
    0xff0d1c10,
    0xff001e0c,
    0xff061a17,
    0xff051c12,
    0xff051b11,
    0xff0a1d19,
    0xff0d1f1f,
    0xff0d1f21,
    0xff0d2426,
    0xff0b2428,
    0xff072325,
    0xff0b2222,
    0xff092425,
    0xff0c2529,
    0xff0c282e,
    0xff09242d,
    0xff08242e,
    0xff0b232e,
    0xff0d2230,
    0xff0d292f,
    0xff09252b,
    0xff0c282d,
    0xff0d292e,
    0xff0e272d,
    0xff0b242a,
    0xff0c2529,
    0xff0c2629,
    0xff0c2624,
    0xff0c2424,
    0xff0e2727,
    0xff0b211e,
    0xff081f1d,
    0xff0a1e1a,
    0xff0a1f18,
    0xff091d15,
    0xff0a2017,
    0xff071d14,
    0xff081f18,
    0xff081f19,
    0xff081e1d,
    0xff081f1f,
    0xff0c2224,
    0xff0b2326,
    0xff0a2327,
    0xff0c2529,
    0xff082125,
    0xff082126,
    0xff092126,
    0xff062229,
    0xff031f26,
    0xff042026,
    0xff05202a,
    0xff08242e,
    0xff07242f,
    0xff092331,
    0xff082431,
    0xff082230,
    0xff102837,
    0xff162c3a,
    0xff0d292c,
    0xff092525,
    0xff0b2527,
    0xff0d2325,
    0xff0c2123,
    0xff0d2126,
    0xff12272b,
    0xff12262b,
    0xff172930,
    0xff1a2a33,
    0xff1a2b34,
    0xff1a2930,
    0xff1b2b32,
    0xff1b292d,
    0xff1c2b2c,
    0xff1c2929,
    0xff1c2d26,
    0xff1f2e27,
    0xff1e2d26,
    0xff1e2b24,
    0xff1f2a24,
    0xff212a23,
    0xff1c251d,
    0xff1f251f,
    0xff2c2a29,
    0xff737176,
    0xff747181,
    0xff807e92,
    0xff9f9daf,
    0xff3c3b43,
    0xffb0afaf,
    0xffbcbab5,
    0xff090d0e,
    0xff11171c,
    0xff7e838d,
    0xffabafbb,
    0xff161a23,
    0xff232a2b,
    0xff1f2922,
    0xff263223,
    0xff3d463f,
    0xff4c453a,
    0xff312815,
    0xff484633,
    0xff201b12,
    0xff1c0b0e,
    0xff14090a,
    0xff060d08,
    0xff938f9c,
    0xff051116,
    0xff000000,
    0xffe5ddd1,
    0xff6d5346,
    0xff422e1f,
    0xff2d1403,
    0xff714837,
    0xff1d160d,
    0xff402914,
    0xff985f33,
    0xffbf6642,
    0xff7f290a,
    0xff985a20,
    0xff844c00,
    0xffe8aa3c,
    0xffeeb763,
    0xffffe0a6,
    0xff754311,
    0xff8f4b17,
    0xff9c4b00,
    0xffbd834c,
    0xffe4b4a9,
    0xff8d4f2a,
    0xff603810,
    0xff402710,
    0xff31250f,
    0xff301d05,
    0xffb79f9a,
    0xff533d42,
    0xff705658,
    0xff937377,
    0xffa28d96,
    0xffafa0a0,
    0xff9f9281,
    0xffbca58f,
    0xffab8275,
    0xffac7d65,
    0xffae8164,
    0xffa88276,
    0xff928f85,
    0xff67666a,
    0xff352d37,
    0xff0a1011,
    0xff000200,
    0xff000000,
    0xff3d1f1f,
    0xff614740,
    0xff764935,
    0xffad6b4f,
    0xff9e7e6b,
    0xff836034,
    0xffe49b50,
    0xff98410b,
    0xffb98555,
    0xffa45924,
    0xffd68f5e,
    0xff432a0f,
    0xff3d0b00,
    0xffcb9a71,
    0xff62473f,
    0xff4e3e3e,
    0xff818a8c,
    0xff5c496e,
    0xff410107,
    0xff330408,
    0xff42080e,
    0xff4a0007,
    0xff460307,
    0xff42020b,
    0xff572732,
    0xff160919,
    0xff545080,
    0xff343a81,
    0xff12326b,
    0xff5a74a5,
    0xff544e96,
    0xff545096,
    0xff50548a,
    0xff4e4d87,
    0xff5a5ba7,
    0xff835b99,
    0xff701e3d,
    0xff861220,
    0xff682336,
    0xff5d6196,
    0xff5a59ad,
    0xff53427f,
    0xff752b4b,
    0xff820b1b,
    0xff880c1b,
    0xff8e4e6e,
    0xff6a4b78,
    0xff732d5d,
    0xffb85d7f,
    0xffba7c8e,
    0xff7f3f4d,
    0xffb16378,
    0xffdd98b3,
    0xff8a779a,
    0xff46659d,
    0xff3166b4,
    0xff306ac0,
    0xff2f6bba,
    0xff336ac0,
    0xff2f67bc,
    0xff2e65ba,
    0xff366dc2,
    0xff3068bb,
    0xff336bbe,
    0xff346cbe,
    0xff366fc0,
    0xff3369c1,
    0xff346ac2,
    0xff3169be,
    0xff2e66bb,
    0xff3169be,
    0xff2c64b9,
    0xff346abf,
    0xff356cbf,
    0xff366dbf,
    0xff3369bb,
    0xff2f63b6,
    0xff2f63b4,
    0xff366ab8,
    0xff3164b3,
    0xff3162ae,
    0xff3667b4,
    0xff3462af,
    0xff3464b3,
    0xff3868b8,
    0xff3b6fc0,
    0xff3165b7,
    0xff3068bb,
    0xff2c65ba,
    0xff306bbf,
    0xff3371c9,
    0xff3371c9,
    0xff326fc8,
    0xff316fc7,
    0xff346fc9,
    0xff326cc8,
    0xff346cc8,
    0xff336bc6,
    0xff2f6ac6,
    0xff326dc9,
    0xff346fcb,
    0xff306bca,
    0xff2c6ac7,
    0xff306ccd,
    0xff2e6bcb,
    0xff2e6aca,
    0xff2e6ac7,
    0xff2f6ac9,
    0xff3069c8,
    0xff2f69c6,
    0xff306ac6,
    0xff2e68c6,
    0xff2c67c4,
    0xff2e6bc7,
    0xff3770ca,
    0xff3c75cf,
    0xff3b75ce,
    0xff3b72d0,
    0xff3f75d3,
    0xff366dca,
    0xff2f65c5,
    0xff2c61c2,
    0xff2c63be,
    0xff2f68c2,
    0xff2e69c3,
    0xff2967bf,
    0xff2966c1,
    0xff306bc6,
    0xff2f68c5,
    0xff3268c6,
    0xff4e6cba,
    0xff636ba2,
    0xff455b99,
    0xff366dc1,
    0xff2b67c3,
    0xff2c64c3,
    0xff2967c6,
    0xff2765c7,
    0xff2566c8,
    0xff2e65bc,
    0xff2b65c1,
    0xff245db7,
    0xff6d8abf,
    0xff606485,
    0xff394c83,
    0xff346ab9,
    0xff2a62c0,
    0xff2863bf,
    0xff2864c2,
    0xff2963c4,
    0xff2963c7,
    0xff2b62c6,
    0xff275ec3,
    0xff2b61c4,
    0xff2862c1,
    0xff2b66c4,
    0xff2967c4,
    0xff2765c2,
    0xff2863c1,
    0xff2a62c1,
    0xff2c61c1,
    0xff2b64c3,
    0xff176cc4,
    0xff2c5aaf,
    0xff2c54b9,
    0xff2a63c5,
    0xff215fb2,
    0xff265cc0,
    0xff2d60d0,
    0xff355bc7,
    0xff375ebb,
    0xff3765c0,
    0xff2f62be,
    0xff2e64bc,
    0xff2d69bc,
    0xff2566b6,
    0xff2a66c1,
    0xff2b64c5,
    0xff2170be,
    0xff2664c5,
    0xff2963cd,
    0xff2d5cb7,
    0xff675ea0,
    0xffa1426e,
    0xff970019,
    0xffa4060e,
    0xffa9040d,
    0xffa70110,
    0xff9e000e,
    0xff9b030d,
    0xff99000a,
    0xff990009,
    0xff97010d,
    0xffa81926,
    0xff99181d,
    0xff88120c,
    0xff803372,
    0xff625dbd,
    0xff3e6ac4,
    0xff316ed6,
    0xff3169d1,
    0xff3863cc,
    0xff3864bf,
    0xff3669bb,
    0xff2b61b8,
    0xff8faeef,
    0xff86859e,
    0xff3d457a,
    0xff3f65cb,
    0xff3c67c9,
    0xff4160a6,
    0xff98ace0,
    0xff425282,
    0xff526bbf,
    0xff4a5cbd,
    0xff41418b,
    0xff493060,
    0xff590b10,
    0xff6e0709,
    0xff72050b,
    0xff68010b,
    0xff5d0010,
    0xff5d040f,
    0xff5c010d,
    0xff570823,
    0xff4f1344,
    0xff725da3,
    0xff6467a9,
    0xff5554a1,
    0xff4361b3,
    0xff2567bc,
    0xff2a69c6,
    0xff2c68c2,
    0xff2c65bc,
    0xff2964c3,
    0xff2965c5,
    0xff2864c4,
    0xff2666c5,
    0xff2766c6,
    0xff2968c7,
    0xff2968c7,
    0xff2867c6,
    0xff2b6ac9,
    0xff2867c6,
    0xff2766c5,
    0xff2766c5,
    0xff2a69c8,
    0xff2b6ac9,
    0xff2867c7,
    0xff2867c6,
    0xff2968c7,
    0xff2a69c8,
    0xff2a69c8,
    0xff2867c6,
    0xff2867c7,
    0xff2968c7,
    0xff2b6ac9,
    0xff2b6aca,
    0xff2a67c4,
    0xff2b68c5,
    0xff2a67c4,
    0xff2b68c5,
    0xff2f6cc9,
    0xff2d6ac7,
    0xff2e6bc8,
    0xff2e6bc8,
    0xff2764c1,
    0xff2966c3,
    0xff2865c2,
    0xff2c69c6,
    0xff2c69c6,
    0xff2a67c4,
    0xff2d6ac7,
    0xff2966c3,
    0xff2b65c3,
    0xff2967c3,
    0xff2966c3,
    0xff2764c1,
    0xff2663c0,
    0xff2362bf,
    0xff2463c0,
    0xff2463c0,
    0xff2a67c3,
    0xff2865c2,
    0xff2663c0,
    0xff2461be,
    0xff2764c1,
    0xff2764c1,
    0xff2661c2,
    0xff2662c2,
    0xff2561c1,
    0xff2561c1,
    0xff235fbf,
    0xff225ebf,
    0xff215fbb,
    0xff2360bd,
    0xff2562bf,
    0xff2764c1,
    0xff2962bd,
    0xff2960c4,
    0xff2a60c8,
    0xff285fc4,
    0xff2961bf,
    0xff2963bb,
    0xff2862bb,
    0xff275fbd,
    0xff2960c3,
    0xff235dc4,
    0xff1e5fbe,
    0xff1e60b6,
    0xff2361ba,
    0xff275cc5,
    0xff2b5bc9,
    0xff2c5bc4,
    0xff265dbd,
    0xff3067c6,
    0xff2561be,
    0xff205bb9,
    0xff235dbd,
    0xff1e5bbb,
    0xff225fc1,
    0xff2661c4,
    0xff2261c1,
    0xff205fc0,
    0xff215dbf,
    0xff235fc0,
    0xff2663c3,
    0xff245ec1,
    0xff215bbe,
    0xff245bc0,
    0xff2558be,
    0xff2458c0,
    0xff2859b4,
    0xff1e5bba,
    0xff1e57b6,
    0xff2c5ab6,
    0xff2159bf,
    0xff2757ad,
    0xff6b4e6e,
    0xff851a15,
    0xff7a0b07,
    0xff75000a,
    0xff920807,
    0xff9c1304,
    0xff950109,
    0xff9c0003,
    0xffdd4323,
    0xffca4322,
    0xff87000f,
    0xff8e316b,
    0xff624586,
    0xff5053a0,
    0xff2955ac,
    0xff1b5ebd,
    0xff295dab,
    0xff1b62ba,
    0xff4d5ea0,
    0xff762031,
    0xff9e2313,
    0xffa93018,
    0xff860f00,
    0xff830d07,
    0xff770a0d,
    0xff87070d,
    0xff880300,
    0xff9a1a21,
    0xff750510,
    0xffa65771,
    0xff8d3968,
    0xff9c2334,
    0xffaf2423,
    0xffbe2f2a,
    0xffbe2625,
    0xffc23d3b,
    0xffbe453d,
    0xffbd3330,
    0xffa92b33,
    0xff8f4058,
    0xff534b9b,
    0xff2851bd,
    0xff1450ac,
    0xff2653bc,
    0xff2c4aaa,
    0xff704885,
    0xffb14238,
    0xff901b01,
    0xffa05d57,
    0xff434a98,
    0xff2953b3,
    0xff2354ac,
    0xff2053b5,
    0xff2354b2,
    0xff1c57b8,
    0xff1c57b3,
    0xff1d58b6,
    0xff1c56b4,
    0xff1c57b5,
    0xff1c57b5,
    0xff1c57b5,
    0xff1a55b3,
    0xff1853b1,
    0xff1853b1,
    0xff1652b5,
    0xff1856b8,
    0xff1455b3,
    0xff175ab6,
    0xff1659b4,
    0xff195ab8,
    0xff1957b9,
    0xff1b56ba,
    0xff1a5cbc,
    0xff1e5bb8,
    0xff215fbc,
    0xff2058bc,
    0xff2856c1,
    0xff1d58bc,
    0xff1d5cb4,
    0xff294d9f,
    0xff767cae,
    0xff364a98,
    0xff1a52a8,
    0xff155a9d,
    0xff1e4db5,
    0xff214db9,
    0xff264fb9,
    0xff384daa,
    0xff38306f,
    0xff255296,
    0xff155fb1,
    0xff3044a2,
    0xff723a80,
    0xff5c4384,
    0xff214ea1,
    0xff3d468c,
    0xff754058,
    0xffa0566d,
    0xff9c425a,
    0xff933f5b,
    0xff8e4978,
    0xff9b456d,
    0xffce6164,
    0xffca6f58,
    0xffc2526a,
    0xffc04965,
    0xffc9517d,
    0xffa74c78,
    0xff864d73,
    0xff543f71,
    0xff313564,
    0xff5a4053,
    0xffe29d67,
    0xffc06825,
    0xffb86225,
    0xffc65e25,
    0xffd06924,
    0xffdd7f45,
    0xff710000,
    0xffa3352b,
    0xffa0452c,
    0xff6d1b13,
    0xff521322,
    0xff48283f,
    0xff372c42,
    0xff272537,
    0xff2f283b,
    0xff2e2438,
    0xff331e22,
    0xff55190c,
    0xff531203,
    0xff581e07,
    0xffbf6a37,
    0xffd36528,
    0xffcb542c,
    0xffde5644,
    0xffce5537,
    0xffcc4a39,
    0xffc33420,
    0xffd34c2c,
    0xffd35124,
    0xffc03000,
    0xffbc3e17,
    0xff4f0000,
    0xff8b2423,
    0xff9c2021,
    0xffb43b3c,
    0xff773a3a,
    0xff130c03,
    0xff130f03,
    0xff0f1c0c,
    0xff091b10,
    0xff0e1713,
    0xff0d1613,
    0xff0f1616,
    0xff0c1516,
    0xff0d181b,
    0xff0b1c1b,
    0xff0c201d,
    0xff0a221d,
    0xff0b2421,
    0xff0c2423,
    0xff092322,
    0xff0c2626,
    0xff0d2628,
    0xff173030,
    0xff28413f,
    0xff1c3532,
    0xff0b2525,
    0xff11292c,
    0xff0e282a,
    0xff173133,
    0xff0f292a,
    0xff0e2829,
    0xff0f2929,
    0xff0e2828,
    0xff102b29,
    0xff122d2c,
    0xff122a2a,
    0xff0c2122,
    0xff0d201f,
    0xff0b211c,
    0xff0d1f1a,
    0xff0b1f15,
    0xff0c1e12,
    0xff0d1f13,
    0xff0a1e13,
    0xff0e2219,
    0xff0f221b,
    0xff0a1e1c,
    0xff081b1a,
    0xff081b1b,
    0xff06201f,
    0xff061f24,
    0xff041d21,
    0xff061f23,
    0xff071f25,
    0xff042124,
    0xff052028,
    0xff072229,
    0xff07222e,
    0xff072530,
    0xff082534,
    0xff072635,
    0xff072436,
    0xff0b2739,
    0xff0b2538,
    0xff0d273a,
    0xff0f2d3b,
    0xff0d2b37,
    0xff0c2832,
    0xff0f2932,
    0xff0f2932,
    0xff0e262f,
    0xff142c38,
    0xff0e2634,
    0xff122a39,
    0xff112a3a,
    0xff132837,
    0xff122732,
    0xff142930,
    0xff16292c,
    0xff172927,
    0xff162822,
    0xff1b2c26,
    0xff1e2f27,
    0xff1e2d26,
    0xff1b2721,
    0xff1e2c22,
    0xff1b261d,
    0xff1e2921,
    0xff1b281c,
    0xff201f15,
    0xff30302b,
    0xff78777e,
    0xff707180,
    0xff9a99ad,
    0xff7a7789,
    0xff28232f,
    0xffe0d8e0,
    0xff545655,
    0xff2a2d29,
    0xff313632,
    0xff878a90,
    0xffc0c3d1,
    0xff2f3240,
    0xff3b4042,
    0xff50584f,
    0xff4a535a,
    0xff5b585a,
    0xff5e584e,
    0xff5a5d4d,
    0xff4d4b43,
    0xff5b4f55,
    0xff4d4d51,
    0xff314642,
    0xff09161d,
    0xff797387,
    0xff484b52,
    0xff605d57,
    0xff6b4b41,
    0xff523828,
    0xff231404,
    0xff4d2c20,
    0xff120100,
    0xff584135,
    0xff6a452d,
    0xff3d0601,
    0xff5f2a21,
    0xffcb9e86,
    0xff4c0e00,
    0xffa85926,
    0xffe2ab8d,
    0xff9e6748,
    0xff8d5012,
    0xffbd6923,
    0xff923e06,
    0xff9d7147,
    0xffcda88f,
    0xffb57045,
    0xff9a673a,
    0xff160100,
    0xff13180e,
    0xff000000,
    0xffbcb3b6,
    0xff3a302d,
    0xff241a0f,
    0xff0a0000,
    0xff010104,
    0xff090907,
    0xff100600,
    0xffa48f79,
    0xff92764d,
    0xff97785b,
    0xff110000,
    0xff0f0000,
    0xff200c0a,
    0xff4f3a3d,
    0xff856b7d,
    0xffa595a4,
    0xff9e9ea0,
    0xff7f6f72,
    0xff8c6f71,
    0xff75685d,
    0xff65492e,
    0xff854b21,
    0xffa67f52,
    0xff643c21,
    0xffa56c31,
    0xff8d3500,
    0xffbe7b64,
    0xffa26b46,
    0xffe19a5e,
    0xffab7c41,
    0xffcb8234,
    0xffffce96,
    0xff5a4d4c,
    0xff4b3b4b,
    0xff7e7e87,
    0xff504554,
    0xff460b15,
    0xff5e3845,
    0xff36030c,
    0xff480308,
    0xff42050c,
    0xff45070f,
    0xff35040c,
    0xff150d1e,
    0xff2c335d,
    0xff322553,
    0xff544864,
    0xff381627,
    0xff400019,
    0xff3e031c,
    0xff3d0017,
    0xff3b001a,
    0xff380625,
    0xff613c76,
    0xff7e6095,
    0xff793142,
    0xff731016,
    0xff623555,
    0xff4d5fa5,
    0xff385db3,
    0xff564999,
    0xff6a3972,
    0xff6b1b3e,
    0xff90304c,
    0xff8a2343,
    0xff952347,
    0xffa94166,
    0xff7d2d50,
    0xffcb91ac,
    0xffd18baa,
    0xffcd84a4,
    0xffa978a1,
    0xff655f9c,
    0xff375db0,
    0xff2e65bc,
    0xff2c65b4,
    0xff2a62ba,
    0xff2c64be,
    0xff336bc2,
    0xff2e66bb,
    0xff275fb3,
    0xff2c66b6,
    0xff2c65b6,
    0xff2b64b4,
    0xff265daf,
    0xff275eb2,
    0xff265eb1,
    0xff2860b3,
    0xff2a62b3,
    0xff2861b2,
    0xff285eb1,
    0xff2b63b4,
    0xff3164b6,
    0xff3062b3,
    0xff3063b3,
    0xff3467b8,
    0xff3c6cbc,
    0xff3c6dbb,
    0xff396ab7,
    0xff3363b2,
    0xff3765be,
    0xff3868c1,
    0xff3869c5,
    0xff3769c4,
    0xff3266c3,
    0xff336ac7,
    0xff3068c4,
    0xff2d69c6,
    0xff2f6bc7,
    0xff2e6ac6,
    0xff316dc9,
    0xff3470cc,
    0xff316dc9,
    0xff2e6ac7,
    0xff2e6ac8,
    0xff2e6ac9,
    0xff306bc9,
    0xff306bc9,
    0xff316cca,
    0xff2e69c7,
    0xff2d68c6,
    0xff2f6ac8,
    0xff2e68c5,
    0xff306ac7,
    0xff3269c7,
    0xff3067c3,
    0xff336ac5,
    0xff3168c2,
    0xff3067c0,
    0xff3068c0,
    0xff2e67bf,
    0xff2e66c0,
    0xff3068c3,
    0xff3167c2,
    0xff346bc6,
    0xff3369c4,
    0xff2b60bc,
    0xff2c60bc,
    0xff2c60bc,
    0xff3869c7,
    0xff4071c9,
    0xff4074cb,
    0xff3d72c9,
    0xff356cc2,
    0xff386ec1,
    0xff3b6fc4,
    0xff396bbf,
    0xff3766bb,
    0xff6277bd,
    0xff6770a1,
    0xff415c9f,
    0xff3069ba,
    0xff2c67c0,
    0xff2b63c7,
    0xff2767c6,
    0xff2565c8,
    0xff2363c7,
    0xff346abc,
    0xff2960b7,
    0xff2e5aa9,
    0xff8ea1c5,
    0xff384468,
    0xff3c5ea5,
    0xff2a62b4,
    0xff2a62be,
    0xff2661c0,
    0xff2762bf,
    0xff2460c1,
    0xff2461c0,
    0xff2862c6,
    0xff285ec2,
    0xff285ec2,
    0xff2661c0,
    0xff2862c0,
    0xff2764c1,
    0xff2664c0,
    0xff2762c0,
    0xff2a62c1,
    0xff2d61c2,
    0xff2b5fbe,
    0xff376bc3,
    0xff6272b7,
    0xff5e6cbe,
    0xff5a74b9,
    0xff7974ae,
    0xff7762af,
    0xff6564b4,
    0xff555ea4,
    0xff455eac,
    0xff2b5caf,
    0xff2767c4,
    0xff2863c6,
    0xff3163c6,
    0xff3767c6,
    0xff3363c6,
    0xff3660c8,
    0xff375cbd,
    0xff3962c7,
    0xff435cc0,
    0xff7a5cb0,
    0xff943268,
    0xff970521,
    0xffa80013,
    0xffa70011,
    0xffa5021a,
    0xffae0017,
    0xffa4000c,
    0xff930109,
    0xff8f080d,
    0xff930714,
    0xff860214,
    0xff9a2635,
    0xff932123,
    0xff770a12,
    0xff733c78,
    0xff4a55af,
    0xff395fb1,
    0xff3062b5,
    0xff2f63c1,
    0xff3b60c1,
    0xff3d65c2,
    0xff3863be,
    0xff495cb6,
    0xff9280a4,
    0xff1f0700,
    0xff56597a,
    0xff4656b0,
    0xff5352a0,
    0xff9e8db5,
    0xff504376,
    0xff6a5aa3,
    0xff514db0,
    0xff494ca9,
    0xff5459a5,
    0xff5a4b8f,
    0xff510629,
    0xff630c13,
    0xff6f060c,
    0xff76050b,
    0xff730911,
    0xff690609,
    0xff610404,
    0xff570815,
    0xff511034,
    0xff5d4078,
    0xff615895,
    0xff5f56a4,
    0xff415eaf,
    0xff2c68be,
    0xff3065c1,
    0xff2d65c3,
    0xff2766bf,
    0xff2a67c6,
    0xff2a66c6,
    0xff2b67c7,
    0xff2b66c6,
    0xff2867c6,
    0xff2968c7,
    0xff2a69c8,
    0xff2b6ac9,
    0xff2665c4,
    0xff2867c6,
    0xff2a69c8,
    0xff2c6bca,
    0xff2867c6,
    0xff2968c7,
    0xff2867c6,
    0xff2867c6,
    0xff2665c4,
    0xff2766c5,
    0xff2867c6,
    0xff2968c7,
    0xff2766c5,
    0xff2766c5,
    0xff2a69c8,
    0xff2a69c8,
    0xff2865c1,
    0xff2966c2,
    0xff2865c2,
    0xff2966c3,
    0xff2d6ac7,
    0xff2b68c5,
    0xff2a68c4,
    0xff2966c3,
    0xff2966c3,
    0xff2966c3,
    0xff2966c3,
    0xff2b68c5,
    0xff2b68c5,
    0xff2865c2,
    0xff2966c3,
    0xff2764c1,
    0xff2661bf,
    0xff2661bf,
    0xff2761bf,
    0xff2462bf,
    0xff2360bd,
    0xff2460bd,
    0xff2662bf,
    0xff2464c1,
    0xff2764c1,
    0xff2663c0,
    0xff2764c1,
    0xff2764c1,
    0xff2663bf,
    0xff2662c2,
    0xff2561c1,
    0xff2561c1,
    0xff2763c3,
    0xff2864c4,
    0xff2662c2,
    0xff2662c2,
    0xff2661c2,
    0xff2866c2,
    0xff2966c3,
    0xff2764c1,
    0xff2462c4,
    0xff2762c2,
    0xff2762be,
    0xff2661bd,
    0xff2961c3,
    0xff2962c4,
    0xff2962c0,
    0xff2560b8,
    0xff245db1,
    0xff235ebd,
    0xff225ec3,
    0xff215fc0,
    0xff1e60b6,
    0xff1f61b7,
    0xff215fc1,
    0xff235ec5,
    0xff2661c2,
    0xff235ebb,
    0xff235ebc,
    0xff2661bd,
    0xff225db9,
    0xff2560bd,
    0xff215cba,
    0xff245fbf,
    0xff245fc3,
    0xff2761c4,
    0xff2761c4,
    0xff2862c3,
    0xff2862c3,
    0xff2963c6,
    0xff2761c4,
    0xff2862c5,
    0xff2463be,
    0xff2863be,
    0xff2c5fb9,
    0xff2062c5,
    0xff2267c3,
    0xff1d5eaf,
    0xff2961b7,
    0xff5962aa,
    0xff632740,
    0xff720000,
    0xffba3a31,
    0xffdc4c3a,
    0xffa10e06,
    0xff8d0004,
    0xff910714,
    0xff940000,
    0xffe94618,
    0xffe0470c,
    0xffb80f09,
    0xff911843,
    0xff6f5091,
    0xff3d3c8e,
    0xff454da0,
    0xff3b55b3,
    0xff3f52b6,
    0xff2d59bc,
    0xff484e83,
    0xff8f2b30,
    0xffb32718,
    0xffb9290f,
    0xffa02105,
    0xff9f2117,
    0xff9a0f0c,
    0xffa11422,
    0xff900304,
    0xff910100,
    0xff730000,
    0xff964e66,
    0xff833f71,
    0xffa54361,
    0xff9b4650,
    0xff982e29,
    0xffc92d24,
    0xffc01710,
    0xffcc291c,
    0xffcb1e13,
    0xffd63d34,
    0xffae3635,
    0xff823e66,
    0xff384891,
    0xff25539a,
    0xff3d4c9c,
    0xff5a418c,
    0xff86377b,
    0xffda6174,
    0xffae1d1c,
    0xffc03b20,
    0xff7f3e79,
    0xff3048a0,
    0xff1852a4,
    0xff1a53b0,
    0xff1256b0,
    0xff1156ad,
    0xff1952ab,
    0xff1550ac,
    0xff144fab,
    0xff1651ad,
    0xff144fab,
    0xff1550ac,
    0xff1752ae,
    0xff1a55b1,
    0xff1c58b4,
    0xff1e5bbd,
    0xff1757b6,
    0xff1d5bb9,
    0xff1c5bb4,
    0xff1d5cb5,
    0xff1a59b6,
    0xff1b5bbc,
    0xff1b5abd,
    0xff1957b6,
    0xff1f5ab6,
    0xff1555ad,
    0xff1e57b8,
    0xff2250bb,
    0xff1e58bc,
    0xff1d5bb4,
    0xff2e52a9,
    0xff7b84ba,
    0xff4e5b9e,
    0xff2c53ab,
    0xff225caa,
    0xff2758af,
    0xff285bab,
    0xff295bb1,
    0xff3955a3,
    0xff412768,
    0xff2d4ba2,
    0xff2a53a9,
    0xff524fa7,
    0xff5f449a,
    0xff354793,
    0xff2153a5,
    0xff434296,
    0xff713d6f,
    0xff6e416a,
    0xffa35e8a,
    0xffb25879,
    0xff7d415f,
    0xff90607a,
    0xff945562,
    0xff7f5d70,
    0xff454077,
    0xff4f477f,
    0xff4e418a,
    0xff374486,
    0xff24457c,
    0xff255299,
    0xff224d96,
    0xff4b4869,
    0xffac9060,
    0xffb17933,
    0xffc07831,
    0xffd1773d,
    0xffe57c43,
    0xff8e1000,
    0xff870000,
    0xff8d0613,
    0xff920308,
    0xffaf202f,
    0xff9d1933,
    0xff952b44,
    0xff8c384d,
    0xff541d2d,
    0xff301826,
    0xff1a242f,
    0xff11202e,
    0xff151419,
    0xff524230,
    0xffd8a06d,
    0xffc85917,
    0xffe86730,
    0xffd85434,
    0xffe04f3a,
    0xffc44830,
    0xffcf5144,
    0xffcf4128,
    0xffea6848,
    0xffac2101,
    0xffcf310a,
    0xffc66340,
    0xff241200,
    0xff2b0900,
    0xff71201a,
    0xffaf2f37,
    0xffd46969,
    0xff301a05,
    0xff181103,
    0xff17190b,
    0xff0c2510,
    0xff041f0d,
    0xff092314,
    0xff082116,
    0xff0c241c,
    0xff0e231c,
    0xff0f231a,
    0xff122219,
    0xff152419,
    0xff142825,
    0xff142d29,
    0xff162f2c,
    0xff102925,
    0xff0d2621,
    0xff112a22,
    0xff283f32,
    0xff435a4d,
    0xff1b322e,
    0xff122926,
    0xff122a28,
    0xff102926,
    0xff122b28,
    0xff152f2c,
    0xff18302e,
    0xff132c28,
    0xff102a29,
    0xff122a2a,
    0xff122b2a,
    0xff112527,
    0xff0e2422,
    0xff0e2221,
    0xff0c1f19,
    0xff0e2118,
    0xff1b2a20,
    0xff1d2e22,
    0xff13241a,
    0xff0f2019,
    0xff0d1e18,
    0xff0d201c,
    0xff0e201e,
    0xff091d1a,
    0xff071e20,
    0xff0b2325,
    0xff0b2325,
    0xff072125,
    0xff072024,
    0xff072025,
    0xff092226,
    0xff092227,
    0xff07242f,
    0xff082631,
    0xff072734,
    0xff072735,
    0xff082638,
    0xff092738,
    0xff0c293c,
    0xff0c2838,
    0xff052541,
    0xff052440,
    0xff09253e,
    0xff0c263e,
    0xff0a253e,
    0xff0b263e,
    0xff0b2440,
    0xff0e2946,
    0xff132e47,
    0xff112d43,
    0xff122c41,
    0xff112c3c,
    0xff122d37,
    0xff122d32,
    0xff122d2f,
    0xff142e2b,
    0xff142725,
    0xff182b29,
    0xff1c2d2a,
    0xff1d2c29,
    0xff1a2622,
    0xff1e2b25,
    0xff1a281f,
    0xff1b2820,
    0xff23291a,
    0xff1e2319,
    0xff4d534d,
    0xff74777c,
    0xff737282,
    0xff8c889d,
    0xff7f7789,
    0xff9a92a1,
    0xff6c6a6e,
    0xff83847f,
    0xff262821,
    0xff222725,
    0xff858892,
    0xffb2b4c5,
    0xff35363f,
    0xff252828,
    0xff949493,
    0xff15130e,
    0xff4a4b43,
    0xff2f342d,
    0xff373534,
    0xff2a1e20,
    0xff3a2824,
    0xff494030,
    0xff646641,
    0xff78565f,
    0xff2a111a,
    0xff80736f,
    0xffdcb8ac,
    0xff270c00,
    0xff18140c,
    0xff453025,
    0xff190500,
    0xff261210,
    0xff553f2f,
    0xff351402,
    0xff502f1a,
    0xffa48669,
    0xff8a5849,
    0xffd08b72,
    0xffc3927b,
    0xff79391f,
    0xffa75d19,
    0xffaf5712,
    0xffae6331,
    0xff9e7e52,
    0xffc4a984,
    0xff99562e,
    0xff360600,
    0xff1e0b0d,
    0xff060b10,
    0xff181b1a,
    0xffbcb3b7,
    0xff000000,
    0xff2c311f,
    0xff09100c,
    0xff0d1b13,
    0xff0a0e07,
    0xff11060a,
    0xff3f312f,
    0xff61543e,
    0xff57402d,
    0xff855837,
    0xffe6af63,
    0xff703d07,
    0xff441e00,
    0xff654218,
    0xff1c0000,
    0xff300e00,
    0xff683926,
    0xff8e6755,
    0xff4b433e,
    0xff847863,
    0xffe6b490,
    0xffae7f55,
    0xff7c4e48,
    0xff865643,
    0xff9d4524,
    0xffbb6e5a,
    0xffbf8f62,
    0xffe8ab55,
    0xff7b3700,
    0xffcf792d,
    0xfff4ca9e,
    0xff787165,
    0xff2c1f14,
    0xff8f8c87,
    0xff524c4e,
    0xff3b0215,
    0xff25081f,
    0xff2b0012,
    0xff41030d,
    0xff3e050d,
    0xff45060d,
    0xff420813,
    0xff23152b,
    0xff56405e,
    0xff4a0522,
    0xff4d0315,
    0xff56010c,
    0xff560100,
    0xff4a0800,
    0xff540409,
    0xff60050e,
    0xff570804,
    0xff3e0013,
    0xff330022,
    0xff612d48,
    0xff632948,
    0xff482752,
    0xff475692,
    0xff3e5caa,
    0xff3761ac,
    0xff4268aa,
    0xff616191,
    0xff783757,
    0xff650716,
    0xff8f444f,
    0xffc2828d,
    0xfff6abbc,
    0xffc984a1,
    0xffb0728c,
    0xffa36078,
    0xff90506f,
    0xff8266a0,
    0xff4561b2,
    0xff3069bf,
    0xff336ab6,
    0xff2e65b7,
    0xff2960b1,
    0xff2a61b3,
    0xff275eaf,
    0xff235aac,
    0xff235aac,
    0xff2158aa,
    0xff2259ab,
    0xff2057a9,
    0xff235aac,
    0xff1f58a9,
    0xff225bac,
    0xff235cad,
    0xff225aad,
    0xff2a61b4,
    0xff2860b3,
    0xff2b5eb1,
    0xff2f63b6,
    0xff3165b8,
    0xff3265b8,
    0xff3366b7,
    0xff3164b5,
    0xff366abb,
    0xff3a6dc0,
    0xff3b6dc5,
    0xff396bc7,
    0xff3668c4,
    0xff3368c3,
    0xff376dc7,
    0xff3970ca,
    0xff2e67c1,
    0xff316ac3,
    0xff356cc6,
    0xff346bc4,
    0xff326ac4,
    0xff3269c3,
    0xff3068c2,
    0xff3068c2,
    0xff3069c3,
    0xff2f67c3,
    0xff2b66c4,
    0xff2964c0,
    0xff2a66c1,
    0xff2c64c0,
    0xff2d66c0,
    0xff2e66c0,
    0xff2d65bf,
    0xff2c62bd,
    0xff3167c3,
    0xff3369c3,
    0xff2f62bb,
    0xff3366bb,
    0xff3a6dc2,
    0xff3b6fc4,
    0xff3a6ec3,
    0xff3a6fc4,
    0xff346ac2,
    0xff2c62b9,
    0xff3265bb,
    0xff376ac1,
    0xff3d70c4,
    0xff4a7dd2,
    0xff4b7ccf,
    0xff4979cc,
    0xff4e79c9,
    0xff4b76c7,
    0xff4775c0,
    0xff4273bd,
    0xff3b69b3,
    0xff3861ab,
    0xff3b62ab,
    0xff4164ae,
    0xff626ca8,
    0xff5c638a,
    0xff405d9c,
    0xff2e65b1,
    0xff2a60b5,
    0xff295ec0,
    0xff2561bc,
    0xff235ec0,
    0xff2864c5,
    0xff2057af,
    0xff2c61b3,
    0xff4766a2,
    0xff777fa0,
    0xff364d7b,
    0xff2f62b0,
    0xff265cb4,
    0xff2961bd,
    0xff285fbc,
    0xff2560be,
    0xff2260bc,
    0xff2561c1,
    0xff265fc0,
    0xff235ec1,
    0xff2b61c4,
    0xff2560bf,
    0xff2661bf,
    0xff2663c0,
    0xff2663c0,
    0xff2662c0,
    0xff275ebe,
    0xff295ebe,
    0xff2e5cc0,
    0xff4252b1,
    0xff8f70af,
    0xff9566ac,
    0xff9c5f8a,
    0xffa7283d,
    0xffa90630,
    0xff981030,
    0xff9b273b,
    0xff82276a,
    0xff6f53a3,
    0xff3658b4,
    0xff275dc9,
    0xff2b60ca,
    0xff2b61bd,
    0xff2c60af,
    0xff345fa9,
    0xff5858a4,
    0xff6260a8,
    0xff785e9c,
    0xff8d4372,
    0xff6c0016,
    0xff7f080a,
    0xff810102,
    0xff92000c,
    0xff96000f,
    0xff95020f,
    0xff88000b,
    0xff7e000a,
    0xff78000b,
    0xff7a000b,
    0xff81000c,
    0xff790006,
    0xff870c1f,
    0xff720013,
    0xff500014,
    0xff6f5085,
    0xff494e9d,
    0xff3b519f,
    0xff3952a4,
    0xff425baf,
    0xff455394,
    0xff39467e,
    0xff6b5695,
    0xff490732,
    0xff751c2a,
    0xff9e3a5c,
    0xff9e4675,
    0xff874853,
    0xff701411,
    0xff66152c,
    0xff793567,
    0xff7558a1,
    0xff4a5fa9,
    0xff2f67b2,
    0xff466cb8,
    0xff4a2151,
    0xff540a1e,
    0xff60040e,
    0xff6a0109,
    0xff69050c,
    0xff680609,
    0xff680905,
    0xff5b0a06,
    0xff4c0b11,
    0xff42091d,
    0xff411f40,
    0xff573e78,
    0xff4858a2,
    0xff3165b6,
    0xff325fc0,
    0xff2762c6,
    0xff1c67ca,
    0xff2663c3,
    0xff2763c3,
    0xff2763c3,
    0xff2864c4,
    0xff2564c3,
    0xff2564c3,
    0xff2463c2,
    0xff2564c3,
    0xff2867c6,
    0xff2463c2,
    0xff2463c2,
    0xff2766c5,
    0xff2665c4,
    0xff2665c4,
    0xff2362c1,
    0xff2362c1,
    0xff2362c1,
    0xff2463c2,
    0xff2463c2,
    0xff2564c3,
    0xff2665c4,
    0xff2564c3,
    0xff2463c2,
    0xff2363c2,
    0xff2662c2,
    0xff2662c3,
    0xff2662c2,
    0xff2763c3,
    0xff2864c4,
    0xff2763c3,
    0xff2964c5,
    0xff2864c4,
    0xff2865c1,
    0xff2562bf,
    0xff2865c2,
    0xff2a67c4,
    0xff2a67c4,
    0xff2b68c5,
    0xff2b68c5,
    0xff2b68c5,
    0xff2d67c6,
    0xff2c67c5,
    0xff2a65c3,
    0xff2664c1,
    0xff2764c1,
    0xff2664c1,
    0xff2663c0,
    0xff2662bf,
    0xff2562c0,
    0xff2562bf,
    0xff2663c0,
    0xff2764c0,
    0xff2864c5,
    0xff2864c4,
    0xff2763c4,
    0xff2764c3,
    0xff2763c5,
    0xff2764c6,
    0xff2662c1,
    0xff2662c2,
    0xff2561c1,
    0xff2561c2,
    0xff2663c0,
    0xff2763bf,
    0xff2567b3,
    0xff2467ba,
    0xff2663c0,
    0xff2561bc,
    0xff2464b4,
    0xff2063b2,
    0xff2063bc,
    0xff2364c8,
    0xff2861ba,
    0xff2b60c2,
    0xff2a60c7,
    0xff2760c6,
    0xff2364bc,
    0xff2065b6,
    0xff2064b6,
    0xff2061bc,
    0xff2460c0,
    0xff2561c0,
    0xff2865c1,
    0xff2660ba,
    0xff235fb8,
    0xff2760b9,
    0xff2861bc,
    0xff2960be,
    0xff2a61c2,
    0xff2b63c2,
    0xff2b63c1,
    0xff2b64c0,
    0xff255dbb,
    0xff265ebb,
    0xff215cbb,
    0xff215dbd,
    0xff185ebc,
    0xff1d62b4,
    0xff275fb3,
    0xff2260c6,
    0xff1f5cbc,
    0xff2465b7,
    0xff3160b3,
    0xff674f8f,
    0xff71172b,
    0xff860d00,
    0xffdc512b,
    0xffbb2100,
    0xff9d0701,
    0xff9c0009,
    0xff910809,
    0xffca3811,
    0xffff7642,
    0xffd04614,
    0xffa9130f,
    0xff9b1837,
    0xff5f2a68,
    0xff5155a3,
    0xff49498f,
    0xff46418c,
    0xff493a95,
    0xff4c408f,
    0xff6f4b5d,
    0xffa33527,
    0xffa52b22,
    0xff9f2810,
    0xff962900,
    0xffa7220b,
    0xffac1910,
    0xff8f0e20,
    0xff760004,
    0xff941e23,
    0xffa14449,
    0xff7d2e33,
    0xff9e3d53,
    0xff750115,
    0xff731833,
    0xff994144,
    0xff810000,
    0xff840000,
    0xff9f1108,
    0xffda382d,
    0xffbe1d16,
    0xffcb2d2d,
    0xffc03f39,
    0xff914061,
    0xff6b4070,
    0xff783b7f,
    0xff6c3a72,
    0xff543a6f,
    0xffad7b93,
    0xffffbabb,
    0xffa53118,
    0xffa64054,
    0xff434687,
    0xff1650a2,
    0xff1350a8,
    0xff0b57ae,
    0xff1552aa,
    0xff154ea7,
    0xff134fa8,
    0xff1651ab,
    0xff1651ab,
    0xff1650aa,
    0xff1853ad,
    0xff1752ac,
    0xff1651ab,
    0xff1551aa,
    0xff1150a9,
    0xff1451ab,
    0xff134ca3,
    0xff154ca1,
    0xff144a9f,
    0xff1d56af,
    0xff1552ac,
    0xff1554b2,
    0xff1a53ac,
    0xff1e59ad,
    0xff1b5daf,
    0xff1d57b0,
    0xff2756ba,
    0xff2059b9,
    0xff1858ad,
    0xff264ea3,
    0xff6568ae,
    0xff776489,
    0xff654c7e,
    0xff514a85,
    0xff36438c,
    0xff29549e,
    0xff215ab5,
    0xff2e59a2,
    0xff2e3165,
    0xff3e53aa,
    0xff4f3b8e,
    0xff704395,
    0xff4343a5,
    0xff1d4fae,
    0xff234fa0,
    0xff493f79,
    0xff90516c,
    0xff716280,
    0xff40426a,
    0xff915a6a,
    0xffc67170,
    0xffbe7470,
    0xff83535a,
    0xff5a5f97,
    0xff284ca0,
    0xff254d9b,
    0xff274bab,
    0xff204da9,
    0xff23519e,
    0xff1d49ad,
    0xff1d4aa7,
    0xff49557b,
    0xffac997a,
    0xffb5914e,
    0xffca8542,
    0xffc16e37,
    0xffe5804a,
    0xffac2d07,
    0xff9f1f0a,
    0xffa62310,
    0xffa41102,
    0xff9a0000,
    0xffa10b0c,
    0xff9a1312,
    0xffa72d28,
    0xff952320,
    0xff761d22,
    0xff551c20,
    0xff3f232c,
    0xff2e2b36,
    0xff131e12,
    0xff3e2600,
    0xffb75e35,
    0xffbb431f,
    0xffc64925,
    0xffe56047,
    0xffa73b27,
    0xff96261c,
    0xffe9593e,
    0xffa11e04,
    0xffa72b16,
    0xffc14221,
    0xff702f12,
    0xff151601,
    0xff18230a,
    0xff230e06,
    0xff6a2524,
    0xff9b382b,
    0xff452204,
    0xff241409,
    0xff1d1812,
    0xff111b03,
    0xff1e1e09,
    0xff171d08,
    0xff142312,
    0xff142819,
    0xff142a1c,
    0xff15271d,
    0xff18261c,
    0xff19251b,
    0xff152a23,
    0xff132b24,
    0xff162c29,
    0xff162c2a,
    0xff122726,
    0xff142926,
    0xff122521,
    0xff0b1e19,
    0xff102522,
    0xff162927,
    0xff152927,
    0xff142a28,
    0xff132926,
    0xff152a28,
    0xff132c2c,
    0xff102929,
    0xff0c2424,
    0xff0c2524,
    0xff112529,
    0xff0e2324,
    0xff132829,
    0xff102423,
    0xff0c201e,
    0xff0c211c,
    0xff0a1e18,
    0xff081c15,
    0xff0c1f1b,
    0xff0a1e1a,
    0xff0b1f1c,
    0xff0a1e1d,
    0xff0b1f1e,
    0xff0c2020,
    0xff0e2324,
    0xff0c2021,
    0xff07201f,
    0xff092123,
    0xff071f21,
    0xff092025,
    0xff0a2327,
    0xff0c2528,
    0xff072128,
    0xff08222b,
    0xff06232c,
    0xff07222d,
    0xff082430,
    0xff092431,
    0xff05202a,
    0xff0c2531,
    0xff09253e,
    0xff0e2942,
    0xff0e283f,
    0xff0a2338,
    0xff0b2439,
    0xff0b253d,
    0xff0f2943,
    0xff0d2844,
    0xff0c2a45,
    0xff0c2b45,
    0xff0e2c46,
    0xff132e46,
    0xff112e41,
    0xff112d40,
    0xff0f2b3a,
    0xff0b2733,
    0xff10282c,
    0xff112729,
    0xff16272b,
    0xff1d2b2c,
    0xff1f2b2b,
    0xff232c2c,
    0xff1e2925,
    0xff212c27,
    0xff1c2723,
    0xff1e291f,
    0xff0f150b,
    0xff62645f,
    0xff6c6973,
    0xff757282,
    0xffb9b1c4,
    0xff7f7989,
    0xff2f2e3a,
    0xff72737a,
    0xff6c6e71,
    0xff0f1311,
    0xff050a08,
    0xff949498,
    0xffcdcbd4,
    0xff1e1a26,
    0xff8b7778,
    0xff1e1009,
    0xff241810,
    0xff3f3532,
    0xff565557,
    0xff464c4b,
    0xff888980,
    0xff685e4f,
    0xff2f1908,
    0xff56332b,
    0xff1e0000,
    0xff95715f,
    0xff5d2f2c,
    0xff260d09,
    0xff22141c,
    0xff462d2d,
    0xff341e13,
    0xff2d1e21,
    0xff44362b,
    0xff30130a,
    0xff5f402f,
    0xff250b00,
    0xffae9081,
    0xffe7c19e,
    0xff6a3400,
    0xffc18045,
    0xffb56f1f,
    0xff9f530b,
    0xff9e5b23,
    0xff9e7f5c,
    0xffc3a79c,
    0xff9e6548,
    0xff846444,
    0xff060000,
    0xff0d1406,
    0xff434339,
    0xff918684,
    0xff030000,
    0xff0e1305,
    0xff14181c,
    0xff011308,
    0xff000e02,
    0xff091812,
    0xff001015,
    0xff8b9899,
    0xff000000,
    0xffb5863f,
    0xffeca731,
    0xffffcf55,
    0xffba9216,
    0xffd3a424,
    0xffdca136,
    0xffe6a34d,
    0xff9c4705,
    0xff9c4f27,
    0xff693f3c,
    0xff6f544f,
    0xff6a2f1c,
    0xff8a5135,
    0xffb3847a,
    0xff805b4f,
    0xff87472a,
    0xffc18651,
    0xffcda050,
    0xffc38e23,
    0xfff4ab3f,
    0xffbc7628,
    0xfffadac2,
    0xff8a7e70,
    0xff4b4022,
    0xff8c877d,
    0xff49494b,
    0xff33011e,
    0xff3d2a4e,
    0xff3c1a33,
    0xff340009,
    0xff3b0312,
    0xff3f010a,
    0xff330004,
    0xff5d4461,
    0xff47182a,
    0xff51000a,
    0xff520914,
    0xff550312,
    0xff5c0505,
    0xff550602,
    0xff5e0004,
    0xff6b0807,
    0xff600506,
    0xff4c0005,
    0xff58001b,
    0xff3e0734,
    0xff65618f,
    0xff3f487c,
    0xff3d63a5,
    0xff2962ba,
    0xff2c63af,
    0xff3e54a6,
    0xff6e5392,
    0xff6f1c37,
    0xff8a191e,
    0xff740b10,
    0xff660c1a,
    0xff852a36,
    0xff9f4253,
    0xffaf6872,
    0xffaa6d6d,
    0xffad6f7a,
    0xff8a6f99,
    0xff33569f,
    0xff2462b4,
    0xff2358a6,
    0xff245ca3,
    0xff1f57a0,
    0xff1e56a0,
    0xff255ea9,
    0xff275eac,
    0xff2d64b5,
    0xff2f66b9,
    0xff3169bb,
    0xff2f66b8,
    0xff346abc,
    0xff2d65b9,
    0xff2e66b9,
    0xff2d65b9,
    0xff336bc0,
    0xff3267be,
    0xff2e64b9,
    0xff2d65b8,
    0xff336abd,
    0xff356dbf,
    0xff396fc2,
    0xff396cc2,
    0xff3a6fc3,
    0xff3d71c5,
    0xff3568bc,
    0xff3e71c1,
    0xff3e71c2,
    0xff3e71c2,
    0xff3970c0,
    0xff346dbc,
    0xff3b73c2,
    0xff3f7ac9,
    0xff3871c1,
    0xff396cc1,
    0xff3e6fc5,
    0xff3e6fc7,
    0xff3b6fc5,
    0xff386cc3,
    0xff3268c0,
    0xff3167bf,
    0xff3167c0,
    0xff2c66c2,
    0xff2964c0,
    0xff2a66c2,
    0xff2e67c1,
    0xff3167c2,
    0xff2e63bc,
    0xff2d63ba,
    0xff3468bf,
    0xff3668c0,
    0xff396cc3,
    0xff3e6fc4,
    0xff4777c8,
    0xff4473c5,
    0xff4b7bcd,
    0xff477aca,
    0xff3e71c4,
    0xff376bbe,
    0xff3d71c3,
    0xff3e73c5,
    0xff4578c9,
    0xff4070c0,
    0xff3a6ab8,
    0xff3c6bb8,
    0xff4271bd,
    0xff4d71bb,
    0xff4b6fb6,
    0xff4f76bd,
    0xff5c81c6,
    0xff5e83c6,
    0xff7092d4,
    0xff809ee0,
    0xff7991d2,
    0xff696ea0,
    0xff555c7b,
    0xff46629e,
    0xff3a6fb5,
    0xff2d5eaf,
    0xff2d5ebf,
    0xff2762bb,
    0xff2960bd,
    0xff2360bd,
    0xff2a5ebe,
    0xff2959a5,
    0xff839bc7,
    0xff4f5272,
    0xff38568b,
    0xff2461b1,
    0xff275cb7,
    0xff285fbb,
    0xff2760bd,
    0xff2661bd,
    0xff2562bf,
    0xff215fba,
    0xff2460c0,
    0xff225dbd,
    0xff265fc3,
    0xff2761c0,
    0xff2561bf,
    0xff2562bf,
    0xff2564c1,
    0xff2861bf,
    0xff2b60c0,
    0xff2b5fc0,
    0xff2f5aba,
    0xff775c9a,
    0xff74092f,
    0xff9b1149,
    0xff8e0928,
    0xffa20307,
    0xffa90018,
    0xff97021d,
    0xff990319,
    0xff98011c,
    0xff601c47,
    0xff475da1,
    0xff2b5fb9,
    0xff3b58b6,
    0xff5855a3,
    0xff80619d,
    0xffa06899,
    0xffa94164,
    0xff922445,
    0xff8d1c36,
    0xff810b1d,
    0xff710005,
    0xff770007,
    0xff81030e,
    0xff930918,
    0xff8f0005,
    0xff760608,
    0xff6d090d,
    0xff720003,
    0xff700000,
    0xff700201,
    0xff720309,
    0xff7f0012,
    0xff970927,
    0xff8e0a2b,
    0xff610000,
    0xff522a53,
    0xff4a5fd2,
    0xff3759cc,
    0xff485db6,
    0xff44539d,
    0xff23104b,
    0xff370617,
    0xff5c0a15,
    0xff620316,
    0xff750311,
    0xffab051f,
    0xffa4001e,
    0xff770016,
    0xff88101b,
    0xff811517,
    0xff7a1b16,
    0xff55152a,
    0xff402b5d,
    0xff4b61ac,
    0xff3e5cb2,
    0xff6c4e83,
    0xff590d1b,
    0xff62090b,
    0xff620406,
    0xff60000f,
    0xff6b041b,
    0xff6d0010,
    0xff5e000c,
    0xff500812,
    0xff490e0d,
    0xff340611,
    0xff3c0f39,
    0xff464786,
    0xff3460ae,
    0xff315bbe,
    0xff295fc4,
    0xff2064c2,
    0xff2360bf,
    0xff2560c0,
    0xff2662c2,
    0xff2562c2,
    0xff2565c3,
    0xff2462c2,
    0xff2463c3,
    0xff2765c5,
    0xff2765c5,
    0xff2564c3,
    0xff2463c2,
    0xff2363c2,
    0xff2464c2,
    0xff2564c3,
    0xff2261c0,
    0xff2362c1,
    0xff2261c0,
    0xff2362c1,
    0xff2363c2,
    0xff2161c0,
    0xff2160bf,
    0xff205fbe,
    0xff2261c0,
    0xff2160bf,
    0xff2661c2,
    0xff2763c3,
    0xff2561c1,
    0xff2763c3,
    0xff2662c2,
    0xff2561c2,
    0xff2965c5,
    0xff2864c4,
    0xff2663c0,
    0xff225fbb,
    0xff2562be,
    0xff2563c0,
    0xff2763c0,
    0xff2764c1,
    0xff2764c1,
    0xff2764c1,
    0xff2963c2,
    0xff2863c1,
    0xff2762c0,
    0xff2560be,
    0xff2360be,
    0xff2461be,
    0xff2462bf,
    0xff2663c0,
    0xff2663bd,
    0xff2461bf,
    0xff2562bf,
    0xff2663c0,
    0xff2562c1,
    0xff2562c1,
    0xff2562c0,
    0xff2561c1,
    0xff2460c1,
    0xff2560c2,
    0xff235fbf,
    0xff2460c0,
    0xff2460c0,
    0xff2662c2,
    0xff2563bf,
    0xff215ebb,
    0xff2060c2,
    0xff2260c3,
    0xff2560c2,
    0xff2960c2,
    0xff285cbf,
    0xff295dc0,
    0xff295ec1,
    0xff285fc3,
    0xff225fc5,
    0xff255fba,
    0xff2660b8,
    0xff2860be,
    0xff225ec1,
    0xff215fc3,
    0xff235dc0,
    0xff255cbe,
    0xff2260c2,
    0xff1f5fbd,
    0xff2461bc,
    0xff2562bb,
    0xff3673cb,
    0xff366fc8,
    0xff285eb8,
    0xff275eb9,
    0xff245ab8,
    0xff245ab7,
    0xff2059b4,
    0xff2057b2,
    0xff225ab3,
    0xff205ab3,
    0xff1e59b2,
    0xff225bb9,
    0xff2b58c6,
    0xff275eb9,
    0xff285daf,
    0xff2959bd,
    0xff2a54b7,
    0xff2459ae,
    0xff2556a7,
    0xff534378,
    0xffc35650,
    0xffcb5227,
    0xffbd3108,
    0xffdc4624,
    0xffcf3b38,
    0xffbc0c00,
    0xffdf472d,
    0xffc82e1a,
    0xffa00300,
    0xff960005,
    0xff99000f,
    0xffc21b24,
    0xff7d1438,
    0xff504290,
    0xff453a94,
    0xff5a3593,
    0xff5a3c86,
    0xff5f3473,
    0xff6d2532,
    0xffaa261d,
    0xff981717,
    0xff951c0d,
    0xffa43715,
    0xffa4191a,
    0xff921508,
    0xff670007,
    0xff893244,
    0xff6d3759,
    0xffcda5c7,
    0xff964750,
    0xff7e040a,
    0xff860213,
    0xff750018,
    0xff8f2f37,
    0xff710005,
    0xff80050e,
    0xff840708,
    0xffb31e15,
    0xffcb3729,
    0xffc52a26,
    0xffad2c2b,
    0xffc97694,
    0xff3a396c,
    0xff3b3e9c,
    0xff2e409c,
    0xff1f499b,
    0xff4a3b5f,
    0xfff7c2bc,
    0xffcf8d7a,
    0xffa13f33,
    0xff473d6b,
    0xff2451a9,
    0xff184ba2,
    0xff0c50a9,
    0xff184aa7,
    0xff164ea5,
    0xff114ea5,
    0xff124ea7,
    0xff124ea6,
    0xff0d49a1,
    0xff0f4ba3,
    0xff114ea6,
    0xff134ea6,
    0xff1350a7,
    0xff0e4da4,
    0xff0f499d,
    0xff3266b9,
    0xff5786d7,
    0xff3362b5,
    0xff174b9f,
    0xff1650aa,
    0xff1250a9,
    0xff1951a5,
    0xff114b99,
    0xff2e72bb,
    0xff1351a3,
    0xff1d4fac,
    0xff154faa,
    0xff1855a8,
    0xff264a9b,
    0xff494270,
    0xffd9996d,
    0xffdd7e3a,
    0xffca764c,
    0xff885a62,
    0xff39427c,
    0xff214ab5,
    0xff1f49a2,
    0xff313266,
    0xff424684,
    0xff684188,
    0xff623e99,
    0xff2546a1,
    0xff1456a4,
    0xff274f9c,
    0xff463773,
    0xff843057,
    0xff644584,
    0xff254f97,
    0xff373d6e,
    0xff995b76,
    0xffa1646d,
    0xff7b5c62,
    0xff53538e,
    0xff274699,
    0xff2b61a6,
    0xff205caf,
    0xff0d51a0,
    0xff1e5197,
    0xff2450b1,
    0xff1e54aa,
    0xff405871,
    0xffc0846a,
    0xffc18d45,
    0xffc4742c,
    0xffd77543,
    0xffa13f0e,
    0xff8d3100,
    0xff853e0a,
    0xffa34917,
    0xffa41900,
    0xffba2116,
    0xff8f0000,
    0xffb22d23,
    0xffa32116,
    0xff910504,
    0xff8c0510,
    0xff7f0113,
    0xff7e0908,
    0xff5f0d18,
    0xff3e2125,
    0xff2c1c1b,
    0xff541f25,
    0xffa73f33,
    0xffc94628,
    0xffba3421,
    0xff7d2616,
    0xff871e18,
    0xffb01902,
    0xffc83b28,
    0xffad4534,
    0xff984422,
    0xff360e00,
    0xff201408,
    0xff161a0c,
    0xff1a1a18,
    0xff160f01,
    0xff6d2a10,
    0xff86452b,
    0xff471215,
    0xff250c0e,
    0xff2d0b00,
    0xff6e1b13,
    0xff6a1e14,
    0xff4f1b12,
    0xff29120b,
    0xff1f2018,
    0xff18261d,
    0xff14271c,
    0xff0e2419,
    0xff152a21,
    0xff1c302a,
    0xff152c2a,
    0xff102528,
    0xff0f2126,
    0xff102228,
    0xff122429,
    0xff142427,
    0xff162827,
    0xff172929,
    0xff142827,
    0xff152827,
    0xff14282a,
    0xff172b2d,
    0xff192d30,
    0xff162a2d,
    0xff122728,
    0xff14292a,
    0xff152a2d,
    0xff11262a,
    0xff0e2324,
    0xff091f1d,
    0xff0e2120,
    0xff081c1b,
    0xff0b211f,
    0xff0a1f1d,
    0xff091e1e,
    0xff0b2322,
    0xff0d2526,
    0xff0c2425,
    0xff0b2325,
    0xff0b2224,
    0xff071e1c,
    0xff061c1b,
    0xff0a1f20,
    0xff0b2020,
    0xff092124,
    0xff092123,
    0xff0a2225,
    0xff0a2226,
    0xff0d2528,
    0xff0b2326,
    0xff092328,
    0xff0a242b,
    0xff0c252d,
    0xff0f272f,
    0xff10272d,
    0xff0d242b,
    0xff0e2933,
    0xff0f2933,
    0xff0e2830,
    0xff0f272d,
    0xff10282f,
    0xff0f2a33,
    0xff07232f,
    0xff0b2738,
    0xff0e2c42,
    0xff0e2b45,
    0xff0e2b48,
    0xff102e4a,
    0xff0f2c48,
    0xff0e2945,
    0xff0d2943,
    0xff0f2b43,
    0xff163039,
    0xff1c323a,
    0xff1e3037,
    0xff1d2c31,
    0xff222d32,
    0xff1b2425,
    0xff2c3634,
    0xff2f3a38,
    0xff172327,
    0xff18231e,
    0xff2a3125,
    0xff13150c,
    0xff656263,
    0xff706a77,
    0xff837f8e,
    0xff84808f,
    0xff828392,
    0xff7b7c8e,
    0xff6f7284,
    0xff898f92,
    0xff0e1609,
    0xff000300,
    0xff97979d,
    0xffa6a2ba,
    0xff5f6f7d,
    0xff182929,
    0xff1a1c17,
    0xff231513,
    0xff615655,
    0xff4d4f4c,
    0xffada8a5,
    0xff402727,
    0xff664147,
    0xff463800,
    0xffffff88,
    0xffbf9240,
    0xff81512e,
    0xff250e00,
    0xff200a00,
    0xffe4bea9,
    0xff4a2719,
    0xff1b0a0d,
    0xff211d18,
    0xff2b201e,
    0xff2e191d,
    0xff291513,
    0xff442c24,
    0xff51330c,
    0xffa97026,
    0xffa36010,
    0xff9e5c0e,
    0xffc3853b,
    0xffd09654,
    0xff8c6650,
    0xffbb9fa4,
    0xffb98c67,
    0xffc5997a,
    0xff695848,
    0xff000000,
    0xff979694,
    0xff342f36,
    0xff171a14,
    0xff0d1507,
    0xff090b0e,
    0xff0d0d15,
    0xff151d1a,
    0xff011100,
    0xff000700,
    0xffaba4aa,
    0xff280a00,
    0xffc6903d,
    0xffd49030,
    0xffb57b1e,
    0xfff0bb3a,
    0xffb36f00,
    0xffb87505,
    0xffffc952,
    0xffa36a08,
    0xff996331,
    0xff775c4f,
    0xff815428,
    0xffce8546,
    0xff9b6024,
    0xff8f6431,
    0xff866852,
    0xff9f706f,
    0xffb8906a,
    0xffa47443,
    0xffd49f3d,
    0xffe8a51f,
    0xffac8311,
    0xff978265,
    0xff81666e,
    0xff5f4945,
    0xff393234,
    0xff24281f,
    0xff362963,
    0xff5a73c5,
    0xff485fa0,
    0xff2a0e2a,
    0xff390010,
    0xff340313,
    0xff33030d,
    0xff510c1d,
    0xff540318,
    0xff550109,
    0xff590703,
    0xff530100,
    0xff560408,
    0xff560209,
    0xff5c0007,
    0xff5b0000,
    0xff55090c,
    0xff4e061b,
    0xff5f2e5b,
    0xff56508a,
    0xff285088,
    0xff265895,
    0xff2b559f,
    0xff3c58b4,
    0xff3558af,
    0xff724c85,
    0xff802042,
    0xff7c1222,
    0xff7f1614,
    0xff701110,
    0xff680e18,
    0xff771824,
    0xff6e121c,
    0xff6a0d2f,
    0xff7c3948,
    0xffb87983,
    0xff867194,
    0xff2b548f,
    0xff1f56a0,
    0xff245eb1,
    0xff265eb3,
    0xff2962b5,
    0xff2961b5,
    0xff2f65bb,
    0xff3167bc,
    0xff2d63b9,
    0xff2d63b9,
    0xff285eb5,
    0xff235db1,
    0xff2a62b9,
    0xff2a63bd,
    0xff2f67c4,
    0xff336ac5,
    0xff2f66c0,
    0xff2f67bc,
    0xff326bbe,
    0xff376ec0,
    0xff3971c4,
    0xff3c70c7,
    0xff3b6fc6,
    0xff4071c5,
    0xff4371c1,
    0xff4972c2,
    0xff4b73be,
    0xff4d78c0,
    0xff517cc4,
    0xff4d77bf,
    0xff4972bc,
    0xff476ebc,
    0xff436ebd,
    0xff436ec1,
    0xff416fc3,
    0xff436dba,
    0xff4472bf,
    0xff4372c2,
    0xff4373c6,
    0xff3c6fc3,
    0xff336abd,
    0xff2e64b8,
    0xff2d65b9,
    0xff2c63bd,
    0xff2c63be,
    0xff2e66c4,
    0xff2b62bf,
    0xff2a61bc,
    0xff2f64bb,
    0xff3d6fc2,
    0xff4b7dd0,
    0xff4d7ccc,
    0xff4e7dcc,
    0xff4876c3,
    0xff4776c3,
    0xff4170bd,
    0xff4170c3,
    0xff3464b9,
    0xff3062b7,
    0xff3465bb,
    0xff3769c0,
    0xff4173ca,
    0xff406fc6,
    0xff3563b8,
    0xff305cac,
    0xff3660ad,
    0xff4a72ba,
    0xff5978b7,
    0xff5a81be,
    0xff648ccc,
    0xff6a89c8,
    0xff7894d0,
    0xff6e8ec3,
    0xff5c7ab1,
    0xff7787c4,
    0xff7e80b1,
    0xff4e5b8a,
    0xff6887b9,
    0xff537ebe,
    0xff4c7bcd,
    0xff3d6dc9,
    0xff3665c3,
    0xff2f62bb,
    0xff2262be,
    0xff2d62ab,
    0xff4e6eae,
    0xff9aa7bf,
    0xff4d4f63,
    0xff3c5d9b,
    0xff1f63b6,
    0xff1f5cbd,
    0xff2462c0,
    0xff2462c0,
    0xff2561c1,
    0xff255fc0,
    0xff2760c1,
    0xff265cc0,
    0xff255cc1,
    0xff295dc4,
    0xff2a57ba,
    0xff2062ba,
    0xff1f64c2,
    0xff2463bf,
    0xff305cb9,
    0xff2e5bbf,
    0xff2e5ebe,
    0xff5c5ba9,
    0xff8f133e,
    0xff9a0013,
    0xff95031b,
    0xffab0025,
    0xffa00411,
    0xff9c0606,
    0xff9c0614,
    0xff91010f,
    0xff7d0001,
    0xff5f0432,
    0xff594898,
    0xff4b58ab,
    0xff8a64a1,
    0xffc56a89,
    0xffb13e4f,
    0xff9c182b,
    0xffa90d1c,
    0xffb01921,
    0xffad272c,
    0xff972526,
    0xff7c0c13,
    0xff770006,
    0xff840811,
    0xff770504,
    0xff740000,
    0xff670305,
    0xff650001,
    0xff81100a,
    0xffb84940,
    0xffa72935,
    0xff810010,
    0xff861016,
    0xff95091a,
    0xff8b111e,
    0xff6b0311,
    0xff3e1e48,
    0xff4163ba,
    0xff2e58bc,
    0xff2f5cb4,
    0xff3561c4,
    0xff5c59a6,
    0xff5b0024,
    0xff710012,
    0xff670609,
    0xff700106,
    0xff920014,
    0xffa00012,
    0xff820009,
    0xff95040d,
    0xffa41621,
    0xff810f07,
    0xff68050a,
    0xff531130,
    0xff58458b,
    0xff3b5ead,
    0xff6b6594,
    0xff671f38,
    0xff68130c,
    0xff6c1206,
    0xff670b0d,
    0xff63050b,
    0xff660211,
    0xff5a0515,
    0xff57181c,
    0xff4c1316,
    0xff4e0c0f,
    0xff5f0618,
    0xff652a50,
    0xff465994,
    0xff2b62bb,
    0xff255fc4,
    0xff2164c3,
    0xff2363ba,
    0xff2563be,
    0xff2563c6,
    0xff2362c5,
    0xff2566c5,
    0xff2466c1,
    0xff2664c0,
    0xff2960bf,
    0xff2965c2,
    0xff2762bf,
    0xff2461bd,
    0xff2661c2,
    0xff2762c2,
    0xff2262c3,
    0xff205fc1,
    0xff2262c3,
    0xff215cbc,
    0xff235ebe,
    0xff1f5bbb,
    0xff2560c0,
    0xff2464c3,
    0xff2564c0,
    0xff2564c1,
    0xff2667c2,
    0xff2663c0,
    0xff2663c0,
    0xff2663c0,
    0xff2663c0,
    0xff2663c0,
    0xff2865c2,
    0xff2461be,
    0xff2563bf,
    0xff2860c2,
    0xff2862c5,
    0xff2562c3,
    0xff2263c2,
    0xff2161c0,
    0xff2462c2,
    0xff2760c3,
    0xff265fc0,
    0xff2463bd,
    0xff2563bd,
    0xff2661bd,
    0xff2960bd,
    0xff2962be,
    0xff2860bd,
    0xff2560bb,
    0xff2560bc,
    0xff2663be,
    0xff2663be,
    0xff2461bc,
    0xff245fba,
    0xff2660bb,
    0xff2760bb,
    0xff2760b9,
    0xff275fb8,
    0xff2a62b9,
    0xff2a62bb,
    0xff225bb7,
    0xff255dbb,
    0xff205abb,
    0xff1d5ab9,
    0xff1e5bb8,
    0xff1f5cb6,
    0xff1b58b3,
    0xff1e5bb6,
    0xff1e5cb7,
    0xff1e5ab6,
    0xff1f5cb8,
    0xff205db9,
    0xff1e5bb7,
    0xff1e5bb6,
    0xff1b5bb6,
    0xff1a5ab4,
    0xff1c59b3,
    0xff1d59b4,
    0xff1b59b4,
    0xff1e59b6,
    0xff1e59b6,
    0xff1b56b2,
    0xff1c5ab3,
    0xff1b58b2,
    0xff1f59b3,
    0xff1956ae,
    0xff1b53ad,
    0xff1a52ab,
    0xff1b54ad,
    0xff1a53ac,
    0xff1552ac,
    0xff1e4fb3,
    0xff1d4db0,
    0xff304f9d,
    0xff2e4ba2,
    0xff1e56b7,
    0xff2357ab,
    0xff2a54b4,
    0xff2854be,
    0xff254ba5,
    0xff2d4e9c,
    0xff2c51a5,
    0xff2552ac,
    0xff254898,
    0xff5b5893,
    0xff986d8e,
    0xffb64f41,
    0xffc8441e,
    0xffc11800,
    0xffbe1905,
    0xff860000,
    0xffa10a05,
    0xffd6351e,
    0xff990000,
    0xff9b0017,
    0xff8e020e,
    0xff94040e,
    0xff941930,
    0xff5e3064,
    0xff384fa4,
    0xff2d51af,
    0xff304aa1,
    0xff354fa2,
    0xff3e468e,
    0xff633a70,
    0xff833c51,
    0xff773343,
    0xff8b384c,
    0xffab5325,
    0xff812215,
    0xff662325,
    0xff812847,
    0xff724877,
    0xff373f70,
    0xff8c6b96,
    0xff802139,
    0xff7a0007,
    0xff8b0009,
    0xff85000a,
    0xff850308,
    0xff840f10,
    0xff88000a,
    0xffb1141f,
    0xffac110e,
    0xffb21714,
    0xffa01516,
    0xffe0695f,
    0xff873f52,
    0xff334082,
    0xff1d4b9f,
    0xff1149a8,
    0xff1747a7,
    0xff463f67,
    0xffe1bdb9,
    0xffc07768,
    0xff973e40,
    0xff694d77,
    0xff324595,
    0xff1e4ca0,
    0xff0752a5,
    0xff124db3,
    0xff174daf,
    0xff1350aa,
    0xff124fa9,
    0xff104da6,
    0xff0d4aa1,
    0xff114aa3,
    0xff144ba5,
    0xff134aa4,
    0xff1045a1,
    0xff1a54a7,
    0xff164ea0,
    0xff0c4296,
    0xff124699,
    0xff2256ac,
    0xff10489d,
    0xff114ca0,
    0xff0f4fa2,
    0xff1748a1,
    0xff3971bd,
    0xff417ec3,
    0xff124d9c,
    0xff154ca9,
    0xff2552a8,
    0xff374284,
    0xff624c79,
    0xff8d6658,
    0xffe47c34,
    0xffed7804,
    0xffd1730c,
    0xffc56343,
    0xff834866,
    0xff3b4586,
    0xff25489f,
    0xff3d2c5b,
    0xff4f386a,
    0xff714f93,
    0xff373787,
    0xff174fa2,
    0xff1a4cad,
    0xff3b3a8a,
    0xff593145,
    0xffa04c63,
    0xff3a4284,
    0xff23419f,
    0xff323e9d,
    0xff474b80,
    0xff846170,
    0xff845e7e,
    0xff484c86,
    0xff214e9d,
    0xff2751a3,
    0xff2159ac,
    0xff2759a4,
    0xff294993,
    0xff2154af,
    0xff1e4fa1,
    0xff453a64,
    0xffab6551,
    0xffcb994e,
    0xffba712a,
    0xffe67b49,
    0xffc96126,
    0xff7f2000,
    0xff892b18,
    0xff893305,
    0xff882600,
    0xffd27844,
    0xfff57e52,
    0xffb03819,
    0xffab1f18,
    0xffb4232a,
    0xfff9888b,
    0xff9c0c17,
    0xff91090d,
    0xff960913,
    0xff6e040a,
    0xff442621,
    0xff20281b,
    0xff30160d,
    0xff741f16,
    0xffb64135,
    0xff851a17,
    0xffa42929,
    0xffab2e22,
    0xffb13721,
    0xffb13a27,
    0xffa24f3b,
    0xff2d0d02,
    0xff221a11,
    0xff12200b,
    0xff191509,
    0xff222314,
    0xff331e14,
    0xffbe6f71,
    0xff700f0e,
    0xff7c2519,
    0xffe7766b,
    0xff9f0806,
    0xffb31600,
    0xffd5532d,
    0xff6e3222,
    0xff170b11,
    0xff1a1e1c,
    0xff122518,
    0xff0d231d,
    0xff0f221a,
    0xff0f241e,
    0xff102623,
    0xff122527,
    0xff182a2c,
    0xff16272a,
    0xff152927,
    0xff122b26,
    0xff132528,
    0xff102226,
    0xff112425,
    0xff0f2324,
    0xff102422,
    0xff122523,
    0xff152526,
    0xff162524,
    0xff162a2a,
    0xff112526,
    0xff102226,
    0xff13282d,
    0xff0d2227,
    0xff0e2327,
    0xff0e2326,
    0xff0b2022,
    0xff0e2623,
    0xff092121,
    0xff0d2323,
    0xff0e2223,
    0xff0b1f22,
    0xff0c2123,
    0xff071e20,
    0xff041d21,
    0xff041e1e,
    0xff072122,
    0xff082223,
    0xff082223,
    0xff0a2121,
    0xff082121,
    0xff0c2021,
    0xff0c2224,
    0xff092227,
    0xff0d262c,
    0xff0e272b,
    0xff0a2327,
    0xff0b2428,
    0xff0a2328,
    0xff0a2328,
    0xff0c2529,
    0xff0a292d,
    0xff09272c,
    0xff122e37,
    0xff112c38,
    0xff0e2935,
    0xff132936,
    0xff142a36,
    0xff132835,
    0xff0f2a39,
    0xff0c2537,
    0xff0e293c,
    0xff142a41,
    0xff152b44,
    0xff152942,
    0xff152941,
    0xff152a3f,
    0xff112a33,
    0xff152c35,
    0xff1a2f37,
    0xff1e2e36,
    0xff202d35,
    0xff232e35,
    0xff1e262b,
    0xff2c3436,
    0xff475252,
    0xff313d3d,
    0xff071513,
    0xff091615,
    0xff576162,
    0xff6f7075,
    0xff6c666f,
    0xff867b84,
    0xff4e4944,
    0xff635d66,
    0xff7d7693,
    0xff8583a2,
    0xffadb1b8,
    0xff3b4530,
    0xff0d1208,
    0xff928fa0,
    0xffc7d4dc,
    0xff44363a,
    0xff160807,
    0xff434242,
    0xff201a18,
    0xff7d7665,
    0xff140900,
    0xff482b2b,
    0xff411515,
    0xff8d5d21,
    0xffffd860,
    0xffd8b03c,
    0xffbc9043,
    0xffdbbf90,
    0xff95846a,
    0xff795b53,
    0xff3c1712,
    0xff2f1e13,
    0xff1e1813,
    0xff2a1b28,
    0xff22101b,
    0xff1b1205,
    0xff170c00,
    0xff230900,
    0xffa8792f,
    0xffc27521,
    0xffa65108,
    0xffae7539,
    0xffb07b48,
    0xff946951,
    0xffc0a895,
    0xffb9853d,
    0xffa27835,
    0xffc99e80,
    0xffb1978b,
    0xffccb9be,
    0xff0a0000,
    0xff0f1706,
    0xff12171c,
    0xff1e1006,
    0xff0e0c01,
    0xff1f221a,
    0xff313a22,
    0xff050601,
    0xff6d5c4f,
    0xfff5ce96,
    0xfffdc34f,
    0xffd18a1a,
    0xffd59721,
    0xfff6b33e,
    0xffd7951e,
    0xffb37303,
    0xff924a00,
    0xffc47d14,
    0xfffeca75,
    0xff64402c,
    0xffa77641,
    0xfff0ad46,
    0xffdf9735,
    0xffbb8827,
    0xffa27548,
    0xff85474c,
    0xff814d33,
    0xffad8c76,
    0xffbd954f,
    0xffc89039,
    0xffa47b25,
    0xffc3a97a,
    0xff8c6f64,
    0xff47362d,
    0xff2d2a1b,
    0xff3a362b,
    0xff2e2e4e,
    0xff3d60a8,
    0xff3e67b3,
    0xff424366,
    0xff28010c,
    0xff3a0713,
    0xff3f040d,
    0xff54060e,
    0xff55020e,
    0xff560008,
    0xff63020c,
    0xff66010d,
    0xff62000c,
    0xff5c000c,
    0xff58010a,
    0xff590209,
    0xff540012,
    0xff573f65,
    0xff355896,
    0xff2d5fb1,
    0xff3864bf,
    0xff3265bf,
    0xff2e66be,
    0xff3464b9,
    0xff715f93,
    0xff8a2740,
    0xff910711,
    0xff8f1815,
    0xff801006,
    0xff7d0d0b,
    0xff731018,
    0xff600f15,
    0xff56141c,
    0xff5e1329,
    0xff632235,
    0xff976e8a,
    0xff4c5493,
    0xff245caa,
    0xff235fa9,
    0xff2d62af,
    0xff2e67bb,
    0xff2d67bb,
    0xff2c66ba,
    0xff2660b5,
    0xff265eb3,
    0xff245cb1,
    0xff2a62b7,
    0xff3169bd,
    0xff336fc5,
    0xff306dc5,
    0xff326ec8,
    0xff3067c5,
    0xff2e67c2,
    0xff2c65bf,
    0xff336dc3,
    0xff3973c6,
    0xff366dbf,
    0xff376dc0,
    0xff376bc0,
    0xff3a6ec4,
    0xff3f6fc2,
    0xff4b79c8,
    0xff4a72c2,
    0xff4f76c3,
    0xff547bc7,
    0xff5178c5,
    0xff557bc6,
    0xff5378c3,
    0xff6187d3,
    0xff5a83d0,
    0xff4a75c2,
    0xff4a78c4,
    0xff4876c3,
    0xff3e6cba,
    0xff3c6bbb,
    0xff3869bc,
    0xff386bbf,
    0xff3168ba,
    0xff326ac0,
    0xff2f67bb,
    0xff2e67bd,
    0xff2b62bc,
    0xff2b62bc,
    0xff2a61be,
    0xff2a61bc,
    0xff2c62bb,
    0xff2d61b5,
    0xff2c5eb0,
    0xff325fb0,
    0xff3664b2,
    0xff3a64b3,
    0xff3e6ab4,
    0xff426dbc,
    0xff4b7ac7,
    0xff4e7ccf,
    0xff4979cc,
    0xff3669bc,
    0xff2f61b7,
    0xff3062b7,
    0xff3766bc,
    0xff416fc2,
    0xff4873c3,
    0xff5a84ce,
    0xff6086ce,
    0xff6080c8,
    0xff5c83cb,
    0xff6086ce,
    0xff5b76c1,
    0xff5e7abe,
    0xff6688c6,
    0xff6c88c9,
    0xff7987ca,
    0xff7c7aa9,
    0xff52588a,
    0xff5771aa,
    0xff4c74b6,
    0xff4774c3,
    0xff3969bc,
    0xff3061b8,
    0xff3063ba,
    0xff386fc9,
    0xff3061b1,
    0xff6e87c4,
    0xff3b3e53,
    0xff424561,
    0xff305ca6,
    0xff2064c0,
    0xff2660bc,
    0xff2760bb,
    0xff2760be,
    0xff2860be,
    0xff2860bf,
    0xff235cbb,
    0xff205cba,
    0xff215cbb,
    0xff235cbe,
    0xff235db6,
    0xff205eb6,
    0xff285ac1,
    0xff265ec3,
    0xff2562bb,
    0xff205fbc,
    0xff2956af,
    0xff6a4d94,
    0xff840325,
    0xffa00817,
    0xff9c1425,
    0xff9f0023,
    0xff920613,
    0xff8b0206,
    0xff8b0011,
    0xff840011,
    0xff720509,
    0xff680013,
    0xffa05b71,
    0xffac7881,
    0xff903636,
    0xffa4251f,
    0xffb12220,
    0xffc1252f,
    0xffbf282d,
    0xff981716,
    0xff7a0e0b,
    0xff7b1414,
    0xff8e1e25,
    0xff87131f,
    0xff700109,
    0xff6e010a,
    0xff73000c,
    0xff660009,
    0xff610401,
    0xffd98271,
    0xffb35d57,
    0xff771023,
    0xff7e001d,
    0xff951324,
    0xff910510,
    0xff941115,
    0xff6f011f,
    0xff584187,
    0xff305dbc,
    0xff3561b9,
    0xff2f61ad,
    0xff2b5ab7,
    0xff5059a5,
    0xff590b28,
    0xff6e0515,
    0xff630411,
    0xff6c020d,
    0xff85000e,
    0xffa2020d,
    0xff9f0415,
    0xff920010,
    0xff9d0313,
    0xff880a05,
    0xff880c15,
    0xff75000b,
    0xff540225,
    0xff454280,
    0xff6a5399,
    0xff8d4d73,
    0xff5e0d17,
    0xff6f0b13,
    0xff791022,
    0xff73091a,
    0xff6b010f,
    0xff5c0413,
    0xff500f0e,
    0xff500810,
    0xff510914,
    0xff71121b,
    0xff731322,
    0xff613d5f,
    0xff485ca5,
    0xff305dbe,
    0xff2762bf,
    0xff2763bd,
    0xff2962c0,
    0xff2863c6,
    0xff2864c5,
    0xff2162c1,
    0xff2365c0,
    0xff2563c1,
    0xff2663c3,
    0xff2763c1,
    0xff2562be,
    0xff2560c1,
    0xff2561c1,
    0xff245fc0,
    0xff2160bf,
    0xff2161c0,
    0xff205fbe,
    0xff245dbf,
    0xff2460c1,
    0xff235fbf,
    0xff2663bf,
    0xff2663c0,
    0xff2463c1,
    0xff2564c2,
    0xff2465be,
    0xff2865c0,
    0xff2865c0,
    0xff2764bf,
    0xff2865c0,
    0xff2663be,
    0xff2764bf,
    0xff2461bc,
    0xff2461bc,
    0xff2a61c0,
    0xff2763c0,
    0xff2361be,
    0xff2263be,
    0xff2162be,
    0xff2260bd,
    0xff235ebc,
    0xff255ebc,
    0xff1f5fb9,
    0xff205db9,
    0xff205cb8,
    0xff225ab7,
    0xff235ab8,
    0xff225ab7,
    0xff205bb7,
    0xff215cb8,
    0xff215eb9,
    0xff215eb9,
    0xff1f5cb8,
    0xff1f5db5,
    0xff205bb5,
    0xff205bb5,
    0xff1f5bb2,
    0xff1b56af,
    0xff3a72c9,
    0xff215ab3,
    0xff2158b6,
    0xff1b57b5,
    0xff1a54b6,
    0xff1a57b4,
    0xff1b58b4,
    0xff1c59b2,
    0xff1b58b3,
    0xff1d5ab5,
    0xff1a57b2,
    0xff1c59b4,
    0xff1a57b2,
    0xff1a57b2,
    0xff1a57b2,
    0xff1c59b4,
    0xff1a5bb5,
    0xff1a5bb5,
    0xff1d59b5,
    0xff1c59b4,
    0xff1d5ab5,
    0xff1f5ab6,
    0xff1f5ab6,
    0xff205bb7,
    0xff215db5,
    0xff1d59b1,
    0xff1e5ab2,
    0xff1e5ab2,
    0xff1d58b2,
    0xff1d58b2,
    0xff205bb5,
    0xff205bb3,
    0xff2859ab,
    0xff384faa,
    0xff5e5596,
    0xff5f3456,
    0xff563c72,
    0xff3758ac,
    0xff2455b0,
    0xff3056b9,
    0xff2656b2,
    0xff375494,
    0xff777daa,
    0xff5a4f80,
    0xff604974,
    0xff936f88,
    0xffad8298,
    0xff764366,
    0xffa13433,
    0xff9a1200,
    0xffb9211a,
    0xffbd2e18,
    0xffaf2909,
    0xffc13e27,
    0xff8f0800,
    0xff950413,
    0xff8d0b16,
    0xff8b000e,
    0xffa62e54,
    0xff764482,
    0xff3a4e9c,
    0xff1a52a4,
    0xff1451a7,
    0xff1750ab,
    0xff1c53a2,
    0xff1354a9,
    0xff244eb1,
    0xff2b429f,
    0xff2d4da3,
    0xff4b3d8d,
    0xff8c3e3c,
    0xff8a353d,
    0xff4c3a66,
    0xff433975,
    0xff36478f,
    0xff40467d,
    0xff5d152b,
    0xff810000,
    0xff860405,
    0xff81040c,
    0xff8c030e,
    0xff860205,
    0xff7f0304,
    0xff850009,
    0xff860009,
    0xff910104,
    0xffa20612,
    0xffde717e,
    0xffae595b,
    0xff913b3f,
    0xff534a83,
    0xff1c4fa6,
    0xff144fa6,
    0xff1f4da2,
    0xff4b4d7d,
    0xff553339,
    0xff924847,
    0xff8c2a2e,
    0xff743956,
    0xff3d3881,
    0xff204ea6,
    0xff0c52a7,
    0xff154da6,
    0xff1048a1,
    0xff124eaa,
    0xff0f4da5,
    0xff104ba4,
    0xff134fa8,
    0xff164ea5,
    0xff1851aa,
    0xff1850a9,
    0xff154ca7,
    0xff0c479a,
    0xff164ea3,
    0xff1a50a6,
    0xff184ba1,
    0xff164ca2,
    0xff1650a3,
    0xff0f4a9e,
    0xff0d4ca0,
    0xff1047a2,
    0xff1f4096,
    0xff22398c,
    0xff2042a0,
    0xff2244a3,
    0xff343475,
    0xff9a6c6b,
    0xffcb793e,
    0xffed7b29,
    0xfff27309,
    0xffe26800,
    0xffdc6b0d,
    0xffd55c0d,
    0xffde672d,
    0xff8a3d3f,
    0xff53387d,
    0xff523160,
    0xff714375,
    0xff564090,
    0xff2e49a8,
    0xff0b57ab,
    0xff144d9d,
    0xff6a4486,
    0xff790330,
    0xffa95979,
    0xff294487,
    0xff11529c,
    0xff1e4887,
    0xff645c7f,
    0xff85575f,
    0xff7f6a7e,
    0xff2e4d72,
    0xff294198,
    0xff1b499d,
    0xff1d4fa6,
    0xff28469b,
    0xff2d5099,
    0xff1955a2,
    0xff224a87,
    0xff574659,
    0xff8e3a16,
    0xffe49853,
    0xffcb6f3e,
    0xffca693e,
    0xffa46519,
    0xff834d10,
    0xff742007,
    0xff811b00,
    0xff7d3f03,
    0xffa97b38,
    0xffc86738,
    0xffa22d13,
    0xffa2201c,
    0xff8e0210,
    0xfff3a6a9,
    0xffffacb1,
    0xffb81718,
    0xffb31817,
    0xff790000,
    0xff5f1812,
    0xff2f2014,
    0xff202914,
    0xff281e04,
    0xff411500,
    0xff5f1200,
    0xffdb6a52,
    0xffaf4531,
    0xff884024,
    0xff8b4831,
    0xff61230d,
    0xff512208,
    0xff391c00,
    0xff1f1702,
    0xff211d0b,
    0xff170800,
    0xff8e6962,
    0xffcd7679,
    0xff971922,
    0xffb43331,
    0xffbe2b2b,
    0xffc51d18,
    0xffd33415,
    0xffdd5c23,
    0xff691d00,
    0xff341405,
    0xff18101a,
    0xff152329,
    0xff0d241f,
    0xff0f211c,
    0xff1b302e,
    0xff152d2d,
    0xff0c2126,
    0xff10232b,
    0xff13252e,
    0xff12262b,
    0xff0c2526,
    0xff0f252a,
    0xff13282c,
    0xff132c2d,
    0xff102728,
    0xff0c2223,
    0xff122826,
    0xff122523,
    0xff0d201e,
    0xff0a1e1c,
    0xff0e2220,
    0xff122625,
    0xff132727,
    0xff102424,
    0xff112525,
    0xff0f2321,
    0xff0d221e,
    0xff081e1a,
    0xff071c18,
    0xff061916,
    0xff071a18,
    0xff071917,
    0xff081a19,
    0xff091e1a,
    0xff0e211f,
    0xff0d272b,
    0xff0b2429,
    0xff0a2126,
    0xff0a2226,
    0xff0b2327,
    0xff0a2226,
    0xff0b2327,
    0xff0d2429,
    0xff0b2429,
    0xff0a2328,
    0xff092226,
    0xff09222a,
    0xff072127,
    0xff082128,
    0xff092228,
    0xff0b242d,
    0xff06252d,
    0xff0b2631,
    0xff0c2833,
    0xff102c39,
    0xff0d2736,
    0xff0e2838,
    0xff0e2837,
    0xff102837,
    0xff0e2a36,
    0xff0f2c38,
    0xff0f2b39,
    0xff0e2839,
    0xff0e2838,
    0xff13293a,
    0xff132b39,
    0xff132936,
    0xff182e3e,
    0xff162c3c,
    0xff172a3a,
    0xff192c3b,
    0xff1b2d39,
    0xff192c36,
    0xff1b2c35,
    0xff192930,
    0xff192729,
    0xff2c3c3c,
    0xff697b79,
    0xff7e908d,
    0xff34433f,
    0xff131c19,
    0xff5d615d,
    0xff666364,
    0xff898492,
    0xff3e3744,
    0xff6c6871,
    0xff6e7074,
    0xff61666a,
    0xff53585e,
    0xff939399,
    0xff6e6c6d,
    0xff8d9192,
    0xff867f88,
    0xff50464e,
    0xff292526,
    0xff221d1b,
    0xff3a3a34,
    0xff5d534b,
    0xff361814,
    0xff3a1b16,
    0xff55290b,
    0xff926c31,
    0xffcaa967,
    0xffddb181,
    0xffa27757,
    0xffdbbaa9,
    0xff310d0c,
    0xff462828,
    0xff26150c,
    0xff241a13,
    0xff413036,
    0xff211011,
    0xff44382a,
    0xff1a1102,
    0xff211210,
    0xff462b0b,
    0xff9e7438,
    0xff9d6419,
    0xff7d4f0f,
    0xffbd8b4e,
    0xffb28a58,
    0xff9e8559,
    0xffab7328,
    0xffffdf92,
    0xff9a5f26,
    0xffce9c72,
    0xffc8afa1,
    0xff919587,
    0xff162f20,
    0xff000608,
    0xff240e00,
    0xff200f05,
    0xff190700,
    0xff5f4a29,
    0xff190000,
    0xffac905b,
    0xffd7b651,
    0xffd09a10,
    0xfff19f33,
    0xffb27306,
    0xffdd9d19,
    0xffce9003,
    0xffe1a722,
    0xffb36e06,
    0xffce8c0f,
    0xffa57419,
    0xff5f4514,
    0xffceaa54,
    0xffffc356,
    0xfff9b540,
    0xfff3bd4b,
    0xff8e5d28,
    0xff794f36,
    0xff8a6c29,
    0xffc09f62,
    0xff8a5a15,
    0xff955329,
    0xffb47f6b,
    0xffc1a79a,
    0xff97827b,
    0xff523b3b,
    0xff3a2b2e,
    0xff341d2b,
    0xff200615,
    0xff626a9e,
    0xff3b579e,
    0xff676995,
    0xff350f18,
    0xff46010a,
    0xff56010f,
    0xff5e0300,
    0xff570403,
    0xff5b020c,
    0xff5a0010,
    0xff5f0014,
    0xff5f000c,
    0xff590009,
    0xff540108,
    0xff53010d,
    0xff54000d,
    0xff434171,
    0xff2f70bc,
    0xff2d65c4,
    0xff2e5bbb,
    0xff2561bb,
    0xff376dc1,
    0xff5567b1,
    0xff7b3650,
    0xff8c0c0f,
    0xffa5130e,
    0xff91170d,
    0xff881207,
    0xff8b110f,
    0xff791317,
    0xff631211,
    0xff471314,
    0xff521a25,
    0xff643450,
    0xff5a5992,
    0xff355cb7,
    0xff2c66c2,
    0xff2968b3,
    0xff336aba,
    0xff2e67bb,
    0xff2f6abd,
    0xff356fc2,
    0xff2e69bc,
    0xff2861b6,
    0xff2c64b9,
    0xff2d65ba,
    0xff3069be,
    0xff2c66bd,
    0xff2d68c0,
    0xff326bc5,
    0xff2c65bf,
    0xff316ac4,
    0xff3269c4,
    0xff376fc6,
    0xff3870c5,
    0xff3d70c1,
    0xff3d6fc2,
    0xff3b6ec0,
    0xff3f6fc2,
    0xff4170c4,
    0xff436ebe,
    0xff4a74c0,
    0xff5980cc,
    0xff5277c6,
    0xff5075c5,
    0xff567ac9,
    0xff577dc8,
    0xff4e76bd,
    0xff4973ba,
    0xff4c78c0,
    0xff507cc4,
    0xff4776c4,
    0xff4574c3,
    0xff4373c5,
    0xff3467ba,
    0xff396dc2,
    0xff376dc4,
    0xff336bc0,
    0xff2c64b9,
    0xff255bb3,
    0xff2e64be,
    0xff2d64bf,
    0xff2b62bc,
    0xff2c62be,
    0xff2c64bd,
    0xff2f66bb,
    0xff3467bc,
    0xff4570c3,
    0xff517ccb,
    0xff507cc9,
    0xff5580cc,
    0xff618dd8,
    0xff5883d1,
    0xff4c7ac8,
    0xff406fc0,
    0xff3467ba,
    0xff3669bc,
    0xff4173c8,
    0xff3b6dc0,
    0xff4b7acb,
    0xff4473c2,
    0xff3d6ab4,
    0xff4670b9,
    0xff5074be,
    0xff436db7,
    0xff4971bb,
    0xff5674be,
    0xff526fb8,
    0xff5478ba,
    0xff607dbd,
    0xff6d7bbc,
    0xff6a6d98,
    0xff536395,
    0xff5a79ba,
    0xff4d7ac2,
    0xff4b80c6,
    0xff3c77bf,
    0xff2b66b4,
    0xff205caf,
    0xff2a58ad,
    0xff3962b8,
    0xff8695c8,
    0xff424059,
    0xff405680,
    0xff2c60b7,
    0xff225ec8,
    0xff2661b7,
    0xff255bb6,
    0xff255cb6,
    0xff245bb9,
    0xff225bb7,
    0xff205cb7,
    0xff205cb7,
    0xff205db7,
    0xff205db9,
    0xff2160b7,
    0xff225eb6,
    0xff2b59c1,
    0xff275cc4,
    0xff1e61b8,
    0xff1d63bc,
    0xff2d59ad,
    0xff704890,
    0xff7c0320,
    0xffb12936,
    0xffa82c3a,
    0xff850015,
    0xff7a000e,
    0xff77000a,
    0xff7c0216,
    0xff780016,
    0xff770117,
    0xff8f0b23,
    0xffb13b4a,
    0xff7c161c,
    0xff86111a,
    0xffbd313d,
    0xffbd1e2b,
    0xffbf111d,
    0xffa20d0b,
    0xff88150e,
    0xff7c1813,
    0xff821618,
    0xff7c030c,
    0xff6e0006,
    0xff730212,
    0xff8d162d,
    0xff6b0615,
    0xff731218,
    0xffb86857,
    0xffc27b60,
    0xff79281c,
    0xff700c13,
    0xff7e030f,
    0xffa6141d,
    0xff9f0e20,
    0xff910813,
    0xff6c143f,
    0xff455fb8,
    0xff1268cb,
    0xff1d65bf,
    0xff2464b9,
    0xff2f5bbf,
    0xff575398,
    0xff5b0e1f,
    0xff68030d,
    0xff610117,
    0xff680716,
    0xff6f0003,
    0xff950102,
    0xffaf091b,
    0xffb41711,
    0xffbf2c33,
    0xff913036,
    0xff6c0d1e,
    0xff850710,
    0xff6d0008,
    0xff604061,
    0xff6a376c,
    0xff6b071b,
    0xff800e0d,
    0xff760103,
    0xff720612,
    0xff710c11,
    0xff750c11,
    0xff680313,
    0xff5d0310,
    0xff5b0111,
    0xff4b000d,
    0xff62050d,
    0xff9c2828,
    0xff893b4b,
    0xff584b86,
    0xff365ab3,
    0xff2b63c0,
    0xff2760bf,
    0xff2861c4,
    0xff2961c5,
    0xff2963c3,
    0xff2563bd,
    0xff2565bf,
    0xff2364c1,
    0xff1f61c2,
    0xff2261c0,
    0xff2160bf,
    0xff2160bf,
    0xff2560c1,
    0xff2562be,
    0xff2562bf,
    0xff2562bf,
    0xff2461be,
    0xff2560be,
    0xff2762c0,
    0xff2863c1,
    0xff2963c0,
    0xff2765c0,
    0xff2865c0,
    0xff2865c0,
    0xff2865c0,
    0xff2663bf,
    0xff2663be,
    0xff2461bc,
    0xff225fba,
    0xff215fba,
    0xff225fba,
    0xff215eb9,
    0xff215eb9,
    0xff255dba,
    0xff235eba,
    0xff1f5cb7,
    0xff1e5eb8,
    0xff1c5cb6,
    0xff1e5bb6,
    0xff1e59b5,
    0xff1f58b5,
    0xff1b5bb3,
    0xff1d5ab3,
    0xff205bb5,
    0xff225bb4,
    0xff235cb6,
    0xff215ab4,
    0xff1e59b3,
    0xff1d58b1,
    0xff1d5cb7,
    0xff1c5cb7,
    0xff1a5ab2,
    0xff1d59b2,
    0xff1e5bb4,
    0xff205cb5,
    0xff205db6,
    0xff205db6,
    0xff1c55ae,
    0xff225bb5,
    0xff2259b6,
    0xff225dbc,
    0xff205bb9,
    0xff205dba,
    0xff225fb8,
    0xff225fb8,
    0xff215eb9,
    0xff225fba,
    0xff1e5bb6,
    0xff205db8,
    0xff205db8,
    0xff225fba,
    0xff215eb9,
    0xff205db8,
    0xff1e5bb6,
    0xff215eb9,
    0xff225fba,
    0xff225fba,
    0xff215eb9,
    0xff215eb9,
    0xff215cb8,
    0xff225db8,
    0xff235eb7,
    0xff205db4,
    0xff205cb4,
    0xff215cb7,
    0xff215fb8,
    0xff205eb6,
    0xff2360bb,
    0xff215eba,
    0xff275dae,
    0xff53599f,
    0xff5f0e2b,
    0xff81040b,
    0xff690123,
    0xff714883,
    0xff485698,
    0xff395191,
    0xff684d80,
    0xff713742,
    0xffbf6c68,
    0xff943644,
    0xffb35054,
    0xffda7760,
    0xffb26255,
    0xff8a4e64,
    0xff7d1820,
    0xff740000,
    0xff850c0a,
    0xffcf473b,
    0xffaa1000,
    0xff890000,
    0xffa01521,
    0xff95020b,
    0xff910a07,
    0xff8e0323,
    0xff8c3f86,
    0xff3a44a1,
    0xff1e4fb1,
    0xff1b56ad,
    0xff1858ab,
    0xff1b58b3,
    0xff2755a9,
    0xff195baf,
    0xff1556aa,
    0xff2953a5,
    0xff1e59a4,
    0xff4150a0,
    0xff722546,
    0xff752a57,
    0xff414b9d,
    0xff3d4b8c,
    0xff53487a,
    0xff5b173c,
    0xff76000e,
    0xff87000b,
    0xff890517,
    0xff84030f,
    0xff88000b,
    0xff870203,
    0xff820003,
    0xff7f0007,
    0xff74060b,
    0xff84010b,
    0xff96001b,
    0xff994761,
    0xff6f435c,
    0xff994143,
    0xff5b3e72,
    0xff1b50ad,
    0xff154f9f,
    0xff194793,
    0xff596aa5,
    0xff54374b,
    0xff814657,
    0xff9a3943,
    0xff812531,
    0xff6a4176,
    0xff23439c,
    0xff1153ab,
    0xff184d9e,
    0xff1850a4,
    0xff1551ad,
    0xff1550aa,
    0xff1450a8,
    0xff124ea3,
    0xff124ea4,
    0xff104ca2,
    0xff0e4aa3,
    0xff104aa3,
    0xff1149a2,
    0xff104aa2,
    0xff144ba5,
    0xff144aa3,
    0xff10479e,
    0xff1148a0,
    0xff104c9f,
    0xff0b499d,
    0xff094ba2,
    0xff144aa0,
    0xff174797,
    0xff264d92,
    0xff3c3b71,
    0xff8d4d63,
    0xffae3820,
    0xffce3f01,
    0xffe7650a,
    0xffd35900,
    0xffdf5605,
    0xffe65e20,
    0xffc65107,
    0xffdb5a14,
    0xff9b1709,
    0xffa14a76,
    0xff572354,
    0xff743857,
    0xff3f3676,
    0xff2a4196,
    0xff22458a,
    0xff293f67,
    0xff955961,
    0xffa72935,
    0xffa6577e,
    0xff2b3c8c,
    0xff12519c,
    0xff325085,
    0xff965d7f,
    0xffa43344,
    0xffa14a62,
    0xff78415f,
    0xff78387f,
    0xff554573,
    0xff664c79,
    0xff764184,
    0xff484292,
    0xff3248a2,
    0xff624c8e,
    0xff631d24,
    0xffd67c42,
    0xffd48f44,
    0xff98511e,
    0xff6f2e00,
    0xff765102,
    0xffa97e31,
    0xff722202,
    0xff913117,
    0xff7a4b1c,
    0xff513500,
    0xff752300,
    0xff720e00,
    0xff8d1c19,
    0xff890611,
    0xffce7273,
    0xffffdbd0,
    0xffb91e10,
    0xffbd2011,
    0xffd1342d,
    0xffa51316,
    0xff8a2126,
    0xff42130a,
    0xff331d09,
    0xff4e3116,
    0xff783112,
    0xff752018,
    0xff490407,
    0xff420605,
    0xff6a0000,
    0xffcf3b2e,
    0xffbf3023,
    0xff9b1c0f,
    0xff63100a,
    0xff56180f,
    0xff450200,
    0xffd98e8f,
    0xff9f2f37,
    0xffb01927,
    0xffb71b24,
    0xffd02d32,
    0xffc21410,
    0xffc21b11,
    0xffd73b1b,
    0xffd04513,
    0xffb4492b,
    0xff591a1f,
    0xff311d29,
    0xff223027,
    0xff12241f,
    0xff162b28,
    0xff183233,
    0xff0d252b,
    0xff132a34,
    0xff112633,
    0xff0d2530,
    0xff0f2c36,
    0xff102a30,
    0xff122a30,
    0xff112c31,
    0xff132f31,
    0xff173233,
    0xff142e2c,
    0xff0f2826,
    0xff0d2422,
    0xff0d2620,
    0xff0e2421,
    0xff0d221f,
    0xff0c201d,
    0xff0c201d,
    0xff0a1c19,
    0xff0a1c17,
    0xff0e2019,
    0xff0a1f18,
    0xff0a1c16,
    0xff0a1a14,
    0xff0d1c15,
    0xff0b1a13,
    0xff0a1913,
    0xff0a1913,
    0xff0d1d17,
    0xff081f20,
    0xff071f20,
    0xff082125,
    0xff0c2529,
    0xff0f262c,
    0xff0d242c,
    0xff0d232e,
    0xff0e232e,
    0xff0f2930,
    0xff0f282f,
    0xff0e272e,
    0xff0b232e,
    0xff0f2731,
    0xff0f2731,
    0xff0e2531,
    0xff0e2733,
    0xff0f2b36,
    0xff0f2b37,
    0xff0b2735,
    0xff0b2638,
    0xff132e40,
    0xff112c3f,
    0xff0f2a3d,
    0xff0d2839,
    0xff0e2b3f,
    0xff0e2b40,
    0xff112b40,
    0xff102c3f,
    0xff122b3d,
    0xff112b3b,
    0xff152c38,
    0xff172f3b,
    0xff15283b,
    0xff17293c,
    0xff17293a,
    0xff122937,
    0xff142c35,
    0xff152d36,
    0xff0e272f,
    0xff122830,
    0xff192932,
    0xff1e2f35,
    0xff0e2226,
    0xff112625,
    0xff182b29,
    0xff1d2c27,
    0xff17231c,
    0xff6b726d,
    0xff636173,
    0xff837e91,
    0xff363535,
    0xff6b6e62,
    0xff626866,
    0xff85889b,
    0xff2f2d3b,
    0xff635f5a,
    0xff605856,
    0xff535661,
    0xffd1d0df,
    0xff6d6167,
    0xff1d1c1a,
    0xff121315,
    0xff6f5d5b,
    0xff492418,
    0xff321202,
    0xff643424,
    0xff2c0700,
    0xff493622,
    0xffeec7b5,
    0xffaa765c,
    0xffc09780,
    0xffa0817a,
    0xff2b1413,
    0xff2a1509,
    0xff38261b,
    0xff31251e,
    0xff281a13,
    0xff4c3a2c,
    0xff261a13,
    0xff181213,
    0xff3b2b26,
    0xff140601,
    0xff71522b,
    0xffa1763b,
    0xff85571d,
    0xffa27b5b,
    0xffa78d6f,
    0xffba8d45,
    0xffe4bb87,
    0xffc89364,
    0xffd1a178,
    0xffaa8371,
    0xff855c4d,
    0xffba9b8a,
    0xffc3b2aa,
    0xff533f29,
    0xff856439,
    0xffae8d45,
    0xffdab046,
    0xffc78b41,
    0xfff7c184,
    0xffd5ad61,
    0xffcc9625,
    0xffcf740c,
    0xffac6708,
    0xffbd7b00,
    0xffffc231,
    0xffa8680a,
    0xffa05b0a,
    0xffbf7d1a,
    0xffa37144,
    0xff61492b,
    0xff765106,
    0xffe6a141,
    0xfff6af39,
    0xffd5961c,
    0xffad7221,
    0xff916e3c,
    0xff7c6733,
    0xffc69965,
    0xffa97507,
    0xffd58f3d,
    0xff804c1e,
    0xff927d60,
    0xffa5947f,
    0xff66503e,
    0xff4e3831,
    0xff33151e,
    0xff2f0010,
    0xff705b75,
    0xffd7d7ff,
    0xffded5fa,
    0xff2e0007,
    0xff530006,
    0xff5d000a,
    0xff5b0601,
    0xff5a0400,
    0xff510006,
    0xff691b31,
    0xff65172c,
    0xff4c0207,
    0xff510803,
    0xff500607,
    0xff4c000c,
    0xff3b0311,
    0xff4e558b,
    0xff3562bd,
    0xff325bb8,
    0xff3364b7,
    0xff276cba,
    0xff426fb6,
    0xff4e4181,
    0xff631533,
    0xff771214,
    0xff7f1712,
    0xff861a1e,
    0xff891010,
    0xff84100f,
    0xff7f1a16,
    0xff710e08,
    0xff591412,
    0xff4c171b,
    0xff613f66,
    0xff3f5da7,
    0xff225ab8,
    0xff2f57af,
    0xff2a66b1,
    0xff2967c2,
    0xff346dc4,
    0xff3269c1,
    0xff3269c1,
    0xff2e65ba,
    0xff2d62b8,
    0xff3167bd,
    0xff3065bb,
    0xff2e64ba,
    0xff346cbf,
    0xff356bc0,
    0xff3168bd,
    0xff3a6fc6,
    0xff396dc3,
    0xff3469bc,
    0xff3567bb,
    0xff396cbd,
    0xff4270bf,
    0xff4673c2,
    0xff4872c3,
    0xff4672c1,
    0xff4d75c3,
    0xff537ac4,
    0xff5278c1,
    0xff5176bd,
    0xff4e72be,
    0xff5376c2,
    0xff4e74bf,
    0xff4d72bd,
    0xff5078c3,
    0xff4872be,
    0xff4672bd,
    0xff4370bc,
    0xff4073c2,
    0xff3668ba,
    0xff3366b9,
    0xff3266bb,
    0xff2f65bb,
    0xff3167bf,
    0xff2b63ba,
    0xff2e66bd,
    0xff2e64bb,
    0xff3065c0,
    0xff2a61bb,
    0xff2f65c0,
    0xff2a64bd,
    0xff2c62bd,
    0xff3069bf,
    0xff356ac2,
    0xff4373c6,
    0xff4271c5,
    0xff4574c6,
    0xff406fc0,
    0xff3c6bb9,
    0xff3767b4,
    0xff3362b2,
    0xff3565b7,
    0xff2c63b8,
    0xff2c62b9,
    0xff2e65bb,
    0xff2e64ba,
    0xff2b5fb4,
    0xff3668b9,
    0xff3e6dbc,
    0xff507fcc,
    0xff557dc3,
    0xff5080c0,
    0xff5580c2,
    0xff6386ca,
    0xff577ab9,
    0xff507bb6,
    0xff5978ae,
    0xff7581b7,
    0xff676e9a,
    0xff5868a2,
    0xff4866b2,
    0xff3a65b4,
    0xff396bb4,
    0xff3f73ba,
    0xff4074c5,
    0xff3366bf,
    0xff2857a9,
    0xff3b5caa,
    0xff8c90b4,
    0xff3a4364,
    0xff2f5b9a,
    0xff235cb7,
    0xff2358c7,
    0xff1b5fb1,
    0xff215fb7,
    0xff225db7,
    0xff205eb8,
    0xff1e5cb9,
    0xff1e5cb9,
    0xff205dbb,
    0xff215eb9,
    0xff225fb9,
    0xff2459b9,
    0xff1f5fb7,
    0xff225cbe,
    0xff215bbb,
    0xff275bb5,
    0xff265dbc,
    0xff2c5cb6,
    0xff61539e,
    0xff7b1234,
    0xffc24d65,
    0xff962436,
    0xff8a1227,
    0xff6c000d,
    0xff6b000e,
    0xff740417,
    0xff750316,
    0xff780010,
    0xff8b0314,
    0xff80000f,
    0xff730013,
    0xff760219,
    0xff7b000d,
    0xff93070e,
    0xffa2110c,
    0xffa61418,
    0xff8e0e0c,
    0xff9b261f,
    0xff8c1112,
    0xff860715,
    0xffa22335,
    0xffaf2d41,
    0xff971322,
    0xffc45650,
    0xffd76968,
    0xffd17a73,
    0xff9a4d46,
    0xff700b13,
    0xff6b000b,
    0xff710211,
    0xff8e0e1c,
    0xff930b27,
    0xff9d192e,
    0xff823069,
    0xff4d59bb,
    0xff2d63cf,
    0xff275ac0,
    0xff2a5ebe,
    0xff4159b5,
    0xff62356c,
    0xff5f000c,
    0xff690710,
    0xff670616,
    0xff690d16,
    0xff65080b,
    0xff7b0000,
    0xff9d0a10,
    0xffcf371b,
    0xffc54145,
    0xff924c59,
    0xff722e3f,
    0xff76080f,
    0xff610007,
    0xff674a63,
    0xff6d2d4f,
    0xff7b0c0d,
    0xff8d1000,
    0xff8d0f07,
    0xff700305,
    0xff6d0d06,
    0xff700a09,
    0xff730719,
    0xff6b0018,
    0xff620610,
    0xff540513,
    0xff5a0717,
    0xff6a0d20,
    0xff753a59,
    0xff62609b,
    0xff325eb3,
    0xff2764c4,
    0xff2664c4,
    0xff2463c3,
    0xff2260bf,
    0xff2160bd,
    0xff2762bc,
    0xff2765be,
    0xff2263c1,
    0xff2061c2,
    0xff2261c1,
    0xff2463c2,
    0xff2363c2,
    0xff2663bf,
    0xff2461bf,
    0xff2360ba,
    0xff2560bc,
    0xff2862be,
    0xff2661bc,
    0xff2661bd,
    0xff2661bd,
    0xff245fbc,
    0xff245eb8,
    0xff245eb8,
    0xff245eb8,
    0xff235eb8,
    0xff225db6,
    0xff235eb8,
    0xff225cb6,
    0xff225cb6,
    0xff225db6,
    0xff215cb6,
    0xff205bb5,
    0xff205bb4,
    0xff1f5ab4,
    0xff215cb6,
    0xff1f5cb5,
    0xff1b5cb3,
    0xff1a5bb2,
    0xff1e5bb4,
    0xff1f5ab4,
    0xff1d58b2,
    0xff2060b8,
    0xff215eb7,
    0xff225db7,
    0xff245db7,
    0xff255eb8,
    0xff245db7,
    0xff215cb6,
    0xff225eb7,
    0xff205fb7,
    0xff2060b8,
    0xff1e5eb6,
    0xff1f5fb7,
    0xff1e5eb6,
    0xff1f60b7,
    0xff2061b9,
    0xff2161b8,
    0xff2760ba,
    0xff215cb9,
    0xff225ebc,
    0xff245ebc,
    0xff2361be,
    0xff2360bb,
    0xff2360b9,
    0xff2563ba,
    0xff2260bb,
    0xff215eb9,
    0xff215eb9,
    0xff225fba,
    0xff215eb9,
    0xff225fba,
    0xff205db8,
    0xff2360bb,
    0xff215eb9,
    0xff2360bb,
    0xff2360bb,
    0xff215eb9,
    0xff225fba,
    0xff225fba,
    0xff1f5cb7,
    0xff1c59b3,
    0xff1955ae,
    0xff1c59b0,
    0xff1d59b1,
    0xff1b56b0,
    0xff1c59b2,
    0xff1c59b4,
    0xff1a5cb5,
    0xff1b5bb6,
    0xff2954b6,
    0xff554c8e,
    0xff6b0910,
    0xff87080c,
    0xff750018,
    0xff97263c,
    0xffc87b8f,
    0xff7d4556,
    0xffa14252,
    0xffbb3f33,
    0xffcb3b29,
    0xffc02c28,
    0xffc72b24,
    0xffbe2913,
    0xffac4344,
    0xff93608f,
    0xff634182,
    0xff5f3a74,
    0xff7d3c5b,
    0xffa2322c,
    0xff910000,
    0xffd6424e,
    0xffc9454c,
    0xffce4d45,
    0xff98111d,
    0xff772151,
    0xff544b98,
    0xff2851a9,
    0xff2653b0,
    0xff2754b3,
    0xff225ab1,
    0xff2159a9,
    0xff1653b2,
    0xff1b54bc,
    0xff155bb9,
    0xff2250af,
    0xff1657ad,
    0xff184faa,
    0xff534b89,
    0xff434c93,
    0xff2e4cb2,
    0xff544892,
    0xff66122f,
    0xff830002,
    0xff8c000f,
    0xff86051e,
    0xff8b0b13,
    0xff8a0000,
    0xff86000a,
    0xff860104,
    0xff7e0001,
    0xff7e0008,
    0xff6f0108,
    0xff7e0610,
    0xff86001c,
    0xff85365a,
    0xff55487b,
    0xff8d556f,
    0xff574c83,
    0xff1c56af,
    0xff1852a3,
    0xff2250a3,
    0xff415fa4,
    0xff6c5f7d,
    0xff52385e,
    0xff874b67,
    0xff93323a,
    0xff732741,
    0xff444992,
    0xff134da8,
    0xff1750a4,
    0xff1452a3,
    0xff134ca8,
    0xff144da7,
    0xff164ea7,
    0xff124fa5,
    0xff134ea4,
    0xff1250a5,
    0xff1250a7,
    0xff1251a7,
    0xff144fab,
    0xff164eab,
    0xff144da7,
    0xff154ba6,
    0xff1a51ab,
    0xff1850a6,
    0xff1450a7,
    0xff1754a6,
    0xff104ca4,
    0xff064ea3,
    0xff154a95,
    0xff3f386e,
    0xff8f4552,
    0xffb54022,
    0xffd1450a,
    0xffe45509,
    0xffdc7a0c,
    0xffe87a20,
    0xffe85316,
    0xffc02c00,
    0xfff38339,
    0xffdc6429,
    0xff9d1702,
    0xffe47a83,
    0xff812442,
    0xff6a2738,
    0xff2e4281,
    0xff2652a7,
    0xff33509f,
    0xff464282,
    0xff87354b,
    0xffb13f52,
    0xff744468,
    0xff2e459d,
    0xff1d4da3,
    0xff304278,
    0xff955c7d,
    0xffa42438,
    0xffb62237,
    0xffb72130,
    0xffa4092a,
    0xff9c252d,
    0xff9d1b20,
    0xffa3213b,
    0xff793567,
    0xff5f3778,
    0xff9c3f73,
    0xffa41d22,
    0xffc56323,
    0xff9d620f,
    0xff8d6315,
    0xff977121,
    0xff8e750c,
    0xff8f6510,
    0xff793c10,
    0xff642c0a,
    0xff632f18,
    0xff552309,
    0xff762716,
    0xff7a2b19,
    0xff852c1e,
    0xff961b17,
    0xff9f3026,
    0xfff99c88,
    0xffc32110,
    0xffd93220,
    0xffc11809,
    0xffd22c29,
    0xffc33135,
    0xff7e060d,
    0xff710b0b,
    0xffa54640,
    0xff8a2a27,
    0xff4c0000,
    0xff420a04,
    0xff590700,
    0xffc02920,
    0xffba0300,
    0xffa10100,
    0xff98090e,
    0xff8e0208,
    0xff8a0d11,
    0xff6b0b0a,
    0xffd97176,
    0xffb22f3c,
    0xff9f0716,
    0xffa3000e,
    0xffae1017,
    0xff9c0000,
    0xffa10213,
    0xffb11419,
    0xffc12004,
    0xffc13309,
    0xffa33a24,
    0xff4e0f09,
    0xff211f0d,
    0xff14241c,
    0xff112521,
    0xff122b2b,
    0xff0f2c2e,
    0xff18323b,
    0xff19313e,
    0xff102a38,
    0xff0d2a36,
    0xff14303c,
    0xff122e3a,
    0xff0e2a34,
    0xff0c2a32,
    0xff0c292d,
    0xff0c282a,
    0xff092527,
    0xff0a2526,
    0xff082322,
    0xff0d2625,
    0xff0d2528,
    0xff0d2424,
    0xff0c2123,
    0xff0a1e1d,
    0xff0a1f1b,
    0xff0d1f1c,
    0xff081f17,
    0xff071d15,
    0xff041712,
    0xff081a11,
    0xff0b1b14,
    0xff0b1b10,
    0xff0a1a0f,
    0xff0c1b12,
    0xff081d1b,
    0xff0a1f1e,
    0xff0c2022,
    0xff0d2527,
    0xff0b2327,
    0xff0b2129,
    0xff0c252e,
    0xff0f2730,
    0xff0d262d,
    0xff0a222d,
    0xff09212c,
    0xff0c242e,
    0xff0c2431,
    0xff102834,
    0xff0d2735,
    0xff0b2532,
    0xff0e2a39,
    0xff0e2a38,
    0xff0e293a,
    0xff102b3b,
    0xff0b2636,
    0xff0a2535,
    0xff0b2938,
    0xff0d2a3b,
    0xff0f2a46,
    0xff143049,
    0xff102d45,
    0xff132d44,
    0xff112d3f,
    0xff142e3e,
    0xff142f3c,
    0xff152e39,
    0xff182d35,
    0xff182c34,
    0xff1b3032,
    0xff203536,
    0xff1f3433,
    0xff1d3430,
    0xff19302a,
    0xff1b312b,
    0xff212e32,
    0xff213033,
    0xff213133,
    0xff192b2a,
    0xff192c2a,
    0xff182622,
    0xff18241f,
    0xff18231c,
    0xff707272,
    0xff65636c,
    0xff85848d,
    0xff141414,
    0xff585d59,
    0xff66696b,
    0xff86848a,
    0xff605a5e,
    0xff11070b,
    0xff2e383e,
    0xff737281,
    0xffd2c7d3,
    0xff4c4b4c,
    0xff7c716e,
    0xff5b342c,
    0xff6f422a,
    0xff59280d,
    0xff783727,
    0xff4e271b,
    0xff190c00,
    0xffffe4d5,
    0xffb07d61,
    0xffa37d5d,
    0xff332109,
    0xff3d2116,
    0xffaf8f81,
    0xff432d1f,
    0xff20180f,
    0xff080100,
    0xff7c6958,
    0xff3b2317,
    0xff1b0d09,
    0xff321d15,
    0xff070510,
    0xff1c0200,
    0xff6d400c,
    0xff95663a,
    0xff623d30,
    0xff7c6c59,
    0xffd1b26d,
    0xffc68e4f,
    0xffc89565,
    0xffc6a68d,
    0xffb68d81,
    0xffb46544,
    0xffb05829,
    0xffaf734d,
    0xffa17c57,
    0xffffe9bb,
    0xffb08343,
    0xff794200,
    0xffa7550e,
    0xffb46a2e,
    0xffca965e,
    0xffcd9837,
    0xffd78513,
    0xff9d5800,
    0xffcb880b,
    0xffe3a515,
    0xffd49725,
    0xffa56406,
    0xffca901c,
    0xff9e6f48,
    0xff3f2917,
    0xff734a06,
    0xffaa5f00,
    0xffcd8611,
    0xffe1a72a,
    0xffc27e02,
    0xffbc8a38,
    0xff644427,
    0xffc19477,
    0xffa0661a,
    0xffac5f05,
    0xffa56b1f,
    0xffb09770,
    0xff9c8779,
    0xff7c6148,
    0xff615130,
    0xff291b0b,
    0xff3b2141,
    0xff1e1718,
    0xff3f4143,
    0xff1a0b1b,
    0xff3e0a10,
    0xff5b0706,
    0xff590308,
    0xff500605,
    0xff560600,
    0xff4e0009,
    0xff5f142a,
    0xff540c1a,
    0xff4c0605,
    0xff4f0b02,
    0xff420105,
    0xff38000f,
    0xff2b224c,
    0xff4666b2,
    0xff2a61c1,
    0xff2f63bc,
    0xff3169bb,
    0xff2868bd,
    0xff3362b4,
    0xff474f92,
    0xff450d2d,
    0xff500b0e,
    0xff551011,
    0xff67101a,
    0xff821218,
    0xff851211,
    0xff760e0c,
    0xff7c110d,
    0xff640c12,
    0xff652125,
    0xff442245,
    0xff3258a1,
    0xff225fb4,
    0xff3458a7,
    0xff295cab,
    0xff2561c2,
    0xff2b5fbb,
    0xff2c60b7,
    0xff2b5eb7,
    0xff2e60b9,
    0xff2e61b7,
    0xff2b5db5,
    0xff2f61b8,
    0xff396bc1,
    0xff3569bb,
    0xff386bbc,
    0xff3c6dc0,
    0xff3e70c2,
    0xff3d6cbc,
    0xff4270c0,
    0xff4371bf,
    0xff4976c3,
    0xff577ec8,
    0xff577cc8,
    0xff4d73bd,
    0xff5175bf,
    0xff587ac3,
    0xff5a7ec5,
    0xff6182c7,
    0xff5072b7,
    0xff597ec2,
    0xff5378be,
    0xff4c72bc,
    0xff4872be,
    0xff4873c2,
    0xff3f6cbd,
    0xff3f6ec0,
    0xff3e6dc1,
    0xff356abc,
    0xff3166b9,
    0xff3268be,
    0xff3066be,
    0xff3369c1,
    0xff3169c3,
    0xff3168c3,
    0xff2e66bc,
    0xff376dc7,
    0xff3268c2,
    0xff2b62be,
    0xff2d67c1,
    0xff2b64be,
    0xff2a63bc,
    0xff2b61bc,
    0xff2e66bc,
    0xff2e63ba,
    0xff2e61b9,
    0xff2f63ba,
    0xff2f64b7,
    0xff3165b8,
    0xff3265b8,
    0xff2d60b3,
    0xff2e63b7,
    0xff2b64bc,
    0xff2c65be,
    0xff2b66be,
    0xff2c64bd,
    0xff2862b8,
    0xff2e64ba,
    0xff2a5eb2,
    0xff3467ba,
    0xff4674bd,
    0xff4476ba,
    0xff4673b6,
    0xff4268b0,
    0xff5379c0,
    0xff5382bf,
    0xff5f7fb8,
    0xff707baf,
    0xff63699a,
    0xff5968a9,
    0xff526dc1,
    0xff4f73cc,
    0xff446dc1,
    0xff3e68b8,
    0xff4065bf,
    0xff3d64c8,
    0xff3061b3,
    0xff6b82bb,
    0xff60617c,
    0xff31497f,
    0xff2665b3,
    0xff285fb8,
    0xff2c58c1,
    0xff1c64b9,
    0xff1f61b8,
    0xff1e60ba,
    0xff1f60bc,
    0xff2062c0,
    0xff2161c0,
    0xff2460c0,
    0xff245dbf,
    0xff225aba,
    0xff275ac0,
    0xff1d60ba,
    0xff1d5fb8,
    0xff235cb3,
    0xff2f58b0,
    0xff2a59bf,
    0xff225cc2,
    0xff414da4,
    0xff903c73,
    0xff882a56,
    0xff871d3c,
    0xff9b3241,
    0xff790c1c,
    0xff6d0111,
    0xff6c020e,
    0xff6e000b,
    0xff6d010a,
    0xff6f000a,
    0xff75010e,
    0xff6f000a,
    0xff75000a,
    0xff7e0007,
    0xff7f0003,
    0xff750003,
    0xff8a0614,
    0xffb52b2e,
    0xffc7423a,
    0xffad3732,
    0xffb03b43,
    0xff8f1227,
    0xff830210,
    0xffc34543,
    0xffcf7060,
    0xffbc6c6b,
    0xff906273,
    0xff82526d,
    0xff5e0720,
    0xff66010e,
    0xff6d1319,
    0xff9b3d4b,
    0xff7c2447,
    0xff773c5c,
    0xff695a96,
    0xff345cb4,
    0xff2b5dbb,
    0xff355bba,
    0xff3f62ac,
    0xff5d5682,
    0xff580e2d,
    0xff6a030b,
    0xff63050d,
    0xff62060a,
    0xff630204,
    0xff690819,
    0xff73020b,
    0xff860808,
    0xff9d100d,
    0xff96151e,
    0xff701417,
    0xff6e0716,
    0xff76000f,
    0xff610f29,
    0xff594f82,
    0xff724081,
    0xff671124,
    0xff821112,
    0xff951017,
    0xff7f0211,
    0xff6a0000,
    0xff6e0405,
    0xff6d0411,
    0xff680915,
    0xff5c060a,
    0xff5a070f,
    0xff4d0824,
    0xff653f75,
    0xff6161a5,
    0xff30599d,
    0xff2363b4,
    0xff1f60c5,
    0xff2062bd,
    0xff1c64bd,
    0xff2269c4,
    0xff2467c1,
    0xff2361b9,
    0xff2560ba,
    0xff2460bf,
    0xff1e5fc1,
    0xff2160bd,
    0xff2160bd,
    0xff1f5ebb,
    0xff2360bd,
    0xff225fba,
    0xff225fbb,
    0xff245eb8,
    0xff235db7,
    0xff235eba,
    0xff2560bc,
    0xff245fbc,
    0xff235eb7,
    0xff245fb9,
    0xff235eb8,
    0xff2661bb,
    0xff245fb9,
    0xff235eb8,
    0xff225db7,
    0xff235eb8,
    0xff245fba,
    0xff255fba,
    0xff2560ba,
    0xff235eb8,
    0xff215cb7,
    0xff205cb4,
    0xff215db5,
    0xff205eb5,
    0xff215fb5,
    0xff1d5bb2,
    0xff1e5db3,
    0xff215cb4,
    0xff215eb5,
    0xff1b5ab2,
    0xff1c59b2,
    0xff1e59b3,
    0xff2059b3,
    0xff2059b3,
    0xff235bb5,
    0xff205bb5,
    0xff205bb5,
    0xff1f5cb5,
    0xff1c5db5,
    0xff1d5db5,
    0xff1c5db5,
    0xff1d5eb6,
    0xff1d5db5,
    0xff1d5db5,
    0xff1d5db5,
    0xff225db9,
    0xff215cb8,
    0xff1f5ab6,
    0xff205dbb,
    0xff1c59b4,
    0xff1b58b3,
    0xff1c59b2,
    0xff1e5bb3,
    0xff1e59b5,
    0xff1e59b5,
    0xff235db9,
    0xff215bb8,
    0xff1f5ab6,
    0xff215cb8,
    0xff225db9,
    0xff215cb8,
    0xff205eb8,
    0xff205eb8,
    0xff205db8,
    0xff215eb9,
    0xff225fba,
    0xff1f5cb7,
    0xff205db8,
    0xff215eb9,
    0xff2c65be,
    0xff2e66bf,
    0xff2763bd,
    0xff2762bb,
    0xff2360b9,
    0xff2360bb,
    0xff2360bb,
    0xff2260bb,
    0xff2c5cc3,
    0xff5957a4,
    0xff690a1f,
    0xff870a16,
    0xff7a0312,
    0xffbe3433,
    0xffab241d,
    0xffa42016,
    0xffb2232d,
    0xffd02c32,
    0xffc0181c,
    0xffb91c1c,
    0xffad1d18,
    0xffb6444a,
    0xff875e8c,
    0xff3354a7,
    0xff3154a7,
    0xff3a58b3,
    0xff5a3e5c,
    0xffb04e2c,
    0xfff78560,
    0xff972115,
    0xff84121a,
    0xff741d34,
    0xff803670,
    0xff4b4c89,
    0xff1f5a9c,
    0xff1d5ea6,
    0xff205bac,
    0xff1e58b2,
    0xff225ab5,
    0xff1e5eaf,
    0xff255cb1,
    0xff2e51b5,
    0xff1c59b5,
    0xff2354b9,
    0xff2055b4,
    0xff165cb9,
    0xff2b5497,
    0xff2e5ea7,
    0xff2159a1,
    0xff5e5195,
    0xff62061e,
    0xff880201,
    0xff8b0216,
    0xff850213,
    0xff890304,
    0xff8b000c,
    0xff850113,
    0xff850108,
    0xff7a0404,
    0xff7f010b,
    0xff7b0009,
    0xff760208,
    0xff7b0116,
    0xff731236,
    0xff4d4c91,
    0xff404486,
    0xff304d93,
    0xff1957a6,
    0xff1a56af,
    0xff1d4eab,
    0xff264795,
    0xff787da1,
    0xff3e4b7e,
    0xff5b5489,
    0xff9b566b,
    0xff8c323a,
    0xff614371,
    0xff224aa1,
    0xff1353af,
    0xff1852a9,
    0xff174fac,
    0xff174eab,
    0xff124ea8,
    0xff124ea7,
    0xff1251a8,
    0xff1452a9,
    0xff1553aa,
    0xff1353ac,
    0xff114caa,
    0xff124da9,
    0xff144fac,
    0xff164fa8,
    0xff114aa2,
    0xff144ca6,
    0xff1350a5,
    0xff134da5,
    0xff12479f,
    0xff1e4997,
    0xff494b88,
    0xff86405f,
    0xffb53126,
    0xffcd3304,
    0xffd94502,
    0xffd74e04,
    0xffd1530a,
    0xffd7520b,
    0xfff05f1d,
    0xffdc440b,
    0xffe0481e,
    0xffbd200e,
    0xff8d0000,
    0xffa2281f,
    0xffbf4f57,
    0xff490923,
    0xff3348a1,
    0xff184196,
    0xff203f75,
    0xff433666,
    0xff983048,
    0xffd26572,
    0xff533d63,
    0xff1b3a8f,
    0xff263d8d,
    0xff4e4a76,
    0xff885f6b,
    0xffb44848,
    0xffab1318,
    0xffc01516,
    0xffc81921,
    0xffb2111b,
    0xffb2191b,
    0xffb72f28,
    0xffa33c35,
    0xffa0423d,
    0xffc64845,
    0xffc52b22,
    0xffd95b30,
    0xffd38234,
    0xffcd9f3b,
    0xffbfa739,
    0xffc6ba45,
    0xffb49943,
    0xff704711,
    0xff513508,
    0xff572a10,
    0xff631f0e,
    0xff6b1e13,
    0xff6f331c,
    0xff934932,
    0xff912817,
    0xff952511,
    0xffe55e50,
    0xffc1170f,
    0xffd02417,
    0xffbe1103,
    0xffc21811,
    0xffd93e41,
    0xff840406,
    0xffb54c46,
    0xff600200,
    0xffae4530,
    0xffc1522c,
    0xffc85a26,
    0xffce5529,
    0xffc42b20,
    0xff9a0006,
    0xff8a0005,
    0xff840000,
    0xff8e0103,
    0xffb7222b,
    0xff6e1712,
    0xff711212,
    0xff8f0212,
    0xff90000d,
    0xffa90716,
    0xffa2010c,
    0xffa2000e,
    0xffa00016,
    0xff9f0a1d,
    0xffb11b17,
    0xffa21800,
    0xffa01502,
    0xffa92922,
    0xff521d10,
    0xff212a21,
    0xff182b23,
    0xff132e27,
    0xff193735,
    0xff223e41,
    0xff2d484f,
    0xff254249,
    0xff14323b,
    0xff0f2d3a,
    0xff13323e,
    0xff102c39,
    0xff132f39,
    0xff122e37,
    0xff153137,
    0xff122d35,
    0xff122e32,
    0xff112e33,
    0xff102c35,
    0xff0c2931,
    0xff112c35,
    0xff10272f,
    0xff0b2429,
    0xff0b2225,
    0xff082022,
    0xff0b2520,
    0xff09221e,
    0xff081f19,
    0xff081c17,
    0xff061a15,
    0xff091c15,
    0xff081b14,
    0xff071a15,
    0xff091e17,
    0xff082018,
    0xff081f1a,
    0xff061c1a,
    0xff0a2223,
    0xff0b2425,
    0xff0a2125,
    0xff0a2429,
    0xff0e242c,
    0xff0f252e,
    0xff0b242b,
    0xff0d242f,
    0xff0f2734,
    0xff0f2b36,
    0xff0c2633,
    0xff0e2835,
    0xff0d2635,
    0xff0c2935,
    0xff0e2a36,
    0xff0e2a35,
    0xff14313b,
    0xff17343e,
    0xff14313a,
    0xff15323d,
    0xff143040,
    0xff193543,
    0xff1d3744,
    0xff1e3941,
    0xff1f3b3e,
    0xff243d3e,
    0xff233c3b,
    0xff243f3c,
    0xff2a4439,
    0xff2a4134,
    0xff2d4433,
    0xff334933,
    0xff374832,
    0xff3b4a33,
    0xff3c4a34,
    0xff3d4934,
    0xff3c4631,
    0xff394431,
    0xff37422e,
    0xff34422d,
    0xff34412d,
    0xff303d2a,
    0xff364230,
    0xff303a2a,
    0xff353a25,
    0xff777870,
    0xff696670,
    0xff858195,
    0xff26242c,
    0xff4b4d43,
    0xff67635b,
    0xff756e73,
    0xff7d7a82,
    0xff14181c,
    0xff635f68,
    0xff5e5664,
    0xffd5d4d5,
    0xff795c4f,
    0xff531801,
    0xff663115,
    0xff642b10,
    0xff652107,
    0xff6a4027,
    0xff1b1000,
    0xff1f0000,
    0xffa06755,
    0xff320800,
    0xff2f1602,
    0xff714b38,
    0xffe7c1ae,
    0xff6e584a,
    0xff000000,
    0xff080600,
    0xff7f6857,
    0xffdcb9a6,
    0xff280c00,
    0xff3f2d1a,
    0xff020300,
    0xff745d36,
    0xffb27f49,
    0xffa8743f,
    0xff754f28,
    0xff67532f,
    0xff8d6529,
    0xffac631f,
    0xffaa6b45,
    0xffc6a1aa,
    0xffa6858c,
    0xffe6aa88,
    0xffd38958,
    0xff570e00,
    0xff792a17,
    0xffa8624c,
    0xfffecab5,
    0xffa0673d,
    0xff7d2c03,
    0xff9f5113,
    0xffcf9468,
    0xffa36f26,
    0xffc6821c,
    0xffa55d15,
    0xffb56b27,
    0xffad6c05,
    0xffa86e00,
    0xffbd7e11,
    0xffc28a06,
    0xffa0733e,
    0xff75614e,
    0xff906b2b,
    0xffa35a0e,
    0xff905502,
    0xfffad572,
    0xffe2a327,
    0xffb9781b,
    0xff8e6b45,
    0xff8a715c,
    0xff8e5731,
    0xffc7762d,
    0xffa96719,
    0xff907049,
    0xff6e514f,
    0xff7e5f55,
    0xff362c16,
    0xff1a1d13,
    0xff283768,
    0xff05151d,
    0xff191c15,
    0xff2e151a,
    0xff4a0d17,
    0xff560007,
    0xff60020b,
    0xff5a030f,
    0xff520404,
    0xff4e020c,
    0xff4e0011,
    0xff53000c,
    0xff510207,
    0xff410208,
    0xff280014,
    0xff49365c,
    0xff38599c,
    0xff2e5cb3,
    0xff275bb6,
    0xff265aae,
    0xff225db0,
    0xff2663bd,
    0xff2b5cb1,
    0xff4a61a7,
    0xff411d35,
    0xff531617,
    0xff4f0d0c,
    0xff581216,
    0xff74100f,
    0xff830e0d,
    0xff770a0e,
    0xff6e0608,
    0xff670e21,
    0xff590e12,
    0xff4c2642,
    0xff4060a4,
    0xff2665b6,
    0xff2f61b4,
    0xff3363bb,
    0xff2c63bf,
    0xff3165c0,
    0xff3162be,
    0xff3061bd,
    0xff3365be,
    0xff3466c0,
    0xff3666be,
    0xff3867bf,
    0xff3564bb,
    0xff3968bb,
    0xff3969b9,
    0xff3d6cbb,
    0xff426fbe,
    0xff436ebd,
    0xff446fbd,
    0xff4a75c0,
    0xff4a74c0,
    0xff4b6fb9,
    0xff4d72b9,
    0xff5274bb,
    0xff5a7ac1,
    0xff6282ca,
    0xff597abf,
    0xff5c7dc3,
    0xff5e80c2,
    0xff567dc0,
    0xff567cc2,
    0xff4b75bd,
    0xff4371c0,
    0xff3f6ec0,
    0xff3968bf,
    0xff3667c0,
    0xff3566c0,
    0xff2c65b8,
    0xff3169bd,
    0xff2e66bc,
    0xff2e65bf,
    0xff2e65bf,
    0xff2e65c1,
    0xff2f66c0,
    0xff2e65bf,
    0xff2e65c0,
    0xff2f66c1,
    0xff2b64be,
    0xff2c65bf,
    0xff2d66bf,
    0xff2f65c0,
    0xff2c64be,
    0xff2e64bb,
    0xff3066c1,
    0xff2e65c0,
    0xff2d64be,
    0xff2c64bb,
    0xff3971c8,
    0xff3e75ca,
    0xff386fc5,
    0xff4074ca,
    0xff3c75cf,
    0xff2d68c1,
    0xff2a66be,
    0xff2763bb,
    0xff265fb7,
    0xff2d65bd,
    0xff3269c0,
    0xff2c5fb7,
    0xff2b5eb5,
    0xff3266b9,
    0xff3a67b8,
    0xff486cc0,
    0xff486fc6,
    0xff4a78c7,
    0xff4f6eb0,
    0xff6f75b3,
    0xff516697,
    0xff395694,
    0xff2d58a4,
    0xff2357ac,
    0xff265db3,
    0xff2a60b6,
    0xff2a60ba,
    0xff275aba,
    0xff2953a7,
    0xff8d9dbf,
    0xff3a425d,
    0xff35599e,
    0xff1f5bb0,
    0xff2a5bb0,
    0xff2d58b9,
    0xff2061b5,
    0xff2360b3,
    0xff225fb6,
    0xff2160bb,
    0xff1e5cbc,
    0xff205ebf,
    0xff245ec1,
    0xff275ec0,
    0xff285dc0,
    0xff245dc1,
    0xff1e62b8,
    0xff275db7,
    0xff2a5cb3,
    0xff2d5bb0,
    0xff2c62c7,
    0xff2061c6,
    0xff4b57b4,
    0xff6f3b81,
    0xff834685,
    0xff82214d,
    0xff852732,
    0xff982637,
    0xff6e0010,
    0xff6c010b,
    0xff700109,
    0xff6b000d,
    0xff65000f,
    0xff660017,
    0xff660011,
    0xff6f0008,
    0xff8a000a,
    0xffa4071f,
    0xff8f031e,
    0xff750006,
    0xff86060b,
    0xff911a15,
    0xff7f1a13,
    0xff6c0a0d,
    0xff780b17,
    0xffa5363d,
    0xffcf7069,
    0xffbc636b,
    0xffa5708c,
    0xff70679d,
    0xff5c5599,
    0xff673b77,
    0xff652148,
    0xff78365b,
    0xff945a8c,
    0xff845996,
    0xff50599c,
    0xff325db4,
    0xff2263bb,
    0xff2b58ae,
    0xff4f5cae,
    0xff635f95,
    0xff522840,
    0xff4b0b1a,
    0xff63040b,
    0xff5d0613,
    0xff640c0a,
    0xff6e0507,
    0xff71041f,
    0xff770013,
    0xff7a0306,
    0xff7d0018,
    0xff730000,
    0xff780d07,
    0xff7c1030,
    0xff600e3c,
    0xff51305b,
    0xff455ba2,
    0xff6451ac,
    0xff73143f,
    0xff94121d,
    0xffae1820,
    0xff8c000b,
    0xff790607,
    0xff71090b,
    0xff660009,
    0xff69090d,
    0xff580402,
    0xff5d0405,
    0xff5c1c38,
    0xff594c92,
    0xff3757b1,
    0xff1c61ad,
    0xff206ab8,
    0xff2259bd,
    0xff265fb5,
    0xff1f62b7,
    0xff1862b9,
    0xff1b64bb,
    0xff2261b8,
    0xff265fba,
    0xff235fbc,
    0xff1f5ebc,
    0xff2263bc,
    0xff2263bd,
    0xff2162bb,
    0xff2562bd,
    0xff2461bc,
    0xff2461bc,
    0xff2461ba,
    0xff2360b8,
    0xff225fba,
    0xff2562bc,
    0xff2562bd,
    0xff2461bd,
    0xff2560b9,
    0xff2661bb,
    0xff235eb8,
    0xff2660bb,
    0xff2561b9,
    0xff2662ba,
    0xff2561b9,
    0xff2460b8,
    0xff225eb6,
    0xff235fb7,
    0xff225eb6,
    0xff1f5bb3,
    0xff1d59b1,
    0xff1b57af,
    0xff1c58b0,
    0xff1d59b1,
    0xff1c58b0,
    0xff1e59b1,
    0xff1d59b1,
    0xff1d5ab1,
    0xff205fb7,
    0xff205db6,
    0xff215cb6,
    0xff235cb6,
    0xff215ab4,
    0xff245db6,
    0xff225db7,
    0xff235eb8,
    0xff2361ba,
    0xff2461ba,
    0xff2461ba,
    0xff2663bc,
    0xff2662bc,
    0xff2363bb,
    0xff2162bc,
    0xff2162bc,
    0xff2763bc,
    0xff2764bf,
    0xff2764c0,
    0xff2764bf,
    0xff2966c1,
    0xff2966c1,
    0xff2a67c2,
    0xff2c69c4,
    0xff2f69c5,
    0xff306bc7,
    0xff2f6ac6,
    0xff306bc7,
    0xff2e69c5,
    0xff2d68c4,
    0xff2c67c3,
    0xff2a65c1,
    0xff2e69c5,
    0xff2c66c3,
    0xff2967c1,
    0xff2865c0,
    0xff2865c0,
    0xff2663be,
    0xff2864bf,
    0xff2663bf,
    0xff2962be,
    0xff2e66c4,
    0xff3169c6,
    0xff2a66c2,
    0xff2b66c0,
    0xff2863bd,
    0xff2762bc,
    0xff2a64bf,
    0xff2562b9,
    0xff435db4,
    0xff843b70,
    0xff8d0111,
    0xff820000,
    0xffbe3f3b,
    0xffb92928,
    0xffac100d,
    0xffb11c0c,
    0xffbb180e,
    0xffb41714,
    0xff9c2d31,
    0xffa06382,
    0xff6e579d,
    0xff4153ae,
    0xff245cb3,
    0xff2860a8,
    0xff2c56a9,
    0xff926f7d,
    0xffcd7350,
    0xffbf706e,
    0xff833c59,
    0xff672350,
    0xff654f87,
    0xff424daf,
    0xff2b5fae,
    0xff1858a1,
    0xff1b5baf,
    0xff165eb5,
    0xff1b5cb3,
    0xff2356b6,
    0xff1856bb,
    0xff1255af,
    0xff2851b5,
    0xff1556ac,
    0xff1b54b5,
    0xff2254ad,
    0xff175bb6,
    0xff1856a9,
    0xff1956b0,
    0xff295a98,
    0xff522f68,
    0xff670017,
    0xff820911,
    0xff7d0018,
    0xff84000f,
    0xff850004,
    0xff8c001c,
    0xff800012,
    0xff86020d,
    0xff7a0609,
    0xff7e000c,
    0xff7d0008,
    0xff730205,
    0xff7a0310,
    0xff6c0121,
    0xff48458b,
    0xff204ead,
    0xff1c56aa,
    0xff1a59a7,
    0xff1554af,
    0xff1e50b3,
    0xff1d4494,
    0xff6c7ca5,
    0xff546faa,
    0xff264990,
    0xff6c5688,
    0xff833945,
    0xff6a324b,
    0xff424c95,
    0xff1854b1,
    0xff1c53ae,
    0xff1752af,
    0xff1551ae,
    0xff1550ac,
    0xff154faa,
    0xff1451aa,
    0xff1551aa,
    0xff1552ab,
    0xff1153ad,
    0xff1653ae,
    0xff1553ae,
    0xff1953ad,
    0xff1853ad,
    0xff1853ae,
    0xff1a57ae,
    0xff1a57af,
    0xff1a56ae,
    0xff1d4fa7,
    0xff24499f,
    0xff3d4a8f,
    0xff735075,
    0xffa54145,
    0xffb92111,
    0xffd42e17,
    0xffd43821,
    0xffc61b0e,
    0xffe9431d,
    0xffd03c09,
    0xffaa1400,
    0xffa40000,
    0xffa90007,
    0xffa0030c,
    0xff8f0007,
    0xff8c1113,
    0xffc17a9a,
    0xff412e79,
    0xff503552,
    0xffba896a,
    0xff963c29,
    0xffac251d,
    0xffb9564a,
    0xff593e62,
    0xff33397c,
    0xff382552,
    0xfff9c6d3,
    0xffa05648,
    0xffc94f3c,
    0xffc92f2c,
    0xffb30a0c,
    0xffbb1c22,
    0xffc5303b,
    0xffca4e46,
    0xffc04e37,
    0xffbe3929,
    0xffdf4d3a,
    0xffc83721,
    0xffdc4436,
    0xffc92f1c,
    0xffb15210,
    0xffc4982c,
    0xffc6b038,
    0xffb49431,
    0xffa66026,
    0xff873815,
    0xff6f4317,
    0xff5f4210,
    0xff652a09,
    0xff743219,
    0xff602a10,
    0xff6f2e15,
    0xff90442b,
    0xff8e3420,
    0xffb2372f,
    0xffb51b15,
    0xffb5180c,
    0xffc4130d,
    0xffc7060c,
    0xffb30810,
    0xffb03d36,
    0xff823327,
    0xffdc9478,
    0xff9c2a12,
    0xffbe1d06,
    0xffc92006,
    0xffa60f00,
    0xff9c0003,
    0xffca1f35,
    0xffa00007,
    0xffa20001,
    0xff9b070c,
    0xffbe252f,
    0xff842f29,
    0xff640708,
    0xff9a0619,
    0xff9c0619,
    0xffa20211,
    0xffa3000e,
    0xffa10213,
    0xffa80410,
    0xff950005,
    0xffa0000d,
    0xffac111a,
    0xffae0c12,
    0xffc21b27,
    0xff7d2b27,
    0xff23241e,
    0xff223228,
    0xff182f27,
    0xff15332b,
    0xff1e3b37,
    0xff1f3b3c,
    0xff183537,
    0xff102e31,
    0xff1b3842,
    0xff16323e,
    0xff18333c,
    0xff19343c,
    0xff1c343a,
    0xff1c343c,
    0xff1e373b,
    0xff173337,
    0xff16333a,
    0xff19363d,
    0xff132f3b,
    0xff122e38,
    0xff142f38,
    0xff122f35,
    0xff0f282c,
    0xff112a30,
    0xff0e2a27,
    0xff0d2825,
    0xff0c2622,
    0xff0d2320,
    0xff0d2320,
    0xff0b221e,
    0xff061d19,
    0xff031815,
    0xff071e16,
    0xff082018,
    0xff0a211b,
    0xff0b211e,
    0xff0c211f,
    0xff0b211e,
    0xff082121,
    0xff0c2424,
    0xff10282c,
    0xff0f272c,
    0xff12292f,
    0xff102a30,
    0xff112832,
    0xff0d2931,
    0xff0c2732,
    0xff112c36,
    0xff122d36,
    0xff132e36,
    0xff173339,
    0xff1a3738,
    0xff1d3938,
    0xff24413f,
    0xff274341,
    0xff294541,
    0xff2a463d,
    0xff324f45,
    0xff3a5646,
    0xff395544,
    0xff38533f,
    0xff3c5740,
    0xff3d5741,
    0xff3f5842,
    0xff425b41,
    0xff455b3f,
    0xff465b3c,
    0xff4a5a38,
    0xff475430,
    0xff454e29,
    0xff404824,
    0xff414621,
    0xff394416,
    0xff464e21,
    0xff4d552a,
    0xff414720,
    0xff3c451e,
    0xff404823,
    0xff404a25,
    0xff404928,
    0xff3f432b,
    0xff3f4127,
    0xff79756b,
    0xff6b6577,
    0xff8b8799,
    0xff6a6968,
    0xff3f3b2f,
    0xff6e6760,
    0xff6c6d72,
    0xff858581,
    0xff4c4647,
    0xff5b5a63,
    0xff8b8383,
    0xff8e6654,
    0xff884b2e,
    0xff754020,
    0xff7c4930,
    0xff723718,
    0xff9a7550,
    0xff251300,
    0xff6a4640,
    0xff4e1613,
    0xff55221d,
    0xff40120e,
    0xff472110,
    0xff573624,
    0xff605044,
    0xff211c19,
    0xff0b0100,
    0xff7a614b,
    0xfffff5d7,
    0xff563019,
    0xff23160d,
    0xff372b24,
    0xff3e1905,
    0xffd8a661,
    0xff955f11,
    0xffad7e46,
    0xff7a5435,
    0xffc28255,
    0xff965e30,
    0xff7d5734,
    0xffe9d6c9,
    0xffd1b791,
    0xffb17f37,
    0xffc78d4c,
    0xff702e07,
    0xff90340e,
    0xff924a16,
    0xffaa7349,
    0xffffd4a4,
    0xffa26021,
    0xff7e3f00,
    0xffbc8653,
    0xffc08e61,
    0xffc68f49,
    0xff9c650a,
    0xff9a5a21,
    0xff6f2f00,
    0xff955c0c,
    0xffa36710,
    0xffca9326,
    0xffb28750,
    0xff57461f,
    0xffcfb081,
    0xffebb385,
    0xffdfb478,
    0xfff5e286,
    0xffc18c22,
    0xffc3801b,
    0xffb6944d,
    0xff5b4c3b,
    0xff835b2c,
    0xff9f5313,
    0xff9b5813,
    0xff775a2d,
    0xff4d3526,
    0xff876964,
    0xff342b24,
    0xff000a0a,
    0xff3f69a6,
    0xff203d70,
    0xff111633,
    0xff2c131e,
    0xff5c2834,
    0xff57141e,
    0xff53000d,
    0xff5d0011,
    0xff470109,
    0xff48040f,
    0xff420009,
    0xff48040e,
    0xff3f0110,
    0xff26011d,
    0xff38386a,
    0xff4c67aa,
    0xff3667b9,
    0xff3363b1,
    0xff365fac,
    0xff335bac,
    0xff2a65b8,
    0xff1f64ba,
    0xff2e5faa,
    0xff4b5697,
    0xff291535,
    0xff451720,
    0xff4c1319,
    0xff5d161e,
    0xff731110,
    0xff7c0f0c,
    0xff750f14,
    0xff750b16,
    0xff5f0c1d,
    0xff551118,
    0xff412e4f,
    0xff4060ac,
    0xff2762b8,
    0xff265fb8,
    0xff2f5ebf,
    0xff2865bc,
    0xff235ab5,
    0xff295fb9,
    0xff2e63bd,
    0xff3367bf,
    0xff3065be,
    0xff3266bc,
    0xff366ac0,
    0xff396cc2,
    0xff3b6ec1,
    0xff3568ba,
    0xff3767ba,
    0xff3b6abb,
    0xff4372c0,
    0xff4a76c4,
    0xff4a74c3,
    0xff507bc9,
    0xff4f77c1,
    0xff476cb8,
    0xff5176bf,
    0xff5174be,
    0xff5376bd,
    0xff5377bf,
    0xff587dc5,
    0xff577dc4,
    0xff4f76c0,
    0xff4770bc,
    0xff4c79c7,
    0xff4576c7,
    0xff3367bd,
    0xff2f66bd,
    0xff2e66bd,
    0xff2f67c0,
    0xff2f68bc,
    0xff2d66be,
    0xff2f68c1,
    0xff2a64be,
    0xff2f66c1,
    0xff2c63be,
    0xff2c63be,
    0xff3067c3,
    0xff2e66c5,
    0xff2f66c4,
    0xff2e65c3,
    0xff2864be,
    0xff2a63bc,
    0xff2f68be,
    0xff3066be,
    0xff3365bf,
    0xff3a71c9,
    0xff386ec6,
    0xff3068c0,
    0xff2e67be,
    0xff2f68c0,
    0xff366cc3,
    0xff3165bb,
    0xff2e60b8,
    0xff3067be,
    0xff386ec6,
    0xff356cc4,
    0xff356cc1,
    0xff366cc2,
    0xff3165bc,
    0xff3061b9,
    0xff2f61b8,
    0xff2e64c0,
    0xff2c62b8,
    0xff3767bb,
    0xff4268c3,
    0xff3b66c0,
    0xff3d6ec1,
    0xff4564ab,
    0xff6e74b1,
    0xff4a598f,
    0xff3c5892,
    0xff305da0,
    0xff255dad,
    0xff2360b9,
    0xff1e5fba,
    0xff1d5eb7,
    0xff2060b9,
    0xff415aae,
    0xff7e90a2,
    0xff344a6e,
    0xff3357aa,
    0xff2f5aab,
    0xff2d59b1,
    0xff2957b5,
    0xff2f5aaf,
    0xff2b57a9,
    0xff2e5bb1,
    0xff285ab2,
    0xff265db9,
    0xff245cba,
    0xff225dbb,
    0xff255cbb,
    0xff235bba,
    0xff255eba,
    0xff2160b7,
    0xff295bbc,
    0xff285cba,
    0xff275db4,
    0xff2261bf,
    0xff2859b8,
    0xff6157aa,
    0xff574693,
    0xff71539e,
    0xffa95584,
    0xffa95056,
    0xff9a2133,
    0xff8d122e,
    0xff6e000a,
    0xff6f0309,
    0xff790406,
    0xff700a10,
    0xff6f0515,
    0xff68000b,
    0xff700407,
    0xff990510,
    0xffb10314,
    0xffa30413,
    0xff8d050d,
    0xff6b0000,
    0xff63040b,
    0xff701518,
    0xff7a1616,
    0xff7f1519,
    0xffca7076,
    0xffaa656f,
    0xff9c6b96,
    0xff666293,
    0xff3c5aa0,
    0xff3a58af,
    0xff4c58a5,
    0xff695b98,
    0xff605190,
    0xff5857a4,
    0xff4a5494,
    0xff2e5eaa,
    0xff305cb4,
    0xff3e57a3,
    0xff635d98,
    0xff603f6e,
    0xff423254,
    0xff555176,
    0xff481f34,
    0xff5f0510,
    0xff5c0215,
    0xff5e040c,
    0xff6b050a,
    0xff6a0017,
    0xff740013,
    0xff720108,
    0xff740214,
    0xff730200,
    0xff5d0000,
    0xff6f376f,
    0xff575da3,
    0xff4a5ba3,
    0xff2d5bb0,
    0xff3c52a4,
    0xff985792,
    0xffb04857,
    0xffcb4645,
    0xff8d0e0f,
    0xff700501,
    0xff6a0406,
    0xff790f15,
    0xff841b18,
    0xff751716,
    0xff6f110e,
    0xff5e1625,
    0xff54346b,
    0xff474fa1,
    0xff275fab,
    0xff1f63ab,
    0xff2f54ac,
    0xff4064b8,
    0xff2557aa,
    0xff1f62b9,
    0xff165db8,
    0xff205fbb,
    0xff245cba,
    0xff245cb9,
    0xff1e5db6,
    0xff215db7,
    0xff215eb7,
    0xff205cb5,
    0xff215eb6,
    0xff215db9,
    0xff1f5fb9,
    0xff1f5fb9,
    0xff1f5fb9,
    0xff215fbd,
    0xff1e5dbb,
    0xff1c5eb7,
    0xff205cb7,
    0xff215eb9,
    0xff1e5bb6,
    0xff225fb7,
    0xff245eb8,
    0xff1e5ab2,
    0xff205cb4,
    0xff205cb4,
    0xff205cb4,
    0xff1e5bb3,
    0xff205db4,
    0xff1f5bb3,
    0xff1e5bb2,
    0xff215cb6,
    0xff235eb8,
    0xff215cb6,
    0xff1d58b2,
    0xff225eb8,
    0xff235eb8,
    0xff235eb9,
    0xff235eb7,
    0xff2261bc,
    0xff2461bc,
    0xff2661be,
    0xff2960be,
    0xff2c63c1,
    0xff2c64c1,
    0xff2864c0,
    0xff2964bf,
    0xff2965be,
    0xff2965bc,
    0xff2762bc,
    0xff2762bc,
    0xff2563bb,
    0xff2662be,
    0xff2663be,
    0xff2864c0,
    0xff225fb8,
    0xff2663bc,
    0xff2866be,
    0xff2865c1,
    0xff2865c0,
    0xff2966c0,
    0xff2966c4,
    0xff2a67c4,
    0xff2863bf,
    0xff2c67c3,
    0xff2762bf,
    0xff2964c0,
    0xff2a65c1,
    0xff2964c0,
    0xff2a65c1,
    0xff2b66c2,
    0xff2964c0,
    0xff2964c0,
    0xff2b65c1,
    0xff2b68c3,
    0xff2a67c2,
    0xff2865c0,
    0xff2566c0,
    0xff2464bd,
    0xff2d66c6,
    0xff2b63c2,
    0xff2c64c1,
    0xff2b62c0,
    0xff2861bb,
    0xff2a63bd,
    0xff2962bd,
    0xff295fb8,
    0xff2e5cae,
    0xff2959b5,
    0xff6a55a1,
    0xff6a0018,
    0xff90110f,
    0xffb02e32,
    0xffb81b25,
    0xffbe2433,
    0xffc93a30,
    0xffcb4649,
    0xffa7465a,
    0xff704f77,
    0xff324c92,
    0xff1f58ba,
    0xff1a58b4,
    0xff215ca6,
    0xff1651ac,
    0xff344bad,
    0xff855978,
    0xffb87781,
    0xff523c74,
    0xff5352a7,
    0xff424b9f,
    0xff225394,
    0xff1c54b2,
    0xff1c50ab,
    0xff1f50ab,
    0xff184fad,
    0xff1754b2,
    0xff1851a7,
    0xff1d50a8,
    0xff1b52b1,
    0xff0f56a1,
    0xff164ea5,
    0xff1a53aa,
    0xff1b4cb3,
    0xff1e4ca6,
    0xff184ea9,
    0xff144da3,
    0xff1952a7,
    0xff3e479e,
    0xff6e224f,
    0xff880915,
    0xff840114,
    0xff850014,
    0xff7c0002,
    0xff820705,
    0xff8c000c,
    0xff800310,
    0xff840209,
    0xff84050f,
    0xff7f000f,
    0xff7c0412,
    0xff750308,
    0xff7e000f,
    0xff610017,
    0xff4d4882,
    0xff1a4fb1,
    0xff1550ad,
    0xff1453a3,
    0xff1154ab,
    0xff2055b1,
    0xff254d9e,
    0xff6070a0,
    0xff5c6ea5,
    0xff1f4e9b,
    0xff354594,
    0xff6d4569,
    0xff6b2938,
    0xff583f71,
    0xff214da1,
    0xff2454ae,
    0xff164fb1,
    0xff1550b1,
    0xff1651ae,
    0xff1553ae,
    0xff1552ae,
    0xff1653ae,
    0xff1754af,
    0xff1653b0,
    0xff1552ab,
    0xff1451aa,
    0xff1653ac,
    0xff1553aa,
    0xff1352a8,
    0xff1651a9,
    0xff1854ac,
    0xff1854ac,
    0xff2158b5,
    0xff1f55b7,
    0xff2059b9,
    0xff20499d,
    0xff544787,
    0xff8c385e,
    0xffa9252a,
    0xffb11a0a,
    0xffbc1300,
    0xffba1100,
    0xff970000,
    0xff940405,
    0xff9a0301,
    0xff990701,
    0xff950307,
    0xff9e0013,
    0xff960102,
    0xff6a0010,
    0xff803653,
    0xffae5942,
    0xfffb7f40,
    0xffa60b00,
    0xff970008,
    0xffbb474d,
    0xff794049,
    0xff774864,
    0xff9b5457,
    0xffd5806c,
    0xffc86441,
    0xffd55f32,
    0xffde593e,
    0xffb91413,
    0xffd33f3e,
    0xffc13939,
    0xffc14d3d,
    0xffd85948,
    0xffd63742,
    0xffd8383c,
    0xffdd4a39,
    0xffc82d25,
    0xffb21108,
    0xffa23609,
    0xffd49441,
    0xffeeb35f,
    0xffa94d19,
    0xff920500,
    0xff930a00,
    0xff82280c,
    0xff7a4f1a,
    0xff74471c,
    0xff734122,
    0xff663116,
    0xff653113,
    0xff673313,
    0xff824024,
    0xff903726,
    0xff910d05,
    0xffae170f,
    0xffbc1612,
    0xffb70f12,
    0xff9f0b10,
    0xff9d2628,
    0xff9c382f,
    0xff841f10,
    0xff930a00,
    0xffac0003,
    0xffb1030f,
    0xff9e040c,
    0xffa4020e,
    0xffcc222c,
    0xffda3a3d,
    0xffd74440,
    0xffa42c2e,
    0xff8b2727,
    0xff88423f,
    0xff510b07,
    0xff8a0c1d,
    0xff9e0116,
    0xff94000c,
    0xffa20211,
    0xff940310,
    0xff98070b,
    0xff970b0a,
    0xffa40011,
    0xff94000e,
    0xff8d020e,
    0xff9c0a1a,
    0xff62221e,
    0xff232120,
    0xff1c2422,
    0xff162922,
    0xff1b352e,
    0xff304b46,
    0xff2e4845,
    0xff1d3735,
    0xff152f2f,
    0xff0f2b2c,
    0xff122d2d,
    0xff183032,
    0xff172d30,
    0xff152b2e,
    0xff152a2d,
    0xff152c2e,
    0xff102828,
    0xff142e2f,
    0xff122c2f,
    0xff0f282b,
    0xff112a30,
    0xff0c252b,
    0xff0c2529,
    0xff102a2c,
    0xff0e2629,
    0xff08221d,
    0xff09221e,
    0xff0b201e,
    0xff0b211e,
    0xff0d2020,
    0xff0d2321,
    0xff0c2220,
    0xff08221f,
    0xff102925,
    0xff102624,
    0xff0f2422,
    0xff0d2321,
    0xff0d2321,
    0xff0b221f,
    0xff0f2522,
    0xff122725,
    0xff0f2627,
    0xff0b2325,
    0xff0f2729,
    0xff10292e,
    0xff162f34,
    0xff112c34,
    0xff112c33,
    0xff122f37,
    0xff183539,
    0xff213d3e,
    0xff294643,
    0xff24423b,
    0xff314c41,
    0xff355243,
    0xff395546,
    0xff385342,
    0xff3c5842,
    0xff405c42,
    0xff445f45,
    0xff425c3d,
    0xff3d5737,
    0xff415a3a,
    0xff3d5638,
    0xff3b5234,
    0xff394a32,
    0xff3a4a30,
    0xff415030,
    0xff485631,
    0xff49552f,
    0xff404b23,
    0xff3a461d,
    0xff37401a,
    0xff383e17,
    0xff343911,
    0xff373a14,
    0xff494b24,
    0xff474926,
    0xff424521,
    0xff383f18,
    0xff373f19,
    0xff3f4128,
    0xff373618,
    0xff48422b,
    0xff79716b,
    0xff6c6470,
    0xff7b767e,
    0xff38332e,
    0xff332c1d,
    0xff62605a,
    0xff6d6663,
    0xff7d7c79,
    0xff636160,
    0xff7c6866,
    0xff240300,
    0xff583116,
    0xff97684c,
    0xff835334,
    0xffbd8660,
    0xff5d350f,
    0xff39200a,
    0xff4d2822,
    0xff371009,
    0xff39140b,
    0xff330406,
    0xff2b0d0c,
    0xff1f0f05,
    0xff110500,
    0xff1f0e0e,
    0xff351d16,
    0xff351d03,
    0xffffeaca,
    0xff9d7b64,
    0xff725e4d,
    0xff2f0602,
    0xff6f3215,
    0xffcd9858,
    0xffa66e15,
    0xff9b682f,
    0xff956b55,
    0xff9c542b,
    0xffaa7a62,
    0xff9d8973,
    0xff9b9182,
    0xff875e29,
    0xffa85b15,
    0xff823b11,
    0xff7b3f18,
    0xff974411,
    0xffb0660e,
    0xffa85f1c,
    0xff95521d,
    0xfffabe8b,
    0xffcb9f3f,
    0xffa17f31,
    0xff5d3300,
    0xff915f30,
    0xff9c7426,
    0xffa9774a,
    0xfffcc5bb,
    0xffd09b79,
    0xffcc9264,
    0xffba7d56,
    0xffc3988e,
    0xff695a37,
    0xffc6a360,
    0xffb0842d,
    0xffcfaa4f,
    0xffc29f39,
    0xffaf7916,
    0xffd49527,
    0xffad8112,
    0xff7f613f,
    0xff7c5c3f,
    0xff924c22,
    0xffa66e41,
    0xffeadac2,
    0xff5f5047,
    0xff5b3e30,
    0xff2e1e0e,
    0xff62665d,
    0xff2a63a6,
    0xff3562ba,
    0xff1f3272,
    0xff1e1928,
    0xff301b23,
    0xff3d222a,
    0xff411519,
    0xff45010d,
    0xff480719,
    0xff3d040e,
    0xff330708,
    0xff2c090c,
    0xff1a0717,
    0xff303660,
    0xff365aa2,
    0xff1b55af,
    0xff1d4ead,
    0xff2159a5,
    0xff285fa3,
    0xff2e5aaf,
    0xff255ec1,
    0xff1c63be,
    0xff2f64ae,
    0xff3f5290,
    0xff322f67,
    0xff4a3954,
    0xff41192b,
    0xff5a0f20,
    0xff751214,
    0xff73160e,
    0xff731518,
    0xff7b0b17,
    0xff5e0f14,
    0xff4b1622,
    0xff394374,
    0xff375fba,
    0xff2a5fba,
    0xff2e63b9,
    0xff3060c1,
    0xff1e69c0,
    0xff2e69c2,
    0xff2d66c0,
    0xff2a63bc,
    0xff2d65bf,
    0xff2e67bd,
    0xff2c64b9,
    0xff255db2,
    0xff2c64b9,
    0xff356bc0,
    0xff3065b8,
    0xff3166b8,
    0xff3b6ebf,
    0xff3b6cbc,
    0xff3c6bbb,
    0xff3e6dbb,
    0xff416ebc,
    0xff4873c1,
    0xff4d76c4,
    0xff4870bd,
    0xff4a70be,
    0xff4e74bf,
    0xff4b74be,
    0xff466fba,
    0xff3b66b1,
    0xff406abc,
    0xff416cc0,
    0xff3b69bf,
    0xff3367bd,
    0xff346cc1,
    0xff2f69c0,
    0xff2d67bc,
    0xff2f69be,
    0xff2d66bd,
    0xff2d66bc,
    0xff2962bc,
    0xff2e68c1,
    0xff2c65c1,
    0xff3068c4,
    0xff3168c3,
    0xff2d63bf,
    0xff2a64c3,
    0xff2965c3,
    0xff2a64c1,
    0xff2762bb,
    0xff2f67c0,
    0xff326ac1,
    0xff356bc2,
    0xff396dc3,
    0xff386bc0,
    0xff376bbf,
    0xff3165ba,
    0xff3367bc,
    0xff2b5fb5,
    0xff386bc1,
    0xff396bbf,
    0xff3060b4,
    0xff2e61b5,
    0xff2e60b6,
    0xff2f61b7,
    0xff3264b7,
    0xff396bbd,
    0xff4171c4,
    0xff4875cb,
    0xff416dc4,
    0xff2a61b4,
    0xff2960b1,
    0xff2d5ba7,
    0xff355cb0,
    0xff3462b7,
    0xff3366b0,
    0xff4365a3,
    0xff7073a8,
    0xff5a4b87,
    0xff5b5491,
    0xff5a66a9,
    0xff4261b3,
    0xff3057ba,
    0xff2e5cc2,
    0xff295dbc,
    0xff2a5cb5,
    0xff727ecc,
    0xff536772,
    0xff375787,
    0xff405db3,
    0xff455da8,
    0xff3a5eb8,
    0xff345fbc,
    0xff435ca9,
    0xff455cac,
    0xff3e58a8,
    0xff3a5eb3,
    0xff2c58b3,
    0xff265db9,
    0xff245db8,
    0xff225db8,
    0xff255fb9,
    0xff295cb3,
    0xff245fb6,
    0xff235dc0,
    0xff215ec3,
    0xff255eba,
    0xff2860bd,
    0xff3559ab,
    0xff674e92,
    0xff4b51a0,
    0xff5b55a1,
    0xff914977,
    0xff8e393a,
    0xffa02336,
    0xff8b0e2c,
    0xff79081b,
    0xff6b000b,
    0xff6d0006,
    0xff72070c,
    0xff7d020c,
    0xff7c0008,
    0xff83090d,
    0xff9c0a13,
    0xffa1000e,
    0xff9a0a12,
    0xffa80b0c,
    0xff77040e,
    0xff580719,
    0xff6b0f1f,
    0xff740104,
    0xffc55855,
    0xff873643,
    0xff6e3557,
    0xff6256a3,
    0xff435492,
    0xff465693,
    0xff635a9c,
    0xff6c4d7b,
    0xffaf7383,
    0xff964851,
    0xff6a2b3f,
    0xff5f4273,
    0xff514d8d,
    0xff5f4685,
    0xff7a476d,
    0xff6d1d2b,
    0xff7b1519,
    0xff894d65,
    0xff5d5397,
    0xff513157,
    0xff560010,
    0xff68021d,
    0xff63051a,
    0xff610913,
    0xff610213,
    0xff6f040e,
    0xff6b030a,
    0xff6b0308,
    0xff73040b,
    0xff560014,
    0xff503c79,
    0xff265ea7,
    0xff2d56b2,
    0xff2657ba,
    0xff2760a8,
    0xff3355a3,
    0xff715e83,
    0xff9c505d,
    0xff88222d,
    0xff6a040b,
    0xff710b0f,
    0xff881f1f,
    0xff88210f,
    0xff740c11,
    0xff751210,
    0xff631314,
    0xff52102c,
    0xff543070,
    0xff365296,
    0xff255a9f,
    0xff475caa,
    0xff2c408f,
    0xff335aad,
    0xff215cb4,
    0xff1e5fbc,
    0xff1e5cb9,
    0xff225cb7,
    0xff205cb6,
    0xff1e5cb4,
    0xff215cb5,
    0xff225db5,
    0xff1e5cb5,
    0xff215db6,
    0xff1e5bb4,
    0xff1c5cb7,
    0xff1c5bb7,
    0xff1b5bb5,
    0xff1a5cb8,
    0xff2060bd,
    0xff2260bd,
    0xff1f5fbd,
    0xff2263bd,
    0xff2361bc,
    0xff2460bc,
    0xff2764bf,
    0xff2a64bb,
    0xff2861ba,
    0xff2962bb,
    0xff2861bb,
    0xff2c64bd,
    0xff2962bb,
    0xff2962bc,
    0xff2b64bd,
    0xff2762bc,
    0xff2762bc,
    0xff2662bb,
    0xff265fb9,
    0xff2860ba,
    0xff2661bb,
    0xff2661bb,
    0xff2662bb,
    0xff2262bb,
    0xff2461bc,
    0xff2560bc,
    0xff2760bc,
    0xff265fbb,
    0xff265eba,
    0xff245eba,
    0xff2661bc,
    0xff2a63bc,
    0xff2961bb,
    0xff2661bb,
    0xff2763bc,
    0xff2862bd,
    0xff2764be,
    0xff2663bd,
    0xff2763be,
    0xff2a69c0,
    0xff2968be,
    0xff2965bf,
    0xff2a66bf,
    0xff2965c0,
    0xff2966c2,
    0xff2965c5,
    0xff2865c3,
    0xff2a64c0,
    0xff2a65c1,
    0xff2a64c0,
    0xff2964c0,
    0xff2f6ac5,
    0xff2c67c2,
    0xff2c67c2,
    0xff2e69c4,
    0xff2d68c3,
    0xff2c68c3,
    0xff2964c0,
    0xff2865bf,
    0xff2c68c2,
    0xff2763be,
    0xff2465bf,
    0xff2665bf,
    0xff275fc1,
    0xff2159b9,
    0xff235bba,
    0xff2058b4,
    0xff1f57b0,
    0xff2057b2,
    0xff2256b1,
    0xff2055ae,
    0xff2457a3,
    0xff195eb3,
    0xff314ba3,
    0xff6d1d4e,
    0xff9f1429,
    0xffba1927,
    0xffc52127,
    0xffbd5463,
    0xff9f5778,
    0xff654582,
    0xff39469b,
    0xff1d4aa2,
    0xff2658ae,
    0xff2050a4,
    0xff1f53a8,
    0xff174fa5,
    0xff20519a,
    0xff3e3a81,
    0xffbe7f95,
    0xff6c3442,
    0xff474574,
    0xff2d4b99,
    0xff1e47af,
    0xff1353ac,
    0xff12569b,
    0xff174ba4,
    0xff1a51b1,
    0xff1550a9,
    0xff1e50a5,
    0xff1b50a4,
    0xff1457a5,
    0xff15559c,
    0xff1a4fa1,
    0xff104fa4,
    0xff104b9d,
    0xff124cab,
    0xff0e519f,
    0xff1750a8,
    0xff1849a3,
    0xff1949a3,
    0xff473e7c,
    0xff7f3027,
    0xff8b1907,
    0xff7e010e,
    0xff8c0005,
    0xff8a0603,
    0xff7e0714,
    0xff89001b,
    0xff82040e,
    0xff810007,
    0xff950e1a,
    0xff87051d,
    0xff6b0818,
    0xff760613,
    0xff970c27,
    0xff58061b,
    0xff443f6d,
    0xff254ca7,
    0xff1d51ac,
    0xff1454a5,
    0xff1153a3,
    0xff1d52a5,
    0xff1e4897,
    0xff535b90,
    0xff7c7baf,
    0xff1c4693,
    0xff2449aa,
    0xff605793,
    0xff834557,
    0xff6a3759,
    0xff2d4589,
    0xff264ea8,
    0xff1652b3,
    0xff1451b0,
    0xff1350ac,
    0xff114fab,
    0xff114ea9,
    0xff134fac,
    0xff1451ae,
    0xff1552ad,
    0xff1552a9,
    0xff1453a9,
    0xff1554aa,
    0xff1452a9,
    0xff1653ab,
    0xff1652aa,
    0xff1954ae,
    0xff1b54af,
    0xff1454b1,
    0xff1a59a4,
    0xff195395,
    0xff265aa8,
    0xff2a53b3,
    0xff3e4898,
    0xff783c62,
    0xff961a18,
    0xffbd1b0d,
    0xff9c0003,
    0xff98050f,
    0xff8f0108,
    0xff92010b,
    0xff8e000f,
    0xff8f010d,
    0xff950302,
    0xff8e0400,
    0xff8b050c,
    0xff7a0002,
    0xffb83d22,
    0xffcc3a0f,
    0xffad1706,
    0xffab2f2a,
    0xffd36749,
    0xffd05b4b,
    0xffd85358,
    0xffe05b4b,
    0xffdc6847,
    0xffdf6c44,
    0xffd0682a,
    0xffcf6331,
    0xffe54535,
    0xffbe2d1c,
    0xffd24849,
    0xffd24849,
    0xffd53b42,
    0xffd43744,
    0xffd14941,
    0xffc9442a,
    0xffc32b27,
    0xffc62e23,
    0xffca4229,
    0xffef7049,
    0xffb53915,
    0xff900800,
    0xffac0a10,
    0xffa20406,
    0xff8c1508,
    0xff7f3515,
    0xff704221,
    0xff633821,
    0xff602813,
    0xff724524,
    0xff694115,
    0xff793d17,
    0xff8b4928,
    0xff913b20,
    0xffa31e11,
    0xffb81714,
    0xffca3738,
    0xffa8292f,
    0xff951821,
    0xff730102,
    0xff700b03,
    0xff8b0300,
    0xffb71913,
    0xffa60404,
    0xffa10001,
    0xffa50003,
    0xffbb161e,
    0xffc0312d,
    0xffbb3328,
    0xff420a00,
    0xff1e1700,
    0xff230f00,
    0xff301306,
    0xff681a1d,
    0xff910014,
    0xff970816,
    0xffae0c1d,
    0xffab0012,
    0xff9a0010,
    0xff920413,
    0xffab0014,
    0xff97050c,
    0xff890f0e,
    0xff920614,
    0xff5d1116,
    0xff2e2428,
    0xff191f20,
    0xff122321,
    0xff142c27,
    0xff07221e,
    0xff0c2421,
    0xff132b29,
    0xff0e2626,
    0xff122b23,
    0xff122b24,
    0xff112722,
    0xff0e221e,
    0xff132623,
    0xff112522,
    0xff0b211e,
    0xff0c211f,
    0xff0d221e,
    0xff0c231f,
    0xff091f1c,
    0xff0b2120,
    0xff0b2120,
    0xff091e1d,
    0xff091f1b,
    0xff0d231f,
    0xff0e231f,
    0xff0d221c,
    0xff0c211b,
    0xff0c1f1d,
    0xff0c201e,
    0xff0f2220,
    0xff0d2321,
    0xff0c2522,
    0xff0b2325,
    0xff0b2326,
    0xff0a2325,
    0xff0f2427,
    0xff112627,
    0xff102425,
    0xff112526,
    0xff0d2223,
    0xff0c221f,
    0xff0d2625,
    0xff0b2423,
    0xff0b2527,
    0xff112a2e,
    0xff0d292d,
    0xff153239,
    0xff1e3b40,
    0xff254342,
    0xff2c4945,
    0xff335146,
    0xff304c3c,
    0xff385441,
    0xff3a553e,
    0xff3f5940,
    0xff3e5840,
    0xff435a45,
    0xff3e553f,
    0xff40573f,
    0xff3e553b,
    0xff41583d,
    0xff3e5239,
    0xff3c5039,
    0xff42543e,
    0xff455040,
    0xff434d3a,
    0xff444f36,
    0xff475637,
    0xff4b5937,
    0xff51603d,
    0xff505f3c,
    0xff43512f,
    0xff3a3d2b,
    0xff393a28,
    0xff30301d,
    0xff2a2716,
    0xff2b2913,
    0xff2a2b13,
    0xff282c11,
    0xff22280c,
    0xff2e2e10,
    0xff38341d,
    0xff3f3821,
    0xff4b452d,
    0xff6e6a60,
    0xff666269,
    0xff8f8a8e,
    0xff4d4439,
    0xff22190b,
    0xff554d49,
    0xff656864,
    0xff7b766c,
    0xff8f756f,
    0xff140000,
    0xff0a0000,
    0xff9c7359,
    0xff6e350a,
    0xff8e5126,
    0xff60300d,
    0xff755440,
    0xff331808,
    0xff382a0c,
    0xff2b2003,
    0xff37170f,
    0xff1d0d15,
    0xff0e0d0a,
    0xff0d0600,
    0xff3a1d1a,
    0xff59372f,
    0xff200700,
    0xff826d4d,
    0xffd8bdab,
    0xff5c3f15,
    0xff773607,
    0xffc37543,
    0xff945c28,
    0xffa46d1c,
    0xff986d20,
    0xffa08259,
    0xffd59060,
    0xffa65e23,
    0xff9d754a,
    0xff92746a,
    0xffd1966f,
    0xffae5923,
    0xff6b2a11,
    0xff723e14,
    0xffb96725,
    0xff9e4f01,
    0xffd07b21,
    0xffb25f16,
    0xff9d5a39,
    0xffe6c296,
    0xff6d4f2d,
    0xffaf8a66,
    0xff8a5a2d,
    0xff724e25,
    0xff7c532d,
    0xff946659,
    0xff865f25,
    0xff663800,
    0xff814c22,
    0xffbc9293,
    0xff453b0c,
    0xffd5aa44,
    0xffc0990e,
    0xff693600,
    0xffffc17c,
    0xffac6027,
    0xffb56f1f,
    0xffa26400,
    0xffaf753f,
    0xff664925,
    0xffb07935,
    0xffa47c3a,
    0xffbebca9,
    0xff5f595f,
    0xff533829,
    0xff856f54,
    0xff615654,
    0xff3060b5,
    0xff2162be,
    0xff3673c3,
    0xff2b4872,
    0xff1f1b26,
    0xff2d1c24,
    0xff34213b,
    0xff45335b,
    0xff5f507d,
    0xff26001a,
    0xff37040f,
    0xff1d031b,
    0xff294278,
    0xff326cbd,
    0xff2862bc,
    0xff3c67be,
    0xff2f66c1,
    0xff2d66c0,
    0xff3065c0,
    0xff3263bf,
    0xff2e60be,
    0xff2b5fbc,
    0xff2e64bf,
    0xff2f64bd,
    0xff3f6abc,
    0xff495a96,
    0xff321c3d,
    0xff440c19,
    0xff5a0e13,
    0xff6b1619,
    0xff6e131a,
    0xff77141b,
    0xff600b09,
    0xff52305b,
    0xff435ea6,
    0xff2b61b4,
    0xff2962be,
    0xff2d65be,
    0xff336abf,
    0xff2c61bc,
    0xff265fb9,
    0xff235cb6,
    0xff2561bb,
    0xff2360b7,
    0xff2460b8,
    0xff2861ba,
    0xff2f66c0,
    0xff326bc1,
    0xff346ebf,
    0xff3268bb,
    0xff396bc0,
    0xff3a6dc1,
    0xff386cc0,
    0xff376fc0,
    0xff3a6cbd,
    0xff3d6cbc,
    0xff4472c1,
    0xff4775c3,
    0xff4a74c3,
    0xff466fbf,
    0xff446dbd,
    0xff426aba,
    0xff4670c2,
    0xff4a76c7,
    0xff4274c8,
    0xff3e72c6,
    0xff356dc1,
    0xff306abe,
    0xff2d67be,
    0xff2e67c0,
    0xff2d64bf,
    0xff2e65c0,
    0xff2d66bf,
    0xff336dc4,
    0xff326cc2,
    0xff326abf,
    0xff3168be,
    0xff2f65bf,
    0xff2e62bb,
    0xff2f63be,
    0xff2a64c0,
    0xff2a62be,
    0xff2b62be,
    0xff2f64c1,
    0xff2c61ba,
    0xff3061b7,
    0xff2e60b3,
    0xff2f5fb1,
    0xff3b62ba,
    0xff4368b7,
    0xff446aaf,
    0xff4a6fb3,
    0xff4f75bd,
    0xff5278c5,
    0xff4e77c0,
    0xff4e7abf,
    0xff4474c4,
    0xff4272c5,
    0xff4372c4,
    0xff476ebb,
    0xff5172b7,
    0xff5f7cbf,
    0xff5f7fc7,
    0xff5376c3,
    0xff4577b8,
    0xff4771b7,
    0xff5a73c2,
    0xff5c75c0,
    0xff647cbc,
    0xff465b91,
    0xff5d6a9a,
    0xff815b97,
    0xff754271,
    0xffc07c9c,
    0xffba7ea4,
    0xff6859a2,
    0xff3253b2,
    0xff2257b3,
    0xff2b5fb5,
    0xff2756ae,
    0xff8198d3,
    0xff364454,
    0xff515492,
    0xff403771,
    0xff412047,
    0xff4d235f,
    0xff442247,
    0xff421630,
    0xff451437,
    0xff3d0026,
    0xff50285e,
    0xff4b5697,
    0xff2c55b6,
    0xff235dc2,
    0xff2462af,
    0xff2e5ab8,
    0xff2460b0,
    0xff3155b9,
    0xff2560b7,
    0xff205db7,
    0xff295cc7,
    0xff2c5ebb,
    0xff415299,
    0xff555299,
    0xff4050b0,
    0xff50599b,
    0xff63415b,
    0xff4f0000,
    0xff620005,
    0xff570012,
    0xff5c0012,
    0xff97262f,
    0xff75090f,
    0xff660004,
    0xff66040a,
    0xff620007,
    0xff6a0008,
    0xff7f000c,
    0xff8d0009,
    0xff9b010c,
    0xff9d0414,
    0xff900a11,
    0xff690304,
    0xff5e171a,
    0xff671b15,
    0xff5a171e,
    0xff4c3161,
    0xff614a86,
    0xff533273,
    0xff93617c,
    0xff955159,
    0xff7f2e3f,
    0xff8c313a,
    0xffd56e58,
    0xffce603f,
    0xffb94b38,
    0xff7e2530,
    0xff6b1828,
    0xff670a1d,
    0xff840b19,
    0xff9f0712,
    0xff9c010a,
    0xff880c1b,
    0xff680f24,
    0xff642b4e,
    0xff451126,
    0xff5c082c,
    0xff6b3566,
    0xff614270,
    0xff560029,
    0xff710011,
    0xff670503,
    0xff670300,
    0xff5a0311,
    0xff531c46,
    0xff4e4d8e,
    0xff2857a5,
    0xff185cb5,
    0xff165cb9,
    0xff1957b3,
    0xff255aac,
    0xff2c4ea0,
    0xff58569e,
    0xff7b4979,
    0xff751b2b,
    0xff90221e,
    0xff90261d,
    0xff882722,
    0xff7e1616,
    0xff6f100a,
    0xff72120b,
    0xff690710,
    0xff601d38,
    0xff5c4a79,
    0xff4d5991,
    0xff4f5a96,
    0xff34498c,
    0xff1a5cb1,
    0xff1862b9,
    0xff2659b5,
    0xff275bb1,
    0xff1f5fb3,
    0xff215fc1,
    0xff215eb6,
    0xff235bb9,
    0xff2661b3,
    0xff2365bc,
    0xff2263be,
    0xff2264b5,
    0xff2263c0,
    0xff2263c8,
    0xff2664ba,
    0xff2064c1,
    0xff255cba,
    0xff265dba,
    0xff1d61c4,
    0xff1c63bf,
    0xff2065b9,
    0xff2361c2,
    0xff2760c7,
    0xff2c62c0,
    0xff2c62bf,
    0xff2960bc,
    0xff2a63bf,
    0xff2a63bf,
    0xff2c64c1,
    0xff2961bd,
    0xff2962be,
    0xff2864be,
    0xff2762bd,
    0xff2c64c1,
    0xff2c62bf,
    0xff2961be,
    0xff275fbc,
    0xff265dbb,
    0xff265fbb,
    0xff2260b7,
    0xff205eb5,
    0xff2160b7,
    0xff2160b5,
    0xff215fb4,
    0xff2260b3,
    0xff2160b3,
    0xff205eb1,
    0xff1e54a9,
    0xff2b63b9,
    0xff346bc1,
    0xff235cb3,
    0xff215db4,
    0xff1f5eb3,
    0xff215fb5,
    0xff1f5eb4,
    0xff2460b8,
    0xff235fb7,
    0xff225bb4,
    0xff2259b3,
    0xff245db5,
    0xff2460b6,
    0xff2362b6,
    0xff2361b6,
    0xff1f5daf,
    0xff1e5cae,
    0xff1d5caf,
    0xff1b58ab,
    0xff1b58ab,
    0xff1955aa,
    0xff1a53aa,
    0xff1952aa,
    0xff1555ab,
    0xff1757ae,
    0xff1654a9,
    0xff1d54ad,
    0xff2050ab,
    0xff1c4eaa,
    0xff154fa9,
    0xff1050ab,
    0xff184faa,
    0xff224ea4,
    0xff254aa2,
    0xff1d5295,
    0xff1c569f,
    0xff2450b2,
    0xff254da7,
    0xff2953a8,
    0xff20549b,
    0xff2551aa,
    0xff2350a8,
    0xff634b8e,
    0xff752c53,
    0xffb1547d,
    0xff7b447b,
    0xff4c4f87,
    0xff294c93,
    0xff3253ae,
    0xff2a4da6,
    0xff195aa7,
    0xff1855b0,
    0xff2751ac,
    0xff1956a7,
    0xff1f4fb5,
    0xff274aa7,
    0xff865e7c,
    0xff9b3c55,
    0xff6c0020,
    0xff4e041f,
    0xff54366b,
    0xff255297,
    0xff1550a9,
    0xff164ca8,
    0xff134aa6,
    0xff124ba5,
    0xff144ca6,
    0xff1649a1,
    0xff174ca1,
    0xff124c9e,
    0xff114f9e,
    0xff144ea4,
    0xff184a96,
    0xff12529f,
    0xff104e9e,
    0xff0c48a0,
    0xff0e49a5,
    0xff174697,
    0xff174a9b,
    0xff383662,
    0xff6b162f,
    0xff76173d,
    0xff6d0a35,
    0xff7a1e34,
    0xff750519,
    0xff7f0310,
    0xff7d0216,
    0xff800100,
    0xff8d0418,
    0xff7a0002,
    0xff6b0510,
    0xff5b305d,
    0xff71386a,
    0xffa32858,
    0xff6c2a58,
    0xff3b3272,
    0xff314aa0,
    0xff144ea7,
    0xff104e9d,
    0xff1a4da3,
    0xff164ca2,
    0xff244d89,
    0xff8282a3,
    0xff917bb6,
    0xff1b4790,
    0xff16559e,
    0xff324283,
    0xff623768,
    0xff944351,
    0xff6e4363,
    0xff234eaf,
    0xff1752a6,
    0xff1653a7,
    0xff1353a9,
    0xff1355ac,
    0xff1758ae,
    0xff1455aa,
    0xff1453a3,
    0xff104d9c,
    0xff1455a2,
    0xff1652a3,
    0xff1551a8,
    0xff1452b0,
    0xff1153ad,
    0xff1753ab,
    0xff1b52ab,
    0xff1a51ac,
    0xff1f53a9,
    0xff1758ac,
    0xff155ba4,
    0xff16549f,
    0xff1f4eae,
    0xff2c469f,
    0xff835c76,
    0xffed754d,
    0xffc22314,
    0xff91000f,
    0xff860219,
    0xff8a0307,
    0xff950002,
    0xff91000f,
    0xff8d0215,
    0xff93020d,
    0xff91000c,
    0xff880203,
    0xff920000,
    0xffb91a07,
    0xffd5441e,
    0xffa71503,
    0xffd3443b,
    0xffd85a34,
    0xffdb4b2b,
    0xffda4026,
    0xffd65837,
    0xffd95d29,
    0xffdd572f,
    0xffda4f33,
    0xffe15432,
    0xffad3728,
    0xff9c221d,
    0xffaa1c29,
    0xffb3242c,
    0xffb61f1a,
    0xffaf0b07,
    0xffce3031,
    0xffd54240,
    0xffdc3b36,
    0xffcb4325,
    0xffd55131,
    0xffc63e25,
    0xffb12413,
    0xffb61c1a,
    0xffb31519,
    0xff9b0507,
    0xff981812,
    0xff731f12,
    0xff652011,
    0xff672515,
    0xff73281a,
    0xff702c13,
    0xff804928,
    0xff6c3915,
    0xff652c0b,
    0xff7e4324,
    0xff973422,
    0xffa2150d,
    0xffa60d13,
    0xff981018,
    0xff8a151d,
    0xff7a0a0a,
    0xff820c08,
    0xffa10b0d,
    0xffa8030c,
    0xffa30007,
    0xffa20a0d,
    0xff950000,
    0xffc82826,
    0xffbf2320,
    0xff9f120d,
    0xff6f1b15,
    0xff250e05,
    0xff211511,
    0xff21100d,
    0xff291912,
    0xff531018,
    0xff920c1d,
    0xffa0040c,
    0xffa8000e,
    0xff910218,
    0xff7e040a,
    0xff8f0606,
    0xffa90215,
    0xffa70014,
    0xff970e18,
    0xff74111d,
    0xff3f1919,
    0xff162620,
    0xff15282b,
    0xff11272c,
    0xff122c2e,
    0xff152729,
    0xff0c272a,
    0xff0f242c,
    0xff092224,
    0xff0d2629,
    0xff0f272b,
    0xff0e2429,
    0xff0c2225,
    0xff0d2421,
    0xff0b221f,
    0xff102520,
    0xff122329,
    0xff112425,
    0xff132622,
    0xff102419,
    0xff0f2418,
    0xff14271c,
    0xff13261e,
    0xff14251f,
    0xff15271d,
    0xff13251b,
    0xff0e2217,
    0xff0c2015,
    0xff0c211a,
    0xff0c241e,
    0xff0c2220,
    0xff132829,
    0xff10282a,
    0xff112929,
    0xff0e2727,
    0xff112627,
    0xff112627,
    0xff0e2223,
    0xff0d2021,
    0xff0f2324,
    0xff0c2a27,
    0xff0b292b,
    0xff0f2b32,
    0xff112d39,
    0xff122a37,
    0xff19303a,
    0xff1f343b,
    0xff243a3d,
    0xff254036,
    0xff2d4939,
    0xff375441,
    0xff344e37,
    0xff40593f,
    0xff445d41,
    0xff3c5638,
    0xff3b5338,
    0xff3b5538,
    0xff3a5439,
    0xff365139,
    0xff324c37,
    0xff344d3b,
    0xff384e3f,
    0xff384a3f,
    0xff39463b,
    0xff42473c,
    0xff484a3e,
    0xff42483b,
    0xff3d4537,
    0xff3b4b35,
    0xff3a4e34,
    0xff46593b,
    0xff425331,
    0xff394931,
    0xff283520,
    0xff283124,
    0xff272d24,
    0xff292c25,
    0xff2a2a24,
    0xff2b2c21,
    0xff252417,
    0xff1e2619,
    0xff242c1d,
    0xff333724,
    0xff343423,
    0xff2d2b1e,
    0xff777171,
    0xff726b76,
    0xff8b8294,
    0xff656669,
    0xff0d080d,
    0xff3e3133,
    0xff746459,
    0xff6c5950,
    0xff190100,
    0xff230502,
    0xff553117,
    0xff9f6e3b,
    0xff915d2e,
    0xff956847,
    0xff5b4027,
    0xff483716,
    0xff544419,
    0xff504220,
    0xff2a1f0f,
    0xff1f110c,
    0xff131106,
    0xff1f1811,
    0xff7d5e48,
    0xff0b0000,
    0xff160001,
    0xff5e3403,
    0xffdfd2b5,
    0xffa3743d,
    0xffa2660d,
    0xffb06d36,
    0xffc58955,
    0xff924f00,
    0xffc18f47,
    0xff997e5e,
    0xff8f482f,
    0xffae6544,
    0xffa17047,
    0xff8a715f,
    0xffa87551,
    0xffcc8445,
    0xff601600,
    0xffb96017,
    0xffae5c0f,
    0xffae6913,
    0xffaa5e04,
    0xffbf7310,
    0xfff0a642,
    0xffac874e,
    0xff371f10,
    0xff331f0f,
    0xffbc9564,
    0xffaa744e,
    0xff68340b,
    0xff8e5121,
    0xffa8761b,
    0xffcda13b,
    0xff77410f,
    0xffe6cbad,
    0xff4b3c04,
    0xffd2ae3a,
    0xffd9ab37,
    0xffe5ad2a,
    0xff964700,
    0xff7e2100,
    0xffa54b02,
    0xffd59033,
    0xffd9aa43,
    0xffa28055,
    0xff8f713e,
    0xffe7d390,
    0xffccbca5,
    0xff503f40,
    0xff412c27,
    0xff69593f,
    0xff726263,
    0xff2c64b0,
    0xff2f6abb,
    0xff2c64ba,
    0xff3e66b0,
    0xff2e3b64,
    0xff1d1723,
    0xff281d30,
    0xff3e3762,
    0xff6565a0,
    0xff352c56,
    0xff110423,
    0xff292f5c,
    0xff476bb8,
    0xff2e67c6,
    0xff2e66c4,
    0xff3165b5,
    0xff2a64be,
    0xff2861bc,
    0xff2a60bc,
    0xff2c60bd,
    0xff2e63bf,
    0xff2b5fbc,
    0xff2c62be,
    0xff2962bc,
    0xff2c60b7,
    0xff375daa,
    0xff3f4f8c,
    0xff2b2756,
    0xff351a3f,
    0xff461128,
    0xff65121b,
    0xff791412,
    0xff571216,
    0xff4d3b6c,
    0xff4263b0,
    0xff275fb1,
    0xff275fb9,
    0xff2761b7,
    0xff245eaf,
    0xff285eba,
    0xff275fb8,
    0xff2962bb,
    0xff2360b8,
    0xff2663bb,
    0xff2562b9,
    0xff2962bb,
    0xff275eb8,
    0xff2a60bb,
    0xff2a64b8,
    0xff2b61b8,
    0xff3264bb,
    0xff3367be,
    0xff3a70c5,
    0xff366dc1,
    0xff386cbe,
    0xff3f71c2,
    0xff4271c1,
    0xff4372c2,
    0xff3d6abc,
    0xff416bbd,
    0xff4972c4,
    0xff4974c6,
    0xff426dbc,
    0xff3e69b9,
    0xff3d6dbc,
    0xff3565b6,
    0xff3368b9,
    0xff3068b9,
    0xff336bbf,
    0xff2e65ba,
    0xff2f65bc,
    0xff2d64bb,
    0xff3067bd,
    0xff2b63b6,
    0xff2a62b5,
    0xff3067b9,
    0xff3369bf,
    0xff3167bd,
    0xff3264bd,
    0xff2f62bd,
    0xff3970c8,
    0xff3167bf,
    0xff2a5eb6,
    0xff2b5db2,
    0xff3766ba,
    0xff3f6cbc,
    0xff3d6ab6,
    0xff4871bc,
    0xff577ac4,
    0xff5f83c4,
    0xff7898d5,
    0xff7d9dda,
    0xff607fc2,
    0xff5978c1,
    0xff5b7dc5,
    0xff5378bd,
    0xff4977b8,
    0xff4e7bbf,
    0xff5079bf,
    0xff5c7fc5,
    0xff627ec1,
    0xff6482c2,
    0xff638cc5,
    0xff5887c1,
    0xff5b7aca,
    0xff5a81ca,
    0xff6373b4,
    0xff856da7,
    0xff893874,
    0xff9c497b,
    0xff997896,
    0xff7f6682,
    0xff905873,
    0xffc4708b,
    0xffaf5c80,
    0xff70497c,
    0xff5e5ca1,
    0xff7277c5,
    0xff5259a6,
    0xff4f5da7,
    0xff8c8ab5,
    0xff523c44,
    0xff6c4274,
    0xff470e38,
    0xff52041c,
    0xff59012f,
    0xff590722,
    0xff68091f,
    0xff620517,
    0xff5d0d24,
    0xff520f30,
    0xff471535,
    0xff594986,
    0xff4962b7,
    0xff245d9e,
    0xff276ab2,
    0xff1963c3,
    0xff295cc3,
    0xff285eb8,
    0xff2260b7,
    0xff2462bc,
    0xff3064a9,
    0xff4a60a2,
    0xff4343a2,
    0xff5358a8,
    0xff531e51,
    0xff5f000f,
    0xff6b030b,
    0xff570005,
    0xff5c0209,
    0xff610003,
    0xff730811,
    0xff850c16,
    0xff730109,
    0xff70030c,
    0xff6b0107,
    0xff6d0004,
    0xff7b020c,
    0xff8a040e,
    0xff9c0c1a,
    0xff98061b,
    0xff970912,
    0xff95191a,
    0xff620b23,
    0xff521138,
    0xff4b265e,
    0xff49559c,
    0xff545b91,
    0xffca8497,
    0xff8f3130,
    0xff821916,
    0xff8b1f2b,
    0xff730615,
    0xff720003,
    0xff6c0001,
    0xff62000c,
    0xff59050c,
    0xff50000b,
    0xff590511,
    0xff70020c,
    0xff8b030b,
    0xff990710,
    0xff8c0413,
    0xff800a1f,
    0xff3f001b,
    0xff504465,
    0xff524a85,
    0xff3f529e,
    0xff3558a6,
    0xff48346f,
    0xff47021a,
    0xff58050b,
    0xff5c000c,
    0xff4b0826,
    0xff534076,
    0xff3855a0,
    0xff1a58b1,
    0xff125ab5,
    0xff1d57b1,
    0xff2955b0,
    0xff2151a5,
    0xff205faf,
    0xff1f559e,
    0xff4a538e,
    0xff894e76,
    0xff932e40,
    0xff811d1b,
    0xff843123,
    0xff7c1815,
    0xff6c0a0b,
    0xff710b10,
    0xff6e0b17,
    0xff5a0819,
    0xff52213c,
    0xff5e466e,
    0xff685a89,
    0xff3d3b73,
    0xff3360b8,
    0xff1e5ec7,
    0xff275ac9,
    0xff255ebb,
    0xff1e64b4,
    0xff2161c3,
    0xff245fbc,
    0xff245bba,
    0xff245fb2,
    0xff2361b9,
    0xff2261be,
    0xff2665b8,
    0xff2363bf,
    0xff2361c4,
    0xff2562b9,
    0xff2563be,
    0xff2560bf,
    0xff2360be,
    0xff2161c0,
    0xff2464bc,
    0xff215fb5,
    0xff215eba,
    0xff2762c0,
    0xff265db6,
    0xff275eb8,
    0xff265cb7,
    0xff265fb7,
    0xff2962bb,
    0xff2861ba,
    0xff2a62bc,
    0xff2762ba,
    0xff2765bb,
    0xff2663ba,
    0xff2861ba,
    0xff255fb7,
    0xff2962bc,
    0xff2a62bc,
    0xff2560ba,
    0xff215bb6,
    0xff2360b9,
    0xff205eb4,
    0xff205eb5,
    0xff1f5db4,
    0xff1d5bb1,
    0xff1c5ab0,
    0xff1c5aae,
    0xff1b58ad,
    0xff1f57af,
    0xff225ab1,
    0xff1750a7,
    0xff1851a8,
    0xff1753a8,
    0xff1652aa,
    0xff1655ac,
    0xff1554aa,
    0xff144ea9,
    0xff1652aa,
    0xff1951aa,
    0xff1a53ac,
    0xff1953ac,
    0xff1653a8,
    0xff1755a9,
    0xff1658ab,
    0xff1956ab,
    0xff1755aa,
    0xff1a58ad,
    0xff1955ac,
    0xff1955ac,
    0xff1955ad,
    0xff1d55af,
    0xff1e57af,
    0xff2354b3,
    0xff2755b5,
    0xff2355b1,
    0xff1f57b2,
    0xff215fb5,
    0xff2060b2,
    0xff285fb1,
    0xff285baf,
    0xff1d5aa8,
    0xff3b548d,
    0xff5e538e,
    0xff5a4785,
    0xff464e9b,
    0xff364eaa,
    0xff515599,
    0xff64518a,
    0xff7a548e,
    0xff7c4d89,
    0xff545194,
    0xff3f4aa1,
    0xff3e4d97,
    0xff553f81,
    0xff4b4090,
    0xff2050ae,
    0xff2750a7,
    0xff2253aa,
    0xff224ca7,
    0xff1a58b1,
    0xff1153aa,
    0xff19539f,
    0xff13569c,
    0xff1c48a7,
    0xff364099,
    0xff862948,
    0xff77000d,
    0xff7c0417,
    0xff6e0009,
    0xff540b2a,
    0xff384b7b,
    0xff1d4897,
    0xff1b4d9d,
    0xff174d9c,
    0xff154fa1,
    0xff134ca2,
    0xff144aa2,
    0xff1449a1,
    0xff11499e,
    0xff124fa1,
    0xff114ba5,
    0xff144997,
    0xff0d4fa0,
    0xff104d9c,
    0xff144fa6,
    0xff1351af,
    0xff194d9f,
    0xff134b9f,
    0xff2f499b,
    0xff384582,
    0xff274b8b,
    0xff2b4685,
    0xff3f4d7d,
    0xff510e31,
    0xff86000f,
    0xff85001a,
    0xff7d000b,
    0xff88000b,
    0xff810303,
    0xff6f091d,
    0xff763d63,
    0xff651733,
    0xff7c0017,
    0xff6c1e47,
    0xff433e7e,
    0xff1d429c,
    0xff1648af,
    0xff1a4ea5,
    0xff13539e,
    0xff1753a1,
    0xff234893,
    0xff192e60,
    0xff7c7e9c,
    0xff1a437e,
    0xff145298,
    0xff185099,
    0xff344d93,
    0xff603e66,
    0xff725178,
    0xff1d438d,
    0xff134c9f,
    0xff124da0,
    0xff124ea4,
    0xff114fa7,
    0xff104da5,
    0xff114da0,
    0xff124b9d,
    0xff3468bb,
    0xff476fbc,
    0xff2756a5,
    0xff144fa1,
    0xff104fa6,
    0xff1553aa,
    0xff1951a3,
    0xff18539f,
    0xff15539e,
    0xff2a4a9c,
    0xff1858a0,
    0xff1d53a0,
    0xff24519d,
    0xff245292,
    0xff543a6c,
    0xffb4364f,
    0xffac0a01,
    0xff970000,
    0xff8c030c,
    0xff8b0116,
    0xff8e010b,
    0xff830207,
    0xff7e000c,
    0xff89000c,
    0xff950004,
    0xff9d0009,
    0xff9e0d12,
    0xffa50c14,
    0xffc82a24,
    0xffd24023,
    0xffaf1a0b,
    0xffb01612,
    0xffda5439,
    0xffc74a22,
    0xffcc461e,
    0xffc64925,
    0xffd34722,
    0xffcf4338,
    0xffb5424b,
    0xffad4553,
    0xff8e3e66,
    0xff743f6a,
    0xff9a4165,
    0xffc14d5e,
    0xffcc4c4f,
    0xffdd585b,
    0xffdc535f,
    0xffc83b46,
    0xffd84243,
    0xffdd5c3b,
    0xffff926c,
    0xffae4a28,
    0xffc14e36,
    0xffa61208,
    0xffb30c0d,
    0xffa5030a,
    0xff960607,
    0xff7d0808,
    0xff6e120b,
    0xff75251c,
    0xff7a1e17,
    0xff741507,
    0xff802e17,
    0xff793b1d,
    0xff532001,
    0xff552e0c,
    0xff844025,
    0xffa53425,
    0xff9a0c0b,
    0xffaa131e,
    0xff9d0514,
    0xff9c0310,
    0xff9f050f,
    0xff99060a,
    0xffa3010d,
    0xffae0710,
    0xffe94c4e,
    0xffa90b09,
    0xffc61e1d,
    0xffdb3633,
    0xffcf3830,
    0xff973529,
    0xff1f0d00,
    0xff042011,
    0xff0a200e,
    0xff0f1f0b,
    0xff241409,
    0xff6b1419,
    0xff960511,
    0xffa1030d,
    0xff920314,
    0xff81030e,
    0xff850209,
    0xffa20111,
    0xffc11325,
    0xffa40d12,
    0xff901718,
    0xff5c0f12,
    0xff2b1d19,
    0xff1e2124,
    0xff17272f,
    0xff0e252b,
    0xff1c2430,
    0xff102531,
    0xff092734,
    0xff0c2931,
    0xff0c2730,
    0xff0b2732,
    0xff0d2631,
    0xff0e2932,
    0xff0f2930,
    0xff0a262b,
    0xff082228,
    0xff0b2428,
    0xff091e23,
    0xff0b2220,
    0xff10261f,
    0xff162c21,
    0xff1c3324,
    0xff193021,
    0xff142a1c,
    0xff12261a,
    0xff14271c,
    0xff15291c,
    0xff142a1d,
    0xff11271c,
    0xff12291e,
    0xff152b23,
    0xff142d28,
    0xff122c29,
    0xff112b27,
    0xff132927,
    0xff162c2a,
    0xff112724,
    0xff0d2224,
    0xff102426,
    0xff152b2c,
    0xff112d2e,
    0xff0f2b2e,
    0xff0f2b31,
    0xff122a34,
    0xff122b32,
    0xff162e32,
    0xff1d3532,
    0xff223b35,
    0xff284233,
    0xff2c4736,
    0xff334b36,
    0xff3a523a,
    0xff455b40,
    0xff465d3d,
    0xff445c3d,
    0xff445b3c,
    0xff40573a,
    0xff3c5437,
    0xff314c31,
    0xff334c34,
    0xff364b36,
    0xff324531,
    0xff2e3d29,
    0xff2d3827,
    0xff323627,
    0xff3b3c2e,
    0xff404534,
    0xff46503b,
    0xff36472b,
    0xff283b1b,
    0xff40512d,
    0xff556440,
    0xff4a583d,
    0xff37462d,
    0xff2f3b2a,
    0xff2b3328,
    0xff2b2e24,
    0xff2b2d24,
    0xff2f2f24,
    0xff312f22,
    0xff2b301f,
    0xff2b311b,
    0xff2e3419,
    0xff3b3c21,
    0xff26250b,
    0xff1e1b09,
    0xff68645e,
    0xff6d6869,
    0xff7c7582,
    0xffc2bac7,
    0xff7d7478,
    0xff575248,
    0xff040000,
    0xff160f14,
    0xff150409,
    0xff1d0a01,
    0xff89533c,
    0xff966053,
    0xff855650,
    0xff664335,
    0xff4b311a,
    0xff472c13,
    0xff563926,
    0xff482e21,
    0xff2e100d,
    0xff120500,
    0xff7e756a,
    0xff60473a,
    0xff0f0804,
    0xff1e0e00,
    0xfff5c268,
    0xff9e773b,
    0xffd1a569,
    0xff975f0b,
    0xffcf8f4e,
    0xff9c6224,
    0xffaa6516,
    0xff855420,
    0xffa18a73,
    0xff9d6244,
    0xff4d0800,
    0xff814116,
    0xff845e4a,
    0xff996955,
    0xff844713,
    0xff652a06,
    0xff8e4d00,
    0xffcf9521,
    0xffb66300,
    0xffbe7306,
    0xffb68308,
    0xffe8b833,
    0xffc4a85e,
    0xff563c23,
    0xff150000,
    0xffc7a26c,
    0xffa47b52,
    0xffa0723a,
    0xffc57e30,
    0xfffdc35d,
    0xffd2a63f,
    0xff613500,
    0xffc8a98a,
    0xff71501f,
    0xffffca70,
    0xff895800,
    0xffc28d1a,
    0xff984b00,
    0xff842704,
    0xff853200,
    0xff965300,
    0xffffc762,
    0xffba9951,
    0xff543d21,
    0xffd4c7b2,
    0xff594c3c,
    0xff3d2f24,
    0xff2f2124,
    0xff635546,
    0xff8e7b67,
    0xff225fa8,
    0xff285daa,
    0xff2357ac,
    0xff1e53ac,
    0xff3258a0,
    0xff323e6c,
    0xff171831,
    0xff1b203a,
    0xff2b3269,
    0xff4a5a94,
    0xff435c9c,
    0xff3961ac,
    0xff2f5fbb,
    0xff2b60c1,
    0xff2d65bf,
    0xff2b64b9,
    0xff2865bc,
    0xff2b64bd,
    0xff2963bc,
    0xff285eb9,
    0xff275eb8,
    0xff265db7,
    0xff255cb6,
    0xff245db6,
    0xff235cb6,
    0xff255cb3,
    0xff2c5baf,
    0xff305aa9,
    0xff3d549b,
    0xff4e477e,
    0xff4f2443,
    0xff5d1d2b,
    0xff3e1429,
    0xff40417e,
    0xff2e59aa,
    0xff225cad,
    0xff255bb2,
    0xff235cb1,
    0xff2663b3,
    0xff265db8,
    0xff2962ba,
    0xff265fb6,
    0xff2860b7,
    0xff265eb8,
    0xff2962bb,
    0xff2c63bd,
    0xff2c63bd,
    0xff2e65bf,
    0xff2d65be,
    0xff2d62bc,
    0xff3363bf,
    0xff3568c3,
    0xff2e66bc,
    0xff2c64b9,
    0xff2e64b7,
    0xff3568ba,
    0xff3c6dbb,
    0xff3b69b9,
    0xff416ebe,
    0xff4570be,
    0xff4972c2,
    0xff4870bf,
    0xff4b74c2,
    0xff4872c0,
    0xff4571bd,
    0xff4a78c4,
    0xff4171be,
    0xff3e6fbe,
    0xff3c70c0,
    0xff396dbf,
    0xff3165b9,
    0xff3367bb,
    0xff3264b7,
    0xff3668ba,
    0xff3769bc,
    0xff3165b8,
    0xff2f63b6,
    0xff2e62b8,
    0xff2b5eb8,
    0xff2b5db8,
    0xff2c60b3,
    0xff2e62b4,
    0xff3766b7,
    0xff4571c0,
    0xff547cc9,
    0xff5d82cc,
    0xff6388ce,
    0xff6a8dcf,
    0xff6384bf,
    0xff6887bc,
    0xff7895c7,
    0xff7089be,
    0xff677fbc,
    0xff5f78bb,
    0xff5e78bf,
    0xff607dc3,
    0xff5175b8,
    0xff4e6db0,
    0xff4b66ad,
    0xff4866b1,
    0xff5277c1,
    0xff5277bc,
    0xff637db8,
    0xff7a8ac2,
    0xff7c88ce,
    0xff7781bc,
    0xff785c88,
    0xff5b0629,
    0xffba2b4e,
    0xffd5506e,
    0xffa66e7b,
    0xff5a374a,
    0xff9c4162,
    0xffb84559,
    0xffad3c4f,
    0xffb1618a,
    0xff643b74,
    0xff745b90,
    0xff533e6c,
    0xff766595,
    0xff725775,
    0xff5e292a,
    0xff4e0123,
    0xff55031a,
    0xff5c090f,
    0xff510519,
    0xff4a070f,
    0xff57050a,
    0xff5c0a09,
    0xff480d12,
    0xff530c1b,
    0xff5f0208,
    0xff620d24,
    0xff5c1b4d,
    0xff3d194d,
    0xff5655a0,
    0xff325bb1,
    0xff2a5eaf,
    0xff2b5baf,
    0xff2a5ebc,
    0xff3158ae,
    0xff344174,
    0xff151942,
    0xff5a589e,
    0xff674774,
    0xff6a001a,
    0xffa00011,
    0xff810405,
    0xff650402,
    0xff6b0000,
    0xff7f0309,
    0xff74060c,
    0xff7b0612,
    0xff890c1b,
    0xff920a17,
    0xff9d0f1e,
    0xff930614,
    0xff84040d,
    0xff77060d,
    0xff6b0609,
    0xff660205,
    0xff6c0502,
    0xff690a06,
    0xff50203d,
    0xff4f4783,
    0xff4a56a4,
    0xff3b50a0,
    0xff685887,
    0xff80382c,
    0xff89322a,
    0xff6f1313,
    0xff590103,
    0xff5e0407,
    0xff5d0005,
    0xff580710,
    0xff470a14,
    0xff500911,
    0xff4b050e,
    0xff540a13,
    0xff5b0306,
    0xff6c0100,
    0xff820207,
    0xff970e1e,
    0xff7c000f,
    0xff602551,
    0xff3c5593,
    0xff285caa,
    0xff245cb0,
    0xff1c5cb5,
    0xff355aa3,
    0xff494576,
    0xff563366,
    0xff4a1644,
    0xff442e64,
    0xff354d8f,
    0xff265eaf,
    0xff145bb4,
    0xff1959b7,
    0xff2255b0,
    0xff2752a9,
    0xff255db0,
    0xff1a59ae,
    0xff1c58ae,
    0xff3053a5,
    0xff5a5199,
    0xff743d6b,
    0xff6f172a,
    0xff80191a,
    0xff761112,
    0xff6f0610,
    0xff6e0514,
    0xff670211,
    0xff680710,
    0xff610711,
    0xff5d162a,
    0xff693c58,
    0xff4e4772,
    0xff35629e,
    0xff2061a4,
    0xff265bb6,
    0xff235ebc,
    0xff1b5fbc,
    0xff1d5cc9,
    0xff1c5ebb,
    0xff215dba,
    0xff215eb3,
    0xff235eb9,
    0xff225cbb,
    0xff215db5,
    0xff255bb6,
    0xff235cbb,
    0xff1d60b6,
    0xff215bb5,
    0xff1c5eb7,
    0xff1f5fbb,
    0xff205fb7,
    0xff285eb8,
    0xff2d5cb1,
    0xff275bab,
    0xff1d5db1,
    0xff285fb5,
    0xff275fb4,
    0xff2862b7,
    0xff2a64b8,
    0xff2861b6,
    0xff2760b4,
    0xff2664b6,
    0xff2361b3,
    0xff1f5caf,
    0xff205eb0,
    0xff225bb0,
    0xff235cb3,
    0xff2159b0,
    0xff1d5aaf,
    0xff1b57ae,
    0xff1958ae,
    0xff1957b0,
    0xff1a57b0,
    0xff1855ae,
    0xff1a57b0,
    0xff1856af,
    0xff1957ae,
    0xff1958af,
    0xff1958ae,
    0xff1f5bb2,
    0xff205ab1,
    0xff1e5ab2,
    0xff1f5bb3,
    0xff1f5bb3,
    0xff1d5ab1,
    0xff1e58b3,
    0xff1c56b1,
    0xff1b58b1,
    0xff1a57b0,
    0xff1c57b1,
    0xff1b56b0,
    0xff1c59b1,
    0xff1e5cb4,
    0xff1d5cb4,
    0xff195ab1,
    0xff1f5db5,
    0xff1f5eb5,
    0xff205bb4,
    0xff225db7,
    0xff1f5ab4,
    0xff1f5ab4,
    0xff205cb6,
    0xff225db9,
    0xff1f5cb7,
    0xff255aba,
    0xff2458b9,
    0xff1f5bb6,
    0xff195fb3,
    0xff205eae,
    0xff3054a5,
    0xff3f4b9d,
    0xff655285,
    0xff89375c,
    0xff901b3e,
    0xff991235,
    0xff8d2451,
    0xff9f5283,
    0xff82142c,
    0xff8e0d16,
    0xff990a27,
    0xffb00c1b,
    0xff9e1e37,
    0xff863e86,
    0xff3d4398,
    0xff4f4890,
    0xff4e4082,
    0xff2e4e92,
    0xff304f90,
    0xff2d447b,
    0xff444c97,
    0xff2949a3,
    0xff174fa5,
    0xff1d519c,
    0xff334e93,
    0xff54458a,
    0xff6d4273,
    0xffa02532,
    0xff84010b,
    0xff770306,
    0xff720501,
    0xff5d0a20,
    0xff44436f,
    0xff2a4a8f,
    0xff21498e,
    0xff1b4b94,
    0xff16509d,
    0xff144fa3,
    0xff134ba4,
    0xff154da6,
    0xff154ba2,
    0xff154da0,
    0xff124ca5,
    0xff144b9b,
    0xff0e4ea3,
    0xff174f9e,
    0xff144b9e,
    0xff0c4faa,
    0xff154ca1,
    0xff104da2,
    0xff1d49a2,
    0xff144ea5,
    0xff0e4fa8,
    0xff2046a5,
    0xff2d4ca0,
    0xff5f2559,
    0xff82010d,
    0xff78010a,
    0xff7d020e,
    0xff870309,
    0xff7f0004,
    0xff7d1326,
    0xff7a2437,
    0xff730209,
    0xff8f0410,
    0xff70051b,
    0xff67224b,
    0xff4b4081,
    0xff284697,
    0xff1c489a,
    0xff0f509a,
    0xff0c509e,
    0xff214694,
    0xff505a99,
    0xff696c81,
    0xff2c5084,
    0xff13458e,
    0xff114d9f,
    0xff0749a0,
    0xff20448a,
    0xff404d83,
    0xff2d478c,
    0xff134799,
    0xff0f479a,
    0xff0f489c,
    0xff0d449c,
    0xff0f479e,
    0xff13489e,
    0xff104396,
    0xff174799,
    0xff154290,
    0xff0d458e,
    0xff0e5098,
    0xff104f98,
    0xff174d9e,
    0xff1849a0,
    0xff134b9e,
    0xff104e9d,
    0xff164ea7,
    0xff1a4a8f,
    0xff3c3781,
    0xff483281,
    0xff3e3666,
    0xff7f354f,
    0xff96011c,
    0xff930018,
    0xff910002,
    0xff880b0b,
    0xff800006,
    0xff8d0008,
    0xff840005,
    0xff840111,
    0xff98102a,
    0xffb9384f,
    0xffb33648,
    0xffb53536,
    0xffd03a35,
    0xffcb321f,
    0xffd14524,
    0xffb5291a,
    0xffbb2926,
    0xffd04e36,
    0xffc44f31,
    0xffc34b31,
    0xffe8745e,
    0xffb74035,
    0xff963f54,
    0xff62426f,
    0xff4c447c,
    0xff3d3b93,
    0xff294893,
    0xff434b8a,
    0xff614878,
    0xff80526f,
    0xffaa646e,
    0xffc65654,
    0xffcb443c,
    0xffcb483f,
    0xffd4412f,
    0xffc7392e,
    0xffb8302a,
    0xffcb3c38,
    0xffc9312c,
    0xffa00300,
    0xff9e060b,
    0xff950211,
    0xff8e0008,
    0xff81080d,
    0xff7b0f11,
    0xff820d11,
    0xff840e0b,
    0xff7d1a0d,
    0xff772e16,
    0xff7c3b22,
    0xff762f1d,
    0xff913d29,
    0xffac4634,
    0xffb4392e,
    0xffa11314,
    0xff9e0411,
    0xffa0000e,
    0xffa3000f,
    0xff9a040b,
    0xffa5030d,
    0xffb9101a,
    0xffb60f14,
    0xffa70203,
    0xffc61c1a,
    0xffd8362d,
    0xffbf2819,
    0xffc23a2c,
    0xff582016,
    0xff0e150c,
    0xff171d14,
    0xff191909,
    0xff0f1806,
    0xff380e0b,
    0xff8d091d,
    0xffa1080d,
    0xff9a0003,
    0xff950210,
    0xff8a0212,
    0xff8c0008,
    0xffa40313,
    0xff9d0411,
    0xff880a0b,
    0xff821a1b,
    0xff4e0f10,
    0xff3d1520,
    0xff1e1f29,
    0xff0f2a33,
    0xff162635,
    0xff112534,
    0xff0c2836,
    0xff0e2c38,
    0xff0c2a37,
    0xff0e2a3a,
    0xff0e2b3e,
    0xff0d2c3f,
    0xff0c2a3e,
    0xff0e2d3f,
    0xff113040,
    0xff102c37,
    0xff0e2832,
    0xff102b32,
    0xff153030,
    0xff1c3732,
    0xff213b2f,
    0xff223c29,
    0xff213c25,
    0xff233a2b,
    0xff1e3525,
    0xff203726,
    0xff203926,
    0xff263e2e,
    0xff233c2d,
    0xff1b3627,
    0xff112c1f,
    0xff142b21,
    0xff172e27,
    0xff182f27,
    0xff192f29,
    0xff17312c,
    0xff132c29,
    0xff152e2b,
    0xff152e2a,
    0xff152f2e,
    0xff1e3837,
    0xff20393b,
    0xff1e3739,
    0xff203a38,
    0xff243e3a,
    0xff294539,
    0xff2e4a3b,
    0xff2b4635,
    0xff304736,
    0xff39503b,
    0xff3f543c,
    0xff3b5235,
    0xff334b2b,
    0xff364f2c,
    0xff3d5532,
    0xff425637,
    0xff3c5534,
    0xff3b5235,
    0xff384f33,
    0xff34492e,
    0xff36462b,
    0xff323e24,
    0xff30381e,
    0xff333c23,
    0xff383d23,
    0xff3a3f26,
    0xff4b5536,
    0xff4a5936,
    0xff4a5933,
    0xff4e5d33,
    0xff58633a,
    0xff586642,
    0xff495737,
    0xff3b452b,
    0xff2b3321,
    0xff292d1e,
    0xff2d2e20,
    0xff343222,
    0xff32301f,
    0xff2e2e1c,
    0xff373822,
    0xff4c4c30,
    0xff4e4d2e,
    0xff504b2e,
    0xff3f3a22,
    0xff211b0a,
    0xff7d766c,
    0xff6b6373,
    0xff797081,
    0xffa49fa2,
    0xff000000,
    0xff110d05,
    0xff13070b,
    0xff230d0e,
    0xff2c0e00,
    0xff9f6a4f,
    0xffab776d,
    0xffb18680,
    0xff604228,
    0xff523d19,
    0xff392309,
    0xff2d1902,
    0xff47331a,
    0xff291411,
    0xff150600,
    0xffad9887,
    0xff84615a,
    0xff1b090a,
    0xff493103,
    0xffffcc50,
    0xffc5961f,
    0xffdab26c,
    0xffa87431,
    0xffb97932,
    0xffad7222,
    0xffa46116,
    0xff6e4017,
    0xffbdb19f,
    0xff663d25,
    0xfff0be84,
    0xffc1813b,
    0xffa77f48,
    0xff6c4533,
    0xff9b664b,
    0xff380600,
    0xff512201,
    0xffd8a23c,
    0xffc06d04,
    0xffa85e00,
    0xff926200,
    0xffd4a628,
    0xffe7ce8b,
    0xff64483d,
    0xff2f140d,
    0xff99733d,
    0xff73582b,
    0xff73480e,
    0xffb06311,
    0xffbd7421,
    0xff946115,
    0xff7f5a21,
    0xffa68576,
    0xff73421a,
    0xff905600,
    0xffb88c3d,
    0xff946714,
    0xff894707,
    0xff873a02,
    0xff9f6109,
    0xffa2650f,
    0xff914908,
    0xffffe282,
    0xff887669,
    0xff453b49,
    0xff63585a,
    0xff372b1e,
    0xff363235,
    0xff4e4838,
    0xff9e896d,
    0xff2660b2,
    0xff3062b5,
    0xff2a5fad,
    0xff2864b1,
    0xff3168c1,
    0xff4062ba,
    0xff324376,
    0xff152428,
    0xff0f1636,
    0xff304178,
    0xff3e60af,
    0xff2f60bb,
    0xff285fbb,
    0xff2862ba,
    0xff2761ba,
    0xff2861bf,
    0xff2861b9,
    0xff2760b7,
    0xff265fb6,
    0xff205ab1,
    0xff255eb4,
    0xff245eb7,
    0xff215bb4,
    0xff1f58b1,
    0xff205ab3,
    0xff235bb0,
    0xff2a5eb3,
    0xff295eb2,
    0xff285ab0,
    0xff3358a4,
    0xff4c5c9f,
    0xff5a588e,
    0xff231a41,
    0xff4358a1,
    0xff265cae,
    0xff245eb0,
    0xff275cb4,
    0xff2961b4,
    0xff2462b2,
    0xff2d66c0,
    0xff2e67be,
    0xff2760b7,
    0xff265fb6,
    0xff255fb5,
    0xff2a62b8,
    0xff2760b6,
    0xff2e64be,
    0xff2b61bb,
    0xff295fba,
    0xff2f63be,
    0xff3263c0,
    0xff3063bf,
    0xff3166c0,
    0xff3068bd,
    0xff3269bd,
    0xff386abc,
    0xff3e6cb8,
    0xff436ebb,
    0xff446cba,
    0xff4a71be,
    0xff5176c1,
    0xff5479c2,
    0xff5277c0,
    0xff4f75bc,
    0xff5077be,
    0xff4d75bd,
    0xff446eb8,
    0xff406bb8,
    0xff406eba,
    0xff3b6ab8,
    0xff3a69b9,
    0xff3667b5,
    0xff3765b4,
    0xff3867b5,
    0xff406fbd,
    0xff4273c3,
    0xff4375c6,
    0xff376abe,
    0xff2b5eb4,
    0xff255bb3,
    0xff2154a5,
    0xff295cac,
    0xff2e5dae,
    0xff3764b2,
    0xff456eb6,
    0xff4e74b8,
    0xff5273b4,
    0xff6383c1,
    0xff6e8dc4,
    0xff6f8dc1,
    0xff7d97c8,
    0xff8399cc,
    0xff788fc5,
    0xff6479b4,
    0xff5b73b3,
    0xff5a74b6,
    0xff637cbb,
    0xff7082c1,
    0xff6e81c2,
    0xff6989cb,
    0xff6d93d6,
    0xff7288c4,
    0xff7b679c,
    0xff602c59,
    0xff6e4e73,
    0xffa27995,
    0xff550a1e,
    0xff68000b,
    0xff8a0916,
    0xffb04a58,
    0xff96687b,
    0xff5e3355,
    0xff5b1939,
    0xff630205,
    0xff69050a,
    0xff500c37,
    0xff7c528c,
    0xff562a4a,
    0xff2f000d,
    0xffa67c96,
    0xff5b3d53,
    0xff4c0f10,
    0xff550015,
    0xff56020c,
    0xff560802,
    0xff42090e,
    0xff360a0a,
    0xff47090c,
    0xff5c030b,
    0xff59030e,
    0xff64041b,
    0xff821e24,
    0xff6e0205,
    0xff6e0005,
    0xff640319,
    0xff571860,
    0xff4f3f8f,
    0xff355797,
    0xff2f5aa7,
    0xff255ab5,
    0xff3561b1,
    0xff131a4e,
    0xff352448,
    0xff734071,
    0xff600413,
    0xff8f0518,
    0xffa3030b,
    0xffa10c06,
    0xff930706,
    0xffab1227,
    0xff970419,
    0xff7b0000,
    0xff72000a,
    0xff7d000c,
    0xff9b0a19,
    0xffd03946,
    0xff9a0914,
    0xff780005,
    0xff660409,
    0xff510302,
    0xff550205,
    0xff55010f,
    0xff4c0218,
    0xff423465,
    0xff3460a6,
    0xff245ea7,
    0xff42589b,
    0xff683d5e,
    0xff7e3427,
    0xff761c27,
    0xff5e0014,
    0xff5e030b,
    0xff610201,
    0xff690206,
    0xff57030a,
    0xff470b07,
    0xff490d10,
    0xff4c0910,
    0xff520a10,
    0xff5a070c,
    0xff620303,
    0xff710408,
    0xff7f030d,
    0xff840117,
    0xff4f113f,
    0xff3d539f,
    0xff1956ab,
    0xff2053a6,
    0xff2258af,
    0xff2257aa,
    0xff3057a5,
    0xff3e51ae,
    0xff414fa2,
    0xff3251a0,
    0xff2d62ad,
    0xff215fac,
    0xff2660b5,
    0xff255bb5,
    0xff225bb6,
    0xff1e5eba,
    0xff1960b4,
    0xff225ab4,
    0xff2c59b8,
    0xff2956b6,
    0xff2e54ac,
    0xff4b5297,
    0xff673964,
    0xff791e39,
    0xff630415,
    0xff710413,
    0xff6e020e,
    0xff6a0710,
    0xff72040a,
    0xff7a0005,
    0xff821b23,
    0xff834453,
    0xff3f3e68,
    0xff3460a4,
    0xff1b5fab,
    0xff1e59b6,
    0xff1e60b1,
    0xff1a5c9e,
    0xff1e59ad,
    0xff205db2,
    0xff1a5ab2,
    0xff1b5fb0,
    0xff1d5cb2,
    0xff1c55b9,
    0xff1c59b4,
    0xff2658ad,
    0xff2658b0,
    0xff1a60b5,
    0xff1d5cb8,
    0xff1d5dae,
    0xff1c5cb2,
    0xff1a5ab3,
    0xff1c51ae,
    0xff3050a3,
    0xff2f5596,
    0xff1559ab,
    0xff1d58ac,
    0xff1952a7,
    0xff1b55a9,
    0xff1d58ac,
    0xff1e56ab,
    0xff1d5bae,
    0xff1b58ab,
    0xff1c58ac,
    0xff1f5ab1,
    0xff205db2,
    0xff225ab1,
    0xff235cb3,
    0xff215ab1,
    0xff225ab1,
    0xff205cb2,
    0xff1f5db2,
    0xff225cb7,
    0xff225db8,
    0xff215cb6,
    0xff245fb9,
    0xff235eb8,
    0xff215cb7,
    0xff225db7,
    0xff235eb8,
    0xff205fb6,
    0xff2563bb,
    0xff2361b8,
    0xff235fb7,
    0xff205bb5,
    0xff235bb6,
    0xff255eb8,
    0xff245db7,
    0xff2360b9,
    0xff225fb8,
    0xff215eb7,
    0xff205db6,
    0xff205eb5,
    0xff1d5db4,
    0xff1c5cb3,
    0xff1a5bb2,
    0xff1c58ad,
    0xff235eb6,
    0xff336fc6,
    0xff2d69c1,
    0xff235fb7,
    0xff225eb7,
    0xff205bb5,
    0xff1f5bb4,
    0xff1d5fb3,
    0xff1e5cb5,
    0xff205bb6,
    0xff1c5cb7,
    0xff1a5cb3,
    0xff1f57aa,
    0xff3353a6,
    0xff6372c1,
    0xff89699e,
    0xffa04e8a,
    0xffad5386,
    0xffc34358,
    0xffb72d35,
    0xffc63e52,
    0xffaf0413,
    0xffa20404,
    0xff9d0912,
    0xffb50907,
    0xffaa0000,
    0xffa61e41,
    0xff5b488e,
    0xff3c4491,
    0xff4a3a6a,
    0xff53485d,
    0xff75475d,
    0xffa3475e,
    0xff5e0029,
    0xff603f7d,
    0xff2d4691,
    0xff1f4ea6,
    0xff3a4d94,
    0xff704067,
    0xff83172f,
    0xff920810,
    0xff7e0010,
    0xff900112,
    0xff7d0003,
    0xff70001d,
    0xff601446,
    0xff4e2a69,
    0xff2d4b8f,
    0xff1e4994,
    0xff154d9a,
    0xff114da3,
    0xff114da6,
    0xff134aa4,
    0xff13499f,
    0xff184c9f,
    0xff144ca0,
    0xff154b9d,
    0xff114fa2,
    0xff1b4b95,
    0xff1b4b95,
    0xff0b4aa2,
    0xff134b9e,
    0xff134ea0,
    0xff184b93,
    0xff164f9f,
    0xff1a4da3,
    0xff23429e,
    0xff114296,
    0xff4e3a82,
    0xff600725,
    0xff740709,
    0xff800008,
    0xff86040b,
    0xff800110,
    0xff840d1c,
    0xff7e0504,
    0xff8b0507,
    0xff84000a,
    0xff86050b,
    0xff7c050d,
    0xff5c0d1f,
    0xff3f1534,
    0xff684172,
    0xff523a83,
    0xff294292,
    0xff1b4b8d,
    0xff4d5f93,
    0xffa99bb8,
    0xff2c4480,
    0xff1f4c97,
    0xff1a4b98,
    0xff124aa3,
    0xff11459d,
    0xff1a458f,
    0xff144b90,
    0xff114999,
    0xff0f469a,
    0xff124a9d,
    0xff0f479c,
    0xff0e4399,
    0xff114499,
    0xff124397,
    0xff144395,
    0xff0c489a,
    0xff094997,
    0xff0a458e,
    0xff0d4288,
    0xff134696,
    0xff0b459f,
    0xff1043a0,
    0xff1a4295,
    0xff243a73,
    0xff713e5d,
    0xffbb4553,
    0xffbe3d4d,
    0xffbe4650,
    0xff9b1d16,
    0xff960900,
    0xffa61418,
    0xffc72841,
    0xff880000,
    0xffaa2323,
    0xff9f1018,
    0xffb32d36,
    0xffbe536b,
    0xff924977,
    0xff7c447a,
    0xff6f3b6d,
    0xff842b30,
    0xffce482b,
    0xffc63008,
    0xffd24223,
    0xffa0150e,
    0xff990e0f,
    0xffc74730,
    0xffc7503a,
    0xffc95446,
    0xffb9564b,
    0xff904f4e,
    0xff625577,
    0xff254c80,
    0xff215795,
    0xff204fa4,
    0xff22539a,
    0xff265093,
    0xff344d98,
    0xff394689,
    0xff5a4a6c,
    0xff902e31,
    0xffb62015,
    0xffbf3220,
    0xffd1453c,
    0xffc33536,
    0xffcf323e,
    0xffd82c3c,
    0xffc3171f,
    0xffa20306,
    0xff980411,
    0xff920015,
    0xff880109,
    0xff86030c,
    0xff850510,
    0xff890511,
    0xff870c10,
    0xff79160e,
    0xff782114,
    0xff711a0e,
    0xff881212,
    0xff7c0703,
    0xff831004,
    0xff9e301f,
    0xff9e2e20,
    0xff820602,
    0xff8d0408,
    0xff990410,
    0xff970008,
    0xff9e0004,
    0xffad040b,
    0xffbc1317,
    0xffb10809,
    0xffbd1b16,
    0xffcc3626,
    0xffbb2f18,
    0xffb03119,
    0xff3b0900,
    0xff141c13,
    0xff14160f,
    0xff181508,
    0xff0c1f0b,
    0xff121409,
    0xff480e15,
    0xff840d1a,
    0xff970308,
    0xff9a0012,
    0xff8e0019,
    0xff90040a,
    0xffa60910,
    0xff9c0011,
    0xff8e0a0e,
    0xff820f10,
    0xff79101a,
    0xff630e23,
    0xff321b2a,
    0xff0f3035,
    0xff0a2f36,
    0xff192a38,
    0xff10212f,
    0xff0b2635,
    0xff0b2939,
    0xff0f2b3d,
    0xff102c41,
    0xff0f2d45,
    0xff0d2b44,
    0xff0d2b45,
    0xff092942,
    0xff102f3e,
    0xff102e3e,
    0xff163242,
    0xff1a3643,
    0xff19363a,
    0xff1f3d35,
    0xff213e2a,
    0xff213f25,
    0xff203829,
    0xff233c2b,
    0xff2e4536,
    0xff2c4734,
    0xff2a4531,
    0xff2c4733,
    0xff284530,
    0xff2a4834,
    0xff2f4835,
    0xff2d4635,
    0xff294132,
    0xff244033,
    0xff223b31,
    0xff223e34,
    0xff274239,
    0xff213d34,
    0xff263f34,
    0xff233c31,
    0xff1d392f,
    0xff223d37,
    0xff28433a,
    0xff27463a,
    0xff2e4e3f,
    0xff2d4c3b,
    0xff385444,
    0xff395544,
    0xff39523f,
    0xff405841,
    0xff3b5439,
    0xff3d5538,
    0xff375333,
    0xff355030,
    0xff394e32,
    0xff3d5437,
    0xff3c5336,
    0xff40573a,
    0xff394d31,
    0xff3b4b2f,
    0xff3a4728,
    0xff3f4829,
    0xff3c4725,
    0xff36401f,
    0xff3e4422,
    0xff444e29,
    0xff49582d,
    0xff465628,
    0xff4a5224,
    0xff474d1f,
    0xff3f4c1e,
    0xff4a562a,
    0xff4a552f,
    0xff3f4725,
    0xff3d4125,
    0xff3a3d22,
    0xff3e3e21,
    0xff404124,
    0xff37351f,
    0xff332f19,
    0xff363217,
    0xff3f391c,
    0xff413c21,
    0xff38321e,
    0xff2e281a,
    0xff312a21,
    0xff3a343a,
    0xff847c88,
    0xff5f545b,
    0xff6e605a,
    0xff432c25,
    0xff4b2420,
    0xff5d2415,
    0xffab6846,
    0xff7d3c26,
    0xff5c110c,
    0xff733433,
    0xff714c3f,
    0xff69503c,
    0xff48211b,
    0xff441c1b,
    0xff351f17,
    0xff281e1d,
    0xff1b1204,
    0xff4e3526,
    0xff512f1d,
    0xff341d18,
    0xff4b2a0b,
    0xffecb43e,
    0xffeeb624,
    0xffa47f3d,
    0xffd9a979,
    0xffa16117,
    0xffa16402,
    0xffa76715,
    0xff532b02,
    0xff99918b,
    0xff9c817a,
    0xff270700,
    0xff8f5d2c,
    0xffd9b784,
    0xff8a6260,
    0xff4f1a03,
    0xff391402,
    0xff270600,
    0xffbc7d22,
    0xffb5750e,
    0xffb2650d,
    0xffb7701c,
    0xffa36000,
    0xffd3b284,
    0xff796460,
    0xff543f2f,
    0xffe2b970,
    0xffa78a3f,
    0xff4c2100,
    0xffc4792b,
    0xff924500,
    0xff966012,
    0xff805a22,
    0xffbd9f96,
    0xff71431b,
    0xff7c4702,
    0xffccb364,
    0xff715c05,
    0xff9c7012,
    0xffc59036,
    0xffc29c2c,
    0xffa87511,
    0xff722100,
    0xffeabd66,
    0xffc0ac98,
    0xff9f99a1,
    0xff988796,
    0xff150b07,
    0xff2e3330,
    0xff101300,
    0xffa79081,
    0xff3160be,
    0xff2960b1,
    0xff2862a8,
    0xff2963ac,
    0xff2c65be,
    0xff2d63be,
    0xff3b5e9e,
    0xff1c2c46,
    0xff1e1d32,
    0xff1b1f43,
    0xff41508c,
    0xff4060b0,
    0xff2759af,
    0xff1c57b1,
    0xff215ab4,
    0xff255bb4,
    0xff225cb1,
    0xff225cb0,
    0xff205bae,
    0xff245fb2,
    0xff255eb6,
    0xff215ab1,
    0xff1d56ad,
    0xff225bb2,
    0xff235bb2,
    0xff2458ad,
    0xff2a5caf,
    0xff265cae,
    0xff245eb8,
    0xff235cb4,
    0xff2b5baf,
    0xff365ca8,
    0xff122052,
    0xff3d62af,
    0xff2560b6,
    0xff2a63b6,
    0xff295eb4,
    0xff245eb1,
    0xff2362b0,
    0xff255db8,
    0xff265fb5,
    0xff2b66b9,
    0xff275eb3,
    0xff2860b7,
    0xff2e64bc,
    0xff2e65bd,
    0xff3668c1,
    0xff2f63bb,
    0xff2c62b9,
    0xff3161ba,
    0xff3463bc,
    0xff3666bf,
    0xff3163ba,
    0xff2c60b5,
    0xff376bbc,
    0xff406ebf,
    0xff3f68b1,
    0xff456cb4,
    0xff4f74bc,
    0xff5275bb,
    0xff5778be,
    0xff4f70b5,
    0xff5274b7,
    0xff5172b5,
    0xff4e73b7,
    0xff5176bd,
    0xff5076bc,
    0xff4d72ba,
    0xff466eb6,
    0xff4e78c1,
    0xff4a75be,
    0xff4976c2,
    0xff4873c0,
    0xff456fbe,
    0xff4170bb,
    0xff3463b1,
    0xff3465b5,
    0xff3467ba,
    0xff2f63b7,
    0xff285fb5,
    0xff3169ba,
    0xff3468ba,
    0xff3364b6,
    0xff3c6ab8,
    0xff426cb5,
    0xff4a70b6,
    0xff4f70b1,
    0xff4b6dab,
    0xff4b6caa,
    0xff5270ab,
    0xff6684bb,
    0xff7994c9,
    0xff758bbe,
    0xff809ace,
    0xff88a1d9,
    0xff7a94cd,
    0xff7f94c5,
    0xff829bc7,
    0xff839ec8,
    0xff7e93bf,
    0xff9693bf,
    0xff9a769a,
    0xff4a0219,
    0xff5b0009,
    0xff5a010f,
    0xff4d0007,
    0xff5f070e,
    0xff630409,
    0xff660007,
    0xff540014,
    0xff97768e,
    0xff67456a,
    0xff4c0c28,
    0xff64081e,
    0xff651233,
    0xff80538a,
    0xff57275c,
    0xff49000f,
    0xff5f0f18,
    0xffa97d8e,
    0xff562f3e,
    0xff4f0409,
    0xff680310,
    0xff7d1116,
    0xff7a110f,
    0xff5a050a,
    0xff4d0306,
    0xff59020c,
    0xff620011,
    0xff6c0010,
    0xff6b0017,
    0xff5f020a,
    0xff690613,
    0xff640311,
    0xff5c0e16,
    0xff6a2459,
    0xff544593,
    0xff3f5196,
    0xff3c4899,
    0xff3d54ae,
    0xff365ca9,
    0xff1f3772,
    0xff534673,
    0xff842955,
    0xff910009,
    0xff9b000a,
    0xffa6050b,
    0xffae0b0c,
    0xffb60e17,
    0xffad041e,
    0xff9c031a,
    0xff87020e,
    0xff931021,
    0xff9d1827,
    0xffe15f69,
    0xffd1545a,
    0xff7f090d,
    0xff6a0003,
    0xff68050d,
    0xff590005,
    0xff4d0100,
    0xff470315,
    0xff40001d,
    0xff45356a,
    0xff2f59a2,
    0xff27579f,
    0xff4e5282,
    0xff6e2a35,
    0xff7d2e1b,
    0xff8f303b,
    0xff700720,
    0xff630004,
    0xff690002,
    0xff6c000e,
    0xff620216,
    0xff4f080e,
    0xff43090e,
    0xff4e0810,
    0xff55040c,
    0xff5e050c,
    0xff600407,
    0xff620106,
    0xff670108,
    0xff730814,
    0xff52000d,
    0xff41346d,
    0xff2c5baf,
    0xff2056b3,
    0xff2359b9,
    0xff2059b4,
    0xff2455ab,
    0xff2153b1,
    0xff235bb8,
    0xff1d5eb6,
    0xff1a5eb1,
    0xff1f5dae,
    0xff265cb0,
    0xff2256b0,
    0xff1a5cb4,
    0xff125fb6,
    0xff185fb8,
    0xff185bb0,
    0xff1859ae,
    0xff185bb4,
    0xff1b5ab6,
    0xff2956aa,
    0xff404f90,
    0xff59477b,
    0xff5b1036,
    0xff640414,
    0xff670305,
    0xff65070b,
    0xff700310,
    0xff8f0e1e,
    0xff740a16,
    0xff551b26,
    0xff726592,
    0xff4864a2,
    0xff21509c,
    0xff1f4fab,
    0xff1f55a5,
    0xff205594,
    0xff2753a7,
    0xff1f53a9,
    0xff1a5bae,
    0xff135aa8,
    0xff1a5aae,
    0xff1a57b6,
    0xff1858b3,
    0xff23519e,
    0xff25529c,
    0xff0e58aa,
    0xff1557b4,
    0xff1957a2,
    0xff1d56a8,
    0xff1459b1,
    0xff1655b4,
    0xff5167b4,
    0xff304678,
    0xff1e62b5,
    0xff2862bc,
    0xff2f68c1,
    0xff235cb4,
    0xff265eb7,
    0xff235fb7,
    0xff235fb7,
    0xff2561b9,
    0xff2561b9,
    0xff2766bd,
    0xff2864bc,
    0xff2c65bf,
    0xff2c63bd,
    0xff2d65bc,
    0xff2c64bb,
    0xff2d66bc,
    0xff2c64bb,
    0xff2f68c1,
    0xff3069c2,
    0xff316ac4,
    0xff2e67c1,
    0xff2c65c0,
    0xff2a62bd,
    0xff2b63be,
    0xff2861bb,
    0xff2565bc,
    0xff2563ba,
    0xff2664bb,
    0xff2463b9,
    0xff255fba,
    0xff235eb9,
    0xff2860ba,
    0xff245cb6,
    0xff235eb8,
    0xff225fb8,
    0xff215db7,
    0xff215fb6,
    0xff1e5eb6,
    0xff1e5eb6,
    0xff1e5fb6,
    0xff1f5fb6,
    0xff215db0,
    0xff2563b5,
    0xff2763b7,
    0xff225fb2,
    0xff205cb0,
    0xff1e5ab0,
    0xff1d59b0,
    0xff1d58af,
    0xff2256a7,
    0xff2055a9,
    0xff1a54ad,
    0xff1953af,
    0xff1c55ae,
    0xff1b54aa,
    0xff1e59a6,
    0xff1a559d,
    0xff2d4592,
    0xff434299,
    0xff493d80,
    0xffb45965,
    0xffda4441,
    0xffa4031a,
    0xffb50017,
    0xffa5000c,
    0xffa40008,
    0xffaa0109,
    0xffa70000,
    0xffb8172e,
    0xff73396a,
    0xff5b3d70,
    0xffa45c6e,
    0xffdc8272,
    0xffb74836,
    0xffd22a28,
    0xff99020b,
    0xff620016,
    0xff895f90,
    0xff3f5fb1,
    0xff2a53a4,
    0xff6e4d83,
    0xff9c2b56,
    0xff991020,
    0xff84031b,
    0xff99001a,
    0xffb31a24,
    0xffa30a16,
    0xff7f0013,
    0xff6f1d51,
    0xff344b9a,
    0xff264fa1,
    0xff1b4fa3,
    0xff1652a9,
    0xff1652aa,
    0xff235ab2,
    0xff1f56a7,
    0xff1f54a2,
    0xff1e52a1,
    0xff1d519f,
    0xff154c9f,
    0xff6183c6,
    0xff244889,
    0xff1551a4,
    0xff164f9f,
    0xff1851a3,
    0xff195ba6,
    0xff1856a5,
    0xff13509d,
    0xff154d9a,
    0xff0d52a2,
    0xff3243a6,
    0xff592a77,
    0xff6f0418,
    0xff85000b,
    0xff7f0504,
    0xff830412,
    0xff8e0319,
    0xff940103,
    0xff890203,
    0xff830413,
    0xff990e18,
    0xff940e12,
    0xff910f13,
    0xff861112,
    0xff75090f,
    0xff751937,
    0xff623668,
    0xff3e447c,
    0xff2c3d6e,
    0xff999caf,
    0xff2a3574,
    0xff2a4395,
    0xff164892,
    0xff074c93,
    0xff0e4799,
    0xff134599,
    0xff0a4496,
    0xff0b4797,
    0xff0e4999,
    0xff0e4999,
    0xff0b4697,
    0xff0b4495,
    0xff0c4394,
    0xff104496,
    0xff0e4192,
    0xff114497,
    0xff0e4098,
    0xff133f95,
    0xff154391,
    0xff084593,
    0xff0d4b99,
    0xff1f377a,
    0xff493162,
    0xff953a62,
    0xffb0142e,
    0xffb10000,
    0xffad0000,
    0xffab0004,
    0xff9d000a,
    0xffae181b,
    0xffc10e17,
    0xffd12c41,
    0xffd2343d,
    0xffdb5c68,
    0xffb75063,
    0xffc87180,
    0xff563853,
    0xff243870,
    0xff283681,
    0xff363582,
    0xff5c2c45,
    0xff8d2f20,
    0xffbe432c,
    0xffb02015,
    0xff960006,
    0xff91000b,
    0xffbc3e2d,
    0xffc45e37,
    0xffc95e48,
    0xffb85a4c,
    0xff7a565c,
    0xff40507c,
    0xff194481,
    0xff1c4989,
    0xff294f93,
    0xff245593,
    0xff214a84,
    0xff2c488d,
    0xff284692,
    0xff37427a,
    0xff6f2b46,
    0xffcf4547,
    0xffdc4b3b,
    0xffd2473b,
    0xffc2483c,
    0xffcd4f48,
    0xffb51a19,
    0xffc11817,
    0xffa20705,
    0xff8d0407,
    0xff850311,
    0xff7f030a,
    0xff7b040c,
    0xff7c040f,
    0xff84030f,
    0xff880d13,
    0xff851b18,
    0xff71100a,
    0xff79120d,
    0xff770605,
    0xff8c1311,
    0xff8e0e0a,
    0xff961b12,
    0xffa53625,
    0xff922616,
    0xff88120c,
    0xff8f0b0d,
    0xff8a0608,
    0xffa81e1d,
    0xff9a0504,
    0xffa90609,
    0xffa90208,
    0xffae0d0d,
    0xffbe281c,
    0xffc4311e,
    0xffaf3b21,
    0xff330900,
    0xff0f190f,
    0xff101a10,
    0xff15180c,
    0xff0f180d,
    0xff0e1a10,
    0xff151a0f,
    0xff571525,
    0xff841119,
    0xff940113,
    0xff930119,
    0xff960307,
    0xffaf0b0b,
    0xffaf0214,
    0xff9a0112,
    0xff80030c,
    0xff7a0010,
    0xff751025,
    0xff3f1825,
    0xff0b2829,
    0xff022a2c,
    0xff122029,
    0xff122129,
    0xff0c2430,
    0xff0e2935,
    0xff0f2939,
    0xff122c40,
    0xff153145,
    0xff132e45,
    0xff142e46,
    0xff0e2c41,
    0xff0a293c,
    0xff0c293e,
    0xff0f2b42,
    0xff0f2d40,
    0xff112d38,
    0xff1e3c3c,
    0xff29483c,
    0xff2a4936,
    0xff2a4538,
    0xff254133,
    0xff233f2f,
    0xff2a4734,
    0xff294632,
    0xff274431,
    0xff213e2c,
    0xff274432,
    0xff27442b,
    0xff28442c,
    0xff223d2a,
    0xff25402e,
    0xff284435,
    0xff2b4638,
    0xff274737,
    0xff284834,
    0xff2b4630,
    0xff37533d,
    0xff385340,
    0xff365341,
    0xff2b473a,
    0xff2e4c40,
    0xff304e43,
    0xff355247,
    0xff365647,
    0xff385749,
    0xff355142,
    0xff395444,
    0xff38543e,
    0xff3d5841,
    0xff3c5a40,
    0xff415f43,
    0xff40583c,
    0xff42593f,
    0xff3d553c,
    0xff3c553a,
    0xff41573b,
    0xff425539,
    0xff405132,
    0xff415030,
    0xff414f29,
    0xff424d27,
    0xff4b522a,
    0xff495429,
    0xff475426,
    0xff4b5828,
    0xff535b29,
    0xff4f5323,
    0xff4d5922,
    0xff4e5825,
    0xff545d2f,
    0xff4f562b,
    0xff4c5128,
    0xff4a4f27,
    0xff4c4f26,
    0xff494a22,
    0xff45411a,
    0xff3d3912,
    0xff3c3711,
    0xff3e3912,
    0xff3b3513,
    0xff413b20,
    0xff332b17,
    0xff261f0e,
    0xff554f40,
    0xff746b66,
    0xff1b0a0a,
    0xff5e4845,
    0xff906f6f,
    0xff6a3838,
    0xff904c3b,
    0xffa1542e,
    0xff9a5643,
    0xffba5f56,
    0xff6a1410,
    0xffa3706c,
    0xff7f4c49,
    0xff641513,
    0xff6b1815,
    0xff4f1612,
    0xff351d1a,
    0xff1b0f07,
    0xff1c0d06,
    0xff4f4635,
    0xff322e19,
    0xff371c00,
    0xffd19740,
    0xffcc8221,
    0xffb79170,
    0xff865b3a,
    0xffbc7f23,
    0xffab6e00,
    0xffa86b21,
    0xff572e15,
    0xff938b92,
    0xffbaa8a6,
    0xff452c1b,
    0xffaa8460,
    0xff967751,
    0xffa0757e,
    0xff542203,
    0xff52390c,
    0xff45330d,
    0xffa66715,
    0xffac6a08,
    0xffa05809,
    0xff813b00,
    0xff9c570e,
    0xffc5a281,
    0xff5a4237,
    0xff584117,
    0xffdbb047,
    0xffd0a03e,
    0xff7d521d,
    0xff884a02,
    0xff935200,
    0xffc38b16,
    0xffbe9547,
    0xff97806f,
    0xff614414,
    0xff815c22,
    0xff9f9548,
    0xff8e8923,
    0xff977e08,
    0xffb99a1e,
    0xffbba522,
    0xffa97f15,
    0xff8c3a08,
    0xff8b4f14,
    0xffbb9f84,
    0xffb8b09e,
    0xff261418,
    0xff281d1b,
    0xff060f0d,
    0xff454d3b,
    0xff867674,
    0xff436ec7,
    0xff3770ba,
    0xff326db6,
    0xff396abc,
    0xff3667b6,
    0xff3570af,
    0xff3e6ca8,
    0xff4f65aa,
    0xff252b50,
    0xff1f1c37,
    0xff23213e,
    0xff4c5889,
    0xff4567b6,
    0xff2d61be,
    0xff3269c2,
    0xff2d5fad,
    0xff275eb0,
    0xff275fb2,
    0xff245eaf,
    0xff1f59aa,
    0xff215baf,
    0xff225cb0,
    0xff235db4,
    0xff265db4,
    0xff245db4,
    0xff235aaf,
    0xff245bb0,
    0xff1c5ab3,
    0xff1e5ebb,
    0xff1e5ab2,
    0xff2e5eab,
    0xff32559b,
    0xff0d255c,
    0xff2d58aa,
    0xff215eb5,
    0xff245daf,
    0xff285db5,
    0xff265fb5,
    0xff2260b2,
    0xff265eb7,
    0xff2663b8,
    0xff225ab2,
    0xff2860b7,
    0xff285eb3,
    0xff2a5eb4,
    0xff2d61b7,
    0xff2c60b4,
    0xff2b5fb3,
    0xff3267b8,
    0xff3767bb,
    0xff3563b8,
    0xff315cb0,
    0xff3a68b8,
    0xff3b6cba,
    0xff3b68b5,
    0xff4770bb,
    0xff567bbf,
    0xff678acf,
    0xff6686cc,
    0xff6685c8,
    0xff6886c9,
    0xff6887ca,
    0xff5d7fbf,
    0xff5b7dbe,
    0xff6184c8,
    0xff5b7ec2,
    0xff5f82c5,
    0xff5074b8,
    0xff4b70b5,
    0xff4c6fb6,
    0xff456baf,
    0xff4168ad,
    0xff4b75c0,
    0xff4975bf,
    0xff3a68b5,
    0xff3565b0,
    0xff3060ad,
    0xff2b5eb0,
    0xff2b5fb3,
    0xff275bb2,
    0xff2159ac,
    0xff295fb2,
    0xff3063b5,
    0xff3262b1,
    0xff426cb9,
    0xff557bc3,
    0xff4f74b8,
    0xff5477b7,
    0xff688bcb,
    0xff6888c9,
    0xff6784c2,
    0xff748fc6,
    0xff7994c2,
    0xff6a86b3,
    0xff5a74a8,
    0xff5f79af,
    0xff6e83b5,
    0xff7397c5,
    0xff80a4cd,
    0xff8684ae,
    0xff8b4d76,
    0xff8c2141,
    0xff750415,
    0xff670207,
    0xff68020a,
    0xff62020b,
    0xff66000c,
    0xff690211,
    0xff680014,
    0xff76273d,
    0xffb79aaf,
    0xff5f3758,
    0xff5b0b24,
    0xff5a2050,
    0xff7e589d,
    0xff8c5c99,
    0xff540928,
    0xff56030e,
    0xff7f434b,
    0xff80626d,
    0xff5c1c27,
    0xff630005,
    0xff830b0f,
    0xff880b09,
    0xff880808,
    0xff760909,
    0xff660a0a,
    0xff710f13,
    0xff520106,
    0xff5e000b,
    0xff5b0004,
    0xff5e0500,
    0xff640321,
    0xff662052,
    0xff4a1931,
    0xff6e2d50,
    0xff4e3571,
    0xff574986,
    0xff4f4a97,
    0xff3c3e93,
    0xff54519f,
    0xff342c67,
    0xff6a3f60,
    0xff830d1c,
    0xffaf0e1c,
    0xffb70712,
    0xffc00f1a,
    0xffb70f22,
    0xff9d000f,
    0xffa9091b,
    0xffa10d1f,
    0xff9d1b34,
    0xffb93748,
    0xffbe3b49,
    0xffab2a35,
    0xffa92e36,
    0xff87151b,
    0xff6f080e,
    0xff5a0007,
    0xff57000a,
    0xff4e0510,
    0xff3a1839,
    0xff251332,
    0xff435185,
    0xff2556ac,
    0xff3156ab,
    0xff574981,
    0xff80343c,
    0xff853c2d,
    0xff781a21,
    0xff73081a,
    0xff670405,
    0xff5f0404,
    0xff5d0411,
    0xff500414,
    0xff430a0b,
    0xff4b070c,
    0xff51060d,
    0xff59030d,
    0xff60030d,
    0xff5e020b,
    0xff60050e,
    0xff5d060d,
    0xff5b070a,
    0xff600804,
    0xff341431,
    0xff3359a1,
    0xff235abb,
    0xff215bb7,
    0xff1d5db1,
    0xff225bb1,
    0xff195fae,
    0xff1f5db2,
    0xff1a5ab0,
    0xff1a5bb4,
    0xff1d5cb7,
    0xff205ab6,
    0xff1e57af,
    0xff1b5cac,
    0xff185cab,
    0xff1c56b3,
    0xff1e59b0,
    0xff1c5aab,
    0xff1958ab,
    0xff1856af,
    0xff1e53ae,
    0xff2651a5,
    0xff31509b,
    0xff58336f,
    0xff4e0721,
    0xff5d080b,
    0xff5d070c,
    0xff5f000d,
    0xff710316,
    0xff6d192c,
    0xff532b47,
    0xff2b2856,
    0xff384a74,
    0xff556c87,
    0xff626c9b,
    0xff5a6b9b,
    0xff344b7c,
    0xff284c9d,
    0xff1654ae,
    0xff1750a0,
    0xff175ba7,
    0xff1854a3,
    0xff1c5bb5,
    0xff1354ae,
    0xff375da2,
    0xff3b5899,
    0xff195dae,
    0xff1d5eb9,
    0xff1e61ab,
    0xff295eb5,
    0xff2062b9,
    0xff1b5fbe,
    0xff4c67b7,
    0xff2f3e6a,
    0xff2c64b9,
    0xff2a64bf,
    0xff255eb8,
    0xff2a63bd,
    0xff2560bb,
    0xff235eb8,
    0xff245fb9,
    0xff255fba,
    0xff2560ba,
    0xff2361ba,
    0xff225eb8,
    0xff275fb8,
    0xff2961b8,
    0xff245ab0,
    0xff255baf,
    0xff285db2,
    0xff245bac,
    0xff265fb6,
    0xff255fb5,
    0xff265eb5,
    0xff225bb3,
    0xff245db5,
    0xff245db6,
    0xff265fb7,
    0xff215cb4,
    0xff1c5eb1,
    0xff1e5bb0,
    0xff1e5cb4,
    0xff1d5bb2,
    0xff1c58b0,
    0xff205db4,
    0xff205bb6,
    0xff1a56af,
    0xff1e57b0,
    0xff1b57af,
    0xff1957ae,
    0xff1956ae,
    0xff1557aa,
    0xff1856ab,
    0xff1856ab,
    0xff1856ab,
    0xff1552a4,
    0xff1552a2,
    0xff1653a4,
    0xff1653a6,
    0xff1855a8,
    0xff1956a8,
    0xff1755a7,
    0xff1553a6,
    0xff1853a1,
    0xff1a56a5,
    0xff1857aa,
    0xff1b54ad,
    0xff2254b0,
    0xff1e53ab,
    0xff1c5bad,
    0xff1961ad,
    0xff285aaa,
    0xff325096,
    0xff594f74,
    0xff9a2c22,
    0xffa30100,
    0xffa00a17,
    0xffbd1f29,
    0xffc62723,
    0xffbe1517,
    0xffa2000a,
    0xff890000,
    0xffd94b5c,
    0xffa55068,
    0xffd4867b,
    0xfff08950,
    0xffffaf69,
    0xffb33517,
    0xff9f0000,
    0xff930503,
    0xff8f0606,
    0xff6e0117,
    0xff574d81,
    0xff244e9e,
    0xff3c429e,
    0xff7d3475,
    0xff9c0e26,
    0xff86040e,
    0xffa10b25,
    0xffa90a1b,
    0xffc22d2b,
    0xffbb5257,
    0xff885b94,
    0xff314ba1,
    0xff264da3,
    0xff2153a7,
    0xff1e58ac,
    0xff1a55a8,
    0xff225aad,
    0xff2e65b6,
    0xff285fac,
    0xff295da8,
    0xff1e53a4,
    0xff1d51a6,
    0xff4d66a2,
    0xff415994,
    0xff1e55a4,
    0xff1950a0,
    0xff1d53a5,
    0xff1157ad,
    0xff1856ac,
    0xff15569e,
    0xff165099,
    0xff1e53a0,
    0xff2946ab,
    0xff394398,
    0xff682842,
    0xff780013,
    0xff7f0500,
    0xff880b09,
    0xff99001d,
    0xff97000c,
    0xff850702,
    0xff81030c,
    0xffa51b30,
    0xff8b050b,
    0xff960b16,
    0xff950d1a,
    0xff7c0e10,
    0xff6e1714,
    0xff6c0c1e,
    0xff7f2850,
    0xff5e3158,
    0xffa29094,
    0xff48547c,
    0xff1c408b,
    0xff124d94,
    0xff094e92,
    0xff0d4f95,
    0xff134696,
    0xff194398,
    0xff0b4596,
    0xff0b4797,
    0xff0a4595,
    0xff094392,
    0xff0a4392,
    0xff094392,
    0xff0c4491,
    0xff0a428e,
    0xff11458f,
    0xff0f439a,
    0xff11409b,
    0xff0f4295,
    0xff074494,
    0xff0c367b,
    0xff6a466c,
    0xffa63035,
    0xffa20507,
    0xffa9070f,
    0xffa1080b,
    0xff960400,
    0xff9e0005,
    0xff8c0000,
    0xffc73839,
    0xffd9322d,
    0xffcb4341,
    0xffd36368,
    0xff7b4d69,
    0xff3e2e53,
    0xffc29fbd,
    0xff383a66,
    0xff0f4688,
    0xff17438c,
    0xff1d3e8b,
    0xff39325a,
    0xff4d2636,
    0xff712c36,
    0xff700007,
    0xff90010e,
    0xff840109,
    0xffa23528,
    0xffab542b,
    0xffbc5846,
    0xffbd5e55,
    0xff866278,
    0xff2e3b7f,
    0xff203e90,
    0xff1d4992,
    0xff1c4687,
    0xff12437a,
    0xff1d427f,
    0xff263c80,
    0xff303977,
    0xff563b65,
    0xff7e2637,
    0xffb92e32,
    0xffcd3a34,
    0xffd1382b,
    0xffff8068,
    0xffdf6245,
    0xfff1634a,
    0xffd6432e,
    0xff8d0800,
    0xff8f0905,
    0xff930005,
    0xff85040b,
    0xff750b0f,
    0xff730f13,
    0xff7e0a13,
    0xff800007,
    0xff86080c,
    0xff851010,
    0xff7b0b0d,
    0xff7e120c,
    0xff8f1011,
    0xff9d060d,
    0xff910000,
    0xffa9271d,
    0xffa83926,
    0xff962e21,
    0xff982f23,
    0xff7e130a,
    0xffbb4f41,
    0xffc24439,
    0xffa00a0a,
    0xffa4010c,
    0xffaa0511,
    0xffad090c,
    0xffc71d18,
    0xffba251c,
    0xff790a0c,
    0xff58151b,
    0xff290e0a,
    0xff131c0d,
    0xff121f15,
    0xff1e1b10,
    0xff1c0b00,
    0xff520f07,
    0xff7e1104,
    0xff930202,
    0xff960010,
    0xff940209,
    0xff9b0202,
    0xff9b000d,
    0xff980521,
    0xff930818,
    0xff820712,
    0xff6b111a,
    0xff4e1c22,
    0xff282c2d,
    0xff162e31,
    0xff202c32,
    0xff102f2e,
    0xff162d33,
    0xff192f38,
    0xff162c37,
    0xff0f2733,
    0xff112837,
    0xff0d2633,
    0xff182f3d,
    0xff132c39,
    0xff0f2a39,
    0xff102a3b,
    0xff0e2a3f,
    0xff0c263b,
    0xff0e2837,
    0xff173237,
    0xff28453f,
    0xff274539,
    0xff203e37,
    0xff224038,
    0xff314f45,
    0xff325045,
    0xff2c4b3c,
    0xff214032,
    0xff244334,
    0xff264539,
    0xff2c4935,
    0xff2c4935,
    0xff294536,
    0xff274334,
    0xff274334,
    0xff274331,
    0xff22422f,
    0xff26462f,
    0xff304c34,
    0xff324e36,
    0xff325038,
    0xff3c5943,
    0xff395543,
    0xff365646,
    0xff345345,
    0xff36544a,
    0xff325241,
    0xff355344,
    0xff3a5648,
    0xff405c4e,
    0xff405c4c,
    0xff3b5947,
    0xff385842,
    0xff35553e,
    0xff5e715d,
    0xff364935,
    0xff455a46,
    0xff3c553d,
    0xff3c543a,
    0xff3e5438,
    0xff47593c,
    0xff475836,
    0xff4b5b34,
    0xff49552e,
    0xff475229,
    0xff4f5a2f,
    0xff4a5729,
    0xff445221,
    0xff4f5728,
    0xff545827,
    0xff525b26,
    0xff4e5722,
    0xff555c2a,
    0xff585e2e,
    0xff555c2c,
    0xff565927,
    0xff515522,
    0xff535623,
    0xff59591d,
    0xff5a5a1d,
    0xff5b591e,
    0xff5a531c,
    0xff59541f,
    0xff595225,
    0xff575329,
    0xff5c562e,
    0xff483f18,
    0xff8c7f64,
    0xff9d8f7c,
    0xff5a4a3d,
    0xff665051,
    0xff92727d,
    0xff5e3335,
    0xff5f301c,
    0xff8a6654,
    0xff905543,
    0xff9d6155,
    0xffa7817e,
    0xff6b3e3a,
    0xff994637,
    0xff7c1d05,
    0xff783115,
    0xff41230e,
    0xff1f1301,
    0xff120305,
    0xff241b24,
    0xff372e1e,
    0xff573e10,
    0xffb69053,
    0xff6b3316,
    0xffc9aaad,
    0xff9e8068,
    0xffa87615,
    0xffcf9630,
    0xff683100,
    0xff2b0500,
    0xff887f93,
    0xff9f9488,
    0xff563c15,
    0xffb89b54,
    0xffc8a65c,
    0xffae867a,
    0xff603020,
    0xff533220,
    0xff3f2f11,
    0xff976819,
    0xffa7500b,
    0xff853a00,
    0xff96642b,
    0xffb4854e,
    0xffc7aa9d,
    0xff5c3f37,
    0xff6a4a22,
    0xffd6a143,
    0xffa26211,
    0xffa57b57,
    0xff8c6026,
    0xffd6a030,
    0xffe1ab23,
    0xfff1c374,
    0xff836e61,
    0xffa18d67,
    0xffa28447,
    0xff97893d,
    0xff93872e,
    0xff907a00,
    0xffaa9409,
    0xffc2b423,
    0xffb69121,
    0xff5b1100,
    0xff895027,
    0xffd9baa9,
    0xff443820,
    0xff25180a,
    0xff272017,
    0xff252831,
    0xff0a1109,
    0xff473d3d,
    0xff4575ba,
    0xff3b6fb6,
    0xff3669b7,
    0xff3967ba,
    0xff4770b7,
    0xff5380b7,
    0xff4e78b9,
    0xff4a6dc1,
    0xff4d679b,
    0xff232f53,
    0xff1a1c35,
    0xff22264a,
    0xff435791,
    0xff3d63b1,
    0xff3061b2,
    0xff2b5faa,
    0xff2c61b3,
    0xff245bad,
    0xff245dae,
    0xff245eb0,
    0xff215bad,
    0xff235db1,
    0xff245cb0,
    0xff1f58af,
    0xff1b58b2,
    0xff1f58b1,
    0xff2059b3,
    0xff1d5bb5,
    0xff1d5db9,
    0xff245db6,
    0xff2b58a4,
    0xff2e4f91,
    0xff001a4e,
    0xff2959a8,
    0xff2966ba,
    0xff2861b2,
    0xff285db7,
    0xff275eb9,
    0xff2260b1,
    0xff2860b7,
    0xff2460b9,
    0xff2760b6,
    0xff2b62ba,
    0xff3065bb,
    0xff3264b9,
    0xff3163b8,
    0xff3265b9,
    0xff2e62b4,
    0xff2e62ae,
    0xff3765b1,
    0xff3b64b3,
    0xff416bb9,
    0xff3f6bb4,
    0xff406bb3,
    0xff476fb4,
    0xff5276bc,
    0xff5b7dc2,
    0xff5b7ec2,
    0xff5073b7,
    0xff4e6fb4,
    0xff4364a9,
    0xff4568ae,
    0xff3f65a9,
    0xff4268ac,
    0xff4167ab,
    0xff496cb0,
    0xff5474b7,
    0xff5979bc,
    0xff5072b5,
    0xff5677ba,
    0xff5e81c0,
    0xff5075b5,
    0xff3762af,
    0xff325cab,
    0xff3b69b6,
    0xff3d6db8,
    0xff3263b0,
    0xff2e61b2,
    0xff285db0,
    0xff3165b9,
    0xff275bb0,
    0xff2558ab,
    0xff2b5bad,
    0xff3664b2,
    0xff3c66b3,
    0xff4b71b7,
    0xff4a70b5,
    0xff5376b7,
    0xff5479b5,
    0xff4c6baa,
    0xff5773b2,
    0xff647db5,
    0xff778fbd,
    0xff859dc9,
    0xff839bce,
    0xff6e85bf,
    0xff6b82bb,
    0xff5f80bc,
    0xff5b74b0,
    0xff695388,
    0xff4a001a,
    0xff941231,
    0xff971931,
    0xff660012,
    0xff62050f,
    0xff62000c,
    0xff740013,
    0xff6e0011,
    0xff5c000b,
    0xffa56978,
    0xffa792a3,
    0xff411e3b,
    0xff543754,
    0xff6971a4,
    0xff6972ab,
    0xff6d3f65,
    0xff5e0714,
    0xff3f0000,
    0xff9f7980,
    0xff64474f,
    0xff570d17,
    0xff66000b,
    0xff780909,
    0xff780200,
    0xff800107,
    0xff790a0c,
    0xff630b09,
    0xff5b0201,
    0xff630406,
    0xff640205,
    0xff610000,
    0xff660200,
    0xff560014,
    0xff72305e,
    0xff56243d,
    0xff3b0223,
    0xff7a4c86,
    0xff733a72,
    0xff4a4684,
    0xff43519c,
    0xff4e306d,
    0xff662b4c,
    0xff6f111d,
    0xffb52421,
    0xffa50e1c,
    0xffa80213,
    0xffc0152a,
    0xffb91a31,
    0xff9f0719,
    0xffa60d19,
    0xff990417,
    0xff9f1533,
    0xffae323e,
    0xff981725,
    0xff9b1322,
    0xff8e0616,
    0xff86091a,
    0xff760c19,
    0xff550108,
    0xff490109,
    0xff4a0839,
    0xff5251a1,
    0xff344d98,
    0xff2e57a7,
    0xff1f54b3,
    0xff3151aa,
    0xff59558d,
    0xff6b3c4c,
    0xff661d1c,
    0xff932a32,
    0xff880812,
    0xff800c0b,
    0xff680505,
    0xff5f050e,
    0xff56060c,
    0xff530a08,
    0xff58030b,
    0xff55040a,
    0xff57060c,
    0xff59040b,
    0xff5d030d,
    0xff610612,
    0xff5b070f,
    0xff550709,
    0xff55020e,
    0xff3a1829,
    0xff3d619d,
    0xff2d59bc,
    0xff2c5caf,
    0xff195ea9,
    0xff1a58b3,
    0xff195cb1,
    0xff2253a4,
    0xff2554a8,
    0xff2455ac,
    0xff2056b0,
    0xff1a57af,
    0xff1958ae,
    0xff1e59ab,
    0xff2156aa,
    0xff1654ab,
    0xff1e53ab,
    0xff2552ab,
    0xff2252a9,
    0xff1c54a9,
    0xff1e58ad,
    0xff2253ab,
    0xff2950ab,
    0xff434790,
    0xff4c2a51,
    0xff4e0c1a,
    0xff590a1a,
    0xff5c0816,
    0xff55040d,
    0xff5c2540,
    0xff563e76,
    0xff395295,
    0xff244b8b,
    0xff2b4474,
    0xff232c59,
    0xff434e5f,
    0xff242f32,
    0xff536b95,
    0xff1f5398,
    0xff20509d,
    0xff1a58a1,
    0xff235aa8,
    0xff1a53af,
    0xff1d5db4,
    0xff415c9c,
    0xff36437e,
    0xff2560ae,
    0xff225fb2,
    0xff1863b4,
    0xff265ec1,
    0xff275fae,
    0xff1e64bb,
    0xff325ab2,
    0xff2f4171,
    0xff3859ad,
    0xff245cb7,
    0xff255eb8,
    0xff215eb7,
    0xff1e59b3,
    0xff205cb6,
    0xff1f5bb5,
    0xff1f5cb5,
    0xff1e5cb5,
    0xff2362b9,
    0xff205cb4,
    0xff245eb5,
    0xff295fb2,
    0xff3065b5,
    0xff396cbb,
    0xff3466b1,
    0xff3e70bb,
    0xff205aab,
    0xff1f59ac,
    0xff1e58aa,
    0xff1b55a8,
    0xff1a54a7,
    0xff1b55a9,
    0xff134ea1,
    0xff1851a7,
    0xff1653a9,
    0xff1553a8,
    0xff1654a9,
    0xff1654a9,
    0xff1452a7,
    0xff1753ab,
    0xff1753ab,
    0xff1754ac,
    0xff1b54ab,
    0xff1b54ab,
    0xff1854aa,
    0xff1755aa,
    0xff1856ac,
    0xff1856a8,
    0xff1956a9,
    0xff1956a9,
    0xff1c56a9,
    0xff1e56ac,
    0xff1e5aaf,
    0xff1d59af,
    0xff1b56ad,
    0xff1a59af,
    0xff1a58ae,
    0xff1756ad,
    0xff105aa9,
    0xff155aac,
    0xff1959ac,
    0xff1b55ac,
    0xff2358b0,
    0xff2256ad,
    0xff2657af,
    0xff2655ab,
    0xff31478d,
    0xff7f658a,
    0xffba6069,
    0xffdb4836,
    0xffe03a2e,
    0xffd4353e,
    0xffbd211c,
    0xffdb3f32,
    0xffcd3130,
    0xffc32127,
    0xffd75346,
    0xffc24249,
    0xff912d4d,
    0xffb45350,
    0xffbb5523,
    0xffcb633d,
    0xffcd4739,
    0xff920000,
    0xff9d0c0e,
    0xff990001,
    0xff8d030d,
    0xff6b2937,
    0xff564b79,
    0xff354a9f,
    0xff664792,
    0xff9c315c,
    0xff942a42,
    0xffab2346,
    0xffc43e62,
    0xffb4425e,
    0xff823c5e,
    0xff5859a0,
    0xff3d60b2,
    0xff3762b2,
    0xff2f63b0,
    0xff2059a7,
    0xff1c56a2,
    0xff1a50a0,
    0xff2059aa,
    0xff1a55a6,
    0xff154e97,
    0xff1a54a6,
    0xff10479f,
    0xff2f457f,
    0xff5a6fa6,
    0xff114996,
    0xff154da1,
    0xff1b50a4,
    0xff1b52a3,
    0xff1a54ac,
    0xff135d9d,
    0xff12559f,
    0xff1454a2,
    0xff114d95,
    0xff0e4d86,
    0xffb8a4cf,
    0xff6a0c21,
    0xff941916,
    0xff880400,
    0xff990012,
    0xff8d0011,
    0xff7e0608,
    0xff880009,
    0xff840815,
    0xff891c18,
    0xff891519,
    0xff880917,
    0xff820514,
    0xff7f0912,
    0xff8a0510,
    0xff8e0b1d,
    0xff801828,
    0xffab4c57,
    0xff58475f,
    0xff164877,
    0xff184e92,
    0xff1f4690,
    0xff164593,
    0xff0b4593,
    0xff0e4593,
    0xff0c4594,
    0xff0d4594,
    0xff0d4595,
    0xff0e4693,
    0xff0f4793,
    0xff0e4693,
    0xff104895,
    0xff0e4692,
    0xff0b478b,
    0xff064898,
    0xff084697,
    0xff0c4291,
    0xff0a4291,
    0xff1b3785,
    0xff69325f,
    0xff96080e,
    0xffa60000,
    0xff9c0209,
    0xff8d000a,
    0xff98050a,
    0xff9a0000,
    0xffb92421,
    0xffd2473d,
    0xffd74b3e,
    0xffcc5a55,
    0xff894a5c,
    0xff1e3264,
    0xff10336a,
    0xffc3b8da,
    0xff433c70,
    0xff173c87,
    0xff144482,
    0xff134588,
    0xff423964,
    0xff4e203c,
    0xff712f48,
    0xff78111d,
    0xff7f0003,
    0xff720000,
    0xffa7402f,
    0xffbe5b42,
    0xffa94a42,
    0xffbf5d50,
    0xff916075,
    0xff302c72,
    0xff263a86,
    0xff144183,
    0xff1e4171,
    0xff55445f,
    0xff674977,
    0xff532c61,
    0xff7a3859,
    0xff96212e,
    0xffab0d12,
    0xffbd1418,
    0xffc51b21,
    0xffa90f0a,
    0xffc03b23,
    0xffd5502d,
    0xffd84428,
    0xffd34637,
    0xff840704,
    0xffb62c30,
    0xffa6000e,
    0xff8a0208,
    0xff7c0b11,
    0xff781216,
    0xff7d0710,
    0xff8c020f,
    0xff8c010a,
    0xff85000a,
    0xff88000b,
    0xff950909,
    0xffac131d,
    0xffa0000f,
    0xff9c0007,
    0xffa51411,
    0xffa62a1a,
    0xff881e09,
    0xff92301d,
    0xff8d2214,
    0xff97301c,
    0xffb5422f,
    0xffa31110,
    0xff9b000b,
    0xff9f0014,
    0xffa8010f,
    0xffb7090e,
    0xffae0b0c,
    0xffa30613,
    0xff8c1d24,
    0xff4e2216,
    0xff241e12,
    0xff1d2117,
    0xff2b1306,
    0xff8d442e,
    0xffbb4731,
    0xffa61d06,
    0xffa10900,
    0xff99020c,
    0xff8e040d,
    0xff7e0000,
    0xffad311a,
    0xff95161a,
    0xff9c0b1b,
    0xff85080d,
    0xff6a100d,
    0xff5e191b,
    0xff3a2729,
    0xff1f3736,
    0xff26393f,
    0xff1a4340,
    0xff1a3536,
    0xff1a3237,
    0xff213a3f,
    0xff1a3038,
    0xff132932,
    0xff10272f,
    0xff0f262b,
    0xff10272c,
    0xff0d262b,
    0xff122831,
    0xff0f2832,
    0xff112835,
    0xff0f2730,
    0xff0e262c,
    0xff142d2c,
    0xff18342f,
    0xff1f3c3c,
    0xff22403f,
    0xff24433f,
    0xff2a4943,
    0xff294842,
    0xff31504a,
    0xff304f49,
    0xff2b4b45,
    0xff2d4b42,
    0xff2e4b44,
    0xff2f4d45,
    0xff2c4a45,
    0xff2e4841,
    0xff2f4b40,
    0xff2c4937,
    0xff314e3a,
    0xff34513d,
    0xff34523d,
    0xff35523c,
    0xff3c5943,
    0xff415e48,
    0xff3b5743,
    0xff365241,
    0xff395546,
    0xff3a5742,
    0xff3b5643,
    0xff3d5646,
    0xff3f584a,
    0xff3f5749,
    0xff365040,
    0xff3a5541,
    0xff37533f,
    0xff667260,
    0xff4f5b4a,
    0xff4a5b48,
    0xff42553f,
    0xff40543b,
    0xff44583d,
    0xff3f5335,
    0xff425334,
    0xff475733,
    0xff4e5a36,
    0xff4b562e,
    0xff4c592e,
    0xff4b5a2e,
    0xff4b582b,
    0xff50582c,
    0xff4f5227,
    0xff4b5123,
    0xff495021,
    0xff4f5125,
    0xff4e5123,
    0xff575a29,
    0xff575b29,
    0xff555924,
    0xff5a5f27,
    0xff616222,
    0xff60601f,
    0xff545313,
    0xff5d591a,
    0xff615d1f,
    0xff5f5b1e,
    0xff605a20,
    0xff605d24,
    0xff675e29,
    0xff55481d,
    0xff5b5025,
    0xff564e24,
    0xff6b644c,
    0xff5e5452,
    0xff867779,
    0xff4f3d34,
    0xff372d1d,
    0xff8c7b72,
    0xff7b6767,
    0xff7c6c74,
    0xff785d63,
    0xff815050,
    0xff8e5241,
    0xff8a4f31,
    0xff74482a,
    0xff341c01,
    0xff120000,
    0xff2e1f33,
    0xff362321,
    0xff654b28,
    0xff241b00,
    0xffa99a91,
    0xff35242a,
    0xffe8d9c8,
    0xff6f4501,
    0xff9c6430,
    0xff451500,
    0xff43261c,
    0xff847e91,
    0xffbab3a9,
    0xff4b3729,
    0xff674916,
    0xfff5cb86,
    0xffc0a287,
    0xff926d58,
    0xff60221b,
    0xff461e04,
    0xff8b671e,
    0xff7f3103,
    0xff9a5a15,
    0xff8d6820,
    0xffc09a65,
    0xffcfbab1,
    0xff4a312c,
    0xff63432c,
    0xff985e25,
    0xff9d5616,
    0xff896943,
    0xff99784e,
    0xffca9d44,
    0xffcb9326,
    0xffe8b67b,
    0xff6e5844,
    0xff856d41,
    0xffb18a48,
    0xff99771e,
    0xffbc9b30,
    0xffad8d0a,
    0xffa38906,
    0xffd1b93a,
    0xffb19012,
    0xffac772c,
    0xffa7825e,
    0xff6c514b,
    0xff403425,
    0xff473f33,
    0xff16120a,
    0xff36333d,
    0xffa2a49d,
    0xff231e1b,
    0xff3b70a8,
    0xff3e6bb7,
    0xff426ec0,
    0xff4272b9,
    0xff507bb9,
    0xff536fb7,
    0xff4b6db8,
    0xff366ab0,
    0xff295894,
    0xff436398,
    0xff1f2c58,
    0xff1a1d43,
    0xff1b254c,
    0xff2d477d,
    0xff3964af,
    0xff376bc4,
    0xff3265b7,
    0xff245aaa,
    0xff245bad,
    0xff265eb0,
    0xff245eb0,
    0xff235ab0,
    0xff255cb1,
    0xff2258ae,
    0xff1c5bb3,
    0xff1f5ab1,
    0xff2458ad,
    0xff2258af,
    0xff225ab5,
    0xff225db7,
    0xff275baf,
    0xff1f4a95,
    0xff1b386f,
    0xff3764b3,
    0xff215cb3,
    0xff2a62b4,
    0xff275cb7,
    0xff255fbb,
    0xff225fb1,
    0xff2860b8,
    0xff2762ba,
    0xff245cb5,
    0xff255cb4,
    0xff275bb1,
    0xff2e5fb5,
    0xff3265b6,
    0xff2e61b2,
    0xff3163b3,
    0xff3b6cb4,
    0xff4f7ec5,
    0xff537cc6,
    0xff4e75be,
    0xff4b73ba,
    0xff5077bb,
    0xff4f74b5,
    0xff5374b5,
    0xff4f74b9,
    0xff4368ad,
    0xff4367ad,
    0xff3e64aa,
    0xff3e64a9,
    0xff4267ae,
    0xff4b71b8,
    0xff436eb4,
    0xff5479bc,
    0xff5477bb,
    0xff4e6fb1,
    0xff5b79bc,
    0xff5977b7,
    0xff6383c4,
    0xff5f81c0,
    0xff4a6fad,
    0xff426db9,
    0xff3f6dba,
    0xff3c6ab6,
    0xff3d6dba,
    0xff4070bd,
    0xff3366b5,
    0xff2d60b1,
    0xff295db0,
    0xff295bad,
    0xff2b5cad,
    0xff2e5dad,
    0xff3e6ab9,
    0xff436ab7,
    0xff4b70b7,
    0xff496bb0,
    0xff5476b8,
    0xff6589be,
    0xff7191ca,
    0xff6c88c3,
    0xff7d95ca,
    0xff7f94c4,
    0xff7288b6,
    0xff6b80b8,
    0xff667ab7,
    0xff778dbf,
    0xff758fc6,
    0xff7b84be,
    0xffab8bb9,
    0xff55071f,
    0xff690007,
    0xff830a1c,
    0xff75001d,
    0xff61010a,
    0xff63040c,
    0xff6e020d,
    0xff68040c,
    0xff500002,
    0xffe0acb8,
    0xff6c6472,
    0xff5b4a6c,
    0xff9583be,
    0xff8c71ac,
    0xff794675,
    0xff400008,
    0xff5d0007,
    0xff731d28,
    0xffaf7b83,
    0xff513439,
    0xff3e030f,
    0xff560213,
    0xff5f0408,
    0xff71050c,
    0xff820412,
    0xff77000a,
    0xff67020c,
    0xff610006,
    0xff71010a,
    0xff74050c,
    0xff77030d,
    0xff670002,
    0xff59000b,
    0xff6a0f1e,
    0xff650717,
    0xff6a2456,
    0xff484f95,
    0xff744186,
    0xff513a7d,
    0xff53488d,
    0xff854572,
    0xff66141b,
    0xff741217,
    0xff7c020c,
    0xff8a030d,
    0xff8a0215,
    0xff85000f,
    0xffa40c1d,
    0xffba1e2b,
    0xffae1225,
    0xffad112f,
    0xffa00824,
    0xff990e1e,
    0xff900615,
    0xff980c1e,
    0xff840214,
    0xff770111,
    0xff750f1d,
    0xff600b13,
    0xff460108,
    0xff30223f,
    0xff3261b1,
    0xff295bb3,
    0xff2d4d98,
    0xff415192,
    0xff56527d,
    0xff3c2938,
    0xff5d342a,
    0xff76362d,
    0xff9a362f,
    0xffa5261e,
    0xff800300,
    0xff6c0405,
    0xff5f0009,
    0xff640110,
    0xff61000b,
    0xff65020e,
    0xff590409,
    0xff51080a,
    0xff4f0508,
    0xff5b0710,
    0xff5e0311,
    0xff57010c,
    0xff530108,
    0xff560016,
    0xff3c1a28,
    0xff335691,
    0xff2750bb,
    0xff2251aa,
    0xff145da6,
    0xff1e55b4,
    0xff2752aa,
    0xff3355a8,
    0xff3753a4,
    0xff3752a1,
    0xff2e549e,
    0xff1f549e,
    0xff1d59a7,
    0xff2057b0,
    0xff1f50b1,
    0xff165faf,
    0xff1558ae,
    0xff1856ae,
    0xff1d59ad,
    0xff1d5cac,
    0xff1e5bab,
    0xff1b53a8,
    0xff2355ab,
    0xff294c9a,
    0xff433d70,
    0xff481735,
    0xff520822,
    0xff570b17,
    0xff490c0c,
    0xff472341,
    0xff433a84,
    0xff2a50a7,
    0xff215bac,
    0xff19589e,
    0xff2759a9,
    0xff28508e,
    0xff233354,
    0xff282954,
    0xff59689a,
    0xff597cc5,
    0xff25579f,
    0xff1d4b96,
    0xff1c54ac,
    0xff1753ac,
    0xff5161a1,
    0xff353770,
    0xff2958a7,
    0xff275caa,
    0xff0d62b9,
    0xff1958c4,
    0xff26559f,
    0xff1b5ead,
    0xff1e57b6,
    0xff31487f,
    0xff3d4c9c,
    0xff1d56ac,
    0xff1d58ae,
    0xff1d58ae,
    0xff1e5ab1,
    0xff1c59af,
    0xff1d59b0,
    0xff1a5aae,
    0xff1b59ad,
    0xff1859ad,
    0xff1957aa,
    0xff1e58ab,
    0xff1f56a6,
    0xff2e62ae,
    0xff4174bd,
    0xff3665ac,
    0xff285a9f,
    0xff1f58a7,
    0xff1f58a7,
    0xff2058a9,
    0xff2059aa,
    0xff1951a3,
    0xff184fa2,
    0xff1c54a7,
    0xff1951a3,
    0xff1452a5,
    0xff1553a6,
    0xff1755a8,
    0xff1654a9,
    0xff114fa4,
    0xff1453a8,
    0xff1453a7,
    0xff1655aa,
    0xff1a51a8,
    0xff1952a9,
    0xff1955aa,
    0xff1756a8,
    0xff1856a9,
    0xff1856a9,
    0xff1a56a9,
    0xff1c55a7,
    0xff1d56ae,
    0xff1a53ad,
    0xff1956ae,
    0xff1a56af,
    0xff1854ad,
    0xff1755ae,
    0xff1754ad,
    0xff1755ad,
    0xff1555ad,
    0xff1c52ad,
    0xff2052ad,
    0xff1c55ac,
    0xff1658a7,
    0xff1255a3,
    0xff1e54aa,
    0xff2952a7,
    0xff40536e,
    0xff9c5f51,
    0xffca4628,
    0xffb02a00,
    0xffa11800,
    0xffbf1b13,
    0xffbf1804,
    0xffbd2812,
    0xffd64f2d,
    0xffd94a25,
    0xffff9b58,
    0xff942b0a,
    0xff873659,
    0xff994d75,
    0xff913349,
    0xffa02c50,
    0xffbe4c4c,
    0xffa91419,
    0xff990000,
    0xff9d020c,
    0xff900412,
    0xff9c161a,
    0xff8f1c31,
    0xff5f427c,
    0xff33509a,
    0xff483a7c,
    0xff6a4578,
    0xff963760,
    0xff8d3e64,
    0xff83467c,
    0xff6d4279,
    0xff435b96,
    0xff345ca7,
    0xff3462ab,
    0xff356aae,
    0xff1e589e,
    0xff1d559f,
    0xff1f56a5,
    0xff215aac,
    0xff245eb3,
    0xff1c59a2,
    0xff1653a7,
    0xff2158b1,
    0xff2e4582,
    0xff7186bd,
    0xff174d9b,
    0xff154fa4,
    0xff1c53a8,
    0xff18529a,
    0xff124fa4,
    0xff1a519f,
    0xff2049ab,
    0xff1b4caf,
    0xff185996,
    0xff074c84,
    0xff9d91da,
    0xffa46071,
    0xff80030d,
    0xff8b0403,
    0xff930004,
    0xff87070e,
    0xff800914,
    0xff970011,
    0xff841210,
    0xff7b1416,
    0xff740d06,
    0xff9f2e24,
    0xffa11217,
    0xffa00010,
    0xff8f000c,
    0xff800004,
    0xff8f010c,
    0xff7f0615,
    0xff681931,
    0xff614775,
    0xff2b3a77,
    0xff1b4586,
    0xff0c4b8f,
    0xff0a4b99,
    0xff0b4596,
    0xff0b4192,
    0xff0c4191,
    0xff0d4190,
    0xff0d4290,
    0xff0d4190,
    0xff0c418f,
    0xff0c4391,
    0xff0b428f,
    0xff10438f,
    0xff094496,
    0xff094591,
    0xff114487,
    0xff0d4391,
    0xff133f98,
    0xff443478,
    0xff7c1e3b,
    0xff9a0519,
    0xffa10016,
    0xff99000a,
    0xff8f0000,
    0xffbc190e,
    0xffd94637,
    0xffca5344,
    0xffc24841,
    0xffc14d5e,
    0xff591d49,
    0xff2d3180,
    0xff13296d,
    0xff9b97b3,
    0xff42406d,
    0xff15347d,
    0xff0e407c,
    0xff0f3f80,
    0xff7a4f79,
    0xff892135,
    0xffd26070,
    0xff991d20,
    0xff8d0c05,
    0xffac3127,
    0xffdc5e4a,
    0xffc85842,
    0xffaa4d3b,
    0xffac5132,
    0xffa05e5c,
    0xff5a3a60,
    0xff453c66,
    0xff2a385c,
    0xff413047,
    0xffbf6e56,
    0xffca635e,
    0xff811215,
    0xffa92d25,
    0xffb81f1b,
    0xffbc1820,
    0xffbb1d26,
    0xffbb0e17,
    0xffcd1a2e,
    0xffe24e46,
    0xffcc4829,
    0xffd74432,
    0xffc03235,
    0xff640004,
    0xff8e353c,
    0xffffaeb1,
    0xff8e050b,
    0xff83050c,
    0xff7e020e,
    0xff880513,
    0xff89000d,
    0xff87000a,
    0xff950311,
    0xffab081b,
    0xffb50a12,
    0xffa70411,
    0xff99030e,
    0xff930006,
    0xffa00f0c,
    0xffb02117,
    0xffa31f12,
    0xff95190d,
    0xff94160d,
    0xff941f0d,
    0xff9b1f10,
    0xff9f0e10,
    0xff98000e,
    0xff960115,
    0xff980311,
    0xffa4010b,
    0xffa60b0c,
    0xffa9151a,
    0xff671408,
    0xff3a1300,
    0xff521615,
    0xff490811,
    0xff5b120c,
    0xff9d2412,
    0xff9e0c07,
    0xffa20d09,
    0xffa8110e,
    0xff960611,
    0xff820007,
    0xffc34f1c,
    0xffffa754,
    0xffab2e00,
    0xff9a0c10,
    0xffa42222,
    0xff7b140d,
    0xff6a1213,
    0xff422828,
    0xff203f3d,
    0xff1e3a42,
    0xff1e3f45,
    0xff1d3a3b,
    0xff233e41,
    0xff213d41,
    0xff1a3538,
    0xff142e31,
    0xff0f272a,
    0xff132a2d,
    0xff122a2b,
    0xff132726,
    0xff142829,
    0xff0f2427,
    0xff10242a,
    0xff0d252a,
    0xff12292d,
    0xff213a3b,
    0xff1f3938,
    0xff153335,
    0xff133131,
    0xff1f3d3d,
    0xff213f3e,
    0xff203e3d,
    0xff203e3e,
    0xff203d3e,
    0xff234041,
    0xff214040,
    0xff214040,
    0xff2a4649,
    0xff274343,
    0xff2e4a49,
    0xff36514a,
    0xff304c3e,
    0xff32503d,
    0xff395548,
    0xff395547,
    0xff365341,
    0xff3b5841,
    0xff446149,
    0xff39563e,
    0xff34513a,
    0xff3e5b45,
    0xff465e47,
    0xff485f49,
    0xff3e5340,
    0xff3c5241,
    0xff394f3f,
    0xff384e3e,
    0xff405847,
    0xff3a513c,
    0xff6d7664,
    0xff454d3a,
    0xff3d4934,
    0xff364732,
    0xff3c4e37,
    0xff404f34,
    0xff415135,
    0xff3e4d2e,
    0xff3d4c2b,
    0xff43522e,
    0xff45512b,
    0xff424e24,
    0xff445429,
    0xff465529,
    0xff475026,
    0xff4b4f28,
    0xff52542d,
    0xff51532d,
    0xff51522b,
    0xff515328,
    0xff4f5124,
    0xff545726,
    0xff565b26,
    0xff585d25,
    0xff60622c,
    0xff5a5a27,
    0xff67642f,
    0xff7a7540,
    0xff7c773e,
    0xff746f37,
    0xff6a672a,
    0xff6f6c2f,
    0xff514a18,
    0xff5e5522,
    0xff655b1f,
    0xff625f18,
    0xff625f28,
    0xff6b674d,
    0xff595146,
    0xff837769,
    0xff5b4c2b,
    0xff5f5c46,
    0xff7e7b74,
    0xff6c5e60,
    0xff876f78,
    0xff604e51,
    0xffa2887a,
    0xff805333,
    0xffa0573a,
    0xff956750,
    0xff240a02,
    0xff121013,
    0xff372d30,
    0xff584240,
    0xff57594b,
    0xff81846d,
    0xff191508,
    0xffa8a69b,
    0xff846143,
    0xff3a0401,
    0xff330c03,
    0xff150300,
    0xff74717f,
    0xff93908f,
    0xff9e9da3,
    0xff5a4139,
    0xff431100,
    0xffd3beab,
    0xff836639,
    0xff7a2706,
    0xff7b330f,
    0xff441402,
    0xff905e23,
    0xffb48227,
    0xff9b7012,
    0xff885814,
    0xffc2b09c,
    0xff413523,
    0xff725b46,
    0xff925934,
    0xff9d5f17,
    0xff987f42,
    0xff907449,
    0xffa07431,
    0xffbd8735,
    0xffeec18f,
    0xff5e4b1c,
    0xff997b30,
    0xffd1a542,
    0xfff8c358,
    0xffa16a00,
    0xff9b7100,
    0xffb89809,
    0xffc5aa18,
    0xffceaf1a,
    0xffffe584,
    0xff9d896b,
    0xff907f7d,
    0xff6e665f,
    0xff464245,
    0xff444042,
    0xff342d30,
    0xff615d4f,
    0xff5c5959,
    0xff3b68a7,
    0xff466fb2,
    0xff3861a2,
    0xff3c67a6,
    0xff3f66a7,
    0xff3b62a3,
    0xff456cb1,
    0xff436caf,
    0xff4576c0,
    0xff3568ae,
    0xff3a5c97,
    0xff26294e,
    0xff2b1e40,
    0xff2c3366,
    0xff3157a1,
    0xff285cb4,
    0xff2758b0,
    0xff2459b2,
    0xff1e59b4,
    0xff1e58b1,
    0xff225cb0,
    0xff255caf,
    0xff245ab0,
    0xff255bb4,
    0xff1e60b1,
    0xff1f5db2,
    0xff255bb1,
    0xff285bad,
    0xff2962ba,
    0xff1d5ab9,
    0xff2c63b1,
    0xff214a7f,
    0xff304689,
    0xff2b61b2,
    0xff265fc2,
    0xff2b55b8,
    0xff2f5faf,
    0xff2a63ab,
    0xff2260b3,
    0xff1a5dbe,
    0xff2a5ab4,
    0xff325eb4,
    0xff2d65b6,
    0xff3266b6,
    0xff4466b9,
    0xff3e6bb6,
    0xff396fb6,
    0xff4c6fb9,
    0xff486dad,
    0xff4574b0,
    0xff3d73b2,
    0xff3e70b1,
    0xff446db3,
    0xff3f65a9,
    0xff466eb0,
    0xff4571b0,
    0xff4970b0,
    0xff4869ac,
    0xff556fb6,
    0xff5076b4,
    0xff4f7eb7,
    0xff677dbe,
    0xff7080c4,
    0xff5d8dca,
    0xff5e76be,
    0xff4f76b5,
    0xff4f76b1,
    0xff647ebc,
    0xff637ab9,
    0xff4d72b0,
    0xff5078b8,
    0xff5779bd,
    0xff4f75b6,
    0xff4970b5,
    0xff466fb6,
    0xff3862af,
    0xff3463b2,
    0xff3261b1,
    0xff2e5fae,
    0xff2a5ba8,
    0xff2e5dad,
    0xff4371bd,
    0xff4e7ac0,
    0xff4c75b8,
    0xff4f77b8,
    0xff4c71b4,
    0xff4f72b5,
    0xff4f70b6,
    0xff607eb7,
    0xff5f7db5,
    0xff5f78b2,
    0xff526ba3,
    0xff5f75ac,
    0xff7289c0,
    0xff6c82b9,
    0xff778ec5,
    0xff7d8cbb,
    0xff6894b7,
    0xff7c91b1,
    0xff320021,
    0xff580015,
    0xff610109,
    0xff64020d,
    0xff5f0210,
    0xff58060d,
    0xff5e0208,
    0xff6d0307,
    0xff620004,
    0xff510717,
    0xfff4d0e2,
    0xff513e54,
    0xff6f506a,
    0xff814160,
    0xff883850,
    0xff893342,
    0xffb24f60,
    0xffd76c83,
    0xffd792a4,
    0xff7a5e64,
    0xff48262d,
    0xff490009,
    0xff600112,
    0xff6c0010,
    0xff69010c,
    0xff680007,
    0xff6f0006,
    0xff6d0307,
    0xff620303,
    0xff71010b,
    0xff880316,
    0xff750808,
    0xff650302,
    0xff66010b,
    0xff6e040b,
    0xff6a0115,
    0xff895081,
    0xff5d5299,
    0xff53467e,
    0xff5c395e,
    0xff72233f,
    0xff710e1b,
    0xff670d0d,
    0xff6f0f10,
    0xff810511,
    0xff911620,
    0xff840a14,
    0xff9b1829,
    0xff920416,
    0xff9a041d,
    0xffa1081f,
    0xffa10f23,
    0xffa21829,
    0xff8a1218,
    0xff8e101a,
    0xff820019,
    0xff7d0015,
    0xff810506,
    0xff7a0a0f,
    0xff630c25,
    0xff3b0b2b,
    0xff44518c,
    0xff2e49a4,
    0xff22489a,
    0xff7a89b6,
    0xff8b7c98,
    0xff2b2141,
    0xff2b2134,
    0xff471d16,
    0xff5a0c0f,
    0xff5a0e0a,
    0xff630205,
    0xff6c000e,
    0xff610309,
    0xff630304,
    0xff67000e,
    0xff5e0018,
    0xff60010a,
    0xff5c0211,
    0xff490812,
    0xff450a0b,
    0xff540503,
    0xff530706,
    0xff46070b,
    0xff4d0311,
    0xff58060c,
    0xff360b1d,
    0xff3f416c,
    0xff2d5699,
    0xff2b56aa,
    0xff2a56ab,
    0xff2c58a3,
    0xff494f97,
    0xff463766,
    0xff480d3e,
    0xff480d3a,
    0xff43365c,
    0xff44517b,
    0xff41467a,
    0xff3b4d92,
    0xff2259a6,
    0xff1458a9,
    0xff1d53b2,
    0xff1557ad,
    0xff0a5aa0,
    0xff1953a2,
    0xff1d4dac,
    0xff1a57af,
    0xff1857a0,
    0xff26509b,
    0xff364f8d,
    0xff3f3762,
    0xff47132b,
    0xff5a0a18,
    0xff4d0b1f,
    0xff3d2751,
    0xff304782,
    0xff1f55ab,
    0xff1c51aa,
    0xff2055ac,
    0xff1b54a7,
    0xff1b59a4,
    0xff20599c,
    0xff2a5796,
    0xff1c3e7d,
    0xff1e2c61,
    0xff5a5d7f,
    0xff6e81ab,
    0xff3a68b2,
    0xff264a9a,
    0xff575a92,
    0xff303e71,
    0xff1e59a4,
    0xff1952aa,
    0xff135ab1,
    0xff1157b8,
    0xff1d4ea5,
    0xff1555a7,
    0xff1251ac,
    0xff425697,
    0xff2e3b6b,
    0xff16539f,
    0xff1158a4,
    0xff1d4ba1,
    0xff1a4fa9,
    0xff1252b0,
    0xff164fae,
    0xff1358a9,
    0xff1d569d,
    0xff1952a6,
    0xff1852a8,
    0xff1953a7,
    0xff1d55a9,
    0xff1c54a7,
    0xff164ea0,
    0xff1953a3,
    0xff1b51a3,
    0xff1c5ba8,
    0xff1c58a5,
    0xff1a549e,
    0xff174f97,
    0xff467dc4,
    0xff4f85cf,
    0xff155099,
    0xff1955a2,
    0xff1957ab,
    0xff1553aa,
    0xff1554ac,
    0xff1654ac,
    0xff1855ac,
    0xff1b58ab,
    0xff1653a2,
    0xff1a56a4,
    0xff1d519f,
    0xff164e9d,
    0xff1954a6,
    0xff1553a6,
    0xff1654a9,
    0xff1754a7,
    0xff1a54a4,
    0xff1850a1,
    0xff1952ab,
    0xff1851aa,
    0xff1a53ad,
    0xff1a52a9,
    0xff1951a8,
    0xff1750a7,
    0xff1952aa,
    0xff1c55aa,
    0xff1d52a4,
    0xff1650a6,
    0xff1652a5,
    0xff1158b6,
    0xff1a55ad,
    0xff2150a5,
    0xff1951ac,
    0xff2a3e78,
    0xffcba983,
    0xffffbc58,
    0xffed750f,
    0xffe45c13,
    0xffd1440d,
    0xffb1180a,
    0xff9b0002,
    0xffb12100,
    0xffd14913,
    0xffe16125,
    0xffdc5d21,
    0xffd65640,
    0xff891a30,
    0xff972d4d,
    0xff9a2e47,
    0xffa13a59,
    0xffa2414e,
    0xffee7863,
    0xffb91f2a,
    0xff9d0700,
    0xff8f0700,
    0xff9e0215,
    0xffaa161d,
    0xff802832,
    0xff444067,
    0xff493b5e,
    0xff773847,
    0xffb7513c,
    0xffc85e3e,
    0xff7a1c19,
    0xff813e58,
    0xff533c5e,
    0xff374289,
    0xff2b438e,
    0xff224682,
    0xff2b5995,
    0xff16479b,
    0xff174ea3,
    0xff174f99,
    0xff164ca0,
    0xff0b4d99,
    0xff1a4b8b,
    0xff1d449e,
    0xff1d489d,
    0xff516195,
    0xff435b97,
    0xff0c4e9c,
    0xff1c4c9a,
    0xff0d52a6,
    0xff0d4fa2,
    0xff144aa9,
    0xff1b48a2,
    0xff175493,
    0xff0c519e,
    0xff13479b,
    0xff6372a1,
    0xffc998ab,
    0xff710d13,
    0xff810601,
    0xff940107,
    0xff90000c,
    0xff840506,
    0xff8c0305,
    0xff7d0309,
    0xff870316,
    0xff880013,
    0xff8b0411,
    0xff9b0906,
    0xff8d0707,
    0xff95181f,
    0xff8e0107,
    0xff8a0217,
    0xff8e1422,
    0xff830e1b,
    0xff690d23,
    0xff7b4669,
    0xff2e4486,
    0xff0d519d,
    0xff1b508a,
    0xff144d9b,
    0xff0c4b9b,
    0xff0c4c9b,
    0xff0f4498,
    0xff0f4699,
    0xff15449d,
    0xff0d479e,
    0xff024c9a,
    0xff124396,
    0xff193e92,
    0xff134497,
    0xff034a9a,
    0xff04418e,
    0xff164292,
    0xff113d92,
    0xff392f6d,
    0xff9f2a40,
    0xff9f0718,
    0xff9a0111,
    0xff9a0000,
    0xffb11e0a,
    0xffe04c38,
    0xffc2444c,
    0xff6e364d,
    0xff61365c,
    0xff7c3f6e,
    0xff5d3469,
    0xff413663,
    0xff1a3579,
    0xff7d90bc,
    0xff7f678b,
    0xff392e5a,
    0xff253975,
    0xff293a78,
    0xff4a2e67,
    0xff620c1f,
    0xff812032,
    0xff851413,
    0xffef7256,
    0xffcb5e55,
    0xffd05538,
    0xffc95d42,
    0xffa8473c,
    0xff954354,
    0xff8a435b,
    0xff814853,
    0xff7f475d,
    0xff775067,
    0xff99474f,
    0xffde6d47,
    0xffd46045,
    0xffc1312a,
    0xffd5403b,
    0xffc62b23,
    0xffd2352d,
    0xffce4a41,
    0xffd3494a,
    0xffdb464c,
    0xffd53930,
    0xffc7391c,
    0xffcc4753,
    0xff8c0619,
    0xff670e17,
    0xffdeb3a1,
    0xff8c310d,
    0xffa82306,
    0xff880003,
    0xff8d0407,
    0xff8d000e,
    0xff8c0010,
    0xff980213,
    0xffaa0520,
    0xffb2060b,
    0xffa60d10,
    0xffab1417,
    0xff9e0308,
    0xff980002,
    0xff950201,
    0xffa40e0c,
    0xffa50f0d,
    0xffa51c14,
    0xff930e0a,
    0xff95120f,
    0xff9d1f1f,
    0xffab2726,
    0xff9e090e,
    0xff900004,
    0xff870706,
    0xff8f0008,
    0xff970d0f,
    0xff9a1710,
    0xff4f0b08,
    0xff220c00,
    0xff8d2913,
    0xffc14a38,
    0xff911317,
    0xff980402,
    0xff9e0803,
    0xff9c0301,
    0xffa60e02,
    0xffa50f0e,
    0xff8c0000,
    0xffdc6316,
    0xffdc6a01,
    0xffaa2f06,
    0xff900c01,
    0xff922215,
    0xff751b13,
    0xff591719,
    0xff41262e,
    0xff1f2d35,
    0xff172f37,
    0xff182933,
    0xff0a2d2f,
    0xff1a2a3e,
    0xff1f2d44,
    0xff133336,
    0xff0f3431,
    0xff182b36,
    0xff19243a,
    0xff112536,
    0xff12303a,
    0xff1b2737,
    0xff1c243a,
    0xff0f2a34,
    0xff0b2f2f,
    0xff122b2b,
    0xff192b2c,
    0xff1e3434,
    0xff2a4237,
    0xff2b4338,
    0xff2d443e,
    0xff1b332f,
    0xff172e2c,
    0xff203636,
    0xff1c3432,
    0xff1b3332,
    0xff183634,
    0xff1a3735,
    0xff1f3837,
    0xff2b4142,
    0xff354c49,
    0xff2a4338,
    0xff344e3e,
    0xff2d4733,
    0xff2f4c39,
    0xff304e3a,
    0xff354e3a,
    0xff354d38,
    0xff354d39,
    0xff344c37,
    0xff3b533e,
    0xff3b543f,
    0xff384f3c,
    0xff3a513e,
    0xff395141,
    0xff314838,
    0xff324b3c,
    0xff395143,
    0xff3a5144,
    0xff3c4e43,
    0xff464f41,
    0xff6b7062,
    0xff3f4c3a,
    0xff40583f,
    0xff344f34,
    0xff3d4934,
    0xff424935,
    0xff434f3b,
    0xff445237,
    0xff45512c,
    0xff485327,
    0xff455324,
    0xff404e23,
    0xff4d582f,
    0xff4c4f29,
    0xff53522a,
    0xff535a2f,
    0xff535a2e,
    0xff4f562a,
    0xff53592b,
    0xff51582a,
    0xff535a2a,
    0xff565a28,
    0xff535726,
    0xff535826,
    0xff5f6533,
    0xff4f5426,
    0xff4f552a,
    0xff53582d,
    0xff4f542a,
    0xff4f5527,
    0xff4c5121,
    0xff585923,
    0xff54521f,
    0xff55521c,
    0xff5d571e,
    0xff5c561e,
    0xff65582f,
    0xff746250,
    0xff675352,
    0xff7d7869,
    0xff4f4c27,
    0xff605a3b,
    0xff695a5b,
    0xff96858e,
    0xff5b4f49,
    0xff847a6f,
    0xff948784,
    0xff3a200a,
    0xff4e2007,
    0xff916244,
    0xff3c250a,
    0xff000000,
    0xff5a5a60,
    0xff9fa18c,
    0xff1c190b,
    0xff241a0a,
    0xff878791,
    0xff7e7053,
    0xff441a0c,
    0xff5b3c2e,
    0xff312021,
    0xff908287,
    0xff9a9c8e,
    0xffb3b7b1,
    0xff6e584f,
    0xff290d02,
    0xffcab09f,
    0xff724322,
    0xff7d3b0b,
    0xff863c11,
    0xffa25027,
    0xff844d19,
    0xff834a17,
    0xffa06b13,
    0xff6e3900,
    0xffcab9b7,
    0xff3e2e1f,
    0xff705356,
    0xff997654,
    0xff4d1400,
    0xff925634,
    0xff946c53,
    0xff6f4a18,
    0xff7c4e06,
    0xffb29e83,
    0xff534e1c,
    0xffdeab62,
    0xffac8315,
    0xff9d7a00,
    0xfff8d439,
    0xfff7cd22,
    0xffeac217,
    0xffc0a700,
    0xffc0a716,
    0xffffe19d,
    0xff827167,
    0xffdcd6d3,
    0xff6b635c,
    0xff564653,
    0xff655663,
    0xff434240,
    0xff1d1d26,
    0xff444245,
    0xff476eb1,
    0xff4c73b6,
    0xff4b74b3,
    0xff5179b9,
    0xff527bbd,
    0xff527dc0,
    0xff4f7bbf,
    0xff4a75bc,
    0xff3a6bb7,
    0xff3462b0,
    0xff355ca4,
    0xff324782,
    0xff20244a,
    0xff282745,
    0xff343f6c,
    0xff365191,
    0xff295dae,
    0xff1f59ab,
    0xff1c5aac,
    0xff1c5dac,
    0xff1d5bab,
    0xff1f5aaa,
    0xff225fb4,
    0xff1d5db5,
    0xff205eb1,
    0xff225db2,
    0xff275ead,
    0xff2c61ac,
    0xff235cb5,
    0xff2461c3,
    0xff305baf,
    0xff253b76,
    0xff304e8c,
    0xff2560a0,
    0xff1f61ac,
    0xff2b5fb4,
    0xff3360b3,
    0xff3759ab,
    0xff3953a5,
    0xff2e55a5,
    0xff205cad,
    0xff2e5fb5,
    0xff3b66bb,
    0xff4269bc,
    0xff4268b8,
    0xff3868b2,
    0xff3b70b5,
    0xff3e68b1,
    0xff4662b0,
    0xff4f6db8,
    0xff5c7fc3,
    0xff6185c5,
    0xff577bb8,
    0xff597abc,
    0xff637ec4,
    0xff647cc6,
    0xff5377ba,
    0xff5a7fc5,
    0xff5a75c1,
    0xff526bb5,
    0xff5873b7,
    0xff6478bb,
    0xff6b83c2,
    0xff5d86c2,
    0xff637cba,
    0xff6488c1,
    0xff6b92c9,
    0xff7991cc,
    0xff6d84c2,
    0xff5678b7,
    0xff4c73b2,
    0xff486aae,
    0xff4870ae,
    0xff4f78ba,
    0xff436cb2,
    0xff3b66b2,
    0xff3160ae,
    0xff3768b5,
    0xff3363b0,
    0xff2357a2,
    0xff2958a5,
    0xff2d5ba7,
    0xff3864ad,
    0xff406bae,
    0xff3962a6,
    0xff4c73b8,
    0xff5a7fc6,
    0xff5579bf,
    0xff5476b3,
    0xff5f7fbb,
    0xff7391cf,
    0xff6781be,
    0xff677fbb,
    0xff6881bc,
    0xff6d86c0,
    0xff6c85be,
    0xff6b80c3,
    0xff5e7dbe,
    0xff6279b6,
    0xff745e91,
    0xff400018,
    0xff610110,
    0xff640209,
    0xff6a030d,
    0xff66000e,
    0xff670015,
    0xff5d001c,
    0xff7e325a,
    0xffad8aac,
    0xffcdc0d4,
    0xff4d262f,
    0xffa3525a,
    0xffa24d63,
    0xffc26677,
    0xffd1737c,
    0xffcd6171,
    0xffb34b62,
    0xffb07281,
    0xff6d464e,
    0xff5b1f29,
    0xff4e0009,
    0xff58030b,
    0xff5f090c,
    0xff5b0503,
    0xff660000,
    0xff810006,
    0xff830006,
    0xff750001,
    0xff7a0002,
    0xff85030e,
    0xff6d050b,
    0xff630007,
    0xff6a0007,
    0xff800507,
    0xff810314,
    0xff873f62,
    0xff6c5a8b,
    0xff705a82,
    0xff7d3e5e,
    0xff87112e,
    0xff860010,
    0xff7e060f,
    0xff7e070f,
    0xff940d1b,
    0xff720005,
    0xff7c070f,
    0xff7c000e,
    0xff960e20,
    0xff9a0c20,
    0xff9d0b20,
    0xffa01626,
    0xffb63240,
    0xffba3b43,
    0xffa72230,
    0xff981522,
    0xff8a0920,
    0xff840018,
    0xff7e0d15,
    0xff450110,
    0xff583d76,
    0xff254892,
    0xff6772ac,
    0xfffcf6ff,
    0xff504755,
    0xff25234b,
    0xff36508c,
    0xff3b4d81,
    0xff4e2c50,
    0xff7a2739,
    0xff5e080f,
    0xff66020b,
    0xff6e0416,
    0xff5c0009,
    0xff570604,
    0xff550608,
    0xff4f0815,
    0xff53070c,
    0xff54040e,
    0xff4a040e,
    0xff4a050a,
    0xff5d080d,
    0xff590a0d,
    0xff511011,
    0xff500810,
    0xff540118,
    0xff420e27,
    0xff433e6e,
    0xff32316e,
    0xff504178,
    0xff46396c,
    0xff4b3065,
    0xff4f143a,
    0xff550517,
    0xff6f000c,
    0xff72000b,
    0xff5f0112,
    0xff5a061c,
    0xff5d0520,
    0xff632247,
    0xff5a4972,
    0xff354f95,
    0xff214ba0,
    0xff1955ab,
    0xff1457a7,
    0xff1854a9,
    0xff1c4fb0,
    0xff1e54b0,
    0xff1658a6,
    0xff1a52a3,
    0xff264d99,
    0xff404d87,
    0xff4f3a65,
    0xff3f1638,
    0xff361742,
    0xff383c74,
    0xff2d549a,
    0xff1958a9,
    0xff1752a5,
    0xff1b53a8,
    0xff1b56a9,
    0xff1857a9,
    0xff1b58a6,
    0xff1e52a1,
    0xff2957a3,
    0xff29619d,
    0xff2d507d,
    0xff132f59,
    0xff2b527e,
    0xff627e98,
    0xffaeb5bf,
    0xff2d415f,
    0xff194e94,
    0xff1b4e9c,
    0xff1750a8,
    0xff144fa6,
    0xff1452a9,
    0xff1352ab,
    0xff1553aa,
    0xff235197,
    0xff1d2a5b,
    0xff3e5291,
    0xff09549d,
    0xff104fa6,
    0xff1a519b,
    0xff115598,
    0xff1550ab,
    0xff1650b4,
    0xff1c4fab,
    0xff1a53a6,
    0xff1953a5,
    0xff1952a4,
    0xff1b56a6,
    0xff1b56a5,
    0xff1b53a3,
    0xff1e57a6,
    0xff1b55a4,
    0xff1c5aaa,
    0xff1d59a7,
    0xff1c56a2,
    0xff2058a1,
    0xff1a509a,
    0xff174f99,
    0xff1955a0,
    0xff1956a3,
    0xff1855a4,
    0xff1552a4,
    0xff1552a6,
    0xff1651a5,
    0xff1b54a7,
    0xff1b55a6,
    0xff144d99,
    0xff164e99,
    0xff3b69b1,
    0xff4577c0,
    0xff376cb9,
    0xff1450a0,
    0xff1653a5,
    0xff1452a6,
    0xff1453a2,
    0xff1652a3,
    0xff1650a6,
    0xff1851a8,
    0xff1a53aa,
    0xff1a53aa,
    0xff1951a8,
    0xff1850a7,
    0xff1750a7,
    0xff1951a8,
    0xff1f4fae,
    0xff1852b6,
    0xff2050a4,
    0xff1d4f9f,
    0xff2053a6,
    0xff2355aa,
    0xff264186,
    0xff77535f,
    0xffc9753e,
    0xffbf6009,
    0xffd26707,
    0xfff5861e,
    0xffec740b,
    0xffdf5215,
    0xffb01006,
    0xffbe1c07,
    0xffd24712,
    0xfff8762e,
    0xffd53d12,
    0xff9f0000,
    0xffae0a1a,
    0xffa30015,
    0xffa20519,
    0xffa61e24,
    0xff90281c,
    0xffcf5e30,
    0xffc53a26,
    0xff9e0c00,
    0xff990600,
    0xff9f0610,
    0xffa11311,
    0xff8d1514,
    0xff892936,
    0xff9f463b,
    0xffbc4d31,
    0xfff06c44,
    0xffb93908,
    0xffe5643c,
    0xffa62a1d,
    0xffb95762,
    0xff57475f,
    0xff3f4664,
    0xff5b4a6b,
    0xff846791,
    0xff263873,
    0xff124988,
    0xff11478d,
    0xff0c489c,
    0xff07469d,
    0xff124a94,
    0xff0e4a9e,
    0xff0b499f,
    0xff24417e,
    0xff677bb8,
    0xff0b3d88,
    0xff134794,
    0xff124696,
    0xff19438f,
    0xff144694,
    0xff154397,
    0xff1f3f96,
    0xff14459b,
    0xff18448b,
    0xff4e477c,
    0xffe8bac6,
    0xff700609,
    0xff8e0a0a,
    0xff97020e,
    0xff930012,
    0xff8e010f,
    0xff98000f,
    0xff8d0016,
    0xff860005,
    0xff900304,
    0xff85000f,
    0xff8b000b,
    0xff8e030c,
    0xff9f1423,
    0xff90020c,
    0xff84061d,
    0xff760115,
    0xff890c24,
    0xff840e28,
    0xff65081c,
    0xff4a3669,
    0xff1a4ca3,
    0xff144f9f,
    0xff0d4a98,
    0xff154ba0,
    0xff114f9f,
    0xff124e9e,
    0xff1451a2,
    0xff184b9f,
    0xff1a4d9f,
    0xff135197,
    0xff264391,
    0xff1b53a9,
    0xff1a4ca7,
    0xff14489d,
    0xff174d98,
    0xff1b4288,
    0xff363e6b,
    0xff733d4b,
    0xff8f0e13,
    0xff930010,
    0xff90080a,
    0xffd55150,
    0xffb95d63,
    0xff814666,
    0xff532b66,
    0xff282e71,
    0xff1e3d81,
    0xff0c3c80,
    0xff282d77,
    0xff4c295f,
    0xff3b2c62,
    0xff5b4f5f,
    0xffca908e,
    0xff9c4f49,
    0xff944343,
    0xff86313a,
    0xff6b2b50,
    0xff521a37,
    0xff592143,
    0xff84374a,
    0xffd46558,
    0xffb03926,
    0xffc6512a,
    0xffdb6955,
    0xff994838,
    0xff705e6c,
    0xff2f3a5f,
    0xff293962,
    0xff33387c,
    0xff32335f,
    0xffac5949,
    0xffdb552a,
    0xffcb3b1d,
    0xffcc251a,
    0xffc01c11,
    0xffc22e15,
    0xffc4401e,
    0xffd56143,
    0xffcc5740,
    0xffbe4a23,
    0xffbe1c0c,
    0xffdb5c4f,
    0xff77354a,
    0xffe19dab,
    0xff5d0000,
    0xff8a3907,
    0xfffb8036,
    0xffef7240,
    0xff981010,
    0xffa1010c,
    0xffaf0010,
    0xffc01a2a,
    0xffb41a1c,
    0xff96020b,
    0xff920b09,
    0xff960002,
    0xff9f0a0c,
    0xffa20c0c,
    0xff960200,
    0xff980905,
    0xffa51510,
    0xff9c0d05,
    0xff980c03,
    0xff8e0201,
    0xff8d100c,
    0xff83100e,
    0xff9d2826,
    0xffa31e22,
    0xff95020a,
    0xff8d030b,
    0xff7f090f,
    0xff6b1511,
    0xff691a02,
    0xff5d1809,
    0xff6b2b15,
    0xffdf5c34,
    0xffa81100,
    0xff9b0209,
    0xff910a05,
    0xff9a0801,
    0xff9c0509,
    0xff980300,
    0xff990705,
    0xffa31610,
    0xffeb6e29,
    0xfff47c1f,
    0xffb33009,
    0xff891702,
    0xff831d0b,
    0xff601c0e,
    0xff3b2016,
    0xff202621,
    0xff172b2a,
    0xff132e2d,
    0xff112b2a,
    0xff102628,
    0xff142532,
    0xff102a38,
    0xff0c2f30,
    0xff0d2f30,
    0xff142935,
    0xff162b36,
    0xff0c2c2a,
    0xff132733,
    0xff152535,
    0xff172b3c,
    0xff112a38,
    0xff082a2f,
    0xff062725,
    0xff0e2121,
    0xff1b2227,
    0xff172827,
    0xff122621,
    0xff1b2f27,
    0xff2a3f32,
    0xff2b3f2e,
    0xff2a3f2a,
    0xff2c422b,
    0xff273d24,
    0xff2c4030,
    0xff2c4131,
    0xff203327,
    0xff182720,
    0xff1b2a22,
    0xff1e2c23,
    0xff27392d,
    0xff2f4133,
    0xff374e39,
    0xff344934,
    0xff30452e,
    0xff364a34,
    0xff394d37,
    0xff364935,
    0xff394c39,
    0xff3a4d3d,
    0xff38473b,
    0xff35483a,
    0xff384c3b,
    0xff3d513e,
    0xff3e4e3d,
    0xff394d3b,
    0xff365340,
    0xff30513c,
    0xff304431,
    0xff727e6c,
    0xff384630,
    0xff365033,
    0xff3a5436,
    0xff425238,
    0xff455139,
    0xff3a4a31,
    0xff40513d,
    0xff46553a,
    0xff44532f,
    0xff3e4f2a,
    0xff3e502d,
    0xff3e5131,
    0xff3b4a28,
    0xff444f2a,
    0xff454b20,
    0xff42491e,
    0xff4a5022,
    0xff515728,
    0xff5a5d2b,
    0xff5d612d,
    0xff5c5f2b,
    0xff5a5d28,
    0xff545922,
    0xff5c602b,
    0xff595e2a,
    0xff565a29,
    0xff535626,
    0xff595d2d,
    0xff535824,
    0xff545823,
    0xff545524,
    0xff585826,
    0xff54521f,
    0xff535319,
    0xff615b22,
    0xff58501f,
    0xff625735,
    0xff71624f,
    0xff675650,
    0xff897c75,
    0xff564f3d,
    0xff716e57,
    0xff645f56,
    0xff897e81,
    0xff5d4f51,
    0xffaf9e9f,
    0xff4a331b,
    0xff5f421e,
    0xff502e12,
    0xff553526,
    0xff48373e,
    0xffa09da4,
    0xff44442f,
    0xff443e29,
    0xff36401e,
    0xff6c706c,
    0xffb09382,
    0xff845130,
    0xff6f4d16,
    0xff554012,
    0xff674e46,
    0xffa999b5,
    0xffcac4e2,
    0xffc7a39e,
    0xff764827,
    0xffe1bea8,
    0xff754e46,
    0xff754d28,
    0xffd6aa58,
    0xffe7ab46,
    0xffac6f19,
    0xffeaab63,
    0xffad721b,
    0xff894c0d,
    0xffc5aca7,
    0xff45302c,
    0xff7e6a70,
    0xffd4c7a7,
    0xff94763d,
    0xff885b34,
    0xff806052,
    0xff806247,
    0xff623a00,
    0xffdec4b3,
    0xff57423a,
    0xff6f340f,
    0xff8e5b02,
    0xffae8513,
    0xffa67e04,
    0xffa17405,
    0xffb9870e,
    0xffe8c33b,
    0xffaf932c,
    0xff9d825b,
    0xff6a5439,
    0xffb3aba9,
    0xff272927,
    0xff403842,
    0xff504450,
    0xff3c3b3b,
    0xff3b3c43,
    0xff403f42,
    0xff567cbd,
    0xff5077b7,
    0xff4a70b4,
    0xff456fb1,
    0xff4573b6,
    0xff4170b6,
    0xff3565ac,
    0xff2b5ca6,
    0xff295ba7,
    0xff3964b9,
    0xff2b57b2,
    0xff2f5baf,
    0xff2f497c,
    0xff252639,
    0xff2b2335,
    0xff3a3c62,
    0xff315aa4,
    0xff2759a8,
    0xff2058a9,
    0xff205eaf,
    0xff1f5cad,
    0xff215fb0,
    0xff1d5bb0,
    0xff1e5db5,
    0xff245cb2,
    0xff2559b5,
    0xff265ab1,
    0xff265ea6,
    0xff2b599c,
    0xff495faa,
    0xff4d569c,
    0xff1e2a64,
    0xff3351a2,
    0xff285ea9,
    0xff255ea6,
    0xff31579f,
    0xff46529c,
    0xff6c60ac,
    0xff5a549d,
    0xff3f5f9e,
    0xff2866ac,
    0xff2c63b1,
    0xff3f63b9,
    0xff4c6bc0,
    0xff3969b5,
    0xff366cb1,
    0xff3364ae,
    0xff2c5ca9,
    0xff3761b6,
    0xff406bb9,
    0xff4067ad,
    0xff4268a6,
    0xff486fab,
    0xff456ba9,
    0xff456aac,
    0xff466bb3,
    0xff5271b5,
    0xff5369ab,
    0xff6d80be,
    0xff767db3,
    0xff867fb4,
    0xff7a78b0,
    0xff6b72b0,
    0xff747cc0,
    0xff748cc4,
    0xff6c90c5,
    0xff6287c0,
    0xff607dba,
    0xff637ebe,
    0xff5879b8,
    0xff496ead,
    0xff5477b9,
    0xff4d78b6,
    0xff4170b1,
    0xff3462a7,
    0xff27569e,
    0xff2c5ba6,
    0xff2d5fa7,
    0xff2d61aa,
    0xff356ab1,
    0xff3969b3,
    0xff3363b0,
    0xff3060ac,
    0xff3360ac,
    0xff3561aa,
    0xff3760a9,
    0xff3f66ab,
    0xff456cae,
    0xff446bab,
    0xff4e71b1,
    0xff5575b6,
    0xff607dbe,
    0xff657fbe,
    0xff6880be,
    0xff657bb7,
    0xff5e75b1,
    0xff5c79af,
    0xff6c7ebf,
    0xff5f7bbf,
    0xff6b7fba,
    0xff7a5d90,
    0xff58183e,
    0xff450013,
    0xff6d0c2f,
    0xff9b4f76,
    0xff7d4164,
    0xff8c5c7d,
    0xffb08cab,
    0xffa892a9,
    0xffbda7b3,
    0xff834d50,
    0xffb65b60,
    0xffce6576,
    0xffbe5762,
    0xff9e353e,
    0xff912334,
    0xff94354b,
    0xffb27f8b,
    0xff633239,
    0xff701724,
    0xff62000a,
    0xff68040b,
    0xff630201,
    0xff6b0000,
    0xff8d0504,
    0xffa6030c,
    0xffa1010d,
    0xff8d0008,
    0xff81010a,
    0xff840306,
    0xff710005,
    0xff70000b,
    0xff8b1212,
    0xff9f1314,
    0xff9d0b1b,
    0xff8b2638,
    0xff8f4769,
    0xff873e5b,
    0xff76132c,
    0xff820015,
    0xff910616,
    0xff730207,
    0xff700909,
    0xff6c0001,
    0xff75030d,
    0xff75010d,
    0xff77000a,
    0xff9a1929,
    0xffb02637,
    0xff920818,
    0xffaf2938,
    0xffac2d38,
    0xffa01522,
    0xffb92e3a,
    0xffb62f3b,
    0xff850015,
    0xff82001a,
    0xff770819,
    0xff582039,
    0xff45417b,
    0xffc0cbe3,
    0xffe8e5f3,
    0xff1c1b33,
    0xff2c3a76,
    0xff3b59b3,
    0xff2551a9,
    0xff2d4e90,
    0xff4c4681,
    0xff613b61,
    0xff470012,
    0xff69090e,
    0xff770e1a,
    0xff610213,
    0xff51050d,
    0xff4e0a0a,
    0xff530308,
    0xff49080e,
    0xff540b11,
    0xff500a10,
    0xff48070f,
    0xff530813,
    0xff580b11,
    0xff53080a,
    0xff5f090c,
    0xff5b0313,
    0xff3e102b,
    0xff46538b,
    0xff503e7a,
    0xff410211,
    0xff47070e,
    0xff5c041d,
    0xff6b020a,
    0xff6a0311,
    0xff6e0409,
    0xff670506,
    0xff5e030f,
    0xff660217,
    0xff6f0117,
    0xff63031c,
    0xff611b3a,
    0xff55376a,
    0xff425393,
    0xff254fa1,
    0xff2052ab,
    0xff1253a9,
    0xff174fac,
    0xff1e51b0,
    0xff1358ab,
    0xff1256ae,
    0xff1a51a8,
    0xff264b9b,
    0xff304489,
    0xff36447f,
    0xff344987,
    0xff294d9a,
    0xff1f53a7,
    0xff135ba7,
    0xff155aa8,
    0xff1857ab,
    0xff1954ac,
    0xff1755ad,
    0xff1a58b0,
    0xff1f5ab4,
    0xff2259b1,
    0xff144682,
    0xff213e7b,
    0xff4d5a9e,
    0xff3f4d8f,
    0xff2f3763,
    0xff35334c,
    0xff545674,
    0xff6d7eb0,
    0xff3e70a2,
    0xff154c8e,
    0xff1f5390,
    0xff15579f,
    0xff2056ae,
    0xff1e4ea4,
    0xff174ea4,
    0xff4c5599,
    0xff372454,
    0xff21579c,
    0xff1556b7,
    0xff1e57ae,
    0xff11589b,
    0xff1954a5,
    0xff1953ac,
    0xff185bad,
    0xff1856a5,
    0xff1856a5,
    0xff1755a5,
    0xff1d58a6,
    0xff1e58a6,
    0xff1c57a3,
    0xff1b56a1,
    0xff1a55a2,
    0xff1d5aab,
    0xff205bab,
    0xff1e57a6,
    0xff1e55a2,
    0xff205aa5,
    0xff1a56a1,
    0xff1a57a5,
    0xff1857a6,
    0xff15549f,
    0xff16509c,
    0xff16509f,
    0xff174fa1,
    0xff174d9e,
    0xff0f4794,
    0xff2960aa,
    0xff386eb5,
    0xff3e6aae,
    0xff1b498c,
    0xff13478f,
    0xff17519e,
    0xff1552a2,
    0xff1352a2,
    0xff1152a3,
    0xff1251a5,
    0xff1552a5,
    0xff1553a6,
    0xff1552a5,
    0xff1350a6,
    0xff1754aa,
    0xff1653a9,
    0xff1653a9,
    0xff1753a8,
    0xff1955a2,
    0xff0f5aa9,
    0xff1d5499,
    0xff1f4a9c,
    0xff264da1,
    0xff354072,
    0xff845b5c,
    0xffc55b36,
    0xffcf481c,
    0xffcb5708,
    0xffd16b03,
    0xffd7670c,
    0xffd3510b,
    0xffb42400,
    0xffbe1e0b,
    0xffb60c05,
    0xffe54720,
    0xffe25820,
    0xffd43f1f,
    0xffb50e10,
    0xffae0307,
    0xffb70407,
    0xffb50307,
    0xffa40901,
    0xffb32c1a,
    0xffd9501a,
    0xffe95b2b,
    0xffc72b19,
    0xffb10b09,
    0xff9b0103,
    0xff910201,
    0xff990502,
    0xffdf5143,
    0xffe36c33,
    0xffd65d1b,
    0xffc34317,
    0xffd35b2e,
    0xffe36834,
    0xffbc361f,
    0xff9c1e32,
    0xff8d2f3e,
    0xff954e5c,
    0xff9e4459,
    0xff873257,
    0xff4f467a,
    0xff184880,
    0xff1f4d91,
    0xff1f4599,
    0xff1547a3,
    0xff13489a,
    0xff08519c,
    0xff0b4e9e,
    0xff153f83,
    0xff6174ae,
    0xff263d80,
    0xff174993,
    0xff1e4b85,
    0xff1c4789,
    0xff074f95,
    0xff004da0,
    0xff1b43a4,
    0xff223b85,
    0xff40466f,
    0xff542c4e,
    0xfff6ccce,
    0xff610000,
    0xff92050d,
    0xff91000d,
    0xff86000c,
    0xff8b0010,
    0xff9a0017,
    0xff8a0016,
    0xff890307,
    0xff8d0000,
    0xff8a0511,
    0xff8d0419,
    0xff910013,
    0xff930113,
    0xff79000d,
    0xff682145,
    0xffd08ca9,
    0xff621525,
    0xff6f1529,
    0xff7e0d1b,
    0xff6d213a,
    0xff314885,
    0xff084a9c,
    0xff1552a9,
    0xff15469d,
    0xff0f4a9b,
    0xff0f4f9e,
    0xff0b529f,
    0xff1950a0,
    0xff20509a,
    0xff1f4a8b,
    0xff5b5da1,
    0xff424a71,
    0xff3b3f6d,
    0xff2f4573,
    0xff1b4c84,
    0xff244382,
    0xff825a76,
    0xffa73e39,
    0xffbd3e3e,
    0xffd04a40,
    0xffc05f55,
    0xff8c435b,
    0xff483269,
    0xff254080,
    0xff2c4588,
    0xff25418c,
    0xff2247a2,
    0xff144499,
    0xff17439c,
    0xff2b3375,
    0xff502867,
    0xffa13a47,
    0xffdb4325,
    0xffd54010,
    0xffce360c,
    0xffae1605,
    0xff9b1832,
    0xff730c2e,
    0xff711830,
    0xff6b213a,
    0xff702231,
    0xffa42f2b,
    0xffcf593f,
    0xffdb6b59,
    0xff873626,
    0xff645867,
    0xff203e65,
    0xff194473,
    0xff1b4898,
    0xff244175,
    0xffae5742,
    0xffc31e01,
    0xffca1805,
    0xffdc3126,
    0xffb71d09,
    0xffab2c0c,
    0xffa03209,
    0xffa62a0a,
    0xffc53f2c,
    0xffc6524b,
    0xffb63c4e,
    0xffb45963,
    0xfffff7ff,
    0xff815248,
    0xff450000,
    0xffa55740,
    0xffef7133,
    0xffb62a00,
    0xff980204,
    0xffad040e,
    0xffcd2128,
    0xffd73b37,
    0xffb72416,
    0xff990804,
    0xff941013,
    0xff9d090b,
    0xff9d0707,
    0xff970506,
    0xff960602,
    0xffa5130e,
    0xffa81b13,
    0xffa91d13,
    0xffa6160c,
    0xff9b0104,
    0xff890604,
    0xff810c09,
    0xff8a1b19,
    0xff8f2725,
    0xff88181b,
    0xff771517,
    0xff4a1f10,
    0xff3a1e10,
    0xff4a1a06,
    0xff7b151c,
    0xff931b22,
    0xff8a0800,
    0xff960200,
    0xffaa000b,
    0xff9b0206,
    0xff970100,
    0xffb61e2a,
    0xffaf1d1f,
    0xff920401,
    0xffab2217,
    0xffb02a00,
    0xffea6421,
    0xffb32806,
    0xff941002,
    0xff88160c,
    0xff69251a,
    0xff2f2516,
    0xff1a2c20,
    0xff1c2925,
    0xff1c2a24,
    0xff192f26,
    0xff1c332d,
    0xff142f2f,
    0xff132f31,
    0xff192e31,
    0xff1c2a34,
    0xff1e2636,
    0xff3e353c,
    0xff6a5147,
    0xff2d1e26,
    0xff18252c,
    0xff0f2630,
    0xff172333,
    0xff17202e,
    0xff122a2b,
    0xff0c2824,
    0xff142727,
    0xff17252c,
    0xff132223,
    0xff15251c,
    0xff20301c,
    0xff495d3d,
    0xff4a5c34,
    0xff4a5e31,
    0xff48592a,
    0xff485532,
    0xff3c492c,
    0xff364029,
    0xff242e1d,
    0xff1b2216,
    0xff131e14,
    0xff141e16,
    0xff1c281e,
    0xff21311c,
    0xff32422b,
    0xff394a30,
    0xff38482f,
    0xff314029,
    0xff33432f,
    0xff2b3d2c,
    0xff334439,
    0xff324137,
    0xff304538,
    0xff334c38,
    0xff364e37,
    0xff3e5138,
    0xff3f513c,
    0xff384e39,
    0xff36503a,
    0xff3a5340,
    0xff606a57,
    0xff515544,
    0xff3e4e34,
    0xff394b34,
    0xff3d4932,
    0xff424e34,
    0xff3c4f32,
    0xff41503c,
    0xff48573f,
    0xff465535,
    0xff425130,
    0xff455534,
    0xff485838,
    0xff455634,
    0xff41532f,
    0xff4d582f,
    0xff4c562c,
    0xff535a30,
    0xff53582a,
    0xff4b4f1e,
    0xff50511f,
    0xff585a25,
    0xff565822,
    0xff595c23,
    0xff5c5f26,
    0xff656830,
    0xff63662f,
    0xff5b5d25,
    0xff606229,
    0xff606429,
    0xff5f6128,
    0xff5c5e2d,
    0xff585a29,
    0xff595a27,
    0xff5a5923,
    0xff54541a,
    0xff5a5920,
    0xff595425,
    0xff5d5830,
    0xff715a4f,
    0xff614d59,
    0xff867f7b,
    0xff5d6047,
    0xff6d6e6c,
    0xff857f89,
    0xff5d5051,
    0xff8a7678,
    0xff775f4e,
    0xff57511d,
    0xff604f31,
    0xffa4817e,
    0xff957379,
    0xff786868,
    0xff78735a,
    0xff4a4028,
    0xff44461b,
    0xff464931,
    0xffc4b4b3,
    0xff442305,
    0xff9e7139,
    0xffb27b30,
    0xff895e26,
    0xff5d4f46,
    0xffeeebdc,
    0xff825d3f,
    0xff82562e,
    0xffac8e75,
    0xff775653,
    0xff8e6b5c,
    0xffbb9a5b,
    0xffca9937,
    0xffeaa239,
    0xffab610c,
    0xffd28c3e,
    0xffba7535,
    0xffb29284,
    0xff573f41,
    0xff91887e,
    0xffb2b991,
    0xff7a7345,
    0xffb5967a,
    0xff7f6352,
    0xff836c53,
    0xff9f8132,
    0xffa28856,
    0xff4e3711,
    0xffcb9d44,
    0xffb78616,
    0xffb48d0b,
    0xffbb9715,
    0xffa47702,
    0xffffd251,
    0xffb38914,
    0xffdbbd72,
    0xff5c481c,
    0xff816429,
    0xffc0b5b1,
    0xff97a1a2,
    0xff5e6263,
    0xff69626c,
    0xff2c2526,
    0xff141314,
    0xff2b2a29,
    0xff4f71b6,
    0xff4c71b6,
    0xff4b72b7,
    0xff4873b6,
    0xff3d6bb1,
    0xff2f61ab,
    0xff295da9,
    0xff2458a7,
    0xff295eae,
    0xff2254ab,
    0xff2056b5,
    0xff205ab3,
    0xff3763a4,
    0xff24365c,
    0xff23203b,
    0xff2e2849,
    0xff324381,
    0xff3956a0,
    0xff2957a9,
    0xff2158b1,
    0xff1f5bb6,
    0xff1e57b0,
    0xff2057ae,
    0xff2258ae,
    0xff2655ac,
    0xff284fb5,
    0xff2752b4,
    0xff2b5397,
    0xff595c84,
    0xff946989,
    0xff775378,
    0xff2e3259,
    0xff3b58a4,
    0xff3455a1,
    0xff4c5299,
    0xff7c548f,
    0xff96416f,
    0xff840e41,
    0xff913671,
    0xff715a92,
    0xff4a599d,
    0xff2e5fa2,
    0xff3060aa,
    0xff4161b3,
    0xff3565ac,
    0xff2a62a5,
    0xff3261aa,
    0xff3967b3,
    0xff3066b1,
    0xff3267b0,
    0xff3e6eb3,
    0xff4d72b9,
    0xff4e70b4,
    0xff4164a8,
    0xff335e9d,
    0xff3868a7,
    0xff5d6ea4,
    0xff9176ab,
    0xff8f5781,
    0xff8e405e,
    0xff822443,
    0xff8e5176,
    0xff7a74a4,
    0xff6a7bb6,
    0xff657cb1,
    0xff6382b7,
    0xff5074ae,
    0xff4b6eae,
    0xff5172b6,
    0xff5678bd,
    0xff5b7dc0,
    0xff5a7ebe,
    0xff4a7aba,
    0xff3b6bad,
    0xff3263a7,
    0xff2c5ba3,
    0xff295ba4,
    0xff275ba4,
    0xff2d62ab,
    0xff255ba0,
    0xff24569c,
    0xff3063ac,
    0xff2e5caa,
    0xff2e5dad,
    0xff2f5dad,
    0xff3864ad,
    0xff3662a5,
    0xff3c64a5,
    0xff476caa,
    0xff4d71af,
    0xff5171ad,
    0xff526fab,
    0xff6a83be,
    0xff6d83be,
    0xff6f83bc,
    0xff7489c0,
    0xff7d9bbf,
    0xff8598c5,
    0xff627fb2,
    0xff557fb5,
    0xff748ac4,
    0xff897db6,
    0xffb280af,
    0xffa7507f,
    0xff7b295b,
    0xff8b486f,
    0xff8c4d69,
    0xff7b364b,
    0xffa35a6a,
    0xffb36874,
    0xffd17883,
    0xffae4151,
    0xff8a101e,
    0xff770710,
    0xff760814,
    0xff6c0214,
    0xff853e51,
    0xff8a6c71,
    0xff5e2d31,
    0xff740b1a,
    0xff730513,
    0xff7b000c,
    0xff8b050b,
    0xff9c0c10,
    0xffaa0d10,
    0xffac030c,
    0xffa0030c,
    0xff870105,
    0xff880612,
    0xff8e060a,
    0xff770007,
    0xff77000c,
    0xff8e0001,
    0xff9f0108,
    0xff9c0117,
    0xff94101a,
    0xff981830,
    0xff861226,
    0xff680009,
    0xff70020d,
    0xff69070b,
    0xff580603,
    0xff570602,
    0xff6a080a,
    0xff7f0514,
    0xff7d0213,
    0xff931423,
    0xff9e192a,
    0xff9a0d1e,
    0xff9d1020,
    0xffa41d2c,
    0xffa4222b,
    0xffae2130,
    0xffa11521,
    0xff9f1628,
    0xff9e132a,
    0xff900713,
    0xff720018,
    0xff612a55,
    0xff8b90b4,
    0xff807584,
    0xff1a1d36,
    0xff32568a,
    0xff1a51a6,
    0xff1651af,
    0xff1b4b9e,
    0xff28509f,
    0xff2c4ca2,
    0xff374889,
    0xff330627,
    0xff590101,
    0xff7a1617,
    0xff650318,
    0xff480414,
    0xff460c0e,
    0xff4b0000,
    0xff44020c,
    0xff4b070a,
    0xff440b0a,
    0xff380d12,
    0xff360712,
    0xff49080f,
    0xff5f0d11,
    0xff6c0d15,
    0xff71131a,
    0xff371130,
    0xff3d4d8a,
    0xff483365,
    0xff5d0807,
    0xff6a0700,
    0xff6f050d,
    0xff710002,
    0xff750110,
    0xff6d0408,
    0xff670809,
    0xff660413,
    0xff6e0417,
    0xff70020f,
    0xff6f000c,
    0xff71001a,
    0xff570922,
    0xff452a56,
    0xff36488d,
    0xff2750a8,
    0xff1955ac,
    0xff1652aa,
    0xff1a52aa,
    0xff1354ab,
    0xff0f52aa,
    0xff1550ab,
    0xff1e51ab,
    0xff1c4fa1,
    0xff1b519d,
    0xff1a55a1,
    0xff1953a7,
    0xff1b53b1,
    0xff125aa7,
    0xff175cab,
    0xff1b5aaf,
    0xff1d59b2,
    0xff1d58b4,
    0xff1b58b4,
    0xff1957b2,
    0xff1956af,
    0xff365c94,
    0xff24386b,
    0xff292d55,
    0xff4a4a6a,
    0xff737895,
    0xff3a4866,
    0xff323f64,
    0xff1e274f,
    0xff515a78,
    0xff7e8db8,
    0xff6885b4,
    0xff2a5c9c,
    0xff164b99,
    0xff1e54a0,
    0xff2259a3,
    0xff375491,
    0xff282646,
    0xff34588b,
    0xff184fa0,
    0xff1552ac,
    0xff1652a2,
    0xff2454a2,
    0xff1d51a7,
    0xff0f54ac,
    0xff1455a5,
    0xff1652a3,
    0xff1552a1,
    0xff1754a4,
    0xff1554a1,
    0xff16519f,
    0xff15509e,
    0xff1954a1,
    0xff144ea0,
    0xff154fa1,
    0xff1750a1,
    0xff1b54a3,
    0xff1751a0,
    0xff1855a2,
    0xff1351a2,
    0xff1153a1,
    0xff12529a,
    0xff12519b,
    0xff13519b,
    0xff134f9d,
    0xff0e4897,
    0xff144c9a,
    0xff2c64ae,
    0xff124892,
    0xff14478e,
    0xff154993,
    0xff164e99,
    0xff114b99,
    0xff1251a0,
    0xff1352a1,
    0xff1352a0,
    0xff1151a0,
    0xff124fa0,
    0xff1552a3,
    0xff1350a1,
    0xff1653a4,
    0xff1452a4,
    0xff1653a6,
    0xff1553a5,
    0xff1654a5,
    0xff0e57a1,
    0xff0c5bb1,
    0xff1f56aa,
    0xff2c4e9d,
    0xff3a3a7d,
    0xffab607c,
    0xffa81e14,
    0xffc12210,
    0xffd13a11,
    0xffd75801,
    0xfff57c14,
    0xffd13e11,
    0xff990005,
    0xffa40c06,
    0xffce381c,
    0xffae0c05,
    0xffbc1805,
    0xffb11c06,
    0xffa60c00,
    0xffc1110e,
    0xffb60309,
    0xffb50801,
    0xffc83422,
    0xfffd8d81,
    0xffd04f3d,
    0xffd34a17,
    0xffce4d04,
    0xffc63616,
    0xffc01a11,
    0xffc02317,
    0xff970003,
    0xffa40001,
    0xffb01f04,
    0xffe3661e,
    0xffc13e00,
    0xffcb441a,
    0xffdb623c,
    0xffbd4818,
    0xff961b01,
    0xff972230,
    0xffa02730,
    0xffb13940,
    0xffb0424b,
    0xff9a4d67,
    0xff504071,
    0xff1a4584,
    0xff165298,
    0xff154897,
    0xff1c499a,
    0xff194594,
    0xff0f4c91,
    0xff114690,
    0xff19448d,
    0xff3f588d,
    0xff5c6196,
    0xff17458b,
    0xff154b9a,
    0xff194a93,
    0xff164b94,
    0xff0a4b96,
    0xff134791,
    0xff384080,
    0xff7a466c,
    0xff520003,
    0xfff5b8b9,
    0xff71161b,
    0xff8d0f1a,
    0xff900810,
    0xffa82629,
    0xffa52c2d,
    0xff7e0004,
    0xff8d0515,
    0xff8c0017,
    0xff8f0410,
    0xff8f0612,
    0xff9a0917,
    0xff92041b,
    0xff88000f,
    0xff6a0816,
    0xff372e66,
    0xffbab5da,
    0xff62494c,
    0xff5d3649,
    0xff60214f,
    0xff5c2042,
    0xff433f69,
    0xff19448e,
    0xff11419c,
    0xff16489c,
    0xff104d9c,
    0xff124f9f,
    0xff0a4d9b,
    0xff184a9d,
    0xff224e9b,
    0xff1f4b8c,
    0xff625fa0,
    0xff86323c,
    0xffb15352,
    0xff8f5050,
    0xff5c485b,
    0xff633b6a,
    0xffbe5f88,
    0xffc5526d,
    0xffb04e6f,
    0xff884a71,
    0xff50396d,
    0xff333788,
    0xff1f409c,
    0xff16549b,
    0xff115185,
    0xff22518a,
    0xff234591,
    0xff1c4a8c,
    0xff15448d,
    0xff2d3f79,
    0xff543072,
    0xff90232f,
    0xffc02b03,
    0xffd64b18,
    0xffba240d,
    0xffa50e0c,
    0xffb1020e,
    0xff9c0011,
    0xff95060b,
    0xff963e54,
    0xff522c5c,
    0xff7d2e44,
    0xffb34933,
    0xffd06f4e,
    0xff7a3f35,
    0xff4d4e7c,
    0xff183e89,
    0xff144189,
    0xff253586,
    0xff443563,
    0xffab3c39,
    0xffd12820,
    0xffba0707,
    0xffa30905,
    0xffaa140e,
    0xff9c1406,
    0xffa22913,
    0xff9a0600,
    0xffa2100a,
    0xff80220f,
    0xff8d5042,
    0xffeaa698,
    0xff732b38,
    0xff552c29,
    0xff3e0c17,
    0xff973f37,
    0xffbd3503,
    0xffb01b03,
    0xffaa0600,
    0xffa20202,
    0xffc93630,
    0xffce3d2b,
    0xffa10c00,
    0xff9b0506,
    0xff9b060a,
    0xff9e0709,
    0xffa91414,
    0xffae1f1a,
    0xff9c0a07,
    0xffa70c0a,
    0xff9c0a06,
    0xffa91d17,
    0xffa90d0a,
    0xff970003,
    0xff910807,
    0xff790000,
    0xff7c0a0b,
    0xff7a2623,
    0xff632b22,
    0xff4d271a,
    0xff343016,
    0xff49240e,
    0xff5b1a00,
    0xff992306,
    0xff9a2200,
    0xffe48d36,
    0xffdd712e,
    0xffad0d02,
    0xffa80300,
    0xffaa0802,
    0xff9f0210,
    0xffa00d15,
    0xff9e100c,
    0xff9f110b,
    0xff950900,
    0xffc83b15,
    0xffa31700,
    0xff861306,
    0xff6e1e11,
    0xff432418,
    0xff203020,
    0xff132f21,
    0xff1d2f24,
    0xff1e2a21,
    0xff1a2d21,
    0xff163027,
    0xff14332e,
    0xff1b3030,
    0xff1b2529,
    0xff1a2933,
    0xff1a2532,
    0xff432023,
    0xffa4453f,
    0xff7e1d28,
    0xff472024,
    0xff253331,
    0xff102629,
    0xff16272a,
    0xff0e2023,
    0xff122425,
    0xff111e20,
    0xff0e1d21,
    0xff091917,
    0xff0d1f10,
    0xff172a10,
    0xff374b26,
    0xff45572d,
    0xff3d4e21,
    0xff3f4e21,
    0xff3c4823,
    0xff3c4824,
    0xff374325,
    0xff364027,
    0xff2e3a29,
    0xff2c3828,
    0xff2a3628,
    0xff2a3629,
    0xff2d3b28,
    0xff374430,
    0xff3f4f37,
    0xff384732,
    0xff2d3f2b,
    0xff243427,
    0xff1c2d26,
    0xff182b27,
    0xff172e23,
    0xff1e3628,
    0xff2a432f,
    0xff2f4930,
    0xff2a442b,
    0xff2f422e,
    0xff364334,
    0xff373f34,
    0xff354c3f,
    0xff454b3d,
    0xff797766,
    0xff3f4431,
    0xff3a4533,
    0xff434a3a,
    0xff414a34,
    0xff39492e,
    0xff3b472c,
    0xff3f4b2d,
    0xff485331,
    0xff4c5532,
    0xff494e2d,
    0xff505533,
    0xff505a35,
    0xff48562e,
    0xff495534,
    0xff4d5a3a,
    0xff56613d,
    0xff59643d,
    0xff5e653c,
    0xff5e6337,
    0xff525628,
    0xff535826,
    0xff555a28,
    0xff515625,
    0xff595e2b,
    0xff565c25,
    0xff5b6129,
    0xff5f652d,
    0xff5a6028,
    0xff60662f,
    0xff5f6332,
    0xff5d612f,
    0xff5a5e2c,
    0xff606331,
    0xff626531,
    0xff5b5c28,
    0xff5c5e2a,
    0xff595928,
    0xff68593b,
    0xff705e63,
    0xff5d5451,
    0xff76716c,
    0xff897f98,
    0xffc7bece,
    0xff7e756c,
    0xff66595c,
    0xff9c8b89,
    0xffa6a672,
    0xffc9c297,
    0xff482e11,
    0xff674223,
    0xff3d2005,
    0xffa9977c,
    0xff4e3f2e,
    0xff594821,
    0xff3b390a,
    0xffbcbeb6,
    0xff3b3718,
    0xff582f0f,
    0xff9b5713,
    0xffcd973b,
    0xff85703e,
    0xff7d6f56,
    0xffa78579,
    0xff70554b,
    0xffaca191,
    0xff977a68,
    0xff6b411d,
    0xffc39645,
    0xffdda632,
    0xffce740f,
    0xffba650f,
    0xffa25613,
    0xffbe7637,
    0xffaa8b6d,
    0xff40201f,
    0xff867b56,
    0xffbcc186,
    0xffb9b67e,
    0xff5b3e15,
    0xff8f7641,
    0xff3d2a00,
    0xffc9b170,
    0xffcdb38c,
    0xff513c12,
    0xffa4871d,
    0xffb59226,
    0xff91780f,
    0xffaf8d28,
    0xffaa730c,
    0xfff5c252,
    0xffc79f4f,
    0xff7f5e20,
    0xff997520,
    0xffae872c,
    0xffd8c7c0,
    0xffbcc9cc,
    0xff707974,
    0xff827981,
    0xff4e4240,
    0xff362e28,
    0xff423c39,
    0xff466bb3,
    0xff466cb3,
    0xff456cb3,
    0xff416eb4,
    0xff3969b3,
    0xff3265b0,
    0xff2f64b2,
    0xff2b61b1,
    0xff255aae,
    0xff1e5bb2,
    0xff2363ba,
    0xff265fb1,
    0xff295aa9,
    0xff375fa6,
    0xff21346c,
    0xff26244d,
    0xff2e2a55,
    0xff404a85,
    0xff3558a4,
    0xff2157ae,
    0xff1954b2,
    0xff1b54ae,
    0xff1e56a8,
    0xff1e51a3,
    0xff2755a2,
    0xff3252a3,
    0xff37448e,
    0xff493b6f,
    0xffb07891,
    0xff7e2936,
    0xff611a2b,
    0xff4a243b,
    0xff6a4572,
    0xff864c7b,
    0xffa43a6a,
    0xffaa1438,
    0xffb6061b,
    0xffbe0017,
    0xffa20020,
    0xff7a1136,
    0xff733473,
    0xff465a91,
    0xff2d67a2,
    0xff3a62ac,
    0xff446bb5,
    0xff4376b7,
    0xff426cb1,
    0xff496dba,
    0xff4574b3,
    0xff4c72b6,
    0xff4264b1,
    0xff4464b5,
    0xff4c6eb9,
    0xff5571b5,
    0xff6875b2,
    0xff8482b9,
    0xff905e8a,
    0xff891a4b,
    0xff8b0023,
    0xff970219,
    0xffa0051d,
    0xff992343,
    0xff835177,
    0xff5c5b8a,
    0xff56588a,
    0xff5e6a9d,
    0xff4e68a2,
    0xff3c63a4,
    0xff2e579e,
    0xff365ba2,
    0xff3c5ea5,
    0xff355d9e,
    0xff3462a6,
    0xff24559c,
    0xff1f4f98,
    0xff2e5ea9,
    0xff2f61aa,
    0xff2c5ea8,
    0xff2f60aa,
    0xff3061aa,
    0xff3568ad,
    0xff3669b0,
    0xff2f60ae,
    0xff2d5ead,
    0xff3362b0,
    0xff3662ad,
    0xff456db1,
    0xff4b72b4,
    0xff597db6,
    0xff5d7eb4,
    0xff7594cc,
    0xff7d98cf,
    0xff8198ce,
    0xff778cc0,
    0xff788dc0,
    0xff7b90c3,
    0xff738ac1,
    0xff5f7caa,
    0xff6e84b2,
    0xff738ec1,
    0xff6084bb,
    0xff747dad,
    0xff682f51,
    0xff600009,
    0xff75000e,
    0xff740017,
    0xff72001d,
    0xff68001b,
    0xff580012,
    0xff55030b,
    0xff761116,
    0xff92121a,
    0xff7d010e,
    0xff72030c,
    0xff6f0413,
    0xff4d0007,
    0xffdeb0bf,
    0xff5a494e,
    0xff522128,
    0xff700c19,
    0xff700e19,
    0xff79000b,
    0xff9a0a16,
    0xffa81c1f,
    0xff950b08,
    0xff9e1010,
    0xff8d0204,
    0xff870407,
    0xff9a0605,
    0xff830008,
    0xff6d1236,
    0xff5f0e2d,
    0xff960716,
    0xffc21320,
    0xff9d0213,
    0xffb61f2a,
    0xffb53341,
    0xffa83641,
    0xff8c2a2e,
    0xff73191d,
    0xff620e11,
    0xff570106,
    0xff69000a,
    0xff830615,
    0xff900a1e,
    0xff910b1e,
    0xff950d1e,
    0xff96091c,
    0xffa71427,
    0xffa61324,
    0xffab1d2d,
    0xffa61d2b,
    0xff9b1326,
    0xff940c1a,
    0xff8b0215,
    0xff9b1225,
    0xff9a0f1a,
    0xff931a2e,
    0xffad6c8c,
    0xff25203a,
    0xff1e3265,
    0xff305092,
    0xff1c4999,
    0xff1d56a4,
    0xff15509d,
    0xff1b52a6,
    0xff1a53ab,
    0xff1055aa,
    0xff2d50a4,
    0xff2b1b4e,
    0xff3e0718,
    0xff72242f,
    0xff70192b,
    0xff410009,
    0xff320a0d,
    0xff35050b,
    0xff37030f,
    0xff3d0504,
    0xff3b0805,
    0xff2e0a13,
    0xff37141f,
    0xff3a0108,
    0xff49000e,
    0xff68233a,
    0xff73375d,
    0xff5e4175,
    0xff574279,
    0xff3f0929,
    0xff6f040a,
    0xff7a0304,
    0xff680409,
    0xff730012,
    0xff60060a,
    0xff610904,
    0xff650403,
    0xff6c0110,
    0xff68020f,
    0xff620806,
    0xff680a08,
    0xff70050f,
    0xff720a12,
    0xff510a24,
    0xff41386d,
    0xff28509a,
    0xff1f52a8,
    0xff1a56a9,
    0xff1658a8,
    0xff1853a8,
    0xff1a56aa,
    0xff1b52ab,
    0xff1b52ac,
    0xff1b56ac,
    0xff1157aa,
    0xff1157a6,
    0xff1453a8,
    0xff1d52ac,
    0xff1558aa,
    0xff1457aa,
    0xff1857ab,
    0xff1b54ae,
    0xff1c54ac,
    0xff1b53ab,
    0xff1957ad,
    0xff1557ad,
    0xff1858b6,
    0xff2a59ae,
    0xff3b5198,
    0xff2a3268,
    0xff273a72,
    0xff2a5297,
    0xff2556a7,
    0xff2957ab,
    0xff2c467f,
    0xff1f315c,
    0xff35426e,
    0xff7982a8,
    0xff9cb1d9,
    0xff5473a2,
    0xff3c578a,
    0xff17437e,
    0xff2a497d,
    0xff334c89,
    0xff244e8c,
    0xff164584,
    0xff2a4c8e,
    0xff1a448c,
    0xff0e4694,
    0xff164ba1,
    0xff0a489b,
    0xff0d4a9d,
    0xff0c499c,
    0xff0f4d9e,
    0xff0f4c9d,
    0xff134d9e,
    0xff1550a1,
    0xff144fa0,
    0xff1853a4,
    0xff1752a2,
    0xff1651a1,
    0xff1954a2,
    0xff1853a1,
    0xff1756a3,
    0xff1554a1,
    0xff1856a4,
    0xff10539d,
    0xff11549d,
    0xff1453a0,
    0xff1453a0,
    0xff134fa0,
    0xff1853a1,
    0xff18519f,
    0xff1853a1,
    0xff1453a3,
    0xff1453a4,
    0xff1051a1,
    0xff0e4f9f,
    0xff1251a0,
    0xff1554a0,
    0xff15539f,
    0xff16539f,
    0xff1954a4,
    0xff1a55a5,
    0xff1752a2,
    0xff1954a4,
    0xff1853a2,
    0xff1751a1,
    0xff1c56a6,
    0xff1954a4,
    0xff11549f,
    0xff2352ab,
    0xff374184,
    0xff76536b,
    0xff9e4c53,
    0xffae1b21,
    0xffc10207,
    0xffc10e18,
    0xffd33b09,
    0xfffb6c2b,
    0xffde470e,
    0xffb00401,
    0xffa30012,
    0xffc02d1b,
    0xffc93d10,
    0xffbb1911,
    0xffb90003,
    0xffb00702,
    0xffbf1201,
    0xffcd1405,
    0xffdb231c,
    0xffb50800,
    0xffed5d4a,
    0xffdb6f69,
    0xffbf5545,
    0xffc04318,
    0xffd35e0b,
    0xffb63c02,
    0xffc43008,
    0xffdd4220,
    0xffa40606,
    0xffad0700,
    0xffd85129,
    0xffc2480f,
    0xff9e1900,
    0xffd74a3d,
    0xffad312c,
    0xffbe4a39,
    0xffba4537,
    0xffa33b38,
    0xffa84b39,
    0xffbb493c,
    0xffb83c3a,
    0xff9f3c3d,
    0xff6f353b,
    0xff523d5c,
    0xff273d79,
    0xff0f4892,
    0xff124888,
    0xff123f8f,
    0xff12428b,
    0xff1d4291,
    0xff114292,
    0xff103a71,
    0xff6b76a5,
    0xff123979,
    0xff0d449c,
    0xff103f89,
    0xff153d89,
    0xff12468d,
    0xff064783,
    0xff1d4085,
    0xff5e3064,
    0xff86120c,
    0xffeeacb0,
    0xff7d4048,
    0xffa5454c,
    0xff981318,
    0xffe25952,
    0xff8d1b0c,
    0xff88170f,
    0xff93040d,
    0xff970318,
    0xff890315,
    0xff900608,
    0xff8e0000,
    0xff820617,
    0xff7d010b,
    0xff690208,
    0xff39346f,
    0xffadb7da,
    0xff6a4a44,
    0xff8a5f70,
    0xff453a71,
    0xff4b4576,
    0xff4e477e,
    0xff324798,
    0xff214b9d,
    0xff154c97,
    0xff124e98,
    0xff134b98,
    0xff134c9c,
    0xff1c489f,
    0xff1c4a9d,
    0xff155095,
    0xff293e84,
    0xffa8698b,
    0xff6e0000,
    0xff9f2a13,
    0xffa2402b,
    0xffac4850,
    0xff9e517a,
    0xff5c417b,
    0xff42437d,
    0xff2d469f,
    0xff2d4da4,
    0xff204f9b,
    0xff27539a,
    0xff22539f,
    0xff12559c,
    0xff24518e,
    0xff404176,
    0xff473b72,
    0xff5c2c6a,
    0xff6d295e,
    0xff6e296e,
    0xff8f1f3c,
    0xffc01c11,
    0xffb51103,
    0xffa9000e,
    0xff9a0d13,
    0xffc6160f,
    0xff8a0000,
    0xffa3171d,
    0xff983b5a,
    0xff3a3079,
    0xff5d4162,
    0xffc2784f,
    0xffae613f,
    0xff6a4747,
    0xff303a65,
    0xff20377f,
    0xff2b3276,
    0xff68245c,
    0xff851f3a,
    0xffb32433,
    0xff950000,
    0xffa40107,
    0xff970003,
    0xffae060f,
    0xffae0309,
    0xffab1211,
    0xff9c0506,
    0xff90150d,
    0xff841c08,
    0xff862704,
    0xff780000,
    0xff75183c,
    0xff4f2b40,
    0xff3c121a,
    0xffa05153,
    0xff932518,
    0xffa53229,
    0xffbc210a,
    0xff990000,
    0xff9b0d07,
    0xffab0a00,
    0xffa30102,
    0xffa01019,
    0xff970300,
    0xffa20c0d,
    0xffab1214,
    0xffab1d1b,
    0xff9b0305,
    0xffa6030a,
    0xff900000,
    0xff9c1815,
    0xff9f050b,
    0xff94070d,
    0xff930006,
    0xff7e0403,
    0xff790508,
    0xff722421,
    0xff473624,
    0xff4e3522,
    0xff5b2415,
    0xff7d1b03,
    0xffa8380a,
    0xffffab6c,
    0xfff09236,
    0xfffcbc45,
    0xffe78c2b,
    0xffde6027,
    0xffe55634,
    0xffb40d06,
    0xffa80713,
    0xff9d0611,
    0xffa11210,
    0xffa41414,
    0xffa20e0b,
    0xffa8180d,
    0xffaa1e13,
    0xff7a1d0f,
    0xff4e2312,
    0xff292d1b,
    0xff1b3023,
    0xff1f2f27,
    0xff252e25,
    0xff272b25,
    0xff2b2d2a,
    0xff25342f,
    0xff1d3c36,
    0xff213c31,
    0xff202e26,
    0xff172a27,
    0xff1d2d2c,
    0xff4f2b24,
    0xffc05146,
    0xffab2324,
    0xff6c0808,
    0xff4f1718,
    0xff3e2728,
    0xff242623,
    0xff1c2d27,
    0xff1b302b,
    0xff172b27,
    0xff1b2d24,
    0xff253a2d,
    0xff293e2b,
    0xff293f26,
    0xff2d4326,
    0xff2a3d20,
    0xff2b3a1f,
    0xff2b3a20,
    0xff303f20,
    0xff344527,
    0xff324126,
    0xff2e4026,
    0xff2f402a,
    0xff31422e,
    0xff2c3e2a,
    0xff2e412e,
    0xff2f4130,
    0xff2e3e2e,
    0xff2c3e31,
    0xff213528,
    0xff1d332a,
    0xff1a2e2c,
    0xff1a2e30,
    0xff1b3032,
    0xff12342a,
    0xff20312a,
    0xff282c26,
    0xff303429,
    0xff293a2a,
    0xff263e2c,
    0xff2d4132,
    0xff314136,
    0xff233e2e,
    0xff2e3825,
    0xff7f806a,
    0xff3e4732,
    0xff3a4b39,
    0xff424c3e,
    0xff434837,
    0xff475134,
    0xff465132,
    0xff3f4e30,
    0xff47573a,
    0xff485739,
    0xff494f30,
    0xff4e5333,
    0xff4c5434,
    0xff4e5b39,
    0xff4b5c43,
    0xff4b5a42,
    0xff4a5a3e,
    0xff4c593b,
    0xff525d3a,
    0xff59633d,
    0xff5a623a,
    0xff535a32,
    0xff535a33,
    0xff575f36,
    0xff5d653a,
    0xff5b6434,
    0xff596233,
    0xff596233,
    0xff575f31,
    0xff545d2e,
    0xff5b622f,
    0xff616935,
    0xff5c6330,
    0xff5d6434,
    0xff5d6134,
    0xff5b6035,
    0xff5b6035,
    0xff5a5f30,
    0xff5d5f30,
    0xff5a5149,
    0xff4c4038,
    0xff64554e,
    0xff746079,
    0xff928394,
    0xff807b74,
    0xff615e65,
    0xff7f7581,
    0xffada87f,
    0xffb6b076,
    0xffa6994f,
    0xff654c00,
    0xff8e642c,
    0xff583617,
    0xff6f5d53,
    0xff5f5334,
    0xff544e10,
    0xffbcb69d,
    0xff63602f,
    0xff5e3a17,
    0xff81460d,
    0xff845200,
    0xff855f3f,
    0xffa58866,
    0xff8c633a,
    0xff765f38,
    0xff544c39,
    0xffa8918e,
    0xff6b4129,
    0xffcb9657,
    0xffc7822a,
    0xffce6f10,
    0xffc06b10,
    0xff9f550b,
    0xffc17e3e,
    0xffa38564,
    0xff603e3c,
    0xff8a723f,
    0xff847334,
    0xffa39151,
    0xff785330,
    0xffae8e55,
    0xff9d845f,
    0xff583d29,
    0xff755f60,
    0xff605040,
    0xff7b682a,
    0xff927e2f,
    0xff96893d,
    0xffa9824d,
    0xff7f3512,
    0xff612400,
    0xffcdb185,
    0xff674700,
    0xffebad2b,
    0xffddb148,
    0xffd7c5b8,
    0xff777e7d,
    0xff646860,
    0xff615257,
    0xff534139,
    0xff3b2f24,
    0xff504541,
    0xff406cb7,
    0xff3c69b4,
    0xff406fb8,
    0xff3f6fb9,
    0xff3a6bb7,
    0xff3d6fbc,
    0xff3e71c0,
    0xff396bbd,
    0xff3166ba,
    0xff2563b5,
    0xff2361ad,
    0xff23559d,
    0xff2b59a9,
    0xff2e59af,
    0xff485ca0,
    0xff3d345d,
    0xff351e38,
    0xff3a3257,
    0xff3f4d81,
    0xff3e5c9f,
    0xff355ea8,
    0xff315fab,
    0xff3265b0,
    0xff2358a4,
    0xff285498,
    0xff3c4d79,
    0xff361935,
    0xff6e2641,
    0xff7c1f3b,
    0xff56000f,
    0xff5a0313,
    0xff5c0216,
    0xff94293a,
    0xffa62030,
    0xffc10923,
    0xffcd001d,
    0xffbd001b,
    0xffb7001c,
    0xffb2021d,
    0xffa1051a,
    0xff961244,
    0xff7b5d87,
    0xff446da0,
    0xff507cbd,
    0xff4d70b6,
    0xff4269aa,
    0xff476fb0,
    0xff5473ba,
    0xff4f79ae,
    0xff4d6dac,
    0xff4a64af,
    0xff496eb7,
    0xff4b73b3,
    0xff6b79af,
    0xff9771a5,
    0xff863266,
    0xff740523,
    0xff9d002b,
    0xffab0027,
    0xffa40020,
    0xffac0424,
    0xffb30b33,
    0xffa7244c,
    0xffa24b71,
    0xff91607f,
    0xff7f5d86,
    0xff5d598b,
    0xff435e98,
    0xff466fb2,
    0xff4b6fb8,
    0xff3d60a6,
    0xff2b5498,
    0xff27549e,
    0xff2a59a2,
    0xff3a69b0,
    0xff3968b0,
    0xff3665ad,
    0xff3767ae,
    0xff2e5ba4,
    0xff3160a8,
    0xff3667a9,
    0xff295aa0,
    0xff2658a2,
    0xff2e5ea9,
    0xff2856a1,
    0xff345ea6,
    0xff3e62a8,
    0xff4367a9,
    0xff5374ab,
    0xff5978b0,
    0xff5a77ad,
    0xff617ab2,
    0xff627cb2,
    0xff6e88bd,
    0xff7992c6,
    0xff6a82b8,
    0xff657ebf,
    0xff7698cb,
    0xff889ac7,
    0xff8185b9,
    0xff8b91c3,
    0xffb294bf,
    0xffaa4762,
    0xff860105,
    0xff770400,
    0xff660502,
    0xff59010b,
    0xff58000f,
    0xff55000d,
    0xff550609,
    0xff570000,
    0xff700808,
    0xff7a0815,
    0xff67020d,
    0xff5e0008,
    0xff4e0514,
    0xffae9099,
    0xff2b181f,
    0xff440914,
    0xff630610,
    0xff68020e,
    0xff7a000b,
    0xff85000a,
    0xff870709,
    0xff7e0503,
    0xff850000,
    0xff960004,
    0xffa7020a,
    0xffa80902,
    0xff781232,
    0xff6a488f,
    0xff624a84,
    0xff831430,
    0xffb10612,
    0xffa30c13,
    0xffbe2a35,
    0xffb03c45,
    0xffc95b64,
    0xffc35862,
    0xff7c1520,
    0xff6b0211,
    0xff6d000d,
    0xff800117,
    0xff8e011b,
    0xff8f0319,
    0xff8f0419,
    0xff980c1f,
    0xffa21123,
    0xff970317,
    0xff9f091c,
    0xffa21123,
    0xff9b1121,
    0xff8b081e,
    0xff870011,
    0xff950a13,
    0xff930a1d,
    0xff990d28,
    0xff810910,
    0xff5a0a0e,
    0xff593556,
    0xff325090,
    0xff1d52aa,
    0xff1a50b1,
    0xff1d4fa3,
    0xff19529b,
    0xff1952a6,
    0xff1354aa,
    0xff0858a0,
    0xff1e52a0,
    0xff2b4a89,
    0xff394373,
    0xff51375f,
    0xff62243f,
    0xff42050d,
    0xff31060e,
    0xff290920,
    0xff290b14,
    0xff2e0a05,
    0xff320605,
    0xff2f0512,
    0xff2d0613,
    0xff3c0911,
    0xff320318,
    0xff493f6b,
    0xff3b4598,
    0xff4e4380,
    0xff511834,
    0xff5a050b,
    0xff6f0009,
    0xff72040d,
    0xff5b0b0f,
    0xff6b0315,
    0xff660412,
    0xff6d0810,
    0xff70020f,
    0xff6a0015,
    0xff610012,
    0xff650910,
    0xff6b050d,
    0xff750013,
    0xff77080a,
    0xff690213,
    0xff593157,
    0xff334f8f,
    0xff1c50a4,
    0xff1854a6,
    0xff1558a6,
    0xff1955a8,
    0xff1c53a5,
    0xff1c53a5,
    0xff1c54a8,
    0xff1a56aa,
    0xff1357a7,
    0xff1356aa,
    0xff1954a7,
    0xff1f54ab,
    0xff1b58af,
    0xff1a57af,
    0xff1957af,
    0xff1c55ac,
    0xff2057ac,
    0xff2156ab,
    0xff1c5aab,
    0xff1758a7,
    0xff0d62ad,
    0xff135ab2,
    0xff2457b7,
    0xff2653a7,
    0xff2556a1,
    0xff1c599f,
    0xff1a59a5,
    0xff1c57a9,
    0xff1555aa,
    0xff275b94,
    0xff2b4981,
    0xff2d3057,
    0xff232942,
    0xff666a89,
    0xff9a8fb0,
    0xff8099c5,
    0xff728ab1,
    0xff4a4d86,
    0xff7f93c0,
    0xff3a466a,
    0xff4d538d,
    0xff124b97,
    0xff0556a2,
    0xff144f95,
    0xff1551a2,
    0xff114ea1,
    0xff1553a3,
    0xff154ea0,
    0xff1751a1,
    0xff1752a2,
    0xff16519e,
    0xff1d58a6,
    0xff1b56a3,
    0xff1d58a6,
    0xff1b56a4,
    0xff1d57a4,
    0xff1b56a2,
    0xff1d58a3,
    0xff1d5aa4,
    0xff1f5ca8,
    0xff1b5da7,
    0xff1b5aa8,
    0xff1a58a5,
    0xff1959a8,
    0xff1756a6,
    0xff1655a4,
    0xff1552a3,
    0xff1755a5,
    0xff1052a9,
    0xff0e51a7,
    0xff1154a7,
    0xff1455a7,
    0xff1452a1,
    0xff12509c,
    0xff17539c,
    0xff165098,
    0xff164f9e,
    0xff164f9c,
    0xff144d9a,
    0xff154e9b,
    0xff134c99,
    0xff154e99,
    0xff134d98,
    0xff164f9b,
    0xff1a4786,
    0xff423e68,
    0xff864055,
    0xffad2421,
    0xffb20e05,
    0xffb91204,
    0xffc21000,
    0xffbe1416,
    0xffaa0900,
    0xffa60608,
    0xff950000,
    0xffbf1e20,
    0xffcb343a,
    0xffd24533,
    0xffb42307,
    0xffa50202,
    0xffc60d18,
    0xffbc1900,
    0xffd12c0e,
    0xffca1c02,
    0xffca2104,
    0xffd52d11,
    0xffb11307,
    0xffbd3a2e,
    0xffcc483f,
    0xffc5351d,
    0xffdf5316,
    0xffd64f10,
    0xffd24603,
    0xffde4e1e,
    0xffab1c13,
    0xffa11800,
    0xffffb852,
    0xffff9e3f,
    0xffd26321,
    0xffc75334,
    0xffa64030,
    0xffb14b3e,
    0xffb84e37,
    0xffcf6c4f,
    0xffaf5445,
    0xffc0594b,
    0xffc53e37,
    0xffcc4623,
    0xffef8642,
    0xffcd663b,
    0xff6f2637,
    0xff393d67,
    0xff14437b,
    0xff0c3f91,
    0xff144598,
    0xff1a4091,
    0xff0c4192,
    0xff0e3f7d,
    0xff546692,
    0xff3d4b7a,
    0xff1b336f,
    0xff233e76,
    0xff203e83,
    0xff2a346e,
    0xff4f4d6b,
    0xff2e3c69,
    0xff3b2f6b,
    0xff6e1939,
    0xffe6adb6,
    0xff734e51,
    0xff884048,
    0xffaa292a,
    0xffca372d,
    0xffad352a,
    0xffd66f6f,
    0xff8b0014,
    0xff90060f,
    0xff810309,
    0xff850400,
    0xff910b01,
    0xff7d1222,
    0xff750a1a,
    0xff6a0209,
    0xff492456,
    0xff7d6884,
    0xff67331c,
    0xffab5b34,
    0xff965f4b,
    0xff5b4939,
    0xff2f334d,
    0xff163d88,
    0xff0f4587,
    0xff09458b,
    0xff0c498f,
    0xff154893,
    0xff144796,
    0xff1a459b,
    0xff18499c,
    0xff0c529a,
    0xff244d99,
    0xff484b7e,
    0xff82364b,
    0xff820200,
    0xffa21408,
    0xff82040b,
    0xff512254,
    0xff304b96,
    0xff23488d,
    0xff11539e,
    0xff20519d,
    0xff1f5792,
    0xff26528d,
    0xff2e4f9f,
    0xff385ba9,
    0xff554477,
    0xff610a22,
    0xff600824,
    0xff642052,
    0xff593e6f,
    0xff4c367f,
    0xff922751,
    0xffc41015,
    0xffbc1105,
    0xffbe141f,
    0xffbe3b45,
    0xffab0200,
    0xffa91825,
    0xffcd384e,
    0xffad405c,
    0xff3a3676,
    0xff312d56,
    0xffcd9376,
    0xff8f453a,
    0xff7e505e,
    0xff462849,
    0xff3c2c56,
    0xff453153,
    0xff761421,
    0xffb8312b,
    0xffa0000d,
    0xffa70005,
    0xffb41213,
    0xffb21b16,
    0xffa80203,
    0xffb00104,
    0xffa60302,
    0xffa2110a,
    0xff90180d,
    0xff8b0410,
    0xff910611,
    0xff82000a,
    0xff721743,
    0xff61203a,
    0xff4f142a,
    0xff442141,
    0xff471e41,
    0xff8a282a,
    0xffbf2f12,
    0xffba2316,
    0xff960b04,
    0xffa40702,
    0xffac0b14,
    0xff9c1116,
    0xffa31d15,
    0xff9e0a07,
    0xff980002,
    0xff8e0200,
    0xff9a060c,
    0xffa30211,
    0xff84060c,
    0xff710a0b,
    0xff890710,
    0xff980917,
    0xffa60310,
    0xff870206,
    0xff81060b,
    0xff5f1916,
    0xff333a1c,
    0xff4a200d,
    0xff921716,
    0xff9f1b09,
    0xffb01d04,
    0xffb52d06,
    0xffb6480c,
    0xffffd17e,
    0xffe88f4c,
    0xffe2754b,
    0xffdc5942,
    0xffae0908,
    0xffa4030d,
    0xff98020d,
    0xff94010a,
    0xff960007,
    0xffa6070f,
    0xffa60e10,
    0xffa1100f,
    0xff85120d,
    0xff612318,
    0xff3d2a1f,
    0xff392a21,
    0xff3f2721,
    0xff302218,
    0xff2b2d24,
    0xff252e28,
    0xff2a2d2e,
    0xff213b34,
    0xff213d2b,
    0xff35321d,
    0xff472d20,
    0xff4e2622,
    0xff711f1d,
    0xff981711,
    0xffa6271b,
    0xff9a1111,
    0xff8c0110,
    0xff790a17,
    0xff653131,
    0xff393e31,
    0xff2c4d3b,
    0xff2e4d3e,
    0xff2a3d2a,
    0xff2a3f2a,
    0xff2f4831,
    0xff28402b,
    0xff29402d,
    0xff2a3c2b,
    0xff283a2a,
    0xff313f30,
    0xff33442d,
    0xff31452c,
    0xff364930,
    0xff324a30,
    0xff334b30,
    0xff384d34,
    0xff3a4f35,
    0xff3e513b,
    0xff374c3d,
    0xff2d4136,
    0xff233933,
    0xff1c3133,
    0xff193034,
    0xff183036,
    0xff132b30,
    0xff112a2f,
    0xff10302e,
    0xff152325,
    0xff3d3239,
    0xff453237,
    0xff3b3230,
    0xff353d2e,
    0xff344c34,
    0xff2f4c31,
    0xff35472d,
    0xff48482c,
    0xff75714e,
    0xff4c5735,
    0xff43533a,
    0xff444a38,
    0xff554e38,
    0xff4d4323,
    0xff4e5334,
    0xff4f5d42,
    0xff3c5137,
    0xff3e533a,
    0xff425138,
    0xff465136,
    0xff425237,
    0xff46573d,
    0xff44583e,
    0xff45573d,
    0xff445439,
    0xff455437,
    0xff4f5d3d,
    0xff4e5b3b,
    0xff505b3a,
    0xff596341,
    0xff596343,
    0xff515a39,
    0xff4a5530,
    0xff4b572d,
    0xff5a663c,
    0xff646f45,
    0xff606b43,
    0xff56613b,
    0xff5a6235,
    0xff616938,
    0xff5c6430,
    0xff5c6434,
    0xff585f35,
    0xff596038,
    0xff575e35,
    0xff5b6238,
    0xff596433,
    0xff575547,
    0xff675c4b,
    0xff6f5f3f,
    0xff665147,
    0xff5e4d52,
    0xff413b3b,
    0xff57565e,
    0xff58505b,
    0xffcdbfa7,
    0xffa69a64,
    0xffc5bd59,
    0xffb6a332,
    0xff8e6417,
    0xff603613,
    0xff8f7865,
    0xff584f3d,
    0xff5c5329,
    0xff968f7a,
    0xff958158,
    0xff814319,
    0xffd99150,
    0xffc19437,
    0xffcda786,
    0xff9a6c5d,
    0xff814413,
    0xff9f703b,
    0xff5d4839,
    0xff94858a,
    0xffa89674,
    0xffa38542,
    0xffbf8241,
    0xffb7690d,
    0xffb16501,
    0xffb66d13,
    0xffbc773d,
    0xffa78d72,
    0xff563739,
    0xff5d400c,
    0xff826028,
    0xffbc9b65,
    0xffa37d66,
    0xff64421e,
    0xffa58671,
    0xff3f2920,
    0xff4c4240,
    0xff3a3517,
    0xffb0a272,
    0xffac9c51,
    0xff9e8e3d,
    0xffa0753b,
    0xff621a00,
    0xff87513f,
    0xff7e6b47,
    0xff7e5e17,
    0xffe29930,
    0xff936c10,
    0xffc3b09c,
    0xff5c5c57,
    0xff1b1413,
    0xff362224,
    0xff49392c,
    0xff62544a,
    0xff554640,
    0xff3467b8,
    0xff3a6cbb,
    0xff3364b1,
    0xff2859a6,
    0xff2d5eab,
    0xff3664b2,
    0xff2e5dab,
    0xff2d5cad,
    0xff2258aa,
    0xff1f52a0,
    0xff24539f,
    0xff2e5dab,
    0xff3b64af,
    0xff4e67a5,
    0xff524674,
    0xff3b1430,
    0xff3c0c1b,
    0xff350b1f,
    0xff2b0922,
    0xff2a1033,
    0xff413562,
    0xff434d84,
    0xff37579c,
    0xff2a5aa6,
    0xff2e549d,
    0xff2b1b3d,
    0xff530e12,
    0xff670c14,
    0xff5f061b,
    0xff5b0016,
    0xff640011,
    0xff6a020f,
    0xff700509,
    0xff780105,
    0xffa60716,
    0xffb8001b,
    0xffb20222,
    0xffad0222,
    0xffb9001d,
    0xffbe001a,
    0xffa5011c,
    0xff90335a,
    0xff636295,
    0xff4d73b2,
    0xff5574b7,
    0xff5c75b7,
    0xff5476b3,
    0xff5779b7,
    0xff5072ad,
    0xff5277b4,
    0xff597eb9,
    0xff546da7,
    0xff676397,
    0xff8d5b88,
    0xff872047,
    0xff8b0327,
    0xff940922,
    0xffa30926,
    0xffad0126,
    0xffb60828,
    0xffb60922,
    0xffbf0b24,
    0xffb60e25,
    0xffb32a3a,
    0xffac3840,
    0xffa24356,
    0xff926384,
    0xff646a97,
    0xff5578b1,
    0xff4668ac,
    0xff4365ad,
    0xff406baf,
    0xff3965ab,
    0xff2c589f,
    0xff3562a6,
    0xff3b68ad,
    0xff3964a9,
    0xff3966a9,
    0xff3b67a9,
    0xff3d69ab,
    0xff2e5fa3,
    0xff3364a7,
    0xff3a6bb0,
    0xff3a69ae,
    0xff3b67ac,
    0xff476fb5,
    0xff5474bb,
    0xff4c6aae,
    0xff4667a5,
    0xff5573b2,
    0xff4e6caa,
    0xff506eac,
    0xff5e7bba,
    0xff6481c0,
    0xff5677b3,
    0xff5073af,
    0xff5c7db3,
    0xff5b79ae,
    0xff778ec0,
    0xff989fcc,
    0xff9f83b0,
    0xffb6648b,
    0xff79001a,
    0xff82010d,
    0xff630105,
    0xff530909,
    0xff4a0a0a,
    0xff540408,
    0xff610001,
    0xff660306,
    0xff61040b,
    0xff61020e,
    0xff5f000c,
    0xff5b0008,
    0xff59000a,
    0xff6a2a33,
    0xff85696d,
    0xff4c202b,
    0xff590410,
    0xff630309,
    0xff6d0005,
    0xff840411,
    0xff8a0311,
    0xff790003,
    0xff7e0103,
    0xff96070b,
    0xffae090f,
    0xffb1060e,
    0xff7c0816,
    0xff734f87,
    0xff454d9e,
    0xff50548b,
    0xff8c4a66,
    0xffa61a29,
    0xffa71c1f,
    0xffb7383f,
    0xffb54653,
    0xffa22f3f,
    0xff850d1e,
    0xff7a0213,
    0xff780112,
    0xff7b0012,
    0xff86071d,
    0xff89061c,
    0xff92071c,
    0xff9d1426,
    0xffa31a29,
    0xff950818,
    0xff9e0e1e,
    0xffa00f22,
    0xffa2172b,
    0xff960f22,
    0xff8a071c,
    0xff9b0c1d,
    0xffa00d1d,
    0xff94081f,
    0xff83001c,
    0xff79010b,
    0xff610307,
    0xff591736,
    0xff48427e,
    0xff204f9f,
    0xff1050aa,
    0xff15519d,
    0xff165997,
    0xff1657a4,
    0xff1b53ac,
    0xff1755a8,
    0xff1856a5,
    0xff175ca1,
    0xff1b549b,
    0xff324b93,
    0xff4b467d,
    0xff361635,
    0xff2f0316,
    0xff290518,
    0xff230a12,
    0xff270e09,
    0xff2f0b0a,
    0xff290815,
    0xff2a0b11,
    0xff32060c,
    0xff2a1335,
    0xff294b91,
    0xff2d4ba5,
    0xff4b315b,
    0xff530712,
    0xff67060f,
    0xff6d0009,
    0xff650106,
    0xff580509,
    0xff620811,
    0xff67010a,
    0xff6b0506,
    0xff680908,
    0xff600810,
    0xff610912,
    0xff6a090b,
    0xff6e0008,
    0xff720012,
    0xff750710,
    0xff74010e,
    0xff4e0b27,
    0xff384780,
    0xff1c57a8,
    0xff1d56b1,
    0xff2359ac,
    0xff1c5aad,
    0xff205ab3,
    0xff1f5cb0,
    0xff1e5dad,
    0xff1f5eaf,
    0xff1f5bb1,
    0xff225cb5,
    0xff205cb4,
    0xff225db4,
    0xff2459b5,
    0xff235fb3,
    0xff1f5fb3,
    0xff1d5bb0,
    0xff1f56ad,
    0xff2057ae,
    0xff1f5aae,
    0xff195aac,
    0xff1c5fae,
    0xff1b59aa,
    0xff1657aa,
    0xff185bae,
    0xff1458a3,
    0xff1a589d,
    0xff1c529b,
    0xff2455a6,
    0xff1e4ca1,
    0xff244f99,
    0xff24519d,
    0xff20529c,
    0xff224b87,
    0xff4c5c82,
    0xff35364b,
    0xff384259,
    0xff505e63,
    0xff9991a7,
    0xff9fa4b6,
    0xfff7ecff,
    0xff746c9d,
    0xff0e418c,
    0xff1255ae,
    0xff2059a9,
    0xff245fb0,
    0xff235ead,
    0xff205ba9,
    0xff205ba9,
    0xff336fba,
    0xff326bb7,
    0xff2a64ae,
    0xff2a64af,
    0xff2661ab,
    0xff2460aa,
    0xff2a65af,
    0xff2461a9,
    0xff1f59a3,
    0xff225ca5,
    0xff1f59a3,
    0xff1c57a0,
    0xff19559e,
    0xff18559e,
    0xff1a56a0,
    0xff1957a3,
    0xff1653a0,
    0xff1755a2,
    0xff1350a1,
    0xff114e9e,
    0xff104fa2,
    0xff0f4b9f,
    0xff104d9e,
    0xff124f9e,
    0xff0f4a99,
    0xff0a4490,
    0xff0d4a92,
    0xff0f4b94,
    0xff0d4592,
    0xff0a428f,
    0xff09418b,
    0xff09418b,
    0xff053e87,
    0xff084188,
    0xff033c82,
    0xff074085,
    0xff1d377b,
    0xff6f3a4c,
    0xff850c15,
    0xffb70617,
    0xffbe0717,
    0xffa5080a,
    0xffa20100,
    0xffa20006,
    0xffa40115,
    0xff9d0014,
    0xffb52428,
    0xffdb584c,
    0xffd14c44,
    0xffa91517,
    0xff910000,
    0xff940006,
    0xff99050a,
    0xffb32809,
    0xffbb1b00,
    0xffd31f10,
    0xffb50901,
    0xffa10000,
    0xffa20a00,
    0xffc7472a,
    0xffdc4c4a,
    0xffac2220,
    0xff9d0e00,
    0xffe34b26,
    0xffe35820,
    0xffb03510,
    0xff7f0907,
    0xff831600,
    0xffcc6822,
    0xffcd6e23,
    0xffd3602b,
    0xffbb4025,
    0xffac3d31,
    0xffc14e4a,
    0xffb93b3c,
    0xffb63b37,
    0xffc55551,
    0xffbf5743,
    0xff9e2309,
    0xffd4541d,
    0xfff07f1e,
    0xffff7f3b,
    0xff9b1d14,
    0xff571620,
    0xff384674,
    0xff1b4b94,
    0xff1b4f9f,
    0xff1d4a8f,
    0xff254e8e,
    0xff355187,
    0xff2e2f4d,
    0xff92727e,
    0xff917187,
    0xff7b5370,
    0xff5f2d4f,
    0xff963b50,
    0xffb23034,
    0xffa74455,
    0xff6f3567,
    0xff671e59,
    0xffd18892,
    0xff977277,
    0xff763a41,
    0xffab3f3b,
    0xff810000,
    0xffa83c40,
    0xff7b394c,
    0xff6c173d,
    0xff6c091b,
    0xff800d10,
    0xff8d1314,
    0xff8a0f0c,
    0xff6c0f1e,
    0xff5b1a3a,
    0xff571e41,
    0xff43265b,
    0xffcca4b8,
    0xff592809,
    0xffc36514,
    0xfff08a21,
    0xfff2ae47,
    0xff6b5230,
    0xff213e75,
    0xff0f4685,
    0xff0c428d,
    0xff0c478e,
    0xff12458c,
    0xff0e448c,
    0xff13418f,
    0xff0d428f,
    0xff00458c,
    0xff153d8b,
    0xff113a72,
    0xff6a577f,
    0xff590917,
    0xff770608,
    0xff680918,
    0xff462d55,
    0xff273f76,
    0xff2c3f7f,
    0xff1e4a8a,
    0xff2d478f,
    0xff1f498b,
    0xff28498d,
    0xff32457d,
    0xff453b5d,
    0xff6a1d26,
    0xffa73c2d,
    0xff934351,
    0xff4d3979,
    0xff285195,
    0xff38458c,
    0xff76102f,
    0xffa90205,
    0xffa41002,
    0xff9d0000,
    0xff8f081a,
    0xff9f0000,
    0xffa10715,
    0xffd02840,
    0xffba4059,
    0xff40396a,
    0xff393969,
    0xffb77a7b,
    0xff77282a,
    0xff511d3a,
    0xff5c3f77,
    0xff402d69,
    0xff523357,
    0xff902934,
    0xffad251c,
    0xffa90002,
    0xffb20002,
    0xffb6120d,
    0xffb91711,
    0xffa90d05,
    0xffa50400,
    0xffa70200,
    0xff9e0600,
    0xff990600,
    0xff930907,
    0xff800512,
    0xff790f19,
    0xff7e223e,
    0xff93283b,
    0xff7a1534,
    0xff783d56,
    0xff854449,
    0xff951c1b,
    0xffa41403,
    0xffa20b00,
    0xffce4f3f,
    0xff971f15,
    0xff9d1413,
    0xff930d00,
    0xff8e1819,
    0xffa10d0b,
    0xffa1070b,
    0xff8b0305,
    0xff90040e,
    0xff90000f,
    0xff6c1014,
    0xff531c18,
    0xff68151c,
    0xff750e15,
    0xff990d17,
    0xff8f070c,
    0xff870108,
    0xff6a2a21,
    0xff3a3c1d,
    0xff68220f,
    0xff960a05,
    0xff9b170b,
    0xffa51000,
    0xffbd2e08,
    0xffc8470d,
    0xffa84a0b,
    0xffe27142,
    0xffb63626,
    0xffa4161e,
    0xff9e0210,
    0xff9c0611,
    0xff91000c,
    0xff970010,
    0xffa60314,
    0xffb70e19,
    0xffbd191f,
    0xffbd2224,
    0xffa41f18,
    0xff84241a,
    0xff602217,
    0xff591a12,
    0xff8c413a,
    0xff8e4c45,
    0xff472c22,
    0xff272d23,
    0xff242d29,
    0xff2a3933,
    0xff332f1e,
    0xff7b4b30,
    0xff984028,
    0xff881d14,
    0xffa22023,
    0xffae151b,
    0xffb11a1f,
    0xffa9121b,
    0xffa9071b,
    0xffa40d20,
    0xff711a19,
    0xff4f442e,
    0xff3d4e37,
    0xff484c3e,
    0xff44543b,
    0xff374933,
    0xff2f412e,
    0xff2d4231,
    0xff2e4433,
    0xff2f412f,
    0xff354532,
    0xff3c4a35,
    0xff42523b,
    0xff3c4e36,
    0xff35482f,
    0xff3b4e36,
    0xff3d5036,
    0xff415237,
    0xff3f4f35,
    0xff3a492f,
    0xff3e5542,
    0xff354a42,
    0xff273b3d,
    0xff1c333d,
    0xff172f3e,
    0xff19313d,
    0xff1e353c,
    0xff22393f,
    0xff1d313e,
    0xff1c323c,
    0xff17242e,
    0xff2f2931,
    0xff432829,
    0xff57362c,
    0xff544124,
    0xff4d481f,
    0xff4d3b17,
    0xff604017,
    0xff826134,
    0xff7a6d41,
    0xff635c3a,
    0xff644b34,
    0xff77482f,
    0xff995e3d,
    0xff5d4623,
    0xff534d2d,
    0xff455032,
    0xff435638,
    0xff485936,
    0xff4f5c37,
    0xff4b5b38,
    0xff455a38,
    0xff51613d,
    0xff4e5d3b,
    0xff4a5a35,
    0xff4a5833,
    0xff505b37,
    0xff55623c,
    0xff555f3a,
    0xff4e5933,
    0xff515b3c,
    0xff4c5635,
    0xff46502b,
    0xff4d572e,
    0xff4e582d,
    0xff596439,
    0xff5c6540,
    0xff57603f,
    0xff5e6843,
    0xff656e42,
    0xff6a7440,
    0xff5e6934,
    0xff5e6539,
    0xff616940,
    0xff646c40,
    0xff5d6634,
    0xff586136,
    0xff656749,
    0xff4a4627,
    0xff5a522e,
    0xff645839,
    0xff645842,
    0xff33281d,
    0xff372b2d,
    0xff473a37,
    0xff84736d,
    0xffa49174,
    0xffb2a449,
    0xffe0ca63,
    0xff4e2b00,
    0xff7e581d,
    0xffc19b79,
    0xff624f41,
    0xff685a48,
    0xff7d7668,
    0xffe2bca5,
    0xffd68258,
    0xffca742f,
    0xffe0a938,
    0xffcc9658,
    0xff946553,
    0xff9d572f,
    0xff9d5f2d,
    0xff6c4b33,
    0xff9f8782,
    0xffd0c2a8,
    0xff655922,
    0xffc6a86f,
    0xffa27128,
    0xffc58626,
    0xffd98e27,
    0xffdb885a,
    0xff8a6d5e,
    0xff5d4840,
    0xff8f7f3b,
    0xff846a23,
    0xff8a6e25,
    0xff918140,
    0xff998850,
    0xff7c6341,
    0xff473722,
    0xff8a8583,
    0xff453f18,
    0xffa9905e,
    0xff876921,
    0xff613700,
    0xff74390a,
    0xff753e1b,
    0xffc09b86,
    0xff564321,
    0xff775422,
    0xff642a00,
    0xff462d00,
    0xffc3b8a0,
    0xff6e6661,
    0xff281620,
    0xff422a30,
    0xff84796a,
    0xff605651,
    0xff574846,
    0xff2056aa,
    0xff1d52a4,
    0xff2559a9,
    0xff2d5faf,
    0xff3768b5,
    0xff3463b1,
    0xff3563b1,
    0xff3462b0,
    0xff3267b5,
    0xff365eac,
    0xff3357aa,
    0xff3361b1,
    0xff4266a7,
    0xff323255,
    0xff2f0413,
    0xff45010c,
    0xff49020f,
    0xff4c010d,
    0xff53010c,
    0xff4e000b,
    0xff3e0015,
    0xff33113c,
    0xff3d4284,
    0xff3653a6,
    0xff334c9e,
    0xff612f5f,
    0xff620510,
    0xff5e1412,
    0xff5c141e,
    0xff6c0014,
    0xff70000b,
    0xff590102,
    0xff6d0009,
    0xff69020a,
    0xff780008,
    0xffa30212,
    0xffad030a,
    0xffb4080e,
    0xffb70010,
    0xffbe0119,
    0xffb60917,
    0xff880425,
    0xff714c80,
    0xff4b69a7,
    0xff5671b4,
    0xff5e70b0,
    0xff506ea9,
    0xff496ea8,
    0xff4e5fa6,
    0xff4666a6,
    0xff4b6a9f,
    0xff8276a7,
    0xff974577,
    0xff8d0332,
    0xffa00022,
    0xffa8051c,
    0xffb90123,
    0xffae0622,
    0xffb40c21,
    0xffbc1721,
    0xffae1c15,
    0xffba261d,
    0xffc12621,
    0xffb72821,
    0xffc5251a,
    0xffb42a28,
    0xff89394a,
    0xff776b8b,
    0xff556ea0,
    0xff4a68ab,
    0xff3b5ea4,
    0xff2e5ca0,
    0xff315ea1,
    0xff345fa3,
    0xff315d9e,
    0xff2f599d,
    0xff3c66a6,
    0xff4870af,
    0xff4871af,
    0xff3c65a5,
    0xff3865a9,
    0xff396aad,
    0xff396bac,
    0xff3566a6,
    0xff446eb0,
    0xff4365a9,
    0xff435ea3,
    0xff455da2,
    0xff3a5599,
    0xff3d5a9e,
    0xff365499,
    0xff39589e,
    0xff3c5ea3,
    0xff3f64a9,
    0xff375ea4,
    0xff4972b5,
    0xff4c72a9,
    0xff576bae,
    0xff516eac,
    0xff596f9d,
    0xffa06f93,
    0xff660012,
    0xff72000f,
    0xff6a0412,
    0xff600112,
    0xff520012,
    0xff4d0210,
    0xff56020f,
    0xff580003,
    0xff560302,
    0xff5c040a,
    0xff5f000f,
    0xff58010c,
    0xff550007,
    0xff500001,
    0xff9d6367,
    0xff5f4040,
    0xff561821,
    0xff65000b,
    0xff6e070c,
    0xff760a0d,
    0xff810b12,
    0xff760003,
    0xff760104,
    0xff870c0e,
    0xff9c1113,
    0xffc63330,
    0xff860300,
    0xff5b235a,
    0xff3e529b,
    0xff3f5097,
    0xff5b587e,
    0xff775268,
    0xff9e3548,
    0xffaf3439,
    0xffb14449,
    0xff8f2939,
    0xff6f0112,
    0xff750111,
    0xff770410,
    0xff74010e,
    0xff7c0211,
    0xff820316,
    0xff89071d,
    0xff981526,
    0xff9d1b29,
    0xff860411,
    0xff84000c,
    0xff9e1624,
    0xffa21828,
    0xff930e1e,
    0xff870718,
    0xff8d091a,
    0xffa20f1f,
    0xff9f0621,
    0xff8c001a,
    0xff810210,
    0xff790214,
    0xff69021b,
    0xff5c091e,
    0xff412647,
    0xff37598a,
    0xff1a539d,
    0xff1e52a5,
    0xff0f54a5,
    0xff0b56ab,
    0xff1951a8,
    0xff224f9f,
    0xff1b4daa,
    0xff1154a1,
    0xff1b57a6,
    0xff1a4faa,
    0xff2053a6,
    0xff2d4279,
    0xff1f0d22,
    0xff28060a,
    0xff2c0910,
    0xff230907,
    0xff230c0b,
    0xff200f18,
    0xff211313,
    0xff220609,
    0xff2b2350,
    0xff2554a9,
    0xff473b82,
    0xff500418,
    0xff650b17,
    0xff6a001e,
    0xff73000a,
    0xff6e0000,
    0xff6a0008,
    0xff60080d,
    0xff620b10,
    0xff5c0300,
    0xff5e0402,
    0xff61080e,
    0xff6d0713,
    0xff71000a,
    0xff6f020e,
    0xff630617,
    0xff690010,
    0xff7a0815,
    0xff670e2b,
    0xff48477f,
    0xff175eac,
    0xff1e59b5,
    0xff2b58b1,
    0xff1b5fb1,
    0xff1959b6,
    0xff195cb5,
    0xff1b5fb2,
    0xff1d5eaf,
    0xff235ab4,
    0xff245ab6,
    0xff1d5bb5,
    0xff1a5eb4,
    0xff2459b1,
    0xff1c5aae,
    0xff1659ad,
    0xff175aad,
    0xff1e59b2,
    0xff1c55af,
    0xff1b58b0,
    0xff1657b0,
    0xff1852b1,
    0xff1b52a5,
    0xff1d58a5,
    0xff1554b1,
    0xff1752bb,
    0xff1d51ba,
    0xff1c59b5,
    0xff1058b0,
    0xff145fb3,
    0xff1c57ac,
    0xff25589e,
    0xff0a4691,
    0xff779add,
    0xff3f4b79,
    0xff476193,
    0xff425791,
    0xff3e5a8d,
    0xff3a3f68,
    0xff373f4f,
    0xff534b54,
    0xff8d8798,
    0xffacc1e0,
    0xff8a9dd4,
    0xff1f4286,
    0xff265ea8,
    0xff19559f,
    0xff17539d,
    0xff134e96,
    0xff1d57a0,
    0xff124c95,
    0xff0d498e,
    0xff0d468e,
    0xff09488f,
    0xff0f4b93,
    0xff0c4890,
    0xff0e4791,
    0xff124b94,
    0xff134c94,
    0xff144c93,
    0xff185096,
    0xff1a529c,
    0xff185099,
    0xff144c97,
    0xff124c95,
    0xff134c97,
    0xff124c98,
    0xff0e4996,
    0xff0c4794,
    0xff124796,
    0xff0f4493,
    0xff124793,
    0xff0c448f,
    0xff0c4592,
    0xff0e4996,
    0xff0d4793,
    0xff084592,
    0xff0f4594,
    0xff0d428e,
    0xff114691,
    0xff134992,
    0xff12478e,
    0xff14498e,
    0xff11498b,
    0xff11488a,
    0xff2b3f77,
    0xff77263a,
    0xff7b0006,
    0xff990b06,
    0xffa20f06,
    0xff980713,
    0xff9f000d,
    0xff9d000b,
    0xff8f0000,
    0xffcb3d35,
    0xffc84a34,
    0xffce5a3f,
    0xffcb4935,
    0xff860000,
    0xff930209,
    0xff860412,
    0xff940007,
    0xff930000,
    0xffb81305,
    0xffdf312c,
    0xffa00009,
    0xffad100f,
    0xffce301a,
    0xffd74831,
    0xffc15b53,
    0xff7e3333,
    0xff86222b,
    0xffaf261c,
    0xffb33b19,
    0xff761207,
    0xff6b0512,
    0xff6b0608,
    0xff5d0004,
    0xffcc675b,
    0xffb53c21,
    0xffbd3920,
    0xffc1472e,
    0xffc04331,
    0xffbb362f,
    0xffb63434,
    0xffdb4e43,
    0xffc73f19,
    0xffb32e04,
    0xffda4e23,
    0xffde4b1a,
    0xffb9200c,
    0xff8c000d,
    0xff75000f,
    0xff4d335c,
    0xff214682,
    0xff184b93,
    0xff204e81,
    0xff405781,
    0xff4c456e,
    0xff987984,
    0xffbb705a,
    0xff8f4224,
    0xff9b3721,
    0xffbc423b,
    0xff860208,
    0xff920012,
    0xff9a0417,
    0xff980f19,
    0xff8e1a1f,
    0xffc96e72,
    0xffc69ba2,
    0xff713a42,
    0xffad5650,
    0xffc65e56,
    0xff8a3a48,
    0xff4a3355,
    0xff423466,
    0xff612d56,
    0xff6e0514,
    0xff88111d,
    0xff8d1820,
    0xff68101f,
    0xff452c5b,
    0xff2a3575,
    0xff182564,
    0xffb4899a,
    0xff693b2e,
    0xffc7702e,
    0xffee9a25,
    0xffffb532,
    0xffd57f44,
    0xff492e59,
    0xff123b7c,
    0xff104190,
    0xff0d438c,
    0xff0d4386,
    0xff084483,
    0xff0f4087,
    0xff0d4289,
    0xff054488,
    0xff183988,
    0xff233991,
    0xff302f75,
    0xff55223e,
    0xff6a0909,
    0xff6d0e14,
    0xff521b27,
    0xff452d42,
    0xff32214e,
    0xff3a2447,
    0xff3f223d,
    0xff423344,
    0xff3f283c,
    0xff512936,
    0xffb46060,
    0xffde6963,
    0xffcc8b7c,
    0xff392f5c,
    0xff243495,
    0xff214994,
    0xff413d68,
    0xff840c1a,
    0xffac0010,
    0xff930713,
    0xff8d0001,
    0xff880006,
    0xff9c0b10,
    0xffa22321,
    0xffc93844,
    0xffa94364,
    0xff3d3a6b,
    0xff50517b,
    0xff8f5b5e,
    0xff66191b,
    0xff5a3a53,
    0xff322f66,
    0xff6a3d75,
    0xff9c2e46,
    0xffb70917,
    0xffa20105,
    0xffa80002,
    0xffa40205,
    0xffb01411,
    0xffaf0100,
    0xffad0502,
    0xffac0404,
    0xffb10209,
    0xff9e0000,
    0xffa80002,
    0xffa20003,
    0xff910105,
    0xff8a0401,
    0xff810f23,
    0xff710a0f,
    0xff830e1d,
    0xffa2252e,
    0xffb62412,
    0xffb6281c,
    0xff9b0e08,
    0xffaf1312,
    0xff9d1907,
    0xff912e23,
    0xffa12a1c,
    0xffc34622,
    0xff711313,
    0xffc43130,
    0xff980105,
    0xff88080a,
    0xff84030b,
    0xff870313,
    0xff622123,
    0xff3f2f28,
    0xff4d2125,
    0xff462c1d,
    0xff6f201a,
    0xff821111,
    0xff840109,
    0xff6c2b21,
    0xff473218,
    0xff862316,
    0xff8f0500,
    0xffa41900,
    0xffaa2607,
    0xffaf3709,
    0xffad2c00,
    0xffa53005,
    0xffa00500,
    0xff970000,
    0xff8d0004,
    0xff9b061f,
    0xff8f000e,
    0xff8d000f,
    0xff9c0019,
    0xffc01429,
    0xffc6151e,
    0xffd22829,
    0xffcb2a29,
    0xffb02014,
    0xff9f1e14,
    0xff901d18,
    0xff8a1511,
    0xffb12121,
    0xffc42932,
    0xff94222b,
    0xff592226,
    0xff2b3a32,
    0xff242624,
    0xffad887c,
    0xffc46f51,
    0xffa53910,
    0xffa13014,
    0xff9f241b,
    0xffa11418,
    0xffa10012,
    0xffa31321,
    0xffaa1224,
    0xffb1071c,
    0xffa21d26,
    0xff633825,
    0xff3a4223,
    0xff43472f,
    0xff3c472e,
    0xff33402b,
    0xff324431,
    0xff3b4c3c,
    0xff384a37,
    0xff37492f,
    0xff3c4c2d,
    0xff3b4724,
    0xff445136,
    0xff445338,
    0xff465439,
    0xff45543a,
    0xff45543a,
    0xff4a583e,
    0xff47523c,
    0xff3c432f,
    0xff314433,
    0xff294036,
    0xff1b3334,
    0xff1b2f3c,
    0xff1d3042,
    0xff152a38,
    0xff192e35,
    0xff1a2e31,
    0xff212c41,
    0xff123441,
    0xff00282b,
    0xff5e7476,
    0xffe7cecd,
    0xff5b170e,
    0xff964c30,
    0xffbc8055,
    0xff793c15,
    0xffac6538,
    0xffb5733d,
    0xffa77a45,
    0xff5f380f,
    0xff9b5d43,
    0xff741700,
    0xffc15a38,
    0xffbd8457,
    0xff6a491e,
    0xff625b32,
    0xff5b6037,
    0xff535b2b,
    0xff575f2b,
    0xff525e2e,
    0xff516134,
    0xff556335,
    0xff556434,
    0xff586536,
    0xff636d40,
    0xff606b3f,
    0xff596337,
    0xff5f673b,
    0xff60683d,
    0xff5c6240,
    0xff525834,
    0xff565d32,
    0xff5c6436,
    0xff5b6334,
    0xff545b30,
    0xff515731,
    0xff565c3a,
    0xff566041,
    0xff616b44,
    0xff636f3c,
    0xff69733d,
    0xff68713d,
    0xff656c3e,
    0xff646937,
    0xff666d39,
    0xff5f643e,
    0xff5c632f,
    0xff63683c,
    0xff43432d,
    0xff6d694e,
    0xff696236,
    0xff5f532e,
    0xff321e14,
    0xff52412d,
    0xff827072,
    0xff665049,
    0xff7d621c,
    0xff5c3e00,
    0xff896e31,
    0xff644305,
    0xff81531d,
    0xff6c5747,
    0xff47301f,
    0xffa38d71,
    0xff9d6e51,
    0xffe29362,
    0xff944304,
    0xffc8831d,
    0xffea8d50,
    0xffa1765a,
    0xffc0835d,
    0xff6e3700,
    0xff815f2c,
    0xffba9387,
    0xffc9a7ae,
    0xff94886d,
    0xff6d6927,
    0xff5c3f0d,
    0xffb17b2d,
    0xffd68524,
    0xffc46945,
    0xff623f33,
    0xff544632,
    0xff85832a,
    0xff796e14,
    0xff503c00,
    0xff848a2b,
    0xff707221,
    0xff776338,
    0xff685942,
    0xffe0dde4,
    0xff473e17,
    0xffa27e3b,
    0xff9e6e23,
    0xff88401d,
    0xff5e1700,
    0xff89613a,
    0xff8c784f,
    0xff7e6733,
    0xff92752d,
    0xff745d0f,
    0xff726636,
    0xff8f8b73,
    0xff877d77,
    0xff493143,
    0xff432e34,
    0xffb2ac9c,
    0xff545050,
    0xff706366,
    0xff2b56a1,
    0xff345faa,
    0xff3461ad,
    0xff3563b1,
    0xff2957a6,
    0xff2758a5,
    0xff295ea7,
    0xff2d65ab,
    0xff3360aa,
    0xff3363b2,
    0xff3865b3,
    0xff5068a8,
    0xff4c3f65,
    0xff2d000f,
    0xff43060c,
    0xff47030c,
    0xff4d0105,
    0xff4c010b,
    0xff500210,
    0xff4e020e,
    0xff440108,
    0xff3d0314,
    0xff2f0325,
    0xff3b194d,
    0xff664c8d,
    0xff581f3d,
    0xff641217,
    0xff630713,
    0xff6c021c,
    0xff820721,
    0xff72000f,
    0xff64010a,
    0xff5d0007,
    0xff66010c,
    0xff6b0008,
    0xff930515,
    0xffb30518,
    0xffb00413,
    0xffae0513,
    0xffbd021b,
    0xffa00419,
    0xff790415,
    0xff6e5575,
    0xff5b6cab,
    0xff5a73b7,
    0xff4e76b1,
    0xff4d6eae,
    0xff4768a2,
    0xff546d9b,
    0xff6575b1,
    0xff876fa9,
    0xff963e5f,
    0xff950720,
    0xffad082d,
    0xffb70d2e,
    0xffb10512,
    0xffb50a18,
    0xffc71e26,
    0xffcf2a2a,
    0xffc3271e,
    0xffd64136,
    0xffd5473b,
    0xffcd4131,
    0xffcf4331,
    0xffca3d35,
    0xffc2351c,
    0xff9b4048,
    0xff997398,
    0xff6d79a9,
    0xff527bbf,
    0xff5172b3,
    0xff3f6eaa,
    0xff426ebc,
    0xff4b7fbf,
    0xff507bbd,
    0xff5170bc,
    0xff4f74bb,
    0xff4571a9,
    0xff3960a1,
    0xff3754a8,
    0xff3a5aaa,
    0xff315da5,
    0xff275e9a,
    0xff446da7,
    0xff6a71ae,
    0xff8c72ad,
    0xff8b6294,
    0xff693d6a,
    0xff734e73,
    0xff725083,
    0xff685f9e,
    0xff3a5b9b,
    0xff2b61a2,
    0xff3c6bae,
    0xff4367ab,
    0xff3a61a6,
    0xff48659e,
    0xff5d72ae,
    0xff817fb9,
    0xffb881ae,
    0xff9b2a45,
    0xff910717,
    0xffa02839,
    0xff610517,
    0xff5d000f,
    0xff590413,
    0xff520311,
    0xff50020d,
    0xff630d17,
    0xff6d1119,
    0xff5d040f,
    0xff58020f,
    0xff5f040f,
    0xff5e040a,
    0xff53030a,
    0xffb17d86,
    0xff4f292a,
    0xff540d08,
    0xff6e0002,
    0xff740310,
    0xff790610,
    0xff700001,
    0xff80050c,
    0xff740006,
    0xff790f0c,
    0xff7d0400,
    0xff7d060a,
    0xff560516,
    0xff4f4696,
    0xff264a96,
    0xff365192,
    0xff624b79,
    0xff813f52,
    0xffa43a40,
    0xffb33742,
    0xffab384a,
    0xff770e1f,
    0xff6a000f,
    0xff70000e,
    0xff790311,
    0xff7b000d,
    0xff860613,
    0xff8b0818,
    0xff8d0a1b,
    0xff8b1221,
    0xff8a0f1e,
    0xff7d000c,
    0xff8f0d1b,
    0xff9b1424,
    0xff900717,
    0xff890010,
    0xff890012,
    0xff8b071d,
    0xff91081b,
    0xff910013,
    0xff85000a,
    0xff7e000c,
    0xff780714,
    0xff68050a,
    0xff670b0f,
    0xff55071c,
    0xff423169,
    0xff2949a0,
    0xff154da5,
    0xff1058a3,
    0xff1358a6,
    0xff1c53ab,
    0xff1c52af,
    0xff1553ad,
    0xff1754a7,
    0xff1a54a4,
    0xff1953a6,
    0xff1b54a7,
    0xff275299,
    0xff37457a,
    0xff281d40,
    0xff2f080b,
    0xff2e0b0e,
    0xff240d13,
    0xff1a1320,
    0xff1f2541,
    0xff263b68,
    0xff2b4f91,
    0xff2a55a4,
    0xff4a2e69,
    0xff64000c,
    0xff6c001a,
    0xff710019,
    0xff6f0104,
    0xff67060f,
    0xff6a000a,
    0xff5b0706,
    0xff5a0505,
    0xff670f10,
    0xff690f11,
    0xff610206,
    0xff69040e,
    0xff6d0613,
    0xff680010,
    0xff6a0312,
    0xff710408,
    0xff7b061f,
    0xff74133a,
    0xff4f4c90,
    0xff1861b7,
    0xff1d5faa,
    0xff255bad,
    0xff1d5cb5,
    0xff1b5cb3,
    0xff1b5ab0,
    0xff1957ac,
    0xff1c59af,
    0xff1f57ae,
    0xff1a55ad,
    0xff1b57ae,
    0xff1a58ae,
    0xff1e57ac,
    0xff1755a8,
    0xff1756a9,
    0xff1556a8,
    0xff185bac,
    0xff185bad,
    0xff185bae,
    0xff1e5eb1,
    0xff215aaa,
    0xff215aac,
    0xff2158af,
    0xff215ab5,
    0xff1f5ab4,
    0xff1f59b3,
    0xff1c58ae,
    0xff1b5aad,
    0xff1a55a2,
    0xff2258ab,
    0xff13428a,
    0xffaccfff,
    0xff7183a8,
    0xff304378,
    0xff365ea3,
    0xff265ea9,
    0xff1a538f,
    0xff215295,
    0xff27498c,
    0xff2f3d71,
    0xff3d3958,
    0xff352d40,
    0xff535065,
    0xff9ea7c5,
    0xff435e9b,
    0xff12397e,
    0xff104692,
    0xff104e9f,
    0xff0a4a9a,
    0xff104e98,
    0xff19529c,
    0xff134c94,
    0xff0c5599,
    0xff1151a1,
    0xff174ba0,
    0xff1e4f9d,
    0xff1a529c,
    0xff1752a3,
    0xff14519c,
    0xff1a5596,
    0xff185199,
    0xff174e9b,
    0xff154e9c,
    0xff154e9b,
    0xff19539d,
    0xff19559c,
    0xff18559d,
    0xff144e9b,
    0xff17509b,
    0xff164f99,
    0xff104994,
    0xff114896,
    0xff114a97,
    0xff124a97,
    0xff124a97,
    0xff104896,
    0xff13459a,
    0xff124595,
    0xff134893,
    0xff124c95,
    0xff114a94,
    0xff164c93,
    0xff18488d,
    0xff1a4081,
    0xff673b69,
    0xff8c0d1b,
    0xff9a120e,
    0xff940c11,
    0xff9f1e1a,
    0xffa31418,
    0xff940312,
    0xff840000,
    0xffbd3332,
    0xffc43f39,
    0xffd25842,
    0xffe36636,
    0xffcc562b,
    0xffb75667,
    0xff711544,
    0xff72141f,
    0xff740000,
    0xff9b0006,
    0xffa50200,
    0xffa60703,
    0xff9a0300,
    0xffd33422,
    0xffbf1700,
    0xffcc4332,
    0xffb33732,
    0xff94362c,
    0xff7e261d,
    0xff831415,
    0xff7b090e,
    0xff65080a,
    0xff650c0e,
    0xff6f080d,
    0xff923536,
    0xffc75a49,
    0xffad311d,
    0xffc54425,
    0xffc23823,
    0xffca3432,
    0xffc53329,
    0xffc53d37,
    0xffae2c1e,
    0xffa21e00,
    0xffd54d27,
    0xffc02b14,
    0xff910000,
    0xff910000,
    0xff860604,
    0xff6f0108,
    0xff3b1537,
    0xff323d7f,
    0xff0e3b8d,
    0xff1e3e7c,
    0xff4e3856,
    0xff7a3540,
    0xff8d382d,
    0xff99462b,
    0xffaa5d53,
    0xffc65737,
    0xffbe2b0f,
    0xffa10000,
    0xffa90515,
    0xffaa0a0d,
    0xff970005,
    0xff8b0019,
    0xff9f3244,
    0xffe7b0b8,
    0xff6f3539,
    0xff934046,
    0xffd4816c,
    0xff953c3a,
    0xffa16e7e,
    0xff314569,
    0xff2f3961,
    0xff5d1d44,
    0xff7e1526,
    0xff780d13,
    0xff711831,
    0xff492a57,
    0xff3d366d,
    0xff683674,
    0xffc087a4,
    0xff825043,
    0xffa84614,
    0xffc66523,
    0xffe67722,
    0xffe4662e,
    0xff623e54,
    0xff193983,
    0xff0d4584,
    0xff183e80,
    0xff124484,
    0xff0f4085,
    0xff164385,
    0xff184081,
    0xff163883,
    0xff09418f,
    0xff0f408c,
    0xff0f3c76,
    0xff4d2c48,
    0xff7d1c26,
    0xff530007,
    0xff6f2827,
    0xff67130d,
    0xff5d1413,
    0xff530f14,
    0xff60121a,
    0xff801b16,
    0xff82230b,
    0xffe18c64,
    0xffbd4a25,
    0xffd2695f,
    0xff463241,
    0xff143f77,
    0xff134690,
    0xff1c4383,
    0xff55385f,
    0xff88091c,
    0xffa3030e,
    0xff970205,
    0xff990002,
    0xffb8212e,
    0xffc73945,
    0xff830b13,
    0xff8a120f,
    0xff6e2339,
    0xff3c3769,
    0xff7d5e76,
    0xff780d07,
    0xff983330,
    0xffb07582,
    0xff70395e,
    0xff94244e,
    0xffa10115,
    0xffac0204,
    0xffa9020b,
    0xffac0018,
    0xffa4000f,
    0xffa30006,
    0xffab0407,
    0xffa70107,
    0xffa6000e,
    0xffa60114,
    0xff9e010b,
    0xff9a0003,
    0xff990005,
    0xff930104,
    0xff8b0307,
    0xff8e1216,
    0xff880e10,
    0xff7a0000,
    0xff890107,
    0xff930409,
    0xff910f06,
    0xff930613,
    0xffa30c13,
    0xffb22920,
    0xff891009,
    0xffae4128,
    0xffdb6641,
    0xffbc3d28,
    0xffc73a25,
    0xff90191a,
    0xff6b1b28,
    0xff6b1b27,
    0xff6f1d26,
    0xff4a3431,
    0xff373c37,
    0xff492029,
    0xff323127,
    0xff4e3034,
    0xff5c2a2a,
    0xff5e1d1e,
    0xff4e2c25,
    0xff4c3019,
    0xff87200a,
    0xffa71e10,
    0xffa31d05,
    0xffab3a09,
    0xffaf4301,
    0xffc2430c,
    0xffb72a0c,
    0xff9f1109,
    0xff860000,
    0xff840000,
    0xff9f0606,
    0xffa30115,
    0xff9f041c,
    0xffba1828,
    0xffce1326,
    0xffbd021a,
    0xffbd1725,
    0xffd53835,
    0xffb71d20,
    0xffa21614,
    0xff9f0d11,
    0xff91020d,
    0xffa01a1f,
    0xffc62229,
    0xffa40313,
    0xff7b212b,
    0xff312b35,
    0xff283330,
    0xff3f2e1a,
    0xffb6654a,
    0xffc3512c,
    0xffac3c18,
    0xffa42e1f,
    0xffb62838,
    0xffbf2b3a,
    0xffbc242e,
    0xffb21119,
    0xffb70814,
    0xffbb242f,
    0xff652c1f,
    0xff3b4a2b,
    0xff3e4b31,
    0xff474732,
    0xff3f4a2e,
    0xff354528,
    0xff323f25,
    0xff2d3a25,
    0xff31402b,
    0xff43452c,
    0xff54472a,
    0xff333c23,
    0xff3d402b,
    0xff464732,
    0xff485137,
    0xff3e512f,
    0xff3f5332,
    0xff3f4f34,
    0xff414c38,
    0xff424341,
    0xff2a493c,
    0xff233e30,
    0xff332624,
    0xff766569,
    0xff1c3533,
    0xff193c3f,
    0xff212c3c,
    0xff1c3131,
    0xff1c283a,
    0xff182645,
    0xff0d2234,
    0xff98928b,
    0xff7e4025,
    0xff7e2200,
    0xffa9542c,
    0xffa74f25,
    0xff8c3a00,
    0xffb36b24,
    0xffbb7a32,
    0xff965111,
    0xffa74722,
    0xff6d0300,
    0xffa24628,
    0xffe59864,
    0xff8d5929,
    0xff665f2e,
    0xff586634,
    0xff616735,
    0xff60703b,
    0xff5d7342,
    0xff606142,
    0xff576435,
    0xff5f6b39,
    0xff666f3c,
    0xff616430,
    0xff676833,
    0xff73733f,
    0xff6f723c,
    0xff727540,
    0xff636b39,
    0xff666f3c,
    0xff5d6633,
    0xff5b6331,
    0xff666d3f,
    0xff5f693c,
    0xff575f36,
    0xff58633b,
    0xff5a663f,
    0xff66663e,
    0xff686545,
    0xff647034,
    0xff6e763d,
    0xff6e6244,
    0xff6f6340,
    0xff696944,
    0xff656b43,
    0xff60683e,
    0xff555d32,
    0xff636940,
    0xff3e4019,
    0xff74724a,
    0xff67633d,
    0xff817655,
    0xff52442f,
    0xff6e5353,
    0xff7f6d62,
    0xffbaa159,
    0xffa36a0a,
    0xff753d0d,
    0xff4e2206,
    0xffb27b3d,
    0xff564334,
    0xff45301b,
    0xffba8968,
    0xffb17c58,
    0xff743109,
    0xffb25d2c,
    0xffa16327,
    0xffa06626,
    0xff856742,
    0xffc07444,
    0xff914816,
    0xff5d3b0b,
    0xffd0aaa1,
    0xff8f635f,
    0xffc7a56d,
    0xff7e5919,
    0xff8b722c,
    0xff946a28,
    0xffb56b42,
    0xffd48c6b,
    0xff5e4020,
    0xff564838,
    0xff968836,
    0xff8d762c,
    0xff776331,
    0xff606615,
    0xff676c24,
    0xff5c4322,
    0xff7b5e5c,
    0xff7f7375,
    0xff695d31,
    0xff8f6822,
    0xff611f00,
    0xff722d0b,
    0xff8b591b,
    0xffad906f,
    0xff5c4a17,
    0xffa38e3b,
    0xff8b771c,
    0xff4c4104,
    0xff2d2801,
    0xff9a9681,
    0xff9e9493,
    0xff3e2530,
    0xff533c42,
    0xff827a76,
    0xff534e4e,
    0xff897e85,
    0xff517aba,
    0xff3c6cb2,
    0xff3066b2,
    0xff2760a8,
    0xff356aac,
    0xff3666aa,
    0xff3860ad,
    0xff395ab0,
    0xff3860aa,
    0xff3563b0,
    0xff466fb9,
    0xff5765a2,
    0xff32193c,
    0xff3b0211,
    0xff490006,
    0xff4d010a,
    0xff50050a,
    0xff4f020e,
    0xff4a010f,
    0xff4c000c,
    0xff490004,
    0xff4b030c,
    0xff43031a,
    0xff65294c,
    0xff681231,
    0xff640719,
    0xff680616,
    0xff6c091d,
    0xff7a081d,
    0xff81010d,
    0xff820913,
    0xff62010c,
    0xff550105,
    0xff5d0007,
    0xff630005,
    0xff7e010c,
    0xffaf0217,
    0xffbd0015,
    0xffb70419,
    0xffaf0016,
    0xff980010,
    0xff930314,
    0xffa7587c,
    0xff675c9a,
    0xff5371b0,
    0xff3a71ab,
    0xff3e6bac,
    0xff4b6aa6,
    0xff53719c,
    0xff7f5988,
    0xffb13260,
    0xffb80528,
    0xffbe1123,
    0xffb82027,
    0xffbe2425,
    0xffd22a2b,
    0xffca3230,
    0xffd74238,
    0xffc93925,
    0xffc94125,
    0xffcf4f33,
    0xffcd5033,
    0xffc94d31,
    0xffc6462a,
    0xffc0382a,
    0xffb33625,
    0xff905670,
    0xff7370a3,
    0xff627bb4,
    0xff486fb1,
    0xff4268a5,
    0xff3f6dad,
    0xff5172b5,
    0xff456ea9,
    0xff325e9d,
    0xff2e58a5,
    0xff325fab,
    0xff3163a2,
    0xff3360a3,
    0xff416bbb,
    0xff4077b8,
    0xff3c66b0,
    0xff3c61b0,
    0xff4562a2,
    0xff665283,
    0xff690d30,
    0xff820012,
    0xff860007,
    0xff93010a,
    0xff7a0014,
    0xff763056,
    0xff60608f,
    0xff3f6599,
    0xff39609a,
    0xff4e67a6,
    0xff586ca7,
    0xff796fa9,
    0xff8e5a8b,
    0xffb3496f,
    0xff8d061e,
    0xffa9262d,
    0xffc65352,
    0xffd86d6e,
    0xff7c1214,
    0xff590006,
    0xff4d010a,
    0xff5c1b24,
    0xffae7075,
    0xff5e161b,
    0xff701620,
    0xff6b0311,
    0xff68000b,
    0xff5a050b,
    0xff5c0003,
    0xff6f282d,
    0xff8e6069,
    0xff611724,
    0xff73060e,
    0xff820a0f,
    0xff75000c,
    0xff70000a,
    0xff7d030e,
    0xff81030b,
    0xff7c0107,
    0xff840709,
    0xff7c0109,
    0xff4b0011,
    0xff463961,
    0xff224e89,
    0xff305491,
    0xff464e86,
    0xff6f476d,
    0xff953047,
    0xffad2d3f,
    0xffaa3b51,
    0xff87314d,
    0xff6d0113,
    0xff700111,
    0xff790616,
    0xff7b0513,
    0xff7d020e,
    0xff840614,
    0xff840413,
    0xff830412,
    0xff7f0313,
    0xff7c000c,
    0xff7f000c,
    0xff8b0514,
    0xffa31727,
    0xffab1a2c,
    0xffa8142a,
    0xffa00b21,
    0xff99041c,
    0xff8e0010,
    0xffa21828,
    0xffaf2d3a,
    0xff9c2231,
    0xff870f1d,
    0xff820410,
    0xff7f0006,
    0xff77030f,
    0xff55052b,
    0xff4c4381,
    0xff2653a0,
    0xff1b4f9f,
    0xff1a559c,
    0xff1357a1,
    0xff1255a9,
    0xff1456ab,
    0xff1753a5,
    0xff1854a3,
    0xff1453a5,
    0xff1856ab,
    0xff2056a6,
    0xff2d4e92,
    0xff46548c,
    0xff261637,
    0xff1c061b,
    0xff251020,
    0xff25233d,
    0xff3d5685,
    0xff2f599f,
    0xff2755a3,
    0xff2e51a0,
    0xff4c2d62,
    0xff660009,
    0xff6a0314,
    0xff6c0016,
    0xff740308,
    0xff600609,
    0xff660009,
    0xff610307,
    0xff5d0408,
    0xff60050b,
    0xff61040a,
    0xff5e0005,
    0xff630009,
    0xff69020f,
    0xff6d0112,
    0xff6e0215,
    0xff690e26,
    0xff621b4a,
    0xff6e3f70,
    0xff405499,
    0xff1559af,
    0xff1c54a7,
    0xff1c56a7,
    0xff1357ab,
    0xff1758ab,
    0xff1a58ad,
    0xff1c57ad,
    0xff2059af,
    0xff205ab0,
    0xff2059af,
    0xff215db3,
    0xff205db3,
    0xff245eb0,
    0xff225dae,
    0xff1f5dae,
    0xff1c5dac,
    0xff1e5faf,
    0xff2162b2,
    0xff1f60b0,
    0xff1d5eae,
    0xff1f5fb2,
    0xff215fb1,
    0xff215cac,
    0xff2356a3,
    0xff2b579c,
    0xff3a5d9b,
    0xff2e4a81,
    0xff294377,
    0xff163d81,
    0xff58709f,
    0xffced7f6,
    0xff3a4570,
    0xff143570,
    0xff11458a,
    0xff0c458e,
    0xff0b408e,
    0xff15408d,
    0xff11488f,
    0xff074c92,
    0xff0d4f98,
    0xff1d4d9b,
    0xff2b4487,
    0xff38436b,
    0xff353a50,
    0xff6c779a,
    0xff91aad6,
    0xff325d96,
    0xff104686,
    0xff1b5298,
    0xff174f9b,
    0xff1049a2,
    0xff124dac,
    0xff204ca8,
    0xff19509d,
    0xff105396,
    0xff115392,
    0xff175195,
    0xff184d95,
    0xff1c4f9e,
    0xff194fa1,
    0xff1d569a,
    0xff1a539a,
    0xff174f9a,
    0xff174e99,
    0xff144c96,
    0xff144e97,
    0xff144e98,
    0xff104896,
    0xff0c4890,
    0xff0e4992,
    0xff0e4a93,
    0xff0a4491,
    0xff0d4794,
    0xff114b97,
    0xff114b97,
    0xff16509d,
    0xff144c9e,
    0xff114a97,
    0xff0f4993,
    0xff104b95,
    0xff0d4993,
    0xff144891,
    0xff1d458a,
    0xff213a7b,
    0xff723242,
    0xff8f0b08,
    0xff8c1107,
    0xff85080a,
    0xff83090a,
    0xff970c11,
    0xff8d000c,
    0xffb32c33,
    0xffd34b4e,
    0xffc74835,
    0xffda7161,
    0xffb45437,
    0xffc7724e,
    0xff52354c,
    0xff3c4082,
    0xff412c52,
    0xffa65064,
    0xffa10f20,
    0xff990000,
    0xff9b0000,
    0xffdc3f1f,
    0xffd63713,
    0xffc92b16,
    0xff8d0805,
    0xffb53e2e,
    0xff710f00,
    0xff6e1500,
    0xff7c1810,
    0xff680606,
    0xff610e0b,
    0xff5d0a00,
    0xff7b1a0e,
    0xff951c12,
    0xffbf3e24,
    0xffb82f22,
    0xffcf4134,
    0xffbe270d,
    0xffc12b08,
    0xffaa320c,
    0xff852c2a,
    0xffa34b50,
    0xfff0876c,
    0xffa21100,
    0xffa80500,
    0xff960000,
    0xff8f010d,
    0xff81000c,
    0xff8e0f1e,
    0xff863b52,
    0xff533464,
    0xff3b4183,
    0xff464474,
    0xff6c3343,
    0xff9d302e,
    0xffaa3230,
    0xffae4546,
    0xffaa4442,
    0xff840400,
    0xffc02216,
    0xffa9050d,
    0xffaa0919,
    0xffd43738,
    0xffba2420,
    0xff9d1214,
    0xffab3b2b,
    0xffce9f9a,
    0xff62463d,
    0xffbd8286,
    0xff8c3f2a,
    0xffa64325,
    0xffbc674e,
    0xff64455f,
    0xff273473,
    0xff5b3359,
    0xff6e0f1e,
    0xff730716,
    0xff8d2f51,
    0xff7e3d6a,
    0xff5a376f,
    0xff3a2862,
    0xff88748c,
    0xff845055,
    0xffab3c30,
    0xff811004,
    0xff800600,
    0xff961a03,
    0xff572f38,
    0xff2a417f,
    0xff0b4388,
    0xff0a467b,
    0xff0c4584,
    0xff134193,
    0xff0e4089,
    0xff0e4288,
    0xff14388d,
    0xff0d3e91,
    0xff123079,
    0xff393d6a,
    0xff79354b,
    0xff7c141d,
    0xff530807,
    0xff57130f,
    0xff610000,
    0xff72010a,
    0xff740105,
    0xff770a0c,
    0xff7e0b03,
    0xff963217,
    0xffd88454,
    0xffcb5d30,
    0xffbf685e,
    0xff383355,
    0xff1a3674,
    0xff193b7c,
    0xff283565,
    0xff652842,
    0xff8e081c,
    0xff81020f,
    0xff821014,
    0xffa9201f,
    0xffb22713,
    0xff971305,
    0xff6d0500,
    0xffb44937,
    0xffab4b4d,
    0xff702d44,
    0xff972d3c,
    0xffbd171e,
    0xffb31e11,
    0xffc13b3c,
    0xffa2192d,
    0xffbb1a35,
    0xffc41320,
    0xffc01010,
    0xffbc0e0f,
    0xffb30611,
    0xffa80309,
    0xffa20006,
    0xffa00003,
    0xffa40006,
    0xffaa0108,
    0xffa10004,
    0xff9d010a,
    0xff95020c,
    0xff90020b,
    0xff870108,
    0xff7e0709,
    0xff7e110f,
    0xff801a16,
    0xff7c100d,
    0xff780400,
    0xff840806,
    0xff940a08,
    0xff970010,
    0xff9c0007,
    0xffb21719,
    0xffbb2e2d,
    0xffaf2c1e,
    0xffea614a,
    0xffcb3730,
    0xffba302d,
    0xff822826,
    0xff3c2e2a,
    0xff3c3a3b,
    0xff54232a,
    0xff5d2626,
    0xff572a29,
    0xff6a2432,
    0xff3c312e,
    0xff303534,
    0xff2e3c31,
    0xff453a33,
    0xff473230,
    0xff623826,
    0xff942812,
    0xff941200,
    0xffa11f00,
    0xffb74a13,
    0xffb34b04,
    0xffb73e04,
    0xffb32809,
    0xff990e03,
    0xff8a0201,
    0xff820000,
    0xffa61d15,
    0xffc6252f,
    0xffb5091e,
    0xffce2135,
    0xffd11a30,
    0xffba071e,
    0xffb5071c,
    0xffd51a2e,
    0xffc01b1e,
    0xffb11912,
    0xffa9040b,
    0xff9b000a,
    0xff900006,
    0xffc31723,
    0xff9b0009,
    0xff872c3a,
    0xff2f2420,
    0xff25372f,
    0xff1e2822,
    0xff653838,
    0xff8a2526,
    0xff951713,
    0xffba2c2e,
    0xffb51524,
    0xffd73749,
    0xffaf1321,
    0xffb3101d,
    0xffb60a1e,
    0xff9b1d28,
    0xff533025,
    0xff344028,
    0xff433f30,
    0xff3b453a,
    0xff304538,
    0xff2e4536,
    0xff313d30,
    0xff323c2d,
    0xff2e351f,
    0xff686248,
    0xff513920,
    0xff3e4126,
    0xff3f4830,
    0xff394933,
    0xff2e462e,
    0xff2e4129,
    0xff394430,
    0xff344131,
    0xff304638,
    0xff374433,
    0xff343c2b,
    0xff42362c,
    0xff725653,
    0xff352926,
    0xff20342a,
    0xff20403a,
    0xff2a4141,
    0xff264040,
    0xff273036,
    0xff20293b,
    0xff12273d,
    0xff080b0d,
    0xff663a1f,
    0xff762c07,
    0xff813513,
    0xffbc6137,
    0xffb56527,
    0xffbf7325,
    0xffdb8c33,
    0xffcd782b,
    0xff701900,
    0xff640b00,
    0xff9d4c37,
    0xffbe6337,
    0xffe6a47e,
    0xff66532e,
    0xff585d36,
    0xff5b5d34,
    0xff596939,
    0xff4a6436,
    0xff545d3c,
    0xff586536,
    0xff5b6737,
    0xff676f3d,
    0xff6d713e,
    0xff646734,
    0xff6d703d,
    0xff707242,
    0xff5d6431,
    0xff596331,
    0xff606837,
    0xff5e6638,
    0xff585e30,
    0xff5d6439,
    0xff636a40,
    0xff616942,
    0xff69724c,
    0xff6a784a,
    0xff63663d,
    0xff656443,
    0xff646f34,
    0xff5f672e,
    0xff554e2a,
    0xff58522a,
    0xff5b5d31,
    0xff575e30,
    0xff565c31,
    0xff656a42,
    0xff6b704b,
    0xff565737,
    0xff323013,
    0xff696349,
    0xff675f48,
    0xff807265,
    0xff58433e,
    0xff7b6b66,
    0xff68502d,
    0xffd6a358,
    0xffb17121,
    0xff8e4f11,
    0xff894b15,
    0xff3e1b00,
    0xff806f6a,
    0xff754b25,
    0xffae7449,
    0xffaf7248,
    0xff9c5821,
    0xffa1684a,
    0xff7c5033,
    0xff886f5a,
    0xffa0633e,
    0xffca8464,
    0xff784e31,
    0xffb7938a,
    0xff835139,
    0xffb27a37,
    0xffb27136,
    0xffbe722b,
    0xffad711e,
    0xff6e3205,
    0xffb58673,
    0xff513a29,
    0xff664925,
    0xffcda731,
    0xffb1851b,
    0xff341200,
    0xffac994c,
    0xff816821,
    0xff7b5621,
    0xff735e4d,
    0xffbdbac3,
    0xff413324,
    0xff764226,
    0xffa37335,
    0xff8f7719,
    0xff948238,
    0xff472a11,
    0xff8f7e47,
    0xff292900,
    0xff6a622b,
    0xff6d5421,
    0xff907a37,
    0xff786e54,
    0xffb9b1b9,
    0xff463d46,
    0xff534c50,
    0xff717079,
    0xffdedce1,
    0xff574941,
    0xff366aa7,
    0xff3963a7,
    0xff3e5ea8,
    0xff4066ad,
    0xff2c5b9c,
    0xff30609e,
    0xff486aab,
    0xff5c71b6,
    0xff6b6fa2,
    0xff525990,
    0xff454981,
    0xff4a3d69,
    0xff471e36,
    0xff44020d,
    0xff4c0003,
    0xff540309,
    0xff4e0208,
    0xff4a010c,
    0xff47000b,
    0xff4c000a,
    0xff510004,
    0xff5c080e,
    0xff5c0816,
    0xff600b1e,
    0xff720a11,
    0xff780914,
    0xff7a0a20,
    0xff770623,
    0xff7c031c,
    0xff870613,
    0xff840c14,
    0xff89232e,
    0xff560509,
    0xff680006,
    0xff6f0005,
    0xff790006,
    0xffa0000f,
    0xffb60017,
    0xffa90216,
    0xff94000f,
    0xff860013,
    0xffa20c1e,
    0xff951c42,
    0xff845e98,
    0xff4f629e,
    0xff496ba9,
    0xff4c6aa9,
    0xff6f73ad,
    0xff897daa,
    0xff9d4e60,
    0xffaf1b1e,
    0xffd0242a,
    0xffdd4941,
    0xffe4664a,
    0xffdd5f3e,
    0xffd04431,
    0xffdc4238,
    0xffe64f3a,
    0xffce411e,
    0xffdb542c,
    0xffda572f,
    0xffc74421,
    0xffc4401f,
    0xffc63f20,
    0xffc63d27,
    0xffb94841,
    0xff795e83,
    0xff4664a4,
    0xff3b61a3,
    0xff3e65a3,
    0xff466fac,
    0xff3b67ad,
    0xff355899,
    0xff345b99,
    0xff2f62a3,
    0xff2760ad,
    0xff2558a9,
    0xff2c57a0,
    0xff245195,
    0xff275599,
    0xff305b97,
    0xff4161a9,
    0xff3d5ba3,
    0xff5e649d,
    0xff82496a,
    0xff79000a,
    0xff970102,
    0xff8d0800,
    0xff94010a,
    0xff970311,
    0xff83182b,
    0xff7c5a83,
    0xff455ea2,
    0xff536ec1,
    0xff726bb6,
    0xffa67ab3,
    0xffb74969,
    0xff960921,
    0xffa40114,
    0xffa30514,
    0xffc44552,
    0xffd16a74,
    0xffc66066,
    0xff6a0000,
    0xff620711,
    0xff510108,
    0xff7d3e44,
    0xff7c4146,
    0xff530e11,
    0xff5a040d,
    0xff6a020a,
    0xff6e0008,
    0xff590000,
    0xff570000,
    0xffa16c6c,
    0xff643f45,
    0xff6d0a21,
    0xff820211,
    0xff700305,
    0xff6e0003,
    0xff77000e,
    0xff8f0c19,
    0xff7d0009,
    0xff860009,
    0xff99000c,
    0xff8f0520,
    0xff561e4f,
    0xff344994,
    0xff165a9a,
    0xff28438c,
    0xff4b4885,
    0xff754a70,
    0xff9c314c,
    0xffaf3048,
    0xff974056,
    0xff773d5a,
    0xff790a1e,
    0xff770415,
    0xff750110,
    0xff75000d,
    0xff79040f,
    0xff7e0310,
    0xff7f0311,
    0xff870916,
    0xff800113,
    0xff7f000d,
    0xff8a0315,
    0xff910415,
    0xffa31023,
    0xff99031a,
    0xffa40923,
    0xffa80e28,
    0xff9f0a1e,
    0xff8a0010,
    0xff820c17,
    0xff841c24,
    0xff851f2b,
    0xff830f1f,
    0xff8e0514,
    0xff9c020f,
    0xff720005,
    0xff6c020b,
    0xff47132a,
    0xff3d467f,
    0xff2b4ca2,
    0xff2353a8,
    0xff1b57a4,
    0xff1858a9,
    0xff1758ad,
    0xff1b58aa,
    0xff1e59a8,
    0xff1a5bae,
    0xff1659b1,
    0xff1658b0,
    0xff2459ac,
    0xff2a539c,
    0xff3d5397,
    0xff292c5b,
    0xff1e1638,
    0xff424c78,
    0xff2a589f,
    0xff1857b3,
    0xff2359b2,
    0xff31529d,
    0xff4e2b5a,
    0xff670005,
    0xff650409,
    0xff670015,
    0xff75020d,
    0xff600605,
    0xff630206,
    0xff6a000a,
    0xff5f0209,
    0xff5e020a,
    0xff62030c,
    0xff620107,
    0xff64000a,
    0xff66000b,
    0xff6d0311,
    0xff66000d,
    0xff7b3c66,
    0xff655a9d,
    0xff425593,
    0xff28589e,
    0xff205cb3,
    0xff2958b0,
    0xff235db3,
    0xff1b61ac,
    0xff2061b0,
    0xff215eaf,
    0xff215fb0,
    0xff245eb1,
    0xff1f59ac,
    0xff1d57a9,
    0xff1f59ab,
    0xff215bad,
    0xff225bac,
    0xff225dad,
    0xff205ead,
    0xff1d5cab,
    0xff1857a6,
    0xff1857a6,
    0xff1453a2,
    0xff10509e,
    0xff1254a8,
    0xff0c4d9d,
    0xff0b4893,
    0xff12468b,
    0xff214a85,
    0xff1b376b,
    0xff394b76,
    0xff656d95,
    0xffb5b8dd,
    0xff7680a4,
    0xff162f5f,
    0xff17458b,
    0xff134fa2,
    0xff0e509d,
    0xff114c94,
    0xff1d4f9d,
    0xff1c4dad,
    0xff1756a6,
    0xff0d589c,
    0xff08589f,
    0xff1154a9,
    0xff1e50a6,
    0xff21498b,
    0xff335581,
    0xff2e4755,
    0xff3c4a57,
    0xff8289a1,
    0xff818bbb,
    0xff27458c,
    0xff17469a,
    0xff184da0,
    0xff1d4e99,
    0xff1d4795,
    0xff1a4e96,
    0xff15529e,
    0xff0d4da4,
    0xff104898,
    0xff134989,
    0xff164c91,
    0xff13499f,
    0xff0f488d,
    0xff0f498d,
    0xff10498f,
    0xff114991,
    0xff134a95,
    0xff124994,
    0xff134b99,
    0xff124a97,
    0xff0e4b94,
    0xff0e4d96,
    0xff0e4d95,
    0xff0e4c98,
    0xff0d4c97,
    0xff0e4d97,
    0xff0c4b96,
    0xff0e4c97,
    0xff0d4994,
    0xff114c98,
    0xff104d99,
    0xff0d4e98,
    0xff0f4b96,
    0xff154691,
    0xff23468b,
    0xff2f407e,
    0xff6d282b,
    0xff82110c,
    0xff680603,
    0xff790b14,
    0xff820e0d,
    0xffa41d18,
    0xffcd4442,
    0xffd1524b,
    0xffc9483d,
    0xffd05237,
    0xffd67069,
    0xff80383b,
    0xff815755,
    0xff2e345b,
    0xff11317e,
    0xff2a306b,
    0xff935a62,
    0xff8f0f0f,
    0xff970507,
    0xff970000,
    0xffd9301b,
    0xffda3c21,
    0xff9b0a03,
    0xff830503,
    0xffbb4731,
    0xffd86b45,
    0xffaa4515,
    0xffa34113,
    0xff923715,
    0xff731c05,
    0xff872811,
    0xffb1442b,
    0xffb92d23,
    0xffc23413,
    0xffba2b0c,
    0xffb82c01,
    0xffc73a00,
    0xffcf4b01,
    0xffd26a29,
    0xff712812,
    0xffaa5d45,
    0xffd56c2e,
    0xffda490f,
    0xffcf290f,
    0xffd6382d,
    0xffa9191e,
    0xff980916,
    0xffb22322,
    0xffb13c35,
    0xffa23e3f,
    0xff703745,
    0xff3e2d4b,
    0xff583f64,
    0xff813559,
    0xffa82f45,
    0xff97101b,
    0xff800000,
    0xffb91f21,
    0xffc21c23,
    0xff9d0008,
    0xffd8444b,
    0xffd03f3a,
    0xffd24631,
    0xffdc5f36,
    0xffc86c29,
    0xfffff2db,
    0xfff1dad0,
    0xffab646a,
    0xffc26260,
    0xffb24940,
    0xff99453d,
    0xff764776,
    0xff5c4973,
    0xff73536a,
    0xff88425b,
    0xff581442,
    0xff46366c,
    0xff282c63,
    0xff576194,
    0xff234970,
    0xff718b9a,
    0xff75494c,
    0xff982c28,
    0xff9c1d13,
    0xffd44f45,
    0xffca533a,
    0xff8f583f,
    0xff262643,
    0xff1c3d8e,
    0xff084484,
    0xff0d3c88,
    0xff0e398f,
    0xff044084,
    0xff093b7a,
    0xff0d397b,
    0xff0f3f77,
    0xff153460,
    0xff563d4a,
    0xff500000,
    0xff530002,
    0xff430006,
    0xff3a0000,
    0xff56050b,
    0xff620308,
    0xff700603,
    0xff680200,
    0xff720100,
    0xffc5553c,
    0xffda6e43,
    0xffd7632d,
    0xffc17561,
    0xff293055,
    0xff1a337c,
    0xff11357b,
    0xff30376b,
    0xff702e53,
    0xff7b173f,
    0xff67254f,
    0xff5f283d,
    0xfffa9c99,
    0xffa22d0a,
    0xff8c1b00,
    0xff842b21,
    0xff821e10,
    0xffa1321e,
    0xff751700,
    0xffc55a35,
    0xffb42d12,
    0xffcb3d16,
    0xffc7210c,
    0xffbf0c0d,
    0xffc7131e,
    0xffc61a22,
    0xffca2326,
    0xffc72421,
    0xffe2443e,
    0xffd93733,
    0xffb81a1c,
    0xffc4252b,
    0xffd02b2f,
    0xffba110f,
    0xffa80000,
    0xff9d0008,
    0xff940113,
    0xff8c010d,
    0xff86010c,
    0xff790309,
    0xff771310,
    0xff7a1f16,
    0xff7f2016,
    0xff811a0f,
    0xff8e1a10,
    0xff8d0809,
    0xff95040f,
    0xffa60a16,
    0xffb61a1c,
    0xffac1517,
    0xff9e0d07,
    0xffad1710,
    0xff9c0006,
    0xffa60717,
    0xffad2d35,
    0xff682c2b,
    0xff4d2124,
    0xff7a0917,
    0xff9e040a,
    0xffc53b3b,
    0xff9e222f,
    0xff5c3032,
    0xff423a40,
    0xff2c423d,
    0xff2d3c38,
    0xff373837,
    0xff593125,
    0xff912208,
    0xffa01800,
    0xffac2d01,
    0xffe07533,
    0xffc36015,
    0xffa93400,
    0xffb02c0b,
    0xff950d03,
    0xff940a07,
    0xff8d0000,
    0xffc03129,
    0xffb41312,
    0xffa7050d,
    0xffb30f22,
    0xffb7071e,
    0xffbe1424,
    0xffb00a1b,
    0xffbb0923,
    0xffb00a0e,
    0xff9c0603,
    0xff9a0001,
    0xff9e000f,
    0xff9e0811,
    0xffca2127,
    0xff940001,
    0xff993740,
    0xff332416,
    0xff273228,
    0xff223938,
    0xff23232a,
    0xff532029,
    0xff740e13,
    0xff9c1516,
    0xffbd2627,
    0xffbb252b,
    0xffad1c21,
    0xffc31d2c,
    0xffbb1227,
    0xff861d25,
    0xff483125,
    0xff253018,
    0xff2e321b,
    0xff25311f,
    0xff30473a,
    0xff2e4943,
    0xff33463e,
    0xff344434,
    0xff37462b,
    0xff53523a,
    0xff5e4d39,
    0xff333f25,
    0xff2d432e,
    0xff2a4133,
    0xff2f3d37,
    0xff313732,
    0xff2e3831,
    0xff2d3e36,
    0xff22342c,
    0xff2c2819,
    0xff674f49,
    0xff573e3f,
    0xff403b3c,
    0xff212f2c,
    0xff212f2f,
    0xff1f2e2d,
    0xff1e3534,
    0xff163240,
    0xff293638,
    0xff2a312f,
    0xff23353b,
    0xff242b25,
    0xff6f4f2a,
    0xff763409,
    0xff722503,
    0xff8c3907,
    0xffc0783b,
    0xffcc8432,
    0xffd47b1d,
    0xfff3903e,
    0xff9e480b,
    0xff8c3f10,
    0xffdc885e,
    0xffe19368,
    0xffad7b54,
    0xff625935,
    0xff585e3e,
    0xff5b5f3e,
    0xff4c5b33,
    0xff4a6439,
    0xff596543,
    0xff586538,
    0xff546031,
    0xff565e2f,
    0xff5a6032,
    0xff62683a,
    0xff5a6235,
    0xff525c2f,
    0xff525c31,
    0xff48542b,
    0xff475127,
    0xff515a30,
    0xff535b33,
    0xff484e2a,
    0xff3f4524,
    0xff42492b,
    0xff454e31,
    0xff43522f,
    0xff4f5335,
    0xff545741,
    0xff5f683c,
    0xff5a6234,
    0xff312d16,
    0xff464421,
    0xff5f673f,
    0xff5e6035,
    0xff54562d,
    0xff656643,
    0xff535338,
    0xff575644,
    0xff302c1e,
    0xff4d493c,
    0xff393327,
    0xff766864,
    0xff675650,
    0xff6b5552,
    0xff7c6660,
    0xff8a653e,
    0xffd79648,
    0xffcb7d27,
    0xff995213,
    0xff8c4f24,
    0xff9b8787,
    0xff4b2210,
    0xffe6ac8a,
    0xffa67750,
    0xffbb8847,
    0xff9a6434,
    0xffd2ae91,
    0xffa28c82,
    0xffab7f67,
    0xffc68872,
    0xffa37061,
    0xff8b685e,
    0xff9f6841,
    0xffd38337,
    0xffd88646,
    0xffa74100,
    0xffba7f19,
    0xff795a19,
    0xffb89f9c,
    0xff614b4a,
    0xff6e461b,
    0xffe4b02f,
    0xffc58f28,
    0xff451c00,
    0xffb09358,
    0xff937531,
    0xffab8f44,
    0xff6c5e3a,
    0xffada9b2,
    0xff3e2a2b,
    0xff410800,
    0xff7f5724,
    0xff7b7514,
    0xff686126,
    0xff624a1f,
    0xff746621,
    0xff768039,
    0xff1f2600,
    0xff85732d,
    0xff816c22,
    0xff857c61,
    0xffbabac0,
    0xff4d4c53,
    0xff3e3b3f,
    0xffcfcfd5,
    0xff726b6d,
    0xff534032,
    0xff4075ba,
    0xff5175b6,
    0xff6479bb,
    0xff5a73b9,
    0xff5177c0,
    0xff4b67a7,
    0xff706f9d,
    0xff61405d,
    0xff4a0f1e,
    0xff360012,
    0xff310016,
    0xff360011,
    0xff43020b,
    0xff4e0105,
    0xff500208,
    0xff4d0109,
    0xff4d0106,
    0xff4f030d,
    0xff4e0411,
    0xff580917,
    0xff610c17,
    0xff680b15,
    0xff680913,
    0xff680917,
    0xff681219,
    0xff710f19,
    0xff750a1c,
    0xff72071f,
    0xff750d25,
    0xff740619,
    0xff830417,
    0xff9b182b,
    0xff6b0816,
    0xff850214,
    0xff990615,
    0xffa71520,
    0xff9c0313,
    0xffa91927,
    0xff951420,
    0xff8b0a17,
    0xff81000d,
    0xffa6080c,
    0xffa0091e,
    0xff80375d,
    0xff634873,
    0xff725184,
    0xff7a5d89,
    0xff875173,
    0xff9e3e5e,
    0xffb63137,
    0xffd8382d,
    0xffc32621,
    0xffbd291f,
    0xffd13c20,
    0xffbf270c,
    0xffbb2416,
    0xffb41b0f,
    0xffac1b06,
    0xffd34c27,
    0xffdb5b2f,
    0xffd5542c,
    0xffd14e2c,
    0xffca4628,
    0xffc23e22,
    0xffba341c,
    0xffa5332d,
    0xff87647f,
    0xff5773ab,
    0xff4c70b2,
    0xff3960a2,
    0xff2a5698,
    0xff3059a7,
    0xff2a60aa,
    0xff2d5da6,
    0xff215ba4,
    0xff1e5da7,
    0xff2553a3,
    0xff2c549f,
    0xff2f5ca0,
    0xff396baa,
    0xff396bb2,
    0xff355e9d,
    0xff5b6699,
    0xff784a6f,
    0xff7a0e24,
    0xff950611,
    0xff8d0006,
    0xff830207,
    0xff8c0411,
    0xff930208,
    0xff911013,
    0xff78273b,
    0xff7d5685,
    0xff815897,
    0xff923e73,
    0xff9d1b3f,
    0xff980011,
    0xffa20517,
    0xff940214,
    0xff940f20,
    0xffce556b,
    0xffc9576e,
    0xffcb586d,
    0xffba4257,
    0xff6f0e17,
    0xff560006,
    0xff530006,
    0xff4f0007,
    0xff5a0611,
    0xff5a040d,
    0xff5a0204,
    0xff5e0301,
    0xff690001,
    0xff5a0105,
    0xffa37d7b,
    0xff4c292e,
    0xff590014,
    0xff640008,
    0xff570100,
    0xff6c0404,
    0xff8b000d,
    0xff900a15,
    0xff6e0004,
    0xff840815,
    0xff9f1221,
    0xff6a1321,
    0xff47496d,
    0xff1a4e96,
    0xff154da0,
    0xff29479b,
    0xff40478e,
    0xff694b7b,
    0xff903c59,
    0xff99293d,
    0xff781527,
    0xff7e2940,
    0xff800d20,
    0xff740112,
    0xff6d000b,
    0xff70010c,
    0xff71010e,
    0xff76000c,
    0xff7a000c,
    0xff800211,
    0xff890313,
    0xff8e0417,
    0xff980b1c,
    0xff950617,
    0xff9e0d22,
    0xff9a071f,
    0xff91011b,
    0xff960820,
    0xff890a19,
    0xff6f0009,
    0xff5d0208,
    0xff4b0006,
    0xff4f030d,
    0xff570008,
    0xff7b010f,
    0xff910814,
    0xff720519,
    0xff650202,
    0xff590405,
    0xff42183c,
    0xff3a4a98,
    0xff234db0,
    0xff1d53ae,
    0xff155ca7,
    0xff1759ae,
    0xff1958aa,
    0xff1b58a8,
    0xff1959ab,
    0xff175bb1,
    0xff1358af,
    0xff1858af,
    0xff1c56ac,
    0xff2454a9,
    0xff355096,
    0xff132155,
    0xff294682,
    0xff215aae,
    0xff1258bb,
    0xff1d57b1,
    0xff30529e,
    0xff553160,
    0xff6e000d,
    0xff6a0205,
    0xff640218,
    0xff6f000e,
    0xff670706,
    0xff630104,
    0xff6a0010,
    0xff60010b,
    0xff62010d,
    0xff63040c,
    0xff61020b,
    0xff610006,
    0xff64000b,
    0xff6b040f,
    0xff62000b,
    0xff643967,
    0xff3855a3,
    0xff2962a8,
    0xff215ca1,
    0xff2259a9,
    0xff2456ac,
    0xff1a59ad,
    0xff175a9f,
    0xff1957a6,
    0xff124f9f,
    0xff1650a0,
    0xff1551a0,
    0xff1a55a5,
    0xff1b53a5,
    0xff1a53a4,
    0xff164fa1,
    0xff124b9a,
    0xff104b98,
    0xff104b99,
    0xff0b4a97,
    0xff0d4c98,
    0xff0d4b98,
    0xff0e4c99,
    0xff1552a0,
    0xff1551a1,
    0xff0e4a9b,
    0xff0a4995,
    0xff0f4f98,
    0xff114e93,
    0xff1b4e93,
    0xff1b4588,
    0xff153a79,
    0xff1e3b6f,
    0xff16428b,
    0xff1050a7,
    0xff0e53a3,
    0xff19569e,
    0xff1c52a1,
    0xff1b58ac,
    0xff1257ac,
    0xff1656ad,
    0xff134fa3,
    0xff18529f,
    0xff194f96,
    0xff194d92,
    0xff1a4f95,
    0xff134d99,
    0xff104c9b,
    0xff144a85,
    0xff2a4a71,
    0xff363f55,
    0xff4e5166,
    0xff8192b8,
    0xff4d6eaa,
    0xff18428b,
    0xff2452a0,
    0xff14569e,
    0xff16519c,
    0xff1e50a4,
    0xff1f4fb0,
    0xff184fac,
    0xff1756a3,
    0xff17559a,
    0xff1b549d,
    0xff1955a1,
    0xff19549e,
    0xff19549c,
    0xff1b559e,
    0xff1d57a0,
    0xff16509a,
    0xff17519a,
    0xff19549c,
    0xff19559d,
    0xff1a559e,
    0xff124d97,
    0xff1b569f,
    0xff18549c,
    0xff154f9b,
    0xff17519e,
    0xff104b97,
    0xff124892,
    0xff0f4892,
    0xff0b4790,
    0xff064792,
    0xff0c4997,
    0xff0f418b,
    0xff214588,
    0xff324682,
    0xff512740,
    0xff59142f,
    0xff6d3147,
    0xffa04052,
    0xffd3635f,
    0xffe66253,
    0xffbd3929,
    0xffad3824,
    0xffd15c48,
    0xffc24e3f,
    0xffd96e7b,
    0xff674163,
    0xff1a3969,
    0xff163d81,
    0xff254089,
    0xff232f68,
    0xffc58c83,
    0xff7b0000,
    0xff920a01,
    0xff9d0b12,
    0xffac000c,
    0xffa60b0f,
    0xff880002,
    0xff800002,
    0xffa12612,
    0xfffa804f,
    0xffe36f22,
    0xfff0872f,
    0xffde7c33,
    0xffaf4212,
    0xffbe4121,
    0xffb42a10,
    0xffb42e13,
    0xffbc3200,
    0xffc83f00,
    0xffde660e,
    0xffd96810,
    0xffdd6923,
    0xffba4e04,
    0xffd1722e,
    0xffc65e18,
    0xffdb6406,
    0xffd74903,
    0xffd53819,
    0xffb71c0b,
    0xff990400,
    0xff8c0000,
    0xffcc3824,
    0xffca4328,
    0xffd14219,
    0xffd96b44,
    0xff81564d,
    0xff33263f,
    0xff683352,
    0xff8d1524,
    0xff950000,
    0xff9c070b,
    0xffa60713,
    0xffd13639,
    0xffe25649,
    0xffcb4d3b,
    0xffcb493c,
    0xffd95b3b,
    0xffdd682e,
    0xffd27d33,
    0xffffd6c7,
    0xff542422,
    0xff640c0a,
    0xffd07570,
    0xff551322,
    0xff472636,
    0xff7e769f,
    0xff64536f,
    0xff3c3f5b,
    0xff413767,
    0xff453b7e,
    0xff1e428c,
    0xff1e4a9b,
    0xff263c7f,
    0xff233a5a,
    0xffaab4ba,
    0xff5f342e,
    0xff763533,
    0xff883225,
    0xff982c13,
    0xff7b1300,
    0xffe2824b,
    0xffaf6746,
    0xff372b49,
    0xff1e427b,
    0xff173a85,
    0xff103d82,
    0xff06417f,
    0xff133982,
    0xff123b81,
    0xff0e3d80,
    0xff1a3a74,
    0xff7d5a66,
    0xff580909,
    0xff691320,
    0xff6b0d18,
    0xff5f0000,
    0xff5b0000,
    0xff711313,
    0xff720b09,
    0xff861d11,
    0xffcd5e45,
    0xffb34d2d,
    0xffca6c43,
    0xffdb7340,
    0xffc47763,
    0xff322244,
    0xff242c5c,
    0xff1f2c5c,
    0xff453763,
    0xff662a4e,
    0xff77305f,
    0xff5f2c5a,
    0xff6e272e,
    0xffcc532a,
    0xffb64a04,
    0xffc45e2d,
    0xff621006,
    0xff6d0b05,
    0xff881810,
    0xffb15b43,
    0xffae5a2d,
    0xffa24118,
    0xffaa410d,
    0xffac2306,
    0xffb81713,
    0xffad050f,
    0xff9e0004,
    0xff940000,
    0xffa90b10,
    0xffd73b3d,
    0xffd73e39,
    0xffc8332d,
    0xffd03b37,
    0xffb41610,
    0xffbc130f,
    0xffc21716,
    0xffa10006,
    0xff98000f,
    0xff9b020d,
    0xff890001,
    0xff8b060b,
    0xff821210,
    0xff7e1a12,
    0xff7f1910,
    0xff901e16,
    0xff8a0e09,
    0xff840f0c,
    0xff9b1e23,
    0xff8c070a,
    0xff9c100e,
    0xffa11312,
    0xff990a0a,
    0xffb32326,
    0xffa4111e,
    0xff9a0e15,
    0xff8d0000,
    0xffc5534a,
    0xff750e00,
    0xffc13020,
    0xffcb200f,
    0xffb41e0c,
    0xff951511,
    0xff7d1018,
    0xff752537,
    0xff53323b,
    0xff303736,
    0xff293035,
    0xff5f2e28,
    0xff99240b,
    0xffab2502,
    0xffb13903,
    0xffa23d00,
    0xffa54600,
    0xffa53800,
    0xffab2d0a,
    0xff9b1808,
    0xff910601,
    0xff9e0505,
    0xffc21519,
    0xffc21111,
    0xffa00000,
    0xffa20412,
    0xffae0618,
    0xffca292c,
    0xffc72f2f,
    0xffac061a,
    0xffbd1221,
    0xffb0151a,
    0xffa70c16,
    0xff9c0110,
    0xff9c040b,
    0xffaa0907,
    0xffa60e0e,
    0xff973332,
    0xff2a1f14,
    0xff23221b,
    0xff242e28,
    0xff223122,
    0xff31220f,
    0xff71251a,
    0xffa52520,
    0xffb21919,
    0xffc8302e,
    0xffba2b28,
    0xffbc2529,
    0xffd64d55,
    0xff8c413f,
    0xff472a1c,
    0xffc5b59e,
    0xffb1ae8e,
    0xffbfbfa0,
    0xff46503d,
    0xff313a37,
    0xff413d3e,
    0xff545047,
    0xff3e442f,
    0xff868a7a,
    0xff3f3a35,
    0xff202b25,
    0xff152d27,
    0xff132629,
    0xff1d232a,
    0xff162224,
    0xff0d261b,
    0xff000a01,
    0xff564545,
    0xff4c3635,
    0xff2e181e,
    0xff18141e,
    0xff021a22,
    0xff0f2332,
    0xff181a2f,
    0xff161e2d,
    0xff06242b,
    0xff092d38,
    0xff263439,
    0xff333738,
    0xff333f41,
    0xff383d38,
    0xff73593d,
    0xffa96c3a,
    0xff914408,
    0xffa65c14,
    0xff924600,
    0xffc57b24,
    0xffcc7725,
    0xffd4732b,
    0xffc67222,
    0xffdb903e,
    0xffffae6f,
    0xff633701,
    0xff695b28,
    0xff5a6638,
    0xff596946,
    0xff596443,
    0xff57643e,
    0xff516338,
    0xff676e47,
    0xff6f794f,
    0xff687046,
    0xff5c653a,
    0xff5b6137,
    0xff555e34,
    0xff515c33,
    0xff4e5b31,
    0xff47532d,
    0xff404f2e,
    0xff354222,
    0xff3c4728,
    0xff374021,
    0xff3b4326,
    0xff373f26,
    0xff313b23,
    0xff29351f,
    0xff202f1d,
    0xff232c1e,
    0xff2b2e2a,
    0xff373c25,
    0xff363a23,
    0xff42413b,
    0xff323423,
    0xff3b442d,
    0xff4b4a2a,
    0xff555336,
    0xff413e28,
    0xff494536,
    0xff29251c,
    0xff2b2820,
    0xff2d2c24,
    0xff211f18,
    0xff221713,
    0xff9d8475,
    0xff684c3c,
    0xff7c625c,
    0xff704f46,
    0xff784424,
    0xffa45c1a,
    0xffbb6610,
    0xffba6d17,
    0xff90652c,
    0xff8e654c,
    0xff815747,
    0xffc39f8f,
    0xff3f0800,
    0xffc48343,
    0xff925f3b,
    0xfff0cfc5,
    0xff7e593d,
    0xff8c4d2a,
    0xff8e5640,
    0xffceb0a5,
    0xff935e2f,
    0xffe9933f,
    0xffca7835,
    0xffc3773f,
    0xff664500,
    0xff7d7138,
    0xffd7c9c7,
    0xff53413b,
    0xff63410b,
    0xffdcb033,
    0xffaf8524,
    0xff643d16,
    0xff634d25,
    0xff665a24,
    0xff5b5108,
    0xff6d603d,
    0xff938084,
    0xff76583e,
    0xff592700,
    0xff481600,
    0xff866e40,
    0xff6d5a44,
    0xff685311,
    0xff806924,
    0xff7a7128,
    0xff5d5b17,
    0xff574f12,
    0xff2a2000,
    0xff626649,
    0xffcbcfd0,
    0xff332c37,
    0xffb1a3a6,
    0xffa39a92,
    0xff584f46,
    0xff533f3f,
    0xff4a67a9,
    0xff4c71ac,
    0xff3865a2,
    0xff416cac,
    0xff5368aa,
    0xff7a5f97,
    0xff742643,
    0xff6e0006,
    0xff5f0002,
    0xff580006,
    0xff500009,
    0xff4e0209,
    0xff510105,
    0xff500304,
    0xff4d0207,
    0xff460008,
    0xff4f0003,
    0xff4f0109,
    0xff530a15,
    0xff5d0e1d,
    0xff620e1d,
    0xff640919,
    0xff680a19,
    0xff6b0e1e,
    0xff650f21,
    0xff690d20,
    0xff6e0c1b,
    0xff72111a,
    0xff6f151a,
    0xff680711,
    0xff7b0516,
    0xff8e031c,
    0xff6d0011,
    0xff8b0417,
    0xffa00313,
    0xffa90313,
    0xffa50516,
    0xff81030f,
    0xff7a1318,
    0xff7e0712,
    0xff790014,
    0xffa00a14,
    0xff9c031e,
    0xff853863,
    0xff6e497d,
    0xff7b528a,
    0xff754e80,
    0xff934e74,
    0xffc24948,
    0xffea484c,
    0xffc00511,
    0xffb00006,
    0xffa70000,
    0xffaa0000,
    0xffb20000,
    0xffae0000,
    0xffa50000,
    0xffb61b11,
    0xfff8664f,
    0xffde4e32,
    0xffc23119,
    0xffb41d0c,
    0xffbe2b1b,
    0xffc43224,
    0xffbb3321,
    0xffb03328,
    0xff964d50,
    0xff615b7b,
    0xff4a64a2,
    0xff446cae,
    0xff3162a8,
    0xff3b61b2,
    0xff2563b2,
    0xff2758a7,
    0xff2e66ad,
    0xff2863a8,
    0xff2e56a6,
    0xff2955a6,
    0xff265ca8,
    0xff406bb4,
    0xff4562af,
    0xff605292,
    0xff6c254d,
    0xff770117,
    0xff8a020d,
    0xff8f0108,
    0xff900007,
    0xff920007,
    0xff870501,
    0xff8b0303,
    0xff8f0004,
    0xff94000a,
    0xffb12134,
    0xffa72e3b,
    0xff871c26,
    0xff952f3c,
    0xffb34c71,
    0xffb64062,
    0xff900922,
    0xffb12536,
    0xffbf3746,
    0xffbd3f4e,
    0xff8b0e23,
    0xffdc5f76,
    0xff6c0614,
    0xff62000c,
    0xff61030c,
    0xff5b0008,
    0xff59000b,
    0xff5f040e,
    0xff5f0205,
    0xff660602,
    0xff710003,
    0xff944c50,
    0xff7d575b,
    0xff4d1b24,
    0xff4a010c,
    0xff53050a,
    0xff5d0000,
    0xff810408,
    0xff9c0c13,
    0xff7c0205,
    0xff630005,
    0xff992537,
    0xff8d1021,
    0xff772e33,
    0xff614d61,
    0xff513d7b,
    0xff3c4286,
    0xff2d417f,
    0xff514e89,
    0xff7f4e7d,
    0xff6c1935,
    0xff6d000d,
    0xff7e0005,
    0xff880011,
    0xff7a0313,
    0xff6f000d,
    0xff6c020e,
    0xff67000b,
    0xff6d020b,
    0xff74000e,
    0xff7d010f,
    0xff860312,
    0xff900015,
    0xff9a081a,
    0xff9e0e20,
    0xff960919,
    0xff981022,
    0xff900e20,
    0xff7e0314,
    0xff7d071a,
    0xff6f0512,
    0xff5e0009,
    0xff54000a,
    0xff4c0410,
    0xff480412,
    0xff4d000c,
    0xff62010b,
    0xff78070f,
    0xff760013,
    0xff6b020c,
    0xff690309,
    0xff580315,
    0xff482757,
    0xff4155a2,
    0xff1e56ac,
    0xff0c60a9,
    0xff185cb3,
    0xff195baf,
    0xff1a59a9,
    0xff1d5caa,
    0xff1a5baa,
    0xff1a59ae,
    0xff1857ac,
    0xff1955ac,
    0xff1a52a9,
    0xff2753a2,
    0xff1c4288,
    0xff194891,
    0xff1b55a8,
    0xff1453ab,
    0xff1951a5,
    0xff264f9b,
    0xff51396e,
    0xff66001e,
    0xff72010e,
    0xff6b0a1d,
    0xff6f0411,
    0xff690000,
    0xff680107,
    0xff64010b,
    0xff5e000a,
    0xff61010c,
    0xff5e0209,
    0xff5d0207,
    0xff5c0006,
    0xff610208,
    0xff6a0811,
    0xff690812,
    0xff4a2346,
    0xff2b519d,
    0xff2866af,
    0xff3067a9,
    0xff265ca3,
    0xff15509d,
    0xff0f4fa1,
    0xff185098,
    0xff0f4997,
    0xff0f4997,
    0xff134e9c,
    0xff114c9a,
    0xff124d9b,
    0xff104b99,
    0xff0f4796,
    0xff0c4494,
    0xff0e4997,
    0xff114c9a,
    0xff0e4997,
    0xff114c9a,
    0xff15509e,
    0xff1852a0,
    0xff1755a2,
    0xff14519e,
    0xff1d54a1,
    0xff1952a1,
    0xff1a5aa9,
    0xff1256a6,
    0xff1055a7,
    0xff1255a9,
    0xff1858ae,
    0xff1856ab,
    0xff1358a9,
    0xff1053ab,
    0xff1254aa,
    0xff1054a1,
    0xff0d519d,
    0xff0e4ea3,
    0xff0f4ca2,
    0xff104e99,
    0xff14528f,
    0xff134a98,
    0xff1548a4,
    0xff164aa1,
    0xff144c95,
    0xff144f93,
    0xff145099,
    0xff1553a6,
    0xff154faa,
    0xff1854a9,
    0xff1c5294,
    0xff345780,
    0xff3e4f67,
    0xff636e88,
    0xffa1bae6,
    0xff294f91,
    0xff0c4da6,
    0xff1c58ad,
    0xff2058a1,
    0xff1e579c,
    0xff1c59aa,
    0xff1856b3,
    0xff1c57af,
    0xff1d579c,
    0xff1753a9,
    0xff1a57a9,
    0xff1b58a2,
    0xff215da5,
    0xff1b58a1,
    0xff19559e,
    0xff17549a,
    0xff165294,
    0xff185399,
    0xff1a529a,
    0xff1b529b,
    0xff19519b,
    0xff19519b,
    0xff174f99,
    0xff104993,
    0xff164b97,
    0xff1a4893,
    0xff1a4a94,
    0xff164c96,
    0xff0e4995,
    0xff0a4892,
    0xff0f468f,
    0xff164285,
    0xff1e3f7c,
    0xff31386c,
    0xff3b336b,
    0xff473458,
    0xff7d253d,
    0xff8e1918,
    0xff920a00,
    0xff9a190a,
    0xffc05143,
    0xffdc634e,
    0xffde6c58,
    0xffde6e79,
    0xff593e63,
    0xff0c4683,
    0xff05468a,
    0xff154579,
    0xff27365d,
    0xffb6656b,
    0xff880000,
    0xff961103,
    0xff8e0300,
    0xffa30018,
    0xff970615,
    0xff890705,
    0xff820000,
    0xffc8513c,
    0xffbd4615,
    0xffdf6b22,
    0xffbc5100,
    0xffaf3f00,
    0xffb93c11,
    0xffc13219,
    0xffd13924,
    0xffb93d0a,
    0xffde5f0d,
    0xffe86a11,
    0xffe3731a,
    0xffb24204,
    0xffb33a16,
    0xffb3450b,
    0xffd16f2e,
    0xffdd743f,
    0xffc14e02,
    0xffe36019,
    0xffc93714,
    0xff9d0700,
    0xff950000,
    0xff930000,
    0xffc3351a,
    0xffc84526,
    0xffdc491f,
    0xffd34b14,
    0xffc6642c,
    0xffc86f3b,
    0xffbb441c,
    0xffb82712,
    0xff970806,
    0xff900203,
    0xff9d0912,
    0xffcf4539,
    0xfff28057,
    0xffe07449,
    0xffdc684e,
    0xffe46c4f,
    0xffd96b34,
    0xffbc5d0f,
    0xfff4b988,
    0xff894c2b,
    0xff884638,
    0xff704a43,
    0xff313156,
    0xff293a67,
    0xff273a69,
    0xff1b3a7c,
    0xff114984,
    0xff0d497c,
    0xff104279,
    0xff164385,
    0xff0e3785,
    0xff184081,
    0xff18416b,
    0xff21193d,
    0xff62414a,
    0xff473244,
    0xff895054,
    0xff9b3718,
    0xffb44729,
    0xffbe411c,
    0xffd25a28,
    0xff945348,
    0xff243269,
    0xff183f8e,
    0xff0a3b73,
    0xff073a7d,
    0xff0a3688,
    0xff073e7f,
    0xff113c83,
    0xff0f347c,
    0xff52334f,
    0xff531116,
    0xff4c0e13,
    0xff67130c,
    0xff791106,
    0xff7d120d,
    0xff770c0a,
    0xff5c0000,
    0xff932b1c,
    0xffc35436,
    0xffbd563e,
    0xffbc6455,
    0xffd17466,
    0xffc5757a,
    0xff4a1745,
    0xff6b3a63,
    0xff693d70,
    0xff673c71,
    0xff4f2d5d,
    0xff442d5d,
    0xff3e1e3d,
    0xffac6241,
    0xffe3700e,
    0xfff88626,
    0xffa63e07,
    0xff6d1c0e,
    0xff720c0a,
    0xff861618,
    0xffb05b57,
    0xffba5839,
    0xffad2f06,
    0xffac4715,
    0xff8c1d03,
    0xffc63c3b,
    0xffc72734,
    0xffbf1622,
    0xffb91217,
    0xffcc272d,
    0xffd32d38,
    0xffd14240,
    0xffc4372d,
    0xffcc3d2b,
    0xffc72f21,
    0xffaa0806,
    0xffb10811,
    0xffaf0610,
    0xffa30006,
    0xffa10203,
    0xffbe2323,
    0xffbb2a29,
    0xff8f0f0b,
    0xff891811,
    0xff7e0f08,
    0xff8b100d,
    0xff880100,
    0xff810e0a,
    0xff800c09,
    0xff951c1b,
    0xff870706,
    0xff970f0c,
    0xff9e1114,
    0xff930813,
    0xffa61c2a,
    0xffbb212c,
    0xffbe1c27,
    0xffcc372b,
    0xffce461c,
    0xffe3491c,
    0xffb81200,
    0xffa10500,
    0xff9c0200,
    0xff9d0000,
    0xff94081b,
    0xff943c4a,
    0xff372626,
    0xff342b30,
    0xff732426,
    0xff951703,
    0xffa5330a,
    0xffba4709,
    0xffc46219,
    0xffaf4f06,
    0xffa43700,
    0xffaa2f0a,
    0xff9d1f0a,
    0xff8c0400,
    0xff9c0301,
    0xffa70308,
    0xffc10c0f,
    0xffb80b0e,
    0xffaa0b16,
    0xffbe2328,
    0xffbc2c20,
    0xffcb3227,
    0xffd1202a,
    0xffd9282e,
    0xffc62021,
    0xffc52027,
    0xffc11729,
    0xffb51422,
    0xffbf282a,
    0xffbb4440,
    0xff591514,
    0xff242824,
    0xff262624,
    0xff282c23,
    0xff2b3623,
    0xff5a4d36,
    0xffa0574a,
    0xffb43836,
    0xffc93c3e,
    0xffc33235,
    0xffc34746,
    0xffb24d4d,
    0xff591d17,
    0xff361e15,
    0xff52302c,
    0xffa97e77,
    0xffe2ccb9,
    0xff9d8377,
    0xff2e2723,
    0xff262b2f,
    0xff222529,
    0xff1a1810,
    0xff565246,
    0xffa79596,
    0xff4d2e3f,
    0xff181622,
    0xff141927,
    0xff0d1b2a,
    0xff031922,
    0xff000704,
    0xff19251a,
    0xff6d5f54,
    0xff613f3a,
    0xff1a1b18,
    0xff0d1516,
    0xff0d1b22,
    0xff051624,
    0xff0b1327,
    0xff181a32,
    0xff0e212d,
    0xff00272a,
    0xff002723,
    0xff0e212b,
    0xff111a2e,
    0xff122132,
    0xff16242f,
    0xff1d1415,
    0xff8f7051,
    0xffc29550,
    0xffb56e2b,
    0xff963d00,
    0xff9b4c05,
    0xffb47139,
    0xffc77541,
    0xffd07e38,
    0xffdf904a,
    0xffe58c5c,
    0xff6c4410,
    0xff6c6832,
    0xff5e6a38,
    0xff5a643a,
    0xff5c633c,
    0xff5b633a,
    0xff5a6037,
    0xff585e33,
    0xff545c31,
    0xff5b6439,
    0xff5f683d,
    0xff626c41,
    0xff5e653d,
    0xff5b673f,
    0xff545f3c,
    0xff4f5d3a,
    0xff495a40,
    0xff425237,
    0xff404d33,
    0xff454f35,
    0xff414b34,
    0xff34402a,
    0xff2e3b28,
    0xff293825,
    0xff263426,
    0xff1d2a1b,
    0xff494d4b,
    0xff21210d,
    0xff292a16,
    0xff323431,
    0xff2e3729,
    0xff2c3427,
    0xff343525,
    0xff5d5b4e,
    0xff49443c,
    0xff5f5a53,
    0xff625d59,
    0xff474440,
    0xff11120d,
    0xff353930,
    0xff1f150b,
    0xfff3cdaa,
    0xff6d4829,
    0xff72534f,
    0xff825f64,
    0xff75595a,
    0xff582c13,
    0xffca6e1f,
    0xffbf6a0d,
    0xffc47913,
    0xffcb9a62,
    0xff331c11,
    0xffa68a89,
    0xffc2855e,
    0xffc47524,
    0xff9b5418,
    0xffbc8c75,
    0xff9e7850,
    0xffd59654,
    0xffb37449,
    0xff664a3c,
    0xff92683f,
    0xffc17627,
    0xffc38134,
    0xffb28a39,
    0xff837522,
    0xffd5d193,
    0xff706354,
    0xff534636,
    0xff5f3f16,
    0xffc7953e,
    0xff5d2600,
    0xffa97b4a,
    0xff785634,
    0xff492f0e,
    0xff725f2d,
    0xffb09b8b,
    0xff634a48,
    0xff99793c,
    0xffbe8e30,
    0xffa97432,
    0xff6a4d25,
    0xff7a6749,
    0xffc9aa4e,
    0xff804a00,
    0xffa07112,
    0xff9f811d,
    0xff573a00,
    0xff6b5420,
    0xff5c573e,
    0xffd3d2d4,
    0xff706575,
    0xff76686b,
    0xff887d78,
    0xff786f6e,
    0xff5f505d,
    0xff412a5b,
    0xff576197,
    0xff496fac,
    0xff526caa,
    0xff664e80,
    0xff560c28,
    0xff6f0610,
    0xff720304,
    0xff55000c,
    0xff510110,
    0xff4c000e,
    0xff4d020a,
    0xff4c0006,
    0xff4e0206,
    0xff4b0105,
    0xff480006,
    0xff55050d,
    0xff570911,
    0xff5c101b,
    0xff611221,
    0xff651023,
    0xff63091c,
    0xff650a1c,
    0xff680e1e,
    0xff6d111b,
    0xff6b0e21,
    0xff730b20,
    0xff7a0b11,
    0xff7e110f,
    0xff630a0b,
    0xff590a17,
    0xff7f3043,
    0xff67061d,
    0xff750210,
    0xff8f0810,
    0xffa80514,
    0xffad0116,
    0xff920719,
    0xff70030c,
    0xff760009,
    0xff880410,
    0xffac070f,
    0xffb1112f,
    0xff9f4173,
    0xff7f5584,
    0xff866596,
    0xff865c8e,
    0xffba6c94,
    0xffc64d3b,
    0xffa60f12,
    0xffa60010,
    0xffac020e,
    0xffa40003,
    0xffa60007,
    0xffae0009,
    0xffb40009,
    0xffb7000c,
    0xffab0000,
    0xffa40000,
    0xffa40000,
    0xffad0000,
    0xffac0000,
    0xffc01715,
    0xffd3342e,
    0xffbf3428,
    0xffb53426,
    0xffb64b39,
    0xff8e6575,
    0xff445891,
    0xff3a63a7,
    0xff386ab2,
    0xff3965af,
    0xff3367ac,
    0xff3a61ac,
    0xff3464aa,
    0xff3062a6,
    0xff2e54a6,
    0xff255cb2,
    0xff2762b4,
    0xff404d9e,
    0xff764474,
    0xff801a3f,
    0xff86000e,
    0xff860205,
    0xff830407,
    0xff8a000c,
    0xff8c000a,
    0xff860403,
    0xff97020d,
    0xff8f0815,
    0xffa0202d,
    0xffd1525e,
    0xffc44b51,
    0xffb54a4c,
    0xffd56a79,
    0xffcb5976,
    0xffb14f71,
    0xffb9465e,
    0xffbb3342,
    0xffc63441,
    0xffc33548,
    0xffa6253d,
    0xff720111,
    0xffe17981,
    0xff801b30,
    0xff5c0008,
    0xff5e0206,
    0xff5a0204,
    0xff590008,
    0xff5e000b,
    0xff6c000a,
    0xff780006,
    0xff670005,
    0xffaa797d,
    0xff623741,
    0xff4b0612,
    0xff480409,
    0xff57070e,
    0xff740007,
    0xff9b0814,
    0xff89080f,
    0xff600000,
    0xff5f060a,
    0xff840f25,
    0xff810014,
    0xff8f262d,
    0xffaa485a,
    0xffce5484,
    0xffa55d7b,
    0xff895f75,
    0xff773856,
    0xff60001f,
    0xff64000f,
    0xff710006,
    0xff910c13,
    0xff88040b,
    0xff72040e,
    0xff65000a,
    0xff620008,
    0xff61020b,
    0xff6b050f,
    0xff72010d,
    0xff800110,
    0xff8b0214,
    0xffa1091e,
    0xff9d091c,
    0xff99081b,
    0xff910618,
    0xff870618,
    0xff8a1525,
    0xff740b19,
    0xff60000a,
    0xff5f000c,
    0xff5e000e,
    0xff5a000d,
    0xff580112,
    0xff590417,
    0xff570213,
    0xff5b000a,
    0xff67020a,
    0xff780005,
    0xff6b000e,
    0xff620516,
    0xff64050b,
    0xff5f0314,
    0xff4a2751,
    0xff345699,
    0xff1958a8,
    0xff1456ac,
    0xff1557ab,
    0xff1557a8,
    0xff1655a4,
    0xff1955a5,
    0xff1854a4,
    0xff1951a4,
    0xff1b53a7,
    0xff1a52a3,
    0xff1952a3,
    0xff1c54a5,
    0xff1952a2,
    0xff1e57a7,
    0xff1f56a6,
    0xff2157a5,
    0xff2557a5,
    0xff484886,
    0xff6e2b60,
    0xff6a051d,
    0xff81192a,
    0xff740b15,
    0xff700106,
    0xff6c020c,
    0xff68070c,
    0xff67010b,
    0xff640109,
    0xff5d0002,
    0xff620307,
    0xff5f0004,
    0xff620306,
    0xff66030b,
    0xff6d0911,
    0xff4d1d34,
    0xff234081,
    0xff2158a0,
    0xff2d5da3,
    0xff265da3,
    0xff0e4e94,
    0xff1053a3,
    0xff124694,
    0xff124c99,
    0xff0d4c96,
    0xff0e4d97,
    0xff0b4994,
    0xff0e4c97,
    0xff134e9a,
    0xff14509b,
    0xff154e9a,
    0xff12509d,
    0xff1554a0,
    0xff16519f,
    0xff1752a0,
    0xff1954a2,
    0xff1752a0,
    0xff1755a2,
    0xff1956a3,
    0xff1a52a1,
    0xff16529e,
    0xff124fa0,
    0xff1250a0,
    0xff1050a1,
    0xff0f4b9e,
    0xff0f4a9e,
    0xff114ba0,
    0xff0c4aa0,
    0xff134f96,
    0xff164c91,
    0xff124c9b,
    0xff0f51a5,
    0xff0c51a0,
    0xff13519b,
    0xff184d9a,
    0xff115193,
    0xff14529e,
    0xff164ca7,
    0xff1751ad,
    0xff1553ae,
    0xff1053a6,
    0xff1357a4,
    0xff15549f,
    0xff2753a0,
    0xff1c4e9f,
    0xff1a509c,
    0xff224c87,
    0xff32466a,
    0xff6d6e80,
    0xff55515c,
    0xff7a7c8d,
    0xff6180b8,
    0xff154490,
    0xff1350a0,
    0xff155ba1,
    0xff17569c,
    0xff1851a4,
    0xff184ca4,
    0xff1c53a3,
    0xff1a51ab,
    0xff1852a2,
    0xff165097,
    0xff1a5599,
    0xff17539b,
    0xff16529a,
    0xff135094,
    0xff13508d,
    0xff174c91,
    0xff164b91,
    0xff14498e,
    0xff10448c,
    0xff10448c,
    0xff0f438c,
    0xff144890,
    0xff0c3f89,
    0xff0d3a83,
    0xff0f3e86,
    0xff0a3b82,
    0xff073e87,
    0xff07428a,
    0xff063f85,
    0xff0b3e80,
    0xff123e7d,
    0xff113f7c,
    0xff163b7b,
    0xff343a60,
    0xff691126,
    0xff991f23,
    0xffa01c1a,
    0xffb63530,
    0xffc95858,
    0xffca6660,
    0xffbe7161,
    0xffd88899,
    0xff4b2c5d,
    0xff1e3a72,
    0xff10417f,
    0xff0f3f71,
    0xff422f56,
    0xff7c121d,
    0xff93000f,
    0xff8b0300,
    0xff94050c,
    0xff980019,
    0xff8c0608,
    0xff961700,
    0xffd85534,
    0xffe77959,
    0xffcf6a45,
    0xffba592f,
    0xffc45a35,
    0xffd86345,
    0xff941601,
    0xffa01c0a,
    0xffb12510,
    0xff981600,
    0xffe87015,
    0xffe26f06,
    0xffda660f,
    0xffb23000,
    0xffbe3622,
    0xffbe4c3a,
    0xff802e2f,
    0xff762d2b,
    0xffac511e,
    0xffdc6915,
    0xffdc5214,
    0xff9d0e00,
    0xff920502,
    0xffae2a12,
    0xffe6623f,
    0xff931100,
    0xffc23313,
    0xffbf3107,
    0xffe45d1a,
    0xffe85908,
    0xffef520f,
    0xffba290d,
    0xff7c0209,
    0xff860209,
    0xff93090b,
    0xffc84934,
    0xffe07643,
    0xffd97240,
    0xffe47155,
    0xffcd5b43,
    0xffdc754a,
    0xffe99243,
    0xffbb7420,
    0xffa76a27,
    0xff895652,
    0xff423b57,
    0xff1e3e7e,
    0xff0d3778,
    0xff1f377f,
    0xff173c97,
    0xff223b85,
    0xff1d4078,
    0xff15427e,
    0xff1e4289,
    0xff1f3e86,
    0xff1b418a,
    0xff103781,
    0xff6c71a4,
    0xff59495c,
    0xff41435e,
    0xff6e4960,
    0xffb35239,
    0xff871400,
    0xffb33929,
    0xffbc481e,
    0xffb45343,
    0xff44386d,
    0xff11408a,
    0xff12417d,
    0xff153b84,
    0xff043f87,
    0xff0c4776,
    0xff252f60,
    0xff322c3a,
    0xff6b2f38,
    0xff4d040b,
    0xff32010f,
    0xff350006,
    0xff430000,
    0xff610e06,
    0xff5e0000,
    0xff690d0d,
    0xff912326,
    0xffc04f4b,
    0xffa04347,
    0xff5a172f,
    0xff572241,
    0xff4c254b,
    0xff3e2862,
    0xff333566,
    0xff282864,
    0xff2b2e76,
    0xff20377d,
    0xff283d78,
    0xff4b2544,
    0xffb94e33,
    0xffdc5901,
    0xffd56208,
    0xffb3450c,
    0xff842b1b,
    0xff770b09,
    0xffa7373c,
    0xff8f4241,
    0xff812c09,
    0xffb33c0c,
    0xff982202,
    0xff8d1a08,
    0xff971914,
    0xffaf1d1f,
    0xffc22521,
    0xffc0221b,
    0xffc72d27,
    0xffcc3436,
    0xffd24a47,
    0xffda4d41,
    0xffce3d2a,
    0xffb21f13,
    0xffa81413,
    0xff9b010a,
    0xffab050e,
    0xffbb0b11,
    0xffd33932,
    0xffd43834,
    0xffb11717,
    0xff9e1110,
    0xff8c130d,
    0xff820e09,
    0xff961816,
    0xff94080c,
    0xff980f12,
    0xff8b0903,
    0xff8e0f12,
    0xff89060b,
    0xff9d0f0e,
    0xff9e0810,
    0xff980515,
    0xff910311,
    0xff990817,
    0xffa81827,
    0xffb2261e,
    0xffd74822,
    0xffdd4118,
    0xffac0900,
    0xffa00204,
    0xffc4282a,
    0xffa20600,
    0xff940002,
    0xff9f1c28,
    0xff6f3735,
    0xff3d1d20,
    0xff711315,
    0xff911300,
    0xff972200,
    0xffad3d01,
    0xffc05e18,
    0xffb14d0a,
    0xffad3e04,
    0xffa83207,
    0xff8f1700,
    0xff8f0c04,
    0xff960100,
    0xff940b08,
    0xffa31a15,
    0xffa22923,
    0xffa5312a,
    0xffa42019,
    0xffc13625,
    0xffab190a,
    0xff9a0000,
    0xffb61807,
    0xffcd3521,
    0xffb41a15,
    0xffc42130,
    0xffb91e2f,
    0xff992123,
    0xff51100b,
    0xff392927,
    0xff312b2e,
    0xff282527,
    0xff212d2b,
    0xff22352e,
    0xff28241e,
    0xff421616,
    0xff6a2e26,
    0xff703b2a,
    0xff642724,
    0xff5a2623,
    0xff3b211a,
    0xff242b21,
    0xff1c2922,
    0xff2a1f20,
    0xff321d1b,
    0xff0e0a00,
    0xff140d16,
    0xff161d24,
    0xff0f1c21,
    0xff242224,
    0xff3f2e29,
    0xff1c0600,
    0xffa08280,
    0xffa27c85,
    0xff080c15,
    0xff1d1324,
    0xff1e1627,
    0xff131e22,
    0xffacb1ad,
    0xff846d6a,
    0xff2e1a0e,
    0xff161f09,
    0xff112418,
    0xff162a20,
    0xff1a2824,
    0xff3f4a49,
    0xff647171,
    0xff1e2a2f,
    0xff0e1f22,
    0xff13272b,
    0xff09212b,
    0xff0b1c35,
    0xff0e2138,
    0xff021e20,
    0xff022224,
    0xff0f2130,
    0xff101314,
    0xff251d00,
    0xff6b401d,
    0xffa75e2b,
    0xff5b1900,
    0xffcb977a,
    0xffa0572f,
    0xffb65f29,
    0xffd0774e,
    0xffc0583a,
    0xff81461f,
    0xff816d3a,
    0xff6f6b38,
    0xff6b6135,
    0xff66633a,
    0xff63643b,
    0xff626237,
    0xff5d6233,
    0xff585e32,
    0xff585e33,
    0xff575e32,
    0xff575e32,
    0xff565f33,
    0xff5d663d,
    0xff5b643f,
    0xff555e3a,
    0xff49593d,
    0xff495539,
    0xff4a5639,
    0xff525a3e,
    0xff414831,
    0xff3a472f,
    0xff35442d,
    0xff2e3e28,
    0xff323f25,
    0xff28381b,
    0xff3d4631,
    0xff4b4b25,
    0xff615f3d,
    0xff292e21,
    0xff2a3724,
    0xff242f20,
    0xff1e2122,
    0xff282928,
    0xff41403c,
    0xff4c4944,
    0xff2f2c24,
    0xff3a3831,
    0xff575853,
    0xff2f322c,
    0xff332715,
    0xffcfa573,
    0xffb08561,
    0xff674142,
    0xff815b60,
    0xff675f5d,
    0xff725e52,
    0xffc1724b,
    0xffa14f11,
    0xffdf7f1f,
    0xffc98d3d,
    0xff816a59,
    0xff5f4a43,
    0xffdba86e,
    0xffd58029,
    0xffbd7222,
    0xffb68562,
    0xffab825e,
    0xffae7123,
    0xffb67735,
    0xffbfa28f,
    0xff84623f,
    0xff763900,
    0xffb98137,
    0xffab822d,
    0xff947a3d,
    0xff867449,
    0xff7b695b,
    0xff352c10,
    0xff6f521c,
    0xffe4a750,
    0xfff6ab66,
    0xff591a02,
    0xff561000,
    0xff703209,
    0xffa98238,
    0xfff1dfb2,
    0xff473720,
    0xff5c3b02,
    0xff895021,
    0xff8b5a1c,
    0xff847245,
    0xff554417,
    0xffb5822a,
    0xffd98d28,
    0xffa26400,
    0xfff2c040,
    0xffc1821a,
    0xff8a5408,
    0xff6f4f36,
    0xffd7cdd8,
    0xff5d5460,
    0xff392f34,
    0xff948d99,
    0xff8c8493,
    0xff4a3f49,
    0xff5b1b3d,
    0xff3f1e4b,
    0xff5e528a,
    0xff715b8d,
    0xff3e0520,
    0xff530009,
    0xff530103,
    0xff4c0207,
    0xff4d0212,
    0xff4b0210,
    0xff4c030d,
    0xff4c0109,
    0xff500209,
    0xff4c0004,
    0xff4e010a,
    0xff550a11,
    0xff550915,
    0xff5a0d18,
    0xff60141b,
    0xff65131f,
    0xff681020,
    0xff6a0e21,
    0xff6b1022,
    0xff660e1c,
    0xff6c0e13,
    0xff680b19,
    0xff6e0a19,
    0xff70040f,
    0xff630617,
    0xff511734,
    0xff543252,
    0xff5a3952,
    0xff4c0a1c,
    0xff6b0410,
    0xff87040a,
    0xff9b030d,
    0xffa60117,
    0xff8e0011,
    0xff75000c,
    0xff7a030e,
    0xff7d0212,
    0xff96091a,
    0xffac3459,
    0xff9b4783,
    0xff925c8e,
    0xff815880,
    0xff975681,
    0xff7a163f,
    0xff960002,
    0xff9e050c,
    0xff990106,
    0xffa10101,
    0xffaa0406,
    0xffa80009,
    0xffaa0009,
    0xffae0001,
    0xffb2040b,
    0xffaa0207,
    0xffa90507,
    0xffaa0307,
    0xffb2010b,
    0xffb0040b,
    0xffc42421,
    0xffaa190d,
    0xffae2117,
    0xffa3281e,
    0xffb23924,
    0xff9a6274,
    0xff5e78b4,
    0xff4672b5,
    0xff3965aa,
    0xff3768a8,
    0xff3564a3,
    0xff3d61b1,
    0xff2f62ac,
    0xff2c5ca7,
    0xff3257ab,
    0xff215eae,
    0xff2e5398,
    0xff804f8f,
    0xff730a16,
    0xff800005,
    0xff860000,
    0xff7f0601,
    0xff7f0307,
    0xff90000f,
    0xff92000d,
    0xff87040a,
    0xff7e0002,
    0xffb83d45,
    0xffcc5a61,
    0xffba4a52,
    0xffad474e,
    0xffc7666f,
    0xffc65466,
    0xffbd2d4a,
    0xffb62f41,
    0xffa1202a,
    0xffc1454c,
    0xffc64952,
    0xffa22737,
    0xff710013,
    0xff5f0010,
    0xffc16879,
    0xffa94763,
    0xff5d0009,
    0xff650004,
    0xff600101,
    0xff5e0309,
    0xff5f010c,
    0xff6a030e,
    0xff700008,
    0xff530a0f,
    0xff99767e,
    0xff512433,
    0xff410207,
    0xff480d0a,
    0xff55010a,
    0xff800617,
    0xff7e080d,
    0xff640009,
    0xff540402,
    0xff570404,
    0xff5f000b,
    0xff690413,
    0xffb85054,
    0xffdb7072,
    0xffd1616c,
    0xffd4676c,
    0xffd96c73,
    0xffa12c38,
    0xff9c232e,
    0xff860d14,
    0xff7e0c11,
    0xff6b0206,
    0xff640008,
    0xff67030b,
    0xff610107,
    0xff5c030a,
    0xff5d060b,
    0xff5e0007,
    0xff70010c,
    0xff8a0817,
    0xff9d0d21,
    0xffa20d22,
    0xffa30e22,
    0xff9c0b1d,
    0xff92091b,
    0xff830617,
    0xff7b0a19,
    0xff680613,
    0xff5c000d,
    0xff59000f,
    0xff5a000b,
    0xff5c000b,
    0xff5c000b,
    0xff5a000d,
    0xff600313,
    0xff61000c,
    0xff660009,
    0xff6c0404,
    0xff66000d,
    0xff5d0417,
    0xff600715,
    0xff600313,
    0xff420b29,
    0xff40447e,
    0xff264ba0,
    0xff1a55a8,
    0xff1655a8,
    0xff1759ab,
    0xff1856a9,
    0xff1753a3,
    0xff1952a4,
    0xff1a52a5,
    0xff1c56ac,
    0xff1b58a8,
    0xff1a58a9,
    0xff1a59ad,
    0xff1d5bb0,
    0xff235fb0,
    0xff255cae,
    0xff2358aa,
    0xff2156a5,
    0xff37539d,
    0xff584f94,
    0xff682041,
    0xff730112,
    0xff76030c,
    0xff6d0208,
    0xff6d0112,
    0xff6f0306,
    0xff72040c,
    0xff680005,
    0xff670004,
    0xff670206,
    0xff660205,
    0xff670209,
    0xff670006,
    0xff6f050e,
    0xff5f1f35,
    0xff2d4380,
    0xff10468f,
    0xff0f4390,
    0xff0f4591,
    0xff155196,
    0xff084c9c,
    0xff144e9f,
    0xff0f4d98,
    0xff12509b,
    0xff14549e,
    0xff15559e,
    0xff1656a0,
    0xff15539e,
    0xff17519e,
    0xff18519d,
    0xff1453a1,
    0xff114e9b,
    0xff0f4e9a,
    0xff124d9b,
    0xff15509e,
    0xff144f9d,
    0xff11509d,
    0xff104f9c,
    0xff1051a0,
    0xff1252a1,
    0xff104e9e,
    0xff17509f,
    0xff1a51a1,
    0xff18509e,
    0xff1951a0,
    0xff1a51a0,
    0xff1552a7,
    0xff18549d,
    0xff195093,
    0xff1d4f98,
    0xff1e4f97,
    0xff175194,
    0xff1052a0,
    0xff0a52ad,
    0xff0e54aa,
    0xff1354a6,
    0xff174fa0,
    0xff1950a3,
    0xff1250a3,
    0xff1052a8,
    0xff1455a7,
    0xff114e9b,
    0xff1a4085,
    0xff31518e,
    0xff5871a4,
    0xff5d759f,
    0xff8298bf,
    0xff39486b,
    0xff3b3d57,
    0xff484153,
    0xff5a606f,
    0xff90a6ce,
    0xff2a5296,
    0xff0d418c,
    0xff164d91,
    0xff174c90,
    0xff164c97,
    0xff134a9d,
    0xff174897,
    0xff104388,
    0xff205590,
    0xff144b86,
    0xff0f468a,
    0xff114895,
    0xff104990,
    0xff114b8c,
    0xff12498a,
    0xff0f4688,
    0xff0d4487,
    0xff104789,
    0xff0e4688,
    0xff12498d,
    0xff12488e,
    0xff11488e,
    0xff0e418a,
    0xff124388,
    0xff0f3e81,
    0xff124285,
    0xff11458c,
    0xff11448e,
    0xff12448b,
    0xff144488,
    0xff114585,
    0xff134286,
    0xff323d60,
    0xff711525,
    0xff790109,
    0xff921816,
    0xffca4e40,
    0xffcf5d53,
    0xff723745,
    0xff3a3642,
    0xff504171,
    0xff313271,
    0xff213166,
    0xff2a3362,
    0xff2e3357,
    0xff6c334c,
    0xffd26660,
    0xff840000,
    0xff90070e,
    0xff990113,
    0xff910004,
    0xff8d0d00,
    0xffc1440c,
    0xffed703f,
    0xffc4532f,
    0xffd37c5d,
    0xffbf695a,
    0xffac3f3b,
    0xff90110e,
    0xffa62d1e,
    0xff861203,
    0xff8b1202,
    0xffb12f14,
    0xffe66c1a,
    0xffe8740f,
    0xffdd6a0b,
    0xffc6450a,
    0xff9f1300,
    0xffd2574c,
    0xffbe5e72,
    0xff934148,
    0xfff59b75,
    0xffe77f1b,
    0xffed6f18,
    0xffa21200,
    0xff990c02,
    0xffb53616,
    0xffab360e,
    0xfff37042,
    0xff9d1400,
    0xffa61e06,
    0xffbc3c12,
    0xffe5662d,
    0xffc24011,
    0xffcf4d39,
    0xff800402,
    0xff8a0410,
    0xffa51b1f,
    0xffda5848,
    0xffeb7853,
    0xffdd6c47,
    0xffd35944,
    0xffd4614d,
    0xffd77553,
    0xffbd6f3f,
    0xffc17133,
    0xffb46d29,
    0xff7d4842,
    0xff53466e,
    0xff1c3b78,
    0xff144674,
    0xff19467f,
    0xff0f4781,
    0xff204174,
    0xff203d70,
    0xff0f427c,
    0xff073d84,
    0xff093e84,
    0xff0d3a81,
    0xff102e7a,
    0xff68748e,
    0xff6e5d69,
    0xff2a3755,
    0xff232f64,
    0xff7f4a55,
    0xffbe5d40,
    0xff740800,
    0xffa73f1e,
    0xff933312,
    0xff653238,
    0xff294068,
    0xff19407c,
    0xff1b387b,
    0xff103877,
    0xff24335d,
    0xff784656,
    0xffaf5830,
    0xffa23023,
    0xff650004,
    0xff530918,
    0xff470213,
    0xff54060c,
    0xff570403,
    0xff8e343f,
    0xff86223c,
    0xff801e50,
    0xff5b1942,
    0xff3d2a45,
    0xff202a54,
    0xff17295f,
    0xff1a3266,
    0xff17346d,
    0xff0d326f,
    0xff0f306e,
    0xff163173,
    0xff0d306e,
    0xff1f2d54,
    0xff86454b,
    0xffae290a,
    0xffed6321,
    0xffed7e25,
    0xffd1601b,
    0xff741900,
    0xff570000,
    0xff6c1014,
    0xff612523,
    0xff7d432f,
    0xff7a3223,
    0xffa72a21,
    0xff9a1208,
    0xff9a1607,
    0xffd55b4a,
    0xffca463b,
    0xffbd2a25,
    0xffca3834,
    0xffc23b32,
    0xffc94136,
    0xffd03b35,
    0xffb21413,
    0xff930000,
    0xff870602,
    0xffa4221e,
    0xffcf3336,
    0xffd6222b,
    0xffae0f12,
    0xffa50108,
    0xffb30814,
    0xffa4050f,
    0xff920509,
    0xff961112,
    0xffb2272a,
    0xffa40c14,
    0xffae1014,
    0xff9c0f09,
    0xff8e0a0f,
    0xff930e19,
    0xff8c0000,
    0xffa40a14,
    0xff9e061b,
    0xff93060f,
    0xff870312,
    0xff900512,
    0xffbf2b2b,
    0xffc4281c,
    0xffba1908,
    0xffc92519,
    0xffa00000,
    0xffa40f0b,
    0xff980800,
    0xff970609,
    0xff910002,
    0xff912829,
    0xff6a2326,
    0xff720c08,
    0xff8a1601,
    0xff9e2404,
    0xffa83a05,
    0xffbc591c,
    0xffb64f10,
    0xffb4420a,
    0xffa93206,
    0xff992506,
    0xff9c1d0d,
    0xff8f0201,
    0xff800000,
    0xff730300,
    0xff570800,
    0xffa95842,
    0xff8b1005,
    0xff9f0907,
    0xffb52520,
    0xffab1912,
    0xffc22918,
    0xffb72712,
    0xff9d1209,
    0xff93030f,
    0xffb0202e,
    0xff982525,
    0xff621f1c,
    0xff381619,
    0xff421f25,
    0xff472f33,
    0xff363434,
    0xff263734,
    0xff253332,
    0xff313835,
    0xff353d31,
    0xff1f321a,
    0xff233020,
    0xff283323,
    0xff293325,
    0xff242d23,
    0xff2e2c2b,
    0xff2f2c2a,
    0xff25221b,
    0xff3e342c,
    0xff232723,
    0xff212018,
    0xff512b24,
    0xff9f4947,
    0xffbe5454,
    0xff68130d,
    0xffe3b1a3,
    0xff452617,
    0xff323129,
    0xff6d6162,
    0xff706164,
    0xff5e5350,
    0xff3b2e29,
    0xff35241f,
    0xff3a3d34,
    0xff1f392a,
    0xff28342e,
    0xff2e362f,
    0xff2e3429,
    0xff3a4131,
    0xff181a0f,
    0xff3e3a34,
    0xff605e61,
    0xff192125,
    0xff132231,
    0xff091c35,
    0xff0a2333,
    0xff183530,
    0xff1a3126,
    0xff2e3d3a,
    0xff41453f,
    0xff38351c,
    0xff785f23,
    0xff91591a,
    0xffffcfb6,
    0xffbf8b7f,
    0xff924b27,
    0xff9f593e,
    0xff77382d,
    0xff8e3c1e,
    0xff8d5731,
    0xff776a37,
    0xff67632c,
    0xff726634,
    0xff626030,
    0xff646236,
    0xff6c683d,
    0xff656d3e,
    0xff65683b,
    0xff626538,
    0xff5d6434,
    0xff565c2d,
    0xff535b2c,
    0xff52592f,
    0xff545b31,
    0xff545b33,
    0xff4c5430,
    0xff464c2a,
    0xff4a4d2c,
    0xff535433,
    0xff505332,
    0xff484f2e,
    0xff404e2c,
    0xff3b4a2b,
    0xff3c4929,
    0xff475733,
    0xff3e4728,
    0xff8e8b5b,
    0xff514d23,
    0xff26301e,
    0xff243220,
    0xff1f2920,
    0xff121d23,
    0xff111a1c,
    0xff232522,
    0xff302f27,
    0xff1a160e,
    0xff3f3e38,
    0xff080907,
    0xff222325,
    0xff584838,
    0xff5a3309,
    0xffdbb28f,
    0xff74504a,
    0xff715050,
    0xff796864,
    0xff5b4943,
    0xff734436,
    0xffb9713a,
    0xffc96e16,
    0xffd28935,
    0xffbc8b71,
    0xff8e7773,
    0xff765523,
    0xffab6418,
    0xffa0662a,
    0xff886741,
    0xffc09b8e,
    0xffa46c2c,
    0xffb0742f,
    0xffc09c83,
    0xff785633,
    0xff9e672f,
    0xffa66d2d,
    0xffe5ab57,
    0xff9f793f,
    0xff50350d,
    0xffb7a098,
    0xff3d2f18,
    0xff916f3f,
    0xff955414,
    0xff5d1200,
    0xff7c4508,
    0xff6c2b00,
    0xff5d1b00,
    0xffdeb280,
    0xfffbe1d3,
    0xff594437,
    0xfff0d490,
    0xff603003,
    0xff4f2b1c,
    0xff7b5e4b,
    0xff846422,
    0xffb68020,
    0xffdba029,
    0xffa77500,
    0xffdfae38,
    0xffb27310,
    0xffa06620,
    0xffe0bfa9,
    0xff554652,
    0xff57494f,
    0xff4f3c38,
    0xff9b8a8d,
    0xff8b7c86,
    0xff594950,
    0xff651633,
    0xff591b3c,
    0xff562949,
    0xff7a5168,
    0xff4d1621,
    0xff480107,
    0xff4e010d,
    0xff4e0013,
    0xff500001,
    0xff530201,
    0xff530201,
    0xff510001,
    0xff530206,
    0xff520208,
    0xff550510,
    0xff5a0918,
    0xff510717,
    0xff530e17,
    0xff5d1319,
    0xff661119,
    0xff6b0e1c,
    0xff6f0f1c,
    0xff70111c,
    0xff6a0c14,
    0xff710616,
    0xff6a0a16,
    0xff600e12,
    0xff480812,
    0xff3f2044,
    0xff554d8d,
    0xff645293,
    0xff532e5c,
    0xff320813,
    0xff6a0213,
    0xff9f0b17,
    0xff99020a,
    0xff980918,
    0xff8a091c,
    0xff780612,
    0xff77010d,
    0xff750013,
    0xff7a0616,
    0xff752a49,
    0xff7b2f61,
    0xff983a5f,
    0xff9a384c,
    0xffaf3246,
    0xff880008,
    0xff990012,
    0xff990309,
    0xffa10400,
    0xffac0200,
    0xffac0100,
    0xffa30307,
    0xffa40606,
    0xffb00603,
    0xffb10006,
    0xffb00007,
    0xffb0030a,
    0xffb1000b,
    0xffba000c,
    0xffb8020e,
    0xffaa0502,
    0xffc63222,
    0xffba2a1e,
    0xffa33127,
    0xffb13e30,
    0xff8a586e,
    0xff3e629f,
    0xff3e6cab,
    0xff3f6bab,
    0xff356da5,
    0xff3a6db1,
    0xff325fb3,
    0xff205bb0,
    0xff255aac,
    0xff335ab0,
    0xff295ea4,
    0xff5a5d8c,
    0xff7a0d36,
    0xff870116,
    0xff8d0314,
    0xff8d0210,
    0xff870006,
    0xff860002,
    0xff8d0306,
    0xff950108,
    0xff940008,
    0xffb02a33,
    0xffe67987,
    0xffdd7c90,
    0xffd46c83,
    0xffd8707d,
    0xffc55f67,
    0xffbf4c5a,
    0xffba354e,
    0xff971d32,
    0xff6d000d,
    0xff740016,
    0xff73060b,
    0xff6e0600,
    0xff690200,
    0xff6a051b,
    0xffc0578a,
    0xffa74264,
    0xff660010,
    0xff700004,
    0xff720204,
    0xff650003,
    0xff59010a,
    0xff59070d,
    0xff460000,
    0xff7e5254,
    0xff72535e,
    0xff481e2d,
    0xff380b09,
    0xff340600,
    0xff56090e,
    0xff65070f,
    0xff490700,
    0xff500315,
    0xff4c0407,
    0xff550402,
    0xff5d0109,
    0xff5c0008,
    0xff9c2932,
    0xffe0696a,
    0xffce736e,
    0xffa84a4a,
    0xff9c222a,
    0xffc94f55,
    0xffe87877,
    0xffd95f60,
    0xff760005,
    0xff68000d,
    0xff640114,
    0xff63030a,
    0xff5c0307,
    0xff560207,
    0xff570307,
    0xff5e0109,
    0xff72030e,
    0xff890515,
    0xff970419,
    0xffa41123,
    0xffa51225,
    0xff9d0f20,
    0xff9a1123,
    0xff830616,
    0xff6d000c,
    0xff670310,
    0xff5d010e,
    0xff590612,
    0xff56000a,
    0xff5a0008,
    0xff590108,
    0xff5d030c,
    0xff5c020c,
    0xff63000d,
    0xff670008,
    0xff670011,
    0xff68000e,
    0xff63000f,
    0xff570220,
    0xff623150,
    0xff3f2249,
    0xff403f78,
    0xff274f9d,
    0xff2058a4,
    0xff1954a5,
    0xff1959ab,
    0xff1759ac,
    0xff1a57aa,
    0xff1b59ac,
    0xff1c57ad,
    0xff1b58b1,
    0xff1959ab,
    0xff1a5cad,
    0xff1a58ad,
    0xff1a58af,
    0xff1956ae,
    0xff1c57ae,
    0xff1d56aa,
    0xff1d53a3,
    0xff2555a4,
    0xff264b97,
    0xff62365b,
    0xff800619,
    0xff760005,
    0xff6a060a,
    0xff6b0013,
    0xff770003,
    0xff78020a,
    0xff75030b,
    0xff700107,
    0xff6e0408,
    0xff6e0509,
    0xff6b0307,
    0xff6b0006,
    0xff6e000a,
    0xff550f26,
    0xff293c79,
    0xff1a549f,
    0xff1753a6,
    0xff1b52a4,
    0xff1d549c,
    0xff1658a6,
    0xff1657a8,
    0xff1756a0,
    0xff1757a1,
    0xff14549d,
    0xff11539d,
    0xff13549e,
    0xff13549d,
    0xff11509b,
    0xff0f4b98,
    0xff0d4f99,
    0xff0f4f9c,
    0xff12509d,
    0xff114d9b,
    0xff134f9d,
    0xff0f4c99,
    0xff124e9c,
    0xff1354a0,
    0xff0d539f,
    0xff0f52a0,
    0xff1453a2,
    0xff1450a0,
    0xff154fa0,
    0xff104d9d,
    0xff0f4f9e,
    0xff0e4fa0,
    0xff154e9a,
    0xff1351a3,
    0xff1556aa,
    0xff1053a0,
    0xff11559f,
    0xff1352a5,
    0xff1453a4,
    0xff1553a0,
    0xff1752a5,
    0xff1950a2,
    0xff1b51a2,
    0xff17519e,
    0xff0d4f98,
    0xff115099,
    0xff154a97,
    0xff1c4993,
    0xff1b4f81,
    0xff022d5f,
    0xff385590,
    0xff344989,
    0xff152d71,
    0xff1d3d7c,
    0xff1f477e,
    0xff1a4171,
    0xff3a3f5b,
    0xff434653,
    0xff717b8d,
    0xff566c99,
    0xff072f73,
    0xff0b428d,
    0xff07438d,
    0xff0d4594,
    0xff194589,
    0xff14427a,
    0xff3f6f9e,
    0xff124279,
    0xff124388,
    0xff154692,
    0xff0f448f,
    0xff0f4689,
    0xff0f4888,
    0xff114a8b,
    0xff124b8a,
    0xff0f4989,
    0xff0f4989,
    0xff10488b,
    0xff0f4789,
    0xff0c4587,
    0xff0b458b,
    0xff0e4385,
    0xff104181,
    0xff0f4081,
    0xff0b3c7f,
    0xff0c3c83,
    0xff0a3a84,
    0xff093680,
    0xff0c357b,
    0xff0f377f,
    0xff2a3054,
    0xff7d1d2d,
    0xff720003,
    0xff952219,
    0xffc8502e,
    0xffb54218,
    0xff94514a,
    0xff1b2b42,
    0xff222c62,
    0xff66749c,
    0xff444d5f,
    0xff885f59,
    0xffe1a583,
    0xffb9613f,
    0xff6d0800,
    0xff860c00,
    0xff8f0709,
    0xff990002,
    0xffcb3916,
    0xffe76d32,
    0xffd25028,
    0xff941800,
    0xff8c0e00,
    0xffffba9f,
    0xffb96759,
    0xffa6312f,
    0xffa61d16,
    0xff9a1f0a,
    0xff9b301c,
    0xff8b190c,
    0xff9d2600,
    0xffeb6f24,
    0xffdd6411,
    0xffda6b17,
    0xffba4209,
    0xff9d1700,
    0xffbf3615,
    0xffbb391a,
    0xffcb4940,
    0xffb03b18,
    0xfff18d30,
    0xffdc6714,
    0xff990500,
    0xff9f0508,
    0xff9a1900,
    0xffa93724,
    0xffe16734,
    0xffc24930,
    0xff941f16,
    0xff97230a,
    0xffb54011,
    0xffae3005,
    0xffcb4528,
    0xffb3260f,
    0xff980a1c,
    0xff9c0a14,
    0xffbe332d,
    0xffd45544,
    0xffdd6351,
    0xffde5d4f,
    0xffdb6952,
    0xffc2643e,
    0xffc26d35,
    0xffc56930,
    0xffd0872a,
    0xffb28a4b,
    0xff5b525a,
    0xff324979,
    0xff265677,
    0xff2d5a91,
    0xff284e82,
    0xff22477f,
    0xff1d447a,
    0xff23487b,
    0xff224a86,
    0xff144b8b,
    0xff08427d,
    0xff103f6d,
    0xff4e6c7f,
    0xff746275,
    0xff2d3451,
    0xff18387a,
    0xff3c2649,
    0xffaa593e,
    0xffb86050,
    0xff6a2023,
    0xff903f2e,
    0xffc7675b,
    0xff453248,
    0xff10346a,
    0xff1a3463,
    0xff252d4e,
    0xff562932,
    0xff7b1e00,
    0xffa63711,
    0xff81130d,
    0xff5f0100,
    0xff560900,
    0xff7e251e,
    0xff922f24,
    0xff963931,
    0xff793643,
    0xff403754,
    0xff353072,
    0xff25367b,
    0xff153d70,
    0xff1c457c,
    0xff214284,
    0xff173a77,
    0xff153a76,
    0xff0a3b81,
    0xff0f407a,
    0xff12366a,
    0xff1d2f5e,
    0xff3b2b39,
    0xffc16651,
    0xffc63311,
    0xffbd2f09,
    0xffb43208,
    0xffc34219,
    0xff752012,
    0xff380000,
    0xffd08c8e,
    0xff521608,
    0xff814330,
    0xff68202d,
    0xffaa202f,
    0xffbc1c21,
    0xffc32b21,
    0xffb13422,
    0xffce4f4d,
    0xffe74f5f,
    0xffd3353e,
    0xffc53a33,
    0xffe55749,
    0xffda3b3c,
    0xffad0412,
    0xff910004,
    0xff810b01,
    0xffbb4a39,
    0xffc43331,
    0xffb0000a,
    0xffaa0213,
    0xffb00011,
    0xffc5091f,
    0xffb50014,
    0xffa0000d,
    0xffa40d14,
    0xffb61920,
    0xffbf1820,
    0xffc62426,
    0xffc23228,
    0xff9b1a1b,
    0xff8d0e1a,
    0xff900607,
    0xff9b0810,
    0xff9b0818,
    0xff890304,
    0xff870412,
    0xffb11d23,
    0xffc52528,
    0xffc0282a,
    0xffbc2b25,
    0xffb5200c,
    0xffbd210d,
    0xffab1606,
    0xffb30d08,
    0xff970b0c,
    0xff950108,
    0xff810002,
    0xff99232f,
    0xff900f10,
    0xff9c2e0e,
    0xffa83e19,
    0xff9d3102,
    0xff9b3400,
    0xffc0571d,
    0xffa43000,
    0xffa42e02,
    0xffa53412,
    0xff890f03,
    0xffc13733,
    0xffbc2825,
    0xff8d020a,
    0xff7c0f0e,
    0xffb95043,
    0xffb32d28,
    0xff8d0000,
    0xff9b000a,
    0xffb30e12,
    0xffb8060b,
    0xffa90608,
    0xff8d0003,
    0xff930314,
    0xffb51c2b,
    0xffab1a1d,
    0xff921717,
    0xff8f2330,
    0xff632427,
    0xff50191b,
    0xff4b2420,
    0xff3c2e29,
    0xff343c35,
    0xff253a33,
    0xff2d3c36,
    0xff373e38,
    0xff303828,
    0xff3d402e,
    0xff423f2f,
    0xff50372e,
    0xff572c2d,
    0xff492d29,
    0xff512e26,
    0xff6e2324,
    0xffa9635b,
    0xffdd9780,
    0xffab4427,
    0xffcb3724,
    0xffc9221c,
    0xffae1a17,
    0xffab3b33,
    0xffa85143,
    0xff84594a,
    0xff351f0e,
    0xff2b200f,
    0xff2c1f14,
    0xff26281a,
    0xff0d2818,
    0xff0c1e19,
    0xff241e28,
    0xff12121b,
    0xff1b1518,
    0xff362c26,
    0xff4f4236,
    0xff432722,
    0xff462129,
    0xff251b24,
    0xff0e282c,
    0xff152823,
    0xff0e262c,
    0xff112b3b,
    0xff22313e,
    0xff4a4a4c,
    0xff68604b,
    0xff8d7f4f,
    0xff8f7c33,
    0xffffe260,
    0xffba760a,
    0xffbd7953,
    0xff622217,
    0xff6a2509,
    0xffd1aead,
    0xffcbc3d3,
    0xff664929,
    0xff7c623c,
    0xff747f48,
    0xff68763b,
    0xff63622d,
    0xff646937,
    0xff5c5f33,
    0xff615e35,
    0xff595f34,
    0xff5a5d2f,
    0xff5a5c2d,
    0xff5d612f,
    0xff575e2c,
    0xff5c6231,
    0xff5d6234,
    0xff5e6439,
    0xff5b6137,
    0xff555b32,
    0xff5e5c36,
    0xff605c35,
    0xff59532d,
    0xff65623a,
    0xff55562f,
    0xff505932,
    0xff55613c,
    0xff4e563a,
    0xff3f4f2c,
    0xff474f32,
    0xff514c1f,
    0xff4b451f,
    0xff31382b,
    0xff27362b,
    0xff1d2326,
    0xff17272e,
    0xff182424,
    0xff202721,
    0xff434538,
    0xff1b1a0e,
    0xff4f4d47,
    0xff1e1e23,
    0xff12111a,
    0xff574338,
    0xff69482e,
    0xff7f5a35,
    0xffa7876c,
    0xff6b4e49,
    0xff79565d,
    0xff7b5d5e,
    0xff635046,
    0xff995e36,
    0xffbb6e2c,
    0xffb45d30,
    0xffac614b,
    0xff9d8580,
    0xff907f57,
    0xffe2af4a,
    0xffd7b070,
    0xff5c4821,
    0xffab8d96,
    0xff724015,
    0xffe0a868,
    0xffe0b99b,
    0xff79552d,
    0xffab7542,
    0xff7c3d10,
    0xff94501d,
    0xff9b704c,
    0xff55381a,
    0xffc5a6a7,
    0xff54402c,
    0xff8a6930,
    0xffb88036,
    0xff682c00,
    0xff8f6731,
    0xff916737,
    0xff69480b,
    0xff958143,
    0xfffff4e6,
    0xff361704,
    0xff81611e,
    0xff98713e,
    0xffdec9ad,
    0xff65380f,
    0xffdaac26,
    0xfff6d332,
    0xffffed47,
    0xffe2c63a,
    0xffb59322,
    0xffddb663,
    0xffeccaa2,
    0xff5c4b38,
    0xffc9bdc2,
    0xff70545a,
    0xff61382c,
    0xffa47e68,
    0xffaf9289,
    0xff594048,
    0xff670b21,
    0xff6c1025,
    0xff762636,
    0xff4c0b15,
    0xff420109,
    0xff4d000e,
    0xff4e000d,
    0xff46010c,
    0xff4e0007,
    0xff480400,
    0xff4e0200,
    0xff570010,
    0xff4f060f,
    0xff4b0b01,
    0xff530907,
    0xff58041a,
    0xff5c0816,
    0xff42100e,
    0xff480f11,
    0xff640b17,
    0xff690d19,
    0xff691217,
    0xff7b0b0f,
    0xff950e13,
    0xff851120,
    0xff57090d,
    0xff4c0b14,
    0xff522549,
    0xff4b4d7a,
    0xff47458f,
    0xff5f419c,
    0xff615274,
    0xff360e1b,
    0xff561018,
    0xff810811,
    0xff830008,
    0xff660208,
    0xff58010d,
    0xff6a0414,
    0xff6e0512,
    0xff780618,
    0xff5c001b,
    0xff7f5a8d,
    0xff7c3f6d,
    0xff9a141c,
    0xffac1516,
    0xff9b0419,
    0xff9b0006,
    0xff9b0004,
    0xff9c0005,
    0xffa00202,
    0xffa00001,
    0xffa50101,
    0xffa80004,
    0xffac0007,
    0xffaf0009,
    0xffb1000a,
    0xffb1000a,
    0xffb1000a,
    0xffb00008,
    0xffb30309,
    0xffb00108,
    0xffae0206,
    0xffad0406,
    0xffc13725,
    0xffaf3e10,
    0xffa24b35,
    0xff765f7e,
    0xff456ea6,
    0xff425fad,
    0xff3368b0,
    0xff336ca7,
    0xff3063ae,
    0xff3059a9,
    0xff295ba9,
    0xff2c5eb0,
    0xff265fb4,
    0xff465aa2,
    0xff6f2656,
    0xff7a040f,
    0xff88060f,
    0xff760307,
    0xff6b0000,
    0xff7a0003,
    0xff91000d,
    0xffa1041a,
    0xffa5162d,
    0xff8f1026,
    0xff971e38,
    0xff96213c,
    0xffa93b52,
    0xffb7485b,
    0xffac3a47,
    0xffb5404a,
    0xffb84350,
    0xff8a1325,
    0xff6c000d,
    0xff62010a,
    0xff68000c,
    0xff720013,
    0xff6c000c,
    0xff6b0205,
    0xff710d1b,
    0xffe289a8,
    0xffa23657,
    0xff67000a,
    0xff7a0d0f,
    0xff700309,
    0xff5e0307,
    0xff4f0501,
    0xff490304,
    0xff3c0008,
    0xff967f89,
    0xff5b3c44,
    0xff4b0e15,
    0xff3f0306,
    0xff370905,
    0xff4d0e13,
    0xff51010b,
    0xff47030a,
    0xff4a020d,
    0xff4d060c,
    0xff4e0608,
    0xff560509,
    0xff5d0208,
    0xff821e24,
    0xffc15c5b,
    0xff9a3731,
    0xffbe565b,
    0xffdf787a,
    0xffe77578,
    0xffd34f55,
    0xffd6595e,
    0xff9b3135,
    0xff5b0001,
    0xff69000d,
    0xff650409,
    0xff600208,
    0xff60020a,
    0xff63030f,
    0xff65000c,
    0xff74000c,
    0xff930e1c,
    0xffad1b2d,
    0xffb31d32,
    0xff9b161b,
    0xffa01b24,
    0xff9b1029,
    0xff80001c,
    0xff64000c,
    0xff5d030b,
    0xff5c000d,
    0xff661021,
    0xff57020f,
    0xff5e0411,
    0xff640011,
    0xff62000c,
    0xff60010d,
    0xff720911,
    0xff8d0910,
    0xff7a0200,
    0xff590211,
    0xff53123c,
    0xff472e5f,
    0xff384b94,
    0xff435298,
    0xff3a3867,
    0xff39519d,
    0xff1e509f,
    0xff1e57a4,
    0xff1855a5,
    0xff1957a7,
    0xff1956a7,
    0xff1e57a9,
    0xff1a52a6,
    0xff1b54a7,
    0xff1a53a1,
    0xff1a53a0,
    0xff1a529f,
    0xff164e9c,
    0xff144c9b,
    0xff134b99,
    0xff0e4895,
    0xff0f4793,
    0xff1b448e,
    0xff1a428f,
    0xff373c7c,
    0xff6a1943,
    0xff71000d,
    0xff63070a,
    0xff670410,
    0xff68000e,
    0xff5d0915,
    0xff6b0313,
    0xff7e0014,
    0xff810214,
    0xff700209,
    0xff660409,
    0xff690207,
    0xff6d0007,
    0xff5d0f1d,
    0xff3c4379,
    0xff1c57ab,
    0xff1956aa,
    0xff1b579f,
    0xff1a56a6,
    0xff1751a4,
    0xff16559c,
    0xff10509d,
    0xff104e9e,
    0xff11509e,
    0xff12519b,
    0xff114e99,
    0xff0f4b99,
    0xff124c9c,
    0xff134c9d,
    0xff12529a,
    0xff11559e,
    0xff0a509a,
    0xff0b509a,
    0xff0f4f99,
    0xff134c97,
    0xff134b99,
    0xff144b9a,
    0xff1051a1,
    0xff1152a2,
    0xff1352a0,
    0xff1452a1,
    0xff1352a1,
    0xff12519e,
    0xff1451a0,
    0xff1653a2,
    0xff13529f,
    0xff1753a3,
    0xff1451a1,
    0xff114d9b,
    0xff134d9c,
    0xff164f9e,
    0xff124a9a,
    0xff124995,
    0xff124b9b,
    0xff0c4695,
    0xff0b4492,
    0xff0d4693,
    0xff0e4690,
    0xff0b428b,
    0xff12448c,
    0xff114189,
    0xff154584,
    0xff184787,
    0xff114287,
    0xff11438a,
    0xff174a94,
    0xff154890,
    0xff194b91,
    0xff1b4a8f,
    0xff2a4984,
    0xff415073,
    0xff494d58,
    0xff6a717e,
    0xff7792b5,
    0xff27538f,
    0xff1d4f97,
    0xff204f9b,
    0xff1d5094,
    0xff104c7d,
    0xff59759c,
    0xff18418d,
    0xff15478f,
    0xff1b497f,
    0xff084a9a,
    0xff164889,
    0xff134989,
    0xff104686,
    0xff0f4382,
    0xff0d4180,
    0xff104484,
    0xff0a3f7c,
    0xff073b78,
    0xff073977,
    0xff0b3c7e,
    0xff0d3f80,
    0xff0e3f81,
    0xff0c3d80,
    0xff0d3e80,
    0xff104186,
    0xff0f4085,
    0xff0d3e83,
    0xff134184,
    0xff133985,
    0xff2a3564,
    0xff8e3a44,
    0xff8d0204,
    0xffa31d14,
    0xffdc542f,
    0xffcf5515,
    0xffb1623d,
    0xff3f2e43,
    0xff21356f,
    0xff352442,
    0xffb66d55,
    0xffe78351,
    0xffbf4f1a,
    0xffd45e2a,
    0xff94220c,
    0xff840604,
    0xff8d090a,
    0xff8c040d,
    0xff7a0000,
    0xff911800,
    0xff800000,
    0xff961100,
    0xff881500,
    0xffea8670,
    0xffdf7964,
    0xffa53934,
    0xff921f11,
    0xff971d0c,
    0xff9f1a1f,
    0xffb33228,
    0xff8c1901,
    0xffc2510a,
    0xffdb7124,
    0xffbb440e,
    0xffcf3b17,
    0xffb02305,
    0xff9d1d04,
    0xffab1d04,
    0xffba371c,
    0xffab250a,
    0xffd66917,
    0xffe4791b,
    0xffb3260e,
    0xff920507,
    0xff962312,
    0xffa02a21,
    0xffbe3325,
    0xff961d0f,
    0xff8e110b,
    0xff7b0d00,
    0xffac3921,
    0xff9d1704,
    0xff9e2009,
    0xffc4392c,
    0xff9e0e16,
    0xff980f10,
    0xff9a1d15,
    0xffb62b2a,
    0xffc6534a,
    0xffd25046,
    0xffcd5d3f,
    0xffd87e4b,
    0xffb47129,
    0xffe29b48,
    0xfffdb839,
    0xffecb549,
    0xff69534d,
    0xff1d3461,
    0xff183c5d,
    0xff1f3455,
    0xff37305c,
    0xff3c2b57,
    0xff313356,
    0xff26375b,
    0xff2b3665,
    0xff324a81,
    0xff234f80,
    0xff224978,
    0xff546c84,
    0xff706176,
    0xff414566,
    0xff32417c,
    0xff2f3a71,
    0xff634246,
    0xffbd6b63,
    0xff493556,
    0xff4f3647,
    0xff8c3d49,
    0xff633d60,
    0xff243b6f,
    0xff243c70,
    0xff4f344a,
    0xff700f00,
    0xffc14e2b,
    0xffb65313,
    0xff972c0b,
    0xff6f0304,
    0xff660b00,
    0xff913421,
    0xff7c2210,
    0xffc4704e,
    0xff43253e,
    0xff14306a,
    0xff153571,
    0xff13366f,
    0xff1d4278,
    0xff1e427d,
    0xff1a407c,
    0xff123776,
    0xff123977,
    0xff103c75,
    0xff113b7a,
    0xff163674,
    0xff282f53,
    0xff885c63,
    0xffa7433b,
    0xffa72f2d,
    0xff88161d,
    0xff9f3724,
    0xff83200b,
    0xff6d3024,
    0xff6e2f34,
    0xffda7a6f,
    0xffac5820,
    0xffbc6f34,
    0xffbd4437,
    0xff920002,
    0xffa10013,
    0xffb0151a,
    0xffc12722,
    0xffc72a2d,
    0xffcb4435,
    0xffd0533e,
    0xffec5a60,
    0xffc92b24,
    0xffb01e27,
    0xffad0b16,
    0xffae140c,
    0xffc84436,
    0xffcc423c,
    0xffa30c0b,
    0xffaa000a,
    0xffaa0011,
    0xffb9061a,
    0xffc00a1b,
    0xffb50012,
    0xffaf0115,
    0xffab0213,
    0xffb80f1a,
    0xffda3438,
    0xffde4e4b,
    0xffd74835,
    0xff8f1200,
    0xff810a08,
    0xff930f1f,
    0xff990b16,
    0xff8e0107,
    0xff7f0103,
    0xff89000b,
    0xff92010b,
    0xff910004,
    0xff99040a,
    0xffa7151a,
    0xff990807,
    0xffb11b14,
    0xffb92116,
    0xffa80d04,
    0xff9d0c02,
    0xff971009,
    0xff880004,
    0xff900211,
    0xff9c1415,
    0xff8d1904,
    0xffc9683a,
    0xffa4400b,
    0xffba4b20,
    0xffb2381c,
    0xffa4260d,
    0xffcf5437,
    0xffc74c31,
    0xffa5230e,
    0xffcc4134,
    0xffbf2c23,
    0xffbd1e16,
    0xffaf0907,
    0xffb21617,
    0xff9b0f13,
    0xff8e040a,
    0xff930002,
    0xffa30000,
    0xffd4241d,
    0xffa90302,
    0xff960104,
    0xff910009,
    0xff93000a,
    0xff9a050a,
    0xff940807,
    0xffc03f3b,
    0xffae2e2c,
    0xff952b23,
    0xff8d2d28,
    0xff742522,
    0xff492b23,
    0xff293f2a,
    0xff314230,
    0xff462e29,
    0xff613628,
    0xff642f20,
    0xff683121,
    0xff7a3b35,
    0xff7a282f,
    0xff7d1b27,
    0xff8b2225,
    0xffa63b31,
    0xffb6443c,
    0xffd7604b,
    0xffb83816,
    0xffc53117,
    0xffbe0f09,
    0xffb50005,
    0xff910000,
    0xffad4125,
    0xffe5996e,
    0xffb86e56,
    0xff907968,
    0xff988681,
    0xff756e65,
    0xff71685d,
    0xff665d58,
    0xff695b5b,
    0xff968b82,
    0xff6f4940,
    0xff602b23,
    0xff3b1913,
    0xff1a1218,
    0xff0f1824,
    0xff152630,
    0xff102b2b,
    0xff082622,
    0xff1a2935,
    0xff33373b,
    0xff485441,
    0xff4d5f4a,
    0xff565f4a,
    0xff4b4006,
    0xff977a0d,
    0xffd88d0f,
    0xffbc6410,
    0xff9c431b,
    0xff794a25,
    0xff654427,
    0xff8a7569,
    0xffc4c2ba,
    0xffa37e79,
    0xff4e3824,
    0xff413f18,
    0xff52542e,
    0xff534d36,
    0xff504b30,
    0xff576030,
    0xff646633,
    0xff675e39,
    0xff606436,
    0xff5f5d31,
    0xff5f5d31,
    0xff57592e,
    0xff58582d,
    0xff5c542e,
    0xff585630,
    0xff4e5d32,
    0xff556b39,
    0xff705939,
    0xff644d2a,
    0xff4c3e18,
    0xff734e2a,
    0xff6d522d,
    0xff5b653a,
    0xff53633e,
    0xff5e5e3c,
    0xff535b37,
    0xff4b5131,
    0xff464c2e,
    0xff4e452c,
    0xff433c24,
    0xff394020,
    0xff59432d,
    0xff3e3e31,
    0xff384237,
    0xff2d3b2f,
    0xff323b2e,
    0xff303229,
    0xff636058,
    0xff271512,
    0xff381915,
    0xff9f724c,
    0xff7f521f,
    0xffa6743e,
    0xff9e6641,
    0xff926257,
    0xff604545,
    0xff7d6c6d,
    0xff5b4745,
    0xff766156,
    0xff735022,
    0xff803421,
    0xffc77b56,
    0xffb08c6f,
    0xffbca384,
    0xfffbd468,
    0xfffccd74,
    0xffc3994f,
    0xff8f7d7d,
    0xff6c4b28,
    0xff824825,
    0xffdbb5b1,
    0xff9b7c5e,
    0xff925730,
    0xff884810,
    0xffab6f46,
    0xff61380e,
    0xff956f4f,
    0xffb69794,
    0xff483e35,
    0xff866c34,
    0xffd2903a,
    0xffbd6b27,
    0xff895717,
    0xff76411d,
    0xff99731f,
    0xffc9c37a,
    0xffecd0cd,
    0xff4c1d00,
    0xff976a1e,
    0xff8f4928,
    0xff9a6a38,
    0xffe7b94e,
    0xffeebc1c,
    0xffffe64d,
    0xffb89220,
    0xff674909,
    0xff604813,
    0xffc1a883,
    0xff654328,
    0xffb29367,
    0xffe6cfe0,
    0xff6a4b5b,
    0xffab6550,
    0xffbf614c,
    0xffc67758,
    0xffa16350,
    0xff660719,
    0xff640517,
    0xff590815,
    0xff3f0007,
    0xff43030c,
    0xff4d010a,
    0xff4f000a,
    0xff49020a,
    0xff58000c,
    0xff4b010a,
    0xff49060a,
    0xff54010b,
    0xff490013,
    0xff451b3f,
    0xff482544,
    0xff5b122d,
    0xff5f0a15,
    0xff500d10,
    0xff600d15,
    0xff6e0917,
    0xff630b17,
    0xff640d17,
    0xff850a1a,
    0xffa20e22,
    0xff71000a,
    0xff4d030f,
    0xff4a2235,
    0xff4b2e64,
    0xff4e3f78,
    0xff483974,
    0xff673e82,
    0xff733957,
    0xff3e0918,
    0xff4a0e10,
    0xff580804,
    0xff5a0201,
    0xff4f0206,
    0xff490008,
    0xff5c0311,
    0xff640913,
    0xff680818,
    0xff601b39,
    0xff5c568b,
    0xff836092,
    0xff880e1c,
    0xff99020b,
    0xff960012,
    0xff980101,
    0xff9f0105,
    0xff9f0003,
    0xff9f0105,
    0xffa10204,
    0xffa40101,
    0xffa80005,
    0xffaa0005,
    0xffae0109,
    0xffaf0308,
    0xffb00208,
    0xffaf0007,
    0xffaf0107,
    0xffad0006,
    0xffad0207,
    0xffa70105,
    0xffa80106,
    0xff950100,
    0xffb94b38,
    0xff98656a,
    0xff666ca6,
    0xff486eb9,
    0xff485da6,
    0xff3364a4,
    0xff3464b1,
    0xff2e67a3,
    0xff3760a2,
    0xff385da9,
    0xff375aad,
    0xff4560a7,
    0xff654779,
    0xff770324,
    0xff84020b,
    0xff7d0007,
    0xff770005,
    0xff780105,
    0xff89060e,
    0xff94000f,
    0xffae152b,
    0xffbc3047,
    0xff810519,
    0xff6d0014,
    0xff6c0117,
    0xff640011,
    0xff68000f,
    0xff6d010c,
    0xff73020c,
    0xff6d0007,
    0xff6c000d,
    0xff650013,
    0xff61000c,
    0xff6e000f,
    0xff760015,
    0xff680109,
    0xff6c0603,
    0xff700007,
    0xff6f001e,
    0xffd784a2,
    0xffa34959,
    0xff5f0004,
    0xff5d0109,
    0xff500108,
    0xff490003,
    0xff47050c,
    0xff56212e,
    0xff927481,
    0xff4a1f28,
    0xff510812,
    0xff51050d,
    0xff3c0001,
    0xff4a0009,
    0xff5a000e,
    0xff51050d,
    0xff44040b,
    0xff43070b,
    0xff460c0c,
    0xff4a0a0d,
    0xff52070c,
    0xff5a0407,
    0xff882c29,
    0xffd17068,
    0xffdd7178,
    0xffcd6265,
    0xffd25c60,
    0xffda565b,
    0xffd05057,
    0xff71070c,
    0xff600206,
    0xff68010c,
    0xff640104,
    0xff670208,
    0xff670008,
    0xff69010c,
    0xff6b010b,
    0xff73020d,
    0xffb53944,
    0xffbe3643,
    0xffa71528,
    0xff9d1d21,
    0xff9d2b2a,
    0xff861120,
    0xff6d0013,
    0xff590005,
    0xff5a050b,
    0xff5f0111,
    0xff5b061a,
    0xff540a19,
    0xff530512,
    0xff5f0007,
    0xff670003,
    0xff690309,
    0xff82060f,
    0xff9e040f,
    0xff84020f,
    0xff64071c,
    0xff5b417d,
    0xff34519b,
    0xff2053a1,
    0xff284b91,
    0xff3d4170,
    0xff2d2f6e,
    0xff25519c,
    0xff1a4e9b,
    0xff144e98,
    0xff114b98,
    0xff0f4997,
    0xff104596,
    0xff124796,
    0xff0e4494,
    0xff0a4390,
    0xff0a4390,
    0xff0a428f,
    0xff0a428f,
    0xff0b4390,
    0xff0e4592,
    0xff0e4794,
    0xff0f4896,
    0xff0e4496,
    0xff164792,
    0xff194a89,
    0xff403a73,
    0xff4e0930,
    0xff63000f,
    0xff690411,
    0xff450616,
    0xff5e3467,
    0xff792f5e,
    0xff720624,
    0xff810009,
    0xff800100,
    0xff770500,
    0xff6f0703,
    0xff650206,
    0xff5e1c2d,
    0xff424b7b,
    0xff114999,
    0xff144c9c,
    0xff124c93,
    0xff0c4a99,
    0xff09469a,
    0xff0d4b98,
    0xff0d4c9c,
    0xff0c4b9a,
    0xff0c4b98,
    0xff0d4a96,
    0xff0d4c96,
    0xff114c9a,
    0xff114d9d,
    0xff0f4999,
    0xff0d4b95,
    0xff114e96,
    0xff155096,
    0xff0f4a92,
    0xff114c98,
    0xff104d9c,
    0xff144d9d,
    0xff154c9b,
    0xff104c97,
    0xff14509c,
    0xff17539d,
    0xff16519c,
    0xff144d99,
    0xff154f98,
    0xff114a94,
    0xff0b448f,
    0xff0d478e,
    0xff0c468d,
    0xff0b448b,
    0xff094088,
    0xff0b428a,
    0xff11468c,
    0xff12478d,
    0xff14478d,
    0xff134587,
    0xff174a8a,
    0xff134786,
    0xff174d8a,
    0xff1d528e,
    0xff174884,
    0xff134481,
    0xff12407a,
    0xff0c3a6f,
    0xff0f3e75,
    0xff144781,
    0xff1b4f8a,
    0xff1a528e,
    0xff164b84,
    0xff194a85,
    0xff164782,
    0xff1e4788,
    0xff1e4277,
    0xff294666,
    0xff435262,
    0xff505562,
    0xff8e9ab5,
    0xff446298,
    0xff1b4a91,
    0xff194897,
    0xff0d437e,
    0xff526c93,
    0xff123c84,
    0xff114896,
    0xff134780,
    0xff064a94,
    0xff1b458d,
    0xff164a8c,
    0xff1d5294,
    0xff1d5395,
    0xff245699,
    0xff235698,
    0xff215495,
    0xff285b9b,
    0xff27589b,
    0xff255698,
    0xff1d4e90,
    0xff154689,
    0xff154689,
    0xff13448a,
    0xff15468b,
    0xff134489,
    0xff124386,
    0xff103f7f,
    0xff10428e,
    0xff1d3c78,
    0xff723747,
    0xffae2b1d,
    0xffa91b01,
    0xffd23e1b,
    0xffb32d00,
    0xffa74127,
    0xff603147,
    0xff3a1a45,
    0xffae6a73,
    0xffc75737,
    0xffd95325,
    0xffc94213,
    0xffd54921,
    0xffb92f1e,
    0xffa41918,
    0xff900800,
    0xff870703,
    0xff7c0401,
    0xff840a01,
    0xff9f1713,
    0xffa4120d,
    0xffa71d13,
    0xff840200,
    0xffa7311f,
    0xffb13d37,
    0xff97270e,
    0xff901b00,
    0xffa12217,
    0xffb03018,
    0xff991a00,
    0xfffca047,
    0xffd37118,
    0xffab3300,
    0xffd35618,
    0xffbe4d05,
    0xffd05924,
    0xffb92f19,
    0xff9c0d00,
    0xff8e0000,
    0xffdf6a30,
    0xffdd7019,
    0xffb72e0b,
    0xff8e0000,
    0xff9d1d0f,
    0xff8b0702,
    0xff8d0b03,
    0xff8f120f,
    0xff8f040b,
    0xff880c0b,
    0xff89180a,
    0xffb63a2c,
    0xff8f1a0c,
    0xffb42c28,
    0xff9f0a10,
    0xffb82e2e,
    0xffa72f20,
    0xffb4372b,
    0xffa13f2c,
    0xffb0402d,
    0xffc4603d,
    0xffb8612c,
    0xffc56c18,
    0xffd88b2c,
    0xfffaae2e,
    0xfff8ac46,
    0xff895e52,
    0xff353d5d,
    0xff2f3e58,
    0xff675773,
    0xff864e5c,
    0xff89262c,
    0xff95362c,
    0xff794335,
    0xff6c555d,
    0xff282d50,
    0xff1a3668,
    0xff112f65,
    0xff464f6a,
    0xff85717f,
    0xff2c3b51,
    0xff0f3662,
    0xff103c68,
    0xff2c3745,
    0xff926c72,
    0xff363960,
    0xff2f4762,
    0xff654151,
    0xff604a5c,
    0xff243c5e,
    0xff2e3b68,
    0xff51213a,
    0xff750900,
    0xff8f1300,
    0xffb85419,
    0xffe98344,
    0xffb54d19,
    0xffbc671a,
    0xff993b10,
    0xff862e1b,
    0xffbc6a56,
    0xff463257,
    0xff193773,
    0xff12336e,
    0xff143671,
    0xff163d76,
    0xff1d457d,
    0xff0d346f,
    0xff0e3674,
    0xff0d3472,
    0xff103170,
    0xff103476,
    0xff0f3775,
    0xff163767,
    0xff49486c,
    0xff442649,
    0xff412749,
    0xff292547,
    0xff605277,
    0xff8c6977,
    0xff7e5a54,
    0xff924c48,
    0xffb0472e,
    0xffd67d31,
    0xffd67c21,
    0xffcd5315,
    0xff970600,
    0xffaf0d14,
    0xffbd1e1b,
    0xffc73129,
    0xffda4347,
    0xffdf5751,
    0xffe86150,
    0xffc92729,
    0xffc72b2a,
    0xffbd2d2d,
    0xffb91618,
    0xffc52b22,
    0xffbd2922,
    0xffa90708,
    0xffae020c,
    0xffc00013,
    0xffbe0417,
    0xffc0061b,
    0xffc60721,
    0xffbe001b,
    0xffb60018,
    0xffaf0313,
    0xffbb2122,
    0xffce4037,
    0xffda4c41,
    0xffaf3023,
    0xff8a0d0b,
    0xff81060b,
    0xff8a0c10,
    0xff9a0609,
    0xff910005,
    0xff870009,
    0xff87020b,
    0xff96010d,
    0xffaa0712,
    0xff9f030d,
    0xff8b0005,
    0xff910a0f,
    0xff920304,
    0xffaa0c0f,
    0xffac120f,
    0xff9d0d02,
    0xff9f1706,
    0xffa01004,
    0xff9f0501,
    0xff9a0501,
    0xff8e1501,
    0xff8f300a,
    0xffc15a2b,
    0xffd66641,
    0xffcb4f39,
    0xffbc3d29,
    0xffc84b36,
    0xffd75b42,
    0xffe05c4a,
    0xffba3125,
    0xffb32418,
    0xffb71d10,
    0xffaa0902,
    0xff9e0100,
    0xff9a0609,
    0xff92030b,
    0xff970107,
    0xff9a0000,
    0xffc1201a,
    0xffb11013,
    0xff970008,
    0xff92000f,
    0xff8c010b,
    0xff8d0207,
    0xff920004,
    0xffad1116,
    0xffad0b04,
    0xffa01a13,
    0xff9b2b2c,
    0xff8e2c30,
    0xff762e2e,
    0xff6c3d34,
    0xff68322c,
    0xff7d2f2f,
    0xff702828,
    0xff912e34,
    0xff82322b,
    0xff5b2311,
    0xff87332c,
    0xff9b2825,
    0xffb33c33,
    0xffc34b39,
    0xffc03c2f,
    0xffb61c14,
    0xffb8150a,
    0xffcb2518,
    0xffdb2d21,
    0xffc81009,
    0xffb30000,
    0xffb00e05,
    0xffd55b3a,
    0xff90432c,
    0xff1d1707,
    0xff231819,
    0xff151c15,
    0xff121910,
    0xff1a171a,
    0xff16141d,
    0xff0c180b,
    0xff2b1c14,
    0xff553031,
    0xff422627,
    0xff302527,
    0xff231d21,
    0xff221c25,
    0xff28272f,
    0xff1a2a25,
    0xff1e252e,
    0xff272f2c,
    0xff2b3b21,
    0xff3b5334,
    0xff4b533e,
    0xff67532b,
    0xffdfb362,
    0xffb47613,
    0xffa3621c,
    0xff82471e,
    0xff63512a,
    0xff6a6242,
    0xffa29783,
    0xffa89d92,
    0xff804d50,
    0xff6d5244,
    0xff72683d,
    0xff5c581d,
    0xff615424,
    0xff5f5327,
    0xff54551e,
    0xff5e6126,
    0xff635929,
    0xff57572a,
    0xff59542c,
    0xff615e37,
    0xff50532c,
    0xff605f39,
    0xff5c4e2e,
    0xff564728,
    0xff54502c,
    0xff50461b,
    0xff7f5835,
    0xff3c1f00,
    0xff786137,
    0xff84512f,
    0xff4f1f06,
    0xff675b34,
    0xff5a5f38,
    0xff59663c,
    0xff495d34,
    0xff515937,
    0xff505736,
    0xff565939,
    0xff555735,
    0xff68623c,
    0xff7d3d29,
    0xff854c2e,
    0xff563c1e,
    0xff3c432c,
    0xff233121,
    0xff5b5245,
    0xff77543f,
    0xff693714,
    0xffc08658,
    0xffce7b41,
    0xffd08a52,
    0xff5a2100,
    0xffca9577,
    0xff9c6a5a,
    0xff754f49,
    0xff705857,
    0xff7e6b6d,
    0xff513833,
    0xff807359,
    0xff380f00,
    0xffa8722f,
    0xffe6c78a,
    0xff6f5a3d,
    0xffb79033,
    0xfff0b53f,
    0xffc79439,
    0xffad9280,
    0xff6f4f2d,
    0xff956948,
    0xffcab0a0,
    0xff573315,
    0xffb06e57,
    0xffa76a47,
    0xff884b39,
    0xff440e00,
    0xff40160e,
    0xffcbacab,
    0xff55392f,
    0xff774b29,
    0xffbc8147,
    0xff5e2100,
    0xffc77f35,
    0xff89460d,
    0xff986119,
    0xffc09a52,
    0xffcc9468,
    0xff5b1500,
    0xff9a593c,
    0xff8d340b,
    0xffaf5925,
    0xfffaa75d,
    0xffb26304,
    0xffab6d13,
    0xff4c2500,
    0xff5f4318,
    0xffab8e65,
    0xff845e27,
    0xffb98237,
    0xff8d6519,
    0xfff9dadf,
    0xff865859,
    0xffb85a38,
    0xffc24832,
    0xffb54929,
    0xffb94d33,
    0xff670614,
    0xff5f0210,
    0xff4f000a,
    0xff3f0207,
    0xff410208,
    0xff4d010b,
    0xff52000b,
    0xff4c010b,
    0xff4c0107,
    0xff4d040d,
    0xff4a0809,
    0xff430407,
    0xff3f1536,
    0xff615c9b,
    0xff595387,
    0xff602c45,
    0xff590611,
    0xff620e16,
    0xff67030f,
    0xff6e0311,
    0xff620810,
    0xff6b0f1b,
    0xff801024,
    0xff730012,
    0xff971e3c,
    0xff851b3a,
    0xff633451,
    0xff3d2f6f,
    0xff4f3b8a,
    0xff4e478b,
    0xff4d4789,
    0xff603868,
    0xff5d172d,
    0xff570413,
    0xff57050e,
    0xff470b10,
    0xff300a17,
    0xff34182c,
    0xff4d233a,
    0xff4c0a22,
    0xff4e091e,
    0xff502e4d,
    0xff475a8f,
    0xff78649b,
    0xff86172f,
    0xff960312,
    0xff92000c,
    0xff990800,
    0xffa00005,
    0xff9f0003,
    0xff9f0003,
    0xffa10203,
    0xffa40003,
    0xffa60003,
    0xffaa0006,
    0xffaf0106,
    0xffaa0102,
    0xffab0102,
    0xffaa0102,
    0xffa90003,
    0xffaa0103,
    0xffa70005,
    0xffa30003,
    0xffa20003,
    0xff910413,
    0xff91576b,
    0xff637196,
    0xff5475b9,
    0xff3d6cb5,
    0xff4668a7,
    0xff366aa6,
    0xff3061b5,
    0xff3164a2,
    0xff365fa2,
    0xff3763b3,
    0xff385aad,
    0xff545f9a,
    0xff55223b,
    0xff6c0006,
    0xff6d0807,
    0xff720003,
    0xff860611,
    0xffa21b27,
    0xff9b0d1b,
    0xff93000f,
    0xffb22033,
    0xffb73142,
    0xff981a2d,
    0xff68000e,
    0xff62000e,
    0xff630311,
    0xff60010c,
    0xff66010a,
    0xff660006,
    0xff69010c,
    0xff6b0110,
    0xff6d0013,
    0xff6c000d,
    0xff77000c,
    0xff7d0516,
    0xff680608,
    0xff600903,
    0xff570007,
    0xff691c39,
    0xff8c5b75,
    0xffab6272,
    0xff4d0002,
    0xff4c010c,
    0xff4b0310,
    0xff4b020d,
    0xff330003,
    0xff99707f,
    0xff65474f,
    0xff4f1b24,
    0xff4f000b,
    0xff57070d,
    0xff692329,
    0xff54060f,
    0xff56010a,
    0xff4e0309,
    0xff430b0f,
    0xff3d0a0b,
    0xff3a0c0c,
    0xff360709,
    0xff40060b,
    0xff4b0106,
    0xffb25755,
    0xffdc7470,
    0xffc44f54,
    0xffcc575b,
    0xffcd5054,
    0xffd44f55,
    0xffcd5157,
    0xff660001,
    0xff610206,
    0xff630009,
    0xff600403,
    0xff6d0307,
    0xff77020d,
    0xff71050c,
    0xff731619,
    0xff660d0d,
    0xffaa3d41,
    0xffb32f3b,
    0xffa71d2e,
    0xffa02c2d,
    0xff86231d,
    0xff68090d,
    0xff590009,
    0xff530305,
    0xff550509,
    0xff580014,
    0xff5f1b3e,
    0xff5a2d51,
    0xff36031b,
    0xff5e030b,
    0xff720104,
    0xff6c0509,
    0xff680408,
    0xff6d0000,
    0xff7f010d,
    0xff720311,
    0xff4a2c6c,
    0xff2448a5,
    0xff204b9d,
    0xff1a468a,
    0xff2d4880,
    0xff242e60,
    0xff1d458d,
    0xff14458d,
    0xff10468f,
    0xff0e4690,
    0xff0f4490,
    0xff114592,
    0xff134792,
    0xff104691,
    0xff0e4894,
    0xff104996,
    0xff0e4895,
    0xff124996,
    0xff0f4794,
    0xff0d4794,
    0xff0d4693,
    0xff0e4a97,
    0xff124fa2,
    0xff174e92,
    0xff0a5592,
    0xff174e9a,
    0xff433d82,
    0xff4b0e32,
    0xff490522,
    0xff3f3359,
    0xff264d93,
    0xff394583,
    0xff552f5a,
    0xff6d1d34,
    0xff720513,
    0xff75000e,
    0xff750318,
    0xff650018,
    0xff481e37,
    0xff2c4176,
    0xff154d99,
    0xff1a4e99,
    0xff134d8f,
    0xff0f4b99,
    0xff0f4ca0,
    0xff094d9b,
    0xff0d4c9c,
    0xff0e4e9d,
    0xff124e9e,
    0xff104e9b,
    0xff0e4d98,
    0xff144f9a,
    0xff15509c,
    0xff134d9c,
    0xff114f9b,
    0xff1e5095,
    0xff2d5896,
    0xff1c498b,
    0xff144c96,
    0xff114fa2,
    0xff114b9d,
    0xff144a98,
    0xff164d96,
    0xff124991,
    0xff0e458d,
    0xff0b428b,
    0xff0c428a,
    0xff0e428b,
    0xff0c418a,
    0xff0f458a,
    0xff0a3f82,
    0xff0a407f,
    0xff0e4484,
    0xff104384,
    0xff0f4383,
    0xff0a3c7b,
    0xff093a7a,
    0xff0c3d7c,
    0xff0e3c78,
    0xff0b3977,
    0xff0e3c79,
    0xff0e3e79,
    0xff0d3d78,
    0xff103f7b,
    0xff14437c,
    0xff19457e,
    0xff17467b,
    0xff14447a,
    0xff164982,
    0xff174b86,
    0xff124783,
    0xff124580,
    0xff053871,
    0xff073872,
    0xff0f4176,
    0xff0a407b,
    0xff093b79,
    0xff1a386c,
    0xff44476a,
    0xff514d65,
    0xff7e899e,
    0xff6e8aa4,
    0xff203c78,
    0xff10397e,
    0xff6c87b9,
    0xff0c3b79,
    0xff144991,
    0xff154584,
    0xff094893,
    0xff15448f,
    0xff10448b,
    0xff0e448a,
    0xff0e4389,
    0xff13458c,
    0xff0f4186,
    0xff0e4085,
    0xff124489,
    0xff0f4086,
    0xff104187,
    0xff0e3f84,
    0xff0d3e83,
    0xff0c3d83,
    0xff0d3e83,
    0xff0e3f83,
    0xff0b3b84,
    0xff0a3a82,
    0xff133e7f,
    0xff153f81,
    0xff192b41,
    0xff97553b,
    0xffdf5d2b,
    0xffb42500,
    0xffb41c0b,
    0xff970600,
    0xffc24033,
    0xff914255,
    0xff8c2743,
    0xffbc4039,
    0xffa51c07,
    0xffc92f0d,
    0xffc43b0b,
    0xffc74014,
    0xffc93b1e,
    0xff9d0b02,
    0xffc33913,
    0xffb73413,
    0xff870506,
    0xff99160b,
    0xffa41b13,
    0xffa91815,
    0xff980502,
    0xff9e120c,
    0xffbc3d2e,
    0xffb43b2f,
    0xffaa3513,
    0xffb74015,
    0xffa6240a,
    0xffdc562d,
    0xffe65b2b,
    0xffffa33f,
    0xffb24c01,
    0xff7e0000,
    0xffb94b2f,
    0xffc6691a,
    0xffce6014,
    0xffa92900,
    0xffb9280e,
    0xff950402,
    0xffdb5e3a,
    0xffd7631a,
    0xffbc3611,
    0xff910000,
    0xff900203,
    0xff98030c,
    0xff960e11,
    0xff92010b,
    0xffa10015,
    0xff970413,
    0xff770000,
    0xffa5312b,
    0xff8d2119,
    0xffa02226,
    0xff98030e,
    0xff9f1c15,
    0xffb23b29,
    0xff9d2b16,
    0xff98492b,
    0xffcd7b5c,
    0xffa9532f,
    0xffa85021,
    0xffc46124,
    0xffb96b2d,
    0xffbf7a27,
    0xffa55e1c,
    0xff86605e,
    0xff414f66,
    0xff354656,
    0xff472d44,
    0xff973241,
    0xffad1b25,
    0xffb41c15,
    0xffb83a28,
    0xff892321,
    0xff78354e,
    0xff38345c,
    0xff113f69,
    0xff51637c,
    0xff8f7e82,
    0xff2c4152,
    0xff134268,
    0xff1e4f78,
    0xff183e63,
    0xff51567b,
    0xff283368,
    0xff1f3978,
    0xff323e6c,
    0xff43496a,
    0xff454d79,
    0xff422652,
    0xff621b27,
    0xff7c1a12,
    0xff930f02,
    0xffb04c10,
    0xffac4502,
    0xffb34a0a,
    0xffb35801,
    0xffb45012,
    0xffb7603a,
    0xffa65747,
    0xff413566,
    0xff1f3f7d,
    0xff1f4581,
    0xff163d76,
    0xff184278,
    0xff0f3973,
    0xff16407c,
    0xff0c3574,
    0xff103a77,
    0xff12376e,
    0xff16356b,
    0xff16386b,
    0xff143769,
    0xff112963,
    0xff202c6a,
    0xff142a64,
    0xff072f64,
    0xff16265d,
    0xffb5aabb,
    0xff957a6e,
    0xff540c09,
    0xff7a201b,
    0xff893013,
    0xffae270d,
    0xffbc1d0f,
    0xff940300,
    0xffe34040,
    0xffdf423e,
    0xffd1473f,
    0xffd75154,
    0xffd24d4e,
    0xffbe362d,
    0xffc92a27,
    0xffd2443e,
    0xffd44634,
    0xffcc3220,
    0xffc13022,
    0xffcb322c,
    0xffca1a22,
    0xffc20c1e,
    0xffc30012,
    0xffbb010d,
    0xffbe061d,
    0xffbd0522,
    0xffba0020,
    0xffbf011b,
    0xffc6131f,
    0xffc92a27,
    0xffd7493f,
    0xffe36357,
    0xff802018,
    0xff910f1f,
    0xff87030b,
    0xff810603,
    0xff950306,
    0xffa8131c,
    0xff97000a,
    0xff8e070b,
    0xff990106,
    0xffb80914,
    0xffbf0e1c,
    0xffac0b1a,
    0xffa1101b,
    0xff90030c,
    0xff95030d,
    0xff9b0712,
    0xff9b0d0c,
    0xff9d1002,
    0xffa60d00,
    0xffcc281b,
    0xffb1150e,
    0xff94130a,
    0xff8a2011,
    0xffaa3918,
    0xffb63f25,
    0xffc44535,
    0xffce4b3f,
    0xffd45245,
    0xffdb5849,
    0xffcc463a,
    0xffc73c34,
    0xffbe3222,
    0xffcc3f2c,
    0xffce3f2e,
    0xffc63129,
    0xffa40d0d,
    0xff940004,
    0xff9c070e,
    0xffaa1318,
    0xffa7090b,
    0xffa1060d,
    0xff93000c,
    0xff8a010e,
    0xff89010d,
    0xff980811,
    0xffb00e1e,
    0xffad0011,
    0xff9f0004,
    0xff920004,
    0xffa21b18,
    0xffa42615,
    0xffad381c,
    0xffa8452c,
    0xff883e36,
    0xff71343e,
    0xff6e2327,
    0xff941a26,
    0xffab3638,
    0xff862a19,
    0xffa63824,
    0xffc04631,
    0xffc9563d,
    0xffc03c2b,
    0xffb42214,
    0xffc5191b,
    0xffb40003,
    0xffb60406,
    0xffba1406,
    0xffd4311a,
    0xffc62817,
    0xffa00a02,
    0xffaf0a0c,
    0xff752124,
    0xff232127,
    0xff2b2432,
    0xff20332a,
    0xff193420,
    0xff13281b,
    0xff112b28,
    0xff142720,
    0xff132421,
    0xff152626,
    0xff192020,
    0xff2e1d1b,
    0xff401e1e,
    0xff342323,
    0xff1d2824,
    0xff222c26,
    0xff252c34,
    0xff2f3536,
    0xff383824,
    0xff4e4630,
    0xff463428,
    0xff56412b,
    0xff4f3f0b,
    0xff5c4c03,
    0xff897032,
    0xff6f5229,
    0xff585031,
    0xff5a5539,
    0xff706747,
    0xff4b4129,
    0xff7b5250,
    0xff735b61,
    0xff6f6a4b,
    0xff5e5b24,
    0xff635822,
    0xff615629,
    0xff5f5f30,
    0xff6a703e,
    0xff6e6b3e,
    0xff605a2e,
    0xff615832,
    0xff423c1a,
    0xff404626,
    0xff484429,
    0xff452d17,
    0xff977761,
    0xff6b5034,
    0xff90663f,
    0xff6b481e,
    0xff635726,
    0xff56511e,
    0xff81673f,
    0xff4d2906,
    0xff65502e,
    0xff54522e,
    0xff55623c,
    0xff4c5935,
    0xff575435,
    0xff545332,
    0xff5e653c,
    0xff646d40,
    0xff746037,
    0xffa03323,
    0xff892809,
    0xff783d22,
    0xff493826,
    0xff363a2e,
    0xff2b2215,
    0xff876752,
    0xff865a35,
    0xff714213,
    0xffd08d71,
    0xff793c21,
    0xffb07e61,
    0xff613919,
    0xffa97e65,
    0xff916658,
    0xff6e4848,
    0xff81666b,
    0xff5e3c3f,
    0xff4d4c43,
    0xff736455,
    0xffcd9a5c,
    0xffb58c49,
    0xffddc8ad,
    0xff64450a,
    0xffffdc6e,
    0xffcd8d2d,
    0xffa37051,
    0xff8d5b3c,
    0xffdcb297,
    0xffa48d72,
    0xff643b1d,
    0xff5e1810,
    0xff6e351c,
    0xff965d47,
    0xff440c02,
    0xff50302f,
    0xffd2c0bb,
    0xff532b1d,
    0xffae6555,
    0xff823416,
    0xffd58d51,
    0xffcd7122,
    0xffc87d32,
    0xffa25e1a,
    0xffaa6724,
    0xffc06a26,
    0xff9b431f,
    0xff692224,
    0xffba5f3c,
    0xffb4461d,
    0xffc3512d,
    0xffb85226,
    0xffa15a23,
    0xff8e6132,
    0xffa47e64,
    0xff986144,
    0xff9d5223,
    0xffb96517,
    0xffc18031,
    0xffdba68d,
    0xff8e4625,
    0xffc85f2a,
    0xffaa341e,
    0xff901906,
    0xffbc311f,
    0xff630610,
    0xff5c0009,
    0xff53040a,
    0xff420507,
    0xff400104,
    0xff4e0007,
    0xff540009,
    0xff4f0209,
    0xff4f0004,
    0xff620001,
    0xff660005,
    0xff4a0820,
    0xff60517b,
    0xff5b497d,
    0xff47113a,
    0xff4f091d,
    0xff610a18,
    0xff5d0711,
    0xff63010d,
    0xff6a060d,
    0xff620707,
    0xff660108,
    0xff62020c,
    0xff66262a,
    0xff3e040e,
    0xff59071b,
    0xff4d1f2b,
    0xff3c3b60,
    0xff342c61,
    0xff392f57,
    0xff484074,
    0xff583e73,
    0xff48132a,
    0xff4a0013,
    0xff4b0f1f,
    0xff523b4c,
    0xff2c2e4e,
    0xff50698e,
    0xff42597e,
    0xff524671,
    0xff49314e,
    0xff43375f,
    0xff56679d,
    0xff825d90,
    0xff850e28,
    0xff8f0008,
    0xff9c040e,
    0xff9c0500,
    0xffa10003,
    0xffa20005,
    0xffa10005,
    0xffa30002,
    0xffa30002,
    0xffa50004,
    0xffa90005,
    0xffab0106,
    0xffaa0100,
    0xffaa0000,
    0xffaa0100,
    0xffa90000,
    0xffab0204,
    0xffa80206,
    0xffa70108,
    0xffa10002,
    0xffa11a32,
    0xff766da0,
    0xff3f6eac,
    0xff4e65a0,
    0xff4576ab,
    0xff4b6aa6,
    0xff4f61a1,
    0xff4a5da3,
    0xff4967a9,
    0xff4365b3,
    0xff2f5aac,
    0xff3f54a4,
    0xff544d87,
    0xff692d52,
    0xff6c0014,
    0xff771015,
    0xffb6454d,
    0xffce4f5c,
    0xffaf2332,
    0xff9f0a1d,
    0xff940313,
    0xff9e1123,
    0xffae2537,
    0xffb32b3d,
    0xff7b0915,
    0xff68000d,
    0xff63000c,
    0xff60020d,
    0xff63010b,
    0xff67030a,
    0xff66020c,
    0xff65000f,
    0xff620407,
    0xff5f0500,
    0xff6d0504,
    0xff810f1a,
    0xff6a0009,
    0xff610009,
    0xff5a1328,
    0xff8f7594,
    0xff95758a,
    0xff8b4251,
    0xff69131d,
    0xff46050d,
    0xff4a0310,
    0xff4b010b,
    0xff59242b,
    0xffbfa1ab,
    0xff52363a,
    0xff440f14,
    0xff4f0208,
    0xff4f0407,
    0xff571316,
    0xff480107,
    0xff4b0108,
    0xff470708,
    0xff42060b,
    0xff3e080b,
    0xff360609,
    0xff320609,
    0xff3f0912,
    0xff4c0309,
    0xffa54346,
    0xffbd4949,
    0xffbd4046,
    0xffc6474c,
    0xffc74248,
    0xffd14b52,
    0xff981e23,
    0xff660001,
    0xff600004,
    0xff5f020b,
    0xff590203,
    0xff6d020a,
    0xff700009,
    0xff77181f,
    0xff5b1e19,
    0xff52170f,
    0xff872b2c,
    0xffa52533,
    0xff941625,
    0xff8c2022,
    0xff721311,
    0xff5f0709,
    0xff570005,
    0xff570506,
    0xff510109,
    0xff530723,
    0xff54376d,
    0xff544c8c,
    0xff411a4d,
    0xff65001d,
    0xff820014,
    0xff7c0013,
    0xff7b000d,
    0xff850013,
    0xff9c0c21,
    0xff8a080d,
    0xff622148,
    0xff294183,
    0xff184a8d,
    0xff164892,
    0xff16458e,
    0xff303f7d,
    0xff18418a,
    0xff15458f,
    0xff0c428c,
    0xff0d4590,
    0xff0f4490,
    0xff124692,
    0xff0f458f,
    0xff0c4790,
    0xff0e4995,
    0xff154d9b,
    0xff144d9a,
    0xff174e9c,
    0xff154c9a,
    0xff1a53a0,
    0xff1a52a0,
    0xff16519e,
    0xff17519d,
    0xff184e87,
    0xff0e5591,
    0xff1550a8,
    0xff23489c,
    0xff2f4373,
    0xff33376b,
    0xff2d448e,
    0xff184796,
    0xff164288,
    0xff2b4583,
    0xff434078,
    0xff52336b,
    0xff55275c,
    0xff65396b,
    0xff573564,
    0xff42416c,
    0xff1d4888,
    0xff104d9b,
    0xff134a96,
    0xff104c90,
    0xff0d4c96,
    0xff134ba0,
    0xff0c4c9b,
    0xff0e4b9c,
    0xff104d9f,
    0xff1552a2,
    0xff13529f,
    0xff18529e,
    0xff17529e,
    0xff18549c,
    0xff134f99,
    0xff15509e,
    0xff2c5897,
    0xff7694c8,
    0xff4669a2,
    0xff094085,
    0xff07499c,
    0xff084696,
    0xff10448e,
    0xff0b4189,
    0xff0e448c,
    0xff0f448d,
    0xff0d418a,
    0xff0d418a,
    0xff0f438c,
    0xff0a3e88,
    0xff0d428a,
    0xff114688,
    0xff0d4284,
    0xff124789,
    0xff13488b,
    0xff124686,
    0xff104485,
    0xff1a4c8d,
    0xff225395,
    0xff245299,
    0xff26559d,
    0xff214f97,
    0xff1b4c93,
    0xff16468d,
    0xff184a90,
    0xff16488e,
    0xff14468d,
    0xff17478f,
    0xff11448c,
    0xff11458e,
    0xff0d438e,
    0xff09408b,
    0xff0e458f,
    0xff0f438d,
    0xff154992,
    0xff0c447b,
    0xff0a427e,
    0xff0a4184,
    0xff0f3e87,
    0xff143c7e,
    0xff2b4472,
    0xff485667,
    0xff616560,
    0xff979daf,
    0xff2c3f7d,
    0xff657db3,
    0xff1d4778,
    0xff144282,
    0xff1a4187,
    0xff0f4a95,
    0xff114991,
    0xff12478b,
    0xff114689,
    0xff154a8e,
    0xff134589,
    0xff15468b,
    0xff174a8e,
    0xff194a8f,
    0xff17478d,
    0xff124489,
    0xff15468b,
    0xff16478c,
    0xff16478c,
    0xff15468b,
    0xff14458a,
    0xff124388,
    0xff114289,
    0xff1b457f,
    0xff212f55,
    0xffbb9b70,
    0xfffc9745,
    0xffc63600,
    0xffa71600,
    0xff930500,
    0xff9d1114,
    0xffad4a37,
    0xff5d2427,
    0xffaa303c,
    0xff960000,
    0xff960000,
    0xffc5160f,
    0xffc42c00,
    0xffdb4919,
    0xffd6572b,
    0xffa01a02,
    0xffe25719,
    0xffe4551e,
    0xff9b0700,
    0xffa61b0c,
    0xff9c1801,
    0xff991708,
    0xff930f0c,
    0xff8b0a04,
    0xffb33928,
    0xffb74331,
    0xffb6421a,
    0xffac3001,
    0xffa61b04,
    0xffd3421b,
    0xffd24c0b,
    0xffe57e26,
    0xffcb5522,
    0xff900414,
    0xff680000,
    0xffca6031,
    0xffea772f,
    0xffc85112,
    0xffdd5e1f,
    0xffa21e0a,
    0xff9b1c07,
    0xffbd400e,
    0xffc1361d,
    0xff920003,
    0xff90000c,
    0xff900210,
    0xff890c09,
    0xff8c040c,
    0xff970215,
    0xff89000a,
    0xff7e0a09,
    0xff650600,
    0xff7d2c20,
    0xff7f2b24,
    0xff810d10,
    0xff99241d,
    0xffb43828,
    0xffba4430,
    0xff9a5532,
    0xffb17954,
    0xff994d2b,
    0xffa64323,
    0xffb95a25,
    0xffbe6b3e,
    0xffb76632,
    0xffae582a,
    0xff9c534a,
    0xff5f2a2b,
    0xff9b5c54,
    0xffdd7c74,
    0xffbe4323,
    0xffa82b0f,
    0xffad371d,
    0xffd26246,
    0xffd8675a,
    0xffa34d58,
    0xff48365d,
    0xff173f77,
    0xff3f5073,
    0xff7b636a,
    0xff454963,
    0xff2c4775,
    0xff314f7f,
    0xff1a4b85,
    0xff113e7a,
    0xff1e4275,
    0xff143b80,
    0xff0d4487,
    0xff0e4374,
    0xff214072,
    0xff57324e,
    0xff660c00,
    0xff7d1d07,
    0xff9e2512,
    0xff9f330a,
    0xff9e2e02,
    0xffa83412,
    0xff9f3305,
    0xffba4b21,
    0xffb3542e,
    0xffa85b46,
    0xff383356,
    0xff163a76,
    0xff173e79,
    0xff163d78,
    0xff123f78,
    0xff13407b,
    0xff103e79,
    0xff16407b,
    0xff123b7a,
    0xff0a3972,
    0xff18346f,
    0xff203570,
    0xff18366c,
    0xff173a72,
    0xff132d6e,
    0xff132b6e,
    0xff173372,
    0xff08184b,
    0xffd3cede,
    0xfff5dfd7,
    0xff350303,
    0xff532528,
    0xff541b14,
    0xff9e1c1f,
    0xff930001,
    0xff950101,
    0xffca2834,
    0xffcc333a,
    0xffc9453c,
    0xffce4641,
    0xffc7413d,
    0xffc24036,
    0xffcf4538,
    0xffd14e37,
    0xffc44217,
    0xffbe360c,
    0xffc24222,
    0xffce3b2b,
    0xffc4181c,
    0xffb20614,
    0xffbd0315,
    0xffc60215,
    0xffc30b21,
    0xffb20119,
    0xffb7061a,
    0xffc10e19,
    0xffd12427,
    0xffc9302e,
    0xffc03937,
    0xffbe605b,
    0xff531a16,
    0xff890e22,
    0xff8d010d,
    0xff82080a,
    0xff8c000e,
    0xff9f131f,
    0xffb62325,
    0xffa90910,
    0xffb91418,
    0xffb20a0c,
    0xffb0040a,
    0xffae030e,
    0xffb3101f,
    0xffa40c1a,
    0xff940610,
    0xff8c0115,
    0xff91000f,
    0xffa61112,
    0xffad140e,
    0xffa8110a,
    0xff9e0c0a,
    0xff880106,
    0xff7f0005,
    0xffa82818,
    0xffbb3828,
    0xffba3328,
    0xffb72c24,
    0xffc63934,
    0xffd2443f,
    0xffc02e2b,
    0xffd6433f,
    0xffde5140,
    0xffd4553e,
    0xffd65f45,
    0xffba3b28,
    0xffc2342c,
    0xffa60a0e,
    0xff9b0006,
    0xffb61725,
    0xffb5040f,
    0xffa10310,
    0xff8c0310,
    0xff85000d,
    0xff90000d,
    0xffa90615,
    0xffae0313,
    0xffa7000d,
    0xff940010,
    0xff920006,
    0xffae120c,
    0xffcc3a16,
    0xffbf3500,
    0xffbc4114,
    0xff6f1e11,
    0xff42141f,
    0xff66140e,
    0xff952021,
    0xffbc3333,
    0xffc63e32,
    0xffcb4d35,
    0xffc95d3f,
    0xffb74431,
    0xffad1213,
    0xff9b0b05,
    0xffa40609,
    0xffc31f28,
    0xffb51616,
    0xffd93429,
    0xffc20f04,
    0xffc3100a,
    0xffb80c05,
    0xffbe1811,
    0xff7c1c1d,
    0xff212428,
    0xff1f2633,
    0xff1a252a,
    0xff1e2a27,
    0xff0e2427,
    0xff0d2637,
    0xff1d2530,
    0xff18212a,
    0xff152b2e,
    0xff0f2b24,
    0xff162218,
    0xff2a1f16,
    0xff321e16,
    0xff3a2f24,
    0xff3c351c,
    0xff3e402d,
    0xff394228,
    0xff6c683a,
    0xffa38756,
    0xff89663f,
    0xff4e4517,
    0xff465519,
    0xff4d541f,
    0xff4c4c15,
    0xff524a1e,
    0xff534f30,
    0xff5a5635,
    0xff5a5427,
    0xff6a5a33,
    0xff734d42,
    0xffc5adb7,
    0xff50493f,
    0xff494826,
    0xff625a31,
    0xff5d562d,
    0xff5f5d32,
    0xff5b582e,
    0xff675731,
    0xff6c6035,
    0xff8f825d,
    0xff7c7757,
    0xff494e32,
    0xff3b351f,
    0xff755441,
    0xff5c2c1b,
    0xff5f341a,
    0xff6f4822,
    0xff6a5228,
    0xff716839,
    0xff585125,
    0xff483f19,
    0xff3f2f13,
    0xff3d3214,
    0xff494b29,
    0xff5e5237,
    0xff3e3c1f,
    0xff211700,
    0xff5a5433,
    0xff45431c,
    0xff686838,
    0xff734c24,
    0xff8e0c00,
    0xff98260e,
    0xff953322,
    0xff742e25,
    0xff4f2c1f,
    0xff402a1b,
    0xff533a2a,
    0xff493225,
    0xff3b2d21,
    0xff75645f,
    0xff593c32,
    0xffcca896,
    0xffd2b4a3,
    0xffa0897f,
    0xffb99f9e,
    0xff694b4a,
    0xff705350,
    0xff886870,
    0xff433e3b,
    0xff695750,
    0xffa1624a,
    0xffaa6941,
    0xffd7b297,
    0xff67472e,
    0xff78480b,
    0xffb05c17,
    0xffbd6c4c,
    0xffae5640,
    0xffb96858,
    0xff794a2d,
    0xff825838,
    0xff874a3c,
    0xff753b17,
    0xff9c6731,
    0xff6f2e06,
    0xff3e0e0b,
    0xfff0d0ce,
    0xff67271a,
    0xff8f3320,
    0xff7d2805,
    0xffb26620,
    0xfff19656,
    0xffda8d4b,
    0xff924c05,
    0xffffbb80,
    0xffb65d21,
    0xffbd6832,
    0xff521a00,
    0xff7a321a,
    0xffa74611,
    0xffd2653c,
    0xffaf4523,
    0xffc5714d,
    0xffb97e5a,
    0xff713919,
    0xffab563a,
    0xffb44421,
    0xffb24f28,
    0xffc06229,
    0xffa14720,
    0xff9c4014,
    0xffc45a31,
    0xff7f150b,
    0xff9e3827,
    0xffc0482f,
    0xff640b11,
    0xff670e17,
    0xff55090e,
    0xff3f0306,
    0xff420309,
    0xff4f000a,
    0xff56020c,
    0xff500209,
    0xff55060a,
    0xff640005,
    0xff5d0012,
    0xff5c305a,
    0xff574a76,
    0xff451334,
    0xff5d0316,
    0xff5e0b12,
    0xff5f0514,
    0xff620817,
    0xff680d18,
    0xff5e0a09,
    0xff570500,
    0xff750a08,
    0xff9c2d35,
    0xff9f5456,
    0xff4c323c,
    0xff2a0017,
    0xff381325,
    0xff473a59,
    0xff524d70,
    0xff463e4e,
    0xff513759,
    0xff633364,
    0xff632d3d,
    0xff561725,
    0xff3b101b,
    0xff341d37,
    0xff4f3c6f,
    0xff333675,
    0xff2e3e7f,
    0xff3b4380,
    0xff374875,
    0xff393b71,
    0xff494176,
    0xff894268,
    0xff88010e,
    0xff960004,
    0xffa20009,
    0xffa60202,
    0xffa40005,
    0xffa40106,
    0xffa40106,
    0xffa30005,
    0xffa30005,
    0xffa50003,
    0xffa50003,
    0xffa80105,
    0xffac0000,
    0xffae0100,
    0xffac0000,
    0xffae0103,
    0xffae0104,
    0xffab0307,
    0xffa90108,
    0xffa70006,
    0xff8b0013,
    0xff7d5d96,
    0xff4664a6,
    0xff5b64a1,
    0xff5370a4,
    0xff6f63a0,
    0xff774177,
    0xff814d75,
    0xff6f5b85,
    0xff5e528d,
    0xff514e8a,
    0xff564d7f,
    0xff4e5a84,
    0xff616292,
    0xff8e4f7c,
    0xffe08492,
    0xffd0666e,
    0xffab343d,
    0xffb82d3e,
    0xffab192c,
    0xffa11224,
    0xff9b1121,
    0xff9a0a1c,
    0xffab192e,
    0xff9a1627,
    0xff77000d,
    0xff6d000f,
    0xff6a020f,
    0xff67010c,
    0xff69030b,
    0xff68040e,
    0xff670412,
    0xff72000a,
    0xff710307,
    0xff750107,
    0xff70000c,
    0xff66000c,
    0xff7b1b27,
    0xffc4859a,
    0xff8f849d,
    0xff9e7685,
    0xff8e3641,
    0xff8f3537,
    0xff480003,
    0xff550910,
    0xff4a0003,
    0xff714240,
    0xff593c3e,
    0xff5a3131,
    0xff4b040a,
    0xff570006,
    0xff530206,
    0xff50050a,
    0xff50070d,
    0xff4e090e,
    0xff49070a,
    0xff4d0810,
    0xff49050c,
    0xff44090f,
    0xff430c12,
    0xff470b13,
    0xff5b0813,
    0xff81141d,
    0xffa7262c,
    0xffb7373a,
    0xffc33c43,
    0xffd04850,
    0xffc24146,
    0xff720002,
    0xff680004,
    0xff600207,
    0xff580209,
    0xff620712,
    0xff5a0007,
    0xff6b141e,
    0xff783738,
    0xff51211c,
    0xff501a14,
    0xff5b060a,
    0xff7c0a17,
    0xff881b24,
    0xff781014,
    0xff68090a,
    0xff5d000a,
    0xff5c000a,
    0xff590106,
    0xff4d0310,
    0xff501835,
    0xff3f3c7b,
    0xff2f408f,
    0xff4c397c,
    0xff490025,
    0xff63041b,
    0xff6f0314,
    0xff8a0317,
    0xff9b062f,
    0xff8a234f,
    0xff7a1e35,
    0xff620d24,
    0xff49436a,
    0xff164280,
    0xff104290,
    0xff054796,
    0xff1a3e8d,
    0xff12428e,
    0xff104691,
    0xff0e4992,
    0xff0f4995,
    0xff0e4693,
    0xff0d4591,
    0xff0f4994,
    0xff13519a,
    0xff0e4a93,
    0xff145099,
    0xff154f99,
    0xff124d96,
    0xff144e97,
    0xff144e98,
    0xff0f4c94,
    0xff0f4b93,
    0xff0e4792,
    0xff13488a,
    0xff104b90,
    0xff134195,
    0xff134795,
    0xff074b84,
    0xff124489,
    0xff16439b,
    0xff1f3f8f,
    0xff1d4896,
    0xff134995,
    0xff174695,
    0xff254c99,
    0xff2a4890,
    0xff224786,
    0xff235189,
    0xff254d8e,
    0xff13519b,
    0xff1255a6,
    0xff164f9f,
    0xff0d4f95,
    0xff0e4f9a,
    0xff144b9c,
    0xff0e4b99,
    0xff0d4a9a,
    0xff0e4b9c,
    0xff0f4c9d,
    0xff124d9b,
    0xff0e4995,
    0xff0a4591,
    0xff0d4991,
    0xff09468f,
    0xff0c458f,
    0xff1e4884,
    0xff8faede,
    0xff1f4277,
    0xff114889,
    0xff0b4e9b,
    0xff104d9b,
    0xff164a92,
    0xff154d97,
    0xff1b539d,
    0xff19519c,
    0xff1c549f,
    0xff2057a2,
    0xff2057a3,
    0xff1b539e,
    0xff1b529e,
    0xff164e9b,
    0xff144c94,
    0xff134b94,
    0xff104891,
    0xff0f4690,
    0xff10478f,
    0xff144a92,
    0xff0e458d,
    0xff0c4191,
    0xff104495,
    0xff0d4494,
    0xff0d4494,
    0xff0e4897,
    0xff0e4897,
    0xff0e4a98,
    0xff0c4797,
    0xff0c4294,
    0xff0c4396,
    0xff0e4699,
    0xff10489b,
    0xff0d469b,
    0xff0e499a,
    0xff124b9d,
    0xff0c4498,
    0xff1951a6,
    0xff1e5298,
    0xff205590,
    0xff1f5c93,
    0xff1b5d9b,
    0xff17508c,
    0xff2a4c7a,
    0xff485671,
    0xff4b5253,
    0xff9aa2bb,
    0xffb2b7d2,
    0xff536b94,
    0xff22488f,
    0xff103e86,
    0xff0c4587,
    0xff0f4385,
    0xff104584,
    0xff184d8d,
    0xff14498a,
    0xff16498a,
    0xff144889,
    0xff174a8b,
    0xff134787,
    0xff164789,
    0xff13468a,
    0xff15478c,
    0xff15478c,
    0xff15468b,
    0xff15468b,
    0xff14458a,
    0xff15438a,
    0xff15448a,
    0xff153f6c,
    0xff4e536b,
    0xffeebc6e,
    0xffd76c07,
    0xffbb280b,
    0xff990901,
    0xff8b0700,
    0xff971610,
    0xffa5473b,
    0xff6a2827,
    0xff9b1511,
    0xffa50900,
    0xff9f0911,
    0xffa90005,
    0xffc8330f,
    0xffd2421d,
    0xffac310f,
    0xffaf311e,
    0xffd15116,
    0xffcb410c,
    0xffb42218,
    0xffa21407,
    0xff951000,
    0xff8d0e02,
    0xff880f0a,
    0xff7b0200,
    0xffd45e4d,
    0xffc04d3d,
    0xffad3f19,
    0xffac390c,
    0xff971302,
    0xffab1f02,
    0xffc6501c,
    0xffb3460f,
    0xffbf4b1f,
    0xffe2614f,
    0xffdd5b52,
    0xffcb4932,
    0xffb13005,
    0xffc24814,
    0xffef8234,
    0xffd25b3a,
    0xff7b0000,
    0xffab230c,
    0xffcd4432,
    0xff910505,
    0xff890102,
    0xff8c0d0a,
    0xff8b140a,
    0xff860708,
    0xff86030a,
    0xff89010a,
    0xff920e0d,
    0xffde695f,
    0xff90281d,
    0xff7d231a,
    0xff792220,
    0xff7e1e17,
    0xff9d1c14,
    0xff921508,
    0xffad6348,
    0xffefc3a0,
    0xff924127,
    0xff9e2d18,
    0xff921c00,
    0xffb0331d,
    0xffb1341f,
    0xff9a230c,
    0xffb64137,
    0xff951c19,
    0xff9a1604,
    0xffa71c00,
    0xffa53d0e,
    0xff8f3107,
    0xff972b10,
    0xffcd4f3f,
    0xffc4574d,
    0xff94585f,
    0xff383051,
    0xff162e6a,
    0xff283f68,
    0xff5b4c55,
    0xff3b4361,
    0xff122d5d,
    0xff213868,
    0xff133d83,
    0xff124389,
    0xff223e74,
    0xff124474,
    0xff104081,
    0xff0f4175,
    0xff144672,
    0xff442f45,
    0xff8c2519,
    0xff8e1e08,
    0xff9c290e,
    0xff871103,
    0xffb63f1d,
    0xffae331a,
    0xff840e00,
    0xffc34837,
    0xffbd563b,
    0xffaa5c48,
    0xff2c2c3c,
    0xff0f336c,
    0xff123975,
    0xff0f3873,
    0xff08366e,
    0xff083672,
    0xff0d3975,
    0xff0b3571,
    0xff143c79,
    0xff0e387f,
    0xff12337a,
    0xff123276,
    0xff0e3671,
    0xff08326a,
    0xff0b2b69,
    0xff0a2b70,
    0xff052d74,
    0xff0d2755,
    0xffa6a8bd,
    0xffeecdd2,
    0xff824241,
    0xff4d1b0a,
    0xff6e2812,
    0xffbb3d2f,
    0xff870200,
    0xff900000,
    0xffa90d1e,
    0xffd13e49,
    0xffdf5446,
    0xffd64129,
    0xffcd3c2a,
    0xffd65444,
    0xffc54027,
    0xffcd441f,
    0xffd15b29,
    0xffce501d,
    0xffae3002,
    0xffb02108,
    0xffb81110,
    0xffb51319,
    0xffb50717,
    0xffc50018,
    0xffca061e,
    0xffc20b1a,
    0xffcb1921,
    0xffd93432,
    0xffc63933,
    0xff730201,
    0xff550000,
    0xff682829,
    0xff402f31,
    0xff6f1f37,
    0xff830c1f,
    0xff870512,
    0xff940015,
    0xff7d0513,
    0xff9b3432,
    0xffb61622,
    0xffc92a30,
    0xffb8201b,
    0xff9e0300,
    0xffa50402,
    0xffbf181d,
    0xffc42228,
    0xffb61b20,
    0xff8b0910,
    0xff8f000a,
    0xff9b040d,
    0xffa00f11,
    0xffa7271f,
    0xff92140e,
    0xff8e0606,
    0xff910002,
    0xffbc2f26,
    0xffcc4036,
    0xffdb4e46,
    0xffd5443e,
    0xffd13c3c,
    0xffcc3235,
    0xffc72c2f,
    0xffcf3536,
    0xffd54739,
    0xffba3f28,
    0xffae4728,
    0xffb34a2b,
    0xffae2f1b,
    0xffa30807,
    0xffbc121f,
    0xffb7051c,
    0xffbc0213,
    0xffb60e1f,
    0xff980413,
    0xff8c0009,
    0xff96000a,
    0xffa3000b,
    0xffbd1620,
    0xffc31d28,
    0xffb71e1a,
    0xffb1060d,
    0xffa90007,
    0xffc22e1e,
    0xffd64d24,
    0xffcc411b,
    0xffb53724,
    0xffb34743,
    0xffa43123,
    0xffab3f2c,
    0xffc34633,
    0xffcd4836,
    0xffc95e44,
    0xffb54d3b,
    0xff9e161a,
    0xff97000a,
    0xff92050b,
    0xff93090a,
    0xffc04139,
    0xff7b0900,
    0xffa52819,
    0xffab0e07,
    0xffbb0504,
    0xffd11514,
    0xffb60e06,
    0xff8e0f16,
    0xff2c2322,
    0xff192f33,
    0xff252f38,
    0xff262a30,
    0xff293640,
    0xff2e3144,
    0xff283640,
    0xff393e40,
    0xff34342f,
    0xff2c3329,
    0xff282b25,
    0xff372c2a,
    0xffab9b8f,
    0xff2e220c,
    0xff482f18,
    0xff4c3c2a,
    0xff4f472a,
    0xff68622f,
    0xff7d6e2e,
    0xff948247,
    0xff6d6830,
    0xff5c622b,
    0xff615934,
    0xff5c5828,
    0xff535725,
    0xff50552c,
    0xff545c2d,
    0xff5f5c24,
    0xff78572b,
    0xff784831,
    0xff523a2d,
    0xff44382d,
    0xff615c4a,
    0xff635d3b,
    0xff605729,
    0xff57521c,
    0xff69592a,
    0xff6a4c24,
    0xff514319,
    0xff362803,
    0xff474325,
    0xff393e22,
    0xff49402b,
    0xff543021,
    0xff5b2a16,
    0xff96674f,
    0xff452c0d,
    0xff7c6443,
    0xff806344,
    0xff85664d,
    0xff55422c,
    0xff433c25,
    0xff575239,
    0xff4f4d2f,
    0xff4f3d27,
    0xff585738,
    0xff2e2d0e,
    0xff4d4b27,
    0xff604f2a,
    0xff5a3e15,
    0xff824623,
    0xffb32f1f,
    0xffae2612,
    0xffa82316,
    0xff86160b,
    0xff7d2c17,
    0xff7c361d,
    0xff985643,
    0xff8b5d53,
    0xff311e16,
    0xff4e4226,
    0xff57442d,
    0xff442c23,
    0xff2b171b,
    0xff4a3b46,
    0xffd9cbd0,
    0xffa5918d,
    0xff6d5446,
    0xff604449,
    0xff6a5a5a,
    0xff5f4848,
    0xff844f4e,
    0xff985131,
    0xff8b4924,
    0xff9c6250,
    0xff99573e,
    0xffa83e20,
    0xff8c2107,
    0xffd65546,
    0xff9b1312,
    0xff923626,
    0xff996a4c,
    0xff824c2c,
    0xffb67339,
    0xffca6f38,
    0xffbf5c2f,
    0xff5a1400,
    0xffd9a99f,
    0xff7b3a1f,
    0xff883612,
    0xff782402,
    0xffbe6530,
    0xff8a310e,
    0xff983e14,
    0xffaa551c,
    0xff844013,
    0xffc77347,
    0xffbc6829,
    0xffa16b3c,
    0xff551d05,
    0xffa5542d,
    0xffad4e1d,
    0xffab4513,
    0xffb95f2f,
    0xff8d431a,
    0xffaa613c,
    0xff832512,
    0xff911b1e,
    0xff8c2b1b,
    0xffa83c14,
    0xffbc5436,
    0xff851c0b,
    0xffc64e47,
    0xffba423d,
    0xffb45639,
    0xffb56337,
    0xff6d1b22,
    0xff630e16,
    0xff4e000b,
    0xff410008,
    0xff430009,
    0xff4a0005,
    0xff54010c,
    0xff4f050a,
    0xff4e070c,
    0xff540418,
    0xff592643,
    0xff735d7e,
    0xff391034,
    0xff530922,
    0xff5e0f16,
    0xff590709,
    0xff610610,
    0xff640918,
    0xff610613,
    0xff510506,
    0xff510c00,
    0xff770f0b,
    0xffa11a26,
    0xffa11f34,
    0xff70284c,
    0xff2f0a23,
    0xff2a0e11,
    0xff381233,
    0xff483973,
    0xff383e69,
    0xff36234f,
    0xff56294e,
    0xff543039,
    0xff370b13,
    0xff2b050f,
    0xff281228,
    0xff373260,
    0xff2b3d79,
    0xff2e4f8f,
    0xff355695,
    0xff2d5894,
    0xff4a5999,
    0xff715a8d,
    0xff7a1a35,
    0xff930005,
    0xff9d0203,
    0xffa70006,
    0xffa80004,
    0xffa70008,
    0xffa50006,
    0xffa50005,
    0xffa30105,
    0xffa50207,
    0xffa50205,
    0xffa50004,
    0xffa50102,
    0xffa80000,
    0xffac0303,
    0xffad0103,
    0xffac0004,
    0xffad0006,
    0xffaa0005,
    0xffaa0008,
    0xffa90005,
    0xff94050e,
    0xff8f3b5c,
    0xff606393,
    0xff616eab,
    0xff6c71aa,
    0xff895480,
    0xff630017,
    0xff6e000e,
    0xff740913,
    0xff8c183a,
    0xff9d2c51,
    0xff660a23,
    0xff51405c,
    0xff30437a,
    0xff733e7a,
    0xff8c1f39,
    0xffa2363c,
    0xffb43e47,
    0xffb83845,
    0xffb42d3b,
    0xffa71e2d,
    0xff9c1225,
    0xff98081d,
    0xffa51026,
    0xff9c0e1e,
    0xff8c071b,
    0xff760012,
    0xff6d000d,
    0xff6e010d,
    0xff6d000a,
    0xff6a000b,
    0xff6d0111,
    0xff6f0117,
    0xff700010,
    0xff75000e,
    0xff720215,
    0xff610006,
    0xffb03c44,
    0xff881425,
    0xff7d2d47,
    0xffa56b76,
    0xffa23f47,
    0xff71100f,
    0xff5a0c0c,
    0xff550007,
    0xff4c0002,
    0xff885e58,
    0xff5b3637,
    0xff591416,
    0xff6f0814,
    0xff6e010a,
    0xff64070d,
    0xff580009,
    0xff57030f,
    0xff51050f,
    0xff51050d,
    0xff52050f,
    0xff52030b,
    0xff52060c,
    0xff530910,
    0xff590d17,
    0xff5f020e,
    0xff740009,
    0xffaa212d,
    0xffcc494f,
    0xffc73b44,
    0xffd54a52,
    0xffaa2e35,
    0xff660000,
    0xff680107,
    0xff60020d,
    0xff57040c,
    0xff54000a,
    0xff6c232e,
    0xff734041,
    0xff4e1f1c,
    0xff571a19,
    0xff56050b,
    0xff580005,
    0xff62040a,
    0xff6c0911,
    0xff68050b,
    0xff5e010b,
    0xff580012,
    0xff5b0111,
    0xff58010e,
    0xff450514,
    0xff471f3e,
    0xff3a3e76,
    0xff1d468a,
    0xff2c477e,
    0xff3a234a,
    0xff430429,
    0xff600514,
    0xff670511,
    0xff692a4d,
    0xff3e367f,
    0xff3e316b,
    0xff5f2b50,
    0xff4a3e6d,
    0xff1d428c,
    0xff154494,
    0xff094c9b,
    0xff0d4a9e,
    0xff0e4792,
    0xff0e4794,
    0xff0a4893,
    0xff0b4997,
    0xff124b9a,
    0xff104996,
    0xff0f4995,
    0xff0b4992,
    0xff0e4a93,
    0xff0f4b94,
    0xff0d4791,
    0xff0e4892,
    0xff0c4690,
    0xff0e4792,
    0xff0a468f,
    0xff0a4791,
    0xff07489a,
    0xff0f4598,
    0xff0d4996,
    0xff134590,
    0xff15488e,
    0xff104d8e,
    0xff194c97,
    0xff14519f,
    0xff124d98,
    0xff10519b,
    0xff0e519b,
    0xff14529b,
    0xff184d97,
    0xff194991,
    0xff164b8f,
    0xff0d4b8b,
    0xff104e9c,
    0xff064e9d,
    0xff09499e,
    0xff094496,
    0xff014993,
    0xff084995,
    0xff0b4491,
    0xff0e4793,
    0xff0b4693,
    0xff094392,
    0xff094492,
    0xff0d4896,
    0xff0c4795,
    0xff08438f,
    0xff08448c,
    0xff0a4690,
    0xff0f4890,
    0xff194a87,
    0xff2f588e,
    0xff17437d,
    0xff195396,
    0xff1958a3,
    0xff1c5aa3,
    0xff1f569e,
    0xff1c55a1,
    0xff124c99,
    0xff144d9c,
    0xff104b99,
    0xff0e4896,
    0xff0c4695,
    0xff0d4896,
    0xff0b4594,
    0xff074292,
    0xff0b4696,
    0xff0b4696,
    0xff0f4a9b,
    0xff144f9c,
    0xff104a99,
    0xff0e4896,
    0xff0e4896,
    0xff0e4c95,
    0xff08468f,
    0xff0a4891,
    0xff0d4a94,
    0xff0e4b94,
    0xff115099,
    0xff0e4e97,
    0xff10519b,
    0xff0f4995,
    0xff124b98,
    0xff124d9a,
    0xff114d98,
    0xff104c97,
    0xff0e4d97,
    0xff0d4c96,
    0xff0c4895,
    0xff124ca1,
    0xff144c96,
    0xff1d5392,
    0xff1d568e,
    0xff114c87,
    0xff0b4687,
    0xff0d468b,
    0xff104484,
    0xff3c576e,
    0xff53595f,
    0xff433a3c,
    0xff9d9fbe,
    0xff1c3c81,
    0xff23589b,
    0xff3269a3,
    0xff315897,
    0xff3065a1,
    0xff194f8b,
    0xff124885,
    0xff1c4e8d,
    0xff275a99,
    0xff265997,
    0xff255897,
    0xff215292,
    0xff14478a,
    0xff12448a,
    0xff104288,
    0xff104184,
    0xff0f4083,
    0xff124084,
    0xff114084,
    0xff0e3d82,
    0xff143a7a,
    0xff172446,
    0xff9c7929,
    0xffc36d0b,
    0xffb8371e,
    0xff950402,
    0xff820302,
    0xff780000,
    0xffac2d33,
    0xff81150f,
    0xffb42007,
    0xffc82c0a,
    0xffa3120c,
    0xff970000,
    0xffa61909,
    0xffbe3525,
    0xffb0241e,
    0xff860003,
    0xff9c2305,
    0xff8d1600,
    0xffa1211b,
    0xff97130c,
    0xff8e0605,
    0xff930c10,
    0xff820807,
    0xffae312d,
    0xffea6c5f,
    0xffc1473b,
    0xffad401f,
    0xffac421b,
    0xffa12a20,
    0xff8d1200,
    0xff942a13,
    0xff9a4640,
    0xff99453b,
    0xffb44834,
    0xffe56358,
    0xff890000,
    0xff8b0000,
    0xffa51d0c,
    0xffa83302,
    0xff8c1702,
    0xff860001,
    0xff8c0303,
    0xffc53f30,
    0xffe56250,
    0xff9a1704,
    0xff8a1400,
    0xff810900,
    0xff890606,
    0xff85040a,
    0xff920009,
    0xffd03238,
    0xffcd3435,
    0xffac1516,
    0xffa01c1e,
    0xff7c2325,
    0xff5c0900,
    0xffac342d,
    0xffad382e,
    0xff76230f,
    0xffffdabd,
    0xffb65c49,
    0xff911104,
    0xff8d0000,
    0xffa2080e,
    0xff96000c,
    0xff89050d,
    0xff8e111c,
    0xff971723,
    0xffa3271e,
    0xffaf3d1b,
    0xffb33313,
    0xffd36f3f,
    0xffc86736,
    0xffc25f43,
    0xff713530,
    0xff231a2d,
    0xff202a59,
    0xff1e2562,
    0xff4b4975,
    0xff866c75,
    0xff393b59,
    0xff0e2f5c,
    0xff0f2d56,
    0xff072e6c,
    0xff012f6c,
    0xff112e5f,
    0xff112c65,
    0xff192e6f,
    0xff122f68,
    0xff0c3367,
    0xff32325f,
    0xff55253b,
    0xff8b4140,
    0xff912a19,
    0xffa12a0b,
    0xffba441d,
    0xff8a1300,
    0xff94210a,
    0xffb03714,
    0xffd7743f,
    0xffb06454,
    0xff323455,
    0xff183c75,
    0xff133772,
    0xff113a75,
    0xff0a3770,
    0xff0b3971,
    0xff0b356f,
    0xff113670,
    0xff0b306b,
    0xff143670,
    0xff102f63,
    0xff16335d,
    0xff1a3054,
    0xff28294f,
    0xff352758,
    0xff23205a,
    0xff122862,
    0xff0b1e4f,
    0xff707594,
    0xffd9b1bc,
    0xffd18e87,
    0xff7d2d17,
    0xffa92d20,
    0xffba1a1b,
    0xffa3050a,
    0xff960403,
    0xffb42628,
    0xffd95050,
    0xffdb4f3c,
    0xffda472a,
    0xffdc5a4b,
    0xffbb4337,
    0xffd04929,
    0xffb93009,
    0xff822103,
    0xffc75834,
    0xffb63403,
    0xffa91c00,
    0xffb6140e,
    0xffbd1619,
    0xffaf0313,
    0xffb3041b,
    0xffc31321,
    0xffca1a20,
    0xffdd3536,
    0xffd64549,
    0xff83161b,
    0xff4d070b,
    0xff3a070b,
    0xff4a1e23,
    0xff25323b,
    0xff3b2a4c,
    0xff63213d,
    0xff810b1a,
    0xff95000e,
    0xff6f0f1c,
    0xff4b202a,
    0xff7e3038,
    0xff9d3337,
    0xffc6403f,
    0xffc02622,
    0xffcd2e29,
    0xffbd231c,
    0xffa6100b,
    0xffcb392f,
    0xffc34534,
    0xffa92219,
    0xff900203,
    0xff900c08,
    0xffb13c2d,
    0xffbd4b35,
    0xffc9412e,
    0xffc83025,
    0xffce4133,
    0xffbd3627,
    0xffac2515,
    0xffc2352b,
    0xffc32f2d,
    0xffc42a2d,
    0xffc82d2f,
    0xffd43a38,
    0xffbf2e25,
    0xffcb4f3f,
    0xffcb6348,
    0xffec8667,
    0xffdd684c,
    0xff8a0000,
    0xffa9030d,
    0xffbe0d24,
    0xffb70819,
    0xffb20519,
    0xffaf081d,
    0xff9e000e,
    0xff950004,
    0xff9d080a,
    0xffb11517,
    0xffcf3035,
    0xffcd2f21,
    0xffcf2123,
    0xffb0030f,
    0xffbc2928,
    0xffd85b45,
    0xffcc4c2b,
    0xffc84024,
    0xffbe3a22,
    0xffbb3e27,
    0xffaf4924,
    0xffc85233,
    0xffc94f3a,
    0xffaa4738,
    0xff7e0e0e,
    0xff900815,
    0xff850911,
    0xff9b0d18,
    0xffa70712,
    0xffac0d10,
    0xffc8362e,
    0xffa91810,
    0xffb00e0c,
    0xffb40105,
    0xffb50002,
    0xffba000c,
    0xffbb0e27,
    0xff532528,
    0xff293635,
    0xff313e40,
    0xff32433e,
    0xff2a4737,
    0xff43453a,
    0xff344334,
    0xff3b4128,
    0xff414122,
    0xff373c21,
    0xff434437,
    0xff433a34,
    0xff615b49,
    0xff444925,
    0xff554a3f,
    0xff533c36,
    0xff55342a,
    0xff5f3f28,
    0xff5e4f25,
    0xff524f1f,
    0xff575329,
    0xff5c5530,
    0xff635734,
    0xff5c5628,
    0xff585826,
    0xff5c5427,
    0xff5d5a2a,
    0xff615725,
    0xff80562f,
    0xff6f4925,
    0xff7b6c4a,
    0xff6e6a57,
    0xff4a4639,
    0xff695e41,
    0xff5e5829,
    0xff4e4f1c,
    0xff4a461e,
    0xff4e3e20,
    0xff4c421e,
    0xff5b4f2f,
    0xff463f24,
    0xff3c3a23,
    0xff2f220f,
    0xff896656,
    0xff714430,
    0xff351000,
    0xff58321e,
    0xff512c14,
    0xff4f3618,
    0xff39290f,
    0xff332d19,
    0xff343d26,
    0xff4c4b31,
    0xff563e26,
    0xff5b492b,
    0xff423a1a,
    0xff59512f,
    0xff554926,
    0xff734829,
    0xff8c4328,
    0xff832d10,
    0xff9d1a08,
    0xffa21101,
    0xff9b140c,
    0xff6e0000,
    0xff650b00,
    0xff730d00,
    0xffa43322,
    0xff8e3927,
    0xff6e452e,
    0xff725234,
    0xff4f422a,
    0xff473f30,
    0xff7a5f55,
    0xffa27d6c,
    0xff5a351b,
    0xffa37a63,
    0xff7f4c41,
    0xff543d3b,
    0xff7f646a,
    0xff6f5a5c,
    0xff745b4e,
    0xffa06943,
    0xffad5b2e,
    0xff8a2d0e,
    0xffa64125,
    0xff9f2a20,
    0xff931a09,
    0xffc23023,
    0xffcd2d2b,
    0xff8d100b,
    0xff8a4128,
    0xff612400,
    0xffba672b,
    0xffb35731,
    0xffaf5d38,
    0xff904a2d,
    0xff8d432f,
    0xff832b0d,
    0xffa3451e,
    0xffa5472a,
    0xff8b2714,
    0xff93341f,
    0xffa93d25,
    0xffb44825,
    0xff8f4120,
    0xffcb7c51,
    0xffe38d60,
    0xff7f4022,
    0xff985a34,
    0xff9e4d1c,
    0xffb0551c,
    0xffb34f21,
    0xff993622,
    0xff903932,
    0xff5d0f01,
    0xff5f1000,
    0xff6c160d,
    0xff7c2319,
    0xff7f1a02,
    0xff9a3d24,
    0xff8c2b1a,
    0xffaf2f22,
    0xffcc4832,
    0xff8d3110,
    0xff804226,
    0xff5d141b,
    0xff63141e,
    0xff4a000b,
    0xff47020f,
    0xff651d29,
    0xff782332,
    0xff671621,
    0xff4a0409,
    0xff540310,
    0xff580521,
    0xff9c5877,
    0xff723245,
    0xff5e091c,
    0xff5f0215,
    0xff600615,
    0xff660810,
    0xff66070c,
    0xff5f0711,
    0xff580110,
    0xff4e0106,
    0xff4c0b05,
    0xff610907,
    0xff6f000a,
    0xff6f0219,
    0xff5c122c,
    0xff423240,
    0xff141403,
    0xff2e0e16,
    0xff432557,
    0xff3b3c6d,
    0xff3b3a6b,
    0xff452e56,
    0xff351b39,
    0xff25061c,
    0xff300920,
    0xff462f4f,
    0xff384873,
    0xff234e88,
    0xff325e9e,
    0xff2b599b,
    0xff2d5fa1,
    0xff3c569b,
    0xff6d608e,
    0xff781b31,
    0xff8f0004,
    0xffa00405,
    0xffaa0002,
    0xffa50002,
    0xffaa0307,
    0xffa70007,
    0xffa50006,
    0xffa30007,
    0xffa30105,
    0xffa40105,
    0xffa20002,
    0xffa30000,
    0xffa30200,
    0xffa80301,
    0xffa90204,
    0xffa90103,
    0xffaa0005,
    0xffab0008,
    0xffac0209,
    0xffac040a,
    0xff9d050a,
    0xff9e3647,
    0xff8c7d9e,
    0xff9683b9,
    0xff82577b,
    0xff6c1c2f,
    0xff740512,
    0xff7d0308,
    0xff840803,
    0xff8f030d,
    0xff960311,
    0xff85040d,
    0xff72344a,
    0xff604270,
    0xff701349,
    0xff7c000d,
    0xff80060f,
    0xff951c27,
    0xffb43a45,
    0xffbe4150,
    0xffaf2b3c,
    0xffa51d2e,
    0xffa2192b,
    0xff960c1e,
    0xff970a1a,
    0xff9c1627,
    0xff8a0e23,
    0xff72000e,
    0xff75000e,
    0xff730007,
    0xff76000c,
    0xff7c0314,
    0xff880720,
    0xff920c23,
    0xff8a071f,
    0xff69000c,
    0xff700d12,
    0xff780000,
    0xff800309,
    0xff8a313e,
    0xffaf6c76,
    0xff620005,
    0xff650907,
    0xff4e0002,
    0xff5e000d,
    0xff4d060a,
    0xffa47c7b,
    0xff5e2a35,
    0xff5e0407,
    0xff810610,
    0xff750007,
    0xff640408,
    0xff5a000a,
    0xff540310,
    0xff4a020e,
    0xff50010e,
    0xff51030f,
    0xff55020a,
    0xff590108,
    0xff580307,
    0xff580307,
    0xff61000a,
    0xff6c0002,
    0xffaa2633,
    0xffc5454b,
    0xffcc3f49,
    0xffb32733,
    0xff790209,
    0xff6c0408,
    0xff640009,
    0xff5e020c,
    0xff50030b,
    0xff78333e,
    0xff682f35,
    0xff562023,
    0xff521113,
    0xff59040c,
    0xff640007,
    0xff660208,
    0xff5f0305,
    0xff620108,
    0xff61050c,
    0xff53030f,
    0xff460417,
    0xff480215,
    0xff4a010e,
    0xff3d0817,
    0xff361e3a,
    0xff2a3766,
    0xff114883,
    0xff11447a,
    0xff333874,
    0xff50296d,
    0xff5d0930,
    0xff5b132b,
    0xff403a73,
    0xff153c8b,
    0xff203c8e,
    0xff264078,
    0xff1e4186,
    0xff0d4795,
    0xff0f488a,
    0xff154391,
    0xff0e4797,
    0xff0e4892,
    0xff0e4991,
    0xff084792,
    0xff0d4794,
    0xff0e4693,
    0xff0e4391,
    0xff0b468f,
    0xff0f4a92,
    0xff094891,
    0xff0d4992,
    0xff0c4690,
    0xff0f4993,
    0xff0f4993,
    0xff0f4993,
    0xff104c95,
    0xff0f4d96,
    0xff0c4e9d,
    0xff124a9c,
    0xff0a4d98,
    0xff114896,
    0xff184b96,
    0xff144d93,
    0xff1a4a94,
    0xff114e95,
    0xff0c4d9b,
    0xff0a4a94,
    0xff0c4890,
    0xff0d458e,
    0xff0c4389,
    0xff0d448b,
    0xff064388,
    0xff094a90,
    0xff0b4b9a,
    0xff074995,
    0xff104797,
    0xff124a9d,
    0xff074f9d,
    0xff084e9b,
    0xff1b51a1,
    0xff1852a0,
    0xff19559f,
    0xff1a55a1,
    0xff1b56a5,
    0xff1b56a4,
    0xff1e59a7,
    0xff1f5aa5,
    0xff1e59a5,
    0xff1c59a2,
    0xff1e57a0,
    0xff225ba1,
    0xff1b5295,
    0xff1a5398,
    0xff104c94,
    0xff0e4995,
    0xff0b4490,
    0xff0a428e,
    0xff0a4390,
    0xff0a4392,
    0xff0a4393,
    0xff0c4896,
    0xff0d4896,
    0xff0b4697,
    0xff0a4899,
    0xff094798,
    0xff0c4797,
    0xff0c4798,
    0xff084393,
    0xff094595,
    0xff0c4795,
    0xff0d4997,
    0xff0e4997,
    0xff0f4a98,
    0xff0d4a95,
    0xff0d4993,
    0xff104b94,
    0xff0c478f,
    0xff104a93,
    0xff124f96,
    0xff0c4b92,
    0xff0c4c94,
    0xff154e95,
    0xff124a93,
    0xff114a93,
    0xff104a92,
    0xff134d95,
    0xff144f95,
    0xff124e94,
    0xff145097,
    0xff174f93,
    0xff134b91,
    0xff1a5198,
    0xff20539a,
    0xff194890,
    0xff13448a,
    0xff0c478e,
    0xff05468b,
    0xff0b376a,
    0xff384d69,
    0xff6b6c7f,
    0xff65667a,
    0xff869cb9,
    0xff123b6f,
    0xff0d3878,
    0xff0d3a74,
    0xff063b76,
    0xff073d78,
    0xff053b79,
    0xff0c3f7e,
    0xff114482,
    0xff0c3f80,
    0xff114485,
    0xff104183,
    0xff0f4385,
    0xff114486,
    0xff134688,
    0xff154689,
    0xff164789,
    0xff154687,
    0xff18488a,
    0xff1f4b90,
    0xff244b90,
    0xff3f4b5e,
    0xffedba6a,
    0xffbd6212,
    0xffa72c0f,
    0xff890000,
    0xff861427,
    0xff90231e,
    0xffbc492e,
    0xffbc4f1e,
    0xffc5480a,
    0xffc33f09,
    0xffb32410,
    0xffa70408,
    0xffa30000,
    0xffbc1a17,
    0xff9f0205,
    0xff8f0006,
    0xff8d0f00,
    0xff982112,
    0xff8b110b,
    0xff8a0e04,
    0xff890910,
    0xff850810,
    0xff760106,
    0xffc44747,
    0xffc43d36,
    0xffd04a43,
    0xffad3619,
    0xffab3a18,
    0xff931712,
    0xffad2d20,
    0xffa9463d,
    0xff5b3e55,
    0xff4f3253,
    0xff9f4855,
    0xffa83735,
    0xff9d211b,
    0xffa51310,
    0xffb71f25,
    0xffae1e1c,
    0xffbe3a2f,
    0xffa51917,
    0xffae2321,
    0xffef7562,
    0xffd05236,
    0xffa91c0d,
    0xff940f07,
    0xff8c1912,
    0xff870409,
    0xff82050d,
    0xff8f0712,
    0xff880003,
    0xff830400,
    0xffb82c29,
    0xffa42224,
    0xff830914,
    0xff853129,
    0xff923425,
    0xff791b0a,
    0xff630900,
    0xffe1a890,
    0xffba513e,
    0xffa2220f,
    0xffb02a1f,
    0xffa71a1c,
    0xff980912,
    0xff880006,
    0xff840003,
    0xff9f1e1d,
    0xffcf5c3e,
    0xfffb9655,
    0xffffa16d,
    0xfff4ab6e,
    0xffe28b58,
    0xffa63a2a,
    0xff90394b,
    0xff76385c,
    0xff723a63,
    0xff5e2e52,
    0xff9e7096,
    0xffbb848d,
    0xff452745,
    0xff232e5a,
    0xff1b2753,
    0xff1d2a5c,
    0xff0e335d,
    0xff103160,
    0xff192e6e,
    0xff0f2862,
    0xff072b64,
    0xff14275d,
    0xff262756,
    0xff1e243a,
    0xff46221d,
    0xff9a382a,
    0xffbd4b1e,
    0xffab3910,
    0xffa0301b,
    0xff94291a,
    0xffbd4d15,
    0xffffad58,
    0xffae6653,
    0xff2b2f63,
    0xff1f3d78,
    0xff163a70,
    0xff153d75,
    0xff133c77,
    0xff103a74,
    0xff143d74,
    0xff123870,
    0xff14366c,
    0xff18355e,
    0xff3a3852,
    0xff6a444d,
    0xff612223,
    0xff64131d,
    0xff6d1129,
    0xff63142b,
    0xff683144,
    0xff2b1849,
    0xff807b9a,
    0xffd9b5c1,
    0xff5c3226,
    0xff722216,
    0xffb11a22,
    0xff990003,
    0xff9f0004,
    0xffb71f1f,
    0xffd34540,
    0xffc74841,
    0xffd35951,
    0xffbf5b5a,
    0xff783f4f,
    0xff50131b,
    0xffcf6344,
    0xffb24222,
    0xff522124,
    0xff994c43,
    0xffba4115,
    0xffa22205,
    0xffa9100a,
    0xffb90f0d,
    0xffb70a1c,
    0xffb41324,
    0xffc01f23,
    0xffd13835,
    0xffaf2d30,
    0xff7b1c2c,
    0xff531429,
    0xff3b0e1f,
    0xff300a12,
    0xff37202f,
    0xff23374a,
    0xff122e4c,
    0xff372a49,
    0xff6e1a2e,
    0xff7f0612,
    0xff691f2d,
    0xff30243c,
    0xff282b37,
    0xff56383d,
    0xff86373a,
    0xffb83e3d,
    0xffc63834,
    0xffbd2b23,
    0xffbc2f23,
    0xff971200,
    0xffbc3d28,
    0xffc14033,
    0xffa01f19,
    0xff8d0c05,
    0xffa12012,
    0xffb8351e,
    0xffc6402a,
    0xffb32a15,
    0xff901100,
    0xffde674b,
    0xffa83416,
    0xffb43a22,
    0xffca453a,
    0xffcd3d3c,
    0xffd0423e,
    0xffc53830,
    0xffa01110,
    0xffbf3933,
    0xffd65c4d,
    0xffcc593f,
    0xffcf5839,
    0xffd5523f,
    0xff8e0001,
    0xffa20415,
    0xffa50316,
    0xffa50016,
    0xffa70017,
    0xffa90417,
    0xff9f030b,
    0xff990406,
    0xff9d0b0c,
    0xffb22121,
    0xffb02a23,
    0xffb11c19,
    0xffb91b1b,
    0xffbb2a22,
    0xffc1422d,
    0xffc44b2f,
    0xffbf482b,
    0xffb34021,
    0xffb13e24,
    0xffc35631,
    0xffd55635,
    0xffb63724,
    0xff923632,
    0xffbc6868,
    0xffa8403d,
    0xff87200d,
    0xff750701,
    0xff910809,
    0xffad0e12,
    0xffbf1715,
    0xffcc2116,
    0xffc1130b,
    0xffa10401,
    0xff990e0f,
    0xffaa201b,
    0xffb42423,
    0xff6a2c1f,
    0xff42201e,
    0xff32242d,
    0xff222e2d,
    0xff263926,
    0xff452f18,
    0xff613d18,
    0xff794621,
    0xff6d451e,
    0xff4e4a20,
    0xff3a4f28,
    0xff384629,
    0xff41371e,
    0xff523d24,
    0xff32381c,
    0xff3e371a,
    0xff4f3418,
    0xff543015,
    0xff5c3d1f,
    0xff615129,
    0xff5e5729,
    0xff605c2d,
    0xff5e5d2e,
    0xff636137,
    0xff66663a,
    0xff756037,
    0xff6d5f35,
    0xff665435,
    0xff8b5b45,
    0xff755934,
    0xff695729,
    0xff736041,
    0xff76593e,
    0xff552e08,
    0xff5e3e11,
    0xff524727,
    0xff444732,
    0xff3b3c2b,
    0xff3d3c20,
    0xff4a4129,
    0xff463a29,
    0xff47412f,
    0xffdbccbb,
    0xffaa8779,
    0xff300f00,
    0xff4e371e,
    0xff6d3a2c,
    0xff71422c,
    0xff473211,
    0xff433717,
    0xff3a2714,
    0xff413f27,
    0xff51512f,
    0xff714c2d,
    0xff81472d,
    0xff89472e,
    0xff7a331d,
    0xff7a3e23,
    0xffa24835,
    0xff891202,
    0xff9a2510,
    0xff9f1807,
    0xff9a1c0b,
    0xff790000,
    0xff841e22,
    0xff6c1614,
    0xff710a03,
    0xff9d2117,
    0xffc36252,
    0xff673821,
    0xff624039,
    0xff3b2f20,
    0xff4b3019,
    0xff914b2b,
    0xffa65326,
    0xffa36a35,
    0xff82512f,
    0xffa1605a,
    0xff624644,
    0xff744c50,
    0xff8c7471,
    0xff6d5e48,
    0xff704029,
    0xffb46748,
    0xff9c4515,
    0xff861f00,
    0xffa12c18,
    0xffc44c38,
    0xffa72210,
    0xffbd2a22,
    0xffba302f,
    0xff982c1a,
    0xff933c12,
    0xffdb7f51,
    0xff9a5c32,
    0xff4e2a10,
    0xff511d05,
    0xffaf4b2e,
    0xffa82d0e,
    0xff972204,
    0xffbc5a3b,
    0xffac573d,
    0xffaf4c2c,
    0xffa73a18,
    0xff9c2f09,
    0xff93401f,
    0xff6e2200,
    0xffb1674a,
    0xff682d1a,
    0xffd6865d,
    0xffb85c3d,
    0xff983e13,
    0xffaa501d,
    0xff8a310a,
    0xff671000,
    0xff64140d,
    0xff671c17,
    0xff571209,
    0xff601308,
    0xff81291e,
    0xff7b2812,
    0xffad5a38,
    0xff8a2712,
    0xff943b1d,
    0xff995b49,
    0xff773f40,
    0xff4e0913,
    0xff5b101c,
    0xff4a000d,
    0xff470010,
    0xff59101e,
    0xff6e1b2b,
    0xff600e1b,
    0xff3d0001,
    0xff46000c,
    0xff560a17,
    0xff6a0b16,
    0xff6b0508,
    0xff600803,
    0xff5c0a09,
    0xff640814,
    0xff640817,
    0xff6d0808,
    0xff530206,
    0xff50030e,
    0xff52000d,
    0xff51060b,
    0xff4d0104,
    0xff4a0710,
    0xff704552,
    0xff531e3a,
    0xff50477e,
    0xff1a2847,
    0xff1e0b1e,
    0xff38152d,
    0xff373248,
    0xff2a406f,
    0xff30498d,
    0xff2c3160,
    0xff0b1a3b,
    0xff35435d,
    0xff1d2e50,
    0xff2c5584,
    0xff275799,
    0xff204d96,
    0xff1b589d,
    0xff23569a,
    0xff2c5095,
    0xff525882,
    0xff5b0e21,
    0xff850008,
    0xff990005,
    0xffaa0004,
    0xffa60803,
    0xffaa0206,
    0xffa90209,
    0xffa60108,
    0xffa30006,
    0xffa30007,
    0xffa40106,
    0xffa20002,
    0xffa40201,
    0xff9f0402,
    0xff9f0202,
    0xffa10001,
    0xffa90308,
    0xffa90207,
    0xffa70006,
    0xffa70107,
    0xffab0006,
    0xffad000b,
    0xffa6384b,
    0xff8a5f7e,
    0xff560028,
    0xff4f0000,
    0xff932a32,
    0xffe26c83,
    0xffff96a5,
    0xff9c0c18,
    0xff99000f,
    0xff94000b,
    0xff91000d,
    0xff75031e,
    0xff801a43,
    0xff8d0a2e,
    0xff920f14,
    0xffa41e2a,
    0xffb3353e,
    0xffb8414b,
    0xffb7414d,
    0xffc54a57,
    0xffc13d51,
    0xffc24052,
    0xffc04151,
    0xffbd3443,
    0xffae2e3e,
    0xffbc4155,
    0xffb84153,
    0xff961b2c,
    0xff8f1220,
    0xffbb3949,
    0xffc13e50,
    0xffc74550,
    0xffaf353c,
    0xff76040f,
    0xff831928,
    0xff760811,
    0xff880105,
    0xff700000,
    0xffc17d80,
    0xff9b5b65,
    0xff73161d,
    0xff721e1d,
    0xff520409,
    0xff5d0010,
    0xff6f2931,
    0xff876163,
    0xff66293b,
    0xff67090a,
    0xff7e010b,
    0xff730106,
    0xff5a0305,
    0xff530109,
    0xff4b020c,
    0xff3f0109,
    0xff4b040e,
    0xff500510,
    0xff58060e,
    0xff60030a,
    0xff5e0202,
    0xff5c0304,
    0xff600408,
    0xff6c0005,
    0xffa42630,
    0xffc4434a,
    0xffdd5159,
    0xffa31924,
    0xff740209,
    0xff640005,
    0xff64030e,
    0xff600512,
    0xff7f3740,
    0xff542d2d,
    0xff511c20,
    0xff52020b,
    0xff5f040c,
    0xff630008,
    0xff680205,
    0xff660003,
    0xff680004,
    0xff620108,
    0xff560006,
    0xff4d0716,
    0xff4f2138,
    0xff421629,
    0xff3c0713,
    0xff340a1b,
    0xff2b1a37,
    0xff1f2d5f,
    0xff184183,
    0xff174287,
    0xff193e8d,
    0xff183988,
    0xff413d69,
    0xff34264d,
    0xff1b3788,
    0xff0b4b87,
    0xff184391,
    0xff084a8c,
    0xff11439f,
    0xff14439c,
    0xff0d4a82,
    0xff1a3f8c,
    0xff04488d,
    0xff0d478f,
    0xff0a468f,
    0xff08468e,
    0xff0d4791,
    0xff104792,
    0xff134892,
    0xff124991,
    0xff0e4a90,
    0xff0a4992,
    0xff114d96,
    0xff0f4c95,
    0xff104a94,
    0xff134d97,
    0xff0e4a93,
    0xff0f4a93,
    0xff0d4a92,
    0xff134a8f,
    0xff0e4988,
    0xff02478b,
    0xff10449a,
    0xff0f4399,
    0xff00498f,
    0xff09428e,
    0xff0b4190,
    0xff09478f,
    0xff0a468e,
    0xff0e4895,
    0xff0d4795,
    0xff0b4996,
    0xff0d4d9b,
    0xff144e9f,
    0xff164f9f,
    0xff145199,
    0xff195599,
    0xff22519c,
    0xff1f53a4,
    0xff0f58a6,
    0xff145aa8,
    0xff1c55a5,
    0xff1855a5,
    0xff1b569e,
    0xff1a549d,
    0xff17529e,
    0xff16519f,
    0xff1752a0,
    0xff134e9c,
    0xff16509d,
    0xff134f97,
    0xff0e4792,
    0xff084593,
    0xff054594,
    0xff094a99,
    0xff094693,
    0xff0d4793,
    0xff0e4897,
    0xff0e4897,
    0xff124a97,
    0xff134b98,
    0xff124b98,
    0xff124a97,
    0xff124a9a,
    0xff0f4b99,
    0xff0d4896,
    0xff114b9b,
    0xff104b99,
    0xff0e4897,
    0xff104a97,
    0xff0f4996,
    0xff0c4793,
    0xff0d4793,
    0xff09448e,
    0xff0b4690,
    0xff0c4595,
    0xff0d4596,
    0xff0c4293,
    0xff0e4494,
    0xff0e4492,
    0xff0f4493,
    0xff0e4492,
    0xff0b4490,
    0xff083e89,
    0xff093d89,
    0xff0a3f8b,
    0xff073e87,
    0xff063c86,
    0xff033b86,
    0xff003882,
    0xff043b88,
    0xff04377b,
    0xff073a7f,
    0xff043a7e,
    0xff02387d,
    0xff063b81,
    0xff0c3c84,
    0xff0c3b82,
    0xff0c3c7f,
    0xff11407f,
    0xff0e3479,
    0xff16336e,
    0xff324349,
    0xff5a6355,
    0xff8a98bc,
    0xff22418b,
    0xff114881,
    0xff104684,
    0xff174d8c,
    0xff1c5394,
    0xff174a8b,
    0xff194d8d,
    0xff1a4c8f,
    0xff184b8d,
    0xff16478a,
    0xff14498a,
    0xff16498b,
    0xff16498a,
    0xff154688,
    0xff134285,
    0xff124282,
    0xff114282,
    0xff154282,
    0xff1c4772,
    0xff403c2c,
    0xfffba253,
    0xffc34210,
    0xff840200,
    0xff8e151a,
    0xff983852,
    0xffaa4f2d,
    0xffd76b28,
    0xffe2731e,
    0xffc25c05,
    0xffad3d03,
    0xffb32c15,
    0xffa50909,
    0xffa50000,
    0xffb70f08,
    0xff9b0000,
    0xff9c0906,
    0xff8d0700,
    0xff96150c,
    0xff921405,
    0xff850d00,
    0xff730104,
    0xff72090c,
    0xff740c0e,
    0xffab3335,
    0xff7d0000,
    0xff880000,
    0xffa6220a,
    0xff931000,
    0xff9b100d,
    0xff8f0000,
    0xffbc5850,
    0xff2e435b,
    0xff30436d,
    0xff8a475c,
    0xffc4705f,
    0xffbb5d33,
    0xffc4381f,
    0xffb5111c,
    0xffb50f22,
    0xffb32318,
    0xffa21605,
    0xfff97469,
    0xffd5624a,
    0xffa3250d,
    0xff9a0207,
    0xff990015,
    0xff8a010b,
    0xff980013,
    0xff8c0014,
    0xff86000b,
    0xff7e0606,
    0xff831f13,
    0xff971d1e,
    0xffa3272a,
    0xff9a0211,
    0xffa5493e,
    0xff823721,
    0xffb76e55,
    0xff7b1e10,
    0xff6f1b07,
    0xffaf3c29,
    0xff8f0d00,
    0xff900900,
    0xff870501,
    0xff870502,
    0xff890200,
    0xff910f00,
    0xffb34827,
    0xffea954c,
    0xffffbf4f,
    0xfff8bf59,
    0xffefbf6a,
    0xffe4a780,
    0xff6a2b37,
    0xff4d3158,
    0xff3f2f65,
    0xff35245a,
    0xff27224c,
    0xff716471,
    0xff5d3831,
    0xff4b2840,
    0xff3d2c5b,
    0xff523268,
    0xff5d2c66,
    0xff503565,
    0xff382a63,
    0xff242e65,
    0xff2c3366,
    0xff1c2e64,
    0xff342046,
    0xff8e5f74,
    0xff4d1e21,
    0xff8e3017,
    0xffa51606,
    0xffa22e0f,
    0xff8c2000,
    0xff8c2111,
    0xff75100a,
    0xff9e3405,
    0xffea9443,
    0xff9e5f47,
    0xff233052,
    0xff17356d,
    0xff163771,
    0xff123771,
    0xff113a71,
    0xff0f3770,
    0xff12386f,
    0xff13376c,
    0xff193970,
    0xff24335d,
    0xff5d2c44,
    0xffc95557,
    0xff910300,
    0xff9a0f08,
    0xff92100f,
    0xff8d1207,
    0xff962612,
    0xff843e47,
    0xff9b7170,
    0xffd39893,
    0xff6e382b,
    0xff6e070e,
    0xffb80e2d,
    0xff9a0110,
    0xffac1819,
    0xffd1323a,
    0xffd94c45,
    0xffd25c58,
    0xff953946,
    0xff471f3f,
    0xff15265a,
    0xff252b4a,
    0xff884c32,
    0xffa2573e,
    0xff2d2841,
    0xff673d45,
    0xffc25930,
    0xff99290a,
    0xffaf261d,
    0xffb91610,
    0xffb40819,
    0xffc81224,
    0xffd42a30,
    0xffc03534,
    0xff650c11,
    0xff411a31,
    0xff3f3050,
    0xff27162a,
    0xff311921,
    0xff2a2843,
    0xff1e3049,
    0xff0c3448,
    0xff162942,
    0xff471d35,
    0xff691926,
    0xff5b2030,
    0xff2c223f,
    0xff122943,
    0xff1d2c37,
    0xff3f3635,
    0xff6c3b2d,
    0xffa8463c,
    0xffc73f38,
    0xffd24036,
    0xffb32215,
    0xff870300,
    0xffa1261f,
    0xffbb4340,
    0xff991715,
    0xff960500,
    0xffaa1309,
    0xff981001,
    0xff8e1707,
    0xffc5523a,
    0xffa73d19,
    0xffd9724c,
    0xffba4d2c,
    0xffa6291a,
    0xffd34d46,
    0xffe76259,
    0xffc74638,
    0xff9c110f,
    0xffba2c2c,
    0xffdc5249,
    0xffce4c37,
    0xffc4482a,
    0xffd55941,
    0xff9c1b13,
    0xff870007,
    0xff9a0012,
    0xff9b0217,
    0xff970014,
    0xffa00015,
    0xffb10c1a,
    0xffd4333a,
    0xffae2023,
    0xff860b06,
    0xff9c352a,
    0xffa7342b,
    0xffa8261d,
    0xffb52b21,
    0xffc3362c,
    0xffc33b2c,
    0xffc9442c,
    0xffc84329,
    0xffbf4330,
    0xffbb3d20,
    0xffaf2709,
    0xff9a1d0e,
    0xff762e28,
    0xff4e2d1f,
    0xff6d270f,
    0xffbd3719,
    0xffa8180e,
    0xff970103,
    0xffa0000b,
    0xffb20a09,
    0xffc81505,
    0xffe0341c,
    0xffa82418,
    0xff772821,
    0xff5a2f1f,
    0xff66291b,
    0xff512412,
    0xff5f181e,
    0xff561e2c,
    0xff3c2321,
    0xff402205,
    0xffa66137,
    0xffce6e3a,
    0xffab421b,
    0xff923315,
    0xff874223,
    0xff764423,
    0xff633f1f,
    0xff534123,
    0xff676449,
    0xff433b23,
    0xff464522,
    0xff3c3e16,
    0xff483f1f,
    0xff543722,
    0xff5c3822,
    0xff593e1e,
    0xff56471e,
    0xff50461a,
    0xff53502a,
    0xff4d5229,
    0xff4c441b,
    0xff4e4f28,
    0xff43331e,
    0xff7a4039,
    0xff3b0f00,
    0xff6c3a03,
    0xffa46b36,
    0xffa15722,
    0xffe68b4d,
    0xffa85520,
    0xff653018,
    0xff3a2418,
    0xff393425,
    0xff2a2b1a,
    0xff4e4738,
    0xffcfc1b6,
    0xffeadfd2,
    0xff655347,
    0xff3d2317,
    0xff3e2512,
    0xff47361f,
    0xff501c09,
    0xff6d2c17,
    0xff542202,
    0xff692d17,
    0xff8b3733,
    0xff602f20,
    0xff4a4118,
    0xff62461a,
    0xffb14a33,
    0xffa7231b,
    0xffbb332b,
    0xffbc4b3a,
    0xffd6594a,
    0xffa31007,
    0xffc03d29,
    0xffb62d18,
    0xffc55634,
    0xff981e11,
    0xff7f0b0b,
    0xffce6b64,
    0xff9b3327,
    0xff7d0900,
    0xffba6256,
    0xff53281b,
    0xff5f473d,
    0xff432913,
    0xff7c3819,
    0xffb83a22,
    0xffc84f33,
    0xff733b15,
    0xff6f5539,
    0xff8f6a60,
    0xff7a595d,
    0xff6d3e38,
    0xff795444,
    0xff906f62,
    0xff672f39,
    0xff88473f,
    0xffba7d4d,
    0xffb36341,
    0xffbf502a,
    0xffb64629,
    0xffbe5037,
    0xff992211,
    0xff9d140d,
    0xffbb3526,
    0xff992809,
    0xff862208,
    0xffcd6641,
    0xff4c2212,
    0xff3b250f,
    0xffa36738,
    0xffdd8457,
    0xffd26f48,
    0xffaf4a1f,
    0xff8f3001,
    0xffb45223,
    0xffc86734,
    0xffbf5c25,
    0xffba6740,
    0xff793418,
    0xff814b33,
    0xff714128,
    0xff973e1f,
    0xff852708,
    0xffa04a21,
    0xff8d4005,
    0xffad6225,
    0xff843210,
    0xff650d08,
    0xff61120f,
    0xff7f3c25,
    0xff4a0e00,
    0xff691910,
    0xff701b09,
    0xff76290d,
    0xff804530,
    0xff4e3328,
    0xff9f8b86,
    0xff8c5a5a,
    0xff46000e,
    0xff46040c,
    0xff470006,
    0xff4f0310,
    0xff3e030e,
    0xff400010,
    0xff4b0012,
    0xff4a0013,
    0xff45000a,
    0xff450005,
    0xff540108,
    0xff5d000b,
    0xff57030c,
    0xff530a0e,
    0xff64050e,
    0xff7b010c,
    0xff7f090c,
    0xff6f0912,
    0xff560008,
    0xff450613,
    0xff3b0e21,
    0xff4d1624,
    0xff4f0d1c,
    0xff663252,
    0xff4a1735,
    0xff333a73,
    0xff1c3c6f,
    0xff17152b,
    0xff2b1224,
    0xff3f2c4b,
    0xff394271,
    0xff2a4d87,
    0xff354673,
    0xff0c1a3c,
    0xff294a6f,
    0xff15183e,
    0xff3e4b7b,
    0xff1f5391,
    0xff325a95,
    0xff235b9e,
    0xff22649d,
    0xff3961a3,
    0xff63618e,
    0xff5b0016,
    0xff6d0002,
    0xff860011,
    0xffa40011,
    0xffa00400,
    0xffa8030c,
    0xffac0009,
    0xffac0107,
    0xffa40406,
    0xffa30208,
    0xffaa0009,
    0xffaa0009,
    0xff9a0301,
    0xff9a0200,
    0xff8f0404,
    0xff94010d,
    0xffa9000f,
    0xffb00009,
    0xffab0900,
    0xffa60100,
    0xffb40010,
    0xffb80a20,
    0xffc43945,
    0xff7f0e17,
    0xff992b38,
    0xffdb6d79,
    0xffdb6f7b,
    0xffff8b9a,
    0xffb02a3a,
    0xff9a0008,
    0xff92040d,
    0xff840307,
    0xff8d0309,
    0xffa20614,
    0xff9e010d,
    0xff95040a,
    0xffdd5e5e,
    0xffdc5f69,
    0xffd35863,
    0xffca5763,
    0xffca5761,
    0xffc75462,
    0xffc04955,
    0xffc24654,
    0xffc34754,
    0xffc23b4c,
    0xffb53d48,
    0xffc14752,
    0xffc24455,
    0xffb74151,
    0xffbf4052,
    0xffe76473,
    0xffbf5358,
    0xffa53741,
    0xff963352,
    0xffc2758c,
    0xff90293c,
    0xff750008,
    0xff7d0303,
    0xff650000,
    0xfffdbfc8,
    0xff834854,
    0xff7b1b22,
    0xff700812,
    0xff4b0208,
    0xff4b0000,
    0xffa65e6b,
    0xff683e49,
    0xff691f26,
    0xff740006,
    0xff75000d,
    0xff60030f,
    0xff57040d,
    0xff5a0109,
    0xff4f0607,
    0xff4c0707,
    0xff60000b,
    0xff600510,
    0xff50000b,
    0xff58050f,
    0xff5e0005,
    0xff600505,
    0xff5f080b,
    0xff680001,
    0xffb22e31,
    0xffd4514f,
    0xffb1333b,
    0xff72000c,
    0xff6b020e,
    0xff5b0008,
    0xff5f0d16,
    0xff7a3c47,
    0xff552031,
    0xff5c1922,
    0xff49060f,
    0xff510103,
    0xff500114,
    0xff530513,
    0xff590306,
    0xff5a0214,
    0xff63001b,
    0xff520313,
    0xff590009,
    0xff470319,
    0xff40315c,
    0xff273866,
    0xff29314d,
    0xff27203b,
    0xff212149,
    0xff12356c,
    0xff174180,
    0xff0f3e84,
    0xff0c408b,
    0xff0d418b,
    0xff124083,
    0xff163d7e,
    0xff163b81,
    0xff0e408b,
    0xff10428e,
    0xff0c428d,
    0xff0c428b,
    0xff0d4490,
    0xff0a458d,
    0xff0b4391,
    0xff0c4893,
    0xff114a98,
    0xff0e4795,
    0xff0e4795,
    0xff124a97,
    0xff114a95,
    0xff114a95,
    0xff0f4993,
    0xff124c95,
    0xff104b93,
    0xff0c4890,
    0xff0f4891,
    0xff0d478f,
    0xff0d4790,
    0xff0b448d,
    0xff09418a,
    0xff073f89,
    0xff0b428a,
    0xff0a408d,
    0xff08408e,
    0xff08418d,
    0xff094286,
    0xff094281,
    0xff0e4589,
    0xff154893,
    0xff0d498f,
    0xff0f4d97,
    0xff0f4e9c,
    0xff0f4e9d,
    0xff13539e,
    0xff14559d,
    0xff15559e,
    0xff1958a5,
    0xff14539d,
    0xff1856a1,
    0xff1956a0,
    0xff13519c,
    0xff1455a0,
    0xff1556a1,
    0xff15549e,
    0xff12529d,
    0xff154e9c,
    0xff114a98,
    0xff0e4995,
    0xff08458d,
    0xff053f89,
    0xff063d89,
    0xff0d408c,
    0xff0b3c8b,
    0xff0d4092,
    0xff0e4497,
    0xff0f4698,
    0xff0d4796,
    0xff0d4897,
    0xff0f4c97,
    0xff11509b,
    0xff0d4f99,
    0xff124f99,
    0xff134f9a,
    0xff124e99,
    0xff114d98,
    0xff0f4a95,
    0xff104895,
    0xff0d4491,
    0xff114794,
    0xff0c438f,
    0xff0c438f,
    0xff0c438d,
    0xff0c428e,
    0xff0b428c,
    0xff0d438d,
    0xff0a418b,
    0xff0a408a,
    0xff0c3e87,
    0xff0b3e87,
    0xff093b88,
    0xff0a3c89,
    0xff0a3b89,
    0xff083a86,
    0xff083b84,
    0xff063980,
    0xff08387e,
    0xff0a3a81,
    0xff05377f,
    0xff063b81,
    0xff063d82,
    0xff063c82,
    0xff053d83,
    0xff043e84,
    0xff083d88,
    0xff073d86,
    0xff083e88,
    0xff0a4089,
    0xff0d438b,
    0xff0a3f88,
    0xff0b4089,
    0xff0d4286,
    0xff143c80,
    0xff0d448c,
    0xff0b488a,
    0xff1e496f,
    0xff435160,
    0xff585868,
    0xff727fa7,
    0xff2a4c89,
    0xff0d3d80,
    0xff0b4988,
    0xff0a4a85,
    0xff1c4a86,
    0xff214985,
    0xff144582,
    0xff1b4e90,
    0xff174488,
    0xff114183,
    0xff104283,
    0xff0d4386,
    0xff12438a,
    0xff1c3d89,
    0xff154188,
    0xff124789,
    0xff173b82,
    0xff223870,
    0xff968366,
    0xffbe7c30,
    0xffa6482d,
    0xffab5a64,
    0xff7f566b,
    0xff6f3a55,
    0xffc2503b,
    0xffb9370c,
    0xffcf5f0d,
    0xffd7811b,
    0xffab4a01,
    0xffaf2004,
    0xffa60000,
    0xffae0a10,
    0xffa40506,
    0xffb61616,
    0xffa31611,
    0xff850c01,
    0xff830f06,
    0xff830906,
    0xff7f0407,
    0xff770b0e,
    0xff660605,
    0xff740406,
    0xffa52123,
    0xff8a0000,
    0xff900803,
    0xffa0120d,
    0xff990301,
    0xff9a0803,
    0xff911101,
    0xffa4413c,
    0xff3e4767,
    0xff3b4977,
    0xff7e526b,
    0xff825c51,
    0xffeeb38b,
    0xffc74423,
    0xffc21b20,
    0xffbf2b2e,
    0xffb42b21,
    0xffd6563e,
    0xffd3553b,
    0xffd65843,
    0xffb82f28,
    0xff99050d,
    0xff9e0312,
    0xff980313,
    0xff900005,
    0xff8d0402,
    0xff850101,
    0xff89080f,
    0xff93101d,
    0xff90010d,
    0xff940107,
    0xffae2722,
    0xffaf322a,
    0xff832314,
    0xff711704,
    0xffaa3829,
    0xff901e08,
    0xffd46445,
    0xffc74828,
    0xff971800,
    0xff910c01,
    0xff911916,
    0xff941d19,
    0xff8f1502,
    0xffb85321,
    0xffca7926,
    0xffca7f19,
    0xfff3b45b,
    0xfff1b76c,
    0xff987159,
    0xff293046,
    0xff263f67,
    0xff2d4173,
    0xff1e3e70,
    0xff1f2e63,
    0xff535c79,
    0xff685259,
    0xff423051,
    0xff162857,
    0xff13264f,
    0xff211f46,
    0xff2a2142,
    0xff362559,
    0xff4d2a57,
    0xff582958,
    0xff41203b,
    0xffaf4c44,
    0xffbf5140,
    0xff8d291b,
    0xff951c00,
    0xffae2d18,
    0xff901f03,
    0xff8d1617,
    0xff830d14,
    0xff88221c,
    0xff871200,
    0xffc55f38,
    0xff71563d,
    0xff19274e,
    0xff123560,
    0xff0e316c,
    0xff0a366d,
    0xff0b3667,
    0xff11326f,
    0xff143468,
    0xff12315c,
    0xff213463,
    0xff532d3a,
    0xff601116,
    0xff7c0606,
    0xff900d02,
    0xff9c1406,
    0xff9d1105,
    0xff9d0f01,
    0xffa11c09,
    0xff8b251e,
    0xffa95a68,
    0xffb3797e,
    0xff993b3e,
    0xff9a0f1c,
    0xffa10514,
    0xffb00e12,
    0xffce3937,
    0xffc8423b,
    0xffda645d,
    0xff8c4254,
    0xff322550,
    0xff1d3465,
    0xff1e326c,
    0xff262b56,
    0xff3c383d,
    0xff715161,
    0xff21273f,
    0xff6a3d3b,
    0xffbc4320,
    0xffa12300,
    0xffa62713,
    0xffe0433d,
    0xffbe1319,
    0xffc92c2f,
    0xffbf2e38,
    0xff7d1b32,
    0xff510f1c,
    0xff371f32,
    0xff203153,
    0xff2c2b47,
    0xff292b44,
    0xff1b3358,
    0xff1b315b,
    0xff203259,
    0xff11364c,
    0xff222f3f,
    0xff492a40,
    0xff3f2b43,
    0xff25273d,
    0xff1a3841,
    0xff3f5663,
    0xff4f6369,
    0xff4c5852,
    0xff513929,
    0xff944437,
    0xffb94033,
    0xffc94238,
    0xff9a1f0e,
    0xff8c1404,
    0xffb43c30,
    0xffab2c23,
    0xff9f100e,
    0xffa20d08,
    0xffc33e32,
    0xff921f0c,
    0xff90120b,
    0xff800000,
    0xff9e1d14,
    0xffaf331c,
    0xffb9321d,
    0xff970300,
    0xffcf3e34,
    0xffd25239,
    0xffcf4138,
    0xffc4342f,
    0xffda433e,
    0xffcd4d39,
    0xffcb5538,
    0xffb02b16,
    0xffad2b21,
    0xffa01a1e,
    0xff8b0005,
    0xff9a0013,
    0xffb00d27,
    0xffb0091f,
    0xffb50b15,
    0xffc11a1d,
    0xffc9413b,
    0xff912c23,
    0xff782813,
    0xff622525,
    0xff651e28,
    0xff831511,
    0xff9c1d11,
    0xffa12f27,
    0xffad3b2f,
    0xffbd3f25,
    0xffc24c35,
    0xffa53822,
    0xff801507,
    0xff6b140b,
    0xff4b291a,
    0xff3c3725,
    0xff683010,
    0xffde5925,
    0xffba3814,
    0xff9d1e0e,
    0xff9d080d,
    0xffb31014,
    0xffb81d0a,
    0xffab0100,
    0xffa41b19,
    0xff592c27,
    0xff3d3c23,
    0xff48372c,
    0xff382628,
    0xff2b1d1f,
    0xff3a1511,
    0xff671608,
    0xff7d1c00,
    0xffbc662f,
    0xffcd6228,
    0xffbc4912,
    0xffa93a0e,
    0xff9f3813,
    0xffad471e,
    0xffab4e20,
    0xff5b1f00,
    0xff614d33,
    0xff413a1a,
    0xff3b371a,
    0xff383a10,
    0xff3a3c17,
    0xff403b10,
    0xff4c371d,
    0xff53280f,
    0xff581f0e,
    0xff553923,
    0xff433411,
    0xff4e3717,
    0xff443e22,
    0xff263918,
    0xff432b0d,
    0xff954520,
    0xffb3702a,
    0xffefa135,
    0xffd2923b,
    0xff9f5223,
    0xffb34700,
    0xffc14a07,
    0xff872c12,
    0xff471f0b,
    0xff43372d,
    0xffebe5e4,
    0xffdad2ca,
    0xff57453e,
    0xff2f1109,
    0xff413121,
    0xff3b3c1f,
    0xff553118,
    0xff973e2f,
    0xffac4227,
    0xffc4503e,
    0xff891a0b,
    0xff820500,
    0xffaa2b20,
    0xffa34431,
    0xff541b03,
    0xff5a4929,
    0xff6e3217,
    0xffae3935,
    0xffaf332a,
    0xffa42e17,
    0xffb2281a,
    0xffad2f27,
    0xff972610,
    0xffbc2b0b,
    0xffaf2b05,
    0xffe07465,
    0xff7e1f14,
    0xff740704,
    0xff8a0a0d,
    0xffae3d30,
    0xff8c4e2d,
    0xff3a2a10,
    0xff5b5540,
    0xff9a4134,
    0xffb22f1b,
    0xffb11d0b,
    0xff8b0200,
    0xff782218,
    0xff57271c,
    0xff604537,
    0xff8e6f72,
    0xff774b44,
    0xff803828,
    0xff973a29,
    0xff7b2411,
    0xff773117,
    0xff9c5434,
    0xffa6492b,
    0xffc4591e,
    0xffb65a17,
    0xffec997f,
    0xffb54c43,
    0xffb73c18,
    0xffa12103,
    0xffa9392d,
    0xff8d3618,
    0xff9b350d,
    0xff82301e,
    0xff4c2a1d,
    0xff775e44,
    0xff733514,
    0xff923b1d,
    0xffa44f2f,
    0xff7e2905,
    0xffae4929,
    0xff8f3000,
    0xffa13720,
    0xffab492b,
    0xffac6943,
    0xff5d2a15,
    0xffb5724e,
    0xff98331d,
    0xffb6462d,
    0xffbd5c34,
    0xffd48647,
    0xffa04e22,
    0xff7e200c,
    0xff741601,
    0xff5b0801,
    0xff773423,
    0xff70341d,
    0xff671708,
    0xff711f0c,
    0xff712d17,
    0xff622d25,
    0xff604347,
    0xffe3cdd3,
    0xff411b1a,
    0xff490611,
    0xff48060e,
    0xff590612,
    0xff51000b,
    0xff41000c,
    0xff40010d,
    0xff48000e,
    0xff44040e,
    0xff42030d,
    0xff4a0006,
    0xff590006,
    0xff600008,
    0xff580309,
    0xff540407,
    0xff610003,
    0xff82020b,
    0xffa80203,
    0xff960b12,
    0xff6b0b18,
    0xff603151,
    0xff594877,
    0xff5d3856,
    0xff4c020b,
    0xff570710,
    0xff401731,
    0xff2e3e77,
    0xff284989,
    0xff2c355a,
    0xff211428,
    0xff26142b,
    0xff3f3b62,
    0xff354c85,
    0xff34487c,
    0xff08112d,
    0xff2c4d79,
    0xff2a3059,
    0xff3f4571,
    0xff2b599b,
    0xff29538a,
    0xff1d5195,
    0xff295a9c,
    0xff45569b,
    0xff664c7d,
    0xff670015,
    0xff650100,
    0xff6b0405,
    0xff840009,
    0xff960507,
    0xffa60a10,
    0xffa80209,
    0xffac0104,
    0xffa50004,
    0xffa20107,
    0xffa4010a,
    0xffa10208,
    0xff9b0203,
    0xff9a0000,
    0xff970000,
    0xffa0020e,
    0xffac0007,
    0xffad0005,
    0xff9b0a17,
    0xff9d2841,
    0xffa73b56,
    0xff944f4e,
    0xffb6404c,
    0xffc42b3e,
    0xff9a0d1e,
    0xff79000a,
    0xff8e0014,
    0xffa4051a,
    0xff98000e,
    0xff97040e,
    0xff8a0409,
    0xff7f0306,
    0xff89040b,
    0xff9d0511,
    0xff9e000c,
    0xff9d060f,
    0xff8e0208,
    0xff960e1d,
    0xffa92a35,
    0xffab353f,
    0xffb53f4b,
    0xffc34855,
    0xffc34252,
    0xffc94958,
    0xffc44551,
    0xffc44352,
    0xffc53f50,
    0xffb73042,
    0xffbc4852,
    0xffd4696f,
    0xffe15a6c,
    0xffba223d,
    0xffa52e40,
    0xff8f2e42,
    0xff983355,
    0xff962741,
    0xff78000e,
    0xff7f020f,
    0xff7a0209,
    0xff620402,
    0xffddb8b7,
    0xff5e242f,
    0xff952e32,
    0xff8f1d23,
    0xff580006,
    0xff4b0001,
    0xffb2757f,
    0xff5e2f39,
    0xff6a1517,
    0xff730007,
    0xff65050a,
    0xff52050a,
    0xff510006,
    0xff5e0008,
    0xff5e0409,
    0xff5c0609,
    0xff64030a,
    0xff58060f,
    0xff6c1f38,
    0xff5b0f2c,
    0xff530313,
    0xff5c0313,
    0xff650119,
    0xff780317,
    0xffbd3839,
    0xffc75048,
    0xff7e080d,
    0xff6c000e,
    0xff560010,
    0xff5c1f28,
    0xff6e3f42,
    0xff50191e,
    0xff55111c,
    0xff4a0405,
    0xff51010c,
    0xff550010,
    0xff4a1f43,
    0xff422a56,
    0xff472344,
    0xff452c54,
    0xff473257,
    0xff470b24,
    0xff470009,
    0xff380516,
    0xff272956,
    0xff1a3f7c,
    0xff1f4075,
    0xff253c6f,
    0xff18376f,
    0xff0b3a76,
    0xff113f83,
    0xff0c3e8a,
    0xff0c428d,
    0xff0d438d,
    0xff0f438a,
    0xff14448a,
    0xff113d86,
    0xff0b428d,
    0xff0d458f,
    0xff0d458c,
    0xff0f498f,
    0xff12478e,
    0xff134a94,
    0xff144b96,
    0xff134997,
    0xff144895,
    0xff154996,
    0xff144994,
    0xff124892,
    0xff104791,
    0xff0f4791,
    0xff0d458d,
    0xff0d458d,
    0xff09438e,
    0xff06408a,
    0xff053f89,
    0xff06408a,
    0xff043f88,
    0xff063e89,
    0xff08408b,
    0xff0a428d,
    0xff0c468d,
    0xff0f4993,
    0xff0e4895,
    0xff174d97,
    0xff285e9f,
    0xff3566a5,
    0xff3361a4,
    0xff2f59a0,
    0xff2b62a8,
    0xff1a529d,
    0xff1851a1,
    0xff1853a3,
    0xff1855a1,
    0xff1956a1,
    0xff1854a0,
    0xff1954a3,
    0xff1f5aa4,
    0xff1b57a0,
    0xff15519a,
    0xff114d95,
    0xff0a478f,
    0xff07438c,
    0xff09458e,
    0xff033e88,
    0xff0a418c,
    0xff0d4790,
    0xff0a4592,
    0xff0b4692,
    0xff0a4894,
    0xff0c4695,
    0xff0f4997,
    0xff0d4696,
    0xff104b99,
    0xff104a98,
    0xff114a99,
    0xff124c98,
    0xff114a96,
    0xff0f4693,
    0xff0e4691,
    0xff0f4792,
    0xff0f458e,
    0xff0e448c,
    0xff0c448c,
    0xff0d458d,
    0xff0f468e,
    0xff12458e,
    0xff13468f,
    0xff0f418b,
    0xff10438a,
    0xff0e4087,
    0xff0e3f86,
    0xff0f4087,
    0xff0d3f85,
    0xff0b3d85,
    0xff073a80,
    0xff073881,
    0xff07397f,
    0xff0b3c86,
    0xff05377f,
    0xff063783,
    0xff053582,
    0xff04367f,
    0xff053780,
    0xff04367c,
    0xff073780,
    0xff083883,
    0xff063881,
    0xff0a3c85,
    0xff083c85,
    0xff063a83,
    0xff083c86,
    0xff0a3f88,
    0xff0a3d88,
    0xff093f87,
    0xff0b4189,
    0xff0d438b,
    0xff0c428a,
    0xff0e448a,
    0xff0c4289,
    0xff0b4187,
    0xff10428c,
    0xff09418e,
    0xff07418e,
    0xff114285,
    0xff1e4172,
    0xff374c6b,
    0xff4d5e72,
    0xff74859b,
    0xff385d92,
    0xff154780,
    0xff174f86,
    0xff1d4e83,
    0xff254e8b,
    0xff224e97,
    0xff1e5299,
    0xff15508e,
    0xff194a8e,
    0xff18488c,
    0xff104c8b,
    0xff164c8f,
    0xff1b478c,
    0xff0f4a88,
    0xff0b5389,
    0xff1a4e85,
    0xff2a334a,
    0xffca9a83,
    0xff7b4335,
    0xff614767,
    0xff302f6d,
    0xff153a79,
    0xff3b3b52,
    0xffb54b34,
    0xffa02c00,
    0xfff27c20,
    0xffd77410,
    0xffa94d07,
    0xffab2b04,
    0xffa50400,
    0xffaa0811,
    0xff930000,
    0xffc53d16,
    0xffa12609,
    0xff7e0b00,
    0xff7c0705,
    0xff800109,
    0xff87020b,
    0xff780000,
    0xff7c0907,
    0xffba423e,
    0xff920a0c,
    0xff9d0712,
    0xff93010a,
    0xff9c050e,
    0xffa80812,
    0xffa1060e,
    0xff8e0506,
    0xff8e2c1b,
    0xff655465,
    0xff404264,
    0xff695375,
    0xff715a78,
    0xffcf9aa1,
    0xff7f0000,
    0xffba1f32,
    0xffb82a29,
    0xffe35c4f,
    0xffd15039,
    0xffb93c23,
    0xffe15e4c,
    0xff9b120a,
    0xff9d0a0b,
    0xff980006,
    0xff8e0003,
    0xff9a0a0a,
    0xffb5271f,
    0xff9d1308,
    0xff8b0400,
    0xff9a0f0e,
    0xffa00c10,
    0xff9e050a,
    0xff9c0409,
    0xff980f15,
    0xffa73439,
    0xffcf5a5e,
    0xffa62325,
    0xffa4361f,
    0xffaa4d1d,
    0xffcc5c28,
    0xff9d2407,
    0xff951a0c,
    0xff9a1e19,
    0xff931610,
    0xff891906,
    0xffae552d,
    0xffc77a41,
    0xffe99958,
    0xfff7a45c,
    0xfff2ac71,
    0xff956d66,
    0xff3a4662,
    0xff354b6d,
    0xff2f4164,
    0xff183963,
    0xff162f5c,
    0xff525b74,
    0xff877272,
    0xff3c3652,
    0xff14386c,
    0xff113371,
    0xff17316e,
    0xff133366,
    0xff0f2a68,
    0xff172454,
    0xff391a40,
    0xff8f435b,
    0xffb13b36,
    0xff8a2c18,
    0xffb03b2e,
    0xffbd341c,
    0xff982619,
    0xffa13816,
    0xff8a1a08,
    0xff8f1f0d,
    0xff7d1907,
    0xff880e0c,
    0xff9c3131,
    0xff563840,
    0xff272f65,
    0xff1c3163,
    0xff202f6f,
    0xff153174,
    0xff14386d,
    0xff163a68,
    0xff0b3463,
    0xff21355d,
    0xff512d49,
    0xff600c17,
    0xff7d0710,
    0xff930307,
    0xff9e0904,
    0xffaa130a,
    0xffa90e07,
    0xffa90f08,
    0xff9f0c03,
    0xff890902,
    0xffdc7f83,
    0xff93594d,
    0xff8c2f1b,
    0xffab1c1b,
    0xffa70c0c,
    0xffd93932,
    0xffd34139,
    0xffd95c5a,
    0xff894b4a,
    0xff31324a,
    0xff233e6a,
    0xff1a3566,
    0xff1e3665,
    0xff1f3c63,
    0xff1f415c,
    0xff444160,
    0xff41496d,
    0xff623b49,
    0xffbc4e42,
    0xffbc3f2e,
    0xffb6392c,
    0xffd04037,
    0xffc22726,
    0xffcc3435,
    0xffc24241,
    0xff731b1e,
    0xff530d0e,
    0xff603839,
    0xff222e3a,
    0xff133441,
    0xff163750,
    0xff183c4f,
    0xff133452,
    0xff18345a,
    0xff0e3c5e,
    0xff153959,
    0xff282c53,
    0xff1f3255,
    0xff103052,
    0xff0d304a,
    0xff183245,
    0xff253540,
    0xff394948,
    0xff525d54,
    0xff725d4e,
    0xff7c281b,
    0xffb12b20,
    0xffd54d44,
    0xffb33121,
    0xff9e200a,
    0xffab311d,
    0xffb53c2e,
    0xff9a1f12,
    0xffa83018,
    0xffd05c3b,
    0xff9b1707,
    0xff8e0001,
    0xff820000,
    0xff910d00,
    0xffcb4522,
    0xffa71502,
    0xffb21f11,
    0xffd64c40,
    0xffca352f,
    0xffd4413e,
    0xffc92d30,
    0xffc73e36,
    0xffd65143,
    0xff9e1004,
    0xffc83e38,
    0xff9f0b11,
    0xff900005,
    0xff9c0315,
    0xffa4031c,
    0xffba1526,
    0xffc2161d,
    0xffd62f2f,
    0xffcd3938,
    0xffaa3230,
    0xff6e1908,
    0xff69403a,
    0xff2c1f1c,
    0xff44231b,
    0xffb7776f,
    0xff6a191b,
    0xffb05252,
    0xff982a1d,
    0xff7e1e0a,
    0xff5a1f19,
    0xff3c2525,
    0xff352a1d,
    0xff3b371c,
    0xff463f28,
    0xff4c2e15,
    0xff884c24,
    0xff702909,
    0xff6e2317,
    0xff931d2e,
    0xffb2192c,
    0xffc41817,
    0xffcf120c,
    0xffa9160f,
    0xff5e321b,
    0xff4e4c2f,
    0xff4f3f2c,
    0xff5c4f3b,
    0xff4c4429,
    0xff663f20,
    0xffb15734,
    0xffb84d20,
    0xffc46c2e,
    0xffca6722,
    0xffc65f1d,
    0xffb34f17,
    0xffa74b15,
    0xff923200,
    0xffb35110,
    0xffa75d23,
    0xff8e6237,
    0xff716037,
    0xff99815b,
    0xffa2885b,
    0xff8b7257,
    0xff8e7d59,
    0xff645735,
    0xff7b6b3b,
    0xff846940,
    0xff7f533a,
    0xff88604b,
    0xff9d785e,
    0xff8e8461,
    0xff828a65,
    0xffac7a56,
    0xff8c2c00,
    0xffca8520,
    0xffd37b06,
    0xffbe771e,
    0xffb35e2d,
    0xffdb6824,
    0xffc25315,
    0xffd18f77,
    0xffffe3da,
    0xfffaccd0,
    0xff6c3e31,
    0xff452e10,
    0xff5a4e21,
    0xff625423,
    0xff5b4b1b,
    0xff5d431b,
    0xff7c371f,
    0xff952319,
    0xff933611,
    0xffb0351d,
    0xffbf412f,
    0xffcc4c3b,
    0xff9f2510,
    0xffa0381c,
    0xffc26b52,
    0xff491f00,
    0xff763725,
    0xff942528,
    0xffbb3a40,
    0xff920905,
    0xff9d0a0c,
    0xff930e13,
    0xff8b150b,
    0xffb32c13,
    0xffb73312,
    0xff7b0700,
    0xffa24138,
    0xff6f0d00,
    0xffa6302d,
    0xff8c2011,
    0xff8c4f2e,
    0xff615036,
    0xff65442a,
    0xffb0342c,
    0xffa30a02,
    0xff900100,
    0xff870104,
    0xff760306,
    0xff73070c,
    0xff8c342e,
    0xff57251e,
    0xff9e796e,
    0xff75392f,
    0xff7f160f,
    0xffb1412a,
    0xff8f3e16,
    0xff7a340b,
    0xff883213,
    0xffc96036,
    0xff953f00,
    0xffca7a4b,
    0xffa54738,
    0xffbd512d,
    0xffa13603,
    0xff9b4119,
    0xff854019,
    0xff8f3f00,
    0xffb96b2c,
    0xff976d3b,
    0xff3c230e,
    0xff3d0c00,
    0xffbe8362,
    0xfff3b599,
    0xff6e1800,
    0xff811c08,
    0xff93390b,
    0xff942c0d,
    0xff8e2914,
    0xff7c3c23,
    0xff5c230c,
    0xff7e2d05,
    0xffa64c1d,
    0xff933e02,
    0xffb7681b,
    0xff914300,
    0xff973f20,
    0xff923326,
    0xff852b17,
    0xff5f0f00,
    0xff601508,
    0xff74261b,
    0xff823c22,
    0xff6a280c,
    0xff682316,
    0xff6a2d29,
    0xff491f19,
    0xff9f8882,
    0xff70595f,
    0xff4f0913,
    0xff480009,
    0xff630916,
    0xff640513,
    0xff4f020f,
    0xff450009,
    0xff4d030b,
    0xff450405,
    0xff410106,
    0xff5e0009,
    0xff75020a,
    0xff6d0006,
    0xff5b0303,
    0xff570002,
    0xff640004,
    0xff7c060d,
    0xff9f040f,
    0xff88030a,
    0xff600002,
    0xff3d081b,
    0xff59406a,
    0xff4f2444,
    0xff540a13,
    0xff54090f,
    0xff3f2a44,
    0xff2f4785,
    0xff19428b,
    0xff334f85,
    0xff252d4a,
    0xff271828,
    0xff32203a,
    0xff494b80,
    0xff354783,
    0xff191c33,
    0xff314b81,
    0xff2b3964,
    0xff34375d,
    0xff23498a,
    0xff1f4f84,
    0xff2759a0,
    0xff2f569b,
    0xff48508c,
    0xff573357,
    0xff6b0010,
    0xff6a0200,
    0xff640200,
    0xff6b0000,
    0xff830210,
    0xff9f0d13,
    0xff9d0206,
    0xffb2080e,
    0xffc6171f,
    0xffbf1e26,
    0xffa21016,
    0xff950409,
    0xff9b0107,
    0xff8e000a,
    0xff930000,
    0xff930002,
    0xffa00a09,
    0xffa61816,
    0xff8f3756,
    0xff6c5082,
    0xff5d4869,
    0xff702d3d,
    0xff8a0c21,
    0xff8d0004,
    0xff8b0009,
    0xff930215,
    0xffac011d,
    0xffb00019,
    0xff930206,
    0xff860108,
    0xff800107,
    0xff7d0006,
    0xff85030a,
    0xff8b030b,
    0xff93000b,
    0xffa30713,
    0xff9e030f,
    0xff980010,
    0xffad2534,
    0xffc24953,
    0xffc54a54,
    0xffc33e4f,
    0xffcc3f52,
    0xffc03747,
    0xffbe3d4a,
    0xffbe4850,
    0xffb73e4b,
    0xffce4f5f,
    0xffdf6971,
    0xffce585b,
    0xffb32e3b,
    0xff82081e,
    0xffae5a71,
    0xffb46f8e,
    0xff95395e,
    0xff740009,
    0xff7d0206,
    0xff720009,
    0xff74000b,
    0xff802e2e,
    0xff9f7f7e,
    0xff5a212b,
    0xff7d0a0e,
    0xff8a0e0f,
    0xff6c0107,
    0xff701f27,
    0xff956b71,
    0xff5c262b,
    0xff6f0c09,
    0xff75080c,
    0xff520403,
    0xff430000,
    0xff570106,
    0xff680106,
    0xff6e0309,
    0xff6b0208,
    0xff620205,
    0xff510513,
    0xff6b3d67,
    0xff502f5c,
    0xff420a20,
    0xff5b030f,
    0xff680018,
    0xff800b22,
    0xffa4232a,
    0xff8d1f1c,
    0xff650004,
    0xff530009,
    0xff67283b,
    0xff633a43,
    0xff411d1e,
    0xff4b1212,
    0xff4d0104,
    0xff4d0602,
    0xff5a000e,
    0xff530720,
    0xff3b3c6e,
    0xff173f84,
    0xff23387e,
    0xff203e85,
    0xff16417c,
    0xff423363,
    0xff3a1b38,
    0xff291934,
    0xff162f65,
    0xff114590,
    0xff0e408b,
    0xff164588,
    0xff11478a,
    0xff11488c,
    0xff104791,
    0xff0d4492,
    0xff0a428f,
    0xff0c458f,
    0xff0f4691,
    0xff0c428e,
    0xff0f4492,
    0xff0d4a90,
    0xff0e4b90,
    0xff0e4a90,
    0xff0e488f,
    0xff12488f,
    0xff154894,
    0xff184994,
    0xff144291,
    0xff10458f,
    0xff0b418b,
    0xff093f89,
    0xff0b4189,
    0xff083b84,
    0xff083b83,
    0xff053982,
    0xff063a83,
    0xff033b87,
    0xff08408d,
    0xff0c4391,
    0xff0d4592,
    0xff104997,
    0xff134c99,
    0xff164f9c,
    0xff18519d,
    0xff135299,
    0xff15539b,
    0xff17519d,
    0xff2157a0,
    0xff4575b9,
    0xff4a77b6,
    0xff4a70b2,
    0xff4d6eb5,
    0xff2e60a8,
    0xff1d519d,
    0xff1a4e9f,
    0xff154c9c,
    0xff104a96,
    0xff0d4693,
    0xff094291,
    0xff033c8d,
    0xff043d89,
    0xff013b85,
    0xff053f89,
    0xff043e87,
    0xff0b458d,
    0xff104a93,
    0xff104a93,
    0xff124d95,
    0xff114894,
    0xff0f4892,
    0xff144d9a,
    0xff104b98,
    0xff0c4a97,
    0xff0d4a97,
    0xff0e4a9b,
    0xff0d4b99,
    0xff0c4a92,
    0xff0c4a91,
    0xff0d4890,
    0xff0e458e,
    0xff134792,
    0xff11418c,
    0xff14418b,
    0xff12408b,
    0xff124084,
    0xff0f3e82,
    0xff0e3d81,
    0xff0e3e82,
    0xff0b3d81,
    0xff0b3a7f,
    0xff0a397e,
    0xff083679,
    0xff063676,
    0xff033375,
    0xff003072,
    0xff002f71,
    0xff013074,
    0xff033276,
    0xff043379,
    0xff08377b,
    0xff03357d,
    0xff03357c,
    0xff073882,
    0xff063881,
    0xff073982,
    0xff063781,
    0xff083980,
    0xff0a3b82,
    0xff0c3e88,
    0xff0b3d86,
    0xff0d3f88,
    0xff0e4089,
    0xff0b3d86,
    0xff0d3f88,
    0xff0d3f88,
    0xff0b3d86,
    0xff0c4187,
    0xff0b4086,
    0xff0a3f85,
    0xff093e84,
    0xff0d4389,
    0xff0e448b,
    0xff0e4587,
    0xff0c4689,
    0xff0d4a96,
    0xff0f4993,
    0xff144b99,
    0xff154e9c,
    0xff174f9b,
    0xff224e87,
    0xff435875,
    0xff5b5d66,
    0xff72839a,
    0xff465f8b,
    0xff274f89,
    0xff1a528d,
    0xff1e5598,
    0xff20509b,
    0xff1a4b97,
    0xff114f8d,
    0xff164b92,
    0xff1a4c90,
    0xff15518f,
    0xff174d8c,
    0xff1a4888,
    0xff0e4d86,
    0xff0f5385,
    0xff174678,
    0xff536b79,
    0xff69656d,
    0xff2f3a71,
    0xff1e4284,
    0xff294381,
    0xff2e4279,
    0xff59434b,
    0xffa3301a,
    0xffa43905,
    0xffeb7010,
    0xfffe8f2d,
    0xffb85c0f,
    0xffb54608,
    0xffa71800,
    0xff970003,
    0xffa00f01,
    0xfffa7d3f,
    0xffdb6533,
    0xff710000,
    0xff820708,
    0xff84000a,
    0xffa01620,
    0xff9e1d1e,
    0xffc0483f,
    0xffb64335,
    0xff7b0000,
    0xff90060f,
    0xff8e0308,
    0xff8d0200,
    0xff9b0b02,
    0xff9f100e,
    0xff940e11,
    0xff971f15,
    0xff65313b,
    0xff504e60,
    0xff41455a,
    0xffa68ca5,
    0xffc26f6a,
    0xffb23e1a,
    0xffae3c22,
    0xffe25a4e,
    0xffcf4838,
    0xffae3017,
    0xffa62a11,
    0xffa62812,
    0xff9c1507,
    0xffa6150b,
    0xff9a0400,
    0xffa71b0e,
    0xff9d0f01,
    0xffa61606,
    0xffb82a14,
    0xffb4260e,
    0xffa61804,
    0xffa9140c,
    0xff9f0507,
    0xffb31b24,
    0xff8a060d,
    0xff7a0105,
    0xff8b000a,
    0xffa20a11,
    0xff9b2111,
    0xffbe5835,
    0xff9e2702,
    0xffac3720,
    0xffa63220,
    0xffa7261e,
    0xffa41d1a,
    0xff931e11,
    0xffa35439,
    0xff905439,
    0xff8b4738,
    0xff8b523c,
    0xff784a3d,
    0xff5b4561,
    0xff3d5383,
    0xff2d476f,
    0xff293d5c,
    0xff124062,
    0xff103b66,
    0xff354d68,
    0xff908082,
    0xff353446,
    0xff0a2952,
    0xff142963,
    0xff182d6d,
    0xff0b3360,
    0xff0c2c5e,
    0xff1b2b5b,
    0xff3d2134,
    0xffb24a4b,
    0xffe96054,
    0xff93261a,
    0xffa31f14,
    0xffa21c03,
    0xff981c17,
    0xffa42412,
    0xff9f200b,
    0xff931800,
    0xff8d1f07,
    0xff850d16,
    0xff7a1b32,
    0xff30253d,
    0xff0a2353,
    0xff0f2554,
    0xff1a215a,
    0xff132666,
    0xff132b62,
    0xff172854,
    0xff142d5f,
    0xff2f2752,
    0xff5f0916,
    0xff81050e,
    0xff920006,
    0xffa60306,
    0xffa40603,
    0xffa70b08,
    0xffae0f0f,
    0xff9f0100,
    0xffa10b06,
    0xff890400,
    0xffc45f5e,
    0xff884532,
    0xffb7543a,
    0xffad1b17,
    0xffd23c41,
    0xffc93a3c,
    0xffc65557,
    0xffa6565e,
    0xff46364b,
    0xff294667,
    0xff344676,
    0xff283164,
    0xff1c3658,
    0xff163352,
    0xff272d5a,
    0xff392942,
    0xff452b49,
    0xff692b3d,
    0xff93262a,
    0xff971113,
    0xffb22a26,
    0xffb52c23,
    0xffbc2c2c,
    0xffd43836,
    0xffca3837,
    0xffb53d34,
    0xff5c0000,
    0xffbb5255,
    0xff8c4447,
    0xff292237,
    0xff1f254d,
    0xff082734,
    0xff113145,
    0xff1c2d53,
    0xff132d53,
    0xff162e53,
    0xff1a294f,
    0xff153359,
    0xff15345f,
    0xff15325b,
    0xff1c3752,
    0xff203643,
    0xff273f47,
    0xff224248,
    0xff273c35,
    0xff552e21,
    0xff872112,
    0xff9e3625,
    0xffab4632,
    0xffa9452f,
    0xffb14f34,
    0xffad4e2d,
    0xff902d06,
    0xffa43612,
    0xffb93f1d,
    0xffdf6840,
    0xffd8533b,
    0xffba3221,
    0xffac2d13,
    0xffb53920,
    0xff960b05,
    0xffa51112,
    0xffc6372e,
    0xffcd3f31,
    0xffc43a30,
    0xffb2151c,
    0xff9f0109,
    0xffa3040c,
    0xffb21417,
    0xffd74844,
    0xffa71210,
    0xff93000b,
    0xff980314,
    0xffa50719,
    0xffb9101e,
    0xffc41d1f,
    0xffc03027,
    0xffad3c2f,
    0xff923329,
    0xff832c1d,
    0xffa16051,
    0xff472115,
    0xff25160d,
    0xffdbd1d0,
    0xff785f60,
    0xffc38481,
    0xff8d3323,
    0xff7d2419,
    0xff652b28,
    0xff4c3429,
    0xff4a3f21,
    0xff4e3b0b,
    0xff644000,
    0xffab7926,
    0xffa36b0f,
    0xffb37c24,
    0xff925d1c,
    0xff923b20,
    0xffbe4136,
    0xffb21f10,
    0xffb51401,
    0xffb44128,
    0xff877248,
    0xff76704c,
    0xff897b56,
    0xff9a9062,
    0xff9a8d54,
    0xffc19057,
    0xffb4541d,
    0xffb54609,
    0xffb85f16,
    0xffb85d0f,
    0xffc56a15,
    0xffc16d18,
    0xffb9661d,
    0xffba5f1c,
    0xffb45210,
    0xffb15b1c,
    0xffc2814d,
    0xffbf9579,
    0xffad9178,
    0xff8b7a63,
    0xff6c554d,
    0xffc4a175,
    0xffa0722a,
    0xffa4791c,
    0xff91661b,
    0xffb58949,
    0xff7c4d31,
    0xff6e311f,
    0xff653119,
    0xff5e3b31,
    0xff9c5b50,
    0xffb95a28,
    0xffc7741e,
    0xffcc6d17,
    0xffad6725,
    0xffbe7d58,
    0xffa65930,
    0xffb56b51,
    0xffbf888b,
    0xff5f2114,
    0xff7b1d04,
    0xff913b1d,
    0xff935e37,
    0xff716230,
    0xff686434,
    0xff6f5733,
    0xff8c4e36,
    0xff932c1c,
    0xffba372a,
    0xfff48e65,
    0xffde5c3e,
    0xffd75b3f,
    0xffcf5639,
    0xffff8e70,
    0xffbc4528,
    0xffb75032,
    0xff89572e,
    0xff230f00,
    0xff452214,
    0xff6f2926,
    0xffad383e,
    0xffb41528,
    0xffbe122d,
    0xff96040b,
    0xff881000,
    0xff9d290c,
    0xff830000,
    0xffa6191d,
    0xffb52d2b,
    0xffcd4443,
    0xffbe4034,
    0xff98452e,
    0xff5a3621,
    0xff805531,
    0xffa2261a,
    0xff960502,
    0xff860501,
    0xff7f0005,
    0xff840007,
    0xff8f0003,
    0xffb83830,
    0xff994e3a,
    0xff8a6857,
    0xff7c5751,
    0xff89312f,
    0xff881900,
    0xffb55c29,
    0xff792b00,
    0xff8d3016,
    0xff8c2204,
    0xffa1550c,
    0xffe6b06a,
    0xffc98e73,
    0xffa1533b,
    0xffd1753a,
    0xffd77233,
    0xff8f2b03,
    0xffaf7028,
    0xffdf983a,
    0xfffccf6a,
    0xff73572e,
    0xff391704,
    0xff6c4f28,
    0xffcda08a,
    0xffa64c3e,
    0xff841c0d,
    0xff903313,
    0xffad421c,
    0xff892619,
    0xff5c1c11,
    0xff93512f,
    0xffd27741,
    0xffa15508,
    0xffebae57,
    0xffbe7229,
    0xff862903,
    0xffb24f1f,
    0xff8e2c00,
    0xff711301,
    0xff9a412b,
    0xff701411,
    0xff750f08,
    0xff82331e,
    0xff87442d,
    0xff89332c,
    0xff751011,
    0xff63130d,
    0xffa06c6c,
    0xff4f2634,
    0xff5b0916,
    0xff4f0207,
    0xff590009,
    0xff62040f,
    0xff580a13,
    0xff55030c,
    0xff5d0005,
    0xff64080a,
    0xff600609,
    0xff7c0107,
    0xff960712,
    0xff7e080a,
    0xff5d0301,
    0xff550002,
    0xff5f0006,
    0xff620109,
    0xff5d010d,
    0xff540004,
    0xff520200,
    0xff470401,
    0xff652b3f,
    0xff4b061b,
    0xff530814,
    0xff441023,
    0xff45486c,
    0xff2d4f8e,
    0xff1f509a,
    0xff245293,
    0xff2d4977,
    0xff251c36,
    0xff34182c,
    0xff413056,
    0xff364380,
    0xff201c35,
    0xff253b6e,
    0xff304274,
    0xff302f56,
    0xff2f4b83,
    0xff2d609b,
    0xff305fa5,
    0xff3c5896,
    0xff5c4f7f,
    0xff4c0f28,
    0xff830311,
    0xff8e0503,
    0xff8d0301,
    0xff7e000a,
    0xff760015,
    0xff880007,
    0xffa41216,
    0xffb60f17,
    0xffb90613,
    0xffc92733,
    0xffbb343b,
    0xff9a0f1a,
    0xffa50615,
    0xffaf1527,
    0xffa30408,
    0xff970307,
    0xff930504,
    0xff951719,
    0xff784771,
    0xff505394,
    0xff694e78,
    0xff7a001f,
    0xff860012,
    0xff890003,
    0xff95070a,
    0xffa60119,
    0xffb10121,
    0xffa20318,
    0xff820001,
    0xff7f0209,
    0xff7f010a,
    0xff7c0007,
    0xff7d0008,
    0xff800008,
    0xff8e050e,
    0xff96000a,
    0xffa90112,
    0xffbf1a2c,
    0xffaa1a25,
    0xffbf414a,
    0xff931721,
    0xffa01827,
    0xffb62437,
    0xffae2433,
    0xffa0202b,
    0xffbb393e,
    0xffc94f59,
    0xffb83a48,
    0xff9d1421,
    0xff8a060b,
    0xff9c2d32,
    0xff9c4a5a,
    0xff9b5c79,
    0xff905f84,
    0xff844c6d,
    0xff811b2f,
    0xff6e0503,
    0xff6d070b,
    0xff650000,
    0xffa95d62,
    0xff8c5c69,
    0xff63232e,
    0xff80050e,
    0xffad2d2e,
    0xff730108,
    0xffa45a68,
    0xff624349,
    0xff642327,
    0xff760301,
    0xff6e0206,
    0xff4f0603,
    0xff4d0101,
    0xff650008,
    0xff6b0208,
    0xff6f0003,
    0xff6e0002,
    0xff670104,
    0xff500318,
    0xff3c3262,
    0xff344275,
    0xff4f293f,
    0xff5b0c11,
    0xff5c0f1f,
    0xff6a172f,
    0xff68000c,
    0xff650009,
    0xff4d0007,
    0xff723b44,
    0xff5b2f37,
    0xff4d1923,
    0xff4d0c14,
    0xff460104,
    0xff4a0507,
    0xff520407,
    0xff56020e,
    0xff501022,
    0xff2c3e6b,
    0xff0e478c,
    0xff1a3f8e,
    0xff103991,
    0xff0d408e,
    0xff193e85,
    0xff29417b,
    0xff274176,
    0xff164586,
    0xff0c4793,
    0xff124691,
    0xff16478a,
    0xff13478e,
    0xff0b468f,
    0xff0d4691,
    0xff114996,
    0xff134892,
    0xff11468e,
    0xff0f488f,
    0xff104995,
    0xff0d4699,
    0xff094489,
    0xff0e498d,
    0xff0e478b,
    0xff0e438c,
    0xff0a4088,
    0xff093e86,
    0xff0d408c,
    0xff093c88,
    0xff063e88,
    0xff033b85,
    0xff043c86,
    0xff08408a,
    0xff0a418c,
    0xff0b428c,
    0xff0e448e,
    0xff154a95,
    0xff154997,
    0xff164a99,
    0xff104996,
    0xff114996,
    0xff154c99,
    0xff164f9c,
    0xff18519e,
    0xff19529f,
    0xff16529e,
    0xff1755a0,
    0xff19529f,
    0xff164e98,
    0xff194b92,
    0xff1a488c,
    0xff1a4387,
    0xff133b7e,
    0xff0d3f86,
    0xff023581,
    0xff043988,
    0xff033b8b,
    0xff033c89,
    0xff08428b,
    0xff114a97,
    0xff124a9b,
    0xff154f9a,
    0xff114b95,
    0xff144e98,
    0xff124c96,
    0xff134d98,
    0xff134b95,
    0xff164e98,
    0xff124a94,
    0xff174f9b,
    0xff124a96,
    0xff0f4691,
    0xff0d458f,
    0xff0d468e,
    0xff0e478e,
    0xff0b458b,
    0xff0b4489,
    0xff0c4385,
    0xff0c4385,
    0xff0d4182,
    0xff0c3c80,
    0xff09397d,
    0xff0c377c,
    0xff0c337a,
    0xff072f75,
    0xff062e73,
    0xff032e72,
    0xff002c6e,
    0xff00286b,
    0xff00296a,
    0xff00296a,
    0xff00286a,
    0xff012d71,
    0xff043474,
    0xff083878,
    0xff0c3c7e,
    0xff104082,
    0xff104184,
    0xff0f4185,
    0xff0f4085,
    0xff114188,
    0xff0f448a,
    0xff0e4389,
    0xff0c4287,
    0xff14498e,
    0xff12478d,
    0xff0e4389,
    0xff0e4389,
    0xff0e4489,
    0xff0e448a,
    0xff0d3f85,
    0xff0c3e85,
    0xff0d3d85,
    0xff0b3b82,
    0xff0d3d82,
    0xff0d3e83,
    0xff0d3e83,
    0xff093b80,
    0xff0c3d82,
    0xff0c4185,
    0xff0b4084,
    0xff0d4487,
    0xff104789,
    0xff164f92,
    0xff104a8c,
    0xff074890,
    0xff0b478c,
    0xff114989,
    0xff0a478d,
    0xff064895,
    0xff0c4490,
    0xff203f7b,
    0xff3f4b75,
    0xff576265,
    0xff767b95,
    0xff364983,
    0xff0a3c86,
    0xff01478e,
    0xff0b4886,
    0xff134585,
    0xff104189,
    0xff0c448c,
    0xff124588,
    0xff124883,
    0xff164883,
    0xff1b4587,
    0xff144886,
    0xff1c4d86,
    0xff2d3f79,
    0xff2f4772,
    0xff1e4867,
    0xff14457d,
    0xff1a4682,
    0xff214579,
    0xff2b3a70,
    0xff673d54,
    0xffa83b29,
    0xffca542b,
    0xffd55908,
    0xffd76a08,
    0xffdf7f27,
    0xffd86720,
    0xffbf3a0b,
    0xff981300,
    0xffb32d0e,
    0xffc0400d,
    0xff9f1f00,
    0xffbb3829,
    0xff830000,
    0xff8c0406,
    0xff7e0000,
    0xffcf544a,
    0xffc14e3f,
    0xff861008,
    0xff7c0000,
    0xff900c0e,
    0xff890500,
    0xffd4512b,
    0xffc34015,
    0xff9a1800,
    0xff98160d,
    0xff90170f,
    0xff983644,
    0xff70394b,
    0xff5b3c48,
    0xffad817f,
    0xffe39d74,
    0xffae460f,
    0xffa53016,
    0xffc24025,
    0xffaf3313,
    0xffa12602,
    0xffad3313,
    0xff9d2406,
    0xffb02d13,
    0xffb82c11,
    0xffa81b00,
    0xffd2531f,
    0xffbd3712,
    0xffaa1b06,
    0xffa41200,
    0xffb82710,
    0xffad1b05,
    0xffa61206,
    0xffa60c0d,
    0xffaf1e23,
    0xff850000,
    0xff910804,
    0xff9a0300,
    0xff9f0100,
    0xff900500,
    0xff971f15,
    0xffb13d34,
    0xff901f0c,
    0xff9f2a15,
    0xff971708,
    0xffa7211a,
    0xff950c09,
    0xffa85246,
    0xff765751,
    0xff8a627b,
    0xff52486f,
    0xff5d4f6e,
    0xff524474,
    0xff2f4278,
    0xff445b83,
    0xff344a68,
    0xff386686,
    0xff2a5277,
    0xff465a74,
    0xffa08d90,
    0xff37354a,
    0xff284a71,
    0xff263f77,
    0xff253d79,
    0xff263f60,
    0xff3c314e,
    0xff643756,
    0xff843335,
    0xffd15c3f,
    0xffdd5238,
    0xffbf4039,
    0xff950b02,
    0xffa32807,
    0xffa72111,
    0xff9c1012,
    0xffa61c13,
    0xff9a1200,
    0xff9e240f,
    0xff961a1f,
    0xff852b3f,
    0xff423949,
    0xff394d66,
    0xff294a71,
    0xff213d61,
    0xff163c62,
    0xff0b335a,
    0xff142955,
    0xff252453,
    0xff441434,
    0xff76090c,
    0xff8b0305,
    0xff9b0106,
    0xff9e0101,
    0xff990403,
    0xff9b0b0a,
    0xff960204,
    0xff940002,
    0xffa01512,
    0xff840000,
    0xff9c2430,
    0xff9a3b35,
    0xff9e291d,
    0xffb12c38,
    0xff963045,
    0xff7b3448,
    0xff5f3a4e,
    0xff5b4560,
    0xff283d61,
    0xff1f4663,
    0xff2a395a,
    0xff37395e,
    0xff2f364a,
    0xff483544,
    0xff6d2a50,
    0xff741d24,
    0xff841520,
    0xff860813,
    0xff8c0008,
    0xffbf1a23,
    0xffd02b2b,
    0xffbe231f,
    0xffb9181e,
    0xffc1292e,
    0xffc82938,
    0xffc73a38,
    0xff5b0301,
    0xffae3632,
    0xffcd4f42,
    0xff411e1e,
    0xff262a39,
    0xff1a2a38,
    0xff152d3f,
    0xff1b2340,
    0xff1a263f,
    0xff1b293b,
    0xff202b3c,
    0xff183042,
    0xff232f4c,
    0xff1c2c4c,
    0xff143045,
    0xff173742,
    0xff163641,
    0xff1d3c44,
    0xff2b3f40,
    0xff453b30,
    0xff633c29,
    0xff5a3a12,
    0xff5e4125,
    0xff6b4032,
    0xff813e28,
    0xffaf572c,
    0xffbf5e26,
    0xffb6441d,
    0xffac2c18,
    0xffb44315,
    0xffae2d0a,
    0xffaf280f,
    0xffa52b0f,
    0xffc04b37,
    0xff870301,
    0xffa11311,
    0xffca3e2c,
    0xffbd3613,
    0xffbe4024,
    0xffc93731,
    0xffa91016,
    0xffac0e19,
    0xffc22029,
    0xffc93533,
    0xffb41914,
    0xff90000b,
    0xff8c000c,
    0xffa80d1b,
    0xffcc242d,
    0xffc52f2a,
    0xff9d3d23,
    0xff6c3e1a,
    0xff7b613d,
    0xff856340,
    0xff925231,
    0xffab5c46,
    0xff793f3c,
    0xfff9e1ea,
    0xff70585a,
    0xff7d5a3e,
    0xff916731,
    0xff8f5e30,
    0xff975e3a,
    0xff8a572a,
    0xff9e7733,
    0xff744b00,
    0xfffdc541,
    0xfff2ad10,
    0xfff1aa10,
    0xffeea10f,
    0xffde9c22,
    0xffaf6211,
    0xffa34e18,
    0xffb65b2d,
    0xffb35429,
    0xff98552d,
    0xff706a37,
    0xff807349,
    0xff8b7d4e,
    0xff90874f,
    0xffad9b5b,
    0xff986022,
    0xffa33f01,
    0xffa83c00,
    0xffd87c28,
    0xffeb9335,
    0xffec9835,
    0xffce7c1b,
    0xffd8852c,
    0xffd77c29,
    0xffbf6415,
    0xffab5920,
    0xff944f30,
    0xffd4ab95,
    0xffead0a4,
    0xfff6e5a2,
    0xfff2d490,
    0xffe0aa3d,
    0xffefa21c,
    0xfffba41d,
    0xffef9235,
    0xffaa4e11,
    0xff8d5b3f,
    0xff865f33,
    0xff935419,
    0xff894328,
    0xffe59e85,
    0xffa95e20,
    0xffa96313,
    0xff8f541e,
    0xffcda18b,
    0xffcfa4aa,
    0xffad8284,
    0xff61281c,
    0xff782e1b,
    0xff80260f,
    0xff7d1300,
    0xff7a1100,
    0xff873d20,
    0xff876944,
    0xff887f5a,
    0xff94785c,
    0xffa6604c,
    0xffbc4d3b,
    0xffda5b43,
    0xffca693c,
    0xffd87349,
    0xffca7445,
    0xffd16640,
    0xffc53d20,
    0xffe4573f,
    0xffd5563a,
    0xffd2845c,
    0xff8d6853,
    0xff6f674e,
    0xff4a3e28,
    0xff4c2015,
    0xff5e100e,
    0xff87191e,
    0xffa33430,
    0xffaa563e,
    0xff94341a,
    0xffb83f37,
    0xffae2e2d,
    0xffa22721,
    0xffa8251d,
    0xffc63c36,
    0xffb54a41,
    0xff592514,
    0xff3e1600,
    0xff9f4132,
    0xff810e04,
    0xff7e0000,
    0xffa5161c,
    0xffb31a21,
    0xffc42527,
    0xffc24433,
    0xff84361b,
    0xff6e4a34,
    0xff8f7a71,
    0xff65332a,
    0xff924428,
    0xffa95428,
    0xffa1451e,
    0xff7e0e00,
    0xff9a281d,
    0xff892c00,
    0xffb56e13,
    0xffc0792f,
    0xffa95723,
    0xffb45e14,
    0xffc16e23,
    0xff7a2506,
    0xffaf7140,
    0xff8e5008,
    0xffe9bb3f,
    0xffc6a056,
    0xff3e2104,
    0xff735d37,
    0xffce9b87,
    0xff6e0d05,
    0xffb74730,
    0xff96280c,
    0xffd5684b,
    0xffaf5148,
    0xff6c251b,
    0xffbf7142,
    0xff802c00,
    0xffffc469,
    0xffdea633,
    0xffd6823f,
    0xff800f00,
    0xffd36125,
    0xfff99345,
    0xffc56632,
    0xff88290d,
    0xff821c0f,
    0xff7f0300,
    0xff7a0d0b,
    0xff60130c,
    0xff6c180a,
    0xff841f13,
    0xff4f0e01,
    0xffe4d0c7,
    0xff584541,
    0xff721523,
    0xff5f0e15,
    0xff580108,
    0xff550007,
    0xff500208,
    0xff5e0007,
    0xff870812,
    0xff900a12,
    0xff820102,
    0xff9b020b,
    0xff9e040b,
    0xff7d0306,
    0xff5a0204,
    0xff4d0005,
    0xff4f000a,
    0xff4a0008,
    0xff440101,
    0xff430705,
    0xff450301,
    0xff4b040a,
    0xff44000f,
    0xff54020f,
    0xff510812,
    0xff3b1730,
    0xff2f4177,
    0xff1e4b8c,
    0xff144b8c,
    0xff134989,
    0xff1c4483,
    0xff222852,
    0xff32172c,
    0xff3b2136,
    0xff464779,
    0xff271937,
    0xff223358,
    0xff2f447f,
    0xff2a2c56,
    0xff3d537d,
    0xff2b5796,
    0xff204d8c,
    0xff3d5287,
    0xff61335c,
    0xff6d0013,
    0xff9f0210,
    0xffa1070e,
    0xffa20215,
    0xffa5263d,
    0xff700018,
    0xff8c0815,
    0xff8e000b,
    0xffa80411,
    0xffb80617,
    0xffc01d30,
    0xffc03443,
    0xffbd2e40,
    0xffad0821,
    0xffb9162a,
    0xffae1213,
    0xff8e030a,
    0xff8c070d,
    0xff881e22,
    0xff66486a,
    0xff5d4f85,
    0xff5f0b2c,
    0xff740011,
    0xff88040e,
    0xffad1215,
    0xffc10a16,
    0xffbd021f,
    0xffaf0625,
    0xff98041a,
    0xff89020e,
    0xff7d000c,
    0xff81000c,
    0xff81000c,
    0xff7f010d,
    0xff7b0006,
    0xff860208,
    0xff98020d,
    0xffa3000b,
    0xffa7000d,
    0xff9e0811,
    0xff7d0000,
    0xff790004,
    0xff840009,
    0xff860009,
    0xff7f0007,
    0xff7c0007,
    0xffce313b,
    0xffb2222c,
    0xff970f1c,
    0xff8b0211,
    0xff92131f,
    0xffc25d69,
    0xffc4718a,
    0xff6e1942,
    0xffa97ca3,
    0xffad92b3,
    0xff752e44,
    0xff660105,
    0xff6d0106,
    0xff610000,
    0xffbe7d81,
    0xff743f57,
    0xff5e1521,
    0xff941425,
    0xffb23237,
    0xff790d15,
    0xffb97685,
    0xff4a262f,
    0xff742329,
    0xff7f0406,
    0xff710307,
    0xff560002,
    0xff630209,
    0xff71000a,
    0xff6a0206,
    0xff670302,
    0xff6e0104,
    0xff6d0207,
    0xff4f0112,
    0xff70547f,
    0xff5d5381,
    0xff4b1e3d,
    0xff45102c,
    0xff472f59,
    0xff4c3257,
    0xff3f0616,
    0xff58061c,
    0xff824752,
    0xff4e2727,
    0xff501f1e,
    0xff53080e,
    0xff560006,
    0xff57010f,
    0xff4a050b,
    0xff590111,
    0xff53000b,
    0xff50050c,
    0xff361e3c,
    0xff2f396e,
    0xff2c3c76,
    0xff1a3c88,
    0xff174391,
    0xff074a96,
    0xff0f4590,
    0xff10428f,
    0xff0e4494,
    0xff0b478d,
    0xff114785,
    0xff164687,
    0xff184995,
    0xff0e4a8f,
    0xff0f4891,
    0xff114590,
    0xff11448d,
    0xff14468b,
    0xff104489,
    0xff0d458f,
    0xff094391,
    0xff0d4187,
    0xff0a3d83,
    0xff083c85,
    0xff063c85,
    0xff053b83,
    0xff063e85,
    0xff084188,
    0xff094389,
    0xff0b458f,
    0xff09448d,
    0xff0b4690,
    0xff0e4993,
    0xff0d4791,
    0xff0f4894,
    0xff114a97,
    0xff134c99,
    0xff174d9b,
    0xff184d9b,
    0xff1a4e9c,
    0xff174f9c,
    0xff164e9b,
    0xff164f9c,
    0xff134d9a,
    0xff124b98,
    0xff104796,
    0xff0e4593,
    0xff023b89,
    0xff063e8b,
    0xff023a86,
    0xff073c86,
    0xff073a7f,
    0xff0b4082,
    0xff0f4388,
    0xff164c97,
    0xff1b529f,
    0xff1a53a0,
    0xff16529a,
    0xff17539a,
    0xff104d94,
    0xff124b98,
    0xff0d4892,
    0xff0d4891,
    0xff0d4891,
    0xff0f4893,
    0xff0b448d,
    0xff09408a,
    0xff073e88,
    0xff094089,
    0xff08408a,
    0xff083e86,
    0xff104389,
    0xff0d4184,
    0xff124486,
    0xff164583,
    0xff0f3f7a,
    0xff113e7c,
    0xff0e3b78,
    0xff083471,
    0xff043070,
    0xff032e6e,
    0xff002767,
    0xff002867,
    0xff002c6b,
    0xff002c6c,
    0xff012c71,
    0xff052f75,
    0xff07367a,
    0xff0b3b7f,
    0xff114185,
    0xff134487,
    0xff15468a,
    0xff154589,
    0xff16468a,
    0xff134488,
    0xff0e4083,
    0xff0f4086,
    0xff0e4188,
    0xff093d85,
    0xff0a3d86,
    0xff093e85,
    0xff083f85,
    0xff053b81,
    0xff063c82,
    0xff043a80,
    0xff043a80,
    0xff03397f,
    0xff01377d,
    0xff033980,
    0xff073e81,
    0xff0a4082,
    0xff0d4082,
    0xff0e3f82,
    0xff0e3d7f,
    0xff0c3d7f,
    0xff0e3f81,
    0xff114284,
    0xff0f4085,
    0xff0f4085,
    0xff0f4488,
    0xff104589,
    0xff0f4388,
    0xff0b4385,
    0xff0f4689,
    0xff10488c,
    0xff114f93,
    0xff134f90,
    0xff154b8e,
    0xff134b8f,
    0xff104c94,
    0xff124c96,
    0xff1a4b95,
    0xff194486,
    0xff38566f,
    0xff54586b,
    0xff797899,
    0xff37508e,
    0xff104a8c,
    0xff0d4e85,
    0xff134a86,
    0xff184796,
    0xff10468a,
    0xff164484,
    0xff154782,
    0xff144584,
    0xff144387,
    0xff124986,
    0xff133d72,
    0xff5c5f95,
    0xff282961,
    0xff193e70,
    0xff1a4975,
    0xff1f3974,
    0xff2b4078,
    0xff303d68,
    0xff512f46,
    0xff9a4028,
    0xffc44013,
    0xffc74f10,
    0xffed8932,
    0xffeb7a2e,
    0xffcb4210,
    0xffc04402,
    0xffd16a0a,
    0xffdd6b16,
    0xffc75905,
    0xffcb5212,
    0xffb12a0c,
    0xffb5271a,
    0xffab2016,
    0xff910e00,
    0xffd45742,
    0xffc84e3a,
    0xff7b0000,
    0xff940a0d,
    0xffa11510,
    0xffb6290c,
    0xffe65c2a,
    0xffc7420f,
    0xff900700,
    0xff8c0003,
    0xff840600,
    0xff7b0000,
    0xff7c1505,
    0xffa75234,
    0xffb86635,
    0xffe39444,
    0xffde7f31,
    0xffc54a1f,
    0xffa12900,
    0xffb94610,
    0xff962600,
    0xffba4a15,
    0xffab360c,
    0xffad2f07,
    0xffb12c06,
    0xffcc4416,
    0xffec7926,
    0xffd95d21,
    0xffa71d03,
    0xffaf2013,
    0xffa21309,
    0xffae1f11,
    0xffa30f07,
    0xffa00a08,
    0xff940000,
    0xffa20506,
    0xff9e0000,
    0xffa10701,
    0xffa20b03,
    0xffa6160f,
    0xff8d130c,
    0xff9c4232,
    0xffa03824,
    0xff9b2812,
    0xff972412,
    0xff87110a,
    0xffa20d13,
    0xffa5403e,
    0xff666260,
    0xff302950,
    0xff293875,
    0xff504469,
    0xff4b2a4c,
    0xff9b94ba,
    0xff2a3456,
    0xff263b5e,
    0xff1d466b,
    0xff2c466a,
    0xff63687c,
    0xff83666a,
    0xff493d59,
    0xff2f4d78,
    0xff244780,
    0xff324e8d,
    0xff48486a,
    0xff763a54,
    0xffba4a54,
    0xffcb3a3b,
    0xffc53d1f,
    0xffcc4e34,
    0xff993734,
    0xff891717,
    0xff9e2611,
    0xffb73c20,
    0xff9c2119,
    0xff8f160a,
    0xffa11c10,
    0xff971708,
    0xffa01815,
    0xff770d18,
    0xff936975,
    0xff3f283c,
    0xff1d3a60,
    0xff203b56,
    0xff344856,
    0xff384e63,
    0xff354868,
    0xff68455b,
    0xff80191b,
    0xff840200,
    0xff8b0203,
    0xff960203,
    0xff9d080a,
    0xff8f0406,
    0xff8e050b,
    0xff93030c,
    0xff9b0710,
    0xff8a0000,
    0xff8d0000,
    0xffaa202d,
    0xff9e2e2e,
    0xffc05653,
    0xff702333,
    0xff3a243e,
    0xff232b48,
    0xff1a3658,
    0xff253157,
    0xff273e6f,
    0xff28385f,
    0xff654568,
    0xff74234b,
    0xff852438,
    0xff750d0e,
    0xff7d0612,
    0xff870606,
    0xff9b0305,
    0xff8c0000,
    0xff8f0503,
    0xffb91b18,
    0xffc11e1a,
    0xffbd221c,
    0xffc62020,
    0xffcf3226,
    0xffe74448,
    0xffab1b19,
    0xff530202,
    0xff9c2e2f,
    0xffaa241c,
    0xff451d18,
    0xff282126,
    0xff311f1f,
    0xff262a2c,
    0xff2a3341,
    0xff122f3c,
    0xff0b2e34,
    0xff0f282a,
    0xff0e2d2d,
    0xff1d2c31,
    0xff1c2f35,
    0xff182c37,
    0xff16303b,
    0xff17343d,
    0xff203237,
    0xff2c2f2f,
    0xff35372e,
    0xff2b3927,
    0xff31401d,
    0xff364a30,
    0xff474436,
    0xff6e3123,
    0xff9c3010,
    0xffdc6139,
    0xffb53a1c,
    0xff961a0b,
    0xff900f00,
    0xff9b0b07,
    0xff860000,
    0xffde6a45,
    0xffe68046,
    0xffb74e1f,
    0xffa6381a,
    0xffa83e24,
    0xffa12b00,
    0xffff9a6a,
    0xffa92c12,
    0xffa5241c,
    0xff96080e,
    0xffba1b24,
    0xffb82523,
    0xffad150f,
    0xff8f000c,
    0xff850008,
    0xff850000,
    0xffbd322e,
    0xffb84836,
    0xff8f5731,
    0xff6d602e,
    0xff7e834f,
    0xff7c7947,
    0xffbea97e,
    0xff7d5c42,
    0xfff3d4cc,
    0xff865c5a,
    0xff80483a,
    0xff8b5e35,
    0xff766722,
    0xff948234,
    0xff9d7346,
    0xff946325,
    0xffffdb6f,
    0xffe09f1e,
    0xfff39b0f,
    0xffdf8b00,
    0xffd8950f,
    0xffe5980b,
    0xffd2840f,
    0xffb46411,
    0xffa0571e,
    0xff8b501e,
    0xffa46a3e,
    0xff946538,
    0xff867040,
    0xff7d6f3c,
    0xff90844f,
    0xff908551,
    0xff927a4b,
    0xff9d683a,
    0xffa34d18,
    0xffaf4d09,
    0xffc4690d,
    0xffd37c16,
    0xffea9732,
    0xffe38c2a,
    0xffe88e27,
    0xfff19a23,
    0xffe7a327,
    0xffb07621,
    0xffecb896,
    0xffeac5af,
    0xffd2a257,
    0xffdd9c1b,
    0xffe59a19,
    0xffe5990e,
    0xffdc8b0e,
    0xffd06d08,
    0xffb13804,
    0xff851700,
    0xffe69b91,
    0xff97532d,
    0xffcc7637,
    0xffbc6c4b,
    0xffae7b65,
    0xff744e2a,
    0xfffbdbba,
    0xfffff6de,
    0xffbb9a82,
    0xff6f3d28,
    0xff641d15,
    0xff8d3727,
    0xff781b00,
    0xff76170a,
    0xff6d1018,
    0xff7c191c,
    0xff601206,
    0xff9c6e4e,
    0xff998658,
    0xffb4a172,
    0xffbf8e64,
    0xffc36b48,
    0xffb64429,
    0xffa02b0d,
    0xffdc7751,
    0xffffae84,
    0xffce5f40,
    0xffc84831,
    0xffc05537,
    0xffbb5c3a,
    0xffbd744c,
    0xffa87d60,
    0xffb09f7f,
    0xffcebca0,
    0xffb4a38a,
    0xff858261,
    0xff816f4c,
    0xff5f3615,
    0xff54300d,
    0xff632507,
    0xff68240b,
    0xff67321c,
    0xff532c0d,
    0xff77361b,
    0xffbe584a,
    0xff721710,
    0xff66311f,
    0xff6c352d,
    0xff551307,
    0xffa05040,
    0xffc64840,
    0xffb7221f,
    0xff9c0902,
    0xffa8170e,
    0xffaa3a24,
    0xff623215,
    0xff83644c,
    0xff76624e,
    0xff826959,
    0xff5d301c,
    0xff934832,
    0xff85240c,
    0xff7d0f00,
    0xff7d0c0a,
    0xff801602,
    0xffa9460d,
    0xffb55417,
    0xffa53e1e,
    0xff9f3e17,
    0xffc16a3b,
    0xffae5a42,
    0xff72260f,
    0xff511a00,
    0xffca9838,
    0xffe5b05e,
    0xff532e0f,
    0xff4c250d,
    0xffb36d50,
    0xffcd6b4f,
    0xffb03a13,
    0xffbb3819,
    0xffa8372d,
    0xff9a463a,
    0xff913a1f,
    0xffc57034,
    0xffc88227,
    0xffe8ae51,
    0xffffd968,
    0xffa14e04,
    0xffab3e14,
    0xff8a1706,
    0xff781400,
    0xff8a3310,
    0xff7a2210,
    0xff73120c,
    0xffa23221,
    0xff860a0e,
    0xff6c1412,
    0xff570b00,
    0xff7b170a,
    0xff632517,
    0xff796454,
    0xff70443e,
    0xff650612,
    0xff5c0a11,
    0xff5b0a0f,
    0xff5e0a13,
    0xff500307,
    0xff680005,
    0xff9e0c18,
    0xffa10007,
    0xff980003,
    0xff9d0509,
    0xff8b0206,
    0xff6b0003,
    0xff540107,
    0xff47000b,
    0xff47030e,
    0xff43030a,
    0xff4b0002,
    0xff470008,
    0xff49000b,
    0xff450013,
    0xff39001c,
    0xff450d1f,
    0xff3d1225,
    0xff322a4f,
    0xff2c4b89,
    0xff14488e,
    0xff114a8a,
    0xff164b87,
    0xff1d4e91,
    0xff2e437a,
    0xff261935,
    0xff321826,
    0xff463a5b,
    0xff3f2e46,
    0xff18243d,
    0xff39508a,
    0xff2b3565,
    0xff324362,
    0xff254984,
    0xff194382,
    0xff2d517b,
    0xff602950,
    0xff820015,
    0xff96060d,
    0xff861b25,
    0xff8b3451,
    0xff794055,
    0xff640f24,
    0xff860716,
    0xff940714,
    0xff9e000d,
    0xffb70f20,
    0xffb71527,
    0xffa50b21,
    0xffad0f29,
    0xffb80e2a,
    0xffc0222f,
    0xff99090b,
    0xff790000,
    0xff7e0008,
    0xff6c030a,
    0xff744153,
    0xff975a76,
    0xff87000f,
    0xff95191d,
    0xffa51016,
    0xffca1623,
    0xffc60717,
    0xffba0017,
    0xffb1001c,
    0xffa20620,
    0xff840010,
    0xff830514,
    0xff810112,
    0xff820211,
    0xff81010d,
    0xff85030c,
    0xff890006,
    0xff940004,
    0xffa10007,
    0xffa90204,
    0xffa70c0d,
    0xff8c0202,
    0xff840305,
    0xff800106,
    0xff800108,
    0xff7c0006,
    0xff85030e,
    0xffe24b52,
    0xffb62a30,
    0xff7e0d13,
    0xff851e2d,
    0xffb23d5c,
    0xff9e355d,
    0xff853d64,
    0xff743f64,
    0xff8e6585,
    0xff7d6381,
    0xff954d68,
    0xff7a0011,
    0xff7d0007,
    0xff580000,
    0xffdc9c98,
    0xff652d41,
    0xff680c16,
    0xff7f0013,
    0xff700000,
    0xff6e1519,
    0xff935965,
    0xff60202d,
    0xff881f27,
    0xff85040e,
    0xff700008,
    0xff620005,
    0xff67000b,
    0xff6e000a,
    0xff670406,
    0xff610605,
    0xff650406,
    0xff680008,
    0xff58070f,
    0xff8f3a53,
    0xff73193d,
    0xff5f1238,
    0xff50316c,
    0xff283283,
    0xff222c66,
    0xff412c3e,
    0xff774158,
    0xff390410,
    0xff5b2020,
    0xff4a0400,
    0xff590004,
    0xff60010d,
    0xff5c000e,
    0xff590313,
    0xff5f0011,
    0xff57030d,
    0xff590000,
    0xff4f0013,
    0xff420a2b,
    0xff2d1e3d,
    0xff1a4075,
    0xff114589,
    0xff0a498b,
    0xff0e4591,
    0xff104398,
    0xff144798,
    0xff154a8f,
    0xff144c8a,
    0xff12478f,
    0xff114697,
    0xff0f458b,
    0xff0d4289,
    0xff0d3e87,
    0xff0e4088,
    0xff0d3e81,
    0xff083b7d,
    0xff083c82,
    0xff093e88,
    0xff0d3b83,
    0xff0f3f8a,
    0xff0a3c84,
    0xff093d88,
    0xff0b418b,
    0xff0c458f,
    0xff0b458f,
    0xff09458a,
    0xff10498f,
    0xff10478e,
    0xff1c539d,
    0xff134d97,
    0xff16509a,
    0xff17509d,
    0xff144f9c,
    0xff124c9b,
    0xff114895,
    0xff104493,
    0xff0d4190,
    0xff08408e,
    0xff043d8a,
    0xff043c89,
    0xff023b88,
    0xff033c88,
    0xff0c3d8b,
    0xff0b3f89,
    0xff134992,
    0xff19529d,
    0xff114b9a,
    0xff124f9b,
    0xff0f4e95,
    0xff115091,
    0xff1a5194,
    0xff174e96,
    0xff124b96,
    0xff0e4992,
    0xff0f4b90,
    0xff0b4588,
    0xff094387,
    0xff084087,
    0xff063d85,
    0xff053d84,
    0xff053c84,
    0xff073d83,
    0xff0c4086,
    0xff0d4185,
    0xff0e4287,
    0xff12468a,
    0xff0f4082,
    0xff0f4281,
    0xff0a3a7a,
    0xff073272,
    0xff002967,
    0xff002864,
    0xff002760,
    0xff002761,
    0xff002463,
    0xff002866,
    0xff07306e,
    0xff083473,
    0xff0a3977,
    0xff0b3b79,
    0xff0f407e,
    0xff134281,
    0xff134288,
    0xff15438b,
    0xff13448b,
    0xff114288,
    0xff093d83,
    0xff0b3d83,
    0xff083a81,
    0xff083a80,
    0xff02357c,
    0xff073981,
    0xff063981,
    0xff023780,
    0xff043983,
    0xff023983,
    0xff073d87,
    0xff063e89,
    0xff124891,
    0xff144a93,
    0xff1e5499,
    0xff184e94,
    0xff0e448a,
    0xff12488d,
    0xff1b519a,
    0xff1d539b,
    0xff1b5293,
    0xff1e5395,
    0xff124587,
    0xff0c3c7e,
    0xff0f3f81,
    0xff144587,
    0xff144684,
    0xff144887,
    0xff184d90,
    0xff154b8f,
    0xff164b8f,
    0xff154a8e,
    0xff14498d,
    0xff174c8f,
    0xff144990,
    0xff154b91,
    0xff10498d,
    0xff104891,
    0xff104693,
    0xff124492,
    0xff12428c,
    0xff0f4589,
    0xff0c4987,
    0xff084986,
    0xff0b4084,
    0xff3c5370,
    0xff5c5961,
    0xff7a7b97,
    0xff2a4075,
    0xff14427d,
    0xff094081,
    0xff0f4691,
    0xff134586,
    0xff194280,
    0xff174780,
    0xff134b85,
    0xff0d4a87,
    0xff084b7d,
    0xff214f74,
    0xff4c4a69,
    0xff44314a,
    0xff553e64,
    0xff493750,
    0xff57315b,
    0xff59264c,
    0xff492730,
    0xff633031,
    0xffb14d35,
    0xffc23e03,
    0xffb6410b,
    0xffe27f39,
    0xffc3440d,
    0xffb82207,
    0xffdf6c19,
    0xfffcb01b,
    0xfffeab17,
    0xfff8ad11,
    0xffffa732,
    0xffaf2f00,
    0xffa71805,
    0xffb9281d,
    0xffaf2212,
    0xffba321d,
    0xffba301d,
    0xff840001,
    0xff8e0c0b,
    0xff95140a,
    0xffce482e,
    0xffbf3d15,
    0xffc24a25,
    0xffb23728,
    0xffa5222b,
    0xff9f1c0c,
    0xffdf6439,
    0xfff47f3c,
    0xffe0671e,
    0xffd55f16,
    0xfff28d3c,
    0xffd06e14,
    0xffcd5b0b,
    0xffb24804,
    0xffc05711,
    0xffb64f09,
    0xffaa4301,
    0xffb4470f,
    0xffaa3506,
    0xff9f2200,
    0xffc44412,
    0xffd05e08,
    0xffc64b08,
    0xffb02b07,
    0xffa5190c,
    0xffa61714,
    0xffa11210,
    0xffa20f0d,
    0xff9e0905,
    0xff930401,
    0xffa2080c,
    0xffa3010a,
    0xff9a0309,
    0xff900202,
    0xffa00805,
    0xffba3520,
    0xffa84f28,
    0xffaf513b,
    0xffb6543c,
    0xff892c19,
    0xffba6560,
    0xff780002,
    0xffac4442,
    0xff575550,
    0xff252d50,
    0xff213069,
    0xff493954,
    0xffe3bad1,
    0xff332b4e,
    0xff1e345e,
    0xff0f316a,
    0xff073972,
    0xff122e62,
    0xff7983a4,
    0xff543d45,
    0xff64394e,
    0xff754e62,
    0xff644658,
    0xff674262,
    0xff632339,
    0xff8b2135,
    0xffbf282b,
    0xffcc3234,
    0xffbe301c,
    0xffd25250,
    0xff6c2d38,
    0xff974d53,
    0xff8e1e18,
    0xff97240b,
    0xffa22b12,
    0xff97200a,
    0xff98130c,
    0xffa01c10,
    0xffb1271b,
    0xff7e0f14,
    0xffc78c9b,
    0xff8e5968,
    0xff231f3d,
    0xff402538,
    0xff60151c,
    0xff6c1e2a,
    0xff5a1e2c,
    0xff953028,
    0xffcf331d,
    0xffb31d15,
    0xff900404,
    0xff940002,
    0xff940009,
    0xff8d000b,
    0xff8f0310,
    0xff97020f,
    0xff8e0000,
    0xffd74b45,
    0xffe46750,
    0xffc7544d,
    0xff8c3b2d,
    0xffd89d8e,
    0xff412b35,
    0xff1a314c,
    0xff152d54,
    0xff152d5a,
    0xff0c3355,
    0xff0e3260,
    0xff1b2c5d,
    0xff3e2249,
    0xff802e46,
    0xff99252a,
    0xff93110c,
    0xff820002,
    0xff7b0000,
    0xff95040c,
    0xff800000,
    0xffa82722,
    0xffc23322,
    0xffaf190f,
    0xffba2823,
    0xffcc2c24,
    0xffd03626,
    0xffc93733,
    0xffb4262e,
    0xff630008,
    0xff961926,
    0xff8d0005,
    0xff550300,
    0xff691819,
    0xff882d18,
    0xff693125,
    0xff351f23,
    0xff172a33,
    0xff122f38,
    0xff1f2c37,
    0xff14252b,
    0xff18282c,
    0xff0f2f27,
    0xff18272b,
    0xff252d37,
    0xff1f2f34,
    0xff202f2a,
    0xff2d312a,
    0xff2b362e,
    0xff263e34,
    0xff334037,
    0xff2e432e,
    0xff3f3a21,
    0xff8e3f30,
    0xff9a1209,
    0xffa11304,
    0xff921502,
    0xff861200,
    0xff96170c,
    0xff880700,
    0xffe6784a,
    0xffe5923d,
    0xffffc466,
    0xff985814,
    0xff743e19,
    0xff5f3819,
    0xffd9995b,
    0xffd17c46,
    0xff951b00,
    0xff9c190e,
    0xffb71f27,
    0xffb30d1b,
    0xffb6332f,
    0xff8c210f,
    0xff810004,
    0xff780103,
    0xff760f05,
    0xff832d18,
    0xff8c4e2c,
    0xff876136,
    0xff725d2c,
    0xff7c6b36,
    0xff837342,
    0xffd2c3af,
    0xff857b7d,
    0xffddcac5,
    0xff622d19,
    0xff813314,
    0xff9b5d37,
    0xff7a6130,
    0xff6a511b,
    0xff75492a,
    0xffc08e36,
    0xffffda3e,
    0xfffaaa1c,
    0xffca6000,
    0xffef8d23,
    0xffc07902,
    0xffc88102,
    0xffd9821b,
    0xffb35006,
    0xffb25420,
    0xffb77346,
    0xffa7774c,
    0xff987848,
    0xff94824e,
    0xff928451,
    0xff766838,
    0xff7a6a3f,
    0xff806b47,
    0xffa27b5b,
    0xffa96a41,
    0xffbd6b2b,
    0xffc76a18,
    0xffc56819,
    0xffe2902c,
    0xffeda12b,
    0xffec9b1d,
    0xffe99e17,
    0xffe4af22,
    0xffecc549,
    0xffdeb556,
    0xffa66d3c,
    0xffc67c31,
    0xffd0780b,
    0xffd17010,
    0xffc16102,
    0xffc15d16,
    0xffaa3705,
    0xff981707,
    0xff992d17,
    0xff7e0e16,
    0xff83181a,
    0xff873928,
    0xffeec4c1,
    0xffcebdc2,
    0xffffeaea,
    0xff9a5c5d,
    0xff6a290d,
    0xffa76727,
    0xffc1761f,
    0xffb04a1b,
    0xff902315,
    0xff882d21,
    0xff872e35,
    0xff832232,
    0xff6a141f,
    0xff560d0d,
    0xff62301f,
    0xff7f6244,
    0xff80704a,
    0xff7a6036,
    0xffb87855,
    0xff841e00,
    0xffab1d0e,
    0xffd04936,
    0xffeb7259,
    0xffc44331,
    0xffc26048,
    0xff754c25,
    0xffa8885a,
    0xffa37f50,
    0xff7f6a44,
    0xff6d6839,
    0xff85744f,
    0xff8a7052,
    0xff8c825b,
    0xff837848,
    0xff9d8b60,
    0xff514d28,
    0xff837b53,
    0xff684f27,
    0xff492a0f,
    0xff523e25,
    0xff5a4a25,
    0xff593419,
    0xff531c0f,
    0xff5c2919,
    0xff5f2a26,
    0xff5d3728,
    0xff472305,
    0xffa15136,
    0xffda7258,
    0xffb65437,
    0xffb1432f,
    0xff88331c,
    0xff7e714c,
    0xff7a6544,
    0xff82674d,
    0xff9a826e,
    0xff613f36,
    0xff60221c,
    0xff762318,
    0xff8f3c23,
    0xff781f07,
    0xff73150c,
    0xff6f1200,
    0xff923016,
    0xff87211b,
    0xff872018,
    0xffa4421d,
    0xff771500,
    0xffaa5638,
    0xff5c200c,
    0xff561e00,
    0xff95541c,
    0xff6a311f,
    0xff511c16,
    0xff99502b,
    0xffca6533,
    0xffda6136,
    0xffb22f12,
    0xffab4743,
    0xff803324,
    0xffd57644,
    0xffc36d28,
    0xffcd9540,
    0xffe2a74a,
    0xffffcd5e,
    0xff7b3800,
    0xffc5731e,
    0xff873101,
    0xff7a2b17,
    0xff71291d,
    0xff520207,
    0xff5c0800,
    0xff640e00,
    0xff922016,
    0xff9c433a,
    0xff732f2a,
    0xff650507,
    0xff782217,
    0xff5b1407,
    0xff750a15,
    0xff580009,
    0xff52040a,
    0xff520007,
    0xff520006,
    0xff530107,
    0xff670003,
    0xff98020a,
    0xffa40205,
    0xff9b0008,
    0xff810103,
    0xff610000,
    0xff520004,
    0xff49000a,
    0xff44000c,
    0xff440209,
    0xff460003,
    0xff470209,
    0xff4b020f,
    0xff4a000d,
    0xff400c28,
    0xff413962,
    0xff343b62,
    0xff363f6a,
    0xff304886,
    0xff244986,
    0xff0c4794,
    0xff134a94,
    0xff1e4984,
    0xff1f538e,
    0xff2d558e,
    0xff292e50,
    0xff311b2c,
    0xff432639,
    0xff43303b,
    0xff0e132a,
    0xff324c7e,
    0xff2f4374,
    0xff354263,
    0xff435c8b,
    0xff1b4582,
    0xff183e6d,
    0xff533057,
    0xff6d0619,
    0xff6b0007,
    0xff53243a,
    0xff554d7c,
    0xff2f3c5d,
    0xff591e30,
    0xff8b0a1a,
    0xff9a0b18,
    0xffa60d18,
    0xffb71922,
    0xffb61423,
    0xffaf031a,
    0xffb50520,
    0xffb70922,
    0xffbe192c,
    0xff9a000a,
    0xff9e0615,
    0xffa3091a,
    0xff990917,
    0xff931624,
    0xff9b1223,
    0xffb9121b,
    0xffcb2428,
    0xffba0614,
    0xffcc1529,
    0xffaf0011,
    0xffb60212,
    0xffc00418,
    0xffb70b25,
    0xff92051d,
    0xff770012,
    0xff770010,
    0xff7f0413,
    0xff830310,
    0xff8f040e,
    0xff9b040e,
    0xffa40409,
    0xffad070a,
    0xffae0702,
    0xffb6110f,
    0xffb21816,
    0xff8a0202,
    0xff790201,
    0xff750203,
    0xff7c0109,
    0xff7f0008,
    0xff970810,
    0xff981318,
    0xff81171f,
    0xff933b53,
    0xff83295f,
    0xff7e437a,
    0xff78658e,
    0xff766b86,
    0xff552e49,
    0xffbd8caa,
    0xff7f253b,
    0xff900217,
    0xffa81a31,
    0xff95222c,
    0xffc3565a,
    0xff6e0e18,
    0xff7b0809,
    0xffa61f36,
    0xffb63b4c,
    0xff9f595a,
    0xff632b33,
    0xff902e3c,
    0xffba383f,
    0xff9d1522,
    0xff6f0006,
    0xff650008,
    0xff5c050b,
    0xff5f030a,
    0xff650005,
    0xff620609,
    0xff5c0508,
    0xff62000b,
    0xff660510,
    0xff9f2130,
    0xff8e000b,
    0xff7d0a19,
    0xff602f52,
    0xff2f2f69,
    0xff4c4979,
    0xff644b5f,
    0xff461927,
    0xff50121a,
    0xff4e0004,
    0xff5d0409,
    0xff580108,
    0xff550008,
    0xff5c010b,
    0xff5e0008,
    0xff5f0007,
    0xff500407,
    0xff580300,
    0xff5c000e,
    0xff510015,
    0xff310a1b,
    0xff1f3c6c,
    0xff0c468c,
    0xff114586,
    0xff11438d,
    0xff10418e,
    0xff14448f,
    0xff10438b,
    0xff0d4087,
    0xff073d86,
    0xff073a86,
    0xff073a7e,
    0xff073a82,
    0xff063b86,
    0xff043b85,
    0xff073c82,
    0xff0a3f83,
    0xff0a3f83,
    0xff0c3d86,
    0xff0d4187,
    0xff0b4088,
    0xff0f448f,
    0xff134793,
    0xff114692,
    0xff124793,
    0xff154b95,
    0xff194f99,
    0xff104488,
    0xff295da1,
    0xff104388,
    0xff10448b,
    0xff0a4089,
    0xff0a418c,
    0xff08408b,
    0xff053f89,
    0xff043c87,
    0xff053d88,
    0xff09428c,
    0xff0d4690,
    0xff124692,
    0xff164b97,
    0xff174c98,
    0xff164a97,
    0xff225198,
    0xff3363a6,
    0xff1c5193,
    0xff124c91,
    0xff0d4793,
    0xff0b4594,
    0xff08448b,
    0xff064284,
    0xff094082,
    0xff083e87,
    0xff083e8a,
    0xff083f89,
    0xff063d81,
    0xff0d4484,
    0xff0e4384,
    0xff0f4386,
    0xff144687,
    0xff164788,
    0xff164585,
    0xff144383,
    0xff0d3b79,
    0xff083775,
    0xff05306c,
    0xff012d69,
    0xff00275e,
    0xff00275f,
    0xff00255e,
    0xff012a66,
    0xff002967,
    0xff03316f,
    0xff0a3a79,
    0xff0c3f7d,
    0xff0f4182,
    0xff0f4182,
    0xff0f4383,
    0xff114586,
    0xff0d4084,
    0xff0c3f82,
    0xff0c3e81,
    0xff0c3d80,
    0xff083882,
    0xff093984,
    0xff073882,
    0xff023680,
    0xff01367f,
    0xff053781,
    0xff063982,
    0xff083882,
    0xff0e3e8a,
    0xff0a3a86,
    0xff0c3c89,
    0xff11428f,
    0xff124491,
    0xff0f458f,
    0xff0f4690,
    0xff0e448e,
    0xff104590,
    0xff11478f,
    0xff0d438b,
    0xff0e448a,
    0xff10468c,
    0xff0e438c,
    0xff0d428a,
    0xff073d87,
    0xff064084,
    0xff0f458b,
    0xff12448b,
    0xff1a4a90,
    0xff194a8f,
    0xff1a4c8f,
    0xff13498b,
    0xff154c8c,
    0xff11488b,
    0xff12498c,
    0xff13478b,
    0xff0e4487,
    0xff0e3f87,
    0xff0c3d85,
    0xff104289,
    0xff0b3b83,
    0xff093e84,
    0xff0b3f88,
    0xff0d3e8a,
    0xff0e3f88,
    0xff0c4087,
    0xff0a3e7f,
    0xff0c4580,
    0xff0f4b84,
    0xff124690,
    0xff153d6e,
    0xff47586c,
    0xff585865,
    0xff767b9c,
    0xff233f75,
    0xff164182,
    0xff164786,
    0xff134283,
    0xff1a407e,
    0xff16437c,
    0xff0d437c,
    0xff114681,
    0xff144870,
    0xff485a6f,
    0xff5b333e,
    0xff8b4a44,
    0xff9a2e2c,
    0xff890a06,
    0xff75040c,
    0xff680b1a,
    0xff580a0b,
    0xff923c2f,
    0xffb64933,
    0xffc5521b,
    0xffc24e1b,
    0xffb44005,
    0xffc64110,
    0xffbb2d04,
    0xffd16c05,
    0xffffcf23,
    0xfffdb907,
    0xffffc117,
    0xffe6860b,
    0xffc43f06,
    0xffb21a07,
    0xff9a0800,
    0xff950c00,
    0xffb1261b,
    0xff8f0400,
    0xff87070b,
    0xff7c0a07,
    0xff6e0000,
    0xffde6a55,
    0xffa43213,
    0xffac4a20,
    0xffe0865d,
    0xffe8805c,
    0xffef8147,
    0xffdb6425,
    0xffdb5315,
    0xffdb4e15,
    0xffd75e2a,
    0xffbc5025,
    0xffc85822,
    0xffdc651d,
    0xffe78735,
    0xffb35604,
    0xffbe610f,
    0xffa14100,
    0xffa23c00,
    0xffb54511,
    0xffa42e01,
    0xffa42700,
    0xffc64a09,
    0xffc74a0d,
    0xffc54115,
    0xffa01900,
    0xff9f160c,
    0xffa21312,
    0xffa41010,
    0xff9f0402,
    0xff9a100d,
    0xff8d0503,
    0xff98040e,
    0xff9a0814,
    0xff91080f,
    0xffa71010,
    0xff9a0900,
    0xffe87f5b,
    0xff81301c,
    0xffefac92,
    0xff75291f,
    0xffd3a2a4,
    0xff843d3e,
    0xff862c26,
    0xff8f746f,
    0xff403c5b,
    0xff2b2e58,
    0xff99879c,
    0xff4b314e,
    0xff303c6d,
    0xff1a3e76,
    0xff183f7f,
    0xff0f3d79,
    0xff1e3168,
    0xff4a4d70,
    0xff463238,
    0xff6e2430,
    0xffac3c3f,
    0xffa02d20,
    0xffab3135,
    0xffca444b,
    0xffb52e31,
    0xffe2494b,
    0xffb92b26,
    0xffca3a26,
    0xffc54654,
    0xff631e35,
    0xff862a2a,
    0xffbf5749,
    0xff871707,
    0xff9b1c0b,
    0xffa32914,
    0xff9c1610,
    0xff9b150f,
    0xffa52011,
    0xff740a0d,
    0xff73353c,
    0xffd28d88,
    0xff65211a,
    0xff8d341c,
    0xffbb341a,
    0xffcb3e26,
    0xffae3216,
    0xffb32404,
    0xffad0600,
    0xffbc201e,
    0xff900202,
    0xff940006,
    0xff94000a,
    0xff8c020d,
    0xff8c010e,
    0xff940009,
    0xffa10c0c,
    0xffe35f4d,
    0xffc65d3d,
    0xffb65c4d,
    0xff855641,
    0xff9b7f6f,
    0xff383646,
    0xff0f2b4c,
    0xff1e2c57,
    0xff212756,
    0xff1a2756,
    0xff152955,
    0xff192f5c,
    0xff1e2a51,
    0xff2e2030,
    0xff71373d,
    0xffad3744,
    0xffc52834,
    0xffb72830,
    0xffbe2c37,
    0xffb82330,
    0xffcd3933,
    0xffc42d15,
    0xffc53630,
    0xffb63037,
    0xffaf2820,
    0xff98282a,
    0xff891f27,
    0xff850a24,
    0xff690006,
    0xff972424,
    0xffb82d2f,
    0xffaa331a,
    0xffc54427,
    0xffbc3618,
    0xffc2543d,
    0xff752217,
    0xff4d271a,
    0xff482420,
    0xff55202e,
    0xff3b2938,
    0xff1c2a38,
    0xff0f2c37,
    0xff192a35,
    0xff1e282c,
    0xff1c2828,
    0xff192b26,
    0xff1b2f26,
    0xff26382d,
    0xff2c3c32,
    0xff343736,
    0xff384732,
    0xff483918,
    0xffa74f39,
    0xff970d05,
    0xff9c1609,
    0xffac391f,
    0xffa03110,
    0xff902800,
    0xfff39255,
    0xffeb9d3e,
    0xffe1a42f,
    0xfffdbf5a,
    0xffd99a62,
    0xff582d12,
    0xff514528,
    0xff5a3f0c,
    0xff854119,
    0xff991f0e,
    0xff97140b,
    0xffbb232b,
    0xffbe1126,
    0xffae3633,
    0xff7c341b,
    0xff811913,
    0xff6b0a02,
    0xff77311d,
    0xff704a28,
    0xff69572d,
    0xff776634,
    0xff7e6935,
    0xff867137,
    0xff7f7446,
    0xffc9b0ac,
    0xfff7d2e1,
    0xff6d3630,
    0xff934527,
    0xff96391b,
    0xff9f5434,
    0xff815329,
    0xff8e5a36,
    0xff985d29,
    0xfffdc742,
    0xfffcc712,
    0xffc57b01,
    0xffba5906,
    0xffc46702,
    0xffc97a00,
    0xffce7c05,
    0xffe5841e,
    0xffc25204,
    0xffa23100,
    0xffaf5123,
    0xffa2693d,
    0xff8d7541,
    0xff837943,
    0xff847a4a,
    0xff807445,
    0xff806c43,
    0xff796746,
    0xff7f6b4b,
    0xff816037,
    0xff9b591f,
    0xffd37630,
    0xffd1752c,
    0xffe59d39,
    0xffedb136,
    0xffeead34,
    0xffe6aa30,
    0xffe6b831,
    0xffe9b933,
    0xffe1a62c,
    0xffc1721d,
    0xffbc6e27,
    0xffb1641f,
    0xffb65a29,
    0xffb65113,
    0xffa22d00,
    0xffa12800,
    0xffa12510,
    0xff90140f,
    0xff68070c,
    0xffb68687,
    0xffffffff,
    0xfff7dfd9,
    0xff955f51,
    0xff883516,
    0xffb85127,
    0xffbf4711,
    0xffc3591e,
    0xffb9600d,
    0xffb45a17,
    0xffc3663a,
    0xff852e12,
    0xff741a1d,
    0xff7a1d1f,
    0xff6a1c1b,
    0xff632b20,
    0xff6a4631,
    0xff7d6049,
    0xff625337,
    0xff5f4d2b,
    0xffc99177,
    0xff770b00,
    0xffc64337,
    0xffc53a2d,
    0xffc13e2e,
    0xffc64538,
    0xff96412d,
    0xff5e4822,
    0xff705d32,
    0xff876c3d,
    0xff926f4d,
    0xff7b6d3e,
    0xff767140,
    0xff4e4520,
    0xff93865e,
    0xff817040,
    0xff7f6e47,
    0xff181700,
    0xff62663c,
    0xff7c603a,
    0xff5a2415,
    0xff5e2e27,
    0xff4a3418,
    0xff4a3c23,
    0xff715649,
    0xff6e4934,
    0xff51341b,
    0xff493216,
    0xff77603e,
    0xff5e2f0d,
    0xff6b4117,
    0xff7a4d24,
    0xff914930,
    0xff976144,
    0xff7e7048,
    0xff69572f,
    0xff6e5937,
    0xff6e5743,
    0xff896b64,
    0xff613430,
    0xff693125,
    0xff7d4029,
    0xff945d3c,
    0xff7d3728,
    0xff883620,
    0xff9c431d,
    0xff933d16,
    0xff6c1e00,
    0xff853d05,
    0xff914d0b,
    0xff9d5228,
    0xff803912,
    0xff541309,
    0xff8b4928,
    0xff712f14,
    0xff491917,
    0xff5f2909,
    0xff8c2100,
    0xffb93f22,
    0xff9c2d18,
    0xffdc8d84,
    0xff5b1000,
    0xffd97d3b,
    0xffd7833b,
    0xffaa6d30,
    0xffe0a83a,
    0xffffd45b,
    0xffac6f00,
    0xffc18117,
    0xffa2630a,
    0xff7c3c02,
    0xff8f4727,
    0xff5c0d00,
    0xff9e4624,
    0xff711206,
    0xff801309,
    0xff6d1507,
    0xff925c55,
    0xff713538,
    0xff7b2a26,
    0xff6a0e06,
    0xff6b1006,
    0xff520007,
    0xff4f0309,
    0xff56030a,
    0xff5d020d,
    0xff540006,
    0xff6c0004,
    0xff94060a,
    0xff9a0302,
    0xff93010d,
    0xff6a0002,
    0xff490401,
    0xff46040b,
    0xff45000c,
    0xff43000b,
    0xff470204,
    0xff4d0200,
    0xff3e0305,
    0xff44040b,
    0xff38000c,
    0xff3c3457,
    0xff255793,
    0xff1b5896,
    0xff224b88,
    0xff193b83,
    0xff153d77,
    0xff044091,
    0xff0b3d90,
    0xff133775,
    0xff093d72,
    0xff0f4578,
    0xff2d3f67,
    0xff2f1c36,
    0xff421c2a,
    0xff4b3a39,
    0xff17172e,
    0xff334c78,
    0xff395586,
    0xff263155,
    0xff495f7e,
    0xff486ead,
    0xff4e5c97,
    0xff563d6b,
    0xff540a1f,
    0xff560007,
    0xff5e3f65,
    0xff415098,
    0xff355181,
    0xff7a3552,
    0xff890816,
    0xff9d0b16,
    0xffaa1419,
    0xffad191a,
    0xffad0c15,
    0xffbd071c,
    0xffc40a22,
    0xffbc0f24,
    0xffad1625,
    0xff94000c,
    0xff9c000e,
    0xff9e000e,
    0xffa90616,
    0xffae0812,
    0xffc92629,
    0xffbc2122,
    0xffba0e0d,
    0xffba000f,
    0xffb20016,
    0xffb40317,
    0xffbe0512,
    0xffc70412,
    0xffbd011a,
    0xffaa0824,
    0xff7e0519,
    0xff6d000c,
    0xff70000c,
    0xff7d000b,
    0xff960410,
    0xffa4030d,
    0xffab020a,
    0xffb20a0c,
    0xffbb140c,
    0xffb50b04,
    0xffb61410,
    0xff8f0000,
    0xff7c0400,
    0xff720203,
    0xff780105,
    0xff88000c,
    0xffa70615,
    0xffa40111,
    0xffa71c32,
    0xff7e1743,
    0xff774783,
    0xff4b5b8f,
    0xff5a6f95,
    0xff75587f,
    0xff774e69,
    0xffa45b77,
    0xff68010c,
    0xff860008,
    0xff9b132d,
    0xff9c1a2f,
    0xff9e000d,
    0xffb11823,
    0xffca4743,
    0xffe75e74,
    0xffd45a6e,
    0xffa66f6b,
    0xff4d171a,
    0xffac2f3b,
    0xffb22127,
    0xff950b19,
    0xff6f0008,
    0xff65020c,
    0xff4f070b,
    0xff4b0305,
    0xff620008,
    0xff5c0005,
    0xff4d0107,
    0xff5e0410,
    0xff6a0010,
    0xff850810,
    0xffac1812,
    0xffcc3e2f,
    0xffa44c3c,
    0xff785758,
    0xff573b4c,
    0xff4b1731,
    0xff49161d,
    0xff4d080e,
    0xff5a0208,
    0xff5c020b,
    0xff56000e,
    0xff550210,
    0xff580207,
    0xff5f0000,
    0xff5e0100,
    0xff470601,
    0xff490800,
    0xff4c0511,
    0xff480213,
    0xff350a1d,
    0xff2c3d73,
    0xff0d3a8b,
    0xff0a3d8a,
    0xff0b408b,
    0xff0b3f88,
    0xff0d3c84,
    0xff0d3a87,
    0xff0a3886,
    0xff0a387f,
    0xff133e7d,
    0xff0f4184,
    0xff0a3e86,
    0xff073f8b,
    0xff08428f,
    0xff0d4790,
    0xff124b8f,
    0xff13488f,
    0xff15488e,
    0xff124d93,
    0xff154d98,
    0xff134b96,
    0xff184d9c,
    0xff0e4190,
    0xff10428e,
    0xff0e3e8b,
    0xff073783,
    0xff255192,
    0xff406eaf,
    0xff073778,
    0xff0b3b7f,
    0xff0b3f83,
    0xff0a4087,
    0xff0d438a,
    0xff0f468e,
    0xff124b94,
    0xff144c96,
    0xff144d97,
    0xff154c95,
    0xff174d96,
    0xff154b95,
    0xff114590,
    0xff0f428c,
    0xff164786,
    0xff3d70aa,
    0xff1b4f8b,
    0xff093e80,
    0xff093f8b,
    0xff0c4291,
    0xff124991,
    0xff144b8d,
    0xff194c8f,
    0xff184b93,
    0xff164995,
    0xff164a91,
    0xff15488a,
    0xff104282,
    0xff114180,
    0xff0c3c7a,
    0xff07336e,
    0xff032f6a,
    0xff002b67,
    0xff002a63,
    0xff022a63,
    0xff032963,
    0xff042d64,
    0xff072e65,
    0xff0b2f5d,
    0xff0a2e5f,
    0xff0d3166,
    0xff103873,
    0xff134180,
    0xff1a4e91,
    0xff154c93,
    0xff114d95,
    0xff0e4a8e,
    0xff0b478a,
    0xff054084,
    0xff084184,
    0xff0a4088,
    0xff043a82,
    0xff063b83,
    0xff093c86,
    0xff093a81,
    0xff083880,
    0xff073980,
    0xff0a3e84,
    0xff0c3f85,
    0xff0e4187,
    0xff104088,
    0xff103f88,
    0xff0e3d89,
    0xff0e3d89,
    0xff0f3f8a,
    0xff0d3d86,
    0xff0a3d86,
    0xff0a3e87,
    0xff0c4089,
    0xff0c4189,
    0xff09418b,
    0xff073e88,
    0xff063e86,
    0xff084085,
    0xff074185,
    0xff084289,
    0xff09418b,
    0xff09428d,
    0xff0c438e,
    0xff0a408a,
    0xff083a84,
    0xff06357f,
    0xff093883,
    0xff083a81,
    0xff063c81,
    0xff043d7f,
    0xff084183,
    0xff063d80,
    0xff073e81,
    0xff093d83,
    0xff0b3d83,
    0xff0d3d88,
    0xff0f3f89,
    0xff0f3d88,
    0xff0a3e86,
    0xff0d4181,
    0xff10427c,
    0xff0d427c,
    0xff0a4380,
    0xff0a4284,
    0xff104085,
    0xff133d80,
    0xff153b75,
    0xff0d3b7c,
    0xff0e3668,
    0xff42546a,
    0xff555d6d,
    0xff7383ad,
    0xff1d3a75,
    0xff0f346b,
    0xff0c407f,
    0xff113b78,
    0xff133d77,
    0xff123d77,
    0xff14366f,
    0xff1c2d54,
    0xff694a58,
    0xff98383e,
    0xff9b171b,
    0xff95040a,
    0xff930018,
    0xff730110,
    0xff5f0805,
    0xff8d1908,
    0xffaf2d04,
    0xffa93f1c,
    0xffa03f11,
    0xffaf3804,
    0xffcd4a0f,
    0xffc34105,
    0xffbe4500,
    0xfff4a424,
    0xffe0a800,
    0xfffdc615,
    0xfff0a11c,
    0xffbb4d00,
    0xffc9390b,
    0xffb51a0a,
    0xff980700,
    0xff8a0500,
    0xffa42120,
    0xff840009,
    0xff880210,
    0xff760002,
    0xff841109,
    0xff9f2419,
    0xffb13d20,
    0xffab4b13,
    0xffd98032,
    0xffcb6913,
    0xffc25005,
    0xffba4a0e,
    0xffb63e12,
    0xffb6380f,
    0xffc04619,
    0xffd6592a,
    0xffd65f19,
    0xfff49329,
    0xffaa5100,
    0xffaf5600,
    0xffb55c05,
    0xffb4590a,
    0xffb14c0d,
    0xffa83b0c,
    0xffae3912,
    0xff981e00,
    0xffcb481e,
    0xffc13d0d,
    0xffc74210,
    0xffb42d09,
    0xff991000,
    0xffa71713,
    0xffa10909,
    0xffa10503,
    0xffa20808,
    0xff970d09,
    0xff990809,
    0xff9a060b,
    0xff961011,
    0xff8b0305,
    0xff8a0707,
    0xffd57269,
    0xff823d30,
    0xff4a1e03,
    0xff6e312c,
    0xffc3a9b1,
    0xff957f7a,
    0xff823b2e,
    0xff93625d,
    0xff67516a,
    0xff5d4e69,
    0xff4d3646,
    0xff554163,
    0xff283a71,
    0xff26477f,
    0xff24396b,
    0xff24345b,
    0xff402d4c,
    0xff8e6973,
    0xff4c2b23,
    0xff600f20,
    0xff78000d,
    0xff880306,
    0xff920009,
    0xffa50911,
    0xffb12825,
    0xffd6504e,
    0xffd23f33,
    0xffca3116,
    0xffa1373e,
    0xff7a1e36,
    0xff9f0403,
    0xffda634d,
    0xff962f20,
    0xff87160c,
    0xff952819,
    0xff860c06,
    0xffa22018,
    0xff9f1a0e,
    0xff811217,
    0xff611212,
    0xffc46549,
    0xffc0450f,
    0xffe47228,
    0xffc4570a,
    0xffc15a09,
    0xffc45908,
    0xffc14010,
    0xff910000,
    0xff920008,
    0xff8a0000,
    0xff8d0003,
    0xff8a0006,
    0xff830209,
    0xff89040d,
    0xff8a0000,
    0xffc53e30,
    0xffd35d3e,
    0xffd35f48,
    0xff9e423c,
    0xff96685d,
    0xffa58787,
    0xff312c4a,
    0xff122b56,
    0xff112a51,
    0xff112c55,
    0xff103063,
    0xff0e3450,
    0xff0a314f,
    0xff132d56,
    0xff1b2b49,
    0xff261e3b,
    0xff69324a,
    0xffd87679,
    0xffbe453a,
    0xffb63c32,
    0xffb32f2c,
    0xffc53e24,
    0xffcd5025,
    0xff9a3021,
    0xff7c2229,
    0xffa14c3c,
    0xff9b4d37,
    0xffa8493b,
    0xff90111e,
    0xff640100,
    0xff973428,
    0xffb02839,
    0xffb8312c,
    0xffaa2416,
    0xffa4250b,
    0xffc24929,
    0xffa6300f,
    0xff9a3c11,
    0xffb24f32,
    0xff942e2b,
    0xff4d2734,
    0xff142739,
    0xff19284a,
    0xff142e3e,
    0xff1a3733,
    0xff1c302a,
    0xff1a2d2b,
    0xff16302e,
    0xff192f26,
    0xff273324,
    0xff313d2f,
    0xff2b3c22,
    0xff423415,
    0xff893921,
    0xff9c260e,
    0xff952504,
    0xff902402,
    0xffa3300d,
    0xfffa9a47,
    0xffe08736,
    0xffd58732,
    0xfff1a644,
    0xffffa751,
    0xffe57e4b,
    0xff6d1e05,
    0xff5b2e15,
    0xff5e331c,
    0xff893b2b,
    0xffa03228,
    0xff7b170d,
    0xff93181c,
    0xffb81327,
    0xffab2a2e,
    0xff853a26,
    0xff853b2b,
    0xff792f1c,
    0xff7c4a2f,
    0xff60572e,
    0xff5c6332,
    0xff595b27,
    0xff727132,
    0xff797c37,
    0xff8e7451,
    0xffebdacd,
    0xffaa9788,
    0xff7b5b34,
    0xff8a4c23,
    0xffbb604a,
    0xff89200b,
    0xffba5328,
    0xffa34109,
    0xffb7650b,
    0xfffdc022,
    0xffdc9804,
    0xffc26517,
    0xffc75a10,
    0xffc35b00,
    0xffb95800,
    0xffac5500,
    0xffcc6a13,
    0xffd3651d,
    0xffb43f08,
    0xffa93b13,
    0xff9c4e24,
    0xff9b7542,
    0xff99844d,
    0xff898053,
    0xff918255,
    0xff877648,
    0xff7e7047,
    0xff89865c,
    0xff8b7d50,
    0xff986230,
    0xffa74f13,
    0xffd07c1a,
    0xffe9aa4d,
    0xffdead5c,
    0xffe6b262,
    0xffe7b64b,
    0xffe4bb34,
    0xffe9b034,
    0xffe08c33,
    0xffc57833,
    0xffa2501e,
    0xffa84b1f,
    0xffc55c3d,
    0xff972702,
    0xff9f2d17,
    0xff8f2913,
    0xff640900,
    0xffa15d59,
    0xfffffff5,
    0xffcebeab,
    0xff673e34,
    0xff601107,
    0xff791301,
    0xffd8664c,
    0xffc54526,
    0xffa31702,
    0xff9d2110,
    0xffc06b22,
    0xffc37e1f,
    0xffd57f37,
    0xff7f1800,
    0xff731514,
    0xff60250a,
    0xff611706,
    0xff825833,
    0xff7f6d35,
    0xff83773a,
    0xffa69d61,
    0xff938553,
    0xffca9075,
    0xffa13029,
    0xffb53028,
    0xffba2a22,
    0xffc33f31,
    0xffbc4639,
    0xffa35845,
    0xff9a7f61,
    0xff75693f,
    0xff747340,
    0xff675d38,
    0xff504b1b,
    0xff5d5728,
    0xff8d7f5b,
    0xff9b8864,
    0xff98885a,
    0xff6e6140,
    0xff1c0f03,
    0xff391000,
    0xff7d5735,
    0xff3e1709,
    0xff39110c,
    0xff543326,
    0xff402919,
    0xff7c6d5f,
    0xff5f5333,
    0xff726035,
    0xff8a6b48,
    0xff6e4325,
    0xff9b6b51,
    0xff563c16,
    0xff482b08,
    0xff783c26,
    0xff54270c,
    0xff7f5b36,
    0xff655029,
    0xff8c825d,
    0xff7c6e56,
    0xff836d63,
    0xff5b4037,
    0xff5d3328,
    0xff673123,
    0xffc2a396,
    0xff4e2726,
    0xff895655,
    0xfffecab9,
    0xffa16a4c,
    0xff91522d,
    0xff96471e,
    0xffdf885b,
    0xffa66338,
    0xff9d4c15,
    0xff763029,
    0xff783f24,
    0xff99552b,
    0xff4b251c,
    0xff421f0d,
    0xffb74a40,
    0xff871408,
    0xffbd6a5e,
    0xffa46554,
    0xff601703,
    0xffe4924b,
    0xffc8792f,
    0xff4d0700,
    0xfff3bc45,
    0xfffcba58,
    0xffc48521,
    0xfffebc7d,
    0xff8c471c,
    0xffa35a34,
    0xffc97745,
    0xffb55920,
    0xffa83e26,
    0xff7f0e00,
    0xff891a16,
    0xff741310,
    0xff75372b,
    0xff743f3c,
    0xff781224,
    0xff8f0d17,
    0xff8d270f,
    0xff500005,
    0xff510309,
    0xff51050b,
    0xff520608,
    0xff520000,
    0xff650000,
    0xff870608,
    0xff920205,
    0xff7f020c,
    0xff6b000b,
    0xff550009,
    0xff4a020b,
    0xff450206,
    0xff450307,
    0xff480308,
    0xff480008,
    0xff3f0308,
    0xff430108,
    0xff340f28,
    0xff2b3e70,
    0xff1d4b94,
    0xff254994,
    0xff24488c,
    0xff0b4685,
    0xff124485,
    0xff204a97,
    0xff214d94,
    0xff22548e,
    0xff205895,
    0xff18458c,
    0xff233f77,
    0xff262e4f,
    0xff301728,
    0xff452a35,
    0xff1b0f1e,
    0xff293d58,
    0xff2a4b6d,
    0xff313459,
    0xff4b4d76,
    0xff355c8a,
    0xff3e5e8e,
    0xff4b5286,
    0xff3d1434,
    0xff4b0119,
    0xff48436c,
    0xff335d95,
    0xff446185,
    0xff83596d,
    0xff971d2a,
    0xffbb2e39,
    0xffb2171f,
    0xffb61819,
    0xffb61718,
    0xffb9171d,
    0xffb90c1e,
    0xffbc0823,
    0xffa51121,
    0xff970011,
    0xffa50018,
    0xffa50011,
    0xffa70412,
    0xffae0d13,
    0xffb60911,
    0xffb8000b,
    0xffb20316,
    0xffb50013,
    0xffc20614,
    0xffc70717,
    0xffc50719,
    0xffc10618,
    0xffbc0116,
    0xffb80014,
    0xffa5041b,
    0xff81010f,
    0xff610008,
    0xff5f010a,
    0xff76010e,
    0xff91000d,
    0xffa2000b,
    0xffa50307,
    0xffab100c,
    0xffb71b13,
    0xffb92215,
    0xffa1130a,
    0xff860000,
    0xff870507,
    0xff800004,
    0xff950915,
    0xffc50e1c,
    0xffbe0b19,
    0xff86071c,
    0xff762651,
    0xff705a87,
    0xff6c5e87,
    0xff504a70,
    0xff847aa8,
    0xff814b6d,
    0xff7e0013,
    0xff8d040a,
    0xff84000b,
    0xff6f0003,
    0xff6d0207,
    0xff91000e,
    0xffb12630,
    0xffb73c34,
    0xffdb5c5f,
    0xffd76d81,
    0xff734e59,
    0xff562425,
    0xffdc555a,
    0xffaa1a25,
    0xff730016,
    0xff620116,
    0xff57000e,
    0xff4b1424,
    0xff5a3557,
    0xff572652,
    0xff542e4b,
    0xff4f394a,
    0xff5a3a55,
    0xff6a2b48,
    0xff7f181b,
    0xff910c0a,
    0xffb72324,
    0xffb94849,
    0xff682d29,
    0xff541c1b,
    0xff652d43,
    0xff44152d,
    0xff52010c,
    0xff640203,
    0xff520005,
    0xff4b071a,
    0xff500a26,
    0xff550518,
    0xff5d0103,
    0xff5c010f,
    0xff490901,
    0xff4e0402,
    0xff4e0116,
    0xff38143a,
    0xff262d5a,
    0xff1b3775,
    0xff0e3786,
    0xff0b3c84,
    0xff0c3d85,
    0xff0a3b82,
    0xff0c3d84,
    0xff0b3d84,
    0xff0d4188,
    0xff0e4288,
    0xff083e83,
    0xff0e458e,
    0xff0d4590,
    0xff0c438d,
    0xff0e4690,
    0xff104691,
    0xff104690,
    0xff114590,
    0xff0e428b,
    0xff063d84,
    0xff083e85,
    0xff053c85,
    0xff043985,
    0xff053983,
    0xff093784,
    0xff0b3783,
    0xff164088,
    0xff527db1,
    0xff224d89,
    0xff15438b,
    0xff1d519c,
    0xff175095,
    0xff165495,
    0xff155597,
    0xff0e4e94,
    0xff114892,
    0xff0d438d,
    0xff0a3f89,
    0xff093c89,
    0xff093c88,
    0xff093c8a,
    0xff0b408f,
    0xff0b4090,
    0xff0e4288,
    0xff25589d,
    0xff194d93,
    0xff0f4389,
    0xff15498d,
    0xff154a8d,
    0xff104589,
    0xff134788,
    0xff123f7e,
    0xff0f3b79,
    0xff103978,
    0xff0d3675,
    0xff052c6a,
    0xff032b68,
    0xff002a66,
    0xff002a63,
    0xff032b61,
    0xff042b64,
    0xff042b66,
    0xff0c3371,
    0xff103977,
    0xff184684,
    0xff104481,
    0xff093f7d,
    0xff093e77,
    0xff0c417d,
    0xff0f4483,
    0xff104489,
    0xff12458d,
    0xff0c408b,
    0xff083c88,
    0xff093e8a,
    0xff043c86,
    0xff073e88,
    0xff0a408b,
    0xff093d86,
    0xff083c86,
    0xff0a3d83,
    0xff0d3d85,
    0xff0c3c84,
    0xff0c4087,
    0xff093e84,
    0xff093f88,
    0xff084087,
    0xff073e86,
    0xff083e87,
    0xff0b408b,
    0xff0d408c,
    0xff0e4189,
    0xff0e4288,
    0xff0f4489,
    0xff0d4185,
    0xff093f83,
    0xff0e4388,
    0xff0d418b,
    0xff0a3d86,
    0xff0b3b83,
    0xff0a3d85,
    0xff0b3e85,
    0xff073a81,
    0xff073c82,
    0xff053a80,
    0xff063b81,
    0xff043a80,
    0xff073982,
    0xff083b81,
    0xff0e4085,
    0xff0d4085,
    0xff0d3f85,
    0xff0d3f84,
    0xff0d4087,
    0xff0e4188,
    0xff093c84,
    0xff093d83,
    0xff104184,
    0xff144587,
    0xff114181,
    0xff124182,
    0xff0c3c7e,
    0xff0d3e7f,
    0xff0d397d,
    0xff0c377b,
    0xff0b3778,
    0xff0a3675,
    0xff083574,
    0xff083572,
    0xff0a3772,
    0xff0a3673,
    0xff093776,
    0xff0f376e,
    0xff12346e,
    0xff112f5d,
    0xff445664,
    0xff545a64,
    0xff707fa5,
    0xff1c3e7c,
    0xff0d3878,
    0xff0c437a,
    0xff153e7b,
    0xff14437c,
    0xff193c6b,
    0xff4c3c52,
    0xff995654,
    0xff9a2230,
    0xff870007,
    0xff850310,
    0xff7a0113,
    0xff6d0205,
    0xff8b2b14,
    0xffbd5930,
    0xffe27243,
    0xffaa3107,
    0xffac3a0f,
    0xffdf551d,
    0xffe6541f,
    0xffad3b00,
    0xfff3ad2e,
    0xffffcc27,
    0xfff7b60f,
    0xffffba16,
    0xffb56000,
    0xffbb4f02,
    0xffed6c1f,
    0xffa71106,
    0xffc93031,
    0xff940600,
    0xffa91e1f,
    0xff870000,
    0xff7c000d,
    0xff890e06,
    0xffa12719,
    0xff830d07,
    0xff932300,
    0xffff9f46,
    0xffd3640e,
    0xffbb3f14,
    0xffb03f16,
    0xffaf3b12,
    0xffb03410,
    0xffbe401c,
    0xffc44922,
    0xffd6602a,
    0xffd6681d,
    0xffbd5700,
    0xffb75d02,
    0xffb65c02,
    0xffad5800,
    0xffb15a00,
    0xffb94b04,
    0xffaa3e04,
    0xffa13a08,
    0xffa62202,
    0xffb93610,
    0xffc84510,
    0xffc63d16,
    0xff9e0d00,
    0xffa81103,
    0xffaf1919,
    0xff9d0512,
    0xff950000,
    0xff970b00,
    0xff920d06,
    0xffa30e15,
    0xff8b0206,
    0xff9d0a12,
    0xff9c0e1b,
    0xffa55d65,
    0xff3b252a,
    0xff4c2f2f,
    0xff5f311c,
    0xff643722,
    0xffc7b3b2,
    0xffa38d90,
    0xff82483e,
    0xff975348,
    0xff67353a,
    0xff553c54,
    0xff3a2438,
    0xff3e2444,
    0xff3a2f62,
    0xff2c3b72,
    0xff2b2b59,
    0xff632945,
    0xff710912,
    0xff975147,
    0xff6c2e36,
    0xff720518,
    0xff8f020b,
    0xff930007,
    0xffa1000a,
    0xff9d0304,
    0xffc02729,
    0xffb4312c,
    0xffcf4639,
    0xffdc4140,
    0xff9f2431,
    0xff8d1e2e,
    0xffa5131c,
    0xffa31d18,
    0xffad4137,
    0xff871708,
    0xff8c1d17,
    0xff901f16,
    0xff9a1c06,
    0xffa21a12,
    0xff921519,
    0xff902208,
    0xffd86c20,
    0xffef7b12,
    0xffaf3b07,
    0xffdc6f2f,
    0xffd0680d,
    0xffc85211,
    0xffd24f23,
    0xffbf3214,
    0xff990409,
    0xff880000,
    0xff890104,
    0xff880305,
    0xff860603,
    0xff870407,
    0xff8e030e,
    0xffdc554d,
    0xffd56439,
    0xffc34f3f,
    0xff974f3f,
    0xff75554a,
    0xff9c8f8d,
    0xff303052,
    0xff1e2d5b,
    0xff17314e,
    0xff122c61,
    0xff0c2d59,
    0xff142d52,
    0xff143251,
    0xff153056,
    0xff1b2759,
    0xff1b2958,
    0xff1d2850,
    0xff2b133c,
    0xff4e192b,
    0xff6d1e20,
    0xff962e27,
    0xffb75431,
    0xffd67f43,
    0xffd17949,
    0xff8e2c1a,
    0xffb75c4d,
    0xffb3634d,
    0xffc35c44,
    0xffa22f2a,
    0xff4e0000,
    0xff99352b,
    0xffc13c38,
    0xffa5262a,
    0xffab2c35,
    0xffa22e15,
    0xffaf350e,
    0xffad330b,
    0xff9d2100,
    0xff972816,
    0xff581e32,
    0xff262447,
    0xff232e3d,
    0xff142537,
    0xff132730,
    0xff112d28,
    0xff12342b,
    0xff153732,
    0xff1b3534,
    0xff203530,
    0xff293a30,
    0xff2e4131,
    0xff483a25,
    0xff502519,
    0xff682c1d,
    0xff842808,
    0xff981600,
    0xff991b02,
    0xffe5864d,
    0xffd36929,
    0xffcd6e31,
    0xffda873e,
    0xfffbab4f,
    0xffe38634,
    0xff992d08,
    0xff6e0000,
    0xff70050d,
    0xff6e0603,
    0xff791611,
    0xff74120d,
    0xff782a1d,
    0xff8b3124,
    0xffbc1e28,
    0xff96040e,
    0xff6a3d29,
    0xff7c3d27,
    0xff76301d,
    0xff7c4830,
    0xff695a35,
    0xff625d35,
    0xff695734,
    0xff836643,
    0xff967956,
    0xff8d6a5d,
    0xfffbdfd4,
    0xff59311c,
    0xff793e1e,
    0xff854c2c,
    0xffe1b89b,
    0xffc07453,
    0xffaf370f,
    0xffbb4509,
    0xffe58d1e,
    0xfff0a90e,
    0xffd47c09,
    0xffbe5507,
    0xffe9842d,
    0xffb85700,
    0xffc46606,
    0xffc06b0c,
    0xffd35615,
    0xffaa1300,
    0xff870300,
    0xff8d1b09,
    0xff9f3b21,
    0xffac693f,
    0xffae935d,
    0xff95844f,
    0xff957c4c,
    0xff8a7047,
    0xff8b784d,
    0xff7f7549,
    0xff746250,
    0xffbf9890,
    0xffefb997,
    0xff955409,
    0xffc48e54,
    0xffd0b28b,
    0xffdebfa5,
    0xfffed2ae,
    0xffc6a96a,
    0xffcbb566,
    0xffe6b66b,
    0xffd6864a,
    0xffab5a33,
    0xff9e4c2d,
    0xffb65b35,
    0xff881900,
    0xff730100,
    0xff84353d,
    0xffffe8e9,
    0xfff6e2da,
    0xff825248,
    0xff611610,
    0xff7d1f1b,
    0xff891e1a,
    0xff831309,
    0xff931607,
    0xffae2817,
    0xffad1e15,
    0xff9a2903,
    0xfff49946,
    0xffc36a10,
    0xffa04d1a,
    0xff6d2e15,
    0xff7f553b,
    0xff785239,
    0xff491205,
    0xff5a3313,
    0xff604c1e,
    0xff605820,
    0xff8d8844,
    0xff847429,
    0xff6c4a13,
    0xff7a4225,
    0xff802018,
    0xff902c27,
    0xff8f342c,
    0xff8c4739,
    0xff6a452d,
    0xff5e4f30,
    0xff625837,
    0xff514627,
    0xff44351a,
    0xff616141,
    0xff5a5c38,
    0xff716343,
    0xff776349,
    0xff695f4f,
    0xff1f1d15,
    0xff0b0201,
    0xff6f403a,
    0xff72483b,
    0xff412315,
    0xff351f16,
    0xff42302d,
    0xff3c302a,
    0xff30271a,
    0xff6c624c,
    0xffa68561,
    0xff694728,
    0xff644930,
    0xff6e5941,
    0xff64523d,
    0xff231000,
    0xff270e01,
    0xff55382f,
    0xff493724,
    0xff544431,
    0xff4b402f,
    0xff665a4c,
    0xff25170c,
    0xff76645b,
    0xff462d26,
    0xff452a25,
    0xff7b6b60,
    0xff36251f,
    0xff372424,
    0xffaf999c,
    0xff5c4543,
    0xffac8e83,
    0xffd3b29a,
    0xff865e42,
    0xff57230f,
    0xff76402a,
    0xff5a2617,
    0xff3d1002,
    0xff61362a,
    0xff37130b,
    0xff461f14,
    0xff4d1d11,
    0xff763635,
    0xffb28075,
    0xff431a11,
    0xff623722,
    0xff7b4b0f,
    0xffd4a161,
    0xff350500,
    0xff846029,
    0xff583300,
    0xffb69565,
    0xff825f3f,
    0xffa57e57,
    0xffc38e6a,
    0xff844014,
    0xffab611b,
    0xffab561e,
    0xffcb7834,
    0xff8e2217,
    0xff740f14,
    0xff611009,
    0xff761e23,
    0xff740b0c,
    0xffa73328,
    0xff94100f,
    0xff4e030a,
    0xff4d0109,
    0xff4e0109,
    0xff510209,
    0xff530005,
    0xff5e0001,
    0xff750607,
    0xff7d0304,
    0xff6b0008,
    0xff5c0006,
    0xff50000a,
    0xff48010c,
    0xff420104,
    0xff460106,
    0xff4a0309,
    0xff49020a,
    0xff4d030c,
    0xff490007,
    0xff431628,
    0xff474b75,
    0xff355b96,
    0xff365d9b,
    0xff355e9c,
    0xff235799,
    0xff164a8a,
    0xff164289,
    0xff143e82,
    0xff13447f,
    0xff0e4282,
    0xff16458b,
    0xff1c3c75,
    0xff2a3b5e,
    0xff312032,
    0xff3d242f,
    0xff2b1523,
    0xff262b48,
    0xff456184,
    0xff323a63,
    0xff2c2d5e,
    0xff2e4d81,
    0xff375c97,
    0xff495f98,
    0xff3f3049,
    0xff3d000e,
    0xff3a2a4c,
    0xff314e85,
    0xff445c8b,
    0xff835a80,
    0xff9f2c36,
    0xffa62128,
    0xffbb212c,
    0xffbe0e1a,
    0xffc20917,
    0xffc61021,
    0xffaa0515,
    0xff980111,
    0xff8b000d,
    0xff9b0317,
    0xffa10118,
    0xffa90216,
    0xffab010e,
    0xffad000c,
    0xffb61921,
    0xffb3242b,
    0xffaf091b,
    0xffb30415,
    0xffbe0614,
    0xffbd0110,
    0xffbd0314,
    0xffba0317,
    0xffb60014,
    0xffb60013,
    0xffae0518,
    0xff9a0b1a,
    0xff74000b,
    0xff670006,
    0xff71000b,
    0xff83000c,
    0xff970611,
    0xffa41015,
    0xff8a0601,
    0xff8c0000,
    0xffa21007,
    0xffb4241c,
    0xffa11916,
    0xff7c0000,
    0xff92060c,
    0xffad1520,
    0xffc0171c,
    0xff980015,
    0xffa03e63,
    0xff994b7a,
    0xff5a2244,
    0xff602f4b,
    0xff61587c,
    0xff454f86,
    0xff733758,
    0xff7f000f,
    0xff840308,
    0xff880816,
    0xff710308,
    0xff690001,
    0xffa41025,
    0xffbf3e44,
    0xffcc565b,
    0xffd9616f,
    0xffdc8c9b,
    0xff3f151e,
    0xff913f43,
    0xffdb655f,
    0xff8e2320,
    0xff6d0012,
    0xff5b0206,
    0xff3d0d18,
    0xff575b79,
    0xff3e588c,
    0xff384e8c,
    0xff2e4a7d,
    0xff19416c,
    0xff153569,
    0xff403067,
    0xff751d41,
    0xff860c2b,
    0xffa0323c,
    0xff792022,
    0xff6e1217,
    0xff90111d,
    0xff921535,
    0xff602c4a,
    0xff48051f,
    0xff580314,
    0xff560012,
    0xff5d1132,
    0xff61233f,
    0xff4a0a15,
    0xff4e0307,
    0xff57040f,
    0xff4d0102,
    0xff55040b,
    0xff3a0320,
    0xff2e315b,
    0xff183e6e,
    0xff103e7d,
    0xff07428b,
    0xff0f4088,
    0xff114088,
    0xff0e4087,
    0xff0f4188,
    0xff0b4186,
    0xff0b4086,
    0xff0c4187,
    0xff0b4187,
    0xff0e438a,
    0xff0d428a,
    0xff0e428c,
    0xff0a3e87,
    0xff063a83,
    0xff033780,
    0xff063a82,
    0xff083d85,
    0xff0a3c88,
    0xff0e3e8b,
    0xff0c408c,
    0xff0f438f,
    0xff104692,
    0xff114792,
    0xff144891,
    0xff24579c,
    0xff1e538c,
    0xff15498b,
    0xff194f9a,
    0xff063d8d,
    0xff05408a,
    0xff074188,
    0xff08428b,
    0xff08418d,
    0xff064990,
    0xff074991,
    0xff0d4a94,
    0xff0d4991,
    0xff0f4990,
    0xff104991,
    0xff134c90,
    0xff11498d,
    0xff18468a,
    0xff124182,
    0xff0e3e7e,
    0xff114181,
    0xff0c3b7b,
    0xff093a77,
    0xff093977,
    0xff053572,
    0xff022f6b,
    0xff002a66,
    0xff002966,
    0xff002a65,
    0xff05306b,
    0xff022e69,
    0xff03316b,
    0xff063570,
    0xff0b3774,
    0xff0c3675,
    0xff0d3877,
    0xff114080,
    0xff154486,
    0xff114588,
    0xff13488a,
    0xff11488b,
    0xff0e4588,
    0xff0b4288,
    0xff0a4187,
    0xff0b4189,
    0xff0b4189,
    0xff0b4189,
    0xff093f86,
    0xff094087,
    0xff0a4087,
    0xff0c428a,
    0xff0e428b,
    0xff0c418a,
    0xff0b3d84,
    0xff0e3e86,
    0xff0f3f87,
    0xff0d3d85,
    0xff0c3e83,
    0xff093a7f,
    0xff0a3c81,
    0xff0a3f85,
    0xff0a3d84,
    0xff0b3d84,
    0xff0a3c83,
    0xff063780,
    0xff063681,
    0xff08387f,
    0xff08387f,
    0xff0a3b7f,
    0xff0b3c81,
    0xff083880,
    0xff073781,
    0xff073682,
    0xff07387f,
    0xff0b3a82,
    0xff08377f,
    0xff08377f,
    0xff0b3b83,
    0xff093a81,
    0xff093b81,
    0xff093981,
    0xff093b7f,
    0xff0e3f84,
    0xff0b3c80,
    0xff0a3b7e,
    0xff0a3b7e,
    0xff0b3c7f,
    0xff0b3c81,
    0xff0a3b7f,
    0xff0f3e82,
    0xff0c3b7d,
    0xff0c3b7b,
    0xff0c3877,
    0xff133f7b,
    0xff103c79,
    0xff053371,
    0xff0a3777,
    0xff083474,
    0xff04306f,
    0xff053170,
    0xff053171,
    0xff04306d,
    0xff06316e,
    0xff07346e,
    0xff06346e,
    0xff0a366c,
    0xff0b2f5f,
    0xff2a486c,
    0xff1c3960,
    0xff11325b,
    0xff36586a,
    0xff57666f,
    0xff807998,
    0xff182f68,
    0xff0b3e73,
    0xff133669,
    0xff1d3a6c,
    0xff1e3b6d,
    0xff4a4562,
    0xffae777a,
    0xff780511,
    0xff8b0212,
    0xff86020e,
    0xff7e0500,
    0xffb04622,
    0xffdb7b40,
    0xffd66e33,
    0xffc65127,
    0xffa22007,
    0xffad250e,
    0xffd3441e,
    0xffb02c06,
    0xffba6001,
    0xffffd734,
    0xfffabf0f,
    0xfffaaa1d,
    0xffc36b00,
    0xffa85100,
    0xfff0882b,
    0xffbf3c05,
    0xffa71500,
    0xffad1a1a,
    0xffa81f1b,
    0xff99150c,
    0xff840202,
    0xff85000a,
    0xff8a0a00,
    0xff8d0d00,
    0xff830400,
    0xffe87150,
    0xffd36319,
    0xffca5714,
    0xffb3381a,
    0xffb13e1f,
    0xffb13b1e,
    0xffac361c,
    0xff952401,
    0xffcd5829,
    0xffd25b1d,
    0xffbd5106,
    0xffb15802,
    0xffb75c01,
    0xffbb5c08,
    0xffaf5a08,
    0xffa75502,
    0xffb84f05,
    0xffae4000,
    0xffa63b08,
    0xff9c1e00,
    0xffaf2106,
    0xffcd4223,
    0xff9e1100,
    0xffa50d09,
    0xffa10a05,
    0xffa91716,
    0xff9d0a0d,
    0xff9a0402,
    0xffa50e0a,
    0xff960707,
    0xffa20a12,
    0xff8c0403,
    0xff8f0607,
    0xff890911,
    0xff995f65,
    0xff4c454f,
    0xff36354f,
    0xff451019,
    0xff8c4742,
    0xff572e2b,
    0xff9b7074,
    0xff963a3b,
    0xff8c1108,
    0xff8e190f,
    0xff6a2135,
    0xff4e2b41,
    0xff56264c,
    0xff561d3f,
    0xff582e3c,
    0xff8e3344,
    0xff9e0d22,
    0xff88060b,
    0xffb15f55,
    0xff85474c,
    0xff780d1b,
    0xff99080e,
    0xffaa0c17,
    0xffc11b28,
    0xffbd2529,
    0xffcb2e38,
    0xffc53836,
    0xffd2473d,
    0xffc42b2b,
    0xffbe3642,
    0xffa32734,
    0xffac1c21,
    0xff8a0000,
    0xffab332b,
    0xff8a0a05,
    0xff8a1114,
    0xff94130e,
    0xffba2a17,
    0xff9c1404,
    0xff861817,
    0xff7d2415,
    0xffaa602d,
    0xffe96a2f,
    0xff910b00,
    0xffaa270a,
    0xff9b1700,
    0xff9f1400,
    0xffa71500,
    0xffaa1502,
    0xffb3191d,
    0xffd93e3c,
    0xffab1319,
    0xff93000b,
    0xff8c000b,
    0xff820006,
    0xffb53037,
    0xffd95a4e,
    0xffbd4b2a,
    0xffbc5d4b,
    0xff80443a,
    0xff6d4a4d,
    0xffa58d93,
    0xff3e3754,
    0xff162a53,
    0xff163853,
    0xff1a3060,
    0xff3f4363,
    0xff243154,
    0xff16385d,
    0xff0d335e,
    0xff133060,
    0xff0e315c,
    0xff152d48,
    0xff3b273b,
    0xff71382e,
    0xffaa564b,
    0xffbc5841,
    0xffcb6b44,
    0xffc26538,
    0xffcc6741,
    0xffa73e24,
    0xffab4335,
    0xffdf7e63,
    0xffc0552f,
    0xffb84b3c,
    0xff490000,
    0xffa3343c,
    0xffaa191b,
    0xffa82a13,
    0xffa22f00,
    0xffd6661c,
    0xffe0632b,
    0xffbc3711,
    0xffbd4220,
    0xff73210d,
    0xff5c4a4e,
    0xff243c43,
    0xff234234,
    0xff294543,
    0xff284642,
    0xff254036,
    0xff313f3d,
    0xff2e363d,
    0xff252f38,
    0xff1f2f32,
    0xff223331,
    0xff26322d,
    0xff593728,
    0xff94392d,
    0xff911a06,
    0xffd0602d,
    0xffb44e19,
    0xff94310b,
    0xffc46635,
    0xffb05220,
    0xff8d3505,
    0xff7e2b00,
    0xffb66217,
    0xffffb775,
    0xff881200,
    0xff870602,
    0xff8a0206,
    0xff860003,
    0xff7a0001,
    0xff780001,
    0xff711209,
    0xff79321e,
    0xff8f1e18,
    0xff920910,
    0xff721513,
    0xff711410,
    0xff690802,
    0xff670f02,
    0xff651d08,
    0xff743c23,
    0xff753d2c,
    0xff713b31,
    0xff6e3b36,
    0xffb69386,
    0xff634128,
    0xff925b38,
    0xffa24d2e,
    0xff9b482d,
    0xff813d27,
    0xfffdb59d,
    0xff921300,
    0xffae2d05,
    0xffe48419,
    0xffffb62a,
    0xffad5003,
    0xff9d3400,
    0xfff0901e,
    0xffc36600,
    0xffc45d08,
    0xffdc7828,
    0xffb42e04,
    0xff9a0900,
    0xff810902,
    0xff6e0800,
    0xff6e0700,
    0xff741c05,
    0xff9e6142,
    0xffae7458,
    0xff9d5e40,
    0xff985d42,
    0xff895b36,
    0xff806236,
    0xfff1ddc4,
    0xfffff2e0,
    0xffe6c196,
    0xffd89566,
    0xffbe8053,
    0xffd0aa7f,
    0xffc2ac89,
    0xffd2bda2,
    0xff85815f,
    0xffb8ad84,
    0xffc19169,
    0xff9f712a,
    0xffc38553,
    0xff933c21,
    0xff801b0a,
    0xff99463f,
    0xfff0cccb,
    0xffffeae4,
    0xff936554,
    0xff59140d,
    0xff68130f,
    0xff780f0e,
    0xff7d0e0d,
    0xff841715,
    0xff7b120d,
    0xff86170f,
    0xff871205,
    0xffa62710,
    0xffa53407,
    0xfff6914a,
    0xffa14706,
    0xffa25e40,
    0xffe1c0ad,
    0xffcfb9a3,
    0xffd6b2ad,
    0xffcfa49a,
    0xffb69385,
    0xffe3cbb2,
    0xffe8dbaf,
    0xffdad299,
    0xfff3e8b4,
    0xffeed9b1,
    0xfff7dcbc,
    0xffecb69f,
    0xffe5aa94,
    0xffe8af9f,
    0xffddb7a6,
    0xffbdad9b,
    0xffceccb9,
    0xffc5c6b6,
    0xffc8c3b5,
    0xffc2b29e,
    0xffb2b097,
    0xffd0cfb3,
    0xffc7b59e,
    0xffc3ab9a,
    0xff8d8276,
    0xff938e88,
    0xff9d9493,
    0xffb2a1a4,
    0xff948888,
    0xff948f8d,
    0xff969597,
    0xff94979f,
    0xff97959f,
    0xffa29e9c,
    0xffe6dfd4,
    0xffc1a994,
    0xffbba391,
    0xffd9c5b6,
    0xffb1a092,
    0xffc6b7a9,
    0xffb9a999,
    0xffd6c3b5,
    0xffbeaa9e,
    0xff9f9484,
    0xffafa798,
    0xffc9c1b4,
    0xffa1998e,
    0xffb1a69d,
    0xffcabbb3,
    0xffc4b2a9,
    0xffb8a49a,
    0xffccbab0,
    0xffcfbeb6,
    0xffb7a6a1,
    0xffe8d5d2,
    0xffd4bfba,
    0xffedd2c5,
    0xffffe4d1,
    0xffffe0c7,
    0xffd8b299,
    0xffc9a28c,
    0xffceaa94,
    0xffdfc0b2,
    0xffb49b93,
    0xffbca49e,
    0xffb29991,
    0xffb89992,
    0xffc49a9e,
    0xffe6c5be,
    0xffb49b99,
    0xffc4aa9c,
    0xffe5c299,
    0xffffe7bc,
    0xffd1ab90,
    0xffbfa288,
    0xffeacab0,
    0xffcfad97,
    0xfffad8c2,
    0xfff0cfa4,
    0xfff1c99b,
    0xffb27e42,
    0xfff1b454,
    0xffbd7318,
    0xffcd8e28,
    0xffc4672d,
    0xff791100,
    0xff821806,
    0xff820902,
    0xff971f16,
    0xff8b180e,
    0xff96141b,
    0xff49060e,
    0xff48020b,
    0xff4c0009,
    0xff50000a,
    0xff4f0006,
    0xff580308,
    0xff620808,
    0xff600001,
    0xff560004,
    0xff4f0006,
    0xff49020c,
    0xff44030c,
    0xff430007,
    0xff450005,
    0xff490208,
    0xff4b030b,
    0xff4f000c,
    0xff520209,
    0xff3b000a,
    0xff37203a,
    0xff425780,
    0xff265482,
    0xff2c5d94,
    0xff345fa0,
    0xff285c9b,
    0xff215193,
    0xff1c478a,
    0xff14437f,
    0xff0c3d7e,
    0xff144286,
    0xff264b84,
    0xff37537c,
    0xff2a283b,
    0xff321f2b,
    0xff492739,
    0xff22122d,
    0xff273452,
    0xff505174,
    0xff342850,
    0xff3f426c,
    0xff305388,
    0xff2b5088,
    0xff3c5373,
    0xff402443,
    0xff382e65,
    0xff4763a0,
    0xff4d6a90,
    0xff724b6b,
    0xff9f1e26,
    0xffb62931,
    0xffb31724,
    0xffbb1021,
    0xffc61327,
    0xffb00315,
    0xffa30413,
    0xff9a0413,
    0xff910112,
    0xff9b0114,
    0xffa10114,
    0xffa80411,
    0xffbc0514,
    0xffbb0213,
    0xff990a12,
    0xff570000,
    0xff9f000e,
    0xffad0413,
    0xffb4010e,
    0xffbf0613,
    0xffbb0214,
    0xffb80116,
    0xffb60013,
    0xffb70010,
    0xffb90212,
    0xffae0413,
    0xff990613,
    0xff7e000c,
    0xff6e0006,
    0xff6b0003,
    0xff710005,
    0xff780208,
    0xff8a1412,
    0xff8a0c09,
    0xff95110d,
    0xff920f0d,
    0xff941113,
    0xff8c0005,
    0xffb2131c,
    0xffb20712,
    0xff9f0b08,
    0xff940d26,
    0xff701236,
    0xff620524,
    0xff650315,
    0xff66152a,
    0xff5a4e6c,
    0xff626093,
    0xff671e3c,
    0xff7b040f,
    0xff7b060a,
    0xff780110,
    0xff72000a,
    0xff6d0002,
    0xffbf3042,
    0xffd66061,
    0xffd87075,
    0xffd56679,
    0xffa77680,
    0xff340e16,
    0xff972d3b,
    0xff790c08,
    0xff610900,
    0xff6b0008,
    0xff570003,
    0xff533751,
    0xff2e467e,
    0xff153a7f,
    0xff10387e,
    0xff0e397c,
    0xff1a468d,
    0xff194a90,
    0xff273975,
    0xff623761,
    0xff7e3c58,
    0xff6a262c,
    0xff691613,
    0xff931924,
    0xffa40313,
    0xff9e0f2c,
    0xff6c2f53,
    0xff4b163d,
    0xff470417,
    0xff5c040f,
    0xff580016,
    0xff4e040c,
    0xff4f0701,
    0xff540208,
    0xff48040a,
    0xff4b0004,
    0xff40000d,
    0xff321f45,
    0xff174170,
    0xff0c437d,
    0xff0b3e83,
    0xff07448f,
    0xff0d3e87,
    0xff0f3e86,
    0xff0c3e85,
    0xff0d3e85,
    0xff0a3f85,
    0xff0b3f85,
    0xff083f85,
    0xff063d83,
    0xff093b80,
    0xff08397e,
    0xff0a3c83,
    0xff0b3d83,
    0xff0c3d84,
    0xff0c3f88,
    0xff10438c,
    0xff0f438d,
    0xff1a4997,
    0xff174898,
    0xff144796,
    0xff134a96,
    0xff0e4892,
    0xff0b478f,
    0xff0b478d,
    0xff034083,
    0xff03417f,
    0xff044087,
    0xff0c4695,
    0xff0f4899,
    0xff0f4793,
    0xff124793,
    0xff154795,
    0xff184b97,
    0xff0c4e96,
    0xff0c4b92,
    0xff0c498f,
    0xff0e478d,
    0xff104589,
    0xff0d4282,
    0xff0b407e,
    0xff083b7a,
    0xff0a3472,
    0xff0f3975,
    0xff08326e,
    0xff052f6b,
    0xff002a66,
    0xff002762,
    0xff002661,
    0xff00255f,
    0xff002a65,
    0xff02306d,
    0xff073672,
    0xff0a3875,
    0xff0d3d7a,
    0xff114380,
    0xff164885,
    0xff184b89,
    0xff14488d,
    0xff12458d,
    0xff104289,
    0xff0e4188,
    0xff0c4085,
    0xff073d85,
    0xff083e85,
    0xff023a82,
    0xff023b87,
    0xff023b87,
    0xff043c88,
    0xff09408b,
    0xff093f88,
    0xff0b4188,
    0xff0b4184,
    0xff0b4082,
    0xff0d4386,
    0xff104287,
    0xff104287,
    0xff0d3f84,
    0xff0f3e87,
    0xff0c3c85,
    0xff0e3d85,
    0xff0e3d85,
    0xff0c3a80,
    0xff07367c,
    0xff06377b,
    0xff07387c,
    0xff08387d,
    0xff07387c,
    0xff0a3881,
    0xff0a3981,
    0xff093581,
    0xff0a3682,
    0xff07327c,
    0xff08337b,
    0xff0a367d,
    0xff09357e,
    0xff0b3682,
    0xff0f3b85,
    0xff08377b,
    0xff0b3a7e,
    0xff07367a,
    0xff09387c,
    0xff063478,
    0xff033176,
    0xff073579,
    0xff0b397d,
    0xff08387b,
    0xff043476,
    0xff083779,
    0xff083778,
    0xff073778,
    0xff08387a,
    0xff08377a,
    0xff063479,
    0xff0a3574,
    0xff133d7b,
    0xff103978,
    0xff153d7a,
    0xff113a76,
    0xff0b3771,
    0xff0e3976,
    0xff0c3874,
    0xff0e3a77,
    0xff0f3b78,
    0xff113d7a,
    0xff113c79,
    0xff113d7a,
    0xff15427c,
    0xff15427d,
    0xff124079,
    0xff133d6e,
    0xff143a72,
    0xff22416d,
    0xff264164,
    0xff143968,
    0xff133e62,
    0xff475667,
    0xff6d575f,
    0xff8a89a9,
    0xff183d65,
    0xff173366,
    0xff1e336c,
    0xff1b2e61,
    0xff4f4c61,
    0xff895659,
    0xffa22b32,
    0xffac2030,
    0xffa41e20,
    0xffa82c18,
    0xffe0703c,
    0xffe27a36,
    0xffed7e42,
    0xfff47454,
    0xffe85b54,
    0xffd8483e,
    0xffce4528,
    0xffa23000,
    0xffffc145,
    0xfff1b60b,
    0xfffab614,
    0xffc77400,
    0xffb35800,
    0xffc76b0b,
    0xffef842a,
    0xffb52e08,
    0xffb02011,
    0xff950906,
    0xff9e1a1a,
    0xff890d00,
    0xff8d0e0e,
    0xff840000,
    0xff920b02,
    0xffab2213,
    0xff9c1408,
    0xffa32209,
    0xffb84013,
    0xff942100,
    0xffab3622,
    0xffb13d27,
    0xffab3723,
    0xffb5442f,
    0xffb84b27,
    0xffb7470e,
    0xffc24c08,
    0xffc4600d,
    0xffba6d12,
    0xffb45a00,
    0xffb65506,
    0xffab580e,
    0xffa3530a,
    0xffb0520a,
    0xffaa4705,
    0xffa93d10,
    0xff9d1c04,
    0xffb31d0c,
    0xffa31911,
    0xffa61b17,
    0xffa20a0a,
    0xffa61213,
    0xff9f170c,
    0xff9a1202,
    0xff9f0802,
    0xff980504,
    0xff9c110d,
    0xffa71a17,
    0xff8e0b05,
    0xff98140d,
    0xff921919,
    0xff89464b,
    0xff866c76,
    0xff283144,
    0xff331722,
    0xff76433e,
    0xff784e41,
    0xffffd3c9,
    0xff8c2b26,
    0xff9c170c,
    0xff9d1100,
    0xff8a1f11,
    0xff761c26,
    0xff850f2b,
    0xff930f1d,
    0xff85221a,
    0xff9b3538,
    0xff9a1b37,
    0xff7f0d22,
    0xffe0807b,
    0xff7a3d3d,
    0xff822025,
    0xff9a0508,
    0xffba101e,
    0xffd52c3d,
    0xffb81f24,
    0xffa80914,
    0xffd94448,
    0xffcf403b,
    0xffc33330,
    0xffcd3641,
    0xff9a0f19,
    0xffaf2729,
    0xffa71012,
    0xffa8221f,
    0xff9f281d,
    0xff7c1410,
    0xff8e1112,
    0xffa21105,
    0xffa12212,
    0xff821313,
    0xff8f292e,
    0xffa15041,
    0xffd96542,
    0xffac340c,
    0xffa92c07,
    0xffbc361b,
    0xffab1f0f,
    0xffb0240f,
    0xffa11602,
    0xffa91b11,
    0xffac0c0e,
    0xffac0c12,
    0xff96020c,
    0xff88000a,
    0xff870506,
    0xffb53d2f,
    0xffa4392a,
    0xffc05e55,
    0xffa66652,
    0xff845d5e,
    0xff44273c,
    0xffab8d99,
    0xff342b42,
    0xff1b375e,
    0xff113a56,
    0xff1b2a54,
    0xff695163,
    0xff1f2242,
    0xff082f57,
    0xff0e355f,
    0xff143664,
    0xff0d335d,
    0xff364156,
    0xff885c5b,
    0xffab6239,
    0xffc6694d,
    0xffc96741,
    0xffcd6e40,
    0xffbc5438,
    0xffca553c,
    0xffb53d22,
    0xffa63328,
    0xff931e0d,
    0xffb34022,
    0xffa0362c,
    0xff4d0000,
    0xffae3a3a,
    0xffd23f27,
    0xffc14905,
    0xffe27811,
    0xfff9831a,
    0xffca500c,
    0xffaa2603,
    0xffb53d14,
    0xff863d1f,
    0xff453119,
    0xff384129,
    0xff324b29,
    0xff3a5440,
    0xff405240,
    0xff3d4b3c,
    0xff38493f,
    0xff2e3f3a,
    0xff2a3b39,
    0xff2b3a33,
    0xff243126,
    0xff242c25,
    0xff352912,
    0xff611f05,
    0xffaa2a12,
    0xffcd3d15,
    0xff9c2300,
    0xffc05332,
    0xffd96647,
    0xffb95838,
    0xffac4c2c,
    0xff97370f,
    0xffa13f10,
    0xffb84f28,
    0xffb43b29,
    0xff920500,
    0xffa80e06,
    0xffa5070d,
    0xff94070a,
    0xff94010b,
    0xff830003,
    0xff782312,
    0xff70150b,
    0xff7d0304,
    0xff7c0007,
    0xff79000a,
    0xff7b0307,
    0xff780200,
    0xff740800,
    0xff792215,
    0xff703a2e,
    0xff856360,
    0xffebcdce,
    0xff583116,
    0xffa2754b,
    0xff994c25,
    0xffb5462b,
    0xffad4028,
    0xff802407,
    0xffe8826b,
    0xffa5221c,
    0xffaf230d,
    0xffb54a0b,
    0xffc67210,
    0xff9a3e00,
    0xffba5801,
    0xffee920f,
    0xffd8700a,
    0xffba3f06,
    0xffbb3502,
    0xffae1b02,
    0xff960b04,
    0xff6f0201,
    0xff5d0000,
    0xff760b09,
    0xff770606,
    0xff700a06,
    0xff861e10,
    0xffbc4e34,
    0xffb64025,
    0xffb7451f,
    0xffa23b0d,
    0xffa64422,
    0xff983518,
    0xffa54313,
    0xff9f4617,
    0xffb25726,
    0xffba6a34,
    0xffdb9a68,
    0xffe6b48c,
    0xffa98d69,
    0xffdbc7a5,
    0xffc89c80,
    0xffc28749,
    0xffa4613f,
    0xff935650,
    0xffe4c5c1,
    0xfffff7ec,
    0xff977469,
    0xff672718,
    0xff8e3522,
    0xff95291f,
    0xff95211a,
    0xff8b110b,
    0xff850d0d,
    0xff7a0a0a,
    0xff770b0a,
    0xff801211,
    0xff84120c,
    0xff971a05,
    0xffa93410,
    0xffbd5528,
    0xff8a3317,
    0xffd39b95,
    0xffcdb7a2,
    0xffbcaf94,
    0xffc6acaa,
    0xffac8685,
    0xffa68287,
    0xffaf928e,
    0xffc6b49a,
    0xffdcd1ac,
    0xff2b2309,
    0xff534e3a,
    0xff6c6850,
    0xffe0cdb2,
    0xffcaae9a,
    0xffd0b4a5,
    0xffc1afa4,
    0xffc4bfb5,
    0xff262b21,
    0xff464a44,
    0xff2f302b,
    0xffc0b2a7,
    0xffc8c2b0,
    0xffaea794,
    0xffa18f82,
    0xff9c837b,
    0xffccbcb3,
    0xff817971,
    0xff867e7b,
    0xff8b8989,
    0xff8d8f8f,
    0xff7f8484,
    0xff888e94,
    0xff80828a,
    0xff969093,
    0xff968882,
    0xffb19d8f,
    0xff352825,
    0xffb3a7a6,
    0xff130604,
    0xffc6b8b5,
    0xff2a1b16,
    0xffb8aca2,
    0xffa2968b,
    0xffb9aea2,
    0xff504b3f,
    0xff99958a,
    0xff38352e,
    0xffa3a09b,
    0xff908a84,
    0xffc4bdb6,
    0xffd2c6bd,
    0xff9e9187,
    0xffb3a39b,
    0xffcfbfb7,
    0xffd8cac2,
    0xffc3b4ac,
    0xffc3b3a9,
    0xffc1ad9f,
    0xffcfb8a8,
    0xffc7ac9b,
    0xffd1af97,
    0xffd7b49e,
    0xfff0cebc,
    0xffc7aca0,
    0xff9b8885,
    0xff9f8b8e,
    0xffb19c9f,
    0xff9b8585,
    0xffedd9d6,
    0xffada196,
    0xffa09892,
    0xffd6cbbd,
    0xffb19d7c,
    0xffe1c6a6,
    0xffcdb1a2,
    0xffd6bfaf,
    0xffc4ae90,
    0xffdec29d,
    0xffe8c7a0,
    0xffffe4ad,
    0xffeacea1,
    0xffb79362,
    0xffb9832e,
    0xffac6316,
    0xffa35513,
    0xff882f07,
    0xff721a0f,
    0xff731c1a,
    0xff7e190c,
    0xff710900,
    0xff931f14,
    0xffa91c17,
    0xff460609,
    0xff470207,
    0xff470009,
    0xff490009,
    0xff470003,
    0xff530508,
    0xff5d060a,
    0xff5d0101,
    0xff500003,
    0xff4b0209,
    0xff48040f,
    0xff46020d,
    0xff470008,
    0xff440005,
    0xff460407,
    0xff45030b,
    0xff43010d,
    0xff420007,
    0xff47020a,
    0xff330012,
    0xff332e4d,
    0xff3b658d,
    0xff2f669b,
    0xff234c91,
    0xff144788,
    0xff0a3a7e,
    0xff133d82,
    0xff1a4588,
    0xff174489,
    0xff0f3d81,
    0xff14417d,
    0xff365d8f,
    0xff253553,
    0xff2c2338,
    0xff4f263a,
    0xff563045,
    0xff1b162a,
    0xff27263c,
    0xff321e35,
    0xff2f1a30,
    0xff2b4878,
    0xff295994,
    0xff1a5180,
    0xff3f4b82,
    0xff303e84,
    0xff364788,
    0xff665d80,
    0xff963a59,
    0xffaf2227,
    0xffb21721,
    0xffb30f1f,
    0xffba1a2a,
    0xffa30e1a,
    0xff8e0008,
    0xff9c0510,
    0xffa1010e,
    0xff9c0512,
    0xffa70111,
    0xffac0210,
    0xffae050d,
    0xffbf0510,
    0xffc60114,
    0xffa50d19,
    0xff620303,
    0xff9d0310,
    0xffac0511,
    0xffb5020c,
    0xffbb0310,
    0xffbe0213,
    0xffbd0214,
    0xffbb0111,
    0xffbd0312,
    0xffb60610,
    0xffb90c18,
    0xffb41120,
    0xff900311,
    0xff77050c,
    0xff640209,
    0xff630108,
    0xff6b020c,
    0xff7c070d,
    0xff820e10,
    0xff700000,
    0xff700000,
    0xff8a070c,
    0xffb41c27,
    0xffb20612,
    0xffb00005,
    0xff860200,
    0xff85000d,
    0xff72000b,
    0xff760000,
    0xff7c040c,
    0xff852c45,
    0xff67536e,
    0xff8e678f,
    0xff701a35,
    0xff6f0005,
    0xff6e0205,
    0xff730012,
    0xff730007,
    0xff8f101c,
    0xffde5562,
    0xffcb5b58,
    0xffc56e68,
    0xffe27f8a,
    0xff5b3d3f,
    0xff29060f,
    0xff71091c,
    0xff6b0007,
    0xff5f0204,
    0xff5f000c,
    0xff532842,
    0xff3d4d78,
    0xff204981,
    0xff2a4d86,
    0xff2e5989,
    0xff426a9f,
    0xff4667a2,
    0xff3c6094,
    0xff5f6388,
    0xff644c5e,
    0xff531e2c,
    0xff811c1f,
    0xff8e090a,
    0xff94020d,
    0xffa10713,
    0xff960d2a,
    0xff582d5d,
    0xff402865,
    0xff321333,
    0xff3e0911,
    0xff4f0817,
    0xff570304,
    0xff620500,
    0xff610014,
    0xff400609,
    0xff3b0405,
    0xff2d081a,
    0xff485581,
    0xff0d447f,
    0xff0a4185,
    0xff113b86,
    0xff113c8b,
    0xff0f3f88,
    0xff0f4188,
    0xff0c3e85,
    0xff0d3f86,
    0xff083d83,
    0xff053b81,
    0xff053b81,
    0xff0a4086,
    0xff0c4286,
    0xff10458b,
    0xff0f448a,
    0xff11458f,
    0xff10468f,
    0xff0f4590,
    0xff124892,
    0xff124693,
    0xff0d4190,
    0xff0b408f,
    0xff093d8b,
    0xff08418b,
    0xff08428b,
    0xff09438a,
    0xff0d4a90,
    0xff104d90,
    0xff124f93,
    0xff154f97,
    0xff114993,
    0xff154b96,
    0xff154793,
    0xff14468f,
    0xff0f4087,
    0xff103f88,
    0xff0d3f84,
    0xff0e3c81,
    0xff0c397d,
    0xff063277,
    0xff083075,
    0xff022c6f,
    0xff012b6d,
    0xff012d6c,
    0xff002c6c,
    0xff002a69,
    0xff002b67,
    0xff032f6c,
    0xff05316e,
    0xff0e3b78,
    0xff133f7c,
    0xff15417f,
    0xff184887,
    0xff194a8b,
    0xff144587,
    0xff144586,
    0xff124488,
    0xff0d4385,
    0xff073f80,
    0xff053c7d,
    0xff053d85,
    0xff063d87,
    0xff083e88,
    0xff063c86,
    0xff093d87,
    0xff093e86,
    0xff0a3d86,
    0xff093d85,
    0xff073c87,
    0xff073c87,
    0xff083d86,
    0xff083b85,
    0xff073a84,
    0xff0a3b83,
    0xff093c7e,
    0xff0a3b7d,
    0xff0a3c7e,
    0xff0b3c7e,
    0xff0c3d7f,
    0xff08397e,
    0xff093b7f,
    0xff07367b,
    0xff06357d,
    0xff07367e,
    0xff04337b,
    0xff03337c,
    0xff083880,
    0xff083a81,
    0xff083a81,
    0xff0a3a82,
    0xff0d3d85,
    0xff0d3c83,
    0xff0e3c87,
    0xff0e3d87,
    0xff124189,
    0xff0d3c82,
    0xff0c3b81,
    0xff0d3c82,
    0xff0b3b83,
    0xff08377f,
    0xff0b377a,
    0xff093679,
    0xff093679,
    0xff0b367a,
    0xff0b367a,
    0xff0b367a,
    0xff0e377b,
    0xff0e367a,
    0xff0a3579,
    0xff0a3678,
    0xff093574,
    0xff0a3674,
    0xff073372,
    0xff093574,
    0xff0b3878,
    0xff0e397c,
    0xff153d7b,
    0xff0f3976,
    0xff133c7a,
    0xff103a78,
    0xff0f3b78,
    0xff103d7b,
    0xff0e3d7a,
    0xff0d3b79,
    0xff0a3871,
    0xff0a3771,
    0xff0b3873,
    0xff0b3873,
    0xff0b3873,
    0xff093671,
    0xff083570,
    0xff08346f,
    0xff08376c,
    0xff06337a,
    0xff10317e,
    0xff203764,
    0xff203451,
    0xff1c3064,
    0xff192a63,
    0xff495368,
    0xff665d65,
    0xff707d92,
    0xff1b366a,
    0xff182e78,
    0xff413b5f,
    0xff856761,
    0xffa96b67,
    0xffa01b1d,
    0xff9c1418,
    0xffb6302e,
    0xffa72515,
    0xffcd5135,
    0xffcb532b,
    0xffa42805,
    0xff8f0a00,
    0xffc5342e,
    0xffcb4334,
    0xffb23613,
    0xfff58b3d,
    0xffffb436,
    0xffe39000,
    0xffe68f0e,
    0xffc97503,
    0xffc87a01,
    0xffe88720,
    0xffc04c04,
    0xffb0260b,
    0xffa00e08,
    0xff8d0501,
    0xff8d0d06,
    0xff850a01,
    0xff7f0400,
    0xffd7503b,
    0xffc53c25,
    0xffbb2f1d,
    0xffae220c,
    0xffa81c0b,
    0xffbc3c28,
    0xff810e01,
    0xffc65b4d,
    0xff982818,
    0xffbc4b34,
    0xffb03a1e,
    0xffbf401b,
    0xffc14916,
    0xffbb5510,
    0xffc27017,
    0xffbc6f0c,
    0xffb35d01,
    0xffb55c06,
    0xff9d4c00,
    0xffb05612,
    0xffa8571b,
    0xff9d5b23,
    0xffa74221,
    0xffa31a0e,
    0xffa11704,
    0xff941510,
    0xff951b0c,
    0xffb42b16,
    0xffc4392a,
    0xffc64a2e,
    0xffa32409,
    0xff8d0000,
    0xffad2f15,
    0xffaf351e,
    0xff971a0a,
    0xff8f0d00,
    0xffa41912,
    0xffa01a17,
    0xff9b3131,
    0xff8e3e3c,
    0xff7a3734,
    0xff5d2622,
    0xff7c453d,
    0xff7e2f1a,
    0xffa83b29,
    0xffa0231a,
    0xff9f1613,
    0xffac1911,
    0xffa61401,
    0xffa70e10,
    0xffa60d11,
    0xffa1140b,
    0xff892623,
    0xff4a2233,
    0xff4c2141,
    0xff85153a,
    0xff882225,
    0xff5d2325,
    0xff711416,
    0xff9b0605,
    0xffbb0e1a,
    0xffba1420,
    0xffc53230,
    0xffa10508,
    0xffcc3134,
    0xffcf413b,
    0xffca433d,
    0xffdf3f47,
    0xffab1520,
    0xff8d090e,
    0xff970008,
    0xff860000,
    0xffc65339,
    0xff792315,
    0xff7c1013,
    0xffa21d1d,
    0xff7f0e04,
    0xff881517,
    0xff850411,
    0xffb2494a,
    0xffc97451,
    0xffac5206,
    0xffa53900,
    0xffab2c0c,
    0xffac260c,
    0xff9e1500,
    0xff930b01,
    0xff8e0300,
    0xff99030e,
    0xff960003,
    0xff9b1c14,
    0xff730a00,
    0xffd05f44,
    0xffaf3c1a,
    0xff6f1607,
    0xffb27580,
    0xff764f41,
    0xff796168,
    0xff2c223f,
    0xff8f828f,
    0xff383547,
    0xff113058,
    0xff143c5d,
    0xff292d53,
    0xff5b3947,
    0xff343b5b,
    0xff244976,
    0xff1b3861,
    0xff1a2f57,
    0xff162d56,
    0xff372b46,
    0xffa35e61,
    0xffc66b45,
    0xffc7603f,
    0xffc0562e,
    0xffb85125,
    0xffbb4d30,
    0xffd35440,
    0xffb93926,
    0xff9d241a,
    0xff9a1c1f,
    0xffa72c26,
    0xff942426,
    0xff4e0000,
    0xffa73917,
    0xffea6725,
    0xffe37619,
    0xfff3861b,
    0xffe2660c,
    0xffbb4c0a,
    0xffd8622f,
    0xffa62d04,
    0xff832601,
    0xffa96333,
    0xff976533,
    0xff634f2f,
    0xff515b41,
    0xff4b4e37,
    0xff494936,
    0xff3e4a35,
    0xff393e2d,
    0xff4b2f23,
    0xff702a26,
    0xff7a201d,
    0xff782324,
    0xff66261b,
    0xff66180d,
    0xff820403,
    0xffa00507,
    0xff8a0000,
    0xff931c0a,
    0xffba4829,
    0xffc6573a,
    0xffb64227,
    0xffc65037,
    0xffa63620,
    0xff7a0f02,
    0xff7d0402,
    0xff9a0f0c,
    0xffa70902,
    0xffa00002,
    0xff930406,
    0xff9b010b,
    0xff9e000b,
    0xff900d10,
    0xff820d0c,
    0xff780002,
    0xff76040b,
    0xff7b010a,
    0xff770407,
    0xff740102,
    0xff760000,
    0xff7c1817,
    0xffca938a,
    0xffebd1c9,
    0xff90716b,
    0xff995c30,
    0xffa55d2b,
    0xffae4c26,
    0xffb23826,
    0xffd15a40,
    0xffa13b0e,
    0xff9f340e,
    0xff98160b,
    0xff9a0d0c,
    0xff710000,
    0xffb65f0b,
    0xffea8f31,
    0xfff18f2c,
    0xffe58117,
    0xffbc4302,
    0xffb32300,
    0xffcf3113,
    0xffc32215,
    0xff970709,
    0xff720002,
    0xff6d0305,
    0xff750000,
    0xff8c0a11,
    0xff8c0d18,
    0xff700404,
    0xff7d0700,
    0xffa31c06,
    0xffb5240a,
    0xffbb2c07,
    0xffb22206,
    0xffaf2008,
    0xffc1340c,
    0xffc2440d,
    0xffbe4512,
    0xffb94919,
    0xffad4b18,
    0xffac5a27,
    0xff9c6433,
    0xffb19067,
    0xffe9cdad,
    0xff8b5738,
    0xfffec9bb,
    0xff895b5d,
    0xff9f7776,
    0xff571e14,
    0xff6d1304,
    0xff982b14,
    0xff962a0d,
    0xffa22c1c,
    0xff961b0c,
    0xff961b0e,
    0xff921a11,
    0xff810a09,
    0xff800c0a,
    0xff7d0402,
    0xff810001,
    0xffaa1e1b,
    0xffa82c1a,
    0xff811c04,
    0xff6a1713,
    0xffd08f9a,
    0xffcda791,
    0xffe0c8a0,
    0xffbca293,
    0xffb28589,
    0xffaf858c,
    0xffad8f8e,
    0xffcebeae,
    0xffb5ad98,
    0xff464233,
    0xff767367,
    0xff8e8e7f,
    0xff372d27,
    0xffbba9a5,
    0xff432f2d,
    0xffc4b6b3,
    0xffbab3af,
    0xff42453d,
    0xffbbbcb4,
    0xff73726c,
    0xff857a78,
    0xff261f12,
    0xff716559,
    0xff66514f,
    0xff75605d,
    0xff7e6f67,
    0xff8a8077,
    0xff423c3a,
    0xff73716e,
    0xff262926,
    0xff434948,
    0xff2e3334,
    0xff383635,
    0xff7b6e65,
    0xffc8ad9b,
    0xffe8cab0,
    0xff443f41,
    0xff817e7f,
    0xff2f2727,
    0xff7d7372,
    0xff746969,
    0xff756b6a,
    0xff4d453f,
    0xff746e66,
    0xff4a4743,
    0xff837f7c,
    0xff72706d,
    0xff252320,
    0xff494542,
    0xff575550,
    0xffb2afa5,
    0xff5a554b,
    0xff605450,
    0xff4e423b,
    0xff695e56,
    0xff41362c,
    0xffa0978b,
    0xff54483e,
    0xff413028,
    0xff837369,
    0xff3e2a16,
    0xffa08e78,
    0xfff6e6d5,
    0xff867c72,
    0xff3f3b38,
    0xff535355,
    0xff3f3d3d,
    0xff5c5757,
    0xff575057,
    0xff4b484e,
    0xff616067,
    0xff272121,
    0xff5f5144,
    0xff6b5548,
    0xffa9928c,
    0xff967f7b,
    0xffcdc093,
    0xffe2cb94,
    0xffeac98f,
    0xfffadfa1,
    0xffd3be9a,
    0xffa98a70,
    0xffa56f37,
    0xffa75925,
    0xff963f07,
    0xff782800,
    0xff7b423e,
    0xfffecfd6,
    0xff8e5545,
    0xffb26a67,
    0xff640316,
    0xff89030f,
    0xff460203,
    0xff440204,
    0xff440408,
    0xff400305,
    0xff450508,
    0xff4d0104,
    0xff600008,
    0xff6d0008,
    0xff530106,
    0xff490008,
    0xff49010f,
    0xff45010d,
    0xff44010a,
    0xff430007,
    0xff410307,
    0xff3a0005,
    0xff4f272d,
    0xff37080e,
    0xff410006,
    0xff42000f,
    0xff3c2444,
    0xff31537f,
    0xff174e89,
    0xff17458a,
    0xff174a91,
    0xff114185,
    0xff0e3c7f,
    0xff0c357f,
    0xff133f87,
    0xff1d4a8e,
    0xff235192,
    0xff1d4a89,
    0xff2c4670,
    0xff222644,
    0xff411e35,
    0xff5d334a,
    0xff39374e,
    0xff1b2848,
    0xff231f3a,
    0xff45314a,
    0xff474480,
    0xff2b448d,
    0xff194d89,
    0xff1d3e7b,
    0xff1e4683,
    0xff343e70,
    0xff6b3354,
    0xff9d0e34,
    0xffa51419,
    0xffb72128,
    0xffbf2230,
    0xff9a0511,
    0xff8e060d,
    0xff870509,
    0xff890304,
    0xff950404,
    0xffa7060d,
    0xffc20c1a,
    0xffbe0511,
    0xffb3050a,
    0xffbb0509,
    0xffc2000d,
    0xffb20717,
    0xff84030a,
    0xff9c030c,
    0xffab080f,
    0xffb2020a,
    0xffb7010a,
    0xffb9000c,
    0xffbb000e,
    0xffbc000c,
    0xffbf0411,
    0xffb9222a,
    0xffbd232e,
    0xff9a000c,
    0xff960c18,
    0xff79090f,
    0xff6b060e,
    0xff600008,
    0xff700616,
    0xff7f111a,
    0xff6b0004,
    0xff680000,
    0xff87050a,
    0xffb41726,
    0xffab0211,
    0xffad050e,
    0xff9f0506,
    0xff7c0002,
    0xff860006,
    0xff7c0100,
    0xff780300,
    0xff76050a,
    0xff81294b,
    0xff6c5477,
    0xff7a4168,
    0xff6b112b,
    0xff7a1316,
    0xff630000,
    0xff760015,
    0xff8e0d1b,
    0xffd64e59,
    0xffd34b56,
    0xffc45552,
    0xffc16a68,
    0xffc27478,
    0xff4b2625,
    0xff51161a,
    0xff60010e,
    0xff580516,
    0xff500f24,
    0xff43132f,
    0xff444c73,
    0xff315d8c,
    0xff376498,
    0xff406794,
    0xff457599,
    0xff496c96,
    0xff616f96,
    0xff6f778e,
    0xff514c60,
    0xff422a37,
    0xff652737,
    0xff9c171f,
    0xffb00d11,
    0xff8a020a,
    0xff890610,
    0xff8b112e,
    0xff3c386c,
    0xff213582,
    0xff243773,
    0xff242e52,
    0xff45345a,
    0xff4d0a20,
    0xff700b13,
    0xff5d001d,
    0xff44040d,
    0xff2d0003,
    0xff3a3442,
    0xff274574,
    0xff0b3a7f,
    0xff0d3d86,
    0xff0e3a82,
    0xff0f3984,
    0xff0a3b81,
    0xff083a81,
    0xff0a3b82,
    0xff0a4086,
    0xff0c4187,
    0xff083e84,
    0xff0a4086,
    0xff0d4489,
    0xff0c448b,
    0xff0d458e,
    0xff0e4690,
    0xff0b438e,
    0xff09418c,
    0xff08418e,
    0xff033d8b,
    0xff053e8e,
    0xff043f89,
    0xff08428c,
    0xff0a438d,
    0xff0f478f,
    0xff154c93,
    0xff13468d,
    0xff174a91,
    0xff174b92,
    0xff15468a,
    0xff16478a,
    0xff0f4082,
    0xff0b3b7e,
    0xff09397c,
    0xff063779,
    0xff063877,
    0xff00306e,
    0xff032c6c,
    0xff042b6c,
    0xff01296a,
    0xff042c6f,
    0xff093176,
    0xff0f3c80,
    0xff134286,
    0xff14458a,
    0xff134688,
    0xff14478a,
    0xff16498d,
    0xff16498c,
    0xff184a8f,
    0xff16498e,
    0xff14478b,
    0xff15468b,
    0xff0e3f83,
    0xff0a3b80,
    0xff093b81,
    0xff073c81,
    0xff043881,
    0xff033a81,
    0xff053b82,
    0xff053c86,
    0xff073d87,
    0xff073c86,
    0xff053983,
    0xff073c84,
    0xff0d3f86,
    0xff0a3c81,
    0xff0f3f84,
    0xff0d3c83,
    0xff083a78,
    0xff073979,
    0xff08387c,
    0xff08377e,
    0xff08377f,
    0xff093880,
    0xff08357b,
    0xff0b377e,
    0xff093b7d,
    0xff08397c,
    0xff08397c,
    0xff07387a,
    0xff09377e,
    0xff05347a,
    0xff07367e,
    0xff06357d,
    0xff083983,
    0xff083884,
    0xff083b87,
    0xff0a3e87,
    0xff0c4089,
    0xff0c4089,
    0xff0d3f88,
    0xff0a3c86,
    0xff0e3e88,
    0xff0e3e86,
    0xff0b3c82,
    0xff0b3c81,
    0xff0d3f81,
    0xff0b3c7f,
    0xff08397d,
    0xff08397e,
    0xff0d3a7d,
    0xff0c3a7c,
    0xff093478,
    0xff073276,
    0xff0a3176,
    0xff0a3176,
    0xff082f75,
    0xff0a3176,
    0xff063272,
    0xff0a3676,
    0xff073373,
    0xff063271,
    0xff053170,
    0xff063270,
    0xff063273,
    0xff053171,
    0xff043171,
    0xff073473,
    0xff043173,
    0xff013072,
    0xff023173,
    0xff073778,
    0xff053677,
    0xff043677,
    0xff0e3c75,
    0xff093970,
    0xff07366d,
    0xff05346b,
    0xff05336f,
    0xff093772,
    0xff0b3974,
    0xff0d3b76,
    0xff083b74,
    0xff0e387d,
    0xff123680,
    0xff19386c,
    0xff293e5e,
    0xff283261,
    0xff19306d,
    0xff133c66,
    0xff4c5364,
    0xff45474b,
    0xff7188a3,
    0xff243a73,
    0xff5b2d38,
    0xffae6049,
    0xffc27777,
    0xff720000,
    0xffa7291c,
    0xff8d0d00,
    0xffb63426,
    0xffcc4d39,
    0xffc74833,
    0xffb6341f,
    0xffed6252,
    0xffdc4d41,
    0xff890000,
    0xffcd542f,
    0xffcc6617,
    0xffdf8207,
    0xffe28502,
    0xfff09319,
    0xffe08b0d,
    0xffdc8d06,
    0xffc15700,
    0xffa52800,
    0xffa01500,
    0xffa10f0e,
    0xff940a09,
    0xff880700,
    0xff890b09,
    0xff860700,
    0xffb02b09,
    0xffad2707,
    0xffab2204,
    0xffa71b00,
    0xffa71a09,
    0xff8e0903,
    0xff85130e,
    0xffb95646,
    0xffa33727,
    0xffaf4422,
    0xffc04419,
    0xffcc3f1a,
    0xffc24d28,
    0xff9c5217,
    0xffb57620,
    0xffb76500,
    0xffb8680c,
    0xffb46703,
    0xffa75700,
    0xffb74e0e,
    0xff9e562b,
    0xff664622,
    0xffa44d3c,
    0xffa81b14,
    0xffd9634d,
    0xffb44935,
    0xff9e340c,
    0xffbc4716,
    0xff9d2100,
    0xffcd572e,
    0xff860d00,
    0xff9a120f,
    0xffb94a19,
    0xffa93b10,
    0xffab3217,
    0xff980c02,
    0xffa60d09,
    0xffac1911,
    0xffa82012,
    0xff9d210c,
    0xffaf210a,
    0xff881c0a,
    0xff9b3d27,
    0xffa02a0c,
    0xffb9220c,
    0xffb41614,
    0xffaa1417,
    0xffa4150e,
    0xffa01c11,
    0xffa70c13,
    0xff9e0e0e,
    0xff960e06,
    0xff8f0e20,
    0xff5c2240,
    0xff4c2a3c,
    0xff760a15,
    0xffce6a73,
    0xff5e272c,
    0xff781c1a,
    0xff980400,
    0xffa40000,
    0xffc82d30,
    0xffe2574a,
    0xffaa0f07,
    0xffc62e29,
    0xffca4036,
    0xffd8544b,
    0xffce2e32,
    0xff8f0001,
    0xff840209,
    0xff96000c,
    0xffa31217,
    0xffc13d28,
    0xff9d3829,
    0xff840e10,
    0xffe75c5f,
    0xff8f1e0f,
    0xff811509,
    0xff830e0d,
    0xff6d0d0b,
    0xff954943,
    0xffc87438,
    0xffb04208,
    0xffa31a06,
    0xffaf2010,
    0xffaa1706,
    0xffa30b10,
    0xff95000c,
    0xff9f181a,
    0xffdd4849,
    0xff901e11,
    0xff9c4c2d,
    0xffb24220,
    0xffae2a0c,
    0xff9f483b,
    0xff997581,
    0xff79554f,
    0xff70575e,
    0xff1b182e,
    0xff8e9197,
    0xff333543,
    0xff203a64,
    0xff1c3a5f,
    0xff362e50,
    0xff614658,
    0xff1e3151,
    0xff254b74,
    0xff344666,
    0xff303f5d,
    0xff2f4466,
    0xff423f5a,
    0xff6a3941,
    0xffb45c52,
    0xffbc543a,
    0xffb94929,
    0xffb54621,
    0xffae3c14,
    0xffd55440,
    0xffbe3b34,
    0xffaa3225,
    0xffaa2f2f,
    0xff991d14,
    0xff9b1f1d,
    0xff5c0000,
    0xffc25930,
    0xffb63f01,
    0xffc96017,
    0xffc85307,
    0xffa52900,
    0xffb34610,
    0xff9c2801,
    0xffb1351f,
    0xff871700,
    0xffe17937,
    0xffd87a2e,
    0xffad6942,
    0xff615141,
    0xff4a5241,
    0xff34462f,
    0xff413d2b,
    0xff5e3829,
    0xff75291d,
    0xff8c110c,
    0xffa50404,
    0xffa90302,
    0xff9e0208,
    0xff97000d,
    0xff94000d,
    0xff970012,
    0xff890000,
    0xff981502,
    0xffb53719,
    0xffce5930,
    0xffb13813,
    0xffb73920,
    0xff92150c,
    0xff7a0105,
    0xff7d0005,
    0xff9c090d,
    0xffaa070d,
    0xff970201,
    0xff920305,
    0xff9a010a,
    0xff9c000c,
    0xffc52d38,
    0xff9f1018,
    0xff84050b,
    0xff6f070a,
    0xff750403,
    0xff750607,
    0xff750008,
    0xff81010f,
    0xff7e0713,
    0xff6a0d0d,
    0xffa9554f,
    0xff83261d,
    0xffc5633f,
    0xffd57341,
    0xffbc4e23,
    0xffc54e39,
    0xffc45642,
    0xffbd582e,
    0xffd0652c,
    0xffa82d00,
    0xff930c14,
    0xff831500,
    0xfff09737,
    0xffc86612,
    0xffa83c00,
    0xffb74209,
    0xff9c1300,
    0xffc02108,
    0xffca2311,
    0xffc51f17,
    0xff950000,
    0xff870207,
    0xff7f0001,
    0xff870103,
    0xffaf242c,
    0xffa5212a,
    0xff921820,
    0xff9b1c07,
    0xffc0361c,
    0xffc93a1e,
    0xffb82902,
    0xffb62d06,
    0xffbd3c17,
    0xffc74c19,
    0xffdc561a,
    0xffcc5019,
    0xffaa3f12,
    0xffdc8a65,
    0xffe7b08e,
    0xffd0ac8e,
    0xffb89a84,
    0xffe3cebb,
    0xfffff7f4,
    0xffd2ad9b,
    0xff93573e,
    0xff8a2b1b,
    0xff921d14,
    0xff851204,
    0xff8f1c07,
    0xff981f06,
    0xff9a1f10,
    0xff8e1405,
    0xff941b07,
    0xff8f1a09,
    0xff982417,
    0xff8b1508,
    0xff941c0f,
    0xffa82b1b,
    0xffa81a15,
    0xff9c1909,
    0xff790c00,
    0xff67130f,
    0xffd897a0,
    0xffc3907c,
    0xffe1b78f,
    0xffbf9284,
    0xffc48c8e,
    0xffb48880,
    0xffddc2b3,
    0xffbcaea2,
    0xff858174,
    0xff716e5c,
    0xff908778,
    0xff6d5f59,
    0xff4b4242,
    0xff544949,
    0xffa1928f,
    0xffbcaea7,
    0xff8c847c,
    0xff5b584f,
    0xffa5a79f,
    0xff4c4d4a,
    0xff6a6562,
    0xff7c7162,
    0xffaf9e8d,
    0xff543f39,
    0xff735e59,
    0xff8a7968,
    0xff5b4f41,
    0xff493f3f,
    0xff717170,
    0xff474749,
    0xff6c7071,
    0xff616262,
    0xff5b594f,
    0xff928470,
    0xff5d4327,
    0xffad9070,
    0xff4e463f,
    0xff544f42,
    0xff7e7569,
    0xff382d25,
    0xffb1a4a3,
    0xff4a3e40,
    0xff3f3635,
    0xff85817c,
    0xff403a37,
    0xff736c68,
    0xff6f6964,
    0xff665f5b,
    0xffb1aba6,
    0xff56514d,
    0xff5e5b56,
    0xff4e4c47,
    0xff6d6565,
    0xff3d3434,
    0xffd4cfc8,
    0xff4c483e,
    0xff4e4840,
    0xff777069,
    0xff605655,
    0xff5d5252,
    0xffd0b3a9,
    0xffc1a298,
    0xffc0a59e,
    0xff473330,
    0xffb9acae,
    0xff948a8d,
    0xff5a4e50,
    0xffccc0bf,
    0xff413e3a,
    0xff565454,
    0xffb4b2ad,
    0xff554d3f,
    0xff9e907b,
    0xffa48e73,
    0xffc0a68b,
    0xffc1a792,
    0xffa7937a,
    0xffe6cca4,
    0xffd2b082,
    0xfff1d6a1,
    0xffb19b7e,
    0xff9a7d66,
    0xff8d581c,
    0xff994e14,
    0xffa7631f,
    0xff7f3902,
    0xff612d1b,
    0xffaa816e,
    0xffaf8253,
    0xffebb4a4,
    0xffc07f93,
    0xff550704,
    0xff460105,
    0xff450406,
    0xff410508,
    0xff3a0104,
    0xff3f0204,
    0xff4a0002,
    0xff620108,
    0xff750510,
    0xff560409,
    0xff4b000b,
    0xff44010d,
    0xff3f000e,
    0xff400009,
    0xff3d0006,
    0xff3f0109,
    0xff390107,
    0xff4e2d31,
    0xff330c11,
    0xff39020a,
    0xff3b0011,
    0xff2a0f2f,
    0xff243d72,
    0xff134789,
    0xff0d3f82,
    0xff0a3885,
    0xff0b3a7e,
    0xff0b3c7e,
    0xff134089,
    0xff144087,
    0xff174484,
    0xff1a4986,
    0xff18468b,
    0xff304a7f,
    0xff25375d,
    0xff321e36,
    0xff4b2742,
    0xff494a6e,
    0xff3e5b8e,
    0xff445183,
    0xff2b2448,
    0xff4a476d,
    0xff37558c,
    0xff275c95,
    0xff2b5795,
    0xff1a4e84,
    0xff4d4167,
    0xff87263c,
    0xffab0d26,
    0xffb41e2a,
    0xffa71f28,
    0xff881115,
    0xff6d0000,
    0xff710000,
    0xff870a0b,
    0xff8a0202,
    0xff8f0000,
    0xffac0409,
    0xffca101b,
    0xffc1020d,
    0xffb20007,
    0xffb90b0c,
    0xffb9010c,
    0xffba0717,
    0xff9f0313,
    0xff920108,
    0xffa2070c,
    0xffaa0209,
    0xffb2030c,
    0xffb5020e,
    0xffb4000e,
    0xffb7020d,
    0xffb8050e,
    0xffc02c42,
    0xffbb273c,
    0xff880007,
    0xff8d0c17,
    0xff7a0e13,
    0xff5f0608,
    0xff4e0001,
    0xff530006,
    0xff640007,
    0xff6b0001,
    0xff880509,
    0xffc62631,
    0xffbd081b,
    0xffa9000c,
    0xff940104,
    0xff820702,
    0xff790006,
    0xff770109,
    0xff730103,
    0xff6e0601,
    0xff660108,
    0xff7c1a3c,
    0xff745579,
    0xff542254,
    0xffa05269,
    0xff93383a,
    0xffa53d44,
    0xff90132b,
    0xffbb303e,
    0xffb62c33,
    0xffbe3d43,
    0xffd76464,
    0xffc2636e,
    0xff854d55,
    0xff491d1e,
    0xff5d0c11,
    0xff4d0009,
    0xff5a3d50,
    0xff6e6c94,
    0xff596495,
    0xff6071a0,
    0xff657eb1,
    0xff617eb6,
    0xff5778af,
    0xff5074a6,
    0xff536393,
    0xff72688d,
    0xff49384f,
    0xff2e2b4e,
    0xff483e5e,
    0xff5c3657,
    0xff902130,
    0xffb01117,
    0xff98000e,
    0xff89000e,
    0xff761027,
    0xff343d61,
    0xff13377b,
    0xff143c87,
    0xff183f84,
    0xff213979,
    0xff562f5b,
    0xff6f1e30,
    0xff4b0417,
    0xff48051b,
    0xff330211,
    0xff1b1a2d,
    0xff173b69,
    0xff0e377d,
    0xff0c3b84,
    0xff063f81,
    0xff093f85,
    0xff0b3e84,
    0xff0b3d84,
    0xff0c3e85,
    0xff0b4186,
    0xff0b4187,
    0xff0d4389,
    0xff11478d,
    0xff0d468b,
    0xff0a448c,
    0xff0b458e,
    0xff0a448e,
    0xff08428c,
    0xff09408c,
    0xff0a418e,
    0xff0b428e,
    0xff0d4492,
    0xff0f4b91,
    0xff0f478c,
    0xff1b5095,
    0xff215599,
    0xff18498d,
    0xff124186,
    0xff0d3d83,
    0xff09377e,
    0xff0a3478,
    0xff093272,
    0xff032d69,
    0xff002b68,
    0xff002b6d,
    0xff002d6f,
    0xff002f6e,
    0xff033771,
    0xff0a3a75,
    0xff0c3c7a,
    0xff144384,
    0xff154788,
    0xff0f4485,
    0xff0f458b,
    0xff0d478e,
    0xff074388,
    0xff0a4187,
    0xff0b4087,
    0xff0b4187,
    0xff0a3f88,
    0xff083e86,
    0xff093e86,
    0xff063c84,
    0xff033881,
    0xff083983,
    0xff0a3a85,
    0xff083a84,
    0xff053983,
    0xff073b86,
    0xff053984,
    0xff053984,
    0xff0a3c87,
    0xff063a80,
    0xff0b3c84,
    0xff0c3e84,
    0xff0b3d83,
    0xff0d3e81,
    0xff0b3a7e,
    0xff0e3b7f,
    0xff0f3a7d,
    0xff093872,
    0xff0a3875,
    0xff0b3778,
    0xff083579,
    0xff0a367c,
    0xff0a3780,
    0xff083780,
    0xff0a3981,
    0xff023476,
    0xff05367a,
    0xff093a7f,
    0xff0a3b81,
    0xff0d3f83,
    0xff0b3c81,
    0xff0e3f84,
    0xff103e85,
    0xff0d3d89,
    0xff093d88,
    0xff093e89,
    0xff0a4189,
    0xff063c84,
    0xff0a3f88,
    0xff073b84,
    0xff0b3c85,
    0xff093a81,
    0xff0a3b80,
    0xff093a7d,
    0xff0a3b7d,
    0xff09397b,
    0xff043477,
    0xff07387a,
    0xff07387a,
    0xff0a377a,
    0xff0a3579,
    0xff073276,
    0xff053074,
    0xff073276,
    0xff063175,
    0xff073276,
    0xff0a3579,
    0xff0c367b,
    0xff083376,
    0xff063173,
    0xff083473,
    0xff073372,
    0xff093576,
    0xff093378,
    0xff083378,
    0xff09397b,
    0xff0b3b7e,
    0xff0e3f82,
    0xff0f4284,
    0xff104385,
    0xff0d3f82,
    0xff0e3f81,
    0xff0b3c7e,
    0xff0f3c77,
    0xff113f7a,
    0xff103e79,
    0xff113f7a,
    0xff0f3d78,
    0xff0e3c77,
    0xff0c3a75,
    0xff0d3b77,
    0xff0b3c73,
    0xff13386b,
    0xff123763,
    0xff073668,
    0xff0c376f,
    0xff1f3b60,
    0xff203851,
    0xff11315b,
    0xff15325b,
    0xff525960,
    0xff4c5a56,
    0xff727488,
    0xff7d362e,
    0xff963723,
    0xffb4707e,
    0xff9c3b2c,
    0xffa83826,
    0xffc54f3c,
    0xffc2492e,
    0xffa92e0d,
    0xffc44828,
    0xffef6f57,
    0xffba3122,
    0xff900200,
    0xff9b0700,
    0xffc8482c,
    0xffd77127,
    0xffca6d00,
    0xffe88d0b,
    0xffda8203,
    0xffd17400,
    0xffeb841c,
    0xffd76615,
    0xffa12000,
    0xffae2108,
    0xffa51712,
    0xff930a0b,
    0xff8a0802,
    0xff8e0d14,
    0xff8d0b00,
    0xffd4512b,
    0xffc03f19,
    0xffb02d07,
    0xffb72b0d,
    0xffc3311f,
    0xff9d120d,
    0xffb13a2f,
    0xffb34f37,
    0xffaf412b,
    0xffb7491f,
    0xffb53f0f,
    0xffbb4624,
    0xff9c4932,
    0xff784926,
    0xff9d6a21,
    0xffbb6a08,
    0xffb26309,
    0xffb66602,
    0xffa85900,
    0xffaf4406,
    0xff874526,
    0xff5c4431,
    0xff9a4441,
    0xffe15f59,
    0xffbd5843,
    0xff8f270c,
    0xffe67a4c,
    0xffb8490f,
    0xffb03b0d,
    0xffd55a3b,
    0xffa82a1a,
    0xff9f231c,
    0xffb64714,
    0xffc14c22,
    0xffa92f11,
    0xffa81006,
    0xffa80704,
    0xffad1c0d,
    0xffa41400,
    0xffa11800,
    0xffb72e0e,
    0xffaa250b,
    0xff991e00,
    0xffa42a04,
    0xffb0270e,
    0xffaf1311,
    0xffb01813,
    0xffb02a0d,
    0xffaa210f,
    0xffa90a0d,
    0xffb12123,
    0xff971a15,
    0xff8e1219,
    0xff88192c,
    0xff8e1c2a,
    0xff8e0000,
    0xffcd7278,
    0xff4f1318,
    0xff7a1712,
    0xff970600,
    0xffaa100d,
    0xffba2520,
    0xffe25948,
    0xffb21b0c,
    0xffe75044,
    0xffcc473b,
    0xffe35c56,
    0xffb11514,
    0xff8e0000,
    0xff870408,
    0xff8c0001,
    0xffd1433b,
    0xffb42d22,
    0xffb04031,
    0xff870200,
    0xffbb2419,
    0xffac2a13,
    0xff9c2b16,
    0xff80160e,
    0xff6b1714,
    0xff62161f,
    0xffe38c66,
    0xffa4300a,
    0xffa51d0e,
    0xffb12611,
    0xffa41d04,
    0xffb52a22,
    0xff970a0b,
    0xff800000,
    0xffbf2925,
    0xff921e16,
    0xff943927,
    0xff961305,
    0xff960b00,
    0xffeca79b,
    0xffb49895,
    0xff724543,
    0xff804444,
    0xff4b2531,
    0xff8b8382,
    0xff35363e,
    0xff172b54,
    0xff1b3051,
    0xff604e66,
    0xff493c4f,
    0xff233f5a,
    0xff193e5d,
    0xff33495e,
    0xff2f4a57,
    0xff2e5665,
    0xff3c5866,
    0xff42464d,
    0xff7f464d,
    0xffa85141,
    0xffb1402b,
    0xffa93517,
    0xffc34e25,
    0xffc74933,
    0xffb6322e,
    0xffba3c2d,
    0xffad3024,
    0xffa62609,
    0xffb42f1f,
    0xff710000,
    0xffa92c28,
    0xff981808,
    0xffa0310e,
    0xffb53509,
    0xffb13e16,
    0xff921800,
    0xff9c1501,
    0xff860406,
    0xff7c0900,
    0xfffb9250,
    0xffe6812e,
    0xffcb723c,
    0xff6f3b36,
    0xff4b5744,
    0xff3c553c,
    0xff6f423b,
    0xff862421,
    0xff750b03,
    0xff860c02,
    0xffa60707,
    0xffa70500,
    0xffa80000,
    0xffa40002,
    0xff980301,
    0xff950709,
    0xffb32318,
    0xffc6391d,
    0xffca4424,
    0xffc85221,
    0xffc64f24,
    0xff8f1100,
    0xff810000,
    0xff850105,
    0xff990809,
    0xffa10409,
    0xffa60110,
    0xff910603,
    0xff940107,
    0xff99020d,
    0xff8d0009,
    0xff870409,
    0xff9f171f,
    0xff88040c,
    0xff780009,
    0xff760000,
    0xff750104,
    0xff7b010c,
    0xff800010,
    0xff76000a,
    0xff770609,
    0xff680000,
    0xff780000,
    0xff870d03,
    0xffdc6741,
    0xffde6c3b,
    0xfff68865,
    0xffea8270,
    0xffb95539,
    0xffc86327,
    0xffc95a0b,
    0xff9b2400,
    0xff8b1c04,
    0xff8b2000,
    0xffac3c0e,
    0xffe87141,
    0xff9e2003,
    0xffa0130b,
    0xffa20600,
    0xffa90700,
    0xffaa0b05,
    0xff970002,
    0xff940206,
    0xff9d0a0a,
    0xffae1b1b,
    0xffb02022,
    0xff9f1318,
    0xff9f100f,
    0xffb62706,
    0xffb32100,
    0xffe04927,
    0xffc02b02,
    0xffb82a00,
    0xffb22b00,
    0xffc2410c,
    0xffc65511,
    0xffbf4c0a,
    0xffbb4915,
    0xffa15032,
    0xfff5d5c8,
    0xffa99598,
    0xfffde8e8,
    0xffeaddcd,
    0xff5f3424,
    0xff945a3b,
    0xff8c3d11,
    0xff8c2903,
    0xffa83c1f,
    0xff91240d,
    0xff801004,
    0xff8c1314,
    0xff9d1c12,
    0xff9b1d10,
    0xff98200c,
    0xff921e09,
    0xff8d1c09,
    0xff91220b,
    0xffbc4f31,
    0xffa23414,
    0xff921d03,
    0xffa62608,
    0xffb8461d,
    0xff83371c,
    0xffdaada3,
    0xffbb9983,
    0xffd4a789,
    0xffcb9085,
    0xffbd8c84,
    0xffbb987c,
    0xffd3c1a1,
    0xffc6bfac,
    0xff58544a,
    0xff716c58,
    0xff4b3d29,
    0xffa18b84,
    0xff5d5b50,
    0xff5c5a4b,
    0xffcfcab5,
    0xffa39d85,
    0xff6d6751,
    0xff423d31,
    0xff3b3a38,
    0xff505256,
    0xff6c665e,
    0xffa38f75,
    0xffad9073,
    0xff5d4130,
    0xff977f6d,
    0xff60492b,
    0xff85705a,
    0xff362521,
    0xff998d86,
    0xff60534d,
    0xff54463e,
    0xffb3a092,
    0xff452e12,
    0xfff3d6ae,
    0xfff6d0a3,
    0xfffcd3a6,
    0xff5d462e,
    0xff9b886b,
    0xff806d4e,
    0xff6b5a42,
    0xffb1a295,
    0xff534440,
    0xff3b2e29,
    0xff9a8e84,
    0xff6f5f55,
    0xff5b4a3e,
    0xffaa978a,
    0xff645545,
    0xff4e4131,
    0xff787066,
    0xff4a4540,
    0xff534f50,
    0xff7e787a,
    0xff363030,
    0xff5d5755,
    0xff726c68,
    0xff494340,
    0xffaba4a1,
    0xff6a6162,
    0xff2f2729,
    0xffbda99d,
    0xff715b4e,
    0xffa7968a,
    0xff4b4139,
    0xff696663,
    0xff646460,
    0xff393732,
    0xff4e4840,
    0xff908b8d,
    0xff4a414b,
    0xff8d8285,
    0xff92857d,
    0xff524035,
    0xffc8b19c,
    0xffd6bba1,
    0xffbc9b89,
    0xff9a8174,
    0xffe2c6ad,
    0xffdcbf9e,
    0xffd5bd8f,
    0xffbda58b,
    0xffb39275,
    0xff8d5913,
    0xffb97127,
    0xffa16039,
    0xffba6d48,
    0xff783723,
    0xffb58d67,
    0xffc99e56,
    0xff7a4617,
    0xff996d61,
    0xff7f5d40,
    0xff400008,
    0xff420209,
    0xff44030c,
    0xff3f0009,
    0xff43020a,
    0xff4d040b,
    0xff600910,
    0xff73111a,
    0xff50060a,
    0xff3d0003,
    0xff3b020a,
    0xff36010c,
    0xff390109,
    0xff3b0007,
    0xff40020a,
    0xff3e020c,
    0xff310104,
    0xff31040a,
    0xff350711,
    0xff290610,
    0xff1b0e2c,
    0xff2f4580,
    0xff133c83,
    0xff0c397c,
    0xff0f3984,
    0xff0b3b79,
    0xff0e407d,
    0xff144589,
    0xff1d4a8d,
    0xff2a588e,
    0xff1e4b85,
    0xff16418a,
    0xff1a3b7d,
    0xff22446f,
    0xff2f2a40,
    0xff4b2439,
    0xff4a3d60,
    0xff323d72,
    0xff4c4476,
    0xff452342,
    0xff3a3743,
    0xff31506e,
    0xff2c4e7c,
    0xff36457d,
    0xff3b4b7a,
    0xff783155,
    0xffa21327,
    0xffaa1625,
    0xff8c0d1f,
    0xff6e010d,
    0xff5b0001,
    0xff5a0401,
    0xff690604,
    0xff7c0404,
    0xff910306,
    0xff9b0005,
    0xffb70a10,
    0xffbe0a15,
    0xffbd0915,
    0xffb5040f,
    0xffad010b,
    0xffae050e,
    0xffab0916,
    0xff97010d,
    0xff7f0004,
    0xff8e030a,
    0xff950005,
    0xffa0010b,
    0xffa40110,
    0xffa60514,
    0xffa7030e,
    0xffaa050f,
    0xff8c0528,
    0xff910d2a,
    0xff840519,
    0xff77030b,
    0xff610000,
    0xff590101,
    0xff4e0000,
    0xff4b0102,
    0xff6a0008,
    0xff8e0914,
    0xffd02e39,
    0xffc6141f,
    0xffb0050f,
    0xff9c040b,
    0xff820000,
    0xff790201,
    0xff770009,
    0xff710304,
    0xff740004,
    0xff6f010a,
    0xff6b030e,
    0xff7c021d,
    0xff66364e,
    0xff653964,
    0xff4e0f26,
    0xff390000,
    0xff7a131a,
    0xffb8364d,
    0xff8f050f,
    0xffa72122,
    0xffe1686a,
    0xffd15f60,
    0xffc16a72,
    0xff5a353e,
    0xff542e3d,
    0xff552132,
    0xff503849,
    0xff5d6a8f,
    0xff3e6396,
    0xff4b72aa,
    0xff49729d,
    0xff445b8d,
    0xff314d85,
    0xff264f84,
    0xff344b7a,
    0xff605b80,
    0xff3b304c,
    0xff362e4c,
    0xff3c3f72,
    0xff393b6e,
    0xff473869,
    0xff781830,
    0xffae0311,
    0xffb70017,
    0xffa10019,
    0xff7b1328,
    0xff3f3558,
    0xff173869,
    0xff14397e,
    0xff113584,
    0xff103d7d,
    0xff2a2e5f,
    0xff542e51,
    0xff462a3f,
    0xff2d0d26,
    0xff2b0018,
    0xff19122c,
    0xff123b67,
    0xff0e3d81,
    0xff123d86,
    0xff0a4087,
    0xff09468e,
    0xff0d4087,
    0xff0f4087,
    0xff0d4389,
    0xff0f448a,
    0xff0e448a,
    0xff0d4389,
    0xff0a4489,
    0xff084185,
    0xff0b468d,
    0xff0f488f,
    0xff10498f,
    0xff11478f,
    0xff10448e,
    0xff154791,
    0xff164893,
    0xff13458f,
    0xff124486,
    0xff164889,
    0xff184788,
    0xff073576,
    0xff033072,
    0xff032f72,
    0xff002e71,
    0xff002d74,
    0xff012d75,
    0xff023171,
    0xff0c3974,
    0xff113e7a,
    0xff164388,
    0xff103f87,
    0xff15458c,
    0xff114487,
    0xff0d4486,
    0xff0a4283,
    0xff0d4185,
    0xff073b80,
    0xff073b82,
    0xff063a80,
    0xff073c84,
    0xff023981,
    0xff093c81,
    0xff07397d,
    0xff04377a,
    0xff02357a,
    0xff07397f,
    0xff083b80,
    0xff0a3c82,
    0xff0a3b83,
    0xff0b3b83,
    0xff0b3a83,
    0xff0a3c83,
    0xff093f85,
    0xff0a3f85,
    0xff114389,
    0xff134489,
    0xff124389,
    0xff114388,
    0xff124489,
    0xff104186,
    0xff0c3f81,
    0xff06387a,
    0xff08377b,
    0xff0a377a,
    0xff0b3579,
    0xff083877,
    0xff08377a,
    0xff08387c,
    0xff08397e,
    0xff08377f,
    0xff063880,
    0xff073a82,
    0xff093b82,
    0xff0c3b83,
    0xff0c3c84,
    0xff0b3b84,
    0xff0e3f84,
    0xff0d3e83,
    0xff0b3c81,
    0xff0e3f84,
    0xff0e3f84,
    0xff0e3f85,
    0xff0c3d85,
    0xff0b3c84,
    0xff0a3e82,
    0xff0c3d83,
    0xff0b3d81,
    0xff083a7f,
    0xff0c3d81,
    0xff0c3a7f,
    0xff0e3b7f,
    0xff0c397b,
    0xff0c3a7b,
    0xff0c397a,
    0xff0b3977,
    0xff0b3979,
    0xff093576,
    0xff083478,
    0xff083578,
    0xff063476,
    0xff0a377a,
    0xff033073,
    0xff053174,
    0xff043174,
    0xff073476,
    0xff09367a,
    0xff09367a,
    0xff0b387b,
    0xff0a377a,
    0xff0e3b7e,
    0xff0d3a7d,
    0xff0d3a7e,
    0xff0b387c,
    0xff0e3d82,
    0xff083a7d,
    0xff0b3c7f,
    0xff0b3e83,
    0xff0a3e7f,
    0xff09397b,
    0xff0d3d7d,
    0xff0e3c7a,
    0xff0b3975,
    0xff0d3c78,
    0xff093773,
    0xff093772,
    0xff093772,
    0xff0c3a75,
    0xff0a3970,
    0xff08376f,
    0xff0f3a74,
    0xff143b6b,
    0xff134065,
    0xff0c4073,
    0xff0a3d7d,
    0xff153f64,
    0xff354a57,
    0xff4c5168,
    0xff264164,
    0xff2c3c5b,
    0xff545656,
    0xff6b605e,
    0xffaa786d,
    0xff571915,
    0xfffcc8e2,
    0xff661606,
    0xff731005,
    0xff8c210f,
    0xff9c2b0f,
    0xffdb6346,
    0xffdc6346,
    0xff9b1d09,
    0xff8b0800,
    0xff930a08,
    0xffae1b15,
    0xffd6563a,
    0xffd7661d,
    0xffd76904,
    0xffcd6503,
    0xfff79c2d,
    0xffbd5d00,
    0xffc14f0b,
    0xffc95718,
    0xffac2e0a,
    0xffc63d28,
    0xff940b00,
    0xff96130f,
    0xff85050d,
    0xff88070a,
    0xff9a1907,
    0xffaf2907,
    0xffe16230,
    0xffd6541d,
    0xffb22903,
    0xffa91406,
    0xffa51207,
    0xffae2f1b,
    0xffb04222,
    0xffb53f21,
    0xffb44019,
    0xffb95831,
    0xff8b5036,
    0xff6d5246,
    0xff624637,
    0xff885428,
    0xffba6f25,
    0xffb6650f,
    0xffb95c03,
    0xffb55e07,
    0xffb9541e,
    0xffa15e46,
    0xff5b2e25,
    0xffbf5a5c,
    0xffc0594f,
    0xff9d3730,
    0xffc04732,
    0xffd14f32,
    0xffa73010,
    0xff931905,
    0xff8a0000,
    0xff850000,
    0xff982b18,
    0xffa23c19,
    0xffb64624,
    0xff9e290c,
    0xffa60c01,
    0xffa80902,
    0xffae2513,
    0xffab1905,
    0xffb3230a,
    0xffa72600,
    0xffbd2e11,
    0xffb11f07,
    0xffa72105,
    0xffa31e09,
    0xffaa1510,
    0xffb2190f,
    0xffab1c04,
    0xffa71d06,
    0xffac130c,
    0xffb21317,
    0xffaa1216,
    0xff9a0d0f,
    0xffa3141b,
    0xff9f0d14,
    0xffa51418,
    0xffb36861,
    0xff52120f,
    0xffcc5b50,
    0xffe3523f,
    0xffe6554a,
    0xffd03f3b,
    0xffca3f30,
    0xffe1473a,
    0xffc22a1b,
    0xffcc463c,
    0xffd3403d,
    0xff9d0600,
    0xffa1160c,
    0xff880000,
    0xffc23525,
    0xffc63d1c,
    0xffa5270f,
    0xffab361a,
    0xffa11e05,
    0xffb31c0e,
    0xffac1a0c,
    0xffbd3d2f,
    0xff97271e,
    0xff972d29,
    0xffae4b40,
    0xffd05e3a,
    0xffaa2203,
    0xffaa180a,
    0xffa21b01,
    0xffba4018,
    0xff8f1d00,
    0xff9f2b11,
    0xff7b0700,
    0xff920607,
    0xffa2282a,
    0xff84150b,
    0xff9a110e,
    0xff7d0a08,
    0xffffe0d7,
    0xff94776e,
    0xff8d504e,
    0xff912212,
    0xff8d2323,
    0xffaa7774,
    0xff504149,
    0xff3e4e6e,
    0xff2c3d52,
    0xff5a424d,
    0xff352f3e,
    0xff224251,
    0xff2d5368,
    0xff30485c,
    0xff395d66,
    0xff386165,
    0xff3a5c60,
    0xff355558,
    0xff544e4d,
    0xff9e635b,
    0xffb24838,
    0xffcb533b,
    0xffb63f27,
    0xffbd4031,
    0xffb93126,
    0xffcc4236,
    0xffc83832,
    0xffbb311a,
    0xff990c05,
    0xff900516,
    0xffb4192e,
    0xffa3080f,
    0xffad2e21,
    0xffb12a0f,
    0xffba3f21,
    0xffc73b1f,
    0xff970800,
    0xff910f0c,
    0xff931303,
    0xffc64a20,
    0xffb74716,
    0xffca652e,
    0xff7a3318,
    0xff593516,
    0xff72482c,
    0xff92241b,
    0xff9f0203,
    0xff9c0100,
    0xffa00000,
    0xffb9010e,
    0xffa90503,
    0xff9e040b,
    0xff8e0801,
    0xff820800,
    0xff830100,
    0xffb62b17,
    0xffc14216,
    0xffc14f21,
    0xffd35026,
    0xffc03f1a,
    0xff8a0500,
    0xff880000,
    0xffa3120a,
    0xffb6220a,
    0xffa71203,
    0xff9b0608,
    0xff880000,
    0xff94030a,
    0xff880007,
    0xff7c0006,
    0xff740002,
    0xff7b0304,
    0xff7d0006,
    0xff7a0008,
    0xff770203,
    0xff7a0004,
    0xff7f000a,
    0xff770009,
    0xff75040b,
    0xff720103,
    0xff780a06,
    0xff710500,
    0xff820801,
    0xffb93d2d,
    0xffe66f4d,
    0xffc4562e,
    0xff99300e,
    0xffb04728,
    0xffa1360a,
    0xffdd712b,
    0xffda691b,
    0xff881300,
    0xffa12624,
    0xffb02c1c,
    0xff9c1900,
    0xff8f1200,
    0xff8c070b,
    0xffa11109,
    0xffa41108,
    0xff980908,
    0xff8d0205,
    0xff8d0002,
    0xffc0282a,
    0xffcf3436,
    0xffb21a1e,
    0xff98030c,
    0xff950b02,
    0xffcb4620,
    0xffad2800,
    0xffb0270c,
    0xffd74a2a,
    0xffc33413,
    0xffaf1c01,
    0xffba2d0b,
    0xffb14106,
    0xffab3800,
    0xffac3406,
    0xff853011,
    0xffb8978b,
    0xffffffff,
    0xff9a7a72,
    0xff362407,
    0xffb28055,
    0xff6f2000,
    0xffa5451a,
    0xff8c290a,
    0xff8d2a0b,
    0xffab3e21,
    0xff8d1d0e,
    0xff841919,
    0xff92140c,
    0xffa42a1c,
    0xff9e2a17,
    0xffa12b19,
    0xffa12d1a,
    0xff901d09,
    0xffac3e21,
    0xff912704,
    0xff862105,
    0xff9d2c08,
    0xffc86b2d,
    0xff704101,
    0xffede2bb,
    0xffc9c0a1,
    0xffd7c09b,
    0xffcead90,
    0xffdac5a5,
    0xffe0d4af,
    0xffcdc5a3,
    0xffd2cdb3,
    0xffafa99b,
    0xff958e82,
    0xffe0d3c4,
    0xffbdb09d,
    0xff2b2b1f,
    0xffbebda8,
    0xffd1ccab,
    0xffe3d9b1,
    0xffd0c09c,
    0xffbfad98,
    0xffc6bab4,
    0xff908889,
    0xff978a78,
    0xffe0c196,
    0xfff5cb9a,
    0xffc6a37c,
    0xffbd9f78,
    0xffe3c394,
    0xffaf8f6b,
    0xffd8beb6,
    0xffab9a8f,
    0xff978378,
    0xffc8ac9e,
    0xffd9b89e,
    0xffd0a97d,
    0xffecc089,
    0xfff6c38d,
    0xfff3be8a,
    0xffe3b794,
    0xffeec99f,
    0xffe9cc9a,
    0xffefd9ae,
    0xfffff3d8,
    0xffa38f7e,
    0xffb8a693,
    0xffddcbb4,
    0xffc7ab96,
    0xffe4c7ad,
    0xff836948,
    0xff8d7752,
    0xffd1bc9e,
    0xffe1d3bd,
    0xffb3a8a3,
    0xffcfc6c8,
    0xff948b8a,
    0xff4b413f,
    0xff988e8c,
    0xff9d9290,
    0xffe5d8d7,
    0xffbbafae,
    0xfff4e7e6,
    0xfffcefeb,
    0xfffee5d2,
    0xffc1a692,
    0xffae9787,
    0xffa19186,
    0xff8d817e,
    0xff998d8e,
    0xff8a7d7c,
    0xff8a7b79,
    0xff9d9890,
    0xffe4dbdf,
    0xff93887e,
    0xffb6aa96,
    0xffaa9a8c,
    0xffd5c1a9,
    0xffcbb390,
    0xffc0a28a,
    0xffbca18f,
    0xffd4bba3,
    0xffc5b195,
    0xfffeeec8,
    0xffbda587,
    0xffb18b67,
    0xff8f5c08,
    0xff692900,
    0xff946117,
    0xff964c05,
    0xff824515,
    0xffdabfa0,
    0xff775528,
    0xff3d0a00,
    0xff744c42,
    0xffa18e8c,
    0xff3f040c,
    0xff43020d,
    0xff48000e,
    0xff45000d,
    0xff45000c,
    0xff49010d,
    0xff4b0008,
    0xff4c0005,
    0xff430405,
    0xff3c0408,
    0xff310107,
    0xff33040d,
    0xff35040a,
    0xff3b020d,
    0xff40020d,
    0xff40000c,
    0xff410104,
    0xff3d020b,
    0xff2b040b,
    0xff14050c,
    0xff242b47,
    0xff1e3674,
    0xff0d317b,
    0xff0d3577,
    0xff123a82,
    0xff12417c,
    0xff184e84,
    0xff134586,
    0xff184984,
    0xff184676,
    0xff184478,
    0xff164188,
    0xff1e458e,
    0xff26537f,
    0xff38374a,
    0xff4e1e2b,
    0xff532a41,
    0xff63486e,
    0xff6a3455,
    0xff6f1925,
    0xff6a1337,
    0xff652e59,
    0xff5e305b,
    0xff602952,
    0xff5d3852,
    0xff8e213a,
    0xffa2152a,
    0xff8c3244,
    0xff6d2734,
    0xff500009,
    0xff60010c,
    0xff650004,
    0xff6a0103,
    0xff720000,
    0xff8b0309,
    0xff9e010c,
    0xffc4161c,
    0xffac020c,
    0xffa7000e,
    0xffac0111,
    0xffaa000f,
    0xffa2030f,
    0xff92030b,
    0xff88040c,
    0xff720004,
    0xff86090e,
    0xff8c030a,
    0xff8e0008,
    0xff95010e,
    0xff9b0513,
    0xff99020c,
    0xffa41019,
    0xff892b4a,
    0xff893249,
    0xff6a0d1b,
    0xff5b0000,
    0xff7e1317,
    0xff760a0d,
    0xff7c1017,
    0xff720510,
    0xffa12130,
    0xffc72c3a,
    0xffca1623,
    0xffb00308,
    0xff930301,
    0xff7c0100,
    0xff7f0104,
    0xff820003,
    0xff790106,
    0xff740300,
    0xff880000,
    0xff840109,
    0xff770007,
    0xff8f0214,
    0xff6d222a,
    0xff622d41,
    0xff885667,
    0xff430301,
    0xff8c2830,
    0xff7a000d,
    0xff930e14,
    0xffd85a54,
    0xffd46060,
    0xffbf5250,
    0xffab6760,
    0xff43232b,
    0xff5b4261,
    0xff4d5071,
    0xff405e85,
    0xff35548d,
    0xff29538c,
    0xff254a7b,
    0xff1d5988,
    0xff4b659b,
    0xff5e77ab,
    0xff5e7ea8,
    0xff66627f,
    0xff4e2f3f,
    0xff37273a,
    0xff323a5f,
    0xff234b72,
    0xff284672,
    0xff3f3967,
    0xff73172b,
    0xff9e0007,
    0xffa60317,
    0xff920415,
    0xff711024,
    0xff3f2760,
    0xff133468,
    0xff0f397b,
    0xff0c347e,
    0xff003d7b,
    0xff0a3c75,
    0xff1d2e6a,
    0xff233769,
    0xff1b2a45,
    0xff2b1130,
    0xff1c1639,
    0xff0f416d,
    0xff0c4180,
    0xff153a85,
    0xff103b87,
    0xff0b3f8d,
    0xff0e4188,
    0xff0f4087,
    0xff0b4186,
    0xff0b4086,
    0xff073e84,
    0xff0d4389,
    0xff0e488d,
    0xff0e468b,
    0xff0e4489,
    0xff0f458a,
    0xff104489,
    0xff0f4186,
    0xff0d3e84,
    0xff09377e,
    0xff08357c,
    0xff043177,
    0xff062d71,
    0xff062d6e,
    0xff012869,
    0xff052d6d,
    0xff0a3473,
    0xff0b387a,
    0xff0b3c7f,
    0xff0e4184,
    0xff10428c,
    0xff0d4083,
    0xff0f417e,
    0xff0e3e80,
    0xff0b3882,
    0xff093686,
    0xff073685,
    0xff083984,
    0xff033983,
    0xff073a86,
    0xff073683,
    0xff0a3782,
    0xff0d3680,
    0xff0c357f,
    0xff083179,
    0xff0c347c,
    0xff063475,
    0xff053575,
    0xff083576,
    0xff09377b,
    0xff09367a,
    0xff0a387b,
    0xff0c3a7e,
    0xff0e3b80,
    0xff114186,
    0xff114286,
    0xff0f4285,
    0xff0d4082,
    0xff0d3f82,
    0xff0c3e7f,
    0xff0d3c7e,
    0xff0a397c,
    0xff093b80,
    0xff053a7e,
    0xff03387c,
    0xff00357a,
    0xff013678,
    0xff053678,
    0xff043478,
    0xff08357a,
    0xff08387f,
    0xff06377e,
    0xff063881,
    0xff0b3e87,
    0xff093d87,
    0xff073e84,
    0xff0a4385,
    0xff0b4485,
    0xff0f3f87,
    0xff0f3e88,
    0xff0a3b82,
    0xff0e3e86,
    0xff0e4185,
    0xff0b3d82,
    0xff0c3e82,
    0xff0b3d7f,
    0xff0e3d81,
    0xff0e3b7f,
    0xff0c3b7f,
    0xff0c3d80,
    0xff093b7d,
    0xff093879,
    0xff0c3b7c,
    0xff073375,
    0xff083479,
    0xff093378,
    0xff063173,
    0xff05316f,
    0xff053171,
    0xff0a3675,
    0xff053070,
    0xff073373,
    0xff0a387a,
    0xff093679,
    0xff093679,
    0xff093a7b,
    0xff0c3c7e,
    0xff0e3e80,
    0xff0d3e80,
    0xff0c3d7f,
    0xff0c3b80,
    0xff0c3b80,
    0xff0f3e83,
    0xff104082,
    0xff08397a,
    0xff0a397d,
    0xff0a3980,
    0xff09377d,
    0xff073679,
    0xff063677,
    0xff093a7d,
    0xff07387b,
    0xff053578,
    0xff083879,
    0xff0a3772,
    0xff0d3774,
    0xff0b3977,
    0xff0b3976,
    0xff0d3b78,
    0xff0f3d79,
    0xff0e3c77,
    0xff0f3e79,
    0xff0e3d75,
    0xff103e77,
    0xff153c7e,
    0xff0e4079,
    0xff0a3f7a,
    0xff123f77,
    0xff143d6e,
    0xff183c6a,
    0xff2e3c61,
    0xff524d57,
    0xff606b71,
    0xff243669,
    0xff34334d,
    0xff6c5e62,
    0xff6e6059,
    0xff806e70,
    0xffffe2fd,
    0xff5c0d03,
    0xff590000,
    0xffa64036,
    0xffbf5042,
    0xffcb5547,
    0xffa32a21,
    0xff850906,
    0xff8e0e11,
    0xff830105,
    0xffb32d2b,
    0xffbf421f,
    0xffd25507,
    0xffe55d0f,
    0xffca4d10,
    0xffaa4600,
    0xffd77d22,
    0xffde752f,
    0xff8d2000,
    0xff9b2200,
    0xffcd4934,
    0xff921000,
    0xff830500,
    0xff810214,
    0xff7f0201,
    0xff9b1a06,
    0xffaf2406,
    0xffa92700,
    0xffdb5a1f,
    0xffbe300c,
    0xffaa1100,
    0xffa91402,
    0xffba3518,
    0xffb43e1a,
    0xffba3e1a,
    0xffc34a2c,
    0xff9a4f35,
    0xff65614e,
    0xff596761,
    0xff7b6562,
    0xff82462f,
    0xff924b15,
    0xffbe6919,
    0xffc2570b,
    0xffb0560f,
    0xff96380b,
    0xffcd866c,
    0xffa76157,
    0xffbe4c4e,
    0xff954335,
    0xff8e1e29,
    0xffb0221c,
    0xff950100,
    0xff860200,
    0xff860008,
    0xff970116,
    0xff840005,
    0xffbd5a3d,
    0xffa5503a,
    0xff85250d,
    0xff9d3716,
    0xffb72611,
    0xffb61a0b,
    0xffb52e1b,
    0xffa10900,
    0xffbb2316,
    0xffb73202,
    0xffb02404,
    0xffa41405,
    0xffa4160a,
    0xffa81f0f,
    0xffa41d0a,
    0xffad2116,
    0xffae1d18,
    0xffb21817,
    0xffa2170f,
    0xff9f1711,
    0xffa41313,
    0xffa1070d,
    0xffab1518,
    0xffb22421,
    0xffb7322d,
    0xffa0594b,
    0xff682019,
    0xffc44638,
    0xffa91800,
    0xffb52a1d,
    0xffe55452,
    0xffbe2c25,
    0xffa20500,
    0xffc02516,
    0xffda524b,
    0xffb71a1d,
    0xffac170c,
    0xffd34c39,
    0xffd44434,
    0xffa62001,
    0xffcf4a0f,
    0xffb62907,
    0xffa82301,
    0xffa42207,
    0xff930a02,
    0xff8d0000,
    0xff8d0a06,
    0xff9e251b,
    0xffad3022,
    0xffa71d00,
    0xffd23817,
    0xffc71e0c,
    0xffd72d28,
    0xffa81207,
    0xff9f2003,
    0xffb6401d,
    0xff98260f,
    0xff7a1208,
    0xff83080d,
    0xff8e1516,
    0xff961c0e,
    0xff951008,
    0xff5e110d,
    0xffffffff,
    0xff684b48,
    0xff87433e,
    0xffbe2511,
    0xffa00000,
    0xff993f39,
    0xff5f4449,
    0xff394760,
    0xff3d4a58,
    0xff886b6c,
    0xff4b4e55,
    0xff416167,
    0xff3b5b6c,
    0xff4b6077,
    0xff44616f,
    0xff4a6367,
    0xff5c686d,
    0xff4f6569,
    0xff465f4b,
    0xff634038,
    0xffb45344,
    0xff941b05,
    0xffc2483f,
    0xffbe3c32,
    0xffaa200c,
    0xffc12c21,
    0xffbd1b26,
    0xff930000,
    0xff93000e,
    0xffa20727,
    0xffb8091a,
    0xffd32425,
    0xffa11409,
    0xffaa1c0f,
    0xff9f1605,
    0xffbb2013,
    0xffb02417,
    0xffa92715,
    0xffd23b1b,
    0xffb71608,
    0xff7c0000,
    0xfff08058,
    0xff9d3f07,
    0xffa94113,
    0xffb13514,
    0xffc5381b,
    0xffae1900,
    0xffae1601,
    0xffa10100,
    0xffaa0005,
    0xffa7030d,
    0xff950315,
    0xff7e040a,
    0xff700100,
    0xff6f0000,
    0xffac2614,
    0xffd65225,
    0xffd95327,
    0xffd73e24,
    0xffb4200d,
    0xff900000,
    0xffa91a1a,
    0xffcd3c29,
    0xffee6033,
    0xffd9572e,
    0xffaf3324,
    0xffa61718,
    0xff830001,
    0xff790007,
    0xff750005,
    0xff780107,
    0xff730003,
    0xff720404,
    0xff75050b,
    0xff6e0509,
    0xff780006,
    0xff800006,
    0xff7e0505,
    0xff780304,
    0xff82020a,
    0xff7c0009,
    0xff76020b,
    0xff740200,
    0xff870a0d,
    0xffca4b47,
    0xffbf4a29,
    0xffd06130,
    0xffed7e54,
    0xffe47757,
    0xffc45631,
    0xffce5628,
    0xff9a2205,
    0xffa01e09,
    0xffa2130d,
    0xff990f09,
    0xff820900,
    0xff8e1515,
    0xff8b080a,
    0xff930c09,
    0xff870608,
    0xff800207,
    0xff830001,
    0xffbc2528,
    0xffce3134,
    0xffa00308,
    0xffa1020e,
    0xffb6250f,
    0xffe36227,
    0xffc4490c,
    0xffa82902,
    0xffc74118,
    0xffca3e14,
    0xffbc2d0a,
    0xffc73915,
    0xffc9411f,
    0xffc0492a,
    0xff922d12,
    0xfffeceb3,
    0xffefe1c1,
    0xff51381f,
    0xff7d5640,
    0xffa38a6b,
    0xffefac87,
    0xffad5b25,
    0xffaa4614,
    0xff9b2b15,
    0xff841d12,
    0xff91331c,
    0xff9e2f12,
    0xff9d1a08,
    0xff871408,
    0xff8f1f10,
    0xff942513,
    0xff972414,
    0xff92180a,
    0xff9a1d0f,
    0xffaf3421,
    0xffc04c30,
    0xff871f10,
    0xff8d2d0f,
    0xffb47730,
    0xff817217,
    0xff8a9053,
    0xffdbddb4,
    0xffd1d09d,
    0xffd0d39a,
    0xffd3daa9,
    0xffb6b993,
    0xffd8d5b4,
    0xffd9d3b3,
    0xffcbc2ae,
    0xffbbb2af,
    0xffc9c2b7,
    0xff9c987d,
    0xff8b8382,
    0xffc1b6ad,
    0xffb7aa8c,
    0xffe3cda1,
    0xffebcea0,
    0xffffddb9,
    0xffe0bea9,
    0xff977b6f,
    0xffdac5a6,
    0xffffe5ab,
    0xfffbcc8a,
    0xffffe0a9,
    0xfff2cd97,
    0xffe9c387,
    0xfff3cc9e,
    0xffb08e83,
    0xffb2aea6,
    0xff958d85,
    0xff968279,
    0xffb39781,
    0xffecc6a0,
    0xfff1c794,
    0xffe0b181,
    0xffe5b182,
    0xfffac19a,
    0xfffecb9a,
    0xffffd99e,
    0xfffddfa9,
    0xffe8d0a7,
    0xffffeed1,
    0xffdec9ac,
    0xfff2d9b5,
    0xffdcb999,
    0xffdbb992,
    0xffd7b486,
    0xffe9ca96,
    0xffebd0a4,
    0xffcfbd9e,
    0xfff0e2d6,
    0xffffffff,
    0xffbdb1ae,
    0xffb2a4a0,
    0xffbeaeaa,
    0xffb1a0a0,
    0xffeddcde,
    0xffd5c6c1,
    0xffe7d6d3,
    0xffc3b3ad,
    0xffb3a182,
    0xfff5e0c0,
    0xffffefd1,
    0xffdaccbd,
    0xffb4aca5,
    0xff9c9494,
    0xffa69b9c,
    0xffa29693,
    0xff97928a,
    0xffd4cad0,
    0xffb5a9a2,
    0xffbdb0a1,
    0xffc7b9b3,
    0xffe5d6c6,
    0xffc3ad91,
    0xffdebfad,
    0xffdfc0b3,
    0xffceb9a8,
    0xffbaaa94,
    0xffeadcba,
    0xffab9272,
    0xffab834f,
    0xffddad4b,
    0xffdeaa3c,
    0xffcdb62a,
    0xffdfa91f,
    0xff855200,
    0xffb9a693,
    0xff86695d,
    0xff9c6c4e,
    0xff180000,
    0xffaaabb5,
    0xff390b14,
    0xff410007,
    0xff4b0307,
    0xff410407,
    0xff35030a,
    0xff3b0212,
    0xff37010f,
    0xff2e040c,
    0xff2b090a,
    0xff3e0308,
    0xff390110,
    0xff3d020e,
    0xff350005,
    0xff320609,
    0xff3c0302,
    0xff3b000d,
    0xff360110,
    0xff390106,
    0xff2c0108,
    0xff2c2646,
    0xff284d7f,
    0xff0c457e,
    0xff114282,
    0xff304e9c,
    0xff3b599f,
    0xff345a99,
    0xff26578f,
    0xff184b83,
    0xff154581,
    0xff184283,
    0xff1b4788,
    0xff245290,
    0xff29598c,
    0xff385678,
    0xff473b4e,
    0xff561d2b,
    0xff5e1423,
    0xff540612,
    0xff6b020a,
    0xff90030d,
    0xff950019,
    0xff8f0016,
    0xff780117,
    0xff73001b,
    0xff74071a,
    0xff86131f,
    0xff8c2f46,
    0xff5b526b,
    0xff4c2f44,
    0xff4c0013,
    0xff68010b,
    0xff680000,
    0xff700007,
    0xff73050a,
    0xff830509,
    0xffab0410,
    0xffbd0a1d,
    0xffac0212,
    0xffa60415,
    0xffa00313,
    0xff9c010f,
    0xffa00816,
    0xff91020b,
    0xff8b070e,
    0xff720406,
    0xff82070b,
    0xff920208,
    0xff7b0300,
    0xff840206,
    0xff9d010f,
    0xff960a12,
    0xff880208,
    0xff5d0019,
    0xff613136,
    0xff61151a,
    0xffb44448,
    0xffe36465,
    0xff8c090b,
    0xffad3631,
    0xffb73536,
    0xff8e0d0f,
    0xffb00e17,
    0xffb80611,
    0xffa2070d,
    0xff810001,
    0xff790001,
    0xff800005,
    0xff800002,
    0xff8a0303,
    0xff910302,
    0xff9c0506,
    0xff9f0509,
    0xff950006,
    0xff8f0309,
    0xff7b0005,
    0xff7a0c12,
    0xff792d33,
    0xff640712,
    0xff78121c,
    0xff84111a,
    0xffb64b48,
    0xffc65a53,
    0xffc94646,
    0xffb5514a,
    0xff8b434c,
    0xff512533,
    0xff3f3c51,
    0xff415f84,
    0xff3e6399,
    0xff2c5190,
    0xff376197,
    0xff3e719d,
    0xff4263a6,
    0xff345890,
    0xff4f537e,
    0xff56506b,
    0xff413042,
    0xff47304c,
    0xff4f5c84,
    0xff385488,
    0xff414676,
    0xff633e60,
    0xff7f2a3c,
    0xff90151a,
    0xff9b0711,
    0xff990110,
    0xff82030b,
    0xff6a130f,
    0xff4a294c,
    0xff2a2b5e,
    0xff153779,
    0xff083e83,
    0xff073d83,
    0xff093a7d,
    0xff0f367f,
    0xff0e3783,
    0xff163c7b,
    0xff1c3d7f,
    0xff15387d,
    0xff113d80,
    0xff0d3b81,
    0xff0b3b83,
    0xff0b3c86,
    0xff0a3d87,
    0xff093c85,
    0xff0c3f88,
    0xff0c4087,
    0xff0c3f86,
    0xff0e4286,
    0xff0e4286,
    0xff0c4085,
    0xff0b3f83,
    0xff103e81,
    0xff0b387c,
    0xff083678,
    0xff033174,
    0xff053275,
    0xff033073,
    0xff073175,
    0xff0a3579,
    0xff0a357c,
    0xff07367b,
    0xff104185,
    0xff0d3f85,
    0xff093c82,
    0xff0d3f85,
    0xff0b3b85,
    0xff083881,
    0xff093a7f,
    0xff093a7f,
    0xff0a3b7f,
    0xff0b3c81,
    0xff0d3d83,
    0xff0b3b81,
    0xff0d3e84,
    0xff0d3d83,
    0xff0c3d85,
    0xff083881,
    0xff073681,
    0xff09347f,
    0xff05317a,
    0xff07347d,
    0xff05367b,
    0xff043578,
    0xff033575,
    0xff083a79,
    0xff0a3c7b,
    0xff0d3d7c,
    0xff144486,
    0xff0d3e80,
    0xff0e3b7d,
    0xff0e3c80,
    0xff0d4080,
    0xff093c7c,
    0xff093a7c,
    0xff063778,
    0xff063578,
    0xff063478,
    0xff033376,
    0xff063679,
    0xff05367b,
    0xff06377c,
    0xff07387a,
    0xff05387a,
    0xff06397b,
    0xff083b7c,
    0xff073c7c,
    0xff0a4080,
    0xff073f8e,
    0xff07418d,
    0xff0a438e,
    0xff0c428a,
    0xff053d81,
    0xff083e82,
    0xff0b4184,
    0xff0a4183,
    0xff093b80,
    0xff093a7f,
    0xff0a387c,
    0xff103d80,
    0xff113d80,
    0xff093779,
    0xff093776,
    0xff073876,
    0xff063678,
    0xff043675,
    0xff033674,
    0xff023472,
    0xff033272,
    0xff053273,
    0xff083176,
    0xff082e74,
    0xff0a3179,
    0xff0a3579,
    0xff093977,
    0xff0e3c7d,
    0xff10387e,
    0xff0f377f,
    0xff0c397c,
    0xff0d3f80,
    0xff0d3e83,
    0xff0f4084,
    0xff0c3c81,
    0xff0d3e81,
    0xff0b3c7f,
    0xff0c3f80,
    0xff0f4283,
    0xff0f4381,
    0xff0c3d7f,
    0xff093a7d,
    0xff0f4182,
    0xff0f4083,
    0xff0a3b7e,
    0xff083a7c,
    0xff0a3c81,
    0xff0c3d82,
    0xff083c7d,
    0xff073b7c,
    0xff0a3d7f,
    0xff0c3d7f,
    0xff0e3d7d,
    0xff0e3a79,
    0xff0f3976,
    0xff113973,
    0xff0e3974,
    0xff0f3973,
    0xff0e3975,
    0xff0f3975,
    0xff0f3975,
    0xff0b366f,
    0xff0d3771,
    0xff0e3a72,
    0xff08397a,
    0xff0a3971,
    0xff0c3765,
    0xff0f3769,
    0xff10356e,
    0xff13336d,
    0xff1b3765,
    0xff142c49,
    0xff383a47,
    0xff7482a0,
    0xff0e1c3b,
    0xff322d3b,
    0xff3d2323,
    0xff593a38,
    0xffa6838c,
    0xffcc9fa9,
    0xff792329,
    0xffc36150,
    0xffc25939,
    0xff92220f,
    0xff770904,
    0xff8b1d1b,
    0xff810d0d,
    0xff7e0405,
    0xffbf4134,
    0xffc4481f,
    0xffd4551a,
    0xffc64711,
    0xff8d2000,
    0xffe5994c,
    0xffcf903e,
    0xffb46f27,
    0xffc5753a,
    0xffc34419,
    0xffaf2201,
    0xff971807,
    0xff890d0c,
    0xff7d0304,
    0xff9f210f,
    0xffad2504,
    0xffc53f12,
    0xffa22400,
    0xffc73d13,
    0xffce3916,
    0xffdf5926,
    0xffd45416,
    0xffb53403,
    0xffb94324,
    0xffc0411f,
    0xffc0483a,
    0xff6e5344,
    0xff4a6553,
    0xff72484d,
    0xff70111b,
    0xff660300,
    0xff750000,
    0xffc55e21,
    0xffa83b0d,
    0xffb44025,
    0xff7e0d00,
    0xffbe5838,
    0xffbc573b,
    0xffc35446,
    0xffb23b3e,
    0xff910620,
    0xff980a0e,
    0xff7f0000,
    0xff8c0302,
    0xff8d0015,
    0xff87020a,
    0xffb02e21,
    0xffb2473d,
    0xff823a32,
    0xff9a3d2f,
    0xff872303,
    0xffb42e0f,
    0xffb11c05,
    0xffb0210e,
    0xffa90b00,
    0xffb01f0e,
    0xffae2606,
    0xffaf2a0d,
    0xffad270b,
    0xffb12a0d,
    0xffb72d0c,
    0xffb12608,
    0xffb42610,
    0xffae1c0d,
    0xffac1c11,
    0xffac140f,
    0xffaa1618,
    0xffa01215,
    0xff980708,
    0xffb91c1d,
    0xffc7332d,
    0xffd95f51,
    0xff77251b,
    0xff731624,
    0xff9c110b,
    0xff960b00,
    0xffe05a56,
    0xffbc1a20,
    0xffd23538,
    0xffd43c2b,
    0xffaf1811,
    0xffb0160e,
    0xffbc2115,
    0xffa91703,
    0xffbc3b20,
    0xfff07552,
    0xffc24519,
    0xfff47244,
    0xffa31f0c,
    0xffbd2c1f,
    0xff9c0800,
    0xff9a1201,
    0xff950a00,
    0xffa11103,
    0xffa21a0a,
    0xffb1331f,
    0xffd7421d,
    0xffdc4425,
    0xffd13620,
    0xffbc1f05,
    0xffdc421e,
    0xffe05228,
    0xffb83e16,
    0xffa43b1a,
    0xff650800,
    0xff8e1508,
    0xff9e2e14,
    0xff8d0800,
    0xff8d110f,
    0xffba817a,
    0xfffbe7e4,
    0xff6a4548,
    0xff8d4335,
    0xffc32e18,
    0xffd32e0f,
    0xff9c331d,
    0xff70444f,
    0xff3c3a54,
    0xff59585d,
    0xff66473f,
    0xff546266,
    0xff45545a,
    0xff535e63,
    0xff4a5759,
    0xff576767,
    0xff4f5f62,
    0xff5c676e,
    0xff5c646b,
    0xff6b5f48,
    0xff78644b,
    0xff732517,
    0xffca574a,
    0xffab2d1d,
    0xffab1f14,
    0xff920200,
    0xffa3080b,
    0xffb2171d,
    0xffae0f17,
    0xffad0715,
    0xffbb1222,
    0xffbf0f23,
    0xffb10215,
    0xffbc1526,
    0xff9e000b,
    0xff980002,
    0xff9f030b,
    0xffb11617,
    0xffe3483b,
    0xffb91a0c,
    0xffbc1d13,
    0xffa91200,
    0xffcf4019,
    0xffd84b15,
    0xffc03402,
    0xffbc3203,
    0xffc8410e,
    0xffac2500,
    0xffb92e00,
    0xffb1230a,
    0xffa31211,
    0xff940c0e,
    0xff740000,
    0xff690000,
    0xff770107,
    0xffa93229,
    0xffce6239,
    0xffd85f2e,
    0xffb82506,
    0xffac0c06,
    0xffa50300,
    0xffb1180e,
    0xffe2573e,
    0xffe1633c,
    0xffe56d41,
    0xffdf613b,
    0xffb83114,
    0xffb4261e,
    0xff86070f,
    0xff7c040c,
    0xff7f0008,
    0xff800014,
    0xff730309,
    0xff6a0400,
    0xff730404,
    0xff770008,
    0xff7c000e,
    0xff7c000c,
    0xff7a0109,
    0xff790005,
    0xff7b0106,
    0xff7b010b,
    0xff79000d,
    0xff730409,
    0xff720000,
    0xff8a060b,
    0xff930e0e,
    0xffb4312d,
    0xff961910,
    0xff8f1a08,
    0xffa33218,
    0xff992e10,
    0xffc3583a,
    0xffad301b,
    0xffa51d14,
    0xff900c0e,
    0xff820a0e,
    0xff710408,
    0xff720002,
    0xff790203,
    0xff850108,
    0xff790307,
    0xff740605,
    0xff8c090b,
    0xffbe2e2e,
    0xffbc3030,
    0xffba3232,
    0xffc43b25,
    0xffc75015,
    0xffcc5a1b,
    0xffb73309,
    0xffad2000,
    0xffc23c0d,
    0xffb8380b,
    0xffc14211,
    0xffb8390a,
    0xffa03e23,
    0xffffded0,
    0xffb49583,
    0xff592106,
    0xffa56b44,
    0xff8c6e4a,
    0xff705741,
    0xff835729,
    0xffc78441,
    0xffa65414,
    0xff971809,
    0xff8d0f0c,
    0xff822308,
    0xff982e10,
    0xff932414,
    0xff8f1318,
    0xff8c1c0c,
    0xff962819,
    0xff8b140f,
    0xff860908,
    0xff8d0a0f,
    0xff941111,
    0xff9f2107,
    0xff99200a,
    0xff6d3303,
    0xff6b6813,
    0xff90941a,
    0xff9a892d,
    0xff67551b,
    0xff646820,
    0xff324109,
    0xff32451f,
    0xff443a14,
    0xff5f4911,
    0xff5a420c,
    0xff553a08,
    0xff514748,
    0xff373d2d,
    0xff757436,
    0xff877f44,
    0xff4c4528,
    0xff5f462b,
    0xff6e4614,
    0xffa87c3e,
    0xff905318,
    0xffa9602d,
    0xff904c25,
    0xff9a4f1d,
    0xffb67319,
    0xffb87f19,
    0xffa26c15,
    0xffb2812b,
    0xff885b17,
    0xff471c00,
    0xff260100,
    0xffeedbb4,
    0xff734517,
    0xff774f20,
    0xff694329,
    0xff6b2e06,
    0xff9c5014,
    0xff883c01,
    0xffab5f11,
    0xffae6730,
    0xffb86c29,
    0xffb98e41,
    0xffa88f43,
    0xffac824b,
    0xffa28d71,
    0xffb4af94,
    0xff805828,
    0xff7a4c17,
    0xff5c2e07,
    0xff8a5417,
    0xffa6650e,
    0xffaa742d,
    0xff715529,
    0xffa49c83,
    0xff736761,
    0xff8f7b87,
    0xff483835,
    0xff4b321e,
    0xff573b42,
    0xffbcb2b3,
    0xff453f2f,
    0xff644c52,
    0xff55403f,
    0xff442f22,
    0xffaa8040,
    0xff9e7a41,
    0xff6e574b,
    0xff290e0b,
    0xffae9690,
    0xff220d03,
    0xff614224,
    0xff361d13,
    0xff322421,
    0xff5a3921,
    0xff673a1c,
    0xff241300,
    0xffb1ab95,
    0xff5b3222,
    0xff985b2d,
    0xff5a2c12,
    0xff76664c,
    0xff945c32,
    0xff4c1c0f,
    0xff2a0e04,
    0xff9c5624,
    0xffab6819,
    0xffe5b152,
    0xfff4c93a,
    0xffe1a61c,
    0xfffcc95a,
    0xffd5b797,
    0xff6f4f49,
    0xffae7f4d,
    0xff683f11,
    0xff4e3a3d,
    0xff6f758f,
    0xff412a3f,
    0xff340613,
    0xff370609,
    0xff340307,
    0xff350004,
    0xff350305,
    0xff2d0800,
    0xff2e0906,
    0xff350100,
    0xff2f040d,
    0xff300307,
    0xff330604,
    0xff2f0708,
    0xff3a0200,
    0xff370309,
    0xff300508,
    0xff2b060d,
    0xff290d25,
    0xff2c1d4b,
    0xff23285f,
    0xff1f3c6d,
    0xff1a3c6b,
    0xff1d3a6e,
    0xff203d73,
    0xff1b4274,
    0xff134175,
    0xff13417c,
    0xff10367a,
    0xff173b80,
    0xff16407e,
    0xff15497f,
    0xff2a4871,
    0xff555775,
    0xff754e62,
    0xff540e1a,
    0xff520008,
    0xff5b0007,
    0xff710106,
    0xff850507,
    0xff760809,
    0xff770501,
    0xff760102,
    0xff80000c,
    0xff7c040d,
    0xff7c1b24,
    0xff551936,
    0xff3d3564,
    0xff5c2c45,
    0xff5d0115,
    0xff79030f,
    0xff85060f,
    0xff870411,
    0xff7f0510,
    0xff7d050b,
    0xffa21018,
    0xff95000b,
    0xff92010d,
    0xff8c010c,
    0xff8d000d,
    0xff960513,
    0xff9a0615,
    0xff9a0b14,
    0xff930d14,
    0xff79191d,
    0xff7a1e1d,
    0xffa2292f,
    0xff7a0607,
    0xff7c0005,
    0xff950210,
    0xff8c040d,
    0xff86040c,
    0xff710011,
    0xff611217,
    0xff851522,
    0xff85000b,
    0xff8f1016,
    0xff760000,
    0xff941416,
    0xffc52a34,
    0xffde4046,
    0xffa60206,
    0xffa70209,
    0xff900104,
    0xff7d0204,
    0xff7b0003,
    0xff850107,
    0xff8d0008,
    0xff9a000a,
    0xff9d020a,
    0xff9e050b,
    0xff9a0309,
    0xff95040c,
    0xff8d050c,
    0xff890711,
    0xff830512,
    0xff6d0009,
    0xff7b0212,
    0xffa53140,
    0xff7e0912,
    0xff8d2524,
    0xff8a1e1b,
    0xffb63137,
    0xffa23c3b,
    0xff5d2c2b,
    0xff462832,
    0xff6a6f83,
    0xff62819e,
    0xff637ba6,
    0xff7376af,
    0xff6671af,
    0xff4768a0,
    0xff3c567a,
    0xff4d5c71,
    0xff563d53,
    0xff342132,
    0xff2d2d48,
    0xff3f4870,
    0xff25456d,
    0xff233662,
    0xff723559,
    0xff992241,
    0xffa40018,
    0xff9e010c,
    0xff87020a,
    0xff7b010f,
    0xff71000e,
    0xff6d000f,
    0xff460619,
    0xff3f1735,
    0xff2e2754,
    0xff1e3770,
    0xff103c7d,
    0xff093a7f,
    0xff0c3c82,
    0xff0d387e,
    0xff133e81,
    0xff0f3b80,
    0xff0e3d7f,
    0xff0f3e82,
    0xff0e3f84,
    0xff0e3f84,
    0xff0c3f85,
    0xff0d3f86,
    0xff0f3f84,
    0xff103f85,
    0xff103f84,
    0xff104085,
    0xff0e3d83,
    0xff0a3a7d,
    0xff043477,
    0xff023074,
    0xff012e70,
    0xff063376,
    0xff0b387b,
    0xff093679,
    0xff0a377a,
    0xff103c7f,
    0xff0c397c,
    0xff0f3c7f,
    0xff123d85,
    0xff0d3c85,
    0xff083880,
    0xff073980,
    0xff073a81,
    0xff073980,
    0xff07367e,
    0xff093981,
    0xff0d3f83,
    0xff0e3f84,
    0xff0e3f84,
    0xff0e3f84,
    0xff0f4085,
    0xff0d3e84,
    0xff0c3d82,
    0xff0b3c81,
    0xff08397d,
    0xff06367f,
    0xff08377e,
    0xff083682,
    0xff0a3a82,
    0xff0d3c81,
    0xff083a7f,
    0xff0b3d7f,
    0xff114181,
    0xff114183,
    0xff0b3c7e,
    0xff073477,
    0xff033073,
    0xff073478,
    0xff0b387c,
    0xff0c397c,
    0xff09367a,
    0xff053276,
    0xff033177,
    0xff033277,
    0xff023479,
    0xff03377b,
    0xff04387d,
    0xff083b80,
    0xff06377d,
    0xff083a80,
    0xff0b3d83,
    0xff0b3f80,
    0xff0c3f81,
    0xff0b3e81,
    0xff0a4080,
    0xff0e4384,
    0xff0b3e87,
    0xff0e4187,
    0xff104488,
    0xff104484,
    0xff164788,
    0xff104281,
    0xff0f4080,
    0xff0e3f80,
    0xff0e3e7f,
    0xff0d3a7c,
    0xff0e3a7c,
    0xff0a3777,
    0xff0c3575,
    0xff063271,
    0xff043270,
    0xff04316d,
    0xff102f75,
    0xff0f2e77,
    0xff0e2f76,
    0xff0b3076,
    0xff0b3278,
    0xff083679,
    0xff0a387c,
    0xff0b3b7e,
    0xff0a347d,
    0xff0a3a7d,
    0xff08397b,
    0xff0a397c,
    0xff0f3a7f,
    0xff0e3881,
    0xff0b3a7d,
    0xff0c3d7f,
    0xff093a80,
    0xff0b3c81,
    0xff0a3b81,
    0xff0b3c7f,
    0xff0b3c7f,
    0xff124385,
    0xff144486,
    0xff104083,
    0xff0f4081,
    0xff0d3c7e,
    0xff0f3e81,
    0xff0c3c7e,
    0xff0c3c7e,
    0xff0c3b7e,
    0xff0c3b7e,
    0xff0d3d81,
    0xff114383,
    0xff0d3f7e,
    0xff0c3d7c,
    0xff0e3c7c,
    0xff0f3c7b,
    0xff133b79,
    0xff123977,
    0xff0f3772,
    0xff0d3771,
    0xff0d3770,
    0xff0c3673,
    0xff0a3471,
    0xff0a3470,
    0xff0c366f,
    0xff0e3970,
    0xff0c376c,
    0xff0f3569,
    0xff113567,
    0xff103464,
    0xff123767,
    0xff13376a,
    0xff143565,
    0xff17375f,
    0xff193555,
    0xff2b3542,
    0xff172232,
    0xff7d818b,
    0xffa29691,
    0xffa49287,
    0xff90857d,
    0xff4c4341,
    0xff6b5957,
    0xffac706d,
    0xff9e4d4e,
    0xff7e1d1b,
    0xff710e07,
    0xff6d110c,
    0xff6d0f13,
    0xff730407,
    0xff890b02,
    0xffae3529,
    0xffca472a,
    0xffe46335,
    0xffb03e09,
    0xffd47031,
    0xffcc7534,
    0xff8e4813,
    0xff5e2807,
    0xff5c1600,
    0xffa9321c,
    0xff9f1505,
    0xff910f07,
    0xff870804,
    0xffa02710,
    0xffb53d16,
    0xffb02e03,
    0xffc44210,
    0xffbc3700,
    0xffba3502,
    0xffa82300,
    0xffaf2a00,
    0xffc44505,
    0xffc54c0f,
    0xffc0451c,
    0xffbb3f29,
    0xffab4d3c,
    0xff714a3b,
    0xff764742,
    0xff74000e,
    0xff7d0103,
    0xff7a0600,
    0xff980000,
    0xff8d0000,
    0xff9a110a,
    0xffd65541,
    0xffe3704a,
    0xffd66c3a,
    0xffdd6d43,
    0xffc74836,
    0xffa91a1e,
    0xff890004,
    0xffb5311f,
    0xffd55e37,
    0xff891100,
    0xffa2101f,
    0xff9d0a0d,
    0xff911b12,
    0xff943437,
    0xff6f2421,
    0xffa03931,
    0xffa7311c,
    0xffc3301e,
    0xffa50f00,
    0xffa11a07,
    0xffa11200,
    0xffae250d,
    0xffac2004,
    0xffaf2308,
    0xffab2105,
    0xffa61f01,
    0xffb52e0d,
    0xffb42c0e,
    0xffa81f09,
    0xffa71b0b,
    0xffaa2515,
    0xffa81712,
    0xffb11a1f,
    0xff9b070f,
    0xffa1080c,
    0xffc72c26,
    0xffda503f,
    0xffdc7353,
    0xff703c24,
    0xff5b030d,
    0xffbb1d1b,
    0xffc63c25,
    0xffd1604b,
    0xffe3554c,
    0xffa51114,
    0xffde413f,
    0xffa60f09,
    0xffcd3523,
    0xffd94929,
    0xffeb633d,
    0xffd45734,
    0xffc34a2f,
    0xffce5140,
    0xffd04c40,
    0xffc44237,
    0xffc73530,
    0xffc83a37,
    0xffb82323,
    0xffa9070a,
    0xff940803,
    0xff7e0500,
    0xffb63021,
    0xffba2504,
    0xffd44020,
    0xffcb3619,
    0xffc62f0a,
    0xffd94214,
    0xffef6129,
    0xffe66730,
    0xffb34117,
    0xff670000,
    0xffaa3b23,
    0xffb5461f,
    0xff9d2000,
    0xff780a00,
    0xffd1b0a8,
    0xffe8c8c3,
    0xff905b5d,
    0xffb55e52,
    0xff910800,
    0xffb01e0c,
    0xff80190b,
    0xff6c3232,
    0xff635154,
    0xffcacfc4,
    0xff58563d,
    0xff51504c,
    0xff47594b,
    0xff5e5e4f,
    0xff7f5953,
    0xff6f4a3f,
    0xff5b5840,
    0xff55513a,
    0xff8c665a,
    0xff8a4849,
    0xff652e2a,
    0xff9f4844,
    0xffba4738,
    0xffa62010,
    0xffb91513,
    0xffb51419,
    0xffc82d2e,
    0xffc63333,
    0xffd74046,
    0xffd73941,
    0xffc01b27,
    0xffb20c1a,
    0xffc31b2d,
    0xffc31c2d,
    0xffb61022,
    0xff9f060b,
    0xff950005,
    0xff910000,
    0xff9f0500,
    0xffc5271a,
    0xffda3d33,
    0xffb61d07,
    0xffcd3d11,
    0xffbd3301,
    0xffc84701,
    0xffd35910,
    0xffc1470b,
    0xffcb4b19,
    0xffc84311,
    0xffaf2605,
    0xff900400,
    0xff7f0001,
    0xff7d0109,
    0xff6e0001,
    0xff9e3127,
    0xffcf5c3a,
    0xffde5b2f,
    0xffbf270e,
    0xffb20d0e,
    0xffab0d08,
    0xffa10400,
    0xffbf2719,
    0xffcc3f2b,
    0xffd45336,
    0xffbd3e21,
    0xffb72f1b,
    0xffac1d12,
    0xff9a0806,
    0xff90000e,
    0xff980114,
    0xff9d0013,
    0xff93011d,
    0xff79020f,
    0xff6e0202,
    0xff7e0718,
    0xff6f0008,
    0xff700108,
    0xff740109,
    0xff7b040c,
    0xff7a0002,
    0xff7c0103,
    0xff7b0007,
    0xff79000c,
    0xff73020a,
    0xff720002,
    0xff7c0002,
    0xff820306,
    0xff820805,
    0xff730000,
    0xffc2543c,
    0xffa63b18,
    0xffa83615,
    0xffd15536,
    0xffc03f26,
    0xff9a220c,
    0xffb44034,
    0xff750000,
    0xff7d0e07,
    0xff740d04,
    0xff7d0202,
    0xff780605,
    0xff790304,
    0xff760000,
    0xff920e0c,
    0xffc33c38,
    0xffc33d38,
    0xffba3734,
    0xffad3832,
    0xffd0561b,
    0xffdb5f10,
    0xffb03807,
    0xffab360d,
    0xffd65a1a,
    0xffd85c14,
    0xffba3d0c,
    0xffb05044,
    0xffc37467,
    0xff72351d,
    0xff6f280a,
    0xffa54e2d,
    0xffa46a45,
    0xff473014,
    0xff492d21,
    0xff987145,
    0xffc58547,
    0xffa85418,
    0xff8c2503,
    0xff8e210b,
    0xff8d2409,
    0xff952509,
    0xff942512,
    0xff8c1c0b,
    0xff862b06,
    0xff8d270b,
    0xff9d1f12,
    0xff8b1101,
    0xff8e1e12,
    0xff841211,
    0xff821208,
    0xff7a370a,
    0xff9c8636,
    0xff808b22,
    0xff778404,
    0xffaeab47,
    0xff7c793c,
    0xff686c2a,
    0xff868a50,
    0xff3b3300,
    0xff555213,
    0xff7e8528,
    0xff847d23,
    0xff9f8536,
    0xffa49679,
    0xff4d5237,
    0xff635c2f,
    0xffb3a440,
    0xff644e1e,
    0xff5f3401,
    0xffc98949,
    0xffc27f35,
    0xffbb6b26,
    0xffd67b4c,
    0xff9d4e26,
    0xffa46735,
    0xff965410,
    0xffa35811,
    0xffc06e2a,
    0xffbf7320,
    0xffa55c0f,
    0xffb26e2e,
    0xff874410,
    0xff89491a,
    0xff943f04,
    0xffb36d12,
    0xffdea757,
    0xffcd843e,
    0xffda8a32,
    0xffb86a22,
    0xffffa96b,
    0xffea8743,
    0xffca8443,
    0xfffff2b5,
    0xfff1e7ab,
    0xffebb686,
    0xffffd2b2,
    0xffd3b29f,
    0xfff3d3c3,
    0xff785137,
    0xff553227,
    0xff734b1d,
    0xffbf8c2c,
    0xffdaa652,
    0xffd8b28d,
    0xffefdac6,
    0xffb8a48e,
    0xffac9999,
    0xff5e5047,
    0xff624536,
    0xff593943,
    0xffe6dae4,
    0xff757366,
    0xff504246,
    0xff7d7371,
    0xff614d41,
    0xffa27038,
    0xff987644,
    0xff584339,
    0xff3f1511,
    0xffbf948b,
    0xff725544,
    0xffb28360,
    0xff3e0f00,
    0xff261d15,
    0xff72613e,
    0xffebb97b,
    0xff724f0b,
    0xffc5b182,
    0xff885a49,
    0xff813d16,
    0xff5e2f12,
    0xff866354,
    0xff91441f,
    0xff753922,
    0xff431b11,
    0xff550b00,
    0xff4e0500,
    0xff470500,
    0xff9e5e0e,
    0xffce8e21,
    0xffcfa939,
    0xffa28e6a,
    0xffac8181,
    0xffb56934,
    0xffc3783f,
    0xff6d402d,
    0xff638ab1,
    0xff898eae,
    0xff7b5c70,
    0xff34020b,
    0xff3b0309,
    0xff430b0f,
    0xff330601,
    0xff2d0b00,
    0xff390005,
    0xff36060b,
    0xff371e2c,
    0xff2b090f,
    0xff300407,
    0xff350109,
    0xff420002,
    0xff3e0109,
    0xff320203,
    0xff221022,
    0xff2c2e57,
    0xff2b265b,
    0xff261d54,
    0xff1e214e,
    0xff1d2644,
    0xff24263c,
    0xff3b365d,
    0xff454f78,
    0xff415f8d,
    0xff365f96,
    0xff3963a2,
    0xff2f5595,
    0xff244e84,
    0xff26507d,
    0xff3c3b59,
    0xff633c55,
    0xff732939,
    0xff60040a,
    0xff650005,
    0xff6f0107,
    0xff760204,
    0xff740000,
    0xff730000,
    0xff6e0300,
    0xff6c0101,
    0xff67030a,
    0xff740f18,
    0xff500000,
    0xff5f1629,
    0xff812957,
    0xff751332,
    0xff790922,
    0xff73040e,
    0xff6e0105,
    0xff700008,
    0xff6b0006,
    0xff720008,
    0xff800208,
    0xff79050c,
    0xff740309,
    0xff740007,
    0xff840c16,
    0xff86040f,
    0xff970e1a,
    0xff8f040f,
    0xffa01b23,
    0xff5c090c,
    0xff2f0000,
    0xff5b0102,
    0xff7a0710,
    0xff830e16,
    0xff8b0a15,
    0xff890812,
    0xff7f040c,
    0xff7c0108,
    0xff700308,
    0xff82000a,
    0xff9a081b,
    0xff820a13,
    0xff720001,
    0xff830000,
    0xffbd0d1b,
    0xffd71a23,
    0xffb71014,
    0xff8f0202,
    0xff820106,
    0xff7e050a,
    0xff7d0308,
    0xff880109,
    0xff96000b,
    0xff95000a,
    0xff910009,
    0xff8b0108,
    0xff810205,
    0xff7a0103,
    0xff790406,
    0xff740107,
    0xff720005,
    0xff76010b,
    0xff7b0410,
    0xff6a0006,
    0xff6d060a,
    0xff660f0c,
    0xff6a0c0a,
    0xff76020a,
    0xff791f23,
    0xff592626,
    0xff683442,
    0xff864a67,
    0xff7e4263,
    0xff905673,
    0xff754a69,
    0xff51476b,
    0xff34466c,
    0xff515e6e,
    0xff534d54,
    0xff3b202b,
    0xff3c3b50,
    0xff304d77,
    0xff214377,
    0xff3a5079,
    0xff513b5b,
    0xff5e0b1b,
    0xff6d0009,
    0xff7c0002,
    0xff720000,
    0xff670201,
    0xff61010b,
    0xff5e000c,
    0xff5b000c,
    0xff570006,
    0xff4a0008,
    0xff3a081f,
    0xff33244d,
    0xff253975,
    0xff103b81,
    0xff083d82,
    0xff093b7e,
    0xff0c3d81,
    0xff0a3a7e,
    0xff0d3d81,
    0xff0b3d80,
    0xff0c3e81,
    0xff0c3e81,
    0xff0d3e81,
    0xff0d3e81,
    0xff0f3a7d,
    0xff0d387c,
    0xff0b367a,
    0xff093478,
    0xff083477,
    0xff073278,
    0xff073277,
    0xff083378,
    0xff0b367a,
    0xff0f3a7e,
    0xff103a7f,
    0xff0f3c7f,
    0xff0d3a7d,
    0xff0a3b7d,
    0xff09397b,
    0xff063678,
    0xff0a3580,
    0xff073581,
    0xff053680,
    0xff083880,
    0xff07377f,
    0xff0a3a82,
    0xff0b3b83,
    0xff0e3e86,
    0xff0a3c7f,
    0xff0b3c7f,
    0xff0a3b7e,
    0xff093a7c,
    0xff0c3d7f,
    0xff0c3d80,
    0xff0b3c7f,
    0xff093a7c,
    0xff083b80,
    0xff093a7e,
    0xff0b3b84,
    0xff0e3d85,
    0xff0d3b84,
    0xff0a3b80,
    0xff06377a,
    0xff05387a,
    0xff093679,
    0xff073377,
    0xff083579,
    0xff083579,
    0xff0a367b,
    0xff073479,
    0xff053276,
    0xff063179,
    0xff092f7a,
    0xff0c337e,
    0xff0c3781,
    0xff0a3a82,
    0xff0b3b83,
    0xff093e82,
    0xff0b4184,
    0xff0a4385,
    0xff0c4081,
    0xff0d3f81,
    0xff0d3e81,
    0xff0e3e82,
    0xff0e3f80,
    0xff0f4082,
    0xff0b3d7f,
    0xff09397b,
    0xff10397c,
    0xff0d3677,
    0xff0c3674,
    0xff0b3471,
    0xff042e6a,
    0xff03306b,
    0xff05326e,
    0xff022f6c,
    0xff022f6c,
    0xff042d6e,
    0xff083070,
    0xff072f6f,
    0xff032c6c,
    0xff012d6a,
    0xff022e6a,
    0xff03326f,
    0xff063375,
    0xff053174,
    0xff072f76,
    0xff0e357b,
    0xff113880,
    0xff0e3780,
    0xff0e397d,
    0xff0d3a7f,
    0xff0d3a7d,
    0xff0c3d80,
    0xff0b3e80,
    0xff0c3d81,
    0xff0d3981,
    0xff0d3980,
    0xff0a397d,
    0xff093a7d,
    0xff0d3e83,
    0xff0c3d82,
    0xff0d3e82,
    0xff0c3b7f,
    0xff09387c,
    0xff09387b,
    0xff0b397c,
    0xff0e3a7e,
    0xff0d387c,
    0xff0b377b,
    0xff0c3878,
    0xff073475,
    0xff0a3677,
    0xff0b3879,
    0xff0c3879,
    0xff083375,
    0xff0a3772,
    0xff073370,
    0xff083371,
    0xff083271,
    0xff093170,
    0xff0a326f,
    0xff08306b,
    0xff072e6a,
    0xff073369,
    0xff08326d,
    0xff06316a,
    0xff042f68,
    0xff06316a,
    0xff08326a,
    0xff09356a,
    0xff073367,
    0xff123260,
    0xff103264,
    0xff0c3166,
    0xff0b3569,
    0xff0c3568,
    0xff0e3864,
    0xff0f355d,
    0xff15375d,
    0xff233b5a,
    0xff2a3a55,
    0xff2f2d39,
    0xff55423f,
    0xff786661,
    0xff554f51,
    0xff534b4b,
    0xff503932,
    0xff755045,
    0xffb5858b,
    0xffe2aab9,
    0xff702e37,
    0xff4d0000,
    0xff64060a,
    0xff7d0c0e,
    0xff941915,
    0xffc04336,
    0xffc84631,
    0xffb73918,
    0xffc5562b,
    0xffc2602a,
    0xff903d0a,
    0xff511800,
    0xff3d190f,
    0xff591905,
    0xff8c1e13,
    0xff961310,
    0xff941217,
    0xff8c0a01,
    0xffbf481c,
    0xffb04104,
    0xffab3100,
    0xffd25119,
    0xffcc4404,
    0xffc74f07,
    0xffb74307,
    0xffd44f17,
    0xffdd5d19,
    0xffc64e0a,
    0xffc23e08,
    0xffca5238,
    0xffa65337,
    0xff7f422a,
    0xff7a1310,
    0xff920007,
    0xff870403,
    0xff800600,
    0xffae1011,
    0xffcc3135,
    0xff8f0000,
    0xff8b0c00,
    0xffc3562c,
    0xffca6236,
    0xffd96743,
    0xff9b1000,
    0xff9e0400,
    0xff8f0906,
    0xffd65b38,
    0xffde6738,
    0xffb84421,
    0xff9a0400,
    0xffb1221d,
    0xff763c37,
    0xff4f3138,
    0xff762927,
    0xff84150d,
    0xffc03e30,
    0xffa80f05,
    0xffa00700,
    0xff950a00,
    0xffab1e0b,
    0xffa61f04,
    0xffb12302,
    0xffb22506,
    0xffae2306,
    0xffa41d00,
    0xffa42200,
    0xffa32304,
    0xffa9260f,
    0xffaa2715,
    0xffb7301d,
    0xffa81a12,
    0xff9f1215,
    0xff9a0f16,
    0xff9e0f11,
    0xffa6190c,
    0xffce4d33,
    0xffca613a,
    0xff914a34,
    0xff701415,
    0xffd34137,
    0xffdc593e,
    0xffd05945,
    0xffd33c37,
    0xffb72127,
    0xff96050b,
    0xff9a0000,
    0xffd13e2d,
    0xffdf5532,
    0xffce5026,
    0xffe1633e,
    0xffd4593f,
    0xffd55844,
    0xffdf6252,
    0xffdb5447,
    0xffce3432,
    0xffbd2729,
    0xffba1e25,
    0xffc81928,
    0xffb52323,
    0xff971f11,
    0xffb62119,
    0xffb40d01,
    0xffce291e,
    0xffd32c22,
    0xffc61d0a,
    0xffc41a00,
    0xffca2500,
    0xffb31700,
    0xffc63514,
    0xffc44f34,
    0xffaa4f34,
    0xffbb4616,
    0xffc63e0c,
    0xff700f00,
    0xffffe7e3,
    0xff91786c,
    0xff541a13,
    0xff8e1d18,
    0xff9d0d13,
    0xff950008,
    0xff8e020b,
    0xff960e18,
    0xff87141a,
    0xffb4615c,
    0xff8d4841,
    0xffa8685d,
    0xff7d4c3b,
    0xff935c49,
    0xffa74c40,
    0xff982a21,
    0xffa34337,
    0xff8b402d,
    0xff682815,
    0xff5f443c,
    0xff6a4847,
    0xff973a3d,
    0xffab3225,
    0xff9c1a07,
    0xffa10d0d,
    0xff99050a,
    0xff9d0a09,
    0xffd54b49,
    0xffdd514e,
    0xffce3e3e,
    0xffca3539,
    0xffdc4048,
    0xffde3e4a,
    0xffae0715,
    0xffb70f1f,
    0xff980405,
    0xffae1823,
    0xffa00b14,
    0xffa9100b,
    0xffb81a14,
    0xffbb1914,
    0xffd13824,
    0xffc53208,
    0xffb73401,
    0xffdd6712,
    0xffc85d00,
    0xffc85c11,
    0xffbf4913,
    0xffb93c07,
    0xffb12c06,
    0xff8d0500,
    0xff730101,
    0xff85000c,
    0xff8a000c,
    0xffaa3221,
    0xffd36138,
    0xffd24c29,
    0xffa81006,
    0xffa40b0d,
    0xffb82216,
    0xffc12c20,
    0xffaf1910,
    0xffaf2215,
    0xff910800,
    0xff8d0100,
    0xffb41f21,
    0xff9c000b,
    0xff9e060a,
    0xff97010e,
    0xff9b010d,
    0xffad0a18,
    0xffa10518,
    0xff8a0511,
    0xff6e0003,
    0xff6e0112,
    0xff620407,
    0xff680108,
    0xff6f0209,
    0xff7d070d,
    0xff7d0105,
    0xff7c0103,
    0xff7a0106,
    0xff7a020c,
    0xff750209,
    0xff760008,
    0xff740003,
    0xff750106,
    0xff720403,
    0xff690000,
    0xffca6144,
    0xffbb5029,
    0xffa83313,
    0xffcf4a32,
    0xffd35238,
    0xffa73820,
    0xff7f220f,
    0xff832d1c,
    0xff8f392b,
    0xff903f2f,
    0xffa12a25,
    0xff7d1c11,
    0xff7e0c0b,
    0xff8d0104,
    0xffa7211f,
    0xffb6372a,
    0xffba372e,
    0xffb93c32,
    0xffb2432b,
    0xffcb5a0e,
    0xffe9761f,
    0xffba4a0f,
    0xffac3f05,
    0xffc75f07,
    0xffd16d22,
    0xffca7151,
    0xffa36368,
    0xff743124,
    0xff9c4223,
    0xffb7411f,
    0xffb64027,
    0xff74351a,
    0xff37250b,
    0xff624737,
    0xff836949,
    0xff915c32,
    0xffa55026,
    0xff943c14,
    0xff9d3d1f,
    0xffaa3927,
    0xff8b2715,
    0xff7f2312,
    0xff8c2016,
    0xff7c1a05,
    0xff921d12,
    0xff941508,
    0xff9b360e,
    0xff7e1f00,
    0xff7e170c,
    0xff701809,
    0xffaf8c54,
    0xff7a670a,
    0xff897d13,
    0xff9b9215,
    0xff8f8819,
    0xffb1ac63,
    0xff4f4600,
    0xffd7c072,
    0xff9f8233,
    0xff504c06,
    0xff62711b,
    0xff9c9840,
    0xffccb355,
    0xff786d1c,
    0xff7a7b3d,
    0xff635136,
    0xff7f6d1f,
    0xff9d8741,
    0xff8f630c,
    0xffc17b18,
    0xffbd701b,
    0xffc57125,
    0xffda864e,
    0xff84440b,
    0xff5b2f01,
    0xff985c17,
    0xffcd7734,
    0xffca662e,
    0xffbe5f2b,
    0xffbc653d,
    0xffa14d1c,
    0xffe69543,
    0xffd47a38,
    0xffc25e15,
    0xfff5a52c,
    0xffeeaa3b,
    0xffc6761f,
    0xffdf8d21,
    0xffe69535,
    0xffb25324,
    0xffdc793c,
    0xfffdb88d,
    0xffffeec9,
    0xffedd5a5,
    0xffa37531,
    0xff955504,
    0xffe5af66,
    0xffbd9367,
    0xffeac29f,
    0xff7a5f47,
    0xff978157,
    0xff6f4e0e,
    0xffd8aa7b,
    0xffa67d64,
    0xffc2a590,
    0xffb7a48f,
    0xffcec2b8,
    0xff6d6056,
    0xff56372e,
    0xff85616b,
    0xffebdeea,
    0xff4b4944,
    0xff676263,
    0xff606763,
    0xff4d3d33,
    0xff81512a,
    0xffbea280,
    0xff504137,
    0xff4d130f,
    0xff602314,
    0xfffbcdb7,
    0xff864122,
    0xff874926,
    0xff38190d,
    0xff230b00,
    0xffb4884f,
    0xffcf9f4b,
    0xffc49548,
    0xff662e16,
    0xff986558,
    0xff5d3830,
    0xff72373e,
    0xff821e0c,
    0xff9a4a3a,
    0xff50150e,
    0xff4f0900,
    0xff470600,
    0xff711c0d,
    0xff9f4a24,
    0xff974506,
    0xffb8802f,
    0xffcca782,
    0xff9d6457,
    0xffcc7843,
    0xffbc6d2f,
    0xff592b06,
    0xff6881ad,
    0xff6b6788,
    0xff310b1e,
    0xff3e030d,
    0xff43020b,
    0xff4a0f1b,
    0xff33030b,
    0xff2f070e,
    0xff300312,
    0xff250f1f,
    0xff675d7a,
    0xff370f23,
    0xff370009,
    0xff3e0011,
    0xff400007,
    0xff2f0309,
    0xff38000d,
    0xff201d3a,
    0xff1b3d6b,
    0xff1a366d,
    0xff2d3c74,
    0xff414977,
    0xff675974,
    0xff3b0f15,
    0xff39001a,
    0xff411938,
    0xff403a60,
    0xff2e4978,
    0xff285788,
    0xff214f7f,
    0xff344c75,
    0xff3f4367,
    0xff402032,
    0xff42000b,
    0xff610005,
    0xff6f0003,
    0xff7c0306,
    0xff8a050d,
    0xff840306,
    0xff730200,
    0xff740303,
    0xff720404,
    0xff6f0007,
    0xff65070d,
    0xff640009,
    0xff5e0109,
    0xff6d272c,
    0xff87253a,
    0xff6d0119,
    0xff63000d,
    0xff5b0405,
    0xff530300,
    0xff5a0105,
    0xff5f020a,
    0xff5e0005,
    0xff600002,
    0xff5f0106,
    0xff5f0005,
    0xff610004,
    0xff6d0309,
    0xff7a060e,
    0xff8a0f19,
    0xff91111a,
    0xff8c0c15,
    0xff6f1921,
    0xff39110a,
    0xff4d090b,
    0xff7a0614,
    0xff7a080f,
    0xff810b11,
    0xff80040d,
    0xff7a0a0d,
    0xff720000,
    0xff6a0302,
    0xff7c000b,
    0xff8d0515,
    0xff77050b,
    0xff730102,
    0xff950202,
    0xffb60309,
    0xffc00005,
    0xffa20808,
    0xff7a0200,
    0xff730003,
    0xff7b0007,
    0xff780004,
    0xff800003,
    0xff8d0108,
    0xff8b020a,
    0xff870007,
    0xff810004,
    0xff7d0002,
    0xff790002,
    0xff770002,
    0xff770005,
    0xff750006,
    0xff700304,
    0xff690103,
    0xff6b0005,
    0xff660407,
    0xff590403,
    0xff66070b,
    0xff630009,
    0xff6c1e26,
    0xff5a1e28,
    0xff640013,
    0xff7c000f,
    0xff80000f,
    0xff87000d,
    0xff96041d,
    0xff7c0c24,
    0xff713c4e,
    0xff503855,
    0xff382039,
    0xff3b3454,
    0xff2f4972,
    0xff21427c,
    0xff2e3a74,
    0xff44244c,
    0xff510012,
    0xff5b010e,
    0xff5a050a,
    0xff550601,
    0xff590701,
    0xff620101,
    0xff690004,
    0xff650104,
    0xff590000,
    0xff5f0309,
    0xff5d040d,
    0xff500616,
    0xff3d0a25,
    0xff36234d,
    0xff28366f,
    0xff133c80,
    0xff063e86,
    0xff093b82,
    0xff0c3c85,
    0xff0c3d83,
    0xff0d3c80,
    0xff0e3c7f,
    0xff0d3b7d,
    0xff0b3879,
    0xff0a3778,
    0xff05306f,
    0xff072f70,
    0xff073072,
    0xff0a3375,
    0xff0b3378,
    0xff093176,
    0xff0c3379,
    0xff0e367b,
    0xff0a3579,
    0xff093478,
    0xff073175,
    0xff0a377a,
    0xff073879,
    0xff124284,
    0xff0a3b7d,
    0xff0a3b7d,
    0xff0a3882,
    0xff0a3884,
    0xff0c3a85,
    0xff0a3a82,
    0xff0b3b84,
    0xff0a3a83,
    0xff0a387e,
    0xff0b3980,
    0xff053679,
    0xff093a7d,
    0xff0b3c7f,
    0xff0b3c7f,
    0xff0a3c7f,
    0xff0e4083,
    0xff0c3d80,
    0xff093a7d,
    0xff0b3c81,
    0xff06377c,
    0xff05377b,
    0xff04347d,
    0xff04367a,
    0xff05367a,
    0xff093a7e,
    0xff053678,
    0xff08377b,
    0xff043377,
    0xff08377b,
    0xff09387d,
    0xff08387c,
    0xff0a3b7d,
    0xff0b3c80,
    0xff0d3d81,
    0xff164086,
    0xff143e84,
    0xff0e3a80,
    0xff0d3d81,
    0xff0d3f82,
    0xff0c3e80,
    0xff0d4181,
    0xff083e7e,
    0xff0c3d7b,
    0xff0a3977,
    0xff093775,
    0xff0a3676,
    0xff083271,
    0xff073270,
    0xff022d6d,
    0xff01296a,
    0xff052a68,
    0xff032967,
    0xff072d69,
    0xff092f6a,
    0xff0b326d,
    0xff08306a,
    0xff07316d,
    0xff07306d,
    0xff072f6f,
    0xff083170,
    0xff062f6f,
    0xff063271,
    0xff0b3776,
    0xff0c3979,
    0xff0c3979,
    0xff0d3c7c,
    0xff0a4685,
    0xff0c4785,
    0xff0a4082,
    0xff104086,
    0xff114083,
    0xff124184,
    0xff0f4080,
    0xff0c3e7d,
    0xff0f3b7a,
    0xff0d3c7f,
    0xff073a7e,
    0xff093b80,
    0xff0b3b81,
    0xff0e3b7e,
    0xff0b397c,
    0xff08397d,
    0xff0b3a80,
    0xff09377b,
    0xff09377b,
    0xff083578,
    0xff053075,
    0xff083475,
    0xff093575,
    0xff093374,
    0xff0a3375,
    0xff0a3375,
    0xff0a3375,
    0xff0a3272,
    0xff093271,
    0xff08306f,
    0xff08306f,
    0xff083270,
    0xff052e69,
    0xff072f6b,
    0xff082f6d,
    0xff042c69,
    0xff082e6c,
    0xff072e6b,
    0xff09306a,
    0xff0b326a,
    0xff0e376f,
    0xff0d366e,
    0xff0d3470,
    0xff0d3470,
    0xff0e376e,
    0xff0e376d,
    0xff113a6e,
    0xff113a6c,
    0xff133b71,
    0xff113d72,
    0xff0d3f73,
    0xff104277,
    0xff164679,
    0xff16406f,
    0xff173f64,
    0xff193f61,
    0xff163d65,
    0xff183d69,
    0xff274165,
    0xff323c5a,
    0xff2c3651,
    0xff324364,
    0xff353f5e,
    0xff585267,
    0xff61514c,
    0xff5c4833,
    0xff7f624c,
    0xff8b625c,
    0xff804752,
    0xff4f020c,
    0xff670407,
    0xff982428,
    0xffb63c2d,
    0xffac311f,
    0xffac2914,
    0xffc34127,
    0xffae431e,
    0xff99562a,
    0xff3f1200,
    0xff512312,
    0xff742508,
    0xff881e07,
    0xff901814,
    0xff840f12,
    0xff7d0800,
    0xffc65c1e,
    0xffb85207,
    0xffb63e05,
    0xffcc4b0c,
    0xffc74700,
    0xffc55502,
    0xffba4906,
    0xffb43100,
    0xffcc470c,
    0xffd2520f,
    0xffdb5519,
    0xffc63d15,
    0xffcf603a,
    0xffab452b,
    0xff7f0400,
    0xff880004,
    0xff880404,
    0xff840200,
    0xffa31a17,
    0xff840300,
    0xffbd471a,
    0xfff28e4f,
    0xffeb8e4a,
    0xffce6e3a,
    0xffc5543a,
    0xff930e09,
    0xff8d0002,
    0xff9f1118,
    0xffb83520,
    0xffc45c34,
    0xffc96a36,
    0xffec7141,
    0xffad4634,
    0xff5a323d,
    0xff603b4d,
    0xff842019,
    0xff901909,
    0xffb4311b,
    0xffa71305,
    0xff990000,
    0xffaa110c,
    0xffbb2612,
    0xffb92c08,
    0xffb52e01,
    0xffae2800,
    0xffad2600,
    0xffad2a03,
    0xffa92802,
    0xffa52501,
    0xffb23315,
    0xffb2311b,
    0xffb41e0c,
    0xffb3281c,
    0xff931715,
    0xff992728,
    0xff800907,
    0xff8b0c02,
    0xff9c1d08,
    0xff9b2306,
    0xff850e06,
    0xff96201d,
    0xffd55742,
    0xffe8614d,
    0xffc53e41,
    0xffab1824,
    0xffbe222e,
    0xffb62c30,
    0xffbd271e,
    0xffcd3f28,
    0xffc13c16,
    0xffc03e18,
    0xffce4a2d,
    0xffe9624e,
    0xffe3614a,
    0xffdc5d40,
    0xffc43920,
    0xffc22318,
    0xffb51b16,
    0xffbd2b2c,
    0xffaf181c,
    0xffbb2a25,
    0xffb12616,
    0xffb31c0a,
    0xffab0f08,
    0xffaa0e09,
    0xffa60601,
    0xffc32113,
    0xffc32009,
    0xffc8250c,
    0xffcd2d16,
    0xffb51d0a,
    0xff974b29,
    0xffa17b5d,
    0xffc45f2f,
    0xffda4810,
    0xff811303,
    0xffb8727b,
    0xff8c534a,
    0xff872c26,
    0xff8f1a14,
    0xff941517,
    0xffa01923,
    0xffa20b16,
    0xffac030f,
    0xffac030c,
    0xff99000b,
    0xffa51c25,
    0xffc84b45,
    0xffba3930,
    0xff9e2219,
    0xff9f2119,
    0xff96070a,
    0xffaf111f,
    0xffa11d26,
    0xff86322f,
    0xff56493d,
    0xff5e5049,
    0xff873435,
    0xffa92d1e,
    0xff891000,
    0xff7a0403,
    0xff6b0000,
    0xffae2b27,
    0xffe5605b,
    0xffc33e39,
    0xffcd4642,
    0xffcd4140,
    0xffd34243,
    0xffd3373d,
    0xffa6020f,
    0xffc61d2b,
    0xff9f090c,
    0xff92010b,
    0xff9c050f,
    0xffad1416,
    0xffcb2d2d,
    0xffe24240,
    0xffd53b29,
    0xffca360e,
    0xffce4815,
    0xffd45b0e,
    0xffc75c00,
    0xffc15a00,
    0xffad4200,
    0xffd76124,
    0xffb33414,
    0xff850000,
    0xff7f0804,
    0xff880000,
    0xffc02a2a,
    0xffc44b32,
    0xffb95134,
    0xff8a150a,
    0xff961209,
    0xffad2310,
    0xffb82719,
    0xffb8281f,
    0xffaa1d15,
    0xff900600,
    0xff8d0200,
    0xffad1b1c,
    0xffb31825,
    0xffa20114,
    0xff930006,
    0xff860006,
    0xff7d0100,
    0xff8f0a06,
    0xff9f0c0d,
    0xffa01215,
    0xff7e0908,
    0xff620304,
    0xff65050d,
    0xff68020b,
    0xff700008,
    0xff790008,
    0xff7d0105,
    0xff7b0104,
    0xff750005,
    0xff73010a,
    0xff79040c,
    0xff77020a,
    0xff76020b,
    0xff73040b,
    0xff670000,
    0xff94281e,
    0xffbe4e33,
    0xffbd4925,
    0xffb43f23,
    0xffb63922,
    0xffbd452c,
    0xffa22c1b,
    0xff7c2614,
    0xff774b35,
    0xff683c2b,
    0xff673324,
    0xff8e2618,
    0xff6c0800,
    0xff7f0b05,
    0xffc43837,
    0xffb8322b,
    0xffb63829,
    0xffb83a2d,
    0xffae3927,
    0xffcb6127,
    0xffe28012,
    0xffce6000,
    0xffbc470b,
    0xffac4d09,
    0xffa5661e,
    0xffca9467,
    0xff864933,
    0xff743318,
    0xff863210,
    0xffa3310d,
    0xffaf260a,
    0xffa32916,
    0xff792e19,
    0xff5f3e1f,
    0xff9d8564,
    0xffa1946a,
    0xff997d4c,
    0xffae6433,
    0xff934408,
    0xff9a4210,
    0xff903210,
    0xff905832,
    0xffbf936c,
    0xff8f3e33,
    0xff781504,
    0xff8f110e,
    0xff89180e,
    0xffa85531,
    0xff9a3019,
    0xff870e07,
    0xff7b2811,
    0xff9b803e,
    0xff755a10,
    0xffccac49,
    0xffc3a631,
    0xffb7a722,
    0xffb1a537,
    0xff998524,
    0xffd7be4d,
    0xff5c3f00,
    0xffd3c385,
    0xffa0994b,
    0xffac9b50,
    0xffcaad63,
    0xff89791f,
    0xff8b8222,
    0xffaa965e,
    0xff604c2f,
    0xff594419,
    0xffbf9733,
    0xffc38018,
    0xffc57d1e,
    0xffd28928,
    0xff9c5211,
    0xff834e1b,
    0xff754d13,
    0xffce9153,
    0xffd97f49,
    0xffae5121,
    0xffb7683e,
    0xffa45e48,
    0xff621d02,
    0xfff1ab60,
    0xffca7d33,
    0xffdc8e39,
    0xffe09d26,
    0xfff3b24e,
    0xffd08535,
    0xffed9d2f,
    0xffd17a0d,
    0xffa54500,
    0xffb6690a,
    0xffa6590a,
    0xffb96d28,
    0xffbb833c,
    0xffffffb1,
    0xffb28016,
    0xffa76600,
    0xffc89041,
    0xffba8a4e,
    0xffe3c4a0,
    0xff847353,
    0xffffeac7,
    0xff75533c,
    0xffd2b196,
    0xfff0dcc1,
    0xffdfd6ca,
    0xffcbc4bd,
    0xff9d9493,
    0xff583d39,
    0xff563537,
    0xfff9e9f1,
    0xff756d6e,
    0xff9e9898,
    0xff4a5056,
    0xff736662,
    0xff684430,
    0xfff0dcce,
    0xff281919,
    0xff4d1a13,
    0xff64200f,
    0xffd18f7a,
    0xff903e26,
    0xff833519,
    0xff612717,
    0xff7f5133,
    0xff8c5a38,
    0xff834915,
    0xffb77f42,
    0xff3d0f00,
    0xffb59988,
    0xff5a3a39,
    0xff4e1e1b,
    0xff82361d,
    0xff9d5249,
    0xff6d130f,
    0xffc36749,
    0xff641f00,
    0xffe18d57,
    0xffa15b27,
    0xff590d00,
    0xff7f320c,
    0xff9b5733,
    0xffab6540,
    0xffb67234,
    0xffad6d34,
    0xffa3713c,
    0xff6876a4,
    0xff595374,
    0xff432232,
    0xff390309,
    0xff41050b,
    0xff38000b,
    0xff390513,
    0xff33000d,
    0xff2c0015,
    0xff3d3a4e,
    0xff798aa9,
    0xff2e1f2b,
    0xff2a0604,
    0xff32030d,
    0xff3f0106,
    0xff2f0608,
    0xff29001f,
    0xff2f375f,
    0xff204f7e,
    0xff1e5188,
    0xff224d8b,
    0xff3c548a,
    0xff57405d,
    0xff460000,
    0xff470009,
    0xff450316,
    0xff51203f,
    0xff5b5076,
    0xff485f83,
    0xff4a6080,
    0xff382d4b,
    0xff3b102d,
    0xff370108,
    0xff57020b,
    0xff710108,
    0xff800305,
    0xff8e060b,
    0xff93010a,
    0xff880208,
    0xff770605,
    0xff68050a,
    0xff6a0206,
    0xff6a0000,
    0xff590800,
    0xff540000,
    0xff690f1d,
    0xff784250,
    0xff59182b,
    0xff59000a,
    0xff550308,
    0xff520403,
    0xff5b0507,
    0xff5c0205,
    0xff5c0007,
    0xff580209,
    0xff4f0708,
    0xff570006,
    0xff5c0107,
    0xff61010a,
    0xff68020c,
    0xff710611,
    0xff6c0005,
    0xff861219,
    0xff881118,
    0xff721016,
    0xff360b04,
    0xff420607,
    0xff7f0b1a,
    0xff7b070e,
    0xff7d110e,
    0xff7c0609,
    0xff791112,
    0xff700909,
    0xff5f0000,
    0xff6d0106,
    0xff8e0d18,
    0xff850207,
    0xff8d0000,
    0xffb20608,
    0xffba0603,
    0xffb20705,
    0xff880100,
    0xff690000,
    0xff710107,
    0xff7e010a,
    0xff7c0006,
    0xff770004,
    0xff7b0005,
    0xff86040a,
    0xff890208,
    0xff8d0008,
    0xff910008,
    0xff910008,
    0xff900009,
    0xff8e0008,
    0xff8d020b,
    0xff7c0304,
    0xff770106,
    0xff7d0008,
    0xff750008,
    0xff70090d,
    0xff6e030c,
    0xff731721,
    0xff61262c,
    0xff5e2c37,
    0xff741c21,
    0xffa62928,
    0xff930808,
    0xff91010b,
    0xff83000f,
    0xff8f3238,
    0xff5f2e25,
    0xff4b1c2f,
    0xff4a314f,
    0xff315172,
    0xff30668f,
    0xff405585,
    0xff4a3a5f,
    0xff3f0a19,
    0xff60070d,
    0xff5c0008,
    0xff60010a,
    0xff650008,
    0xff670008,
    0xff640005,
    0xff620205,
    0xff600101,
    0xff620100,
    0xff5e0509,
    0xff5b040b,
    0xff59030d,
    0xff56030b,
    0xff470310,
    0xff391a37,
    0xff2a3468,
    0xff0f3a80,
    0xff0a3982,
    0xff0d3b83,
    0xff0a377e,
    0xff083478,
    0xff073276,
    0xff063071,
    0xff083171,
    0xff0a3272,
    0xff0a3775,
    0xff093676,
    0xff0c3879,
    0xff093677,
    0xff0a3679,
    0xff0c387b,
    0xff0a3779,
    0xff0b377a,
    0xff0d387d,
    0xff0b357b,
    0xff0e3b7f,
    0xff0f3c80,
    0xff09387c,
    0xff0d3f82,
    0xff0b3c7f,
    0xff08397d,
    0xff083882,
    0xff083580,
    0xff093880,
    0xff07367f,
    0xff08387d,
    0xff0b3b81,
    0xff0c3b82,
    0xff0c3b81,
    0xff0a387c,
    0xff08367b,
    0xff0e3c80,
    0xff09387c,
    0xff08377b,
    0xff063579,
    0xff063579,
    0xff043277,
    0xff043578,
    0xff033477,
    0xff08397e,
    0xff0a3b80,
    0xff093a80,
    0xff06377a,
    0xff08397b,
    0xff07387a,
    0xff0b3d7f,
    0xff093a7d,
    0xff093a7c,
    0xff093a7c,
    0xff0a3b7d,
    0xff0a3d7e,
    0xff073b7b,
    0xff043678,
    0xff053575,
    0xff073677,
    0xff083978,
    0xff063473,
    0xff0a3775,
    0xff06326f,
    0xff083471,
    0xff083370,
    0xff09346e,
    0xff06306b,
    0xff062e6a,
    0xff022b66,
    0xff032a66,
    0xff052b69,
    0xff09306e,
    0xff0c3270,
    0xff0c3270,
    0xff0c3270,
    0xff09316e,
    0xff08306b,
    0xff052e6b,
    0xff06306c,
    0xff07306e,
    0xff083070,
    0xff0d3a7b,
    0xff0d397a,
    0xff0d3a7b,
    0xff103c7e,
    0xff0d3d7f,
    0xff0f4083,
    0xff0d3e81,
    0xff114082,
    0xff0e3d7d,
    0xff0d3c7e,
    0xff0d3b7e,
    0xff0b3a7c,
    0xff0a3a79,
    0xff043872,
    0xff03396d,
    0xff033b6a,
    0xff0c376c,
    0xff05306f,
    0xff09397b,
    0xff08367c,
    0xff083678,
    0xff083574,
    0xff053071,
    0xff053274,
    0xff063375,
    0xff073273,
    0xff0a3475,
    0xff0a3374,
    0xff0b3474,
    0xff0f3876,
    0xff0b3472,
    0xff0d3474,
    0xff082f6f,
    0xff0c3374,
    0xff0b3271,
    0xff0a3270,
    0xff0a316e,
    0xff062d6b,
    0xff062d6b,
    0xff072e6a,
    0xff093069,
    0xff0b3169,
    0xff0e3570,
    0xff103772,
    0xff123974,
    0xff103771,
    0xff153c75,
    0xff173d75,
    0xff163f74,
    0xff174079,
    0xff113b72,
    0xff123b72,
    0xff0f386f,
    0xff10396d,
    0xff0f396b,
    0xff0e3869,
    0xff0d366f,
    0xff0a3a6b,
    0xff10416a,
    0xff0c385d,
    0xff0e2e51,
    0xff3e5671,
    0xff738797,
    0xff708488,
    0xff434a52,
    0xff273a52,
    0xff183358,
    0xff152f52,
    0xff183352,
    0xff203d5e,
    0xff182f4b,
    0xff424c60,
    0xffa29891,
    0xffcbad82,
    0xffc79658,
    0xffa67b54,
    0xffa28785,
    0xffc4a8b5,
    0xff6f353d,
    0xff78201d,
    0xff9c3c37,
    0xffa33123,
    0xffbe2f1a,
    0xffcb3819,
    0xff9f2708,
    0xffb45d3c,
    0xff6c1700,
    0xff912a17,
    0xff932314,
    0xff7c0700,
    0xff7e1407,
    0xff690a00,
    0xff9f3d0c,
    0xffbd610f,
    0xffb05100,
    0xffb63d03,
    0xffcd4e0f,
    0xffc95807,
    0xffcb5807,
    0xffcd4f13,
    0xffba3a0b,
    0xffc23c0a,
    0xffd4511d,
    0xffcb5523,
    0xffc4411a,
    0xffc83e23,
    0xffca392e,
    0xff8d0203,
    0xff870307,
    0xff8f0703,
    0xff860000,
    0xffa7280b,
    0xfff3914a,
    0xfff99c50,
    0xffea8c41,
    0xffe88647,
    0xffce6039,
    0xffbe4435,
    0xff880402,
    0xffa92022,
    0xff830908,
    0xffb94040,
    0xff7c281b,
    0xffc06c48,
    0xffe8855d,
    0xff864941,
    0xff56273e,
    0xff742835,
    0xff991410,
    0xffaa2815,
    0xffb32e11,
    0xffa71b05,
    0xffa60e08,
    0xffbe221c,
    0xffad2206,
    0xffbb3c08,
    0xffc44e0c,
    0xffbb4405,
    0xffb03801,
    0xffb53906,
    0xffb53706,
    0xffae2e04,
    0xffae2e0b,
    0xffb63215,
    0xffb22309,
    0xffb12f1d,
    0xff93231b,
    0xffad4042,
    0xff831314,
    0xff8b1511,
    0xff931910,
    0xff901509,
    0xff92100c,
    0xff960804,
    0xffaa2c17,
    0xffd54340,
    0xff9b263a,
    0xff701825,
    0xffb42a30,
    0xffd44649,
    0xff8c0f01,
    0xffe66742,
    0xffd95727,
    0xffc9401c,
    0xffad1e08,
    0xff940200,
    0xffd94b42,
    0xff9a1104,
    0xff980600,
    0xffc03d2c,
    0xffbb342c,
    0xff780000,
    0xff9e332c,
    0xffac3e31,
    0xffcd4537,
    0xffc33422,
    0xffb1230e,
    0xffbb2815,
    0xffb72109,
    0xffb91e05,
    0xffbf250a,
    0xffd53a23,
    0xffb01304,
    0xffa80e02,
    0xff8c3e2a,
    0xff765b4b,
    0xffaa4f2f,
    0xffc6390b,
    0xff88180e,
    0xff8a3640,
    0xff8b382f,
    0xff83130d,
    0xff981712,
    0xff9d211b,
    0xffb02f2a,
    0xffb52c27,
    0xffa11413,
    0xffa51417,
    0xffaa161c,
    0xffba2b30,
    0xffbe342e,
    0xffc93835,
    0xffbd2626,
    0xffb11e1e,
    0xff900607,
    0xffb43135,
    0xffae3037,
    0xffaa2c36,
    0xff99484d,
    0xff5f322a,
    0xff89342b,
    0xff93140a,
    0xff810100,
    0xff730103,
    0xff620000,
    0xffc04042,
    0xffd8504c,
    0xffc13c37,
    0xffcc4740,
    0xffc23936,
    0xffd44342,
    0xffd63c42,
    0xffaa0510,
    0xffb30a19,
    0xffb3151d,
    0xff99000e,
    0xff9a020e,
    0xff9e0508,
    0xffb8191e,
    0xffac0d12,
    0xffa10500,
    0xffc73314,
    0xffcf3d15,
    0xffbd380a,
    0xffd35d15,
    0xffe77d18,
    0xffde740c,
    0xffcb5617,
    0xff8a0b00,
    0xff810007,
    0xff890000,
    0xff9b090a,
    0xffc03a2f,
    0xffbe4e2f,
    0xffad3f2c,
    0xff7a0002,
    0xff870000,
    0xff9e1202,
    0xffb0221a,
    0xff920904,
    0xff8f0807,
    0xff8e0c07,
    0xff97110d,
    0xff990d0c,
    0xff98060b,
    0xff950009,
    0xff8c0111,
    0xff7d030a,
    0xff6d0100,
    0xff720200,
    0xff880704,
    0xffa51b1c,
    0xff920f14,
    0xff790509,
    0xff6f030b,
    0xff77010e,
    0xff7b000b,
    0xff8e0a17,
    0xff931118,
    0xff760000,
    0xff79030b,
    0xff720209,
    0xff7a010a,
    0xff78010a,
    0xff730008,
    0xff71040c,
    0xff6d0207,
    0xff7c0d08,
    0xffba4030,
    0xffb5341a,
    0xffba3b1f,
    0xffc7482d,
    0xffbb4a2b,
    0xffcc4e3a,
    0xff9a3122,
    0xff642a18,
    0xff562e19,
    0xff826950,
    0xffc06e55,
    0xff9e2f23,
    0xff850a03,
    0xffb53932,
    0xffb73127,
    0xffbc3828,
    0xffb6422c,
    0xffa83920,
    0xffd17e30,
    0xfff9a315,
    0xffd06800,
    0xff963204,
    0xffa56c40,
    0xffffffe3,
    0xff6b3e25,
    0xff944815,
    0xffd0732d,
    0xffa53a00,
    0xff971e00,
    0xff9a2504,
    0xff91290b,
    0xff9e4126,
    0xff995838,
    0xff815f3a,
    0xff4e2e0e,
    0xff7b653a,
    0xffc19161,
    0xff9b5e28,
    0xff8f4e19,
    0xff8a5128,
    0xffbda980,
    0xffe1d1aa,
    0xffdcc493,
    0xff95602a,
    0xff771c00,
    0xff842511,
    0xff791e0b,
    0xff800c08,
    0xff89130e,
    0xff772b04,
    0xff6c660e,
    0xffa99f40,
    0xff806e10,
    0xffb3a12e,
    0xffb5a813,
    0xff9a8d01,
    0xffb8a632,
    0xffd6c749,
    0xff5a4301,
    0xff422400,
    0xff704f15,
    0xffbea256,
    0xffb79b49,
    0xffb59225,
    0xff947a11,
    0xff6d6121,
    0xff988267,
    0xff3b211e,
    0xff6a3c1b,
    0xffdc9d5c,
    0xffc68632,
    0xffeaa74e,
    0xffb56f3a,
    0xff632c08,
    0xff7f5216,
    0xff7e3d10,
    0xff7a250a,
    0xffbd6b42,
    0xffa3651f,
    0xff7c4407,
    0xffd39263,
    0xff95490e,
    0xffda9644,
    0xffd19634,
    0xffe9ae3b,
    0xffc8842c,
    0xffa55d0b,
    0xffbf7509,
    0xffd58019,
    0xffc4690f,
    0xffb36900,
    0xffb86e0b,
    0xffbd6407,
    0xffb66c14,
    0xff8e5b04,
    0xff9d6300,
    0xffffcf50,
    0xffb18617,
    0xff794700,
    0xffd1a893,
    0xffc5b1a4,
    0xff998f66,
    0xffefdca8,
    0xff573810,
    0xfff0d7bd,
    0xffc8bdb2,
    0xffb5ada9,
    0xffb7b0b6,
    0xff5e4849,
    0xff4a2d21,
    0xffefdddc,
    0xff8a797c,
    0xff5c4c4a,
    0xffaba6b2,
    0xff5a4e50,
    0xff887870,
    0xffb7a5a5,
    0xff211215,
    0xff40211a,
    0xff672a1c,
    0xff67180a,
    0xffb4644f,
    0xff700f02,
    0xff651810,
    0xff71360c,
    0xfff9b27f,
    0xff843d15,
    0xff512507,
    0xff240d00,
    0xff816c42,
    0xffa38570,
    0xff43290c,
    0xffb39b6e,
    0xff582709,
    0xff932212,
    0xffc8492c,
    0xffb15732,
    0xff762200,
    0xffb57841,
    0xff3a0600,
    0xff7c4726,
    0xff98522d,
    0xff84360e,
    0xff99581b,
    0xffb7773b,
    0xffac6229,
    0xff5974a6,
    0xff637395,
    0xff7e7483,
    0xff2d080d,
    0xff340305,
    0xff340508,
    0xff330003,
    0xff42010b,
    0xff2c000f,
    0xff494760,
    0xff596585,
    0xff250710,
    0xff2e0600,
    0xff31040c,
    0xff360004,
    0xff2a0811,
    0xff2f2b56,
    0xff435c88,
    0xff2e5989,
    0xff1f4c86,
    0xff1b4383,
    0xff3d5388,
    0xff371d37,
    0xff4d0406,
    0xff3c0701,
    0xff430509,
    0xff470015,
    0xff46102e,
    0xff492c49,
    0xff4a3049,
    0xff310014,
    0xff490012,
    0xff430006,
    0xff540107,
    0xff6a0107,
    0xff7d0608,
    0xff890107,
    0xff8c030a,
    0xff800208,
    0xff6e0408,
    0xff550006,
    0xff560007,
    0xff560303,
    0xff460400,
    0xff4e060a,
    0xff873148,
    0xff883044,
    0xff71121c,
    0xff700a14,
    0xff570307,
    0xff530105,
    0xff590108,
    0xff590007,
    0xff600008,
    0xff61000b,
    0xff550209,
    0xff590009,
    0xff5d010a,
    0xff5f000b,
    0xff63000b,
    0xff66040d,
    0xff630004,
    0xff6d060b,
    0xff7c0e14,
    0xff750e15,
    0xff470f0c,
    0xff380705,
    0xff76101c,
    0xff800e12,
    0xff760d08,
    0xff780707,
    0xff771316,
    0xff7a1219,
    0xff5f0000,
    0xff6b0000,
    0xffa21217,
    0xffa10003,
    0xffb8070a,
    0xffca080e,
    0xffba0d09,
    0xff930802,
    0xff700000,
    0xff680207,
    0xff6d0008,
    0xff7a0008,
    0xff810407,
    0xff790309,
    0xff700309,
    0xff710201,
    0xff790305,
    0xff830308,
    0xff8c0108,
    0xff920009,
    0xff940209,
    0xff930208,
    0xff92030b,
    0xff8b050b,
    0xff83050b,
    0xff8c000d,
    0xff820510,
    0xff6e0408,
    0xff70060b,
    0xff74282b,
    0xff4d2622,
    0xff45181d,
    0xff96514c,
    0xff97201c,
    0xff8e0002,
    0xffd9586f,
    0xffc07286,
    0xff631e29,
    0xff7a161e,
    0xff7d0a0f,
    0xff6a1028,
    0xff413152,
    0xff49436a,
    0xff662b53,
    0xff580318,
    0xff5f0007,
    0xff680508,
    0xff5c0300,
    0xff5c0200,
    0xff660004,
    0xff6b000a,
    0xff66010a,
    0xff590509,
    0xff5b0309,
    0xff65020b,
    0xff5f0000,
    0xff5d0103,
    0xff5e0001,
    0xff620000,
    0xff5e0503,
    0xff420614,
    0xff2a1f47,
    0xff1a3373,
    0xff0a357c,
    0xff093379,
    0xff0b367b,
    0xff0b3279,
    0xff0a3176,
    0xff0e3879,
    0xff0f3779,
    0xff10387c,
    0xff0a3a7a,
    0xff09397c,
    0xff053678,
    0xff073779,
    0xff073779,
    0xff09387d,
    0xff08377b,
    0xff053579,
    0xff0c397d,
    0xff09367a,
    0xff0f3b7f,
    0xff0b3b7f,
    0xff09387c,
    0xff083a7c,
    0xff0c3d80,
    0xff093b7d,
    0xff0b3c7f,
    0xff08397f,
    0xff0a3a80,
    0xff0c377f,
    0xff0c377f,
    0xff0b387b,
    0xff07367a,
    0xff07367a,
    0xff053478,
    0xff043377,
    0xff09387c,
    0xff063579,
    0xff063579,
    0xff063579,
    0xff09387c,
    0xff09387d,
    0xff0b3c7d,
    0xff0c3a7f,
    0xff0c3a7e,
    0xff07387e,
    0xff093b7d,
    0xff0a397d,
    0xff0c3c7e,
    0xff0a3a7a,
    0xff0d3f7d,
    0xff053776,
    0xff043574,
    0xff033473,
    0xff083776,
    0xff063673,
    0xff073775,
    0xff083876,
    0xff073872,
    0xff04356f,
    0xff05336e,
    0xff032e6a,
    0xff002b64,
    0xff012964,
    0xff042b66,
    0xff012863,
    0xff052c66,
    0xff062c67,
    0xff052c67,
    0xff0b326e,
    0xff0b326d,
    0xff0b326e,
    0xff0a306c,
    0xff0a2f6c,
    0xff052e6e,
    0xff073070,
    0xff0a3271,
    0xff0a3371,
    0xff0e3775,
    0xff0f3b7a,
    0xff0f3c7b,
    0xff0e3b7c,
    0xff0b3879,
    0xff0b3879,
    0xff0b3878,
    0xff083979,
    0xff0b3a7a,
    0xff083776,
    0xff0b3777,
    0xff083475,
    0xff0d3271,
    0xff0e3273,
    0xff0f3475,
    0xff103274,
    0xff163672,
    0xff38558a,
    0xff395681,
    0xff2f4972,
    0xff22426d,
    0xff2b5085,
    0xff0a3373,
    0xff0c3678,
    0xff0d3674,
    0xff0e3771,
    0xff0b3471,
    0xff083170,
    0xff0d3674,
    0xff09306f,
    0xff0a316f,
    0xff0a326e,
    0xff0b336e,
    0xff0b346e,
    0xff072f68,
    0xff083169,
    0xff08326e,
    0xff032c68,
    0xff032d69,
    0xff032d67,
    0xff052f69,
    0xff08326c,
    0xff0c3670,
    0xff0d3771,
    0xff194279,
    0xff133b76,
    0xff0f3772,
    0xff0c326d,
    0xff0c336e,
    0xff093069,
    0xff093068,
    0xff082f64,
    0xff032c62,
    0xff042d62,
    0xff022b60,
    0xff052e64,
    0xff042d62,
    0xff073062,
    0xff083362,
    0xff0b3564,
    0xff113666,
    0xff133a66,
    0xff0d3251,
    0xff1f3844,
    0xffd7ded9,
    0xffe0ddc5,
    0xffe0ddbc,
    0xffeeecc7,
    0xff4f3b29,
    0xff575659,
    0xff5d697e,
    0xff788399,
    0xff727f8d,
    0xffa4b1ba,
    0xffcbd0cf,
    0xffc4b7aa,
    0xffc5a57a,
    0xffa57047,
    0xff7f4517,
    0xff673709,
    0xff654e2e,
    0xff60514c,
    0xffad9698,
    0xffeac7c5,
    0xffffd0d6,
    0xff8b2826,
    0xffaf230b,
    0xffbc3400,
    0xfff27c44,
    0xff9c2403,
    0xff930600,
    0xffad110b,
    0xff900713,
    0xff840711,
    0xff771709,
    0xff944112,
    0xffbc631b,
    0xffae5b03,
    0xffab5102,
    0xffba4305,
    0xffc7490d,
    0xffbe5207,
    0xffc04805,
    0xffb42800,
    0xffb02d0b,
    0xffa32401,
    0xffae4120,
    0xff9c5232,
    0xff9b5139,
    0xff972c1e,
    0xffb12726,
    0xff900000,
    0xff9b0e0d,
    0xff8e0900,
    0xffc3441f,
    0xfffb874d,
    0xffe3812d,
    0xffdc7931,
    0xffeb7f4b,
    0xffd45b3c,
    0xffe05b4c,
    0xffb82f25,
    0xffc53e31,
    0xffc5432e,
    0xffa1231b,
    0xff8f0517,
    0xff831b2e,
    0xff7f1b20,
    0xff7d2b30,
    0xff49293b,
    0xff573146,
    0xff752e2d,
    0xff890c10,
    0xffb03526,
    0xffb02911,
    0xffa31904,
    0xff9a0d03,
    0xffaa1f10,
    0xffa23004,
    0xffb54a05,
    0xffbb5403,
    0xffc1550c,
    0xffb24301,
    0xffab3800,
    0xffb43a05,
    0xffab2f00,
    0xffab2b05,
    0xffa62606,
    0xffaa2e0d,
    0xffaa3d24,
    0xff7f1409,
    0xff810c0d,
    0xff961a1f,
    0xffa12b2b,
    0xff9c2b27,
    0xff85110e,
    0xffac322c,
    0xffb22b1f,
    0xff9b2816,
    0xffc23f3f,
    0xff7c2030,
    0xff5b2127,
    0xffb64a44,
    0xffaf4145,
    0xff6b1920,
    0xff8a2519,
    0xffbf401c,
    0xfff4663b,
    0xffbc260a,
    0xffa71407,
    0xff960700,
    0xffa5160e,
    0xffa0100a,
    0xff832311,
    0xff953029,
    0xff921b23,
    0xff762521,
    0xff854134,
    0xff881f17,
    0xff850100,
    0xffb22a1a,
    0xffc23221,
    0xffd13728,
    0xffdd3f2e,
    0xffb11508,
    0xffbf241f,
    0xff9c0203,
    0xffa1070c,
    0xff880b13,
    0xff7b3939,
    0xffcc7362,
    0xffae3515,
    0xffef9385,
    0xffe9a7a1,
    0xff842f1e,
    0xffab4232,
    0xffac261f,
    0xffa52a19,
    0xffae2a18,
    0xffc1362c,
    0xffbf4239,
    0xffb83c3c,
    0xffc1333a,
    0xffcc343a,
    0xffb8232c,
    0xffc13035,
    0xffcf3d3e,
    0xffd03e3b,
    0xffbf302a,
    0xffc23d31,
    0xffc54239,
    0xffbb3830,
    0xff914243,
    0xff78442f,
    0xff862415,
    0xff930407,
    0xff890308,
    0xff6f0000,
    0xff84130f,
    0xffdd5053,
    0xffc93c3a,
    0xffd14442,
    0xffd34742,
    0xffcb3b37,
    0xffcd3737,
    0xffcd2f36,
    0xffae0b17,
    0xffa90312,
    0xffb6101b,
    0xffb10e20,
    0xff990008,
    0xff9f0207,
    0xff9f0307,
    0xff9a0004,
    0xff950000,
    0xffa61802,
    0xffa50f00,
    0xff9a0b00,
    0xffb6340a,
    0xffc65200,
    0xfff0801f,
    0xffaf3606,
    0xff7c0001,
    0xff7e000e,
    0xff8e0604,
    0xffae302a,
    0xffb44637,
    0xffb64832,
    0xffb9392e,
    0xffac191f,
    0xff94020e,
    0xff8b040e,
    0xff9d0f12,
    0xff860001,
    0xff860a0c,
    0xff820908,
    0xff8e130f,
    0xff90120b,
    0xff8a0807,
    0xff8a090b,
    0xff7c0510,
    0xff82030d,
    0xff80000f,
    0xff78040f,
    0xff720101,
    0xff951319,
    0xff9c0b1c,
    0xff9a0614,
    0xff880310,
    0xff85000c,
    0xff940716,
    0xffa1131e,
    0xffc4393f,
    0xff950e13,
    0xff7b0002,
    0xff7c000c,
    0xff800009,
    0xff84040f,
    0xff7d030e,
    0xff700008,
    0xff70010b,
    0xff720004,
    0xff840703,
    0xff9d180c,
    0xffb32f17,
    0xffc83e22,
    0xffca5e39,
    0xffc64e31,
    0xffa52312,
    0xff831909,
    0xff933d2b,
    0xfffffdd7,
    0xffb86f50,
    0xff8d180a,
    0xffa2261e,
    0xffbc483b,
    0xffba382a,
    0xffb73523,
    0xffaa381f,
    0xffac4026,
    0xffbb701f,
    0xffefa626,
    0xffd08631,
    0xffdeb29f,
    0xffffebd1,
    0xff64360f,
    0xff7e3408,
    0xffde8337,
    0xffd46914,
    0xffc75617,
    0xffa5350a,
    0xffa5451d,
    0xff852e02,
    0xff952906,
    0xffac462d,
    0xffa4664b,
    0xffcf8e64,
    0xffb59557,
    0xffa38e45,
    0xffa38941,
    0xff8c6d2a,
    0xffab9350,
    0xff9d9557,
    0xffb6a877,
    0xff5b5818,
    0xffa59346,
    0xff99692c,
    0xff762301,
    0xff9c381e,
    0xff90381d,
    0xff8c4e21,
    0xff794f02,
    0xff9a9127,
    0xff6f5807,
    0xffa78a35,
    0xff8c6f08,
    0xffb89b16,
    0xffe6c03e,
    0xff6f4800,
    0xffceb44b,
    0xff725310,
    0xff8d7017,
    0xffcbad46,
    0xff9c8518,
    0xff9e7e24,
    0xffbb862a,
    0xff825612,
    0xff6e6b26,
    0xff7a7235,
    0xff7d716a,
    0xff3e2228,
    0xff5a3412,
    0xff845f30,
    0xff532105,
    0xffc68d65,
    0xff724712,
    0xff84570e,
    0xffae7430,
    0xffa85c26,
    0xff9d4e14,
    0xffa55f0f,
    0xff9d5115,
    0xffd78047,
    0xffb75415,
    0xffd3812e,
    0xfff8b858,
    0xffb97700,
    0xffdd8e21,
    0xffe59e36,
    0xffc8861a,
    0xffb86c0f,
    0xffc87a25,
    0xffffbc4e,
    0xffffbd59,
    0xffbf6b1b,
    0xffb06010,
    0xffac7620,
    0xffb58018,
    0xffffcf67,
    0xffd8aa46,
    0xffd8ac47,
    0xff714713,
    0xffc9ac91,
    0xffaa9977,
    0xffd7bc97,
    0xffb18861,
    0xff81573a,
    0xffd4b1ac,
    0xfff4e6d3,
    0xffcbbfbd,
    0xff675051,
    0xff4d3524,
    0xffc1afac,
    0xffa78e96,
    0xff6d504a,
    0xff7d6974,
    0xff5a5058,
    0xffa49a9c,
    0xff4e393e,
    0xff847478,
    0xff382c27,
    0xffbc9389,
    0xff691e14,
    0xff873a26,
    0xff7a1f10,
    0xff7e1e14,
    0xff7c2602,
    0xffd38151,
    0xff924511,
    0xffdca872,
    0xff2b0b00,
    0xff9b7d5c,
    0xff564129,
    0xff5c4837,
    0xff9f896e,
    0xffaa7b48,
    0xffc36323,
    0xff881b00,
    0xff781300,
    0xffb14422,
    0xff95301f,
    0xff864733,
    0xff8b6738,
    0xffba8265,
    0xff6e210f,
    0xff99511d,
    0xffb56f2c,
    0xffb46621,
    0xff30598b,
    0xff48688a,
    0xff323244,
    0xff28040f,
    0xff33020a,
    0xff32090f,
    0xff300208,
    0xff3b0009,
    0xff230c1f,
    0xff505f7b,
    0xff3e3a69,
    0xff41041e,
    0xff3b0107,
    0xff2a0722,
    0xff341b38,
    0xff36475e,
    0xff375485,
    0xff385988,
    0xff2f5587,
    0xff365b94,
    0xff375386,
    0xff575b7b,
    0xff340e1b,
    0xff480107,
    0xff440807,
    0xff410003,
    0xff48000b,
    0xff460011,
    0xff400217,
    0xff3b0011,
    0xff42020b,
    0xff470004,
    0xff490007,
    0xff470105,
    0xff540004,
    0xff6f0207,
    0xff7b0004,
    0xff770306,
    0xff670405,
    0xff570003,
    0xff430003,
    0xff49030b,
    0xff4b0008,
    0xff540008,
    0xff793043,
    0xff7e3c58,
    0xff701128,
    0xff780a0b,
    0xff6b000b,
    0xff580109,
    0xff58030b,
    0xff59020b,
    0xff520408,
    0xff5b0205,
    0xff630008,
    0xff5a0009,
    0xff560109,
    0xff5c010b,
    0xff61000a,
    0xff63010d,
    0xff5e020a,
    0xff61050a,
    0xff5e0002,
    0xff740c10,
    0xff741316,
    0xff4e1111,
    0xff2f0a0a,
    0xff550810,
    0xff7c0f16,
    0xff730d0a,
    0xff7b0b0f,
    0xff721217,
    0xff6f0a15,
    0xff6b0003,
    0xff750000,
    0xffae0b0b,
    0xffc81214,
    0xffc80e12,
    0xffc20007,
    0xff9c0503,
    0xff720000,
    0xff6d0106,
    0xff64000a,
    0xff640106,
    0xff6f0000,
    0xff810405,
    0xff7f040a,
    0xff74040d,
    0xff680303,
    0xff670001,
    0xff6d0004,
    0xff770406,
    0xff7f0409,
    0xff85060b,
    0xff890308,
    0xff8a0108,
    0xff840004,
    0xff760204,
    0xff820008,
    0xff770107,
    0xff6c0404,
    0xff6c0000,
    0xff6a1814,
    0xff4b120e,
    0xff510b16,
    0xff5d0006,
    0xff73020f,
    0xffffbbc3,
    0xffe9cfd3,
    0xff4f2127,
    0xff70131b,
    0xff960d14,
    0xff9f0502,
    0xff8b0013,
    0xff8d4f65,
    0xff622e48,
    0xff5c0012,
    0xff680207,
    0xff6b0506,
    0xff6e0309,
    0xff700200,
    0xff610400,
    0xff5e0202,
    0xff680006,
    0xff6e0007,
    0xff680006,
    0xff67030c,
    0xff6d000f,
    0xff680104,
    0xff660205,
    0xff630207,
    0xff5d050b,
    0xff45020d,
    0xff391531,
    0xff2a2a58,
    0xff15306e,
    0xff10377d,
    0xff0a367a,
    0xff0e397d,
    0xff0c377b,
    0xff0c377b,
    0xff0b397c,
    0xff083578,
    0xff0a387b,
    0xff09397e,
    0xff09397f,
    0xff08377c,
    0xff0a3a7f,
    0xff09397f,
    0xff09397c,
    0xff09387c,
    0xff0d3c80,
    0xff0c3b7f,
    0xff0a397d,
    0xff0c3b7f,
    0xff0a397d,
    0xff0e3d81,
    0xff0a397d,
    0xff0b3a7e,
    0xff0b397e,
    0xff093b7c,
    0xff093a7c,
    0xff08377a,
    0xff0b387c,
    0xff073478,
    0xff043175,
    0xff063377,
    0xff08377c,
    0xff0a3a7c,
    0xff063678,
    0xff073879,
    0xff08387a,
    0xff09397b,
    0xff073779,
    0xff08387a,
    0xff08397a,
    0xff0b367a,
    0xff083578,
    0xff08367b,
    0xff0b3a7d,
    0xff0b3a7e,
    0xff053678,
    0xff073375,
    0xff063273,
    0xff043470,
    0xff053470,
    0xff083572,
    0xff083471,
    0xff0b3573,
    0xff0b3370,
    0xff062e6c,
    0xff022967,
    0xff002b65,
    0xff002a64,
    0xff002761,
    0xff012a64,
    0xff032a65,
    0xff052d68,
    0xff072e6c,
    0xff082e6c,
    0xff07306d,
    0xff052d6b,
    0xff09306e,
    0xff032e6b,
    0xff012b69,
    0xff083270,
    0xff093371,
    0xff0c3676,
    0xff0d3979,
    0xff0c3879,
    0xff0b3877,
    0xff0d3674,
    0xff0a3371,
    0xff0c3573,
    0xff0b3374,
    0xff083171,
    0xff0c3474,
    0xff083171,
    0xff062f6d,
    0xff042f6c,
    0xff04306d,
    0xff052f6c,
    0xff0b336f,
    0xff0c336f,
    0xff09316f,
    0xff0c3571,
    0xff0f3774,
    0xff143871,
    0xff0b275c,
    0xff7787b4,
    0xffcacef2,
    0xffc6c5e4,
    0xff9eb4d6,
    0xff0b2755,
    0xff0f326c,
    0xff0c316f,
    0xff092e67,
    0xff0a2e63,
    0xff0a2e67,
    0xff072c6b,
    0xff072d67,
    0xff062c65,
    0xff082b66,
    0xff052c63,
    0xff032960,
    0xff022c60,
    0xff042e62,
    0xff063062,
    0xff07346a,
    0xff07346c,
    0xff0d3a72,
    0xff0c396f,
    0xff08366c,
    0xff093770,
    0xff08366f,
    0xff06346d,
    0xff053069,
    0xff052f6c,
    0xff06306c,
    0xff022c66,
    0xff072e6a,
    0xff083169,
    0xff0a3166,
    0xff093165,
    0xff0b356b,
    0xff0d376d,
    0xff0e376d,
    0xff0e376d,
    0xff0f386c,
    0xff0e3868,
    0xff103b69,
    0xff123e68,
    0xff183c66,
    0xff123365,
    0xff19355d,
    0xff536163,
    0xffcecd99,
    0xffb6ac5a,
    0xffd3ca79,
    0xffb6b172,
    0xffcdcda5,
    0xff3c452e,
    0xff28322a,
    0xff2e3735,
    0xff455458,
    0xff394c55,
    0xff2b302f,
    0xff604d3a,
    0xffd2a765,
    0xff5d3206,
    0xff360a00,
    0xff582a0e,
    0xff5d2b0c,
    0xff6f442e,
    0xff644c41,
    0xff5e5853,
    0xff92817f,
    0xffffc1c3,
    0xffbc503d,
    0xffab4207,
    0xffef8f49,
    0xff8b1f00,
    0xff991403,
    0xffac140e,
    0xff991512,
    0xff7c040f,
    0xff90322d,
    0xffa14b22,
    0xffb5531c,
    0xff8a2b00,
    0xffb2551c,
    0xffc04b0a,
    0xffb94307,
    0xffae3700,
    0xffb33203,
    0xffac1e03,
    0xffb02711,
    0xff95280f,
    0xff9c5e49,
    0xff68514a,
    0xff5d5045,
    0xff813b36,
    0xff931816,
    0xff890000,
    0xffa31a09,
    0xffdf5f42,
    0xffd1582a,
    0xffcb5820,
    0xffcd5325,
    0xffd35b37,
    0xffd75e41,
    0xffd35439,
    0xffd74c36,
    0xffc93c2b,
    0xff980e08,
    0xff7c0000,
    0xff7d0200,
    0xff790007,
    0xff7f242c,
    0xff613f40,
    0xff38414f,
    0xff27475b,
    0xff253942,
    0xff484445,
    0xff6b3540,
    0xff9b4d49,
    0xffa01e16,
    0xff920700,
    0xff880500,
    0xffa1220e,
    0xffad4812,
    0xffbf5305,
    0xffba5600,
    0xffbf5708,
    0xffbb4f08,
    0xffab3900,
    0xffaf3a04,
    0xffb33b0a,
    0xffab320a,
    0xffa32908,
    0xffb54124,
    0xffae4a30,
    0xff852312,
    0xff8f1d17,
    0xff901311,
    0xff8f1b16,
    0xff85150e,
    0xff8b1513,
    0xff861309,
    0xff7d0900,
    0xff81170f,
    0xff81190d,
    0xff943432,
    0xff7a1816,
    0xffaa493d,
    0xff612936,
    0xff4d2c53,
    0xff682436,
    0xff961f17,
    0xffca3724,
    0xffb41f10,
    0xff950902,
    0xff9b1309,
    0xff960b00,
    0xff97120e,
    0xff913427,
    0xff8c2724,
    0xffa52c34,
    0xff7a2220,
    0xff581a0c,
    0xff7a1d17,
    0xffb53839,
    0xffae372e,
    0xffae2c23,
    0xffa71910,
    0xffb5241d,
    0xffbc302c,
    0xff970f12,
    0xff9b1620,
    0xff97121d,
    0xff941416,
    0xff85352b,
    0xffb36956,
    0xffa73a29,
    0xffce6e5b,
    0xffb15643,
    0xffa43625,
    0xffa93827,
    0xffad422b,
    0xffb95639,
    0xffbc452e,
    0xffc33a2a,
    0xffc1493b,
    0xffc14d42,
    0xffab1c20,
    0xffb21421,
    0xff950008,
    0xff950008,
    0xff8c0002,
    0xff8f0502,
    0xff9a0501,
    0xffcd2d2b,
    0xffbe3b2f,
    0xff8a331b,
    0xff67453b,
    0xff784d2f,
    0xff972718,
    0xff8d020c,
    0xff7a0006,
    0xff850a03,
    0xffce4e3d,
    0xffd13c39,
    0xffb2191c,
    0xffc42c2e,
    0xffc92f30,
    0xffc32727,
    0xffbd1e22,
    0xffce2d35,
    0xffb10d1a,
    0xffab0616,
    0xffb30313,
    0xffb2061a,
    0xffa80410,
    0xffa00003,
    0xff9e0306,
    0xff9c0111,
    0xff910004,
    0xff890000,
    0xff990a03,
    0xff9e140d,
    0xff961400,
    0xffb83a06,
    0xfffa7c40,
    0xffa01d04,
    0xff880206,
    0xff84040e,
    0xffa32d27,
    0xffc14a3e,
    0xffb75545,
    0xff782e20,
    0xff6b1414,
    0xff981d29,
    0xff990e1f,
    0xff81000d,
    0xff92040c,
    0xff7f0001,
    0xff790309,
    0xff6d0001,
    0xff831313,
    0xff7e0e0c,
    0xff8e201d,
    0xff7c130f,
    0xff8c3118,
    0xff860e00,
    0xff930811,
    0xff7d010e,
    0xff6e0100,
    0xff8a1111,
    0xff9d121b,
    0xffa41112,
    0xffa50e16,
    0xff96010a,
    0xffa9101b,
    0xffb61f24,
    0xffb61f22,
    0xffbb2729,
    0xff9a0910,
    0xff9e0f1b,
    0xff920311,
    0xff900511,
    0xff880510,
    0xff750009,
    0xff6d010a,
    0xff72040e,
    0xff770408,
    0xff810708,
    0xff850f07,
    0xff930e05,
    0xffae4a30,
    0xff8e1903,
    0xff911104,
    0xff911b0b,
    0xff981f10,
    0xff873d1e,
    0xff8f3f21,
    0xffa13b26,
    0xffaa3529,
    0xffa82c1f,
    0xffb33826,
    0xffac361e,
    0xffa8371d,
    0xffab3b21,
    0xffce7430,
    0xffda9950,
    0xfffff2c0,
    0xffcab293,
    0xff592400,
    0xff994608,
    0xffad510b,
    0xffb6641a,
    0xffd27d34,
    0xffd17b45,
    0xff9f3e20,
    0xffc4674d,
    0xffa14522,
    0xffbf4929,
    0xffbb3e26,
    0xffab4a31,
    0xffc97248,
    0xffb77f3e,
    0xffa5974c,
    0xffb1a869,
    0xffa29159,
    0xff8f7d39,
    0xff7b6128,
    0xff9c855e,
    0xff6d6132,
    0xffad9f60,
    0xff95854a,
    0xff9c693e,
    0xff872902,
    0xff843405,
    0xff97642a,
    0xffa96f22,
    0xff995113,
    0xffa74a2b,
    0xffbb602f,
    0xffcf833b,
    0xffc07e22,
    0xffaa6903,
    0xffbf802a,
    0xff966711,
    0xff896713,
    0xff947919,
    0xffa98a34,
    0xff88710b,
    0xff8f7f19,
    0xff9c7716,
    0xff5b2800,
    0xff6b562f,
    0xffc0ba77,
    0xff9a9f75,
    0xff67635f,
    0xff1b1200,
    0xff352920,
    0xff290809,
    0xff855b1f,
    0xffaf8c30,
    0xffbe9838,
    0xffb58616,
    0xffbc7816,
    0xffb7621f,
    0xffa74713,
    0xffd16c40,
    0xffbc582d,
    0xffa94709,
    0xffa24d01,
    0xff8e4e11,
    0xffcd8816,
    0xffe18e10,
    0xffdb9225,
    0xffe9aa3c,
    0xffe4a13f,
    0xffc88531,
    0xffca863f,
    0xffbb7b3a,
    0xff9b5222,
    0xff965415,
    0xffe0b95a,
    0xffcba842,
    0xffd69e3c,
    0xffe9a73e,
    0xffffd961,
    0xfff8ba66,
    0xff9e6934,
    0xffebc7ac,
    0xffac897a,
    0xffc89876,
    0xff946038,
    0xffc69685,
    0xff846227,
    0xffe5ceb4,
    0xff7f6563,
    0xff5d4835,
    0xff9a888b,
    0xffb99daa,
    0xff8b6756,
    0xff6b4f4c,
    0xff595356,
    0xfffff3f9,
    0xff24080b,
    0xffb7aca8,
    0xff52524e,
    0xffa38985,
    0xff7e4136,
    0xff752a13,
    0xff7f321a,
    0xff791104,
    0xff932c14,
    0xffb65b48,
    0xff993514,
    0xffd77b42,
    0xff8a451e,
    0xff420a00,
    0xff684834,
    0xff82615e,
    0xff391614,
    0xff663002,
    0xffefa845,
    0xffcb7f25,
    0xffa24907,
    0xffb23f0e,
    0xffb2361e,
    0xff852413,
    0xff591800,
    0xffdd9f91,
    0xff681919,
    0xff792103,
    0xff923c0b,
    0xffa65920,
    0xff5277a3,
    0xff67819d,
    0xff52495d,
    0xff3f1022,
    0xff380010,
    0xff2d0112,
    0xff300716,
    0xff30000e,
    0xff3e2d4a,
    0xff47648b,
    0xff4b659b,
    0xff634f6c,
    0xff504a53,
    0xff516185,
    0xff485286,
    0xff2e578d,
    0xff355c91,
    0xff2f5484,
    0xff285183,
    0xff3c6098,
    0xff5b7097,
    0xff554a53,
    0xff320001,
    0xff530411,
    0xff5a0010,
    0xff52020f,
    0xff48050c,
    0xff43040c,
    0xff46020c,
    0xff45000b,
    0xff440307,
    0xff410603,
    0xff4a0009,
    0xff430409,
    0xff480206,
    0xff5f0002,
    0xff6e0002,
    0xff640403,
    0xff550605,
    0xff4b0305,
    0xff450100,
    0xff450303,
    0xff500301,
    0xff99373c,
    0xff78464e,
    0xff3b3249,
    0xff552042,
    0xff530419,
    0xff550106,
    0xff4f0409,
    0xff58000c,
    0xff61000b,
    0xff560409,
    0xff560405,
    0xff570204,
    0xff4c0807,
    0xff520306,
    0xff5b0208,
    0xff5e000a,
    0xff5c0008,
    0xff5d040b,
    0xff5e0509,
    0xff690a0e,
    0xff720e13,
    0xff691515,
    0xff4b0d11,
    0xff1f0704,
    0xff44070e,
    0xff8f292f,
    0xff791313,
    0xff7b0d14,
    0xff72121b,
    0xff6c0f15,
    0xff6b0000,
    0xff8a0b03,
    0xffce241e,
    0xffb90601,
    0xffb30602,
    0xffb00208,
    0xff800000,
    0xff670002,
    0xff6d010b,
    0xff66000f,
    0xff5b0305,
    0xff670100,
    0xff7d0000,
    0xff810007,
    0xff78000c,
    0xff750009,
    0xff6f0006,
    0xff690005,
    0xff680002,
    0xff700104,
    0xff7d0107,
    0xff89000a,
    0xff8d0007,
    0xff8b0007,
    0xff7b0609,
    0xff87020b,
    0xff7e0609,
    0xff7a0505,
    0xff8f010a,
    0xff82040c,
    0xff811a20,
    0xff732c37,
    0xffc2788a,
    0xffffd8e5,
    0xff826f6f,
    0xff2c0906,
    0xff7d1218,
    0xffac070e,
    0xffb50603,
    0xffa80509,
    0xff960011,
    0xff954658,
    0xff531b27,
    0xff60050e,
    0xff5f0602,
    0xff660102,
    0xff730007,
    0xff7c0008,
    0xff6a0308,
    0xff5f0407,
    0xff640204,
    0xff640101,
    0xff5b0300,
    0xff600802,
    0xff650103,
    0xff680007,
    0xff640007,
    0xff5b020f,
    0xff47051b,
    0xff3c1e42,
    0xff2d2e63,
    0xff173371,
    0xff11387a,
    0xff0f3a7b,
    0xff0e3a7b,
    0xff0b3878,
    0xff0a377b,
    0xff093a7b,
    0xff06377a,
    0xff06377b,
    0xff06387b,
    0xff0c3983,
    0xff0c3883,
    0xff0e3a83,
    0xff0d3882,
    0xff0c387f,
    0xff0d3980,
    0xff0c387f,
    0xff0d3a81,
    0xff0b3b7e,
    0xff0b3d80,
    0xff07367a,
    0xff07367a,
    0xff08377b,
    0xff09387c,
    0xff053378,
    0xff053478,
    0xff033576,
    0xff053876,
    0xff043474,
    0xff0a377a,
    0xff0d377b,
    0xff0d3a7e,
    0xff0c397d,
    0xff07367a,
    0xff053577,
    0xff08387a,
    0xff08387a,
    0xff053577,
    0xff08387a,
    0xff063678,
    0xff08387a,
    0xff0a3a7c,
    0xff0b3579,
    0xff093478,
    0xff073377,
    0xff023175,
    0xff033277,
    0xff053275,
    0xff093576,
    0xff083472,
    0xff0a3671,
    0xff07316d,
    0xff052d6a,
    0xff042a68,
    0xff002561,
    0xff052764,
    0xff092966,
    0xff092965,
    0xff042663,
    0xff082a67,
    0xff072b67,
    0xff082e6c,
    0xff052d6a,
    0xff05306c,
    0xff032c6a,
    0xff012c6a,
    0xff012d6b,
    0xff022d6d,
    0xff032f6f,
    0xff073575,
    0xff043173,
    0xff083779,
    0xff043375,
    0xff043376,
    0xff083475,
    0xff073372,
    0xff093172,
    0xff08306e,
    0xff06316c,
    0xff072f6d,
    0xff072f6c,
    0xff052d6b,
    0xff0b2f6d,
    0xff062c6a,
    0xff062e69,
    0xff0c346f,
    0xff082f68,
    0xff0b3067,
    0xff0b2e66,
    0xff0e2f68,
    0xff0c2d6b,
    0xff0a2f6a,
    0xff08306a,
    0xff053064,
    0xff0d345e,
    0xff0b2648,
    0xff1c2e43,
    0xff495262,
    0xff2e435b,
    0xff152c55,
    0xff0d2a61,
    0xff082866,
    0xff0c2b62,
    0xff0a2b5f,
    0xff0b2f65,
    0xff0a2f6a,
    0xff0e2e68,
    0xff12356a,
    0xff14386d,
    0xff0f3467,
    0xff133b6d,
    0xff143f6e,
    0xff1b4575,
    0xff1a4676,
    0xff18477a,
    0xff174579,
    0xff103e72,
    0xff0e3b72,
    0xff103d74,
    0xff0f3c72,
    0xff0d3a73,
    0xff0b3870,
    0xff0a3874,
    0xff0c3974,
    0xff0b3973,
    0xff0b3571,
    0xff0c3670,
    0xff0e376e,
    0xff0b3468,
    0xff0f3a6b,
    0xff0f366d,
    0xff0d346b,
    0xff0e346c,
    0xff0e3669,
    0xff0c3467,
    0xff0a3263,
    0xff0c3563,
    0xff0f3863,
    0xff0b3a5e,
    0xff153d79,
    0xff1a3871,
    0xff36464a,
    0xffbfc477,
    0xffb4b33b,
    0xffcccb62,
    0xffc5cb80,
    0xff9da43f,
    0xffc7c86d,
    0xffb6af62,
    0xffa19d68,
    0xff74856f,
    0xff4f6d6e,
    0xff708285,
    0xff80786a,
    0xff9a854b,
    0xff69561e,
    0xff4f320e,
    0xff774139,
    0xff5f1917,
    0xff541305,
    0xff603722,
    0xff634e3e,
    0xff453928,
    0xff522f2b,
    0xffad6c5d,
    0xffdb8c5b,
    0xffc9803d,
    0xffaf6d32,
    0xff913b1a,
    0xffa6331d,
    0xff962100,
    0xff780c03,
    0xffa94f4e,
    0xff791708,
    0xff8b1708,
    0xff650000,
    0xffa94422,
    0xffb94805,
    0xffb5430b,
    0xffb22e03,
    0xffb42e0d,
    0xffa71806,
    0xffab190f,
    0xff973923,
    0xff735b4e,
    0xff4a555c,
    0xff4d5450,
    0xff772b2d,
    0xff91110b,
    0xffb8361e,
    0xffd75235,
    0xffc83b21,
    0xffc94024,
    0xffca4726,
    0xffdf5533,
    0xffd8533e,
    0xffc0433b,
    0xffcc4e47,
    0xffcd4b3f,
    0xffd55244,
    0xff991616,
    0xff7e0008,
    0xff7c000e,
    0xff7d0006,
    0xff8d1813,
    0xff673e3c,
    0xff333c58,
    0xff32375a,
    0xff303f55,
    0xff233655,
    0xff28414d,
    0xff492e30,
    0xffb13d41,
    0xffb72c2b,
    0xff870500,
    0xff8c1200,
    0xffbb531c,
    0xffc54800,
    0xffbc5600,
    0xffc15706,
    0xffba4e08,
    0xffb44306,
    0xffaf3e05,
    0xffb44210,
    0xffb4431a,
    0xffa32f0e,
    0xffba3f29,
    0xffae4c34,
    0xff7c250e,
    0xff8a2316,
    0xff942419,
    0xff801103,
    0xff901b11,
    0xff9a1915,
    0xff96261a,
    0xff851a0a,
    0xff92191f,
    0xff832312,
    0xff902912,
    0xffbc2b23,
    0xffcd6b5a,
    0xff3d1e36,
    0xff232b48,
    0xff683d4f,
    0xff95272c,
    0xff9b080e,
    0xffe7535e,
    0xffae2734,
    0xff830205,
    0xff910c06,
    0xff8a0e03,
    0xff830d03,
    0xff820602,
    0xff89070a,
    0xff841813,
    0xff953e33,
    0xff7b1b10,
    0xff8c140e,
    0xff961c13,
    0xffb73026,
    0xffbd291c,
    0xffae1408,
    0xffa7150c,
    0xffa71f1b,
    0xff9d1919,
    0xff991719,
    0xff941108,
    0xff92341f,
    0xffac614d,
    0xffa7372d,
    0xff952310,
    0xffa13d1f,
    0xffca5a45,
    0xffbe6248,
    0xffc75f40,
    0xffbe5d3f,
    0xffc04032,
    0xffcf372f,
    0xffbe3727,
    0xff901404,
    0xffa31112,
    0xffba1e2a,
    0xffaa1723,
    0xffa10915,
    0xff920208,
    0xff880205,
    0xff92060b,
    0xffa0181e,
    0xffab4944,
    0xff744531,
    0xff7a4246,
    0xff8a4730,
    0xffa53b25,
    0xff74050c,
    0xff750912,
    0xffb1281a,
    0xffd04024,
    0xffa41707,
    0xffa80b0f,
    0xffbd1c22,
    0xffb51218,
    0xffab060a,
    0xffbd191e,
    0xffc41f28,
    0xff9f0008,
    0xffa20010,
    0xffb50012,
    0xffb20014,
    0xffaa0210,
    0xffb11212,
    0xffb4171c,
    0xffa00816,
    0xff970715,
    0xff8e0405,
    0xff810001,
    0xff890701,
    0xff951603,
    0xffba3a1a,
    0xff9b1500,
    0xff8e0400,
    0xff880302,
    0xff9d181a,
    0xffbd4240,
    0xffd24d3c,
    0xff9f442c,
    0xff241708,
    0xff0d1219,
    0xff460b1e,
    0xff921725,
    0xffa01215,
    0xffa81a21,
    0xff88070e,
    0xff720007,
    0xff680005,
    0xff80171b,
    0xff680303,
    0xff680506,
    0xff5d0300,
    0xffa75b1f,
    0xffffb37b,
    0xff8b1000,
    0xff8d1916,
    0xff8e2310,
    0xff992315,
    0xffac3028,
    0xffbe4a2f,
    0xffc9312f,
    0xffbf2225,
    0xffae1215,
    0xffbc2021,
    0xffd13333,
    0xffd13332,
    0xffa6070c,
    0xffbf202c,
    0xffaf1628,
    0xff9d0a17,
    0xff8a030d,
    0xff780008,
    0xff71040f,
    0xff67010e,
    0xff710913,
    0xff70060d,
    0xff690814,
    0xff6f0009,
    0xff5c0200,
    0xff830d09,
    0xff92231a,
    0xff953c29,
    0xff931109,
    0xff8b0900,
    0xff923118,
    0xff9f4a33,
    0xff9c2d1f,
    0xff9a1309,
    0xff931d09,
    0xffb04429,
    0xffa03015,
    0xffa32f18,
    0xffaa481b,
    0xffdda792,
    0xff8a6a43,
    0xff8f631d,
    0xffc27331,
    0xffb55a18,
    0xffc07126,
    0xffaf6c27,
    0xff9c6627,
    0xffce986a,
    0xffbb6558,
    0xffb24646,
    0xff83170d,
    0xffc64b36,
    0xffac260b,
    0xffa8340d,
    0xffa65319,
    0xffc88435,
    0xff9d8934,
    0xffaba265,
    0xffb39f69,
    0xffb3954f,
    0xffa57a3d,
    0xff8f7e51,
    0xff908c5a,
    0xff92874f,
    0xff4d5a22,
    0xff635724,
    0xffa04b1f,
    0xff96270a,
    0xffa53b2a,
    0xffba372a,
    0xffb63224,
    0xffb81b31,
    0xffc93426,
    0xffca5a2b,
    0xffb56223,
    0xffc07924,
    0xff8a4d01,
    0xffab8021,
    0xff7e5e08,
    0xff7a6203,
    0xffc99f64,
    0xffcbad65,
    0xff717218,
    0xffb7ad54,
    0xff8a5d38,
    0xff3a0800,
    0xff7d652b,
    0xff7c7a3a,
    0xffceccbf,
    0xff4a413d,
    0xff251b1e,
    0xff442312,
    0xffd09e41,
    0xffa06e15,
    0xffcca93c,
    0xffc79b1f,
    0xffb06c11,
    0xffa74717,
    0xff8e1f03,
    0xff9b310f,
    0xff91340b,
    0xff9c4e15,
    0xffab6726,
    0xff541f0b,
    0xffcf9234,
    0xffd08204,
    0xffc07a16,
    0xffdfa63d,
    0xffe7ab3a,
    0xffe7a94b,
    0xffd38a46,
    0xff8c590e,
    0xffcba35f,
    0xffa37b30,
    0xff714f00,
    0xffae8d3e,
    0xff9e6724,
    0xffc37419,
    0xff974200,
    0xff913400,
    0xffd18149,
    0xff8a5924,
    0xffc59d78,
    0xffa77956,
    0xffb38354,
    0xff512800,
    0xffe1b358,
    0xff5d3e0f,
    0xff987b74,
    0xff624c3d,
    0xff5b4a54,
    0xffd6b8c8,
    0xff6c4a2e,
    0xff694c3c,
    0xff807b7d,
    0xffa2838b,
    0xff3d1c1a,
    0xff7b766a,
    0xffc0c0be,
    0xff9d8c8c,
    0xff350600,
    0xffd88873,
    0xffaa5846,
    0xff9a3a30,
    0xff741701,
    0xff740801,
    0xff9d131c,
    0xff951814,
    0xff902e1b,
    0xffba6134,
    0xff8c492e,
    0xffcba78e,
    0xff483126,
    0xff512203,
    0xfffdb54e,
    0xffc67900,
    0xffd7811b,
    0xffe0882a,
    0xff9b4203,
    0xff942915,
    0xff8d281f,
    0xffe08e8e,
    0xff8a3239,
    0xff9f2d27,
    0xff992218,
    0xffc9624e
};

/* ========================================================================== */
/*                       Static Function Definitions                          */
/* ========================================================================== */

/* None */

#ifdef __cplusplus
}
#endif

#endif /* #ifndef DSS_DISPLAY_BUFFER1_H_ */

/* @} */
