/*
 *  Copyright (c) Texas Instruments Incorporated 2018
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 *  \file dss_display_buffer2.h
 *
 *  \brief DSS Display buffer size 300x240 ARGB8888 format
 */

#ifndef DSS_DISPLAY_BUFFER2_H_
#define DSS_DISPLAY_BUFFER2_H_

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                      Static Function Declarations                          */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

const uint32_t gDispArray2[] __attribute__ ((aligned (4096))) __attribute__ ((section ("uartbuffer")));
const uint32_t gDispArray2[] = {
    0xff051401,
    0xff071600,
    0xff0a1800,
    0xff0a1900,
    0xff0a1800,
    0xff0d1a00,
    0xff0e1b01,
    0xff101800,
    0xff101701,
    0xff131801,
    0xff111700,
    0xff121600,
    0xff101700,
    0xff101500,
    0xff0f1400,
    0xff0d1300,
    0xff0d1001,
    0xff0c1001,
    0xff0c1001,
    0xff0b1000,
    0xff091101,
    0xff061100,
    0xff071201,
    0xff041300,
    0xff051401,
    0xff061500,
    0xff051400,
    0xff061500,
    0xff051400,
    0xff051401,
    0xff011300,
    0xff021300,
    0xff031200,
    0xff031100,
    0xff040f00,
    0xff020f01,
    0xff020d02,
    0xff020b00,
    0xff010a01,
    0xff020801,
    0xff010700,
    0xff000700,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff000300,
    0xff010101,
    0xff020201,
    0xff020200,
    0xff010401,
    0xff020400,
    0xff010500,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000600,
    0xff020700,
    0xff020701,
    0xff020700,
    0xff020700,
    0xff020701,
    0xff010801,
    0xff020b00,
    0xff010c01,
    0xff030d00,
    0xff040e01,
    0xff051001,
    0xff051000,
    0xff071201,
    0xff081302,
    0xff091600,
    0xff0c1700,
    0xff0c1a00,
    0xff121b01,
    0xff161c02,
    0xff182000,
    0xff162200,
    0xff172300,
    0xff1a2602,
    0xff1a2401,
    0xff1b2500,
    0xff182700,
    0xff192400,
    0xff192301,
    0xff192000,
    0xff161f00,
    0xff171d01,
    0xff171d01,
    0xff181c01,
    0xff171a00,
    0xff1a1901,
    0xff1f1b01,
    0xff241e00,
    0xff2a1e04,
    0xff2a2006,
    0xff302105,
    0xff302205,
    0xff312406,
    0xff332405,
    0xff342305,
    0xff342302,
    0xff302302,
    0xff302102,
    0xff2f2001,
    0xff2b1f01,
    0xff241d00,
    0xff1e1900,
    0xff161400,
    0xff0f1101,
    0xff070d00,
    0xff060e00,
    0xff050d00,
    0xff050f00,
    0xff040f00,
    0xff050f00,
    0xff041200,
    0xff041301,
    0xff041400,
    0xff051401,
    0xff081400,
    0xff071600,
    0xff081700,
    0xff091801,
    0xff0b1900,
    0xff0d1a02,
    0xff0b1a00,
    0xff0c1b00,
    0xff0b1c01,
    0xff0d1d03,
    0xff0b1b02,
    0xff0e1d03,
    0xff0d1d02,
    0xff0c1c02,
    0xff0b1d02,
    0xff091c04,
    0xff081c01,
    0xff081b02,
    0xff091a02,
    0xff0b1a00,
    0xff081a00,
    0xff091c00,
    0xff0b1a03,
    0xff0a1902,
    0xff0a1901,
    0xff071903,
    0xff071903,
    0xff071702,
    0xff081702,
    0xff071602,
    0xff071601,
    0xff051400,
    0xff071500,
    0xff071300,
    0xff061302,
    0xff061300,
    0xff081501,
    0xff071400,
    0xff0b1602,
    0xff0c1500,
    0xff0d1800,
    0xff0f1700,
    0xff0e1600,
    0xff111500,
    0xff111400,
    0xff121501,
    0xff141700,
    0xff141801,
    0xff151900,
    0xff181d00,
    0xff1b2100,
    0xff1d2301,
    0xff1f2701,
    0xff202900,
    0xff222a00,
    0xff272d00,
    0xff282c01,
    0xff282c01,
    0xff292d01,
    0xff273000,
    0xff2b3101,
    0xff2c3300,
    0xff303301,
    0xff303401,
    0xff303802,
    0xff333800,
    0xff343800,
    0xff343c01,
    0xff363e01,
    0xff363e00,
    0xff344101,
    0xff354101,
    0xff344102,
    0xff313f01,
    0xff333f01,
    0xff2f3d00,
    0xff2f3e00,
    0xff323c00,
    0xff333d00,
    0xff343e01,
    0xff363d02,
    0xff373d01,
    0xff363d01,
    0xff383800,
    0xff383800,
    0xff353501,
    0xff343504,
    0xff333306,
    0xff323007,
    0xff322f09,
    0xff322e0c,
    0xff2e2d0b,
    0xff2c2a0d,
    0xff28270c,
    0xff22250e,
    0xff23230d,
    0xff22240e,
    0xff21230d,
    0xff20220d,
    0xff1e200b,
    0xff1d1e0d,
    0xff1e1f0c,
    0xff20210b,
    0xff212308,
    0xff212405,
    0xff232609,
    0xff27280a,
    0xff292b09,
    0xff2b2d09,
    0xff2d2f09,
    0xff2f3009,
    0xff2e3408,
    0xff313509,
    0xff36360a,
    0xff38390d,
    0xff393c0f,
    0xff3b4011,
    0xff404314,
    0xff434719,
    0xff444a1a,
    0xff484c19,
    0xff464b1a,
    0xff454b1c,
    0xff464d19,
    0xff444c19,
    0xff444b18,
    0xff454b19,
    0xff414b13,
    0xff414813,
    0xff414911,
    0xff3f470d,
    0xff3c420c,
    0xff393f0a,
    0xff353903,
    0xff303300,
    0xff2c2e01,
    0xff272800,
    0xff262701,
    0xff262800,
    0xff2c2d00,
    0xff303200,
    0xff323402,
    0xff333601,
    0xff373806,
    0xff3a3c0b,
    0xff3b3c11,
    0xff3c3e15,
    0xff3b3c16,
    0xff3b3b17,
    0xff3e3e19,
    0xff3e401c,
    0xff3f4019,
    0xff3d3e17,
    0xff3c3c16,
    0xff3a3a14,
    0xff373914,
    0xff35370d,
    0xff2e320d,
    0xff272c09,
    0xff232503,
    0xff171d00,
    0xff121801,
    0xff0d1400,
    0xff090f00,
    0xff060b01,
    0xff000700,
    0xff010200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000400,
    0xff010600,
    0xff030801,
    0xff070901,
    0xff070b00,
    0xff0a0e00,
    0xff0b0f00,
    0xff0e1400,
    0xff111700,
    0xff051201,
    0xff061501,
    0xff071701,
    0xff0a1900,
    0xff0a1800,
    0xff0c1900,
    0xff0d1900,
    0xff111901,
    0xff101700,
    0xff131800,
    0xff111500,
    0xff101700,
    0xff0f1400,
    0xff0e1300,
    0xff0d1101,
    0xff0c1000,
    0xff0c1002,
    0xff0b0f00,
    0xff0b0e01,
    0xff090e00,
    0xff091101,
    0xff041200,
    0xff051200,
    0xff041300,
    0xff061201,
    0xff061502,
    0xff061500,
    0xff051401,
    0xff051300,
    0xff021300,
    0xff021300,
    0xff041300,
    0xff041201,
    0xff041201,
    0xff041100,
    0xff030f02,
    0xff030d02,
    0xff000c00,
    0xff030b01,
    0xff010800,
    0xff010600,
    0xff000401,
    0xff000401,
    0xff010300,
    0xff000200,
    0xff000300,
    0xff000300,
    0xff010200,
    0xff010100,
    0xff020401,
    0xff010301,
    0xff020401,
    0xff030401,
    0xff010600,
    0xff000500,
    0xff030400,
    0xff010600,
    0xff010701,
    0xff020701,
    0xff020700,
    0xff020700,
    0xff020700,
    0xff030901,
    0xff020a01,
    0xff040b00,
    0xff030d00,
    0xff050e01,
    0xff030e01,
    0xff061100,
    0xff061101,
    0xff081500,
    0xff0c1701,
    0xff0c1900,
    0xff101c00,
    0xff141d00,
    0xff141e00,
    0xff161f00,
    0xff162300,
    0xff162500,
    0xff1a2602,
    0xff182800,
    0xff1a2700,
    0xff1a2701,
    0xff192800,
    0xff1a2601,
    0xff192300,
    0xff182200,
    0xff181f00,
    0xff171f00,
    0xff171e00,
    0xff191b01,
    0xff171a01,
    0xff1d1900,
    0xff211c00,
    0xff261d01,
    0xff261e03,
    0xff291e01,
    0xff2c1f02,
    0xff2e2003,
    0xff302403,
    0xff312000,
    0xff2f2301,
    0xff312100,
    0xff2f1f02,
    0xff2d1e01,
    0xff291d01,
    0xff221c00,
    0xff1c1700,
    0xff111200,
    0xff0b0d00,
    0xff070b00,
    0xff070d00,
    0xff070c01,
    0xff050d00,
    0xff040f01,
    0xff050f00,
    0xff051200,
    0xff061201,
    0xff031401,
    0xff071600,
    0xff081401,
    0xff081600,
    0xff081700,
    0xff0a1801,
    0xff0b1900,
    0xff0e1a00,
    0xff0b1b00,
    0xff0c1d01,
    0xff0d1d01,
    0xff0d1c02,
    0xff0d1d02,
    0xff0e1e03,
    0xff0d1e02,
    0xff0f1e03,
    0xff0d1e02,
    0xff0a1e00,
    0xff0a1b01,
    0xff0a1b01,
    0xff0c1c02,
    0xff0c1b01,
    0xff091c02,
    0xff091a00,
    0xff0c1b01,
    0xff0a1a02,
    0xff091902,
    0xff0a1801,
    0xff0a1901,
    0xff091800,
    0xff081700,
    0xff081702,
    0xff071601,
    0xff061500,
    0xff061400,
    0xff081501,
    0xff071400,
    0xff071400,
    0xff091400,
    0xff091501,
    0xff0a1501,
    0xff0d1601,
    0xff0e1800,
    0xff0f1700,
    0xff0f1600,
    0xff111600,
    0xff101500,
    0xff131501,
    0xff131601,
    0xff151801,
    0xff151a00,
    0xff171a00,
    0xff1b2001,
    0xff1d2300,
    0xff1f2700,
    0xff202900,
    0xff252900,
    0xff282a00,
    0xff272902,
    0xff282a03,
    0xff292b01,
    0xff283000,
    0xff2e2f00,
    0xff2b3300,
    0xff2f3301,
    0xff2e3600,
    0xff2f3600,
    0xff303601,
    0xff323801,
    0xff333b00,
    0xff353d01,
    0xff353d01,
    0xff343e01,
    0xff353f01,
    0xff343d00,
    0xff333e01,
    0xff323d00,
    0xff313c00,
    0xff313b00,
    0xff313b00,
    0xff323c00,
    0xff363d02,
    0xff353f00,
    0xff383e01,
    0xff363d02,
    0xff373900,
    0xff373700,
    0xff353501,
    0xff353404,
    0xff333205,
    0xff333007,
    0xff313008,
    0xff2f2c0a,
    0xff2d2c09,
    0xff2a290b,
    0xff262a0c,
    0xff28270e,
    0xff24250d,
    0xff20230c,
    0xff21230d,
    0xff21230c,
    0xff1e210c,
    0xff1f210b,
    0xff20210c,
    0xff24220a,
    0xff232205,
    0xff232404,
    0xff252604,
    0xff262805,
    0xff282904,
    0xff292b04,
    0xff2c2e06,
    0xff2e3007,
    0xff30320b,
    0xff33350b,
    0xff36360a,
    0xff38390d,
    0xff3a3a0f,
    0xff3a3e10,
    0xff3e4014,
    0xff414415,
    0xff414717,
    0xff444c18,
    0xff444b1a,
    0xff414717,
    0xff414715,
    0xff3d4816,
    0xff404516,
    0xff3f4615,
    0xff3d4510,
    0xff3e4310,
    0xff3b420d,
    0xff3b3f09,
    0xff383b09,
    0xff343803,
    0xff303300,
    0xff292c01,
    0xff262700,
    0xff242700,
    0xff252700,
    0xff282901,
    0xff2b2f01,
    0xff313200,
    0xff323400,
    0xff353701,
    0xff383908,
    0xff3a3c0b,
    0xff3a3c11,
    0xff383f15,
    0xff393e16,
    0xff383d14,
    0xff3c3e15,
    0xff3d3e19,
    0xff3d3e17,
    0xff3c3c17,
    0xff3b3b18,
    0xff3a3916,
    0xff373913,
    0xff333510,
    0xff2e310c,
    0xff272c08,
    0xff202602,
    0xff181e00,
    0xff121601,
    0xff0a1100,
    0xff060c00,
    0xff020700,
    0xff000300,
    0xff010000,
    0xff010001,
    0xff010101,
    0xff000200,
    0xff000200,
    0xff020300,
    0xff020500,
    0xff020701,
    0xff060801,
    0xff080a00,
    0xff090e01,
    0xff0a1001,
    0xff0b1201,
    0xff0e1600,
    0xff031000,
    0xff071301,
    0xff061500,
    0xff091700,
    0xff0a1800,
    0xff0a1800,
    0xff0b1700,
    0xff101801,
    0xff101700,
    0xff121600,
    0xff101600,
    0xff0e1500,
    0xff0e1200,
    0xff0e1200,
    0xff0c1001,
    0xff0c1001,
    0xff0c0f01,
    0xff090d00,
    0xff0b0f01,
    0xff080e01,
    0xff070f00,
    0xff061000,
    0xff061000,
    0xff031200,
    0xff061200,
    0xff041300,
    0xff051401,
    0xff051401,
    0xff051502,
    0xff031401,
    0xff021300,
    0xff041401,
    0xff031200,
    0xff041100,
    0xff041100,
    0xff020e01,
    0xff020d01,
    0xff010c00,
    0xff020901,
    0xff010800,
    0xff010600,
    0xff000400,
    0xff010400,
    0xff020300,
    0xff000300,
    0xff010200,
    0xff000200,
    0xff010200,
    0xff010200,
    0xff010300,
    0xff020301,
    0xff020401,
    0xff010501,
    0xff020300,
    0xff000400,
    0xff030400,
    0xff010500,
    0xff020600,
    0xff020701,
    0xff010600,
    0xff020700,
    0xff020700,
    0xff010900,
    0xff000b00,
    0xff010c01,
    0xff020c00,
    0xff050d00,
    0xff040f00,
    0xff051000,
    0xff071201,
    0xff081600,
    0xff0b1700,
    0xff0f1a00,
    0xff121c00,
    0xff121f01,
    0xff151e00,
    0xff142000,
    0xff162200,
    0xff192400,
    0xff1b2402,
    0xff192800,
    0xff1b2701,
    0xff1b2902,
    0xff192901,
    0xff1b2702,
    0xff192401,
    0xff1a2100,
    0xff191f01,
    0xff181f01,
    0xff171d00,
    0xff171a01,
    0xff171a00,
    0xff1a1800,
    0xff201b00,
    0xff241c00,
    0xff251c01,
    0xff281d02,
    0xff281e01,
    0xff291f01,
    0xff2e2001,
    0xff2e1f01,
    0xff2c2001,
    0xff2d1f00,
    0xff2b1e00,
    0xff2c1d00,
    0xff291d00,
    0xff221a00,
    0xff1a1600,
    0xff0f1001,
    0xff0a0b00,
    0xff070b00,
    0xff050c00,
    0xff040c00,
    0xff020e00,
    0xff040f01,
    0xff030e00,
    0xff051000,
    0xff041100,
    0xff041301,
    0xff051500,
    0xff071401,
    0xff081600,
    0xff091700,
    0xff091700,
    0xff091a00,
    0xff0c1900,
    0xff0c1b00,
    0xff0b1c01,
    0xff0b1c01,
    0xff0e1c02,
    0xff0e1e01,
    0xff0e1d02,
    0xff0e1e03,
    0xff0e1d02,
    0xff0d1d04,
    0xff0c1e03,
    0xff0a1c01,
    0xff0a1c02,
    0xff0a1a00,
    0xff0b1b01,
    0xff071a00,
    0xff0b1b01,
    0xff0b1b01,
    0xff0b1a01,
    0xff0b1902,
    0xff091801,
    0xff0a1902,
    0xff091801,
    0xff091801,
    0xff081702,
    0xff061500,
    0xff061601,
    0xff071501,
    0xff071400,
    0xff071400,
    0xff081501,
    0xff071400,
    0xff081501,
    0xff091602,
    0xff0b1601,
    0xff0f1700,
    0xff111500,
    0xff111600,
    0xff121600,
    0xff141701,
    0xff121601,
    0xff131801,
    0xff141801,
    0xff151900,
    0xff161e01,
    0xff191f00,
    0xff1e2501,
    0xff1f2600,
    0xff1f2700,
    0xff222800,
    0xff262901,
    0xff262901,
    0xff282b01,
    0xff282c01,
    0xff272e00,
    0xff2b2f00,
    0xff2b3100,
    0xff2d3200,
    0xff303400,
    0xff2f3500,
    0xff303700,
    0xff333901,
    0xff353c00,
    0xff333c00,
    0xff353d01,
    0xff343d01,
    0xff333e01,
    0xff333d00,
    0xff323c00,
    0xff303d00,
    0xff2f3a00,
    0xff2f3a00,
    0xff303b00,
    0xff333c00,
    0xff363d02,
    0xff363f01,
    0xff363d00,
    0xff353a00,
    0xff373700,
    0xff363601,
    0xff363602,
    0xff363403,
    0xff333104,
    0xff2e3006,
    0xff2f2e09,
    0xff2c2d09,
    0xff2c2c08,
    0xff2b2b0a,
    0xff2a2a0c,
    0xff27280b,
    0xff23260a,
    0xff24260b,
    0xff22240d,
    0xff20220b,
    0xff22240c,
    0xff25240a,
    0xff25250b,
    0xff262509,
    0xff252404,
    0xff242503,
    0xff262802,
    0xff262802,
    0xff262601,
    0xff282802,
    0xff2a2c05,
    0xff2f3007,
    0xff30310b,
    0xff31340c,
    0xff36360b,
    0xff373a0b,
    0xff393a0e,
    0xff3b3d0f,
    0xff3a4010,
    0xff3c4215,
    0xff3e4616,
    0xff3f4815,
    0xff424a19,
    0xff414717,
    0xff3f4416,
    0xff3c4113,
    0xff3c4012,
    0xff3b3f11,
    0xff3a3f0f,
    0xff373e0b,
    0xff353c0a,
    0xff343b06,
    0xff333703,
    0xff2f3400,
    0xff292e00,
    0xff252700,
    0xff222400,
    0xff212300,
    0xff252600,
    0xff292a00,
    0xff2b2f01,
    0xff2d3000,
    0xff313500,
    0xff343702,
    0xff363908,
    0xff3a3c0b,
    0xff3b3e11,
    0xff393f14,
    0xff3a3d16,
    0xff3c3e17,
    0xff3d4114,
    0xff3d3e18,
    0xff3d3f18,
    0xff3a3c16,
    0xff393a15,
    0xff383913,
    0xff363612,
    0xff323310,
    0xff2b310d,
    0xff272b09,
    0xff222803,
    0xff181e00,
    0xff121600,
    0xff091000,
    0xff050c01,
    0xff020601,
    0xff000100,
    0xff000000,
    0xff010001,
    0xff010101,
    0xff000100,
    0xff000200,
    0xff020400,
    0xff020500,
    0xff020600,
    0xff040701,
    0xff060a00,
    0xff090c01,
    0xff0a0e01,
    0xff0b1001,
    0xff0d1300,
    0xff030f00,
    0xff061101,
    0xff071401,
    0xff071501,
    0xff091700,
    0xff0a1600,
    0xff0b1601,
    0xff0f1701,
    0xff0f1700,
    0xff121701,
    0xff0f1600,
    0xff101500,
    0xff0d1101,
    0xff0d1001,
    0xff0d1002,
    0xff0a0f00,
    0xff0c0e00,
    0xff090c00,
    0xff090d00,
    0xff070d00,
    0xff080e00,
    0xff061100,
    0xff061100,
    0xff071201,
    0xff061200,
    0xff051401,
    0xff061502,
    0xff051300,
    0xff041300,
    0xff051300,
    0xff041300,
    0xff041300,
    0xff041200,
    0xff031100,
    0xff041100,
    0xff020e01,
    0xff040e00,
    0xff020e01,
    0xff030a01,
    0xff010800,
    0xff010601,
    0xff000501,
    0xff010300,
    0xff010300,
    0xff010200,
    0xff020202,
    0xff010101,
    0xff020102,
    0xff000100,
    0xff010200,
    0xff020200,
    0xff010200,
    0xff000300,
    0xff020401,
    0xff020301,
    0xff010300,
    0xff020400,
    0xff010600,
    0xff000600,
    0xff010600,
    0xff020701,
    0xff020700,
    0xff020801,
    0xff030901,
    0xff000a00,
    0xff040c00,
    0xff040e00,
    0xff041000,
    0xff061101,
    0xff081501,
    0xff091601,
    0xff0d1800,
    0xff111a00,
    0xff131d01,
    0xff131f00,
    0xff152000,
    0xff152100,
    0xff172100,
    0xff182401,
    0xff172501,
    0xff1a2500,
    0xff1c2802,
    0xff192900,
    0xff192800,
    0xff182801,
    0xff182600,
    0xff1b2200,
    0xff191f01,
    0xff171e01,
    0xff141d00,
    0xff151a01,
    0xff171700,
    0xff171700,
    0xff1f1a00,
    0xff201b00,
    0xff241c00,
    0xff231a00,
    0xff261e00,
    0xff271e01,
    0xff2b1d00,
    0xff2e1d01,
    0xff2e1c01,
    0xff2e1d02,
    0xff2e1d00,
    0xff291d01,
    0xff281d00,
    0xff231900,
    0xff191600,
    0xff0e0f00,
    0xff080d01,
    0xff060d00,
    0xff030c01,
    0xff050d01,
    0xff040c00,
    0xff040e00,
    0xff030f01,
    0xff051000,
    0xff041000,
    0xff041100,
    0xff051301,
    0xff061301,
    0xff081700,
    0xff081600,
    0xff0a1801,
    0xff0f1901,
    0xff0b1800,
    0xff0c1a01,
    0xff0a1c00,
    0xff0c1d01,
    0xff0d1c02,
    0xff0f1e01,
    0xff101e03,
    0xff0e1d03,
    0xff0e1e03,
    0xff0e1e00,
    0xff0e1d02,
    0xff0e1d02,
    0xff0b1c01,
    0xff0b1b01,
    0xff0b1a01,
    0xff081a00,
    0xff0a1a01,
    0xff0a1a00,
    0xff0a1a01,
    0xff0a1a03,
    0xff0a1903,
    0xff0a1802,
    0xff091801,
    0xff091800,
    0xff071601,
    0xff071500,
    0xff051601,
    0xff081401,
    0xff061300,
    0xff071400,
    0xff081401,
    0xff071501,
    0xff081601,
    0xff0a1600,
    0xff0b1700,
    0xff0e1700,
    0xff121400,
    0xff111500,
    0xff111700,
    0xff141800,
    0xff161801,
    0xff151a00,
    0xff161901,
    0xff161a01,
    0xff171b00,
    0xff1a1f00,
    0xff1e2601,
    0xff212600,
    0xff232702,
    0xff232700,
    0xff222900,
    0xff272901,
    0xff282a01,
    0xff292c01,
    0xff2b2e00,
    0xff283100,
    0xff2c3301,
    0xff2f3402,
    0xff303502,
    0xff323601,
    0xff333700,
    0xff333a00,
    0xff343a00,
    0xff333b00,
    0xff333c01,
    0xff343c01,
    0xff333c00,
    0xff323b00,
    0xff313a00,
    0xff313a01,
    0xff2e3900,
    0xff303901,
    0xff303900,
    0xff343c00,
    0xff333c00,
    0xff373c01,
    0xff383901,
    0xff353701,
    0xff343600,
    0xff353501,
    0xff333502,
    0xff343403,
    0xff343105,
    0xff322f06,
    0xff2f2e09,
    0xff2e2d0a,
    0xff2d2d09,
    0xff2d2d08,
    0xff292d0c,
    0xff272b0c,
    0xff25260a,
    0xff252709,
    0xff24260c,
    0xff25260e,
    0xff26260b,
    0xff292709,
    0xff272608,
    0xff262707,
    0xff252503,
    0xff232503,
    0xff242300,
    0xff252500,
    0xff282701,
    0xff292904,
    0xff2b2c05,
    0xff2f2f08,
    0xff30320a,
    0xff30330b,
    0xff37360c,
    0xff36370b,
    0xff3a3a0e,
    0xff393b0f,
    0xff3a3e0f,
    0xff3c3f13,
    0xff3c4214,
    0xff3c4415,
    0xff3e4515,
    0xff424618,
    0xff3e4517,
    0xff3a3f13,
    0xff3b3d11,
    0xff393b0e,
    0xff37390c,
    0xff353809,
    0xff323507,
    0xff303402,
    0xff323100,
    0xff2c2e00,
    0xff252900,
    0xff202300,
    0xff201f00,
    0xff1e2101,
    0xff222701,
    0xff272a01,
    0xff292e00,
    0xff2b2f00,
    0xff303400,
    0xff333600,
    0xff333c08,
    0xff393c0b,
    0xff3b3f10,
    0xff3b4213,
    0xff3a3f16,
    0xff3c4018,
    0xff3e4015,
    0xff3b4015,
    0xff3c3d17,
    0xff393b15,
    0xff393a15,
    0xff363810,
    0xff333410,
    0xff2f330f,
    0xff2a300c,
    0xff272d08,
    0xff212703,
    0xff191f00,
    0xff111600,
    0xff0a1200,
    0xff050b00,
    0xff010501,
    0xff010100,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff010401,
    0xff010400,
    0xff010700,
    0xff050801,
    0xff040901,
    0xff090a00,
    0xff060e01,
    0xff090f00,
    0xff0d1100,
    0xff020c00,
    0xff021000,
    0xff051200,
    0xff071402,
    0xff071400,
    0xff081501,
    0xff0a1700,
    0xff0d1501,
    0xff0c1600,
    0xff101600,
    0xff111500,
    0xff101500,
    0xff0e1301,
    0xff0d1100,
    0xff0e0f02,
    0xff0c0f00,
    0xff0b0d00,
    0xff0a0d00,
    0xff0a0e00,
    0xff090f00,
    0xff081000,
    0xff051100,
    0xff061100,
    0xff041200,
    0xff061100,
    0xff041400,
    0xff041401,
    0xff041300,
    0xff031401,
    0xff021300,
    0xff041301,
    0xff041300,
    0xff041301,
    0xff031100,
    0xff031100,
    0xff041000,
    0xff020e01,
    0xff030e00,
    0xff010a01,
    0xff000800,
    0xff010800,
    0xff000500,
    0xff010401,
    0xff020401,
    0xff010200,
    0xff010000,
    0xff010202,
    0xff020202,
    0xff010102,
    0xff020200,
    0xff010100,
    0xff020200,
    0xff010300,
    0xff010301,
    0xff020401,
    0xff000200,
    0xff010300,
    0xff020501,
    0xff020501,
    0xff010600,
    0xff010600,
    0xff020701,
    0xff020800,
    0xff010801,
    0xff010a00,
    0xff050d00,
    0xff050f01,
    0xff041100,
    0xff061101,
    0xff0b1500,
    0xff0c1701,
    0xff101801,
    0xff111b00,
    0xff141d01,
    0xff161f00,
    0xff172100,
    0xff172200,
    0xff182300,
    0xff192300,
    0xff1a2401,
    0xff192500,
    0xff192801,
    0xff192800,
    0xff1a2701,
    0xff192701,
    0xff192401,
    0xff182100,
    0xff151f00,
    0xff161e01,
    0xff141d00,
    0xff161903,
    0xff151801,
    0xff151701,
    0xff1b1800,
    0xff211901,
    0xff1f1a00,
    0xff221a00,
    0xff241b00,
    0xff261c00,
    0xff2a1c00,
    0xff2a1d01,
    0xff2b1d01,
    0xff291d00,
    0xff2a1c01,
    0xff291b00,
    0xff271c00,
    0xff211900,
    0xff191500,
    0xff0e0f00,
    0xff090d00,
    0xff070c00,
    0xff050b01,
    0xff030c00,
    0xff050d01,
    0xff020e00,
    0xff020e00,
    0xff040e00,
    0xff051001,
    0xff051201,
    0xff051200,
    0xff061401,
    0xff071400,
    0xff091600,
    0xff091701,
    0xff0e1901,
    0xff0a1800,
    0xff0d1a01,
    0xff0c1b01,
    0xff0d1b01,
    0xff0f1c02,
    0xff0f1e00,
    0xff0e1e02,
    0xff0e1e03,
    0xff0e1e02,
    0xff0e1e02,
    0xff0e1d03,
    0xff0e1e03,
    0xff0c1c02,
    0xff0c1a00,
    0xff091a00,
    0xff0b1b01,
    0xff0a1a00,
    0xff0a1a00,
    0xff0a1a01,
    0xff091901,
    0xff0c1901,
    0xff081901,
    0xff081800,
    0xff091800,
    0xff081701,
    0xff061500,
    0xff061601,
    0xff061300,
    0xff061500,
    0xff081401,
    0xff071500,
    0xff091600,
    0xff081700,
    0xff0c1701,
    0xff0f1901,
    0xff0f1700,
    0xff111600,
    0xff131701,
    0xff151a00,
    0xff161a00,
    0xff171d00,
    0xff161b00,
    0xff171c00,
    0xff171c00,
    0xff1a1d01,
    0xff1d2201,
    0xff1f2501,
    0xff232500,
    0xff242700,
    0xff242901,
    0xff252800,
    0xff282800,
    0xff282a01,
    0xff2a2c01,
    0xff2c2e00,
    0xff2f3000,
    0xff2d3400,
    0xff2e3601,
    0xff333601,
    0xff333800,
    0xff343700,
    0xff343800,
    0xff353900,
    0xff333a00,
    0xff343a00,
    0xff323b00,
    0xff353a01,
    0xff313b00,
    0xff303901,
    0xff2d3601,
    0xff2c3700,
    0xff2d3600,
    0xff2f3701,
    0xff333900,
    0xff333b00,
    0xff353900,
    0xff343800,
    0xff333600,
    0xff313701,
    0xff333400,
    0xff323503,
    0xff343403,
    0xff323207,
    0xff303006,
    0xff322e07,
    0xff2e2f0a,
    0xff2e2e0a,
    0xff2f2f0b,
    0xff2b2e0a,
    0xff272c09,
    0xff29290a,
    0xff272708,
    0xff25260a,
    0xff272708,
    0xff292a0b,
    0xff2d2706,
    0xff272706,
    0xff252605,
    0xff262600,
    0xff242401,
    0xff212200,
    0xff232400,
    0xff262700,
    0xff292904,
    0xff2a2b05,
    0xff2f3008,
    0xff313308,
    0xff31320b,
    0xff35340c,
    0xff33360d,
    0xff36370c,
    0xff373a0d,
    0xff383c0e,
    0xff383e10,
    0xff3b3d10,
    0xff3a4114,
    0xff3b4114,
    0xff3d4113,
    0xff3c4314,
    0xff3c4013,
    0xff383d0e,
    0xff363a0d,
    0xff343709,
    0xff313405,
    0xff2e3203,
    0xff2a3000,
    0xff2a2d00,
    0xff242900,
    0xff202400,
    0xff1c2001,
    0xff1c2000,
    0xff1d1f00,
    0xff1e2400,
    0xff202800,
    0xff252c00,
    0xff282f00,
    0xff2c3100,
    0xff313700,
    0xff353908,
    0xff393c0a,
    0xff3d400f,
    0xff3c4111,
    0xff3b4114,
    0xff3b4113,
    0xff3b4015,
    0xff3c4115,
    0xff3b3e17,
    0xff383c15,
    0xff353a13,
    0xff333610,
    0xff313510,
    0xff2d310d,
    0xff2a300d,
    0xff242b07,
    0xff202702,
    0xff1a1e00,
    0xff121800,
    0xff0a1100,
    0xff050b00,
    0xff010701,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000400,
    0xff000500,
    0xff010600,
    0xff040600,
    0xff030800,
    0xff060800,
    0xff070c01,
    0xff090e00,
    0xff0c1000,
    0xff010a00,
    0xff020e00,
    0xff040f00,
    0xff061200,
    0xff061300,
    0xff081400,
    0xff0b1500,
    0xff0c1600,
    0xff0e1702,
    0xff0e1700,
    0xff111500,
    0xff101501,
    0xff0f1400,
    0xff0d1200,
    0xff0d0f01,
    0xff0c0e00,
    0xff0b0e01,
    0xff0a0e00,
    0xff0c1001,
    0xff091101,
    0xff091101,
    0xff071201,
    0xff051201,
    0xff051301,
    0xff051301,
    0xff051400,
    0xff041401,
    0xff021400,
    0xff021301,
    0xff011300,
    0xff041300,
    0xff041300,
    0xff041301,
    0xff031100,
    0xff021000,
    0xff041100,
    0xff020e00,
    0xff020d01,
    0xff010b00,
    0xff000a01,
    0xff000700,
    0xff010500,
    0xff000501,
    0xff010401,
    0xff000300,
    0xff020100,
    0xff010201,
    0xff020202,
    0xff010101,
    0xff020200,
    0xff020200,
    0xff010100,
    0xff010200,
    0xff010400,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010301,
    0xff020401,
    0xff000600,
    0xff010600,
    0xff010600,
    0xff010700,
    0xff010800,
    0xff010a01,
    0xff050d00,
    0xff040e00,
    0xff061200,
    0xff071202,
    0xff081600,
    0xff0e1700,
    0xff111800,
    0xff121d01,
    0xff141e00,
    0xff151e00,
    0xff172000,
    0xff172200,
    0xff182401,
    0xff182501,
    0xff192603,
    0xff1a2500,
    0xff192700,
    0xff1a2700,
    0xff1a2600,
    0xff182501,
    0xff142400,
    0xff162200,
    0xff131f00,
    0xff141e00,
    0xff141b00,
    0xff151802,
    0xff141800,
    0xff131700,
    0xff151601,
    0xff1c1800,
    0xff1f1a00,
    0xff201900,
    0xff221a00,
    0xff271b00,
    0xff281a01,
    0xff291a00,
    0xff2c1d00,
    0xff2b1d01,
    0xff2a1c01,
    0xff2a1c00,
    0xff2b1901,
    0xff211701,
    0xff171401,
    0xff0d0e00,
    0xff0a0c00,
    0xff080b00,
    0xff060b01,
    0xff020c01,
    0xff030b00,
    0xff020e00,
    0xff040d00,
    0xff030f01,
    0xff051001,
    0xff041100,
    0xff041100,
    0xff071202,
    0xff081501,
    0xff081500,
    0xff0a1600,
    0xff0b1800,
    0xff0e1801,
    0xff0d1901,
    0xff0d1a01,
    0xff0d1c02,
    0xff0f1c03,
    0xff0e1d00,
    0xff0e1c02,
    0xff0f1e02,
    0xff0e1d03,
    0xff0d1d02,
    0xff0f1c03,
    0xff0d1d02,
    0xff0b1c01,
    0xff0e1900,
    0xff0d1a00,
    0xff0a1b01,
    0xff0a1a00,
    0xff0a1a00,
    0xff0a1a00,
    0xff091900,
    0xff091a00,
    0xff081901,
    0xff091801,
    0xff081701,
    0xff071600,
    0xff071602,
    0xff061500,
    0xff061500,
    0xff061500,
    0xff071501,
    0xff091700,
    0xff0c1601,
    0xff091801,
    0xff0e1702,
    0xff0e1801,
    0xff101802,
    0xff111600,
    0xff121701,
    0xff131b00,
    0xff181c00,
    0xff181c00,
    0xff191e00,
    0xff181e00,
    0xff182000,
    0xff172201,
    0xff1f2401,
    0xff202702,
    0xff212800,
    0xff212800,
    0xff252a00,
    0xff272900,
    0xff292b00,
    0xff2b2c01,
    0xff292d01,
    0xff2d2f00,
    0xff2b3300,
    0xff2f3500,
    0xff313701,
    0xff313600,
    0xff333800,
    0xff313900,
    0xff333800,
    0xff343700,
    0xff323a00,
    0xff343800,
    0xff333900,
    0xff333901,
    0xff2f3900,
    0xff2f3802,
    0xff2d3601,
    0xff2c3400,
    0xff2b3501,
    0xff2e3701,
    0xff303600,
    0xff323801,
    0xff323700,
    0xff353500,
    0xff333600,
    0xff323500,
    0xff313301,
    0xff333505,
    0xff363606,
    0xff353308,
    0xff30310a,
    0xff313209,
    0xff35310b,
    0xff33320c,
    0xff31330d,
    0xff2f310c,
    0xff2b300a,
    0xff2c2d0b,
    0xff2a2a09,
    0xff282a08,
    0xff2c2d0a,
    0xff2d2d08,
    0xff2a2b05,
    0xff2c2b02,
    0xff292901,
    0xff272701,
    0xff242400,
    0xff222300,
    0xff242500,
    0xff252600,
    0xff292a03,
    0xff2b2b08,
    0xff2f3008,
    0xff313208,
    0xff32320c,
    0xff33340b,
    0xff33360e,
    0xff37370d,
    0xff37380d,
    0xff37390c,
    0xff393b0e,
    0xff393c0f,
    0xff383d0f,
    0xff393c11,
    0xff3a3c0e,
    0xff383d10,
    0xff383f11,
    0xff373e0f,
    0xff363c0e,
    0xff323708,
    0xff323405,
    0xff2a3200,
    0xff262d00,
    0xff262800,
    0xff212301,
    0xff1c1d00,
    0xff1a1e00,
    0xff171f00,
    0xff1c1e00,
    0xff1d2201,
    0xff1d2400,
    0xff202700,
    0xff252c01,
    0xff283000,
    0xff2e3400,
    0xff353704,
    0xff373c0a,
    0xff3a400d,
    0xff3b4110,
    0xff3b4114,
    0xff3b4114,
    0xff394015,
    0xff3b4015,
    0xff383e15,
    0xff353a13,
    0xff353914,
    0xff323612,
    0xff30350f,
    0xff2d310c,
    0xff292e0e,
    0xff242a08,
    0xff202603,
    0xff1a1f01,
    0xff131801,
    0xff0b1201,
    0xff070d01,
    0xff010600,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000202,
    0xff000400,
    0xff000500,
    0xff010501,
    0xff040501,
    0xff020801,
    0xff040900,
    0xff060a01,
    0xff080c00,
    0xff090f00,
    0xff000900,
    0xff000c00,
    0xff020e00,
    0xff041000,
    0xff041100,
    0xff071301,
    0xff0a1400,
    0xff0c1400,
    0xff0e1601,
    0xff101500,
    0xff101500,
    0xff101500,
    0xff0e1400,
    0xff0e1200,
    0xff0c1101,
    0xff0c1000,
    0xff0c1001,
    0xff0c1001,
    0xff0b1200,
    0xff0a1300,
    0xff081300,
    0xff081300,
    0xff071200,
    0xff061301,
    0xff051401,
    0xff041300,
    0xff051301,
    0xff041401,
    0xff051401,
    0xff041300,
    0xff041200,
    0xff031201,
    0xff041201,
    0xff031100,
    0xff031100,
    0xff021000,
    0xff020f00,
    0xff010c01,
    0xff010c01,
    0xff010b01,
    0xff020801,
    0xff000800,
    0xff000600,
    0xff000500,
    0xff020300,
    0xff010200,
    0xff010100,
    0xff020101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff020200,
    0xff010100,
    0xff010200,
    0xff000200,
    0xff010300,
    0xff000100,
    0xff030301,
    0xff020200,
    0xff010401,
    0xff020400,
    0xff020601,
    0xff010700,
    0xff000900,
    0xff010901,
    0xff050c01,
    0xff041001,
    0xff051100,
    0xff091400,
    0xff0d1500,
    0xff0c1900,
    0xff0f1b01,
    0xff111e01,
    0xff141e01,
    0xff142000,
    0xff172200,
    0xff172300,
    0xff192401,
    0xff1a2500,
    0xff1b2701,
    0xff182700,
    0xff182700,
    0xff1c2701,
    0xff1a2500,
    0xff172401,
    0xff172300,
    0xff152000,
    0xff121d00,
    0xff111b01,
    0xff111a01,
    0xff111800,
    0xff111801,
    0xff141701,
    0xff141601,
    0xff1a1701,
    0xff1e1800,
    0xff201900,
    0xff211a00,
    0xff271b00,
    0xff281900,
    0xff271b00,
    0xff2b1a01,
    0xff2b1b01,
    0xff2a1a00,
    0xff271901,
    0xff271900,
    0xff1f1700,
    0xff191501,
    0xff100f00,
    0xff0b0d00,
    0xff080b00,
    0xff040a00,
    0xff030b00,
    0xff020b00,
    0xff030d01,
    0xff070b01,
    0xff060e01,
    0xff050f01,
    0xff041000,
    0xff061200,
    0xff071201,
    0xff081401,
    0xff071600,
    0xff0a1700,
    0xff0b1700,
    0xff0a1800,
    0xff0d1a01,
    0xff111a02,
    0xff0f1d02,
    0xff0e1e00,
    0xff0f1e01,
    0xff101f01,
    0xff0f1e01,
    0xff0f1c03,
    0xff0d1c01,
    0xff0d1b01,
    0xff0e1b01,
    0xff0c1b01,
    0xff0c1800,
    0xff0b1a00,
    0xff0b1900,
    0xff0b1a00,
    0xff091900,
    0xff0a1a00,
    0xff0b1b00,
    0xff0a1a00,
    0xff0b1b00,
    0xff0b1a02,
    0xff081700,
    0xff081700,
    0xff071700,
    0xff071600,
    0xff081702,
    0xff061601,
    0xff081701,
    0xff071700,
    0xff0b1800,
    0xff0d1901,
    0xff0f1901,
    0xff0e1800,
    0xff101801,
    0xff131a00,
    0xff161a01,
    0xff151c01,
    0xff151e00,
    0xff1a1e00,
    0xff1a2200,
    0xff1a2301,
    0xff1c2500,
    0xff1d2600,
    0xff1f2700,
    0xff222801,
    0xff232a00,
    0xff242b02,
    0xff2a2d01,
    0xff2a2d00,
    0xff2b2e01,
    0xff2d2e00,
    0xff2e3100,
    0xff303101,
    0xff2f3401,
    0xff313600,
    0xff323601,
    0xff313701,
    0xff343700,
    0xff333700,
    0xff333800,
    0xff333800,
    0xff323800,
    0xff333800,
    0xff323901,
    0xff333900,
    0xff2f3801,
    0xff2e3702,
    0xff2c3500,
    0xff2c3501,
    0xff2d3501,
    0xff2f3501,
    0xff303500,
    0xff303701,
    0xff303600,
    0xff303601,
    0xff313503,
    0xff333503,
    0xff323503,
    0xff343609,
    0xff34360b,
    0xff35340b,
    0xff33350c,
    0xff36330b,
    0xff36360c,
    0xff36370c,
    0xff363610,
    0xff303510,
    0xff31340f,
    0xff313110,
    0xff2d300e,
    0xff30300d,
    0xff31310c,
    0xff303008,
    0xff2e3205,
    0xff2e2f03,
    0xff2a2c00,
    0xff272800,
    0xff252500,
    0xff252600,
    0xff272600,
    0xff282500,
    0xff262600,
    0xff2b2902,
    0xff302e05,
    0xff313108,
    0xff31340a,
    0xff33350b,
    0xff34350b,
    0xff35360c,
    0xff36370d,
    0xff36370d,
    0xff35390e,
    0xff37390e,
    0xff38390d,
    0xff37370b,
    0xff36390c,
    0xff373a0d,
    0xff363a0c,
    0xff38390d,
    0xff35370b,
    0xff343609,
    0xff323407,
    0xff2d3201,
    0xff292e02,
    0xff1f2600,
    0xff1b2000,
    0xff181b01,
    0xff161a00,
    0xff181c00,
    0xff191f00,
    0xff1a1f00,
    0xff1c2200,
    0xff1d2500,
    0xff222801,
    0xff252d01,
    0xff292f00,
    0xff313702,
    0xff373a07,
    0xff39400c,
    0xff3b420f,
    0xff394011,
    0xff38400f,
    0xff394012,
    0xff374114,
    0xff373d14,
    0xff363a14,
    0xff353814,
    0xff34360f,
    0xff303512,
    0xff2e310e,
    0xff292d0a,
    0xff242809,
    0xff202605,
    0xff1a1e00,
    0xff131701,
    0xff0a1200,
    0xff060c00,
    0xff020800,
    0xff000100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000100,
    0xff010300,
    0xff010301,
    0xff010600,
    0xff010700,
    0xff030800,
    0xff040801,
    0xff080b01,
    0xff080c01,
    0xff000700,
    0xff000800,
    0xff000c01,
    0xff020e01,
    0xff030e00,
    0xff050f00,
    0xff061200,
    0xff091300,
    0xff0c1400,
    0xff0e1300,
    0xff0f1400,
    0xff0f1501,
    0xff101301,
    0xff101200,
    0xff0d1500,
    0xff0e1300,
    0xff0e1300,
    0xff0e1200,
    0xff0b1400,
    0xff0a1301,
    0xff071400,
    0xff081400,
    0xff081301,
    0xff051301,
    0xff051402,
    0xff061402,
    0xff051301,
    0xff051300,
    0xff031200,
    0xff051401,
    0xff031000,
    0xff031100,
    0xff031100,
    0xff031100,
    0xff021000,
    0xff031000,
    0xff041100,
    0xff020d02,
    0xff010b00,
    0xff010b00,
    0xff020801,
    0xff000901,
    0xff010600,
    0xff010500,
    0xff030400,
    0xff000501,
    0xff020200,
    0xff020302,
    0xff020102,
    0xff010102,
    0xff010101,
    0xff020200,
    0xff020200,
    0xff010100,
    0xff000300,
    0xff000300,
    0xff020100,
    0xff010100,
    0xff020300,
    0xff010301,
    0xff020500,
    0xff030500,
    0xff000700,
    0xff020901,
    0xff010801,
    0xff020d01,
    0xff060e00,
    0xff051200,
    0xff091500,
    0xff0c1501,
    0xff0e1900,
    0xff101a01,
    0xff141e02,
    0xff152001,
    0xff142000,
    0xff132200,
    0xff182401,
    0xff1a2401,
    0xff1c2500,
    0xff1b2701,
    0xff1a2701,
    0xff1a2601,
    0xff192800,
    0xff1a2601,
    0xff172501,
    0xff152300,
    0xff132000,
    0xff131d01,
    0xff121b01,
    0xff0f1a01,
    0xff111700,
    0xff0e1600,
    0xff101500,
    0xff151401,
    0xff151701,
    0xff181700,
    0xff1e1601,
    0xff1f1900,
    0xff261b00,
    0xff281900,
    0xff271b00,
    0xff2a1a00,
    0xff2a1a01,
    0xff2a1900,
    0xff261900,
    0xff251701,
    0xff201500,
    0xff191500,
    0xff131002,
    0xff0b0d00,
    0xff080b00,
    0xff040a00,
    0xff010a00,
    0xff020b00,
    0xff020b00,
    0xff030b01,
    0xff050d01,
    0xff050c00,
    0xff030f00,
    0xff040f00,
    0xff051000,
    0xff071400,
    0xff091500,
    0xff091500,
    0xff0b1800,
    0xff0f1800,
    0xff0f1800,
    0xff0f1a01,
    0xff0f1d02,
    0xff101c00,
    0xff0e1e00,
    0xff0e1e00,
    0xff0e1d01,
    0xff0e1c02,
    0xff0d1d02,
    0xff0d1b01,
    0xff0e1a01,
    0xff0b1b00,
    0xff0b1a00,
    0xff0a1800,
    0xff0b1800,
    0xff0a1a00,
    0xff091a00,
    0xff0a1900,
    0xff091a01,
    0xff0a1a00,
    0xff0a1a00,
    0xff0a1a01,
    0xff0a1a01,
    0xff0a1a00,
    0xff061900,
    0xff071700,
    0xff081701,
    0xff071601,
    0xff091900,
    0xff0b1902,
    0xff0d1902,
    0xff0f1a01,
    0xff111b02,
    0xff101a00,
    0xff111b00,
    0xff111b01,
    0xff131d02,
    0xff171d02,
    0xff172200,
    0xff1b2501,
    0xff1c2601,
    0xff1d2803,
    0xff212902,
    0xff222a03,
    0xff242c05,
    0xff252b05,
    0xff272e02,
    0xff292f04,
    0xff2c3002,
    0xff2d3003,
    0xff2c3001,
    0xff2f3100,
    0xff2f3000,
    0xff303101,
    0xff313401,
    0xff333601,
    0xff333701,
    0xff313700,
    0xff333600,
    0xff333600,
    0xff323700,
    0xff333800,
    0xff323700,
    0xff343900,
    0xff343700,
    0xff313800,
    0xff2f3800,
    0xff2d3700,
    0xff2d3702,
    0xff2e3500,
    0xff2d3702,
    0xff303400,
    0xff303500,
    0xff303701,
    0xff323701,
    0xff333801,
    0xff363506,
    0xff343705,
    0xff363709,
    0xff36360a,
    0xff36370c,
    0xff36370d,
    0xff37370c,
    0xff37390e,
    0xff38390f,
    0xff393a10,
    0xff383712,
    0xff363a15,
    0xff333812,
    0xff353514,
    0xff313412,
    0xff333411,
    0xff34350e,
    0xff333509,
    0xff2f3305,
    0xff303105,
    0xff302e03,
    0xff2c2b00,
    0xff282a00,
    0xff282800,
    0xff292700,
    0xff282600,
    0xff272600,
    0xff2a2700,
    0xff2d2b02,
    0xff313004,
    0xff313206,
    0xff36350a,
    0xff33360c,
    0xff35360c,
    0xff34360c,
    0xff34350b,
    0xff36360c,
    0xff33360c,
    0xff35360a,
    0xff343609,
    0xff333609,
    0xff35360a,
    0xff343509,
    0xff333508,
    0xff313608,
    0xff2f3405,
    0xff2f3105,
    0xff2c2e01,
    0xff272b00,
    0xff202801,
    0xff192000,
    0xff151a00,
    0xff131701,
    0xff151900,
    0xff161c01,
    0xff181e00,
    0xff1a1f00,
    0xff1d2400,
    0xff1f2700,
    0xff212b01,
    0xff273000,
    0xff303501,
    0xff353805,
    0xff363e09,
    0xff3a410e,
    0xff39400e,
    0xff38400f,
    0xff384111,
    0xff394014,
    0xff393e14,
    0xff373c15,
    0xff363a13,
    0xff36370f,
    0xff303412,
    0xff2f3310,
    0xff292e0a,
    0xff252809,
    0xff202604,
    0xff191f00,
    0xff121700,
    0xff080f00,
    0xff070c00,
    0xff040a01,
    0xff000301,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000100,
    0xff000200,
    0xff020501,
    0xff000600,
    0xff020600,
    0xff020801,
    0xff030801,
    0xff070900,
    0xff080c00,
    0xff010500,
    0xff010601,
    0xff010a02,
    0xff000a00,
    0xff020c01,
    0xff040e00,
    0xff071000,
    0xff0b1001,
    0xff0c1300,
    0xff0e1101,
    0xff0f1400,
    0xff0d1500,
    0xff0f1500,
    0xff101500,
    0xff121700,
    0xff101500,
    0xff101500,
    0xff101600,
    0xff0d1501,
    0xff0c1402,
    0xff091600,
    0xff091501,
    0xff091501,
    0xff071600,
    0xff031600,
    0xff031600,
    0xff031301,
    0xff031401,
    0xff041300,
    0xff031200,
    0xff041300,
    0xff041300,
    0xff041200,
    0xff031100,
    0xff021000,
    0xff041000,
    0xff031100,
    0xff050f00,
    0xff020d00,
    0xff000b00,
    0xff030b00,
    0xff000a00,
    0xff020801,
    0xff010700,
    0xff000600,
    0xff010501,
    0xff010200,
    0xff000400,
    0xff010200,
    0xff010100,
    0xff010101,
    0xff010101,
    0xff020202,
    0xff010101,
    0xff020102,
    0xff000300,
    0xff020100,
    0xff010100,
    0xff020200,
    0xff020401,
    0xff020401,
    0xff010600,
    0xff020600,
    0xff010700,
    0xff060b00,
    0xff030c01,
    0xff041000,
    0xff071100,
    0xff0b1400,
    0xff0f1700,
    0xff111800,
    0xff121c00,
    0xff131f00,
    0xff151f00,
    0xff172000,
    0xff142200,
    0xff182501,
    0xff192500,
    0xff1b2701,
    0xff1a2701,
    0xff1b2702,
    0xff1a2600,
    0xff1b2601,
    0xff1b2600,
    0xff192401,
    0xff1a2301,
    0xff142100,
    0xff121d01,
    0xff131c02,
    0xff0e1900,
    0xff0f1801,
    0xff0b1500,
    0xff0c1400,
    0xff101500,
    0xff151600,
    0xff171501,
    0xff1a1701,
    0xff1f1700,
    0xff251a01,
    0xff281a00,
    0xff261a00,
    0xff2a1a00,
    0xff2a1a00,
    0xff271800,
    0xff221700,
    0xff231401,
    0xff1f1500,
    0xff1b1501,
    0xff151100,
    0xff0c0e00,
    0xff080b01,
    0xff050b00,
    0xff040800,
    0xff030701,
    0xff020902,
    0xff000c01,
    0xff020b01,
    0xff020d01,
    0xff020d00,
    0xff041000,
    0xff051100,
    0xff091301,
    0xff0a1501,
    0xff0a1500,
    0xff0e1602,
    0xff0d1800,
    0xff0e1800,
    0xff0e1a01,
    0xff111b01,
    0xff0f1c02,
    0xff101c03,
    0xff111e02,
    0xff0f1c01,
    0xff0f1c02,
    0xff0c1c01,
    0xff0d1a00,
    0xff0d1a02,
    0xff0d1901,
    0xff0d1800,
    0xff0a1900,
    0xff0e1901,
    0xff0b1900,
    0xff0a1900,
    0xff0a1900,
    0xff091a00,
    0xff0c1b02,
    0xff0c1c00,
    0xff0c1c01,
    0xff0b1b00,
    0xff0b1b01,
    0xff091900,
    0xff091900,
    0xff091900,
    0xff091801,
    0xff0c1a01,
    0xff101c02,
    0xff0f1c02,
    0xff101c02,
    0xff101d03,
    0xff101e01,
    0xff131c02,
    0xff141e02,
    0xff162101,
    0xff192301,
    0xff192604,
    0xff1e2805,
    0xff222b05,
    0xff222d08,
    0xff28320a,
    0xff283009,
    0xff2a320c,
    0xff2c3209,
    0xff2c3209,
    0xff2e3309,
    0xff303409,
    0xff313406,
    0xff303304,
    0xff303301,
    0xff303502,
    0xff303502,
    0xff343402,
    0xff333502,
    0xff333600,
    0xff333500,
    0xff323501,
    0xff333601,
    0xff313701,
    0xff323701,
    0xff323701,
    0xff333802,
    0xff2f3600,
    0xff2f3601,
    0xff303701,
    0xff303600,
    0xff303700,
    0xff323700,
    0xff313600,
    0xff323600,
    0xff323500,
    0xff343903,
    0xff353c04,
    0xff373a08,
    0xff393b09,
    0xff373b0d,
    0xff393c0f,
    0xff373b10,
    0xff3b3b13,
    0xff3a3c14,
    0xff3c3c12,
    0xff3c3d14,
    0xff3d3e12,
    0xff3c3c16,
    0xff3c3c18,
    0xff393c17,
    0xff363a17,
    0xff333915,
    0xff353715,
    0xff383710,
    0xff37390c,
    0xff37370b,
    0xff343606,
    0xff343506,
    0xff323103,
    0xff302f02,
    0xff2e2d01,
    0xff302c00,
    0xff2d2b01,
    0xff2c2801,
    0xff282700,
    0xff292700,
    0xff2d2900,
    0xff302d02,
    0xff303105,
    0xff343307,
    0xff353408,
    0xff363509,
    0xff363408,
    0xff343409,
    0xff33340a,
    0xff323407,
    0xff323306,
    0xff32330a,
    0xff313408,
    0xff323307,
    0xff303409,
    0xff2d3407,
    0xff2f3004,
    0xff2e3001,
    0xff2a2c01,
    0xff272901,
    0xff252600,
    0xff1e2400,
    0xff181d00,
    0xff141801,
    0xff131700,
    0xff131802,
    0xff151a01,
    0xff171c00,
    0xff182000,
    0xff1b2500,
    0xff1d2900,
    0xff222c00,
    0xff293100,
    0xff2c3500,
    0xff313703,
    0xff343d09,
    0xff373e0b,
    0xff373f0c,
    0xff38400d,
    0xff394113,
    0xff3a4212,
    0xff373f15,
    0xff363d14,
    0xff363b13,
    0xff333713,
    0xff30340f,
    0xff2e320f,
    0xff292f0b,
    0xff25290a,
    0xff1f2602,
    0xff191e00,
    0xff121600,
    0xff0a1100,
    0xff0a0c01,
    0xff060a00,
    0xff010500,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff010300,
    0xff010200,
    0xff000300,
    0xff000502,
    0xff010701,
    0xff040600,
    0xff040801,
    0xff070900,
    0xff060b00,
    0xff010500,
    0xff000801,
    0xff010801,
    0xff000a01,
    0xff010c01,
    0xff050d00,
    0xff070e00,
    0xff070f00,
    0xff0c1101,
    0xff0e1201,
    0xff0f1300,
    0xff0f1501,
    0xff0f1600,
    0xff121700,
    0xff131801,
    0xff131800,
    0xff121801,
    0xff111600,
    0xff0e1600,
    0xff0b1700,
    0xff091500,
    0xff091601,
    0xff091601,
    0xff051700,
    0xff031600,
    0xff031600,
    0xff041401,
    0xff031301,
    0xff041300,
    0xff041300,
    0xff031200,
    0xff041300,
    0xff031201,
    0xff041201,
    0xff031100,
    0xff031000,
    0xff020f00,
    0xff030f00,
    0xff030e00,
    0xff020c01,
    0xff020b01,
    0xff010900,
    0xff010900,
    0xff020900,
    0xff010500,
    0xff010400,
    0xff010401,
    0xff010300,
    0xff000100,
    0xff020200,
    0xff000000,
    0xff020201,
    0xff020201,
    0xff000000,
    0xff010101,
    0xff000200,
    0xff010100,
    0xff010100,
    0xff010000,
    0xff000100,
    0xff000401,
    0xff020400,
    0xff010600,
    0xff020701,
    0xff060a01,
    0xff050d00,
    0xff041000,
    0xff091201,
    0xff0d1400,
    0xff101700,
    0xff111900,
    0xff131c01,
    0xff141d00,
    0xff172000,
    0xff162100,
    0xff172300,
    0xff192501,
    0xff192501,
    0xff1b2600,
    0xff1a2600,
    0xff1c2802,
    0xff1d2601,
    0xff1b2700,
    0xff182501,
    0xff1b2401,
    0xff192301,
    0xff152000,
    0xff151e02,
    0xff121b00,
    0xff0e1a01,
    0xff0e1700,
    0xff091701,
    0xff0b1400,
    0xff0f1200,
    0xff121500,
    0xff171400,
    0xff181501,
    0xff1f1700,
    0xff251800,
    0xff271800,
    0xff251900,
    0xff281800,
    0xff261700,
    0xff241600,
    0xff221600,
    0xff201401,
    0xff1f1301,
    0xff1b1400,
    0xff151200,
    0xff0e0f00,
    0xff0a0c00,
    0xff050800,
    0xff020a00,
    0xff010800,
    0xff010900,
    0xff010901,
    0xff050800,
    0xff010b00,
    0xff030d00,
    0xff060d00,
    0xff061000,
    0xff0a1200,
    0xff091200,
    0xff0c1500,
    0xff0c1502,
    0xff0d1700,
    0xff0e1800,
    0xff0f1801,
    0xff0f1901,
    0xff121b02,
    0xff0f1d03,
    0xff0f1c01,
    0xff111c01,
    0xff0e1b01,
    0xff0d1a01,
    0xff0a1a01,
    0xff0d1901,
    0xff0d1901,
    0xff0d1901,
    0xff0a1800,
    0xff0c1900,
    0xff0b1900,
    0xff0c1a00,
    0xff0c1800,
    0xff091a00,
    0xff0a1b01,
    0xff0b1b00,
    0xff0a1d01,
    0xff0a1c01,
    0xff0a1c02,
    0xff0a1d01,
    0xff0c1c01,
    0xff0b1b00,
    0xff0d1b01,
    0xff0e1d01,
    0xff101f01,
    0xff111f02,
    0xff121f03,
    0xff111e04,
    0xff121f01,
    0xff161f02,
    0xff172302,
    0xff1a2604,
    0xff1d2906,
    0xff202b09,
    0xff252e09,
    0xff28310c,
    0xff27330c,
    0xff2d360e,
    0xff2e360f,
    0xff2f360f,
    0xff2f370f,
    0xff30360d,
    0xff31360c,
    0xff31370c,
    0xff323609,
    0xff333508,
    0xff313504,
    0xff323504,
    0xff2e3603,
    0xff323402,
    0xff323402,
    0xff333701,
    0xff323600,
    0xff323500,
    0xff333601,
    0xff313500,
    0xff323701,
    0xff323700,
    0xff313600,
    0xff303500,
    0xff2f3600,
    0xff303701,
    0xff2f3600,
    0xff323802,
    0xff323701,
    0xff333701,
    0xff333500,
    0xff343701,
    0xff353a05,
    0xff3a3d09,
    0xff3b3f0e,
    0xff3b400f,
    0xff3e4015,
    0xff3c4116,
    0xff3e4117,
    0xff414219,
    0xff414119,
    0xff3e4218,
    0xff404217,
    0xff424217,
    0xff42411a,
    0xff3d421a,
    0xff3b3f19,
    0xff3a3c16,
    0xff353916,
    0xff363a13,
    0xff383912,
    0xff393a0e,
    0xff37380c,
    0xff363809,
    0xff37350b,
    0xff343406,
    0xff333305,
    0xff323103,
    0xff323000,
    0xff312e00,
    0xff2d2b00,
    0xff2e2900,
    0xff2d2901,
    0xff2d2a01,
    0xff2d2b00,
    0xff2f2e03,
    0xff303003,
    0xff323205,
    0xff343307,
    0xff343406,
    0xff323307,
    0xff313208,
    0xff313206,
    0xff303105,
    0xff2f3107,
    0xff2f3005,
    0xff303004,
    0xff2b3206,
    0xff293005,
    0xff282e03,
    0xff272c01,
    0xff262800,
    0xff222401,
    0xff1d2100,
    0xff191f00,
    0xff151800,
    0xff111701,
    0xff111700,
    0xff141802,
    0xff141c01,
    0xff171e00,
    0xff192101,
    0xff1b2601,
    0xff1f2900,
    0xff252f02,
    0xff293200,
    0xff2d3500,
    0xff303801,
    0xff323d07,
    0xff373d09,
    0xff383f0b,
    0xff39410e,
    0xff394110,
    0xff3a4211,
    0xff373e11,
    0xff363c12,
    0xff353b12,
    0xff333712,
    0xff323611,
    0xff2f320f,
    0xff29300b,
    0xff252809,
    0xff1f2602,
    0xff181c00,
    0xff101500,
    0xff091001,
    0xff090c00,
    0xff080c01,
    0xff000800,
    0xff010000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff010200,
    0xff010200,
    0xff010300,
    0xff000501,
    0xff000500,
    0xff030600,
    0xff050700,
    0xff040900,
    0xff080a00,
    0xff000500,
    0xff010600,
    0xff000700,
    0xff020900,
    0xff000901,
    0xff020d00,
    0xff080c00,
    0xff050f00,
    0xff0c0f00,
    0xff0e1201,
    0xff0e1300,
    0xff101400,
    0xff121700,
    0xff141900,
    0xff151b00,
    0xff151b00,
    0xff161c00,
    0xff141a01,
    0xff121800,
    0xff0d1800,
    0xff091500,
    0xff091700,
    0xff091701,
    0xff061601,
    0xff061701,
    0xff031500,
    0xff051501,
    0xff041301,
    0xff011200,
    0xff011300,
    0xff031200,
    0xff041201,
    0xff031100,
    0xff021000,
    0xff011000,
    0xff041100,
    0xff031000,
    0xff031000,
    0xff041100,
    0xff050e00,
    0xff010d00,
    0xff050a00,
    0xff020a00,
    0xff010a00,
    0xff020700,
    0xff010600,
    0xff010600,
    0xff020400,
    0xff010602,
    0xff010300,
    0xff020100,
    0xff020100,
    0xff010100,
    0xff010100,
    0xff000300,
    0xff010100,
    0xff010100,
    0xff010100,
    0xff010200,
    0xff010300,
    0xff020301,
    0xff010400,
    0xff010600,
    0xff020600,
    0xff000b01,
    0xff040d00,
    0xff071000,
    0xff0a1301,
    0xff0e1600,
    0xff0d1800,
    0xff101801,
    0xff141d00,
    0xff141d00,
    0xff161f00,
    0xff152000,
    0xff192200,
    0xff192401,
    0xff1a2500,
    0xff1a2600,
    0xff1a2600,
    0xff1a2600,
    0xff1c2701,
    0xff1d2500,
    0xff172500,
    0xff1a2401,
    0xff192200,
    0xff132000,
    0xff121d00,
    0xff131c01,
    0xff0e1a01,
    0xff0e1700,
    0xff0d1400,
    0xff0c1200,
    0xff0f1202,
    0xff101400,
    0xff151600,
    0xff191600,
    0xff1d1701,
    0xff211700,
    0xff231700,
    0xff221800,
    0xff241600,
    0xff241600,
    0xff231500,
    0xff211500,
    0xff201400,
    0xff1f1301,
    0xff1c1401,
    0xff181201,
    0xff0f0f00,
    0xff0a0b00,
    0xff050800,
    0xff000700,
    0xff000600,
    0xff000900,
    0xff000800,
    0xff030801,
    0xff010a02,
    0xff050d00,
    0xff050d00,
    0xff080d00,
    0xff081100,
    0xff0a1302,
    0xff0a1400,
    0xff0c1603,
    0xff0b1400,
    0xff0c1700,
    0xff101701,
    0xff0f1800,
    0xff111800,
    0xff0f1b01,
    0xff101b02,
    0xff111a01,
    0xff111a01,
    0xff0e1a01,
    0xff0a1900,
    0xff0d1800,
    0xff0b1800,
    0xff0a1900,
    0xff0c1700,
    0xff0b1800,
    0xff0c1700,
    0xff0a1700,
    0xff0a1800,
    0xff0c1901,
    0xff0c1a00,
    0xff0c1b01,
    0xff0a1c00,
    0xff0c1d02,
    0xff0c1b00,
    0xff0d1c02,
    0xff0a1d01,
    0xff0e1d01,
    0xff0e1d00,
    0xff101f02,
    0xff102003,
    0xff142004,
    0xff132004,
    0xff131f03,
    0xff152201,
    0xff172408,
    0xff1a2907,
    0xff202d0a,
    0xff25300c,
    0xff29340b,
    0xff2d3510,
    0xff2e3813,
    0xff313b14,
    0xff333c14,
    0xff353d16,
    0xff343b12,
    0xff343b12,
    0xff353c12,
    0xff34390f,
    0xff343810,
    0xff33380e,
    0xff35370b,
    0xff32360a,
    0xff343606,
    0xff333604,
    0xff313603,
    0xff323304,
    0xff323403,
    0xff323502,
    0xff333601,
    0xff313400,
    0xff313301,
    0xff313400,
    0xff313501,
    0xff303401,
    0xff2f3200,
    0xff2b3500,
    0xff303401,
    0xff2f3600,
    0xff323701,
    0xff333601,
    0xff333400,
    0xff363601,
    0xff373902,
    0xff393b0a,
    0xff3b420e,
    0xff3e4416,
    0xff404517,
    0xff45471a,
    0xff424a1e,
    0xff424a20,
    0xff424a1f,
    0xff45491c,
    0xff45481b,
    0xff45481b,
    0xff44481b,
    0xff44481c,
    0xff40481d,
    0xff3e431b,
    0xff3b3d19,
    0xff393a13,
    0xff393b10,
    0xff393b0e,
    0xff393b0e,
    0xff393b0b,
    0xff37380d,
    0xff39380d,
    0xff38360a,
    0xff363507,
    0xff363404,
    0xff333303,
    0xff313100,
    0xff313100,
    0xff322e00,
    0xff322d00,
    0xff2f2c00,
    0xff2d2b00,
    0xff2d2b00,
    0xff2e2c00,
    0xff312d00,
    0xff302f01,
    0xff2f3102,
    0xff303002,
    0xff313004,
    0xff2f2f02,
    0xff2e2d04,
    0xff2b2f04,
    0xff2d2d03,
    0xff2c2d03,
    0xff292b04,
    0xff282a01,
    0xff272701,
    0xff232700,
    0xff222301,
    0xff1a1e01,
    0xff171c00,
    0xff141801,
    0xff111502,
    0xff0c1400,
    0xff121700,
    0xff131c00,
    0xff152000,
    0xff172100,
    0xff192500,
    0xff1c2800,
    0xff212d00,
    0xff263001,
    0xff293400,
    0xff2d3800,
    0xff303901,
    0xff313e02,
    0xff334007,
    0xff35410a,
    0xff38420d,
    0xff384210,
    0xff384210,
    0xff393f12,
    0xff363b11,
    0xff353a13,
    0xff333713,
    0xff313510,
    0xff2f330e,
    0xff29300d,
    0xff242808,
    0xff202603,
    0xff171c00,
    0xff111400,
    0xff081101,
    0xff080d01,
    0xff060c01,
    0xff010800,
    0xff000400,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000300,
    0xff000200,
    0xff030500,
    0xff040501,
    0xff040601,
    0xff040901,
    0xff060801,
    0xff000500,
    0xff000700,
    0xff010801,
    0xff000800,
    0xff000a02,
    0xff020d00,
    0xff050d00,
    0xff050f00,
    0xff0a1001,
    0xff0e1101,
    0xff101500,
    0xff121701,
    0xff141901,
    0xff161c00,
    0xff161d00,
    0xff181e00,
    0xff171d00,
    0xff161d01,
    0xff141c00,
    0xff111900,
    0xff0a1600,
    0xff0a1800,
    0xff091800,
    0xff081600,
    0xff071500,
    0xff051600,
    0xff051401,
    0xff031300,
    0xff021401,
    0xff011200,
    0xff041300,
    0xff031200,
    0xff041100,
    0xff021000,
    0xff031100,
    0xff041000,
    0xff031100,
    0xff041100,
    0xff041201,
    0xff041000,
    0xff020e00,
    0xff040c00,
    0xff020c00,
    0xff010a00,
    0xff050700,
    0xff020700,
    0xff010600,
    0xff020500,
    0xff010601,
    0xff010300,
    0xff020300,
    0xff010200,
    0xff020200,
    0xff020200,
    0xff000300,
    0xff010100,
    0xff020100,
    0xff010200,
    0xff020100,
    0xff010300,
    0xff010300,
    0xff000400,
    0xff010500,
    0xff020701,
    0xff010b02,
    0xff060c00,
    0xff081101,
    0xff0b1300,
    0xff0b1700,
    0xff0d1901,
    0xff111801,
    0xff111c00,
    0xff141e01,
    0xff151f02,
    0xff162100,
    0xff182200,
    0xff1a2401,
    0xff192601,
    0xff1a2600,
    0xff1c2601,
    0xff1d2500,
    0xff1d2501,
    0xff1b2600,
    0xff1a2601,
    0xff1a2401,
    0xff172100,
    0xff162000,
    0xff141d01,
    0xff131c00,
    0xff0f1700,
    0xff0e1800,
    0xff0b1500,
    0xff081400,
    0xff0d1201,
    0xff0f1201,
    0xff141600,
    0xff181600,
    0xff1d1600,
    0xff201700,
    0xff221600,
    0xff221600,
    0xff221600,
    0xff231600,
    0xff221500,
    0xff211500,
    0xff201300,
    0xff1d1300,
    0xff1b1401,
    0xff191200,
    0xff0f0e00,
    0xff0a0900,
    0xff060601,
    0xff010600,
    0xff020600,
    0xff010700,
    0xff000700,
    0xff010700,
    0xff020800,
    0xff040900,
    0xff060b01,
    0xff080e00,
    0xff081001,
    0xff0a1100,
    0xff091300,
    0xff0c1401,
    0xff0c1400,
    0xff0e1600,
    0xff0d1700,
    0xff111801,
    0xff101700,
    0xff101a00,
    0xff101a00,
    0xff101a02,
    0xff0f1900,
    0xff0e1900,
    0xff0b1800,
    0xff0a1700,
    0xff0b1800,
    0xff0a1800,
    0xff0b1701,
    0xff0c1702,
    0xff0a1701,
    0xff091700,
    0xff0a1700,
    0xff0b1900,
    0xff0c1900,
    0xff0c1b01,
    0xff091d00,
    0xff0d1d02,
    0xff0c1c01,
    0xff0b1c01,
    0xff0a1c01,
    0xff0e1e01,
    0xff0f1f02,
    0xff101f02,
    0xff122104,
    0xff132105,
    0xff132104,
    0xff142205,
    0xff182604,
    0xff1a2907,
    0xff222d0b,
    0xff28320f,
    0xff2b3512,
    0xff2e3815,
    0xff323a17,
    0xff353f1c,
    0xff37421b,
    0xff39441c,
    0xff3c4518,
    0xff374218,
    0xff394017,
    0xff394016,
    0xff383f15,
    0xff373d14,
    0xff363c0c,
    0xff353a0c,
    0xff34380b,
    0xff343707,
    0xff353606,
    0xff323805,
    0xff333504,
    0xff323403,
    0xff333403,
    0xff333501,
    0xff313400,
    0xff313200,
    0xff303201,
    0xff2f3200,
    0xff2f3200,
    0xff2f3200,
    0xff2c3500,
    0xff2f3501,
    0xff303600,
    0xff323600,
    0xff333601,
    0xff353600,
    0xff383801,
    0xff393c07,
    0xff3d3e0c,
    0xff3e4312,
    0xff424719,
    0xff464a1d,
    0xff494b1f,
    0xff4c4d23,
    0xff4c4d25,
    0xff4b4e24,
    0xff4b4d20,
    0xff4b4d22,
    0xff4a4d20,
    0xff494c20,
    0xff484b20,
    0xff424a1d,
    0xff3f451b,
    0xff3a4117,
    0xff3a3c13,
    0xff3a3b10,
    0xff3a3c0d,
    0xff393b0e,
    0xff393b0c,
    0xff3a3a0e,
    0xff3a3a0e,
    0xff38390b,
    0xff38390a,
    0xff373707,
    0xff373505,
    0xff363602,
    0xff363401,
    0xff353300,
    0xff343101,
    0xff323000,
    0xff2f2d00,
    0xff2c2a01,
    0xff2d2a01,
    0xff2a2c00,
    0xff2e2d01,
    0xff2d2d00,
    0xff2d2d00,
    0xff2d2d01,
    0xff2b2b01,
    0xff2a2a01,
    0xff282a00,
    0xff2a2801,
    0xff272801,
    0xff262700,
    0xff242700,
    0xff212301,
    0xff1e2100,
    0xff1a1c00,
    0xff181901,
    0xff141800,
    0xff111500,
    0xff0e1201,
    0xff0c1501,
    0xff0f1900,
    0xff141e00,
    0xff162100,
    0xff162400,
    0xff192800,
    0xff1b2900,
    0xff213000,
    0xff243200,
    0xff253300,
    0xff293700,
    0xff2f3b00,
    0xff313f01,
    0xff364206,
    0xff384409,
    0xff364509,
    0xff38450d,
    0xff39440f,
    0xff3a3f10,
    0xff363d10,
    0xff353a12,
    0xff343812,
    0xff31330f,
    0xff2e320e,
    0xff272e0b,
    0xff242807,
    0xff1d2500,
    0xff171b00,
    0xff101400,
    0xff0a1000,
    0xff090d00,
    0xff070d02,
    0xff020800,
    0xff000500,
    0xff000300,
    0xff000100,
    0xff000000,
    0xff010001,
    0xff000101,
    0xff000101,
    0xff010300,
    0xff010300,
    0xff020400,
    0xff020400,
    0xff050801,
    0xff040801,
    0xff050902,
    0xff000500,
    0xff000700,
    0xff010801,
    0xff000700,
    0xff000901,
    0xff020c00,
    0xff060b00,
    0xff060e00,
    0xff091101,
    0xff0e1201,
    0xff111500,
    0xff131801,
    0xff151c01,
    0xff181f00,
    0xff181f00,
    0xff192000,
    0xff191f00,
    0xff182001,
    0xff152000,
    0xff111f01,
    0xff0f1b01,
    0xff0b1900,
    0xff091700,
    0xff081600,
    0xff071700,
    0xff081702,
    0xff061401,
    0xff031301,
    0xff021401,
    0xff021300,
    0xff051401,
    0xff041300,
    0xff031301,
    0xff031101,
    0xff031100,
    0xff041201,
    0xff061201,
    0xff041101,
    0xff031201,
    0xff031000,
    0xff040e01,
    0xff030e00,
    0xff050b00,
    0xff050901,
    0xff020a02,
    0xff020600,
    0xff010701,
    0xff030600,
    0xff020400,
    0xff020400,
    0xff010300,
    0xff010401,
    0xff010200,
    0xff020200,
    0xff000300,
    0xff020100,
    0xff020200,
    0xff010200,
    0xff020200,
    0xff020401,
    0xff020401,
    0xff020500,
    0xff020600,
    0xff010701,
    0xff020900,
    0xff030c00,
    0xff0a0f01,
    0xff0b1300,
    0xff0d1601,
    0xff0d1901,
    0xff111800,
    0xff131c01,
    0xff131e01,
    0xff141f01,
    0xff152000,
    0xff172100,
    0xff182401,
    0xff1a2501,
    0xff1c2500,
    0xff1b2500,
    0xff1c2601,
    0xff1b2500,
    0xff1b2400,
    0xff1a2401,
    0xff192301,
    0xff172100,
    0xff162000,
    0xff141e01,
    0xff131c00,
    0xff111901,
    0xff0d1600,
    0xff0b1501,
    0xff0a1300,
    0xff0e1100,
    0xff101401,
    0xff151600,
    0xff171701,
    0xff1e1601,
    0xff1f1700,
    0xff201500,
    0xff221701,
    0xff251500,
    0xff241601,
    0xff221600,
    0xff201500,
    0xff211301,
    0xff1f1401,
    0xff1a1300,
    0xff181100,
    0xff110d00,
    0xff0b0a00,
    0xff050700,
    0xff000600,
    0xff000500,
    0xff000500,
    0xff000600,
    0xff000600,
    0xff010601,
    0xff030701,
    0xff060a01,
    0xff070d01,
    0xff070d00,
    0xff0a1000,
    0xff081301,
    0xff0d1201,
    0xff0e1400,
    0xff0e1501,
    0xff0e1601,
    0xff0e1701,
    0xff0e1700,
    0xff0e1800,
    0xff101800,
    0xff0f1901,
    0xff101a01,
    0xff0f1800,
    0xff0c1700,
    0xff091700,
    0xff0a1801,
    0xff091700,
    0xff0b1701,
    0xff0a1700,
    0xff091700,
    0xff081700,
    0xff0a1700,
    0xff0b1a00,
    0xff0c1901,
    0xff0c1b01,
    0xff0b1c00,
    0xff0a1c01,
    0xff0d1c01,
    0xff0b1d02,
    0xff0c1d00,
    0xff0e1d00,
    0xff0e1e01,
    0xff102104,
    0xff122104,
    0xff132105,
    0xff152402,
    0xff152404,
    0xff182807,
    0xff1d2d08,
    0xff233110,
    0xff2a3511,
    0xff2e3815,
    0xff323c19,
    0xff35411e,
    0xff3a4420,
    0xff3b4620,
    0xff3b4821,
    0xff3d4c20,
    0xff3c481d,
    0xff3c461b,
    0xff3b4219,
    0xff3a4119,
    0xff3a4117,
    0xff373e0f,
    0xff373d0f,
    0xff363d0e,
    0xff35380b,
    0xff363908,
    0xff343807,
    0xff333605,
    0xff333403,
    0xff323402,
    0xff323403,
    0xff333600,
    0xff323402,
    0xff303200,
    0xff303200,
    0xff303200,
    0xff303100,
    0xff303200,
    0xff313500,
    0xff313601,
    0xff323402,
    0xff353500,
    0xff363700,
    0xff3a3a04,
    0xff3c3e09,
    0xff3d430f,
    0xff434615,
    0xff454a1b,
    0xff4a4d1f,
    0xff4a4f23,
    0xff4c4f28,
    0xff4e4f26,
    0xff4b5128,
    0xff4f5027,
    0xff4d5226,
    0xff4f5123,
    0xff4d4f25,
    0xff4b4e23,
    0xff444c1f,
    0xff3f4819,
    0xff3b4316,
    0xff3b3e13,
    0xff3b3c10,
    0xff3b3c0e,
    0xff3b3c0f,
    0xff3c3e0f,
    0xff3e3c0e,
    0xff3b3d0e,
    0xff3a3c0e,
    0xff393b0c,
    0xff393909,
    0xff383a08,
    0xff393904,
    0xff3b3902,
    0xff393600,
    0xff353300,
    0xff343201,
    0xff2f2f00,
    0xff2a2d00,
    0xff2d2a01,
    0xff2b2901,
    0xff2a2900,
    0xff2b2700,
    0xff2b2700,
    0xff2a2800,
    0xff272801,
    0xff272700,
    0xff262701,
    0xff242600,
    0xff212500,
    0xff232401,
    0xff212100,
    0xff1b1e00,
    0xff191c00,
    0xff161801,
    0xff131700,
    0xff111401,
    0xff0f1300,
    0xff0c1200,
    0xff0a1400,
    0xff121900,
    0xff141f00,
    0xff182300,
    0xff182700,
    0xff192800,
    0xff1d2c01,
    0xff202f00,
    0xff223200,
    0xff243500,
    0xff2a3801,
    0xff2e3d00,
    0xff314001,
    0xff384405,
    0xff384708,
    0xff3a4809,
    0xff3d470c,
    0xff3c460e,
    0xff39420f,
    0xff373d0e,
    0xff353a11,
    0xff313611,
    0xff34350e,
    0xff2d310d,
    0xff272d0a,
    0xff232905,
    0xff1c2400,
    0xff161901,
    0xff101400,
    0xff0b1100,
    0xff061000,
    0xff060c00,
    0xff020901,
    0xff000500,
    0xff000600,
    0xff000500,
    0xff000200,
    0xff010001,
    0xff000201,
    0xff010301,
    0xff000200,
    0xff000200,
    0xff010301,
    0xff020402,
    0xff040700,
    0xff000800,
    0xff040801,
    0xff000600,
    0xff010801,
    0xff010700,
    0xff010800,
    0xff000b00,
    0xff040d00,
    0xff060e00,
    0xff060e00,
    0xff0b1001,
    0xff0d1500,
    0xff131601,
    0xff141900,
    0xff151d01,
    0xff181f00,
    0xff1a2000,
    0xff192300,
    0xff192401,
    0xff192401,
    0xff172400,
    0xff172100,
    0xff132000,
    0xff0f1c00,
    0xff0c1a00,
    0xff0b1901,
    0xff061700,
    0xff081600,
    0xff071501,
    0xff051400,
    0xff051401,
    0xff031401,
    0xff031300,
    0xff041300,
    0xff051200,
    0xff031200,
    0xff041301,
    0xff031200,
    0xff051300,
    0xff041300,
    0xff051100,
    0xff051000,
    0xff051000,
    0xff030e00,
    0xff050c00,
    0xff020c00,
    0xff030900,
    0xff010800,
    0xff010801,
    0xff020500,
    0xff020400,
    0xff020400,
    0xff020400,
    0xff010300,
    0xff010300,
    0xff010200,
    0xff010300,
    0xff020301,
    0xff010200,
    0xff010200,
    0xff010300,
    0xff010301,
    0xff020400,
    0xff020600,
    0xff010701,
    0xff020701,
    0xff020800,
    0xff050c01,
    0xff060f00,
    0xff0c1201,
    0xff0f1500,
    0xff0f1801,
    0xff111901,
    0xff141c01,
    0xff121e01,
    0xff151f00,
    0xff142100,
    0xff162301,
    0xff192400,
    0xff1a2602,
    0xff192500,
    0xff1a2600,
    0xff1b2401,
    0xff1a2501,
    0xff1c2401,
    0xff1a2401,
    0xff1a2200,
    0xff192000,
    0xff181e01,
    0xff161d01,
    0xff141b00,
    0xff131701,
    0xff0c1800,
    0xff0b1600,
    0xff091600,
    0xff0b1502,
    0xff0f1300,
    0xff161600,
    0xff1a1600,
    0xff1e1500,
    0xff1f1700,
    0xff221601,
    0xff231700,
    0xff231700,
    0xff221600,
    0xff221601,
    0xff221500,
    0xff201300,
    0xff1f1402,
    0xff1b1401,
    0xff181000,
    0xff100e00,
    0xff0a0800,
    0xff030600,
    0xff010401,
    0xff020401,
    0xff000300,
    0xff000300,
    0xff020500,
    0xff020600,
    0xff020801,
    0xff070800,
    0xff070b00,
    0xff0a0d01,
    0xff0a0d00,
    0xff090f00,
    0xff0c1101,
    0xff0d1300,
    0xff0d1401,
    0xff0c1400,
    0xff0c1500,
    0xff0c1600,
    0xff0f1700,
    0xff101600,
    0xff0f1801,
    0xff0d1700,
    0xff0d1600,
    0xff0a1700,
    0xff0a1701,
    0xff091600,
    0xff091600,
    0xff091600,
    0xff081600,
    0xff0a1801,
    0xff091700,
    0xff091600,
    0xff0b1901,
    0xff0c1a00,
    0xff0a1900,
    0xff0b1a01,
    0xff0b1c01,
    0xff0d1b01,
    0xff0c1c01,
    0xff0f1d00,
    0xff0d1d00,
    0xff0e1e01,
    0xff112002,
    0xff122103,
    0xff152102,
    0xff152402,
    0xff172605,
    0xff1b2906,
    0xff222f0c,
    0xff253411,
    0xff2c3613,
    0xff313b18,
    0xff363f1d,
    0xff38451e,
    0xff3d4723,
    0xff3f4a24,
    0xff404d23,
    0xff434c23,
    0xff444b1f,
    0xff424b1f,
    0xff40481d,
    0xff3d4419,
    0xff3b4216,
    0xff3b4216,
    0xff3a4013,
    0xff383e11,
    0xff373b0d,
    0xff373a09,
    0xff363a07,
    0xff343806,
    0xff353706,
    0xff343604,
    0xff343603,
    0xff343702,
    0xff333601,
    0xff323600,
    0xff303301,
    0xff303200,
    0xff313301,
    0xff313401,
    0xff333600,
    0xff333500,
    0xff353600,
    0xff383800,
    0xff3a3a02,
    0xff3c3c06,
    0xff3f3f0b,
    0xff414411,
    0xff444816,
    0xff484a1d,
    0xff4d4d20,
    0xff4d5024,
    0xff4f5126,
    0xff4e4f28,
    0xff4d5327,
    0xff515326,
    0xff4f5527,
    0xff4f5326,
    0xff4f5326,
    0xff4c5124,
    0xff464e1f,
    0xff414a1b,
    0xff3d4518,
    0xff394011,
    0xff3b3e11,
    0xff3b3e0e,
    0xff3d3f0f,
    0xff3e3e0d,
    0xff3f3e0e,
    0xff3e3e0f,
    0xff3c3e0d,
    0xff3e3e0c,
    0xff3c3e09,
    0xff3e3d08,
    0xff3d3e05,
    0xff3f3e03,
    0xff3c3901,
    0xff373600,
    0xff343300,
    0xff332f00,
    0xff2f2f00,
    0xff2d2b00,
    0xff2d2a00,
    0xff282800,
    0xff292701,
    0xff272600,
    0xff262500,
    0xff252500,
    0xff232301,
    0xff212000,
    0xff212000,
    0xff1f2001,
    0xff1c1f00,
    0xff1c1c00,
    0xff1a1a00,
    0xff161800,
    0xff131600,
    0xff101301,
    0xff0f1200,
    0xff0d1201,
    0xff0b1100,
    0xff0c1500,
    0xff151b02,
    0xff161f00,
    0xff172501,
    0xff182700,
    0xff1a2b00,
    0xff1d2e00,
    0xff203101,
    0xff223300,
    0xff253600,
    0xff2b3900,
    0xff2f3c00,
    0xff324203,
    0xff344805,
    0xff3a4a08,
    0xff3d4b09,
    0xff3c4a0a,
    0xff3d480d,
    0xff38430e,
    0xff353d0d,
    0xff333a10,
    0xff32370f,
    0xff30340c,
    0xff2c300d,
    0xff272d0a,
    0xff222803,
    0xff1c1f00,
    0xff161901,
    0xff101500,
    0xff0b1101,
    0xff090e00,
    0xff070c00,
    0xff020800,
    0xff010701,
    0xff020400,
    0xff000600,
    0xff000500,
    0xff000200,
    0xff000200,
    0xff000100,
    0xff000200,
    0xff000200,
    0xff020301,
    0xff030400,
    0xff030600,
    0xff020600,
    0xff030801,
    0xff000600,
    0xff000700,
    0xff010801,
    0xff000a01,
    0xff000b00,
    0xff040d00,
    0xff070d00,
    0xff080e00,
    0xff0b1202,
    0xff101600,
    0xff141701,
    0xff161d01,
    0xff181e00,
    0xff1a2100,
    0xff1a2301,
    0xff1a2500,
    0xff1a2500,
    0xff1b2701,
    0xff1a2700,
    0xff152400,
    0xff172300,
    0xff132000,
    0xff0f1d00,
    0xff0d1b01,
    0xff0a1900,
    0xff091700,
    0xff081701,
    0xff081701,
    0xff051400,
    0xff031402,
    0xff031402,
    0xff051401,
    0xff051200,
    0xff031401,
    0xff041300,
    0xff041300,
    0xff041300,
    0xff031300,
    0xff041200,
    0xff061201,
    0xff040f00,
    0xff040f01,
    0xff050d01,
    0xff020d00,
    0xff040900,
    0xff030701,
    0xff020800,
    0xff030600,
    0xff030500,
    0xff030600,
    0xff030400,
    0xff020400,
    0xff020401,
    0xff020401,
    0xff010300,
    0xff010300,
    0xff020401,
    0xff020401,
    0xff010401,
    0xff020401,
    0xff020300,
    0xff000500,
    0xff020600,
    0xff040600,
    0xff020800,
    0xff050d01,
    0xff060e00,
    0xff0a1200,
    0xff0c1400,
    0xff0c1600,
    0xff0f1900,
    0xff141b00,
    0xff151c01,
    0xff151e00,
    0xff162101,
    0xff182100,
    0xff192400,
    0xff182401,
    0xff1b2502,
    0xff1a2500,
    0xff1a2401,
    0xff192401,
    0xff1a2300,
    0xff192301,
    0xff1b2100,
    0xff181f00,
    0xff161d01,
    0xff151d00,
    0xff151a01,
    0xff131900,
    0xff111801,
    0xff0f1700,
    0xff0f1600,
    0xff0e1500,
    0xff111600,
    0xff161700,
    0xff1a1800,
    0xff201701,
    0xff201701,
    0xff221701,
    0xff241700,
    0xff241800,
    0xff231700,
    0xff241501,
    0xff241400,
    0xff211401,
    0xff1f1301,
    0xff1a1301,
    0xff181100,
    0xff0f0d00,
    0xff0a0a00,
    0xff040500,
    0xff010300,
    0xff010200,
    0xff000200,
    0xff000200,
    0xff020400,
    0xff020600,
    0xff040700,
    0xff070702,
    0xff060a00,
    0xff080a00,
    0xff0a0d01,
    0xff0a0e00,
    0xff0c1001,
    0xff0c1000,
    0xff0a1100,
    0xff0c1400,
    0xff0c1400,
    0xff0d1400,
    0xff0e1500,
    0xff0e1500,
    0xff0e1500,
    0xff0c1500,
    0xff0c1500,
    0xff081500,
    0xff0a1501,
    0xff091500,
    0xff091600,
    0xff081600,
    0xff091700,
    0xff081600,
    0xff091700,
    0xff081600,
    0xff091700,
    0xff091700,
    0xff0a1800,
    0xff0b1a00,
    0xff0d1b02,
    0xff0b1b00,
    0xff0b1c01,
    0xff0e1d00,
    0xff0e1d00,
    0xff0f1e02,
    0xff122102,
    0xff122102,
    0xff162202,
    0xff162603,
    0xff172605,
    0xff1d2c08,
    0xff24300e,
    0xff273612,
    0xff2e3814,
    0xff333d1a,
    0xff38421f,
    0xff3b4822,
    0xff3f4a25,
    0xff434e27,
    0xff434d23,
    0xff454d24,
    0xff444e23,
    0xff444d23,
    0xff444b21,
    0xff42491c,
    0xff3f4719,
    0xff3d4319,
    0xff3c4214,
    0xff3b4015,
    0xff393e0f,
    0xff3a3d0e,
    0xff373a0b,
    0xff363a09,
    0xff363907,
    0xff363a05,
    0xff363901,
    0xff353802,
    0xff363a01,
    0xff353700,
    0xff343601,
    0xff313400,
    0xff313400,
    0xff343600,
    0xff353700,
    0xff383800,
    0xff383900,
    0xff3c3a02,
    0xff3d3d05,
    0xff3f3e09,
    0xff41410d,
    0xff464514,
    0xff454819,
    0xff494a1e,
    0xff4d4d21,
    0xff4f5024,
    0xff4d5226,
    0xff4f5129,
    0xff4d5327,
    0xff525327,
    0xff525528,
    0xff525427,
    0xff4e5727,
    0xff4d5325,
    0xff484d20,
    0xff444c1e,
    0xff3f461a,
    0xff3d4516,
    0xff3e4112,
    0xff3c3e10,
    0xff3d4010,
    0xff403f10,
    0xff3f3f0f,
    0xff3f400f,
    0xff3f410e,
    0xff43410d,
    0xff40420a,
    0xff3e4408,
    0xff424208,
    0xff403e04,
    0xff3c3a02,
    0xff393800,
    0xff373600,
    0xff353101,
    0xff303000,
    0xff2d2c00,
    0xff2d2c02,
    0xff2d2800,
    0xff272700,
    0xff272500,
    0xff262300,
    0xff232300,
    0xff201f01,
    0xff1f1e00,
    0xff1e1f00,
    0xff1b1c00,
    0xff1b1a01,
    0xff191900,
    0xff171601,
    0xff141400,
    0xff101301,
    0xff101100,
    0xff101300,
    0xff0e1100,
    0xff091200,
    0xff0c1501,
    0xff101b00,
    0xff162001,
    0xff152500,
    0xff172800,
    0xff1b2e01,
    0xff1e3000,
    0xff1f3200,
    0xff223400,
    0xff273700,
    0xff2c3a00,
    0xff2e3e01,
    0xff324001,
    0xff354804,
    0xff3c4a07,
    0xff3b4c08,
    0xff3d4d0a,
    0xff3e4a0b,
    0xff3a440d,
    0xff353e0c,
    0xff333a0d,
    0xff30350c,
    0xff2f3509,
    0xff2b310d,
    0xff282d0a,
    0xff222803,
    0xff192000,
    0xff151701,
    0xff111600,
    0xff0b1101,
    0xff080e00,
    0xff060d00,
    0xff040900,
    0xff000700,
    0xff030500,
    0xff000500,
    0xff000600,
    0xff010500,
    0xff000300,
    0xff010100,
    0xff000200,
    0xff010200,
    0xff000501,
    0xff020400,
    0xff040600,
    0xff040700,
    0xff020801,
    0xff010801,
    0xff010701,
    0xff010801,
    0xff000a00,
    0xff020c00,
    0xff030d00,
    0xff030f00,
    0xff081001,
    0xff091500,
    0xff0f1801,
    0xff151800,
    0xff151d01,
    0xff191f00,
    0xff1c2300,
    0xff1a2600,
    0xff1d2800,
    0xff1d2900,
    0xff1e2a01,
    0xff1c2900,
    0xff172801,
    0xff162600,
    0xff152500,
    0xff122200,
    0xff0f1e00,
    0xff0e1b02,
    0xff091900,
    0xff081701,
    0xff081700,
    0xff071600,
    0xff061500,
    0xff031600,
    0xff061402,
    0xff071502,
    0xff041300,
    0xff061200,
    0xff041300,
    0xff031200,
    0xff051201,
    0xff031200,
    0xff061200,
    0xff061001,
    0xff051000,
    0xff050d00,
    0xff030d00,
    0xff040b00,
    0xff050802,
    0xff010700,
    0xff040700,
    0xff020600,
    0xff020701,
    0xff000500,
    0xff020400,
    0xff020400,
    0xff010300,
    0xff010301,
    0xff020401,
    0xff010300,
    0xff020401,
    0xff010300,
    0xff010301,
    0xff020401,
    0xff010500,
    0xff000600,
    0xff010700,
    0xff010901,
    0xff030c00,
    0xff060d00,
    0xff041201,
    0xff081501,
    0xff0a1700,
    0xff0f1901,
    0xff111a01,
    0xff141e00,
    0xff142002,
    0xff152101,
    0xff172100,
    0xff172400,
    0xff192401,
    0xff1a2401,
    0xff192300,
    0xff182300,
    0xff1b2201,
    0xff192201,
    0xff172200,
    0xff191f00,
    0xff192001,
    0xff181d00,
    0xff151d01,
    0xff151b01,
    0xff141a00,
    0xff151a01,
    0xff141801,
    0xff131801,
    0xff121700,
    0xff131801,
    0xff161b01,
    0xff1d1b00,
    0xff211a00,
    0xff221901,
    0xff221900,
    0xff231900,
    0xff261801,
    0xff261600,
    0xff241700,
    0xff241500,
    0xff211401,
    0xff1f1401,
    0xff1b1400,
    0xff171200,
    0xff100d00,
    0xff070900,
    0xff030500,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff020501,
    0xff020600,
    0xff070702,
    0xff080900,
    0xff090a00,
    0xff090b00,
    0xff090c00,
    0xff0c0e00,
    0xff0c0e00,
    0xff0c0f01,
    0xff0b1101,
    0xff0a1101,
    0xff0b1200,
    0xff0c1300,
    0xff0c1401,
    0xff0b1401,
    0xff0b1300,
    0xff0b1301,
    0xff081400,
    0xff0a1501,
    0xff081500,
    0xff091501,
    0xff081400,
    0xff071400,
    0xff071400,
    0xff071601,
    0xff091700,
    0xff081600,
    0xff091700,
    0xff0a1801,
    0xff0b1901,
    0xff0b1900,
    0xff0a1a01,
    0xff0c1a00,
    0xff0e1b01,
    0xff0d1e02,
    0xff0f1e00,
    0xff122102,
    0xff122100,
    0xff142302,
    0xff162602,
    0xff192a05,
    0xff1d2d0a,
    0xff27330f,
    0xff2b3613,
    0xff2f3a15,
    0xff33401c,
    0xff39431d,
    0xff3f4a21,
    0xff3f4d24,
    0xff454c25,
    0xff454e24,
    0xff474e23,
    0xff464e23,
    0xff484c23,
    0xff444d20,
    0xff434c1d,
    0xff434b1c,
    0xff41491a,
    0xff3f4618,
    0xff3d4516,
    0xff3a4110,
    0xff3a3f10,
    0xff383f0a,
    0xff383d0a,
    0xff373d09,
    0xff363d05,
    0xff3a3c04,
    0xff363b07,
    0xff383d04,
    0xff373b02,
    0xff353800,
    0xff343700,
    0xff363800,
    0xff383900,
    0xff383800,
    0xff3a3a01,
    0xff3d3c02,
    0xff3c3d04,
    0xff403f08,
    0xff3f400c,
    0xff434313,
    0xff444617,
    0xff47491a,
    0xff4a4b1f,
    0xff4d4e24,
    0xff4e4f24,
    0xff4f5023,
    0xff4e5223,
    0xff4e5225,
    0xff515427,
    0xff4f5627,
    0xff505528,
    0xff4f5728,
    0xff4b5425,
    0xff484f20,
    0xff454d1e,
    0xff42491d,
    0xff3d4818,
    0xff424515,
    0xff3f4513,
    0xff42420f,
    0xff434210,
    0xff41430e,
    0xff44450f,
    0xff43450d,
    0xff44460c,
    0xff44480c,
    0xff44470a,
    0xff444408,
    0xff3f4106,
    0xff3b3d04,
    0xff3b3901,
    0xff373600,
    0xff353300,
    0xff323000,
    0xff2f2f00,
    0xff2b2d00,
    0xff2a2c00,
    0xff272801,
    0xff262601,
    0xff232400,
    0xff202100,
    0xff201e00,
    0xff1d1d00,
    0xff1b1b01,
    0xff1a1a01,
    0xff181800,
    0xff151800,
    0xff151501,
    0xff141400,
    0xff111302,
    0xff111400,
    0xff101202,
    0xff0d1200,
    0xff0a1300,
    0xff0d1500,
    0xff121b00,
    0xff152101,
    0xff142500,
    0xff182900,
    0xff1c2c00,
    0xff1f3102,
    0xff213300,
    0xff223400,
    0xff273701,
    0xff293b00,
    0xff2e3e00,
    0xff324103,
    0xff364601,
    0xff3a4a07,
    0xff3c4c09,
    0xff3d4d08,
    0xff3d4b09,
    0xff3a460c,
    0xff353e0a,
    0xff343c0c,
    0xff32380b,
    0xff2e3308,
    0xff283009,
    0xff272d08,
    0xff222904,
    0xff1b2100,
    0xff151802,
    0xff121600,
    0xff0c1201,
    0xff080e00,
    0xff080d00,
    0xff020a01,
    0xff000701,
    0xff010801,
    0xff000800,
    0xff000500,
    0xff020701,
    0xff000701,
    0xff000401,
    0xff000501,
    0xff010300,
    0xff000500,
    0xff010600,
    0xff020701,
    0xff020600,
    0xff020700,
    0xff000600,
    0xff010801,
    0xff000800,
    0xff000a01,
    0xff010d00,
    0xff040e00,
    0xff051000,
    0xff071100,
    0xff091400,
    0xff0d1800,
    0xff141b00,
    0xff171e00,
    0xff1b2101,
    0xff1d2500,
    0xff1c2600,
    0xff1e2901,
    0xff202c02,
    0xff1e2c02,
    0xff1f2c03,
    0xff1b2c02,
    0xff1a2903,
    0xff182802,
    0xff142500,
    0xff101f00,
    0xff0e1d00,
    0xff0a1a00,
    0xff091801,
    0xff081700,
    0xff081600,
    0xff071600,
    0xff071500,
    0xff051501,
    0xff031401,
    0xff051301,
    0xff031300,
    0xff061201,
    0xff031300,
    0xff051300,
    0xff041200,
    0xff061200,
    0xff061101,
    0xff040f00,
    0xff050f00,
    0xff050c00,
    0xff030c01,
    0xff010a00,
    0xff020801,
    0xff030701,
    0xff020700,
    0xff030700,
    0xff000500,
    0xff000600,
    0xff020400,
    0xff020400,
    0xff030502,
    0xff020401,
    0xff010300,
    0xff020401,
    0xff020400,
    0xff020401,
    0xff020401,
    0xff010501,
    0xff020600,
    0xff000800,
    0xff020901,
    0xff030c00,
    0xff070d00,
    0xff081000,
    0xff081201,
    0xff0a1500,
    0xff0c1700,
    0xff111a01,
    0xff131e00,
    0xff161f02,
    0xff152100,
    0xff162100,
    0xff182400,
    0xff192300,
    0xff1a2401,
    0xff192300,
    0xff192300,
    0xff1a2200,
    0xff1b2101,
    0xff1a2000,
    0xff192000,
    0xff181f00,
    0xff161d01,
    0xff171c00,
    0xff151e00,
    0xff161b01,
    0xff161a01,
    0xff151b01,
    0xff131900,
    0xff131901,
    0xff151900,
    0xff171b00,
    0xff201c00,
    0xff231d00,
    0xff231c00,
    0xff251800,
    0xff251a00,
    0xff261800,
    0xff271700,
    0xff241600,
    0xff251501,
    0xff211401,
    0xff201400,
    0xff1b1300,
    0xff181200,
    0xff100e00,
    0xff080800,
    0xff030500,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff030401,
    0xff040500,
    0xff060701,
    0xff070801,
    0xff070a00,
    0xff090a00,
    0xff0b0b01,
    0xff0a0c00,
    0xff0a0c00,
    0xff090d00,
    0xff0a0f00,
    0xff091000,
    0xff091100,
    0xff0a1102,
    0xff0a1100,
    0xff0b1100,
    0xff091300,
    0xff0a1300,
    0xff071402,
    0xff081300,
    0xff071300,
    0xff081400,
    0xff081400,
    0xff091400,
    0xff081501,
    0xff0a1501,
    0xff091600,
    0xff091700,
    0xff091700,
    0xff081600,
    0xff091700,
    0xff081700,
    0xff081900,
    0xff0b1900,
    0xff0c1a01,
    0xff0e1d03,
    0xff101e00,
    0xff131f01,
    0xff152301,
    0xff152501,
    0xff172703,
    0xff1c2907,
    0xff232e0a,
    0xff28320c,
    0xff2c3612,
    0xff303a18,
    0xff363f1d,
    0xff3b471e,
    0xff404b23,
    0xff424d25,
    0xff464d25,
    0xff474d22,
    0xff474e21,
    0xff464d24,
    0xff474f20,
    0xff4a4e20,
    0xff494d20,
    0xff474e1f,
    0xff444b1d,
    0xff414b19,
    0xff3f4816,
    0xff3e4514,
    0xff3c4212,
    0xff3b420f,
    0xff3c400c,
    0xff394108,
    0xff3a4207,
    0xff3b4008,
    0xff393f09,
    0xff374007,
    0xff383f05,
    0xff373e03,
    0xff373b01,
    0xff3a3e01,
    0xff3a3b02,
    0xff3a3a02,
    0xff3a3b02,
    0xff403f05,
    0xff404108,
    0xff404109,
    0xff42430e,
    0xff454414,
    0xff434618,
    0xff48491a,
    0xff4c4c20,
    0xff4e4f24,
    0xff4e4f25,
    0xff4f4f23,
    0xff4f5024,
    0xff505326,
    0xff4f5427,
    0xff4f5527,
    0xff4f5527,
    0xff4d5526,
    0xff4b5324,
    0xff495122,
    0xff454e20,
    0xff444b20,
    0xff434b1c,
    0xff474818,
    0xff424915,
    0xff46460f,
    0xff444711,
    0xff48480f,
    0xff45470f,
    0xff46480d,
    0xff444c0e,
    0xff4b4b0a,
    0xff474b09,
    0xff464907,
    0xff434304,
    0xff3f3f04,
    0xff3d3c03,
    0xff383700,
    0xff373500,
    0xff343300,
    0xff313100,
    0xff2b2d01,
    0xff2d2a00,
    0xff282900,
    0xff252600,
    0xff232400,
    0xff212201,
    0xff1f1e00,
    0xff1b1b00,
    0xff191900,
    0xff181801,
    0xff171701,
    0xff141701,
    0xff131601,
    0xff141200,
    0xff101101,
    0xff0f1300,
    0xff101202,
    0xff0d1100,
    0xff0a1200,
    0xff0d1600,
    0xff121a00,
    0xff162001,
    0xff162501,
    0xff182901,
    0xff1c2e01,
    0xff1f3000,
    0xff213301,
    0xff243501,
    0xff253800,
    0xff293c01,
    0xff2e3d00,
    0xff314100,
    0xff354702,
    0xff384a06,
    0xff3a4d08,
    0xff3f4e08,
    0xff3d4c09,
    0xff3c4609,
    0xff373f0b,
    0xff333a0b,
    0xff313709,
    0xff2d3309,
    0xff292f08,
    0xff252b05,
    0xff222801,
    0xff1c2100,
    0xff161b00,
    0xff131800,
    0xff0f1400,
    0xff071100,
    0xff060e00,
    0xff010900,
    0xff010700,
    0xff010800,
    0xff000700,
    0xff020600,
    0xff010600,
    0xff020600,
    0xff010600,
    0xff000500,
    0xff020301,
    0xff000500,
    0xff000500,
    0xff020700,
    0xff010600,
    0xff030801,
    0xff000600,
    0xff000600,
    0xff000801,
    0xff000b01,
    0xff020c00,
    0xff040e00,
    0xff080f00,
    0xff071100,
    0xff0a1601,
    0xff0f1a00,
    0xff141e01,
    0xff161f00,
    0xff1a2201,
    0xff1b2600,
    0xff1a2701,
    0xff1e2901,
    0xff1f2c01,
    0xff1e2f05,
    0xff1e3006,
    0xff1d2f08,
    0xff1d2c05,
    0xff1b2b04,
    0xff182803,
    0xff142400,
    0xff101f00,
    0xff0e1c00,
    0xff0d1a02,
    0xff0b1900,
    0xff091700,
    0xff081700,
    0xff071501,
    0xff051601,
    0xff051500,
    0xff051400,
    0xff051401,
    0xff051200,
    0xff071201,
    0xff051301,
    0xff051200,
    0xff041100,
    0xff061101,
    0xff051000,
    0xff040f00,
    0xff030e00,
    0xff050c00,
    0xff010a00,
    0xff020901,
    0xff020701,
    0xff030800,
    0xff020801,
    0xff010600,
    0xff000600,
    0xff020500,
    0xff030500,
    0xff000600,
    0xff000600,
    0xff020501,
    0xff010501,
    0xff000500,
    0xff000500,
    0xff030400,
    0xff020400,
    0xff000700,
    0xff010700,
    0xff030801,
    0xff060c01,
    0xff070e01,
    0xff0a1000,
    0xff091001,
    0xff0b1200,
    0xff0d1700,
    0xff101900,
    0xff121d01,
    0xff151e00,
    0xff161e00,
    0xff162100,
    0xff192300,
    0xff192301,
    0xff192301,
    0xff182301,
    0xff1b2100,
    0xff182100,
    0xff1a2000,
    0xff192000,
    0xff191e00,
    0xff171f00,
    0xff181d01,
    0xff171d01,
    0xff161c01,
    0xff161a00,
    0xff161a00,
    0xff171a01,
    0xff161b01,
    0xff141b00,
    0xff161901,
    0xff191b00,
    0xff1d1e00,
    0xff231f00,
    0xff261e00,
    0xff271c00,
    0xff281900,
    0xff281900,
    0xff271800,
    0xff261700,
    0xff231800,
    0xff211600,
    0xff211301,
    0xff1d1300,
    0xff171100,
    0xff0d0e00,
    0xff090a01,
    0xff030500,
    0xff010301,
    0xff020401,
    0xff000200,
    0xff010300,
    0xff020400,
    0xff030500,
    0xff060700,
    0xff070900,
    0xff060a00,
    0xff090a00,
    0xff0a0b00,
    0xff0d0b02,
    0xff090c01,
    0xff070c01,
    0xff090c01,
    0xff0a0d01,
    0xff0a0d00,
    0xff0c0d00,
    0xff0a0e00,
    0xff0b0e00,
    0xff081000,
    0xff071101,
    0xff091100,
    0xff061200,
    0xff091101,
    0xff051201,
    0xff071201,
    0xff071201,
    0xff061301,
    0xff071400,
    0xff091400,
    0xff091501,
    0xff071501,
    0xff091502,
    0xff091700,
    0xff081700,
    0xff091801,
    0xff091700,
    0xff0b1900,
    0xff0a1900,
    0xff0e1a02,
    0xff0f1c00,
    0xff111f00,
    0xff152300,
    0xff162501,
    0xff1b2604,
    0xff1e2a08,
    0xff252f08,
    0xff28320d,
    0xff2c3611,
    0xff333b17,
    0xff38401b,
    0xff3c471e,
    0xff434b24,
    0xff444d23,
    0xff474b23,
    0xff484a21,
    0xff494e21,
    0xff474e23,
    0xff484f21,
    0xff4b4e21,
    0xff4c4e21,
    0xff4a4e21,
    0xff484d1e,
    0xff464c19,
    0xff424918,
    0xff404914,
    0xff3e4613,
    0xff3d460f,
    0xff3d450f,
    0xff3c440c,
    0xff3d430c,
    0xff3b430d,
    0xff3a4109,
    0xff3c430a,
    0xff3c420a,
    0xff3b3e07,
    0xff3c4107,
    0xff3c4006,
    0xff3c3e04,
    0xff3e3c05,
    0xff3d3c04,
    0xff3f3f06,
    0xff414209,
    0xff42420c,
    0xff45440f,
    0xff454615,
    0xff474517,
    0xff4b491b,
    0xff4f5122,
    0xff515225,
    0xff515326,
    0xff4f5226,
    0xff4f5325,
    0xff515425,
    0xff515526,
    0xff505626,
    0xff4f5528,
    0xff4d5526,
    0xff4d5526,
    0xff4c5425,
    0xff4a5222,
    0xff484f1e,
    0xff484d1b,
    0xff494e17,
    0xff474e15,
    0xff484b13,
    0xff474a12,
    0xff474c10,
    0xff494c0f,
    0xff4b4c0c,
    0xff4b4c0b,
    0xff4a4c0b,
    0xff494e0c,
    0xff484808,
    0xff454404,
    0xff414102,
    0xff3d3d01,
    0xff3a3900,
    0xff363500,
    0xff353201,
    0xff303100,
    0xff2e2d00,
    0xff2c2d01,
    0xff2a2901,
    0xff262700,
    0xff252500,
    0xff222202,
    0xff1f1e00,
    0xff181c01,
    0xff181a02,
    0xff161801,
    0xff181700,
    0xff141700,
    0xff121501,
    0xff101301,
    0xff121301,
    0xff0e1400,
    0xff0d1201,
    0xff0d1201,
    0xff0a1200,
    0xff0a1601,
    0xff111b00,
    0xff141f00,
    0xff172401,
    0xff162a00,
    0xff1d3000,
    0xff1e3301,
    0xff223400,
    0xff253500,
    0xff253801,
    0xff2b3b01,
    0xff2d3d00,
    0xff314100,
    0xff324500,
    0xff394704,
    0xff394b06,
    0xff3d4e08,
    0xff3f4d07,
    0xff3a4709,
    0xff354007,
    0xff333a0b,
    0xff2f3607,
    0xff2b3207,
    0xff282e07,
    0xff252c05,
    0xff212601,
    0xff1c2200,
    0xff181d00,
    0xff131900,
    0xff0f1500,
    0xff0c1200,
    0xff051000,
    0xff030b00,
    0xff020801,
    0xff030800,
    0xff020700,
    0xff000800,
    0xff010700,
    0xff010800,
    0xff010800,
    0xff000600,
    0xff000600,
    0xff000500,
    0xff010600,
    0xff020700,
    0xff020700,
    0xff030801,
    0xff000700,
    0xff000800,
    0xff000901,
    0xff000a01,
    0xff030c00,
    0xff060f00,
    0xff041200,
    0xff0a1300,
    0xff0e1700,
    0xff111b01,
    0xff141e00,
    0xff162000,
    0xff162400,
    0xff192600,
    0xff1a2901,
    0xff1e2a02,
    0xff1e2e05,
    0xff203108,
    0xff21310a,
    0xff20310a,
    0xff1f2f08,
    0xff1c2e08,
    0xff192a05,
    0xff162501,
    0xff122201,
    0xff0f1f00,
    0xff0e1d00,
    0xff0c1a00,
    0xff0c1800,
    0xff071600,
    0xff081702,
    0xff051600,
    0xff081501,
    0xff061300,
    0xff051100,
    0xff041200,
    0xff071201,
    0xff041200,
    0xff051300,
    0xff031200,
    0xff061000,
    0xff051000,
    0xff051000,
    0xff030e00,
    0xff050c00,
    0xff040b01,
    0xff050a02,
    0xff040901,
    0xff050801,
    0xff050901,
    0xff020700,
    0xff030701,
    0xff020500,
    0xff030500,
    0xff000400,
    0xff010600,
    0xff000501,
    0xff010501,
    0xff010500,
    0xff000600,
    0xff030400,
    0xff030600,
    0xff000700,
    0xff010700,
    0xff040701,
    0xff060c01,
    0xff091001,
    0xff071101,
    0xff051200,
    0xff0b1100,
    0xff0b1500,
    0xff0d1800,
    0xff101901,
    0xff151c01,
    0xff141f00,
    0xff162000,
    0xff182100,
    0xff182200,
    0xff182300,
    0xff192200,
    0xff192000,
    0xff182100,
    0xff1a2100,
    0xff181f00,
    0xff191e00,
    0xff182000,
    0xff171d00,
    0xff171d01,
    0xff171c00,
    0xff161b00,
    0xff171b00,
    0xff161c01,
    0xff151a00,
    0xff151a00,
    0xff161902,
    0xff1a1c01,
    0xff1f1e00,
    0xff232000,
    0xff272000,
    0xff272000,
    0xff281d00,
    0xff261c01,
    0xff271900,
    0xff241700,
    0xff241800,
    0xff211501,
    0xff201300,
    0xff1c1300,
    0xff171200,
    0xff0e0d00,
    0xff070a00,
    0xff030600,
    0xff000300,
    0xff000300,
    0xff000300,
    0xff000400,
    0xff030400,
    0xff050801,
    0xff080901,
    0xff0a0c00,
    0xff0c0c00,
    0xff0f0c00,
    0xff0c0b00,
    0xff0b0a00,
    0xff0e0a00,
    0xff0b0a00,
    0xff0a0b00,
    0xff080b00,
    0xff090b00,
    0xff080b00,
    0xff0a0d01,
    0xff090d00,
    0xff080c00,
    0xff060f00,
    0xff070f00,
    0xff050f00,
    0xff081000,
    0xff041100,
    0xff041200,
    0xff061100,
    0xff061200,
    0xff071300,
    0xff051300,
    0xff091401,
    0xff071500,
    0xff081501,
    0xff071500,
    0xff081600,
    0xff081600,
    0xff091701,
    0xff091700,
    0xff0a1800,
    0xff0e1900,
    0xff101c01,
    0xff141e00,
    0xff152200,
    0xff162502,
    0xff1e2805,
    0xff1f2b07,
    0xff262e0a,
    0xff2d330f,
    0xff2f3710,
    0xff343c16,
    0xff39411c,
    0xff3c451d,
    0xff424a22,
    0xff454b23,
    0xff494b21,
    0xff494d23,
    0xff4c4c1f,
    0xff4c4e23,
    0xff4c5023,
    0xff4b5124,
    0xff4e5022,
    0xff4b4f21,
    0xff4c4f1d,
    0xff484d19,
    0xff464b19,
    0xff424b17,
    0xff414a13,
    0xff3f4811,
    0xff3e4812,
    0xff40470d,
    0xff3e4611,
    0xff3d440e,
    0xff3c440b,
    0xff3b450a,
    0xff3d440c,
    0xff3d430b,
    0xff3d440b,
    0xff3e450d,
    0xff3e410a,
    0xff3e3e06,
    0xff403e06,
    0xff42400a,
    0xff42420b,
    0xff42430e,
    0xff464510,
    0xff464516,
    0xff49481a,
    0xff4c4d1e,
    0xff515324,
    0xff545425,
    0xff515524,
    0xff505326,
    0xff515725,
    0xff525624,
    0xff525825,
    0xff505725,
    0xff4e5626,
    0xff4e5624,
    0xff4f5625,
    0xff4d5424,
    0xff4c5423,
    0xff4b5321,
    0xff4c531e,
    0xff4e5219,
    0xff4b5316,
    0xff4b5016,
    0xff4a4f11,
    0xff4d5011,
    0xff4d510f,
    0xff4c510f,
    0xff4b500d,
    0xff4c4e0d,
    0xff494f0c,
    0xff494a09,
    0xff444806,
    0xff414204,
    0xff3d3e02,
    0xff3b3a01,
    0xff373600,
    0xff353301,
    0xff313200,
    0xff2f2e00,
    0xff2a2c01,
    0xff2a2900,
    0xff262700,
    0xff252600,
    0xff212301,
    0xff1e1e00,
    0xff191d00,
    0xff171b00,
    0xff161802,
    0xff171700,
    0xff141701,
    0xff111400,
    0xff111300,
    0xff111301,
    0xff101501,
    0xff0e1400,
    0xff0a1200,
    0xff091300,
    0xff091501,
    0xff0f1900,
    0xff152000,
    0xff172501,
    0xff182900,
    0xff1e2f00,
    0xff1f3301,
    0xff223401,
    0xff243600,
    0xff253600,
    0xff2a3b01,
    0xff2c3d00,
    0xff2f3f00,
    0xff324400,
    0xff374703,
    0xff384905,
    0xff3a4d06,
    0xff3e4d08,
    0xff384807,
    0xff344008,
    0xff323a0b,
    0xff2e3707,
    0xff2b3206,
    0xff272c06,
    0xff242904,
    0xff212801,
    0xff1b2200,
    0xff191f01,
    0xff141a01,
    0xff111600,
    0xff0c1302,
    0xff060f00,
    0xff030c00,
    0xff020800,
    0xff030800,
    0xff010900,
    0xff000900,
    0xff020701,
    0xff000800,
    0xff010901,
    0xff020901,
    0xff020600,
    0xff010600,
    0xff020700,
    0xff020600,
    0xff030801,
    0xff030801,
    0xff000700,
    0xff000900,
    0xff000a01,
    0xff000a00,
    0xff030d00,
    0xff050f00,
    0xff061101,
    0xff081401,
    0xff0e1700,
    0xff141c01,
    0xff151e00,
    0xff162200,
    0xff182501,
    0xff1b2701,
    0xff1d2901,
    0xff1f2e04,
    0xff1e3006,
    0xff233109,
    0xff23310c,
    0xff21310c,
    0xff20300b,
    0xff1e2f09,
    0xff1b2c07,
    0xff182803,
    0xff152401,
    0xff112200,
    0xff0f1d00,
    0xff0d1b01,
    0xff0d1a00,
    0xff091900,
    0xff071601,
    0xff061600,
    0xff081400,
    0xff041501,
    0xff061301,
    0xff051200,
    0xff061100,
    0xff051300,
    0xff051201,
    0xff021200,
    0xff071100,
    0xff061000,
    0xff051000,
    0xff030f00,
    0xff050d00,
    0xff060b00,
    0xff070d00,
    0xff050b00,
    0xff060901,
    0xff020b00,
    0xff060802,
    0xff040800,
    0xff040701,
    0xff030400,
    0xff030500,
    0xff000500,
    0xff000500,
    0xff010500,
    0xff020500,
    0xff000600,
    0xff040500,
    0xff010701,
    0xff020701,
    0xff020800,
    0xff040701,
    0xff040b00,
    0xff060f00,
    0xff071201,
    0xff0a1200,
    0xff0b1100,
    0xff0a1201,
    0xff0b1500,
    0xff0f1700,
    0xff141a01,
    0xff131d00,
    0xff151f01,
    0xff182100,
    0xff172100,
    0xff182200,
    0xff1a2000,
    0xff192000,
    0xff191f00,
    0xff192001,
    0xff181f01,
    0xff1a1f01,
    0xff171f00,
    0xff171e01,
    0xff171d01,
    0xff161c00,
    0xff161d01,
    0xff171b00,
    0xff181a00,
    0xff161b01,
    0xff161a01,
    0xff171a00,
    0xff1b1c01,
    0xff1e1d00,
    0xff242000,
    0xff282200,
    0xff2b2100,
    0xff2b1f00,
    0xff281e01,
    0xff2a1900,
    0xff291a00,
    0xff241700,
    0xff231601,
    0xff1f1201,
    0xff1c1500,
    0xff191200,
    0xff100e00,
    0xff080a00,
    0xff010600,
    0xff000401,
    0xff010401,
    0xff000501,
    0xff000600,
    0xff040700,
    0xff080b00,
    0xff0a0e00,
    0xff0f0e01,
    0xff100e00,
    0xff100e00,
    0xff0f0e00,
    0xff0d0c00,
    0xff0e0b00,
    0xff0b0b00,
    0xff0c0900,
    0xff070a01,
    0xff070800,
    0xff070900,
    0xff060a00,
    0xff070b00,
    0xff080b00,
    0xff050c00,
    0xff080c00,
    0xff050f00,
    0xff060d00,
    0xff060e00,
    0xff050f00,
    0xff051000,
    0xff061000,
    0xff051200,
    0xff041301,
    0xff071201,
    0xff081300,
    0xff071401,
    0xff051400,
    0xff081501,
    0xff081501,
    0xff071501,
    0xff091700,
    0xff081701,
    0xff0f1800,
    0xff111a01,
    0xff121e00,
    0xff162201,
    0xff1c2402,
    0xff202703,
    0xff222a08,
    0xff292e0a,
    0xff2f3210,
    0xff313812,
    0xff353d17,
    0xff3a411d,
    0xff3e461e,
    0xff434b21,
    0xff494b25,
    0xff4a4b21,
    0xff4a4c21,
    0xff4e5023,
    0xff4d4f23,
    0xff4c4f22,
    0xff4d5225,
    0xff4f5223,
    0xff4e5220,
    0xff4c511e,
    0xff4d501b,
    0xff484e19,
    0xff454c18,
    0xff424c16,
    0xff434b14,
    0xff414a14,
    0xff404b12,
    0xff404911,
    0xff3e4710,
    0xff3c460c,
    0xff3d440d,
    0xff3d450d,
    0xff3d450f,
    0xff3d470e,
    0xff3e4512,
    0xff3e430d,
    0xff404108,
    0xff404109,
    0xff41420d,
    0xff44420f,
    0xff44450e,
    0xff454610,
    0xff484815,
    0xff4d4e18,
    0xff4f5123,
    0xff535527,
    0xff555627,
    0xff555725,
    0xff535725,
    0xff535624,
    0xff545a25,
    0xff535b24,
    0xff525b25,
    0xff4f5b24,
    0xff4f5a26,
    0xff4f5a25,
    0xff4f5a25,
    0xff4e5922,
    0xff505720,
    0xff50581e,
    0xff52571b,
    0xff4f5718,
    0xff505516,
    0xff4f5312,
    0xff4e5412,
    0xff4e5410,
    0xff4e520f,
    0xff4d510e,
    0xff4e500d,
    0xff4b4e0b,
    0xff4b4b09,
    0xff454806,
    0xff404403,
    0xff3e3f00,
    0xff393c01,
    0xff383800,
    0xff353400,
    0xff343300,
    0xff313100,
    0xff2c2e01,
    0xff282900,
    0xff272800,
    0xff242500,
    0xff1e2401,
    0xff1d1f00,
    0xff191c01,
    0xff171901,
    0xff161801,
    0xff141601,
    0xff121601,
    0xff121502,
    0xff101300,
    0xff101301,
    0xff111300,
    0xff0d1301,
    0xff0a1301,
    0xff0b1401,
    0xff0c1502,
    0xff0f1800,
    0xff142000,
    0xff172500,
    0xff192800,
    0xff1f2f00,
    0xff213300,
    0xff213400,
    0xff243500,
    0xff263700,
    0xff293a01,
    0xff2d3d00,
    0xff2e3e00,
    0xff304301,
    0xff374600,
    0xff374703,
    0xff3a4c06,
    0xff3c4d07,
    0xff374807,
    0xff343f07,
    0xff323809,
    0xff2f3608,
    0xff293105,
    0xff272c06,
    0xff242703,
    0xff202700,
    0xff1c2401,
    0xff191f00,
    0xff121901,
    0xff111500,
    0xff0b1301,
    0xff050f00,
    0xff030e00,
    0xff050b01,
    0xff050c00,
    0xff030c00,
    0xff020b00,
    0xff030a00,
    0xff010a01,
    0xff010801,
    0xff010800,
    0xff030800,
    0xff020701,
    0xff010800,
    0xff020901,
    0xff020701,
    0xff030701,
    0xff000600,
    0xff000800,
    0xff000a01,
    0xff000a01,
    0xff030d00,
    0xff070e00,
    0xff071201,
    0xff0a1501,
    0xff0f1900,
    0xff151c01,
    0xff151f00,
    0xff162300,
    0xff1a2701,
    0xff1c2801,
    0xff1c2b01,
    0xff212e06,
    0xff223108,
    0xff23330b,
    0xff23320b,
    0xff22320c,
    0xff20300b,
    0xff1f310b,
    0xff1d2f09,
    0xff182a05,
    0xff172701,
    0xff132200,
    0xff101e00,
    0xff0f1c02,
    0xff0e1c02,
    0xff081800,
    0xff081701,
    0xff071600,
    0xff071601,
    0xff041400,
    0xff051300,
    0xff051301,
    0xff061101,
    0xff051301,
    0xff061301,
    0xff041200,
    0xff061200,
    0xff051100,
    0xff061101,
    0xff040f00,
    0xff050f00,
    0xff060e00,
    0xff060d00,
    0xff050c01,
    0xff040b01,
    0xff020a00,
    0xff060801,
    0xff060902,
    0xff030600,
    0xff020600,
    0xff020500,
    0xff010600,
    0xff000500,
    0xff010500,
    0xff020500,
    0xff010600,
    0xff020600,
    0xff020800,
    0xff020600,
    0xff030801,
    0xff020901,
    0xff050900,
    0xff060d00,
    0xff071000,
    0xff0b0f01,
    0xff081101,
    0xff0b1200,
    0xff0a1400,
    0xff0b1501,
    0xff0d1800,
    0xff121b00,
    0xff151d00,
    0xff151e00,
    0xff161f00,
    0xff172001,
    0xff191f00,
    0xff192000,
    0xff192000,
    0xff171e00,
    0xff182000,
    0xff191e00,
    0xff161d00,
    0xff171d01,
    0xff181d01,
    0xff161b00,
    0xff171b00,
    0xff171b01,
    0xff181b00,
    0xff171c01,
    0xff171a01,
    0xff171b00,
    0xff1a1a00,
    0xff1e1e00,
    0xff242001,
    0xff272000,
    0xff292300,
    0xff2b2300,
    0xff2a2000,
    0xff291d01,
    0xff281b00,
    0xff261900,
    0xff231600,
    0xff201400,
    0xff1d1400,
    0xff191200,
    0xff0f0f00,
    0xff090b00,
    0xff010600,
    0xff020401,
    0xff010301,
    0xff000600,
    0xff020800,
    0xff070a00,
    0xff0a0d00,
    0xff0e0f00,
    0xff0f0f00,
    0xff121000,
    0xff120f00,
    0xff120f00,
    0xff100d00,
    0xff100d00,
    0xff100c00,
    0xff0d0b00,
    0xff090900,
    0xff070800,
    0xff060701,
    0xff070800,
    0xff060901,
    0xff060901,
    0xff050b00,
    0xff060a00,
    0xff050a00,
    0xff040c00,
    0xff050c00,
    0xff030e00,
    0xff060e00,
    0xff060f00,
    0xff051100,
    0xff061101,
    0xff041201,
    0xff041300,
    0xff071201,
    0xff051200,
    0xff061300,
    0xff081401,
    0xff061602,
    0xff081500,
    0xff081701,
    0xff0b1700,
    0xff101901,
    0xff111e00,
    0xff151f00,
    0xff1b2300,
    0xff202703,
    0xff252908,
    0xff292d0a,
    0xff303210,
    0xff333815,
    0xff383d19,
    0xff3c431e,
    0xff414720,
    0xff454a21,
    0xff4a4b21,
    0xff4b4c1e,
    0xff4f4d21,
    0xff505123,
    0xff515124,
    0xff4e5023,
    0xff4d5223,
    0xff505422,
    0xff505421,
    0xff4e5320,
    0xff4c521b,
    0xff4a4f19,
    0xff474e18,
    0xff454d17,
    0xff454c16,
    0xff444b15,
    0xff434a16,
    0xff404b13,
    0xff404812,
    0xff3f490d,
    0xff3e450f,
    0xff3f460e,
    0xff3f460f,
    0xff3f4811,
    0xff3e4611,
    0xff404411,
    0xff42430c,
    0xff43420c,
    0xff45430e,
    0xff43440f,
    0xff454610,
    0xff474814,
    0xff4d4c17,
    0xff51511e,
    0xff535423,
    0xff535626,
    0xff545726,
    0xff545725,
    0xff555927,
    0xff575c23,
    0xff535b25,
    0xff545e26,
    0xff545d24,
    0xff525d22,
    0xff515d24,
    0xff555d24,
    0xff545e24,
    0xff515d22,
    0xff535e21,
    0xff535d1e,
    0xff545d1c,
    0xff545d19,
    0xff535a16,
    0xff525911,
    0xff545712,
    0xff505611,
    0xff4f550f,
    0xff4f540c,
    0xff4e510c,
    0xff4d500a,
    0xff4b4d09,
    0xff474a07,
    0xff434604,
    0xff3e4003,
    0xff3a3d00,
    0xff393a00,
    0xff363500,
    0xff343301,
    0xff313100,
    0xff2c2f00,
    0xff2a2c01,
    0xff262700,
    0xff232500,
    0xff1e2301,
    0xff1a1d00,
    0xff171b00,
    0xff181800,
    0xff141601,
    0xff131700,
    0xff121500,
    0xff101300,
    0xff101301,
    0xff0f1401,
    0xff0b1500,
    0xff0c1402,
    0xff0a1200,
    0xff0b1301,
    0xff091300,
    0xff0e1900,
    0xff111f00,
    0xff172300,
    0xff182800,
    0xff1c2d00,
    0xff203100,
    0xff203400,
    0xff223400,
    0xff263601,
    0xff283900,
    0xff2b3b01,
    0xff2f3f00,
    0xff304101,
    0xff344400,
    0xff374801,
    0xff394a04,
    0xff394c04,
    0xff364605,
    0xff323e05,
    0xff2f3905,
    0xff2c3405,
    0xff283103,
    0xff252c03,
    0xff222701,
    0xff1f2700,
    0xff1b2301,
    0xff191e00,
    0xff131801,
    0xff121701,
    0xff091400,
    0xff071201,
    0xff050e00,
    0xff060d00,
    0xff040d00,
    0xff050d00,
    0xff050b00,
    0xff020c00,
    0xff030a00,
    0xff030b01,
    0xff030a00,
    0xff030b00,
    0xff050900,
    0xff020901,
    0xff020700,
    0xff040700,
    0xff020800,
    0xff000600,
    0xff000700,
    0xff000900,
    0xff000c02,
    0xff040d00,
    0xff050f01,
    0xff081101,
    0xff0b1500,
    0xff111901,
    0xff141e00,
    0xff162100,
    0xff172500,
    0xff192700,
    0xff1e2b01,
    0xff1c2d01,
    0xff213007,
    0xff24330a,
    0xff223209,
    0xff23320d,
    0xff22310e,
    0xff20330c,
    0xff1f300c,
    0xff1d2e0a,
    0xff1b2b07,
    0xff182802,
    0xff142500,
    0xff101f00,
    0xff0e1e01,
    0xff0b1b00,
    0xff0a1a00,
    0xff071600,
    0xff071701,
    0xff061501,
    0xff061302,
    0xff061302,
    0xff061301,
    0xff081301,
    0xff041200,
    0xff051301,
    0xff051200,
    0xff051200,
    0xff061200,
    0xff061101,
    0xff051001,
    0xff051000,
    0xff070f00,
    0xff060d00,
    0xff050c00,
    0xff030c00,
    0xff040b01,
    0xff070900,
    0xff060901,
    0xff040801,
    0xff010600,
    0xff020701,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010700,
    0xff020901,
    0xff030700,
    0xff030800,
    0xff000800,
    0xff020902,
    0xff050b01,
    0xff050e00,
    0xff061000,
    0xff081101,
    0xff091201,
    0xff0a1300,
    0xff0b1400,
    0xff0d1600,
    0xff0c1800,
    0xff111a01,
    0xff151d00,
    0xff151e00,
    0xff172000,
    0xff181f00,
    0xff181f00,
    0xff181f00,
    0xff171f00,
    0xff171e00,
    0xff191d00,
    0xff161d01,
    0xff171b00,
    0xff171b00,
    0xff171b00,
    0xff161b00,
    0xff161a02,
    0xff171b01,
    0xff161b00,
    0xff171a00,
    0xff171c00,
    0xff1a1c00,
    0xff1f1e00,
    0xff251e00,
    0xff272100,
    0xff282400,
    0xff2d2501,
    0xff2a2400,
    0xff2c2000,
    0xff2b1c01,
    0xff281a00,
    0xff241700,
    0xff211700,
    0xff1f1501,
    0xff1b1401,
    0xff0f1000,
    0xff0a0c00,
    0xff010900,
    0xff000500,
    0xff000501,
    0xff010700,
    0xff050b00,
    0xff090e01,
    0xff0d0e01,
    0xff111000,
    0xff131200,
    0xff151200,
    0xff151200,
    0xff141100,
    0xff121000,
    0xff131000,
    0xff0f0f00,
    0xff100c00,
    0xff090a00,
    0xff070900,
    0xff050601,
    0xff050600,
    0xff040701,
    0xff050801,
    0xff050801,
    0xff050801,
    0xff060801,
    0xff050700,
    0xff040a01,
    0xff020b00,
    0xff040c01,
    0xff060d00,
    0xff040e00,
    0xff051000,
    0xff041100,
    0xff041100,
    0xff061000,
    0xff051200,
    0xff041200,
    0xff061301,
    0xff061201,
    0xff081400,
    0xff081500,
    0xff0b1601,
    0xff0d1901,
    0xff111d01,
    0xff171e00,
    0xff191f00,
    0xff1e2402,
    0xff252706,
    0xff2a2e0b,
    0xff313110,
    0xff343716,
    0xff3a3e1c,
    0xff3b441e,
    0xff424920,
    0xff474b20,
    0xff4b4b21,
    0xff4e4d20,
    0xff4f5021,
    0xff515123,
    0xff535122,
    0xff525322,
    0xff505523,
    0xff515423,
    0xff505520,
    0xff505321,
    0xff4c521e,
    0xff4c4f1b,
    0xff4a5019,
    0xff484f16,
    0xff474e19,
    0xff474d17,
    0xff444c18,
    0xff424c16,
    0xff404912,
    0xff3f490e,
    0xff3e4811,
    0xff3e460f,
    0xff414811,
    0xff3f4a12,
    0xff414712,
    0xff3f4312,
    0xff44430d,
    0xff43440d,
    0xff44450e,
    0xff46460e,
    0xff454813,
    0xff4c4c17,
    0xff51511d,
    0xff505422,
    0xff545524,
    0xff555826,
    0xff555a26,
    0xff565a28,
    0xff565d27,
    0xff555e26,
    0xff576124,
    0xff566125,
    0xff546023,
    0xff566125,
    0xff526023,
    0xff566123,
    0xff566223,
    0xff546122,
    0xff556221,
    0xff56601e,
    0xff58611b,
    0xff566118,
    0xff546016,
    0xff545d11,
    0xff515b0e,
    0xff515910,
    0xff50570f,
    0xff4f550d,
    0xff50530a,
    0xff4e510a,
    0xff4b4f06,
    0xff494c05,
    0xff444905,
    0xff3d4401,
    0xff3c3d00,
    0xff383a00,
    0xff363700,
    0xff343301,
    0xff313200,
    0xff2d2f00,
    0xff2a2b01,
    0xff282901,
    0xff212600,
    0xff1e2100,
    0xff191c00,
    0xff161a01,
    0xff161700,
    0xff131701,
    0xff121500,
    0xff111400,
    0xff111300,
    0xff0f1601,
    0xff0c1500,
    0xff0a1300,
    0xff0b1401,
    0xff091501,
    0xff0a1400,
    0xff0b1401,
    0xff101800,
    0xff121e00,
    0xff172100,
    0xff162800,
    0xff1b2b00,
    0xff203002,
    0xff1f3400,
    0xff213400,
    0xff243600,
    0xff263701,
    0xff283a01,
    0xff2e3c00,
    0xff2f4101,
    0xff314200,
    0xff344500,
    0xff374701,
    0xff344a01,
    0xff344200,
    0xff303b01,
    0xff2c3602,
    0xff2a3302,
    0xff263002,
    0xff242901,
    0xff202800,
    0xff1c2400,
    0xff1a2100,
    0xff181c00,
    0xff151a01,
    0xff101601,
    0xff0b1301,
    0xff081201,
    0xff060e00,
    0xff050f01,
    0xff050e01,
    0xff060d00,
    0xff070c01,
    0xff040d00,
    0xff050b01,
    0xff030c01,
    0xff050c02,
    0xff030c00,
    0xff070a00,
    0xff000c00,
    0xff040901,
    0xff060801,
    0xff020901,
    0xff000601,
    0xff000800,
    0xff010801,
    0xff000a01,
    0xff040d00,
    0xff041100,
    0xff0a1200,
    0xff0c1601,
    0xff101900,
    0xff121f00,
    0xff162000,
    0xff172601,
    0xff1c2901,
    0xff202d01,
    0xff1e2f05,
    0xff213208,
    0xff253409,
    0xff23330d,
    0xff22320e,
    0xff23330e,
    0xff22320e,
    0xff21320e,
    0xff1e300b,
    0xff1b2e09,
    0xff172804,
    0xff152400,
    0xff112001,
    0xff0e1e01,
    0xff0c1a01,
    0xff0b1900,
    0xff091700,
    0xff071501,
    0xff041600,
    0xff081500,
    0xff051402,
    0xff061301,
    0xff071201,
    0xff061201,
    0xff061301,
    0xff061100,
    0xff051200,
    0xff051200,
    0xff051100,
    0xff061100,
    0xff031000,
    0xff070e00,
    0xff040d00,
    0xff060e00,
    0xff050b01,
    0xff030b00,
    0xff050c01,
    0xff060901,
    0xff040700,
    0xff030801,
    0xff020700,
    0xff000500,
    0xff000500,
    0xff020600,
    0xff020600,
    0xff010600,
    0xff020600,
    0xff000700,
    0xff010700,
    0xff050700,
    0xff020701,
    0xff060801,
    0xff040902,
    0xff040c00,
    0xff070c00,
    0xff090e00,
    0xff091201,
    0xff0b1202,
    0xff081301,
    0xff0b1500,
    0xff091600,
    0xff0e1700,
    0xff121901,
    0xff131c00,
    0xff151e00,
    0xff171d00,
    0xff181e01,
    0xff161d00,
    0xff181e01,
    0xff181e01,
    0xff171d00,
    0xff171b02,
    0xff171b00,
    0xff161b00,
    0xff181b00,
    0xff161b00,
    0xff161a00,
    0xff181c01,
    0xff171a00,
    0xff171a01,
    0xff171901,
    0xff1b1b00,
    0xff1e1e00,
    0xff252000,
    0xff272400,
    0xff2d2400,
    0xff2b2601,
    0xff2b2700,
    0xff2f2300,
    0xff2a2200,
    0xff291e00,
    0xff271c00,
    0xff251a00,
    0xff201900,
    0xff1d1700,
    0xff171500,
    0xff0d1000,
    0xff050e00,
    0xff030a01,
    0xff010600,
    0xff040c01,
    0xff0a0e00,
    0xff0c1100,
    0xff111201,
    0xff161400,
    0xff171500,
    0xff181600,
    0xff181601,
    0xff171400,
    0xff161300,
    0xff161300,
    0xff141000,
    0xff0e0d00,
    0xff0c0a01,
    0xff070800,
    0xff050601,
    0xff040501,
    0xff030500,
    0xff030500,
    0xff030500,
    0xff050601,
    0xff010700,
    0xff020800,
    0xff020700,
    0xff030701,
    0xff030901,
    0xff040b00,
    0xff030c00,
    0xff040d00,
    0xff050d01,
    0xff040e00,
    0xff051000,
    0xff041000,
    0xff051100,
    0xff061100,
    0xff061000,
    0xff051201,
    0xff071301,
    0xff0a1500,
    0xff0e1700,
    0xff141b01,
    0xff181d00,
    0xff1a1e00,
    0xff1f2301,
    0xff242708,
    0xff282d09,
    0xff31330d,
    0xff363815,
    0xff3b3d1b,
    0xff3d431c,
    0xff43491f,
    0xff4a491e,
    0xff4e4c1f,
    0xff514e20,
    0xff504f22,
    0xff535022,
    0xff565322,
    0xff555323,
    0xff525624,
    0xff515522,
    0xff505821,
    0xff50541f,
    0xff4e541c,
    0xff4c521a,
    0xff495117,
    0xff4a5115,
    0xff495118,
    0xff464e16,
    0xff424d18,
    0xff444d16,
    0xff424a11,
    0xff414a11,
    0xff404810,
    0xff3f4712,
    0xff414812,
    0xff3f4a12,
    0xff414712,
    0xff414311,
    0xff414510,
    0xff45450c,
    0xff44440e,
    0xff474712,
    0xff4a4a15,
    0xff504f18,
    0xff53521f,
    0xff545623,
    0xff575a26,
    0xff585d25,
    0xff5a5c25,
    0xff585e25,
    0xff596025,
    0xff5a6225,
    0xff596224,
    0xff596224,
    0xff576223,
    0xff586323,
    0xff576421,
    0xff586421,
    0xff5a6521,
    0xff5a6422,
    0xff5c6420,
    0xff5a6520,
    0xff5e651b,
    0xff5c6517,
    0xff5c6417,
    0xff586113,
    0xff545f10,
    0xff525c0d,
    0xff52580c,
    0xff4f570b,
    0xff515709,
    0xff515409,
    0xff4d5309,
    0xff4c5005,
    0xff464a08,
    0xff404405,
    0xff3e3f01,
    0xff383a00,
    0xff373600,
    0xff343401,
    0xff323100,
    0xff2c2f01,
    0xff2a2d02,
    0xff252801,
    0xff202600,
    0xff1c2101,
    0xff191b01,
    0xff141900,
    0xff151801,
    0xff121400,
    0xff0e1300,
    0xff0f1400,
    0xff0d1501,
    0xff0a1300,
    0xff0a1301,
    0xff0a1300,
    0xff0b1300,
    0xff0a1401,
    0xff091300,
    0xff091401,
    0xff0c1600,
    0xff121c00,
    0xff152301,
    0xff162600,
    0xff1a2b00,
    0xff1f2f00,
    0xff1e3100,
    0xff203300,
    0xff213600,
    0xff233600,
    0xff253901,
    0xff293b00,
    0xff2d3e00,
    0xff2f4000,
    0xff314101,
    0xff2f4300,
    0xff2e4200,
    0xff2f3e01,
    0xff273700,
    0xff273200,
    0xff263000,
    0xff252e01,
    0xff202800,
    0xff1e2600,
    0xff1a2100,
    0xff171d00,
    0xff151b01,
    0xff121700,
    0xff0a1600,
    0xff0a1100,
    0xff081201,
    0xff090f01,
    0xff041000,
    0xff050e00,
    0xff070c01,
    0xff050e00,
    0xff050c00,
    0xff060c00,
    0xff060d01,
    0xff050c00,
    0xff030d00,
    0xff070b00,
    0xff040c01,
    0xff050a00,
    0xff020b01,
    0xff030b01,
    0xff000601,
    0xff000800,
    0xff000800,
    0xff000a02,
    0xff010e00,
    0xff041100,
    0xff0a1200,
    0xff0d1601,
    0xff0e1b00,
    0xff151e00,
    0xff172101,
    0xff182501,
    0xff1a2901,
    0xff1e2d02,
    0xff202f06,
    0xff233209,
    0xff263309,
    0xff24340c,
    0xff23330c,
    0xff23330e,
    0xff23330f,
    0xff21320e,
    0xff1f300c,
    0xff1b2d09,
    0xff182a04,
    0xff152601,
    0xff112001,
    0xff0f1d00,
    0xff0c1b00,
    0xff0c1800,
    0xff091700,
    0xff091502,
    0xff061600,
    0xff051401,
    0xff051502,
    0xff071502,
    0xff081301,
    0xff061401,
    0xff071201,
    0xff081201,
    0xff051200,
    0xff051200,
    0xff051200,
    0xff061000,
    0xff041000,
    0xff070e00,
    0xff050e00,
    0xff040d00,
    0xff060d02,
    0xff070b02,
    0xff050a00,
    0xff030901,
    0xff030801,
    0xff030801,
    0xff010600,
    0xff020500,
    0xff010600,
    0xff020701,
    0xff010701,
    0xff020701,
    0xff020700,
    0xff010600,
    0xff020700,
    0xff000800,
    0xff010800,
    0xff030801,
    0xff030900,
    0xff050900,
    0xff050b01,
    0xff060d00,
    0xff070f00,
    0xff091000,
    0xff071200,
    0xff091300,
    0xff091501,
    0xff0d1500,
    0xff0f1700,
    0xff111901,
    0xff131b01,
    0xff151b00,
    0xff161c01,
    0xff171d01,
    0xff161c00,
    0xff171d01,
    0xff161c00,
    0xff161a02,
    0xff171b00,
    0xff161b00,
    0xff191a00,
    0xff161a00,
    0xff171b00,
    0xff161b00,
    0xff181b00,
    0xff171901,
    0xff171902,
    0xff1b1a00,
    0xff211d00,
    0xff252001,
    0xff272400,
    0xff302501,
    0xff2f2700,
    0xff302700,
    0xff2d2700,
    0xff2d2500,
    0xff2d2201,
    0xff2b2001,
    0xff281e01,
    0xff231c00,
    0xff201b00,
    0xff1a1a00,
    0xff121601,
    0xff0b1400,
    0xff060e00,
    0xff070e01,
    0xff0d1200,
    0xff121301,
    0xff151600,
    0xff171701,
    0xff181900,
    0xff1b1904,
    0xff1d1703,
    0xff1d1804,
    0xff1c1703,
    0xff191400,
    0xff161500,
    0xff151200,
    0xff111000,
    0xff0f0c01,
    0xff090a00,
    0xff060601,
    0xff030400,
    0xff040400,
    0xff020300,
    0xff010400,
    0xff030500,
    0xff000700,
    0xff010600,
    0xff020600,
    0xff020600,
    0xff020700,
    0xff020900,
    0xff010b01,
    0xff020c01,
    0xff030b00,
    0xff050c00,
    0xff030e00,
    0xff030e00,
    0xff030d00,
    0xff040f00,
    0xff041000,
    0xff051100,
    0xff081201,
    0xff091501,
    0xff0f1701,
    0xff141b02,
    0xff181c00,
    0xff1a1d00,
    0xff1e2200,
    0xff222506,
    0xff272b08,
    0xff31320d,
    0xff363714,
    0xff3a3e1a,
    0xff41451d,
    0xff47481d,
    0xff4a491d,
    0xff4f4c1f,
    0xff524f22,
    0xff535022,
    0xff545323,
    0xff565421,
    0xff565523,
    0xff535623,
    0xff525622,
    0xff525720,
    0xff50551f,
    0xff4f531d,
    0xff4c5419,
    0xff4a5217,
    0xff485015,
    0xff4a5217,
    0xff464e16,
    0xff444d18,
    0xff444d14,
    0xff414d12,
    0xff3e490f,
    0xff404910,
    0xff404812,
    0xff404b11,
    0xff404912,
    0xff404710,
    0xff424311,
    0xff404410,
    0xff45440e,
    0xff45440e,
    0xff474812,
    0xff4e4d16,
    0xff52531e,
    0xff52521f,
    0xff555a22,
    0xff5c5c25,
    0xff5b5e24,
    0xff5e5f26,
    0xff5b5f25,
    0xff5d6325,
    0xff5c6423,
    0xff5a6423,
    0xff5b6522,
    0xff596520,
    0xff5b6621,
    0xff5c6823,
    0xff5c6820,
    0xff5d6820,
    0xff5e691e,
    0xff5f681e,
    0xff5e691d,
    0xff60691b,
    0xff606819,
    0xff5d6616,
    0xff5d6311,
    0xff546011,
    0xff545e0e,
    0xff535c0c,
    0xff525b0c,
    0xff515a0c,
    0xff51580a,
    0xff51570b,
    0xff4c5208,
    0xff474d07,
    0xff424604,
    0xff3c3f01,
    0xff383b00,
    0xff353700,
    0xff313500,
    0xff313200,
    0xff2d2f00,
    0xff2a2d01,
    0xff252700,
    0xff1f2501,
    0xff1a2000,
    0xff181900,
    0xff141701,
    0xff121501,
    0xff0d1100,
    0xff0e1200,
    0xff0c1100,
    0xff0a1300,
    0xff091300,
    0xff0b1401,
    0xff0a1300,
    0xff0b1401,
    0xff0b1301,
    0xff0b1401,
    0xff0a1400,
    0xff0f1700,
    0xff121b00,
    0xff122100,
    0xff162500,
    0xff172900,
    0xff1e2d01,
    0xff1d2f00,
    0xff1e3100,
    0xff1f3400,
    0xff213600,
    0xff233700,
    0xff263a00,
    0xff293b00,
    0xff2d3d00,
    0xff2f3d01,
    0xff2d3f01,
    0xff2b3e00,
    0xff2a3801,
    0xff243300,
    0xff222e00,
    0xff1f2c01,
    0xff1c2900,
    0xff1a2501,
    0xff162100,
    0xff151e00,
    0xff151b01,
    0xff141801,
    0xff111701,
    0xff081401,
    0xff0a1101,
    0xff081000,
    0xff070f01,
    0xff050f00,
    0xff060d00,
    0xff060e01,
    0xff060e00,
    0xff060c01,
    0xff030f00,
    0xff050d01,
    0xff050c00,
    0xff070d01,
    0xff040c00,
    0xff050d02,
    0xff050b01,
    0xff060b01,
    0xff030b01,
    0xff000700,
    0xff020701,
    0xff000800,
    0xff020c02,
    0xff040d01,
    0xff041000,
    0xff071301,
    0xff0c1801,
    0xff0e1b00,
    0xff151d00,
    0xff152301,
    0xff192600,
    0xff1d2a00,
    0xff1f2c04,
    0xff202f06,
    0xff223208,
    0xff25320a,
    0xff25340f,
    0xff23340e,
    0xff24340f,
    0xff23320f,
    0xff21320e,
    0xff1f300c,
    0xff1c2d09,
    0xff172804,
    0xff142601,
    0xff112100,
    0xff101e01,
    0xff0c1b01,
    0xff0c1900,
    0xff091800,
    0xff081602,
    0xff081500,
    0xff061401,
    0xff071302,
    0xff061300,
    0xff061401,
    0xff061401,
    0xff071302,
    0xff051300,
    0xff051301,
    0xff071101,
    0xff061101,
    0xff061101,
    0xff051000,
    0xff050f00,
    0xff050e00,
    0xff050e00,
    0xff050d02,
    0xff070b00,
    0xff060b02,
    0xff010800,
    0xff010800,
    0xff020700,
    0xff020700,
    0xff020500,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff020701,
    0xff010600,
    0xff020700,
    0xff020600,
    0xff000800,
    0xff000700,
    0xff030801,
    0xff020801,
    0xff050700,
    0xff060801,
    0xff070a00,
    0xff050e01,
    0xff050f00,
    0xff071000,
    0xff081001,
    0xff091201,
    0xff0c1300,
    0xff0d1500,
    0xff0f1700,
    0xff111801,
    0xff131800,
    0xff151801,
    0xff161a00,
    0xff161a01,
    0xff171a02,
    0xff171901,
    0xff151900,
    0xff161a02,
    0xff161901,
    0xff191a00,
    0xff171b00,
    0xff191a03,
    0xff171a02,
    0xff171901,
    0xff171901,
    0xff171b00,
    0xff1b1b01,
    0xff201d01,
    0xff262001,
    0xff2a2500,
    0xff2f2800,
    0xff322800,
    0xff312701,
    0xff2f2801,
    0xff312700,
    0xff2f2600,
    0xff2e2501,
    0xff282300,
    0xff252000,
    0xff221e00,
    0xff1d1d00,
    0xff171900,
    0xff101700,
    0xff0b1201,
    0xff0e1600,
    0xff171900,
    0xff1b1a00,
    0xff1c1b03,
    0xff1d1902,
    0xff1c1803,
    0xff1b1806,
    0xff1e1806,
    0xff1e1906,
    0xff1e1905,
    0xff1d1804,
    0xff1b1602,
    0xff171402,
    0xff151200,
    0xff100e00,
    0xff0b0a00,
    0xff060600,
    0xff020400,
    0xff010300,
    0xff010401,
    0xff010300,
    0xff020400,
    0xff020401,
    0xff000400,
    0xff010600,
    0xff020600,
    0xff030400,
    0xff020600,
    0xff030601,
    0xff010801,
    0xff030801,
    0xff000c00,
    0xff030b00,
    0xff010b00,
    0xff030c00,
    0xff040c00,
    0xff020e00,
    0xff060e00,
    0xff080f01,
    0xff081200,
    0xff101500,
    0xff151a02,
    0xff181c01,
    0xff1a1c00,
    0xff1d2100,
    0xff232706,
    0xff262b07,
    0xff2d310c,
    0xff363611,
    0xff383d17,
    0xff42411d,
    0xff45471c,
    0xff4d4a1c,
    0xff504d20,
    0xff554e22,
    0xff545122,
    0xff565221,
    0xff585422,
    0xff585620,
    0xff56571f,
    0xff54561e,
    0xff53551e,
    0xff51561e,
    0xff4e521a,
    0xff4e5318,
    0xff4d5218,
    0xff4a5217,
    0xff475117,
    0xff454e17,
    0xff454d17,
    0xff434c13,
    0xff414c12,
    0xff3d4b0f,
    0xff3f4812,
    0xff424a12,
    0xff414b12,
    0xff424715,
    0xff414710,
    0xff42430e,
    0xff41440f,
    0xff424410,
    0xff46470d,
    0xff4a4c12,
    0xff50501a,
    0xff565321,
    0xff545924,
    0xff5a5d24,
    0xff5e5f26,
    0xff5e6127,
    0xff606127,
    0xff5f6327,
    0xff5e6424,
    0xff5d6623,
    0xff5d6623,
    0xff5d6723,
    0xff5d6823,
    0xff5e6a21,
    0xff5f6b21,
    0xff616d1f,
    0xff5f6c1f,
    0xff5e6c1d,
    0xff5f6c1e,
    0xff626d1e,
    0xff606c1b,
    0xff626c18,
    0xff606a14,
    0xff5d6712,
    0xff5a630f,
    0xff58610c,
    0xff555f0a,
    0xff545e09,
    0xff545d0b,
    0xff545d0a,
    0xff50590a,
    0xff4d5308,
    0xff484e08,
    0xff404604,
    0xff403f02,
    0xff393b00,
    0xff333600,
    0xff323600,
    0xff303300,
    0xff2b3100,
    0xff262c00,
    0xff222600,
    0xff1c2200,
    0xff191e00,
    0xff151901,
    0xff121601,
    0xff0c1200,
    0xff0b1100,
    0xff0a1101,
    0xff091101,
    0xff091202,
    0xff0a1301,
    0xff0a1300,
    0xff0a1300,
    0xff0b1401,
    0xff0b1401,
    0xff0a1300,
    0xff091300,
    0xff091501,
    0xff111900,
    0xff111e01,
    0xff152200,
    0xff172600,
    0xff192b00,
    0xff1b2d00,
    0xff1e3001,
    0xff1e3300,
    0xff203300,
    0xff253600,
    0xff253800,
    0xff263901,
    0xff273b00,
    0xff293d01,
    0xff2c3c00,
    0xff283c01,
    0xff283500,
    0xff213100,
    0xff1d2b01,
    0xff192600,
    0xff1b2401,
    0xff181e00,
    0xff141d00,
    0xff131c01,
    0xff121901,
    0xff101800,
    0xff0e1700,
    0xff091400,
    0xff091201,
    0xff061100,
    0xff091200,
    0xff051000,
    0xff060d00,
    0xff050f01,
    0xff041000,
    0xff070d01,
    0xff040f01,
    0xff060d00,
    0xff070c01,
    0xff070c01,
    0xff070d01,
    0xff050c00,
    0xff070d01,
    0xff060c00,
    0xff020d00,
    0xff000600,
    0xff000600,
    0xff010801,
    0xff000a00,
    0xff030e00,
    0xff050f00,
    0xff071201,
    0xff0c1600,
    0xff101b01,
    0xff151e00,
    0xff172400,
    0xff1a2601,
    0xff1b2a00,
    0xff1e2f05,
    0xff223107,
    0xff23320a,
    0xff23330b,
    0xff24330d,
    0xff253510,
    0xff23330f,
    0xff23320f,
    0xff21320e,
    0xff1e300c,
    0xff1c2e09,
    0xff172805,
    0xff152601,
    0xff122200,
    0xff0e1e00,
    0xff0e1b01,
    0xff0b1900,
    0xff081700,
    0xff071500,
    0xff071602,
    0xff051501,
    0xff071402,
    0xff061400,
    0xff071302,
    0xff061301,
    0xff061301,
    0xff051300,
    0xff051201,
    0xff071100,
    0xff071201,
    0xff041000,
    0xff040f00,
    0xff040f00,
    0xff040f00,
    0xff040f00,
    0xff020f00,
    0xff050b00,
    0xff060c01,
    0xff030a01,
    0xff010700,
    0xff020700,
    0xff010600,
    0xff020700,
    0xff020600,
    0xff020701,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010700,
    0xff010800,
    0xff000801,
    0xff010700,
    0xff020801,
    0xff020701,
    0xff030801,
    0xff030700,
    0xff040c00,
    0xff050c00,
    0xff050e00,
    0xff060f00,
    0xff060f00,
    0xff0a1100,
    0xff0b1200,
    0xff0d1501,
    0xff0e1600,
    0xff111600,
    0xff131701,
    0xff141800,
    0xff151901,
    0xff151900,
    0xff151a01,
    0xff171801,
    0xff181901,
    0xff171901,
    0xff191a00,
    0xff171a00,
    0xff171901,
    0xff181a02,
    0xff171901,
    0xff171901,
    0xff171a00,
    0xff1c1b00,
    0xff221f00,
    0xff282200,
    0xff2d2601,
    0xff302700,
    0xff322a00,
    0xff322900,
    0xff312900,
    0xff312702,
    0xff302700,
    0xff2e2700,
    0xff2b2600,
    0xff282200,
    0xff242001,
    0xff201e00,
    0xff171a00,
    0xff111801,
    0xff0e1500,
    0xff121801,
    0xff1b1d01,
    0xff1e1e01,
    0xff1f1f02,
    0xff201e03,
    0xff201b07,
    0xff1c1906,
    0xff1e1907,
    0xff1f1905,
    0xff1f1a05,
    0xff1d1804,
    0xff1c1703,
    0xff171402,
    0xff151100,
    0xff100f00,
    0xff0a0b00,
    0xff050700,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000200,
    0xff010200,
    0xff010300,
    0xff020401,
    0xff000600,
    0xff010600,
    0xff000800,
    0xff000900,
    0xff010700,
    0xff010700,
    0xff010700,
    0xff030901,
    0xff040b00,
    0xff030c00,
    0xff050e00,
    0xff071000,
    0xff0a1301,
    0xff0e1600,
    0xff141b01,
    0xff171d00,
    0xff1a1d00,
    0xff1d2000,
    0xff222604,
    0xff252a07,
    0xff2f300c,
    0xff353510,
    0xff3a3b16,
    0xff3f411c,
    0xff45471c,
    0xff4d491b,
    0xff4f4c1f,
    0xff554f21,
    0xff535122,
    0xff565222,
    0xff585421,
    0xff585520,
    0xff585820,
    0xff55581f,
    0xff53571d,
    0xff50561e,
    0xff4e541b,
    0xff4b5418,
    0xff4a5318,
    0xff4a5217,
    0xff475015,
    0xff445018,
    0xff454d15,
    0xff424e12,
    0xff3e4e13,
    0xff404a10,
    0xff3f4914,
    0xff3f4814,
    0xff404a14,
    0xff424714,
    0xff40460f,
    0xff42440f,
    0xff41440e,
    0xff444510,
    0xff47490f,
    0xff4a4d14,
    0xff51521c,
    0xff565522,
    0xff555a25,
    0xff5c5d23,
    0xff5f5f27,
    0xff626226,
    0xff636426,
    0xff606625,
    0xff5f6726,
    0xff5e6824,
    0xff5e6825,
    0xff5e6a22,
    0xff5f6b20,
    0xff626e22,
    0xff636e20,
    0xff637020,
    0xff62711e,
    0xff62701e,
    0xff637020,
    0xff64711e,
    0xff64701a,
    0xff646f18,
    0xff626d15,
    0xff616a13,
    0xff5c660e,
    0xff58640d,
    0xff59600b,
    0xff56600a,
    0xff565f0b,
    0xff555e0b,
    0xff4f5a0a,
    0xff4d5407,
    0xff494e08,
    0xff3e4605,
    0xff3f3f01,
    0xff373d00,
    0xff363701,
    0xff323200,
    0xff2d3100,
    0xff2b2e01,
    0xff232a00,
    0xff1e2500,
    0xff181d00,
    0xff151900,
    0xff101500,
    0xff0d1000,
    0xff0d0f01,
    0xff061000,
    0xff070f00,
    0xff061100,
    0xff081100,
    0xff091201,
    0xff0a1300,
    0xff071400,
    0xff0b1300,
    0xff091200,
    0xff0a1200,
    0xff0a1300,
    0xff081401,
    0xff0b1800,
    0xff101d00,
    0xff132200,
    0xff162500,
    0xff192900,
    0xff1a2b00,
    0xff1b2d00,
    0xff1d3100,
    0xff1d3200,
    0xff1f3300,
    0xff233500,
    0xff263700,
    0xff273900,
    0xff273900,
    0xff293a01,
    0xff273901,
    0xff253400,
    0xff1e2f01,
    0xff1c2900,
    0xff1a2502,
    0xff172200,
    0xff141e00,
    0xff121c01,
    0xff121a00,
    0xff0f1700,
    0xff0f1700,
    0xff0c1600,
    0xff0d1401,
    0xff091301,
    0xff071100,
    0xff081100,
    0xff060f00,
    0xff050d00,
    0xff050c00,
    0xff050e00,
    0xff060d01,
    0xff030f01,
    0xff070c01,
    0xff050d01,
    0xff060d01,
    0xff070d01,
    0xff060d01,
    0xff060d01,
    0xff050d00,
    0xff050c00,
    0xff000400,
    0xff000700,
    0xff010800,
    0xff010801,
    0xff040b00,
    0xff041000,
    0xff061100,
    0xff0a1601,
    0xff0f1a01,
    0xff141f00,
    0xff182300,
    0xff1b2701,
    0xff1c2a01,
    0xff1f2e04,
    0xff213008,
    0xff23320b,
    0xff23330c,
    0xff27330d,
    0xff233610,
    0xff243410,
    0xff23330f,
    0xff20310f,
    0xff1d2f0c,
    0xff1c2d08,
    0xff162707,
    0xff162601,
    0xff122100,
    0xff0f1e01,
    0xff0d1a01,
    0xff0a1901,
    0xff091700,
    0xff061700,
    0xff051502,
    0xff071601,
    0xff081500,
    0xff061300,
    0xff071500,
    0xff071300,
    0xff051301,
    0xff051200,
    0xff051301,
    0xff051200,
    0xff061202,
    0xff061101,
    0xff030f00,
    0xff040f00,
    0xff050f00,
    0xff040f00,
    0xff040e00,
    0xff060d01,
    0xff060c00,
    0xff070b00,
    0xff030900,
    0xff010801,
    0xff010600,
    0xff020700,
    0xff020700,
    0xff020701,
    0xff010701,
    0xff020701,
    0xff020701,
    0xff020701,
    0xff010700,
    0xff000800,
    0xff000700,
    0xff000800,
    0xff010800,
    0xff030700,
    0xff010801,
    0xff020801,
    0xff060700,
    0xff040b01,
    0xff050c00,
    0xff080b00,
    0xff060c01,
    0xff070e00,
    0xff081000,
    0xff081100,
    0xff0c1301,
    0xff101500,
    0xff101500,
    0xff111800,
    0xff141701,
    0xff151901,
    0xff161800,
    0xff161800,
    0xff161900,
    0xff161901,
    0xff171901,
    0xff1a1901,
    0xff171901,
    0xff171901,
    0xff171901,
    0xff171901,
    0xff1a1900,
    0xff1d1d00,
    0xff232000,
    0xff2a2400,
    0xff2c2700,
    0xff302800,
    0xff332a00,
    0xff342b00,
    0xff352c00,
    0xff332a00,
    0xff322900,
    0xff302900,
    0xff2d2900,
    0xff2a2600,
    0xff272200,
    0xff211e00,
    0xff1b1d01,
    0xff131901,
    0xff101600,
    0xff161d01,
    0xff202302,
    0xff212203,
    0xff212105,
    0xff222105,
    0xff231f07,
    0xff1f1e06,
    0xff1d1c07,
    0xff201a07,
    0xff1e1906,
    0xff1f1a07,
    0xff1e1805,
    0xff181701,
    0xff171400,
    0xff121101,
    0xff0c0c00,
    0xff040500,
    0xff010301,
    0xff010001,
    0xff000101,
    0xff000200,
    0xff010300,
    0xff020102,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010301,
    0xff000300,
    0xff010500,
    0xff000500,
    0xff020500,
    0xff010600,
    0xff020600,
    0xff010800,
    0xff000800,
    0xff040901,
    0xff010c01,
    0xff030e00,
    0xff081000,
    0xff0a1301,
    0xff0e1500,
    0xff151a02,
    0xff171d00,
    0xff181b01,
    0xff1c1f02,
    0xff202400,
    0xff282808,
    0xff2d2e0a,
    0xff34350e,
    0xff393914,
    0xff423f18,
    0xff49431c,
    0xff4d481b,
    0xff4e4a1d,
    0xff524f21,
    0xff565022,
    0xff575120,
    0xff5a541f,
    0xff595620,
    0xff5c5a1e,
    0xff595a1e,
    0xff52591e,
    0xff51551e,
    0xff50551b,
    0xff4a5318,
    0xff4a5316,
    0xff4a5116,
    0xff465015,
    0xff424f17,
    0xff444f15,
    0xff434e12,
    0xff424d12,
    0xff414910,
    0xff404812,
    0xff3f4913,
    0xff3f4b12,
    0xff404814,
    0xff404610,
    0xff3f460e,
    0xff42450e,
    0xff46450e,
    0xff474c12,
    0xff514f17,
    0xff50541c,
    0xff595a22,
    0xff5a5b23,
    0xff5d6125,
    0xff5e6525,
    0xff626727,
    0xff626828,
    0xff626926,
    0xff636925,
    0xff5f6922,
    0xff616c23,
    0xff626d23,
    0xff617221,
    0xff657222,
    0xff637422,
    0xff65731e,
    0xff66731e,
    0xff65731c,
    0xff66741c,
    0xff67741b,
    0xff68721a,
    0xff667118,
    0xff636f15,
    0xff626e10,
    0xff606b0c,
    0xff5b670a,
    0xff5a640b,
    0xff59630a,
    0xff586209,
    0xff545e0e,
    0xff4f5a0a,
    0xff4d5405,
    0xff484d03,
    0xff404704,
    0xff3d4202,
    0xff363d01,
    0xff363900,
    0xff2e3501,
    0xff2b3000,
    0xff262c01,
    0xff212801,
    0xff1b2001,
    0xff151901,
    0xff101201,
    0xff0c1001,
    0xff091000,
    0xff070e00,
    0xff030e00,
    0xff070f00,
    0xff041000,
    0xff081201,
    0xff091100,
    0xff091201,
    0xff0a1200,
    0xff0a1300,
    0xff091400,
    0xff0b1100,
    0xff0a1300,
    0xff081300,
    0xff0b1700,
    0xff101b01,
    0xff121f00,
    0xff152300,
    0xff182601,
    0xff1a2a01,
    0xff192b00,
    0xff192e01,
    0xff193001,
    0xff1c3100,
    0xff203301,
    0xff223500,
    0xff243700,
    0xff263800,
    0xff263700,
    0xff263600,
    0xff1f3200,
    0xff1d2f01,
    0xff1b2901,
    0xff182500,
    0xff142100,
    0xff131d01,
    0xff121c01,
    0xff111a00,
    0xff111600,
    0xff0f1700,
    0xff0c1600,
    0xff0b1200,
    0xff0c1101,
    0xff071201,
    0xff051101,
    0xff050f00,
    0xff040c00,
    0xff050c00,
    0xff040c00,
    0xff040d00,
    0xff060d00,
    0xff050e00,
    0xff060e00,
    0xff060e01,
    0xff050d01,
    0xff050e01,
    0xff050d01,
    0xff030d00,
    0xff060d00,
    0xff000300,
    0xff000500,
    0xff010601,
    0xff010800,
    0xff030a00,
    0xff040f00,
    0xff071101,
    0xff091601,
    0xff0f1901,
    0xff151e01,
    0xff172300,
    0xff1b2600,
    0xff1d2b01,
    0xff1f2e08,
    0xff203009,
    0xff23320b,
    0xff23340d,
    0xff25350d,
    0xff253510,
    0xff243310,
    0xff22330f,
    0xff1d310e,
    0xff1e2f0c,
    0xff1b2c09,
    0xff172807,
    0xff162601,
    0xff132201,
    0xff0f1d00,
    0xff0c1a00,
    0xff0a1800,
    0xff091701,
    0xff071500,
    0xff051300,
    0xff061400,
    0xff061300,
    0xff051200,
    0xff071400,
    0xff081401,
    0xff061301,
    0xff061301,
    0xff061201,
    0xff031200,
    0xff041101,
    0xff051100,
    0xff060f00,
    0xff051000,
    0xff041000,
    0xff050f00,
    0xff050e00,
    0xff060e01,
    0xff050b00,
    0xff020c00,
    0xff040b01,
    0xff030801,
    0xff020700,
    0xff010600,
    0xff020600,
    0xff010701,
    0xff010701,
    0xff010600,
    0xff000500,
    0xff020500,
    0xff020601,
    0xff010700,
    0xff010701,
    0xff010700,
    0xff010600,
    0xff010800,
    0xff010700,
    0xff010600,
    0xff040700,
    0xff030800,
    0xff040800,
    0xff050901,
    0xff060901,
    0xff040b00,
    0xff070b01,
    0xff090d01,
    0xff090d00,
    0xff0b1100,
    0xff0e1200,
    0xff0e1600,
    0xff121600,
    0xff131801,
    0xff151901,
    0xff151701,
    0xff171900,
    0xff171901,
    0xff161800,
    0xff181901,
    0xff161901,
    0xff171800,
    0xff171800,
    0xff171901,
    0xff1b1a00,
    0xff1d1e00,
    0xff232100,
    0xff2b2500,
    0xff2e2700,
    0xff312900,
    0xff332a00,
    0xff372e00,
    0xff362e00,
    0xff362e00,
    0xff342c00,
    0xff332a01,
    0xff2e2a00,
    0xff2c2701,
    0xff292500,
    0xff211f00,
    0xff1c1d01,
    0xff151900,
    0xff131801,
    0xff1b2100,
    0xff222402,
    0xff242506,
    0xff252406,
    0xff232406,
    0xff222208,
    0xff221e08,
    0xff1e1c06,
    0xff201b06,
    0xff201b07,
    0xff1f1a08,
    0xff1f1807,
    0xff1a1802,
    0xff171600,
    0xff131100,
    0xff0b0b01,
    0xff030500,
    0xff000200,
    0xff010100,
    0xff010101,
    0xff010200,
    0xff010200,
    0xff020102,
    0xff010201,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010200,
    0xff010300,
    0xff000400,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff010800,
    0xff000a01,
    0xff030800,
    0xff010b00,
    0xff050e01,
    0xff070e01,
    0xff0a1100,
    0xff0e1500,
    0xff141800,
    0xff171b01,
    0xff181b01,
    0xff191e00,
    0xff202200,
    0xff272504,
    0xff2c2c09,
    0xff34330c,
    0xff373812,
    0xff413d19,
    0xff45431b,
    0xff4b4719,
    0xff4e4a1c,
    0xff524d1f,
    0xff544f20,
    0xff56511f,
    0xff58531f,
    0xff59551f,
    0xff5a591c,
    0xff5d5c1d,
    0xff59581e,
    0xff56551d,
    0xff51551b,
    0xff4c5418,
    0xff4b5316,
    0xff475014,
    0xff434f15,
    0xff434f17,
    0xff434f13,
    0xff444e12,
    0xff444e11,
    0xff404a10,
    0xff404911,
    0xff3f4812,
    0xff3d4913,
    0xff404814,
    0xff404610,
    0xff414511,
    0xff40460c,
    0xff47470e,
    0xff494d14,
    0xff52521a,
    0xff555620,
    0xff5b5a22,
    0xff5e5d25,
    0xff616225,
    0xff636626,
    0xff646928,
    0xff616a28,
    0xff626a28,
    0xff636c26,
    0xff616c1f,
    0xff636f21,
    0xff657322,
    0xff647322,
    0xff667521,
    0xff697520,
    0xff69761e,
    0xff69761e,
    0xff68771e,
    0xff687a1d,
    0xff6a771b,
    0xff69761a,
    0xff667417,
    0xff657215,
    0xff627010,
    0xff616b0b,
    0xff5e680b,
    0xff57650a,
    0xff586409,
    0xff56610a,
    0xff515e0b,
    0xff4f5809,
    0xff4c5405,
    0xff484e02,
    0xff404902,
    0xff3e4402,
    0xff383f01,
    0xff373a00,
    0xff323401,
    0xff2b3100,
    0xff232b00,
    0xff1c2300,
    0xff161b01,
    0xff101300,
    0xff0b0f00,
    0xff090e00,
    0xff060e00,
    0xff050c00,
    0xff030b00,
    0xff040e00,
    0xff041000,
    0xff071000,
    0xff081101,
    0xff081201,
    0xff0a1300,
    0xff0a1301,
    0xff091300,
    0xff0a1200,
    0xff0a1200,
    0xff0a1200,
    0xff0b1600,
    0xff0f1901,
    0xff121c01,
    0xff122100,
    0xff162501,
    0xff192800,
    0xff172900,
    0xff182a00,
    0xff1a2c00,
    0xff1b2d00,
    0xff1d3101,
    0xff1f3100,
    0xff203300,
    0xff233500,
    0xff253600,
    0xff223400,
    0xff1f3200,
    0xff1d2e01,
    0xff1b2900,
    0xff172601,
    0xff182201,
    0xff111c01,
    0xff151b00,
    0xff121901,
    0xff121801,
    0xff101801,
    0xff0d1600,
    0xff0a1300,
    0xff0b1200,
    0xff081201,
    0xff0a0f00,
    0xff070d00,
    0xff070c01,
    0xff040d00,
    0xff040c00,
    0xff030c00,
    0xff030c00,
    0xff060c01,
    0xff060c00,
    0xff050d01,
    0xff050d00,
    0xff060d01,
    0xff040e01,
    0xff060f01,
    0xff050c00,
    0xff000200,
    0xff000300,
    0xff000402,
    0xff000800,
    0xff020800,
    0xff030d00,
    0xff061100,
    0xff0b1400,
    0xff0f1900,
    0xff151e01,
    0xff172300,
    0xff1a2601,
    0xff1e2a03,
    0xff1f2f08,
    0xff21310a,
    0xff26320c,
    0xff24330e,
    0xff24350f,
    0xff24340f,
    0xff243410,
    0xff21320d,
    0xff1d300d,
    0xff1a2f0b,
    0xff1b2c0a,
    0xff182907,
    0xff162601,
    0xff112100,
    0xff101d01,
    0xff0a1901,
    0xff091700,
    0xff081601,
    0xff061501,
    0xff071400,
    0xff071400,
    0xff071400,
    0xff041301,
    0xff071400,
    0xff081301,
    0xff081302,
    0xff061402,
    0xff071100,
    0xff081100,
    0xff061201,
    0xff041100,
    0xff070e00,
    0xff040f00,
    0xff031000,
    0xff041000,
    0xff040f00,
    0xff060d01,
    0xff040d00,
    0xff050c01,
    0xff040b01,
    0xff040900,
    0xff020701,
    0xff010700,
    0xff020601,
    0xff010601,
    0xff020601,
    0xff010600,
    0xff010600,
    0xff030500,
    0xff030601,
    0xff010701,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff020701,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010800,
    0xff020801,
    0xff020700,
    0xff000901,
    0xff020701,
    0xff010901,
    0xff050a01,
    0xff070a00,
    0xff090c02,
    0xff0a0e00,
    0xff0b1200,
    0xff0d1500,
    0xff121600,
    0xff131700,
    0xff151701,
    0xff161800,
    0xff151700,
    0xff161800,
    0xff161800,
    0xff161800,
    0xff181901,
    0xff171801,
    0xff171901,
    0xff1b1c00,
    0xff1e1f00,
    0xff272200,
    0xff2b2800,
    0xff332900,
    0xff332900,
    0xff352e00,
    0xff352d00,
    0xff372e01,
    0xff372e00,
    0xff362e00,
    0xff362c00,
    0xff312b00,
    0xff2e2901,
    0xff2b2601,
    0xff242201,
    0xff1c1e00,
    0xff181d01,
    0xff161c00,
    0xff202400,
    0xff262604,
    0xff272709,
    0xff252707,
    0xff272509,
    0xff28230a,
    0xff252109,
    0xff241e08,
    0xff221c06,
    0xff211c0a,
    0xff1f1b07,
    0xff1e1906,
    0xff1b1703,
    0xff171602,
    0xff141100,
    0xff090b00,
    0xff030600,
    0xff010100,
    0xff020200,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000201,
    0xff000201,
    0xff000201,
    0xff010300,
    0xff010300,
    0xff000100,
    0xff000100,
    0xff010401,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000800,
    0xff000800,
    0xff010b00,
    0xff070d01,
    0xff090f01,
    0xff091201,
    0xff0f1500,
    0xff131600,
    0xff161b02,
    0xff181b01,
    0xff191c00,
    0xff1f2100,
    0xff222502,
    0xff2a2a07,
    0xff33300a,
    0xff36360f,
    0xff403c16,
    0xff44411a,
    0xff4b4719,
    0xff4c481a,
    0xff514b1d,
    0xff554f1c,
    0xff57501f,
    0xff55531e,
    0xff59551e,
    0xff5b581c,
    0xff5b591c,
    0xff5a5b1c,
    0xff55581c,
    0xff52541a,
    0xff4e5318,
    0xff4c5115,
    0xff485015,
    0xff404f16,
    0xff414f16,
    0xff434e13,
    0xff424e12,
    0xff3f4e10,
    0xff404b10,
    0xff3d4a11,
    0xff414a11,
    0xff3d4912,
    0xff404814,
    0xff3f460e,
    0xff40430f,
    0xff41470c,
    0xff474910,
    0xff4d4d17,
    0xff52531d,
    0xff575920,
    0xff5d5c24,
    0xff5d6127,
    0xff626327,
    0xff646728,
    0xff666a28,
    0xff646b29,
    0xff636d27,
    0xff646f25,
    0xff667122,
    0xff647222,
    0xff667521,
    0xff6a7821,
    0xff6a7821,
    0xff6b7920,
    0xff6c7a1f,
    0xff6c7a1f,
    0xff6b7a1d,
    0xff6c791d,
    0xff6b7919,
    0xff6b7918,
    0xff697715,
    0xff667413,
    0xff647211,
    0xff616e0d,
    0xff5e6b08,
    0xff5a6806,
    0xff59670a,
    0xff54610b,
    0xff525e09,
    0xff4e5606,
    0xff4a5304,
    0xff495001,
    0xff414e01,
    0xff414604,
    0xff3a4201,
    0xff353b00,
    0xff313602,
    0xff293000,
    0xff212801,
    0xff181f00,
    0xff121701,
    0xff0d1200,
    0xff080f00,
    0xff060c01,
    0xff030a00,
    0xff010a00,
    0xff020b01,
    0xff030d01,
    0xff040e00,
    0xff050f00,
    0xff071001,
    0xff091100,
    0xff091201,
    0xff0a1302,
    0xff0a1301,
    0xff0a1300,
    0xff091200,
    0xff091300,
    0xff071400,
    0xff0c1700,
    0xff0e1a01,
    0xff121f00,
    0xff132300,
    0xff162400,
    0xff172701,
    0xff182801,
    0xff182800,
    0xff182b00,
    0xff1b2d00,
    0xff1a2e00,
    0xff1d3101,
    0xff203100,
    0xff213500,
    0xff223200,
    0xff202f01,
    0xff1d2d01,
    0xff1b2900,
    0xff1b2501,
    0xff172100,
    0xff121d02,
    0xff131a00,
    0xff101901,
    0xff0f1700,
    0xff0e1600,
    0xff0d1400,
    0xff081501,
    0xff0a1200,
    0xff081201,
    0xff091100,
    0xff070f00,
    0xff040e01,
    0xff020d00,
    0xff030d00,
    0xff030b01,
    0xff020c01,
    0xff020c00,
    0xff040b01,
    0xff040c01,
    0xff060c00,
    0xff040c00,
    0xff050c01,
    0xff050d01,
    0xff060b00,
    0xff010200,
    0xff000300,
    0xff000401,
    0xff000600,
    0xff000600,
    0xff010e00,
    0xff051000,
    0xff0c1301,
    0xff0e1800,
    0xff141e01,
    0xff172200,
    0xff1b2701,
    0xff1d2a04,
    0xff202e08,
    0xff23300a,
    0xff25320b,
    0xff25320e,
    0xff253311,
    0xff23330f,
    0xff21320e,
    0xff1f320e,
    0xff1f2e0c,
    0xff172c0c,
    0xff19290b,
    0xff162706,
    0xff162503,
    0xff112000,
    0xff0e1c01,
    0xff0a1900,
    0xff091700,
    0xff071600,
    0xff031300,
    0xff061401,
    0xff061301,
    0xff071401,
    0xff061401,
    0xff071301,
    0xff071301,
    0xff071301,
    0xff061301,
    0xff051301,
    0xff051000,
    0xff061202,
    0xff051100,
    0xff041000,
    0xff041000,
    0xff060e00,
    0xff050f00,
    0xff050e00,
    0xff070b00,
    0xff040d00,
    0xff060c02,
    0xff060b02,
    0xff060b01,
    0xff030900,
    0xff040701,
    0xff020700,
    0xff030701,
    0xff020701,
    0xff000500,
    0xff020701,
    0xff010600,
    0xff020701,
    0xff020701,
    0xff010600,
    0xff000500,
    0xff020700,
    0xff010601,
    0xff020601,
    0xff000600,
    0xff000800,
    0xff000700,
    0xff010801,
    0xff030700,
    0xff020801,
    0xff030601,
    0xff030500,
    0xff030600,
    0xff030600,
    0xff050801,
    0xff090b00,
    0xff0a0e00,
    0xff0b1000,
    0xff0f1301,
    0xff121401,
    0xff121600,
    0xff151701,
    0xff151701,
    0xff151700,
    0xff171701,
    0xff151701,
    0xff181801,
    0xff191800,
    0xff181b00,
    0xff1d1c00,
    0xff1f1f00,
    0xff272400,
    0xff2e2700,
    0xff332900,
    0xff342b00,
    0xff362e00,
    0xff372f00,
    0xff392f01,
    0xff3a2f00,
    0xff372f00,
    0xff322f00,
    0xff342d00,
    0xff302a00,
    0xff2c2800,
    0xff282400,
    0xff202100,
    0xff1a2000,
    0xff1a2100,
    0xff222701,
    0xff292904,
    0xff282609,
    0xff2c270a,
    0xff2c2609,
    0xff2b260a,
    0xff2a2408,
    0xff252009,
    0xff251e08,
    0xff211c08,
    0xff211c07,
    0xff211a07,
    0xff1c1905,
    0xff171500,
    0xff131101,
    0xff090c00,
    0xff030300,
    0xff000000,
    0xff020201,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000101,
    0xff000101,
    0xff000100,
    0xff000200,
    0xff000100,
    0xff000200,
    0xff000200,
    0xff010301,
    0xff000500,
    0xff010600,
    0xff010700,
    0xff000800,
    0xff040b01,
    0xff070d00,
    0xff0a0d00,
    0xff0b1001,
    0xff0e1200,
    0xff131800,
    0xff141901,
    0xff171b00,
    0xff181b00,
    0xff1c1e00,
    0xff242301,
    0xff292703,
    0xff312f09,
    0xff37340d,
    0xff3c3b14,
    0xff433f18,
    0xff4b4318,
    0xff4c4719,
    0xff4f4b1b,
    0xff534d1b,
    0xff574e1f,
    0xff58511e,
    0xff5a541c,
    0xff5b561c,
    0xff5a571b,
    0xff57591c,
    0xff59561c,
    0xff53541a,
    0xff4d5217,
    0xff4c5114,
    0xff464f12,
    0xff454f16,
    0xff425114,
    0xff424e12,
    0xff414e0f,
    0xff414b0f,
    0xff404b10,
    0xff3e4b10,
    0xff404a11,
    0xff3d4a11,
    0xff414712,
    0xff434410,
    0xff40460e,
    0xff45470d,
    0xff464a11,
    0xff4e4f18,
    0xff52541f,
    0xff5a5a21,
    0xff5e5d25,
    0xff5d6226,
    0xff626526,
    0xff656929,
    0xff656d29,
    0xff686e2a,
    0xff667024,
    0xff6a7325,
    0xff697524,
    0xff6a7723,
    0xff6c7821,
    0xff6c7921,
    0xff6d7b21,
    0xff6c7c20,
    0xff6e7b1f,
    0xff6d7b1d,
    0xff6c7b1b,
    0xff6e7c1b,
    0xff6e7c1a,
    0xff6d7b19,
    0xff6a7816,
    0xff677513,
    0xff65740f,
    0xff61710b,
    0xff5c6a07,
    0xff5a6808,
    0xff58650a,
    0xff556208,
    0xff4f5c06,
    0xff4e5705,
    0xff4b5502,
    0xff485202,
    0xff424e01,
    0xff404803,
    0xff384102,
    0xff343b01,
    0xff2e3501,
    0xff272d00,
    0xff1e2400,
    0xff161b00,
    0xff121500,
    0xff091400,
    0xff050e01,
    0xff030b02,
    0xff010601,
    0xff010700,
    0xff010800,
    0xff000a01,
    0xff060d00,
    0xff031000,
    0xff071000,
    0xff061000,
    0xff091201,
    0xff081201,
    0xff071201,
    0xff091301,
    0xff081301,
    0xff081200,
    0xff0a1401,
    0xff091500,
    0xff0c1800,
    0xff111e01,
    0xff112000,
    0xff142200,
    0xff142400,
    0xff152601,
    0xff172701,
    0xff172800,
    0xff172900,
    0xff192b01,
    0xff1c2e01,
    0xff1e3100,
    0xff1c3200,
    0xff1c3100,
    0xff1d2e01,
    0xff1b2b01,
    0xff192700,
    0xff192501,
    0xff132000,
    0xff121c02,
    0xff111801,
    0xff101701,
    0xff101700,
    0xff0e1600,
    0xff0d1500,
    0xff091300,
    0xff081100,
    0xff0a1101,
    0xff081100,
    0xff051000,
    0xff050e01,
    0xff070a01,
    0xff060b00,
    0xff060a00,
    0xff040b01,
    0xff050c01,
    0xff030a00,
    0xff040a00,
    0xff020b00,
    0xff020c01,
    0xff060c01,
    0xff030c00,
    0xff030c00,
    0xff010300,
    0xff010200,
    0xff010300,
    0xff000400,
    0xff010600,
    0xff000a00,
    0xff050d00,
    0xff071300,
    0xff0e1700,
    0xff101e00,
    0xff182100,
    0xff1a2600,
    0xff1c2b03,
    0xff212e07,
    0xff203009,
    0xff24330b,
    0xff25340e,
    0xff24330f,
    0xff22330e,
    0xff1e310c,
    0xff1d2e0c,
    0xff1d2e0b,
    0xff172a0b,
    0xff17270a,
    0xff152703,
    0xff152403,
    0xff101f00,
    0xff0d1c00,
    0xff0b1800,
    0xff091700,
    0xff061400,
    0xff051401,
    0xff051300,
    0xff071302,
    0xff051200,
    0xff031200,
    0xff051300,
    0xff051200,
    0xff061401,
    0xff051200,
    0xff051100,
    0xff061100,
    0xff061101,
    0xff051000,
    0xff050f00,
    0xff041000,
    0xff040e00,
    0xff050f00,
    0xff050d00,
    0xff060e01,
    0xff040c00,
    0xff040d01,
    0xff060a00,
    0xff030b00,
    0xff070a00,
    0xff020801,
    0xff020800,
    0xff020601,
    0xff020701,
    0xff010600,
    0xff020701,
    0xff010600,
    0xff020701,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff020701,
    0xff000800,
    0xff020700,
    0xff010800,
    0xff010600,
    0xff000800,
    0xff020601,
    0xff010600,
    0xff010601,
    0xff010600,
    0xff010600,
    0xff080800,
    0xff070a01,
    0xff0b0f00,
    0xff0c0f00,
    0xff0e1100,
    0xff0f1500,
    0xff141500,
    0xff141600,
    0xff141600,
    0xff171501,
    0xff141701,
    0xff171801,
    0xff1a1801,
    0xff1a1c01,
    0xff1c1d01,
    0xff1f1f00,
    0xff272500,
    0xff302802,
    0xff342a00,
    0xff342d00,
    0xff362f00,
    0xff393000,
    0xff3b3100,
    0xff3b3101,
    0xff383001,
    0xff373101,
    0xff352f00,
    0xff332d01,
    0xff2f2c00,
    0xff2c2800,
    0xff262500,
    0xff1e2400,
    0xff1f2701,
    0xff262a01,
    0xff2a2a07,
    0xff2c2a06,
    0xff2f290b,
    0xff2f2a0c,
    0xff2e280c,
    0xff2e250a,
    0xff2b250b,
    0xff27230c,
    0xff261f0b,
    0xff231d08,
    0xff221a08,
    0xff1c1806,
    0xff181702,
    0xff101100,
    0xff080b01,
    0xff010300,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010000,
    0xff010001,
    0xff010001,
    0xff000201,
    0xff000100,
    0xff010300,
    0xff000200,
    0xff010400,
    0xff010300,
    0xff000500,
    0xff010600,
    0xff010700,
    0xff040900,
    0xff060d00,
    0xff090d01,
    0xff0b0f01,
    0xff0b1100,
    0xff111500,
    0xff141800,
    0xff161800,
    0xff161a01,
    0xff1b1b01,
    0xff211f00,
    0xff282401,
    0xff2f2d08,
    0xff37320a,
    0xff3c3812,
    0xff413c15,
    0xff474116,
    0xff4a4417,
    0xff4e4918,
    0xff534b1a,
    0xff544c1c,
    0xff545019,
    0xff57531b,
    0xff5a551c,
    0xff5b561b,
    0xff59561b,
    0xff555419,
    0xff505117,
    0xff4d5016,
    0xff484f12,
    0xff464f11,
    0xff444f16,
    0xff405013,
    0xff424c11,
    0xff424d0e,
    0xff3f4b0e,
    0xff3e490f,
    0xff404b10,
    0xff414a11,
    0xff3e4811,
    0xff404712,
    0xff40450f,
    0xff3f450d,
    0xff44480f,
    0xff494b12,
    0xff4f4f19,
    0xff545520,
    0xff5d5b22,
    0xff5e5f26,
    0xff606429,
    0xff626826,
    0xff666b29,
    0xff666f2a,
    0xff6a7126,
    0xff6b7327,
    0xff6d7525,
    0xff6b7627,
    0xff6d7a25,
    0xff6e7b22,
    0xff6e7b23,
    0xff6f7c20,
    0xff717e1e,
    0xff6f7e1d,
    0xff707d1c,
    0xff6e7d1a,
    0xff707e1b,
    0xff6e7c1a,
    0xff6e7c1b,
    0xff6b7a15,
    0xff687710,
    0xff64730b,
    0xff617009,
    0xff5e6a05,
    0xff5a6805,
    0xff556407,
    0xff546106,
    0xff505d05,
    0xff505a04,
    0xff4d5801,
    0xff485304,
    0xff424d02,
    0xff3f4902,
    0xff384300,
    0xff343d00,
    0xff2d3500,
    0xff272c00,
    0xff1d2400,
    0xff171c00,
    0xff121701,
    0xff091301,
    0xff050e01,
    0xff000900,
    0xff000500,
    0xff000600,
    0xff000800,
    0xff000a01,
    0xff040c00,
    0xff060d00,
    0xff061000,
    0xff090f01,
    0xff081100,
    0xff061100,
    0xff071201,
    0xff051100,
    0xff091301,
    0xff0a1200,
    0xff0a1300,
    0xff081401,
    0xff0a1601,
    0xff0d1a01,
    0xff0f1d01,
    0xff112000,
    0xff112300,
    0xff132500,
    0xff152701,
    0xff162700,
    0xff172901,
    0xff152901,
    0xff192c00,
    0xff1a2d01,
    0xff1a2e01,
    0xff1c2d00,
    0xff1b2c00,
    0xff192900,
    0xff192701,
    0xff182401,
    0xff111f00,
    0xff101a01,
    0xff0c1900,
    0xff091700,
    0xff091600,
    0xff0b1500,
    0xff0c1600,
    0xff0a1101,
    0xff081201,
    0xff0b1001,
    0xff091000,
    0xff070f00,
    0xff050c00,
    0xff050b00,
    0xff050c00,
    0xff060c00,
    0xff050c01,
    0xff020c01,
    0xff030b00,
    0xff040900,
    0xff010b00,
    0xff010b00,
    0xff010b00,
    0xff010b00,
    0xff000a00,
    0xff010300,
    0xff000200,
    0xff020400,
    0xff000300,
    0xff000602,
    0xff020600,
    0xff070b02,
    0xff071101,
    0xff0c1500,
    0xff131b01,
    0xff152000,
    0xff1a2602,
    0xff1b2804,
    0xff1e2c08,
    0xff242f09,
    0xff22300c,
    0xff23320e,
    0xff233210,
    0xff21310f,
    0xff1c310d,
    0xff1b2e0f,
    0xff182c0b,
    0xff182909,
    0xff162609,
    0xff152603,
    0xff112300,
    0xff101f01,
    0xff0d1b01,
    0xff0a1800,
    0xff081501,
    0xff031300,
    0xff031201,
    0xff051301,
    0xff051200,
    0xff051201,
    0xff041401,
    0xff071101,
    0xff051301,
    0xff031300,
    0xff061301,
    0xff061100,
    0xff071100,
    0xff061101,
    0xff061101,
    0xff061101,
    0xff040f00,
    0xff040f00,
    0xff040e01,
    0xff060e01,
    0xff040c00,
    0xff060c02,
    0xff040b01,
    0xff040b01,
    0xff040a00,
    0xff070901,
    0xff040b00,
    0xff040800,
    0xff010600,
    0xff020700,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010601,
    0xff010601,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010500,
    0xff000500,
    0xff010500,
    0xff010801,
    0xff000800,
    0xff000700,
    0xff000700,
    0xff010800,
    0xff010500,
    0xff020700,
    0xff010700,
    0xff020500,
    0xff010700,
    0xff060900,
    0xff080a00,
    0xff0a0c00,
    0xff0c0e01,
    0xff0e1001,
    0xff0e1200,
    0xff111400,
    0xff141400,
    0xff161501,
    0xff161400,
    0xff171700,
    0xff181800,
    0xff1b1a00,
    0xff1c1d00,
    0xff1d1e00,
    0xff212200,
    0xff292500,
    0xff302901,
    0xff352c00,
    0xff362e00,
    0xff372f00,
    0xff3b3100,
    0xff3c3201,
    0xff3b3100,
    0xff3b3100,
    0xff3b3000,
    0xff383100,
    0xff332f00,
    0xff322f00,
    0xff302d00,
    0xff282900,
    0xff252800,
    0xff262d01,
    0xff2d2f03,
    0xff2f2f0a,
    0xff322f0c,
    0xff322d0d,
    0xff322d0e,
    0xff312c0e,
    0xff2e280c,
    0xff30270c,
    0xff2b260b,
    0xff28220c,
    0xff251f08,
    0xff1f1e07,
    0xff1e1908,
    0xff161703,
    0xff111200,
    0xff080b01,
    0xff000200,
    0xff000001,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff020202,
    0xff000000,
    0xff010201,
    0xff010300,
    0xff010200,
    0xff000400,
    0xff000500,
    0xff010601,
    0xff050600,
    0xff070b00,
    0xff090e00,
    0xff0b0e00,
    0xff0d1000,
    0xff101502,
    0xff111600,
    0xff131800,
    0xff171802,
    0xff1a1b00,
    0xff1e1e01,
    0xff252301,
    0xff2f2905,
    0xff37300a,
    0xff3d3410,
    0xff413a0f,
    0xff413e12,
    0xff494214,
    0xff4d4617,
    0xff524918,
    0xff554c18,
    0xff544d17,
    0xff555118,
    0xff58521b,
    0xff58551b,
    0xff565419,
    0xff535217,
    0xff4f4f14,
    0xff4c4f10,
    0xff464d11,
    0xff434e12,
    0xff435114,
    0xff435012,
    0xff424e0f,
    0xff3f4b0e,
    0xff404a0e,
    0xff404810,
    0xff3f490f,
    0xff404a12,
    0xff404811,
    0xff3f4412,
    0xff3f440e,
    0xff40460d,
    0xff45470f,
    0xff4d4d14,
    0xff50511a,
    0xff57581f,
    0xff5c5d23,
    0xff5f6226,
    0xff646829,
    0xff666c29,
    0xff686e2a,
    0xff6b712a,
    0xff6d7427,
    0xff6d7528,
    0xff6e7729,
    0xff6f7b28,
    0xff6e7b27,
    0xff717c25,
    0xff717d21,
    0xff717f20,
    0xff72801f,
    0xff72811b,
    0xff71801b,
    0xff6e801a,
    0xff73811b,
    0xff707f1a,
    0xff6e7d17,
    0xff6a7b11,
    0xff66770d,
    0xff62730b,
    0xff5f6e07,
    0xff5b6b04,
    0xff596606,
    0xff526404,
    0xff526103,
    0xff4f5e03,
    0xff4e5c03,
    0xff4b5702,
    0xff475303,
    0xff424f01,
    0xff404b04,
    0xff3a4401,
    0xff343b00,
    0xff2d3400,
    0xff252c00,
    0xff1e2500,
    0xff141f00,
    0xff111900,
    0xff0b1300,
    0xff060e01,
    0xff000701,
    0xff000301,
    0xff010300,
    0xff000501,
    0xff000901,
    0xff010901,
    0xff050c00,
    0xff040f00,
    0xff070f00,
    0xff061101,
    0xff061100,
    0xff061201,
    0xff051200,
    0xff071201,
    0xff061100,
    0xff061100,
    0xff071101,
    0xff091501,
    0xff091800,
    0xff0b1b00,
    0xff0e1d00,
    0xff112000,
    0xff142400,
    0xff142500,
    0xff152501,
    0xff162500,
    0xff152701,
    0xff162801,
    0xff162a00,
    0xff172b00,
    0xff1a2b00,
    0xff1a2800,
    0xff162700,
    0xff182501,
    0xff142200,
    0xff131d00,
    0xff101a01,
    0xff0c1701,
    0xff0b1601,
    0xff0a1600,
    0xff071400,
    0xff091402,
    0xff0a1101,
    0xff081000,
    0xff091101,
    0xff081001,
    0xff070d00,
    0xff080d01,
    0xff050b00,
    0xff060c00,
    0xff060b02,
    0xff040c01,
    0xff010c00,
    0xff040b00,
    0xff040900,
    0xff040902,
    0xff010901,
    0xff030901,
    0xff010901,
    0xff030a02,
    0xff010300,
    0xff010200,
    0xff010400,
    0xff000300,
    0xff000401,
    0xff010600,
    0xff040a01,
    0xff080f01,
    0xff0b1400,
    0xff121a00,
    0xff141f00,
    0xff1a2501,
    0xff1b2804,
    0xff1c2b07,
    0xff1e2f0a,
    0xff21300c,
    0xff21310d,
    0xff22310f,
    0xff1f2f0d,
    0xff1b2f0c,
    0xff192b0c,
    0xff162c08,
    0xff18280a,
    0xff152707,
    0xff142503,
    0xff112200,
    0xff0f1f01,
    0xff0c1a01,
    0xff091700,
    0xff071401,
    0xff061201,
    0xff051201,
    0xff041100,
    0xff051100,
    0xff051200,
    0xff041200,
    0xff061100,
    0xff061300,
    0xff041301,
    0xff061301,
    0xff071101,
    0xff071201,
    0xff051001,
    0xff051000,
    0xff040f00,
    0xff051000,
    0xff040f00,
    0xff040e00,
    0xff050c00,
    0xff040d00,
    0xff050b01,
    0xff040b00,
    0xff070a01,
    0xff060900,
    0xff070a01,
    0xff060a01,
    0xff050700,
    0xff020801,
    0xff010600,
    0xff000500,
    0xff020701,
    0xff010600,
    0xff000501,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff010600,
    0xff000700,
    0xff020701,
    0xff020600,
    0xff010700,
    0xff030700,
    0xff020801,
    0xff050801,
    0xff090b00,
    0xff0b0d01,
    0xff0b0d00,
    0xff0d0f01,
    0xff101100,
    0xff111400,
    0xff141400,
    0xff151400,
    0xff171601,
    0xff171800,
    0xff191900,
    0xff1b1b01,
    0xff1c1d01,
    0xff1f1f01,
    0xff222200,
    0xff282500,
    0xff2f2801,
    0xff362d00,
    0xff362e00,
    0xff383100,
    0xff3d3301,
    0xff3c3100,
    0xff3c3201,
    0xff3c3200,
    0xff3b3100,
    0xff3b3200,
    0xff383300,
    0xff353200,
    0xff333000,
    0xff302f00,
    0xff292e00,
    0xff2d3101,
    0xff323307,
    0xff34360c,
    0xff36340f,
    0xff36320f,
    0xff353011,
    0xff353011,
    0xff332c10,
    0xff302b0e,
    0xff2f290e,
    0xff2d270d,
    0xff28230b,
    0xff261e0b,
    0xff211b04,
    0xff1a1703,
    0xff121201,
    0xff040901,
    0xff000200,
    0xff010102,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010001,
    0xff010001,
    0xff000200,
    0xff000200,
    0xff020401,
    0xff000300,
    0xff010600,
    0xff050700,
    0xff080900,
    0xff080c00,
    0xff0a0d00,
    0xff0d0f01,
    0xff0d1200,
    0xff0f1500,
    0xff121800,
    0xff171801,
    0xff181801,
    0xff1d1c00,
    0xff232100,
    0xff2c2804,
    0xff342d05,
    0xff3a330d,
    0xff40380f,
    0xff453b10,
    0xff494113,
    0xff4e4415,
    0xff4f4818,
    0xff534915,
    0xff534d16,
    0xff554e18,
    0xff585019,
    0xff545218,
    0xff535116,
    0xff514f14,
    0xff4c4e12,
    0xff4b4c0e,
    0xff464c10,
    0xff444f13,
    0xff435012,
    0xff444e10,
    0xff3f4a0e,
    0xff3f4a0c,
    0xff3e480c,
    0xff3e480b,
    0xff3f480e,
    0xff3f4810,
    0xff3f4810,
    0xff3d430f,
    0xff3e430e,
    0xff40450c,
    0xff44470f,
    0xff4d4c14,
    0xff51521b,
    0xff5a5b22,
    0xff5e5f26,
    0xff63652c,
    0xff676a2c,
    0xff676d2b,
    0xff6b722a,
    0xff6d732b,
    0xff6f762c,
    0xff6f772a,
    0xff70792c,
    0xff707c2b,
    0xff727e29,
    0xff737f26,
    0xff737f20,
    0xff72811f,
    0xff74831e,
    0xff72831b,
    0xff718219,
    0xff6f8218,
    0xff708118,
    0xff6f8017,
    0xff6c7c14,
    0xff6a7a10,
    0xff65750c,
    0xff60710a,
    0xff5e6d05,
    0xff586a01,
    0xff546705,
    0xff546203,
    0xff505f01,
    0xff4e5e02,
    0xff4e5c02,
    0xff4b5702,
    0xff485402,
    0xff445102,
    0xff3f4b02,
    0xff384302,
    0xff313a00,
    0xff2c3401,
    0xff272f01,
    0xff202900,
    0xff172100,
    0xff111b00,
    0xff0a1300,
    0xff040d00,
    0xff000600,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000500,
    0xff000700,
    0xff000900,
    0xff020c00,
    0xff040f00,
    0xff051100,
    0xff051200,
    0xff051200,
    0xff061301,
    0xff041300,
    0xff061301,
    0xff061100,
    0xff061200,
    0xff051200,
    0xff071500,
    0xff081701,
    0xff0b1800,
    0xff0f1d00,
    0xff0f2000,
    0xff122100,
    0xff132400,
    0xff142400,
    0xff152400,
    0xff152501,
    0xff162701,
    0xff162801,
    0xff172700,
    0xff162600,
    0xff192602,
    0xff142301,
    0xff122100,
    0xff121b02,
    0xff0d1901,
    0xff0b1700,
    0xff0b1701,
    0xff091500,
    0xff071201,
    0xff091201,
    0xff091100,
    0xff081101,
    0xff071100,
    0xff070d00,
    0xff070d01,
    0xff060c01,
    0xff050c00,
    0xff050b01,
    0xff030b00,
    0xff030d00,
    0xff030c00,
    0xff030b00,
    0xff020b00,
    0xff020700,
    0xff020901,
    0xff010800,
    0xff010901,
    0xff040801,
    0xff010300,
    0xff010300,
    0xff010200,
    0xff000200,
    0xff020301,
    0xff020400,
    0xff020801,
    0xff050d01,
    0xff071300,
    0xff111700,
    0xff131e01,
    0xff1a2300,
    0xff1c2704,
    0xff1d2a06,
    0xff1e2f0b,
    0xff1f2f0b,
    0xff20300c,
    0xff1c300b,
    0xff1d2f0b,
    0xff1a2e0b,
    0xff1b2b09,
    0xff18290a,
    0xff172807,
    0xff142604,
    0xff122204,
    0xff102000,
    0xff0e1c01,
    0xff0a1900,
    0xff081701,
    0xff071401,
    0xff041100,
    0xff031000,
    0xff041000,
    0xff050f00,
    0xff051000,
    0xff051000,
    0xff071001,
    0xff051201,
    0xff051200,
    0xff071100,
    0xff061100,
    0xff061100,
    0xff051000,
    0xff051000,
    0xff051000,
    0xff040f00,
    0xff060e01,
    0xff050e00,
    0xff020e00,
    0xff060c00,
    0xff030c01,
    0xff050a00,
    0xff030b00,
    0xff030a00,
    0xff050b01,
    0xff040a00,
    0xff040901,
    0xff030801,
    0xff020701,
    0xff000500,
    0xff020701,
    0xff010600,
    0xff020701,
    0xff000500,
    0xff020701,
    0xff000500,
    0xff000600,
    0xff010600,
    0xff010700,
    0xff000801,
    0xff010500,
    0xff000600,
    0xff000700,
    0xff010600,
    0xff010600,
    0xff020701,
    0xff010601,
    0xff020701,
    0xff020700,
    0xff020701,
    0xff060801,
    0xff070b00,
    0xff0a0c00,
    0xff0d0f01,
    0xff0d0f01,
    0xff111000,
    0xff0f1501,
    0xff141301,
    0xff161501,
    0xff161500,
    0xff171800,
    0xff1a1800,
    0xff1d1c00,
    0xff1d1d00,
    0xff222000,
    0xff222300,
    0xff292600,
    0xff302801,
    0xff342d00,
    0xff392f01,
    0xff3c3201,
    0xff3c3200,
    0xff3d3200,
    0xff3e3100,
    0xff3c3200,
    0xff3e3400,
    0xff3f3500,
    0xff3d3501,
    0xff3b3501,
    0xff363400,
    0xff343300,
    0xff303201,
    0xff333704,
    0xff373a0c,
    0xff3b3b13,
    0xff3c3814,
    0xff3a3615,
    0xff393211,
    0xff363113,
    0xff352f11,
    0xff362d12,
    0xff322b0f,
    0xff2f280b,
    0xff2d250e,
    0xff282209,
    0xff231e07,
    0xff1a1a03,
    0xff131200,
    0xff030800,
    0xff000200,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010100,
    0xff000201,
    0xff000200,
    0xff000300,
    0xff010301,
    0xff010300,
    0xff030500,
    0xff060700,
    0xff070900,
    0xff090b00,
    0xff0b0d00,
    0xff0d1001,
    0xff101200,
    0xff131500,
    0xff141701,
    0xff171801,
    0xff1b1a00,
    0xff201e00,
    0xff2a2401,
    0xff312c06,
    0xff363107,
    0xff40340c,
    0xff42380d,
    0xff493d11,
    0xff4c4213,
    0xff504416,
    0xff514713,
    0xff554a15,
    0xff554d17,
    0xff544f16,
    0xff534f14,
    0xff545012,
    0xff4e4d11,
    0xff4d4a0d,
    0xff464b0b,
    0xff454b11,
    0xff444e10,
    0xff424d11,
    0xff404c0e,
    0xff3d480c,
    0xff3e490b,
    0xff3d490b,
    0xff3d470a,
    0xff3d460e,
    0xff3e4710,
    0xff3e440e,
    0xff3e430c,
    0xff3d400c,
    0xff3f450c,
    0xff464811,
    0xff4d4d17,
    0xff545421,
    0xff5a5c22,
    0xff5f6028,
    0xff65672e,
    0xff686c2d,
    0xff696e2c,
    0xff6b722e,
    0xff6e762e,
    0xff6f772d,
    0xff727a2e,
    0xff717c2d,
    0xff737e2d,
    0xff74802b,
    0xff748025,
    0xff738120,
    0xff75831f,
    0xff73821d,
    0xff728318,
    0xff718116,
    0xff708114,
    0xff6e8112,
    0xff6d7f12,
    0xff697d0f,
    0xff667a0c,
    0xff627609,
    0xff5d7105,
    0xff5c6d02,
    0xff596800,
    0xff556702,
    0xff516300,
    0xff515f02,
    0xff4d5e00,
    0xff4d5b01,
    0xff4c5702,
    0xff485202,
    0xff404e02,
    0xff3d4703,
    0xff364001,
    0xff313a00,
    0xff283500,
    0xff233001,
    0xff1e2901,
    0xff182200,
    0xff131b01,
    0xff091501,
    0xff020e00,
    0xff000800,
    0xff000400,
    0xff000200,
    0xff000100,
    0xff000200,
    0xff000400,
    0xff000400,
    0xff000700,
    0xff000a00,
    0xff020c01,
    0xff030f00,
    0xff041100,
    0xff051100,
    0xff031000,
    0xff041200,
    0xff051001,
    0xff041100,
    0xff031000,
    0xff041100,
    0xff071401,
    0xff061600,
    0xff0a1801,
    0xff0d1c01,
    0xff0f1f00,
    0xff112000,
    0xff122200,
    0xff132301,
    0xff132400,
    0xff142400,
    0xff152601,
    0xff152601,
    0xff152500,
    0xff162400,
    0xff132100,
    0xff111d00,
    0xff0d1a00,
    0xff0b1702,
    0xff0a1600,
    0xff0a1600,
    0xff081401,
    0xff081201,
    0xff061200,
    0xff071001,
    0xff061001,
    0xff051100,
    0xff060e00,
    0xff060d01,
    0xff070c02,
    0xff050b01,
    0xff050c01,
    0xff030c01,
    0xff050c02,
    0xff060b01,
    0xff030b01,
    0xff030902,
    0xff020901,
    0xff010800,
    0xff020901,
    0xff010800,
    0xff010900,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000400,
    0xff010700,
    0xff060a01,
    0xff081000,
    0xff111601,
    0xff111d00,
    0xff182200,
    0xff1b2703,
    0xff1b2906,
    0xff1b2b08,
    0xff1e2e0a,
    0xff1f2e0b,
    0xff1d2f0a,
    0xff1c2d0a,
    0xff182c0b,
    0xff182a09,
    0xff17280b,
    0xff172707,
    0xff132503,
    0xff112202,
    0xff112001,
    0xff0c1c00,
    0xff081800,
    0xff071601,
    0xff061200,
    0xff041100,
    0xff041100,
    0xff041000,
    0xff040e00,
    0xff050e00,
    0xff041000,
    0xff051000,
    0xff051000,
    0xff051100,
    0xff051100,
    0xff051000,
    0xff061100,
    0xff051000,
    0xff040f00,
    0xff051000,
    0xff040f00,
    0xff060e00,
    0xff040d00,
    0xff020e00,
    0xff050b00,
    0xff050c02,
    0xff040a00,
    0xff030b01,
    0xff040a00,
    0xff040a00,
    0xff050a00,
    0xff030a01,
    0xff050800,
    0xff040801,
    0xff020701,
    0xff010600,
    0xff020701,
    0xff020701,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff010500,
    0xff000500,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff010700,
    0xff000701,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff020701,
    0xff010601,
    0xff020600,
    0xff030701,
    0xff060801,
    0xff080a01,
    0xff090d00,
    0xff0d0f02,
    0xff0d1000,
    0xff0e1200,
    0xff101401,
    0xff131401,
    0xff161500,
    0xff151500,
    0xff191800,
    0xff181b00,
    0xff1d1d00,
    0xff1e1e00,
    0xff222000,
    0xff212200,
    0xff292600,
    0xff2e2901,
    0xff332e00,
    0xff393001,
    0xff3b3201,
    0xff3b3300,
    0xff3c3300,
    0xff3f3200,
    0xff3e3500,
    0xff413601,
    0xff413701,
    0xff403703,
    0xff3e3804,
    0xff3b3803,
    0xff373504,
    0xff343503,
    0xff383b08,
    0xff3c3f14,
    0xff3f3f19,
    0xff403e1a,
    0xff3e3918,
    0xff3d3515,
    0xff393314,
    0xff373011,
    0xff362f14,
    0xff362f12,
    0xff322b10,
    0xff2d260c,
    0xff2b240c,
    0xff252209,
    0xff1d1d02,
    0xff111400,
    0xff020900,
    0xff000200,
    0xff000100,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010100,
    0xff000201,
    0xff000100,
    0xff010200,
    0xff020401,
    0xff020400,
    0xff030500,
    0xff060700,
    0xff070800,
    0xff080a00,
    0xff090b00,
    0xff0c0e00,
    0xff0e1101,
    0xff0f1100,
    0xff121500,
    0xff151701,
    0xff181700,
    0xff1e1a00,
    0xff292100,
    0xff322603,
    0xff362d04,
    0xff3c3109,
    0xff3d380b,
    0xff463b0e,
    0xff4e3e12,
    0xff4d4213,
    0xff4f4412,
    0xff514711,
    0xff524a14,
    0xff534c13,
    0xff504c0e,
    0xff524c0e,
    0xff4e4b0a,
    0xff4b4909,
    0xff46480a,
    0xff424b0f,
    0xff414b0f,
    0xff3f4a0e,
    0xff3e4a0c,
    0xff3c470a,
    0xff3d460a,
    0xff3c470a,
    0xff3c460a,
    0xff3c450b,
    0xff3c450d,
    0xff3c420d,
    0xff3e400c,
    0xff3d410c,
    0xff41450d,
    0xff474913,
    0xff4d4e18,
    0xff535624,
    0xff5a5e24,
    0xff606128,
    0xff63672d,
    0xff676c2b,
    0xff6a702d,
    0xff6d7330,
    0xff6d762f,
    0xff72792e,
    0xff737b2d,
    0xff747f2e,
    0xff74802e,
    0xff75812a,
    0xff758125,
    0xff738121,
    0xff74841f,
    0xff75841a,
    0xff728315,
    0xff718314,
    0xff6f8111,
    0xff6d800f,
    0xff6a7d0c,
    0xff677b0b,
    0xff627808,
    0xff5f7403,
    0xff5b7100,
    0xff596b00,
    0xff566801,
    0xff536500,
    0xff4e6300,
    0xff4d5f00,
    0xff4c5f01,
    0xff4c5c01,
    0xff495601,
    0xff435102,
    0xff3d4e03,
    0xff3b4602,
    0xff353f00,
    0xff303a00,
    0xff283500,
    0xff232e01,
    0xff1c2800,
    0xff172200,
    0xff111b00,
    0xff091300,
    0xff040f00,
    0xff010a00,
    0xff000600,
    0xff000300,
    0xff000100,
    0xff010300,
    0xff010300,
    0xff000100,
    0xff010400,
    0xff000600,
    0xff000600,
    0xff000900,
    0xff010b00,
    0xff020e01,
    0xff020e01,
    0xff010d00,
    0xff030e00,
    0xff020d00,
    0xff020e00,
    0xff020e01,
    0xff021000,
    0xff041300,
    0xff041600,
    0xff071900,
    0xff091d00,
    0xff0c1e01,
    0xff0f1f00,
    0xff102101,
    0xff112101,
    0xff122100,
    0xff132100,
    0xff142201,
    0xff132200,
    0xff112100,
    0xff111e01,
    0xff0e1b00,
    0xff0b1800,
    0xff091701,
    0xff0a1600,
    0xff0a1600,
    0xff081301,
    0xff081302,
    0xff051000,
    0xff051000,
    0xff050f00,
    0xff051000,
    0xff050e00,
    0xff050d00,
    0xff060c01,
    0xff050a00,
    0xff010c01,
    0xff040d02,
    0xff060b02,
    0xff030b00,
    0xff040b00,
    0xff030900,
    0xff020a02,
    0xff010800,
    0xff010901,
    0xff020901,
    0xff010801,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000501,
    0xff010601,
    0xff020901,
    0xff040f00,
    0xff091500,
    0xff101b00,
    0xff152000,
    0xff172400,
    0xff192808,
    0xff1a2908,
    0xff1c2d08,
    0xff1d2e0a,
    0xff1c2f0b,
    0xff1b2c0b,
    0xff1a2a0c,
    0xff16290b,
    0xff162808,
    0xff152605,
    0xff112401,
    0xff102100,
    0xff101e01,
    0xff0b1a00,
    0xff081700,
    0xff061500,
    0xff061402,
    0xff041201,
    0xff051000,
    0xff040f01,
    0xff030f01,
    0xff020e00,
    0xff030e00,
    0xff040f00,
    0xff050f00,
    0xff051000,
    0xff041200,
    0xff050f00,
    0xff051000,
    0xff050f00,
    0xff041000,
    0xff050f00,
    0xff041000,
    0xff060d01,
    0xff040d00,
    0xff040e01,
    0xff040c00,
    0xff050a01,
    0xff050b01,
    0xff030a00,
    0xff030a00,
    0xff060b01,
    0xff070800,
    0xff040900,
    0xff040901,
    0xff020700,
    0xff010600,
    0xff010600,
    0xff020701,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff000600,
    0xff010600,
    0xff010500,
    0xff010500,
    0xff010801,
    0xff000700,
    0xff010701,
    0xff000500,
    0xff020701,
    0xff000500,
    0xff010600,
    0xff020701,
    0xff020700,
    0xff050801,
    0xff070700,
    0xff080b01,
    0xff080d00,
    0xff0c0e01,
    0xff0e1001,
    0xff101200,
    0xff101400,
    0xff121500,
    0xff151701,
    0xff151802,
    0xff191900,
    0xff1b1c01,
    0xff1d1e01,
    0xff1d2000,
    0xff1f2101,
    0xff232300,
    0xff292700,
    0xff2d2900,
    0xff322e00,
    0xff382f01,
    0xff3b3200,
    0xff3c3400,
    0xff3a3400,
    0xff3e3300,
    0xff403700,
    0xff433603,
    0xff443a04,
    0xff423a07,
    0xff403a06,
    0xff3c3907,
    0xff3c3805,
    0xff383907,
    0xff3f3f0e,
    0xff414517,
    0xff43451c,
    0xff44421d,
    0xff443e1c,
    0xff413a1a,
    0xff3e3616,
    0xff393413,
    0xff373114,
    0xff362e11,
    0xff332d11,
    0xff2f2a0e,
    0xff2c260d,
    0xff272408,
    0xff1e1d01,
    0xff141500,
    0xff020900,
    0xff000300,
    0xff000200,
    0xff010101,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010000,
    0xff010001,
    0xff000100,
    0xff010300,
    0xff010300,
    0xff030500,
    0xff050701,
    0xff050600,
    0xff070800,
    0xff080901,
    0xff0a0c00,
    0xff0c0d00,
    0xff0e1000,
    0xff0e1200,
    0xff131400,
    0xff171500,
    0xff1c1900,
    0xff261c01,
    0xff2e2301,
    0xff352803,
    0xff3c3007,
    0xff3f3309,
    0xff44380c,
    0xff483b0f,
    0xff4c3d10,
    0xff4d4112,
    0xff4f4610,
    0xff514811,
    0xff52490e,
    0xff4f490b,
    0xff4f480a,
    0xff4b4809,
    0xff464508,
    0xff424508,
    0xff3e490d,
    0xff3e480c,
    0xff3c4809,
    0xff3b4607,
    0xff3b4508,
    0xff3c4509,
    0xff3e450a,
    0xff3c4409,
    0xff3d4609,
    0xff3c450d,
    0xff3c420a,
    0xff3e400c,
    0xff3d430a,
    0xff43470f,
    0xff494c17,
    0xff4e501a,
    0xff545620,
    0xff5b5d24,
    0xff5d6026,
    0xff64692a,
    0xff666c2a,
    0xff68702d,
    0xff6f7331,
    0xff6f782f,
    0xff747a2f,
    0xff747d2f,
    0xff747f30,
    0xff738230,
    0xff76822a,
    0xff758224,
    0xff738320,
    0xff72841d,
    0xff758416,
    0xff6f8411,
    0xff6e810d,
    0xff6c7f0b,
    0xff687d09,
    0xff667a06,
    0xff667907,
    0xff5f7501,
    0xff5b7201,
    0xff536e00,
    0xff506a00,
    0xff516702,
    0xff506400,
    0xff4c6100,
    0xff4b6000,
    0xff4b5f01,
    0xff4a5b02,
    0xff455602,
    0xff404f02,
    0xff3d4903,
    0xff374401,
    0xff343e01,
    0xff2e3900,
    0xff273300,
    0xff212d00,
    0xff1a2701,
    0xff172000,
    0xff131a00,
    0xff0c1400,
    0xff081000,
    0xff010d00,
    0xff000801,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff010200,
    0xff010401,
    0xff000600,
    0xff000600,
    0xff000801,
    0xff000900,
    0xff010900,
    0xff000c01,
    0xff000a00,
    0xff010b00,
    0xff010c00,
    0xff010d01,
    0xff020f00,
    0xff031200,
    0xff051401,
    0xff051700,
    0xff091901,
    0xff0b1b00,
    0xff0e1c01,
    0xff0d1d00,
    0xff0d1d01,
    0xff0e1d01,
    0xff0d1e00,
    0xff0e1d01,
    0xff0e1d01,
    0xff0d1b01,
    0xff0b1900,
    0xff0b1802,
    0xff081700,
    0xff091600,
    0xff0a1501,
    0xff071401,
    0xff071101,
    0xff051000,
    0xff040f00,
    0xff051000,
    0xff041000,
    0xff030f00,
    0xff050c01,
    0xff050c02,
    0xff050b01,
    0xff020c01,
    0xff030a00,
    0xff030c01,
    0xff040b00,
    0xff030b00,
    0xff030800,
    0xff010901,
    0xff020901,
    0xff010901,
    0xff010900,
    0xff020901,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000300,
    0xff000501,
    0xff030601,
    0xff060c01,
    0xff071100,
    0xff0e1800,
    0xff131e00,
    0xff182300,
    0xff172704,
    0xff192705,
    0xff1a2a08,
    0xff1b2c09,
    0xff192c09,
    0xff192a09,
    0xff17290a,
    0xff162807,
    0xff162707,
    0xff122503,
    0xff122200,
    0xff0f1f00,
    0xff0d1d01,
    0xff0a1900,
    0xff081700,
    0xff051400,
    0xff041301,
    0xff041100,
    0xff030e00,
    0xff010f01,
    0xff050d00,
    0xff070d01,
    0xff020e00,
    0xff040e00,
    0xff040e00,
    0xff040f00,
    0xff031100,
    0xff051000,
    0xff040f00,
    0xff041000,
    0xff020f00,
    0xff040f00,
    0xff040f00,
    0xff050d01,
    0xff040c00,
    0xff020e00,
    0xff030e00,
    0xff030b01,
    0xff020b01,
    0xff020b01,
    0xff060800,
    0xff040b00,
    0xff040a00,
    0xff050a00,
    0xff020901,
    0xff020800,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff010500,
    0xff000700,
    0xff010701,
    0xff010600,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff030700,
    0xff030701,
    0xff060800,
    0xff080a00,
    0xff090e01,
    0xff0b0e00,
    0xff0e1101,
    0xff101300,
    0xff111500,
    0xff141701,
    0xff141600,
    0xff151701,
    0xff191900,
    0xff1d1c01,
    0xff1d1d00,
    0xff221d00,
    0xff212200,
    0xff232300,
    0xff262700,
    0xff2d2900,
    0xff342f00,
    0xff383001,
    0xff3b3200,
    0xff3d3200,
    0xff3d3300,
    0xff413600,
    0xff433701,
    0xff433904,
    0xff443a05,
    0xff453b08,
    0xff423c07,
    0xff3f3a07,
    0xff3d3a04,
    0xff3e3e07,
    0xff424513,
    0xff474a1a,
    0xff49491e,
    0xff4b4821,
    0xff49451e,
    0xff45401d,
    0xff43391a,
    0xff3e3818,
    0xff3a3417,
    0xff383112,
    0xff352f13,
    0xff322d10,
    0xff2f290d,
    0xff282609,
    0xff1e1f01,
    0xff121501,
    0xff050b01,
    0xff000700,
    0xff000300,
    0xff000200,
    0xff000101,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff020400,
    0xff030600,
    0xff040700,
    0xff060801,
    0xff060700,
    0xff080900,
    0xff090b00,
    0xff0c0d00,
    0xff0e0f00,
    0xff0f1201,
    0xff131400,
    0xff1a1600,
    0xff231b00,
    0xff2a1f00,
    0xff342601,
    0xff392c03,
    0xff3d3107,
    0xff41340a,
    0xff45370c,
    0xff473b0e,
    0xff4a3e0f,
    0xff4d420e,
    0xff4e460b,
    0xff4f460a,
    0xff4f480a,
    0xff4b4408,
    0xff474406,
    0xff424206,
    0xff3c4408,
    0xff3c460a,
    0xff3c4509,
    0xff3a4307,
    0xff394206,
    0xff3b4308,
    0xff3b4509,
    0xff3a4509,
    0xff3c4409,
    0xff3d460a,
    0xff3d450a,
    0xff3d4309,
    0xff3f400b,
    0xff42440b,
    0xff454810,
    0xff4a4c18,
    0xff50501c,
    0xff575622,
    0xff5b5d24,
    0xff5f6226,
    0xff636729,
    0xff656c28,
    0xff69702d,
    0xff6e752e,
    0xff70782d,
    0xff747c2f,
    0xff747e2f,
    0xff767f30,
    0xff75822c,
    0xff768329,
    0xff748222,
    0xff738320,
    0xff72831b,
    0xff6e8511,
    0xff69810d,
    0xff678009,
    0xff647e06,
    0xff637b04,
    0xff617803,
    0xff5f7600,
    0xff5a7100,
    0xff546e00,
    0xff526900,
    0xff506600,
    0xff4d6500,
    0xff4a6200,
    0xff4a6001,
    0xff496000,
    0xff4a5e01,
    0xff495902,
    0xff405403,
    0xff3d4e02,
    0xff3a4902,
    0xff354302,
    0xff303e01,
    0xff2a3901,
    0xff253200,
    0xff1f2c00,
    0xff192500,
    0xff151f00,
    0xff131a01,
    0xff0f1701,
    0xff0b1401,
    0xff050f00,
    0xff010900,
    0xff000500,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010200,
    0xff000300,
    0xff000300,
    0xff000500,
    0xff000601,
    0xff010601,
    0xff010600,
    0xff000800,
    0xff000900,
    0xff000901,
    0xff010901,
    0xff000a00,
    0xff000b00,
    0xff010f00,
    0xff011000,
    0xff011300,
    0xff081703,
    0xff081700,
    0xff0a1800,
    0xff0a1901,
    0xff0a1900,
    0xff0a1900,
    0xff0c1800,
    0xff091800,
    0xff0a1900,
    0xff0a1800,
    0xff071600,
    0xff081601,
    0xff081600,
    0xff071400,
    0xff071301,
    0xff051200,
    0xff061201,
    0xff061101,
    0xff061000,
    0xff030e00,
    0xff040d00,
    0xff030d00,
    0xff050b01,
    0xff030b01,
    0xff040b00,
    0xff050b01,
    0xff020b00,
    0xff000a00,
    0xff050901,
    0xff000b01,
    0xff010900,
    0xff010800,
    0xff000800,
    0xff020700,
    0xff000800,
    0xff010700,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010200,
    0xff000500,
    0xff000600,
    0xff050a01,
    0xff051000,
    0xff0c1401,
    0xff111c01,
    0xff131f00,
    0xff162501,
    0xff172703,
    0xff192707,
    0xff192908,
    0xff1a2b08,
    0xff182a08,
    0xff152908,
    0xff162708,
    0xff142502,
    0xff122300,
    0xff102101,
    0xff111e01,
    0xff0b1b01,
    0xff0b1902,
    0xff071700,
    0xff061500,
    0xff041100,
    0xff041100,
    0xff040f01,
    0xff030e01,
    0xff040c00,
    0xff040d00,
    0xff020d00,
    0xff040c00,
    0xff050e00,
    0xff040e00,
    0xff050e00,
    0xff040f00,
    0xff030f00,
    0xff040d01,
    0xff040f01,
    0xff070d01,
    0xff020f01,
    0xff060d00,
    0xff050e00,
    0xff040d00,
    0xff040c00,
    0xff040c01,
    0xff020b00,
    0xff030c00,
    0xff040a00,
    0xff040b01,
    0xff020c00,
    0xff030800,
    0xff030801,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010500,
    0xff000700,
    0xff010700,
    0xff010600,
    0xff010500,
    0xff000600,
    0xff000800,
    0xff000700,
    0xff000700,
    0xff010700,
    0xff030801,
    0xff030701,
    0xff070901,
    0xff0a0e00,
    0xff0b0f01,
    0xff0e1001,
    0xff0f1300,
    0xff121401,
    0xff131600,
    0xff151701,
    0xff161800,
    0xff191a00,
    0xff1e1c00,
    0xff1e1d00,
    0xff1e1f01,
    0xff202200,
    0xff242401,
    0xff252700,
    0xff2d2800,
    0xff332f00,
    0xff383202,
    0xff3b3101,
    0xff3c3200,
    0xff3e3401,
    0xff423700,
    0xff433802,
    0xff453c05,
    0xff453b06,
    0xff473c07,
    0xff433d07,
    0xff403c06,
    0xff3f3c08,
    0xff44430a,
    0xff484a15,
    0xff4c4c1a,
    0xff4e4c20,
    0xff4e4b21,
    0xff4c4921,
    0xff494521,
    0xff433d1b,
    0xff40391a,
    0xff3b3616,
    0xff3b3313,
    0xff373111,
    0xff332e11,
    0xff2f2a0d,
    0xff292607,
    0xff1e1e00,
    0xff101301,
    0xff070c00,
    0xff030b01,
    0xff000800,
    0xff000300,
    0xff000100,
    0xff000201,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff020400,
    0xff030500,
    0xff040601,
    0xff060701,
    0xff070700,
    0xff080800,
    0xff090900,
    0xff0a0b00,
    0xff0c0f00,
    0xff0e1000,
    0xff181400,
    0xff1f1800,
    0xff281e00,
    0xff322300,
    0xff352700,
    0xff392d03,
    0xff3c3107,
    0xff42330a,
    0xff45370a,
    0xff46390b,
    0xff4a3c09,
    0xff484009,
    0xff4a4308,
    0xff494306,
    0xff474105,
    0xff454104,
    0xff3e3f04,
    0xff3b4207,
    0xff384105,
    0xff364203,
    0xff374105,
    0xff394006,
    0xff3b4207,
    0xff3c4308,
    0xff3b4409,
    0xff3c4409,
    0xff3c4508,
    0xff3e4409,
    0xff3c4209,
    0xff3f3f08,
    0xff43440b,
    0xff474a12,
    0xff4a4d1a,
    0xff53511d,
    0xff595624,
    0xff5c5e26,
    0xff636228,
    0xff636829,
    0xff686c28,
    0xff6a732a,
    0xff6d752e,
    0xff737a2e,
    0xff757d2e,
    0xff747e2f,
    0xff76812f,
    0xff768329,
    0xff768225,
    0xff738220,
    0xff72831c,
    0xff708215,
    0xff6b810e,
    0xff667f07,
    0xff657c05,
    0xff627b02,
    0xff5e7900,
    0xff5c7601,
    0xff587301,
    0xff566f01,
    0xff526b01,
    0xff4e6801,
    0xff4c6400,
    0xff4b6400,
    0xff496200,
    0xff476000,
    0xff486000,
    0xff485d02,
    0xff455703,
    0xff3e5302,
    0xff3b4e02,
    0xff374900,
    0xff334101,
    0xff2e3c00,
    0xff2a3800,
    0xff233100,
    0xff1e2b01,
    0xff182600,
    0xff161e00,
    0xff121c01,
    0xff131701,
    0xff0d1400,
    0xff061000,
    0xff040c01,
    0xff000600,
    0xff010200,
    0xff000200,
    0xff020401,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000400,
    0xff000501,
    0xff000400,
    0xff010501,
    0xff000400,
    0xff000600,
    0xff010700,
    0xff000701,
    0xff000701,
    0xff000700,
    0xff000800,
    0xff000b00,
    0xff000c01,
    0xff000f00,
    0xff031100,
    0xff011500,
    0xff041601,
    0xff061700,
    0xff061600,
    0xff041700,
    0xff071601,
    0xff061600,
    0xff081600,
    0xff081600,
    0xff061602,
    0xff051502,
    0xff061301,
    0xff061301,
    0xff041200,
    0xff061301,
    0xff071100,
    0xff061100,
    0xff051000,
    0xff040e00,
    0xff040b00,
    0xff010800,
    0xff040a00,
    0xff030b00,
    0xff010a00,
    0xff040900,
    0xff030b00,
    0xff010a01,
    0xff030901,
    0xff010900,
    0xff020701,
    0xff010800,
    0xff020700,
    0xff020800,
    0xff010700,
    0xff020600,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000401,
    0xff010601,
    0xff040801,
    0xff060d00,
    0xff071200,
    0xff101601,
    0xff101c00,
    0xff122200,
    0xff172500,
    0xff172703,
    0xff172804,
    0xff172804,
    0xff162703,
    0xff152707,
    0xff142503,
    0xff132401,
    0xff112200,
    0xff0e1f00,
    0xff0d1d01,
    0xff0a1a00,
    0xff081600,
    0xff061701,
    0xff061500,
    0xff051200,
    0xff041100,
    0xff040e00,
    0xff020d00,
    0xff020d00,
    0xff020c01,
    0xff030d01,
    0xff040c00,
    0xff060d01,
    0xff040d00,
    0xff060e01,
    0xff020e00,
    0xff050e01,
    0xff010e00,
    0xff030d00,
    0xff020d00,
    0xff030d00,
    0xff020e00,
    0xff030e00,
    0xff040c00,
    0xff070c00,
    0xff030b01,
    0xff040902,
    0xff030900,
    0xff030a00,
    0xff060800,
    0xff040801,
    0xff050801,
    0xff040802,
    0xff020700,
    0xff000600,
    0xff020400,
    0xff000500,
    0xff000500,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000500,
    0xff000500,
    0xff010500,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010700,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff000600,
    0xff000801,
    0xff020600,
    0xff040700,
    0xff070a02,
    0xff080b00,
    0xff0a0e00,
    0xff0c1001,
    0xff0e1100,
    0xff121401,
    0xff161500,
    0xff141700,
    0xff161800,
    0xff1b1a00,
    0xff1c1c00,
    0xff1e1e00,
    0xff1e1f01,
    0xff202201,
    0xff242500,
    0xff262700,
    0xff2e2a01,
    0xff312f00,
    0xff373101,
    0xff3b3200,
    0xff3c3200,
    0xff403500,
    0xff423801,
    0xff443804,
    0xff443a06,
    0xff453b06,
    0xff463e07,
    0xff433d07,
    0xff433e07,
    0xff454008,
    0xff4a490f,
    0xff4d4e18,
    0xff51501e,
    0xff504f20,
    0xff4f4f21,
    0xff504c23,
    0xff4c4822,
    0xff47421d,
    0xff433b1b,
    0xff3d3718,
    0xff3b3416,
    0xff393313,
    0xff343010,
    0xff322c0f,
    0xff282607,
    0xff1b1c00,
    0xff0e1201,
    0xff070e00,
    0xff060d00,
    0xff010c00,
    0xff000800,
    0xff010400,
    0xff000200,
    0xff010200,
    0xff000100,
    0xff000201,
    0xff000100,
    0xff010000,
    0xff000000,
    0xff000201,
    0xff010000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff010100,
    0xff000200,
    0xff010200,
    0xff020200,
    0xff020301,
    0xff020301,
    0xff040400,
    0xff060500,
    0xff060500,
    0xff070500,
    0xff080700,
    0xff080701,
    0xff0a0900,
    0xff0b0c00,
    0xff131100,
    0xff1d1600,
    0xff271b01,
    0xff2e2000,
    0xff322301,
    0xff352700,
    0xff3a2c04,
    0xff3b3003,
    0xff3f3305,
    0xff423407,
    0xff443806,
    0xff463b05,
    0xff493d04,
    0xff473f05,
    0xff454005,
    0xff423e03,
    0xff3d3d04,
    0xff363c02,
    0xff343d01,
    0xff363c02,
    0xff353e04,
    0xff364004,
    0xff3a4107,
    0xff3c4106,
    0xff3e4408,
    0xff3d4308,
    0xff3f4509,
    0xff3f4509,
    0xff3e4408,
    0xff3d4208,
    0xff43440c,
    0xff474a14,
    0xff504e1a,
    0xff545221,
    0xff585821,
    0xff5f5e28,
    0xff646328,
    0xff636929,
    0xff696e29,
    0xff6c7327,
    0xff6e762c,
    0xff71792c,
    0xff747c2e,
    0xff747e2f,
    0xff75812d,
    0xff758228,
    0xff748323,
    0xff73831f,
    0xff728319,
    0xff708111,
    0xff668009,
    0xff627c03,
    0xff5f7b01,
    0xff5d7a00,
    0xff5a7600,
    0xff567300,
    0xff547001,
    0xff506c00,
    0xff4e6a00,
    0xff4c6800,
    0xff496300,
    0xff496300,
    0xff476100,
    0xff456000,
    0xff475f01,
    0xff475a01,
    0xff3f5602,
    0xff3d5202,
    0xff384e02,
    0xff364703,
    0xff2f4201,
    0xff2d3c00,
    0xff2a3602,
    0xff223102,
    0xff202d01,
    0xff1a2700,
    0xff172201,
    0xff151e00,
    0xff121900,
    0xff101701,
    0xff081401,
    0xff040d00,
    0xff000800,
    0xff000400,
    0xff010200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000300,
    0xff000300,
    0xff000501,
    0xff000401,
    0xff000501,
    0xff000400,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000800,
    0xff000800,
    0xff000c00,
    0xff000c00,
    0xff010f00,
    0xff011100,
    0xff021300,
    0xff041300,
    0xff031300,
    0xff021401,
    0xff041300,
    0xff031301,
    0xff061200,
    0xff041300,
    0xff041100,
    0xff051100,
    0xff051100,
    0xff051200,
    0xff041100,
    0xff051100,
    0xff051001,
    0xff060e01,
    0xff040c00,
    0xff010b01,
    0xff010801,
    0xff010800,
    0xff010800,
    0xff040801,
    0xff030800,
    0xff020900,
    0xff010800,
    0xff010901,
    0xff010901,
    0xff020701,
    0xff020901,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff020701,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000400,
    0xff010600,
    0xff050b00,
    0xff060f00,
    0xff0b1501,
    0xff111800,
    0xff111e00,
    0xff142200,
    0xff132300,
    0xff142501,
    0xff152602,
    0xff152602,
    0xff142502,
    0xff132402,
    0xff122301,
    0xff0f2000,
    0xff0d1d00,
    0xff081c00,
    0xff091800,
    0xff081700,
    0xff061601,
    0xff051400,
    0xff051200,
    0xff031000,
    0xff020e00,
    0xff030e00,
    0xff020c00,
    0xff020c01,
    0xff010c01,
    0xff010b01,
    0xff030c00,
    0xff040c00,
    0xff020e00,
    0xff010d00,
    0xff040d00,
    0xff010d00,
    0xff010d00,
    0xff010c00,
    0xff040d00,
    0xff020e00,
    0xff030d00,
    0xff020d00,
    0xff030b00,
    0xff020b00,
    0xff020a02,
    0xff020a01,
    0xff040a00,
    0xff020b00,
    0xff040802,
    0xff040901,
    0xff010700,
    0xff020700,
    0xff000600,
    0xff030400,
    0xff010602,
    0xff000500,
    0xff000500,
    0xff000501,
    0xff000400,
    0xff000501,
    0xff000401,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010500,
    0xff010600,
    0xff010801,
    0xff010500,
    0xff010600,
    0xff010701,
    0xff000800,
    0xff000800,
    0xff010600,
    0xff050800,
    0xff070a00,
    0xff090d00,
    0xff0b0f01,
    0xff0f1100,
    0xff0e1400,
    0xff151500,
    0xff141700,
    0xff161800,
    0xff1b1a01,
    0xff1d1c00,
    0xff1f1f00,
    0xff1e1f00,
    0xff202301,
    0xff232500,
    0xff272900,
    0xff2d2a01,
    0xff312e00,
    0xff373001,
    0xff3c3100,
    0xff3d3300,
    0xff3f3600,
    0xff433802,
    0xff443804,
    0xff463b07,
    0xff463b07,
    0xff433f08,
    0xff46400a,
    0xff45410a,
    0xff4a440c,
    0xff4e4c12,
    0xff50501c,
    0xff505020,
    0xff514f21,
    0xff505122,
    0xff524e25,
    0xff504b23,
    0xff4c4620,
    0xff443f1a,
    0xff413918,
    0xff3d3616,
    0xff383311,
    0xff342f11,
    0xff322c0c,
    0xff282606,
    0xff181b00,
    0xff0e1200,
    0xff070f01,
    0xff070f00,
    0xff070d00,
    0xff020d00,
    0xff000800,
    0xff000501,
    0xff000300,
    0xff010200,
    0xff010201,
    0xff010101,
    0xff010101,
    0xff020102,
    0xff000100,
    0xff000100,
    0xff020102,
    0xff010101,
    0xff000001,
    0xff010001,
    0xff000200,
    0xff000300,
    0xff000100,
    0xff020100,
    0xff010300,
    0xff030200,
    0xff050200,
    0xff040300,
    0xff040300,
    0xff040300,
    0xff050400,
    0xff060500,
    0xff070700,
    0xff080900,
    0xff110d00,
    0xff1b1400,
    0xff241900,
    0xff291d01,
    0xff2f1e00,
    0xff312200,
    0xff372700,
    0xff372c01,
    0xff3a2f01,
    0xff3e3104,
    0xff3d3601,
    0xff423702,
    0xff463c03,
    0xff443e03,
    0xff443e05,
    0xff413d04,
    0xff3c3b02,
    0xff363900,
    0xff353900,
    0xff333b00,
    0xff343c04,
    0xff374005,
    0xff3a4006,
    0xff394308,
    0xff3d4306,
    0xff3d4307,
    0xff3e4307,
    0xff3e4408,
    0xff3d4307,
    0xff3f420a,
    0xff42460d,
    0xff484b15,
    0xff514e1c,
    0xff555321,
    0xff585a22,
    0xff616028,
    0xff65642b,
    0xff64692a,
    0xff696e2b,
    0xff6d7329,
    0xff6d7729,
    0xff71792a,
    0xff737b2e,
    0xff747e2d,
    0xff74802a,
    0xff748126,
    0xff738223,
    0xff73831d,
    0xff6e8215,
    0xff687e0b,
    0xff617e07,
    0xff607a02,
    0xff5d7a00,
    0xff5a7700,
    0xff577500,
    0xff547100,
    0xff526d00,
    0xff4c6b00,
    0xff4b6900,
    0xff4a6600,
    0xff476300,
    0xff466100,
    0xff456001,
    0xff445f00,
    0xff435d01,
    0xff425800,
    0xff3d5601,
    0xff3a5001,
    0xff384a03,
    0xff344403,
    0xff2f3f02,
    0xff2d3b02,
    0xff2a3703,
    0xff233203,
    0xff1d2e01,
    0xff1d2a00,
    0xff1a2500,
    0xff152002,
    0xff131c00,
    0xff0f1702,
    0xff0c1500,
    0xff061000,
    0xff000900,
    0xff000501,
    0xff000200,
    0xff010200,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff000400,
    0xff000501,
    0xff000501,
    0xff000300,
    0xff000501,
    0xff000401,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000900,
    0xff000900,
    0xff000a00,
    0xff010c00,
    0xff010e01,
    0xff010f00,
    0xff010e00,
    0xff020f00,
    0xff020f00,
    0xff010f00,
    0xff020f00,
    0xff010e00,
    0xff021000,
    0xff030f00,
    0xff030e00,
    0xff041001,
    0xff031100,
    0xff040f00,
    0xff040f00,
    0xff070d00,
    0xff040c00,
    0xff020a00,
    0xff010801,
    0xff000800,
    0xff000600,
    0xff030701,
    0xff020700,
    0xff000900,
    0xff020700,
    0xff000800,
    0xff010900,
    0xff010700,
    0xff030700,
    0xff000800,
    0xff000700,
    0xff000500,
    0xff010701,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000300,
    0xff010600,
    0xff030801,
    0xff050e00,
    0xff0a1201,
    0xff0b1701,
    0xff101b00,
    0xff121e01,
    0xff112000,
    0xff132101,
    0xff122200,
    0xff122301,
    0xff112200,
    0xff112200,
    0xff0f2000,
    0xff0e1e00,
    0xff081d00,
    0xff061a00,
    0xff081600,
    0xff081701,
    0xff051600,
    0xff041400,
    0xff051100,
    0xff030f02,
    0xff040e01,
    0xff010e00,
    0xff010d00,
    0xff010b00,
    0xff020a00,
    0xff010a00,
    0xff010b00,
    0xff010b00,
    0xff010b01,
    0xff010b00,
    0xff010b01,
    0xff020c01,
    0xff020c01,
    0xff020d01,
    0xff020b01,
    0xff040b01,
    0xff030b00,
    0xff010c01,
    0xff020901,
    0xff030801,
    0xff030902,
    0xff010a01,
    0xff020b00,
    0xff040b01,
    0xff040802,
    0xff020700,
    0xff020801,
    0xff020701,
    0xff000500,
    0xff000500,
    0xff010300,
    0xff020301,
    0xff020301,
    0xff000501,
    0xff010200,
    0xff020300,
    0xff010401,
    0xff000401,
    0xff000401,
    0xff000600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff020601,
    0xff000800,
    0xff010600,
    0xff050801,
    0xff050801,
    0xff080c01,
    0xff0a0e00,
    0xff0d0f00,
    0xff0f1201,
    0xff121501,
    0xff141601,
    0xff161800,
    0xff1c1c01,
    0xff1e1d01,
    0xff1e1e01,
    0xff1f2001,
    0xff222200,
    0xff232600,
    0xff272900,
    0xff2d2a01,
    0xff312e00,
    0xff343000,
    0xff3b3000,
    0xff3c3200,
    0xff403600,
    0xff423801,
    0xff443905,
    0xff453d04,
    0xff453e07,
    0xff48410a,
    0xff48410a,
    0xff47430a,
    0xff4c470b,
    0xff504d14,
    0xff51511d,
    0xff50511f,
    0xff515120,
    0xff514f23,
    0xff504f22,
    0xff4f4e25,
    0xff4e4921,
    0xff46421c,
    0xff413c1a,
    0xff3c3715,
    0xff373211,
    0xff332e0d,
    0xff2f2b0b,
    0xff232500,
    0xff181a00,
    0xff0d1401,
    0xff0b1101,
    0xff071200,
    0xff080f00,
    0xff040f00,
    0xff010c01,
    0xff000801,
    0xff000500,
    0xff000400,
    0xff000400,
    0xff000300,
    0xff000200,
    0xff000100,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010200,
    0xff000200,
    0xff010300,
    0xff000300,
    0xff010300,
    0xff030200,
    0xff040301,
    0xff020100,
    0xff020100,
    0xff050400,
    0xff050200,
    0xff050300,
    0xff070601,
    0xff080800,
    0xff110d00,
    0xff1a1200,
    0xff221600,
    0xff261900,
    0xff2b1901,
    0xff2e1f00,
    0xff332300,
    0xff352700,
    0xff382d00,
    0xff3c2d00,
    0xff3c3101,
    0xff3f3500,
    0xff433903,
    0xff433b04,
    0xff413d05,
    0xff403c03,
    0xff3a3a01,
    0xff363701,
    0xff353500,
    0xff333801,
    0xff333c00,
    0xff393c03,
    0xff3d4004,
    0xff394105,
    0xff3c4206,
    0xff3c4204,
    0xff3b4302,
    0xff3e4207,
    0xff3d4106,
    0xff3f4308,
    0xff46460f,
    0xff4a4a16,
    0xff514f1e,
    0xff565420,
    0xff5c5b24,
    0xff626129,
    0xff65632b,
    0xff67672c,
    0xff6a6c2c,
    0xff6c722b,
    0xff6f742b,
    0xff70792a,
    0xff717a2d,
    0xff717d2b,
    0xff737f29,
    0xff738023,
    0xff70811d,
    0xff6c8119,
    0xff677f11,
    0xff647c08,
    0xff617d05,
    0xff5e7b02,
    0xff5a7900,
    0xff567500,
    0xff567401,
    0xff527200,
    0xff4d6d00,
    0xff4c6a00,
    0xff466900,
    0xff466400,
    0xff476101,
    0xff436001,
    0xff425e01,
    0xff445f02,
    0xff425d02,
    0xff405801,
    0xff3b5502,
    0xff3b4e03,
    0xff374a03,
    0xff344402,
    0xff2e3d02,
    0xff2c3b05,
    0xff283602,
    0xff253405,
    0xff243106,
    0xff212e02,
    0xff1c2800,
    0xff1a2400,
    0xff151d00,
    0xff111900,
    0xff0c1600,
    0xff081201,
    0xff000b01,
    0xff000501,
    0xff000400,
    0xff000400,
    0xff000400,
    0xff000400,
    0xff000400,
    0xff000400,
    0xff000501,
    0xff000400,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff000401,
    0xff000401,
    0xff010501,
    0xff010500,
    0xff010500,
    0xff010500,
    0xff010501,
    0xff000501,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000800,
    0xff000a00,
    0xff000b01,
    0xff000b00,
    0xff000b00,
    0xff000b01,
    0xff000b01,
    0xff010900,
    0xff000b00,
    0xff000b01,
    0xff010b00,
    0xff010b00,
    0xff020c00,
    0xff020c01,
    0xff020d00,
    0xff030c01,
    0xff040c01,
    0xff030a00,
    0xff030701,
    0xff000700,
    0xff010800,
    0xff000600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010701,
    0xff010701,
    0xff020701,
    0xff010801,
    0xff020700,
    0xff010701,
    0xff020701,
    0xff020601,
    0xff000701,
    0xff000300,
    0xff000300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000300,
    0xff010300,
    0xff010501,
    0xff000500,
    0xff020701,
    0xff040c00,
    0xff061000,
    0xff0b1301,
    0xff0a1800,
    0xff101b01,
    0xff111e01,
    0xff111f00,
    0xff102000,
    0xff0f1f00,
    0xff0f2000,
    0xff0f2000,
    0xff0d1d00,
    0xff0b1d00,
    0xff091b01,
    0xff051700,
    0xff061501,
    0xff071601,
    0xff051600,
    0xff041401,
    0xff041100,
    0xff020e01,
    0xff010d00,
    0xff030d00,
    0xff020c00,
    0xff010b00,
    0xff030b00,
    0xff020b00,
    0xff020c01,
    0xff010b00,
    0xff020c01,
    0xff010b00,
    0xff020c01,
    0xff010b00,
    0xff030c01,
    0xff040d02,
    0xff020b00,
    0xff020b00,
    0xff050a00,
    0xff010a01,
    0xff030800,
    0xff030801,
    0xff030700,
    0xff010a01,
    0xff040900,
    0xff030900,
    0xff060801,
    0xff030800,
    0xff020700,
    0xff010600,
    0xff010600,
    0xff000401,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000400,
    0xff000200,
    0xff020401,
    0xff010501,
    0xff000400,
    0xff000501,
    0xff020400,
    0xff000400,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010801,
    0xff020701,
    0xff010701,
    0xff000700,
    0xff010700,
    0xff010700,
    0xff050801,
    0xff070a01,
    0xff090c01,
    0xff0c0e00,
    0xff0e1100,
    0xff101300,
    0xff131700,
    0xff161801,
    0xff1a1a00,
    0xff1d1c01,
    0xff1e1e00,
    0xff202102,
    0xff212200,
    0xff232600,
    0xff272801,
    0xff2d2b01,
    0xff302d00,
    0xff322f00,
    0xff373001,
    0xff3c3201,
    0xff403700,
    0xff413702,
    0xff433804,
    0xff423c05,
    0xff464008,
    0xff484009,
    0xff49430b,
    0xff4b450c,
    0xff4d490c,
    0xff524e16,
    0xff53501d,
    0xff53511f,
    0xff525120,
    0xff4d4f21,
    0xff4e4f22,
    0xff4f4d23,
    0xff4e4a21,
    0xff49431e,
    0xff423d18,
    0xff3c3715,
    0xff373211,
    0xff332e0e,
    0xff2b2a08,
    0xff222302,
    0xff171a00,
    0xff0d1400,
    0xff091101,
    0xff081200,
    0xff071301,
    0xff051200,
    0xff051000,
    0xff010c00,
    0xff000901,
    0xff000800,
    0xff000500,
    0xff000500,
    0xff000502,
    0xff000300,
    0xff010200,
    0xff000500,
    0xff000500,
    0xff000401,
    0xff000501,
    0xff010300,
    0xff020301,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff020300,
    0xff010400,
    0xff050200,
    0xff020300,
    0xff050201,
    0xff040300,
    0xff070300,
    0xff050300,
    0xff060500,
    0xff0a0800,
    0xff130c01,
    0xff181200,
    0xff1e1500,
    0xff251700,
    0xff291800,
    0xff2d1c01,
    0xff301f01,
    0xff342500,
    0xff362800,
    0xff392a00,
    0xff3c2f00,
    0xff3c3300,
    0xff413700,
    0xff403901,
    0xff3f3c04,
    0xff3d3a01,
    0xff393700,
    0xff343600,
    0xff333700,
    0xff333600,
    0xff333a00,
    0xff363c02,
    0xff3b3f03,
    0xff3c4004,
    0xff3b4104,
    0xff3c4204,
    0xff3a4303,
    0xff3d4005,
    0xff3e4205,
    0xff3e4309,
    0xff47450d,
    0xff484c17,
    0xff50501e,
    0xff585723,
    0xff5e5d26,
    0xff626129,
    0xff64632b,
    0xff68682b,
    0xff686c2b,
    0xff6a6f2d,
    0xff6e742f,
    0xff70782c,
    0xff717a2c,
    0xff717c2b,
    0xff717e27,
    0xff717e22,
    0xff6f801c,
    0xff687f15,
    0xff657c0f,
    0xff647b09,
    0xff617b06,
    0xff5b7a03,
    0xff5a7801,
    0xff577600,
    0xff567500,
    0xff537000,
    0xff4d6d00,
    0xff4c6b01,
    0xff4b6500,
    0xff456301,
    0xff456001,
    0xff435f00,
    0xff405e01,
    0xff425e00,
    0xff425c03,
    0xff3e5702,
    0xff3a5103,
    0xff394c04,
    0xff354703,
    0xff324203,
    0xff2e3e03,
    0xff2c3a04,
    0xff2a3705,
    0xff283505,
    0xff263305,
    0xff233004,
    0xff1e2d02,
    0xff1c2801,
    0xff192302,
    0xff141d01,
    0xff101a00,
    0xff0a1500,
    0xff040e00,
    0xff000800,
    0xff000700,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000400,
    0xff000501,
    0xff000401,
    0xff000500,
    0xff000501,
    0xff010500,
    0xff000600,
    0xff010501,
    0xff000501,
    0xff000500,
    0xff000600,
    0xff000500,
    0xff000600,
    0xff000501,
    0xff000501,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff010700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000800,
    0xff010700,
    0xff010800,
    0xff000900,
    0xff000a01,
    0xff000a00,
    0xff030c00,
    0xff030a01,
    0xff010801,
    0xff020800,
    0xff010800,
    0xff000700,
    0xff000600,
    0xff000400,
    0xff000500,
    0xff010500,
    0xff000700,
    0xff000600,
    0xff010600,
    0xff000700,
    0xff010600,
    0xff010600,
    0xff010500,
    0xff000500,
    0xff000600,
    0xff000400,
    0xff000401,
    0xff010300,
    0xff010200,
    0xff010200,
    0xff000501,
    0xff010300,
    0xff020500,
    0xff000600,
    0xff030701,
    0xff050b01,
    0xff070c00,
    0xff0a1000,
    0xff091601,
    0xff0e1800,
    0xff0f1c01,
    0xff101d01,
    0xff0d1c00,
    0xff0e1c01,
    0xff0c1c00,
    0xff0c1c00,
    0xff091b01,
    0xff071a01,
    0xff081900,
    0xff081600,
    0xff071501,
    0xff041700,
    0xff051500,
    0xff041200,
    0xff041100,
    0xff020f01,
    0xff020d00,
    0xff010c01,
    0xff010a01,
    0xff000a00,
    0xff000a00,
    0xff010b00,
    0xff010b00,
    0xff020b00,
    0xff010b00,
    0xff020c01,
    0xff010b00,
    0xff010b01,
    0xff020c01,
    0xff010c00,
    0xff020b00,
    0xff010c01,
    0xff010a00,
    0xff030902,
    0xff010700,
    0xff020701,
    0xff030700,
    0xff020701,
    0xff010901,
    0xff010901,
    0xff060801,
    0xff020701,
    0xff010600,
    0xff000500,
    0xff010300,
    0xff020300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010401,
    0xff000500,
    0xff000501,
    0xff000400,
    0xff000400,
    0xff010600,
    0xff000400,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000901,
    0xff020800,
    0xff000700,
    0xff020801,
    0xff010a00,
    0xff050901,
    0xff060900,
    0xff0a0c00,
    0xff0c0e01,
    0xff0e1101,
    0xff111400,
    0xff161801,
    0xff1a1a00,
    0xff1b1b01,
    0xff1d1d00,
    0xff1f1e01,
    0xff212200,
    0xff242500,
    0xff262701,
    0xff292a00,
    0xff302c00,
    0xff343001,
    0xff343000,
    0xff3b3201,
    0xff3f3600,
    0xff413801,
    0xff413904,
    0xff453d07,
    0xff463f08,
    0xff4a4109,
    0xff484509,
    0xff4d450c,
    0xff504c0f,
    0xff544f17,
    0xff54501b,
    0xff54511e,
    0xff525120,
    0xff534f20,
    0xff514f21,
    0xff4f4d21,
    0xff4e4b20,
    0xff48451c,
    0xff443e19,
    0xff3d3813,
    0xff37330f,
    0xff322d0a,
    0xff292907,
    0xff212300,
    0xff151a01,
    0xff0c1500,
    0xff091300,
    0xff0b1300,
    0xff091401,
    0xff091300,
    0xff091200,
    0xff051100,
    0xff020c01,
    0xff000900,
    0xff010701,
    0xff000600,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000400,
    0xff000500,
    0xff000500,
    0xff010500,
    0xff030400,
    0xff030500,
    0xff030500,
    0xff030500,
    0xff040500,
    0xff060400,
    0xff060400,
    0xff070500,
    0xff060500,
    0xff050500,
    0xff0a0700,
    0xff110c00,
    0xff1c1101,
    0xff211200,
    0xff221600,
    0xff291700,
    0xff2c1b01,
    0xff2f1e01,
    0xff312100,
    0xff352500,
    0xff372700,
    0xff3a2d00,
    0xff3b3100,
    0xff3e3500,
    0xff3e3700,
    0xff3d3903,
    0xff3c3a00,
    0xff393600,
    0xff343600,
    0xff343600,
    0xff333600,
    0xff353701,
    0xff353b01,
    0xff3a3e01,
    0xff3a3f01,
    0xff3b3f01,
    0xff3a3d01,
    0xff3a4101,
    0xff3c4003,
    0xff3f4004,
    0xff414409,
    0xff45470e,
    0xff4a4b15,
    0xff53511f,
    0xff5a5825,
    0xff5f5c26,
    0xff635f29,
    0xff65632b,
    0xff69692b,
    0xff696c2b,
    0xff6a702e,
    0xff6d742f,
    0xff6f772e,
    0xff737a2d,
    0xff717a2a,
    0xff707e27,
    0xff6e7f21,
    0xff6d7d19,
    0xff667c13,
    0xff647b0e,
    0xff607c0c,
    0xff5d7c08,
    0xff5d7a05,
    0xff5c7803,
    0xff597602,
    0xff567600,
    0xff527201,
    0xff516d00,
    0xff4c6b01,
    0xff476800,
    0xff456300,
    0xff446100,
    0xff405d00,
    0xff3f5d00,
    0xff3e5b00,
    0xff405903,
    0xff3e5402,
    0xff394f03,
    0xff374b05,
    0xff324505,
    0xff314003,
    0xff2d3d04,
    0xff2c3b03,
    0xff2b3807,
    0xff293605,
    0xff283605,
    0xff253206,
    0xff232f07,
    0xff1e2d04,
    0xff1c2800,
    0xff172300,
    0xff151d00,
    0xff0d1700,
    0xff051101,
    0xff000a01,
    0xff000700,
    0xff000500,
    0xff000401,
    0xff000501,
    0xff000300,
    0xff000400,
    0xff000400,
    0xff000600,
    0xff000500,
    0xff000500,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000400,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000600,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff000900,
    0xff010800,
    0xff010800,
    0xff010801,
    0xff000700,
    0xff010600,
    0xff000600,
    0xff000501,
    0xff010401,
    0xff010300,
    0xff010301,
    0xff010200,
    0xff010200,
    0xff010400,
    0xff000500,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff000400,
    0xff000400,
    0xff000401,
    0xff000600,
    0xff000601,
    0xff000400,
    0xff000400,
    0xff010400,
    0xff000500,
    0xff010500,
    0xff010600,
    0xff020701,
    0xff030701,
    0xff030900,
    0xff080a00,
    0xff070f00,
    0xff081501,
    0xff0a1600,
    0xff0c1901,
    0xff0d1a00,
    0xff0b1b01,
    0xff0b1a00,
    0xff091a00,
    0xff081b00,
    0xff091b00,
    0xff071900,
    0xff071701,
    0xff081701,
    0xff071501,
    0xff041600,
    0xff031400,
    0xff031100,
    0xff041000,
    0xff020f00,
    0xff030f01,
    0xff020d00,
    0xff010b00,
    0xff010a00,
    0xff010b01,
    0xff000b00,
    0xff000a00,
    0xff020c01,
    0xff010c00,
    0xff010b01,
    0xff030d02,
    0xff020c00,
    0xff030c00,
    0xff030b01,
    0xff030b00,
    0xff020c01,
    0xff010b01,
    0xff000900,
    0xff000a01,
    0xff020901,
    0xff030701,
    0xff020700,
    0xff000800,
    0xff020801,
    0xff040701,
    0xff010600,
    0xff010601,
    0xff010501,
    0xff010301,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000501,
    0xff000501,
    0xff000500,
    0xff010500,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000600,
    0xff020701,
    0xff010700,
    0xff000800,
    0xff010800,
    0xff010800,
    0xff010801,
    0xff020800,
    0xff040800,
    0xff070a01,
    0xff0a0c01,
    0xff0d0f00,
    0xff0f1200,
    0xff131601,
    0xff181900,
    0xff1b1b01,
    0xff1d1d00,
    0xff1f1f00,
    0xff202201,
    0xff202400,
    0xff252700,
    0xff272a00,
    0xff2e2c00,
    0xff312d00,
    0xff362f00,
    0xff383100,
    0xff3d3400,
    0xff413701,
    0xff443804,
    0xff453b07,
    0xff463f08,
    0xff484109,
    0xff4b440c,
    0xff4c460d,
    0xff504b0f,
    0xff554f17,
    0xff55501b,
    0xff54511e,
    0xff53511f,
    0xff4f4f1e,
    0xff504e1f,
    0xff4f4d1f,
    0xff4c4b1c,
    0xff49461c,
    0xff433e19,
    0xff3d3812,
    0xff35320e,
    0xff302c0a,
    0xff292806,
    0xff1f2100,
    0xff131800,
    0xff0d1500,
    0xff091200,
    0xff0a1401,
    0xff0a1501,
    0xff081601,
    0xff081500,
    0xff051200,
    0xff041200,
    0xff020d00,
    0xff010801,
    0xff000800,
    0xff000900,
    0xff000800,
    0xff000800,
    0xff000801,
    0xff000801,
    0xff000800,
    0xff000800,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff010600,
    0xff030500,
    0xff030500,
    0xff040600,
    0xff040700,
    0xff050600,
    0xff060600,
    0xff060700,
    0xff070700,
    0xff080700,
    0xff080701,
    0xff0d0800,
    0xff120c00,
    0xff191200,
    0xff1d1101,
    0xff211400,
    0xff281600,
    0xff2a1900,
    0xff2e1d00,
    0xff302100,
    0xff342401,
    0xff362700,
    0xff392c00,
    0xff3b2f00,
    0xff3a3300,
    0xff3c3400,
    0xff3c3700,
    0xff3b3900,
    0xff393700,
    0xff373700,
    0xff383800,
    0xff353800,
    0xff373600,
    0xff383900,
    0xff393c01,
    0xff3b3b01,
    0xff383b00,
    0xff383d00,
    0xff383f01,
    0xff3a3e01,
    0xff3d3e02,
    0xff424205,
    0xff47480c,
    0xff4d4c15,
    0xff54511f,
    0xff585623,
    0xff5e5b24,
    0xff636029,
    0xff64632b,
    0xff68692b,
    0xff6c6c2d,
    0xff6b6f2d,
    0xff6d742d,
    0xff6f772e,
    0xff717a2e,
    0xff707b2b,
    0xff6f7b27,
    0xff6e7e21,
    0xff6c7b19,
    0xff667a15,
    0xff627a0f,
    0xff5f7a0c,
    0xff5e7a09,
    0xff5d7907,
    0xff597907,
    0xff577606,
    0xff557403,
    0xff547101,
    0xff506c00,
    0xff4e6b01,
    0xff4a6701,
    0xff446401,
    0xff405e00,
    0xff3f5c00,
    0xff3f5b00,
    0xff3f5a00,
    0xff3e5702,
    0xff3c5303,
    0xff384d04,
    0xff344804,
    0xff314405,
    0xff304003,
    0xff2e3d04,
    0xff2d3a06,
    0xff2c3907,
    0xff293706,
    0xff273505,
    0xff263305,
    0xff253107,
    0xff222d06,
    0xff212b04,
    0xff1b2803,
    0xff182202,
    0xff0f1b00,
    0xff071401,
    0xff030d01,
    0xff000800,
    0xff000600,
    0xff000600,
    0xff000601,
    0xff000500,
    0xff000500,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000500,
    0xff000401,
    0xff000400,
    0xff010600,
    0xff000600,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000501,
    0xff000700,
    0xff000701,
    0xff000500,
    0xff000601,
    0xff000400,
    0xff000601,
    0xff000500,
    0xff000601,
    0xff000600,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff010600,
    0xff000400,
    0xff000500,
    0xff000400,
    0xff010501,
    0xff000300,
    0xff010200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000300,
    0xff010300,
    0xff000500,
    0xff010400,
    0xff010400,
    0xff010500,
    0xff000400,
    0xff000400,
    0xff000901,
    0xff000800,
    0xff000700,
    0xff000700,
    0xff000500,
    0xff010500,
    0xff010600,
    0xff020700,
    0xff020700,
    0xff030801,
    0xff060b01,
    0xff060b00,
    0xff060e00,
    0xff061300,
    0xff091600,
    0xff0a1600,
    0xff091800,
    0xff0a1900,
    0xff081900,
    0xff051800,
    0xff071900,
    0xff091900,
    0xff0a1900,
    0xff081600,
    0xff081702,
    0xff071500,
    0xff051600,
    0xff021500,
    0xff021200,
    0xff041000,
    0xff031000,
    0xff030e00,
    0xff030e00,
    0xff010c00,
    0xff010a00,
    0xff000901,
    0xff000b01,
    0xff010900,
    0xff010b00,
    0xff000b00,
    0xff000b00,
    0xff040b00,
    0xff010c00,
    0xff000d00,
    0xff010c00,
    0xff010d01,
    0xff000c00,
    0xff010b00,
    0xff010800,
    0xff020800,
    0xff020901,
    0xff010800,
    0xff010700,
    0xff020600,
    0xff020700,
    0xff020800,
    0xff010700,
    0xff000501,
    0xff000401,
    0xff000300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010200,
    0xff000300,
    0xff000400,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff010600,
    0xff010500,
    0xff010700,
    0xff000801,
    0xff000800,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff010800,
    0xff000800,
    0xff030801,
    0xff050800,
    0xff080900,
    0xff0a0c00,
    0xff0c0f00,
    0xff0f1201,
    0xff151700,
    0xff181901,
    0xff1b1b00,
    0xff1d1d00,
    0xff1f2001,
    0xff222201,
    0xff242600,
    0xff272a00,
    0xff2d2b00,
    0xff2f2b00,
    0xff372d00,
    0xff383001,
    0xff3c3300,
    0xff3e3700,
    0xff413903,
    0xff443b07,
    0xff464007,
    0xff49410a,
    0xff4d420c,
    0xff4c480b,
    0xff524a10,
    0xff535017,
    0xff54511d,
    0xff55521e,
    0xff524f1a,
    0xff514f1e,
    0xff4f4e1d,
    0xff4e4c1e,
    0xff4c4b1e,
    0xff48461b,
    0xff42401a,
    0xff3c3910,
    0xff332f0b,
    0xff2d2b08,
    0xff272705,
    0xff1f2100,
    0xff121a01,
    0xff0d1600,
    0xff0a1601,
    0xff0a1702,
    0xff0a1600,
    0xff0b1600,
    0xff0a1700,
    0xff081500,
    0xff061301,
    0xff041100,
    0xff000e01,
    0xff000c01,
    0xff000900,
    0xff000901,
    0xff000901,
    0xff000a01,
    0xff000a01,
    0xff000900,
    0xff000900,
    0xff010700,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff040500,
    0xff050600,
    0xff060700,
    0xff060700,
    0xff070800,
    0xff0a0900,
    0xff090901,
    0xff0a0800,
    0xff0b0800,
    0xff0f0a00,
    0xff161000,
    0xff191200,
    0xff1d1101,
    0xff201300,
    0xff251600,
    0xff291900,
    0xff2c1d00,
    0xff302000,
    0xff332300,
    0xff352600,
    0xff362a00,
    0xff392c01,
    0xff3a3000,
    0xff3b3201,
    0xff3b3400,
    0xff393700,
    0xff373600,
    0xff353500,
    0xff353400,
    0xff333300,
    0xff353400,
    0xff373800,
    0xff363b00,
    0xff3c3800,
    0xff393a00,
    0xff363c01,
    0xff393d00,
    0xff3b3d01,
    0xff3c3d01,
    0xff434305,
    0xff4a4b0e,
    0xff514f17,
    0xff565320,
    0xff5c5724,
    0xff5f5c25,
    0xff635f28,
    0xff64642c,
    0xff68692a,
    0xff6c6c2d,
    0xff6d6f2e,
    0xff6f732e,
    0xff6d762d,
    0xff6f792d,
    0xff6f7c2c,
    0xff6e7e27,
    0xff6e7d22,
    0xff697c19,
    0xff657912,
    0xff607911,
    0xff5e790f,
    0xff5c790a,
    0xff597708,
    0xff557709,
    0xff547507,
    0xff537307,
    0xff4f7102,
    0xff4e6e00,
    0xff4b6b00,
    0xff486500,
    0xff436201,
    0xff405d01,
    0xff3c5900,
    0xff3f5700,
    0xff3c5601,
    0xff3b5401,
    0xff3a4f04,
    0xff364b06,
    0xff344704,
    0xff2f4505,
    0xff313f04,
    0xff303d04,
    0xff2d3b06,
    0xff2c3807,
    0xff273705,
    0xff273506,
    0xff283506,
    0xff263306,
    0xff232f07,
    0xff212d07,
    0xff1e2a06,
    0xff1a2601,
    0xff141f00,
    0xff0c1800,
    0xff051000,
    0xff000a00,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff010500,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff010801,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff010602,
    0xff000400,
    0xff000501,
    0xff000501,
    0xff000502,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000501,
    0xff000700,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000300,
    0xff000501,
    0xff000501,
    0xff000502,
    0xff000401,
    0xff000401,
    0xff000600,
    0xff010401,
    0xff010301,
    0xff010200,
    0xff000300,
    0xff000301,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000100,
    0xff000201,
    0xff000201,
    0xff000200,
    0xff010200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff030c01,
    0xff000800,
    0xff010800,
    0xff000700,
    0xff000700,
    0xff000800,
    0xff010700,
    0xff040801,
    0xff050801,
    0xff050800,
    0xff060b00,
    0xff070c02,
    0xff070d00,
    0xff061100,
    0xff081401,
    0xff091700,
    0xff091700,
    0xff091700,
    0xff071800,
    0xff081801,
    0xff071900,
    0xff081801,
    0xff091800,
    0xff081701,
    0xff071601,
    0xff051600,
    0xff041501,
    0xff031400,
    0xff041200,
    0xff041100,
    0xff031100,
    0xff040f00,
    0xff030f00,
    0xff020d02,
    0xff020b00,
    0xff000a02,
    0xff000a01,
    0xff010a01,
    0xff000b01,
    0xff030b00,
    0xff010b00,
    0xff010d01,
    0xff010b00,
    0xff030b00,
    0xff050c01,
    0xff060b00,
    0xff020a01,
    0xff020a01,
    0xff020801,
    0xff010900,
    0xff010801,
    0xff020700,
    0xff020701,
    0xff010600,
    0xff020701,
    0xff010700,
    0xff000500,
    0xff010501,
    0xff000300,
    0xff010200,
    0xff000100,
    0xff010301,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010400,
    0xff000400,
    0xff000401,
    0xff010401,
    0xff000600,
    0xff010500,
    0xff000600,
    0xff010801,
    0xff010700,
    0xff000800,
    0xff000700,
    0xff000700,
    0xff010800,
    0xff010700,
    0xff020700,
    0xff030700,
    0xff060900,
    0xff070900,
    0xff0a0c00,
    0xff0c0e01,
    0xff111301,
    0xff151700,
    0xff181800,
    0xff1a1a00,
    0xff1d1d01,
    0xff1e2000,
    0xff202402,
    0xff242800,
    0xff2c2a01,
    0xff2e2a00,
    0xff322c00,
    0xff372e00,
    0xff3b3200,
    0xff3c3600,
    0xff3e3902,
    0xff453b07,
    0xff453d07,
    0xff474108,
    0xff4b430a,
    0xff4d450c,
    0xff524a12,
    0xff554e18,
    0xff57511b,
    0xff56531c,
    0xff53501b,
    0xff4f4d1b,
    0xff4e4d1d,
    0xff4e4d1c,
    0xff4a4b1a,
    0xff46451a,
    0xff413f17,
    0xff393810,
    0xff33300c,
    0xff2d2a08,
    0xff262701,
    0xff1c2101,
    0xff131801,
    0xff0f1600,
    0xff0c1601,
    0xff0d1800,
    0xff0a1600,
    0xff0a1701,
    0xff091700,
    0xff091700,
    0xff081601,
    0xff021501,
    0xff031000,
    0xff010e00,
    0xff010c00,
    0xff000b00,
    0xff010c01,
    0xff010c00,
    0xff010c01,
    0xff000b00,
    0xff010c01,
    0xff010a00,
    0xff010a01,
    0xff020a01,
    0xff030b01,
    0xff020a00,
    0xff050900,
    0xff060800,
    0xff060800,
    0xff080800,
    0xff080a00,
    0xff090a00,
    0xff080a00,
    0xff0a0900,
    0xff0a0a00,
    0xff0f0d00,
    0xff171000,
    0xff1a1200,
    0xff1e1200,
    0xff201401,
    0xff211600,
    0xff271900,
    0xff2c1c01,
    0xff2f1f00,
    0xff332300,
    0xff352500,
    0xff372a01,
    0xff382b00,
    0xff392d00,
    0xff352e00,
    0xff323000,
    0xff313000,
    0xff313200,
    0xff393500,
    0xff59541d,
    0xff655e27,
    0xff56551e,
    0xff4a470d,
    0xff2b3000,
    0xff2f3200,
    0xff383900,
    0xff3b3901,
    0xff3b3b00,
    0xff3c3c01,
    0xff3e3e00,
    0xff464404,
    0xff4e4b0e,
    0xff545119,
    0xff56531e,
    0xff5d5624,
    0xff615c26,
    0xff626029,
    0xff69632d,
    0xff69692c,
    0xff6a6c2c,
    0xff6d7230,
    0xff6f7530,
    0xff70762f,
    0xff6f782e,
    0xff6e7b2c,
    0xff717b28,
    0xff6d7c21,
    0xff667c18,
    0xff617912,
    0xff5d780e,
    0xff5e780c,
    0xff5d770b,
    0xff5a740a,
    0xff56750a,
    0xff537309,
    0xff527107,
    0xff526e06,
    0xff4e6b03,
    0xff4a6800,
    0xff466400,
    0xff426000,
    0xff3d5c00,
    0xff3b5800,
    0xff3a5600,
    0xff395500,
    0xff3a5203,
    0xff354e04,
    0xff344a04,
    0xff344705,
    0xff2f4305,
    0xff313f05,
    0xff2d3b05,
    0xff2d3b06,
    0xff2b3906,
    0xff2a3905,
    0xff273706,
    0xff283606,
    0xff273407,
    0xff243108,
    0xff212e09,
    0xff1f2b07,
    0xff1b2701,
    0xff172201,
    0xff0f1a00,
    0xff071401,
    0xff020c01,
    0xff000901,
    0xff000800,
    0xff010801,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff010801,
    0xff000701,
    0xff000500,
    0xff000400,
    0xff000400,
    0xff000401,
    0xff000400,
    0xff010600,
    0xff000500,
    0xff000400,
    0xff000600,
    0xff000500,
    0xff010601,
    0xff000501,
    0xff000601,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff010401,
    0xff010300,
    0xff010200,
    0xff010200,
    0xff000200,
    0xff000200,
    0xff010101,
    0xff000100,
    0xff000100,
    0xff000000,
    0xff000100,
    0xff000100,
    0xff000101,
    0xff000100,
    0xff020201,
    0xff000100,
    0xff010200,
    0xff000100,
    0xff000100,
    0xff010101,
    0xff010201,
    0xff060e00,
    0xff020b00,
    0xff000a01,
    0xff000900,
    0xff010900,
    0xff020801,
    0xff030a00,
    0xff050900,
    0xff060800,
    0xff070901,
    0xff050c02,
    0xff080a01,
    0xff090d01,
    0xff070f00,
    0xff081302,
    0xff071600,
    0xff081600,
    0xff0a1701,
    0xff051700,
    0xff081600,
    0xff081901,
    0xff061900,
    0xff081801,
    0xff081700,
    0xff081600,
    0xff041700,
    0xff031602,
    0xff041301,
    0xff051300,
    0xff041100,
    0xff031000,
    0xff040f00,
    0xff020e00,
    0xff020e01,
    0xff020b01,
    0xff000a02,
    0xff000a01,
    0xff010901,
    0xff000b02,
    0xff020a00,
    0xff010b00,
    0xff010a00,
    0xff020b00,
    0xff030b00,
    0xff030c00,
    0xff020b00,
    0xff020901,
    0xff020901,
    0xff020801,
    0xff020800,
    0xff020801,
    0xff010800,
    0xff020601,
    0xff020701,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010401,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000201,
    0xff000201,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010200,
    0xff000200,
    0xff010300,
    0xff010400,
    0xff010300,
    0xff020400,
    0xff000600,
    0xff000500,
    0xff010800,
    0xff000800,
    0xff000800,
    0xff010800,
    0xff010901,
    0xff000700,
    0xff010800,
    0xff020901,
    0xff000800,
    0xff010800,
    0xff040801,
    0xff070801,
    0xff080900,
    0xff090b00,
    0xff0e0e01,
    0xff111200,
    0xff161500,
    0xff191800,
    0xff1b1b01,
    0xff1e1d01,
    0xff1e1f01,
    0xff242601,
    0xff292800,
    0xff2c2900,
    0xff2e2900,
    0xff342e01,
    0xff373000,
    0xff3c3500,
    0xff3f3704,
    0xff423b05,
    0xff433d07,
    0xff483f08,
    0xff4a440a,
    0xff4f450e,
    0xff524b12,
    0xff544f18,
    0xff58521c,
    0xff57531b,
    0xff55521e,
    0xff504e1d,
    0xff4f4d1c,
    0xff4f4b1e,
    0xff484b1a,
    0xff474518,
    0xff403e14,
    0xff393a10,
    0xff34300a,
    0xff2c2906,
    0xff262601,
    0xff1a2100,
    0xff131901,
    0xff111701,
    0xff0c1901,
    0xff0f1901,
    0xff0a1800,
    0xff0d1901,
    0xff0c1700,
    0xff0a1700,
    0xff0d1700,
    0xff091700,
    0xff061500,
    0xff021100,
    0xff010f00,
    0xff020d00,
    0xff011000,
    0xff000e02,
    0xff000e01,
    0xff000d00,
    0xff000c00,
    0xff010a00,
    0xff010b00,
    0xff030d01,
    0xff020d00,
    0xff050b01,
    0xff040b01,
    0xff070a01,
    0xff070b01,
    0xff070a01,
    0xff090a00,
    0xff080b00,
    0xff090b00,
    0xff090a00,
    0xff0c0b00,
    0xff120e01,
    0xff171100,
    0xff1a1300,
    0xff1e1302,
    0xff201500,
    0xff221701,
    0xff281a00,
    0xff2c1c01,
    0xff2e1f00,
    0xff322300,
    0xff332400,
    0xff312600,
    0xff302500,
    0xff3a3103,
    0xff544717,
    0xff644e21,
    0xff785430,
    0xff7b4f2f,
    0xffffe1b3,
    0xffa17653,
    0xff7f4826,
    0xff84552e,
    0xff724831,
    0xffa37a44,
    0xff8c7036,
    0xff3c3e06,
    0xff3a3a00,
    0xff3c3d01,
    0xff3e3c01,
    0xff403f00,
    0xff494506,
    0xff524e12,
    0xff56531c,
    0xff5a5721,
    0xff5d5a24,
    0xff635c25,
    0xff63602a,
    0xff68622c,
    0xff68692c,
    0xff6d6c2d,
    0xff6c7230,
    0xff6e732f,
    0xff71762e,
    0xff70782e,
    0xff6f7b2c,
    0xff6f7b28,
    0xff6c7b1f,
    0xff687919,
    0xff637811,
    0xff5f760c,
    0xff5e760e,
    0xff5c760b,
    0xff59740b,
    0xff557209,
    0xff536e08,
    0xff516d07,
    0xff4f6c06,
    0xff4d6904,
    0xff486600,
    0xff436301,
    0xff3d5e00,
    0xff3e5a00,
    0xff3a5600,
    0xff395500,
    0xff375200,
    0xff385003,
    0xff354d04,
    0xff314a04,
    0xff344505,
    0xff304204,
    0xff303e04,
    0xff303e04,
    0xff2d3b06,
    0xff2d3b05,
    0xff2b3905,
    0xff283908,
    0xff283706,
    0xff293508,
    0xff223209,
    0xff222f09,
    0xff1f2b08,
    0xff1c2802,
    0xff182301,
    0xff121b01,
    0xff081500,
    0xff020d01,
    0xff000a01,
    0xff010901,
    0xff020901,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff010801,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000501,
    0xff000401,
    0xff000501,
    0xff000400,
    0xff010600,
    0xff010600,
    0xff010502,
    0xff010500,
    0xff000700,
    0xff000600,
    0xff000401,
    0xff000501,
    0xff010200,
    0xff010200,
    0xff010300,
    0xff000100,
    0xff010300,
    0xff000100,
    0xff000200,
    0xff010300,
    0xff000100,
    0xff000201,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010000,
    0xff010101,
    0xff000001,
    0xff010100,
    0xff000200,
    0xff010201,
    0xff010101,
    0xff010101,
    0xff061100,
    0xff020f00,
    0xff000c00,
    0xff010b00,
    0xff030b01,
    0xff020a00,
    0xff050c01,
    0xff060900,
    0xff070a00,
    0xff080a00,
    0xff060c00,
    0xff070c00,
    0xff080d00,
    0xff060f01,
    0xff071201,
    0xff091500,
    0xff081701,
    0xff081600,
    0xff081600,
    0xff071600,
    0xff081800,
    0xff081701,
    0xff091701,
    0xff051900,
    0xff061802,
    0xff041701,
    0xff051701,
    0xff021501,
    0xff041300,
    0xff031300,
    0xff051101,
    0xff031200,
    0xff051000,
    0xff020f00,
    0xff010c00,
    0xff000a00,
    0xff010900,
    0xff030a02,
    0xff010a01,
    0xff020b00,
    0xff030a00,
    0xff020b00,
    0xff030900,
    0xff050902,
    0xff040a00,
    0xff010a02,
    0xff020901,
    0xff010800,
    0xff010901,
    0xff000a00,
    0xff030701,
    0xff030801,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff000401,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff020100,
    0xff000201,
    0xff010000,
    0xff000001,
    0xff010000,
    0xff000201,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010401,
    0xff010501,
    0xff000600,
    0xff010600,
    0xff000701,
    0xff010801,
    0xff000700,
    0xff020700,
    0xff020901,
    0xff000700,
    0xff020901,
    0xff020901,
    0xff000700,
    0xff020901,
    0xff010700,
    0xff050901,
    0xff070900,
    0xff080901,
    0xff0a0c00,
    0xff0d0e00,
    0xff141301,
    0xff141600,
    0xff161800,
    0xff1a1d01,
    0xff1c1f01,
    0xff232501,
    0xff262800,
    0xff2b2802,
    0xff2d2700,
    0xff312b00,
    0xff363000,
    0xff3c3400,
    0xff3e3700,
    0xff3f3a06,
    0xff433c07,
    0xff463e09,
    0xff484208,
    0xff4f450e,
    0xff504a11,
    0xff534f16,
    0xff57501d,
    0xff58521d,
    0xff56501c,
    0xff524f1e,
    0xff504c1b,
    0xff4d4c1c,
    0xff4b4a1a,
    0xff474619,
    0xff434015,
    0xff3a3a12,
    0xff31310a,
    0xff2a2905,
    0xff242600,
    0xff1a2102,
    0xff121901,
    0xff0f1800,
    0xff101900,
    0xff101800,
    0xff0f1900,
    0xff0f1901,
    0xff0f1900,
    0xff0c1a01,
    0xff0e1a00,
    0xff0b1900,
    0xff081700,
    0xff061501,
    0xff041300,
    0xff021000,
    0xff021000,
    0xff021000,
    0xff010f00,
    0xff010f00,
    0xff000e00,
    0xff010d00,
    0xff020d00,
    0xff030e00,
    0xff030e00,
    0xff030d00,
    0xff040e00,
    0xff050c00,
    0xff050c00,
    0xff060c01,
    0xff090b01,
    0xff090c00,
    0xff090c00,
    0xff0d0c00,
    0xff0d0e01,
    0xff0f1000,
    0xff171200,
    0xff1e1401,
    0xff1e1302,
    0xff1e1700,
    0xff231800,
    0xff271a00,
    0xff2a1c00,
    0xff2e1e00,
    0xff2c1e00,
    0xff2d1d00,
    0xff514019,
    0xff725128,
    0xff8c5d33,
    0xff83501f,
    0xffbc9a60,
    0xffcfa561,
    0xffe6c586,
    0xfff1dfb3,
    0xfff0d69e,
    0xffd4a562,
    0xffc08741,
    0xffa76d33,
    0xfff1c48f,
    0xff8b7847,
    0xff343300,
    0xff3e3c02,
    0xff3e3c00,
    0xff3e3c00,
    0xff404001,
    0xff4a4607,
    0xff534e14,
    0xff57541d,
    0xff5f5721,
    0xff5f5a23,
    0xff635c25,
    0xff626028,
    0xff666329,
    0xff69682c,
    0xff6b6c2c,
    0xff6d7230,
    0xff6e7631,
    0xff70772e,
    0xff72792c,
    0xff737a2b,
    0xff707b26,
    0xff6b7b1e,
    0xff677916,
    0xff617711,
    0xff5e740f,
    0xff5a750e,
    0xff587309,
    0xff57720b,
    0xff546f09,
    0xff526c0b,
    0xff516b07,
    0xff4d6809,
    0xff4c6607,
    0xff476403,
    0xff445f00,
    0xff405c00,
    0xff3b5700,
    0xff3a5300,
    0xff385100,
    0xff375000,
    0xff354d03,
    0xff344b03,
    0xff314703,
    0xff2f4402,
    0xff304004,
    0xff313e05,
    0xff2e3e07,
    0xff2e3b07,
    0xff2d3b06,
    0xff2b3a05,
    0xff283908,
    0xff293509,
    0xff273407,
    0xff213109,
    0xff222f08,
    0xff1f2a04,
    0xff1a2601,
    0xff192400,
    0xff151d00,
    0xff091500,
    0xff040e00,
    0xff000d00,
    0xff000a02,
    0xff000a01,
    0xff000900,
    0xff010701,
    0xff000600,
    0xff000700,
    0xff010801,
    0xff000701,
    0xff000700,
    0xff010800,
    0xff000701,
    0xff000801,
    0xff010800,
    0xff010801,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff010500,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff010600,
    0xff000400,
    0xff000501,
    0xff000400,
    0xff000300,
    0xff000300,
    0xff010200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000100,
    0xff000101,
    0xff000200,
    0xff020202,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff091501,
    0xff031100,
    0xff040e00,
    0xff060d00,
    0xff050c00,
    0xff060b00,
    0xff050c01,
    0xff070a01,
    0xff080b00,
    0xff090c01,
    0xff070d00,
    0xff070f01,
    0xff071000,
    0xff080f00,
    0xff061100,
    0xff071601,
    0xff0a1601,
    0xff091801,
    0xff081600,
    0xff081700,
    0xff091801,
    0xff071601,
    0xff091801,
    0xff071600,
    0xff041701,
    0xff071702,
    0xff051600,
    0xff031601,
    0xff051401,
    0xff041300,
    0xff041000,
    0xff041100,
    0xff050f00,
    0xff030e00,
    0xff030e00,
    0xff000a01,
    0xff010800,
    0xff020901,
    0xff020a01,
    0xff020a00,
    0xff020a00,
    0xff030b00,
    0xff030a01,
    0xff020902,
    0xff040a00,
    0xff010801,
    0xff010901,
    0xff010800,
    0xff020801,
    0xff030700,
    0xff020700,
    0xff010601,
    0xff010601,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff010200,
    0xff010300,
    0xff000100,
    0xff010100,
    0xff000302,
    0xff010100,
    0xff010001,
    0xff010101,
    0xff000101,
    0xff000200,
    0xff010300,
    0xff010200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000700,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff000900,
    0xff020800,
    0xff020901,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff010901,
    0xff010a01,
    0xff060800,
    0xff070800,
    0xff080900,
    0xff0b0c00,
    0xff0c0e01,
    0xff111301,
    0xff141600,
    0xff171a01,
    0xff1b1b00,
    0xff1e2201,
    0xff242600,
    0xff272800,
    0xff2c2601,
    0xff302802,
    0xff332d00,
    0xff3a3201,
    0xff3d3501,
    0xff3f3804,
    0xff413a05,
    0xff443e07,
    0xff48410a,
    0xff4d440b,
    0xff524a13,
    0xff524d15,
    0xff564f1b,
    0xff58501c,
    0xff564f1d,
    0xff534f1e,
    0xff4f4c1c,
    0xff4c4a1c,
    0xff4b4919,
    0xff464519,
    0xff403f15,
    0xff393912,
    0xff32320a,
    0xff282a06,
    0xff222600,
    0xff181e00,
    0xff131901,
    0xff101901,
    0xff111901,
    0xff111901,
    0xff111c00,
    0xff101a00,
    0xff121b02,
    0xff0e1b01,
    0xff0e1b00,
    0xff0c1b00,
    0xff0c1a00,
    0xff091700,
    0xff061501,
    0xff051401,
    0xff021100,
    0xff041200,
    0xff031100,
    0xff021000,
    0xff021000,
    0xff031000,
    0xff040e00,
    0xff051000,
    0xff051000,
    0xff070e00,
    0xff060e00,
    0xff080d00,
    0xff080d00,
    0xff080e00,
    0xff0a0d01,
    0xff090d00,
    0xff0a0c00,
    0xff0c0d00,
    0xff0e1000,
    0xff131000,
    0xff181300,
    0xff1a1501,
    0xff1c1500,
    0xff201700,
    0xff241800,
    0xff281900,
    0xff221900,
    0xff302102,
    0xff634d27,
    0xff714723,
    0xff8f5d2f,
    0xffc8a86b,
    0xfff9f2cb,
    0xffffffda,
    0xfffaf6e5,
    0xfff6ebce,
    0xfffeffee,
    0xfff9f3d0,
    0xfffcf1cf,
    0xfff1d3a3,
    0xfffef6d0,
    0xfff4e4b2,
    0xffc9a876,
    0xff312c00,
    0xff3c3b00,
    0xff3d3b00,
    0xff3f3d02,
    0xff3f3c01,
    0xff444102,
    0xff4b4808,
    0xff555015,
    0xff58551d,
    0xff5f5821,
    0xff615a23,
    0xff625c27,
    0xff626126,
    0xff656329,
    0xff69682a,
    0xff6c6c2c,
    0xff6d7230,
    0xff737530,
    0xff72772f,
    0xff727a2d,
    0xff737b2c,
    0xff6f7b24,
    0xff6b7a1e,
    0xff647915,
    0xff607611,
    0xff5b720d,
    0xff57720b,
    0xff55710a,
    0xff55700b,
    0xff546f0b,
    0xff516c0a,
    0xff506a0a,
    0xff4d6807,
    0xff4c6607,
    0xff466303,
    0xff425e01,
    0xff3e5901,
    0xff3b5400,
    0xff385101,
    0xff364f01,
    0xff354d02,
    0xff344b02,
    0xff314801,
    0xff304406,
    0xff304103,
    0xff2f3f03,
    0xff303e07,
    0xff2e3d06,
    0xff2b3c05,
    0xff2c3b05,
    0xff2c3a08,
    0xff273807,
    0xff273407,
    0xff273408,
    0xff26300a,
    0xff232d08,
    0xff1e2a04,
    0xff1a2602,
    0xff182401,
    0xff161e00,
    0xff0a1700,
    0xff051000,
    0xff020d01,
    0xff010b02,
    0xff000b01,
    0xff010800,
    0xff010801,
    0xff000700,
    0xff010800,
    0xff000701,
    0xff010801,
    0xff010800,
    0xff000700,
    0xff010701,
    0xff010801,
    0xff010801,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff010801,
    0xff000700,
    0xff000501,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000400,
    0xff000400,
    0xff000501,
    0xff000300,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000100,
    0xff000101,
    0xff000201,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff0b1700,
    0xff061300,
    0xff031000,
    0xff050f00,
    0xff070e00,
    0xff040f00,
    0xff060d00,
    0xff070c00,
    0xff080b00,
    0xff070e00,
    0xff080e00,
    0xff080e00,
    0xff051000,
    0xff071100,
    0xff0a1202,
    0xff071600,
    0xff0b1500,
    0xff061700,
    0xff081700,
    0xff081700,
    0xff091801,
    0xff071601,
    0xff091801,
    0xff081701,
    0xff091700,
    0xff041800,
    0xff051801,
    0xff051701,
    0xff031601,
    0xff051300,
    0xff051100,
    0xff031100,
    0xff041000,
    0xff031000,
    0xff020d00,
    0xff000a01,
    0xff010800,
    0xff010800,
    0xff000800,
    0xff000b01,
    0xff010901,
    0xff000801,
    0xff020800,
    0xff020901,
    0xff000901,
    0xff000700,
    0xff010800,
    0xff010900,
    0xff000800,
    0xff010600,
    0xff000700,
    0xff010600,
    0xff000500,
    0xff000400,
    0xff000400,
    0xff000200,
    0xff000200,
    0xff010201,
    0xff010001,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010201,
    0xff000101,
    0xff000200,
    0xff000200,
    0xff010200,
    0xff000400,
    0xff000500,
    0xff010600,
    0xff020601,
    0xff000800,
    0xff000700,
    0xff010800,
    0xff010900,
    0xff000900,
    0xff010901,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff010700,
    0xff000900,
    0xff000900,
    0xff030700,
    0xff060802,
    0xff050900,
    0xff090b01,
    0xff0a0c01,
    0xff0d0e00,
    0xff121301,
    0xff141700,
    0xff1b1a01,
    0xff1b2000,
    0xff202500,
    0xff272700,
    0xff2a2600,
    0xff2b2600,
    0xff302a00,
    0xff363000,
    0xff3b3401,
    0xff3f3703,
    0xff413a06,
    0xff413c07,
    0xff473d09,
    0xff4e430d,
    0xff514712,
    0xff554b17,
    0xff534e17,
    0xff54511a,
    0xff564f1c,
    0xff524e1e,
    0xff4e4d1c,
    0xff4a491b,
    0xff4a481a,
    0xff454318,
    0xff3d3f14,
    0xff3a3a10,
    0xff313209,
    0xff272a02,
    0xff1f2400,
    0xff161e00,
    0xff111b00,
    0xff111a00,
    0xff111a00,
    0xff101b00,
    0xff121c01,
    0xff121b00,
    0xff121c01,
    0xff121c01,
    0xff0f1d00,
    0xff101d01,
    0xff0d1c01,
    0xff0a1900,
    0xff071700,
    0xff061601,
    0xff051401,
    0xff041400,
    0xff031300,
    0xff031200,
    0xff010f00,
    0xff031200,
    0xff031200,
    0xff031200,
    0xff031100,
    0xff080f01,
    0xff080e01,
    0xff050f00,
    0xff070f00,
    0xff090e00,
    0xff070e00,
    0xff090e00,
    0xff0c0d01,
    0xff0b0d01,
    0xff0d1100,
    0xff171200,
    0xff1b1300,
    0xff1b1600,
    0xff1d1601,
    0xff1e1700,
    0xff221600,
    0xff241b00,
    0xff593f20,
    0xff8a5c36,
    0xff814615,
    0xffe7cf92,
    0xffffffdd,
    0xfff9f0d2,
    0xfff1e5ce,
    0xffeee3c4,
    0xfffefffb,
    0xfffdfeec,
    0xfffaf7e8,
    0xfff6e5cb,
    0xffe7c49b,
    0xffe7cb9b,
    0xff897d6f,
    0xffffffff,
    0xffb6b493,
    0xff494f0b,
    0xff3a3800,
    0xff3e3c00,
    0xff403c00,
    0xff423d00,
    0xff484203,
    0xff4c4b0b,
    0xff555016,
    0xff5b541d,
    0xff5f561f,
    0xff615c22,
    0xff635d24,
    0xff646225,
    0xff646326,
    0xff686928,
    0xff6b6d2b,
    0xff6f712f,
    0xff737530,
    0xff72782e,
    0xff727a2e,
    0xff717a2b,
    0xff6e7a24,
    0xff6b791d,
    0xff627816,
    0xff5f7410,
    0xff5c700d,
    0xff57700b,
    0xff55700a,
    0xff546e0c,
    0xff546e0e,
    0xff516b0a,
    0xff4e670a,
    0xff4c6509,
    0xff4a6307,
    0xff476105,
    0xff415b04,
    0xff3d5701,
    0xff395201,
    0xff364e01,
    0xff344c00,
    0xff334a01,
    0xff334800,
    0xff304503,
    0xff304204,
    0xff2f4003,
    0xff2f3f04,
    0xff303f08,
    0xff2d3c05,
    0xff2d3b07,
    0xff2d3b05,
    0xff2c3a07,
    0xff273908,
    0xff283507,
    0xff263209,
    0xff253109,
    0xff202d07,
    0xff1c2903,
    0xff192501,
    0xff1a2300,
    0xff141e00,
    0xff0d1600,
    0xff040f00,
    0xff020e01,
    0xff010b00,
    0xff010b01,
    0xff000901,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff020900,
    0xff000801,
    0xff020600,
    0xff020801,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff010801,
    0xff010800,
    0xff000602,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000501,
    0xff000400,
    0xff000200,
    0xff010300,
    0xff010200,
    0xff010300,
    0xff000101,
    0xff010101,
    0xff010001,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff0d1900,
    0xff091600,
    0xff061200,
    0xff051001,
    0xff060f00,
    0xff091000,
    0xff090f00,
    0xff090f00,
    0xff090d00,
    0xff080e00,
    0xff070f00,
    0xff081000,
    0xff091100,
    0xff0a1201,
    0xff0b1201,
    0xff071600,
    0xff0a1500,
    0xff071700,
    0xff091801,
    0xff091800,
    0xff081700,
    0xff091800,
    0xff081800,
    0xff081900,
    0xff051800,
    0xff091700,
    0xff061700,
    0xff061701,
    0xff051600,
    0xff051400,
    0xff051301,
    0xff051200,
    0xff051100,
    0xff040f00,
    0xff020d00,
    0xff000a00,
    0xff010800,
    0xff010700,
    0xff000700,
    0xff010800,
    0xff030701,
    0xff020800,
    0xff010801,
    0xff020800,
    0xff020801,
    0xff010700,
    0xff000800,
    0xff010800,
    0xff010700,
    0xff010500,
    0xff000700,
    0xff010600,
    0xff010500,
    0xff000400,
    0xff010501,
    0xff010200,
    0xff000300,
    0xff000101,
    0xff010001,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010100,
    0xff000101,
    0xff000200,
    0xff000200,
    0xff010200,
    0xff010501,
    0xff010500,
    0xff000500,
    0xff010701,
    0xff010800,
    0xff000700,
    0xff020901,
    0xff020801,
    0xff010901,
    0xff010901,
    0xff010800,
    0xff020901,
    0xff020901,
    0xff020801,
    0xff000901,
    0xff000a00,
    0xff000900,
    0xff010901,
    0xff060a01,
    0xff080a01,
    0xff080b00,
    0xff0c0c00,
    0xff0d0f01,
    0xff121400,
    0xff161700,
    0xff1a1d00,
    0xff1f2400,
    0xff242500,
    0xff282600,
    0xff2c2500,
    0xff322702,
    0xff342d00,
    0xff373100,
    0xff3b3602,
    0xff3f3705,
    0xff413b07,
    0xff473e09,
    0xff4b420d,
    0xff514611,
    0xff534b15,
    0xff524d17,
    0xff534e17,
    0xff554f1b,
    0xff514e1a,
    0xff4e4d19,
    0xff494a1a,
    0xff484519,
    0xff434418,
    0xff3e3f16,
    0xff383a10,
    0xff313208,
    0xff252800,
    0xff1c2500,
    0xff141e00,
    0xff0f1c00,
    0xff111d00,
    0xff111c00,
    0xff111e00,
    0xff121d01,
    0xff121d01,
    0xff131e02,
    0xff121d01,
    0xff101d01,
    0xff111e00,
    0xff101e02,
    0xff0d1d01,
    0xff091900,
    0xff061600,
    0xff071500,
    0xff091800,
    0xff0a1800,
    0xff081800,
    0xff031300,
    0xff011300,
    0xff041100,
    0xff081200,
    0xff071201,
    0xff071201,
    0xff081001,
    0xff0c0f01,
    0xff071000,
    0xff0b1001,
    0xff081000,
    0xff0a0f01,
    0xff0b0e00,
    0xff0c1001,
    0xff0e1200,
    0xff181300,
    0xff1b1501,
    0xff1c1700,
    0xff1c1600,
    0xff171300,
    0xff413314,
    0xff784a23,
    0xffb07a3b,
    0xffd9b476,
    0xfff8e5b8,
    0xfff3ddbe,
    0xffdcbf9d,
    0xfff5e9c7,
    0xfffdf8e1,
    0xfffcfbe5,
    0xfffbf7e1,
    0xfff7ebcd,
    0xfff7e5c2,
    0xffe0bf92,
    0xffe0c191,
    0xfff6ebd6,
    0xfffcfdf0,
    0xffffffff,
    0xffffffee,
    0xfffffcdd,
    0xff373200,
    0xff3e3b00,
    0xff403d00,
    0xff424001,
    0xff484606,
    0xff514b0c,
    0xff565116,
    0xff59531d,
    0xff5e571e,
    0xff605c1e,
    0xff635f21,
    0xff656323,
    0xff656424,
    0xff696929,
    0xff6c6c29,
    0xff70722e,
    0xff72762b,
    0xff72782c,
    0xff737a2e,
    0xff717a29,
    0xff6d7a22,
    0xff6a781c,
    0xff627513,
    0xff5f720f,
    0xff5a700c,
    0xff566f0a,
    0xff536d0c,
    0xff536d0c,
    0xff526c0c,
    0xff516b0b,
    0xff4f6709,
    0xff4b6308,
    0xff486206,
    0xff465d06,
    0xff425b06,
    0xff3c5501,
    0xff385000,
    0xff364e02,
    0xff334a01,
    0xff314700,
    0xff304400,
    0xff2e4403,
    0xff304103,
    0xff2c3f04,
    0xff2d3e05,
    0xff303e07,
    0xff2f3c07,
    0xff2b3b06,
    0xff2d3a06,
    0xff2b3908,
    0xff273807,
    0xff273509,
    0xff243006,
    0xff213008,
    0xff1d2c05,
    0xff1b2905,
    0xff192602,
    0xff192300,
    0xff151f00,
    0xff0c1700,
    0xff041000,
    0xff030e01,
    0xff010d00,
    0xff020b01,
    0xff000901,
    0xff000800,
    0xff010800,
    0xff010800,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff010801,
    0xff010500,
    0xff000500,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff010801,
    0xff010801,
    0xff010801,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000400,
    0xff000501,
    0xff000400,
    0xff010400,
    0xff010200,
    0xff010300,
    0xff000101,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff0f1c01,
    0xff0b1700,
    0xff081600,
    0xff061200,
    0xff061100,
    0xff081302,
    0xff0b1101,
    0xff081101,
    0xff0a1000,
    0xff081000,
    0xff071100,
    0xff0a1101,
    0xff0b1100,
    0xff0b1400,
    0xff071501,
    0xff091700,
    0xff081700,
    0xff0a1700,
    0xff0a1800,
    0xff0a1a00,
    0xff0a1a00,
    0xff0a1900,
    0xff081a00,
    0xff091a01,
    0xff0a1600,
    0xff081801,
    0xff091801,
    0xff081700,
    0xff071600,
    0xff071501,
    0xff041500,
    0xff041200,
    0xff051000,
    0xff041000,
    0xff030d01,
    0xff010b00,
    0xff000801,
    0xff020701,
    0xff020701,
    0xff030500,
    0xff030700,
    0xff030700,
    0xff020801,
    0xff000800,
    0xff010600,
    0xff010800,
    0xff000700,
    0xff000600,
    0xff020701,
    0xff020701,
    0xff000500,
    0xff000400,
    0xff000400,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000100,
    0xff010201,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff000000,
    0xff010001,
    0xff010300,
    0xff000100,
    0xff010400,
    0xff020500,
    0xff010600,
    0xff000801,
    0xff010800,
    0xff010800,
    0xff010800,
    0xff000a01,
    0xff010801,
    0xff020901,
    0xff000700,
    0xff010800,
    0xff020901,
    0xff020801,
    0xff000a01,
    0xff000900,
    0xff000a01,
    0xff000900,
    0xff040a03,
    0xff070800,
    0xff070900,
    0xff090b00,
    0xff0a0c00,
    0xff101001,
    0xff131501,
    0xff171900,
    0xff1c2001,
    0xff202300,
    0xff222501,
    0xff282500,
    0xff2a2500,
    0xff302900,
    0xff352e00,
    0xff363302,
    0xff3e3606,
    0xff3f3806,
    0xff463d08,
    0xff47420b,
    0xff504510,
    0xff514914,
    0xff534c16,
    0xff534d16,
    0xff544e1a,
    0xff504d18,
    0xff4c4a15,
    0xff484717,
    0xff48451b,
    0xff404118,
    0xff3e3e12,
    0xff37390d,
    0xff2f3106,
    0xff222700,
    0xff1b2401,
    0xff141f00,
    0xff121d00,
    0xff131e00,
    0xff131e00,
    0xff131e00,
    0xff111d00,
    0xff141f01,
    0xff121e00,
    0xff101d00,
    0xff111e00,
    0xff111e00,
    0xff111e00,
    0xff0d1b01,
    0xff0d1e00,
    0xff182300,
    0xff1f2209,
    0xff261f0d,
    0xff2d1f11,
    0xff292010,
    0xff322e0c,
    0xff282a08,
    0xff141e00,
    0xff071500,
    0xff081300,
    0xff081202,
    0xff081200,
    0xff0a1302,
    0xff091201,
    0xff0b1001,
    0xff091101,
    0xff0b0f00,
    0xff0b1001,
    0xff0f1201,
    0xff161300,
    0xff181500,
    0xff191701,
    0xff181300,
    0xff211a01,
    0xff604221,
    0xff915c2c,
    0xffead2a3,
    0xffffffdd,
    0xffecd3a8,
    0xffe8cdb0,
    0xfff0ddb9,
    0xfffafae9,
    0xfffaf7e5,
    0xfffaf1d9,
    0xfffef3dd,
    0xfff2e4c4,
    0xffefd4b1,
    0xfff3d9b0,
    0xffd0ab7d,
    0xffdebb8d,
    0xffebd3b8,
    0xffffffff,
    0xffffffff,
    0xffbeb398,
    0xff776638,
    0xff3d3800,
    0xff433e00,
    0xff423d00,
    0xff444000,
    0xff4c4806,
    0xff504d0d,
    0xff565213,
    0xff5a5518,
    0xff5f5a1c,
    0xff625d1e,
    0xff646020,
    0xff646322,
    0xff676826,
    0xff6a6b28,
    0xff6e7026,
    0xff727229,
    0xff727629,
    0xff73792c,
    0xff747b2d,
    0xff747a27,
    0xff6c7a1f,
    0xff68771b,
    0xff637513,
    0xff5e720e,
    0xff566d0b,
    0xff556d0b,
    0xff556e09,
    0xff556c0a,
    0xff536a0e,
    0xff50690a,
    0xff516609,
    0xff4c6406,
    0xff486005,
    0xff465d07,
    0xff435a05,
    0xff3c5602,
    0xff395000,
    0xff364d03,
    0xff334901,
    0xff304601,
    0xff2f4300,
    0xff2d4202,
    0xff2f3e02,
    0xff2e3e05,
    0xff2b3d05,
    0xff2a3d05,
    0xff2a3c06,
    0xff2a3b08,
    0xff2a3908,
    0xff293807,
    0xff263607,
    0xff223107,
    0xff213004,
    0xff202d07,
    0xff1f2b04,
    0xff1c2702,
    0xff192602,
    0xff182200,
    0xff151d00,
    0xff091800,
    0xff061101,
    0xff040f00,
    0xff030e00,
    0xff020c01,
    0xff000901,
    0xff000800,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff010801,
    0xff010801,
    0xff000700,
    0xff010600,
    0xff000400,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff010801,
    0xff010801,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000501,
    0xff000501,
    0xff010300,
    0xff010200,
    0xff000200,
    0xff000201,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff121f00,
    0xff0d1a01,
    0xff0a1700,
    0xff091600,
    0xff081301,
    0xff081301,
    0xff091301,
    0xff091100,
    0xff0a1100,
    0xff0b1001,
    0xff0a1301,
    0xff0a1400,
    0xff0c1300,
    0xff0b1400,
    0xff0c1400,
    0xff091600,
    0xff0a1600,
    0xff091800,
    0xff0b1900,
    0xff0b1a01,
    0xff0c1b01,
    0xff0a1b01,
    0xff091d01,
    0xff0a1b00,
    0xff091b01,
    0xff0a1901,
    0xff081800,
    0xff091801,
    0xff081600,
    0xff061600,
    0xff041600,
    0xff041401,
    0xff041100,
    0xff031100,
    0xff030c01,
    0xff000b00,
    0xff020801,
    0xff010701,
    0xff010600,
    0xff000700,
    0xff010600,
    0xff020701,
    0xff010700,
    0xff000700,
    0xff010801,
    0xff000600,
    0xff010700,
    0xff000600,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010501,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff010400,
    0xff010300,
    0xff020500,
    0xff010600,
    0xff010600,
    0xff020901,
    0xff000900,
    0xff000900,
    0xff020801,
    0xff020801,
    0xff020801,
    0xff010801,
    0xff000900,
    0xff000900,
    0xff010800,
    0xff010901,
    0xff000a01,
    0xff000900,
    0xff000901,
    0xff000900,
    0xff040900,
    0xff080b01,
    0xff080a00,
    0xff090b00,
    0xff0c0d00,
    0xff0e1101,
    0xff131600,
    0xff181d01,
    0xff1e2000,
    0xff222000,
    0xff262200,
    0xff292500,
    0xff302600,
    0xff322b00,
    0xff352f01,
    0xff393303,
    0xff3c3505,
    0xff433c08,
    0xff48410c,
    0xff504610,
    0xff504812,
    0xff544a16,
    0xff564a17,
    0xff544d1a,
    0xff514c16,
    0xff4c4a17,
    0xff464516,
    0xff434116,
    0xff3d3f14,
    0xff3d3a12,
    0xff36370b,
    0xff2b3003,
    0xff1f2600,
    0xff192300,
    0xff171e00,
    0xff141d00,
    0xff131d00,
    0xff141f00,
    0xff121d00,
    0xff141f01,
    0xff141e00,
    0xff131f00,
    0xff121e00,
    0xff111f00,
    0xff111e01,
    0xff0d1b00,
    0xff1a2700,
    0xff5a4e24,
    0xff4d3829,
    0xff35281a,
    0xff4b4427,
    0xff57512d,
    0xff534a2c,
    0xff624934,
    0xff523e27,
    0xff3d351b,
    0xff282a08,
    0xff111800,
    0xff0a1400,
    0xff091400,
    0xff091401,
    0xff0b1201,
    0xff0d1101,
    0xff0b1301,
    0xff0d1100,
    0xff0e1201,
    0xff0f1400,
    0xff151500,
    0xff191600,
    0xff141100,
    0xff3a2e13,
    0xff633415,
    0xffd2aa70,
    0xffffffdc,
    0xfff7ecd4,
    0xffe9c292,
    0xffe4c7a1,
    0xfff9f2e2,
    0xfffdfdec,
    0xfffbfaf0,
    0xfffcf8e7,
    0xfff9f5db,
    0xffeddbb7,
    0xfff0cfa6,
    0xffd6b58e,
    0xfff2e0bc,
    0xffe5caa0,
    0xffe7cea7,
    0xfff3dfc4,
    0xff97958c,
    0xff3b3605,
    0xff393700,
    0xff413d00,
    0xff454100,
    0xff434200,
    0xff444100,
    0xff484300,
    0xff504a06,
    0xff534f0f,
    0xff585212,
    0xff5d5815,
    0xff5f5d18,
    0xff63601c,
    0xff66621e,
    0xff676721,
    0xff6a6923,
    0xff6b6c24,
    0xff6e7125,
    0xff727526,
    0xff73772b,
    0xff747a2c,
    0xff727b2b,
    0xff727b25,
    0xff6c781c,
    0xff677618,
    0xff637512,
    0xff5e720e,
    0xff586e0b,
    0xff556d0a,
    0xff566c0e,
    0xff576b0b,
    0xff526a0c,
    0xff51680a,
    0xff51650a,
    0xff4b6007,
    0xff475e04,
    0xff465a05,
    0xff455704,
    0xff405401,
    0xff395101,
    0xff364b01,
    0xff324900,
    0xff304300,
    0xff2e4000,
    0xff2d3f03,
    0xff2d3d00,
    0xff2b3d04,
    0xff2b3c05,
    0xff2a3a03,
    0xff2a3905,
    0xff273805,
    0xff263705,
    0xff243404,
    0xff233206,
    0xff1e3105,
    0xff1e2e05,
    0xff1e2c06,
    0xff1f2b05,
    0xff1d2903,
    0xff192603,
    0xff192201,
    0xff131c01,
    0xff081500,
    0xff071101,
    0xff040f00,
    0xff030d00,
    0xff010d01,
    0xff000900,
    0xff000900,
    0xff020901,
    0xff000800,
    0xff010700,
    0xff000500,
    0xff000600,
    0xff000600,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010700,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff010801,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000400,
    0xff000500,
    0xff000400,
    0xff010401,
    0xff010300,
    0xff000100,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff122100,
    0xff0f1e01,
    0xff0c1a00,
    0xff0a1600,
    0xff091501,
    0xff081501,
    0xff0c1501,
    0xff0c1401,
    0xff081300,
    0xff0a1400,
    0xff0b1400,
    0xff081500,
    0xff0c1501,
    0xff0c1501,
    0xff0d1601,
    0xff0a1600,
    0xff0c1700,
    0xff0a1a00,
    0xff0c1a01,
    0xff091b01,
    0xff0b1a00,
    0xff0c1c01,
    0xff0a1d00,
    0xff0f1e01,
    0xff0b1c02,
    0xff0b1b01,
    0xff0a1a00,
    0xff091800,
    0xff091700,
    0xff071800,
    0xff081602,
    0xff061501,
    0xff031300,
    0xff031000,
    0xff030d01,
    0xff000b00,
    0xff010901,
    0xff010801,
    0xff000500,
    0xff010500,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000600,
    0xff000600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff000400,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff000300,
    0xff020301,
    0xff020501,
    0xff010600,
    0xff010601,
    0xff010800,
    0xff020801,
    0xff020900,
    0xff010900,
    0xff020801,
    0xff010900,
    0xff000901,
    0xff000900,
    0xff000900,
    0xff010700,
    0xff020801,
    0xff000a01,
    0xff000900,
    0xff000800,
    0xff000a01,
    0xff000900,
    0xff060901,
    0xff060900,
    0xff080900,
    0xff090b00,
    0xff0d0e01,
    0xff0f1200,
    0xff141900,
    0xff1a1e00,
    0xff1d1c00,
    0xff231f00,
    0xff252100,
    0xff2b2400,
    0xff2f2701,
    0xff322b00,
    0xff362f01,
    0xff393205,
    0xff423909,
    0xff47400e,
    0xff4d4311,
    0xff504613,
    0xff514816,
    0xff544b18,
    0xff524c18,
    0xff534b16,
    0xff4c4917,
    0xff474515,
    0xff404012,
    0xff3e3d12,
    0xff3b3a0e,
    0xff323408,
    0xff292d01,
    0xff1e2700,
    0xff192400,
    0xff171f00,
    0xff141f00,
    0xff141f00,
    0xff141f00,
    0xff141f00,
    0xff141f02,
    0xff141f00,
    0xff141f00,
    0xff141f00,
    0xff101f00,
    0xff0d1c00,
    0xff283400,
    0xff7d5f2b,
    0xff76503d,
    0xff4f451f,
    0xff766f50,
    0xff968588,
    0xff907b86,
    0xff846d78,
    0xff6b564b,
    0xff79624d,
    0xff6e5b45,
    0xff48342b,
    0xff4c4219,
    0xff4a4710,
    0xff0d1600,
    0xff091500,
    0xff0e1301,
    0xff0e1202,
    0xff0e1400,
    0xff0f1400,
    0xff101300,
    0xff131601,
    0xff151200,
    0xff201b03,
    0xff523014,
    0xff9c703a,
    0xfff0cd8f,
    0xfffaf9ea,
    0xfffaefd7,
    0xffdbb68e,
    0xffd7b489,
    0xfffdf4d9,
    0xfffcfcf0,
    0xfffcfaea,
    0xfffdfeef,
    0xfff9f1e2,
    0xffe8d8be,
    0xffe7d3b5,
    0xffeedeb5,
    0xffe5c595,
    0xffdeb98c,
    0xffe2bb8e,
    0xffd0a97b,
    0xff534c23,
    0xff3c3500,
    0xff464500,
    0xff494501,
    0xff474302,
    0xff484300,
    0xff494600,
    0xff484600,
    0xff4e4900,
    0xff524c05,
    0xff544f0d,
    0xff595310,
    0xff5e5b11,
    0xff625f16,
    0xff656319,
    0xff68651c,
    0xff67681e,
    0xff6e6b23,
    0xff6c6f23,
    0xff707227,
    0xff717426,
    0xff737827,
    0xff737a28,
    0xff727c27,
    0xff707b21,
    0xff6d7a1b,
    0xff657515,
    0xff627310,
    0xff5f730d,
    0xff596e0a,
    0xff576d0b,
    0xff566a0b,
    0xff556d0c,
    0xff546a0d,
    0xff516709,
    0xff4f630a,
    0xff4b5e05,
    0xff495e04,
    0xff485a08,
    0xff455605,
    0xff415402,
    0xff3d5101,
    0xff364c02,
    0xff324801,
    0xff314201,
    0xff2e3e00,
    0xff2e3c01,
    0xff2b3b01,
    0xff283a02,
    0xff283902,
    0xff253704,
    0xff253505,
    0xff253404,
    0xff243304,
    0xff233305,
    0xff222f05,
    0xff202f06,
    0xff1f2d07,
    0xff1d2b05,
    0xff202904,
    0xff1b2803,
    0xff192503,
    0xff171f00,
    0xff0f1a00,
    0xff091400,
    0xff061201,
    0xff040f00,
    0xff030e00,
    0xff000d01,
    0xff020901,
    0xff000a01,
    0xff020901,
    0xff000700,
    0xff010700,
    0xff010500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010500,
    0xff000500,
    0xff010600,
    0xff000400,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff010801,
    0xff010801,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000700,
    0xff010500,
    0xff000400,
    0xff000500,
    0xff010500,
    0xff010200,
    0xff010300,
    0xff000100,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff162401,
    0xff102200,
    0xff0f1e01,
    0xff0d1a01,
    0xff0a1600,
    0xff091700,
    0xff0a1500,
    0xff0a1600,
    0xff0c1600,
    0xff0d1600,
    0xff0c1700,
    0xff0a1700,
    0xff0c1700,
    0xff0a1700,
    0xff0b1700,
    0xff0d1800,
    0xff0f1b01,
    0xff0d1b00,
    0xff0d1a00,
    0xff0a1c00,
    0xff0b1a00,
    0xff0d1c01,
    0xff0d1d00,
    0xff0f1d03,
    0xff0c1d02,
    0xff0c1c00,
    0xff091a00,
    0xff091900,
    0xff091900,
    0xff081800,
    0xff081700,
    0xff081701,
    0xff061500,
    0xff041200,
    0xff040e00,
    0xff000b00,
    0xff000901,
    0xff010700,
    0xff000500,
    0xff000600,
    0xff010602,
    0xff000601,
    0xff000401,
    0xff020401,
    0xff000401,
    0xff000500,
    0xff000400,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff000600,
    0xff020400,
    0xff020401,
    0xff000200,
    0xff010300,
    0xff000100,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010000,
    0xff010301,
    0xff000300,
    0xff010200,
    0xff020501,
    0xff000500,
    0xff000700,
    0xff020600,
    0xff010600,
    0xff030701,
    0xff010800,
    0xff000a01,
    0xff000a01,
    0xff020801,
    0xff010901,
    0xff010901,
    0xff010700,
    0xff000a01,
    0xff000901,
    0xff020901,
    0xff020801,
    0xff000900,
    0xff000901,
    0xff020901,
    0xff040801,
    0xff070800,
    0xff080a01,
    0xff0a0d00,
    0xff0c0f01,
    0xff111401,
    0xff181a01,
    0xff191c01,
    0xff1d1c00,
    0xff221d00,
    0xff262101,
    0xff2b2500,
    0xff302800,
    0xff322b00,
    0xff373005,
    0xff40350a,
    0xff463b0f,
    0xff4b3f12,
    0xff4d4216,
    0xff4e4416,
    0xff524718,
    0xff534917,
    0xff4e4915,
    0xff4c4817,
    0xff474614,
    0xff413f0f,
    0xff3e3d0f,
    0xff37390a,
    0xff303404,
    0xff282c01,
    0xff1f2600,
    0xff1c2401,
    0xff172000,
    0xff182002,
    0xff172001,
    0xff151f00,
    0xff161f00,
    0xff152000,
    0xff152000,
    0xff141f00,
    0xff142000,
    0xff132000,
    0xff3e3f0c,
    0xff876747,
    0xff90725c,
    0xff91864a,
    0xffab9884,
    0xffa28798,
    0xff786967,
    0xff605747,
    0xff5a5043,
    0xff493d35,
    0xff71585a,
    0xff775f56,
    0xff514130,
    0xff684c44,
    0xff71564a,
    0xff161c00,
    0xff0d1400,
    0xff101400,
    0xff0f1401,
    0xff111401,
    0xff121500,
    0xff131500,
    0xff131300,
    0xff32240b,
    0xff895428,
    0xffdbc38a,
    0xfffff0cb,
    0xfff9f0c6,
    0xfff2ebd2,
    0xffe0c6a4,
    0xffc99c6a,
    0xfff0d4ae,
    0xfffefff6,
    0xfffbfbee,
    0xfffffff9,
    0xffeddec9,
    0xffe8cea5,
    0xfff8efcf,
    0xfff5f1dd,
    0xfff6f4e2,
    0xfff3e8c4,
    0xfff2d5a4,
    0xffe6d6a5,
    0xffcecc98,
    0xff494b01,
    0xff393600,
    0xff413d00,
    0xff444000,
    0xff494500,
    0xff4a4600,
    0xff4e4800,
    0xff4c4a00,
    0xff514b00,
    0xff544d04,
    0xff59520d,
    0xff59560e,
    0xff605b10,
    0xff626015,
    0xff676319,
    0xff68661c,
    0xff696a1f,
    0xff6d6e22,
    0xff6f7124,
    0xff737326,
    0xff717425,
    0xff727826,
    0xff727925,
    0xff737c25,
    0xff717a1d,
    0xff6c7818,
    0xff667713,
    0xff637310,
    0xff5e730c,
    0xff5c710a,
    0xff566c0d,
    0xff566a0c,
    0xff526a0b,
    0xff52680d,
    0xff52650a,
    0xff4d6309,
    0xff4d5d07,
    0xff4b5b05,
    0xff4b5904,
    0xff455805,
    0xff425402,
    0xff3d5100,
    0xff394c00,
    0xff364600,
    0xff314201,
    0xff2e3d00,
    0xff2a3a01,
    0xff2a3902,
    0xff263701,
    0xff273503,
    0xff243402,
    0xff213305,
    0xff213304,
    0xff203204,
    0xff213106,
    0xff202f05,
    0xff1b2f05,
    0xff1c2c05,
    0xff1c2b04,
    0xff1e2803,
    0xff1b2703,
    0xff192400,
    0xff151c01,
    0xff0a1701,
    0xff081401,
    0xff051100,
    0xff031000,
    0xff060e00,
    0xff030c00,
    0xff000a01,
    0xff000b00,
    0xff020801,
    0xff010800,
    0xff000801,
    0xff000700,
    0xff000400,
    0xff010500,
    0xff010600,
    0xff000500,
    0xff010601,
    0xff010600,
    0xff010600,
    0xff000600,
    0xff020701,
    0xff000600,
    0xff010801,
    0xff010801,
    0xff010801,
    0xff000700,
    0xff000601,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000500,
    0xff000501,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000501,
    0xff000501,
    0xff010200,
    0xff000201,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff172700,
    0xff152500,
    0xff122001,
    0xff111d00,
    0xff0b1900,
    0xff0e1700,
    0xff0b1700,
    0xff0a1700,
    0xff0f1700,
    0xff0e1700,
    0xff101801,
    0xff0f1700,
    0xff101800,
    0xff111800,
    0xff0d1a00,
    0xff111a01,
    0xff0f1c01,
    0xff0d1b01,
    0xff0e1b01,
    0xff0c1b01,
    0xff0b1b00,
    0xff0c1c00,
    0xff0c1b00,
    0xff0e1c02,
    0xff0d1d02,
    0xff0e1d01,
    0xff0c1b02,
    0xff091900,
    0xff0a1900,
    0xff081900,
    0xff091801,
    0xff071700,
    0xff071600,
    0xff051200,
    0xff040f00,
    0xff010b01,
    0xff000800,
    0xff020601,
    0xff000600,
    0xff010300,
    0xff000400,
    0xff010401,
    0xff010300,
    0xff020401,
    0xff000501,
    0xff000400,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff020401,
    0xff020301,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010201,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010000,
    0xff000202,
    0xff000301,
    0xff010300,
    0xff020401,
    0xff000600,
    0xff020701,
    0xff020600,
    0xff030701,
    0xff010901,
    0xff000901,
    0xff010801,
    0xff000a01,
    0xff010901,
    0xff000a01,
    0xff010800,
    0xff020700,
    0xff000a01,
    0xff010901,
    0xff010700,
    0xff010700,
    0xff000a01,
    0xff000900,
    0xff000801,
    0xff030801,
    0xff060900,
    0xff070800,
    0xff070a00,
    0xff0a0d00,
    0xff0f1101,
    0xff141701,
    0xff191a00,
    0xff1b1901,
    0xff211c00,
    0xff241f01,
    0xff292300,
    0xff2e2500,
    0xff312a00,
    0xff373005,
    0xff3f340a,
    0xff43380e,
    0xff483b12,
    0xff4a4013,
    0xff4e4215,
    0xff4f4517,
    0xff514716,
    0xff4d4813,
    0xff4c4813,
    0xff494411,
    0xff40400d,
    0xff3e3d0c,
    0xff373908,
    0xff303302,
    0xff282a01,
    0xff1f2700,
    0xff1c2501,
    0xff192400,
    0xff1b2100,
    0xff192200,
    0xff172100,
    0xff161f00,
    0xff162000,
    0xff152001,
    0xff151f00,
    0xff162100,
    0xff423c11,
    0xff60462d,
    0xff9d8853,
    0xffd6caa9,
    0xfff2d3e3,
    0xffb69a9e,
    0xff504936,
    0xff2e2b1a,
    0xff322c20,
    0xff302b20,
    0xff201c11,
    0xff393319,
    0xff776d4c,
    0xff615637,
    0xff463a2b,
    0xff3f3725,
    0xff201f06,
    0xff111600,
    0xff111600,
    0xff131701,
    0xff121501,
    0xff131600,
    0xff0f1200,
    0xff331e0c,
    0xffab7f4d,
    0xfff1d39f,
    0xffffffed,
    0xfff2e8cf,
    0xfff6ebd0,
    0xfffaf4e4,
    0xfff0e1c2,
    0xfff2dfb9,
    0xfffffffb,
    0xfffffdf9,
    0xffe8d1c2,
    0xffe8cfaa,
    0xfffbefcd,
    0xfffdfeec,
    0xfffeffff,
    0xfffeffff,
    0xffffffff,
    0xfff2e8d7,
    0xffe6cda9,
    0xfff0e2c6,
    0xfff7e6cc,
    0xfffce6c5,
    0xffd5c995,
    0xffaaa463,
    0xff727025,
    0xff3a3800,
    0xff484300,
    0xff504a00,
    0xff4f4d00,
    0xff544d00,
    0xff565005,
    0xff595309,
    0xff5b580f,
    0xff615c11,
    0xff636114,
    0xff686419,
    0xff67671a,
    0xff6c6d1f,
    0xff6e6f1f,
    0xff706f21,
    0xff727425,
    0xff727324,
    0xff737922,
    0xff737823,
    0xff747b22,
    0xff707a1b,
    0xff6c7917,
    0xff687513,
    0xff637410,
    0xff61720e,
    0xff5f6f0c,
    0xff586d0b,
    0xff556a0e,
    0xff536a0c,
    0xff53690c,
    0xff53660b,
    0xff4d6208,
    0xff4a5f09,
    0xff495905,
    0xff495704,
    0xff475603,
    0xff465503,
    0xff415201,
    0xff3b4d00,
    0xff374600,
    0xff324001,
    0xff2e3d01,
    0xff283800,
    0xff273701,
    0xff263400,
    0xff243403,
    0xff213200,
    0xff203103,
    0xff203104,
    0xff213207,
    0xff1f3107,
    0xff1f2e05,
    0xff1d2d03,
    0xff1e2c05,
    0xff1a2a03,
    0xff1b2802,
    0xff1a2601,
    0xff171f00,
    0xff111b00,
    0xff0b1600,
    0xff081300,
    0xff091101,
    0xff030f00,
    0xff060d00,
    0xff020d00,
    0xff020b01,
    0xff030a00,
    0xff020801,
    0xff010800,
    0xff000800,
    0xff000600,
    0xff010500,
    0xff000500,
    0xff000500,
    0xff000401,
    0xff000401,
    0xff000500,
    0xff000400,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff010801,
    0xff000601,
    0xff000600,
    0xff000500,
    0xff000400,
    0xff000500,
    0xff000501,
    0xff000700,
    0xff010801,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000400,
    0xff010200,
    0xff010301,
    0xff010101,
    0xff010000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff192a00,
    0xff182701,
    0xff142300,
    0xff121f01,
    0xff0f1d02,
    0xff101a01,
    0xff0f1900,
    0xff0f1800,
    0xff101800,
    0xff111a01,
    0xff101a01,
    0xff111c00,
    0xff121b00,
    0xff111d01,
    0xff111d00,
    0xff121c00,
    0xff111b00,
    0xff0c1d00,
    0xff0f1c01,
    0xff0c1c01,
    0xff0b1b00,
    0xff0a1b01,
    0xff0e1c01,
    0xff0c1c01,
    0xff0c1c01,
    0xff0d1b01,
    0xff0c1b00,
    0xff0c1c01,
    0xff0a1a00,
    0xff091900,
    0xff091600,
    0xff081600,
    0xff091701,
    0xff061301,
    0xff051000,
    0xff030e00,
    0xff020a01,
    0xff010601,
    0xff000600,
    0xff010300,
    0xff000400,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010200,
    0xff000501,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff010500,
    0xff000500,
    0xff000600,
    0xff010501,
    0xff000501,
    0xff010300,
    0xff000200,
    0xff000101,
    0xff010201,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff010200,
    0xff000401,
    0xff020501,
    0xff000600,
    0xff020701,
    0xff000700,
    0xff020701,
    0xff000901,
    0xff010901,
    0xff040701,
    0xff010901,
    0xff010800,
    0xff020901,
    0xff010800,
    0xff000900,
    0xff000900,
    0xff000901,
    0xff000900,
    0xff000900,
    0xff000a01,
    0xff000800,
    0xff010901,
    0xff010800,
    0xff010801,
    0xff050800,
    0xff070900,
    0xff090c00,
    0xff0a0f00,
    0xff0f1400,
    0xff171801,
    0xff1a1800,
    0xff1b1901,
    0xff221c00,
    0xff272000,
    0xff2b2500,
    0xff2f2801,
    0xff362f08,
    0xff3f330c,
    0xff42360f,
    0xff473b11,
    0xff493e14,
    0xff4e4214,
    0xff4e4515,
    0xff4d4812,
    0xff504711,
    0xff4d4610,
    0xff46450e,
    0xff42410c,
    0xff3e3c09,
    0xff363a04,
    0xff2f3300,
    0xff262c00,
    0xff202700,
    0xff1d2700,
    0xff1e2601,
    0xff1b2201,
    0xff1b2301,
    0xff182200,
    0xff172200,
    0xff192100,
    0xff142100,
    0xff152100,
    0xff3f3a11,
    0xff543a2a,
    0xff4d4823,
    0xffe1cfbd,
    0xfffce3eb,
    0xffb5a797,
    0xff4d4f29,
    0xff332c27,
    0xff322d27,
    0xff342b28,
    0xff302725,
    0xff241d15,
    0xff302c1a,
    0xffa79986,
    0xffb4a779,
    0xff534523,
    0xff32271f,
    0xff221e11,
    0xff141900,
    0xff131700,
    0xff131700,
    0xff111700,
    0xff131400,
    0xff55371c,
    0xffb38d55,
    0xfffffad5,
    0xfffaf0d1,
    0xfff4e9ce,
    0xfffcfdf5,
    0xfffeffff,
    0xfffbf9e4,
    0xfff6e6d1,
    0xffeed5b4,
    0xffdbc0a1,
    0xffc58e5f,
    0xffedd2a3,
    0xfffffff2,
    0xfffeffff,
    0xfffefffe,
    0xfffffeff,
    0xffffffff,
    0xfffeffff,
    0xffd9bda3,
    0xfff2e7d0,
    0xffe2c8a5,
    0xffb78e67,
    0xffc39f7c,
    0xfffef4e4,
    0xffffffff,
    0xffffffec,
    0xfff0e3aa,
    0xff726e22,
    0xff454600,
    0xff4c4a00,
    0xff555100,
    0xff545106,
    0xff5a5408,
    0xff5d570e,
    0xff615e10,
    0xff656313,
    0xff666616,
    0xff6a6b18,
    0xff6d6f1b,
    0xff6f731f,
    0xff727421,
    0xff737622,
    0xff717722,
    0xff737723,
    0xff717a22,
    0xff727b20,
    0xff717b19,
    0xff6d7918,
    0xff687711,
    0xff65740f,
    0xff62720d,
    0xff606f0c,
    0xff5f6e0b,
    0xff566c0c,
    0xff556a0b,
    0xff53660d,
    0xff53640b,
    0xff4f6409,
    0xff4b5e05,
    0xff495904,
    0xff4b5705,
    0xff4b5604,
    0xff475300,
    0xff415202,
    0xff394e00,
    0xff354902,
    0xff334001,
    0xff2c3d00,
    0xff283701,
    0xff273400,
    0xff253400,
    0xff243301,
    0xff203200,
    0xff1f3203,
    0xff1e2f03,
    0xff203008,
    0xff1f3006,
    0xff1d2e05,
    0xff1d2d03,
    0xff1d2b03,
    0xff192903,
    0xff192501,
    0xff162100,
    0xff141c00,
    0xff0f1800,
    0xff0b1401,
    0xff091201,
    0xff061200,
    0xff031000,
    0xff050c00,
    0xff020c00,
    0xff030c01,
    0xff030a00,
    0xff000a01,
    0xff010900,
    0xff010700,
    0xff010500,
    0xff010500,
    0xff000502,
    0xff000400,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff000501,
    0xff010601,
    0xff010600,
    0xff000801,
    0xff000600,
    0xff000700,
    0xff010701,
    0xff000400,
    0xff000301,
    0xff000501,
    0xff000502,
    0xff000501,
    0xff000500,
    0xff000700,
    0xff010801,
    0xff010801,
    0xff000700,
    0xff000800,
    0xff000400,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff1c2f00,
    0xff182900,
    0xff172601,
    0xff152200,
    0xff111f00,
    0xff121c01,
    0xff101c01,
    0xff111c00,
    0xff111b00,
    0xff121d02,
    0xff121e00,
    0xff141d00,
    0xff121e00,
    0xff121e00,
    0xff121e00,
    0xff0f1d01,
    0xff111c00,
    0xff0d1d00,
    0xff0e1d00,
    0xff0e1b02,
    0xff0c1c01,
    0xff0a1d00,
    0xff0d1c02,
    0xff0c1c01,
    0xff0c1c02,
    0xff0c1c01,
    0xff0c1c01,
    0xff0c1c01,
    0xff0b1b00,
    0xff081800,
    0xff0a1801,
    0xff081700,
    0xff091501,
    0xff091501,
    0xff071101,
    0xff031000,
    0xff030b00,
    0xff010700,
    0xff000500,
    0xff000400,
    0xff010200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000400,
    0xff000500,
    0xff000500,
    0xff020700,
    0xff020500,
    0xff000400,
    0xff010700,
    0xff010501,
    0xff000400,
    0xff010200,
    0xff000200,
    0xff000200,
    0xff010200,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff010300,
    0xff010200,
    0xff000401,
    0xff020501,
    0xff000600,
    0xff000500,
    0xff010700,
    0xff000700,
    0xff020901,
    0xff010801,
    0xff020700,
    0xff020801,
    0xff020900,
    0xff010900,
    0xff020800,
    0xff000900,
    0xff010800,
    0xff010801,
    0xff000900,
    0xff000a01,
    0xff000800,
    0xff000800,
    0xff010900,
    0xff010700,
    0xff010800,
    0xff010800,
    0xff050701,
    0xff070900,
    0xff090d00,
    0xff0c1100,
    0xff121700,
    0xff151700,
    0xff191701,
    0xff201b00,
    0xff251e00,
    0xff272300,
    0xff302901,
    0xff363007,
    0xff3d330a,
    0xff42370e,
    0xff473910,
    0xff493e13,
    0xff4c4113,
    0xff4e4413,
    0xff4e450f,
    0xff4f4610,
    0xff48450e,
    0xff45450c,
    0xff413f08,
    0xff3d3c07,
    0xff363903,
    0xff313300,
    0xff282e00,
    0xff262b01,
    0xff212700,
    0xff1e2600,
    0xff1e2601,
    0xff1c2300,
    0xff1b2301,
    0xff182301,
    0xff1a2100,
    0xff112000,
    0xff3c3809,
    0xff483720,
    0xff434326,
    0xffafa18e,
    0xffeed9da,
    0xffbaa88d,
    0xff75766f,
    0xff63656c,
    0xff393125,
    0xff2c251c,
    0xff262222,
    0xff241e1b,
    0xff271f23,
    0xff24230c,
    0xffa29682,
    0xffdbc2b4,
    0xff8b7244,
    0xff553e24,
    0xff2a2315,
    0xff181804,
    0xff141701,
    0xff0f1500,
    0xff191904,
    0xff6a3d16,
    0xffb79c7b,
    0xffffffdb,
    0xfff9f1d7,
    0xfff1e2ca,
    0xfff8f6f1,
    0xffffffff,
    0xfffefefe,
    0xfffcf7e6,
    0xffd4ae87,
    0xffd7a775,
    0xfff4daa7,
    0xfffcf6d8,
    0xffffffff,
    0xfff8f2eb,
    0xfff8f2e5,
    0xfff7f2ea,
    0xffffffff,
    0xfffbfdfe,
    0xffc9ac90,
    0xfff4e6c7,
    0xfff5ead2,
    0xffe8d1af,
    0xffd5bd94,
    0xfff2e6c3,
    0xfffeffff,
    0xfffafbf0,
    0xffddc9a0,
    0xffe8caa4,
    0xffcda075,
    0xffac8c6e,
    0xff8f8247,
    0xff504e00,
    0xff595504,
    0xff5b5507,
    0xff5f580c,
    0xff625f0e,
    0xff646310,
    0xff676713,
    0xff696a18,
    0xff6e711b,
    0xff70741e,
    0xff71751f,
    0xff757821,
    0xff717822,
    0xff737924,
    0xff717923,
    0xff727b21,
    0xff6f7b19,
    0xff6b7715,
    0xff657912,
    0xff65730f,
    0xff62720e,
    0xff5f710d,
    0xff5e6f0c,
    0xff5c6e0a,
    0xff576a0c,
    0xff51670c,
    0xff51640a,
    0xff506308,
    0xff4e6007,
    0xff4a5902,
    0xff4b5704,
    0xff495603,
    0xff465400,
    0xff415201,
    0xff3c4c00,
    0xff384600,
    0xff334000,
    0xff2f3b00,
    0xff283700,
    0xff263400,
    0xff243400,
    0xff253202,
    0xff223200,
    0xff1f3001,
    0xff1e2f02,
    0xff1e2f05,
    0xff1d2e04,
    0xff1c2d03,
    0xff1b2c01,
    0xff1b2902,
    0xff182700,
    0xff161f00,
    0xff141d01,
    0xff131b00,
    0xff0c1600,
    0xff0a1301,
    0xff081101,
    0xff081000,
    0xff030e00,
    0xff040c00,
    0xff010d00,
    0xff010b00,
    0xff020c00,
    0xff000901,
    0xff010800,
    0xff000700,
    0xff010600,
    0xff010500,
    0xff000501,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff000501,
    0xff010500,
    0xff000500,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff010700,
    0xff000500,
    0xff000300,
    0xff000400,
    0xff000401,
    0xff000501,
    0xff010500,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000601,
    0xff000500,
    0xff000400,
    0xff010200,
    0xff010300,
    0xff000100,
    0xff000100,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff203101,
    0xff1e2f01,
    0xff182a00,
    0xff162601,
    0xff152300,
    0xff132100,
    0xff112200,
    0xff132000,
    0xff132000,
    0xff152000,
    0xff122100,
    0xff142100,
    0xff122000,
    0xff111f01,
    0xff141f01,
    0xff101e00,
    0xff101e02,
    0xff101c00,
    0xff0e1d00,
    0xff0e1d00,
    0xff0b1b00,
    0xff0c1b00,
    0xff0c1d01,
    0xff0c1d02,
    0xff0d1d00,
    0xff0c1c01,
    0xff0d1d02,
    0xff0d1d02,
    0xff0b1b00,
    0xff0b1900,
    0xff091701,
    0xff091700,
    0xff081700,
    0xff091700,
    0xff081301,
    0xff051100,
    0xff050d00,
    0xff030a00,
    0xff010600,
    0xff000401,
    0xff000100,
    0xff000100,
    0xff010300,
    0xff010200,
    0xff010300,
    0xff000400,
    0xff000500,
    0xff000600,
    0xff020600,
    0xff010600,
    0xff010600,
    0xff000400,
    0xff000501,
    0xff000401,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff010002,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010102,
    0xff010301,
    0xff010300,
    0xff000501,
    0xff000600,
    0xff010700,
    0xff020700,
    0xff020700,
    0xff010900,
    0xff030701,
    0xff010901,
    0xff030801,
    0xff020901,
    0xff000900,
    0xff010800,
    0xff010800,
    0xff020901,
    0xff000701,
    0xff010900,
    0xff000900,
    0xff000a01,
    0xff000900,
    0xff010901,
    0xff010800,
    0xff000700,
    0xff000800,
    0xff020701,
    0xff040800,
    0xff070901,
    0xff080e01,
    0xff0e1300,
    0xff111500,
    0xff161601,
    0xff1c1801,
    0xff211c00,
    0xff272200,
    0xff312801,
    0xff382e07,
    0xff3c320b,
    0xff3e360d,
    0xff453810,
    0xff493e10,
    0xff4a3f12,
    0xff4c4212,
    0xff4d430e,
    0xff4d430e,
    0xff4c440f,
    0xff47420c,
    0xff423e09,
    0xff3e3d06,
    0xff373701,
    0xff333400,
    0xff2b3100,
    0xff272e01,
    0xff232b00,
    0xff1f2800,
    0xff1c2600,
    0xff1a2600,
    0xff1a2600,
    0xff1a2301,
    0xff152300,
    0xff2e2f07,
    0xff564028,
    0xff343310,
    0xffb5a698,
    0xffe4cfd5,
    0xffae9b8d,
    0xff72766d,
    0xff71717c,
    0xff595757,
    0xff2f2b26,
    0xff241d1d,
    0xff231f23,
    0xff242219,
    0xff2a2422,
    0xff261d17,
    0xff565538,
    0xff9d9080,
    0xff7f6249,
    0xff754e34,
    0xff4c371e,
    0xff222002,
    0xff0a1200,
    0xff2c2108,
    0xff895a32,
    0xffe2c28c,
    0xffffedcb,
    0xfff6eecf,
    0xffe6d2ca,
    0xffeedfc8,
    0xffffffff,
    0xffffffff,
    0xfffeffff,
    0xfffefffb,
    0xffd5b08a,
    0xffeee2bd,
    0xffffffff,
    0xfffffffd,
    0xfffcf8e8,
    0xfff1e7d2,
    0xfff9faec,
    0xffffffff,
    0xfff9f4ef,
    0xffd0bca1,
    0xffe9d9b9,
    0xfffcfced,
    0xffeed8b6,
    0xffd1b58a,
    0xfff6ebdb,
    0xfffbf4e6,
    0xfffbfaf4,
    0xfffbf9ec,
    0xfff8ebcc,
    0xffcea974,
    0xff88602c,
    0xff80502f,
    0xffa9a372,
    0xff514e00,
    0xff5b5602,
    0xff5c5706,
    0xff5d5c0b,
    0xff64600e,
    0xff646410,
    0xff676713,
    0xff6b6b18,
    0xff70741b,
    0xff72751f,
    0xff757a21,
    0xff767922,
    0xff747822,
    0xff767823,
    0xff727a22,
    0xff717920,
    0xff6d7917,
    0xff6b7815,
    0xff647510,
    0xff64730e,
    0xff63720e,
    0xff61700e,
    0xff606e0e,
    0xff5e6f0a,
    0xff576c0c,
    0xff54690b,
    0xff526409,
    0xff526206,
    0xff4f5f04,
    0xff4d5b02,
    0xff4b5704,
    0xff485500,
    0xff475300,
    0xff455001,
    0xff3f4d00,
    0xff394600,
    0xff344100,
    0xff313c00,
    0xff2b3800,
    0xff263400,
    0xff253401,
    0xff263300,
    0xff233100,
    0xff203100,
    0xff1e3101,
    0xff1d2f00,
    0xff1c2e01,
    0xff182b01,
    0xff192700,
    0xff192502,
    0xff172200,
    0xff161e00,
    0xff151e01,
    0xff101800,
    0xff0b1400,
    0xff0a1301,
    0xff081202,
    0xff070f00,
    0xff040e00,
    0xff030c01,
    0xff010b00,
    0xff000b00,
    0xff020b00,
    0xff030902,
    0xff010800,
    0xff000700,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff010602,
    0xff000501,
    0xff000500,
    0xff000401,
    0xff000501,
    0xff000400,
    0xff000400,
    0xff000502,
    0xff000401,
    0xff010500,
    0xff000501,
    0xff000501,
    0xff010500,
    0xff020300,
    0xff000300,
    0xff000500,
    0xff000400,
    0xff000400,
    0xff010602,
    0xff010500,
    0xff000700,
    0xff010601,
    0xff010501,
    0xff000501,
    0xff010100,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff233400,
    0xff203300,
    0xff1c2f01,
    0xff192900,
    0xff172600,
    0xff162400,
    0xff162600,
    0xff172500,
    0xff172500,
    0xff192600,
    0xff172600,
    0xff152300,
    0xff162100,
    0xff151f00,
    0xff142001,
    0xff111e00,
    0xff101d01,
    0xff101d01,
    0xff0e1e01,
    0xff0e1e00,
    0xff0b1b01,
    0xff0b1b00,
    0xff0c1b00,
    0xff0d1b01,
    0xff0c1d02,
    0xff0b1b00,
    0xff0b1d01,
    0xff0d1b00,
    0xff0d1c01,
    0xff0b1900,
    0xff0b1901,
    0xff091700,
    0xff081700,
    0xff081600,
    0xff091502,
    0xff061100,
    0xff050f00,
    0xff030b00,
    0xff020700,
    0xff010500,
    0xff000200,
    0xff010100,
    0xff010200,
    0xff000200,
    0xff010200,
    0xff000501,
    0xff010500,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff000400,
    0xff010600,
    0xff010601,
    0xff000501,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff020200,
    0xff010401,
    0xff020500,
    0xff010701,
    0xff020600,
    0xff020800,
    0xff010900,
    0xff030701,
    0xff000a01,
    0xff020700,
    0xff000900,
    0xff010801,
    0xff020801,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff010800,
    0xff000800,
    0xff000800,
    0xff000900,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff010700,
    0xff020701,
    0xff020700,
    0xff050a01,
    0xff0c1000,
    0xff0e1400,
    0xff131400,
    0xff191701,
    0xff1e1900,
    0xff252001,
    0xff302801,
    0xff372c04,
    0xff3b300a,
    0xff3e350c,
    0xff45380e,
    0xff493c0f,
    0xff4a3e11,
    0xff493f11,
    0xff49420f,
    0xff4b420d,
    0xff49410b,
    0xff483f0b,
    0xff423d08,
    0xff3c3a05,
    0xff383701,
    0xff353500,
    0xff2f3200,
    0xff2a3100,
    0xff272e00,
    0xff232b01,
    0xff1e2900,
    0xff1e2701,
    0xff1d2600,
    0xff1a2401,
    0xff1c2800,
    0xff453519,
    0xff4d4631,
    0xffb5b392,
    0xffe1caca,
    0xffc1ada1,
    0xff777b6a,
    0xff717189,
    0xff52544c,
    0xff535650,
    0xff33322d,
    0xff27211f,
    0xff44452c,
    0xff65643f,
    0xff3d3c2b,
    0xff2d2425,
    0xff2c2a1d,
    0xff383325,
    0xff3c3118,
    0xff533725,
    0xff5a3c29,
    0xff332d11,
    0xff3a290b,
    0xffab7646,
    0xfff7d89d,
    0xfff3e1ae,
    0xfff6f2dc,
    0xffe7ccac,
    0xffd5af82,
    0xfff4e3cd,
    0xffffffff,
    0xffffffff,
    0xfff7eadb,
    0xffcd986a,
    0xffbd8a55,
    0xffd2b39b,
    0xffd4b09e,
    0xffe5d2c7,
    0xffdab196,
    0xffe8cca9,
    0xffe8ccab,
    0xffe0c1a1,
    0xffd7ac7d,
    0xffeecb98,
    0xffe4c190,
    0xffe1b98a,
    0xffdcb888,
    0xffe8c696,
    0xffecd5ad,
    0xffeddbbd,
    0xfffbf1d7,
    0xfff7ead3,
    0xffe3c69c,
    0xffbf9363,
    0xffc4986a,
    0xffb2a262,
    0xff484600,
    0xff5a5400,
    0xff5a5800,
    0xff5e5904,
    0xff5f5d09,
    0xff63600c,
    0xff64640f,
    0xff686713,
    0xff696b16,
    0xff6f7319,
    0xff757720,
    0xff747a1d,
    0xff767a20,
    0xff757a21,
    0xff727b1f,
    0xff717a20,
    0xff717a1f,
    0xff6d7716,
    0xff667610,
    0xff647211,
    0xff63720e,
    0xff65720d,
    0xff61710f,
    0xff60700e,
    0xff5e6d0a,
    0xff5a6b0b,
    0xff57680b,
    0xff536509,
    0xff516206,
    0xff4f5f02,
    0xff4d5d03,
    0xff4c5902,
    0xff4b5501,
    0xff485300,
    0xff425101,
    0xff3f4e00,
    0xff3a4600,
    0xff354100,
    0xff323c01,
    0xff2e3901,
    0xff263400,
    0xff283400,
    0xff263400,
    0xff233200,
    0xff213101,
    0xff1d2e00,
    0xff1b2b01,
    0xff1a2901,
    0xff1a2700,
    0xff1a2500,
    0xff182400,
    0xff162200,
    0xff171f00,
    0xff121b00,
    0xff0a1800,
    0xff0b1400,
    0xff0a1300,
    0xff081200,
    0xff090e01,
    0xff050e00,
    0xff020d01,
    0xff020b01,
    0xff010a00,
    0xff010b00,
    0xff020801,
    0xff000700,
    0xff010801,
    0xff010800,
    0xff000500,
    0xff000500,
    0xff000501,
    0xff000501,
    0xff000400,
    0xff010401,
    0xff000300,
    0xff000300,
    0xff000401,
    0xff000501,
    0xff000501,
    0xff000500,
    0xff000400,
    0xff000400,
    0xff010500,
    0xff000200,
    0xff010200,
    0xff000300,
    0xff000300,
    0xff000401,
    0xff000300,
    0xff000400,
    0xff000600,
    0xff000601,
    0xff000400,
    0xff000400,
    0xff000300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff263600,
    0xff213400,
    0xff1f3200,
    0xff1c2f00,
    0xff1b2c00,
    0xff1d2c01,
    0xff1d2900,
    0xff1c2c01,
    0xff1c2c00,
    0xff1c2c01,
    0xff1a2a00,
    0xff192801,
    0xff182400,
    0xff152200,
    0xff122100,
    0xff122000,
    0xff121f01,
    0xff111f00,
    0xff0e1d00,
    0xff0d1e00,
    0xff0d1d02,
    0xff0c1b00,
    0xff0b1c01,
    0xff0a1c00,
    0xff0c1d02,
    0xff0d1d02,
    0xff0c1c01,
    0xff0d1b01,
    0xff0e1c02,
    0xff0d1a00,
    0xff0c1900,
    0xff091700,
    0xff071701,
    0xff091401,
    0xff071300,
    0xff081302,
    0xff071101,
    0xff050e01,
    0xff020a01,
    0xff010600,
    0xff010301,
    0xff010101,
    0xff010201,
    0xff000200,
    0xff000200,
    0xff000501,
    0xff010400,
    0xff000700,
    0xff000500,
    0xff010500,
    0xff000500,
    0xff000501,
    0xff000501,
    0xff010500,
    0xff020300,
    0xff010300,
    0xff000200,
    0xff010101,
    0xff010000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000001,
    0xff020200,
    0xff010200,
    0xff010300,
    0xff020400,
    0xff000600,
    0xff020700,
    0xff010600,
    0xff010700,
    0xff030700,
    0xff000901,
    0xff020800,
    0xff010901,
    0xff000a00,
    0xff030701,
    0xff010800,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff010700,
    0xff010800,
    0xff000700,
    0xff010700,
    0xff000700,
    0xff010801,
    0xff010801,
    0xff000800,
    0xff000600,
    0xff020700,
    0xff050700,
    0xff080b00,
    0xff0b1000,
    0xff0f1200,
    0xff151400,
    0xff1c1600,
    0xff221c00,
    0xff2c2601,
    0xff352b02,
    0xff392f0a,
    0xff3d340b,
    0xff43380c,
    0xff493b0d,
    0xff4a3d0e,
    0xff4b3d10,
    0xff49400f,
    0xff483f0b,
    0xff463f09,
    0xff433e08,
    0xff3f3d08,
    0xff3c3904,
    0xff373600,
    0xff363500,
    0xff313301,
    0xff2f3401,
    0xff2b2f01,
    0xff262c00,
    0xff222b00,
    0xff202901,
    0xff1e2601,
    0xff1b2700,
    0xff392e12,
    0xff1e1307,
    0xffa8a37d,
    0xfff4e2ea,
    0xffae9b94,
    0xff939385,
    0xff90959d,
    0xff4a4e37,
    0xff595e5e,
    0xff707078,
    0xff4b4850,
    0xff282517,
    0xff84775d,
    0xffbfb198,
    0xff726745,
    0xff3f3421,
    0xff4b3f2a,
    0xff312412,
    0xff271b12,
    0xff261d0f,
    0xff3e2c1b,
    0xff593721,
    0xffad7c4d,
    0xffe8bd7b,
    0xfff4e0ad,
    0xfffcfdf1,
    0xfff4e7e1,
    0xffc79767,
    0xffe4be91,
    0xffe2c6a1,
    0xffcfa289,
    0xffb17a5a,
    0xffb98451,
    0xffe1ba82,
    0xffebd1a5,
    0xffefd9a8,
    0xfff0dbab,
    0xffead0a7,
    0xfff3e1b3,
    0xfff9f0cd,
    0xfff4e5bf,
    0xffc1945e,
    0xfff5e2bb,
    0xfffcf7df,
    0xfff9ebcc,
    0xffd5b385,
    0xffebd2a9,
    0xfffcf4d8,
    0xfff8edca,
    0xfff9efcf,
    0xffead8ab,
    0xffddb57c,
    0xffc09360,
    0xffa67d4b,
    0xff96673f,
    0xffbaad97,
    0xff504a00,
    0xff5a5500,
    0xff5f5b01,
    0xff625d05,
    0xff605f08,
    0xff64610d,
    0xff64640e,
    0xff67670f,
    0xff676c16,
    0xff6f7217,
    0xff75751c,
    0xff75791c,
    0xff767b1f,
    0xff767b1f,
    0xff747b1e,
    0xff727a1e,
    0xff70791d,
    0xff6d7614,
    0xff66730f,
    0xff637210,
    0xff627210,
    0xff64700e,
    0xff62710e,
    0xff616f0c,
    0xff5f6c0b,
    0xff5c6c0b,
    0xff596a0b,
    0xff556708,
    0xff526207,
    0xff505f03,
    0xff4d5f03,
    0xff4d5b00,
    0xff4a5701,
    0xff485300,
    0xff445100,
    0xff3e4d00,
    0xff3b4902,
    0xff364200,
    0xff333d00,
    0xff2f3900,
    0xff283601,
    0xff283300,
    0xff273300,
    0xff233301,
    0xff203000,
    0xff1f3001,
    0xff1d2b00,
    0xff1a2800,
    0xff192801,
    0xff192700,
    0xff1a2401,
    0xff172100,
    0xff141d00,
    0xff111701,
    0xff0e1500,
    0xff0d1302,
    0xff091200,
    0xff091301,
    0xff041101,
    0xff060e00,
    0xff020d01,
    0xff020b00,
    0xff020a00,
    0xff030b00,
    0xff010801,
    0xff000801,
    0xff000700,
    0xff000600,
    0xff000401,
    0xff000400,
    0xff000501,
    0xff000501,
    0xff000300,
    0xff010200,
    0xff010300,
    0xff010300,
    0xff010400,
    0xff000300,
    0xff000300,
    0xff000501,
    0xff010300,
    0xff000301,
    0xff000400,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff000500,
    0xff000501,
    0xff000401,
    0xff000501,
    0xff000400,
    0xff000501,
    0xff000400,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff2a3901,
    0xff263600,
    0xff223500,
    0xff203300,
    0xff1f3101,
    0xff1c3104,
    0xff212f08,
    0xff213109,
    0xff213004,
    0xff203002,
    0xff1f2d00,
    0xff1c2c00,
    0xff192801,
    0xff172500,
    0xff142200,
    0xff132100,
    0xff111f01,
    0xff111f01,
    0xff0f1f00,
    0xff0e1e01,
    0xff0c1c01,
    0xff0a1b00,
    0xff0c1a00,
    0xff0d1c01,
    0xff0c1d02,
    0xff0c1b01,
    0xff0c1b01,
    0xff0e1c02,
    0xff0d1b01,
    0xff0d1b00,
    0xff0c1a00,
    0xff0a1800,
    0xff081600,
    0xff091501,
    0xff071400,
    0xff081201,
    0xff071100,
    0xff050f00,
    0xff060c01,
    0xff030801,
    0xff000400,
    0xff010300,
    0xff000100,
    0xff000300,
    0xff010200,
    0xff000400,
    0xff020401,
    0xff010300,
    0xff020401,
    0xff000500,
    0xff010601,
    0xff010401,
    0xff010501,
    0xff000401,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010201,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000100,
    0xff010300,
    0xff010300,
    0xff030500,
    0xff010500,
    0xff020700,
    0xff010600,
    0xff030700,
    0xff020801,
    0xff020800,
    0xff020700,
    0xff000901,
    0xff020801,
    0xff000800,
    0xff000700,
    0xff020901,
    0xff000700,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff020901,
    0xff000700,
    0xff010801,
    0xff010801,
    0xff000700,
    0xff000600,
    0xff010500,
    0xff020600,
    0xff040901,
    0xff070e00,
    0xff0c1001,
    0xff111001,
    0xff191500,
    0xff201a00,
    0xff292200,
    0xff312700,
    0xff372e07,
    0xff3c330a,
    0xff42370b,
    0xff473c0d,
    0xff463c0b,
    0xff493d0c,
    0xff4a3d0b,
    0xff453c09,
    0xff443a08,
    0xff423a08,
    0xff3c3a03,
    0xff3a3702,
    0xff363501,
    0xff343401,
    0xff313200,
    0xff303301,
    0xff2c3100,
    0xff262e01,
    0xff252d01,
    0xff232b00,
    0xff1e2800,
    0xff313106,
    0xff1c1309,
    0xff505317,
    0xfff7e9e5,
    0xffa69d8e,
    0xff625e53,
    0xff8f9294,
    0xffacb1b0,
    0xff64655d,
    0xff78777d,
    0xff7b7b79,
    0xff5b5c59,
    0xff242313,
    0xff7c744b,
    0xffddcaac,
    0xff817252,
    0xff6a4d36,
    0xff7f5f44,
    0xff7c6937,
    0xff796d2e,
    0xff3f321b,
    0xff462710,
    0xffaf8b58,
    0xfff0cb84,
    0xffedcf9d,
    0xfffffeeb,
    0xffddb99c,
    0xffb1764d,
    0xffcd9053,
    0xffc18750,
    0xffd9ae7a,
    0xffd0aa79,
    0xffe2c79b,
    0xffecdebb,
    0xfff9f4dd,
    0xfffffffd,
    0xfffdfff7,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffe6ddcf,
    0xffc3a077,
    0xfffcf2d6,
    0xfff7ead2,
    0xffe4caa7,
    0xffcaa97a,
    0xfffaf4e2,
    0xfffbfbf2,
    0xfff9f3e2,
    0xfff6ead0,
    0xfff8e9cc,
    0xffc6a475,
    0xffcda375,
    0xffb58955,
    0xffa67b48,
    0xff656116,
    0xff575300,
    0xff5c5901,
    0xff615c01,
    0xff615f04,
    0xff64610b,
    0xff66620e,
    0xff64640e,
    0xff66660f,
    0xff696b15,
    0xff6d7017,
    0xff6f7417,
    0xff727719,
    0xff74791b,
    0xff75791c,
    0xff717a1a,
    0xff727b1b,
    0xff6e7819,
    0xff667412,
    0xff667111,
    0xff63710f,
    0xff637110,
    0xff637110,
    0xff64700d,
    0xff626e0b,
    0xff5e6d0c,
    0xff5c6a0b,
    0xff5a6a09,
    0xff556705,
    0xff556305,
    0xff515f04,
    0xff505d02,
    0xff4f5a00,
    0xff4c5701,
    0xff475400,
    0xff455000,
    0xff404d00,
    0xff3d4900,
    0xff384400,
    0xff343f00,
    0xff2f3a00,
    0xff2a3701,
    0xff2a3500,
    0xff283300,
    0xff263300,
    0xff213000,
    0xff202e00,
    0xff1c2c00,
    0xff1a2b01,
    0xff182700,
    0xff192600,
    0xff192300,
    0xff191f00,
    0xff151c00,
    0xff131800,
    0xff101600,
    0xff101501,
    0xff0b1401,
    0xff091201,
    0xff060f00,
    0xff060d00,
    0xff050c00,
    0xff020b01,
    0xff020901,
    0xff020a00,
    0xff010600,
    0xff000600,
    0xff010601,
    0xff000400,
    0xff010401,
    0xff000300,
    0xff000300,
    0xff000300,
    0xff000300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010301,
    0xff000300,
    0xff010200,
    0xff000300,
    0xff010200,
    0xff000300,
    0xff000200,
    0xff010200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000300,
    0xff000200,
    0xff000400,
    0xff010400,
    0xff010300,
    0xff000400,
    0xff010401,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff2b3a00,
    0xff293a01,
    0xff263901,
    0xff253801,
    0xff243405,
    0xff243308,
    0xff253309,
    0xff263309,
    0xff263408,
    0xff233304,
    0xff213201,
    0xff1e3000,
    0xff1c2d01,
    0xff182801,
    0xff172501,
    0xff152101,
    0xff112000,
    0xff112001,
    0xff101f00,
    0xff0f1e01,
    0xff0d1c01,
    0xff091c01,
    0xff0b1a00,
    0xff0b1b00,
    0xff0d1b01,
    0xff0d1a01,
    0xff0c1c01,
    0xff0d1a01,
    0xff0c1b01,
    0xff0e1b01,
    0xff0c1a01,
    0xff091700,
    0xff091600,
    0xff0a1502,
    0xff071300,
    0xff0a1202,
    0xff091100,
    0xff051000,
    0xff070d00,
    0xff060a01,
    0xff020600,
    0xff010400,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff020301,
    0xff010300,
    0xff010300,
    0xff020401,
    0xff000400,
    0xff000501,
    0xff020401,
    0xff000400,
    0xff000401,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010301,
    0xff000201,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010200,
    0xff010401,
    0xff010301,
    0xff030400,
    0xff020601,
    0xff010600,
    0xff010600,
    0xff020700,
    0xff020600,
    0xff010901,
    0xff010901,
    0xff010900,
    0xff010801,
    0xff010700,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff010801,
    0xff010801,
    0xff000600,
    0xff000600,
    0xff000500,
    0xff010600,
    0xff020600,
    0xff030b01,
    0xff080c00,
    0xff0d0e01,
    0xff161300,
    0xff1d1800,
    0xff251f00,
    0xff2d2600,
    0xff352a03,
    0xff3a3106,
    0xff413609,
    0xff443a0b,
    0xff483b0a,
    0xff483d0a,
    0xff473b09,
    0xff453a09,
    0xff413707,
    0xff403606,
    0xff3c3801,
    0xff393601,
    0xff363401,
    0xff333301,
    0xff323201,
    0xff2e3300,
    0xff2e3200,
    0xff273001,
    0xff252d00,
    0xff222c02,
    0xff2c3101,
    0xff382713,
    0xff3b3913,
    0xffeed4c8,
    0xffb5a69e,
    0xff655c53,
    0xff38352c,
    0xff8a8a7c,
    0xffc8c7c6,
    0xff908985,
    0xff8a7a7a,
    0xff787d80,
    0xff6f757f,
    0xff2b291f,
    0xff67603e,
    0xffbfad9f,
    0xff58563a,
    0xff503c2a,
    0xff6e5238,
    0xffccb392,
    0xffe3d1b4,
    0xff4f2915,
    0xffd4ad75,
    0xffe7b879,
    0xfff5e2b2,
    0xffd9baa1,
    0xffdbb88d,
    0xffb07a34,
    0xffa26120,
    0xffe4c593,
    0xffe4c79c,
    0xffefd2a8,
    0xfff6eed4,
    0xfffffffe,
    0xffffffff,
    0xfff7f3e8,
    0xfff4e7d0,
    0xfff7f5e8,
    0xfff9f6ea,
    0xfffaf9eb,
    0xffffffff,
    0xffece7e3,
    0xffb08762,
    0xffd1b289,
    0xfffaf0d7,
    0xffdec39c,
    0xffcba983,
    0xffd4b896,
    0xfffefdf2,
    0xfffeffff,
    0xfff6f2e9,
    0xfffcf5e2,
    0xfff6e6c7,
    0xffd4b183,
    0xffc09667,
    0xffb68c5c,
    0xff9b8c56,
    0xff535100,
    0xff5d5803,
    0xff5f5b00,
    0xff625e03,
    0xff656209,
    0xff64630a,
    0xff67640d,
    0xff67640f,
    0xff666611,
    0xff696a14,
    0xff6a6f16,
    0xff6b7215,
    0xff717616,
    0xff73781a,
    0xff707a1a,
    0xff6f7a19,
    0xff6f7a1a,
    0xff6c7717,
    0xff657613,
    0xff657211,
    0xff647210,
    0xff637111,
    0xff62700e,
    0xff62700e,
    0xff61700b,
    0xff606b0b,
    0xff5c6a0c,
    0xff596908,
    0xff576604,
    0xff566402,
    0xff546201,
    0xff505e01,
    0xff515d00,
    0xff4d5800,
    0xff485501,
    0xff465201,
    0xff424e01,
    0xff3d4801,
    0xff3b4601,
    0xff364000,
    0xff303c00,
    0xff2e3901,
    0xff2d3700,
    0xff2b3500,
    0xff263400,
    0xff253202,
    0xff212e01,
    0xff1f2d01,
    0xff1d2a00,
    0xff1b2700,
    0xff1c2402,
    0xff192200,
    0xff1a2000,
    0xff171e01,
    0xff161c00,
    0xff131700,
    0xff0f1500,
    0xff0e1501,
    0xff0b1201,
    0xff060f00,
    0xff050d00,
    0xff050b00,
    0xff010a02,
    0xff020801,
    0xff020902,
    0xff020700,
    0xff010600,
    0xff000601,
    0xff000300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff010300,
    0xff010200,
    0xff010300,
    0xff000100,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000100,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff010200,
    0xff010300,
    0xff000400,
    0xff010200,
    0xff000200,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff000201,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff2c3e00,
    0xff2c3d00,
    0xff2a3e01,
    0xff283a04,
    0xff263705,
    0xff273609,
    0xff243609,
    0xff263709,
    0xff263808,
    0xff243704,
    0xff273502,
    0xff273301,
    0xff203001,
    0xff1a2c00,
    0xff192801,
    0xff182400,
    0xff112101,
    0xff111f01,
    0xff101f00,
    0xff0c1d00,
    0xff0e1e00,
    0xff0a1b01,
    0xff081a00,
    0xff0b1a00,
    0xff0d1a00,
    0xff0a1b00,
    0xff0d1a00,
    0xff0e1c02,
    0xff0d1b01,
    0xff0e1b01,
    0xff0a1900,
    0xff0b1701,
    0xff091601,
    0xff071401,
    0xff071300,
    0xff0a1202,
    0xff071100,
    0xff071000,
    0xff050e00,
    0xff050d01,
    0xff040a01,
    0xff000700,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000400,
    0xff010300,
    0xff020401,
    0xff010300,
    0xff010300,
    0xff020301,
    0xff000501,
    0xff000300,
    0xff020401,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010201,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000201,
    0xff000101,
    0xff020200,
    0xff010300,
    0xff010400,
    0xff010500,
    0xff010601,
    0xff020700,
    0xff010600,
    0xff010600,
    0xff020700,
    0xff020801,
    0xff000900,
    0xff000900,
    0xff010800,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff000700,
    0xff000701,
    0xff000701,
    0xff000700,
    0xff010801,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000500,
    0xff010600,
    0xff020801,
    0xff070a00,
    0xff0a0c00,
    0xff111000,
    0xff1b1500,
    0xff1f1a00,
    0xff292201,
    0xff322800,
    0xff372f03,
    0xff3f3407,
    0xff423709,
    0xff463a09,
    0xff46390a,
    0xff463709,
    0xff443607,
    0xff413405,
    0xff3e3503,
    0xff3b3401,
    0xff363400,
    0xff343201,
    0xff323200,
    0xff2f3200,
    0xff2f3100,
    0xff303100,
    0xff2b3100,
    0xff262e00,
    0xff232d00,
    0xff413415,
    0xff3f3a25,
    0xffc1ba8a,
    0xffd6bcc4,
    0xff463f2b,
    0xff5b4945,
    0xff3d3220,
    0xff7f7268,
    0xffa39794,
    0xff7c6d63,
    0xff615d49,
    0xff676d64,
    0xff656772,
    0xff342f2f,
    0xff3e3d37,
    0xff625f51,
    0xff3c382d,
    0xff352e20,
    0xff2c2a0f,
    0xffa89c7f,
    0xff956661,
    0xffa5743c,
    0xffd29e64,
    0xffd9b07e,
    0xffc9a06d,
    0xffe3d0ab,
    0xfffffffb,
    0xfffffffe,
    0xffc49555,
    0xffe8d9bb,
    0xffecc79a,
    0xffe1be99,
    0xfff7ecdc,
    0xffffffff,
    0xffffffff,
    0xfffafaee,
    0xfff2e9ce,
    0xfffaf8ea,
    0xfffdfdf3,
    0xfffffefe,
    0xffffffff,
    0xffc4ac93,
    0xffceb087,
    0xfffff6d4,
    0xfff6e6cd,
    0xffd8bc91,
    0xffc59d6e,
    0xffe6d4b9,
    0xffffffff,
    0xfffeffff,
    0xfff7f3e2,
    0xfff4e8c9,
    0xffd7b98f,
    0xff9b6f45,
    0xffb68657,
    0xffd6cba4,
    0xff525100,
    0xff5a5a01,
    0xff5e5c01,
    0xff645d03,
    0xff656106,
    0xff666207,
    0xff686509,
    0xff66670a,
    0xff67660f,
    0xff67670f,
    0xff676911,
    0xff686d10,
    0xff6c6f13,
    0xff6e7414,
    0xff717919,
    0xff6f7918,
    0xff6e7817,
    0xff6e7918,
    0xff6c7717,
    0xff677312,
    0xff657215,
    0xff637212,
    0xff647211,
    0xff62710e,
    0xff62720c,
    0xff61710b,
    0xff606b0a,
    0xff5d6908,
    0xff5a6907,
    0xff596805,
    0xff566401,
    0xff536200,
    0xff526000,
    0xff505e00,
    0xff4c5901,
    0xff4b5600,
    0xff4b5200,
    0xff424f00,
    0xff3f4b00,
    0xff3c4701,
    0xff384300,
    0xff333d01,
    0xff313a00,
    0xff2e3800,
    0xff2c3800,
    0xff2a3500,
    0xff273200,
    0xff243001,
    0xff212d01,
    0xff1d2900,
    0xff1d2800,
    0xff1c2600,
    0xff1e2501,
    0xff1a2301,
    0xff191f00,
    0xff171e01,
    0xff151801,
    0xff131700,
    0xff0f1400,
    0xff0c1300,
    0xff070f00,
    0xff050c00,
    0xff030c00,
    0xff020901,
    0xff020901,
    0xff020800,
    0xff020601,
    0xff000500,
    0xff010500,
    0xff000400,
    0xff010200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000100,
    0xff020202,
    0xff000201,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010001,
    0xff000200,
    0xff010101,
    0xff000000,
    0xff000100,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010001,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff304000,
    0xff2e4201,
    0xff2d4101,
    0xff2c3c06,
    0xff2a3a07,
    0xff253608,
    0xff273a09,
    0xff293a0a,
    0xff293a09,
    0xff2b3907,
    0xff293703,
    0xff263502,
    0xff243200,
    0xff1e3001,
    0xff1c2901,
    0xff152600,
    0xff122101,
    0xff101f00,
    0xff0e1d00,
    0xff0d1c00,
    0xff0d1d00,
    0xff0b1b01,
    0xff081900,
    0xff0c1b01,
    0xff0d1b01,
    0xff0d1a00,
    0xff0c1a00,
    0xff0d1b01,
    0xff0d1c02,
    0xff0f1a00,
    0xff0b1800,
    0xff0b1601,
    0xff091501,
    0xff081501,
    0xff081400,
    0xff091201,
    0xff061100,
    0xff071000,
    0xff060e00,
    0xff070c01,
    0xff040b01,
    0xff020800,
    0xff010700,
    0xff030500,
    0xff010301,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff020401,
    0xff010300,
    0xff020401,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010201,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010000,
    0xff010201,
    0xff010101,
    0xff010200,
    0xff010401,
    0xff020500,
    0xff000500,
    0xff020701,
    0xff010700,
    0xff020700,
    0xff020700,
    0xff000700,
    0xff020700,
    0xff000700,
    0xff010700,
    0xff010800,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff010800,
    0xff010801,
    0xff010801,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff020701,
    0xff010600,
    0xff030901,
    0xff070900,
    0xff100c01,
    0xff181301,
    0xff1f1700,
    0xff271e00,
    0xff302400,
    0xff352e01,
    0xff3b3003,
    0xff403604,
    0xff423707,
    0xff463809,
    0xff453707,
    0xff443507,
    0xff403402,
    0xff3c3201,
    0xff393002,
    0xff343001,
    0xff333100,
    0xff313000,
    0xff2f2f00,
    0xff2e3000,
    0xff2f3100,
    0xff2a2f01,
    0xff252d00,
    0xff3a3808,
    0xff2b2615,
    0xffa7977d,
    0xfffce0e8,
    0xff68583d,
    0xff56443a,
    0xff65483d,
    0xff52423e,
    0xff40332b,
    0xff26230d,
    0xff444634,
    0xff65695e,
    0xff72756a,
    0xff6c725e,
    0xff46492c,
    0xff343216,
    0xff271f14,
    0xff3b3125,
    0xff48332c,
    0xff3e2a21,
    0xff613817,
    0xffd8b87b,
    0xffd08b3e,
    0xffc99253,
    0xffd8b684,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfff0ddb6,
    0xffc29565,
    0xffe0c59b,
    0xffd9b687,
    0xffc19d78,
    0xffe3cfb7,
    0xfff9f1e7,
    0xffecdbcd,
    0xfff3e8de,
    0xfffffffb,
    0xfff8f7ec,
    0xfffcf8f1,
    0xfff7eee1,
    0xffcaa880,
    0xfff5ecd9,
    0xfffaeed7,
    0xffefdcba,
    0xffdabd93,
    0xffe7d0ad,
    0xfffdf9ea,
    0xfffdfaf0,
    0xfff9f4e4,
    0xfff9f4ea,
    0xffecd9b9,
    0xffe4bb8d,
    0xffa97c4b,
    0xffe8d7ae,
    0xff606216,
    0xff5c5c00,
    0xff635d04,
    0xff645e04,
    0xff665f04,
    0xff656206,
    0xff686409,
    0xff66660a,
    0xff6a680d,
    0xff696710,
    0xff696910,
    0xff686a12,
    0xff696d11,
    0xff6c7011,
    0xff6b7615,
    0xff707717,
    0xff6d7716,
    0xff6f7918,
    0xff6d7917,
    0xff697514,
    0xff687313,
    0xff647214,
    0xff637216,
    0xff637310,
    0xff646f0e,
    0xff636f0b,
    0xff646e0b,
    0xff5f6b06,
    0xff5d6907,
    0xff5c6804,
    0xff586702,
    0xff596601,
    0xff566301,
    0xff566100,
    0xff536000,
    0xff4f5d02,
    0xff4f5901,
    0xff4b5300,
    0xff465001,
    0xff404b00,
    0xff3c4900,
    0xff394400,
    0xff364000,
    0xff323d01,
    0xff313b00,
    0xff303900,
    0xff2d3801,
    0xff2b3500,
    0xff283200,
    0xff252f00,
    0xff222e00,
    0xff212a00,
    0xff1d2900,
    0xff1e2700,
    0xff1c2501,
    0xff1a2000,
    0xff181f00,
    0xff151a01,
    0xff141701,
    0xff101500,
    0xff0d1501,
    0xff0b1201,
    0xff040f00,
    0xff050d00,
    0xff040c00,
    0xff010801,
    0xff020800,
    0xff010701,
    0xff000500,
    0xff000400,
    0xff000300,
    0xff000200,
    0xff010200,
    0xff010100,
    0xff010100,
    0xff000200,
    0xff010300,
    0xff000001,
    0xff000100,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000100,
    0xff010300,
    0xff010200,
    0xff010001,
    0xff000200,
    0xff010001,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff010001,
    0xff000200,
    0xff000100,
    0xff000100,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010001,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff304600,
    0xff314500,
    0xff2e4403,
    0xff2e3f07,
    0xff2a3c08,
    0xff283b08,
    0xff293a0b,
    0xff2b3c0a,
    0xff2c3d09,
    0xff2b3d08,
    0xff2c3a05,
    0xff293701,
    0xff273500,
    0xff213101,
    0xff1b2c01,
    0xff172800,
    0xff152500,
    0xff101f01,
    0xff0f1f01,
    0xff0d1c02,
    0xff0d1a00,
    0xff0a1901,
    0xff0a1900,
    0xff0c1900,
    0xff0c1a01,
    0xff0c1a00,
    0xff0c1900,
    0xff0e1b01,
    0xff0d1a00,
    0xff0d1a00,
    0xff0b1800,
    0xff0a1601,
    0xff091500,
    0xff0a1401,
    0xff0b1401,
    0xff091201,
    0xff081000,
    0xff070f00,
    0xff060f00,
    0xff060d01,
    0xff080a00,
    0xff050b01,
    0xff040a00,
    0xff050700,
    0xff010400,
    0xff010200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff020401,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000100,
    0xff010101,
    0xff010000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010200,
    0xff000401,
    0xff020301,
    0xff030400,
    0xff020500,
    0xff010601,
    0xff010600,
    0xff010600,
    0xff010800,
    0xff010600,
    0xff010800,
    0xff020800,
    0xff000700,
    0xff000700,
    0xff000800,
    0xff010700,
    0xff000800,
    0xff010801,
    0xff000700,
    0xff010801,
    0xff000700,
    0xff010801,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff010500,
    0xff000600,
    0xff010701,
    0xff050800,
    0xff0c0a00,
    0xff141000,
    0xff1e1501,
    0xff261b01,
    0xff2b2200,
    0xff332900,
    0xff373001,
    0xff3c3301,
    0xff423502,
    0xff443605,
    0xff453705,
    0xff423406,
    0xff423202,
    0xff3d3202,
    0xff392f02,
    0xff342e00,
    0xff312e00,
    0xff2f2e00,
    0xff2e2e00,
    0xff2c2f00,
    0xff2c2f00,
    0xff2b2e00,
    0xff303400,
    0xff372e19,
    0xff534d37,
    0xffdcc3be,
    0xff776c59,
    0xff453c2e,
    0xff686144,
    0xff504c26,
    0xff282725,
    0xff1d1615,
    0xff19140c,
    0xff69756c,
    0xff8c9299,
    0xff6f6f73,
    0xff737583,
    0xffacab90,
    0xffb9af83,
    0xff5f5123,
    0xff735b34,
    0xff563c29,
    0xff774c28,
    0xfff6ddab,
    0xffb7722c,
    0xffaa763a,
    0xfff2e0b4,
    0xfff6ead8,
    0xffe7d1c2,
    0xffe3cabe,
    0xffffffff,
    0xffffffff,
    0xfffffffa,
    0xffc59855,
    0xffd7ba91,
    0xfff0d8ae,
    0xffcea169,
    0xffc2935c,
    0xffbf8c56,
    0xffc08f59,
    0xffba8950,
    0xffb1814b,
    0xffcca06d,
    0xffc08d59,
    0xffba8851,
    0xffc99e60,
    0xffd0a875,
    0xffd0aa72,
    0xffcba675,
    0xffc3955b,
    0xffd0ac7a,
    0xffe7cfac,
    0xfffaf1d5,
    0xfff3e5c7,
    0xffeed3ae,
    0xffdcbb89,
    0xffb78e5f,
    0xffcaa282,
    0xffacb390,
    0xff5a5800,
    0xff616204,
    0xff645f02,
    0xff666103,
    0xff656107,
    0xff666308,
    0xff686308,
    0xff69670c,
    0xff69680c,
    0xff6b6b0e,
    0xff6a6a0f,
    0xff696b11,
    0xff696d12,
    0xff6b7012,
    0xff6e7414,
    0xff6e7515,
    0xff6b7615,
    0xff6d7716,
    0xff6d7717,
    0xff697513,
    0xff677213,
    0xff647113,
    0xff647115,
    0xff657213,
    0xff66710f,
    0xff646f0c,
    0xff646d0b,
    0xff616b08,
    0xff5e6905,
    0xff5f6904,
    0xff5b6702,
    0xff5c6701,
    0xff5a6501,
    0xff576400,
    0xff566200,
    0xff535f00,
    0xff505900,
    0xff4e5602,
    0xff495100,
    0xff444e01,
    0xff3e4a00,
    0xff3b4701,
    0xff394300,
    0xff333d01,
    0xff333d00,
    0xff323b00,
    0xff313a01,
    0xff2d3700,
    0xff2c3601,
    0xff293200,
    0xff273001,
    0xff252d01,
    0xff222a00,
    0xff1d2800,
    0xff1d2601,
    0xff1b2100,
    0xff191e00,
    0xff171c00,
    0xff141a01,
    0xff151701,
    0xff101400,
    0xff0e1300,
    0xff0a1101,
    0xff060f00,
    0xff070e00,
    0xff050a01,
    0xff020700,
    0xff000801,
    0xff000500,
    0xff000401,
    0xff000401,
    0xff000100,
    0xff000300,
    0xff000400,
    0xff000600,
    0xff000700,
    0xff010500,
    0xff000300,
    0xff010101,
    0xff000101,
    0xff000201,
    0xff010001,
    0xff000300,
    0xff000201,
    0xff000202,
    0xff000202,
    0xff010000,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff010001,
    0xff000001,
    0xff010101,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff364600,
    0xff334600,
    0xff314706,
    0xff304307,
    0xff2b3d0a,
    0xff2a3a09,
    0xff2c3e09,
    0xff2c3e07,
    0xff2e3d08,
    0xff2e3f08,
    0xff2c3d06,
    0xff2c3c04,
    0xff293800,
    0xff253300,
    0xff1c2f00,
    0xff182900,
    0xff142500,
    0xff102000,
    0xff0f1f01,
    0xff0c1b00,
    0xff0a1800,
    0xff091802,
    0xff081600,
    0xff091800,
    0xff0b1800,
    0xff091900,
    0xff0a1800,
    0xff0d1800,
    0xff0d1800,
    0xff0c1800,
    0xff0a1700,
    0xff0b1600,
    0xff091500,
    0xff091501,
    0xff091200,
    0xff091201,
    0xff071000,
    0xff071000,
    0xff050f00,
    0xff070d01,
    0xff080a00,
    0xff060b01,
    0xff050c00,
    0xff070801,
    0xff020600,
    0xff020301,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff020401,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000100,
    0xff000101,
    0xff010101,
    0xff010000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010100,
    0xff020200,
    0xff020200,
    0xff010300,
    0xff020400,
    0xff020500,
    0xff020600,
    0xff020701,
    0xff010600,
    0xff030700,
    0xff000800,
    0xff020700,
    0xff010700,
    0xff010800,
    0xff010700,
    0xff000800,
    0xff010800,
    0xff000800,
    0xff010800,
    0xff010800,
    0xff000701,
    0xff010801,
    0xff000700,
    0xff010801,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff010500,
    0xff010701,
    0xff000500,
    0xff020700,
    0xff080900,
    0xff120d00,
    0xff1a1300,
    0xff221800,
    0xff292000,
    0xff312500,
    0xff362c00,
    0xff3a3001,
    0xff3f3301,
    0xff443505,
    0xff443503,
    0xff433404,
    0xff413204,
    0xff3e3103,
    0xff3b2e01,
    0xff342d00,
    0xff2f2c00,
    0xff2c2a00,
    0xff2c2b00,
    0xff2d2d00,
    0xff2e2c00,
    0xff292e00,
    0xff39350e,
    0xff231c1b,
    0xffc6bf93,
    0xffac9b92,
    0xff2c231c,
    0xff5d5b54,
    0xff979991,
    0xff9c988f,
    0xff35361d,
    0xff150d0c,
    0xff212112,
    0xff868ca8,
    0xff9497a2,
    0xff50593a,
    0xff595f3a,
    0xffe4d8c0,
    0xffeedfd5,
    0xffa88b60,
    0xff84624e,
    0xff9b6e48,
    0xffddbd88,
    0xffbf8c50,
    0xffdfc292,
    0xfff8e8cd,
    0xffc69e7a,
    0xffbf916c,
    0xffc19a6f,
    0xffc08c5c,
    0xfff5e6d1,
    0xfffeffff,
    0xffffffff,
    0xfffbf2d4,
    0xfff3ecde,
    0xfff1e4c7,
    0xffdcb588,
    0xffedd7ab,
    0xfff6e9c3,
    0xfff8eecb,
    0xfffff9db,
    0xfffef4d6,
    0xfffffddd,
    0xffbd996e,
    0xffd6b891,
    0xffedd9b0,
    0xffefdbaf,
    0xffe9d0ac,
    0xffcfab7f,
    0xffe8d2a5,
    0xfffdf7da,
    0xfff2e1bf,
    0xfff8edc9,
    0xffe7d19f,
    0xffd2a56d,
    0xffbc905e,
    0xffa67b4b,
    0xffad8e66,
    0xff5c6005,
    0xff666502,
    0xff646405,
    0xff676105,
    0xff676305,
    0xff666307,
    0xff676407,
    0xff67650a,
    0xff6a660c,
    0xff696a0c,
    0xff6b6c0f,
    0xff6b6d0f,
    0xff696e0f,
    0xff696e11,
    0xff6b7212,
    0xff717514,
    0xff6e7513,
    0xff6a7412,
    0xff6b7414,
    0xff6b7716,
    0xff687613,
    0xff667314,
    0xff647114,
    0xff647312,
    0xff667113,
    0xff657210,
    0xff65720e,
    0xff656f0b,
    0xff626d08,
    0xff606b04,
    0xff5e6b02,
    0xff616801,
    0xff5e6800,
    0xff5b6700,
    0xff5a6500,
    0xff586301,
    0xff555f00,
    0xff545c00,
    0xff4f5701,
    0xff4a5400,
    0xff454f01,
    0xff424d00,
    0xff3c4801,
    0xff394401,
    0xff353f01,
    0xff343d00,
    0xff333c00,
    0xff323c00,
    0xff303a00,
    0xff2e3701,
    0xff2c3500,
    0xff293200,
    0xff252f00,
    0xff242c01,
    0xff212a00,
    0xff1f2600,
    0xff1d2401,
    0xff1b2000,
    0xff191e00,
    0xff161e01,
    0xff161901,
    0xff131600,
    0xff111500,
    0xff0d1100,
    0xff081101,
    0xff070e00,
    0xff050d00,
    0xff020b00,
    0xff030700,
    0xff010600,
    0xff000401,
    0xff000500,
    0xff020800,
    0xff050a01,
    0xff050e01,
    0xff050f01,
    0xff070d01,
    0xff040b01,
    0xff010600,
    0xff000300,
    0xff000100,
    0xff000200,
    0xff010001,
    0xff000100,
    0xff000101,
    0xff000100,
    0xff000100,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff344b02,
    0xff334a02,
    0xff334807,
    0xff304305,
    0xff2c4107,
    0xff2c4009,
    0xff2c400a,
    0xff2d4109,
    0xff2e4108,
    0xff304206,
    0xff313f04,
    0xff2d3c01,
    0xff2a3a00,
    0xff263500,
    0xff1f3200,
    0xff1b2c00,
    0xff172700,
    0xff122200,
    0xff0f1d02,
    0xff0c1a01,
    0xff071700,
    0xff061500,
    0xff061600,
    0xff071700,
    0xff091700,
    0xff081600,
    0xff0a1800,
    0xff0a1700,
    0xff0b1700,
    0xff0c1800,
    0xff0b1601,
    0xff0a1600,
    0xff091500,
    0xff091400,
    0xff091302,
    0xff091201,
    0xff061101,
    0xff061000,
    0xff060e00,
    0xff060c00,
    0xff090b00,
    0xff070c01,
    0xff060c00,
    0xff040a00,
    0xff040701,
    0xff020600,
    0xff000300,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000201,
    0xff010001,
    0xff010000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff020102,
    0xff020200,
    0xff010300,
    0xff010401,
    0xff020400,
    0xff030500,
    0xff010600,
    0xff010700,
    0xff020700,
    0xff010700,
    0xff010600,
    0xff020700,
    0xff010701,
    0xff000800,
    0xff020700,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff010801,
    0xff010801,
    0xff010801,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff010700,
    0xff000400,
    0xff000500,
    0xff000501,
    0xff000501,
    0xff000600,
    0xff060700,
    0xff0e0d00,
    0xff181100,
    0xff1f1600,
    0xff261d00,
    0xff2e2301,
    0xff352900,
    0xff382e00,
    0xff3c3300,
    0xff433202,
    0xff453403,
    0xff423301,
    0xff3f3104,
    0xff3d2e03,
    0xff3a2d00,
    0xff332c00,
    0xff2c2801,
    0xff2b2701,
    0xff2c2900,
    0xff2e2a01,
    0xff2d2c00,
    0xff353303,
    0xff251e11,
    0xff4c4024,
    0xffceb5bb,
    0xff3e3729,
    0xff1e190d,
    0xff464441,
    0xff767468,
    0xffa1a2a4,
    0xff838476,
    0xff211e07,
    0xff323540,
    0xff5a6671,
    0xff76797e,
    0xff74788d,
    0xff72787c,
    0xffc7c0af,
    0xffbdb48f,
    0xff694d38,
    0xff916537,
    0xffc3884a,
    0xffbf8c49,
    0xfff4eeda,
    0xffdec7aa,
    0xffdbbe99,
    0xffb68f64,
    0xffc99a6e,
    0xffc29267,
    0xffd6a976,
    0xffe0bf93,
    0xfffcf7e9,
    0xfffffffe,
    0xfff6e7c7,
    0xffd8c1a5,
    0xffe4ccab,
    0xffb89271,
    0xffe5cca8,
    0xfffffff1,
    0xfffefff9,
    0xfffeffff,
    0xffffffff,
    0xfff0ece7,
    0xffb7916e,
    0xffdec6a3,
    0xfffaead1,
    0xffe0c296,
    0xffc29f76,
    0xffd2b486,
    0xfffaf2d9,
    0xfffefffa,
    0xfffbf5e0,
    0xfff4e5c8,
    0xffeacea8,
    0xffd8b685,
    0xffcd9f6f,
    0xff7d4f1f,
    0xff9c8b4a,
    0xff5f6300,
    0xff676806,
    0xff686607,
    0xff686306,
    0xff686408,
    0xff676307,
    0xff686407,
    0xff6a640a,
    0xff69670c,
    0xff6a6a0c,
    0xff6b6d0e,
    0xff6c6e0f,
    0xff6a6e0f,
    0xff6a6f11,
    0xff6a7111,
    0xff6e7412,
    0xff6b7411,
    0xff687210,
    0xff687310,
    0xff667514,
    0xff687616,
    0xff677414,
    0xff657214,
    0xff657314,
    0xff667111,
    0xff677111,
    0xff68730d,
    0xff667208,
    0xff617007,
    0xff636d04,
    0xff606b01,
    0xff636a01,
    0xff626a00,
    0xff5e6a00,
    0xff5c6700,
    0xff596400,
    0xff586201,
    0xff515f00,
    0xff515901,
    0xff4c5600,
    0xff465100,
    0xff424d00,
    0xff3d4900,
    0xff394400,
    0xff384100,
    0xff353e01,
    0xff343d01,
    0xff343d00,
    0xff323c01,
    0xff303900,
    0xff2f3702,
    0xff2c3401,
    0xff283200,
    0xff263000,
    0xff242b00,
    0xff222a00,
    0xff1e2600,
    0xff1f2402,
    0xff1b2100,
    0xff1a1f00,
    0xff181d00,
    0xff161a02,
    0xff141700,
    0xff111501,
    0xff0c1201,
    0xff091100,
    0xff061000,
    0xff040b00,
    0xff050b01,
    0xff020a00,
    0xff020a00,
    0xff060c00,
    0xff071200,
    0xff0b1300,
    0xff0d1301,
    0xff091300,
    0xff0a1001,
    0xff080e00,
    0xff050a01,
    0xff000701,
    0xff000100,
    0xff000100,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff364c02,
    0xff354c04,
    0xff344a07,
    0xff324708,
    0xff31410b,
    0xff2e4007,
    0xff304207,
    0xff314506,
    0xff304508,
    0xff314607,
    0xff314203,
    0xff2e4001,
    0xff2b3c00,
    0xff283800,
    0xff223400,
    0xff1e3000,
    0xff192900,
    0xff132400,
    0xff122001,
    0xff0c1b00,
    0xff061700,
    0xff031400,
    0xff041401,
    0xff051501,
    0xff071400,
    0xff091700,
    0xff091700,
    0xff0a1701,
    0xff0b1601,
    0xff0a1600,
    0xff0a1600,
    0xff0a1601,
    0xff091502,
    0xff071301,
    0xff061201,
    0xff091000,
    0xff061000,
    0xff070d00,
    0xff090c01,
    0xff070b00,
    0xff090b00,
    0xff060c00,
    0xff080c02,
    0xff070a00,
    0xff050701,
    0xff010700,
    0xff000600,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff020202,
    0xff010100,
    0xff010300,
    0xff020400,
    0xff020500,
    0xff010400,
    0xff000600,
    0xff020700,
    0xff000500,
    0xff020701,
    0xff020601,
    0xff030800,
    0xff020600,
    0xff000901,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff000700,
    0xff010801,
    0xff010801,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff010600,
    0xff000400,
    0xff000400,
    0xff000500,
    0xff000500,
    0xff040600,
    0xff0b0800,
    0xff151000,
    0xff191200,
    0xff251900,
    0xff2b2201,
    0xff322500,
    0xff382c00,
    0xff3d3000,
    0xff3f3001,
    0xff403202,
    0xff413102,
    0xff3e3002,
    0xff3c2d02,
    0xff392b00,
    0xff342900,
    0xff2a2600,
    0xff292600,
    0xff2b2701,
    0xff2c2900,
    0xff2e2c00,
    0xff38300f,
    0xff3b3120,
    0xffd1bda4,
    0xff6c645a,
    0xff1e1712,
    0xff211717,
    0xff130d08,
    0xff151208,
    0xff565a5a,
    0xff9e99a1,
    0xff706f60,
    0xff373534,
    0xff4e4e5d,
    0xff51535d,
    0xff4b514a,
    0xff5d6263,
    0xff72726d,
    0xff634e32,
    0xff976937,
    0xffbe813e,
    0xffd8ac66,
    0xffefdebc,
    0xfff2f0e4,
    0xfffefef4,
    0xffe0c6a4,
    0xffceac82,
    0xffddbf92,
    0xffcea576,
    0xffd8bd8f,
    0xffdabda0,
    0xfffaf3df,
    0xfffcfdec,
    0xffe4c89b,
    0xffa27a54,
    0xfff4ddb0,
    0xffb6986f,
    0xffefe9c9,
    0xfffffffc,
    0xfffffefd,
    0xffffffff,
    0xfffcf9e9,
    0xffb49372,
    0xffa07c54,
    0xffe3d2ac,
    0xffe1cda0,
    0xffcaa977,
    0xff8b6944,
    0xffbe9e7e,
    0xfffdfced,
    0xffffffff,
    0xfff1e4ce,
    0xfff8e8cb,
    0xffcaa576,
    0xffc49c74,
    0xffc29b68,
    0xffc8ad83,
    0xff727b1e,
    0xff666a01,
    0xff6b6a04,
    0xff6b6906,
    0xff6a6505,
    0xff6a6505,
    0xff686607,
    0xff686508,
    0xff676609,
    0xff68670c,
    0xff6b6a0d,
    0xff6b6f10,
    0xff6a6e10,
    0xff6c700f,
    0xff6c7111,
    0xff6c7112,
    0xff697311,
    0xff6a7211,
    0xff657010,
    0xff637210,
    0xff677513,
    0xff667415,
    0xff677516,
    0xff677417,
    0xff667415,
    0xff667112,
    0xff657010,
    0xff66730d,
    0xff677309,
    0xff657108,
    0xff647003,
    0xff646c01,
    0xff626c00,
    0xff646a00,
    0xff616800,
    0xff606a00,
    0xff5b6600,
    0xff5a6201,
    0xff585f00,
    0xff525b01,
    0xff525800,
    0xff4d5300,
    0xff454f01,
    0xff3e4b00,
    0xff3b4501,
    0xff394201,
    0xff363f00,
    0xff353d00,
    0xff353c01,
    0xff333c00,
    0xff313a00,
    0xff2e3900,
    0xff2d3600,
    0xff2a3300,
    0xff283100,
    0xff262f01,
    0xff262d00,
    0xff232a00,
    0xff212700,
    0xff212500,
    0xff1f2501,
    0xff1c2201,
    0xff191c00,
    0xff171c00,
    0xff151801,
    0xff111600,
    0xff0b1300,
    0xff071100,
    0xff070f00,
    0xff051200,
    0xff091200,
    0xff0a1300,
    0xff0e1400,
    0xff131600,
    0xff121904,
    0xff0f1601,
    0xff0c1401,
    0xff0a1200,
    0xff0b0f01,
    0xff080c00,
    0xff030900,
    0xff000400,
    0xff000101,
    0xff000100,
    0xff000100,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff364d01,
    0xff364e05,
    0xff354c07,
    0xff334708,
    0xff304507,
    0xff304505,
    0xff314608,
    0xff314807,
    0xff324809,
    0xff324908,
    0xff314605,
    0xff2f4402,
    0xff2e3e00,
    0xff2d3c01,
    0xff253700,
    0xff203200,
    0xff192d00,
    0xff152600,
    0xff132101,
    0xff0d1c01,
    0xff081700,
    0xff041201,
    0xff041201,
    0xff051400,
    0xff081400,
    0xff071400,
    0xff071600,
    0xff0a1700,
    0xff0a1600,
    0xff0a1600,
    0xff0a1600,
    0xff091500,
    0xff071302,
    0xff091302,
    0xff061201,
    0xff080e00,
    0xff090f00,
    0xff060e01,
    0xff070b00,
    0xff080b02,
    0xff070a00,
    0xff070b00,
    0xff060a00,
    0xff060900,
    0xff050801,
    0xff040700,
    0xff030700,
    0xff020401,
    0xff020400,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010101,
    0xff010000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000001,
    0xff010000,
    0xff000300,
    0xff010300,
    0xff030500,
    0xff020500,
    0xff010700,
    0xff010600,
    0xff010600,
    0xff020701,
    0xff000700,
    0xff030700,
    0xff020700,
    0xff000700,
    0xff000800,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff010801,
    0xff010801,
    0xff000700,
    0xff010801,
    0xff000600,
    0xff000700,
    0xff010700,
    0xff010500,
    0xff000500,
    0xff010600,
    0xff000501,
    0xff000500,
    0xff000500,
    0xff020601,
    0xff090800,
    0xff100d00,
    0xff453b26,
    0xff231800,
    0xff291f01,
    0xff2f2300,
    0xff372800,
    0xff3b2d00,
    0xff3c2f01,
    0xff3e2f00,
    0xff403001,
    0xff3d2f01,
    0xff3b2d01,
    0xff3a2a00,
    0xff332900,
    0xff2a2500,
    0xff282400,
    0xff2d2700,
    0xff2b2800,
    0xff342f04,
    0xff2c2719,
    0xff9e836f,
    0xffcab4a1,
    0xff231e0e,
    0xff322c18,
    0xff0b0500,
    0xff0e0509,
    0xff140d0c,
    0xff221f20,
    0xff4f5247,
    0xff9c99a2,
    0xff43433c,
    0xff4e4a49,
    0xff443e35,
    0xff373027,
    0xff4b4e2d,
    0xff453321,
    0xffa78456,
    0xffd4a16a,
    0xffe0be83,
    0xffe5d8be,
    0xfffefff7,
    0xffffffff,
    0xfffbfaf5,
    0xffdfc9a4,
    0xffc29968,
    0xffdab788,
    0xffc49e74,
    0xffdab690,
    0xffc49467,
    0xffebd2ab,
    0xfffbf1d7,
    0xfffcf3d5,
    0xff855628,
    0xfffff9da,
    0xffe0c79f,
    0xfff6e8cd,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffe5d8c5,
    0xffd7b286,
    0xffece5cb,
    0xfffffff1,
    0xfffbf8e1,
    0xffe6cda3,
    0xffd3b88c,
    0xffe1d4b2,
    0xfffffffb,
    0xfffdfeea,
    0xffd3bf91,
    0xffccb48a,
    0xff926941,
    0xff946a42,
    0xffdec19f,
    0xff79862e,
    0xff656d00,
    0xff6a6f04,
    0xff6d6d08,
    0xff6c6a06,
    0xff6b6904,
    0xff6c6804,
    0xff6b6607,
    0xff6a6508,
    0xff6a660a,
    0xff69680b,
    0xff6b6b0e,
    0xff6b7011,
    0xff6b7011,
    0xff6b6f0d,
    0xff6d7313,
    0xff6c7112,
    0xff687312,
    0xff697211,
    0xff667212,
    0xff637210,
    0xff677513,
    0xff667215,
    0xff677317,
    0xff697318,
    0xff677415,
    0xff657211,
    0xff646f10,
    0xff66720e,
    0xff66720a,
    0xff677108,
    0xff647104,
    0xff646d02,
    0xff626c00,
    0xff646a00,
    0xff626901,
    0xff616800,
    0xff5f6600,
    0xff596300,
    0xff586200,
    0xff535d00,
    0xff525a00,
    0xff4c5500,
    0xff465100,
    0xff434d00,
    0xff3e4800,
    0xff3b4401,
    0xff394201,
    0xff363f01,
    0xff343d01,
    0xff333b00,
    0xff333a00,
    0xff2e3800,
    0xff2c3601,
    0xff2a3200,
    0xff2a3200,
    0xff272f01,
    0xff272f00,
    0xff262e00,
    0xff252c01,
    0xff252901,
    0xff232600,
    0xff202401,
    0xff1c2101,
    0xff1a1d00,
    0xff171c00,
    0xff141900,
    0xff111500,
    0xff0d1401,
    0xff0c1300,
    0xff0f1600,
    0xff0f1800,
    0xff111b01,
    0xff141c02,
    0xff111d05,
    0xff151905,
    0xff131804,
    0xff101502,
    0xff0c1401,
    0xff0b1200,
    0xff0a0d00,
    0xff060c01,
    0xff020801,
    0xff000400,
    0xff000100,
    0xff000200,
    0xff000200,
    0xff010201,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff384e01,
    0xff374e04,
    0xff364d08,
    0xff344a09,
    0xff344708,
    0xff314707,
    0xff334808,
    0xff344b08,
    0xff354b07,
    0xff354a07,
    0xff334b04,
    0xff304601,
    0xff2e4200,
    0xff2c3f00,
    0xff283a00,
    0xff243400,
    0xff1d2f01,
    0xff172800,
    0xff132301,
    0xff0f1d01,
    0xff081600,
    0xff041201,
    0xff031101,
    0xff041200,
    0xff051402,
    0xff071400,
    0xff071500,
    0xff091601,
    0xff091500,
    0xff0a1601,
    0xff0a1601,
    0xff091400,
    0xff081100,
    0xff081201,
    0xff071100,
    0xff070e00,
    0xff040e00,
    0xff070b01,
    0xff050b01,
    0xff070900,
    0xff070a00,
    0xff060900,
    0xff060a00,
    0xff050800,
    0xff050801,
    0xff050800,
    0xff040601,
    0xff020400,
    0xff030500,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000100,
    0xff010202,
    0xff000100,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000001,
    0xff010101,
    0xff020100,
    0xff010300,
    0xff020400,
    0xff030500,
    0xff020400,
    0xff030600,
    0xff000500,
    0xff010600,
    0xff020701,
    0xff000500,
    0xff030601,
    0xff010701,
    0xff020601,
    0xff020801,
    0xff000700,
    0xff010800,
    0xff000700,
    0xff010801,
    0xff010801,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff010500,
    0xff000400,
    0xff000501,
    0xff000600,
    0xff010500,
    0xff050700,
    0xff1c170b,
    0xff130402,
    0xff211800,
    0xff281e00,
    0xff2c2100,
    0xff342600,
    0xff3a2900,
    0xff3c2b00,
    0xff402f01,
    0xff3e2e00,
    0xff3f2e02,
    0xff3c2c01,
    0xff3a2b00,
    0xff342900,
    0xff2d2500,
    0xff282500,
    0xff2c2500,
    0xff2a2800,
    0xff30270e,
    0xff594f30,
    0xffecdfcf,
    0xff5d494b,
    0xff34311b,
    0xffa3916e,
    0xff322c14,
    0xff080404,
    0xff0f0803,
    0xff16110f,
    0xff211a0f,
    0xff787160,
    0xff3a3619,
    0xff493e16,
    0xff554d26,
    0xff70733a,
    0xff604d3c,
    0xff7a431a,
    0xffbc7e46,
    0xffc99c5d,
    0xffcbb19b,
    0xffecdbc9,
    0xfffffffe,
    0xfffffffe,
    0xfffefff5,
    0xfff6eccb,
    0xffcb9f73,
    0xffdaba89,
    0xffd1a47a,
    0xffc59d71,
    0xffe2c698,
    0xfff6efd2,
    0xffffffff,
    0xfffefced,
    0xffb78141,
    0xfffff7d9,
    0xffd7b390,
    0xfff8e5ca,
    0xfffcf9eb,
    0xfffffffb,
    0xfffcfbf7,
    0xffbe9d75,
    0xffcfac8a,
    0xfffffaec,
    0xfffdfff8,
    0xfff1e1c1,
    0xffd3b795,
    0xfff1e4cb,
    0xfffffef7,
    0xfffdffff,
    0xfffaf5ea,
    0xfffffeec,
    0xffdbbe8e,
    0xffa88651,
    0xff7f6433,
    0xffa4a35c,
    0xff646c00,
    0xff6d7404,
    0xff6d7306,
    0xff707205,
    0xff6d6e04,
    0xff6d6b05,
    0xff6a6906,
    0xff6c690a,
    0xff6c6809,
    0xff6c680a,
    0xff6a690c,
    0xff6d6d10,
    0xff6c7111,
    0xff6b720f,
    0xff6d7311,
    0xff6d7210,
    0xff6c7310,
    0xff687311,
    0xff667210,
    0xff677311,
    0xff687412,
    0xff667412,
    0xff697316,
    0xff657316,
    0xff657218,
    0xff667215,
    0xff637211,
    0xff636f11,
    0xff65710d,
    0xff647109,
    0xff667107,
    0xff667005,
    0xff626f02,
    0xff616a00,
    0xff616800,
    0xff626901,
    0xff606700,
    0xff5f6500,
    0xff5c6401,
    0xff566200,
    0xff575e00,
    0xff535b00,
    0xff4e5801,
    0xff4a5300,
    0xff484f01,
    0xff434c00,
    0xff3d4600,
    0xff3b4500,
    0xff394201,
    0xff363f00,
    0xff353d01,
    0xff353b00,
    0xff303901,
    0xff2d3501,
    0xff2a3200,
    0xff293101,
    0xff293101,
    0xff283000,
    0xff283000,
    0xff273000,
    0xff262b01,
    0xff252900,
    0xff222500,
    0xff1e2400,
    0xff1e2101,
    0xff1b1e00,
    0xff171c00,
    0xff161a00,
    0xff141a01,
    0xff111a00,
    0xff131b00,
    0xff151e02,
    0xff172207,
    0xff172308,
    0xff161e09,
    0xff161a07,
    0xff131a06,
    0xff121804,
    0xff111601,
    0xff0f1300,
    0xff0d1200,
    0xff0b0f00,
    0xff080b00,
    0xff050800,
    0xff020400,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000100,
    0xff000101,
    0xff010000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff374d03,
    0xff374e05,
    0xff354c07,
    0xff364c09,
    0xff334908,
    0xff324807,
    0xff334b08,
    0xff374d09,
    0xff374d09,
    0xff364b07,
    0xff354c03,
    0xff334b02,
    0xff324500,
    0xff2e4101,
    0xff2a3c01,
    0xff233600,
    0xff203100,
    0xff182a00,
    0xff152501,
    0xff101f00,
    0xff091700,
    0xff051301,
    0xff021000,
    0xff031000,
    0xff031100,
    0xff041300,
    0xff071300,
    0xff081400,
    0xff081400,
    0xff091501,
    0xff091400,
    0xff091301,
    0xff091201,
    0xff071000,
    0xff070f00,
    0xff060e00,
    0xff040e00,
    0xff050b01,
    0xff050b01,
    0xff060900,
    0xff060a00,
    0xff080b02,
    0xff060900,
    0xff050801,
    0xff040700,
    0xff040800,
    0xff040501,
    0xff020400,
    0xff010300,
    0xff010301,
    0xff010300,
    0xff000300,
    0xff010101,
    0xff000000,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000100,
    0xff020401,
    0xff010300,
    0xff030400,
    0xff020400,
    0xff030400,
    0xff030400,
    0xff000600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010701,
    0xff010601,
    0xff020601,
    0xff020801,
    0xff000701,
    0xff010800,
    0xff000801,
    0xff000600,
    0xff010801,
    0xff010801,
    0xff010801,
    0xff010801,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000400,
    0xff000601,
    0xff010500,
    0xff060700,
    0xff0e0605,
    0xff180f00,
    0xff1e1800,
    0xff261c00,
    0xff2a2000,
    0xff332501,
    0xff392700,
    0xff3d2d01,
    0xff402e00,
    0xff402f00,
    0xff3e2e01,
    0xff3d2d01,
    0xff392900,
    0xff342900,
    0xff2e2501,
    0xff2a2300,
    0xff282500,
    0xff312801,
    0xff29250f,
    0xffc5ac92,
    0xffccbebe,
    0xff0c0700,
    0xff534c3e,
    0xffad966e,
    0xff6f5b31,
    0xff010000,
    0xff100c09,
    0xff1a1111,
    0xff170e00,
    0xff9b874b,
    0xff7c6224,
    0xffb9925f,
    0xffb1a569,
    0xffaf9795,
    0xff78482b,
    0xffc38f4f,
    0xffd5b377,
    0xffd1b089,
    0xffc4966d,
    0xffb0855b,
    0xffc7a889,
    0xffffffff,
    0xfffefffc,
    0xfffdfbe2,
    0xffd4ae7e,
    0xffbd956b,
    0xffe0b484,
    0xffd1a879,
    0xffe5c59c,
    0xfffaf7e5,
    0xffffffff,
    0xfff7e7c8,
    0xffbf8649,
    0xff9f734e,
    0xff8f623c,
    0xffa0754e,
    0xffcba37b,
    0xffdaba9b,
    0xffd4b088,
    0xffbd9568,
    0xffc9a26e,
    0xfff7e6cd,
    0xfffdf2d6,
    0xffe4c9a2,
    0xffcba978,
    0xfff3dbbb,
    0xfff5e0c6,
    0xfffbf4e4,
    0xfff2ddbf,
    0xffe6cea5,
    0xffbf9769,
    0xffd0a984,
    0xffffffff,
    0xff6e7918,
    0xff6e7500,
    0xff717805,
    0xff717706,
    0xff727504,
    0xff6f7206,
    0xff716d03,
    0xff6d6b05,
    0xff6b6c07,
    0xff6e6a07,
    0xff6c6a0c,
    0xff6c690d,
    0xff6d6f0f,
    0xff6d7210,
    0xff6b720f,
    0xff6d7311,
    0xff6c7411,
    0xff6c7310,
    0xff67700e,
    0xff66710f,
    0xff687412,
    0xff687513,
    0xff697514,
    0xff657416,
    0xff637218,
    0xff637016,
    0xff637019,
    0xff626f16,
    0xff636f14,
    0xff65710f,
    0xff636f0b,
    0xff657008,
    0xff647006,
    0xff646b02,
    0xff626c00,
    0xff626901,
    0xff616800,
    0xff616800,
    0xff5f6501,
    0xff5d6300,
    0xff5a6300,
    0xff5a6001,
    0xff535e00,
    0xff535902,
    0xff4e5400,
    0xff465100,
    0xff454e00,
    0xff404902,
    0xff3d4701,
    0xff3b4501,
    0xff394200,
    0xff363f00,
    0xff333b00,
    0xff303800,
    0xff2d3601,
    0xff2b3200,
    0xff293101,
    0xff2a3201,
    0xff293101,
    0xff283000,
    0xff272f00,
    0xff282e00,
    0xff262c00,
    0xff232800,
    0xff242501,
    0xff1f2401,
    0xff1d2001,
    0xff191e00,
    0xff1a1f00,
    0xff181d00,
    0xff191e00,
    0xff1a2304,
    0xff182408,
    0xff19270b,
    0xff19260c,
    0xff18230c,
    0xff191d0a,
    0xff171907,
    0xff151905,
    0xff131804,
    0xff101502,
    0xff111400,
    0xff0f1300,
    0xff0c1001,
    0xff090c00,
    0xff060900,
    0xff040701,
    0xff040500,
    0xff010500,
    0xff000300,
    0xff000202,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff374d03,
    0xff364e05,
    0xff364d08,
    0xff354c09,
    0xff344a0a,
    0xff344b07,
    0xff344c07,
    0xff374e08,
    0xff364d07,
    0xff374e05,
    0xff354c05,
    0xff354b01,
    0xff324800,
    0xff304100,
    0xff2a3e00,
    0xff263700,
    0xff213200,
    0xff1d2e01,
    0xff172701,
    0xff112100,
    0xff0e1800,
    0xff061301,
    0xff041100,
    0xff031000,
    0xff050f00,
    0xff041300,
    0xff071201,
    0xff071201,
    0xff071201,
    0xff071201,
    0xff051200,
    0xff081201,
    0xff081000,
    0xff050e00,
    0xff060d01,
    0xff050e01,
    0xff080c01,
    0xff080a00,
    0xff060a01,
    0xff060900,
    0xff070800,
    0xff070901,
    0xff060901,
    0xff050801,
    0xff050801,
    0xff050800,
    0xff030501,
    0xff030500,
    0xff010300,
    0xff020401,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff020202,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff020101,
    0xff020200,
    0xff020401,
    0xff000400,
    0xff000700,
    0xff000600,
    0xff010701,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff020600,
    0xff030500,
    0xff020701,
    0xff010500,
    0xff010701,
    0xff000801,
    0xff000801,
    0xff020601,
    0xff000600,
    0xff010801,
    0xff000700,
    0xff000700,
    0xff010801,
    0xff000600,
    0xff010801,
    0xff000700,
    0xff010500,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff050701,
    0xff0b0805,
    0xff191402,
    0xff1b1400,
    0xff231b00,
    0xff291f01,
    0xff312300,
    0xff382800,
    0xff3e2c01,
    0xff3e2c01,
    0xff3f2d02,
    0xff3b2e01,
    0xff3a2c00,
    0xff382900,
    0xff372801,
    0xff322600,
    0xff2c2400,
    0xff282300,
    0xff2a1f03,
    0xff696252,
    0xffd5b6b0,
    0xff3b322d,
    0xff140c05,
    0xff1b170c,
    0xff7e6d4b,
    0xffa88036,
    0xff180c00,
    0xff0f0808,
    0xff170c07,
    0xff3c2505,
    0xffd7b38a,
    0xff806b32,
    0xffc1a085,
    0xffc3aa9e,
    0xff512a21,
    0xffd6ad72,
    0xffcca46c,
    0xffd8bca4,
    0xffc19166,
    0xffcaa67d,
    0xffa77a52,
    0xffcfa871,
    0xfffffdf4,
    0xffffffff,
    0xfff7f5e8,
    0xfff8ebcb,
    0xffcba072,
    0xffdec497,
    0xffd0a378,
    0xffcda87d,
    0xffffffff,
    0xfffffffc,
    0xffa86d25,
    0xffb38441,
    0xffae8546,
    0xffb7904a,
    0xffcca664,
    0xffc39d5e,
    0xffb78c54,
    0xffc8975b,
    0xff956526,
    0xffca9f62,
    0xffdec184,
    0xffe4c187,
    0xffe1c080,
    0xffe5bf7d,
    0xfff8e9bc,
    0xffe7d4a1,
    0xffedd7ad,
    0xffeed8b1,
    0xffc3a06e,
    0xff996d3b,
    0xffd2b092,
    0xff828b3a,
    0xff697300,
    0xff737a06,
    0xff767b05,
    0xff747b05,
    0xff747906,
    0xff727407,
    0xff707104,
    0xff716e04,
    0xff706d07,
    0xff6d6b07,
    0xff6d6b0b,
    0xff6b6d0d,
    0xff6c6f0f,
    0xff6b7210,
    0xff6d7311,
    0xff6c7310,
    0xff6c7410,
    0xff697111,
    0xff667110,
    0xff67700f,
    0xff697413,
    0xff677714,
    0xff687413,
    0xff647416,
    0xff637217,
    0xff627216,
    0xff616e16,
    0xff616e16,
    0xff626d13,
    0xff626e0c,
    0xff616d0b,
    0xff626d0a,
    0xff646d06,
    0xff646b03,
    0xff616b01,
    0xff616800,
    0xff626901,
    0xff606700,
    0xff5f6600,
    0xff5e6400,
    0xff5c6300,
    0xff586200,
    0xff545f00,
    0xff525b02,
    0xff4d5700,
    0xff4b5300,
    0xff475000,
    0xff434e00,
    0xff404b00,
    0xff3d4700,
    0xff3b4401,
    0xff384101,
    0xff353d00,
    0xff313901,
    0xff2e3501,
    0xff2a3300,
    0xff283000,
    0xff293100,
    0xff293201,
    0xff2b3000,
    0xff292f00,
    0xff2b2d01,
    0xff262b00,
    0xff232900,
    0xff242601,
    0xff202400,
    0xff1e2401,
    0xff1d2401,
    0xff1e2402,
    0xff1f2503,
    0xff1d2604,
    0xff1d2508,
    0xff1c270a,
    0xff1d280f,
    0xff1f2810,
    0xff1c260f,
    0xff19230b,
    0xff172008,
    0xff171d06,
    0xff161c06,
    0xff141904,
    0xff141701,
    0xff111401,
    0xff0f1301,
    0xff0c1000,
    0xff0a0e01,
    0xff070a00,
    0xff060902,
    0xff020600,
    0xff000500,
    0xff010300,
    0xff000200,
    0xff000101,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000101,
    0xff000201,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff364c02,
    0xff364d05,
    0xff354d08,
    0xff354c08,
    0xff344b09,
    0xff364d08,
    0xff364c07,
    0xff374e08,
    0xff374d08,
    0xff374e05,
    0xff364d04,
    0xff354c01,
    0xff324800,
    0xff314101,
    0xff2c3e00,
    0xff263801,
    0xff233400,
    0xff1d2f00,
    0xff182900,
    0xff152300,
    0xff0e1901,
    0xff071301,
    0xff051101,
    0xff041000,
    0xff051000,
    0xff041200,
    0xff061100,
    0xff061100,
    0xff071201,
    0xff081100,
    0xff081100,
    0xff081000,
    0xff071001,
    0xff060e01,
    0xff070d01,
    0xff050d00,
    0xff070a01,
    0xff070a00,
    0xff050901,
    0xff050800,
    0xff060800,
    0xff060900,
    0xff060901,
    0xff050801,
    0xff040700,
    0xff040600,
    0xff020500,
    0xff020400,
    0xff020400,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff020201,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff020202,
    0xff010100,
    0xff010401,
    0xff020500,
    0xff000600,
    0xff010500,
    0xff010600,
    0xff020601,
    0xff020701,
    0xff010701,
    0xff020701,
    0xff030500,
    0xff000600,
    0xff020701,
    0xff010600,
    0xff010701,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000500,
    0xff000700,
    0xff010600,
    0xff000500,
    0xff010500,
    0xff000600,
    0xff030701,
    0xff060301,
    0xff1c1404,
    0xff1a1500,
    0xff221700,
    0xff281d00,
    0xff322101,
    0xff392701,
    0xff3d2b00,
    0xff3e2d00,
    0xff3d2c00,
    0xff3c2b00,
    0xff3c2a00,
    0xff3a2800,
    0xff362700,
    0xff322700,
    0xff2b2400,
    0xff2f2700,
    0xff1d1a04,
    0xffa08a81,
    0xff967d7d,
    0xff181006,
    0xff211911,
    0xff100907,
    0xff2e2610,
    0xffb38d45,
    0xff664d1a,
    0xff090200,
    0xff2f1905,
    0xff472e14,
    0xff907e55,
    0xff675f3d,
    0xff4d4736,
    0xff66361e,
    0xffd2a166,
    0xffc99d6b,
    0xffe4cbae,
    0xffd7b88f,
    0xffd7b889,
    0xffab7e52,
    0xffbf8e59,
    0xffcdaa81,
    0xfffefef2,
    0xffffffff,
    0xfffffffc,
    0xfff5eccc,
    0xfff4e4bc,
    0xffe2c99b,
    0xffb3865a,
    0xffc5a98d,
    0xffffffff,
    0xffa68158,
    0xffbc955b,
    0xfffffff0,
    0xfffffffa,
    0xfffffff9,
    0xfffef9e1,
    0xffd0b98e,
    0xffc3a381,
    0xffb8946b,
    0xffe8d2ad,
    0xfff7efd4,
    0xfffcf3d7,
    0xffe0c49f,
    0xfff7efd6,
    0xfffcf6dd,
    0xfff8efd3,
    0xfffcf5de,
    0xfffdf7d3,
    0xffe5be81,
    0xffb5824b,
    0xffab7b47,
    0xff9e8053,
    0xff667300,
    0xff707902,
    0xff747c07,
    0xff7a7e0a,
    0xff787d08,
    0xff777a06,
    0xff747607,
    0xff707305,
    0xff726f05,
    0xff706e05,
    0xff6f6d08,
    0xff6f6c0b,
    0xff6c6e0b,
    0xff6a710e,
    0xff6d7311,
    0xff6d7311,
    0xff6e7211,
    0xff69720f,
    0xff69710e,
    0xff647010,
    0xff697211,
    0xff677412,
    0xff687614,
    0xff677615,
    0xff657314,
    0xff637315,
    0xff636e16,
    0xff606c16,
    0xff606d15,
    0xff616c15,
    0xff616c0f,
    0xff616c0b,
    0xff626c08,
    0xff636c09,
    0xff606906,
    0xff626903,
    0xff636a02,
    0xff626600,
    0xff616700,
    0xff5f6601,
    0xff5e6400,
    0xff5d6400,
    0xff5b6300,
    0xff565f00,
    0xff535c00,
    0xff505801,
    0xff4f5600,
    0xff4c5200,
    0xff455000,
    0xff454e01,
    0xff444b01,
    0xff3d4701,
    0xff3a4400,
    0xff363f01,
    0xff343c00,
    0xff2f3700,
    0xff2d3401,
    0xff2c3400,
    0xff2b3300,
    0xff2a3200,
    0xff2c3201,
    0xff2b3000,
    0xff292f01,
    0xff272d01,
    0xff262901,
    0xff242500,
    0xff212501,
    0xff202600,
    0xff202602,
    0xff212705,
    0xff232807,
    0xff202806,
    0xff232b0d,
    0xff222b10,
    0xff202c12,
    0xff1e2b11,
    0xff202b12,
    0xff1f280d,
    0xff19240c,
    0xff19230a,
    0xff172008,
    0xff191e04,
    0xff171a01,
    0xff151900,
    0xff131701,
    0xff101600,
    0xff0d1201,
    0xff0b0e00,
    0xff090c00,
    0xff050900,
    0xff030701,
    0xff020500,
    0xff020300,
    0xff010201,
    0xff000000,
    0xff000100,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff010300,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff354b02,
    0xff364d04,
    0xff354d06,
    0xff354c07,
    0xff354c08,
    0xff364d07,
    0xff374e06,
    0xff374e05,
    0xff374e06,
    0xff374e06,
    0xff384e05,
    0xff354c02,
    0xff314900,
    0xff304301,
    0xff2f3e00,
    0xff2a3901,
    0xff253600,
    0xff1d3200,
    0xff1b2a00,
    0xff152300,
    0xff0f1b02,
    0xff071600,
    0xff061201,
    0xff061000,
    0xff040f00,
    0xff051101,
    0xff051100,
    0xff081100,
    0xff081201,
    0xff081000,
    0xff071100,
    0xff070f00,
    0xff070e00,
    0xff080d00,
    0xff060d01,
    0xff050d00,
    0xff050b01,
    0xff070a01,
    0xff060900,
    0xff040802,
    0xff060900,
    0xff070900,
    0xff060801,
    0xff040801,
    0xff030700,
    0xff030500,
    0xff020400,
    0xff020401,
    0xff020401,
    0xff000300,
    0xff000300,
    0xff020202,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010100,
    0xff010300,
    0xff020401,
    0xff020401,
    0xff020400,
    0xff020400,
    0xff040601,
    0xff020501,
    0xff020701,
    0xff010701,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff000700,
    0xff010600,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff010801,
    0xff000700,
    0xff000400,
    0xff000700,
    0xff000500,
    0xff000400,
    0xff000501,
    0xff000500,
    0xff010600,
    0xff050401,
    0xff0e0a01,
    0xff191401,
    0xff201600,
    0xff271b00,
    0xff2f1f00,
    0xff362400,
    0xff392800,
    0xff3b2a00,
    0xff3c2900,
    0xff3d2b00,
    0xff3b2a00,
    0xff3b2700,
    0xff412e06,
    0xff392903,
    0xff2d2300,
    0xff372e09,
    0xff312b1d,
    0xff997e6d,
    0xff52403c,
    0xff141007,
    0xff2f2c21,
    0xff150b08,
    0xff0b0500,
    0xff826b38,
    0xffa88941,
    0xff46330c,
    0xff392111,
    0xff23180f,
    0xff867c58,
    0xff988c79,
    0xff371206,
    0xffb3793a,
    0xffb78e5d,
    0xffdbbea1,
    0xffdcccb7,
    0xfffffde8,
    0xffe2cda4,
    0xffd3a875,
    0xffb88d60,
    0xffbd8b5d,
    0xffd1ae8b,
    0xfffaf6dd,
    0xffffffff,
    0xfffffffe,
    0xfffefff7,
    0xfff7f2d4,
    0xffad8258,
    0xffba8d5b,
    0xffc29c70,
    0xffa67b49,
    0xffffffff,
    0xfffeffff,
    0xfffeffff,
    0xffffffff,
    0xfff8eed4,
    0xffcaae8b,
    0xff88623c,
    0xff9a794f,
    0xffeaddc4,
    0xfffffce6,
    0xffddc19d,
    0xffcdb288,
    0xfffcf6e1,
    0xfffefffd,
    0xfffdfaeb,
    0xfff6efd7,
    0xfffbedd1,
    0xffbf925f,
    0xffbf9564,
    0xffb78b59,
    0xffa5a65a,
    0xff687300,
    0xff727a03,
    0xff767e07,
    0xff7b8007,
    0xff7a8008,
    0xff787b06,
    0xff737704,
    0xff747504,
    0xff737205,
    0xff717005,
    0xff726f09,
    0xff6e6f0b,
    0xff70710b,
    0xff6c7210,
    0xff6b710f,
    0xff6c7211,
    0xff6b7212,
    0xff68700f,
    0xff636d10,
    0xff707113,
    0xff667010,
    0xff677311,
    0xff677514,
    0xff667514,
    0xff647316,
    0xff637217,
    0xff626e15,
    0xff5e6a14,
    0xff606a13,
    0xff606a12,
    0xff5f6a0f,
    0xff606b0c,
    0xff616a07,
    0xff5f6909,
    0xff5d6809,
    0xff606804,
    0xff626801,
    0xff5f6600,
    0xff5e6400,
    0xff5e6400,
    0xff5d6300,
    0xff5c6100,
    0xff5d6201,
    0xff596101,
    0xff555e00,
    0xff545a01,
    0xff515600,
    0xff505300,
    0xff4c5201,
    0xff475000,
    0xff474f00,
    0xff414c00,
    0xff3e4801,
    0xff3a4400,
    0xff384000,
    0xff353a01,
    0xff333700,
    0xff2e3601,
    0xff2d3500,
    0xff2e3300,
    0xff2e3401,
    0xff2f2f00,
    0xff2b3000,
    0xff2a2e00,
    0xff272a00,
    0xff242700,
    0xff222600,
    0xff212601,
    0xff252703,
    0xff242a07,
    0xff27290a,
    0xff262c0b,
    0xff262b10,
    0xff282c13,
    0xff252c15,
    0xff212e14,
    0xff252b15,
    0xff222c10,
    0xff1e280e,
    0xff1b250b,
    0xff1a2408,
    0xff182404,
    0xff181f01,
    0xff181c00,
    0xff171b00,
    0xff141900,
    0xff121600,
    0xff0c1300,
    0xff0a0f00,
    0xff0a0d00,
    0xff070b00,
    0xff020800,
    0xff010600,
    0xff020500,
    0xff010300,
    0xff000200,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff354b03,
    0xff344b04,
    0xff344d06,
    0xff354c06,
    0xff364d08,
    0xff364d07,
    0xff364d07,
    0xff374e05,
    0xff374f06,
    0xff364e06,
    0xff374e04,
    0xff354c02,
    0xff314800,
    0xff324301,
    0xff2d3f00,
    0xff283c00,
    0xff253600,
    0xff213401,
    0xff1c2b01,
    0xff132300,
    0xff0f1c01,
    0xff0a1601,
    0xff071301,
    0xff051000,
    0xff051000,
    0xff041000,
    0xff051100,
    0xff061000,
    0xff070f00,
    0xff051100,
    0xff081000,
    0xff061000,
    0xff070d00,
    0xff070d01,
    0xff080c01,
    0xff070b00,
    0xff040b01,
    0xff010900,
    0xff050700,
    0xff030701,
    0xff050801,
    0xff060901,
    0xff070901,
    0xff040801,
    0xff030700,
    0xff030500,
    0xff010400,
    0xff020300,
    0xff010200,
    0xff010201,
    0xff010300,
    0xff010100,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff020200,
    0xff010200,
    0xff010200,
    0xff020400,
    0xff020401,
    0xff040600,
    0xff030500,
    0xff040500,
    0xff030601,
    0xff020601,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010500,
    0xff000700,
    0xff010600,
    0xff010600,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000500,
    0xff010501,
    0xff010601,
    0xff000500,
    0xff010600,
    0xff070801,
    0xff0e0601,
    0xff181400,
    0xff1f1501,
    0xff281900,
    0xff2d1e01,
    0xff332101,
    0xff382700,
    0xff3a2800,
    0xff3c2900,
    0xff3c2a01,
    0xff3b2900,
    0xff3d2c03,
    0xff3e2e22,
    0xff3d2a0c,
    0xff2e2500,
    0xff3a2c0c,
    0xff6f604e,
    0xff8f7972,
    0xff2a1e1b,
    0xff3b3420,
    0xff424139,
    0xff160d04,
    0xff080000,
    0xff251d09,
    0xffcaae61,
    0xffaf9257,
    0xff0f0600,
    0xff17170f,
    0xffa09ca0,
    0xff462727,
    0xff9a5e22,
    0xffb6915b,
    0xffead5b7,
    0xffede1cc,
    0xfffefffb,
    0xffdec7a3,
    0xfffffffc,
    0xffeddabb,
    0xffba8459,
    0xffbd9166,
    0xff8c592f,
    0xffd3b793,
    0xfffffdf3,
    0xffffffff,
    0xffe9d9c7,
    0xffbf976f,
    0xffb89463,
    0xffcba469,
    0xff94591f,
    0xffede0c7,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffefffe,
    0xfffffce8,
    0xff977d57,
    0xff7f5c30,
    0xffb69568,
    0xffe4cb9f,
    0xffc6b399,
    0xffae8f6b,
    0xffc8ad8c,
    0xfff9f1dd,
    0xffffffff,
    0xfffffff2,
    0xfffef7df,
    0xffe1c294,
    0xffcea979,
    0xffd7b48e,
    0xffd6cba8,
    0xff677200,
    0xff727a01,
    0xff747c05,
    0xff777e07,
    0xff7b8107,
    0xff7c8208,
    0xff7b7f06,
    0xff787a06,
    0xff757604,
    0xff747306,
    0xff737206,
    0xff717108,
    0xff70710a,
    0xff71730e,
    0xff6b720f,
    0xff6b7011,
    0xff6c7111,
    0xff6c7011,
    0xff646c0f,
    0xff877f3a,
    0xfff2d69b,
    0xff807323,
    0xff627211,
    0xff667514,
    0xff657315,
    0xff637316,
    0xff617016,
    0xff606d13,
    0xff5d6a14,
    0xff5e6815,
    0xff5e6a13,
    0xff5f6810,
    0xff5e690a,
    0xff5f680c,
    0xff5b6609,
    0xff5b6408,
    0xff5b6503,
    0xff5e6503,
    0xff5d6400,
    0xff5d6300,
    0xff5c6402,
    0xff5c6201,
    0xff5c6201,
    0xff5c6200,
    0xff5b6200,
    0xff575f00,
    0xff535d01,
    0xff515b01,
    0xff4e5700,
    0xff4e5300,
    0xff4b5301,
    0xff495001,
    0xff444e00,
    0xff424b00,
    0xff404800,
    0xff3c4400,
    0xff393f00,
    0xff373c00,
    0xff343700,
    0xff303801,
    0xff313701,
    0xff2f3500,
    0xff303100,
    0xff2d3301,
    0xff2f3100,
    0xff2a2c01,
    0xff272901,
    0xff292600,
    0xff262902,
    0xff272a04,
    0xff272c09,
    0xff292e0d,
    0xff282e0d,
    0xff293010,
    0xff293115,
    0xff263014,
    0xff232e13,
    0xff242c14,
    0xff262d13,
    0xff222c10,
    0xff1f290b,
    0xff1c270a,
    0xff1d2706,
    0xff1b2502,
    0xff1c2101,
    0xff1a2000,
    0xff181c01,
    0xff141801,
    0xff121500,
    0xff0d1000,
    0xff0b0e00,
    0xff0a0d00,
    0xff070c00,
    0xff060900,
    0xff040700,
    0xff020400,
    0xff010300,
    0xff000200,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff010201,
    0xff000400,
    0xff000200,
    0xff010300,
    0xff010200,
    0xff000100,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff334901,
    0xff354a04,
    0xff354b05,
    0xff354c06,
    0xff364d07,
    0xff374e06,
    0xff374e06,
    0xff384f06,
    0xff375006,
    0xff374f05,
    0xff364e02,
    0xff344d00,
    0xff324801,
    0xff304400,
    0xff2c3f00,
    0xff293b01,
    0xff263600,
    0xff213300,
    0xff1b2c02,
    0xff142501,
    0xff0f1d00,
    0xff0c1700,
    0xff091400,
    0xff071200,
    0xff061100,
    0xff051000,
    0xff051000,
    0xff061100,
    0xff051101,
    0xff060f00,
    0xff070f00,
    0xff060e00,
    0xff060d00,
    0xff060b00,
    0xff080b00,
    0xff040c02,
    0xff050b01,
    0xff030900,
    0xff040801,
    0xff060902,
    0xff050802,
    0xff050902,
    0xff050700,
    0xff050801,
    0xff040700,
    0xff020400,
    0xff010501,
    0xff030301,
    0xff010100,
    0xff020102,
    0xff000200,
    0xff010201,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff020100,
    0xff020200,
    0xff020301,
    0xff010300,
    0xff020400,
    0xff020400,
    0xff020400,
    0xff030500,
    0xff030600,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010500,
    0xff000600,
    0xff010600,
    0xff010500,
    0xff010600,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff010500,
    0xff080800,
    0xff0a0501,
    0xff191200,
    0xff1e1601,
    0xff2a1a00,
    0xff2c1c00,
    0xff311f00,
    0xff362400,
    0xff3a2700,
    0xff3c2900,
    0xff3b2900,
    0xff3f2c02,
    0xff180b04,
    0xff220c00,
    0xff362600,
    0xff3b2c04,
    0xff2d2214,
    0xff9b7c74,
    0xff725d5e,
    0xff1f1b09,
    0xff8f8876,
    0xff4e4d41,
    0xff4d4526,
    0xff110908,
    0xff1c0f00,
    0xffc7a86e,
    0xffebd5aa,
    0xff716443,
    0xff2e2d26,
    0xff472d32,
    0xff9f6229,
    0xff9e6b39,
    0xffefdab9,
    0xfffefffa,
    0xfffcfbf5,
    0xffba8b69,
    0xfff9f6e8,
    0xffffffff,
    0xffcba78c,
    0xff9c6b3a,
    0xffbc8f5c,
    0xffc69768,
    0xff9f6e42,
    0xffbd9371,
    0xffb38960,
    0xffa97846,
    0xffb88d56,
    0xffddb986,
    0xff9e6222,
    0xffbb8754,
    0xfff6ebdb,
    0xffffffff,
    0xffffffff,
    0xfffeffff,
    0xfffffffc,
    0xffefe6cf,
    0xffc5a67f,
    0xffc7a17c,
    0xffeed7b4,
    0xfffbf6d6,
    0xffbf9967,
    0xffaa8256,
    0xffa78d5f,
    0xfffefae0,
    0xfff0edc4,
    0xffceb691,
    0xffe1c8a4,
    0xffb89468,
    0xffc9a47b,
    0xffd7d2a2,
    0xff606e00,
    0xff707900,
    0xff757d03,
    0xff767f05,
    0xff7a8006,
    0xff7b8208,
    0xff7d8309,
    0xff7b8106,
    0xff7b7b07,
    0xff777704,
    0xff747405,
    0xff727207,
    0xff717208,
    0xff727308,
    0xff70710d,
    0xff6b700e,
    0xff63690e,
    0xff6b6e10,
    0xff686e0f,
    0xff5d620c,
    0xfff9e286,
    0xff984c0f,
    0xff67690e,
    0xff647314,
    0xff637414,
    0xff637216,
    0xff617015,
    0xff606e14,
    0xff5f6b16,
    0xff5e6b13,
    0xff5b6714,
    0xff5b6611,
    0xff5d670d,
    0xff5a670c,
    0xff5b640b,
    0xff57630b,
    0xff59620a,
    0xff576305,
    0xff586103,
    0xff596302,
    0xff576101,
    0xff556100,
    0xff5a6101,
    0xff596102,
    0xff5b6100,
    0xff5c6200,
    0xff586101,
    0xff556000,
    0xff555d00,
    0xff525a00,
    0xff515801,
    0xff4f5501,
    0xff4f5300,
    0xff485000,
    0xff464f00,
    0xff444c00,
    0xff404a00,
    0xff3e4401,
    0xff3d4100,
    0xff393f01,
    0xff323b00,
    0xff333a01,
    0xff323800,
    0xff313500,
    0xff2e3401,
    0xff2f3100,
    0xff2c2e01,
    0xff272b01,
    0xff292900,
    0xff282c01,
    0xff282c06,
    0xff2a2f0a,
    0xff2a300f,
    0xff293010,
    0xff2b3112,
    0xff2a3516,
    0xff283317,
    0xff273016,
    0xff282e17,
    0xff262e14,
    0xff253010,
    0xff222d0b,
    0xff1f2907,
    0xff1f2907,
    0xff1e2802,
    0xff1e2601,
    0xff1e2600,
    0xff1a2000,
    0xff181c00,
    0xff141800,
    0xff111500,
    0xff0f1101,
    0xff0e1101,
    0xff0b1001,
    0xff0a0d00,
    0xff080b00,
    0xff050801,
    0xff030500,
    0xff010400,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010300,
    0xff000500,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff334700,
    0xff334802,
    0xff344b05,
    0xff344b05,
    0xff354c06,
    0xff354e05,
    0xff374e06,
    0xff394f07,
    0xff365004,
    0xff374f03,
    0xff364f02,
    0xff344b00,
    0xff324900,
    0xff2e4500,
    0xff2c3f00,
    0xff283d01,
    0xff263701,
    0xff223401,
    0xff1a2d01,
    0xff172300,
    0xff0f1d01,
    0xff0c1800,
    0xff091500,
    0xff071300,
    0xff061101,
    0xff061100,
    0xff051000,
    0xff061100,
    0xff061101,
    0xff091101,
    0xff091101,
    0xff060f00,
    0xff060e01,
    0xff060c00,
    0xff060b01,
    0xff050a00,
    0xff060a00,
    0xff040801,
    0xff020801,
    0xff050700,
    0xff060902,
    0xff050801,
    0xff040800,
    0xff050601,
    0xff040601,
    0xff030400,
    0xff000401,
    0xff020301,
    0xff010200,
    0xff010101,
    0xff010201,
    0xff000100,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010000,
    0xff000001,
    0xff010300,
    0xff010200,
    0xff010200,
    0xff020401,
    0xff010300,
    0xff020400,
    0xff020400,
    0xff020400,
    0xff020400,
    0xff000600,
    0xff010600,
    0xff000600,
    0xff000500,
    0xff000600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000600,
    0xff000600,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000500,
    0xff000600,
    0xff000500,
    0xff000400,
    0xff000400,
    0xff000600,
    0xff050600,
    0xff090501,
    0xff150f01,
    0xff1e1601,
    0xff271900,
    0xff2b1b01,
    0xff301e01,
    0xff342200,
    0xff372500,
    0xff3b2800,
    0xff3b2a00,
    0xff362401,
    0xff110201,
    0xff3c2a02,
    0xff342500,
    0xff40320f,
    0xff2a211f,
    0xff745c4f,
    0xff4e403c,
    0xff302917,
    0xff736f6d,
    0xff4c4c31,
    0xffaa9c93,
    0xff120a01,
    0xff341d09,
    0xff6f5631,
    0xffa4926c,
    0xff847671,
    0xff32211a,
    0xffb28e69,
    0xffa16d3b,
    0xffe0c7a3,
    0xffeadeca,
    0xffffffff,
    0xffc49b7c,
    0xffc0a17d,
    0xffffffff,
    0xffa27662,
    0xffcba974,
    0xfffffff5,
    0xffefe0c5,
    0xffe0c292,
    0xff996a34,
    0xffa77242,
    0xff9e713d,
    0xffd0b57d,
    0xffffefb8,
    0xff86501e,
    0xffcfa16c,
    0xffb78f61,
    0xffbc9772,
    0xffeee5d3,
    0xffffffff,
    0xffffffff,
    0xfffffffc,
    0xffbb9d77,
    0xffcda97f,
    0xffb89169,
    0xfffdf1d5,
    0xfff3e3c1,
    0xffd8b992,
    0xffccb181,
    0xfffffae4,
    0xffffffff,
    0xfffefffb,
    0xfff7f3d1,
    0xffbfa673,
    0xff522f04,
    0xffbd9b76,
    0xff818c30,
    0xff677600,
    0xff747d01,
    0xff778002,
    0xff7b8105,
    0xff7c8205,
    0xff7e8205,
    0xff7c8207,
    0xff7d7f07,
    0xff7a7c08,
    0xff777907,
    0xff737504,
    0xff717206,
    0xff707306,
    0xff707308,
    0xff6d720c,
    0xff6e6f09,
    0xffad9f29,
    0xff616809,
    0xff636a0b,
    0xff88823a,
    0xffcf9951,
    0xff693b00,
    0xff657611,
    0xff657215,
    0xff637312,
    0xff627115,
    0xff606e16,
    0xff5f6d12,
    0xff5f6d13,
    0xff5d6913,
    0xff5c6714,
    0xff596510,
    0xff59640e,
    0xff56630e,
    0xff57610e,
    0xff515d0c,
    0xff535d07,
    0xff545e06,
    0xff565f04,
    0xff555e03,
    0xff575e00,
    0xff565e01,
    0xff585f00,
    0xff5b6200,
    0xff5d6300,
    0xff5d6301,
    0xff5d6401,
    0xff5b6301,
    0xff566200,
    0xff565f00,
    0xff535c00,
    0xff525a00,
    0xff4e5700,
    0xff4c5300,
    0xff495100,
    0xff4a5001,
    0xff434e00,
    0xff414a00,
    0xff404601,
    0xff3b4200,
    0xff373e00,
    0xff363b01,
    0xff353800,
    0xff353801,
    0xff323501,
    0xff2f3200,
    0xff2f3000,
    0xff2c2d00,
    0xff2b2c00,
    0xff262c04,
    0xff2b3008,
    0xff2c300b,
    0xff2c3110,
    0xff2d3311,
    0xff2f3414,
    0xff2d3517,
    0xff2c3519,
    0xff273418,
    0xff273116,
    0xff283115,
    0xff273114,
    0xff24300e,
    0xff212c09,
    0xff202a08,
    0xff212902,
    0xff1e2800,
    0xff1f2600,
    0xff1d2400,
    0xff1b1f01,
    0xff181c00,
    0xff151801,
    0xff151702,
    0xff111600,
    0xff0e1400,
    0xff0c1101,
    0xff0a0e00,
    0xff090c00,
    0xff060900,
    0xff020700,
    0xff010300,
    0xff000100,
    0xff000101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff010300,
    0xff000300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff334600,
    0xff334702,
    0xff334a04,
    0xff344b05,
    0xff364d07,
    0xff344f05,
    0xff374f07,
    0xff374e07,
    0xff374e03,
    0xff364e02,
    0xff354e02,
    0xff334b00,
    0xff314700,
    0xff314401,
    0xff2f4001,
    0xff283d01,
    0xff253600,
    0xff223200,
    0xff1a2b00,
    0xff182500,
    0xff111e01,
    0xff0d1801,
    0xff0a1601,
    0xff091401,
    0xff071201,
    0xff061100,
    0xff051000,
    0xff061100,
    0xff061100,
    0xff061201,
    0xff0a0f00,
    0xff071000,
    0xff050e00,
    0xff080c01,
    0xff040a00,
    0xff040a00,
    0xff070800,
    0xff040801,
    0xff030700,
    0xff050801,
    0xff050801,
    0xff050801,
    0xff050801,
    0xff040701,
    0xff020400,
    0xff030500,
    0xff000400,
    0xff010300,
    0xff000200,
    0xff020102,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff010100,
    0xff010202,
    0xff000001,
    0xff020200,
    0xff010000,
    0xff010200,
    0xff020401,
    0xff000200,
    0xff010300,
    0xff020400,
    0xff020400,
    0xff020400,
    0xff000500,
    0xff000600,
    0xff020500,
    0xff000600,
    0xff010600,
    0xff010500,
    0xff010600,
    0xff010500,
    0xff000500,
    0xff000400,
    0xff000500,
    0xff010600,
    0xff000700,
    0xff000600,
    0xff010600,
    0xff000700,
    0xff000500,
    0xff010600,
    0xff000400,
    0xff000501,
    0xff000400,
    0xff000500,
    0xff040600,
    0xff0d0b01,
    0xff0f0a00,
    0xff1e1600,
    0xff261800,
    0xff2b1a01,
    0xff301d01,
    0xff332100,
    0xff362400,
    0xff3a2600,
    0xff3c2a00,
    0xff271201,
    0xff3f2104,
    0xff372600,
    0xff342400,
    0xff403926,
    0xff473829,
    0xff856f6f,
    0xff4a403a,
    0xff51483c,
    0xff302b19,
    0xff66624a,
    0xff5d5854,
    0xff685422,
    0xff543f17,
    0xff160a01,
    0xff0e0b04,
    0xff1b1413,
    0xff794a24,
    0xffa86d38,
    0xffe3d0b1,
    0xffe6d4bd,
    0xfffff8e6,
    0xffb28a6f,
    0xffc39969,
    0xfff8f1d6,
    0xffa0694b,
    0xffd4b579,
    0xfffffffc,
    0xffffffff,
    0xffe3d5c4,
    0xff936233,
    0xffcea36a,
    0xffd2a36b,
    0xffe3cfa1,
    0xffffffff,
    0xff966c3d,
    0xffa4661c,
    0xffb48444,
    0xffc79359,
    0xffaf7e43,
    0xffd0a879,
    0xffd5b797,
    0xffd5bc9a,
    0xffebdbc6,
    0xffcca478,
    0xffaf8a5d,
    0xffb28d63,
    0xfffcf7e2,
    0xffeed5a2,
    0xffa47c51,
    0xffecd8b5,
    0xfffaf7e1,
    0xffffffff,
    0xfff7f4e1,
    0xfff9ebd0,
    0xffcca87b,
    0xffeacb9c,
    0xffd2d0a3,
    0xff5c6b00,
    0xff707a00,
    0xff757e01,
    0xff798000,
    0xff7c8204,
    0xff7c8205,
    0xff7e8305,
    0xff7c8207,
    0xff7d7e08,
    0xff787c07,
    0xff757904,
    0xff737604,
    0xff737306,
    0xff707305,
    0xff6e7206,
    0xff676d07,
    0xffa3982f,
    0xffffffa0,
    0xff767819,
    0xff5c6308,
    0xffab9f3d,
    0xff7a4321,
    0xff61680e,
    0xff5d6e13,
    0xff627013,
    0xff627115,
    0xff5f6e13,
    0xff5f6c14,
    0xff5e6a15,
    0xff5e6913,
    0xff5d6915,
    0xff586611,
    0xff576410,
    0xff57630f,
    0xff525f0e,
    0xff606219,
    0xff7e7030,
    0xff535b10,
    0xff505a04,
    0xff525906,
    0xff535c03,
    0xff555b00,
    0xff565d01,
    0xff586201,
    0xff5f6303,
    0xff616704,
    0xff636808,
    0xff616708,
    0xff606808,
    0xff5e6605,
    0xff596403,
    0xff566001,
    0xff545c00,
    0xff515a01,
    0xff515701,
    0xff4d5500,
    0xff4b5300,
    0xff4a5101,
    0xff454f00,
    0xff424b00,
    0xff3f4700,
    0xff3d4300,
    0xff393e01,
    0xff383b01,
    0xff363a00,
    0xff343700,
    0xff343601,
    0xff2f3200,
    0xff2e3000,
    0xff2d2f00,
    0xff2c3004,
    0xff2c3208,
    0xff2e320c,
    0xff2f3312,
    0xff2f3613,
    0xff303414,
    0xff303419,
    0xff2f361a,
    0xff283519,
    0xff273519,
    0xff2b3317,
    0xff273514,
    0xff273410,
    0xff24300c,
    0xff222c08,
    0xff232c06,
    0xff202b01,
    0xff212800,
    0xff1f2700,
    0xff1c2300,
    0xff191e00,
    0xff181c01,
    0xff171801,
    0xff131900,
    0xff141700,
    0xff111601,
    0xff0e1201,
    0xff0b0e00,
    0xff090b00,
    0xff060800,
    0xff040600,
    0xff020400,
    0xff010201,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000300,
    0xff000200,
    0xff010200,
    0xff000100,
    0xff000301,
    0xff000201,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff2f4500,
    0xff314701,
    0xff314802,
    0xff334a04,
    0xff364c07,
    0xff334d04,
    0xff374f05,
    0xff364f05,
    0xff374e04,
    0xff374f03,
    0xff344d00,
    0xff334b01,
    0xff334700,
    0xff2f4300,
    0xff2d3e01,
    0xff263c00,
    0xff273600,
    0xff213201,
    0xff182c00,
    0xff172401,
    0xff111e00,
    0xff0c1800,
    0xff091500,
    0xff091401,
    0xff061100,
    0xff061100,
    0xff051000,
    0xff051000,
    0xff061100,
    0xff051100,
    0xff081001,
    0xff070f00,
    0xff070e00,
    0xff060c00,
    0xff040a00,
    0xff030a00,
    0xff020801,
    0xff030700,
    0xff040801,
    0xff020700,
    0xff040700,
    0xff040700,
    0xff040700,
    0xff040700,
    0xff020400,
    0xff030500,
    0xff010401,
    0xff010200,
    0xff020200,
    0xff010100,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010000,
    0xff010101,
    0xff000300,
    0xff010101,
    0xff010101,
    0xff010100,
    0xff010200,
    0xff080b00,
    0xff060600,
    0xff010300,
    0xff020400,
    0xff020400,
    0xff020400,
    0xff000600,
    0xff010400,
    0xff000600,
    0xff000400,
    0xff000500,
    0xff000501,
    0xff000500,
    0xff000500,
    0xff000501,
    0xff000501,
    0xff000400,
    0xff010602,
    0xff010501,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000401,
    0xff000300,
    0xff000501,
    0xff000400,
    0xff020401,
    0xff040500,
    0xff0c0900,
    0xff0e0802,
    0xff1e1501,
    0xff261700,
    0xff2a1900,
    0xff2f1b00,
    0xff311f00,
    0xff342101,
    0xff392501,
    0xff3c2702,
    0xff1e0a02,
    0xff3c2602,
    0xff352400,
    0xff3b2904,
    0xff2d251d,
    0xff7e6a58,
    0xff715b62,
    0xff4a4536,
    0xff665d5c,
    0xff353313,
    0xff8f8888,
    0xff433010,
    0xffead2a1,
    0xff9e9180,
    0xff0c0c09,
    0xff140c0d,
    0xff320f04,
    0xff915113,
    0xffdfcaa1,
    0xffc7a891,
    0xfffef9e3,
    0xffa7785f,
    0xffd7bd92,
    0xffdecbad,
    0xffaf7d57,
    0xffa17039,
    0xffffffff,
    0xffffffff,
    0xffd5b295,
    0xffa57544,
    0xffebe4c7,
    0xffffffe6,
    0xffb9905b,
    0xffffffec,
    0xffa16f39,
    0xff9e6725,
    0xffba945a,
    0xffd8bd8a,
    0xffd6ba8b,
    0xffe1c68a,
    0xffcda163,
    0xffcaa663,
    0xffd0a865,
    0xffb28848,
    0xffbe8e4e,
    0xffaa783e,
    0xffb38041,
    0xffd4a972,
    0xffe2be88,
    0xffa9763f,
    0xffefd8b4,
    0xfff8eccf,
    0xffead4b2,
    0xfff7ebd0,
    0xfff5efd0,
    0xffbf9462,
    0xffedd9c5,
    0xff9aa65e,
    0xff687400,
    0xff737a00,
    0xff767e00,
    0xff798101,
    0xff7d8402,
    0xff7e8304,
    0xff7e8207,
    0xff7f8207,
    0xff7c7d06,
    0xff7b7c07,
    0xff787805,
    0xff757605,
    0xff737306,
    0xff717205,
    0xff6c7105,
    0xff6e6b07,
    0xffd9ca6e,
    0xffe1c46b,
    0xff6c6a10,
    0xff5f660b,
    0xff5e670c,
    0xff825724,
    0xff646613,
    0xff5e6a10,
    0xff5d6e12,
    0xff5e6f15,
    0xff5f6e15,
    0xff5d6b12,
    0xff5b6914,
    0xff5b6814,
    0xff5b6713,
    0xff586410,
    0xff54610e,
    0xff53600f,
    0xff4e5c0c,
    0xff6c6220,
    0xffb3844d,
    0xff675f21,
    0xff495605,
    0xff505706,
    0xff535b05,
    0xff545d05,
    0xff5a6206,
    0xff5e6606,
    0xff626709,
    0xff626a0c,
    0xff636b0e,
    0xff626a0e,
    0xff606a0d,
    0xff5e670a,
    0xff5a6409,
    0xff556205,
    0xff555e01,
    0xff535b00,
    0xff505900,
    0xff515701,
    0xff4f5500,
    0xff4e5200,
    0xff465000,
    0xff484c00,
    0xff434900,
    0xff404401,
    0xff3c4300,
    0xff3c3e00,
    0xff3d3e00,
    0xff3b3b00,
    0xff363700,
    0xff333500,
    0xff323300,
    0xff303202,
    0xff303305,
    0xff303509,
    0xff2f350e,
    0xff313512,
    0xff313715,
    0xff303917,
    0xff2f371b,
    0xff2e371a,
    0xff2b361c,
    0xff28361a,
    0xff2b3618,
    0xff2b3518,
    0xff293614,
    0xff26330a,
    0xff222f09,
    0xff252c05,
    0xff232c01,
    0xff222b00,
    0xff202800,
    0xff1e2600,
    0xff1c2000,
    0xff191e00,
    0xff181e00,
    0xff161e00,
    0xff161902,
    0xff171700,
    0xff131400,
    0xff0e1200,
    0xff0d0f01,
    0xff0a0c00,
    0xff060901,
    0xff030701,
    0xff020300,
    0xff000100,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010201,
    0xff000200,
    0xff000200,
    0xff020202,
    0xff000000,
    0xff010201,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff2f4401,
    0xff314500,
    0xff314601,
    0xff324903,
    0xff354b03,
    0xff324d04,
    0xff364f05,
    0xff374f04,
    0xff354e01,
    0xff354d01,
    0xff354d01,
    0xff324b00,
    0xff314700,
    0xff2f4001,
    0xff2b3e01,
    0xff263b01,
    0xff273600,
    0xff1e3300,
    0xff1a2a01,
    0xff182400,
    0xff101d00,
    0xff0b1800,
    0xff091501,
    0xff081401,
    0xff061101,
    0xff051000,
    0xff051000,
    0xff051000,
    0xff061000,
    0xff071000,
    0xff091102,
    0xff080d00,
    0xff070d01,
    0xff070d01,
    0xff060c02,
    0xff030b00,
    0xff020801,
    0xff040701,
    0xff040600,
    0xff010700,
    0xff050801,
    0xff040700,
    0xff040700,
    0xff030700,
    0xff040601,
    0xff030500,
    0xff010300,
    0xff010200,
    0xff020200,
    0xff010100,
    0xff000001,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff000101,
    0xff000300,
    0xff010101,
    0xff020202,
    0xff010101,
    0xff060701,
    0xff2c1106,
    0xff1d0d03,
    0xff000400,
    0xff010300,
    0xff030500,
    0xff010300,
    0xff000600,
    0xff020500,
    0xff000600,
    0xff000500,
    0xff000600,
    0xff010401,
    0xff000400,
    0xff010601,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000400,
    0xff000401,
    0xff000400,
    0xff000401,
    0xff000501,
    0xff000400,
    0xff000401,
    0xff000400,
    0xff000300,
    0xff010200,
    0xff020400,
    0xff0a0800,
    0xff100901,
    0xff1b1003,
    0xff231600,
    0xff281800,
    0xff2d1b00,
    0xff301e00,
    0xff352100,
    0xff372300,
    0xff3c2601,
    0xff1c0d04,
    0xff392601,
    0xff342300,
    0xff36270a,
    0xff190d05,
    0xff634e45,
    0xff473b35,
    0xff4e4d40,
    0xff49443f,
    0xff60624f,
    0xff676167,
    0xff6e562a,
    0xffdcccba,
    0xff5e5852,
    0xff120d0b,
    0xff2f110c,
    0xffa66826,
    0xffb08759,
    0xffc7a895,
    0xffffffff,
    0xffc59d7b,
    0xff9a6d3e,
    0xfffffffa,
    0xff9e7054,
    0xffb18654,
    0xfffffad3,
    0xffbb9882,
    0xffa36d45,
    0xffc4a16b,
    0xfffffff3,
    0xffffffff,
    0xffcbaf88,
    0xffffffe8,
    0xff9e7642,
    0xff976222,
    0xffffffe4,
    0xffffffff,
    0xfffffff4,
    0xfffefff8,
    0xfffdfdf3,
    0xfffffff4,
    0xfffffffd,
    0xfff9f0d9,
    0xffddbe94,
    0xffb79368,
    0xffd2ad7a,
    0xffe0bf8a,
    0xffddbe89,
    0xffac7e46,
    0xffad8246,
    0xffd4ae6f,
    0xffe5ca91,
    0xffe9c98c,
    0xffedd0a0,
    0xffe1c199,
    0xffbb8b57,
    0xffe6cbb5,
    0xff848528,
    0xff6e7a00,
    0xff767c01,
    0xff797f00,
    0xff7b8301,
    0xff7a8201,
    0xff7f8403,
    0xff808408,
    0xff7f8208,
    0xff7e7f07,
    0xff7a7b06,
    0xff787903,
    0xff757503,
    0xff747207,
    0xff707305,
    0xff6a7004,
    0xff807609,
    0xfff0d57e,
    0xffcda040,
    0xff7f770e,
    0xff59640b,
    0xff4f610d,
    0xffc68c6e,
    0xff586212,
    0xff59670f,
    0xff5c6912,
    0xff5b6b12,
    0xff5b6a12,
    0xff5a6912,
    0xff576712,
    0xff566510,
    0xff576310,
    0xff576311,
    0xff546110,
    0xff515e0e,
    0xff4c5c0c,
    0xff70551c,
    0xffb5663e,
    0xff5f591a,
    0xff4c5606,
    0xff52590c,
    0xff565e0c,
    0xff58610d,
    0xff5e630e,
    0xff60660f,
    0xff5f6912,
    0xff656a14,
    0xff626a11,
    0xff626b11,
    0xff60690f,
    0xff5f670e,
    0xff5b650c,
    0xff566206,
    0xff545e03,
    0xff535c02,
    0xff515b01,
    0xff525802,
    0xff515700,
    0xff4c5300,
    0xff495101,
    0xff484e01,
    0xff444b00,
    0xff434800,
    0xff3e4600,
    0xff404301,
    0xff3f4100,
    0xff3d3d01,
    0xff363c01,
    0xff373700,
    0xff353600,
    0xff333600,
    0xff333604,
    0xff31360a,
    0xff31360f,
    0xff333814,
    0xff333a18,
    0xff323b16,
    0xff313b1a,
    0xff2f3b1e,
    0xff2b391c,
    0xff2d361c,
    0xff2d371a,
    0xff2a3819,
    0xff2d3916,
    0xff2b350e,
    0xff24320a,
    0xff283005,
    0xff252f00,
    0xff252e00,
    0xff222b01,
    0xff1f2700,
    0xff1e2400,
    0xff1b1f00,
    0xff1a1e00,
    0xff1a1e00,
    0xff181d01,
    0xff161a00,
    0xff151801,
    0xff0f1400,
    0xff101100,
    0xff0c0f00,
    0xff090c00,
    0xff060800,
    0xff010700,
    0xff010300,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000200,
    0xff000100,
    0xff000001,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff2e4101,
    0xff304200,
    0xff324501,
    0xff304902,
    0xff344c03,
    0xff354e03,
    0xff374f03,
    0xff344e01,
    0xff314d00,
    0xff364c01,
    0xff344c00,
    0xff324901,
    0xff314401,
    0xff2d3f01,
    0xff2a3d00,
    0xff273b00,
    0xff243700,
    0xff203001,
    0xff182b00,
    0xff152501,
    0xff111e00,
    0xff0f1a01,
    0xff0b1600,
    0xff091500,
    0xff071201,
    0xff051101,
    0xff070f00,
    0xff070f00,
    0xff060e00,
    0xff050f00,
    0xff070f00,
    0xff070e01,
    0xff060c00,
    0xff060c02,
    0xff050b02,
    0xff030b00,
    0xff030801,
    0xff020701,
    0xff020700,
    0xff010700,
    0xff040700,
    0xff020600,
    0xff010600,
    0xff030600,
    0xff030400,
    0xff020400,
    0xff020301,
    0xff020301,
    0xff010100,
    0xff000200,
    0xff000201,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff020102,
    0xff010101,
    0xff010101,
    0xff000101,
    0xff0d0a00,
    0xff4a1319,
    0xff320f0d,
    0xff010500,
    0xff010401,
    0xff030502,
    0xff020301,
    0xff000600,
    0xff020600,
    0xff010600,
    0xff000500,
    0xff000502,
    0xff000501,
    0xff000400,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000501,
    0xff000400,
    0xff000501,
    0xff010501,
    0xff010200,
    0xff000501,
    0xff000400,
    0xff000400,
    0xff010200,
    0xff010300,
    0xff000100,
    0xff010500,
    0xff0a0900,
    0xff130b00,
    0xff1c0f06,
    0xff231400,
    0xff271800,
    0xff2a1a00,
    0xff301c01,
    0xff332000,
    0xff372302,
    0xff372502,
    0xff231003,
    0xff392600,
    0xff332200,
    0xff453118,
    0xff402b23,
    0xff4d3832,
    0xff423a2d,
    0xff5f564e,
    0xff272215,
    0xff898a8a,
    0xff4e3b1e,
    0xff69532c,
    0xff5f5d59,
    0xff1b160d,
    0xff1f0d0a,
    0xff824e1b,
    0xff945a2a,
    0xffdec095,
    0xffe9d7ba,
    0xffe7d3bd,
    0xff9c6c38,
    0xffe9d5ab,
    0xff926648,
    0xffbfa06f,
    0xfffffff3,
    0xffe7c49f,
    0xff905725,
    0xffd7bd89,
    0xffffffff,
    0xffffffff,
    0xffc4b192,
    0xffffffe5,
    0xffb88a57,
    0xffb78440,
    0xfffffff2,
    0xffffffff,
    0xfffefeff,
    0xfffefeff,
    0xfffffffe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffe5d8bf,
    0xffd9b690,
    0xffc5a374,
    0xffe9d0aa,
    0xffd0b483,
    0xffc4a37a,
    0xff957244,
    0xffc5a775,
    0xfff3dfbf,
    0xfff6edd2,
    0xfff5e8ca,
    0xffe7c98f,
    0xffac7732,
    0xffb58348,
    0xffb9977e,
    0xff957c29,
    0xff707b00,
    0xff767f01,
    0xff7c8100,
    0xff7c8101,
    0xff7e8303,
    0xff7f8404,
    0xff7f8506,
    0xff7f8306,
    0xff7e7f06,
    0xff7a7c07,
    0xff797804,
    0xff767503,
    0xff737304,
    0xff727106,
    0xff6a7004,
    0xff867a0b,
    0xffdaab4b,
    0xffbe8616,
    0xff99830b,
    0xff59640a,
    0xff535e10,
    0xffc7795e,
    0xff4e610d,
    0xff536810,
    0xff566611,
    0xff596911,
    0xff556810,
    0xff546711,
    0xff546511,
    0xff556411,
    0xff556212,
    0xff556010,
    0xff515d0e,
    0xff4f5b0d,
    0xff4b580b,
    0xff785115,
    0xffa95923,
    0xff4e520d,
    0xff51590a,
    0xff545e0e,
    0xff576013,
    0xff5a6215,
    0xff5e6315,
    0xff606716,
    0xff626818,
    0xff656916,
    0xff626a17,
    0xff626a13,
    0xff606913,
    0xff61650f,
    0xff59640c,
    0xff556108,
    0xff566006,
    0xff555e02,
    0xff525c00,
    0xff505a01,
    0xff525700,
    0xff4f5600,
    0xff4c5100,
    0xff494f01,
    0xff454d00,
    0xff484c00,
    0xff464900,
    0xff434600,
    0xff3f4400,
    0xff3e4000,
    0xff3a3d01,
    0xff3a3900,
    0xff373800,
    0xff363902,
    0xff353706,
    0xff363809,
    0xff33380f,
    0xff353a13,
    0xff343a16,
    0xff343d19,
    0xff323c1a,
    0xff303c1d,
    0xff2d3c1f,
    0xff2e391e,
    0xff303a1c,
    0xff2c3b19,
    0xff2d3b17,
    0xff2f3610,
    0xff28350a,
    0xff283204,
    0xff293000,
    0xff272e00,
    0xff252d01,
    0xff232900,
    0xff1f2501,
    0xff1f2401,
    0xff1d2100,
    0xff1b1e00,
    0xff191f00,
    0xff181b01,
    0xff161901,
    0xff141600,
    0xff141501,
    0xff0f1202,
    0xff0b0f00,
    0xff090b01,
    0xff030a01,
    0xff020600,
    0xff000300,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff2b4000,
    0xff2c4101,
    0xff2e4300,
    0xff2e4700,
    0xff324900,
    0xff344c02,
    0xff364d00,
    0xff3f5603,
    0xff344f00,
    0xff324a00,
    0xff344b01,
    0xff314600,
    0xff2d4300,
    0xff2b3f01,
    0xff283c00,
    0xff263800,
    0xff233500,
    0xff1f3000,
    0xff192b00,
    0xff162500,
    0xff131e00,
    0xff101a00,
    0xff0d1800,
    0xff091600,
    0xff081301,
    0xff051000,
    0xff050e00,
    0xff050e00,
    0xff060d00,
    0xff060e00,
    0xff060d00,
    0xff070c00,
    0xff060c00,
    0xff060c00,
    0xff050a01,
    0xff050900,
    0xff050701,
    0xff020801,
    0xff010600,
    0xff010700,
    0xff030600,
    0xff020600,
    0xff010700,
    0xff020701,
    0xff040501,
    0xff020500,
    0xff020400,
    0xff020300,
    0xff010200,
    0xff000200,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff020202,
    0xff000102,
    0xff0f0800,
    0xff5c1511,
    0xff3b1007,
    0xff000400,
    0xff010301,
    0xff010300,
    0xff020401,
    0xff010500,
    0xff020300,
    0xff020500,
    0xff000400,
    0xff010400,
    0xff000501,
    0xff000401,
    0xff000400,
    0xff000501,
    0xff000300,
    0xff000400,
    0xff000300,
    0xff000400,
    0xff000300,
    0xff010200,
    0xff000400,
    0xff000400,
    0xff010300,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff010500,
    0xff080600,
    0xff120b00,
    0xff150901,
    0xff241703,
    0xff261600,
    0xff291800,
    0xff2c1a00,
    0xff2f1d00,
    0xff342000,
    0xff362402,
    0xff251202,
    0xff352400,
    0xff3c2a04,
    0xff190f06,
    0xff4a3224,
    0xff3e2d27,
    0xff4b4229,
    0xff655649,
    0xff150e00,
    0xff948674,
    0xff7a633a,
    0xff887f80,
    0xff251c17,
    0xff281911,
    0xff764e2d,
    0xff925017,
    0xffd8c19c,
    0xfff4ebc3,
    0xffd4b08a,
    0xff8f603d,
    0xfffffbd5,
    0xff8d5736,
    0xffba9258,
    0xfffffede,
    0xffc8b0a0,
    0xffab7744,
    0xffc7a473,
    0xffffffff,
    0xfff4f3f0,
    0xffad9069,
    0xffffffef,
    0xff9d7449,
    0xff9d6f3e,
    0xffba9266,
    0xffe7d0af,
    0xfffffff8,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffcec099,
    0xffd6bc94,
    0xffe9dac0,
    0xfff6e6ce,
    0xffd7bc8f,
    0xffbe9971,
    0xffbf9d6f,
    0xfff1d9b7,
    0xfff7f0d7,
    0xfffefdf4,
    0xfff7edd1,
    0xffe3cda6,
    0xffcc9f69,
    0xffb98851,
    0xffa57c4e,
    0xff977809,
    0xff717b00,
    0xff777f01,
    0xff7c8100,
    0xff7e8202,
    0xff7f8303,
    0xff818505,
    0xff818507,
    0xff818307,
    0xff7f8007,
    0xff7c7c07,
    0xff797804,
    0xff767505,
    0xff747303,
    0xff717204,
    0xff6b7204,
    0xff827603,
    0xffc98d53,
    0xffb37a04,
    0xff9c8307,
    0xff586308,
    0xff655f0f,
    0xffc4552a,
    0xff49630c,
    0xff546510,
    0xff526611,
    0xff546610,
    0xff526411,
    0xff516311,
    0xff4e6210,
    0xff516010,
    0xff536010,
    0xff515d0e,
    0xff4f5b0d,
    0xff4c5809,
    0xff47540b,
    0xff874f13,
    0xff9e541b,
    0xff4a550f,
    0xff545a13,
    0xff575e16,
    0xff596018,
    0xff596216,
    0xff5e6217,
    0xff5d6417,
    0xff606719,
    0xff626718,
    0xff616818,
    0xff616a15,
    0xff606813,
    0xff60650f,
    0xff5a640e,
    0xff536008,
    0xff555e07,
    0xff565e04,
    0xff535c01,
    0xff525a02,
    0xff525702,
    0xff515701,
    0xff4e5300,
    0xff4e5200,
    0xff4a5001,
    0xff494e01,
    0xff464c00,
    0xff464900,
    0xff414601,
    0xff414201,
    0xff3f4100,
    0xff3c3c00,
    0xff383b00,
    0xff373a02,
    0xff363c07,
    0xff363a0b,
    0xff353b11,
    0xff373b14,
    0xff343e18,
    0xff343e1c,
    0xff333f1b,
    0xff343e1e,
    0xff313d20,
    0xff2d3d20,
    0xff313c1e,
    0xff313c1c,
    0xff303d1a,
    0xff2f3a12,
    0xff2a360a,
    0xff263304,
    0xff293200,
    0xff283000,
    0xff262e00,
    0xff242b00,
    0xff232800,
    0xff222700,
    0xff1f2400,
    0xff1d2301,
    0xff1a2000,
    0xff1b1e00,
    0xff181b00,
    0xff151700,
    0xff141500,
    0xff0f1300,
    0xff0d0f01,
    0xff090d00,
    0xff070900,
    0xff050701,
    0xff000500,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff293d00,
    0xff2c3e00,
    0xff2e4200,
    0xff2f4401,
    0xff2f4700,
    0xff334c01,
    0xff304c00,
    0xff67621d,
    0xffab9659,
    0xff2e4800,
    0xff304700,
    0xff2f4401,
    0xff2d4100,
    0xff2a3d00,
    0xff283901,
    0xff263600,
    0xff233401,
    0xff1e3101,
    0xff1a2b00,
    0xff172401,
    0xff141f00,
    0xff121b01,
    0xff0d1801,
    0xff0b1700,
    0xff091500,
    0xff061201,
    0xff060e00,
    0xff060d01,
    0xff060d00,
    0xff060d00,
    0xff010e00,
    0xff050d00,
    0xff060b00,
    0xff060b01,
    0xff080901,
    0xff030b00,
    0xff050701,
    0xff010800,
    0xff020700,
    0xff020700,
    0xff010600,
    0xff010701,
    0xff020601,
    0xff030501,
    0xff040500,
    0xff000500,
    0xff020400,
    0xff020400,
    0xff000200,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000101,
    0xff010000,
    0xff000101,
    0xff000100,
    0xff0e0401,
    0xff540b00,
    0xff380900,
    0xff000200,
    0xff010201,
    0xff010300,
    0xff010300,
    0xff020301,
    0xff020300,
    0xff010401,
    0xff000501,
    0xff020301,
    0xff000501,
    0xff000401,
    0xff000501,
    0xff000400,
    0xff010300,
    0xff010200,
    0xff010200,
    0xff000200,
    0xff010200,
    0xff010300,
    0xff010300,
    0xff010200,
    0xff010200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff070600,
    0xff120a00,
    0xff170f00,
    0xff1e1107,
    0xff231400,
    0xff291600,
    0xff2b1a01,
    0xff2d1c00,
    0xff311d00,
    0xff2d1a02,
    0xff2a1703,
    0xff342300,
    0xff412e0d,
    0xff21170f,
    0xff674937,
    0xff3f3122,
    0xff7f735b,
    0xff22180e,
    0xff675b40,
    0xff836c49,
    0xff85775f,
    0xff65696b,
    0xff4b3e29,
    0xff371811,
    0xff8e4c11,
    0xffbb9467,
    0xffdac7ae,
    0xfff7e4c2,
    0xff9e6538,
    0xffe9e0c0,
    0xffaf9187,
    0xffbc9f6e,
    0xfffffffd,
    0xffaf8560,
    0xffab733c,
    0xffdbc795,
    0xffffffff,
    0xffdccdbf,
    0xffd4bb8f,
    0xffffffe6,
    0xff9c6a34,
    0xff733000,
    0xffc99c69,
    0xffbb9569,
    0xffb78d65,
    0xffc8ac89,
    0xffede1c9,
    0xfffcfbee,
    0xfffffffe,
    0xffffffff,
    0xfffffffe,
    0xfff8f6f1,
    0xffe1ceac,
    0xffdbc39e,
    0xfff5efda,
    0xffead9b7,
    0xffdcc49f,
    0xffb8976d,
    0xffc3a780,
    0xfff3e4c7,
    0xffffffff,
    0xfffeffff,
    0xfff9f3d6,
    0xffdbbd8f,
    0xffcea977,
    0xffdcc294,
    0xff91630f,
    0xff917a03,
    0xff757d00,
    0xff7b7e00,
    0xff7f8202,
    0xff808201,
    0xff818403,
    0xff838506,
    0xff828506,
    0xff818207,
    0xff817f07,
    0xff7e7a07,
    0xff7b7904,
    0xff797708,
    0xff757404,
    0xff707306,
    0xff686f01,
    0xff827408,
    0xffc78448,
    0xffa07003,
    0xff806a03,
    0xff506406,
    0xff885612,
    0xffad531c,
    0xff49620c,
    0xff4f6211,
    0xff4d6410,
    0xff50630f,
    0xff4f6110,
    0xff4d5f0f,
    0xff4c5f0e,
    0xff505c0d,
    0xff4f5c0e,
    0xff4f5a0c,
    0xff4d580b,
    0xff4a5509,
    0xff49530e,
    0xff955014,
    0xff8f4e17,
    0xff465711,
    0xff535716,
    0xff565d1c,
    0xff575e1a,
    0xff565f1a,
    0xff5b5f1a,
    0xff5f6218,
    0xff5d6319,
    0xff5e661a,
    0xff626719,
    0xff626817,
    0xff5f6714,
    0xff5d640e,
    0xff58620f,
    0xff556109,
    0xff555f09,
    0xff555e06,
    0xff525b00,
    0xff525b02,
    0xff515800,
    0xff515701,
    0xff505600,
    0xff4f5300,
    0xff4d5100,
    0xff4b5000,
    0xff464f00,
    0xff484d00,
    0xff464901,
    0xff404600,
    0xff404301,
    0xff3d3e01,
    0xff3a3c00,
    0xff383c01,
    0xff363d08,
    0xff363c09,
    0xff373d11,
    0xff383e14,
    0xff374118,
    0xff36401b,
    0xff35401d,
    0xff343f21,
    0xff323f21,
    0xff313e21,
    0xff313e20,
    0xff333e1e,
    0xff343f1c,
    0xff313d15,
    0xff2b370b,
    0xff2a3305,
    0xff293302,
    0xff283100,
    0xff262e00,
    0xff272c00,
    0xff242901,
    0xff232900,
    0xff212900,
    0xff202800,
    0xff1e2400,
    0xff1b2000,
    0xff191d01,
    0xff181801,
    0xff171500,
    0xff111400,
    0xff0e1101,
    0xff0a0d00,
    0xff070b00,
    0xff050800,
    0xff020400,
    0xff010301,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff283c00,
    0xff293d00,
    0xff2b3f00,
    0xff2c4100,
    0xff2f4401,
    0xff324801,
    0xff314c00,
    0xff4c4410,
    0xff5e4019,
    0xff716d23,
    0xff2a4100,
    0xff2d4200,
    0xff2b3e00,
    0xff293c00,
    0xff273801,
    0xff263700,
    0xff213300,
    0xff1c3000,
    0xff192c00,
    0xff152500,
    0xff142100,
    0xff141e00,
    0xff0f1900,
    0xff0e1800,
    0xff091600,
    0xff071401,
    0xff071100,
    0xff050d00,
    0xff060c00,
    0xff040d00,
    0xff050c00,
    0xff080c01,
    0xff080a00,
    0xff040c00,
    0xff060800,
    0xff020a01,
    0xff040800,
    0xff010700,
    0xff010500,
    0xff010600,
    0xff010600,
    0xff020701,
    0xff000701,
    0xff000701,
    0xff020701,
    0xff020701,
    0xff010500,
    0xff010401,
    0xff010300,
    0xff000300,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff0b0301,
    0xff510900,
    0xff340700,
    0xff000200,
    0xff000100,
    0xff020401,
    0xff010300,
    0xff020401,
    0xff020300,
    0xff010400,
    0xff000300,
    0xff010300,
    0xff010401,
    0xff000300,
    0xff000300,
    0xff000300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000100,
    0xff000200,
    0xff030400,
    0xff100800,
    0xff1b0d00,
    0xff1a0d03,
    0xff231504,
    0xff261400,
    0xff291800,
    0xff271600,
    0xff342400,
    0xff382605,
    0xff331f01,
    0xff362000,
    0xff231604,
    0xff271608,
    0xff423026,
    0xff423625,
    0xff96847f,
    0xff140a00,
    0xffb29679,
    0xff675234,
    0xff988e8e,
    0xff595642,
    0xff492e28,
    0xff8d541f,
    0xffa5754b,
    0xffddcdb9,
    0xffffffff,
    0xff906240,
    0xffefe9bf,
    0xffa8856c,
    0xffccb083,
    0xffffffff,
    0xffb58e78,
    0xff8f5920,
    0xffecd8af,
    0xffffffff,
    0xffa27d64,
    0xffe3c38b,
    0xffdac79e,
    0xff662b01,
    0xffaf722a,
    0xffcc9651,
    0xffb67c37,
    0xff9e6321,
    0xff9b642b,
    0xff8c5d2f,
    0xffb88f63,
    0xffcfae8c,
    0xffedd8bd,
    0xfff6eed9,
    0xfff8f6e3,
    0xffdec9af,
    0xffdbc4a1,
    0xffdbc1a0,
    0xfffbf6e7,
    0xffefdec1,
    0xffe3caa8,
    0xffd7b889,
    0xffe5d3b0,
    0xfffdfae9,
    0xffffffff,
    0xfff8ecd0,
    0xffe6d0ad,
    0xffc0956b,
    0xffead3af,
    0xffd4dab1,
    0xff915d00,
    0xff8b7d03,
    0xff7a7f00,
    0xff7e8000,
    0xff7f8102,
    0xff818402,
    0xff818403,
    0xff828305,
    0xff818304,
    0xff818106,
    0xff817e07,
    0xff7e7a06,
    0xff797a04,
    0xff787505,
    0xff757404,
    0xff737204,
    0xff657100,
    0xff9d6d1a,
    0xffb6752f,
    0xff946b06,
    0xff6f6201,
    0xff4c6304,
    0xffb34b13,
    0xff7b4c0c,
    0xff4b5e09,
    0xff505f0e,
    0xff4e610c,
    0xff4d5f0e,
    0xff4c5d0d,
    0xff4c5a0c,
    0xff48570c,
    0xff4a560a,
    0xff4b5809,
    0xff4d570c,
    0xff4b560b,
    0xff495408,
    0xff544f09,
    0xffa55318,
    0xff7d4d15,
    0xff485612,
    0xff515717,
    0xff535b1a,
    0xff565d1a,
    0xff565d1b,
    0xff575e1c,
    0xff59601a,
    0xff5c621b,
    0xff5e641c,
    0xff60661a,
    0xff606618,
    0xff5f6614,
    0xff5f6411,
    0xff565e0f,
    0xff545e0c,
    0xff555e09,
    0xff535c07,
    0xff535c00,
    0xff505902,
    0xff515700,
    0xff505501,
    0xff4f5600,
    0xff4e5300,
    0xff4e5201,
    0xff4d5100,
    0xff4a5100,
    0xff494e01,
    0xff484c00,
    0xff424901,
    0xff414501,
    0xff3c4000,
    0xff3a3c00,
    0xff3a3e02,
    0xff3a3c07,
    0xff373c0a,
    0xff3a3f10,
    0xff394015,
    0xff394418,
    0xff37421a,
    0xff36411d,
    0xff33401f,
    0xff334021,
    0xff324123,
    0xff334222,
    0xff354221,
    0xff37431f,
    0xff323f16,
    0xff2e3a0c,
    0xff2c3507,
    0xff283401,
    0xff2a3200,
    0xff282f01,
    0xff262c01,
    0xff262c00,
    0xff272b00,
    0xff282b01,
    0xff262900,
    0xff222800,
    0xff212501,
    0xff1a1e00,
    0xff171a01,
    0xff171500,
    0xff131400,
    0xff0f1101,
    0xff0a0e00,
    0xff090b00,
    0xff070901,
    0xff030600,
    0xff010300,
    0xff000100,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff283b01,
    0xff273d00,
    0xff293e01,
    0xff2c4000,
    0xff2d4101,
    0xff304500,
    0xff2f4900,
    0xff50530d,
    0xff150000,
    0xff8a722c,
    0xff3a4805,
    0xff2b3d00,
    0xff2a3c00,
    0xff283a01,
    0xff273601,
    0xff233600,
    0xff1f3400,
    0xff1d3000,
    0xff182a00,
    0xff152600,
    0xff142201,
    0xff141f00,
    0xff111c00,
    0xff111b01,
    0xff0f1700,
    0xff091500,
    0xff091201,
    0xff060e00,
    0xff040d00,
    0xff040c00,
    0xff020c00,
    0xff050d00,
    0xff060b00,
    0xff050c00,
    0xff050a01,
    0xff010901,
    0xff020700,
    0xff010700,
    0xff010500,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff010700,
    0xff000700,
    0xff010801,
    0xff010600,
    0xff000500,
    0xff000400,
    0xff020401,
    0xff000300,
    0xff010001,
    0xff000000,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000101,
    0xff090300,
    0xff4b0601,
    0xff340600,
    0xff000100,
    0xff000200,
    0xff000000,
    0xff000100,
    0xff010300,
    0xff020401,
    0xff020301,
    0xff020401,
    0xff010300,
    0xff020301,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010101,
    0xff030500,
    0xff0f0800,
    0xff180d00,
    0xff1b0d01,
    0xff1f1307,
    0xff231200,
    0xff231200,
    0xff2d1e00,
    0xff876b18,
    0xff5c3623,
    0xff442c04,
    0xff372203,
    0xff201207,
    0xff4f3a2b,
    0xff3a2925,
    0xff4e4535,
    0xff635755,
    0xff49361b,
    0xff3e2d1c,
    0xff695a34,
    0xff868189,
    0xff72593e,
    0xff63320e,
    0xff9a5c1e,
    0xffd2b897,
    0xffffffff,
    0xffbd9c8e,
    0xffe6dcb9,
    0xffd8c1ad,
    0xffbe9f75,
    0xffffffff,
    0xffb4825d,
    0xffbc945a,
    0xffffffed,
    0xfff7f8fa,
    0xff93694a,
    0xffe8cf93,
    0xffa0835d,
    0xff6d2800,
    0xffb38d49,
    0xfffcfbe2,
    0xfff1e4c0,
    0xffeecfa0,
    0xffd1ac74,
    0xffcaa064,
    0xff90642c,
    0xff8b5318,
    0xff996529,
    0xff8d5d2c,
    0xffc29a74,
    0xffe8d2b0,
    0xffbe976b,
    0xffcaad83,
    0xffddc29e,
    0xfffdf9ed,
    0xffedd9be,
    0xffd5b98c,
    0xffd7c299,
    0xfffefbe9,
    0xffffffff,
    0xfffdffff,
    0xfffffff7,
    0xffd7b885,
    0xffa47947,
    0xfff9f3da,
    0xff767902,
    0xff9e6509,
    0xff897f03,
    0xff7e8301,
    0xff7f8201,
    0xff7f8302,
    0xff818401,
    0xff808302,
    0xff818403,
    0xff818303,
    0xff818003,
    0xff807e07,
    0xff7d7a05,
    0xff7a7804,
    0xff787504,
    0xff757503,
    0xff727203,
    0xff657200,
    0xffc26125,
    0xff9e6916,
    0xff9d7313,
    0xff615d00,
    0xff496003,
    0xffd74c1b,
    0xff8b6f16,
    0xff445707,
    0xff4c5d0b,
    0xff4c5f0c,
    0xff4a5b0b,
    0xff4a5a09,
    0xff495609,
    0xff47540a,
    0xff44540a,
    0xff48540a,
    0xff4b550b,
    0xff495508,
    0xff455306,
    0xff63500c,
    0xffb25119,
    0xff694e11,
    0xff4a5612,
    0xff505517,
    0xff535a1b,
    0xff555b1a,
    0xff535919,
    0xff555b1c,
    0xff575d1b,
    0xff595f1d,
    0xff5a621d,
    0xff61641b,
    0xff606418,
    0xff5d6415,
    0xff5b6312,
    0xff575f10,
    0xff535d0e,
    0xff525b08,
    0xff515a06,
    0xff525a03,
    0xff4f5802,
    0xff515601,
    0xff4f5501,
    0xff4c5500,
    0xff4f5300,
    0xff4c5300,
    0xff4e5201,
    0xff4d5200,
    0xff4b4f00,
    0xff4a4e00,
    0xff444a00,
    0xff404600,
    0xff3f4200,
    0xff3b3d00,
    0xff393d00,
    0xff383f07,
    0xff383f0c,
    0xff39410e,
    0xff394317,
    0xff3a4419,
    0xff3a441c,
    0xff35431d,
    0xff354220,
    0xff334322,
    0xff344325,
    0xff364524,
    0xff374427,
    0xff364422,
    0xff344119,
    0xff2e3b0f,
    0xff2a3607,
    0xff293402,
    0xff283200,
    0xff272e01,
    0xff272c01,
    0xff272d00,
    0xff272d00,
    0xff262d01,
    0xff272c01,
    0xff252901,
    0xff232700,
    0xff1e2401,
    0xff171c00,
    0xff171800,
    0xff131500,
    0xff111201,
    0xff0d0d01,
    0xff0a0c00,
    0xff090901,
    0xff040600,
    0xff020400,
    0xff020400,
    0xff010300,
    0xff000201,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff273b00,
    0xff273b00,
    0xff273c00,
    0xff273e00,
    0xff283f00,
    0xff2b4200,
    0xff304501,
    0xff2e4800,
    0xff2e3202,
    0xff40200c,
    0xff454705,
    0xff273d00,
    0xff293a01,
    0xff263901,
    0xff253700,
    0xff243500,
    0xff1e3200,
    0xff1b2e00,
    0xff172900,
    0xff162500,
    0xff142201,
    0xff122000,
    0xff111e00,
    0xff0f1b01,
    0xff0d1800,
    0xff0a1600,
    0xff091500,
    0xff061100,
    0xff040e00,
    0xff040c00,
    0xff050c00,
    0xff070b00,
    0xff070b00,
    0xff050c00,
    0xff020a01,
    0xff010800,
    0xff020700,
    0xff010700,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff000600,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000600,
    0xff010501,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000201,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff090200,
    0xff460602,
    0xff320501,
    0xff000100,
    0xff000000,
    0xff101400,
    0xff181a00,
    0xff000301,
    0xff010300,
    0xff010300,
    0xff020401,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010301,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000300,
    0xff010100,
    0xff030400,
    0xff0b0801,
    0xff140b00,
    0xff1b0e00,
    0xff201307,
    0xff211000,
    0xff1f1100,
    0xff836d11,
    0xffc8915a,
    0xff6e402c,
    0xff442c01,
    0xff342006,
    0xff130602,
    0xff4b3326,
    0xff463a36,
    0xff665a42,
    0xff2d201d,
    0xff927b5a,
    0xff36260b,
    0xffbda58a,
    0xff4f4637,
    0xff5b3a2e,
    0xffdd9f57,
    0xffbda37f,
    0xfff4f1e2,
    0xffd3bfb5,
    0xffdec8a2,
    0xfff5efe7,
    0xffd2b89a,
    0xfff4f1ed,
    0xffb1825a,
    0xffcdb383,
    0xffffffff,
    0xfff7f4f2,
    0xff895a2f,
    0xffe4c285,
    0xff95663a,
    0xff834108,
    0xffd8c28e,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffcfffb,
    0xfff8f4e3,
    0xfff7f0d5,
    0xffe3caa0,
    0xffc0a16b,
    0xffc29e60,
    0xffab7c36,
    0xff976325,
    0xffb28047,
    0xffd0a36c,
    0xffbd8f61,
    0xffc69f71,
    0xffefdfbc,
    0xffe2cba5,
    0xffd6b588,
    0xffdfc29c,
    0xfff5f1df,
    0xfffcfdf2,
    0xfffbfbf1,
    0xfff1e4c6,
    0xffccab7d,
    0xfff3d8b6,
    0xffe8eed6,
    0xff756e00,
    0xffa4680e,
    0xff858000,
    0xff808304,
    0xff828303,
    0xff828203,
    0xff808203,
    0xff818201,
    0xff808304,
    0xff818302,
    0xff7f7f03,
    0xff7e7c04,
    0xff7c7804,
    0xff7a7b06,
    0xff787703,
    0xff747500,
    0xff717400,
    0xff6b7200,
    0xffdf5028,
    0xff9a7017,
    0xff9d6e1c,
    0xff566100,
    0xff545803,
    0xfff0783b,
    0xfff6cd48,
    0xff6e6c17,
    0xff475a06,
    0xff495d0a,
    0xff475808,
    0xff45550a,
    0xff415509,
    0xff465306,
    0xff445207,
    0xff455306,
    0xff475307,
    0xff485206,
    0xff435109,
    0xff744d10,
    0xffb44d17,
    0xff4f4f0f,
    0xff4c5414,
    0xff505618,
    0xff4f591a,
    0xff54581b,
    0xff53581a,
    0xff53591b,
    0xff565c1c,
    0xff575d1b,
    0xff575f1d,
    0xff59621c,
    0xff5c6319,
    0xff5d6218,
    0xff576011,
    0xff545d0d,
    0xff515b0c,
    0xff525908,
    0xff525707,
    0xff4e5805,
    0xff4d5500,
    0xff4f5500,
    0xff4d5300,
    0xff4a5200,
    0xff4d5300,
    0xff4e5200,
    0xff4a5200,
    0xff4a5101,
    0xff494f01,
    0xff494f01,
    0xff464b00,
    0xff404a00,
    0xff404300,
    0xff393f01,
    0xff3a3d00,
    0xff3c4007,
    0xff3b400b,
    0xff3c410e,
    0xff3c4414,
    0xff3e4616,
    0xff374418,
    0xff35441d,
    0xff35431f,
    0xff344321,
    0xff374325,
    0xff374327,
    0xff374428,
    0xff364423,
    0xff35431c,
    0xff2e3c12,
    0xff2d3807,
    0xff2c3400,
    0xff283100,
    0xff272d00,
    0xff272d00,
    0xff292f00,
    0xff2c2f01,
    0xff282f01,
    0xff282e01,
    0xff262d00,
    0xff252a01,
    0xff212800,
    0xff1d2100,
    0xff171901,
    0xff151400,
    0xff121200,
    0xff0d0e02,
    0xff090c00,
    0xff080a00,
    0xff060901,
    0xff050801,
    0xff040700,
    0xff030500,
    0xff010301,
    0xff000100,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff263901,
    0xff253800,
    0xff263a01,
    0xff263b00,
    0xff263c00,
    0xff283e01,
    0xff2b3e00,
    0xff2b3f00,
    0xff2b4400,
    0xff342208,
    0xff2b3802,
    0xff263d00,
    0xff273801,
    0xff273800,
    0xff233600,
    0xff243401,
    0xff1f3100,
    0xff182d00,
    0xff182900,
    0xff172501,
    0xff142200,
    0xff121f00,
    0xff111e01,
    0xff111a00,
    0xff0f1801,
    0xff0a1601,
    0xff091501,
    0xff061100,
    0xff050f00,
    0xff050c00,
    0xff040d01,
    0xff050b01,
    0xff060c01,
    0xff040b00,
    0xff040a00,
    0xff010801,
    0xff000800,
    0xff010700,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010601,
    0xff020701,
    0xff010600,
    0xff000600,
    0xff010400,
    0xff020301,
    0xff000200,
    0xff010300,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff080300,
    0xff450401,
    0xff320401,
    0xff000000,
    0xff2c2b00,
    0xff886b18,
    0xff67491c,
    0xff0d1000,
    0xff000100,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010200,
    0xff000300,
    0xff010100,
    0xff020200,
    0xff090600,
    0xff140900,
    0xff1a0e00,
    0xff1a0e01,
    0xff1e1006,
    0xff524000,
    0xffca984c,
    0xffd29d6f,
    0xff4c2d10,
    0xff2c1b00,
    0xff221304,
    0xff100a02,
    0xff5c4638,
    0xff3b2f26,
    0xff766655,
    0xff291c0c,
    0xff947b60,
    0xff785f37,
    0xff6a5a48,
    0xff260f10,
    0xffc29764,
    0xffc28843,
    0xffede4d0,
    0xffece5df,
    0xffbd9264,
    0xfffafbed,
    0xffa7835a,
    0xfff0e6d9,
    0xffb17c53,
    0xfff7f0c2,
    0xffffffff,
    0xffbfa593,
    0xffb9915f,
    0xffe6c592,
    0xff7f4e1c,
    0xff965f18,
    0xffc4924d,
    0xfffffff6,
    0xffffffff,
    0xfffefffd,
    0xfffffffc,
    0xfffffffe,
    0xffffffff,
    0xffffffff,
    0xfffcfcf5,
    0xfffffff4,
    0xfffaf2d2,
    0xfff2e1bb,
    0xffbe9c6d,
    0xffc79e6d,
    0xffa57942,
    0xffb18344,
    0xffbe8c47,
    0xffd8ad6f,
    0xffd7b477,
    0xffd5aa6c,
    0xffcea669,
    0xffe4cba6,
    0xfffdfbe9,
    0xfffefbe6,
    0xfff9ebcb,
    0xffc49f6c,
    0xffeed7c0,
    0xffb7c082,
    0xff7c6e00,
    0xffa7680d,
    0xff818300,
    0xff818405,
    0xff828405,
    0xff818203,
    0xff828304,
    0xff818302,
    0xff818203,
    0xff817f02,
    0xff7f7d03,
    0xff7d7b02,
    0xff7b7a02,
    0xff7b7403,
    0xff767702,
    0xff747500,
    0xff707600,
    0xff846f03,
    0xffd64920,
    0xffa1701b,
    0xff94691a,
    0xff526300,
    0xff745204,
    0xfff57734,
    0xff9c6224,
    0xff878027,
    0xff425704,
    0xff455907,
    0xff455605,
    0xff425505,
    0xff425308,
    0xff42520a,
    0xff445208,
    0xff435104,
    0xff445106,
    0xff454f06,
    0xff414e0a,
    0xff884d0f,
    0xffaa4916,
    0xff464d0e,
    0xff4c5214,
    0xff4c5417,
    0xff4e5819,
    0xff535519,
    0xff525718,
    0xff50571b,
    0xff52561d,
    0xff53591b,
    0xff565d1d,
    0xff585e1d,
    0xff57611b,
    0xff575e19,
    0xff535d12,
    0xff525a10,
    0xff50570e,
    0xff4e5508,
    0xff4d5405,
    0xff4d5601,
    0xff4c5401,
    0xff4c5400,
    0xff495200,
    0xff485201,
    0xff495000,
    0xff4c5001,
    0xff495001,
    0xff495001,
    0xff484e01,
    0xff474e00,
    0xff464d00,
    0xff434800,
    0xff3e4500,
    0xff3a3e00,
    0xff3a3d01,
    0xff3d3f01,
    0xff3c4109,
    0xff3d410f,
    0xff3c4411,
    0xff3b4615,
    0xff3b4618,
    0xff37421d,
    0xff36451d,
    0xff334320,
    0xff344223,
    0xff344625,
    0xff364523,
    0xff364522,
    0xff34431b,
    0xff2f3d0d,
    0xff2c3706,
    0xff2c3400,
    0xff293001,
    0xff262e00,
    0xff292f02,
    0xff2b3100,
    0xff2c3000,
    0xff2b3000,
    0xff282f00,
    0xff282d00,
    0xff272c01,
    0xff242901,
    0xff202400,
    0xff181c00,
    0xff161400,
    0xff101302,
    0xff0d0f01,
    0xff090c00,
    0xff090d00,
    0xff080d00,
    0xff070b00,
    0xff060901,
    0xff040600,
    0xff020400,
    0xff000201,
    0xff010001,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff253700,
    0xff233800,
    0xff233800,
    0xff233800,
    0xff243901,
    0xff243900,
    0xff253b00,
    0xff2a3c00,
    0xff273f00,
    0xff302d04,
    0xff363709,
    0xff263b00,
    0xff253a01,
    0xff243600,
    0xff223600,
    0xff1f3201,
    0xff1c3001,
    0xff192b01,
    0xff182700,
    0xff142400,
    0xff162201,
    0xff112101,
    0xff131d00,
    0xff121a01,
    0xff0f1900,
    0xff0b1800,
    0xff0c1500,
    0xff0a1400,
    0xff061101,
    0xff040e00,
    0xff070e00,
    0xff0a0d01,
    0xff020b00,
    0xff030a02,
    0xff030a00,
    0xff010801,
    0xff020801,
    0xff020700,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff020701,
    0xff020701,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010200,
    0xff000200,
    0xff010301,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000001,
    0xff080101,
    0xff450401,
    0xff2a0100,
    0xff1a1d00,
    0xff8e752d,
    0xffb9845b,
    0xff885a3b,
    0xff171500,
    0xff000000,
    0xff020200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000300,
    0xff020300,
    0xff090600,
    0xff120b00,
    0xff180e01,
    0xff1a0e00,
    0xff1c0f04,
    0xff815c0c,
    0xffd0935e,
    0xffa37b38,
    0xff271001,
    0xff271500,
    0xff140800,
    0xff34240f,
    0xff58443a,
    0xff433324,
    0xff736760,
    0xff5d4d31,
    0xff554134,
    0xff756043,
    0xff2b241f,
    0xff461f0f,
    0xffb06319,
    0xffdbc59d,
    0xfffcfafb,
    0xffa47553,
    0xfffcfae4,
    0xffb38b6a,
    0xffeac899,
    0xffb78851,
    0xffffffe5,
    0xffebe5dd,
    0xff9a7144,
    0xffd0a96f,
    0xff76593d,
    0xff5f2c00,
    0xff874d03,
    0xffa97830,
    0xffa87c3c,
    0xffb2854f,
    0xffe8d8bf,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffffff1,
    0xffe9d7b7,
    0xffaf885a,
    0xffcbaa80,
    0xffc4a375,
    0xffe4ca9c,
    0xffdbbc8f,
    0xffcba677,
    0xffcfb080,
    0xffd5af78,
    0xffe8ce96,
    0xfff6eec8,
    0xfffcfcdb,
    0xfff9ebc2,
    0xffd8b380,
    0xffb9915e,
    0xffd1b292,
    0xff848f1f,
    0xff856f00,
    0xffa36909,
    0xff7f8203,
    0xff808304,
    0xff838405,
    0xff838205,
    0xff827f05,
    0xff817f03,
    0xff7f8101,
    0xff7f7d01,
    0xff7d7b04,
    0xff7a7802,
    0xff7a7901,
    0xff7b7503,
    0xff757503,
    0xff757402,
    0xff6f7600,
    0xffb3600b,
    0xffb94910,
    0xffab6c15,
    0xff81660c,
    0xff506401,
    0xffa04e06,
    0xffca5d11,
    0xff7f4a15,
    0xff746b0c,
    0xff415503,
    0xff435604,
    0xff415303,
    0xff3e5307,
    0xff3f5205,
    0xff3e5106,
    0xff424f03,
    0xff425003,
    0xff3f4f04,
    0xff3f4b07,
    0xff444908,
    0xff9b4811,
    0xff944714,
    0xff3e4e0d,
    0xff484e13,
    0xff4c5117,
    0xff4e5418,
    0xff505519,
    0xff4e5518,
    0xff4f551a,
    0xff4f531b,
    0xff51571b,
    0xff525a19,
    0xff565b1a,
    0xff545d1b,
    0xff515b16,
    0xff505914,
    0xff505713,
    0xff50540d,
    0xff4e5307,
    0xff4b5204,
    0xff4b5202,
    0xff4a5100,
    0xff4a5000,
    0xff474f00,
    0xff464e00,
    0xff484f01,
    0xff464d00,
    0xff454d01,
    0xff454e00,
    0xff454e00,
    0xff454c00,
    0xff464a01,
    0xff414800,
    0xff404601,
    0xff3e4101,
    0xff3a4000,
    0xff3d4001,
    0xff3d4105,
    0xff3e400c,
    0xff3c4510,
    0xff3b4714,
    0xff3b4616,
    0xff37451b,
    0xff34421d,
    0xff2f421f,
    0xff324122,
    0xff354223,
    0xff324520,
    0xff36431c,
    0xff303f13,
    0xff2f3a0a,
    0xff293402,
    0xff283200,
    0xff262f00,
    0xff252d00,
    0xff2a2e00,
    0xff2b3300,
    0xff2d3100,
    0xff2d3100,
    0xff2b3200,
    0xff2b2f00,
    0xff282f00,
    0xff282a01,
    0xff242700,
    0xff1c2201,
    0xff161801,
    0xff111200,
    0xff0f0f01,
    0xff0e0f01,
    0xff0e0f02,
    0xff0d0f01,
    0xff0b0c00,
    0xff080b01,
    0xff050801,
    0xff030500,
    0xff020400,
    0xff000200,
    0xff000201,
    0xff010201,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff253600,
    0xff223700,
    0xff223700,
    0xff223600,
    0xff1f3600,
    0xff223600,
    0xff233700,
    0xff243900,
    0xff243c01,
    0xff2e3300,
    0xff3e2804,
    0xff243c00,
    0xff253900,
    0xff243600,
    0xff203300,
    0xff1e3001,
    0xff1b2e00,
    0xff192a00,
    0xff172700,
    0xff152500,
    0xff152100,
    0xff122001,
    0xff131e00,
    0xff101d01,
    0xff111a01,
    0xff0e1800,
    0xff0e1700,
    0xff0a1500,
    0xff061301,
    0xff071101,
    0xff151601,
    0xff1d1901,
    0xff141501,
    0xff040800,
    0xff010b00,
    0xff020901,
    0xff040700,
    0xff020701,
    0xff000600,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff010500,
    0xff010200,
    0xff010300,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000001,
    0xff070100,
    0xff440400,
    0xff290000,
    0xff675a11,
    0xffb08565,
    0xffa77f46,
    0xff60490a,
    0xff050800,
    0xff000000,
    0xff000100,
    0xff000200,
    0xff000200,
    0xff010200,
    0xff030501,
    0xff010100,
    0xff000300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000301,
    0xff060500,
    0xff100a00,
    0xff160d00,
    0xff1b0e00,
    0xff1d1206,
    0xff6b4709,
    0xffa47631,
    0xff432804,
    0xff2a1802,
    0xff241300,
    0xff1d1008,
    0xff68503d,
    0xff261917,
    0xff5b4e3d,
    0xff443630,
    0xff7c6b53,
    0xff462d1e,
    0xff201305,
    0xff1d0908,
    0xffaa672e,
    0xff925522,
    0xfffffffa,
    0xffb08b7d,
    0xffecdfb7,
    0xffcdb09b,
    0xffe1bc8c,
    0xffba9a69,
    0xffffffff,
    0xffc0a88c,
    0xff9d6833,
    0xff967245,
    0xff441200,
    0xff5e2400,
    0xff986428,
    0xffb98b3e,
    0xffbe8933,
    0xff91590e,
    0xff926027,
    0xff99744d,
    0xffbea583,
    0xffc5c2b3,
    0xffbcbeb8,
    0xffa6a69f,
    0xffaca49b,
    0xffa79e92,
    0xffa69d8f,
    0xffbca47c,
    0xff9e8b72,
    0xff806045,
    0xffb49074,
    0xffebcead,
    0xffd8bb8a,
    0xffc2a576,
    0xffdec499,
    0xffcaab7f,
    0xffecdbb6,
    0xfffbfbee,
    0xffffffff,
    0xfffefffd,
    0xfffffde7,
    0xffbb8947,
    0xffb68754,
    0xff735a2a,
    0xff778000,
    0xff8a6b03,
    0xff9e6c08,
    0xff7e8004,
    0xff808205,
    0xff828204,
    0xff818003,
    0xff817f03,
    0xff837e03,
    0xff7f7c04,
    0xff7f7b03,
    0xff7c7902,
    0xff7c7903,
    0xff7b7703,
    0xff767501,
    0xff757301,
    0xff747200,
    0xff6c7800,
    0xffe05218,
    0xffa35307,
    0xffb56711,
    0xff6e6503,
    0xff4f6600,
    0xffd3440a,
    0xff875c0b,
    0xff8c5318,
    0xff7c6d03,
    0xff3e5103,
    0xff415402,
    0xff3e5103,
    0xff3b5005,
    0xff3d5104,
    0xff3c4f03,
    0xff404c05,
    0xff3f4c02,
    0xff3e4b03,
    0xff3a4903,
    0xff4e4607,
    0xffae4813,
    0xff73470e,
    0xff3e4d0f,
    0xff464d12,
    0xff484e14,
    0xff4a5115,
    0xff4b5116,
    0xff4d5018,
    0xff4e5318,
    0xff4c5319,
    0xff4e5319,
    0xff50561a,
    0xff51591a,
    0xff515817,
    0xff525817,
    0xff525615,
    0xff4d5311,
    0xff49510d,
    0xff4a5206,
    0xff4b5204,
    0xff495102,
    0xff484f01,
    0xff484f01,
    0xff454e00,
    0xff454c00,
    0xff454c00,
    0xff464d00,
    0xff464d00,
    0xff454d00,
    0xff444b00,
    0xff444a00,
    0xff434a00,
    0xff434801,
    0xff414800,
    0xff404300,
    0xff3d4200,
    0xff3c4300,
    0xff3e4403,
    0xff3d440a,
    0xff3d4510,
    0xff3c4511,
    0xff3b4716,
    0xff37451b,
    0xff33431b,
    0xff31401e,
    0xff31411e,
    0xff303f1e,
    0xff2e401c,
    0xff2e3d14,
    0xff2c3a0b,
    0xff2a3405,
    0xff283200,
    0xff263000,
    0xff262e00,
    0xff272f01,
    0xff2b2f01,
    0xff2c3300,
    0xff2f3300,
    0xff2f3301,
    0xff2e3300,
    0xff2c3200,
    0xff283000,
    0xff282c01,
    0xff272701,
    0xff212401,
    0xff1b1d00,
    0xff141500,
    0xff121300,
    0xff111301,
    0xff101301,
    0xff0e1201,
    0xff0b0d00,
    0xff080b01,
    0xff060901,
    0xff030600,
    0xff020400,
    0xff020401,
    0xff000200,
    0xff010201,
    0xff000101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff253800,
    0xff223700,
    0xff1f3600,
    0xff213500,
    0xff213500,
    0xff213500,
    0xff213600,
    0xff223700,
    0xff213800,
    0xff283400,
    0xff4c1f03,
    0xff223900,
    0xff243600,
    0xff233401,
    0xff1e3201,
    0xff1c3001,
    0xff182c00,
    0xff172900,
    0xff172700,
    0xff162601,
    0xff152501,
    0xff152300,
    0xff132100,
    0xff111e00,
    0xff111c00,
    0xff101901,
    0xff0d1800,
    0xff091700,
    0xff071400,
    0xff121600,
    0xff251e00,
    0xff342800,
    0xff342601,
    0xff161200,
    0xff030901,
    0xff020b01,
    0xff020800,
    0xff000701,
    0xff000801,
    0xff010600,
    0xff010600,
    0xff010601,
    0xff020701,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff000501,
    0xff000400,
    0xff000200,
    0xff010300,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000001,
    0xff050100,
    0xff3f0100,
    0xff471d00,
    0xff97763a,
    0xff9e734b,
    0xff433400,
    0xff080600,
    0xff000000,
    0xff000200,
    0xff010200,
    0xff010100,
    0xff020300,
    0xff150900,
    0xff140900,
    0xff0c0601,
    0xff000100,
    0xff000300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff080400,
    0xff0f0b00,
    0xff130b01,
    0xff190e00,
    0xff170c01,
    0xff3c2505,
    0xff4a2c10,
    0xff231007,
    0xff221300,
    0xff221201,
    0xff1f1005,
    0xff4f3528,
    0xff1a100a,
    0xff7b6952,
    0xff130700,
    0xff736454,
    0xff332017,
    0xff25170f,
    0xff774626,
    0xff8f480a,
    0xffecdfba,
    0xffdccabc,
    0xffddcaa1,
    0xffe4d7c3,
    0xffddb989,
    0xffe4d4b3,
    0xfffffff7,
    0xffa37a5d,
    0xff7c4c21,
    0xff48220f,
    0xff481600,
    0xff996b39,
    0xffb8a069,
    0xfff0e0a6,
    0xffc08f55,
    0xffb07d30,
    0xff996717,
    0xff7f4e17,
    0xff5b3314,
    0xff5a350d,
    0xff76491a,
    0xff532401,
    0xff5f3009,
    0xff4b2300,
    0xff8e541b,
    0xff421900,
    0xff2c0d00,
    0xff4b2700,
    0xff320f00,
    0xff693d0d,
    0xff875b26,
    0xff9f7654,
    0xffc8a782,
    0xffbc9f77,
    0xffc3a67d,
    0xfffffff8,
    0xfffcfdfb,
    0xffffffff,
    0xffffffff,
    0xfff5eccd,
    0xffb8925c,
    0xffbc9163,
    0xff877e29,
    0xff757d00,
    0xff916306,
    0xff996d07,
    0xff7e8005,
    0xff827f06,
    0xff828005,
    0xff807f04,
    0xff807e02,
    0xff807b03,
    0xff7f7a05,
    0xff807a04,
    0xff7d7802,
    0xff7b7601,
    0xff7a7302,
    0xff747400,
    0xff747100,
    0xff707000,
    0xff7a7500,
    0xffeb4819,
    0xffa06004,
    0xffb56009,
    0xff616500,
    0xff576500,
    0xffec390c,
    0xff75641a,
    0xffa95b32,
    0xff856e05,
    0xff3b5300,
    0xff3e5100,
    0xff3e4e00,
    0xff3e4b00,
    0xff3e4b01,
    0xff3d4c01,
    0xff3e4b03,
    0xff3b4701,
    0xff384802,
    0xff364503,
    0xff644409,
    0xffb84814,
    0xff544809,
    0xff404c0e,
    0xff444d10,
    0xff454e12,
    0xff464e12,
    0xff464f15,
    0xff485015,
    0xff4b5016,
    0xff4c5016,
    0xff4c5117,
    0xff4d5318,
    0xff4f551a,
    0xff505619,
    0xff4f5416,
    0xff4d5112,
    0xff485011,
    0xff444e0a,
    0xff464e09,
    0xff494f03,
    0xff464e01,
    0xff434d00,
    0xff474d00,
    0xff424b00,
    0xff424a00,
    0xff444900,
    0xff444b01,
    0xff454b00,
    0xff454d00,
    0xff454a00,
    0xff424b01,
    0xff424a01,
    0xff444a00,
    0xff444a00,
    0xff434702,
    0xff414301,
    0xff3f4300,
    0xff3e4402,
    0xff3e4607,
    0xff3e460b,
    0xff3d4610,
    0xff3e4514,
    0xff384416,
    0xff344119,
    0xff31411b,
    0xff313e1c,
    0xff2d3d1d,
    0xff2d3b19,
    0xff2b3b11,
    0xff27380b,
    0xff283205,
    0xff293000,
    0xff272f01,
    0xff272e01,
    0xff272f00,
    0xff2a3101,
    0xff2e3400,
    0xff2e3400,
    0xff303502,
    0xff2d3501,
    0xff2f3200,
    0xff2b2f00,
    0xff282d01,
    0xff272901,
    0xff222500,
    0xff201f00,
    0xff1b1a00,
    0xff151600,
    0xff151601,
    0xff131300,
    0xff0f1300,
    0xff0c0e00,
    0xff090c00,
    0xff070a00,
    0xff050800,
    0xff030500,
    0xff020400,
    0xff010300,
    0xff000301,
    0xff000201,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff253701,
    0xff233600,
    0xff203500,
    0xff1e3400,
    0xff1d3500,
    0xff1f3400,
    0xff1d3500,
    0xff1f3500,
    0xff203601,
    0xff213400,
    0xff511901,
    0xff1f3800,
    0xff203500,
    0xff203400,
    0xff1d3101,
    0xff192b00,
    0xff192a00,
    0xff172701,
    0xff162600,
    0xff162601,
    0xff162601,
    0xff142400,
    0xff142200,
    0xff122000,
    0xff101e00,
    0xff0f1b00,
    0xff0f1900,
    0xff0b1800,
    0xff071300,
    0xff1b1a00,
    0xff342901,
    0xff433001,
    0xff463100,
    0xff312301,
    0xff0a0900,
    0xff010800,
    0xff010700,
    0xff020601,
    0xff000800,
    0xff000301,
    0xff000501,
    0xff010701,
    0xff010601,
    0xff000600,
    0xff010500,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff000300,
    0xff010200,
    0xff010300,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000001,
    0xff060101,
    0xff3d0000,
    0xff6f3e0a,
    0xff986742,
    0xff624414,
    0xff0c0500,
    0xff000001,
    0xff010101,
    0xff010201,
    0xff000100,
    0xff000000,
    0xff120801,
    0xff200800,
    0xff260d00,
    0xff291000,
    0xff090300,
    0xff000100,
    0xff000300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff050400,
    0xff0e0800,
    0xff130a01,
    0xff180d01,
    0xff1c0c00,
    0xff270e04,
    0xff451a0f,
    0xff190902,
    0xff1f0f00,
    0xff201001,
    0xff2f2013,
    0xff4d3127,
    0xff110904,
    0xff857165,
    0xff1c0f00,
    0xff7a624f,
    0xff362b14,
    0xff3a1c12,
    0xffb06a24,
    0xffa17442,
    0xfffffff6,
    0xffa2744a,
    0xfffcfcef,
    0xffe0c595,
    0xffede2c3,
    0xfff1e4d1,
    0xff8a5b37,
    0xff4f240c,
    0xff360d00,
    0xff5f3009,
    0xffa17037,
    0xffae8041,
    0xffc09657,
    0xffbc8940,
    0xffa1672d,
    0xff98601d,
    0xff804d10,
    0xff633608,
    0xff70461a,
    0xff895922,
    0xff573415,
    0xff412408,
    0xff724c24,
    0xff57381b,
    0xff503419,
    0xff382316,
    0xff56330e,
    0xffa77c36,
    0xffca9a51,
    0xffc89b42,
    0xffa67b22,
    0xff754b0e,
    0xff5f371a,
    0xffa38263,
    0xffac895c,
    0xfff6efd4,
    0xffffffff,
    0xfffffefd,
    0xffffffff,
    0xffe8d1ae,
    0xffe2c497,
    0xffeae0b6,
    0xff737a02,
    0xff777a00,
    0xff965e05,
    0xff946f07,
    0xff7f7f07,
    0xff828007,
    0xff828007,
    0xff807f07,
    0xff807d06,
    0xff807b04,
    0xff7f7a05,
    0xff7e7b04,
    0xff7b7702,
    0xff7a7403,
    0xff777200,
    0xff757200,
    0xff727001,
    0xff6c7000,
    0xff9d6d09,
    0xffd64410,
    0xffa95e02,
    0xffcb8925,
    0xff5a6700,
    0xff745f01,
    0xffd73808,
    0xff947328,
    0xffce884c,
    0xff605c00,
    0xff3d5500,
    0xff3d5000,
    0xff3a4d00,
    0xff384b01,
    0xff374a00,
    0xff384901,
    0xff364801,
    0xff394500,
    0xff364401,
    0xff344201,
    0xff814006,
    0xffb64713,
    0xff3e4706,
    0xff404c0c,
    0xff444c0e,
    0xff454d11,
    0xff444c10,
    0xff464e13,
    0xff474f14,
    0xff495015,
    0xff4a5016,
    0xff4c5016,
    0xff495217,
    0xff4b5317,
    0xff4a5217,
    0xff4c5215,
    0xff484f12,
    0xff444d0f,
    0xff454b0a,
    0xff454d09,
    0xff444d04,
    0xff424c01,
    0xff434c00,
    0xff444a00,
    0xff414900,
    0xff414700,
    0xff434901,
    0xff424901,
    0xff434801,
    0xff444b01,
    0xff434a00,
    0xff424b01,
    0xff424a00,
    0xff424900,
    0xff434900,
    0xff414a02,
    0xff424800,
    0xff3f4601,
    0xff3e4501,
    0xff3e4704,
    0xff3d4608,
    0xff3d470e,
    0xff3c4613,
    0xff384415,
    0xff354217,
    0xff32401a,
    0xff303d1a,
    0xff2e3b1b,
    0xff2c3917,
    0xff2c3610,
    0xff28370c,
    0xff293404,
    0xff2a3300,
    0xff283000,
    0xff293100,
    0xff2b3200,
    0xff2d3500,
    0xff303500,
    0xff323701,
    0xff303600,
    0xff2f3500,
    0xff2f3301,
    0xff2b2f00,
    0xff2a2c00,
    0xff272a01,
    0xff242600,
    0xff1f2200,
    0xff1d1d00,
    0xff171801,
    0xff131601,
    0xff111600,
    0xff0f1300,
    0xff0c0e01,
    0xff0a0d01,
    0xff070a00,
    0xff060801,
    0xff040801,
    0xff020400,
    0xff010300,
    0xff010300,
    0xff010301,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff233b00,
    0xff233700,
    0xff1f3600,
    0xff1d3500,
    0xff1c3300,
    0xff1b3200,
    0xff1c3200,
    0xff1c3200,
    0xff1c3300,
    0xff1b3500,
    0xff511300,
    0xff203401,
    0xff1e3201,
    0xff1e3101,
    0xff1b2e00,
    0xff172a01,
    0xff152800,
    0xff152701,
    0xff152500,
    0xff172701,
    0xff162500,
    0xff152501,
    0xff142400,
    0xff122100,
    0xff121f00,
    0xff101e00,
    0xff111c01,
    0xff0d1800,
    0xff081401,
    0xff211e00,
    0xff402f01,
    0xff513901,
    0xff553b00,
    0xff493200,
    0xff241901,
    0xff010601,
    0xff010600,
    0xff020501,
    0xff000300,
    0xff101500,
    0xff091000,
    0xff000500,
    0xff000701,
    0xff000700,
    0xff010500,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000300,
    0xff010200,
    0xff010300,
    0xff010101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000001,
    0xff060100,
    0xff3d0200,
    0xff71340f,
    0xff73451f,
    0xff241100,
    0xff010100,
    0xff000100,
    0xff010101,
    0xff010202,
    0xff010101,
    0xff000001,
    0xff200900,
    0xff351104,
    0xff583007,
    0xff562e05,
    0xff271702,
    0xff000000,
    0xff000300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff050400,
    0xff0d0800,
    0xff140b00,
    0xff170c01,
    0xff1a0d00,
    0xff290f06,
    0xff4c1408,
    0xff402902,
    0xff433101,
    0xff160a00,
    0xff1e110a,
    0xff4d312a,
    0xff110500,
    0xff7a655a,
    0xff43301a,
    0xff44341b,
    0xff49372f,
    0xff955f2c,
    0xff7b2f00,
    0xfffbf5d0,
    0xffbe9f89,
    0xffecd9a9,
    0xffdbc19f,
    0xffffffe7,
    0xffdcc2a6,
    0xff75482d,
    0xff4f2811,
    0xff563310,
    0xff99652a,
    0xffbb873f,
    0xffbf853a,
    0xffac7232,
    0xff905a28,
    0xff6c3410,
    0xff8b4e17,
    0xffac6e2e,
    0xffbe823f,
    0xffdba956,
    0xffa47b3b,
    0xff815b29,
    0xff190805,
    0xff6c4720,
    0xff75532e,
    0xff3b210e,
    0xff130503,
    0xff0f0507,
    0xff502a0c,
    0xffcd8f35,
    0xfff0c96a,
    0xffe0b769,
    0xffc8973e,
    0xff85541a,
    0xff3f1d04,
    0xff51300d,
    0xfff1dab6,
    0xfffefff6,
    0xffffffff,
    0xfffefff8,
    0xffece0b9,
    0xffb08c5c,
    0xfff0dabe,
    0xffa8af61,
    0xff6c7300,
    0xff7b7802,
    0xff9b5807,
    0xff8c7306,
    0xff817e08,
    0xff817e0a,
    0xff828009,
    0xff817f06,
    0xff827e05,
    0xff807b05,
    0xff7e7a05,
    0xff7c7905,
    0xff7a7602,
    0xff7a7404,
    0xff757301,
    0xff747000,
    0xff726e00,
    0xff6a7000,
    0xffcc5d15,
    0xffaf4601,
    0xffd69a42,
    0xffb77f4c,
    0xff647407,
    0xff9d5203,
    0xffab4302,
    0xffb4631f,
    0xff9c752c,
    0xff3e5500,
    0xff425601,
    0xff3c4f00,
    0xff394901,
    0xff384a00,
    0xff394801,
    0xff374702,
    0xff384401,
    0xff374300,
    0xff334201,
    0xff3a4002,
    0xff9e420b,
    0xffa0440f,
    0xff344a06,
    0xff414a0b,
    0xff424b0c,
    0xff424b0d,
    0xff434b10,
    0xff464c12,
    0xff494f13,
    0xff475013,
    0xff485015,
    0xff4b4f15,
    0xff485016,
    0xff485016,
    0xff485115,
    0xff495014,
    0xff464c11,
    0xff414c0c,
    0xff43490b,
    0xff414906,
    0xff3f4a04,
    0xff3f4902,
    0xff424900,
    0xff404900,
    0xff414700,
    0xff414600,
    0xff404600,
    0xff414601,
    0xff424800,
    0xff434a01,
    0xff414901,
    0xff414900,
    0xff424b00,
    0xff434900,
    0xff464901,
    0xff434801,
    0xff424800,
    0xff414801,
    0xff3e4500,
    0xff3e4501,
    0xff3e4506,
    0xff3b450e,
    0xff3b4611,
    0xff374414,
    0xff354015,
    0xff35401a,
    0xff323d19,
    0xff2e391a,
    0xff293916,
    0xff29380f,
    0xff29360b,
    0xff2a3406,
    0xff2a3500,
    0xff2b3300,
    0xff2b3300,
    0xff2e3500,
    0xff2f3600,
    0xff333701,
    0xff323701,
    0xff323701,
    0xff313500,
    0xff2f3301,
    0xff2c3100,
    0xff2b2e00,
    0xff2a2a01,
    0xff262700,
    0xff1f2300,
    0xff1e1e00,
    0xff181a01,
    0xff151700,
    0xff151600,
    0xff101301,
    0xff0d0f01,
    0xff0b0e00,
    0xff090c01,
    0xff060901,
    0xff020801,
    0xff040601,
    0xff030400,
    0xff010400,
    0xff000300,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff263a00,
    0xff243600,
    0xff203500,
    0xff1d3400,
    0xff1c3202,
    0xff1a3000,
    0xff192f01,
    0xff1a3000,
    0xff193001,
    0xff163100,
    0xff511201,
    0xff212e01,
    0xff1a3001,
    0xff1c2f02,
    0xff182b00,
    0xff142901,
    0xff172601,
    0xff142601,
    0xff142500,
    0xff152701,
    0xff162501,
    0xff152500,
    0xff142400,
    0xff152500,
    0xff152300,
    0xff142000,
    0xff121c00,
    0xff0e1901,
    0xff091600,
    0xff1d1a00,
    0xff483400,
    0xff5e4102,
    0xff634300,
    0xff523a02,
    0xff322301,
    0xff080900,
    0xff000500,
    0xff000200,
    0xff272500,
    0xff94741e,
    0xff473515,
    0xff000500,
    0xff000700,
    0xff010800,
    0xff000500,
    0xff010600,
    0xff000400,
    0xff000501,
    0xff000300,
    0xff010200,
    0xff010300,
    0xff000101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000001,
    0xff050000,
    0xff3f0101,
    0xff4c1b03,
    0xff401e01,
    0xff190600,
    0xff000200,
    0xff020201,
    0xff000000,
    0xff000200,
    0xff000001,
    0xff000000,
    0xff2b0701,
    0xff603009,
    0xff6a380a,
    0xff623508,
    0xff422703,
    0xff050600,
    0xff000101,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000100,
    0xff000100,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000100,
    0xff000300,
    0xff020200,
    0xff0d0801,
    0xff110c00,
    0xff150b01,
    0xff1b0e00,
    0xff2b0902,
    0xff480d06,
    0xff835016,
    0xff96631a,
    0xff2e1f00,
    0xff170a05,
    0xff3a211d,
    0xff23160b,
    0xff615047,
    0xff4c351e,
    0xff5c4f39,
    0xff6d4f3e,
    0xffb46625,
    0xff9a6f48,
    0xfffffff4,
    0xffab7f56,
    0xfff8f1ce,
    0xffffffee,
    0xffa57f64,
    0xff562c11,
    0xff603616,
    0xffa16c2f,
    0xffb17936,
    0xffb77d39,
    0xff925d2d,
    0xff663410,
    0xff511900,
    0xff975b16,
    0xffcf9a49,
    0xffffdd8a,
    0xffffdd92,
    0xfffacc7d,
    0xfff7d17c,
    0xffc69955,
    0xff926933,
    0xff2f1503,
    0xff6c4a28,
    0xff3a200d,
    0xff361e0c,
    0xff030000,
    0xff000000,
    0xff77410f,
    0xffdfab43,
    0xffe7b952,
    0xffdcb15d,
    0xffa9722b,
    0xff431c0a,
    0xff3c2107,
    0xffa17845,
    0xffe3cfaa,
    0xfffffffe,
    0xffffffff,
    0xfffeffff,
    0xfffaf2dc,
    0xffe5c799,
    0xffeee4c3,
    0xff6e7309,
    0xff717600,
    0xff7e7002,
    0xffa25609,
    0xff867307,
    0xff807c0b,
    0xff817c09,
    0xff807e0a,
    0xff827d0b,
    0xff827b0a,
    0xff817b07,
    0xff7d7907,
    0xff7c7704,
    0xff7b7604,
    0xff797305,
    0xff757302,
    0xff736f02,
    0xff6f6e01,
    0xff6d7000,
    0xffec4f1c,
    0xff994d00,
    0xfffccd7d,
    0xff7a2f03,
    0xff5a7707,
    0xffd2470c,
    0xff7d4c00,
    0xffd55511,
    0xff645403,
    0xff465a00,
    0xff435700,
    0xff3c4f00,
    0xff354b00,
    0xff364901,
    0xff394800,
    0xff364600,
    0xff384500,
    0xff374201,
    0xff334001,
    0xff4b3c03,
    0xffb9410e,
    0xff78440a,
    0xff364607,
    0xff3d4807,
    0xff3e480a,
    0xff40490a,
    0xff434c0e,
    0xff434b11,
    0xff464e10,
    0xff465012,
    0xff454f13,
    0xff454e15,
    0xff454e15,
    0xff454d16,
    0xff464e16,
    0xff454f12,
    0xff434b0f,
    0xff424b0c,
    0xff404807,
    0xff3e4706,
    0xff3d4704,
    0xff3f4601,
    0xff3f4600,
    0xff3e4600,
    0xff3d4601,
    0xff3f4500,
    0xff3f4401,
    0xff404600,
    0xff424801,
    0xff424800,
    0xff424900,
    0xff424902,
    0xff424900,
    0xff454a00,
    0xff434900,
    0xff434801,
    0xff444801,
    0xff414901,
    0xff404600,
    0xff3e4600,
    0xff3c4605,
    0xff3c450b,
    0xff3c4611,
    0xff384214,
    0xff354117,
    0xff343e17,
    0xff303d17,
    0xff2f3b18,
    0xff2c3716,
    0xff2a380f,
    0xff27360b,
    0xff2b3604,
    0xff2c3500,
    0xff2d3501,
    0xff2e3601,
    0xff2f3600,
    0xff303702,
    0xff323701,
    0xff313600,
    0xff323701,
    0xff313600,
    0xff2e3200,
    0xff2c3000,
    0xff2a2d00,
    0xff2b2901,
    0xff252700,
    0xff222401,
    0xff1d1e00,
    0xff1a1c00,
    0xff161801,
    0xff141701,
    0xff101300,
    0xff0d1001,
    0xff0b0f00,
    0xff090d00,
    0xff070a00,
    0xff040800,
    0xff040700,
    0xff030500,
    0xff020400,
    0xff010300,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff253c01,
    0xff243700,
    0xff213501,
    0xff1c3300,
    0xff1a3101,
    0xff182f00,
    0xff192d02,
    0xff182b00,
    0xff182b00,
    0xff142f00,
    0xff4c1201,
    0xff262500,
    0xff192b00,
    0xff1a2b00,
    0xff162900,
    0xff172601,
    0xff162401,
    0xff122600,
    0xff132600,
    0xff152600,
    0xff112800,
    0xff152702,
    0xff172500,
    0xff172700,
    0xff172500,
    0xff172200,
    0xff131e00,
    0xff111c01,
    0xff0c1a01,
    0xff151500,
    0xff3e2901,
    0xff6c4701,
    0xff6f4900,
    0xff573b00,
    0xff342301,
    0xff0f0f00,
    0xff000300,
    0xff000800,
    0xff785d0e,
    0xffd0955c,
    0xff6e472f,
    0xff030800,
    0xff000700,
    0xff000800,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010500,
    0xff000300,
    0xff010200,
    0xff000100,
    0xff000101,
    0xff010201,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000101,
    0xff030000,
    0xff3e0201,
    0xff2e0300,
    0xff280501,
    0xff1f0400,
    0xff020201,
    0xff010102,
    0xff000001,
    0xff020200,
    0xff000200,
    0xff000000,
    0xff340801,
    0xff80430f,
    0xff7a4211,
    0xff713a0d,
    0xff512e03,
    0xff0c0a00,
    0xff000002,
    0xff000100,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff000200,
    0xff000100,
    0xff000100,
    0xff000300,
    0xff030200,
    0xff0c0700,
    0xff0f0b00,
    0xff150b01,
    0xff190e00,
    0xff2a0901,
    0xff480e06,
    0xff7f5208,
    0xffb87828,
    0xff492e0a,
    0xff2b1b13,
    0xff3c2a26,
    0xff473c33,
    0xff4e3f3f,
    0xff614e2f,
    0xff594039,
    0xffc2905a,
    0xff853801,
    0xfffdfeea,
    0xffb9987c,
    0xfffffed0,
    0xffecdfc4,
    0xff683c25,
    0xff7e4f25,
    0xff825224,
    0xffa06727,
    0xffae7634,
    0xff7d451d,
    0xff481902,
    0xff551d00,
    0xff995b14,
    0xffdfb45b,
    0xfffad77d,
    0xffffeca4,
    0xfffee29d,
    0xfffdd992,
    0xfffcdc92,
    0xffffe9a1,
    0xffe3c07c,
    0xffaa8048,
    0xff4b2d13,
    0xff8e6b3f,
    0xff2b1304,
    0xff311c12,
    0xff080101,
    0xff000000,
    0xffa2610e,
    0xffd0993b,
    0xffecbd58,
    0xffdea451,
    0xff7e4b1c,
    0xff381b02,
    0xff432a12,
    0xffa78458,
    0xffe0bf90,
    0xfffdf9e5,
    0xfffeffff,
    0xfffffeee,
    0xffdfc8a0,
    0xfffae6cc,
    0xffe0e6ce,
    0xff606300,
    0xff717604,
    0xff7f6801,
    0xffa4550a,
    0xff7e7509,
    0xff7e790a,
    0xff827c0c,
    0xff827d0d,
    0xff837d0d,
    0xff837d0c,
    0xff827c0b,
    0xff7e7b07,
    0xff7d7808,
    0xff7c7606,
    0xff7a7408,
    0xff777306,
    0xff757105,
    0xff6d7003,
    0xff8a6c07,
    0xffe34315,
    0xffb27621,
    0xffe5a36d,
    0xffab7b32,
    0xff556300,
    0xfff14123,
    0xffb39045,
    0xffd64b0d,
    0xff4a5800,
    0xff485b01,
    0xff465700,
    0xff3e5201,
    0xff394b00,
    0xff374701,
    0xff374600,
    0xff344400,
    0xff364100,
    0xff343e00,
    0xff2d3e01,
    0xff6c3802,
    0xffca440f,
    0xff503f03,
    0xff374305,
    0xff3a4504,
    0xff3b4508,
    0xff3f480a,
    0xff40490b,
    0xff404b0c,
    0xff444d0f,
    0xff454e0f,
    0xff434c12,
    0xff434d14,
    0xff434c16,
    0xff444b15,
    0xff444b14,
    0xff424c10,
    0xff434b0e,
    0xff41490c,
    0xff3f4806,
    0xff3d4604,
    0xff3d4602,
    0xff3e4400,
    0xff3b4300,
    0xff3e4300,
    0xff3b4400,
    0xff3d4401,
    0xff3d4401,
    0xff3e4300,
    0xff404501,
    0xff404600,
    0xff424701,
    0xff434901,
    0xff414903,
    0xff424700,
    0xff434a00,
    0xff434802,
    0xff434600,
    0xff454801,
    0xff404401,
    0xff3e4601,
    0xff3e4605,
    0xff3c4709,
    0xff3d450e,
    0xff394312,
    0xff334015,
    0xff354015,
    0xff333d19,
    0xff313d17,
    0xff2e3916,
    0xff2b3810,
    0xff2b370a,
    0xff2a3603,
    0xff2e3701,
    0xff2e3500,
    0xff2e3501,
    0xff2d3400,
    0xff2f3602,
    0xff313500,
    0xff313600,
    0xff323700,
    0xff303500,
    0xff2f3300,
    0xff2d2f00,
    0xff2b2c00,
    0xff282a01,
    0xff272700,
    0xff202500,
    0xff1f1f00,
    0xff1a1c00,
    0xff171a01,
    0xff131600,
    0xff111401,
    0xff0e1101,
    0xff0c0e01,
    0xff090d00,
    0xff090b00,
    0xff050800,
    0xff050801,
    0xff040600,
    0xff020401,
    0xff020401,
    0xff020100,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff263b01,
    0xff233800,
    0xff213400,
    0xff1a3301,
    0xff192f01,
    0xff192b00,
    0xff172901,
    0xff172800,
    0xff152900,
    0xff142a02,
    0xff3e1500,
    0xff301c00,
    0xff152802,
    0xff172701,
    0xff162600,
    0xff122600,
    0xff122301,
    0xff112300,
    0xff122300,
    0xff112400,
    0xff132501,
    0xff162601,
    0xff182502,
    0xff152802,
    0xff162700,
    0xff1e2800,
    0xff1b2401,
    0xff111d00,
    0xff0f1c00,
    0xff121802,
    0xff1f1601,
    0xff5e3801,
    0xff764d02,
    0xff5a3a00,
    0xff342502,
    0xff110f01,
    0xff000400,
    0xff151300,
    0xff976b28,
    0xffb18034,
    0xff403003,
    0xff000500,
    0xff010800,
    0xff020901,
    0xff000800,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff000400,
    0xff000400,
    0xff010200,
    0xff000300,
    0xff010101,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000101,
    0xff000100,
    0xff030000,
    0xff3b0101,
    0xff2e0300,
    0xff290600,
    0xff210300,
    0xff020301,
    0xff020200,
    0xff020200,
    0xff020102,
    0xff000201,
    0xff000001,
    0xff451002,
    0xff925011,
    0xff915614,
    0xff7f4110,
    0xff563304,
    0xff090700,
    0xff000001,
    0xff010201,
    0xff000300,
    0xff010300,
    0xff000100,
    0xff000200,
    0xff010300,
    0xff000100,
    0xff010000,
    0xff000201,
    0xff000100,
    0xff000100,
    0xff000100,
    0xff020300,
    0xff090600,
    0xff110a00,
    0xff110600,
    0xff1c0700,
    0xff1b0200,
    0xff450600,
    0xff442300,
    0xff986309,
    0xff492b10,
    0xff0d0501,
    0xff41372d,
    0xff453a30,
    0xff3c2c26,
    0xff7e6749,
    0xff684c36,
    0xffd48f4c,
    0xff91653f,
    0xfff9f6ec,
    0xffe9deb3,
    0xffd3bea6,
    0xff885632,
    0xff865222,
    0xffa46d34,
    0xffb97f32,
    0xff8e5d28,
    0xff682200,
    0xffb88034,
    0xffdaa958,
    0xffb57e2d,
    0xfff9d581,
    0xffffe69b,
    0xfffdd888,
    0xfff9d489,
    0xfffbd087,
    0xfffbd28a,
    0xfffcdb95,
    0xffffeda7,
    0xfff2d08a,
    0xff7d572e,
    0xff4d300e,
    0xffa17a48,
    0xff140200,
    0xff100302,
    0xff010001,
    0xff080103,
    0xffa86512,
    0xffd3993e,
    0xffe7b05c,
    0xffb77b39,
    0xff4b270b,
    0xff2c1105,
    0xff563416,
    0xff9e7951,
    0xffd7b176,
    0xffebd1a4,
    0xfff7e4c8,
    0xfff7eed8,
    0xffe2cca2,
    0xffebd1b0,
    0xffb1b376,
    0xff646600,
    0xff6d7204,
    0xff835d01,
    0xffa3540a,
    0xff7b7309,
    0xff7d770d,
    0xff7f780d,
    0xff80790f,
    0xff817b10,
    0xff817b0f,
    0xff827c10,
    0xff817b0b,
    0xff7c770b,
    0xff7c760a,
    0xff7a760c,
    0xff79740b,
    0xff777307,
    0xff6e7204,
    0xffbc6214,
    0xffb94307,
    0xffde9d2f,
    0xffc3471f,
    0xff697206,
    0xff755308,
    0xffffeaa5,
    0xffe38a68,
    0xffbf490a,
    0xff445e00,
    0xff485b00,
    0xff475900,
    0xff425300,
    0xff3b4e00,
    0xff394a01,
    0xff364600,
    0xff364400,
    0xff354000,
    0xff343e00,
    0xff2c3d00,
    0xff903503,
    0xffc4440c,
    0xff313b00,
    0xff364100,
    0xff3a4305,
    0xff3a4307,
    0xff3b4608,
    0xff3d480b,
    0xff3f470e,
    0xff3f480f,
    0xff414b0e,
    0xff424b13,
    0xff414a13,
    0xff414a12,
    0xff414b15,
    0xff414b14,
    0xff3f4b10,
    0xff3f490d,
    0xff3d4809,
    0xff3d4706,
    0xff3c4501,
    0xff3c4500,
    0xff3b4200,
    0xff394100,
    0xff3a4001,
    0xff393f00,
    0xff3b4102,
    0xff3a4100,
    0xff3d4200,
    0xff3f4401,
    0xff3e4300,
    0xff404602,
    0xff414902,
    0xff424801,
    0xff424801,
    0xff454800,
    0xff454900,
    0xff454900,
    0xff454701,
    0xff434800,
    0xff3f4800,
    0xff3d4604,
    0xff3c4707,
    0xff3a440e,
    0xff374211,
    0xff363f14,
    0xff334016,
    0xff333d15,
    0xff313d17,
    0xff2e3a14,
    0xff2d3811,
    0xff2d380e,
    0xff2e3708,
    0xff2d3600,
    0xff2e3500,
    0xff2d3500,
    0xff2c3400,
    0xff2d3400,
    0xff2e3401,
    0xff2d3400,
    0xff2e3300,
    0xff2e3200,
    0xff2d3101,
    0xff2c2d00,
    0xff2a2b00,
    0xff272900,
    0xff262600,
    0xff1f2400,
    0xff1f1f01,
    0xff1a1d00,
    0xff161900,
    0xff141600,
    0xff121300,
    0xff0d1000,
    0xff0b0d00,
    0xff0a0d00,
    0xff080a01,
    0xff060901,
    0xff040700,
    0xff030600,
    0xff030401,
    0xff000300,
    0xff010300,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff273a01,
    0xff253700,
    0xff213400,
    0xff1b3101,
    0xff182e00,
    0xff172900,
    0xff152800,
    0xff152601,
    0xff122501,
    0xff102500,
    0xff331801,
    0xff3a1400,
    0xff112600,
    0xff122200,
    0xff132300,
    0xff132200,
    0xff122102,
    0xff102001,
    0xff102100,
    0xff122301,
    0xff132400,
    0xff132600,
    0xff152701,
    0xff142501,
    0xff252d00,
    0xff323301,
    0xff2d2e01,
    0xff162000,
    0xff0e1c01,
    0xff0b1900,
    0xff121701,
    0xff3f1f00,
    0xff6e3f02,
    0xff5b3900,
    0xff392500,
    0xff0c0f00,
    0xff000802,
    0xff111600,
    0xff725014,
    0xff48330a,
    0xff020900,
    0xff000700,
    0xff010901,
    0xff020901,
    0xff010700,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff010600,
    0xff000400,
    0xff010300,
    0xff010300,
    0xff010201,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff37070c,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000101,
    0xff000101,
    0xff010000,
    0xff000002,
    0xff020000,
    0xff350100,
    0xff300200,
    0xff2c0600,
    0xff270200,
    0xff010200,
    0xff000000,
    0xff020200,
    0xff020202,
    0xff010100,
    0xff000002,
    0xff5b2803,
    0xff904909,
    0xff995e12,
    0xff905012,
    0xff482604,
    0xff060300,
    0xff000001,
    0xff000200,
    0xff010200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010200,
    0xff010101,
    0xff000101,
    0xff010300,
    0xff000200,
    0xff000100,
    0xff000200,
    0xff000100,
    0xff060000,
    0xff555141,
    0xffbfa589,
    0xff908380,
    0xff7b4a49,
    0xff2a1100,
    0xff5e3903,
    0xff412615,
    0xff2f2011,
    0xff3f322b,
    0xff473a2f,
    0xff55412e,
    0xff271510,
    0xffe5bc82,
    0xff843304,
    0xffdad4b2,
    0xfff7e1b3,
    0xffc9ac86,
    0xff955a23,
    0xff9e642c,
    0xffb47633,
    0xffd39441,
    0xff723515,
    0xffa2510f,
    0xffeebd69,
    0xfff9db93,
    0xffedcb85,
    0xffefc778,
    0xffe2b86c,
    0xffdaaf65,
    0xffd3a85f,
    0xffdba561,
    0xffe6ad67,
    0xffeeb76b,
    0xfff1c778,
    0xffffe097,
    0xffe5c076,
    0xff875f2c,
    0xff855d2f,
    0xff78562c,
    0xff130401,
    0xff0c0101,
    0xff0c0203,
    0xff341804,
    0xffae6912,
    0xffc1792a,
    0xffdd9c58,
    0xff864e26,
    0xff080000,
    0xff291201,
    0xff805b31,
    0xffa77e4e,
    0xffcba25e,
    0xffe4c384,
    0xffe2ba88,
    0xffecd1a4,
    0xffcba573,
    0xffb18a5c,
    0xff999852,
    0xff656700,
    0xff6e6f04,
    0xff8b5403,
    0xff9d550b,
    0xff75730c,
    0xff7d760e,
    0xff7e770e,
    0xff7f780f,
    0xff7f7810,
    0xff817a10,
    0xff827b11,
    0xff827b0f,
    0xff7d780f,
    0xff7d7710,
    0xff7a770f,
    0xff7b7510,
    0xff79750d,
    0xff707308,
    0xffeb521f,
    0xff995305,
    0xffc0590c,
    0xffc05c44,
    0xff4c5e00,
    0xffc09444,
    0xffbb8966,
    0xffca2b07,
    0xff975403,
    0xff475e00,
    0xff4b5f01,
    0xff4a5d02,
    0xff435700,
    0xff3d5100,
    0xff3b4c01,
    0xff384801,
    0xff384400,
    0xff354202,
    0xff323e01,
    0xff373b00,
    0xffb13603,
    0xff9e3d07,
    0xff273a00,
    0xff343c00,
    0xff363f01,
    0xff384005,
    0xff394107,
    0xff3b4307,
    0xff3c430c,
    0xff3d460d,
    0xff3f4810,
    0xff414911,
    0xff3f4811,
    0xff404911,
    0xff3e4713,
    0xff3e4813,
    0xff3e4810,
    0xff3d460b,
    0xff3b4508,
    0xff3a4303,
    0xff394200,
    0xff373f00,
    0xff393f01,
    0xff383e01,
    0xff383e00,
    0xff393e01,
    0xff373f01,
    0xff373d00,
    0xff393d01,
    0xff3b4001,
    0xff3d4201,
    0xff3e4300,
    0xff3e4601,
    0xff424400,
    0xff414700,
    0xff454701,
    0xff464a00,
    0xff474a00,
    0xff464a00,
    0xff454b00,
    0xff424b00,
    0xff3d4802,
    0xff3d4708,
    0xff3b450f,
    0xff35410f,
    0xff373f14,
    0xff323d15,
    0xff323d15,
    0xff303c16,
    0xff2f3b15,
    0xff2d3914,
    0xff2e3b0f,
    0xff2e3706,
    0xff2e3601,
    0xff2d3500,
    0xff2e3602,
    0xff2c3401,
    0xff2c3300,
    0xff2a3300,
    0xff2b3100,
    0xff2b3000,
    0xff2d3001,
    0xff2c2f00,
    0xff2b2c00,
    0xff2a2a01,
    0xff282901,
    0xff252600,
    0xff222301,
    0xff1f1f00,
    0xff191c01,
    0xff171901,
    0xff151600,
    0xff131300,
    0xff0d1002,
    0xff0b0d01,
    0xff0a0e00,
    0xff090a00,
    0xff060800,
    0xff060902,
    0xff030500,
    0xff030501,
    0xff010300,
    0xff000300,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff263a01,
    0xff233600,
    0xff213400,
    0xff1a3201,
    0xff192d00,
    0xff162801,
    0xff132701,
    0xff132300,
    0xff112000,
    0xff0d1f00,
    0xff271801,
    0xff450f00,
    0xff0b2000,
    0xff102001,
    0xff112001,
    0xff112001,
    0xff111e00,
    0xff111e00,
    0xff0f2000,
    0xff112200,
    0xff132400,
    0xff122500,
    0xff142501,
    0xff132600,
    0xff343401,
    0xff3b3900,
    0xff383700,
    0xff1e2402,
    0xff0b1b02,
    0xff0b1a00,
    0xff0d1700,
    0xff361c01,
    0xff522800,
    0xff593401,
    0xff382200,
    0xff090f00,
    0xff020d00,
    0xff000c00,
    0xff271e00,
    0xff25181c,
    0xff000800,
    0xff010800,
    0xff000800,
    0xff000a01,
    0xff000700,
    0xff000801,
    0xff010600,
    0xff010500,
    0xff000500,
    0xff000502,
    0xff000400,
    0xff000300,
    0xff000201,
    0xff000101,
    0xff000000,
    0xff000000,
    0xff7c2924,
    0xfff4644b,
    0xff901527,
    0xff2c0000,
    0xff000000,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020001,
    0xff020100,
    0xff000000,
    0xff490001,
    0xff2e0000,
    0xff350400,
    0xff2d0300,
    0xff000201,
    0xff010102,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff0d0b02,
    0xff5a2901,
    0xff883d05,
    0xff934e0e,
    0xff8a400b,
    0xff2b0c03,
    0xff000000,
    0xff000000,
    0xff010201,
    0xff020001,
    0xff020100,
    0xff000300,
    0xff000300,
    0xff010100,
    0xff010101,
    0xff020201,
    0xff000200,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff120f03,
    0xff584b33,
    0xff0c0700,
    0xffbdada2,
    0xffb1a5af,
    0xffe5e3ff,
    0xff5e5c8a,
    0xff40280a,
    0xff705024,
    0xff220a02,
    0xff543118,
    0xff473628,
    0xff504131,
    0xff493831,
    0xff8e6036,
    0xffbe7845,
    0xff733810,
    0xffffffe0,
    0xffc39566,
    0xff9a591e,
    0xffaf6e2a,
    0xffca8e43,
    0xffcb9149,
    0xff7d3915,
    0xff984815,
    0xffc19245,
    0xffd9af6b,
    0xffd5a96b,
    0xffcca166,
    0xffcea362,
    0xffc19050,
    0xffb6864c,
    0xffbf8b4e,
    0xffd89655,
    0xffe8ad63,
    0xfff2be73,
    0xfff9d586,
    0xfffbd78b,
    0xffe9c276,
    0xffa97f3d,
    0xff765021,
    0xff916b33,
    0xff492b12,
    0xff240f08,
    0xff140305,
    0xff6b3908,
    0xffae630f,
    0xffb8651f,
    0xffce843c,
    0xff632a13,
    0xff1e0a04,
    0xff2e1400,
    0xff8a683e,
    0xffbb915a,
    0xffc89c5a,
    0xffd5aa6c,
    0xffe1bd8f,
    0xffc09657,
    0xffbe8e54,
    0xffba8d63,
    0xff7e7a27,
    0xff6a6903,
    0xff6e6b05,
    0xff955006,
    0xff92570a,
    0xff73740d,
    0xff7a710d,
    0xff7b7311,
    0xff7d750e,
    0xff7c750f,
    0xff7f7710,
    0xff7e770f,
    0xff807812,
    0xff7c7712,
    0xff7b7613,
    0xff7a7512,
    0xff7b7412,
    0xff76740e,
    0xff887010,
    0xffef491f,
    0xff995a07,
    0xffd25d12,
    0xff9d4916,
    0xff535c00,
    0xfff8d56c,
    0xff480000,
    0xffed480f,
    0xff685a01,
    0xff4a5f00,
    0xff4e5f01,
    0xff4c5c00,
    0xff455800,
    0xff3f5400,
    0xff3b4e00,
    0xff3a4a02,
    0xff364500,
    0xff384400,
    0xff324001,
    0xff553c02,
    0xffc53904,
    0xff6e3a03,
    0xff2b3900,
    0xff333b00,
    0xff343c01,
    0xff363e02,
    0xff373f05,
    0xff394105,
    0xff3a430a,
    0xff3c430b,
    0xff3d460e,
    0xff3e480e,
    0xff3e4711,
    0xff3d4512,
    0xff3d4613,
    0xff3c4614,
    0xff3c470d,
    0xff38440a,
    0xff384205,
    0xff363f02,
    0xff363e01,
    0xff353d00,
    0xff343c00,
    0xff363d01,
    0xff373c01,
    0xff363c01,
    0xff373c01,
    0xff373d01,
    0xff373d01,
    0xff383d00,
    0xff3b3f00,
    0xff3e4200,
    0xff404302,
    0xff404300,
    0xff424601,
    0xff444801,
    0xff484b00,
    0xff494b00,
    0xff494c00,
    0xff4b4d00,
    0xff484e00,
    0xff424a02,
    0xff3c4608,
    0xff3c450c,
    0xff38420f,
    0xff364014,
    0xff333f15,
    0xff333e15,
    0xff303c17,
    0xff303c16,
    0xff2f3b15,
    0xff2e3b15,
    0xff2e3a0b,
    0xff2f3704,
    0xff2e3601,
    0xff2e3501,
    0xff2c3200,
    0xff2a3100,
    0xff2a3101,
    0xff2a3100,
    0xff292e00,
    0xff282f00,
    0xff2a2d00,
    0xff292c02,
    0xff292a00,
    0xff272800,
    0xff252500,
    0xff222401,
    0xff1e1f00,
    0xff191c01,
    0xff171901,
    0xff141700,
    0xff0f1400,
    0xff0d1002,
    0xff0d0e00,
    0xff090d00,
    0xff080b01,
    0xff050901,
    0xff040700,
    0xff040601,
    0xff030501,
    0xff010300,
    0xff000200,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff263901,
    0xff253701,
    0xff1f3400,
    0xff193000,
    0xff182a00,
    0xff162801,
    0xff142400,
    0xff102000,
    0xff101f01,
    0xff0e1f01,
    0xff191701,
    0xff530c01,
    0xff071c00,
    0xff0c1a01,
    0xff0e1d01,
    0xff0c1d01,
    0xff0c1d00,
    0xff0f1e00,
    0xff0f1f00,
    0xff102100,
    0xff132400,
    0xff132501,
    0xff142400,
    0xff1a2900,
    0xff413c01,
    0xff423c03,
    0xff403e02,
    0xff292b01,
    0xff0b1b01,
    0xff0d1c01,
    0xff0d1900,
    0xff362000,
    0xff431e01,
    0xff4b2400,
    0xff331b00,
    0xff040f00,
    0xff030f00,
    0xff010c00,
    0xff191703,
    0xff2a1825,
    0xff010b00,
    0xff000901,
    0xff010901,
    0xff020801,
    0xff010800,
    0xff000600,
    0xff000600,
    0xff010600,
    0xff000601,
    0xff010501,
    0xff000501,
    0xff000200,
    0xff000200,
    0xff000101,
    0xff000000,
    0xff000002,
    0xfffe8267,
    0xffff9c84,
    0xfffd5d5a,
    0xffde2925,
    0xff8e0909,
    0xff290000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff0c0604,
    0xfff37c62,
    0xffd66353,
    0xff0d0000,
    0xff000000,
    0xff000000,
    0xff6f281d,
    0xffffc2a7,
    0xff600c2a,
    0xff3b0200,
    0xff360300,
    0xff000200,
    0xff010101,
    0xff010101,
    0xff000101,
    0xff000000,
    0xff131000,
    0xff5e2d00,
    0xff803605,
    0xff8a4309,
    0xff772a14,
    0xff9d2d36,
    0xff76192d,
    0xff090007,
    0xff000000,
    0xff000000,
    0xff010100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff473426,
    0xff714f37,
    0xff7f5c41,
    0xff715340,
    0xff5c2c19,
    0xff896551,
    0xffd5b8b8,
    0xff30192d,
    0xff000003,
    0xff000008,
    0xff89755c,
    0xfffffdd4,
    0xffbca98c,
    0xffc5af80,
    0xffa28d61,
    0xff8c764e,
    0xff503423,
    0xffc58137,
    0xff8d3f14,
    0xffc4a262,
    0xffbe9065,
    0xffaa621e,
    0xffab641f,
    0xffe7b464,
    0xfff9c06d,
    0xff773512,
    0xff8f470f,
    0xff8f6027,
    0xffcfa161,
    0xffc28d53,
    0xffb6854d,
    0xffb5854f,
    0xffa27642,
    0xff9b703d,
    0xffa4783e,
    0xffbc8447,
    0xffd6884a,
    0xffeeb067,
    0xffffd080,
    0xffffec97,
    0xffffef9b,
    0xfffcd57e,
    0xffb8803a,
    0xff774313,
    0xff734112,
    0xff693a13,
    0xff1e0200,
    0xff250800,
    0xff4a2a0c,
    0xff803814,
    0xffab4b1b,
    0xffaa4a1e,
    0xff5b2b15,
    0xff160501,
    0xff2c1304,
    0xff573116,
    0xffb88844,
    0xffc39655,
    0xffc09059,
    0xffc09b67,
    0xfff0d1a2,
    0xffc29b66,
    0xffa5855d,
    0xff6f7012,
    0xff6c6907,
    0xff736a09,
    0xffa04e0b,
    0xff8e5c0d,
    0xff76710e,
    0xff78700e,
    0xff786f0f,
    0xff78720f,
    0xff7c730f,
    0xff797214,
    0xff7c7413,
    0xff7c7616,
    0xff7c7515,
    0xff7b7414,
    0xff7b7414,
    0xff7a7413,
    0xff71750e,
    0xffbb681e,
    0xffc64c15,
    0xffa95d09,
    0xffe05619,
    0xff844507,
    0xff6c680b,
    0xffc69358,
    0xff9a3f0e,
    0xffe04e09,
    0xff495e00,
    0xff505f02,
    0xff4e5d00,
    0xff4c5c01,
    0xff465700,
    0xff3f5301,
    0xff3d4e00,
    0xff3c4b00,
    0xff384900,
    0xff394701,
    0xff334400,
    0xff7c3b00,
    0xffd24106,
    0xff463a00,
    0xff2d3c00,
    0xff343c00,
    0xff333b00,
    0xff333b01,
    0xff353d02,
    0xff363e03,
    0xff393f09,
    0xff3a4209,
    0xff3b440b,
    0xff3d460e,
    0xff3d460f,
    0xff3c4511,
    0xff3c4611,
    0xff3c4512,
    0xff3a440b,
    0xff354008,
    0xff343f01,
    0xff333b00,
    0xff323a00,
    0xff313a00,
    0xff323b00,
    0xff313900,
    0xff333a00,
    0xff343900,
    0xff353a00,
    0xff373c00,
    0xff373e02,
    0xff363d01,
    0xff3a3e00,
    0xff3e4000,
    0xff3e4000,
    0xff414301,
    0xff444702,
    0xff454700,
    0xff4a4b00,
    0xff4e4b00,
    0xff4c4e02,
    0xff4d4f02,
    0xff4d5204,
    0xff4d4f03,
    0xff404905,
    0xff3b440c,
    0xff39420f,
    0xff354012,
    0xff363d14,
    0xff343e13,
    0xff333e18,
    0xff313d17,
    0xff2e3a14,
    0xff2e3a14,
    0xff2f3a0e,
    0xff303706,
    0xff2f3702,
    0xff2e3501,
    0xff2b3200,
    0xff293100,
    0xff2b3001,
    0xff283200,
    0xff282e00,
    0xff282c00,
    0xff2b2c02,
    0xff282b00,
    0xff282a00,
    0xff272800,
    0xff242500,
    0xff222301,
    0xff202000,
    0xff191c00,
    0xff161901,
    0xff151701,
    0xff111300,
    0xff0e1103,
    0xff0d0e00,
    0xff0b0e00,
    0xff080b00,
    0xff060901,
    0xff040800,
    0xff030500,
    0xff020401,
    0xff000200,
    0xff000100,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff253900,
    0xff223600,
    0xff1e3400,
    0xff193000,
    0xff192a02,
    0xff162700,
    0xff142201,
    0xff112000,
    0xff0e1c01,
    0xff0c1b01,
    0xff0c1800,
    0xff590b00,
    0xff091600,
    0xff091800,
    0xff0c1901,
    0xff0c1a01,
    0xff0d1c01,
    0xff0e1e00,
    0xff0e1f00,
    0xff112200,
    0xff112200,
    0xff132400,
    0xff122400,
    0xff1d2a01,
    0xff463f03,
    0xff4c4006,
    0xff474006,
    0xff2d2f00,
    0xff0f1d00,
    0xff0d1c00,
    0xff0c1b01,
    0xff301b01,
    0xff462201,
    0xff452000,
    0xff341802,
    0xff051200,
    0xff040f00,
    0xff020e00,
    0xff161401,
    0xff2f1418,
    0xff030a00,
    0xff010b01,
    0xff020901,
    0xff010801,
    0xff000700,
    0xff010801,
    0xff000600,
    0xff000401,
    0xff000400,
    0xff000501,
    0xff000400,
    0xff000300,
    0xff000200,
    0xff000100,
    0xff000000,
    0xff591d23,
    0xffffa98a,
    0xfffd8c8b,
    0xffff766e,
    0xffff5a46,
    0xfff83d27,
    0xffce2619,
    0xff9a1713,
    0xff730c09,
    0xff5d0404,
    0xff280000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff9e4735,
    0xffff5c5d,
    0xffff645e,
    0xff9f3037,
    0xff000000,
    0xff561a12,
    0xffff8566,
    0xffffa49b,
    0xffb24b5e,
    0xff3c0000,
    0xff3c0400,
    0xff010200,
    0xff000000,
    0xff010203,
    0xff000000,
    0xff120000,
    0xff2e0404,
    0xff6a2809,
    0xff803405,
    0xff843b03,
    0xffc24844,
    0xffffa87f,
    0xffffa185,
    0xffe95a65,
    0xff310019,
    0xff000000,
    0xff000000,
    0xff0d0000,
    0xffb18082,
    0xfff29d9c,
    0xff974643,
    0xff36181e,
    0xff3d2118,
    0xff140401,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff706352,
    0xffbf9ea3,
    0xff0f0000,
    0xff080000,
    0xff000000,
    0xff7c6f5e,
    0xff36212b,
    0xff6a6264,
    0xffab987a,
    0xffd7c594,
    0xfff8e9b6,
    0xff754821,
    0xffae611c,
    0xff68260d,
    0xff97602c,
    0xff884a16,
    0xffae651c,
    0xffcc8937,
    0xffffe69a,
    0xff814925,
    0xff561a00,
    0xff814e1a,
    0xffc59152,
    0xffb47e47,
    0xffae793f,
    0xffa27338,
    0xffa2723a,
    0xff8e602f,
    0xff825729,
    0xff9b6b34,
    0xffad6d2e,
    0xffb86029,
    0xffaf5120,
    0xffac5a29,
    0xff6e4a23,
    0xff552e0d,
    0xff4f1d00,
    0xff804f11,
    0xffba8c3a,
    0xffbf913c,
    0xffb78133,
    0xff976321,
    0xff190803,
    0xff120502,
    0xff8c2f0e,
    0xff972707,
    0xff8c1f06,
    0xff1d0500,
    0xff080001,
    0xff704718,
    0xff794c16,
    0xff93651c,
    0xffaf7f2c,
    0xff945d2c,
    0xff4f3310,
    0xff61411e,
    0xff87613f,
    0xff7a7227,
    0xff646603,
    0xff6b690a,
    0xff776809,
    0xffa84c10,
    0xff876510,
    0xff787011,
    0xff766c10,
    0xff746b0f,
    0xff756f10,
    0xff756c0f,
    0xff92791e,
    0xff998025,
    0xff81721a,
    0xff7b7318,
    0xff7c7317,
    0xff7a7317,
    0xff787215,
    0xff737410,
    0xffea5727,
    0xff9b550d,
    0xffb95e0c,
    0xfff14c1f,
    0xff6a5201,
    0xff99600c,
    0xff941b11,
    0xffc84b06,
    0xffb34e08,
    0xff476000,
    0xff4f5e00,
    0xff4e5d01,
    0xff4c5a01,
    0xff465600,
    0xff415201,
    0xff3f4f01,
    0xff404b01,
    0xff394a00,
    0xff394700,
    0xff384500,
    0xffa53f01,
    0xffc74607,
    0xff313c00,
    0xff363c00,
    0xff343c01,
    0xff323a00,
    0xff323a00,
    0xff343c01,
    0xff343c03,
    0xff353e04,
    0xff384107,
    0xff39420a,
    0xff3a430b,
    0xff3b430d,
    0xff3a4410,
    0xff3a440f,
    0xff39430a,
    0xff384104,
    0xff363d01,
    0xff303900,
    0xff2f3801,
    0xff2e3701,
    0xff2c3700,
    0xff2f3701,
    0xff2f3700,
    0xff2f3801,
    0xff2e3700,
    0xff303700,
    0xff343900,
    0xff353c00,
    0xff363d01,
    0xff393e01,
    0xff3c4000,
    0xff3d3f01,
    0xff414200,
    0xff444501,
    0xff464601,
    0xff4a4b00,
    0xff494d00,
    0xff504d02,
    0xff525107,
    0xff51540a,
    0xff50530d,
    0xff444e0a,
    0xff3d470c,
    0xff3b4210,
    0xff374011,
    0xff363c11,
    0xff363e15,
    0xff363d15,
    0xff313c17,
    0xff2f3a14,
    0xff2d3812,
    0xff2f3811,
    0xff303708,
    0xff303703,
    0xff2e3501,
    0xff2b3200,
    0xff292f00,
    0xff2a2f00,
    0xff293001,
    0xff292d00,
    0xff292c00,
    0xff252d01,
    0xff282c00,
    0xff292a01,
    0xff262801,
    0xff252700,
    0xff222401,
    0xff1e2000,
    0xff1b1c00,
    0xff181a00,
    0xff151701,
    0xff111400,
    0xff0e1200,
    0xff0c0e00,
    0xff0a0d00,
    0xff080b01,
    0xff060901,
    0xff040600,
    0xff040600,
    0xff010301,
    0xff000200,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff263700,
    0xff203600,
    0xff1c3300,
    0xff192e01,
    0xff182900,
    0xff162601,
    0xff112100,
    0xff0f1d01,
    0xff0f1c02,
    0xff0c1900,
    0xff061701,
    0xff5a0c02,
    0xff0e1400,
    0xff071700,
    0xff081700,
    0xff081800,
    0xff0b1900,
    0xff0a1b00,
    0xff0c1c01,
    0xff0f1f00,
    0xff0f2100,
    0xff122300,
    0xff102301,
    0xff172500,
    0xff433b03,
    0xff574506,
    0xff453c04,
    0xff2c2e00,
    0xff122000,
    0xff0e1d00,
    0xff0b1e01,
    0xff2a1800,
    0xff471c01,
    0xff441f00,
    0xff3a1800,
    0xff0d1200,
    0xff041000,
    0xff030f00,
    0xff0f0f00,
    0xff361007,
    0xff080900,
    0xff000c01,
    0xff030901,
    0xff010801,
    0xff000800,
    0xff010801,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff000501,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000000,
    0xffc15c54,
    0xffffb098,
    0xfffe7d81,
    0xfffe6c69,
    0xfffe5b4e,
    0xffff4336,
    0xffff4c33,
    0xfffc5338,
    0xfffa4a30,
    0xfffb4323,
    0xffce2613,
    0xff1a0000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xfffd6b50,
    0xfff73c40,
    0xfff44543,
    0xffec6e64,
    0xfff56450,
    0xffff6851,
    0xfffa816f,
    0xffff837c,
    0xffcc5b69,
    0xff400000,
    0xff3f0301,
    0xff010201,
    0xff000101,
    0xff000000,
    0xff500f07,
    0xfffd4b2b,
    0xfff84e31,
    0xffe74c2a,
    0xffaa331a,
    0xff992515,
    0xffff6d59,
    0xfffe9e8e,
    0xfffeb1a2,
    0xffffc2a7,
    0xffec6474,
    0xff000000,
    0xff5e3331,
    0xffffc6b5,
    0xffffbbb6,
    0xffff9090,
    0xffff9687,
    0xffd05d5d,
    0xff5c1d18,
    0xff90372b,
    0xff854035,
    0xff0c0001,
    0xff000000,
    0xff000000,
    0xffb09f94,
    0xfff6cfd2,
    0xff150000,
    0xff100000,
    0xff030000,
    0xff634940,
    0xff382120,
    0xff4c3f34,
    0xff482a2d,
    0xff261a0a,
    0xff574636,
    0xff5f3712,
    0xff965322,
    0xff622a0e,
    0xff561c01,
    0xffe0a04b,
    0xffeaab53,
    0xffe3a14b,
    0xff965f33,
    0xff0e0000,
    0xff804d21,
    0xffb98141,
    0xffa36d35,
    0xffac7439,
    0xffa77235,
    0xff9c6b31,
    0xff905f2c,
    0xff916129,
    0xff7c4e22,
    0xff5d3618,
    0xff701c09,
    0xff841201,
    0xff7e0600,
    0xff560000,
    0xff421f07,
    0xff9b6628,
    0xffecc36f,
    0xfffff8ae,
    0xffffffbd,
    0xffffffbc,
    0xfff3d98f,
    0xff7e5623,
    0xff120204,
    0xff3f1c0c,
    0xff91270b,
    0xff9a2506,
    0xff6e1103,
    0xff0f0604,
    0xff000000,
    0xff865417,
    0xff936c2f,
    0xffc08b49,
    0xffc48d45,
    0xffa66a31,
    0xff502a0a,
    0xff290b00,
    0xff220900,
    0xff372805,
    0xff6d6d0b,
    0xff6a660a,
    0xff80640d,
    0xffaf4a14,
    0xff7f6a14,
    0xff796f13,
    0xff756c11,
    0xff736910,
    0xff706810,
    0xff88731a,
    0xffc99f2e,
    0xffbe972d,
    0xff947f24,
    0xff786e17,
    0xff7a7118,
    0xff777017,
    0xff737015,
    0xff876e17,
    0xfff64b26,
    0xff8e590d,
    0xffc45a0e,
    0xffec3f18,
    0xff525c05,
    0xffc74a12,
    0xffbd240b,
    0xffe64c0f,
    0xff7d5404,
    0xff495e00,
    0xff4e5c00,
    0xff4f5d00,
    0xff4b5b00,
    0xff475500,
    0xff415200,
    0xff3f4f00,
    0xff3f4b00,
    0xff3c4901,
    0xff384800,
    0xff494600,
    0xffc14003,
    0xffa24606,
    0xff2d4300,
    0xff354200,
    0xff353e01,
    0xff333c01,
    0xff333b00,
    0xff323b00,
    0xff303901,
    0xff363c01,
    0xff363e04,
    0xff363f06,
    0xff384208,
    0xff3a430b,
    0xff3a4408,
    0xff384207,
    0xff353f02,
    0xff323c00,
    0xff303900,
    0xff2b3500,
    0xff2a3400,
    0xff293200,
    0xff2a3200,
    0xff293200,
    0xff2a3200,
    0xff2c3400,
    0xff2b3401,
    0xff2f3500,
    0xff313801,
    0xff333900,
    0xff343a00,
    0xff383d00,
    0xff394000,
    0xff3e4000,
    0xff414100,
    0xff434400,
    0xff474600,
    0xff4b4a00,
    0xff4d4b00,
    0xff504d04,
    0xff535107,
    0xff51510a,
    0xff504f0f,
    0xff4c500e,
    0xff41470d,
    0xff3c4111,
    0xff394212,
    0xff353c11,
    0xff363e15,
    0xff353d14,
    0xff323b15,
    0xff2f3812,
    0xff2d3811,
    0xff30360f,
    0xff2e3706,
    0xff2f3703,
    0xff2d3500,
    0xff2b3200,
    0xff2a3000,
    0xff293000,
    0xff293000,
    0xff292e00,
    0xff2a2c00,
    0xff2a2a01,
    0xff272900,
    0xff292901,
    0xff252700,
    0xff242600,
    0xff1f2600,
    0xff1f2101,
    0xff1c1c00,
    0xff181a00,
    0xff141600,
    0xff131500,
    0xff101301,
    0xff0e1100,
    0xff0b0f00,
    0xff0a0d01,
    0xff070a00,
    0xff050700,
    0xff020400,
    0xff020301,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff263700,
    0xff203500,
    0xff1b3200,
    0xff1a2c02,
    0xff172900,
    0xff152401,
    0xff102101,
    0xff101c02,
    0xff0f1a01,
    0xff0b1800,
    0xff051800,
    0xff540901,
    0xff171000,
    0xff061600,
    0xff081400,
    0xff091602,
    0xff091700,
    0xff081a00,
    0xff0a1a00,
    0xff0c1d01,
    0xff0f1f01,
    0xff112000,
    0xff0d2201,
    0xff122400,
    0xff2d2e02,
    0xff513d06,
    0xff3f3404,
    0xff2c2f00,
    0xff132000,
    0xff101f00,
    0xff0c1e01,
    0xff1e1a00,
    0xff481901,
    0xff431d01,
    0xff3f1901,
    0xff151400,
    0xff041102,
    0xff051001,
    0xff070e00,
    0xff3a0e05,
    0xff0e0900,
    0xff000c00,
    0xff020b00,
    0xff000a00,
    0xff020801,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff010200,
    0xff000200,
    0xff000300,
    0xff000300,
    0xff000000,
    0xfff98c78,
    0xffffa399,
    0xfffd7075,
    0xfffd6462,
    0xfffe5249,
    0xfffe3c30,
    0xfffd3728,
    0xfffe4338,
    0xffff4d3b,
    0xffff563d,
    0xfffb4a2e,
    0xff400104,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xffff664a,
    0xfff9503d,
    0xfffc5639,
    0xfffe6e62,
    0xffff413a,
    0xfffc563e,
    0xfffb7770,
    0xffff5f5a,
    0xffcb5967,
    0xff420000,
    0xff420401,
    0xff020201,
    0xff000101,
    0xff000000,
    0xffd63f22,
    0xffff794f,
    0xffff6448,
    0xffff5e43,
    0xfff85f46,
    0xfff34e3b,
    0xffff6a5a,
    0xfffe9a80,
    0xfffea998,
    0xfffeb5ac,
    0xffffbda9,
    0xffa53c60,
    0xffffc6b6,
    0xfffc9d98,
    0xfffb736d,
    0xfffc6959,
    0xfffd4d3c,
    0xffff685f,
    0xffff9584,
    0xffff8d83,
    0xffff7374,
    0xfff97266,
    0xffbd563f,
    0xffc68c91,
    0xff603c60,
    0xffe96e4a,
    0xff4a0702,
    0xff040000,
    0xff43160a,
    0xff330c07,
    0xff2f1915,
    0xff42302d,
    0xff603218,
    0xff050101,
    0xff000000,
    0xff3a1005,
    0xff632c13,
    0xff7d4c1c,
    0xfffff2b3,
    0xfffbd48d,
    0xfffdce86,
    0xff6d2908,
    0xff2b0200,
    0xff42200b,
    0xffbd8143,
    0xffb68048,
    0xffbd864d,
    0xffb37f43,
    0xffa16f38,
    0xff8e5b29,
    0xff70401a,
    0xff643a15,
    0xff4b280b,
    0xff230402,
    0xff690100,
    0xff870f00,
    0xffaa3a0f,
    0xffb16e2c,
    0xffdba355,
    0xffd5a151,
    0xffe7b86b,
    0xfff0c875,
    0xfffcdf94,
    0xffffeda5,
    0xfffffcb9,
    0xff926b36,
    0xff000000,
    0xff4f1e10,
    0xff9b250a,
    0xff981500,
    0xff500c03,
    0xff110906,
    0xff170502,
    0xff804b0e,
    0xff81551c,
    0xffe7b069,
    0xffdca063,
    0xffad723a,
    0xff3a1f07,
    0xff381703,
    0xff2f1301,
    0xff230c00,
    0xff5a570b,
    0xff67670b,
    0xff8b590d,
    0xffb14916,
    0xff786d13,
    0xff776c13,
    0xff746b12,
    0xff716811,
    0xff6c6110,
    0xffb68e26,
    0xffd8ae38,
    0xffdab239,
    0xff9b802a,
    0xff766b17,
    0xff796e19,
    0xff776d18,
    0xff6f6f15,
    0xffb76220,
    0xffc94918,
    0xffa05a0f,
    0xffcc5710,
    0xffd43912,
    0xff545f05,
    0xffe43613,
    0xffd53311,
    0xffea4e0f,
    0xff565900,
    0xff4c5c00,
    0xff4e5b00,
    0xff4e5c00,
    0xff4a5a00,
    0xff445501,
    0xff405301,
    0xff415000,
    0xff3f4c00,
    0xff3c4901,
    0xff364801,
    0xff684400,
    0xffd54406,
    0xff704602,
    0xff314601,
    0xff384600,
    0xff374200,
    0xff353e00,
    0xff333c00,
    0xff313b00,
    0xff303800,
    0xff333c00,
    0xff363d02,
    0xff363f03,
    0xff364003,
    0xff374005,
    0xff364002,
    0xff333d00,
    0xff2e3701,
    0xff2c3500,
    0xff2a3200,
    0xff263000,
    0xff263000,
    0xff272f00,
    0xff282f00,
    0xff283100,
    0xff283000,
    0xff293100,
    0xff2b3301,
    0xff303601,
    0xff2f3700,
    0xff323800,
    0xff343700,
    0xff383b00,
    0xff3c3f01,
    0xff404201,
    0xff424402,
    0xff454601,
    0xff494700,
    0xff4a4a00,
    0xff4d4d01,
    0xff4f4e04,
    0xff535006,
    0xff514e0d,
    0xff4f4f0e,
    0xff4e4e10,
    0xff414b0f,
    0xff3d4011,
    0xff394013,
    0xff363d10,
    0xff363d11,
    0xff333c12,
    0xff313913,
    0xff2f3810,
    0xff2e3610,
    0xff2e360c,
    0xff2f360a,
    0xff303604,
    0xff2e3600,
    0xff2d3200,
    0xff2a3200,
    0xff2a3200,
    0xff2b3101,
    0xff2a2f00,
    0xff2a2e01,
    0xff2a2d02,
    0xff262b00,
    0xff272801,
    0xff272800,
    0xff262701,
    0xff252501,
    0xff1f2001,
    0xff1d1d00,
    0xff1b1b01,
    0xff181901,
    0xff161802,
    0xff131500,
    0xff111401,
    0xff0c0f00,
    0xff0a0d00,
    0xff070b00,
    0xff060801,
    0xff030500,
    0xff010201,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff223700,
    0xff203400,
    0xff1d3100,
    0xff192b00,
    0xff162700,
    0xff142400,
    0xff122001,
    0xff0f1c01,
    0xff0d1900,
    0xff0a1700,
    0xff031800,
    0xff490a01,
    0xff250d00,
    0xff011500,
    0xff041501,
    0xff081400,
    0xff071601,
    0xff081701,
    0xff0a1800,
    0xff091b01,
    0xff0d1d00,
    0xff0f2000,
    0xff0e2100,
    0xff102200,
    0xff202700,
    0xff3c3401,
    0xff392e01,
    0xff302d00,
    0xff142101,
    0xff0f1f00,
    0xff102001,
    0xff151a00,
    0xff471600,
    0xff481901,
    0xff421900,
    0xff221401,
    0xff051201,
    0xff041200,
    0xff030e00,
    0xff390d04,
    0xff140801,
    0xff000c01,
    0xff010b00,
    0xff020900,
    0xff010901,
    0xff000700,
    0xff000600,
    0xff000500,
    0xff000500,
    0xff010401,
    0xff000200,
    0xff000300,
    0xff010200,
    0xff000100,
    0xff010000,
    0xffff9a81,
    0xfffe988e,
    0xfffe7370,
    0xfffd605e,
    0xfffa4946,
    0xfff8382d,
    0xfff82a22,
    0xfff42c24,
    0xfffd362a,
    0xffff4b3c,
    0xfff64435,
    0xff440007,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff22100a,
    0xffff7756,
    0xfff9563d,
    0xfffb5432,
    0xfffb533b,
    0xfffa3825,
    0xfffe543d,
    0xfffc6b63,
    0xffff5c4b,
    0xffef8685,
    0xff480000,
    0xff420602,
    0xff020200,
    0xff000000,
    0xff1e0002,
    0xffff5b37,
    0xfffe5747,
    0xfffa3637,
    0xfffb433b,
    0xffff775e,
    0xfffe6152,
    0xfffd6458,
    0xfffda072,
    0xfffeb193,
    0xfffdb0a8,
    0xfffcb2ac,
    0xffffb3ae,
    0xfffb9893,
    0xfffd6f69,
    0xfffb4737,
    0xffff3d2d,
    0xfffc3c2b,
    0xff9c1811,
    0xff772223,
    0xffbc5857,
    0xffff8e7e,
    0xfffa575d,
    0xffff4c42,
    0xffff5848,
    0xff6c221d,
    0xff924221,
    0xffc9532a,
    0xffa23214,
    0xffb9431c,
    0xff440c06,
    0xff674938,
    0xff010000,
    0xff7a2e0d,
    0xff7f431a,
    0xff745e65,
    0xff000000,
    0xff622c0a,
    0xff753d0c,
    0xffc38b54,
    0xffc58e58,
    0xffd18942,
    0xff763a1b,
    0xff340a00,
    0xffbc8649,
    0xffcb975f,
    0xffcc9a5f,
    0xffcb9559,
    0xffa56f36,
    0xff542c11,
    0xff351504,
    0xff280a00,
    0xff351206,
    0xff3a1203,
    0xff53200e,
    0xffb95e1e,
    0xffef9f43,
    0xffe7993f,
    0xffdfa24a,
    0xffe2b66b,
    0xffdba85a,
    0xffd9a253,
    0xffdaaa58,
    0xffe7ba62,
    0xffecc770,
    0xffffeba5,
    0xffaa8650,
    0xff0c0000,
    0xff7a290f,
    0xff9d250d,
    0xff9c1601,
    0xff190001,
    0xff000001,
    0xff190b07,
    0xff934d00,
    0xff915307,
    0xffeead57,
    0xffbd7538,
    0xff772e12,
    0xff2b1503,
    0xff533412,
    0xff704e20,
    0xff6c491e,
    0xff5e4f10,
    0xff646007,
    0xff99500f,
    0xffa74b15,
    0xff6e6813,
    0xff746915,
    0xff736815,
    0xff6e6612,
    0xff766316,
    0xffcca02e,
    0xffe3ba38,
    0xffe3af3c,
    0xff846a18,
    0xff75681a,
    0xff766a1b,
    0xff766a1a,
    0xff706b1a,
    0xfff0552b,
    0xff975510,
    0xffb85710,
    0xffdc5116,
    0xffa93e0b,
    0xff72540a,
    0xffe33010,
    0xffef3d15,
    0xffc65110,
    0xff465a00,
    0xff505a00,
    0xff4e5a00,
    0xff4c5b01,
    0xff495701,
    0xff445300,
    0xff425101,
    0xff404e00,
    0xff3f4d01,
    0xff3c4b00,
    0xff354600,
    0xff904401,
    0xffd7480c,
    0xff454600,
    0xff384701,
    0xff394700,
    0xff394300,
    0xff364001,
    0xff343e01,
    0xff313900,
    0xff303800,
    0xff323a00,
    0xff333b00,
    0xff343d01,
    0xff353f01,
    0xff323c00,
    0xff303900,
    0xff2b3400,
    0xff283200,
    0xff273100,
    0xff283100,
    0xff262f00,
    0xff262e00,
    0xff272f01,
    0xff272f00,
    0xff283100,
    0xff272f00,
    0xff293100,
    0xff2c3400,
    0xff2e3400,
    0xff303700,
    0xff313800,
    0xff363900,
    0xff373d00,
    0xff3d4000,
    0xff424001,
    0xff444403,
    0xff464501,
    0xff484800,
    0xff4c4b01,
    0xff4f4c01,
    0xff504d03,
    0xff534f09,
    0xff534f0e,
    0xff534e0f,
    0xff514e14,
    0xff4b4d13,
    0xff3f430f,
    0xff3a3f12,
    0xff373d10,
    0xff363c11,
    0xff303c11,
    0xff323910,
    0xff303710,
    0xff2f340f,
    0xff2e350a,
    0xff2e3406,
    0xff313402,
    0xff2f3400,
    0xff303200,
    0xff2e3200,
    0xff303200,
    0xff2c3100,
    0xff2c3100,
    0xff292f01,
    0xff292c00,
    0xff2a2901,
    0xff292901,
    0xff2b2901,
    0xff292700,
    0xff242400,
    0xff222100,
    0xff1e1f00,
    0xff1c1c00,
    0xff1b1b01,
    0xff171900,
    0xff161801,
    0xff131601,
    0xff0f1301,
    0xff0d0f01,
    0xff0b0d00,
    0xff080a00,
    0xff050700,
    0xff010200,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff233700,
    0xff1d3300,
    0xff1c3000,
    0xff172a01,
    0xff162800,
    0xff142300,
    0xff0f1d00,
    0xff0f1b02,
    0xff061500,
    0xff65572b,
    0xff171f0c,
    0xff380b00,
    0xff340b02,
    0xff011401,
    0xff051200,
    0xff061301,
    0xff051501,
    0xff0a1601,
    0xff091800,
    0xff0b1a00,
    0xff0c1c01,
    0xff0e1e00,
    0xff0f2000,
    0xff0f2000,
    0xff182400,
    0xff332a00,
    0xff382900,
    0xff332900,
    0xff1c2300,
    0xff0f1f01,
    0xff0f1f00,
    0xff111c01,
    0xff401401,
    0xff4e1801,
    0xff431901,
    0xff2b1400,
    0xff051401,
    0xff031100,
    0xff021001,
    0xff340d00,
    0xff240702,
    0xff000c00,
    0xff010c00,
    0xff050901,
    0xff000b02,
    0xff000700,
    0xff010700,
    0xff000600,
    0xff020401,
    0xff020401,
    0xff000200,
    0xff000300,
    0xff000200,
    0xff000000,
    0xff070000,
    0xffff8d73,
    0xffff9181,
    0xfffe7a6d,
    0xfffb5a55,
    0xfff44340,
    0xfff4352b,
    0xffee241e,
    0xffef211c,
    0xfff4281f,
    0xffff372a,
    0xfff63e2e,
    0xff5f0408,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff4a2317,
    0xffff7553,
    0xfff25d35,
    0xffed542a,
    0xfff34c29,
    0xffed2d1a,
    0xfff93f2e,
    0xfffa6259,
    0xfffc5b48,
    0xffff908d,
    0xff530008,
    0xff420602,
    0xff030200,
    0xff000000,
    0xffa5301d,
    0xffff7948,
    0xffff4639,
    0xffed2425,
    0xfffc503d,
    0xfffe6c5b,
    0xfffd5754,
    0xfffe6956,
    0xfffd8a56,
    0xfffdab81,
    0xfffeb09f,
    0xfffdaba7,
    0xfffd9d9e,
    0xfffb7e7e,
    0xfffb585e,
    0xfffd5455,
    0xffe93642,
    0xff971c2f,
    0xff1e0013,
    0xff020000,
    0xff0f0000,
    0xff751115,
    0xffff7666,
    0xfff54a4d,
    0xffee181c,
    0xff91170f,
    0xff332111,
    0xff5d2007,
    0xffc86333,
    0xffc85128,
    0xff631e0c,
    0xff1a100d,
    0xff170504,
    0xff75280b,
    0xff904119,
    0xffcab0c5,
    0xff000000,
    0xff46250b,
    0xff9e743b,
    0xffa56a34,
    0xffb77735,
    0xffc88446,
    0xff481506,
    0xff4c2410,
    0xffd29b5a,
    0xffddab6f,
    0xffb48151,
    0xff34170a,
    0xff2f0f04,
    0xff260402,
    0xff2a0500,
    0xff250200,
    0xff2f0b01,
    0xff1b0300,
    0xff6d220a,
    0xffb7541a,
    0xfffbb75c,
    0xffffd770,
    0xffffd66f,
    0xfffeeeba,
    0xfff3ce82,
    0xffe9b95f,
    0xffecc57b,
    0xffeec36f,
    0xffe7b967,
    0xfff0c977,
    0xff936c38,
    0xff523115,
    0xff8d2912,
    0xffa01f05,
    0xff941603,
    0xff010000,
    0xff000000,
    0xff000000,
    0xff7f3a01,
    0xff9e5701,
    0xfff5b969,
    0xffb56233,
    0xff8d4929,
    0xff1a0b00,
    0xff866332,
    0xff906f3d,
    0xffa5865f,
    0xff7b7535,
    0xff5f5601,
    0xffa64412,
    0xff954e11,
    0xff6b6415,
    0xff6d6515,
    0xff716415,
    0xff6b6213,
    0xff866c1d,
    0xffc79b29,
    0xffe6b72f,
    0xffa46c21,
    0xff776310,
    0xff72651a,
    0xff76681b,
    0xff716818,
    0xff84641d,
    0xfffd4a28,
    0xff855a11,
    0xffc65612,
    0xffee4819,
    0xff7a4906,
    0xffa6400d,
    0xffc62f0d,
    0xfffb3e15,
    0xff90530c,
    0xff4c5802,
    0xff4f5800,
    0xff4e5800,
    0xff4c5a00,
    0xff495600,
    0xff445301,
    0xff414f00,
    0xff404d00,
    0xff404d00,
    0xff3c4a01,
    0xff404701,
    0xffb44202,
    0xffbb460a,
    0xff354800,
    0xff3b4800,
    0xff3b4601,
    0xff394400,
    0xff343f01,
    0xff333d01,
    0xff303a00,
    0xff323901,
    0xff323b00,
    0xff323a00,
    0xff323b00,
    0xff313b00,
    0xff303800,
    0xff2b3501,
    0xff293300,
    0xff293300,
    0xff293301,
    0xff283200,
    0xff262f00,
    0xff282f01,
    0xff282f01,
    0xff263000,
    0xff283000,
    0xff283000,
    0xff293100,
    0xff2d3401,
    0xff2e3400,
    0xff2f3700,
    0xff333801,
    0xff363a00,
    0xff3a3d00,
    0xff3e3e00,
    0xff414000,
    0xff434202,
    0xff474601,
    0xff494800,
    0xff4d4b01,
    0xff514d03,
    0xff534d05,
    0xff534f0b,
    0xff535111,
    0xff535214,
    0xff514f14,
    0xff4e4d15,
    0xff444a10,
    0xff3a3f10,
    0xff353d11,
    0xff353e0e,
    0xff333711,
    0xff333810,
    0xff30370f,
    0xff2e350e,
    0xff2f330a,
    0xff2f3507,
    0xff2e3201,
    0xff2e3400,
    0xff303200,
    0xff303100,
    0xff2f3301,
    0xff303401,
    0xff2d3100,
    0xff2d2f01,
    0xff292d00,
    0xff2a2c01,
    0xff2a2b01,
    0xff2b2a02,
    0xff292801,
    0xff252501,
    0xff242300,
    0xff212100,
    0xff1f2000,
    0xff1c1d00,
    0xff191d01,
    0xff171b00,
    0xff171900,
    0xff141600,
    0xff0f1201,
    0xff0c0e00,
    0xff090b00,
    0xff060800,
    0xff030400,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff1e3500,
    0xff1e3100,
    0xff183001,
    0xff192900,
    0xff142601,
    0xff122100,
    0xff101d01,
    0xff0d1b01,
    0xff0b1a00,
    0xff7e5c2d,
    0xff1b1800,
    0xff240c00,
    0xff430802,
    0xff001201,
    0xff031000,
    0xff021300,
    0xff041301,
    0xff071401,
    0xff071600,
    0xff091701,
    0xff0a1901,
    0xff0a1e01,
    0xff0b1f01,
    0xff0d2002,
    0xff132001,
    0xff302500,
    0xff3a2400,
    0xff372501,
    0xff242101,
    0xff0e2001,
    0xff0d1e00,
    0xff0b1d01,
    0xff371300,
    0xff4f1601,
    0xff471900,
    0xff361700,
    0xff091200,
    0xff041201,
    0xff021001,
    0xff2b0e00,
    0xff320805,
    0xff020c00,
    0xff000c00,
    0xff010a00,
    0xff010901,
    0xff000700,
    0xff000400,
    0xff000600,
    0xff000300,
    0xff010200,
    0xff000200,
    0xff000200,
    0xff000000,
    0xff000000,
    0xff020000,
    0xffff7b68,
    0xffff7773,
    0xfffe7064,
    0xfffd524b,
    0xfff2423d,
    0xffef332e,
    0xffec241f,
    0xffe91e17,
    0xffeb231b,
    0xfff8261a,
    0xfffb3923,
    0xffba160d,
    0xff260000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff421c0e,
    0xfff95e31,
    0xffdc5824,
    0xffd04818,
    0xffdc441d,
    0xffd0190a,
    0xffde1914,
    0xfff55d4c,
    0xfffa5b47,
    0xffffa297,
    0xff680419,
    0xff430500,
    0xff000100,
    0xff000000,
    0xfff85e35,
    0xffff6347,
    0xfff42a2a,
    0xffe9211f,
    0xffff523e,
    0xfffd5e50,
    0xfffe7567,
    0xfffd685c,
    0xfffd7847,
    0xfffd9761,
    0xfffea890,
    0xfffda5a0,
    0xfffda09c,
    0xfffb9b8a,
    0xfffda08c,
    0xfffd8d7b,
    0xffff9375,
    0xffff9778,
    0xffff6164,
    0xff6d0630,
    0xff030002,
    0xff000000,
    0xffb1241f,
    0xfff64546,
    0xffe4604e,
    0xffa4180e,
    0xff6f6744,
    0xffbfa37b,
    0xffce9a78,
    0xffc75d39,
    0xff662414,
    0xff140002,
    0xff3e160e,
    0xff2e0c03,
    0xff742402,
    0xffdbbdc3,
    0xff050008,
    0xff2f1508,
    0xffa2743f,
    0xffaf713a,
    0xfff0c27d,
    0xffab7549,
    0xff572212,
    0xff945f2e,
    0xff7d4d26,
    0xff130001,
    0xff1c0000,
    0xff150000,
    0xff200400,
    0xff4e2b12,
    0xff764a1c,
    0xff9d6828,
    0xffbd833a,
    0xff512d0f,
    0xff520000,
    0xff8c0d00,
    0xff880e00,
    0xffa8571f,
    0xffe5bc63,
    0xffffffd2,
    0xfffff1b2,
    0xffffe495,
    0xffffe293,
    0xffffe290,
    0xfffdda8f,
    0xffffd885,
    0xff8c6939,
    0xff673612,
    0xffa63a17,
    0xffa72706,
    0xff811e0c,
    0xff0e0403,
    0xff000000,
    0xff000000,
    0xff814805,
    0xff954f0c,
    0xffe9a763,
    0xffa73e16,
    0xff4d1b0f,
    0xff442a13,
    0xff927144,
    0xff7d5f33,
    0xffd3c7a7,
    0xff5d611c,
    0xff634c04,
    0xffb33c12,
    0xff835110,
    0xff675f14,
    0xff695e15,
    0xff6c5f17,
    0xff665f14,
    0xff8c6e1d,
    0xffb88f24,
    0xffcf9825,
    0xff7c570c,
    0xff706115,
    0xff74631e,
    0xff72661e,
    0xff6d651b,
    0xffc05a27,
    0xffc84617,
    0xffa05716,
    0xffc75213,
    0xfff23e16,
    0xff5a5708,
    0xffbf280a,
    0xffb03207,
    0xfff94619,
    0xff5d5403,
    0xff4e5700,
    0xff4e5500,
    0xff4f5701,
    0xff4c5800,
    0xff475300,
    0xff435001,
    0xff404e00,
    0xff414e01,
    0xff3f4c00,
    0xff394a00,
    0xff5b4801,
    0xffce4005,
    0xff864304,
    0xff344800,
    0xff3a4801,
    0xff3a4400,
    0xff364100,
    0xff333d00,
    0xff323b01,
    0xff303900,
    0xff313a01,
    0xff303901,
    0xff323901,
    0xff303800,
    0xff2f3801,
    0xff2d3600,
    0xff2b3501,
    0xff293300,
    0xff293300,
    0xff2a3400,
    0xff293300,
    0xff283200,
    0xff283001,
    0xff262f01,
    0xff262e00,
    0xff262e00,
    0xff272f00,
    0xff283000,
    0xff2b3300,
    0xff2d3500,
    0xff303600,
    0xff353a01,
    0xff353d00,
    0xff3d3e00,
    0xff414100,
    0xff423f00,
    0xff434302,
    0xff484501,
    0xff4a4900,
    0xff4f4c02,
    0xff554e05,
    0xff535009,
    0xff534f0d,
    0xff595112,
    0xff565118,
    0xff544f17,
    0xff504f16,
    0xff4c4b16,
    0xff404210,
    0xff353b0e,
    0xff343b0c,
    0xff32370d,
    0xff31360e,
    0xff30350d,
    0xff2f330c,
    0xff2e3308,
    0xff2d3405,
    0xff2e3401,
    0xff2e3200,
    0xff2f3400,
    0xff313600,
    0xff313600,
    0xff323700,
    0xff303500,
    0xff2e3200,
    0xff2a3100,
    0xff2c2e00,
    0xff2c2d01,
    0xff2a2b00,
    0xff282900,
    0xff272700,
    0xff242600,
    0xff232500,
    0xff212200,
    0xff1f2101,
    0xff1b1f00,
    0xff1d1d01,
    0xff1b1b00,
    0xff161901,
    0xff151601,
    0xff121200,
    0xff0c0e01,
    0xff070900,
    0xff030401,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff1e3500,
    0xff1a3000,
    0xff182d00,
    0xff162800,
    0xff152400,
    0xff112001,
    0xff101e01,
    0xff0c1900,
    0xff152202,
    0xff512d05,
    0xff35290f,
    0xff160d00,
    0xff510903,
    0xff001000,
    0xff041100,
    0xff041000,
    0xff031100,
    0xff051601,
    0xff061701,
    0xff051700,
    0xff0a1900,
    0xff0a1c00,
    0xff0a1d00,
    0xff0c1e00,
    0xff0f2000,
    0xff2f2401,
    0xff3e2000,
    0xff3b2101,
    0xff2d2100,
    0xff0d1e00,
    0xff0d1d01,
    0xff081c00,
    0xff2b1501,
    0xff501500,
    0xff4c1900,
    0xff3e1800,
    0xff121200,
    0xff051101,
    0xff021100,
    0xff1f0d00,
    0xff3d0b04,
    0xff060900,
    0xff010d01,
    0xff040901,
    0xff000400,
    0xff000401,
    0xff200b0c,
    0xff000000,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff190000,
    0xff6d100d,
    0xff9e2b13,
    0xffea5133,
    0xffff7d68,
    0xfffc7567,
    0xfffd5a4e,
    0xfffc4b3b,
    0xfff03f3b,
    0xffed362d,
    0xffea261f,
    0xffe41c15,
    0xffe72215,
    0xffef2017,
    0xfff92718,
    0xfff4341b,
    0xffaf1805,
    0xff230000,
    0xff000000,
    0xff000000,
    0xff361803,
    0xffea541d,
    0xffce561b,
    0xffc04f0e,
    0xffbc300e,
    0xffc31000,
    0xffcd0603,
    0xfff1624d,
    0xfffc5b49,
    0xffffa294,
    0xff760a1f,
    0xff440500,
    0xff000000,
    0xff230501,
    0xfff24228,
    0xffea2428,
    0xffd30e12,
    0xffdf1f1b,
    0xfffe533e,
    0xfffc5448,
    0xfffd7e78,
    0xfffc7266,
    0xfffe6943,
    0xfffd7c4b,
    0xfffc9e7f,
    0xfffea79d,
    0xfffcac9c,
    0xfffdc1a0,
    0xfffdbca3,
    0xfffdb49f,
    0xfffdab92,
    0xfffdba9e,
    0xffffc0a3,
    0xffffbeac,
    0xfff89793,
    0xff8a2f48,
    0xffaa2c37,
    0xfffc5352,
    0xffcb413f,
    0xffce3837,
    0xffbdad85,
    0xff865f45,
    0xff84412e,
    0xffb56d53,
    0xff6f210e,
    0xff481203,
    0xff501911,
    0xff310e04,
    0xff6c1b02,
    0xffdebcbb,
    0xff250a2a,
    0xff0c0000,
    0xff75461d,
    0xffa36c32,
    0xffc8914a,
    0xff542415,
    0xff220000,
    0xff2d0700,
    0xff3d1706,
    0xff502509,
    0xff774015,
    0xffb57930,
    0xffcd8c3f,
    0xffc9883e,
    0xffbd7f37,
    0xffb87c35,
    0xffb67935,
    0xffc68b3f,
    0xffb45620,
    0xff901900,
    0xff8d0700,
    0xff420000,
    0xff020000,
    0xff5e3f1e,
    0xffb99a65,
    0xffb89861,
    0xffa68144,
    0xffc29b59,
    0xffdec088,
    0xffc7a062,
    0xff795425,
    0xff823b18,
    0xffb54017,
    0xffb4330e,
    0xff7b3115,
    0xff34210e,
    0xff150603,
    0xff0e0101,
    0xff7b5116,
    0xff954f1d,
    0xffd38247,
    0xff951d00,
    0xff160000,
    0xff020000,
    0xff71593d,
    0xff654b2d,
    0xfffffbeb,
    0xff5e5f1c,
    0xff6b4505,
    0xffb93614,
    0xff725311,
    0xff625811,
    0xff675913,
    0xff675a14,
    0xff645a15,
    0xff7f6819,
    0xffa67e1f,
    0xffad781e,
    0xff7a5a15,
    0xff6c6018,
    0xff6f611b,
    0xff71611c,
    0xff6d611c,
    0xfff64a2a,
    0xff924c14,
    0xffba5616,
    0xffd15019,
    0xffdb3e15,
    0xff645306,
    0xffae1c05,
    0xffdb4112,
    0xffd74f18,
    0xff485401,
    0xff505500,
    0xff4b5400,
    0xff4e5700,
    0xff495500,
    0xff455101,
    0xff435000,
    0xff3f4d00,
    0xff3f4d00,
    0xff404b00,
    0xff374b01,
    0xff874100,
    0xffd7400a,
    0xff544001,
    0xff374702,
    0xff3a4701,
    0xff384300,
    0xff343d02,
    0xff323c00,
    0xff313b00,
    0xff303900,
    0xff303900,
    0xff313a01,
    0xff303900,
    0xff2f3801,
    0xff2f3802,
    0xff2e3600,
    0xff2a3400,
    0xff2a3400,
    0xff2b3501,
    0xff2b3400,
    0xff2b3500,
    0xff2a3200,
    0xff293100,
    0xff272f01,
    0xff242f00,
    0xff262d00,
    0xff272e00,
    0xff262e00,
    0xff2a3200,
    0xff2c3400,
    0xff313501,
    0xff353900,
    0xff383e01,
    0xff3e3e00,
    0xff404100,
    0xff434102,
    0xff444403,
    0xff474601,
    0xff4e4905,
    0xff514d06,
    0xff574f0a,
    0xff56510b,
    0xff565011,
    0xff575114,
    0xff58521a,
    0xff56511e,
    0xff55501e,
    0xff4f4d1c,
    0xff474615,
    0xff393d0d,
    0xff33380a,
    0xff31370a,
    0xff2f340a,
    0xff2f350a,
    0xff2e3508,
    0xff2e3307,
    0xff2d3303,
    0xff2f3300,
    0xff2f3401,
    0xff313301,
    0xff323401,
    0xff323701,
    0xff323700,
    0xff333701,
    0xff2f3501,
    0xff2e3301,
    0xff2e3000,
    0xff2c2e00,
    0xff2c2e01,
    0xff292a00,
    0xff282900,
    0xff252700,
    0xff242600,
    0xff232500,
    0xff232500,
    0xff1e2300,
    0xff202101,
    0xff1c1f00,
    0xff1a1d00,
    0xff181a01,
    0xff141600,
    0xff0e1300,
    0xff0a0b00,
    0xff050600,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff1b3300,
    0xff1a2e00,
    0xff172a00,
    0xff142701,
    0xff142300,
    0xff112002,
    0xff101d01,
    0xff0d1801,
    0xff121f01,
    0xff472201,
    0xff221805,
    0xff080f00,
    0xff590702,
    0xff040d00,
    0xff030f00,
    0xff030f00,
    0xff051100,
    0xff051402,
    0xff051500,
    0xff0a1801,
    0xff0b1900,
    0xff0a1a01,
    0xff0c1d00,
    0xff0d1d01,
    0xff0d1f00,
    0xff2b1f00,
    0xff471f02,
    0xff401e01,
    0xff341e00,
    0xff111e00,
    0xff0b1d00,
    0xff091c00,
    0xff211601,
    0xff4f1501,
    0xff501801,
    0xff461800,
    0xff1f1200,
    0xff041201,
    0xff031100,
    0xff0f0c01,
    0xff470b05,
    0xff0c0a02,
    0xff020d01,
    0xff000600,
    0xff2a1c0f,
    0xffef705b,
    0xffff4d3e,
    0xffef3d25,
    0xff711313,
    0xff5e1322,
    0xff99252e,
    0xfff85643,
    0xffff5f47,
    0xffff4941,
    0xfffd343d,
    0xfffd6d66,
    0xfffe7161,
    0xfffd413e,
    0xffff4c30,
    0xffee382f,
    0xffe9322c,
    0xffe9291f,
    0xffdf1914,
    0xffe11d12,
    0xffe31b13,
    0xffe7150c,
    0xfff82618,
    0xffff4e2f,
    0xffff5937,
    0xffb63622,
    0xff1b0001,
    0xff1e1200,
    0xffdd4918,
    0xffcb4a15,
    0xffbe480c,
    0xffae2304,
    0xffc30f00,
    0xffce0a02,
    0xfff6674a,
    0xfffc543f,
    0xffff9587,
    0xff700516,
    0xff460602,
    0xff000000,
    0xff460d04,
    0xfff03619,
    0xffcf0e10,
    0xffbf0200,
    0xffd6231d,
    0xfffa4f39,
    0xffef3e2e,
    0xffdd3a54,
    0xffff826c,
    0xfffe684f,
    0xfffe744e,
    0xfffd9277,
    0xfffe9688,
    0xfffd9083,
    0xfffe8f82,
    0xfffd8d81,
    0xffff8a7a,
    0xfffe897b,
    0xfffe9b90,
    0xfffeb4a4,
    0xfffeb2a8,
    0xfffd9a9b,
    0xffffaf9f,
    0xffffa990,
    0xfffb746f,
    0xffff7660,
    0xfffd6c5c,
    0xff5f2128,
    0xff240000,
    0xff660200,
    0xff603a32,
    0xff87290e,
    0xff6a2b17,
    0xff3e0d0a,
    0xff180702,
    0xff78280b,
    0xffca9c94,
    0xff5c3e63,
    0xff000000,
    0xff280f07,
    0xff6e4421,
    0xffab793e,
    0xff3e1606,
    0xffe0bd6f,
    0xffe7ba6b,
    0xffd9a552,
    0xffd8a352,
    0xffdcb265,
    0xffd5ab5b,
    0xffc39144,
    0xffbb8c40,
    0xffbf964d,
    0xffbd9b51,
    0xffcea759,
    0xffc79d4c,
    0xffd38a3a,
    0xffcd712a,
    0xffac3806,
    0xff390700,
    0xff140000,
    0xff1c0000,
    0xff160000,
    0xff321000,
    0xff502503,
    0xff70430f,
    0xff724410,
    0xff542600,
    0xff462207,
    0xff821e05,
    0xffaa2706,
    0xffa82506,
    0xff5a270d,
    0xff4b2c0e,
    0xff3e2007,
    0xff200d05,
    0xff835924,
    0xffa65520,
    0xffad451c,
    0xff860d00,
    0xff1c0503,
    0xff2f1a07,
    0xff7f6441,
    0xff7e5e34,
    0xfffffde7,
    0xff686d36,
    0xff763c03,
    0xffba3412,
    0xff645011,
    0xff5e5314,
    0xff615216,
    0xff625417,
    0xff625317,
    0xff6f591d,
    0xff9f6d24,
    0xff986520,
    0xff785f1c,
    0xff6e611f,
    0xff715f1c,
    0xff6c611c,
    0xff8b5e1e,
    0xfff93c22,
    0xff7f5414,
    0xffc95516,
    0xffe44f1e,
    0xffa44310,
    0xff943907,
    0xff992e0a,
    0xffff4d1c,
    0xff995112,
    0xff485400,
    0xff4f5200,
    0xff4d5100,
    0xff4a5300,
    0xff475300,
    0xff434f00,
    0xff3f4b00,
    0xff3e4c00,
    0xff3e4b00,
    0xff3d4c00,
    0xff3d4900,
    0xffb23d02,
    0xffc84006,
    0xff364400,
    0xff394700,
    0xff394401,
    0xff344100,
    0xff343e01,
    0xff323c00,
    0xff313b00,
    0xff313b00,
    0xff323c00,
    0xff313b00,
    0xff313a01,
    0xff303900,
    0xff2f3800,
    0xff2d3700,
    0xff2b3501,
    0xff2c3601,
    0xff2c3601,
    0xff2d3500,
    0xff2d3601,
    0xff2b3300,
    0xff2a3300,
    0xff273101,
    0xff262f00,
    0xff272f00,
    0xff252c01,
    0xff262e00,
    0xff273000,
    0xff2a3200,
    0xff303400,
    0xff353700,
    0xff393c01,
    0xff3e3d00,
    0xff424201,
    0xff434101,
    0xff434302,
    0xff4b4605,
    0xff4f4a09,
    0xff524c0b,
    0xff574f0c,
    0xff595112,
    0xff5b5214,
    0xff5a5217,
    0xff58511a,
    0xff574f1e,
    0xff554f21,
    0xff4f4c1e,
    0xff47441a,
    0xff424012,
    0xff353608,
    0xff313307,
    0xff2d3108,
    0xff2f3409,
    0xff2e3405,
    0xff2d3205,
    0xff2f3202,
    0xff313400,
    0xff323600,
    0xff313600,
    0xff323402,
    0xff323500,
    0xff363901,
    0xff373800,
    0xff343701,
    0xff343600,
    0xff313600,
    0xff313301,
    0xff2e2f00,
    0xff2c2e01,
    0xff292a01,
    0xff262801,
    0xff262800,
    0xff262801,
    0xff262700,
    0xff242600,
    0xff222500,
    0xff1f2501,
    0xff1d2001,
    0xff1a1d00,
    0xff161901,
    0xff101400,
    0xff0b0d00,
    0xff080901,
    0xff030300,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff1a3000,
    0xff172d00,
    0xff162700,
    0xff132400,
    0xff122000,
    0xff112001,
    0xff0e1b00,
    0xff091700,
    0xff0e1c01,
    0xff452507,
    0xff190f09,
    0xff020e00,
    0xff590503,
    0xff0a0c00,
    0xff020f00,
    0xff020e00,
    0xff041000,
    0xff051301,
    0xff071501,
    0xff081600,
    0xff091900,
    0xff091b00,
    0xff0a1c00,
    0xff0c1e01,
    0xff0d1e00,
    0xff201e00,
    0xff491c00,
    0xff441901,
    0xff3c1e00,
    0xff161e00,
    0xff0c1d01,
    0xff0c1b01,
    0xff151800,
    0xff4e1300,
    0xff551702,
    0xff4c1801,
    0xff2b1300,
    0xff051101,
    0xff031000,
    0xff070d00,
    0xff460d04,
    0xff150801,
    0xff000900,
    0xff0f0e06,
    0xfffd6659,
    0xffcb0c18,
    0xffd41411,
    0xfff0201f,
    0xffff6d5b,
    0xffff9e7c,
    0xffff8c77,
    0xffff7b6a,
    0xffff675b,
    0xfffd5d4c,
    0xffff604e,
    0xfffd665c,
    0xffff6858,
    0xfff73131,
    0xfff72f20,
    0xffe52b26,
    0xffe52c29,
    0xffe52720,
    0xffd71616,
    0xffd21511,
    0xffd0180f,
    0xffd61209,
    0xffe5140a,
    0xfffa2e1c,
    0xffff4729,
    0xffff4e35,
    0xffff573c,
    0xff842713,
    0xffda4a21,
    0xffcf431a,
    0xffc43c0e,
    0xffb52006,
    0xffc40e01,
    0xffd10f08,
    0xfff45e44,
    0xfffe4934,
    0xffff8277,
    0xff61000a,
    0xff480703,
    0xff000000,
    0xff5f0e07,
    0xffea291a,
    0xffcb0c0c,
    0xffbb0100,
    0xffd62a1f,
    0xfff64d37,
    0xffe62a22,
    0xffe9382e,
    0xffff7867,
    0xfffd6d57,
    0xfffe6c58,
    0xfffe7a6a,
    0xfffe8178,
    0xfffd6a6e,
    0xfffd625e,
    0xfffe6c5f,
    0xfffd7a63,
    0xfffd856b,
    0xfffd8f77,
    0xfffd9b8a,
    0xfffca999,
    0xfffeab95,
    0xfffc7e80,
    0xfffc837f,
    0xfffc5d62,
    0xfffb4742,
    0xffff7a68,
    0xffff8164,
    0xffe73922,
    0xffd0271e,
    0xff942f2c,
    0xff621608,
    0xff742b14,
    0xff43100e,
    0xff0d0100,
    0xff833012,
    0xffb68277,
    0xff897292,
    0xff000000,
    0xff3a190b,
    0xff401b0a,
    0xff643319,
    0xff3e1702,
    0xfff1da9b,
    0xffffffd9,
    0xffffffe3,
    0xffffffea,
    0xffffffeb,
    0xffffffe2,
    0xffffffd9,
    0xffffffdc,
    0xffffffde,
    0xffffffe2,
    0xffffffe7,
    0xffffffe1,
    0xffffffd3,
    0xffffffc9,
    0xfffdefb6,
    0xfff4e49f,
    0xffd0b96c,
    0xff472700,
    0xff110000,
    0xff3d1d07,
    0xffe4b164,
    0xffffd989,
    0xffffeea6,
    0xffd9b161,
    0xff784e1b,
    0xffa73811,
    0xffad2203,
    0xff991e06,
    0xff321303,
    0xff421e02,
    0xff411c06,
    0xff1a0400,
    0xff4e280d,
    0xffa63e19,
    0xffb23c13,
    0xff841a03,
    0xff0d0100,
    0xff5c4024,
    0xff7a643c,
    0xffb68f60,
    0xfff6e8cf,
    0xff888c5d,
    0xff872d06,
    0xffae3710,
    0xff574d12,
    0xff5b4d13,
    0xff5e4f16,
    0xff5f5015,
    0xff605116,
    0xff6e531d,
    0xff935920,
    0xff9a5d26,
    0xff795e21,
    0xff6c5e20,
    0xff705e1f,
    0xff67601c,
    0xffca562a,
    0xffbe4217,
    0xff9d5318,
    0xffce5113,
    0xfff24b24,
    0xff774808,
    0xffb72004,
    0xffa14411,
    0xffff5122,
    0xff615007,
    0xff4d5100,
    0xff4d5001,
    0xff484e00,
    0xff455100,
    0xff445101,
    0xff404b00,
    0xff3e4a00,
    0xff3e4901,
    0xff3d4a00,
    0xff394b00,
    0xff584500,
    0xffd43d05,
    0xff983d03,
    0xff304400,
    0xff374400,
    0xff374200,
    0xff343f01,
    0xff323c00,
    0xff313b00,
    0xff323c00,
    0xff313b00,
    0xff313b00,
    0xff323c00,
    0xff313b00,
    0xff303a00,
    0xff2e3801,
    0xff2c3700,
    0xff2d3601,
    0xff2d3601,
    0xff2e3701,
    0xff2d3601,
    0xff2d3500,
    0xff293701,
    0xff2a3400,
    0xff273200,
    0xff273000,
    0xff283001,
    0xff252e01,
    0xff242c00,
    0xff262e01,
    0xff283100,
    0xff2e3200,
    0xff323600,
    0xff383b00,
    0xff3e3e01,
    0xff414201,
    0xff444101,
    0xff464403,
    0xff4c4706,
    0xff504b0a,
    0xff544e0d,
    0xff564e0f,
    0xff595112,
    0xff5b5215,
    0xff585016,
    0xff574d17,
    0xff574d1c,
    0xff554d20,
    0xff514c1e,
    0xff47431c,
    0xff444219,
    0xff39390a,
    0xff2f3105,
    0xff292f05,
    0xff293006,
    0xff2d3103,
    0xff2d3002,
    0xff2f3301,
    0xff313500,
    0xff333700,
    0xff323700,
    0xff343700,
    0xff333501,
    0xff363901,
    0xff383900,
    0xff343700,
    0xff363600,
    0xff363500,
    0xff333500,
    0xff303200,
    0xff2f3000,
    0xff2b2d00,
    0xff282b00,
    0xff292b01,
    0xff282a01,
    0xff272900,
    0xff262800,
    0xff222700,
    0xff242800,
    0xff222500,
    0xff1d2000,
    0xff1a1b00,
    0xff131501,
    0xff0e0f01,
    0xff090a00,
    0xff050601,
    0xff010200,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff182e00,
    0xff152800,
    0xff142501,
    0xff112200,
    0xff0f1e01,
    0xff0d1d01,
    0xff0f1a01,
    0xff0b1601,
    0xff0b1a01,
    0xff3d230c,
    0xff351616,
    0xff000e00,
    0xff4f0602,
    0xff1a0a02,
    0xff010e00,
    0xff030e00,
    0xff030f02,
    0xff051100,
    0xff041600,
    0xff091600,
    0xff071901,
    0xff071a00,
    0xff0a1c00,
    0xff0d1c00,
    0xff0c1f02,
    0xff1a1f01,
    0xff481e00,
    0xff481a01,
    0xff421e00,
    0xff1c1e01,
    0xff0c1d00,
    0xff0d1c01,
    0xff0e1901,
    0xff451400,
    0xff5a1501,
    0xff501800,
    0xff381501,
    0xff071100,
    0xff051100,
    0xff000f00,
    0xff3f0d03,
    0xff240b06,
    0xff000200,
    0xffb04831,
    0xffd81319,
    0xffb00704,
    0xffcd110c,
    0xffea2e2c,
    0xffff997b,
    0xfffd8b7d,
    0xfffd736c,
    0xfffe6056,
    0xffff5442,
    0xffff4c41,
    0xfff74548,
    0xfffc5858,
    0xfffd474a,
    0xffef222b,
    0xffed1520,
    0xffe92c28,
    0xffdf2e29,
    0xffde2820,
    0xffd21614,
    0xffc5140e,
    0xffc5160f,
    0xffc40c05,
    0xffcf0901,
    0xffec1a0b,
    0xfffe371d,
    0xffff4725,
    0xfff1261f,
    0xfffc3d25,
    0xfffb6c3d,
    0xffe34334,
    0xffca2e15,
    0xffb61904,
    0xffca1307,
    0xffd31812,
    0xffef4c3e,
    0xfffe462d,
    0xfffb6b64,
    0xff5f000a,
    0xff490805,
    0xff000000,
    0xffa93120,
    0xffff462e,
    0xffd71712,
    0xffb80101,
    0xffd52a1e,
    0xfff03d2c,
    0xffe82a21,
    0xfffc4b2f,
    0xfffe5348,
    0xfffd5b4b,
    0xfffd5951,
    0xfffd6b5f,
    0xfffe8472,
    0xfffd967d,
    0xfffd6e66,
    0xfffd6f60,
    0xfffd7060,
    0xffff7d64,
    0xfffd9072,
    0xfffe937a,
    0xfffd9788,
    0xfffda892,
    0xfffd877c,
    0xfffd6564,
    0xfffe705e,
    0xfffd6245,
    0xfffe664a,
    0xffff6b53,
    0xffff6c49,
    0xffff6739,
    0xffff7550,
    0xffb21a14,
    0xff742215,
    0xff4f1810,
    0xff070000,
    0xff7c301a,
    0xffa06348,
    0xff80666b,
    0xff000000,
    0xff8e4f23,
    0xff5a3018,
    0xff180000,
    0xff491e0d,
    0xff180000,
    0xff320e00,
    0xff6b4c2d,
    0xfff2efc7,
    0xfffffff3,
    0xffffffe6,
    0xfffefed8,
    0xfffbfcd3,
    0xfffdfcd9,
    0xfffdfcde,
    0xfffefee0,
    0xfffefede,
    0xfffefed6,
    0xfffefed0,
    0xfffeffdd,
    0xfffffff1,
    0xfffffff9,
    0xfffff3b2,
    0xff432400,
    0xff3b1200,
    0xffb99b6d,
    0xfffff2b0,
    0xfffae49e,
    0xffffe7a0,
    0xffd8a86b,
    0xffb13b15,
    0xffad2103,
    0xff811f09,
    0xff422609,
    0xff613713,
    0xff361c04,
    0xff270f02,
    0xff2d0101,
    0xff901200,
    0xff9d1400,
    0xff711102,
    0xff2b1302,
    0xff4a2b11,
    0xff967347,
    0xffad8b5f,
    0xffd5be9d,
    0xffeefce6,
    0xff972602,
    0xff95360d,
    0xff4f4810,
    0xff564814,
    0xff594a14,
    0xff5c4d15,
    0xff624f1d,
    0xff7c5924,
    0xff985722,
    0xffa15825,
    0xff6e5c21,
    0xff6d5d22,
    0xff6e5d21,
    0xff6d5d1e,
    0xffff4c2e,
    0xff824c12,
    0xffbe551b,
    0xffcc4f16,
    0xfff14620,
    0xff6f4508,
    0xffa61807,
    0xffc85117,
    0xffde5523,
    0xff484f01,
    0xff4f5000,
    0xff4b4e00,
    0xff484c00,
    0xff444d00,
    0xff3f4d00,
    0xff3d4901,
    0xff3b4600,
    0xff3b4701,
    0xff3a4701,
    0xff334600,
    0xff873d02,
    0xffe44006,
    0xff5d3b02,
    0xff324301,
    0xff364200,
    0xff363f01,
    0xff343e01,
    0xff313c00,
    0xff333b00,
    0xff323b00,
    0xff323c00,
    0xff323c00,
    0xff333d01,
    0xff323c00,
    0xff313b00,
    0xff2e3801,
    0xff2c3800,
    0xff2e3700,
    0xff2f3801,
    0xff2e3701,
    0xff2e3700,
    0xff2e3702,
    0xff2b3500,
    0xff2b3501,
    0xff293300,
    0xff283101,
    0xff273002,
    0xff262f00,
    0xff242e00,
    0xff252e00,
    0xff282f01,
    0xff2d2f00,
    0xff323400,
    0xff373a00,
    0xff403e00,
    0xff414102,
    0xff454404,
    0xff484504,
    0xff4e4a0a,
    0xff534c0d,
    0xff554e0f,
    0xff585012,
    0xff5a5115,
    0xff5b5016,
    0xff595017,
    0xff554d17,
    0xff564d1c,
    0xff564b20,
    0xff50491d,
    0xff46431b,
    0xff44401b,
    0xff3c3c0e,
    0xff2e3105,
    0xff2a2f03,
    0xff292f05,
    0xff2d2f04,
    0xff303102,
    0xff303401,
    0xff343600,
    0xff343700,
    0xff333600,
    0xff343800,
    0xff333700,
    0xff363801,
    0xff383a01,
    0xff353a00,
    0xff3a3700,
    0xff363500,
    0xff333701,
    0xff323601,
    0xff343301,
    0xff2d3100,
    0xff2e2f00,
    0xff2b3000,
    0xff2c2e01,
    0xff2b2e01,
    0xff282c00,
    0xff2b2b01,
    0xff282a00,
    0xff262700,
    0xff222300,
    0xff1d1c00,
    0xff141700,
    0xff101101,
    0xff0c0d01,
    0xff070800,
    0xff030400,
    0xff010000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff182b00,
    0xff152600,
    0xff112100,
    0xff0d1e00,
    0xff0d1c00,
    0xff0b1900,
    0xff081700,
    0xff081501,
    0xff051400,
    0xff3a2105,
    0xff390e12,
    0xff000c00,
    0xff420401,
    0xff2a0903,
    0xff010c00,
    0xff020e00,
    0xff030f00,
    0xff041100,
    0xff071400,
    0xff031400,
    0xff3a3c0a,
    0xff292804,
    0xff0a1a00,
    0xff0d1d00,
    0xff0f1f01,
    0xff122000,
    0xff462000,
    0xff501b00,
    0xff431e01,
    0xff2a1f00,
    0xff0e1d00,
    0xff0c1c01,
    0xff0a1a00,
    0xff3b1501,
    0xff5e1300,
    0xff531900,
    0xff421500,
    0xff0e1100,
    0xff021200,
    0xff010f00,
    0xff2e0e01,
    0xff350a09,
    0xff000700,
    0xfff84433,
    0xffa60000,
    0xffae0d08,
    0xffc40c0b,
    0xfff04e3d,
    0xffff8471,
    0xfffe6863,
    0xffff5044,
    0xffff412a,
    0xffb71611,
    0xff85091c,
    0xfffe6156,
    0xfffd726a,
    0xfff9494e,
    0xfffc5946,
    0xffff5b41,
    0xfffd5239,
    0xffe12c2f,
    0xffdc2421,
    0xffd41816,
    0xffbf0d08,
    0xffb70d06,
    0xffb20904,
    0xffb40100,
    0xffcb0a00,
    0xffe51508,
    0xffe71f13,
    0xffe82a21,
    0xffd20607,
    0xfff14e2d,
    0xffff896f,
    0xffdc2d2c,
    0xffbc1205,
    0xffca170a,
    0xffda1e18,
    0xffe83536,
    0xfffd4128,
    0xffff8d79,
    0xff8d152b,
    0xff470402,
    0xff020000,
    0xffeb623c,
    0xffff6943,
    0xffe11a17,
    0xffb40001,
    0xffd62b1f,
    0xffed3528,
    0xffec311f,
    0xfffd452c,
    0xfffd4534,
    0xfffe4137,
    0xfffd4e3d,
    0xfffd6350,
    0xfffd836e,
    0xfffd9184,
    0xfffc8f7e,
    0xfffd9976,
    0xfffe8465,
    0xfffe7768,
    0xfffc7f72,
    0xfffd8d74,
    0xfffd8f78,
    0xfffe9480,
    0xfffe876e,
    0xfffc6850,
    0xfffd5e44,
    0xfffc4434,
    0xfffc2826,
    0xfffa2221,
    0xfffa2927,
    0xfffc4032,
    0xfffd6650,
    0xffff5f38,
    0xffe13e2f,
    0xff55070e,
    0xff000000,
    0xff6e2914,
    0xff895041,
    0xff836568,
    0xff000000,
    0xff6a3618,
    0xff84502b,
    0xff070000,
    0xff6e461d,
    0xff975f26,
    0xff370900,
    0xff320a00,
    0xff2a0800,
    0xff785a31,
    0xffdcd1a2,
    0xffffffe7,
    0xffffffee,
    0xffffffdf,
    0xfffdfddb,
    0xfffdfed5,
    0xfffbf8cb,
    0xfffefacd,
    0xfffefed7,
    0xfffefdee,
    0xfffeffef,
    0xfffefeef,
    0xffffffff,
    0xff8e713d,
    0xff8a572b,
    0xff936634,
    0xffffffff,
    0xfffefff9,
    0xffffffec,
    0xffd8ae74,
    0xffb94218,
    0xffbc320d,
    0xff521907,
    0xff271401,
    0xff2e1406,
    0xff080000,
    0xff060202,
    0xff3c0001,
    0xff960e00,
    0xff9f0f01,
    0xff410000,
    0xff724b0f,
    0xff734a1b,
    0xffa67436,
    0xffb18456,
    0xff99784a,
    0xfffcf8e3,
    0xffe1a27c,
    0xff824000,
    0xff4b3e0d,
    0xff524311,
    0xff564715,
    0xff5e4e1a,
    0xff66541c,
    0xff895e21,
    0xff9c5520,
    0xff9f5322,
    0xff685b1d,
    0xff695e21,
    0xff695c1f,
    0xff975c25,
    0xffed4322,
    0xff7e4d16,
    0xffd35418,
    0xffd44e1b,
    0xffcb4116,
    0xff882b06,
    0xff7d2e09,
    0xfff54d1a,
    0xff985017,
    0xff484e02,
    0xff4f4d00,
    0xff484c00,
    0xff454a00,
    0xff434900,
    0xff3e4900,
    0xff394300,
    0xff3a4300,
    0xff394500,
    0xff374500,
    0xff3d4100,
    0xffb83a03,
    0xffd53f07,
    0xff343c00,
    0xff334000,
    0xff363f01,
    0xff353f02,
    0xff333d00,
    0xff313c00,
    0xff333a00,
    0xff333c00,
    0xff323c00,
    0xff313b00,
    0xff333d00,
    0xff313b00,
    0xff313a00,
    0xff2f3801,
    0xff2c3600,
    0xff2f3801,
    0xff2e3700,
    0xff2f3801,
    0xff2f3801,
    0xff2d3600,
    0xff2d3601,
    0xff2d3702,
    0xff293500,
    0xff283100,
    0xff273000,
    0xff252e00,
    0xff252e01,
    0xff252e01,
    0xff262f00,
    0xff2b3000,
    0xff333601,
    0xff393c01,
    0xff3f3f02,
    0xff424204,
    0xff444306,
    0xff494805,
    0xff4f4c0c,
    0xff544e10,
    0xff564e13,
    0xff5a5115,
    0xff5a5016,
    0xff5a4f14,
    0xff584e16,
    0xff554c17,
    0xff534918,
    0xff51491c,
    0xff4d471c,
    0xff46401c,
    0xff403e1a,
    0xff403e12,
    0xff2f3104,
    0xff282e00,
    0xff282f01,
    0xff2c2f00,
    0xff2f3100,
    0xff303201,
    0xff343701,
    0xff343700,
    0xff353700,
    0xff363601,
    0xff363700,
    0xff383a00,
    0xff383a01,
    0xff363a00,
    0xff383900,
    0xff373601,
    0xff363500,
    0xff353500,
    0xff333300,
    0xff323200,
    0xff303000,
    0xff2d3100,
    0xff2e3000,
    0xff2d3000,
    0xff2e3200,
    0xff2c2f00,
    0xff2a2d02,
    0xff262901,
    0xff222300,
    0xff1d1e00,
    0xff171800,
    0xff111401,
    0xff0c0d00,
    0xff0a0a00,
    0xff050600,
    0xff020200,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff162801,
    0xff132200,
    0xff0f1e01,
    0xff0a1c01,
    0xff091900,
    0xff091700,
    0xff071401,
    0xff061200,
    0xff030f00,
    0xff110e01,
    0xff320200,
    0xff030c01,
    0xff2a0400,
    0xff3f0906,
    0xff000b00,
    0xff020e00,
    0xff040f00,
    0xff031000,
    0xff051400,
    0xff001300,
    0xff6d5225,
    0xff59430f,
    0xff081b00,
    0xff0d1d00,
    0xff112101,
    0xff0f2000,
    0xff402202,
    0xff581e00,
    0xff482001,
    0xff342001,
    0xff0c1d01,
    0xff0e1d00,
    0xff081901,
    0xff2a1701,
    0xff5d1300,
    0xff571800,
    0xff4b1600,
    0xff161000,
    0xff021101,
    0xff020e00,
    0xff1e0c00,
    0xff3a0b0b,
    0xff4a2814,
    0xffee261e,
    0xff950000,
    0xffb60a04,
    0xffc80909,
    0xfffe6648,
    0xfffe685a,
    0xfffe473a,
    0xffff4424,
    0xff9f150c,
    0xff000000,
    0xffcb5340,
    0xffff9575,
    0xfffe917d,
    0xfffe7966,
    0xffff8662,
    0xffff7b59,
    0xffff6a42,
    0xffe22e2b,
    0xffd72520,
    0xffd11b17,
    0xffb90708,
    0xffaa0504,
    0xffa60302,
    0xffa20000,
    0xffaf0000,
    0xffbc0300,
    0xffc50404,
    0xffee3b25,
    0xffd61b19,
    0xffd10a04,
    0xffffa077,
    0xfffb615a,
    0xffc4110e,
    0xffc81408,
    0xffd91812,
    0xffe83027,
    0xfffd4428,
    0xffff9178,
    0xffb23a50,
    0xff460201,
    0xff050000,
    0xffe94b3c,
    0xffff513a,
    0xffd81011,
    0xffb30200,
    0xffce241b,
    0xfff23b25,
    0xfffa462a,
    0xfffa4231,
    0xfffa3926,
    0xfffa332a,
    0xfffe4f31,
    0xfffe5e42,
    0xfffc534c,
    0xfffc4d57,
    0xfffc9273,
    0xfffeaf80,
    0xfffd9d76,
    0xfffc9587,
    0xfffd8f8a,
    0xfffc7a72,
    0xfffd8667,
    0xfffd8164,
    0xfffe4e46,
    0xfffb3328,
    0xfffe3a20,
    0xffff2f17,
    0xffef1209,
    0xffe50606,
    0xfff00f1b,
    0xfffc2832,
    0xfffb454b,
    0xffff625c,
    0xffff765e,
    0xfff14c43,
    0xff6b0312,
    0xffe16148,
    0xffb36a58,
    0xff4c1613,
    0xff000000,
    0xffa76432,
    0xffa56a3c,
    0xff1d0302,
    0xff8c5b30,
    0xff997248,
    0xffab7d4c,
    0xff2d0b06,
    0xff200000,
    0xff150000,
    0xff170000,
    0xff563718,
    0xffc4ad82,
    0xffffffeb,
    0xfffffffa,
    0xffffffec,
    0xfffefed7,
    0xfff9f1c2,
    0xfffdfad7,
    0xfffdfee4,
    0xfffefffc,
    0xfffefefb,
    0xfffffffc,
    0xffdbd39d,
    0xff57361a,
    0xff4d1900,
    0xffe2cfa8,
    0xffffffff,
    0xffffffff,
    0xffecc4aa,
    0xffde805a,
    0xffcc633c,
    0xff69482e,
    0xff7d5c39,
    0xff442713,
    0xff1c0b03,
    0xff0b0503,
    0xff520000,
    0xff9b0f01,
    0xff9e1401,
    0xff702a02,
    0xffd7a244,
    0xffb0883d,
    0xffb88846,
    0xff905f1b,
    0xff7e4d17,
    0xff795b33,
    0xfffdf1d8,
    0xffc69e55,
    0xff5e530b,
    0xff4c3d12,
    0xff544415,
    0xff5d4e19,
    0xff634f1b,
    0xff945f23,
    0xffa1561e,
    0xff94501d,
    0xff65581f,
    0xff665c1f,
    0xff625a1c,
    0xffdd532e,
    0xffa54315,
    0xffa74e1d,
    0xffd85115,
    0xffe64e24,
    0xffa23f0d,
    0xff901302,
    0xff914610,
    0xffff5020,
    0xff5a4c0a,
    0xff4c4b01,
    0xff4d4c00,
    0xff474900,
    0xff424700,
    0xff404700,
    0xff3b4402,
    0xff363f00,
    0xff384000,
    0xff374200,
    0xff314100,
    0xff593900,
    0xffda3d09,
    0xff993a04,
    0xff293e00,
    0xff353e01,
    0xff353e01,
    0xff323c00,
    0xff343e00,
    0xff313b00,
    0xff333c01,
    0xff323a00,
    0xff323c00,
    0xff313c00,
    0xff323c00,
    0xff313a01,
    0xff303902,
    0xff2f3700,
    0xff2d3600,
    0xff2e3700,
    0xff2f3801,
    0xff2f3701,
    0xff2e3800,
    0xff2d3600,
    0xff2e3702,
    0xff2d3702,
    0xff293600,
    0xff2b3400,
    0xff293200,
    0xff223001,
    0xff252f02,
    0xff252d01,
    0xff262e00,
    0xff2b3200,
    0xff333600,
    0xff3a3d02,
    0xff404104,
    0xff424404,
    0xff464507,
    0xff4a490a,
    0xff514f11,
    0xff534f14,
    0xff574e16,
    0xff584f16,
    0xff584e17,
    0xff5a4f16,
    0xff564b16,
    0xff554b17,
    0xff514817,
    0xff4f431a,
    0xff4c4419,
    0xff433e18,
    0xff3d3c18,
    0xff403b15,
    0xff333408,
    0xff2a2c00,
    0xff2c2e02,
    0xff2d3100,
    0xff2e3100,
    0xff313300,
    0xff333600,
    0xff343701,
    0xff353801,
    0xff383800,
    0xff363c00,
    0xff393b00,
    0xff393c00,
    0xff363b00,
    0xff383900,
    0xff363601,
    0xff373701,
    0xff363600,
    0xff333301,
    0xff333301,
    0xff303200,
    0xff2f3100,
    0xff303200,
    0xff2f3100,
    0xff2d3200,
    0xff2c3001,
    0xff2b2d01,
    0xff272b00,
    0xff222400,
    0xff1d1f01,
    0xff191b00,
    0xff151501,
    0xff111101,
    0xff0b0c00,
    0xff060801,
    0xff030400,
    0xff010100,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff142400,
    0xff102100,
    0xff0d1b01,
    0xff071900,
    0xff071700,
    0xff071400,
    0xff051201,
    0xff041000,
    0xff040d01,
    0xff000c00,
    0xff360301,
    0xff090900,
    0xff140501,
    0xff530908,
    0xff000b00,
    0xff020e00,
    0xff030f00,
    0xff051100,
    0xff041200,
    0xff021800,
    0xff684409,
    0xff543f20,
    0xff0d1c00,
    0xff0d1d00,
    0xff0e2000,
    0xff101f00,
    0xff362000,
    0xff582000,
    0xff4a2302,
    0xff382500,
    0xff121d00,
    0xff0c1b00,
    0xff061a01,
    0xff1c1700,
    0xff5a1000,
    0xff5b1500,
    0xff4d1700,
    0xff251101,
    0xff031100,
    0xff020f00,
    0xff0d0b00,
    0xff40090a,
    0xff803c24,
    0xffd61719,
    0xff9e0504,
    0xffca1408,
    0xffe0261f,
    0xffff6646,
    0xfffe483a,
    0xffff4724,
    0xff93110c,
    0xff0e000c,
    0xff9b2c32,
    0xffff6c56,
    0xfffe786c,
    0xfffc7e6d,
    0xfffe775c,
    0xfffe6e4f,
    0xfffc563c,
    0xfff1402b,
    0xffd22220,
    0xffd0231d,
    0xffcc1d15,
    0xffb90808,
    0xffa70300,
    0xff9f0000,
    0xff9d0000,
    0xffa10002,
    0xffab0000,
    0xffbd0000,
    0xfff24527,
    0xffe93e32,
    0xffcb0000,
    0xffec2c26,
    0xffff9876,
    0xffd4181e,
    0xffc51002,
    0xffd6150c,
    0xffef4229,
    0xfffb432c,
    0xffff9778,
    0xffc84f66,
    0xff450002,
    0xff190300,
    0xffe4391c,
    0xffe72220,
    0xffc40706,
    0xffb30301,
    0xffcc1d16,
    0xfff74224,
    0xffff5733,
    0xfff1352b,
    0xffed2d1e,
    0xffed281e,
    0xfffb4527,
    0xfffb4932,
    0xfff4302f,
    0xfffc5943,
    0xfffd9163,
    0xfffd8968,
    0xfffc9182,
    0xfffdb4b0,
    0xffffc8b7,
    0xfffd5a58,
    0xfffe5b41,
    0xfffe4d37,
    0xfffb1712,
    0xfffc1809,
    0xfffe280d,
    0xfffe290d,
    0xffe90809,
    0xfff01b22,
    0xfffe564c,
    0xfffd7a68,
    0xfffe8874,
    0xfffe8075,
    0xfffe7a75,
    0xffff796d,
    0xffff8a6f,
    0xffff846c,
    0xfff22e38,
    0xfffa5747,
    0xff6b2222,
    0xff8a4c2a,
    0xff915e35,
    0xff170000,
    0xffa86d35,
    0xff451a08,
    0xff503317,
    0xffddac69,
    0xff7e522b,
    0xff0b0000,
    0xff130000,
    0xff210200,
    0xff170000,
    0xff5e482d,
    0xffccc0a0,
    0xffffffdc,
    0xffffffee,
    0xffffffe8,
    0xffffffdf,
    0xfffdfce9,
    0xfffcfde5,
    0xfffdfef2,
    0xfffffffc,
    0xfffffff5,
    0xff5a3b0d,
    0xff1f0300,
    0xff8d5b29,
    0xffffffff,
    0xfffffff9,
    0xffe09c73,
    0xffdd7e54,
    0xffc57f53,
    0xff9e8260,
    0xff5d4222,
    0xff341d0d,
    0xff2d1b0e,
    0xff391e11,
    0xff9a3319,
    0xff9e1400,
    0xffa1220f,
    0xffb17522,
    0xffd1a04a,
    0xffc79f50,
    0xffddcb97,
    0xffe7ce92,
    0xffc19256,
    0xff7e4816,
    0xff663b0b,
    0xffbd956f,
    0xffab873b,
    0xff483a0c,
    0xff504014,
    0xff594c18,
    0xff634e1b,
    0xff9b5222,
    0xffa24719,
    0xff844a19,
    0xff605619,
    0xff63571d,
    0xff70561d,
    0xffff4d30,
    0xff744514,
    0xffc94e1d,
    0xffd24f17,
    0xfff84821,
    0xff883407,
    0xff7d1804,
    0xffc54c10,
    0xffd54a1e,
    0xff444b04,
    0xff4b4a00,
    0xff484a00,
    0xff434700,
    0xff3f4301,
    0xff3d4400,
    0xff363f01,
    0xff353e00,
    0xff353e00,
    0xff343e00,
    0xff2b3e01,
    0xff8c3301,
    0xffe8410a,
    0xff543602,
    0xff2b3c00,
    0xff323c00,
    0xff333c00,
    0xff333c00,
    0xff313b00,
    0xff323c00,
    0xff323c00,
    0xff303a00,
    0xff313b00,
    0xff313a00,
    0xff303a00,
    0xff313900,
    0xff2e3701,
    0xff2e3700,
    0xff2c3700,
    0xff2c3501,
    0xff2e3701,
    0xff2f3801,
    0xff2c3600,
    0xff2d3502,
    0xff2e3600,
    0xff2c3800,
    0xff2c3600,
    0xff2b3500,
    0xff293300,
    0xff2a3100,
    0xff273000,
    0xff263000,
    0xff262f00,
    0xff2d3400,
    0xff323800,
    0xff3a3f01,
    0xff404105,
    0xff434408,
    0xff454607,
    0xff4b490d,
    0xff524e13,
    0xff575018,
    0xff534d18,
    0xff554e19,
    0xff584d18,
    0xff564a18,
    0xff554a19,
    0xff524816,
    0xff514417,
    0xff4c401a,
    0xff493f18,
    0xff423b16,
    0xff3d3918,
    0xff3f3715,
    0xff363509,
    0xff2c2d00,
    0xff292e01,
    0xff2e3100,
    0xff2e3200,
    0xff313401,
    0xff343701,
    0xff353800,
    0xff353800,
    0xff363900,
    0xff393a00,
    0xff3b3c02,
    0xff3b3b01,
    0xff383a00,
    0xff353900,
    0xff363500,
    0xff363602,
    0xff353501,
    0xff333301,
    0xff323200,
    0xff323201,
    0xff313201,
    0xff303401,
    0xff2f3300,
    0xff2d3100,
    0xff2c3001,
    0xff2d2d01,
    0xff272900,
    0xff222500,
    0xff1e2100,
    0xff1b1b00,
    0xff161600,
    0xff121301,
    0xff0d0f00,
    0xff0a0a00,
    0xff060600,
    0xff020300,
    0xff020202,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff122002,
    0xff0e1d01,
    0xff081900,
    0xff081601,
    0xff061600,
    0xff051200,
    0xff031100,
    0xff041000,
    0xff050d00,
    0xff000b00,
    0xff370501,
    0xff0f0600,
    0xff050600,
    0xff5d080a,
    0xff030a00,
    0xff040c01,
    0xff050f00,
    0xff061000,
    0xff011100,
    0xff233105,
    0xff754723,
    0xff2d2800,
    0xff0d1c00,
    0xff0c1d00,
    0xff0d1e00,
    0xff142201,
    0xff282100,
    0xff562201,
    0xff4a2300,
    0xff3a2500,
    0xff1d2001,
    0xff0c1901,
    0xff061800,
    0xff0f1700,
    0xff4e1100,
    0xff5c1400,
    0xff521701,
    0xff311300,
    0xff050e00,
    0xff020f00,
    0xff060a01,
    0xff3c0a04,
    0xff9a2c21,
    0xffbe0e13,
    0xff960000,
    0xffda2322,
    0xfffe5c3f,
    0xffff4936,
    0xffff4927,
    0xffa71911,
    0xff450619,
    0xffe75c50,
    0xffff886c,
    0xfffe6860,
    0xfffe6959,
    0xfffe6852,
    0xfffb4b3c,
    0xffe52323,
    0xffe21f1a,
    0xffcb0d10,
    0xffb90f11,
    0xffc41d18,
    0xffcb1a15,
    0xffc00e09,
    0xffaa0202,
    0xff9b0000,
    0xff9b0001,
    0xffa00001,
    0xffa70000,
    0xffbc0000,
    0xffe12f14,
    0xfff3352e,
    0xffd90d05,
    0xfffc3218,
    0xffdf3a38,
    0xfff4392b,
    0xffc50805,
    0xffd3150a,
    0xffef4529,
    0xfffd462e,
    0xffff8c70,
    0xffda657a,
    0xff450005,
    0xff3a0903,
    0xffef3e1c,
    0xffd61413,
    0xffc90901,
    0xffb80701,
    0xffce1d12,
    0xfff33821,
    0xfff3402a,
    0xffe52921,
    0xffdd1d12,
    0xffdd150e,
    0xffe9261a,
    0xffe72b1f,
    0xfff02e27,
    0xffff723e,
    0xfffd6b40,
    0xfffd755c,
    0xfffca498,
    0xffffd6c7,
    0xffec5279,
    0xffe1070d,
    0xfffa2d17,
    0xfff7190e,
    0xfff11100,
    0xfff41200,
    0xfff61002,
    0xffec070b,
    0xfff4252d,
    0xffff7359,
    0xfffd9971,
    0xfffe9d79,
    0xfffda280,
    0xffff9d80,
    0xfffd8b74,
    0xfffd8676,
    0xfffd837a,
    0xfffc7d74,
    0xfffb665f,
    0xffff8379,
    0xfffe837d,
    0xffbf5a58,
    0xff60332a,
    0xff100100,
    0xff7e572b,
    0xffb27f47,
    0xff471d0d,
    0xff321704,
    0xffe0bf7f,
    0xffba8545,
    0xff361303,
    0xff150000,
    0xff240602,
    0xff1d0100,
    0xff150000,
    0xff8d4924,
    0xffd0855b,
    0xffefd9b7,
    0xffffffea,
    0xfffffffb,
    0xffffffff,
    0xfffffffb,
    0xffffffff,
    0xffffffff,
    0xffd8bb94,
    0xff5f3a1a,
    0xff722f00,
    0xff6b4614,
    0xffbf7d4c,
    0xffe68c65,
    0xffe37b4c,
    0xffb27744,
    0xff8c663b,
    0xff684828,
    0xff5d3f1e,
    0xff462d14,
    0xff100000,
    0xff931d0b,
    0xffaa1e03,
    0xff901a07,
    0xffb27e31,
    0xffd7a752,
    0xffffffeb,
    0xffffffff,
    0xfffffce4,
    0xffa98146,
    0xff86582c,
    0xff925e2a,
    0xff976939,
    0xffb98a36,
    0xff51430c,
    0xff4e3d13,
    0xff4e3f14,
    0xff614216,
    0xff963e11,
    0xffa73f12,
    0xff734c17,
    0xff5e531d,
    0xff5e5319,
    0xffaf592d,
    0xffd94423,
    0xff834818,
    0xffd94a1a,
    0xffcf4f20,
    0xffea3f17,
    0xff8c1c08,
    0xff73370a,
    0xfffd4818,
    0xff874014,
    0xff464903,
    0xff494600,
    0xff444500,
    0xff404301,
    0xff3d4000,
    0xff394001,
    0xff353c01,
    0xff343c00,
    0xff343c00,
    0xff2d3c00,
    0xff3b3500,
    0xffc23504,
    0xffcd3d0a,
    0xff2a3301,
    0xff2e3901,
    0xff2f3900,
    0xff303a00,
    0xff303b00,
    0xff313a00,
    0xff303a00,
    0xff313a00,
    0xff313a00,
    0xff303900,
    0xff2f3800,
    0xff2f3800,
    0xff303801,
    0xff2d3500,
    0xff2d3600,
    0xff2b3501,
    0xff2d3501,
    0xff2d3801,
    0xff2d3800,
    0xff2b3600,
    0xff2c3602,
    0xff2c3700,
    0xff2c3800,
    0xff2c3700,
    0xff2d3800,
    0xff2a3500,
    0xff2b3300,
    0xff2c3400,
    0xff293200,
    0xff283300,
    0xff2d3501,
    0xff333801,
    0xff3c3f01,
    0xff424206,
    0xff454509,
    0xff484609,
    0xff4e490c,
    0xff524f12,
    0xff575019,
    0xff554d18,
    0xff584c18,
    0xff584a18,
    0xff544919,
    0xff534618,
    0xff514516,
    0xff4e4016,
    0xff4a3f16,
    0xff453b17,
    0xff3f3816,
    0xff3d3618,
    0xff3d3713,
    0xff363509,
    0xff2e2f00,
    0xff2b2f01,
    0xff2a3100,
    0xff2e3200,
    0xff323501,
    0xff343700,
    0xff343701,
    0xff363a01,
    0xff383b02,
    0xff373c00,
    0xff3a3b01,
    0xff3a3c01,
    0xff3a3900,
    0xff353800,
    0xff363500,
    0xff353501,
    0xff353500,
    0xff333300,
    0xff323201,
    0xff333300,
    0xff313200,
    0xff303300,
    0xff2f3301,
    0xff2e3200,
    0xff2d3001,
    0xff2b2c01,
    0xff282901,
    0xff252600,
    0xff1f2000,
    0xff1b1d00,
    0xff191803,
    0xff141400,
    0xff0e1001,
    0xff0c0c00,
    0xff080700,
    0xff030300,
    0xff010101,
    0xff000001,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff0e1d00,
    0xff0a1b01,
    0xff071800,
    0xff061401,
    0xff041301,
    0xff041100,
    0xff040f01,
    0xff040d01,
    0xff030c00,
    0xff000900,
    0xff320502,
    0xff1c0401,
    0xff000800,
    0xff5a0609,
    0xff0c0901,
    0xff010d01,
    0xff040f00,
    0xff041100,
    0xff010f00,
    0xff2b380c,
    0xff5c392a,
    0xff1b1a00,
    0xff0c1b00,
    0xff0e1e01,
    0xff0f1e02,
    0xff162401,
    0xff242600,
    0xff502a01,
    0xff4e2500,
    0xff3b2800,
    0xff232401,
    0xff0e1901,
    0xff091800,
    0xff091700,
    0xff411200,
    0xff5d1101,
    0xff551500,
    0xff3d1401,
    0xff0a0e02,
    0xff031002,
    0xff000a00,
    0xff2d0301,
    0xffc22a31,
    0xffb6001d,
    0xffd2262b,
    0xffff7150,
    0xfffe5c48,
    0xffff452a,
    0xffd22c15,
    0xff2a0008,
    0xfff46f4f,
    0xffff9179,
    0xffff7b71,
    0xfffd6156,
    0xfffe654c,
    0xfffd543c,
    0xfff53724,
    0xffed2d1d,
    0xfff43118,
    0xffd80e09,
    0xffb60d08,
    0xffbe1911,
    0xffc71812,
    0xffc4120b,
    0xffad0401,
    0xff9e0000,
    0xff9b0100,
    0xffa00001,
    0xffa30000,
    0xffb70000,
    0xffd22309,
    0xffd31f16,
    0xffdb0b05,
    0xffff491f,
    0xff961416,
    0xffd05945,
    0xffd31723,
    0xffcc120a,
    0xffed422d,
    0xffff4329,
    0xfffc9882,
    0xffe56d7d,
    0xff450004,
    0xff551007,
    0xffed371f,
    0xffd51014,
    0xffd71506,
    0xffc71105,
    0xffc8160b,
    0xffe42414,
    0xffe82d1c,
    0xffe02318,
    0xffcb1207,
    0xffce0b00,
    0xffd81109,
    0xffdf2b28,
    0xfff64331,
    0xfffe552d,
    0xfffc4c2a,
    0xfffc6c5b,
    0xfffdae9f,
    0xfff26985,
    0xffdc080f,
    0xfff11e00,
    0xfff71d04,
    0xfff11301,
    0xffec0f00,
    0xffe60500,
    0xffe5000d,
    0xfffa3735,
    0xffff7658,
    0xfffe966d,
    0xfffe7f6b,
    0xfffc4752,
    0xfffd5a5b,
    0xfffa6c66,
    0xfffd7569,
    0xfffc846f,
    0xfffe8774,
    0xfffd8d7c,
    0xfffd8e80,
    0xfffc8c80,
    0xffffa892,
    0xffffd2b2,
    0xffc64c60,
    0xff270007,
    0xff97774c,
    0xff342013,
    0xffa0703b,
    0xff78431e,
    0xff120000,
    0xff957542,
    0xffffe2a2,
    0xff70461d,
    0xff250600,
    0xff1a0000,
    0xff260300,
    0xff801100,
    0xffa5290c,
    0xffbb4622,
    0xff975b35,
    0xff9e8d65,
    0xffdbd2ac,
    0xffd7cca4,
    0xffe0dcb3,
    0xffaf986b,
    0xff3d2004,
    0xff4f1a00,
    0xffc2964b,
    0xffded39f,
    0xffbc6d2a,
    0xffc23506,
    0xffc64418,
    0xff7d4d24,
    0xff8d5f30,
    0xff58340f,
    0xffa77c4a,
    0xff5b3f1a,
    0xff502112,
    0xff991201,
    0xffa71300,
    0xff7b1301,
    0xffbc8219,
    0xfff0d591,
    0xffffffff,
    0xfff4e5c1,
    0xffb8965d,
    0xff74471b,
    0xff5c340f,
    0xff99713e,
    0xff946b33,
    0xff80500b,
    0xff56430e,
    0xff473a10,
    0xff493c10,
    0xff6e3f10,
    0xff9d390b,
    0xffaa4111,
    0xff634a17,
    0xff5b4f1b,
    0xff5c4f16,
    0xfffb573b,
    0xff894114,
    0xffb2461d,
    0xffde4c1b,
    0xffdf4e28,
    0xffc33b14,
    0xff811102,
    0xffa24610,
    0xffff441d,
    0xff4f400b,
    0xff484701,
    0xff474301,
    0xff414000,
    0xff3b3e00,
    0xff383c00,
    0xff373b00,
    0xff343a00,
    0xff333b00,
    0xff323a00,
    0xff293a00,
    0xff692f01,
    0xffe73e0d,
    0xff893304,
    0xff213400,
    0xff2c3401,
    0xff2d3500,
    0xff2c3701,
    0xff2d3700,
    0xff2e3601,
    0xff2e3602,
    0xff2e3701,
    0xff2f3801,
    0xff2e3701,
    0xff2d3601,
    0xff2b3500,
    0xff2b3500,
    0xff2c3601,
    0xff2b3501,
    0xff2b3400,
    0xff2a3400,
    0xff2c3601,
    0xff2c3501,
    0xff2b3500,
    0xff2c3702,
    0xff2d3800,
    0xff2e3700,
    0xff2f3901,
    0xff2e3800,
    0xff2c3700,
    0xff2e3602,
    0xff2e3700,
    0xff2f3700,
    0xff2e3700,
    0xff303700,
    0xff353a00,
    0xff3a3f04,
    0xff3f4306,
    0xff464509,
    0xff484709,
    0xff4d4a0d,
    0xff544e15,
    0xff564f17,
    0xff554e19,
    0xff584a17,
    0xff564919,
    0xff51441a,
    0xff504219,
    0xff4f3f17,
    0xff4d3c16,
    0xff463b14,
    0xff413714,
    0xff3a3614,
    0xff3b3417,
    0xff3c3512,
    0xff353408,
    0xff2f3000,
    0xff2b2f01,
    0xff292f00,
    0xff2f3200,
    0xff313601,
    0xff343700,
    0xff343701,
    0xff363b00,
    0xff393c00,
    0xff3a3a00,
    0xff383a01,
    0xff3a3a01,
    0xff3a3a00,
    0xff383800,
    0xff343401,
    0xff343400,
    0xff353500,
    0xff343401,
    0xff343402,
    0xff323200,
    0xff343402,
    0xff333201,
    0xff2f3200,
    0xff2f3000,
    0xff2c3001,
    0xff2d2f01,
    0xff272900,
    0xff282601,
    0xff212100,
    0xff1c1e00,
    0xff191800,
    0xff151600,
    0xff0f1100,
    0xff0d0d00,
    0xff070700,
    0xff040400,
    0xff010101,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff0a1a00,
    0xff091800,
    0xff071701,
    0xff051201,
    0xff020f00,
    0xff031000,
    0xff030e00,
    0xff010c01,
    0xff000901,
    0xff000700,
    0xff290401,
    0xff2a0301,
    0xff000600,
    0xff4c0405,
    0xff1b0904,
    0xff020c00,
    0xff040f00,
    0xff041200,
    0xff000e00,
    0xff32380c,
    0xff56261a,
    0xff121400,
    0xff0c1b01,
    0xff0e1d00,
    0xff0f1f01,
    0xff112100,
    0xff242600,
    0xff432e00,
    0xff502a01,
    0xff3e2800,
    0xff272500,
    0xff131c01,
    0xff081700,
    0xff051701,
    0xff2e1300,
    0xff5e0f00,
    0xff581301,
    0xff491300,
    0xff140f01,
    0xff030d01,
    0xff000600,
    0xff971b14,
    0xffff6d63,
    0xfffb6d64,
    0xffff8066,
    0xfffe6759,
    0xffff4b39,
    0xffff3e1e,
    0xff2c0000,
    0xff84261f,
    0xffff8965,
    0xfffd7068,
    0xfffd6357,
    0xffff5f46,
    0xffff543b,
    0xfffe502f,
    0xffff5430,
    0xfffe4629,
    0xfffc321c,
    0xffe41c0b,
    0xffc21208,
    0xffc21c12,
    0xffc21711,
    0xffc4120b,
    0xffb50801,
    0xffa10000,
    0xff9c0100,
    0xffa00000,
    0xffa30001,
    0xffb40000,
    0xffc11b01,
    0xff760c04,
    0xffde1105,
    0xffff4823,
    0xff881110,
    0xffb94b3d,
    0xffff5c51,
    0xffce080d,
    0xfff04735,
    0xfffd442f,
    0xffff7e63,
    0xffe25d6e,
    0xff440004,
    0xff741c0f,
    0xffff5833,
    0xffe41f1f,
    0xffe62213,
    0xffd31a0c,
    0xffc30b04,
    0xffde1f0d,
    0xffeb3318,
    0xffe22316,
    0xffc60901,
    0xffce0b00,
    0xffd20b00,
    0xffec4237,
    0xfffb7b65,
    0xfff13a42,
    0xfffb3c2b,
    0xffff694f,
    0xfffc7168,
    0xffd71c1a,
    0xffe31d01,
    0xfff11b01,
    0xfff01500,
    0xffe50d00,
    0xffe10300,
    0xffe1000d,
    0xfffe513e,
    0xfffe855c,
    0xfffd8767,
    0xfffe5356,
    0xfff52a33,
    0xffe50416,
    0xffff5940,
    0xfffe5d48,
    0xfffd3f41,
    0xfffc4553,
    0xfffd907d,
    0xfffc8e7b,
    0xfffd8d7b,
    0xfffe867b,
    0xfffb7471,
    0xfffd837d,
    0xffffc09a,
    0xffed7972,
    0xffae6c55,
    0xff3e2c23,
    0xff5b3c2b,
    0xff835734,
    0xff88562d,
    0xff1e0200,
    0xff583e22,
    0xfffff3af,
    0xffcbad7a,
    0xff6b4112,
    0xff3f0c00,
    0xff8f1100,
    0xff9b1800,
    0xffa32204,
    0xff450900,
    0xff240700,
    0xff341000,
    0xff2d1000,
    0xff320d00,
    0xff130000,
    0xff471b06,
    0xff894e14,
    0xffffffff,
    0xffffffff,
    0xfffffffa,
    0xffe59360,
    0xffc86337,
    0xff6a3a09,
    0xff4b2303,
    0xff55280a,
    0xff785021,
    0xff865f32,
    0xff803d21,
    0xffa61a03,
    0xffab1500,
    0xff8c370f,
    0xff996911,
    0xfff2e7b5,
    0xfffffee6,
    0xffaa8a4e,
    0xff9c6d42,
    0xff986e41,
    0xffb9966b,
    0xfff7dcae,
    0xff908266,
    0xff4b2200,
    0xff4c3b0b,
    0xff45390f,
    0xff473b0f,
    0xff7e3e10,
    0xffa23408,
    0xffa74112,
    0xff564815,
    0xff544c17,
    0xff8a4f21,
    0xffff4e33,
    0xff6e4015,
    0xffd54a1f,
    0xffd14b1b,
    0xfff9512f,
    0xffa22407,
    0xff70230b,
    0xffea4c16,
    0xffca371b,
    0xff3c4203,
    0xff444202,
    0xff403f00,
    0xff3e3c00,
    0xff393a00,
    0xff343800,
    0xff333700,
    0xff303700,
    0xff303701,
    0xff2e3600,
    0xff293300,
    0xffa72f04,
    0xffea400f,
    0xff402e00,
    0xff243201,
    0xff293200,
    0xff2b3300,
    0xff2b3300,
    0xff293300,
    0xff293100,
    0xff2b3301,
    0xff2a3300,
    0xff2b3300,
    0xff2a3400,
    0xff2a3300,
    0xff2a3400,
    0xff293400,
    0xff273400,
    0xff293400,
    0xff283300,
    0xff2a3400,
    0xff293500,
    0xff2a3601,
    0xff2c3501,
    0xff2b3700,
    0xff2e3801,
    0xff2e3800,
    0xff303a01,
    0xff303800,
    0xff2f3901,
    0xff303a00,
    0xff323b00,
    0xff313c00,
    0xff313b00,
    0xff313b00,
    0xff353b00,
    0xff384100,
    0xff404506,
    0xff464709,
    0xff464809,
    0xff4e4a0e,
    0xff544d16,
    0xff565016,
    0xff564e18,
    0xff574c19,
    0xff544819,
    0xff514119,
    0xff4f3e18,
    0xff4c3d16,
    0xff493a17,
    0xff423613,
    0xff403511,
    0xff393310,
    0xff383311,
    0xff3a3410,
    0xff353308,
    0xff2f2f00,
    0xff2c2e00,
    0xff2d2f00,
    0xff2f3100,
    0xff303501,
    0xff333600,
    0xff343700,
    0xff353900,
    0xff383b00,
    0xff393a00,
    0xff383900,
    0xff383700,
    0xff373800,
    0xff373800,
    0xff343401,
    0xff353501,
    0xff343400,
    0xff353501,
    0xff343301,
    0xff303300,
    0xff333401,
    0xff313300,
    0xff313301,
    0xff2e3001,
    0xff2d2f00,
    0xff2c2d01,
    0xff282901,
    0xff272700,
    0xff212301,
    0xff1c1d00,
    0xff1a1b00,
    0xff161701,
    0xff121202,
    0xff0d0c00,
    0xff080800,
    0xff050501,
    0xff010101,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff081701,
    0xff081600,
    0xff061401,
    0xff031000,
    0xff031000,
    0xff010e01,
    0xff020c00,
    0xff010b00,
    0xff020701,
    0xff000600,
    0xff1b0300,
    0xff390301,
    0xff000501,
    0xff360301,
    0xff2f0908,
    0xff000a00,
    0xff050e00,
    0xff031000,
    0xff000e00,
    0xff443d0d,
    0xff441a0b,
    0xff1a1701,
    0xff0c1a01,
    0xff0e1e01,
    0xff112001,
    0xff0e2100,
    0xff1b2501,
    0xff372700,
    0xff512e00,
    0xff432901,
    0xff2d2601,
    0xff181e00,
    0xff0a1701,
    0xff061601,
    0xff1c1401,
    0xff5a1001,
    0xff5a1201,
    0xff501201,
    0xff211001,
    0xff000a00,
    0xff5d0f03,
    0xffff5d40,
    0xffff9b82,
    0xfffe7f76,
    0xfffd6259,
    0xffff5744,
    0xffff4d2a,
    0xff94140d,
    0xff000000,
    0xffd44025,
    0xffff6b56,
    0xfffe5b50,
    0xfffe5542,
    0xfff13631,
    0xfff02825,
    0xfffd3526,
    0xffff432f,
    0xfff82f25,
    0xfff32719,
    0xffe62811,
    0xffcc170b,
    0xffd92715,
    0xffca1c16,
    0xffc3150c,
    0xffbd0d05,
    0xffa80100,
    0xff9e0000,
    0xff9f0000,
    0xffa20001,
    0xffb30201,
    0xffb91402,
    0xff150000,
    0xffc02a14,
    0xffff3f1d,
    0xff590201,
    0xffdc4634,
    0xffff4834,
    0xffee2e13,
    0xfffd6231,
    0xfffb3e2a,
    0xfffe8366,
    0xffda5f74,
    0xff430001,
    0xff9a301b,
    0xffff7546,
    0xfff7362c,
    0xfff3311f,
    0xffda1f10,
    0xffc30902,
    0xffdb200b,
    0xfff33f1f,
    0xffee311a,
    0xffcb0a03,
    0xffcf0d00,
    0xffd30e00,
    0xfff12719,
    0xfffe9277,
    0xfffeb198,
    0xfffb4449,
    0xfffc342b,
    0xfff9513b,
    0xffe7401d,
    0xffe71d00,
    0xffec1100,
    0xffe50d01,
    0xffdc0200,
    0xffd90006,
    0xfffc4c30,
    0xfffe855a,
    0xfffd8a65,
    0xfffd6f5b,
    0xfffd4439,
    0xfff32c26,
    0xffeb211f,
    0xffff5e42,
    0xfffc4b3c,
    0xfffc3130,
    0xfffe7c5e,
    0xfffb6664,
    0xfff7333f,
    0xfffe776c,
    0xfffe8677,
    0xfffd8a71,
    0xfffc6457,
    0xfffb6b67,
    0xffffb292,
    0xffff9f8b,
    0xff853e48,
    0xff3a290f,
    0xff482208,
    0xff492c18,
    0xff8c5327,
    0xff250500,
    0xff3a2611,
    0xfffdf3c6,
    0xfffffff5,
    0xffca9c5d,
    0xffa7320a,
    0xff9d1300,
    0xffa43112,
    0xff4c2206,
    0xff603408,
    0xff451500,
    0xff511b02,
    0xff5a2b0c,
    0xff441f00,
    0xff643c06,
    0xff531900,
    0xffd9c99c,
    0xffffffff,
    0xffffffff,
    0xfffffadc,
    0xffbb8052,
    0xff93641b,
    0xff945a19,
    0xff311304,
    0xff2f0d01,
    0xff270e00,
    0xff731703,
    0xffb22809,
    0xffb32207,
    0xffa36923,
    0xff7f5a17,
    0xfff1e3a9,
    0xffa68f5a,
    0xff906f42,
    0xff875f36,
    0xffac8b64,
    0xffffffec,
    0xffffffff,
    0xff3a280b,
    0xff4b220b,
    0xff43340c,
    0xff45370d,
    0xff47360e,
    0xff8d3a0e,
    0xffa83308,
    0xff963f10,
    0xff4f4713,
    0xff4b4712,
    0xffe15338,
    0xffa94119,
    0xff9a401a,
    0xffe54b1a,
    0xffcb4d26,
    0xfff34c26,
    0xff8a1203,
    0xff843810,
    0xffff501d,
    0xff822e0f,
    0xff3d3f01,
    0xff413e01,
    0xff3c3a00,
    0xff3b3801,
    0xff373500,
    0xff303600,
    0xff2d3501,
    0xff2a3400,
    0xff2b3300,
    0xff233300,
    0xff482c00,
    0xffd73506,
    0xffbc3708,
    0xff1d2d00,
    0xff262f00,
    0xff273000,
    0xff283000,
    0xff293000,
    0xff293000,
    0xff253000,
    0xff272f00,
    0xff272f00,
    0xff283000,
    0xff263100,
    0xff273100,
    0xff283200,
    0xff283200,
    0xff263100,
    0xff263100,
    0xff243000,
    0xff243200,
    0xff2a3300,
    0xff293300,
    0xff2a3501,
    0xff2b3600,
    0xff303801,
    0xff303a01,
    0xff303c00,
    0xff323b00,
    0xff313b00,
    0xff313d00,
    0xff343e00,
    0xff363f00,
    0xff353f00,
    0xff354000,
    0xff363f01,
    0xff3a4200,
    0xff424706,
    0xff464c0a,
    0xff4b4808,
    0xff4f4d0f,
    0xff535017,
    0xff565019,
    0xff554d19,
    0xff574e18,
    0xff52491a,
    0xff4f4118,
    0xff4b3c18,
    0xff4a3a17,
    0xff473716,
    0xff403514,
    0xff39330e,
    0xff362e0d,
    0xff37320f,
    0xff39340d,
    0xff323207,
    0xff2d3101,
    0xff292f01,
    0xff2b2e00,
    0xff2d3100,
    0xff2e3301,
    0xff333500,
    0xff333600,
    0xff343600,
    0xff353700,
    0xff363800,
    0xff383701,
    0xff363600,
    0xff363600,
    0xff363600,
    0xff343401,
    0xff353501,
    0xff353501,
    0xff353501,
    0xff353501,
    0xff2f3500,
    0xff333500,
    0xff323401,
    0xff313201,
    0xff313101,
    0xff2d2f00,
    0xff2c2d00,
    0xff292a02,
    0xff272601,
    0xff202400,
    0xff201e01,
    0xff1a1b00,
    0xff181701,
    0xff121100,
    0xff0c0d00,
    0xff090800,
    0xff060401,
    0xff020101,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff071501,
    0xff061500,
    0xff041200,
    0xff031000,
    0xff020d00,
    0xff000c01,
    0xff000900,
    0xff000800,
    0xff010701,
    0xff000601,
    0xff0e0200,
    0xff4a0200,
    0xff000600,
    0xff220100,
    0xff45090c,
    0xff000900,
    0xff020d00,
    0xff060e00,
    0xff020e00,
    0xff302c0b,
    0xff2c0804,
    0xff1d1401,
    0xff0b1a00,
    0xff101d01,
    0xff0f1e00,
    0xff122100,
    0xff172200,
    0xff332100,
    0xff4d2a00,
    0xff472b00,
    0xff352500,
    0xff1c2000,
    0xff0c1801,
    0xff091601,
    0xff0d1400,
    0xff4f1000,
    0xff5a1001,
    0xff511201,
    0xff2c0f00,
    0xff1d0400,
    0xfffc401b,
    0xffff6857,
    0xfffd8977,
    0xfffe675e,
    0xfffc5a45,
    0xffff563a,
    0xffe32e20,
    0xff080001,
    0xff150201,
    0xfffb4b2d,
    0xffff5141,
    0xffff543e,
    0xfff84333,
    0xffda1619,
    0xffe71b12,
    0xfffb3622,
    0xfff93828,
    0xffef211e,
    0xffef291a,
    0xffe72619,
    0xffd2170c,
    0xffe72d16,
    0xffdc2820,
    0xffc31713,
    0xffc11006,
    0xffac0200,
    0xffa10000,
    0xffa10000,
    0xffa30000,
    0xffac0000,
    0xffb00e00,
    0xff290000,
    0xffd44527,
    0xffe52c16,
    0xff3e0000,
    0xfff2442b,
    0xfffe432a,
    0xffef2b12,
    0xfffe602c,
    0xfffb3625,
    0xffff7a5c,
    0xffba2e49,
    0xff470003,
    0xffaa311d,
    0xffff6e47,
    0xffff4634,
    0xfffe4325,
    0xffdf2414,
    0xffc40a00,
    0xffd71a09,
    0xfff84523,
    0xfff94120,
    0xffd60f0a,
    0xffcd0a00,
    0xffd31104,
    0xfff72c0f,
    0xfffe533b,
    0xfffb888c,
    0xfff13746,
    0xfff2211a,
    0xfffc6744,
    0xfffa4726,
    0xffe61100,
    0xffe20a00,
    0xffd80300,
    0xffd00000,
    0xfff53724,
    0xffff7c47,
    0xfffc684d,
    0xfffe5037,
    0xfffe4836,
    0xfffd6738,
    0xfffe663b,
    0xfffc492b,
    0xfffa3135,
    0xfffc3f38,
    0xfffe503e,
    0xffff7b64,
    0xffec1b25,
    0xffe9190d,
    0xfff4383a,
    0xfffe7867,
    0xfffd5e5a,
    0xffff7e5e,
    0xfffc4d47,
    0xfffd7d6e,
    0xffffb79e,
    0xffffcab6,
    0xff3c1722,
    0xff413413,
    0xff3f1e08,
    0xff562a10,
    0xff955e30,
    0xff341101,
    0xff2a0e00,
    0xfff1edc5,
    0xffffffff,
    0xffebc497,
    0xffa91d00,
    0xff6c0c00,
    0xff9b7d51,
    0xfffffde1,
    0xffc7b175,
    0xff411d00,
    0xff452001,
    0xffffffd0,
    0xfffffff8,
    0xffddd6a0,
    0xff501500,
    0xffd39865,
    0xfff3c0a1,
    0xfff0be9a,
    0xffb88759,
    0xffa47d4e,
    0xff854902,
    0xff402310,
    0xff36190c,
    0xff42200b,
    0xff9c310e,
    0xffb12301,
    0xffac2205,
    0xffa87b39,
    0xff946d34,
    0xffe5c17b,
    0xff4d320a,
    0xff6d4824,
    0xff835d37,
    0xffb89f75,
    0xffffffff,
    0xff7a7757,
    0xff371d00,
    0xff5d3321,
    0xff413408,
    0xff41350c,
    0xff4f370d,
    0xff98350b,
    0xffb23409,
    0xff7f3c0f,
    0xff463f0d,
    0xff6c4212,
    0xffff553d,
    0xff68370d,
    0xffcd421c,
    0xffe44c1b,
    0xffe24e33,
    0xffc63716,
    0xff741405,
    0xffcb4416,
    0xfff73d1e,
    0xff4f3308,
    0xff3b3a02,
    0xff3e3700,
    0xff393600,
    0xff373500,
    0xff343300,
    0xff2f3100,
    0xff293100,
    0xff273001,
    0xff252e00,
    0xff1f2f00,
    0xff7a2700,
    0xffe9360a,
    0xff6a2903,
    0xff192c01,
    0xff232b00,
    0xff262d00,
    0xff252e00,
    0xff262e00,
    0xff252d00,
    0xff232d00,
    0xff262d00,
    0xff262e00,
    0xff262e00,
    0xff242f00,
    0xff242f00,
    0xff273000,
    0xff262f00,
    0xff242f00,
    0xff232f01,
    0xff222d02,
    0xff233000,
    0xff233100,
    0xff273201,
    0xff283500,
    0xff2c3600,
    0xff2f3901,
    0xff303a00,
    0xff313c00,
    0xff323d01,
    0xff343d00,
    0xff354200,
    0xff374200,
    0xff374600,
    0xff3a4601,
    0xff3b4800,
    0xff3a4501,
    0xff3c4500,
    0xff424a02,
    0xff4a4e07,
    0xff4b4d0b,
    0xff514f10,
    0xff535015,
    0xff575018,
    0xff574e18,
    0xff584e18,
    0xff544a19,
    0xff4f4318,
    0xff4a3a19,
    0xff473619,
    0xff44361a,
    0xff3d3212,
    0xff382d0c,
    0xff352c0d,
    0xff35300c,
    0xff363009,
    0xff322f03,
    0xff2f2d00,
    0xff2a2d00,
    0xff2d2e01,
    0xff2b3000,
    0xff2f3100,
    0xff2f3300,
    0xff303500,
    0xff343500,
    0xff353500,
    0xff373701,
    0xff373701,
    0xff353500,
    0xff363701,
    0xff373600,
    0xff343401,
    0xff353501,
    0xff343400,
    0xff353501,
    0xff353400,
    0xff323401,
    0xff343401,
    0xff333401,
    0xff333201,
    0xff303000,
    0xff303002,
    0xff2d2e01,
    0xff292901,
    0xff262700,
    0xff202301,
    0xff1f1e00,
    0xff1a1b00,
    0xff161600,
    0xff131200,
    0xff0e0d00,
    0xff080900,
    0xff050500,
    0xff020101,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff071500,
    0xff051400,
    0xff021100,
    0xff030f00,
    0xff010c00,
    0xff000a02,
    0xff010801,
    0xff010700,
    0xff000600,
    0xff000500,
    0xff040301,
    0xff510202,
    0xff000300,
    0xff0c0100,
    0xff540a0d,
    0xff000700,
    0xff010b01,
    0xff080c00,
    0xff050f00,
    0xff000e01,
    0xff1c0801,
    0xff281102,
    0xff0a1800,
    0xff0f1c01,
    0xff102001,
    0xff102101,
    0xff182300,
    0xff362100,
    0xff4a2201,
    0xff542b01,
    0xff3f2600,
    0xff212101,
    0xff0d1900,
    0xff091700,
    0xff001200,
    0xff470e00,
    0xff841404,
    0xff6f1101,
    0xff6a0f01,
    0xffc1230c,
    0xffff3722,
    0xfffe5e46,
    0xfffe6f58,
    0xfffe5b4c,
    0xfffe5b3f,
    0xffff4e31,
    0xffda3131,
    0xffa63137,
    0xff851d22,
    0xffff5334,
    0xfffe4538,
    0xffff593d,
    0xffee3426,
    0xffd10c0c,
    0xffe62014,
    0xfff8432c,
    0xfff32f28,
    0xfff62b23,
    0xfffb4227,
    0xffe72e1c,
    0xffd4150c,
    0xffe72514,
    0xffeb3322,
    0xffc51613,
    0xffc21008,
    0xffae0300,
    0xffa30100,
    0xffa20000,
    0xffa40000,
    0xffa60000,
    0xffb10600,
    0xff8b1c0b,
    0xffff6347,
    0xff690200,
    0xff500400,
    0xffff5237,
    0xfffe5839,
    0xfff12e1c,
    0xfffb5e29,
    0xfff73726,
    0xffff5e42,
    0xffaa1a31,
    0xff4b0207,
    0xffa92c15,
    0xffff5634,
    0xfffe462e,
    0xfffd4727,
    0xffe12516,
    0xffc70a01,
    0xffd81909,
    0xfff33d22,
    0xffff4925,
    0xffe01810,
    0xffca0900,
    0xffdc1a0d,
    0xfffd3815,
    0xfffa6c3f,
    0xfff97778,
    0xfff21c1e,
    0xfff33825,
    0xffff7345,
    0xfff42319,
    0xffe00a00,
    0xffd60500,
    0xffca0000,
    0xffde1410,
    0xffff612f,
    0xfffe583e,
    0xfffa241d,
    0xfff82112,
    0xfff81c13,
    0xfffd422b,
    0xfffd4734,
    0xfffd5c2f,
    0xfffe513b,
    0xfff83036,
    0xfffd7d60,
    0xfffa464e,
    0xffe20506,
    0xffe61601,
    0xffea150e,
    0xffff5a3a,
    0xfffc2f26,
    0xfffb493d,
    0xfffe6e52,
    0xfffd584f,
    0xfffc8f7c,
    0xffffd1bc,
    0xff7c3e4a,
    0xff2a2710,
    0xff453819,
    0xff612e10,
    0xff703913,
    0xff955c34,
    0xff3b1607,
    0xff3c1b02,
    0xffffffd8,
    0xffffffff,
    0xffd68451,
    0xff5a0f00,
    0xff573819,
    0xffffffff,
    0xffffffff,
    0xffd9ce99,
    0xff2d0100,
    0xff9e8652,
    0xffffffff,
    0xffffffff,
    0xffeae4b2,
    0xffbe460a,
    0xffdb5b2c,
    0xffd68154,
    0xffa17c46,
    0xff8b5d11,
    0xff8c4e0a,
    0xff401909,
    0xff241105,
    0xff5b3119,
    0xffc55a2d,
    0xffc53612,
    0xff9b2006,
    0xff402207,
    0xffa47436,
    0xffa87d3d,
    0xff8a6131,
    0xff613a19,
    0xff77532a,
    0xffffe9c4,
    0xffeeedd9,
    0xff251900,
    0xff412405,
    0xff5b2e10,
    0xff3e3207,
    0xff3c3309,
    0xff5c350b,
    0xffa23107,
    0xffb6380a,
    0xff64370c,
    0xff3c3b07,
    0xffc64c2d,
    0xffd24521,
    0xff7c3713,
    0xffe64819,
    0xffce461e,
    0xffff5b38,
    0xff9f1305,
    0xff72250c,
    0xffff541d,
    0xffbc2615,
    0xff373401,
    0xff3a3300,
    0xff383200,
    0xff343100,
    0xff323100,
    0xff312f00,
    0xff292e00,
    0xff252d00,
    0xff242c00,
    0xff202b00,
    0xff322701,
    0xffb12803,
    0xffc52d05,
    0xff242500,
    0xff1d2900,
    0xff212901,
    0xff232c00,
    0xff222c00,
    0xff222b00,
    0xff232a00,
    0xff232c01,
    0xff242a00,
    0xff242c01,
    0xff242d01,
    0xff242d01,
    0xff252d00,
    0xff252e01,
    0xff252e01,
    0xff232e00,
    0xff222e01,
    0xff212c02,
    0xff202e02,
    0xff213100,
    0xff253200,
    0xff283600,
    0xff2b3600,
    0xff2f3a00,
    0xff313d00,
    0xff333f01,
    0xff354101,
    0xff384200,
    0xff384600,
    0xff3c4801,
    0xff3a4d01,
    0xff414e01,
    0xff414e00,
    0xff404c00,
    0xff3f4b00,
    0xff444d00,
    0xff4d5004,
    0xff4e4e09,
    0xff525111,
    0xff565314,
    0xff585017,
    0xff594f19,
    0xff554e18,
    0xff564b18,
    0xff524319,
    0xff4b3c17,
    0xff463516,
    0xff413415,
    0xff3b3311,
    0xff352c0c,
    0xff35290b,
    0xff352f0b,
    0xff322d06,
    0xff312e00,
    0xff2c2d00,
    0xff2b2d02,
    0xff2c2c01,
    0xff2b2f00,
    0xff2e2f00,
    0xff2e3200,
    0xff313400,
    0xff333400,
    0xff353501,
    0xff353500,
    0xff363600,
    0xff363500,
    0xff353600,
    0xff363600,
    0xff353500,
    0xff343300,
    0xff333300,
    0xff343400,
    0xff343400,
    0xff323301,
    0xff333301,
    0xff333301,
    0xff313200,
    0xff2f3100,
    0xff302f00,
    0xff2e2d00,
    0xff2a2800,
    0xff262600,
    0xff202201,
    0xff1d1e00,
    0xff191900,
    0xff171600,
    0xff131101,
    0xff0f0c00,
    0xff080800,
    0xff040500,
    0xff010101,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff051300,
    0xff051301,
    0xff031001,
    0xff020d00,
    0xff010b02,
    0xff000900,
    0xff000800,
    0xff000700,
    0xff010600,
    0xff000600,
    0xff000200,
    0xff560303,
    0xff000300,
    0xff000200,
    0xff5f090d,
    0xff030600,
    0xff000900,
    0xff040c00,
    0xff050d00,
    0xff031000,
    0xff0d0c00,
    0xff3c0c02,
    0xff071800,
    0xff0e1a00,
    0xff101d00,
    0xff0e1f00,
    0xff1a2000,
    0xff3d2001,
    0xff4a1d00,
    0xff612501,
    0xff462400,
    0xff2d2000,
    0xff0d1900,
    0xff031300,
    0xff501a05,
    0xffd93f1f,
    0xfff64028,
    0xffe73621,
    0xffeb311f,
    0xfff52c19,
    0xffda110f,
    0xffeb271c,
    0xffff482f,
    0xfffe5a38,
    0xfffe5935,
    0xfffb422c,
    0xffff7b5a,
    0xffff7c74,
    0xfff35649,
    0xffff4b38,
    0xfffe4b39,
    0xffff573c,
    0xffe6261f,
    0xffcb0708,
    0xffe62d1e,
    0xfff24130,
    0xfff63930,
    0xffff5333,
    0xffff532d,
    0xffdd2816,
    0xffd41009,
    0xffe52014,
    0xfff2391f,
    0xffd11e18,
    0xffbc0f0a,
    0xffb30500,
    0xffa70100,
    0xffa30200,
    0xffa40100,
    0xffa50000,
    0xffb50000,
    0xfff96d46,
    0xffe54a41,
    0xff580500,
    0xff550600,
    0xffff6147,
    0xfffe6246,
    0xfff22a1d,
    0xfffa5b28,
    0xfff73c2a,
    0xfffd331f,
    0xffd2383e,
    0xff48020d,
    0xffa8230b,
    0xffff3b24,
    0xfffe3b26,
    0xfffb4324,
    0xffe02414,
    0xffc90902,
    0xffe52b14,
    0xfff53522,
    0xffff4d2c,
    0xffed2416,
    0xffd5120f,
    0xfff3311b,
    0xfffd441b,
    0xfffb7657,
    0xfffa978a,
    0xffff3f1d,
    0xfffe6d43,
    0xffff5a3b,
    0xffe80f0b,
    0xffd90600,
    0xffcc0000,
    0xffc60000,
    0xffef3416,
    0xfffe4b29,
    0xffea0f16,
    0xffe82507,
    0xffef2d0c,
    0xfffc3f13,
    0xfffe4a1c,
    0xfffc2a19,
    0xfffd3321,
    0xfffd5334,
    0xfffe6a54,
    0xfffc7664,
    0xfffd7865,
    0xfff11622,
    0xffe90a0b,
    0xffe50500,
    0xffff4b2b,
    0xfffd321a,
    0xfffc2f1b,
    0xfffe7553,
    0xfffc6657,
    0xfffc7865,
    0xffffb5a4,
    0xffc47f75,
    0xff27210b,
    0xff3a3419,
    0xff3f3619,
    0xff623312,
    0xff80461c,
    0xff885730,
    0xff601203,
    0xffb4531f,
    0xffffffff,
    0xffffffec,
    0xff926032,
    0xff2a0500,
    0xffc0ac7d,
    0xffffffff,
    0xffffffff,
    0xffab8f55,
    0xff2f0000,
    0xffe6d7b0,
    0xffffffff,
    0xffffffff,
    0xfff0c091,
    0xffcc3101,
    0xffaa5420,
    0xffce9f66,
    0xffdcad6b,
    0xff8d4a10,
    0xff342213,
    0xff401f0b,
    0xff682f1b,
    0xffad260d,
    0xffb92200,
    0xff6f0e04,
    0xff3b2008,
    0xff885319,
    0xff825321,
    0xff623912,
    0xff503212,
    0xff774f29,
    0xffc6a373,
    0xffb2a981,
    0xff251800,
    0xff501b00,
    0xff572a02,
    0xff373002,
    0xff373004,
    0xff723108,
    0xffa72f03,
    0xffb33808,
    0xff463207,
    0xff503307,
    0xffff5c44,
    0xff70300b,
    0xffbc3915,
    0xffeb4c1a,
    0xffcc492b,
    0xffec4627,
    0xff770d01,
    0xffb13914,
    0xffff5023,
    0xff781e07,
    0xff302f00,
    0xff372f00,
    0xff302c00,
    0xff2d2b01,
    0xff2c2a01,
    0xff292a00,
    0xff242a00,
    0xff212900,
    0xff1f2800,
    0xff182700,
    0xff772700,
    0xffe53109,
    0xff712601,
    0xff162601,
    0xff1e2800,
    0xff212900,
    0xff202801,
    0xff1f2900,
    0xff212700,
    0xff202800,
    0xff212900,
    0xff222a00,
    0xff232a01,
    0xff222c02,
    0xff232c01,
    0xff242d02,
    0xff252e01,
    0xff242d00,
    0xff232d00,
    0xff212d00,
    0xff212c01,
    0xff222d00,
    0xff223000,
    0xff273200,
    0xff2a3500,
    0xff2e3801,
    0xff313b00,
    0xff313e00,
    0xff354001,
    0xff374200,
    0xff3a4500,
    0xff3c4802,
    0xff3e4b00,
    0xff405000,
    0xff445301,
    0xff455300,
    0xff445401,
    0xff465200,
    0xff465101,
    0xff4b5301,
    0xff4f5104,
    0xff54530d,
    0xff585416,
    0xff565216,
    0xff595118,
    0xff564f19,
    0xff534d18,
    0xff514b19,
    0xff4e4117,
    0xff483916,
    0xff433512,
    0xff3c320f,
    0xff342b0a,
    0xff362909,
    0xff322c08,
    0xff2e2a03,
    0xff2e2b00,
    0xff2b2a00,
    0xff282b00,
    0xff2b2c00,
    0xff2b2e01,
    0xff2c2f00,
    0xff2d3100,
    0xff2f3200,
    0xff333301,
    0xff343402,
    0xff343400,
    0xff353501,
    0xff353501,
    0xff353501,
    0xff363602,
    0xff343400,
    0xff323201,
    0xff333300,
    0xff333301,
    0xff333300,
    0xff303100,
    0xff323100,
    0xff313200,
    0xff2e3100,
    0xff2e3000,
    0xff2d2f00,
    0xff2a2c00,
    0xff262900,
    0xff252500,
    0xff212100,
    0xff1e1d01,
    0xff1b1a01,
    0xff171600,
    0xff111201,
    0xff0c0c01,
    0xff080700,
    0xff050500,
    0xff020101,
    0xff010001,
    0xff000101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff031200,
    0xff041100,
    0xff021000,
    0xff010b01,
    0xff010901,
    0xff000a00,
    0xff010801,
    0xff010801,
    0xff010600,
    0xff000500,
    0xff000301,
    0xff510203,
    0xff0b0200,
    0xff000500,
    0xff580608,
    0xff130604,
    0xff000900,
    0xff020c00,
    0xff020e00,
    0xff030f00,
    0xff050f01,
    0xff520802,
    0xff0f1700,
    0xff0a1800,
    0xff0e1b01,
    0xff0f1d00,
    0xff1b1e00,
    0xff441e02,
    0xff511900,
    0xff6a2000,
    0xff4d2000,
    0xff3d1f00,
    0xff0b1600,
    0xff401d06,
    0xffff5830,
    0xffff3e2e,
    0xfff12e25,
    0xfff12b23,
    0xffec271e,
    0xffdd1509,
    0xffc20400,
    0xffd00800,
    0xffe7170c,
    0xffff4623,
    0xfffc4826,
    0xfff94226,
    0xfffd6854,
    0xfffe716d,
    0xffff6858,
    0xfffd4036,
    0xfffe583c,
    0xfffc4d35,
    0xffd81012,
    0xffc70a08,
    0xffe33322,
    0xfff03733,
    0xffff5734,
    0xfffe5433,
    0xffeb3627,
    0xffc80c0d,
    0xffd00900,
    0xffe21c10,
    0xfff53920,
    0xffdd241a,
    0xffbf130e,
    0xffb50801,
    0xffaa0100,
    0xffa30100,
    0xffa50000,
    0xffa60000,
    0xffac0000,
    0xffe82424,
    0xffe22e1e,
    0xffb42009,
    0xff560000,
    0xffff6854,
    0xfffb7d66,
    0xfff12a1c,
    0xfff75725,
    0xfff9442e,
    0xfff52a1f,
    0xfff33d3c,
    0xff540110,
    0xffb5260b,
    0xfff32d1a,
    0xfffa331e,
    0xfffb4123,
    0xffde2213,
    0xffce0e05,
    0xfff0401c,
    0xfffb3b20,
    0xfffe4e2f,
    0xfffc3c21,
    0xfff33721,
    0xfffd4721,
    0xfffb572d,
    0xfffb7b65,
    0xfffd857a,
    0xfffc4025,
    0xfffd7048,
    0xfffe4a2e,
    0xffe30802,
    0xffcf0000,
    0xffc50001,
    0xffcc0b00,
    0xffe5270f,
    0xffdd1510,
    0xffda2101,
    0xffe13303,
    0xfff73e18,
    0xfffd4915,
    0xffff5e19,
    0xfffe4918,
    0xfff72016,
    0xfffd482d,
    0xfffa654b,
    0xfffe4030,
    0xfffe6d4a,
    0xfffb9b7d,
    0xfff8766b,
    0xffec0c1b,
    0xfffe5335,
    0xfff72b1d,
    0xfffa2e17,
    0xfffd6f4c,
    0xfffd7462,
    0xfffc7266,
    0xffffa68f,
    0xffd57d74,
    0xff302717,
    0xff3c3317,
    0xff3e351c,
    0xff403419,
    0xff733d18,
    0xff834b24,
    0xffab532e,
    0xffa51600,
    0xffc8784c,
    0xffffffff,
    0xffc3b28a,
    0xff3f1701,
    0xff4c2d0b,
    0xfffffff1,
    0xfffefffd,
    0xfffffffb,
    0xff462900,
    0xff552b00,
    0xffffffeb,
    0xfffffffb,
    0xffffffdf,
    0xffde763f,
    0xff7b3d13,
    0xff5e3a14,
    0xff6c3c0b,
    0xff2e190e,
    0xff0e0302,
    0xff2d1a09,
    0xff641808,
    0xffb52108,
    0xffbe2005,
    0xff530b01,
    0xff89612c,
    0xff9a7030,
    0xff926427,
    0xff5b2f09,
    0xff613410,
    0xff724e25,
    0xffcaa477,
    0xffedf0d6,
    0xff221800,
    0xff6c1601,
    0xff532900,
    0xff352a00,
    0xff362b01,
    0xff863006,
    0xffac2b00,
    0xffa53405,
    0xff2d2d00,
    0xffae4226,
    0xffee4d2b,
    0xff692c08,
    0xffe24419,
    0xffda441a,
    0xffeb5739,
    0xffba1e0d,
    0xff671b05,
    0xfffd541e,
    0xffdf2b17,
    0xff4a2602,
    0xff312b00,
    0xff332800,
    0xff2c2600,
    0xff272400,
    0xff252400,
    0xff222300,
    0xff1e2402,
    0xff1d2401,
    0xff192501,
    0xff272300,
    0xffc02d07,
    0xffe83a0e,
    0xff322300,
    0xff1b2601,
    0xff1e2800,
    0xff202700,
    0xff202801,
    0xff1e2700,
    0xff202701,
    0xff1e2600,
    0xff1f2700,
    0xff202800,
    0xff222900,
    0xff202b00,
    0xff222b00,
    0xff232c01,
    0xff252e00,
    0xff232d01,
    0xff212c00,
    0xff202c00,
    0xff1e2a00,
    0xff212c01,
    0xff233100,
    0xff293400,
    0xff2e3701,
    0xff313a00,
    0xff323c00,
    0xff353e02,
    0xff363f02,
    0xff374300,
    0xff3a4400,
    0xff3d4801,
    0xff3f4e00,
    0xff435201,
    0xff445500,
    0xff465500,
    0xff475600,
    0xff495401,
    0xff475400,
    0xff495200,
    0xff4d5301,
    0xff545409,
    0xff585612,
    0xff575314,
    0xff595116,
    0xff585218,
    0xff585119,
    0xff514d14,
    0xff504515,
    0xff483c14,
    0xff403513,
    0xff3c320d,
    0xff362d0b,
    0xff342d0a,
    0xff322a03,
    0xff2e2700,
    0xff2b2800,
    0xff282700,
    0xff282901,
    0xff2a2b00,
    0xff2a2e01,
    0xff2a2d00,
    0xff2a3000,
    0xff2f3100,
    0xff313201,
    0xff343303,
    0xff333300,
    0xff333300,
    0xff363602,
    0xff343500,
    0xff343400,
    0xff343400,
    0xff303100,
    0xff313100,
    0xff333200,
    0xff323201,
    0xff303000,
    0xff2f3000,
    0xff2f3000,
    0xff2e3000,
    0xff2c2f00,
    0xff2d2e00,
    0xff292b01,
    0xff262700,
    0xff242400,
    0xff212000,
    0xff1d1c01,
    0xff191700,
    0xff171500,
    0xff0f1000,
    0xff0c0c00,
    0xff080800,
    0xff060400,
    0xff020101,
    0xff010001,
    0xff000101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff021000,
    0xff030f01,
    0xff020d01,
    0xff000c01,
    0xff000901,
    0xff000a01,
    0xff010700,
    0xff010801,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff440202,
    0xff180102,
    0xff000400,
    0xff430202,
    0xff32080b,
    0xff000700,
    0xff000900,
    0xff050b00,
    0xff040c00,
    0xff001000,
    0xff4f0503,
    0xff1b1301,
    0xff051701,
    0xff0b1900,
    0xff0d1b01,
    0xff191c01,
    0xff481a00,
    0xff541500,
    0xff731e00,
    0xff581c01,
    0xff491e00,
    0xff0b1100,
    0xffb73718,
    0xfffe332a,
    0xfff1231f,
    0xfff02b20,
    0xffe8261d,
    0xffe11e0d,
    0xffcb0d02,
    0xffb90200,
    0xffc90800,
    0xffd50800,
    0xffe72008,
    0xffed2f16,
    0xffff4b2b,
    0xfffc6f61,
    0xfffe8875,
    0xfffd574f,
    0xfffb3c33,
    0xffff5e3e,
    0xfff73c2c,
    0xffc80608,
    0xffc8140b,
    0xffdc2e24,
    0xfff3412f,
    0xffff5230,
    0xffe12325,
    0xffbf0a0f,
    0xffb90000,
    0xffcf0a00,
    0xffe11a0c,
    0xfff43e23,
    0xffe82c1d,
    0xffcc1c14,
    0xffba0b06,
    0xffb00300,
    0xffa50100,
    0xffa70200,
    0xffa90200,
    0xffaa0000,
    0xffcf0904,
    0xfff83815,
    0xffe33011,
    0xff740100,
    0xfff8846f,
    0xffff7363,
    0xfff32c20,
    0xfff65625,
    0xfffb452f,
    0xfff93623,
    0xfff42f26,
    0xff740f1e,
    0xffce380d,
    0xfff12d1c,
    0xfff9341e,
    0xfffc4623,
    0xffdc2210,
    0xffd31306,
    0xffe82d1b,
    0xfff83a20,
    0xffff482b,
    0xfffe502d,
    0xfffe552b,
    0xfffd4d25,
    0xfffc6943,
    0xfffb927f,
    0xfffc887d,
    0xfffe543c,
    0xfffd6e46,
    0xfffb3122,
    0xffdf0900,
    0xffc70001,
    0xffc50300,
    0xffd21400,
    0xffd00e03,
    0xffcf1901,
    0xffd82700,
    0xffea3208,
    0xfffc5d3e,
    0xfffe2915,
    0xffee2f10,
    0xfff5421b,
    0xfff63e15,
    0xfffb351d,
    0xffff3820,
    0xffec3319,
    0xffef230c,
    0xffff5432,
    0xfffb9c76,
    0xfffb4746,
    0xffff7551,
    0xfff32d1c,
    0xfff42812,
    0xfffe563e,
    0xfffd8368,
    0xfffd826e,
    0xffff9984,
    0xffe47f74,
    0xff5e4629,
    0xff2d240f,
    0xff3d361a,
    0xff3c351a,
    0xff403314,
    0xff642b0d,
    0xffb74b25,
    0xffc64e2a,
    0xff9b0600,
    0xffdabc98,
    0xffffffff,
    0xff623f17,
    0xff180000,
    0xffe2cda5,
    0xfffffffa,
    0xffffffff,
    0xfff9f2c1,
    0xff320800,
    0xff986e39,
    0xffffffff,
    0xfffffff1,
    0xffe6b589,
    0xff9a6e2f,
    0xff603106,
    0xff381601,
    0xff40200d,
    0xff382113,
    0xff261007,
    0xff871d0d,
    0xffb22103,
    0xffb61e03,
    0xff3f1207,
    0xffa47b3f,
    0xff916d38,
    0xffa27b49,
    0xffc39a62,
    0xff83501d,
    0xff5d320a,
    0xffb99160,
    0xffffffff,
    0xff372700,
    0xff8d1400,
    0xff432601,
    0xff2f2601,
    0xff392500,
    0xff982d01,
    0xffb32a01,
    0xff812d02,
    0xff3c2800,
    0xffff5b49,
    0xff863008,
    0xffb03414,
    0xfff04a18,
    0xffc0391f,
    0xfffb5538,
    0xff820700,
    0xffa13011,
    0xffff5a26,
    0xffa41507,
    0xff312600,
    0xff2f2500,
    0xff2d2500,
    0xff261f00,
    0xff221e00,
    0xff1d1b00,
    0xff1c1901,
    0xff161b00,
    0xff171e00,
    0xff101e00,
    0xff692201,
    0xffec360e,
    0xffaa2d08,
    0xff0f2400,
    0xff1d2600,
    0xff1d2600,
    0xff1e2600,
    0xff1d2500,
    0xff1c2601,
    0xff1e2601,
    0xff1e2601,
    0xff1d2501,
    0xff1e2600,
    0xff1f2700,
    0xff1f2900,
    0xff202700,
    0xff222901,
    0xff242d02,
    0xff222b00,
    0xff212a01,
    0xff202900,
    0xff212901,
    0xff212e00,
    0xff283100,
    0xff2d3601,
    0xff2f3801,
    0xff303900,
    0xff313b00,
    0xff343e01,
    0xff353f01,
    0xff364200,
    0xff3a4500,
    0xff3c4a01,
    0xff3f5000,
    0xff445301,
    0xff465500,
    0xff4a5600,
    0xff4c5800,
    0xff4d5a00,
    0xff4a5601,
    0xff4a5401,
    0xff4b5100,
    0xff525507,
    0xff575710,
    0xff575513,
    0xff595414,
    0xff575114,
    0xff575218,
    0xff565016,
    0xff504714,
    0xff4a3e13,
    0xff413710,
    0xff3b340b,
    0xff373009,
    0xff352e07,
    0xff322a04,
    0xff2e2602,
    0xff2a2600,
    0xff262500,
    0xff252801,
    0xff2a2900,
    0xff282d00,
    0xff2c2d00,
    0xff2d2f00,
    0xff2d3200,
    0xff2f3300,
    0xff323401,
    0xff333300,
    0xff353501,
    0xff343602,
    0xff353401,
    0xff323500,
    0xff333301,
    0xff2f3000,
    0xff303101,
    0xff303100,
    0xff323100,
    0xff2d2f01,
    0xff2d2f00,
    0xff2c2f00,
    0xff2d2f00,
    0xff2b2e01,
    0xff2b2c00,
    0xff282901,
    0xff262600,
    0xff202300,
    0xff201f00,
    0xff1c1b00,
    0xff1a1701,
    0xff151400,
    0xff110d00,
    0xff090a00,
    0xff070500,
    0xff030300,
    0xff000001,
    0xff000101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff030f00,
    0xff020f00,
    0xff010d01,
    0xff010c00,
    0xff000a01,
    0xff000a01,
    0xff000800,
    0xff010800,
    0xff000800,
    0xff010600,
    0xff000600,
    0xff370001,
    0xff260203,
    0xff000500,
    0xff290000,
    0xff480c11,
    0xff000700,
    0xff000901,
    0xff040902,
    0xff030c00,
    0xff000e00,
    0xff3a0501,
    0xff321102,
    0xff061400,
    0xff091701,
    0xff081700,
    0xff171901,
    0xff4d1900,
    0xff551201,
    0xff7c1b01,
    0xff601800,
    0xff531901,
    0xff221400,
    0xffe2321c,
    0xffeb1c1b,
    0xffee291d,
    0xffef291f,
    0xffe41f17,
    0xffd31202,
    0xffc00700,
    0xffb70100,
    0xffc40500,
    0xffcd0500,
    0xffd01200,
    0xffe2260f,
    0xffff513a,
    0xfffe816c,
    0xfffd7b6e,
    0xfffe453f,
    0xfff84234,
    0xffff5e40,
    0xfff22c25,
    0xffc10103,
    0xffc5190e,
    0xffdb2a20,
    0xfff44428,
    0xfff12e21,
    0xffce0509,
    0xffbc0c00,
    0xffba0100,
    0xffcc0b00,
    0xffdd1709,
    0xfff23d26,
    0xffef3522,
    0xffd9231b,
    0xffbf110c,
    0xffb30501,
    0xffa70000,
    0xffa40201,
    0xffab0000,
    0xffaa0000,
    0xffbc0000,
    0xffe41808,
    0xffeb2c11,
    0xff950c01,
    0xffe8756c,
    0xfffe7d6e,
    0xfff52e25,
    0xfff55525,
    0xfffb442f,
    0xfff8432c,
    0xffff4933,
    0xff831428,
    0xffd53918,
    0xfff12e25,
    0xfffb3824,
    0xfffd4724,
    0xffe02311,
    0xffd31108,
    0xffe22411,
    0xffe9281b,
    0xffff4425,
    0xffff532d,
    0xffff5129,
    0xfff94721,
    0xfffd7d5e,
    0xfff8a798,
    0xfffb857a,
    0xfffd6548,
    0xfffe6d44,
    0xfffe321a,
    0xffdf0901,
    0xffc50000,
    0xffc90b00,
    0xffd21802,
    0xffc91901,
    0xffd32700,
    0xffdf1200,
    0xffe72100,
    0xfffe8d6d,
    0xfffa2013,
    0xfff84721,
    0xffde2117,
    0xffed4a16,
    0xfffd451b,
    0xffff381d,
    0xfff1331a,
    0xff4f0a00,
    0xffff290b,
    0xffff2e16,
    0xfffd4933,
    0xfffb6755,
    0xfff52d19,
    0xffec210d,
    0xfffb4433,
    0xfffd8469,
    0xfffc8c74,
    0xffffa38a,
    0xffec897d,
    0xff8d6a40,
    0xff1e1707,
    0xff3e3619,
    0xff3d351a,
    0xff37351a,
    0xff5e2f0e,
    0xffb73513,
    0xffc94c2b,
    0xffc13c21,
    0xff411200,
    0xfffffeea,
    0xffece2c5,
    0xff270400,
    0xff774b18,
    0xffffffe6,
    0xfffffffc,
    0xffffffff,
    0xffb6ab73,
    0xff6a0300,
    0xffe28856,
    0xfffff2e0,
    0xffe3bc91,
    0xff9b7038,
    0xffa26c20,
    0xff763e0c,
    0xff592408,
    0xff140704,
    0xff2d0804,
    0xff9c1f08,
    0xffbc2909,
    0xff9e1400,
    0xff875824,
    0xffa77b3e,
    0xff9f7948,
    0xffc09661,
    0xffe4c999,
    0xffb08846,
    0xff79450d,
    0xff6d4116,
    0xffe2caa0,
    0xffa58d6c,
    0xff981000,
    0xff302000,
    0xff272000,
    0xff472101,
    0xffa32a01,
    0xffb82a02,
    0xff572400,
    0xff993a1f,
    0xffff5839,
    0xff642403,
    0xffe04118,
    0xffe7481b,
    0xffd54c31,
    0xffc62716,
    0xff671303,
    0xfff8501f,
    0xffe5351a,
    0xff781903,
    0xff292500,
    0xff2e2200,
    0xff271f00,
    0xff211a00,
    0xff1d1800,
    0xff181500,
    0xff161500,
    0xff0e1400,
    0xff0d1501,
    0xff1c1601,
    0xffb72705,
    0xfff53910,
    0xff481e01,
    0xff132100,
    0xff1b2201,
    0xff1c2301,
    0xff1c2201,
    0xff1c2300,
    0xff1b2400,
    0xff1c2200,
    0xff1c2400,
    0xff1d2501,
    0xff1d2500,
    0xff1f2700,
    0xff1e2700,
    0xff202700,
    0xff222900,
    0xff202800,
    0xff212900,
    0xff222900,
    0xff212900,
    0xff222a01,
    0xff273000,
    0xff2e3601,
    0xff2f3700,
    0xff333a00,
    0xff323900,
    0xff323c00,
    0xff343e01,
    0xff363f02,
    0xff384300,
    0xff3b4501,
    0xff3d4b01,
    0xff404f00,
    0xff445300,
    0xff475500,
    0xff4b5800,
    0xff4e5c02,
    0xff4e5c01,
    0xff4d5a00,
    0xff4d5600,
    0xff4a5200,
    0xff4d5401,
    0xff57590c,
    0xff585611,
    0xff575514,
    0xff565013,
    0xff544f15,
    0xff564f15,
    0xff4e4811,
    0xff484010,
    0xff3f370e,
    0xff3b340a,
    0xff3b320a,
    0xff372e09,
    0xff2e2a04,
    0xff2b2601,
    0xff282500,
    0xff242400,
    0xff262800,
    0xff272901,
    0xff2a2d01,
    0xff2c2e01,
    0xff2e2f00,
    0xff2f3000,
    0xff333400,
    0xff353500,
    0xff313600,
    0xff333500,
    0xff343602,
    0xff353401,
    0xff313301,
    0xff2f3400,
    0xff2e3000,
    0xff2e3100,
    0xff2e3100,
    0xff2d3000,
    0xff2d2f00,
    0xff2c2e00,
    0xff2c2d01,
    0xff2b2d00,
    0xff2b2c01,
    0xff292a01,
    0xff272800,
    0xff252400,
    0xff1e2101,
    0xff1f1d00,
    0xff1c1a00,
    0xff181600,
    0xff131100,
    0xff100d00,
    0xff070800,
    0xff060500,
    0xff010100,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff030e01,
    0xff020e01,
    0xff010d01,
    0xff000c00,
    0xff000900,
    0xff000a01,
    0xff000a01,
    0xff000900,
    0xff000700,
    0xff020601,
    0xff000701,
    0xff220201,
    0xff380301,
    0xff000501,
    0xff130100,
    0xff5e0c16,
    0xff000600,
    0xff020801,
    0xff030801,
    0xff020a00,
    0xff010e00,
    0xff220500,
    0xff510c03,
    0xff041301,
    0xff0a1501,
    0xff071700,
    0xff151600,
    0xff501601,
    0xff4e1001,
    0xff7c1a01,
    0xff6a1801,
    0xff541700,
    0xff531a05,
    0xffe4261a,
    0xffec2017,
    0xfff0261a,
    0xffef251b,
    0xffdd1b12,
    0xffc50a00,
    0xffb90600,
    0xffb90300,
    0xffc20301,
    0xffc70400,
    0xffc40f00,
    0xffef451e,
    0xffff6c51,
    0xfffe7064,
    0xfffe5d52,
    0xfffa352d,
    0xfffa5339,
    0xffff5d3e,
    0xffee221e,
    0xffbc0000,
    0xffbe170b,
    0xffd6281e,
    0xffe9361e,
    0xffe2150f,
    0xffd40e02,
    0xffbe0d00,
    0xffb90000,
    0xffca0700,
    0xffda1707,
    0xffee3723,
    0xfff33d27,
    0xffe4291e,
    0xffc81815,
    0xffb80a07,
    0xffac0200,
    0xffa60300,
    0xffae0300,
    0xffb20100,
    0xffb50000,
    0xffc90701,
    0xffe1230c,
    0xffbf200d,
    0xffd25e5d,
    0xffffa195,
    0xfff42c28,
    0xfff34e20,
    0xfff7422a,
    0xfff7402b,
    0xffff5a41,
    0xff962743,
    0xffd33b23,
    0xffff5a41,
    0xfffe4a31,
    0xfffd4827,
    0xffe02510,
    0xffda170d,
    0xffee321c,
    0xffe42417,
    0xffe5241c,
    0xffee3b27,
    0xffe5403b,
    0xfffd4f25,
    0xfffd8b72,
    0xfff9b6ad,
    0xfffb877b,
    0xfffe6e4e,
    0xffff653d,
    0xfffb2b15,
    0xffda0700,
    0xffc50400,
    0xffcf1300,
    0xffca1804,
    0xffcc2a02,
    0xffd11800,
    0xffde0f00,
    0xffe61300,
    0xffda5743,
    0xfff22308,
    0xffff4e30,
    0xfff43724,
    0xffdd3718,
    0xfffd6224,
    0xfffe3218,
    0xfffb230e,
    0xff270f00,
    0xff861200,
    0xffff1b01,
    0xfffd4c2b,
    0xfff6423b,
    0xfff32f13,
    0xffe61a0e,
    0xfffc543c,
    0xfffd7462,
    0xfffd8c73,
    0xffffa68a,
    0xffee8679,
    0xff866340,
    0xff4c3920,
    0xff3b3518,
    0xff3d371a,
    0xff383618,
    0xff763011,
    0xffb02805,
    0xffb92b0b,
    0xffc35b3c,
    0xff50312c,
    0xff55401d,
    0xfffff9de,
    0xff734b22,
    0xff290300,
    0xffbca773,
    0xfffffffa,
    0xfffefffa,
    0xffffffff,
    0xffc6652c,
    0xffbd1e00,
    0xffe48257,
    0xffb08b55,
    0xffa0753e,
    0xff9a5503,
    0xff7e480a,
    0xff2e150a,
    0xff1c0301,
    0xff380301,
    0xffb7330f,
    0xffc63413,
    0xffa9431a,
    0xff9c7c3e,
    0xffa37d49,
    0xffe1c097,
    0xfff6edca,
    0xffffffef,
    0xfff9f5d1,
    0xffc19b57,
    0xff834f13,
    0xff754d1f,
    0xffc38e6c,
    0xff971500,
    0xff201900,
    0xff211b00,
    0xff622302,
    0xffae2601,
    0xffb52a01,
    0xff411a00,
    0xffff5d4e,
    0xff99330e,
    0xffa22e0d,
    0xfff34b1a,
    0xffbc3414,
    0xfff4563a,
    0xff840500,
    0xffa62c0f,
    0xffff6229,
    0xffaa1208,
    0xff4b2102,
    0xff2a1f00,
    0xff2a1e00,
    0xff241801,
    0xff1c1601,
    0xff1a1300,
    0xff151100,
    0xff110e01,
    0xff090d01,
    0xff010e01,
    0xff5b1300,
    0xffee3410,
    0xffbf2b09,
    0xff0d1801,
    0xff172000,
    0xff192000,
    0xff192000,
    0xff1b1f00,
    0xff192000,
    0xff1a1f00,
    0xff1b2001,
    0xff1b2001,
    0xff1c2400,
    0xff1d2500,
    0xff1d2500,
    0xff1e2600,
    0xff202801,
    0xff212800,
    0xff212900,
    0xff212800,
    0xff212800,
    0xff212a00,
    0xff272c00,
    0xff2a3201,
    0xff323600,
    0xff343800,
    0xff363a00,
    0xff363a00,
    0xff353d00,
    0xff353f00,
    0xff373f01,
    0xff394200,
    0xff3a4501,
    0xff3f4b01,
    0xff414e00,
    0xff455200,
    0xff495601,
    0xff4c5901,
    0xff4e5d00,
    0xff4f5e00,
    0xff4e5e01,
    0xff4e5802,
    0xff4c5500,
    0xff4a5200,
    0xff535605,
    0xff56590d,
    0xff565411,
    0xff544f11,
    0xff534f12,
    0xff514c12,
    0xff4e490f,
    0xff463e0d,
    0xff3e380b,
    0xff3b330a,
    0xff363209,
    0xff373007,
    0xff2f2a00,
    0xff2c2700,
    0xff272600,
    0xff242400,
    0xff262801,
    0xff292c01,
    0xff292f00,
    0xff2f3000,
    0xff303300,
    0xff2f3600,
    0xff333700,
    0xff353801,
    0xff343700,
    0xff333600,
    0xff333701,
    0xff323500,
    0xff323200,
    0xff2c3200,
    0xff2c2f01,
    0xff2c2f00,
    0xff2d3001,
    0xff2b2e00,
    0xff2a2d00,
    0xff2a2d00,
    0xff2b2c01,
    0xff282d00,
    0xff272a02,
    0xff252800,
    0xff252600,
    0xff232501,
    0xff202000,
    0xff1e1d00,
    0xff1b1901,
    0xff151400,
    0xff111000,
    0xff0e0b01,
    0xff080701,
    0xff020300,
    0xff020101,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff030f01,
    0xff030f01,
    0xff000c00,
    0xff000c00,
    0xff000901,
    0xff000900,
    0xff000a01,
    0xff000800,
    0xff010700,
    0xff010700,
    0xff000600,
    0xff150300,
    0xff430303,
    0xff000601,
    0xff020200,
    0xff660b12,
    0xff030600,
    0xff000700,
    0xff020700,
    0xff020a00,
    0xff020d00,
    0xff0c0701,
    0xff600902,
    0xff061200,
    0xff061401,
    0xff051301,
    0xff141500,
    0xff521301,
    0xff4d1100,
    0xff6d1500,
    0xff701601,
    0xff511200,
    0xff98270d,
    0xfffe3820,
    0xffef2318,
    0xffef271b,
    0xffe72118,
    0xffd7180e,
    0xffbe0900,
    0xffb50600,
    0xffbc0401,
    0xffbf0300,
    0xffc40800,
    0xffc11100,
    0xfff24929,
    0xffff6257,
    0xfff8404b,
    0xfffc352e,
    0xffef2926,
    0xfffd6045,
    0xffff5440,
    0xffe71814,
    0xffb30000,
    0xffb41209,
    0xffcc2013,
    0xffde2713,
    0xffe01406,
    0xffd81103,
    0xffc10d00,
    0xffbc0100,
    0xffca0700,
    0xffda1505,
    0xffea2e1e,
    0xfff43f26,
    0xffe72a1f,
    0xffd82319,
    0xffbf130e,
    0xffb30402,
    0xffa90100,
    0xffae0400,
    0xffba0502,
    0xffbf0200,
    0xffc70500,
    0xffed3012,
    0xffec3d19,
    0xffa82833,
    0xffff9f93,
    0xfff32a27,
    0xfff0461a,
    0xfff8442a,
    0xfffc4b31,
    0xffff8168,
    0xffa53857,
    0xffee653c,
    0xffff7c5a,
    0xfffd5840,
    0xfffb482a,
    0xffe22612,
    0xffe52714,
    0xfff9462b,
    0xfffa422f,
    0xfff5341b,
    0xffdf1f19,
    0xfff9472c,
    0xfffc522b,
    0xfffa8975,
    0xfff7bbb2,
    0xfffc9789,
    0xfffe6341,
    0xffff4023,
    0xfff1170a,
    0xffd30500,
    0xffcc0e00,
    0xffca1301,
    0xffc61c05,
    0xffd33008,
    0xffd21300,
    0xffda0f00,
    0xffe91b00,
    0xff850900,
    0xffec3315,
    0xffff321b,
    0xffff4d29,
    0xffe73729,
    0xfff97b34,
    0xfff92516,
    0xfff11507,
    0xffc04227,
    0xff68392d,
    0xffce0b00,
    0xffff3f1e,
    0xffed3025,
    0xffed2911,
    0xffe31913,
    0xffff7452,
    0xfffd6e5d,
    0xffff7d61,
    0xfff5313a,
    0xffc73731,
    0xff7f613f,
    0xff6a502e,
    0xff352f12,
    0xff3d3718,
    0xff413315,
    0xff953213,
    0xffaf2e09,
    0xffb5340c,
    0xff9e4b27,
    0xff966a51,
    0xff0b0000,
    0xffac9771,
    0xffae8a62,
    0xff2e0b01,
    0xff5a3307,
    0xffffffec,
    0xfffffffe,
    0xffffffff,
    0xffebb284,
    0xffcc3105,
    0xffbd4c21,
    0xffa67e43,
    0xff8b632e,
    0xff9d580d,
    0xff63370d,
    0xff230f0a,
    0xff240f04,
    0xff620f02,
    0xffb72104,
    0xffcb3916,
    0xffa96830,
    0xff98793f,
    0xff997446,
    0xffe5d2a3,
    0xffffffff,
    0xfffeffff,
    0xffffffff,
    0xffffffed,
    0xffc89958,
    0xff683707,
    0xff503011,
    0xff8c2c0e,
    0xff1a1500,
    0xff231700,
    0xff822701,
    0xffb22500,
    0xffa02800,
    0xff872f1d,
    0xffff5d41,
    0xff5c1b00,
    0xffdc3b16,
    0xffee471a,
    0xffbe4023,
    0xffcc2c1e,
    0xff6f0f01,
    0xfffb5122,
    0xffde3d1e,
    0xff8a1003,
    0xff2a1f00,
    0xff291c01,
    0xff291800,
    0xff221601,
    0xff191401,
    0xff161000,
    0xff130d00,
    0xff0b0a00,
    0xff030a00,
    0xff0a0400,
    0xffb31e08,
    0xffff3a13,
    0xff4e1302,
    0xff071600,
    0xff141b01,
    0xff161f00,
    0xff151e01,
    0xff181d00,
    0xff171e00,
    0xff191f00,
    0xff1a2000,
    0xff191f00,
    0xff1b2100,
    0xff1d2400,
    0xff1e2600,
    0xff1e2600,
    0xff202800,
    0xff222900,
    0xff222a01,
    0xff232900,
    0xff212900,
    0xff272c01,
    0xff2e2e01,
    0xff2e3400,
    0xff323700,
    0xff343900,
    0xff353c00,
    0xff373d00,
    0xff373e00,
    0xff373f01,
    0xff364000,
    0xff374200,
    0xff3c4601,
    0xff404c01,
    0xff424f00,
    0xff465300,
    0xff4a5600,
    0xff4e5b02,
    0xff4f5d01,
    0xff526001,
    0xff4f5e00,
    0xff4f5900,
    0xff4b5500,
    0xff4a5200,
    0xff4d5501,
    0xff54580a,
    0xff555310,
    0xff514f0f,
    0xff514c0e,
    0xff4e4a0d,
    0xff4c480c,
    0xff463e0a,
    0xff3f3709,
    0xff3d360c,
    0xff383307,
    0xff353206,
    0xff322e02,
    0xff2f2900,
    0xff282700,
    0xff252500,
    0xff292a00,
    0xff2d2e00,
    0xff2f3100,
    0xff313400,
    0xff313700,
    0xff333800,
    0xff343900,
    0xff343800,
    0xff343700,
    0xff323700,
    0xff323701,
    0xff2f3600,
    0xff2b3300,
    0xff293000,
    0xff292d01,
    0xff2a2d00,
    0xff292e01,
    0xff272c00,
    0xff282d01,
    0xff262d00,
    0xff282b01,
    0xff262b00,
    0xff252901,
    0xff252600,
    0xff232500,
    0xff202100,
    0xff1b1e00,
    0xff1c1a00,
    0xff181701,
    0xff151300,
    0xff100f01,
    0xff0d0a01,
    0xff060700,
    0xff020300,
    0xff010101,
    0xff000001,
    0xff010101,
    0xff010001,
    0xff000100,
    0xff000100,
    0xff000101,
    0xff000100,
    0xff000100,
    0xff030f01,
    0xff020e00,
    0xff020e01,
    0xff010d00,
    0xff010a00,
    0xff000a01,
    0xff000900,
    0xff000b01,
    0xff010900,
    0xff000700,
    0xff000701,
    0xff080400,
    0xff4f0303,
    0xff000501,
    0xff000400,
    0xff62080c,
    0xff170807,
    0xff000600,
    0xff010700,
    0xff010901,
    0xff060900,
    0xff010a00,
    0xff620504,
    0xff180f00,
    0xff051201,
    0xff051201,
    0xff111300,
    0xff541201,
    0xff4f1000,
    0xff5a1300,
    0xff671200,
    0xff921e06,
    0xfff13f22,
    0xfff92e20,
    0xffe91c11,
    0xffe5221a,
    0xffe22019,
    0xffd2170a,
    0xffbd0a00,
    0xffb70700,
    0xffbd0702,
    0xffbd0200,
    0xffc20c01,
    0xffc11500,
    0xffdc281b,
    0xffff734d,
    0xffee3336,
    0xffee221c,
    0xffea322a,
    0xffff6948,
    0xfffe4939,
    0xffdf140b,
    0xffb00000,
    0xffad0902,
    0xffbf1207,
    0xffd21906,
    0xffe41803,
    0xffdb1506,
    0xffc40e02,
    0xffbe0100,
    0xffcc0600,
    0xffd61606,
    0xffea2c1d,
    0xfff74127,
    0xffe92b1f,
    0xffe72a1e,
    0xffcf2016,
    0xffb80c07,
    0xffab0001,
    0xffaf0400,
    0xffc91000,
    0xffd31100,
    0xffdd1104,
    0xfffd4522,
    0xffff5828,
    0xff930f0c,
    0xfffe6d64,
    0xffed1f14,
    0xffee4519,
    0xfff84629,
    0xfffb5035,
    0xffff9784,
    0xffac2e58,
    0xfff05e39,
    0xffff7154,
    0xfffe5a3f,
    0xfffa482b,
    0xffe62917,
    0xfff23a1d,
    0xffff6c3e,
    0xfff9473b,
    0xfff93e25,
    0xfffe4921,
    0xffff4620,
    0xfffe5830,
    0xffef6f67,
    0xffe59b8b,
    0xffff8371,
    0xfffe392b,
    0xfff1150c,
    0xffdf0b00,
    0xffd30e01,
    0xffd21105,
    0xffc40700,
    0xffd0250a,
    0xffda320c,
    0xffd51901,
    0xffd70d01,
    0xffe41700,
    0xffb61b06,
    0xfff34b36,
    0xfffb2b12,
    0xfffe5927,
    0xfff7553e,
    0xfff58740,
    0xfff72717,
    0xfff62417,
    0xffff604d,
    0xffb85a4b,
    0xff621300,
    0xfffc220d,
    0xffe32414,
    0xffe1200f,
    0xffe22217,
    0xffff7f53,
    0xfffb5144,
    0xffe52018,
    0xffd31109,
    0xffba351d,
    0xff8c6434,
    0xff916e42,
    0xff34280f,
    0xff393715,
    0xff583012,
    0xffa83211,
    0xffb02d0a,
    0xffb13411,
    0xff5e3413,
    0xff89572e,
    0xff65331d,
    0xff4d3e25,
    0xffcaad8e,
    0xff230a00,
    0xff220000,
    0xffddc68f,
    0xffffffff,
    0xfffffff9,
    0xffecb691,
    0xffe9794a,
    0xff7e2a07,
    0xff815c2c,
    0xff966723,
    0xff814d0e,
    0xffb5823f,
    0xff2c1004,
    0xff23110b,
    0xff811405,
    0xffb91a00,
    0xffca3b13,
    0xff9f7137,
    0xff987641,
    0xffa5854e,
    0xfffffff4,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffdec696,
    0xffcba06e,
    0xff935d29,
    0xff94602b,
    0xff5d2f15,
    0xff171300,
    0xff2a1700,
    0xff9f2a01,
    0xffb92600,
    0xff821e00,
    0xfff85b4a,
    0xffa63011,
    0xff9a2709,
    0xfff2471b,
    0xffbc330e,
    0xffe44d36,
    0xff890901,
    0xffaa2c10,
    0xffff602a,
    0xff911506,
    0xff731900,
    0xff211b01,
    0xff291a00,
    0xff231800,
    0xff1d1200,
    0xff181200,
    0xff150e00,
    0xff110c00,
    0xff0a0800,
    0xff000500,
    0xff550802,
    0xfff13511,
    0xffc92709,
    0xff010701,
    0xff0b1100,
    0xff0d1500,
    0xff111800,
    0xff131800,
    0xff141902,
    0xff151b01,
    0xff171f00,
    0xff191f00,
    0xff1b2000,
    0xff1b2001,
    0xff1c2200,
    0xff1d2401,
    0xff1f2701,
    0xff1e2700,
    0xff202800,
    0xff232a01,
    0xff242b01,
    0xff252b01,
    0xff282e01,
    0xff2c3100,
    0xff303500,
    0xff323700,
    0xff343900,
    0xff373d00,
    0xff373f00,
    0xff3b3f02,
    0xff394001,
    0xff384201,
    0xff394400,
    0xff3d4601,
    0xff3f4b00,
    0xff435001,
    0xff465400,
    0xff4a5700,
    0xff4e5a00,
    0xff505d01,
    0xff515f00,
    0xff515f00,
    0xff4e5b01,
    0xff4d5600,
    0xff4b5400,
    0xff4b5300,
    0xff4f5601,
    0xff525309,
    0xff4f4f0f,
    0xff514c0d,
    0xff4f4b0d,
    0xff4b4809,
    0xff46410b,
    0xff413a0b,
    0xff3d3609,
    0xff3a3505,
    0xff373404,
    0xff353102,
    0xff322f00,
    0xff2d2b00,
    0xff2a2a00,
    0xff2c2e00,
    0xff2f3200,
    0xff313501,
    0xff323800,
    0xff353901,
    0xff363a00,
    0xff353a00,
    0xff363c00,
    0xff343900,
    0xff313800,
    0xff313602,
    0xff2d3400,
    0xff2b3100,
    0xff272e00,
    0xff272c00,
    0xff252c01,
    0xff242c01,
    0xff232a01,
    0xff232b00,
    0xff242a01,
    0xff222a00,
    0xff222a00,
    0xff202800,
    0xff202400,
    0xff202200,
    0xff1d1f00,
    0xff181c00,
    0xff181700,
    0xff151400,
    0xff121201,
    0xff0d0c00,
    0xff0a0800,
    0xff040600,
    0xff010100,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff000200,
    0xff000100,
    0xff000201,
    0xff000202,
    0xff031000,
    0xff020e00,
    0xff010d00,
    0xff010c00,
    0xff000b00,
    0xff000a01,
    0xff000a01,
    0xff010a02,
    0xff020800,
    0xff000700,
    0xff010701,
    0xff000500,
    0xff540403,
    0xff000400,
    0xff000500,
    0xff450103,
    0xff370b0f,
    0xff000500,
    0xff000500,
    0xff020701,
    0xff010a00,
    0xff000b01,
    0xff490502,
    0xff310d02,
    0xff011000,
    0xff041101,
    0xff0f1000,
    0xff511200,
    0xff541001,
    0xff4b1200,
    0xff721200,
    0xfff14521,
    0xfff42e20,
    0xffe81f11,
    0xffdc140c,
    0xffe4271c,
    0xffe3221f,
    0xffd71208,
    0xffc40e00,
    0xffb90500,
    0xffbf0800,
    0xffbe0400,
    0xffbd0f01,
    0xffc21800,
    0xffbc0000,
    0xffa82632,
    0xffcf211f,
    0xffec1f16,
    0xffeb412f,
    0xffff6f4e,
    0xfffd4536,
    0xffd80f09,
    0xffae0000,
    0xffaa0200,
    0xffb60400,
    0xffca1200,
    0xffe41c06,
    0xffd71406,
    0xffcc0e00,
    0xffc50400,
    0xffcb0600,
    0xffdb1405,
    0xffe92919,
    0xfff63d22,
    0xffec3324,
    0xffec271e,
    0xffe22819,
    0xffc3170f,
    0xffb00302,
    0xffb10300,
    0xffda1d04,
    0xffec260c,
    0xfff22810,
    0xfffe4928,
    0xfffe5e2b,
    0xffbc3023,
    0xfff73732,
    0xffdf1100,
    0xffee4519,
    0xfff84227,
    0xfff94a32,
    0xffff9d8d,
    0xffa02b50,
    0xffee4922,
    0xffff4d3b,
    0xffff573b,
    0xfffb4a2b,
    0xffe62a1a,
    0xfff73f23,
    0xffff6d3f,
    0xfffb4836,
    0xfff53720,
    0xfffa4020,
    0xfffb411a,
    0xffff603c,
    0xffe3564d,
    0xffe58e71,
    0xffff5c53,
    0xffed1211,
    0xffde0800,
    0xffdb0e01,
    0xffd71407,
    0xffd91507,
    0xffc30200,
    0xffd8260b,
    0xffe2320f,
    0xffd41c03,
    0xffd50e01,
    0xffde1400,
    0xffe62609,
    0xfff7462f,
    0xfff1210d,
    0xffff5026,
    0xfffc744a,
    0xfff78249,
    0xfffb301b,
    0xffff633e,
    0xfffe5346,
    0xff8c200b,
    0xff6e1700,
    0xfff00e01,
    0xffe52b12,
    0xffe22311,
    0xffdf2511,
    0xffed3422,
    0xffd6180a,
    0xffcb1100,
    0xffcd1107,
    0xffab4221,
    0xff814c26,
    0xff926f43,
    0xff45361a,
    0xff37340f,
    0xff7a320e,
    0xffb0300a,
    0xffb52f0e,
    0xff9f3413,
    0xff262406,
    0xff61441c,
    0xff9a5a38,
    0xff240c00,
    0xffb9a685,
    0xff80674e,
    0xff130000,
    0xff6f4819,
    0xffffffee,
    0xfffffffb,
    0xfff8c3aa,
    0xffd77741,
    0xffa87843,
    0xff421b02,
    0xffaa742f,
    0xff8b5a19,
    0xff935208,
    0xff301403,
    0xff5a3520,
    0xff991806,
    0xffbc2000,
    0xffaa1d01,
    0xff68401b,
    0xffac8553,
    0xffb88f57,
    0xffffffec,
    0xffffffff,
    0xfff7eacc,
    0xffad874f,
    0xff99713f,
    0xff8c6431,
    0xffc19162,
    0xff91642d,
    0xff41250a,
    0xff161100,
    0xff421902,
    0xffaf2901,
    0xffb82700,
    0xffa52f1a,
    0xffff5f41,
    0xff5e1700,
    0xffdb3812,
    0xfff2471b,
    0xffae3519,
    0xffc7291b,
    0xff700f01,
    0xffff5524,
    0xffd5411d,
    0xff7d0b00,
    0xff481801,
    0xff231b00,
    0xff241800,
    0xff1e1600,
    0xff1c1301,
    0xff171000,
    0xff150d00,
    0xff100b00,
    0xff050701,
    0xff0b0200,
    0xffb81b09,
    0xffff3c1a,
    0xff550802,
    0xff000502,
    0xff060900,
    0xff080c00,
    0xff0b1000,
    0xff0f1500,
    0xff101701,
    0xff161a00,
    0xff181e00,
    0xff181f00,
    0xff191f00,
    0xff1a1f00,
    0xff1d2301,
    0xff1e2400,
    0xff1d2701,
    0xff1e2700,
    0xff212900,
    0xff222900,
    0xff242a00,
    0xff292d01,
    0xff2d2f00,
    0xff313100,
    0xff323600,
    0xff353800,
    0xff373b01,
    0xff393d00,
    0xff394100,
    0xff3c4200,
    0xff3b4300,
    0xff3b4300,
    0xff3b4500,
    0xff3c4800,
    0xff3e4b00,
    0xff445001,
    0xff465300,
    0xff4a5700,
    0xff4e5c00,
    0xff4f5f01,
    0xff536001,
    0xff515f00,
    0xff4e5b01,
    0xff4b5700,
    0xff4b5500,
    0xff495200,
    0xff4a5101,
    0xff4f5305,
    0xff52520b,
    0xff514d0e,
    0xff4e4b0e,
    0xff4b460a,
    0xff47430b,
    0xff403d0b,
    0xff3e3808,
    0xff393504,
    0xff373502,
    0xff353200,
    0xff323400,
    0xff2f3100,
    0xff2e3000,
    0xff303300,
    0xff333600,
    0xff363701,
    0xff343900,
    0xff363c00,
    0xff363c01,
    0xff363f00,
    0xff363d00,
    0xff333b00,
    0xff303801,
    0xff2f3601,
    0xff2b3400,
    0xff293100,
    0xff272f01,
    0xff252b00,
    0xff222901,
    0xff222900,
    0xff212700,
    0xff1f2600,
    0xff1e2600,
    0xff1e2601,
    0xff1e2601,
    0xff1d2401,
    0xff1a1f00,
    0xff1b1e00,
    0xff181b00,
    0xff181800,
    0xff171600,
    0xff121200,
    0xff0d0e00,
    0xff0c0b00,
    0xff080800,
    0xff030200,
    0xff010101,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff031000,
    0xff020e00,
    0xff020e01,
    0xff000c01,
    0xff000c00,
    0xff000a02,
    0xff010b02,
    0xff000a01,
    0xff000900,
    0xff000700,
    0xff010600,
    0xff000500,
    0xff500403,
    0xff070201,
    0xff000600,
    0xff240100,
    0xff540d18,
    0xff000500,
    0xff010700,
    0xff020601,
    0xff010800,
    0xff010c02,
    0xff270400,
    0xff540d08,
    0xff020e00,
    0xff021000,
    0xff0b1000,
    0xff511201,
    0xff570f00,
    0xff410e00,
    0xff932308,
    0xfff13723,
    0xffdf1b14,
    0xffd91308,
    0xffd5110a,
    0xffe32a1f,
    0xffda1c19,
    0xffda0e04,
    0xffd31401,
    0xffc80f06,
    0xffcc1707,
    0xffbd0500,
    0xffbb1100,
    0xffbe1600,
    0xffc30400,
    0xffa3111c,
    0xffc91b14,
    0xffe61d13,
    0xfff24c34,
    0xffff6c50,
    0xfffc4030,
    0xffd30909,
    0xffb00000,
    0xffab0001,
    0xffb30000,
    0xffc81100,
    0xffe01d05,
    0xffd71606,
    0xffd41402,
    0xffc50300,
    0xffcb0700,
    0xffda1305,
    0xffea2919,
    0xfffa3b1f,
    0xffed3a25,
    0xffea271e,
    0xfff02f1b,
    0xffd51f13,
    0xffb80805,
    0xffb20400,
    0xffde2008,
    0xfffb3515,
    0xffff3918,
    0xfffe3c21,
    0xfffc5225,
    0xffdf574d,
    0xffe62c25,
    0xffdc1100,
    0xffeb3d18,
    0xfff34226,
    0xfff83c26,
    0xffff7c68,
    0xff9a2537,
    0xffd42710,
    0xfff9342d,
    0xffff5538,
    0xfffc4e2c,
    0xffe62a18,
    0xfff4381e,
    0xfffb4a29,
    0xfff43126,
    0xfff4351e,
    0xfffb3f1f,
    0xfffd441d,
    0xffff6344,
    0xffdb4d45,
    0xffee7557,
    0xfffd3633,
    0xffe81108,
    0xffdf0c00,
    0xffdf1808,
    0xffe62016,
    0xffe7220e,
    0xffc80100,
    0xffd81d04,
    0xffe3290b,
    0xffd62408,
    0xffd20f00,
    0xffe01100,
    0xffe71700,
    0xffea260c,
    0xffe91d07,
    0xfffd3418,
    0xfffd9654,
    0xfffb6c4a,
    0xfffd3520,
    0xffff7f59,
    0xfff2272c,
    0xff792004,
    0xffa31200,
    0xffdd0c02,
    0xfff02c15,
    0xffeb210b,
    0xffdc0b01,
    0xffdb0600,
    0xffcd1700,
    0xffc71001,
    0xffd01507,
    0xff5f2f1d,
    0xff81441f,
    0xff8f673f,
    0xff67502c,
    0xff402e10,
    0xff99340e,
    0xffb32d0b,
    0xffba3610,
    0xff742d12,
    0xff262806,
    0xff2b2a05,
    0xff7a4b2a,
    0xff7d4835,
    0xff5f4c2c,
    0xffd1bca5,
    0xff371c03,
    0xff100000,
    0xffe2cc97,
    0xfffff3dc,
    0xfff1a177,
    0xffb3663e,
    0xff3d1d07,
    0xff653c17,
    0xff6c451d,
    0xff9b6526,
    0xff562608,
    0xff050000,
    0xff663420,
    0xffb7260f,
    0xffc72c0e,
    0xff9c2d0e,
    0xff2b0e00,
    0xff996a36,
    0xffbe965f,
    0xfffefcec,
    0xfffbfde8,
    0xff835921,
    0xff865d35,
    0xff6f4b1f,
    0xffb68d61,
    0xffc3a87c,
    0xffedcca2,
    0xff2b1b00,
    0xff141200,
    0xff6b1b01,
    0xffb52901,
    0xffaf2300,
    0xfff4584a,
    0xffa93011,
    0xff98230a,
    0xfff44818,
    0xffc13511,
    0xffd13d28,
    0xff830700,
    0xffb33015,
    0xffff622d,
    0xff6b1706,
    0xff8d1200,
    0xff251700,
    0xff221700,
    0xff201300,
    0xff1c1401,
    0xff181200,
    0xff171000,
    0xff140c00,
    0xff100a00,
    0xff000400,
    0xff610700,
    0xfff93816,
    0xffd1270f,
    0xff000000,
    0xff000300,
    0xff030500,
    0xff040700,
    0xff070a01,
    0xff0b1101,
    0xff0f1700,
    0xff151801,
    0xff161b01,
    0xff171d01,
    0xff192001,
    0xff1b2101,
    0xff1d2301,
    0xff1e2501,
    0xff1f2502,
    0xff202700,
    0xff202800,
    0xff232b01,
    0xff272a01,
    0xff2a2f02,
    0xff303100,
    0xff313400,
    0xff333601,
    0xff373b00,
    0xff393d01,
    0xff3c3e00,
    0xff394301,
    0xff3e4501,
    0xff3f4602,
    0xff3e4601,
    0xff3e4801,
    0xff3d4900,
    0xff404d00,
    0xff444f00,
    0xff465501,
    0xff4b5800,
    0xff4d5d00,
    0xff4f5e01,
    0xff516100,
    0xff515f00,
    0xff4e5c00,
    0xff4d5a01,
    0xff4a5600,
    0xff4a5301,
    0xff484f00,
    0xff4a4f00,
    0xff4f5305,
    0xff514c0a,
    0xff4e4b0c,
    0xff4b460a,
    0xff474408,
    0xff433d05,
    0xff3e3805,
    0xff3a3603,
    0xff383602,
    0xff363500,
    0xff343600,
    0xff313402,
    0xff323400,
    0xff333701,
    0xff353b00,
    0xff363d01,
    0xff373b00,
    0xff373d00,
    0xff384001,
    0xff394201,
    0xff384100,
    0xff343d00,
    0xff323900,
    0xff2e3600,
    0xff2b3500,
    0xff293100,
    0xff272f01,
    0xff252b01,
    0xff212a01,
    0xff1f2601,
    0xff1f2400,
    0xff1c2302,
    0xff1b2301,
    0xff1b2200,
    0xff192000,
    0xff1a1e00,
    0xff171b00,
    0xff161900,
    0xff151701,
    0xff171400,
    0xff131200,
    0xff0e0f00,
    0xff0c0c00,
    0xff080800,
    0xff060500,
    0xff020100,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff020102,
    0xff020102,
    0xff000300,
    0xff010300,
    0xff010300,
    0xff020400,
    0xff030500,
    0xff041100,
    0xff020f00,
    0xff020e00,
    0xff020e00,
    0xff000d01,
    0xff010a00,
    0xff000900,
    0xff000900,
    0xff010a01,
    0xff010700,
    0xff000700,
    0xff000700,
    0xff460402,
    0xff170200,
    0xff000700,
    0xff0f0100,
    0xff710d16,
    0xff000300,
    0xff000700,
    0xff010600,
    0xff030801,
    0xff020a00,
    0xff0d0500,
    0xff6a0b09,
    0xff090c01,
    0xff030e00,
    0xff0b0f00,
    0xff4f1000,
    0xff590f01,
    0xff3f0d00,
    0xffb92c0e,
    0xffdb201b,
    0xffcd140b,
    0xffcf0d02,
    0xffd0140b,
    0xffd72620,
    0xffd51917,
    0xffd90d02,
    0xffe21c0b,
    0xfff23a20,
    0xffe6331a,
    0xffbb0600,
    0xffb50f00,
    0xffbc1602,
    0xffb80100,
    0xffd72d22,
    0xffec3626,
    0xffe11b19,
    0xfff6553c,
    0xffff6650,
    0xfff8362c,
    0xffcd0604,
    0xffb50100,
    0xffad0001,
    0xffb60000,
    0xffc71100,
    0xffd91c04,
    0xffd71808,
    0xffda1603,
    0xffc90600,
    0xffcf0c00,
    0xffda1607,
    0xffeb301c,
    0xfffd3f23,
    0xffef391e,
    0xffeb291e,
    0xfff22d16,
    0xffe82a18,
    0xffc00d06,
    0xffb30500,
    0xffda1c05,
    0xfffb3819,
    0xffff3d1b,
    0xfffb301c,
    0xfffa411e,
    0xffe0402e,
    0xffdb1c12,
    0xffe21d09,
    0xffed3918,
    0xfff14326,
    0xfff32d1d,
    0xfff82920,
    0xffab222f,
    0xffda3a23,
    0xffff4f40,
    0xfffd5d40,
    0xfffd502d,
    0xffe52716,
    0xffe22211,
    0xffea2817,
    0xfff12f1d,
    0xfff1331a,
    0xfffb3c1c,
    0xfffd4a25,
    0xffff7858,
    0xffcf4354,
    0xffed3521,
    0xfffd311b,
    0xffed1c08,
    0xffe61508,
    0xfff22f17,
    0xfffd4322,
    0xfff02a12,
    0xffc30000,
    0xffd31000,
    0xffe02207,
    0xffd62907,
    0xffd31301,
    0xffdc0d00,
    0xffe41800,
    0xffeb250a,
    0xffe21c07,
    0xffe92512,
    0xfffb804b,
    0xfffc4b3c,
    0xfffd4024,
    0xfffe6f51,
    0xffe90c15,
    0xff931a0a,
    0xffd40c01,
    0xffd00d01,
    0xffe61806,
    0xffe31000,
    0xffdb0b02,
    0xffdb0a00,
    0xffcf1501,
    0xffc60f00,
    0xffcd1f0c,
    0xff25180f,
    0xff8c4a25,
    0xff815d3c,
    0xff78623b,
    0xff562a0b,
    0xffaf3211,
    0xffb72d09,
    0xffb73a12,
    0xff4a2b0e,
    0xff292906,
    0xff282603,
    0xff3d2d08,
    0xff9c654c,
    0xff2b0f00,
    0xffd3c1a5,
    0xff947752,
    0xff140000,
    0xffab4319,
    0xffe9906b,
    0xfff29a6e,
    0xff884a29,
    0xff120000,
    0xff68421c,
    0xff3e1800,
    0xff693813,
    0xff060003,
    0xff281712,
    0xff610d05,
    0xffbd270c,
    0xffcb2e12,
    0xff772a12,
    0xff4f2e0c,
    0xff773f0b,
    0xffac7e4a,
    0xffedddb9,
    0xffe8deb5,
    0xff5e320e,
    0xff845831,
    0xff82582b,
    0xfff2dcbd,
    0xfffbefd8,
    0xffcb9d79,
    0xff1a0800,
    0xff1e1501,
    0xff922401,
    0xffb82600,
    0xffc7301b,
    0xffff6343,
    0xff5e1400,
    0xffda3712,
    0xfff3471b,
    0xffa72d10,
    0xffbf1e13,
    0xff6f0f03,
    0xffff5e28,
    0xffcd3c1f,
    0xff580f00,
    0xff6e1200,
    0xff1b1600,
    0xff201400,
    0xff1f1401,
    0xff1c1301,
    0xff191200,
    0xff170f00,
    0xff130d00,
    0xff090900,
    0xff170000,
    0xffca200b,
    0xffff441c,
    0xff530503,
    0xff000100,
    0xff010300,
    0xff020400,
    0xff020601,
    0xff080900,
    0xff0b1000,
    0xff0f1400,
    0xff111600,
    0xff141902,
    0xff171b01,
    0xff181e00,
    0xff191f00,
    0xff1b2301,
    0xff1f2400,
    0xff1f2602,
    0xff1f2602,
    0xff202700,
    0xff222900,
    0xff292900,
    0xff293001,
    0xff303200,
    0xff323400,
    0xff353800,
    0xff393d01,
    0xff3a3e00,
    0xff3c4101,
    0xff3c4300,
    0xff3b4601,
    0xff3e4500,
    0xff3f4700,
    0xff3e4801,
    0xff3f4a00,
    0xff424d00,
    0xff455200,
    0xff475600,
    0xff4b5900,
    0xff4b6001,
    0xff516000,
    0xff526200,
    0xff515f00,
    0xff4f5d01,
    0xff4d5901,
    0xff4d5501,
    0xff495100,
    0xff474e00,
    0xff454d00,
    0xff474d00,
    0xff4c4c02,
    0xff4b4a07,
    0xff484706,
    0xff434105,
    0xff3e3c05,
    0xff3b3802,
    0xff3a3800,
    0xff373700,
    0xff373800,
    0xff373700,
    0xff353800,
    0xff343a00,
    0xff353b00,
    0xff394001,
    0xff3a3f00,
    0xff3a4100,
    0xff3b4200,
    0xff3c4300,
    0xff3b4501,
    0xff394400,
    0xff354100,
    0xff353c01,
    0xff303800,
    0xff2b3400,
    0xff283200,
    0xff283200,
    0xff242d01,
    0xff202800,
    0xff1f2701,
    0xff1d2401,
    0xff1a2100,
    0xff192001,
    0xff181e01,
    0xff171d00,
    0xff151901,
    0xff141700,
    0xff141500,
    0xff101200,
    0xff101100,
    0xff100e01,
    0xff0d0c00,
    0xff070900,
    0xff060701,
    0xff030400,
    0xff000001,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000101,
    0xff000200,
    0xff020400,
    0xff000600,
    0xff010500,
    0xff040600,
    0xff020800,
    0xff041000,
    0xff030f01,
    0xff041002,
    0xff010d00,
    0xff000d01,
    0xff010b00,
    0xff010b01,
    0xff000900,
    0xff000a01,
    0xff010700,
    0xff010801,
    0xff000801,
    0xff350201,
    0xff280304,
    0xff000700,
    0xff000200,
    0xff760d11,
    0xff0b0504,
    0xff000600,
    0xff000600,
    0xff020600,
    0xff010b01,
    0xff000900,
    0xff670705,
    0xff1d0c03,
    0xff020e00,
    0xff080d00,
    0xff4c0f00,
    0xff5d0f00,
    0xff430c00,
    0xffcf3317,
    0xffd51d19,
    0xffc81205,
    0xffc60e00,
    0xffc7130d,
    0xffd02825,
    0xffd11d1c,
    0xffdc0f0c,
    0xffed2712,
    0xfff13d28,
    0xffca0f10,
    0xffbd0c00,
    0xffb51100,
    0xffb71500,
    0xffbc0204,
    0xfff75935,
    0xfff94533,
    0xffdf1c1c,
    0xfffb6045,
    0xffff654c,
    0xfff62f26,
    0xffcb0403,
    0xffb60300,
    0xffb50000,
    0xffc00500,
    0xffce1000,
    0xffd61909,
    0xffda1c09,
    0xffe21a04,
    0xffcc0500,
    0xffd10b00,
    0xffda1205,
    0xffed4c30,
    0xfffb4530,
    0xfff3331b,
    0xffea301d,
    0xffee2816,
    0xfff33117,
    0xffcc120a,
    0xffb80300,
    0xffd11605,
    0xfff52f16,
    0xffff3e1a,
    0xfff72d19,
    0xfffb381c,
    0xffd72916,
    0xffd61910,
    0xffef321f,
    0xffeb3519,
    0xfff14021,
    0xfff52f20,
    0xffe11913,
    0xffc32732,
    0xffee643d,
    0xffff7a5c,
    0xfffe634b,
    0xfffd502e,
    0xffe42315,
    0xffdd1a13,
    0xffeb2917,
    0xfff03018,
    0xfff03119,
    0xfffd3a19,
    0xfffc6645,
    0xffffaf99,
    0xffc1213d,
    0xffe51c10,
    0xfff52c0f,
    0xffee1c08,
    0xffef2712,
    0xfffe4823,
    0xffff5527,
    0xffe9190c,
    0xffbf0000,
    0xffcd0e00,
    0xffe01b05,
    0xffd82b0b,
    0xffd31701,
    0xffd90f00,
    0xffdd1400,
    0xffea270b,
    0xffe11f0b,
    0xffe21c0c,
    0xfff74a2a,
    0xfff5261e,
    0xfffd4928,
    0xfffe5335,
    0xffff8971,
    0xffc43230,
    0xffd31000,
    0xffcd1001,
    0xffe11202,
    0xffd60901,
    0xffd70801,
    0xffd80800,
    0xffd71401,
    0xffc81203,
    0xffd32910,
    0xff220a05,
    0xff8a4935,
    0xffb86951,
    0xff876a45,
    0xff802a0f,
    0xffb52f08,
    0xffbe340d,
    0xff9b3613,
    0xff312b08,
    0xff2f2c07,
    0xff2c2806,
    0xff212200,
    0xff744827,
    0xff5f250e,
    0xffa29772,
    0xffffffff,
    0xff601f04,
    0xffc02101,
    0xffe2663a,
    0xffd68050,
    0xff2f1809,
    0xff4c2c1c,
    0xff714923,
    0xff4d2b10,
    0xff652b09,
    0xff2a1608,
    0xff090204,
    0xff99260f,
    0xffbb1d00,
    0xffcf3b22,
    0xff4d210e,
    0xff2e1806,
    0xff563213,
    0xff5b2a00,
    0xffd1a869,
    0xffd0a873,
    0xff522e08,
    0xff442405,
    0xffa27851,
    0xfffff0d7,
    0xfff1c9af,
    0xff8d1900,
    0xff1d1500,
    0xff341700,
    0xffaa2a00,
    0xffbb2300,
    0xffff594a,
    0xffa22d10,
    0xff9f2207,
    0xfff54516,
    0xffc13311,
    0xffbf291b,
    0xff7f0800,
    0xffc83719,
    0xffff652e,
    0xff4a1204,
    0xff921401,
    0xff391101,
    0xff1d1500,
    0xff201400,
    0xff1e1200,
    0xff1a1300,
    0xff181100,
    0xff160e00,
    0xff110d01,
    0xff030400,
    0xff7e0b04,
    0xffff3e18,
    0xffcd230f,
    0xff000000,
    0xff000300,
    0xff010400,
    0xff030700,
    0xff070800,
    0xff080d01,
    0xff0b0f01,
    0xff0f1301,
    0xff101500,
    0xff131800,
    0xff161b01,
    0xff181d00,
    0xff1a1e00,
    0xff1a1f00,
    0xff1c2100,
    0xff1d2500,
    0xff202400,
    0xff1f2402,
    0xff232800,
    0xff292a02,
    0xff2a2e00,
    0xff323301,
    0xff323501,
    0xff363900,
    0xff393c01,
    0xff3b4002,
    0xff3d4200,
    0xff3d4401,
    0xff3b4601,
    0xff3f4701,
    0xff404901,
    0xff404900,
    0xff3f4b00,
    0xff444f00,
    0xff465300,
    0xff485600,
    0xff4c5a00,
    0xff4f5e01,
    0xff526200,
    0xff516100,
    0xff515f01,
    0xff4f5c00,
    0xff515a00,
    0xff4e5500,
    0xff4a5101,
    0xff474f01,
    0xff454e00,
    0xff464b00,
    0xff444b00,
    0xff474602,
    0xff454502,
    0xff424002,
    0xff3d3b01,
    0xff3c3a00,
    0xff3b3a01,
    0xff3a3a00,
    0xff393a00,
    0xff393a01,
    0xff393d00,
    0xff383e00,
    0xff3a4001,
    0xff3d4400,
    0xff3f4501,
    0xff3d4702,
    0xff3e4500,
    0xff3d4601,
    0xff3c4801,
    0xff3c4701,
    0xff3a4600,
    0xff353e01,
    0xff313801,
    0xff2c3501,
    0xff283400,
    0xff283200,
    0xff252e00,
    0xff212900,
    0xff1d2600,
    0xff1b2300,
    0xff192000,
    0xff192000,
    0xff161d01,
    0xff141901,
    0xff131600,
    0xff101400,
    0xff0f1001,
    0xff0b0d00,
    0xff0a0c01,
    0xff0a0b00,
    0xff090901,
    0xff060700,
    0xff030400,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000000,
    0xff010202,
    0xff010300,
    0xff020500,
    0xff010600,
    0xff040901,
    0xff060902,
    0xff050b01,
    0xff050f00,
    0xff020e00,
    0xff020e00,
    0xff020e01,
    0xff010d01,
    0xff000c00,
    0xff000a01,
    0xff000901,
    0xff000a00,
    0xff010700,
    0xff010500,
    0xff000700,
    0xff210201,
    0xff380304,
    0xff000500,
    0xff000400,
    0xff600708,
    0xff2d0911,
    0xff000500,
    0xff000801,
    0xff020600,
    0xff030a01,
    0xff000c00,
    0xff4a0302,
    0xff3e0f08,
    0xff000d00,
    0xff050d00,
    0xff4c0f01,
    0xff5f0f01,
    0xff4a0b00,
    0xffd7381c,
    0xffda2217,
    0xffcb1405,
    0xffc20b04,
    0xffc41a16,
    0xffd32f2a,
    0xffdb2e29,
    0xffe21f1b,
    0xffef3021,
    0xffe43025,
    0xffc60f0e,
    0xffc00e00,
    0xffb51100,
    0xffb60f0b,
    0xffde2a1b,
    0xfffe5a3b,
    0xfff1372d,
    0xffe12325,
    0xfffd694b,
    0xffff614b,
    0xfff22820,
    0xffc70303,
    0xffb70500,
    0xffbd0400,
    0xffd41201,
    0xffe12010,
    0xffd81f12,
    0xffde1e0d,
    0xffef2609,
    0xffd10800,
    0xffd00e00,
    0xffdb1305,
    0xfff35238,
    0xfffd5f4a,
    0xfff62f1c,
    0xffe9321b,
    0xffed291c,
    0xfff13012,
    0xffd2160a,
    0xffbc0500,
    0xffc91100,
    0xffec2911,
    0xffff3d1a,
    0xfff93219,
    0xfff02515,
    0xffe13114,
    0xffe62e1b,
    0xfff7442d,
    0xffed3118,
    0xfff04022,
    0xfff23527,
    0xffe92013,
    0xffaf1222,
    0xfff76d48,
    0xffff765d,
    0xfffe614a,
    0xfffc5130,
    0xffe7271c,
    0xffee311f,
    0xfff73724,
    0xfff22d1b,
    0xfff23218,
    0xfffd3818,
    0xfffe6e4c,
    0xffee7a80,
    0xffcd1414,
    0xffe1180c,
    0xffea1c06,
    0xffe91b0a,
    0xfff43619,
    0xffff532c,
    0xffff4120,
    0xffd90602,
    0xffbf0000,
    0xffc80c00,
    0xffdc1903,
    0xffd92d0b,
    0xffd41a01,
    0xffd70e00,
    0xffd71000,
    0xfff2330f,
    0xffe82811,
    0xfff02910,
    0xfff8391e,
    0xfff32716,
    0xffff4221,
    0xfff83d20,
    0xffdf110c,
    0xffbd1106,
    0xffd30c00,
    0xffcc0c00,
    0xffdc0b00,
    0xffd20600,
    0xffd30b02,
    0xffd20400,
    0xffd71501,
    0xffca1302,
    0xffc12e0f,
    0xff7f2a10,
    0xffed6a55,
    0xffff9676,
    0xffee7e5c,
    0xffaf3623,
    0xffb82a08,
    0xffc23d13,
    0xff6e2d0e,
    0xff292d07,
    0xff2f2c07,
    0xff2c2803,
    0xff232400,
    0xff3f2f0c,
    0xff975b46,
    0xff74501e,
    0xffffffff,
    0xffe0af93,
    0xffcb2800,
    0xffe0431d,
    0xff833317,
    0xff493014,
    0xff73472b,
    0xff7f5631,
    0xff503112,
    0xff371904,
    0xff794114,
    0xff300d04,
    0xffc74a28,
    0xffc4280e,
    0xffaa2b18,
    0xff6e482b,
    0xff160400,
    0xff442410,
    0xff643713,
    0xff8f5314,
    0xffa06d36,
    0xff88582a,
    0xff351700,
    0xff7d542b,
    0xffeedbb4,
    0xffd34f33,
    0xff6a1700,
    0xff1c1900,
    0xff5c1b00,
    0xffb52800,
    0xffe13b27,
    0xffff5c39,
    0xff5e0d00,
    0xffe13611,
    0xfff5491a,
    0xffa2220f,
    0xffb0140a,
    0xff8e150a,
    0xffff6d2f,
    0xffbf3218,
    0xff310e00,
    0xff941301,
    0xff1a1500,
    0xff1f1400,
    0xff1f1200,
    0xff1e1201,
    0xff191100,
    0xff171000,
    0xff150d00,
    0xff0a0c01,
    0xff310200,
    0xffdf2a0e,
    0xffff401c,
    0xff470403,
    0xff000300,
    0xff030600,
    0xff010801,
    0xff070901,
    0xff0a0e01,
    0xff0a1000,
    0xff0e1201,
    0xff101500,
    0xff111501,
    0xff161601,
    0xff161601,
    0xff171900,
    0xff191c01,
    0xff181b00,
    0xff1d1e01,
    0xff1e2201,
    0xff1e2100,
    0xff1e2300,
    0xff252601,
    0xff272900,
    0xff2c2e00,
    0xff2f3100,
    0xff333601,
    0xff373a01,
    0xff393d01,
    0xff3b4100,
    0xff3c4400,
    0xff3d4401,
    0xff3e4500,
    0xff3e4700,
    0xff404901,
    0xff424901,
    0xff414c01,
    0xff424f00,
    0xff455401,
    0xff4a5600,
    0xff4d5a01,
    0xff4d5c01,
    0xff526200,
    0xff516001,
    0xff505e00,
    0xff4f5c00,
    0xff4e5801,
    0xff4b5500,
    0xff4a5302,
    0xff464f00,
    0xff444c00,
    0xff454c00,
    0xff424701,
    0xff424400,
    0xff3f4100,
    0xff3e3d01,
    0xff3b3b01,
    0xff3a3800,
    0xff3b3b00,
    0xff393c01,
    0xff383d01,
    0xff3b3f00,
    0xff3d4200,
    0xff3e4402,
    0xff3e4501,
    0xff404700,
    0xff424b02,
    0xff404b01,
    0xff3f4901,
    0xff3e4800,
    0xff3e4b00,
    0xff3d4901,
    0xff3a4500,
    0xff343f00,
    0xff2f3800,
    0xff2c3501,
    0xff293400,
    0xff293201,
    0xff242f01,
    0xff1f2a00,
    0xff1b2600,
    0xff192300,
    0xff1a2100,
    0xff181e00,
    0xff151e01,
    0xff141801,
    0xff111600,
    0xff0c1100,
    0xff0b0d00,
    0xff090a00,
    0xff070802,
    0xff060701,
    0xff050601,
    0xff020300,
    0xff010000,
    0xff010102,
    0xff010101,
    0xff000000,
    0xff000101,
    0xff010201,
    0xff000200,
    0xff020400,
    0xff010700,
    0xff060800,
    0xff080c00,
    0xff060d00,
    0xff060e00,
    0xff041000,
    0xff031001,
    0xff030f01,
    0xff010d00,
    0xff010d01,
    0xff000c00,
    0xff010b01,
    0xff000a00,
    0xff000800,
    0xff010800,
    0xff010600,
    0xff000600,
    0xff100200,
    0xff490305,
    0xff000400,
    0xff000500,
    0xff3c0100,
    0xff560f1b,
    0xff000500,
    0xff010601,
    0xff020700,
    0xff030901,
    0xff000b00,
    0xff230300,
    0xff680e0e,
    0xff020d00,
    0xff040c01,
    0xff450e01,
    0xff620e00,
    0xff4c0b00,
    0xffc82a12,
    0xffd21c11,
    0xffc31005,
    0xffcb180b,
    0xffd82f1e,
    0xffe5412b,
    0xffe63f2d,
    0xffed3d2b,
    0xfff2442a,
    0xffe63729,
    0xffd12119,
    0xffbe0f09,
    0xffbb130e,
    0xffd62f2e,
    0xfff74a3b,
    0xffe52433,
    0xffe62326,
    0xffeb2e30,
    0xffff6d4b,
    0xffff5643,
    0xffe91f1d,
    0xffc10403,
    0xffb80400,
    0xffc90a01,
    0xffec2c0c,
    0xfff5421f,
    0xffe5301d,
    0xffe02012,
    0xfff3280d,
    0xffd60c01,
    0xffd00e00,
    0xffda1308,
    0xfffd6e55,
    0xfffd564b,
    0xfff9331c,
    0xffec2b15,
    0xffeb2c1c,
    0xffe92410,
    0xffd11706,
    0xffc00900,
    0xffca1000,
    0xffe2220d,
    0xfff93819,
    0xfffb381a,
    0xffeb2011,
    0xffeb2c18,
    0xfffd5633,
    0xfff9573d,
    0xffeb2b17,
    0xffef3e20,
    0xfff6422c,
    0xfffa4931,
    0xffc92524,
    0xfff2542d,
    0xffff5848,
    0xfffe6045,
    0xfffc5432,
    0xfff13927,
    0xfffe623d,
    0xfffe5441,
    0xffee291d,
    0xfff53517,
    0xfffc371c,
    0xffff411f,
    0xffda363b,
    0xffdf2011,
    0xffd71206,
    0xffdb1000,
    0xffe61b09,
    0xfff43521,
    0xffff582a,
    0xfff42918,
    0xffd10000,
    0xffc60400,
    0xffc60700,
    0xffda1a02,
    0xffd9290b,
    0xffd41c02,
    0xffd70e00,
    0xffd41200,
    0xfff13916,
    0xffe52a12,
    0xfff72b0f,
    0xffeb2210,
    0xfff62d18,
    0xfffc2f1d,
    0xfff32712,
    0xffd91100,
    0xffd81300,
    0xffd00600,
    0xffcd0c03,
    0xffe41611,
    0xffd50601,
    0xffc60200,
    0xffd10500,
    0xffd51302,
    0xffcf1b04,
    0xffac290f,
    0xffd6381c,
    0xffff5042,
    0xfffb4447,
    0xffff6053,
    0xfff86347,
    0xffbf2c15,
    0xffb13a16,
    0xff392a0b,
    0xff292d06,
    0xff2d2a04,
    0xff2b2804,
    0xff252500,
    0xff1d1d00,
    0xff9d6b55,
    0xff986736,
    0xfffefee5,
    0xfffffffb,
    0xffe15c35,
    0xffca300d,
    0xff42220c,
    0xff311e0c,
    0xff765036,
    0xff87613e,
    0xff5b3719,
    0xff442609,
    0xff401a09,
    0xff5f1607,
    0xffbb2a0d,
    0xffd23618,
    0xff700f07,
    0xff180e09,
    0xff251108,
    0xff412710,
    0xff412512,
    0xff45210a,
    0xff5c2905,
    0xff825527,
    0xff412004,
    0xff532a05,
    0xfff0ddba,
    0xffe78b69,
    0xff430f00,
    0xff231901,
    0xff862300,
    0xffc92a05,
    0xffff614b,
    0xff8f240c,
    0xffb02609,
    0xfffb4818,
    0xffc82e13,
    0xffa9190c,
    0xff9c1003,
    0xffed4e25,
    0xffff5e2d,
    0xff2d0a00,
    0xff791600,
    0xff5d1201,
    0xff1a1200,
    0xff211402,
    0xff1f1201,
    0xff1e1201,
    0xff1a1200,
    0xff160f00,
    0xff120e01,
    0xff0c0600,
    0xffa41507,
    0xffff491e,
    0xffb61b0a,
    0xff000200,
    0xff010700,
    0xff020801,
    0xff060a00,
    0xff090d00,
    0xff0c1000,
    0xff0e1300,
    0xff111500,
    0xff121401,
    0xff131600,
    0xff131600,
    0xff161801,
    0xff161800,
    0xff181a00,
    0xff1a1d01,
    0xff1a1d00,
    0xff1e1e00,
    0xff1c2101,
    0xff1e2401,
    0xff262500,
    0xff272801,
    0xff2b2c00,
    0xff2f3100,
    0xff323400,
    0xff363800,
    0xff393d01,
    0xff3a4001,
    0xff3c4201,
    0xff3c4200,
    0xff3d4501,
    0xff404500,
    0xff414900,
    0xff404801,
    0xff404b00,
    0xff424f00,
    0xff465401,
    0xff4a5700,
    0xff4c5a01,
    0xff4f5e01,
    0xff526100,
    0xff505f00,
    0xff515e00,
    0xff505c01,
    0xff4e5701,
    0xff495400,
    0xff485000,
    0xff484f01,
    0xff484d00,
    0xff444b00,
    0xff404900,
    0xff404301,
    0xff3f3f00,
    0xff3c3d00,
    0xff393800,
    0xff383900,
    0xff3b3d01,
    0xff3c4000,
    0xff3b4100,
    0xff3e4402,
    0xff3f4700,
    0xff404800,
    0xff424901,
    0xff434b00,
    0xff444e00,
    0xff424d00,
    0xff404c00,
    0xff3f4901,
    0xff3c4a00,
    0xff3e4a01,
    0xff394701,
    0xff353f00,
    0xff2f3900,
    0xff2b3601,
    0xff293300,
    0xff293301,
    0xff232f00,
    0xff202b01,
    0xff1b2700,
    0xff182601,
    0xff1a2201,
    0xff172000,
    0xff151f01,
    0xff151a01,
    0xff101500,
    0xff0d1200,
    0xff0a0d00,
    0xff070900,
    0xff060601,
    0xff030500,
    0xff010000,
    0xff020100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000200,
    0xff000200,
    0xff030501,
    0xff010700,
    0xff010901,
    0xff040d00,
    0xff061000,
    0xff0a1100,
    0xff0a1301,
    0xff061100,
    0xff040e00,
    0xff030e00,
    0xff020e00,
    0xff000d01,
    0xff000c00,
    0xff000a01,
    0xff000b02,
    0xff010801,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff030400,
    0xff540406,
    0xff000300,
    0xff000401,
    0xff1a0100,
    0xff7e141d,
    0xff000300,
    0xff000701,
    0xff010600,
    0xff040700,
    0xff040a00,
    0xff060701,
    0xff7a0a0b,
    0xff0d0d01,
    0xff010c01,
    0xff430e00,
    0xff631000,
    0xff4e0c00,
    0xffaa1d07,
    0xffbc0c08,
    0xffc51709,
    0xffe13217,
    0xffe1291b,
    0xffd51e1d,
    0xffe32c25,
    0xffed3929,
    0xffea3829,
    0xffdd2b28,
    0xffdc2927,
    0xffcd1720,
    0xffdc3b35,
    0xfff96955,
    0xfff8544f,
    0xffea2e39,
    0xfff13932,
    0xfff8433b,
    0xffff6243,
    0xfffe4135,
    0xffde1918,
    0xffbd0804,
    0xffb70500,
    0xffcb0c00,
    0xfff13514,
    0xffff5f30,
    0xffea3a22,
    0xffe52514,
    0xfff3260b,
    0xffd70d01,
    0xffd21301,
    0xffdd1308,
    0xffcf6c56,
    0xffff6051,
    0xfffb331f,
    0xffee2912,
    0xffe72d18,
    0xffe82715,
    0xffd61b08,
    0xffc40d02,
    0xffd01303,
    0xffd91708,
    0xfff43015,
    0xfffb3d1a,
    0xfff02913,
    0xffe71e14,
    0xfffc523b,
    0xfffb654f,
    0xffea2816,
    0xffef3e1e,
    0xfff6412d,
    0xfffe6954,
    0xffd94651,
    0xffe53828,
    0xfffe4e47,
    0xfffe6548,
    0xfffc5535,
    0xfffa4932,
    0xffff7a55,
    0xfffe6f5b,
    0xffec2620,
    0xfff73319,
    0xfffc4421,
    0xfffd3d20,
    0xffdc2018,
    0xffde1b0d,
    0xffcf0c00,
    0xffd00c00,
    0xffe11a07,
    0xfff2301c,
    0xfffe4620,
    0xffe51209,
    0xffd00700,
    0xffd41500,
    0xffca0700,
    0xffd61803,
    0xffda270c,
    0xffd41f06,
    0xffd51100,
    0xffd31400,
    0xfff13f11,
    0xfff03b1f,
    0xffe6180b,
    0xffdf1709,
    0xfffa3319,
    0xfffa311e,
    0xffe4120e,
    0xffd81005,
    0xffdb1705,
    0xffce0500,
    0xffd31d18,
    0xffff8256,
    0xffd60406,
    0xffc00000,
    0xffcc0500,
    0xffd20e00,
    0xffd41e09,
    0xff81170c,
    0xffe61c0d,
    0xfff32c24,
    0xfffe6045,
    0xfffd5a47,
    0xffff5e50,
    0xfffa5a4a,
    0xffb83434,
    0xff6a272d,
    0xff471d19,
    0xff20210a,
    0xff282700,
    0xff222100,
    0xff131600,
    0xff745437,
    0xff73381c,
    0xffe3c397,
    0xfffffaf8,
    0xfffecebd,
    0xff952d06,
    0xff210b00,
    0xff301c0a,
    0xff483522,
    0xff5b3d22,
    0xff4d2f19,
    0xff381a09,
    0xff291404,
    0xff8f2405,
    0xffd03c14,
    0xffd13915,
    0xff4e1506,
    0xff090201,
    0xff180807,
    0xff33190f,
    0xff0d0300,
    0xff502a0b,
    0xff81512d,
    0xff6b350d,
    0xff723e17,
    0xff532d08,
    0xffd3b38c,
    0xfff6ebc4,
    0xff240a00,
    0xff301900,
    0xffa72500,
    0xfff74833,
    0xfff2532e,
    0xff6e1402,
    0xffec4115,
    0xfff4461b,
    0xffab1d12,
    0xffc1160b,
    0xffc42e16,
    0xffff733a,
    0xff8a1f0e,
    0xff180e00,
    0xffa81b03,
    0xff270f00,
    0xff1e1302,
    0xff1f1302,
    0xff1f1200,
    0xff1d1101,
    0xff181100,
    0xff171000,
    0xff090d01,
    0xff580901,
    0xfff43a16,
    0xffff3b1b,
    0xff2d0200,
    0xff000700,
    0xff040900,
    0xff040a00,
    0xff0a0d00,
    0xff0d1001,
    0xff0b1401,
    0xff0c1600,
    0xff111401,
    0xff131601,
    0xff121700,
    0xff151801,
    0xff161801,
    0xff171800,
    0xff1a1900,
    0xff191d01,
    0xff1a1d01,
    0xff1d1c00,
    0xff1e1f00,
    0xff222301,
    0xff212500,
    0xff262801,
    0xff2c2a00,
    0xff2d2f00,
    0xff313300,
    0xff343901,
    0xff393c00,
    0xff3a3e00,
    0xff3c4100,
    0xff3d4100,
    0xff3e4501,
    0xff3f4700,
    0xff424b00,
    0xff3f4900,
    0xff3e4a01,
    0xff444d00,
    0xff465300,
    0xff4a5700,
    0xff4b5c01,
    0xff505e02,
    0xff516000,
    0xff4f5e00,
    0xff505e00,
    0xff4f5b01,
    0xff4d5701,
    0xff4c5400,
    0xff495000,
    0xff4a4f00,
    0xff465000,
    0xff454d01,
    0xff3f4900,
    0xff3f4200,
    0xff3e4001,
    0xff3c3f00,
    0xff3a3b01,
    0xff383c00,
    0xff3d4200,
    0xff3f4601,
    0xff3e4601,
    0xff414900,
    0xff444d00,
    0xff444d00,
    0xff444d01,
    0xff454e00,
    0xff445001,
    0xff455001,
    0xff434d00,
    0xff3f4b00,
    0xff3f4a00,
    0xff3c4b00,
    0xff384701,
    0xff363f00,
    0xff303900,
    0xff2c3601,
    0xff263400,
    0xff273100,
    0xff213000,
    0xff1f2b00,
    0xff192801,
    0xff192601,
    0xff192501,
    0xff162100,
    0xff191f00,
    0xff171c00,
    0xff131900,
    0xff101500,
    0xff0b1000,
    0xff090a00,
    0xff050701,
    0xff030500,
    0xff010100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010200,
    0xff010300,
    0xff040601,
    0xff030701,
    0xff060a00,
    0xff070f00,
    0xff0a1400,
    0xff0c1501,
    0xff0e1500,
    0xff040f00,
    0xff030f00,
    0xff010d00,
    0xff010d01,
    0xff000b00,
    0xff000b00,
    0xff000900,
    0xff000a01,
    0xff000901,
    0xff010800,
    0xff010600,
    0xff000500,
    0xff000400,
    0xff550505,
    0xff030100,
    0xff000501,
    0xff000200,
    0xff8d1219,
    0xff090403,
    0xff000600,
    0xff020600,
    0xff000801,
    0xff010b00,
    0xff000b01,
    0xff620505,
    0xff2c0e07,
    0xff000c00,
    0xff3c0e00,
    0xff660f01,
    0xff510c00,
    0xffa01b04,
    0xffb00404,
    0xffcf1d10,
    0xffd71e16,
    0xffc30a10,
    0xffca1411,
    0xffd9231d,
    0xffd21b19,
    0xffbe041a,
    0xffdc2830,
    0xfff44c43,
    0xffed4446,
    0xfffa6d58,
    0xffff896a,
    0xffff715e,
    0xfffe5a47,
    0xfffe5d43,
    0xfffe5340,
    0xfffe463e,
    0xffec2729,
    0xffcf0d10,
    0xffb80502,
    0xffb20300,
    0xffc10700,
    0xffe1250c,
    0xfff3482a,
    0xffe53122,
    0xffe82313,
    0xfff22308,
    0xffe61a05,
    0xffdb1102,
    0xffdf1a0c,
    0xff000000,
    0xffcc583e,
    0xffff2c20,
    0xfff32c12,
    0xffe72b15,
    0xffe72617,
    0xffdf200d,
    0xffd71d0e,
    0xffd51c08,
    0xffd11405,
    0xffe6240d,
    0xfff93c1a,
    0xfff73318,
    0xffed2212,
    0xfff74238,
    0xfffb6651,
    0xffeb2518,
    0xffee3d1e,
    0xfff63d27,
    0xfffe7a68,
    0xffde6777,
    0xffe24b3a,
    0xffff7e62,
    0xfffe6c55,
    0xfffc5738,
    0xfffa4c33,
    0xfffe7450,
    0xffff6b54,
    0xffed271d,
    0xfffb3617,
    0xfffb6145,
    0xfffd8468,
    0xffda2129,
    0xffd61003,
    0xffc80900,
    0xffc20900,
    0xffd71504,
    0xffe9250e,
    0xfff02910,
    0xffdd0f00,
    0xffd81101,
    0xffef330b,
    0xffd90f06,
    0xffd41203,
    0xffdc250b,
    0xffd5220b,
    0xffd71502,
    0xffd71100,
    0xfff55425,
    0xfffc5f4c,
    0xffd9110c,
    0xffdd1a0d,
    0xfffd361e,
    0xffff5738,
    0xffeb1d25,
    0xfff47467,
    0xffe31a0f,
    0xffcf0800,
    0xffc20002,
    0xffff5a47,
    0xffd00701,
    0xffbe0000,
    0xffcd0601,
    0xffd30f01,
    0xffd01f0a,
    0xff96140d,
    0xffe00600,
    0xfffb4630,
    0xfffc6857,
    0xfffe7264,
    0xfffe7c66,
    0xffff9674,
    0xffffa97c,
    0xffffab8e,
    0xffffa18e,
    0xffbe4d52,
    0xff1d1805,
    0xff201e00,
    0xff151600,
    0xff46381c,
    0xff833823,
    0xffce6038,
    0xffeb9c86,
    0xfffce7df,
    0xffdbb17f,
    0xff4d2d0b,
    0xff341908,
    0xff1f0f05,
    0xff251203,
    0xff3a2311,
    0xff321b0d,
    0xff623920,
    0xff9e1a03,
    0xffd0340b,
    0xffb92a0c,
    0xff3f1f12,
    0xff0e0301,
    0xff140603,
    0xff0d0000,
    0xff442714,
    0xffa17047,
    0xffc3734d,
    0xff503411,
    0xff8a4715,
    0xff6b3914,
    0xff875928,
    0xfffffff3,
    0xff373708,
    0xff4e1200,
    0xffdb3716,
    0xffff6546,
    0xff9a2309,
    0xffc83411,
    0xfffe4f1d,
    0xffcb2a17,
    0xffb5150e,
    0xffdc2c17,
    0xffff713b,
    0xffe54625,
    0xff0f0c00,
    0xff5f1602,
    0xff831800,
    0xff161201,
    0xff1e1301,
    0xff1f1301,
    0xff1c1201,
    0xff191100,
    0xff191200,
    0xff121100,
    0xff240800,
    0xffcf2510,
    0xffff5120,
    0xff901308,
    0xff000600,
    0xff050b00,
    0xff070b01,
    0xff070c00,
    0xff070f00,
    0xff0d1100,
    0xff101500,
    0xff101500,
    0xff121500,
    0xff141701,
    0xff131600,
    0xff151701,
    0xff171901,
    0xff171900,
    0xff191a00,
    0xff191c00,
    0xff1c1d01,
    0xff1d1d01,
    0xff1e1f00,
    0xff222301,
    0xff232500,
    0xff252500,
    0xff2a2901,
    0xff2d2d01,
    0xff323001,
    0xff333500,
    0xff383a01,
    0xff383c01,
    0xff3d3e01,
    0xff3c4100,
    0xff3d4400,
    0xff3f4600,
    0xff414900,
    0xff3e4901,
    0xff3e4b01,
    0xff424d00,
    0xff445100,
    0xff485501,
    0xff4c5c01,
    0xff4f5e01,
    0xff505f00,
    0xff4f5f01,
    0xff505e00,
    0xff4d5b01,
    0xff4d5600,
    0xff4a5300,
    0xff495001,
    0xff494f00,
    0xff485001,
    0xff484e01,
    0xff414900,
    0xff3f4400,
    0xff3d4401,
    0xff3c4200,
    0xff3f4000,
    0xff3d4100,
    0xff414700,
    0xff434a00,
    0xff404a00,
    0xff444c00,
    0xff474f00,
    0xff485102,
    0xff475001,
    0xff465002,
    0xff455200,
    0xff465200,
    0xff445001,
    0xff404c01,
    0xff3e4c01,
    0xff3c4b00,
    0xff364700,
    0xff364000,
    0xff303a00,
    0xff283700,
    0xff283500,
    0xff263200,
    0xff232f01,
    0xff1d2c00,
    0xff1b2700,
    0xff1b2401,
    0xff172401,
    0xff172100,
    0xff182000,
    0xff161d00,
    0xff151b00,
    0xff111601,
    0xff0e1200,
    0xff0a0e00,
    0xff080a00,
    0xff030600,
    0xff030200,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000200,
    0xff010400,
    0xff020700,
    0xff020901,
    0xff050d00,
    0xff091200,
    0xff0e1600,
    0xff0f1700,
    0xff121600,
    0xff040f01,
    0xff030f00,
    0xff020e01,
    0xff010c01,
    0xff010b00,
    0xff000b02,
    0xff000900,
    0xff000901,
    0xff000a01,
    0xff010700,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff4d0405,
    0xff140303,
    0xff000500,
    0xff000400,
    0xff6f0908,
    0xff350d14,
    0xff000500,
    0xff010600,
    0xff020901,
    0xff030a01,
    0xff000c00,
    0xff390100,
    0xff5c0f09,
    0xff000d00,
    0xff370e01,
    0xff690e00,
    0xff520b00,
    0xffa01f0b,
    0xffc11113,
    0xffd62219,
    0xffcc1515,
    0xffcf1d18,
    0xffd92518,
    0xffe3271d,
    0xffce1518,
    0xffd6242c,
    0xfffb6153,
    0xfffd6c5d,
    0xfffd695b,
    0xffff7863,
    0xffff7d64,
    0xffff6655,
    0xfffe5c43,
    0xffff5742,
    0xfffd4b3b,
    0xfff73a37,
    0xffe72124,
    0xffca0811,
    0xffb00000,
    0xffac0001,
    0xffb00000,
    0xffc41203,
    0xffd62315,
    0xffd51d12,
    0xffe9220e,
    0xfff01f09,
    0xfff52b11,
    0xffe51507,
    0xffb2180b,
    0xff000000,
    0xff22120a,
    0xffff4e34,
    0xfff22411,
    0xffe7260f,
    0xffe62a1a,
    0xffe32211,
    0xffe22712,
    0xffd6210d,
    0xffc81103,
    0xffd81908,
    0xfff33315,
    0xfffd3b1c,
    0xfff9341c,
    0xfffd533d,
    0xffff6f53,
    0xffee2a1f,
    0xffe9381b,
    0xfff63b22,
    0xfffe9782,
    0xffce5676,
    0xfff16747,
    0xffff8e70,
    0xfffe6d5c,
    0xfffc573b,
    0xfff84530,
    0xfffe583e,
    0xfffb493a,
    0xffee2819,
    0xfffc3a1c,
    0xfffd7964,
    0xfffaa89b,
    0xffbc0715,
    0xffce0b00,
    0xffc10800,
    0xffbb0701,
    0xffcc0c00,
    0xffdb1500,
    0xffe11a05,
    0xffd81100,
    0xffde1807,
    0xfffe501a,
    0xffed2414,
    0xffdc1208,
    0xffdb200c,
    0xffd9250d,
    0xffd61502,
    0xffda1200,
    0xffe94527,
    0xfffc6350,
    0xffd81712,
    0xffe12012,
    0xfffd3521,
    0xfffe7056,
    0xfffb8a72,
    0xffffb39d,
    0xffe71614,
    0xffda0e00,
    0xffdb261b,
    0xfffb4e38,
    0xffc60100,
    0xffbf0000,
    0xffcb0400,
    0xffd20d03,
    0xffd11f0f,
    0xffcd1007,
    0xffcd0000,
    0xfffe5940,
    0xfffe9c72,
    0xfff48874,
    0xfff06d5b,
    0xffc4423f,
    0xffec4c44,
    0xffffa489,
    0xffffc8b4,
    0xffffcbb2,
    0xff8c3941,
    0xff121700,
    0xff151600,
    0xff252309,
    0xffad4b32,
    0xffde4d24,
    0xffe6755b,
    0xffdead8c,
    0xfffff7d3,
    0xffb6915a,
    0xff2b0e00,
    0xff261204,
    0xff0b0000,
    0xff120603,
    0xff140602,
    0xff5e2115,
    0xffb61e07,
    0xffd73510,
    0xff9a2409,
    0xff0f0101,
    0xff220a04,
    0xff060000,
    0xff0d0000,
    0xff4a2a11,
    0xffa15f3d,
    0xff9a2504,
    0xff181300,
    0xff4c2e03,
    0xff74380f,
    0xff4e2201,
    0xffa07b4c,
    0xffbcbf9e,
    0xff771500,
    0xffff6049,
    0xffef4820,
    0xffa0220d,
    0xfff54b19,
    0xfff0451d,
    0xffb41611,
    0xffe63321,
    0xfff25329,
    0xffff6f3d,
    0xff480f03,
    0xff151300,
    0xffa21c03,
    0xff3f1100,
    0xff1a1502,
    0xff1f1302,
    0xff1c1301,
    0xff1c1302,
    0xff1e1302,
    0xff181400,
    0xff0f0d00,
    0xff8f1809,
    0xffff4d20,
    0xffea3318,
    0xff170600,
    0xff040d00,
    0xff070d00,
    0xff070c00,
    0xff0b0e01,
    0xff0c1100,
    0xff0f1400,
    0xff101600,
    0xff121600,
    0xff141700,
    0xff131700,
    0xff151600,
    0xff161800,
    0xff171900,
    0xff181b00,
    0xff191c00,
    0xff1a1d00,
    0xff1d1c01,
    0xff1d1d00,
    0xff1d1f00,
    0xff222201,
    0xff252500,
    0xff252500,
    0xff292700,
    0xff2c2a01,
    0xff2c2f00,
    0xff303400,
    0xff353800,
    0xff373b01,
    0xff383e00,
    0xff3b3f01,
    0xff3a4100,
    0xff3d4400,
    0xff414800,
    0xff404a00,
    0xff3e4800,
    0xff404c00,
    0xff435000,
    0xff485301,
    0xff495901,
    0xff4c5b00,
    0xff4e5f00,
    0xff505e00,
    0xff4e5e01,
    0xff4a5a01,
    0xff4e5500,
    0xff4b5401,
    0xff4a5101,
    0xff495000,
    0xff4a5100,
    0xff474e00,
    0xff424a00,
    0xff404502,
    0xff3f4401,
    0xff3e4400,
    0xff404500,
    0xff404600,
    0xff454b00,
    0xff464e01,
    0xff454d01,
    0xff464f00,
    0xff495000,
    0xff4a5202,
    0xff4a5302,
    0xff495100,
    0xff485302,
    0xff475300,
    0xff455202,
    0xff414f01,
    0xff3e4c00,
    0xff3d4a01,
    0xff384a02,
    0xff364100,
    0xff2f3a00,
    0xff2b3701,
    0xff273400,
    0xff273300,
    0xff253100,
    0xff202e01,
    0xff1d2a00,
    0xff1b2701,
    0xff182500,
    0xff172200,
    0xff181e00,
    0xff141e01,
    0xff141b00,
    0xff121700,
    0xff0e1300,
    0xff0c0f00,
    0xff0a0d01,
    0xff070902,
    0xff030700,
    0xff020500,
    0xff010101,
    0xff000100,
    0xff000100,
    0xff010000,
    0xff010200,
    0xff000400,
    0xff020600,
    0xff050901,
    0xff081000,
    0xff0c1401,
    0xff111701,
    0xff131801,
    0xff131902,
    0xff030e00,
    0xff030e00,
    0xff020e00,
    0xff000c00,
    0xff010b00,
    0xff000a01,
    0xff000b01,
    0xff010a00,
    0xff000800,
    0xff010800,
    0xff010600,
    0xff000400,
    0xff000300,
    0xff380101,
    0xff2a0509,
    0xff000300,
    0xff000400,
    0xff3d0100,
    0xff791c28,
    0xff000500,
    0xff000600,
    0xff010600,
    0xff020700,
    0xff030b01,
    0xff100500,
    0xff7a0b09,
    0xff040d00,
    0xff2f0e00,
    0xff6c0d00,
    0xff770c01,
    0xffc62d1d,
    0xffe8392f,
    0xffe8312d,
    0xffe12b20,
    0xffe83123,
    0xffe82c21,
    0xffe9281f,
    0xffe42929,
    0xfff96451,
    0xffff9072,
    0xfffd7a6a,
    0xfffc605b,
    0xfffc5853,
    0xfff84f3d,
    0xffdf362a,
    0xffe52c1f,
    0xffeb2f24,
    0xfff94b32,
    0xfffd5339,
    0xffef342e,
    0xffd81a1d,
    0xffb80309,
    0xffa50000,
    0xffa50000,
    0xffab0100,
    0xffb70b04,
    0xffcc140b,
    0xffe9250d,
    0xffed1d0b,
    0xffff4722,
    0xfff41a0f,
    0xff550b08,
    0xff000000,
    0xff000000,
    0xffb73426,
    0xfff82412,
    0xfff02815,
    0xffe22915,
    0xffe5251c,
    0xffdf1d10,
    0xffd31c0b,
    0xffc41003,
    0xffcc1204,
    0xffeb2c10,
    0xfffd401d,
    0xfffe4726,
    0xfffd6a47,
    0xffff7454,
    0xffef2a24,
    0xffea3a1e,
    0xfff4331f,
    0xffff7660,
    0xffbd2c48,
    0xffed563c,
    0xffff7767,
    0xfffe6b58,
    0xfffc5c3d,
    0xfff94331,
    0xfffd4438,
    0xffed2825,
    0xfff22f18,
    0xfffc3d1d,
    0xffff7f6e,
    0xffc63448,
    0xffc70d00,
    0xffc40800,
    0xffbc0900,
    0xffb70601,
    0xffc40600,
    0xffd30e01,
    0xffe21f0a,
    0xffdb1605,
    0xffe11d0f,
    0xffff5d25,
    0xfffe4020,
    0xfff02414,
    0xffe51c12,
    0xffdd210f,
    0xffda1c07,
    0xffdf1800,
    0xffe41903,
    0xfff95b3f,
    0xffdd201b,
    0xffeb2918,
    0xfffe3f27,
    0xfffe8566,
    0xfff36c6c,
    0xfffe9f7d,
    0xfffe6243,
    0xfffa3f26,
    0xfff2583e,
    0xfff74b3c,
    0xffbd0000,
    0xffc00000,
    0xffcb0300,
    0xffd41707,
    0xffda1c11,
    0xffca0300,
    0xffc30000,
    0xffff5c3d,
    0xffee5541,
    0xffd94f31,
    0xffde5f2e,
    0xff61260d,
    0xff391d06,
    0xfffe5e48,
    0xfffeb19d,
    0xffffc7b7,
    0xfffb928c,
    0xff150a00,
    0xff0f1600,
    0xff241000,
    0xffd96543,
    0xffe44017,
    0xffed7456,
    0xff7f4925,
    0xffbfa67a,
    0xffc99863,
    0xff441d00,
    0xff281204,
    0xff140401,
    0xff000001,
    0xff000103,
    0xff650301,
    0xffc92405,
    0xffd42a09,
    0xff5a0e03,
    0xff281007,
    0xff361608,
    0xff542f16,
    0xff1d0a01,
    0xff594229,
    0xfff8846a,
    0xff3c0f00,
    0xff241b01,
    0xff211900,
    0xff79410f,
    0xff6d380e,
    0xff6c3812,
    0xffcab385,
    0xfffb9e81,
    0xffff5338,
    0xffc82a10,
    0xffdd3e19,
    0xffff5220,
    0xffd0281c,
    0xffc61e18,
    0xfffb522c,
    0xffff7743,
    0xff992811,
    0xff081000,
    0xff4a1700,
    0xffa11a01,
    0xff191201,
    0xff1c1700,
    0xff1f1501,
    0xff1c1600,
    0xff1f1500,
    0xff1d1500,
    0xff141300,
    0xff560f04,
    0xfff33b1a,
    0xffff4c23,
    0xff660e03,
    0xff010c00,
    0xff070e00,
    0xff080f00,
    0xff091000,
    0xff0a1101,
    0xff0d1500,
    0xff101400,
    0xff111600,
    0xff121800,
    0xff151900,
    0xff151901,
    0xff151a00,
    0xff181b01,
    0xff181b00,
    0xff181b00,
    0xff191c00,
    0xff1a1e01,
    0xff1d1d00,
    0xff1d1f00,
    0xff1d2100,
    0xff202200,
    0xff232300,
    0xff242400,
    0xff262600,
    0xff282a00,
    0xff2a2c00,
    0xff2f3100,
    0xff313600,
    0xff363700,
    0xff373c00,
    0xff373d01,
    0xff393e00,
    0xff3d4201,
    0xff404601,
    0xff3f4800,
    0xff3e4801,
    0xff3f4b00,
    0xff444e00,
    0xff465200,
    0xff485700,
    0xff4d5c00,
    0xff4e5d02,
    0xff4e5d01,
    0xff4d5e01,
    0xff4c5a01,
    0xff4d5700,
    0xff4c5500,
    0xff4a5301,
    0xff4a5201,
    0xff495201,
    0xff444f00,
    0xff424c01,
    0xff404702,
    0xff404701,
    0xff414700,
    0xff424900,
    0xff454a00,
    0xff494e00,
    0xff4a4f01,
    0xff4a4f02,
    0xff4a5101,
    0xff4c5401,
    0xff4d5603,
    0xff4c5502,
    0xff4b5402,
    0xff495302,
    0xff485102,
    0xff445203,
    0xff414f00,
    0xff3e4b00,
    0xff3c4900,
    0xff384a00,
    0xff374201,
    0xff2f3d00,
    0xff2e3a00,
    0xff273600,
    0xff263500,
    0xff273300,
    0xff213000,
    0xff202d01,
    0xff1b2a00,
    0xff1a2700,
    0xff1a2300,
    0xff172100,
    0xff141e00,
    0xff141c00,
    0xff121700,
    0xff0d1500,
    0xff0b1200,
    0xff0a1000,
    0xff090d00,
    0xff090c00,
    0xff060a01,
    0xff030800,
    0xff020600,
    0xff010500,
    0xff000400,
    0xff000500,
    0xff010700,
    0xff040800,
    0xff060e00,
    0xff061300,
    0xff0e1601,
    0xff101800,
    0xff131a02,
    0xff151d02,
    0xff031001,
    0xff040e00,
    0xff020f00,
    0xff010d00,
    0xff010b00,
    0xff000a01,
    0xff000b01,
    0xff010901,
    0xff010a01,
    0xff010801,
    0xff000500,
    0xff000501,
    0xff000500,
    0xff200100,
    0xff3f040a,
    0xff000100,
    0xff000300,
    0xff110000,
    0xffa4232d,
    0xff000100,
    0xff000500,
    0xff010600,
    0xff010800,
    0xff030c00,
    0xff000700,
    0xff770505,
    0xff1f0d02,
    0xff210a00,
    0xff931b07,
    0xffd53224,
    0xfff04a34,
    0xfffc5742,
    0xfff24533,
    0xffe83424,
    0xffe72e22,
    0xffe82a20,
    0xffe92620,
    0xfff2433c,
    0xffff826c,
    0xfffd8e77,
    0xfffe6e63,
    0xfff85751,
    0xfff44b41,
    0xffdc2622,
    0xff5c0204,
    0xff9c0300,
    0xffc10707,
    0xffe72f24,
    0xffff5639,
    0xfffc4731,
    0xffe93427,
    0xffd31a19,
    0xffb10207,
    0xff9d0000,
    0xffa40000,
    0xffb10500,
    0xffc61205,
    0xffe3250c,
    0xfff22d15,
    0xffff6034,
    0xfff41e12,
    0xff120202,
    0xff000101,
    0xff000000,
    0xff961c10,
    0xfff5230e,
    0xfff02c17,
    0xffe6240e,
    0xffe2291c,
    0xffdc2015,
    0xffcd1709,
    0xffc11102,
    0xffc41002,
    0xffe3250e,
    0xfffb3d1c,
    0xfffd512f,
    0xfffe6c49,
    0xfffe674a,
    0xffec2825,
    0xffea381f,
    0xfff0311e,
    0xfff62b1e,
    0xffe23c43,
    0xffe5442c,
    0xffff6654,
    0xffff6e55,
    0xfffd5d40,
    0xfffd5840,
    0xfffe6549,
    0xfff03027,
    0xfff43119,
    0xfffe3c1f,
    0xfff63b31,
    0xffca1811,
    0xffca0c01,
    0xffbe0a00,
    0xffb60a00,
    0xffb90601,
    0xffc40600,
    0xffdb170c,
    0xfff53b1a,
    0xffe92919,
    0xfff1281e,
    0xfffe6231,
    0xfffe532c,
    0xfffe4425,
    0xfff93425,
    0xffe9201b,
    0xffde1e0f,
    0xffe01702,
    0xfff03112,
    0xfff85b4e,
    0xffe1181f,
    0xfff84125,
    0xfffe3c2b,
    0xffff664b,
    0xffb82227,
    0xffe72216,
    0xfff6492b,
    0xfffe512f,
    0xfff95132,
    0xffe9221a,
    0xffb60100,
    0xffc00000,
    0xffcc0400,
    0xffd91a07,
    0xffd30b04,
    0xffb80000,
    0xffcb0300,
    0xfff51e10,
    0xffe1481c,
    0xffe35e24,
    0xffdf6e2f,
    0xff582207,
    0xff202c06,
    0xff84250c,
    0xffff916c,
    0xffffb8a3,
    0xffffc3a3,
    0xff481a16,
    0xff071200,
    0xff621100,
    0xffe8754e,
    0xffeb441d,
    0xffd16849,
    0xff371f0f,
    0xff312008,
    0xffca9e6e,
    0xff7b491a,
    0xff2c0d00,
    0xff381b09,
    0xff140602,
    0xff040001,
    0xff9a0e03,
    0xffd22a09,
    0xffbe1e05,
    0xff3a1209,
    0xff1d0600,
    0xff562c10,
    0xff825f35,
    0xff3a0e00,
    0xff95403e,
    0xffb7360f,
    0xff1d1500,
    0xff281a00,
    0xff261b00,
    0xff802003,
    0xffbc5722,
    0xff875523,
    0xff90481c,
    0xffff765c,
    0xffec4e22,
    0xffdd351a,
    0xfffa5220,
    0xffed3f24,
    0xffb91213,
    0xfffc5433,
    0xffff6c38,
    0xffe14425,
    0xff190d00,
    0xff141600,
    0xff941801,
    0xff571301,
    0xff161802,
    0xff1e1700,
    0xff201600,
    0xff1d1701,
    0xff1f1501,
    0xff191501,
    0xff2a0d00,
    0xffce2a14,
    0xffff5626,
    0xffbf2313,
    0xff080d00,
    0xff0b0f01,
    0xff0a1000,
    0xff091100,
    0xff0a1101,
    0xff0a1400,
    0xff0f1600,
    0xff111600,
    0xff111701,
    0xff141a01,
    0xff161b01,
    0xff181b01,
    0xff181c00,
    0xff181d00,
    0xff181d00,
    0xff191d00,
    0xff1b1e01,
    0xff1a1e00,
    0xff1d1e00,
    0xff1e2000,
    0xff1d2201,
    0xff1f2000,
    0xff222200,
    0xff242401,
    0xff242401,
    0xff262700,
    0xff2a2a01,
    0xff2d2e00,
    0xff2f3401,
    0xff333700,
    0xff363800,
    0xff373b00,
    0xff373b00,
    0xff3b4001,
    0xff3e4401,
    0xff404801,
    0xff3e4802,
    0xff3d4a02,
    0xff414c00,
    0xff455002,
    0xff475600,
    0xff4b5c01,
    0xff4c5a02,
    0xff4c5a01,
    0xff4c5b00,
    0xff4c5700,
    0xff4d5700,
    0xff4b5600,
    0xff4b5401,
    0xff485301,
    0xff465100,
    0xff434e00,
    0xff404b00,
    0xff404701,
    0xff414801,
    0xff454901,
    0xff464a00,
    0xff484e01,
    0xff4e5100,
    0xff4c5301,
    0xff4d5202,
    0xff4d5501,
    0xff4e5601,
    0xff4f5805,
    0xff4e5604,
    0xff4b5600,
    0xff4b5402,
    0xff485203,
    0xff455303,
    0xff425002,
    0xff3f4c01,
    0xff3d4b00,
    0xff374a01,
    0xff364201,
    0xff303d01,
    0xff2d3a00,
    0xff263700,
    0xff2a3602,
    0xff263500,
    0xff243201,
    0xff212f01,
    0xff1f2c00,
    0xff1e2a01,
    0xff192701,
    0xff182300,
    0xff172101,
    0xff161d01,
    0xff141a00,
    0xff121601,
    0xff0e1501,
    0xff0b1100,
    0xff0b1001,
    0xff0a0d00,
    0xff080d00,
    0xff040b00,
    0xff060900,
    0xff020800,
    0xff020800,
    0xff040800,
    0xff050801,
    0xff060d00,
    0xff091200,
    0xff0c1600,
    0xff101900,
    0xff121b01,
    0xff151d03,
    0xff191e04,
    0xff041000,
    0xff040f00,
    0xff030f01,
    0xff020e00,
    0xff000d01,
    0xff000a00,
    0xff000a01,
    0xff000900,
    0xff000800,
    0xff000700,
    0xff000700,
    0xff010500,
    0xff000400,
    0xff0e0100,
    0xff56070c,
    0xff000100,
    0xff000200,
    0xff000000,
    0xff9c1b1b,
    0xff2b0b1a,
    0xff000200,
    0xff000500,
    0xff010601,
    0xff030800,
    0xff000a02,
    0xff460101,
    0xff520f09,
    0xff1c0500,
    0xffd23a1d,
    0xffff5b44,
    0xffff5843,
    0xfffc5944,
    0xffec4031,
    0xffd8251d,
    0xffd62619,
    0xffe52f20,
    0xffee3728,
    0xfffb6051,
    0xfffe816e,
    0xfffd6f65,
    0xfffd6457,
    0xfff75b49,
    0xfff44b3d,
    0xffde241b,
    0xff480200,
    0xff8a0000,
    0xffbd0d09,
    0xffea3421,
    0xffff452d,
    0xfff33528,
    0xfff34028,
    0xffea3524,
    0xffd21919,
    0xffa90305,
    0xff9e0000,
    0xffab0100,
    0xffb80400,
    0xffdd2310,
    0xfff23417,
    0xffff4c2c,
    0xffc9140b,
    0xff040000,
    0xff000000,
    0xff000000,
    0xff9b2212,
    0xffee1c09,
    0xfff7331a,
    0xffea2310,
    0xffdf2818,
    0xffe1271c,
    0xffce170c,
    0xffc31304,
    0xffc30e01,
    0xffda2009,
    0xfff7381a,
    0xffff4d2a,
    0xfffd5e3d,
    0xfffe583e,
    0xfff03127,
    0xffe93922,
    0xffed2f1f,
    0xffe7241a,
    0xffd8303e,
    0xffec503d,
    0xffff735b,
    0xfffd6e58,
    0xfffd5c44,
    0xfffc6e52,
    0xffff7f5d,
    0xfff23330,
    0xfff7351e,
    0xfff73924,
    0xffed3527,
    0xffd5170e,
    0xffc50e01,
    0xffbd0b00,
    0xffb60902,
    0xffbf0700,
    0xffcd0e04,
    0xfffa463d,
    0xffff5c37,
    0xfffe5a42,
    0xfffe4d39,
    0xfffe643c,
    0xfffe5e33,
    0xfffe6036,
    0xffff623c,
    0xffff4e39,
    0xfff42d25,
    0xffe01307,
    0xfff24e2c,
    0xfff87d67,
    0xffed1f24,
    0xfffc7546,
    0xfffc4339,
    0xfffa3327,
    0xffd2150a,
    0xffcf0c00,
    0xffcf0600,
    0xfff12c11,
    0xffe82d1b,
    0xffd50c07,
    0xffb30201,
    0xffc10000,
    0xffce0600,
    0xffdb1703,
    0xffcc0600,
    0xffb70000,
    0xffd90f01,
    0xfff32a0d,
    0xffd73b17,
    0xffe2682e,
    0xffe53d1f,
    0xffe92006,
    0xff752b03,
    0xff252302,
    0xffe94325,
    0xfff3454c,
    0xfff93f48,
    0xff6c1e16,
    0xff1b0e00,
    0xffb11e00,
    0xffea734c,
    0xffe75b32,
    0xff8b4022,
    0xff35200e,
    0xff402a1b,
    0xff5d4628,
    0xffbc8751,
    0xff4a2206,
    0xff401c06,
    0xff150704,
    0xff290000,
    0xffbf1e03,
    0xffdf3a19,
    0xffa72514,
    0xff5d3b1f,
    0xff6d401b,
    0xff54360f,
    0xff241000,
    0xfffb5247,
    0xffff5348,
    0xff441300,
    0xff231b00,
    0xff291a00,
    0xff2d1a00,
    0xffba2414,
    0xffb7300c,
    0xff8f6023,
    0xffc01e05,
    0xfff24625,
    0xfff7b79a,
    0xfff7561e,
    0xfffd5126,
    0xffc01517,
    0xffef492d,
    0xffff5d33,
    0xfffb4e2a,
    0xff371200,
    0xff151900,
    0xff3c1501,
    0xffaf1a02,
    0xff1e1300,
    0xff1d1600,
    0xff201801,
    0xff201600,
    0xff201500,
    0xff1d1600,
    0xff181100,
    0xff9f1e0c,
    0xffff5223,
    0xfff73b1d,
    0xff300e00,
    0xff0e1500,
    0xff0e1001,
    0xff0b1200,
    0xff091401,
    0xff0c1401,
    0xff0f1800,
    0xff121600,
    0xff121801,
    0xff151800,
    0xff151a01,
    0xff151b01,
    0xff161c00,
    0xff181c00,
    0xff191e00,
    0xff191f00,
    0xff1b1f01,
    0xff1b1e00,
    0xff1c2000,
    0xff1b1e00,
    0xff1c2000,
    0xff1d2200,
    0xff1e2101,
    0xff202101,
    0xff1f2101,
    0xff232201,
    0xff242400,
    0xff262600,
    0xff2a2b00,
    0xff2e3000,
    0xff2f3300,
    0xff323700,
    0xff363900,
    0xff353b01,
    0xff393d00,
    0xff3c4300,
    0xff3f4601,
    0xff3d4800,
    0xff3d4701,
    0xff414b01,
    0xff434f00,
    0xff475500,
    0xff495901,
    0xff485600,
    0xff465600,
    0xff475600,
    0xff485401,
    0xff475300,
    0xff475501,
    0xff485400,
    0xff465400,
    0xff455100,
    0xff444d00,
    0xff3f4b00,
    0xff444a00,
    0xff474a00,
    0xff464b00,
    0xff454c00,
    0xff4b5001,
    0xff4d5400,
    0xff4e5501,
    0xff505403,
    0xff4f5703,
    0xff505b04,
    0xff4f5b03,
    0xff4e5b04,
    0xff4d5a03,
    0xff4d5604,
    0xff4b5403,
    0xff485303,
    0xff455302,
    0xff404e01,
    0xff3e4b01,
    0xff384900,
    0xff344400,
    0xff303f01,
    0xff2d3c00,
    0xff2a3900,
    0xff2a3701,
    0xff283600,
    0xff273300,
    0xff253100,
    0xff232e01,
    0xff1f2c00,
    0xff1b2900,
    0xff1a2500,
    0xff192201,
    0xff161f01,
    0xff151b00,
    0xff121701,
    0xff101500,
    0xff0d1500,
    0xff0a1301,
    0xff0c1100,
    0xff0a1000,
    0xff080e01,
    0xff050e00,
    0xff060b01,
    0xff050b01,
    0xff050c00,
    0xff090d01,
    0xff0a1200,
    0xff0d1700,
    0xff141801,
    0xff141c02,
    0xff171e04,
    0xff192005,
    0xff182308,
    0xff050f00,
    0xff050f00,
    0xff041000,
    0xff010d01,
    0xff000c00,
    0xff010b00,
    0xff010a01,
    0xff000901,
    0xff000800,
    0xff010700,
    0xff010801,
    0xff010600,
    0xff000500,
    0xff000100,
    0xff60090d,
    0xff000000,
    0xff000300,
    0xff000000,
    0xff620c03,
    0xff7d233e,
    0xff000000,
    0xff000400,
    0xff000500,
    0xff010600,
    0xff000902,
    0xff160000,
    0xff760d0b,
    0xff2e0b00,
    0xffeb502d,
    0xfffc574e,
    0xfffd5842,
    0xffff6542,
    0xffe23329,
    0xffc21012,
    0xffc2140d,
    0xffd12419,
    0xffee4231,
    0xffff6b57,
    0xfffe7462,
    0xfffc584c,
    0xfffe684e,
    0xfff55642,
    0xfff13f33,
    0xffe1271a,
    0xff8e0e03,
    0xffb30b00,
    0xffd92f1a,
    0xfff4442b,
    0xfffd3724,
    0xffe41719,
    0xffe1231c,
    0xfff23f25,
    0xffe83328,
    0xffcb1915,
    0xffab0203,
    0xffa10000,
    0xffb00100,
    0xffc50b06,
    0xffe32612,
    0xffe82118,
    0xffa21413,
    0xff410000,
    0xff0f0002,
    0xff000000,
    0xff8d2111,
    0xffea1907,
    0xfff73d1f,
    0xffef2516,
    0xffe12511,
    0xffe2281e,
    0xffd81b12,
    0xffc51606,
    0xffc61204,
    0xffd71d07,
    0xfff23317,
    0xffff4926,
    0xfffd4a2f,
    0xfffe5139,
    0xfffa3d2d,
    0xffe73925,
    0xffee3320,
    0xffea2d20,
    0xffb61923,
    0xffe55d41,
    0xffff8066,
    0xfffd725c,
    0xfffd5e43,
    0xfffc644c,
    0xffff6b55,
    0xfff03026,
    0xfff93923,
    0xfffc4f36,
    0xfffc5032,
    0xffdb1c14,
    0xffc20d00,
    0xffb80d00,
    0xffbc0800,
    0xffc51000,
    0xffad0700,
    0xfff8937b,
    0xfffe6d53,
    0xfffe8161,
    0xfffd6f55,
    0xfffd6347,
    0xfffe643b,
    0xfffe643e,
    0xfffe7c55,
    0xfffd855c,
    0xffff6244,
    0xffed1c15,
    0xfff46c50,
    0xfffd7c6d,
    0xfff62621,
    0xfffd6443,
    0xfffe5344,
    0xfff32c2c,
    0xffe31809,
    0xffd10e00,
    0xffcc0900,
    0xffd51c02,
    0xffdc1f08,
    0xffd00f07,
    0xffb70403,
    0xffc60101,
    0xffcf0700,
    0xffda1701,
    0xffc40200,
    0xffc10000,
    0xffe91d06,
    0xfff23918,
    0xffd0431b,
    0xffdf4729,
    0xffec1720,
    0xffec1004,
    0xfff12203,
    0xff3e2704,
    0xff992605,
    0xffd9261a,
    0xffe02c24,
    0xffa32618,
    0xff611200,
    0xffd52e08,
    0xffde3911,
    0xffe4845b,
    0xff6d3813,
    0xff674325,
    0xff2b1910,
    0xff070000,
    0xffa37c4e,
    0xffb9834f,
    0xff3a1201,
    0xff090200,
    0xff5c0100,
    0xffd1290a,
    0xffe03c19,
    0xff883322,
    0xffa17548,
    0xff9a6f3a,
    0xff0f0e00,
    0xff952d03,
    0xffff6c86,
    0xffbe2e08,
    0xff1c1600,
    0xff281b00,
    0xff271a00,
    0xff421c00,
    0xffe22c22,
    0xff641b00,
    0xff7f3512,
    0xffe0230d,
    0xffe63e21,
    0xfffc6a48,
    0xfffeb790,
    0xffdb2514,
    0xffd02c1b,
    0xffff5e39,
    0xfffc4a25,
    0xff631805,
    0xff191900,
    0xff191801,
    0xff8a1d01,
    0xff741202,
    0xff161600,
    0xff1f1801,
    0xff1e1700,
    0xff1f1800,
    0xff201701,
    0xff141600,
    0xff6f1b0b,
    0xfff8441e,
    0xffff512a,
    0xff771306,
    0xff0a1500,
    0xff151701,
    0xff0f1200,
    0xff0d1500,
    0xff0c1500,
    0xff0d1600,
    0xff101800,
    0xff141800,
    0xff111c00,
    0xff151a00,
    0xff141b00,
    0xff161d02,
    0xff171c00,
    0xff1a1e00,
    0xff191f01,
    0xff1a1e01,
    0xff191f01,
    0xff1c1e00,
    0xff1d2001,
    0xff1c1f00,
    0xff1c1f00,
    0xff1d2200,
    0xff1e2001,
    0xff1e1f00,
    0xff1f2101,
    0xff222000,
    0xff222200,
    0xff222400,
    0xff272700,
    0xff2a2b00,
    0xff2d2f00,
    0xff303300,
    0xff333601,
    0xff333800,
    0xff363a00,
    0xff3b4000,
    0xff3c4300,
    0xff3c4600,
    0xff3e4701,
    0xff3f4a00,
    0xff424e01,
    0xff465300,
    0xff4a5700,
    0xff4a5700,
    0xff465500,
    0xff455300,
    0xff445100,
    0xff444f01,
    0xff444f01,
    0xff434f01,
    0xff475002,
    0xff444e00,
    0xff444b00,
    0xff3f4a01,
    0xff474c00,
    0xff484d00,
    0xff484e00,
    0xff474e00,
    0xff4c5100,
    0xff4f5500,
    0xff505602,
    0xff515704,
    0xff515904,
    0xff535d05,
    0xff525e06,
    0xff505d05,
    0xff4f5b06,
    0xff4d5706,
    0xff4c5503,
    0xff485305,
    0xff465303,
    0xff425002,
    0xff3e4c00,
    0xff3a4a00,
    0xff354400,
    0xff313f00,
    0xff2e3c00,
    0xff2d3b00,
    0xff2c3901,
    0xff2a3701,
    0xff283400,
    0xff263100,
    0xff253101,
    0xff202d00,
    0xff1d2a00,
    0xff1a2700,
    0xff1a2300,
    0xff162100,
    0xff151e00,
    0xff141b01,
    0xff121600,
    0xff0d1600,
    0xff0e1600,
    0xff0b1400,
    0xff0a1301,
    0xff0a1000,
    0xff051000,
    0xff070e00,
    0xff070c00,
    0xff050f00,
    0xff081101,
    0xff0d1500,
    0xff111800,
    0xff161c02,
    0xff151e03,
    0xff172005,
    0xff182207,
    0xff192509,
    0xff040f00,
    0xff041000,
    0xff031100,
    0xff030f01,
    0xff010d02,
    0xff020b00,
    0xff000b01,
    0xff000a01,
    0xff000800,
    0xff010800,
    0xff020701,
    0xff010500,
    0xff000500,
    0xff000200,
    0xff590809,
    0xff140106,
    0xff000100,
    0xff000001,
    0xff210000,
    0xffc13443,
    0xff000000,
    0xff000100,
    0xff000400,
    0xff010600,
    0xff010700,
    0xff000600,
    0xff78090a,
    0xff571507,
    0xfff25737,
    0xfffa554d,
    0xffff5841,
    0xfffd6039,
    0xffde2d1d,
    0xffbd0605,
    0xffb20300,
    0xffbd100a,
    0xffef4c3d,
    0xfffe6a53,
    0xfffc5f49,
    0xfff64e37,
    0xfff9593c,
    0xffe4302f,
    0xffe72b1d,
    0xffe2281b,
    0xffe8361a,
    0xffd82110,
    0xffe83d26,
    0xfffa4632,
    0xfffb4027,
    0xffe4120e,
    0xffcf1209,
    0xffe0271c,
    0xfff44128,
    0xffe32f22,
    0xffc7150f,
    0xffac0202,
    0xffb20600,
    0xffc10a00,
    0xffbc0404,
    0xffb9020d,
    0xffc21421,
    0xffb5222f,
    0xffa12a2c,
    0xff63181b,
    0xff6e1310,
    0xffe21306,
    0xffee2b13,
    0xfff63723,
    0xffe92310,
    0xffe1291b,
    0xffe6241a,
    0xffd81c0f,
    0xffcc160a,
    0xffda200c,
    0xffed2e15,
    0xfffd4421,
    0xfffd4525,
    0xfffe4933,
    0xfffd4e36,
    0xffee402e,
    0xffee2f20,
    0xfff64835,
    0xffba212e,
    0xffe45942,
    0xffff8269,
    0xfffd7660,
    0xfffd6043,
    0xfffd553e,
    0xfffb4a38,
    0xfff22d1c,
    0xfffa402a,
    0xfffd664a,
    0xffff613f,
    0xffe5271a,
    0xffc30e03,
    0xffbc0d00,
    0xffc20a01,
    0xffbe1502,
    0xff710e0a,
    0xffeb403a,
    0xffff5b46,
    0xffff906f,
    0xfffd7968,
    0xfffd644f,
    0xfffd603c,
    0xfffe643c,
    0xfffd7959,
    0xfffe9b70,
    0xfffe855e,
    0xfffa3428,
    0xfff1402f,
    0xfff84f4d,
    0xfff22f20,
    0xffff6c49,
    0xfffc6859,
    0xfffd7268,
    0xffe11618,
    0xffd20a00,
    0xffcb0b00,
    0xffcb1600,
    0xffd40e09,
    0xffd10f0d,
    0xffb80302,
    0xffcc0600,
    0xffda0e03,
    0xffd91601,
    0xffc10000,
    0xffd10901,
    0xfff12c0f,
    0xfff43416,
    0xffe8331a,
    0xfff34f46,
    0xffff7d5f,
    0xfff73a34,
    0xffef1408,
    0xff8b1f01,
    0xffb52e0d,
    0xffd02a13,
    0xffd52a22,
    0xffd12f27,
    0xffad2008,
    0xffdf370b,
    0xffd32c06,
    0xffb9734e,
    0xff855021,
    0xff6c4321,
    0xff412315,
    0xff220a04,
    0xff372006,
    0xffc7975a,
    0xff5b3210,
    0xff240302,
    0xffa91808,
    0xffd52a06,
    0xffc01802,
    0xff764229,
    0xffa07746,
    0xff2b2104,
    0xff391700,
    0xfff85c5d,
    0xffff5d50,
    0xff4b1400,
    0xff201b00,
    0xff2a1b00,
    0xff231900,
    0xff6f2102,
    0xffe32e1d,
    0xff84280e,
    0xffe02e25,
    0xffde3d1a,
    0xffff5c35,
    0xffff6a3a,
    0xfff44b37,
    0xffb4201d,
    0xffff5f37,
    0xffe83922,
    0xff841f09,
    0xff161700,
    0xff211b01,
    0xff361900,
    0xffb61b04,
    0xff2c1300,
    0xff1d1900,
    0xff221a00,
    0xff201a00,
    0xff201b00,
    0xff181800,
    0xff471504,
    0xffe94222,
    0xffff5d30,
    0xffbc2312,
    0xff131200,
    0xff1a1800,
    0xff161600,
    0xff111501,
    0xff111600,
    0xff0e1700,
    0xff101801,
    0xff131802,
    0xff111b01,
    0xff141d00,
    0xff151c00,
    0xff161d01,
    0xff181d01,
    0xff171f00,
    0xff1a1e01,
    0xff1a2000,
    0xff191e00,
    0xff1a1f00,
    0xff1b2000,
    0xff1d2100,
    0xff1c2000,
    0xff1d2100,
    0xff1f2302,
    0xff1d2100,
    0xff1f2000,
    0xff202001,
    0xff1f2000,
    0xff202101,
    0xff232200,
    0xff232500,
    0xff272700,
    0xff292b00,
    0xff2b2e00,
    0xff303101,
    0xff303500,
    0xff343701,
    0xff393c01,
    0xff394100,
    0xff3f4501,
    0xff3f4700,
    0xff3d4a01,
    0xff404c01,
    0xff445201,
    0xff475500,
    0xff485601,
    0xff465301,
    0xff445202,
    0xff435101,
    0xff434e00,
    0xff444d00,
    0xff434f00,
    0xff444d00,
    0xff424e00,
    0xff444c00,
    0xff444c00,
    0xff494e00,
    0xff494f00,
    0xff4c5101,
    0xff4d5200,
    0xff4e5300,
    0xff505701,
    0xff505903,
    0xff515803,
    0xff515c05,
    0xff555e05,
    0xff546006,
    0xff536006,
    0xff505c05,
    0xff4e5807,
    0xff4d5506,
    0xff485406,
    0xff465204,
    0xff414f01,
    0xff3c4c00,
    0xff394a01,
    0xff354601,
    0xff344101,
    0xff2f3d00,
    0xff2e3c00,
    0xff2b3a00,
    0xff2b3901,
    0xff273500,
    0xff263301,
    0xff253100,
    0xff212f01,
    0xff202c01,
    0xff1b2901,
    0xff1c2700,
    0xff192100,
    0xff172001,
    0xff161c01,
    0xff141901,
    0xff101801,
    0xff121600,
    0xff0c1600,
    0xff0d1500,
    0xff0c1300,
    0xff091101,
    0xff0a1101,
    0xff071100,
    0xff081201,
    0xff0a1301,
    0xff0f1600,
    0xff161a01,
    0xff161e03,
    0xff161f04,
    0xff192207,
    0xff1b2509,
    0xff1c280b,
    0xff051000,
    0xff051100,
    0xff041100,
    0xff041001,
    0xff010d01,
    0xff020b00,
    0xff000a01,
    0xff000a01,
    0xff000900,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff000501,
    0xff000200,
    0xff400502,
    0xff320711,
    0xff000000,
    0xff000100,
    0xff000000,
    0xffc12927,
    0xff2d081a,
    0xff000000,
    0xff000300,
    0xff000400,
    0xff000601,
    0xff000800,
    0xff470100,
    0xff871b19,
    0xfff05532,
    0xfffa514a,
    0xfffe533b,
    0xfff4542e,
    0xffd92518,
    0xffc60d05,
    0xffab0000,
    0xffb70b01,
    0xfff5553b,
    0xffff644b,
    0xfff14732,
    0xffe93b21,
    0xffdd2525,
    0xffc40814,
    0xffe62b10,
    0xffeb3621,
    0xfff43c21,
    0xffd91a10,
    0xffde231a,
    0xfffb553a,
    0xffff5339,
    0xffe91914,
    0xffcc0600,
    0xffd0160a,
    0xffe6301e,
    0xfff03625,
    0xffd72114,
    0xffbc0d09,
    0xffbc1004,
    0xffd01902,
    0xffc5080d,
    0xffd5242e,
    0xfff35651,
    0xfff8675d,
    0xffeb5b53,
    0xffc44038,
    0xff7d1a1e,
    0xffda170c,
    0xfff12f18,
    0xfffe5439,
    0xfff22918,
    0xffe12413,
    0xffe4271d,
    0xffea2c17,
    0xffd82214,
    0xffde2713,
    0xffeb3018,
    0xfffa411f,
    0xfffd4c27,
    0xfffb5032,
    0xffff5d40,
    0xfff34937,
    0xffeb2c1b,
    0xfffa7a5e,
    0xffc94057,
    0xffe65237,
    0xffff8168,
    0xffff7962,
    0xfffd6447,
    0xfffa533d,
    0xfff6392b,
    0xfff73119,
    0xfffe634b,
    0xfffc7963,
    0xffff5137,
    0xffe72817,
    0xffc61204,
    0xffbe0b00,
    0xffc80c02,
    0xffa81503,
    0xfff27460,
    0xfff41c17,
    0xfff42826,
    0xffff8b68,
    0xfffd846e,
    0xfffd6e57,
    0xfffc5a3d,
    0xfffd653b,
    0xffff7854,
    0xfffe906c,
    0xfffd8866,
    0xfffe4e38,
    0xffe41b14,
    0xfff3453c,
    0xffe72921,
    0xffff513d,
    0xfffd7e6e,
    0xffffbd99,
    0xffd80e15,
    0xffd61101,
    0xffd4160e,
    0xffd6171e,
    0xfff15653,
    0xffe12931,
    0xffbf000d,
    0xffd70e06,
    0xffea1e08,
    0xffc51001,
    0xffb10801,
    0xffe4170a,
    0xfff33113,
    0xfff02c0f,
    0xffe3130d,
    0xfffd856d,
    0xfffdb091,
    0xffffa77d,
    0xfff7412d,
    0xffcc1902,
    0xffd1250e,
    0xffcb2b11,
    0xffd0241e,
    0xffe83c2d,
    0xffd52f11,
    0xffe63b0f,
    0xffa41d01,
    0xff534229,
    0xffc89565,
    0xff61320e,
    0xff683c22,
    0xff391a0a,
    0xff2e1408,
    0xff613916,
    0xffb57a43,
    0xff5a1000,
    0xffca250d,
    0xffd72604,
    0xff9a130b,
    0xff603a25,
    0xff4a3413,
    0xff171100,
    0xffae3b12,
    0xffff7898,
    0xffc22d07,
    0xff191500,
    0xff271a01,
    0xff291b01,
    0xff291900,
    0xffa72714,
    0xffd6290f,
    0xfffd7865,
    0xffe6351e,
    0xffe23c19,
    0xffff6534,
    0xffff5633,
    0xffb91513,
    0xfffc7e58,
    0xffda2622,
    0xff941e04,
    0xff201700,
    0xff211b00,
    0xff191c00,
    0xff851e02,
    0xff841302,
    0xff151900,
    0xff201a00,
    0xff221a00,
    0xff251800,
    0xff1f1a00,
    0xff271400,
    0xffc62d19,
    0xffff6030,
    0xffef3823,
    0xff2e1100,
    0xff171900,
    0xff1c1800,
    0xff171701,
    0xff121601,
    0xff111600,
    0xff0f1600,
    0xff111900,
    0xff121b01,
    0xff111d01,
    0xff141d00,
    0xff171c01,
    0xff171d00,
    0xff181e00,
    0xff192001,
    0xff191f00,
    0xff191f00,
    0xff192000,
    0xff1b2000,
    0xff1b2101,
    0xff1d2100,
    0xff1d2100,
    0xff1d2100,
    0xff1e2302,
    0xff1d2301,
    0xff1e2000,
    0xff1d2201,
    0xff1d2100,
    0xff202000,
    0xff212100,
    0xff202301,
    0xff232500,
    0xff252600,
    0xff272a00,
    0xff2c2f01,
    0xff2d3100,
    0xff333500,
    0xff353900,
    0xff383f01,
    0xff3c4200,
    0xff3d4600,
    0xff3d4901,
    0xff3f4a01,
    0xff424e00,
    0xff425501,
    0xff455100,
    0xff455201,
    0xff445100,
    0xff444f01,
    0xff434e00,
    0xff444d00,
    0xff414e00,
    0xff424c00,
    0xff444e00,
    0xff464d00,
    0xff484e01,
    0xff4b5000,
    0xff4d4f01,
    0xff4e5100,
    0xff4e5300,
    0xff515600,
    0xff4f5800,
    0xff515902,
    0xff525b04,
    0xff525d04,
    0xff565f06,
    0xff556108,
    0xff536007,
    0xff505d05,
    0xff4f5b06,
    0xff4c5807,
    0xff4a5406,
    0xff455103,
    0xff424f01,
    0xff3f4d00,
    0xff3a4b01,
    0xff384701,
    0xff334100,
    0xff2f3d00,
    0xff2f3d00,
    0xff2c3b00,
    0xff2b3900,
    0xff2b3701,
    0xff283400,
    0xff273301,
    0xff212f01,
    0xff202e01,
    0xff1e2a00,
    0xff1b2701,
    0xff182400,
    0xff182001,
    0xff161e00,
    0xff151b00,
    0xff121a01,
    0xff111800,
    0xff121701,
    0xff101500,
    0xff0c1600,
    0xff0a1401,
    0xff081401,
    0xff0a1300,
    0xff0a1401,
    0xff0c1600,
    0xff111700,
    0xff151c03,
    0xff161f03,
    0xff162104,
    0xff1a2207,
    0xff1d260a,
    0xff1f280b,
    0xff051101,
    0xff061000,
    0xff041000,
    0xff020f01,
    0xff020d00,
    0xff010c01,
    0xff000b01,
    0xff000a00,
    0xff000900,
    0xff010800,
    0xff020601,
    0xff010600,
    0xff000501,
    0xff000401,
    0xff200100,
    0xff580b15,
    0xff000000,
    0xff000001,
    0xff000000,
    0xff730b00,
    0xff922942,
    0xff000000,
    0xff000200,
    0xff010400,
    0xff000501,
    0xff000700,
    0xff110000,
    0xff9f1a1b,
    0xffec4f35,
    0xfff6463f,
    0xfff94b33,
    0xffdf3e20,
    0xffc7150e,
    0xffc30d04,
    0xffab0000,
    0xffb50600,
    0xffec482d,
    0xfffc563e,
    0xffe2301e,
    0xffd01a12,
    0xffcd110f,
    0xffcd0e06,
    0xffe92a0f,
    0xffeb3321,
    0xffde2816,
    0xffcc1007,
    0xffd31816,
    0xffff6c4c,
    0xffff634a,
    0xffeb1b18,
    0xffc80600,
    0xffcc0b00,
    0xffdd2410,
    0xffd92019,
    0xffe12519,
    0xffc3130b,
    0xffbe0d06,
    0xffd21911,
    0xffe63435,
    0xfffc6c61,
    0xffff8576,
    0xffff8d78,
    0xffff8272,
    0xffef6358,
    0xff92262b,
    0xffb12f1f,
    0xffff7c62,
    0xfffc6656,
    0xfff93c30,
    0xffe92210,
    0xffe0281d,
    0xffec2b1d,
    0xffe2291a,
    0xffe22f19,
    0xffec331b,
    0xfff73c1d,
    0xffff4c28,
    0xfffd5c38,
    0xfffe6d49,
    0xfff54c39,
    0xffec2e1e,
    0xfffb6f5b,
    0xffd14d5d,
    0xffe14f2e,
    0xffff7f67,
    0xfffe7960,
    0xfffd694c,
    0xfffd6348,
    0xfff7412c,
    0xfff8311c,
    0xfffa5e56,
    0xfff5413b,
    0xfff93420,
    0xffe52415,
    0xffcb1306,
    0xffc11000,
    0xffcb0c01,
    0xfff25240,
    0xfffc3a23,
    0xffe7180c,
    0xffe30809,
    0xffff7857,
    0xfffe896e,
    0xfffd735e,
    0xfffe5a42,
    0xfffe5a36,
    0xfffd764d,
    0xfffd8765,
    0xfffd7f62,
    0xffff644c,
    0xffe22d1d,
    0xffee4340,
    0xffd61214,
    0xfff7392a,
    0xffff9275,
    0xffe43e57,
    0xffd30c03,
    0xffee2f13,
    0xfffc6039,
    0xffffaf80,
    0xfffe998b,
    0xfff6413c,
    0xffee3625,
    0xffef291a,
    0xfff3220d,
    0xff831106,
    0xffb72912,
    0xfff22b14,
    0xfff02c11,
    0xffeb290c,
    0xffc40000,
    0xffe3424e,
    0xffffba98,
    0xfffd7369,
    0xffe72c24,
    0xffd01201,
    0xffc81909,
    0xffc92f10,
    0xffd6231a,
    0xfff4412b,
    0xffdf3913,
    0xffd9330a,
    0xff450f00,
    0xff000700,
    0xffbf8f66,
    0xff8b5424,
    0xff743f1d,
    0xff5e2916,
    0xff522714,
    0xff170000,
    0xff8b5f32,
    0xffc5602e,
    0xffce2204,
    0xffdf3218,
    0xff6d1e0f,
    0xff2a1e01,
    0xff1f1500,
    0xff552000,
    0xffff6e7e,
    0xffff604f,
    0xff4e1300,
    0xff1e1700,
    0xff271801,
    0xff271a00,
    0xff3b1b00,
    0xffd92a21,
    0xfffd6f57,
    0xffff6546,
    0xffb61f04,
    0xfffa4b1d,
    0xffff552c,
    0xffd92a1b,
    0xffcc4020,
    0xffe4322d,
    0xffe59899,
    0xff332900,
    0xff1e1600,
    0xff1f1b00,
    0xff371700,
    0xffb21704,
    0xff341401,
    0xff1d1b01,
    0xff211c01,
    0xff261d00,
    0xff211c00,
    0xff201700,
    0xffa42413,
    0xffff582a,
    0xffff4d2d,
    0xff601503,
    0xff131a00,
    0xff1e1a00,
    0xff1a1901,
    0xff191800,
    0xff141701,
    0xff111600,
    0xff121701,
    0xff131901,
    0xff141b00,
    0xff131d02,
    0xff141d00,
    0xff161e02,
    0xff171e00,
    0xff192000,
    0xff192001,
    0xff192000,
    0xff182100,
    0xff192000,
    0xff192000,
    0xff1d2101,
    0xff1d2301,
    0xff1d2100,
    0xff1d2200,
    0xff1f2503,
    0xff1c2100,
    0xff1c2000,
    0xff1d1f01,
    0xff1d1f00,
    0xff1d1f00,
    0xff1e1f00,
    0xff1e2100,
    0xff202300,
    0xff242400,
    0xff252700,
    0xff282a01,
    0xff2a2d01,
    0xff2c3100,
    0xff313801,
    0xff343b00,
    0xff3a4000,
    0xff3a4500,
    0xff3d4701,
    0xff3c4700,
    0xff3e4a01,
    0xff3e4e00,
    0xff404c00,
    0xff414e00,
    0xff424f01,
    0xff424f00,
    0xff444f01,
    0xff424d00,
    0xff424e00,
    0xff454d00,
    0xff454e01,
    0xff484e00,
    0xff4b4f02,
    0xff4b5001,
    0xff4c5101,
    0xff4d5400,
    0xff4f5400,
    0xff525801,
    0xff515a01,
    0xff515a01,
    0xff525e04,
    0xff555f06,
    0xff566007,
    0xff566208,
    0xff556308,
    0xff515e08,
    0xff505b07,
    0xff4c5708,
    0xff4a5406,
    0xff465202,
    0xff424f02,
    0xff404b01,
    0xff3e4c00,
    0xff374701,
    0xff334400,
    0xff2f3e00,
    0xff2e3c00,
    0xff2f3c02,
    0xff2b3b01,
    0xff293801,
    0xff2a3500,
    0xff273400,
    0xff243100,
    0xff1f2f00,
    0xff202b01,
    0xff1a2800,
    0xff1c2401,
    0xff1b2101,
    0xff171f00,
    0xff161c00,
    0xff141c01,
    0xff121b00,
    0xff131701,
    0xff121700,
    0xff0e1700,
    0xff0d1500,
    0xff0b1501,
    0xff0c1501,
    0xff0b1600,
    0xff0f1700,
    0xff111b01,
    0xff141d03,
    0xff172002,
    0xff172205,
    0xff1b2508,
    0xff1e270b,
    0xff202c0d,
    0xff090f00,
    0xff051100,
    0xff051001,
    0xff030f00,
    0xff020c00,
    0xff000c00,
    0xff000a01,
    0xff000a01,
    0xff000900,
    0xff000700,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff080000,
    0xff751218,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff250000,
    0xffdd3a46,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff010101,
    0xff000500,
    0xff000200,
    0xff911614,
    0xfff85140,
    0xfff43e39,
    0xfff03c2b,
    0xffcb2c19,
    0xffb40b06,
    0xffb90200,
    0xffad0000,
    0xffb10600,
    0xffda2d18,
    0xfff14328,
    0xffd42513,
    0xffc50e06,
    0xffe73419,
    0xffe32213,
    0xffeb2c16,
    0xffe9311c,
    0xffd7210f,
    0xffcc1503,
    0xffd71f1b,
    0xffff7b57,
    0xffff6552,
    0xffe81919,
    0xffc40500,
    0xffc70800,
    0xffd81e05,
    0xffce1710,
    0xffcd1812,
    0xffc9150b,
    0xffb1000a,
    0xffd6232f,
    0xfffe6b5e,
    0xfffe917e,
    0xfffd9b86,
    0xfffd8377,
    0xffff6873,
    0xfffb7164,
    0xffc33538,
    0xff611119,
    0xffff977f,
    0xffff877f,
    0xfffd6c61,
    0xffef2318,
    0xffdf2716,
    0xffe62a21,
    0xffe02519,
    0xffe8321c,
    0xfff33b22,
    0xfff23822,
    0xffff4923,
    0xfffe5c37,
    0xfffe6647,
    0xfff64837,
    0xffec3525,
    0xfffe4934,
    0xffdc4e5a,
    0xffe15032,
    0xffff7e63,
    0xfffd7c60,
    0xfffd6d53,
    0xffff6c54,
    0xfffa4631,
    0xfff52d1b,
    0xfff63e2e,
    0xfff94324,
    0xfff32c19,
    0xffe72c14,
    0xffcc1406,
    0xffc81400,
    0xffd2170b,
    0xfff53726,
    0xffee1d07,
    0xfff02517,
    0xffdc0100,
    0xfffb543b,
    0xfffe7d63,
    0xfffd7160,
    0xfffe5f46,
    0xfffc4b30,
    0xfffd6a3c,
    0xfffe7d5a,
    0xfffe7d5f,
    0xffff805b,
    0xffee412b,
    0xfff55052,
    0xffe31e19,
    0xfffa3e21,
    0xffe73c36,
    0xffd1110e,
    0xffd91505,
    0xfff73921,
    0xfffe6456,
    0xfffd6b68,
    0xffff5341,
    0xfffd4f36,
    0xfffe5734,
    0xffff5433,
    0xffe2220e,
    0xff532210,
    0xffd12e12,
    0xfff52b12,
    0xfff22f11,
    0xffe01b07,
    0xffab0000,
    0xffcb0815,
    0xfff24c4f,
    0xffe7302d,
    0xffd41709,
    0xffd01706,
    0xffc71f0f,
    0xffc72d12,
    0xffe02b1a,
    0xfff53e20,
    0xffe83d11,
    0xff991f05,
    0xff090c00,
    0xff020900,
    0xff6d5935,
    0xffb87f48,
    0xff7d4018,
    0xff8e492a,
    0xff46170a,
    0xff070000,
    0xff823c1b,
    0xffe7905b,
    0xffe0390f,
    0xffc62a0c,
    0xff301600,
    0xff251a00,
    0xff261700,
    0xffd64d2b,
    0xffff7f9b,
    0xffb42805,
    0xff1f1600,
    0xff261b00,
    0xff271900,
    0xff221900,
    0xff651800,
    0xffff5c58,
    0xffff8165,
    0xffb72307,
    0xffd93315,
    0xffff4d23,
    0xfff0351c,
    0xff992015,
    0xffd93727,
    0xffaf2112,
    0xff9e8c52,
    0xffd5d4a7,
    0xff1c1500,
    0xff1a1600,
    0xff851903,
    0xff841202,
    0xff181800,
    0xff211b00,
    0xff221d00,
    0xff251c00,
    0xff1b1900,
    0xff801d0e,
    0xfffe4d2b,
    0xffff5b32,
    0xff9a1f0d,
    0xff151900,
    0xff1f1c00,
    0xff1e1b00,
    0xff1b1b01,
    0xff181900,
    0xff141600,
    0xff131701,
    0xff121800,
    0xff141c01,
    0xff161c00,
    0xff161b00,
    0xff161e00,
    0xff171f00,
    0xff171e00,
    0xff181f01,
    0xff192001,
    0xff181f00,
    0xff1a1f00,
    0xff191f00,
    0xff1a2000,
    0xff1b2101,
    0xff1d2401,
    0xff1c2000,
    0xff1d2201,
    0xff1e2503,
    0xff1c2200,
    0xff1d2000,
    0xff1d1f00,
    0xff1a1d00,
    0xff1c1f01,
    0xff1e1f00,
    0xff202000,
    0xff1f2100,
    0xff212100,
    0xff242600,
    0xff252700,
    0xff292a01,
    0xff2c2d00,
    0xff2e3400,
    0xff323800,
    0xff373c00,
    0xff3a4101,
    0xff394401,
    0xff394401,
    0xff394400,
    0xff3a4500,
    0xff3b4600,
    0xff3d4a00,
    0xff3f4b02,
    0xff404d00,
    0xff434e00,
    0xff424d00,
    0xff414c00,
    0xff464d00,
    0xff454d00,
    0xff495000,
    0xff4b5000,
    0xff4b4f01,
    0xff4d5200,
    0xff4e5300,
    0xff515700,
    0xff525700,
    0xff515a01,
    0xff545c03,
    0xff555e05,
    0xff555f06,
    0xff576108,
    0xff566208,
    0xff546208,
    0xff535f08,
    0xff515d08,
    0xff4d5907,
    0xff4a5506,
    0xff465203,
    0xff424f03,
    0xff3f4b01,
    0xff3f4c01,
    0xff384800,
    0xff334300,
    0xff303e00,
    0xff2e3c00,
    0xff2f3c02,
    0xff2e3900,
    0xff283900,
    0xff283701,
    0xff283300,
    0xff233100,
    0xff222f01,
    0xff222d02,
    0xff1c2a00,
    0xff1e2700,
    0xff1b2200,
    0xff191f00,
    0xff181e00,
    0xff161d00,
    0xff141d00,
    0xff131c00,
    0xff141900,
    0xff121800,
    0xff101600,
    0xff101600,
    0xff0b1800,
    0xff0f1600,
    0xff141901,
    0xff141d00,
    0xff171e00,
    0xff182104,
    0xff182306,
    0xff1b2409,
    0xff1e280c,
    0xff222c0e,
    0xff110e01,
    0xff021000,
    0xff030e00,
    0xff030e00,
    0xff020c00,
    0xff000c00,
    0xff000a01,
    0xff000900,
    0xff000800,
    0xff010801,
    0xff000700,
    0xff010600,
    0xff000501,
    0xff000401,
    0xff000000,
    0xff83191a,
    0xff090005,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffc8281d,
    0xff441226,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff000200,
    0xff000000,
    0xff9c2d19,
    0xffff614d,
    0xfff43b39,
    0xffee3829,
    0xffca2b14,
    0xffb00c04,
    0xffb70000,
    0xffb30001,
    0xffaf0200,
    0xffc81b08,
    0xffdd2d14,
    0xffcd210a,
    0xffc71005,
    0xfff64d25,
    0xffec311e,
    0xffee3321,
    0xffea301d,
    0xffd8240e,
    0xffcd1603,
    0xffdc241c,
    0xffff7d56,
    0xffff5b48,
    0xffe0130e,
    0xffc20500,
    0xffc50c00,
    0xffcf1905,
    0xffce170b,
    0xffc9140c,
    0xffc60e0e,
    0xffc81329,
    0xfff45154,
    0xffff8775,
    0xffff9786,
    0xfffd817e,
    0xfffe6767,
    0xfffe565d,
    0xfffb6760,
    0xffdf3e3f,
    0xff6f0005,
    0xff4e221d,
    0xfff9aea2,
    0xffff9283,
    0xfff82f26,
    0xffe4230e,
    0xffe22d24,
    0xffe62820,
    0xffee3821,
    0xfffb5332,
    0xfff23b28,
    0xfffc4623,
    0xfffd5530,
    0xfffe603f,
    0xfffb4b34,
    0xffed3627,
    0xffeb281d,
    0xffd43d47,
    0xffe05134,
    0xffff8266,
    0xfffe8164,
    0xfffd7056,
    0xfffe6d56,
    0xfffb4532,
    0xffef221b,
    0xfffc4e2f,
    0xfffb4725,
    0xfff83a1b,
    0xffed3217,
    0xffcd1606,
    0xffce1a05,
    0xffda2410,
    0xffe51a0a,
    0xffee230c,
    0xfff1301e,
    0xffe40900,
    0xffee271c,
    0xffff7456,
    0xfffe7a65,
    0xffff644e,
    0xfffc3c29,
    0xfffd502b,
    0xfffd784d,
    0xfffe8663,
    0xfffe855b,
    0xfffc5f4b,
    0xffff8266,
    0xffee2f23,
    0xfff12913,
    0xffd71713,
    0xffd51205,
    0xffda0c08,
    0xfffd3c23,
    0xfffe3325,
    0xfff0141c,
    0xffe7161d,
    0xffdf0d19,
    0xffe81c22,
    0xffff5439,
    0xffa12b15,
    0xff75210e,
    0xffdb3714,
    0xfff53217,
    0xfff12e10,
    0xffc30602,
    0xffa30000,
    0xffbf0400,
    0xffde1710,
    0xffe22619,
    0xffd72215,
    0xffd2180a,
    0xffc21d0d,
    0xffd32f17,
    0xffef331d,
    0xfff5421b,
    0xffd4320c,
    0xff381100,
    0xff091100,
    0xff131000,
    0xff151700,
    0xffc99469,
    0xff955620,
    0xff974d29,
    0xff843519,
    0xff632400,
    0xffb34b06,
    0xfffebe8d,
    0xffef6a3b,
    0xff881b00,
    0xff261a01,
    0xff231b00,
    0xff843000,
    0xffff83a4,
    0xfffc563b,
    0xff421500,
    0xff241e01,
    0xff281c00,
    0xff2a1d00,
    0xff1f1300,
    0xffbd3b28,
    0xffff8f7b,
    0xffd93a21,
    0xffcd3012,
    0xffff5629,
    0xfff93f22,
    0xff9e1b11,
    0xffba3323,
    0xffc32616,
    0xff7a3c11,
    0xff582704,
    0xffb9a77a,
    0xffd7e2b1,
    0xff341000,
    0xffb21a06,
    0xff361500,
    0xff1b1c01,
    0xff221c01,
    0xff231b00,
    0xff1c1b00,
    0xff671b0c,
    0xfffa482a,
    0xffff6639,
    0xffcb2c18,
    0xff1f1800,
    0xff1f1f00,
    0xff221c00,
    0xff1e1d00,
    0xff1c1b00,
    0xff171901,
    0xff141801,
    0xff131801,
    0xff111a00,
    0xff131c00,
    0xff151c00,
    0xff141e01,
    0xff181e00,
    0xff181f00,
    0xff181f00,
    0xff181f00,
    0xff181f00,
    0xff192001,
    0xff192100,
    0xff1a2000,
    0xff1a1e00,
    0xff1c2101,
    0xff1c2200,
    0xff1b2100,
    0xff1c2200,
    0xff1c2300,
    0xff1d2200,
    0xff1b1e00,
    0xff1b1f00,
    0xff1a1c00,
    0xff1b1d00,
    0xff1e1e00,
    0xff1f1f00,
    0xff1e1f00,
    0xff202100,
    0xff222400,
    0xff232600,
    0xff272600,
    0xff272c00,
    0xff2e3100,
    0xff303500,
    0xff343900,
    0xff373c00,
    0xff353f00,
    0xff354000,
    0xff364000,
    0xff364000,
    0xff374201,
    0xff3a4500,
    0xff3e4601,
    0xff3d4701,
    0xff414c00,
    0xff404b01,
    0xff424b00,
    0xff464c00,
    0xff474d00,
    0xff4c5000,
    0xff4a5000,
    0xff4c4f01,
    0xff4e5100,
    0xff4f5500,
    0xff515700,
    0xff525700,
    0xff515a01,
    0xff545e05,
    0xff556006,
    0xff556107,
    0xff576007,
    0xff566209,
    0xff56630a,
    0xff546209,
    0xff525e07,
    0xff505b08,
    0xff4b5607,
    0xff475206,
    0xff434f03,
    0xff414d02,
    0xff404c01,
    0xff394900,
    0xff334301,
    0xff303e01,
    0xff2f3d00,
    0xff2d3c00,
    0xff313801,
    0xff2c3701,
    0xff2a3701,
    0xff263400,
    0xff273100,
    0xff212f00,
    0xff232c01,
    0xff1f2a00,
    0xff1c2700,
    0xff1e2500,
    0xff192200,
    0xff182000,
    0xff182000,
    0xff151e00,
    0xff151d00,
    0xff151c00,
    0xff141a01,
    0xff131801,
    0xff121600,
    0xff131701,
    0xff131701,
    0xff141b01,
    0xff151e00,
    0xff1a1f02,
    0xff192205,
    0xff182408,
    0xff1b260a,
    0xff20280d,
    0xff212c10,
    0xff230b00,
    0xff010f00,
    0xff040e00,
    0xff020c01,
    0xff000a02,
    0xff000900,
    0xff000a01,
    0xff010901,
    0xff010800,
    0xff020701,
    0xff000500,
    0xff000400,
    0xff000601,
    0xff020301,
    0xff000200,
    0xff5c0904,
    0xff370c16,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff680600,
    0xffba344c,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffc74f29,
    0xffff6c55,
    0xfff2403d,
    0xfff23d2c,
    0xffd5301a,
    0xffb61306,
    0xffb50000,
    0xffb90100,
    0xffaf0000,
    0xffb60a01,
    0xffcc1d06,
    0xffca2106,
    0xffc00b03,
    0xffed3d25,
    0xffec3623,
    0xfff54229,
    0xffe63120,
    0xffd62210,
    0xffd01b04,
    0xffcd1512,
    0xfffe6248,
    0xfff4382f,
    0xffd50e04,
    0xffbe0600,
    0xffcb1403,
    0xffce1e0b,
    0xffcb130e,
    0xffcd140e,
    0xffdf2228,
    0xfff95553,
    0xffff7d70,
    0xfffe927f,
    0xfffe8279,
    0xfffe6e69,
    0xfffe5955,
    0xffff5c57,
    0xfff95e59,
    0xffe5333a,
    0xffab0c0f,
    0xff390000,
    0xff000000,
    0xff904a40,
    0xffff3429,
    0xffeb220f,
    0xffe32c1e,
    0xffe62927,
    0xfff64529,
    0xfffe643b,
    0xfff3422e,
    0xfff63e1e,
    0xffff542d,
    0xfffd5a35,
    0xfffd5032,
    0xffee3828,
    0xffe82f24,
    0xffc13340,
    0xffe55834,
    0xffff8668,
    0xfffd8566,
    0xfffe7459,
    0xfffe6a54,
    0xfffd4133,
    0xffee2e1e,
    0xfff7432a,
    0xfffc4023,
    0xfffb441e,
    0xffea2f14,
    0xffcc1307,
    0xffd01d14,
    0xffe9311c,
    0xfff52a16,
    0xffff341a,
    0xfff1220e,
    0xffe81300,
    0xffeb150f,
    0xffff6e4c,
    0xfffd8869,
    0xfffe6e5b,
    0xfffc3d2d,
    0xfff62d1c,
    0xffff6c3b,
    0xfffd7d57,
    0xffff6746,
    0xfff74030,
    0xfffe5953,
    0xffe61813,
    0xffdb0d05,
    0xffd30802,
    0xffd10700,
    0xffe11108,
    0xffff5a25,
    0xffff4926,
    0xffe8121a,
    0xffed2327,
    0xffef3428,
    0xffe8221f,
    0xffea2428,
    0xffb5261a,
    0xffbf2914,
    0xffdf3b16,
    0xfff63919,
    0xffe31f0f,
    0xffb30000,
    0xffa10000,
    0xffb50100,
    0xffd20e01,
    0xffd8160b,
    0xffd82518,
    0xffcf160d,
    0xffc71c0b,
    0xffe73c1b,
    0xfff53b1c,
    0xfff54119,
    0xff831c04,
    0xff0e1200,
    0xff161300,
    0xff151200,
    0xff090c00,
    0xff7d5f39,
    0xffc88852,
    0xffa74f1e,
    0xff9e3c24,
    0xffa95814,
    0xffeb8331,
    0xffee8351,
    0xffffd19d,
    0xff491700,
    0xff271d00,
    0xff411c00,
    0xfffb675d,
    0xffff848e,
    0xff9c2000,
    0xff1f1b00,
    0xff2c1e01,
    0xff2c1e00,
    0xff241e00,
    0xff6c270a,
    0xffff937f,
    0xffee553c,
    0xffd13115,
    0xffff6231,
    0xffff5532,
    0xffcd2922,
    0xffac3022,
    0xffd12617,
    0xff4c1800,
    0xff885d2b,
    0xff874e1b,
    0xff522900,
    0xffc2b480,
    0xffb0472e,
    0xff770a00,
    0xff181901,
    0xff201a00,
    0xff221b00,
    0xff1b1a00,
    0xff56180b,
    0xffee432b,
    0xffff6c3e,
    0xffee3b22,
    0xff371600,
    0xff1f2000,
    0xff272000,
    0xff221e00,
    0xff201d00,
    0xff1e1d00,
    0xff181b00,
    0xff141a01,
    0xff141a00,
    0xff131c01,
    0xff141c01,
    0xff161d00,
    0xff161d01,
    0xff192000,
    0xff152000,
    0xff181f00,
    0xff181f00,
    0xff1a2102,
    0xff181f00,
    0xff181f01,
    0xff192000,
    0xff1a2001,
    0xff191d00,
    0xff1b2000,
    0xff192000,
    0xff1b2000,
    0xff1a2000,
    0xff1a1f00,
    0xff191f00,
    0xff181d01,
    0xff191d02,
    0xff181b00,
    0xff1b1d01,
    0xff1b1e00,
    0xff1d1d00,
    0xff1e1f01,
    0xff202100,
    0xff202101,
    0xff1f2400,
    0xff262801,
    0xff2a2e01,
    0xff2c3000,
    0xff2e3600,
    0xff343a00,
    0xff323c00,
    0xff333d01,
    0xff333d00,
    0xff333d00,
    0xff343c00,
    0xff363f00,
    0xff3a4100,
    0xff3b4501,
    0xff3c4701,
    0xff3e4800,
    0xff3e4800,
    0xff414a00,
    0xff464d00,
    0xff474e00,
    0xff474e00,
    0xff4c5002,
    0xff4d5200,
    0xff515500,
    0xff4e5801,
    0xff4f5800,
    0xff505c01,
    0xff525d04,
    0xff555f06,
    0xff536006,
    0xff546107,
    0xff546107,
    0xff566309,
    0xff546307,
    0xff516007,
    0xff505e0a,
    0xff4b5607,
    0xff465205,
    0xff435003,
    0xff414d04,
    0xff404c03,
    0xff3c4901,
    0xff354402,
    0xff2f3e00,
    0xff303e01,
    0xff2c3b00,
    0xff2e3900,
    0xff2c3701,
    0xff2b3600,
    0xff273400,
    0xff283201,
    0xff243001,
    0xff222d00,
    0xff1f2a00,
    0xff1b2801,
    0xff1b2501,
    0xff1b2401,
    0xff192100,
    0xff192000,
    0xff181e00,
    0xff161f01,
    0xff151d00,
    0xff141c00,
    0xff151a01,
    0xff131700,
    0xff141802,
    0xff131a01,
    0xff141d00,
    0xff181e00,
    0xff192204,
    0xff182507,
    0xff192409,
    0xff1c260b,
    0xff20290d,
    0xff232d12,
    0xff390b00,
    0xff070e01,
    0xff010e01,
    0xff010b01,
    0xff000900,
    0xff000900,
    0xff000900,
    0xff010900,
    0xff010700,
    0xff010600,
    0xff000500,
    0xff010500,
    0xff000300,
    0xff010300,
    0xff000100,
    0xff2f0300,
    0xff771829,
    0xff000000,
    0xff000101,
    0xff000000,
    0xff130000,
    0xfff64042,
    0xff100007,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffb0432b,
    0xffff6e57,
    0xfff64644,
    0xfff4402f,
    0xffe74020,
    0xffc01c0b,
    0xffb80400,
    0xffbb0500,
    0xffb60100,
    0xffa90000,
    0xffc01100,
    0xffc92105,
    0xffc20e02,
    0xffd22015,
    0xffe02a23,
    0xfff64c32,
    0xffe33525,
    0xffd22516,
    0xffd5200c,
    0xffca1006,
    0xffd02022,
    0xffd81716,
    0xffc90800,
    0xffbc0500,
    0xffd82108,
    0xffd52411,
    0xffc9130e,
    0xffd61718,
    0xfffb5d4f,
    0xffff8373,
    0xfffd8f7b,
    0xfffe8073,
    0xfffe6a65,
    0xfffe6156,
    0xfffd604f,
    0xfffe6959,
    0xfffa5951,
    0xffdf2830,
    0xffd01a17,
    0xff990e05,
    0xff2e0000,
    0xff000305,
    0xfffb2816,
    0xfff22716,
    0xffe52715,
    0xffe32c2a,
    0xfff43e2d,
    0xfffd5f3d,
    0xfff14630,
    0xfff0391d,
    0xfffe5128,
    0xfffd5a34,
    0xffff5334,
    0xfff13c2b,
    0xfff1382d,
    0xffcf717e,
    0xffdf512f,
    0xffff8665,
    0xfffe8a69,
    0xfffd755d,
    0xfffe664e,
    0xfffa5234,
    0xfff54f44,
    0xfff23025,
    0xfff93b1d,
    0xfffa4622,
    0xffe12211,
    0xffd41c1d,
    0xfff04341,
    0xfffb4124,
    0xfffd3f20,
    0xfffd462a,
    0xfff73a22,
    0xffec1700,
    0xfff11b08,
    0xfffa4b37,
    0xffff8465,
    0xfffe7d67,
    0xfffc493b,
    0xffee1816,
    0xffff4b26,
    0xfffe6b35,
    0xffff4624,
    0xffea1f13,
    0xffe41617,
    0xffdf0f00,
    0xffd70700,
    0xffd20800,
    0xffca0500,
    0xffd90f09,
    0xffff4226,
    0xfffc3c31,
    0xffff5644,
    0xffff7753,
    0xffff6c4d,
    0xfff84c30,
    0xffdb241f,
    0xffe83522,
    0xffe93721,
    0xffe84121,
    0xffef3721,
    0xffd10e0f,
    0xffb60000,
    0xffae0000,
    0xffaf0000,
    0xffc80a02,
    0xffce0a00,
    0xffd21e18,
    0xffd01f1d,
    0xffda2b16,
    0xfff24220,
    0xfffa411f,
    0xffde3415,
    0xff231000,
    0xff151700,
    0xff171500,
    0xff191600,
    0xff1a1500,
    0xff241900,
    0xffc69667,
    0xffd4703c,
    0xffa24426,
    0xffcb7833,
    0xffd73a0c,
    0xffeb522e,
    0xffffbe75,
    0xff382c03,
    0xff261800,
    0xffc14b17,
    0xffff95b6,
    0xffed4223,
    0xff301600,
    0xff281e00,
    0xff2c1f00,
    0xff262100,
    0xff581f00,
    0xffff8e80,
    0xfffe684f,
    0xffdd341b,
    0xffff663a,
    0xffff6844,
    0xfff4422d,
    0xffc9362b,
    0xffd3261a,
    0xff7a1c04,
    0xff1b1600,
    0xff3e2e09,
    0xffae773c,
    0xff855520,
    0xff783310,
    0xffb01a16,
    0xff5f4218,
    0xff111200,
    0xff1f1900,
    0xff191a00,
    0xff4d1509,
    0xffe94028,
    0xffff7146,
    0xfffd4930,
    0xff531702,
    0xff1f1d00,
    0xff252000,
    0xff251f00,
    0xff231f01,
    0xff221e00,
    0xff1e1e00,
    0xff171b01,
    0xff151a01,
    0xff151b01,
    0xff141a00,
    0xff121d01,
    0xff171c01,
    0xff181b01,
    0xff171e00,
    0xff191f01,
    0xff181f01,
    0xff181f00,
    0xff192001,
    0xff192001,
    0xff171e00,
    0xff181f00,
    0xff181e00,
    0xff181d00,
    0xff191d00,
    0xff191e00,
    0xff1b1f00,
    0xff191f00,
    0xff171c00,
    0xff171b00,
    0xff181b00,
    0xff181c00,
    0xff171c01,
    0xff191c00,
    0xff191c00,
    0xff1a1d00,
    0xff1b1d00,
    0xff1d1f00,
    0xff1e1f01,
    0xff1e2300,
    0xff242500,
    0xff262a00,
    0xff2a2f00,
    0xff2d3301,
    0xff2f3500,
    0xff2e3700,
    0xff2e3700,
    0xff303902,
    0xff2f3800,
    0xff313800,
    0xff333c00,
    0xff353d00,
    0xff353e00,
    0xff3c4100,
    0xff3b4401,
    0xff3d4500,
    0xff404701,
    0xff434901,
    0xff464d00,
    0xff4a4f02,
    0xff494d00,
    0xff4c5201,
    0xff505500,
    0xff4f5801,
    0xff4e5800,
    0xff4e5b00,
    0xff505d01,
    0xff535e02,
    0xff536006,
    0xff546107,
    0xff556208,
    0xff566309,
    0xff556207,
    0xff526009,
    0xff505e08,
    0xff4c5708,
    0xff465207,
    0xff434f08,
    0xff424c08,
    0xff404c06,
    0xff3c4902,
    0xff374200,
    0xff323e00,
    0xff2e3c00,
    0xff2e3a00,
    0xff2c3a00,
    0xff2d3701,
    0xff2a3701,
    0xff263300,
    0xff293200,
    0xff262f00,
    0xff212f00,
    0xff222d01,
    0xff1d2c00,
    0xff1b2700,
    0xff1b2500,
    0xff1b2201,
    0xff1c2201,
    0xff1a2100,
    0xff181f00,
    0xff171e01,
    0xff161e01,
    0xff161b02,
    0xff141c01,
    0xff161900,
    0xff141b00,
    0xff171c01,
    0xff191f00,
    0xff182302,
    0xff1b2406,
    0xff1c250b,
    0xff1d260b,
    0xff202a0f,
    0xff252c0f,
    0xff540901,
    0xff190b00,
    0xff000c01,
    0xff000a01,
    0xff000800,
    0xff010701,
    0xff000700,
    0xff010700,
    0xff000500,
    0xff010600,
    0xff010602,
    0xff000501,
    0xff000400,
    0xff000200,
    0xff000300,
    0xff090000,
    0xff9c1e28,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffae1e0f,
    0xff8b2139,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff78271c,
    0xffff7052,
    0xfff64b46,
    0xfff74034,
    0xfff04625,
    0xffd02d14,
    0xffc30e00,
    0xffbf0500,
    0xffb70100,
    0xffaa0000,
    0xffb30800,
    0xffc71d05,
    0xffc61a07,
    0xffc10b08,
    0xffcd2024,
    0xffeb4631,
    0xffdb3427,
    0xffdb2e1c,
    0xffde2818,
    0xffd0190c,
    0xffda2f17,
    0xffd21909,
    0xffc20600,
    0xffbb0600,
    0xffdd290f,
    0xffd62915,
    0xffc80f10,
    0xffe83834,
    0xffff836e,
    0xfffe9583,
    0xfffd8377,
    0xfffe6363,
    0xfff94b4e,
    0xfffb5443,
    0xffff644e,
    0xfffe705a,
    0xfff95849,
    0xffde272c,
    0xffe1261d,
    0xffe32b18,
    0xff970c09,
    0xff3e0403,
    0xffef2011,
    0xfff12f1e,
    0xffec2318,
    0xffe22f22,
    0xffe72c24,
    0xfff64530,
    0xfff3432e,
    0xffee391d,
    0xfffc4c24,
    0xfffe5a33,
    0xffff5434,
    0xfff63f2b,
    0xffea2b27,
    0xffd797bd,
    0xffdf4f29,
    0xffff8969,
    0xfffe906c,
    0xfffe785e,
    0xfffe6048,
    0xfff8644b,
    0xffe8353e,
    0xfff32f1c,
    0xfffc4523,
    0xfff43d1b,
    0xffda170f,
    0xfff74d33,
    0xfffc7f59,
    0xfffa4f32,
    0xfffc4a2d,
    0xfffe6848,
    0xfffa593b,
    0xfff11c01,
    0xfffa2a0b,
    0xffeb1c17,
    0xfffe6c52,
    0xfffe8869,
    0xffff6347,
    0xffec1a16,
    0xfff22411,
    0xffff371a,
    0xffe7110c,
    0xffd70b00,
    0xffdd0e00,
    0xffdb0b00,
    0xffd30700,
    0xffc60300,
    0xffcb080a,
    0xffe9211c,
    0xffe81f20,
    0xfff74234,
    0xffff8256,
    0xffff7b5d,
    0xfff2393c,
    0xffd61e20,
    0xffcf3222,
    0xfff34529,
    0xffff4c30,
    0xfffb4732,
    0xffee3938,
    0xffd1131e,
    0xffc20800,
    0xffbc0000,
    0xffb60000,
    0xffbc0500,
    0xffca0e00,
    0xffcf1712,
    0xffdb2523,
    0xffed3d1f,
    0xfff95731,
    0xfff93e22,
    0xffc02315,
    0xff0d1000,
    0xff171600,
    0xff1b1600,
    0xff1e1700,
    0xff1f1800,
    0xff170f00,
    0xff8e5528,
    0xff9f6836,
    0xffb05835,
    0xffda8060,
    0xffdf3712,
    0xffe9583c,
    0xffdc9548,
    0xff46320b,
    0xff782a00,
    0xffff94a9,
    0xffff766a,
    0xff711b00,
    0xff272101,
    0xff2e2001,
    0xff281e00,
    0xff471900,
    0xfffa806f,
    0xffff7459,
    0xfff7422a,
    0xfffc663b,
    0xfffe7149,
    0xfffd4f38,
    0xffec3e28,
    0xffc62218,
    0xff931804,
    0xff221900,
    0xff281a00,
    0xff1d1300,
    0xff705a32,
    0xff9c6d30,
    0xffa92617,
    0xff8d2809,
    0xffb99264,
    0xff514215,
    0xff121100,
    0xff441206,
    0xffe23c28,
    0xffff7148,
    0xffff573d,
    0xff761a08,
    0xff181d00,
    0xff272001,
    0xff262101,
    0xff241f00,
    0xff242001,
    0xff211e01,
    0xff1e1e00,
    0xff181c01,
    0xff161b00,
    0xff161c00,
    0xff141b01,
    0xff131c00,
    0xff151e01,
    0xff151e01,
    0xff151c01,
    0xff171e00,
    0xff181f00,
    0xff171e00,
    0xff171e00,
    0xff182000,
    0xff171e01,
    0xff171d01,
    0xff151b00,
    0xff171d01,
    0xff171e02,
    0xff161c00,
    0xff181d00,
    0xff151b01,
    0xff171a00,
    0xff151900,
    0xff151900,
    0xff161a01,
    0xff161a00,
    0xff171a00,
    0xff1a1b02,
    0xff1a1c00,
    0xff191d00,
    0xff191d01,
    0xff1a1d01,
    0xff1e2101,
    0xff202401,
    0xff222600,
    0xff272a01,
    0xff292e00,
    0xff293101,
    0xff293100,
    0xff2a3300,
    0xff2c3401,
    0xff2c3501,
    0xff2e3400,
    0xff2f3701,
    0xff353800,
    0xff363a01,
    0xff363b01,
    0xff393e01,
    0xff394200,
    0xff3c4401,
    0xff404700,
    0xff454a00,
    0xff474e00,
    0xff464f00,
    0xff4b5100,
    0xff505500,
    0xff4c5800,
    0xff4f5701,
    0xff4d5900,
    0xff4f5c01,
    0xff505d01,
    0xff526006,
    0xff576007,
    0xff566208,
    0xff556207,
    0xff56620c,
    0xff53620c,
    0xff515e0c,
    0xff4e580b,
    0xff48520b,
    0xff454e0b,
    0xff444c0a,
    0xff404c05,
    0xff3d4902,
    0xff384400,
    0xff313e00,
    0xff2e3d00,
    0xff303a00,
    0xff2e3900,
    0xff2c3701,
    0xff2b3500,
    0xff263400,
    0xff2a3302,
    0xff263001,
    0xff222f01,
    0xff222d02,
    0xff202b00,
    0xff1d2800,
    0xff1d2701,
    0xff1e2401,
    0xff1a2400,
    0xff182401,
    0xff1b2000,
    0xff182101,
    0xff181e00,
    0xff151d00,
    0xff151c00,
    0xff151b00,
    0xff141c00,
    0xff181d00,
    0xff192001,
    0xff1c2301,
    0xff1f2606,
    0xff1d2709,
    0xff1e280c,
    0xff20280f,
    0xff242d0f,
    0xff6b0800,
    0xff330900,
    0xff050801,
    0xff000901,
    0xff010800,
    0xff000600,
    0xff000700,
    0xff010600,
    0xff010600,
    0xff000400,
    0xff000400,
    0xff000400,
    0xff010300,
    0xff000100,
    0xff000100,
    0xff000000,
    0xffa02724,
    0xff17020d,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff3b0000,
    0xffff6865,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff370e0b,
    0xffff633d,
    0xfff4443b,
    0xfff43c30,
    0xfff6482a,
    0xffe7431f,
    0xffce2008,
    0xffbb0400,
    0xffb40100,
    0xffaf0000,
    0xffab0100,
    0xffc41803,
    0xffc9230e,
    0xffcb1d12,
    0xffd7412d,
    0xffe04735,
    0xffd32925,
    0xfff14d28,
    0xffe7331f,
    0xffd51d0e,
    0xffe53218,
    0xffd21408,
    0xffb60500,
    0xffb90600,
    0xffd3220f,
    0xffce2214,
    0xffc90f17,
    0xfff9604d,
    0xffff937c,
    0xfffe8a7e,
    0xfffe6e67,
    0xfff54148,
    0xffd5282e,
    0xffdf3a34,
    0xfff8604c,
    0xffff6c54,
    0xfff4473f,
    0xffdc1e25,
    0xfff03624,
    0xfff94024,
    0xffdc271d,
    0xff9e130e,
    0xffe33e27,
    0xffff856a,
    0xfff5322c,
    0xffe42814,
    0xffe62e24,
    0xfff13328,
    0xfff54128,
    0xfff03e1f,
    0xfff84422,
    0xfffe5a30,
    0xfffe5b33,
    0xfff9442c,
    0xffe72525,
    0xffd18fad,
    0xffe2522a,
    0xffff926e,
    0xffff9772,
    0xfffd7b5f,
    0xffff5443,
    0xffee392e,
    0xffe42515,
    0xfff83b1e,
    0xfffa4520,
    0xffeb3117,
    0xffdb190e,
    0xfffa4524,
    0xfffb5731,
    0xfffd5840,
    0xfffe664b,
    0xfffd7250,
    0xfffe6440,
    0xfff5200d,
    0xfff92b0a,
    0xffed170b,
    0xffed3632,
    0xffff7e60,
    0xffff6445,
    0xffe81911,
    0xffd30500,
    0xffd00300,
    0xffce0400,
    0xffd50a01,
    0xffd80a00,
    0xffd00600,
    0xffbf0100,
    0xffbe0306,
    0xfff53822,
    0xffff6244,
    0xfff0322d,
    0xffef3b2c,
    0xfffe563f,
    0xffec2d2f,
    0xffcd0f14,
    0xffd01212,
    0xffd0261a,
    0xfff34a2f,
    0xffff623e,
    0xffff5d43,
    0xfffe775c,
    0xfffb4e50,
    0xffd31216,
    0xffca0900,
    0xffca0a00,
    0xffc10400,
    0xffbf0800,
    0xffd31716,
    0xffeb3624,
    0xfff74926,
    0xfff94726,
    0xffe42a1c,
    0xffc62511,
    0xff161200,
    0xff1a1600,
    0xff1d1600,
    0xff221801,
    0xff251800,
    0xff401700,
    0xffff7b6b,
    0xffaf5d3e,
    0xffa14c28,
    0xffe46545,
    0xfff15b3d,
    0xffeb876d,
    0xffd1a87b,
    0xff8c581f,
    0xfff67d6c,
    0xffffa3ad,
    0xffc22c08,
    0xff2a1f00,
    0xff2f2302,
    0xff2b1f01,
    0xff3e1500,
    0xfff17e6e,
    0xffff8467,
    0xfffc513a,
    0xfffe6841,
    0xfffe6f4e,
    0xfffd5138,
    0xfff13c23,
    0xffd52516,
    0xffa21702,
    0xff2c1c00,
    0xff2a1e00,
    0xff291a00,
    0xff251900,
    0xff171100,
    0xff7f3415,
    0xffaa1709,
    0xff7c4c19,
    0xff795220,
    0xffab8357,
    0xff411803,
    0xffe5392a,
    0xffff754a,
    0xffff6042,
    0xff911d0b,
    0xff1a1b00,
    0xff232000,
    0xff252000,
    0xff262101,
    0xff251f00,
    0xff221e00,
    0xff1f1e00,
    0xff1f1f00,
    0xff171b00,
    0xff161a00,
    0xff151b00,
    0xff151d02,
    0xff121c00,
    0xff141d00,
    0xff131d00,
    0xff141c00,
    0xff151e00,
    0xff151e00,
    0xff171e00,
    0xff171e00,
    0xff141e00,
    0xff161c00,
    0xff151b01,
    0xff151a01,
    0xff151a00,
    0xff151a00,
    0xff151800,
    0xff121800,
    0xff101500,
    0xff121600,
    0xff121700,
    0xff131700,
    0xff141801,
    0xff141802,
    0xff171802,
    0xff171900,
    0xff191b00,
    0xff171b00,
    0xff1a1d01,
    0xff1b1d01,
    0xff1c2000,
    0xff1f2201,
    0xff202401,
    0xff232601,
    0xff212800,
    0xff222800,
    0xff252b00,
    0xff262f00,
    0xff272f00,
    0xff283000,
    0xff2a3100,
    0xff2b3300,
    0xff2e3500,
    0xff2f3701,
    0xff333700,
    0xff363b01,
    0xff363c00,
    0xff3a4100,
    0xff3d4301,
    0xff404701,
    0xff454b00,
    0xff464c00,
    0xff4a4e00,
    0xff4c5300,
    0xff4b5700,
    0xff4e5a02,
    0xff4b5800,
    0xff4e5b02,
    0xff505d01,
    0xff525f05,
    0xff545f06,
    0xff546007,
    0xff556209,
    0xff55620b,
    0xff53610d,
    0xff515e0d,
    0xff4d5a0c,
    0xff49510e,
    0xff454e0d,
    0xff444d09,
    0xff3f4a06,
    0xff3d4804,
    0xff394303,
    0xff323d00,
    0xff2d3b00,
    0xff2e3900,
    0xff2b3800,
    0xff2a3601,
    0xff2a3600,
    0xff283600,
    0xff273300,
    0xff273100,
    0xff272f00,
    0xff242f01,
    0xff232c00,
    0xff222a00,
    0xff1e2801,
    0xff202701,
    0xff1f2500,
    0xff192300,
    0xff1b2400,
    0xff1a2000,
    0xff1a1f00,
    0xff171e00,
    0xff171d01,
    0xff161c00,
    0xff171d00,
    0xff181e00,
    0xff192100,
    0xff1a2301,
    0xff1e2606,
    0xff202709,
    0xff22280c,
    0xff23280f,
    0xff262d10,
    0xff800801,
    0xff4d0700,
    0xff160600,
    0xff000701,
    0xff000800,
    0xff000500,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff000501,
    0xff000501,
    0xff010200,
    0xff000201,
    0xff000201,
    0xff010001,
    0xff000000,
    0xff671709,
    0xff641f31,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffe23525,
    0xff6f1c30,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffd4402b,
    0xfff74236,
    0xfff33a2b,
    0xfffb462c,
    0xfff64e25,
    0xffdc3214,
    0xffc00702,
    0xffb80600,
    0xffb60300,
    0xffaa0000,
    0xffb90f01,
    0xffcc1f0d,
    0xffd02a16,
    0xffe66540,
    0xfff25d44,
    0xffe22d2a,
    0xfff85236,
    0xffe02a21,
    0xffd71d10,
    0xffda220c,
    0xffca1203,
    0xffb60600,
    0xffbb0900,
    0xffcf2112,
    0xffc92219,
    0xffd11b20,
    0xffff775a,
    0xfffe927c,
    0xfffe7f72,
    0xffff6056,
    0xffe63231,
    0xffc0271c,
    0xffb92720,
    0xffee5542,
    0xfffc624c,
    0xffef3732,
    0xffc80e18,
    0xffe82420,
    0xffff462c,
    0xfff13824,
    0xffdf3525,
    0xffe44833,
    0xfff38790,
    0xfffc4e40,
    0xffeb2413,
    0xffe5311e,
    0xffeb3126,
    0xfff33d29,
    0xffee4222,
    0xfff34521,
    0xfffe562c,
    0xfffe6334,
    0xfffd4d31,
    0xffe92423,
    0xffc9675e,
    0xffe85737,
    0xffff9d73,
    0xfffe9f77,
    0xfffe7a5f,
    0xfffe5742,
    0xffe13534,
    0xffe82b16,
    0xfffb4322,
    0xfff43f1d,
    0xffe12713,
    0xffe52812,
    0xfff92f16,
    0xfffc5c40,
    0xfffd7056,
    0xfffd795b,
    0xfffe6440,
    0xfffc7e61,
    0xfff86154,
    0xfff71c08,
    0xffed1d06,
    0xffe9271f,
    0xfffe674c,
    0xfff93f38,
    0xffda0609,
    0xffc80000,
    0xffc40200,
    0xffca0601,
    0xffce0700,
    0xffc70400,
    0xffb70000,
    0xffb30114,
    0xffd41911,
    0xffff5b3c,
    0xfffea07c,
    0xfffb4641,
    0xffc5070f,
    0xffbd040f,
    0xffbe030a,
    0xffcb0c07,
    0xffe21d13,
    0xffe3301c,
    0xfff96343,
    0xffff6245,
    0xfffd6a43,
    0xffff9a77,
    0xffff9279,
    0xfff33c44,
    0xffd00f06,
    0xffd41200,
    0xffd61101,
    0xffcb0807,
    0xffdf1a17,
    0xfff73f27,
    0xfffc4b29,
    0xffea341b,
    0xffca180d,
    0xffc4260e,
    0xff131200,
    0xff1c1600,
    0xff1e1602,
    0xff241800,
    0xff231100,
    0xffd5673f,
    0xffff9a9b,
    0xffcb3c1b,
    0xffab3b19,
    0xffed4d26,
    0xffee4720,
    0xff914723,
    0xffa08264,
    0xff9a4d20,
    0xffffbfdf,
    0xfffb5031,
    0xff471a00,
    0xff2e2406,
    0xff2d2204,
    0xff3b1700,
    0xffec7b6d,
    0xffff9277,
    0xfff95438,
    0xfffd6c4f,
    0xffff7250,
    0xfffd5845,
    0xfff2412c,
    0xffea3217,
    0xffb81406,
    0xff461e01,
    0xff302200,
    0xff312000,
    0xff2d1d00,
    0xff221a01,
    0xff2f1401,
    0xffa71300,
    0xffa35021,
    0xff8f5f23,
    0xff835223,
    0xffa8724d,
    0xffed624c,
    0xffff7349,
    0xffff684b,
    0xffa72110,
    0xff1c1800,
    0xff251f00,
    0xff251f00,
    0xff261f00,
    0xff251f01,
    0xff261e01,
    0xff221f00,
    0xff1f1e00,
    0xff1f1d00,
    0xff181a00,
    0xff161a01,
    0xff131c01,
    0xff121e01,
    0xff131c00,
    0xff131d00,
    0xff141e00,
    0xff161b00,
    0xff161a01,
    0xff131d01,
    0xff151d01,
    0xff161c00,
    0xff161c02,
    0xff161a01,
    0xff141801,
    0xff131802,
    0xff141700,
    0xff101800,
    0xff101600,
    0xff0c1500,
    0xff0c1501,
    0xff0b1401,
    0xff0e1401,
    0xff101500,
    0xff101500,
    0xff111500,
    0xff141600,
    0xff141800,
    0xff151900,
    0xff161900,
    0xff181c01,
    0xff191d00,
    0xff1b1f00,
    0xff1e1f00,
    0xff1d2301,
    0xff1d2300,
    0xff1d2401,
    0xff202500,
    0xff222900,
    0xff242b00,
    0xff242c01,
    0xff242d00,
    0xff292e01,
    0xff292f01,
    0xff2e3300,
    0xff2e3400,
    0xff313400,
    0xff333700,
    0xff353a01,
    0xff383d01,
    0xff3b4000,
    0xff404300,
    0xff404501,
    0xff434900,
    0xff464d00,
    0xff495100,
    0xff4a5700,
    0xff4c5700,
    0xff4b5901,
    0xff4d5a01,
    0xff505c01,
    0xff545c03,
    0xff515e06,
    0xff536008,
    0xff546009,
    0xff54600a,
    0xff515e0c,
    0xff505d0e,
    0xff4f590e,
    0xff48520e,
    0xff454e0d,
    0xff434c0a,
    0xff404a09,
    0xff3d4706,
    0xff394205,
    0xff353d00,
    0xff2e3901,
    0xff2c3700,
    0xff2c3600,
    0xff283600,
    0xff283500,
    0xff273400,
    0xff273400,
    0xff273200,
    0xff283100,
    0xff242e00,
    0xff262c00,
    0xff222d00,
    0xff222901,
    0xff1f2900,
    0xff1d2800,
    0xff1e2500,
    0xff1d2701,
    0xff1d2401,
    0xff1b2200,
    0xff1a1e01,
    0xff181f00,
    0xff171c01,
    0xff161d00,
    0xff181f00,
    0xff192100,
    0xff192301,
    0xff1e2506,
    0xff1f2808,
    0xff212909,
    0xff242a10,
    0xff282b0f,
    0xff8f0b01,
    0xff640500,
    0xff350401,
    0xff020400,
    0xff000400,
    0xff000300,
    0xff000601,
    0xff000300,
    0xff000200,
    0xff000300,
    0xff010201,
    0xff010100,
    0xff000100,
    0xff000101,
    0xff010101,
    0xff000000,
    0xff250000,
    0xffa42537,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff610800,
    0xffff5860,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff8e2c15,
    0xffff5535,
    0xfff33630,
    0xfff83d2d,
    0xfffd4d28,
    0xffe9431e,
    0xffcd1d0c,
    0xffc20a01,
    0xffbe0600,
    0xffaf0000,
    0xffac0600,
    0xffc41906,
    0xffca1c0c,
    0xffce1e1d,
    0xffeb3a2d,
    0xfffa5e40,
    0xfff04136,
    0xffda231b,
    0xffd41c0d,
    0xffd41d09,
    0xffc71101,
    0xffbf0e01,
    0xffca1506,
    0xffcf251a,
    0xffcc2720,
    0xffd62320,
    0xffff7356,
    0xffff7c6c,
    0xffff6a59,
    0xfff6473b,
    0xffcd2824,
    0xff941713,
    0xff971819,
    0xffed5035,
    0xfffc5740,
    0xffea2a29,
    0xffc0080d,
    0xffd61511,
    0xfffa3825,
    0xfff7412b,
    0xffe3262a,
    0xffff5a3d,
    0xffd62a23,
    0xfff13628,
    0xfff3301f,
    0xffe62a1c,
    0xffeb3425,
    0xfff1382b,
    0xffed3e26,
    0xffee4422,
    0xfffb512b,
    0xffff653a,
    0xffff5e38,
    0xfff1322c,
    0xffcc4238,
    0xfff16346,
    0xffffa87f,
    0xfffda87d,
    0xfffe7a5d,
    0xfff86f5e,
    0xffcc271f,
    0xfff0331b,
    0xfff6421f,
    0xffe93018,
    0xffdf2215,
    0xfff94026,
    0xfffd6548,
    0xfffa866d,
    0xfffe7f63,
    0xfffd6541,
    0xfffc745a,
    0xfffb8d78,
    0xfffbc4b4,
    0xfff74c3b,
    0xffe71903,
    0xfff63b20,
    0xfffe663a,
    0xfffd3c32,
    0xffe00f0d,
    0xffc40200,
    0xffbe0300,
    0xffc10200,
    0xffb90100,
    0xffaf0000,
    0xffc20e18,
    0xffe75a50,
    0xffe01c0e,
    0xfffb5b50,
    0xfffea687,
    0xfff7453e,
    0xffbf0406,
    0xffba0803,
    0xffc40d02,
    0xffdd1a0f,
    0xffed3016,
    0xffe0391d,
    0xffff7954,
    0xfffd593f,
    0xfffd693d,
    0xfffd806c,
    0xfffea98d,
    0xffff7b70,
    0xffd91e24,
    0xffd21b07,
    0xffd41b0c,
    0xffe42217,
    0xfff73a1e,
    0xfff84a1e,
    0xfff44320,
    0xffc8190f,
    0xffc00e04,
    0xff971d05,
    0xff101600,
    0xff201500,
    0xff211601,
    0xff271500,
    0xffbea344,
    0xffffd1d7,
    0xfffa522f,
    0xff6e1800,
    0xffcf3711,
    0xfff14318,
    0xffd33012,
    0xff3b1400,
    0xffac833c,
    0xffbe7087,
    0xffee5542,
    0xff872300,
    0xff2c2205,
    0xff2f2404,
    0xff411c01,
    0xfff4867a,
    0xffff907a,
    0xfff6543c,
    0xfffd694c,
    0xffff7557,
    0xfffb574c,
    0xffef3b2d,
    0xffed351a,
    0xffdf2210,
    0xff621c00,
    0xff2c2900,
    0xff352700,
    0xff362500,
    0xff312300,
    0xff261e00,
    0xff8b1a02,
    0xff941600,
    0xff60431a,
    0xffa5773f,
    0xffad6840,
    0xfff5795f,
    0xffff7d5f,
    0xffff674d,
    0xffb12115,
    0xff1e1600,
    0xff212000,
    0xff251f00,
    0xff251e00,
    0xff251e01,
    0xff241d00,
    0xff231e01,
    0xff201e00,
    0xff1e1e00,
    0xff1e1c00,
    0xff171900,
    0xff151900,
    0xff131901,
    0xff131b00,
    0xff171b00,
    0xff121c00,
    0xff141d01,
    0xff141c00,
    0xff141a00,
    0xff121900,
    0xff141b02,
    0xff121c00,
    0xff141901,
    0xff141801,
    0xff121700,
    0xff0f1800,
    0xff0e1600,
    0xff0c1400,
    0xff0a1100,
    0xff091101,
    0xff081100,
    0xff080f00,
    0xff091000,
    0xff0b1100,
    0xff0d1100,
    0xff101401,
    0xff111500,
    0xff121701,
    0xff141801,
    0xff151801,
    0xff171b00,
    0xff171c00,
    0xff181c00,
    0xff1b1e00,
    0xff1a2000,
    0xff1c2101,
    0xff1b1e00,
    0xff1f2501,
    0xff202700,
    0xff222900,
    0xff242b01,
    0xff242b01,
    0xff272d00,
    0xff2a2e01,
    0xff2a3200,
    0xff2f3200,
    0xff2e3400,
    0xff323400,
    0xff343702,
    0xff363800,
    0xff383d01,
    0xff3a4100,
    0xff3f4302,
    0xff404701,
    0xff424b00,
    0xff465000,
    0xff465400,
    0xff4a5701,
    0xff4a5600,
    0xff4c5701,
    0xff4e5800,
    0xff505b02,
    0xff515d07,
    0xff535f09,
    0xff525e09,
    0xff535e0d,
    0xff535d0e,
    0xff4f5c0e,
    0xff4d5711,
    0xff4a530f,
    0xff454e0d,
    0xff444a0d,
    0xff41480b,
    0xff3f4409,
    0xff3a3e05,
    0xff363d03,
    0xff2e3700,
    0xff283400,
    0xff293300,
    0xff273400,
    0xff293500,
    0xff273500,
    0xff283301,
    0xff293200,
    0xff273100,
    0xff262f00,
    0xff272f00,
    0xff262f00,
    0xff242a01,
    0xff232900,
    0xff222900,
    0xff202700,
    0xff1e2500,
    0xff1e2501,
    0xff1d2300,
    0xff1b1f01,
    0xff1a1f00,
    0xff171d01,
    0xff171e00,
    0xff171e00,
    0xff1a2000,
    0xff1a2301,
    0xff1a2506,
    0xff202709,
    0xff22290d,
    0xff242a0e,
    0xff272b10,
    0xff920d04,
    0xff760700,
    0xff4d0400,
    0xff150100,
    0xff000101,
    0xff000300,
    0xff000300,
    0xff000200,
    0xff010200,
    0xff000200,
    0xff010001,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffc92f35,
    0xff040006,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffff4f3c,
    0xff65162e,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff501a0d,
    0xfff85228,
    0xfff84b38,
    0xfff74134,
    0xfffe4b2c,
    0xfff74b25,
    0xffdf3819,
    0xffc81206,
    0xffc20800,
    0xffb80501,
    0xffa50000,
    0xffb30d02,
    0xffc71605,
    0xffc91609,
    0xffd32112,
    0xfff7583e,
    0xfff34334,
    0xffdf2918,
    0xffd01a0c,
    0xffd11c0b,
    0xffc81300,
    0xffc91604,
    0xffe02d17,
    0xffcf241d,
    0xffce2c28,
    0xffd52018,
    0xfff75541,
    0xfff34a4a,
    0xffee3d36,
    0xffd82921,
    0xffd63636,
    0xffd4535e,
    0xffcd5c65,
    0xfff0564d,
    0xfffb533d,
    0xffe72824,
    0xffc00909,
    0xffd1130a,
    0xfff02c1f,
    0xfff13929,
    0xffe7332f,
    0xffff6540,
    0xffef4632,
    0xffce1a1c,
    0xfff7432d,
    0xfff13a24,
    0xffe93428,
    0xffef372c,
    0xfff23f2f,
    0xffe33d1e,
    0xfff84d26,
    0xffff6235,
    0xfffe6b41,
    0xfffc4737,
    0xffd63937,
    0xfffc7c60,
    0xfffeb88f,
    0xfffeb289,
    0xffff856a,
    0xffd23c3b,
    0xffd82d15,
    0xfff3381c,
    0xfff2371a,
    0xffe12319,
    0xfff43b30,
    0xfffd7860,
    0xfffc8672,
    0xfffd876b,
    0xfffc6a48,
    0xfffd7059,
    0xfffc9688,
    0xfffd826a,
    0xffffa299,
    0xfff16270,
    0xffd81102,
    0xffed2417,
    0xffff693f,
    0xffff6b44,
    0xfffb3a20,
    0xffc80a00,
    0xffb40100,
    0xffaf0100,
    0xffad0400,
    0xffc40f08,
    0xfff95c46,
    0xffee4723,
    0xffe82212,
    0xfffd6451,
    0xffff7969,
    0xffee3432,
    0xffbb0906,
    0xffb70703,
    0xffd4130e,
    0xfff03119,
    0xffe63a17,
    0xffe63e20,
    0xffff7957,
    0xfffe6450,
    0xfffd6b3e,
    0xfffd7858,
    0xfffda58d,
    0xffffa491,
    0xfff04048,
    0xffb51009,
    0xffc8130a,
    0xffea2e18,
    0xfff8421e,
    0xfffc4e23,
    0xffd92816,
    0xffb40803,
    0xffbf1101,
    0xff3b1303,
    0xff191601,
    0xff211601,
    0xff1c0d00,
    0xffaea44b,
    0xffffffff,
    0xffff9e75,
    0xff871b00,
    0xff992807,
    0xffeb4314,
    0xfff33f16,
    0xff871c01,
    0xffa49d47,
    0xffffffff,
    0xffffc2b1,
    0xff670500,
    0xff372203,
    0xff312707,
    0xff371c02,
    0xffeb6c61,
    0xffff8370,
    0xfff95d42,
    0xfffe6d4c,
    0xffff7653,
    0xfffb5445,
    0xffdf2b27,
    0xffe73018,
    0xfff83116,
    0xff9b2002,
    0xff322c07,
    0xff3d2c05,
    0xff3c2a04,
    0xff392902,
    0xff2f2901,
    0xff622306,
    0xffb71a02,
    0xff3d1800,
    0xff111600,
    0xff9f5a43,
    0xfff67151,
    0xffff7f62,
    0xffff705d,
    0xffc03622,
    0xff1c1200,
    0xff211d00,
    0xff241d00,
    0xff241d00,
    0xff241d00,
    0xff241e01,
    0xff221d00,
    0xff201d00,
    0xff201d00,
    0xff1c1d00,
    0xff1c1b00,
    0xff171901,
    0xff141801,
    0xff131801,
    0xff141a00,
    0xff131d00,
    0xff151b01,
    0xff121c01,
    0xff131b00,
    0xff141a01,
    0xff131801,
    0xff131801,
    0xff131901,
    0xff0e1800,
    0xff101600,
    0xff0e1600,
    0xff0c1401,
    0xff0c1100,
    0xff071001,
    0xff050e00,
    0xff040d00,
    0xff050e00,
    0xff070c00,
    0xff070c00,
    0xff070f00,
    0xff0b0f00,
    0xff0e1200,
    0xff0f1301,
    0xff101500,
    0xff121500,
    0xff131601,
    0xff141801,
    0xff141801,
    0xff171b01,
    0xff171c00,
    0xff191e00,
    0xff191e00,
    0xff1a1d01,
    0xff1c2100,
    0xff1f2501,
    0xff1f2600,
    0xff222900,
    0xff242901,
    0xff262b00,
    0xff2a2d02,
    0xff273000,
    0xff2d3001,
    0xff2d3200,
    0xff313201,
    0xff2f3501,
    0xff333700,
    0xff373a00,
    0xff383e01,
    0xff3b4000,
    0xff3d4300,
    0xff404701,
    0xff434d00,
    0xff425200,
    0xff475300,
    0xff485500,
    0xff4a5600,
    0xff4c5601,
    0xff4b5903,
    0xff4e5a04,
    0xff515d08,
    0xff515d0b,
    0xff515d0d,
    0xff505b0e,
    0xff4d590f,
    0xff4c5512,
    0xff485210,
    0xff454d0e,
    0xff45480d,
    0xff41450d,
    0xff3d4109,
    0xff393d09,
    0xff373a07,
    0xff323700,
    0xff283200,
    0xff273101,
    0xff243300,
    0xff293300,
    0xff283400,
    0xff283100,
    0xff293201,
    0xff283200,
    0xff273100,
    0xff283000,
    0xff272f00,
    0xff262d01,
    0xff252b01,
    0xff232900,
    0xff222800,
    0xff202500,
    0xff1e2600,
    0xff1e2400,
    0xff1c2100,
    0xff1b2000,
    0xff1a1e00,
    0xff191f00,
    0xff182100,
    0xff1a2100,
    0xff192301,
    0xff1b2504,
    0xff212708,
    0xff23280f,
    0xff242a0d,
    0xff252c10,
    0xffab150e,
    0xff890901,
    0xff5f0200,
    0xff3c0201,
    0xff030000,
    0xff000100,
    0xff010000,
    0xff010100,
    0xff010100,
    0xff000100,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff941c14,
    0xff55152f,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff740d00,
    0xffff6f75,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffa22113,
    0xffea5032,
    0xfffd5443,
    0xfffe4b33,
    0xfffe5030,
    0xfff04e23,
    0xffd7220f,
    0xffc60c00,
    0xffbe0900,
    0xffa70001,
    0xffa40300,
    0xffbe1402,
    0xffcc1801,
    0xffce190b,
    0xffe94029,
    0xfff13f2b,
    0xffe02a19,
    0xffd01b0f,
    0xffce190a,
    0xffca1602,
    0xffc61102,
    0xffe9381a,
    0xffcf211e,
    0xffcd2b25,
    0xffdb2e12,
    0xffe13833,
    0xffc3111b,
    0xffc91915,
    0xffc91e17,
    0xfff6543b,
    0xffff8f73,
    0xffff9383,
    0xffff776e,
    0xfffa4943,
    0xffe8281f,
    0xffc40d0b,
    0xffcc0f08,
    0xffe8251b,
    0xffed3628,
    0xffea3a32,
    0xffff6c45,
    0xfff44433,
    0xffcc1d1f,
    0xffef4f36,
    0xfff75638,
    0xfff14230,
    0xffed352a,
    0xfff94035,
    0xffd03324,
    0xffeb461e,
    0xffff5c31,
    0xffff7345,
    0xfffe6646,
    0xfff35751,
    0xffff987d,
    0xfffdc9a0,
    0xfffdc397,
    0xffff836c,
    0xffce2d25,
    0xfff03a1a,
    0xfff0331d,
    0xffe72a16,
    0xffec2d29,
    0xfffe7961,
    0xfffb8f75,
    0xfffc886b,
    0xfffc7152,
    0xfffc745a,
    0xfffba499,
    0xfffd7867,
    0xfffb3523,
    0xffeb3040,
    0xffcf0e0b,
    0xffc80900,
    0xffe1190d,
    0xffff6037,
    0xffff7645,
    0xfffd4a28,
    0xffc10803,
    0xffa80100,
    0xffbc0b02,
    0xffc61406,
    0xffe52e1a,
    0xfffc5233,
    0xffe6190d,
    0xffee2a1f,
    0xfffd6f55,
    0xffff6e5d,
    0xffe22420,
    0xffb80b07,
    0xffc50e0d,
    0xffe82516,
    0xffe83e18,
    0xffe54116,
    0xffdf3a24,
    0xffff7658,
    0xfffd7261,
    0xffff6f45,
    0xfffe774f,
    0xfffe9782,
    0xfffeb7a3,
    0xffff7a76,
    0xffcd1524,
    0xffe72914,
    0xfff84118,
    0xfffc491e,
    0xffea371e,
    0xffb30f0a,
    0xffbd0900,
    0xff7c1402,
    0xff101600,
    0xff1e1700,
    0xff1a0e00,
    0xff766518,
    0xffffffff,
    0xffffe5c7,
    0xffbc2c00,
    0xff601c02,
    0xffdb3b13,
    0xfff24418,
    0xffcb2709,
    0xff987c27,
    0xffffffff,
    0xfffffdee,
    0xfff0421a,
    0xff412100,
    0xff312604,
    0xff3e220a,
    0xffc42b2c,
    0xffff4c44,
    0xfffc644c,
    0xfffe7251,
    0xffff724e,
    0xfffd4c39,
    0xffc71f1a,
    0xffd32813,
    0xfff03416,
    0xffdc2b0d,
    0xff463010,
    0xff42330f,
    0xff442f0d,
    0xff3e310c,
    0xff3b300a,
    0xff4e2f0e,
    0xffb11907,
    0xff741e00,
    0xff1c2106,
    0xff751d1d,
    0xfff7503e,
    0xffff8467,
    0xffff725d,
    0xffd6482f,
    0xff533c18,
    0xff171800,
    0xff201b00,
    0xff241a00,
    0xff221d00,
    0xff231d00,
    0xff231d00,
    0xff221d00,
    0xff221d00,
    0xff201b01,
    0xff1f1c01,
    0xff1d1a01,
    0xff161801,
    0xff121700,
    0xff141902,
    0xff131902,
    0xff121902,
    0xff141901,
    0xff111b00,
    0xff141801,
    0xff111901,
    0xff121801,
    0xff111801,
    0xff101700,
    0xff0f1600,
    0xff091601,
    0xff0a1100,
    0xff0a1001,
    0xff070d01,
    0xff050c00,
    0xff030c01,
    0xff030b00,
    0xff010a00,
    0xff050a00,
    0xff040c00,
    0xff060c00,
    0xff060e00,
    0xff0a1000,
    0xff0d1202,
    0xff0f1400,
    0xff0f1300,
    0xff101400,
    0xff101500,
    0xff121500,
    0xff161800,
    0xff161a01,
    0xff171b01,
    0xff191d01,
    0xff171b00,
    0xff1b1e01,
    0xff1d2400,
    0xff1f2401,
    0xff212500,
    0xff222600,
    0xff242a01,
    0xff282c00,
    0xff292f00,
    0xff2a2f01,
    0xff2d2f01,
    0xff2f3300,
    0xff303100,
    0xff323500,
    0xff373901,
    0xff393d00,
    0xff3b3f00,
    0xff3c4100,
    0xff3e4501,
    0xff3d4901,
    0xff404d00,
    0xff455001,
    0xff455300,
    0xff485400,
    0xff485400,
    0xff4d5601,
    0xff4c5806,
    0xff4f5907,
    0xff51580b,
    0xff51580b,
    0xff4f5610,
    0xff4d5611,
    0xff4a5111,
    0xff474d10,
    0xff454a10,
    0xff42450f,
    0xff3e420e,
    0xff3e3f0b,
    0xff3a3b0a,
    0xff39390a,
    0xff343801,
    0xff283100,
    0xff262f00,
    0xff243101,
    0xff293100,
    0xff293100,
    0xff283200,
    0xff2a3200,
    0xff293200,
    0xff293100,
    0xff293100,
    0xff283000,
    0xff283000,
    0xff272e01,
    0xff262d01,
    0xff232900,
    0xff212600,
    0xff1f2401,
    0xff1f2502,
    0xff1d2301,
    0xff1c2200,
    0xff1b2201,
    0xff1a2000,
    0xff182100,
    0xff1a2200,
    0xff1a2401,
    0xff1c2604,
    0xff1f2706,
    0xff23280d,
    0xff262a0e,
    0xff262c0e,
    0xffa30f02,
    0xffb2190e,
    0xff700401,
    0xff530100,
    0xff200001,
    0xff000101,
    0xff000101,
    0xff010001,
    0xff010001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff440400,
    0xffaf3247,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffff6045,
    0xff8b2a4c,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff1d0000,
    0xffc93420,
    0xffff6147,
    0xfffd5c43,
    0xfffe4e3d,
    0xfffb502b,
    0xffe53c1a,
    0xffc81108,
    0xffbb0801,
    0xffad0300,
    0xff9e0000,
    0xffb10a01,
    0xffc71806,
    0xffd11a05,
    0xffc01b0f,
    0xffee3d24,
    0xffe7351e,
    0xffd62115,
    0xffc61606,
    0xffc61502,
    0xffc61100,
    0xffd62c1b,
    0xffd2251f,
    0xffd02e25,
    0xffd92e17,
    0xffc71b19,
    0xffc41509,
    0xffd4260f,
    0xffe9351c,
    0xfffd563b,
    0xfffd7662,
    0xfffd756a,
    0xfffd5f5d,
    0xfff9443c,
    0xffec3225,
    0xffc8130f,
    0xffc40d05,
    0xffe72719,
    0xffe83322,
    0xffdf2e2a,
    0xfff54e36,
    0xffef3f2c,
    0xffcd1d1c,
    0xffdc312d,
    0xfffe6c4e,
    0xfff84b37,
    0xffef372b,
    0xfff84033,
    0xffe03935,
    0xffd13719,
    0xffff5830,
    0xfffe724c,
    0xfffd815a,
    0xfffd8d78,
    0xfffebda3,
    0xfffed4af,
    0xfffed0a0,
    0xfffb886b,
    0xffe9402b,
    0xfff93f1f,
    0xffec2e19,
    0xffe21f19,
    0xfffb5648,
    0xfffc9477,
    0xfffb9178,
    0xfffe6d51,
    0xfffb7861,
    0xfff9ada2,
    0xfffc9e94,
    0xfffa4032,
    0xffdb1712,
    0xffcc1006,
    0xffc91000,
    0xffc20b00,
    0xffd91b09,
    0xffff4c25,
    0xfffb472d,
    0xffd51815,
    0xffb30403,
    0xffc3130d,
    0xffd21a0a,
    0xffcf1808,
    0xfff3412f,
    0xfff87158,
    0xfff93f29,
    0xfff7473c,
    0xfffe8d6e,
    0xffff5c4d,
    0xffd61a18,
    0xffbe0c0c,
    0xffe42318,
    0xfff5391d,
    0xffe74119,
    0xffe13e18,
    0xffcc251f,
    0xffff795d,
    0xfffe7a68,
    0xfffd7350,
    0xfffe794b,
    0xfffd9079,
    0xfffdc0ac,
    0xffffb097,
    0xfff03b40,
    0xfff53c1b,
    0xfffb481c,
    0xfff13b1f,
    0xffc21b12,
    0xffaf0901,
    0xffc30f00,
    0xff341301,
    0xff191500,
    0xff1c1200,
    0xff362000,
    0xfffffcd2,
    0xfffffff2,
    0xffec4a1c,
    0xff441900,
    0xffb2300f,
    0xffee4615,
    0xffed3b12,
    0xff983100,
    0xffffffea,
    0xfffeffff,
    0xffff7045,
    0xff6b2200,
    0xff2f2200,
    0xff602712,
    0xffc12836,
    0xffee4843,
    0xfffe674d,
    0xfffe7551,
    0xffff714b,
    0xfff7473b,
    0xffda281c,
    0xff95230f,
    0xffe93518,
    0xfffa3711,
    0xff863014,
    0xff433617,
    0xff4c3616,
    0xff493515,
    0xff473812,
    0xff483817,
    0xff9e2512,
    0xff9b1800,
    0xff372a14,
    0xff9d3330,
    0xffff6653,
    0xffff8a68,
    0xffff654e,
    0xffb22a17,
    0xff523914,
    0xff614b25,
    0xff1a1600,
    0xff211a00,
    0xff221b00,
    0xff211c00,
    0xff231c00,
    0xff241d01,
    0xff221d00,
    0xff221d00,
    0xff1f1b00,
    0xff1f1900,
    0xff1b1901,
    0xff151901,
    0xff121701,
    0xff131801,
    0xff111700,
    0xff111800,
    0xff131801,
    0xff111800,
    0xff0f1800,
    0xff0f1700,
    0xff0e1700,
    0xff0c1600,
    0xff091500,
    0xff081400,
    0xff071401,
    0xff0b1001,
    0xff060c00,
    0xff050b01,
    0xff030b00,
    0xff020900,
    0xff010800,
    0xff010801,
    0xff030701,
    0xff010a02,
    0xff050b00,
    0xff030d00,
    0xff070e00,
    0xff091100,
    0xff0a1200,
    0xff0d1201,
    0xff0d1300,
    0xff0f1400,
    0xff111401,
    0xff151701,
    0xff151901,
    0xff171a00,
    0xff171b00,
    0xff171b00,
    0xff191d00,
    0xff1c1f00,
    0xff1d2202,
    0xff202401,
    0xff212500,
    0xff242900,
    0xff252b01,
    0xff272e00,
    0xff282f00,
    0xff2b3000,
    0xff2d3100,
    0xff2e3000,
    0xff303400,
    0xff363700,
    0xff393a00,
    0xff383d01,
    0xff383d00,
    0xff3b4101,
    0xff3b4501,
    0xff3e4a00,
    0xff424f00,
    0xff435000,
    0xff465201,
    0xff485200,
    0xff4c5502,
    0xff495406,
    0xff4d5507,
    0xff4c550c,
    0xff4e530e,
    0xff4c5410,
    0xff4b5010,
    0xff454d11,
    0xff434b0f,
    0xff434712,
    0xff404211,
    0xff3e3e0d,
    0xff3c3c0d,
    0xff3c3a0d,
    0xff39380b,
    0xff373606,
    0xff2c3100,
    0xff262e00,
    0xff252e00,
    0xff262f00,
    0xff293000,
    0xff2a3201,
    0xff2a3200,
    0xff2b3300,
    0xff2a3201,
    0xff293100,
    0xff2a3200,
    0xff283000,
    0xff282f00,
    0xff282e00,
    0xff252b00,
    0xff232900,
    0xff212500,
    0xff1f2401,
    0xff1d2300,
    0xff1d2302,
    0xff1d2401,
    0xff1a2201,
    0xff1b2101,
    0xff1c2402,
    0xff192401,
    0xff1a2402,
    0xff202706,
    0xff23270a,
    0xff26290e,
    0xff272c0e,
    0xff6e0500,
    0xffae1001,
    0xffbf1f10,
    0xff6e0105,
    0xff410001,
    0xff080000,
    0xff000000,
    0xff010000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xffe74041,
    0xff080009,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff6b0400,
    0xffffb3b0,
    0xff1e0032,
    0xff000000,
    0xff000000,
    0xff0e0000,
    0xff911607,
    0xfff54d39,
    0xfffe6d52,
    0xfffd584d,
    0xfffe4e3b,
    0xfff7512a,
    0xffd01e11,
    0xffb90902,
    0xffb80a00,
    0xffa40000,
    0xffa20400,
    0xffbd1104,
    0xffcf1a04,
    0xffaa0e01,
    0xffd42c19,
    0xffef3b25,
    0xffd32118,
    0xffbf1206,
    0xffb60a00,
    0xffc61500,
    0xffaf0f00,
    0xffca2219,
    0xffda3628,
    0xffd22312,
    0xffbf150c,
    0xffd5220a,
    0xffe93d18,
    0xfffd5833,
    0xfffd6a4d,
    0xfffb6758,
    0xfffd5a4e,
    0xfffa4a45,
    0xfff94a39,
    0xfff23d29,
    0xffcb1711,
    0xffbf0906,
    0xffe02513,
    0xffe02d1c,
    0xffd3241e,
    0xffdc2d23,
    0xffdf2f22,
    0xffcc1c17,
    0xffdc2925,
    0xffff6a4a,
    0xfffb4f42,
    0xffee3c2a,
    0xfff34334,
    0xffff5943,
    0xffba2823,
    0xffff6045,
    0xfffe714f,
    0xfffe9466,
    0xfffdc49d,
    0xfffdd8b8,
    0xfffdd1b1,
    0xfffec197,
    0xfffd8765,
    0xfffd5630,
    0xfff53c22,
    0xffe3241c,
    0xfff7423c,
    0xfffb8f71,
    0xfffca080,
    0xfffd7559,
    0xfffb7d6a,
    0xfffbaca1,
    0xfffac2bd,
    0xfffd7a75,
    0xffe01d24,
    0xffc70c05,
    0xffc60f00,
    0xffc10d00,
    0xffbd0d03,
    0xffc8140a,
    0xffd81c13,
    0xffc6080b,
    0xffb20402,
    0xffc2170c,
    0xffe43b1c,
    0xffdb2012,
    0xffd4140e,
    0xfffc6143,
    0xfffb6a4c,
    0xfffa4338,
    0xfffd7f68,
    0xfffd7b6b,
    0xfffd4e3c,
    0xffd2191a,
    0xffda1d13,
    0xfff63a1c,
    0xfff2411e,
    0xffea421a,
    0xffc42812,
    0xffd51717,
    0xffff7558,
    0xfffe836a,
    0xfffe7554,
    0xfffd7a46,
    0xfffe886b,
    0xfffeb49d,
    0xfffdb09d,
    0xfffa4f48,
    0xfffd491c,
    0xfff3371b,
    0xffd12617,
    0xffb2120a,
    0xffb30900,
    0xffbb1101,
    0xff201102,
    0xff171300,
    0xff260b00,
    0xffdd925c,
    0xfffffffc,
    0xffff572c,
    0xff521b00,
    0xff7f270a,
    0xffe64217,
    0xfff44718,
    0xffbb2100,
    0xffe4c291,
    0xffffffff,
    0xffff8568,
    0xff8f2600,
    0xff362300,
    0xffbf6747,
    0xffff5f5c,
    0xfffb6f64,
    0xfffe6d54,
    0xfffe7b52,
    0xffff6b47,
    0xffe33925,
    0xffe82f32,
    0xff9b2f10,
    0xffd0311d,
    0xfff83816,
    0xffd23218,
    0xff4f351a,
    0xff49391a,
    0xff503a1b,
    0xff503d1b,
    0xff493e1e,
    0xff8c341c,
    0xffaf1405,
    0xff672a1d,
    0xffc64c4b,
    0xffff7965,
    0xffff916e,
    0xffff604a,
    0xffa82312,
    0xff231b00,
    0xff222100,
    0xff272102,
    0xff201b00,
    0xff201a00,
    0xff201a00,
    0xff201a01,
    0xff221c00,
    0xff211d00,
    0xff211c00,
    0xff201a01,
    0xff201b00,
    0xff1c1a00,
    0xff1b1a01,
    0xff141700,
    0xff121701,
    0xff0f1700,
    0xff0f1700,
    0xff0d1800,
    0xff0d1600,
    0xff0e1800,
    0xff0a1701,
    0xff0b1501,
    0xff0a1402,
    0xff081502,
    0xff081400,
    0xff071400,
    0xff0a1201,
    0xff091101,
    0xff081100,
    0xff0a1000,
    0xff050e00,
    0xff050a01,
    0xff020901,
    0xff000800,
    0xff030700,
    0xff040701,
    0xff020c01,
    0xff050c01,
    0xff080d01,
    0xff050e00,
    0xff0c0f00,
    0xff0c1001,
    0xff0b1101,
    0xff0d1000,
    0xff0e1201,
    0xff101300,
    0xff141801,
    0xff161902,
    0xff161800,
    0xff171801,
    0xff181b00,
    0xff1b1e01,
    0xff1e1f01,
    0xff1e2301,
    0xff202402,
    0xff252600,
    0xff242901,
    0xff262a00,
    0xff272b00,
    0xff292f00,
    0xff2b2e02,
    0xff2c3001,
    0xff2f3100,
    0xff313500,
    0xff383b01,
    0xff373b00,
    0xff363d01,
    0xff363e02,
    0xff384101,
    0xff3b4800,
    0xff3f4b01,
    0xff414d00,
    0xff435001,
    0xff455101,
    0xff445202,
    0xff465104,
    0xff4b5208,
    0xff4a510e,
    0xff4c500f,
    0xff494d0f,
    0xff444c12,
    0xff434711,
    0xff434514,
    0xff424314,
    0xff413c12,
    0xff3f3c11,
    0xff3c380f,
    0xff3a360f,
    0xff38340d,
    0xff3a3307,
    0xff313200,
    0xff242e01,
    0xff262d00,
    0xff282f00,
    0xff293100,
    0xff293101,
    0xff2c3401,
    0xff2c3300,
    0xff2c3401,
    0xff2b3300,
    0xff2d3300,
    0xff2d3300,
    0xff2a3100,
    0xff292f00,
    0xff2b2d01,
    0xff272900,
    0xff232800,
    0xff212600,
    0xff1f2500,
    0xff1f2501,
    0xff202500,
    0xff1f2500,
    0xff1b2400,
    0xff1c2401,
    0xff1c2400,
    0xff1b2601,
    0xff1d2604,
    0xff232808,
    0xff242a0b,
    0xff252d0e,
    0xff550501,
    0xff750301,
    0xffb41a07,
    0xffc22314,
    0xff660200,
    0xff2a0000,
    0xff000000,
    0xff000101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xffae2818,
    0xff661c36,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffe4663d,
    0xffe3caff,
    0xff040029,
    0xff000000,
    0xff060000,
    0xff660400,
    0xffd41f1a,
    0xfff56150,
    0xffff7564,
    0xfffe6055,
    0xfffe553c,
    0xffe33722,
    0xffc9150d,
    0xffc11002,
    0xffaa0200,
    0xff9f0300,
    0xffad0a03,
    0xffc81705,
    0xffbe1801,
    0xffb11509,
    0xffed3920,
    0xffcf2016,
    0xffbc1206,
    0xffac0500,
    0xffb80d00,
    0xffb91700,
    0xffbd190c,
    0xffdf3624,
    0xffd52915,
    0xffbf1006,
    0xffdc270f,
    0xfff84a20,
    0xfffd6837,
    0xfffd6d4f,
    0xfffe6c57,
    0xfffd534a,
    0xfffa4943,
    0xfffd5841,
    0xfff84d31,
    0xffcd1c13,
    0xffb50603,
    0xffd31f0e,
    0xffd52716,
    0xffc11616,
    0xffc81f16,
    0xffd1241b,
    0xffca1d15,
    0xffe33527,
    0xffff6944,
    0xfff94a3e,
    0xfff54b34,
    0xfff44d37,
    0xfffe5a42,
    0xffe77164,
    0xfffb7363,
    0xfffe7652,
    0xfffe9768,
    0xffffcba6,
    0xfffdcfb6,
    0xfffdac96,
    0xfffb8a78,
    0xffff6f4f,
    0xfffc562d,
    0xffec3320,
    0xffef3730,
    0xfffd795d,
    0xfffd9b78,
    0xfffd7a5c,
    0xfffb8871,
    0xfffbaa9b,
    0xfffcd7c9,
    0xfffeb0a6,
    0xfff6465a,
    0xffc80812,
    0xffc40d05,
    0xffbd0d04,
    0xffb60b02,
    0xffb10b05,
    0xffb60e09,
    0xffc3110b,
    0xffba0704,
    0xffb40b00,
    0xffd0251b,
    0xfff65834,
    0xffdd281f,
    0xffe52c1f,
    0xffff6f4a,
    0xfffc5146,
    0xfffc5f52,
    0xfffca182,
    0xfffe6d60,
    0xfff84e3c,
    0xffe21f1d,
    0xfff2351a,
    0xfff5401e,
    0xffed421a,
    0xffba2b11,
    0xffb32c15,
    0xffec291b,
    0xfffc6b4e,
    0xfffe7c67,
    0xfffe6d4e,
    0xfffe7540,
    0xfffe8462,
    0xfffd9383,
    0xfffc9083,
    0xffff5142,
    0xfff73c1e,
    0xffd62115,
    0xffbb1c10,
    0xffae0c02,
    0xffb70800,
    0xffb11401,
    0xff141101,
    0xff1b0a00,
    0xffc95829,
    0xffffd6d9,
    0xffff593a,
    0xff6c1d00,
    0xff491f03,
    0xffd23814,
    0xfff54a1a,
    0xffe23409,
    0xffcc5d37,
    0xffffffff,
    0xffff8c72,
    0xffaa2b06,
    0xff45240c,
    0xffbd493f,
    0xffff7a81,
    0xfff95954,
    0xfffe7457,
    0xffff7d5a,
    0xffff5e40,
    0xffcf2c1b,
    0xffad2621,
    0xfff55135,
    0xffb52617,
    0xfff03314,
    0xfff33c19,
    0xff8d301b,
    0xff463b1e,
    0xff4e3b1e,
    0xff533e1f,
    0xff524125,
    0xff774327,
    0xffb61416,
    0xff9f2323,
    0xffe4655c,
    0xffff8c70,
    0xffff8c72,
    0xffff5746,
    0xff9b2914,
    0xff2d2b09,
    0xff2e2d02,
    0xff2b2501,
    0xff272200,
    0xff241e01,
    0xff211b01,
    0xff201a00,
    0xff1f1900,
    0xff211a00,
    0xff1f1b00,
    0xff1f1a00,
    0xff211a01,
    0xff1f1900,
    0xff1c1c00,
    0xff181a01,
    0xff141701,
    0xff101600,
    0xff0a1701,
    0xff0b1701,
    0xff0d1501,
    0xff0d1500,
    0xff091600,
    0xff0a1600,
    0xff0a1400,
    0xff091300,
    0xff0a1500,
    0xff0d1400,
    0xff0f1601,
    0xff0d1501,
    0xff0e1300,
    0xff0b1400,
    0xff0b1200,
    0xff0a1401,
    0xff0a1100,
    0xff070e01,
    0xff040b00,
    0xff040901,
    0xff030900,
    0xff020c01,
    0xff060b01,
    0xff070d00,
    0xff060f00,
    0xff0a0e00,
    0xff0b0f00,
    0xff0a1001,
    0xff0c1001,
    0xff0a1200,
    0xff101301,
    0xff121500,
    0xff141801,
    0xff141800,
    0xff171801,
    0xff181b00,
    0xff191d01,
    0xff1d1f00,
    0xff1d2200,
    0xff1f2301,
    0xff242501,
    0xff232700,
    0xff242700,
    0xff272901,
    0xff292e00,
    0xff2c2e01,
    0xff2b2e00,
    0xff2e3000,
    0xff303301,
    0xff363800,
    0xff363a00,
    0xff373c01,
    0xff353c01,
    0xff374001,
    0xff394500,
    0xff3c4801,
    0xff3e4c01,
    0xff3e4c01,
    0xff424d00,
    0xff435002,
    0xff454f06,
    0xff484d08,
    0xff484d0d,
    0xff4a4c0f,
    0xff464a0e,
    0xff46460f,
    0xff434413,
    0xff424214,
    0xff424216,
    0xff413e14,
    0xff3d3b12,
    0xff3a3611,
    0xff383410,
    0xff38330f,
    0xff38330d,
    0xff323103,
    0xff262d01,
    0xff242b01,
    0xff272f00,
    0xff283000,
    0xff2a3101,
    0xff2d3300,
    0xff2b3400,
    0xff2d3501,
    0xff2e3400,
    0xff2f3300,
    0xff303400,
    0xff2e3200,
    0xff2d3200,
    0xff2b2e01,
    0xff2b2b00,
    0xff252b01,
    0xff242801,
    0xff232800,
    0xff212800,
    0xff212800,
    0xff202700,
    0xff1d2700,
    0xff1e2600,
    0xff1d2500,
    0xff1a2600,
    0xff1f2604,
    0xff212707,
    0xff24280a,
    0xff252c0d,
    0xff530300,
    0xff500000,
    0xff6f0300,
    0xffb11205,
    0xffcd291a,
    0xff5d0001,
    0xff110000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff470800,
    0xffde404f,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff410000,
    0xffffdfc6,
    0xffa76ceb,
    0xff000002,
    0xff000000,
    0xff5a0200,
    0xffdb2311,
    0xffeb5647,
    0xffff886e,
    0xfffe7769,
    0xffff6253,
    0xfff95239,
    0xffdd2c1d,
    0xffbf0f09,
    0xffaf0700,
    0xffa00100,
    0xffa30603,
    0xffb91006,
    0xffcf1c08,
    0xffac1500,
    0xffd82b1a,
    0xffd42313,
    0xffbc1307,
    0xffa70401,
    0xffa70600,
    0xffab1000,
    0xffb31306,
    0xffe23122,
    0xffd62415,
    0xffc71305,
    0xffdb2714,
    0xfffa5b3c,
    0xfffd5738,
    0xfffd673a,
    0xfffd6d4b,
    0xfffd6355,
    0xfffe605a,
    0xfffe6a53,
    0xfffc5538,
    0xffd01c13,
    0xffb60501,
    0xffc61708,
    0xffc51b0e,
    0xffb71011,
    0xffb91217,
    0xffc21916,
    0xffc31c14,
    0xffd2231f,
    0xfff54932,
    0xfff94c34,
    0xfff44633,
    0xfffb543a,
    0xfff6785e,
    0xfff8d8e1,
    0xfff36f66,
    0xfffc704a,
    0xffff7e56,
    0xfffb9478,
    0xfffe9786,
    0xfffda383,
    0xffff6d64,
    0xfff64235,
    0xfff24022,
    0xffe92b1f,
    0xfffd5941,
    0xfffd805e,
    0xfffd7955,
    0xfffb8b68,
    0xfffdb4a8,
    0xfffca78a,
    0xfffeb3a3,
    0xfffe6573,
    0xffe31d2a,
    0xffc3130e,
    0xffba130b,
    0xffb20f09,
    0xffaf0c07,
    0xffb10d08,
    0xffba0f0a,
    0xffcf1b09,
    0xffc71206,
    0xffc91a15,
    0xffeb4c42,
    0xfffc8561,
    0xffe6482f,
    0xffe73527,
    0xffff7c57,
    0xfffb5b57,
    0xfffe9b7b,
    0xfffe6e69,
    0xfffc5546,
    0xfffa4633,
    0xfff0321e,
    0xfff64220,
    0xfff0401e,
    0xffca2913,
    0xff731709,
    0xffbe2f11,
    0xfffc3c1d,
    0xfff95541,
    0xfffe725b,
    0xfffd6343,
    0xfffe6f3c,
    0xfffd8059,
    0xfffd937e,
    0xfffe9286,
    0xfffa4740,
    0xffd62114,
    0xffc42117,
    0xffb51210,
    0xffb40700,
    0xffb00c00,
    0xff5c1103,
    0xff1b0c00,
    0xffcf5a34,
    0xffffb9be,
    0xffff6347,
    0xff831f00,
    0xff281a00,
    0xffab2c0c,
    0xfff34817,
    0xfff54611,
    0xffd13d20,
    0xffffcad5,
    0xffff7d6e,
    0xffc03116,
    0xff85342b,
    0xffda4a55,
    0xfffe585d,
    0xfffc6858,
    0xffff8460,
    0xffff7b57,
    0xffff5337,
    0xffaa2a19,
    0xff67290b,
    0xffff564f,
    0xffc62913,
    0xffdf2a12,
    0xfff0451a,
    0xffd3351b,
    0xff54371d,
    0xff513c1f,
    0xff533e22,
    0xff534325,
    0xff68482b,
    0xffba1c26,
    0xffdd2b36,
    0xffff806b,
    0xffff967c,
    0xffff866d,
    0xfffc4838,
    0xff862e17,
    0xff393a17,
    0xff3a370f,
    0xff353009,
    0xff342a06,
    0xff2d2700,
    0xff292300,
    0xff241d00,
    0xff231c00,
    0xff201a01,
    0xff201a00,
    0xff201a00,
    0xff1f1900,
    0xff1f1900,
    0xff1f1a00,
    0xff1d1c00,
    0xff181a00,
    0xff131701,
    0xff0d1600,
    0xff0b1501,
    0xff0b1500,
    0xff0a1501,
    0xff0b1600,
    0xff091600,
    0xff0d1601,
    0xff0c1700,
    0xff101800,
    0xff111c00,
    0xff151f02,
    0xff161c00,
    0xff151b00,
    0xff131901,
    0xff101600,
    0xff0e1500,
    0xff0b1300,
    0xff0a1200,
    0xff081200,
    0xff051000,
    0xff020e00,
    0xff050b00,
    0xff040a00,
    0xff060a00,
    0xff080c00,
    0xff050d00,
    0xff080d00,
    0xff090d00,
    0xff0a0e00,
    0xff0c0f01,
    0xff0c0f01,
    0xff101300,
    0xff131601,
    0xff131600,
    0xff141700,
    0xff161702,
    0xff161801,
    0xff181b01,
    0xff1c2000,
    0xff1d2001,
    0xff212203,
    0xff212200,
    0xff222400,
    0xff232700,
    0xff282801,
    0xff2a2d02,
    0xff282d01,
    0xff2a2d01,
    0xff2a2f00,
    0xff323201,
    0xff343601,
    0xff363900,
    0xff353c00,
    0xff363c00,
    0xff353e02,
    0xff364300,
    0xff3b4602,
    0xff3c4801,
    0xff3d4901,
    0xff3e4a01,
    0xff414d00,
    0xff444d06,
    0xff464c0b,
    0xff484d0b,
    0xff464c0e,
    0xff444710,
    0xff454510,
    0xff414416,
    0xff434314,
    0xff424216,
    0xff443b16,
    0xff3f3b15,
    0xff3b3612,
    0xff3a3412,
    0xff3a3111,
    0xff363011,
    0xff353007,
    0xff2a2c00,
    0xff202900,
    0xff242e01,
    0xff273000,
    0xff292f00,
    0xff2b3300,
    0xff2c3400,
    0xff2e3300,
    0xff313402,
    0xff303600,
    0xff313600,
    0xff2f3601,
    0xff2f3501,
    0xff2b3100,
    0xff282f00,
    0xff292d00,
    0xff292b00,
    0xff262900,
    0xff242a00,
    0xff242800,
    0xff222902,
    0xff212700,
    0xff202601,
    0xff1e2601,
    0xff1a2500,
    0xff1c2600,
    0xff202505,
    0xff222709,
    0xff212a0a,
    0xff3d0300,
    0xff600100,
    0xff410000,
    0xff630100,
    0xffaf0f06,
    0xffde3325,
    0xff700d0c,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffff473e,
    0xff270111,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffa51c0d,
    0xffffffff,
    0xff390049,
    0xff000000,
    0xff430000,
    0xffb41604,
    0xffe5362f,
    0xffff7662,
    0xfffe6f64,
    0xfffe7463,
    0xffff6453,
    0xfff34631,
    0xffc61516,
    0xffb50b04,
    0xffa60400,
    0xff9f0601,
    0xffab0a07,
    0xffc71808,
    0xffc91f04,
    0xffaf1406,
    0xffde2613,
    0xffc51709,
    0xffaa0700,
    0xffaa0800,
    0xffb00d06,
    0xffd81a0a,
    0xffe02c1f,
    0xffd62316,
    0xffd21c09,
    0xffe02910,
    0xffff542b,
    0xfffd492e,
    0xfffd4029,
    0xfffd5e48,
    0xfffc7064,
    0xfffd776a,
    0xffff755e,
    0xfff94e36,
    0xffce1911,
    0xffbf0b05,
    0xffd11c0d,
    0xffd42212,
    0xffd32a26,
    0xffd32c31,
    0xffc11b22,
    0xffbb1912,
    0xffc41b16,
    0xffdf3121,
    0xfff1442a,
    0xfff84e32,
    0xfffd5c3d,
    0xfffc5c51,
    0xfff75561,
    0xfff15855,
    0xffef4732,
    0xfffb442e,
    0xfffb4b41,
    0xfff97e65,
    0xffffa27d,
    0xffff6b5f,
    0xffe91d22,
    0xffe42511,
    0xffde1f1a,
    0xfff14331,
    0xfffc5e3c,
    0xfffd7e58,
    0xfffc9898,
    0xfffc7b7c,
    0xfffc7573,
    0xfff7475d,
    0xfff12f37,
    0xffe32e24,
    0xffca1d1a,
    0xffb81713,
    0xffb0110f,
    0xffb5100a,
    0xffb21309,
    0xffbf1408,
    0xffd91f15,
    0xffd91f34,
    0xfff4705e,
    0xffffba84,
    0xffffb281,
    0xffe85831,
    0xffd9241d,
    0xfffe624f,
    0xfffe9d77,
    0xfffd8377,
    0xfffa4745,
    0xfffa4531,
    0xfffb472f,
    0xfff9432d,
    0xfff13a30,
    0xffd92326,
    0xffd31e21,
    0xffd61617,
    0xffd30c05,
    0xffce1008,
    0xfff34533,
    0xffff6b54,
    0xfffe5c40,
    0xfffd6d3d,
    0xfffe7559,
    0xfffd8981,
    0xffff9683,
    0xffe63136,
    0xffc11a10,
    0xffbb1e17,
    0xffb70a06,
    0xff930a00,
    0xff230d00,
    0xff2c0b00,
    0xffde6242,
    0xffffb3b8,
    0xffff6142,
    0xff8d2000,
    0xff191400,
    0xff7e2205,
    0xffe93e19,
    0xfffb4a2e,
    0xffe9304e,
    0xfffca6cf,
    0xfff86793,
    0xffcf3844,
    0xffc94c57,
    0xfff65c6c,
    0xfffe776b,
    0xfffe8e6d,
    0xffff8b6b,
    0xffff6f4e,
    0xfff24830,
    0xff852e19,
    0xff423410,
    0xffbc462d,
    0xffcf2f2d,
    0xffc41c0b,
    0xffeb4516,
    0xfff4421d,
    0xff8f331b,
    0xff4a4020,
    0xff554022,
    0xff504226,
    0xff624332,
    0xffc82f3d,
    0xfffb4347,
    0xffff9173,
    0xffffa282,
    0xffff7866,
    0xffe93a31,
    0xff71371a,
    0xff44441f,
    0xff484220,
    0xff423d18,
    0xff3a3510,
    0xff362f0b,
    0xff312c06,
    0xff2d2701,
    0xff272100,
    0xff241d00,
    0xff211b00,
    0xff201900,
    0xff1f1a00,
    0xff201a00,
    0xff201a00,
    0xff1f1b00,
    0xff1c1d01,
    0xff181b01,
    0xff141701,
    0xff0d1500,
    0xff0c1401,
    0xff0c1400,
    0xff0a1501,
    0xff0d1700,
    0xff111901,
    0xff121b00,
    0xff152001,
    0xff182203,
    0xff1a2509,
    0xff1c250b,
    0xff192507,
    0xff191f06,
    0xff171c05,
    0xff161b05,
    0xff131701,
    0xff111500,
    0xff0e1200,
    0xff0b1101,
    0xff091000,
    0xff090d00,
    0xff050e01,
    0xff060b01,
    0xff060b00,
    0xff070b00,
    0xff050b00,
    0xff050d00,
    0xff060c01,
    0xff080e01,
    0xff0a0e01,
    0xff0c0f01,
    0xff0d0f01,
    0xff0f1200,
    0xff131600,
    0xff131700,
    0xff151601,
    0xff151700,
    0xff171b00,
    0xff1b1e00,
    0xff1d2001,
    0xff202101,
    0xff202100,
    0xff222301,
    0xff222600,
    0xff272801,
    0xff272900,
    0xff262800,
    0xff282900,
    0xff292d01,
    0xff2f2f00,
    0xff313401,
    0xff353700,
    0xff343a00,
    0xff353b00,
    0xff353d00,
    0xff374200,
    0xff3a4401,
    0xff3a4500,
    0xff3b4601,
    0xff3c4702,
    0xff404903,
    0xff434c04,
    0xff444d09,
    0xff454c0a,
    0xff454a0d,
    0xff454712,
    0xff464512,
    0xff474315,
    0xff474115,
    0xff454116,
    0xff423d17,
    0xff403917,
    0xff3e3717,
    0xff3e3316,
    0xff393213,
    0xff392f10,
    0xff372e0c,
    0xff312e03,
    0xff262700,
    0xff242800,
    0xff262c00,
    0xff292f00,
    0xff2d2f01,
    0xff2e3400,
    0xff303301,
    0xff2f3301,
    0xff323500,
    0xff323701,
    0xff313500,
    0xff313301,
    0xff2c3300,
    0xff2a3000,
    0xff2b2e00,
    0xff2b2e01,
    0xff292d00,
    0xff262d00,
    0xff292b01,
    0xff252b00,
    0xff232901,
    0xff202700,
    0xff1e2501,
    0xff1c2500,
    0xff1b2500,
    0xff202603,
    0xff202508,
    0xff242809,
    0xff240000,
    0xff640201,
    0xff4e0000,
    0xff2b0002,
    0xff690300,
    0xffa60d03,
    0xffea382b,
    0xffb02f27,
    0xff0f0000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff991f0b,
    0xffbb3850,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff000000,
    0xffe03c2d,
    0xffffcbde,
    0xff15000e,
    0xff290000,
    0xff7f0200,
    0xffe92f18,
    0xfff9523e,
    0xfffc6152,
    0xfffe6c5f,
    0xfffd6e66,
    0xffff5d4e,
    0xffe6362a,
    0xffc51714,
    0xffaf0700,
    0xffa00600,
    0xffa40a07,
    0xffb6110a,
    0xffd01f0c,
    0xffb51703,
    0xffbe1d0a,
    0xffce1c0c,
    0xffb70e01,
    0xffb30d02,
    0xffe9351e,
    0xffd8191c,
    0xffe32c21,
    0xffd82416,
    0xffd9240d,
    0xfff73e1b,
    0xff9a1f0f,
    0xff3c0100,
    0xffff5237,
    0xfffd6e66,
    0xfffd8879,
    0xfffe907b,
    0xffff7661,
    0xfff33d2f,
    0xffc6100a,
    0xffd82014,
    0xfff54329,
    0xfff44533,
    0xfffb5644,
    0xfffc5a45,
    0xffd62726,
    0xffbd1819,
    0xffc41e21,
    0xffd02323,
    0xffe2341e,
    0xffef3f29,
    0xfffa5637,
    0xfff95c3c,
    0xfff24936,
    0xffe22a29,
    0xffe2261a,
    0xffe92210,
    0xfff22906,
    0xfffd6339,
    0xfffe9d79,
    0xffff7563,
    0xffe81a21,
    0xffdf1f09,
    0xffe22e1b,
    0xffda2026,
    0xffed3c3a,
    0xfff85651,
    0xfff9575c,
    0xfffe6458,
    0xfffe5250,
    0xfffa4c41,
    0xfffc4f3e,
    0xfff24536,
    0xffc71e24,
    0xffb71915,
    0xffbb110c,
    0xffb41a0d,
    0xff9a200c,
    0xffa71117,
    0xffe84164,
    0xffffc9b2,
    0xffffdba4,
    0xfff8a689,
    0xffe96253,
    0xffe55724,
    0xffdc2b1d,
    0xfff54a40,
    0xfff66269,
    0xfffa4b4f,
    0xfffd4e39,
    0xfffd5131,
    0xfffe5639,
    0xffff6c4f,
    0xfffe8969,
    0xfffe7162,
    0xfffa5854,
    0xfff43f50,
    0xffe9264f,
    0xffdf203b,
    0xfff8534f,
    0xfffe725a,
    0xfffe6145,
    0xfffd683b,
    0xfffe6b53,
    0xfffd9780,
    0xffffa984,
    0xffd3272d,
    0xffc42114,
    0xffb8110e,
    0xff950700,
    0xff0e0b00,
    0xff5b1c00,
    0xfffc816d,
    0xffffacab,
    0xffff5e44,
    0xff851700,
    0xff120e00,
    0xff5d1604,
    0xffd92d38,
    0xfff951a7,
    0xfff76cd4,
    0xfffabdff,
    0xfff9d7fb,
    0xfff7d9f5,
    0xfff5a2b3,
    0xffff807b,
    0xffff957c,
    0xffff9679,
    0xffff7960,
    0xffff5b3e,
    0xffc93c25,
    0xff5e3014,
    0xff453612,
    0xff603717,
    0xffb42522,
    0xffaf1707,
    0xffda3f17,
    0xfff34c1e,
    0xffd3391e,
    0xff583c1c,
    0xff4f4225,
    0xff523d2d,
    0xff844542,
    0xffe95159,
    0xffff685d,
    0xffff9f7a,
    0xffff987b,
    0xffff6259,
    0xffc13428,
    0xff5e4522,
    0xff4e4d29,
    0xff504926,
    0xff4e4526,
    0xff48401e,
    0xff403b18,
    0xff39330f,
    0xff35300a,
    0xff302b05,
    0xff2a2500,
    0xff251f00,
    0xff251e00,
    0xff221b00,
    0xff1f1b00,
    0xff1f1b00,
    0xff201b00,
    0xff1e1c01,
    0xff1c1b00,
    0xff161800,
    0xff101500,
    0xff0d1402,
    0xff091501,
    0xff0e1700,
    0xff131c00,
    0xff151f00,
    0xff192602,
    0xff1f2708,
    0xff202b0f,
    0xff222b0e,
    0xff202910,
    0xff222711,
    0xff20260f,
    0xff1f240d,
    0xff1c210a,
    0xff181d08,
    0xff171905,
    0xff141701,
    0xff101600,
    0xff0a1201,
    0xff0c1200,
    0xff0b1100,
    0xff080f00,
    0xff090d00,
    0xff030d00,
    0xff070b00,
    0xff050b00,
    0xff070a00,
    0xff060d00,
    0xff060c00,
    0xff070d01,
    0xff0a0f00,
    0xff0c0e00,
    0xff0e1101,
    0xff101301,
    0xff121500,
    0xff151702,
    0xff151700,
    0xff171901,
    0xff1a1c01,
    0xff1d2000,
    0xff222202,
    0xff202300,
    0xff232400,
    0xff222600,
    0xff272801,
    0xff262800,
    0xff252802,
    0xff242700,
    0xff292a01,
    0xff2c2d01,
    0xff303200,
    0xff333500,
    0xff333800,
    0xff343a00,
    0xff353d00,
    0xff363e01,
    0xff394202,
    0xff394300,
    0xff384400,
    0xff3a4500,
    0xff3c4600,
    0xff414905,
    0xff474b09,
    0xff454a09,
    0xff44480c,
    0xff454510,
    0xff474712,
    0xff4a4514,
    0xff484417,
    0xff4a4419,
    0xff473e16,
    0xff433718,
    0xff40351a,
    0xff3d3118,
    0xff3f3017,
    0xff3b3015,
    0xff382e10,
    0xff372d08,
    0xff2a2800,
    0xff242601,
    0xff252701,
    0xff292a00,
    0xff2b2d01,
    0xff2a2f00,
    0xff2e3200,
    0xff313200,
    0xff303600,
    0xff2f3600,
    0xff313600,
    0xff303300,
    0xff2e3400,
    0xff2e3200,
    0xff2d3100,
    0xff2b3000,
    0xff293001,
    0xff282f00,
    0xff283001,
    0xff262e00,
    0xff242c01,
    0xff222a00,
    0xff212500,
    0xff1f2500,
    0xff1d2500,
    0xff1f2602,
    0xff202505,
    0xff222709,
    0xff0b0000,
    0xff620201,
    0xff570001,
    0xff280000,
    0xff340000,
    0xff780500,
    0xffa00a00,
    0xffdc2e22,
    0xfffa5a48,
    0xff6b1622,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff250000,
    0xffff5c58,
    0xff070002,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff2f0005,
    0xff580000,
    0xfff04e42,
    0xffff8d93,
    0xff37000b,
    0xff710200,
    0xffe12a13,
    0xffec2c20,
    0xfff84b36,
    0xfffd6755,
    0xfffd837b,
    0xfffe7269,
    0xfffe5e4e,
    0xffe12e26,
    0xffbe110b,
    0xffa60501,
    0xffa20c05,
    0xffaa100c,
    0xffbf1711,
    0xffcb1f0a,
    0xffab0c0a,
    0xffcf1130,
    0xffc30d1e,
    0xffbb0d05,
    0xfff45638,
    0xfff46e59,
    0xffe23b34,
    0xffd62112,
    0xffe02c12,
    0xffc4220e,
    0xff7a0502,
    0xff420000,
    0xffef3d2e,
    0xffff7e73,
    0xfffda588,
    0xfffe9881,
    0xffff6657,
    0xffe22321,
    0xffc30b0a,
    0xffe12e1a,
    0xffff663c,
    0xffff7d5e,
    0xfffd7b66,
    0xfffc7360,
    0xfff14141,
    0xffe22c34,
    0xffec4338,
    0xffe13134,
    0xffd52320,
    0xffe13120,
    0xffe83d29,
    0xffe5372d,
    0xffdb2928,
    0xffdc211a,
    0xffde200b,
    0xffde1b02,
    0xffe11f00,
    0xfffd5431,
    0xffff9877,
    0xffff7966,
    0xffed2225,
    0xffde250b,
    0xffe33c1f,
    0xffea4837,
    0xffdb2122,
    0xffe5312e,
    0xfffb5744,
    0xffff7354,
    0xfffe6955,
    0xfffa4e45,
    0xfff95b51,
    0xfff65946,
    0xffce2732,
    0xffaf181f,
    0xffac1412,
    0xff902411,
    0xff682220,
    0xffd1797e,
    0xfffff6da,
    0xfffff6d5,
    0xfff7977d,
    0xffec7057,
    0xffdf4930,
    0xffdc4f22,
    0xffe7362d,
    0xfffc614b,
    0xfff64c51,
    0xfffb5245,
    0xffff5740,
    0xffff5838,
    0xfffe5139,
    0xfffa504a,
    0xfffe896e,
    0xffffa27e,
    0xffffaa84,
    0xfffecab7,
    0xfffecab8,
    0xffffaa87,
    0xfffd9b7a,
    0xfffe7463,
    0xfffd6241,
    0xffff673b,
    0xfffe614b,
    0xffff9585,
    0xfffd7f9e,
    0xffd01560,
    0xffc00d3f,
    0xffb9031c,
    0xff5c0f00,
    0xffb54f19,
    0xffff9a87,
    0xffff8982,
    0xfff04634,
    0xff9f2017,
    0xff702424,
    0xffa53833,
    0xffe8403a,
    0xfffb7eb0,
    0xfffeffff,
    0xfffeffff,
    0xfffdffff,
    0xfffcffff,
    0xfff8ebff,
    0xfffaa5ac,
    0xfffe977d,
    0xffff836a,
    0xffff624b,
    0xffec492e,
    0xff91311a,
    0xff4c320f,
    0xff49370e,
    0xff623514,
    0xffa72212,
    0xffa61703,
    0xffbb3513,
    0xffe95420,
    0xfff2411c,
    0xff8a3520,
    0xff503c2c,
    0xff844243,
    0xffd35c5d,
    0xffff7c6f,
    0xffff9378,
    0xffffa57f,
    0xffff7f6d,
    0xfff24841,
    0xff943923,
    0xff5a5029,
    0xff5d532d,
    0xff584e2c,
    0xff564b2a,
    0xff524828,
    0xff4e4524,
    0xff463e1b,
    0xff3e3814,
    0xff38330d,
    0xff332e09,
    0xff2d2802,
    0xff272100,
    0xff241c01,
    0xff231d00,
    0xff1f1b00,
    0xff1f1c00,
    0xff201b01,
    0xff1d1d01,
    0xff1a1a00,
    0xff161701,
    0xff111600,
    0xff0e1701,
    0xff131c00,
    0xff172102,
    0xff1c2906,
    0xff222d0b,
    0xff252f0f,
    0xff293114,
    0xff283216,
    0xff283116,
    0xff262e15,
    0xff252b14,
    0xff212811,
    0xff21260f,
    0xff1e240d,
    0xff192008,
    0xff181b05,
    0xff161a03,
    0xff131601,
    0xff0f1500,
    0xff0f1200,
    0xff0c1301,
    0xff0b0f01,
    0xff0b0f01,
    0xff050e00,
    0xff070c01,
    0xff070c00,
    0xff050c00,
    0xff040d00,
    0xff050c00,
    0xff060c00,
    0xff070d01,
    0xff0a0d00,
    0xff0b0f01,
    0xff0d1100,
    0xff101400,
    0xff131700,
    0xff161700,
    0xff171902,
    0xff1a1d00,
    0xff1d2000,
    0xff1f2202,
    0xff202501,
    0xff242500,
    0xff202600,
    0xff252700,
    0xff252700,
    0xff252800,
    0xff242700,
    0xff292901,
    0xff2d2e01,
    0xff2e3000,
    0xff303300,
    0xff303500,
    0xff333901,
    0xff333b00,
    0xff343c01,
    0xff373f00,
    0xff374200,
    0xff374300,
    0xff374200,
    0xff3a4300,
    0xff3e4604,
    0xff404808,
    0xff414909,
    0xff44470d,
    0xff474710,
    0xff474713,
    0xff4a4717,
    0xff4b4717,
    0xff48451a,
    0xff493f18,
    0xff443a1a,
    0xff43371c,
    0xff40331c,
    0xff41321b,
    0xff413217,
    0xff3d3015,
    0xff392f0e,
    0xff2f2b02,
    0xff262500,
    0xff242500,
    0xff272700,
    0xff272901,
    0xff292c03,
    0xff2b2d00,
    0xff2e3000,
    0xff343201,
    0xff313300,
    0xff313400,
    0xff313201,
    0xff2f3200,
    0xff2e3100,
    0xff2c3200,
    0xff2d3100,
    0xff2b2f00,
    0xff2b2f00,
    0xff2a3001,
    0xff283000,
    0xff282d01,
    0xff232a00,
    0xff222800,
    0xff1f2700,
    0xff1f2500,
    0xff1e2400,
    0xff202504,
    0xff1f2406,
    0xff000000,
    0xff500101,
    0xff5f0000,
    0xff3c0001,
    0xff080000,
    0xff500302,
    0xff790400,
    0xff940900,
    0xffc91b15,
    0xffff6050,
    0xffe75955,
    0xff550b16,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffd73b24,
    0xff8f263a,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff170504,
    0xffff6d48,
    0xffdd3a36,
    0xffa40106,
    0xffef4137,
    0xffff8886,
    0xff9d0e26,
    0xffd72010,
    0xffe31f0e,
    0xffe72319,
    0xfff4a88c,
    0xfffba0ac,
    0xfffd7f78,
    0xffff7b6f,
    0xfffa5348,
    0xffd72320,
    0xffb20808,
    0xffa30804,
    0xffa70f0c,
    0xffb3120e,
    0xffc5160e,
    0xffe04f3d,
    0xfffbb4d5,
    0xffe85997,
    0xffc30b14,
    0xffe64c37,
    0xffff9e75,
    0xffe1474c,
    0xffc70f0e,
    0xffe03819,
    0xffec6639,
    0xffbd3629,
    0xff890505,
    0xffa11a13,
    0xffff8e7b,
    0xfffdac94,
    0xffff9084,
    0xfff74347,
    0xffca0b19,
    0xffda1a1f,
    0xfff6442d,
    0xfffd5f37,
    0xfffd6949,
    0xfffd7153,
    0xfffd8266,
    0xfffe7e65,
    0xfffe7a67,
    0xfffe846a,
    0xfff65950,
    0xffd52729,
    0xffd82a1d,
    0xffdc2823,
    0xffe52f24,
    0xffe52f1c,
    0xffe12712,
    0xffda1c06,
    0xffd01900,
    0xffcc1b00,
    0xfff3432c,
    0xffff9070,
    0xffff8168,
    0xfff02e32,
    0xffda1a0c,
    0xffeb5330,
    0xffef5636,
    0xffdf2c17,
    0xffde291a,
    0xffed3b3b,
    0xffff685b,
    0xfff74751,
    0xffe0323b,
    0xfff9765a,
    0xfffa6e53,
    0xffe24840,
    0xffdb4f3c,
    0xffc73833,
    0xffb7423b,
    0xfffcc7ac,
    0xffffffe7,
    0xfffdf6de,
    0xfffbac94,
    0xffea7356,
    0xffe75344,
    0xffda2e25,
    0xffe84f2a,
    0xfff54834,
    0xffff6c51,
    0xfffd4f42,
    0xfffd4e35,
    0xfffe5034,
    0xfffa3e2b,
    0xffe6281e,
    0xffd82220,
    0xffd4202a,
    0xffdb283b,
    0xffe53350,
    0xfff4d5dd,
    0xfffbcad3,
    0xfffc817e,
    0xfffd8877,
    0xfffd604e,
    0xffff613d,
    0xfff9522e,
    0xfff43a4a,
    0xfff990d4,
    0xfff5a7fa,
    0xffe861f9,
    0xffe451ef,
    0xffd42ace,
    0xffe22797,
    0xffe42d84,
    0xffd5215b,
    0xffd0264a,
    0xffcc3d59,
    0xffd75067,
    0xffe55b68,
    0xfffd786b,
    0xffffb595,
    0xfffd8c8d,
    0xfff8c6dc,
    0xfffcd5f4,
    0xfff9c2ef,
    0xfffba6d2,
    0xffff949f,
    0xffff836d,
    0xffff654f,
    0xfff64e35,
    0xffaf371b,
    0xff5f3011,
    0xff4a350a,
    0xff4d370b,
    0xff7b3816,
    0xffb9240d,
    0xffab160f,
    0xffd23b1c,
    0xffd74d22,
    0xfff54126,
    0xffce3230,
    0xff9c4549,
    0xffe46666,
    0xffff8a74,
    0xffffa181,
    0xffffa883,
    0xffff8d77,
    0xffff5b54,
    0xffc73d2f,
    0xff714a25,
    0xff625730,
    0xff645830,
    0xff64562f,
    0xff5f512d,
    0xff594c2e,
    0xff554b2b,
    0xff534b2a,
    0xff504823,
    0xff433d1b,
    0xff3d3714,
    0xff38320c,
    0xff302c05,
    0xff2a2500,
    0xff241e00,
    0xff231c00,
    0xff1f1b00,
    0xff1f1b01,
    0xff201b00,
    0xff1d1c00,
    0xff1c1c00,
    0xff1b1d00,
    0xff171e00,
    0xff162302,
    0xff1d2807,
    0xff242f0e,
    0xff293413,
    0xff2f3417,
    0xff30371b,
    0xff2f391d,
    0xff31371f,
    0xff2c341c,
    0xff2a321a,
    0xff292f18,
    0xff262b14,
    0xff242912,
    0xff20250e,
    0xff1e240b,
    0xff1b1e07,
    0xff171b04,
    0xff151803,
    0xff121600,
    0xff101300,
    0xff0e1201,
    0xff0d1101,
    0xff0b0f01,
    0xff090d00,
    0xff060d01,
    0xff060c00,
    0xff060c00,
    0xff060d01,
    0xff050b00,
    0xff060d00,
    0xff060c01,
    0xff0a0d00,
    0xff0a0d00,
    0xff0c1002,
    0xff0f1300,
    0xff131601,
    0xff161701,
    0xff181a02,
    0xff1b1e01,
    0xff1d2101,
    0xff1f2302,
    0xff1f2300,
    0xff242700,
    0xff212800,
    0xff242700,
    0xff242600,
    0xff252700,
    0xff262900,
    0xff272a00,
    0xff2a2b00,
    0xff2c2e00,
    0xff2d3100,
    0xff2f3300,
    0xff313600,
    0xff323a00,
    0xff333a00,
    0xff353e00,
    0xff374000,
    0xff394201,
    0xff364000,
    0xff3a4201,
    0xff3b4402,
    0xff3e4608,
    0xff43470a,
    0xff45480e,
    0xff494911,
    0xff4c4916,
    0xff4c4917,
    0xff4e4818,
    0xff49471c,
    0xff4d431a,
    0xff4b3f1d,
    0xff493a1d,
    0xff47361d,
    0xff44361c,
    0xff46341a,
    0xff433119,
    0xff402f12,
    0xff352e07,
    0xff2b2700,
    0xff282400,
    0xff252600,
    0xff272600,
    0xff282700,
    0xff272800,
    0xff2b2e01,
    0xff302f00,
    0xff2f3100,
    0xff303201,
    0xff303200,
    0xff303100,
    0xff2f3000,
    0xff2e3100,
    0xff2e3200,
    0xff2d3100,
    0xff2b3001,
    0xff2a3100,
    0xff2a3002,
    0xff282e00,
    0xff252c00,
    0xff232900,
    0xff212702,
    0xff202501,
    0xff1f2402,
    0xff1f2201,
    0xff1d2301,
    0xff000000,
    0xff330100,
    0xff650200,
    0xff4f0000,
    0xff0c0000,
    0xff170000,
    0xff680602,
    0xff760500,
    0xff830600,
    0xffb51008,
    0xffdf3228,
    0xffff7560,
    0xffe0615b,
    0xff5b0e28,
    0xff030008,
    0xff00000e,
    0xff00000c,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff4c0700,
    0xffff6566,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff572618,
    0xffff866a,
    0xffff564e,
    0xffee3a2c,
    0xffd6231c,
    0xfff1514d,
    0xfffe656f,
    0xffd01620,
    0xffdc1f0a,
    0xffc50a08,
    0xfff6a9a4,
    0xfffd888b,
    0xfffd7e73,
    0xfffd857c,
    0xffff776b,
    0xfff54941,
    0xffcd1c1e,
    0xffab0807,
    0xffa50e08,
    0xffac1214,
    0xffb80f18,
    0xffdd4633,
    0xfffbf6db,
    0xfff27876,
    0xffd01811,
    0xffd83224,
    0xfff26e56,
    0xffc11a23,
    0xffb50d07,
    0xffdc3117,
    0xffef6442,
    0xffffaf7b,
    0xffd76540,
    0xff98040d,
    0xffe05044,
    0xffff937d,
    0xfff75f5a,
    0xffda1b25,
    0xffd3171c,
    0xfffa5153,
    0xfffe6d5b,
    0xfffd6d5b,
    0xfffd6e58,
    0xfffd664c,
    0xfffd6746,
    0xfffd7350,
    0xfffe7757,
    0xfffe8d67,
    0xfff86455,
    0xffd42b2c,
    0xffd9251f,
    0xffe62e1f,
    0xfff4401f,
    0xfff33d1c,
    0xffe0261d,
    0xffcc141e,
    0xffc62600,
    0xffc32e00,
    0xffe52b1d,
    0xffff8063,
    0xffff8769,
    0xfff8433a,
    0xffd61b0b,
    0xffd0150e,
    0xffd7231b,
    0xffe4381c,
    0xffe53c20,
    0xfff3543d,
    0xfffb6f5d,
    0xfff25f6e,
    0xffdc2e71,
    0xffe3346f,
    0xffe93c56,
    0xfffd6759,
    0xffff8973,
    0xffff8677,
    0xffffc2a1,
    0xfffffbd4,
    0xfffde4cb,
    0xffffebce,
    0xfff49684,
    0xffe5664a,
    0xffed543c,
    0xfff55330,
    0xfffa5932,
    0xfffd5336,
    0xfffe694b,
    0xffff5636,
    0xffff512f,
    0xfffb462a,
    0xffe82e20,
    0xffd01916,
    0xffc61410,
    0xffc5130d,
    0xffc5120f,
    0xffd5131a,
    0xffea4571,
    0xfffb5773,
    0xfffe554b,
    0xfffe5f4c,
    0xfffe5645,
    0xfff54335,
    0xffdd391e,
    0xffdf2d61,
    0xfffeffff,
    0xfffefffe,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffde6ff,
    0xfffabee0,
    0xfff8779e,
    0xfffb8389,
    0xfffd7583,
    0xffff7b7b,
    0xffff706e,
    0xfffe6563,
    0xfffc7171,
    0xfffe806e,
    0xfffdaa8a,
    0xfffeae98,
    0xffff9585,
    0xffff7e68,
    0xffff6446,
    0xfff74c2b,
    0xffb43514,
    0xff672e0c,
    0xff4e320b,
    0xff51350c,
    0xff553711,
    0xff9f321b,
    0xffb71a14,
    0xffaf190b,
    0xfffa5a55,
    0xffd2411e,
    0xfff54e3a,
    0xfffd5855,
    0xfffa726d,
    0xffff987b,
    0xffffae8a,
    0xfffeb190,
    0xffff907d,
    0xffff655c,
    0xffe14339,
    0xff8d442a,
    0xff645731,
    0xff685c37,
    0xff6a5b33,
    0xff685b30,
    0xff64572f,
    0xff62522e,
    0xff5b4e2e,
    0xff59502d,
    0xff59502d,
    0xff544c28,
    0xff4d4320,
    0xff413b18,
    0xff3a360e,
    0xff35300a,
    0xff2d2702,
    0xff292400,
    0xff241f00,
    0xff211e00,
    0xff231f00,
    0xff222200,
    0xff222400,
    0xff242601,
    0xff252802,
    0xff232a08,
    0xff26300d,
    0xff2b3513,
    0xff2f371c,
    0xff303920,
    0xff353a22,
    0xff323d23,
    0xff343c24,
    0xff333a23,
    0xff32371f,
    0xff2f3620,
    0xff2c321a,
    0xff2a2e14,
    0xff272b13,
    0xff222710,
    0xff20250d,
    0xff1c2109,
    0xff181c07,
    0xff151903,
    0xff131500,
    0xff0f1600,
    0xff101200,
    0xff0d1201,
    0xff0a1100,
    0xff0a0f00,
    0xff070d00,
    0xff060c01,
    0xff070d01,
    0xff060c00,
    0xff060c00,
    0xff060c00,
    0xff070d01,
    0xff060c01,
    0xff080d01,
    0xff0a0e01,
    0xff0d1101,
    0xff101500,
    0xff161a00,
    0xff191c00,
    0xff1b1e02,
    0xff1d2001,
    0xff1d2100,
    0xff212502,
    0xff212500,
    0xff222500,
    0xff232500,
    0xff232500,
    0xff232601,
    0xff282801,
    0xff272902,
    0xff282a01,
    0xff2a2d01,
    0xff2b2e00,
    0xff2e3000,
    0xff2e3501,
    0xff2f3600,
    0xff333700,
    0xff333c00,
    0xff353d01,
    0xff383e01,
    0xff364000,
    0xff374000,
    0xff394101,
    0xff3b4603,
    0xff3f460a,
    0xff47470e,
    0xff494912,
    0xff4d4a15,
    0xff4d4a15,
    0xff4e4918,
    0xff4d471d,
    0xff50461d,
    0xff51441c,
    0xff4e3e1f,
    0xff4d3c20,
    0xff4b391e,
    0xff49371c,
    0xff463618,
    0xff443314,
    0xff3e320d,
    0xff312c00,
    0xff2a2600,
    0xff2b2702,
    0xff2a2600,
    0xff272700,
    0xff2a2700,
    0xff2c2a01,
    0xff2b2d01,
    0xff2c2e00,
    0xff2e3001,
    0xff2e3001,
    0xff2d2f01,
    0xff2e3000,
    0xff2e3001,
    0xff2e3101,
    0xff2d3000,
    0xff2a3000,
    0xff2e2f01,
    0xff2b3002,
    0xff272d00,
    0xff252c01,
    0xff262a01,
    0xff232801,
    0xff212700,
    0xff202502,
    0xff1d2101,
    0xff1c2300,
    0xff000001,
    0xff120000,
    0xff620401,
    0xff570001,
    0xff280000,
    0xff000000,
    0xff2d0001,
    0xff780600,
    0xff740600,
    0xff690200,
    0xff880500,
    0xffc2140e,
    0xfff1413c,
    0xffff9580,
    0xfff3b5b7,
    0xffbf92d0,
    0xff8c51d0,
    0xff33007d,
    0xff010024,
    0xff000000,
    0xff000000,
    0xffea4b35,
    0xff872336,
    0xff000000,
    0xff000000,
    0xff5d2317,
    0xffff725f,
    0xfffe4e4a,
    0xffff3d2b,
    0xfffe5740,
    0xfffb8e79,
    0xfffe8483,
    0xffd92342,
    0xffcc150b,
    0xffb50400,
    0xffc60315,
    0xffde3339,
    0xffff8d74,
    0xfffc958c,
    0xfffd877c,
    0xffff746b,
    0xfff14246,
    0xffc4171a,
    0xffaa0a0d,
    0xffc01e21,
    0xffd53135,
    0xffdc3935,
    0xffe83643,
    0xffe22e20,
    0xffd72012,
    0xffe03f22,
    0xffdf3d29,
    0xffc41513,
    0xffb71910,
    0xffd44826,
    0xffe55134,
    0xffea5e4e,
    0xfffea97d,
    0xffeea266,
    0xffc12824,
    0xffd7232c,
    0xffbd1420,
    0xffba0b0c,
    0xfff64a3a,
    0xffffa497,
    0xffff5f54,
    0xfffd634e,
    0xfffb8572,
    0xfffb9481,
    0xfffc846b,
    0xffff7557,
    0xfff76140,
    0xffeb4f3e,
    0xffd53433,
    0xffcc2120,
    0xffdf271a,
    0xfff33e1f,
    0xfff94521,
    0xfff14921,
    0xffe57e4d,
    0xffd67867,
    0xffb53f08,
    0xffbb3000,
    0xffd61f15,
    0xffff6f54,
    0xfffe8160,
    0xfffb5138,
    0xffdd2114,
    0xffcc1300,
    0xffc41006,
    0xffd2241d,
    0xffe23926,
    0xfffe7c58,
    0xfffd947b,
    0xfffec6a2,
    0xffffdac2,
    0xfff8adbf,
    0xffe84a78,
    0xfffc5652,
    0xffff765c,
    0xfffc7a5d,
    0xfffdb387,
    0xfffebd9e,
    0xfffbbca5,
    0xfff09d8a,
    0xffdd704c,
    0xffd95a2f,
    0xfff05b32,
    0xfffc6132,
    0xffff6033,
    0xffff5b36,
    0xffff5736,
    0xfffb452b,
    0xffed3126,
    0xffe22f28,
    0xffdc3728,
    0xffdb382b,
    0xffda3527,
    0xffd42e22,
    0xffd7271d,
    0xffec321e,
    0xfffd472e,
    0xfffd6253,
    0xfffc6c65,
    0xfffc5966,
    0xfffd5f6d,
    0xffe13652,
    0xffcd3d32,
    0xffdb2855,
    0xfff8e0ff,
    0xfffbfbff,
    0xfffdffff,
    0xfffdffff,
    0xfffdffff,
    0xfffeffff,
    0xfffdffff,
    0xfffedbcd,
    0xfffdd5bb,
    0xfffec3a6,
    0xfffcb897,
    0xfffca887,
    0xfffb8169,
    0xfffe624a,
    0xffff7957,
    0xffff8265,
    0xffff6d58,
    0xfffc553d,
    0xffdd3f27,
    0xff9d2b18,
    0xff5b1c24,
    0xff441a34,
    0xff4f203d,
    0xff5b1c5a,
    0xff82247f,
    0xffc11d82,
    0xffc61773,
    0xffc33272,
    0xffff7891,
    0xfff75d52,
    0xffed5142,
    0xffff795f,
    0xfffea581,
    0xfffdb891,
    0xfffead93,
    0xffff8d7d,
    0xffff655c,
    0xffe8403a,
    0xff9b452d,
    0xff65512e,
    0xff655835,
    0xff6d5c36,
    0xff6f5d37,
    0xff6d5c35,
    0xff6a5a32,
    0xff625931,
    0xff61562d,
    0xff61542e,
    0xff60542e,
    0xff60542d,
    0xff58502d,
    0xff524923,
    0xff47401a,
    0xff403915,
    0xff39320b,
    0xff322e07,
    0xff2f2b02,
    0xff2d2902,
    0xff292b00,
    0xff2d2a02,
    0xff2c2d04,
    0xff2d3009,
    0xff2f310c,
    0xff31340f,
    0xff2e3513,
    0xff2e3819,
    0xff343a20,
    0xff323e21,
    0xff363c26,
    0xff373d26,
    0xff373e27,
    0xff373f27,
    0xff353d25,
    0xff353922,
    0xff313721,
    0xff2e371d,
    0xff2e311b,
    0xff292d16,
    0xff252912,
    0xff20250f,
    0xff1f230a,
    0xff1b1e09,
    0xff171905,
    0xff121802,
    0xff131501,
    0xff111401,
    0xff0d1100,
    0xff0b1001,
    0xff090e00,
    0xff070d00,
    0xff070d01,
    0xff080e02,
    0xff060c00,
    0xff070d01,
    0xff060c00,
    0xff060c01,
    0xff050d00,
    0xff080d00,
    0xff090d00,
    0xff0b0f00,
    0xff0e1400,
    0xff141801,
    0xff181c01,
    0xff191d01,
    0xff1c1e00,
    0xff1e2200,
    0xff202400,
    0xff1f2501,
    0xff202500,
    0xff232500,
    0xff232500,
    0xff232703,
    0xff262701,
    0xff282901,
    0xff282a00,
    0xff282b01,
    0xff2a2d00,
    0xff283001,
    0xff2f3200,
    0xff2f3501,
    0xff303800,
    0xff343900,
    0xff353c01,
    0xff393e01,
    0xff383f00,
    0xff394100,
    0xff394402,
    0xff3c4603,
    0xff42470a,
    0xff44470e,
    0xff4b4911,
    0xff4e4a16,
    0xff4e4b17,
    0xff504b1b,
    0xff53491d,
    0xff524a20,
    0xff564821,
    0xff534320,
    0xff4f3e20,
    0xff4d3a1f,
    0xff4d381e,
    0xff473618,
    0xff463616,
    0xff413511,
    0xff393206,
    0xff312e00,
    0xff2f2d00,
    0xff2f2d00,
    0xff2d2d00,
    0xff2f2e00,
    0xff2f2d00,
    0xff2d2f00,
    0xff2d2f00,
    0xff2d2f00,
    0xff2c2f00,
    0xff2d2f00,
    0xff2d2f00,
    0xff2e3000,
    0xff2b2f00,
    0xff2b2e00,
    0xff292f00,
    0xff2d2f00,
    0xff2a2f00,
    0xff262d00,
    0xff272c01,
    0xff282901,
    0xff252901,
    0xff212800,
    0xff202401,
    0xff1f2302,
    0xff1b2000,
    0xff3a0403,
    0xff140000,
    0xff560101,
    0xff5f0000,
    0xff3a0000,
    0xff000001,
    0xff000001,
    0xff420302,
    0xff800700,
    0xff7a0700,
    0xff5c0500,
    0xff4e0000,
    0xff800601,
    0xffcc1a12,
    0xffe44b60,
    0xfffba9cb,
    0xffffffff,
    0xffffffff,
    0xffddb2f5,
    0xff7f2f66,
    0xff32001e,
    0xff600003,
    0xffff5c73,
    0xff090000,
    0xff000000,
    0xff3a0710,
    0xffff564a,
    0xfffa4940,
    0xffff402b,
    0xfffb372a,
    0xfffd8574,
    0xffffa495,
    0xffeb5b6c,
    0xffc50a1d,
    0xffaf0400,
    0xffaf0200,
    0xffbe0810,
    0xfff8726b,
    0xfff97670,
    0xfffd726c,
    0xfffe9784,
    0xffff8576,
    0xffe23739,
    0xffc41921,
    0xffe64c39,
    0xfff47458,
    0xffed6550,
    0xffd42e2e,
    0xffd42617,
    0xffd5220e,
    0xffdd321f,
    0xffe03e23,
    0xffcc1a12,
    0xffd34028,
    0xffe48a53,
    0xffea8f61,
    0xffe37051,
    0xffe66e5b,
    0xfff29272,
    0xfffeb778,
    0xffd25230,
    0xffb61914,
    0xffb21507,
    0xffc53222,
    0xff943839,
    0xffcb2215,
    0xffed3823,
    0xfffa896f,
    0xfff7adb1,
    0xfffd6b73,
    0xfffb7071,
    0xfff34e52,
    0xffc8202c,
    0xffbe171b,
    0xffcb1817,
    0xffe1261c,
    0xfff53b2b,
    0xfff64e2b,
    0xffeb5823,
    0xffedd56c,
    0xffb7923c,
    0xff9f640e,
    0xffb93008,
    0xffcc1c15,
    0xfffe553e,
    0xffff704e,
    0xfff84a33,
    0xffe42917,
    0xffd4150a,
    0xffc91107,
    0xffe52919,
    0xffdb1e1b,
    0xffe33234,
    0xfff88589,
    0xfffffdd8,
    0xfffdf8dc,
    0xfffefadb,
    0xfff9b3a6,
    0xffe8364c,
    0xfff75347,
    0xffff6b56,
    0xffff7059,
    0xffef5652,
    0xffd6413e,
    0xffcb3c2a,
    0xffc1381e,
    0xffcf3a22,
    0xfff2502d,
    0xffff5c35,
    0xfffe5031,
    0xfff43e27,
    0xffe72d1d,
    0xffd71f16,
    0xffca1d16,
    0xffd22821,
    0xffd93529,
    0xffd83a30,
    0xffd53831,
    0xffd63a32,
    0xffea4937,
    0xfffd5d3b,
    0xffff6c4a,
    0xfffe8569,
    0xfffeac93,
    0xfffcb5a3,
    0xfffebdb3,
    0xffff9894,
    0xffdb5157,
    0xffd8303b,
    0xffe01d69,
    0xfffb4eaf,
    0xfffb61bf,
    0xfffb73d6,
    0xfffb84d4,
    0xfffb8dc8,
    0xfffa8fb9,
    0xfffd7d85,
    0xfffd7b7e,
    0xfffc7c78,
    0xfffd7173,
    0xfffc5d69,
    0xfffe4a5a,
    0xfff7464c,
    0xffee4057,
    0xffd92b54,
    0xffb51a51,
    0xff850f4f,
    0xff6f1c74,
    0xff771f7d,
    0xffa646d0,
    0xffc474e8,
    0xffce84ee,
    0xffefc4fa,
    0xffffe5ff,
    0xffffedff,
    0xffffe7ee,
    0xfffff9ed,
    0xfffcd9ca,
    0xfffdb087,
    0xffff8469,
    0xffff765d,
    0xffff9779,
    0xffff7e6f,
    0xffff5751,
    0xfff0352f,
    0xffa62217,
    0xff684e26,
    0xff645630,
    0xff695631,
    0xff6b5a36,
    0xff715c36,
    0xff715e39,
    0xff705d38,
    0xff695b34,
    0xff65592e,
    0xff645b30,
    0xff62582e,
    0xff625730,
    0xff625630,
    0xff5b532e,
    0xff534c25,
    0xff50451e,
    0xff443c16,
    0xff3d3911,
    0xff3a340d,
    0xff353407,
    0xff353208,
    0xff35330c,
    0xff36360f,
    0xff363712,
    0xff393916,
    0xff383b19,
    0xff373a1b,
    0xff353b1e,
    0xff343d21,
    0xff373d27,
    0xff393d27,
    0xff393f28,
    0xff3a3f28,
    0xff3c4029,
    0xff3b3f28,
    0xff383f29,
    0xff383b26,
    0xff363922,
    0xff313721,
    0xff2f331c,
    0xff2b2f18,
    0xff282c15,
    0xff242811,
    0xff1f230b,
    0xff1b1e06,
    0xff171a04,
    0xff151901,
    0xff131701,
    0xff111400,
    0xff0e1201,
    0xff0b1101,
    0xff0a0f00,
    0xff080d00,
    0xff060c01,
    0xff080e00,
    0xff070d01,
    0xff070d01,
    0xff070d01,
    0xff070d01,
    0xff070d00,
    0xff080e00,
    0xff0b1001,
    0xff0c1000,
    0xff0f1400,
    0xff101500,
    0xff141800,
    0xff171a00,
    0xff191c00,
    0xff1d2101,
    0xff1f2202,
    0xff1f2301,
    0xff202301,
    0xff212400,
    0xff242601,
    0xff262603,
    0xff282802,
    0xff282802,
    0xff272801,
    0xff292a03,
    0xff292b01,
    0xff2a2f01,
    0xff2a3001,
    0xff2d3200,
    0xff2e3500,
    0xff2f3800,
    0xff353b00,
    0xff363c01,
    0xff363f02,
    0xff384100,
    0xff394300,
    0xff3e4602,
    0xff454808,
    0xff484910,
    0xff4b4a12,
    0xff4d4b16,
    0xff514b19,
    0xff534c1c,
    0xff584c1f,
    0xff574d21,
    0xff57491f,
    0xff574520,
    0xff544121,
    0xff503c1f,
    0xff4e3a20,
    0xff4a391b,
    0xff483819,
    0xff453814,
    0xff3e370a,
    0xff363401,
    0xff353300,
    0xff363503,
    0xff353501,
    0xff353300,
    0xff343401,
    0xff313301,
    0xff303200,
    0xff303200,
    0xff2e3000,
    0xff2d2f00,
    0xff2d2f00,
    0xff2c2e00,
    0xff2b2e00,
    0xff2a2c01,
    0xff2b2d01,
    0xff2b2d00,
    0xff292e01,
    0xff272c00,
    0xff282b01,
    0xff272901,
    0xff252901,
    0xff222700,
    0xff212501,
    0xff1e2300,
    0xff1c2000,
    0xff82120d,
    0xff570907,
    0xff5e0701,
    0xff6d0400,
    0xff4c0001,
    0xff130000,
    0xff000101,
    0xff060000,
    0xff520500,
    0xff860900,
    0xff790800,
    0xff650601,
    0xff390000,
    0xff240000,
    0xff700900,
    0xffbe1411,
    0xffe01d61,
    0xffeb428b,
    0xfff878b3,
    0xffffa8a7,
    0xffffa290,
    0xfffb8476,
    0xfffb857c,
    0xfff37578,
    0xffdb6762,
    0xffe3716d,
    0xfff1585e,
    0xffe93435,
    0xfff43228,
    0xfff3251b,
    0xfffc5950,
    0xfffa877f,
    0xffea7a7c,
    0xffda3a49,
    0xffac0206,
    0xffac0000,
    0xffbe0b15,
    0xffd9212e,
    0xfff65951,
    0xfffc7165,
    0xfffd8c7e,
    0xffff8a7e,
    0xffed4a4b,
    0xffe23536,
    0xfffc6c51,
    0xffff8269,
    0xfff56b5b,
    0xffc82027,
    0xffbf1b0f,
    0xffcc230e,
    0xffd72615,
    0xffdf2817,
    0xffd22413,
    0xffe05d3b,
    0xfff9be85,
    0xffffd393,
    0xfff8be81,
    0xfff0a66b,
    0xffe58256,
    0xffe87c57,
    0xfffaa064,
    0xffe97334,
    0xffcb3316,
    0xffaa190a,
    0xff850e00,
    0xff860c00,
    0xffce2c20,
    0xffe65b6c,
    0xffe74e6c,
    0xffe83233,
    0xffd62829,
    0xffbc1427,
    0xffb9121d,
    0xffc81a1f,
    0xffe0312c,
    0xfff6472f,
    0xffff664e,
    0xffec391b,
    0xffc83513,
    0xffe1db67,
    0xff9f9437,
    0xff966615,
    0xffbe2712,
    0xffd22920,
    0xffee3a2e,
    0xfffd5636,
    0xfff3452d,
    0xffe82714,
    0xfff44f46,
    0xffeb362d,
    0xffec3110,
    0xfff73721,
    0xffda1809,
    0xfff12c26,
    0xfff56e9c,
    0xfffabed1,
    0xfffdfef3,
    0xffff999f,
    0xffe7453e,
    0xffdd3d26,
    0xffe34529,
    0xffec492c,
    0xffd83a21,
    0xffcd371d,
    0xffcc3a1c,
    0xffbf321a,
    0xffbf341d,
    0xffd83c22,
    0xffe13923,
    0xffd62b1c,
    0xffcb251c,
    0xffc31c0f,
    0xffb8130c,
    0xffb81812,
    0xffc5211b,
    0xffcc2924,
    0xffd02c23,
    0xffca271a,
    0xffc31f1c,
    0xffe43436,
    0xfff94a46,
    0xfff94b44,
    0xfff96152,
    0xfffd9379,
    0xffffb39d,
    0xffffc3b6,
    0xffffae9b,
    0xffe2545a,
    0xffdf5151,
    0xffdc504b,
    0xffe15149,
    0xffe74c47,
    0xffeb4946,
    0xffef4746,
    0xfff04746,
    0xfff54b4c,
    0xfffb544c,
    0xfffe5c49,
    0xfffd5a43,
    0xfffd786a,
    0xfffd958f,
    0xfffbb1a9,
    0xfffb8fa4,
    0xfff9c0d1,
    0xfff5bbcf,
    0xfffac6d8,
    0xffffd9e6,
    0xfffffffb,
    0xfffffafc,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xfffdffff,
    0xfffaecf7,
    0xfffbd0dd,
    0xfffbb0a9,
    0xfffe857c,
    0xffff5447,
    0xfffe593d,
    0xffee5647,
    0xffde312b,
    0xffba120d,
    0xff86230e,
    0xff645226,
    0xff675529,
    0xff6b592e,
    0xff6d5c32,
    0xff6f5c34,
    0xff715c38,
    0xff715f39,
    0xff6f5e37,
    0xff6b5e35,
    0xff695c32,
    0xff635b2f,
    0xff655930,
    0xff645831,
    0xff615931,
    0xff5e552b,
    0xff575128,
    0xff534a23,
    0xff4b451c,
    0xff454019,
    0xff423e15,
    0xff3e3a15,
    0xff3f3d17,
    0xff3f3b17,
    0xff3d3b19,
    0xff3c3d1c,
    0xff3f3d1f,
    0xff3e4020,
    0xff3d3f20,
    0xff3a4123,
    0xff3b4127,
    0xff3a4228,
    0xff3b4027,
    0xff3c4029,
    0xff3b412a,
    0xff3a412a,
    0xff3c4029,
    0xff3a412a,
    0xff383c27,
    0xff373a23,
    0xff343923,
    0xff30331e,
    0xff2d3119,
    0xff292d15,
    0xff252912,
    0xff1e240d,
    0xff1c2008,
    0xff181c05,
    0xff151902,
    0xff131500,
    0xff121400,
    0xff0f1400,
    0xff0d1201,
    0xff0a1001,
    0xff0a0e00,
    0xff060d00,
    0xff070d00,
    0xff070d00,
    0xff060d00,
    0xff070e01,
    0xff080d02,
    0xff070e00,
    0xff071100,
    0xff0c1201,
    0xff0f1400,
    0xff0f1400,
    0xff111501,
    0xff121701,
    0xff151901,
    0xff181c01,
    0xff1c1e01,
    0xff1b1f00,
    0xff1c2200,
    0xff212501,
    0xff252701,
    0xff262802,
    0xff292903,
    0xff292a04,
    0xff292904,
    0xff282802,
    0xff282902,
    0xff292c00,
    0xff292e00,
    0xff292e00,
    0xff292f01,
    0xff2d3401,
    0xff323600,
    0xff343800,
    0xff343b00,
    0xff363f00,
    0xff384101,
    0xff3a4301,
    0xff3f4701,
    0xff464b07,
    0xff4a4c10,
    0xff4d4d12,
    0xff504c15,
    0xff524e17,
    0xff544d1c,
    0xff594e20,
    0xff594e21,
    0xff594b20,
    0xff5a4821,
    0xff55441f,
    0xff523e1f,
    0xff4f3b21,
    0xff4c3b1d,
    0xff4a3b1a,
    0xff493b15,
    0xff453d10,
    0xff3e3c0c,
    0xff3c3a0c,
    0xff3a3b09,
    0xff3b3c07,
    0xff3c3a07,
    0xff393b04,
    0xff3a3b02,
    0xff363900,
    0xff343700,
    0xff323501,
    0xff303200,
    0xff2f3100,
    0xff2c3000,
    0xff2c2e00,
    0xff292c01,
    0xff2a2d00,
    0xff292c00,
    0xff2a2c01,
    0xff282a00,
    0xff272a01,
    0xff262700,
    0xff262700,
    0xff222600,
    0xff212200,
    0xff202201,
    0xff1e1f00,
    0xffb42519,
    0xff981b0f,
    0xff89100c,
    0xff920f06,
    0xff5e0200,
    0xff290000,
    0xff000000,
    0xff000000,
    0xff090000,
    0xff580400,
    0xff860800,
    0xff7e0400,
    0xff6b0500,
    0xff420000,
    0xff120000,
    0xff020000,
    0xff370000,
    0xff7e0013,
    0xffb00532,
    0xffce132b,
    0xffde253a,
    0xffec3845,
    0xfff14a54,
    0xfff75966,
    0xfffa636c,
    0xfffe7d78,
    0xfff56769,
    0xffd01c2e,
    0xffea3228,
    0xfff23328,
    0xfff5322d,
    0xfffe816d,
    0xffeb807a,
    0xffdd5152,
    0xffb50b14,
    0xffcb2115,
    0xfff04a35,
    0xfff66049,
    0xfffb7056,
    0xfffe7161,
    0xfffe7465,
    0xfffc6862,
    0xfff24b47,
    0xfff5503d,
    0xfff9644c,
    0xfffb6e54,
    0xffef5141,
    0xffc11816,
    0xffb51506,
    0xffbb210a,
    0xffcc2612,
    0xffd82412,
    0xffd82711,
    0xffe54a28,
    0xffed8465,
    0xfffdc28c,
    0xffffdda1,
    0xfffeda8e,
    0xfff9bf6c,
    0xffeba453,
    0xffe68748,
    0xffea7a35,
    0xffe8631b,
    0xffc83b16,
    0xffa3150c,
    0xff9a0e07,
    0xffae110a,
    0xffba1011,
    0xffc11414,
    0xffc91e17,
    0xffbe1717,
    0xffa90e04,
    0xffb11f0f,
    0xffec492a,
    0xfff56137,
    0xfff64a27,
    0xffce3e1e,
    0xff8f1100,
    0xff754212,
    0xffc8b946,
    0xffc3bd71,
    0xff953810,
    0xffd32a20,
    0xffea442c,
    0xffdd2a23,
    0xffe73b24,
    0xffd5321d,
    0xfffa5c42,
    0xffff5f57,
    0xfffc543d,
    0xffe91908,
    0xffff5625,
    0xffeb2919,
    0xfff23110,
    0xffff442d,
    0xfffb3b46,
    0xfffb4464,
    0xffeb403f,
    0xffd9311f,
    0xffd1311f,
    0xffcc3021,
    0xffcb3121,
    0xffc7361e,
    0xffcf441f,
    0xffd54c1e,
    0xffc8431f,
    0xffc1401e,
    0xffc4381e,
    0xffc6301e,
    0xffbd261b,
    0xffba2a18,
    0xffc02b18,
    0xffbc2016,
    0xffb91f16,
    0xffb92114,
    0xffbf2119,
    0xffc01e18,
    0xffbe1c11,
    0xffbf1911,
    0xfff74e31,
    0xffff6c52,
    0xfffb544f,
    0xffef3643,
    0xffe23141,
    0xffe43947,
    0xffec5056,
    0xffee5854,
    0xffdd373b,
    0xffd13035,
    0xffce3035,
    0xffcf3339,
    0xffce363b,
    0xffcb373d,
    0xffd13440,
    0xffe03b45,
    0xfff24d4b,
    0xfffd5b50,
    0xfffd674a,
    0xffff5c3b,
    0xffff6450,
    0xfffdbba4,
    0xfffcf5e4,
    0xfffbe2d2,
    0xfffbf8f3,
    0xfffcf8ee,
    0xfffcfaf6,
    0xfffbebef,
    0xfffdebf8,
    0xfffce5f1,
    0xfffde4ff,
    0xfffbdcff,
    0xfffdcaec,
    0xffffb1dc,
    0xffff9ecf,
    0xffff89a8,
    0xfffc7a86,
    0xfffe7273,
    0xfffe6553,
    0xffff5036,
    0xffd43f24,
    0xff8c391d,
    0xffa82210,
    0xffb21708,
    0xff852a10,
    0xff644f22,
    0xff675224,
    0xff6c5529,
    0xff715b2f,
    0xff725e34,
    0xff735f37,
    0xff735f39,
    0xff716037,
    0xff706037,
    0xff6d5f35,
    0xff695c32,
    0xff675b31,
    0xff645931,
    0xff625a30,
    0xff635b30,
    0xff625a2e,
    0xff595528,
    0xff565226,
    0xff524e23,
    0xff4f4920,
    0xff47451c,
    0xff454219,
    0xff413e1b,
    0xff403c1d,
    0xff3e3e1d,
    0xff40401f,
    0xff414224,
    0xff404425,
    0xff404424,
    0xff3f4524,
    0xff3f4528,
    0xff3e452a,
    0xff3e442a,
    0xff3d432a,
    0xff3c422b,
    0xff3f422b,
    0xff3d412a,
    0xff3c402a,
    0xff393f28,
    0xff383a25,
    0xff353921,
    0xff32351f,
    0xff2e3219,
    0xff2a2e16,
    0xff252912,
    0xff1e250d,
    0xff1a1f08,
    0xff181b04,
    0xff141702,
    0xff111400,
    0xff111400,
    0xff101500,
    0xff0d1101,
    0xff0b1101,
    0xff0a0e00,
    0xff070e00,
    0xff070d00,
    0xff080e00,
    0xff080e00,
    0xff060e00,
    0xff080e00,
    0xff071100,
    0xff0b1100,
    0xff0f1300,
    0xff0e1400,
    0xff0f1501,
    0xff111401,
    0xff141601,
    0xff151900,
    0xff171c00,
    0xff1c1d01,
    0xff1b1e00,
    0xff1d2300,
    0xff222601,
    0xff262703,
    0xff292804,
    0xff292905,
    0xff2a2c07,
    0xff2a2b06,
    0xff292903,
    0xff282803,
    0xff2b2903,
    0xff272b01,
    0xff282e00,
    0xff272d00,
    0xff2a3101,
    0xff2d3401,
    0xff313900,
    0xff343c01,
    0xff373d01,
    0xff374100,
    0xff3d4400,
    0xff404800,
    0xff4a4e04,
    0xff4f4f0e,
    0xff524f14,
    0xff524f17,
    0xff544f19,
    0xff59511f,
    0xff594f21,
    0xff5b4d22,
    0xff5a4d20,
    0xff5a4821,
    0xff574522,
    0xff54411f,
    0xff523f1d,
    0xff4d3d1c,
    0xff4e3c1c,
    0xff4c401a,
    0xff4a4316,
    0xff454410,
    0xff414010,
    0xff3e4110,
    0xff404310,
    0xff414210,
    0xff42450e,
    0xff3d440d,
    0xff3c4109,
    0xff383d04,
    0xff343902,
    0xff353500,
    0xff313301,
    0xff2e3100,
    0xff2c2e00,
    0xff2a2d01,
    0xff292c00,
    0xff282b01,
    0xff272a01,
    0xff262801,
    0xff262800,
    0xff262600,
    0xff242600,
    0xff232600,
    0xff202300,
    0xff1c2201,
    0xff1d2100,
    0xffc52320,
    0xffcd2e27,
    0xffc93225,
    0xffb71f14,
    0xff9d1710,
    0xff6f0c07,
    0xff5c0b08,
    0xff44050b,
    0xff32010e,
    0xff3e000d,
    0xff780211,
    0xff9e1629,
    0xff9b1024,
    0xff880a13,
    0xff510000,
    0xff440027,
    0xff754887,
    0xff8550a0,
    0xffbd95c1,
    0xffcc7a9e,
    0xffe67b94,
    0xfff3706b,
    0xfffa8672,
    0xfffd8778,
    0xfffb8377,
    0xfff97370,
    0xfff04e5b,
    0xffde3a45,
    0xfff6534d,
    0xfff33e3f,
    0xfff12e2a,
    0xfff54e4a,
    0xffe97065,
    0xffd0393d,
    0xffc11c1d,
    0xffeb4d28,
    0xffff744a,
    0xffff6b51,
    0xfffc6150,
    0xfffc5c4a,
    0xfffa5548,
    0xfffb5743,
    0xfffc5c3c,
    0xfffd5f40,
    0xfff6543f,
    0xffed4336,
    0xffd62824,
    0xffb00606,
    0xffab0600,
    0xffb11b06,
    0xffc02710,
    0xffc41e0e,
    0xffcf210f,
    0xffdd2f15,
    0xffe95530,
    0xffee815c,
    0xfff6a778,
    0xfffbc982,
    0xffffd97b,
    0xfffdd86c,
    0xffe9b44d,
    0xffd57b28,
    0xffc95719,
    0xffb53b18,
    0xffa92113,
    0xffa8110c,
    0xffaa100a,
    0xffa90d07,
    0xffad0c07,
    0xffb00f07,
    0xffb41606,
    0xff870000,
    0xffdc3029,
    0xfffc4f25,
    0xfffc4c1b,
    0xffc52807,
    0xff942401,
    0xff8a1800,
    0xff783b0d,
    0xffc5b63a,
    0xffa69a32,
    0xffa32005,
    0xfff3452c,
    0xffff5c37,
    0xffd62320,
    0xffd92d1a,
    0xffda4627,
    0xffff6a4e,
    0xfffe473a,
    0xffff5231,
    0xfff93b1f,
    0xffee3a2f,
    0xfff44c40,
    0xffb62607,
    0xfff9582d,
    0xffff4e27,
    0xffed5319,
    0xffae4203,
    0xffac3300,
    0xffb53204,
    0xffb42b06,
    0xffb3290c,
    0xffb52717,
    0xffc83320,
    0xffd83e27,
    0xffc63223,
    0xffc23122,
    0xffc12d21,
    0xffc12c22,
    0xffbf2f21,
    0xffbd291e,
    0xffbc2a1b,
    0xffbe2819,
    0xffbc2519,
    0xffb91e15,
    0xffb91c12,
    0xffb6180d,
    0xffb11109,
    0xffbb1407,
    0xfff7502d,
    0xffff9561,
    0xfffe9968,
    0xffff7958,
    0xfffe5546,
    0xffef3535,
    0xffdd1b2c,
    0xffe2252d,
    0xffdf2c26,
    0xffd02618,
    0xffc52314,
    0xffbb2212,
    0xffbb2116,
    0xffcf2721,
    0xffea3a2a,
    0xfffb4a33,
    0xffff5537,
    0xffff5f37,
    0xffff572f,
    0xfff83d21,
    0xffeb3725,
    0xffff6d5d,
    0xffff817b,
    0xffff817b,
    0xfffe797f,
    0xfffa6ca9,
    0xfff582df,
    0xfff9c0e6,
    0xfffe7379,
    0xffff7275,
    0xffff6c7c,
    0xffff626d,
    0xffff5b57,
    0xfff34d46,
    0xffdc4235,
    0xffe2482d,
    0xffff7278,
    0xfff54926,
    0xfffe5125,
    0xffed4824,
    0xff9a3315,
    0xffb2200b,
    0xffaf1908,
    0xff7e2e12,
    0xff5c4d1f,
    0xff634d1f,
    0xff685224,
    0xff6e5728,
    0xff715d2e,
    0xff746034,
    0xff746137,
    0xff75613a,
    0xff706036,
    0xff706137,
    0xff6c5e34,
    0xff6a5d33,
    0xff665b30,
    0xff645b31,
    0xff655e33,
    0xff6a5f35,
    0xff655e32,
    0xff615c2f,
    0xff605b2c,
    0xff5c5629,
    0xff545125,
    0xff4f4b21,
    0xff4a4620,
    0xff48441f,
    0xff45411e,
    0xff423f20,
    0xff434020,
    0xff434425,
    0xff464725,
    0xff424727,
    0xff424727,
    0xff40482a,
    0xff41472c,
    0xff40462c,
    0xff40442b,
    0xff3e422a,
    0xff40442d,
    0xff3e422b,
    0xff3b3f2a,
    0xff3b3e28,
    0xff393b26,
    0xff353823,
    0xff31361f,
    0xff30331b,
    0xff2c2f17,
    0xff262a12,
    0xff20250b,
    0xff1c2009,
    0xff171c04,
    0xff141802,
    0xff121500,
    0xff121501,
    0xff101300,
    0xff0d1100,
    0xff0a1001,
    0xff0a1001,
    0xff070d00,
    0xff0a0f00,
    0xff091001,
    0xff0a1001,
    0xff081101,
    0xff0a1101,
    0xff081100,
    0xff081200,
    0xff0e1400,
    0xff0f1400,
    0xff0f1601,
    0xff111400,
    0xff121601,
    0xff151900,
    0xff171c01,
    0xff1b1d00,
    0xff1d2101,
    0xff222401,
    0xff232500,
    0xff272705,
    0xff292907,
    0xff2b2b07,
    0xff2b2c08,
    0xff2b2b06,
    0xff2b2a05,
    0xff2b2b04,
    0xff292a03,
    0xff292b01,
    0xff262b00,
    0xff292c01,
    0xff282e00,
    0xff2d3300,
    0xff2f3800,
    0xff343a01,
    0xff383d00,
    0xff3a4200,
    0xff3d4400,
    0xff404700,
    0xff474d01,
    0xff51520b,
    0xff575313,
    0xff575216,
    0xff59541b,
    0xff5e5220,
    0xff5d501f,
    0xff5d4d22,
    0xff5d4d20,
    0xff5a4a20,
    0xff58461f,
    0xff564320,
    0xff523e1f,
    0xff4e3f1c,
    0xff4f401c,
    0xff50431d,
    0xff4e481b,
    0xff474715,
    0xff464615,
    0xff444717,
    0xff464916,
    0xff464c16,
    0xff494d17,
    0xff494c14,
    0xff424910,
    0xff3c440b,
    0xff3b3f08,
    0xff373a03,
    0xff343700,
    0xff323401,
    0xff2e3100,
    0xff2b2e00,
    0xff292c00,
    0xff292c01,
    0xff282b00,
    0xff262800,
    0xff272801,
    0xff272700,
    0xff252501,
    0xff222500,
    0xff202201,
    0xff212002,
    0xff1e2000,
    0xffc52625,
    0xffc82225,
    0xffcf2828,
    0xffc22223,
    0xffbd1e25,
    0xffdd3b30,
    0xfff65842,
    0xfffd6452,
    0xfff96958,
    0xffef685a,
    0xffef7a6a,
    0xfff8958d,
    0xfff35e51,
    0xffd46e4f,
    0xffd9b2ac,
    0xffffffff,
    0xffffffff,
    0xffffffff,
    0xffffe4f7,
    0xfffbd8de,
    0xfff68ea4,
    0xffee5b66,
    0xffed4959,
    0xffea4553,
    0xffe73b49,
    0xffea3f48,
    0xffeb4c4f,
    0xfff68771,
    0xfffc8076,
    0xfff7675f,
    0xfff4483f,
    0xffe1292f,
    0xffd0363a,
    0xffc32429,
    0xffc31e1d,
    0xffe13b25,
    0xffee4431,
    0xffe5352f,
    0xffef3d2d,
    0xfffa4f33,
    0xfffb5236,
    0xfff84d33,
    0xfff0412d,
    0xffe33229,
    0xffda2a24,
    0xffcd251d,
    0xffc01814,
    0xffb70d05,
    0xffae0900,
    0xffb11f04,
    0xffb6250c,
    0xffb5200c,
    0xffb62a0e,
    0xffcc3c0c,
    0xffde4615,
    0xffe65831,
    0xffea6d45,
    0xffee8251,
    0xfff2974f,
    0xfff6b65b,
    0xffeac25b,
    0xffce8a27,
    0xffa94110,
    0xff9e3113,
    0xff9f2113,
    0xffa4150d,
    0xffa30e08,
    0xffa40e03,
    0xffb01205,
    0xffb91200,
    0xff850100,
    0xffed4e39,
    0xffff5a29,
    0xffff5122,
    0xffab2e0c,
    0xff672203,
    0xffa12a05,
    0xff901802,
    0xff7e390a,
    0xff9c8709,
    0xff814800,
    0xffba160e,
    0xffff6740,
    0xfffd5e3c,
    0xffcf1b1c,
    0xffd22711,
    0xfff85e44,
    0xfff84235,
    0xfffb3b2a,
    0xffd43828,
    0xff934b11,
    0xffff6f7d,
    0xff9b3824,
    0xff82511e,
    0xffff918e,
    0xffff9a95,
    0xffa16619,
    0xff6a4900,
    0xff7e4e02,
    0xff914f00,
    0xff9e4800,
    0xffa03e00,
    0xffa03300,
    0xffb12e0f,
    0xffbe2f1b,
    0xffb72712,
    0xffb32311,
    0xffb62215,
    0xffb82317,
    0xffbd251d,
    0xffba241e,
    0xffac1313,
    0xffb1190f,
    0xffac150b,
    0xffac0f05,
    0xffb31308,
    0xffb81b08,
    0xffb81c0a,
    0xffb91508,
    0xffdd2416,
    0xfffb503e,
    0xffff775e,
    0xffff9368,
    0xfffe9461,
    0xffff855b,
    0xffff744b,
    0xffff663e,
    0xffe63d25,
    0xff9d1a08,
    0xff7d1802,
    0xff831a04,
    0xffaa220e,
    0xffe4371d,
    0xfffe5326,
    0xffff622d,
    0xffff5f30,
    0xfffa4923,
    0xffdb2c11,
    0xff7c1304,
    0xff490900,
    0xff660a0c,
    0xff9c0f20,
    0xffc42139,
    0xffe76c95,
    0xfff6d5fc,
    0xfffcedd6,
    0xffffb07d,
    0xfffc4a35,
    0xffbb2114,
    0xff81230d,
    0xff6f280d,
    0xff632708,
    0xff502603,
    0xff732e00,
    0xffff7f80,
    0xfffb563d,
    0xfff84f19,
    0xfffe5424,
    0xffcb321e,
    0xffb31c0d,
    0xffa81a0a,
    0xff71310f,
    0xff554617,
    0xff5f481a,
    0xff644d1f,
    0xff695223,
    0xff6e5727,
    0xff715d2b,
    0xff746134,
    0xff756338,
    0xff766239,
    0xff746238,
    0xff716138,
    0xff6d5e36,
    0xff6a5d34,
    0xff665c2f,
    0xff675f34,
    0xff6c6338,
    0xff6d6339,
    0xff696035,
    0xff675f33,
    0xff635f31,
    0xff615a2d,
    0xff585428,
    0xff544e26,
    0xff4e4a24,
    0xff494520,
    0xff47441f,
    0xff43421f,
    0xff454221,
    0xff464426,
    0xff484726,
    0xff46492a,
    0xff464a2b,
    0xff45492c,
    0xff44482d,
    0xff41492c,
    0xff40462d,
    0xff3f432a,
    0xff40442b,
    0xff3d422b,
    0xff3c3f2a,
    0xff3a3d28,
    0xff393a26,
    0xff343722,
    0xff303620,
    0xff31321a,
    0xff2b2e16,
    0xff242912,
    0xff21250b,
    0xff1a1e08,
    0xff171b04,
    0xff141801,
    0xff131800,
    0xff131502,
    0xff0f1601,
    0xff0b1300,
    0xff0b1202,
    0xff091000,
    0xff080e01,
    0xff0b0e00,
    0xff0b1000,
    0xff081101,
    0xff091202,
    0xff0a1202,
    0xff0a1300,
    0xff0c1101,
    0xff0e1400,
    0xff0f1401,
    0xff0e1602,
    0xff131500,
    0xff131701,
    0xff151901,
    0xff171b00,
    0xff1c1f00,
    0xff1f2301,
    0xff202201,
    0xff232602,
    0xff282706,
    0xff292907,
    0xff2a2905,
    0xff2b2a07,
    0xff2b2b07,
    0xff2a2a06,
    0xff2a2a04,
    0xff292903,
    0xff292a00,
    0xff262b00,
    0xff292a02,
    0xff282f00,
    0xff2e3000,
    0xff303701,
    0xff333a00,
    0xff383e01,
    0xff3b4200,
    0xff3e4500,
    0xff404700,
    0xff464c00,
    0xff545106,
    0xff585511,
    0xff5c5617,
    0xff5f571a,
    0xff5f571f,
    0xff5e511d,
    0xff5f4e22,
    0xff5f4e22,
    0xff5b4c1f,
    0xff5b471e,
    0xff56441e,
    0xff54421e,
    0xff52421e,
    0xff53441e,
    0xff524520,
    0xff504a21,
    0xff4b4a19,
    0xff474717,
    0xff494917,
    0xff4c5018,
    0xff4b531c,
    0xff4f511d,
    0xff4a5119,
    0xff454d17,
    0xff434914,
    0xff3e430a,
    0xff3a3f06,
    0xff363901,
    0xff333601,
    0xff313400,
    0xff2c2f00,
    0xff2a2d02,
    0xff2a2c01,
    0xff292b01,
    0xff262901,
    0xff282a01,
    0xff282800,
    0xff262502,
    0xff222400,
    0xff212101,
    0xff212102,
    0xff1f1f00,
    0xffcc2e26,
    0xffcf2d28,
    0xffd12e2a,
    0xffd12d28,
    0xffbe1e20,
    0xffbb2026,
    0xffcb2a2a,
    0xffda3634,
    0xffde383e,
    0xffe43f42,
    0xffe44446,
    0xffe23a3a,
    0xffd62d24,
    0xffd72f4b,
    0xffde579d,
    0xffe558c3,
    0xffdf3cb0,
    0xffde2b7c,
    0xffda265e,
    0xffde2944,
    0xffe33742,
    0xffe64144,
    0xffeb5750,
    0xffef7868,
    0xfff37d6b,
    0xfff88e7b,
    0xfff79d87,
    0xfffbb298,
    0xfffb8c7a,
    0xfffd8372,
    0xfff65b4a,
    0xffcf282a,
    0xffc21d24,
    0xffcb211c,
    0xffcc1e15,
    0xffca1f14,
    0xffce2016,
    0xffc91a17,
    0xffe02e1f,
    0xffeb3c26,
    0xffe53123,
    0xffdd2821,
    0xffd0231c,
    0xffc72317,
    0xffbf2317,
    0xffc42517,
    0xffdc2e1a,
    0xffd62712,
    0xffb11606,
    0xffae2303,
    0xffae2109,
    0xffaa280a,
    0xffaa3e0a,
    0xffb75209,
    0xffc7550a,
    0xffd6540f,
    0xffe05014,
    0xffe6511b,
    0xffe85720,
    0xffe45e28,
    0xffce5f31,
    0xffba5b23,
    0xff9e2c0a,
    0xff9b220f,
    0xff9f1f12,
    0xff9f2014,
    0xff991e10,
    0xffa10e0b,
    0xffb40d03,
    0xffbb1713,
    0xfffe6645,
    0xffff5426,
    0xffff4a20,
    0xff9c2b10,
    0xff0d1c00,
    0xff5f2702,
    0xffa32a04,
    0xff941b01,
    0xff8c470b,
    0xff795700,
    0xff932600,
    0xffc91914,
    0xffff5f3c,
    0xfff74833,
    0xffc01111,
    0xffcb2513,
    0xfff14533,
    0xffe92921,
    0xffdf291c,
    0xfffa737b,
    0xffef8168,
    0xffff7a8f,
    0xffc46239,
    0xffff7f84,
    0xffff6146,
    0xffc46c22,
    0xff604e00,
    0xff584500,
    0xff594b00,
    0xff695300,
    0xff855e01,
    0xff865601,
    0xff9d5503,
    0xffb45d0d,
    0xffaf4c03,
    0xffab3f00,
    0xffab3500,
    0xffb23501,
    0xffb83909,
    0xffc0380c,
    0xffcc4415,
    0xffa90d0a,
    0xffad1400,
    0xffb31a0a,
    0xffa90b03,
    0xffb51206,
    0xffb91d09,
    0xffbb280c,
    0xffbc260e,
    0xffbc1c0f,
    0xffce1a11,
    0xffe62618,
    0xfff73b2d,
    0xfffa5643,
    0xfffe7558,
    0xfffd815e,
    0xfffe8354,
    0xfffe562d,
    0xffd2220f,
    0xffb81709,
    0xffb91a0c,
    0xffdc2b14,
    0xfffd4d25,
    0xfffd5830,
    0xfff43f27,
    0xffdb201c,
    0xffa40713,
    0xff540012,
    0xff430723,
    0xff82374f,
    0xffba7788,
    0xffeebbba,
    0xffffe6d4,
    0xffffd1ba,
    0xffffa98b,
    0xffff8d65,
    0xffee643b,
    0xff7a2a09,
    0xff392700,
    0xff412901,
    0xff482d01,
    0xff482d00,
    0xff552a00,
    0xffee7350,
    0xffff797a,
    0xfff94b19,
    0xffff572e,
    0xffe43121,
    0xffb3180c,
    0xff971f0a,
    0xff5a340d,
    0xff4c3e10,
    0xff574110,
    0xff5e4716,
    0xff644d1d,
    0xff685221,
    0xff6e5626,
    0xff705d2a,
    0xff766132,
    0xff746235,
    0xff756436,
    0xff736237,
    0xff736237,
    0xff6e6135,
    0xff6b6033,
    0xff6e6535,
    0xff6f663b,
    0xff6f663b,
    0xff6e653a,
    0xff6c6439,
    0xff6b6136,
    0xff666134,
    0xff665e31,
    0xff5c5829,
    0xff545127,
    0xff524d24,
    0xff4d4921,
    0xff494620,
    0xff46441f,
    0xff45431f,
    0xff444526,
    0xff484827,
    0xff494a2b,
    0xff4a4b2c,
    0xff494b2b,
    0xff454b2c,
    0xff46472b,
    0xff43462e,
    0xff41452c,
    0xff404129,
    0xff3d422b,
    0xff3c3e29,
    0xff3a3d28,
    0xff383b26,
    0xff343922,
    0xff333420,
    0xff2f331b,
    0xff2a2e17,
    0xff242712,
    0xff212509,
    0xff1a1c06,
    0xff161a03,
    0xff131701,
    0xff121600,
    0xff121401,
    0xff0f1400,
    0xff0c1200,
    0xff0a1102,
    0xff0a1101,
    0xff090f00,
    0xff091101,
    0xff0c1000,
    0xff0a1200,
    0xff0a1100,
    0xff091300,
    0xff0b1301,
    0xff0e1400,
    0xff0c1500,
    0xff0d1500,
    0xff0e1600,
    0xff121601,
    0xff131700,
    0xff161a00,
    0xff191d00,
    0xff1d2001,
    0xff1e2200,
    0xff222201,
    0xff212402,
    0xff272604,
    0xff272605,
    0xff282806,
    0xff292905,
    0xff292905,
    0xff292906,
    0xff292a05,
    0xff272901,
    0xff282a02,
    0xff262901,
    0xff252900,
    0xff282d01,
    0xff2d2f00,
    0xff2f3600,
    0xff323800,
    0xff373c01,
    0xff3a4000,
    0xff3e4500,
    0xff404901,
    0xff444c00,
    0xff4e5103,
    0xff58570e,
    0xff5f5916,
    0xff655b1d,
    0xff63591f,
    0xff645420,
    0xff624f20,
    0xff5f4e21,
    0xff5c4b20,
    0xff5b481d,
    0xff58451d,
    0xff56451d,
    0xff56451f,
    0xff534820,
    0xff544922,
    0xff534b20,
    0xff4e4a1a,
    0xff4a4b19,
    0xff4b4f1c,
    0xff515521,
    0xff4f5723,
    0xff4e5521,
    0xff4f5321,
    0xff4b511b,
    0xff444d18,
    0xff404711,
    0xff3a430a,
    0xff373c05,
    0xff343903,
    0xff323500,
    0xff2c3200,
    0xff292e00,
    0xff282c01,
    0xff262c00,
    0xff252b01,
    0xff272901,
    0xff272801,
    0xff242600,
    0xff232500,
    0xff202100,
    0xff1f2300,
    0xff222201,
    0xffc52b1c,
    0xffd43525,
    0xffd93b28,
    0xffde3e2a,
    0xffc92c1f,
    0xffbc1f1b,
    0xffc2221f,
    0xffd6352a,
    0xffdd3d33,
    0xffdb3a31,
    0xffd83932,
    0xffd8372b,
    0xffd93627,
    0xffd73024,
    0xffd72b28,
    0xffd82831,
    0xffd52529,
    0xffd62b1c,
    0xffe23d27,
    0xfff55e40,
    0xfff96f58,
    0xfffe846f,
    0xfffd907e,
    0xfffea38f,
    0xffff8a83,
    0xffff8180,
    0xfffc797b,
    0xfffb7279,
    0xfff96063,
    0xfff4504e,
    0xffeb4140,
    0xffd6292a,
    0xffd82a21,
    0xffdb301b,
    0xffd02313,
    0xffc1190f,
    0xffbd160e,
    0xffc51d12,
    0xffd02517,
    0xffd22518,
    0xffca2215,
    0xffc52213,
    0xffba2014,
    0xffb41f11,
    0xffb41c0f,
    0xffd52b14,
    0xfff6471e,
    0xffe4321a,
    0xffac1604,
    0xffa62a00,
    0xffa51e01,
    0xffa52c04,
    0xffa84b05,
    0xffad5b07,
    0xffb46705,
    0xffbd6905,
    0xffc66705,
    0xffcf6107,
    0xffd65a08,
    0xffd2500a,
    0xffb7360a,
    0xff962406,
    0xff952d00,
    0xff972804,
    0xff882506,
    0xff863109,
    0xff7f3c08,
    0xffa42818,
    0xffce281a,
    0xffff6338,
    0xffff4a21,
    0xffff411e,
    0xff751f09,
    0xff061a00,
    0xff162400,
    0xff522603,
    0xffa32b03,
    0xff981d03,
    0xff813403,
    0xff7b3600,
    0xffa41a02,
    0xffcf1e1a,
    0xffff5735,
    0xffec3625,
    0xffa60706,
    0xffd43b1e,
    0xfffc4a2b,
    0xffe42b1b,
    0xffcf2715,
    0xfff86a5d,
    0xffffc5cc,
    0xfffebcc0,
    0xffffd2da,
    0xfffc8694,
    0xffe84a16,
    0xff795d00,
    0xff574200,
    0xff4b4200,
    0xff4b4001,
    0xff524600,
    0xff604d00,
    0xff664400,
    0xffa76402,
    0xffa65f00,
    0xffa25300,
    0xffa74d00,
    0xffaf4800,
    0xffbd5006,
    0xffc45610,
    0xffc74c10,
    0xffd65518,
    0xffac1206,
    0xffc32514,
    0xfffa674f,
    0xffc7203b,
    0xffaf0909,
    0xffb9180f,
    0xffb91e0e,
    0xffb7250d,
    0xffba270f,
    0xffbb2411,
    0xffbd190f,
    0xffcc1511,
    0xfff04538,
    0xfff75859,
    0xfffa5c64,
    0xfffb5b63,
    0xfff74855,
    0xffe93045,
    0xffdf2d4b,
    0xffdc3252,
    0xffe9435d,
    0xffef5a72,
    0xfff36578,
    0xffed7086,
    0xffe78d98,
    0xffeeacad,
    0xffffcec4,
    0xffffe0d0,
    0xffffdac4,
    0xffffc7b1,
    0xffffb394,
    0xffffa07a,
    0xffff865d,
    0xffcb502f,
    0xff69260a,
    0xff321a00,
    0xff3b2900,
    0xff452800,
    0xff472902,
    0xff4a2c01,
    0xff462400,
    0xffc85f2b,
    0xffff97ad,
    0xfffb4d21,
    0xffff5926,
    0xfff3391f,
    0xffb31a0d,
    0xff7d2204,
    0xff4b3209,
    0xff473909,
    0xff4f380d,
    0xff543e0d,
    0xff5c4513,
    0xff624d19,
    0xff685221,
    0xff6c5625,
    0xff6d5c2a,
    0xff74602f,
    0xff756233,
    0xff756436,
    0xff766437,
    0xff756436,
    0xff736738,
    0xff746b3a,
    0xff75693c,
    0xff73693d,
    0xff70683c,
    0xff71663c,
    0xff6d653a,
    0xff696337,
    0xff696236,
    0xff655e31,
    0xff605b2c,
    0xff575428,
    0xff544f28,
    0xff4e4b23,
    0xff4b4822,
    0xff494620,
    0xff484522,
    0xff474826,
    0xff4b4a29,
    0xff49492b,
    0xff494d2d,
    0xff484b2c,
    0xff474a2d,
    0xff45482b,
    0xff43462e,
    0xff42452b,
    0xff404229,
    0xff3d412a,
    0xff3c3d29,
    0xff3a3c28,
    0xff373b27,
    0xff333820,
    0xff32341f,
    0xff2f331b,
    0xff292d16,
    0xff242812,
    0xff202409,
    0xff1a1c07,
    0xff171b04,
    0xff141701,
    0xff121500,
    0xff0f1600,
    0xff0b1500,
    0xff091100,
    0xff0b1201,
    0xff0a1202,
    0xff081100,
    0xff0c1303,
    0xff0a1301,
    0xff0a1200,
    0xff0c1200,
    0xff0c1500,
    0xff0b1502,
    0xff0c1601,
    0xff0f1501,
    0xff101601,
    0xff0e1600,
    0xff121701,
    0xff131700,
    0xff181c01,
    0xff191e00,
    0xff1d2001,
    0xff202001,
    0xff222301,
    0xff242604,
    0xff282603,
    0xff292908,
    0xff292707,
    0xff292804,
    0xff292905,
    0xff282804,
    0xff272a04,
    0xff262803,
    0xff282a01,
    0xff262900,
    0xff262800,
    0xff252b01,
    0xff2b2e00,
    0xff2f3400,
    0xff313800,
    0xff373c01,
    0xff3a4001,
    0xff404601,
    0xff404900,
    0xff444c00,
    0xff4b5003,
    0xff56560b,
    0xff5f5b15,
    0xff655c1b,
    0xff665d20,
    0xff67581e,
    0xff635320,
    0xff605020,
    0xff5f4f1f,
    0xff5b4a20,
    0xff57461e,
    0xff554820,
    0xff564821,
    0xff584821,
    0xff564a22,
    0xff544d1f,
    0xff514e1d,
    0xff4f4e1c,
    0xff505220,
    0xff535523,
    0xff505723,
    0xff4f5622,
    0xff4e5622,
    0xff4c5420,
    0xff484f19,
    0xff444b15,
    0xff3d440f,
    0xff3a3e0a,
    0xff353a04,
    0xff303700,
    0xff2d3200,
    0xff273000,
    0xff262d01,
    0xff262b02,
    0xff262901,
    0xff252a01,
    0xff232700,
    0xff252700,
    0xff212501,
    0xff202401,
    0xff1f2400,
    0xff202400,
    0xff760a04,
    0xff9d1809,
    0xffb62317,
    0xffc9311e,
    0xffc12c18,
    0xffa5180d,
    0xffb82014,
    0xffcd2b1a,
    0xffdb3326,
    0xffdd362c,
    0xffdf3b30,
    0xffe64236,
    0xffeb493b,
    0xffed4b3b,
    0xffe4402c,
    0xffdb3023,
    0xffd92a21,
    0xffe13224,
    0xffed4538,
    0xfff45b4e,
    0xfff8635a,
    0xfff76060,
    0xfff75f5f,
    0xfff65a62,
    0xfff4595d,
    0xfff45254,
    0xfff4494a,
    0xfff14340,
    0xffeb3e3a,
    0xffe83931,
    0xffe5372a,
    0xffe43727,
    0xffea3e27,
    0xffe93a23,
    0xffcc2115,
    0xffb8150a,
    0xffbd1c0c,
    0xffc82710,
    0xffc52613,
    0xffbb1e13,
    0xffb91e12,
    0xffb92313,
    0xffae1c0d,
    0xffa7190c,
    0xffb21809,
    0xffe53413,
    0xfff23c1c,
    0xffc81e0c,
    0xff9e1b01,
    0xffa02c00,
    0xff9a2000,
    0xff9a2900,
    0xff9f4001,
    0xffa55202,
    0xffa96202,
    0xffb36f02,
    0xffb37400,
    0xffba7501,
    0xffba7000,
    0xffad6000,
    0xff904600,
    0xff793a00,
    0xff7a4401,
    0xff864400,
    0xff6e3a00,
    0xff6b4600,
    0xff6a5400,
    0xff993a04,
    0xffc61402,
    0xfff03514,
    0xffd92f10,
    0xff3d1604,
    0xff061b00,
    0xff191f00,
    0xff1a2500,
    0xff432501,
    0xff9e2b04,
    0xff9b2003,
    0xff832301,
    0xff8d2300,
    0xffae1004,
    0xffd7251c,
    0xffff4e2c,
    0xffdc271d,
    0xff930603,
    0xffe25325,
    0xffff4c31,
    0xffe82d1a,
    0xffda2a11,
    0xffed5339,
    0xfffcb7b0,
    0xfffde9e8,
    0xfffeffff,
    0xffffdefe,
    0xffd8702a,
    0xff634900,
    0xff4d4000,
    0xff413a00,
    0xff453e00,
    0xff444000,
    0xff443c01,
    0xff764600,
    0xff9d5b00,
    0xff9a4f00,
    0xffa25000,
    0xffb24701,
    0xffb53d01,
    0xffb53506,
    0xffbc340b,
    0xffbb2e0c,
    0xffc0300a,
    0xffb11704,
    0xffb3111d,
    0xffffc7a1,
    0xffffa18c,
    0xffdd2e27,
    0xffb01004,
    0xffbd1910,
    0xffbc1e0f,
    0xffba220d,
    0xffb9260d,
    0xffba2a10,
    0xffb82213,
    0xffd02e23,
    0xffe64d31,
    0xfffa673d,
    0xffff7448,
    0xffff7748,
    0xffff764a,
    0xffff8156,
    0xffff8e65,
    0xffff9b6e,
    0xfffdb285,
    0xfffdb98e,
    0xfffeba98,
    0xffffb89a,
    0xffffb092,
    0xffffa583,
    0xffffa17a,
    0xffff936c,
    0xffff7a52,
    0xffc74e2e,
    0xff792916,
    0xff2f0b00,
    0xff251500,
    0xff331e00,
    0xff3d2500,
    0xff3e2600,
    0xff422800,
    0xff422a01,
    0xff412100,
    0xffb18030,
    0xffffc7b9,
    0xfffc5b41,
    0xffff5c29,
    0xfffc4323,
    0xffac1b0a,
    0xff5d2700,
    0xff3c3201,
    0xff3f3206,
    0xff483609,
    0xff4c3808,
    0xff503a09,
    0xff55400b,
    0xff5c4712,
    0xff664d1b,
    0xff6a5422,
    0xff6d5d27,
    0xff705f2c,
    0xff725f2e,
    0xff736235,
    0xff746735,
    0xff796a3c,
    0xff786b3f,
    0xff786d3f,
    0xff756c3d,
    0xff746c40,
    0xff72693e,
    0xff71673c,
    0xff70673c,
    0xff6a6639,
    0xff6b6337,
    0xff656033,
    0xff635b2e,
    0xff5e552a,
    0xff555026,
    0xff514c25,
    0xff4f4a24,
    0xff4c4722,
    0xff484521,
    0xff4b4727,
    0xff494928,
    0xff494a2b,
    0xff4a4c2d,
    0xff494c2d,
    0xff454a2c,
    0xff45492d,
    0xff44472b,
    0xff3f432c,
    0xff3d4228,
    0xff3c4028,
    0xff3b3d28,
    0xff3a3d27,
    0xff373b24,
    0xff353620,
    0xff30341e,
    0xff2d3218,
    0xff292d15,
    0xff232710,
    0xff1d2308,
    0xff171b05,
    0xff161a02,
    0xff131701,
    0xff121400,
    0xff0d1400,
    0xff0a1301,
    0xff0a1102,
    0xff0a1102,
    0xff0b1202,
    0xff091201,
    0xff081300,
    0xff0a1400,
    0xff0a1401,
    0xff0c1401,
    0xff0d1601,
    0xff0c1601,
    0xff0a1500,
    0xff0e1501,
    0xff101702,
    0xff101500,
    0xff111600,
    0xff121800,
    0xff171d00,
    0xff1b2000,
    0xff1e2201,
    0xff212202,
    0xff232302,
    0xff252502,
    0xff262603,
    0xff292907,
    0xff272607,
    0xff272607,
    0xff282707,
    0xff282906,
    0xff282806,
    0xff252701,
    0xff272801,
    0xff242800,
    0xff242700,
    0xff262701,
    0xff2a2d00,
    0xff2d3200,
    0xff2f3800,
    0xff383c00,
    0xff3b4100,
    0xff3f4301,
    0xff424a01,
    0xff454d00,
    0xff494e02,
    0xff53550a,
    0xff605d13,
    0xff665e1a,
    0xff675c1f,
    0xff685c20,
    0xff675820,
    0xff635120,
    0xff614f1f,
    0xff5b4c1f,
    0xff5a481d,
    0xff594920,
    0xff594c20,
    0xff584b23,
    0xff584b22,
    0xff594f20,
    0xff54501c,
    0xff535220,
    0xff535523,
    0xff545724,
    0xff525925,
    0xff515922,
    0xff525922,
    0xff4d5721,
    0xff4a531e,
    0xff464f18,
    0xff414a10,
    0xff3a410d,
    0xff353d06,
    0xff313901,
    0xff2e3400,
    0xff283100,
    0xff252c01,
    0xff252c01,
    0xff242a00,
    0xff262a02,
    0xff252901,
    0xff212700,
    0xff232500,
    0xff212600,
    0xff232500,
    0xff202400,
    0xff0d0000,
    0xff250000,
    0xff490201,
    0xff700b06,
    0xff831206,
    0xff720500,
    0xff9c140a,
    0xffc3280e,
    0xffc92c15,
    0xffc62a15,
    0xffc72819,
    0xffcb2c1c,
    0xffcf2f22,
    0xffd52f24,
    0xffdc3423,
    0xffda311d,
    0xffd22a17,
    0xffcf2519,
    0xffd12323,
    0xffd8282b,
    0xffdf2e36,
    0xffe4343c,
    0xffe93940,
    0xffe93a3e,
    0xffea3838,
    0xffe63533,
    0xffe5362e,
    0xffe7362b,
    0xffe53426,
    0xffe83826,
    0xffe83c27,
    0xffe63925,
    0xffd82a25,
    0xffc91f1d,
    0xffb61610,
    0xffaf1308,
    0xffc4240d,
    0xffc82914,
    0xffba2110,
    0xffb2180d,
    0xffb21c10,
    0xffac1d11,
    0xffa51a0b,
    0xffa71908,
    0xffb21606,
    0xffd3230b,
    0xffc81c09,
    0xffa21601,
    0xff982000,
    0xff951c00,
    0xff6f1000,
    0xff691600,
    0xff6e2500,
    0xff772f00,
    0xff8b4101,
    0xff995600,
    0xffa46501,
    0xffa87100,
    0xffa06f02,
    0xff876000,
    0xff684f01,
    0xff5b4c00,
    0xff5f5201,
    0xff845f01,
    0xff745100,
    0xff644d00,
    0xff685600,
    0xff884901,
    0xffab0a01,
    0xff811402,
    0xff161201,
    0xff0d1901,
    0xff171c00,
    0xff1a1f00,
    0xff1b2300,
    0xff362501,
    0xff942a04,
    0xff9f2202,
    0xff991e00,
    0xffa21800,
    0xffb00f0a,
    0xffe42f24,
    0xfff54729,
    0xffcc1d13,
    0xff9c0a03,
    0xffff8155,
    0xfffa655d,
    0xfffb3828,
    0xfff63c1c,
    0xffe94325,
    0xffeb6650,
    0xfffba398,
    0xfffdb9b0,
    0xffffbbb2,
    0xffca972b,
    0xff5b4900,
    0xff464100,
    0xff3e3c01,
    0xff403d00,
    0xff3d3c01,
    0xff4b3300,
    0xff915101,
    0xffa25000,
    0xffd76b32,
    0xffe73a29,
    0xff891c00,
    0xff6f1f01,
    0xffb82f02,
    0xffb82f09,
    0xffbf270b,
    0xffbe2b09,
    0xffbd2b0f,
    0xffa10000,
    0xffc43124,
    0xffb9766a,
    0xff6f3420,
    0xff5f0a00,
    0xffa51001,
    0xffc41e15,
    0xffc92817,
    0xffba2311,
    0xffab2007,
    0xffb22809,
    0xffb72a0d,
    0xffba2412,
    0xffbe201d,
    0xffcf2d21,
    0xffe4452e,
    0xfff15932,
    0xfffc6a40,
    0xffff784e,
    0xffff7f57,
    0xffff8258,
    0xffff8156,
    0xffff8056,
    0xfffa704c,
    0xffd95839,
    0xffa8422a,
    0xff76291a,
    0xff380b05,
    0xff0c0100,
    0xff0a0900,
    0xff181100,
    0xff281900,
    0xff2f1d00,
    0xff372000,
    0xff362300,
    0xff372401,
    0xff402403,
    0xff512108,
    0xffab6a33,
    0xffffbded,
    0xfff75f5c,
    0xffff5c2b,
    0xffff4822,
    0xffa2240d,
    0xff422800,
    0xff3b2d00,
    0xff3a2e00,
    0xff3c2f02,
    0xff413104,
    0xff483405,
    0xff4d3705,
    0xff503a06,
    0xff56420c,
    0xff5e4c15,
    0xff66521e,
    0xff695723,
    0xff6c5b28,
    0xff705e2c,
    0xff746435,
    0xff77683a,
    0xff7b6c3f,
    0xff796d42,
    0xff786d41,
    0xff756e40,
    0xff746b40,
    0xff72693d,
    0xff716a3b,
    0xff71683c,
    0xff6c6737,
    0xff6b6338,
    0xff665f33,
    0xff645d2e,
    0xff5d572b,
    0xff555026,
    0xff524d27,
    0xff4e4a23,
    0xff4c4723,
    0xff464622,
    0xff474826,
    0xff494827,
    0xff49492b,
    0xff484c2d,
    0xff484b2c,
    0xff454b2d,
    0xff44492d,
    0xff40462a,
    0xff3f432a,
    0xff3d4128,
    0xff3b3f27,
    0xff393c27,
    0xff393c24,
    0xff363922,
    0xff323621,
    0xff30331d,
    0xff2d3218,
    0xff262a13,
    0xff21270f,
    0xff1b2207,
    0xff171b05,
    0xff151901,
    0xff121500,
    0xff0f1401,
    0xff091201,
    0xff081200,
    0xff081000,
    0xff091100,
    0xff0a1100,
    0xff091202,
    0xff0b1300,
    0xff0c1402,
    0xff0a1401,
    0xff0a1501,
    0xff0c1500,
    0xff0b1600,
    0xff0b1500,
    0xff0d1701,
    0xff0c1700,
    0xff0f1801,
    0xff131701,
    0xff141b00,
    0xff191f00,
    0xff1b2100,
    0xff1d2201,
    0xff212101,
    0xff232201,
    0xff232300,
    0xff262602,
    0xff272705,
    0xff282707,
    0xff272607,
    0xff272707,
    0xff292807,
    0xff262605,
    0xff232803,
    0xff252701,
    0xff212400,
    0xff202502,
    0xff232500,
    0xff252a00,
    0xff293100,
    0xff313600,
    0xff373b01,
    0xff3a4000,
    0xff3e4300,
    0xff424801,
    0xff454c00,
    0xff484d00,
    0xff505205,
    0xff5c5911,
    0xff655f1a,
    0xff675d1e,
    0xff685d1f,
    0xff685b20,
    0xff64531d,
    0xff62511e,
    0xff5c4d1b,
    0xff5b4a1f,
    0xff5c4d22,
    0xff5e4d21,
    0xff5d4d22,
    0xff5a5023,
    0xff5f5321,
    0xff5b561f,
    0xff56561f,
    0xff555625,
    0xff545926,
    0xff535d26,
    0xff515a26,
    0xff515b26,
    0xff4f5825,
    0xff4d5522,
    0xff49511d,
    0xff424c17,
    0xff3e440e,
    0xff363f08,
    0xff313a01,
    0xff2c3600,
    0xff282f00,
    0xff252d00,
    0xff252d02,
    0xff232b01,
    0xff222a00,
    0xff252701,
    0xff222800,
    0xff222600,
    0xff222601,
    0xff242700,
    0xff232700,
    0xff350506,
    0xff220103,
    0xff150001,
    0xff130000,
    0xff1c0000,
    0xff320000,
    0xff5b0100,
    0xff7e0a03,
    0xff810e03,
    0xff7c1206,
    0xff83130a,
    0xff8a130b,
    0xff8d130d,
    0xff90120d,
    0xff971512,
    0xff9e1816,
    0xffa31a15,
    0xffa91914,
    0xffb01915,
    0xffbd1f1d,
    0xffcf2728,
    0xffdc3131,
    0xffe73936,
    0xffe93b34,
    0xffe7362e,
    0xffe5352a,
    0xffe63525,
    0xffe73725,
    0xffe53625,
    0xffe13225,
    0xffd92c22,
    0xffcc221f,
    0xffc31a1b,
    0xffb61818,
    0xffa91915,
    0xffae1811,
    0xffbd1d0e,
    0xffb81b0b,
    0xffbb1d0b,
    0xffbd1f0e,
    0xffb72211,
    0xffad1f0f,
    0xffa41809,
    0xffa61506,
    0xffa61102,
    0xffa80f01,
    0xffae1a06,
    0xffa01b02,
    0xff8f0c00,
    0xffd04034,
    0xffa55761,
    0xff63261b,
    0xff241300,
    0xff161200,
    0xff1f1800,
    0xff332300,
    0xff513100,
    0xff795000,
    0xff845d00,
    0xff694c01,
    0xff504100,
    0xff4d4400,
    0xff524900,
    0xff7d6202,
    0xff946705,
    0xff755200,
    0xff6f5500,
    0xff8e6c10,
    0xff57220b,
    0xff001100,
    0xff101800,
    0xff131901,
    0xff171b01,
    0xff191f00,
    0xff1a2600,
    0xff292501,
    0xff872903,
    0xffa32406,
    0xffb11a00,
    0xffaf0f02,
    0xffbf1517,
    0xfff4402f,
    0xfff6482f,
    0xffb81111,
    0xffb11409,
    0xffff7f53,
    0xfffc9f84,
    0xfff85e5b,
    0xffff5734,
    0xffef3e27,
    0xffe23c23,
    0xffe55037,
    0xffe04537,
    0xffdf763d,
    0xffc8b92f,
    0xff625100,
    0xff474300,
    0xff3e3e00,
    0xff3c3c00,
    0xff3f3300,
    0xff653a01,
    0xff784903,
    0xff802b02,
    0xffc27264,
    0xff422b12,
    0xff102100,
    0xff101c00,
    0xffb43a07,
    0xffba4413,
    0xffb63109,
    0xffb11d00,
    0xffd12a06,
    0xffb40f06,
    0xff850700,
    0xff040600,
    0xff000f00,
    0xff0b1001,
    0xff570f01,
    0xffa30f03,
    0xffc62118,
    0xffaf1f15,
    0xff79170d,
    0xff671609,
    0xff801a04,
    0xffa22406,
    0xffb52907,
    0xffbb2b10,
    0xffb92717,
    0xffb6231a,
    0xffb1221d,
    0xff9f1e15,
    0xff881911,
    0xff600e06,
    0xff3f0302,
    0xff1b0000,
    0xff020000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000200,
    0xff070700,
    0xff100d00,
    0xff1d1100,
    0xff241500,
    0xff2f1901,
    0xff3e1b07,
    0xff56220e,
    0xff742b15,
    0xff9a3725,
    0xffc73d34,
    0xfff5435f,
    0xfffd464c,
    0xffff612c,
    0xffff4f25,
    0xff992f0f,
    0xff3d2900,
    0xff402c00,
    0xff3b2a00,
    0xff3a2a00,
    0xff3a2c00,
    0xff3c2f00,
    0xff423101,
    0xff443400,
    0xff4d3704,
    0xff503c05,
    0xff56450d,
    0xff5e4e15,
    0xff665320,
    0xff685824,
    0xff6c5d2a,
    0xff726532,
    0xff76683c,
    0xff766d3f,
    0xff796e41,
    0xff796e42,
    0xff766f40,
    0xff766b3e,
    0xff74693c,
    0xff74683c,
    0xff70693a,
    0xff6d6537,
    0xff6a6234,
    0xff676031,
    0xff625c2d,
    0xff5b572a,
    0xff555029,
    0xff524d27,
    0xff4f4c23,
    0xff4c4823,
    0xff4b4624,
    0xff474725,
    0xff494827,
    0xff47482a,
    0xff484c2c,
    0xff484c2c,
    0xff49492d,
    0xff44482c,
    0xff414528,
    0xff3e4228,
    0xff3e3f27,
    0xff3a3d29,
    0xff383c25,
    0xff363a23,
    0xff363a23,
    0xff31351e,
    0xff2e321b,
    0xff2b2f18,
    0xff242912,
    0xff1f240d,
    0xff191e04,
    0xff161a03,
    0xff131601,
    0xff0e1600,
    0xff0b1400,
    0xff071101,
    0xff080f00,
    0xff060f00,
    0xff061101,
    0xff071200,
    0xff091201,
    0xff091400,
    0xff0b1502,
    0xff0a1501,
    0xff0a1600,
    0xff0e1502,
    0xff0c1600,
    0xff0d1600,
    0xff0e1700,
    0xff101800,
    0xff131800,
    0xff111801,
    0xff141e00,
    0xff1a1e00,
    0xff1c2301,
    0xff1d2400,
    0xff222300,
    0xff232400,
    0xff252500,
    0xff252502,
    0xff262604,
    0xff292706,
    0xff282707,
    0xff282708,
    0xff272607,
    0xff262707,
    0xff262605,
    0xff212500,
    0xff1f2401,
    0xff1c2302,
    0xff1f2201,
    0xff242700,
    0xff272e00,
    0xff313401,
    0xff363900,
    0xff383d00,
    0xff3d4201,
    0xff404701,
    0xff444b00,
    0xff464d00,
    0xff4c5103,
    0xff59570c,
    0xff615d16,
    0xff655d1d,
    0xff665c1e,
    0xff665a1d,
    0xff66541b,
    0xff62511c,
    0xff604f1c,
    0xff5e4e20,
    0xff604f22,
    0xff5f5220,
    0xff62511e,
    0xff5e531e,
    0xff615420,
    0xff5f5a21,
    0xff5b5a21,
    0xff575924,
    0xff565d26,
    0xff535c26,
    0xff515b26,
    0xff4e5b28,
    0xff4e5825,
    0xff4c5524,
    0xff49511f,
    0xff424e1a,
    0xff3a4810,
    0xff38410a,
    0xff323b03,
    0xff2d3601,
    0xff283000,
    0xff242d01,
    0xff232d02,
    0xff232b01,
    0xff222900,
    0xff222800,
    0xff222900,
    0xff212800,
    0xff212800,
    0xff222600,
    0xff252701,
    0xff771110,
    0xff69110b,
    0xff5f0d0d,
    0xff560a0a,
    0xff480809,
    0xff490608,
    0xff6f0604,
    0xff630501,
    0xff400000,
    0xff400304,
    0xff4a0509,
    0xff55050b,
    0xff5c050c,
    0xff66070e,
    0xff6d090f,
    0xff7b0c11,
    0xff8c1217,
    0xff9c181b,
    0xffa91f1e,
    0xffbd2925,
    0xffd83730,
    0xffe7433a,
    0xffe94236,
    0xffe6382d,
    0xffe33329,
    0xffe03026,
    0xffdd2e23,
    0xffcc2721,
    0xffd32b26,
    0xffcd2324,
    0xffc72525,
    0xffcd2526,
    0xffc82328,
    0xffb72a28,
    0xffb42e26,
    0xffaf2319,
    0xffb2190f,
    0xffbb1c10,
    0xffbf210a,
    0xffbc220a,
    0xffbf240c,
    0xffb21e09,
    0xffa01508,
    0xff9f1206,
    0xff970e01,
    0xffab1905,
    0xffc32e09,
    0xff9f1a01,
    0xff8b0400,
    0xffd42705,
    0xffff7b52,
    0xffffb9b0,
    0xfffa9da8,
    0xffbc7d7b,
    0xff854845,
    0xff5f291e,
    0xff552115,
    0xff683114,
    0xff6d4404,
    0xff504100,
    0xff473d00,
    0xff453b00,
    0xff494301,
    0xff735d00,
    0xffa7780f,
    0xff98680b,
    0xff7d5600,
    0xff80680d,
    0xff8a6721,
    0xff201507,
    0xff0f1601,
    0xff151901,
    0xff161b01,
    0xff191f00,
    0xff1c2201,
    0xff212500,
    0xff742703,
    0xffab2607,
    0xffbf1804,
    0xffb20d04,
    0xffdb2821,
    0xffff5234,
    0xfff2432e,
    0xffa9090c,
    0xffc3160d,
    0xffff774f,
    0xfffda185,
    0xfff9968c,
    0xfffc5949,
    0xfff8472f,
    0xffdc2a17,
    0xffd42517,
    0xffcf2c25,
    0xfff2df72,
    0xffab9a0f,
    0xff746900,
    0xff4f4c01,
    0xff404101,
    0xff443a00,
    0xff3f3400,
    0xff523703,
    0xff202b04,
    0xff122a06,
    0xff102200,
    0xff162800,
    0xff152600,
    0xff092000,
    0xff913008,
    0xffc04315,
    0xffbd390e,
    0xff270c00,
    0xffbc2308,
    0xffb91008,
    0xffaf0b05,
    0xff681d09,
    0xff000c00,
    0xff081201,
    0xff0c1200,
    0xff551100,
    0xffa01203,
    0xffc92219,
    0xffc72e1f,
    0xff9c2519,
    0xff771913,
    0xff460e08,
    0xff5d1400,
    0xff8b1e00,
    0xffa42404,
    0xffb2290a,
    0xffb92e13,
    0xffbb2f18,
    0xffbb2c20,
    0xffb62e24,
    0xffaf3126,
    0xffa22e22,
    0xff932b1d,
    0xff7e2317,
    0xff6f1e13,
    0xff641812,
    0xff5e150f,
    0xff5b1410,
    0xff611910,
    0xff6f2015,
    0xff82291c,
    0xff993222,
    0xffad3928,
    0xffba3e30,
    0xffc23231,
    0xffd52a32,
    0xfff53941,
    0xfffe614d,
    0xffff743c,
    0xffff5327,
    0xffa4310f,
    0xff412900,
    0xff442d00,
    0xff402b00,
    0xff3c2800,
    0xff382900,
    0xff372800,
    0xff3b2d00,
    0xff3d2f00,
    0xff423100,
    0xff473502,
    0xff4b3804,
    0xff533f07,
    0xff5b4711,
    0xff624e1a,
    0xff675620,
    0xff695d29,
    0xff6f622f,
    0xff746838,
    0xff776c3d,
    0xff7a6d3f,
    0xff796f42,
    0xff776e40,
    0xff756a3c,
    0xff73683a,
    0xff72683a,
    0xff6e6638,
    0xff6b6438,
    0xff6b6233,
    0xff655e2f,
    0xff625b2d,
    0xff5a5729,
    0xff575128,
    0xff534e27,
    0xff4e4a22,
    0xff4b4722,
    0xff4a4623,
    0xff474826,
    0xff474725,
    0xff47482a,
    0xff474a2b,
    0xff474a2b,
    0xff444a2b,
    0xff43492b,
    0xff424628,
    0xff3e4229,
    0xff3b3c27,
    0xff393c26,
    0xff363b24,
    0xff343822,
    0xff343821,
    0xff30331e,
    0xff2c3019,
    0xff2a2e15,
    0xff222710,
    0xff1e230b,
    0xff181b03,
    0xff141801,
    0xff111500,
    0xff0c1500,
    0xff081101,
    0xff060f01,
    0xff060e01,
    0xff050e00,
    0xff070f01,
    0xff091201,
    0xff091202,
    0xff0c1502,
    0xff0b1401,
    0xff091600,
    0xff091700,
    0xff0b1601,
    0xff0e1700,
    0xff0f1800,
    0xff0f1800,
    0xff101801,
    0xff131a01,
    0xff131d00,
    0xff161e00,
    0xff1a2100,
    0xff1e2401,
    0xff1f2600,
    0xff242601,
    0xff252501,
    0xff242400,
    0xff242401,
    0xff252602,
    0xff292605,
    0xff272705,
    0xff282708,
    0xff292708,
    0xff282607,
    0xff252805,
    0xff232601,
    0xff1d2200,
    0xff1a1e00,
    0xff1c2101,
    0xff232600,
    0xff262e00,
    0xff2f3100,
    0xff333700,
    0xff363a01,
    0xff3c4000,
    0xff414301,
    0xff434801,
    0xff454d00,
    0xff494e01,
    0xff535408,
    0xff5e5c14,
    0xff655c1a,
    0xff655b1b,
    0xff655b1c,
    0xff65531a,
    0xff61521b,
    0xff5f4f1c,
    0xff61511d,
    0xff62521f,
    0xff63521f,
    0xff64531f,
    0xff61541f,
    0xff615721,
    0xff605a21,
    0xff5d5c22,
    0xff5b5b23,
    0xff575d25,
    0xff555d28,
    0xff525b26,
    0xff4f5a25,
    0xff4e5826,
    0xff4a5525,
    0xff445222,
    0xff414c1b,
    0xff394814,
    0xff37430c,
    0xff313d05,
    0xff2c3500,
    0xff273000,
    0xff242d01,
    0xff222b00,
    0xff232b01,
    0xff232901,
    0xff222900,
    0xff212800,
    0xff222a00,
    0xff242a01,
    0xff242901,
    0xff242900,
    0xff941914,
    0xff951b14,
    0xff951a12,
    0xff911914,
    0xff8f1612,
    0xff8c1712,
    0xff97160c,
    0xff920e08,
    0xff720805,
    0xff7d0f08,
    0xff961c13,
    0xff9c1d19,
    0xffa11d1a,
    0xffa9201a,
    0xffae221d,
    0xffbb2921,
    0xffc72f23,
    0xffd33627,
    0xffdd3d2a,
    0xffe4402e,
    0xffe74833,
    0xffea4639,
    0xffdf3a2c,
    0xffce2c24,
    0xffd32d20,
    0xffec3d2b,
    0xffe1312a,
    0xffc2202b,
    0xffd03436,
    0xffda363e,
    0xffe35148,
    0xfff05b4c,
    0xffd4413d,
    0xffb93e32,
    0xffb2322c,
    0xffac1f25,
    0xffb61e1d,
    0xffcf2b1b,
    0xffd02b16,
    0xffc9250b,
    0xffc42407,
    0xffaf1a08,
    0xffa2160e,
    0xff981509,
    0xffa11107,
    0xffce300b,
    0xffad2104,
    0xff7f0b00,
    0xff8c0401,
    0xff521400,
    0xff891600,
    0xffdd2001,
    0xfffd3a17,
    0xffff6952,
    0xffff8373,
    0xffff806f,
    0xffff7f6d,
    0xffff7257,
    0xffbe3f0e,
    0xff513a00,
    0xff443c01,
    0xff403c00,
    0xff423f01,
    0xff735e00,
    0xff9b7507,
    0xffaf7c19,
    0xff9d6a13,
    0xff825e11,
    0xff977b24,
    0xff754f1d,
    0xff131001,
    0xff131900,
    0xff151b00,
    0xff1a1f00,
    0xff1b2101,
    0xff192501,
    0xff602702,
    0xffbd310e,
    0xffcd210b,
    0xffc0120d,
    0xfff4442d,
    0xffff6d3f,
    0xffef402f,
    0xffa2040b,
    0xffc31407,
    0xffff7146,
    0xfffc967e,
    0xfffdae98,
    0xfff99590,
    0xfffe4832,
    0xffda2516,
    0xffc91316,
    0xffe4aa60,
    0xffd5cb52,
    0xff9d8400,
    0xff8c7d00,
    0xff776800,
    0xff5f4d00,
    0xff5a4701,
    0xff513a00,
    0xff452c03,
    0xff343012,
    0xff3f331d,
    0xff2b2a0d,
    0xff192603,
    0xff192601,
    0xff102200,
    0xff572404,
    0xffc44b17,
    0xffc03b0e,
    0xff801d06,
    0xffa01d07,
    0xffbb0e08,
    0xff990002,
    0xffff532b,
    0xff903a21,
    0xff000400,
    0xff0a1100,
    0xff121200,
    0xff491500,
    0xff941301,
    0xffc61e18,
    0xffe83f2d,
    0xfff45433,
    0xffd03d28,
    0xff48130c,
    0xff201100,
    0xff321300,
    0xff511500,
    0xff741900,
    0xff911e02,
    0xffa72505,
    0xffb2280a,
    0xffba2b13,
    0xffbd2f1b,
    0xffbd2c1c,
    0xffc22e22,
    0xffc33125,
    0xffc63328,
    0xffc5362a,
    0xffc5362a,
    0xffc5342b,
    0xffc5352a,
    0xffc3362b,
    0xffc02e25,
    0xffb62b23,
    0xffbb2326,
    0xffdc251f,
    0xfff75646,
    0xfffc8790,
    0xffff8546,
    0xffff5127,
    0xff9d2d0d,
    0xff3e2900,
    0xff432e00,
    0xff442c00,
    0xff3d2b00,
    0xff3b2800,
    0xff372900,
    0xff362700,
    0xff392a00,
    0xff3b2e01,
    0xff402f00,
    0xff443201,
    0xff4a3703,
    0xff4e3a03,
    0xff544107,
    0xff5b4913,
    0xff60501b,
    0xff665823,
    0xff6b5f2a,
    0xff716531,
    0xff746938,
    0xff786c3c,
    0xff776d3e,
    0xff766c3d,
    0xff746b3a,
    0xff736836,
    0xff6d6534,
    0xff6c6436,
    0xff6b6235,
    0xff696132,
    0xff675e2f,
    0xff61582b,
    0xff5a5428,
    0xff565227,
    0xff514d22,
    0xff4d4922,
    0xff4c4922,
    0xff494722,
    0xff464723,
    0xff484625,
    0xff47462a,
    0xff45492c,
    0xff46492b,
    0xff42482c,
    0xff414628,
    0xff3e432a,
    0xff3c3f27,
    0xff3b3e26,
    0xff373b24,
    0xff353921,
    0xff333721,
    0xff31341f,
    0xff2f331c,
    0xff2c2f19,
    0xff272b14,
    0xff222710,
    0xff1a1f08,
    0xff161a02,
    0xff131600,
    0xff101400,
    0xff0a1200,
    0xff080e01,
    0xff050e01,
    0xff050c00,
    0xff040d00,
    0xff070e01,
    0xff0a1201,
    0xff091201,
    0xff0a1300,
    0xff0b1500,
    0xff0d1500,
    0xff0e1701,
    0xff0d1800,
    0xff0e1600,
    0xff111701,
    0xff121900,
    0xff121a00,
    0xff141e01,
    0xff141d00,
    0xff181f00,
    0xff1c2401,
    0xff222600,
    0xff242702,
    0xff272602,
    0xff272703,
    0xff252602,
    0xff252500,
    0xff252500,
    0xff242503,
    0xff262604,
    0xff282608,
    0xff282608,
    0xff282607,
    0xff232603,
    0xff202500,
    0xff1d2001,
    0xff191c01,
    0xff1a2000,
    0xff212600,
    0xff262a01,
    0xff2f3001,
    0xff2f3500,
    0xff353801,
    0xff3c3d00,
    0xff3f4100,
    0xff414701,
    0xff444a00,
    0xff464c00,
    0xff4f5104,
    0xff5a570f,
    0xff605915,
    0xff655919,
    0xff63581a,
    0xff64541b,
    0xff61521b,
    0xff62521d,
    0xff62521f,
    0xff65521f,
    0xff64521e,
    0xff63541f,
    0xff63571f,
    0xff61581f,
    0xff625b22,
    0xff5e5c22,
    0xff5e5d25,
    0xff5a5d25,
    0xff545d27,
    0xff535a28,
    0xff4f5825,
    0xff4c5727,
    0xff4b5225,
    0xff454e23,
    0xff404d1b,
    0xff3b4617,
    0xff35410d,
    0xff303c06,
    0xff2c3501,
    0xff283000,
    0xff242c01,
    0xff212b00,
    0xff212900,
    0xff232a00,
    0xff232a01,
    0xff232a01,
    0xff242b01,
    0xff252b00,
    0xff272c01,
    0xff272c00,
    0xff930e14,
    0xff9b1414,
    0xffa01a15,
    0xffa61c15,
    0xffa81e16,
    0xffac2218,
    0xffaf1f16,
    0xff9e0f08,
    0xff98130b,
    0xffad2011,
    0xffc02d1e,
    0xffc92d23,
    0xffcd2f26,
    0xffd23125,
    0xffd43424,
    0xffd63629,
    0xffda362b,
    0xffd7332e,
    0xffd62f33,
    0xffc8282c,
    0xffb81e2d,
    0xffa61427,
    0xff950d24,
    0xff8f0d2c,
    0xffa2172a,
    0xfffd5740,
    0xfff44c42,
    0xfff36054,
    0xffed665a,
    0xfff37562,
    0xfffc8168,
    0xfffd7a60,
    0xffc83d3b,
    0xffa61a25,
    0xffb8232f,
    0xffd3382f,
    0xffe5462c,
    0xffe43f21,
    0xffd22b0d,
    0xffaf1b02,
    0xffa11503,
    0xffb01f14,
    0xffa9211b,
    0xff9c130c,
    0xffc8260c,
    0xffbf2705,
    0xff541600,
    0xff860b01,
    0xff8b0500,
    0xff3b1a01,
    0xff0a2501,
    0xff242200,
    0xff5d1e00,
    0xff9c1c00,
    0xffca2203,
    0xffe52209,
    0xffed290b,
    0xffed290b,
    0xffce2d02,
    0xff8a3605,
    0xff513b00,
    0xff3c3b02,
    0xff484500,
    0xff7a6300,
    0xff917200,
    0xffa57911,
    0xffb57e1f,
    0xffa16f18,
    0xff916818,
    0xffa77f2f,
    0xff5a3717,
    0xff101201,
    0xff141a00,
    0xff191d00,
    0xff1b2100,
    0xff152201,
    0xff752a06,
    0xffd23211,
    0xffd9280f,
    0xffd02111,
    0xfffb4b2f,
    0xffff6946,
    0xffe53931,
    0xff9f0309,
    0xffc11503,
    0xffff6c3b,
    0xfffc9174,
    0xfffd8469,
    0xfffb4a3d,
    0xffee2a17,
    0xffee3629,
    0xffd75840,
    0xfff2e780,
    0xffdcbc57,
    0xffe0bc52,
    0xffd5b143,
    0xffad761e,
    0xff793b03,
    0xff733d04,
    0xff7e3d0b,
    0xff753c16,
    0xffa97f3b,
    0xffd0a355,
    0xff9b6f31,
    0xff292904,
    0xff172500,
    0xff152200,
    0xff201c01,
    0xffc95517,
    0xffba390a,
    0xffbb2f10,
    0xffb1190e,
    0xffbe150c,
    0xff9d0205,
    0xffc21913,
    0xffff8146,
    0xffc5513e,
    0xff120100,
    0xff0e1000,
    0xff181301,
    0xff381600,
    0xff8a1501,
    0xffc82117,
    0xfffc5942,
    0xffff6e45,
    0xffc33124,
    0xff6d1d14,
    0xff2f1305,
    0xff1f1201,
    0xff1e1000,
    0xff231000,
    0xff330e01,
    0xff4b0f00,
    0xff631300,
    0xff7d1902,
    0xff901c02,
    0xff9d2104,
    0xffa62003,
    0xffaa2305,
    0xffac2607,
    0xffad2508,
    0xffa72308,
    0xffa3210a,
    0xff941b08,
    0xff93180f,
    0xffb21d19,
    0xffe7371f,
    0xfffe855b,
    0xfff9a59a,
    0xffff9256,
    0xfffd4f25,
    0xff90280e,
    0xff352400,
    0xff3f2b00,
    0xff422c00,
    0xff412c01,
    0xff3c2b00,
    0xff3a2800,
    0xff362901,
    0xff372900,
    0xff382800,
    0xff392b00,
    0xff3d2e00,
    0xff413000,
    0xff463200,
    0xff453500,
    0xff4d3a02,
    0xff53400b,
    0xff5b4816,
    0xff65521f,
    0xff675926,
    0xff6c5f2a,
    0xff706331,
    0xff756834,
    0xff746c36,
    0xff746b35,
    0xff6f6733,
    0xff706531,
    0xff6d6332,
    0xff6b6231,
    0xff686132,
    0xff675f2e,
    0xff635b2c,
    0xff605729,
    0xff5c5529,
    0xff575026,
    0xff514b23,
    0xff4e4920,
    0xff4a461f,
    0xff4b4620,
    0xff474522,
    0xff444424,
    0xff454628,
    0xff44482b,
    0xff43472c,
    0xff40462a,
    0xff3e4228,
    0xff3c4129,
    0xff3b3e27,
    0xff383c24,
    0xff353922,
    0xff32361f,
    0xff31351e,
    0xff2f331c,
    0xff2c3119,
    0xff2a2d17,
    0xff242710,
    0xff1e230c,
    0xff181c05,
    0xff141601,
    0xff0f1600,
    0xff0d1301,
    0xff070e01,
    0xff070c01,
    0xff040d00,
    0xff040c01,
    0xff080b01,
    0xff070d01,
    0xff071000,
    0xff0a1300,
    0xff0c1502,
    0xff0a1400,
    0xff0d1600,
    0xff0f1700,
    0xff121600,
    0xff0f1800,
    0xff121901,
    0xff121c00,
    0xff131e01,
    0xff171f00,
    0xff181f00,
    0xff1a2100,
    0xff202500,
    0xff252602,
    0xff282804,
    0xff272805,
    0xff292704,
    0xff262502,
    0xff272504,
    0xff272403,
    0xff252302,
    0xff252400,
    0xff262503,
    0xff282404,
    0xff262702,
    0xff252501,
    0xff1f2201,
    0xff1a1c00,
    0xff171b01,
    0xff191e00,
    0xff1e2300,
    0xff232700,
    0xff2a2b00,
    0xff2e3300,
    0xff353500,
    0xff3b3a00,
    0xff3e3f00,
    0xff414401,
    0xff444801,
    0xff464c00,
    0xff4b4e02,
    0xff565209,
    0xff5d5812,
    0xff635815,
    0xff615717,
    0xff625218,
    0xff615319,
    0xff62521b,
    0xff65551f,
    0xff65531e,
    0xff64531d,
    0xff64561e,
    0xff645b20,
    0xff645c1f,
    0xff625c21,
    0xff615c23,
    0xff615d26,
    0xff5b5e25,
    0xff535c27,
    0xff515a28,
    0xff4e5728,
    0xff4a5627,
    0xff495224,
    0xff444e21,
    0xff3c4b1b,
    0xff394516,
    0xff333f0e,
    0xff2f3b07,
    0xff293500,
    0xff233001,
    0xff212b01,
    0xff1e2800,
    0xff1c2700,
    0xff1f2700,
    0xff202800,
    0xff212900,
    0xff222a01,
    0xff232c00,
    0xff282d01,
    0xff282d00,
    0xff971118,
    0xff920d14,
    0xff900b13,
    0xff950b13,
    0xff990f13,
    0xffa01416,
    0xffa61615,
    0xff890a0a,
    0xff890809,
    0xffb51b13,
    0xffc6221a,
    0xffbb211d,
    0xffb21c23,
    0xffaf1922,
    0xffaa1629,
    0xffa2113f,
    0xffa11855,
    0xff9e1c72,
    0xffa22b7c,
    0xff982666,
    0xffa23863,
    0xff9a3053,
    0xffab4355,
    0xffc36c74,
    0xffc64853,
    0xfff86e57,
    0xfffc7c61,
    0xffff8468,
    0xffff7e67,
    0xfffd735d,
    0xfff05e51,
    0xffda3c3e,
    0xffbf2232,
    0xffde4746,
    0xfff3573e,
    0xfff55835,
    0xfffb542b,
    0xffe13514,
    0xff780c02,
    0xff4d0000,
    0xffcb3920,
    0xffdb3b33,
    0xffa81f1d,
    0xffbd1f11,
    0xffd32d07,
    0xff420f00,
    0xff531b00,
    0xff8d0800,
    0xff8a0601,
    0xff3b1c00,
    0xff182500,
    0xff182701,
    0xff162800,
    0xff122900,
    0xff172400,
    0xff242400,
    0xff302200,
    0xff352101,
    0xff281f02,
    0xff1c1b00,
    0xff1f2100,
    0xff252900,
    0xff444001,
    0xff776201,
    0xff8f7201,
    0xff9b7605,
    0xffad811a,
    0xffbf832c,
    0xffa9731e,
    0xff9a7124,
    0xffa87c31,
    0xff432811,
    0xff0f1600,
    0xff181c00,
    0xff151e00,
    0xff272004,
    0xffad300f,
    0xffe23011,
    0xffd9250e,
    0xffdc2a13,
    0xfffa4e27,
    0xffff6040,
    0xffd7332d,
    0xffa10407,
    0xffc01806,
    0xffff5f2a,
    0xfffe906e,
    0xfffe5b40,
    0xfff52e15,
    0xffec2610,
    0xfff26d44,
    0xfffddf88,
    0xfff7d583,
    0xfffcd387,
    0xffe8ac6b,
    0xffd08246,
    0xff913b15,
    0xff631b00,
    0xff521a00,
    0xff451d02,
    0xff593412,
    0xff8e603b,
    0xffae7a55,
    0xffa26f36,
    0xff272901,
    0xff172400,
    0xff162300,
    0xff0a1b01,
    0xffab400c,
    0xffba3808,
    0xffbc350f,
    0xffb91c17,
    0xffc21c11,
    0xffa60607,
    0xff9f0207,
    0xffff5625,
    0xffff7f4e,
    0xfffc735e,
    0xff4f1814,
    0xff0e0a00,
    0xff1c1501,
    0xff291500,
    0xff751901,
    0xffca2613,
    0xfff0412f,
    0xffed4733,
    0xffca3828,
    0xff962923,
    0xff621b15,
    0xff351306,
    0xff1d0e00,
    0xff140d00,
    0xff090c00,
    0xff010800,
    0xff000300,
    0xff030100,
    0xff0d0100,
    0xff170300,
    0xff1f0300,
    0xff1f0400,
    0xff220200,
    0xff220500,
    0xff3f0b08,
    0xff801415,
    0xffca2f23,
    0xfff8532b,
    0xffff8861,
    0xfffd8b8c,
    0xffff7748,
    0xffec4220,
    0xff6f1f08,
    0xff2e2100,
    0xff3a2500,
    0xff3e2600,
    0xff3f2901,
    0xff3f2a00,
    0xff3c2b00,
    0xff392800,
    0xff352700,
    0xff362900,
    0xff382b01,
    0xff3a2b00,
    0xff3b2d02,
    0xff3e3000,
    0xff3d3001,
    0xff403100,
    0xff453301,
    0xff4d3a06,
    0xff54430f,
    0xff5c4c19,
    0xff655421,
    0xff685a25,
    0xff6a5f29,
    0xff6e622d,
    0xff70652f,
    0xff6f632f,
    0xff6e612e,
    0xff6a602b,
    0xff6b602c,
    0xff6a5f2e,
    0xff675e2d,
    0xff625b2b,
    0xff625a2b,
    0xff5f5829,
    0xff595424,
    0xff544f25,
    0xff514921,
    0xff4c4820,
    0xff4b4421,
    0xff45441f,
    0xff45441f,
    0xff434324,
    0xff424327,
    0xff414628,
    0xff404429,
    0xff3e4126,
    0xff3c4028,
    0xff393e25,
    0xff373b24,
    0xff35391d,
    0xff323620,
    0xff30341d,
    0xff2e321a,
    0xff2c3018,
    0xff2b2e18,
    0xff272a14,
    0xff22260f,
    0xff1c1f09,
    0xff161903,
    0xff131500,
    0xff0b1501,
    0xff0b0f00,
    0xff050c01,
    0xff050c01,
    0xff060b00,
    0xff020c01,
    0xff050b00,
    0xff060d00,
    0xff061000,
    0xff0a1200,
    0xff0b1400,
    0xff0a1501,
    0xff0f1500,
    0xff101701,
    0xff0f1900,
    0xff111901,
    0xff121801,
    0xff121d00,
    0xff151f01,
    0xff192000,
    0xff182000,
    0xff1c2201,
    0xff202500,
    0xff252904,
    0xff2a2a06,
    0xff282805,
    0xff272705,
    0xff282602,
    0xff272506,
    0xff272302,
    0xff242100,
    0xff242100,
    0xff222201,
    0xff252100,
    0xff232502,
    0xff222200,
    0xff181b00,
    0xff1a1801,
    0xff151a01,
    0xff171c00,
    0xff1c2001,
    0xff212501,
    0xff292901,
    0xff2f2f01,
    0xff343300,
    0xff373700,
    0xff3b3d01,
    0xff3f4000,
    0xff404700,
    0xff454a00,
    0xff4a4c01,
    0xff514f04,
    0xff575311,
    0xff5d5611,
    0xff615618,
    0xff625318,
    0xff625318,
    0xff62531a,
    0xff655519,
    0xff66561b,
    0xff67551d,
    0xff65591d,
    0xff675c20,
    0xff665c1f,
    0xff625e20,
    0xff635f22,
    0xff625e26,
    0xff5b5d25,
    0xff515b28,
    0xff505a28,
    0xff4e5628,
    0xff475627,
    0xff475225,
    0xff414e20,
    0xff3b4a1b,
    0xff384316,
    0xff333f10,
    0xff2e3a08,
    0xff273401,
    0xff202e00,
    0xff1c2800,
    0xff1c2701,
    0xff1a2501,
    0xff1d2502,
    0xff1d2700,
    0xff1f2800,
    0xff222a00,
    0xff242d00,
    0xff272d01,
    0xff282f01,
    0xffc12b1d,
    0xffb4241b,
    0xffac1f1b,
    0xffa51c19,
    0xff9f181a,
    0xff9d151c,
    0xff99151a,
    0xff931119,
    0xff920d12,
    0xffa31211,
    0xff980912,
    0xff930f18,
    0xff942534,
    0xff9c2a35,
    0xffa94c60,
    0xffd69fa5,
    0xffeabebe,
    0xfff8eaeb,
    0xfffbeee9,
    0xfff3d0cd,
    0xfff4ceb7,
    0xfff5aa9e,
    0xfff0ab91,
    0xfffcbd97,
    0xfff8816d,
    0xfffa7456,
    0xfff86854,
    0xfff05648,
    0xffd93c36,
    0xffc8292d,
    0xffce2b33,
    0xffe7514d,
    0xfffa6c56,
    0xfffe6c49,
    0xfffd5e3a,
    0xfff54827,
    0xffb72312,
    0xff2e0201,
    0xff000000,
    0xff630f05,
    0xffff6035,
    0xffcb3332,
    0xffb71e1d,
    0xffd82c0c,
    0xff6a1201,
    0xff0c1500,
    0xff6d1701,
    0xff8b0400,
    0xff890600,
    0xff411b01,
    0xff162600,
    0xff1b2701,
    0xff1c2900,
    0xff1c2903,
    0xff192a00,
    0xff192800,
    0xff172801,
    0xff152701,
    0xff152500,
    0xff162401,
    0xff172100,
    0xff111e01,
    0xff1b1e01,
    0xff544700,
    0xff866b00,
    0xff967902,
    0xffa47d0f,
    0xffb2821f,
    0xffbf8a2b,
    0xffb07a27,
    0xffa4782e,
    0xffa27232,
    0xff2f1b0a,
    0xff0f1700,
    0xff0f1900,
    0xff772a13,
    0xffe43f1d,
    0xffdd2114,
    0xffcc1904,
    0xffda2b0f,
    0xfff14020,
    0xfff2533b,
    0xffcc3531,
    0xff9e0004,
    0xffc11d0d,
    0xffff5a24,
    0xffff814a,
    0xffff623d,
    0xffd3290a,
    0xffbc3d16,
    0xffd38d49,
    0xffd68e57,
    0xffd07c3b,
    0xffb3571a,
    0xffa14104,
    0xff8c3a00,
    0xff743800,
    0xff5a3801,
    0xff312e01,
    0xff1d2c01,
    0xff1e2a02,
    0xff172700,
    0xff1a2000,
    0xff192000,
    0xff172601,
    0xff192500,
    0xff162101,
    0xff091f00,
    0xff6b1d01,
    0xffc2400d,
    0xffc63b1d,
    0xffdd3b29,
    0xffc51b13,
    0xffa50606,
    0xff9c0306,
    0xffab1d0a,
    0xffff692d,
    0xffff7744,
    0xffff8669,
    0xffae473c,
    0xff1d0700,
    0xff181100,
    0xff1e1400,
    0xff571500,
    0xffac2106,
    0xffc71e16,
    0xffd22e26,
    0xffd23d30,
    0xffb63426,
    0xff94281d,
    0xff6c1c15,
    0xff5b1616,
    0xff500e18,
    0xff290310,
    0xff100007,
    0xff000002,
    0xff000002,
    0xff010002,
    0xff130003,
    0xff2f0007,
    0xff61080e,
    0xffa11d1e,
    0xffe33a2a,
    0xfffe5432,
    0xffff6d3b,
    0xffff836b,
    0xfffd8c85,
    0xffff7648,
    0xffd03415,
    0xff491803,
    0xff2d1d00,
    0xff342201,
    0xff362301,
    0xff392401,
    0xff3a2600,
    0xff3b2800,
    0xff3b2a01,
    0xff382800,
    0xff352600,
    0xff352700,
    0xff372a00,
    0xff382901,
    0xff3a2b01,
    0xff3a2b00,
    0xff3d2c00,
    0xff3e2e00,
    0xff423000,
    0xff493502,
    0xff4d3c09,
    0xff574513,
    0xff5a4d1b,
    0xff615320,
    0xff645923,
    0xff675c27,
    0xff685e28,
    0xff6a5f28,
    0xff675f29,
    0xff655e28,
    0xff685d28,
    0xff635c26,
    0xff625729,
    0xff62572b,
    0xff5f582b,
    0xff5e5628,
    0xff565122,
    0xff524c25,
    0xff4f4a23,
    0xff4b471f,
    0xff47421d,
    0xff45431e,
    0xff41401d,
    0xff3e3f21,
    0xff3d4028,
    0xff3d4129,
    0xff3c4326,
    0xff3b3f28,
    0xff393d26,
    0xff363a20,
    0xff34381f,
    0xff32361f,
    0xff30341b,
    0xff2f331c,
    0xff2c3019,
    0xff292d16,
    0xff252812,
    0xff1f270d,
    0xff1b2307,
    0xff181a00,
    0xff121701,
    0xff0b1401,
    0xff061001,
    0xff060c01,
    0xff040c01,
    0xff040b00,
    0xff050a01,
    0xff020b00,
    0xff040d01,
    0xff060d00,
    0xff051000,
    0xff071200,
    0xff0b1300,
    0xff0c1400,
    0xff0d1600,
    0xff0e1800,
    0xff111701,
    0xff101800,
    0xff111b01,
    0xff131e00,
    0xff171e00,
    0xff171f00,
    0xff191e00,
    0xff1c2400,
    0xff222600,
    0xff252801,
    0xff2a2a07,
    0xff2a2a07,
    0xff2a2807,
    0xff282605,
    0xff262604,
    0xff262302,
    0xff262200,
    0xff231f02,
    0xff211f00,
    0xff231e01,
    0xff211f01,
    0xff1d1f00,
    0xff181900,
    0xff161600,
    0xff131600,
    0xff151701,
    0xff1a1e00,
    0xff1e2300,
    0xff262600,
    0xff292d01,
    0xff303200,
    0xff363601,
    0xff3a3b01,
    0xff3b4100,
    0xff3f4500,
    0xff434901,
    0xff494b00,
    0xff4c4c02,
    0xff565209,
    0xff5b550e,
    0xff5c5316,
    0xff605017,
    0xff615116,
    0xff63531a,
    0xff65551a,
    0xff69581d,
    0xff675a1c,
    0xff695b1f,
    0xff6c5d20,
    0xff695f1f,
    0xff646020,
    0xff656021,
    0xff605e21,
    0xff595f26,
    0xff535c27,
    0xff515928,
    0xff4c5626,
    0xff475427,
    0xff465125,
    0xff414d22,
    0xff3d471c,
    0xff374218,
    0xff323d10,
    0xff2c3a0b,
    0xff243202,
    0xff1e2a00,
    0xff1a2600,
    0xff192501,
    0xff172300,
    0xff192301,
    0xff1b2501,
    0xff1c2800,
    0xff1e2900,
    0xff232d02,
    0xff252e00,
    0xff282f00,
    0xffb31d18,
    0xffc12716,
    0xffcd3018,
    0xffd4321d,
    0xffcf341e,
    0xffce3624,
    0xffcb3729,
    0xffcc3728,
    0xffcb3323,
    0xffc02316,
    0xff9c1614,
    0xffb34934,
    0xffcb7756,
    0xffdb7d5c,
    0xffedc6a4,
    0xffffffdd,
    0xfffffff3,
    0xffffffff,
    0xffffffff,
    0xfffff7e4,
    0xffffdeca,
    0xfff9a29e,
    0xfff4817b,
    0xffe76765,
    0xffdf403f,
    0xffd13129,
    0xffba2222,
    0xffab1620,
    0xffbe222b,
    0xffe95346,
    0xffff765b,
    0xffff795d,
    0xfffb6144,
    0xfffa4f2e,
    0xffd5301c,
    0xff550906,
    0xff000000,
    0xff240000,
    0xff360000,
    0xffb22116,
    0xffd8382e,
    0xffb52226,
    0xffd2270a,
    0xff931702,
    0xff050d01,
    0xff1e1900,
    0xff761000,
    0xff8a0400,
    0xff8c0400,
    0xff471900,
    0xff172501,
    0xff1b2800,
    0xff1c2800,
    0xff1c2900,
    0xff1c2b00,
    0xff192a00,
    0xff192800,
    0xff1a2801,
    0xff1b2700,
    0xff1a2600,
    0xff182601,
    0xff172500,
    0xff152301,
    0xff182101,
    0xff5a4d00,
    0xff8c7300,
    0xff9d7d08,
    0xffa98411,
    0xffb68b22,
    0xffc79233,
    0xffbc8a33,
    0xffb58540,
    0xff9a6a34,
    0xff2a1b0e,
    0xff1a1203,
    0xffd85424,
    0xfff44f26,
    0xffca1212,
    0xffb50b01,
    0xffc11705,
    0xffce291b,
    0xffe2543a,
    0xffc82929,
    0xff9b0000,
    0xffc75a21,
    0xffc9531b,
    0xffc7461d,
    0xffa5351f,
    0xff742706,
    0xff7f3205,
    0xffa7650d,
    0xffbe7e10,
    0xffad7002,
    0xff9a6400,
    0xff956600,
    0xff8e6d01,
    0xff5b4f02,
    0xff202c02,
    0xff192b04,
    0xff182904,
    0xff1a2702,
    0xff1b2801,
    0xff1a2801,
    0xff182701,
    0xff192501,
    0xff162200,
    0xff152100,
    0xff111e00,
    0xff321801,
    0xffc1320d,
    0xffe2552d,
    0xfffa5d42,
    0xffc00b13,
    0xffa10406,
    0xffa4080b,
    0xff6f0800,
    0xff2e0e05,
    0xfff25525,
    0xffff6f3a,
    0xffff794f,
    0xffff7862,
    0xff7c2d28,
    0xff1e0900,
    0xff161200,
    0xff2d1200,
    0xff631700,
    0xff931204,
    0xffaf1610,
    0xffc82926,
    0xffcd362c,
    0xffbb3128,
    0xffdc4931,
    0xffff684b,
    0xfff8574d,
    0xffe84443,
    0xffd8323a,
    0xffd23035,
    0xffd73031,
    0xffe8352c,
    0xfff9422f,
    0xffff5330,
    0xffff6039,
    0xffff713c,
    0xfffe794d,
    0xfffc7c7a,
    0xffff8e7b,
    0xffff6b3a,
    0xff992408,
    0xff281600,
    0xff2e1e00,
    0xff341e00,
    0xff321e00,
    0xff351e00,
    0xff331f00,
    0xff352201,
    0xff382700,
    0xff372700,
    0xff352801,
    0xff322700,
    0xff342600,
    0xff352800,
    0xff372800,
    0xff382900,
    0xff392a01,
    0xff3c2b00,
    0xff3c2b00,
    0xff3d2c00,
    0xff413100,
    0xff493705,
    0xff513f0c,
    0xff554718,
    0xff5c4d1b,
    0xff5d501e,
    0xff625322,
    0xff605823,
    0xff635725,
    0xff645824,
    0xff655a24,
    0xff635a28,
    0xff5d5625,
    0xff615529,
    0xff625829,
    0xff5e5726,
    0xff585124,
    0xff554c21,
    0xff504b23,
    0xff4d4821,
    0xff4a451d,
    0xff42401f,
    0xff3e3f1b,
    0xff403e1f,
    0xff3a3d1e,
    0xff3a3d24,
    0xff3b3f26,
    0xff373d20,
    0xff383b25,
    0xff353920,
    0xff33361f,
    0xff31351f,
    0xff30331e,
    0xff2f3319,
    0xff2c3019,
    0xff2a2e16,
    0xff272a12,
    0xff1e260f,
    0xff172002,
    0xff131900,
    0xff0e1500,
    0xff070f01,
    0xff050a00,
    0xff030b00,
    0xff050901,
    0xff020a00,
    0xff030b00,
    0xff020b00,
    0xff020b00,
    0xff050b00,
    0xff070d01,
    0xff071000,
    0xff071101,
    0xff071300,
    0xff0b1501,
    0xff0c1500,
    0xff0e1700,
    0xff111600,
    0xff131901,
    0xff151c01,
    0xff161e00,
    0xff182000,
    0xff192001,
    0xff191f00,
    0xff1d2301,
    0xff242500,
    0xff282a01,
    0xff2c2d05,
    0xff2b2c05,
    0xff2a2906,
    0xff292705,
    0xff252403,
    0xff272302,
    0xff262100,
    0xff242000,
    0xff211d00,
    0xff1f1b00,
    0xff1d1c00,
    0xff1b1b00,
    0xff171701,
    0xff131500,
    0xff0f1500,
    0xff141600,
    0xff171a01,
    0xff1d1e01,
    0xff232301,
    0xff272a01,
    0xff2e2f00,
    0xff343401,
    0xff363900,
    0xff393f01,
    0xff3f4300,
    0xff434600,
    0xff454700,
    0xff4a4a00,
    0xff524d04,
    0xff57500b,
    0xff585011,
    0xff5b4f14,
    0xff5f5316,
    0xff635418,
    0xff675619,
    0xff6a5a19,
    0xff685a1a,
    0xff6b5e1a,
    0xff6d5f1c,
    0xff6b621d,
    0xff6a6320,
    0xff656322,
    0xff616225,
    0xff5d6124,
    0xff575d25,
    0xff525b25,
    0xff4f5626,
    0xff4a5528,
    0xff455025,
    0xff404b1f,
    0xff3a451b,
    0xff364117,
    0xff303c0f,
    0xff2e3508,
    0xff233000,
    0xff1c2800,
    0xff172300,
    0xff152300,
    0xff162200,
    0xff182200,
    0xff192200,
    0xff1a2700,
    0xff1d2800,
    0xff222c00,
    0xff262d00,
    0xff262d00,
    0xffb11f24,
    0xff930d1a,
    0xff900a15,
    0xff9e1212,
    0xffad1c14,
    0xffc32a1a,
    0xffd3341e,
    0xffe04025,
    0xffe13f23,
    0xffc12315,
    0xffb82014,
    0xffe25738,
    0xffec7b56,
    0xfff17f6a,
    0xfff0968f,
    0xfff7bec7,
    0xfff4b6ce,
    0xfff3baea,
    0xffeb8ace,
    0xffdc4f97,
    0xffc9345f,
    0xffbd223c,
    0xffaa1d23,
    0xff95111c,
    0xff870616,
    0xff94081b,
    0xffb82832,
    0xffed695a,
    0xffff8162,
    0xffff7156,
    0xfffe6044,
    0xfff94f33,
    0xffdc351f,
    0xff680d07,
    0xff000000,
    0xff000000,
    0xff7b0700,
    0xffd22911,
    0xffd23022,
    0xffce332b,
    0xffb62226,
    0xffc7210f,
    0xffb41b03,
    0xff150a01,
    0xff051302,
    0xff311900,
    0xff7b0b00,
    0xff850100,
    0xff8f0301,
    0xff591900,
    0xff212501,
    0xff1b2700,
    0xff1d2b01,
    0xff202a00,
    0xff1d2b00,
    0xff1e2b00,
    0xff1c2a00,
    0xff192800,
    0xff192902,
    0xff192801,
    0xff182800,
    0xff1a2600,
    0xff1a2601,
    0xff152401,
    0xff1f2300,
    0xff655500,
    0xff957b04,
    0xffa3850c,
    0xffac8915,
    0xffbd9227,
    0xffd9b14e,
    0xffd0a44e,
    0xffcca258,
    0xffa1823f,
    0xff681e1a,
    0xfffa7c4a,
    0xfffc5935,
    0xffbe0c0d,
    0xffa10400,
    0xffa50902,
    0xffb71b1b,
    0xffdb5637,
    0xffc12121,
    0xffa10400,
    0xffaf470d,
    0xff8f3a07,
    0xff903208,
    0xff972e07,
    0xff902b02,
    0xffa66d0f,
    0xffc09a09,
    0xffbb9906,
    0xffad9600,
    0xffac9303,
    0xffa58b04,
    0xff766005,
    0xff172603,
    0xff1b2b00,
    0xff1c2901,
    0xff182801,
    0xff182603,
    0xff172602,
    0xff172702,
    0xff162401,
    0xff172200,
    0xff152001,
    0xff131f00,
    0xff121e01,
    0xff0d1800,
    0xffb41f08,
    0xfff36532,
    0xffff6846,
    0xffc61015,
    0xff9c0207,
    0xffa20a0f,
    0xff940a03,
    0xff200700,
    0xff000200,
    0xff9f3217,
    0xffff6530,
    0xffff6c3e,
    0xffff8162,
    0xfff07b71,
    0xff782c28,
    0xff240700,
    0xff150d00,
    0xff2f1200,
    0xff5b1100,
    0xff850c01,
    0xff9f110a,
    0xffb81b1a,
    0xfff75746,
    0xffff9167,
    0xffff986a,
    0xffff9065,
    0xffff865e,
    0xffff835b,
    0xffff7f57,
    0xffff7d4f,
    0xffff814c,
    0xffff824b,
    0xffff764c,
    0xfffb6561,
    0xfffb8084,
    0xffff8c68,
    0xfffc542b,
    0xff5b1600,
    0xff1f1400,
    0xff2e1b00,
    0xff2f1c00,
    0xff321e01,
    0xff311e00,
    0xff311e00,
    0xff311e00,
    0xff342000,
    0xff322301,
    0xff352401,
    0xff332401,
    0xff302300,
    0xff312501,
    0xff302800,
    0xff362500,
    0xff362900,
    0xff3a2800,
    0xff3a2700,
    0xff3b2a00,
    0xff3a2b00,
    0xff3e2e01,
    0xff443403,
    0xff4b3b0a,
    0xff534310,
    0xff564717,
    0xff594b1a,
    0xff5b4e20,
    0xff5b5121,
    0xff5e5324,
    0xff605221,
    0xff5e5321,
    0xff5e5322,
    0xff5d5322,
    0xff5f5426,
    0xff5b5424,
    0xff555023,
    0xff524c23,
    0xff514c22,
    0xff4e4922,
    0xff4d471e,
    0xff47421d,
    0xff3d3c1c,
    0xff403d1c,
    0xff3c3b18,
    0xff393a1b,
    0xff373a1f,
    0xff373b21,
    0xff35391e,
    0xff35391f,
    0xff33371d,
    0xff30351b,
    0xff2e341a,
    0xff2d3117,
    0xff2c3017,
    0xff292c14,
    0xff252a0f,
    0xff202608,
    0xff192002,
    0xff111801,
    0xff081102,
    0xff040800,
    0xff010601,
    0xff040500,
    0xff020600,
    0xff020700,
    0xff020901,
    0xff020902,
    0xff040b00,
    0xff060c02,
    0xff070d01,
    0xff040e00,
    0xff080d00,
    0xff071001,
    0xff0a1201,
    0xff071400,
    0xff0d1601,
    0xff0e1700,
    0xff0f1700,
    0xff141b01,
    0xff161d00,
    0xff161e01,
    0xff182000,
    0xff182000,
    0xff1b1f00,
    0xff1c2300,
    0xff212701,
    0xff242a00,
    0xff2b2c04,
    0xff2d2d06,
    0xff2c2a06,
    0xff292705,
    0xff272403,
    0xff252201,
    0xff252001,
    0xff241f01,
    0xff1f1c00,
    0xff1f1900,
    0xff1b1a00,
    0xff181701,
    0xff131500,
    0xff0f1100,
    0xff101302,
    0xff121400,
    0xff151801,
    0xff1b1b01,
    0xff202101,
    0xff262600,
    0xff2b2c00,
    0xff2f3100,
    0xff343501,
    0xff383b01,
    0xff3e3f00,
    0xff414100,
    0xff424200,
    0xff444701,
    0xff4c4a00,
    0xff504d03,
    0xff574f0d,
    0xff594e11,
    0xff605012,
    0xff635417,
    0xff665417,
    0xff685917,
    0xff675a17,
    0xff6c5d19,
    0xff6b611b,
    0xff6f651d,
    0xff6d671f,
    0xff686720,
    0xff646422,
    0xff626523,
    0xff5a6326,
    0xff555e28,
    0xff4e5a26,
    0xff4c5625,
    0xff485123,
    0xff404d1f,
    0xff3a451a,
    0xff354016,
    0xff303b0d,
    0xff2a370a,
    0xff1f2e02,
    0xff1a2800,
    0xff142300,
    0xff151f00,
    0xff152000,
    0xff152100,
    0xff172201,
    0xff192500,
    0xff1e2900,
    0xff212b01,
    0xff222e01,
    0xff232f01,
    0xffeb402a,
    0xffe94330,
    0xffd3392e,
    0xffab2024,
    0xff8d0c1a,
    0xff7a0312,
    0xff770611,
    0xff7f0c14,
    0xff8d1111,
    0xff820d08,
    0xff800302,
    0xffa2100e,
    0xffc41d1c,
    0xffc22025,
    0xffac161b,
    0xff9c0433,
    0xff94004f,
    0xff8d004a,
    0xff810028,
    0xff730019,
    0xff6c0011,
    0xff730010,
    0xff8c0d20,
    0xffb2252e,
    0xffe15948,
    0xfffd795f,
    0xffff7f63,
    0xfffd6f59,
    0xfffd5d44,
    0xfff3482c,
    0xffcf2d19,
    0xff660c08,
    0xff030000,
    0xff000000,
    0xff000001,
    0xff700300,
    0xffcc1c07,
    0xffff5e34,
    0xffee4d3d,
    0xffb32227,
    0xffbb190e,
    0xffc61f01,
    0xff2f0400,
    0xff011000,
    0xff081202,
    0xff421801,
    0xff810700,
    0xff830100,
    0xff8d0101,
    0xff721000,
    0xff452601,
    0xff222600,
    0xff1b2901,
    0xff1f2b00,
    0xff1f2c01,
    0xff202c01,
    0xff1d2c00,
    0xff1c2b00,
    0xff1b2900,
    0xff1a2902,
    0xff1a2800,
    0xff1c2801,
    0xff1c2801,
    0xff1b2700,
    0xff172600,
    0xff212401,
    0xff6d5b00,
    0xff998008,
    0xffa9890f,
    0xffb5911b,
    0xffc8a637,
    0xffe6c560,
    0xffdeb95d,
    0xffe4c367,
    0xffe7b76c,
    0xfffe8a6c,
    0xffed3829,
    0xffb30904,
    0xff940300,
    0xff920302,
    0xffad1c1a,
    0xffd84c2e,
    0xffba1513,
    0xffa10e00,
    0xffc24509,
    0xffd9430f,
    0xfff45a22,
    0xfff64819,
    0xffc8661c,
    0xffb3880f,
    0xffb18800,
    0xffae9201,
    0xffad8d01,
    0xffb2900c,
    0xff967804,
    0xff1f2601,
    0xff192701,
    0xff1c2701,
    0xff1a2701,
    0xff1b2500,
    0xff192501,
    0xff172400,
    0xff162300,
    0xff162200,
    0xff152000,
    0xff131e01,
    0xff121d01,
    0xff111d01,
    0xff051701,
    0xff921803,
    0xffeb5333,
    0xffff6d49,
    0xffd82123,
    0xff9f0009,
    0xffa00a11,
    0xffaa0a06,
    0xff6e0a00,
    0xff110a02,
    0xff000700,
    0xff340e02,
    0xffd6451f,
    0xffff662f,
    0xffff7146,
    0xffff896d,
    0xfff87d72,
    0xff9a423f,
    0xff441108,
    0xff1c0600,
    0xff220b00,
    0xff3f0d00,
    0xff670c00,
    0xff960f0a,
    0xffdd2f30,
    0xfffa534b,
    0xffff6e5a,
    0xffff7c61,
    0xffff815f,
    0xffff7a55,
    0xfffd6948,
    0xfffb5440,
    0xfff74b57,
    0xfff87080,
    0xffff917d,
    0xffff6e43,
    0xffc73211,
    0xff280d00,
    0xff1e1500,
    0xff271800,
    0xff2b1900,
    0xff2e1b00,
    0xff2c1c00,
    0xff311d00,
    0xff311e00,
    0xff301d00,
    0xff311e00,
    0xff302000,
    0xff332101,
    0xff2e2000,
    0xff2d2100,
    0xff2c2200,
    0xff2f2300,
    0xff332500,
    0xff352600,
    0xff372600,
    0xff372500,
    0xff382600,
    0xff3a2900,
    0xff3c2c00,
    0xff403001,
    0xff473606,
    0xff4d3c0d,
    0xff544413,
    0xff544716,
    0xff54491b,
    0xff544c1c,
    0xff574d1c,
    0xff5a4e1f,
    0xff584d1f,
    0xff5a5021,
    0xff5a5120,
    0xff57501f,
    0xff534e1f,
    0xff564b21,
    0xff544b22,
    0xff504a20,
    0xff4c471f,
    0xff46431b,
    0xff413f1b,
    0xff3f3b18,
    0xff3e3a1a,
    0xff393817,
    0xff36391a,
    0xff34371d,
    0xff333819,
    0xff30351a,
    0xff313618,
    0xff2f3516,
    0xff2c3214,
    0xff283112,
    0xff272d0f,
    0xff252a0c,
    0xff202807,
    0xff1a2202,
    0xff141a00,
    0xff0a1200,
    0xff030900,
    0xff000400,
    0xff000300,
    0xff000500,
    0xff030400,
    0xff010600,
    0xff020600,
    0xff020701,
    0xff010a00,
    0xff050b00,
    0xff050b00,
    0xff050e00,
    0xff050e01,
    0xff060d00,
    0xff060e00,
    0xff081201,
    0xff0b1201,
    0xff0e1500,
    0xff101600,
    0xff121701,
    0xff111b01,
    0xff131c00,
    0xff171e00,
    0xff192000,
    0xff191f00,
    0xff1a1f00,
    0xff1d2401,
    0xff202400,
    0xff252700,
    0xff292b02,
    0xff2d2c05,
    0xff2c2904,
    0xff292706,
    0xff282503,
    0xff262201,
    0xff241e01,
    0xff221d01,
    0xff201a00,
    0xff1d1800,
    0xff181700,
    0xff141500,
    0xff0e1001,
    0xff0b0d00,
    0xff0d1001,
    0xff0f1200,
    0xff141600,
    0xff171800,
    0xff1d1d00,
    0xff202300,
    0xff262700,
    0xff2a2d00,
    0xff323200,
    0xff333700,
    0xff393a00,
    0xff3c3c00,
    0xff3e3e00,
    0xff414000,
    0xff474201,
    0xff4a4702,
    0xff504a08,
    0xff574b0d,
    0xff5f4f0f,
    0xff645313,
    0xff655513,
    0xff675814,
    0xff685c15,
    0xff6b5e18,
    0xff6c611a,
    0xff70671f,
    0xff6e6b20,
    0xff6d6a21,
    0xff686821,
    0xff626824,
    0xff5d6525,
    0xff576125,
    0xff515d25,
    0xff4d5b26,
    0xff4a5523,
    0xff434f1f,
    0xff3d4717,
    0xff364215,
    0xff333d0f,
    0xff2a3709,
    0xff232f01,
    0xff182700,
    0xff132300,
    0xff121e01,
    0xff131e00,
    0xff142000,
    0xff172000,
    0xff182501,
    0xff1d2800,
    0xff1e2b00,
    0xff212d01,
    0xff1f2c01,
    0xffad1b09,
    0xffd52a17,
    0xffe93825,
    0xfff54c31,
    0xfff34e35,
    0xffe94b32,
    0xffce392f,
    0xffb42927,
    0xff981724,
    0xff810f1d,
    0xff8f0d1c,
    0xffaa131d,
    0xffad1318,
    0xff830005,
    0xff660014,
    0xffad607a,
    0xffd39dc8,
    0xffbf81ac,
    0xffa12b4c,
    0xffbd4641,
    0xffdd5648,
    0xfff67757,
    0xffff8562,
    0xffff7762,
    0xfffd6d55,
    0xfffc604c,
    0xfffa5135,
    0xffea3e23,
    0xffb42115,
    0xff4f0604,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff230001,
    0xff820701,
    0xffae0e02,
    0xffbc1710,
    0xffe44030,
    0xffb9222b,
    0xffae1210,
    0xffc31e01,
    0xff4d0701,
    0xff000a00,
    0xff080f00,
    0xff091102,
    0xff521601,
    0xff820400,
    0xff820300,
    0xff8b0000,
    0xff940a00,
    0xff6a1300,
    0xff2d2601,
    0xff1b2900,
    0xff1f2b01,
    0xff1e2c00,
    0xff222c00,
    0xff1e2e01,
    0xff1f2d01,
    0xff1f2c00,
    0xff1a2a01,
    0xff1d2900,
    0xff1d2a00,
    0xff1e2b00,
    0xff1c2a00,
    0xff1c2900,
    0xff192602,
    0xff242800,
    0xff726101,
    0xffa0860a,
    0xffb09213,
    0xffc09e23,
    0xffd6b241,
    0xffecd369,
    0xffebcf6b,
    0xffe6a760,
    0xffe33e33,
    0xffcb1510,
    0xffa10200,
    0xff8f0201,
    0xff8d0302,
    0xffa81614,
    0xffcb3120,
    0xffaf0906,
    0xffa41700,
    0xffc12303,
    0xffeb3414,
    0xffff5c2e,
    0xffed5d26,
    0xffb17e1e,
    0xffa47605,
    0xffa37d02,
    0xff9e7c00,
    0xffb18f08,
    0xffae8e04,
    0xff3f3605,
    0xff152300,
    0xff1a2700,
    0xff1a2601,
    0xff192602,
    0xff182300,
    0xff182301,
    0xff172201,
    0xff152000,
    0xff141f00,
    0xff141f00,
    0xff111b01,
    0xff0e1a00,
    0xff121801,
    0xff081700,
    0xff6e1904,
    0xffd73420,
    0xffff6847,
    0xffef3a2e,
    0xffa5000b,
    0xffa10b12,
    0xffaa0807,
    0xff9b0f00,
    0xff180a01,
    0xff090c01,
    0xff111100,
    0xff0c0a00,
    0xff5b1b09,
    0xffe34e23,
    0xffff6838,
    0xffff6c43,
    0xffff7c5e,
    0xffff8a79,
    0xffe5736d,
    0xffa34846,
    0xff66221d,
    0xff400b02,
    0xff3a0700,
    0xff510000,
    0xff720100,
    0xff990a08,
    0xffb31212,
    0xffc91a21,
    0xffdb283a,
    0xffe84c66,
    0xfff77686,
    0xffff927c,
    0xffff744c,
    0xfffd4a21,
    0xff6f1c02,
    0xff130f00,
    0xff201500,
    0xff281700,
    0xff291700,
    0xff2b1800,
    0xff2d1b02,
    0xff2f1c01,
    0xff301b00,
    0xff301c01,
    0xff301e00,
    0xff2f1e01,
    0xff301e01,
    0xff2d1e00,
    0xff2a1f00,
    0xff2c2000,
    0xff2c1f00,
    0xff2e1f01,
    0xff302200,
    0xff342301,
    0xff362500,
    0xff372500,
    0xff372500,
    0xff362700,
    0xff392a00,
    0xff3d2f01,
    0xff423206,
    0xff49370a,
    0xff4c3d10,
    0xff4e4113,
    0xff514216,
    0xff524518,
    0xff53491b,
    0xff564b1d,
    0xff544b1d,
    0xff524b1d,
    0xff52491b,
    0xff51491b,
    0xff4f4a1c,
    0xff524a1e,
    0xff4e4920,
    0xff51491d,
    0xff48431a,
    0xff443f1b,
    0xff403d18,
    0xff3c3917,
    0xff393717,
    0xff373616,
    0xff343619,
    0xff323518,
    0xff2e3414,
    0xff2c3414,
    0xff2d3111,
    0xff283110,
    0xff2a300e,
    0xff272d0a,
    0xff222a08,
    0xff1d2501,
    0xff181d00,
    0xff111600,
    0xff070e01,
    0xff010601,
    0xff000500,
    0xff010300,
    0xff000300,
    0xff000400,
    0xff020300,
    0xff000600,
    0xff020700,
    0xff030801,
    0xff040a02,
    0xff030900,
    0xff040e00,
    0xff060d01,
    0xff060e01,
    0xff060e00,
    0xff060e00,
    0xff091201,
    0xff081401,
    0xff0a1500,
    0xff0b1600,
    0xff101902,
    0xff121800,
    0xff131b01,
    0xff191d00,
    0xff1a2100,
    0xff1b1f00,
    0xff1a2001,
    0xff1c2400,
    0xff212400,
    0xff242500,
    0xff272700,
    0xff292a02,
    0xff2a2804,
    0xff2a2706,
    0xff272503,
    0xff262101,
    0xff231e01,
    0xff201c00,
    0xff1d1a00,
    0xff191501,
    0xff171500,
    0xff0f1301,
    0xff0a0b00,
    0xff0a0d00,
    0xff0b0f01,
    0xff0b0f01,
    0xff121400,
    0xff151801,
    0xff1a1b01,
    0xff1a1f00,
    0xff212401,
    0xff282800,
    0xff2f2e00,
    0xff333200,
    0xff353300,
    0xff353400,
    0xff393800,
    0xff3c3b00,
    0xff413d00,
    0xff474001,
    0xff4c4505,
    0xff574806,
    0xff5d4f0a,
    0xff65520f,
    0xff66530f,
    0xff685713,
    0xff685d14,
    0xff695e16,
    0xff6b641a,
    0xff70691f,
    0xff706c22,
    0xff6f6c23,
    0xff6a6b20,
    0xff656a25,
    0xff5f6724,
    0xff586424,
    0xff576128,
    0xff505f26,
    0xff4e5923,
    0xff45521f,
    0xff3c4c18,
    0xff384615,
    0xff343e10,
    0xff2d3909,
    0xff213100,
    0xff162800,
    0xff152300,
    0xff132200,
    0xff121f00,
    0xff121f00,
    0xff162200,
    0xff1a2601,
    0xff1c2800,
    0xff1f2c01,
    0xff232c00,
    0xff212e00,
    0xff0b0000,
    0xff450400,
    0xff810e03,
    0xffb21d0c,
    0xffd32c14,
    0xffe0351d,
    0xffeb3e29,
    0xfffa5033,
    0xffff5a3b,
    0xffff6a47,
    0xffff6848,
    0xfff14c34,
    0xffd32b27,
    0xffd66658,
    0xfff8b9a7,
    0xfffffbf9,
    0xfffff7ff,
    0xfffcd4e7,
    0xffff8079,
    0xffff7862,
    0xfffb6654,
    0xfff85849,
    0xfff4533e,
    0xfff34c33,
    0xffeb4426,
    0xffc92d19,
    0xff81120b,
    0xff250000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff1a0000,
    0xff9b0800,
    0xffb51002,
    0xffac130d,
    0xffac1c14,
    0xffb0201e,
    0xffab1310,
    0xffb21501,
    0xff2c0101,
    0xff000301,
    0xff040901,
    0xff070d00,
    0xff0a1101,
    0xff5f1300,
    0xff830200,
    0xff7f0100,
    0xff860000,
    0xff980600,
    0xff8f1302,
    0xff402201,
    0xff1a2a00,
    0xff1e2c00,
    0xff212d01,
    0xff202f01,
    0xff1e2e01,
    0xff1f2e01,
    0xff1f2c00,
    0xff1d2c00,
    0xff1f2a00,
    0xff1d2a00,
    0xff1e2b00,
    0xff1e2b00,
    0xff1e2b00,
    0xff1d2a00,
    0xff172701,
    0xff212601,
    0xff756401,
    0xffa88f0c,
    0xffb89e1d,
    0xffcbaf2f,
    0xffd9be4e,
    0xffead261,
    0xffd2743c,
    0xffb6070d,
    0xffa50200,
    0xff940000,
    0xff8f0301,
    0xff8b0401,
    0xffa30d0a,
    0xffbc180d,
    0xffa90601,
    0xffa11501,
    0xffbe1d01,
    0xffdd250a,
    0xfffc5e32,
    0xffc07e2f,
    0xffad7d2a,
    0xffad8237,
    0xffa1702d,
    0xff8c4e05,
    0xffa27008,
    0xff6d5202,
    0xff111d01,
    0xff172600,
    0xff172500,
    0xff182500,
    0xff182401,
    0xff172000,
    0xff161f00,
    0xff152001,
    0xff141f01,
    0xff121c00,
    0xff111b01,
    0xff0f1900,
    0xff0d1900,
    0xff101600,
    0xff061500,
    0xff431703,
    0xffe73322,
    0xffff844d,
    0xfff3412c,
    0xffa70008,
    0xffa10a10,
    0xffa80608,
    0xff940c00,
    0xff110401,
    0xff060900,
    0xff130d00,
    0xff171200,
    0xff160e01,
    0xff0c0900,
    0xff4f1605,
    0xffc33d1a,
    0xffff5a29,
    0xffff6335,
    0xffff6c45,
    0xffff7858,
    0xffff8f7d,
    0xffff928d,
    0xfffd8688,
    0xfff18286,
    0xffe97f88,
    0xffe88288,
    0xfff18893,
    0xfffd9292,
    0xffff9b8a,
    0xffff8165,
    0xffff643a,
    0xfff5451f,
    0xff821e03,
    0xff120800,
    0xff0e1000,
    0xff1f1301,
    0xff241600,
    0xff271600,
    0xff281700,
    0xff291800,
    0xff2a1a00,
    0xff2d1b01,
    0xff2f1c01,
    0xff2e1c01,
    0xff2f1d01,
    0xff2f1e01,
    0xff2e1e00,
    0xff291e00,
    0xff271d01,
    0xff261e01,
    0xff261d00,
    0xff271e00,
    0xff2b1d00,
    0xff302000,
    0xff322401,
    0xff352301,
    0xff342300,
    0xff352500,
    0xff372700,
    0xff3b2d00,
    0xff3e3103,
    0xff443508,
    0xff47390c,
    0xff4a3c0f,
    0xff493f11,
    0xff494414,
    0xff514317,
    0xff514518,
    0xff514618,
    0xff4d4517,
    0xff4b4417,
    0xff4d4318,
    0xff4d451a,
    0xff4f4819,
    0xff4c471c,
    0xff474217,
    0xff423f16,
    0xff403b16,
    0xff3e3a15,
    0xff383813,
    0xff353513,
    0xff353414,
    0xff313314,
    0xff2c3012,
    0xff292f0f,
    0xff272d0c,
    0xff232e09,
    0xff1f2b04,
    0xff1f2802,
    0xff1a2301,
    0xff181f00,
    0xff111901,
    0xff0b1300,
    0xff050b01,
    0xff010601,
    0xff000400,
    0xff000200,
    0xff010300,
    0xff010301,
    0xff000500,
    0xff010500,
    0xff000400,
    0xff010600,
    0xff000700,
    0xff020901,
    0xff040a01,
    0xff030c00,
    0xff070c01,
    0xff060c00,
    0xff060e00,
    0xff090f00,
    0xff0a1100,
    0xff0a1200,
    0xff0d1500,
    0xff0f1500,
    0xff121700,
    0xff111801,
    0xff151c01,
    0xff191e00,
    0xff1b2100,
    0xff1c2100,
    0xff1d2100,
    0xff1d2400,
    0xff212401,
    0xff242600,
    0xff242500,
    0xff262601,
    0xff2a2805,
    0xff292703,
    0xff262503,
    0xff242202,
    0xff221d01,
    0xff1e1b00,
    0xff1b1800,
    0xff171400,
    0xff131300,
    0xff0b0e00,
    0xff060800,
    0xff070900,
    0xff080b00,
    0xff090f00,
    0xff0e1200,
    0xff121700,
    0xff161800,
    0xff191c01,
    0xff1e2000,
    0xff242601,
    0xff292900,
    0xff2c2a00,
    0xff2f2d00,
    0xff312e00,
    0xff343100,
    0xff383600,
    0xff3c3a01,
    0xff443c00,
    0xff4c4104,
    0xff524608,
    0xff5a4c06,
    0xff64510c,
    0xff65530d,
    0xff65560f,
    0xff675b13,
    0xff6a5f17,
    0xff6d651a,
    0xff736b1f,
    0xff726e21,
    0xff716e20,
    0xff6b6f21,
    0xff676c24,
    0xff5f6924,
    0xff5d6625,
    0xff576426,
    0xff546226,
    0xff505d21,
    0xff48561e,
    0xff415019,
    0xff3e4b18,
    0xff35450e,
    0xff2f3c06,
    0xff253401,
    0xff192b00,
    0xff192802,
    0xff182601,
    0xff152300,
    0xff152300,
    0xff162600,
    0xff1c2a01,
    0xff1e2d00,
    0xff1f2f00,
    0xff243100,
    0xff223201,
    0xff000000,
    0xff000001,
    0xff000000,
    0xff0d0000,
    0xff370201,
    0xff6d0b00,
    0xff9a1705,
    0xffbb220c,
    0xffd22915,
    0xffe1361d,
    0xffe63d27,
    0xffe03b1f,
    0xffce2513,
    0xffce1e20,
    0xffd72730,
    0xffe1314a,
    0xffe7355d,
    0xffed3a50,
    0xffee4633,
    0xffea4026,
    0xffe53c21,
    0xffd4331a,
    0xffb32313,
    0xff761007,
    0xff2f0301,
    0xff010000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff6e0403,
    0xffb00b06,
    0xffa61009,
    0xffa2190f,
    0xff9f1911,
    0xff9b0e09,
    0xffba1303,
    0xff4a0401,
    0xff000001,
    0xff010200,
    0xff020700,
    0xff070c00,
    0xff0e1101,
    0xff6c1101,
    0xff850000,
    0xff800101,
    0xff840001,
    0xff940400,
    0xff940e01,
    0xff621c01,
    0xff362901,
    0xff1e2b00,
    0xff1e2c00,
    0xff1d2e00,
    0xff1e2d00,
    0xff1f2d00,
    0xff1f2c00,
    0xff1f2c00,
    0xff1d2c01,
    0xff1e2c00,
    0xff202c01,
    0xff1f2c00,
    0xff1f2b01,
    0xff1f2c00,
    0xff1f2b01,
    0xff1b2701,
    0xff252400,
    0xff7d6b02,
    0xffb29a14,
    0xffc7ad2a,
    0xffb79128,
    0xffc59631,
    0xffbc421c,
    0xffa60000,
    0xff9a0000,
    0xff920000,
    0xff8d0400,
    0xff8d0302,
    0xffa20902,
    0xffb91004,
    0xffa90600,
    0xff9f1801,
    0xffbe1b04,
    0xffd2170d,
    0xffd07b39,
    0xffb18449,
    0xffa97557,
    0xff97614a,
    0xff8f4c2a,
    0xff7d3803,
    0xffcb6a15,
    0xffbb5a46,
    0xff101900,
    0xff162200,
    0xff182301,
    0xff162300,
    0xff162100,
    0xff161e00,
    0xff151e01,
    0xff141e00,
    0xff141c01,
    0xff121901,
    0xff0f1901,
    0xff0d1600,
    0xff0d1600,
    0xff0a1501,
    0xff051300,
    0xff270f03,
    0xfff9462b,
    0xffff663f,
    0xffe9221b,
    0xffa40001,
    0xffa2090e,
    0xffa90508,
    0xff970400,
    0xff4b0102,
    0xff170400,
    0xff0e0900,
    0xff170d00,
    0xff1a0f00,
    0xff1e0f00,
    0xff180f00,
    0xff110900,
    0xff290b01,
    0xff76200d,
    0xffc63d1a,
    0xffff5225,
    0xffff5b2a,
    0xffff6034,
    0xffff653b,
    0xffff6844,
    0xffff6b48,
    0xffff6948,
    0xffff653e,
    0xffff562c,
    0xffff4821,
    0xffc42e12,
    0xff5b1104,
    0xff020000,
    0xff000600,
    0xff130e00,
    0xff191200,
    0xff1d1301,
    0xff211400,
    0xff241700,
    0xff261800,
    0xff281800,
    0xff271800,
    0xff2b1900,
    0xff2c1c00,
    0xff2d1c00,
    0xff2d1c00,
    0xff2e1d01,
    0xff2d1e00,
    0xff281c00,
    0xff241a00,
    0xff201a00,
    0xff221c01,
    0xff241b00,
    0xff2a1b01,
    0xff2a1e01,
    0xff2f2100,
    0xff322100,
    0xff312100,
    0xff352501,
    0xff362700,
    0xff392a00,
    0xff3c2e00,
    0xff403205,
    0xff433508,
    0xff46390c,
    0xff453a0e,
    0xff473e10,
    0xff483f13,
    0xff4c4015,
    0xff484013,
    0xff484013,
    0xff4a3e15,
    0xff494216,
    0xff4c4217,
    0xff4d4518,
    0xff464216,
    0xff423d16,
    0xff3f3b14,
    0xff3d3915,
    0xff3a3712,
    0xff373510,
    0xff33330e,
    0xff323210,
    0xff2e300e,
    0xff262d09,
    0xff202a04,
    0xff1f2600,
    0xff1b2400,
    0xff171e01,
    0xff111a00,
    0xff0f1500,
    0xff0b1200,
    0xff060d00,
    0xff040901,
    0xff010600,
    0xff000600,
    0xff000501,
    0xff000300,
    0xff000401,
    0xff000501,
    0xff000501,
    0xff000500,
    0xff000500,
    0xff000700,
    0xff020601,
    0xff000900,
    0xff030b01,
    0xff040b01,
    0xff060c01,
    0xff080d00,
    0xff070e00,
    0xff0a1001,
    0xff0c1300,
    0xff0d1600,
    0xff101701,
    0xff131700,
    0xff131700,
    0xff141900,
    0xff171e00,
    0xff191f00,
    0xff1d2201,
    0xff1b2300,
    0xff1e2300,
    0xff212401,
    0xff232400,
    0xff242700,
    0xff232601,
    0xff262502,
    0xff242500,
    0xff272501,
    0xff262300,
    0xff222200,
    0xff201c00,
    0xff1b1800,
    0xff181601,
    0xff161400,
    0xff0f1000,
    0xff090a00,
    0xff040700,
    0xff020700,
    0xff030901,
    0xff090c00,
    0xff0a0e00,
    0xff0e1300,
    0xff151600,
    0xff181900,
    0xff1c1c00,
    0xff1f2202,
    0xff252500,
    0xff2a2701,
    0xff2c2801,
    0xff2e2800,
    0xff312d00,
    0xff363000,
    0xff3b3501,
    0xff413901,
    0xff493e02,
    0xff4e4502,
    0xff594905,
    0xff5f5008,
    0xff635109,
    0xff65540d,
    0xff655a14,
    0xff6c6117,
    0xff71691c,
    0xff756f20,
    0xff747122,
    0xff747222,
    0xff707024,
    0xff6b6f23,
    0xff606a25,
    0xff5f6925,
    0xff5a6826,
    0xff586325,
    0xff536022,
    0xff4a5a1c,
    0xff465318,
    0xff3f4e16,
    0xff3a490e,
    0xff304007,
    0xff283500,
    0xff1c2e00,
    0xff1a2b00,
    0xff182900,
    0xff182700,
    0xff192901,
    0xff192b01,
    0xff1e2e01,
    0xff1e2f00,
    0xff233100,
    0xff253200,
    0xff253400,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000002,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff0a0000,
    0xff260000,
    0xff410501,
    0xff5f0903,
    0xff771304,
    0xff7b0e00,
    0xff870a00,
    0xffa30f00,
    0xffba1a05,
    0xffbe1d0b,
    0xffae180a,
    0xff870e09,
    0xff5b0804,
    0xff310201,
    0xff090000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff220000,
    0xff780803,
    0xffc72112,
    0xffbf1c12,
    0xffa81611,
    0xff9b130e,
    0xff920b06,
    0xffac1005,
    0xffdc280a,
    0xff070000,
    0xff000000,
    0xff010001,
    0xff020500,
    0xff040a00,
    0xff1c1001,
    0xff760e00,
    0xff870000,
    0xff800000,
    0xff820001,
    0xff8e0100,
    0xff9f0f02,
    0xff8c0e03,
    0xff521c00,
    0xff252900,
    0xff1c2b01,
    0xff1b2b00,
    0xff1f2c01,
    0xff1f2c01,
    0xff1f2c00,
    0xff1e2c00,
    0xff202b00,
    0xff1f2c00,
    0xff212d01,
    0xff202d01,
    0xff202d01,
    0xff202b00,
    0xff202c01,
    0xff212a00,
    0xff192601,
    0xff222500,
    0xff877507,
    0xffbda71a,
    0xffcdb22e,
    0xffb97718,
    0xffab1b09,
    0xffa00000,
    0xff950001,
    0xff8f0101,
    0xff8c0401,
    0xff8c0100,
    0xffa90901,
    0xffc21201,
    0xffb00500,
    0xffa23002,
    0xffcd4019,
    0xffcd703d,
    0xffa76e42,
    0xff9b5e42,
    0xff925848,
    0xff986851,
    0xff945630,
    0xff803e04,
    0xffe64510,
    0xffff7654,
    0xffa05048,
    0xff0d1800,
    0xff152000,
    0xff181f00,
    0xff162001,
    0xff141e00,
    0xff141d01,
    0xff121b00,
    0xff111a00,
    0xff0f1800,
    0xff0b1700,
    0xff0b1301,
    0xff0c1501,
    0xff081300,
    0xff041000,
    0xff391207,
    0xffff5933,
    0xfffb4734,
    0xffce0c0b,
    0xff9e0001,
    0xffa50b0e,
    0xffa70205,
    0xffad0000,
    0xff9f0502,
    0xff500201,
    0xff0b0700,
    0xff140b00,
    0xff1a0c00,
    0xff1c0e00,
    0xff1c0e00,
    0xff1f1001,
    0xff1e1000,
    0xff170d00,
    0xff100900,
    0xff130400,
    0xff330e03,
    0xff5b1909,
    0xff791f09,
    0xff85240a,
    0xff851f0b,
    0xff771b09,
    0xff591306,
    0xff2f0904,
    0xff000000,
    0xff000000,
    0xff000201,
    0xff020701,
    0xff0a0a00,
    0xff140e00,
    0xff181100,
    0xff1c1301,
    0xff201300,
    0xff231600,
    0xff271701,
    0xff271700,
    0xff281801,
    0xff281801,
    0xff2a1a00,
    0xff2c1b01,
    0xff2b1d00,
    0xff2c1c00,
    0xff2b1c01,
    0xff2a1b00,
    0xff201800,
    0xff1e1800,
    0xff1e1600,
    0xff221801,
    0xff251900,
    0xff291d01,
    0xff2e1e00,
    0xff301f00,
    0xff302000,
    0xff312200,
    0xff362500,
    0xff362900,
    0xff3a2b00,
    0xff3c2e02,
    0xff3f3104,
    0xff423508,
    0xff41350c,
    0xff3f380d,
    0xff44390c,
    0xff453b12,
    0xff473c13,
    0xff473c11,
    0xff453d11,
    0xff463c12,
    0xff473f11,
    0xff454014,
    0xff433d12,
    0xff3e3910,
    0xff3b380e,
    0xff38350e,
    0xff36340a,
    0xff33300b,
    0xff302f0b,
    0xff2d2e06,
    0xff242802,
    0xff1a2300,
    0xff161e00,
    0xff111901,
    0xff0a1501,
    0xff081000,
    0xff060d00,
    0xff070b00,
    0xff050a02,
    0xff020800,
    0xff010601,
    0xff000600,
    0xff000400,
    0xff010400,
    0xff000501,
    0xff000401,
    0xff000501,
    0xff000500,
    0xff000600,
    0xff000500,
    0xff000800,
    0xff000800,
    0xff010800,
    0xff010a00,
    0xff050c00,
    0xff060d01,
    0xff090d01,
    0xff090e00,
    0xff091002,
    0xff0c1400,
    0xff111400,
    0xff121601,
    0xff131800,
    0xff141800,
    0xff171c01,
    0xff191e00,
    0xff1c2100,
    0xff1d2300,
    0xff1e2501,
    0xff222400,
    0xff1f2400,
    0xff242600,
    0xff252700,
    0xff242500,
    0xff262501,
    0xff222400,
    0xff212200,
    0xff232201,
    0xff1f1f00,
    0xff1e1a00,
    0xff1a1800,
    0xff181601,
    0xff131200,
    0xff0a0d00,
    0xff050801,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff020801,
    0xff070d01,
    0xff0b0f00,
    0xff101400,
    0xff151900,
    0xff191b01,
    0xff1d1d00,
    0xff202101,
    0xff272400,
    0xff282400,
    0xff2b2600,
    0xff2e2a00,
    0xff362b00,
    0xff383000,
    0xff3d3400,
    0xff463a03,
    0xff4c3f00,
    0xff554601,
    0xff5c4b05,
    0xff634f09,
    0xff68560a,
    0xff675b11,
    0xff6d6117,
    0xff72681a,
    0xff776e1e,
    0xff777221,
    0xff767326,
    0xff757329,
    0xff6c7123,
    0xff626d25,
    0xff5f6b26,
    0xff5e6a26,
    0xff576724,
    0xff52631f,
    0xff4c5d1e,
    0xff475618,
    0xff455417,
    0xff3b4c0e,
    0xff344203,
    0xff283800,
    0xff233200,
    0xff1f2f00,
    0xff1b2c00,
    0xff1e2c01,
    0xff1c2d01,
    0xff1d2f01,
    0xff233000,
    0xff233200,
    0xff273500,
    0xff293600,
    0xff2a3800,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff260000,
    0xff6f0300,
    0xff910900,
    0xff8c0900,
    0xff780500,
    0xff590000,
    0xff390000,
    0xff1a0001,
    0xff040001,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff080000,
    0xff490200,
    0xffae1b0c,
    0xffda2a19,
    0xffe23420,
    0xffce2d1c,
    0xffa31311,
    0xff910c05,
    0xff930a00,
    0xfffa4d18,
    0xffa61a0c,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff020300,
    0xff010800,
    0xff2a0e00,
    0xff820a00,
    0xff8a0000,
    0xff7d0000,
    0xff800100,
    0xff870000,
    0xff960401,
    0xffb51c0f,
    0xff6f1806,
    0xff222600,
    0xff1c2800,
    0xff1d2901,
    0xff1c2900,
    0xff1e2b00,
    0xff202b01,
    0xff1f2d00,
    0xff202b00,
    0xff212c01,
    0xff212d02,
    0xff222d02,
    0xff222d02,
    0xff222d02,
    0xff222d00,
    0xff202a01,
    0xff202901,
    0xff192500,
    0xff242800,
    0xff968610,
    0xffcab029,
    0xffbc6819,
    0xffa10502,
    0xff9a0000,
    0xff910000,
    0xff8d0200,
    0xff8b0300,
    0xff8f0000,
    0xffb30c02,
    0xffcc1603,
    0xffb30a00,
    0xffa64904,
    0xffda8f49,
    0xffbd7c54,
    0xffa56430,
    0xffa8764b,
    0xffac8264,
    0xffa87d66,
    0xff975a35,
    0xff904a0f,
    0xffc71600,
    0xfffc4220,
    0xffff866c,
    0xff89433d,
    0xff0d1200,
    0xff121d00,
    0xff121e00,
    0xff141c00,
    0xff131c01,
    0xff111900,
    0xff0e1701,
    0xff0d1601,
    0xff0a1602,
    0xff0b1400,
    0xff091300,
    0xff091001,
    0xff030f00,
    0xff310e07,
    0xffff6539,
    0xfffa442e,
    0xffba0306,
    0xff9b0000,
    0xffa60a0d,
    0xffa80204,
    0xffaa0000,
    0xffb70900,
    0xff7f0b02,
    0xff0e0300,
    0xff120a00,
    0xff190b00,
    0xff1b0d00,
    0xff1d0f02,
    0xff1f0f00,
    0xff201000,
    0xff221100,
    0xff201000,
    0xff1f1100,
    0xff1c0f00,
    0xff150c00,
    0xff0f0a00,
    0xff0a0800,
    0xff000500,
    0xff000200,
    0xff000000,
    0xff000000,
    0xff000200,
    0xff010300,
    0xff020500,
    0xff020600,
    0xff080a00,
    0xff140d01,
    0xff181000,
    0xff1c1300,
    0xff201301,
    0xff211500,
    0xff251701,
    0xff281801,
    0xff251600,
    0xff291900,
    0xff281800,
    0xff2b1a01,
    0xff291b00,
    0xff2b1b01,
    0xff291b00,
    0xff281a00,
    0xff1f1700,
    0xff1c1600,
    0xff1c1600,
    0xff1d1700,
    0xff201700,
    0xff231a00,
    0xff2b1b01,
    0xff2e1e00,
    0xff2f1d00,
    0xff302000,
    0xff362301,
    0xff342600,
    0xff372800,
    0xff392d00,
    0xff3a2e04,
    0xff3b3205,
    0xff3c330a,
    0xff3d370a,
    0xff3e350a,
    0xff423a10,
    0xff403b10,
    0xff423a0f,
    0xff413910,
    0xff413a0d,
    0xff40390d,
    0xff41380d,
    0xff3f380c,
    0xff3d370b,
    0xff373509,
    0xff343204,
    0xff2f2c01,
    0xff2a2a00,
    0xff272700,
    0xff202100,
    0xff191a00,
    0xff0e1400,
    0xff081001,
    0xff070c01,
    0xff010c00,
    0xff070801,
    0xff070801,
    0xff010900,
    0xff010700,
    0xff020700,
    0xff020701,
    0xff000500,
    0xff010600,
    0xff020400,
    0xff010401,
    0xff000502,
    0xff010601,
    0xff000500,
    0xff010600,
    0xff020601,
    0xff010700,
    0xff010700,
    0xff010700,
    0xff030b00,
    0xff060a00,
    0xff040d00,
    0xff070f01,
    0xff090e01,
    0xff091100,
    0xff0c1500,
    0xff121500,
    0xff121501,
    0xff141801,
    0xff171b01,
    0xff181d00,
    0xff1b2000,
    0xff1c2200,
    0xff1f2500,
    0xff202501,
    0xff242500,
    0xff232501,
    0xff232600,
    0xff242600,
    0xff262600,
    0xff252401,
    0xff232401,
    0xff1f2100,
    0xff211e01,
    0xff1d1c00,
    0xff1e1800,
    0xff1a1700,
    0xff171500,
    0xff0d0d01,
    0xff080801,
    0xff010700,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff020800,
    0xff090c02,
    0xff0d1001,
    0xff141702,
    0xff181a01,
    0xff1b1c00,
    0xff1e1e00,
    0xff241f00,
    0xff282400,
    0xff292500,
    0xff2c2800,
    0xff312b01,
    0xff352e00,
    0xff3b3300,
    0xff413802,
    0xff4a3d02,
    0xff534102,
    0xff5b4907,
    0xff645008,
    0xff67540a,
    0xff695c0e,
    0xff6f6214,
    0xff716a1a,
    0xff776e1f,
    0xff7a7322,
    0xff777428,
    0xff777429,
    0xff6f7327,
    0xff646f21,
    0xff626e26,
    0xff5e6925,
    0xff576922,
    0xff50611d,
    0xff4d5e1b,
    0xff4a5a19,
    0xff455914,
    0xff3e510e,
    0xff364805,
    0xff2f3e01,
    0xff263a00,
    0xff243401,
    0xff213301,
    0xff223201,
    0xff213200,
    0xff203100,
    0xff233500,
    0xff273500,
    0xff283701,
    0xff2f3802,
    0xff2d3b03,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff270001,
    0xff6c0100,
    0xff930c01,
    0xff951000,
    0xff8b0a01,
    0xff7e0700,
    0xff660300,
    0xff4f0100,
    0xff390100,
    0xff2c0000,
    0xff240000,
    0xff280000,
    0xff340201,
    0xff4c0301,
    0xff730900,
    0xffc42612,
    0xffdc2b19,
    0xffe53520,
    0xffe83b22,
    0xffc7241a,
    0xff960c09,
    0xff8f0d00,
    0xff620802,
    0xff71160a,
    0xff0d0000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010201,
    0xff000500,
    0xff351001,
    0xff890c01,
    0xff8a0000,
    0xff800000,
    0xff800100,
    0xff800000,
    0xff970904,
    0xffb8260b,
    0xff84260b,
    0xff202501,
    0xff1b2600,
    0xff1a2601,
    0xff182802,
    0xff1b2a00,
    0xff1f2b00,
    0xff212b00,
    0xff212c01,
    0xff212c01,
    0xff212d01,
    0xff222e00,
    0xff212e00,
    0xff212c02,
    0xff202c00,
    0xff202b01,
    0xff202b00,
    0xff202800,
    0xff182401,
    0xff292a02,
    0xffaf8216,
    0xffb0410c,
    0xff9e0000,
    0xff970001,
    0xff8f0000,
    0xff8c0100,
    0xff890200,
    0xff910001,
    0xffbd1100,
    0xffd11a06,
    0xffaf1600,
    0xff933204,
    0xffdeac70,
    0xffe5bb83,
    0xffb57a3d,
    0xffa6722d,
    0xff9e683b,
    0xff9b673d,
    0xff945626,
    0xff935315,
    0xffcd2009,
    0xffd21406,
    0xffff522c,
    0xffff9a80,
    0xff934a43,
    0xff0c1300,
    0xff121a01,
    0xff131901,
    0xff111801,
    0xff0e1901,
    0xff0d1700,
    0xff0c1500,
    0xff091400,
    0xff0a1202,
    0xff071101,
    0xff070e00,
    0xff030d00,
    0xff140300,
    0xffff5933,
    0xfff7432b,
    0xffb40204,
    0xff9c0000,
    0xffa80a0a,
    0xffaa0202,
    0xffa80000,
    0xffb00701,
    0xff930c00,
    0xff140300,
    0xff0f0800,
    0xff1a0b01,
    0xff1c0d00,
    0xff1e0e00,
    0xff1f0f00,
    0xff1d0f00,
    0xff1f1000,
    0xff231001,
    0xff231101,
    0xff201000,
    0xff1a0d01,
    0xff180b01,
    0xff140a00,
    0xff0c0800,
    0xff030601,
    0xff010100,
    0xff010300,
    0xff000300,
    0xff000400,
    0xff000600,
    0xff020600,
    0xff090a00,
    0xff130d00,
    0xff171100,
    0xff191300,
    0xff1d1202,
    0xff211401,
    0xff231501,
    0xff261700,
    0xff251600,
    0xff261801,
    0xff271701,
    0xff261701,
    0xff261900,
    0xff291b00,
    0xff251900,
    0xff231800,
    0xff1e1701,
    0xff191401,
    0xff1a1401,
    0xff1b1500,
    0xff1f1401,
    0xff201600,
    0xff261900,
    0xff291b01,
    0xff2d1e00,
    0xff2d1e00,
    0xff312200,
    0xff332601,
    0xff372800,
    0xff362a00,
    0xff382c02,
    0xff372f04,
    0xff393005,
    0xff383105,
    0xff3b3506,
    0xff3e360b,
    0xff3c360c,
    0xff3f370d,
    0xff3f360d,
    0xff3c350b,
    0xff3c350c,
    0xff3b340a,
    0xff373407,
    0xff383104,
    0xff322e00,
    0xff2a2600,
    0xff262200,
    0xff201e00,
    0xff191a01,
    0xff131300,
    0xff0b0e01,
    0xff060b01,
    0xff050901,
    0xff070800,
    0xff050901,
    0xff040902,
    0xff030801,
    0xff010800,
    0xff010800,
    0xff020700,
    0xff030600,
    0xff020701,
    0xff000600,
    0xff000600,
    0xff000400,
    0xff000500,
    0xff010600,
    0xff000600,
    0xff010600,
    0xff020701,
    0xff020600,
    0xff010901,
    0xff010901,
    0xff030a00,
    0xff070b00,
    0xff040e00,
    0xff060f00,
    0xff091100,
    0xff0a1202,
    0xff0d1400,
    0xff121400,
    0xff141701,
    0xff151a00,
    0xff191c00,
    0xff1a1f00,
    0xff1d2201,
    0xff1e2300,
    0xff212500,
    0xff212600,
    0xff252600,
    0xff252600,
    0xff242600,
    0xff252500,
    0xff242400,
    0xff252501,
    0xff232301,
    0xff212001,
    0xff1d1c00,
    0xff1b1a00,
    0xff1c1800,
    0xff181700,
    0xff111100,
    0xff090c00,
    0xff060900,
    0xff010600,
    0xff000401,
    0xff000400,
    0xff000300,
    0xff010201,
    0xff000400,
    0xff010601,
    0xff080c00,
    0xff0e1200,
    0xff151801,
    0xff181901,
    0xff1c1c00,
    0xff1f1f00,
    0xff252000,
    0xff282401,
    0xff2b2601,
    0xff312801,
    0xff352d00,
    0xff3a3200,
    0xff413501,
    0xff4b3b01,
    0xff544104,
    0xff5a4804,
    0xff604e07,
    0xff675309,
    0xff685c0c,
    0xff6e6212,
    0xff746919,
    0xff796e20,
    0xff7a7324,
    0xff797629,
    0xff78752c,
    0xff717429,
    0xff667223,
    0xff616f25,
    0xff5d6c24,
    0xff546821,
    0xff50631d,
    0xff4e5f19,
    0xff4d5e18,
    0xff465b12,
    0xff42550a,
    0xff3b4b05,
    0xff354503,
    0xff2e3e00,
    0xff2b3900,
    0xff293701,
    0xff263600,
    0xff253600,
    0xff283600,
    0xff293800,
    0xff2c3900,
    0xff2e3c02,
    0xff303c03,
    0xff303d06,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff220000,
    0xff620102,
    0xff8e0a00,
    0xff9a0f02,
    0xff990e00,
    0xff900c00,
    0xff890c00,
    0xff7f0b00,
    0xff770900,
    0xff750b00,
    0xff7d0e01,
    0xff881401,
    0xff9a1406,
    0xffc0260d,
    0xffe8361e,
    0xffe3311e,
    0xffe2311d,
    0xffc82015,
    0xffa00e0a,
    0xff971100,
    0xff6b0701,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000200,
    0xff390f00,
    0xff880b00,
    0xff890000,
    0xff820000,
    0xff800201,
    0xff7e0000,
    0xff990804,
    0xffcb300c,
    0xff891b08,
    0xff381f01,
    0xff222401,
    0xff182501,
    0xff1b2701,
    0xff1c2900,
    0xff1e2b00,
    0xff212c01,
    0xff212c02,
    0xff212c00,
    0xff232e01,
    0xff232e00,
    0xff222f01,
    0xff222d00,
    0xff212d00,
    0xff212c02,
    0xff222c01,
    0xff212900,
    0xff212a00,
    0xff3e2e00,
    0xffa03e0e,
    0xffa61904,
    0xffa00200,
    0xff950001,
    0xff8f0000,
    0xff8d0100,
    0xff870000,
    0xff920000,
    0xffc11502,
    0xffce1c05,
    0xffa41d00,
    0xff9b5516,
    0xffffedaf,
    0xfffee3b1,
    0xffbd873f,
    0xff915d00,
    0xff753600,
    0xff8e531a,
    0xff935922,
    0xff985e1e,
    0xffeb3e19,
    0xffd52112,
    0xffda1b12,
    0xfffe582c,
    0xffff907c,
    0xff95433d,
    0xff021200,
    0xff0b1800,
    0xff0f1700,
    0xff0c1500,
    0xff0a1501,
    0xff091300,
    0xff081200,
    0xff071101,
    0xff051000,
    0xff060d00,
    0xff010c00,
    0xff350a05,
    0xffed4223,
    0xfff03623,
    0xffad0000,
    0xffa10100,
    0xffab090a,
    0xffa80101,
    0xffa80000,
    0xffaf0501,
    0xff990d01,
    0xff1d0100,
    0xff0f0900,
    0xff180b01,
    0xff1b0c01,
    0xff1d0e01,
    0xff1c0e00,
    0xff201000,
    0xff221201,
    0xff231001,
    0xff231302,
    0xff1d0f00,
    0xff1a0c00,
    0xff190b01,
    0xff130a00,
    0xff0c0900,
    0xff030500,
    0xff010100,
    0xff000100,
    0xff000301,
    0xff020500,
    0xff000300,
    0xff010700,
    0xff090901,
    0xff120e00,
    0xff170f00,
    0xff181100,
    0xff1d1301,
    0xff201201,
    0xff201500,
    0xff221700,
    0xff251700,
    0xff231800,
    0xff241800,
    0xff231700,
    0xff211800,
    0xff221800,
    0xff201900,
    0xff1e1700,
    0xff1a1500,
    0xff151200,
    0xff171300,
    0xff1a1300,
    0xff1b1500,
    0xff1d1501,
    0xff231600,
    0xff271800,
    0xff281a00,
    0xff291c00,
    0xff2d1f00,
    0xff302100,
    0xff332300,
    0xff342700,
    0xff352900,
    0xff372b01,
    0xff352d01,
    0xff372f03,
    0xff373007,
    0xff383108,
    0xff393208,
    0xff3a330a,
    0xff3c330a,
    0xff3b350a,
    0xff3a3209,
    0xff383205,
    0xff373002,
    0xff302b00,
    0xff282300,
    0xff221c00,
    0xff1c1700,
    0xff171600,
    0xff121200,
    0xff0f0e00,
    0xff070b00,
    0xff040a00,
    0xff040b01,
    0xff050900,
    0xff000800,
    0xff040801,
    0xff010600,
    0xff010600,
    0xff020700,
    0xff010700,
    0xff020500,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010600,
    0xff020601,
    0xff000800,
    0xff000a01,
    0xff000901,
    0xff040b00,
    0xff040c00,
    0xff070d00,
    0xff0a0e00,
    0xff091201,
    0xff0b1001,
    0xff0e1400,
    0xff121500,
    0xff141801,
    0xff181c01,
    0xff1b1e01,
    0xff1d2100,
    0xff1e2301,
    0xff1f2400,
    0xff232600,
    0xff232601,
    0xff242800,
    0xff272600,
    0xff272700,
    0xff262500,
    0xff252501,
    0xff232300,
    0xff212000,
    0xff1f1e00,
    0xff1f1e00,
    0xff1b1900,
    0xff191700,
    0xff141400,
    0xff0c0f00,
    0xff0a0d00,
    0xff060900,
    0xff000601,
    0xff000401,
    0xff010200,
    0xff010300,
    0xff010200,
    0xff000400,
    0xff000501,
    0xff030801,
    0xff080e00,
    0xff0f1300,
    0xff181701,
    0xff181b00,
    0xff1e1d00,
    0xff231e00,
    0xff262200,
    0xff292400,
    0xff2f2900,
    0xff342d01,
    0xff383000,
    0xff3f3500,
    0xff4b3901,
    0xff543f02,
    0xff5a4704,
    0xff5e4c05,
    0xff675207,
    0xff66590a,
    0xff6b6110,
    0xff726717,
    0xff766c1d,
    0xff787321,
    0xff797525,
    0xff76752c,
    0xff71772b,
    0xff687325,
    0xff606f22,
    0xff5c6b1d,
    0xff54661f,
    0xff53631d,
    0xff50611c,
    0xff4f6015,
    0xff475c13,
    0xff42540c,
    0xff3c4e08,
    0xff384903,
    0xff314300,
    0xff2e3d00,
    0xff2c3a00,
    0xff2a3901,
    0xff2c3901,
    0xff2d3c01,
    0xff2e3e00,
    0xff324003,
    0xff334206,
    0xff354307,
    0xff354507,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff120000,
    0xff470100,
    0xff750401,
    0xff920b00,
    0xffa11000,
    0xffa41102,
    0xffa41402,
    0xffa61601,
    0xffa71700,
    0xffaf1f04,
    0xffba220c,
    0xffcf2a16,
    0xffe2321a,
    0xffdd2c19,
    0xffce2012,
    0xffb8120e,
    0xff9b0a04,
    0xff951304,
    0xff900c01,
    0xff140002,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff2d0b01,
    0xff820d01,
    0xff890000,
    0xff820000,
    0xff820100,
    0xff810000,
    0xff8c0001,
    0xffb91c0b,
    0xff991308,
    0xff6d1000,
    0xff491c00,
    0xff242500,
    0xff192602,
    0xff1c2701,
    0xff1e2901,
    0xff212c01,
    0xff212c01,
    0xff222f01,
    0xff232e00,
    0xff252d00,
    0xff252e01,
    0xff242c00,
    0xff222d00,
    0xff212c02,
    0xff222c01,
    0xff202900,
    0xff262d01,
    0xff683506,
    0xff9c250a,
    0xffa80d01,
    0xff9c0200,
    0xff930001,
    0xff8d0100,
    0xff8d0000,
    0xff860001,
    0xff910001,
    0xffbe1301,
    0xffc31905,
    0xff9c3500,
    0xffa77617,
    0xffffefb8,
    0xfffcdfa9,
    0xffa8701e,
    0xff895600,
    0xff6f3100,
    0xffa23f0a,
    0xffb44919,
    0xff9e611e,
    0xfffb5623,
    0xffe72611,
    0xffd72518,
    0xffd51304,
    0xffff542d,
    0xffff5240,
    0xff551809,
    0xff041200,
    0xff0b1500,
    0xff0b1301,
    0xff091302,
    0xff091202,
    0xff091101,
    0xff090f00,
    0xff070d01,
    0xff060e01,
    0xff000600,
    0xff8e2110,
    0xfffb4f26,
    0xffd61611,
    0xffa30000,
    0xffa20201,
    0xffae0808,
    0xffa70000,
    0xffa80000,
    0xffb10602,
    0xffae1105,
    0xff290200,
    0xff0d0900,
    0xff180a00,
    0xff1a0c01,
    0xff1b0d00,
    0xff201001,
    0xff231201,
    0xff241200,
    0xff231100,
    0xff211000,
    0xff1d0e00,
    0xff1b0d01,
    0xff190c01,
    0xff150900,
    0xff0d0900,
    0xff040400,
    0xff010100,
    0xff000200,
    0xff010401,
    0xff010300,
    0xff010201,
    0xff000700,
    0xff080900,
    0xff110e01,
    0xff170f00,
    0xff191200,
    0xff1b1300,
    0xff1e1300,
    0xff211501,
    0xff231500,
    0xff201600,
    0xff231700,
    0xff211700,
    0xff221800,
    0xff201601,
    0xff1f1701,
    0xff211500,
    0xff1c1400,
    0xff181200,
    0xff141201,
    0xff161200,
    0xff171300,
    0xff181300,
    0xff1b1301,
    0xff1d1400,
    0xff231600,
    0xff221600,
    0xff251800,
    0xff2a1b00,
    0xff2e1f00,
    0xff302200,
    0xff312500,
    0xff332600,
    0xff332700,
    0xff332a02,
    0xff352c03,
    0xff342d04,
    0xff352e03,
    0xff372f06,
    0xff373009,
    0xff373106,
    0xff383009,
    0xff373105,
    0xff322d00,
    0xff2f2501,
    0xff2a1f00,
    0xff211800,
    0xff1f1601,
    0xff1b1501,
    0xff151300,
    0xff121100,
    0xff0e0d00,
    0xff080a00,
    0xff060901,
    0xff040900,
    0xff070903,
    0xff010800,
    0xff050700,
    0xff040801,
    0xff010700,
    0xff020700,
    0xff010600,
    0xff030700,
    0xff030701,
    0xff010701,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff020601,
    0xff010700,
    0xff040801,
    0xff040801,
    0xff050901,
    0xff060b02,
    0xff070c00,
    0xff040f00,
    0xff090f00,
    0xff0c1001,
    0xff0d1100,
    0xff111401,
    0xff141600,
    0xff151901,
    0xff1a1b00,
    0xff1b1f00,
    0xff1e2301,
    0xff222101,
    0xff242400,
    0xff232700,
    0xff262600,
    0xff262701,
    0xff272700,
    0xff292600,
    0xff262401,
    0xff232301,
    0xff221e00,
    0xff1e1f00,
    0xff1e1f00,
    0xff1c1e00,
    0xff1a1b00,
    0xff171600,
    0xff121500,
    0xff0e1001,
    0xff090e00,
    0xff070a01,
    0xff010600,
    0xff000401,
    0xff010300,
    0xff000300,
    0xff010200,
    0xff000400,
    0xff000500,
    0xff000700,
    0xff030a01,
    0xff090d00,
    0xff111301,
    0xff161800,
    0xff1c1b00,
    0xff211f00,
    0xff241f01,
    0xff292300,
    0xff2d2800,
    0xff352d00,
    0xff383000,
    0xff423201,
    0xff4c3902,
    0xff553f02,
    0xff5a4602,
    0xff5e4b03,
    0xff645005,
    0xff645507,
    0xff685e0b,
    0xff6e6412,
    0xff736b18,
    0xff77701f,
    0xff787524,
    0xff79752a,
    0xff727729,
    0xff677424,
    0xff606f20,
    0xff566c1b,
    0xff56681b,
    0xff55651b,
    0xff51621a,
    0xff4e6113,
    0xff46590f,
    0xff445308,
    0xff3c5007,
    0xff394a03,
    0xff344700,
    0xff334101,
    0xff2e3d00,
    0xff2d3e00,
    0xff303d00,
    0xff334102,
    0xff344405,
    0xff354705,
    0xff3a4a07,
    0xff3e4d09,
    0xff41500e,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff030001,
    0xff220000,
    0xff4f0001,
    0xff760300,
    0xff8f0a00,
    0xffa31101,
    0xffac1601,
    0xffb51700,
    0xffba1d05,
    0xffc52612,
    0xffdd2d19,
    0xffd02012,
    0xffb7110a,
    0xffa40704,
    0xff970800,
    0xff901101,
    0xff911000,
    0xff6f0301,
    0xff000002,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff1a0600,
    0xff790d01,
    0xff880000,
    0xff840001,
    0xff890501,
    0xff7f0100,
    0xff830000,
    0xffa10702,
    0xffaf1807,
    0xffa21907,
    0xff7a1202,
    0xff461b01,
    0xff202500,
    0xff1b2701,
    0xff1d2900,
    0xff1e2900,
    0xff212a01,
    0xff222d00,
    0xff232d01,
    0xff232c01,
    0xff232c00,
    0xff242d01,
    0xff232d02,
    0xff232d02,
    0xff232c02,
    0xff212a01,
    0xff202600,
    0xff702706,
    0xffa31803,
    0xffa90a01,
    0xff9b0101,
    0xff8f0000,
    0xff8d0100,
    0xff8c0100,
    0xff870000,
    0xff8f0000,
    0xffae0800,
    0xffb31300,
    0xffa55800,
    0xffb78718,
    0xfff7de98,
    0xffc8934d,
    0xffa07103,
    0xff7f4300,
    0xff8a3302,
    0xffc51e03,
    0xffd83212,
    0xffa04d15,
    0xffe8642a,
    0xffff502d,
    0xffdc1f0b,
    0xffca140b,
    0xffe02106,
    0xffea381e,
    0xffd92a1b,
    0xff511c0e,
    0xff000f00,
    0xff091100,
    0xff0d1101,
    0xff0a0f00,
    0xff080f00,
    0xff070e01,
    0xff070d01,
    0xff010c01,
    0xff220802,
    0xffdb3d1f,
    0xffff552b,
    0xffcf0d0b,
    0xffa10000,
    0xffa10202,
    0xffac0504,
    0xffaa0001,
    0xffa90100,
    0xffad0802,
    0xffc61615,
    0xff720c08,
    0xff090600,
    0xff170a01,
    0xff1b0d00,
    0xff1e0f00,
    0xff221101,
    0xff241301,
    0xff231202,
    0xff200e00,
    0xff200e00,
    0xff1e0e00,
    0xff1a0c00,
    0xff180c00,
    0xff150901,
    0xff0e0900,
    0xff040600,
    0xff000000,
    0xff000400,
    0xff000100,
    0xff000300,
    0xff010401,
    0xff000600,
    0xff070800,
    0xff110e00,
    0xff171001,
    0xff191200,
    0xff1b1401,
    0xff1d1401,
    0xff1e1500,
    0xff1e1700,
    0xff1e1500,
    0xff211601,
    0xff201500,
    0xff201600,
    0xff1e1501,
    0xff1c1500,
    0xff1b1401,
    0xff181200,
    0xff121100,
    0xff101100,
    0xff151100,
    0xff181300,
    0xff1a1300,
    0xff181200,
    0xff1a1300,
    0xff1d1301,
    0xff211500,
    0xff221600,
    0xff261800,
    0xff281b00,
    0xff2b1f00,
    0xff2e2000,
    0xff2f2301,
    0xff2f2500,
    0xff332602,
    0xff322900,
    0xff342c02,
    0xff332c02,
    0xff352c04,
    0xff342d05,
    0xff362f03,
    0xff342f01,
    0xff312801,
    0xff292100,
    0xff271c00,
    0xff241800,
    0xff1f1800,
    0xff1e1600,
    0xff1a1601,
    0xff151300,
    0xff100f00,
    0xff0d0d00,
    0xff080a00,
    0xff060700,
    0xff040800,
    0xff040700,
    0xff040801,
    0xff040700,
    0xff030700,
    0xff030801,
    0xff010600,
    0xff030700,
    0xff030600,
    0xff030700,
    0xff010600,
    0xff020700,
    0xff020701,
    0xff020500,
    0xff010600,
    0xff010700,
    0xff020700,
    0xff020800,
    0xff030901,
    0xff010a00,
    0xff030a00,
    0xff050b01,
    0xff060d01,
    0xff070d00,
    0xff0a0e01,
    0xff0d1101,
    0xff0f1300,
    0xff121500,
    0xff151700,
    0xff161901,
    0xff191b01,
    0xff1e2000,
    0xff1e2100,
    0xff1e2400,
    0xff242501,
    0xff252700,
    0xff252801,
    0xff282601,
    0xff272700,
    0xff292700,
    0xff262300,
    0xff252200,
    0xff241f00,
    0xff251f02,
    0xff1f1f00,
    0xff1d1e00,
    0xff191b00,
    0xff171701,
    0xff141500,
    0xff101201,
    0xff0b1101,
    0xff060b00,
    0xff000700,
    0xff000500,
    0xff000500,
    0xff000300,
    0xff000300,
    0xff000401,
    0xff000500,
    0xff030701,
    0xff030701,
    0xff070a00,
    0xff090e00,
    0xff101400,
    0xff171900,
    0xff1e1d00,
    0xff221e00,
    0xff262101,
    0xff2d2501,
    0xff342b00,
    0xff392f01,
    0xff3f3000,
    0xff4b3702,
    0xff553e04,
    0xff5a4603,
    0xff5d4903,
    0xff624e05,
    0xff645405,
    0xff665908,
    0xff6b620f,
    0xff716815,
    0xff766d1d,
    0xff787422,
    0xff767627,
    0xff717628,
    0xff647021,
    0xff5f6a1c,
    0xff5a681a,
    0xff566719,
    0xff546315,
    0xff4f6313,
    0xff4b5f0e,
    0xff46550b,
    0xff435308,
    0xff3d4f05,
    0xff3c4a03,
    0xff354a01,
    0xff354300,
    0xff304200,
    0xff314200,
    0xff354402,
    0xff364703,
    0xff384b05,
    0xff3e4e09,
    0xff41520c,
    0xff46540f,
    0xff4a5813,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000101,
    0xff000001,
    0xff050000,
    0xff1c0000,
    0xff390001,
    0xff560001,
    0xff6a0300,
    0xff720400,
    0xff700200,
    0xffaf2211,
    0xffc81c11,
    0xffb10a01,
    0xff990000,
    0xff9a0300,
    0xff930d03,
    0xff8c1202,
    0xff920700,
    0xff450002,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff150300,
    0xff750800,
    0xff8c0000,
    0xff890000,
    0xff940e01,
    0xff880402,
    0xff7f0000,
    0xff920001,
    0xff9f0901,
    0xffa81506,
    0xffa51b08,
    0xff6c0f00,
    0xff321d00,
    0xff1a2701,
    0xff1e2901,
    0xff202900,
    0xff222901,
    0xff222b00,
    0xff232c01,
    0xff242d02,
    0xff232c01,
    0xff242d02,
    0xff232c01,
    0xff232c01,
    0xff232b00,
    0xff1d2a01,
    0xff2e2500,
    0xff7f1b01,
    0xffaa1502,
    0xffa20600,
    0xff970001,
    0xff8d0000,
    0xff8d0000,
    0xff8b0000,
    0xff890000,
    0xff8b0000,
    0xffa40200,
    0xffaa1b00,
    0xffac6804,
    0xffc3931c,
    0xffc99841,
    0xffb47e15,
    0xff956401,
    0xff782b00,
    0xffbf2408,
    0xffcb1b0a,
    0xffce2806,
    0xff9c4111,
    0xffb36428,
    0xffff5b2f,
    0xffff4525,
    0xffda1d0a,
    0xffca0f02,
    0xffd31806,
    0xffbd1401,
    0xffdc2d20,
    0xff4a180e,
    0xff000b00,
    0xff071001,
    0xff081000,
    0xff080d00,
    0xff060d01,
    0xff060c00,
    0xff000600,
    0xff75190e,
    0xfff9592f,
    0xfffe4929,
    0xffd51106,
    0xffa20000,
    0xffa10301,
    0xffa90202,
    0xffb30600,
    0xffae0500,
    0xffa60401,
    0xffdd3032,
    0xfff95144,
    0xff130000,
    0xff170d00,
    0xff1f1201,
    0xff241201,
    0xff221100,
    0xff200e00,
    0xff1f0e00,
    0xff1e0f00,
    0xff1f0e01,
    0xff1d0d00,
    0xff1a0c02,
    0xff180b00,
    0xff160a01,
    0xff0e0800,
    0xff040700,
    0xff050a04,
    0xff000100,
    0xff000100,
    0xff010400,
    0xff000400,
    0xff030400,
    0xff080901,
    0xff0f0e00,
    0xff161001,
    0xff191100,
    0xff1a1300,
    0xff1b1600,
    0xff1f1501,
    0xff1e1500,
    0xff1e1601,
    0xff211502,
    0xff211501,
    0xff1f1501,
    0xff1d1400,
    0xff191400,
    0xff191100,
    0xff131000,
    0xff0d0f00,
    0xff0f0f00,
    0xff121201,
    0xff181200,
    0xff181200,
    0xff181200,
    0xff181100,
    0xff181101,
    0xff1c1300,
    0xff1f1500,
    0xff211500,
    0xff231600,
    0xff261900,
    0xff271b00,
    0xff291d01,
    0xff2b2200,
    0xff2b2600,
    0xff2f2800,
    0xff2f2701,
    0xff2e2500,
    0xff312702,
    0xff322801,
    0xff302800,
    0xff292400,
    0xff271c01,
    0xff241700,
    0xff261800,
    0xff201701,
    0xff1d1600,
    0xff1d1500,
    0xff1a1600,
    0xff171200,
    0xff0e0e00,
    0xff0c0b00,
    0xff070800,
    0xff060701,
    0xff040700,
    0xff040701,
    0xff050701,
    0xff040700,
    0xff040700,
    0xff050801,
    0xff030700,
    0xff050700,
    0xff040700,
    0xff030700,
    0xff010600,
    0xff010700,
    0xff010601,
    0xff040601,
    0xff020600,
    0xff020700,
    0xff030801,
    0xff040901,
    0xff060901,
    0xff050a00,
    0xff050a00,
    0xff070d00,
    0xff070d01,
    0xff080e01,
    0xff091000,
    0xff0f1200,
    0xff121400,
    0xff141600,
    0xff171701,
    0xff191900,
    0xff1a1c01,
    0xff1e1e00,
    0xff212200,
    0xff212401,
    0xff242401,
    0xff262700,
    0xff252600,
    0xff262600,
    0xff282700,
    0xff292700,
    0xff272501,
    0xff262300,
    0xff222100,
    0xff241f01,
    0xff222101,
    0xff1d1f00,
    0xff1c1b00,
    0xff181a02,
    0xff131700,
    0xff0e1400,
    0xff0c0f00,
    0xff040c00,
    0xff010700,
    0xff010600,
    0xff000500,
    0xff000501,
    0xff000500,
    0xff000502,
    0xff010601,
    0xff010600,
    0xff020801,
    0xff040b01,
    0xff080c01,
    0xff0c1000,
    0xff131500,
    0xff1b1901,
    0xff201c01,
    0xff231e00,
    0xff2b2400,
    0xff332800,
    0xff382d00,
    0xff3e3001,
    0xff473602,
    0xff523b05,
    0xff584205,
    0xff5d4804,
    0xff614c06,
    0xff615001,
    0xff655504,
    0xff665c0a,
    0xff6d620f,
    0xff726817,
    0xff726e1d,
    0xff707120,
    0xff6a6f20,
    0xff626c1d,
    0xff5e681a,
    0xff586617,
    0xff566415,
    0xff536212,
    0xff4f5d0d,
    0xff475a09,
    0xff465409,
    0xff415402,
    0xff3c4f04,
    0xff3c4c04,
    0xff3a4c02,
    0xff344900,
    0xff344600,
    0xff354700,
    0xff374702,
    0xff3b4b06,
    0xff415008,
    0xff46520c,
    0xff45570f,
    0xff4e5c14,
    0xff4f6016,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff000300,
    0xff000101,
    0xff060001,
    0xff0f0000,
    0xff130000,
    0xff1d0000,
    0xffbd2c16,
    0xffb80e09,
    0xff9b0100,
    0xff930000,
    0xffaa0f02,
    0xff971305,
    0xff8a0a00,
    0xff9b0900,
    0xff1e0002,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff150301,
    0xff750b00,
    0xff8a0001,
    0xff8c0100,
    0xffa21502,
    0xff8a0501,
    0xff7b0000,
    0xff870000,
    0xff910200,
    0xff9b0601,
    0xffa30e04,
    0xff8f1202,
    0xff471500,
    0xff1b2401,
    0xff1e2700,
    0xff1f2700,
    0xff202800,
    0xff212900,
    0xff222a00,
    0xff222a01,
    0xff242b01,
    0xff242d02,
    0xff242c00,
    0xff242a01,
    0xff212a00,
    0xff1e2701,
    0xff432200,
    0xff921601,
    0xffa70d00,
    0xff9f0400,
    0xff940001,
    0xff8e0000,
    0xff8d0100,
    0xff890000,
    0xff890000,
    0xff8d0000,
    0xff9e0100,
    0xffa21600,
    0xff9d4f00,
    0xffab7308,
    0xffae740c,
    0xffa16b05,
    0xff904108,
    0xffb8240b,
    0xffd5240d,
    0xffde2716,
    0xffc71e07,
    0xff9f3c09,
    0xff965019,
    0xffff6a34,
    0xffff5029,
    0xffff4424,
    0xffda1e0c,
    0xffc81106,
    0xffba0c01,
    0xffb81400,
    0xffd42c1c,
    0xff571911,
    0xff000600,
    0xff040c00,
    0xff070c01,
    0xff060b01,
    0xff020b00,
    0xff130501,
    0xffc4341a,
    0xffff5f32,
    0xfffd4122,
    0xffd50f03,
    0xffa30000,
    0xffa20200,
    0xffa60000,
    0xffbf0d01,
    0xffbd0d02,
    0xffa70205,
    0xffe83f3d,
    0xffffbd9f,
    0xff7f202c,
    0xff130a00,
    0xff211201,
    0xff221202,
    0xff1c0c00,
    0xff1f0f00,
    0xff1e0f00,
    0xff1f0f00,
    0xff1e0e00,
    0xff1d0d00,
    0xff1a0b00,
    0xff190d01,
    0xff150901,
    0xff0f0800,
    0xff111409,
    0xff030603,
    0xff000100,
    0xff000200,
    0xff010300,
    0xff010401,
    0xff020600,
    0xff090901,
    0xff0f0e01,
    0xff151000,
    0xff191200,
    0xff1a1300,
    0xff1d1501,
    0xff1e1600,
    0xff1d1500,
    0xff1f1702,
    0xff1d1500,
    0xff1f1602,
    0xff1e1601,
    0xff1d1500,
    0xff191301,
    0xff181100,
    0xff0f0e01,
    0xff090c00,
    0xff0c0d00,
    0xff101001,
    0xff141100,
    0xff181100,
    0xff181100,
    0xff171000,
    0xff171000,
    0xff181001,
    0xff1c1100,
    0xff1e1501,
    0xff1f1600,
    0xff211601,
    0xff241800,
    0xff251b00,
    0xff271c00,
    0xff261f00,
    0xff291f00,
    0xff292000,
    0xff272100,
    0xff282400,
    0xff272000,
    0xff231b00,
    0xff251700,
    0xff241701,
    0xff231701,
    0xff231701,
    0xff201401,
    0xff1d1501,
    0xff1b1400,
    0xff1a1501,
    0xff161100,
    0xff0d0d01,
    0xff090a00,
    0xff070800,
    0xff050701,
    0xff030600,
    0xff040700,
    0xff040700,
    0xff030600,
    0xff040700,
    0xff020700,
    0xff050801,
    0xff050801,
    0xff040700,
    0xff030700,
    0xff020600,
    0xff030700,
    0xff010600,
    0xff030600,
    0xff040701,
    0xff030801,
    0xff010700,
    0xff030900,
    0xff060801,
    0xff070900,
    0xff070a01,
    0xff080c01,
    0xff080d00,
    0xff070e00,
    0xff0d1000,
    0xff111301,
    0xff151500,
    0xff161700,
    0xff191701,
    0xff1b1a01,
    0xff1b1c00,
    0xff1f1f00,
    0xff212201,
    0xff232301,
    0xff252500,
    0xff272700,
    0xff262600,
    0xff272500,
    0xff282700,
    0xff292700,
    0xff272500,
    0xff272300,
    0xff231f00,
    0xff232000,
    0xff222101,
    0xff1f1f01,
    0xff1d1e00,
    0xff181a01,
    0xff121600,
    0xff0c1301,
    0xff090e00,
    0xff060b01,
    0xff000900,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff010600,
    0xff000500,
    0xff010500,
    0xff010700,
    0xff030701,
    0xff060902,
    0xff090b00,
    0xff0a0e00,
    0xff0f1000,
    0xff161500,
    0xff1d1900,
    0xff211d00,
    0xff262100,
    0xff2e2600,
    0xff362b00,
    0xff3e2e00,
    0xff453303,
    0xff4e3805,
    0xff553f06,
    0xff594703,
    0xff5c4b04,
    0xff5f4d01,
    0xff605402,
    0xff635806,
    0xff685d0c,
    0xff696312,
    0xff6b6919,
    0xff696a1e,
    0xff656a1d,
    0xff606919,
    0xff5b6616,
    0xff546413,
    0xff526111,
    0xff4d5e0c,
    0xff4a5809,
    0xff485606,
    0xff445404,
    0xff405105,
    0xff3c4e03,
    0xff3d4c02,
    0xff3b4c01,
    0xff364d00,
    0xff384b01,
    0xff374a00,
    0xff3b4c04,
    0xff404f06,
    0xff45530a,
    0xff49570f,
    0xff4b5d11,
    0xff526016,
    0xff566416,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000200,
    0xff000300,
    0xff000400,
    0xff000700,
    0xff000600,
    0xff000700,
    0xff000500,
    0xff000200,
    0xff000001,
    0xff200a03,
    0xffd33018,
    0xffad0b0a,
    0xff910000,
    0xff9e0300,
    0xffb61c05,
    0xff950e02,
    0xff930901,
    0xff700c03,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff100100,
    0xff700c01,
    0xff880201,
    0xff900100,
    0xffa90e01,
    0xff8c0200,
    0xff780000,
    0xff7e0000,
    0xff8a0001,
    0xff8f0100,
    0xff910300,
    0xff9d0b00,
    0xff671101,
    0xff282000,
    0xff1a2501,
    0xff1f2800,
    0xff202800,
    0xff202800,
    0xff212901,
    0xff222a00,
    0xff232a00,
    0xff232c01,
    0xff222b01,
    0xff242800,
    0xff202900,
    0xff202801,
    0xff5c1b00,
    0xff9e1300,
    0xffa50800,
    0xff9b0100,
    0xff910001,
    0xff8e0000,
    0xff8c0100,
    0xff880000,
    0xff890000,
    0xff900000,
    0xff9d0100,
    0xffa11b01,
    0xff8c4a01,
    0xff7f5801,
    0xff805200,
    0xff7b4400,
    0xff79350f,
    0xffdc3a29,
    0xffcd2515,
    0xfff94630,
    0xffd2190d,
    0xffb14f19,
    0xffab6823,
    0xfff36c36,
    0xffff582d,
    0xfffc4926,
    0xffff3a19,
    0xffd41806,
    0xffc11006,
    0xffb80b02,
    0xffb50e00,
    0xffdc301c,
    0xff89332c,
    0xff000500,
    0xff040801,
    0xff060900,
    0xff000800,
    0xff551407,
    0xffea4a25,
    0xffff502e,
    0xfff33217,
    0xffcf0b01,
    0xffa70001,
    0xffa00000,
    0xffa00000,
    0xffc71002,
    0xffcd1607,
    0xffab0307,
    0xfff04e45,
    0xffffb895,
    0xffed807b,
    0xff0f0000,
    0xff1d0f00,
    0xff1c0c00,
    0xff1c0c00,
    0xff1e0f00,
    0xff1f0e00,
    0xff1f0e00,
    0xff1d0d00,
    0xff1d0d00,
    0xff1a0b00,
    0xff170b00,
    0xff130800,
    0xff1b1808,
    0xff0b0b05,
    0xff000100,
    0xff000101,
    0xff010301,
    0xff000200,
    0xff020300,
    0xff000801,
    0xff080a00,
    0xff0f0e00,
    0xff141000,
    0xff1b1301,
    0xff1a1300,
    0xff1d1501,
    0xff1e1601,
    0xff1e1600,
    0xff1d1601,
    0xff1d1500,
    0xff1d1600,
    0xff1e1601,
    0xff1c1500,
    0xff191200,
    0xff171101,
    0xff0d0d01,
    0xff080a00,
    0xff080a00,
    0xff0d0e01,
    0xff120f00,
    0xff160f00,
    0xff160f00,
    0xff160f00,
    0xff160f00,
    0xff170f00,
    0xff190f00,
    0xff181000,
    0xff1a1200,
    0xff1e1101,
    0xff1c1401,
    0xff1e1401,
    0xff201501,
    0xff1e1801,
    0xff211900,
    0xff221a00,
    0xff201900,
    0xff1f1800,
    0xff221600,
    0xff211600,
    0xff211600,
    0xff221701,
    0xff201601,
    0xff1d1400,
    0xff1f1402,
    0xff1a1401,
    0xff1b1401,
    0xff191300,
    0xff161000,
    0xff0e0d01,
    0xff080900,
    0xff040700,
    0xff030600,
    0xff030600,
    0xff040700,
    0xff040700,
    0xff040600,
    0xff030600,
    0xff010700,
    0xff040700,
    0xff040700,
    0xff050700,
    0xff030801,
    0xff020700,
    0xff040700,
    0xff010600,
    0xff040700,
    0xff040700,
    0xff050801,
    0xff040801,
    0xff050801,
    0xff050901,
    0xff070a01,
    0xff060a00,
    0xff080b00,
    0xff080c00,
    0xff0a0e00,
    0xff0d1201,
    0xff131500,
    0xff171600,
    0xff171700,
    0xff1a1701,
    0xff1b1901,
    0xff1d1d00,
    0xff1f1e00,
    0xff222201,
    0xff232301,
    0xff252600,
    0xff262600,
    0xff272600,
    0xff282600,
    0xff282700,
    0xff292700,
    0xff272500,
    0xff262200,
    0xff242100,
    0xff222200,
    0xff212101,
    0xff222001,
    0xff1f1f00,
    0xff171a00,
    0xff131501,
    0xff0b1300,
    0xff090e01,
    0xff050b01,
    0xff050900,
    0xff010700,
    0xff000500,
    0xff000500,
    0xff000400,
    0xff010600,
    0xff000500,
    0xff010600,
    0xff020800,
    0xff070900,
    0xff070c00,
    0xff090e00,
    0xff0e0f01,
    0xff141400,
    0xff191700,
    0xff1e1900,
    0xff231e00,
    0xff2a2100,
    0xff332700,
    0xff3d2e01,
    0xff413204,
    0xff4c3606,
    0xff533c06,
    0xff584406,
    0xff5c4903,
    0xff5c4a04,
    0xff5c5002,
    0xff5e5305,
    0xff605709,
    0xff635c0f,
    0xff656217,
    0xff666519,
    0xff63671a,
    0xff606817,
    0xff586412,
    0xff52610e,
    0xff4c5b09,
    0xff485607,
    0xff485405,
    0xff445404,
    0xff425202,
    0xff3e5001,
    0xff3d4f00,
    0xff3f4f01,
    0xff3c5101,
    0xff3d4f00,
    0xff3b4e00,
    0xff3f4e01,
    0xff3d5203,
    0xff455307,
    0xff495709,
    0xff4c5c10,
    0xff515f11,
    0xff556318,
    0xff5a6719,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000300,
    0xff000400,
    0xff000600,
    0xff000701,
    0xff010900,
    0xff010801,
    0xff010901,
    0xff000700,
    0xff000200,
    0xff4c1104,
    0xffd9281c,
    0xffb31111,
    0xff8c0000,
    0xffac0e02,
    0xffae1804,
    0xff700800,
    0xff390400,
    0xff040000,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff030001,
    0xff5d0a00,
    0xff830200,
    0xff980201,
    0xffab0801,
    0xff890000,
    0xff7a0000,
    0xff7b0000,
    0xff7f0000,
    0xff870000,
    0xff890000,
    0xff980800,
    0xff810f00,
    0xff481201,
    0xff272101,
    0xff1c2600,
    0xff1f2700,
    0xff1f2700,
    0xff222a00,
    0xff212900,
    0xff242a01,
    0xff232a01,
    0xff232a01,
    0xff212900,
    0xff1e2800,
    0xff2f2300,
    0xff751701,
    0xffa30f00,
    0xffa00501,
    0xff990000,
    0xff900000,
    0xff8e0000,
    0xff8c0100,
    0xff870000,
    0xff8d0001,
    0xff950000,
    0xff9e0601,
    0xff9b1700,
    0xff723400,
    0xff543a00,
    0xff543601,
    0xff593102,
    0xff1b1300,
    0xff4b170a,
    0xffd52311,
    0xfffb6541,
    0xffef3535,
    0xffcc773a,
    0xffc58f44,
    0xffe78148,
    0xffff5d31,
    0xfffc522d,
    0xfff93e1b,
    0xfff63016,
    0xffb80e00,
    0xffc01008,
    0xffbb0d05,
    0xffbc1200,
    0xffe12e1e,
    0xff701815,
    0xff000000,
    0xff010700,
    0xff020300,
    0xff9a2914,
    0xfff54f2a,
    0xfff0371f,
    0xffe9230c,
    0xffc90800,
    0xffa70100,
    0xff990001,
    0xff990000,
    0xffc50e01,
    0xffdc210d,
    0xffb60c0f,
    0xfff74d3a,
    0xfffda27e,
    0xffffb39d,
    0xff4e1019,
    0xff130700,
    0xff1b0a00,
    0xff1e0e00,
    0xff1e0e01,
    0xff1f0d00,
    0xff1f0e00,
    0xff1e0e01,
    0xff1d0d00,
    0xff1c0b01,
    0xff160a00,
    0xff2d1c0c,
    0xff161209,
    0xff060600,
    0xff000200,
    0xff000101,
    0xff000201,
    0xff010400,
    0xff000400,
    0xff010700,
    0xff090b00,
    0xff0e0f01,
    0xff131201,
    0xff181200,
    0xff1a1300,
    0xff1c1402,
    0xff1c1501,
    0xff201501,
    0xff1f1400,
    0xff1d1701,
    0xff1e1400,
    0xff1b1400,
    0xff1a1301,
    0xff191100,
    0xff131100,
    0xff0c0c01,
    0xff070801,
    0xff060700,
    0xff0b0b00,
    0xff0f0e01,
    0xff130e00,
    0xff120d00,
    0xff140c01,
    0xff140b01,
    0xff140c00,
    0xff150c00,
    0xff170e01,
    0xff170e00,
    0xff171100,
    0xff171000,
    0xff181100,
    0xff181100,
    0xff191300,
    0xff1d1400,
    0xff1d1401,
    0xff1c1500,
    0xff1d1600,
    0xff1f1401,
    0xff201500,
    0xff211601,
    0xff201400,
    0xff1e1501,
    0xff1d1502,
    0xff1b1300,
    0xff191201,
    0xff191200,
    0xff181100,
    0xff140f00,
    0xff0c0b00,
    0xff080801,
    0xff030601,
    0xff030600,
    0xff040700,
    0xff030700,
    0xff040501,
    0xff030500,
    0xff030500,
    0xff020500,
    0xff040501,
    0xff040700,
    0xff030600,
    0xff030500,
    0xff040601,
    0xff040501,
    0xff040700,
    0xff040700,
    0xff030601,
    0xff030500,
    0xff040800,
    0xff040700,
    0xff060800,
    0xff080901,
    0xff080901,
    0xff090b00,
    0xff090e00,
    0xff0b0e00,
    0xff0f1301,
    0xff151500,
    0xff161501,
    0xff181901,
    0xff1c1901,
    0xff1e1b01,
    0xff1e1b00,
    0xff1f1e00,
    0xff212101,
    0xff262300,
    0xff282701,
    0xff292500,
    0xff272700,
    0xff2a2500,
    0xff2a2600,
    0xff2a2500,
    0xff252600,
    0xff242300,
    0xff232300,
    0xff242401,
    0xff212400,
    0xff212100,
    0xff1a1d00,
    0xff171901,
    0xff121500,
    0xff0b1401,
    0xff070e00,
    0xff050b01,
    0xff070901,
    0xff020901,
    0xff010700,
    0xff010600,
    0xff010301,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff020700,
    0xff050801,
    0xff090b00,
    0xff0a0c00,
    0xff0d0e01,
    0xff111200,
    0xff171501,
    0xff1d1600,
    0xff211b00,
    0xff291e00,
    0xff2f2200,
    0xff392b00,
    0xff413101,
    0xff4a3606,
    0xff503906,
    0xff554208,
    0xff574504,
    0xff594904,
    0xff594d03,
    0xff5a4d05,
    0xff595109,
    0xff60570e,
    0xff625d14,
    0xff625e15,
    0xff616216,
    0xff5b6312,
    0xff54600f,
    0xff4c5a07,
    0xff485605,
    0xff435303,
    0xff445302,
    0xff415101,
    0xff404f00,
    0xff3e5001,
    0xff3d4e00,
    0xff3e5002,
    0xff405500,
    0xff415000,
    0xff3c5000,
    0xff405101,
    0xff415202,
    0xff495707,
    0xff4c5a0c,
    0xff4d5e11,
    0xff536213,
    0xff586419,
    0xff5d681a,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010300,
    0xff000400,
    0xff000600,
    0xff010600,
    0xff010a00,
    0xff010c00,
    0xff050c00,
    0xff020c00,
    0xff000c00,
    0xff000600,
    0xff751f06,
    0xffee3c24,
    0xffaf0c15,
    0xff8e0000,
    0xffb01705,
    0xff660601,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff440401,
    0xff7f0300,
    0xffa20601,
    0xffa80501,
    0xff870001,
    0xff7a0000,
    0xff7b0000,
    0xff7b0100,
    0xff800000,
    0xff850000,
    0xff960301,
    0xff9f1601,
    0xff791301,
    0xff471200,
    0xff272301,
    0xff1d2801,
    0xff1f2700,
    0xff202800,
    0xff222901,
    0xff232900,
    0xff232a01,
    0xff212800,
    0xff202800,
    0xff1d2900,
    0xff3f1f01,
    0xff8a1400,
    0xffa40b01,
    0xff9c0300,
    0xff960000,
    0xff900000,
    0xff8f0100,
    0xff8b0000,
    0xff870000,
    0xff900000,
    0xff950100,
    0xffa20701,
    0xff961c01,
    0xff673400,
    0xff4d3a01,
    0xff493300,
    0xff301601,
    0xff010500,
    0xff000200,
    0xff891e0d,
    0xfff54c2e,
    0xffff8e7d,
    0xffe69662,
    0xffc28454,
    0xffd99b4d,
    0xfff9653a,
    0xfffe582f,
    0xfff74222,
    0xffef3016,
    0xffb61000,
    0xffaf1101,
    0xffc1160b,
    0xffbe1009,
    0xffba1004,
    0xffe4361d,
    0xffd76a6a,
    0xff030000,
    0xff1d0501,
    0xffc73a1a,
    0xffea3a23,
    0xffe12313,
    0xffdc1704,
    0xffbd0500,
    0xffa40200,
    0xff950001,
    0xff950000,
    0xffc10d02,
    0xffdd2510,
    0xffcd1a18,
    0xfffe5a39,
    0xfffd9270,
    0xffffa48e,
    0xffbe5d5c,
    0xff0a0000,
    0xff1b0b01,
    0xff1c0d00,
    0xff1e0e01,
    0xff1e0c00,
    0xff1e0d00,
    0xff1c0d00,
    0xff1d0c00,
    0xff1c0a02,
    0xff1c0f01,
    0xff1e1409,
    0xff0e0800,
    0xff070500,
    0xff000300,
    0xff000101,
    0xff000201,
    0xff010200,
    0xff000401,
    0xff020701,
    0xff090a00,
    0xff0f1001,
    0xff131000,
    0xff191200,
    0xff1a1300,
    0xff1c1401,
    0xff1c1501,
    0xff1f1300,
    0xff1f1400,
    0xff1d1600,
    0xff1d1600,
    0xff1a1501,
    0xff191200,
    0xff181100,
    0xff121001,
    0xff0c0d01,
    0xff070800,
    0xff060701,
    0xff080800,
    0xff0d0a00,
    0xff130c00,
    0xff100d01,
    0xff140c01,
    0xff130c00,
    0xff130b01,
    0xff130b01,
    0xff140b01,
    0xff140b00,
    0xff160f01,
    0xff170f01,
    0xff150e00,
    0xff160f00,
    0xff181100,
    0xff191200,
    0xff191200,
    0xff1a1300,
    0xff1b1401,
    0xff1d1300,
    0xff1f1400,
    0xff1f1302,
    0xff1d1201,
    0xff1b1300,
    0xff1a1200,
    0xff181100,
    0xff191200,
    0xff181100,
    0xff171000,
    0xff130e00,
    0xff0c0b00,
    0xff050700,
    0xff030801,
    0xff040700,
    0xff040600,
    0xff040700,
    0xff030500,
    0xff020400,
    0xff030500,
    0xff030500,
    0xff030500,
    0xff040700,
    0xff030501,
    0xff040601,
    0xff030500,
    0xff020500,
    0xff020600,
    0xff040600,
    0xff040601,
    0xff030500,
    0xff040700,
    0xff040700,
    0xff060700,
    0xff060700,
    0xff080801,
    0xff090a01,
    0xff0a0c00,
    0xff0d0f01,
    0xff131401,
    0xff161500,
    0xff181701,
    0xff181900,
    0xff1d1901,
    0xff1e1a00,
    0xff1e1c01,
    0xff1f1e00,
    0xff222101,
    0xff272500,
    0xff262600,
    0xff282500,
    0xff282700,
    0xff2b2701,
    0xff292500,
    0xff2a2600,
    0xff242400,
    0xff252501,
    0xff232300,
    0xff252500,
    0xff232400,
    0xff1f2101,
    0xff181c00,
    0xff151601,
    0xff101400,
    0xff0d1200,
    0xff071000,
    0xff070d00,
    0xff080a00,
    0xff020901,
    0xff010701,
    0xff000500,
    0xff000502,
    0xff000400,
    0xff000500,
    0xff000500,
    0xff010701,
    0xff040700,
    0xff070800,
    0xff090a00,
    0xff0e0e00,
    0xff121000,
    0xff171401,
    0xff1a1500,
    0xff1d1800,
    0xff221d00,
    0xff2b2000,
    0xff392600,
    0xff3d3002,
    0xff433502,
    0xff4b3a05,
    0xff513d04,
    0xff564307,
    0xff534603,
    0xff544a02,
    0xff544c04,
    0xff584f08,
    0xff5a530d,
    0xff5b5710,
    0xff5e5c13,
    0xff595f11,
    0xff555f0f,
    0xff515b0a,
    0xff4a5604,
    0xff475202,
    0xff445101,
    0xff424f00,
    0xff404e00,
    0xff404e00,
    0xff3e4d00,
    0xff3f4f01,
    0xff415101,
    0xff435502,
    0xff415400,
    0xff3f5200,
    0xff425301,
    0xff465405,
    0xff4a5809,
    0xff4d5d0d,
    0xff535e12,
    0xff566315,
    0xff5b6719,
    0xff5f6a1c,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000200,
    0xff000500,
    0xff000600,
    0xff000800,
    0xff010b01,
    0xff030e00,
    0xff060f01,
    0xff050f00,
    0xff040f00,
    0xff000b00,
    0xff62200d,
    0xfff84b25,
    0xffb6121f,
    0xff920108,
    0xff910e03,
    0xff0e0000,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff260101,
    0xff760401,
    0xffa80b01,
    0xffa60501,
    0xff820000,
    0xff7b0000,
    0xff7b0000,
    0xff7c0000,
    0xff7d0001,
    0xff820000,
    0xff920200,
    0xffa31002,
    0xffa31a05,
    0xff7f1200,
    0xff521800,
    0xff232600,
    0xff1f2701,
    0xff222901,
    0xff232a01,
    0xff222900,
    0xff212900,
    0xff202a00,
    0xff1f2800,
    0xff1f2500,
    0xff591c01,
    0xff981300,
    0xffa40801,
    0xff9b0100,
    0xff950001,
    0xff910000,
    0xff8f0100,
    0xff8a0101,
    0xff8a0001,
    0xff910001,
    0xff990300,
    0xffa10b00,
    0xff8f2301,
    0xff643f00,
    0xff4e4200,
    0xff533c02,
    0xff130b01,
    0xff020500,
    0xff000400,
    0xff000000,
    0xffbc2e10,
    0xffffad92,
    0xfff6ba90,
    0xffc25c4b,
    0xffd19a48,
    0xffd96633,
    0xffff5a32,
    0xfffa4b26,
    0xffe43215,
    0xffbc1506,
    0xffaa0e01,
    0xffae0f00,
    0xffc2180c,
    0xffbc0f09,
    0xffc81804,
    0xffff7057,
    0xffc25a5f,
    0xff530803,
    0xffda3d1f,
    0xffde261d,
    0xffdb1f09,
    0xffd00f00,
    0xffba0700,
    0xff9d0000,
    0xff970001,
    0xff960000,
    0xffbb0a01,
    0xffe12612,
    0xffe22b23,
    0xffff6745,
    0xfffb8367,
    0xfffc9b7f,
    0xffff9e8d,
    0xff1e0002,
    0xff190a00,
    0xff1c0b00,
    0xff1c0d00,
    0xff1e0c00,
    0xff1e0c01,
    0xff1d0e00,
    0xff1b0a00,
    0xff1c0d00,
    0xff1e0f02,
    0xff140700,
    0xff100800,
    0xff080600,
    0xff010200,
    0xff000001,
    0xff010100,
    0xff010201,
    0xff000400,
    0xff020801,
    0xff090b00,
    0xff100e01,
    0xff150f00,
    0xff171200,
    0xff191201,
    0xff1a1301,
    0xff1c1400,
    0xff1e1400,
    0xff1c1400,
    0xff1a1401,
    0xff1c1401,
    0xff1b1401,
    0xff1b1400,
    0xff181101,
    0xff150f01,
    0xff0c0d01,
    0xff080901,
    0xff020700,
    0xff050702,
    0xff080700,
    0xff0c0a00,
    0xff110a00,
    0xff110b00,
    0xff110b00,
    0xff130901,
    0xff120a01,
    0xff120a01,
    0xff130a00,
    0xff130b00,
    0xff130c00,
    0xff150a01,
    0xff140d02,
    0xff171000,
    0xff181100,
    0xff191201,
    0xff181100,
    0xff191300,
    0xff1b1301,
    0xff1c1400,
    0xff1b1300,
    0xff1b1201,
    0xff191100,
    0xff181100,
    0xff171000,
    0xff181101,
    0xff171000,
    0xff160e00,
    0xff120c00,
    0xff0b0a00,
    0xff060701,
    0xff020500,
    0xff030500,
    0xff040601,
    0xff030500,
    0xff020400,
    0xff040601,
    0xff030500,
    0xff020400,
    0xff030500,
    0xff020400,
    0xff030500,
    0xff020500,
    0xff020400,
    0xff030600,
    0xff020500,
    0xff030500,
    0xff020400,
    0xff010400,
    0xff030500,
    0xff050500,
    0xff060701,
    0xff060701,
    0xff060700,
    0xff080a00,
    0xff090c00,
    0xff0f1000,
    0xff131300,
    0xff171600,
    0xff181900,
    0xff1b1701,
    0xff1b1800,
    0xff1e1a01,
    0xff201c01,
    0xff221f00,
    0xff252001,
    0xff262500,
    0xff272400,
    0xff282600,
    0xff292601,
    0xff292700,
    0xff2a2600,
    0xff272700,
    0xff252400,
    0xff272301,
    0xff242400,
    0xff252501,
    0xff242501,
    0xff1f2100,
    0xff1b1b00,
    0xff151600,
    0xff101401,
    0xff0d1301,
    0xff091001,
    0xff070d00,
    0xff080b00,
    0xff050a00,
    0xff020701,
    0xff010600,
    0xff000500,
    0xff020301,
    0xff010300,
    0xff010300,
    0xff030401,
    0xff030500,
    0xff040800,
    0xff080900,
    0xff0d0c00,
    0xff100e00,
    0xff161200,
    0xff191400,
    0xff1d1701,
    0xff221c00,
    0xff2a1e00,
    0xff332400,
    0xff3b2c01,
    0xff423304,
    0xff483805,
    0xff4e3e06,
    0xff514006,
    0xff524508,
    0xff554907,
    0xff544d08,
    0xff564f0b,
    0xff58500f,
    0xff5a5411,
    0xff575710,
    0xff56590d,
    0xff54590b,
    0xff535808,
    0xff4c5401,
    0xff434f01,
    0xff424f00,
    0xff404d00,
    0xff3e4c00,
    0xff3f4d00,
    0xff3f4c00,
    0xff3d4e00,
    0xff415000,
    0xff455401,
    0xff455301,
    0xff425400,
    0xff445401,
    0xff485405,
    0xff4c5a0b,
    0xff4f5f0f,
    0xff546112,
    0xff586616,
    0xff5d6719,
    0xff606b1f,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000300,
    0xff000600,
    0xff010801,
    0xff010900,
    0xff020d00,
    0xff040f00,
    0xff061100,
    0xff051100,
    0xff041000,
    0xff041000,
    0xff050900,
    0xffd04121,
    0xffd0291d,
    0xffaf1316,
    0xff5e0509,
    0xff000000,
    0xff000300,
    0xff000101,
    0xff010102,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff0d0000,
    0xff660300,
    0xffa10901,
    0xff9a0200,
    0xff7d0000,
    0xff7c0000,
    0xff7a0000,
    0xff7c0001,
    0xff7b0000,
    0xff7f0100,
    0xff8d0000,
    0xff9c0700,
    0xffaa1003,
    0xffa91d07,
    0xff891b04,
    0xff4d1e01,
    0xff1d2600,
    0xff202700,
    0xff202800,
    0xff212900,
    0xff212900,
    0xff1f2800,
    0xff1d2800,
    0xff292300,
    0xff721900,
    0xffa41200,
    0xffa20801,
    0xff9c0200,
    0xff960101,
    0xff910000,
    0xff8f0000,
    0xff890000,
    0xff8a0000,
    0xff920000,
    0xff9d0601,
    0xffa20f00,
    0xff8b2a00,
    0xff654600,
    0xff554a00,
    0xff5d4201,
    0xff0a0501,
    0xff020400,
    0xff020300,
    0xff000001,
    0xff080000,
    0xffff936a,
    0xfff5b493,
    0xfffd7c63,
    0xffdf8348,
    0xffd0904a,
    0xffd63a1c,
    0xfff03f1d,
    0xffda3412,
    0xffbf200d,
    0xffb01605,
    0xffa60f01,
    0xffa60b00,
    0xffbc1305,
    0xffc51406,
    0xfffc5542,
    0xffff7e68,
    0xffbd424a,
    0xffe0371b,
    0xffda2015,
    0xffdd2007,
    0xffcc0c00,
    0xffb10600,
    0xff960000,
    0xff9c0000,
    0xffa50100,
    0xffb30700,
    0xffd92214,
    0xfff1432d,
    0xffff7b53,
    0xfffb8164,
    0xfffc9275,
    0xffffa38b,
    0xff823941,
    0xff100300,
    0xff1c0a00,
    0xff1d0c00,
    0xff1e0b00,
    0xff1d0c00,
    0xff1c0b00,
    0xff1f0f02,
    0xff1d1102,
    0xff180900,
    0xff160901,
    0xff100800,
    0xff090600,
    0xff010101,
    0xff000001,
    0xff010201,
    0xff010200,
    0xff000400,
    0xff020800,
    0xff090b00,
    0xff100e01,
    0xff160f00,
    0xff171200,
    0xff181100,
    0xff1a1401,
    0xff1b1301,
    0xff1b1400,
    0xff1c1400,
    0xff1c1401,
    0xff1c1401,
    0xff1a1300,
    0xff191200,
    0xff171100,
    0xff130f00,
    0xff0d0d00,
    0xff060800,
    0xff020701,
    0xff050700,
    0xff070800,
    0xff0a0700,
    0xff0d0700,
    0xff0f0800,
    0xff0f0800,
    0xff120900,
    0xff110a00,
    0xff110900,
    0xff100700,
    0xff110900,
    0xff110a00,
    0xff140b01,
    0xff130e01,
    0xff181000,
    0xff171000,
    0xff181100,
    0xff171000,
    0xff181200,
    0xff191200,
    0xff191200,
    0xff1a1200,
    0xff191000,
    0xff181000,
    0xff181100,
    0xff171000,
    0xff171000,
    0xff160f00,
    0xff140d00,
    0xff100c00,
    0xff0a0800,
    0xff080501,
    0xff020300,
    0xff000400,
    0xff020400,
    0xff020300,
    0xff020300,
    0xff020300,
    0xff020400,
    0xff010300,
    0xff020400,
    0xff020500,
    0xff030501,
    0xff030500,
    0xff020400,
    0xff010400,
    0xff030400,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff030400,
    0xff040600,
    0xff050701,
    0xff060701,
    0xff060702,
    0xff070900,
    0xff090b00,
    0xff0f0f00,
    0xff131301,
    0xff171601,
    0xff171700,
    0xff1b1701,
    0xff1d1800,
    0xff1f1901,
    0xff201a00,
    0xff201e00,
    0xff252001,
    0xff272300,
    0xff272300,
    0xff272300,
    0xff282700,
    0xff2a2701,
    0xff2a2700,
    0xff282700,
    0xff262501,
    0xff252401,
    0xff272300,
    0xff252400,
    0xff242400,
    0xff1e1f00,
    0xff1a1900,
    0xff161700,
    0xff121500,
    0xff0e1600,
    0xff0b1201,
    0xff0a0e00,
    0xff070c00,
    0xff070b00,
    0xff040801,
    0xff010500,
    0xff000500,
    0xff010400,
    0xff000300,
    0xff010300,
    0xff020401,
    0xff030501,
    0xff010600,
    0xff060700,
    0xff0b0900,
    0xff0f0d00,
    0xff110e00,
    0xff181300,
    0xff1c1600,
    0xff201b00,
    0xff281e01,
    0xff2e2000,
    0xff392a00,
    0xff3e3103,
    0xff443609,
    0xff4b3c07,
    0xff4e4007,
    0xff52470a,
    0xff56490c,
    0xff534c0e,
    0xff554e0f,
    0xff575213,
    0xff5a5214,
    0xff585513,
    0xff54550d,
    0xff52560c,
    0xff525506,
    0xff495200,
    0xff424e00,
    0xff3e4b01,
    0xff3e4900,
    0xff3e4a00,
    0xff3d4a00,
    0xff3b4b01,
    0xff3d4e00,
    0xff425101,
    0xff445300,
    0xff455400,
    0xff445300,
    0xff465401,
    0xff495505,
    0xff4e5a0b,
    0xff505e0f,
    0xff556214,
    0xff596416,
    0xff5e681a,
    0xff5f6a1e,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000300,
    0xff000600,
    0xff000a01,
    0xff020b01,
    0xff040f00,
    0xff051000,
    0xff071201,
    0xff061201,
    0xff061300,
    0xff071401,
    0xff001301,
    0xff2e0e05,
    0xffdd321c,
    0xffd7301d,
    0xffa82f18,
    0xff6e2012,
    0xff210b03,
    0xff000200,
    0xff000200,
    0xff000100,
    0xff000000,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff500301,
    0xff960900,
    0xff930300,
    0xff810001,
    0xff7c0100,
    0xff770001,
    0xff780001,
    0xff7a0002,
    0xff7e0001,
    0xff880000,
    0xff9d0301,
    0xffab0b00,
    0xffba1504,
    0xffb62708,
    0xff801d02,
    0xff352100,
    0xff1b2500,
    0xff1e2700,
    0xff202800,
    0xff202800,
    0xff202801,
    0xff1c2600,
    0xff3d2100,
    0xff8b1801,
    0xffab1101,
    0xffa40800,
    0xff9e0201,
    0xff960000,
    0xff930000,
    0xff8f0000,
    0xff890001,
    0xff8c0000,
    0xff960200,
    0xff9f0601,
    0xffa21200,
    0xff873301,
    0xff655001,
    0xff5c4f01,
    0xff634303,
    0xff040301,
    0xff020301,
    0xff010101,
    0xff000001,
    0xff000000,
    0xff5f2c19,
    0xffffa07c,
    0xffff9b83,
    0xfff2754c,
    0xffd49b4d,
    0xffc45129,
    0xffc11806,
    0xffc2290a,
    0xffba260c,
    0xffb21a05,
    0xffb01505,
    0xffa60b00,
    0xffa60900,
    0xffc51903,
    0xffff6158,
    0xfff85543,
    0xffec655f,
    0xffe4311f,
    0xffdf2511,
    0xffe01c06,
    0xffc90e01,
    0xffaa0401,
    0xff920000,
    0xffad0400,
    0xffbb0a00,
    0xffae0701,
    0xffd42214,
    0xfff7522d,
    0xfffe774e,
    0xfffb7b5e,
    0xfffd8569,
    0xffff957d,
    0xffe37f7d,
    0xff0c0000,
    0xff1b0a00,
    0xff1e0c00,
    0xff1d0b00,
    0xff1c0a00,
    0xff271405,
    0xff2b1a0a,
    0xff1a0c00,
    0xff190801,
    0xff150900,
    0xff0f0700,
    0xff0a0600,
    0xff010100,
    0xff000101,
    0xff000101,
    0xff000300,
    0xff000300,
    0xff030800,
    0xff080a00,
    0xff0f0d01,
    0xff140f00,
    0xff171000,
    0xff191200,
    0xff191300,
    0xff1a1300,
    0xff1a1300,
    0xff1b1300,
    0xff201101,
    0xff1b1300,
    0xff1a1301,
    0xff191200,
    0xff151100,
    0xff110f00,
    0xff0b0b00,
    0xff060a02,
    0xff030600,
    0xff040600,
    0xff080800,
    0xff0a0800,
    0xff090800,
    0xff090700,
    0xff0d0800,
    0xff0d0700,
    0xff0f0700,
    0xff0f0800,
    0xff0e0800,
    0xff0f0901,
    0xff100900,
    0xff110c00,
    0xff130d00,
    0xff160e00,
    0xff170f00,
    0xff171000,
    0xff171000,
    0xff171000,
    0xff171100,
    0xff171000,
    0xff190f00,
    0xff181101,
    0xff171101,
    0xff171100,
    0xff160f00,
    0xff150e00,
    0xff140d01,
    0xff120c01,
    0xff0d0b00,
    0xff0b0700,
    0xff020501,
    0xff010200,
    0xff000300,
    0xff010301,
    0xff020200,
    0xff020200,
    0xff020100,
    0xff020300,
    0xff020401,
    0xff010300,
    0xff020301,
    0xff010300,
    0xff010200,
    0xff030301,
    0xff000400,
    0xff030200,
    0xff020200,
    0xff010300,
    0xff020300,
    0xff040302,
    0xff040500,
    0xff030600,
    0xff060801,
    0xff060702,
    0xff070a00,
    0xff0d0c00,
    0xff0e0f00,
    0xff131300,
    0xff161500,
    0xff181601,
    0xff1b1601,
    0xff1d1800,
    0xff1f1800,
    0xff1f1900,
    0xff211e01,
    0xff231f00,
    0xff251f00,
    0xff251f00,
    0xff272300,
    0xff292400,
    0xff2b2700,
    0xff2a2700,
    0xff292600,
    0xff272600,
    0xff232300,
    0xff242300,
    0xff252400,
    0xff212200,
    0xff1b1e00,
    0xff1b1a00,
    0xff171800,
    0xff131600,
    0xff111500,
    0xff0e1201,
    0xff0b0f01,
    0xff090e00,
    0xff080b00,
    0xff060800,
    0xff030600,
    0xff000500,
    0xff000600,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff020500,
    0xff040600,
    0xff090701,
    0xff0e0a00,
    0xff110c00,
    0xff171200,
    0xff1b1500,
    0xff201a00,
    0xff241e00,
    0xff281f00,
    0xff342700,
    0xff3d2f04,
    0xff433608,
    0xff493c08,
    0xff50420c,
    0xff51470c,
    0xff524911,
    0xff564c14,
    0xff574e15,
    0xff575114,
    0xff595219,
    0xff585515,
    0xff555311,
    0xff52540d,
    0xff525206,
    0xff485103,
    0xff404d00,
    0xff3d4c01,
    0xff3d4a01,
    0xff3d4900,
    0xff3b4800,
    0xff3d4801,
    0xff3e4c00,
    0xff3e5000,
    0xff435102,
    0xff455200,
    0xff455300,
    0xff485401,
    0xff485403,
    0xff4d5809,
    0xff515f0f,
    0xff576214,
    0xff5c6517,
    0xff60671b,
    0xff5f6b1f,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010201,
    0xff000300,
    0xff010800,
    0xff010901,
    0xff010c01,
    0xff021000,
    0xff071201,
    0xff081301,
    0xff071300,
    0xff081500,
    0xff0a1600,
    0xff041801,
    0xff101400,
    0xffb21306,
    0xffe5361a,
    0xfff15c2a,
    0xffdb5127,
    0xff86210c,
    0xff3f1000,
    0xff270a00,
    0xff0d0400,
    0xff000101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff360101,
    0xff870800,
    0xff910200,
    0xff840001,
    0xff7d0000,
    0xff770001,
    0xff770000,
    0xff770001,
    0xff7b0000,
    0xff830000,
    0xff9f0001,
    0xffb80d00,
    0xffbd1100,
    0xffcc220d,
    0xffac2509,
    0xff691a02,
    0xff1f2200,
    0xff1b2700,
    0xff1e2601,
    0xff1f2700,
    0xff1e2700,
    0xff1c2600,
    0xff531e01,
    0xff9e1701,
    0xffac1100,
    0xffa50a00,
    0xff9e0100,
    0xff950001,
    0xff910000,
    0xff8e0000,
    0xff890000,
    0xff930000,
    0xff9c0200,
    0xffa20700,
    0xffa21601,
    0xff823800,
    0xff645200,
    0xff615000,
    0xff624102,
    0xff010100,
    0xff000100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffca8543,
    0xffff9e88,
    0xfff68667,
    0xffcf8c46,
    0xffda8546,
    0xffdb2415,
    0xffd8250d,
    0xffc72108,
    0xffba2107,
    0xffb11304,
    0xffaf0f01,
    0xffc01302,
    0xffae0700,
    0xffe93e24,
    0xffff705f,
    0xfff56a6a,
    0xffe72f1f,
    0xffe72813,
    0xffdc1704,
    0xffc40d00,
    0xffa00101,
    0xff8d0001,
    0xffb90800,
    0xffca1201,
    0xffab0604,
    0xffcc1d12,
    0xfff95328,
    0xfffe774d,
    0xfffc7455,
    0xfffd8266,
    0xfffd9077,
    0xffffae9f,
    0xff2c0007,
    0xff170800,
    0xff1d0b00,
    0xff1d0b00,
    0xff1f0d01,
    0xff251404,
    0xff1c0b00,
    0xff1b0b00,
    0xff190a01,
    0xff150800,
    0xff110900,
    0xff090701,
    0xff010101,
    0xff000000,
    0xff010201,
    0xff010200,
    0xff010300,
    0xff030701,
    0xff080a00,
    0xff0f0c00,
    0xff110f00,
    0xff170f00,
    0xff181101,
    0xff1a1300,
    0xff1a1200,
    0xff1b1201,
    0xff1a1200,
    0xff1c1200,
    0xff1a1300,
    0xff191200,
    0xff181100,
    0xff151100,
    0xff110f01,
    0xff0a0c00,
    0xff050a02,
    0xff030700,
    0xff040801,
    0xff060500,
    0xff090600,
    0xff0b0701,
    0xff0b0700,
    0xff0a0800,
    0xff0d0800,
    0xff0e0700,
    0xff0e0700,
    0xff0f0800,
    0xff0e0700,
    0xff100701,
    0xff0f0b00,
    0xff110c00,
    0xff140c00,
    0xff150e00,
    0xff150e00,
    0xff140f00,
    0xff150e00,
    0xff160e01,
    0xff160e00,
    0xff160f00,
    0xff161000,
    0xff170f00,
    0xff170f00,
    0xff160e00,
    0xff140b01,
    0xff130d01,
    0xff120b00,
    0xff0c0a00,
    0xff070500,
    0xff030200,
    0xff020000,
    0xff000101,
    0xff010201,
    0xff010100,
    0xff020201,
    0xff010100,
    0xff010100,
    0xff000100,
    0xff000100,
    0xff020101,
    0xff010201,
    0xff020301,
    0xff020201,
    0xff010201,
    0xff000000,
    0xff020201,
    0xff010200,
    0xff020300,
    0xff020200,
    0xff030400,
    0xff030600,
    0xff050601,
    0xff070700,
    0xff090a00,
    0xff0c0c00,
    0xff0e1001,
    0xff121200,
    0xff171500,
    0xff181601,
    0xff1b1600,
    0xff1d1700,
    0xff1e1800,
    0xff201900,
    0xff1f1b00,
    0xff221e00,
    0xff251e00,
    0xff251e00,
    0xff252100,
    0xff282600,
    0xff292500,
    0xff2a2600,
    0xff262500,
    0xff262400,
    0xff232200,
    0xff262001,
    0xff232200,
    0xff201f01,
    0xff1f1e00,
    0xff1e1d00,
    0xff1b1800,
    0xff171800,
    0xff151600,
    0xff0f1300,
    0xff0c0f01,
    0xff0b0e01,
    0xff090c00,
    0xff040a00,
    0xff000700,
    0xff020600,
    0xff000600,
    0xff000300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010101,
    0xff020300,
    0xff060601,
    0xff0c0a00,
    0xff0d0b00,
    0xff150e00,
    0xff181200,
    0xff1e1800,
    0xff221e00,
    0xff292200,
    0xff322800,
    0xff3b3002,
    0xff433409,
    0xff46390e,
    0xff4c3f0f,
    0xff4f4310,
    0xff514813,
    0xff534b16,
    0xff544c17,
    0xff59521a,
    0xff595519,
    0xff545517,
    0xff535416,
    0xff515310,
    0xff4f5109,
    0xff484f06,
    0xff404b02,
    0xff3a4a00,
    0xff3d4a01,
    0xff3b4800,
    0xff3b4802,
    0xff3d4801,
    0xff3f4c01,
    0xff424f00,
    0xff445101,
    0xff445100,
    0xff465301,
    0xff475401,
    0xff4a5503,
    0xff4c5708,
    0xff505e0f,
    0xff546112,
    0xff5c6619,
    0xff5f671b,
    0xff616b1f,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010100,
    0xff000300,
    0xff010800,
    0xff030a01,
    0xff010d01,
    0xff041100,
    0xff081302,
    0xff081401,
    0xff081500,
    0xff0a1700,
    0xff0b1700,
    0xff041800,
    0xff402201,
    0xffb01609,
    0xffc00902,
    0xffe12813,
    0xffea3d24,
    0xffb11c0f,
    0xff901501,
    0xff781601,
    0xff5d1200,
    0xff400d02,
    0xff1f0500,
    0xff070000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff1c0001,
    0xff730700,
    0xff8d0300,
    0xff890000,
    0xff810001,
    0xff790001,
    0xff760001,
    0xff750000,
    0xff790001,
    0xff810100,
    0xff9a0001,
    0xffc10c01,
    0xffc71200,
    0xffc61806,
    0xffd12d10,
    0xff9f2409,
    0xff4b1a01,
    0xff1a2100,
    0xff1a2600,
    0xff1e2600,
    0xff1b2500,
    0xff202400,
    0xff6a1b00,
    0xffa71500,
    0xffad1001,
    0xffa60901,
    0xff9e0001,
    0xff950000,
    0xff910001,
    0xff8c0000,
    0xff8f0000,
    0xff9f0301,
    0xffaa0900,
    0xffab0c00,
    0xffa11a01,
    0xff803f00,
    0xff665600,
    0xff655200,
    0xff624102,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff915a17,
    0xffce755f,
    0xffff9b87,
    0xffda9552,
    0xffcd8d4c,
    0xffff7851,
    0xffff4a2b,
    0xfff13015,
    0xffd92a0f,
    0xffbd1e05,
    0xffbd1603,
    0xffde230b,
    0xffbb0e00,
    0xffbf1002,
    0xffff765f,
    0xfff95c54,
    0xfff23b23,
    0xffec2915,
    0xffdc1805,
    0xffbf0b00,
    0xff980000,
    0xff8c0000,
    0xffb90900,
    0xffc81703,
    0xffac0c0c,
    0xffd81f13,
    0xfff7431d,
    0xfffe7346,
    0xfffd7252,
    0xfffc8366,
    0xfffc8b71,
    0xffffa48a,
    0xff83383b,
    0xff100400,
    0xff1c0a00,
    0xff1c0b00,
    0xff251504,
    0xff1c0c01,
    0xff1d0e00,
    0xff190a00,
    0xff190b00,
    0xff160801,
    0xff110900,
    0xff0a0600,
    0xff030200,
    0xff010101,
    0xff020201,
    0xff010100,
    0xff010301,
    0xff040600,
    0xff080900,
    0xff0f0d00,
    0xff110f00,
    0xff161100,
    0xff181101,
    0xff181100,
    0xff1a1100,
    0xff1b1101,
    0xff181301,
    0xff1a1300,
    0xff191200,
    0xff191200,
    0xff191000,
    0xff151100,
    0xff0e0e00,
    0xff0b0b00,
    0xff050901,
    0xff030701,
    0xff040700,
    0xff070602,
    0xff090802,
    0xff0a0801,
    0xff090700,
    0xff0a0700,
    0xff0d0900,
    0xff0e0800,
    0xff0f0800,
    0xff0f0800,
    0xff0f0700,
    0xff0f0700,
    0xff0d0900,
    0xff110b00,
    0xff120c00,
    0xff140e00,
    0xff140c00,
    0xff120e00,
    0xff140d00,
    0xff140c00,
    0xff150d01,
    0xff160f00,
    0xff161000,
    0xff180e00,
    0xff170e00,
    0xff150d00,
    0xff130b01,
    0xff120c00,
    0xff100a00,
    0xff0a0800,
    0xff040400,
    0xff020200,
    0xff010001,
    0xff000100,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff010001,
    0xff010102,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010102,
    0xff010101,
    0xff020100,
    0xff020200,
    0xff040300,
    0xff030400,
    0xff070601,
    0xff090901,
    0xff0d0b01,
    0xff0c0c01,
    0xff0e0f00,
    0xff131100,
    0xff171400,
    0xff191500,
    0xff1c1701,
    0xff1e1700,
    0xff1d1700,
    0xff1f1900,
    0xff201a00,
    0xff211d00,
    0xff231d00,
    0xff241e00,
    0xff262000,
    0xff272300,
    0xff282400,
    0xff2a2600,
    0xff272300,
    0xff252200,
    0xff242100,
    0xff252000,
    0xff252101,
    0xff242101,
    0xff232000,
    0xff1f1f00,
    0xff1f1d00,
    0xff1c1b00,
    0xff1a1a00,
    0xff161800,
    0xff111401,
    0xff0d0f00,
    0xff090d00,
    0xff070a02,
    0xff030600,
    0xff010600,
    0xff010600,
    0xff010400,
    0xff010200,
    0xff000200,
    0xff000200,
    0xff010102,
    0xff010100,
    0xff040600,
    0xff0b0800,
    0xff0e0a00,
    0xff130d00,
    0xff141000,
    0xff1a1601,
    0xff201d00,
    0xff272100,
    0xff322900,
    0xff373003,
    0xff3f3309,
    0xff44380e,
    0xff493b11,
    0xff4b4213,
    0xff504718,
    0xff524a18,
    0xff534c1b,
    0xff554f1a,
    0xff58521d,
    0xff545319,
    0xff545415,
    0xff50500f,
    0xff4d4f0d,
    0xff464d07,
    0xff414b06,
    0xff3c4902,
    0xff3c4a01,
    0xff3b4700,
    0xff3a4501,
    0xff3b4801,
    0xff3f4d00,
    0xff404e01,
    0xff415000,
    0xff455100,
    0xff465300,
    0xff475302,
    0xff4a5404,
    0xff4c5708,
    0xff4f5c0d,
    0xff546212,
    0xff5a6417,
    0xff5f671c,
    0xff61691e,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010100,
    0xff010400,
    0xff010800,
    0xff020a01,
    0xff020d00,
    0xff061200,
    0xff071400,
    0xff091401,
    0xff081601,
    0xff0a1801,
    0xff0c1a00,
    0xff021901,
    0xff7a2d07,
    0xff9c0e0b,
    0xff9b0000,
    0xffce1400,
    0xffc71606,
    0xffa20602,
    0xff9e0800,
    0xffa30e00,
    0xffa01202,
    0xff931801,
    0xff751400,
    0xff530c00,
    0xff621409,
    0xff4c0b0d,
    0xff030000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020001,
    0xff560401,
    0xff860300,
    0xff8d0101,
    0xff840000,
    0xff7a0000,
    0xff750100,
    0xff750000,
    0xff780001,
    0xff800000,
    0xff980000,
    0xffc00a00,
    0xffd01500,
    0xffd21b04,
    0xffd82811,
    0xffcc3213,
    0xff881f08,
    0xff301500,
    0xff152000,
    0xff1b2200,
    0xff162301,
    0xff2a2200,
    0xff7c1600,
    0xffad1102,
    0xffae0d00,
    0xffa50700,
    0xff9e0000,
    0xff960101,
    0xff920000,
    0xff8c0000,
    0xff960001,
    0xffaf0900,
    0xffbf1300,
    0xffbe1504,
    0xffa52401,
    0xff7c4500,
    0xff655600,
    0xff675301,
    0xff583a01,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff060000,
    0xff895315,
    0xff000001,
    0xffffa072,
    0xffed996f,
    0xffaf7330,
    0xfff0885b,
    0xfffe6644,
    0xffff4321,
    0xfffc391b,
    0xffdf280f,
    0xffd2240a,
    0xffde2207,
    0xffca1602,
    0xffac0300,
    0xffff8165,
    0xfffc5e4d,
    0xfff94126,
    0xffec2715,
    0xffda1905,
    0xffb80900,
    0xff900000,
    0xff8b0000,
    0xffb00900,
    0xffbf1704,
    0xffbd1517,
    0xfff63820,
    0xfff83416,
    0xfffe6538,
    0xfffd6943,
    0xfffc8260,
    0xfffd8163,
    0xffff8d7c,
    0xffce6162,
    0xff0c0000,
    0xff1d0c00,
    0xff2a1a0a,
    0xff1a0a00,
    0xff1f0e01,
    0xff1d0a00,
    0xff1b0b00,
    0xff190a00,
    0xff170800,
    0xff100800,
    0xff0b0601,
    0xff010300,
    0xff010100,
    0xff010200,
    0xff010300,
    0xff020400,
    0xff040701,
    0xff070800,
    0xff0f0d00,
    0xff120f00,
    0xff170f02,
    0xff150f00,
    0xff181100,
    0xff181100,
    0xff191100,
    0xff191200,
    0xff191200,
    0xff191200,
    0xff181100,
    0xff181000,
    0xff151100,
    0xff0f0e00,
    0xff0a0b00,
    0xff050801,
    0xff050801,
    0xff030700,
    0xff070700,
    0xff080800,
    0xff080901,
    0xff0b0701,
    0xff0b0801,
    0xff0c0800,
    0xff0f0700,
    0xff0e0800,
    0xff0f0801,
    0xff100700,
    0xff0f0800,
    0xff100701,
    0xff0d0a00,
    0xff100c00,
    0xff130c00,
    0xff120d02,
    0xff110d01,
    0xff140c01,
    0xff140c01,
    0xff130e00,
    0xff160e00,
    0xff160c00,
    0xff170d01,
    0xff160c00,
    0xff140d00,
    0xff140c01,
    0xff120900,
    0xff100800,
    0xff0b0602,
    0xff060200,
    0xff010100,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010100,
    0xff020300,
    0xff040400,
    0xff080701,
    0xff0b0900,
    0xff0d0a00,
    0xff0e0d00,
    0xff0f0e00,
    0xff131200,
    0xff181300,
    0xff1a1500,
    0xff1a1500,
    0xff1b1700,
    0xff1d1600,
    0xff1d1700,
    0xff211900,
    0xff211b00,
    0xff231b00,
    0xff251d01,
    0xff251e00,
    0xff262100,
    0xff272300,
    0xff272400,
    0xff252100,
    0xff242000,
    0xff252000,
    0xff242100,
    0xff252200,
    0xff262200,
    0xff272200,
    0xff222000,
    0xff1e1c00,
    0xff1b1c00,
    0xff1b1b01,
    0xff181800,
    0xff161700,
    0xff131600,
    0xff0d1100,
    0xff070c01,
    0xff020801,
    0xff010600,
    0xff000600,
    0xff010301,
    0xff010200,
    0xff000300,
    0xff000200,
    0xff020202,
    0xff000000,
    0xff030300,
    0xff080600,
    0xff0e0900,
    0xff100a00,
    0xff110d00,
    0xff171501,
    0xff201b00,
    0xff272100,
    0xff302700,
    0xff352e03,
    0xff3b310a,
    0xff40360d,
    0xff473b13,
    0xff4c4017,
    0xff504419,
    0xff514918,
    0xff514b1a,
    0xff544e1a,
    0xff54501b,
    0xff535219,
    0xff525115,
    0xff514f11,
    0xff4b4d0c,
    0xff464d0b,
    0xff414a06,
    0xff3e4a05,
    0xff3c4802,
    0xff3a4601,
    0xff3c4602,
    0xff3b4700,
    0xff3e4b00,
    0xff3f4d00,
    0xff404e00,
    0xff445101,
    0xff445100,
    0xff475202,
    0xff485304,
    0xff4b5607,
    0xff4e5b0c,
    0xff536011,
    0xff586114,
    0xff5e6618,
    0xff60681d,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000400,
    0xff010701,
    0xff030c00,
    0xff040f00,
    0xff061101,
    0xff061400,
    0xff091500,
    0xff081701,
    0xff0a1902,
    0xff0b1d01,
    0xff081c00,
    0xffa0320d,
    0xff880309,
    0xff780000,
    0xffb20200,
    0xffaa0300,
    0xff9b0100,
    0xff9c0600,
    0xffa10900,
    0xffa20a00,
    0xffa60d02,
    0xffa71202,
    0xffa31405,
    0xffd54920,
    0xffde492e,
    0xff8a1a1f,
    0xff030003,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff300401,
    0xff740400,
    0xff8c0101,
    0xff870000,
    0xff830000,
    0xff7b0001,
    0xff750000,
    0xff740001,
    0xff7f0000,
    0xff9b0000,
    0xffbf0b01,
    0xffd31500,
    0xffd41e03,
    0xffd8250a,
    0xffde3416,
    0xffb02a0e,
    0xff691502,
    0xff241300,
    0xff141c00,
    0xff132001,
    0xff331f01,
    0xff8a1400,
    0xffae1102,
    0xffab0900,
    0xffa50501,
    0xff9c0100,
    0xff980001,
    0xff900000,
    0xff8e0000,
    0xff9d0001,
    0xffbf1100,
    0xffd52409,
    0xffd32311,
    0xffaf2f09,
    0xff7a4e00,
    0xff675600,
    0xff6a5200,
    0xff523402,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff160a02,
    0xff6f3f10,
    0xff000000,
    0xff130703,
    0xffff8b5d,
    0xffb74a34,
    0xffb77146,
    0xffff805a,
    0xfffd5b3d,
    0xfffd3b1d,
    0xfff53518,
    0xffe32509,
    0xffde2609,
    0xffcb1503,
    0xffb5090a,
    0xffff8064,
    0xffff624c,
    0xfffc4729,
    0xffed2614,
    0xffd81a04,
    0xffae0400,
    0xff8c0000,
    0xff8a0000,
    0xffa70500,
    0xffb21104,
    0xffce251e,
    0xffff6240,
    0xfff73215,
    0xfffc5829,
    0xfffe693d,
    0xfffd6e4d,
    0xfffc7258,
    0xfffd866f,
    0xffffa18e,
    0xff170003,
    0xff1c0c00,
    0xff1c0a00,
    0xff1e0d00,
    0xff1c0c00,
    0xff1e0c00,
    0xff1b0a00,
    0xff1a0b02,
    0xff170a00,
    0xff130800,
    0xff0c0701,
    0xff020300,
    0xff010100,
    0xff020200,
    0xff010300,
    0xff030500,
    0xff050600,
    0xff080900,
    0xff0f0c01,
    0xff120c00,
    0xff160e00,
    0xff160f00,
    0xff181100,
    0xff191200,
    0xff191200,
    0xff181100,
    0xff1a1301,
    0xff181100,
    0xff171101,
    0xff161000,
    0xff171000,
    0xff110e00,
    0xff0b0b00,
    0xff040600,
    0xff030600,
    0xff030701,
    0xff080800,
    0xff080700,
    0xff080901,
    0xff0c0701,
    0xff0a0801,
    0xff0d0800,
    0xff0f0700,
    0xff0e0700,
    0xff0c0a01,
    0xff0e0800,
    0xff0f0900,
    0xff0f0800,
    0xff0b0900,
    0xff0f0c00,
    0xff120c00,
    0xff100d01,
    0xff0f0d00,
    0xff120c01,
    0xff140e02,
    0xff150d00,
    0xff150e00,
    0xff160c01,
    0xff160d00,
    0xff150d00,
    0xff140c01,
    0xff130b00,
    0xff120800,
    0xff100801,
    0xff080500,
    0xff050200,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000101,
    0xff010100,
    0xff010100,
    0xff020201,
    0xff050500,
    0xff0a0901,
    0xff0e0b00,
    0xff0d0b00,
    0xff0e0d00,
    0xff0f0e00,
    0xff121100,
    0xff181300,
    0xff191300,
    0xff191601,
    0xff1c1701,
    0xff1d1500,
    0xff1d1600,
    0xff201900,
    0xff221b00,
    0xff241b00,
    0xff241b00,
    0xff241d01,
    0xff262100,
    0xff262000,
    0xff262001,
    0xff231f01,
    0xff211d00,
    0xff252000,
    0xff262200,
    0xff262200,
    0xff272300,
    0xff262200,
    0xff252001,
    0xff1f1e00,
    0xff1c1e00,
    0xff1d1e00,
    0xff1a1802,
    0xff161500,
    0xff161400,
    0xff141501,
    0xff0b0e00,
    0xff050801,
    0xff020700,
    0xff000600,
    0xff010400,
    0xff020200,
    0xff000401,
    0xff000200,
    0xff010102,
    0xff010100,
    0xff030200,
    0xff050400,
    0xff070701,
    0xff0f0900,
    0xff100c01,
    0xff151301,
    0xff1b1900,
    0xff241f01,
    0xff282500,
    0xff322c01,
    0xff3a3209,
    0xff3f350f,
    0xff463912,
    0xff4b3f14,
    0xff4d4218,
    0xff4e4816,
    0xff524d18,
    0xff544f17,
    0xff55521a,
    0xff535219,
    0xff535115,
    0xff504e13,
    0xff4c4b0f,
    0xff464c0a,
    0xff414a06,
    0xff3e4a04,
    0xff3d4803,
    0xff384801,
    0xff3c4601,
    0xff3c4702,
    0xff3d4a00,
    0xff3f4d02,
    0xff404d00,
    0xff435100,
    0xff465001,
    0xff455002,
    0xff465103,
    0xff4a5506,
    0xff4f5a0c,
    0xff515f10,
    0xff576114,
    0xff5b6417,
    0xff5e661c,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff010400,
    0xff000700,
    0xff020c01,
    0xff050e00,
    0xff051000,
    0xff071401,
    0xff081600,
    0xff0a1800,
    0xff0a1800,
    0xff0c1d01,
    0xff162000,
    0xffb92e10,
    0xff770003,
    0xff600000,
    0xff8e0000,
    0xff8e0000,
    0xff8d0000,
    0xff960000,
    0xff990201,
    0xff9e0401,
    0xffa20800,
    0xffa40a01,
    0xffa90b02,
    0xffec4827,
    0xffff7349,
    0xfff25638,
    0xffa42325,
    0xff590e10,
    0xff0b0000,
    0xff000000,
    0xff010101,
    0xff000101,
    0xff0b0301,
    0xff5a0600,
    0xff820401,
    0xff8b0100,
    0xff880000,
    0xff840001,
    0xff760001,
    0xff730000,
    0xff7d0000,
    0xff990200,
    0xffbd0d01,
    0xffca1100,
    0xffd01501,
    0xffcf1f04,
    0xffd3260e,
    0xffc92a10,
    0xff951b05,
    0xff601000,
    0xff2d0d01,
    0xff121801,
    0xff401b00,
    0xff961100,
    0xffab0e00,
    0xffaa0800,
    0xffa40300,
    0xff9d0001,
    0xff980000,
    0xff920000,
    0xff8e0001,
    0xff9f0000,
    0xffcd1a03,
    0xffe63118,
    0xffe93c1e,
    0xffc24213,
    0xff7b5500,
    0xff695700,
    0xff6e5501,
    0xff492e02,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff271402,
    0xff4e280a,
    0xff000001,
    0xff000000,
    0xff110904,
    0xfffc7d38,
    0xffa6572d,
    0xfff87e54,
    0xffff6e55,
    0xfffe583a,
    0xfffb381d,
    0xfff42f14,
    0xffe32608,
    0xffca1708,
    0xffcb2417,
    0xffff8974,
    0xfffd6648,
    0xfffd452b,
    0xffef2914,
    0xffd51904,
    0xffa70100,
    0xff8c0000,
    0xff8b0000,
    0xffa00500,
    0xffa40e02,
    0xffc62c28,
    0xffff8f70,
    0xfffd3c25,
    0xfff33f19,
    0xfffe683b,
    0xfffc6640,
    0xfffd7353,
    0xfffd7960,
    0xffff8e7a,
    0xff3f1113,
    0xff160800,
    0xff1e0c00,
    0xff1d0c00,
    0xff1d0e00,
    0xff1c0b00,
    0xff1d0c02,
    0xff180a01,
    0xff170a01,
    0xff130900,
    0xff0d0800,
    0xff050401,
    0xff000200,
    0xff010400,
    0xff030500,
    0xff020400,
    0xff060700,
    0xff090a00,
    0xff0f0d00,
    0xff110c00,
    0xff150e00,
    0xff170f00,
    0xff171000,
    0xff181200,
    0xff181100,
    0xff191200,
    0xff1a1301,
    0xff191200,
    0xff171201,
    0xff171200,
    0xff150e00,
    0xff100e00,
    0xff0a0a00,
    0xff050701,
    0xff030700,
    0xff030600,
    0xff080602,
    0xff070700,
    0xff080700,
    0xff0a0700,
    0xff0b0900,
    0xff0d0800,
    0xff0e0800,
    0xff0f0700,
    0xff0f0900,
    0xff100800,
    0xff100700,
    0xff0b0800,
    0xff0b0800,
    0xff0d0900,
    0xff110c00,
    0xff120c00,
    0xff100b01,
    0xff110c00,
    0xff130d01,
    0xff150c00,
    0xff140c00,
    0xff140d00,
    0xff140b00,
    0xff140c02,
    0xff140c00,
    0xff130b00,
    0xff100700,
    0xff0a0600,
    0xff080300,
    0xff040100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff020100,
    0xff010000,
    0xff020100,
    0xff020201,
    0xff060500,
    0xff0f0901,
    0xff0b0b00,
    0xff0d0c01,
    0xff100b00,
    0xff110d00,
    0xff141000,
    0xff151200,
    0xff181300,
    0xff1a1501,
    0xff1b1600,
    0xff1c1600,
    0xff1c1601,
    0xff201700,
    0xff1f1a00,
    0xff221b00,
    0xff231c00,
    0xff241e01,
    0xff251e00,
    0xff261f01,
    0xff241e01,
    0xff1f1b00,
    0xff221d01,
    0xff251e00,
    0xff262202,
    0xff262300,
    0xff272200,
    0xff262100,
    0xff241f01,
    0xff211d00,
    0xff1e1d01,
    0xff1e1c00,
    0xff181900,
    0xff161501,
    0xff161501,
    0xff141400,
    0xff0f1201,
    0xff0a0c00,
    0xff040600,
    0xff000500,
    0xff000501,
    0xff000400,
    0xff010300,
    0xff000200,
    0xff000200,
    0xff010101,
    0xff000101,
    0xff030200,
    0xff050400,
    0xff090800,
    0xff0b0b00,
    0xff141000,
    0xff181700,
    0xff201d00,
    0xff242100,
    0xff2c2700,
    0xff352f06,
    0xff3e330d,
    0xff413813,
    0xff4a3c14,
    0xff4d3e18,
    0xff4e4416,
    0xff504916,
    0xff504e16,
    0xff54511b,
    0xff53511b,
    0xff525017,
    0xff504e15,
    0xff4d4c0f,
    0xff484d0e,
    0xff424c06,
    0xff3e4a04,
    0xff3d4803,
    0xff374901,
    0xff374700,
    0xff3b4600,
    0xff3a4800,
    0xff3d4901,
    0xff404c01,
    0xff425000,
    0xff444f01,
    0xff465102,
    0xff465103,
    0xff4b5609,
    0xff4f5b0c,
    0xff515f0f,
    0xff556014,
    0xff586217,
    0xff5b651c,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff010001,
    0xff010300,
    0xff000700,
    0xff030b01,
    0xff020d00,
    0xff061100,
    0xff081401,
    0xff081700,
    0xff091700,
    0xff0b1a00,
    0xff0b1d00,
    0xff312502,
    0xffc52611,
    0xff700000,
    0xff5a0000,
    0xff730000,
    0xff770000,
    0xff780000,
    0xff830000,
    0xff890000,
    0xff8f0000,
    0xff950000,
    0xff9b0200,
    0xff9e0300,
    0xffcc2011,
    0xfffc5235,
    0xffff6a4a,
    0xfffb6648,
    0xffde432f,
    0xff6f120a,
    0xff000000,
    0xff000100,
    0xff000200,
    0xff000102,
    0xff390701,
    0xff710601,
    0xff8a0500,
    0xff8e0300,
    0xff8a0000,
    0xff790000,
    0xff760001,
    0xff780000,
    0xff910000,
    0xffb10a01,
    0xffbd0c00,
    0xffb70800,
    0xffbb0f00,
    0xffbd1603,
    0xffbc1706,
    0xffb21b07,
    0xff951802,
    0xff671100,
    0xff350a00,
    0xff4e1300,
    0xff9c1202,
    0xffac0f01,
    0xffaa0900,
    0xffa40200,
    0xff9c0000,
    0xff970100,
    0xff920000,
    0xff8e0000,
    0xffa40200,
    0xffd72209,
    0xfff14121,
    0xfff9562d,
    0xffcb5319,
    0xff7d5800,
    0xff6a5a00,
    0xff6e5701,
    0xff442801,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff321904,
    0xff3a1a06,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff060302,
    0xff965010,
    0xffb96233,
    0xffff7753,
    0xfffd6653,
    0xfffe4c2b,
    0xfff82f12,
    0xffe51d05,
    0xffcc0f0d,
    0xfff68168,
    0xffff7365,
    0xfffe664a,
    0xfffd4329,
    0xffee2c13,
    0xffd21603,
    0xffa10000,
    0xff8c0000,
    0xff910000,
    0xffa10700,
    0xffa11000,
    0xff720a05,
    0xffffb993,
    0xfffe4b3b,
    0xfff02f0c,
    0xfffe6232,
    0xfffd5d37,
    0xfffc6944,
    0xfffd6e53,
    0xffff7a64,
    0xff652824,
    0xff130600,
    0xff1f0d01,
    0xff1e0d00,
    0xff1d0c00,
    0xff1b0b00,
    0xff1c0a00,
    0xff1a0b02,
    0xff190a01,
    0xff120900,
    0xff0d0600,
    0xff050500,
    0xff000200,
    0xff010300,
    0xff030500,
    0xff030600,
    0xff070701,
    0xff090a00,
    0xff100d01,
    0xff130c01,
    0xff160f00,
    0xff150e00,
    0xff181100,
    0xff171000,
    0xff181100,
    0xff191200,
    0xff191200,
    0xff191200,
    0xff171100,
    0xff171200,
    0xff150e00,
    0xff0f0d01,
    0xff090a00,
    0xff050700,
    0xff030600,
    0xff050801,
    0xff070601,
    0xff080800,
    0xff0a0801,
    0xff0b0801,
    0xff0b0800,
    0xff0e0700,
    0xff0e0800,
    0xff100800,
    0xff0e0901,
    0xff0f0901,
    0xff100700,
    0xff0d0900,
    0xff0b0900,
    0xff0a0900,
    0xff100b00,
    0xff0f0c00,
    0xff0e0b00,
    0xff120a00,
    0xff120d01,
    0xff140d00,
    0xff130b00,
    0xff160c00,
    0xff150c01,
    0xff130b00,
    0xff130a01,
    0xff110700,
    0xff0e0700,
    0xff070600,
    0xff070300,
    0xff030200,
    0xff000101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff020001,
    0xff020100,
    0xff050400,
    0xff090800,
    0xff0d0900,
    0xff0f0b00,
    0xff110b01,
    0xff0f0c00,
    0xff0f0d00,
    0xff150f00,
    0xff171000,
    0xff171300,
    0xff191301,
    0xff1b1500,
    0xff1b1500,
    0xff1c1601,
    0xff1e1602,
    0xff1f1900,
    0xff221b00,
    0xff221b00,
    0xff231c00,
    0xff241d00,
    0xff211c00,
    0xff1f1a00,
    0xff201b00,
    0xff211d00,
    0xff241d00,
    0xff252000,
    0xff272201,
    0xff252000,
    0xff251f00,
    0xff221d00,
    0xff211d00,
    0xff1d1d01,
    0xff1d1b00,
    0xff181601,
    0xff161500,
    0xff171601,
    0xff161300,
    0xff0f1100,
    0xff0c0f00,
    0xff060901,
    0xff000501,
    0xff000500,
    0xff000400,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000100,
    0xff000201,
    0xff020100,
    0xff030200,
    0xff050601,
    0xff0a0a00,
    0xff120d00,
    0xff181501,
    0xff1e1901,
    0xff1f1e00,
    0xff272400,
    0xff342c03,
    0xff3b310b,
    0xff3e3511,
    0xff413a11,
    0xff473c12,
    0xff494213,
    0xff4d4613,
    0xff4f4b16,
    0xff504e19,
    0xff524e19,
    0xff4f4d14,
    0xff4e4c13,
    0xff4c4a11,
    0xff484c0d,
    0xff474907,
    0xff424b07,
    0xff3c4904,
    0xff3a4600,
    0xff384400,
    0xff394300,
    0xff3a4601,
    0xff394600,
    0xff3e4a01,
    0xff3f4c00,
    0xff444f00,
    0xff465102,
    0xff455102,
    0xff495305,
    0xff4e590b,
    0xff525d0f,
    0xff546014,
    0xff596118,
    0xff59641b,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000300,
    0xff010800,
    0xff030a00,
    0xff030d00,
    0xff061201,
    0xff0b1402,
    0xff091700,
    0xff0a1801,
    0xff0d1b01,
    0xff0b1e00,
    0xff4b2d04,
    0xffc0210f,
    0xff700000,
    0xff5b0000,
    0xff610000,
    0xff650000,
    0xff680001,
    0xff720000,
    0xff7c0001,
    0xff830000,
    0xff8a0000,
    0xff900000,
    0xff940000,
    0xffa60300,
    0xffea341c,
    0xfffb4c37,
    0xffff684a,
    0xffff5037,
    0xffa12415,
    0xff000000,
    0xff000100,
    0xff000200,
    0xff000300,
    0xff100701,
    0xff570900,
    0xff820700,
    0xff8f0700,
    0xff8f0300,
    0xff800001,
    0xff790001,
    0xff780000,
    0xff850000,
    0xff9c0101,
    0xffa50501,
    0xffa00001,
    0xffa40000,
    0xffac0800,
    0xffaf0e00,
    0xffb21203,
    0xffb31901,
    0xff9d1702,
    0xff711001,
    0xff780c00,
    0xffa21101,
    0xffaf0d02,
    0xffaa0a00,
    0xffa50200,
    0xff9f0001,
    0xff980000,
    0xff910000,
    0xff900000,
    0xffac0500,
    0xffe22c10,
    0xfff94e2b,
    0xfffb6338,
    0xffcf5f1c,
    0xff7a5b00,
    0xff6d5d00,
    0xff705800,
    0xff392401,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff3d1f04,
    0xff301505,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff794906,
    0xff825312,
    0xffea6d42,
    0xffff8069,
    0xfffc5741,
    0xfffe381d,
    0xffeb393f,
    0xfff6a49b,
    0xfffe8779,
    0xfffc7359,
    0xffff664a,
    0xfffe4327,
    0xffef2d12,
    0xffcc1203,
    0xff9d0000,
    0xff8d0000,
    0xff950100,
    0xffa30c01,
    0xff9a1300,
    0xff330000,
    0xff8c6456,
    0xffff7f68,
    0xffec1f0a,
    0xfffa5527,
    0xffff5a31,
    0xfffd613a,
    0xfffd6547,
    0xffff6e53,
    0xff73332d,
    0xff120700,
    0xff1e0c00,
    0xff1e0b00,
    0xff1e0d00,
    0xff1c0b01,
    0xff1b0a00,
    0xff1a0801,
    0xff190a01,
    0xff130800,
    0xff0d0800,
    0xff040500,
    0xff000200,
    0xff010301,
    0xff040600,
    0xff030600,
    0xff050900,
    0xff090b00,
    0xff110c00,
    0xff110f02,
    0xff140f00,
    0xff160f00,
    0xff171000,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff171101,
    0xff161001,
    0xff161000,
    0xff0f0e01,
    0xff0b0b00,
    0xff040600,
    0xff030600,
    0xff030600,
    0xff050601,
    0xff070800,
    0xff0a0801,
    0xff0b0800,
    0xff0e0700,
    0xff0e0800,
    0xff100801,
    0xff0f0901,
    0xff0f0900,
    0xff0f0900,
    0xff0f0900,
    0xff0f0800,
    0xff0d0700,
    0xff090800,
    0xff0d0900,
    0xff0f0b00,
    0xff0f0c00,
    0xff120c00,
    0xff120c00,
    0xff120d01,
    0xff140b01,
    0xff130d01,
    0xff130c01,
    0xff120a00,
    0xff110800,
    0xff0e0700,
    0xff0a0500,
    0xff060400,
    0xff050100,
    0xff020100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010000,
    0xff010001,
    0xff020001,
    0xff010200,
    0xff070700,
    0xff0b0900,
    0xff0e0a00,
    0xff100c01,
    0xff110900,
    0xff0e0a00,
    0xff0f0b00,
    0xff120c01,
    0xff141101,
    0xff171000,
    0xff191201,
    0xff1a1300,
    0xff1a1300,
    0xff1b1401,
    0xff1c1600,
    0xff1d1700,
    0xff201900,
    0xff211a01,
    0xff221a01,
    0xff201b00,
    0xff1f1900,
    0xff1e1800,
    0xff201a00,
    0xff211c00,
    0xff241f00,
    0xff251f01,
    0xff261f00,
    0xff251f01,
    0xff251d01,
    0xff211c00,
    0xff1f1c01,
    0xff1c1c00,
    0xff1b1900,
    0xff171601,
    0xff171600,
    0xff171401,
    0xff151300,
    0xff111001,
    0xff0a1001,
    0xff080a00,
    0xff010600,
    0xff000500,
    0xff000401,
    0xff000501,
    0xff020401,
    0xff000200,
    0xff000200,
    0xff010101,
    0xff000101,
    0xff020201,
    0xff060400,
    0xff070800,
    0xff0d0c00,
    0xff131201,
    0xff181600,
    0xff1d1b01,
    0xff232200,
    0xff2f2a01,
    0xff382f0b,
    0xff3b3310,
    0xff403410,
    0xff433912,
    0xff433c15,
    0xff454013,
    0xff484616,
    0xff4c4a17,
    0xff4e4a18,
    0xff4d4a15,
    0xff4b4913,
    0xff484911,
    0xff45490d,
    0xff46470a,
    0xff3f4708,
    0xff3b4703,
    0xff3b4500,
    0xff374300,
    0xff364000,
    0xff364100,
    0xff384300,
    0xff3a4600,
    0xff3e4a00,
    0xff404e00,
    0xff444e01,
    0xff445003,
    0xff495308,
    0xff4c570b,
    0xff505d11,
    0xff545f15,
    0xff566119,
    0xff576119,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000300,
    0xff000600,
    0xff020a01,
    0xff050d01,
    0xff041000,
    0xff071301,
    0xff091600,
    0xff0a1700,
    0xff0d1b01,
    0xff091f00,
    0xff592e06,
    0xffb31a0d,
    0xff730000,
    0xff640000,
    0xff5a0000,
    0xff5c0000,
    0xff600001,
    0xff680000,
    0xff760000,
    0xff7b0000,
    0xff830000,
    0xff8a0000,
    0xff8e0000,
    0xff950000,
    0xffda230d,
    0xfffc4927,
    0xffff5b37,
    0xfffc4526,
    0xff520806,
    0xff000000,
    0xff000400,
    0xff000300,
    0xff010600,
    0xff000600,
    0xff310b00,
    0xff690801,
    0xff880901,
    0xff900601,
    0xff860000,
    0xff7f0000,
    0xff7b0002,
    0xff7b0001,
    0xff8b0001,
    0xff910000,
    0xff910000,
    0xff950000,
    0xffa10200,
    0xffac0801,
    0xffb00d01,
    0xffb31200,
    0xffb61301,
    0xffa21202,
    0xff990f02,
    0xffad1405,
    0xffb10f01,
    0xffac0800,
    0xffa60301,
    0xffa20000,
    0xff990001,
    0xff930000,
    0xff960001,
    0xffb50a00,
    0xffe73317,
    0xfffe5938,
    0xfff9673b,
    0xffbf621a,
    0xff725b00,
    0xff705e01,
    0xff745c00,
    0xff311e01,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff452706,
    0xff2b1404,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff673a02,
    0xff905a0e,
    0xff945323,
    0xffff8465,
    0xffff745e,
    0xfff86048,
    0xfffcc7b4,
    0xfffda08c,
    0xfffd6f5b,
    0xfffd7b5e,
    0xfffd6748,
    0xfffe4425,
    0xffeb2b10,
    0xffc50e00,
    0xff9e0000,
    0xff950000,
    0xff9b0400,
    0xffa51101,
    0xff8b1002,
    0xff1f0000,
    0xff000000,
    0xffff9e80,
    0xffeb190d,
    0xfff2461f,
    0xfffe562f,
    0xfffd542e,
    0xfffc5a3c,
    0xffff694a,
    0xff82332e,
    0xff110800,
    0xff1d0c00,
    0xff1e0c00,
    0xff1d0c00,
    0xff1d0c00,
    0xff1d0c01,
    0xff1c0b00,
    0xff180a01,
    0xff130900,
    0xff0f0800,
    0xff060601,
    0xff020301,
    0xff020301,
    0xff040701,
    0xff040700,
    0xff060800,
    0xff0b0c00,
    0xff100d01,
    0xff120e00,
    0xff160e00,
    0xff171000,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff171000,
    0xff181100,
    0xff181100,
    0xff171000,
    0xff160f00,
    0xff150f00,
    0xff100d01,
    0xff0a0a00,
    0xff040601,
    0xff030700,
    0xff030600,
    0xff060601,
    0xff080800,
    0xff090800,
    0xff0a0700,
    0xff0c0700,
    0xff100800,
    0xff0e0700,
    0xff0e0700,
    0xff0e0800,
    0xff0d0a00,
    0xff0e0a00,
    0xff0c0900,
    0xff0a0800,
    0xff090700,
    0xff0c0900,
    0xff0c0900,
    0xff0f0b00,
    0xff0f0b00,
    0xff110d01,
    0xff130d00,
    0xff140c01,
    0xff130a00,
    0xff130a00,
    0xff100700,
    0xff100700,
    0xff0a0600,
    0xff080500,
    0xff080200,
    0xff030200,
    0xff010100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020001,
    0xff010001,
    0xff020100,
    0xff060400,
    0xff060600,
    0xff0c0900,
    0xff0f0900,
    0xff0f0b00,
    0xff100900,
    0xff100a00,
    0xff100a00,
    0xff110a00,
    0xff130d00,
    0xff150d00,
    0xff181100,
    0xff191200,
    0xff191200,
    0xff191200,
    0xff1b1402,
    0xff1b1600,
    0xff1f1701,
    0xff1f1700,
    0xff1e1700,
    0xff1d1800,
    0xff1c1700,
    0xff1d1700,
    0xff1f1900,
    0xff211c00,
    0xff221d00,
    0xff241d01,
    0xff251e00,
    0xff241e01,
    0xff231d00,
    0xff211c00,
    0xff1f1a00,
    0xff1d1b00,
    0xff1a1701,
    0xff171501,
    0xff161500,
    0xff161300,
    0xff141300,
    0xff101000,
    0xff0c1001,
    0xff080900,
    0xff000500,
    0xff010500,
    0xff010500,
    0xff010601,
    0xff020301,
    0xff010300,
    0xff000200,
    0xff000100,
    0xff020101,
    0xff010100,
    0xff040500,
    0xff070700,
    0xff090b00,
    0xff0f1100,
    0xff171500,
    0xff1a1900,
    0xff1f1f00,
    0xff2d2801,
    0xff342e0a,
    0xff38300f,
    0xff3b320f,
    0xff3e3414,
    0xff403715,
    0xff423a14,
    0xff423e14,
    0xff474316,
    0xff494516,
    0xff4c4717,
    0xff484514,
    0xff464410,
    0xff44440d,
    0xff41450a,
    0xff3e4408,
    0xff3b4604,
    0xff384300,
    0xff343d01,
    0xff323c01,
    0xff333c00,
    0xff353f00,
    0xff374300,
    0xff3d4801,
    0xff3f4c00,
    0xff444f02,
    0xff434e02,
    0xff485308,
    0xff4c570d,
    0xff4f5a11,
    0xff535d12,
    0xff555f18,
    0xff55601b,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000300,
    0xff010600,
    0xff010900,
    0xff040b00,
    0xff040f00,
    0xff061401,
    0xff091600,
    0xff0a1700,
    0xff0c1a01,
    0xff091f00,
    0xff512b04,
    0xffab1608,
    0xff810000,
    0xff770000,
    0xff5f0000,
    0xff610000,
    0xff5b0000,
    0xff610000,
    0xff6c0000,
    0xff750000,
    0xff7a0001,
    0xff810000,
    0xff8b0000,
    0xff8e0000,
    0xffca1c06,
    0xffff4c21,
    0xffff4520,
    0xffad140c,
    0xff000000,
    0xff000401,
    0xff000500,
    0xff010600,
    0xff000500,
    0xff010801,
    0xff0c0902,
    0xff430d00,
    0xff6b0800,
    0xff840900,
    0xff8c0500,
    0xff840000,
    0xff7e0001,
    0xff790000,
    0xff7f0000,
    0xff840000,
    0xff890001,
    0xff910000,
    0xff9a0001,
    0xffa50200,
    0xffac0800,
    0xffb00b01,
    0xffb00b01,
    0xffb10e01,
    0xffb11503,
    0xffb41800,
    0xffb31000,
    0xffae0901,
    0xffa60300,
    0xffa30000,
    0xff980101,
    0xff950001,
    0xff9f0000,
    0xffc41302,
    0xfff03d23,
    0xffff603e,
    0xfff46a38,
    0xffa55d12,
    0xff6f5b00,
    0xff725f00,
    0xff795d01,
    0xff2a1701,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff3c1f05,
    0xff220d02,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000002,
    0xff351d00,
    0xff985b0c,
    0xff80480c,
    0xffab5834,
    0xfff75141,
    0xffdf1a0d,
    0xffff8f73,
    0xfffb7f6c,
    0xfffe7259,
    0xfffe8260,
    0xfffe6344,
    0xfffa3920,
    0xffe5210d,
    0xffbf0b00,
    0xffa20000,
    0xff9f0100,
    0xffa30701,
    0xffa61500,
    0xff730f01,
    0xff050001,
    0xff030805,
    0xff7a4c3f,
    0xfffc3429,
    0xffe9360f,
    0xfffd5026,
    0xfffd4d25,
    0xfffd623e,
    0xffff5b3d,
    0xff873731,
    0xff110800,
    0xff1d0b00,
    0xff1e0c01,
    0xff1f0d01,
    0xff1e0b00,
    0xff1c0c00,
    0xff1c0b00,
    0xff190901,
    0xff140900,
    0xff100700,
    0xff060500,
    0xff010100,
    0xff010200,
    0xff040601,
    0xff060902,
    0xff060900,
    0xff0b0b00,
    0xff100e01,
    0xff130d01,
    0xff150c00,
    0xff171000,
    0xff181100,
    0xff181100,
    0xff171000,
    0xff181100,
    0xff191200,
    0xff191200,
    0xff171000,
    0xff171000,
    0xff141000,
    0xff110c00,
    0xff0a0a00,
    0xff050700,
    0xff020600,
    0xff040700,
    0xff050601,
    0xff080700,
    0xff090700,
    0xff0b0801,
    0xff0b0800,
    0xff0e0900,
    0xff0f0700,
    0xff0e0a00,
    0xff0d0b00,
    0xff0c0a00,
    0xff0d0900,
    0xff0d0800,
    0xff0c0800,
    0xff0b0900,
    0xff0b0800,
    0xff0e0901,
    0xff0a0800,
    0xff0d0a00,
    0xff0f0c00,
    0xff130b01,
    0xff130a00,
    0xff110800,
    0xff110800,
    0xff0f0600,
    0xff0d0701,
    0xff090400,
    0xff080400,
    0xff060000,
    0xff020100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020001,
    0xff010101,
    0xff020100,
    0xff080400,
    0xff090800,
    0xff100900,
    0xff100a00,
    0xff100a00,
    0xff110a00,
    0xff100800,
    0xff100900,
    0xff110a00,
    0xff120b00,
    0xff140c00,
    0xff150d00,
    0xff171000,
    0xff181100,
    0xff171000,
    0xff191100,
    0xff191300,
    0xff1b1300,
    0xff1c1501,
    0xff1c1501,
    0xff191400,
    0xff191500,
    0xff1b1600,
    0xff1e1800,
    0xff211a00,
    0xff231c00,
    0xff221c00,
    0xff211b00,
    0xff221c00,
    0xff211c00,
    0xff1f1900,
    0xff1d1c00,
    0xff1b1900,
    0xff171500,
    0xff161500,
    0xff191300,
    0xff151200,
    0xff121100,
    0xff101100,
    0xff0d0f00,
    0xff090901,
    0xff010600,
    0xff000400,
    0xff010600,
    0xff010600,
    0xff020301,
    0xff020501,
    0xff000200,
    0xff010200,
    0xff020100,
    0xff040500,
    0xff050701,
    0xff080900,
    0xff0b0d01,
    0xff0e1001,
    0xff151400,
    0xff181801,
    0xff1d1e00,
    0xff282401,
    0xff2f2c07,
    0xff362e0e,
    0xff36320f,
    0xff3b3312,
    0xff3c3415,
    0xff3e3418,
    0xff3d3915,
    0xff423d15,
    0xff443f16,
    0xff454117,
    0xff464114,
    0xff413e11,
    0xff40400d,
    0xff413f09,
    0xff403f07,
    0xff384102,
    0xff343f00,
    0xff313b00,
    0xff2f3801,
    0xff303900,
    0xff323c00,
    0xff323e00,
    0xff374300,
    0xff3e4800,
    0xff404c01,
    0xff414e04,
    0xff435205,
    0xff4a540e,
    0xff4e5811,
    0xff515b14,
    0xff525d16,
    0xff535e1a,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000500,
    0xff000900,
    0xff020b00,
    0xff040f01,
    0xff061201,
    0xff091600,
    0xff091700,
    0xff0c1a01,
    0xff0c1f00,
    0xff332803,
    0xffa11602,
    0xff850000,
    0xff7b0001,
    0xff710000,
    0xff750000,
    0xff660000,
    0xff610001,
    0xff660000,
    0xff6c0000,
    0xff730001,
    0xff790000,
    0xff7e0000,
    0xff870001,
    0xffab0900,
    0xffe82710,
    0xffdf1807,
    0xff310100,
    0xff000401,
    0xff000701,
    0xff020600,
    0xff030700,
    0xff020700,
    0xff030801,
    0xff020d00,
    0xff150d00,
    0xff420d01,
    0xff6c0a00,
    0xff870801,
    0xff8c0400,
    0xff840000,
    0xff7f0000,
    0xff7d0000,
    0xff7f0000,
    0xff820000,
    0xff8a0000,
    0xff940000,
    0xff9e0000,
    0xffa50400,
    0xffab0700,
    0xffb00700,
    0xffb10900,
    0xffb61402,
    0xffba1605,
    0xffb31000,
    0xffb00801,
    0xffa80200,
    0xffa20000,
    0xff980000,
    0xff960001,
    0xffaa0300,
    0xffd31d06,
    0xfff8492b,
    0xffff6940,
    0xffe66531,
    0xff885b09,
    0xff746100,
    0xff725f00,
    0xff7a5d01,
    0xff201301,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff341803,
    0xff1f0c02,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xffaf7617,
    0xffaa681b,
    0xff7c4914,
    0xffe9512e,
    0xffd51006,
    0xfff24828,
    0xfffe7059,
    0xfffe7a5d,
    0xfffd7d5e,
    0xfffe573d,
    0xfff42e1a,
    0xffdd1e05,
    0xffba0900,
    0xffaa0300,
    0xffab0700,
    0xffb00f03,
    0xffa41705,
    0xff510700,
    0xff000001,
    0xff000000,
    0xff0f0e0c,
    0xffff6153,
    0xffdf2106,
    0xfff74721,
    0xffff4923,
    0xfffe5834,
    0xffff5336,
    0xff8a3829,
    0xff100600,
    0xff1c0c00,
    0xff1e0d00,
    0xff1d0e01,
    0xff1e0e01,
    0xff1b0b00,
    0xff1c0c00,
    0xff1a0901,
    0xff150a01,
    0xff100800,
    0xff070500,
    0xff010200,
    0xff010200,
    0xff020500,
    0xff050801,
    0xff060a01,
    0xff0b0b00,
    0xff100e00,
    0xff130d00,
    0xff150f01,
    0xff170f00,
    0xff181100,
    0xff171000,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff191200,
    0xff171000,
    0xff191201,
    0xff150f00,
    0xff110d00,
    0xff0a0a00,
    0xff040601,
    0xff020700,
    0xff040601,
    0xff050601,
    0xff080700,
    0xff090800,
    0xff0b0700,
    0xff0c0800,
    0xff0d0800,
    0xff0f0900,
    0xff100800,
    0xff0f0900,
    0xff0f0801,
    0xff0f0a01,
    0xff0c0900,
    0xff0d0800,
    0xff090900,
    0xff0b0900,
    0xff0c0900,
    0xff0a0900,
    0xff0a0800,
    0xff0c0900,
    0xff0e0a01,
    0xff0f0900,
    0xff100700,
    0xff100700,
    0xff0e0600,
    0xff080600,
    0xff0a0401,
    0xff080300,
    0xff050100,
    0xff040000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020001,
    0xff020001,
    0xff040100,
    0xff080400,
    0xff0b0700,
    0xff0f0701,
    0xff110801,
    0xff110800,
    0xff110900,
    0xff120900,
    0xff100700,
    0xff100800,
    0xff110900,
    0xff130a01,
    0xff130b00,
    0xff160e00,
    0xff150e00,
    0xff150f00,
    0xff171001,
    0xff161000,
    0xff171200,
    0xff181200,
    0xff171000,
    0xff161000,
    0xff181200,
    0xff1a1401,
    0xff1d1700,
    0xff201800,
    0xff211a00,
    0xff201900,
    0xff201b00,
    0xff1f1900,
    0xff201a01,
    0xff1f1901,
    0xff1e1900,
    0xff1a1701,
    0xff181501,
    0xff161300,
    0xff131400,
    0xff141200,
    0xff121001,
    0xff101000,
    0xff0e0f01,
    0xff050900,
    0xff010600,
    0xff010600,
    0xff000500,
    0xff000500,
    0xff010500,
    0xff010400,
    0xff020400,
    0xff000400,
    0xff010300,
    0xff050601,
    0xff070801,
    0xff080b00,
    0xff0d0e00,
    0xff0e1100,
    0xff121300,
    0xff171701,
    0xff1c1c00,
    0xff222200,
    0xff2b2906,
    0xff332e0d,
    0xff373110,
    0xff3a3211,
    0xff3a3312,
    0xff3b3213,
    0xff3d3315,
    0xff3f3811,
    0xff413913,
    0xff413d12,
    0xff413d12,
    0xff3e3c11,
    0xff3e3c0d,
    0xff3c3b09,
    0xff373b05,
    0xff333c01,
    0xff2f3800,
    0xff2d3500,
    0xff2b3300,
    0xff2c3500,
    0xff2d3800,
    0xff303a00,
    0xff333e01,
    0xff394302,
    0xff3b4800,
    0xff3f4a03,
    0xff424e06,
    0xff48530b,
    0xff4c5610,
    0xff4f5915,
    0xff515a17,
    0xff4f5b18,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000500,
    0xff000900,
    0xff010d00,
    0xff020d00,
    0xff061100,
    0xff081600,
    0xff091800,
    0xff0c1a00,
    0xff121f01,
    0xff152500,
    0xff831801,
    0xff7f0000,
    0xff7a0000,
    0xff780001,
    0xff8a0000,
    0xff770000,
    0xff670000,
    0xff690000,
    0xff6e0003,
    0xff6f0000,
    0xff760000,
    0xff790000,
    0xff7d0000,
    0xff8f0000,
    0xffc20b00,
    0xff930300,
    0xff030501,
    0xff000700,
    0xff000800,
    0xff000700,
    0xff010901,
    0xff020801,
    0xff040a01,
    0xff060c01,
    0xff040d00,
    0xff100f00,
    0xff420f01,
    0xff6f0c00,
    0xff890900,
    0xff8a0400,
    0xff870000,
    0xff890001,
    0xff850001,
    0xff7e0000,
    0xff830000,
    0xff8f0000,
    0xff980000,
    0xffa00000,
    0xffa50100,
    0xffa80500,
    0xffab0700,
    0xffb41302,
    0xffb91505,
    0xffb51000,
    0xffb00901,
    0xffa90300,
    0xffa20001,
    0xff980002,
    0xff970000,
    0xffb00700,
    0xffde260d,
    0xfffe5734,
    0xffff6d46,
    0xffd36229,
    0xff785b01,
    0xff786301,
    0xff736101,
    0xff7a5d01,
    0xff180c01,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff3a1f06,
    0xff251104,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff6c4715,
    0xffdb9a32,
    0xff864f0e,
    0xffb35c2b,
    0xffd81507,
    0xffd60c03,
    0xffff6140,
    0xfffe7d5e,
    0xfffe7a58,
    0xfffe4831,
    0xffed2515,
    0xffd71a02,
    0xffbc0800,
    0xffb70800,
    0xffba0e02,
    0xffc7200d,
    0xffa91a08,
    0xff2a0100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffc25f4b,
    0xffdf1602,
    0xfff03f1d,
    0xfffb3e1a,
    0xfffd4b24,
    0xffff4b2e,
    0xff8a3325,
    0xff0f0700,
    0xff1c0d00,
    0xff1e0e01,
    0xff1c0d00,
    0xff1c0c00,
    0xff1c0d00,
    0xff1c0a00,
    0xff1a0900,
    0xff160900,
    0xff110800,
    0xff070600,
    0xff010100,
    0xff010200,
    0xff020400,
    0xff040801,
    0xff050900,
    0xff0b0b00,
    0xff110d00,
    0xff150e00,
    0xff171000,
    0xff160f00,
    0xff181100,
    0xff171000,
    0xff181100,
    0xff191200,
    0xff181100,
    0xff191200,
    0xff181101,
    0xff171000,
    0xff160d00,
    0xff110d00,
    0xff0a0a00,
    0xff040601,
    0xff020600,
    0xff040501,
    0xff050801,
    0xff070700,
    0xff0a0801,
    0xff0b0700,
    0xff0c0800,
    0xff0e0700,
    0xff0e0800,
    0xff0f0901,
    0xff0e0a00,
    0xff0e0800,
    0xff0e0a01,
    0xff0d0900,
    0xff0b0900,
    0xff0b0800,
    0xff0b0800,
    0xff0d0a01,
    0xff090a00,
    0xff0b0900,
    0xff0b0900,
    0xff0e0801,
    0xff100800,
    0xff100801,
    0xff0e0600,
    0xff0d0600,
    0xff0b0600,
    0xff0a0401,
    0xff070300,
    0xff060100,
    0xff040000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020001,
    0xff020000,
    0xff060300,
    0xff0a0500,
    0xff0b0600,
    0xff0f0701,
    0xff120801,
    0xff110900,
    0xff120900,
    0xff110800,
    0xff110801,
    0xff100700,
    0xff0f0600,
    0xff100800,
    0xff100600,
    0xff110b00,
    0xff110b00,
    0xff120c01,
    0xff120c00,
    0xff130e00,
    0xff130e00,
    0xff140c01,
    0xff130a00,
    0xff120d00,
    0xff170f00,
    0xff191200,
    0xff1c1401,
    0xff1f1700,
    0xff1e1700,
    0xff1f1700,
    0xff1f1700,
    0xff1f1900,
    0xff1f1900,
    0xff1e1800,
    0xff1e1700,
    0xff191500,
    0xff151201,
    0xff171200,
    0xff121200,
    0xff111001,
    0xff110f00,
    0xff100f01,
    0xff0d0d01,
    0xff060800,
    0xff020701,
    0xff000500,
    0xff000500,
    0xff020701,
    0xff000400,
    0xff000600,
    0xff010500,
    0xff010500,
    0xff010600,
    0xff050701,
    0xff080900,
    0xff0a0e01,
    0xff0e0e01,
    0xff0e1100,
    0xff101200,
    0xff141700,
    0xff191c01,
    0xff1c2100,
    0xff272705,
    0xff302d0c,
    0xff363010,
    0xff363112,
    0xff3a3112,
    0xff3a3212,
    0xff3a3112,
    0xff3d3511,
    0xff3e3611,
    0xff3d370e,
    0xff3e390f,
    0xff3c390e,
    0xff38390a,
    0xff363606,
    0xff353504,
    0xff303301,
    0xff293100,
    0xff262e00,
    0xff262e00,
    0xff273000,
    0xff2a3400,
    0xff2c3500,
    0xff2f3800,
    0xff333c01,
    0xff384201,
    0xff3a4601,
    0xff3c4b04,
    0xff424f08,
    0xff46530e,
    0xff4c5513,
    0xff4e5716,
    0xff4c5718,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000201,
    0xff010701,
    0xff010b00,
    0xff020e00,
    0xff040f00,
    0xff081401,
    0xff0a1701,
    0xff0c1a01,
    0xff101f00,
    0xff0e2201,
    0xff432201,
    0xff720100,
    0xff7e0001,
    0xff7f0000,
    0xff8f0101,
    0xff7f0001,
    0xff730000,
    0xff730000,
    0xff770001,
    0xff740000,
    0xff740000,
    0xff770001,
    0xff7a0000,
    0xff830001,
    0xffad0100,
    0xff520701,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff030801,
    0xff010b01,
    0xff040c01,
    0xff040c00,
    0xff070d00,
    0xff041100,
    0xff031100,
    0xff131100,
    0xff481001,
    0xff770b00,
    0xff8e0801,
    0xff8e0300,
    0xff960500,
    0xff930100,
    0xff820000,
    0xff810000,
    0xff880001,
    0xff910000,
    0xff990000,
    0xffa10000,
    0xffa50100,
    0xffac0600,
    0xffb51200,
    0xffba1603,
    0xffb70f00,
    0xffb00800,
    0xffaa0200,
    0xffa10000,
    0xff990002,
    0xff970000,
    0xffab0300,
    0xffdd280e,
    0xffff5e39,
    0xffff704b,
    0xffb95d24,
    0xff6f5d00,
    0xff776300,
    0xff766200,
    0xff7a5d00,
    0xff120901,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff442206,
    0xff1e0e06,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff0c0402,
    0xffba7d22,
    0xff82480d,
    0xff8a4916,
    0xfffb4625,
    0xffbe0002,
    0xfff54a31,
    0xffff8260,
    0xfffe7154,
    0xfffa3a25,
    0xffe9220e,
    0xffd71902,
    0xffbf0800,
    0xffbd0a00,
    0xffcc1a08,
    0xffe03918,
    0xffa8220b,
    0xff0b0001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff572c23,
    0xffe01603,
    0xffeb3b18,
    0xfff53818,
    0xfffe451e,
    0xffff4528,
    0xff772618,
    0xff110a00,
    0xff1d0d00,
    0xff1e0e00,
    0xff1d0d00,
    0xff1c0c00,
    0xff1d0d00,
    0xff1b0c01,
    0xff180a00,
    0xff170900,
    0xff100900,
    0xff090600,
    0xff020200,
    0xff010100,
    0xff000500,
    0xff040700,
    0xff070800,
    0xff0b0d00,
    0xff130d01,
    0xff150f00,
    0xff171000,
    0xff171000,
    0xff181100,
    0xff181100,
    0xff171000,
    0xff191200,
    0xff191200,
    0xff181100,
    0xff181100,
    0xff171000,
    0xff150f00,
    0xff100c00,
    0xff090900,
    0xff020701,
    0xff020701,
    0xff030400,
    0xff030600,
    0xff0a0800,
    0xff0a0801,
    0xff070800,
    0xff0c0900,
    0xff0c0800,
    0xff0f0900,
    0xff0d0a00,
    0xff0f0800,
    0xff0e0900,
    0xff0c0a00,
    0xff0d0a01,
    0xff0b0800,
    0xff0a0a00,
    0xff0c0900,
    0xff0c0a01,
    0xff0b0900,
    0xff0c0900,
    0xff0f0a00,
    0xff0f0a00,
    0xff100900,
    0xff100700,
    0xff0f0700,
    0xff0e0800,
    0xff0a0600,
    0xff0a0400,
    0xff070300,
    0xff070101,
    0xff040101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff040000,
    0xff070300,
    0xff090401,
    0xff0c0801,
    0xff0f0600,
    0xff100700,
    0xff100700,
    0xff100800,
    0xff110800,
    0xff100700,
    0xff0f0601,
    0xff0f0700,
    0xff0f0500,
    0xff0f0700,
    0xff100701,
    0xff100801,
    0xff100900,
    0xff120b00,
    0xff130c00,
    0xff100a00,
    0xff0c0700,
    0xff0d0700,
    0xff0f0a00,
    0xff140e00,
    0xff171100,
    0xff1b1200,
    0xff1c1400,
    0xff1d1501,
    0xff1d1500,
    0xff1d1600,
    0xff1d1700,
    0xff1c1600,
    0xff1c1600,
    0xff1b1600,
    0xff161200,
    0xff111101,
    0xff131100,
    0xff111001,
    0xff100f00,
    0xff100e00,
    0xff0f0e01,
    0xff0b0c01,
    0xff070801,
    0xff030500,
    0xff030701,
    0xff020701,
    0xff000500,
    0xff010600,
    0xff000800,
    0xff010600,
    0xff020700,
    0xff030900,
    0xff040a00,
    0xff0a0c01,
    0xff0c0e00,
    0xff0d1101,
    0xff0e1201,
    0xff101300,
    0xff141701,
    0xff181b00,
    0xff1d2100,
    0xff262604,
    0xff2d2d0b,
    0xff342f0f,
    0xff373112,
    0xff393012,
    0xff382f10,
    0xff382f13,
    0xff3a3010,
    0xff38320e,
    0xff38330d,
    0xff39340a,
    0xff37350b,
    0xff363307,
    0xff333104,
    0xff312e02,
    0xff2b2f01,
    0xff242b01,
    0xff212700,
    0xff202700,
    0xff222900,
    0xff232a00,
    0xff262f00,
    0xff2a3300,
    0xff2e3800,
    0xff333a00,
    0xff353e00,
    0xff374201,
    0xff3a4805,
    0xff414d0c,
    0xff465110,
    0xff495413,
    0xff475114,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000500,
    0xff000b00,
    0xff030e00,
    0xff051000,
    0xff071200,
    0xff0a1700,
    0xff0a1800,
    0xff0f1d00,
    0xff112200,
    0xff152700,
    0xff4b1c01,
    0xff700200,
    0xff850100,
    0xff9a0701,
    0xff870100,
    0xff7a0001,
    0xff7b0001,
    0xff7d0000,
    0xff7e0000,
    0xff7e0000,
    0xff7f0001,
    0xff7c0001,
    0xff820000,
    0xff8f0101,
    0xff200901,
    0xff000801,
    0xff010801,
    0xff020a01,
    0xff050900,
    0xff040c00,
    0xff060e01,
    0xff060f01,
    0xff070f00,
    0xff061100,
    0xff081302,
    0xff061500,
    0xff181300,
    0xff530f01,
    0xff7f0d00,
    0xff950700,
    0xffa70e00,
    0xffa10800,
    0xff8b0000,
    0xff840001,
    0xff830000,
    0xff8b0000,
    0xff930000,
    0xff9c0000,
    0xffa20000,
    0xffaa0300,
    0xffb61100,
    0xffb81501,
    0xffb81000,
    0xffb00700,
    0xffaa0100,
    0xffa00001,
    0xff970001,
    0xff990000,
    0xffa60200,
    0xffd3210e,
    0xffff613b,
    0xfffe744d,
    0xffbe5e27,
    0xff6d5b00,
    0xff766300,
    0xff776501,
    0xff795d02,
    0xff0d0400,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff552904,
    0xff0f0301,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffa13e12,
    0xff7e4708,
    0xff81470d,
    0xffe44c24,
    0xffc3070b,
    0xfff85837,
    0xfffe815f,
    0xffff6249,
    0xfff6301d,
    0xffe7240a,
    0xffd21502,
    0xffc20900,
    0xffc20b00,
    0xffd5230f,
    0xffec491f,
    0xff942312,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff301713,
    0xffde190a,
    0xffe32f11,
    0xfff23518,
    0xfff93c1b,
    0xfffc381e,
    0xff6e1c13,
    0xff120a00,
    0xff1d0d00,
    0xff1d0d00,
    0xff1d0d00,
    0xff1d0d00,
    0xff1d0d00,
    0xff1a0b01,
    0xff1a0b02,
    0xff170a01,
    0xff110900,
    0xff0b0600,
    0xff020300,
    0xff010101,
    0xff000400,
    0xff030700,
    0xff080801,
    0xff0c0c00,
    0xff120e01,
    0xff170e01,
    0xff171000,
    0xff171000,
    0xff171000,
    0xff191200,
    0xff191200,
    0xff191200,
    0xff171000,
    0xff181100,
    0xff171000,
    0xff171000,
    0xff150f00,
    0xff110d01,
    0xff0b0900,
    0xff020601,
    0xff010500,
    0xff040601,
    0xff040600,
    0xff060600,
    0xff060600,
    0xff080800,
    0xff0c0800,
    0xff0c0a01,
    0xff0f0800,
    0xff0e0b00,
    0xff0f0a00,
    0xff0b0c00,
    0xff0c0a00,
    0xff0e0901,
    0xff0a0a00,
    0xff080a00,
    0xff0d0900,
    0xff0b0800,
    0xff0c0900,
    0xff0c0a00,
    0xff0e0c00,
    0xff0e0a00,
    0xff100900,
    0xff100800,
    0xff100700,
    0xff0f0600,
    0xff0b0600,
    0xff0a0501,
    0xff090401,
    0xff070200,
    0xff050000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff050000,
    0xff090400,
    0xff0a0500,
    0xff0e0700,
    0xff0e0600,
    0xff100700,
    0xff100700,
    0xff110800,
    0xff120900,
    0xff0f0600,
    0xff0f0700,
    0xff0d0501,
    0xff0d0600,
    0xff0c0701,
    0xff100700,
    0xff0d0600,
    0xff0d0800,
    0xff0f0800,
    0xff0c0800,
    0xff0b0700,
    0xff080501,
    0xff080600,
    0xff0d0700,
    0xff100a00,
    0xff150e01,
    0xff191200,
    0xff1b1400,
    0xff1c1400,
    0xff1c1401,
    0xff1c1500,
    0xff1b1500,
    0xff1a1400,
    0xff1a1301,
    0xff171100,
    0xff171101,
    0xff131100,
    0xff100e00,
    0xff100e01,
    0xff0f0c00,
    0xff0f0e01,
    0xff0e0c00,
    0xff0c0c01,
    0xff060701,
    0xff040501,
    0xff010500,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff000700,
    0xff030901,
    0xff040a01,
    0xff050c01,
    0xff080d00,
    0xff0d0e01,
    0xff0d1100,
    0xff0f1300,
    0xff141300,
    0xff121501,
    0xff151902,
    0xff181d00,
    0xff1c2402,
    0xff242606,
    0xff2d2c09,
    0xff332f0e,
    0xff373111,
    0xff363011,
    0xff362f11,
    0xff382f12,
    0xff362e10,
    0xff362e0f,
    0xff35300d,
    0xff353009,
    0xff343009,
    0xff333006,
    0xff302d03,
    0xff2c2901,
    0xff262701,
    0xff232600,
    0xff1e2401,
    0xff1d2202,
    0xff1c2100,
    0xff1d2301,
    0xff202900,
    0xff252c01,
    0xff293100,
    0xff2f3601,
    0xff323a00,
    0xff333c01,
    0xff384204,
    0xff3c4706,
    0xff404b08,
    0xff404a0c,
    0xff404b0e,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000201,
    0xff000600,
    0xff000c00,
    0xff040f00,
    0xff051100,
    0xff081601,
    0xff0a1800,
    0xff0d1b01,
    0xff122101,
    0xff122400,
    0xff1a2700,
    0xff481e02,
    0xff790800,
    0xffa11002,
    0xff990b00,
    0xff830300,
    0xff840100,
    0xff820000,
    0xff840000,
    0xff840000,
    0xff870000,
    0xff890000,
    0xff8a0000,
    0xff5b0602,
    0xff030b00,
    0xff020900,
    0xff010b00,
    0xff040c01,
    0xff040b00,
    0xff040d00,
    0xff060d00,
    0xff081000,
    0xff051200,
    0xff091501,
    0xff081500,
    0xff0a1600,
    0xff0c1700,
    0xff231501,
    0xff630e01,
    0xff890d00,
    0xffaa1400,
    0xffa90d00,
    0xff930201,
    0xff8a0000,
    0xff860000,
    0xff850000,
    0xff8f0000,
    0xff980001,
    0xffa10000,
    0xffae0301,
    0xffb70f00,
    0xffb91300,
    0xffb60e00,
    0xffb20600,
    0xffab0000,
    0xff9e0000,
    0xff970001,
    0xff9a0000,
    0xffa50300,
    0xffc61709,
    0xfffb5a39,
    0xffff734f,
    0xffd56029,
    0xff7b5a02,
    0xff716300,
    0xff766400,
    0xff755c02,
    0xff080101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff673606,
    0xff030000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff96170e,
    0xff854001,
    0xff7d4608,
    0xffd3471b,
    0xffcb0b0b,
    0xfffc623f,
    0xffff7d5d,
    0xfffd5139,
    0xfff22818,
    0xffe8260a,
    0xffd21400,
    0xffc50a00,
    0xffc00d00,
    0xffd92911,
    0xffde482a,
    0xff4a1109,
    0xff000000,
    0xff000000,
    0xff010100,
    0xff000000,
    0xff2f1712,
    0xffd91a0d,
    0xffdc2b0e,
    0xffec3214,
    0xfff22d13,
    0xfff22e14,
    0xff5b1409,
    0xff140b00,
    0xff1b0d00,
    0xff1c0d01,
    0xff1d0d00,
    0xff1d0d00,
    0xff1a0d00,
    0xff1c0a00,
    0xff190a00,
    0xff180a02,
    0xff120800,
    0xff0c0700,
    0xff020200,
    0xff000100,
    0xff000200,
    0xff030600,
    0xff070800,
    0xff0e0d01,
    0xff100f01,
    0xff141001,
    0xff170f00,
    0xff171001,
    0xff181100,
    0xff191200,
    0xff191200,
    0xff191200,
    0xff181100,
    0xff181100,
    0xff171000,
    0xff170f00,
    0xff120e00,
    0xff100c01,
    0xff090900,
    0xff030500,
    0xff030400,
    0xff030500,
    0xff030500,
    0xff070601,
    0xff090601,
    0xff0b0701,
    0xff0e0800,
    0xff0b0900,
    0xff0d0b00,
    0xff110900,
    0xff0e0b00,
    0xff0e0b00,
    0xff0c0b00,
    0xff0c0900,
    0xff0c0800,
    0xff0b0a00,
    0xff0d0b02,
    0xff0d0b00,
    0xff0e0c00,
    0xff0d0b00,
    0xff0d0a00,
    0xff120a00,
    0xff100900,
    0xff100a00,
    0xff110900,
    0xff100700,
    0xff0f0600,
    0xff0d0600,
    0xff090400,
    0xff070200,
    0xff050000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff080100,
    0xff0b0200,
    0xff0b0401,
    0xff0b0500,
    0xff0e0701,
    0xff0e0700,
    0xff0f0600,
    0xff110801,
    0xff0f0600,
    0xff100600,
    0xff0c0700,
    0xff0c0401,
    0xff0b0200,
    0xff090601,
    0xff0c0500,
    0xff0b0600,
    0xff090600,
    0xff0a0600,
    0xff090501,
    0xff030100,
    0xff060200,
    0xff080400,
    0xff090600,
    0xff100800,
    0xff120b00,
    0xff170f01,
    0xff191100,
    0xff1b1100,
    0xff191300,
    0xff191300,
    0xff1a1100,
    0xff190f00,
    0xff151000,
    0xff120d01,
    0xff100d00,
    0xff120d00,
    0xff0f0c00,
    0xff110b00,
    0xff0f0a00,
    0xff0e0c00,
    0xff0e0b00,
    0xff0b0b00,
    0xff060701,
    0xff030500,
    0xff010600,
    0xff010800,
    0xff000900,
    0xff030701,
    0xff040a00,
    0xff040a00,
    0xff040c00,
    0xff070e00,
    0xff091100,
    0xff0e1200,
    0xff111501,
    0xff121601,
    0xff141700,
    0xff131701,
    0xff171901,
    0xff181d00,
    0xff1d2301,
    0xff222706,
    0xff2a2c08,
    0xff322f0a,
    0xff362f10,
    0xff373011,
    0xff363011,
    0xff352e11,
    0xff332c0f,
    0xff332c0e,
    0xff322c0a,
    0xff302a08,
    0xff312c07,
    0xff2f2905,
    0xff2b2602,
    0xff292600,
    0xff252500,
    0xff222400,
    0xff1b1f00,
    0xff181a01,
    0xff161901,
    0xff171c00,
    0xff1a2200,
    0xff202500,
    0xff232d00,
    0xff283200,
    0xff2e3500,
    0xff313700,
    0xff323a01,
    0xff343d01,
    0xff373f03,
    0xff394308,
    0xff3b430a,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000300,
    0xff000a00,
    0xff030d01,
    0xff031000,
    0xff071400,
    0xff091700,
    0xff0a1a01,
    0xff101f00,
    0xff132300,
    0xff122600,
    0xff142701,
    0xff442401,
    0xff862000,
    0xff991800,
    0xff840900,
    0xff870801,
    0xff870600,
    0xff840400,
    0xff800200,
    0xff840300,
    0xff8c0201,
    0xff7f0301,
    0xff291000,
    0xff000f00,
    0xff020e00,
    0xff050d01,
    0xff060d00,
    0xff050e00,
    0xff081100,
    0xff091201,
    0xff091300,
    0xff081400,
    0xff0b1600,
    0xff0c1701,
    0xff101700,
    0xff0f1c00,
    0xff0f1c01,
    0xff341500,
    0xff701001,
    0xff9f1601,
    0xffa90f01,
    0xff990701,
    0xff930200,
    0xff8a0000,
    0xff850000,
    0xff890000,
    0xff920000,
    0xffa20000,
    0xffb80702,
    0xffbb1000,
    0xffb90f00,
    0xffb60c00,
    0xffb30700,
    0xffa90100,
    0xff9f0000,
    0xff970001,
    0xff9e0000,
    0xffa70500,
    0xffbb1204,
    0xfff04929,
    0xffff6746,
    0xffe95f2a,
    0xff8a5905,
    0xff706200,
    0xff736400,
    0xff735801,
    0xff050001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff734511,
    0xff000000,
    0xff000001,
    0xff000100,
    0xff000100,
    0xff000100,
    0xff000100,
    0xff000000,
    0xff9f0806,
    0xff952c00,
    0xff7a4409,
    0xffbc3510,
    0xffc40509,
    0xffff6b49,
    0xfffe7659,
    0xfffd4631,
    0xfff22a16,
    0xffe8260a,
    0xffd11302,
    0xffcc0f00,
    0xffc81204,
    0xffd62d1b,
    0xffb63221,
    0xff0b0002,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff381913,
    0xffd1140a,
    0xffd6290e,
    0xffe52c13,
    0xffed290e,
    0xffee2c11,
    0xff59150c,
    0xff140b00,
    0xff1e0e01,
    0xff1f0f00,
    0xff1d0d00,
    0xff1f0f00,
    0xff1a0c00,
    0xff1d0c01,
    0xff190b01,
    0xff180901,
    0xff140800,
    0xff0b0800,
    0xff020300,
    0xff000100,
    0xff000200,
    0xff020400,
    0xff060800,
    0xff0c0c00,
    0xff120e01,
    0xff150f01,
    0xff170f00,
    0xff171000,
    0xff181100,
    0xff191200,
    0xff191200,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff160e00,
    0xff130e00,
    0xff100c01,
    0xff080800,
    0xff020500,
    0xff010300,
    0xff010300,
    0xff050700,
    0xff080701,
    0xff080701,
    0xff090800,
    0xff0c0800,
    0xff0b0900,
    0xff0e0b00,
    0xff0d0b00,
    0xff0f0a00,
    0xff0e0a00,
    0xff0d0b00,
    0xff0d0b00,
    0xff0d0a00,
    0xff0b0a01,
    0xff0b0b00,
    0xff0e0c00,
    0xff0d0b00,
    0xff0d0c00,
    0xff0f0c00,
    0xff110b01,
    0xff110a00,
    0xff110a00,
    0xff100900,
    0xff110701,
    0xff0e0800,
    0xff0e0700,
    0xff0a0500,
    0xff080300,
    0xff060000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020100,
    0xff080100,
    0xff0a0200,
    0xff0a0200,
    0xff0c0400,
    0xff0e0600,
    0xff0d0500,
    0xff0e0500,
    0xff0f0600,
    0xff0f0600,
    0xff100600,
    0xff0d0600,
    0xff0c0300,
    0xff0a0200,
    0xff090300,
    0xff0b0100,
    0xff0a0100,
    0xff0a0300,
    0xff090200,
    0xff020000,
    0xff020000,
    0xff050100,
    0xff070200,
    0xff080400,
    0xff0c0600,
    0xff110900,
    0xff140d00,
    0xff171000,
    0xff180e00,
    0xff171000,
    0xff160f00,
    0xff170f01,
    0xff140a00,
    0xff110a00,
    0xff0f0900,
    0xff0e0900,
    0xff100700,
    0xff0b0900,
    0xff0d0900,
    0xff0e0a00,
    0xff0e0900,
    0xff0c0c00,
    0xff070a00,
    0xff050701,
    0xff030601,
    0xff010600,
    0xff010700,
    0xff020900,
    0xff040b00,
    0xff050c01,
    0xff050e00,
    0xff040e00,
    0xff061000,
    0xff081301,
    0xff101600,
    0xff101700,
    0xff151a01,
    0xff171a01,
    0xff171b00,
    0xff191b00,
    0xff1b2000,
    0xff202603,
    0xff232909,
    0xff2a2d08,
    0xff2f310b,
    0xff363112,
    0xff373110,
    0xff36310e,
    0xff36300e,
    0xff342e0d,
    0xff322a0b,
    0xff302909,
    0xff2e2707,
    0xff2c2507,
    0xff292500,
    0xff282300,
    0xff252200,
    0xff262101,
    0xff201e00,
    0xff161800,
    0xff111200,
    0xff0f1100,
    0xff0f1201,
    0xff131800,
    0xff191d00,
    0xff1d2600,
    0xff242c00,
    0xff2a3100,
    0xff2e3501,
    0xff2c3500,
    0xff2b3600,
    0xff2e3702,
    0xff303903,
    0xff323b07,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000101,
    0xff000600,
    0xff000a00,
    0xff030f00,
    0xff051200,
    0xff0a1701,
    0xff0b1901,
    0xff0e1c00,
    0xff112000,
    0xff132500,
    0xff152400,
    0xff112601,
    0xff292801,
    0xff652e03,
    0xff621f00,
    0xff691901,
    0xff6f1100,
    0xff6f0d00,
    0xff700b00,
    0xff730800,
    0xff7b0800,
    0xff571100,
    0xff091301,
    0xff041100,
    0xff051000,
    0xff051000,
    0xff081100,
    0xff091100,
    0xff091200,
    0xff0b1300,
    0xff0c1600,
    0xff0e1701,
    0xff0e1900,
    0xff111900,
    0xff121c00,
    0xff121e00,
    0xff131f00,
    0xff152000,
    0xff421400,
    0xff841600,
    0xff9e1200,
    0xff9f0b01,
    0xff9b0600,
    0xff910100,
    0xff8a0001,
    0xff880000,
    0xff900000,
    0xffb10200,
    0xffcd1200,
    0xffc81401,
    0xffb70d00,
    0xffb50b00,
    0xffb40600,
    0xffab0100,
    0xffa10000,
    0xff9e0001,
    0xffa30000,
    0xffa90600,
    0xffb71202,
    0xffdf341d,
    0xfff84c2c,
    0xffe94e24,
    0xff925905,
    0xff706100,
    0xff706400,
    0xff725601,
    0xff020001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff250e01,
    0xff573b15,
    0xff000000,
    0xff000101,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff000001,
    0xffad1404,
    0xffc13308,
    0xff7b490b,
    0xffcd3c12,
    0xffcb130f,
    0xffff714e,
    0xfffe7659,
    0xfffe432f,
    0xfff42e18,
    0xffe9270c,
    0xffd51302,
    0xffd51701,
    0xffd41a08,
    0xffd3351e,
    0xff6f1103,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff5a271e,
    0xffcc100b,
    0xffd1290c,
    0xffe12a11,
    0xffe8250c,
    0xffe9270c,
    0xff461007,
    0xff150c00,
    0xff1c0d00,
    0xff1d0d00,
    0xff1e0e00,
    0xff1d0d00,
    0xff1b0e01,
    0xff1b0c01,
    0xff1b0a00,
    0xff170a00,
    0xff130900,
    0xff0c0801,
    0xff020201,
    0xff010200,
    0xff000300,
    0xff010300,
    0xff050800,
    0xff0a0d00,
    0xff110e00,
    0xff150f00,
    0xff171000,
    0xff171000,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff181100,
    0xff171000,
    0xff181100,
    0xff171001,
    0xff160f00,
    0xff130d00,
    0xff0f0b00,
    0xff080901,
    0xff020501,
    0xff010300,
    0xff020400,
    0xff040500,
    0xff070601,
    0xff080701,
    0xff090a01,
    0xff0a0900,
    0xff0d0a02,
    0xff0c0c00,
    0xff0d0a00,
    0xff100a00,
    0xff0f0b00,
    0xff0d0b00,
    0xff0d0b00,
    0xff0c0900,
    0xff0c0901,
    0xff0f0c01,
    0xff0f0d01,
    0xff0d0b00,
    0xff0f0d00,
    0xff0f0d00,
    0xff0f0c00,
    0xff130c00,
    0xff120c00,
    0xff120b00,
    0xff110700,
    0xff100700,
    0xff0f0800,
    0xff0a0600,
    0xff090501,
    0xff050100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff030001,
    0xff090000,
    0xff0a0300,
    0xff0a0201,
    0xff0c0401,
    0xff0e0600,
    0xff0e0601,
    0xff0f0701,
    0xff0f0600,
    0xff100700,
    0xff0f0601,
    0xff0e0601,
    0xff0a0200,
    0xff080200,
    0xff090100,
    0xff070200,
    0xff070301,
    0xff070100,
    0xff040100,
    0xff000000,
    0xff010001,
    0xff020001,
    0xff060000,
    0xff070200,
    0xff090600,
    0xff100800,
    0xff120b00,
    0xff160d00,
    0xff170c01,
    0xff150b00,
    0xff150c00,
    0xff130b00,
    0xff120900,
    0xff100701,
    0xff0e0700,
    0xff0b0700,
    0xff0f0900,
    0xff0c0900,
    0xff0f0800,
    0xff0c0900,
    0xff0a0900,
    0xff0b0b00,
    0xff070901,
    0xff030600,
    0xff010600,
    0xff020701,
    0xff020800,
    0xff040a00,
    0xff030d00,
    0xff070d00,
    0xff070f00,
    0xff070f00,
    0xff080f01,
    0xff0a1301,
    0xff0d1700,
    0xff131a02,
    0xff181c01,
    0xff191e01,
    0xff191f00,
    0xff1b2502,
    0xff1f2702,
    0xff242906,
    0xff262d09,
    0xff2d2f0a,
    0xff32320c,
    0xff37340e,
    0xff383510,
    0xff37320f,
    0xff37310e,
    0xff342f0d,
    0xff332a0b,
    0xff2f2708,
    0xff2b2408,
    0xff292306,
    0xff252001,
    0xff241d00,
    0xff251e01,
    0xff201b00,
    0xff1c1800,
    0xff141301,
    0xff0d0e00,
    0xff0c0d01,
    0xff0c0e00,
    0xff0f1101,
    0xff131600,
    0xff171d00,
    0xff1d2601,
    0xff222c01,
    0xff262e01,
    0xff272f01,
    0xff263001,
    0xff2a3001,
    0xff283101,
    0xff293100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000300,
    0xff000600,
    0xff010a00,
    0xff030f01,
    0xff061400,
    0xff091800,
    0xff0b1900,
    0xff111f01,
    0xff132200,
    0xff142400,
    0xff152500,
    0xff112701,
    0xff122502,
    0xff192500,
    0xff1c2601,
    0xff2a2301,
    0xff3c2001,
    0xff401f00,
    0xff441b00,
    0xff3e1700,
    0xff1a1601,
    0xff061600,
    0xff081401,
    0xff091401,
    0xff091200,
    0xff091100,
    0xff081300,
    0xff081400,
    0xff0c1700,
    0xff0f1700,
    0xff111b02,
    0xff111c00,
    0xff111e01,
    0xff121f00,
    0xff142000,
    0xff162300,
    0xff172400,
    0xff1a2301,
    0xff501501,
    0xff861201,
    0xff9c1001,
    0xffa00a01,
    0xff9b0600,
    0xff910100,
    0xff8b0000,
    0xff930000,
    0xffc10800,
    0xffe22302,
    0xffd31704,
    0xffb80c00,
    0xffb80900,
    0xffb70600,
    0xffb20300,
    0xffb10200,
    0xffb40400,
    0xffb50501,
    0xffb20900,
    0xffb51402,
    0xffcc2713,
    0xffe7321c,
    0xffdc3917,
    0xff955a03,
    0xff726400,
    0xff706301,
    0xff6b5200,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff6b4113,
    0xff0d0a06,
    0xff000000,
    0xff010300,
    0xff000300,
    0xff000400,
    0xff000300,
    0xff000400,
    0xff000200,
    0xff450d03,
    0xffcc3f0b,
    0xff7d4b0b,
    0xffdc461e,
    0xffd31c18,
    0xffff7854,
    0xfffe745c,
    0xfffc422f,
    0xfffa351b,
    0xffea280f,
    0xffde1806,
    0xffe51f08,
    0xffe22713,
    0xffc12511,
    0xff2c0401,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff8b3729,
    0xffd11f1e,
    0xffc81f07,
    0xffd7240c,
    0xffdd2106,
    0xffe1250b,
    0xff380f05,
    0xff140b00,
    0xff1b0d00,
    0xff1e0e00,
    0xff1f0f00,
    0xff1e0d00,
    0xff1d0e01,
    0xff1a0c01,
    0xff1a0a00,
    0xff160a00,
    0xff120900,
    0xff0c0901,
    0xff030301,
    0xff020200,
    0xff000200,
    0xff010300,
    0xff020700,
    0xff0a0c00,
    0xff110f01,
    0xff151000,
    0xff161000,
    0xff181101,
    0xff171000,
    0xff171000,
    0xff171000,
    0xff171100,
    0xff181100,
    0xff171000,
    0xff170f00,
    0xff150d00,
    0xff130d00,
    0xff100c00,
    0xff070801,
    0xff020400,
    0xff010301,
    0xff020300,
    0xff030600,
    0xff080700,
    0xff080801,
    0xff090901,
    0xff0d0800,
    0xff0c0901,
    0xff0c0b00,
    0xff0d0c00,
    0xff0f0b00,
    0xff0f0c00,
    0xff0f0d01,
    0xff0d0b00,
    0xff0d0c00,
    0xff0d0a00,
    0xff0e0c00,
    0xff0f0d01,
    0xff0e0c00,
    0xff0f0d00,
    0xff0f0e01,
    0xff110c01,
    0xff130d01,
    0xff110b00,
    0xff120b00,
    0xff110900,
    0xff110700,
    0xff0d0800,
    0xff0b0600,
    0xff090501,
    0xff060100,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xff080000,
    0xff090200,
    0xff0a0000,
    0xff0c0401,
    0xff0c0500,
    0xff0d0600,
    0xff0d0600,
    0xff0e0600,
    0xff0e0500,
    0xff0f0601,
    0xff0e0500,
    0xff0b0201,
    0xff070100,
    0xff070000,
    0xff030100,
    0xff020000,
    0xff020000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff030100,
    0xff020100,
    0xff090300,
    0xff0c0600,
    0xff100800,
    0xff130901,
    0xff130800,
    0xff130a00,
    0xff120900,
    0xff110900,
    0xff0f0801,
    0xff0a0600,
    0xff0d0600,
    0xff090700,
    0xff0b0700,
    0xff0c0900,
    0xff0c0700,
    0xff0b0a01,
    0xff080b00,
    0xff0a0b01,
    0xff060800,
    0xff030600,
    0xff020600,
    0xff030801,
    0xff040900,
    0xff060c01,
    0xff050e00,
    0xff070f00,
    0xff070f00,
    0xff070f01,
    0xff0a1001,
    0xff0c1300,
    0xff101600,
    0xff161c00,
    0xff192100,
    0xff1a2603,
    0xff1c2604,
    0xff222905,
    0xff262c06,
    0xff29300a,
    0xff2d320d,
    0xff31350d,
    0xff33350d,
    0xff37360f,
    0xff39360f,
    0xff39340f,
    0xff37320d,
    0xff35300d,
    0xff332e0b,
    0xff2f2907,
    0xff292407,
    0xff262102,
    0xff231c01,
    0xff221b00,
    0xff211a00,
    0xff1f1901,
    0xff1a1601,
    0xff161400,
    0xff111001,
    0xff0f0f00,
    0xff0d0e00,
    0xff0c0e02,
    0xff0d1100,
    0xff121700,
    0xff131b01,
    0xff171f00,
    0xff1a2501,
    0xff1f2800,
    0xff1e2900,
    0xff1d2700,
    0xff1f2701,
    0xff1f2601,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000101,
    0xff000300,
    0xff000800,
    0xff000c00,
    0xff031000,
    0xff071400,
    0xff091800,
    0xff0d1b00,
    0xff101f00,
    0xff122101,
    0xff152500,
    0xff132500,
    0xff142701,
    0xff112700,
    0xff122400,
    0xff0e2100,
    0xff102100,
    0xff111f01,
    0xff0e1e00,
    0xff101b02,
    0xff0a1800,
    0xff091600,
    0xff091601,
    0xff0a1401,
    0xff0b1400,
    0xff0b1500,
    0xff0f1400,
    0xff0d1600,
    0xff0f1600,
    0xff101a01,
    0xff121c01,
    0xff141f00,
    0xff141f01,
    0xff152000,
    0xff172200,
    0xff182501,
    0xff1a2600,
    0xff162801,
    0xff222401,
    0xff5c1501,
    0xff8c1100,
    0xffa00e00,
    0xffa00a00,
    0xff9c0601,
    0xff960001,
    0xffa20000,
    0xffd21002,
    0xffeb250b,
    0xffda1a03,
    0xffbb0a00,
    0xffbc0901,
    0xffca0d00,
    0xffcb0c00,
    0xffc90a00,
    0xffcf1200,
    0xffd01400,
    0xffc31105,
    0xffbf1909,
    0xffc01f0f,
    0xffca190c,
    0xffc72809,
    0xff925900,
    0xff746600,
    0xff716301,
    0xff695101,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff0f0301,
    0xff6f5322,
    0xff000000,
    0xff000100,
    0xff010401,
    0xff000400,
    0xff000400,
    0xff010600,
    0xff000500,
    0xff010601,
    0xff000200,
    0xff3d1901,
    0xff884806,
    0xff92340e,
    0xffaf271e,
    0xffff7958,
    0xfffe735c,
    0xfffe4935,
    0xfffe3b1d,
    0xffed2513,
    0xffe82109,
    0xfff02b11,
    0xfff0371e,
    0xffd93428,
    0xff610417,
    0xff070001,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000000,
    0xffc74d39,
    0xffd4302e,
    0xffc31a07,
    0xffca1e07,
    0xffd91f05,
    0xffe0240b,
    0xff340e06,
    0xff150b00,
    0xff1c0d00,
    0xff1f0f00,
    0xff1d0d00,
    0xff1d0d00,
    0xff1f0f00,
    0xff1b0d01,
    0xff1a0d02,
    0xff180b00,
    0xff150900,
    0xff0e0800,
    0xff030400,
    0xff000000,
    0xff010101,
    0xff000100,
    0xff010600,
    0xff0c0a00,
    0xff100e01,
    0xff130f00,
    0xff151000,
    0xff171000,
    0xff181101,
    0xff171101,
    0xff181101,
    0xff180f00,
    0xff171101,
    0xff181101,
    0xff160f01,
    0xff160e01,
    0xff120d01,
    0xff0f0b00,
    0xff070800,
    0xff010300,
    0xff010300,
    0xff010401,
    0xff050600,
    0xff070700,
    0xff080800,
    0xff080801,
    0xff0c0800,
    0xff0d0a01,
    0xff0d0a00,
    0xff0d0c00,
    0xff0e0c00,
    0xff0e0d00,
    0xff0e0c00,
    0xff0e0c00,
    0xff0d0b00,
    0xff0e0c00,
    0xff0e0c00,
    0xff0f0c00,
    0xff0e0c00,
    0xff0f0d00,
    0xff0f0d00,
    0xff120d01,
    0xff110c01,
    0xff120c00,
    0xff110c00,
    0xff120c00,
    0xff100700,
    0xff0f0700,
    0xff0b0700,
    0xff090401,
    0xff060100,
    0xff010100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xff070000,
    0xff090100,
    0xff0b0201,
    0xff0b0301,
    0xff0c0600,
    0xff0e0701,
    0xff0e0701,
    0xff0d0701,
    0xff0f0501,
    0xff0f0501,
    0xff0d0500,
    0xff0a0100,
    0xff080100,
    0xff050000,
    0xff030001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff020000,
    0xff010000,
    0xff060000,
    0xff0b0501,
    0xff0f0700,
    0xff120600,
    0xff120800,
    0xff100700,
    0xff100600,
    0xff0f0801,
    0xff0c0500,
    0xff080300,
    0xff090400,
    0xff090800,
    0xff0b0700,
    0xff0b0800,
    0xff0d0800,
    0xff090a00,
    0xff0c0900,
    0xff0a0a01,
    0xff060600,
    0xff020600,
    0xff050700,
    0xff040801,
    0xff050c01,
    0xff050e00,
    0xff060e00,
    0xff070f01,
    0xff081101,
    0xff0a1201,
    0xff0c1300,
    0xff101601,
    0xff151a00,
    0xff171f00,
    0xff1e2705,
    0xff1f2a07,
    0xff26290a,
    0xff262f0a,
    0xff2a330b,
    0xff2d360e,
    0xff333711,
    0xff343b12,
    0xff353a0e,
    0xff3b3913,
    0xff3c3810,
    0xff3a3611,
    0xff37330d,
    0xff35310b,
    0xff332f09,
    0xff2c2707,
    0xff272407,
    0xff251d01,
    0xff221b00,
    0xff201900,
    0xff1f1700,
    0xff1e1800,
    0xff1b1602,
    0xff161400,
    0xff151300,
    0xff121300,
    0xff101101,
    0xff0e1000,
    0xff0c1102,
    0xff0d1101,
    0xff0c1301,
    0xff101600,
    0xff131800,
    0xff141c00,
    0xff141c01,
    0xff131b00,
    0xff171e01,
    0xff181c01,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000500,
    0xff000800,
    0xff000c00,
    0xff031000,
    0xff081402,
    0xff081800,
    0xff0d1b01,
    0xff0f1f01,
    0xff112100,
    0xff132101,
    0xff122500,
    0xff122500,
    0xff132200,
    0xff132201,
    0xff122000,
    0xff102000,
    0xff111e01,
    0xff0f1b01,
    0xff0f1800,
    0xff0c1800,
    0xff0c1500,
    0xff0a1500,
    0xff0d1400,
    0xff0d1500,
    0xff0f1600,
    0xff0d1600,
    0xff121700,
    0xff141a00,
    0xff121c00,
    0xff121f01,
    0xff151f01,
    0xff182400,
    0xff1a2601,
    0xff1a2601,
    0xff1b2701,
    0xff1b2800,
    0xff162b00,
    0xff2c2200,
    0xff671500,
    0xff911201,
    0xff9f1000,
    0xffa20a00,
    0xffa00400,
    0xffc61304,
    0xffe72110,
    0xfff02711,
    0xffde1803,
    0xffbf0900,
    0xffc30a01,
    0xffd91600,
    0xffe51d01,
    0xffde1702,
    0xffe62204,
    0xffe8260a,
    0xffdb1f0f,
    0xffd22615,
    0xffc12012,
    0xffb20c05,
    0xffad1a01,
    0xff865800,
    0xff746800,
    0xff736200,
    0xff654e02,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff462b0a,
    0xff1b0c02,
    0xff000000,
    0xff010400,
    0xff000500,
    0xff000500,
    0xff010700,
    0xff030800,
    0xff030800,
    0xff040900,
    0xff000b01,
    0xff140d00,
    0xff8f4904,
    0xff55350c,
    0xff741e1c,
    0xffff7e5a,
    0xfffd7a62,
    0xfffd543d,
    0xffff3d21,
    0xffef2713,
    0xfff32c10,
    0xfffc381b,
    0xfffd462c,
    0xffff684a,
    0xffffa985,
    0xfff66a58,
    0xff000000,
    0xff000101,
    0xff000000,
    0xff000000,
    0xffd73523,
    0xffd53934,
    0xffbe1a07,
    0xffbe1604,
    0xffd01b03,
    0xffdb2108,
    0xff2c0c04,
    0xff160c00,
    0xff1d0e00,
    0xff1f0f00,
    0xff1d0d00,
    0xff1e0e00,
    0xff1e0e00,
    0xff1b0d01,
    0xff190b01,
    0xff190b00,
    0xff140900,
    0xff0e0801,
    0xff040300,
    0xff000101,
    0xff010001,
    0xff000000,
    0xff000300,
    0xff080900,
    0xff100c00,
    0xff120e00,
    0xff150d00,
    0xff150e00,
    0xff171000,
    0xff181101,
    0xff171101,
    0xff171000,
    0xff181000,
    0xff170d00,
    0xff160d00,
    0xff150c00,
    0xff130c01,
    0xff0e0b00,
    0xff060800,
    0xff010300,
    0xff000200,
    0xff020301,
    0xff040500,
    0xff070800,
    0xff080700,
    0xff070800,
    0xff0a0800,
    0xff0d0a01,
    0xff0e0b00,
    0xff0f0c01,
    0xff0f0c00,
    0xff100e01,
    0xff0f0d00,
    0xff0e0c00,
    0xff0d0b00,
    0xff0e0c00,
    0xff0f0d01,
    0xff0d0e00,
    0xff0e0d00,
    0xff100d00,
    0xff110e01,
    0xff130e00,
    0xff100e00,
    0xff130e01,
    0xff110b00,
    0xff120c00,
    0xff100900,
    0xff100600,
    0xff0b0600,
    0xff090400,
    0xff080200,
    0xff040001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xff070000,
    0xff0a0000,
    0xff0b0301,
    0xff0a0300,
    0xff0b0500,
    0xff0d0600,
    0xff0e0701,
    0xff0d0701,
    0xff0e0601,
    0xff0e0500,
    0xff090600,
    0xff080300,
    0xff050100,
    0xff040100,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xff030000,
    0xff080300,
    0xff0c0600,
    0xff0f0700,
    0xff100700,
    0xff0e0501,
    0xff0e0600,
    0xff0b0500,
    0xff0a0201,
    0xff080300,
    0xff090400,
    0xff090700,
    0xff0a0700,
    0xff0b0800,
    0xff0c0900,
    0xff090a00,
    0xff090a02,
    0xff060900,
    0xff050700,
    0xff030600,
    0xff030801,
    0xff050b01,
    0xff040e00,
    0xff070e00,
    0xff061100,
    0xff0a1100,
    0xff081300,
    0xff0f1500,
    0xff101700,
    0xff111900,
    0xff191f03,
    0xff1c2508,
    0xff222c0a,
    0xff27300e,
    0xff2b3111,
    0xff2e3513,
    0xff2f3710,
    0xff323a14,
    0xff383c18,
    0xff374018,
    0xff383e18,
    0xff3b3d16,
    0xff3b3a12,
    0xff3c380f,
    0xff38350c,
    0xff353208,
    0xff302e06,
    0xff2b2707,
    0xff252401,
    0xff221e00,
    0xff211a01,
    0xff1f1900,
    0xff1f1800,
    0xff1c1900,
    0xff1a1801,
    0xff171500,
    0xff161400,
    0xff151300,
    0xff151300,
    0xff121300,
    0xff101200,
    0xff0d1101,
    0xff081201,
    0xff071301,
    0xff071200,
    0xff081201,
    0xff0a1300,
    0xff091300,
    0xff0d1101,
    0xff0e1200,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000300,
    0xff000600,
    0xff000900,
    0xff010d01,
    0xff031100,
    0xff061401,
    0xff071700,
    0xff0b1c00,
    0xff0e1e01,
    0xff111f00,
    0xff112101,
    0xff122100,
    0xff132200,
    0xff112100,
    0xff132100,
    0xff101f00,
    0xff111e00,
    0xff101d01,
    0xff0f1900,
    0xff0f1900,
    0xff0d1800,
    0xff0b1701,
    0xff0f1501,
    0xff0e1700,
    0xff0e1600,
    0xff0e1800,
    0xff131802,
    0xff151b00,
    0xff151d00,
    0xff161d01,
    0xff162000,
    0xff182300,
    0xff1a2602,
    0xff1b2701,
    0xff1c2801,
    0xff1c2700,
    0xff1d2a00,
    0xff1b2c00,
    0xff371f00,
    0xff6d1300,
    0xff911301,
    0xffa00d00,
    0xffbb1303,
    0xffea3019,
    0xfffb3f21,
    0xfffa311d,
    0xffe3170a,
    0xffb50700,
    0xffba0701,
    0xffe31d00,
    0xffed2605,
    0xffe81f05,
    0xffef270b,
    0xfff63212,
    0xffec2e19,
    0xffe83b21,
    0xffcc271c,
    0xffa40704,
    0xff9e1800,
    0xff7d5702,
    0xff736700,
    0xff726101,
    0xff5f4901,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff6b4010,
    0xff000000,
    0xff010301,
    0xff010600,
    0xff010700,
    0xff010900,
    0xff040b01,
    0xff060b00,
    0xff060d00,
    0xff060e01,
    0xff030d00,
    0xff0c0c00,
    0xff925108,
    0xff71470d,
    0xff7d2022,
    0xffff8763,
    0xfffe836d,
    0xfffd5f46,
    0xfffe4022,
    0xfff42713,
    0xfff93414,
    0xffff451f,
    0xfffe5439,
    0xffff7153,
    0xffd15c4f,
    0xffb4503b,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xffda3526,
    0xffce2a25,
    0xffb71705,
    0xffb51404,
    0xffc41601,
    0xffd52209,
    0xff1c0b02,
    0xff180c00,
    0xff1d0d01,
    0xff1f0e00,
    0xff1f0f00,
    0xff1f0f00,
    0xff1c0c00,
    0xff1d0d00,
    0xff1b0b01,
    0xff190a00,
    0xff150900,
    0xff0f0800,
    0xff050400,
    0xff000101,
    0xff010001,
    0xff010001,
    0xff000300,
    0xff040600,
    0xff0e0b00,
    0xff100d00,
    0xff150e00,
    0xff160f00,
    0xff171000,
    0xff160f00,
    0xff181001,
    0xff161000,
    0xff170e00,
    0xff170d00,
    0xff160c01,
    0xff140d01,
    0xff130c01,
    0xff0d0901,
    0xff050500,
    0xff000200,
    0xff000200,
    0xff010301,
    0xff040500,
    0xff070600,
    0xff080800,
    0xff090801,
    0xff0c0900,
    0xff0b0801,
    0xff0e0b00,
    0xff0d0c00,
    0xff0e0c00,
    0xff0e0d00,
    0xff0e0b00,
    0xff0f0d00,
    0xff0c0a00,
    0xff0e0b00,
    0xff100d00,
    0xff0d0f01,
    0xff0f0d01,
    0xff0f0d01,
    0xff100e01,
    0xff110f00,
    0xff140e00,
    0xff130d01,
    0xff120c01,
    0xff120c00,
    0xff100900,
    0xff100600,
    0xff0d0701,
    0xff090701,
    0xff070200,
    0xff030100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020001,
    0xff020100,
    0xff070000,
    0xff0a0100,
    0xff0a0100,
    0xff080400,
    0xff0b0401,
    0xff0c0501,
    0xff0d0600,
    0xff0e0701,
    0xff0d0701,
    0xff0b0701,
    0xff090600,
    0xff070200,
    0xff070300,
    0xff030100,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010100,
    0xff070100,
    0xff090501,
    0xff0e0700,
    0xff0f0600,
    0xff0e0400,
    0xff0d0501,
    0xff0a0100,
    0xff090100,
    0xff070200,
    0xff070500,
    0xff0a0800,
    0xff0b0701,
    0xff0a0801,
    0xff0c0800,
    0xff090a00,
    0xff070a01,
    0xff060901,
    0xff060701,
    0xff040701,
    0xff050901,
    0xff060d01,
    0xff070f00,
    0xff061100,
    0xff081202,
    0xff0d1400,
    0xff0d1600,
    0xff141802,
    0xff171d03,
    0xff172304,
    0xff1e270c,
    0xff252c0c,
    0xff293110,
    0xff2e3313,
    0xff303716,
    0xff323917,
    0xff353c18,
    0xff354118,
    0xff3a431c,
    0xff3d451f,
    0xff3d4419,
    0xff3b4218,
    0xff3d3d14,
    0xff3c3a10,
    0xff38350d,
    0xff323007,
    0xff2f2c06,
    0xff272604,
    0xff272300,
    0xff221e01,
    0xff231b01,
    0xff201a00,
    0xff1f1801,
    0xff1c1900,
    0xff191801,
    0xff171500,
    0xff171400,
    0xff171601,
    0xff161600,
    0xff141500,
    0xff101201,
    0xff0e1401,
    0xff0a1201,
    0xff041000,
    0xff050f00,
    0xff040e00,
    0xff050c00,
    0xff030c00,
    0xff060b00,
    0xff070c01,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010202,
    0xff000300,
    0xff010700,
    0xff000901,
    0xff000e00,
    0xff041000,
    0xff071500,
    0xff091700,
    0xff0c1a00,
    0xff0d1c00,
    0xff0f1e00,
    0xff111f01,
    0xff101f01,
    0xff112001,
    0xff102001,
    0xff111e00,
    0xff121e00,
    0xff101c01,
    0xff0f1900,
    0xff111800,
    0xff101700,
    0xff0d1701,
    0xff0e1501,
    0xff111500,
    0xff101500,
    0xff111700,
    0xff121700,
    0xff161b01,
    0xff141d00,
    0xff171e01,
    0xff172100,
    0xff182401,
    0xff1a2501,
    0xff1b2701,
    0xff1c2800,
    0xff1c2800,
    0xff1d2900,
    0xff1e2b00,
    0xff1b2b00,
    0xff3a1e01,
    0xff6c1200,
    0xff911100,
    0xffce2807,
    0xfffd521e,
    0xffff5f2f,
    0xffff4e2a,
    0xffe62010,
    0xff9e0500,
    0xff9c0000,
    0xffd61201,
    0xffe81c02,
    0xffe51a02,
    0xfff12509,
    0xfff63011,
    0xfff53a21,
    0xfff7522c,
    0xffd73122,
    0xffa00506,
    0xff922201,
    0xff795c00,
    0xff736800,
    0xff706201,
    0xff594601,
    0xff000001,
    0xff000000,
    0xff000100,
    0xff000000,
    0xff764516,
    0xff000000,
    0xff000600,
    0xff010700,
    0xff040901,
    0xff060c00,
    0xff070d00,
    0xff070d01,
    0xff070e01,
    0xff070e00,
    0xff070e00,
    0xff0a0d01,
    0xff7a3f05,
    0xff6f3f03,
    0xff6f1e24,
    0xffff8d68,
    0xfffe9376,
    0xfffd6c53,
    0xffff4727,
    0xfff02210,
    0xfff53212,
    0xffff4721,
    0xffff6544,
    0xffff6f55,
    0xff000000,
    0xff000000,
    0xff020100,
    0xff000001,
    0xff000000,
    0xff100201,
    0xffe23e2f,
    0xffd62726,
    0xffb61b0a,
    0xffad0f03,
    0xffbd1201,
    0xffc11d08,
    0xff0d0800,
    0xff190c01,
    0xff1c0b01,
    0xff1d0e00,
    0xff1f0f00,
    0xff1f0f00,
    0xff1e0e00,
    0xff1e0e00,
    0xff1b0c01,
    0xff1a0b00,
    0xff150900,
    0xff0f0800,
    0xff040500,
    0xff010102,
    0xff000000,
    0xff000001,
    0xff010100,
    0xff060600,
    0xff0e0800,
    0xff120b00,
    0xff120e00,
    0xff170b00,
    0xff160e00,
    0xff171000,
    0xff180f00,
    0xff180d02,
    0xff190c01,
    0xff170f00,
    0xff150c00,
    0xff140c01,
    0xff120b00,
    0xff0c0900,
    0xff050600,
    0xff000300,
    0xff010300,
    0xff020100,
    0xff040500,
    0xff070501,
    0xff090802,
    0xff090901,
    0xff0b0802,
    0xff0d0a00,
    0xff0b0a00,
    0xff0e0c00,
    0xff0f0c01,
    0xff0c0b00,
    0xff0f0d01,
    0xff0d0b00,
    0xff0c0b00,
    0xff0c0c00,
    0xff0d0f01,
    0xff110f00,
    0xff100e00,
    0xff110e00,
    0xff120f01,
    0xff150f00,
    0xff141100,
    0xff160d00,
    0xff120e01,
    0xff110b00,
    0xff110c00,
    0xff110701,
    0xff0e0700,
    0xff0a0700,
    0xff080500,
    0xff050200,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff040000,
    0xff060100,
    0xff070001,
    0xff0b0301,
    0xff080300,
    0xff0b0501,
    0xff0c0501,
    0xff0d0600,
    0xff0e0701,
    0xff0d0601,
    0xff0b0700,
    0xff0a0600,
    0xff090400,
    0xff070300,
    0xff040100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff030000,
    0xff0a0300,
    0xff0a0501,
    0xff0e0401,
    0xff0c0401,
    0xff0a0300,
    0xff0a0001,
    0xff070000,
    0xff070200,
    0xff070400,
    0xff0a0700,
    0xff0a0801,
    0xff090a00,
    0xff0b0900,
    0xff0b0a00,
    0xff080a00,
    0xff070702,
    0xff020700,
    0xff010801,
    0xff030c00,
    0xff060d01,
    0xff091000,
    0xff091300,
    0xff0c1500,
    0xff101701,
    0xff121a02,
    0xff181f06,
    0xff1d260a,
    0xff222b11,
    0xff282e10,
    0xff2c3313,
    0xff303514,
    0xff333918,
    0xff343b1a,
    0xff373e1d,
    0xff383f1e,
    0xff3b441e,
    0xff3c451d,
    0xff3e4b1d,
    0xff3e481d,
    0xff3e4419,
    0xff3f3f14,
    0xff3d3c10,
    0xff363409,
    0xff312f06,
    0xff2e2c03,
    0xff282701,
    0xff282200,
    0xff221e01,
    0xff211d00,
    0xff211b00,
    0xff1f1901,
    0xff1e1900,
    0xff1c1701,
    0xff181702,
    0xff161500,
    0xff181701,
    0xff181800,
    0xff141601,
    0xff121500,
    0xff0e1300,
    0xff091100,
    0xff080f01,
    0xff080b01,
    0xff050c00,
    0xff030b00,
    0xff020800,
    0xff010701,
    0xff030700,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000201,
    0xff010300,
    0xff000700,
    0xff000a00,
    0xff010e00,
    0xff041100,
    0xff061401,
    0xff091800,
    0xff0a1800,
    0xff0c1a00,
    0xff0e1d01,
    0xff0f1e00,
    0xff101f00,
    0xff101f03,
    0xff111e00,
    0xff101e00,
    0xff101c01,
    0xff111a01,
    0xff101800,
    0xff0e1800,
    0xff0c1601,
    0xff0d1501,
    0xff101600,
    0xff111600,
    0xff111600,
    0xff141801,
    0xff131d00,
    0xff131f00,
    0xff161f01,
    0xff182100,
    0xff172401,
    0xff1a2501,
    0xff1c2802,
    0xff1b2700,
    0xff1d2901,
    0xff1b2a00,
    0xff1e2a00,
    0xff1b2a00,
    0xff1d2a00,
    0xff361d00,
    0xff6b1000,
    0xffbf2905,
    0xfff94e1d,
    0xffff5f2e,
    0xffff652e,
    0xffe82e13,
    0xff640b01,
    0xff770401,
    0xffb40d00,
    0xffd91900,
    0xffde1400,
    0xffef2203,
    0xfff72e0f,
    0xfff83c22,
    0xfffb5e34,
    0xffd93227,
    0xff9d0308,
    0xff892d00,
    0xff735f00,
    0xff736700,
    0xff6f6300,
    0xff574202,
    0xff000002,
    0xff000000,
    0xff000000,
    0xff150e01,
    0xff6c3a13,
    0xff000000,
    0xff010700,
    0xff020a00,
    0xff040c00,
    0xff020d00,
    0xff060e00,
    0xff080e02,
    0xff060e01,
    0xff080f00,
    0xff090f01,
    0xff0a0d01,
    0xff6b3301,
    0xff693703,
    0xff5a191f,
    0xffff8d68,
    0xfffe9d78,
    0xfffd7b5a,
    0xffff4928,
    0xffe81a0a,
    0xffe21909,
    0xfffc3e1f,
    0xffff6b3f,
    0xffe85236,
    0xff100000,
    0xff000000,
    0xff000100,
    0xff000100,
    0xff000101,
    0xff2d0502,
    0xffdb3d2f,
    0xffed4640,
    0xffb91b0e,
    0xffa70b02,
    0xffbd1301,
    0xff9d1906,
    0xff0a0702,
    0xff190b00,
    0xff1b0b01,
    0xff1c0e00,
    0xff1c0f00,
    0xff1f0e00,
    0xff1d0d00,
    0xff1e0e01,
    0xff1b0c00,
    0xff190b02,
    0xff140900,
    0xff100801,
    0xff050500,
    0xff000100,
    0xff000001,
    0xff000001,
    0xff010100,
    0xff050700,
    0xff0e0800,
    0xff110a00,
    0xff110b00,
    0xff160b02,
    0xff140a00,
    0xff180c00,
    0xff170d00,
    0xff170c00,
    0xff190c00,
    0xff160a01,
    0xff130b01,
    0xff140c00,
    0xff100900,
    0xff0c0800,
    0xff040500,
    0xff000200,
    0xff000100,
    0xff020100,
    0xff040400,
    0xff050500,
    0xff060701,
    0xff070700,
    0xff070800,
    0xff0c0800,
    0xff0b0900,
    0xff0e0b00,
    0xff0d0c00,
    0xff0e0b00,
    0xff0e0d01,
    0xff0e0c00,
    0xff0c0b00,
    0xff0c0d01,
    0xff0d0f01,
    0xff0f0f00,
    0xff120f00,
    0xff120f00,
    0xff131000,
    0xff171000,
    0xff151000,
    0xff160e00,
    0xff120e00,
    0xff110b00,
    0xff110c00,
    0xff120a00,
    0xff100700,
    0xff0c0800,
    0xff0a0600,
    0xff050300,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff020000,
    0xff010000,
    0xff040000,
    0xff040000,
    0xff080101,
    0xff0a0100,
    0xff0a0300,
    0xff090300,
    0xff0a0500,
    0xff0b0600,
    0xff0d0600,
    0xff0c0701,
    0xff0a0700,
    0xff0a0401,
    0xff0a0300,
    0xff070301,
    0xff020100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff050000,
    0xff080300,
    0xff0b0501,
    0xff0c0401,
    0xff0a0100,
    0xff090000,
    0xff080001,
    0xff060200,
    0xff070400,
    0xff0a0801,
    0xff090801,
    0xff0a0a00,
    0xff080b00,
    0xff070a00,
    0xff070800,
    0xff060701,
    0xff030802,
    0xff030a00,
    0xff030e00,
    0xff061000,
    0xff081200,
    0xff0b1500,
    0xff0f1901,
    0xff141b03,
    0xff172007,
    0xff1c270c,
    0xff222b10,
    0xff262f14,
    0xff2c3314,
    0xff2d3617,
    0xff323a1c,
    0xff373d1c,
    0xff373f1e,
    0xff39401f,
    0xff3a4120,
    0xff3b441e,
    0xff3e461d,
    0xff404a1e,
    0xff3f4a1d,
    0xff3f461a,
    0xff3f3f14,
    0xff3a3a0f,
    0xff373508,
    0xff312e05,
    0xff2a2a00,
    0xff292601,
    0xff262200,
    0xff241f01,
    0xff231e01,
    0xff201a00,
    0xff1f1801,
    0xff1e1901,
    0xff191700,
    0xff191702,
    0xff181700,
    0xff181900,
    0xff191900,
    0xff161801,
    0xff131700,
    0xff101400,
    0xff0a1301,
    0xff091200,
    0xff080f01,
    0xff050d00,
    0xff040d00,
    0xff050b02,
    0xff050801,
    0xff040800,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff010201,
    0xff000200,
    0xff000400,
    0xff000800,
    0xff000a00,
    0xff020e00,
    0xff051001,
    0xff051302,
    0xff0a1700,
    0xff0b1900,
    0xff0d1a00,
    0xff0d1c01,
    0xff0e1d01,
    0xff101d01,
    0xff101d01,
    0xff0e1d01,
    0xff111b00,
    0xff121901,
    0xff0f1a00,
    0xff0d1700,
    0xff0d1701,
    0xff0c1500,
    0xff0c1601,
    0xff111701,
    0xff111600,
    0xff141902,
    0xff121e00,
    0xff161d01,
    0xff181f00,
    0xff182100,
    0xff192200,
    0xff1a2400,
    0xff1a2700,
    0xff1b2800,
    0xff1e2801,
    0xff1d2900,
    0xff1d2b00,
    0xff1e2b00,
    0xff1b2800,
    0xff182700,
    0xff2c2001,
    0xff7b2800,
    0xff95290c,
    0xffdf4922,
    0xffff5724,
    0xffc82a0f,
    0xff271100,
    0xff3d0e00,
    0xff9d0e00,
    0xffab0a01,
    0xffc80801,
    0xffe41a00,
    0xfff72d0c,
    0xfffc4122,
    0xfffd5934,
    0xffd12826,
    0xff970904,
    0xff823b00,
    0xff6d6000,
    0xff726600,
    0xff6f6200,
    0xff543e02,
    0xff000001,
    0xff000200,
    0xff000000,
    0xff2e1f08,
    0xff57300d,
    0xff000300,
    0xff020801,
    0xff040c01,
    0xff050d00,
    0xff070e00,
    0xff060e00,
    0xff040e00,
    0xff070f00,
    0xff090f00,
    0xff071001,
    0xff040e01,
    0xff5b2a01,
    0xff6e3900,
    0xff371011,
    0xffff7d5b,
    0xffff9b70,
    0xfffe754e,
    0xffff431d,
    0xffd70c04,
    0xffb90000,
    0xffe22115,
    0xffff5c30,
    0xffd54121,
    0xff0b0000,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000001,
    0xff500802,
    0xffcf1e16,
    0xfff75758,
    0xffbc1b13,
    0xffa40900,
    0xffbb1002,
    0xff671104,
    0xff0e0900,
    0xff190b00,
    0xff1a0c01,
    0xff1b0d00,
    0xff1b0d00,
    0xff1e0e00,
    0xff1e0e00,
    0xff1d0d00,
    0xff1b0c00,
    0xff190a02,
    0xff150901,
    0xff0f0800,
    0xff060500,
    0xff020201,
    0xff000000,
    0xff000001,
    0xff010100,
    0xff040600,
    0xff100800,
    0xff0f0a00,
    0xff120a01,
    0xff150b01,
    0xff150b01,
    0xff160b00,
    0xff160b00,
    0xff170b00,
    0xff160901,
    0xff160b01,
    0xff120b00,
    0xff130900,
    0xff0f0900,
    0xff0a0700,
    0xff030300,
    0xff000101,
    0xff010001,
    0xff010100,
    0xff030301,
    0xff040600,
    0xff060601,
    0xff080601,
    0xff0b0700,
    0xff0b0900,
    0xff090a00,
    0xff0b0a00,
    0xff0d0c00,
    0xff0e0b00,
    0xff0c0d01,
    0xff0e0d00,
    0xff0c0b00,
    0xff0d0d01,
    0xff0d0f01,
    0xff110e00,
    0xff111001,
    0xff121000,
    0xff131100,
    0xff161000,
    0xff150f00,
    0xff150e01,
    0xff160d00,
    0xff140c01,
    0xff130c00,
    0xff110b00,
    0xff100800,
    0xff0d0900,
    0xff0c0700,
    0xff060400,
    0xff000001,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010000,
    0xff010000,
    0xff050000,
    0xff060000,
    0xff060000,
    0xff0a0200,
    0xff090300,
    0xff080500,
    0xff090500,
    0xff0b0600,
    0xff0b0701,
    0xff0c0701,
    0xff0b0600,
    0xff070601,
    0xff070400,
    0xff060100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff080000,
    0xff060100,
    0xff0c0401,
    0xff090100,
    0xff070101,
    0xff060100,
    0xff060200,
    0xff070500,
    0xff0a0602,
    0xff090701,
    0xff090901,
    0xff080901,
    0xff050802,
    0xff020700,
    0xff020701,
    0xff040801,
    0xff050d01,
    0xff070e00,
    0xff071101,
    0xff091400,
    0xff0f1901,
    0xff121b03,
    0xff152007,
    0xff19250a,
    0xff1f2a0e,
    0xff262e14,
    0xff293216,
    0xff2e361a,
    0xff2e381b,
    0xff313c20,
    0xff353d1e,
    0xff374220,
    0xff3b4220,
    0xff3c431d,
    0xff3b421d,
    0xff3d441e,
    0xff40471c,
    0xff3d491b,
    0xff3f4517,
    0xff3a4213,
    0xff363b0e,
    0xff363307,
    0xff2e2c02,
    0xff292800,
    0xff232601,
    0xff262101,
    0xff251f02,
    0xff231e01,
    0xff201900,
    0xff1f1900,
    0xff1b1901,
    0xff1d1800,
    0xff1b1901,
    0xff1b1900,
    0xff181b00,
    0xff191c01,
    0xff171900,
    0xff151901,
    0xff131800,
    0xff0f1600,
    0xff0b1501,
    0xff091301,
    0xff061100,
    0xff050f00,
    0xff040f00,
    0xff040c02,
    0xff060b01,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000200,
    0xff000400,
    0xff000600,
    0xff010701,
    0xff010b00,
    0xff020e00,
    0xff041200,
    0xff071501,
    0xff0a1600,
    0xff091800,
    0xff0d1a01,
    0xff0c1a01,
    0xff0e1c01,
    0xff101c02,
    0xff0f1b01,
    0xff0f1a01,
    0xff101901,
    0xff0c1900,
    0xff0e1801,
    0xff0c1600,
    0xff0d1501,
    0xff0c1601,
    0xff0f1700,
    0xff121600,
    0xff131902,
    0xff131e01,
    0xff171d01,
    0xff181f00,
    0xff171f00,
    0xff192200,
    0xff1a2501,
    0xff1a2701,
    0xff1c2800,
    0xff1b2800,
    0xff1c2901,
    0xff1d2a00,
    0xff1d2a00,
    0xff1f2701,
    0xff1c2601,
    0xff1a2402,
    0xff152000,
    0xff0e1a00,
    0xff271c06,
    0xff962b0f,
    0xff541301,
    0xff101400,
    0xff0d1400,
    0xff491a03,
    0xff5d0a02,
    0xff930001,
    0xffc70900,
    0xfff12804,
    0xfffc3e1d,
    0xfffd5632,
    0xffcf2324,
    0xff931604,
    0xff734900,
    0xff676200,
    0xff706501,
    0xff6e6001,
    0xff4f3c02,
    0xff000000,
    0xff000300,
    0xff000100,
    0xff3d290b,
    0xff3d1d09,
    0xff000600,
    0xff040900,
    0xff050d01,
    0xff060d00,
    0xff070e01,
    0xff070e00,
    0xff080f00,
    0xff071000,
    0xff081100,
    0xff0a1001,
    0xff030f00,
    0xff502702,
    0xff6a2e00,
    0xff110c06,
    0xffe65e41,
    0xffff774f,
    0xffff522b,
    0xffec2208,
    0xffc5140f,
    0xffc40404,
    0xffbc0600,
    0xffdd2419,
    0xff9b1c12,
    0xff000000,
    0xff000100,
    0xff010300,
    0xff000200,
    0xff000000,
    0xff780a01,
    0xffc71510,
    0xffff8f90,
    0xffb91619,
    0xffa70700,
    0xffb90f00,
    0xff360b04,
    0xff120900,
    0xff180a00,
    0xff1b0b00,
    0xff1d0d01,
    0xff1c0e01,
    0xff1d0e00,
    0xff1e0e00,
    0xff1d0d00,
    0xff1a0b00,
    0xff190b00,
    0xff160800,
    0xff100800,
    0xff090600,
    0xff010101,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff050601,
    0xff0f0700,
    0xff100900,
    0xff110a00,
    0xff130900,
    0xff170b01,
    0xff160a00,
    0xff170b00,
    0xff170b00,
    0xff170a01,
    0xff140a00,
    0xff110b00,
    0xff120a00,
    0xff0f0800,
    0xff080600,
    0xff020300,
    0xff000001,
    0xff000001,
    0xff010100,
    0xff020300,
    0xff050601,
    0xff070601,
    0xff080700,
    0xff080700,
    0xff090900,
    0xff080a00,
    0xff0b0a00,
    0xff0e0b00,
    0xff0d0b00,
    0xff0c0c00,
    0xff0c0d00,
    0xff0c0b00,
    0xff0c0c00,
    0xff0f1002,
    0xff120f00,
    0xff110e00,
    0xff121000,
    0xff131100,
    0xff171000,
    0xff171000,
    0xff160f00,
    0xff150e00,
    0xff150d01,
    0xff140b00,
    0xff110c00,
    0xff110a00,
    0xff0e0700,
    0xff0e0801,
    0xff070600,
    0xff020101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000100,
    0xff010200,
    0xff020300,
    0xff020200,
    0xff040100,
    0xff040100,
    0xff050100,
    0xff080100,
    0xff0b0201,
    0xff080500,
    0xff090400,
    0xff090600,
    0xff0d0701,
    0xff0c0701,
    0xff0a0600,
    0xff0a0501,
    0xff080500,
    0xff060300,
    0xff030000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xff050000,
    0xff070200,
    0xff060101,
    0xff040000,
    0xff050000,
    0xff060100,
    0xff050300,
    0xff070600,
    0xff080801,
    0xff080901,
    0xff070901,
    0xff040701,
    0xff010600,
    0xff030701,
    0xff060b02,
    0xff050d00,
    0xff050f00,
    0xff0a1200,
    0xff0d1501,
    0xff111b02,
    0xff141e05,
    0xff19240b,
    0xff1d290f,
    0xff242c12,
    0xff262f14,
    0xff2c3518,
    0xff2e361d,
    0xff313a20,
    0xff343c23,
    0xff373d21,
    0xff373f20,
    0xff3a401f,
    0xff3a421e,
    0xff3b3f1b,
    0xff3c421b,
    0xff3e441a,
    0xff3c4518,
    0xff3b4214,
    0xff3a3f11,
    0xff37380c,
    0xff323005,
    0xff2d2a01,
    0xff262600,
    0xff222300,
    0xff232000,
    0xff251e01,
    0xff201d00,
    0xff1f1a00,
    0xff1e1a00,
    0xff1b1a00,
    0xff1d1a00,
    0xff1d1c00,
    0xff1d1c00,
    0xff1a1d00,
    0xff1a1d00,
    0xff191d01,
    0xff171b00,
    0xff161c00,
    0xff111800,
    0xff0e1701,
    0xff0b1500,
    0xff081301,
    0xff061100,
    0xff051100,
    0xff060d01,
    0xff050b01,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff010201,
    0xff000200,
    0xff010300,
    0xff000400,
    0xff010601,
    0xff000800,
    0xff020d01,
    0xff021000,
    0xff041301,
    0xff051500,
    0xff061800,
    0xff0d1601,
    0xff0a1800,
    0xff0d1900,
    0xff0f1900,
    0xff101900,
    0xff0f1900,
    0xff0f1700,
    0xff111700,
    0xff0e1701,
    0xff0c1601,
    0xff0d1500,
    0xff0c1500,
    0xff0e1700,
    0xff111600,
    0xff121801,
    0xff141c00,
    0xff131e00,
    0xff151e00,
    0xff162000,
    0xff182200,
    0xff192401,
    0xff1a2701,
    0xff1c2700,
    0xff1d2800,
    0xff1d2800,
    0xff1c2901,
    0xff1c2800,
    0xff1a2802,
    0xff1b2600,
    0xff1b2300,
    0xff182101,
    0xff171f01,
    0xff101d00,
    0xff0b1900,
    0xff161901,
    0xff111800,
    0xff0e1600,
    0xff051200,
    0xff040f01,
    0xff2f0801,
    0xff730001,
    0xffcf1500,
    0xfff23111,
    0xfffc4e27,
    0xffd22724,
    0xff892706,
    0xff695500,
    0xff686000,
    0xff6e6401,
    0xff6c6201,
    0xff4b3902,
    0xff000000,
    0xff000501,
    0xff000200,
    0xff3f2809,
    0xff1e0d01,
    0xff000901,
    0xff060b00,
    0xff060e00,
    0xff070e00,
    0xff090e00,
    0xff081100,
    0xff091000,
    0xff0b0f00,
    0xff081101,
    0xff0b1101,
    0xff040e00,
    0xff4b2a01,
    0xff692902,
    0xff151500,
    0xff461811,
    0xffb62d1f,
    0xff91160c,
    0xff5b0300,
    0xffa73820,
    0xffef1b14,
    0xffbc0300,
    0xffba1200,
    0xff911104,
    0xff000000,
    0xff000200,
    0xff010300,
    0xff000201,
    0xff000000,
    0xffac0f04,
    0xffcf1b1d,
    0xffff9e9f,
    0xffb40e15,
    0xffa80800,
    0xffaa1304,
    0xff070500,
    0xff140900,
    0xff180a01,
    0xff1b0a01,
    0xff1c0a00,
    0xff1e0d00,
    0xff1d0e00,
    0xff1e0f00,
    0xff1e0e00,
    0xff1a0c01,
    0xff190a00,
    0xff150900,
    0xff120800,
    0xff080600,
    0xff010101,
    0xff000001,
    0xff000001,
    0xff000000,
    0xff060601,
    0xff0d0800,
    0xff0f0800,
    0xff110b00,
    0xff150a00,
    0xff160a01,
    0xff180b02,
    0xff160901,
    0xff180b03,
    0xff170901,
    0xff140a00,
    0xff100a00,
    0xff110a00,
    0xff0f0700,
    0xff0b0701,
    0xff020200,
    0xff000001,
    0xff000001,
    0xff010100,
    0xff030301,
    0xff030500,
    0xff070500,
    0xff080600,
    0xff070800,
    0xff0a0801,
    0xff0d0901,
    0xff0c0900,
    0xff0e0a01,
    0xff0d0b00,
    0xff0b0b00,
    0xff0c0c00,
    0xff0a0a00,
    0xff0c0c00,
    0xff0e0f00,
    0xff110f00,
    0xff101000,
    0xff111100,
    0xff131100,
    0xff161000,
    0xff181101,
    0xff160f00,
    0xff160f00,
    0xff150d01,
    0xff140c02,
    0xff130b00,
    0xff120b00,
    0xff100901,
    0xff0e0700,
    0xff090600,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff010101,
    0xff010300,
    0xff020400,
    0xff030600,
    0xff030400,
    0xff070200,
    0xff050300,
    0xff030300,
    0xff090200,
    0xff0a0301,
    0xff0b0300,
    0xff0a0400,
    0xff0a0600,
    0xff0d0701,
    0xff0a0600,
    0xff0a0700,
    0xff080500,
    0xff080400,
    0xff050101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xff030000,
    0xff030100,
    0xff030100,
    0xff040100,
    0xff050100,
    0xff060100,
    0xff040400,
    0xff060601,
    0xff040500,
    0xff020500,
    0xff020400,
    0xff020600,
    0xff010801,
    0xff030c00,
    0xff060d00,
    0xff041100,
    0xff0d1301,
    0xff101802,
    0xff121c04,
    0xff162108,
    0xff19270d,
    0xff202911,
    0xff242c14,
    0xff2a3318,
    0xff2d361a,
    0xff303821,
    0xff333b21,
    0xff363c22,
    0xff373d22,
    0xff373e1f,
    0xff393e1e,
    0xff393f1e,
    0xff393f19,
    0xff383e18,
    0xff373f14,
    0xff383f14,
    0xff383f12,
    0xff383a0f,
    0xff353509,
    0xff2f2e01,
    0xff292700,
    0xff262500,
    0xff222200,
    0xff202001,
    0xff221f00,
    0xff1d1d00,
    0xff1d1c00,
    0xff1c1b00,
    0xff1d1c00,
    0xff1d1c00,
    0xff1c1b00,
    0xff1c1c00,
    0xff191e00,
    0xff1a1d00,
    0xff191f00,
    0xff181e00,
    0xff141d00,
    0xff111a01,
    0xff111800,
    0xff0d1601,
    0xff0a1301,
    0xff091101,
    0xff071000,
    0xff070e00,
    0xff040c00,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff000100,
    0xff000100,
    0xff000000,
    0xff000100,
    0xff000100,
    0xff000100,
    0xff010200,
    0xff000100,
    0xff000200,
    0xff000200,
    0xff000100,
    0xff010200,
    0xff000200,
    0xff010200,
    0xff000400,
    0xff000500,
    0xff000700,
    0xff000801,
    0xff020d00,
    0xff041200,
    0xff051300,
    0xff071401,
    0xff091701,
    0xff0a1800,
    0xff0a1801,
    0xff0b1801,
    0xff0d1801,
    0xff0c1700,
    0xff0e1702,
    0xff0b1700,
    0xff0d1500,
    0xff0d1500,
    0xff091500,
    0xff0d1601,
    0xff0f1600,
    0xff0d1600,
    0xff111601,
    0xff151a02,
    0xff161b01,
    0xff161d00,
    0xff181f00,
    0xff182101,
    0xff1a2401,
    0xff1a2501,
    0xff1c2601,
    0xff1d2800,
    0xff1a2900,
    0xff1d2900,
    0xff1b2702,
    0xff1d2702,
    0xff1b2600,
    0xff1a2401,
    0xff182100,
    0xff192001,
    0xff181d00,
    0xff141c01,
    0xff131a01,
    0xff121701,
    0xff101500,
    0xff0b1201,
    0xff0b1000,
    0xff050e00,
    0xff070b00,
    0xff520400,
    0xffcf1b06,
    0xfff3431c,
    0xffdc361c,
    0xff853a06,
    0xff675b00,
    0xff6b6100,
    0xff6e6501,
    0xff6d6200,
    0xff473502,
    0xff000000,
    0xff000500,
    0xff000300,
    0xff3b2507,
    0xff1b0f00,
    0xff040a00,
    0xff050d00,
    0xff070f00,
    0xff080f00,
    0xff0b0e00,
    0xff091100,
    0xff0a1101,
    0xff0c1000,
    0xff081100,
    0xff0a1000,
    0xff050f02,
    0xff3f2702,
    0xff753501,
    0xff2d1c01,
    0xff000c00,
    0xff000a00,
    0xff000a00,
    0xff000500,
    0xff693820,
    0xffff4f33,
    0xffdf0e04,
    0xffaa0300,
    0xffbd1002,
    0xff310502,
    0xff000101,
    0xff000301,
    0xff000201,
    0xff0c0403,
    0xffc00d02,
    0xffd62f34,
    0xfffeabb3,
    0xffb70813,
    0xffaf0700,
    0xff6b0f05,
    0xff040701,
    0xff150a00,
    0xff180900,
    0xff1b0a01,
    0xff1b0c00,
    0xff1b0c00,
    0xff1e0e00,
    0xff1e0d00,
    0xff1d0c00,
    0xff1c0b01,
    0xff1a0a00,
    0xff150900,
    0xff120700,
    0xff090700,
    0xff010101,
    0xff000001,
    0xff000001,
    0xff000100,
    0xff050601,
    0xff0d0900,
    0xff110901,
    0xff110b01,
    0xff140a00,
    0xff150b01,
    0xff170b01,
    0xff170b00,
    0xff150a00,
    0xff150a01,
    0xff140b01,
    0xff120a00,
    0xff110800,
    0xff0f0800,
    0xff0b0701,
    0xff030300,
    0xff000101,
    0xff010001,
    0xff000000,
    0xff020300,
    0xff030401,
    0xff070400,
    0xff060500,
    0xff090700,
    0xff0b0701,
    0xff0a0900,
    0xff0a0900,
    0xff0a0900,
    0xff0b0a00,
    0xff0b0b00,
    0xff0c0b00,
    0xff0b0c00,
    0xff0c0c00,
    0xff0f1001,
    0xff111001,
    0xff141000,
    0xff121000,
    0xff161000,
    0xff171101,
    0xff171000,
    0xff160f00,
    0xff171000,
    0xff160d00,
    0xff150d00,
    0xff140b01,
    0xff110b00,
    0xff0f0900,
    0xff0f0800,
    0xff090700,
    0xff020300,
    0xff000001,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010000,
    0xff000201,
    0xff010200,
    0xff010300,
    0xff020600,
    0xff050700,
    0xff060700,
    0xff060601,
    0xff050400,
    0xff070400,
    0xff080400,
    0xff070300,
    0xff070500,
    0xff0a0701,
    0xff090600,
    0xff090600,
    0xff080700,
    0xff090500,
    0xff070500,
    0xff050300,
    0xff030100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010100,
    0xff010100,
    0xff010100,
    0xff010101,
    0xff000101,
    0xff010101,
    0xff010000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010100,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff010100,
    0xff040200,
    0xff020200,
    0xff020200,
    0xff010100,
    0xff010301,
    0xff000200,
    0xff000701,
    0xff010900,
    0xff050d00,
    0xff050f01,
    0xff081101,
    0xff0d1600,
    0xff101a02,
    0xff131e05,
    0xff18210a,
    0xff20290d,
    0xff242c11,
    0xff273017,
    0xff2b3419,
    0xff2e371c,
    0xff323b20,
    0xff343c22,
    0xff353b22,
    0xff363e23,
    0xff363e1e,
    0xff393d1e,
    0xff373d1a,
    0xff363b18,
    0xff363b14,
    0xff343b11,
    0xff353c0f,
    0xff353b0f,
    0xff35370b,
    0xff313206,
    0xff2b2c01,
    0xff262500,
    0xff222201,
    0xff202001,
    0xff1f1e01,
    0xff201b01,
    0xff1f1e00,
    0xff1e1d00,
    0xff1d1c01,
    0xff1c1b00,
    0xff1c1b00,
    0xff1d1c00,
    0xff1e1c00,
    0xff1b1c01,
    0xff191d00,
    0xff1a1f00,
    0xff161d00,
    0xff131d00,
    0xff131b01,
    0xff111800,
    0xff101701,
    0xff0d1500,
    0xff0a1200,
    0xff081100,
    0xff071100,
    0xff060f00,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000100,
    0xff010203,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff000300,
    0xff000300,
    0xff000400,
    0xff000400,
    0xff000300,
    0xff000200,
    0xff010200,
    0xff010200,
    0xff000300,
    0xff000400,
    0xff000700,
    0xff000700,
    0xff010a01,
    0xff031000,
    0xff051300,
    0xff051400,
    0xff061400,
    0xff091500,
    0xff091600,
    0xff081700,
    0xff081700,
    0xff091700,
    0xff091801,
    0xff0d1500,
    0xff0e1601,
    0xff0d1501,
    0xff091500,
    0xff0a1400,
    0xff101500,
    0xff0c1700,
    0xff101600,
    0xff121700,
    0xff141b00,
    0xff161c00,
    0xff171e00,
    0xff172100,
    0xff192300,
    0xff1b2500,
    0xff1c2601,
    0xff1c2701,
    0xff1a2800,
    0xff1c2701,
    0xff1b2802,
    0xff1b2701,
    0xff1b2600,
    0xff1b2301,
    0xff192001,
    0xff182001,
    0xff181d00,
    0xff161c01,
    0xff141a02,
    0xff121700,
    0xff101500,
    0xff0f1400,
    0xff0c1101,
    0xff0b0f01,
    0xff080e00,
    0xff000a00,
    0xff4f0500,
    0xffdd3113,
    0xffcc3f15,
    0xff844d06,
    0xff665e00,
    0xff6d6301,
    0xff6e6400,
    0xff6c6100,
    0xff403000,
    0xff000001,
    0xff010600,
    0xff000501,
    0xff3c2707,
    0xff180f00,
    0xff010d00,
    0xff060e00,
    0xff060e00,
    0xff0a1001,
    0xff081000,
    0xff061100,
    0xff081100,
    0xff0a1101,
    0xff091201,
    0xff0a1201,
    0xff060f01,
    0xff2f1e04,
    0xff753800,
    0xff391f03,
    0xff050e01,
    0xff090f00,
    0xff090e01,
    0xff000b00,
    0xff2c1913,
    0xffff6c4b,
    0xffff331a,
    0xffc50101,
    0xffab0000,
    0xffcc1b05,
    0xff150100,
    0xff000102,
    0xff000000,
    0xff500d08,
    0xffc81216,
    0xffd7333e,
    0xffffd0be,
    0xffb40006,
    0xffba1202,
    0xff150401,
    0xff0a0700,
    0xff150800,
    0xff170a01,
    0xff1a0a02,
    0xff1c0c00,
    0xff1d0e00,
    0xff1e0e00,
    0xff1f0d01,
    0xff1e0c00,
    0xff1c0b00,
    0xff1b0a00,
    0xff150a01,
    0xff110700,
    0xff0a0600,
    0xff010101,
    0xff000001,
    0xff010001,
    0xff000100,
    0xff050600,
    0xff0b0900,
    0xff100801,
    0xff120c01,
    0xff150900,
    0xff130c01,
    0xff160b00,
    0xff160c01,
    0xff170b02,
    0xff140a00,
    0xff140a00,
    0xff120a00,
    0xff130800,
    0xff100700,
    0xff080600,
    0xff030200,
    0xff000001,
    0xff010101,
    0xff000001,
    0xff010201,
    0xff040201,
    0xff060500,
    0xff070600,
    0xff0a0600,
    0xff0a0700,
    0xff0b0902,
    0xff080800,
    0xff090a00,
    0xff090a00,
    0xff0a0a00,
    0xff0b0b00,
    0xff090b00,
    0xff0c0c00,
    0xff0e0f00,
    0xff111001,
    0xff131000,
    0xff131100,
    0xff171001,
    0xff161100,
    0xff171000,
    0xff171000,
    0xff160f00,
    0xff150e00,
    0xff150c00,
    0xff130b01,
    0xff130d00,
    0xff110900,
    0xff0f0800,
    0xff090800,
    0xff020300,
    0xff010101,
    0xff000000,
    0xff010001,
    0xff010101,
    0xff010001,
    0xff010001,
    0xff010001,
    0xff010201,
    0xff010302,
    0xff000200,
    0xff020301,
    0xff020700,
    0xff060801,
    0xff070800,
    0xff060800,
    0xff070701,
    0xff090701,
    0xff080500,
    0xff090501,
    0xff070400,
    0xff080601,
    0xff090600,
    0xff090700,
    0xff070601,
    0xff060600,
    0xff060400,
    0xff030100,
    0xff020100,
    0xff000000,
    0xff000001,
    0xff010100,
    0xff030300,
    0xff040402,
    0xff010100,
    0xff020102,
    0xff000001,
    0xff020101,
    0xff010000,
    0xff000100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff010100,
    0xff000101,
    0xff010200,
    0xff010701,
    0xff010a00,
    0xff050d01,
    0xff051001,
    0xff0a1300,
    0xff0f1902,
    0xff121c03,
    0xff151f07,
    0xff1a250b,
    0xff1f2a0e,
    0xff232d12,
    0xff293115,
    0xff2d351c,
    0xff30391e,
    0xff333b21,
    0xff343e22,
    0xff343c21,
    0xff353d23,
    0xff373d1e,
    0xff373c1e,
    0xff363c18,
    0xff363a16,
    0xff343912,
    0xff323810,
    0xff33380e,
    0xff32380d,
    0xff333409,
    0xff2f3003,
    0xff262b00,
    0xff232400,
    0xff242000,
    0xff201e00,
    0xff1c1d00,
    0xff1e1a00,
    0xff1e1d00,
    0xff1e1d00,
    0xff1e1e01,
    0xff1d1c00,
    0xff1c1b00,
    0xff1d1c00,
    0xff1e1d01,
    0xff1e1c01,
    0xff181d00,
    0xff191e00,
    0xff171c01,
    0xff151c00,
    0xff121c00,
    0xff121902,
    0xff101701,
    0xff0f1700,
    0xff101500,
    0xff0c1601,
    0xff0a1500,
    0xff0a1200,
    0xff000200,
    0xff010100,
    0xff010000,
    0xff000000,
    0xff010000,
    0xff000200,
    0xff000200,
    0xff000300,
    0xff000400,
    0xff000600,
    0xff000700,
    0xff000600,
    0xff010600,
    0xff000600,
    0xff000800,
    0xff000700,
    0xff000700,
    0xff000600,
    0xff010600,
    0xff000700,
    0xff000500,
    0xff000600,
    0xff000600,
    0xff000600,
    0xff000400,
    0xff000600,
    0xff000500,
    0xff010700,
    0xff000700,
    0xff000700,
    0xff030c01,
    0xff041000,
    0xff041200,
    0xff051301,
    0xff071402,
    0xff081501,
    0xff091501,
    0xff0a1601,
    0xff0a1700,
    0xff0b1600,
    0xff0b1301,
    0xff0b1600,
    0xff0c1401,
    0xff0b1301,
    0xff0c1201,
    0xff0d1500,
    0xff0d1502,
    0xff101600,
    0xff111701,
    0xff131800,
    0xff131b01,
    0xff151e00,
    0xff151e00,
    0xff182201,
    0xff1a2400,
    0xff1b2602,
    0xff1c2700,
    0xff192700,
    0xff1b2500,
    0xff192700,
    0xff1a2600,
    0xff1a2501,
    0xff1a2300,
    0xff182101,
    0xff192001,
    0xff151e00,
    0xff151c02,
    0xff141a01,
    0xff131800,
    0xff101600,
    0xff0f1400,
    0xff0d1202,
    0xff0c1001,
    0xff0b0e01,
    0xff090e00,
    0xff000801,
    0xff6d1406,
    0xffad430c,
    0xff715601,
    0xff695e00,
    0xff6c6300,
    0xff6b6200,
    0xff685d00,
    0xff3d2c00,
    0xff000101,
    0xff020600,
    0xff000601,
    0xff211a04,
    0xff0a0a00,
    0xff040e01,
    0xff050f00,
    0xff080e01,
    0xff090f00,
    0xff071201,
    0xff091200,
    0xff0a1101,
    0xff0b1202,
    0xff0a1100,
    0xff0b1101,
    0xff081002,
    0xff191401,
    0xff723b00,
    0xff3c1d01,
    0xff050d00,
    0xff090e00,
    0xff0b0f01,
    0xff060e00,
    0xff000000,
    0xffff7857,
    0xffff4b35,
    0xfffb2c17,
    0xffb60000,
    0xffc40800,
    0xff931607,
    0xff000000,
    0xff000000,
    0xffd33b35,
    0xffd13741,
    0xffcf2529,
    0xfffe7968,
    0xffb80300,
    0xff781105,
    0xff000200,
    0xff0f0600,
    0xff130800,
    0xff180a01,
    0xff190b01,
    0xff1d0b00,
    0xff1e0d01,
    0xff1d0d00,
    0xff1e0c00,
    0xff1c0d00,
    0xff1c0c00,
    0xff1a0900,
    0xff180a01,
    0xff140800,
    0xff0b0700,
    0xff020201,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff070601,
    0xff0e0900,
    0xff100900,
    0xff110c01,
    0xff150900,
    0xff140d01,
    0xff160b00,
    0xff170a00,
    0xff150b01,
    0xff170901,
    0xff150a00,
    0xff130800,
    0xff100800,
    0xff0f0600,
    0xff0a0600,
    0xff020100,
    0xff000001,
    0xff010101,
    0xff010001,
    0xff000100,
    0xff030200,
    0xff040300,
    0xff060500,
    0xff080400,
    0xff0a0700,
    0xff090600,
    0xff070700,
    0xff0a0901,
    0xff0b0700,
    0xff0a0a00,
    0xff0a0b01,
    0xff0a0a00,
    0xff0a0b00,
    0xff0d0e00,
    0xff0f1000,
    0xff111000,
    0xff121001,
    0xff171100,
    0xff181101,
    0xff171000,
    0xff171000,
    0xff160f00,
    0xff160f00,
    0xff140c01,
    0xff150b01,
    0xff130c01,
    0xff120c00,
    0xff100900,
    0xff090700,
    0xff030400,
    0xff000000,
    0xff010202,
    0xff000200,
    0xff010000,
    0xff000100,
    0xff010301,
    0xff000100,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff020400,
    0xff030701,
    0xff060801,
    0xff070800,
    0xff070800,
    0xff070800,
    0xff080800,
    0xff070800,
    0xff060501,
    0xff080500,
    0xff070500,
    0xff090400,
    0xff080500,
    0xff060500,
    0xff070600,
    0xff040300,
    0xff010101,
    0xff000000,
    0xff000001,
    0xff020100,
    0xff020500,
    0xff040500,
    0xff040500,
    0xff020400,
    0xff030300,
    0xff020200,
    0xff010101,
    0xff000101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000400,
    0xff000600,
    0xff020a00,
    0xff040c00,
    0xff071000,
    0xff0b1500,
    0xff111901,
    0xff131e05,
    0xff162108,
    0xff19280e,
    0xff202c10,
    0xff242e13,
    0xff293217,
    0xff2e361c,
    0xff323922,
    0xff343d21,
    0xff343c23,
    0xff333c23,
    0xff363b22,
    0xff373b1f,
    0xff363c1c,
    0xff353b19,
    0xff343917,
    0xff333710,
    0xff34370f,
    0xff34360b,
    0xff31360b,
    0xff303307,
    0xff2f3103,
    0xff282800,
    0xff222500,
    0xff1f1f01,
    0xff1c1c00,
    0xff1c1900,
    0xff1c1900,
    0xff1e1d01,
    0xff1e1d00,
    0xff1f1e00,
    0xff1e1d00,
    0xff1c1b00,
    0xff1e1d01,
    0xff1c1c00,
    0xff1a1d00,
    0xff181c01,
    0xff171d00,
    0xff141d00,
    0xff151c01,
    0xff131c01,
    0xff131b00,
    0xff111a00,
    0xff121b00,
    0xff151a01,
    0xff111b01,
    0xff101800,
    0xff101500,
    0xff000601,
    0xff010400,
    0xff010300,
    0xff000300,
    0xff000400,
    0xff000500,
    0xff000700,
    0xff000700,
    0xff000700,
    0xff000800,
    0xff000900,
    0xff000a00,
    0xff000b00,
    0xff000c01,
    0xff000c00,
    0xff010d02,
    0xff000c00,
    0xff000b00,
    0xff000a00,
    0xff000a00,
    0xff010901,
    0xff000700,
    0xff000700,
    0xff010800,
    0xff010800,
    0xff000801,
    0xff000600,
    0xff010700,
    0xff000600,
    0xff010700,
    0xff000901,
    0xff020d02,
    0xff041000,
    0xff041100,
    0xff061301,
    0xff051400,
    0xff081200,
    0xff081400,
    0xff0a1400,
    0xff0a1500,
    0xff0a1300,
    0xff091300,
    0xff091300,
    0xff091300,
    0xff0a1100,
    0xff0e1200,
    0xff0d1200,
    0xff0f1500,
    0xff111700,
    0xff121600,
    0xff131b00,
    0xff161c00,
    0xff151e01,
    0xff172100,
    0xff1b2200,
    0xff1b2500,
    0xff1b2502,
    0xff172701,
    0xff1a2500,
    0xff1a2600,
    0xff1a2600,
    0xff1a2401,
    0xff1a2401,
    0xff192100,
    0xff191f00,
    0xff181f00,
    0xff171e00,
    0xff161c00,
    0xff141902,
    0xff101700,
    0xff101600,
    0xff0f1400,
    0xff0e1100,
    0xff0c0e01,
    0xff080e00,
    0xff060b00,
    0xff010700,
    0xff583d01,
    0xff645900,
    0xff6a5f00,
    0xff6c6301,
    0xff696300,
    0xff685b01,
    0xff382b01,
    0xff000300,
    0xff000700,
    0xff020a01,
    0xff000a00,
    0xff060c00,
    0xff060e01,
    0xff060f00,
    0xff090e01,
    0xff081001,
    0xff091201,
    0xff091302,
    0xff0a1101,
    0xff0a1202,
    0xff0d1102,
    0xff0a1201,
    0xff091102,
    0xff121000,
    0xff692e02,
    0xff4b2602,
    0xff040c01,
    0xff0b0f00,
    0xff0b0f01,
    0xff060f00,
    0xff000100,
    0xffb05d47,
    0xffff876c,
    0xffff5e3b,
    0xfff31a0e,
    0xffb40000,
    0xffc61003,
    0xff2b0006,
    0xffba5971,
    0xfff76e76,
    0xffc72229,
    0xffc7120f,
    0xfff53c27,
    0xffaf1100,
    0xff030001,
    0xff050300,
    0xff0e0600,
    0xff130700,
    0xff170a01,
    0xff190b02,
    0xff1d0a00,
    0xff1f0d00,
    0xff1d0d00,
    0xff1d0b00,
    0xff1e0d00,
    0xff1c0b00,
    0xff1a0a00,
    0xff170900,
    0xff130900,
    0xff0d0801,
    0xff030200,
    0xff000001,
    0xff000000,
    0xff000001,
    0xff060601,
    0xff0e0900,
    0xff110900,
    0xff110c00,
    0xff140a00,
    0xff150b01,
    0xff160c01,
    0xff170c00,
    0xff140a00,
    0xff160a01,
    0xff150a01,
    0xff140900,
    0xff100800,
    0xff100700,
    0xff0b0600,
    0xff000100,
    0xff000101,
    0xff000000,
    0xff010101,
    0xff000001,
    0xff020200,
    0xff060200,
    0xff060501,
    0xff090500,
    0xff090500,
    0xff090600,
    0xff070800,
    0xff090800,
    0xff0c0800,
    0xff0b0a00,
    0xff080900,
    0xff090a00,
    0xff0a0c00,
    0xff0d0d00,
    0xff0e0f00,
    0xff111100,
    0xff120f01,
    0xff171100,
    0xff171000,
    0xff171000,
    0xff171000,
    0xff181101,
    0xff160f00,
    0xff160c01,
    0xff160b02,
    0xff140d00,
    0xff110c00,
    0xff100800,
    0xff090800,
    0xff040400,
    0xff000000,
    0xff010200,
    0xff000200,
    0xff010101,
    0xff000201,
    0xff010300,
    0xff010300,
    0xff000300,
    0xff010301,
    0xff020400,
    0xff040600,
    0xff030701,
    0xff060801,
    0xff080901,
    0xff080901,
    0xff070801,
    0xff090901,
    0xff070801,
    0xff060500,
    0xff070601,
    0xff080400,
    0xff090400,
    0xff080601,
    0xff060500,
    0xff040400,
    0xff040300,
    0xff010101,
    0xff000001,
    0xff010101,
    0xff030300,
    0xff030600,
    0xff060600,
    0xff050600,
    0xff030600,
    0xff040500,
    0xff030400,
    0xff010201,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000500,
    0xff010801,
    0xff020a00,
    0xff050d00,
    0xff081200,
    0xff0d1602,
    0xff121b03,
    0xff141d07,
    0xff162309,
    0xff1c280c,
    0xff222b10,
    0xff252f14,
    0xff2a3519,
    0xff2f381d,
    0xff323b20,
    0xff343d22,
    0xff343c23,
    0xff353b22,
    0xff343b21,
    0xff373b1f,
    0xff363b1c,
    0xff353b18,
    0xff353a15,
    0xff343711,
    0xff33350e,
    0xff33350a,
    0xff2e3408,
    0xff2d3104,
    0xff2a2c00,
    0xff262701,
    0xff1f2000,
    0xff1d1c00,
    0xff1b1a00,
    0xff1b1700,
    0xff1b1a00,
    0xff1d1c00,
    0xff1e1d00,
    0xff1e1d00,
    0xff1e1c00,
    0xff1d1c00,
    0xff1d1c00,
    0xff1c1b00,
    0xff181c01,
    0xff171b01,
    0xff151c00,
    0xff161c00,
    0xff141b01,
    0xff121c01,
    0xff141c00,
    0xff171c00,
    0xff171e04,
    0xff151f03,
    0xff191e04,
    0xff181c03,
    0xff141902,
    0xff000900,
    0xff010700,
    0xff010600,
    0xff000600,
    0xff000800,
    0xff000800,
    0xff000900,
    0xff000b01,
    0xff000b00,
    0xff000d02,
    0xff000c00,
    0xff020f01,
    0xff020f00,
    0xff031001,
    0xff041000,
    0xff021100,
    0xff031000,
    0xff030f00,
    0xff030d00,
    0xff020c00,
    0xff000c01,
    0xff000c00,
    0xff000a00,
    0xff000b02,
    0xff000900,
    0xff000900,
    0xff010700,
    0xff010800,
    0xff000800,
    0xff000700,
    0xff000900,
    0xff010a01,
    0xff000f00,
    0xff031000,
    0xff041100,
    0xff051200,
    0xff061301,
    0xff091502,
    0xff081300,
    0xff071300,
    0xff071202,
    0xff091202,
    0xff071302,
    0xff081201,
    0xff0b1200,
    0xff0d1002,
    0xff0b1000,
    0xff0b1301,
    0xff0f1500,
    0xff121601,
    0xff131802,
    0xff151b00,
    0xff141d01,
    0xff171f00,
    0xff192200,
    0xff192300,
    0xff1b2501,
    0xff192300,
    0xff1a2401,
    0xff192602,
    0xff192501,
    0xff1a2400,
    0xff182400,
    0xff1b2100,
    0xff1a2100,
    0xff191f01,
    0xff171d01,
    0xff161c01,
    0xff151a01,
    0xff111700,
    0xff0f1600,
    0xff0e1501,
    0xff0d1400,
    0xff0b1000,
    0xff0a0f00,
    0xff090d00,
    0xff080c00,
    0xff4d4402,
    0xff655701,
    0xff6a5d00,
    0xff6d6301,
    0xff696500,
    0xff655c00,
    0xff352c02,
    0xff000100,
    0xff000800,
    0xff030c00,
    0xff030c00,
    0xff050d00,
    0xff080d00,
    0xff081000,
    0xff081101,
    0xff0a1100,
    0xff0b1202,
    0xff081200,
    0xff0a1101,
    0xff0a1101,
    0xff0c1102,
    0xff0a1202,
    0xff091101,
    0xff0c0e00,
    0xff6d2f01,
    0xff5b3206,
    0xff020b00,
    0xff0b0f00,
    0xff0a0e01,
    0xff060d00,
    0xff040b00,
    0xff0e0704,
    0xffffa074,
    0xffff7b5b,
    0xffff5b3b,
    0xfff92010,
    0xffcd0000,
    0xfffd846f,
    0xffffe4d5,
    0xffd31f33,
    0xffb60707,
    0xffbe0a03,
    0xffe8371c,
    0xff190001,
    0xff000000,
    0xff050300,
    0xff0e0700,
    0xff110800,
    0xff160a00,
    0xff190a01,
    0xff1c0b00,
    0xff1b0d00,
    0xff1d0d01,
    0xff1e0b00,
    0xff1d0d00,
    0xff1c0c00,
    0xff1d0b01,
    0xff180a01,
    0xff130800,
    0xff0b0801,
    0xff050400,
    0xff000000,
    0xff000001,
    0xff000000,
    0xff060601,
    0xff0e0900,
    0xff110a00,
    0xff130d01,
    0xff140b01,
    0xff160b01,
    0xff150b01,
    0xff160c02,
    0xff140a00,
    0xff150a00,
    0xff140901,
    0xff120800,
    0xff100600,
    0xff0e0800,
    0xff0a0500,
    0xff030101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000001,
    0xff030200,
    0xff050400,
    0xff040400,
    0xff040300,
    0xff070601,
    0xff060501,
    0xff080801,
    0xff070700,
    0xff080800,
    0xff090901,
    0xff0a0902,
    0xff090901,
    0xff090900,
    0xff0d0e00,
    0xff100d01,
    0xff120f01,
    0xff140e00,
    0xff161000,
    0xff181101,
    0xff181101,
    0xff171000,
    0xff181101,
    0xff170f00,
    0xff170c02,
    0xff140c01,
    0xff120d01,
    0xff110a00,
    0xff0f0800,
    0xff090700,
    0xff040500,
    0xff000200,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010400,
    0xff020400,
    0xff030500,
    0xff020700,
    0xff010700,
    0xff060701,
    0xff070800,
    0xff080901,
    0xff080901,
    0xff070800,
    0xff080801,
    0xff070501,
    0xff050600,
    0xff060500,
    0xff070500,
    0xff050500,
    0xff060500,
    0xff030400,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff020300,
    0xff040600,
    0xff070700,
    0xff070800,
    0xff060700,
    0xff060701,
    0xff040701,
    0xff040500,
    0xff040400,
    0xff010101,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000100,
    0xff000501,
    0xff020700,
    0xff020b01,
    0xff020f00,
    0xff061200,
    0xff0b1701,
    0xff121c04,
    0xff161f08,
    0xff17230a,
    0xff1c280e,
    0xff232d12,
    0xff273015,
    0xff29361a,
    0xff30391e,
    0xff323d21,
    0xff353c25,
    0xff343d22,
    0xff343c21,
    0xff343c22,
    0xff373a1f,
    0xff353a1a,
    0xff353918,
    0xff343815,
    0xff323710,
    0xff32340d,
    0xff2e330a,
    0xff2e3007,
    0xff272d02,
    0xff262801,
    0xff212100,
    0xff1b1c00,
    0xff1c1800,
    0xff1a1901,
    0xff191801,
    0xff1c1a00,
    0xff1d1d00,
    0xff1d1c00,
    0xff1e1d01,
    0xff1f1b00,
    0xff1d1d01,
    0xff1d1a00,
    0xff1c1b00,
    0xff171b00,
    0xff161900,
    0xff131b01,
    0xff151b01,
    0xff141c00,
    0xff151d00,
    0xff181e00,
    0xff192001,
    0xff1a2107,
    0xff1a2308,
    0xff1c2409,
    0xff1a2107,
    0xff171e05,
    0xff000b01,
    0xff010900,
    0xff000900,
    0xff000a01,
    0xff000a01,
    0xff000b00,
    0xff010c00,
    0xff010c00,
    0xff010d00,
    0xff020e01,
    0xff020e00,
    0xff020f00,
    0xff031000,
    0xff041100,
    0xff061201,
    0xff051200,
    0xff061301,
    0xff041000,
    0xff041000,
    0xff030f00,
    0xff020e01,
    0xff020e01,
    0xff020d00,
    0xff010c00,
    0xff010d02,
    0xff000b01,
    0xff010901,
    0xff000901,
    0xff000900,
    0xff010800,
    0xff000900,
    0xff000a00,
    0xff010c00,
    0xff020d00,
    0xff020e00,
    0xff051200,
    0xff051201,
    0xff061200,
    0xff071101,
    0xff061100,
    0xff051000,
    0xff071201,
    0xff0a1000,
    0xff0a1201,
    0xff0a1300,
    0xff0c0f00,
    0xff0b1201,
    0xff091400,
    0xff0c1400,
    0xff101500,
    0xff121601,
    0xff111b01,
    0xff131d02,
    0xff151e00,
    0xff162000,
    0xff182100,
    0xff192200,
    0xff1a2501,
    0xff182300,
    0xff182400,
    0xff1a2401,
    0xff1a2401,
    0xff192401,
    0xff1a2200,
    0xff1a2100,
    0xff191f00,
    0xff171f02,
    0xff151c00,
    0xff151901,
    0xff121701,
    0xff101800,
    0xff0c1601,
    0xff0e1400,
    0xff0c1001,
    0xff0c0f01,
    0xff080d00,
    0xff0b0d01,
    0xff514500,
    0xff5f5600,
    0xff645d00,
    0xff6b6301,
    0xff6b6500,
    0xff665e00,
    0xff372f01,
    0xff000101,
    0xff020801,
    0xff020900,
    0xff030b00,
    0xff060e00,
    0xff070e00,
    0xff091000,
    0xff0a1001,
    0xff081100,
    0xff091101,
    0xff0a1202,
    0xff0b1100,
    0xff0b1101,
    0xff0c1002,
    0xff0d1002,
    0xff091101,
    0xff070d01,
    0xff703702,
    0xff5d370c,
    0xff000c00,
    0xff0b0f00,
    0xff0a0d00,
    0xff080e00,
    0xff050b00,
    0xff000400,
    0xff250e0a,
    0xffd37854,
    0xffff9e69,
    0xffff874d,
    0xffff592a,
    0xff890c07,
    0xfffa4c30,
    0xffb40e01,
    0xffa21604,
    0xff891606,
    0xff180100,
    0xff000001,
    0xff000000,
    0xff060200,
    0xff0c0700,
    0xff110800,
    0xff160900,
    0xff180a01,
    0xff1c0b00,
    0xff1a0c00,
    0xff1e0c00,
    0xff1d0c00,
    0xff1d0c00,
    0xff1d0c00,
    0xff1b0a01,
    0xff180a01,
    0xff150800,
    0xff0e0800,
    0xff040501,
    0xff000001,
    0xff000001,
    0xff000100,
    0xff060601,
    0xff0f0900,
    0xff110a00,
    0xff110c00,
    0xff140a01,
    0xff150a00,
    0xff150c02,
    0xff160b02,
    0xff140a00,
    0xff150900,
    0xff160901,
    0xff110900,
    0xff0f0700,
    0xff0e0700,
    0xff0a0500,
    0xff020100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000101,
    0xff010001,
    0xff040300,
    0xff040300,
    0xff040400,
    0xff080401,
    0xff060601,
    0xff070601,
    0xff080700,
    0xff070700,
    0xff090901,
    0xff080800,
    0xff070800,
    0xff080900,
    0xff0c0c00,
    0xff100e01,
    0xff120d00,
    0xff130f00,
    0xff160e00,
    0xff171000,
    0xff171000,
    0xff171000,
    0xff170e00,
    0xff170e00,
    0xff160c00,
    0xff130b00,
    0xff130b00,
    0xff120b00,
    0xff0f0800,
    0xff080800,
    0xff040500,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff010400,
    0xff020500,
    0xff030601,
    0xff030801,
    0xff020801,
    0xff050701,
    0xff060800,
    0xff060a00,
    0xff070801,
    0xff070900,
    0xff070901,
    0xff080701,
    0xff060700,
    0xff060701,
    0xff050500,
    0xff050600,
    0xff040600,
    0xff030301,
    0xff010101,
    0xff010101,
    0xff010200,
    0xff020300,
    0xff050601,
    0xff070700,
    0xff080800,
    0xff060800,
    0xff070700,
    0xff050700,
    0xff040600,
    0xff030400,
    0xff010101,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff000500,
    0xff010801,
    0xff040a01,
    0xff030e00,
    0xff081300,
    0xff0b1702,
    0xff131d06,
    0xff162009,
    0xff19240b,
    0xff1c2a10,
    0xff222f12,
    0xff293116,
    0xff29361b,
    0xff313a1f,
    0xff333d22,
    0xff353e24,
    0xff333d22,
    0xff353b22,
    0xff363921,
    0xff353a1d,
    0xff343919,
    0xff353918,
    0xff343715,
    0xff32360f,
    0xff2f340c,
    0xff2a3208,
    0xff292e06,
    0xff272801,
    0xff1f2400,
    0xff1d1e00,
    0xff181900,
    0xff1b1900,
    0xff191901,
    0xff191902,
    0xff1a1900,
    0xff1b1c00,
    0xff1d1b00,
    0xff1c1c00,
    0xff1e1b00,
    0xff1d1c01,
    0xff1e1c00,
    0xff1b1b00,
    0xff161b00,
    0xff151801,
    0xff131b00,
    0xff141a00,
    0xff161c01,
    0xff181f00,
    0xff192100,
    0xff192306,
    0xff1d250b,
    0xff1e260b,
    0xff1e260c,
    0xff1d270d,
    0xff1d220b,
    0xff010c02,
    0xff020b01,
    0xff000c00,
    0xff000c00,
    0xff010a01,
    0xff000d00,
    0xff010d00,
    0xff020e00,
    0xff020f00,
    0xff020e00,
    0xff021000,
    0xff041100,
    0xff051000,
    0xff051401,
    0xff081402,
    0xff031600,
    0xff071401,
    0xff061301,
    0xff041100,
    0xff041100,
    0xff030f01,
    0xff030e00,
    0xff020e00,
    0xff020e01,
    0xff010c00,
    0xff000d01,
    0xff000a01,
    0xff000a01,
    0xff000a01,
    0xff000a01,
    0xff000b01,
    0xff000c02,
    0xff000c02,
    0xff000e02,
    0xff010d00,
    0xff020e00,
    0xff020f00,
    0xff031100,
    0xff051200,
    0xff061100,
    0xff061100,
    0xff061100,
    0xff091201,
    0xff071201,
    0xff091000,
    0xff0a1101,
    0xff0c0f01,
    0xff0c1201,
    0xff081302,
    0xff0e1400,
    0xff0e1500,
    0xff121800,
    0xff131901,
    0xff151d00,
    0xff141f00,
    0xff151e00,
    0xff182000,
    0xff162100,
    0xff162200,
    0xff162200,
    0xff182200,
    0xff192300,
    0xff192401,
    0xff192301,
    0xff1b2100,
    0xff162101,
    0xff141f01,
    0xff151d01,
    0xff141901,
    0xff141701,
    0xff121600,
    0xff0f1600,
    0xff0c1500,
    0xff091202,
    0xff0a1000,
    0xff090c00,
    0xff0c0f00,
    0xff4f4300,
    0xff5c5600,
    0xff625c01,
    0xff696000,
    0xff6a6400,
    0xff675d01,
    0xff2f2901,
    0xff000200,
    0xff000900,
    0xff010900,
    0xff040c00,
    0xff060d00,
    0xff050f00,
    0xff060f00,
    0xff081101,
    0xff061201,
    0xff0b1102,
    0xff0b1102,
    0xff0a1200,
    0xff0d1102,
    0xff0b1101,
    0xff0b1202,
    0xff091000,
    0xff070e00,
    0xff612d00,
    0xff6a430f,
    0xff000a00,
    0xff0b0e01,
    0xff090d00,
    0xff080e01,
    0xff040d00,
    0xff060b00,
    0xff020600,
    0xff000000,
    0xff100402,
    0xff1d0a08,
    0xff000000,
    0xff000100,
    0xff0c0100,
    0xff050200,
    0xff000001,
    0xff000000,
    0xff000001,
    0xff010000,
    0xff000001,
    0xff030201,
    0xff0a0700,
    0xff110800,
    0xff160800,
    0xff190a01,
    0xff1b0a00,
    0xff1d0c01,
    0xff1d0b00,
    0xff1d0d00,
    0xff1d0b00,
    0xff1d0c00,
    0xff1a0a01,
    0xff180a01,
    0xff160800,
    0xff100700,
    0xff050500,
    0xff000001,
    0xff000001,
    0xff010100,
    0xff070601,
    0xff0f0900,
    0xff110a00,
    0xff110c00,
    0xff140c01,
    0xff170901,
    0xff160a00,
    0xff160a00,
    0xff160900,
    0xff140b00,
    0xff130900,
    0xff110800,
    0xff100700,
    0xff0e0700,
    0xff080400,
    0xff010000,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff020100,
    0xff010101,
    0xff040200,
    0xff040300,
    0xff090301,
    0xff070501,
    0xff060500,
    0xff080701,
    0xff060700,
    0xff070700,
    0xff070800,
    0xff060700,
    0xff070800,
    0xff0b0b00,
    0xff100d00,
    0xff120e00,
    0xff110e00,
    0xff160e01,
    0xff171000,
    0xff171000,
    0xff171000,
    0xff160e00,
    0xff160b00,
    0xff160b00,
    0xff140c01,
    0xff110c00,
    0xff120b00,
    0xff0f0900,
    0xff090700,
    0xff040400,
    0xff000201,
    0xff000200,
    0xff000200,
    0xff010300,
    0xff010300,
    0xff010300,
    0xff000400,
    0xff000600,
    0xff010600,
    0xff010700,
    0xff010600,
    0xff020801,
    0xff020700,
    0xff060900,
    0xff060900,
    0xff070800,
    0xff060800,
    0xff060900,
    0xff070800,
    0xff070800,
    0xff050500,
    0xff050500,
    0xff040500,
    0xff020400,
    0xff020200,
    0xff010100,
    0xff020201,
    0xff010100,
    0xff020600,
    0xff060701,
    0xff070800,
    0xff080800,
    0xff070801,
    0xff090801,
    0xff060800,
    0xff040700,
    0xff030600,
    0xff020200,
    0xff010100,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010000,
    0xff000202,
    0xff000500,
    0xff000701,
    0xff010800,
    0xff040b00,
    0xff050e00,
    0xff081300,
    0xff0b1905,
    0xff141c07,
    0xff152109,
    0xff17260d,
    0xff1b280f,
    0xff202e11,
    0xff283217,
    0xff2a351b,
    0xff2e3a20,
    0xff333d21,
    0xff333e22,
    0xff343d21,
    0xff333d22,
    0xff323a20,
    0xff34381d,
    0xff343818,
    0xff333717,
    0xff333614,
    0xff33350f,
    0xff2e340b,
    0xff2d2f09,
    0xff2b2d06,
    0xff232600,
    0xff1d2100,
    0xff171a01,
    0xff171800,
    0xff1a1901,
    0xff191901,
    0xff191901,
    0xff1a1a00,
    0xff1c1c00,
    0xff1c1c00,
    0xff1c1b00,
    0xff1d1c00,
    0xff1e1d00,
    0xff1c1b00,
    0xff181b01,
    0xff151902,
    0xff141701,
    0xff141a00,
    0xff171c02,
    0xff161c01,
    0xff182100,
    0xff182203,
    0xff1a2408,
    0xff1d260b,
    0xff1e260e,
    0xff202710,
    0xff1e270f,
    0xff21250e,
    0xff020d00,
    0xff010c00,
    0xff010c00,
    0xff010c01,
    0xff020c00,
    0xff000d01,
    0xff020d00,
    0xff030f00,
    0xff021000,
    0xff020f00,
    0xff031000,
    0xff041100,
    0xff041200,
    0xff051501,
    0xff081401,
    0xff081501,
    0xff081400,
    0xff061400,
    0xff041401,
    0xff031100,
    0xff041000,
    0xff031000,
    0xff031000,
    0xff031000,
    0xff020e00,
    0xff020e00,
    0xff010c01,
    0xff010b01,
    0xff000b00,
    0xff000c00,
    0xff000e00,
    0xff000c05,
    0xff000d07,
    0xff010e09,
    0xff010e05,
    0xff010f03,
    0xff020e00,
    0xff030f00,
    0xff021000,
    0xff041100,
    0xff061000,
    0xff071101,
    0xff041100,
    0xff0c1001,
    0xff071000,
    0xff091000,
    0xff0a1202,
    0xff081300,
    0xff081500,
    0xff0d1400,
    0xff0c1601,
    0xff0e1700,
    0xff101801,
    0xff121a00,
    0xff131b00,
    0xff131d00,
    0xff171f01,
    0xff161f00,
    0xff151f00,
    0xff161f00,
    0xff162000,
    0xff192100,
    0xff182100,
    0xff182100,
    0xff1a2000,
    0xff191e00,
    0xff151e00,
    0xff141b00,
    0xff151a01,
    0xff121700,
    0xff111600,
    0xff101500,
    0xff0d1401,
    0xff0b1101,
    0xff080f00,
    0xff070c00,
    0xff0d1000,
    0xff4e4201,
    0xff5c5500,
    0xff625b00,
    0xff665f00,
    0xff676100,
    0xff655d01,
    0xff252400,
    0xff000400,
    0xff000600,
    0xff010900,
    0xff030a00,
    0xff060c01,
    0xff070e02,
    0xff061000,
    0xff090f00,
    0xff071100,
    0xff091202,
    0xff0a1101,
    0xff0b1201,
    0xff0a1101,
    0xff081201,
    0xff091302,
    0xff0a1000,
    0xff050d01,
    0xff522501,
    0xff7f4d11,
    0xff020700,
    0xff0a0f00,
    0xff0b0d00,
    0xff060f00,
    0xff050d00,
    0xff070c00,
    0xff060c00,
    0xff060b00,
    0xff040800,
    0xff030600,
    0xff020700,
    0xff010700,
    0xff000600,
    0xff000400,
    0xff000300,
    0xff000000,
    0xff000000,
    0xff000101,
    0xff000001,
    0xff020201,
    0xff0a0600,
    0xff110800,
    0xff160800,
    0xff180a01,
    0xff1c0a00,
    0xff1b0a00,
    0xff1c0d00,
    0xff1e0d00,
    0xff1d0b00,
    0xff1e0b01,
    0xff1b0a00,
    0xff190b02,
    0xff140800,
    0xff100700,
    0xff060500,
    0xff020101,
    0xff000001,
    0xff010101,
    0xff070701,
    0xff0f0900,
    0xff110a00,
    0xff110c00,
    0xff140c01,
    0xff170900,
    0xff170900,
    0xff160a00,
    0xff170901,
    0xff140a01,
    0xff110800,
    0xff110800,
    0xff0f0600,
    0xff0e0701,
    0xff080500,
    0xff010000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020000,
    0xff010101,
    0xff030100,
    0xff030300,
    0xff060300,
    0xff080401,
    0xff050500,
    0xff070600,
    0xff060601,
    0xff060700,
    0xff060700,
    0xff060700,
    0xff060801,
    0xff090a00,
    0xff0f0c00,
    0xff110d00,
    0xff110e00,
    0xff140d00,
    0xff160e00,
    0xff150d00,
    0xff160d01,
    0xff160c01,
    0xff160c01,
    0xff160c00,
    0xff140a01,
    0xff110b00,
    0xff120900,
    0xff100700,
    0xff080700,
    0xff050501,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff020401,
    0xff010300,
    0xff010400,
    0xff010500,
    0xff020700,
    0xff020700,
    0xff030901,
    0xff040801,
    0xff050901,
    0xff060800,
    0xff050800,
    0xff060801,
    0xff060901,
    0xff060a01,
    0xff070901,
    0xff070800,
    0xff040700,
    0xff030601,
    0xff030500,
    0xff020400,
    0xff010100,
    0xff010100,
    0xff020200,
    0xff020400,
    0xff040500,
    0xff070801,
    0xff080800,
    0xff090a01,
    0xff090a01,
    0xff090900,
    0xff070700,
    0xff040801,
    0xff040700,
    0xff020300,
    0xff020100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000100,
    0xff010301,
    0xff000600,
    0xff010701,
    0xff010a01,
    0xff030b00,
    0xff020e00,
    0xff071300,
    0xff0b1806,
    0xff131c08,
    0xff162209,
    0xff18270e,
    0xff1a280f,
    0xff202c11,
    0xff273016,
    0xff2a3519,
    0xff2d3a1e,
    0xff323c21,
    0xff343d22,
    0xff343c22,
    0xff333c21,
    0xff33381f,
    0xff32371d,
    0xff313517,
    0xff313514,
    0xff313513,
    0xff30340e,
    0xff2c3109,
    0xff282f06,
    0xff272902,
    0xff212400,
    0xff191d00,
    0xff131801,
    0xff171600,
    0xff181801,
    0xff181801,
    0xff191900,
    0xff1a1a00,
    0xff1c1c00,
    0xff1d1d01,
    0xff1c1b00,
    0xff1c1c00,
    0xff1d1c00,
    0xff171b00,
    0xff161a00,
    0xff151901,
    0xff121900,
    0xff151b01,
    0xff111b01,
    0xff171e01,
    0xff182100,
    0xff192204,
    0xff1c2509,
    0xff1e270c,
    0xff20290e,
    0xff232910,
    0xff222911,
    0xff232811,
    0xff030e00,
    0xff020c00,
    0xff030c02,
    0xff020c02,
    0xff010d00,
    0xff011000,
    0xff010f01,
    0xff041001,
    0xff041100,
    0xff031000,
    0xff041000,
    0xff051200,
    0xff051301,
    0xff051400,
    0xff081500,
    0xff081602,
    0xff081502,
    0xff091601,
    0xff051500,
    0xff041300,
    0xff061101,
    0xff041000,
    0xff031000,
    0xff031000,
    0xff030f01,
    0xff020e00,
    0xff010d01,
    0xff010d01,
    0xff000c00,
    0xff010d01,
    0xff010c07,
    0xff000e0d,
    0xff000e0e,
    0xff000e0d,
    0xff010e0d,
    0xff000f09,
    0xff020f04,
    0xff030f00,
    0xff030f01,
    0xff051000,
    0xff051000,
    0xff081000,
    0xff071100,
    0xff081201,
    0xff051100,
    0xff0a1001,
    0xff091101,
    0xff091301,
    0xff091400,
    0xff0b1401,
    0xff081600,
    0xff081700,
    0xff0b1701,
    0xff101800,
    0xff151800,
    0xff131c01,
    0xff141d00,
    0xff151d00,
    0xff151d00,
    0xff151e00,
    0xff151e00,
    0xff181e01,
    0xff171f01,
    0xff181f00,
    0xff181f00,
    0xff161f00,
    0xff171c00,
    0xff141a00,
    0xff151901,
    0xff111800,
    0xff111600,
    0xff111500,
    0xff0c1301,
    0xff091101,
    0xff0a1000,
    0xff050c00,
    0xff0e1200,
    0xff4c4101,
    0xff5b5400,
    0xff625900,
    0xff665e00,
    0xff666000,
    0xff665d01,
    0xff221e01,
    0xff000500,
    0xff000800,
    0xff020800,
    0xff040801,
    0xff040c00,
    0xff070e01,
    0xff060f00,
    0xff0a0e00,
    0xff0c0f00,
    0xff0c0f00,
    0xff0a1101,
    0xff0a1101,
    0xff0b1101,
    0xff0a1201,
    0xff081201,
    0xff0c1000,
    0xff040d00,
    0xff3f1c00,
    0xff835213,
    0xff000800,
    0xff0b0f00,
    0xff090e01,
    0xff070e00,
    0xff070e00,
    0xff060d00,
    0xff050e00,
    0xff040e00,
    0xff070a01,
    0xff070901,
    0xff060903,
    0xff030902,
    0xff020701,
    0xff000600,
    0xff000400,
    0xff020201,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff0a0501,
    0xff110700,
    0xff160900,
    0xff180a01,
    0xff1b0b01,
    0xff1a0b00,
    0xff1d0d00,
    0xff1f0d00,
    0xff1c0b00,
    0xff1e0c01,
    0xff190b01,
    0xff170900,
    0xff160800,
    0xff100900,
    0xff070500,
    0xff010001,
    0xff000001,
    0xff010100,
    0xff080801,
    0xff0e0900,
    0xff110a00,
    0xff110c00,
    0xff140b01,
    0xff180b02,
    0xff170a01,
    0xff170a01,
    0xff170a01,
    0xff140a01,
    0xff130800,
    0xff120700,
    0xff100500,
    0xff0d0700,
    0xff080200,
    0xff010001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff020001,
    0xff010000,
    0xff020001,
    0xff030200,
    0xff060300,
    0xff070400,
    0xff050400,
    0xff070500,
    0xff070500,
    0xff040700,
    0xff060701,
    0xff050600,
    0xff050700,
    0xff090a00,
    0xff0e0c00,
    0xff0f0c00,
    0xff100d00,
    0xff150c00,
    0xff150c02,
    0xff170b00,
    0xff140a00,
    0xff150b02,
    0xff150b01,
    0xff140b00,
    0xff130b00,
    0xff120900,
    0xff100700,
    0xff100700,
    0xff080800,
    0xff040400,
    0xff000200,
    0xff010300,
    0xff000200,
    0xff020401,
    0xff010300,
    0xff010300,
    0xff030401,
    0xff030500,
    0xff020800,
    0xff020700,
    0xff020800,
    0xff070902,
    0xff060902,
    0xff050800,
    0xff060800,
    0xff060901,
    0xff060901,
    0xff060a00,
    0xff070a01,
    0xff060900,
    0xff050800,
    0xff030600,
    0xff020400,
    0xff020400,
    0xff020100,
    0xff020300,
    0xff030300,
    0xff040500,
    0xff050600,
    0xff070800,
    0xff090900,
    0xff090a00,
    0xff080a00,
    0xff0a0a00,
    0xff080801,
    0xff060800,
    0xff040700,
    0xff030300,
    0xff020100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff000101,
    0xff010301,
    0xff000600,
    0xff010700,
    0xff000b01,
    0xff030d00,
    0xff031000,
    0xff091300,
    0xff0c1606,
    0xff111c08,
    0xff15210a,
    0xff17260e,
    0xff192810,
    0xff1c2c13,
    0xff242f16,
    0xff293519,
    0xff2d391e,
    0xff323c21,
    0xff313c20,
    0xff323c21,
    0xff323b20,
    0xff32361d,
    0xff2e351b,
    0xff2f3315,
    0xff2e3412,
    0xff2d320f,
    0xff2b310b,
    0xff292d08,
    0xff272b02,
    0xff232601,
    0xff1d2000,
    0xff181901,
    0xff151601,
    0xff161500,
    0xff171700,
    0xff181801,
    0xff191a00,
    0xff1d1b01,
    0xff1c1c00,
    0xff1d1d01,
    0xff1d1d01,
    0xff1c1d00,
    0xff181b00,
    0xff171b01,
    0xff171b00,
    0xff141b00,
    0xff131b00,
    0xff161c01,
    0xff131d01,
    0xff191f01,
    0xff192200,
    0xff192307,
    0xff1c250a,
    0xff1f280c,
    0xff21280d,
    0xff222a11,
    0xff252810,
    0xff242913,
    0xff030e00,
    0xff030d00,
    0xff020d00,
    0xff020e00,
    0xff020e00,
    0xff031000,
    0xff041100,
    0xff031100,
    0xff041100,
    0xff041100,
    0xff051001,
    0xff031100,
    0xff041200,
    0xff061401,
    0xff081500,
    0xff091700,
    0xff091700,
    0xff081700,
    0xff071600,
    0xff061300,
    0xff061201,
    0xff041100,
    0xff051201,
    0xff041100,
    0xff031100,
    0xff030f01,
    0xff030f00,
    0xff020f00,
    0xff000d01,
    0xff000e06,
    0xff000e0e,
    0xff000f14,
    0xff000f15,
    0xff011016,
    0xff011013,
    0xff031010,
    0xff03100e,
    0xff051008,
    0xff041103,
    0xff041100,
    0xff051100,
    0xff081100,
    0xff071101,
    0xff071201,
    0xff071300,
    0xff0a1300,
    0xff091200,
    0xff0a1300,
    0xff0a1300,
    0xff0b1401,
    0xff0b1300,
    0xff0a1500,
    0xff0c1701,
    0xff0c1900,
    0xff101a00,
    0xff131c01,
    0xff141c01,
    0xff141c01,
    0xff121d00,
    0xff141d01,
    0xff141d01,
    0xff131b00,
    0xff141d00,
    0xff161d01,
    0xff171d00,
    0xff151d00,
    0xff161a00,
    0xff131801,
    0xff111600,
    0xff101801,
    0xff111600,
    0xff0e1400,
    0xff0b1201,
    0xff0a1101,
    0xff080f00,
    0xff090c00,
    0xff101300,
    0xff4c4301,
    0xff5a5200,
    0xff5f5701,
    0xff676000,
    0xff676200,
    0xff635d00,
    0xff1b1b01,
    0xff000600,
    0xff000700,
    0xff010900,
    0xff030a02,
    0xff040d00,
    0xff020e00,
    0xff080e00,
    0xff0a0d00,
    0xff0a0e00,
    0xff0a1001,
    0xff0b1000,
    0xff091100,
    0xff0b0f00,
    0xff091100,
    0xff091000,
    0xff091200,
    0xff051001,
    0xff331901,
    0xff5e2f07,
    0xff000c00,
    0xff090f00,
    0xff0a0e00,
    0xff091000,
    0xff080e00,
    0xff070d00,
    0xff0a0e00,
    0xff060e01,
    0xff060c02,
    0xff040b01,
    0xff040a00,
    0xff030900,
    0xff020700,
    0xff030701,
    0xff000700,
    0xff000500,
    0xff000200,
    0xff000001,
    0xff000101,
    0xff010001,
    0xff0b0500,
    0xff110601,
    0xff160900,
    0xff170a01,
    0xff1b0a00,
    0xff1c0a01,
    0xff1c0c00,
    0xff1e0d01,
    0xff1e0d00,
    0xff1c0b01,
    0xff1b0b00,
    0xff190b01,
    0xff150a00,
    0xff110800,
    0xff090600,
    0xff020101,
    0xff000001,
    0xff010101,
    0xff060700,
    0xff0e0900,
    0xff110800,
    0xff110c00,
    0xff160b01,
    0xff140b00,
    0xff150a01,
    0xff160900,
    0xff160900,
    0xff120900,
    0xff140700,
    0xff120700,
    0xff0f0700,
    0xff0d0600,
    0xff090300,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff020001,
    0xff020001,
    0xff020100,
    0xff060201,
    0xff040400,
    0xff050501,
    0xff060401,
    0xff050400,
    0xff050500,
    0xff040600,
    0xff040500,
    0xff050601,
    0xff080900,
    0xff0f0a00,
    0xff110a00,
    0xff110b00,
    0xff120d01,
    0xff120b00,
    0xff140a00,
    0xff140a00,
    0xff140b00,
    0xff130a00,
    0xff120a00,
    0xff110800,
    0xff120900,
    0xff0f0600,
    0xff0f0700,
    0xff090700,
    0xff020400,
    0xff000100,
    0xff010300,
    0xff000200,
    0xff010300,
    0xff020401,
    0xff000500,
    0xff010600,
    0xff030700,
    0xff050801,
    0xff030801,
    0xff030901,
    0xff040801,
    0xff050a01,
    0xff040a00,
    0xff040900,
    0xff050801,
    0xff050801,
    0xff060902,
    0xff070a01,
    0xff060900,
    0xff050801,
    0xff040700,
    0xff040601,
    0xff010300,
    0xff030400,
    0xff010300,
    0xff020300,
    0xff030700,
    0xff070602,
    0xff080900,
    0xff080b00,
    0xff0a0b00,
    0xff0b0b00,
    0xff0a0a01,
    0xff070900,
    0xff070800,
    0xff050701,
    0xff020300,
    0xff010200,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000100,
    0xff010300,
    0xff010300,
    0xff010600,
    0xff010600,
    0xff030900,
    0xff030f01,
    0xff051100,
    0xff071300,
    0xff0b1505,
    0xff111b06,
    0xff151f0b,
    0xff16230c,
    0xff19270f,
    0xff1c2b12,
    0xff212f15,
    0xff273318,
    0xff2d371c,
    0xff303a21,
    0xff2f3c22,
    0xff323922,
    0xff30371f,
    0xff32361c,
    0xff2f331a,
    0xff2d3115,
    0xff2b3012,
    0xff292e0d,
    0xff262d09,
    0xff242804,
    0xff212700,
    0xff1d2400,
    0xff191e00,
    0xff151901,
    0xff141600,
    0xff141600,
    0xff151600,
    0xff151601,
    0xff171a00,
    0xff191b00,
    0xff1d1d01,
    0xff1d1c01,
    0xff1b1c00,
    0xff1a1c00,
    0xff181d00,
    0xff191d00,
    0xff191d00,
    0xff171e00,
    0xff161d00,
    0xff171d00,
    0xff191f00,
    0xff1a2200,
    0xff192404,
    0xff1c260a,
    0xff1e270c,
    0xff1f260f,
    0xff23290f,
    0xff202c11,
    0xff212a11,
    0xff232a13,
    0xff030c00,
    0xff020d00,
    0xff020e00,
    0xff020e00,
    0xff020e01,
    0xff031000,
    0xff031100,
    0xff041000,
    0xff051201,
    0xff051201,
    0xff041101,
    0xff061201,
    0xff051201,
    0xff071401,
    0xff081500,
    0xff081700,
    0xff081600,
    0xff091700,
    0xff081500,
    0xff051302,
    0xff051200,
    0xff031100,
    0xff031101,
    0xff041100,
    0xff041000,
    0xff021001,
    0xff021001,
    0xff000e00,
    0xff020e04,
    0xff000f0b,
    0xff000f13,
    0xff001018,
    0xff00101a,
    0xff00101b,
    0xff03111a,
    0xff041216,
    0xff061314,
    0xff06120e,
    0xff061208,
    0xff051202,
    0xff051200,
    0xff0a1202,
    0xff081201,
    0xff081402,
    0xff091501,
    0xff081400,
    0xff0a1302,
    0xff0b1301,
    0xff091300,
    0xff071400,
    0xff0a1502,
    0xff0b1601,
    0xff0a1600,
    0xff0c1900,
    0xff111a01,
    0xff121c00,
    0xff121b00,
    0xff131b01,
    0xff121a00,
    0xff101901,
    0xff111600,
    0xff0f1900,
    0xff111901,
    0xff131801,
    0xff151a02,
    0xff131901,
    0xff131801,
    0xff131701,
    0xff0d1700,
    0xff0e1600,
    0xff0a1300,
    0xff0b1200,
    0xff091001,
    0xff091000,
    0xff080e01,
    0xff090c00,
    0xff0f1201,
    0xff4b4000,
    0xff5c5301,
    0xff615a00,
    0xff666100,
    0xff686300,
    0xff605b01,
    0xff161801,
    0xff000600,
    0xff010800,
    0xff010900,
    0xff010a01,
    0xff040d00,
    0xff050d01,
    0xff050f00,
    0xff061000,
    0xff050f00,
    0xff071200,
    0xff0b1001,
    0xff091101,
    0xff0a1101,
    0xff0a1101,
    0xff0a1101,
    0xff081201,
    0xff060f00,
    0xff2b1b04,
    0xff311d03,
    0xff010d00,
    0xff091000,
    0xff0c0f00,
    0xff090f00,
    0xff0b0f00,
    0xff091101,
    0xff050e00,
    0xff070c00,
    0xff050b02,
    0xff060c02,
    0xff050b00,
    0xff040b00,
    0xff030802,
    0xff030700,
    0xff020701,
    0xff010700,
    0xff010200,
    0xff010101,
    0xff000000,
    0xff020001,
    0xff080400,
    0xff0f0701,
    0xff140900,
    0xff170900,
    0xff1a0a00,
    0xff1c0b01,
    0xff1d0d00,
    0xff1c0d00,
    0xff1e0c00,
    0xff1b0c01,
    0xff1c0b00,
    0xff190900,
    0xff150a01,
    0xff120900,
    0xff090600,
    0xff020100,
    0xff000001,
    0xff010100,
    0xff060701,
    0xff0d0900,
    0xff120900,
    0xff110c00,
    0xff160a01,
    0xff130a00,
    0xff170901,
    0xff160900,
    0xff160800,
    0xff130900,
    0xff140800,
    0xff120600,
    0xff0e0800,
    0xff0e0401,
    0xff080200,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff010001,
    0xff020200,
    0xff050000,
    0xff050100,
    0xff040200,
    0xff050400,
    0xff050400,
    0xff030500,
    0xff030400,
    0xff030400,
    0xff030400,
    0xff070800,
    0xff0f0900,
    0xff100a00,
    0xff120b00,
    0xff120b00,
    0xff130b00,
    0xff120b00,
    0xff130a00,
    0xff130900,
    0xff110800,
    0xff110900,
    0xff100700,
    0xff100700,
    0xff100700,
    0xff0d0700,
    0xff080600,
    0xff020200,
    0xff000100,
    0xff000100,
    0xff010300,
    0xff010300,
    0xff010200,
    0xff000500,
    0xff010600,
    0xff030700,
    0xff060801,
    0xff030801,
    0xff020902,
    0xff030901,
    0xff050a00,
    0xff040a00,
    0xff040a00,
    0xff020801,
    0xff030801,
    0xff040801,
    0xff060900,
    0xff050a01,
    0xff070902,
    0xff050801,
    0xff040600,
    0xff040501,
    0xff020400,
    0xff020400,
    0xff020400,
    0xff030700,
    0xff070700,
    0xff070801,
    0xff080b00,
    0xff0a0b00,
    0xff0c0b00,
    0xff0b0b01,
    0xff090c00,
    0xff080a00,
    0xff050701,
    0xff020400,
    0xff000200,
    0xff010102,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff000300,
    0xff010300,
    0xff000600,
    0xff000800,
    0xff040a00,
    0xff030e00,
    0xff041000,
    0xff081302,
    0xff0a1605,
    0xff101907,
    0xff121e0a,
    0xff17230a,
    0xff18260d,
    0xff1c2a11,
    0xff1e2d13,
    0xff273114,
    0xff2c351a,
    0xff2d371e,
    0xff313720,
    0xff31371f,
    0xff2e381e,
    0xff30331a,
    0xff2e3119,
    0xff292d12,
    0xff272b10,
    0xff24290b,
    0xff212505,
    0xff202403,
    0xff1d2300,
    0xff1b2100,
    0xff171a00,
    0xff141701,
    0xff111600,
    0xff151701,
    0xff151600,
    0xff161802,
    0xff171a00,
    0xff191c01,
    0xff191c00,
    0xff191c00,
    0xff1a1d00,
    0xff1c1e01,
    0xff1c1f00,
    0xff192200,
    0xff1a2100,
    0xff182301,
    0xff192000,
    0xff191f00,
    0xff182300,
    0xff1c2606,
    0xff1d2507,
    0xff1f270c,
    0xff20280d,
    0xff1f2811,
    0xff202a0f,
    0xff222a11,
    0xff232911,
    0xff242913,
    0xff030b01,
    0xff010d00,
    0xff040d00,
    0xff020f01,
    0xff040e01,
    0xff020f00,
    0xff041100,
    0xff051101,
    0xff051201,
    0xff051200,
    0xff051200,
    0xff051300,
    0xff061300,
    0xff071500,
    0xff081600,
    0xff091700,
    0xff091700,
    0xff0a1801,
    0xff081501,
    0xff061600,
    0xff051401,
    0xff041100,
    0xff041100,
    0xff031000,
    0xff031000,
    0xff031100,
    0xff020f00,
    0xff001000,
    0xff000f08,
    0xff00100f,
    0xff001018,
    0xff00111f,
    0xff001120,
    0xff021223,
    0xff041522,
    0xff08151f,
    0xff07151b,
    0xff061415,
    0xff081410,
    0xff051307,
    0xff071302,
    0xff091400,
    0xff0a1600,
    0xff0a1600,
    0xff0d1500,
    0xff0a1700,
    0xff0d1600,
    0xff0b1601,
    0xff091500,
    0xff091600,
    0xff091400,
    0xff091600,
    0xff0d1801,
    0xff0d1900,
    0xff111a01,
    0xff111c01,
    0xff101c00,
    0xff141901,
    0xff131701,
    0xff0a1701,
    0xff0c1600,
    0xff0e1700,
    0xff0d1600,
    0xff0f1700,
    0xff121600,
    0xff0f1700,
    0xff0e1600,
    0xff0e1400,
    0xff0b1401,
    0xff091301,
    0xff081200,
    0xff071000,
    0xff060f00,
    0xff080f01,
    0xff080e00,
    0xff060c00,
    0xff0f1301,
    0xff4a3f01,
    0xff5b5300,
    0xff635c00,
    0xff656200,
    0xff686400,
    0xff605901,
    0xff141500,
    0xff000700,
    0xff020801,
    0xff030a00,
    0xff040b00,
    0xff020d01,
    0xff060d00,
    0xff040f00,
    0xff080e00,
    0xff071001,
    0xff090f01,
    0xff0a1000,
    0xff0b0f00,
    0xff0a1000,
    0xff0a0f00,
    0xff0c0f01,
    0xff091000,
    0xff071100,
    0xff0b0f02,
    0xff060e00,
    0xff090f00,
    0xff0a1100,
    0xff0a1202,
    0xff0d1402,
    0xff121707,
    0xff050e00,
    0xff060e01,
    0xff060d00,
    0xff070b02,
    0xff050b01,
    0xff040a01,
    0xff060b01,
    0xff030a00,
    0xff020901,
    0xff040701,
    0xff030801,
    0xff000600,
    0xff000300,
    0xff000001,
    0xff020001,
    0xff060400,
    0xff0f0700,
    0xff120600,
    0xff170901,
    0xff180b00,
    0xff1a0c01,
    0xff1d0d00,
    0xff1c0d00,
    0xff1e0d00,
    0xff1b0c00,
    0xff1c0a00,
    0xff1a0b00,
    0xff160901,
    0xff120900,
    0xff090701,
    0xff010301,
    0xff000001,
    0xff010100,
    0xff060701,
    0xff0e0900,
    0xff110a00,
    0xff110c00,
    0xff130c01,
    0xff150a00,
    0xff170a01,
    0xff150800,
    0xff160900,
    0xff140900,
    0xff140701,
    0xff100600,
    0xff0e0600,
    0xff0d0300,
    0xff070100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff020200,
    0xff020100,
    0xff020100,
    0xff030200,
    0xff020100,
    0xff040200,
    0xff030200,
    0xff020201,
    0xff030302,
    0xff060600,
    0xff0b0900,
    0xff100800,
    0xff0f0801,
    0xff100801,
    0xff120900,
    0xff120900,
    0xff120800,
    0xff120800,
    0xff130700,
    0xff120700,
    0xff100700,
    0xff0f0601,
    0xff0e0501,
    0xff0c0600,
    0xff070501,
    0xff030100,
    0xff010001,
    0xff010201,
    0xff000300,
    0xff000200,
    0xff020401,
    0xff010501,
    0xff010700,
    0xff040801,
    0xff020801,
    0xff040a00,
    0xff040a00,
    0xff050b01,
    0xff050900,
    0xff040a00,
    0xff020701,
    0xff030801,
    0xff020700,
    0xff040801,
    0xff030902,
    0xff060a00,
    0xff060800,
    0xff030700,
    0xff020800,
    0xff010601,
    0xff030600,
    0xff040500,
    0xff020501,
    0xff060601,
    0xff070801,
    0xff080b00,
    0xff0b0b00,
    0xff0e0c00,
    0xff0f0c01,
    0xff0a0a01,
    0xff080b00,
    0xff080800,
    0xff060801,
    0xff040601,
    0xff020200,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff000200,
    0xff020501,
    0xff010600,
    0xff000800,
    0xff020900,
    0xff030d00,
    0xff041001,
    0xff071201,
    0xff091503,
    0xff0d1707,
    0xff101c09,
    0xff14200c,
    0xff16240d,
    0xff19270d,
    0xff1c2b10,
    0xff212d14,
    0xff253217,
    0xff2b3519,
    0xff2d361b,
    0xff2d381c,
    0xff2e361b,
    0xff2e3318,
    0xff2a3017,
    0xff292c11,
    0xff23290d,
    0xff202407,
    0xff1c2002,
    0xff181c00,
    0xff181c01,
    0xff161a01,
    0xff141700,
    0xff141501,
    0xff131601,
    0xff151600,
    0xff161701,
    0xff151901,
    0xff181d00,
    0xff1a1d00,
    0xff1b1e01,
    0xff1a1d00,
    0xff1b1e00,
    0xff1c2001,
    0xff1d2401,
    0xff192503,
    0xff192402,
    0xff172501,
    0xff182301,
    0xff182401,
    0xff1b2603,
    0xff1c2607,
    0xff202708,
    0xff1f280b,
    0xff23290f,
    0xff252910,
    0xff252b10,
    0xff232a10,
    0xff242913,
    0xff272a13,
    0xff030c01,
    0xff010e00,
    0xff020e00,
    0xff030d00,
    0xff040e01,
    0xff031000,
    0xff051201,
    0xff051201,
    0xff051201,
    0xff051200,
    0xff061100,
    0xff051300,
    0xff061402,
    0xff071400,
    0xff081600,
    0xff081600,
    0xff0a1801,
    0xff0a1800,
    0xff081601,
    0xff071500,
    0xff041401,
    0xff061301,
    0xff041100,
    0xff051200,
    0xff031000,
    0xff031100,
    0xff021000,
    0xff011003,
    0xff01100b,
    0xff001016,
    0xff00121c,
    0xff011226,
    0xff021328,
    0xff03152a,
    0xff081529,
    0xff081725,
    0xff081721,
    0xff09171e,
    0xff081416,
    0xff08150d,
    0xff0b1705,
    0xff111902,
    0xff111901,
    0xff121a01,
    0xff131801,
    0xff111901,
    0xff0f1800,
    0xff0e1900,
    0xff0d1700,
    0xff0d1700,
    0xff0c1700,
    0xff0c1a00,
    0xff111900,
    0xff121800,
    0xff0f1b01,
    0xff0f1900,
    0xff0e1900,
    0xff111700,
    0xff111600,
    0xff0d1700,
    0xff0d1700,
    0xff0c1500,
    0xff091500,
    0xff0c1400,
    0xff0e1400,
    0xff0c1400,
    0xff0d1300,
    0xff0b1101,
    0xff0a1001,
    0xff081100,
    0xff071000,
    0xff071000,
    0xff080f00,
    0xff090d00,
    0xff080e00,
    0xff060c00,
    0xff111401,
    0xff4a3f01,
    0xff5c5400,
    0xff625c00,
    0xff656100,
    0xff666200,
    0xff605901,
    0xff121401,
    0xff000800,
    0xff020901,
    0xff010a00,
    0xff020b00,
    0xff030b00,
    0xff050d00,
    0xff060e00,
    0xff070f00,
    0xff080e00,
    0xff051000,
    0xff071100,
    0xff0c0f01,
    0xff091000,
    0xff0b1000,
    0xff0b1000,
    0xff0a1001,
    0xff0a1000,
    0xff0a0d00,
    0xff071000,
    0xff0b1101,
    0xff0e1501,
    0xff0b1203,
    0xff091100,
    0xff050f00,
    0xff060f01,
    0xff050d01,
    0xff060c00,
    0xff060d02,
    0xff050a01,
    0xff040a00,
    0xff020b00,
    0xff010b00,
    0xff030901,
    0xff040700,
    0xff030800,
    0xff010702,
    0xff020200,
    0xff010101,
    0xff010100,
    0xff070500,
    0xff0e0600,
    0xff130800,
    0xff160900,
    0xff190900,
    0xff1b0b01,
    0xff1d0d00,
    0xff1d0c00,
    0xff1d0d00,
    0xff1a0b00,
    0xff1c0b01,
    0xff1a0a00,
    0xff170900,
    0xff120700,
    0xff0a0700,
    0xff010201,
    0xff000001,
    0xff010100,
    0xff050700,
    0xff0e0800,
    0xff110a00,
    0xff110b00,
    0xff130b00,
    0xff160901,
    0xff170a01,
    0xff160900,
    0xff160900,
    0xff120800,
    0xff120700,
    0xff0f0501,
    0xff0e0400,
    0xff0d0200,
    0xff060100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff020001,
    0xff010000,
    0xff010000,
    0xff030200,
    0xff030100,
    0xff030200,
    0xff020100,
    0xff020100,
    0xff010101,
    0xff030200,
    0xff070600,
    0xff0a0700,
    0xff0e0700,
    0xff100700,
    0xff100600,
    0xff120900,
    0xff120900,
    0xff110900,
    0xff110700,
    0xff110600,
    0xff100601,
    0xff0f0600,
    0xff0f0500,
    0xff0f0501,
    0xff0a0400,
    0xff060300,
    0xff020000,
    0xff000001,
    0xff000101,
    0xff010300,
    0xff000200,
    0xff020401,
    0xff010500,
    0xff010700,
    0xff040801,
    0xff020701,
    0xff030a00,
    0xff050900,
    0xff040b00,
    0xff050b01,
    0xff030900,
    0xff010a02,
    0xff030801,
    0xff020700,
    0xff030700,
    0xff020700,
    0xff030900,
    0xff060900,
    0xff060901,
    0xff010800,
    0xff010600,
    0xff030600,
    0xff040601,
    0xff030700,
    0xff060701,
    0xff080900,
    0xff080a00,
    0xff0c0c01,
    0xff0d0d01,
    0xff0b0b00,
    0xff0b0b01,
    0xff090b00,
    0xff070800,
    0xff060700,
    0xff050600,
    0xff020200,
    0xff000001,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff010100,
    0xff000200,
    0xff000300,
    0xff010600,
    0xff010700,
    0xff030700,
    0xff040b00,
    0xff020e00,
    0xff071100,
    0xff091302,
    0xff091705,
    0xff121808,
    0xff101d0a,
    0xff112009,
    0xff15240c,
    0xff19280e,
    0xff1c2a11,
    0xff232f14,
    0xff273015,
    0xff2a3419,
    0xff2c341a,
    0xff2e3219,
    0xff293318,
    0xff272d12,
    0xff25270d,
    0xff1f240a,
    0xff1b1d05,
    0xff171b01,
    0xff141801,
    0xff131702,
    0xff111500,
    0xff111400,
    0xff111300,
    0xff121302,
    0xff121500,
    0xff141500,
    0xff171a01,
    0xff171b00,
    0xff171c00,
    0xff1b1d00,
    0xff1a1d01,
    0xff1b1f01,
    0xff1d2201,
    0xff212604,
    0xff1c2604,
    0xff1b2605,
    0xff182602,
    0xff1a2503,
    0xff1b2604,
    0xff1a2704,
    0xff1e2808,
    0xff1e2808,
    0xff202a0a,
    0xff212b0e,
    0xff232c0f,
    0xff252910,
    0xff252a11,
    0xff252b13,
    0xff282b15,
    0xff040d00,
    0xff040f00,
    0xff030e00,
    0xff040f00,
    0xff030e00,
    0xff031000,
    0xff051000,
    0xff051100,
    0xff051301,
    0xff051301,
    0xff061301,
    0xff061300,
    0xff051501,
    0xff071600,
    0xff091700,
    0xff0a1700,
    0xff0a1801,
    0xff0a1801,
    0xff081700,
    0xff081401,
    0xff051401,
    0xff061401,
    0xff041200,
    0xff051100,
    0xff051100,
    0xff031100,
    0xff031100,
    0xff021104,
    0xff00110f,
    0xff001218,
    0xff011324,
    0xff02132f,
    0xff031630,
    0xff061832,
    0xff0a182e,
    0xff09192b,
    0xff0b1928,
    0xff0b1922,
    0xff0a171c,
    0xff0d1915,
    0xff141b0c,
    0xff141f0a,
    0xff161f04,
    0xff151e00,
    0xff141d00,
    0xff151d00,
    0xff131d01,
    0xff131d01,
    0xff121c00,
    0xff111f00,
    0xff141f00,
    0xff141f01,
    0xff111e00,
    0xff101c01,
    0xff111a01,
    0xff0e1800,
    0xff0f1900,
    0xff0d1700,
    0xff0e1900,
    0xff111a01,
    0xff0e1801,
    0xff0a1600,
    0xff081501,
    0xff0b1300,
    0xff0b1200,
    0xff0a1101,
    0xff0c1000,
    0xff090f00,
    0xff090f01,
    0xff0a0e00,
    0xff070f00,
    0xff070e00,
    0xff070f00,
    0xff070e00,
    0xff070e00,
    0xff060d00,
    0xff131700,
    0xff4b4200,
    0xff5a5300,
    0xff5e5a00,
    0xff635e00,
    0xff646000,
    0xff595600,
    0xff0f1301,
    0xff000a01,
    0xff010b00,
    0xff010b00,
    0xff010b00,
    0xff030b00,
    0xff040c02,
    0xff060e01,
    0xff070e00,
    0xff080e00,
    0xff090e01,
    0xff0a0e01,
    0xff0b0f00,
    0xff0b0f00,
    0xff090f00,
    0xff080f00,
    0xff0b0e01,
    0xff0a0d01,
    0xff0a0e00,
    0xff081100,
    0xff0e1103,
    0xff0b1301,
    0xff0a1202,
    0xff081100,
    0xff081000,
    0xff060f01,
    0xff060d01,
    0xff050b00,
    0xff070a00,
    0xff060b01,
    0xff050a01,
    0xff040a00,
    0xff030a00,
    0xff030801,
    0xff020801,
    0xff020700,
    0xff020700,
    0xff000600,
    0xff020200,
    0xff010100,
    0xff070400,
    0xff0e0600,
    0xff110800,
    0xff170900,
    0xff190a01,
    0xff1a0b00,
    0xff1c0c00,
    0xff1d0c00,
    0xff1c0d00,
    0xff1d0c01,
    0xff1c0a00,
    0xff190b00,
    0xff180a01,
    0xff120800,
    0xff0b0700,
    0xff020301,
    0xff000000,
    0xff010101,
    0xff060700,
    0xff0e0800,
    0xff110a00,
    0xff120b01,
    0xff140900,
    0xff170a01,
    0xff160900,
    0xff160901,
    0xff150801,
    0xff140700,
    0xff100700,
    0xff110501,
    0xff0e0400,
    0xff0c0300,
    0xff080000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010000,
    0xff020001,
    0xff020001,
    0xff010001,
    0xff010001,
    0xff030200,
    0xff010001,
    0xff020001,
    0xff020101,
    0xff010102,
    0xff040300,
    0xff0b0601,
    0xff0c0701,
    0xff0f0601,
    0xff0f0600,
    0xff120800,
    0xff110700,
    0xff110900,
    0xff120701,
    0xff110700,
    0xff100600,
    0xff0f0601,
    0xff0d0301,
    0xff0c0301,
    0xff0b0200,
    0xff070200,
    0xff010001,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff000200,
    0xff010300,
    0xff030400,
    0xff040600,
    0xff050701,
    0xff030700,
    0xff030802,
    0xff050a01,
    0xff040a00,
    0xff050a01,
    0xff060802,
    0xff040801,
    0xff030801,
    0xff020700,
    0xff020700,
    0xff020800,
    0xff040801,
    0xff050801,
    0xff040801,
    0xff030801,
    0xff040700,
    0xff040700,
    0xff040801,
    0xff070801,
    0xff080900,
    0xff090b00,
    0xff0a0c01,
    0xff0c0b00,
    0xff0a0c01,
    0xff090b00,
    0xff0a0a00,
    0xff0a0a02,
    0xff090901,
    0xff080700,
    0xff050601,
    0xff020500,
    0xff000101,
    0xff010001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff010200,
    0xff000200,
    0xff010400,
    0xff000501,
    0xff000500,
    0xff010801,
    0xff020b01,
    0xff050d00,
    0xff041000,
    0xff081102,
    0xff071503,
    0xff0c1605,
    0xff0d1907,
    0xff111c09,
    0xff141f07,
    0xff162009,
    0xff19250d,
    0xff1d2a10,
    0xff212d14,
    0xff282f18,
    0xff293117,
    0xff2c3117,
    0xff282f14,
    0xff242b10,
    0xff1d250b,
    0xff191f07,
    0xff161a03,
    0xff141800,
    0xff111300,
    0xff0e1100,
    0xff0e1100,
    0xff0d1100,
    0xff0f1401,
    0xff0f1501,
    0xff121401,
    0xff141600,
    0xff161801,
    0xff171900,
    0xff171b01,
    0xff1a1d00,
    0xff1b1e00,
    0xff1d1f00,
    0xff1d2303,
    0xff1f2304,
    0xff1f2604,
    0xff1c2605,
    0xff1b2705,
    0xff1c2705,
    0xff1c2705,
    0xff1d2705,
    0xff1f2907,
    0xff202b0a,
    0xff222c0d,
    0xff222d0c,
    0xff252b0d,
    0xff252c0f,
    0xff272d10,
    0xff272d14,
    0xff282d17,
    0xff040f00,
    0xff051100,
    0xff041100,
    0xff051100,
    0xff051101,
    0xff041100,
    0xff051000,
    0xff071100,
    0xff051401,
    0xff051401,
    0xff041501,
    0xff061501,
    0xff071501,
    0xff071501,
    0xff081600,
    0xff0a1900,
    0xff081700,
    0xff091700,
    0xff091700,
    0xff091600,
    0xff051401,
    0xff041400,
    0xff041200,
    0xff051200,
    0xff041200,
    0xff051301,
    0xff031200,
    0xff031107,
    0xff011112,
    0xff03121b,
    0xff00172b,
    0xff051534,
    0xff071834,
    0xff0a1a36,
    0xff0d1c34,
    0xff0c1b30,
    0xff0e1b2c,
    0xff0b1a26,
    0xff0f1d21,
    0xff13201d,
    0xff162514,
    0xff182711,
    0xff1b260a,
    0xff1b2503,
    0xff1a2501,
    0xff192401,
    0xff162101,
    0xff162200,
    0xff172400,
    0xff172601,
    0xff182501,
    0xff172602,
    0xff162300,
    0xff151f00,
    0xff121c00,
    0xff111b01,
    0xff0f1a00,
    0xff121b01,
    0xff121d01,
    0xff0f1a00,
    0xff111800,
    0xff0b1600,
    0xff081501,
    0xff081100,
    0xff0b1002,
    0xff070e00,
    0xff090d00,
    0xff080d00,
    0xff080e00,
    0xff0a0d01,
    0xff070d00,
    0xff070e01,
    0xff070e00,
    0xff090f01,
    0xff060f00,
    0xff040c00,
    0xff151801,
    0xff4b4300,
    0xff5a5400,
    0xff5c5800,
    0xff635e01,
    0xff635f00,
    0xff565300,
    0xff0c1201,
    0xff000a00,
    0xff010c00,
    0xff010c00,
    0xff010c01,
    0xff010b00,
    0xff030c01,
    0xff030c00,
    0xff020f00,
    0xff050f00,
    0xff060f00,
    0xff090f01,
    0xff061100,
    0xff080f00,
    0xff080f00,
    0xff080e00,
    0xff070d00,
    0xff070e00,
    0xff070f00,
    0xff081000,
    0xff0b1001,
    0xff091202,
    0xff081200,
    0xff091000,
    0xff080e01,
    0xff070c01,
    0xff060d00,
    0xff060b00,
    0xff060a00,
    0xff060b01,
    0xff040a00,
    0xff030900,
    0xff040a00,
    0xff030801,
    0xff020700,
    0xff020700,
    0xff020700,
    0xff010600,
    0xff020300,
    0xff010100,
    0xff080400,
    0xff0e0600,
    0xff130600,
    0xff160900,
    0xff1b0a01,
    0xff1c0a00,
    0xff1d0c00,
    0xff1d0c00,
    0xff1c0d00,
    0xff1d0d01,
    0xff1c0b01,
    0xff1a0b00,
    0xff160900,
    0xff130800,
    0xff0d0700,
    0xff030301,
    0xff000001,
    0xff010100,
    0xff060601,
    0xff0e0800,
    0xff100800,
    0xff110a00,
    0xff100b00,
    0xff150a01,
    0xff170a01,
    0xff160900,
    0xff160901,
    0xff130800,
    0xff100700,
    0xff100501,
    0xff0e0400,
    0xff0c0200,
    0xff080000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff020001,
    0xff020001,
    0xff020100,
    0xff020001,
    0xff010001,
    0xff010101,
    0xff010001,
    0xff030200,
    0xff0a0601,
    0xff0b0600,
    0xff0f0600,
    0xff0f0700,
    0xff120700,
    0xff130701,
    0xff140600,
    0xff130701,
    0xff100500,
    0xff110601,
    0xff0e0501,
    0xff0c0301,
    0xff0b0200,
    0xff0a0200,
    0xff070100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff010200,
    0xff010300,
    0xff010500,
    0xff040700,
    0xff040801,
    0xff020600,
    0xff050902,
    0xff040a01,
    0xff040a00,
    0xff050a02,
    0xff040801,
    0xff010800,
    0xff030701,
    0xff030801,
    0xff030701,
    0xff010801,
    0xff020800,
    0xff030801,
    0xff020700,
    0xff020700,
    0xff040700,
    0xff050700,
    0xff040902,
    0xff060801,
    0xff080a01,
    0xff0a0b01,
    0xff090a00,
    0xff0a0a00,
    0xff0a0a00,
    0xff090a00,
    0xff090900,
    0xff080800,
    0xff090800,
    0xff070800,
    0xff040700,
    0xff020500,
    0xff010201,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff010300,
    0xff010200,
    0xff000300,
    0xff000401,
    0xff000600,
    0xff000600,
    0xff030900,
    0xff030c01,
    0xff050f00,
    0xff061000,
    0xff061201,
    0xff091403,
    0xff091606,
    0xff0f1805,
    0xff101c06,
    0xff131e06,
    0xff162009,
    0xff19240c,
    0xff1e2a11,
    0xff232b11,
    0xff252f14,
    0xff242d12,
    0xff24290f,
    0xff1d250a,
    0xff191d05,
    0xff151802,
    0xff111400,
    0xff0f1200,
    0xff0d1001,
    0xff0c0e00,
    0xff0a0c00,
    0xff0b0e00,
    0xff0c1001,
    0xff0d1200,
    0xff0f1301,
    0xff121400,
    0xff141601,
    0xff161801,
    0xff181c02,
    0xff1a1d00,
    0xff191e00,
    0xff1b2000,
    0xff1c2202,
    0xff1e2404,
    0xff1d2706,
    0xff1f2706,
    0xff1b2705,
    0xff1b2604,
    0xff1c2704,
    0xff1c2806,
    0xff1e2a08,
    0xff232c0a,
    0xff242e0d,
    0xff272c0b,
    0xff242c0b,
    0xff262e0f,
    0xff282f10,
    0xff2a2f15,
    0xff2a2f16,
    0xff051100,
    0xff071301,
    0xff061400,
    0xff081501,
    0xff071501,
    0xff071400,
    0xff051400,
    0xff061301,
    0xff061301,
    0xff051500,
    0xff071501,
    0xff051600,
    0xff081501,
    0xff081502,
    0xff081700,
    0xff081900,
    0xff0a1801,
    0xff0a1801,
    0xff0a1801,
    0xff091700,
    0xff061501,
    0xff051300,
    0xff061301,
    0xff051200,
    0xff041300,
    0xff031300,
    0xff031100,
    0xff031209,
    0xff011215,
    0xff041521,
    0xff05162f,
    0xff091937,
    0xff0c1c3b,
    0xff0f1e3c,
    0xff0e1d3b,
    0xff0f1f37,
    0xff102032,
    0xff0e202c,
    0xff152228,
    0xff172626,
    0xff1c2b1d,
    0xff202b18,
    0xff1f2d0d,
    0xff202e08,
    0xff202c05,
    0xff1d2902,
    0xff1b2903,
    0xff192a02,
    0xff1a2d02,
    0xff1f2c04,
    0xff1d2e05,
    0xff1d2b05,
    0xff1a2801,
    0xff172500,
    0xff172200,
    0xff142000,
    0xff142200,
    0xff172301,
    0xff151f02,
    0xff121e02,
    0xff121800,
    0xff0e1700,
    0xff0a1301,
    0xff091200,
    0xff090d00,
    0xff060d00,
    0xff090d00,
    0xff090e00,
    0xff070d00,
    0xff080b00,
    0xff060d01,
    0xff070d02,
    0xff080e01,
    0xff080d00,
    0xff080f01,
    0xff050d01,
    0xff191a00,
    0xff4b4301,
    0xff5b5400,
    0xff5c5700,
    0xff635e00,
    0xff626001,
    0xff585100,
    0xff0c1201,
    0xff020d00,
    0xff040e00,
    0xff020c02,
    0xff020c01,
    0xff010b00,
    0xff010b00,
    0xff010b00,
    0xff040d01,
    0xff050d00,
    0xff060d00,
    0xff051000,
    0xff080f01,
    0xff090e00,
    0xff090e01,
    0xff090e00,
    0xff080d00,
    0xff090e00,
    0xff070d00,
    0xff080f00,
    0xff0a1101,
    0xff0a1101,
    0xff091100,
    0xff081001,
    0xff0b0e00,
    0xff070d00,
    0xff050d00,
    0xff070b00,
    0xff050d02,
    0xff040b01,
    0xff040a01,
    0xff050a00,
    0xff020801,
    0xff030801,
    0xff020801,
    0xff020801,
    0xff010600,
    0xff010600,
    0xff020400,
    0xff010300,
    0xff070400,
    0xff0d0600,
    0xff100700,
    0xff160900,
    0xff190901,
    0xff1a0900,
    0xff1d0a01,
    0xff1c0d00,
    0xff1c0c00,
    0xff1d0b01,
    0xff1c0b01,
    0xff190b00,
    0xff160900,
    0xff140900,
    0xff0d0700,
    0xff030200,
    0xff000001,
    0xff010100,
    0xff070600,
    0xff0f0800,
    0xff110700,
    0xff110b01,
    0xff130901,
    0xff120b00,
    0xff160900,
    0xff160900,
    0xff140900,
    0xff120800,
    0xff110600,
    0xff100601,
    0xff0c0501,
    0xff080400,
    0xff030100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010001,
    0xff020000,
    0xff010000,
    0xff000000,
    0xff000000,
    0xff050200,
    0xff090501,
    0xff0b0601,
    0xff0e0500,
    0xff0f0501,
    0xff110700,
    0xff110600,
    0xff110600,
    0xff100500,
    0xff110600,
    0xff0f0401,
    0xff0f0501,
    0xff0c0200,
    0xff0b0200,
    0xff0a0100,
    0xff060000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff020102,
    0xff020400,
    0xff010600,
    0xff010700,
    0xff020800,
    0xff030902,
    0xff050801,
    0xff070a00,
    0xff020a01,
    0xff030701,
    0xff020700,
    0xff030801,
    0xff010600,
    0xff020700,
    0xff030701,
    0xff010900,
    0xff010800,
    0xff010700,
    0xff010600,
    0xff030801,
    0xff020801,
    0xff050801,
    0xff040700,
    0xff070802,
    0xff080901,
    0xff070801,
    0xff090800,
    0xff070900,
    0xff0b0800,
    0xff090800,
    0xff090901,
    0xff070700,
    0xff070700,
    0xff070800,
    0xff050700,
    0xff020500,
    0xff020100,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010001,
    0xff000200,
    0xff000300,
    0xff000200,
    0xff010300,
    0xff000600,
    0xff020700,
    0xff020700,
    0xff020a01,
    0xff050d00,
    0xff040e00,
    0xff061000,
    0xff071302,
    0xff071502,
    0xff0c1704,
    0xff101706,
    0xff101904,
    0xff131d04,
    0xff152006,
    0xff19220b,
    0xff1f260c,
    0xff1c280c,
    0xff1c260b,
    0xff1b2007,
    0xff161c00,
    0xff111600,
    0xff101401,
    0xff0e1000,
    0xff0b0d00,
    0xff090b00,
    0xff080900,
    0xff080900,
    0xff070a01,
    0xff090d00,
    0xff0b0f00,
    0xff0c1100,
    0xff111300,
    0xff131500,
    0xff151701,
    0xff161900,
    0xff1a1d00,
    0xff191e00,
    0xff1a1f00,
    0xff1c2101,
    0xff1d2601,
    0xff1e2802,
    0xff1f2706,
    0xff202806,
    0xff1d2604,
    0xff202806,
    0xff212907,
    0xff1e2907,
    0xff1f2b09,
    0xff202e0a,
    0xff262d0b,
    0xff262d0c,
    0xff262e0e,
    0xff292f10,
    0xff2b3012,
    0xff2d3216,
    0xff091300,
    0xff0a1601,
    0xff0b1800,
    0xff0a1700,
    0xff0a1600,
    0xff0b1700,
    0xff091600,
    0xff091600,
    0xff091600,
    0xff071600,
    0xff071600,
    0xff061500,
    0xff081701,
    0xff091700,
    0xff081701,
    0xff0a1a00,
    0xff0a1a01,
    0xff091800,
    0xff091800,
    0xff091600,
    0xff081600,
    0xff051401,
    0xff051401,
    0xff051300,
    0xff051401,
    0xff031300,
    0xff041200,
    0xff05130a,
    0xff031316,
    0xff061623,
    0xff091932,
    0xff0a1b39,
    0xff0f1e3d,
    0xff13223d,
    0xff13233d,
    0xff10253c,
    0xff142539,
    0xff162734,
    0xff1b292f,
    0xff1d2c2d,
    0xff223023,
    0xff24311c,
    0xff273212,
    0xff27320c,
    0xff253209,
    0xff232f07,
    0xff213005,
    0xff213105,
    0xff213206,
    0xff243205,
    0xff223307,
    0xff203106,
    0xff1d2e02,
    0xff1b2a01,
    0xff192800,
    0xff192902,
    0xff1a2902,
    0xff192805,
    0xff172406,
    0xff122004,
    0xff111a00,
    0xff0f1801,
    0xff0c1600,
    0xff0a1401,
    0xff081100,
    0xff080e00,
    0xff090c00,
    0xff080c00,
    0xff080c01,
    0xff080b00,
    0xff090c01,
    0xff060c00,
    0xff070d00,
    0xff070d00,
    0xff080e00,
    0xff060c00,
    0xff1c1d00,
    0xff4c4501,
    0xff5a5400,
    0xff5d5800,
    0xff656000,
    0xff646100,
    0xff565400,
    0xff0c1200,
    0xff041000,
    0xff041000,
    0xff030e00,
    0xff030e00,
    0xff020e00,
    0xff020d00,
    0xff010d00,
    0xff050c00,
    0xff050f01,
    0xff040e01,
    0xff040e00,
    0xff050f00,
    0xff070f00,
    0xff060e00,
    0xff041000,
    0xff050e00,
    0xff080c00,
    0xff070d00,
    0xff080f01,
    0xff080f00,
    0xff0a1001,
    0xff0b0e00,
    0xff090e00,
    0xff0a0d00,
    0xff060e00,
    0xff050c00,
    0xff080b00,
    0xff050c00,
    0xff050b00,
    0xff040b00,
    0xff030a00,
    0xff030a00,
    0xff030800,
    0xff030700,
    0xff040700,
    0xff020800,
    0xff010700,
    0xff030400,
    0xff020400,
    0xff060500,
    0xff0b0600,
    0xff100600,
    0xff150800,
    0xff190801,
    0xff1a0901,
    0xff1c0a01,
    0xff1d0b00,
    0xff1c0c00,
    0xff1d0c01,
    0xff1c0a01,
    0xff1a0901,
    0xff180901,
    0xff140900,
    0xff0d0700,
    0xff050401,
    0xff000101,
    0xff010101,
    0xff050500,
    0xff0e0800,
    0xff100700,
    0xff110900,
    0xff120901,
    0xff110900,
    0xff140900,
    0xff150900,
    0xff140801,
    0xff130700,
    0xff120700,
    0xff0f0500,
    0xff0e0301,
    0xff0c0200,
    0xff060000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff030100,
    0xff080400,
    0xff0d0501,
    0xff0c0500,
    0xff100701,
    0xff0f0600,
    0xff100600,
    0xff100600,
    0xff100501,
    0xff100500,
    0xff100401,
    0xff0d0500,
    0xff0d0300,
    0xff0b0200,
    0xff090100,
    0xff040000,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000001,
    0xff020300,
    0xff020500,
    0xff020600,
    0xff020700,
    0xff030801,
    0xff040802,
    0xff040801,
    0xff020800,
    0xff030701,
    0xff020700,
    0xff020700,
    0xff010601,
    0xff020801,
    0xff000800,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff020701,
    0xff020700,
    0xff030801,
    0xff050700,
    0xff070701,
    0xff070800,
    0xff070700,
    0xff080800,
    0xff070700,
    0xff0a0700,
    0xff080800,
    0xff090901,
    0xff060700,
    0xff080800,
    0xff070800,
    0xff040500,
    0xff020300,
    0xff010100,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000100,
    0xff010201,
    0xff010101,
    0xff010200,
    0xff000500,
    0xff010600,
    0xff010701,
    0xff020800,
    0xff030b00,
    0xff040c00,
    0xff010d00,
    0xff051000,
    0xff071201,
    0xff091401,
    0xff091402,
    0xff0a1502,
    0xff0d1701,
    0xff101b02,
    0xff141c02,
    0xff141d01,
    0xff131d02,
    0xff121b01,
    0xff121700,
    0xff101401,
    0xff0c1000,
    0xff0a0d00,
    0xff090b00,
    0xff060800,
    0xff060700,
    0xff060700,
    0xff040700,
    0xff060801,
    0xff070a00,
    0xff0a0d00,
    0xff0d0f01,
    0xff0f1200,
    0xff121400,
    0xff151701,
    0xff151701,
    0xff171a00,
    0xff181c00,
    0xff181d00,
    0xff191e00,
    0xff1b2101,
    0xff1f2601,
    0xff202606,
    0xff1f2705,
    0xff202704,
    0xff202704,
    0xff202906,
    0xff222a08,
    0xff202b08,
    0xff242b09,
    0xff242d0a,
    0xff232d0b,
    0xff262c0b,
    0xff282f0f,
    0xff2a3112,
    0xff2d3117,
    0xff0b1300,
    0xff0c1600,
    0xff0c1800,
    0xff0d1901,
    0xff0d1a00,
    0xff0d1900,
    0xff0d1901,
    0xff0c1901,
    0xff0b1900,
    0xff0a1800,
    0xff081700,
    0xff091900,
    0xff0a1900,
    0xff0b1800,
    0xff071900,
    0xff091900,
    0xff0b1b01,
    0xff091a00,
    0xff071800,
    0xff081600,
    0xff091600,
    0xff071600,
    0xff051400,
    0xff061502,
    0xff041402,
    0xff051401,
    0xff051401,
    0xff061309,
    0xff061517,
    0xff0b1724,
    0xff0d1c34,
    0xff0e1c3b,
    0xff132340,
    0xff192841,
    0xff182740,
    0xff182940,
    0xff1c293d,
    0xff1e2c3b,
    0xff1f2e37,
    0xff233133,
    0xff263427,
    0xff293522,
    0xff2b3617,
    0xff2c3711,
    0xff29370b,
    0xff2a360a,
    0xff273507,
    0xff243605,
    0xff253505,
    0xff2a3608,
    0xff273706,
    0xff273606,
    0xff243405,
    0xff223203,
    0xff213204,
    0xff20310b,
    0xff212e08,
    0xff1a2a07,
    0xff192707,
    0xff162202,
    0xff141e01,
    0xff101b00,
    0xff0f1700,
    0xff0d1401,
    0xff091300,
    0xff090e00,
    0xff080c01,
    0xff090b01,
    0xff080b00,
    0xff080b00,
    0xff090b00,
    0xff070c01,
    0xff060c00,
    0xff080e00,
    0xff080e00,
    0xff060e00,
    0xff1e1f00,
    0xff4d4500,
    0xff5b5500,
    0xff5e5900,
    0xff646001,
    0xff666200,
    0xff555401,
    0xff0a1200,
    0xff051301,
    0xff041100,
    0xff031000,
    0xff040f00,
    0xff030e00,
    0xff030e00,
    0xff030e00,
    0xff060c00,
    0xff040e00,
    0xff020e00,
    0xff020e00,
    0xff050d00,
    0xff060e00,
    0xff060d00,
    0xff060c00,
    0xff050e00,
    0xff060b00,
    0xff060c00,
    0xff080d00,
    0xff080e00,
    0xff090d00,
    0xff070f00,
    0xff080f01,
    0xff070d00,
    0xff060c00,
    0xff050d00,
    0xff060d01,
    0xff070c00,
    0xff050b00,
    0xff040d00,
    0xff080b02,
    0xff040b00,
    0xff040802,
    0xff050802,
    0xff050700,
    0xff020700,
    0xff010600,
    0xff020701,
    0xff020600,
    0xff050600,
    0xff0b0800,
    0xff120600,
    0xff130801,
    0xff160800,
    0xff1b0a02,
    0xff1a0b01,
    0xff1e0c00,
    0xff1d0b00,
    0xff1d0b01,
    0xff1c0b01,
    0xff1b0902,
    0xff180800,
    0xff140800,
    0xff0d0700,
    0xff050401,
    0xff000001,
    0xff000101,
    0xff070501,
    0xff0f0800,
    0xff100600,
    0xff110800,
    0xff160800,
    0xff110900,
    0xff140a01,
    0xff130800,
    0xff150701,
    0xff140700,
    0xff110700,
    0xff100601,
    0xff0d0501,
    0xff090100,
    0xff050100,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff030100,
    0xff080400,
    0xff0d0401,
    0xff0c0400,
    0xff0f0600,
    0xff0f0600,
    0xff0f0700,
    0xff0f0400,
    0xff100501,
    0xff0f0400,
    0xff100400,
    0xff0d0500,
    0xff0c0300,
    0xff0b0100,
    0xff090100,
    0xff050100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff020100,
    0xff020301,
    0xff020500,
    0xff020700,
    0xff020700,
    0xff020801,
    0xff020700,
    0xff020700,
    0xff020700,
    0xff010600,
    0xff020700,
    0xff010600,
    0xff010700,
    0xff000700,
    0xff010500,
    0xff010500,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff020800,
    0xff020700,
    0xff040801,
    0xff080802,
    0xff070800,
    0xff080800,
    0xff070700,
    0xff080800,
    0xff080800,
    0xff080901,
    0xff080800,
    0xff060700,
    0xff070800,
    0xff060701,
    0xff040500,
    0xff020101,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010001,
    0xff000000,
    0xff010101,
    0xff000200,
    0xff000400,
    0xff000501,
    0xff010700,
    0xff020700,
    0xff020901,
    0xff030a00,
    0xff020c00,
    0xff020f01,
    0xff060f00,
    0xff051100,
    0xff051100,
    0xff071300,
    0xff081400,
    0xff091301,
    0xff0b1400,
    0xff091402,
    0xff091300,
    0xff081100,
    0xff081000,
    0xff090d00,
    0xff080b00,
    0xff070901,
    0xff050600,
    0xff020300,
    0xff030300,
    0xff050601,
    0xff050700,
    0xff040700,
    0xff050800,
    0xff080b01,
    0xff0c0e00,
    0xff0f1102,
    0xff111301,
    0xff121400,
    0xff141700,
    0xff161802,
    0xff171a00,
    0xff171c00,
    0xff181d00,
    0xff1b2000,
    0xff1c2200,
    0xff1e2500,
    0xff1c2602,
    0xff1e2503,
    0xff1f2703,
    0xff232806,
    0xff232a07,
    0xff222b08,
    0xff202c08,
    0xff242b08,
    0xff212c0a,
    0xff272e0c,
    0xff282e0f,
    0xff2a3012,
    0xff2e3115,
    0xff081401,
    0xff0b1700,
    0xff0d1a01,
    0xff0e1b01,
    0xff0f1c00,
    0xff0f1d00,
    0xff0d1d01,
    0xff0c1c01,
    0xff0b1b00,
    0xff0d1b01,
    0xff0d1b00,
    0xff0b1b00,
    0xff0c1c01,
    0xff0b1b00,
    0xff0b1b00,
    0xff0b1e00,
    0xff0f1c02,
    0xff0b1a00,
    0xff091900,
    0xff091900,
    0xff081600,
    0xff071600,
    0xff081601,
    0xff091501,
    0xff071501,
    0xff041300,
    0xff061300,
    0xff091507,
    0xff081716,
    0xff0f1a24,
    0xff111c33,
    0xff10213b,
    0xff172841,
    0xff1d2c43,
    0xff1f2d47,
    0xff1f3044,
    0xff233141,
    0xff233241,
    0xff23353b,
    0xff273736,
    0xff2b392c,
    0xff2c3925,
    0xff2d3b1b,
    0xff2f3c12,
    0xff2f3c0e,
    0xff2e3c0d,
    0xff2e3a0a,
    0xff2a3a07,
    0xff2d3b06,
    0xff2e3b07,
    0xff2c3d09,
    0xff2d3c07,
    0xff283a06,
    0xff2d390a,
    0xff28390c,
    0xff24350a,
    0xff21310a,
    0xff1d2e0a,
    0xff1b2a07,
    0xff172502,
    0xff151f03,
    0xff131d02,
    0xff0f1800,
    0xff111700,
    0xff0c1600,
    0xff0a1101,
    0xff090d00,
    0xff090d00,
    0xff090b01,
    0xff090b00,
    0xff070d01,
    0xff080c00,
    0xff0b0d00,
    0xff080d00,
    0xff090f01,
    0xff080f01,
    0xff222100,
    0xff514700,
    0xff5a5500,
    0xff5d5a00,
    0xff635f00,
    0xff666000,
    0xff545301,
    0xff091100,
    0xff081400,
    0xff061301,
    0xff041200,
    0xff041100,
    0xff030f00,
    0xff040f00,
    0xff030e00,
    0xff050e01,
    0xff020d00,
    0xff030e00,
    0xff020c01,
    0xff020b00,
    0xff030b00,
    0xff030b00,
    0xff040900,
    0xff030800,
    0xff040a01,
    0xff040c00,
    0xff050d00,
    0xff070c01,
    0xff070b00,
    0xff050d00,
    0xff060b00,
    0xff060d00,
    0xff070c01,
    0xff080b01,
    0xff040c00,
    0xff060e01,
    0xff050c00,
    0xff040b01,
    0xff050a00,
    0xff070b01,
    0xff050b00,
    0xff050a00,
    0xff070901,
    0xff040900,
    0xff050801,
    0xff030700,
    0xff020700,
    0xff050600,
    0xff0c0700,
    0xff100600,
    0xff150600,
    0xff180800,
    0xff1a0902,
    0xff190b00,
    0xff1d0a00,
    0xff1c0c02,
    0xff1c0b01,
    0xff1b0a01,
    0xff180b02,
    0xff190a00,
    0xff130700,
    0xff0e0700,
    0xff040300,
    0xff000001,
    0xff000000,
    0xff060500,
    0xff0e0700,
    0xff100600,
    0xff110800,
    0xff110800,
    0xff130900,
    0xff130800,
    0xff130900,
    0xff130800,
    0xff140600,
    0xff120500,
    0xff100400,
    0xff0c0501,
    0xff090200,
    0xff060000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff030000,
    0xff080300,
    0xff090200,
    0xff0a0400,
    0xff0e0301,
    0xff0e0500,
    0xff0f0400,
    0xff0f0400,
    0xff110301,
    0xff0e0300,
    0xff0f0400,
    0xff0d0300,
    0xff0d0200,
    0xff0a0100,
    0xff070200,
    0xff060100,
    0xff000001,
    0xff000000,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff010200,
    0xff000401,
    0xff000501,
    0xff040601,
    0xff040800,
    0xff030801,
    0xff020700,
    0xff030801,
    0xff020700,
    0xff020701,
    0xff000500,
    0xff010600,
    0xff010600,
    0xff010600,
    0xff000400,
    0xff000700,
    0xff010700,
    0xff020800,
    0xff010801,
    0xff060900,
    0xff060a00,
    0xff080801,
    0xff070901,
    0xff090901,
    0xff090901,
    0xff080800,
    0xff080800,
    0xff070700,
    0xff080800,
    0xff070800,
    0xff060700,
    0xff050600,
    0xff020200,
    0xff020100,
    0xff000001,
    0xff010101,
    0xff000000,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff010101,
    0xff000000,
    0xff010101,
    0xff000000,
    0xff020202,
    0xff000200,
    0xff020401,
    0xff000700,
    0xff020600,
    0xff020700,
    0xff010800,
    0xff020900,
    0xff030a00,
    0xff030d00,
    0xff020e00,
    0xff050d00,
    0xff030d00,
    0xff010d00,
    0xff020b01,
    0xff030901,
    0xff000a00,
    0xff030800,
    0xff030900,
    0xff020901,
    0xff030600,
    0xff040600,
    0xff000300,
    0xff010200,
    0xff000001,
    0xff010102,
    0xff010200,
    0xff020200,
    0xff030401,
    0xff060701,
    0xff070a00,
    0xff0b0d00,
    0xff0d0f00,
    0xff0f1200,
    0xff101301,
    0xff121600,
    0xff161701,
    0xff161a01,
    0xff161a01,
    0xff181c01,
    0xff181d00,
    0xff1a1f00,
    0xff1b1e00,
    0xff1b1f01,
    0xff1b2001,
    0xff1e2501,
    0xff222504,
    0xff232705,
    0xff242a08,
    0xff232907,
    0xff232808,
    0xff232a0a,
    0xff262b0a,
    0xff272d0e,
    0xff292f12,
    0xff2c3112
};

/* ========================================================================== */
/*                       Static Function Definitions                          */
/* ========================================================================== */

/* None */

#ifdef __cplusplus
}
#endif

#endif /* #ifndef DSS_DISPLAY_BUFFER2_H_ */

/* @} */
