/*
 *  Copyright (c) Texas Instruments Incorporated 2018
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 *  \file dss_display_buffer2.h
 *
 *  \brief DSS Display buffer size 480x360 BGRA8888 format
 */

#ifndef DSS_DISPLAY_BUFFER2_H_
#define DSS_DISPLAY_BUFFER2_H_

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                      Static Function Declarations                          */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

const uint32_t gDispArray2[] __attribute__((section(".data_buffer")));
const uint32_t gDispArray2[] __attribute__((aligned (4096)));
const uint32_t gDispArray2[] = {
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB5B4B5,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB4B3B4,
    0xFFB5B4B5,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFA1A0A1,
    0xFF8C8A8C,
    0xFF8A898A,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8B8A8B,
    0xFF8A888A,
    0xFF8E8D8E,
    0xFFA8A7A8,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB5B4B5,
    0xFF666466,
    0xFF151415,
    0xFF131213,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF111011,
    0xFF1F1E20,
    0xFF7F7D7F,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF656365,
    0xFF100F10,
    0xFF100F10,
    0xFF161516,
    0xFF161516,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF161516,
    0xFF141314,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF141314,
    0xFF161516,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF161515,
    0xFF151415,
    0xFF0F0E15,
    0xFF0C0C21,
    0xFF0F0F32,
    0xFF0F103C,
    0xFF0F0F3D,
    0xFF0F0F3D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F103D,
    0xFF0F0F3D,
    0xFF0F0F3D,
    0xFF0E0F39,
    0xFF0E0E2E,
    0xFF111021,
    0xFF14141A,
    0xFF151515,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF161516,
    0xFF151415,
    0xFF0D0C0D,
    0xFF1B1A1B,
    0xFF7F7D7F,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636164,
    0xFF141314,
    0xFF706E70,
    0xFFD3D1D3,
    0xFFD6D5D6,
    0xFFD3D1D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD9D8D9,
    0xFFADACAD,
    0xFF2D2C2E,
    0xFF363436,
    0xFFB6B5B6,
    0xFFD9D8D9,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D1,
    0xFFD9D9D3,
    0xFFB7B7B3,
    0xFF38384D,
    0xFF04044C,
    0xFF0F0E8F,
    0xFF1010B5,
    0xFF0E0EBD,
    0xFF0F0EBA,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0FB8,
    0xFF0F0EBB,
    0xFF0E0DBB,
    0xFF0D0DB1,
    0xFF2625A4,
    0xFF8686CC,
    0xFFCFCFE3,
    0xFFD5D4D1,
    0xFFD3D3CE,
    0xFFD3D2D1,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD3D2D3,
    0xFFD7D6D7,
    0xFFC6C5C6,
    0xFF504E50,
    0xFF191819,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797779,
    0xFFE9E8E9,
    0xFFEEEDEE,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFF2F1F2,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC7C6C7,
    0xFFF2F1F2,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEBE9,
    0xFFF2F2EB,
    0xFFC9C9C5,
    0xFF3B3B55,
    0xFF01015C,
    0xFF0F0FB3,
    0xFF1010E5,
    0xFF0E0EF1,
    0xFF0E0FEF,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEC,
    0xFF0E0FEF,
    0xFF0D0EEB,
    0xFF1011D8,
    0xFF4747D8,
    0xFFB4B4FB,
    0xFFEBEAFC,
    0xFFECECE8,
    0xFFEBEBE6,
    0xFFEBEAE9,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFF0EFF0,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF100FED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF1,
    0xFF0D0EEE,
    0xFF0F10DD,
    0xFF3A3BD3,
    0xFFA6A7F7,
    0xFFE9E9FD,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED4,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFEBEAEA,
    0xFFEBEBE9,
    0xFFEBEBE9,
    0xFFE9E9E7,
    0xFFE9E8E6,
    0xFFE9E9E7,
    0xFFEAE9E8,
    0xFFEAE9E8,
    0xFFEAE9E7,
    0xFFE9E9E6,
    0xFFEAEAE5,
    0xFFEBEAE7,
    0xFFEBEBE9,
    0xFFEBEAEA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEBEB,
    0xFFEBEBEB,
    0xFFEBEBEA,
    0xFFEBEBEB,
    0xFFEBEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAE9,
    0xFFE9E9E5,
    0xFFE9E8DF,
    0xFFE6E4D5,
    0xFFDAD5C2,
    0xFFCCC6B0,
    0xFFBDB7A0,
    0xFFB6B198,
    0xFFBBB99A,
    0xFFBDBE99,
    0xFFC8CCA3,
    0xFFD9DEB6,
    0xFFE2E8C8,
    0xFFE7E9D7,
    0xFFEAE9E2,
    0xFFEAE7E7,
    0xFFE9E8E9,
    0xFFE8E9E8,
    0xFFE7EAE8,
    0xFFE7EBE8,
    0xFFE8EBEA,
    0xFFEAEBEB,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBE8,
    0xFFE8E7DF,
    0xFFDDDBCC,
    0xFFC3BEA7,
    0xFFAAA285,
    0xFF948A68,
    0xFF8E835F,
    0xFF9A906A,
    0xFFA0986E,
    0xFFA29D6E,
    0xFFA09F6C,
    0xFFA0A272,
    0xFFAFB189,
    0xFFC8C8AC,
    0xFFDFDDCC,
    0xFFE8E4DA,
    0xFFE9E6E0,
    0xFFE8E8E4,
    0xFFE6EAE6,
    0xFFE5EAE8,
    0xFFE6EBEA,
    0xFFE7EAEA,
    0xFFEAEBEB,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECE9,
    0xFFDDDCD1,
    0xFFB4B19B,
    0xFF9C9776,
    0xFFA0966E,
    0xFF8D8054,
    0xFF746538,
    0xFF867649,
    0xFF96875A,
    0xFF9E9062,
    0xFFA19667,
    0xFFA2986D,
    0xFFA0956F,
    0xFF9F9471,
    0xFFB0A484,
    0xFFD1C7AB,
    0xFFE6DFCB,
    0xFFE9E8DB,
    0xFFE8EAE6,
    0xFFE4E9E8,
    0xFFE5EAEB,
    0xFFE6EBEA,
    0xFFE8EBEB,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDECED,
    0xFFE7E7E2,
    0xFFC5C2B3,
    0xFFA19D80,
    0xFF9D966C,
    0xFFA69B66,
    0xFFA6975E,
    0xFFA39158,
    0xFFA3905C,
    0xFF9C885A,
    0xFF98855B,
    0xFF988660,
    0xFF9B8966,
    0xFF9F8B6A,
    0xFFA28E6A,
    0xFFA49268,
    0xFFA99B6F,
    0xFFBBAF8D,
    0xFFD8D1BC,
    0xFFE8E5DD,
    0xFFE7E9E8,
    0xFFE4E9E9,
    0xFFE5EAE9,
    0xFFE8ECEA,
    0xFFEBECEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEEEDED,
    0xFFE3E2DB,
    0xFFB9B5A0,
    0xFFA09A73,
    0xFFA39A62,
    0xFFAB9D5C,
    0xFFAC9B56,
    0xFFAE9A59,
    0xFFB09B63,
    0xFFB29E72,
    0xFFB09D7C,
    0xFFAA987E,
    0xFFA4907B,
    0xFF99856C,
    0xFF988462,
    0xFF9B885B,
    0xFF9C8E5A,
    0xFFA09265,
    0xFFB3A887,
    0xFFD4CCBA,
    0xFFE7E4DD,
    0xFFE8EAE6,
    0xFFE6EAE7,
    0xFFE8ECE9,
    0xFFEBECEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFEEEDEE,
    0xFFE3E2D9,
    0xFFBAB49B,
    0xFFA3986B,
    0xFFA89A5A,
    0xFFAE9F53,
    0xFFAD9D4F,
    0xFFAC9C55,
    0xFFB3A36B,
    0xFFBBAE89,
    0xFFBCB09C,
    0xFFB9AFA5,
    0xFFBEB1AB,
    0xFFBAADA1,
    0xFFAFA28A,
    0xFF9D926C,
    0xFF908655,
    0xFF8F8551,
    0xFF958A5C,
    0xFFABA17E,
    0xFFD4CDB5,
    0xFFE9E6D9,
    0xFFEAEAE4,
    0xFFEAEBE9,
    0xFFEBECEB,
    0xFFEBEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBEBEE,
    0xFFEEEDEE,
    0xFFE5E1D9,
    0xFFBDB49A,
    0xFFA79A68,
    0xFFAD9C57,
    0xFFB09F4F,
    0xFFAD9E4C,
    0xFFAC9E55,
    0xFFB5AC76,
    0xFFC0BB9D,
    0xFFBAB8AF,
    0xFFB3B3B7,
    0xFFB3B3B8,
    0xFFB5B4B2,
    0xFFB6B2A7,
    0xFFB3B098,
    0xFFA8A580,
    0xFF9E9766,
    0xFF9A8F58,
    0xFF978A56,
    0xFFACA178,
    0xFFD7D0B7,
    0xFFEBE7DE,
    0xFFEAE9E8,
    0xFFEAEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBEBEE,
    0xFFEDECED,
    0xFFE6E2DA,
    0xFFC2B99E,
    0xFFAB9C6B,
    0xFFAE9D57,
    0xFFB3A150,
    0xFFB0A14F,
    0xFFACA058,
    0xFFB0A976,
    0xFFB2B299,
    0xFFAFB6B2,
    0xFFBAC3CB,
    0xFFC6D0D9,
    0xFFC4CBD0,
    0xFFB7BFBC,
    0xFFB4BAAE,
    0xFFB2B599,
    0xFFACA87A,
    0xFFACA161,
    0xFFAA9A57,
    0xFFA99960,
    0xFFC3B793,
    0xFFE4DDCD,
    0xFFECE9E7,
    0xFFEAE9EA,
    0xFFE9EAEA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFEDECED,
    0xFFE7E3DC,
    0xFFC8BFA8,
    0xFFB1A377,
    0xFFAF9D5E,
    0xFFB2A054,
    0xFFB3A153,
    0xFFB0A25D,
    0xFFADA473,
    0xFFA2A288,
    0xFF989F96,
    0xFFB0BCBE,
    0xFFD5E0E4,
    0xFFDDE8EA,
    0xFFCCD6D6,
    0xFFB4BCB4,
    0xFFAFB49C,
    0xFFB2AE7E,
    0xFFB4A662,
    0xFFB7A457,
    0xFFB29E5B,
    0xFFB1A275,
    0xFFCEC7B1,
    0xFFEAE8E2,
    0xFFEBEAEB,
    0xFFE9EAEA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFEDECEC,
    0xFFEAE8E3,
    0xFFD1CAB8,
    0xFFB3A683,
    0xFFAE9E68,
    0xFFAF9D59,
    0xFFB19E55,
    0xFFB4A15E,
    0xFFB3A46F,
    0xFFA8A07E,
    0xFF9A9887,
    0xFF9FA19B,
    0xFFC2C7C4,
    0xFFE1E6E4,
    0xFFD1D8D3,
    0xFFAAB0A2,
    0xFFA4A587,
    0xFFB2AA76,
    0xFFB8A55F,
    0xFFBCA255,
    0xFFBCA35D,
    0xFFB0A06D,
    0xFFBEB699,
    0xFFE3E1D5,
    0xFFEBEBE8,
    0xFFE9EAEA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFECEBE9,
    0xFFE6E2D7,
    0xFFD0C8AE,
    0xFFB0A377,
    0xFF978548,
    0xFF957F3A,
    0xFFA58E4A,
    0xFFAC965C,
    0xFFAC9A6E,
    0xFFAEA081,
    0xFFAA9F8B,
    0xFFA3998C,
    0xFF9F988D,
    0xFF989686,
    0xFF949379,
    0xFFA5A177,
    0xFFB7A96F,
    0xFFBFA660,
    0xFFC1A358,
    0xFFBDA25E,
    0xFFB2A26A,
    0xFFAEA784,
    0xFFD1D1BF,
    0xFFEAECE6,
    0xFFEAEBEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBEBEA,
    0xFFE7E7DF,
    0xFFDAD7C3,
    0xFFBEB693,
    0xFFAFA16D,
    0xFFAA9657,
    0xFFA98F4C,
    0xFFA68C49,
    0xFF9C8247,
    0xFF9C8253,
    0xFFA58E69,
    0xFFAC977B,
    0xFFAB9A82,
    0xFFA79B7F,
    0xFFA89F79,
    0xFFB1A672,
    0xFFBCA868,
    0xFFC3A75E,
    0xFFC5A559,
    0xFFBFA35C,
    0xFFB4A367,
    0xFFAFA97E,
    0xFFD1D0B8,
    0xFFEBECE3,
    0xFFEBEAE9,
    0xFFEBEAEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEBEBEA,
    0xFFEBEBEA,
    0xFFEAEBEB,
    0xFFEAEBEB,
    0xFFEBEBEB,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEAEBE9,
    0xFFE8EAE2,
    0xFFE5E6D6,
    0xFFCFCDB2,
    0xFFB9B38C,
    0xFFB8AD7A,
    0xFFBCAD6C,
    0xFFBEAB5E,
    0xFFAD9646,
    0xFF927830,
    0xFF8C7036,
    0xFF8D7244,
    0xFF9F885E,
    0xFFAD9A71,
    0xFFB8A579,
    0xFFBBA571,
    0xFFC3AA67,
    0xFFC8AB5B,
    0xFFC6AA52,
    0xFFC0A956,
    0xFFB8A864,
    0xFFB4AA7B,
    0xFFD4CEB6,
    0xFFEDE9E1,
    0xFFEBE9E8,
    0xFFEBEAE9,
    0xFFEBEBE9,
    0xFFECECE9,
    0xFFECECE9,
    0xFFECECE9,
    0xFFEBEBE8,
    0xFFEAEBE9,
    0xFFE9ECE9,
    0xFFE8EBEA,
    0xFFE8EBEA,
    0xFFE9EBEB,
    0xFFEBECEA,
    0xFFECEBE9,
    0xFFECECE9,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAEBE9,
    0xFFE5EBE2,
    0xFFDFE9D8,
    0xFFCEDAC0,
    0xFFB9C4A0,
    0xFFB1B787,
    0xFFB7B674,
    0xFFC1B865,
    0xFFC2B256,
    0xFFA79039,
    0xFF8C7228,
    0xFF8F7534,
    0xFF90793D,
    0xFF826C33,
    0xFF8A723C,
    0xFFA3884E,
    0xFFB89C55,
    0xFFC1A852,
    0xFFC5B153,
    0xFFC1B05A,
    0xFFB7AA67,
    0xFFB4A97F,
    0xFFD3CCB9,
    0xFFEDE9E4,
    0xFFECEAEA,
    0xFFEBEAEA,
    0xFFEBEBE9,
    0xFFECECEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFEBECE9,
    0xFFEAEBE8,
    0xFFE9ECE9,
    0xFFE7EBEA,
    0xFFE8EBEB,
    0xFFEAEBEB,
    0xFFEBEAEA,
    0xFFEBEAE9,
    0xFFEBEAE9,
    0xFFECEBEA,
    0xFFEBEBEA,
    0xFFEBEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9EBEA,
    0xFFE2ECE3,
    0xFFD3E8D4,
    0xFFBEDDBB,
    0xFFB3D5A8,
    0xFFADCB92,
    0xFFAABB77,
    0xFFB6B967,
    0xFFC9C168,
    0xFFCDC068,
    0xFFC5B664,
    0xFFB6A759,
    0xFFA69447,
    0xFFA89347,
    0xFFB49D52,
    0xFFB0974C,
    0xFFA08939,
    0xFF9A8630,
    0xFFA49541,
    0xFFB8AC67,
    0xFFAFA674,
    0xFFB7B295,
    0xFFDDDCD1,
    0xFFEAECEB,
    0xFFE8EBEC,
    0xFFE9EBEB,
    0xFFEAEBEB,
    0xFFEBEBEA,
    0xFFECECEA,
    0xFFECECEA,
    0xFFECECE9,
    0xFFEBEBE8,
    0xFFEBEBE9,
    0xFFEBEBE9,
    0xFFEBEBEB,
    0xFFEBEAEB,
    0xFFEAE9EB,
    0xFFEAE9EB,
    0xFFEBEAEB,
    0xFFEBEBEB,
    0xFFE9EAEA,
    0xFFEAEBEB,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDAD9DA,
    0xFF555355,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAEBEB,
    0xFFE0ECE5,
    0xFFCBE9D0,
    0xFFB0E0B3,
    0xFFA8E0A5,
    0xFFADDF9D,
    0xFFAED18A,
    0xFFAEC072,
    0xFFBAC06C,
    0xFFC5C670,
    0xFFC6C570,
    0xFFCAC671,
    0xFFCCC26A,
    0xFFCCBC62,
    0xFFD1BE63,
    0xFFCFBC62,
    0xFFC8B65E,
    0xFFB4A554,
    0xFFA59854,
    0xFFAFA573,
    0xFFABA686,
    0xFFC2C0B1,
    0xFFE4E7E2,
    0xFFE7ECEB,
    0xFFE5EBEC,
    0xFFE6EBEC,
    0xFFE7EBEB,
    0xFFE9EBEB,
    0xFFEBECEA,
    0xFFECEBEA,
    0xFFEBEAE9,
    0xFFEBEAE9,
    0xFFECEAE9,
    0xFFECEAEB,
    0xFFECE9EB,
    0xFFEBE9EC,
    0xFFEBE8EC,
    0xFFEBE8EC,
    0xFFEAE9EC,
    0xFFE9EAEB,
    0xFFE9EAEA,
    0xFFEAEBEB,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E8,
    0xFF0F0FF3,
    0xFF0F0FF1,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F10F1,
    0xFF0D0EEE,
    0xFF1011DC,
    0xFF3D3ED5,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAEBEB,
    0xFFDEEBE0,
    0xFFC7E8C9,
    0xFFACE2AA,
    0xFFA2E49C,
    0xFFA5E59B,
    0xFFAEDE99,
    0xFFB4D491,
    0xFFB2C880,
    0xFFAEC073,
    0xFFB3C170,
    0xFFBDC671,
    0xFFCBCA71,
    0xFFD0C869,
    0xFFD5C965,
    0xFFD5C865,
    0xFFCEC267,
    0xFFC5B96E,
    0xFFB8AE75,
    0xFFB0A883,
    0xFFC5C0A9,
    0xFFE3E1D5,
    0xFFEBEBE5,
    0xFFE8EBE7,
    0xFFE7EBE7,
    0xFFE7EBE8,
    0xFFE7EBE8,
    0xFFE9EBE9,
    0xFFEAEBE9,
    0xFFEBEBE8,
    0xFFEBEBE8,
    0xFFEBEBE8,
    0xFFEBEAE8,
    0xFFEBE9E9,
    0xFFEBE9E9,
    0xFFEBE9EA,
    0xFFEBE9E9,
    0xFFEBE8E9,
    0xFFEBE9E8,
    0xFFEAE9E6,
    0xFFE9E9E6,
    0xFFE9EAE8,
    0xFFEBECEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB6,
    0xFF1011E7,
    0xFF0E0EF2,
    0xFF0E0FEF,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0F0FEB,
    0xFF0E0FEC,
    0xFF0E0FEF,
    0xFF0D0EED,
    0xFF0F10DB,
    0xFF3C3DD4,
    0xFFA8A8F8,
    0xFFE9E9FE,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAEBE9,
    0xFFDEE9DA,
    0xFFC6E1BB,
    0xFFB1DF9F,
    0xFFA7E494,
    0xFFA7E599,
    0xFFA0D898,
    0xFF9FCF96,
    0xFFB3D9A0,
    0xFFB9DA9D,
    0xFFB8D391,
    0xFFB8CA84,
    0xFFBDC779,
    0xFFC0C26A,
    0xFFC5C362,
    0xFFC5C260,
    0xFFC2BC63,
    0xFFBFB873,
    0xFFC7BE8F,
    0xFFD8D1B1,
    0xFFE6E2CC,
    0xFFE8E6D2,
    0xFFE7E5D2,
    0xFFE7E7D2,
    0xFFE6E7D5,
    0xFFE7E8D8,
    0xFFE6E7DA,
    0xFFE6E7DD,
    0xFFE7E8DF,
    0xFFE7E8DF,
    0xFFE5E7E0,
    0xFFE4E6E1,
    0xFFE3E6E1,
    0xFFE2E6E2,
    0xFFE2E6E2,
    0xFFE2E5E0,
    0xFFE4E5DE,
    0xFFE5E5DB,
    0xFFE5E5D6,
    0xFFE6E5D3,
    0xFFE7E6D5,
    0xFFE9E9DD,
    0xFFEBEBE7,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCACAC6,
    0xFF3B3B56,
    0xFF01015D,
    0xFF0F0FB5,
    0xFF1011E6,
    0xFF0E0EF0,
    0xFF0E0EEE,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEB,
    0xFF0E0EEE,
    0xFF0E0DEB,
    0xFF130ED9,
    0xFF4139D0,
    0xFFABA5F4,
    0xFFEBE8FD,
    0xFFEDEDE9,
    0xFFECECE7,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFE2E7D7,
    0xFFB0BE95,
    0xFF87A35F,
    0xFF80A95A,
    0xFF6A9D54,
    0xFF487F46,
    0xFF3F7648,
    0xFF4E8255,
    0xFF5B8759,
    0xFF688A5B,
    0xFF68804F,
    0xFF65733C,
    0xFF7B8541,
    0xFF979E4E,
    0xFF90953E,
    0xFF848436,
    0xFF847E41,
    0xFF887E53,
    0xFF8F8363,
    0xFF93886A,
    0xFF887D5A,
    0xFF7F734D,
    0xFF8C8059,
    0xFF9E926E,
    0xFF988F6F,
    0xFF8A846A,
    0xFF8A8872,
    0xFF9A9A89,
    0xFF929687,
    0xFF7A8175,
    0xFF717C71,
    0xFF707D72,
    0xFF6B7A6F,
    0xFF647467,
    0xFF627361,
    0xFF67735D,
    0xFF6E7355,
    0xFF76754F,
    0xFF8B865B,
    0xFFABA480,
    0xFFCAC7B0,
    0xFFEAE9E1,
    0xFFEDECED,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3EC,
    0xFFCAC9C6,
    0xFF3B3B57,
    0xFF02015C,
    0xFF120FB1,
    0xFF1810E1,
    0xFF180EE9,
    0xFF190EE4,
    0xFF1A0EE1,
    0xFF190EE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190FE1,
    0xFF190EE1,
    0xFF1A0EE2,
    0xFF190DE4,
    0xFF150FE2,
    0xFF1014D4,
    0xFF3D49D6,
    0xFFA9B6FC,
    0xFFE2E8FA,
    0xFFE6E7E2,
    0xFFE6E5E1,
    0xFFE6E5E3,
    0xFFE6E5E5,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE5E4E5,
    0xFFEBEAEB,
    0xFFD7D6D7,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEDE8,
    0xFFE7E8D4,
    0xFFB5B98D,
    0xFF777F3F,
    0xFF596B23,
    0xFF3E5C1F,
    0xFF2B5629,
    0xFF235836,
    0xFF1B4F32,
    0xFF356144,
    0xFF8CAC91,
    0xFFA7BDA3,
    0xFF7A8B6E,
    0xFF75845A,
    0xFF849159,
    0xFF697333,
    0xFF54561A,
    0xFF514C1A,
    0xFF4E431C,
    0xFF4F401C,
    0xFF5D4C22,
    0xFF766432,
    0xFF8B7741,
    0xFF937F49,
    0xFF8B7947,
    0xFF6B5D32,
    0xFF524A26,
    0xFF535034,
    0xFF5B5E48,
    0xFF474F3C,
    0xFF2D3A2B,
    0xFF2F4132,
    0xFF344D3C,
    0xFF365341,
    0xFF315139,
    0xFF2F4F30,
    0xFF354F29,
    0xFF364419,
    0xFF52521C,
    0xFF897F43,
    0xFF968A54,
    0xFFB4AC8B,
    0xFFE9E6DB,
    0xFFEEEDEE,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEA,
    0xFFF3F3ED,
    0xFFC8CAC8,
    0xFF3B3B57,
    0xFF090052,
    0xFF300F96,
    0xFF5314AE,
    0xFF640EA0,
    0xFF6C0D93,
    0xFF6C0E90,
    0xFF6B0E91,
    0xFF6A0F91,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0F92,
    0xFF6A0E92,
    0xFF6B0E92,
    0xFF6C0D93,
    0xFF690D93,
    0xFF63108C,
    0xFF6E318F,
    0xFF9375A7,
    0xFFA097A5,
    0xFF9A9B99,
    0xFF999B98,
    0xFF9A9B99,
    0xFF9B9A9B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9B999B,
    0xFF9E9D9E,
    0xFF918F91,
    0xFF3A393B,
    0xFF191819,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFECECE7,
    0xFFEBE9D6,
    0xFFC8C49C,
    0xFF78743F,
    0xFF44450F,
    0xFF364318,
    0xFF2E4B2C,
    0xFF275039,
    0xFF23503C,
    0xFF567C6B,
    0xFFB8D1C4,
    0xFFD9E9DF,
    0xFFD1DED2,
    0xFFC7D5C0,
    0xFFAAB697,
    0xFF79825B,
    0xFF545630,
    0xFF403C19,
    0xFF3F3514,
    0xFF53441E,
    0xFF726232,
    0xFF8D7B44,
    0xFF8F7C41,
    0xFF7F6C31,
    0xFF675723,
    0xFF4F4318,
    0xFF3C3514,
    0xFF38381D,
    0xFF3B422B,
    0xFF2B3824,
    0xFF1C2E1D,
    0xFF203827,
    0xFF23412F,
    0xFF244833,
    0xFF254E30,
    0xFF29522A,
    0xFF345520,
    0xFF4A5D1B,
    0xFF8C8D41,
    0xFFA6994B,
    0xFF817131,
    0xFFA69A74,
    0xFFE9E4D8,
    0xFFEFEEEE,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFF0F4F1,
    0xFFC6CACB,
    0xFF463844,
    0xFF370019,
    0xFF8B0F3D,
    0xFFC3143F,
    0xFFD50D2C,
    0xFFD90C23,
    0xFFD80D22,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD60E24,
    0xFFD80C24,
    0xFFDA0C22,
    0xFFD51024,
    0xFFB91928,
    0xFF77181F,
    0xFF3A1719,
    0xFF221F21,
    0xFF1E2223,
    0xFF1F2223,
    0xFF212123,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF212023,
    0xFF222123,
    0xFF1F1E20,
    0xFF111011,
    0xFF1B1A1B,
    0xFF7F7D7F,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDEDE8,
    0xFFE9EAD9,
    0xFFBBBA9B,
    0xFF625E37,
    0xFF332F0A,
    0xFF313418,
    0xFF2D3C29,
    0xFF233C2C,
    0xFF2F4C3D,
    0xFF859C90,
    0xFFCCDBD3,
    0xFFD1DAD4,
    0xFFD9E0DA,
    0xFFDDE4DA,
    0xFFDBE2D3,
    0xFFD6DBC8,
    0xFFC4C4B1,
    0xFFA19C88,
    0xFF7C735B,
    0xFF736746,
    0xFF817449,
    0xFF766937,
    0xFF594E19,
    0xFF4A4111,
    0xFF413A13,
    0xFF312D10,
    0xFF24250E,
    0xFF1E2412,
    0xFF212B1D,
    0xFF1E2E1F,
    0xFF192E1E,
    0xFF1B3424,
    0xFF1C3A29,
    0xFF1A3F2B,
    0xFF1B4628,
    0xFF1F4C20,
    0xFF294F14,
    0xFF5A6F25,
    0xFF9C9D4A,
    0xFF938332,
    0xFF7B6727,
    0xFFA79A75,
    0xFFE9E4D9,
    0xFFEEEEEF,
    0xFFEBEBEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCC,
    0xFF4F3535,
    0xFF530000,
    0xFFB50F10,
    0xFFE61112,
    0xFFEC0C0C,
    0xFFEA0C0C,
    0xFFE70D0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70E0E,
    0xFFE70D0E,
    0xFFEA0C0D,
    0xFFEC0C0C,
    0xFFE70F0F,
    0xFFC61516,
    0xFF841617,
    0xFF471C1E,
    0xFF2A2528,
    0xFF24292C,
    0xFF25282A,
    0xFF27282A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF28272A,
    0xFF262527,
    0xFF131213,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFE9E8EB,
    0xFFE7E7E9,
    0xFFE6E5E8,
    0xFFE6E5E8,
    0xFFE8E7E9,
    0xFFE9E9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E9EA,
    0xFFE7E7E9,
    0xFFE6E5E8,
    0xFFE6E5E8,
    0xFFE6E6E8,
    0xFFE8E7E9,
    0xFFE9E9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFECEEEA,
    0xFFE0E5D7,
    0xFF979D83,
    0xFF484B2B,
    0xFF38371B,
    0xFF393724,
    0xFF333428,
    0xFF282C23,
    0xFF50584D,
    0xFFBBC0B7,
    0xFFCACDC5,
    0xFFA5A6A0,
    0xFFC4C4BC,
    0xFFDDDDD5,
    0xFFE1E0D9,
    0xFFE4E3DF,
    0xFFE4E2DE,
    0xFFE5E3DB,
    0xFFDFDBCB,
    0xFFCFCBB1,
    0xFFBCB795,
    0xFF888560,
    0xFF494928,
    0xFF2C3016,
    0xFF232817,
    0xFF192214,
    0xFF162017,
    0xFF16231B,
    0xFF192820,
    0xFF1B2D23,
    0xFF172D21,
    0xFF173123,
    0xFF183526,
    0xFF173A27,
    0xFF184123,
    0xFF1C481A,
    0xFF315718,
    0xFF788D3F,
    0xFF9A9A47,
    0xFF867627,
    0xFF796328,
    0xFF9E8E6F,
    0xFFE7E1D8,
    0xFFEFEEEF,
    0xFFEBEBEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF4F3535,
    0xFF520000,
    0xFFB20F0F,
    0xFFE51112,
    0xFFED0B0C,
    0xFFEA0C0C,
    0xFFE70D0D,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0E,
    0xFFE70D0D,
    0xFFEA0C0C,
    0xFFEC0B0B,
    0xFFE70F0F,
    0xFFC61617,
    0xFF831718,
    0xFF461D1E,
    0xFF2B2728,
    0xFF252A2A,
    0xFF26292A,
    0xFF28282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFE8E8EA,
    0xFFDCDCE2,
    0xFFCBCBD9,
    0xFFB4B5CF,
    0xFF9998BF,
    0xFF7D7DAA,
    0xFF8584B0,
    0xFFAFAECF,
    0xFFC5C5D9,
    0xFFD0D0DC,
    0xFFE0E0E6,
    0xFFE9E9EB,
    0xFFEBEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFEBECEB,
    0xFFE9E9EA,
    0xFFE2E2E6,
    0xFFD2D3DC,
    0xFFC0C0D2,
    0xFF9B9ABA,
    0xFF7675A0,
    0xFF7575A4,
    0xFF8C8CB7,
    0xFFADADCD,
    0xFFC3C2D8,
    0xFFD1D2DD,
    0xFFE1E2E6,
    0xFFE9E9EA,
    0xFFEBEBEA,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEC,
    0xFFEAEEEC,
    0xFFDDE5DC,
    0xFF8B9886,
    0xFF445339,
    0xFF424E36,
    0xFF454C3A,
    0xFF3F4035,
    0xFF423F37,
    0xFF8F8B81,
    0xFFDAD6CC,
    0xFFCAC6BC,
    0xFFBCB7AD,
    0xFFC6C1B6,
    0xFFCAC4BA,
    0xFFD5CECC,
    0xFFE2DCDE,
    0xFFE3E0E4,
    0xFFE5E2E1,
    0xFFE7E3DB,
    0xFFE4E2D1,
    0xFFE2E2CB,
    0xFFDADDC5,
    0xFFC8CFBC,
    0xFFA6B1A5,
    0xFF6E7C76,
    0xFF374845,
    0xFF1F302F,
    0xFF1A2B2B,
    0xFF1A2B28,
    0xFF1C2F2A,
    0xFF1A2F25,
    0xFF1A3124,
    0xFF173324,
    0xFF183826,
    0xFF1D4224,
    0xFF224918,
    0xFF496928,
    0xFF8B9B4F,
    0xFF878436,
    0xFF7B6A25,
    0xFF6B5522,
    0xFF8C7F64,
    0xFFE6E0D8,
    0xFFEFEFF0,
    0xFFEBEBEE,
    0xFFECECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF461E1E,
    0xFF2C2828,
    0xFF252A2B,
    0xFF262A2A,
    0xFF28292A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A292B,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECED,
    0xFFE1E0EC,
    0xFFA8A7C5,
    0xFF5C5B8F,
    0xFF333378,
    0xFF232273,
    0xFF17176D,
    0xFF12126A,
    0xFF141369,
    0xFF1C1C6F,
    0xFF292876,
    0xFF39387D,
    0xFF6A699D,
    0xFFB3B2D0,
    0xFFE1E0EB,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEC,
    0xFFE0E0EC,
    0xFFADAECD,
    0xFF65649A,
    0xFF38377D,
    0xFF282875,
    0xFF1C1C6E,
    0xFF131268,
    0xFF12116A,
    0xFF15146C,
    0xFF1C1C70,
    0xFF272776,
    0xFF37377A,
    0xFF606090,
    0xFFAFAEC9,
    0xFFE2E1EA,
    0xFFECECED,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEEEE,
    0xFFDCE4DF,
    0xFF7D9080,
    0xFF324C33,
    0xFF365638,
    0xFF3C5B40,
    0xFF3C5741,
    0xFF627464,
    0xFFBAC4B8,
    0xFFDFE5DC,
    0xFFDAD9D3,
    0xFFD2CEC7,
    0xFFC8C1BB,
    0xFFC0B9B5,
    0xFFBCB8B8,
    0xFFC7C5C7,
    0xFFDCDADC,
    0xFFE1E0DE,
    0xFFE5E4DD,
    0xFFE6E5DA,
    0xFFE2E4D7,
    0xFFE0E4D6,
    0xFFE0E6DC,
    0xFFDBE3DC,
    0xFFD6DEDB,
    0xFFCED7D7,
    0xFFB2BDBD,
    0xFF889593,
    0xFF5A6963,
    0xFF35463B,
    0xFF26382B,
    0xFF1E3427,
    0xFF183224,
    0xFF1B3B28,
    0xFF234324,
    0xFF314A1C,
    0xFF6D793F,
    0xFF91904E,
    0xFF7B6F2C,
    0xFF78672A,
    0xFF5E4F20,
    0xFF847B61,
    0xFFE3E1D8,
    0xFFEFF0F0,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECEC,
    0xFFE9E8F2,
    0xFFB8B7D3,
    0xFF5A5A8F,
    0xFF1D1E68,
    0xFF111067,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0E6A,
    0xFF0F0E6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF10106A,
    0xFF14136A,
    0xFF201F69,
    0xFF5A5A8C,
    0xFFBFBFD8,
    0xFFEDECF3,
    0xFFEDECEC,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEE,
    0xFFE7E6F1,
    0xFFA8A7C7,
    0xFF484780,
    0xFF1D1C69,
    0xFF14136B,
    0xFF10106A,
    0xFF10106A,
    0xFF100F69,
    0xFF0F0E69,
    0xFF0F0E6A,
    0xFF0F0E6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF10106A,
    0xFF100F65,
    0xFF1E1D67,
    0xFF5A5A8E,
    0xFFBCBBD7,
    0xFFEAE9F2,
    0xFFEDECEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEFEF,
    0xFFDDE4DE,
    0xFF738577,
    0xFF224027,
    0xFF204928,
    0xFF1F4B2A,
    0xFF2A5235,
    0xFF7C9C88,
    0xFFC7DCD0,
    0xFFCFD9D2,
    0xFFD8DBD7,
    0xFFE0DEDC,
    0xFFE2DEDC,
    0xFFDAD7D6,
    0xFFC5C4C5,
    0xFFC0C2C2,
    0xFFC8CAC8,
    0xFFD7D6D2,
    0xFFE4E3DC,
    0xFFE5E4DC,
    0xFFE2E3DB,
    0xFFE1E3DC,
    0xFFE2E4DE,
    0xFFE1E3DF,
    0xFFDFE1E0,
    0xFFDDE0E1,
    0xFFDBE1E1,
    0xFFD9E2DE,
    0xFFD3DED6,
    0xFFC3CFC4,
    0xFFACB9AD,
    0xFF8B9D93,
    0xFF5B7369,
    0xFF2E4B3A,
    0xFF243F1F,
    0xFF4A5A28,
    0xFF878A4B,
    0xFF8B813F,
    0xFF776928,
    0xFF6E5F25,
    0xFF5C5224,
    0xFF948E74,
    0xFFE6E5DC,
    0xFFEEEFEF,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDEDEF,
    0xFFE1E1F0,
    0xFF9A99C1,
    0xFF363678,
    0xFF100F63,
    0xFF0E0D68,
    0xFF0F0E6A,
    0xFF12116C,
    0xFF15146D,
    0xFF16156E,
    0xFF16156D,
    0xFF15146D,
    0xFF12116B,
    0xFF0F0E69,
    0xFF0F0E69,
    0xFF0F0E6A,
    0xFF0E0D69,
    0xFF101064,
    0xFF363677,
    0xFFA09FC7,
    0xFFE7E7F7,
    0xFFEEEDF0,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDEDF2,
    0xFFD5D4EB,
    0xFF7A7AAA,
    0xFF25256D,
    0xFF0F0F66,
    0xFF0F0E69,
    0xFF0F0F6A,
    0xFF0F0E6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0E6A,
    0xFF0F0E68,
    0xFF0E0E61,
    0xFF363575,
    0xFFA0A0C3,
    0xFFE6E6F3,
    0xFFEDEDED,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFDFE4E0,
    0xFF788479,
    0xFF263E29,
    0xFF204125,
    0xFF1B3E21,
    0xFF3D5B43,
    0xFFA1B8A8,
    0xFFB3BFB8,
    0xFF8A918D,
    0xFF808480,
    0xFF9DA09B,
    0xFFCACCC9,
    0xFFDCDFDE,
    0xFFDCE2E2,
    0xFFDDE3E3,
    0xFFD6D9D8,
    0xFFD9D8D5,
    0xFFE5E1DC,
    0xFFE7E2DC,
    0xFFD6D4CF,
    0xFFD1D1CD,
    0xFFDEDEDC,
    0xFFE1E0DF,
    0xFFDFDEE1,
    0xFFDFDFE4,
    0xFFDEE1E4,
    0xFFDDE3E2,
    0xFFDCE3DD,
    0xFFDCE3DB,
    0xFFDDE4DD,
    0xFFDCE7E3,
    0xFFD6E6E1,
    0xFFB0C6B7,
    0xFF5A6E4B,
    0xFF606C30,
    0xFF94964A,
    0xFF777125,
    0xFF5A5112,
    0xFF443B0A,
    0xFF393311,
    0xFF827F6C,
    0xFFE4E3DD,
    0xFFEFEFEF,
    0xFFEBECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDF0,
    0xFFE3E3F6,
    0xFF8989B8,
    0xFF24246D,
    0xFF0D0D66,
    0xFF0D0D6B,
    0xFF0C0B65,
    0xFF1D1D6A,
    0xFF5B5A95,
    0xFF9898BE,
    0xFFB2B2CD,
    0xFFAFAFCC,
    0xFF8C8CB7,
    0xFF494988,
    0xFF151566,
    0xFF0D0C66,
    0xFF0E0E6B,
    0xFF0E0E6C,
    0xFF0E0D6A,
    0xFF0B0B5E,
    0xFF32326E,
    0xFFA8A8C7,
    0xFFEDEDF5,
    0xFFEDEDEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEEF3,
    0xFFD6D6EB,
    0xFF6E6F9F,
    0xFF1A1963,
    0xFF0D0C65,
    0xFF0E0E6B,
    0xFF0F0E6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0E0E6A,
    0xFF0D0D68,
    0xFF0E0D60,
    0xFF383875,
    0xFFA8A9CB,
    0xFFEAEAF6,
    0xFFEDEDED,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFE1E2DF,
    0xFF7B847A,
    0xFF283926,
    0xFF213920,
    0xFF263F26,
    0xFF728573,
    0xFFBAC7BD,
    0xFF9DA4A0,
    0xFF747A78,
    0xFF4B504E,
    0xFF3C4240,
    0xFF444C4B,
    0xFF6C7576,
    0xFFA2ADB1,
    0xFFCCD6D9,
    0xFFDDE1E4,
    0xFFDDDDDB,
    0xFFE6E1DE,
    0xFFE9E3DF,
    0xFFD9D5D1,
    0xFFCAC9C6,
    0xFFC4C3C2,
    0xFFC7C6C7,
    0xFFD5D3D7,
    0xFFDBD9DF,
    0xFFDCDBE1,
    0xFFE1E3E3,
    0xFFE4E6E2,
    0xFFE1E4DE,
    0xFFDFE1DE,
    0xFFE1E6E5,
    0xFFE3EAE7,
    0xFFB6C0AE,
    0xFF566133,
    0xFF687126,
    0xFF90943A,
    0xFF6A6919,
    0xFF433E06,
    0xFF2B2604,
    0xFF25210E,
    0xFF737168,
    0xFFE2E1DF,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDEDED,
    0xFFE8E8F3,
    0xFF9D9CBF,
    0xFF2B2B69,
    0xFF0C0B61,
    0xFF0D0D6B,
    0xFF0B0A64,
    0xFF24236C,
    0xFF8485B2,
    0xFFD8D8EC,
    0xFFE9E9EC,
    0xFFEAE9E8,
    0xFFEAE9E8,
    0xFFE7E7EF,
    0xFFC4C4DF,
    0xFF605F96,
    0xFF161664,
    0xFF0C0C66,
    0xFF0E0E6B,
    0xFF0F0E6C,
    0xFF0D0C66,
    0xFF11115F,
    0xFF58588F,
    0xFFC9CAE5,
    0xFFEEEEF5,
    0xFFEDECEB,
    0xFFECECEA,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDECEB,
    0xFFEDECF9,
    0xFFA9A9D2,
    0xFF2E2D74,
    0xFF0A0A62,
    0xFF0D0D6A,
    0xFF0F0F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0E0E6B,
    0xFF0D0D69,
    0xFF0F0F60,
    0xFF474781,
    0xFFB8B8D5,
    0xFFECECF3,
    0xFFEDECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEC,
    0xFFE0E1DE,
    0xFF767D74,
    0xFF1D2A1A,
    0xFF152812,
    0xFF394C36,
    0xFFA5B3A3,
    0xFFBAC3BB,
    0xFF8F9594,
    0xFF696F6F,
    0xFF37403F,
    0xFF323F3D,
    0xFF324040,
    0xFF425356,
    0xFF516367,
    0xFF616F73,
    0xFF868F91,
    0xFFB8BAB8,
    0xFFE0DBD8,
    0xFFE5DFDC,
    0xFFE4DEDB,
    0xFFE2DEDD,
    0xFFDAD9D8,
    0xFFCECDCE,
    0xFFC7C6C9,
    0xFFC4C2C7,
    0xFFCAC7CC,
    0xFFD7D4D5,
    0xFFDCDAD7,
    0xFFDBDAD6,
    0xFFDEDDDA,
    0xFFE3E1E0,
    0xFFE9E6E3,
    0xFFA9A893,
    0xFF555522,
    0xFF858637,
    0xFFA3A446,
    0xFF7E7D28,
    0xFF5C5919,
    0xFF423F15,
    0xFF322E17,
    0xFF78766B,
    0xFFE2E1DF,
    0xFFF0EFF0,
    0xFFECECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFECECEA,
    0xFFEEEEF5,
    0xFFC3C3DF,
    0xFF51508C,
    0xFF0F0F61,
    0xFF0C0C6A,
    0xFF0C0C66,
    0xFF17175F,
    0xFF71709D,
    0xFFD8D8E9,
    0xFFEEEEF0,
    0xFFECECEA,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECECEB,
    0xFFEEEEF5,
    0xFFBBBAD6,
    0xFF403F77,
    0xFF0B0A5A,
    0xFF0E0D69,
    0xFF0F0F6D,
    0xFF0E0E6B,
    0xFF0C0B63,
    0xFF1F1F63,
    0xFF8988B0,
    0xFFE5E5F2,
    0xFFEEEEEE,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEDEC,
    0xFFEBE9F9,
    0xFF9C9CC7,
    0xFF25246D,
    0xFF0A0963,
    0xFF0E0E6C,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6A,
    0xFF0E0E6B,
    0xFF0C0C65,
    0xFF12125F,
    0xFF65659A,
    0xFFD6D6F0,
    0xFFEFEEF5,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEEED,
    0xFFDFE2DE,
    0xFF737B72,
    0xFF172616,
    0xFF172815,
    0xFF62715F,
    0xFFBECABE,
    0xFFA1AAA5,
    0xFF7C8584,
    0xFF4F5A59,
    0xFF2F3F3C,
    0xFF2D413F,
    0xFF354B4C,
    0xFF576D70,
    0xFF546A6E,
    0xFF3D4D51,
    0xFF353F3F,
    0xFF666864,
    0xFFBFB9B4,
    0xFFD7CFCB,
    0xFFCBC4C1,
    0xFFD4D0CE,
    0xFFDCDBDA,
    0xFFD7D7D6,
    0xFFDCDBDB,
    0xFFDDDCDD,
    0xFFD5D2D2,
    0xFFD3CECB,
    0xFFD1CDC6,
    0xFFCBC7C0,
    0xFFC6C3BE,
    0xFFD2CDC8,
    0xFFE3DCD0,
    0xFFABA282,
    0xFF7E743C,
    0xFF8B8337,
    0xFF787322,
    0xFF66611A,
    0xFF676228,
    0xFF6B6636,
    0xFF6D6945,
    0xFFA3A08A,
    0xFFE7E6DF,
    0xFFEEEEEE,
    0xFFEBECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEFEEF0,
    0xFFE0E1F0,
    0xFF7D7DA6,
    0xFF1A195F,
    0xFF0C0B64,
    0xFF0D0D6C,
    0xFF0A0A63,
    0xFF363679,
    0xFFB3B2D6,
    0xFFEEEDF7,
    0xFFEDECEB,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEEEE,
    0xFFE4E4F5,
    0xFF8887B5,
    0xFF1D1C66,
    0xFF0C0B65,
    0xFF0E0E6D,
    0xFF0F0F6C,
    0xFF0E0D67,
    0xFF0F0D5A,
    0xFF555589,
    0xFFCCCCE4,
    0xFFEFF0F5,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEDED,
    0xFFE8E6F6,
    0xFF8E8EB9,
    0xFF201F68,
    0xFF0B0A64,
    0xFF0E0E6C,
    0xFF0F0E6A,
    0xFF0F0E69,
    0xFF100F6A,
    0xFF12116A,
    0xFF13126B,
    0xFF13126B,
    0xFF13126B,
    0xFF12116B,
    0xFF11106A,
    0xFF0F0E69,
    0xFF0F0E69,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6B,
    0xFF0E0E6B,
    0xFF0A0961,
    0xFF323276,
    0xFFB0AFD4,
    0xFFEDECF8,
    0xFFEDECEB,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEEED,
    0xFFDEE3DF,
    0xFF788479,
    0xFF1F3221,
    0xFF324634,
    0xFF95A898,
    0xFFB9C8BF,
    0xFF677371,
    0xFF4C5A5A,
    0xFF445755,
    0xFF39504D,
    0xFF3A5351,
    0xFF3D5858,
    0xFF516C6E,
    0xFF50686B,
    0xFF3E5152,
    0xFF495351,
    0xFF80827B,
    0xFFC6C0B7,
    0xFFC7BDB6,
    0xFF8B837E,
    0xFF77736E,
    0xFFA6A6A1,
    0xFFB9BBB6,
    0xFFCCCECA,
    0xFFDCDAD7,
    0xFFDDD9D5,
    0xFFDFDBD2,
    0xFFE0DBCF,
    0xFFDDD9CC,
    0xFFDAD6CC,
    0xFFDCD8CC,
    0xFFE4DCC6,
    0xFFB7AA82,
    0xFF918147,
    0xFF786928,
    0xFF54490F,
    0xFF453A0B,
    0xFF453B0F,
    0xFF4F4617,
    0xFF655D31,
    0xFFA8A386,
    0xFFE9E8DC,
    0xFFEEEDEE,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEDECEB,
    0xFFEEEEF7,
    0xFFBDBCDE,
    0xFF444381,
    0xFF0C0C5F,
    0xFF0D0D6A,
    0xFF0D0C67,
    0xFF131260,
    0xFF67669B,
    0xFFD8D8F1,
    0xFFEFEFF5,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDECEB,
    0xFFEFEEFB,
    0xFFB4B3DB,
    0xFF363579,
    0xFF0A0961,
    0xFF0E0D6B,
    0xFF0F0F6C,
    0xFF0E0E6B,
    0xFF0A0A63,
    0xFF24236E,
    0xFF9A9AC8,
    0xFFEAEAFB,
    0xFFEDEDEE,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEFEEED,
    0xFFE5E4F4,
    0xFF8685B0,
    0xFF1C1B65,
    0xFF0C0B65,
    0xFF0E0D6B,
    0xFF0E0D63,
    0xFF2B2A70,
    0xFF7A7BAC,
    0xFFB7B7D4,
    0xFFCBCBDB,
    0xFFD0D0DA,
    0xFFCCCCDA,
    0xFFBBBBD5,
    0xFF8585B5,
    0xFF323177,
    0xFF0F0E63,
    0xFF0E0D68,
    0xFF0F0E69,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6B,
    0xFF0E0E6B,
    0xFF0C0B64,
    0xFF1C1C61,
    0xFF8685AD,
    0xFFE6E5F2,
    0xFFEEEEED,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEEEE,
    0xFFDBE3DF,
    0xFF7D8F83,
    0xFF324D39,
    0xFF365540,
    0xFF5A7867,
    0xFF718C80,
    0xFF5E7470,
    0xFF516766,
    0xFF475E5D,
    0xFF3E5956,
    0xFF415C5A,
    0xFF405B5B,
    0xFF4A6567,
    0xFF4F6668,
    0xFF364846,
    0xFF4B544D,
    0xFF909185,
    0xFFC6BFB2,
    0xFFC4BAAE,
    0xFF797368,
    0xFF434238,
    0xFF5F625A,
    0xFF80847C,
    0xFF90938C,
    0xFFAEAEA7,
    0xFFC1BFB5,
    0xFFD2CFC1,
    0xFFE0DDCB,
    0xFFE3E3D0,
    0xFFE1E2D2,
    0xFFE2E1D1,
    0xFFE6E1C6,
    0xFFC6BA8F,
    0xFF90804B,
    0xFF695928,
    0xFF4F4120,
    0xFF40321B,
    0xFF3C2E14,
    0xFF443610,
    0xFF5C5126,
    0xFFA39D7D,
    0xFFE8E7DA,
    0xFFEEEEEE,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEEED,
    0xFFE5E3F3,
    0xFF8686B3,
    0xFF1D1C66,
    0xFF0B0A67,
    0xFF0E0E6D,
    0xFF0B0B61,
    0xFF1E1D5E,
    0xFF8D8CB2,
    0xFFE8E7F4,
    0xFFEEEDEE,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEFEFF1,
    0xFFDADAEE,
    0xFF6A6A98,
    0xFF12115A,
    0xFF0D0C65,
    0xFF0F0F6C,
    0xFF0E0E6D,
    0xFF0C0B66,
    0xFF161462,
    0xFF7473A3,
    0xFFDEDEF1,
    0xFFEFEEF0,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF0EFEF,
    0xFFDEDCEC,
    0xFF666692,
    0xFF11105A,
    0xFF0B0A65,
    0xFF111165,
    0xFF52518C,
    0xFFBAB9D7,
    0xFFE6E6EF,
    0xFFEAE9EA,
    0xFFEAE9E8,
    0xFFEBEAE9,
    0xFFEAE9E8,
    0xFFEAEAEA,
    0xFFE8E8F0,
    0xFFBEBEDA,
    0xFF58578E,
    0xFF141361,
    0xFF0D0C66,
    0xFF0F0E6B,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6C,
    0xFF0D0C66,
    0xFF0E0D58,
    0xFF5F5F8E,
    0xFFD4D5E8,
    0xFFEFEFF2,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEFEC,
    0xFFD9E3DD,
    0xFF788F80,
    0xFF32543F,
    0xFF365E46,
    0xFF406954,
    0xFF466B5F,
    0xFF577671,
    0xFF5E7978,
    0xFF465F60,
    0xFF415A59,
    0xFF4E6866,
    0xFF4B6564,
    0xFF4D6565,
    0xFF4F6563,
    0xFF4C5C57,
    0xFF757D72,
    0xFFB5B5A3,
    0xFFC8C2AE,
    0xFFBAB5A0,
    0xFF7E7B68,
    0xFF515444,
    0xFF4B5146,
    0xFF4C544A,
    0xFF5C625A,
    0xFF797C74,
    0xFF8E8F83,
    0xFFA9A999,
    0xFFC3C4B0,
    0xFFCFD3C0,
    0xFFD6DCCB,
    0xFFDDE3D1,
    0xFFDADCC4,
    0xFF9A9773,
    0xFF58522A,
    0xFF463F20,
    0xFF3F3627,
    0xFF3C3129,
    0xFF40301D,
    0xFF514117,
    0xFF726430,
    0xFFB1A981,
    0xFFEAE8D7,
    0xFFEEEDEC,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEFEFF2,
    0xFFCDCCE2,
    0xFF535284,
    0xFF0E0D5A,
    0xFF0D0D6A,
    0xFF0E0E6D,
    0xFF0A0A5E,
    0xFF23235F,
    0xFF9F9EBD,
    0xFFEDEDF5,
    0xFFEDEDEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEDED,
    0xFFE7E6F2,
    0xFF7F7EA4,
    0xFF151458,
    0xFF0C0B63,
    0xFF0E0E6D,
    0xFF0F0F6E,
    0xFF0E0D68,
    0xFF0C0B58,
    0xFF49487A,
    0xFFC8C8DD,
    0xFFF0EFF2,
    0xFFECECE9,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF1F0F1,
    0xFFD5D4E5,
    0xFF545483,
    0xFF0A0953,
    0xFF0D0C5B,
    0xFF4A4885,
    0xFFBCBBDB,
    0xFFEBEBF4,
    0xFFECECEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEDEDF4,
    0xFFB9B8D5,
    0xFF41417A,
    0xFF0C0D5E,
    0xFF0D0D69,
    0xFF0F0E6C,
    0xFF100F6A,
    0xFF0F0F6C,
    0xFF0E0D68,
    0xFF0D0C5A,
    0xFF4F4E84,
    0xFFC8C7E1,
    0xFFEFEFF6,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEFEC,
    0xFFD9E3DD,
    0xFF779081,
    0xFF2E553F,
    0xFF316047,
    0xFF386953,
    0xFF447063,
    0xFF587C78,
    0xFF567375,
    0xFF3D5759,
    0xFF4A6061,
    0xFF586E6D,
    0xFF526767,
    0xFF4F6462,
    0xFF455652,
    0xFF515E53,
    0xFF909786,
    0xFFC2C1AA,
    0xFFC2BEA2,
    0xFFAEAB8F,
    0xFFA8A890,
    0xFF767B69,
    0xFF3B4438,
    0xFF3F4A42,
    0xFF515954,
    0xFF494E4A,
    0xFF5F615A,
    0xFF717467,
    0xFF6F7362,
    0xFF8A9381,
    0xFFAAB6A6,
    0xFFC0CCBF,
    0xFFC1CCBC,
    0xFF707862,
    0xFF30361E,
    0xFF232816,
    0xFF23261E,
    0xFF302B27,
    0xFF3A2E1E,
    0xFF53421D,
    0xFF786A3A,
    0xFFB7AE89,
    0xFFEBE8D9,
    0xFFEEEDEC,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECED,
    0xFFEEEDF9,
    0xFFAFAED2,
    0xFF353573,
    0xFF0A0A5E,
    0xFF0E0E6C,
    0xFF0E0D6C,
    0xFF0B0B5E,
    0xFF3D3D77,
    0xFFBAB9D3,
    0xFFF0EFF5,
    0xFFEDECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDEDEB,
    0xFFEEEDF6,
    0xFFAAAACC,
    0xFF323173,
    0xFF0B0A61,
    0xFF0E0E6C,
    0xFF0F0F6E,
    0xFF0F0D6A,
    0xFF0A0A5B,
    0xFF35356F,
    0xFFB3B3D0,
    0xFFEEEDF5,
    0xFFEDECEB,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF0F0F3,
    0xFFCFCFE3,
    0xFF4F4E81,
    0xFF08074F,
    0xFF27276A,
    0xFF9A99C4,
    0xFFE8E7F6,
    0xFFEEEDED,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEEF0,
    0xFFE2E2F6,
    0xFF7F7EB0,
    0xFF191965,
    0xFF0B0B65,
    0xFF0F0E6B,
    0xFF100F6A,
    0xFF0F0F6A,
    0xFF0E0D69,
    0xFF0B0B5F,
    0xFF3C3B7A,
    0xFFB8B7DA,
    0xFFF0EFFB,
    0xFFECEBEB,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEEEC,
    0xFFD9E3DD,
    0xFF768F7F,
    0xFF2C553E,
    0xFF2D5F46,
    0xFF316750,
    0xFF518275,
    0xFF6E9492,
    0xFF5C797C,
    0xFF40555A,
    0xFF45575A,
    0xFF506062,
    0xFF5A6A69,
    0xFF6B7B79,
    0xFF54635C,
    0xFF545E51,
    0xFFA3A893,
    0xFFC8C7AB,
    0xFFB9B696,
    0xFF9A9A77,
    0xFF959B7B,
    0xFF727C64,
    0xFF404C3F,
    0xFF3D4946,
    0xFF4E5858,
    0xFF464C4D,
    0xFF545856,
    0xFF5E645B,
    0xFF4E564A,
    0xFF515D4F,
    0xFF69796F,
    0xFF566964,
    0xFF4B5F5C,
    0xFF40544F,
    0xFF2A4035,
    0xFF1A3123,
    0xFF16261C,
    0xFF373D34,
    0xFF635D4D,
    0xFF5B4D2F,
    0xFF61542D,
    0xFFA8A082,
    0xFFEAE7DC,
    0xFFEEEEED,
    0xFFEBEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDEDF1,
    0xFFE6E6FD,
    0xFF7F7FB5,
    0xFF131364,
    0xFF0B0A67,
    0xFF0E0E6E,
    0xFF0D0D6A,
    0xFF0D0D5F,
    0xFF56568F,
    0xFFCECDE8,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDECEA,
    0xFFEFEEF7,
    0xFFBEBDDF,
    0xFF414082,
    0xFF0A0960,
    0xFF0D0D6A,
    0xFF0F0F6C,
    0xFF0E0E6B,
    0xFF0B0B61,
    0xFF26256A,
    0xFF9999C2,
    0xFFEAEAFA,
    0xFFEEEDEE,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF0F0F4,
    0xFFC7C7DF,
    0xFF49497D,
    0xFF06054F,
    0xFF36367A,
    0xFFB7B6DE,
    0xFFEEEEF9,
    0xFFEDECEB,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEC,
    0xFFEEEEF7,
    0xFFB5B4D5,
    0xFF3A3A76,
    0xFF0B0B5C,
    0xFF0E0D69,
    0xFF0F0F6B,
    0xFF100F6A,
    0xFF0E0E6B,
    0xFF0A0964,
    0xFF21206D,
    0xFFA1A1D0,
    0xFFEEEEFF,
    0xFFEDECED,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEFED,
    0xFFD9E3DD,
    0xFF6F8879,
    0xFF204834,
    0xFF1F513B,
    0xFF245645,
    0xFF38645B,
    0xFF456666,
    0xFF496067,
    0xFF45565D,
    0xFF4C5B5F,
    0xFF5C686B,
    0xFF556160,
    0xFF56615E,
    0xFF4E584F,
    0xFF6D7465,
    0xFFB5B7A1,
    0xFFC6C7AB,
    0xFFA8A988,
    0xFF6E7251,
    0xFF616B4D,
    0xFF4E5B45,
    0xFF39483E,
    0xFF323E3E,
    0xFF3E474D,
    0xFF545C61,
    0xFF656D6E,
    0xFF717A77,
    0xFF818E86,
    0xFF5B6C63,
    0xFF435852,
    0xFF394F4E,
    0xFF354C50,
    0xFF354F52,
    0xFF304F4D,
    0xFF2D4C42,
    0xFF3A5245,
    0xFF758173,
    0xFFB5B5A2,
    0xFF9E967C,
    0xFF655D3F,
    0xFF948F79,
    0xFFE6E4DB,
    0xFFEFEEEF,
    0xFFEBECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEEF2,
    0xFFDDDDF5,
    0xFF6F6FA6,
    0xFF101062,
    0xFF0C0B68,
    0xFF0F0F6E,
    0xFF0D0C69,
    0xFF0D0D5F,
    0xFF606099,
    0xFFD6D5F0,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECEA,
    0xFFF0EFF8,
    0xFFC9C9EB,
    0xFF4A488A,
    0xFF0A0960,
    0xFF0D0D6A,
    0xFF0F0F6C,
    0xFF0E0E6C,
    0xFF0C0C68,
    0xFF121262,
    0xFF7877AF,
    0xFFE4E3FC,
    0xFFEEEEF2,
    0xFFEBEBE7,
    0xFFECECE9,
    0xFFEFEFF4,
    0xFFC3C2DC,
    0xFF44457C,
    0xFF06054F,
    0xFF414185,
    0xFFC8C6EE,
    0xFFF0EFFB,
    0xFFECEBEB,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFF0F0F4,
    0xFFCBCBE1,
    0xFF4E4D80,
    0xFF0C0B57,
    0xFF0E0D68,
    0xFF0F0F6C,
    0xFF0F0E6C,
    0xFF0E0E6C,
    0xFF0A0964,
    0xFF211F6D,
    0xFFA0A0D0,
    0xFFEEEEFF,
    0xFFEDECED,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFEDEFEC,
    0xFFD8E3DC,
    0xFF6C8478,
    0xFF204439,
    0xFF29524B,
    0xFF325553,
    0xFF3A5358,
    0xFF32454D,
    0xFF33444C,
    0xFF39494F,
    0xFF435256,
    0xFF556063,
    0xFF606868,
    0xFF6D706C,
    0xFF716F66,
    0xFF979384,
    0xFFC3C1AD,
    0xFFC7CAB7,
    0xFF959E8D,
    0xFF546353,
    0xFF425549,
    0xFF374A42,
    0xFF2E413F,
    0xFF2C3C3F,
    0xFF324146,
    0xFF4B585D,
    0xFF566469,
    0xFF708285,
    0xFF97ADAC,
    0xFF58706D,
    0xFF283C39,
    0xFF324341,
    0xFF465758,
    0xFF405758,
    0xFF334D4D,
    0xFF38524C,
    0xFF5B6A60,
    0xFF9EA193,
    0xFFBFBEAA,
    0xFFA6A88E,
    0xFF777E62,
    0xFF9AA18D,
    0xFFE3E6DE,
    0xFFEEEEEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEFEFF2,
    0xFFD1D0E8,
    0xFF5A5B92,
    0xFF0E0E60,
    0xFF0C0C69,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0E0E60,
    0xFF6A69A3,
    0xFFDCDBF6,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF0EFF9,
    0xFFD4D4F5,
    0xFF535294,
    0xFF0A095F,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0D0D60,
    0xFF6969A4,
    0xFFDDDCF7,
    0xFFEFEFF3,
    0xFFECECE7,
    0xFFECECEA,
    0xFFEEEEF8,
    0xFFB5B4D6,
    0xFF37376F,
    0xFF131251,
    0xFF7575A4,
    0xFFDEDEF4,
    0xFFEFEEF3,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF0F1F2,
    0xFFD3D4E5,
    0xFF555482,
    0xFF0B0B55,
    0xFF0E0D67,
    0xFF0F0F6C,
    0xFF0F0E6C,
    0xFF0E0E6B,
    0xFF0A0962,
    0xFF27266F,
    0xFFA5A5D2,
    0xFFEEEFFF,
    0xFFEDECED,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFEDEEEB,
    0xFFDCE5DE,
    0xFF7D9289,
    0xFF2D4D46,
    0xFF365756,
    0xFF455A61,
    0xFF3D4956,
    0xFF363E4D,
    0xFF303D48,
    0xFF2F4046,
    0xFF354649,
    0xFF3B4849,
    0xFF444B4B,
    0xFF817F7B,
    0xFFB1A89F,
    0xFFC3B9A8,
    0xFFC6C1AE,
    0xFFB7BDAD,
    0xFF748277,
    0xFF445953,
    0xFF4D6462,
    0xFF5E7475,
    0xFF586E71,
    0xFF4D6164,
    0xFF34474A,
    0xFF314447,
    0xFF44585D,
    0xFF738D92,
    0xFF8CA8AC,
    0xFF4C6668,
    0xFF2D4040,
    0xFF3E4B48,
    0xFF56615E,
    0xFF4B5C59,
    0xFF304445,
    0xFF2C3D3C,
    0xFF4A514B,
    0xFF98988C,
    0xFFB5B7A6,
    0xFF87947B,
    0xFF60755C,
    0xFF98A895,
    0xFFE1E9E1,
    0xFFEDEEEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF0F0F4,
    0xFFBEBDD5,
    0xFF3B3C73,
    0xFF0B0B5C,
    0xFF0D0D6A,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0E0E60,
    0xFF6D6CA6,
    0xFFDFDEF9,
    0xFFEEEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECECEA,
    0xFFECECEA,
    0xFFEFEFF5,
    0xFFDDDDF7,
    0xFF6E6DA3,
    0xFF131260,
    0xFF0D0C67,
    0xFF0F0F6C,
    0xFF0F0F6D,
    0xFF0D0C69,
    0xFF0D0D60,
    0xFF605F9A,
    0xFFD6D5F0,
    0xFFEFEFF2,
    0xFFECECE7,
    0xFFEDECEB,
    0xFFEEEDFA,
    0xFFADACD1,
    0xFF303068,
    0xFF1A1A51,
    0xFF9090B4,
    0xFFE9E9F6,
    0xFFEEEDED,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F0F0,
    0xFFDBD9E9,
    0xFF595985,
    0xFF0C0B54,
    0xFF0E0E67,
    0xFF0F0F6D,
    0xFF0F0F6C,
    0xFF0E0D68,
    0xFF0D0C5C,
    0xFF484981,
    0xFFC2C2DF,
    0xFFEFEFF7,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFEDEDEB,
    0xFFDEE5DE,
    0xFF879A8C,
    0xFF466451,
    0xFF446253,
    0xFF465B56,
    0xFF424C52,
    0xFF343B49,
    0xFF313C4B,
    0xFF32434C,
    0xFF36494D,
    0xFF394848,
    0xFF5B6360,
    0xFF9F9F97,
    0xFFBEB6A9,
    0xFFC6BCA7,
    0xFFC5C0A6,
    0xFFA7AB8F,
    0xFF7F8D74,
    0xFF637766,
    0xFF5E736C,
    0xFF708685,
    0xFF6E8488,
    0xFF667B80,
    0xFF4E6267,
    0xFF384B50,
    0xFF22383D,
    0xFF3C565B,
    0xFF537174,
    0xFF425E60,
    0xFF3E5350,
    0xFF394643,
    0xFF47514F,
    0xFF525E5E,
    0xFF3F4F51,
    0xFF2A373A,
    0xFF545959,
    0xFFA8A9A4,
    0xFFADB5AB,
    0xFF758979,
    0xFF546F5D,
    0xFF8A9F90,
    0xFFDEE7E1,
    0xFFEEEEEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEEEEF5,
    0xFFABABC7,
    0xFF2A2A63,
    0xFF0A0A5C,
    0xFF0E0E6B,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0E0E60,
    0xFF6E6EA8,
    0xFFE0DFFA,
    0xFFEEEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEEF1,
    0xFFE4E5F5,
    0xFF8788B1,
    0xFF1D1D62,
    0xFF0C0B62,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0C69,
    0xFF0D0D60,
    0xFF595994,
    0xFFD1D0EB,
    0xFFEFEFF2,
    0xFFECECE7,
    0xFFEDECEB,
    0xFFEDECFC,
    0xFFA9A7CF,
    0xFF2E2E67,
    0xFF39386C,
    0xFFB4B4D2,
    0xFFEEEEF6,
    0xFFEDECEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F0F0,
    0xFFDBD9E9,
    0xFF5A5A85,
    0xFF0C0B54,
    0xFF0E0E67,
    0xFF0F0F6E,
    0xFF0F0F6D,
    0xFF0E0D67,
    0xFF0E0D58,
    0xFF59588A,
    0xFFD0D0E5,
    0xFFEFEFF3,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEDEB,
    0xFFE1E6DC,
    0xFF93A38D,
    0xFF4C6645,
    0xFF385432,
    0xFF344832,
    0xFF34403B,
    0xFF2A333E,
    0xFF2C3949,
    0xFF324451,
    0xFF3F5258,
    0xFF435252,
    0xFF545C57,
    0xFF838279,
    0xFFB4AD9F,
    0xFFD2C8B2,
    0xFFC6C0A0,
    0xFF9A9C75,
    0xFF9EA882,
    0xFF859478,
    0xFF57675A,
    0xFF6C7D7C,
    0xFF7B8E94,
    0xFF6B7F86,
    0xFF5B7075,
    0xFF4F6369,
    0xFF3A5055,
    0xFF4B6669,
    0xFF416062,
    0xFF284545,
    0xFF2A3F3E,
    0xFF2E3C3A,
    0xFF3B4644,
    0xFF465051,
    0xFF3A4449,
    0xFF31383D,
    0xFF6C6E72,
    0xFFB2B5B6,
    0xFFA2AEAB,
    0xFF617C73,
    0xFF466659,
    0xFF7D9589,
    0xFFDCE6E0,
    0xFFEFEEED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471E1F,
    0xFF2C2828,
    0xFF272C2C,
    0xFF282B2C,
    0xFF2A2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEC,
    0xFFECEBF4,
    0xFFA1A1C0,
    0xFF262663,
    0xFF0A0A5D,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0F0F61,
    0xFF7575AE,
    0xFFE5E4FD,
    0xFFEEEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDEE,
    0xFFE9E8F6,
    0xFF9595BA,
    0xFF222162,
    0xFF0B0B60,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF50508B,
    0xFFC9C8E4,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECECEA,
    0xFFECECED,
    0xFFE4E4E9,
    0xFFD5D5DC,
    0xFFD7D7DE,
    0xFFE7E7EA,
    0xFFEDECED,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F0F0,
    0xFFDAD8E8,
    0xFF595984,
    0xFF0C0B54,
    0xFF0E0D68,
    0xFF0F0F6E,
    0xFF0F0E6D,
    0xFF0D0C65,
    0xFF111158,
    0xFF6C6D96,
    0xFFDDDDEC,
    0xFFEFEFEF,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEEEB,
    0xFFE0E4D6,
    0xFF8C9979,
    0xFF526636,
    0xFF435B25,
    0xFF364821,
    0xFF475344,
    0xFF687176,
    0xFF515D6C,
    0xFF384958,
    0xFF3D4F56,
    0xFF435252,
    0xFF444E47,
    0xFF62635B,
    0xFFB3ADA1,
    0xFFD9D0BB,
    0xFFB8B18E,
    0xFFA7A678,
    0xFFB9BF8F,
    0xFF7A8360,
    0xFF434E3D,
    0xFF465253,
    0xFF4E6068,
    0xFF566B75,
    0xFF607780,
    0xFF627982,
    0xFF455D64,
    0xFF486367,
    0xFF4A6868,
    0xFF304C4A,
    0xFF233937,
    0xFF202E2E,
    0xFF283133,
    0xFF30373B,
    0xFF2E3339,
    0xFF35393D,
    0xFF818387,
    0xFFB5BABE,
    0xFF8C9D9C,
    0xFF507069,
    0xFF486B5D,
    0xFF93AC9F,
    0xFFE1EBE4,
    0xFFEEEDEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC71717,
    0xFF831718,
    0xFF471D1E,
    0xFF2B2828,
    0xFF262B2B,
    0xFF282A2B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF272628,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDEE,
    0xFFE9E9F5,
    0xFF9797BA,
    0xFF232262,
    0xFF0B0A5F,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0F0F60,
    0xFF7675AF,
    0xFFE6E5FE,
    0xFFEEEEF3,
    0xFFECEBE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDEE,
    0xFFEAE9F5,
    0xFF9A9ABB,
    0xFF242363,
    0xFF0B0B5E,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF4C4C87,
    0xFFC6C5E1,
    0xFFF0F0F5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF0F0F1,
    0xFFD2D2E5,
    0xFF545483,
    0xFF0C0B55,
    0xFF0E0D68,
    0xFF0F0F6E,
    0xFF0E0E6D,
    0xFF0B0A63,
    0xFF262669,
    0xFF9A99BF,
    0xFFEBEAF5,
    0xFFEEEDEC,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEEEB,
    0xFFE0E2D3,
    0xFF98A078,
    0xFF7A894A,
    0xFF70813A,
    0xFF46551E,
    0xFF414B30,
    0xFF57615E,
    0xFF636E79,
    0xFF5D6D78,
    0xFF44545B,
    0xFF3F4F4D,
    0xFF69736E,
    0xFFADB0AA,
    0xFFCECAC3,
    0xFFD1C8B9,
    0xFFB0A98B,
    0xFFB8B587,
    0xFFC4C594,
    0xFF7E825E,
    0xFF454B3C,
    0xFF454E51,
    0xFF3D4B57,
    0xFF465964,
    0xFF6A838C,
    0xFF708A92,
    0xFF556F75,
    0xFF516C6E,
    0xFF4E6A68,
    0xFF48635F,
    0xFF556C69,
    0xFF4A5C5D,
    0xFF354145,
    0xFF2E363B,
    0xFF31363A,
    0xFF4C4E50,
    0xFF989A9A,
    0xFFB4BBBA,
    0xFF7D918C,
    0xFF4A6A5C,
    0xFF547660,
    0xFF9BB29F,
    0xFFE2EBE2,
    0xFFEEEDEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0B,
    0xFFED0C0C,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0B,
    0xFFE90F10,
    0xFFC61717,
    0xFF821718,
    0xFF461E1F,
    0xFF2A282A,
    0xFF242B2C,
    0xFF262A2B,
    0xFF272A2B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF27292B,
    0xFF282A2C,
    0xFF262728,
    0xFF131414,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEEF0,
    0xFFE4E4F4,
    0xFF8A8BB2,
    0xFF1E1D61,
    0xFF0B0B61,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0F0F60,
    0xFF7675AF,
    0xFFE6E5FE,
    0xFFEEEEF3,
    0xFFECEBE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEC,
    0xFFECECF5,
    0xFFA2A2C1,
    0xFF262662,
    0xFF0A0A5D,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0E0E6B,
    0xFF0A0A5D,
    0xFF2C2C67,
    0xFFACABC6,
    0xFFEFEFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFF0F0F4,
    0xFFCACAE0,
    0xFF4D4C7E,
    0xFF0C0B57,
    0xFF0E0D68,
    0xFF0F0F6E,
    0xFF0E0D6C,
    0xFF090860,
    0xFF3B3B7E,
    0xFFBDBDE2,
    0xFFEFEEF9,
    0xFFEDECEB,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFEDEDEA,
    0xFFE4E5D3,
    0xFFB5B98D,
    0xFF9DA55F,
    0xFF8F9849,
    0xFF626C2B,
    0xFF323A16,
    0xFF232B1F,
    0xFF343D3F,
    0xFF404C4F,
    0xFF384746,
    0xFF384643,
    0xFF6F7874,
    0xFFBEC2C0,
    0xFFCFCCCB,
    0xFFCBC4BB,
    0xFFB5AE96,
    0xFFB9B48F,
    0xFF9F9C76,
    0xFF47492E,
    0xFF2A2F28,
    0xFF3F4A51,
    0xFF3C4E5B,
    0xFF3D5662,
    0xFF57737D,
    0xFF637F87,
    0xFF5A757A,
    0xFF506A6B,
    0xFF3F5652,
    0xFF3C534D,
    0xFF536966,
    0xFF55696B,
    0xFF56676B,
    0xFF4F5B5E,
    0xFF3F4444,
    0xFF61635F,
    0xFFABAEA8,
    0xFFB0BAB3,
    0xFF74897C,
    0xFF4B6851,
    0xFF587556,
    0xFF91A38A,
    0xFFE0E7DC,
    0xFFEFEEED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F10,
    0xFFE71112,
    0xFFEE0C0C,
    0xFFED0C0D,
    0xFFEA0E0E,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0F,
    0xFFEA0E0E,
    0xFFEC0D0D,
    0xFFEE0C0C,
    0xFFE80E0F,
    0xFFC71617,
    0xFF841616,
    0xFF461A1B,
    0xFF2B2424,
    0xFF242728,
    0xFF272627,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF282526,
    0xFF292627,
    0xFF262425,
    0xFF131212,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEEF1,
    0xFFE3E4F4,
    0xFF8687B0,
    0xFF1D1D62,
    0xFF0C0B62,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0F0F60,
    0xFF7675AF,
    0xFFE6E5FE,
    0xFFEEEEF3,
    0xFFECEBE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEEEEF5,
    0xFFA7A8C5,
    0xFF282862,
    0xFF0A0A5D,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0F0E6C,
    0xFF0A0A5D,
    0xFF23235E,
    0xFFA6A5C0,
    0xFFF1F1F6,
    0xFFEDEDEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEFEEF8,
    0xFFB8B7D7,
    0xFF3D3D78,
    0xFF0A0A5C,
    0xFF0E0E6A,
    0xFF0E0E6D,
    0xFF0C0B63,
    0xFF19185D,
    0xFF7D7DA7,
    0xFFE2E1F2,
    0xFFEEEEF0,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBEBEE,
    0xFFEDEDEA,
    0xFFE9E8D5,
    0xFFBBBA8B,
    0xFF909049,
    0xFF828333,
    0xFF6D702D,
    0xFF3F4418,
    0xFF21270F,
    0xFF242C1C,
    0xFF30382C,
    0xFF2B372D,
    0xFF26322A,
    0xFF535D59,
    0xFF9BA0A2,
    0xFFB6B7BB,
    0xFFBCB8B6,
    0xFFC4BEB0,
    0xFFC5BFA4,
    0xFFABA789,
    0xFF6A6955,
    0xFF303430,
    0xFF344149,
    0xFF415863,
    0xFF47666F,
    0xFF486971,
    0xFF507076,
    0xFF4E6B6E,
    0xFF465D5B,
    0xFF344741,
    0xFF42544D,
    0xFF526460,
    0xFF435558,
    0xFF495B60,
    0xFF4D595E,
    0xFF454A48,
    0xFF6E7068,
    0xFFB3B7AD,
    0xFFA3B0A5,
    0xFF677E6C,
    0xFF4E6C4D,
    0xFF5E7952,
    0xFF97A88A,
    0xFFE2E8DB,
    0xFFEEEEED,
    0xFFECEBED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F5,
    0xFFC7CBCA,
    0xFF503535,
    0xFF530000,
    0xFFB50F16,
    0xFFE71221,
    0xFFEF0C21,
    0xFFEC0C23,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFE90D24,
    0xFFEB0C23,
    0xFFED0C23,
    0xFFE50F23,
    0xFFCA1B2A,
    0xFF8D1E26,
    0xFF4C1E1F,
    0xFF2F2827,
    0xFF282D2C,
    0xFF2A2C2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2B2B2B,
    0xFF2C2C2C,
    0xFF282827,
    0xFF131313,
    0xFF1A1A1B,
    0xFF7E7D7E,
    0xFFB9B9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEFEEF3,
    0xFFE0E0F5,
    0xFF7C7CAB,
    0xFF191861,
    0xFF0C0B64,
    0xFF0F0E6B,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0F0F60,
    0xFF7675AF,
    0xFFE6E5FE,
    0xFFEEEEF3,
    0xFFECEBE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEEEEF5,
    0xFFA8A8C5,
    0xFF282862,
    0xFF0A0A5D,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0F0E6C,
    0xFF0A0A5D,
    0xFF23235E,
    0xFFA6A5C1,
    0xFFF1F1F6,
    0xFFEDEDEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEDF0,
    0xFFE9E9FC,
    0xFF9191C0,
    0xFF21206A,
    0xFF0B0A64,
    0xFF0E0E6D,
    0xFF0D0D6B,
    0xFF0C0B5F,
    0xFF3B3B77,
    0xFFB5B4D1,
    0xFFEEEEF4,
    0xFFEDECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFEDEDE9,
    0xFFEBEAD5,
    0xFFB9B287,
    0xFF786E2F,
    0xFF665D1B,
    0xFF59541C,
    0xFF3E3D12,
    0xFF31340F,
    0xFF383B18,
    0xFF404625,
    0xFF2C321A,
    0xFF161E12,
    0xFF1D2521,
    0xFF2E3536,
    0xFF55585B,
    0xFF7C7D7D,
    0xFFA09C95,
    0xFFB0AA9D,
    0xFFBDB8A8,
    0xFFB2B1A7,
    0xFF9CA4A2,
    0xFF778A8F,
    0xFF4A666D,
    0xFF476A6F,
    0xFF486C71,
    0xFF486A6F,
    0xFF4B6769,
    0xFF475C57,
    0xFF3C4A3F,
    0xFF3E4A3E,
    0xFF515D58,
    0xFF4E5C5E,
    0xFF4F5D64,
    0xFF434E51,
    0xFF414741,
    0xFF848679,
    0xFFB7BEB0,
    0xFF94A69A,
    0xFF52705E,
    0xFF4B6E4E,
    0xFF66835B,
    0xFFA1B291,
    0xFFE4E9DA,
    0xFFEEEDEC,
    0xFFECEBEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDF4F3,
    0xFFC7CBC8,
    0xFF4F3536,
    0xFF500007,
    0xFFB6103F,
    0xFFEB1467,
    0xFFF00D78,
    0xFFEC0C81,
    0xFFEA0D81,
    0xFFEA0D80,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEA0D7F,
    0xFFEB0D7F,
    0xFFEE0B7F,
    0xFFEC0C7F,
    0xFFD41880,
    0xFFAA4491,
    0xFF7182AB,
    0xFF30A4AF,
    0xFF10B1AF,
    0xFF0DB3B1,
    0xFF11B1B2,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF13B0B1,
    0xFF12B0B1,
    0xFF10B1B2,
    0xFF10B1B2,
    0xFF1FAEAF,
    0xFF319696,
    0xFF0F3F3F,
    0xFF131B1B,
    0xFF817B7B,
    0xFFBCB8B8,
    0xFFB6B5B5,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFECECE9,
    0xFFF0EFF7,
    0xFFD5D5F4,
    0xFF5A5997,
    0xFF0C0C5F,
    0xFF0D0D69,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0F0F60,
    0xFF7675AF,
    0xFFE6E5FE,
    0xFFEEEEF3,
    0xFFECEBE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEEEEF5,
    0xFFA8A8C5,
    0xFF282862,
    0xFF0A0A5D,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0F0E6C,
    0xFF0A0A5D,
    0xFF23235E,
    0xFFA6A5C1,
    0xFFF1F1F6,
    0xFFEDEDEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEFEFF2,
    0xFFD8D8EF,
    0xFF68679D,
    0xFF111162,
    0xFF0C0C69,
    0xFF0E0E6D,
    0xFF0C0B64,
    0xFF1E1E65,
    0xFF8586B3,
    0xFFE2E2F5,
    0xFFEEEEF0,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFEDEDE8,
    0xFFEBE7D2,
    0xFFB4AA7F,
    0xFF77672C,
    0xFF635216,
    0xFF4E420E,
    0xFF3C3809,
    0xFF403F0F,
    0xFF5B5C26,
    0xFF6D6D3C,
    0xFF3D401D,
    0xFF151A08,
    0xFF101712,
    0xFF101916,
    0xFF171F1D,
    0xFF232725,
    0xFF3D3D39,
    0xFF6A6662,
    0xFF999491,
    0xFFABAEAC,
    0xFFB3BFBF,
    0xFF8AA3A2,
    0xFF496B6A,
    0xFF446B6C,
    0xFF4F777A,
    0xFF496C71,
    0xFF3F5A5B,
    0xFF35473F,
    0xFF363F32,
    0xFF393E31,
    0xFF3F453F,
    0xFF4C565A,
    0xFF606C73,
    0xFF465053,
    0xFF464B44,
    0xFF9EA092,
    0xFFB5BEB2,
    0xFF839C93,
    0xFF4E7569,
    0xFF4A755B,
    0xFF5B7C59,
    0xFF9CAE91,
    0xFFE3E9DC,
    0xFFEEEDEC,
    0xFFECEBED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEB,
    0xFFEFF5F0,
    0xFFC7CBC7,
    0xFF4E3244,
    0xFF4D0034,
    0xFFB51092,
    0xFFE914C8,
    0xFFEE0BD5,
    0xFFEC0BD9,
    0xFFE90DD7,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFE90DD6,
    0xFFEB0CD7,
    0xFFEF0AD7,
    0xFFEB0BD6,
    0xFFD11AD4,
    0xFF9D4FD9,
    0xFF629EEB,
    0xFF29D6EF,
    0xFF09E9E8,
    0xFF04EBE8,
    0xFF0AE9E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8E8,
    0xFF0BE8EA,
    0xFF07E9EB,
    0xFF07E9EB,
    0xFF1CE6E7,
    0xFF38C5C6,
    0xFF0F5152,
    0xFF101C1C,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF1F0F9,
    0xFFD3D2F4,
    0xFF525092,
    0xFF09085F,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0F0F60,
    0xFF7675AF,
    0xFFE6E5FE,
    0xFFEEEEF3,
    0xFFECEBE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEA,
    0xFFF1F1F4,
    0xFFB2B1CA,
    0xFF2C2C64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0F0E6C,
    0xFF0A0A5D,
    0xFF23235E,
    0xFFA6A5C1,
    0xFFF1F1F6,
    0xFFEDEDEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDEDEC,
    0xFFEDECF5,
    0xFFABABC9,
    0xFF30316A,
    0xFF0A0A5D,
    0xFF0D0D6C,
    0xFF0D0D6A,
    0xFF0B0C5B,
    0xFF49487D,
    0xFFC4C3DC,
    0xFFEFEFF4,
    0xFFEDECEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFEEEEE8,
    0xFFE8E5CE,
    0xFFADA077,
    0xFF7B642C,
    0xFF6B5218,
    0xFF513E0A,
    0xFF4C430F,
    0xFF5E5B1E,
    0xFF7D7A35,
    0xFF878543,
    0xFF4D4E1F,
    0xFF1C2108,
    0xFF141C11,
    0xFF111C14,
    0xFF111C14,
    0xFF141B15,
    0xFF161917,
    0xFF201E21,
    0xFF333136,
    0xFF4F5458,
    0xFF758785,
    0xFF77958E,
    0xFF497068,
    0xFF3B6763,
    0xFF376262,
    0xFF355A5C,
    0xFF34504E,
    0xFF3C4B41,
    0xFF474C3C,
    0xFF3D3D2E,
    0xFF383932,
    0xFF4E5457,
    0xFF626B73,
    0xFF4E5459,
    0xFF5A5B55,
    0xFFABACA0,
    0xFFB1BCB3,
    0xFF6F8D8C,
    0xFF3F6E6C,
    0xFF376B5D,
    0xFF2A543A,
    0xFF768D75,
    0xFFDFE6DA,
    0xFFEFEEED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4D004C,
    0xFFB610B4,
    0xFFE913E7,
    0xFFED0BEC,
    0xFFEB0BEB,
    0xFFE90DE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90EE9,
    0xFFE90DE9,
    0xFFEB0CE9,
    0xFFEF0AE9,
    0xFFED0BE9,
    0xFFD419E4,
    0xFFA149E2,
    0xFF6596ED,
    0xFF2CD2EF,
    0xFF0BE7EA,
    0xFF05E9E8,
    0xFF0AE7E8,
    0xFF0BE6EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE6EA,
    0xFF0BE6EA,
    0xFF08E7EB,
    0xFF07E8EB,
    0xFF1DE3E7,
    0xFF36C3C5,
    0xFF0E5051,
    0xFF101C1C,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF1F0F9,
    0xFFD3D2F4,
    0xFF525092,
    0xFF09085F,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0F0F60,
    0xFF7675AF,
    0xFFE6E5FE,
    0xFFEEEEF3,
    0xFFECEBE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F4,
    0xFFB4B3CB,
    0xFF2C2D64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0F0E6C,
    0xFF0A0A5D,
    0xFF23235E,
    0xFFA6A5C1,
    0xFFF1F1F6,
    0xFFEDEDEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEFEFF4,
    0xFFDCDCF5,
    0xFF7373A7,
    0xFF151562,
    0xFF0C0B66,
    0xFF0E0D6B,
    0xFF0C0C61,
    0xFF323273,
    0xFFA3A3C9,
    0xFFE9E9F5,
    0xFFEDEDED,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECEC,
    0xFFEDEDE7,
    0xFFE8E4D0,
    0xFFB5A881,
    0xFF89703A,
    0xFF785C23,
    0xFF58420D,
    0xFF53480F,
    0xFF67621D,
    0xFF7B7826,
    0xFF888433,
    0xFF666625,
    0xFF383C13,
    0xFF242F17,
    0xFF192818,
    0xFF142517,
    0xFF16251A,
    0xFF161E19,
    0xFF18191C,
    0xFF16171E,
    0xFF151E22,
    0xFF1F332F,
    0xFF26443B,
    0xFF2D5248,
    0xFF365E56,
    0xFF325A56,
    0xFF2F504F,
    0xFF354E49,
    0xFF6A776C,
    0xFFAFB3A3,
    0xFFA1A091,
    0xFF595951,
    0xFF3F4447,
    0xFF565C65,
    0xFF565A5E,
    0xFF7A7A76,
    0xFFB6B6AE,
    0xFFA7B4B0,
    0xFF608285,
    0xFF386D71,
    0xFF2D6560,
    0xFF1F4B3C,
    0xFF718979,
    0xFFDFE6DE,
    0xFFEFEFEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004C,
    0xFFB50FB5,
    0xFFE913E8,
    0xFFEE0BEE,
    0xFFEB0CEC,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEA0EEA,
    0xFFEB0DEA,
    0xFFEF0AEB,
    0xFFEC0BE9,
    0xFFD41AE5,
    0xFFA14AE5,
    0xFF6598EE,
    0xFF2CD2F0,
    0xFF0BE7EB,
    0xFF05E9E8,
    0xFF0AE7E8,
    0xFF0BE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0CE6EA,
    0xFF0BE6EA,
    0xFF08E8EB,
    0xFF08E8EB,
    0xFF1DE4E7,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF1F0F9,
    0xFFD3D2F4,
    0xFF525092,
    0xFF09085F,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0F0F61,
    0xFF7675AF,
    0xFFE6E5FE,
    0xFFEEEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F4,
    0xFFB4B3CB,
    0xFF2C2D64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0F0E6C,
    0xFF0A0A5D,
    0xFF23235E,
    0xFFA6A5C1,
    0xFFF1F1F6,
    0xFFEDEDEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDEDEA,
    0xFFEEEEF6,
    0xFFB6B5D7,
    0xFF3D3C7C,
    0xFF0B0A61,
    0xFF0D0D6C,
    0xFF0C0B66,
    0xFF212168,
    0xFF8888B2,
    0xFFE1E1F0,
    0xFFEEEEEF,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBECED,
    0xFFECEDEA,
    0xFFE7E4D5,
    0xFFB6AC85,
    0xFF8C7B3D,
    0xFF907B32,
    0xFF7F6C25,
    0xFF61540E,
    0xFF60580D,
    0xFF78741D,
    0xFF989636,
    0xFF95963D,
    0xFF5E651E,
    0xFF354415,
    0xFF273F20,
    0xFF203B26,
    0xFF233B2A,
    0xFF213124,
    0xFF1E2720,
    0xFF181F1D,
    0xFF121B1B,
    0xFF101D1B,
    0xFF0E201A,
    0xFF142721,
    0xFF1E332C,
    0xFF293F39,
    0xFF32463D,
    0xFF3A4C40,
    0xFF495748,
    0xFF687162,
    0xFF8E958A,
    0xFF767D7A,
    0xFF495155,
    0xFF4C5259,
    0xFF56595D,
    0xFF8F908E,
    0xFFB6BDB8,
    0xFF93A9A4,
    0xFF537B79,
    0xFF3F736F,
    0xFF2D6058,
    0xFF1E4336,
    0xFF718479,
    0xFFDFE4E0,
    0xFFEFEFEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF05EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0CE7EB,
    0xFF0BE8EB,
    0xFF08E9EC,
    0xFF08E9EC,
    0xFF1DE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF1F0F9,
    0xFFD3D2F4,
    0xFF525092,
    0xFF09085F,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0E0E60,
    0xFF7171AA,
    0xFFE2E1FC,
    0xFFEEEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F4,
    0xFFB4B3CB,
    0xFF2C2D64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0E0E6B,
    0xFF0A0A5D,
    0xFF2A2964,
    0xFFABAAC5,
    0xFFF0F0F5,
    0xFFEDECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEFEEF2,
    0xFFD7D7EB,
    0xFF6C6C9A,
    0xFF161560,
    0xFF0C0B65,
    0xFF0C0D67,
    0xFF171765,
    0xFF66659B,
    0xFFD1D1EA,
    0xFFEEEEF4,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBEBEE,
    0xFFEDEDED,
    0xFFE6E2D7,
    0xFFA69F7A,
    0xFF837734,
    0xFF92832F,
    0xFF8B7B29,
    0xFF6D6018,
    0xFF564C06,
    0xFF645F0E,
    0xFF8D8A2B,
    0xFF9B9C38,
    0xFF767C25,
    0xFF415011,
    0xFF28421B,
    0xFF27462C,
    0xFF294632,
    0xFF273C2A,
    0xFF253425,
    0xFF212D24,
    0xFF192623,
    0xFF172220,
    0xFF18201C,
    0xFF171E16,
    0xFF1B2118,
    0xFF293224,
    0xFF2F3A29,
    0xFF303B29,
    0xFF2F3B2A,
    0xFF344033,
    0xFF55615A,
    0xFF5C6867,
    0xFF455052,
    0xFF434A4D,
    0xFF595B5D,
    0xFF8F9191,
    0xFFADB8B6,
    0xFF8BA5A1,
    0xFF48736A,
    0xFF39695D,
    0xFF285447,
    0xFF1D392D,
    0xFF6F7C75,
    0xFFE0E2E0,
    0xFFF0EFEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF1F0F9,
    0xFFD3D2F4,
    0xFF525092,
    0xFF09085F,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0E0E60,
    0xFF6D6DA6,
    0xFFDFDEF9,
    0xFFEEEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F4,
    0xFFB4B3CB,
    0xFF2C2D64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF4B4A85,
    0xFFC5C4E0,
    0xFFF0F0F5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEDED,
    0xFFEAE8F8,
    0xFF9797C2,
    0xFF24236C,
    0xFF0A0964,
    0xFF0C0C68,
    0xFF131261,
    0xFF59588E,
    0xFFC5C5DE,
    0xFFEDEDF2,
    0xFFEDECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEBEBEE,
    0xFFEEEDEF,
    0xFFE3E0D8,
    0xFF95906F,
    0xFF756C2E,
    0xFF8C7F2F,
    0xFF817224,
    0xFF665816,
    0xFF514707,
    0xFF675F18,
    0xFF89842E,
    0xFF8E8C2E,
    0xFF8A8C37,
    0xFF5C6627,
    0xFF293E14,
    0xFF244026,
    0xFF233E2C,
    0xFF203424,
    0xFF213223,
    0xFF203025,
    0xFF1B2E27,
    0xFF1C2E26,
    0xFF202D1F,
    0xFF262F1A,
    0xFF383E25,
    0xFF43492F,
    0xFF333B22,
    0xFF2B341F,
    0xFF232D1C,
    0xFF1D271A,
    0xFF2C3730,
    0xFF404B49,
    0xFF414B4B,
    0xFF404748,
    0xFF5B5E5F,
    0xFF878A8A,
    0xFF99A5A2,
    0xFF748E89,
    0xFF446C63,
    0xFF396659,
    0xFF204638,
    0xFF172E23,
    0xFF6F7871,
    0xFFE1E2E0,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF1F0F9,
    0xFFD4D4F5,
    0xFF535294,
    0xFF090860,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0E0E60,
    0xFF6D6CA6,
    0xFFDFDEF9,
    0xFFEEEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F4,
    0xFFB4B3CB,
    0xFF2C2D64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0D6A,
    0xFF0D0C60,
    0xFF4F4F8A,
    0xFFC9C8E3,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEB,
    0xFFEEEEF4,
    0xFFC2C2DC,
    0xFF4D4D84,
    0xFF0E0E5E,
    0xFF0D0C67,
    0xFF09095C,
    0xFF35346F,
    0xFFB1B1CF,
    0xFFEDECF5,
    0xFFEDECEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECED,
    0xFFEFEEF1,
    0xFFE2E0DC,
    0xFF85806A,
    0xFF504818,
    0xFF796D29,
    0xFF80722C,
    0xFF635416,
    0xFF53460D,
    0xFF63571B,
    0xFF766D24,
    0xFF7A7322,
    0xFF908C3F,
    0xFF767A3C,
    0xFF314216,
    0xFF1E361B,
    0xFF1D3525,
    0xFF1C3023,
    0xFF1D2F24,
    0xFF192F24,
    0xFF183226,
    0xFF1D3624,
    0xFF22361A,
    0xFF313E18,
    0xFF535B2F,
    0xFF565B31,
    0xFF3B411E,
    0xFF30351C,
    0xFF1F2514,
    0xFF171D12,
    0xFF171D17,
    0xFF1F2622,
    0xFF2A312F,
    0xFF303735,
    0xFF353B38,
    0xFF444A48,
    0xFF64706D,
    0xFF647C77,
    0xFF587C73,
    0xFF3C6357,
    0xFF163226,
    0xFF101E15,
    0xFF6B6F6A,
    0xFFE1E0DF,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFECECE9,
    0xFFF0EFF7,
    0xFFD6D6F5,
    0xFF5C5B98,
    0xFF0C0C5F,
    0xFF0D0D68,
    0xFF0F0F6C,
    0xFF0F0F6C,
    0xFF0C0C69,
    0xFF0E0E60,
    0xFF6B6AA4,
    0xFFDDDCF7,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F4,
    0xFFB4B3CB,
    0xFF2C2D64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF51518C,
    0xFFCAC9E5,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEEEEF2,
    0xFFD6D5EC,
    0xFF6C6CA0,
    0xFF151664,
    0xFF0B0B67,
    0xFF0A0A64,
    0xFF26256E,
    0xFF9695C0,
    0xFFE7E6F6,
    0xFFEEEDEF,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDEDF0,
    0xFFE1E0DF,
    0xFF807D6E,
    0xFF3B360E,
    0xFF706629,
    0xFF887B38,
    0xFF6B5C20,
    0xFF574816,
    0xFF554617,
    0xFF5B4D16,
    0xFF6B5D1A,
    0xFF8E833D,
    0xFF828042,
    0xFF3C4518,
    0xFF1E3116,
    0xFF1C3223,
    0xFF1E3329,
    0xFF21362D,
    0xFF1C362B,
    0xFF183927,
    0xFF1E3E23,
    0xFF284218,
    0xFF495A22,
    0xFF6E7839,
    0xFF64692F,
    0xFF4C4F21,
    0xFF3A3D1E,
    0xFF242714,
    0xFF1B1E13,
    0xFF1A1D16,
    0xFF1D221B,
    0xFF252A24,
    0xFF272D26,
    0xFF232823,
    0xFF1D2421,
    0xFF2E3B38,
    0xFF4F6761,
    0xFF587970,
    0xFF37584D,
    0xFF15291F,
    0xFF181F17,
    0xFF6D6C68,
    0xFFE1DFDE,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEEF1,
    0xFFE3E4F5,
    0xFF8787B3,
    0xFF1D1D62,
    0xFF0C0B62,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0C69,
    0xFF0D0D5F,
    0xFF61619B,
    0xFFD7D6F1,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F4,
    0xFFB4B3CB,
    0xFF2C2D64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0C6A,
    0xFF0D0D60,
    0xFF5E5E99,
    0xFFD4D3EF,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEEEEEF,
    0xFFE4E4F3,
    0xFF8D8DB5,
    0xFF212165,
    0xFF0A0A62,
    0xFF0B0A64,
    0xFF212169,
    0xFF8988B3,
    0xFFE2E1F1,
    0xFFEFEEEF,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEDEDF0,
    0xFFDFDFDD,
    0xFF7B796B,
    0xFF4F4B25,
    0xFF938B4E,
    0xFF9D914D,
    0xFF796B30,
    0xFF59491C,
    0xFF4A3B13,
    0xFF514012,
    0xFF6B5A1F,
    0xFF8C7E3A,
    0xFF7A7333,
    0xFF3B4112,
    0xFF27371C,
    0xFF24382A,
    0xFF253A32,
    0xFF283E36,
    0xFF264336,
    0xFF224732,
    0xFF264D29,
    0xFF3E5F28,
    0xFF72883F,
    0xFF838E40,
    0xFF6D712B,
    0xFF5D5D28,
    0xFF3F3E1B,
    0xFF302F1B,
    0xFF2E2E23,
    0xFF2A2B23,
    0xFF2D3028,
    0xFF30352B,
    0xFF292E25,
    0xFF1F251E,
    0xFF1B241F,
    0xFF182824,
    0xFF253E37,
    0xFF39584E,
    0xFF314C40,
    0xFF212E25,
    0xFF262621,
    0xFF746F6B,
    0xFFE3DFDE,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEEF1,
    0xFFE3E3F4,
    0xFF8687B0,
    0xFF1D1D62,
    0xFF0C0B62,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0C69,
    0xFF0E0E5F,
    0xFF61619B,
    0xFFD6D5F0,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F4,
    0xFFB4B3CB,
    0xFF2C2D64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0C6A,
    0xFF0D0D60,
    0xFF63629D,
    0xFFD8D7F3,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEDECEB,
    0xFFEBEAF4,
    0xFFA9A9C9,
    0xFF393978,
    0xFF0D0C61,
    0xFF0A0961,
    0xFF191860,
    0xFF7A7AA6,
    0xFFDEDDEF,
    0xFFEEEEF0,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECED,
    0xFFE8E8E8,
    0xFFCDCCC9,
    0xFFC6C4BA,
    0xFFDBD9C8,
    0xFFDCD8C5,
    0xFFD0CCBC,
    0xFFC5C1B4,
    0xFFC0BBAF,
    0xFFC4BEB0,
    0xFFCCC7B6,
    0xFFD2CEBA,
    0xFFCBC8B6,
    0xFFBABCAE,
    0xFFB5BAB2,
    0xFFB4BAB7,
    0xFFB4BBB9,
    0xFFB4BBB9,
    0xFFB4BDBA,
    0xFFB4BFB8,
    0xFFB6C2B6,
    0xFFC0CBB9,
    0xFFD0D7C1,
    0xFFD1D3BC,
    0xFFC9C9B5,
    0xFFC6C5B5,
    0xFFBCBBB0,
    0xFFB8B7B1,
    0xFFB9B8B4,
    0xFFB8B7B5,
    0xFFB9BAB7,
    0xFFB9BBB7,
    0xFFB5B7B3,
    0xFFB2B4B1,
    0xFFB2B5B2,
    0xFFB1B5B5,
    0xFFB3BBB9,
    0xFFB8C1BD,
    0xFFB8BFBB,
    0xFFB4B7B4,
    0xFFB5B4B2,
    0xFFCBC9C9,
    0xFFEAE8E9,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDEE,
    0xFFE7E6F4,
    0xFF9191B7,
    0xFF212062,
    0xFF0B0B60,
    0xFF0F0E6C,
    0xFF0F0F6E,
    0xFF0D0D6A,
    0xFF0D0D5E,
    0xFF53538C,
    0xFFCCCBE6,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF1F1F5,
    0xFFB2B1CA,
    0xFF2C2C64,
    0xFF09095B,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0E0D61,
    0xFF6A69A4,
    0xFFDEDDF8,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEDEDF4,
    0xFFC5C5E0,
    0xFF55558C,
    0xFF121261,
    0xFF0A0A64,
    0xFF141263,
    0xFF6C6BA2,
    0xFFD5D5EE,
    0xFFEEEEF3,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9E9,
    0xFFEBEAEA,
    0xFFEBEAEA,
    0xFFEAE9E9,
    0xFFEAE9E9,
    0xFFEAE9E9,
    0xFFEAE9E9,
    0xFFEAE9E9,
    0xFFEAEAEA,
    0xFFEAE9E9,
    0xFFE9E9E9,
    0xFFE9E9E9,
    0xFFE9E9E9,
    0xFFE9E9E9,
    0xFFE9E9EA,
    0xFFE9E9E9,
    0xFFE9E9E9,
    0xFFE9E9E9,
    0xFFEAE9E9,
    0xFFEAEAEA,
    0xFFEBEAEA,
    0xFFEAE9E9,
    0xFFEAE9E9,
    0xFFEAE9E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEAE9E9,
    0xFFEAE9E9,
    0xFFE9E9E9,
    0xFFE9E9E9,
    0xFFE9E9E9,
    0xFFE9E8E9,
    0xFFE9E9E9,
    0xFFE9E9EA,
    0xFFE9E9EA,
    0xFFE9E9E9,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDED,
    0xFFEAE9F5,
    0xFF9B9BBC,
    0xFF242462,
    0xFF0A0A5E,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0D0D6A,
    0xFF0C0C5E,
    0xFF474780,
    0xFFC3C2DD,
    0xFFF0F0F5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEEEEF5,
    0xFFA8A8C5,
    0xFF282862,
    0xFF0A0A5C,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0C0C69,
    0xFF0D0D60,
    0xFF6F6EA9,
    0xFFE2E1FC,
    0xFFEEEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEEEDF3,
    0xFFCCCDE4,
    0xFF636397,
    0xFF151564,
    0xFF0A0A64,
    0xFF141363,
    0xFF626297,
    0xFFD0D0E7,
    0xFFEEEEF2,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEDEDF5,
    0xFFA6A6C5,
    0xFF292963,
    0xFF0A0A5D,
    0xFF0F0E6B,
    0xFF0F0F6E,
    0xFF0E0E6B,
    0xFF0A0A5C,
    0xFF2B2B64,
    0xFFABABC6,
    0xFFF0F0F5,
    0xFFEDEDEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEB,
    0xFFEEEEF5,
    0xFFA8A8C5,
    0xFF282863,
    0xFF0A0A5D,
    0xFF0F0E6C,
    0xFF0E0E6D,
    0xFF0B0B63,
    0xFF252469,
    0xFF9797C2,
    0xFFEAE9FA,
    0xFFEDEDEF,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEEEEF0,
    0xFFDBDBEF,
    0xFF7777A7,
    0xFF1A1966,
    0xFF0A0961,
    0xFF181766,
    0xFF67669C,
    0xFFCCCCE5,
    0xFFEDEDF4,
    0xFFEDECEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEA,
    0xFFEFEFF5,
    0xFFB2B1CC,
    0xFF303069,
    0xFF0A0A5C,
    0xFF0E0E6B,
    0xFF0F0F6E,
    0xFF0F0E6B,
    0xFF0A0A5D,
    0xFF22225F,
    0xFF9D9DBC,
    0xFFEDEDF5,
    0xFFEDECEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEC,
    0xFFECECF5,
    0xFFA1A1C0,
    0xFF262663,
    0xFF0A0A5D,
    0xFF0F0E6D,
    0xFF0E0E6B,
    0xFF0A0A5C,
    0xFF35356F,
    0xFFB2B1D0,
    0xFFEEEDF6,
    0xFFEDECEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDEDEF,
    0xFFE1E1F0,
    0xFF8E8EB6,
    0xFF262569,
    0xFF0A0A5D,
    0xFF171664,
    0xFF64639B,
    0xFFCDCDE8,
    0xFFEDEDF4,
    0xFFEDECEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFF0F0F3,
    0xFFCAC9E1,
    0xFF505088,
    0xFF0D0D5F,
    0xFF0D0D6A,
    0xFF0F0F6E,
    0xFF0F0E6C,
    0xFF0B0A5F,
    0xFF201F5F,
    0xFF9393B5,
    0xFFEAE9F4,
    0xFFEEEDEE,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDEE,
    0xFFEAE9F5,
    0xFF9898BB,
    0xFF232262,
    0xFF0B0A60,
    0xFF0F0E6D,
    0xFF0E0D6A,
    0xFF0B0959,
    0xFF3F3E73,
    0xFFC1C1D8,
    0xFFF0EFF4,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDEDED,
    0xFFE5E4F2,
    0xFF9998C0,
    0xFF2C2C70,
    0xFF09095F,
    0xFF131263,
    0xFF595991,
    0xFFC5C5E0,
    0xFFEDEDF2,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEFEFF2,
    0xFFD9D9F0,
    0xFF68689F,
    0xFF101061,
    0xFF0C0C69,
    0xFF0F0F6E,
    0xFF0F0E6B,
    0xFF0C0B62,
    0xFF1A1A60,
    0xFF8080AB,
    0xFFE3E3F4,
    0xFFEEEEF0,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEEF0,
    0xFFE6E6F6,
    0xFF8D8DB5,
    0xFF1F1F63,
    0xFF0B0B62,
    0xFF0E0E6D,
    0xFF0C0C69,
    0xFF110F5D,
    0xFF605F90,
    0xFFD5D4E8,
    0xFFF0EFF1,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEDEDEC,
    0xFFE9E9F5,
    0xFFA8A7CD,
    0xFF353477,
    0xFF0A095F,
    0xFF0E0F5F,
    0xFF4A4A84,
    0xFFBCBCDA,
    0xFFECECF4,
    0xFFEDECEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEEEEF1,
    0xFFE4E4FA,
    0xFF7E7EB2,
    0xFF161564,
    0xFF0B0B67,
    0xFF0E0E6C,
    0xFF0F0F6C,
    0xFF0D0D69,
    0xFF0B0A5F,
    0xFF4B4B8B,
    0xFFCDCCEE,
    0xFFF0EFF8,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEFEFF3,
    0xFFDFDFF6,
    0xFF7776A7,
    0xFF171561,
    0xFF0C0B66,
    0xFF0E0E6D,
    0xFF0A0A67,
    0xFF1B1967,
    0xFF8686B5,
    0xFFE4E4F7,
    0xFFEEEEEF,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEC,
    0xFFEBEAF3,
    0xFFB3B3D1,
    0xFF42417D,
    0xFF0C0C5D,
    0xFF0E0D61,
    0xFF424283,
    0xFFB1B1D4,
    0xFFEBEAF6,
    0xFFEDECEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEAEAEA,
    0xFFE9E9E9,
    0xFFE9E9E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEE,
    0xFFEDEDFA,
    0xFFA7A7CC,
    0xFF302F70,
    0xFF0A0A5F,
    0xFF0E0E6A,
    0xFF0F0F6D,
    0xFF0E0E6B,
    0xFF0A0961,
    0xFF3B3B7E,
    0xFFBCBBE0,
    0xFFEFEEF8,
    0xFFEDECEB,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECEA,
    0xFFF0EFF8,
    0xFFD0D0F0,
    0xFF504F90,
    0xFF0A0960,
    0xFF0D0D6C,
    0xFF0E0E6C,
    0xFF0B0A61,
    0xFF333276,
    0xFFACACD3,
    0xFFEDEDFB,
    0xFFEDECEC,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFEDECEC,
    0xFFECEBF4,
    0xFFBCBCDA,
    0xFF4B4A86,
    0xFF0E0E61,
    0xFF090862,
    0xFF313078,
    0xFFA6A7D0,
    0xFFE6E7F5,
    0xFFE7E8E8,
    0xFFE4E4E5,
    0xFFE4E4E5,
    0xFFE4E4E7,
    0xFFE4E4E7,
    0xFFE4E4E7,
    0xFFE3E3E7,
    0xFFDDDDE2,
    0xFFD9D8DF,
    0xFFD9D8E0,
    0xFFD6D7E0,
    0xFFD0D0D9,
    0xFFCDCDD9,
    0xFFCCCCDA,
    0xFFC3C4D6,
    0xFFB4B4C9,
    0xFFB2B2C3,
    0xFFD8D7E2,
    0xFFEDEDEF,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECECEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFEBEAE8,
    0xFFEBE8E5,
    0xFFEBE8E4,
    0xFFECE8E4,
    0xFFEBE8E4,
    0xFFECE9E7,
    0xFFECEAE9,
    0xFFECEBEC,
    0xFFECECEC,
    0xFFECEBEC,
    0xFFECEAE8,
    0xFFEBE5E0,
    0xFFEAE2DB,
    0xFFEAE2DA,
    0xFFECE7E1,
    0xFFEDEAE7,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFEBEAE8,
    0xFFEBE8E5,
    0xFFEBE8E4,
    0xFFEBE8E4,
    0xFFEBE8E6,
    0xFFEBE9E8,
    0xFFEBEAEA,
    0xFFECEBEC,
    0xFFECECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFEFEFF4,
    0xFFC5C4DD,
    0xFF47467A,
    0xFF0B0A59,
    0xFF0E0D68,
    0xFF0F0F6E,
    0xFF0E0E6C,
    0xFF0B0A62,
    0xFF2A2A6D,
    0xFFA2A1C6,
    0xFFECECF5,
    0xFFEEEDEC,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDECEA,
    0xFFEFEFF8,
    0xFFC1C0E2,
    0xFF444385,
    0xFF0A0961,
    0xFF0D0D6C,
    0xFF0D0C68,
    0xFF0F0E59,
    0xFF5D5D8D,
    0xFFD3D3E8,
    0xFFEFEFF4,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEFEEF5,
    0xFFD2D2ED,
    0xFF605F97,
    0xFF100F5F,
    0xFF0C0B67,
    0xFF0C0C68,
    0xFF1B1B70,
    0xFF41408D,
    0xFF4C4B91,
    0xFF4C4B8D,
    0xFF4C4B8C,
    0xFF4B4A8D,
    0xFF4B4A8D,
    0xFF4B4A8D,
    0xFF4B4A8D,
    0xFF4B4A8D,
    0xFF47478B,
    0xFF444488,
    0xFF444489,
    0xFF434288,
    0xFF3E3D84,
    0xFF3C3B83,
    0xFF3A3A85,
    0xFF343482,
    0xFF282870,
    0xFF38386D,
    0xFFABAAC4,
    0xFFEFEFF4,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFEAECED,
    0xFFEAECEE,
    0xFFEFECE8,
    0xFFF9E5D2,
    0xFFEFC397,
    0xFFE4A05C,
    0xFFEC9947,
    0xFFED9946,
    0xFFEAA45D,
    0xFFF3C395,
    0xFFF6E0CB,
    0xFFEEEAE7,
    0xFFECECED,
    0xFFF5EADF,
    0xFFF6D1AB,
    0xFFE9A662,
    0xFFEA9642,
    0xFFE8994B,
    0xFFEBB57E,
    0xFFF4DAC1,
    0xFFF3EBE5,
    0xFFF3E8DC,
    0xFFE9C5A1,
    0xFFE1A160,
    0xFFEB9948,
    0xFFEB9A4A,
    0xFFE4A566,
    0xFFEBC59F,
    0xFFF1E1D1,
    0xFFEDEBE7,
    0xFFEAECED,
    0xFFEBECED,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEFEEEE,
    0xFFE1E0F1,
    0xFF7C7CAA,
    0xFF191862,
    0xFF0C0B66,
    0xFF0E0E6D,
    0xFF0E0E6C,
    0xFF0D0C65,
    0xFF121158,
    0xFF6E6E97,
    0xFFDCDDEC,
    0xFFEFEFF0,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDEDEB,
    0xFFEBEAF5,
    0xFFA09FC2,
    0xFF2C2B6D,
    0xFF0B0A63,
    0xFF0E0D6E,
    0xFF0B0A64,
    0xFF26266B,
    0xFF9898BE,
    0xFFEAE9F5,
    0xFFEEEDED,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDF1,
    0xFFDADAEC,
    0xFF7574A0,
    0xFF19195F,
    0xFF0C0B64,
    0xFF0E0E6B,
    0xFF0F0E6A,
    0xFF100F6A,
    0xFF12116B,
    0xFF12116C,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF12116B,
    0xFF11106B,
    0xFF11106B,
    0xFF10106C,
    0xFF0F0F6B,
    0xFF0D0D60,
    0xFF474781,
    0xFFC2C1DC,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECEF,
    0xFFEAECF0,
    0xFFF4ECE4,
    0xFFFFDDB9,
    0xFFEEA55B,
    0xFFE37F1B,
    0xFFF08317,
    0xFFF3881D,
    0xFFED8824,
    0xFFE18B34,
    0xFFE1A56A,
    0xFFF3D5B6,
    0xFFFCE8D3,
    0xFFF7D0A9,
    0xFFE19B54,
    0xFFE38425,
    0xFFF0871E,
    0xFFF28A22,
    0xFFE88D32,
    0xFFEFB070,
    0xFFFFE2C0,
    0xFFFCE0C5,
    0xFFDCA977,
    0xFFD58330,
    0xFFEB851E,
    0xFFF2881D,
    0xFFEE8823,
    0xFFE38A31,
    0xFFE5A361,
    0xFFF7D3AF,
    0xFFF4EADF,
    0xFFEBECED,
    0xFFEAECEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEB0DED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6599EF,
    0xFF2DD3F1,
    0xFF0BE8EB,
    0xFF06EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EB,
    0xFF09E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFEDECEC,
    0xFFEEEDF9,
    0xFFB2B1D7,
    0xFF39397A,
    0xFF0B0B61,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF0E0D69,
    0xFF0B0A5E,
    0xFF3E3E7D,
    0xFFB8B8DB,
    0xFFEEEEFA,
    0xFFEDECEC,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEFEFF2,
    0xFFD7D6EC,
    0xFF666596,
    0xFF12115B,
    0xFF0C0C66,
    0xFF0D0C69,
    0xFF111062,
    0xFF57568F,
    0xFFCACAE6,
    0xFFEFEEF6,
    0xFFEDECEB,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEEEEF0,
    0xFFDFDFF1,
    0xFF807FAD,
    0xFF1C1B65,
    0xFF0B0B64,
    0xFF0E0E6B,
    0xFF100E6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6C,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF4C4C87,
    0xFFC6C5E1,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF5EBE3,
    0xFFFFDCB3,
    0xFFEDA154,
    0xFFDD8228,
    0xFFF8AD63,
    0xFFFFCF9A,
    0xFFF7C18C,
    0xFFE09850,
    0xFFD58637,
    0xFFF3AF6C,
    0xFFFFD79D,
    0xFFF3B270,
    0xFFD58A3D,
    0xFFEBA764,
    0xFFFED1A2,
    0xFFF8D5B3,
    0xFFE6C4A1,
    0xFFE7C7A7,
    0xFFFCE5CB,
    0xFFFDDFC1,
    0xFFD7A676,
    0xFFC4884C,
    0xFFE7B17C,
    0xFFFED1A2,
    0xFFF9C088,
    0xFFE3974C,
    0xFFD38739,
    0xFFE5B07B,
    0xFFF8E1CC,
    0xFFEFECEB,
    0xFFE9ECEF,
    0xFFEBECEC,
    0xFFECECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB50FB6,
    0xFFE913EA,
    0xFFEE0BEF,
    0xFFEC0CED,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEB0DEC,
    0xFFEF0BEC,
    0xFFEB0CEB,
    0xFFD41AE6,
    0xFFA14BE6,
    0xFF6698EF,
    0xFF2DD3F1,
    0xFF0CE9EC,
    0xFF05EBE9,
    0xFF0AE9E9,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0CE8EB,
    0xFF0BE8EB,
    0xFF08E9EC,
    0xFF08E9EC,
    0xFF1EE5E8,
    0xFF37C5C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEFEEF0,
    0xFFDEDDEF,
    0xFF6F6E9A,
    0xFF121158,
    0xFF0C0B64,
    0xFF0F0E6C,
    0xFF0E0E6D,
    0xFF0C0B66,
    0xFF161462,
    0xFF6F6E9F,
    0xFFD8D8ED,
    0xFFEEEFF1,
    0xFFECECE9,
    0xFFECECEA,
    0xFFECECE9,
    0xFFEDEDED,
    0xFFE8E8F6,
    0xFFA1A1CA,
    0xFF2F2E73,
    0xFF0B0B63,
    0xFF0D0D6C,
    0xFF0B0B60,
    0xFF323170,
    0xFFA2A2C5,
    0xFFEAEAF4,
    0xFFEEEDED,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEEEDF0,
    0xFFE6E6F8,
    0xFF8E8EBB,
    0xFF212168,
    0xFF0A0A61,
    0xFF0E0D6A,
    0xFF0F0F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6C,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF4D4D88,
    0xFFC7C6E1,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF6EBE3,
    0xFFFFDBB3,
    0xFFEDA154,
    0xFFDA832B,
    0xFFF7B778,
    0xFFFFE4C4,
    0xFFFFE4C4,
    0xFFF3B678,
    0xFFD8832F,
    0xFFEF9E4E,
    0xFFFFCD8A,
    0xFFECAB6A,
    0xFFCE8E4F,
    0xFFEEBE8E,
    0xFFFDE6CF,
    0xFFF0EAE4,
    0xFFE9E8E6,
    0xFFE9E7E5,
    0xFFF3EBE4,
    0xFFF9DFC5,
    0xFFD7A675,
    0xFFC28950,
    0xFFE4BB94,
    0xFFFAE7D4,
    0xFFFBE6D2,
    0xFFE4B98E,
    0xFFC5884B,
    0xFFD8A069,
    0xFFF8D9BB,
    0xFFF4EBE5,
    0xFFEBECEE,
    0xFFEBEBEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4C004D,
    0xFFB510B5,
    0xFFE712E9,
    0xFFEC0AEE,
    0xFFEA0BEC,
    0xFFE80DEA,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE80DE9,
    0xFFE90CEA,
    0xFFED0AEB,
    0xFFEB0BE9,
    0xFFD319E5,
    0xFFA04AE5,
    0xFF6697EE,
    0xFF2DD2F0,
    0xFF0BE7EB,
    0xFF05E9E8,
    0xFF0AE7E8,
    0xFF0BE6EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE5EA,
    0xFF0CE6EA,
    0xFF0BE6EA,
    0xFF08E7EB,
    0xFF07E8EB,
    0xFF1DE4E7,
    0xFF37C4C6,
    0xFF0F5152,
    0xFF101C1D,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFEDECEB,
    0xFFEEEEF6,
    0xFFC0C0E0,
    0xFF4B4A87,
    0xFF0C0C5F,
    0xFF0C0C68,
    0xFF0F0F6C,
    0xFF0E0D6A,
    0xFF0D0C64,
    0xFF222167,
    0xFF7A7AA6,
    0xFFD4D4E8,
    0xFFE9E9ED,
    0xFFE7E8E5,
    0xFFE7E7E8,
    0xFFE3E3EF,
    0xFFA4A5C7,
    0xFF3A3B77,
    0xFF0D0D60,
    0xFF0D0D6A,
    0xFF0C0C68,
    0xFF151463,
    0xFF7574A9,
    0xFFDDDCF4,
    0xFFEFEEF3,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDED,
    0xFFEBEAF5,
    0xFFA3A3C4,
    0xFF2E2E6C,
    0xFF0B0B5F,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6C,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF4D4D88,
    0xFFC7C6E1,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF6EBE3,
    0xFFFFDBB3,
    0xFFEDA154,
    0xFFDA832C,
    0xFFF7B779,
    0xFFFFE6C6,
    0xFFFFE7CA,
    0xFFF8BC7F,
    0xFFD88431,
    0xFFEE9D4E,
    0xFFFFCD88,
    0xFFF5AD63,
    0xFFD78431,
    0xFFE69E55,
    0xFFFCD3A9,
    0xFFF3E8DB,
    0xFFE9EBEE,
    0xFFE8ECF1,
    0xFFF0ECE9,
    0xFFF8DFC7,
    0xFFD7A675,
    0xFFC2884F,
    0xFFE3BC95,
    0xFFF8E9DA,
    0xFFF8EBDE,
    0xFFE4C09D,
    0xFFC38951,
    0xFFD69F69,
    0xFFF9D9B9,
    0xFFF5EBE3,
    0xFFEBEBEE,
    0xFFEBEBEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CBC7,
    0xFF4C314C,
    0xFF4B004C,
    0xFFB410B5,
    0xFFE512E7,
    0xFFE90AEB,
    0xFFE80BEA,
    0xFFE60DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE50DE8,
    0xFFE70CE8,
    0xFFEA0AE9,
    0xFFE70BE7,
    0xFFD01AE2,
    0xFF9D4CE2,
    0xFF6398EC,
    0xFF2BD0ED,
    0xFF0BE5E8,
    0xFF05E7E6,
    0xFF0AE4E6,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0CE3E8,
    0xFF0BE3E8,
    0xFF08E5E9,
    0xFF08E5E9,
    0xFF1CE1E5,
    0xFF35C1C3,
    0xFF0D4F50,
    0xFF101C1C,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEEEDED,
    0xFFE9E9F3,
    0xFFAEAECE,
    0xFF3E3D7A,
    0xFF0C0C5F,
    0xFF0D0C6A,
    0xFF0F0E6C,
    0xFF0E0E69,
    0xFF0E0D65,
    0xFF181865,
    0xFF444382,
    0xFF7272A3,
    0xFF8382AE,
    0xFF7C7CAB,
    0xFF5B5A96,
    0xFF292973,
    0xFF100F66,
    0xFF0D0C68,
    0xFF0D0C66,
    0xFF1C1C64,
    0xFF6D6C9A,
    0xFFD3D1E6,
    0xFFEEEDF1,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF0F0F7,
    0xFFD7D7F6,
    0xFF585896,
    0xFF0A0A5F,
    0xFF0D0D69,
    0xFF0F0E6C,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6C,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF4D4D88,
    0xFFC7C6E1,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF6EBE3,
    0xFFFFDBB3,
    0xFFEDA154,
    0xFFDB832C,
    0xFFF7B778,
    0xFFFFE4C4,
    0xFFFFE1C1,
    0xFFEFB173,
    0xFFD7822E,
    0xFFEEA153,
    0xFFFFD79A,
    0xFFFDC082,
    0xFFDF8D3A,
    0xFFDD8023,
    0xFFE29345,
    0xFFEFBF8E,
    0xFFF4DFCC,
    0xFFEDEAE8,
    0xFFF1ECE9,
    0xFFF7DFC8,
    0xFFD7A676,
    0xFFC18951,
    0xFFE4BB94,
    0xFFFCE6D1,
    0xFFFCE2C9,
    0xFFE4B382,
    0xFFC78747,
    0xFFD8A36F,
    0xFFF8DCC3,
    0xFFF2ECE8,
    0xFFEAECEE,
    0xFFEBECED,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EE,
    0xFFC7CAC7,
    0xFF4C314D,
    0xFF4A004A,
    0xFFB015B1,
    0xFFDF1EE0,
    0xFFE01AE0,
    0xFFDC1DDC,
    0xFFDA1EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFD91EDA,
    0xFFDA1EDA,
    0xFFDB1EDA,
    0xFFDF1BDC,
    0xFFE21ADD,
    0xFFD221DA,
    0xFFA34ADB,
    0xFF6C99EA,
    0xFF2FD2EB,
    0xFF0AE6E3,
    0xFF05E7E2,
    0xFF0BE4E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0DE3E3,
    0xFF0CE3E4,
    0xFF08E5E5,
    0xFF09E5E5,
    0xFF1EE1E2,
    0xFF39C3C4,
    0xFF105151,
    0xFF101C1B,
    0xFF827B7A,
    0xFFBDB8B8,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDECEC,
    0xFFE8E9F4,
    0xFFA9A8CA,
    0xFF353672,
    0xFF0C0B5D,
    0xFF0E0E68,
    0xFF0F0E6B,
    0xFF0F0E69,
    0xFF0F0E69,
    0xFF11106A,
    0xFF13126C,
    0xFF14136C,
    0xFF14136C,
    0xFF12116B,
    0xFF100F6A,
    0xFF0E0E69,
    0xFF0C0C65,
    0xFF212169,
    0xFF7D7EAC,
    0xFFD6D6EA,
    0xFFEDEDF1,
    0xFFECECEB,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECE9,
    0xFFECECE9,
    0xFFF0F0F8,
    0xFFD6D6F7,
    0xFF555494,
    0xFF0A095F,
    0xFF0E0D6A,
    0xFF0F0F6C,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF100F6A,
    0xFF0F0F6C,
    0xFF0D0D6A,
    0xFF0C0C5F,
    0xFF4D4D88,
    0xFFC7C6E1,
    0xFFF0EFF5,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF5ECE3,
    0xFFFFDCB3,
    0xFFEDA155,
    0xFFDD8227,
    0xFFF8AC5F,
    0xFFFFCC93,
    0xFFF5B97F,
    0xFFDB9147,
    0xFFD48A3E,
    0xFFEFBA85,
    0xFFFCE6CA,
    0xFFFCE1C7,
    0xFFECB57F,
    0xFFE1872F,
    0xFFE77D14,
    0xFFE28324,
    0xFFE0A05E,
    0xFFF0D2B3,
    0xFFF9ECDE,
    0xFFF7E0C9,
    0xFFD6A677,
    0xFFC5884A,
    0xFFE8B078,
    0xFFFFCE9B,
    0xFFF8B979,
    0xFFE2903D,
    0xFFD98837,
    0xFFEEB983,
    0xFFF9E5D1,
    0xFFEDECEC,
    0xFFE9ECF0,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEA,
    0xFFEFF5EF,
    0xFFCAC9CA,
    0xFF502F4F,
    0xFF410041,
    0xFF8E3D8E,
    0xFF9A7499,
    0xFF758A75,
    0xFF619762,
    0xFF5F9860,
    0xFF629661,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639663,
    0xFF639662,
    0xFF639662,
    0xFF649562,
    0xFF669467,
    0xFF689172,
    0xFF517161,
    0xFF374F4B,
    0xFF3B4B4E,
    0xFF3F4B4F,
    0xFF3F4B4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3F4C4D,
    0xFF3E4C4C,
    0xFF3E4C4C,
    0xFF404C4E,
    0xFF3D4646,
    0xFF1B1F1F,
    0xFF191A1A,
    0xFF7E7D7D,
    0xFFB9B9B9,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFEDECEC,
    0xFFE8E8F0,
    0xFFC3C3DC,
    0xFF6C6B9C,
    0xFF1F1D66,
    0xFF0F0E64,
    0xFF12116B,
    0xFF11106C,
    0xFF100F6A,
    0xFF0F0E69,
    0xFF0F0E69,
    0xFF11106A,
    0xFF12116B,
    0xFF101069,
    0xFF151465,
    0xFF484986,
    0xFFA5A6CA,
    0xFFE0E0EE,
    0xFFECEBEE,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECEA,
    0xFFECECE9,
    0xFFEFEFF7,
    0xFFD9D9F7,
    0xFF5F5F9B,
    0xFF0F1061,
    0xFF12116C,
    0xFF14136E,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF14136C,
    0xFF13146E,
    0xFF12126D,
    0xFF101062,
    0xFF4D4D87,
    0xFFC7C6E1,
    0xFFEFEFF4,
    0xFFECECE9,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF4ECE4,
    0xFFFFDCB6,
    0xFFEDA256,
    0xFFE47D16,
    0xFFF18212,
    0xFFF3861A,
    0xFFEC8723,
    0xFFE58F39,
    0xFFECB47C,
    0xFFF7DFC6,
    0xFFEFECEA,
    0xFFECECEC,
    0xFFF4E4D5,
    0xFFF7CA9D,
    0xFFEE9F50,
    0xFFE7811C,
    0xFFE2801D,
    0xFFEAA55F,
    0xFFFFDCB8,
    0xFFFCE0C4,
    0xFFDAA774,
    0xFFD5802C,
    0xFFEC831A,
    0xFFF2871B,
    0xFFEB8824,
    0xFFE1903D,
    0xFFEBB37B,
    0xFFF9DDC2,
    0xFFF2EBE5,
    0xFFEAECEE,
    0xFFEAECEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF6F0F6,
    0xFFCCC7CD,
    0xFF334333,
    0xFF053905,
    0xFF20A820,
    0xFF22DD22,
    0xFF11E311,
    0xFF0EE40E,
    0xFF10E310,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF11E211,
    0xFF0FE30F,
    0xFF0DE50D,
    0xFF14E314,
    0xFF22CA1F,
    0xFF187B11,
    0xFF17340A,
    0xFF291E1B,
    0xFF311B22,
    0xFF2F1C22,
    0xFF2F1C20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1D20,
    0xFF2E1E21,
    0xFF291D1F,
    0xFF141010,
    0xFF1B1A1B,
    0xFF7D7D7E,
    0xFFB9B9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEAEBEC,
    0xFFE0E0EA,
    0xFFBFBED6,
    0xFF8786B1,
    0xFF5D5D99,
    0xFF403F8B,
    0xFF202073,
    0xFF131269,
    0xFF1B1B6F,
    0xFF353480,
    0xFF4E4E8E,
    0xFF7373A5,
    0xFFAAA8C9,
    0xFFD7D6E6,
    0xFFE9E8ED,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECEBEA,
    0xFFEDEDEF,
    0xFFE8E9F3,
    0xFFBBBBD3,
    0xFF8282A8,
    0xFF7574A3,
    0xFF7675A7,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A6,
    0xFF7676A7,
    0xFF7675A6,
    0xFF7777A4,
    0xFF9F9FBF,
    0xFFDDDCEB,
    0xFFEEEDF0,
    0xFFECECEA,
    0xFFECEBEA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF4ECE4,
    0xFFFFDCB5,
    0xFFEEA155,
    0xFFE27F1D,
    0xFFF59638,
    0xFFF7AC62,
    0xFFEDB884,
    0xFFF0CFAF,
    0xFFF2E3D4,
    0xFFEFEBE7,
    0xFFEBECED,
    0xFFE9ECEF,
    0xFFEAECED,
    0xFFF0E8E2,
    0xFFFBDCBD,
    0xFFF3B376,
    0xFFD98837,
    0xFFD5904B,
    0xFFF5CBA1,
    0xFFFEDFC0,
    0xFFDAA775,
    0xFFCD833A,
    0xFFE9994A,
    0xFFF0AD6C,
    0xFFE7BA8C,
    0xFFE9D1B7,
    0xFFEDE4D8,
    0xFFEDEBE9,
    0xFFEBECED,
    0xFFEBECED,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF6EFF7,
    0xFFCCC7CB,
    0xFF2D472D,
    0xFF004200,
    0xFF10B310,
    0xFF13E513,
    0xFF08E608,
    0xFF0AE40A,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0CE30C,
    0xFF0AE40A,
    0xFF08E508,
    0xFF0EE50F,
    0xFF1CCC1D,
    0xFF148117,
    0xFF133F17,
    0xFF232A28,
    0xFF2A282F,
    0xFF28292C,
    0xFF27292C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF262A2C,
    0xFF282A2C,
    0xFF252829,
    0xFF131414,
    0xFF1A1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E9EA,
    0xFFE4E3E7,
    0xFFDDDCE6,
    0xFFD2D1E1,
    0xFFBCBBD1,
    0xFFAFAEC6,
    0xFFB9B8CE,
    0xFFCDCCDD,
    0xFFDAD9E3,
    0xFFE0DFE5,
    0xFFE7E6E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E9EA,
    0xFFE7E6E7,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E8,
    0xFFE6E6E7,
    0xFFE8E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF6EBE3,
    0xFFFFDBB3,
    0xFFEEA054,
    0xFFDC822A,
    0xFFF9B774,
    0xFFFFE3C5,
    0xFFEEE9E4,
    0xFFE9EAED,
    0xFFEBEBEC,
    0xFFECEBEC,
    0xFFEAE9E9,
    0xFFE7E7E7,
    0xFFE9E9EB,
    0xFFEDEBEA,
    0xFFF9E9D9,
    0xFFFAD0A6,
    0xFFD89758,
    0xFFC7894C,
    0xFFEDC298,
    0xFFFFDEBC,
    0xFFD7A778,
    0xFFC18853,
    0xFFE6BB92,
    0xFFF7E6D4,
    0xFFECE9E7,
    0xFFE9EBEC,
    0xFFEBEBEB,
    0xFFECECEC,
    0xFFECECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF6EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004100,
    0xFF10B311,
    0xFF14E614,
    0xFF08E809,
    0xFF0AE70A,
    0xFF0CE50C,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0DE50D,
    0xFF0CE50C,
    0xFF0AE70B,
    0xFF08E808,
    0xFF0FE70F,
    0xFF1DCC1E,
    0xFF157F14,
    0xFF133B13,
    0xFF252825,
    0xFF2C262B,
    0xFF2A272A,
    0xFF29282A,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF292828,
    0xFF2A2929,
    0xFF272627,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EB,
    0xFFE9E8EA,
    0xFFE9E8EA,
    0xFFE9E8EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF6EBE3,
    0xFFFFDBB3,
    0xFFEEA054,
    0xFFDC822A,
    0xFFF9B875,
    0xFFFFE5C9,
    0xFFEEEBE9,
    0xFFE8ECF1,
    0xFFE9ECF0,
    0xFFEEECEB,
    0xFFE7E0D9,
    0xFFD9CDC0,
    0xFFE6D9CC,
    0xFFF2E3D3,
    0xFFFCE0C2,
    0xFFF8C089,
    0xFFD88E43,
    0xFFDA9755,
    0xFFFCD2A7,
    0xFFFEDFBC,
    0xFFD5A779,
    0xFFC18953,
    0xFFE6BC93,
    0xFFF9E8D8,
    0xFFEDECEA,
    0xFFE9ECEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252926,
    0xFF2C272D,
    0xFF2B282B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF2A292B,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECF0,
    0xFFE9ECF0,
    0xFFF6EBE3,
    0xFFFFDBB3,
    0xFFEEA053,
    0xFFDC822A,
    0xFFF9B875,
    0xFFFFE5C9,
    0xFFEEEBE9,
    0xFFE7EDF2,
    0xFFE9ECF1,
    0xFFF2ECE7,
    0xFFEFD3B7,
    0xFFD29A61,
    0xFFDF9347,
    0xFFF5A452,
    0xFFF7A34E,
    0xFFE88F36,
    0xFFDA8735,
    0xFFECB178,
    0xFFFFE2C2,
    0xFFFCDFC3,
    0xFFD5A679,
    0xFFC18952,
    0xFFE6BC93,
    0xFFF9E8D8,
    0xFFEDECEA,
    0xFFE9ECEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECEC,
    0xFFE9ECEF,
    0xFFEAECF0,
    0xFFF5EBE3,
    0xFFFFDBB3,
    0xFFEEA154,
    0xFFDD832B,
    0xFFFAB776,
    0xFFFFE5C9,
    0xFFEEEBE9,
    0xFFE8ECF1,
    0xFFE8ECF1,
    0xFFEDEDEC,
    0xFFF3E4D4,
    0xFFECC093,
    0xFFE19242,
    0xFFE67D15,
    0xFFE77D12,
    0xFFE38D37,
    0xFFEBB884,
    0xFFF4DFCB,
    0xFFF5ECE4,
    0xFFF6E0CA,
    0xFFD5A77A,
    0xFFC18953,
    0xFFE5BC95,
    0xFFF8E8D9,
    0xFFEDECEA,
    0xFFEAECEE,
    0xFFEBECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBECED,
    0xFFEBECED,
    0xFFEDEBEA,
    0xFFEFE9E2,
    0xFFECDFD3,
    0xFFE9DACD,
    0xFFEDE3D8,
    0xFFEFEAE6,
    0xFFECEBEC,
    0xFFEBECED,
    0xFFEBECED,
    0xFFEBECEC,
    0xFFECEAE9,
    0xFFEEE6DF,
    0xFFEDDDCD,
    0xFFE9D2BC,
    0xFFEAD2BA,
    0xFFECDBC9,
    0xFFEDE5DD,
    0xFFEDEAE9,
    0xFFECECEC,
    0xFFEDE9E6,
    0xFFE7E0D9,
    0xFFE4DBD2,
    0xFFEAE4DD,
    0xFFEDEBE8,
    0xFFECEBEC,
    0xFFEBECED,
    0xFFECECEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEAEA,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEAE8,
    0xFFEBE9E7,
    0xFFEBE9E7,
    0xFFEBE9E8,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEAEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC8C7C8,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBED,
    0xFFF7EFF7,
    0xFFCCC7CC,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF2F2E30,
    0xFF393839,
    0xFFC6C5C6,
    0xFFEFEEEF,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE9E7E9,
    0xFFF3EBF3,
    0xFFCBC5CA,
    0xFF2D472D,
    0xFF004200,
    0xFF10B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF323133,
    0xFF100F10,
    0xFF2D2C2D,
    0xFF353435,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF343334,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF333233,
    0xFF393138,
    0xFF302B2F,
    0xFF061D06,
    0xFF004600,
    0xFF11B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF100F10,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF150D15,
    0xFF130E12,
    0xFF001600,
    0xFF004800,
    0xFF11B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100E10,
    0xFF140C13,
    0xFF120D11,
    0xFF001600,
    0xFF004800,
    0xFF11B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100E10,
    0xFF140C13,
    0xFF110C10,
    0xFF001500,
    0xFF004800,
    0xFF11B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100E10,
    0xFF140C13,
    0xFF110C10,
    0xFF001500,
    0xFF004800,
    0xFF11B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCC1E,
    0xFF158015,
    0xFF143C15,
    0xFF252A27,
    0xFF2D282E,
    0xFF2C292C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF121112,
    0xFF131213,
    0xFF131213,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100E10,
    0xFF140C13,
    0xFF110C10,
    0xFF001500,
    0xFF004800,
    0xFF11B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCD1E,
    0xFF158015,
    0xFF143D14,
    0xFF242925,
    0xFF2C272C,
    0xFF2A282B,
    0xFF29292A,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292929,
    0xFF292A29,
    0xFF272727,
    0xFF131314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0B0A0B,
    0xFF2C2B2C,
    0xFF979698,
    0xFFCFCECF,
    0xFFBFBEBF,
    0xFF545254,
    0xFF0D0C0D,
    0xFF111011,
    0xFF111011,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100E10,
    0xFF140C13,
    0xFF110C10,
    0xFF001500,
    0xFF004800,
    0xFF11B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0EE60E,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E810,
    0xFF1DCD1D,
    0xFF148014,
    0xFF143C14,
    0xFF262826,
    0xFF2C252D,
    0xFF2B262C,
    0xFF2A272B,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2B282B,
    0xFF272628,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0A090A,
    0xFF302F31,
    0xFFB0AFB0,
    0xFFF3F2F3,
    0xFFDEDDDE,
    0xFF5E5C5E,
    0xFF2D2C2D,
    0xFF4F4E4F,
    0xFF262526,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100E10,
    0xFF140C13,
    0xFF110C10,
    0xFF001500,
    0xFF004800,
    0xFF11B510,
    0xFF14E813,
    0xFF09EA08,
    0xFF0AE80A,
    0xFF0CE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0EE70C,
    0xFF0CE70C,
    0xFF0AE80A,
    0xFF09EA08,
    0xFF10E70F,
    0xFF1DCB1E,
    0xFF137B12,
    0xFF103812,
    0xFF202623,
    0xFF262529,
    0xFF242628,
    0xFF242726,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF242826,
    0xFF232826,
    0xFF232826,
    0xFF242826,
    0xFF232525,
    0xFF111312,
    0xFF1A1B1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0A090A,
    0xFF302F31,
    0xFFB1B0B1,
    0xFFF2F1F2,
    0xFFE7E6E7,
    0xFF878587,
    0xFF686668,
    0xFFA1A0A1,
    0xFF585759,
    0xFF2C2B2D,
    0xFF1C1B1D,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF121112,
    0xFF141314,
    0xFF141314,
    0xFF141314,
    0xFF141314,
    0xFF141314,
    0xFF111011,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF111011,
    0xFF121112,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100E10,
    0xFF140C13,
    0xFF110C10,
    0xFF001500,
    0xFF004700,
    0xFF11B61B,
    0xFF15E92C,
    0xFF09EA2A,
    0xFF09E82F,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE631,
    0xFF0CE630,
    0xFF0AE82F,
    0xFF0AE82D,
    0xFF10E52F,
    0xFF20D536,
    0xFF169A20,
    0xFF025506,
    0xFF0D430F,
    0xFF174217,
    0xFF154317,
    0xFF154316,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF154415,
    0xFF144415,
    0xFF144415,
    0xFF144415,
    0xFF184319,
    0xFF1C3A1C,
    0xFF0E1B0D,
    0xFF191B1A,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333234,
    0xFF090809,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0A090A,
    0xFF313031,
    0xFFB1B0B1,
    0xFFF0EFF0,
    0xFFEFEEEF,
    0xFFB6B5B6,
    0xFF6E6C6E,
    0xFF6F6D6F,
    0xFF919091,
    0xFFD0CFD0,
    0xFFB0AFB0,
    0xFF403F40,
    0xFF0C0B0C,
    0xFF0C0B0C,
    0xFF1B1A1B,
    0xFF767476,
    0xFFBBB9BB,
    0xFFC3C2C3,
    0xFFC8C6C8,
    0xFFC2C1C2,
    0xFFBBBABB,
    0xFF716F71,
    0xFF1B1A1B,
    0xFF0E0D0E,
    0xFF100F10,
    0xFF100F10,
    0xFF111011,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF111011,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF111011,
    0xFF111011,
    0xFF100F10,
    0xFF100F10,
    0xFF0D0C0D,
    0xFF161517,
    0xFF5D5B5D,
    0xFF919091,
    0xFF4E4C4E,
    0xFF111011,
    0xFF0E0D0E,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF111011,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100E10,
    0xFF140C12,
    0xFF120D0E,
    0xFF001500,
    0xFF004504,
    0xFF11B64F,
    0xFF18EC8A,
    0xFF09EBA1,
    0xFF09E8B0,
    0xFF0BE7B1,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0DE7AF,
    0xFF0CE7AF,
    0xFF0AE8AF,
    0xFF08EAAE,
    0xFF0CE7AF,
    0xFF26D8B8,
    0xFF54A9BE,
    0xFF815DB7,
    0xFFAB29B8,
    0xFFC218BF,
    0xFFC418BF,
    0xFFBF1BBE,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBD1BBD,
    0xFFBE1BBE,
    0xFFBF1ABF,
    0xFFC01ABF,
    0xFFB723B7,
    0xFF972F97,
    0xFF431243,
    0xFF1E151E,
    0xFF7A8079,
    0xFFB7BBB7,
    0xFFB5B6B5,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333234,
    0xFF090809,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF111011,
    0xFF141314,
    0xFF0F0E0F,
    0xFF323132,
    0xFFB0AFB0,
    0xFFF0EFF0,
    0xFFC6C5C6,
    0xFF7F7D7F,
    0xFF949394,
    0xFF8E8D8E,
    0xFF807E80,
    0xFFD2D1D2,
    0xFFBEBDBE,
    0xFF3E3D3F,
    0xFF0A090A,
    0xFF0D0C0D,
    0xFF1D1C1D,
    0xFF3C3B3D,
    0xFF3C3B3D,
    0xFF787678,
    0xFFBEBDBE,
    0xFF6E6C6E,
    0xFF4A484A,
    0xFF605E60,
    0xFF383739,
    0xFF262527,
    0xFF232223,
    0xFF201F21,
    0xFF292829,
    0xFF242324,
    0xFF151415,
    0xFF1F1E20,
    0xFF272628,
    0xFF171617,
    0xFF111011,
    0xFF201F21,
    0xFF1E1D1F,
    0xFF100F10,
    0xFF0E0D0E,
    0xFF121112,
    0xFF1F1E1F,
    0xFF282729,
    0xFF272627,
    0xFF191819,
    0xFF0F0E0F,
    0xFF0D0C0D,
    0xFF121112,
    0xFF6B6A6C,
    0xFFBBBABB,
    0xFF575557,
    0xFF0F0E0F,
    0xFF141314,
    0xFF111011,
    0xFF100F10,
    0xFF131213,
    0xFF121112,
    0xFF121112,
    0xFF1B1A1C,
    0xFF262527,
    0xFF1F1E20,
    0xFF141314,
    0xFF151415,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF141314,
    0xFF141314,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF131213,
    0xFF121112,
    0xFF151415,
    0xFF121112,
    0xFF0F0E0F,
    0xFF111011,
    0xFF131213,
    0xFF121112,
    0xFF151415,
    0xFF131213,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF121112,
    0xFF151415,
    0xFF121112,
    0xFF131213,
    0xFF161516,
    0xFF161516,
    0xFF151415,
    0xFF131213,
    0xFF131213,
    0xFF151415,
    0xFF121112,
    0xFF100F10,
    0xFF121112,
    0xFF141314,
    0xFF151415,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF141314,
    0xFF111011,
    0xFF161516,
    0xFF232224,
    0xFF252425,
    0xFF181718,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF140D0D,
    0xFF110D0E,
    0xFF001211,
    0xFF00423F,
    0xFF11B7B3,
    0xFF15EAE7,
    0xFF07EAE7,
    0xFF09E8E7,
    0xFF0BE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0BE7E5,
    0xFF0AE8E5,
    0xFF06EAE3,
    0xFF0AE9E5,
    0xFF24DBEC,
    0xFF58AAEE,
    0xFF915AE3,
    0xFFC71FE1,
    0xFFE80CE7,
    0xFFEC0AE9,
    0xFFE80DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE7,
    0xFFE60DE8,
    0xFFE90BEA,
    0xFFE90BEA,
    0xFFDD17DE,
    0xFFB227B3,
    0xFF4E0D4E,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF090809,
    0xFF0E0D0E,
    0xFF0E0D0E,
    0xFF3F3D3F,
    0xFF7F7E7F,
    0xFF848284,
    0xFF949394,
    0xFFD3D2D3,
    0xFFE5E4E5,
    0xFF787678,
    0xFF39383A,
    0xFFA1A0A1,
    0xFF706F71,
    0xFF3C3B3D,
    0xFFB6B5B6,
    0xFFD3D2D3,
    0xFF555355,
    0xFF0C0B0C,
    0xFF0D0C0D,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF575557,
    0xFFB0AFB0,
    0xFF535153,
    0xFF3A393B,
    0xFF999799,
    0xFFA7A6A7,
    0xFF929192,
    0xFF706F71,
    0xFF535153,
    0xFF939293,
    0xFF858485,
    0xFF2D2C2E,
    0xFF5E5C5E,
    0xFF706E70,
    0xFF201F21,
    0xFF232224,
    0xFF868486,
    0xFF787678,
    0xFF191819,
    0xFF0C0B0C,
    0xFF424143,
    0xFF8A898A,
    0xFF8D8C8E,
    0xFF787678,
    0xFF39383A,
    0xFF0E0D0E,
    0xFF0C0B0C,
    0xFF121112,
    0xFF6C6A6C,
    0xFFBAB9BA,
    0xFF5C5A5C,
    0xFF5B5A5B,
    0xFF888788,
    0xFF353436,
    0xFF1B1A1B,
    0xFF636163,
    0xFF585658,
    0xFF424042,
    0xFF848385,
    0xFF9A999A,
    0xFF878688,
    0xFF605E60,
    0xFF828182,
    0xFFA1A0A1,
    0xFFA5A4A5,
    0xFF868586,
    0xFF646264,
    0xFF7D7C7D,
    0xFF9E9D9E,
    0xFF989798,
    0xFF9C9A9C,
    0xFF626162,
    0xFF585658,
    0xFF8F8D8F,
    0xFF4D4C4E,
    0xFF0F0E0F,
    0xFF403E40,
    0xFF6B6A6C,
    0xFF5B5A5B,
    0xFF8B8A8B,
    0xFF575657,
    0xFF0F0E0F,
    0xFF0A090A,
    0xFF3F3E40,
    0xFF828182,
    0xFF4F4D4F,
    0xFF565557,
    0xFF9A999A,
    0xFF878587,
    0xFF706F70,
    0xFF5A585A,
    0xFF595759,
    0xFF878687,
    0xFF464446,
    0xFF151416,
    0xFF525152,
    0xFF777677,
    0xFF7D7B7D,
    0xFF999899,
    0xFFA7A5A7,
    0xFF979697,
    0xFF686668,
    0xFF414042,
    0xFF6F6E6F,
    0xFF929192,
    0xFF959495,
    0xFF525052,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140D0E,
    0xFF110D0E,
    0xFF001212,
    0xFF004140,
    0xFF12B6B5,
    0xFF16EAE9,
    0xFF07EAE9,
    0xFF09E8E7,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0CE7E5,
    0xFF0AE8E5,
    0xFF07EAE4,
    0xFF09EAE5,
    0xFF22DDEC,
    0xFF56AEF0,
    0xFF8E5EE4,
    0xFFC421E2,
    0xFFE70CE9,
    0xFFEC09EA,
    0xFFE80CE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60DE8,
    0xFFE60CE9,
    0xFFE90BEB,
    0xFFE90BEB,
    0xFFDD17DF,
    0xFFB227B3,
    0xFF4E0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0E0D0E,
    0xFF0C0B0C,
    0xFF454446,
    0xFFBBBABB,
    0xFFE4E3E4,
    0xFFE2E1E2,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFB3B2B3,
    0xFF777577,
    0xFFAAA9AA,
    0xFF8C8B8C,
    0xFFA09FA0,
    0xFFE2E1E2,
    0xFFEDECED,
    0xFF999899,
    0xFF242325,
    0xFF0B0A0B,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF0E0D0E,
    0xFF575557,
    0xFFB0AFB0,
    0xFF514F51,
    0xFF414042,
    0xFFABAAAB,
    0xFF787678,
    0xFF2B2A2B,
    0xFF333234,
    0xFF2D2C2E,
    0xFF727072,
    0xFFB4B3B4,
    0xFF797879,
    0xFF7E7C7E,
    0xFF484749,
    0xFF0F0E0F,
    0xFF3F3E40,
    0xFF9A999A,
    0xFF9F9E9F,
    0xFF353435,
    0xFF201F21,
    0xFF8B8A8B,
    0xFF858485,
    0xFF343334,
    0xFF3A383A,
    0xFF2F2E30,
    0xFF100F10,
    0xFF0C0B0C,
    0xFF121112,
    0xFF6C6A6C,
    0xFFBAB9BA,
    0xFF545355,
    0xFF636163,
    0xFFD6D5D6,
    0xFF9A999A,
    0xFF383739,
    0xFF6E6C6E,
    0xFF737173,
    0xFF858385,
    0xFF888688,
    0xFF373638,
    0xFF403F40,
    0xFF6E6C6E,
    0xFF585759,
    0xFF797779,
    0xFFA9A8A9,
    0xFF504F51,
    0xFF4E4C4E,
    0xFF939193,
    0xFF969596,
    0xFF454446,
    0xFF838283,
    0xFFA6A5A6,
    0xFF817F81,
    0xFFB0AFB0,
    0xFF5B595B,
    0xFF080708,
    0xFF3C3B3D,
    0xFF6E6C6E,
    0xFF515052,
    0xFFBDBCBD,
    0xFFA8A7A8,
    0xFF29282A,
    0xFF161516,
    0xFF868586,
    0xFFBEBDBE,
    0xFF474648,
    0xFF656466,
    0xFFA6A5A6,
    0xFF4D4C4E,
    0xFF2E2C2E,
    0xFF403F41,
    0xFF616062,
    0xFFC1C0C1,
    0xFFB0AEB0,
    0xFF3E3C3E,
    0xFF585658,
    0xFF929192,
    0xFF666466,
    0xFF595759,
    0xFFAEADAE,
    0xFF747374,
    0xFF454446,
    0xFF908E90,
    0xFF9A999A,
    0xFF434143,
    0xFF373637,
    0xFF434143,
    0xFF1C1B1D,
    0xFF0D0C0D,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004241,
    0xFF11B7B7,
    0xFF15EBEB,
    0xFF08EAEC,
    0xFF09E9EB,
    0xFF0CE8EA,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0AE9E9,
    0xFF07EAE8,
    0xFF09E9E9,
    0xFF22DDEF,
    0xFF58AEF2,
    0xFF905DE7,
    0xFFC820E5,
    0xFFEA0CEB,
    0xFFF00AED,
    0xFFEB0CEC,
    0xFFEA0DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFEA0DEC,
    0xFFEC0BEE,
    0xFFED0BEE,
    0xFFDF18E2,
    0xFFB427B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF0C0B0C,
    0xFF151415,
    0xFF6D6B6D,
    0xFFD7D6D7,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFFC9C8C9,
    0xFF9A999A,
    0xFFA8A7A8,
    0xFFA5A4A5,
    0xFFD6D5D6,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFA09FA0,
    0xFF272627,
    0xFF0B0A0B,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF0E0D0E,
    0xFF575557,
    0xFFB1B0B1,
    0xFF504F51,
    0xFF3F3E40,
    0xFFB1B0B1,
    0xFFA4A3A4,
    0xFF6F6E6F,
    0xFF474648,
    0xFF121112,
    0xFF262526,
    0xFF939193,
    0xFFCBCACB,
    0xFF706E70,
    0xFF141314,
    0xFF19181A,
    0xFF5D5B5D,
    0xFF787678,
    0xFFA9A8A9,
    0xFF666466,
    0xFF201F21,
    0xFF8C8B8C,
    0xFFCCCBCC,
    0xFF989798,
    0xFF4B4A4B,
    0xFF171618,
    0xFF0E0D0E,
    0xFF0D0C0D,
    0xFF121112,
    0xFF6C6A6C,
    0xFFBBBABB,
    0xFF555355,
    0xFF565456,
    0xFFA4A3A4,
    0xFFBFBEBF,
    0xFF929092,
    0xFF7E7C7E,
    0xFF6A686A,
    0xFF898789,
    0xFFCDCCCD,
    0xFF979697,
    0xFF3F3E3F,
    0xFF171617,
    0xFF0E0D0E,
    0xFF676567,
    0xFFA19FA1,
    0xFF2E2D2F,
    0xFF141314,
    0xFF797779,
    0xFF9F9E9F,
    0xFF5A585A,
    0xFF8B8A8B,
    0xFF949294,
    0xFF727072,
    0xFFAEADAE,
    0xFF5A585A,
    0xFF070607,
    0xFF383739,
    0xFF686668,
    0xFF494749,
    0xFFAEADAE,
    0xFFCAC9CA,
    0xFF626062,
    0xFF434244,
    0xFFB7B6B7,
    0xFFBEBDBE,
    0xFF3D3C3E,
    0xFF615F61,
    0xFFADACAD,
    0xFF737274,
    0xFF525052,
    0xFF2D2C2D,
    0xFF454446,
    0xFF989798,
    0xFFC7C6C7,
    0xFF999899,
    0xFF797779,
    0xFF757375,
    0xFF1B1A1B,
    0xFF353436,
    0xFFA4A3A4,
    0xFF5C5A5C,
    0xFF100F10,
    0xFF696769,
    0xFFC4C3C4,
    0xFFA4A3A4,
    0xFF535254,
    0xFF1C1B1C,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF0B0A0B,
    0xFF242325,
    0xFF969596,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFBEBDBE,
    0xFF7E7D7E,
    0xFF6D6C6D,
    0xFF888788,
    0xFFD6D5D6,
    0xFFF0EFF0,
    0xFFE9E8E9,
    0xFF919091,
    0xFF212021,
    0xFF0B0A0B,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF0E0D0E,
    0xFF575557,
    0xFFB1B0B1,
    0xFF504F51,
    0xFF3F3E40,
    0xFFB2B1B2,
    0xFFA8A6A8,
    0xFF7A787A,
    0xFF504F51,
    0xFF121112,
    0xFF111011,
    0xFF737173,
    0xFFD3D2D3,
    0xFF797779,
    0xFF100F10,
    0xFF2F2E2F,
    0xFF858485,
    0xFF8A898A,
    0xFFB5B4B5,
    0xFF8F8E8F,
    0xFF242324,
    0xFF302F30,
    0xFF828182,
    0xFFCDCCCD,
    0xFFD7D6D7,
    0xFF706F71,
    0xFF171617,
    0xFF0A090A,
    0xFF111011,
    0xFF6C6A6C,
    0xFFBBBABB,
    0xFF585658,
    0xFF535254,
    0xFF615F61,
    0xFF706F70,
    0xFFC6C5C6,
    0xFFC7C6C7,
    0xFF615F61,
    0xFF323032,
    0xFF8E8C8E,
    0xFFD8D7D8,
    0xFFD2D1D2,
    0xFF696769,
    0xFF131213,
    0xFF666466,
    0xFFA1A0A1,
    0xFF2E2D2F,
    0xFF111011,
    0xFF797779,
    0xFFB9B8B9,
    0xFFACABAC,
    0xFFB0AFB0,
    0xFF525153,
    0xFF535153,
    0xFFAFAEAF,
    0xFF5A585A,
    0xFF070607,
    0xFF383739,
    0xFF696769,
    0xFF494749,
    0xFF838183,
    0xFFB0AFB0,
    0xFFA9A8A9,
    0xFF807F80,
    0xFFA1A0A1,
    0xFFA9A8A9,
    0xFF3E3D3F,
    0xFF615F61,
    0xFFB0AFB0,
    0xFF817F81,
    0xFF716F71,
    0xFF424143,
    0xFF454345,
    0xFF636163,
    0xFF6C6A6C,
    0xFFC1C0C1,
    0xFFD1D0D1,
    0xFF7D7C7D,
    0xFF131213,
    0xFF343335,
    0xFFA5A4A5,
    0xFF5E5C5E,
    0xFF0A090A,
    0xFF201F20,
    0xFF706E70,
    0xFFC8C7C8,
    0xFFE2E1E2,
    0xFF939294,
    0xFF262526,
    0xFF0B0A0B,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF0E0D0E,
    0xFF59585A,
    0xFFBFBEBF,
    0xFF9C9A9C,
    0xFF959395,
    0xFFABAAAB,
    0xFF4A494B,
    0xFF121112,
    0xFF403E40,
    0xFFB9B8B9,
    0xFFDCDBDC,
    0xFF8D8B8D,
    0xFF302F30,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF100F10,
    0xFF0E0D0E,
    0xFF0E0D0E,
    0xFF575557,
    0xFFB1B0B1,
    0xFF525052,
    0xFF414042,
    0xFFAAA9AA,
    0xFF6E6D6F,
    0xFF1F1E20,
    0xFF212021,
    0xFF171617,
    0xFF39383A,
    0xFF828182,
    0xFFABAAAB,
    0xFFACABAC,
    0xFF464547,
    0xFF514F51,
    0xFF8D8C8D,
    0xFF7A787A,
    0xFFA1A0A1,
    0xFFB6B5B6,
    0xFF565557,
    0xFF282728,
    0xFF1F1E1F,
    0xFF3B393B,
    0xFFA09FA0,
    0xFF908F90,
    0xFF232223,
    0xFF090809,
    0xFF111011,
    0xFF6C6A6C,
    0xFFBBBABB,
    0xFF585658,
    0xFF565557,
    0xFF575557,
    0xFF222122,
    0xFF888688,
    0xFFD5D4D5,
    0xFF767476,
    0xFF282728,
    0xFF1A191A,
    0xFF3F3E40,
    0xFFABAAAB,
    0xFF959495,
    0xFF1F1E1F,
    0xFF646264,
    0xFFA1A0A1,
    0xFF2E2D2F,
    0xFF121112,
    0xFF787678,
    0xFF929092,
    0xFF525152,
    0xFF9B9A9B,
    0xFF868586,
    0xFF5A585A,
    0xFFAAA9AA,
    0xFF5F5D5F,
    0xFF0B0A0B,
    0xFF3C3B3D,
    0xFF676567,
    0xFF4A484A,
    0xFF6B696B,
    0xFF706F70,
    0xFFC3C2C3,
    0xFFA1A0A1,
    0xFF787678,
    0xFFA09FA0,
    0xFF403F41,
    0xFF616062,
    0xFF9C9B9C,
    0xFF3D3C3E,
    0xFF181718,
    0xFF1D1C1E,
    0xFF4E4D4F,
    0xFF5F5D5F,
    0xFF252425,
    0xFF6E6C6E,
    0xFFD1D0D1,
    0xFF858485,
    0xFF131213,
    0xFF343335,
    0xFFA4A3A4,
    0xFF5D5B5D,
    0xFF100F10,
    0xFF282729,
    0xFF212021,
    0xFF292729,
    0xFF8F8E8F,
    0xFFBCBBBC,
    0xFF3E3D3F,
    0xFF090809,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF1A191A,
    0xFF353436,
    0xFF1F1E1F,
    0xFF313032,
    0xFF9D9C9D,
    0xFF9D9B9D,
    0xFF727172,
    0xFFA2A0A2,
    0xFFBBBABB,
    0xFF605E60,
    0xFF191819,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF0D0C0D,
    0xFF121112,
    0xFF6A686A,
    0xFFC0BFC0,
    0xFF626062,
    0xFF4E4D4F,
    0xFFB9B8B9,
    0xFFA1A0A1,
    0xFF656465,
    0xFF6E6C6E,
    0xFF716F71,
    0xFF969596,
    0xFF747274,
    0xFF474648,
    0xFFA9A7A9,
    0xFFAFAEAF,
    0xFF959495,
    0xFF5A585A,
    0xFF141314,
    0xFF4E4C4E,
    0xFFB6B5B6,
    0xFF979597,
    0xFF828082,
    0xFF757375,
    0xFF6C6B6D,
    0xFF9D9C9D,
    0xFF6A696B,
    0xFF171617,
    0xFF0A090A,
    0xFF151415,
    0xFF757375,
    0xFFC2C1C2,
    0xFF666466,
    0xFF696769,
    0xFF6B6A6C,
    0xFF141314,
    0xFF282729,
    0xFF858485,
    0xFF767476,
    0xFF706E70,
    0xFF6C6B6C,
    0xFF656465,
    0xFFA4A2A4,
    0xFF706E70,
    0xFF1A191A,
    0xFF737173,
    0xFFAEADAE,
    0xFF39383A,
    0xFF1A191B,
    0xFF898889,
    0xFF9D9B9D,
    0xFF302F31,
    0xFF605F61,
    0xFFAFAEAF,
    0xFF7B797B,
    0xFF959395,
    0xFF9F9E9F,
    0xFF676667,
    0xFF7E7C7E,
    0xFF5D5B5D,
    0xFF4C4B4D,
    0xFF787678,
    0xFF484749,
    0xFF8A898A,
    0xFF716F71,
    0xFF696769,
    0xFFB0AFB0,
    0xFF565456,
    0xFF6D6C6E,
    0xFFB9B8B9,
    0xFF7C7B7C,
    0xFF5C5A5C,
    0xFF666567,
    0xFF787678,
    0xFF747274,
    0xFF201F20,
    0xFF1C1B1D,
    0xFF7F7D7F,
    0xFF777577,
    0xFF171617,
    0xFF424042,
    0xFFB3B2B3,
    0xFF6B696B,
    0xFF191819,
    0xFF616062,
    0xFF787778,
    0xFF5A585A,
    0xFF949394,
    0xFF959395,
    0xFF29282A,
    0xFF0B0A0B,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF111011,
    0xFF0D0C0D,
    0xFF141314,
    0xFF777577,
    0xFFE2E1E2,
    0xFFF0EFF0,
    0xFFD9D8D9,
    0xFF6E6C6E,
    0xFF161516,
    0xFF0D0C0D,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0E0D0E,
    0xFF111011,
    0xFF323132,
    0xFF4C4B4C,
    0xFF302E30,
    0xFF272627,
    0xFF474647,
    0xFF504F50,
    0xFF454445,
    0xFF3F3D3F,
    0xFF393839,
    0xFF454345,
    0xFF2B2A2B,
    0xFF181718,
    0xFF3C3B3C,
    0xFF4F4E4F,
    0xFF454345,
    0xFF252325,
    0xFF0D0C0D,
    0xFF1E1D1E,
    0xFF434143,
    0xFF414041,
    0xFF3E3D3E,
    0xFF454345,
    0xFF434143,
    0xFF3A393A,
    0xFF1B1A1B,
    0xFF0E0D0E,
    0xFF0E0D0E,
    0xFF111011,
    0xFF312F31,
    0xFF494749,
    0xFF302F30,
    0xFF333233,
    0xFF333234,
    0xFF141314,
    0xFF0F0E0F,
    0xFF2A292B,
    0xFF302F30,
    0xFF353435,
    0xFF484748,
    0xFF535253,
    0xFF454345,
    0xFF1A191B,
    0xFF100F10,
    0xFF313032,
    0xFF444244,
    0xFF1F1E1F,
    0xFF151415,
    0xFF3B3A3B,
    0xFF424042,
    0xFF1A191A,
    0xFF1A191A,
    0xFF424142,
    0xFF3B3A3B,
    0xFF2B2A2C,
    0xFF4C4B4D,
    0xFF565557,
    0xFF3B3A3B,
    0xFF1C1B1D,
    0xFF262526,
    0xFF393739,
    0xFF201F20,
    0xFF323133,
    0xFF323132,
    0xFF2F2E2F,
    0xFF474647,
    0xFF2E2C2E,
    0xFF2F2E30,
    0xFF4C4B4C,
    0xFF464546,
    0xFF3E3C3E,
    0xFF3A393A,
    0xFF373637,
    0xFF363436,
    0xFF171617,
    0xFF0D0C0D,
    0xFF272628,
    0xFF313031,
    0xFF141314,
    0xFF212022,
    0xFF454445,
    0xFF312F31,
    0xFF111011,
    0xFF242324,
    0xFF3F3E3F,
    0xFF504F51,
    0xFF4B4A4B,
    0xFF262526,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0E0D0E,
    0xFF0C0B0C,
    0xFF3F3E40,
    0xFFB7B6B7,
    0xFFF4F3F4,
    0xFFC3C2C3,
    0xFF3A383A,
    0xFF0A090A,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF111011,
    0xFF121112,
    0xFF111011,
    0xFF111011,
    0xFF121112,
    0xFF131213,
    0xFF131213,
    0xFF121112,
    0xFF111011,
    0xFF121112,
    0xFF111011,
    0xFF100F10,
    0xFF121112,
    0xFF131213,
    0xFF121112,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF121112,
    0xFF121112,
    0xFF121112,
    0xFF121112,
    0xFF131213,
    0xFF121112,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF111011,
    0xFF121112,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF131213,
    0xFF141314,
    0xFF131213,
    0xFF151415,
    0xFF181719,
    0xFF141314,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF111011,
    0xFF121112,
    0xFF100F10,
    0xFF100F10,
    0xFF121112,
    0xFF121112,
    0xFF100F10,
    0xFF100F10,
    0xFF131213,
    0xFF131213,
    0xFF111011,
    0xFF161516,
    0xFF1A191A,
    0xFF141314,
    0xFF100F10,
    0xFF100F10,
    0xFF111011,
    0xFF100F10,
    0xFF151415,
    0xFF151415,
    0xFF111011,
    0xFF121112,
    0xFF111011,
    0xFF111011,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF121112,
    0xFF111011,
    0xFF111011,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF121112,
    0xFF141314,
    0xFF100F10,
    0xFF100F10,
    0xFF121112,
    0xFF111011,
    0xFF100F10,
    0xFF121112,
    0xFF131213,
    0xFF181719,
    0xFF151415,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0D0C0D,
    0xFF121112,
    0xFF575557,
    0xFFCBCACB,
    0xFFC4C3C4,
    0xFF3C3B3D,
    0xFF0A090A,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0E0D0E,
    0xFF141314,
    0xFF353435,
    0xFF434243,
    0xFF201F20,
    0xFF0E0D0E,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF121112,
    0xFF121112,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBEBDBE,
    0xFF333233,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797779,
    0xFFE6E5E6,
    0xFFEBEAEB,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE8E7E8,
    0xFFEFEEEF,
    0xFFBCBBBC,
    0xFF333234,
    0xFF080708,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF646264,
    0xFF131213,
    0xFF4D4C4E,
    0xFF929092,
    0xFF949394,
    0xFF929192,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF939193,
    0xFF979597,
    0xFF787778,
    0xFF252325,
    0xFF0B0A0B,
    0xFF0F0E0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF100F0F,
    0xFF140E0D,
    0xFF110D0E,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF656365,
    0xFF111011,
    0xFF0F0E0F,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF151415,
    0xFF141314,
    0xFF111011,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F0F,
    0xFF140E0D,
    0xFF120E0F,
    0xFF001212,
    0xFF004242,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF656365,
    0xFF111011,
    0xFF181718,
    0xFF262526,
    0xFF262527,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262526,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262526,
    0xFF262525,
    0xFF2B2524,
    0xFF252021,
    0xFF011617,
    0xFF004141,
    0xFF11B7B8,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF747274,
    0xFFDBDADB,
    0xFFDFDEDF,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDC,
    0xFFDCDBDB,
    0xFFDCDADA,
    0xFFE6DFDF,
    0xFFC1BDBD,
    0xFF284243,
    0xFF003D3D,
    0xFF11B6B7,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797779,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFF6EFEF,
    0xFFCCC8C8,
    0xFF294344,
    0xFF003D3D,
    0xFF11B6B7,
    0xFF15EAED,
    0xFF08E9EC,
    0xFF09E9EB,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0AE9E9,
    0xFF07EAE9,
    0xFF09E9E9,
    0xFF23DDEF,
    0xFF58ADF2,
    0xFF905EE7,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFF10AED,
    0xFFEB0DEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEA0EEC,
    0xFFEC0CEF,
    0xFFEC0CEF,
    0xFFE018E2,
    0xFFB428B6,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBEA,
    0xFFF7F0F0,
    0xFFCCC8C8,
    0xFF294344,
    0xFF003D3D,
    0xFF11B6B7,
    0xFF15EBEC,
    0xFF08EAEC,
    0xFF09E9EB,
    0xFF0CE8EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0DE7EA,
    0xFF0AE9E9,
    0xFF07EAE8,
    0xFF09E9E8,
    0xFF22DDEE,
    0xFF58ADF2,
    0xFF905DE6,
    0xFFC721E4,
    0xFFE90CEB,
    0xFFEF0AEC,
    0xFFEA0CEB,
    0xFFE80DEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE80EEB,
    0xFFE90DEC,
    0xFFEB0BEE,
    0xFFEB0BEE,
    0xFFDF17E2,
    0xFFB327B5,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBEA,
    0xFFF7F0F0,
    0xFFCCC8C8,
    0xFF294344,
    0xFF003D3D,
    0xFF11B6B7,
    0xFF15EBEC,
    0xFF08EAEB,
    0xFF09E9EA,
    0xFF0CE8E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0DE7E9,
    0xFF0AE9E8,
    0xFF07EAE7,
    0xFF09EAE7,
    0xFF22DDEE,
    0xFF59AFF1,
    0xFF8F5EE5,
    0xFFC620E2,
    0xFFE80CEA,
    0xFFED0AEB,
    0xFFE90CEA,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DE9,
    0xFFE70DEB,
    0xFFEA0BEC,
    0xFFEA0BED,
    0xFFDE17E0,
    0xFFB327B5,
    0xFF4F0D4F,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBEA,
    0xFFF7F0F0,
    0xFFCCC8C8,
    0xFF294344,
    0xFF003D3D,
    0xFF11B6B7,
    0xFF16EAED,
    0xFF08EAEC,
    0xFF0AE9EC,
    0xFF0CE8EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0DE7EB,
    0xFF0BE8EA,
    0xFF07EAE9,
    0xFF09E9EA,
    0xFF23DCF0,
    0xFF56ABF2,
    0xFF8F5CE7,
    0xFFC720E5,
    0xFFEA0BEC,
    0xFFF00AED,
    0xFFEC0CEC,
    0xFFEA0DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFE90DEB,
    0xFFEA0DEC,
    0xFFED0BEE,
    0xFFED0BEE,
    0xFFE017E2,
    0xFFB527B6,
    0xFF4F0D51,
    0xFF201420,
    0xFF798079,
    0xFFB6BCB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBEA,
    0xFFF7F0F0,
    0xFFCBC8C8,
    0xFF284445,
    0xFF003C3B,
    0xFF1BB6AF,
    0xFF2BEBDB,
    0xFF26E9D2,
    0xFF2AE8CC,
    0xFF2DE6CA,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2DE6CB,
    0xFF2CE7CA,
    0xFF28E9CA,
    0xFF27E9CF,
    0xFF36DCDC,
    0xFF55A5DD,
    0xFF8355D4,
    0xFFB920D3,
    0xFFD80DD6,
    0xFFDB0CD6,
    0xFFD70FD5,
    0xFFD510D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD410D4,
    0xFFD610D5,
    0xFFD70ED8,
    0xFFD80ED8,
    0xFFCD19CD,
    0xFFA728A7,
    0xFF4B0F4B,
    0xFF201420,
    0xFF798079,
    0xFFB7BBB6,
    0xFFB4B6B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDEBEC,
    0xFFF6F0F2,
    0xFFCAC8CB,
    0xFF2B4240,
    0xFF023821,
    0xFF53B679,
    0xFF87EF87,
    0xFF91EB67,
    0xFF9AE75A,
    0xFF9CE659,
    0xFF9BE65B,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9BE65D,
    0xFF9AE75D,
    0xFF99E859,
    0xFF9AE858,
    0xFFA0E45D,
    0xFFA2CD69,
    0xFF787D54,
    0xFF513345,
    0xFF562156,
    0xFF5D215E,
    0xFF5D215D,
    0xFF5C215D,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225B,
    0xFF5C225C,
    0xFF5D215D,
    0xFF5D215D,
    0xFF5A255A,
    0xFF4C264B,
    0xFF221122,
    0xFF1C191C,
    0xFF7C7E7C,
    0xFFB8BAB8,
    0xFFB5B6B5,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF3F1F8,
    0xFFC8C9CD,
    0xFF3A3F2B,
    0xFF283300,
    0xFFA7B724,
    0xFFDEED29,
    0xFFDFE813,
    0xFFE0E610,
    0xFFDFE613,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE614,
    0xFFDFE612,
    0xFFE1E60E,
    0xFFE2E816,
    0xFFD0D828,
    0xFF788312,
    0xFF2A3504,
    0xFF21291E,
    0xFF262A2B,
    0xFF272929,
    0xFF272A27,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272A26,
    0xFF272B28,
    0xFF242724,
    0xFF131313,
    0xFF1A1B1A,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B611,
    0xFFEBEB17,
    0xFFE6E706,
    0xFFE4E608,
    0xFFE4E60A,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E60B,
    0xFFE4E608,
    0xFFE5E706,
    0xFFE7E810,
    0xFFD6D326,
    0xFF807B12,
    0xFF352E0B,
    0xFF282424,
    0xFF29262F,
    0xFF29272C,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A272A,
    0xFF2A282A,
    0xFF262527,
    0xFF131313,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3E3F25,
    0xFF313200,
    0xFFB5B711,
    0xFFEBEC17,
    0xFFE7E705,
    0xFFE6E707,
    0xFFE6E60A,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60B,
    0xFFE6E60A,
    0xFFE6E608,
    0xFFE7E705,
    0xFFE9E911,
    0xFFD5D525,
    0xFF7D7D12,
    0xFF31320A,
    0xFF262723,
    0xFF28282E,
    0xFF28292C,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF28292A,
    0xFF292A2B,
    0xFF262728,
    0xFF131314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E707,
    0xFFE8E60A,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60C,
    0xFFE8E60A,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF272724,
    0xFF29292F,
    0xFF292A2C,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF2A2A2B,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE5E4E5,
    0xFFE1E0E1,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE7E6E7,
    0xFFE1E0E1,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEBEAEB,
    0xFFE3E2E3,
    0xFFE3E2E3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE7E6E7,
    0xFFDFDEDF,
    0xFFE6E5E6,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFE1E0E1,
    0xFFE6E5E6,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE7E6E7,
    0xFFE1E0E1,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE8E7E8,
    0xFFE1E0E1,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFC8C7C8,
    0xFFA2A1A2,
    0xFFB2B0B2,
    0xFFD0CFD0,
    0xFFE4E3E4,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEDECED,
    0xFFE6E5E6,
    0xFFC3C2C3,
    0xFFCBCACB,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFF989798,
    0xFF6D6B6D,
    0xFFD2D1D2,
    0xFFF1F0F1,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFFB2B1B2,
    0xFF807E80,
    0xFFCFCECF,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFE0DFE0,
    0xFF7B7A7B,
    0xFF848284,
    0xFFE4E3E4,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFE4E3E4,
    0xFF8A888A,
    0xFF403F41,
    0xFF9E9D9E,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFC8C7C8,
    0xFF686668,
    0xFFA4A3A4,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFEFEEEF,
    0xFFB9B8B9,
    0xFF7E7C7E,
    0xFFCAC9CA,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFBBBABB,
    0xFF7E7C7E,
    0xFFC8C7C8,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFD4D3D4,
    0xFFBFBEBF,
    0xFFDFDEDF,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF5F5E60,
    0xFF0D0C0D,
    0xFF100F10,
    0xFF393839,
    0xFF9F9E9F,
    0xFFE8E7E8,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE7E6E7,
    0xFFABAAAB,
    0xFFA09FA0,
    0xFFE4E3E4,
    0xFFDBDADB,
    0xFF7F7D7F,
    0xFF969596,
    0xFFE8E7E8,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFF807E80,
    0xFF494749,
    0xFFCAC9CA,
    0xFFF2F1F2,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFC7C6C7,
    0xFF949394,
    0xFFCBCACB,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFFADACAD,
    0xFF777577,
    0xFFCDCCCD,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFDDDCDD,
    0xFF9C9A9C,
    0xFFB1B0B1,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFF1F0F1,
    0xFFDDDCDD,
    0xFF5C5A5C,
    0xFF666466,
    0xFFE2E1E2,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF0EFF0,
    0xFFCCCBCC,
    0xFF656365,
    0xFF797779,
    0xFFD1D0D1,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBFBDBF,
    0xFF424143,
    0xFF908E90,
    0xFFF0EFF0,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFB4B3B4,
    0xFF757375,
    0xFFC8C7C8,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEFEEEF,
    0xFFB6B5B6,
    0xFF757375,
    0xFFC6C5C6,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFAAA8AA,
    0xFF747274,
    0xFFCAC9CA,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF2F1F2,
    0xFFD4D3D4,
    0xFF4F4E50,
    0xFF5A595B,
    0xFFAFAEAF,
    0xFF5C5B5D,
    0xFF555456,
    0xFFD3D2D3,
    0xFFEBEAEB,
    0xFFE1E0E1,
    0xFFE0DFE0,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFE6E5E6,
    0xFFDEDDDE,
    0xFFE4E3E4,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFE5E4E5,
    0xFFE4E3E4,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE2E1E2,
    0xFFE8E7E8,
    0xFFE0DFE0,
    0xFF817F81,
    0xFF6A686A,
    0xFFCFCECF,
    0xFFE9E8E9,
    0xFFD0CFD0,
    0xFFD5D4D5,
    0xFFE3E2E3,
    0xFFE4E3E4,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE0DFE0,
    0xFFE7E6E7,
    0xFFEBEAEB,
    0xFFE6E5E6,
    0xFFE3E2E3,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFF817F81,
    0xFF49484A,
    0xFFC5C4C5,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFE1E0E1,
    0xFFE5E4E5,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE6E5E6,
    0xFFE4E3E4,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFE4E3E4,
    0xFFE0DFE0,
    0xFFE1E0E1,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFE4E3E4,
    0xFFE5E4E5,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEBEAEB,
    0xFFE5E4E5,
    0xFFE3E2E3,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFABAAAB,
    0xFF5A595B,
    0xFFAAA9AA,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE8E7E8,
    0xFFE3E2E3,
    0xFFE7E6E7,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE3E2E3,
    0xFFE7E6E7,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE5E4E5,
    0xFFE1E0E1,
    0xFFA7A6A7,
    0xFF767476,
    0xFFCDCCCD,
    0xFFF0EFF0,
    0xFFE8E7E8,
    0xFFE3E2E3,
    0xFFE7E6E7,
    0xFFEFEEEF,
    0xFFCECDCE,
    0xFF686668,
    0xFF828182,
    0xFFE0DFE0,
    0xFFEFEEEF,
    0xFFEBEAEB,
    0xFFE4E3E4,
    0xFFE5E4E5,
    0xFFEFEEEF,
    0xFFDEDDDE,
    0xFF5D5B5D,
    0xFF636163,
    0xFFD8D7D8,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEBEAEB,
    0xFFE5E4E5,
    0xFFE3E2E3,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFE0DFE0,
    0xFFDDDCDD,
    0xFFE6E5E6,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE3E2E3,
    0xFFE6E5E6,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE1E0E1,
    0xFFE0DFE0,
    0xFFEAE9EA,
    0xFFEFEEEF,
    0xFFB7B6B7,
    0xFF615F61,
    0xFFA6A5A6,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFDEDDDE,
    0xFFD8D7D8,
    0xFFDFDEDF,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFE3E2E3,
    0xFFDEDDDE,
    0xFFE6E5E6,
    0xFFF3F2F3,
    0xFFBFBEBF,
    0xFF424143,
    0xFF908F90,
    0xFFEFEEEF,
    0xFFE7E6E7,
    0xFFE2E1E2,
    0xFFADACAD,
    0xFF757375,
    0xFFC8C7C8,
    0xFFF0EFF0,
    0xFFE9E8E9,
    0xFFE3E2E3,
    0xFFE6E5E6,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE0DFE0,
    0xFFE2E1E2,
    0xFFE1E0E1,
    0xFFE6E5E6,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE5E4E5,
    0xFFE2E1E2,
    0xFFAFAEAF,
    0xFF747274,
    0xFFC6C5C6,
    0xFFECEBEC,
    0xFFE4E3E4,
    0xFFE0DFE0,
    0xFFE2E1E2,
    0xFFD8D7D8,
    0xFFCDCCCD,
    0xFFDFDEDF,
    0xFFE3E2E3,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFE2E1E2,
    0xFFE3E2E3,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE3E2E3,
    0xFFE6E5E6,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE4E3E4,
    0xFFE1E0E1,
    0xFFDFDEDF,
    0xFFE8E7E8,
    0xFFE6E5E6,
    0xFFDDDCDD,
    0xFFE2E1E2,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF2F1F2,
    0xFFD5D4D5,
    0xFF4E4D4F,
    0xFF414042,
    0xFF828082,
    0xFF514F51,
    0xFF797779,
    0xFFC9C8C9,
    0xFF757375,
    0xFF4A484A,
    0xFF5D5B5D,
    0xFFBEBDBE,
    0xFFC3C2C3,
    0xFF5F5E60,
    0xFF282728,
    0xFF5B5A5C,
    0xFFC5C4C5,
    0xFFE5E4E5,
    0xFFA09FA0,
    0xFF5A595B,
    0xFF474648,
    0xFF8C8A8C,
    0xFFE1E0E1,
    0xFFD2D1D2,
    0xFF6E6C6E,
    0xFF383739,
    0xFF817F81,
    0xFFA3A2A3,
    0xFF3C3B3D,
    0xFF080708,
    0xFF545354,
    0xFFBCBBBC,
    0xFF6B6A6B,
    0xFF817F81,
    0xFF929192,
    0xFF828082,
    0xFFDAD9DA,
    0xFFB1B0B1,
    0xFF6D6B6D,
    0xFFC0BFC0,
    0xFFBDBCBD,
    0xFF515052,
    0xFF2C2B2C,
    0xFF7F7D7F,
    0xFFD6D5D6,
    0xFF848384,
    0xFF4D4B4D,
    0xFF9A999A,
    0xFF777577,
    0xFFBCBBBC,
    0xFFD2D1D2,
    0xFF737173,
    0xFF9E9D9E,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFEBEAEB,
    0xFFB6B5B6,
    0xFF504F51,
    0xFF424143,
    0xFFA7A6A7,
    0xFFB8B7B8,
    0xFF5E5D5F,
    0xFF49484A,
    0xFF737173,
    0xFFCDCCCD,
    0xFF9F9E9F,
    0xFF393739,
    0xFF3C3B3D,
    0xFF9F9E9F,
    0xFFDDDCDD,
    0xFFA4A3A4,
    0xFF5D5B5D,
    0xFF464547,
    0xFF8B8A8B,
    0xFFC8C7C8,
    0xFF6A686A,
    0xFF0D0C0E,
    0xFF252425,
    0xFFA9A7A9,
    0xFFD9D8D9,
    0xFF787778,
    0xFF2B292B,
    0xFF585759,
    0xFFBEBDBE,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFBFBEBF,
    0xFF716F71,
    0xFF464547,
    0xFF666567,
    0xFFC4C3C4,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFEFEEEF,
    0xFFCFCECF,
    0xFF6E6D6F,
    0xFF3E3C3E,
    0xFF49484A,
    0xFF6B696B,
    0xFFD3D2D3,
    0xFFC4C3C4,
    0xFF727072,
    0xFF464547,
    0xFF696769,
    0xFFC1C0C1,
    0xFF989798,
    0xFF222123,
    0xFF0E0D0E,
    0xFF797779,
    0xFFD0CED0,
    0xFF8E8D8E,
    0xFF4F4E50,
    0xFF4F4E50,
    0xFFA9A8A9,
    0xFFD9D8D9,
    0xFF615F61,
    0xFF323133,
    0xFF434244,
    0xFF4A494B,
    0xFFB1B0B1,
    0xFFE6E5E6,
    0xFFA7A6A7,
    0xFF5F5D5F,
    0xFF454446,
    0xFF848284,
    0xFFDAD9DA,
    0xFFBDBCBD,
    0xFF6F6D6F,
    0xFF6D6B6D,
    0xFFB5B4B5,
    0xFFD2D1D2,
    0xFF7D7C7D,
    0xFF2B2A2C,
    0xFF535153,
    0xFFB9B7B9,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFDCDBDC,
    0xFF8C8B8C,
    0xFF353436,
    0xFF383739,
    0xFF9B999B,
    0xFFD4D3D4,
    0xFF727072,
    0xFF121112,
    0xFF3D3B3D,
    0xFFBAB9BA,
    0xFFF0EFF0,
    0xFFEFEEEF,
    0xFFC6C5C6,
    0xFF666466,
    0xFF222122,
    0xFF141314,
    0xFF666466,
    0xFFD6D5D6,
    0xFFB1B0B1,
    0xFF4E4D4E,
    0xFF2A292A,
    0xFF716F71,
    0xFFD8D7D8,
    0xFFC1C0C1,
    0xFF434244,
    0xFF939293,
    0xFFD8D7D8,
    0xFF777577,
    0xFF3E3C3E,
    0xFF49484A,
    0xFF666466,
    0xFFCECDCE,
    0xFFDEDDDE,
    0xFF807F80,
    0xFF2D2C2D,
    0xFF504F50,
    0xFFBBBABB,
    0xFFC3C2C3,
    0xFF636163,
    0xFF595759,
    0xFF3E3D3F,
    0xFF646365,
    0xFFCFCECF,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFEFEEEF,
    0xFFD4D3D4,
    0xFF777577,
    0xFF3E3C3E,
    0xFF494749,
    0xFF656365,
    0xFFCCCBCC,
    0xFFA7A6A7,
    0xFF525052,
    0xFF4C4A4C,
    0xFF8A898A,
    0xFF908F90,
    0xFF615F61,
    0xFF9E9D9E,
    0xFF787678,
    0xFFB2B1B2,
    0xFFDAD9DA,
    0xFF7C7A7C,
    0xFF929192,
    0xFFD5D4D5,
    0xFF838283,
    0xFF2C2B2D,
    0xFF4D4B4D,
    0xFFB7B6B7,
    0xFFC7C6C7,
    0xFF656466,
    0xFF49484A,
    0xFF696769,
    0xFFB6B5B6,
    0xFF8F8D8F,
    0xFF626163,
    0xFF919091,
    0xFFD8D7D8,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF2F1F2,
    0xFFD6D5D6,
    0xFF4F4E50,
    0xFF060506,
    0xFF1A191B,
    0xFF636264,
    0xFFC9C8C9,
    0xFFD6D5D6,
    0xFF514F51,
    0xFF464547,
    0xFFB2B1B2,
    0xFFC8C7C8,
    0xFF6C6A6C,
    0xFF6A686A,
    0xFF949394,
    0xFF575557,
    0xFF747274,
    0xFFD4D3D4,
    0xFFB4B2B4,
    0xFFB4B2B4,
    0xFF959395,
    0xFF49484A,
    0xFFA6A5A6,
    0xFF8F8E8F,
    0xFF555456,
    0xFF8A898A,
    0xFFA6A5A6,
    0xFFBDBBBD,
    0xFF6E6C6E,
    0xFF4E4C4E,
    0xFFB1B0B1,
    0xFFD1D0D1,
    0xFF565456,
    0xFF747274,
    0xFFA3A2A3,
    0xFF666466,
    0xFFB6B5B6,
    0xFF8E8C8E,
    0xFF7A787A,
    0xFFC0BFC0,
    0xFF777577,
    0xFF686769,
    0xFF767576,
    0xFF5E5C5E,
    0xFFA09FA0,
    0xFF807E80,
    0xFF4F4E50,
    0xFFB6B5B6,
    0xFF777577,
    0xFF8A888A,
    0xFFABAAAB,
    0xFF696769,
    0xFFBAB9BA,
    0xFFF1F0F1,
    0xFFF1F0F1,
    0xFFD3D2D3,
    0xFF6A686A,
    0xFF626162,
    0xFF929192,
    0xFFB3B2B3,
    0xFFABA9AB,
    0xFF383738,
    0xFF636263,
    0xFFC5C4C5,
    0xFFB2B1B2,
    0xFF636163,
    0xFF737273,
    0xFF6D6B6D,
    0xFF656365,
    0xFFB7B6B7,
    0xFFB4B3B4,
    0xFFB3B2B3,
    0xFF999799,
    0xFF49484A,
    0xFFA3A2A3,
    0xFF9D9C9D,
    0xFF444345,
    0xFF868586,
    0xFFD5D4D5,
    0xFF959495,
    0xFF605E60,
    0xFF7A797A,
    0xFF605E60,
    0xFF797879,
    0xFFDAD9DA,
    0xFFF1F0F1,
    0xFFECEBEC,
    0xFFC2C1C2,
    0xFFA9A8A9,
    0xFFB3B1B3,
    0xFF565557,
    0xFF787678,
    0xFFE6E5E6,
    0xFFF1F0F1,
    0xFFE9E8E9,
    0xFF919091,
    0xFF5A595B,
    0xFF939193,
    0xFF727172,
    0xFF6B696B,
    0xFFD0CFD0,
    0xFFC6C5C6,
    0xFFA9A8A9,
    0xFFB3B1B3,
    0xFF575557,
    0xFF7A797A,
    0xFFB9B8B9,
    0xFF575658,
    0xFF616061,
    0xFFC5C4C5,
    0xFFD6D5D6,
    0xFFA8A7A8,
    0xFFB8B7B8,
    0xFF7A787A,
    0xFF575658,
    0xFFBCBBBC,
    0xFF636163,
    0xFF444344,
    0xFF908F90,
    0xFF5C5A5C,
    0xFF696769,
    0xFFD0CFD0,
    0xFFB7B6B7,
    0xFFB2B0B2,
    0xFF9E9C9E,
    0xFF4C4B4D,
    0xFF9C9B9C,
    0xFF8C8A8C,
    0xFF6B696B,
    0xFFBDBCBD,
    0xFFD4D3D4,
    0xFF919091,
    0xFF5F5E60,
    0xFF797879,
    0xFF626062,
    0xFF747374,
    0xFFD6D5D6,
    0xFFF1F0F1,
    0xFFEAE9EA,
    0xFF999799,
    0xFF565456,
    0xFF8D8C8D,
    0xFF767576,
    0xFF515052,
    0xFFB3B2B3,
    0xFFA3A2A3,
    0xFF474547,
    0xFF888788,
    0xFFDFDEDF,
    0xFFF1F0F1,
    0xFFE8E7E8,
    0xFF908E90,
    0xFF565456,
    0xFF6A686A,
    0xFF514F51,
    0xFF979597,
    0xFFBAB9BA,
    0xFF5F5D5F,
    0xFF787678,
    0xFF8D8C8E,
    0xFF4E4C4E,
    0xFF929092,
    0xFFBAB9BA,
    0xFF474648,
    0xFF908E90,
    0xFF9D9B9D,
    0xFF5A595B,
    0xFF908F90,
    0xFF767576,
    0xFF676567,
    0xFFC8C7C8,
    0xFF9E9D9E,
    0xFF5E5D5F,
    0xFF797879,
    0xFF646264,
    0xFF7B797B,
    0xFFAAA9AA,
    0xFF414042,
    0xFF5A595A,
    0xFF858485,
    0xFF555355,
    0xFFA09FA0,
    0xFFEBEAEB,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFF9B9A9B,
    0xFF585759,
    0xFF908E90,
    0xFF787778,
    0xFF656466,
    0xFFCDCCCD,
    0xFF9A999A,
    0xFF2E2D2F,
    0xFF7D7B7D,
    0xFFD2D1D2,
    0xFF929192,
    0xFF474648,
    0xFFA8A7A8,
    0xFF767476,
    0xFF8B898B,
    0xFFB7B6B7,
    0xFF6B696B,
    0xFFACABAC,
    0xFFA1A0A1,
    0xFF5F5E60,
    0xFF797879,
    0xFF656365,
    0xFF787678,
    0xFFACABAC,
    0xFF434244,
    0xFF545254,
    0xFFBBBABB,
    0xFFAFAEAF,
    0xFF615F61,
    0xFF9B999B,
    0xFFD3D2D3,
    0xFFE5E4E5,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF2F1F2,
    0xFFD4D3D4,
    0xFF4F4E50,
    0xFF545354,
    0xFFC0BEC0,
    0xFFE2E1E2,
    0xFFF0EFF0,
    0xFFD4D3D4,
    0xFF504F51,
    0xFF727072,
    0xFFE9E8E9,
    0xFFC1C0C1,
    0xFF676567,
    0xFFABAAAB,
    0xFFE6E5E6,
    0xFF7C7B7C,
    0xFF525153,
    0xFFCAC9CA,
    0xFFBEBDBE,
    0xFF777577,
    0xFF353436,
    0xFF2A292A,
    0xFF969496,
    0xFF817F81,
    0xFF898789,
    0xFFDAD9DA,
    0xFFDBDADB,
    0xFFDAD9DA,
    0xFF8A888A,
    0xFF787678,
    0xFFDEDDDE,
    0xFFD8D7D8,
    0xFF525153,
    0xFF767476,
    0xFFC7C6C7,
    0xFF737173,
    0xFF858385,
    0xFF787678,
    0xFF9D9B9D,
    0xFFC3C2C3,
    0xFF504F51,
    0xFF3B3A3C,
    0xFF5B595B,
    0xFF49474A,
    0xFF989798,
    0xFF7F7D7F,
    0xFF4E4C4E,
    0xFFC7C6C7,
    0xFF9B9A9B,
    0xFF716F71,
    0xFF7F7D7F,
    0xFF7E7C7E,
    0xFFD7D6D7,
    0xFFF1F0F1,
    0xFFF0EFF0,
    0xFFC2C1C2,
    0xFF6A686A,
    0xFFA8A7A8,
    0xFFDFDEDF,
    0xFFDEDDDE,
    0xFFADABAD,
    0xFF3F3E40,
    0xFF9B9A9B,
    0xFFF0EFF0,
    0xFFA4A3A4,
    0xFF373638,
    0xFF4B494B,
    0xFF555355,
    0xFF575557,
    0xFFBAB9BA,
    0xFFBFBEBF,
    0xFF7B797B,
    0xFF383739,
    0xFF262526,
    0xFFA4A3A4,
    0xFFB6B5B6,
    0xFF666466,
    0xFFBAB9BA,
    0xFFE3E2E3,
    0xFF797779,
    0xFF313032,
    0xFF585759,
    0xFF4A494B,
    0xFF706E70,
    0xFFD8D7D8,
    0xFFF0EFF0,
    0xFFEEEDEE,
    0xFFD0CFD0,
    0xFF918F91,
    0xFF504F51,
    0xFF1C1B1D,
    0xFF6C6A6C,
    0xFFE5E4E5,
    0xFFF3F2F3,
    0xFFE0DFE0,
    0xFF807E80,
    0xFF7D7B7D,
    0xFFDEDDDE,
    0xFFACABAC,
    0xFF767476,
    0xFFCECDCE,
    0xFFD4D3D4,
    0xFF919091,
    0xFF504F51,
    0xFF1D1C1D,
    0xFF706E70,
    0xFFCCCBCC,
    0xFF747274,
    0xFF918F91,
    0xFFE8E7E8,
    0xFFE1E0E1,
    0xFFA8A7A8,
    0xFF686668,
    0xFF272627,
    0xFF424143,
    0xFFB8B7B8,
    0xFF636163,
    0xFF656466,
    0xFFDCDBDC,
    0xFF898889,
    0xFF4D4B4D,
    0xFFC3C2C3,
    0xFFC4C3C4,
    0xFF7D7B7D,
    0xFF3A393B,
    0xFF232224,
    0xFF9D9C9D,
    0xFFC4C3C4,
    0xFF5E5C5E,
    0xFF5B595B,
    0xFFA7A6A7,
    0xFF7A787A,
    0xFF323133,
    0xFF575557,
    0xFF4B4A4C,
    0xFF696769,
    0xFFD4D3D4,
    0xFFF2F1F2,
    0xFFE2E1E2,
    0xFF848284,
    0xFF7B7A7B,
    0xFFDEDDDE,
    0xFFB9B8B9,
    0xFF464446,
    0xFF9C9A9C,
    0xFFBCBBBC,
    0xFF686668,
    0xFFB5B4B5,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFEBEAEB,
    0xFF908F90,
    0xFF2B2A2C,
    0xFF242224,
    0xFF484749,
    0xFFBDBCBD,
    0xFFABAAAB,
    0xFF696769,
    0xFFC2C1C2,
    0xFFDCDBDC,
    0xFF626062,
    0xFF6E6C6E,
    0xFFB4B3B4,
    0xFF4A484A,
    0xFF878587,
    0xFF898789,
    0xFF797779,
    0xFFDBDADB,
    0xFFB2B1B2,
    0xFF767476,
    0xFFC1C0C1,
    0xFF858385,
    0xFF302F31,
    0xFF555456,
    0xFF4C4B4D,
    0xFF6E6C6E,
    0xFFA6A5A6,
    0xFF464547,
    0xFF908F90,
    0xFFD2D1D2,
    0xFF706E70,
    0xFF959495,
    0xFFE9E8E9,
    0xFFF1F0F1,
    0xFFE4E3E4,
    0xFF888688,
    0xFF767476,
    0xFFDAD9DA,
    0xFFB4B3B4,
    0xFF747274,
    0xFFCAC9CA,
    0xFF979697,
    0xFF403F41,
    0xFFBAB9BA,
    0xFFF5F4F5,
    0xFF939293,
    0xFF444345,
    0xFFB9B8B9,
    0xFF9C9B9C,
    0xFF706E70,
    0xFF888688,
    0xFF797779,
    0xFFC8C7C8,
    0xFF8A888A,
    0xFF313032,
    0xFF545355,
    0xFF4D4C4E,
    0xFF696769,
    0xFFA7A6A7,
    0xFF484749,
    0xFF878587,
    0xFFEEEDEE,
    0xFFE0DFE0,
    0xFF838283,
    0xFF484749,
    0xFF8A898A,
    0xFFDCDBDC,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF2F1F2,
    0xFFD4D3D4,
    0xFF4F4E50,
    0xFF696769,
    0xFFE0DFE0,
    0xFFEFEEEF,
    0xFFF2F1F2,
    0xFFD3D2D3,
    0xFF504F51,
    0xFF757375,
    0xFFEDECED,
    0xFFD0CFD0,
    0xFF626062,
    0xFF636163,
    0xFF8C8A8C,
    0xFF555456,
    0xFF777577,
    0xFFB8B7B8,
    0xFF6E6C6E,
    0xFF8D8B8D,
    0xFF868486,
    0xFF39383A,
    0xFF9B9A9B,
    0xFF8D8B8D,
    0xFF525153,
    0xFF818082,
    0xFFA2A1A2,
    0xFFCECDCE,
    0xFF8C8A8C,
    0xFF514F51,
    0xFFABAAAB,
    0xFFD0CFD0,
    0xFF545355,
    0xFF747374,
    0xFFDEDDDE,
    0xFF868486,
    0xFF424143,
    0xFF626062,
    0xFFC4C3C4,
    0xFFD6D5D6,
    0xFF6C6A6C,
    0xFF5B595B,
    0xFF747274,
    0xFF8C8A8C,
    0xFFCECDCE,
    0xFF838183,
    0xFF4A484A,
    0xFFCECDCE,
    0xFFC1C0C1,
    0xFF555355,
    0xFF464547,
    0xFF9D9C9D,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFF0EFF0,
    0xFFD1D0D1,
    0xFF676567,
    0xFF5E5C5E,
    0xFF8B8A8B,
    0xFFB3B1B3,
    0xFFA7A6A7,
    0xFF414042,
    0xFF9E9D9E,
    0xFFF5F4F5,
    0xFFB5B4B5,
    0xFF585658,
    0xFF666466,
    0xFF777577,
    0xFFA2A0A2,
    0xFFBEBDBE,
    0xFF6F6D6F,
    0xFF8A888A,
    0xFF8A888A,
    0xFF383739,
    0xFFA19FA1,
    0xFFBDBCBD,
    0xFF555355,
    0xFF828183,
    0xFFD3D2D3,
    0xFF918F91,
    0xFF535153,
    0xFF6F6D6F,
    0xFF7C7A7C,
    0xFFB5B3B5,
    0xFFEAE9EA,
    0xFFF1F0F1,
    0xFFE3E2E3,
    0xFF888688,
    0xFF716F71,
    0xFF9F9E9F,
    0xFF474648,
    0xFF6A686A,
    0xFFE4E3E4,
    0xFFF3F2F3,
    0xFFE8E7E8,
    0xFF908E90,
    0xFF565557,
    0xFF8B8A8B,
    0xFF6D6C6D,
    0xFF6C6A6C,
    0xFFC7C6C7,
    0xFF8C8B8C,
    0xFF727072,
    0xFF9F9E9F,
    0xFF474648,
    0xFF6D6B6D,
    0xFFCFCECF,
    0xFF727072,
    0xFF5F5E60,
    0xFFBFBEBF,
    0xFFADABAD,
    0xFF666466,
    0xFF9B9A9B,
    0xFF6C6A6C,
    0xFF484648,
    0xFFB7B6B7,
    0xFF646264,
    0xFF434244,
    0xFF898789,
    0xFF585759,
    0xFF737173,
    0xFFBCBBBC,
    0xFF737173,
    0xFF878587,
    0xFF8E8C8E,
    0xFF383739,
    0xFF959395,
    0xFFDCDBDC,
    0xFFC2C1C2,
    0xFF797779,
    0xFF727072,
    0xFF7F7D7F,
    0xFF575557,
    0xFF6F6D6F,
    0xFF7B797B,
    0xFFB0AFB0,
    0xFFE8E7E8,
    0xFFF0EFF0,
    0xFFE9E8E9,
    0xFF929092,
    0xFF4F4E50,
    0xFF858385,
    0xFF717072,
    0xFF504F51,
    0xFFB9B8B9,
    0xFFBCBBBC,
    0xFF676567,
    0xFFB6B5B6,
    0xFFF0EFF0,
    0xFFEFEEEF,
    0xFFE8E7E8,
    0xFF9B9A9B,
    0xFF5E5C5E,
    0xFF757475,
    0xFFB5B4B5,
    0xFFEAE9EA,
    0xFFBAB9BA,
    0xFF565456,
    0xFF706F71,
    0xFF868586,
    0xFF4C4B4D,
    0xFF929092,
    0xFFBBBABB,
    0xFF484749,
    0xFF8E8D8E,
    0xFF9A989A,
    0xFF575557,
    0xFF898789,
    0xFF706F71,
    0xFF666466,
    0xFFC9C8C9,
    0xFF9D9C9D,
    0xFF535254,
    0xFF6D6B6D,
    0xFF7B797B,
    0xFFB5B4B5,
    0xFFBAB9BA,
    0xFF444345,
    0xFF949394,
    0xFFD7D6D7,
    0xFF727072,
    0xFF949394,
    0xFFE9E8E9,
    0xFFF0EFF0,
    0xFFEBEAEB,
    0xFF9A989A,
    0xFF555355,
    0xFF888688,
    0xFF727172,
    0xFF656365,
    0xFFCDCCCD,
    0xFF979697,
    0xFF414042,
    0xFFBEBDBE,
    0xFFF7F6F7,
    0xFF949294,
    0xFF424143,
    0xFFC0BEC0,
    0xFFBFBEBF,
    0xFF545254,
    0xFF484749,
    0xFF929192,
    0xFFE4E3E4,
    0xFF9D9C9D,
    0xFF535153,
    0xFF6D6B6D,
    0xFF7A787A,
    0xFFB2B1B2,
    0xFFBEBDBE,
    0xFF464547,
    0xFF8A888A,
    0xFFEFEEEF,
    0xFFE2E1E2,
    0xFFCDCCCD,
    0xFF9A999A,
    0xFF605E60,
    0xFFB2B1B2,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFD9D8D9,
    0xFF636163,
    0xFF716F71,
    0xFFE0DFE0,
    0xFFEFEEEF,
    0xFFF1F0F1,
    0xFFD2D1D2,
    0xFF5C5A5C,
    0xFF868486,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFADACAD,
    0xFF3F3E40,
    0xFF161516,
    0xFF5C5A5C,
    0xFFC6C5C6,
    0xFFDFDEDF,
    0xFF7C7A7C,
    0xFF3C3A3C,
    0xFF5D5B5D,
    0xFF666466,
    0xFFB9B8B9,
    0xFFCDCCCD,
    0xFF615F61,
    0xFF2B2A2C,
    0xFF7D7B7D,
    0xFFDCDBDC,
    0xFFB3B2B3,
    0xFF3E3C3E,
    0xFF656466,
    0xFFC1C0C1,
    0xFF636163,
    0xFF848284,
    0xFFECEBEC,
    0xFFAAA9AA,
    0xFF2D2C2E,
    0xFF605F61,
    0xFFDBDADB,
    0xFFEEEDEE,
    0xFFB3B2B3,
    0xFF49484A,
    0xFF090809,
    0xFF222123,
    0xFFA6A5A6,
    0xFF8D8C8D,
    0xFF5F5D5F,
    0xFFD5D4D5,
    0xFFE2E1E2,
    0xFF686668,
    0xFF3B3A3C,
    0xFFBBBABB,
    0xFFF0EFF0,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFFEAE9EA,
    0xFFACABAC,
    0xFF424142,
    0xFF393839,
    0xFFA6A4A6,
    0xFFAEADAE,
    0xFF525052,
    0xFFABAAAB,
    0xFFF3F2F3,
    0xFFE2E1E2,
    0xFF949394,
    0xFF2D2C2E,
    0xFF050405,
    0xFF444345,
    0xFFC0BFC0,
    0xFF878587,
    0xFF3C3A3C,
    0xFF5C5A5C,
    0xFF646264,
    0xFFB5B4B5,
    0xFFD6D5D6,
    0xFF636263,
    0xFF3B3A3C,
    0xFFB5B4B5,
    0xFFD4D3D4,
    0xFF706F70,
    0xFF171617,
    0xFF0A090A,
    0xFF716F71,
    0xFFE5E4E5,
    0xFFF1F0F1,
    0xFFECEBEC,
    0xFFAAA9AA,
    0xFF444345,
    0xFF504E50,
    0xFF5F5E60,
    0xFF8D8C8D,
    0xFFE5E4E5,
    0xFFF0EFF0,
    0xFFEFEEEF,
    0xFFCAC9CA,
    0xFF615F61,
    0xFF373638,
    0xFF545354,
    0xFF727072,
    0xFFD0CFD0,
    0xFFAEADAE,
    0xFF444345,
    0xFF504E50,
    0xFF5F5E60,
    0xFF908E90,
    0xFFDFDEDF,
    0xFF929192,
    0xFF323133,
    0xFF878587,
    0xFFC8C7C8,
    0xFF636163,
    0xFF414042,
    0xFF605E60,
    0xFF757375,
    0xFFBDBCBD,
    0xFF7B7A7B,
    0xFF575557,
    0xFF313031,
    0xFF3B3A3B,
    0xFFB6B5B6,
    0xFFE3E2E3,
    0xFF868586,
    0xFF3C3A3C,
    0xFF5B595B,
    0xFF656365,
    0xFFA9A8A9,
    0xFFAFAEAF,
    0xFF545355,
    0xFF4A494B,
    0xFFA6A5A6,
    0xFFCDCCCD,
    0xFF767476,
    0xFF1A191A,
    0xFF080708,
    0xFF686668,
    0xFFE1E0E1,
    0xFFF0EFF0,
    0xFFEFEEEF,
    0xFFD3D2D3,
    0xFF727072,
    0xFF1A191A,
    0xFF333133,
    0xFF999899,
    0xFFE7E6E7,
    0xFFBCBBBC,
    0xFF696769,
    0xFFB4B3B4,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFE9E8E9,
    0xFF989698,
    0xFF5D5B5D,
    0xFF949294,
    0xFFB5B4B5,
    0xFFDAD9DA,
    0xFFE4E3E4,
    0xFF979698,
    0xFF2E2D2F,
    0xFF1C1B1D,
    0xFF727172,
    0xFFD8D7D8,
    0xFFC3C2C3,
    0xFF545355,
    0xFFA2A1A2,
    0xFFD2D1D2,
    0xFF69686A,
    0xFF363436,
    0xFF535153,
    0xFF6B696B,
    0xFFCDCCCD,
    0xFFD9D8D9,
    0xFF797779,
    0xFF1C1B1D,
    0xFF080708,
    0xFF6C6A6C,
    0xFFB6B5B6,
    0xFF484749,
    0xFF939293,
    0xFFD6D5D6,
    0xFF747274,
    0xFF989798,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFD0CFD0,
    0xFF6A686A,
    0xFF363436,
    0xFF535153,
    0xFF6B696B,
    0xFFCBCACB,
    0xFF9B9A9B,
    0xFF565456,
    0xFFC7C6C7,
    0xFFF4F3F4,
    0xFF969596,
    0xFF555355,
    0xFFC9C8C9,
    0xFFDEDDDE,
    0xFF605E60,
    0xFF2D2C2E,
    0xFFAAA9AA,
    0xFFF2F1F2,
    0xFFD7D6D7,
    0xFF7B7A7B,
    0xFF1D1C1E,
    0xFF070607,
    0xFF656366,
    0xFFB7B6B7,
    0xFF5A585A,
    0xFF9A989A,
    0xFFF0EFF0,
    0xFFCECDCE,
    0xFF757375,
    0xFF3F3D3F,
    0xFF787678,
    0xFFD4D3D4,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFD4D3D4,
    0xFFD6D5D6,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEDECED,
    0xFFE7E6E7,
    0xFFD1D0D1,
    0xFFDAD9DA,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE7E6E7,
    0xFFD8D7D8,
    0xFFD0CFD0,
    0xFFDEDDDE,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFDEDDDE,
    0xFFCBCACB,
    0xFFD2D0D2,
    0xFFD9D8D9,
    0xFFE5E4E5,
    0xFFEBEAEB,
    0xFFD9D8D9,
    0xFFCECDCE,
    0xFFDFDEDF,
    0xFFECEBEC,
    0xFFE5E4E5,
    0xFFCFCECF,
    0xFFD5D4D5,
    0xFFE4E3E4,
    0xFFD2D1D2,
    0xFFDAD9DA,
    0xFFEDECED,
    0xFFE6E5E6,
    0xFFCFCECF,
    0xFFD5D4D5,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFE8E7E8,
    0xFFD8D7D8,
    0xFFC4C3C4,
    0xFFC5C4C5,
    0xFFDEDDDE,
    0xFFDAD9DA,
    0xFFD2D1D2,
    0xFFEBEAEB,
    0xFFE6E5E6,
    0xFF7F7D7F,
    0xFF696769,
    0xFFD6D5D6,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE6E5E6,
    0xFFD3D2D3,
    0xFFD2D1D2,
    0xFFE6E5E6,
    0xFFE2E1E2,
    0xFFCFCECF,
    0xFFE1E0E1,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFE4E3E4,
    0xFFD1D0D1,
    0xFFC1C0C1,
    0xFFCBCACB,
    0xFFE7E6E7,
    0xFFE1E0E1,
    0xFFCBCACB,
    0xFFD1D0D1,
    0xFFD9D8D9,
    0xFFE5E4E5,
    0xFFEBEAEB,
    0xFFD7D6D7,
    0xFFCDCCCD,
    0xFFE3E2E3,
    0xFFECEBEC,
    0xFFDFDEDF,
    0xFFCAC9CA,
    0xFFC0BFC1,
    0xFFD4D3D4,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEDECED,
    0xFFE6E5E6,
    0xFFD0CFD0,
    0xFFCDCCCD,
    0xFFD7D6D7,
    0xFFDFDEDF,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFD8D7D8,
    0xFFCFCECF,
    0xFFD5D4D5,
    0xFFD7D6D7,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFD0CFD0,
    0xFFCDCCCD,
    0xFFD7D6D7,
    0xFFE0DFE0,
    0xFFEBEAEB,
    0xFFE0DFE0,
    0xFFCCCBCC,
    0xFFDBD9DB,
    0xFFEAE9EA,
    0xFFD9D8D9,
    0xFFCAC9CA,
    0xFFD5D4D5,
    0xFFDCDBDC,
    0xFFE5E4E5,
    0xFFDAD9DA,
    0xFFD7D6D7,
    0xFFCDCCCD,
    0xFFD2D1D2,
    0xFFE8E7E8,
    0xFFEEEDEE,
    0xFFE0DFE0,
    0xFFCCCACC,
    0xFFD1CFD1,
    0xFFDAD9DA,
    0xFFE4E3E4,
    0xFFE3E2E3,
    0xFFD0CFD0,
    0xFFD3D2D3,
    0xFFE6E5E6,
    0xFFEBEAEB,
    0xFFE0DFE0,
    0xFFCBCACB,
    0xFFC0BFC0,
    0xFFD2D1D2,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE0DFE0,
    0xFFD1CFD1,
    0xFFD6D5D6,
    0xFFE5E4E5,
    0xFFEDECED,
    0xFFE3E2E3,
    0xFFD3D2D3,
    0xFFE2E1E2,
    0xFFEDECED,
    0xFFEFEEEF,
    0xFFDFDEDF,
    0xFF838183,
    0xFF737173,
    0xFFABA9AB,
    0xFF797779,
    0xFF828082,
    0xFFDEDDDE,
    0xFFE8E7E8,
    0xFFD5D4D5,
    0xFFD2D0D2,
    0xFFE1E0E1,
    0xFFECEBEC,
    0xFFE4E3E4,
    0xFFCFCECF,
    0xFFDEDDDE,
    0xFFEBEAEB,
    0xFFDAD9DA,
    0xFFCFCECF,
    0xFFD5D4D5,
    0xFFD5D4D5,
    0xFFE6E5E6,
    0xFFECEBEC,
    0xFFE1E0E1,
    0xFFCCCBCC,
    0xFFC0BFC0,
    0xFFD3D2D3,
    0xFFE1E0E1,
    0xFFCBCACB,
    0xFFDAD9DA,
    0xFFE9E8E9,
    0xFFD5D4D5,
    0xFFDCDBDC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFDAD9DA,
    0xFFCFCECF,
    0xFFD5D4D5,
    0xFFD6D5D6,
    0xFFE6E5E6,
    0xFFDCDBDC,
    0xFFD0CFD0,
    0xFFE6E5E6,
    0xFFEEEDEE,
    0xFFDCDBDC,
    0xFFD0CFD0,
    0xFFE6E5E6,
    0xFFEDECED,
    0xFFD9D8D9,
    0xFFCCCBCC,
    0xFFE2E1E2,
    0xFFEEEDEE,
    0xFFEBEAEB,
    0xFFE1E0E1,
    0xFFCCCBCC,
    0xFFC0BFC0,
    0xFFD1D0D1,
    0xFFE2E1E2,
    0xFFD1D0D1,
    0xFFDDDCDD,
    0xFFEEEDEE,
    0xFFE9E8E9,
    0xFFD7D6D7,
    0xFFCECDCE,
    0xFFDFDEDF,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFF0EFF0,
    0xFFD0CFD0,
    0xFF6D6B6D,
    0xFF8D8C8D,
    0xFFE7E6E7,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFE2E1E2,
    0xFF8A888A,
    0xFF272627,
    0xFF141314,
    0xFF3A393B,
    0xFFA3A2A3,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFDEDDDE,
    0xFFBCBBBC,
    0xFFD2D1D2,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFDEDDDE,
    0xFFBAB9BA,
    0xFFA9A8A9,
    0xFFC8C7C9,
    0xFFE6E5E6,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFAAA9AA,
    0xFF8C8A8C,
    0xFFDAD9DA,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFAAA9AA,
    0xFF8B898B,
    0xFFD8D7D8,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFDAD9DA,
    0xFF807E80,
    0xFF787678,
    0xFFD4D3D4,
    0xFFEDECED,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFD3D2D3,
    0xFF8D8C8D,
    0xFFB9B8B9,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF0EFF0,
    0xFFCECDCE,
    0xFF868486,
    0xFFB9B8B9,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFF0EFF0,
    0xFFD1D0D1,
    0xFF878587,
    0xFFB5B4B5,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFE2E1E2,
    0xFFE5E4E5,
    0xFFEAE9EA,
    0xFFE3E2E3,
    0xFFDFDEDF,
    0xFFE6E5E6,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7E7E14,
    0xFF33330B,
    0xFF282725,
    0xFF2A2A30,
    0xFF2A2A2D,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF2B2A2C,
    0xFF282729,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFC9C8C9,
    0xFFC5C4C5,
    0xFFE8E7E8,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEBEAEB,
    0xFF7F7D7F,
    0xFF4D4C4E,
    0xFFCECDCE,
    0xFFF2F1F2,
    0xFFEFEEEF,
    0xFFEBEAEB,
    0xFF7F7D7F,
    0xFF4B4A4C,
    0xFFCBCACB,
    0xFFF2F1F2,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEDECED,
    0xFFA5A4A5,
    0xFF434143,
    0xFF777677,
    0xFFC5C4C5,
    0xFFC3C2C3,
    0xFFDCDBDC,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFCECDCE,
    0xFF787678,
    0xFFADACAD,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFBAB9BA,
    0xFF434244,
    0xFF979697,
    0xFFF0EFF0,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFDBDADB,
    0xFFBEBDBE,
    0xFFDAD9DA,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE6E5E6,
    0xFFC4C3C4,
    0xFFCCCBCC,
    0xFFF2F1F2,
    0xFFC0BFC0,
    0xFF454446,
    0xFF918F91,
    0xFFEFEEEF,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFCBCACB,
    0xFF5D5B5D,
    0xFF8E8D8E,
    0xFFB0AFB0,
    0xFF3F3E3F,
    0xFF191819,
    0xFF3C3B3C,
    0xFF929092,
    0xFFDEDDDE,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAEA11,
    0xFFD6D526,
    0xFF7E7E13,
    0xFF33320A,
    0xFF272723,
    0xFF29292E,
    0xFF29292C,
    0xFF2A292B,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF2A292A,
    0xFF272628,
    0xFF141314,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFE3E2E3,
    0xFF878587,
    0xFF7C7A7C,
    0xFFDBDADB,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE7E6E7,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE7E6E7,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFF7D7C7D,
    0xFF4A494B,
    0xFFCBCACB,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFF7D7C7D,
    0xFF494749,
    0xFFCBCACB,
    0xFFF2F1F2,
    0xFFE8E7E8,
    0xFFE6E5E6,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE7E6E7,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE7E6E7,
    0xFFE9E8E9,
    0xFFEEEDEE,
    0xFFE8E7E8,
    0xFF939293,
    0xFF797779,
    0xFFDAD9DA,
    0xFFB3B2B3,
    0xFF686668,
    0xFFBAB9BA,
    0xFFEEEDEE,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFCCCBCC,
    0xFF767476,
    0xFFADACAD,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE9E8E9,
    0xFFF2F1F2,
    0xFFBAB9BA,
    0xFF403F41,
    0xFF979597,
    0xFFF1F0F1,
    0xFFECEBEC,
    0xFFE7E6E7,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE6E5E6,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFF0EFF0,
    0xFFB9B8B9,
    0xFF686668,
    0xFFB4B3B4,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE7E6E7,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF0EFF0,
    0xFFD8D7D8,
    0xFF777577,
    0xFF8E8C8E,
    0xFFECEBEC,
    0xFFC0BFC0,
    0xFF424143,
    0xFF8F8D8F,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFC2C1C2,
    0xFF424143,
    0xFF858385,
    0xFF959495,
    0xFF343335,
    0xFF767577,
    0xFF757475,
    0xFF3A393B,
    0xFF9E9C9E,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B711,
    0xFFEDEC17,
    0xFFE8E706,
    0xFFE8E708,
    0xFFE8E60B,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60D,
    0xFFE8E60B,
    0xFFE8E709,
    0xFFE8E706,
    0xFFEAE912,
    0xFFD6D526,
    0xFF7C7C14,
    0xFF30300C,
    0xFF232324,
    0xFF24252E,
    0xFF25262C,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF25262A,
    0xFF26272A,
    0xFF242526,
    0xFF121313,
    0xFF1B1A1B,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEFEEEF,
    0xFFBAB9BA,
    0xFF414042,
    0xFF151415,
    0xFF656365,
    0xFFDAD9DA,
    0xFFDBDADB,
    0xFF8A888A,
    0xFF535254,
    0xFF898889,
    0xFFD7D6D7,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEAE9EA,
    0xFFB4B3B4,
    0xFF595859,
    0xFF636163,
    0xFFC2C1C2,
    0xFFD7D6D7,
    0xFF8B8A8B,
    0xFF8A888A,
    0xFF706F70,
    0xFF787678,
    0xFFD3D2D3,
    0xFFECEBEC,
    0xFFBAB9BA,
    0xFF676667,
    0xFF525153,
    0xFFABA9AB,
    0xFFE7E6E7,
    0xFF838183,
    0xFF3C3A3C,
    0xFF6F6D6F,
    0xFF686768,
    0xFFB2B1B2,
    0xFFEAE9EA,
    0xFF7F7D7F,
    0xFF49484A,
    0xFFCDCCCD,
    0xFFD7D6D7,
    0xFF767476,
    0xFF4F4E4F,
    0xFF9E9D9E,
    0xFFE3E2E3,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFE9E8E9,
    0xFFB4B3B4,
    0xFF666466,
    0xFF7E7D7E,
    0xFFD4D3D4,
    0xFFDAD9DA,
    0xFF8E8C8E,
    0xFF545254,
    0xFF868587,
    0xFFD8D7D8,
    0xFFBFBEBF,
    0xFF454446,
    0xFF232223,
    0xFF6C6A6C,
    0xFF616061,
    0xFF1A191A,
    0xFF3B3A3C,
    0xFFA2A1A2,
    0xFF918F91,
    0xFFA6A5A6,
    0xFFD6D5D6,
    0xFF7E7C7E,
    0xFF989798,
    0xFFDFDEDF,
    0xFF9C9B9C,
    0xFF9E9D9E,
    0xFFCAC9CA,
    0xFF888688,
    0xFF4B4A4C,
    0xFF848284,
    0xFFDCDBDC,
    0xFFC5C4C5,
    0xFF7F7E7F,
    0xFF7A787A,
    0xFF8B898B,
    0xFFD7D6D7,
    0xFFBBB9BB,
    0xFF5C5B5D,
    0xFF605E60,
    0xFFB9B8B9,
    0xFFEAE9EA,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFEAE9EA,
    0xFFB0AFB0,
    0xFF676667,
    0xFF706F70,
    0xFF676567,
    0xFFB1B0B1,
    0xFFEDECED,
    0xFFBBBABB,
    0xFF5D5C5D,
    0xFF5E5D5F,
    0xFFBBBABB,
    0xFFBEBDBE,
    0xFF828082,
    0xFFC4C3C4,
    0xFFDEDDDE,
    0xFF8D8B8D,
    0xFFA5A4A5,
    0xFFDFDEDF,
    0xFF9B9A9B,
    0xFF4D4C4E,
    0xFF797779,
    0xFFD6D5D6,
    0xFFBAB9BA,
    0xFF414042,
    0xFF989798,
    0xFFEBEAEB,
    0xFFB2B0B2,
    0xFF605F60,
    0xFF666567,
    0xFFBCBBBC,
    0xFFE9E8E9,
    0xFFACABAC,
    0xFF8C8B8C,
    0xFF888688,
    0xFF616062,
    0xFFA9A8A9,
    0xFFE8E7E8,
    0xFFA9A7A9,
    0xFF828082,
    0xFF838183,
    0xFF676667,
    0xFFA2A0A2,
    0xFF959395,
    0xFF676668,
    0xFFAFAEAF,
    0xFFECEBEC,
    0xFFD7D6D7,
    0xFF7D7C7D,
    0xFF4D4C4D,
    0xFF979697,
    0xFFE0DFE0,
    0xFFABAAAB,
    0xFF828182,
    0xFF848284,
    0xFF646264,
    0xFFAEADAE,
    0xFFDCDBDC,
    0xFF797779,
    0xFF191819,
    0xFF323132,
    0xFFABAAAB,
    0xFFEFEEEF,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFDCDBDC,
    0xFF959395,
    0xFF545355,
    0xFF7E7D7E,
    0xFFD3D2D3,
    0xFFE1E0E1,
    0xFF919091,
    0xFF878587,
    0xFF767476,
    0xFF6F6E70,
    0xFFC7C6C7,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFA5A4A5,
    0xFF2F2E30,
    0xFF1B1A1C,
    0xFF858385,
    0xFFBBBABB,
    0xFF484749,
    0xFF5B5A5C,
    0xFF6B6A6C,
    0xFF8C8A8C,
    0xFFDFDEDF,
    0xFFEFEEEF,
    0xFFBFBEBF,
    0xFF626062,
    0xFF5A595B,
    0xFFB2B1B2,
    0xFFE8E7E8,
    0xFFEEEDEE,
    0xFFF3F2F3,
    0xFFC2C1C2,
    0xFF434244,
    0xFF868586,
    0xFF919091,
    0xFF3B3A3C,
    0xFFA6A5A6,
    0xFFA3A2A3,
    0xFF4A494B,
    0xFFA3A1A3,
    0xFFEFEEEF,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFD4D3D4,
    0xFF817F81,
    0xFF656466,
    0xFFB6B5B6,
    0xFFECEBEC,
    0xFFCECDCE,
    0xFF7B7A7C,
    0xFF555456,
    0xFF979697,
    0xFFE2E1E2,
    0xFFCFCECF,
    0xFF848284,
    0xFF7A797A,
    0xFF848284,
    0xFFD0CFD0,
    0xFFC5C4C5,
    0xFF656466,
    0xFF585658,
    0xFFB1B0B1,
    0xFFE7E6E7,
    0xFFC1C0C1,
    0xFF6E6C6E,
    0xFF737173,
    0xFFC8C7C8,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323200,
    0xFFB7B712,
    0xFFEDEC17,
    0xFFE8E707,
    0xFFE8E709,
    0xFFE8E70C,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70D,
    0xFFE8E70C,
    0xFFE8E70A,
    0xFFE8E707,
    0xFFE9E811,
    0xFFD4D325,
    0xFF7A7910,
    0xFF302F08,
    0xFF262622,
    0xFF29292C,
    0xFF292929,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF292927,
    0xFF2A2A28,
    0xFF272725,
    0xFF131312,
    0xFF1B1A1A,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEFEEEF,
    0xFFC3C2C3,
    0xFF4E4D4E,
    0xFF222122,
    0xFF848384,
    0xFFD1D0D1,
    0xFF7D7C7D,
    0xFF454345,
    0xFF4E4C4E,
    0xFF3B3A3C,
    0xFF868486,
    0xFFE4E3E4,
    0xFFF0EFF0,
    0xFFEFEEEF,
    0xFFC0BFC0,
    0xFF615F61,
    0xFF4D4C4D,
    0xFF4B494B,
    0xFF716F71,
    0xFFB9B8B9,
    0xFF585759,
    0xFF323132,
    0xFF504E50,
    0xFF3E3D3E,
    0xFF949294,
    0xFFDAD9DA,
    0xFF999899,
    0xFF929092,
    0xFF79787A,
    0xFF585759,
    0xFFBCBBBC,
    0xFF878687,
    0xFF272627,
    0xFF4D4B4D,
    0xFF3E3D3E,
    0xFF5B595B,
    0xFFCAC9CA,
    0xFF828182,
    0xFF4D4B4E,
    0xFFBBBABB,
    0xFF858385,
    0xFF4D4B4D,
    0xFF4E4C4E,
    0xFF545254,
    0xFFACABAC,
    0xFFEDECED,
    0xFFF1F0F1,
    0xFFCCCBCC,
    0xFF6B696B,
    0xFF7F7D7F,
    0xFFBBB9BB,
    0xFFC8C7C8,
    0xFF7D7C7D,
    0xFF444345,
    0xFF4E4C4E,
    0xFF3B3A3C,
    0xFF848384,
    0xFFBDBCBD,
    0xFF575557,
    0xFF302E30,
    0xFF807F80,
    0xFF727072,
    0xFF232224,
    0xFF545254,
    0xFFBEBDBE,
    0xFF8B898B,
    0xFF807E80,
    0xFFBCBBBC,
    0xFF59585A,
    0xFF656365,
    0xFFBEBDBE,
    0xFF7A787A,
    0xFF9A989A,
    0xFFAEADAE,
    0xFF8A898A,
    0xFF8E8D8E,
    0xFF545254,
    0xFF969496,
    0xFFB5B4B5,
    0xFF343335,
    0xFF343335,
    0xFF9A999A,
    0xFFBBBABB,
    0xFF676567,
    0xFF4E4C4E,
    0xFF4B494B,
    0xFF666466,
    0xFFC8C7C8,
    0xFFF0EFF0,
    0xFFF1F0F1,
    0xFFC4C3C4,
    0xFF5D5B5D,
    0xFF4C4A4C,
    0xFF4E4C4E,
    0xFF49484A,
    0xFFB4B3B4,
    0xFFC8C7C8,
    0xFF676567,
    0xFF4D4C4D,
    0xFF4B4A4C,
    0xFF6A686A,
    0xFFA8A7A8,
    0xFF6F6D6F,
    0xFFA09FA0,
    0xFFBDBCBD,
    0xFF666466,
    0xFFA9A8A9,
    0xFFA9A8A9,
    0xFF555456,
    0xFF4F4D4F,
    0xFF4B494B,
    0xFF8A888A,
    0xFFACABAC,
    0xFF464446,
    0xFF979697,
    0xFFAEADAE,
    0xFF4E4C4E,
    0xFF4D4B4D,
    0xFF403F40,
    0xFF585759,
    0xFFC8C7C8,
    0xFF939293,
    0xFF2D2C2E,
    0xFF504E50,
    0xFF414041,
    0xFF535153,
    0xFFC5C4C5,
    0xFF939293,
    0xFF2B2A2C,
    0xFF494749,
    0xFF383739,
    0xFF2C2B2D,
    0xFF484748,
    0xFF313032,
    0xFF5D5B5D,
    0xFFC4C3C4,
    0xFF8C8A8C,
    0xFF4D4C4E,
    0xFF4E4C4E,
    0xFF535153,
    0xFFA7A6A7,
    0xFF919091,
    0xFF2C2B2D,
    0xFF4B494B,
    0xFF424042,
    0xFF626062,
    0xFFC5C4C5,
    0xFF8B8A8B,
    0xFF262527,
    0xFF4A494B,
    0xFFBEBDBE,
    0xFFEFEEEF,
    0xFFF0EFF0,
    0xFFE2E1E2,
    0xFF878587,
    0xFF454345,
    0xFF4F4D4F,
    0xFF3B393B,
    0xFF7A787A,
    0xFFD1D0D1,
    0xFF686769,
    0xFF2D2C2E,
    0xFF504F50,
    0xFF3D3B3D,
    0xFF818081,
    0xFFE3E2E3,
    0xFFF0EFF0,
    0xFFEDECED,
    0xFFB0AFB0,
    0xFF3B3A3C,
    0xFF2E2C2E,
    0xFF9E9D9E,
    0xFFBFBEBF,
    0xFF3F3E40,
    0xFF353436,
    0xFF4A494A,
    0xFF464547,
    0xFFB0AFB0,
    0xFFCDCCCD,
    0xFF6C6A6C,
    0xFF4D4B4D,
    0xFF4B4A4B,
    0xFF5F5D5F,
    0xFFC0BFC0,
    0xFFF0EFF0,
    0xFFF4F3F4,
    0xFFC2C1C2,
    0xFF434244,
    0xFF878587,
    0xFF979697,
    0xFF1E1D1E,
    0xFF0F0E0F,
    0xFF242324,
    0xFF747274,
    0xFFD6D5D6,
    0xFFF0EFF0,
    0xFFF0EFF0,
    0xFFE3E2E3,
    0xFF868486,
    0xFF3B3A3C,
    0xFF4F4E50,
    0xFF919091,
    0xFFBFBEBF,
    0xFF6C6B6C,
    0xFF474547,
    0xFF4A494A,
    0xFF3E3D3F,
    0xFF9E9D9E,
    0xFFC4C3C4,
    0xFF403F41,
    0xFF2B2A2C,
    0xFF8E8C8E,
    0xFFC0BFC0,
    0xFF716F71,
    0xFF4D4B4D,
    0xFF4C4A4C,
    0xFF615F61,
    0xFFAAA9AA,
    0xFF797779,
    0xFF767476,
    0xFFB2B1B2,
    0xFFD2D1D2,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F9,
    0xFFC8C9CD,
    0xFF3F3E25,
    0xFF323100,
    0xFFB7B71A,
    0xFFEEED2A,
    0xFFE9E81F,
    0xFFE7E723,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E627,
    0xFFE7E726,
    0xFFE8E723,
    0xFFE8E721,
    0xFFE5E62B,
    0xFFD7D748,
    0xFF8B8B44,
    0xFF383837,
    0xFF282852,
    0xFF292A5F,
    0xFF2A2A5D,
    0xFF2B2B5B,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5A,
    0xFF2B2B5B,
    0xFF2B2B5C,
    0xFF2B2B5C,
    0xFF2C2C57,
    0xFF2A2B49,
    0xFF141423,
    0xFF1A1A1D,
    0xFF7E7D7C,
    0xFFBAB9B9,
    0xFFB6B5B5,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFE3E2E3,
    0xFF858385,
    0xFF7A787A,
    0xFFDFDEDF,
    0xFFC2C1C2,
    0xFF666466,
    0xFFA8A7A8,
    0xFFE4E3E4,
    0xFF797779,
    0xFF555456,
    0xFFD2D1D2,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFF9F9E9F,
    0xFF3B3A3C,
    0xFF565557,
    0xFF535254,
    0xFF525153,
    0xFFA6A5A6,
    0xFF565557,
    0xFF6F6D6F,
    0xFFD3D2D3,
    0xFF807E80,
    0xFF818081,
    0xFFDEDDDE,
    0xFFC4C3C4,
    0xFF898789,
    0xFF474648,
    0xFF2D2C2E,
    0xFFA6A5A6,
    0xFF848284,
    0xFF4A494B,
    0xFFCAC9CA,
    0xFFABA9AB,
    0xFF474648,
    0xFFA9A8A9,
    0xFF848284,
    0xFF4F4D4F,
    0xFFA5A4A5,
    0xFF575557,
    0xFF444345,
    0xFF605E60,
    0xFF3F3D3F,
    0xFF908E90,
    0xFFE9E8E9,
    0xFFF1F0F1,
    0xFFDFDEDF,
    0xFF817F81,
    0xFF4D4C4E,
    0xFF9C9B9C,
    0xFFB3B2B3,
    0xFF696769,
    0xFFA4A3A4,
    0xFFE5E4E5,
    0xFF7E7C7E,
    0xFF555456,
    0xFFC8C7C8,
    0xFF8F8D8F,
    0xFF777577,
    0xFFDDDCDD,
    0xFFB3B2B3,
    0xFF666466,
    0xFFBBBABB,
    0xFFF0EFF0,
    0xFFA5A4A5,
    0xFF686668,
    0xFF969596,
    0xFF7B7A7C,
    0xFF787678,
    0xFF908F90,
    0xFF6E6C6E,
    0xFFB9B8B9,
    0xFFD8D7D8,
    0xFF9E9D9E,
    0xFF636264,
    0xFF252426,
    0xFF767476,
    0xFFAEADAE,
    0xFF414042,
    0xFF969596,
    0xFFEEEDEE,
    0xFFA5A4A5,
    0xFF3D3C3E,
    0xFF545355,
    0xFF555355,
    0xFF474648,
    0xFFB4B3B4,
    0xFFF1F0F1,
    0xFFEEEDEE,
    0xFFA6A4A6,
    0xFF666466,
    0xFFC4C3C4,
    0xFFCCCBCC,
    0xFF757375,
    0xFFAFAEAF,
    0xFFA7A6A7,
    0xFF3E3D3F,
    0xFF535254,
    0xFF565557,
    0xFF4C4B4D,
    0xFFAAA9AA,
    0xFF858485,
    0xFF787778,
    0xFF8F8E8F,
    0xFF787678,
    0xFFC5C4C5,
    0xFF817F81,
    0xFF39383A,
    0xFF605E60,
    0xFF484749,
    0xFF696769,
    0xFFA1A0A1,
    0xFF484749,
    0xFF8C8B8C,
    0xFF888688,
    0xFF7B7A7B,
    0xFFDDDCDD,
    0xFFB5B4B5,
    0xFF484749,
    0xFFA09FA0,
    0xFF8F8D8F,
    0xFF444345,
    0xFFC2C1C2,
    0xFFB6B4B6,
    0xFF484648,
    0xFFA09FA0,
    0xFF8F8D8F,
    0xFF444345,
    0xFFBCBBBC,
    0xFFA3A2A3,
    0xFF6A686A,
    0xFFC5C4C5,
    0xFF8C8A8C,
    0xFF484648,
    0xFFA3A2A3,
    0xFF605E60,
    0xFF413F41,
    0xFF616062,
    0xFF424042,
    0xFF8A888A,
    0xFF888688,
    0xFF444345,
    0xFFBBBABB,
    0xFFAFAEAF,
    0xFF676567,
    0xFFC1C0C1,
    0xFFBDBCBD,
    0xFF686668,
    0xFFB3B2B3,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFF0EFF0,
    0xFFCCCBCC,
    0xFF6B696B,
    0xFF9A999A,
    0xFFE6E5E6,
    0xFF8A888A,
    0xFF504E50,
    0xFFB7B6B7,
    0xFF676567,
    0xFF5D5C5E,
    0xFFD1D0D1,
    0xFF8C8A8C,
    0xFF767476,
    0xFFD9D8D9,
    0xFFF0EFF0,
    0xFFF0EFF0,
    0xFFD8D7D8,
    0xFF747274,
    0xFF8C8A8C,
    0xFFECEBEC,
    0xFFC2C1C2,
    0xFF434244,
    0xFF8D8B8D,
    0xFFCDCCCD,
    0xFF706E70,
    0xFF9A999A,
    0xFFABAAAB,
    0xFF424042,
    0xFF504F51,
    0xFF585759,
    0xFF434244,
    0xFFAAA9AA,
    0xFFEEEDEE,
    0xFFF4F3F4,
    0xFFC2C1C2,
    0xFF434244,
    0xFF868586,
    0xFF939293,
    0xFF2E2D2F,
    0xFF737273,
    0xFFC0BFC0,
    0xFFDFDEDF,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFF0EFF0,
    0xFFCFCECF,
    0xFF6F6D6F,
    0xFF979697,
    0xFFDDDCDD,
    0xFFD6D5D6,
    0xFFA5A4A5,
    0xFF656365,
    0xFFBCBBBC,
    0xFFDCDBDC,
    0xFF656466,
    0xFF6C6A6C,
    0xFFB7B6B7,
    0xFF474648,
    0xFF838283,
    0xFFECEBEC,
    0xFFB5B4B5,
    0xFF444244,
    0xFF4E4D4F,
    0xFF5A595A,
    0xFF464446,
    0xFFA3A2A3,
    0xFF939193,
    0xFF4B4A4C,
    0xFF8B898B,
    0xFFD7D6D7,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBED,
    0xFFF2F2F5,
    0xFFC9C9CB,
    0xFF3C3C33,
    0xFF2E2E17,
    0xFFBAB97D,
    0xFFF0EF9F,
    0xFFEAEA93,
    0xFFE9E992,
    0xFFE9E993,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E994,
    0xFFE9E991,
    0xFFEAE98F,
    0xFFEAEA95,
    0xFFE5E6B0,
    0xFFB1B0C0,
    0xFF4A49B0,
    0xFF1515BB,
    0xFF1313CF,
    0xFF1515CE,
    0xFF1615C9,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615C7,
    0xFF1615CB,
    0xFF1615CB,
    0xFF1818BA,
    0xFF1B1A8C,
    0xFF0E0D43,
    0xFF1A1922,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFE4E3E4,
    0xFF868486,
    0xFF6E6C6E,
    0xFFD5D4D5,
    0xFFC8C7C8,
    0xFF626062,
    0xFF929092,
    0xFFD0CFD0,
    0xFF706E70,
    0xFF656365,
    0xFFD8D7D8,
    0xFFF2F1F2,
    0xFFEDECED,
    0xFFA5A3A5,
    0xFF545355,
    0xFF7A787A,
    0xFF8B898B,
    0xFFB7B6B7,
    0xFFCCCBCC,
    0xFF545254,
    0xFF747374,
    0xFFDEDDDE,
    0xFF858485,
    0xFF838183,
    0xFFC0BFC0,
    0xFF7E7C7E,
    0xFF9B9A9B,
    0xFF8E8D8E,
    0xFF3C3B3D,
    0xFFA4A2A4,
    0xFF858385,
    0xFF464447,
    0xFFBBBABB,
    0xFF9A999A,
    0xFF575658,
    0xFFBAB9BA,
    0xFF848284,
    0xFF4E4D4F,
    0xFFA9A8A9,
    0xFF686668,
    0xFF696769,
    0xFF888788,
    0xFF9D9C9D,
    0xFFD6D5D6,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFEBEAEB,
    0xFFDDDCDD,
    0xFFA7A6A7,
    0xFF656365,
    0xFF7B797B,
    0xFF615F61,
    0xFF8F8D8F,
    0xFFD1D0D1,
    0xFF757375,
    0xFF646264,
    0xFFCECDCE,
    0xFF8E8D8E,
    0xFF797779,
    0xFFDFDEDF,
    0xFFB5B4B5,
    0xFF605E60,
    0xFFACAAAC,
    0xFFF0EFF0,
    0xFFC6C5C6,
    0xFF656365,
    0xFF565557,
    0xFF858385,
    0xFF7B797B,
    0xFF555355,
    0xFF777677,
    0xFFCCCBCC,
    0xFF969496,
    0xFF838183,
    0xFFA9A8A9,
    0xFF4B494B,
    0xFF747274,
    0xFFAEADAE,
    0xFF434244,
    0xFF9E9C9E,
    0xFFF4F3F4,
    0xFFABAAAB,
    0xFF555355,
    0xFF787678,
    0xFF8A898A,
    0xFFAEADAE,
    0xFFE2E1E2,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFABAAAB,
    0xFF5E5C5E,
    0xFFB1B0B1,
    0xFFBDBCBD,
    0xFF6D6B6D,
    0xFFB0AFB0,
    0xFFAEADAE,
    0xFF565456,
    0xFF787678,
    0xFF8A898A,
    0xFFAEADAE,
    0xFFE1E0E1,
    0xFFA9A8A9,
    0xFF626062,
    0xFF636163,
    0xFF949294,
    0xFFDDDCDD,
    0xFF898789,
    0xFF585658,
    0xFF838183,
    0xFF8F8E8F,
    0xFFC7C6C7,
    0xFFB5B4B5,
    0xFF444345,
    0xFF8E8D8E,
    0xFF898789,
    0xFF686668,
    0xFFC7C6C7,
    0xFFA4A3A4,
    0xFF4F4E50,
    0xFFADACAD,
    0xFF8F8E8F,
    0xFF3F3E40,
    0xFFB1B0B1,
    0xFFA2A1A2,
    0xFF4D4C4E,
    0xFFADACAD,
    0xFF8E8C8E,
    0xFF474648,
    0xFFC4C3C4,
    0xFFA9A8A9,
    0xFF727072,
    0xFFCECDCE,
    0xFF8F8D8F,
    0xFF484648,
    0xFFA6A5A6,
    0xFF6F6D6F,
    0xFF646264,
    0xFF878687,
    0xFF9B9A9B,
    0xFFD4D3D4,
    0xFF8D8B8D,
    0xFF454446,
    0xFFC5C4C5,
    0xFFB8B7B8,
    0xFF686668,
    0xFFC0BFC0,
    0xFFBEBDBE,
    0xFF615F61,
    0xFFA4A3A4,
    0xFFEBEAEB,
    0xFFEFEEEF,
    0xFFF0EFF0,
    0xFFD0CFD0,
    0xFF686668,
    0xFF848284,
    0xFFD1D0D1,
    0xFF7E7D7E,
    0xFF5D5C5E,
    0xFFBFBEBF,
    0xFF666466,
    0xFF636163,
    0xFFDCDBDC,
    0xFF939193,
    0xFF747274,
    0xFFD8D7D8,
    0xFFF0EFF0,
    0xFFF0EFF0,
    0xFFD9D8D9,
    0xFF747274,
    0xFF7E7D7E,
    0xFFE4E3E4,
    0xFFC1C0C1,
    0xFF424143,
    0xFF949394,
    0xFFD7D6D7,
    0xFF737173,
    0xFF989698,
    0xFFB1B0B1,
    0xFF595759,
    0xFF757375,
    0xFF8A888A,
    0xFFA9A7A9,
    0xFFDFDEDF,
    0xFFEFEEEF,
    0xFFF3F2F3,
    0xFFC2C1C2,
    0xFF434244,
    0xFF868586,
    0xFF919091,
    0xFF3E3D3F,
    0xFFAFAEAF,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF0EFF0,
    0xFFD3D2D3,
    0xFF6C6A6C,
    0xFF7D7C7D,
    0xFFC9C8C9,
    0xFFCDCCCD,
    0xFFA7A6A7,
    0xFF5E5C5E,
    0xFFA5A4A5,
    0xFFC8C7C8,
    0xFF615F61,
    0xFF7C7A7C,
    0xFFBAB9BA,
    0xFF484749,
    0xFF8B898B,
    0xFFF2F1F2,
    0xFFBAB9BA,
    0xFF585658,
    0xFF737173,
    0xFF898889,
    0xFFA7A5A7,
    0xFFDBDADB,
    0xFFE0DFE0,
    0xFFB3B1B3,
    0xFF656466,
    0xFF919091,
    0xFFE7E6E7,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2C,
    0xFFBBBAB9,
    0xFFF2F1ED,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE4,
    0xFFECEBE3,
    0xFFECECE0,
    0xFFEDEDE4,
    0xFFE9EAF6,
    0xFFBBBCFB,
    0xFF5655DD,
    0xFF1414D6,
    0xFF0D0DE8,
    0xFF0F0EED,
    0xFF0F0FEA,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0FE9,
    0xFF0F0EEE,
    0xFF0F0EEE,
    0xFF1211DA,
    0xFF1515A2,
    0xFF0B0B4D,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEAE9EA,
    0xFFA09EA0,
    0xFF313031,
    0xFF605E60,
    0xFFCECDCE,
    0xFF969596,
    0xFF313032,
    0xFF171617,
    0xFF434244,
    0xFFADACAD,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEFEEEF,
    0xFFD3D2D3,
    0xFF757375,
    0xFF282729,
    0xFF141314,
    0xFF575557,
    0xFFBCBBBC,
    0xFF585759,
    0xFF727072,
    0xFFDCDBDC,
    0xFF878587,
    0xFF848384,
    0xFFC8C7C8,
    0xFF6F6D6F,
    0xFF504F51,
    0xFF605E60,
    0xFF4D4C4E,
    0xFFACABAC,
    0xFF8E8D8E,
    0xFF353436,
    0xFF292829,
    0xFF222122,
    0xFF7F7D7F,
    0xFFDFDEDF,
    0xFF858385,
    0xFF555456,
    0xFFC8C7C8,
    0xFFA19FA1,
    0xFF3C3B3D,
    0xFF161516,
    0xFF2D2C2D,
    0xFFA9A8A9,
    0xFFF1F0F1,
    0xFFEEEDEE,
    0xFFD6D5D6,
    0xFF9B9A9B,
    0xFF676668,
    0xFF615F61,
    0xFFAFADAF,
    0xFF989798,
    0xFF353436,
    0xFF171617,
    0xFF3F3E40,
    0xFFACABAC,
    0xFFE4E3E4,
    0xFF8D8C8D,
    0xFF797879,
    0xFFDFDEDF,
    0xFFCCCBCC,
    0xFF535153,
    0xFF363537,
    0xFFB3B1B3,
    0xFFDFDEDF,
    0xFF6C6B6C,
    0xFF39383A,
    0xFFA3A2A3,
    0xFF908F90,
    0xFF323133,
    0xFF858385,
    0xFFE3E2E3,
    0xFF989798,
    0xFF4A494B,
    0xFF636163,
    0xFF4B494B,
    0xFF858385,
    0xFFADACAD,
    0xFF4C4B4D,
    0xFFA3A2A3,
    0xFFF5F4F5,
    0xFFD7D6D7,
    0xFF797779,
    0xFF2A292B,
    0xFF141314,
    0xFF49484A,
    0xFFCBCACB,
    0xFFF2F1F2,
    0xFFF0EFF0,
    0xFFD5D4D5,
    0xFF706F70,
    0xFF2D2C2E,
    0xFF363537,
    0xFF4E4D4F,
    0xFFB5B4B5,
    0xFFDAD9DA,
    0xFF7D7B7D,
    0xFF2B2A2C,
    0xFF141314,
    0xFF49484A,
    0xFFCFCECF,
    0xFFCCCBCC,
    0xFF454446,
    0xFF302F31,
    0xFFAEADAE,
    0xFFF1F0F1,
    0xFFC0BFC0,
    0xFF5A595B,
    0xFF1F1E1F,
    0xFF181718,
    0xFF797879,
    0xFFB2B1B2,
    0xFF4D4C4E,
    0xFF9F9E9F,
    0xFFC4C3C4,
    0xFF565456,
    0xFF1A191A,
    0xFF262526,
    0xFF7F7E7F,
    0xFFDEDDDE,
    0xFF929192,
    0xFF242325,
    0xFF2E2D2F,
    0xFF282728,
    0xFF706E70,
    0xFFDAD9DA,
    0xFF8D8B8D,
    0xFF454446,
    0xFFC2C1C2,
    0xFFAAA9AA,
    0xFF757375,
    0xFFCFCECF,
    0xFF969496,
    0xFF4E4C4E,
    0xFFBEBDBE,
    0xFFAAA9AA,
    0xFF434244,
    0xFF171617,
    0xFF292729,
    0xFFA2A1A2,
    0xFF929092,
    0xFF454446,
    0xFFC2C1C2,
    0xFFB9B8B9,
    0xFF696769,
    0xFFC0BFC0,
    0xFFD3D2D3,
    0xFF5B5A5C,
    0xFF302F30,
    0xFFA6A5A6,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFE8E7E8,
    0xFFA09EA0,
    0xFF39383A,
    0xFF171617,
    0xFF39383A,
    0xFFA3A2A3,
    0xFFDBDADB,
    0xFF626163,
    0xFF615F61,
    0xFFDAD9DA,
    0xFF949394,
    0xFF777577,
    0xFFD8D7D8,
    0xFFF0EFF0,
    0xFFEFEEEF,
    0xFFE5E4E5,
    0xFF888788,
    0xFF29282A,
    0xFF7D7B7D,
    0xFFB6B5B6,
    0xFF464446,
    0xFF929192,
    0xFFD7D6D7,
    0xFF747274,
    0xFF999899,
    0xFFD9D8D9,
    0xFF858385,
    0xFF2E2D2F,
    0xFF131213,
    0xFF403F40,
    0xFFC3C2C3,
    0xFFF2F1F2,
    0xFFF2F1F2,
    0xFFC6C5C6,
    0xFF4D4B4E,
    0xFF878587,
    0xFF989698,
    0xFF484749,
    0xFFB1B0B1,
    0xFFF0EFF0,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEAE9EA,
    0xFFA3A1A3,
    0xFF3C3A3C,
    0xFF262527,
    0xFF817F81,
    0xFFCFCECF,
    0xFF838283,
    0xFF282728,
    0xFF19181A,
    0xFF504F51,
    0xFFC3C2C3,
    0xFFC5C4C5,
    0xFF4D4C4E,
    0xFF929092,
    0xFFF2F1F2,
    0xFFDFDEDF,
    0xFF868586,
    0xFF313031,
    0xFF141314,
    0xFF3F3E3F,
    0xFFB1B0B1,
    0xFFABAAAB,
    0xFF6F6D6F,
    0xFF585658,
    0xFFA7A5A7,
    0xFFEBEAEB,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBCFE,
    0xFF5554DD,
    0xFF1313D6,
    0xFF0C0CEB,
    0xFF0E0EF0,
    0xFF0E0FEC,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0E0FEC,
    0xFF0E0EF0,
    0xFF0E0EF0,
    0xFF1112DB,
    0xFF1516A3,
    0xFF0B0B4D,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFDDDCDD,
    0xFFB7B6B7,
    0xFFC1C0C1,
    0xFFE8E7E8,
    0xFFE4E3E4,
    0xFFC3C1C3,
    0xFFB3B2B3,
    0xFFCECDCE,
    0xFFE7E6E7,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFDBDADB,
    0xFFB6B5B6,
    0xFF9E9D9E,
    0xFFB5B4B5,
    0xFFDBDADB,
    0xFFBAB8BA,
    0xFFC2C1C2,
    0xFFE8E7E8,
    0xFFCAC9CA,
    0xFFC9C8C9,
    0xFFE9E8E9,
    0xFFD3D2D3,
    0xFFAFAEB0,
    0xFFBDBCBD,
    0xFFCBC9CB,
    0xFFDDDCDD,
    0xFFD1D0D1,
    0xFFC7C6C7,
    0xFFBBBABB,
    0xFFB3B2B3,
    0xFFDCDBDC,
    0xFFEEEDEE,
    0xFFCAC9CA,
    0xFFBEBDBE,
    0xFFE5E4E5,
    0xFFE6E5E6,
    0xFFC4C2C4,
    0xFFA2A1A2,
    0xFFA5A4A5,
    0xFFD4D3D4,
    0xFFEFEEEF,
    0xFFEEEDEE,
    0xFFE8E7E8,
    0xFFCBCACB,
    0xFFB1B0B1,
    0xFFCAC9CA,
    0xFFE7E6E7,
    0xFFE4E3E4,
    0xFFC4C3C4,
    0xFFB3B2B3,
    0xFFCDCCCD,
    0xFFE7E6E7,
    0xFFEBEAEB,
    0xFFCCCBCC,
    0xFFC5C4C5,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFC5C4C5,
    0xFFB5B3B5,
    0xFFDDDCDD,
    0xFFEDECED,
    0xFFCCCBCC,
    0xFFB6B5B6,
    0xFFDAD9DA,
    0xFFD3D2D3,
    0xFFB7B6B7,
    0xFFD7D6D7,
    0xFFEFEEEF,
    0xFFE0DFE0,
    0xFFB7B6B8,
    0xFFB5B4B5,
    0xFFC7C6C7,
    0xFFD6D5D6,
    0xFFD8D7D8,
    0xFFBAB9BA,
    0xFFD8D7D8,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFDCDBDC,
    0xFFB7B6B8,
    0xFF9E9D9E,
    0xFFB0AFB1,
    0xFFE1E0E1,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFEBEAEB,
    0xFFD3D2D3,
    0xFFB7B6B7,
    0xFFC2C1C2,
    0xFFC2C0C2,
    0xFFD8D7D8,
    0xFFEDECED,
    0xFFDDDCDD,
    0xFFB8B7B8,
    0xFF9E9D9E,
    0xFFB0AFB0,
    0xFFE2E1E2,
    0xFFEBEAEB,
    0xFFC4C3C4,
    0xFFB3B2B3,
    0xFFDDDCDD,
    0xFFEFEEEF,
    0xFFEAE9EA,
    0xFFD2D1D2,
    0xFFACABAC,
    0xFF9E9D9E,
    0xFFC1C0C1,
    0xFFD9D8D9,
    0xFFBBB9BB,
    0xFFD6D5D6,
    0xFFEBEAEB,
    0xFFD3D2D3,
    0xFFB4B3B4,
    0xFFC0BFC0,
    0xFFE0DFE0,
    0xFFEEEDEE,
    0xFF8B8A8B,
    0xFF3F3E40,
    0xFFA09EA0,
    0xFFBFBEBF,
    0xFFD9D8D9,
    0xFFEEEDEE,
    0xFFCAC9CA,
    0xFFB1B0B1,
    0xFFDDDCDD,
    0xFFD5D4D5,
    0xFFC2C1C2,
    0xFFE3E2E3,
    0xFFD4D3D4,
    0xFFBAB8BA,
    0xFFDEDDDE,
    0xFFE8E7E8,
    0xFFC7C6C7,
    0xFFA4A3A4,
    0xFFA4A2A4,
    0xFFD1D0D1,
    0xFFCDCCCD,
    0xFFB2B1B3,
    0xFFDEDDDE,
    0xFFDBDADB,
    0xFFBFBEBF,
    0xFFDDDCDD,
    0xFFEBEAEB,
    0xFFC8C7C8,
    0xFFB4B2B4,
    0xFFD9D8D9,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFEDECED,
    0xFFE5E4E5,
    0xFFC7C6C7,
    0xFFB2B1B2,
    0xFFCAC9CA,
    0xFFE7E6E7,
    0xFFE9E8E9,
    0xFFBCBBBC,
    0xFFBCBBBC,
    0xFFE7E6E7,
    0xFFCFCECF,
    0xFFC5C3C5,
    0xFFE6E5E6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFEDECED,
    0xFFD7D6D7,
    0xFFB3B2B4,
    0xFFCBCACB,
    0xFFDBDADB,
    0xFFB3B1B3,
    0xFFCDCCCD,
    0xFFE6E5E6,
    0xFFC3C2C3,
    0xFFCFCECF,
    0xFFECEBEC,
    0xFFDFDEDF,
    0xFFBBB9BB,
    0xFF9F9E9F,
    0xFFADABAD,
    0xFFDEDDDE,
    0xFFEFEEEF,
    0xFFEEEDEE,
    0xFFE2E1E2,
    0xFFBCBBBC,
    0xFFCCCBCC,
    0xFFD4D3D4,
    0xFFB9B7B9,
    0xFFD9D8D9,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE4E3E4,
    0xFFC1C0C1,
    0xFFB7B6B7,
    0xFFD9D8D9,
    0xFFECEBEC,
    0xFFDFDEDF,
    0xFFBDBCBD,
    0xFFB6B5B6,
    0xFFD3D2D3,
    0xFFEBEAEB,
    0xFFE0DFE0,
    0xFFBAB9BA,
    0xFFD2D1D2,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFDFDEDF,
    0xFFBCBBBC,
    0xFF9F9E9F,
    0xFFACABAC,
    0xFFD9D8D9,
    0xFFD3D2D3,
    0xFFB2B0B2,
    0xFFC4C3C4,
    0xFFE5E4E5,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBCFF,
    0xFF5455DF,
    0xFF1413D9,
    0xFF0D0EED,
    0xFF0E0FF1,
    0xFF0E0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0F0FED,
    0xFF0E0FF2,
    0xFF0E0EF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFF8A888A,
    0xFF464547,
    0xFFC3C2C3,
    0xFFF0EFF0,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556DF,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFAEADAE,
    0xFF8F8D8F,
    0xFFD9D8D9,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFE0DFE0,
    0xFFA5A4A5,
    0xFFB6B5B6,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFCFCECF,
    0xFF9D9B9D,
    0xFFCAC9CA,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFBBBABB,
    0xFFA2A0A2,
    0xFFDCDBDC,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFBCBBBC,
    0xFFA1A0A1,
    0xFFDCDBDC,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEDECED,
    0xFFC4C3C4,
    0xFFA09FA0,
    0xFFD8D7D8,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFD5D4D5,
    0xFF595759,
    0xFF7B797B,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFDEDDDE,
    0xFF959395,
    0xFFABAAAB,
    0xFFB0AFB0,
    0xFF4B4A4C,
    0xFFA6A5A6,
    0xFFF2F1F2,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFF868586,
    0xFF525052,
    0xFFCCCBCC,
    0xFFF2F1F2,
    0xFFEFEEEF,
    0xFFCAC9CA,
    0xFF8A888A,
    0xFFC0BFC0,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE8E7E8,
    0xFFE4E3E4,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFF898789,
    0xFF515052,
    0xFFCAC9CA,
    0xFFF2F1F2,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFFAEADAE,
    0xFF787678,
    0xFFCDCCCD,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFB2B1B2,
    0xFF8E8C8E,
    0xFFD6D5D6,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE7E6E7,
    0xFFE4E3E4,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFD0CFD0,
    0xFF8B8A8B,
    0xFFB9B8B9,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFE4E3E4,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFE4E3E4,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFE7E6E7,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEEEDEE,
    0xFFD1D0D1,
    0xFF504F51,
    0xFF747274,
    0xFFE5E4E5,
    0xFFEBEAEB,
    0xFFEEEDEE,
    0xFFDEDDDE,
    0xFFA2A1A2,
    0xFFB9B8B9,
    0xFFACABAC,
    0xFF403F41,
    0xFFA2A1A2,
    0xFFF2F1F2,
    0xFFEAE9EA,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE7E6E7,
    0xFFE6E5E6,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFF807E80,
    0xFF494749,
    0xFFCAC9CA,
    0xFFEFEEEF,
    0xFFEBEAEB,
    0xFFCDCCCD,
    0xFF9A999A,
    0xFFC9C8C9,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEFEEEF,
    0xFFB6B5B6,
    0xFF716F71,
    0xFFBFBEBF,
    0xFFEFEEEF,
    0xFF848284,
    0xFF484648,
    0xFFC6C5C6,
    0xFFEDECED,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFABAAAB,
    0xFF767476,
    0xFFCDCCCD,
    0xFFEDECED,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFBAB8BA,
    0xFF9E9D9E,
    0xFFD7D6D7,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE7E6E7,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFE9E8E9,
    0xFF9B9A9B,
    0xFF7A787A,
    0xFFD3D2D3,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFD2D1D2,
    0xFF9A999A,
    0xFFC3C2C3,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFEFEEEF,
    0xFFBFBEBF,
    0xFF716F71,
    0xFFB5B4B5,
    0xFFEDECED,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE7E6E7,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE6E5E6,
    0xFFE5E4E5,
    0xFFE6E5E6,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFE7E6E7,
    0xFFE5E4E5,
    0xFFEAE9EA,
    0xFFEFEEEF,
    0xFFC1C0C1,
    0xFF716F71,
    0xFFB2B1B2,
    0xFFEDECED,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE7E6E7,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFC4C3C4,
    0xFF989798,
    0xFFD2D1D2,
    0xFFC5C4C5,
    0xFF8D8B8D,
    0xFFCCCBCC,
    0xFFD5D4D5,
    0xFFA2A0A2,
    0xFFAFAEAF,
    0xFF555355,
    0xFF5B595B,
    0xFF8C8A8C,
    0xFF9C9B9C,
    0xFFE0DFE0,
    0xFFDFDEDF,
    0xFF959395,
    0xFFB5B3B5,
    0xFFADACAD,
    0xFF403F41,
    0xFFA4A2A4,
    0xFFECEBEC,
    0xFFB2B1B2,
    0xFF79787A,
    0xFFA1A0A1,
    0xFFDFDEDF,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFEAE9EA,
    0xFFB1B0B1,
    0xFF9D9B9D,
    0xFF9D9C9D,
    0xFF8A888A,
    0xFFBFBEBF,
    0xFFAEACAE,
    0xFF929092,
    0xFFCCCBCC,
    0xFFEBEAEB,
    0xFFC9C8C9,
    0xFF898889,
    0xFF7B7A7C,
    0xFFBFBEBF,
    0xFFE9E8E9,
    0xFF828082,
    0xFF4B4A4C,
    0xFFBEBDBE,
    0xFF9F9E9F,
    0xFFA3A1A3,
    0xFFC0BFC0,
    0xFF8E8D8E,
    0xFFC3C2C3,
    0xFFB5B4B5,
    0xFF9D9B9D,
    0xFF9E9C9E,
    0xFF898789,
    0xFFC6C5C6,
    0xFFF0EFF0,
    0xFFE1E0E1,
    0xFFA5A4A5,
    0xFF686768,
    0xFF5B5A5B,
    0xFF9A989A,
    0xFFE4E3E4,
    0xFFF1F0F1,
    0xFFE0DFE0,
    0xFF7F7E80,
    0xFF282728,
    0xFF595759,
    0xFFC5C4C5,
    0xFF898789,
    0xFF3F3E40,
    0xFF858385,
    0xFF8D8C8D,
    0xFFC6C5C6,
    0xFFEFEEEF,
    0xFFE8E7E8,
    0xFFB4B3B4,
    0xFF7A797B,
    0xFF9E9D9E,
    0xFFDEDDDE,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFFE4E3E4,
    0xFFABA9AB,
    0xFF888688,
    0xFF807E80,
    0xFF757375,
    0xFFCDCCCD,
    0xFFBBBABB,
    0xFF969596,
    0xFF949394,
    0xFFB0AFB0,
    0xFFABA9AB,
    0xFF979597,
    0xFFB6B5B6,
    0xFF9B9A9B,
    0xFFD0CFD0,
    0xFFE1E0E1,
    0xFFA1A0A1,
    0xFFB3B2B3,
    0xFFE4E3E4,
    0xFFB7B6B7,
    0xFF7A797B,
    0xFF9D9B9D,
    0xFFE0DFE0,
    0xFFCFCECF,
    0xFF999899,
    0xFF959395,
    0xFFA09EA0,
    0xFFD4D3D4,
    0xFFB3B1B3,
    0xFF7B7A7B,
    0xFFAAA9AA,
    0xFFE4E3E4,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFFE8E7E8,
    0xFFB7B6B7,
    0xFF7B7A7B,
    0xFF9B9A9B,
    0xFFDEDDDE,
    0xFFE8E7E8,
    0xFFB8B7B8,
    0xFF7C7B7D,
    0xFF898789,
    0xFFD0CFD0,
    0xFFECEBEC,
    0xFFC9C8C9,
    0xFF878587,
    0xFF959495,
    0xFFB4B3B4,
    0xFF999799,
    0xFFCFCECF,
    0xFFE3E2E3,
    0xFFA3A2A3,
    0xFFB0AFB0,
    0xFFE9E8E9,
    0xFFF1F0F1,
    0xFFCFCECF,
    0xFF5F5D5F,
    0xFF272627,
    0xFF737274,
    0xFFDAD9DA,
    0xFFE8E7E8,
    0xFFB1B0B1,
    0xFF7B7A7B,
    0xFF9D9C9D,
    0xFFDCDBDC,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFF0EFF0,
    0xFFCDCCCD,
    0xFF8C8B8C,
    0xFFBEBCBE,
    0xFFB9B8B9,
    0xFF9C9A9C,
    0xFFA09FA0,
    0xFF878587,
    0xFFC1C0C1,
    0xFFE5E4E5,
    0xFF8C8A8C,
    0xFF2A292B,
    0xFF4D4C4E,
    0xFFBDBCBD,
    0xFFEDECED,
    0xFFBBBABB,
    0xFF7C7B7C,
    0xFF989798,
    0xFFDBDADB,
    0xFFEDECED,
    0xFFC4C3C4,
    0xFF7E7D7F,
    0xFF595859,
    0xFF767577,
    0xFFC2C1C2,
    0xFFADABAD,
    0xFF999799,
    0xFF959395,
    0xFFC3C2C3,
    0xFFCFCECF,
    0xFF908E90,
    0xFF777678,
    0xFFB6B5B6,
    0xFFE0DFE0,
    0xFF8F8D8F,
    0xFF2B2A2C,
    0xFF4C4A4C,
    0xFFBBBABB,
    0xFFEDECED,
    0xFFBDBCBD,
    0xFF7C7B7D,
    0xFF979597,
    0xFFD9D8D9,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF0EFF0,
    0xFFC0BFC0,
    0xFF6C6A6C,
    0xFFB0AFB0,
    0xFFA5A3A5,
    0xFF414042,
    0xFF9F9E9F,
    0xFFB7B6B7,
    0xFF767476,
    0xFFA8A7A8,
    0xFF565456,
    0xFF1B1A1B,
    0xFF201F20,
    0xFF2F2D2F,
    0xFFA2A1A2,
    0xFFD5D4D5,
    0xFF595759,
    0xFF7D7B7D,
    0xFFABA9AB,
    0xFF434244,
    0xFFA4A3A4,
    0xFFB9B8B9,
    0xFF4C4B4D,
    0xFF1D1C1E,
    0xFF3A393B,
    0xFF9B9A9B,
    0xFFE7E6E7,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFF868486,
    0xFF292829,
    0xFF272628,
    0xFF1D1C1D,
    0xFF2B292B,
    0xFF252325,
    0xFF1E1D1E,
    0xFF7C7A7C,
    0xFFCFCECF,
    0xFF868486,
    0xFF676567,
    0xFF59585A,
    0xFF656365,
    0xFFC9C8C9,
    0xFF898889,
    0xFF4C4B4D,
    0xFF888688,
    0xFF676567,
    0xFFB8B6B8,
    0xFFB3B2B3,
    0xFF474648,
    0xFFA3A2A3,
    0xFF8F8D8F,
    0xFF2A292B,
    0xFF282728,
    0xFF1E1D1E,
    0xFF716F71,
    0xFFDAD9DA,
    0xFF9A989A,
    0xFF353436,
    0xFF1A191A,
    0xFF121112,
    0xFF6E6D6F,
    0xFFDFDEDF,
    0xFFF3F2F3,
    0xFFD8D7D8,
    0xFF676668,
    0xFF0D0C0D,
    0xFF282729,
    0xFFABAAAB,
    0xFF908F90,
    0xFF1F1E20,
    0xFF212021,
    0xFF1E1D1F,
    0xFF6D6B6D,
    0xFFDCDBDC,
    0xFFBBBABB,
    0xFF4F4E4F,
    0xFF1E1D1E,
    0xFF383739,
    0xFF979597,
    0xFFE6E5E6,
    0xFFF0EFF0,
    0xFFEEEDEE,
    0xFFB0AEB0,
    0xFF474648,
    0xFF222122,
    0xFF242324,
    0xFF626062,
    0xFFD4D3D4,
    0xFF949294,
    0xFF232224,
    0xFF2E2C2E,
    0xFF939293,
    0xFF868486,
    0xFF535254,
    0xFFA1A0A1,
    0xFF727072,
    0xFFABAAAB,
    0xFFC8C7C8,
    0xFF656365,
    0xFF9F9E9F,
    0xFFBBBABB,
    0xFF525153,
    0xFF1E1D1F,
    0xFF383739,
    0xFF9D9C9D,
    0xFFB6B5B6,
    0xFF3E3C3E,
    0xFF1E1D1E,
    0xFF696769,
    0xFF9F9E9F,
    0xFF6C6A6C,
    0xFF7E7D7F,
    0xFFA8A7A8,
    0xFFDAD9DA,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFBBBABB,
    0xFF535153,
    0xFF1E1D1F,
    0xFF363537,
    0xFF989698,
    0xFFC1C0C1,
    0xFF747274,
    0xFF686668,
    0xFF525052,
    0xFF7F7D7F,
    0xFFC6C5C6,
    0xFF7D7B7D,
    0xFF716F71,
    0xFF9F9E9F,
    0xFFA6A5A6,
    0xFF6B696B,
    0xFFA5A3A5,
    0xFFCAC9CA,
    0xFF666466,
    0xFF989698,
    0xFFEDECED,
    0xFFF2F1F2,
    0xFFC2C1C2,
    0xFF464446,
    0xFF080708,
    0xFF474648,
    0xFFC7C6C7,
    0xFFA2A0A2,
    0xFF353436,
    0xFF161516,
    0xFF262527,
    0xFF8A888A,
    0xFFE4E3E4,
    0xFFEFEEEF,
    0xFFF3F2F3,
    0xFFBCBBBC,
    0xFF474648,
    0xFF9A999A,
    0xFF999899,
    0xFF2E2C2E,
    0xFF282729,
    0xFF1D1C1D,
    0xFF656365,
    0xFFC6C5C6,
    0xFF777577,
    0xFF100F11,
    0xFF201F21,
    0xFFA3A2A3,
    0xFFC3C2C3,
    0xFF585759,
    0xFF1F1E1F,
    0xFF343335,
    0xFF949394,
    0xFFBEBDBE,
    0xFF59585A,
    0xFF222123,
    0xFF0F0E0F,
    0xFF3B3A3C,
    0xFFAFAEAF,
    0xFF6E6D6E,
    0xFF1C1B1C,
    0xFF424143,
    0xFFA5A4A5,
    0xFF8B8A8B,
    0xFF666466,
    0xFF5D5B5D,
    0xFF5E5C5E,
    0xFFAFAEAF,
    0xFF7A787A,
    0xFF131213,
    0xFF1F1E1F,
    0xFFA09FA0,
    0xFFC4C3C4,
    0xFF5A595B,
    0xFF1F1E20,
    0xFF323133,
    0xFF8B8A8B,
    0xFFE1E0E1,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF0EFF0,
    0xFFD8D7D8,
    0xFF727072,
    0xFF828182,
    0xFF9C9A9C,
    0xFF5E5C5E,
    0xFF8B898B,
    0xFF8D8C8D,
    0xFF7A787A,
    0xFFBDBCBD,
    0xFF565456,
    0xFF656465,
    0xFFBFBEBF,
    0xFF757375,
    0xFF8C8A8C,
    0xFFCDCCCD,
    0xFF565456,
    0xFF787678,
    0xFFAAA9AA,
    0xFF454446,
    0xFF979697,
    0xFF828082,
    0xFF545254,
    0xFF7E7D7E,
    0xFF5A595B,
    0xFF727072,
    0xFFD9D8D9,
    0xFFF2F1F2,
    0xFFECEBEC,
    0xFF7E7C7E,
    0xFF424043,
    0xFFB1B0B1,
    0xFF8B898B,
    0xFF605E60,
    0xFFB6B5B6,
    0xFF747374,
    0xFF4E4D4F,
    0xFFC9C8C9,
    0xFFCDCCCD,
    0xFFAFAEAF,
    0xFF767576,
    0xFF373638,
    0xFFA5A4A5,
    0xFF8C8B8C,
    0xFF2F2E30,
    0xFF4F4E50,
    0xFF999799,
    0xFFEDECED,
    0xFFB3B2B3,
    0xFF414042,
    0xFFA09FA0,
    0xFF888688,
    0xFF414042,
    0xFFB1B0B1,
    0xFF979597,
    0xFF6A686A,
    0xFFC2C1C2,
    0xFF8A888A,
    0xFF555456,
    0xFF686668,
    0xFF5B595B,
    0xFFB4B3B4,
    0xFFEFEEEF,
    0xFFEFEEEF,
    0xFFEEEDEE,
    0xFFACABAC,
    0xFF5F5D5F,
    0xFFB2B1B2,
    0xFFEDECED,
    0xFF888688,
    0xFF403F41,
    0xFFAFADAF,
    0xFF9A989A,
    0xFF6D6B6D,
    0xFFBFBEBF,
    0xFF858385,
    0xFF525153,
    0xFF7E7C7E,
    0xFF5C5A5C,
    0xFF6E6C6E,
    0xFFD6D5D6,
    0xFFF3F2F3,
    0xFFE3E2E3,
    0xFF838183,
    0xFF716F71,
    0xFFCCCBCC,
    0xFF9C9B9C,
    0xFF747274,
    0xFFD0CFD0,
    0xFF8C8A8C,
    0xFF3D3B3D,
    0xFFB2B1B2,
    0xFFECEBEC,
    0xFF878687,
    0xFF4A494B,
    0xFFB5B4B5,
    0xFF7C7A7C,
    0xFF817F81,
    0xFF9C9B9C,
    0xFF747274,
    0xFFBFBEBF,
    0xFF888688,
    0xFF525052,
    0xFF7E7C7E,
    0xFF5E5C5E,
    0xFF747274,
    0xFFA1A0A1,
    0xFF3F3E40,
    0xFF868486,
    0xFFE6E5E6,
    0xFFBFBEBF,
    0xFF5D5B5D,
    0xFF7A797A,
    0xFFCDCCCD,
    0xFFEAE9EA,
    0xFFF0EFF0,
    0xFFE5E4E5,
    0xFF868486,
    0xFF514F51,
    0xFF7D7B7D,
    0xFF5E5C5E,
    0xFF6C6A6C,
    0xFFC9C8C9,
    0xFFC2C1C2,
    0xFFA8A7A8,
    0xFF5B5A5C,
    0xFF474648,
    0xFFB5B4B5,
    0xFF7E7C7E,
    0xFF615F61,
    0xFFBAB9BA,
    0xFFDEDDDE,
    0xFF868586,
    0xFF777577,
    0xFF999799,
    0xFF6F6D6F,
    0xFFC3C2C3,
    0xFFF1F0F1,
    0xFFEFEEEF,
    0xFFE6E5E6,
    0xFF8D8C8D,
    0xFF676567,
    0xFFCDCCCD,
    0xFFD2D1D2,
    0xFF6C6A6C,
    0xFF898889,
    0xFFD2D1D2,
    0xFF7F7D7F,
    0xFF575557,
    0xFFCBCACB,
    0xFFF2F1F2,
    0xFFF3F2F3,
    0xFFBCBBBC,
    0xFF434244,
    0xFF969596,
    0xFF929192,
    0xFF3E3D3F,
    0xFFA9A8A9,
    0xFFA19FA1,
    0xFF656365,
    0xFFC1C0C1,
    0xFFBAB9BA,
    0xFF605E60,
    0xFFA8A7A8,
    0xFFE5E4E5,
    0xFF8C8A8C,
    0xFF504F51,
    0xFF7C7A7C,
    0xFF626062,
    0xFF6C6A6C,
    0xFF9C9B9C,
    0xFF5C5A5C,
    0xFF676567,
    0xFF595759,
    0xFF888788,
    0xFFD6D5D6,
    0xFF656365,
    0xFF535153,
    0xFFCDCCCD,
    0xFFEAE9EA,
    0xFFCBCACB,
    0xFFB1B0B1,
    0xFF828082,
    0xFF353436,
    0xFF949394,
    0xFFBAB9BA,
    0xFF615F61,
    0xFFA6A4A6,
    0xFFE5E4E5,
    0xFF8E8D8E,
    0xFF504E50,
    0xFF7C7A7C,
    0xFF616062,
    0xFF646365,
    0xFFCECDCE,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFE8E7E8,
    0xFF979697,
    0xFF5B5A5C,
    0xFF737173,
    0xFF8A888A,
    0xFF727072,
    0xFF605E60,
    0xFF9B9A9B,
    0xFFCFCECF,
    0xFF535254,
    0xFF777577,
    0xFFDDDCDD,
    0xFF838183,
    0xFF858385,
    0xFFCAC9CA,
    0xFF575557,
    0xFF787678,
    0xFFAAA9AA,
    0xFF454446,
    0xFF969596,
    0xFF7F7D7F,
    0xFF515051,
    0xFF777577,
    0xFF7E7D7E,
    0xFFB5B3B5,
    0xFFE7E6E7,
    0xFFF0EFF0,
    0xFFEBEAEB,
    0xFF7D7C7D,
    0xFF4C4B4D,
    0xFFCBCACB,
    0xFF9F9E9F,
    0xFF777577,
    0xFFD3D2D3,
    0xFF828082,
    0xFF4E4D4F,
    0xFFB4B3B4,
    0xFF8F8E8F,
    0xFF8F8D8F,
    0xFF777677,
    0xFF363537,
    0xFFA3A1A3,
    0xFF8A888A,
    0xFF39383A,
    0xFF555355,
    0xFF807E80,
    0xFFE4E3E4,
    0xFFB4B3B4,
    0xFF414042,
    0xFFA09FA0,
    0xFF868586,
    0xFF4B4A4C,
    0xFFCCCBCC,
    0xFFAEADAE,
    0xFF6B696B,
    0xFFC2C1C2,
    0xFF9B9A9B,
    0xFF302F31,
    0xFF232224,
    0xFF787678,
    0xFFDBDADB,
    0xFFEFEEEF,
    0xFFEDECED,
    0xFFEFEEEF,
    0xFFB0AFB0,
    0xFF656365,
    0xFFBAB9BA,
    0xFFEFEEEF,
    0xFF858385,
    0xFF49484A,
    0xFFCBCACB,
    0xFFB0AFB0,
    0xFF6B696B,
    0xFFB8B7B8,
    0xFF828082,
    0xFF4F4E50,
    0xFF767476,
    0xFF7D7C7D,
    0xFFB2B0B2,
    0xFFE6E5E6,
    0xFFF1F0F1,
    0xFFE0DFE0,
    0xFF7E7C7E,
    0xFF777577,
    0xFFDAD9DA,
    0xFFA6A5A6,
    0xFF757375,
    0xFFD0CFD0,
    0xFF8B898B,
    0xFF454446,
    0xFFC8C7C8,
    0xFFF4F3F4,
    0xFF878587,
    0xFF484749,
    0xFFC6C5C6,
    0xFFA8A7A8,
    0xFF676567,
    0xFF6D6B6D,
    0xFF8C8B8C,
    0xFFD6D5D6,
    0xFF848284,
    0xFF4F4D4F,
    0xFF767476,
    0xFF7D7C7E,
    0xFFB7B6B7,
    0xFFAFAEAF,
    0xFF413F42,
    0xFF999899,
    0xFFF2F1F2,
    0xFFEBEAEB,
    0xFFC4C2C4,
    0xFF7A797B,
    0xFF6E6C6E,
    0xFFC6C5C6,
    0xFFF2F1F2,
    0xFFE4E3E4,
    0xFF838183,
    0xFF4E4D4F,
    0xFF757476,
    0xFF7E7D7E,
    0xFFB4B3B4,
    0xFFBBBABB,
    0xFF838183,
    0xFF959395,
    0xFF5D5B5D,
    0xFF424143,
    0xFFC6C5C6,
    0xFFDCDBDC,
    0xFF949294,
    0xFF656365,
    0xFFA9A8A9,
    0xFFACABAC,
    0xFF636163,
    0xFF626062,
    0xFF868486,
    0xFFDDDCDD,
    0xFFEFEEEF,
    0xFFEEEDEE,
    0xFFE9E8E9,
    0xFF929192,
    0xFF706E70,
    0xFFD5D4D5,
    0xFFCFCECF,
    0xFF686668,
    0xFF929192,
    0xFFE1E0E1,
    0xFF898789,
    0xFF535154,
    0xFFC8C7C8,
    0xFFF2F1F2,
    0xFFF3F2F3,
    0xFFBCBBBC,
    0xFF434244,
    0xFF969596,
    0xFF919091,
    0xFF464547,
    0xFFC4C3C4,
    0xFFB9B8B9,
    0xFF686668,
    0xFFBDBCBD,
    0xFFBEBDBE,
    0xFF666466,
    0xFFB1B0B1,
    0xFFE7E6E7,
    0xFF898789,
    0xFF4D4C4E,
    0xFF747274,
    0xFF7C7B7C,
    0xFFB0AFB0,
    0xFFBEBDBE,
    0xFF575557,
    0xFF1D1C1D,
    0xFF484748,
    0xFFBCBBBC,
    0xFFE1E0E1,
    0xFF626062,
    0xFF605E60,
    0xFFE2E1E2,
    0xFFDFDEDF,
    0xFF8F8D8F,
    0xFF8B8A8B,
    0xFF818081,
    0xFF343335,
    0xFF939293,
    0xFFBFBEBF,
    0xFF676567,
    0xFFAFAEAF,
    0xFFE7E6E7,
    0xFF8B898B,
    0xFF4D4B4D,
    0xFF747274,
    0xFF7B7A7B,
    0xFFABAAAB,
    0xFFE2E1E2,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556E0,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEFEEEF,
    0xFFADACAD,
    0xFF383739,
    0xFF535254,
    0xFFA9A8A9,
    0xFF585658,
    0xFF353436,
    0xFFAFAEAF,
    0xFFD7D6D7,
    0xFF504F51,
    0xFF757375,
    0xFFDDDCDD,
    0xFF848284,
    0xFF848284,
    0xFFC9C8C9,
    0xFF575557,
    0xFF787678,
    0xFFAAA9AA,
    0xFF444345,
    0xFFA2A1A2,
    0xFFA8A6A8,
    0xFF49484A,
    0xFF2F2E2F,
    0xFF323132,
    0xFF8C8B8C,
    0xFFE9E8E9,
    0xFFF1F0F1,
    0xFFEBEAEB,
    0xFF7D7B7D,
    0xFF4B4A4C,
    0xFFCAC9CA,
    0xFFA09EA0,
    0xFF787678,
    0xFFD3D2D3,
    0xFF838283,
    0xFF4E4D4F,
    0xFFA8A7A8,
    0xFF6A686A,
    0xFF6B696B,
    0xFF6A686A,
    0xFF373638,
    0xFFA3A2A3,
    0xFF888688,
    0xFF4C4B4D,
    0xFF949394,
    0xFF727072,
    0xFFAFAEAF,
    0xFFB0AFB0,
    0xFF434244,
    0xFF9F9E9F,
    0xFF868486,
    0xFF4A494B,
    0xFFCCCBCC,
    0xFFB0AEB0,
    0xFF6D6B6D,
    0xFFB6B5B6,
    0xFF8B898B,
    0xFF858385,
    0xFFC5C4C5,
    0xFFDDDCDD,
    0xFFEBEAEB,
    0xFFEDECED,
    0xFFEDECED,
    0xFFF0EFF0,
    0xFFC0BFC0,
    0xFF474648,
    0xFF3C3B3C,
    0xFFB2B1B2,
    0xFF888688,
    0xFF484749,
    0xFFCAC9CA,
    0xFFB2B1B2,
    0xFF6A686A,
    0xFFC2C1C2,
    0xFFABAAAB,
    0xFF4B4A4C,
    0xFF302E30,
    0xFF313031,
    0xFF878587,
    0xFFE7E6E7,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFA5A3A5,
    0xFF464547,
    0xFF373637,
    0xFF2D2C2D,
    0xFF626062,
    0xFFD4D3D4,
    0xFF8C8A8C,
    0xFF474648,
    0xFFC8C7C8,
    0xFFF4F3F4,
    0xFF878587,
    0xFF484648,
    0xFFCBCACB,
    0xFFC1C0C1,
    0xFF3B3A3C,
    0xFF333234,
    0xFFA8A7A8,
    0xFFEEEDEE,
    0xFFAAA9AA,
    0xFF4B4A4C,
    0xFF302F30,
    0xFF313031,
    0xFF8C8A8C,
    0xFFB2B1B2,
    0xFF454345,
    0xFF9B9A9B,
    0xFFEFEEEF,
    0xFFCBCACB,
    0xFFACABAC,
    0xFF888688,
    0xFF656365,
    0xFFBFBEBF,
    0xFFF1F0F1,
    0xFFEEEDEE,
    0xFFAAA9AA,
    0xFF4D4B4D,
    0xFF302F30,
    0xFF302F30,
    0xFF828082,
    0xFFA9A8A9,
    0xFF5B595B,
    0xFF777677,
    0xFF555456,
    0xFF464446,
    0xFFB2B1B2,
    0xFFB8B7B8,
    0xFF9B9A9B,
    0xFF636163,
    0xFFA1A0A1,
    0xFFD0CFD0,
    0xFF605E60,
    0xFF333234,
    0xFFA09FA0,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFA1A0A1,
    0xFF323133,
    0xFF5A595B,
    0xFFC6C5C6,
    0xFF898789,
    0xFF363537,
    0xFF302F31,
    0xFF2F2E2F,
    0xFF817F81,
    0xFFE2E1E2,
    0xFFF0EFF0,
    0xFFF3F2F3,
    0xFFBCBBBC,
    0xFF434244,
    0xFF959495,
    0xFF918F91,
    0xFF454346,
    0xFFC3C2C3,
    0xFFBBBABB,
    0xFF686668,
    0xFFBDBCBD,
    0xFFCCCBCC,
    0xFF514F51,
    0xFF373637,
    0xFFACABAC,
    0xFFB2B1B2,
    0xFF504F51,
    0xFF302F31,
    0xFF302F30,
    0xFF7F7D7F,
    0xFFA7A6A7,
    0xFF767476,
    0xFFADACAD,
    0xFFD5D4D5,
    0xFFEBEAEB,
    0xFFE1E0E1,
    0xFF636163,
    0xFF636163,
    0xFFE4E3E4,
    0xFFD8D7D8,
    0xFF6C6A6C,
    0xFF666466,
    0xFF727072,
    0xFF333234,
    0xFF949294,
    0xFFCDCCCD,
    0xFF555355,
    0xFF363536,
    0xFFAAA9AA,
    0xFFB4B3B4,
    0xFF525052,
    0xFF313031,
    0xFF2E2D2E,
    0xFF7E7C7E,
    0xFFCBCACB,
    0xFF7F7D7F,
    0xFF9B9A9B,
    0xFFE9E8E9,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556DF,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEFEEEF,
    0xFFD8D7D8,
    0xFF8B8A8B,
    0xFF969496,
    0xFFD3D2D3,
    0xFF999799,
    0xFF908F91,
    0xFFDEDDDE,
    0xFFDEDDDE,
    0xFF817F81,
    0xFF999799,
    0xFFE1E0E1,
    0xFFA7A5A7,
    0xFFA8A7A8,
    0xFFD4D3D4,
    0xFF908F90,
    0xFFACABAC,
    0xFFC1C0C1,
    0xFF868486,
    0xFFC3C2C3,
    0xFFE5E4E5,
    0xFFB0AFB0,
    0xFF696869,
    0xFF535153,
    0xFF9C9B9C,
    0xFFE9E8E9,
    0xFFF0EFF0,
    0xFFEBEAEB,
    0xFF9F9E9F,
    0xFF7B7A7B,
    0xFFD1D0D1,
    0xFFB7B6B7,
    0xFF9C9B9C,
    0xFFDBDADB,
    0xFFB2B1B2,
    0xFF8C8A8C,
    0xFFD4D3D4,
    0xFFBAB8BA,
    0xFF767577,
    0xFF8C8B8C,
    0xFFA3A2A3,
    0xFFCDCCCD,
    0xFFA9A8A9,
    0xFF929092,
    0xFFD3D2D3,
    0xFFA7A6A7,
    0xFFA1A0A1,
    0xFFB9B7B9,
    0xFF898889,
    0xFFC4C3C4,
    0xFFA6A4A6,
    0xFF7C7B7C,
    0xFFD4D3D4,
    0xFFC3C2C3,
    0xFF999799,
    0xFFCBCACB,
    0xFF8E8D8E,
    0xFF605F61,
    0xFF939293,
    0xFF929092,
    0xFFB6B5B6,
    0xFFE9E8E9,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFE2E1E2,
    0xFF9C9A9C,
    0xFF7D7C7D,
    0xFFCAC9CA,
    0xFFA8A6A8,
    0xFF7A797B,
    0xFFD3D2D3,
    0xFFC5C4C5,
    0xFF949394,
    0xFFD0CFD0,
    0xFFE6E5E6,
    0xFFB3B2B3,
    0xFF6B6A6C,
    0xFF525152,
    0xFF989698,
    0xFFE8E7E8,
    0xFFEFEEEF,
    0xFFEEEDEE,
    0xFFDDDCDD,
    0xFF9C9B9C,
    0xFF818081,
    0xFF969596,
    0xFF9E9D9E,
    0xFFD8D7D8,
    0xFFADABAD,
    0xFF8D8B8D,
    0xFFDBDADB,
    0xFFF0EFF0,
    0xFFABA9AB,
    0xFF8D8B8D,
    0xFFDCDBDC,
    0xFFE6E5E6,
    0xFF9A989A,
    0xFF7A797A,
    0xFFCCCBCC,
    0xFFF1F0F1,
    0xFFE6E5E6,
    0xFFB4B3B4,
    0xFF6C6B6D,
    0xFF525152,
    0xFF9A999A,
    0xFFC3C2C3,
    0xFF898789,
    0xFFC1C0C1,
    0xFFF0EFF0,
    0xFFDBDADB,
    0xFF9A989A,
    0xFF7E7D7E,
    0xFFBAB9BA,
    0xFFE8E7E8,
    0xFFEEEDEE,
    0xFFEEEDEE,
    0xFFE5E4E5,
    0xFFB6B5B6,
    0xFF6E6D6E,
    0xFF525052,
    0xFF969496,
    0xFFDDDCDD,
    0xFFA2A1A2,
    0xFF757475,
    0xFF959495,
    0xFFB0AFB0,
    0xFFD6D5D6,
    0xFFB4B3B4,
    0xFF7C7B7C,
    0xFFA2A1A2,
    0xFFE1E0E1,
    0xFFE7E6E7,
    0xFF7D7C7E,
    0xFF494749,
    0xFFBFBEBF,
    0xFFF1F0F1,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFD4D3D4,
    0xFF878687,
    0xFF8C8A8C,
    0xFFDCDBDC,
    0xFFDEDDDE,
    0xFF9E9D9E,
    0xFF787779,
    0xFFA8A6A8,
    0xFFDEDDDE,
    0xFFEDECED,
    0xFFEDECED,
    0xFFF0EFF0,
    0xFFCBCACB,
    0xFF878687,
    0xFFBEBDBE,
    0xFFADACAD,
    0xFF787779,
    0xFFCFCECF,
    0xFFCBCACB,
    0xFF939293,
    0xFFCBCACB,
    0xFFE7E6E7,
    0xFFA3A2A3,
    0xFF797879,
    0xFFC3C2C3,
    0xFFE8E7E8,
    0xFFB9B8B9,
    0xFF706F70,
    0xFF525052,
    0xFF929192,
    0xFFB3B2B3,
    0xFF646264,
    0xFF7E7C7E,
    0xFF969496,
    0xFFA19FA1,
    0xFFD3D2D3,
    0xFF9C9B9C,
    0xFFA09FA0,
    0xFFE8E7E8,
    0xFFEEEDEE,
    0xFFBDBCBD,
    0xFF787779,
    0xFF878688,
    0xFF9E9D9E,
    0xFFC6C5C6,
    0xFFE6E5E6,
    0xFFA6A4A6,
    0xFF787779,
    0xFFC1C0C1,
    0xFFE8E7E8,
    0xFFBBB9BB,
    0xFF727172,
    0xFF514F51,
    0xFF918F91,
    0xFFD0CFD0,
    0xFF8F8E8F,
    0xFFA9A8A9,
    0xFFEAE9EA,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556DF,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE5E4E5,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFD4D3D4,
    0xFF676567,
    0xFF3B3A3B,
    0xFF4E4D4E,
    0xFF3D3B3D,
    0xFF848384,
    0xFFE4E3E4,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE7E6E7,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE5E4E5,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE7E6E7,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE5E4E5,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE7E6E7,
    0xFFE6E5E6,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE5E4E5,
    0xFFE8E7E8,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE8E7E8,
    0xFFEFEEEF,
    0xFFE0DFE0,
    0xFF7F7E7F,
    0xFF767476,
    0xFFDBDADB,
    0xFFF0EFF0,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFE6E5E6,
    0xFFE9E8E9,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFE9E8E9,
    0xFFE7E6E7,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFE8E7E8,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE7E6E7,
    0xFFE7E6E7,
    0xFF9B9A9B,
    0xFF3E3C3E,
    0xFF4A494A,
    0xFF434243,
    0xFF575557,
    0xFFC5C4C5,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEAE9EA,
    0xFFE7E6E7,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE7E6E7,
    0xFFEAE9EA,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE5E4E5,
    0xFFE8E7E8,
    0xFFEAE9EA,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556DF,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEEEDEE,
    0xFFE7E6E7,
    0xFFA5A4A5,
    0xFF3B3A3C,
    0xFF201F20,
    0xFF6F6E6F,
    0xFFCFCECF,
    0xFFEEEDEE,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF0EFF0,
    0xFFCDCCCD,
    0xFF6A686A,
    0xFF929192,
    0xFFE8E7E8,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFEEEDEE,
    0xFFCCCBCC,
    0xFF676668,
    0xFF1D1C1D,
    0xFF434243,
    0xFFABA9AB,
    0xFFE8E7E8,
    0xFFEEEDEE,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEAE9EA,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556DF,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFE9E8E9,
    0xFFDFDEDF,
    0xFFDBDADB,
    0xFFE5E4E5,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEDECED,
    0xFFE9E8E9,
    0xFFDFDEDF,
    0xFFE4E3E4,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFE4E3E4,
    0xFFDBDADB,
    0xFFE0DFE0,
    0xFFE9E8E9,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556DF,
    0xFF1414D9,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9EAFA,
    0xFFBCBDFF,
    0xFF5556DF,
    0xFF1414D8,
    0xFF0D0EED,
    0xFF0F10F1,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEA,
    0xFFECECE7,
    0xFFEDEDEA,
    0xFFE9E9FC,
    0xFFB8B8FE,
    0xFF4F4FDE,
    0xFF1111DA,
    0xFF0D0DEE,
    0xFF0E0EF3,
    0xFF0F10EE,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF1010ED,
    0xFF0F10ED,
    0xFF0F0FF3,
    0xFF0F0FF2,
    0xFF1112DC,
    0xFF1616A5,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3B3A3C,
    0xFF2D2C2E,
    0xFFBBBABB,
    0xFFF3F2F3,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEB,
    0xFFECEBEA,
    0xFFECECE8,
    0xFFEDECEA,
    0xFFEAEAFA,
    0xFFC3C3FE,
    0xFF5F5EE2,
    0xFF1716D5,
    0xFF0D0DE8,
    0xFF0E0EED,
    0xFF0E0EEB,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0F0FEA,
    0xFF0E0FEA,
    0xFF0E0EEF,
    0xFF0E0EEF,
    0xFF1111D9,
    0xFF1516A2,
    0xFF0B0B4D,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF3F2F3,
    0xFFCAC9CA,
    0xFF3C3A3C,
    0xFF2D2C2E,
    0xFFB9B8B9,
    0xFFEDECED,
    0xFFE6E5E5,
    0xFFE6E5E3,
    0xFFE6E5E3,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E3,
    0xFFE6E5E4,
    0xFFE6E5E5,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E5,
    0xFFE6E5E4,
    0xFFE6E5E3,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E3,
    0xFFE6E5E4,
    0xFFE6E5E5,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E6,
    0xFFE6E5E5,
    0xFFE6E5E4,
    0xFFE6E5E3,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E2,
    0xFFE6E5E3,
    0xFFE6E6E3,
    0xFFE6E6E1,
    0xFFE6E6E3,
    0xFFE6E6F5,
    0xFFA4A4E3,
    0xFF2E2DAB,
    0xFF0C0CBC,
    0xFF0D0ED1,
    0xFF0E0ED1,
    0xFF0E0ECE,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0FCC,
    0xFF0E0ECE,
    0xFF0E0ED1,
    0xFF0E0ED1,
    0xFF1111BF,
    0xFF141590,
    0xFF0B0B45,
    0xFF1A1924,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797779,
    0xFFE7E6E7,
    0xFFECEBEC,
    0xFFE8E7E8,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFE9E8E9,
    0xFFF0EFF0,
    0xFFC9C8C9,
    0xFF3F3D3F,
    0xFF100F10,
    0xFF343334,
    0xFF403F41,
    0xFF3F3E3F,
    0xFF3F3E3E,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3E,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3E,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3E,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3F,
    0xFF3F3E3E,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3D,
    0xFF3F3E3E,
    0xFF3F3E3D,
    0xFF3F3F3D,
    0xFF3F4041,
    0xFF313142,
    0xFF14153D,
    0xFF0E0E4C,
    0xFF0F0E57,
    0xFF0F0E58,
    0xFF0F0E57,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E56,
    0xFF0F0E57,
    0xFF0F0E58,
    0xFF0F0F57,
    0xFF101051,
    0xFF10113F,
    0xFF0B0B20,
    0xFF1B1A1F,
    0xFF7F7E7C,
    0xFFBAB9B8,
    0xFFB6B5B5,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF646264,
    0xFF131213,
    0xFF585759,
    0xFFA7A5A7,
    0xFFAAA8AA,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFA8A6A8,
    0xFFADABAD,
    0xFF919091,
    0xFF313032,
    0xFF0B0A0B,
    0xFF100F10,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF111011,
    0xFF101011,
    0xFF0F0F11,
    0xFF0F0E12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F12,
    0xFF0F0F11,
    0xFF0B0A0C,
    0xFF1C1B1C,
    0xFF7F7D7F,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF656365,
    0xFF111011,
    0xFF0F0E0F,
    0xFF151415,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF161515,
    0xFF151515,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151516,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF151515,
    0xFF141414,
    0xFF101010,
    0xFF0E0F0E,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF0F0F0F,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF100F10,
    0xFF0F0E0F,
    0xFF0B0A0B,
    0xFF1C1B1C,
    0xFF7F7D7F,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF656365,
    0xFF100F10,
    0xFF121112,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A1919,
    0xFF1A1A17,
    0xFF1A1A12,
    0xFF1A190F,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF1A1A0E,
    0xFF191A0E,
    0xFF181A11,
    0xFF141A15,
    0xFF101917,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A1A,
    0xFF0F1A19,
    0xFF0E1A15,
    0xFF0F1A12,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0F1A0E,
    0xFF0E1A0E,
    0xFF0F1A0E,
    0xFF101910,
    0xFF141514,
    0xFF171216,
    0xFF190F18,
    0xFF1B0E1A,
    0xFF1B0E1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF190F1A,
    0xFF1B0F17,
    0xFF1A0E13,
    0xFF1A0F10,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1A0F0F,
    0xFF1B0F0F,
    0xFF1B0F0F,
    0xFF1A0F12,
    0xFF160E1B,
    0xFF130F2C,
    0xFF100F3D,
    0xFF0E0F45,
    0xFF0E0F46,
    0xFF0E0F45,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F44,
    0xFF0F0F45,
    0xFF0E0F46,
    0xFF0F0E46,
    0xFF0F0F40,
    0xFF101032,
    0xFF0B0A1B,
    0xFF1B1A1F,
    0xFF7F7E7E,
    0xFFBAB9B8,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF727072,
    0xFFD6D5D6,
    0xFFD9D8D9,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD6D5D6,
    0xFFD5D5DA,
    0xFFD5D5DB,
    0xFFD7D7CA,
    0xFFDBDB9E,
    0xFFD6D658,
    0xFFD3D320,
    0xFFD6D509,
    0xFFD6D605,
    0xFFD6D509,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D50B,
    0xFFD6D509,
    0xFFD8D506,
    0xFFD9D406,
    0xFFD1D715,
    0xFFB1DB40,
    0xFF73D677,
    0xFF31D0AA,
    0xFF0FD5CF,
    0xFF06D8DD,
    0xFF08D7DA,
    0xFF0AD7D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D7,
    0xFF0BD6D8,
    0xFF0AD6DC,
    0xFF0BD6DA,
    0xFF0ED9C0,
    0xFF0CD881,
    0xFF07D338,
    0xFF0AD610,
    0xFF0CD706,
    0xFF0BD708,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD60B,
    0xFF0BD70B,
    0xFF08D80A,
    0xFF05DB06,
    0xFF0BD70B,
    0xFF2CC12D,
    0xFF658D65,
    0xFF9D479B,
    0xFFC719C7,
    0xFFDC0BDB,
    0xFFDD0BDC,
    0xFFDA0CDA,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DD8,
    0xFFD90DDA,
    0xFFD90DDC,
    0xFFD90DDA,
    0xFFDB10CB,
    0xFFDB0F9C,
    0xFFD40957,
    0xFFD60A23,
    0xFFD90E0C,
    0xFFDA0E09,
    0xFFD90E0C,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFD90E0D,
    0xFFDA0D0C,
    0xFFDD0D08,
    0xFFDE0C07,
    0xFFD30F18,
    0xFFA91347,
    0xFF5D0C7E,
    0xFF200AAF,
    0xFF0B0FC9,
    0xFF0A0FCA,
    0xFF0D0FC5,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC4,
    0xFF0E0EC8,
    0xFF0E0DC9,
    0xFF1110B6,
    0xFF141489,
    0xFF0C0B42,
    0xFF1A1923,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797779,
    0xFFE9E8E9,
    0xFFEEEDEE,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEBEAEB,
    0xFFEAEAEF,
    0xFFEAEAF1,
    0xFFEDECDD,
    0xFFF1F0AD,
    0xFFECEB61,
    0xFFE9E723,
    0xFFEAEA09,
    0xFFEBEB06,
    0xFFEBEB09,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA0B,
    0xFFEBEA09,
    0xFFEEEA06,
    0xFFEFEA05,
    0xFFE5EC16,
    0xFFC3F146,
    0xFF7DEB82,
    0xFF35E4BB,
    0xFF0FE9E5,
    0xFF06EDF3,
    0xFF08EDF0,
    0xFF0AECED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBED,
    0xFF0BEBEE,
    0xFF0AEBF2,
    0xFF0BEBEF,
    0xFF0EEED3,
    0xFF0CED8D,
    0xFF07E83D,
    0xFF09EA10,
    0xFF0CED06,
    0xFF0BEC09,
    0xFF0BEC0B,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0C,
    0xFF0BEC0B,
    0xFF08EE09,
    0xFF05F005,
    0xFF0BEC0B,
    0xFF2FD32F,
    0xFF6E9A6E,
    0xFFAC4CAA,
    0xFFDB1ADA,
    0xFFF20BF1,
    0xFFF30AF2,
    0xFFF00CF0,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0EEE,
    0xFFEF0DEF,
    0xFFEE0DF1,
    0xFFEE0DF0,
    0xFFF110DE,
    0xFFF00FAC,
    0xFFEA0860,
    0xFFEA0A25,
    0xFFEF0E0B,
    0xFFEF0E09,
    0xFFEF0E0C,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0E0E,
    0xFFEF0D0C,
    0xFFF20D08,
    0xFFF50D06,
    0xFFE80F1A,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD2,
    0xFF0B0FF4,
    0xFF0A10F7,
    0xFF0E0FF2,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0FF0,
    0xFF0F0EF0,
    0xFF0F0EF5,
    0xFF0F0EF4,
    0xFF1111DE,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF2FD430,
    0xFF6F9B6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30CF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797879,
    0xFFE9E8E9,
    0xFFEFEEEF,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFEBEBF0,
    0xFFEBEBF2,
    0xFFEEEDDE,
    0xFFF1F1AE,
    0xFFECEC61,
    0xFFEAE823,
    0xFFEBEA09,
    0xFFECEC06,
    0xFFECEB09,
    0xFFECEB0B,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6EC15,
    0xFFC4F146,
    0xFF7EEC83,
    0xFF35E5BB,
    0xFF0FEAE5,
    0xFF06EEF5,
    0xFF08EEF1,
    0xFF0BEDEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BECEE,
    0xFF0BECF3,
    0xFF0BECF0,
    0xFF0EEFD4,
    0xFF0CED8E,
    0xFF07E93D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED09,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF30D430,
    0xFF6F9A6F,
    0xFFAC4DAB,
    0xFFDC1ADA,
    0xFFF30BF2,
    0xFFF40AF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFEE0EF1,
    0xFFEE0EF1,
    0xFFF210DF,
    0xFFF110AC,
    0xFFEB0860,
    0xFFEB0A25,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1B,
    0xFFB91351,
    0xFF650B95,
    0xFF220AD3,
    0xFF0B0FF5,
    0xFF0A10F8,
    0xFF0E0FF3,
    0xFF0F0FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF1,
    0xFF0F0FF6,
    0xFF0F0FF6,
    0xFF1112DF,
    0xFF1615A7,
    0xFF0B0B4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B6,
    0xFF636163,
    0xFF141314,
    0xFF797779,
    0xFFE7E7E8,
    0xFFECECEE,
    0xFFE9E9EB,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9EC,
    0xFFE9E9ED,
    0xFFE9E8F0,
    0xFFE9E8F0,
    0xFFEBEBDE,
    0xFFEFEFAD,
    0xFFEAEB61,
    0xFFE8E823,
    0xFFECEB09,
    0xFFECEC06,
    0xFFECEC08,
    0xFFECEB0A,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0C,
    0xFFECEB0B,
    0xFFECEB09,
    0xFFEFEB06,
    0xFFF0EB05,
    0xFFE6ED15,
    0xFFC5F147,
    0xFF81E982,
    0xFF3AE1BA,
    0xFF17E4E5,
    0xFF0DE8F4,
    0xFF0FE7F1,
    0xFF11E7ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6ED,
    0xFF13E6EE,
    0xFF12E6F3,
    0xFF13E6F0,
    0xFF14EAD3,
    0xFF10EA8D,
    0xFF0AE83D,
    0xFF0AEB10,
    0xFF0CEE06,
    0xFF0CED08,
    0xFF0CED0B,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0CEC0D,
    0xFF0BED0B,
    0xFF08EF0A,
    0xFF05F106,
    0xFF0BED0C,
    0xFF31D430,
    0xFF6F9B6F,
    0xFFAB4FAB,
    0xFFD91FDB,
    0xFFED11F2,
    0xFFED12F3,
    0xFFEB13F0,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFEA14EE,
    0xFFE914F0,
    0xFFE914F2,
    0xFFE914F1,
    0xFFED16DF,
    0xFFED14AC,
    0xFFE80A5F,
    0xFFEB0A24,
    0xFFF00E0C,
    0xFFF00F09,
    0xFFF00E0C,
    0xFFF00E0E,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0F,
    0xFFF00E0E,
    0xFFF00E0C,
    0xFFF30D08,
    0xFFF60D06,
    0xFFE90F1A,
    0xFFB91451,
    0xFF670E95,
    0xFF240DD3,
    0xFF0E12F5,
    0xFF0C13F7,
    0xFF1012F1,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1212EF,
    0xFF1211F1,
    0xFF1111F5,
    0xFF1111F5,
    0xFF1414DF,
    0xFF1818A7,
    0xFF0C0C4F,
    0xFF1A1925,
    0xFF7E7E78,
    0xFFBABAB5,
    0xFFB6B5B4,
    0xFFB6B5B5,
    0xFFB7B6B6,
    0xFFB6B5B3,
    0xFF626265,
    0xFF11101E,
    0xFF5E5E7E,
    0xFFB6B6E6,
    0xFFB9BAF1,
    0xFFB6B7EE,
    0xFFB6B7EE,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7ED,
    0xFFB6B7EE,
    0xFFB6B6F1,
    0xFFB6B6F3,
    0xFFB8B8E2,
    0xFFBDBDB2,
    0xFFCCCD6F,
    0xFFE2E137,
    0xFFE9E911,
    0xFFE9EA05,
    0xFFE9E907,
    0xFFE9E909,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E90A,
    0xFFE9E909,
    0xFFEAE906,
    0xFFEBE904,
    0xFFE5EA14,
    0xFFD1EA46,
    0xFFA1D481,
    0xFF6BB6B6,
    0xFF57AFE4,
    0xFF54B0F4,
    0xFF55B0F0,
    0xFF56B0ED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFED,
    0xFF57AFEE,
    0xFF58AEF3,
    0xFF58AFF0,
    0xFF51B8D2,
    0xFF3AC78E,
    0xFF1FD941,
    0xFF0EE610,
    0xFF0AEB05,
    0xFF0AEA08,
    0xFF0BE90B,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE80C,
    0xFF0BE90C,
    0xFF09EA09,
    0xFF06EC06,
    0xFF0BE90B,
    0xFF28D52F,
    0xFF58AC6D,
    0xFF887AAE,
    0xFFAA5DDF,
    0xFFB655F1,
    0xFFB555F1,
    0xFFB357EF,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB357ED,
    0xFFB257EF,
    0xFFB157F0,
    0xFFB158EF,
    0xFFB858E0,
    0xFFC54CB2,
    0xFFC62A62,
    0xFFD01224,
    0xFFDC0F0E,
    0xFFDE0F0B,
    0xFFDC100F,
    0xFFDB0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDA0F10,
    0xFFDC0F0F,
    0xFFDE0F0B,
    0xFFE00E0A,
    0xFFD51119,
    0xFFB5204B,
    0xFF8B3B99,
    0xFF634DD8,
    0xFF4E53F2,
    0xFF4D53F4,
    0xFF5152F0,
    0xFF5251EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5351EE,
    0xFF5251EF,
    0xFF5151F2,
    0xFF5151F2,
    0xFF5655E4,
    0xFF5251B7,
    0xFF222151,
    0xFF181821,
    0xFF7E7D79,
    0xFFBAB9B6,
    0xFFB6B5B4,
    0xFFB6B5B4,
    0xFFB7B7B4,
    0xFFB6B5B0,
    0xFF636369,
    0xFF0C0B3A,
    0xFF20208B,
    0xFF403FDC,
    0xFF3F3EF2,
    0xFF3E3DF3,
    0xFF3E3EF0,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3EEF,
    0xFF3E3DF2,
    0xFF3E3DF4,
    0xFF3E3DE7,
    0xFF4443C1,
    0xFF5A5A8B,
    0xFF727253,
    0xFF7A7A26,
    0xFF7C7C15,
    0xFF7C7C16,
    0xFF7B7C1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7B1A,
    0xFF7B7C1A,
    0xFF7B7C18,
    0xFF7A7D17,
    0xFF7B7A23,
    0xFF866F49,
    0xFF9D6289,
    0xFFB551C6,
    0xFFC445E9,
    0xFFC640F3,
    0xFFC641F0,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC542ED,
    0xFFC442ED,
    0xFFC641EE,
    0xFFC93FF1,
    0xFFCA40F1,
    0xFFBF4ADC,
    0xFF9458A5,
    0xFF556459,
    0xFF287226,
    0xFF197D19,
    0xFF187E18,
    0xFF197D1A,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1C,
    0xFF1A7C1B,
    0xFF1B7C19,
    0xFF1C7C17,
    0xFF1C7B18,
    0xFF177A2C,
    0xFF26906B,
    0xFF42B6BD,
    0xFF48C2E7,
    0xFF44BFEF,
    0xFF44BFEE,
    0xFF45BFED,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEB,
    0xFF44BFEC,
    0xFF42C0EE,
    0xFF40C1EF,
    0xFF4BC0EA,
    0xFF60ABCA,
    0xFF5F6474,
    0xFF65242B,
    0xFF7D1919,
    0xFF821A19,
    0xFF7D1B1B,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1C,
    0xFF7C1C1B,
    0xFF7D1B1A,
    0xFF7D1B19,
    0xFF741C1D,
    0xFF814047,
    0xFFBA99AA,
    0xFFD3CBE6,
    0xFFC8CBEB,
    0xFFC7CAEC,
    0xFFC9C9EC,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EB,
    0xFFC9C9EC,
    0xFFC9C9EC,
    0xFFCECEED,
    0xFFBDBCD3,
    0xFF4A4A54,
    0xFF181719,
    0xFF7E7D7C,
    0xFFBAB9B8,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A43,
    0xFF0B0B8F,
    0xFF1616DB,
    0xFF1414F5,
    0xFF1414F6,
    0xFF1514F1,
    0xFF1514EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1515EF,
    0xFF1514F1,
    0xFF1514F3,
    0xFF1414F4,
    0xFF1515ED,
    0xFF1817CF,
    0xFF191997,
    0xFF1D1D5A,
    0xFF222233,
    0xFF242325,
    0xFF242325,
    0xFF232428,
    0xFF232329,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF23232A,
    0xFF232428,
    0xFF212527,
    0xFF202527,
    0xFF271D2D,
    0xFF46114A,
    0xFF8E1A91,
    0xFFD121D4,
    0xFFE916ED,
    0xFFEE11F2,
    0xFFED12F0,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEB13EF,
    0xFFEC13EF,
    0xFFEE11F2,
    0xFFEE12F1,
    0xFFE21AE4,
    0xFFB21DB4,
    0xFF661466,
    0xFF361B36,
    0xFF272928,
    0xFF252D26,
    0xFF262C27,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF272B28,
    0xFF2A2A27,
    0xFF2D2926,
    0xFF292725,
    0xFF142E2E,
    0xFF176E6F,
    0xFF27C5C7,
    0xFF1BE7EA,
    0xFF0FEAEE,
    0xFF0FE9EE,
    0xFF11E9EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF12E8EE,
    0xFF11E8EE,
    0xFF10E9EE,
    0xFF0DEAEF,
    0xFF15EAEC,
    0xFF26D1D2,
    0xFF157978,
    0xFF122F2E,
    0xFF2D2524,
    0xFF332525,
    0xFF2F2727,
    0xFF2E2728,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2828,
    0xFF2E2728,
    0xFF2E2728,
    0xFF2B2727,
    0xFF272626,
    0xFF4D4E4E,
    0xFFB3B5B6,
    0xFFE9EBED,
    0xFFE9E9EC,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFE8E7EB,
    0xFFEEEDF0,
    0xFFD9D8DB,
    0xFF555456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF151598,
    0xFF1F1E5E,
    0xFF262534,
    0xFF272724,
    0xFF272725,
    0xFF272627,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF272629,
    0xFF262728,
    0xFF242827,
    0xFF242825,
    0xFF2B212C,
    0xFF491349,
    0xFF901990,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21AB2,
    0xFF671567,
    0xFF351B35,
    0xFF272628,
    0xFF252825,
    0xFF272727,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF282629,
    0xFF2A2627,
    0xFF2E2427,
    0xFF2A2325,
    0xFF152E2F,
    0xFF167070,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF157977,
    0xFF12302F,
    0xFF292424,
    0xFF2D2626,
    0xFF282828,
    0xFF262829,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262929,
    0xFF262728,
    0xFF242626,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636B,
    0xFF0A0A46,
    0xFF0A0991,
    0xFF1211DB,
    0xFF0F0FF4,
    0xFF0F0FF6,
    0xFF0F0FF2,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF100FF1,
    0xFF0F0FF3,
    0xFF0F0FF4,
    0xFF100FED,
    0xFF1211D1,
    0xFF161699,
    0xFF20205D,
    0xFF272634,
    0xFF292924,
    0xFF292924,
    0xFF292827,
    0xFF292829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF282928,
    0xFF262A26,
    0xFF262A26,
    0xFF2D212D,
    0xFF4A144A,
    0xFF901A8F,
    0xFFD31CD3,
    0xFFED10EC,
    0xFFF30CF3,
    0xFFF10CF1,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00EEF,
    0xFFF00DEF,
    0xFFF30CF1,
    0xFFF10DF1,
    0xFFE415E4,
    0xFFB21BB2,
    0xFF671667,
    0xFF351C36,
    0xFF272827,
    0xFF262A26,
    0xFF272928,
    0xFF282829,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF2A2728,
    0xFF2D2626,
    0xFF2A2426,
    0xFF152F2F,
    0xFF16706F,
    0xFF23C7C7,
    0xFF16EAEA,
    0xFF08EEEE,
    0xFF09EDEE,
    0xFF0AEDEE,
    0xFF0BECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0CECEE,
    0xFF0BEDEE,
    0xFF09EDEE,
    0xFF06EFEF,
    0xFF11EDED,
    0xFF24D2D0,
    0xFF167977,
    0xFF13302F,
    0xFF2A2524,
    0xFF2F2626,
    0xFF292828,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF29282A,
    0xFF272628,
    0xFF262527,
    0xFF4E4D4F,
    0xFFB6B5B6,
    0xFFEDECED,
    0xFFEDECED,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFECEBEC,
    0xFFF1F0F1,
    0xFFDBDADB,
    0xFF565456,
    0xFF181718,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B4,
    0xFFB7B7B2,
    0xFFB6B6AF,
    0xFF63636A,
    0xFF0A0A42,
    0xFF0A0989,
    0xFF1111CD,
    0xFF0F0EE6,
    0xFF0E0EE7,
    0xFF0E0EE3,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0FE2,
    0xFF0E0EE4,
    0xFF0E0EE6,
    0xFF0F0EDF,
    0xFF1111C4,
    0xFF15158F,
    0xFF1E1F59,
    0xFF252431,
    0xFF262622,
    0xFF262623,
    0xFF262625,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262626,
    0xFF242824,
    0xFF242724,
    0xFF2B202B,
    0xFF481447,
    0xFF8E198D,
    0xFFCE1CCD,
    0xFFE610E5,
    0xFFEC0CEB,
    0xFFEB0CEA,
    0xFFE90EE9,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90EE8,
    0xFFE90DE9,
    0xFFEC0CEB,
    0xFFEA0DEA,
    0xFFDD15DD,
    0xFFAD1BAD,
    0xFF641664,
    0xFF331B34,
    0xFF262626,
    0xFF232724,
    0xFF252725,
    0xFF262627,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF282526,
    0xFF2B2424,
    0xFF272324,
    0xFF142E2E,
    0xFF166F6F,
    0xFF23C4C3,
    0xFF14E4E4,
    0xFF08E7E8,
    0xFF08E7E7,
    0xFF0AE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0BE6E6,
    0xFF0AE6E6,
    0xFF08E7E7,
    0xFF06E8E8,
    0xFF0FE7E6,
    0xFF23CFCE,
    0xFF167876,
    0xFF122F2E,
    0xFF282322,
    0xFF2C2324,
    0xFF272526,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF262527,
    0xFF242325,
    0xFF4E4D4F,
    0xFFB5B4B5,
    0xFFE9E8E9,
    0xFFE6E5E6,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFE5E4E5,
    0xFFEBEAEB,
    0xFFD7D6D7,
    0xFF565456,
    0xFF181719,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B5,
    0xFFB7B6B5,
    0xFFB6B5B2,
    0xFF636468,
    0xFF0D0D28,
    0xFF0B0B47,
    0xFF100F68,
    0xFF0F0E75,
    0xFF0F0E75,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E72,
    0xFF0F0E73,
    0xFF0F0E74,
    0xFF0F0E71,
    0xFF100F64,
    0xFF11114B,
    0xFF161631,
    0xFF19191F,
    0xFF1A1918,
    0xFF1A1918,
    0xFF1A1919,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF191919,
    0xFF181A19,
    0xFF181A18,
    0xFF1B181B,
    0xFF231223,
    0xFF391238,
    0xFF4F134E,
    0xFF570F57,
    0xFF590E59,
    0xFF580E59,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF580E58,
    0xFF590E59,
    0xFF580E59,
    0xFF541055,
    0xFF441244,
    0xFF2D122D,
    0xFF1E151E,
    0xFF191919,
    0xFF181A18,
    0xFF191A19,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A1919,
    0xFF1B1819,
    0xFF1B1818,
    0xFF121A1A,
    0xFF112D2D,
    0xFF154949,
    0xFF115656,
    0xFF0C5858,
    0xFF0D5858,
    0xFF0D5858,
    0xFF0D5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0E5758,
    0xFF0D5858,
    0xFF0D5858,
    0xFF0C5858,
    0xFF0F5758,
    0xFF154E4D,
    0xFF113030,
    0xFF121A1A,
    0xFF1B1818,
    0xFF1C1818,
    0xFF1A1919,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF1A191A,
    0xFF191819,
    0xFF212021,
    0xFF3E3D3E,
    0xFF555455,
    0xFF585758,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF575657,
    0xFF595859,
    0xFF525152,
    0xFF232224,
    0xFF1A191A,
    0xFF7E7C7E,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB6B5B5,
    0xFF656366,
    0xFF121215,
    0xFF0F0F14,
    0xFF121119,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF12111A,
    0xFF121119,
    0xFF121117,
    0xFF121215,
    0xFF121213,
    0xFF131212,
    0xFF131212,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131113,
    0xFF141214,
    0xFF151215,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF161216,
    0xFF151215,
    0xFF131113,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF121213,
    0xFF121414,
    0xFF121515,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121616,
    0xFF121515,
    0xFF121314,
    0xFF121212,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF131213,
    0xFF151415,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF161516,
    0xFF151415,
    0xFF0F0E0F,
    0xFF1D1C1E,
    0xFF7F7D7F,
    0xFFBAB9BA,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB7B6B7,
    0xFFB5B4B5,
    0xFF828182,
    0xFF4E4C4E,
    0xFF4B4A4B,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4D4B4D,
    0xFF4A494A,
    0xFF545354,
    0xFF939193,
    0xFFB8B7B8,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB4B3B4,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB2B1B2,
    0xFFB4B3B4,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6,
    0xFFB6B5B6
};

/* ========================================================================== */
/*                       Static Function Definitions                          */
/* ========================================================================== */

/* None */

#ifdef __cplusplus
}
#endif

#endif /* #ifndef DSS_DISPLAY_BUFFER2_H_ */

/* @} */
