/*
 *  Copyright (C) 2018 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

/**
*  \file sciclient_firmware_V0-hs-enc.h
*
*  \brief File containing the Binary in a C array.
*
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                           Macros & Typedefs                                */
/* ========================================================================== */

#define SCICLIENT_FIRMWARE_SIZE_IN_BYTES (265561U)

/* ========================================================================== */
/*                         Structure Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                          Function Declarations                             */
/* ========================================================================== */

/* None */

/* ========================================================================== */
/*                            Global Variables                                */
/* ========================================================================== */

#define SCICLIENT_FIRMWARE { \
    0xc1068230U,     0xa9048230U,     0x010203a0U,     0x00090202U, \
    0xabc9f3b9U,     0x73190cd8U,     0x09060d30U,     0x8648862aU, \
    0x01010df7U,     0x3000050dU,     0x0b318b81U,     0x03060930U, \
    0x13060455U,     0x31535502U,     0x0609300bU,     0x08045503U, \
    0x4353020cU,     0x0d300f31U,     0x04550306U,     0x44060c07U, \
    0x616c6c61U,     0x30213173U,     0x5503061fU,     0x180c0a04U, \
    0x61786554U,     0x6e492073U,     0x75727473U,     0x746e656dU, \
    0x202c2e73U,     0x2e636e49U,     0x0a300c31U,     0x04550306U, \
    0x50030c0bU,     0x0f315542U,     0x03060d30U,     0x0c030455U, \
    0x626c4106U,     0x31747265U,     0x061a301cU,     0x48862a09U, \
    0x010df786U,     0x0d160109U,     0x65626c41U,     0x74407472U, \
    0x6f632e69U,     0x171e306dU,     0x3030320dU,     0x31373235U, \
    0x32383436U,     0x0d175a31U,     0x36303032U,     0x36313632U, \
    0x31323834U,     0x8b81305aU,     0x09300b31U,     0x04550306U, \
    0x55021306U,     0x300b3153U,     0x55030609U,     0x020c0804U, \
    0x0f314353U,     0x03060d30U,     0x0c070455U,     0x6c614406U, \
    0x3173616cU,     0x061f3021U,     0x0a045503U,     0x6554180cU, \
    0x20736178U,     0x74736e49U,     0x656d7572U,     0x2e73746eU, \
    0x6e49202cU,     0x0c312e63U,     0x03060a30U,     0x0c0b0455U, \
    0x55425003U,     0x0d300f31U,     0x04550306U,     0x41060c03U, \
    0x7265626cU,     0x301c3174U,     0x2a09061aU,     0xf7864886U, \
    0x0109010dU,     0x6c410d16U,     0x74726562U,     0x2e697440U, \
    0x306d6f63U,     0x30220282U,     0x2a09060dU,     0xf7864886U, \
    0x0101010dU,     0x82030005U,     0x30000f02U,     0x020a0282U, \
    0x00010282U,     0x49ae14bfU,     0xd3727fd8U,     0xebcd236bU, \
    0xdc650e48U,     0x0ef24d22U,     0xedf6824fU,     0xdbddf2b5U, \
    0x6efa917cU,     0xf7d5ff59U,     0x1d04deb6U,     0x95d2cc8aU, \
    0xc4e0d1d9U,     0xbf50f8c1U,     0x910c48ffU,     0x4c9a5022U, \
    0x96f38b7bU,     0xb326280aU,     0xa9e0d9a4U,     0xfb1a4155U, \
    0x6c275b3eU,     0x71c0cabfU,     0x22722fafU,     0x250146eeU, \
    0xc73ead62U,     0x18b1f604U,     0x12c02cb6U,     0x9be20f6eU, \
    0xa0a6e53eU,     0x034506a8U,     0x164e1741U,     0xd674a91fU, \
    0x79d64e84U,     0x11b810a7U,     0x1f920ea9U,     0xb17fdd25U, \
    0xf2b9d1f2U,     0x5933d868U,     0x777d824bU,     0xfa9cd1ccU, \
    0x58fbb423U,     0xeacdf288U,     0x2cf216d5U,     0x62fa2d75U, \
    0x6e09c1c3U,     0xe07006e0U,     0x990907b5U,     0xe4d6d962U, \
    0xc86d6ce7U,     0x93500782U,     0xedd8e2f7U,     0xd0e35fd1U, \
    0x5493cf9eU,     0x5ddd5fd9U,     0xf16037ceU,     0x048a14abU, \
    0xbaa7657bU,     0x4545df7fU,     0x5ba14b7cU,     0x94c64eaeU, \
    0x874e8c3dU,     0xa43c94d2U,     0xfcda9ff3U,     0xe77c36f2U, \
    0x425aad0dU,     0x812af137U,     0xa7a16ed0U,     0x871e0367U, \
    0x73bb00edU,     0x3128684aU,     0xa39a82a2U,     0x87e8c104U, \
    0xaa7e45ffU,     0x3bd49fc1U,     0xfd83c705U,     0xbdfe7121U, \
    0x16c9387fU,     0xe60e5219U,     0x1d8d3303U,     0x1c36c91eU, \
    0x829d4ecdU,     0x9bcd8829U,     0x5f6cbe2aU,     0x3ab2b27bU, \
    0x7d6a0079U,     0x9d1aadf5U,     0x2a58cd1eU,     0x4ef45ecfU, \
    0x4f3bab80U,     0xded4f8ddU,     0x20c4a234U,     0x2d1959d9U, \
    0x1f5e0285U,     0x8d4cb168U,     0xe90611b9U,     0x58b5762dU, \
    0x37a8508cU,     0x6f78666eU,     0x4d463083U,     0x18b49f34U, \
    0xfabbb94aU,     0xd6aec57bU,     0x84841032U,     0x809a3f6cU, \
    0x4dfc3533U,     0x606ed5bcU,     0x7ecf5054U,     0x0497806dU, \
    0x200b8ffaU,     0x2b98bdfdU,     0x59bd37a1U,     0x45ec4afdU, \
    0x178b09a1U,     0x331472c9U,     0x125e05b7U,     0x1d5ae25dU, \
    0xf65421ceU,     0x55d5eae1U,     0x4deb27aaU,     0x4019df09U, \
    0x89662e82U,     0x6ed96517U,     0x4e38d6b3U,     0xd616618dU, \
    0x16ded474U,     0xd519515fU,     0xd283b842U,     0xa94bdec8U, \
    0x8db69769U,     0x00010302U,     0x0182a301U,     0x01823024U, \
    0x060c3020U,     0x131d5503U,     0x03300504U,     0x30ff0101U, \
    0x2b090612U,     0x01040106U,     0x03012682U,     0x03300504U, \
    0x30000102U,     0x2b090660U,     0x01040106U,     0x22012682U, \
    0x51305304U,     0x86600906U,     0x03650148U,     0x04030204U, \
    0x22ab3f40U,     0x6ae44c63U,     0x9cdb0edbU,     0x173ba452U, \
    0x24b3ee3dU,     0x590726ecU,     0x1be6b402U,     0xe1488472U, \
    0x94046658U,     0x3a1ddc6aU,     0x1b210f22U,     0xe95c6c2bU, \
    0x75412eddU,     0x520c5d1fU,     0x4d884105U,     0xc0de2f74U, \
    0x060202bcU,     0x06183094U,     0x01062b09U,     0x26820104U, \
    0x0b042301U,     0x04040930U,     0x00000400U,     0x30010102U, \
    0x2b090622U,     0x01040106U,     0x01012682U,     0x13301504U, \
    0x02030102U,     0x01020001U,     0x00040400U,     0x02000004U, \
    0x30940602U,     0x2b09065cU,     0x01040106U,     0x02012682U, \
    0x4d304f04U,     0x86600906U,     0x03650148U,     0x04030204U, \
    0x22ab3f40U,     0x6ae44c63U,     0x9cdb0edbU,     0x173ba452U, \
    0x24b3ee3dU,     0x590726ecU,     0x1be6b402U,     0xe1488472U, \
    0x94046658U,     0x3a1ddc6aU,     0x1b210f22U,     0xe95c6c2bU, \
    0x75412eddU,     0x520c5d1fU,     0x4d884105U,     0xc0de2f74U, \
    0x060d30bcU,     0x48862a09U,     0x010df786U,     0x00050d01U, \
    0x01028203U,     0xbdb86c00U,     0x6bbd2714U,     0xeb031e64U, \
    0x90eb61c2U,     0xd07b61a3U,     0x32a4cad2U,     0xa0a0082aU, \
    0x3b5c830fU,     0x730357e0U,     0x9e3fe86fU,     0x4c725010U, \
    0xb3cb91d9U,     0x2faadc82U,     0xfc02d4baU,     0x58d4ac92U, \
    0x66ecbb67U,     0x411095daU,     0xb5fcd79cU,     0x363ec78fU, \
    0x191db6d4U,     0x270e0044U,     0xaba212beU,     0x3f6b1740U, \
    0x919380f2U,     0xb098f863U,     0x5ee5f4d7U,     0xbe0ee922U, \
    0x946327c5U,     0x21f2af13U,     0xd4d06a82U,     0x8549563fU, \
    0xbe88cd00U,     0x53c78ffbU,     0x78b611b0U,     0x538a8f10U, \
    0xb7ea7305U,     0x84164f75U,     0x2b7ead75U,     0x12af109aU, \
    0xe0615505U,     0x91026e0aU,     0x90c651b8U,     0xa5ccd590U, \
    0x3ceb5b1cU,     0xc5644256U,     0xcf348729U,     0x75409684U, \
    0x789d715bU,     0x831c5418U,     0x33645dddU,     0xee4bb1c7U, \
    0xd519eae7U,     0xd82a41dfU,     0x807ce9d4U,     0x776fb395U, \
    0xf020e1b2U,     0xc94ac411U,     0x9fcd7cc2U,     0xa92d3507U, \
    0x9cadb9c6U,     0x97d0a807U,     0x80ed1a4cU,     0x0e94cb90U, \
    0x705283e7U,     0x5ae06cd2U,     0x3d9ac075U,     0xbedb26aaU, \
    0xe98a8c1bU,     0x2457bd49U,     0xe5fe6d20U,     0x27a18c6eU, \
    0x4fa96452U,     0x5ff5acdaU,     0x0d6440b0U,     0x8ca55b4aU, \
    0x0584722eU,     0xf8c07e3dU,     0xa38475e5U,     0xf95f99eeU, \
    0xa89881a7U,     0x41723bcaU,     0xc7f65f26U,     0xf1843fa3U, \
    0x7efb03f7U,     0xf3bf7b61U,     0x30cae54dU,     0xe734aab3U, \
    0xffde5d09U,     0xb5852278U,     0x13e13ce3U,     0x58c40b1eU, \
    0x4d6117cfU,     0xcb3c9aa7U,     0x13c95420U,     0xf2cc06e6U, \
    0xcd8ccd13U,     0x875295c2U,     0xc2cba9b7U,     0x62362f3fU, \
    0x8b7e44bbU,     0x06c38115U,     0x2e500c9bU,     0x369f8915U, \
    0xdd695433U,     0x63be13f7U,     0x3ff6f388U,     0xcf22a5fbU, \
    0xb4419930U,     0x8f07fadfU,     0xdf0b06a1U,     0x352f94a9U, \
    0xa2631857U,     0xb946c72dU,     0x061ec2b5U,     0x46770c4cU, \
    0x95dcd0e0U,     0xb6073b05U,     0x60240ac2U,     0xa9f31945U, \
    0xf5578a4bU,     0xf3d40ee9U,     0x477ecafeU,     0xc3aed020U, \
    0x7710732fU,     0xdc092216U,     0x1dfb363dU,     0xaaa5dfd7U, \
    0xf87cb504U,     0x06823086U,     0x04823090U,     0x0203a078U, \
    0x09020201U,     0x9f6cd000U,     0xbff44021U,     0x060d307bU, \
    0x48862a09U,     0x010df786U,     0x00050d01U,     0x318b8130U, \
    0x0609300bU,     0x06045503U,     0x53550213U,     0x09300b31U, \
    0x04550306U,     0x53020c08U,     0x300f3143U,     0x5503060dU, \
    0x060c0704U,     0x6c6c6144U,     0x21317361U,     0x03061f30U, \
    0x0c0a0455U,     0x78655418U,     0x49207361U,     0x7274736eU, \
    0x6e656d75U,     0x2c2e7374U,     0x636e4920U,     0x300c312eU, \
    0x5503060aU,     0x030c0b04U,     0x31554250U,     0x060d300fU, \
    0x03045503U,     0x6c41060cU,     0x74726562U,     0x1a301c31U, \
    0x862a0906U,     0x0df78648U,     0x16010901U,     0x626c410dU, \
    0x40747265U,     0x632e6974U,     0x1e306d6fU,     0x30320d17U, \
    0x36323530U,     0x34313032U,     0x175a3932U,     0x3030320dU, \
    0x32353236U,     0x32343130U,     0x81305a39U,     0x300b318bU, \
    0x55030609U,     0x02130604U,     0x0b315355U,     0x03060930U, \
    0x0c080455U,     0x31435302U,     0x060d300fU,     0x07045503U, \
    0x6144060cU,     0x73616c6cU,     0x1f302131U,     0x04550306U, \
    0x54180c0aU,     0x73617865U,     0x736e4920U,     0x6d757274U, \
    0x73746e65U,     0x49202c2eU,     0x312e636eU,     0x060a300cU, \
    0x0b045503U,     0x4250030cU,     0x300f3155U,     0x5503060dU, \
    0x060c0304U,     0x65626c41U,     0x1c317472U,     0x09061a30U, \
    0x8648862aU,     0x09010df7U,     0x410d1601U,     0x7265626cU, \
    0x69744074U,     0x6d6f632eU,     0x22028230U,     0x09060d30U, \
    0x8648862aU,     0x01010df7U,     0x03000501U,     0x000f0282U, \
    0x0a028230U,     0x01028202U,     0xb8a5e800U,     0x712b57fcU, \
    0x885d28daU,     0x06363cd4U,     0x9d0de888U,     0x1f460273U, \
    0x4a9929a9U,     0xc4bf55bcU,     0x060082c6U,     0xab52e6feU, \
    0xa64cf3acU,     0x68cc2cb2U,     0x2afd8a84U,     0xc8457883U, \
    0x60df169eU,     0xd27f0dceU,     0x9db0c04bU,     0x6f91b9d1U, \
    0x9c5445ccU,     0x488e9715U,     0x327371f6U,     0x77ae10daU, \
    0xdabdccbdU,     0xc014589dU,     0x6ed68a38U,     0x1bcb5531U, \
    0x8e56c636U,     0xe9480ecfU,     0xa35a1922U,     0xb43536f5U, \
    0xd8eaa55dU,     0xc47360ecU,     0x87b5f595U,     0x599eae3bU, \
    0x5e292886U,     0xa7f99a49U,     0x7ef45e0eU,     0xe07ccc8bU, \
    0x21d2accaU,     0x3842843cU,     0x7a6642a7U,     0xcd1c3956U, \
    0xdc341086U,     0xa4672084U,     0x0f428bcdU,     0x2ec663cdU, \
    0x148d0997U,     0xc9c18e0bU,     0x69f504d9U,     0x5a73438eU, \
    0x6c993bf1U,     0xad37d137U,     0xcf3e874cU,     0xcd5ddbe1U, \
    0x6284b39eU,     0x39b02458U,     0xe3a8014dU,     0xe39fcea0U, \
    0x201f76a9U,     0x5b468152U,     0x5a6a6388U,     0xb2b931e0U, \
    0x5b988c99U,     0x1ec8b43eU,     0x2998f935U,     0x2346d21dU, \
    0x0a14a0ddU,     0x0af2325aU,     0xff36a434U,     0x1d1bd3b9U, \
    0xad3100cbU,     0xc5208f29U,     0xf700c4f1U,     0x0c520332U, \
    0xbc7d1decU,     0xf0fa3b78U,     0xefbd8d38U,     0x3fe0301fU, \
    0xf9d3eda9U,     0x008d540aU,     0x10fb885dU,     0xc2e9dfb0U, \
    0x6da3043dU,     0xc54aef39U,     0xafcb1635U,     0x2a153c1bU, \
    0x00746a85U,     0x2fdd85f3U,     0x03c2a1cbU,     0xd0be1bc2U, \
    0xea04b2cfU,     0x5ffed901U,     0x3d3ff0f7U,     0x18919c9aU, \
    0x87c4cba2U,     0x3b1feb78U,     0x68f2d69dU,     0x6fab9fcaU, \
    0xc5eff067U,     0xf60aa9b2U,     0x4846cb97U,     0xe53ba41eU, \
    0x48525f42U,     0xc2e511c8U,     0x784e6ce1U,     0x311799f8U, \
    0x2e744e97U,     0x7e379284U,     0x0cb50ed5U,     0xfef680b3U, \
    0x91f03d9eU,     0x52dc0c94U,     0x87705ae1U,     0x4d96ba5bU, \
    0xf7c019bbU,     0xdee65bfbU,     0xea62135cU,     0x3e2d785dU, \
    0xb7be253bU,     0x281067f2U,     0xa396ddd0U,     0x3b17a942U, \
    0x9e8794a2U,     0xed94e25cU,     0x2098424cU,     0x3c273cf7U, \
    0xd64c839cU,     0xbdf54b35U,     0x0103029dU,     0x81a30100U, \
    0xf18130f4U,     0x03060c30U,     0x04131d55U,     0x01033005U, \
    0x2330ff01U,     0x062b0906U,     0x82010401U,     0x04010126U, \
    0x02143016U,     0x01020201U,     0x00010200U,     0x04000404U, \
    0x03020000U,     0x30000004U,     0x2b09065cU,     0x01040106U, \
    0x02012682U,     0x4d304f04U,     0x86600906U,     0x03650148U, \
    0x04030204U,     0xcddaa540U,     0xed786d84U,     0xeb55843aU, \
    0xd25a41e3U,     0x9c37f2a5U,     0x634cc1abU,     0x4f0fd5eeU, \
    0x66d152b5U,     0xd07ae825U,     0xd147efd3U,     0x2311b156U, \
    0xaefa3666U,     0x8bede164U,     0x1616a808U,     0x8864637cU, \
    0xe2fdb3faU,     0x06123087U,     0x01062b09U,     0x26820104U, \
    0x05040301U,     0x01020330U,     0x064a3000U,     0x01062b09U, \
    0x26820104U,     0x3d040401U,     0x10043b30U,     0x3921cc47U, \
    0x9a9993b4U,     0x20ecc2b7U,     0x6a0fab44U,     0x32b82004U, \
    0x713fd700U,     0x51567b8bU,     0x981db34fU,     0xbd617590U, \
    0x92ac0c3cU,     0x18f4893eU,     0x8a8095a5U,     0x01029fabU, \
    0x00020400U,     0x060d3000U,     0x48862a09U,     0x010df786U, \
    0x00050d01U,     0x01028203U,     0x4f4b6700U,     0x19277745U, \
    0xbbaee1d9U,     0x80bb12cbU,     0xbe996d0eU,     0x1af7a363U, \
    0x5b536224U,     0x99b588e8U,     0xd3ce8bacU,     0x2116058fU, \
    0x15a1d0e9U,     0x69d2c7a3U,     0xa605cd80U,     0x8ae5442fU, \
    0x24831a15U,     0x84e863dfU,     0x3cac1b7dU,     0x0f7fa5c0U, \
    0xa92f5205U,     0xfea95331U,     0xd3ff7eadU,     0xc3ece291U, \
    0x0bb34c25U,     0x9b44679bU,     0x35c38b3fU,     0xfbc29c9dU, \
    0x41c2bb7eU,     0x9f0fcf53U,     0xfccbec62U,     0xf8a07738U, \
    0xdd3278d7U,     0x243e71c8U,     0x7255a37dU,     0xcbdfc0daU, \
    0x8cb29f54U,     0x270eb81aU,     0x50d3c8d0U,     0x93febbb2U, \
    0x2d000dd8U,     0x8fdcad21U,     0x3b24a61bU,     0x9957c775U, \
    0xfcaa6d2eU,     0xcc9864cbU,     0x36675b2aU,     0x7ccaf015U, \
    0x3d5a58e3U,     0x475d5b97U,     0x513c91e0U,     0xee5653a2U, \
    0x352bdbd5U,     0xec816f6eU,     0xdc929716U,     0x2c0660f3U, \
    0x11722279U,     0xa7d8a0f6U,     0x12cd8d9cU,     0x1e4f7f72U, \
    0x20eebb1eU,     0x0f619ed2U,     0xd4c9d19cU,     0xd06f5a55U, \
    0x72235af4U,     0x47b04cc3U,     0xbb6932c9U,     0xfb56e03eU, \
    0x6d95a24eU,     0x72812701U,     0x0e0728c7U,     0x8894de83U, \
    0xcb8c9183U,     0xde4f51c5U,     0x6004706cU,     0x6cb4cb01U, \
    0x3afcb768U,     0x2cdb516dU,     0xa4b4dc27U,     0x2bbb9dc7U, \
    0xd9635722U,     0x99a6bb9eU,     0x663f148fU,     0x8d735799U, \
    0x018d7d9aU,     0x979a51a1U,     0x9e6dd073U,     0xf853460dU, \
    0x978ab6deU,     0x9aab1826U,     0x11eaaa2eU,     0x13fdf9ddU, \
    0x86140013U,     0x91eaf959U,     0xfe8b65d6U,     0xe5c70184U, \
    0xda572ad6U,     0x84e47ae3U,     0x6387a391U,     0x05fa3cb9U, \
    0xee6c316bU,     0xdde7f7feU,     0x5f4f2663U,     0x2bca5863U, \
    0x2cadedb9U,     0x24f8f6fbU,     0xd1404adcU,     0xc743426fU, \
    0xbf686ca3U,     0x62c653c0U,     0x764a7a02U,     0x2f735549U, \
    0x2855107eU,     0x52cd9b14U,     0x0d89c2cbU,     0x9f101ee0U, \
    0xdaf98ca3U,     0x61f207e6U,     0x7726e92aU,     0x65b39874U, \
    0x4cf0b766U,     0x9fef06e2U,     0xee3adf7bU,     0x33071ffaU, \
    0x57feec11U,     0x8a09d0f7U,     0x632ef2f5U,     0xe350194fU, \
    0x0f6052deU,     0x94527491U,     0xe02853b0U,     0x69fa0cd3U, \
    0xae70cb95U,     0x6b390504U,     0x9b2a8605U,     0xe73bf283U, \
    0x1ea8eef7U,     0xec750654U,     0x5d4b9d8aU,     0x4fb8fcfaU, \
    0x880976a6U,     0xd906175dU,     0x8d5ef8e0U,     0xe068c8aeU, \
    0x44283516U,     0x0d192f82U,     0xfe344624U,     0x73922f0cU, \
    0x9e9d4a53U,     0x8561fb11U,     0x2525b1f4U,     0x053e7b36U, \
    0x605761ffU,     0x8654402fU,     0xfd95e7adU,     0x6ed45a5dU, \
    0x23f20a71U,     0xde865d45U,     0x1e74cc52U,     0x10964002U, \
    0x7b57533dU,     0x09fe5dbeU,     0x447e31c5U,     0xd9caf2fbU, \
    0xa20875dcU,     0x2c62c4d3U,     0x867f266bU,     0x42baf6feU, \
    0xcc6a5abeU,     0xab966a72U,     0xa0d46528U,     0x135c596aU, \
    0x801cb376U,     0xbde28c4bU,     0x411cd589U,     0xce140509U, \
    0x7ab4dbd1U,     0x58c665fbU,     0xbf8359d9U,     0xc807543dU, \
    0x97144463U,     0x9365130fU,     0xdff89737U,     0xa3701e59U, \
    0xf9bc79ccU,     0xf3de2865U,     0xff4cdb36U,     0xe2ac71deU, \
    0x5a288ef5U,     0xe07d15caU,     0x4fd75f76U,     0xd7184062U, \
    0x2806efe8U,     0xfe6df845U,     0xffad916dU,     0x1a79c3baU, \
    0xa37c6dc7U,     0x913a512aU,     0x0e97344bU,     0xa0b12cd3U, \
    0x564a3945U,     0x0ddef9f2U,     0x74d987e2U,     0xa0b1038aU, \
    0x27e0c901U,     0xc1f34479U,     0x724e761dU,     0x24e7f89aU, \
    0xbeef6342U,     0xaa2f27dbU,     0x454ce52fU,     0x81381bc1U, \
    0x41249ac6U,     0x49cecf15U,     0x74566e44U,     0x4cd0d1f6U, \
    0x55f368b4U,     0xb333ecc7U,     0xaabaff8bU,     0x81a88236U, \
    0xfa234514U,     0x1486b61cU,     0x76c64343U,     0x2b48a5dbU, \
    0x3a242aa8U,     0xd9691610U,     0xb98d0c22U,     0xe92d705aU, \
    0x55ba9d10U,     0xc17fc5ccU,     0x13bf9e7eU,     0xfb8e596fU, \
    0x75c6059cU,     0x17c95c7aU,     0x66a58497U,     0xb19d5606U, \
    0x10e0e2adU,     0x3f52a71cU,     0x6a674f15U,     0x8c1a7ee9U, \
    0x1c0d7105U,     0xcb205b6dU,     0xb4633996U,     0x1980eb01U, \
    0x7bd10374U,     0xd3a3c852U,     0xad85a0ffU,     0x64404325U, \
    0xd249bf0aU,     0xe8ace7afU,     0xf8013c12U,     0xfd51f3deU, \
    0x4dcf292bU,     0x286d0144U,     0xbf6ef586U,     0x086dfcd7U, \
    0x4acc1aa0U,     0xd40c1d5dU,     0xa679e703U,     0x051034d4U, \
    0x14ae397aU,     0x7d40b9ffU,     0x59d32861U,     0x59c0d4faU, \
    0xe6ba12a7U,     0x54eaf7e3U,     0x630e5de4U,     0x378eb345U, \
    0x323b2cc1U,     0xf055b1fdU,     0x078aed03U,     0x1b8fd944U, \
    0x51c04ba4U,     0xa59a8195U,     0x460938faU,     0x5c052661U, \
    0xa829788dU,     0x4da83637U,     0x5c19c579U,     0xbbc6249bU, \
    0x6c59803eU,     0xb67e8728U,     0x28271217U,     0x1a5dd2beU, \
    0xe20b17b4U,     0x9609e592U,     0x80e8a3eaU,     0x12f06906U, \
    0x333b596aU,     0xc29ff3cfU,     0xb4bb84d6U,     0x23c7af50U, \
    0x0939400eU,     0xb9801b64U,     0x1875594cU,     0x54705dbcU, \
    0xaa30635cU,     0xe3019522U,     0x2f02cc43U,     0x0ccfdd16U, \
    0x35ae3cbdU,     0x479ab714U,     0x71816a7aU,     0x02a5b9beU, \
    0xc4e3a315U,     0x422591b1U,     0xff7821fbU,     0x449247c8U, \
    0xc4d5d6a1U,     0xe50333e3U,     0x5fff95a4U,     0x000f1ed0U, \
    0x3ad3f45bU,     0x630bb16fU,     0xd174f011U,     0x6bdfca2bU, \
    0xff7c921bU,     0x4ad0b24bU,     0xbe1083a2U,     0xb70ddf23U, \
    0x4dabe998U,     0x45c4791cU,     0x0e74bcd0U,     0xb1261f44U, \
    0x48b71feaU,     0x8c4e786bU,     0xf347c274U,     0x4c69b332U, \
    0x51ae91d3U,     0xbfa06771U,     0x786613c6U,     0x711ef340U, \
    0xdf92c615U,     0x06f04a0bU,     0xd88f2ca6U,     0x4b43117eU, \
    0xfae32dc7U,     0x9ed926a6U,     0xe805b486U,     0xb7cd6414U, \
    0xa409742fU,     0x162feecdU,     0x9c8fe054U,     0xd887c33dU, \
    0x02e88f4eU,     0x33ac0c58U,     0xbfc14eb9U,     0xafbd9f57U, \
    0x305d2a9fU,     0x2eea67efU,     0xe7d2903eU,     0x355bf891U, \
    0x2ae3a62dU,     0x9615f1f9U,     0x2cd624d7U,     0x102d9819U, \
    0x638fd19cU,     0xea5d257aU,     0xd5f08b83U,     0x86de5333U, \
    0x801b8937U,     0x64f384dbU,     0x7b5f16e8U,     0xaa0e53fdU, \
    0xa11ed4a1U,     0xc100a6c7U,     0x4fa8a5a2U,     0xe575d1a2U, \
    0xf4c871fdU,     0x4060319eU,     0x60ca344dU,     0x7cea0a30U, \
    0x1d35d5a8U,     0x1830a9feU,     0x5a33e795U,     0x86e9b049U, \
    0x1a7c5385U,     0x564fbb92U,     0xb1cad421U,     0xbde9cb86U, \
    0xcc09fcd9U,     0xeaadd8a8U,     0x0f55ce5aU,     0x3b9fba25U, \
    0x47fd9b48U,     0xe3de146eU,     0xf4df2ac8U,     0x19e0b85bU, \
    0x3e49b035U,     0xc2a46ae9U,     0x4e555e20U,     0x96fe267dU, \
    0x9b18677aU,     0x4cd118d4U,     0xfacadb65U,     0xa6fd84cfU, \
    0x41d78715U,     0x5eaed196U,     0x1aa6dbf0U,     0x9382e88fU, \
    0x2a1ac739U,     0x126587afU,     0xc1685054U,     0xaca3e2bfU, \
    0xe5787be3U,     0xcbe8cc70U,     0x3bf1134eU,     0x4dfff8daU, \
    0x4c79a008U,     0x3820b060U,     0x58699c93U,     0xe9923d9cU, \
    0xc5ea6195U,     0x164d952aU,     0x944b243dU,     0x6847ae46U, \
    0xd1f98316U,     0x70aa35b2U,     0xdd9f8160U,     0x43c16866U, \
    0xf1ad8b31U,     0x11dbcb1cU,     0xadcbe1b9U,     0x017bbda8U, \
    0xe921bca2U,     0xe701dbccU,     0x42dfcf60U,     0x53dd66efU, \
    0x20854338U,     0x7b4926dcU,     0xd85fff74U,     0x7c38d01eU, \
    0xf67d9526U,     0xa2cde312U,     0x8ef873cfU,     0x3930cf49U, \
    0x57807542U,     0x05f87074U,     0x030a2236U,     0xdc11c8bdU, \
    0xe7b6a103U,     0x13fe9c8bU,     0x6f87c073U,     0x97cc9736U, \
    0x6b751a21U,     0x7d1a8ff7U,     0xdc473144U,     0xa63895c5U, \
    0x338f3813U,     0x1c9b5cd5U,     0xffd684cbU,     0x124054d7U, \
    0xfb3e2586U,     0x78b43ea9U,     0x6751836eU,     0xcc0f30b2U, \
    0x97b96f6aU,     0x1592576aU,     0xdbddcc7eU,     0xe9148243U, \
    0x82baf835U,     0x09cc87dfU,     0xac2da7e9U,     0xa98b69ffU, \
    0x034018f6U,     0xf343d820U,     0xa637f17bU,     0xcdcb408dU, \
    0xdc6fa67dU,     0xb30a3206U,     0x29dcfb84U,     0x609db5edU, \
    0x233992adU,     0x83fd582aU,     0x2f1f1a0fU,     0xfd058542U, \
    0x705bc3feU,     0x7bbdf613U,     0xc740078fU,     0xd6854191U, \
    0x2c2f6902U,     0x54ce16f5U,     0x6c561740U,     0x96be8025U, \
    0x9821f0e1U,     0xd4404137U,     0xe2c1e1b4U,     0x4bac74fdU, \
    0x585ec5b9U,     0x5025edddU,     0x0f381174U,     0x78e197c3U, \
    0xa76043f9U,     0x42eb739eU,     0x962d9774U,     0xad8d94cdU, \
    0xed41e761U,     0x6cdd23e1U,     0xd69e194cU,     0xd014ffedU, \
    0xe1bee34aU,     0x0b663665U,     0xbeb89a08U,     0x7b10ff93U, \
    0xa97ab9caU,     0x6bea4254U,     0x6d25f82cU,     0x83a6ffc4U, \
    0x0b87d110U,     0x025216bdU,     0xbca6b438U,     0xc229adbfU, \
    0xc07fe85fU,     0x28ce0d93U,     0xbf053f59U,     0xba9b04a3U, \
    0x2273eef5U,     0x5a1517b2U,     0x2feffac0U,     0xda64b206U, \
    0x87f842b1U,     0x7d76f3feU,     0x0fa14d41U,     0x5e113f79U, \
    0x815a0027U,     0x8d0842bcU,     0x6d7843b6U,     0x6668d283U, \
    0xb8d995b0U,     0x6ad33471U,     0x8575a97fU,     0x3e6f1f06U, \
    0x97594b4aU,     0xa2e9d96dU,     0x69cf85aeU,     0x045e18ccU, \
    0x61f74758U,     0x53081e54U,     0xdb7e4486U,     0x781d3f02U, \
    0x28cfca5eU,     0x51611013U,     0x9bf1dc5aU,     0xa54760f8U, \
    0x886a8cd3U,     0x6bc4ff30U,     0x423e8afeU,     0xe63431beU, \
    0x6280cae3U,     0xdc1fc102U,     0x0b736513U,     0x2e0417c4U, \
    0x735849c3U,     0xab4ec83dU,     0x20a51e65U,     0xd1850ac5U, \
    0x59bce5feU,     0x97bf8044U,     0xd4904290U,     0xea959587U, \
    0xb38fa453U,     0xd21aeea0U,     0x2943beb2U,     0xc9f86766U, \
    0x4990b58eU,     0x2f66b631U,     0x72888cb5U,     0xb1a48be2U, \
    0x5fef807dU,     0xf35106d8U,     0x77bae3e2U,     0xf9d25340U, \
    0x0b3c911dU,     0xc00add41U,     0x65d65984U,     0xded068a5U, \
    0x57e942e9U,     0x7f95bb5fU,     0x9bfd0c4fU,     0x8814a46fU, \
    0xb82bd4adU,     0x3a740b5dU,     0x32ea789fU,     0xad6107e1U, \
    0xa0ee2bd7U,     0x061c46a1U,     0x298b8f9bU,     0x3519e5b6U, \
    0x7431f3bcU,     0x7c47c2abU,     0x9e7d079dU,     0x8b43a3ceU, \
    0x01ab30d8U,     0x03c271e7U,     0xe67239acU,     0x3c876da9U, \
    0x8293b60dU,     0x2bb8b668U,     0x79e6f1dcU,     0x4ed069b0U, \
    0xe3caaf49U,     0xe0a4a40cU,     0xc35bb4c6U,     0x21ae507eU, \
    0x7085c983U,     0x0475810dU,     0x23e20966U,     0x0b8288e8U, \
    0x8b99d42aU,     0x3df0f344U,     0xf99f8e8aU,     0xf0faa2c4U, \
    0x92343827U,     0x5fec17c5U,     0x94eec2cfU,     0x32b8c760U, \
    0x45b09eddU,     0x1ad1a416U,     0x5d7ce1b0U,     0x709f8e0aU, \
    0x8bdfa58bU,     0x025922e9U,     0xf15dc2e3U,     0xacfb05a8U, \
    0x814046a0U,     0x4f1c7daaU,     0x36beaaeaU,     0x0364834cU, \
    0x0288b97bU,     0xe7bdfd7fU,     0x07ecae13U,     0xb8886383U, \
    0x8f67f42eU,     0x1e787782U,     0x9c0d26eeU,     0x1ba04d42U, \
    0x7bd82609U,     0x831e7d24U,     0x315b5ca3U,     0x37ae630eU, \
    0x734e204aU,     0x3ba60bbdU,     0x6ab4cf40U,     0x7626281fU, \
    0x68fcee5cU,     0x33dbbefaU,     0xe30999d0U,     0x178ffc5bU, \
    0xb05b12ebU,     0x47455211U,     0xc10b4e8cU,     0xe206425cU, \
    0x8bfaa523U,     0x68fe1c21U,     0x4ce662c1U,     0xb05234a4U, \
    0x7124197eU,     0xf46cbd7bU,     0x4073d98eU,     0xd578c323U, \
    0xc6b19528U,     0xddb9f83cU,     0xf1a4acddU,     0x4fe3d0d3U, \
    0x37c566feU,     0x1d373018U,     0xaa414c32U,     0x6ed3752cU, \
    0xb9db6606U,     0xaca6c81cU,     0x6dbe366dU,     0xa42bb49eU, \
    0xd6f7cea7U,     0xe20ca1d6U,     0x66a6fcfbU,     0x3426b164U, \
    0xbe246a0dU,     0x30e6d97cU,     0x85c6f9e3U,     0x0db07013U, \
    0x6035a58fU,     0x81ffd881U,     0xc3878744U,     0xbf5fce5dU, \
    0x413c7000U,     0xc61c437cU,     0xd0795d52U,     0x7be80033U, \
    0x2127a705U,     0x3882cd01U,     0x49f4ae6dU,     0xab0886f7U, \
    0xc389d644U,     0xc2625a7aU,     0x81367aa1U,     0xacf70eb3U, \
    0x286cea6fU,     0x60887361U,     0x69373e67U,     0xb36640a1U, \
    0x7bfcbadeU,     0xf708433cU,     0x0db172b0U,     0x6bf220b9U, \
    0xfec9ba8fU,     0x53ae95ddU,     0x02ad30acU,     0x5c47c0c6U, \
    0xab65b6ceU,     0xfca3ebf0U,     0x8f4db4deU,     0x0c699cacU, \
    0x5a1c191fU,     0xa6f63f80U,     0x9793500bU,     0x3cea6b5fU, \
    0xca04eea9U,     0xacd8b579U,     0xdcc86792U,     0x2e6a1ae3U, \
    0x3919dfccU,     0x1974a766U,     0x8fdb6b25U,     0x374daf0dU, \
    0x2b74f7f0U,     0x562141cbU,     0x7e49781cU,     0xa120458eU, \
    0x8e29d19eU,     0x496baa95U,     0x1e99c5cdU,     0xd9773125U, \
    0x0b59ef59U,     0xfc817b90U,     0x6adbfb98U,     0xf402b06cU, \
    0xa469bd7fU,     0x0fec5e55U,     0x9dc8c528U,     0x9f63704bU, \
    0x043fd469U,     0x2f07b553U,     0x3244ba5cU,     0x47bc2206U, \
    0x7579cb29U,     0x36c70304U,     0xefe38e45U,     0x4a16d866U, \
    0x8027067cU,     0xcec54790U,     0xc0aec795U,     0xfac3419cU, \
    0xc64ab429U,     0x33d43930U,     0x3646959aU,     0x0fc0e788U, \
    0x22e1961fU,     0xe3e27237U,     0x8c7e2eb9U,     0x900b2e9aU, \
    0x9db2c2bbU,     0xe06870e0U,     0x2b1caa57U,     0x5752f022U, \
    0x1612fe49U,     0xc1a2800aU,     0x04770454U,     0xf667e521U, \
    0x5cd143d5U,     0xf7660648U,     0x838bdfedU,     0x5d416936U, \
    0x0de97540U,     0x60e7a2acU,     0x08f24842U,     0xb7469db4U, \
    0x0ffb2655U,     0x9f0fdc1fU,     0x53a6a109U,     0x9e98aaaeU, \
    0x8e037dbeU,     0x9566996bU,     0xbc1a816aU,     0x801f08f5U, \
    0x9b6de613U,     0x83b49ec9U,     0x975b7881U,     0x81690924U, \
    0xac5d2819U,     0xef460489U,     0x54839956U,     0x46020150U, \
    0x2b09d58dU,     0xc953c83aU,     0xb9b4e6cdU,     0xa33319c1U, \
    0x7b70aa64U,     0x576106b2U,     0xaa9ec045U,     0x52924833U, \
    0x6e2890f5U,     0xe6da35d4U,     0xc31b6bbeU,     0x015048a1U, \
    0xd45ad384U,     0x09011667U,     0x1ef03b14U,     0xd3bd33b5U, \
    0xcffa1c8dU,     0x3e3e60a0U,     0x35d37958U,     0x73482cadU, \
    0x3f0ce56eU,     0x14956e78U,     0x5684c3e9U,     0x0cf08d0bU, \
    0x6dd57444U,     0xc6567be9U,     0x9d3f47f2U,     0xf2246c73U, \
    0xb2b24ef3U,     0xc37dd4eaU,     0x59cfccfdU,     0xa2e45d9eU, \
    0x7a28a29dU,     0x752d5249U,     0x072f01e7U,     0x2beee37bU, \
    0x79fbb648U,     0x25d5475fU,     0xb3ac62c0U,     0xceb03d37U, \
    0xe96fb0f8U,     0x7999ac18U,     0x56f599acU,     0xce3482a9U, \
    0x20ecb52aU,     0x136e4f11U,     0x2ee3de74U,     0x22f07f7dU, \
    0xb0199f03U,     0x5a088569U,     0xfca2b45fU,     0xccdd5edfU, \
    0xe2986638U,     0x1b527d92U,     0xff68d22bU,     0xcb07bf47U, \
    0x54b716a9U,     0x1d5da3a1U,     0xc491aea1U,     0xa8d47c49U, \
    0x71b10870U,     0xf63eeb42U,     0x01afc763U,     0x36471e1eU, \
    0xeb638a16U,     0x9a4c690fU,     0xba9df04dU,     0xd5a18a94U, \
    0x56e46a1cU,     0x3d5cfb5fU,     0xb1a67cdaU,     0x0e03b700U, \
    0x5adef25bU,     0xb8aa47f1U,     0x94636e7fU,     0xb52ffb62U, \
    0x0142d78bU,     0x7e0c2aa2U,     0x7bf847e3U,     0xb9fa49a4U, \
    0xe57b2c19U,     0x37fbde10U,     0x4c8a28ecU,     0x65a13507U, \
    0x959f60b0U,     0x10b4b860U,     0x70870803U,     0x375cffc2U, \
    0xa7205a9bU,     0x72f0b765U,     0x8b2d1e00U,     0x662c189dU, \
    0x5f599095U,     0xa9956c70U,     0xe82709eaU,     0xe162598eU, \
    0x61f73102U,     0x83ce5202U,     0x7ddfe0c9U,     0xcb64fce8U, \
    0xb42a7197U,     0xdf9dbc57U,     0x2dc0400dU,     0xa346f511U, \
    0x3604c9b5U,     0x96d0f040U,     0xa3a225fcU,     0xe2eb00acU, \
    0xa5c4c9a0U,     0xcee7a88bU,     0xd560f9bdU,     0xdc2b37bcU, \
    0x79e7a3b8U,     0xcaa40eb6U,     0xb78e1601U,     0xbea94307U, \
    0xaf8c204cU,     0x499a1431U,     0x1664e247U,     0x223f0db4U, \
    0x4e730ad4U,     0xf6c359b0U,     0x1cb5650dU,     0xb3506a80U, \
    0x19dda1faU,     0xcbc72e63U,     0x0e5c4ae4U,     0x7d4e8c87U, \
    0x13011f1fU,     0x21b14189U,     0xc2d8c825U,     0x1920d510U, \
    0x8c093f05U,     0x8d89f452U,     0xe1a21c1bU,     0x6d973579U, \
    0xeaec31d8U,     0x19d466c3U,     0xb82ecc53U,     0x5f1fba03U, \
    0x9470b5bcU,     0x12c6be63U,     0x75850045U,     0x5bf1f6d2U, \
    0x899de4bbU,     0xb1ddd54dU,     0x704839faU,     0x478c9c88U, \
    0x9d6aa10fU,     0x31bb21e7U,     0x9690c78dU,     0x4654d64dU, \
    0x3c9ccefbU,     0x17665c96U,     0xdc26d5f6U,     0x56b6ebf0U, \
    0x4412025eU,     0x6094ad47U,     0x8cbe57a0U,     0x312df001U, \
    0x2ccfeb35U,     0x94185802U,     0x71a5bb3dU,     0x2b925336U, \
    0x2350685fU,     0x056bfe66U,     0x94bb46a2U,     0xae2a389cU, \
    0xdbdeb4f1U,     0x31e2617fU,     0x98114ae1U,     0x47c605b1U, \
    0x1e988a08U,     0x7249297dU,     0x31d77bf8U,     0x9be47ebfU, \
    0x2c97f6a6U,     0xf3f78e8aU,     0x991e2a19U,     0x3e547138U, \
    0xef1b4ccfU,     0x52b838f3U,     0xbed5e16eU,     0xdc90632fU, \
    0x02836ea1U,     0xa1c66f4bU,     0x958541adU,     0x721b8cf3U, \
    0x29b4a1dbU,     0xfedcd591U,     0xff47765cU,     0xb18564f0U, \
    0x4d5a173aU,     0x80b34ea5U,     0x476001b3U,     0xe681821bU, \
    0x762dba69U,     0x710e1551U,     0xb829601cU,     0xd36cad77U, \
    0x6043d42cU,     0x82596f13U,     0xa7ec6cb8U,     0xcb9c832aU, \
    0x9344ccddU,     0xfcd4313dU,     0xd73f6799U,     0xc0b299acU, \
    0xaabac6e6U,     0x0b40959aU,     0x5f9e92e5U,     0x4343d55bU, \
    0xc7cce5f0U,     0x294c57cfU,     0x7a2cef66U,     0x9ced8182U, \
    0xf35c2f01U,     0x2c61ba6eU,     0x289f8be5U,     0xea5b3727U, \
    0x6012a383U,     0x4daf1c9eU,     0x89c76813U,     0x5d3846a6U, \
    0x5db97a1bU,     0x8d9730fcU,     0x396b1e8eU,     0xccca1dd8U, \
    0xcc6e48e6U,     0x3f1562dbU,     0x9ed565d6U,     0x64e69983U, \
    0x71aa014dU,     0x57fadbd2U,     0x03a7b487U,     0xa6b04c48U, \
    0xafa00bc5U,     0xdaa7253fU,     0x10db0742U,     0x157605c6U, \
    0x5a76b5c4U,     0x15cf9ac3U,     0x74d8ca01U,     0x33ac9366U, \
    0xb22bc459U,     0xff316ec6U,     0x4be1acafU,     0xbfcd78a0U, \
    0x98abf1aaU,     0x51cde86bU,     0x02500b0fU,     0x380985efU, \
    0x0bbfb9d7U,     0x22cc791cU,     0xe8b538d7U,     0xb24192b5U, \
    0xbdd18f6aU,     0xb63a50e2U,     0x1189b63cU,     0x6e824f31U, \
    0x963da819U,     0x7e14077aU,     0xa82fb1faU,     0x30e051cdU, \
    0xe2112e05U,     0x04c12badU,     0x9f91306bU,     0xea6ac161U, \
    0x228a07f0U,     0xab97ab6cU,     0x704cdd94U,     0xc66b8009U, \
    0xf9558e94U,     0x9cce4dc0U,     0xe7c11140U,     0x9cb075a0U, \
    0x64803f93U,     0xc45f0a44U,     0xe1116f2fU,     0xd666eba9U, \
    0x68b67e7fU,     0xc0f65df9U,     0x434f879aU,     0xd1813edeU, \
    0x3cd5bf6bU,     0xf977ad91U,     0x8b64d069U,     0x62d877b3U, \
    0x7a266aedU,     0x92bab900U,     0x171fd81eU,     0x2403327fU, \
    0xeac57e90U,     0x8e4c88deU,     0x0d8d0bdeU,     0x714ba9d9U, \
    0x9092dd3eU,     0x3e1ebaafU,     0x21ebbac6U,     0xae0acca7U, \
    0xb16b93a4U,     0x0f854d49U,     0x6a4f10a9U,     0xbaeeb03dU, \
    0xf1840c61U,     0x6285cc69U,     0x057f35a9U,     0xf63f0044U, \
    0x1634de01U,     0x011fd64dU,     0x851ea8b8U,     0xf6eba478U, \
    0x42cd1bfdU,     0x761e8e7bU,     0x56b2e970U,     0x752b4440U, \
    0x422df07dU,     0xa0459719U,     0x466ebe1cU,     0xce76a5c8U, \
    0xe1815f97U,     0xca7cd730U,     0x9c85eabeU,     0x660fa665U, \
    0x07a17556U,     0x96a5e114U,     0x2fb3cf52U,     0x85acba40U, \
    0x8ebea692U,     0x5704f484U,     0xb7e41d61U,     0x2944eabbU, \
    0xd6dc2aeaU,     0x4d8e6d33U,     0x14e82475U,     0x6578be90U, \
    0x1f9089ccU,     0xfc7dc54aU,     0x61eafc8bU,     0x15183b04U, \
    0xc80cb76eU,     0x1822baf0U,     0x80982700U,     0xeee93bdbU, \
    0x420f73b1U,     0x129f181aU,     0xfb0e3420U,     0xe65cde56U, \
    0x7256b866U,     0xb6affe1eU,     0x6e3489ccU,     0x36e5dbbcU, \
    0x413f6c71U,     0x840709c5U,     0xeae634feU,     0xfc16862bU, \
    0xf211953aU,     0x6e30fa7bU,     0xd26ad2f4U,     0x5b46b1c7U, \
    0xb562ac4cU,     0x2180ff12U,     0x3429381bU,     0xd2629345U, \
    0x491592bdU,     0x871ff2a8U,     0xba3c9a98U,     0x6f4e5d65U, \
    0xf921cd86U,     0x7f7363f0U,     0x6c012e8bU,     0x71ba971cU, \
    0x1b1edcfcU,     0x5e47cbbaU,     0x800ffcc0U,     0xc78caf52U, \
    0xb3d3e71bU,     0x976ef2d2U,     0xd94db6cbU,     0x56cc145dU, \
    0xe724e874U,     0xa5132b13U,     0x4a1bfd4eU,     0x00aa459bU, \
    0x23af31cdU,     0xc44e60d6U,     0xa8768ad0U,     0xc13f7af6U, \
    0xe8e8bda8U,     0xde484c21U,     0x5d4729adU,     0x67c5044bU, \
    0xa590a05dU,     0x4d2b44b3U,     0xcd431932U,     0xf40dfed4U, \
    0x81e7e053U,     0x994b3c85U,     0xcb9de062U,     0xdcc9479aU, \
    0xb3adff15U,     0x54893a51U,     0x83be9995U,     0xe01c01a1U, \
    0xf7cc8a9aU,     0x46f6d565U,     0xdbdd8319U,     0x12b97c65U, \
    0xc6de33acU,     0x04db6f83U,     0x3f4bb51cU,     0x82c69844U, \
    0xa8cba71dU,     0x5d6b2c82U,     0xd365fd0aU,     0xe0bc6b39U, \
    0xb75c9f4dU,     0x23c341c4U,     0x313c550aU,     0x0d103cbfU, \
    0x3875f9bfU,     0x5754f630U,     0x18386fc6U,     0x38887bd8U, \
    0xdeeb1f16U,     0x20869408U,     0x2e5eb6ceU,     0xde3fdbf0U, \
    0x51c9b403U,     0xa6a1f836U,     0x10d9e98bU,     0xb789dc21U, \
    0x1b704906U,     0x50abb034U,     0x3cb4c84fU,     0x8c1d584fU, \
    0x21ce9424U,     0x8060405dU,     0xc93ee722U,     0xd21553aaU, \
    0x720998c3U,     0x8e33bb9cU,     0xc0e82da7U,     0x01688c98U, \
    0xc7e1d29cU,     0xe87fd1f6U,     0x9d4c43aaU,     0x2ba2e355U, \
    0x2d6a7b23U,     0x09ffa368U,     0xa9598eb4U,     0xe03e6b79U, \
    0x977fb243U,     0xb00cf70aU,     0x583bc690U,     0xa85658e9U, \
    0x7897f9b3U,     0x4c6490c4U,     0xa4543319U,     0x87d1c4c8U, \
    0x8a3fd25cU,     0x6e80d6e1U,     0xd03f4288U,     0xc68bf480U, \
    0xbf4ae123U,     0x65da6fe4U,     0xd729c884U,     0x01a6bf8eU, \
    0x31085fe1U,     0xdbd3ceeeU,     0xc43916feU,     0x40e94207U, \
    0x714b3dd7U,     0x5625eebdU,     0xb3b3e248U,     0x7cdabad2U, \
    0x34c4c743U,     0xb1fe4c38U,     0x01917c14U,     0xa7cc45bbU, \
    0x00693150U,     0x8b3e51c4U,     0x1ad2dad9U,     0x91d21e5aU, \
    0xffbf153fU,     0x746df383U,     0x19b198d7U,     0x40a599eeU, \
    0x11c4d86fU,     0xd6462f7fU,     0x4feeabcbU,     0x440543a6U, \
    0x85714874U,     0xb6dab32cU,     0xc6572beaU,     0xb92bd1a0U, \
    0x5ecd63c3U,     0xa2b3b23cU,     0x60836950U,     0xfe343681U, \
    0xca87a1afU,     0x7aa4b34eU,     0x08dc7d90U,     0x1cdc5733U, \
    0x0df5bbffU,     0x0418f0b5U,     0x4b4d969bU,     0xdde130e0U, \
    0xe29b5142U,     0x2caa9e6aU,     0xa75093f3U,     0xf9ae7f04U, \
    0xb597339dU,     0x9b52eb8aU,     0x2c11e50bU,     0x845a2b57U, \
    0x5420544fU,     0xf5064293U,     0x6ccf987fU,     0x4aa58b12U, \
    0x26cd01f8U,     0x1448a947U,     0x7c255e56U,     0x1071f3daU, \
    0xd302bf61U,     0x7c2ae292U,     0x28323373U,     0x766e2ff8U, \
    0xee943bd9U,     0x02890acfU,     0x36da909fU,     0xf0da5673U, \
    0xeafbb84dU,     0x5dc7650eU,     0xf9afa2acU,     0xe8393663U, \
    0x37cb8b9fU,     0xa222882dU,     0x8908321dU,     0x38b0aa57U, \
    0x9f40c902U,     0xf604b71dU,     0x98bff62aU,     0xe0f6c8b1U, \
    0x1bf4824dU,     0x9799e48bU,     0x8e40b233U,     0xf6157352U, \
    0xeac500deU,     0x22090270U,     0x9df7f874U,     0xc45f0fc8U, \
    0x330a0679U,     0x82a309d0U,     0xf124a9fbU,     0xb99963ccU, \
    0xcb9613b5U,     0xcca40930U,     0xa7b9d98bU,     0x533d4536U, \
    0x227ea158U,     0xdc8d0755U,     0xa3b6d6b0U,     0xe945c0d9U, \
    0x27b6aaa6U,     0x20b43101U,     0xc112447fU,     0x443b2f71U, \
    0xb33bf9beU,     0xbfe7e959U,     0x9d17dfbdU,     0x65a0a0d3U, \
    0xe5648853U,     0x2bd755ecU,     0x80a6cf0dU,     0xaeb1a640U, \
    0xd338871dU,     0x0ef07432U,     0x7e5dbfdaU,     0xb6076864U, \
    0x70cf73c7U,     0x52cdba2aU,     0x953d7573U,     0x390d6eb3U, \
    0x22939493U,     0xec20e210U,     0x64ac399bU,     0xfc607913U, \
    0x69f61655U,     0x60379f83U,     0x398a5ca2U,     0xbe7bd698U, \
    0x02462ba1U,     0xe88a379cU,     0x52da47e1U,     0x2519527bU, \
    0x9866848aU,     0x5003f93fU,     0x3065306cU,     0xbfadea0aU, \
    0x67b0741fU,     0xeeedeb70U,     0x19e18605U,     0x51d552cdU, \
    0xff98de53U,     0xdf3aae69U,     0x69c4ae16U,     0x0abd534aU, \
    0xea2e74ecU,     0x8822c884U,     0x1056ca9bU,     0x342d1e6eU, \
    0xeeba815cU,     0x3e1aaa12U,     0xd1eec65bU,     0x6d81b073U, \
    0x490bf9e1U,     0x3d8619e8U,     0x4e3d699fU,     0xf36e0dc7U, \
    0x9653954cU,     0x1d981a4eU,     0x38306393U,     0xbdf34c2eU, \
    0x6f75007dU,     0xa52e07c8U,     0x2f95694eU,     0xda962a73U, \
    0xc6534a48U,     0x81857aedU,     0x1499fdc9U,     0xbd2b745dU, \
    0x8430b0edU,     0xb2984991U,     0xe56fb2b7U,     0xc2cf58b4U, \
    0x8d3bdc1fU,     0xfe03dcd3U,     0xaa93cad0U,     0x15cfe54cU, \
    0xf1f1bb4dU,     0xe3e73e88U,     0x66848ff3U,     0xa7d2dfefU, \
    0xbed71246U,     0xe02c0367U,     0x09ffea41U,     0xff137c40U, \
    0x4e1fb8f7U,     0x5af99a69U,     0xa5dc2f55U,     0x1b57aa15U, \
    0x3754a954U,     0xdc48e4acU,     0xcfb7da0eU,     0xc921de0eU, \
    0xa7511c9cU,     0xa572dc98U,     0xdcce930dU,     0x5a5ee82fU, \
    0x49dd4710U,     0x7cfa383bU,     0x49477502U,     0xae2f055fU, \
    0xbb562a63U,     0xad7fe064U,     0x8283aadcU,     0xb00087feU, \
    0x104fa539U,     0x8d915f2dU,     0x91486bcaU,     0xdaf5df26U, \
    0x85a1d461U,     0xee7903d8U,     0x5d4a4a9cU,     0x65a475d2U, \
    0x2e494e83U,     0x3f4d3489U,     0xd5f51fe8U,     0xeb5693c9U, \
    0xc96433cfU,     0x2189a44bU,     0x5f99caf3U,     0xa656e4b5U, \
    0x8367c685U,     0x90805b44U,     0x6dd3bbe8U,     0x33a425f7U, \
    0x96bc439eU,     0xfda94f22U,     0x13a7a33bU,     0x74cd50f1U, \
    0x3572ac87U,     0xf76a3633U,     0x171f30a7U,     0x3b8a7d84U, \
    0xb9ae66e1U,     0xb747ac26U,     0x3f2fe8a1U,     0xcfb602a8U, \
    0x3258bed6U,     0x5336e416U,     0x38290e63U,     0x6290b2a8U, \
    0x8c8ce6acU,     0xa624f830U,     0xb2c940beU,     0x3400aa0bU, \
    0xa5aadc2eU,     0xc04eb78aU,     0xc57e8879U,     0x2a70fae7U, \
    0x5a655ad9U,     0xdae14c2aU,     0x69b55be2U,     0xce30a880U, \
    0x4d1808dbU,     0xc0856804U,     0x8c636863U,     0x78399e77U, \
    0x41b02ec4U,     0x462d4483U,     0xe9903493U,     0xbed657c6U, \
    0xdf87ae65U,     0xf62d079aU,     0x86cdf3c4U,     0x1347fba5U, \
    0xf8a382a0U,     0xe27205e2U,     0x84dfed49U,     0xb70e6311U, \
    0x0bca7d43U,     0x055927d1U,     0xdc6ec194U,     0xfbf3b469U, \
    0x82ee933eU,     0x7df9aec1U,     0xfc394f26U,     0x53248178U, \
    0xe2f08b92U,     0x7c0d8b21U,     0x023c6089U,     0x0360c9f3U, \
    0x01450da4U,     0x6174a3acU,     0xfdb353d7U,     0xb29eca77U, \
    0x3bf08e60U,     0xc6c97aafU,     0x4b28ea27U,     0x814f9cdaU, \
    0x9060964aU,     0xf8c84653U,     0x831669ecU,     0x5e88c37eU, \
    0x0f8447d4U,     0xab2a70ceU,     0xcadb4202U,     0xb7f96e01U, \
    0x05ada6b6U,     0xb94cf019U,     0x51fa8ab8U,     0x9a445693U, \
    0x5ce11dbeU,     0xa0c1cc2dU,     0x5ccdcc7aU,     0xfb75b373U, \
    0x1261c37aU,     0xf645cdcfU,     0xd6e50a4aU,     0xe262049bU, \
    0x2f8b2a49U,     0x6940810eU,     0xaee163abU,     0x31016543U, \
    0x7d43a57dU,     0xfbb48a98U,     0xa9249045U,     0x584ceacaU, \
    0xd357a5beU,     0xea97a7f7U,     0xc11a3a75U,     0x8e4fcbafU, \
    0x9f729392U,     0x2d5aa52dU,     0x2cbdd267U,     0xb3f99f68U, \
    0x4499a5f4U,     0xab150802U,     0x94d15a85U,     0xca35417bU, \
    0x76b4e37aU,     0xb58ef7a3U,     0x72b04799U,     0xc722d278U, \
    0xd26e7357U,     0x081929a8U,     0x862c551bU,     0x33d7123bU, \
    0xbddac4e6U,     0x75de2f0bU,     0xe279aa3eU,     0x2167dc09U, \
    0xc07c79ecU,     0x3d086848U,     0x3f3301c0U,     0x78689af5U, \
    0x4d1df856U,     0x2c3148bcU,     0x0587c2cfU,     0x18f4c123U, \
    0x69c70ea1U,     0x0e648f10U,     0x3122409fU,     0xff09af26U, \
    0x108a41d0U,     0x5700558bU,     0xfa696f06U,     0xbec67178U, \
    0x5ad03e38U,     0x86d1aa5aU,     0x167216ccU,     0xedac3ee7U, \
    0xfe23ccf4U,     0x9a9b374dU,     0x72cbe8d0U,     0x2ac0def6U, \
    0xf8acbbb7U,     0x9615d605U,     0xd4ce262aU,     0x2a74c967U, \
    0x04fc45c6U,     0x19450145U,     0x51633fb3U,     0xa4ca84cfU, \
    0xe7585b45U,     0xe8e7ab9bU,     0xa2aa2f5fU,     0xd7d61e5fU, \
    0x20b4b6caU,     0x27fbf7eeU,     0xee67d51aU,     0x0702ccc5U, \
    0x8ee34e7cU,     0x30f7b7b3U,     0x757223d7U,     0x3053202aU, \
    0x9d969981U,     0x326f6d23U,     0xc76d3d62U,     0xe80f1372U, \
    0xe7d91a18U,     0xce3a7169U,     0x437946beU,     0xf40e070bU, \
    0x93e17df8U,     0x971461f0U,     0xee7c596bU,     0x4221f3fcU, \
    0x29ff499cU,     0xd21ec8fcU,     0x75d637ebU,     0x27bfbd30U, \
    0xb95bc601U,     0x0b38f950U,     0xda5f6e15U,     0xbe843318U, \
    0x6637eb06U,     0xcd8b0b56U,     0xeb6b3d1cU,     0x8236b528U, \
    0xb1d93048U,     0x2751486bU,     0x38242ba2U,     0xe1ab4f1fU, \
    0xcacaf71fU,     0x7bc337f1U,     0xe7385a52U,     0xd4a7490cU, \
    0xedc2d78dU,     0x2c593d3aU,     0x43ccc106U,     0xa0aa7bf2U, \
    0x64f9b737U,     0xe2cc0096U,     0x9e6701d4U,     0x0d0710e9U, \
    0xe10b8119U,     0x75bda6a3U,     0x846aa102U,     0x1147b257U, \
    0x2a54c109U,     0x400d53f0U,     0x65a22faaU,     0x575fd48dU, \
    0x3e871993U,     0xd949dc5bU,     0x129a7444U,     0x862fef74U, \
    0x61d20640U,     0xeadc8740U,     0x3c50b10cU,     0xf652ad8bU, \
    0x5e5f5866U,     0x1e6713c2U,     0x1317e0adU,     0xaac8f18dU, \
    0xa9639f8fU,     0x52dc7c2aU,     0xca8f1aa9U,     0x5efd9d6dU, \
    0xb4882c24U,     0x4db59e4aU,     0x14f36bdcU,     0x8401a826U, \
    0x32310802U,     0x8e035231U,     0x775c69deU,     0xc73345ffU, \
    0xb3b32ad3U,     0xb48cbfcdU,     0x57c8a0dfU,     0x1c583a2fU, \
    0x6201967aU,     0xab0bd459U,     0xbef3182cU,     0x47261fabU, \
    0x656d3513U,     0xd2d2d0d6U,     0x4a0495c3U,     0x16ac7f1eU, \
    0x0eff5a84U,     0x1701bdd7U,     0xb0914326U,     0xe03b6949U, \
    0xb8244f07U,     0x756c837aU,     0x2b8b474cU,     0x71ab0951U, \
    0xd28901a0U,     0x425c982dU,     0x93262492U,     0xf2b7abfcU, \
    0x6a76a104U,     0xc4c5b198U,     0x154d380bU,     0x60ce3454U, \
    0x58400924U,     0x8a1a263cU,     0x37610a11U,     0xe88a3819U, \
    0x9ef8fe4bU,     0x2be76677U,     0x800b5288U,     0x8132f7eaU, \
    0x70d903eeU,     0x26e654d1U,     0x5d0391a4U,     0x6bb38e59U, \
    0xe5129246U,     0x9da38758U,     0xc8636dafU,     0x11b9b91fU, \
    0x1f45e7ecU,     0x4840dac0U,     0x5a6d114dU,     0x3979f288U, \
    0xf3054bb7U,     0x67cae0a9U,     0xcf8c40cdU,     0xaa239bdcU, \
    0xc9b13947U,     0xab56f334U,     0x11510735U,     0x76877ea6U, \
    0x1d65027aU,     0x575dfe70U,     0x4055d0f5U,     0x1a514096U, \
    0x69d71b3dU,     0x96e5cbecU,     0x41d335cdU,     0xe126dfb7U, \
    0x0ad72375U,     0xf9d53f63U,     0x418a42c2U,     0xb144b287U, \
    0xa1faca5fU,     0x1e7373f8U,     0xa2f0d729U,     0x36d980b9U, \
    0x913dccaeU,     0x4522f409U,     0x5a12ae15U,     0xdf165292U, \
    0x145c7732U,     0x029c2115U,     0xce09a49cU,     0xc6aa8bd5U, \
    0xfe8a4e6bU,     0x0e944735U,     0xb8948a7fU,     0x54619c02U, \
    0x681536dfU,     0xdfb5bdc0U,     0x1b3f9ed6U,     0xb75fbcc7U, \
    0xe4e25ee4U,     0xb2c33082U,     0x0e29e829U,     0x0a506a37U, \
    0x59be90a8U,     0xfd66bb02U,     0xd7ea932cU,     0xebd362d3U, \
    0x884aa7dfU,     0x7bb6bf5dU,     0x1d9eef5fU,     0x0749427cU, \
    0x90653f5cU,     0x03de7d33U,     0x705d6cb3U,     0x59db226bU, \
    0x7a93d967U,     0x8655ee52U,     0xc08e6f66U,     0xec098024U, \
    0xc1d22617U,     0x8a76afc7U,     0x6318dae6U,     0x10287392U, \
    0x5dc88ca4U,     0x1faec627U,     0x8ff3d49aU,     0x1e326ca3U, \
    0x2601cea4U,     0x5b4ddc78U,     0x1bbb5d2fU,     0xf7c50831U, \
    0x78662f92U,     0x6a30dde0U,     0xeb46ac86U,     0x34530774U, \
    0x7dff7c64U,     0xcc66ed95U,     0x71c8bb70U,     0xa3662ad7U, \
    0x263e7266U,     0x907e2ac9U,     0x59392678U,     0xf4fe848aU, \
    0x3008825dU,     0x8c75c6d0U,     0x396f9c09U,     0x53371d51U, \
    0xe83c5b02U,     0xa77a0b4eU,     0x05c319aaU,     0x692c49e9U, \
    0xf480ef77U,     0x9be65dddU,     0xc1b3b0e9U,     0x06a981e8U, \
    0x89398816U,     0xcf0182b1U,     0x52ee755cU,     0xccf2761fU, \
    0xec712203U,     0xf2209218U,     0x118d69baU,     0x4347d6f7U, \
    0xfa4db2c5U,     0x2358cb0dU,     0xf56fae2cU,     0x0b68f215U, \
    0xd235d1c8U,     0xf2c46ef1U,     0xdf7de250U,     0xbb4f4ea4U, \
    0x4f268af5U,     0xdd2eeee1U,     0x1768c71cU,     0x0c7abd19U, \
    0xc6bd2f8fU,     0x42294cbaU,     0x0ca807dcU,     0x069045b1U, \
    0x77ccc5abU,     0xa1aad3e4U,     0xe6eb9233U,     0xcb2e3937U, \
    0x73738836U,     0x23d8cf7eU,     0xd5b2476bU,     0xa39a1b81U, \
    0x30bdd8e7U,     0xc74503abU,     0x57508b2bU,     0xafc82411U, \
    0x2b4fecd8U,     0xda65bf4cU,     0x686299d4U,     0xac6a1867U, \
    0x58e354bfU,     0x63220ca1U,     0xa4170d2cU,     0x59bf41feU, \
    0x6fd3f5e4U,     0x975ecff1U,     0x833dd47eU,     0xc4bd2858U, \
    0x5f4ce0d4U,     0x89ed8358U,     0x16565424U,     0x0b2ab20bU, \
    0x0e10e546U,     0x9ffbecc7U,     0x89274e51U,     0x3d36e26eU, \
    0x2bf08849U,     0x03008f54U,     0x2d64c02bU,     0x1087a0d5U, \
    0x3f9d1eeaU,     0xe73e2001U,     0xe27760cfU,     0x647311e0U, \
    0x5f9e71eeU,     0xd8a95ed4U,     0xf061d29cU,     0xdaef258aU, \
    0x41e811dfU,     0x34977da3U,     0x7b90d94dU,     0x7b18a881U, \
    0x15189068U,     0x462191b4U,     0xa63e083cU,     0xfb9286afU, \
    0xe23d64e7U,     0xcc82adc8U,     0x8ac6dff8U,     0xf3b0c142U, \
    0x22343476U,     0x67b67b3cU,     0x830cb3d3U,     0xbef09bb8U, \
    0x46eb4910U,     0xe46c1f09U,     0xe3c4ca6cU,     0x147fdb30U, \
    0xc9cb443dU,     0x7ecaa0f7U,     0x22586d39U,     0x85f1bd9fU, \
    0x367f57f8U,     0xaa934f22U,     0x9f5364a7U,     0xbc9394d5U, \
    0x7dbfd8f7U,     0xeb905281U,     0xec5b0f68U,     0x1785c7e7U, \
    0xb461c69eU,     0x56302c15U,     0x05f4dcdbU,     0xbf62aedeU, \
    0xdcd31ca1U,     0x77d4266bU,     0xf78a874eU,     0x9c4b07a3U, \
    0xbfd36ed1U,     0xd5940f53U,     0x270cf8feU,     0xb2a153f7U, \
    0xba2a9e26U,     0x27341b22U,     0xfa2a8393U,     0x27d0360dU, \
    0xfb545e2aU,     0x22f78c16U,     0x7d3db39fU,     0x13f2c35bU, \
    0xad8f6fb6U,     0x5374bf7eU,     0xaa2ba5aaU,     0xc9de4483U, \
    0xceaa01d6U,     0xd3115341U,     0x558e257aU,     0xdf0264cdU, \
    0xaecb279bU,     0x39075becU,     0x3af0d752U,     0x81af2030U, \
    0xe3d61effU,     0x8b825a0aU,     0xdae547ddU,     0x3b4ed4ffU, \
    0x00445793U,     0xb50cc9b1U,     0x67585c31U,     0x73e2225bU, \
    0xe7651538U,     0x169ced4aU,     0xf75bb243U,     0x3733de90U, \
    0x773e46ffU,     0xcf1a9720U,     0x4734ad61U,     0x57436af1U, \
    0xaffd1011U,     0xe69b5e9bU,     0x7e7cf86dU,     0x63e89517U, \
    0x5787cd3cU,     0x11c1a5fbU,     0xa3dc300bU,     0xc7954b7eU, \
    0xa5bec0caU,     0x5af932e0U,     0x6e9c6c9bU,     0x14dc9295U, \
    0xf384c632U,     0xddb7fe69U,     0x0dc20e52U,     0xf30a6edbU, \
    0x5538fdc9U,     0x6e11992dU,     0xd7abde0cU,     0x761f12f0U, \
    0x93e33d6bU,     0x3be11507U,     0x81a5b900U,     0xffb7a72aU, \
    0x1427f020U,     0xdca9ca71U,     0x4b7a54e5U,     0x26cf90e3U, \
    0xb61261f8U,     0x86bcb3f4U,     0xa5440fe4U,     0x55b0521cU, \
    0xd140f99bU,     0x3e009c79U,     0x7b9d6845U,     0x4c5c52a6U, \
    0x849f4eb9U,     0x8e159a12U,     0x48886f86U,     0x5add8d64U, \
    0x35549e48U,     0x1e4cc4b0U,     0x3a97c18fU,     0x8c16a759U, \
    0x608ac3adU,     0x62cba2b0U,     0x99035ae0U,     0x90d18769U, \
    0x68a8f63dU,     0x5757b0dcU,     0x48b971b5U,     0x1f7f271bU, \
    0xc9c0e6c2U,     0xa3691bf2U,     0x8539bf6bU,     0x670ba873U, \
    0xd292b2d6U,     0x35b5454cU,     0x4157fcaeU,     0x214b244aU, \
    0x230aded9U,     0x5f96b91dU,     0x1275493aU,     0x840cf106U, \
    0xad5f9a2aU,     0x44b76797U,     0xdafb1196U,     0xf6dd7a6aU, \
    0x0d0dfd14U,     0xd0aa8995U,     0x970626d7U,     0x271f0cc8U, \
    0x9da740f8U,     0x5b792194U,     0xbff3595dU,     0x6d882315U, \
    0xbeb90098U,     0x4f5226acU,     0x92b1147fU,     0xcfc08e21U, \
    0xbd7a5aa7U,     0xb1c04a36U,     0xdb1a95ecU,     0x63da6168U, \
    0x28259d4cU,     0x575bb1d6U,     0x4701ae58U,     0x2c4de247U, \
    0x17df0b7bU,     0x8195c3cfU,     0xd51fa3c8U,     0xcee5f940U, \
    0xe5d086f7U,     0xda210746U,     0xfc8bf59aU,     0xdc9d46c1U, \
    0xcf8e4e65U,     0xbcd042dcU,     0x21055d80U,     0xb722319aU, \
    0x07d7a2adU,     0xb8fbcff5U,     0x52e29786U,     0x31f75e8aU, \
    0xab1a0cf3U,     0xf711090aU,     0x0e6cd2eeU,     0xca9648b7U, \
    0x50fc76d8U,     0xd9af7d51U,     0xf48c8804U,     0xf0d33d51U, \
    0x48c1686aU,     0x1ac26cd0U,     0xc79e0b4cU,     0x057060f7U, \
    0x586dfa6dU,     0xa78e26feU,     0xa46da0b8U,     0x17f6fca3U, \
    0x8b8192b0U,     0x514e2378U,     0xaa034480U,     0x73374035U, \
    0x358c4518U,     0xe817ad54U,     0xc7393cbeU,     0xe736eae6U, \
    0x88ee9e05U,     0x4b88aa52U,     0x8a1bcd8cU,     0x69fb080cU, \
    0x7738e341U,     0xb04adb30U,     0x88e90572U,     0x9084ba4eU, \
    0x13cbb2ddU,     0xe8662d7aU,     0xd5c3fd7dU,     0x2f61d11bU, \
    0x32dd7626U,     0xe96c1a00U,     0x3af8cc24U,     0x3b18bd63U, \
    0x20eb9494U,     0xd5db6724U,     0x28c9d276U,     0x091d39cdU, \
    0x19b27fecU,     0xbe56c57cU,     0xfe0934aaU,     0x13fcaf39U, \
    0xb4d976c8U,     0xcb710c59U,     0x5ae1b14aU,     0x63692759U, \
    0xf3da58f9U,     0x04f52c30U,     0x6a0e2535U,     0x7eea8c16U, \
    0xeb73ad7fU,     0x9bb6fc7aU,     0x0e9b1384U,     0x9b5058e4U, \
    0xf2ad63b6U,     0x5a93a205U,     0x5af1b2fdU,     0x3503cc6bU, \
    0x54164f51U,     0x5ebfa05dU,     0x84544eacU,     0x98678e12U, \
    0x40a92772U,     0x5c4a9f66U,     0x3c436829U,     0x5deda1c7U, \
    0x455a61c8U,     0x15326a5dU,     0x08353c86U,     0x96691744U, \
    0xa7aca576U,     0x152e4665U,     0x9b2744d6U,     0x703ea7f9U, \
    0xbc727363U,     0x2aa137cbU,     0x63fb5d37U,     0x02c62167U, \
    0xd0ad0aabU,     0xf417eac4U,     0x73f50fccU,     0x11a07312U, \
    0x96886600U,     0x830627d4U,     0x9afca94cU,     0x5cb2fa27U, \
    0x773061c8U,     0x1ab5d093U,     0x45ed37cdU,     0x31fcba10U, \
    0xdcf73dbaU,     0x8829f310U,     0xe1e9eb4eU,     0xd9f3a511U, \
    0xf2f5351eU,     0xd593e1b1U,     0x03bf5b23U,     0xcd473405U, \
    0x4839114aU,     0xa8442333U,     0x21a55d82U,     0x2272e8cdU, \
    0x87af525dU,     0xd4290560U,     0x8a093eb7U,     0x678e2a5eU, \
    0x368f2878U,     0x7389ba6bU,     0xd8349213U,     0x80c49a33U, \
    0x2169588aU,     0x40981b3eU,     0x7b3a1a84U,     0x6ea7dd6aU, \
    0x33740e08U,     0xe25d7471U,     0x4e6ad248U,     0x9b1965b8U, \
    0x4590f168U,     0x32627668U,     0x6f0c1ea3U,     0xedbf9220U, \
    0xa71e6720U,     0x083001d9U,     0x3ed7a955U,     0x9b44bde8U, \
    0x3dbfd794U,     0x9fc34583U,     0x90067f7dU,     0x4bd3848eU, \
    0xbc5b7567U,     0x2d9ab032U,     0x3d1f9f72U,     0x476d20bbU, \
    0x99544f50U,     0x2d6ae832U,     0x7278805dU,     0x8bd86125U, \
    0x35e8cbfaU,     0x60e91d3dU,     0x69306aabU,     0xca9b7a9bU, \
    0x17ef04c5U,     0x742ef202U,     0xc5498cbeU,     0x758ebcfeU, \
    0x40f2ba0aU,     0x48697c62U,     0xf2d3be20U,     0xd48baf8bU, \
    0x9ada4911U,     0xa201b19fU,     0x67508ce9U,     0xc678a34eU, \
    0x5faeb6feU,     0x9f646399U,     0xaed06d1fU,     0x76304f79U, \
    0xe23f4ed3U,     0x90720605U,     0x07316193U,     0x2a59f0b0U, \
    0xa504ce61U,     0x3a9e7d31U,     0xff4ee1ceU,     0x9b4bff77U, \
    0x7eca0ee4U,     0x25309948U,     0x30324e63U,     0xb791aa01U, \
    0x9876144aU,     0x6ca11336U,     0xdb4e09c6U,     0xb6231eccU, \
    0xc354621dU,     0xbc99be51U,     0x1e698dfcU,     0x1a252095U, \
    0xbce929afU,     0x4c7e4de1U,     0xc3ecd018U,     0x67bb3fa4U, \
    0xcc0d7c90U,     0x118c0e32U,     0x70775439U,     0x790f5290U, \
    0x246f00a6U,     0xe85d2556U,     0x77087cedU,     0xade78ee1U, \
    0x17476891U,     0x98a5c656U,     0x92bbeffcU,     0xc6720d8bU, \
    0xaa628f47U,     0x4f3fbbb9U,     0x583829c8U,     0x6265c507U, \
    0xfca773c7U,     0xdb0a6ef9U,     0xdec878fdU,     0xa9a352f4U, \
    0x342b5c9fU,     0x2b0ce64fU,     0x7fb91a12U,     0x0d0f0acbU, \
    0xe69417d0U,     0x85865e36U,     0x0e56aaabU,     0x2bb542a0U, \
    0x4363344eU,     0x426874e6U,     0x7aed847eU,     0x968f8dcbU, \
    0x8a8558c0U,     0xde62ebf1U,     0xfcce6182U,     0x51385175U, \
    0xf5d44d43U,     0x81aa4aa7U,     0xdc6d2ae4U,     0x19685e01U, \
    0x55f03898U,     0xc7303142U,     0x3d613f7fU,     0xfeecb7d9U, \
    0x6e9d017cU,     0x24d099cfU,     0x17816d2cU,     0xb707a8dfU, \
    0x208a36c3U,     0xcc45ecfbU,     0x374be4bcU,     0xa75ab3f0U, \
    0x86e396beU,     0xc05a5bbaU,     0x42b51abcU,     0xc1807032U, \
    0x5d2f22f0U,     0x7d264fc2U,     0x84dd4e9dU,     0x51f4b818U, \
    0xa7e49d59U,     0x9c423501U,     0x3fcef004U,     0x9d47df97U, \
    0xc979721bU,     0x7586a21dU,     0x436173f5U,     0x9dff055aU, \
    0xaaadbd23U,     0xe4cb8235U,     0xb666a214U,     0x598ac6eeU, \
    0x19f5aa10U,     0x9a6f1ba1U,     0x0ba054b5U,     0x26fb5316U, \
    0xe8437210U,     0x9a697760U,     0xbee235d7U,     0x3ee46d07U, \
    0x7deaaf87U,     0xb99b5c66U,     0xffdd9e07U,     0xd572d417U, \
    0x8e8fea6cU,     0xcae3dcb7U,     0x85fa794aU,     0x0133cbfcU, \
    0xd4cc8c59U,     0x068f09ecU,     0x40c088b4U,     0x9b49089cU, \
    0x4b68cd2cU,     0x9e659decU,     0xd8575b5dU,     0x4212a5a3U, \
    0x614a37abU,     0x2004bb3fU,     0xf7a8d4f3U,     0x1ba6e9e6U, \
    0x5938b78aU,     0x02a042b9U,     0x28cbed16U,     0x9e5a66feU, \
    0x1858ee03U,     0xad3133a1U,     0x05037bf4U,     0x3c7b36eeU, \
    0x6f2a488fU,     0xe791ccd3U,     0x0b8dd8a0U,     0xecc0c533U, \
    0xc71b87caU,     0x26d29b14U,     0x251850d2U,     0x472e3b7bU, \
    0x0ec8f06cU,     0xf43baecbU,     0x14fa0a0aU,     0x4c46c2c9U, \
    0x77990995U,     0x5d7ce2beU,     0x72991344U,     0x4e1eacb0U, \
    0x097a3b0eU,     0x2a8d73f4U,     0xaee99156U,     0xa0fa56c5U, \
    0xeb9c9160U,     0x2b5c67f7U,     0xc6bed3f8U,     0x7ae28804U, \
    0xf863e61bU,     0x1898d73fU,     0x61d98aa1U,     0x1ac6564fU, \
    0x8d48aaa4U,     0xbf54bed6U,     0x96b9a81bU,     0x9d12ecf7U, \
    0x4899b42bU,     0xbce27023U,     0x9f832b75U,     0x8d75dc8fU, \
    0xe384f447U,     0x016bcaceU,     0x04f8cd2bU,     0xe5574c95U, \
    0x37d5d94fU,     0xcbb09d08U,     0x2c46b31dU,     0x47acc9f6U, \
    0xae8862aaU,     0x50b3794fU,     0xf1b7e7f1U,     0x21e048eeU, \
    0xf4477ea0U,     0xf1e3590aU,     0x2e46dc3fU,     0xc6de950aU, \
    0x90669a9eU,     0xcc33290bU,     0xe5ee5956U,     0x284489c5U, \
    0xf5d9f03aU,     0xe9263ab0U,     0x0270b4b0U,     0x7cb338d6U, \
    0x1e89bc9cU,     0xa5924f5dU,     0x494029dbU,     0x4b6c8a86U, \
    0x14a46158U,     0x06da1acaU,     0x05371636U,     0xcbed8d7bU, \
    0xe2266773U,     0x14482eddU,     0x02b6dc51U,     0x207454ccU, \
    0x0cc7ad1fU,     0x0f1e43f5U,     0xa3dea01cU,     0xa473de1bU, \
    0x87077e19U,     0xc38153c3U,     0x388120abU,     0x1350522bU, \
    0xf2c3388aU,     0xf2c253b7U,     0x6f16302dU,     0x83b14a5cU, \
    0x63986db2U,     0x8e2123cfU,     0xedf69215U,     0x87de45d7U, \
    0x6f92420bU,     0x8dcad9daU,     0xb5c3dc65U,     0x5f24798cU, \
    0x1d346ba4U,     0xc6cefbffU,     0x6ad7b912U,     0x2de2fb72U, \
    0x961e4365U,     0x7dae15e0U,     0xf0d55f99U,     0x72e1b943U, \
    0x8614cd7cU,     0xb5080c0cU,     0xc2be8851U,     0xff2d017eU, \
    0x0dcdec68U,     0x56bab4b2U,     0x531342d8U,     0x16affbc9U, \
    0x2ee59b17U,     0xd9cc193aU,     0x21b891c3U,     0x5a29b5e8U, \
    0x79d458e9U,     0x0bf86b36U,     0xd95fa20dU,     0x8b80bacaU, \
    0x076fc5b8U,     0x7dfa01a5U,     0x937df138U,     0x05f7981fU, \
    0x51ddc3b7U,     0xfa52f068U,     0x70a1ac8bU,     0x2f1c2c6bU, \
    0x9c06e5d8U,     0x9de0f3bdU,     0xed662079U,     0xeb39b41dU, \
    0x716b1f4fU,     0xc9b7ea0eU,     0xd27cd7cfU,     0xb5ab3270U, \
    0x2007625bU,     0xea5803f5U,     0x8ffb30feU,     0xbb96121cU, \
    0xe652947fU,     0x0f02e3fdU,     0x31251fa9U,     0xcd48d4c0U, \
    0x99f9e756U,     0xecae082fU,     0xcb2f6ac2U,     0xe811ba73U, \
    0xf2744a87U,     0xf002180dU,     0x758125c8U,     0x009a2be7U, \
    0x446b8c74U,     0x632c0216U,     0xac4ccc5eU,     0x84b865cbU, \
    0x1efffad7U,     0x3c337a54U,     0x805b3c7bU,     0xfde455ddU, \
    0xf7283d52U,     0xf296a9ceU,     0xd59b0a3aU,     0x71a5fe97U, \
    0x0e546e29U,     0xebfa25f9U,     0xc5d0141cU,     0xf38b3342U, \
    0xa957f48fU,     0xf1b67928U,     0xe4d6a655U,     0x8c588e5aU, \
    0x7289df9dU,     0x69c1b421U,     0x4c891ea6U,     0x3181e5afU, \
    0x4db7e2efU,     0x538fdda6U,     0x93c8448fU,     0xe1642739U, \
    0x31424f8eU,     0x096a99a3U,     0x8c06eb0bU,     0x9b0c16bcU, \
    0xa85096f8U,     0xeeada76aU,     0xe8ab7e5cU,     0xbd09fe32U, \
    0xa0f20c5eU,     0x3732552fU,     0xa97e7bfeU,     0x67f87770U, \
    0x5abd88d2U,     0x9f893352U,     0x19e5c80dU,     0x59a65f1bU, \
    0x7f9dae80U,     0xcf15035fU,     0xe8b7b974U,     0xf5ee113dU, \
    0xf3734898U,     0x3950f89bU,     0x06b1a813U,     0x377dec4eU, \
    0xe947dc01U,     0xe62327c9U,     0x91542265U,     0x3a15325cU, \
    0xb865ab01U,     0x72a69f23U,     0x283ea820U,     0xa7ae0f87U, \
    0x1d80f690U,     0x01185acaU,     0x7048d759U,     0x7b1b4f46U, \
    0xc3309cf2U,     0x10c2c046U,     0xf64e8201U,     0xaf223098U, \
    0x40b1ab32U,     0xb3f0bdb4U,     0x4d6ec257U,     0xde3c4e6dU, \
    0xbd968929U,     0xcf9757b8U,     0x8d883f97U,     0x25e985b0U, \
    0x3b356158U,     0xb954d634U,     0xd9d258faU,     0x0c8a59d2U, \
    0xed9f9b6dU,     0xc52c4329U,     0x5d84c1efU,     0xe6222028U, \
    0x2484aeacU,     0x69028d7aU,     0x88a67c05U,     0x51e2e44dU, \
    0x1dd773f0U,     0x860c5b3eU,     0x1a9e0a01U,     0x8f897520U, \
    0x87ad51ddU,     0x783ec361U,     0x5c4b288fU,     0x479ca79fU, \
    0x05a29d42U,     0x762437a8U,     0x833dc62cU,     0x1c5a5718U, \
    0x31911456U,     0x32951faeU,     0x2eaa72ddU,     0xd6e94f52U, \
    0x2e6d4b85U,     0xb2b035c5U,     0x1a8bbf19U,     0xa60ba200U, \
    0xf763bf1fU,     0x92c8e413U,     0x36334088U,     0x1ffc4422U, \
    0x06893ffcU,     0x8e61939dU,     0x0f070097U,     0xb8ca3f04U, \
    0x1b22d1ccU,     0x95041163U,     0x7421fecbU,     0xe74c2999U, \
    0x691e4a54U,     0x3be78268U,     0xe672e858U,     0x71f6422dU, \
    0x3b2795c5U,     0xecb562fbU,     0xb176ca5eU,     0x12e7c56dU, \
    0xc95a251fU,     0x60c16366U,     0xc37d8551U,     0x6c578823U, \
    0x411bd73cU,     0x1aa90ccdU,     0xd04689feU,     0x150a0859U, \
    0xc95e9196U,     0x71cee9deU,     0x13c69a7fU,     0x4bd66d77U, \
    0x1ae2bcaeU,     0xdf366dd1U,     0x1928a1d1U,     0xf7619b6bU, \
    0xcf79dc8fU,     0xae5f7ee2U,     0xf4b9cf13U,     0x03d49567U, \
    0x9d38c913U,     0x9e3a1122U,     0xeac07ce6U,     0x6efc3a33U, \
    0xffec7c34U,     0xd8cb3a37U,     0x2a53c84aU,     0x5f010f2aU, \
    0x6cda5d93U,     0xeaa7de38U,     0xdaff0eccU,     0xee8709aeU, \
    0xf7724477U,     0x694d46edU,     0x12a3eaf1U,     0x007483b0U, \
    0x241d8cd6U,     0x424098abU,     0x38a50affU,     0x6ee88e58U, \
    0xf04c3c90U,     0x8a0209ccU,     0x858e3839U,     0xae362bfdU, \
    0x7f49c556U,     0xb11f6309U,     0xe318d902U,     0x9b3eb611U, \
    0xdc02dc29U,     0xd211dfdaU,     0xca427890U,     0x145e2788U, \
    0x546b130fU,     0x286a8e0bU,     0xbfffd967U,     0x1dfd2823U, \
    0x140b63d4U,     0x8099ac5eU,     0xe9e85caaU,     0xf1306dbeU, \
    0xfad84101U,     0x7788c6c7U,     0x44be7c5aU,     0xd931ec2aU, \
    0xe5306354U,     0x94c294cfU,     0x2fea0b91U,     0x9083e687U, \
    0x3c7da9b6U,     0x73deb29aU,     0xa2c09913U,     0x639e3e1fU, \
    0xb4e0272fU,     0x8b76ea52U,     0x6f6678ceU,     0x5305ea98U, \
    0xa3d503b7U,     0x14933ed4U,     0xe6a2e14eU,     0x17a41687U, \
    0x6b4a20e8U,     0x7348382cU,     0xc8cafbbcU,     0x10bfa189U, \
    0xc922a42eU,     0xcc47c182U,     0xa2b24d65U,     0x7145575fU, \
    0x8f823104U,     0x4d586ac9U,     0xc67167d9U,     0xdde53400U, \
    0xa8a54838U,     0x94c5d89aU,     0x7fc3a041U,     0xe11322dfU, \
    0xbe321121U,     0xb07d01ceU,     0x7fb4e9ceU,     0xf2379c15U, \
    0x136f2e48U,     0x06488e43U,     0x0a670970U,     0x35962d37U, \
    0x16e2d934U,     0xa50b70eaU,     0x5df905edU,     0xb9c2a5eeU, \
    0xb638025cU,     0x435ad558U,     0x1c6b28a5U,     0x138e9fe4U, \
    0x85edf575U,     0x4d149941U,     0x9bff71c4U,     0xf5656d91U, \
    0x3bcda8f8U,     0xfb07934cU,     0x13be8c82U,     0xabb17b69U, \
    0x0c20aeeeU,     0xf4277bc0U,     0x147e4b6bU,     0x1841776bU, \
    0x3ee905a1U,     0x45fd9a29U,     0x78445b3eU,     0x6dea1b5bU, \
    0x55a78702U,     0x43162228U,     0xea35b899U,     0x6146d760U, \
    0x8fd31ce2U,     0xed64f493U,     0x38d8a414U,     0x2cf6a701U, \
    0xe7d858a8U,     0xfe81bb20U,     0xfb3754e5U,     0x01f86a01U, \
    0xbd664363U,     0xb851cb8eU,     0xc68641fbU,     0xd570a985U, \
    0x64316776U,     0xc1fe21c4U,     0x0871d44aU,     0x868852f5U, \
    0xd3c11a22U,     0xf25026b9U,     0x57fc377bU,     0xb2bacbdaU, \
    0x38e65d04U,     0xef39de86U,     0x7ec2d893U,     0x7cd5b9c5U, \
    0xd7b8148fU,     0x3a1d7150U,     0xa0445aa0U,     0xb542f38fU, \
    0x2bdb4f9fU,     0x3db1ec88U,     0x097c8810U,     0xa30d2573U, \
    0x039ac9ccU,     0x8af0c4a3U,     0x5c978225U,     0xaf844bf6U, \
    0xdf6ec4a4U,     0x7326f333U,     0xbe7c9623U,     0xaa2aecf9U, \
    0x77aab6e9U,     0x19ff32a4U,     0x5c53f05bU,     0xf9d46b81U, \
    0x6affc3f9U,     0x8ecdbe83U,     0x7307aa46U,     0x35eb6ae2U, \
    0x4c83475cU,     0xec27a79fU,     0xb69f2ad1U,     0x01d76125U, \
    0xf6cfb655U,     0xf398c917U,     0xab395963U,     0x8777d2aeU, \
    0xe17af875U,     0xf9b71b9fU,     0x88c3003aU,     0xe4ef2520U, \
    0x7d42e60eU,     0x912db0bfU,     0x3e5b529eU,     0xb0d7baa4U, \
    0x63c582daU,     0x0ea46ce5U,     0xef0d3ea8U,     0x82de3ab9U, \
    0xe3048b55U,     0x7dd6892fU,     0xdc9fa802U,     0xfe196debU, \
    0x91a8a5e7U,     0xbb2659bfU,     0x221b29daU,     0xf017b78aU, \
    0x2ae3e807U,     0x449d2232U,     0x57d44840U,     0xe6e24d4bU, \
    0x7c141790U,     0x7e94f561U,     0x5fb394dcU,     0x7dde9c54U, \
    0x62d8b41fU,     0xf65bcd18U,     0x38a43dbfU,     0x46772f86U, \
    0x9729568fU,     0x2c0fa07eU,     0x092bbc7aU,     0xb6ed57bfU, \
    0xf56f27dbU,     0xa31ac432U,     0xccb51e1dU,     0x17edf95cU, \
    0x3d4e8eb7U,     0x2f2b745eU,     0x6b738572U,     0x3050f07fU, \
    0x738f60caU,     0x0e24927cU,     0x136b1592U,     0x4ad133e7U, \
    0x8c748895U,     0xca9b6278U,     0x2b99a8beU,     0xcc2448abU, \
    0x0feb162bU,     0xa5809789U,     0xb0273316U,     0xde73d5b9U, \
    0xeffc8e77U,     0x3c97a728U,     0xb10441deU,     0x7d9a644eU, \
    0x642e8e48U,     0x9d21988dU,     0xef86971eU,     0x5ccc77f9U, \
    0x43e4bc5eU,     0x0f7fcad6U,     0x6d7ed206U,     0x293f94a0U, \
    0x5fa91af8U,     0x44fc10baU,     0x14ddfc17U,     0x8a7322b1U, \
    0x2b48df63U,     0x5244c7a0U,     0x0eafe4bcU,     0x146ed532U, \
    0x4ec52f14U,     0xff66a973U,     0xdbf98f80U,     0xac51ca55U, \
    0x51b8c253U,     0xae5c02e3U,     0xd2e97150U,     0x5e62237eU, \
    0xe2fccdc0U,     0x8aff2e51U,     0xbc214308U,     0xbe0d9145U, \
    0xe9f6954aU,     0x75e6c7abU,     0x568a62ddU,     0xefca0f76U, \
    0xb86dd7feU,     0xe56200f7U,     0xa7476bd8U,     0xf53883f0U, \
    0x557e3be4U,     0x3db8a27aU,     0x7902627dU,     0x4bc16b94U, \
    0x4e7e8933U,     0xbd6b1d6cU,     0x496b43bcU,     0x34fd480eU, \
    0xdf82e10aU,     0x8a7995aeU,     0x926e0f09U,     0x924f268dU, \
    0xfaed1f63U,     0x2ac4bea5U,     0x6f92a826U,     0x16896ff3U, \
    0xfed5a325U,     0x8c2ca7c2U,     0x8654adc0U,     0x82d4943cU, \
    0xbc52ffb9U,     0x79ff24a3U,     0xd94f2f6cU,     0xc0a24b95U, \
    0xfc7084bfU,     0xc0c7a3aeU,     0x9f1d23c2U,     0xe07bb015U, \
    0x8b7aa515U,     0xc1f12f65U,     0x5fb7e02bU,     0x276fe7daU, \
    0xe965b563U,     0x86f40dabU,     0xe997bf67U,     0xf78e0a4bU, \
    0x59b2a801U,     0x91197827U,     0x4351850fU,     0x6a31bab6U, \
    0x20d2af62U,     0xd757bf85U,     0xfb79a4f7U,     0x1e3c3db3U, \
    0x038b23acU,     0xd34a0775U,     0xc4f02db4U,     0x023d28d7U, \
    0x604e88e7U,     0xf2796213U,     0xfb65fba5U,     0xa39e390aU, \
    0xe2557b53U,     0xaed3d545U,     0xead5b43aU,     0x18605239U, \
    0x4676a1eaU,     0x88421a38U,     0xe6f7d5cdU,     0x8c0705f4U, \
    0x84997454U,     0x9ceca042U,     0x2d62011fU,     0xdb80c0d8U, \
    0x0822b636U,     0xac5b8203U,     0x0ad36a02U,     0xf27d1363U, \
    0x96545fafU,     0x88a0947cU,     0xe957f1eeU,     0x1826bf23U, \
    0xf94a3297U,     0x452d1f23U,     0x87c1f096U,     0x06501593U, \
    0x0d9f5c81U,     0x6f16a82fU,     0x3b554ae1U,     0xfb85cb77U, \
    0xa8d611a2U,     0xff1b96a5U,     0xb4d87214U,     0xdf1d7fdbU, \
    0x628daaaaU,     0x26faa038U,     0xdbce3001U,     0x630f48f2U, \
    0x166ee38cU,     0xfd631f1fU,     0xa1083933U,     0x13bc96b2U, \
    0x0b50a2cfU,     0x477fef8dU,     0xdf7bb1c0U,     0x4f5b04f3U, \
    0x8a9d7798U,     0x590a03caU,     0x61bc6865U,     0x4d087000U, \
    0xb43914d6U,     0x3b86499bU,     0xafd463c6U,     0xb7a4b911U, \
    0x02438cfaU,     0x5724eab2U,     0x369d19eeU,     0xd77bf30cU, \
    0x2e6f2f7aU,     0xbaac6b09U,     0xd279204bU,     0x8021e68bU, \
    0xf513c3caU,     0xe1e43121U,     0xbaa14a5cU,     0x6c1744ceU, \
    0xb5e8f5f7U,     0x676332d3U,     0xab2e53b1U,     0x9abdbec3U, \
    0x054a0a94U,     0x5bd7cf8bU,     0xffcb0b29U,     0x82f612bfU, \
    0xf3a85c7eU,     0x8ff4cd39U,     0xbfe7b48eU,     0x0529fa91U, \
    0x8788001dU,     0x1118454dU,     0x7b3e8b7fU,     0x27acb384U, \
    0xa3359716U,     0xa38e788dU,     0xab30a3e3U,     0xecd9d032U, \
    0x9eb8728eU,     0xd0ee2a7bU,     0x4f6c1d17U,     0x8aac23b1U, \
    0x3afd170aU,     0xb0bc8b76U,     0x2e7dc2b5U,     0xbcaf7721U, \
    0xf46d8d93U,     0x0b25c556U,     0xec373edbU,     0x7f845a8dU, \
    0x0ad6c1a9U,     0x9a567deeU,     0x98dc5e14U,     0xfb460e3aU, \
    0xbe6d1ab6U,     0xff7716f2U,     0x6dc3ef7cU,     0x1b52d7fdU, \
    0xa7995713U,     0x59c3d254U,     0x47216a75U,     0xc4e7cfa9U, \
    0x0224acedU,     0x66ed713bU,     0xb964b98fU,     0xba1549beU, \
    0x8810d844U,     0x63dab6ffU,     0x6e116166U,     0x03679ad1U, \
    0xa2760623U,     0x4eb8b37dU,     0x1c6024a9U,     0x52c8ed8eU, \
    0x5a83d957U,     0x670b2654U,     0x6856bd74U,     0xa9aec273U, \
    0x75894ea5U,     0x82c5d6c2U,     0xd9368ba2U,     0xdf666db1U, \
    0xedbaf562U,     0x3dcc4fefU,     0xc1e8640aU,     0x7797b175U, \
    0x9be7439cU,     0x79835b2bU,     0x1a043733U,     0x98e4ff0cU, \
    0x3fc67414U,     0xc7b5b083U,     0x841aefacU,     0x8a91fa80U, \
    0x016f68fdU,     0x839ed2deU,     0x6b669771U,     0x641f933bU, \
    0x13fdacc1U,     0x5e277ed3U,     0x3b10eea7U,     0x3dd156acU, \
    0x7aa9c5b6U,     0xea18651dU,     0x2e477abbU,     0x51f5031eU, \
    0x3095234fU,     0x752ea71dU,     0x4ffeb8e4U,     0x7287515bU, \
    0xe1b8c13cU,     0xad21df92U,     0xf8fca801U,     0x71493874U, \
    0x67c7b0daU,     0xa36005f0U,     0x05793b45U,     0x1506d028U, \
    0xa51af789U,     0xb555ab26U,     0xcfa373d4U,     0xcaf900a4U, \
    0xbd0cd5d8U,     0x0b444b33U,     0x9a999630U,     0x16f665b3U, \
    0x024befddU,     0x2c204da2U,     0xad30ac89U,     0x7ed64a19U, \
    0xc3ab34eaU,     0x0e7a0145U,     0x47fb3642U,     0x6ba582ffU, \
    0xbecdefa9U,     0x7d5c2967U,     0xd61a1f89U,     0xdd74270fU, \
    0x97983156U,     0xb6cdfb4cU,     0xffb98c10U,     0xb0b94b4fU, \
    0x6e7de0ecU,     0xcd6e71b3U,     0xbc827626U,     0x68627adaU, \
    0xd0860d1aU,     0x51be4f26U,     0x6ec6e885U,     0xa67f5ed9U, \
    0x7a7ee37eU,     0xe49b1ab9U,     0x9a43367cU,     0x970775faU, \
    0xc2e90c4eU,     0x5d1ba3ceU,     0x4e9651d6U,     0xb683b222U, \
    0xb8afcd0eU,     0xfad873f1U,     0x7db9f445U,     0xecd0ee01U, \
    0x9c631f0eU,     0x511c338fU,     0x54fe1517U,     0x01457f3dU, \
    0x2a94744bU,     0x9517ad21U,     0xde4fc6d4U,     0x85ca528dU, \
    0xc7900f8eU,     0xcb64b356U,     0x82d5badfU,     0xc25bf608U, \
    0xf47b185bU,     0xf52b9c98U,     0x4a579ff8U,     0xba21455cU, \
    0xef53f821U,     0x27f2fdeeU,     0xd5623a32U,     0x1fab05faU, \
    0x97748f16U,     0xf1c146c9U,     0xfc343e44U,     0x227fbe25U, \
    0xecefe30eU,     0xe82fc50eU,     0xe58e7df3U,     0x3a39a319U, \
    0xa81a884aU,     0xa83fe0fbU,     0x3fe101aeU,     0x0a1b3a2aU, \
    0x3704ac94U,     0x686d3b55U,     0xb9fb94b1U,     0x90e052e2U, \
    0x11384eacU,     0xd2cb298aU,     0xa123cebbU,     0x192fe77dU, \
    0x64fbaa7dU,     0x326cecbbU,     0x192d1162U,     0x573367e1U, \
    0xdb7e968eU,     0xb7adb67bU,     0xd4cfd8d9U,     0x609ba438U, \
    0x2353699bU,     0x38a039a1U,     0xf2a91b45U,     0x6f988a08U, \
    0x8977d743U,     0x8067466aU,     0x1a685da3U,     0x967c1be4U, \
    0x8d9f379fU,     0x6274fb65U,     0xc22a5c3bU,     0xc0076ad9U, \
    0xe323575bU,     0x2347b0bfU,     0x6f60668aU,     0x523db800U, \
    0x8fe986d5U,     0x158a5f35U,     0xd7286a4dU,     0x6e9a17d0U, \
    0xf102e5d7U,     0x5098179bU,     0xbeda44d9U,     0xe3cdfd69U, \
    0x5c44c9bbU,     0x6ad06f7eU,     0x840f6b3fU,     0xa4fad658U, \
    0x15adac3eU,     0xe7474495U,     0xa4bad852U,     0xa634b23aU, \
    0x8266101bU,     0x05b0a3b1U,     0xf9f6ebaeU,     0x2eb4d59fU, \
    0xb79479faU,     0x39bee44fU,     0x1b3b4519U,     0x8b03c7e2U, \
    0x88843c54U,     0xc2f8cc8fU,     0x430beb4aU,     0x2526a6eeU, \
    0xd05fc2b6U,     0x261051b1U,     0x93de797dU,     0x19647bfeU, \
    0x7d9663bbU,     0xa21c5522U,     0x03113d2cU,     0x7687530eU, \
    0x3e990e82U,     0x02287537U,     0x417ca544U,     0x2a8ba537U, \
    0x312e5eeeU,     0xacca3a16U,     0x32554d1bU,     0xd9131b99U, \
    0x556264d5U,     0xc544e975U,     0x9b6c66aaU,     0x3bdba510U, \
    0x3881521dU,     0xcdee0431U,     0x82e50139U,     0xaf1bc3c0U, \
    0x807dfdcfU,     0x99df3670U,     0xb1b2be61U,     0x628e752bU, \
    0xd6c56560U,     0x42732a8dU,     0x9f8990e6U,     0xfe3cda40U, \
    0xe76432ddU,     0xfd29875cU,     0x8154a413U,     0xb5dc5435U, \
    0x0d6392b5U,     0x72918a94U,     0x798b2914U,     0xf17c841dU, \
    0x1eeddc46U,     0x3dd248daU,     0x278bd99aU,     0xa981d82fU, \
    0xca096046U,     0xcf87339eU,     0x59a875f8U,     0xdf94bc78U, \
    0x26cbf4fcU,     0x0f31d7d9U,     0x3b09993aU,     0xa7976e27U, \
    0x5207b11eU,     0x0c60e3e5U,     0xa40ecb7bU,     0xb2a996a4U, \
    0x30a700b5U,     0xf9913c81U,     0x474cd8fcU,     0x6024e939U, \
    0x9ae2fd4fU,     0x59fe3b02U,     0xe4641eb4U,     0x15cb1fe1U, \
    0xd382cc2fU,     0x363d64feU,     0x8554e428U,     0xad1408d4U, \
    0xaea258a8U,     0x56b9f562U,     0x05889163U,     0xd39da2dcU, \
    0x716a7c36U,     0x9590ce8cU,     0xbbe08c93U,     0x8d303359U, \
    0xf87efa8bU,     0x7932b705U,     0x36349efbU,     0x50576b55U, \
    0x31e88d0aU,     0xa46ce031U,     0xa09fe8f3U,     0xa5a7bfa5U, \
    0x8750ce6bU,     0x679a5c04U,     0x80914241U,     0xf8b9c307U, \
    0x7cd389f7U,     0xfb27f566U,     0x71d0ae54U,     0x2d9853d6U, \
    0x1cdfbde5U,     0xf66fceb8U,     0x1703e874U,     0x4ff534afU, \
    0xe96fad8dU,     0xfd6f4198U,     0xed6d5995U,     0x341c7856U, \
    0x08739a2eU,     0xd6583946U,     0x026f6099U,     0x25b2e08fU, \
    0x39f724b9U,     0xba9078dbU,     0xbd19163eU,     0x9f736b05U, \
    0x10e1f29dU,     0x101baaebU,     0xf2ea8e3aU,     0x0b2229c6U, \
    0x271e1417U,     0x478da000U,     0x411d39faU,     0xceb8d920U, \
    0xa961a6a7U,     0x0ddc89bdU,     0xeefd1946U,     0x32062a32U, \
    0xa3f551b3U,     0x8545a193U,     0x32499684U,     0x43d37083U, \
    0x43eacef5U,     0xa66978ccU,     0x5bf7d52fU,     0xeb4c9da5U, \
    0x707eb3b8U,     0x02dc5236U,     0x153e1ee5U,     0xb37b30a3U, \
    0x60efd760U,     0xa7e78c9aU,     0x5272b809U,     0xbe58051fU, \
    0x586631f8U,     0xbc409acfU,     0x495d008cU,     0xfb3498aeU, \
    0x02ebdc5dU,     0x3fb7b316U,     0x80a5d64eU,     0x07ee0bccU, \
    0x8ef149f8U,     0x33390d9eU,     0x77089052U,     0x5502079fU, \
    0x08320d9eU,     0xca20a8eaU,     0x8fea0ed6U,     0x9014e46cU, \
    0x0af187feU,     0xd6fa7db4U,     0x612905e5U,     0x62b44670U, \
    0x5846823cU,     0x7814dad6U,     0xa92c8efaU,     0x458a63aeU, \
    0x4b94c75aU,     0x34a8f56bU,     0x7eb75e1fU,     0xe062e4d3U, \
    0x511fd000U,     0x857f1f72U,     0xbaaadafbU,     0xfa3bf21bU, \
    0x92bf7c64U,     0x65515ac4U,     0x3df22f20U,     0x0398c11aU, \
    0xcee826d6U,     0x5b6197dcU,     0x86c76480U,     0x1cd6c5faU, \
    0x6b4c0834U,     0xad4c12bbU,     0x4eb62db5U,     0xdf915266U, \
    0x78fc103aU,     0xa77e39e7U,     0x53a3c0ccU,     0x295c80d9U, \
    0xc653f9a0U,     0x4dfc9df9U,     0x3ef12792U,     0x30b63376U, \
    0x3009b791U,     0xc09a718bU,     0x45707c82U,     0x9d9ebee6U, \
    0x0a2839fdU,     0x8e2a8658U,     0xcd62e07dU,     0x02aef67dU, \
    0x779e40aaU,     0x270fb7ffU,     0x2f90081fU,     0x4563be9bU, \
    0xb959f4dbU,     0xe193aa06U,     0x50bd3441U,     0xc67b35a0U, \
    0xb301f344U,     0xdd93ee1eU,     0x31ee9ad6U,     0x5f583ff2U, \
    0x0bba05a4U,     0xbfaceb6aU,     0x590b76caU,     0xe52cd044U, \
    0x9a74abdbU,     0x3b37b301U,     0xb7e857b2U,     0x2b2d821fU, \
    0x05b89149U,     0xc317926dU,     0x0627599dU,     0x5f55d7fdU, \
    0x3af4745bU,     0xac221df7U,     0x7a0ea2c6U,     0x026ba7d1U, \
    0xf4869acbU,     0xf1f0a529U,     0x316f0537U,     0x54101f23U, \
    0xaca82c4fU,     0x7bdae0e0U,     0x91961f99U,     0x94d27347U, \
    0xc559931eU,     0xcf5f26b0U,     0x69a64516U,     0x3803ea42U, \
    0x052d9743U,     0xcdecf961U,     0x1ec28d40U,     0xba612691U, \
    0x8e6faee1U,     0x4306b636U,     0x827b1940U,     0x8ee398e3U, \
    0x0b7d950bU,     0x627c894cU,     0x30467170U,     0x49c9b6e1U, \
    0x0463395aU,     0xb96ae5deU,     0x334cf7eaU,     0x5d588531U, \
    0xeec4d765U,     0x5c50fa38U,     0xae2ad646U,     0x9522647bU, \
    0x861ab59bU,     0x7d55c773U,     0xcd78e9e9U,     0x06fe4146U, \
    0x58ac130aU,     0x9e509acbU,     0xe069608fU,     0xe19f47fcU, \
    0xb47a34e5U,     0xe5180289U,     0x0ee7624fU,     0xe5ecffd1U, \
    0x015a8349U,     0xe0c7d4d5U,     0xed579ad6U,     0xaededff8U, \
    0x31692a64U,     0x593a671aU,     0x197c0fc6U,     0xd1568e3cU, \
    0x2c8c6dc0U,     0x54112f32U,     0x7d6117e3U,     0x36c1ad46U, \
    0xd9261282U,     0xe54990a0U,     0xa6985352U,     0x0eca0477U, \
    0x09494baaU,     0xd7a9ecafU,     0x57f2f7f2U,     0x909413f0U, \
    0x3007b993U,     0xd4906a78U,     0x535e69d7U,     0x91cba505U, \
    0x73c94352U,     0x4659d06cU,     0x944ec160U,     0x7b140978U, \
    0xec22c62fU,     0x7078f0efU,     0x62c877f2U,     0xebdf1beaU, \
    0xb4bccfaaU,     0xbe07b7b8U,     0x948be951U,     0x5d4d961cU, \
    0x87498751U,     0x34fd9eeeU,     0xe953bf42U,     0x69f0bc24U, \
    0x32387f91U,     0x07502d14U,     0xc52823b4U,     0x6effb0f9U, \
    0x624fd9a4U,     0x33768719U,     0xb43f4731U,     0x11d91724U, \
    0x0a58d069U,     0xdd3561ffU,     0xa4d72e1cU,     0x70fcf553U, \
    0xcc7c8b4fU,     0xfac8f087U,     0xaefa42c4U,     0xdabcd684U, \
    0x84120b48U,     0x438e5093U,     0xa9cb244fU,     0x2a965a1cU, \
    0x4dc38534U,     0x40594797U,     0x44422fe4U,     0x968cedaaU, \
    0x25295c22U,     0x10109599U,     0x47ea4fccU,     0x4b974930U, \
    0xd6872d2cU,     0x898c81ceU,     0xd42f8f94U,     0xeffc16a9U, \
    0xca6b0288U,     0xed8694b4U,     0x30f60502U,     0x5075f8a4U, \
    0x70d8a4d6U,     0x1dd05da2U,     0xcf675043U,     0x1d27743dU, \
    0x1a996e23U,     0x0b126011U,     0x9a9cc259U,     0x77c064b2U, \
    0x90704e69U,     0x82f66894U,     0x758dec54U,     0xa70195faU, \
    0xe08005ddU,     0x001fc6c6U,     0x231c16b4U,     0xd0a7310fU, \
    0x32c868cdU,     0x6af365b2U,     0xb45d2aacU,     0x6fc0a655U, \
    0x17587983U,     0x64d60f74U,     0xdcc06b14U,     0x82e72cb1U, \
    0x5812ce59U,     0x357cc5f1U,     0x72bb2b7fU,     0x6a872b91U, \
    0xde640a80U,     0x48caa6b0U,     0x7ad738c2U,     0x476b99caU, \
    0x364b375aU,     0x0cc77c33U,     0xf6171233U,     0xe2ff4946U, \
    0x26708d0cU,     0x049c2d9aU,     0xd726ca4dU,     0x5ec17e9fU, \
    0xa059772aU,     0xfbc03d8cU,     0x098cd3c3U,     0x1009e452U, \
    0x9b9fff35U,     0xc63d742fU,     0x0f3410c1U,     0xe7799533U, \
    0x1630525fU,     0xd8ee7683U,     0xe1d06d05U,     0xde3c50bbU, \
    0x00a6fbbfU,     0x1d347637U,     0xe9d7369aU,     0x1008edb9U, \
    0x223f1a26U,     0xf47bfab7U,     0x75b6be20U,     0x515fef7aU, \
    0x13465578U,     0x84e4c958U,     0x29e67840U,     0x81967407U, \
    0xb09c1ecbU,     0x55232a31U,     0x6b87cae2U,     0x8fa32663U, \
    0xab3da0caU,     0xfef51887U,     0x0b08f709U,     0x231a1641U, \
    0x0a6d4ed1U,     0x2a2493b7U,     0x331fc3a6U,     0xe2b3c978U, \
    0x4f452a43U,     0x2b76fdecU,     0x7134e826U,     0x79050b20U, \
    0xac672408U,     0x9615d486U,     0xf83ab1e2U,     0x577c1780U, \
    0x71dd53bbU,     0x79f07647U,     0x6405743cU,     0x55bec124U, \
    0x9227412cU,     0xed6c7542U,     0x10490f97U,     0x255042cdU, \
    0x039a6672U,     0x6cdde810U,     0xdc6815feU,     0x1422071aU, \
    0xddb3e095U,     0xdc089a87U,     0xe8e96181U,     0x12507421U, \
    0xf619917bU,     0xf8d7b01dU,     0xe9b39950U,     0x25a0124cU, \
    0x1f336a1aU,     0x03bc75edU,     0x8ee43ebeU,     0xc4f716efU, \
    0xfa37a8deU,     0xfe489b60U,     0xe427b5a2U,     0xd04a7d5bU, \
    0xb64d65dbU,     0x85cae8b7U,     0x2c64b8a5U,     0xef3c2e2eU, \
    0xfbc0f625U,     0x91158bbfU,     0x320a5a08U,     0x3be9f0d7U, \
    0xdc07bd57U,     0xc17caca4U,     0x60d56190U,     0x8b690b4aU, \
    0x943d5d35U,     0x6dae215bU,     0x0c5fdaa7U,     0x7842c28eU, \
    0xa06e2b4bU,     0x088543bfU,     0xab25c0c5U,     0x97d25dd0U, \
    0x55830c41U,     0x65025c15U,     0x7495d793U,     0x81b594ecU, \
    0x8d48912cU,     0x27af5442U,     0xb71393ccU,     0x7deb67afU, \
    0x880207bdU,     0xba109537U,     0xdb0d4edcU,     0x898ba212U, \
    0x760b37e5U,     0xa508d7bfU,     0xe6174ed5U,     0xb48ae95fU, \
    0xdbd3b59cU,     0xa7a05423U,     0x8de1df19U,     0xff82f3a0U, \
    0xf0a8a126U,     0x8f44c586U,     0x2b3a49ccU,     0xb8db107eU, \
    0xb5b11f0bU,     0x344dde60U,     0x9789cb9fU,     0xd4c6ba3dU, \
    0xf95ce25bU,     0xfa86970bU,     0xda4bf16aU,     0x32247818U, \
    0xcf2d53dcU,     0x7c478fceU,     0xc23c4fa6U,     0xa70368a0U, \
    0x62e97408U,     0x2f00e08bU,     0x67a3085eU,     0xec048648U, \
    0xb4a20321U,     0xaabfec01U,     0x718cab57U,     0xca796b8cU, \
    0x7078e1faU,     0x9b064030U,     0xb21e6accU,     0x6e592092U, \
    0xdb9dbdb6U,     0x844d8befU,     0xc404102fU,     0x0cb833a8U, \
    0xb43ef4dbU,     0x1496cb75U,     0x7c151731U,     0x84d94456U, \
    0x126dfe11U,     0x9596c158U,     0x8c0438d2U,     0x01e051e9U, \
    0x20a58282U,     0xbda5ba1aU,     0x12eaeed0U,     0x0e2a2b87U, \
    0x712b79afU,     0x58361336U,     0xe334c7b0U,     0x880e4005U, \
    0x62969692U,     0xbaca2e04U,     0x3dd3d14dU,     0xf199d6d3U, \
    0x47b13d3eU,     0xa80911f9U,     0x2f5d04c3U,     0x73f41c60U, \
    0x00b95499U,     0x825f348dU,     0x0da61830U,     0x39ae9a5eU, \
    0x08040a31U,     0x65f96df1U,     0x0b9d5bc9U,     0x4265245eU, \
    0x80944fa3U,     0x97fefb53U,     0x7190a14bU,     0x4b659909U, \
    0xdd1ad08eU,     0x2c559e67U,     0xb063b814U,     0x7271ccbbU, \
    0x5a7ef671U,     0xfd63d150U,     0x5aed6c77U,     0xa458507aU, \
    0xc059fccfU,     0x719bed1cU,     0xcf0ebdbdU,     0xb62b2755U, \
    0x2f08fff9U,     0xf46301c9U,     0x7ed04a9aU,     0xe1cf482dU, \
    0x725c71daU,     0xc26687cbU,     0x4b0333baU,     0xdbdd5ff9U, \
    0x0e27f358U,     0xcca7b14bU,     0xbe9dc184U,     0x4ba0402bU, \
    0x82489098U,     0x5c527447U,     0x014d6507U,     0x4f2e063bU, \
    0xd40213d4U,     0xd673238dU,     0xdf6ac51eU,     0xd88aaacbU, \
    0xe4c7a152U,     0xa1273ca8U,     0xed967dd2U,     0x9ff8ea54U, \
    0x4e2b0dffU,     0x09ce0925U,     0x0a4051adU,     0x5c2a8869U, \
    0x71879863U,     0x52ab1648U,     0xa2cd0965U,     0x1dbbd9a5U, \
    0x2588d4e2U,     0xdb842fb3U,     0x014b7301U,     0x9f9bba45U, \
    0x325af2e1U,     0xb9fb3482U,     0xfa352b74U,     0xeb291612U, \
    0x98963a08U,     0x0c25e5b5U,     0xecdcf3c6U,     0x63cf59d0U, \
    0xcee56621U,     0xe514e395U,     0xe9fc82daU,     0x4b994078U, \
    0xb2ccdd4dU,     0xc80068f7U,     0x146f65a3U,     0xd9026a5eU, \
    0x3fc6d5adU,     0x9aba83ddU,     0xd652e15cU,     0x5367ae05U, \
    0xc734741fU,     0x50210c46U,     0x90475a13U,     0x4bddf849U, \
    0xd0a0f889U,     0x0eeb2372U,     0x3cfd16f2U,     0xad7eac30U, \
    0x5d0fa807U,     0x7a89bbd1U,     0x6eab0c70U,     0xb7c8f6b5U, \
    0x217a55eaU,     0x4c3c4b8aU,     0xc092a6ddU,     0x84000b71U, \
    0xb01998acU,     0xaf8beaa8U,     0xc6fb6b27U,     0xafcb42adU, \
    0xf9d7b73cU,     0xd38f3db7U,     0x5652b587U,     0x0ada058fU, \
    0xe3c2cf9bU,     0xcba1c83bU,     0xd778c7ebU,     0xf0d8a2e4U, \
    0xd769e167U,     0xb014ac5fU,     0x5c8bf3b6U,     0xac26e3cfU, \
    0x763bde9bU,     0x36e1c85fU,     0xb9ada825U,     0xcb746cccU, \
    0xe913477bU,     0x4ee165afU,     0x9bb2baeeU,     0x5037804fU, \
    0xc52f9333U,     0x9427546bU,     0x12520dbfU,     0x0c8cd629U, \
    0xa950013aU,     0xe9a9b02eU,     0xa928ccdeU,     0x730c918eU, \
    0x6b947197U,     0x332f0901U,     0x6313617bU,     0xd129f54fU, \
    0xa478cdf7U,     0x4ad09a4eU,     0xd3a9ddf3U,     0xce056e90U, \
    0xaa1e792bU,     0x4e9bf90eU,     0xd3c5f382U,     0x53c9d0bdU, \
    0x972259bfU,     0x21c0acbaU,     0xeb03805fU,     0x2b14bcd3U, \
    0xdba0e7b5U,     0xf06847d7U,     0x06dc9f6dU,     0x1d367a37U, \
    0xf18c83bcU,     0xbbfb8671U,     0xbd4365d7U,     0x7959ce8cU, \
    0x4da55865U,     0xfa66bd90U,     0xd6b32dcaU,     0x3b036d18U, \
    0x2082b35dU,     0x3caf324eU,     0xd34d4ec5U,     0xb014e30eU, \
    0x1204e55bU,     0x94274533U,     0xa955a85fU,     0xd0c51255U, \
    0xb3f0a41dU,     0x09533387U,     0xea835c19U,     0xca4e71b9U, \
    0x8112313dU,     0xe1c67982U,     0xb6df0bdaU,     0x5ef50b45U, \
    0x6011fdcbU,     0x2ab663d3U,     0x8a70c29bU,     0x7d5f031bU, \
    0xc4bd6e9eU,     0x5be13fa5U,     0x4c8b139aU,     0x4ec22cb9U, \
    0x21ebee86U,     0xad57f378U,     0xd0d3c2d3U,     0x402438abU, \
    0x99dcc562U,     0x5e8c1e22U,     0x9bd4735bU,     0x111ea0f1U, \
    0xbf39b921U,     0xffc2add5U,     0xac2a5166U,     0x88f7b712U, \
    0x8c3a2b73U,     0x833471fdU,     0x1f9fb5abU,     0xbfe15edcU, \
    0x3b1dbad8U,     0x180296deU,     0x6009d6f3U,     0xe99e3386U, \
    0x7398337fU,     0x7f51d830U,     0x02c6bd40U,     0x6fd6dcb5U, \
    0x6cd09e00U,     0x30a172d9U,     0xe26df8afU,     0x1b5bdc6dU, \
    0x46175cccU,     0x4c958b6dU,     0x72eb7316U,     0x1d3e1e6aU, \
    0x83f3ec02U,     0x81fe1fbfU,     0x77a2436aU,     0xfbb5290fU, \
    0xc69b69f4U,     0xdd7b812bU,     0xe29b5f00U,     0xbde539c0U, \
    0x3274c9ffU,     0x80fbaffcU,     0x1bc61b8dU,     0xae644e46U, \
    0x625cb298U,     0x8b79f1a8U,     0x55ab3746U,     0x970b23bcU, \
    0x638b5020U,     0x4a843dd9U,     0x3c0ddceaU,     0x9ac5a73cU, \
    0xa0e1c124U,     0x417bf71cU,     0x3d88dd91U,     0x6630b319U, \
    0x0e01279aU,     0x9e344743U,     0x07f13e3eU,     0x0aca240bU, \
    0xb0e0f069U,     0x03ac0f07U,     0x7948da08U,     0xaa5968ceU, \
    0x0ad9d830U,     0xe09208ddU,     0x54b617c4U,     0x900c14f9U, \
    0x350e6f06U,     0xbf6fd084U,     0xc3f5af3eU,     0x05260cfaU, \
    0x916d04c7U,     0x993953baU,     0x52f46424U,     0x7a8d5aa3U, \
    0x07cc5078U,     0xf4ae3c84U,     0x2e0aa226U,     0x256d7750U, \
    0x347bc8ebU,     0x06ae71d7U,     0x08a36758U,     0x1633a865U, \
    0x4e3bb27cU,     0x0dc4e1fcU,     0xb51d73e3U,     0xcad40d21U, \
    0xa39bc24eU,     0xa13b3afaU,     0x66e5ddc1U,     0xd6928f07U, \
    0xcd62a77fU,     0xb513c9e2U,     0x317fd9feU,     0xeae6b333U, \
    0xdfeddb2bU,     0xbb8b8160U,     0x27772466U,     0x1060f910U, \
    0x41dfc0afU,     0x514a2015U,     0x183a79d1U,     0x6d292f5eU, \
    0x25174d5fU,     0xc995cb09U,     0xb334f8a3U,     0x748c3d46U, \
    0x7203f8eaU,     0x075c65e5U,     0x6edcbec5U,     0xb95d2a2cU, \
    0x34ad31a3U,     0x98ecb42dU,     0xfdda9277U,     0x4d6bea25U, \
    0x0328313aU,     0xbbb469b5U,     0x53baf0d5U,     0x355e379dU, \
    0x2a2026e1U,     0x7f4eb80aU,     0x8fad53e2U,     0xec832ebaU, \
    0x582411eeU,     0x304872cbU,     0xc478ad85U,     0xe80b48d5U, \
    0x08f9a23cU,     0x98067126U,     0x3fd17890U,     0xfb489186U, \
    0x3cfbb289U,     0x17e47e3bU,     0x8d093996U,     0x1166d3feU, \
    0x5e0dee3bU,     0x8f71ea44U,     0x7793c922U,     0x9f2cfbbaU, \
    0xb5c1443eU,     0x4198230aU,     0x8076a09bU,     0x8431429eU, \
    0x6171d332U,     0xefc5f78cU,     0x47a23365U,     0xfbc1e411U, \
    0xaecff53dU,     0xd6ff3865U,     0xa2c37c9cU,     0xa9771567U, \
    0xc3b45cffU,     0x6410aae7U,     0xdba66fe5U,     0x1ab645f5U, \
    0xa08b434eU,     0xd06449ecU,     0x5acf2a5bU,     0x523f7ac9U, \
    0x0f7aeb12U,     0x65a61359U,     0x0c2b5473U,     0x391623f0U, \
    0x1e6c9090U,     0x351e26bdU,     0x9b06853bU,     0x28c1d4ebU, \
    0x88cc329bU,     0x51468849U,     0xb4750a06U,     0xf529191bU, \
    0xcbffd584U,     0xb58a08c0U,     0x31e5a2d5U,     0xa4267861U, \
    0x11f442c2U,     0x3b202f0cU,     0xe45f3032U,     0x90d82e69U, \
    0x6c3f4a98U,     0x453efbddU,     0x0054df6dU,     0x3674f952U, \
    0x659f91a3U,     0x447ab3d2U,     0xcd69a2e4U,     0xa11afa9eU, \
    0x15a198e8U,     0xc9716957U,     0xa16244f7U,     0xb886e813U, \
    0x7539bf49U,     0x3fcf550eU,     0xc6606c4fU,     0xd5f75d6fU, \
    0x5d90546aU,     0x0d0de37aU,     0xcb3194a2U,     0xd085815fU, \
    0xa4ad8101U,     0x68dd8e17U,     0xd6ab89b1U,     0xd7db5edcU, \
    0xb9f3615fU,     0xb9c62460U,     0x3c92d713U,     0x2f4778f9U, \
    0x22ab0c0eU,     0xcf8455faU,     0x3dfce524U,     0xf2b30c66U, \
    0x3d8e7be7U,     0xa33b36ecU,     0x7623111aU,     0x9f851fe4U, \
    0xc74ea3f5U,     0x2f849f53U,     0x1903af49U,     0xd912ad2dU, \
    0x5477256eU,     0x32486ecfU,     0x29070ad9U,     0xe34ebe59U, \
    0xd39ff6d5U,     0xd38a2b12U,     0xf9690decU,     0xbd277b67U, \
    0xff16dab7U,     0x2c9d7ff8U,     0xe48d0362U,     0x48b304a7U, \
    0xc48af8ebU,     0xd1a1dc29U,     0xf7bc825eU,     0xc42d6dccU, \
    0x4965983aU,     0x15929ef5U,     0xd23c8273U,     0xd0b808c1U, \
    0x3fad52e4U,     0xe88b5b5cU,     0x8ddadbd9U,     0x0d625322U, \
    0x84778f5bU,     0x03fc93deU,     0x7628c595U,     0xf36ccc13U, \
    0x8e91e9e8U,     0x885e9cf7U,     0x337db41eU,     0xd1eb8d92U, \
    0x9e3f7671U,     0xc1870560U,     0x22a10fbdU,     0x7c6fa8c7U, \
    0x60c2936bU,     0x46309edaU,     0x0b44bfc4U,     0xa4d1711bU, \
    0xa57f7865U,     0x851de1f2U,     0x3f3c2cc3U,     0x1c76c300U, \
    0xa1fbafe4U,     0x3bc83d5cU,     0x164037caU,     0x575d89fdU, \
    0x1290fc74U,     0x9afa626cU,     0xf41232d2U,     0x983782aeU, \
    0xfb746c6eU,     0xdc1faf21U,     0x41f75482U,     0xa675e2b7U, \
    0xd9ae85c0U,     0xed0910e6U,     0x55d3be33U,     0x9bdf50f2U, \
    0x12a37ac2U,     0xc3320e84U,     0xb40acea3U,     0xc972793eU, \
    0x1c1de7fcU,     0x0f6cb6c2U,     0xc9942778U,     0x71127d52U, \
    0x451347b7U,     0x3c7f586cU,     0xcec6c0f9U,     0x91d89278U, \
    0xf95e1e67U,     0xdd9f416aU,     0xebf116e8U,     0x2424e749U, \
    0x7085c58eU,     0x85694f0cU,     0xa71cfb2bU,     0x8bf7fddcU, \
    0x55f44964U,     0x3b8b6628U,     0x734d2091U,     0x3b7f5902U, \
    0xd5320e1aU,     0xdaa15bd7U,     0xd086778bU,     0xe89304f3U, \
    0x6e10dbcdU,     0x9eb572a5U,     0x209c844aU,     0x8e1d74fdU, \
    0x0172425dU,     0xfcc633f0U,     0x0212304aU,     0x5ba35691U, \
    0x851ff655U,     0x39b8fdf0U,     0xf6692cf6U,     0x059740e1U, \
    0xa768e616U,     0x98573140U,     0x39e48c2dU,     0xfa9cba70U, \
    0xa093afffU,     0x2d3a25e3U,     0x79d76b1fU,     0x33fda642U, \
    0x57e0d1eaU,     0x64e5ed9bU,     0x624881d1U,     0xbdcbfe5eU, \
    0xf4b71bdfU,     0x21e4e173U,     0x2dfb6dbeU,     0x96b8490dU, \
    0x533c44eeU,     0x29c028ebU,     0x2652f09bU,     0xaa255813U, \
    0x272ab36eU,     0x48e25accU,     0x1cb12994U,     0x282f48a9U, \
    0x85498d90U,     0x0ee898c3U,     0xaac4779dU,     0x40b95982U, \
    0xd224dd91U,     0xe276c9f0U,     0xba336c45U,     0xcc7559fdU, \
    0x3de16537U,     0x42867513U,     0xb1b6efa3U,     0xa98e69c6U, \
    0xe50f36efU,     0xbc047a42U,     0x0b4cae92U,     0x34b97b79U, \
    0xa2c33975U,     0x43ef98b7U,     0xfac3cb2aU,     0x1cb440a9U, \
    0x3f27932fU,     0x754bfaaeU,     0x7a4f628bU,     0x0f787cb2U, \
    0x0473ea8dU,     0xc9b64517U,     0x0e2a503cU,     0xace5f74bU, \
    0xd9fe9144U,     0xaf5b1594U,     0xe3a6952dU,     0xb937341fU, \
    0x27f4fe75U,     0x5d889194U,     0x3bc6e506U,     0x113a5781U, \
    0x1a91a342U,     0xca497ff5U,     0xa5149a22U,     0x0e2d00cfU, \
    0xa899f9d3U,     0xf0ecd5a1U,     0xc3edc1ecU,     0x0e01a556U, \
    0xd4e4df00U,     0x2b862f76U,     0xf774c922U,     0xc9d863f6U, \
    0xf389bcb1U,     0x3a90b7ceU,     0xfa57c7b0U,     0x5933e370U, \
    0xc9655a78U,     0x946b02f8U,     0x37219642U,     0x963aef03U, \
    0x91f100b5U,     0x00107575U,     0xe8eeffd6U,     0xeb484361U, \
    0xed6bd1f6U,     0xd1968e66U,     0x112ff4e9U,     0xaa456247U, \
    0xd7bdea7fU,     0xceef75f4U,     0xcf39b97aU,     0xa8cbe3baU, \
    0x9624a5adU,     0xdbe4175fU,     0x4610a42bU,     0x98bb2980U, \
    0xf81fadc5U,     0xeccbc3b0U,     0xd3f30a82U,     0x5eba8373U, \
    0xe1cf764fU,     0x0a342bb3U,     0x2349908fU,     0x56d2c4caU, \
    0xcb702846U,     0xf16a6680U,     0x8f7582c3U,     0xf2ecc748U, \
    0xffd48057U,     0x0ee4da8eU,     0x0042eb2aU,     0x21861176U, \
    0x429f484cU,     0x0df936e7U,     0xe7cfd570U,     0x0aa80b03U, \
    0x68ffeb6eU,     0xc38380e4U,     0xe07f4a25U,     0x4c02ebbdU, \
    0x7535504bU,     0xd0973a46U,     0x879b92a2U,     0x5ad0926aU, \
    0xb71bc631U,     0xf52f1621U,     0xb149458dU,     0xf402c276U, \
    0xc0355f9bU,     0xfd6651ecU,     0x68ea8e5fU,     0x0241ca6dU, \
    0x5413c34bU,     0xc8ac6795U,     0xa165a1ccU,     0xf3ae5ae4U, \
    0x4272b79bU,     0xb2d8a505U,     0x59c8d870U,     0x393d8b5dU, \
    0xd9f561afU,     0x488a2224U,     0x9ba2e55dU,     0xc553839cU, \
    0x61f8a8e1U,     0x678a4c84U,     0x35839345U,     0x3e155799U, \
    0x71744793U,     0x8a7a16e5U,     0x95707300U,     0x43cc2208U, \
    0xb234809fU,     0x03595b40U,     0x92c2f126U,     0xd6c39085U, \
    0xf3ac3037U,     0xcaea1e0aU,     0xe6313ca6U,     0xeef8bb3eU, \
    0x1c0a1bddU,     0x4605425dU,     0xb40237fcU,     0x3ae0db7dU, \
    0xb5a62f42U,     0x0d3c5f2fU,     0x2ef82c58U,     0xf4f07d49U, \
    0x3c32b347U,     0xe35c7f7aU,     0x55859cd0U,     0x2a967f61U, \
    0x6079110cU,     0x9e7a6e24U,     0xf8eb27efU,     0xca4cb880U, \
    0x2fa3cbd2U,     0xfa18ea6cU,     0x943f978cU,     0x8d0d1e93U, \
    0x859662a5U,     0x6704faddU,     0xe7d6425cU,     0x51373220U, \
    0x307e581bU,     0x8ac0927eU,     0x492d9453U,     0x414243bbU, \
    0x69db6f15U,     0x4a306a63U,     0x35c1ceb7U,     0x2599c6d8U, \
    0xdf69b8edU,     0x744e8200U,     0x871fd02eU,     0x7b41a1a8U, \
    0xc6e06256U,     0x6916d06cU,     0xe8c3ddabU,     0x483c790bU, \
    0x887ac2beU,     0x200c584aU,     0x7fd773b4U,     0xff4385f2U, \
    0x0c97ead1U,     0x25af3188U,     0x7c2a070fU,     0x9ed618c6U, \
    0x2ce01cd8U,     0x15968bffU,     0xdca5ce9bU,     0x2275c7e5U, \
    0x5aa3c370U,     0xce6738c9U,     0xc61373c9U,     0x1876f682U, \
    0xc892581dU,     0x20066f7bU,     0x3c871fa8U,     0xc4bac073U, \
    0x1ac16cf1U,     0xc3c5de90U,     0x9fd1e969U,     0x7e91b186U, \
    0xf1037014U,     0x1049d590U,     0xbb3a9d53U,     0x497cda41U, \
    0x304a96dcU,     0xb92a908eU,     0x7cecde23U,     0xd7351bd7U, \
    0xf085c187U,     0x77b91b08U,     0x023e58d9U,     0xc69b69fbU, \
    0x7efeb6f5U,     0xafc6f1beU,     0xfb0d6f11U,     0xc45b567eU, \
    0x92c956caU,     0x1758a837U,     0xdcd56dc0U,     0xd5f607efU, \
    0x0561ed74U,     0xa3b4cc91U,     0xc13a1146U,     0x9aabec97U, \
    0x9206d7b1U,     0x6cd5391fU,     0x45a113deU,     0x764d5255U, \
    0xb5cb03dfU,     0xc5609e54U,     0x3c4e7724U,     0xff88c5acU, \
    0xea174609U,     0xff6911ceU,     0x250503dbU,     0xd746f525U, \
    0x48f5fe06U,     0x87e3b6e5U,     0xba5d0693U,     0x713948e2U, \
    0x565291a0U,     0xd0fec4acU,     0xd817fbabU,     0x3097a626U, \
    0x4d769870U,     0xf2a34244U,     0x9b5fd652U,     0xa29a849fU, \
    0x13464befU,     0x2064cdfaU,     0xffe8c195U,     0x356987c8U, \
    0x81cf4873U,     0xc2c934ceU,     0xbeef0906U,     0x8dfa31afU, \
    0xce32e00eU,     0xdc31db37U,     0x9ac47b5eU,     0x5d32a8beU, \
    0xa70dbccdU,     0x096ea271U,     0x05120657U,     0xd7d01e88U, \
    0x81201578U,     0xcb1fe453U,     0x842d7925U,     0x313b6dafU, \
    0x9e9858b2U,     0xe1b2289cU,     0x0ac811d4U,     0x5805b0ecU, \
    0xb343931bU,     0xe9fd3383U,     0x4f1b296dU,     0xe8c73ab5U, \
    0x40850ccbU,     0xa9fdf325U,     0xf17721dbU,     0x5c951f3aU, \
    0xcc48fe43U,     0x6b099447U,     0x4ce41db8U,     0x53e8645aU, \
    0xa86a79bbU,     0x12ceb55dU,     0x10982e90U,     0xccb42f02U, \
    0x9ba7d742U,     0x792d7604U,     0x0d639f91U,     0x02c72ffdU, \
    0x15aafd14U,     0x4d65c8e8U,     0x22317a3bU,     0xba76a561U, \
    0x8c1a2059U,     0xaf0e565cU,     0x2a941b70U,     0x50d5d713U, \
    0xbbc7a6a2U,     0x26fe4cdbU,     0xf058e8e6U,     0xbd485cedU, \
    0xa7cc282eU,     0x138936edU,     0x9e0f27d7U,     0x9e456794U, \
    0x4d7cee1eU,     0x301a6d20U,     0x3b92119eU,     0x5edaf764U, \
    0x16652a4bU,     0x1316dcdfU,     0x2cf7eb1aU,     0x4756956fU, \
    0xc456cce0U,     0xde8d8fc6U,     0x80e1f3d2U,     0x52ba234cU, \
    0x1b31f28aU,     0xfe8ee138U,     0xdefbd401U,     0x1759f4b6U, \
    0xabdfd796U,     0xe5bc8d42U,     0x62500a86U,     0xa020b071U, \
    0xaec57f6aU,     0x732aa5daU,     0x30bbb032U,     0x6d136adaU, \
    0x8b22e9c3U,     0xe146f729U,     0x3f732e40U,     0x316ee6edU, \
    0xc85d6680U,     0x57c0bea3U,     0x9a73e4abU,     0xdeb6946cU, \
    0x9c579795U,     0x4351f544U,     0xfe49cbcfU,     0x2dc098d3U, \
    0x2d4eca02U,     0x7cd14faeU,     0xb53ddefcU,     0xe137c75fU, \
    0x2b38f04fU,     0xa4fa02b4U,     0xd1752d22U,     0x3c0e5f6dU, \
    0x651862c6U,     0x5535a202U,     0x94f89ec4U,     0x09aacc82U, \
    0x3e9b1f89U,     0xed9a30e5U,     0x41331afbU,     0x45044c3dU, \
    0x4e0b1cc9U,     0x5834fab5U,     0x8c590fb0U,     0xdee4f3d9U, \
    0x7d8d1f89U,     0x9f5d6af8U,     0x26d4bf66U,     0xa4b2342fU, \
    0x9496cd58U,     0x5c056c79U,     0x61d294c5U,     0xec4056dfU, \
    0xd4fb8686U,     0x8d02f165U,     0xb543bea2U,     0xddc753d0U, \
    0x5b5933ecU,     0x41a02856U,     0xef135de5U,     0x357e7b88U, \
    0xed0b1c76U,     0x068df72aU,     0x869c1a4aU,     0xdb987320U, \
    0xbdd6540bU,     0x70d20316U,     0x5208febcU,     0x689c6764U, \
    0x439e3a17U,     0x480239bcU,     0xe1c2cbcfU,     0x7b3d1d5bU, \
    0x30e69ee4U,     0xaec4af3cU,     0xffd6ac6bU,     0x01fb2ae3U, \
    0x7d84a0c4U,     0x19ad5c6fU,     0x8574842dU,     0xb1fafec6U, \
    0xb72ce2cdU,     0xdafdc36bU,     0x40cb610eU,     0xb0754cbbU, \
    0x0ec6591dU,     0x648552e7U,     0xff165247U,     0xd20aecb0U, \
    0xd1ba51a8U,     0x255a4a7eU,     0x2cc300e8U,     0xd8ca7667U, \
    0x45a6dbdaU,     0x1b1a6c5fU,     0xcc092de0U,     0x3bf6732eU, \
    0x4d5a791aU,     0x0bbb50f5U,     0x379c51fbU,     0x3bb66d39U, \
    0x4a4aceacU,     0xbbde3613U,     0xc284e5bdU,     0x9344dac9U, \
    0x63804013U,     0x1e7d0877U,     0x33eb0ed9U,     0x10437cdcU, \
    0xfe97a87bU,     0x7b5dc6f5U,     0x4edb9787U,     0xc0b8e382U, \
    0x23c404d8U,     0xfbbb8b41U,     0xce963fe2U,     0xa3d6061aU, \
    0x45e9212bU,     0xc335b50eU,     0x4ef53da7U,     0x9dc9c4a1U, \
    0xa471519eU,     0x3fbbbeadU,     0x05164cc8U,     0x61fa378eU, \
    0x3a20588fU,     0x5a3fd77bU,     0xafdc1a04U,     0x02752b7cU, \
    0x12c894c5U,     0xafe5ed14U,     0x477acb72U,     0xddf08dd6U, \
    0xe5b47c13U,     0x5c78a21fU,     0xc589ef0dU,     0x213e858bU, \
    0xc4cdee23U,     0x43abc323U,     0x273c2a10U,     0xbc6329fcU, \
    0xe50bead2U,     0xfeb4fe6eU,     0x27ba241cU,     0x90042c65U, \
    0x088a12fcU,     0xf24c5153U,     0xd8bd6645U,     0x61155db6U, \
    0xb2278be6U,     0xc803a7bdU,     0x99dc47baU,     0x2cf9c907U, \
    0x50d82658U,     0x5d0665beU,     0x0cf20473U,     0x3ef19f38U, \
    0x0c843b78U,     0x67a41df4U,     0x2f7c4411U,     0xaf4c2753U, \
    0x646fba03U,     0xb642e5f8U,     0xa19e8b08U,     0x4b99d53bU, \
    0x9ccf8467U,     0xe22e19c9U,     0x50bf94e8U,     0x71831590U, \
    0x83442cbaU,     0x0850a140U,     0xf09caa93U,     0xce92a7dbU, \
    0xb032f8f1U,     0xd2d9873aU,     0xead8e504U,     0xdb8a8ac9U, \
    0x908f0704U,     0x79180ab1U,     0xf137c084U,     0xdabf9c5eU, \
    0x3995368fU,     0x396f92edU,     0x9ff0f834U,     0xaddeb08eU, \
    0xd4a52683U,     0xad396e81U,     0xefe36914U,     0xb5fadc06U, \
    0x013b40a2U,     0xe6d053a5U,     0x0010f7e9U,     0xd86563acU, \
    0x61170b5bU,     0x98f21bd9U,     0x8b238c06U,     0x12fe5a91U, \
    0xdeab3988U,     0xd8f556dfU,     0x3db21c98U,     0x74a898f7U, \
    0x89c8b9bfU,     0x780262a9U,     0xc2056fe4U,     0x3b343ba9U, \
    0x8a5f13a8U,     0x0fd4e54fU,     0x223bcf6cU,     0xa38a2ecbU, \
    0x216bb074U,     0x3d275ed2U,     0xf5ae22c3U,     0x250b03dcU, \
    0xe9c8ff0cU,     0xacea4141U,     0xd7ae1787U,     0x40cecf57U, \
    0x8bfdd400U,     0xde62881dU,     0xbea7a0d5U,     0xab7ab14eU, \
    0xf1114913U,     0xe15db4c2U,     0x32f68bf8U,     0x76621414U, \
    0xd393843bU,     0xdd19583bU,     0x88a01dc9U,     0x6fc2a4a2U, \
    0x7841e83aU,     0x227121a9U,     0x1022f98aU,     0x9600a3e7U, \
    0xc175019dU,     0x44dc71a4U,     0xde613904U,     0x1de9eba8U, \
    0xdcf39d7cU,     0xbcaab23bU,     0xa6d283fdU,     0xadec6a9fU, \
    0x64aec32eU,     0xf40ff5c7U,     0x09e646d4U,     0xc8aef897U, \
    0x5719929dU,     0xbba86c42U,     0x7a97106cU,     0x8a096331U, \
    0x2e40a79eU,     0xbfd04cb9U,     0x9f62ce38U,     0x19cab302U, \
    0xbd89f21eU,     0x19d097b8U,     0x37f27bd2U,     0xc13bd6d1U, \
    0x87eb33cdU,     0x114f455bU,     0x395986faU,     0x78bef8cdU, \
    0x8e155ddbU,     0x3940de21U,     0x78b92274U,     0x449d9e75U, \
    0xb582fc81U,     0xdf6ac8f1U,     0x6c732109U,     0xa9d00df9U, \
    0x2a77c1d6U,     0x2b240f92U,     0x7e84eeb1U,     0xdd57d95cU, \
    0xcfc07109U,     0x67e8fa82U,     0x3aa24c6cU,     0x4aecb7f2U, \
    0x2fa697b5U,     0x2aa72756U,     0x43544cc5U,     0x308286f3U, \
    0xebf912ceU,     0x88ce66bfU,     0x591120ecU,     0x002fad8eU, \
    0x1dc6a31bU,     0xa07fd9deU,     0x75741708U,     0x55c1360eU, \
    0x271b9f30U,     0xacfc6665U,     0x118e5749U,     0xe73efd08U, \
    0x77a4b94cU,     0x7a3a16d0U,     0x7a6415c8U,     0xb6d5daa1U, \
    0x93b57d43U,     0xa89adcc1U,     0x137d3beeU,     0xf2ed84aeU, \
    0x4f43f562U,     0x1dc14e77U,     0x2176e800U,     0xde461d88U, \
    0xb90dcab1U,     0x359ff515U,     0x1db6942dU,     0xa65147b3U, \
    0x1f05d26dU,     0x87648e2cU,     0x4c0d5f38U,     0x67c04e97U, \
    0x1c5cafdcU,     0x92560257U,     0x4bbe856fU,     0xe988e6c3U, \
    0x4eaac7a1U,     0xfa61d8cbU,     0x3c0166e2U,     0x2ae993e2U, \
    0xfec6ed13U,     0x307b2803U,     0x2f437b6eU,     0xa3a30629U, \
    0x3f3c908dU,     0x87d053ecU,     0xb7a49744U,     0x945633ffU, \
    0x7a26d188U,     0x185d39fcU,     0xb906a180U,     0xf03751cdU, \
    0xaf72d34aU,     0xcf990411U,     0x8cc65b3cU,     0x8f43b4b4U, \
    0x44fd07abU,     0x7b313171U,     0x0f645781U,     0xfd478795U, \
    0x0a30539dU,     0xb01f04b5U,     0x4da44a80U,     0x1323d87bU, \
    0x74a493d1U,     0x43dc44c0U,     0x6a276690U,     0x375d9166U, \
    0x7d1a5409U,     0xc08a6bacU,     0x5fc5bfdaU,     0x96b80463U, \
    0xf85d582fU,     0xd94007f4U,     0x5306391aU,     0x076cd5b2U, \
    0xfe42535bU,     0x7021203cU,     0x919584c0U,     0xb3ff0cfaU, \
    0x58a73d9eU,     0x53778fd6U,     0x6a5b03a2U,     0x6000ff86U, \
    0x2aef7104U,     0x69af9a24U,     0x1dccb7e8U,     0xe78f2823U, \
    0x67d7da35U,     0xf65f279bU,     0xf355c088U,     0xf390e482U, \
    0xec286843U,     0x459d9f95U,     0x70c0b8e2U,     0x296d447fU, \
    0xa2944495U,     0xbdde1d31U,     0x6888af88U,     0x12987104U, \
    0x0b0ca937U,     0x29fbe1a6U,     0xa9467f1cU,     0xa81de168U, \
    0xfea3baabU,     0x05c1792fU,     0x955e6cf9U,     0x50042d59U, \
    0x57fe41b6U,     0xdc95c71aU,     0xbd7c1030U,     0x7c053fafU, \
    0x96b84bb4U,     0x85bd64c5U,     0xabc17e9cU,     0x784bb5acU, \
    0xf029a311U,     0xecf79ae3U,     0xfa6dd4a2U,     0x2df97b38U, \
    0x5ca3982dU,     0x53f570a6U,     0x510a3d75U,     0xb81dca58U, \
    0x155110a5U,     0xcde591f7U,     0xd37c7965U,     0x2ec1936cU, \
    0xb72dabd0U,     0xf9007407U,     0xe13df9e2U,     0xdc6bc8feU, \
    0xf77acf98U,     0x3cd302d7U,     0xadb2e105U,     0x3305027bU, \
    0x7337ae53U,     0x731d1114U,     0xec675407U,     0x7b2c3a34U, \
    0x69a89aeaU,     0xe481a857U,     0x79da03c7U,     0x9ff911e8U, \
    0xcaede694U,     0x25016523U,     0x619a1b7dU,     0xe8b58c74U, \
    0xa427f3deU,     0xa6b1bdccU,     0xe945a593U,     0x5273c2e1U, \
    0x4aef0934U,     0xa2b5df51U,     0xce18ae8eU,     0x8cf20c0eU, \
    0xca3d813fU,     0xbf5da0dbU,     0xd82349c5U,     0xaf4c0245U, \
    0x680cfe4aU,     0x71f90d21U,     0x8de32d2cU,     0x333e3822U, \
    0xce737f8dU,     0x72b06d48U,     0x83eda1c8U,     0x2f3b6e28U, \
    0xaca6976fU,     0xfbccf084U,     0xf375b95cU,     0x82ab0829U, \
    0x0273ff65U,     0x151eafa6U,     0x6eb6542fU,     0x8ae92f89U, \
    0xea7507f1U,     0x33cf4037U,     0xc95f542bU,     0x57cf482dU, \
    0x10d90f94U,     0xe6b80650U,     0xab156f31U,     0x4d28c446U, \
    0xd61a8f87U,     0xdcca7b98U,     0x2e6c403dU,     0x8a545906U, \
    0x20f10b45U,     0xdaf871dcU,     0xcdd3a250U,     0xf21be63aU, \
    0x5e2e91d7U,     0x3ae5ac67U,     0x79b1b9d0U,     0xa8fd19beU, \
    0x3b4a85a6U,     0x6a9bf440U,     0x2ab2907fU,     0xa1d677ccU, \
    0x0c9f79faU,     0xfa058a58U,     0xd47d6090U,     0xf89411b0U, \
    0x8eb9251aU,     0x347dc540U,     0x548a0233U,     0x5e4fd03fU, \
    0xf8e637b7U,     0x8ade9b46U,     0x30fcc868U,     0xacaecf41U, \
    0xac4829b7U,     0x2508b16dU,     0xf53255c6U,     0xd55c9ab4U, \
    0xa035bd06U,     0x99736a64U,     0x5cb5358fU,     0x0ce2cb9fU, \
    0xfc3602c8U,     0x8bfbbf56U,     0xbcd4a4a8U,     0x975a0e80U, \
    0xb57a4eeaU,     0x1738f574U,     0xfb15bba5U,     0x1a768bc7U, \
    0xe02a7386U,     0x9ee7043fU,     0x1ccdba4bU,     0xd75905d7U, \
    0x45c9a2aaU,     0x43e7e184U,     0x89d498edU,     0x808e5e30U, \
    0xd71022b9U,     0x3da6878cU,     0x9443fa24U,     0xc516989cU, \
    0x9ead71a4U,     0x3584ff5aU,     0x640c8483U,     0x1f8d98e9U, \
    0xf6c0be7dU,     0x166e684aU,     0xe381fe08U,     0x4ccc9378U, \
    0xd49ea8d9U,     0xc1e2a073U,     0xb56ab057U,     0xf6a53447U, \
    0xcd745dadU,     0x031ab9b3U,     0x1f79b9a9U,     0xb1562c51U, \
    0xdce862baU,     0xe68b4448U,     0x11782234U,     0x4e6264f8U, \
    0x51c5f5c1U,     0x6917d2b3U,     0x79a916b6U,     0xd795c70bU, \
    0xd5115bcdU,     0x32f83d68U,     0xa302a070U,     0x5614cc51U, \
    0xb6d8067eU,     0xf5f63d38U,     0xacf9ddfdU,     0xa6cfd2d9U, \
    0xf519f0faU,     0xa213781bU,     0x6754e79cU,     0x2228b02fU, \
    0x6592ec76U,     0x970d320dU,     0xbfabf6a8U,     0xbc2371c8U, \
    0x60595077U,     0x8b47bb91U,     0xb4d85b7cU,     0xb8624623U, \
    0xf690353cU,     0x01d5be24U,     0x31457b2aU,     0x58bb4beeU, \
    0xa8a394a1U,     0x02c9f696U,     0x267aeefcU,     0x80a518abU, \
    0xef101ee5U,     0x7bb0b539U,     0xf1610dbaU,     0xc029cd78U, \
    0x3602c784U,     0x278edaacU,     0x023d83baU,     0xdab525b0U, \
    0xec67753eU,     0x744ce177U,     0xc32d2eb1U,     0x05fc5af9U, \
    0x5320e801U,     0xe6496cfeU,     0x0791084fU,     0x630bcb95U, \
    0xaf29e1aeU,     0x49166b3fU,     0xd39aaf29U,     0xf4fb78a6U, \
    0x45684d5fU,     0x816d5c32U,     0x411909e8U,     0xdaccfe1cU, \
    0x959c5762U,     0xc6708979U,     0xbb5ead3dU,     0xaf75c3e6U, \
    0xb9595942U,     0x9aa21a04U,     0xea930267U,     0x364d85c5U, \
    0xe6239291U,     0xa1cb5be4U,     0x9ed10b6cU,     0x46fa1c99U, \
    0x799c9a84U,     0x34ea036eU,     0xd1486a36U,     0xee8fe25eU, \
    0x444f252bU,     0xc463e568U,     0x497ea5f6U,     0x9822e112U, \
    0xf13da494U,     0x6a52580bU,     0x8d56b565U,     0x78f18532U, \
    0x8ada9899U,     0xf5a35f01U,     0xe6d26001U,     0xf7f2c081U, \
    0x05ac944bU,     0xa8a77ae2U,     0x1066cd2bU,     0x606599a1U, \
    0x88cce2ffU,     0xe2aae449U,     0x904c4080U,     0xb811c2a5U, \
    0x0ce679a4U,     0x05af2954U,     0xcb49a842U,     0xbc38ed49U, \
    0x56ce99e4U,     0xdd2428ecU,     0x61dce120U,     0x32bc59b1U, \
    0x6a724abeU,     0x33e21617U,     0x6cb5b3b6U,     0x415b0af7U, \
    0xaf5f27b8U,     0x3b154b0fU,     0x3429ee62U,     0x473ee306U, \
    0xe214e6c9U,     0x674c3243U,     0x41b6d228U,     0x932fd944U, \
    0xc21f0041U,     0x3d08897aU,     0xcff19821U,     0x36a26db5U, \
    0xa5046064U,     0x37e35b3fU,     0xf26ca015U,     0x4d9f5336U, \
    0xcebef390U,     0x0dd046d4U,     0x388fe746U,     0xcae81ca6U, \
    0xee2d9decU,     0x40dabfdbU,     0xabe52e5fU,     0xf84b5edbU, \
    0x1012f67eU,     0x31824113U,     0xd2fc62bdU,     0x1492fb6eU, \
    0xdd07857fU,     0xe44eacecU,     0x9816b2bdU,     0xc20ed305U, \
    0x11a63374U,     0x61770b05U,     0x28e1be06U,     0xee14a450U, \
    0x24eacdf2U,     0xe524b910U,     0x5bc0057fU,     0x8ddb25a6U, \
    0x36ce6349U,     0xff34bb83U,     0x8ed69953U,     0xb33cc973U, \
    0xf377e437U,     0x8667f65dU,     0xddabf73bU,     0xee9b20caU, \
    0x38d7c045U,     0x8bef67beU,     0x75ff8409U,     0x0f79b6deU, \
    0x66b43cc4U,     0xed5e14b3U,     0x3bccb815U,     0xceeb5f24U, \
    0x68b009f3U,     0x7496c145U,     0xe3b04640U,     0xa639bb53U, \
    0x56a3231aU,     0xff2a4f31U,     0xc41c8856U,     0xd09bc433U, \
    0x08d8df64U,     0x49640796U,     0xb73ab136U,     0x8797722bU, \
    0x8fcea15cU,     0x7b6df538U,     0x0cd642c9U,     0x93992d2eU, \
    0xd236ce15U,     0x9c9b75cdU,     0x7be52723U,     0xaf4621f7U, \
    0xe01a2bb7U,     0x47f8b858U,     0x6b3184ffU,     0x46fbd1d7U, \
    0xaf2e3baeU,     0xe7b8f016U,     0xca9d039cU,     0x5962985aU, \
    0x183934cbU,     0x2651fdacU,     0x6ebafa40U,     0x0b64bc08U, \
    0xc00bd708U,     0x8467a736U,     0x652220c3U,     0x6229b6ecU, \
    0x8c576125U,     0xb648eb26U,     0x50acbe44U,     0xb367aba8U, \
    0x8e38303bU,     0xa0774e48U,     0x192e3a69U,     0xc5df0951U, \
    0xb68741b4U,     0xbec65b5bU,     0xce757ba9U,     0x8a6cb0a7U, \
    0x3d1e0e93U,     0xadce9c52U,     0xe3dc8bdaU,     0xdb933182U, \
    0xca3346b6U,     0x088eb8b4U,     0xfc5b80d7U,     0x26bb7b30U, \
    0x13ffca53U,     0x135099c1U,     0x8e924f6eU,     0x5f9fa14cU, \
    0x6b89a243U,     0xe2e60133U,     0xe5c5306fU,     0x8a9a0e2bU, \
    0x3b61451dU,     0x9bafc41fU,     0xac56ade7U,     0xc4753265U, \
    0xa5736289U,     0x0bbc82beU,     0x1f22f5a5U,     0x46205db5U, \
    0x901de04aU,     0x23f2e7f8U,     0x6bc793e6U,     0xa41ac6caU, \
    0x5d118da6U,     0x8681fc71U,     0xc2760799U,     0x9937bd26U, \
    0x4d1935b3U,     0xc380db87U,     0x35f07195U,     0x0518eca8U, \
    0x6a8cfaf1U,     0x7a13ab11U,     0xdf586f23U,     0x730fdf46U, \
    0xfc899aabU,     0xf3173af0U,     0x81a8be62U,     0xeac93436U, \
    0x88e97ff2U,     0x9070a7c6U,     0x4df6aaf3U,     0x5d3376abU, \
    0xb47992fdU,     0x757b88a6U,     0xc189f4a4U,     0x139d5a41U, \
    0xbd482c70U,     0xa39a3a1aU,     0x1eeecd10U,     0x81109a78U, \
    0x1ebb6e79U,     0xc73452faU,     0x3b35af5cU,     0xfd7fdd3cU, \
    0x63460122U,     0x15c02030U,     0x52dd7098U,     0x654cbe77U, \
    0x41deec6aU,     0x6c216be4U,     0x43524394U,     0x9a3ebef0U, \
    0xcb4daf34U,     0xc96eb4b7U,     0xb008ef67U,     0xf0599ae8U, \
    0x6ab07babU,     0x747ac1b5U,     0xdfb13041U,     0xe6a07f1eU, \
    0x24e58708U,     0x96c9c537U,     0x808119fbU,     0x9daa821eU, \
    0x931e6050U,     0x903a2456U,     0xaa841fa2U,     0x16d953e3U, \
    0xc073050dU,     0x4d9a1f7cU,     0xcac6cc9fU,     0x04bfb5ecU, \
    0xba5cb217U,     0x953fa455U,     0x33682715U,     0xed283e93U, \
    0xc0bd4bf8U,     0xd397dff8U,     0x47a54d81U,     0xe1983667U, \
    0xd9399724U,     0xa2c69491U,     0x23cfba61U,     0xcf62f22aU, \
    0xaec7a2b2U,     0x29c49ad9U,     0x2d2fcad9U,     0xe4e7a2ebU, \
    0x75dea8e8U,     0x995ac6a6U,     0xb28215d1U,     0xcc99e21fU, \
    0x64984d62U,     0xd53c0c8bU,     0xb9e325a9U,     0x770842b9U, \
    0x3135f218U,     0x6fc36ddeU,     0x21dd812dU,     0x0e8314b8U, \
    0xd6a59c64U,     0x576f6adfU,     0x109306ebU,     0x118acf9cU, \
    0xc9cd5cd3U,     0x8c203c3aU,     0x88570835U,     0x460d5877U, \
    0x3c29a6b4U,     0x5718c7a2U,     0xa0bd187aU,     0xfea8dbd1U, \
    0xb85c5d03U,     0x73be0cafU,     0x18cf3a79U,     0x19a7759bU, \
    0xbf52a0c4U,     0x96e0c070U,     0xc41c63b5U,     0x02b3af6aU, \
    0x8d8043a5U,     0x652008adU,     0xa4912776U,     0x091c81b2U, \
    0x100e506fU,     0xd88556d6U,     0x89d97c0bU,     0xa859a044U, \
    0x294c5905U,     0x515a2e0cU,     0x6232947eU,     0xed4d0892U, \
    0x6bcb585bU,     0xd118e4a0U,     0x1af3a9f4U,     0xb3663d76U, \
    0xa06388a8U,     0x94888718U,     0xae04da3fU,     0x230fbf53U, \
    0x4fb4fd92U,     0x7978e5c0U,     0xbc8f911cU,     0x79f37054U, \
    0x9d5d4176U,     0x73731a44U,     0x4fe14b05U,     0x267fbbb5U, \
    0xca5e9935U,     0xad7f3861U,     0x07f6b109U,     0x3fa4aa11U, \
    0xb41588f6U,     0xaae9c13fU,     0x82b0a040U,     0x2a3ee498U, \
    0x477cc23cU,     0x9cc18cdfU,     0x6204f01eU,     0x7132c757U, \
    0x93438b83U,     0x41149a48U,     0x0419f584U,     0x67b99113U, \
    0x99f553ccU,     0xe84e0e32U,     0xa0f16661U,     0x2bb68c4eU, \
    0x866db480U,     0xc235dacbU,     0xa87fd609U,     0xa77aca5cU, \
    0x29c7c420U,     0xc7ca600cU,     0xf5b85c9cU,     0x9a3b231cU, \
    0xdf2a0e0fU,     0x268be49cU,     0x80559341U,     0x420a769fU, \
    0x5af4240fU,     0x2ae9f501U,     0x56ac467cU,     0x55a414eaU, \
    0x98143c0cU,     0x0908af57U,     0x3a17d038U,     0xba62fbfcU, \
    0x3ec1c02fU,     0x8f44316dU,     0x1cca6375U,     0x0ef09b29U, \
    0xca986ea8U,     0xba13e4a1U,     0x873ba662U,     0x63555a60U, \
    0xb144f62aU,     0x754ee05bU,     0xe6b5648eU,     0x686f3c37U, \
    0x3c8da8f3U,     0x99c01fd6U,     0x4cb535aeU,     0xdf3c29c6U, \
    0x8006a83cU,     0x7fd26986U,     0x62426e30U,     0x862d820cU, \
    0x04aabc86U,     0x56c8b9a7U,     0x534ace11U,     0x4c96caecU, \
    0xca2ec0cfU,     0xad03da96U,     0xd9faaea8U,     0xa530b685U, \
    0x32398d30U,     0x37dd9c66U,     0x1325ead0U,     0xaca59bdfU, \
    0x18df6d43U,     0x100e971fU,     0x3b535c87U,     0xc991f712U, \
    0x18e423c3U,     0x72d623a1U,     0x700d263fU,     0x150f4530U, \
    0x9ce0aa88U,     0x39752580U,     0xa13a353cU,     0x38a57985U, \
    0xc79e4b9eU,     0x0f11a01fU,     0x6b95dd6aU,     0x2ceafd3aU, \
    0x9aabbd47U,     0xf886e57cU,     0x1f6afa50U,     0xb260fbc2U, \
    0x08bcb6efU,     0x9ba0c543U,     0x96415392U,     0xf29dfcf7U, \
    0xb5c1d888U,     0xf0c6faf6U,     0xe125361aU,     0xcbaa4e5bU, \
    0x45432f99U,     0xc9a85a52U,     0xb3c3da12U,     0xd6b27220U, \
    0x1b184259U,     0x33f33548U,     0x854cf9d7U,     0x4669e1b2U, \
    0x01c3e34eU,     0xf1a8a968U,     0x8428ae3fU,     0x4e8a6cb8U, \
    0x0cc6a3adU,     0x1b718a41U,     0xa7bc4c96U,     0x26fc203dU, \
    0x8b164360U,     0xb07713ebU,     0x22fbb1d9U,     0x0ab65500U, \
    0xf9693b2dU,     0x048aecd5U,     0x96774bbaU,     0x10a48e16U, \
    0x1857d278U,     0x2fc768d6U,     0x04c1532dU,     0xce0a0a14U, \
    0xa8a95fd4U,     0x95bb1700U,     0xdfa7f4abU,     0x6f3fd7c6U, \
    0xb8e65979U,     0x0a7d5583U,     0x0d7e6018U,     0xd5fef2c0U, \
    0xadf6d9e4U,     0x732e9aabU,     0x2c8d8ecdU,     0x75f81dc7U, \
    0x239d01f8U,     0x7440a8efU,     0xd8aec652U,     0x0be83f26U, \
    0xce81ff25U,     0xf9783d94U,     0x84162ef4U,     0x60336fa2U, \
    0x2fd98dfaU,     0x2e660961U,     0xf706eb71U,     0x1f2a4830U, \
    0x05839479U,     0x859c1008U,     0x417535a6U,     0x7828cee9U, \
    0x0ae9712fU,     0x3f8ed1fbU,     0x7f9c1fe8U,     0x7ee45454U, \
    0x301ff6edU,     0xffdbf724U,     0x574f297fU,     0x275de5c1U, \
    0xd83a43c5U,     0xec281b21U,     0x96a0a520U,     0x4cb4535aU, \
    0xfe6d5500U,     0x32bd86dcU,     0x06ec668eU,     0x5863d148U, \
    0xb284686eU,     0xc8ad9204U,     0xef03c465U,     0xfa59ce2bU, \
    0xb60a480dU,     0xadd15bf8U,     0x075e769dU,     0xb8874e83U, \
    0xfbf05eb2U,     0x025f61f8U,     0x09c039b9U,     0xbc49481eU, \
    0xfd56315eU,     0xec3e4549U,     0x8ecebdf3U,     0x2074958aU, \
    0x88428bb8U,     0x7ec809cdU,     0x371b825fU,     0x33b4a330U, \
    0x9dc7184cU,     0x111e4055U,     0x834af9efU,     0x10de15daU, \
    0xbe05c4e4U,     0x329e8686U,     0x445f7c02U,     0xedfcfc9aU, \
    0xbe1fd8daU,     0xe8bc3b65U,     0xf20cab4bU,     0xa0118164U, \
    0x6442d787U,     0xb8f41769U,     0x8da1cd46U,     0x43b54b48U, \
    0x2ceccfbeU,     0xf3914f37U,     0x3087dcb3U,     0x2ae4b602U, \
    0x7d190791U,     0xf98730e3U,     0x268e2a01U,     0x5dede04eU, \
    0x8bc38e34U,     0xe898e811U,     0x287164c6U,     0x1359dab2U, \
    0x8edac52dU,     0x3b670867U,     0xf096af52U,     0xb0e6c2a2U, \
    0x5fffff97U,     0xfabcf535U,     0x5783d08cU,     0xc4fba883U, \
    0x1c58418fU,     0x03264bfbU,     0xcf0589e1U,     0x0b0efd94U, \
    0x2c02fb8cU,     0xd0468bf8U,     0xdd1ac0adU,     0x6e54b7aeU, \
    0x010a0ec3U,     0x8a8fa3b9U,     0x8fafa839U,     0xec625542U, \
    0xf27c66b6U,     0xc1510ae3U,     0x8850a170U,     0xd2007663U, \
    0x1c887154U,     0x8f4a10b1U,     0x42c51839U,     0x3b90e8a0U, \
    0x3bd574e8U,     0x573bc743U,     0x8f760d6aU,     0xabf50931U, \
    0x62f48caeU,     0xf11892daU,     0x93088de9U,     0xe864e2f7U, \
    0xd733e0ddU,     0x06a3ce6fU,     0x8a0694deU,     0xf86998bcU, \
    0x2837ac91U,     0xec94389fU,     0xe0c797a6U,     0xb046ed1cU, \
    0xd3d1a6daU,     0xe270b7ffU,     0xf0726ff2U,     0xe56f68aaU, \
    0x92dbf376U,     0x078d2883U,     0x5b186572U,     0x0495c1afU, \
    0xd57da75dU,     0x712124a3U,     0xff0e3fbdU,     0x0c37a85cU, \
    0xb3fa0cd7U,     0x4129cf75U,     0x5d351f0fU,     0x85788f4aU, \
    0x777242e8U,     0x0a596de0U,     0xeadeaee2U,     0xf8985ff5U, \
    0x1acde913U,     0xd41f9166U,     0x90085bc9U,     0x2c4f9422U, \
    0x7417172bU,     0x9cce1e77U,     0x916ca324U,     0x9c2a6ea6U, \
    0x98d1ba03U,     0xdef82e72U,     0xb94f51c2U,     0x5e31a412U, \
    0x57323701U,     0x8898a8afU,     0x14a19ccaU,     0x232211f5U, \
    0x4f5b6105U,     0x08440878U,     0xb2033ba0U,     0x2b524380U, \
    0x18c2ff08U,     0x81ddfa39U,     0xf5b87819U,     0x1c172d22U, \
    0xd8316825U,     0xb1cb6bb4U,     0x136c4a03U,     0x3361b801U, \
    0x2a6f49d5U,     0x71839f2cU,     0x77ae3e90U,     0xb17a421eU, \
    0x2a3aa0baU,     0x63a14967U,     0x41206290U,     0x2a2ac765U, \
    0x164943b6U,     0x2e7903e7U,     0xace21d34U,     0x678e8c1cU, \
    0x7df04bf9U,     0xf2689c60U,     0xbb39a290U,     0x2ad8ba25U, \
    0x4519668fU,     0x3303cfa7U,     0x65340be6U,     0xcd51ebb8U, \
    0x49555643U,     0xc18de3dcU,     0x16dfb6e5U,     0x4073a8c9U, \
    0x82e9a9c4U,     0x53e98cf6U,     0x0e05f268U,     0xfd17d602U, \
    0x3c72212bU,     0xf3ef6ff3U,     0x592542ecU,     0x1953e710U, \
    0xeeaaa06fU,     0xa9376097U,     0xf041f54eU,     0x2c333378U, \
    0x521b580dU,     0xc28b7110U,     0x0f5fa4b2U,     0xe3a2296eU, \
    0x346f33adU,     0xf2318a96U,     0x8b3eb4bdU,     0x7e9c8e27U, \
    0x6f87e7a7U,     0xdbb6bdffU,     0xaec42064U,     0x99055b64U, \
    0x46f0c8d2U,     0x52c21e0eU,     0xdc280a2cU,     0x51f907b2U, \
    0xdb84f655U,     0x35f51070U,     0x769335a6U,     0x045f9563U, \
    0xf9763fa9U,     0xe1180a5bU,     0x8eee5fe0U,     0xa4db0e3eU, \
    0xc4b62fc0U,     0xb05cc613U,     0x368f19a4U,     0xcee07ab2U, \
    0x06094bf9U,     0xf320fd72U,     0xe1b18a66U,     0xf0e67845U, \
    0x1658d964U,     0xef91d0d9U,     0x05068430U,     0x877333f1U, \
    0x19b6ee79U,     0xd7934f49U,     0xb96f34f7U,     0xeb2cbf20U, \
    0x0a77d97dU,     0x23926ff4U,     0xe485abd9U,     0xb9bb47b9U, \
    0xec3e2389U,     0xc7e0f27aU,     0x9209a2ffU,     0x96415ddeU, \
    0x0d4e5872U,     0x32184bb6U,     0x3244639bU,     0x3484c674U, \
    0xf35046bfU,     0xab679079U,     0xaef1ff70U,     0xea1313eeU, \
    0x08e8d7baU,     0x7cc972aeU,     0x85f9b66eU,     0x8058af67U, \
    0x59105982U,     0x21de9f21U,     0x4bca9b59U,     0x3c489835U, \
    0x9e2dcce7U,     0x6ed5d8abU,     0xe3c74b95U,     0xd575fc4eU, \
    0xfd251cf8U,     0xe9a101e9U,     0x6fbebe4eU,     0x6abb6d5cU, \
    0xb598a52fU,     0x9a830e92U,     0xe187c48fU,     0xeccaa921U, \
    0x5fa4ec3aU,     0x9a45039aU,     0xde3f6073U,     0x6d94d9e3U, \
    0xd0f676e1U,     0x933b0b1fU,     0x54eae809U,     0x37e5ac7fU, \
    0x493d54c4U,     0x912fec49U,     0xc9814435U,     0x91bf8aa3U, \
    0xb462c658U,     0x119e2877U,     0xdb3239f2U,     0xbc3751ecU, \
    0xdedd2e7dU,     0xfdbc33f3U,     0x510d5c33U,     0x8bf8384cU, \
    0xc7431664U,     0x8170e26bU,     0x6a393167U,     0x063b4b42U, \
    0x4041a945U,     0xcfbdf8c3U,     0xbae2d620U,     0x49dd497aU, \
    0x3d853934U,     0x640f7d5fU,     0xbb8fbfdaU,     0x05ba9e4cU, \
    0x76140c27U,     0xbde7fa21U,     0xa14cef05U,     0xc4fbd7abU, \
    0x5be312ffU,     0x420c3a1bU,     0x3de82746U,     0x975b4fa5U, \
    0x201eac09U,     0xc0b1773bU,     0x1852c423U,     0x89c60d09U, \
    0x4fdb0868U,     0x4b5d598bU,     0x6b4bda39U,     0x0fb389f1U, \
    0xa7be7cebU,     0x2aa0074eU,     0x797cee67U,     0xa61ecc4bU, \
    0x07e9d6a8U,     0x924c314aU,     0x75d0c563U,     0x19c0bbe9U, \
    0xa604bddeU,     0xb4e28ebaU,     0x0c90c378U,     0x2a340051U, \
    0x8ba78e90U,     0x9d4c7210U,     0x7305292bU,     0xa0c8f659U, \
    0xd496710eU,     0x0daea0aaU,     0x5ec86790U,     0x14a5ebb4U, \
    0x3d7a83dcU,     0x0317853bU,     0xaeebea3bU,     0x7d52d82fU, \
    0x7b9f745cU,     0xe5c75672U,     0x965265f2U,     0x891e794bU, \
    0xaa66b4b6U,     0x4c834aebU,     0x70ed8a6cU,     0x90654eccU, \
    0x82f89319U,     0xfae1dea4U,     0xd8eeb03cU,     0xd08c5f74U, \
    0xf6b647ccU,     0xe4d20a01U,     0xdf5a5c59U,     0x47afe903U, \
    0x8773201eU,     0x15b5bbafU,     0xfcba0933U,     0xb7a6da94U, \
    0x06fe79e0U,     0xaade9082U,     0xc02447acU,     0x606dd88bU, \
    0x27bdccd7U,     0x604853c1U,     0xf184a28bU,     0x87a9ff0bU, \
    0xdd8573d6U,     0x8f610819U,     0x837b5f83U,     0x05249bf8U, \
    0x0c93affdU,     0xaed0f58fU,     0x4ebdb90eU,     0x97ec2285U, \
    0x32e8a42fU,     0x70cd0617U,     0x5c42d021U,     0x519f2763U, \
    0x705c1bc6U,     0x11e8b088U,     0xfeeaf674U,     0xeea6723fU, \
    0xf2e528f2U,     0xe01a992fU,     0x7bbd41edU,     0xbfbe884aU, \
    0xa6683e96U,     0xec4b3926U,     0x37274827U,     0x008b1268U, \
    0x4abe5e31U,     0xfd34fcfaU,     0xd06121daU,     0x71cadd2eU, \
    0x1c930f92U,     0x5384f19fU,     0xeff63f02U,     0x22d1698bU, \
    0x82f691c3U,     0xb17c8788U,     0x1a21ed77U,     0x6faa26f5U, \
    0x1b941a4fU,     0x0ad5dca3U,     0x6bccc1dfU,     0x3a5c9204U, \
    0xfbe6e8ccU,     0x7e6fa68bU,     0x8cb824b6U,     0x2c7f0273U, \
    0x4bf65e8aU,     0x76b67b90U,     0x0609005dU,     0x8665cf7aU, \
    0xb33761faU,     0x47a46399U,     0xdd7ca522U,     0x7e0ff2a5U, \
    0x233dd8abU,     0x4724d90eU,     0x373fb637U,     0x93cbadb7U, \
    0xb5bf91d3U,     0xc71a0628U,     0xace332a3U,     0xe7a1d99bU, \
    0x78f3f656U,     0x813086a9U,     0x2b2b52f6U,     0xea8069e4U, \
    0x84734d61U,     0xa7789ccaU,     0xd6738364U,     0xc2d41229U, \
    0x97eadaabU,     0x6ba660adU,     0xef7a6687U,     0x898955dcU, \
    0x9b7696f2U,     0xfbab9d72U,     0xc0134911U,     0xd88c45e4U, \
    0x5227f6a4U,     0xb8730c0eU,     0x81913af7U,     0xc9806cbfU, \
    0x63f7ed8bU,     0x93359b85U,     0x509ef70dU,     0xf0c4f790U, \
    0x4b55a1bfU,     0xd925cec5U,     0xbd8a6334U,     0xe060e775U, \
    0x36bff415U,     0x7f497706U,     0x3d3b8e6aU,     0x60a182f4U, \
    0x34d4f167U,     0x2da22f7fU,     0xcc89bd10U,     0xf3425d40U, \
    0x121a0e0fU,     0xb38a1cb3U,     0x029c8d35U,     0x23496a67U, \
    0xfc71b8f3U,     0x6842254eU,     0x40df5b03U,     0x552e584eU, \
    0xf8ff3d43U,     0x2731e527U,     0x6d4fc9c2U,     0xa67c65efU, \
    0xe17f6fdeU,     0x12a06b6eU,     0x610cfacdU,     0x068a77d1U, \
    0xf971807fU,     0x535db57eU,     0xa07576e7U,     0x49b6d36dU, \
    0x5285b93bU,     0x846389d4U,     0xb589ee58U,     0xeeafb659U, \
    0xe076f6eaU,     0x30968884U,     0xa59d0253U,     0xdcad33afU, \
    0xb6276113U,     0xbe4feeb4U,     0x9ce1e30dU,     0xf3bb230eU, \
    0x394372feU,     0x5ec3f330U,     0x0775d5d8U,     0xdb2b5a8eU, \
    0x98dcb256U,     0xcb2b9c94U,     0x11a6ed73U,     0x0a79d60bU, \
    0xa4ff1b5fU,     0x3c9098c7U,     0xa84f280fU,     0x545fb75bU, \
    0xfd0ecb87U,     0x078946f8U,     0x44b6851aU,     0x09132fc7U, \
    0xca3f0d5fU,     0x73202b6aU,     0x834e34fcU,     0x1645a83dU, \
    0x07aad398U,     0x80b1a241U,     0x6c8d041cU,     0x9d331c91U, \
    0xe7f79106U,     0x56f8c405U,     0x56fa1248U,     0xc8bdfe9bU, \
    0x1607a282U,     0xa38c8e86U,     0x0e1bba1fU,     0x981688a2U, \
    0xa89c6a94U,     0x0fa2509aU,     0xe5183c1eU,     0xa2354ebeU, \
    0x40cad016U,     0x000e7704U,     0x1c99c21fU,     0xc1a00c3eU, \
    0x9282b55aU,     0x5b61b67aU,     0x21cd3e14U,     0x8d4cfef6U, \
    0x8863e0b4U,     0xb46b1a42U,     0xda38ce51U,     0xe82f7b7bU, \
    0xfe6218b6U,     0x4d31dee2U,     0x84b090acU,     0xc2ead462U, \
    0x7962311cU,     0x32fa9801U,     0x5e2256fbU,     0x71cbe6d9U, \
    0x80a1e75dU,     0x13b0d1cbU,     0xdbd98699U,     0xa58aae97U, \
    0xf93e5008U,     0x546f4e16U,     0xb5395e77U,     0x33633cdbU, \
    0x81af78dbU,     0xaef8264fU,     0x9b24c692U,     0x906ae262U, \
    0xaca3c552U,     0x938b9a35U,     0xd2e58d29U,     0x64dc2a38U, \
    0xcd7a7067U,     0xb5ba7fafU,     0xee80f5c5U,     0x8f0d46b2U, \
    0x844478b5U,     0x09432373U,     0xdc120beaU,     0x6073256fU, \
    0x7c8ec693U,     0x96dd5c7aU,     0x87abbe36U,     0xb2fd904dU, \
    0x9c3f84a0U,     0x1460aca2U,     0x2f332b63U,     0x38b77162U, \
    0x725d4c29U,     0x405098fbU,     0xab7a0f72U,     0x56a31343U, \
    0x6a24fa6bU,     0x6149f3e2U,     0xc84f1881U,     0x0d2b0886U, \
    0x160eb107U,     0xd0c6c448U,     0x24c7966cU,     0x2219c0a3U, \
    0xd047331bU,     0xd7b53abeU,     0x9db24b08U,     0xfc7b8b5fU, \
    0x88dc443bU,     0x6d4586b0U,     0x6bc46abdU,     0xa996d302U, \
    0xe81e0283U,     0x57827b03U,     0x91c62bf7U,     0xd3130763U, \
    0x4b3d90b8U,     0x4b87e934U,     0xd3611084U,     0xb7017a1dU, \
    0x9615bafcU,     0x5510ff9bU,     0xb4a930faU,     0x3db1d262U, \
    0x664cda21U,     0x26ea0502U,     0x011b9961U,     0x31ff5f8fU, \
    0xc66066afU,     0xc7081fa0U,     0x8f70a1ecU,     0xdbfd9784U, \
    0xadab8419U,     0x50203164U,     0xeb404897U,     0x96f493c4U, \
    0x5dc6d8dcU,     0x5a3930feU,     0xd36eb8beU,     0x020b00d2U, \
    0xaff615b9U,     0xf5896fa1U,     0x9fd3e081U,     0x7dfd6007U, \
    0x8324bf34U,     0xf1b7e1e7U,     0xabc2aad8U,     0x9f0e57a0U, \
    0xad1f366bU,     0x6f48a0e6U,     0x4842450cU,     0x9e758404U, \
    0x2be2cd61U,     0x88d8c888U,     0xf864de65U,     0x4939be6aU, \
    0x5fc9e368U,     0x2bc53b70U,     0x55785f6eU,     0xa0304a0fU, \
    0x2eea2a7eU,     0x224001baU,     0xa9d5ccb8U,     0x528278c6U, \
    0x4ed59857U,     0x0afcfe06U,     0xe334ce01U,     0xc5cae5e0U, \
    0x7fb64bd5U,     0x444735b4U,     0x8386ca59U,     0x75d1ff61U, \
    0x6153f06bU,     0x820916ddU,     0xe4db6892U,     0x21e1592fU, \
    0xc0984e30U,     0xccaeec06U,     0x20481c7aU,     0xb3204aa3U, \
    0x426650b8U,     0xf4cb33b4U,     0xe8d0dab4U,     0xded6a684U, \
    0xdaea1f0dU,     0xa0183418U,     0x304b81e6U,     0x62ceaccaU, \
    0xa1bd4bc4U,     0x18b2549cU,     0x431fe2b5U,     0xcee62a1bU, \
    0x5f18993dU,     0x04961cc0U,     0xddb6c148U,     0x7784557eU, \
    0x78813acbU,     0x3451b54cU,     0x58c0daf2U,     0x1768635eU, \
    0xe37824cfU,     0xe423b004U,     0xd06f860fU,     0x58fbde94U, \
    0x63cc4a68U,     0x98659ae8U,     0xa2bf1f75U,     0x65bf8fbcU, \
    0xf21303c4U,     0x65f7a67aU,     0x90a88786U,     0xab55fa70U, \
    0x4502fee0U,     0xeba4c209U,     0xed164a25U,     0x6881077fU, \
    0xe91ad669U,     0x0cccf5b1U,     0xb2625322U,     0x5c63ea59U, \
    0x03938512U,     0x5735cdc0U,     0x32075130U,     0xd4dc0200U, \
    0x7e98b3b6U,     0x09ccb413U,     0x382161b0U,     0x03d28e03U, \
    0x64496da3U,     0xb1c4f402U,     0x3c592ae6U,     0x0432c97fU, \
    0x7216c971U,     0x39a9819cU,     0x84f1852eU,     0xe1f5f70dU, \
    0x261ea346U,     0x6d7e1e8dU,     0x99cf996dU,     0xedb2eb5aU, \
    0x190c6d73U,     0x6e44e7b4U,     0xd452ada9U,     0x06c0b7aeU, \
    0xa1f48f76U,     0xb29d5233U,     0xe3222d7dU,     0xb133ecb0U, \
    0x7f4b106cU,     0xd6288804U,     0x15793a4cU,     0x313b660fU, \
    0xe882aa81U,     0xab2f35fbU,     0x488ffef0U,     0x56b1e187U, \
    0xa8bc2f0dU,     0x19813b8eU,     0xfbfb6b10U,     0xb2934198U, \
    0xac437bdbU,     0x955218ecU,     0x2b74f175U,     0x0c11f66eU, \
    0x9c830335U,     0x93fd5314U,     0x4d921b0fU,     0x09278bdfU, \
    0x411819e2U,     0x227ab36bU,     0x8f7eb705U,     0x108a9179U, \
    0x11b4b889U,     0x89dd12b5U,     0x02667b94U,     0x453af7c0U, \
    0x42f02fe8U,     0x80d0df7cU,     0xb7d7c291U,     0x471c703cU, \
    0xfa6a4e4bU,     0xb3ad419dU,     0x7d51c2b0U,     0x6f5d69abU, \
    0x61818efeU,     0xe3aa7789U,     0x175539b2U,     0xc4404ad7U, \
    0x45ffd06dU,     0x951555b6U,     0xafd03404U,     0xeeef6d83U, \
    0x28057ddbU,     0x58cbac54U,     0xed7e8895U,     0x8911b9b9U, \
    0xc948af5fU,     0x8cceca41U,     0x4a80ee97U,     0xb8dad1f8U, \
    0x9de1ae13U,     0x97a413a9U,     0x2bf390cfU,     0xe7fcc21fU, \
    0x0180b577U,     0x158248fdU,     0xce3cbd5aU,     0x149784e4U, \
    0xa775ffc2U,     0xe99a2156U,     0x52214e1aU,     0x3f939074U, \
    0x83009461U,     0x7efe2ff4U,     0x5b3209dcU,     0xe742a63fU, \
    0xad3e98ddU,     0xb8ad4563U,     0x651194f2U,     0x7fbd2f8aU, \
    0x30d495f5U,     0x4c51c2a9U,     0xb44380a7U,     0xcada48b9U, \
    0x593447c4U,     0x939d9bbbU,     0x0ec3b9a5U,     0x5158993eU, \
    0xf1c7835dU,     0x3819c9eeU,     0x3f34d6aaU,     0xf52073acU, \
    0xe450d979U,     0x32f55b81U,     0xbed407fcU,     0xc28bdf26U, \
    0x99c338b0U,     0xb0169818U,     0xa46a4db7U,     0x343a07a9U, \
    0x53e4aa95U,     0x07aa1556U,     0xadeb6495U,     0xdab969c4U, \
    0x6a98a209U,     0xc9342028U,     0x697edda6U,     0x4b18ac39U, \
    0x34b0dd5bU,     0x936f9a35U,     0xb1c225b9U,     0x64898ae8U, \
    0x1cdd7fbcU,     0xe51c968cU,     0xf12f1738U,     0x059c3036U, \
    0xb7cf0b80U,     0x6054d99fU,     0x104b692aU,     0xc26380b5U, \
    0x64b95a1cU,     0xccad752eU,     0x7b8feae7U,     0x6f85769cU, \
    0xf346bacbU,     0x998ae395U,     0xf72ee3c0U,     0xa9605373U, \
    0xc074ac77U,     0x2581518aU,     0xbe0bb20cU,     0x1310b6beU, \
    0xe28208ceU,     0x6eed59beU,     0xbb94ac41U,     0x8e801658U, \
    0xd37a9d96U,     0xa77f045fU,     0x2fc074c1U,     0xb548a8cfU, \
    0x55e06ec1U,     0x2c48f095U,     0xf054aea5U,     0x1c2f5eedU, \
    0xb693696dU,     0xdf7b5e14U,     0xc10dd142U,     0xb6bdf305U, \
    0x96cb4739U,     0xac49a7e4U,     0xf04fd774U,     0x406c3f3bU, \
    0x4208f0dcU,     0x6918290aU,     0x51b47e18U,     0xb1e6531aU, \
    0x7261abd0U,     0x7f12854fU,     0xe54d9d38U,     0xee9872e4U, \
    0x36798a7cU,     0x36d375d9U,     0x9f475828U,     0xc5f5718aU, \
    0xbde3b660U,     0xa7adbdedU,     0x5d831b41U,     0xd375601cU, \
    0xd699b141U,     0x01bc755fU,     0xd6fd23d3U,     0x8b64f874U, \
    0xe3d31beeU,     0xdc72b932U,     0xe8d76cdeU,     0x251c7092U, \
    0xd892e3e5U,     0x0cdceb22U,     0x5ceec73dU,     0x740de1e6U, \
    0x6308d0daU,     0x11bcf6c8U,     0xd3bb5284U,     0x091d1b79U, \
    0x56f8b8aaU,     0x21ac63f8U,     0x3475aaf4U,     0x6220a7e6U, \
    0xbca22882U,     0x0fea6becU,     0xc86d4787U,     0xce24405dU, \
    0x02742e30U,     0x0df39ad7U,     0xa0658948U,     0xec626e36U, \
    0x09d13fc3U,     0xa577b61fU,     0x5c9adacaU,     0x90a79696U, \
    0x46f654eaU,     0x5cffa3e0U,     0x8f8a5214U,     0x7c16276dU, \
    0xaf5dddf6U,     0xffaddea3U,     0xdd3df104U,     0x53620bdeU, \
    0x96d1674eU,     0xec976e33U,     0x51548c62U,     0xe4d1f942U, \
    0x0918550eU,     0xfd000fdeU,     0xb2e24b58U,     0x1220672cU, \
    0x56a13dc2U,     0x8af2797bU,     0xddfb5840U,     0x87bea693U, \
    0x5be2df75U,     0x56232ed9U,     0xf8991106U,     0xe964bfa9U, \
    0x444bf128U,     0x3b0f6d07U,     0x35799fc6U,     0x4b79660cU, \
    0xadec4b9bU,     0x3f38feb7U,     0x40598f4bU,     0x28729dafU, \
    0x64909f28U,     0xcf24ba9cU,     0x86703cb1U,     0xddb36722U, \
    0x6badd84bU,     0xa1fac736U,     0x41375debU,     0xdc45834aU, \
    0xd40dccf1U,     0x067a0e4aU,     0x2507e615U,     0x1381056aU, \
    0xcf8e05e2U,     0xda6f2378U,     0x7a89568fU,     0x4c89ae96U, \
    0x5ea5c8caU,     0x273910b9U,     0x1a12cc71U,     0xc155e996U, \
    0xc13b9a9dU,     0x895349ceU,     0x0f2722e2U,     0x545903c1U, \
    0x6e6e0be6U,     0xc1d5727fU,     0x0ac76581U,     0xd7a745d7U, \
    0x1d630f86U,     0xbbf4c23cU,     0xf0500346U,     0x1c4c08c6U, \
    0xa3fbe21eU,     0x921b0d2cU,     0x58ddf683U,     0xcc8b4b2bU, \
    0x12a2ed9eU,     0x7e4308e1U,     0x4ea566fcU,     0x26e14492U, \
    0x8a453b78U,     0x452ad7bcU,     0xc7af7f0bU,     0x09a543c5U, \
    0x8d70ff13U,     0xb2e965a1U,     0x611c0c9dU,     0xcea6526fU, \
    0x4027cbfdU,     0x07829849U,     0x391c4ef1U,     0x47ca3facU, \
    0x9c7e004cU,     0x487a0f40U,     0x2cdd64a3U,     0x4bb1aaa0U, \
    0x593c52d4U,     0x4214a8acU,     0x84f2f2b4U,     0xd6facc9cU, \
    0xfdeb1bedU,     0x23de9266U,     0x75a31f1fU,     0x696bd6b4U, \
    0xa5058279U,     0x20c8d049U,     0xfbdb628eU,     0x2a9a634fU, \
    0xac757c0dU,     0xba7148ceU,     0x3126909aU,     0x717df380U, \
    0x8b7b8046U,     0xcd4ae1f1U,     0x889c3f1aU,     0x7bc99ffbU, \
    0x233b02e4U,     0x2a02f4ddU,     0x3939632fU,     0x3c977367U, \
    0x9556ba05U,     0x114cc029U,     0x98a58479U,     0xb4ba2876U, \
    0xcc76d2d3U,     0x59dc0ee1U,     0xc2588792U,     0xa342e9f3U, \
    0xd3e71220U,     0xa6477f81U,     0x00bede8bU,     0xdf668426U, \
    0xc2b1912aU,     0xeb6874bfU,     0x11399b58U,     0xa59c2c17U, \
    0xfc08f1bbU,     0x6ebb4dfaU,     0x128e73f1U,     0xac85959aU, \
    0xa4ed98e1U,     0x40e1225cU,     0x0e6265e2U,     0x8b5fa506U, \
    0x449103cdU,     0xb9c9cafeU,     0x91e2dddeU,     0x335d1e7eU, \
    0x3ba48966U,     0xd12e7c22U,     0x534be2a8U,     0xa7d043d3U, \
    0x6ad830e8U,     0xee97b650U,     0xdb23a792U,     0x9d335503U, \
    0x58d2e892U,     0xf8daa03eU,     0x5f5743e1U,     0x1af134eaU, \
    0x8bc0d04bU,     0xa2ac6143U,     0x73f4b76eU,     0x01b62eefU, \
    0xc54c882dU,     0xdeb63c68U,     0x1e6f46bbU,     0xf768edb1U, \
    0x95f96eb5U,     0x10608ddaU,     0xf09d4100U,     0xeefb985aU, \
    0xe5df1c46U,     0x72774338U,     0xf2fca8caU,     0x11ff7037U, \
    0x59797027U,     0x882fb733U,     0x4da6be0aU,     0x8a274da4U, \
    0x8d01f0d8U,     0x1c48bd7aU,     0xd083b5e7U,     0xc874bde2U, \
    0xb0d6f262U,     0x057b9c63U,     0xe7caabefU,     0xfeff9337U, \
    0x3c1080c7U,     0x484642ceU,     0x2d221b05U,     0xc9a68737U, \
    0x84f6fcd2U,     0x763fffa8U,     0xd73a0adaU,     0x609f76f9U, \
    0x929c276cU,     0xabdcc391U,     0x9294c994U,     0x31176852U, \
    0x04363d2cU,     0x14ac52eaU,     0xeb7efd7cU,     0x7469007bU, \
    0x11a745ebU,     0xa6cce84fU,     0x785fc6e0U,     0x8e97c54dU, \
    0x41944f2cU,     0xe28da146U,     0x27ea3a5bU,     0x58d160f7U, \
    0xdbbe1260U,     0x12b9e92dU,     0x7baa7b1aU,     0x5c59de2dU, \
    0x5477d081U,     0x9ca44a44U,     0xa6777fb4U,     0xe125cba8U, \
    0x40c9db2bU,     0x78e1804cU,     0xf2efd812U,     0x1d4d71f8U, \
    0x64b6353cU,     0xaf02e6d6U,     0xdba195bdU,     0x73e0503fU, \
    0x4bbe0d2bU,     0xe5ddf7f3U,     0xddd82a87U,     0xefd49d01U, \
    0xdce0fb93U,     0x4073f6a3U,     0x117146efU,     0xa1fbbd75U, \
    0x954d8c9aU,     0x9c565c7cU,     0x63d4df15U,     0x9ac63d59U, \
    0x8b26f424U,     0xadc7af2eU,     0xdc402d54U,     0x720580fdU, \
    0xddc77164U,     0xfa836da4U,     0x8eb8e9bbU,     0x98ab4e29U, \
    0x84d7cf9aU,     0x1bec7854U,     0x31344192U,     0xae805818U, \
    0x9df3e506U,     0x04e7a299U,     0xfa952394U,     0xd91af290U, \
    0x5e0214bbU,     0xc3b35b63U,     0x6a59bce0U,     0xd598c7fbU, \
    0xfe5da15bU,     0xec3f2f11U,     0x9623b9d1U,     0x2541c3feU, \
    0x59b3fbf1U,     0xa4724146U,     0x5a9c2ccaU,     0x4312de89U, \
    0x831552e6U,     0x340ae0b1U,     0x341943fbU,     0x27887868U, \
    0x327e8bacU,     0xc19788f2U,     0x3b3941c8U,     0xd71c58a7U, \
    0xd0632c0bU,     0xe13ce131U,     0xceab4a7cU,     0xb1c837bfU, \
    0xff721e0dU,     0x0e1b8759U,     0xabedb8d8U,     0xaa0827e3U, \
    0xaf7ffd8bU,     0x8f800e05U,     0x1ebef862U,     0x04239283U, \
    0xc99da5deU,     0xf3f0972eU,     0xc19867b7U,     0x1dba0d6aU, \
    0xf4f83b9cU,     0xa1a95590U,     0xfb7e5986U,     0xfc40e09cU, \
    0x71a12c4aU,     0x7b09cbf5U,     0x9b9eb806U,     0x46510cf3U, \
    0xd810529bU,     0xf9ccdef0U,     0xe0ad3cd0U,     0x603943eaU, \
    0x7873a7daU,     0xe9e60ec6U,     0x7a0a0fccU,     0x147dc4ffU, \
    0x7a2c1edbU,     0xd8fdd61bU,     0xfd1a0f9eU,     0x5447c066U, \
    0x69328c6cU,     0xc17c5342U,     0x2e01d7c8U,     0x95fcd688U, \
    0xa9d38317U,     0xd6bb0642U,     0x82c15636U,     0xf4e18902U, \
    0xa7f51fd2U,     0x2b0d2d1dU,     0x029bcc55U,     0xac433753U, \
    0xc7d3bb33U,     0xa4f0a93eU,     0x375fb44bU,     0x4332e2ceU, \
    0xcfb228b6U,     0x7a8e896aU,     0x1e75703cU,     0x6f4c4d8fU, \
    0x30b78c42U,     0x27f2f62eU,     0x51452ab6U,     0xec1e5ec8U, \
    0x78154e83U,     0x4960e133U,     0x6884072fU,     0xb51206adU, \
    0x7f86d267U,     0x1d1feb84U,     0xcf7399b1U,     0x054ecd18U, \
    0x367acb3bU,     0x4ab68f86U,     0xee579490U,     0xd2edc5feU, \
    0xc56eb276U,     0xb82fcedcU,     0x4f2d107eU,     0xd912f2c8U, \
    0xc9c3520eU,     0xfc85c7edU,     0xe2edaa31U,     0xbab618bfU, \
    0x2b1a08b6U,     0x89eb501aU,     0x730a81f3U,     0xb7f17118U, \
    0x9a2d69b2U,     0x8996646bU,     0x07b0b372U,     0x631468a3U, \
    0xea02a407U,     0x9ccea9ecU,     0x599937dfU,     0x6fb0ef68U, \
    0x86a5024dU,     0xbeac786eU,     0x6d54e205U,     0xb72a8936U, \
    0xa251af5cU,     0xe0e7d61dU,     0x128f7010U,     0xe650322dU, \
    0x56d49b05U,     0xe9946ce8U,     0x40788a84U,     0xfc298a40U, \
    0x1f7c8b15U,     0x18912467U,     0x6b96ea6fU,     0xe066315cU, \
    0xf31aa63aU,     0x15ce7db0U,     0x85468156U,     0x0d197ccbU, \
    0x2ab3bb04U,     0xa424fb73U,     0x97781804U,     0x58cea9c5U, \
    0xc601d066U,     0x1a2a2741U,     0x3cc1e239U,     0x607061ecU, \
    0xce9fa2feU,     0x69f4fce6U,     0x7e86ce12U,     0x86516a8aU, \
    0x8b41ff4dU,     0xf07136a5U,     0x5c3a9843U,     0xd3d82e87U, \
    0x5095b834U,     0x2793e1eaU,     0x273f7a8eU,     0xf3a111dcU, \
    0x3c69a751U,     0x3254b108U,     0xa0992959U,     0xdb7afd64U, \
    0xb2ff74bcU,     0x31a46b93U,     0xa730d750U,     0xa6124d2cU, \
    0xeb2eeab1U,     0x533e0f4aU,     0x03971a25U,     0x9190cf5dU, \
    0x87c1b843U,     0x6b2fecf0U,     0x9ac25d37U,     0xefc5779cU, \
    0x60bd3d45U,     0xd813546cU,     0x61ba9917U,     0xc1938c1aU, \
    0x4f665f0dU,     0x12eb0588U,     0xef8c4314U,     0xe585befeU, \
    0xa65acb29U,     0x616c9ce0U,     0x7a3fdc76U,     0x86b519f0U, \
    0x576dff34U,     0xb1ba33fbU,     0xbce5e8aeU,     0xd440efb2U, \
    0x299c3f8eU,     0x077f14a7U,     0x55addde1U,     0xa3e05396U, \
    0x3ca941c5U,     0x8ea5b5d8U,     0x983b305fU,     0x34531d00U, \
    0x2b46cc3aU,     0xe736730eU,     0x01636c2dU,     0x29597ae1U, \
    0xbfb0170dU,     0xd9906eb6U,     0xce4dc262U,     0x3f580aa7U, \
    0xb7f0766aU,     0xc4cdb483U,     0xfa291e54U,     0x7442cf76U, \
    0xbb6e5bf6U,     0x7f524e44U,     0x9ee05badU,     0x46b1b2a2U, \
    0xb4f8da2fU,     0xb84fbdb5U,     0xafd72bbeU,     0x7a952d97U, \
    0x1c2b12bcU,     0xf7ab8e57U,     0x4fa707c5U,     0x7f583203U, \
    0x2016e2a2U,     0x0f099996U,     0x9c435c81U,     0x064846faU, \
    0x57c3c14bU,     0xa90addc0U,     0x5838d539U,     0xc365c7b6U, \
    0x4f5fc8bbU,     0x0c726733U,     0x68cfd0efU,     0x07e78840U, \
    0x5d708328U,     0x35447e60U,     0xa4e6471fU,     0x4ab46d48U, \
    0xb400fd7fU,     0xc80e2d39U,     0xbb5c74c4U,     0x1c1963d0U, \
    0xc0e142b5U,     0xbc51e487U,     0x72f0ac18U,     0x256edbc4U, \
    0xeb1cd700U,     0xca571e64U,     0x0bca26fbU,     0x024ebedeU, \
    0xf308be29U,     0x14d98e44U,     0x699b4061U,     0xd0b28d9fU, \
    0x43ff11a5U,     0x7e9925fcU,     0x14dc472dU,     0x53d19297U, \
    0xf7f01c17U,     0xfcee8e13U,     0xb68ecaaeU,     0x281537c8U, \
    0xb903c63dU,     0xf0d32d22U,     0x73b48ccbU,     0xaeffe3c8U, \
    0xc7054e02U,     0x54b7fd69U,     0xb97affd4U,     0x4a49fcecU, \
    0x6a24724dU,     0x890a3df9U,     0x87c07e76U,     0x1b4da202U, \
    0x1ea9741aU,     0xeb850b89U,     0x9d68b5ddU,     0x64759e4eU, \
    0xbc6445e4U,     0x8ed2ed7cU,     0xd0e87755U,     0xbdcf7964U, \
    0x40dd0623U,     0x69553c6eU,     0x213dd2cfU,     0xa5dcf0cbU, \
    0xe19e23b6U,     0xa7937741U,     0xce89b44dU,     0x887e3a27U, \
    0x48288150U,     0xf5ff63e7U,     0xaeed5ad3U,     0xbe4f18eaU, \
    0x9a715277U,     0xd1e8603bU,     0xfcf8c3ceU,     0xccec52a7U, \
    0x05fac100U,     0xe0b97864U,     0x3951d55bU,     0x0ec53502U, \
    0x6a46959fU,     0x4e8177b8U,     0x7cf405d4U,     0xe7d80c39U, \
    0xfd723ca1U,     0x1286300dU,     0x9720dc30U,     0x84139fb5U, \
    0x1c2cf9cfU,     0x19c4a107U,     0x2020bbe4U,     0xe9a2838cU, \
    0xfd1dbf7eU,     0x70fe969cU,     0x068425abU,     0xb6688977U, \
    0x6bf9bb76U,     0x7af6559fU,     0x98176ecfU,     0xd23fe836U, \
    0x23ea4124U,     0x94e474bdU,     0x50e20368U,     0x9f44660eU, \
    0x2f109ff2U,     0x2a524d51U,     0x20878709U,     0xe7a48b1dU, \
    0xa5fe9e0aU,     0x7a3f6337U,     0x3363e26aU,     0x558e0a7aU, \
    0x5c5bcddaU,     0x26e82fcbU,     0x19d6e190U,     0xa75fe9ceU, \
    0xad672986U,     0x467ac45fU,     0xb7c5f0e3U,     0x9c6e744aU, \
    0xcaf6afdcU,     0x1aca9eeaU,     0xf4609a0cU,     0x92e0ce66U, \
    0x19a6589eU,     0xea93392aU,     0x2d43b46eU,     0xe7546156U, \
    0x756dce9eU,     0xcb3a5732U,     0xd90858ceU,     0xc0632f57U, \
    0x9c6c9ae3U,     0xded7d44bU,     0xf20f1741U,     0x6d76914bU, \
    0xf33cebd5U,     0xbfeb89c2U,     0xf6d0e77eU,     0x73ccef05U, \
    0x0dc1f39fU,     0x95d0710cU,     0x10639d48U,     0xc3c1689cU, \
    0x252d11afU,     0xde6e8d21U,     0x852b812fU,     0x5be1f0acU, \
    0x2da1bb5dU,     0xd2f722faU,     0x66af59baU,     0x1329e0faU, \
    0x28ce07caU,     0xaa56e723U,     0x4ff2db6bU,     0x398a6725U, \
    0x7387e00bU,     0xdbf020a9U,     0x72d273c4U,     0x5cb765dbU, \
    0xd38228f0U,     0xeebab779U,     0x2b76cb4dU,     0x6eb02de0U, \
    0x1676cca8U,     0x9282838bU,     0x73a580c3U,     0x1435c4e7U, \
    0xb9168bcaU,     0x7255e5f7U,     0xa7aa0574U,     0x62452f73U, \
    0x5af1d647U,     0x7220a6d0U,     0x555f6afcU,     0x92dfd26cU, \
    0xfe0db8f0U,     0x5bda6606U,     0xfad8e719U,     0xc9de45fcU, \
    0xb9b8807aU,     0xcf615653U,     0xdcc8f3bcU,     0xf77ac53cU, \
    0x6d742558U,     0x2dbc9c5dU,     0x6eb144aeU,     0x306d4726U, \
    0xe38d5ec6U,     0x9e89f1ccU,     0x70cf9b7dU,     0x9a985fc0U, \
    0x3f47fb0cU,     0x29b3f56dU,     0x4316eebbU,     0x91f3f7c3U, \
    0x3a74e052U,     0x9d882110U,     0x895d8c33U,     0x5659c974U, \
    0xc916c0bbU,     0x371a21f9U,     0x8fa4525cU,     0x4469c7f0U, \
    0x5109c5caU,     0xfdaf08a7U,     0xfe3edf43U,     0x9a0fbff7U, \
    0xecdf81faU,     0xae9ff297U,     0x32cd09c8U,     0x61516210U, \
    0xc2e15a3bU,     0xaa33a749U,     0x7dcf9fefU,     0x49ed0f46U, \
    0x0fb2085fU,     0x99dd424cU,     0x017ceae0U,     0xe2395881U, \
    0xf3c0a9bdU,     0x19236d17U,     0x4793a7f8U,     0x597d1743U, \
    0xef70ed65U,     0x2fb2b630U,     0x7cc0a425U,     0x24c20353U, \
    0xfa5e9e65U,     0x533a2d71U,     0x2275780cU,     0xda0aaf90U, \
    0x360e2665U,     0xb580644cU,     0x8b2a859dU,     0x72c7a703U, \
    0x5e889172U,     0x7c5a9f73U,     0x70fbf05aU,     0x421e8e9aU, \
    0x71852dd7U,     0x38f7c917U,     0x7f376f9aU,     0xc1777fbfU, \
    0x13d2e3bdU,     0xe97ab243U,     0xdabf8fdbU,     0x9a8f959dU, \
    0xaacf9bb7U,     0x3a001793U,     0x0b3c4f97U,     0xc044dd15U, \
    0x4f9306b9U,     0x5343b5ceU,     0x35a3567aU,     0x686dbd11U, \
    0xcf9b6c15U,     0x9835d853U,     0x08b7a5c5U,     0xe0ba7f19U, \
    0x1cddb8d2U,     0xf06c8feaU,     0x516f9252U,     0xf77834cdU, \
    0xe1bf6a9dU,     0x17cbde02U,     0x84f8797eU,     0x9bd21177U, \
    0x3cacc900U,     0xb7f42132U,     0xca199569U,     0x6e9f83cdU, \
    0x3aba7090U,     0x63463a93U,     0x8db4bb9fU,     0xd7c5d374U, \
    0x479b4948U,     0xdd483405U,     0xa027ca39U,     0x56b22122U, \
    0x78c4bad1U,     0xd3470457U,     0xb12f8053U,     0x8de9896aU, \
    0xff4182aeU,     0x1e64adfaU,     0xe4afb338U,     0x303ea79cU, \
    0x5d05ad0aU,     0xfad18145U,     0x3b52ff61U,     0xb5cf72a6U, \
    0x5baa3f0bU,     0xf8c21dadU,     0x3834e022U,     0x6dfb4f58U, \
    0x02d68d90U,     0xb7950570U,     0x10a386d1U,     0xb5d9d672U, \
    0x8c8f87a7U,     0x77d511caU,     0xa8859f86U,     0xfc2c8b6dU, \
    0xaece020eU,     0xfa00cbc9U,     0xbfc045ebU,     0x2a3942f0U, \
    0x89a79792U,     0x5677762eU,     0x262429caU,     0xaf48b6f1U, \
    0x587cbd25U,     0x4882c7baU,     0x478bf341U,     0x1839d0d6U, \
    0xb24b8c2cU,     0xe9aebde7U,     0x8d8b1c1bU,     0xb5928998U, \
    0xdb8f2974U,     0xb897cbddU,     0x1b1af2cbU,     0xda8c06a9U, \
    0x12b80ea4U,     0xff569410U,     0xd1f578b9U,     0x9f8cceafU, \
    0xb1fe3cf8U,     0x628a4111U,     0x3c087bc0U,     0xf39fc733U, \
    0xf5eb27a1U,     0xae64871fU,     0xfc98351eU,     0xa5ab530aU, \
    0xeb68982eU,     0xf4d82c83U,     0xb49dd474U,     0x04df3f4bU, \
    0xc266d318U,     0x6984bdfcU,     0xdeee49e2U,     0x6b13f462U, \
    0x49063944U,     0x1da33219U,     0xb613f4d3U,     0xfc7caba9U, \
    0x2c8613f7U,     0x0fa3447eU,     0x2d36064fU,     0x03e7f298U, \
    0x91939dbeU,     0x97c41ca3U,     0xbc177417U,     0xe8da7f73U, \
    0xdae796c6U,     0xd5d8ce3dU,     0xd539aef2U,     0xf93f4fb9U, \
    0xfbc0b11fU,     0x62a97fd9U,     0xdfd21a25U,     0x3163d446U, \
    0xf1c25444U,     0x9b0f28e5U,     0xebd36473U,     0xf5e4e0faU, \
    0x0bad44b7U,     0x4c0277b0U,     0x8fb4b811U,     0xf7b2ab95U, \
    0xafc24b57U,     0x282fb28eU,     0xbe7209c1U,     0xa3239f3cU, \
    0xce213d3dU,     0xa09a0e1aU,     0x70d1cb0bU,     0x2a143156U, \
    0x2103ba11U,     0x3375402cU,     0x7abfec8aU,     0x19e19633U, \
    0x2cbbb2bdU,     0x5afde669U,     0x05f62b9aU,     0xe765a4c6U, \
    0xcac52109U,     0x8331023aU,     0xdd93f682U,     0x8036c4bcU, \
    0xbc80400fU,     0xda23f321U,     0x608f8027U,     0x13d33a17U, \
    0x17eb74d7U,     0xad6d541fU,     0x30ee428cU,     0x454ff185U, \
    0x7c878f78U,     0x916e3ed3U,     0x1906ced1U,     0xc5e76dd9U, \
    0x992f0cb8U,     0x14efbfc8U,     0x81e370a6U,     0xb60f099dU, \
    0x88b13058U,     0xf97526aeU,     0x2b066425U,     0xc2d99713U, \
    0x49fe48d7U,     0x49bcaadfU,     0x47494177U,     0x0106ad32U, \
    0x032ff7c1U,     0xdee0a25eU,     0x52d17409U,     0x875666baU, \
    0x4e53495fU,     0xca4e192aU,     0x3af32679U,     0x8e823cd4U, \
    0xbd397197U,     0x0364f3c9U,     0x808d1f00U,     0xf340e3ddU, \
    0xad3a6642U,     0x49fb3f77U,     0x2d1f9b85U,     0xb93638c7U, \
    0x8fd3ddbbU,     0x493699a8U,     0x38cc8e78U,     0x7fd1531bU, \
    0x67f7772bU,     0xadccf1c5U,     0x1b4bf176U,     0xd587dc0cU, \
    0x0aff93a8U,     0xc044c134U,     0xf0683c44U,     0x2f64a718U, \
    0x3b7de9b0U,     0xbcd42010U,     0x25eb115fU,     0xa00b7b33U, \
    0x0961e43dU,     0xb2e2f4f8U,     0x5ad35c79U,     0x8c1bc4cdU, \
    0x025c2d28U,     0xaa8df8d2U,     0x09139112U,     0xbbd18230U, \
    0xaaa95cffU,     0xf6ebe4edU,     0xc2678839U,     0x12a45a12U, \
    0x926eaca1U,     0x14d32df8U,     0x29026ee7U,     0x653dfe6fU, \
    0xb8b579a4U,     0x2aeaa507U,     0x19a45d56U,     0x29678adeU, \
    0xbf46d72fU,     0xbe2067a5U,     0xa27f8f94U,     0x854c7bfaU, \
    0x8dc1cff2U,     0x4d0c6afbU,     0x34afabd0U,     0xe4cd9c0bU, \
    0x2b309942U,     0xe2e45861U,     0xffc34c4dU,     0x11f61592U, \
    0x7370b658U,     0xb64197d5U,     0x3ad83d25U,     0x4fff693aU, \
    0x4b1cd0a8U,     0x9e0c0b80U,     0xa300502eU,     0x91a16e55U, \
    0x510d2a73U,     0xe76174abU,     0x74dd79a0U,     0xe61c8b76U, \
    0x207d0c37U,     0xd59a161bU,     0xc645e26bU,     0x521703f8U, \
    0x5720cbb2U,     0x15914b36U,     0x4dd2d5b2U,     0xc8ec66b1U, \
    0x9e89d5e1U,     0xaf42525cU,     0x32195e3dU,     0x8f60c80bU, \
    0xdda72e6dU,     0xac2974fdU,     0x537bdf7cU,     0x91e1179eU, \
    0x49cfc357U,     0xb66a3c90U,     0x9445652eU,     0x2fc16d12U, \
    0xf562779cU,     0x3e5b25d0U,     0xa5de0898U,     0x3585457dU, \
    0xefeb98f7U,     0x82d20f59U,     0xf03e3eaeU,     0x36f008bfU, \
    0x602af22eU,     0x8c5faa35U,     0x007bd82cU,     0x1f1cc560U, \
    0x769814a0U,     0xe504201aU,     0xf4326da0U,     0x44400c91U, \
    0xc1fe544aU,     0xcc58336eU,     0xcbec00a6U,     0x2e5082c1U, \
    0x4c9cf929U,     0xa5d0ad3cU,     0xe6677b98U,     0x851612ecU, \
    0xc748d6baU,     0x91b99bedU,     0xfdbe0eccU,     0x118daa53U, \
    0x2f7ea1d0U,     0x7a9a4cdcU,     0x768614bcU,     0x5a512257U, \
    0xac14c93dU,     0x42851a36U,     0xf950daf0U,     0x7208b267U, \
    0x94d8000aU,     0x64604efeU,     0x6cab0ffaU,     0x666354c2U, \
    0xe0e14113U,     0x31cc65b9U,     0x2dc46461U,     0x950b7babU, \
    0xd2786040U,     0x71c8f9d3U,     0xaea8f58bU,     0x450beef4U, \
    0x691b32ceU,     0xc6495629U,     0x6c75a2a0U,     0x4d85921aU, \
    0x4e76c60fU,     0x3bd1828dU,     0x62ceda1dU,     0xdc6574c6U, \
    0x73d0595cU,     0x5c3e9847U,     0x13c99f47U,     0xb2e2d060U, \
    0xf3abb7b8U,     0x20298155U,     0xca787f51U,     0x920342a3U, \
    0x5aa97248U,     0x2d19bf5aU,     0xf07371b2U,     0x1ba86acfU, \
    0xc0c992d6U,     0xdc5b7442U,     0x5a9d300bU,     0xe1c83862U, \
    0xf9d72d61U,     0xb71978a9U,     0x4ce83422U,     0xa56f8188U, \
    0xec3af554U,     0x6f30749dU,     0xd4bd9ccaU,     0x6e6cb739U, \
    0x85bf597fU,     0x1816c3a9U,     0xf2cc299fU,     0x3056807bU, \
    0xd4602a11U,     0x3e7aba1cU,     0xac56be83U,     0xa3906493U, \
    0x6ede4a1bU,     0xe12308a3U,     0x51c02c33U,     0xe204b1ffU, \
    0x2810724fU,     0x8ffe0e2bU,     0xb2c57973U,     0x85b5c18cU, \
    0xafd6889cU,     0xd47c3499U,     0x2223e4caU,     0x8c781510U, \
    0x6d3e71afU,     0x72a33100U,     0xc6d53db6U,     0x297b50e5U, \
    0x2d33b7bcU,     0xe914ea74U,     0x7ba168c6U,     0xb5569639U, \
    0x86eea9d9U,     0x1be186bcU,     0x8aa09c2cU,     0x1bc09fe0U, \
    0x0ea4fc40U,     0xe09690c7U,     0x044cc2d8U,     0x9980b9bdU, \
    0x9a9999d7U,     0x1e2ad335U,     0x81587140U,     0x5c6005c6U, \
    0x9994b435U,     0x2091f0dcU,     0x65eda08cU,     0x14988724U, \
    0xbb59ad7fU,     0x35d96f96U,     0x2f1db01cU,     0x7ea756f8U, \
    0x897d01fdU,     0x5c70f3eeU,     0x8e859976U,     0x69b701caU, \
    0x895c43dcU,     0x3f8ec631U,     0x72ab3833U,     0x7fa52affU, \
    0xcfa113acU,     0xbcbffa33U,     0xf925a2baU,     0xd8ab52dcU, \
    0xd69aca9aU,     0x19721c00U,     0x7308cd77U,     0x63a6777eU, \
    0x6f2842dbU,     0xc4336ff3U,     0x31c30999U,     0xac148496U, \
    0x4b1c082aU,     0x343b89f8U,     0x8eb4f54eU,     0xc1787246U, \
    0x373bbb4bU,     0x9012a959U,     0x4663ae24U,     0x39663db3U, \
    0xa5a8bfe4U,     0x3e52ba25U,     0x4d09bebaU,     0x941f59d7U, \
    0xe2ae66e4U,     0x1cd71666U,     0x1baaa30fU,     0xc0a49c65U, \
    0xc0afd36eU,     0x2962ae2bU,     0x2430f640U,     0xa333c496U, \
    0x46b644a1U,     0x980daf2bU,     0xe96cab60U,     0x3f45a4d6U, \
    0xd7a4cf54U,     0xc4144ad9U,     0x7fa212c3U,     0xd62482e0U, \
    0x421be05aU,     0xe57b3bcdU,     0x42986088U,     0xa75e12efU, \
    0xf5f174bfU,     0x6c75ee7bU,     0x3885b987U,     0x22edc9cfU, \
    0xa95c8950U,     0xd066bc10U,     0x509b5f51U,     0x0728875cU, \
    0x8efeb3aeU,     0x3a9c1ee0U,     0x804caf01U,     0x23673146U, \
    0x9828b647U,     0x51abfcafU,     0x2dda2a2dU,     0x3894bda0U, \
    0xbb564622U,     0x7d759d7bU,     0x07821630U,     0xe16e657aU, \
    0x50bb0edeU,     0x443c5081U,     0xfc028c4eU,     0x6e286717U, \
    0x9b37424dU,     0x26ff5198U,     0xb7052b8cU,     0x31a9801fU, \
    0xee0e326cU,     0x165003e3U,     0xa6258505U,     0xa8d258b9U, \
    0xd9ef0350U,     0x7743c332U,     0x705e4d61U,     0x355fe3ddU, \
    0xc50d9193U,     0x273146a7U,     0x87eae67eU,     0xf4bc60dcU, \
    0x38205d09U,     0xb7d0ea05U,     0x582c86daU,     0xd8b28830U, \
    0x0f634fa3U,     0x94a8b85cU,     0xe828afe0U,     0x05e2ba88U, \
    0x71296c26U,     0x19143b2bU,     0xd0485be2U,     0x9cdf1fe7U, \
    0x399d4f59U,     0x1b081d9eU,     0x756cdb8eU,     0x281e5b69U, \
    0x28fcf45cU,     0xb7919bd2U,     0xe8153899U,     0xe2bc353dU, \
    0xe55e2fdaU,     0xdc9ef735U,     0x57a2a670U,     0xbf5dce50U, \
    0x19b0a738U,     0x6e01da1bU,     0x26265535U,     0x5824ee7bU, \
    0xfa361036U,     0x8ff3d2c1U,     0xe9d590d1U,     0xb065ae33U, \
    0x3964e9adU,     0x0cccfe1cU,     0xc97bca67U,     0x69f10586U, \
    0xeb15f555U,     0x320cfc25U,     0x1c84eab0U,     0x8f06db86U, \
    0x6e6d6bf9U,     0xa098ed95U,     0x6f8127abU,     0xb2adcbe2U, \
    0xe554ce15U,     0x2f00748fU,     0x7c516244U,     0x5a905a8eU, \
    0x404bf104U,     0x43b5ebecU,     0x3ce1abb8U,     0x1a47a452U, \
    0x54b464c3U,     0x8373fcd2U,     0xe0c5956dU,     0x23d3f994U, \
    0xcde72077U,     0x32e407b1U,     0x96df51eaU,     0x391e8b7dU, \
    0x26e8400aU,     0x3fddef77U,     0xc54e12c3U,     0xdadc791cU, \
    0x193d4fdeU,     0xa2211f42U,     0x8f935b3dU,     0xb707f9d9U, \
    0x6e86cafeU,     0xebc15517U,     0xb82967f0U,     0x74e846eaU, \
    0xbcdb6a4cU,     0x98609b69U,     0x6206a0d3U,     0xfdce0cf4U, \
    0xc99da39fU,     0x6fe31236U,     0x754d903aU,     0x8737ce3bU, \
    0x016414d5U,     0xef94f424U,     0xe062bbdfU,     0x25288522U, \
    0xacaeb128U,     0x6084bbf6U,     0x07068355U,     0xc8684907U, \
    0x1a21abdcU,     0xc3e1ac20U,     0x6afacb96U,     0xb976e604U, \
    0x7a7504f2U,     0x19c4383fU,     0x3c7d5781U,     0xb1b7f06aU, \
    0x3db1546eU,     0xc843f85bU,     0x2e3895aaU,     0xece4cba1U, \
    0xacb9241dU,     0x28acfa8eU,     0xcd0499a4U,     0x0149a1c3U, \
    0xa2fd1f89U,     0xc2896ab7U,     0xd458eab5U,     0xf947e336U, \
    0x4a14b1ecU,     0x7a7d8dc4U,     0xa917d4f2U,     0xd7a42e25U, \
    0x98868576U,     0x4d9042ccU,     0x8e8d838bU,     0x3bbe50e0U, \
    0x97c2bf3fU,     0x83b5f46fU,     0x6f7f2e8aU,     0x503884dcU, \
    0x76c06637U,     0x7552906aU,     0x7e250410U,     0xe246df77U, \
    0x60927674U,     0x316d8285U,     0x34649c70U,     0xf2c42a60U, \
    0xf6b9a7b2U,     0xde645eeaU,     0x7f19ec81U,     0x61040b56U, \
    0x797ed9aaU,     0xf914fa5cU,     0x3da2253aU,     0x8d80d3a5U, \
    0xe266230dU,     0x38e755e5U,     0xe9d0ff1cU,     0xa30ca759U, \
    0xa1880359U,     0x55dc6285U,     0x99314dadU,     0xd1e3e806U, \
    0xc6578a03U,     0x85dd34b1U,     0xbbf460eeU,     0x3952af47U, \
    0x3509fc6fU,     0x6f987691U,     0xb84fa212U,     0x7a9ccb76U, \
    0xa6d71899U,     0x392361d2U,     0xde68247eU,     0xdc080a03U, \
    0x53987584U,     0x4154fe58U,     0x0e74d424U,     0x408621c4U, \
    0xdc186358U,     0xdca8a3ceU,     0xb66eb59bU,     0x9a878adeU, \
    0x0e88f212U,     0xa67d1434U,     0xb044f07aU,     0xc72e1898U, \
    0x0256e511U,     0x6df91a83U,     0xfffeca90U,     0x37762cd1U, \
    0xe6be8926U,     0x2db93bf4U,     0x4a0f1757U,     0xdf4687acU, \
    0x3c527fd2U,     0x62b8fef3U,     0xe1b0996bU,     0xda7b37adU, \
    0x9fa8a937U,     0xf4fbfcf7U,     0x44966660U,     0x7f0785a8U, \
    0xf7b9b306U,     0xf76fd4f7U,     0x67aeb505U,     0x266b4684U, \
    0x7b5167bdU,     0x031f783fU,     0xda1b4060U,     0xa72ee3c7U, \
    0x01e4fde2U,     0xc2475b1dU,     0xabdb9e08U,     0x3c09260bU, \
    0x79dd961cU,     0xb8a08bdaU,     0x4486770dU,     0x2576afe0U, \
    0x2868e900U,     0x9a6b00cbU,     0x44fcc3bcU,     0x26c4a943U, \
    0x63d80326U,     0xe4bccc48U,     0x2fbd483eU,     0x36c1df4cU, \
    0xac5a16f4U,     0x8520b480U,     0xe2f20c2fU,     0x9183c6d4U, \
    0x72eb94c0U,     0x79d8a47bU,     0xb83f0136U,     0x24284a9bU, \
    0x88534352U,     0xae0dbcc8U,     0x4b1eb601U,     0x4fec7654U, \
    0x09b23046U,     0x35b730b9U,     0x072d17f3U,     0x2b978c7bU, \
    0x27da7bf9U,     0x4ee80d5dU,     0x2e592750U,     0xb737316cU, \
    0x8b9818d3U,     0x0c8d7b63U,     0x5a0be63cU,     0x24ff7c1eU, \
    0xce874789U,     0xa8b0eb1aU,     0x5e611bedU,     0xcb048d0cU, \
    0x7664d037U,     0x71cb3246U,     0x5718af99U,     0xed24b750U, \
    0xaab96b4aU,     0xb5e67527U,     0x355bca21U,     0x6bff3b6eU, \
    0x7774d658U,     0x188f1fbbU,     0xf06a6cf7U,     0x673905b6U, \
    0xc6fb3222U,     0x2b03cd6dU,     0x4aa2b84cU,     0x13f13b5eU, \
    0xcdb3fb09U,     0xd41010f3U,     0xdad4d73bU,     0xe027fb07U, \
    0x6368ab01U,     0x06de1b46U,     0x16f6a3b3U,     0xe9ee0e16U, \
    0x34ba4454U,     0x891e7344U,     0xa926a609U,     0x77d78728U, \
    0x8fb641e1U,     0x2e9cd09cU,     0x8fdce46cU,     0xe22dbea0U, \
    0x3a6be353U,     0xc418cb22U,     0xef012c41U,     0xdf5ba526U, \
    0x93f551b9U,     0xb16a57cdU,     0xdabffa94U,     0x16466d85U, \
    0x12a5fb20U,     0xddd6559cU,     0x73417f37U,     0x9750fc60U, \
    0xf40d62f1U,     0x13a01742U,     0xae504a5fU,     0x29d60928U, \
    0xf598708dU,     0x58e49232U,     0xd4930517U,     0x71323890U, \
    0x46d24c8cU,     0x05db0ce4U,     0x33fd7340U,     0x09349f19U, \
    0x4ac44098U,     0x7a474419U,     0xa6c96df4U,     0xb6101248U, \
    0xb29cd42cU,     0x76eceeccU,     0xcd4ed8a7U,     0xad8b1143U, \
    0xe26963a9U,     0xf9dfcc9eU,     0xacb1036aU,     0x60684314U, \
    0x64b002dbU,     0x586132a8U,     0xd7c7baf4U,     0x1e2ff272U, \
    0x550f3121U,     0x14bccdc8U,     0x530f5303U,     0x6ffefa6eU, \
    0x45fb1d6fU,     0x7c299118U,     0x606cf40aU,     0x4007b872U, \
    0x61c05ad9U,     0x425ce5deU,     0x5088e129U,     0x599874f9U, \
    0x7941abd2U,     0xc5c7e626U,     0x033a3051U,     0xdd7cd148U, \
    0x006bbb0dU,     0x241e6a32U,     0x5b0625e8U,     0xeb1cf9efU, \
    0xfef8b0bcU,     0x63b314f5U,     0x3848adc4U,     0x1b67a252U, \
    0x74ad4407U,     0xf1d44896U,     0xc9286055U,     0xcdc65e73U, \
    0x5b553796U,     0x3febcad5U,     0xbf440b0eU,     0x82207e7cU, \
    0x06210f56U,     0x2429e947U,     0x614bb3bfU,     0x7f2d464eU, \
    0xf7b039ceU,     0x633fef0aU,     0xaa18d2fcU,     0x6bacc5a2U, \
    0xdce43c4aU,     0x85929026U,     0x8041477bU,     0x05dd542cU, \
    0xbc94c20eU,     0xd9d19b20U,     0xc683d1afU,     0x9d61269bU, \
    0xa289db70U,     0xe7f17a20U,     0x4b1d6713U,     0xeddf4c0eU, \
    0x79bc9590U,     0x5bb84d68U,     0x32ff9a36U,     0x9e8b9ee3U, \
    0x86cb375eU,     0x6455a14cU,     0x656a7bb9U,     0x0457e768U, \
    0x14b813a5U,     0x8c9d4be4U,     0x619faa2dU,     0xadecdd81U, \
    0xa3a58aeeU,     0x6c0fc830U,     0xcce210d7U,     0x19ccc08bU, \
    0x8d2ac6cdU,     0x357b5173U,     0xe85593f5U,     0xcdc47f45U, \
    0x0a958979U,     0xc2945ba7U,     0xe7568a3bU,     0x6637ee5eU, \
    0xc76013c1U,     0x7d3d6c02U,     0xe60175b1U,     0xe7587f78U, \
    0x6d6c3c99U,     0xf584c7c8U,     0x1b9d6963U,     0x3b6e60a2U, \
    0xff306ecdU,     0x5f49e9c7U,     0x69763a9cU,     0xe4647b39U, \
    0x4cb2dd57U,     0x84bbdc37U,     0xbb5ce859U,     0x56ed4890U, \
    0x62f6c6e2U,     0xf76f6c80U,     0xdab6accbU,     0xe247beddU, \
    0x2425d31bU,     0xea419f69U,     0x487ef183U,     0xf9edf424U, \
    0x32de9105U,     0x21e3e1eeU,     0x6923cc57U,     0x5612bd64U, \
    0x7af8c4dcU,     0xd47e1295U,     0xc0f45515U,     0x48a6f12fU, \
    0x7f5b0d27U,     0x0e63d49aU,     0x3e5a9c94U,     0x2c8f19a8U, \
    0x03280008U,     0x71a30b1bU,     0x224ddcb5U,     0x1dc2396aU, \
    0x208daeefU,     0x64883cecU,     0x44d35804U,     0xf280d922U, \
    0xe5d3eb56U,     0x56da81b5U,     0xd6737074U,     0x81b0e65cU, \
    0x1a703af8U,     0xb69b540eU,     0x4fdc2a72U,     0xdc96f718U, \
    0xad5492b2U,     0x3d38b4e6U,     0x11b40412U,     0x7fa3588eU, \
    0xa190378eU,     0x0ce09898U,     0x75b38b20U,     0xa1b2b72eU, \
    0x47202f29U,     0x3936edd9U,     0x8b26d922U,     0x78ea7722U, \
    0x53250a62U,     0xb2b2b93eU,     0x32b6556bU,     0x5db74ee4U, \
    0x0f9f9cc3U,     0x8223611fU,     0xda016cb7U,     0x8c9d3466U, \
    0x2c11d794U,     0x1e8904efU,     0x08b6ccc7U,     0x690a033bU, \
    0x01d3f0beU,     0xdecc89c2U,     0xd4ab0bb5U,     0x862c7fbcU, \
    0xe7dd72d9U,     0xe76d618aU,     0xde1c7da3U,     0x5bc25b9eU, \
    0x39f2c03bU,     0xbcdd443cU,     0x8c29cef3U,     0x2006bbc5U, \
    0x65ebdd6fU,     0xd4e5fe0cU,     0xab73856aU,     0x679ef55eU, \
    0x68b79fd1U,     0x16d9a9e7U,     0x6c7b63e6U,     0x9a84b63eU, \
    0x0670cdaaU,     0x197dddeaU,     0x87b9874aU,     0x6c7cf47aU, \
    0xdd4cda01U,     0x89194f44U,     0x0eda0887U,     0x9374036bU, \
    0x1ca4d287U,     0x53630e16U,     0x0b1eca9dU,     0x43992393U, \
    0x7c703f49U,     0xdafab627U,     0xe923cd7fU,     0xb4901958U, \
    0xcb3af0a9U,     0xc7f964f4U,     0x11a69cdbU,     0x7a568bcfU, \
    0xa2666cc8U,     0x03f39d44U,     0x5b32a5e6U,     0xbedee14cU, \
    0x7e80e36dU,     0x07d9493dU,     0x206fbac8U,     0x5f1c2722U, \
    0xbfcf4c8fU,     0x8f142711U,     0xb6e95e4aU,     0x9ed7636aU, \
    0x76ea8445U,     0x029950b7U,     0x69ad5c40U,     0xe080230bU, \
    0x5e075cb8U,     0x81824250U,     0x9e9f9037U,     0xd4f9b28bU, \
    0x3be9b350U,     0xc2187422U,     0x5e5be210U,     0xefd424f6U, \
    0x5abb10fbU,     0x5bcb2e31U,     0x8e17c2fcU,     0xa78a2bb7U, \
    0xd3b0e873U,     0x04ff4e32U,     0x75d59686U,     0x63b04f4aU, \
    0xbe444450U,     0xe31f6d78U,     0x496d42e7U,     0x2f0f26d6U, \
    0xfa095107U,     0xe94761deU,     0x97e9961cU,     0x9d73008fU, \
    0x75186bfdU,     0xe2da79aaU,     0xedc1db70U,     0x20e4b41fU, \
    0xe28ed5e6U,     0x2a0eb7a3U,     0x19287dcaU,     0x7bd1dfd4U, \
    0xe699bab8U,     0x1321d4e9U,     0xa06bc2b7U,     0xb5dcb345U, \
    0xaa051897U,     0xd1ad0453U,     0xc33c18faU,     0xbe4a249eU, \
    0x1366a092U,     0x2f65de0cU,     0xb7d44cd8U,     0x9852d52bU, \
    0x9f764b57U,     0xcd999d53U,     0x7a35f1c9U,     0xf10ba6b2U, \
    0x0da848b5U,     0xe8e32388U,     0x06d06e7fU,     0x8d85f506U, \
    0xa0cc8d24U,     0x4b74af7fU,     0xd5203843U,     0xd9374536U, \
    0xecc4c573U,     0x8ed3f399U,     0xd5f7890dU,     0x3c9783dcU, \
    0x62476ad4U,     0xf6b56638U,     0x7e0106c0U,     0x94f0181cU, \
    0x6695a6caU,     0xe4397b8fU,     0x6ad26857U,     0x35182c19U, \
    0x57042561U,     0x291380a6U,     0x181a0f3eU,     0x5fa9c666U, \
    0xf3c91a2cU,     0xfa494b9fU,     0x2ce8f2d5U,     0x84492145U, \
    0x1a78c0e4U,     0x8eea170aU,     0xc3f62140U,     0x0676ac04U, \
    0x07d8b016U,     0x03687e13U,     0x3249a38cU,     0x32e95592U, \
    0xacdf604dU,     0xc21663e9U,     0x6152803cU,     0xd4d67fa4U, \
    0x35d5eb2bU,     0x23174b1bU,     0x4f1d03afU,     0x193440bcU, \
    0x741829edU,     0x70140a17U,     0xa00f53a7U,     0x051e8eddU, \
    0x89169794U,     0x31ed11f5U,     0x2fc10c56U,     0xd86c3b38U, \
    0x9a08f65dU,     0xf302a505U,     0xbaac8f3aU,     0x68646c29U, \
    0xeb92cf41U,     0xf50fcc0eU,     0xe84350feU,     0xb1653563U, \
    0xbda974aeU,     0x7b4fff04U,     0x4c5e58b0U,     0x95ad8589U, \
    0x20bd5cd6U,     0xbb800183U,     0x1991f4f3U,     0xa2f8326eU, \
    0xd788df7eU,     0x000c37d8U,     0xa40fa3ecU,     0x1584e82fU, \
    0xcf025a95U,     0xe8352d15U,     0x031409ddU,     0xaeb645e8U, \
    0x17fe735cU,     0xe7c650e7U,     0xedf90384U,     0x941261beU, \
    0xac4bf185U,     0xab2f6ab7U,     0x7c85cadbU,     0xe9114e92U, \
    0xb10f290aU,     0xc2bed7ecU,     0x7a3ffbb8U,     0x9ed3d6f4U, \
    0xe66a70f3U,     0x452f29aaU,     0x370680a1U,     0x07ae053fU, \
    0xbaf61968U,     0x5465f9ecU,     0x6c672d8fU,     0x67c7b58bU, \
    0xac30d693U,     0xe4f53b81U,     0x2962e540U,     0x07db874fU, \
    0x8ed556c9U,     0xc881e0edU,     0x5c7924e1U,     0xe75793c1U, \
    0xe15ae09dU,     0xfd4ccf4eU,     0x327e5c4cU,     0xd6c19acbU, \
    0x8141700fU,     0x40b5b931U,     0x99809af4U,     0x388d1c89U, \
    0xd0a9e4a3U,     0x744832d4U,     0x92dc8d6fU,     0x0e8b0780U, \
    0xcace5cbeU,     0x4032c234U,     0x25aec948U,     0x0bff21d5U, \
    0x63cb2433U,     0xd9cbb0b5U,     0x5d4c6305U,     0x2b242a23U, \
    0x7fe45140U,     0x3cd64c08U,     0xcb8139e8U,     0x3159dc3aU, \
    0x0cb5c4e3U,     0x2522c6d7U,     0xc884d1b1U,     0xe3e79481U, \
    0x7c82cdc7U,     0x637ee66eU,     0x81c24223U,     0x068f56b9U, \
    0xdc522279U,     0xd0567720U,     0x69262c78U,     0xf06a406aU, \
    0x84fa3653U,     0x03de3fe4U,     0xc242c462U,     0xbba07513U, \
    0x659864aeU,     0x9136527bU,     0xf1497088U,     0x98d8748aU, \
    0xfbb24d1dU,     0x0eea0665U,     0x1ae6511eU,     0x97389972U, \
    0xc808b5abU,     0x21128182U,     0x368e64b6U,     0x0fec4e5eU, \
    0x9ff64c4aU,     0x2d105a09U,     0x0436b350U,     0x21f57056U, \
    0x6c58a08eU,     0xa1b2fde8U,     0xe3704dc8U,     0xef9b4eafU, \
    0x33f7ca4aU,     0x1feb7301U,     0x193381cdU,     0x78b83ce7U, \
    0xf9c36ec8U,     0x8709ff87U,     0x292a72d0U,     0xa9808785U, \
    0x0be3c0f0U,     0xf3e53afeU,     0x4d2c985cU,     0x4c1e7b92U, \
    0xa7e7115eU,     0x6803b91dU,     0x55513f6dU,     0xeaf41d13U, \
    0x442fd62fU,     0x85a0117bU,     0x0a45899cU,     0xdd306f2aU, \
    0xe8bccbdaU,     0x07fb0740U,     0xc9289ae3U,     0x9590d2a5U, \
    0x0fe32937U,     0x0543dcf7U,     0x5474eb73U,     0x2e5fadc4U, \
    0x3bdb420bU,     0x023e3677U,     0x74d4c664U,     0xf1b367abU, \
    0xcb8c1223U,     0xad7b3f75U,     0xc9995021U,     0x69138ee5U, \
    0xb30ed067U,     0x13dfa332U,     0x11ab5224U,     0x226a2bd3U, \
    0x9a23daf4U,     0x9f9af79fU,     0x1db52d9bU,     0x3d50413fU, \
    0x09678bbaU,     0xd23b81b7U,     0xdc37c787U,     0x5cb924d2U, \
    0x27d2640dU,     0x70c7b389U,     0xdac7df8bU,     0xc87f6497U, \
    0x356adb18U,     0x9fe5163fU,     0xba2bdd08U,     0xcacd1ea2U, \
    0x252e071cU,     0x0491e26fU,     0x50e88932U,     0x3b9c7dbaU, \
    0x717f7d2dU,     0x639b4a4dU,     0xd53622a4U,     0xcf570dd3U, \
    0x49e5755dU,     0xd69383cfU,     0xa6f86a92U,     0x1dc3e562U, \
    0x2da65292U,     0xb3e54466U,     0x18731303U,     0x62cea355U, \
    0x987cbea9U,     0x0c188265U,     0x15366824U,     0xe00b1b47U, \
    0x5ca4789eU,     0xe30d00bdU,     0xf6140aeeU,     0x24a5a975U, \
    0x4ab316a2U,     0x003ee083U,     0x7c4b7774U,     0x441b1b9aU, \
    0x401d388eU,     0x9ed84edeU,     0x8283bc54U,     0x784d2cceU, \
    0xc76bb8a9U,     0xf0639558U,     0xc392f44fU,     0x1c3e7152U, \
    0x2604882aU,     0xd5e61573U,     0xcf5e97aaU,     0x9c61df6aU, \
    0xf0ae00b9U,     0x2fdeaf6bU,     0x65484664U,     0xf35eddecU, \
    0x194261e7U,     0xebd3e3f0U,     0xe7ca4674U,     0xe4cd3bccU, \
    0xcfe3611aU,     0xb0ea36c2U,     0x7e73a20aU,     0x06051c5cU, \
    0xee8c28dcU,     0x7a7ce132U,     0x314f4f65U,     0xffdfec93U, \
    0x57ab1ebbU,     0x9ad4bde9U,     0x3a6ccd47U,     0x1aafac59U, \
    0x3dd5de60U,     0xce99f18eU,     0xccf67a0cU,     0x42df59e8U, \
    0xb6c8e6f8U,     0xc9981c8cU,     0x4eab6432U,     0x0c41fb65U, \
    0x6507464eU,     0xad3bd619U,     0x52cbeb0cU,     0x9e0002c5U, \
    0xb2466891U,     0xdb00f294U,     0xa442deceU,     0x63bc5e2eU, \
    0x83304fe3U,     0x14c4d4e4U,     0x823bc875U,     0x65ee51a9U, \
    0xc50e0ea1U,     0x9860afdcU,     0x57768955U,     0x034e6833U, \
    0xc7dc9a89U,     0xbef2acc6U,     0x0abfcb56U,     0x4fd8c899U, \
    0x6ccace51U,     0x336374e7U,     0x3db1acadU,     0x802bbe90U, \
    0xba3f9dd0U,     0x45f2a3faU,     0xd2300a09U,     0x0a2c4700U, \
    0x07c12f31U,     0x2ef3422dU,     0x5e824c80U,     0x64af9fe3U, \
    0x0f81ed68U,     0x3d24dad5U,     0x38c9716bU,     0x2497dc52U, \
    0x74025624U,     0x5ecb619fU,     0x76bba995U,     0xa5a31e7aU, \
    0x622f59daU,     0x4c3cbe4cU,     0x8c6fb63fU,     0x88105048U, \
    0x62bebbe7U,     0x48ca77faU,     0x5bee47f5U,     0x89485af1U, \
    0xe50ebdebU,     0x1c4ca029U,     0x4881b315U,     0x295792a6U, \
    0x9a18ac2dU,     0xcfd671d6U,     0x59a6215bU,     0x1e75fb60U, \
    0x6acec03bU,     0x050b14f6U,     0x521594a2U,     0xd4cd7079U, \
    0x7f78d47aU,     0x9c3aa134U,     0xaa8778a3U,     0x3dfa12aeU, \
    0x59eb1893U,     0x84b63ffbU,     0x21383f5dU,     0xf304e345U, \
    0x518116a8U,     0x1f374912U,     0x02d52b31U,     0x1d2b7afeU, \
    0x754de470U,     0x60fde13aU,     0x425978a3U,     0x5e3d0eb8U, \
    0x779b60d2U,     0x9b2280d5U,     0x8cafdef3U,     0x5b28b881U, \
    0x5d39a7a6U,     0x067267e8U,     0xc25967b9U,     0x737d95e6U, \
    0x2c96f859U,     0x496ecdb4U,     0x11396132U,     0xb3864006U, \
    0x407ce85fU,     0x98e23e73U,     0xe0d46741U,     0xdf5e47d3U, \
    0x7c5286c4U,     0x2617ba92U,     0xb5903babU,     0x6bb2ee28U, \
    0x289cec8fU,     0x6bc421cdU,     0x39a049c2U,     0xb3a38d02U, \
    0x847d47adU,     0x4f00959aU,     0x2730b69dU,     0xd5b2fc35U, \
    0x96c6114dU,     0x0b6d1727U,     0x9f4e01e8U,     0x46edd228U, \
    0x4a846c06U,     0xff68b122U,     0x9439765cU,     0xc74f2e5aU, \
    0xf5b4d7f5U,     0xd0bdeb01U,     0x6f95b239U,     0x197374beU, \
    0xf4fcdbd1U,     0xa9522977U,     0xfabe6512U,     0x476a6e97U, \
    0x36139e1cU,     0xc97a62f7U,     0xaa5d7af0U,     0x8b771711U, \
    0xe3f2d42fU,     0x06cd82efU,     0x1a1206c5U,     0x11ae1c1eU, \
    0x85c3c421U,     0x4a93c560U,     0xc851ecf5U,     0x2aa1ee38U, \
    0xb534939dU,     0x8ed04a5dU,     0x68ea379aU,     0x4930979aU, \
    0xa8a30c63U,     0xb16177b4U,     0xae0deda3U,     0x9dced041U, \
    0x52f4226dU,     0x69f739b1U,     0xe1ec5ff8U,     0xcd0cddd2U, \
    0x444f80b4U,     0x0454e97dU,     0x7c066312U,     0x6fe674fdU, \
    0xac26aaf4U,     0x3fb8dae5U,     0x7507b371U,     0xedf75768U, \
    0x13af08a0U,     0x347b95ebU,     0xb92162ccU,     0x6121e0deU, \
    0x7d916a51U,     0x5f17ec3cU,     0x34e32750U,     0xee681c4aU, \
    0xa201db1eU,     0x2f14d367U,     0x2dabd912U,     0xe8f4a68fU, \
    0x95d466d0U,     0x24aa55d1U,     0xbbb1af0eU,     0x0ca9a0b3U, \
    0xdb68ae41U,     0x32a1282cU,     0xe4c18f8aU,     0xf2f96ea8U, \
    0x44e75686U,     0xc5659d10U,     0xdf8d4dfbU,     0xa24a12a2U, \
    0x9c93cfa7U,     0x005c9ca1U,     0x4fa75352U,     0x56f43c99U, \
    0x0c8194b0U,     0x2f2cbacbU,     0x8b3fe11aU,     0xf634a784U, \
    0x1ff8540bU,     0xc3a8c6ddU,     0xf7fc8c28U,     0x2940487cU, \
    0xddb2687dU,     0x10a4420eU,     0x0e841c3aU,     0x8874c2ccU, \
    0xf09268b7U,     0x7fc9c65aU,     0x7969d435U,     0x82afea4fU, \
    0x111c7beaU,     0x50a8caf3U,     0xbb069ac5U,     0xc96f47cdU, \
    0x92312469U,     0xfa6c934cU,     0x8d2663f3U,     0x96737c0aU, \
    0x70c99aaaU,     0x15375760U,     0x14446c1fU,     0xfebf97ddU, \
    0xa904c66cU,     0x58e33950U,     0xce3190ebU,     0x66b20650U, \
    0xd96eae24U,     0x036331c0U,     0xf0c7df48U,     0xd2ea14b8U, \
    0x5a3f2fbfU,     0x82682bf2U,     0x29859213U,     0xd65365a8U, \
    0x49ecc0e7U,     0x30581cbfU,     0xd7a826adU,     0xccfbbb32U, \
    0x9b8d2a9dU,     0xf1a264e8U,     0xd7028016U,     0xa5a88841U, \
    0x41ef6af3U,     0x8886c455U,     0x1b1c464dU,     0x130f5fc1U, \
    0x1445cec6U,     0x1ea2a77eU,     0x167c1a2dU,     0x4c7f9fb9U, \
    0xe1afe9f0U,     0x07daae18U,     0x6730138bU,     0x86ada9a7U, \
    0x40110df9U,     0xe747b449U,     0xc321f0e3U,     0x76809a58U, \
    0xeaf05f2aU,     0xc82b29ecU,     0xcd08d634U,     0x6ddd33c2U, \
    0x2a31391fU,     0x86c501ccU,     0x17c9d638U,     0x15715698U, \
    0x590a9953U,     0x8bdd215aU,     0x5e62ef92U,     0xfd6e0f73U, \
    0xa4069b31U,     0x7f707e77U,     0x2390802cU,     0x3db1f433U, \
    0x0319bfe0U,     0xdf2db1e8U,     0xb8737d62U,     0x1641bc43U, \
    0xc80c4de2U,     0xd41e1cc4U,     0x697379beU,     0xe12cd3e8U, \
    0x3ee64c3fU,     0x21891a11U,     0xc0d4e141U,     0x00dad569U, \
    0xbbad14a5U,     0xb40b4579U,     0x141f5705U,     0xd6eae69fU, \
    0xc89b7d2bU,     0xa476ea8eU,     0xa9d0fee7U,     0x60520513U, \
    0x62adb831U,     0x59a00821U,     0x89d34346U,     0x24d4200eU, \
    0x78cce51fU,     0xa65c40b4U,     0x2104314aU,     0x731cb865U, \
    0x07a28bfcU,     0x7a4b260dU,     0x0a95168aU,     0x4b7c3d35U, \
    0xf2d44569U,     0x9700f760U,     0x35120a58U,     0xfcab929cU, \
    0x50f8447dU,     0xe41f4b7cU,     0x8aa5c159U,     0x16e6bdc0U, \
    0x79e0ec93U,     0xa9984bb5U,     0xee66e64bU,     0xa68aaebfU, \
    0xfed2c8c5U,     0x105aaf89U,     0x474e2870U,     0xd755e9f8U, \
    0x3f67a74bU,     0x4e34025eU,     0x02bc38ffU,     0x23180580U, \
    0x1086b02cU,     0xd8f5ee81U,     0x895d4b17U,     0x14c289b0U, \
    0x5f3b18e6U,     0xa5ffc6aaU,     0xc30217b6U,     0x54583b1eU, \
    0xc4b70e19U,     0x5a155b83U,     0x0c959c78U,     0xde51f806U, \
    0xf4bda4eeU,     0x6fb27280U,     0xf55d659dU,     0x1c5068e2U, \
    0xf6b42601U,     0x1e9cd04dU,     0xa8bacb72U,     0x330a74f2U, \
    0xb02db047U,     0x471f002cU,     0xef2f27a3U,     0xceac932cU, \
    0xdbc84af2U,     0x5f3eb165U,     0xa3161573U,     0xe241ff81U, \
    0x3dd7fd35U,     0x4b69f8bfU,     0x691fdcafU,     0x3fe5bc56U, \
    0x359a0d20U,     0x9c1cab61U,     0x0de71d9fU,     0x79ea6097U, \
    0x30d25651U,     0x0c67fc4dU,     0xabbf8aa5U,     0xe2ed00e0U, \
    0x81310de3U,     0x2541df9bU,     0x565e48f5U,     0x65609df1U, \
    0x4e5555e5U,     0x175f6111U,     0x188196a1U,     0x0fd784e1U, \
    0x94f2d4c5U,     0x105c6f0bU,     0x8a633d99U,     0xfc70a4b5U, \
    0x70ac3a36U,     0x18e52935U,     0xa225a078U,     0x6521a230U, \
    0xced04384U,     0xab9540a3U,     0x053218a9U,     0x1c900ae3U, \
    0x2785baa5U,     0xe017ad6bU,     0x72668f95U,     0xa3626637U, \
    0xafff250aU,     0x75bb7dbeU,     0xe7a30f64U,     0x45ee42c1U, \
    0x89c050b7U,     0xe447d2c8U,     0xd79ad290U,     0x1033c6f1U, \
    0xd2151035U,     0x4ca6adfeU,     0xcd6fb0dcU,     0x5dfa50dbU, \
    0xdeb6e02eU,     0xa4dc7eb3U,     0x7e06fb37U,     0x3f5b2e52U, \
    0x6b87c111U,     0x1bb31f6eU,     0x2bcfd345U,     0xbe010bffU, \
    0x01842462U,     0x06abae3fU,     0xe5bc2406U,     0x08aeefb5U, \
    0x47e8ade9U,     0x5c31203eU,     0x7188b3e9U,     0xa38619b8U, \
    0x4c827cfaU,     0xbc6f1b4dU,     0x4162deb1U,     0xe22950c1U, \
    0x459f2776U,     0x8539118aU,     0x0f60a155U,     0xc279dab7U, \
    0xe957119cU,     0x200e4e30U,     0xa020e3adU,     0x6de18657U, \
    0x053f2ccbU,     0xd8e7d3b0U,     0xb5921c42U,     0x8992ff50U, \
    0xfdfc8b2aU,     0x0a87c44bU,     0x711163f0U,     0x4d2137a5U, \
    0x1ece10f9U,     0xd5271f17U,     0x977c9378U,     0xad061924U, \
    0xa50ea094U,     0x830e282aU,     0xf03e1197U,     0x8441d545U, \
    0x62909d73U,     0x9f9f9277U,     0x57d8fcb8U,     0x1b8b1236U, \
    0xc87a2b9bU,     0x1f70ce03U,     0xafe7dde8U,     0x09899f4bU, \
    0x577251d8U,     0x498622adU,     0x8c2f53e5U,     0xe7e61159U, \
    0x7a2e8405U,     0x8415a92bU,     0x2f03eda3U,     0x793440bcU, \
    0xa231291bU,     0xb7d12251U,     0xa86de190U,     0x52da92e9U, \
    0xbe2525b9U,     0x59b2c897U,     0x442041c4U,     0x211c7cd1U, \
    0x9224e4bcU,     0xb070b6ccU,     0x8cd95969U,     0x1e8fb46eU, \
    0x1ac7d6ccU,     0x431a0853U,     0x469f9caeU,     0xc4fbd92bU, \
    0x256fb401U,     0x3d607c48U,     0xd8265dacU,     0xbfdbd7bcU, \
    0x7b7cbfdaU,     0x1ce5bf79U,     0x38c552c7U,     0xe6c823cfU, \
    0xf9731c54U,     0xbc823ef9U,     0xea21c55fU,     0xa25a9f34U, \
    0xb3c000e6U,     0xb8d845c7U,     0x33a8ca14U,     0xcd3841c0U, \
    0xf699b8e5U,     0x63f3ae98U,     0x45b52379U,     0x3173f219U, \
    0x08b5f624U,     0x6ad8ab41U,     0x80aed322U,     0xe3a8644dU, \
    0x1051eb26U,     0x345eab86U,     0x2bb798e7U,     0xf350c097U, \
    0xa02679a7U,     0x7463e579U,     0xfe5eb5abU,     0x4656aacfU, \
    0xa2fcb68cU,     0xd0f419efU,     0x25f81465U,     0x3e21f2aeU, \
    0x298b3117U,     0x111c1e59U,     0x67a52a24U,     0xa70541fcU, \
    0xedd68becU,     0x3838f273U,     0x56ab9976U,     0x3aa6019fU, \
    0x68645563U,     0x200c9205U,     0xc07c8783U,     0x960f3cf4U, \
    0x7e8abee8U,     0x98c994ddU,     0xcac1d480U,     0xec4218c1U, \
    0x795392d3U,     0x2123ee1bU,     0x746a8d0bU,     0xc5f461d9U, \
    0xce3b0abfU,     0xce875c05U,     0x5b8a13f6U,     0x23c3010dU, \
    0xb4884b8cU,     0x7a0b4fc7U,     0x226708deU,     0xef49e6dcU, \
    0x99c6fd18U,     0x15819b6cU,     0x7894e1ddU,     0x5770462eU, \
    0xa2d258f0U,     0xe9416d88U,     0x03c04dc6U,     0xdf32abcfU, \
    0x0f34658cU,     0x7782f298U,     0x0dfe4853U,     0x34c977a5U, \
    0x82d91312U,     0x4c4f06a3U,     0xcc17b272U,     0x9f2d5cadU, \
    0x69d2cdbcU,     0xc1df9215U,     0xad4faed1U,     0xd16530e8U, \
    0xe0b5ef22U,     0x5ef105aeU,     0xe7e2b30aU,     0x2c117b99U, \
    0x72e8f9ccU,     0xe396e932U,     0xd0968b13U,     0x07dc962fU, \
    0xcb230339U,     0x454ba64dU,     0x429f25dfU,     0x77a89f09U, \
    0x25c7d4dfU,     0x7cddc4dcU,     0xf61bf498U,     0x0ea67376U, \
    0xa993662aU,     0xe933e7f3U,     0xdcc3194cU,     0x6d921976U, \
    0x1aecd838U,     0x191a3b73U,     0xbb22f0bdU,     0x4f60cb1bU, \
    0x96f03a7eU,     0x494b6b96U,     0x01190dbaU,     0xca19284dU, \
    0x085f55bcU,     0x490618a2U,     0xd4f332c7U,     0xd710ee21U, \
    0xa9737451U,     0x40c66950U,     0xe303b70dU,     0x573e5fa9U, \
    0x54e21bfeU,     0x5b9c6555U,     0xef43632eU,     0xd11b8ae4U, \
    0x2cd2a979U,     0x89b68137U,     0xe073239dU,     0xa159d7c5U, \
    0xf8d91f5cU,     0x8acbde79U,     0xb614da09U,     0xb35983feU, \
    0x1f1b93dfU,     0xdf25a9eaU,     0x2b4c4607U,     0x04bbd00bU, \
    0x0389afaeU,     0x656ea6c4U,     0x2e0d4f83U,     0x1788463bU, \
    0x48653d58U,     0xd441b0c1U,     0xafcface5U,     0x0f29da61U, \
    0xb59882b1U,     0x45c8a1dfU,     0xbeb9cdd1U,     0x1cf4cf2cU, \
    0x7837dd85U,     0x8913b3baU,     0xaf4ce975U,     0x7c316b3dU, \
    0xaf18bf34U,     0x1619fe7eU,     0xbbb14db7U,     0x75f3719dU, \
    0xf187833dU,     0xb796f118U,     0x0de01b73U,     0xad98d44eU, \
    0xf5b834eaU,     0xc418cc7fU,     0x360093b7U,     0x553b4ec4U, \
    0x4ddb13edU,     0x04c5e88dU,     0x91063b3bU,     0x10d42547U, \
    0xaf705349U,     0xa8f89398U,     0x769a7c4bU,     0x9a43675aU, \
    0xdcab627dU,     0xfcc3503cU,     0x69659b7fU,     0xa69d2259U, \
    0x270ed465U,     0x21141a7dU,     0x60ee5289U,     0x306f9273U, \
    0x149b84b4U,     0x9a95421aU,     0x489cbc3eU,     0x22d50d05U, \
    0xda23503eU,     0xa5266c92U,     0xb111601cU,     0xfcb68c8eU, \
    0xfd6df13aU,     0xe9cd2fb5U,     0x84a9a691U,     0x385edf23U, \
    0xf79b1ba5U,     0x7722923bU,     0xd8c001ceU,     0x3ceeff0fU, \
    0x0c7ebc0bU,     0xc126b3aaU,     0xacb5c011U,     0x90f6ac83U, \
    0x07655668U,     0xb7a456f8U,     0x73e0ce19U,     0x5b95f5b1U, \
    0xc13c6c07U,     0x36d153c0U,     0xd2e87316U,     0xf319e0a4U, \
    0x011766e9U,     0x8fc6b12aU,     0x3333664bU,     0x7b29086eU, \
    0xc214817fU,     0xa9424902U,     0xda832b99U,     0xc32477faU, \
    0xfb13e698U,     0x25a789edU,     0x48790c71U,     0x6bf5f0ceU, \
    0xe03fb36eU,     0xd3218d2bU,     0x8d57f195U,     0x0a13bd86U, \
    0x6d61a4f6U,     0xa2972e11U,     0x6b950a31U,     0x4fe0e855U, \
    0x43bc81e2U,     0x8c2c2fb7U,     0x7d6f406aU,     0x7681a257U, \
    0x3e7ca363U,     0x2dc1a54aU,     0x59b05d5eU,     0x9182ba3eU, \
    0xe8f48392U,     0xcc75dc73U,     0xe704bff2U,     0x2a4162b2U, \
    0x9bab1297U,     0xa0b55040U,     0xadd41dbbU,     0x27bf957cU, \
    0x429d41aaU,     0xa57fb361U,     0xbadb9518U,     0x3e3033f0U, \
    0x8afd1d51U,     0xbaec7380U,     0xbd469e2fU,     0xa583f5a4U, \
    0x31434de6U,     0x1766a9dcU,     0xc45f740eU,     0x66104cb5U, \
    0x2aa99868U,     0x70caf040U,     0xed4b2030U,     0x134757ebU, \
    0xb75560cdU,     0x3efa954bU,     0xdf7af65cU,     0xf92a3600U, \
    0xfa2843f2U,     0xe0546e83U,     0xcd567f5fU,     0x56c6d735U, \
    0x3af0caf1U,     0xef12ea0dU,     0x98f5817bU,     0x148a1bb0U, \
    0xe937eab0U,     0xddd487a1U,     0x45c50ffaU,     0x6cdf5770U, \
    0x12119fe4U,     0x3f7e3469U,     0xd2bf749bU,     0xd38ee3e3U, \
    0x909f1ebdU,     0xdfa0db23U,     0x283e1ad0U,     0x3d716cfcU, \
    0x98a16c30U,     0x0ef57b60U,     0xccda25b1U,     0xf447c2c5U, \
    0x08b27b2eU,     0x92f87a49U,     0xb1fc4d99U,     0x3ee50a15U, \
    0xf7fc31b2U,     0xb20aed0dU,     0xdd03594bU,     0xa138c234U, \
    0x0c41fec3U,     0xb59c5f17U,     0xfbc143b3U,     0x48d434f6U, \
    0xbe5669deU,     0x5ec50eeaU,     0xe2ab91edU,     0x82ff27c8U, \
    0xa7d701cbU,     0x3220b9bdU,     0x42a4f7ceU,     0xbb7e4da2U, \
    0x420c0812U,     0xd24c5db0U,     0xdc73fd4dU,     0x4e7a31caU, \
    0x7cbdc158U,     0xac0c3b73U,     0xc4c53448U,     0x276c6a5cU, \
    0x34027fc9U,     0xeab2078dU,     0x7e5ff3f6U,     0x22402c9dU, \
    0x815fb603U,     0xe07b185aU,     0x756ede53U,     0xf3740936U, \
    0x04001e65U,     0xe5665bf1U,     0xd4ea69b2U,     0x4e929a1bU, \
    0x83b15117U,     0xa8b979e2U,     0xd0a5b500U,     0x87d734deU, \
    0xcc3da85cU,     0xcba52eeaU,     0x84f56491U,     0xe121e3b8U, \
    0x9aa3b601U,     0x18921601U,     0x90736116U,     0x1b340ba0U, \
    0x39d3a772U,     0xe1981eb9U,     0x8e8afd04U,     0x2f887020U, \
    0x53fb4cb9U,     0xd89bef5aU,     0xf618639bU,     0x61179c85U, \
    0x237ecd4cU,     0xd40570cfU,     0x7d58fba1U,     0x89535d33U, \
    0x0469d611U,     0x70902606U,     0xd0eff096U,     0xa3b83e79U, \
    0xc8c04c0fU,     0x3a7848b3U,     0x22ebadc5U,     0x94c55fd6U, \
    0xd57ac36dU,     0x250d27b5U,     0x1d1987e8U,     0xda52f04cU, \
    0xe27d3903U,     0x2fbb1799U,     0xb23d4251U,     0x3fdf3960U, \
    0x46f04b7cU,     0x05b5a072U,     0x848de351U,     0x5312b6c8U, \
    0x4214ecdbU,     0x415275e8U,     0xa9a6dc83U,     0x828048d3U, \
    0x569f8933U,     0x77806af5U,     0xf76aa391U,     0x09212d70U, \
    0x07acb956U,     0x81af5ea3U,     0x3b846e4dU,     0x1cb11f9bU, \
    0xafe49a5bU,     0x742d235fU,     0xb401ab43U,     0xa05a9058U, \
    0x98dc349bU,     0x55e0afc2U,     0xe15c3b68U,     0x3c19c1d2U, \
    0xc968e270U,     0xe67eb928U,     0xdf0a882cU,     0xa2f220c5U, \
    0xc8182d52U,     0xfaed1355U,     0x169bcde3U,     0x30a77becU, \
    0xd427b54eU,     0x6c4538acU,     0x9041e3fdU,     0x90525332U, \
    0x1d0b49b6U,     0xa311bb92U,     0x12578b43U,     0xbdd42221U, \
    0x843cd910U,     0xc6960cd3U,     0xf008e1beU,     0xfa3452d4U, \
    0xd7d82ef4U,     0x426b5462U,     0x402f26daU,     0xf3f8a3adU, \
    0x30c52d55U,     0xd90fd73fU,     0xef87150bU,     0xc811cd31U, \
    0x0fcdfa5dU,     0xe5910a47U,     0x13c2fe9dU,     0x6336ec91U, \
    0xae8dc307U,     0xd5bbcc45U,     0xcf5a2de0U,     0xabf01f4cU, \
    0xc880c792U,     0xc96b7dbfU,     0xddd124cbU,     0x57da10a6U, \
    0x5785f0e3U,     0x1369fcd3U,     0x85f78104U,     0x2fc1f7a7U, \
    0x9ff533c5U,     0xb49eecafU,     0x7c862777U,     0x6d86dd53U, \
    0xeb0ce176U,     0x644731ecU,     0x0f980c97U,     0x674a5965U, \
    0xea1dfb3dU,     0x50b96559U,     0xa58c8603U,     0x562d69beU, \
    0x2e85920bU,     0x9d3100afU,     0x9cafaf77U,     0x95b6d308U, \
    0x4598cf08U,     0x83d0d4afU,     0x27770092U,     0x2b96b218U, \
    0x1564c5bbU,     0x6d134d67U,     0x5f88c530U,     0x04a3a3d4U, \
    0xc7cdd602U,     0x6e414e1eU,     0x095b0a48U,     0xecca4d8fU, \
    0x60a7e725U,     0xee4b0557U,     0x09124ec6U,     0x8197988aU, \
    0xa7ff9505U,     0xad724a4cU,     0x41908466U,     0x10da6936U, \
    0x2d213a6eU,     0x060bdc3cU,     0xbcc50c9cU,     0xc901c433U, \
    0x210dfa35U,     0x98559482U,     0x5bc12d8fU,     0xb6d55b72U, \
    0xb9d98391U,     0x471a4954U,     0x9636c078U,     0xdfccda0fU, \
    0x106c4c54U,     0x32de0c2eU,     0x79437c04U,     0xba6e9107U, \
    0x62ff516fU,     0x569aa595U,     0x398b9bcdU,     0xa192d374U, \
    0x7ca87175U,     0x79098079U,     0xc2b0c38dU,     0x1bedde52U, \
    0xb89b6f9cU,     0xe8511b35U,     0x189a82d6U,     0x8db0b091U, \
    0xbd33e7d8U,     0x4f811bd1U,     0x5b789c2bU,     0xa728a4b3U, \
    0x85773b6fU,     0x009b7ee7U,     0x407dc3fcU,     0x06165a5eU, \
    0xe7f2a420U,     0x7ef3f01eU,     0x0c3bc9bdU,     0xa966fcfdU, \
    0x32358ff5U,     0x2fcf6ba5U,     0x4ffa9fd7U,     0x94cf633bU, \
    0x0bcbd3f1U,     0x4fa13493U,     0xda495f47U,     0xdb6b30c9U, \
    0x670dbd63U,     0x169d9ed0U,     0xb31c11feU,     0x7c70d84fU, \
    0xa1b6f177U,     0x54049295U,     0x1aaedc88U,     0xc0359653U, \
    0x8f5a382cU,     0x2a5d969fU,     0xb1ff866fU,     0x0287e40fU, \
    0x15b9cdddU,     0xee6b9d4eU,     0xd3230d5eU,     0x6f3d5135U, \
    0x1eec152cU,     0x8b1d52e4U,     0xd95c5dc8U,     0x316d1bfcU, \
    0x44c75103U,     0xe7b8c13cU,     0x0384dd3cU,     0xa2bad85fU, \
    0x501d5c5cU,     0x8cc11614U,     0x58e22a0dU,     0x5eadfa13U, \
    0xddcbd446U,     0x959de807U,     0xc0b52da7U,     0xa5ad0f04U, \
    0x9da5cedaU,     0x1a7611bbU,     0x51a279c9U,     0xed18c330U, \
    0xc576c946U,     0x630de303U,     0x827baeddU,     0x5561ebafU, \
    0xf99d6951U,     0x813ba514U,     0x7a35b764U,     0xb27930f4U, \
    0x8628d15bU,     0xa84a3a55U,     0x031fbdfcU,     0x5cf2ba19U, \
    0x72c1fb98U,     0x4e5aacc8U,     0x07e46671U,     0xb6db2d8dU, \
    0x97af4374U,     0x0205ac22U,     0xe15c4ee4U,     0x0c825844U, \
    0x78ba4321U,     0x12f6adbaU,     0xff70e279U,     0x995ee9f7U, \
    0x4a3c30e4U,     0x4828c5e3U,     0x73defbb1U,     0x0cf0a1baU, \
    0x0f30f974U,     0xcda74fd0U,     0xe4423679U,     0x70a605b1U, \
    0x1048c2d7U,     0x4d117788U,     0x6322e9e6U,     0x4282ab66U, \
    0x7f03feafU,     0xe054d823U,     0xf7dad438U,     0x22ccb31aU, \
    0xd2955933U,     0xa168e617U,     0x4e14c8a8U,     0xd9659273U, \
    0x32c93a05U,     0xfddbad60U,     0x3b0ca5ddU,     0x7185c9a8U, \
    0xc140654cU,     0x6f0aec00U,     0x03d62b0fU,     0x8a2b2fedU, \
    0x68ec6d79U,     0xf4990881U,     0x732e52b1U,     0x5666bc5aU, \
    0xde3af39bU,     0x79ac9bfaU,     0x0c0a5d4eU,     0x7f48aad2U, \
    0x5e99e5d7U,     0xbdc5c3b1U,     0x545ad044U,     0x1a1878b3U, \
    0x9cef612cU,     0x3099d10eU,     0x1837b033U,     0x19934a6dU, \
    0x244706d4U,     0x1c7d136dU,     0x7d3aac03U,     0x40bb7764U, \
    0x4ada80dbU,     0x7ab97c38U,     0xb991e146U,     0xfb9d071cU, \
    0x8a81b4f6U,     0x03bb9ab8U,     0x15f1f563U,     0x03bd64bbU, \
    0x5d242ec5U,     0x59af8345U,     0xde1c172bU,     0x605f0174U, \
    0x729b7e69U,     0xb5c28dceU,     0x65268257U,     0xbc2fb121U, \
    0xc8573bb3U,     0x7575d8b4U,     0xa619f508U,     0x23b86658U, \
    0x6db03e6cU,     0xc2b910e1U,     0x6e36c8e4U,     0x7f830d31U, \
    0xe290c654U,     0x96a79d5bU,     0xbc193504U,     0xe1454435U, \
    0x76aef981U,     0xe464c79bU,     0xdbbba8bdU,     0x38ebd523U, \
    0x5bb9d966U,     0x08402cf3U,     0xbc05cd08U,     0xae09f950U, \
    0x10533465U,     0xef24168dU,     0xcb2505d2U,     0x92c6fd7eU, \
    0x338f37e9U,     0xcd505febU,     0x8a3a3677U,     0x26a0bc84U, \
    0xd2a57684U,     0xc365e1b0U,     0x3a745a8fU,     0xc48e908eU, \
    0x203c9c33U,     0xb4a406b2U,     0x5a6eb7a1U,     0xdb562faaU, \
    0x663238c2U,     0x2674ef4aU,     0xde5390e0U,     0x9ae51300U, \
    0x07463aa8U,     0xc53cf311U,     0x65887f68U,     0xf5e0a9a6U, \
    0x5bf9d6b6U,     0x904ac9eaU,     0x66a1a09aU,     0xa53fcf26U, \
    0xb47bf278U,     0xa54c2d08U,     0x6a1c8ac2U,     0x7fe0fd3cU, \
    0x2466f512U,     0xcf8c0f1eU,     0x42110aceU,     0x57ac067dU, \
    0x11bf4f88U,     0x71aead2eU,     0xdf333e65U,     0xed12a90eU, \
    0x2d9d2f59U,     0xc2b062bcU,     0xf8a260a0U,     0xb59719fcU, \
    0x825ff388U,     0x6b05a147U,     0x63041f70U,     0xd8b06c2fU, \
    0x9d7c1d7eU,     0x19f468b6U,     0x609a6e3cU,     0x822929f6U, \
    0x2f729e64U,     0xe4b45a4fU,     0x33b2298cU,     0xb3b7edadU, \
    0xf7878222U,     0x9c0d6226U,     0x88cefe1fU,     0x3e7b9d38U, \
    0xae125e56U,     0x1ab886ccU,     0xa67748a6U,     0x5638f847U, \
    0x2220d747U,     0x23d94c0fU,     0x23246c67U,     0x40825681U, \
    0x13b63a8eU,     0xeb6f3267U,     0xd831e5d4U,     0xb459f2c9U, \
    0xa83188afU,     0x61db0ccdU,     0xafc94d8dU,     0x354615e2U, \
    0x1d5affcaU,     0x44d3ee68U,     0x323884daU,     0x3cd471c7U, \
    0x63bbf07aU,     0x880812ffU,     0xfc51a313U,     0x5cfecf49U, \
    0x8746b783U,     0x56083f58U,     0x7a006637U,     0xd059f011U, \
    0x01797bd5U,     0x6a0fe1caU,     0x0ed5c6deU,     0x316293c0U, \
    0x37d0a2bcU,     0x3bb1ffd8U,     0x749fab0eU,     0xd9f63eabU, \
    0x6aa02a38U,     0xe6252765U,     0xa6809881U,     0x8d73e082U, \
    0x8177968cU,     0xbf48604fU,     0xa70df085U,     0xc2c30b82U, \
    0x0868006dU,     0xa4830e5dU,     0x6dce5fabU,     0xc9c1c760U, \
    0xca2e805eU,     0x54d608c8U,     0x51f39b44U,     0x94592b9eU, \
    0x2fe997aeU,     0xa0c6fdabU,     0x87c0d54dU,     0x45930c92U, \
    0xcb262fd4U,     0xd2212c8bU,     0xf575d2b7U,     0xddecde37U, \
    0x44d07264U,     0x86ab2b51U,     0x6ac86d7bU,     0xd52e51bdU, \
    0x473d1210U,     0xf640e35eU,     0x52f8260dU,     0xb09b3733U, \
    0x23d54427U,     0xcf0e4b4fU,     0x9b945c09U,     0x99b66b40U, \
    0x20e77621U,     0x98230fe1U,     0xac89fd19U,     0x18f144edU, \
    0x6a33dc00U,     0xd16f7c94U,     0xcedb21e7U,     0x19ccd244U, \
    0x4dcaa51dU,     0x75596d7aU,     0xd5915d1eU,     0x1eed12e7U, \
    0x5ce307afU,     0xd664bdfaU,     0x946ad3f8U,     0x8fa76aaaU, \
    0xf9108da8U,     0x38be8c1eU,     0x3a0de2caU,     0x3ec5d82dU, \
    0xec0d5f5eU,     0xe6e5f4fbU,     0x413f0559U,     0x0dbc411fU, \
    0x36d53dc1U,     0x91afcd85U,     0xf855d649U,     0x67bd161dU, \
    0x6730037fU,     0x000b19fbU,     0xeb3a9c7eU,     0xf7ea47d6U, \
    0x3ae28ce4U,     0x5db7224aU,     0x7f25e574U,     0x94f2a2a5U, \
    0xb5c516d5U,     0x8ca0aefaU,     0xfaff5b5cU,     0x7a4b3026U, \
    0x5d22474dU,     0x3b19d6f2U,     0x92255482U,     0x8f9ccf63U, \
    0x85a985edU,     0xceb78978U,     0x7143ea10U,     0x83cfbbc0U, \
    0x76292903U,     0x0d297e7eU,     0x781944c3U,     0xe184bc03U, \
    0x81fe4052U,     0xe28dec2bU,     0x57648ce1U,     0x64362f49U, \
    0xbeb9ba3dU,     0x053cca5eU,     0x2abeba8cU,     0x9cf9b95eU, \
    0x06087e38U,     0x1811bd94U,     0x3e1cb30bU,     0x64b92641U, \
    0x78062064U,     0x81b5092dU,     0xe74219acU,     0x48674d71U, \
    0x158a5a4eU,     0xc8a9b3cdU,     0xc3cbf302U,     0x965d63b8U, \
    0xebeb8ea5U,     0x37cc3c84U,     0xe26ee15bU,     0x747fc309U, \
    0xf79a8803U,     0x68926279U,     0xe1790fa0U,     0x2099576fU, \
    0x82877ba5U,     0xacbfcb30U,     0xa4e5a8d4U,     0x4b512a3dU, \
    0xa9146be8U,     0xe6c87da4U,     0x8ea9df19U,     0x75e7e2cbU, \
    0xd9878149U,     0xb946fd6aU,     0x3b681630U,     0xf1c7ff39U, \
    0xf8436a30U,     0x0c25b381U,     0xd390b85fU,     0x4bb84537U, \
    0xc1fd185fU,     0xdd3a2e14U,     0x31263537U,     0x1dd58e73U, \
    0xacc7283eU,     0xf9f26814U,     0xadad8747U,     0xe1a25d41U, \
    0xe2c170e1U,     0x0a367b5bU,     0xc87c56d8U,     0x3e8fba05U, \
    0x1422675eU,     0xef78f3baU,     0x4a8a44d7U,     0xaa642133U, \
    0xada3cb41U,     0xf47a89b1U,     0xb9fca941U,     0xfef417c0U, \
    0xe4af610eU,     0xcbfa4a8bU,     0x30448c66U,     0xa72fc251U, \
    0x94f12fd0U,     0x0914a304U,     0x5271052eU,     0xf9826aa8U, \
    0x02816bdaU,     0x5174d7b1U,     0x5bf9abfeU,     0x1fe6713aU, \
    0x7405ac12U,     0x27e5c1eaU,     0xb6fd6574U,     0x66778449U, \
    0x82a7d193U,     0x471a7617U,     0xaf84ac6dU,     0x94605531U, \
    0x5c5ec1cbU,     0x8a4c3ffbU,     0x0df2782dU,     0x1e350bacU, \
    0x2ddf6dbaU,     0x200e3d03U,     0x120a1b39U,     0x0bce2560U, \
    0xffd8a771U,     0xc681d46aU,     0xe096329aU,     0xe036fbe2U, \
    0x38b55a35U,     0xc03695d1U,     0x8fe07530U,     0xcab49557U, \
    0xfed4908aU,     0xe9b29ee9U,     0x7f82b181U,     0xd12e3e8fU, \
    0xdb073c77U,     0x830745b4U,     0x6e6cb85cU,     0x53ccd06aU, \
    0xac96112aU,     0x236c35caU,     0xde2a7afdU,     0x013b08e4U, \
    0x42e143f1U,     0x295e2c31U,     0x9d6ecb0bU,     0xf26a0fa7U, \
    0xe620e6b4U,     0x1d3626ffU,     0x9ae32b88U,     0xc54cdfb6U, \
    0xa29401c0U,     0xd6c5703fU,     0xf9dabab7U,     0x2c8b8c81U, \
    0xb80a846eU,     0x9d6b8f90U,     0x2b815049U,     0x019843a4U, \
    0x7c2c0aecU,     0x91601b56U,     0x2c2075f2U,     0x28272ef0U, \
    0x27f20943U,     0x7fb25d84U,     0x932d9cf1U,     0x1e664c8dU, \
    0xd8a93a33U,     0xa2f90330U,     0x8250b5d5U,     0x2e969bbdU, \
    0xa5dd3fc5U,     0xadf89919U,     0x131d4a8bU,     0x9882ec83U, \
    0x22c1f55bU,     0xc36b3eaeU,     0xbfd6c7ceU,     0xb715650eU, \
    0x2fff5c80U,     0x7259b756U,     0xd4496b34U,     0x8bca53f0U, \
    0x47092d9cU,     0x556368f2U,     0x210066dcU,     0x6a92820aU, \
    0xf823d78fU,     0x1220ad4eU,     0xc6d7a5edU,     0x4de56614U, \
    0x9592e898U,     0x9faded8bU,     0x00547254U,     0x6d6b25c2U, \
    0xf09196b0U,     0x7db6eddcU,     0xcd352f2dU,     0x63ade370U, \
    0x86210e3cU,     0x75be1ab0U,     0x2bebd37cU,     0x879f798cU, \
    0xdcc33415U,     0x64710853U,     0x13f49ef1U,     0x158ffbfdU, \
    0x4f30d2ccU,     0xc3058d0eU,     0x9f065275U,     0xe8f4c5a5U, \
    0x98f90584U,     0xe195c85dU,     0x6f75b121U,     0xb816a44eU, \
    0xf07200edU,     0x6f6dfe50U,     0xa5e635f9U,     0xa9b218daU, \
    0x6509a157U,     0xb02ec9afU,     0xca192164U,     0xbeec841fU, \
    0x05674b6dU,     0xf71bbfeeU,     0x90fa736eU,     0x85ffda80U, \
    0xf21be37dU,     0xc533d15dU,     0x2d79d903U,     0x317f03bcU, \
    0x9c27501bU,     0x5875a9ebU,     0xe172e7acU,     0x25cd7adeU, \
    0x8de92729U,     0x40d909faU,     0x3acc2f92U,     0xa5759662U, \
    0x42185274U,     0x98f61858U,     0x2f96bb92U,     0xf6b1ab37U, \
    0xa85b889eU,     0xac2ea3ccU,     0xaae79c54U,     0xa60ce774U, \
    0x2355ff55U,     0xd96ba5daU,     0x3c31a059U,     0x34a4a3adU, \
    0x973fa6fdU,     0x92f18204U,     0x20f0f6eeU,     0x7774f50cU, \
    0x27c2474eU,     0x80a10bf0U,     0x51938feaU,     0x2cb63aeeU, \
    0x0d8fa423U,     0x8a71ccceU,     0x242b29fcU,     0x369b19c7U, \
    0xad6afa38U,     0xf76525ccU,     0xf123bc40U,     0xc3a3597aU, \
    0xdcf79a0fU,     0x63c0279dU,     0x9be050acU,     0x0e4f2743U, \
    0xa2e24169U,     0xcd5e52abU,     0x796a3d75U,     0x27d22861U, \
    0xee1866b1U,     0xfc044fe9U,     0xcb113805U,     0x7a587e9eU, \
    0x7c44004dU,     0x4ef2c646U,     0xc603038eU,     0xb4974a1fU, \
    0xad321a28U,     0xebc962c5U,     0xe4f935cfU,     0x9bbc98b9U, \
    0x9c82f0bfU,     0x907cca63U,     0xe5d3f65dU,     0x961a8323U, \
    0x5fcb4075U,     0x6ead8985U,     0xddcc62f2U,     0x8721e00bU, \
    0x4e169fdeU,     0x97e0304eU,     0xa03a34ebU,     0xfbf857acU, \
    0x55ab1ed6U,     0x8147a017U,     0xd46c48d6U,     0x686a50cdU, \
    0x6dfb1c6eU,     0xbba3ebc5U,     0xa3210facU,     0x9430f198U, \
    0x640d99ebU,     0x9e668ecbU,     0x3bcdead3U,     0x80bfa1ffU, \
    0xcccb93faU,     0x558d4c8eU,     0x8ee5cd7eU,     0x6e3fcaacU, \
    0xff763469U,     0x698e30f1U,     0x7570864cU,     0x9164000dU, \
    0xd729a016U,     0x3ec616d8U,     0x80e83af5U,     0xc00259d0U, \
    0x689856e8U,     0x3ad77c1eU,     0x6c82a337U,     0x9ecdc602U, \
    0xdeeafc8cU,     0xae7ef3c2U,     0x838dd4d4U,     0x914451daU, \
    0x8712f40fU,     0x75ebd695U,     0x73f2e094U,     0xff00b15eU, \
    0x5f8ed5b4U,     0xe82fda03U,     0x54a4db3eU,     0xadb1a454U, \
    0xc997f66aU,     0xc95efb89U,     0x7a57da52U,     0x5d320b45U, \
    0x8119d7e5U,     0x38d506ceU,     0x379c2489U,     0x698fd05dU, \
    0xd75f0e94U,     0xb71cb470U,     0x07df614bU,     0x31947f70U, \
    0x70657605U,     0x18ca4109U,     0xb0b136bbU,     0x6e24ca96U, \
    0x419e79a4U,     0x3276e3c1U,     0xcf2bc0ceU,     0xe302603cU, \
    0xde0e9d86U,     0x4b426838U,     0xb0686653U,     0xb442fa5bU, \
    0x07af0ff9U,     0x04a69a5bU,     0x2a56546dU,     0x42da5381U, \
    0x12af9b74U,     0xb1e90e99U,     0xa2ed0249U,     0xd1466d65U, \
    0x2f323b6aU,     0xdeec4d3aU,     0x7124765eU,     0xe97a4f07U, \
    0xe8dc8a40U,     0x856b3139U,     0x7b618b83U,     0x3adaf2a7U, \
    0x9383d577U,     0xfdd84046U,     0xa200bdabU,     0xb31701cbU, \
    0x9da9bc9aU,     0x0351c91bU,     0xebd2f8aaU,     0x900e1c45U, \
    0xe09c8199U,     0xf6db0fe5U,     0x5d350973U,     0x2d256ae9U, \
    0x3e64b109U,     0xb5adae33U,     0xb20d6bffU,     0x4404e857U, \
    0xac2d3186U,     0xa0b3cb9fU,     0x6dc808b9U,     0x8067d2c4U, \
    0xe6854479U,     0x43ad6c08U,     0x9cd98ce1U,     0xe8a3ababU, \
    0xfa716b38U,     0x5e3e1396U,     0x80bf2ea6U,     0x577568daU, \
    0x492ccd02U,     0xb4691dcfU,     0x8d7a0604U,     0xb1a9424cU, \
    0xd43662dcU,     0x9bf31f21U,     0x4e91bf72U,     0x88b0f060U, \
    0xfac3d675U,     0x79c31eb0U,     0x6d274db0U,     0xa769cb3aU, \
    0xad3d33f3U,     0xa5ed9e78U,     0x70a133daU,     0xe1147268U, \
    0xce202da4U,     0xafb782eeU,     0xd8062423U,     0xbb7c275bU, \
    0x1b757d4eU,     0x11c5b562U,     0xc3da0b77U,     0x3a2c2d10U, \
    0xd2bf964bU,     0xac3b67eeU,     0xa97325a5U,     0xf4adcf18U, \
    0xdc64b280U,     0x3b7dd90aU,     0x4c4b1180U,     0xb1e31d7fU, \
    0xd920c53bU,     0x9b8704c3U,     0x5b75ced9U,     0xa55755deU, \
    0xa0dfc4c9U,     0xb0c42b8bU,     0x56591431U,     0xea66c97dU, \
    0x2d428276U,     0xc3b70375U,     0x3fd67477U,     0xd4346a9fU, \
    0x0db2be2cU,     0x2e402cbeU,     0x88d47deeU,     0xe3a9c839U, \
    0x82d7579fU,     0x3cc3720dU,     0x85b022c4U,     0x26345511U, \
    0x3a70d8d0U,     0x16aa98a0U,     0x90a1c956U,     0x835534beU, \
    0x14c3fe97U,     0xf8080a5fU,     0x3726fb27U,     0x3875b846U, \
    0x3b3db251U,     0x0273b05eU,     0x3697baeeU,     0x76c5f224U, \
    0x199eb92fU,     0x7ddd84ddU,     0x7cd33abdU,     0xf41e556cU, \
    0xc803d3caU,     0xa90cd1e8U,     0x35ae8967U,     0x56c0f2aeU, \
    0x794f2467U,     0xc86c8713U,     0x9a9fcddbU,     0x0b7c61ffU, \
    0xcfafa9fcU,     0x53607a8cU,     0xa4a2de69U,     0xa0987354U, \
    0xbb47282dU,     0x3ac980f7U,     0xbc763a92U,     0xe22cb46bU, \
    0x2f907f6fU,     0x38f973b8U,     0xeb3db50cU,     0x27233fc9U, \
    0x3d0400bcU,     0xab38c487U,     0x4b72ee32U,     0x2915d7b9U, \
    0x888bcae0U,     0x8a2e88c7U,     0x9ab3d4c0U,     0x9ee2b8d4U, \
    0x6e87212dU,     0xd853916fU,     0xf76b7936U,     0xa7ad4e6bU, \
    0x59e9d5deU,     0xd38d1504U,     0x36631473U,     0x2f49d7d8U, \
    0x14dd8275U,     0x567fd286U,     0xb1942d1eU,     0xe8355caaU, \
    0x67125d73U,     0xb631213eU,     0x7a16d9e3U,     0xedca957aU, \
    0xd78f629bU,     0x875091b3U,     0xe8170128U,     0xb76485c3U, \
    0x6e40473aU,     0x70631711U,     0x2c34da30U,     0x9bf7fef6U, \
    0xd60aad0cU,     0x53f48209U,     0x1a42b59aU,     0x3d3369eeU, \
    0xd7bef5c1U,     0x649d1f79U,     0xd03f9b06U,     0x4e161df7U, \
    0x582d2ee0U,     0xa9b44650U,     0x594c6320U,     0xe833efedU, \
    0xf3b4a7feU,     0x91262a9aU,     0x0053f547U,     0x765672d8U, \
    0xe6c13271U,     0x528f5523U,     0xb833e47cU,     0x3b987e20U, \
    0x5e67a71aU,     0xaac96eabU,     0x4cb8ba5fU,     0x57608bb1U, \
    0x00d36b20U,     0xce7dfb48U,     0x6db28ad7U,     0x01da4dfbU, \
    0xd89ca40eU,     0xdd7c724bU,     0xe6937b84U,     0x639cc3c4U, \
    0xe49c73edU,     0x626b450bU,     0x2beaa3f1U,     0xd0015ca7U, \
    0x78046c9cU,     0xd0e243edU,     0x9c750b86U,     0x0911ce28U, \
    0xf3da0dd2U,     0x135014e3U,     0x3397fbc7U,     0xb58cf63dU, \
    0x7b1e0708U,     0x173c7080U,     0x0722049fU,     0xaf4ac0a5U, \
    0x9a78addfU,     0xadaf2095U,     0x5d6645f6U,     0x39ab5a44U, \
    0x4c1ee1f0U,     0x60774faeU,     0x3eaa42a7U,     0x3d891059U, \
    0x4e350bd9U,     0x81b931fbU,     0xe6acd741U,     0x2bcc3d15U, \
    0x234eb6f5U,     0xa2a2d992U,     0x7fb7da44U,     0x19e98b16U, \
    0x0a06b8e3U,     0xb250e5cfU,     0xc8e97f57U,     0xb627c4dfU, \
    0x4699e206U,     0x024d80a0U,     0x118a0b86U,     0x9a4b2b0cU, \
    0x1d04201cU,     0xc604676eU,     0x6c3593e4U,     0xb9b04fd2U, \
    0x868ef0b5U,     0x3d660dddU,     0x44ff382aU,     0x933e77edU, \
    0x55c111f3U,     0x10cacb95U,     0x0b6708cdU,     0x55c4c7efU, \
    0xb05ff5d7U,     0x1f163976U,     0x90fb9d83U,     0xa2d825f1U, \
    0xcc50834cU,     0x5e0aec7eU,     0x29cd6751U,     0x3fe5d117U, \
    0xcfdb1bfcU,     0x85a82f92U,     0x7cf6e6f4U,     0xa2a67f7dU, \
    0x17f37d6dU,     0x391bf28dU,     0x88e1a840U,     0x08490769U, \
    0x5976e5bdU,     0xaa3a4f21U,     0x2422cb7cU,     0x4ca695f9U, \
    0x943c9bf3U,     0xa758703bU,     0x7f47f634U,     0x1c467ed7U, \
    0xea1e3de9U,     0xce7e0803U,     0x888e9488U,     0xb4ced828U, \
    0xe05a5028U,     0x901dcbeeU,     0xc69d96f0U,     0xabdfaad6U, \
    0xe3efaf12U,     0x15bbe4dcU,     0x5fd790d9U,     0x6662e10bU, \
    0x1be1d0c9U,     0x99713a77U,     0xf5faef53U,     0x3b25023fU, \
    0x87e763a5U,     0xf964d056U,     0x9acb23a5U,     0x49d2004eU, \
    0x639d51ddU,     0x19118c98U,     0x7e5fd336U,     0x182c6cc6U, \
    0x3f59eefbU,     0xc8e1ebb8U,     0xc8801a2fU,     0xcd27916aU, \
    0x9addb80aU,     0x83fafb75U,     0x85e8fcf7U,     0x0e0c5b9fU, \
    0xb601c693U,     0xc5194f1cU,     0xb3e593f6U,     0x39cbb6fdU, \
    0x7163b5bbU,     0x20957b7dU,     0x73334c70U,     0xc22c0ef5U, \
    0xef91a628U,     0xea1faa74U,     0x991e3f95U,     0x97745152U, \
    0x1d140531U,     0x56b0059aU,     0x97d5b73fU,     0xe8746724U, \
    0xec58ef42U,     0x19bf48ccU,     0xce56a0d1U,     0x62a5768cU, \
    0x54521a31U,     0x18e4d2f6U,     0x25f16234U,     0x13345f5cU, \
    0x07bde1b3U,     0x85410951U,     0xb6e1396cU,     0xf98d9436U, \
    0x084a1d18U,     0x5c8cf6a3U,     0x83b8f839U,     0xa0fa3bc2U, \
    0xadc838a1U,     0x55a7e983U,     0x072187d8U,     0x7bb1559aU, \
    0xf6438ab4U,     0x705a3feeU,     0xd81ea64fU,     0x6309614aU, \
    0x38db3d5bU,     0x0e4ac227U,     0xad0ce1abU,     0x87d8c434U, \
    0x98f76374U,     0xf519d976U,     0x189be7a0U,     0x93e3b05dU, \
    0x93bce69bU,     0x498ef9fbU,     0x062bab1eU,     0xce7feed8U, \
    0xc4162ea8U,     0xa39c874cU,     0x44a0c131U,     0x08003bf7U, \
    0x650b9728U,     0x185fd328U,     0xa616d553U,     0xf21d346bU, \
    0x4cead55aU,     0x2e8fb7aaU,     0x10e41de3U,     0x3e49ba82U, \
    0x7d5f5f4eU,     0xe35db5d3U,     0x57d9871eU,     0x6595fa19U, \
    0x5bee1f28U,     0xabe4730aU,     0x7f26c15dU,     0x0162c072U, \
    0x2e3a2631U,     0x7a5256f8U,     0x9fd50750U,     0xeadae95cU, \
    0xea19364cU,     0xd55736a0U,     0x5bd4ec0eU,     0x66ce1405U, \
    0x55720c7dU,     0xe965d174U,     0xa640af46U,     0x7e8217bcU, \
    0x395e8120U,     0x7c00e7cfU,     0x851099a6U,     0xbab7fc70U, \
    0x9f0b9f14U,     0x6fcf04f0U,     0x158e81b1U,     0x11e3361dU, \
    0x22ee0cabU,     0x1ac01207U,     0x2938dd2bU,     0xfd64786aU, \
    0x52391c24U,     0x91b996fdU,     0x581f972aU,     0x7be021c1U, \
    0x39fb9931U,     0xcc6468d9U,     0xd2483d77U,     0x6cc7f354U, \
    0x1c582b0aU,     0x2ebe534dU,     0xc06f57f4U,     0xa9ee41dfU, \
    0xfc1dce58U,     0x08774023U,     0x66965419U,     0x7716911cU, \
    0xbcfc8fa8U,     0xd0f35b41U,     0x8b549822U,     0xffe2acabU, \
    0x78271e6bU,     0x5892b614U,     0x736d2dccU,     0x680d19e9U, \
    0x94e47c86U,     0x0ca81dafU,     0xbfaa6a79U,     0xf7710215U, \
    0x4d63dd24U,     0x4b8ad631U,     0xa6b53e1fU,     0xd321a18dU, \
    0xb2015ec9U,     0x46169ff1U,     0xa55eba69U,     0xbec850e0U, \
    0x2edc6055U,     0x98d7b386U,     0xbe727e66U,     0x81d385ecU, \
    0xd133178bU,     0x3d2149f3U,     0x26fcd981U,     0x0cbe7ab9U, \
    0x098ccc07U,     0x373c07beU,     0x742e849cU,     0x06b5f3faU, \
    0x7a2d8545U,     0xf633225cU,     0xce92d048U,     0x15e59a08U, \
    0x49adfda9U,     0x220b43d2U,     0x06be4eb7U,     0xf40b37a8U, \
    0x5f8fa3b0U,     0x4a62a859U,     0x499e9dd4U,     0x339e5ef2U, \
    0x6a58790dU,     0x4cc22e7bU,     0x77d8d4e7U,     0xe3faf969U, \
    0x956b64d3U,     0xb259aca7U,     0xdab41397U,     0xdc18a131U, \
    0xeb29e327U,     0xa876cf6dU,     0x3b1f470cU,     0x50facc58U, \
    0xf79980f7U,     0xd51f8ab0U,     0xeb4a91a2U,     0xbf9a4185U, \
    0x762c4791U,     0x37b0bad6U,     0x034ea2e5U,     0x6bd2c3a3U, \
    0x278201fdU,     0xdf407160U,     0x50fda46dU,     0x9a27675aU, \
    0x98cc57d4U,     0xc3fd4cbcU,     0xc0f5b5fbU,     0xcfd8859bU, \
    0x9ab500a1U,     0x139a25a0U,     0x4ea30f25U,     0xe30d00ffU, \
    0x2d880cdcU,     0x2c2b8acbU,     0x91af98b5U,     0xeec96619U, \
    0xeaa29fbcU,     0xc0eb0f9eU,     0xb40bbe89U,     0x6663daddU, \
    0x4bd6293dU,     0x82c8de2cU,     0x9e07ad7bU,     0x1683e257U, \
    0x25580941U,     0x51ea1b1dU,     0xfe725659U,     0xdbe1bbbfU, \
    0x84d4d1ddU,     0x27d3689fU,     0x842e1ca2U,     0x4e648e56U, \
    0xbdad34f1U,     0x966acba4U,     0x384ccbfbU,     0xa98ff0d2U, \
    0xeab636a7U,     0x5dc1e268U,     0x5fda30d1U,     0xe662e455U, \
    0x17fd714bU,     0x02a13639U,     0x45785592U,     0xf798c7fcU, \
    0xb67979e3U,     0xbee695ebU,     0x97a9d389U,     0xd7b90c77U, \
    0xcb19e4f9U,     0x43ab3271U,     0x130736cfU,     0x516db233U, \
    0x19beac76U,     0x58ce68a7U,     0x7907904aU,     0x3f65de30U, \
    0x83cca142U,     0xa5b8057fU,     0x1d18fec2U,     0x33ed1384U, \
    0x2022cf6cU,     0xd5fdbb1dU,     0xcdaf3ad7U,     0xd133e825U, \
    0x16266d88U,     0xaf27e2dcU,     0xf3cb65fbU,     0xb3545e2bU, \
    0x3dd972faU,     0x9d6944c6U,     0xda56c2cbU,     0x13849b6cU, \
    0xfd4b65b2U,     0x4b0faa3bU,     0x5bdab3a0U,     0x3c1745ffU, \
    0xc0491edbU,     0x9a628739U,     0x3f65d920U,     0x11f423daU, \
    0xbe165ffcU,     0xf6ad25a9U,     0x59ba59c0U,     0xb76440c3U, \
    0x329feb61U,     0xe94b980aU,     0x14be795bU,     0x87fb1cddU, \
    0x4a80dd29U,     0xf51656e8U,     0xff1e2a71U,     0x26874567U, \
    0x9e681a07U,     0x62703849U,     0x1e0af0a8U,     0x9de562e7U, \
    0xf6d6f894U,     0x5731ce47U,     0x7c745e9dU,     0x78c60537U, \
    0x84efb9bbU,     0x33c26217U,     0x3dc6bf57U,     0xfe9e7fceU, \
    0xf0d15234U,     0x773f1ac5U,     0xa60698b0U,     0xacd46739U, \
    0xb4b768afU,     0xbc34a136U,     0xc3511d73U,     0xdc74db57U, \
    0xb77bc075U,     0x44a255dfU,     0xf2f87e37U,     0x2d8090baU, \
    0x5f7e38d3U,     0x603e85d5U,     0xbc25f9aaU,     0x5d0aabe5U, \
    0xc6b3e090U,     0xc813cae7U,     0xd6ebebddU,     0x1d6eb57dU, \
    0x743c694aU,     0xd6a975b9U,     0x4595fff6U,     0x006eb436U, \
    0x8420fb17U,     0xbea8e97eU,     0x7be33e6dU,     0xdcd9985eU, \
    0x201defe6U,     0xeb5845faU,     0xfffb3308U,     0xb5d5e989U, \
    0x6cce6742U,     0x9471e762U,     0x7a45f20bU,     0x3bd9bde3U, \
    0xfbbfd399U,     0x1159abefU,     0x3011cd4aU,     0x621ed118U, \
    0x805fc593U,     0xf2a077f0U,     0x6e843c2dU,     0x15ddc30dU, \
    0xb76e8d5cU,     0x81f33a6eU,     0x9b99a874U,     0x1367dd22U, \
    0xdfbc0cd0U,     0x8d6711dbU,     0xb3679096U,     0x85b62bc8U, \
    0xdccdde9cU,     0xa41ac824U,     0x49b9cec4U,     0x5ab875b1U, \
    0x0b5ffb24U,     0x085cbffbU,     0x5e9de039U,     0xfd36ce6fU, \
    0x2f0e009eU,     0x8acc0ad4U,     0x5d5ed1dfU,     0x52306204U, \
    0xd3a07720U,     0x533bb9b5U,     0xc9881776U,     0x16fe9316U, \
    0x8f58ee00U,     0x51540699U,     0xd4297eeeU,     0xca2893adU, \
    0x5fba6fd1U,     0x55adf85dU,     0x880e3af6U,     0x3372c259U, \
    0x7863081aU,     0x6f926c88U,     0xa8a2de70U,     0x6f27bce5U, \
    0x53eea83eU,     0x32a689f6U,     0x3d99784fU,     0x574a7c9dU, \
    0xaeb88b26U,     0xabcd4b2bU,     0x22b02c22U,     0x657ea9bfU, \
    0x32836c3aU,     0x978275ceU,     0xabfdf471U,     0x3b6b360cU, \
    0xcfa7ad16U,     0xdb8c5ca5U,     0xb48a95caU,     0x4bcd6ad6U, \
    0xed3b8e27U,     0xd11613ceU,     0xf7e437c2U,     0x108ad2bcU, \
    0x1071f50cU,     0xf9ad26bcU,     0x0efa417cU,     0xd8532f72U, \
    0x50e8a211U,     0x17f7a0acU,     0xf237abeaU,     0xcd7cc4d9U, \
    0xd29bf6caU,     0xfc82d249U,     0x861c5593U,     0x363c082aU, \
    0x9796e888U,     0xe9270525U,     0xc56d0818U,     0x2b26d1d4U, \
    0xefd2c6a8U,     0xfdd1a6a5U,     0x9a873892U,     0x30b45202U, \
    0x5a258e29U,     0xce8f5449U,     0x092159c7U,     0xb16fe7feU, \
    0x9ec3e653U,     0xf9542115U,     0x6b9f1876U,     0x37ceefb6U, \
    0x708e3bd7U,     0x36341d73U,     0x75e4bf82U,     0x69d16199U, \
    0xcdd2f02fU,     0x81bfa07aU,     0x0bafe531U,     0x03cfa325U, \
    0x4696401dU,     0x76b477e2U,     0xb6af22e2U,     0x9aa2569aU, \
    0x8c2fc50fU,     0xbbf28e76U,     0xe9447763U,     0x278d20ffU, \
    0xf617fc4fU,     0xbb69f455U,     0xcadccbd2U,     0x3172b2c8U, \
    0xef785c7fU,     0xf01d8426U,     0x8ef367d7U,     0xe12e81a3U, \
    0x8b92b3f1U,     0x3ca3af7eU,     0x8aa7ac3eU,     0xf3d619c9U, \
    0xbac3e128U,     0x615ee1ebU,     0x222e7debU,     0x908718edU, \
    0x89478750U,     0xa6238611U,     0xbd82ddebU,     0xe2220dd6U, \
    0x0357bbdcU,     0x95f5085dU,     0x8a76669fU,     0x6e5867e7U, \
    0xc3592af8U,     0xc5fcfb2dU,     0x83075de4U,     0xb68ee01fU, \
    0xd848463dU,     0x4e4b4cffU,     0x5020213aU,     0x726f495aU, \
    0x60e63382U,     0x09028587U,     0x2dfd87faU,     0x996ec4dbU, \
    0x88318586U,     0xb6fc9d37U,     0x5677d6c8U,     0x50393963U, \
    0xac6fb787U,     0x73352c64U,     0xdd542d2aU,     0x224ee2aeU, \
    0xdbf99224U,     0x3b7abde6U,     0x35f53b95U,     0x0e4610cfU, \
    0xa5740487U,     0x9a4400eaU,     0xe12f12a0U,     0x196177bdU, \
    0x79342420U,     0x77886e0bU,     0x84d5243eU,     0xd0580d9eU, \
    0x79bbda8bU,     0xdc59222cU,     0x46fe77a1U,     0x33aba6deU, \
    0x53284306U,     0xd8143ad4U,     0x7b7a3e24U,     0xfc99852aU, \
    0xacd4bdd9U,     0x1b7fca7bU,     0x8a32cd09U,     0x8e4cae67U, \
    0x14b6638bU,     0x62f0d07cU,     0x48f096a3U,     0x6ef577b7U, \
    0x3a795bf8U,     0xa8fcc97dU,     0xd30c5495U,     0xcd86bab3U, \
    0x6da68474U,     0x88568d17U,     0x10eb78a1U,     0xf5928216U, \
    0xb6dbf1edU,     0x91352c2dU,     0x5027fa13U,     0x2b1daf75U, \
    0xc3d2a331U,     0xdc9e6e17U,     0x6de06aa8U,     0xbb9aa0baU, \
    0x644ca105U,     0x7e608100U,     0xa8041b2dU,     0xe70a3780U, \
    0xcbe5dda8U,     0x7de81429U,     0x56494e9aU,     0x97195879U, \
    0x7d1a5fe3U,     0xb520aa03U,     0xdbf8f96dU,     0xeabb94b3U, \
    0x90fcb3c6U,     0xe34a676fU,     0xa312ee43U,     0x3cdd56cdU, \
    0x8383021dU,     0x129f106fU,     0xd9328d40U,     0x361ec2e7U, \
    0x670af820U,     0x2f017c44U,     0x56627232U,     0xaffd0ba5U, \
    0xa4e4b04dU,     0xe3ac86b4U,     0xc5487205U,     0x9209d29bU, \
    0xae6b6077U,     0x515692a5U,     0x56b7e490U,     0x9785e618U, \
    0x8d761004U,     0x560ceb9bU,     0xdd196efdU,     0x5510bf7eU, \
    0x3a8bf26eU,     0x4ed871bdU,     0xcd1f2b34U,     0xc5b09be1U, \
    0x53f827beU,     0x0e94bfbbU,     0x826cd5f4U,     0x91b7c1d8U, \
    0x6ea0c014U,     0xce768e3eU,     0xf325d9bcU,     0xf6b9c6b3U, \
    0xba5d14beU,     0x825da890U,     0x30cfd5abU,     0x8c0848caU, \
    0x457436fcU,     0x78f5931dU,     0x4545251aU,     0x3198f118U, \
    0x58856de7U,     0xc8c8b3cbU,     0x32f9355cU,     0xafb1b25fU, \
    0xd37a2353U,     0x3e4dd99dU,     0xbe9b3466U,     0xfaec2b2cU, \
    0x5a836216U,     0x60fffcd2U,     0x7f99bca0U,     0x73f9ab41U, \
    0xe4a165e0U,     0x919f0925U,     0x006e2208U,     0xcd2f729fU, \
    0x5bea5ad3U,     0x5095f5c8U,     0x9245aeb5U,     0xc742979dU, \
    0x1ba2b971U,     0x1460bb17U,     0x8d57e041U,     0x62efe454U, \
    0x28750014U,     0x77127f0dU,     0x5cae28e6U,     0x3e4258bfU, \
    0x69e54d8cU,     0x1e2b6e5eU,     0xf585dcb7U,     0x258345d0U, \
    0x2d2eb13eU,     0xc3268324U,     0x2c5ee70eU,     0xcae727e6U, \
    0x3d269824U,     0x03ff8edcU,     0xd1c25ce6U,     0x6efc1449U, \
    0xf9ea1515U,     0x183610f5U,     0x43f84487U,     0xea0da752U, \
    0xfa0db445U,     0x367c2890U,     0x6cdd1e0fU,     0x7a0c960aU, \
    0xdd61bb64U,     0x23d037a9U,     0xb327a2e9U,     0x62826466U, \
    0x37b8abe6U,     0xaa0a77bcU,     0x6f972a68U,     0x703dd59fU, \
    0x8d45c6ccU,     0x3a51498eU,     0xd8921cc9U,     0x52daca2aU, \
    0x3f54dac0U,     0xbd11b1dfU,     0x9f9ab34bU,     0xd94db91aU, \
    0x4a1c43dfU,     0xa1e74230U,     0x8e0b1e90U,     0x70f97985U, \
    0x625db5b5U,     0x494e7ddbU,     0xb1ba4593U,     0x37b3ef26U, \
    0x42d21437U,     0xe02c4f74U,     0x37825194U,     0x09a07d7bU, \
    0x19e071ddU,     0x1ac4cd21U,     0x00645d40U,     0x70f77dd4U, \
    0x48314237U,     0x20a8e352U,     0xc2c051d3U,     0xfc7651d3U, \
    0xb1e3681cU,     0x730d1550U,     0x0d29ec07U,     0x697b7b17U, \
    0x9f24d4a8U,     0x36d119eeU,     0xf63ba2faU,     0x6c3c8ba0U, \
    0xc72786faU,     0xbfd0bd2bU,     0x5330f861U,     0x31f3d55eU, \
    0x6316f7d1U,     0xf4b2bdd7U,     0x1f3792dfU,     0xf9dba89dU, \
    0xbc1accadU,     0xc8ed7bd1U,     0xda019da7U,     0xc65dc6e3U, \
    0x38a228ffU,     0x34d38ca6U,     0x22596e7aU,     0x9616d11bU, \
    0x38f53fcaU,     0xd83d0153U,     0x3e991f6eU,     0xd1f40c71U, \
    0xecb62af0U,     0xdbd07566U,     0xf402129dU,     0x2ca1c9daU, \
    0xb9cbab9cU,     0x35564072U,     0xea8429baU,     0x045d30e2U, \
    0xff593061U,     0xfc92d3deU,     0x71664e7fU,     0x8e294753U, \
    0x09fb7d7fU,     0x0f97253aU,     0xa47da677U,     0x408613bfU, \
    0xe67a4b46U,     0x92f60611U,     0x17dcc46bU,     0xe125ca9cU, \
    0x9cdfdd5dU,     0x339048aaU,     0xcf04edd7U,     0xab51627cU, \
    0x0db8c536U,     0x4752b481U,     0x7fc47814U,     0x945ec7d0U, \
    0x9abb5a32U,     0xe39ff4c5U,     0xbe94c704U,     0xaedf0362U, \
    0x0a6b5ff6U,     0x055b9d18U,     0xe408affdU,     0x753cbfcaU, \
    0x2c7ec1b0U,     0x762abe4eU,     0xca95bf4aU,     0xafe8e53cU, \
    0xb18736e8U,     0x54b11fa5U,     0x49ccd36dU,     0xc467dbf2U, \
    0xc9a2241eU,     0x77f8bd1dU,     0xcb013f37U,     0xb08e85b7U, \
    0xbed3813dU,     0x21c29833U,     0xc54fedc6U,     0x417f8898U, \
    0x2119c841U,     0xdd07a560U,     0xe23870f9U,     0x3bbc6df1U, \
    0x06116342U,     0xb26ec169U,     0x40119a90U,     0x726dc686U, \
    0xfc15f495U,     0xfee64176U,     0x0899d5acU,     0xd43aefaaU, \
    0x357288fdU,     0xd43efa0cU,     0x370b5415U,     0xca81876bU, \
    0xd12e8f6cU,     0x94faa615U,     0x34433dc6U,     0x0f777eb4U, \
    0xb11f5546U,     0x6644ef4eU,     0x196fd90eU,     0x3fb6522cU, \
    0x887cb42bU,     0x3a7c0fc4U,     0x89119ba7U,     0xa846dcfaU, \
    0xf912d862U,     0x239bbcfdU,     0x288bd765U,     0xa59eb215U, \
    0x6fc1afddU,     0x8b307ab3U,     0xca2f33c1U,     0x292cd135U, \
    0x6b4ad573U,     0xa432b243U,     0x2314e15fU,     0x7229bf31U, \
    0x10838162U,     0xe37fad52U,     0xc2b27256U,     0xfbc526caU, \
    0x504d405cU,     0x4d92cad3U,     0x6ad3909aU,     0x7d51ae2dU, \
    0x5e5b3c79U,     0xf4347f06U,     0xadfd3ccfU,     0x3b96f7e9U, \
    0x6cc006abU,     0xc9c76de9U,     0xa253cadaU,     0x20b3cf80U, \
    0x3a3d2058U,     0x2158876aU,     0xcca19699U,     0x891b87abU, \
    0xb3df80b0U,     0x49086605U,     0xd46abed7U,     0x92a143b0U, \
    0xdb2519cdU,     0x142ff391U,     0x9ec3c107U,     0x608a8163U, \
    0xb3207ebfU,     0x5eb5cbdaU,     0x90d84c9bU,     0xf0f71da4U, \
    0x9f191194U,     0x790a17aaU,     0x89b6611aU,     0x4f5b2e20U, \
    0xa64db2d0U,     0x609438adU,     0x649d446cU,     0x3a65707eU, \
    0x99fd7adbU,     0xbd86ae40U,     0x7cce2b79U,     0x83b5f6a2U, \
    0xbb97fc13U,     0x3f520883U,     0xd84a0df7U,     0x8484424eU, \
    0xb07a5ae2U,     0x79011295U,     0x5e4852a9U,     0x0977564cU, \
    0x64fca826U,     0x3c5dd603U,     0x089f2e94U,     0x7309eba7U, \
    0xc1d89deaU,     0x7b00b25fU,     0x797a901cU,     0xba5f5c9fU, \
    0xb288d438U,     0x0110bfb7U,     0x820eaf61U,     0x2c64e552U, \
    0xc92c1aa2U,     0x5a54d269U,     0x46c50eedU,     0xd78506f1U, \
    0x056ebe87U,     0xf5a2368aU,     0xb4b35b9bU,     0x6fdc106dU, \
    0x8d43e7b6U,     0x5694b696U,     0x8c5ec251U,     0xfa64cef7U, \
    0xadf922b2U,     0xc648f1d1U,     0x196c25a6U,     0xf82dcb45U, \
    0x79c67b48U,     0x066fee1bU,     0x7c8a8bccU,     0x9040aa00U, \
    0xbdca9fcfU,     0x7d10f971U,     0x8c8bcd56U,     0x86dcfb69U, \
    0xe4e0e94dU,     0xc58caf42U,     0xbe1b49acU,     0xecb732acU, \
    0xbe7a2314U,     0x4d21a156U,     0x5be953aaU,     0x4da8ef04U, \
    0x98bbb1fbU,     0xc70f7b23U,     0x9e9777ddU,     0x0d2af865U, \
    0xd2aebd9eU,     0xa6c20a6aU,     0x8f62ec8aU,     0xb63010c6U, \
    0xccccca5fU,     0xc457e113U,     0xd75acd7eU,     0xb167d09dU, \
    0x2e41231fU,     0xf3bb2b44U,     0xa7a7e320U,     0x41f43066U, \
    0x4039d3c1U,     0xfb3a31b3U,     0x60de82f7U,     0xb2b46ceaU, \
    0x5ecd593dU,     0x25e92120U,     0x43586095U,     0xff034431U, \
    0x1baa7cd3U,     0x90861572U,     0x72ffa3f9U,     0x6a295e18U, \
    0xe7368c8bU,     0x2f0695d5U,     0xc8729ce9U,     0x7407cd5aU, \
    0x07db8c25U,     0x11c7e95aU,     0x2d7fe9b1U,     0x12407c94U, \
    0x36ce41d8U,     0xb9e82060U,     0xd453f573U,     0x4b42e343U, \
    0x5dadfcebU,     0x39ab4ac7U,     0x691e6628U,     0x1cd7f1b6U, \
    0x4fd615bdU,     0x16cb7920U,     0x9540fd03U,     0xeaa65f0fU, \
    0x785216c1U,     0x4a57316fU,     0x97cef7f4U,     0x11c92b80U, \
    0x0c49d5bdU,     0xca969182U,     0xb97fcc84U,     0x3bda7ca9U, \
    0xcdb59b12U,     0x949dfa09U,     0x1fe70258U,     0x7a028cd7U, \
    0x5815e274U,     0x2d074370U,     0xf590130dU,     0xa455146cU, \
    0x6233a260U,     0x2b785b02U,     0x8c92aec5U,     0x80f98e39U, \
    0xba086ad4U,     0xfb6755dfU,     0x97577554U,     0xede6afd6U, \
    0x3139cc7aU,     0xbf98fcd6U,     0x9a1fe37dU,     0x151bf22fU, \
    0x3f0585c6U,     0x48c85306U,     0x08e23f16U,     0xfc8ad7f6U, \
    0x622726dcU,     0xa3d3ee4aU,     0x9e3b5a76U,     0xde192465U, \
    0xa75186d9U,     0x339f73fbU,     0x23087df1U,     0x8c23644eU, \
    0xbebfb762U,     0x342580ddU,     0x47af9aedU,     0x9d0657f0U, \
    0xb9d1f51fU,     0xc6b14902U,     0x043b07fcU,     0xeb56b4c0U, \
    0xc569bdafU,     0xcd7b9746U,     0x59ab4dc8U,     0xa281a433U, \
    0x6c37450eU,     0x59c048fcU,     0x5f4d86d6U,     0x524c6da1U, \
    0x587ec728U,     0x6c1a0735U,     0x933ca917U,     0xb3ddb69bU, \
    0x74df3ecdU,     0x7a2ea5d8U,     0xfc35141fU,     0x39e95d09U, \
    0x53cb2e74U,     0x1bbb0175U,     0x74b4321eU,     0xde800db8U, \
    0x04a09e8aU,     0x8f6f66e5U,     0xedb13d5dU,     0x1c7afaebU, \
    0x6c6aff93U,     0x530edff7U,     0x5aa3abd0U,     0x50dad848U, \
    0x11b0d54bU,     0x27293435U,     0x14f71e5eU,     0x6cc5d97bU, \
    0x6857ad30U,     0x705a2e90U,     0xb58f0d1bU,     0xd35e4075U, \
    0x77f0bad4U,     0x9aefb540U,     0x9a6e2eb2U,     0x8de8bc38U, \
    0x028c860eU,     0x9f144308U,     0x0cd4001bU,     0x2845dda7U, \
    0x2f367c6bU,     0x87e1c6a6U,     0x94c660bbU,     0xa0d44149U, \
    0xf8010fbfU,     0x3a152248U,     0x829c1c71U,     0x7d3b7b97U, \
    0xdf6851dcU,     0xff871958U,     0xbc9d6de1U,     0x3a852a1aU, \
    0xa557e88bU,     0x0e3544beU,     0x8bf42a1cU,     0x9d99bff3U, \
    0x51e07966U,     0x9f87a681U,     0x38bbaf32U,     0xa81a6402U, \
    0x0ae28e5fU,     0x43d1bea0U,     0x74b87d65U,     0x2e8af852U, \
    0x9ce96a9dU,     0x5915b065U,     0x4e0fa958U,     0x042e950cU, \
    0xa143b526U,     0x4b020dc8U,     0x5ff900f3U,     0x7d7a7957U, \
    0x806ce743U,     0x113401e8U,     0x4eedf2d6U,     0x25bbc91fU, \
    0xdd56fd15U,     0xb7bc6cadU,     0xb95a0dacU,     0x4c3ee365U, \
    0x813ea8cdU,     0xe4c22d4bU,     0x245bd57eU,     0x41561e42U, \
    0xe02926c8U,     0x24cb821dU,     0xa53e8230U,     0x14e7b641U, \
    0x12b2e614U,     0x1f6ac31fU,     0x9d095aa4U,     0x4fd8ee48U, \
    0x66b96c52U,     0x0ae9f623U,     0x1e5fabd3U,     0x6ff26539U, \
    0xb1e14e5cU,     0x5efd1163U,     0xaab8c6feU,     0x7a1dc8e6U, \
    0x88bd3004U,     0x03df1f96U,     0x1c3c1ab2U,     0x46f0b166U, \
    0xf7b850dcU,     0x008bbd4dU,     0x285d2944U,     0xa72d5dedU, \
    0x4ac6ad78U,     0x1aaea729U,     0xb14675daU,     0x8ad34e14U, \
    0x2c4370faU,     0x68812f73U,     0xbcb8b2edU,     0xfa34e13dU, \
    0x1a297763U,     0x57c0540fU,     0x1993e2a0U,     0xf683e11dU, \
    0x3e5c543dU,     0x894a7948U,     0x951a80abU,     0x97a06800U, \
    0x327c0e3eU,     0x874c356bU,     0x5e197a1aU,     0xf9e7f716U, \
    0xe6ed04edU,     0x8f362b80U,     0x4cdfd2e0U,     0xe979cfdbU, \
    0x49ef6b2aU,     0x83d1d86fU,     0x5118e675U,     0x451642baU, \
    0xbb154691U,     0x37c70499U,     0x5ad4a2b9U,     0x96abe059U, \
    0xf23a0a0cU,     0x658854c9U,     0x501c6bb3U,     0x05490a6eU, \
    0xae9dd6b8U,     0xeb2f6f4bU,     0xa4c82d28U,     0x06cfda06U, \
    0x382e0cadU,     0xb1dbace0U,     0x049b6fd9U,     0xb96cf571U, \
    0x6c68f198U,     0x4e0fb1f5U,     0x20f75551U,     0x7b87e46bU, \
    0x081f2e6cU,     0xb52c208fU,     0x21ff6188U,     0xeeb44635U, \
    0x1a34bf05U,     0xa1b7f083U,     0xea5f38b3U,     0x26d7bed4U, \
    0x7145a4efU,     0x24dd9b6aU,     0xcdbaa350U,     0x2518b8a4U, \
    0xad7fc929U,     0xe27e8d5fU,     0x2a99986cU,     0x370303c2U, \
    0x0ffbdd74U,     0x31980731U,     0x5c6730ceU,     0xc927dbebU, \
    0xdf8e8c74U,     0x9bf0ed1fU,     0x3ec06427U,     0x81682eeeU, \
    0x826304d5U,     0x9cf3962aU,     0x87ff6a7cU,     0xa817626aU, \
    0xa785e823U,     0x94c4e1f0U,     0xceb0c33aU,     0xe550c484U, \
    0x0bd3730eU,     0x2db27303U,     0x19f7f60dU,     0x22fcd354U, \
    0xa5247241U,     0x38bef2e3U,     0xc4dcb085U,     0x4d327e5eU, \
    0x2f84a3c3U,     0x3d277be6U,     0x84503095U,     0x06c8987aU, \
    0x52bfcbbbU,     0x8516823dU,     0x8b598b99U,     0xeb9d6456U, \
    0x5358e282U,     0xac4cf776U,     0x32c36a45U,     0x7d55ac8aU, \
    0x2a9c148eU,     0xe6e1a85fU,     0xa4573421U,     0xa23bb64dU, \
    0xeb4a8deeU,     0xa07051f5U,     0xcdc07364U,     0x794ae914U, \
    0xb1160f5dU,     0xdaceb68aU,     0xb6c8804fU,     0x1928b4cfU, \
    0x40a54ce6U,     0xa6134d4cU,     0x3be71d4fU,     0xe2f31f78U, \
    0x5c921728U,     0x6aa295feU,     0xc0f5600eU,     0x28b403ebU, \
    0x4d8fcf4fU,     0x6bdd3b1cU,     0xd6818a71U,     0x8d5a1c5eU, \
    0x06f6530aU,     0x3d30e23fU,     0x2f3d791aU,     0x9772c5d1U, \
    0xe3377004U,     0x4886c436U,     0x208febe6U,     0x0b042ac0U, \
    0xd3b5c3b8U,     0x4421f9c1U,     0x9fbadfc1U,     0x9ac465cdU, \
    0xbcbd95c8U,     0x6b5937d4U,     0xd6673a03U,     0x2e1d1680U, \
    0x85053998U,     0x8cef656cU,     0xc91b30dcU,     0xd1e9f0ecU, \
    0x4dadee8eU,     0xe6d58c1bU,     0x64c12227U,     0xbb9cc9b0U, \
    0xc8e73122U,     0x6588132bU,     0x7d7f25ccU,     0xf9b166b4U, \
    0xc4ed2e6eU,     0xdc8581b4U,     0xa385371aU,     0x8ccac706U, \
    0xcbbe5a55U,     0x2f731b41U,     0xad1bffb1U,     0x308b980dU, \
    0xca572e26U,     0x97f31c67U,     0x65d78319U,     0x7a6c4f26U, \
    0x6152eaddU,     0x8934dcfbU,     0xa1d50998U,     0xf7861e37U, \
    0x5d79d647U,     0x54509fafU,     0x54cdb9dcU,     0x60086589U, \
    0x290ca9ffU,     0xd42236edU,     0x68f22756U,     0xe88c25cfU, \
    0xd8f81bf2U,     0x91409e3aU,     0xbe1b0d8fU,     0xba92d6c6U, \
    0x7935d8cdU,     0xfeb2ea21U,     0x3c6e3999U,     0xb4b4e171U, \
    0xdccd5752U,     0x7d6d7499U,     0x034db539U,     0x11061408U, \
    0x7e6d807eU,     0x56b9ad98U,     0xba659fc7U,     0x6973d49dU, \
    0x7ffaf622U,     0x900e4148U,     0x36097d67U,     0xce0f6dcfU, \
    0xbae39119U,     0xaf6e2edbU,     0xa60dd106U,     0x7d9dedf6U, \
    0x7fe891d9U,     0x20881909U,     0x7cf3e006U,     0xc971ec35U, \
    0xffb86563U,     0x8dde1ba3U,     0x203a2eb5U,     0x1ca402ceU, \
    0x2f587646U,     0x84ad5295U,     0x1fef9bdfU,     0x8b5aeb45U, \
    0x81b7b6a2U,     0xcf6daab1U,     0x36fd8ab8U,     0x02422947U, \
    0x5595782cU,     0x619b835fU,     0x102211fcU,     0xd4eb36e1U, \
    0x96043303U,     0xe1cdb101U,     0xae43ec3dU,     0x165ec8daU, \
    0xafc667b9U,     0x912d3b83U,     0x79962204U,     0xe6c1a66fU, \
    0x388b98efU,     0xbb6770d3U,     0x1a9b06acU,     0xe6bcf0a3U, \
    0x867d5d8fU,     0xc10caaf0U,     0x038cef3aU,     0xe6e0ce7aU, \
    0x3ee413a8U,     0xf6ec081dU,     0x2a96adc6U,     0x3663c869U, \
    0xc8a1f310U,     0xb19a10a4U,     0x8f5308a2U,     0x2a12c7e2U, \
    0x04940880U,     0xae26ce34U,     0xf4d576faU,     0x23c1b7aaU, \
    0x58328bb4U,     0x45fbaa4cU,     0xb686b16aU,     0x4e83cf77U, \
    0x49e9d14aU,     0x82e3894fU,     0x94561334U,     0xd0fb9f6cU, \
    0xc2536cd6U,     0xd2f20dccU,     0x2931c23cU,     0xe161e8e7U, \
    0xb563ab23U,     0x202bee96U,     0xe8458543U,     0xea2eda42U, \
    0x02baf540U,     0x1567987cU,     0x5f7c0382U,     0xf1a3ae3dU, \
    0x82586a6fU,     0xde1b9633U,     0x561e59c8U,     0xaa52ecd9U, \
    0x8d6e4344U,     0xa213de25U,     0x78815a08U,     0xe49e195eU, \
    0x4b9cbe14U,     0x28022055U,     0x863289feU,     0xb6db84bfU, \
    0x76e95e7dU,     0x8b0eeba9U,     0x8584821dU,     0xc268fe0eU, \
    0x9c19c412U,     0x03c0956aU,     0x785bcf0aU,     0x11ca4dc9U, \
    0xdd04145eU,     0x4b6808d8U,     0x9f3b6eccU,     0x8d38cac0U, \
    0x71eb4b1bU,     0xef653168U,     0x853a52dcU,     0xfa553849U, \
    0x24c48015U,     0xc06209bbU,     0x6c91983fU,     0x86586d63U, \
    0xcb147bc5U,     0x3f54a02eU,     0x38bc3005U,     0x82358f80U, \
    0x032246cfU,     0x10b34265U,     0x905250a6U,     0xcb95e922U, \
    0x2b995830U,     0x8dc03ae6U,     0x7f4b9bcbU,     0x12d802ceU, \
    0xc1d3cbacU,     0x3d6fe763U,     0xd59a9ae0U,     0x879333b2U, \
    0x274c4e98U,     0x99e69c49U,     0x5529c5e5U,     0xc2a76007U, \
    0x8fcf7f86U,     0x75f246c9U,     0xe5719517U,     0x06ba188dU, \
    0xb82a70f6U,     0x80affe26U,     0x895cda95U,     0x8f32dd75U, \
    0x94c4cdebU,     0x1f2394a4U,     0x29693752U,     0xbd3e100cU, \
    0x86edbb38U,     0x79febc76U,     0x1aeedc6eU,     0xb1b44dd5U, \
    0x8d3eb37aU,     0x140fefa7U,     0x71957cfbU,     0x613c3a5aU, \
    0x7a417310U,     0x8a1dcc3dU,     0x23ff5109U,     0x98f48244U, \
    0x5b665c86U,     0x59da3efcU,     0xf9d48112U,     0xafe612a0U, \
    0x3f904514U,     0x52fd3ae8U,     0x0a0052d1U,     0xb4efcc98U, \
    0x96f8c1fbU,     0x316e93f8U,     0x12663c04U,     0x67cc7636U, \
    0x1b03dfbcU,     0xaf77e273U,     0x52c3985eU,     0x8712a0e4U, \
    0xa11c3476U,     0xa58b623cU,     0x34b99633U,     0x24b951c9U, \
    0x755bc648U,     0x04fe8270U,     0x695adf91U,     0xf972b9c9U, \
    0x5409e7d8U,     0xf7a3d633U,     0x2442bee5U,     0x36c4c16cU, \
    0xea82cd84U,     0x94dcb6b4U,     0x625e3452U,     0x11be4506U, \
    0x4c6a98afU,     0xb0f8b8b8U,     0xefb6338bU,     0x6825eec9U, \
    0x205d1022U,     0x7cca4db3U,     0xbe8710f1U,     0x876d778eU, \
    0x09081df0U,     0x1adc089bU,     0xf1bd68faU,     0xd8e4268cU, \
    0x987ed605U,     0x4ed4a9fbU,     0xaec460fcU,     0xf508a141U, \
    0x2ef5f607U,     0x22863720U,     0x8afb7ee0U,     0x19b45859U, \
    0x7afbe826U,     0xacff50d9U,     0xdb4fa60bU,     0xec4b7bcbU, \
    0x060ff00dU,     0x982fa18bU,     0x7f2fdbe4U,     0x06fbed6bU, \
    0x91eecee6U,     0xb0584e97U,     0x4e168835U,     0x69d1fd4aU, \
    0x4cc72cdcU,     0xb7559d64U,     0x436709c7U,     0x973afe54U, \
    0xa0ecc460U,     0x5769c77dU,     0x6b3b7dcaU,     0x2fe27303U, \
    0x2d2c8d77U,     0x88223641U,     0x5595834eU,     0xbbcd3057U, \
    0x4c988cdeU,     0x3a4fef43U,     0x87f7bfd5U,     0x85b73c17U, \
    0xebdd0342U,     0x6bedc6dbU,     0x3ba23619U,     0xcc1883dbU, \
    0x80576c34U,     0x3f9e54caU,     0xa3929310U,     0x494e8c69U, \
    0x895a337bU,     0x066ee803U,     0x1fea46ecU,     0xfc5d34f0U, \
    0xa1d5658aU,     0x52a2298fU,     0xd570a179U,     0x959f6a56U, \
    0x38c17e12U,     0xe03149d5U,     0x65ca321bU,     0x2624252eU, \
    0x333267f7U,     0x181bb04eU,     0x6c0e753fU,     0xf6c28b5aU, \
    0x13f24ee4U,     0x6c103134U,     0x7d48618cU,     0x8b313b46U, \
    0x98c2b405U,     0xe4edd8a5U,     0xbdebc3a6U,     0x0bf4e1daU, \
    0x5b8db2e7U,     0xf16557eeU,     0xeba10052U,     0xf32a2c78U, \
    0x54616393U,     0x186a9b5aU,     0xa8ca7ca4U,     0x228cdb18U, \
    0x5b688622U,     0x5a767aecU,     0x6ee6b971U,     0xb6265f41U, \
    0x37d83395U,     0xb8e34f90U,     0xfba05f7fU,     0x331886c0U, \
    0x731281f5U,     0xd426d02dU,     0xa5485136U,     0xc6cc3b08U, \
    0x25cf6d1dU,     0x88aef3c0U,     0x4fea08efU,     0x04a0c29dU, \
    0xa18abf11U,     0x8e492b3cU,     0x18f8f2b8U,     0x9f2cd3c4U, \
    0x546e32f1U,     0xb4875d17U,     0xa9ef16beU,     0x03e9ff72U, \
    0xbd301f75U,     0xc2b04819U,     0x1c8d1c44U,     0xc77afd5eU, \
    0x08ab2581U,     0xe09f7443U,     0x98b7eed5U,     0x7613f75eU, \
    0x55f74164U,     0x51e74013U,     0x9cc23df5U,     0x80cac9aaU, \
    0x0f13206bU,     0x6c668c37U,     0x03dbc395U,     0x432577d0U, \
    0xe865fee8U,     0x392884a2U,     0x18b53411U,     0xb6f838efU, \
    0x3838ff1bU,     0x2143456cU,     0xa84db96aU,     0xeeb069adU, \
    0x7fced948U,     0x57d65d11U,     0x0a0e0c63U,     0xaee8f69eU, \
    0x37bb67b2U,     0xcd16fa77U,     0x367f86a8U,     0x9609b22aU, \
    0xc484a781U,     0xb54ac2d5U,     0xb358de6fU,     0xd980d2ccU, \
    0xf23378b5U,     0x3fb0086aU,     0x3178ed7aU,     0x57f493bfU, \
    0x3f515a9eU,     0x5741998cU,     0xcb3f353dU,     0xdf994e35U, \
    0x26728d84U,     0x465275c5U,     0x97616779U,     0x6a7de578U, \
    0xbc0cf15bU,     0xb960c913U,     0x2c671f14U,     0x43cf386dU, \
    0x3fbea113U,     0x38314d8dU,     0x2f9fc4f1U,     0xfc4cb287U, \
    0x9332245cU,     0xa535afd0U,     0xcdb7078bU,     0x10a67bd5U, \
    0xf96e9694U,     0x620d2e51U,     0x44699995U,     0xca2f23aeU, \
    0x85d90c1bU,     0xffead4acU,     0x641e1469U,     0x0a9277a4U, \
    0x24c1dab6U,     0x2dc9da03U,     0x0eeb46ceU,     0x1ae516d3U, \
    0x3076cd92U,     0x11995bf2U,     0x51ea4f38U,     0xbef7b041U, \
    0x7ed751c8U,     0x12ab1bedU,     0x2e85dc7fU,     0x2fa7912fU, \
    0x0470fa7bU,     0x9ffc32fcU,     0x43c8ccf1U,     0xc547ccfcU, \
    0xf1fd2685U,     0x78679dcdU,     0x9344fad3U,     0xd4f86713U, \
    0x3a49ae3cU,     0xeac82ebeU,     0xafb0935eU,     0xc92c9cf1U, \
    0x05a6de6dU,     0xe819a6f1U,     0xf26c2d74U,     0x598ee5b6U, \
    0xf6ee85c0U,     0xae785a2eU,     0xc3a082cdU,     0x1d6a6b31U, \
    0x57fbcad7U,     0xf6242d12U,     0x69eb3d9cU,     0xf3bec23eU, \
    0xd1e76162U,     0x8a2512ddU,     0xf11da9b5U,     0x9374d29aU, \
    0xa6f70e0aU,     0x5f597ca8U,     0xa28f7ec7U,     0x34c5b53fU, \
    0xde7fe47dU,     0x27708ce6U,     0x5da1bed1U,     0xddd0b91cU, \
    0x2dec4eaeU,     0x9722c349U,     0xcb78ab38U,     0x5ece7270U, \
    0x49cf1459U,     0xc99b7d01U,     0x883004b8U,     0x669a2a79U, \
    0x0db07083U,     0x643ee166U,     0x9d5a9d48U,     0x325b85f1U, \
    0x4797890bU,     0x11b53096U,     0x14e96c65U,     0x6526f8bdU, \
    0x8572fcabU,     0x0f598990U,     0x9cf6f4f3U,     0x4ed44003U, \
    0xc62af48dU,     0x0a2fe9fcU,     0xde9e00beU,     0x66dcb4d7U, \
    0x83468e32U,     0x1927c935U,     0xd0744d5bU,     0xfe44b004U, \
    0x499b66beU,     0xd8a43b51U,     0x4dd8b310U,     0x06282c6eU, \
    0x8596b515U,     0x0e49d946U,     0xedb5882dU,     0x351ca024U, \
    0x2cc332f3U,     0x7852a092U,     0x93bf6097U,     0x4c5d2fb2U, \
    0xf6c43471U,     0xca9c1882U,     0x57b92c36U,     0xb49e79c4U, \
    0x48a45733U,     0x85cad52cU,     0x4d7876f5U,     0x262a0f0aU, \
    0xc5d2392bU,     0x3799865eU,     0x7cb6b31cU,     0x30ba0b35U, \
    0x5e06f62cU,     0xe7a9e128U,     0xda587b05U,     0xb28c8c17U, \
    0x0dbc32e3U,     0x8fdf4ee2U,     0xd95ed600U,     0xbc2499e0U, \
    0x7ae60293U,     0xaf6cc2b3U,     0x069df605U,     0xaf7aa4cdU, \
    0x7bfa3869U,     0xd26b0eddU,     0x535f867cU,     0x4cca512fU, \
    0x349a572aU,     0x1bf91340U,     0x58d8095eU,     0x8032fafdU, \
    0x72b78a3cU,     0x4745d382U,     0x0e1943dcU,     0x43f5ba9bU, \
    0xb13d8b8fU,     0x78cf30dbU,     0x013d2db8U,     0xa7b73e19U, \
    0xc119dfd4U,     0x1447dfbaU,     0x962b2be2U,     0xad75884fU, \
    0x5f892710U,     0x37629254U,     0xe7c73a0dU,     0xd05db09fU, \
    0xfcd6bed6U,     0x0b64bc3cU,     0xb5376584U,     0xf92f2a9fU, \
    0x756f03aaU,     0xfebda8ebU,     0xba59bc78U,     0xa9682994U, \
    0x3f869e7eU,     0x8898728cU,     0xce7d2b3eU,     0x11cd16a7U, \
    0x4f33ece1U,     0x7b17c135U,     0x630ee72bU,     0xf95e110cU, \
    0xdaf024daU,     0x604dedc6U,     0x895ca5f7U,     0xc65a41d4U, \
    0xa49b680bU,     0x2d9bb836U,     0x2581acb3U,     0x3b38dc7eU, \
    0xa7d443caU,     0xd9021ea3U,     0x8869fe92U,     0xbc421f96U, \
    0x481e342bU,     0x1fbfaf3fU,     0xcde313e5U,     0x95e6d6f9U, \
    0x5343d3ccU,     0xebef6823U,     0xca5c254dU,     0x9bbc75a2U, \
    0xaf07a901U,     0x725b9e23U,     0xf44943f8U,     0x4e521bd7U, \
    0x4b914e21U,     0x87674a9dU,     0x8ff3e2b3U,     0x1f0c8712U, \
    0x6c1bce35U,     0x75ebca77U,     0x45495e06U,     0xbb665f51U, \
    0xbdd66e6bU,     0x999aa8b2U,     0xcf2115d2U,     0x6f7eacd2U, \
    0x925575dfU,     0x6a83425bU,     0x54e3f5aeU,     0x244433feU, \
    0x429d28faU,     0x8e8e2036U,     0x860569f7U,     0xa625c5aaU, \
    0xa20f553cU,     0x49c0335bU,     0xac737019U,     0x48e7b4d1U, \
    0xcdf1208dU,     0x56877142U,     0x02011b82U,     0x502a5f21U, \
    0xbc3de7cbU,     0xc8391eefU,     0x4a5e4937U,     0xc920c057U, \
    0x49370221U,     0x8a5f137cU,     0xc7a6f651U,     0x208109dfU, \
    0x84437b01U,     0x6e54524bU,     0x2081bfadU,     0x1b1cab4aU, \
    0x64e63681U,     0xf865b770U,     0xb19286cbU,     0xff8ffa5cU, \
    0x77b9cc2eU,     0x3638be9eU,     0xaab397a4U,     0xbe5d3fc1U, \
    0xdcf6b2ddU,     0x6fdf7467U,     0x85f7e0f2U,     0x906f6149U, \
    0x31a2aaaaU,     0x235af291U,     0x60f7979bU,     0xc6a24e94U, \
    0x8919571fU,     0x287d3277U,     0xc004ddb5U,     0x4ca18bd9U, \
    0xc72deb08U,     0x0f717349U,     0xf8083127U,     0xe183ee4eU, \
    0xf7073367U,     0x64a5d7bfU,     0x566e96c8U,     0xbac09770U, \
    0x61d2b397U,     0x6cb55e97U,     0xbbca9550U,     0xea1dd091U, \
    0x94bf73b2U,     0x2de8e0d5U,     0xf2a4c6a7U,     0x4cc83275U, \
    0x67964c9eU,     0x1ad32dccU,     0x1eb4e3edU,     0x8552b2b9U, \
    0x2c91d420U,     0x2d3e1b7fU,     0xd0f5e200U,     0x1c65e722U, \
    0xa31b8ceaU,     0xf1303281U,     0xcdb09750U,     0xb9c4cb5aU, \
    0x89cc9426U,     0x92e4840eU,     0xb4b2fb66U,     0x7b1a7b1dU, \
    0x0d3c26bfU,     0x808e37c0U,     0xcd495261U,     0xe5280934U, \
    0xa99d537bU,     0xc98d72a0U,     0x704520f9U,     0x0ab99904U, \
    0x3d371a5eU,     0xb5cae1cdU,     0x4c6b32a9U,     0x36fda696U, \
    0x8f84f60bU,     0x8ddd64fbU,     0xf1335155U,     0xb97a4ea9U, \
    0x96337f6eU,     0x63e0aba6U,     0xbf0263bfU,     0xbb6c03b3U, \
    0xf430c452U,     0x587e238eU,     0x70bcae46U,     0xdc1d2fe5U, \
    0xeb29de30U,     0xfd7333c5U,     0x7aadcde7U,     0x82c141c5U, \
    0x3883a2daU,     0x9949cfb1U,     0xf8753c5dU,     0xc02aeefaU, \
    0xe8b3183fU,     0x1a4dbd5aU,     0x45b85296U,     0x91bdd252U, \
    0xa831d4aaU,     0x5f7ddefeU,     0x6383adb7U,     0x7c0c1348U, \
    0x813d7c59U,     0x1eecdb3fU,     0xd76bbce1U,     0xa1d25f70U, \
    0xa49c6c76U,     0x1658bf53U,     0x3fc761ccU,     0xe4214b1bU, \
    0xcb0951e0U,     0x76f42033U,     0x58a381faU,     0xfe541905U, \
    0x5a1da991U,     0x0bab0549U,     0x4b84d48dU,     0x6b92f229U, \
    0x20c2390cU,     0xafb7039fU,     0xb3bd9654U,     0x2d52feb5U, \
    0xfd92249bU,     0x4db3feaaU,     0xce3e4240U,     0x2545e3a5U, \
    0xbab932bbU,     0x908c1538U,     0xe5d97589U,     0xc8bd8eecU, \
    0xa51368f0U,     0xaf1f1c0dU,     0x7fc7976fU,     0x350f2e19U, \
    0x29e3979eU,     0x76ae3ac3U,     0xce19d69aU,     0x882ecbd1U, \
    0xa1276366U,     0x0f3385b7U,     0xf18f78e9U,     0x47f2490aU, \
    0xdb5901eaU,     0xc28bb3ffU,     0xc44c4751U,     0x25784a92U, \
    0x8097485eU,     0x5d982b88U,     0xdb0bbfcfU,     0xe4520b81U, \
    0x2b156ab7U,     0x523120eaU,     0xe17fa20bU,     0xf7e6f81eU, \
    0x3e069f5bU,     0x9ffeb3a0U,     0x276aa417U,     0x06c383edU, \
    0xc2f2477aU,     0xa467a9adU,     0xcfebd80cU,     0xfc551945U, \
    0x26c974abU,     0x091afbcbU,     0x1c54c526U,     0xdd952a90U, \
    0xf5e776d0U,     0x83605452U,     0x7a6a2f2bU,     0x3974646aU, \
    0xdf1fb927U,     0xbb4fed0bU,     0x7edfb1fdU,     0xe3712b93U, \
    0xedc442faU,     0x0947b4d9U,     0x740dae7cU,     0xa81a3898U, \
    0xd8af6fd7U,     0x6165fbe1U,     0xd487cc9eU,     0xec8540a7U, \
    0xab0f4c1eU,     0xa7427892U,     0x18c192f3U,     0x9d5e9dacU, \
    0xc2c387f0U,     0xbd9bcda7U,     0x87b4e597U,     0xd0c0aef2U, \
    0x8969672dU,     0x946d345cU,     0xefe95f33U,     0xbb366b5aU, \
    0x9ac71523U,     0x71c609a9U,     0xf6579ec7U,     0x622442f7U, \
    0xb8ef0042U,     0x941ee579U,     0xe00f7f63U,     0x50c38032U, \
    0x963627cfU,     0x4fab998cU,     0x887f6c64U,     0x67f5a164U, \
    0x76bc7049U,     0xc984bd02U,     0xba6fc854U,     0x95c30cb3U, \
    0x6d17ef89U,     0x784a2a88U,     0xae315ac1U,     0x5c36d7cdU, \
    0xcd20f91bU,     0xfde6dedaU,     0xbcf22ad2U,     0x6a822f5bU, \
    0x053ae25cU,     0x39a31069U,     0x3849f31eU,     0x52700615U, \
    0xe60b70f2U,     0x49e4d309U,     0x7318b5b2U,     0x7ca5be67U, \
    0xa4ab2eaeU,     0x10987f22U,     0x06636dcdU,     0x6beb7425U, \
    0x20893898U,     0x2d9eea53U,     0xd44d9353U,     0x825a76b1U, \
    0x59d44098U,     0xfa8f8ac2U,     0x5d3686f3U,     0x01e0ae1eU, \
    0x3aaf359aU,     0x032bb42dU,     0xc47ef1dbU,     0x591eb60aU, \
    0x90938775U,     0x6ee3af80U,     0x963118f9U,     0xc5a10abdU, \
    0x470ee316U,     0x7c5bcf5fU,     0xdc199159U,     0x2dd6e285U, \
    0x1439141bU,     0x0f530113U,     0x14131658U,     0x3b5c6247U, \
    0x914a385bU,     0xd19ff96bU,     0x30dc0eceU,     0xd0926ddeU, \
    0xd2da7b96U,     0x788f824dU,     0x69b711e6U,     0xe03cce55U, \
    0x73a95150U,     0xaa2e96beU,     0x63f23053U,     0x90c0dee8U, \
    0xf035cae5U,     0x4cd600deU,     0x4d9b4c11U,     0x1da4c318U, \
    0x3d2b1038U,     0xdbc7c913U,     0x66b73ec9U,     0xe71036aaU, \
    0x30f4aaeeU,     0x6c77d332U,     0xb2c0067eU,     0xfb53aca4U, \
    0x17965ea5U,     0x2e167f7aU,     0xd7923140U,     0x9fac3a38U, \
    0xf1e4dab2U,     0xe753d8b4U,     0xa7666fcdU,     0x0816807cU, \
    0xf6cc2d22U,     0xa7ba5ab4U,     0x4e67293aU,     0xd3e7b98aU, \
    0x8f97f2a4U,     0x1c846f98U,     0x2a50226aU,     0xa39304faU, \
    0x136621cdU,     0x8dfd6c49U,     0x82cd7b72U,     0x29018789U, \
    0x6188e03cU,     0xcf986a6dU,     0x154ff9a0U,     0x09379a9dU, \
    0x94a96749U,     0xe24cc34fU,     0xab8c3df7U,     0xc4793296U, \
    0xb9875341U,     0x1fa3fbb1U,     0xf9ad170aU,     0x41675f53U, \
    0xeaf8f729U,     0x6d215876U,     0xfec22f25U,     0x0f3641edU, \
    0x3d5e0fbdU,     0xac936a38U,     0xd662857bU,     0xd4b553bcU, \
    0xe8c39959U,     0x9fa55fa1U,     0x4a959355U,     0x73220944U, \
    0x4f4a6242U,     0xad3b465fU,     0xf56ca559U,     0xc60db600U, \
    0x1fad4bd4U,     0x6975568bU,     0x81d9e4dfU,     0x72c164b9U, \
    0x84f1bd2aU,     0x3939e927U,     0xea17c0d8U,     0xcd012555U, \
    0xea7ac668U,     0x7600a146U,     0x3dbb3103U,     0xbeef143eU, \
    0x6444dac3U,     0xcea75d5cU,     0x7f2e0a1aU,     0xa0ad9418U, \
    0xe5919c9aU,     0x5ad0f47bU,     0x2921cb38U,     0xeff2314dU, \
    0x31f32aa6U,     0x1d6dde1dU,     0x45ad0d5aU,     0x0af636e9U, \
    0x6df46c9aU,     0xf61479feU,     0xda2d70baU,     0xa97a96ebU, \
    0x084fd8c3U,     0x3a658c46U,     0x65848eceU,     0x3d04b76cU, \
    0x39fcffaaU,     0xc6d55afbU,     0xc210d2dbU,     0x3459dc7dU, \
    0xce5a84abU,     0xb6637e57U,     0x660894d8U,     0x42c0e5b9U, \
    0x83886095U,     0x2529b693U,     0xa1a44178U,     0x98f51cfcU, \
    0xcfe4ae18U,     0xec07d02fU,     0x39bffaa5U,     0x738282b0U, \
    0xad44f12dU,     0xec1b7ad5U,     0x176a34e8U,     0xcf4791f0U, \
    0x1df35a04U,     0x47d0e967U,     0x837d6e5aU,     0x5e8240d6U, \
    0x88482707U,     0x5f4c3f90U,     0xaac66032U,     0x00af924fU, \
    0xcec8ebdcU,     0x7a201562U,     0x68d8cc3fU,     0x9d34673eU, \
    0x2dda2c35U,     0x753a0a17U,     0x34a4db77U,     0x88730cfdU, \
    0x2f27548eU,     0x40c3fd39U,     0x018fde72U,     0x604f721cU, \
    0xe8298949U,     0xcfa0948eU,     0xd6fda9b0U,     0x1b4d395fU, \
    0xd68d0a56U,     0x6c3c2483U,     0xc8e553f7U,     0x4f6ed62aU, \
    0x3fd515b3U,     0x129bc61bU,     0xcc8cd61dU,     0x9c6b9daaU, \
    0xf87ddcaeU,     0x268246cdU,     0x24cbd42eU,     0xf67a1218U, \
    0x687af91bU,     0xf298f6baU,     0xf4878a64U,     0x53815ce6U, \
    0x6bb5c64aU,     0x88bd1d42U,     0x81dfbf31U,     0xca875e00U, \
    0xd7956e70U,     0xacf1f3b0U,     0x3de2a48dU,     0xb2e3421fU, \
    0x7f886f1aU,     0x1497b1a7U,     0x9b6200c0U,     0x8d8f9f54U, \
    0xa8f67c36U,     0xe2ff9cd5U,     0x85ca4b69U,     0xf8f7f497U, \
    0x077bc21dU,     0x89c04565U,     0x78fde16fU,     0x01402704U, \
    0xbe3a18caU,     0x2e8bf62cU,     0x52f1192dU,     0x8c4b352bU, \
    0xc57dab2cU,     0xaadb988eU,     0xfa74070eU,     0xc0aee561U, \
    0xe614f1ddU,     0x4e1b5292U,     0xf3bec6e2U,     0x77d63408U, \
    0x49f959f3U,     0x8f732522U,     0x1d2f6909U,     0x02f67789U, \
    0x02c0d892U,     0x3305f3d3U,     0x62841590U,     0xa9c4da1eU, \
    0x327dd660U,     0x87aaa6aaU,     0xbc3b2f12U,     0xbe38c973U, \
    0x4f23f459U,     0x45c299a7U,     0x764642d2U,     0xd49a4d57U, \
    0xf4adac35U,     0xc4d2f936U,     0xbe371174U,     0x7d8d2d08U, \
    0x06bba191U,     0x1193a353U,     0x664dae2bU,     0x7b72b6dcU, \
    0x735f9bcfU,     0x6ccd49f9U,     0xf7d6d397U,     0xb204ed37U, \
    0xf6c79893U,     0xa73e8819U,     0xf0cfb112U,     0x70f1f8b9U, \
    0xfccdbf5aU,     0xd8d0ee1fU,     0x3e0a2ec6U,     0x15b3f621U, \
    0x2417bc7fU,     0x63875e08U,     0x955e3d0fU,     0xe88c3f7cU, \
    0x1cdf9359U,     0xa30886deU,     0x88cd0992U,     0xeaa6ebf0U, \
    0xbbef3a29U,     0x67fe8116U,     0xb0b195b4U,     0x109f388eU, \
    0x1ffb5ffcU,     0xae512728U,     0x3fdd76e4U,     0x66cf0dacU, \
    0x04b60f6bU,     0xc8c2f8dcU,     0x0243f9d6U,     0xe12addf7U, \
    0x4b0fe816U,     0xf8202b40U,     0x668a720aU,     0xa750ecf3U, \
    0x67d5d09fU,     0x4f96bde9U,     0x50a6959cU,     0x45fbacb0U, \
    0x3e86bffcU,     0x675e63caU,     0x2fc03f71U,     0xf9d046c1U, \
    0x18eea508U,     0x83e65ffbU,     0x68084278U,     0xc606f610U, \
    0xbf6b3bb0U,     0xeb2e88a6U,     0xe4daa65dU,     0x44572ba5U, \
    0x5a528491U,     0xa9d1b85cU,     0x6470c628U,     0xf04f4991U, \
    0xe32488e0U,     0xd27dec27U,     0x9fee2c88U,     0x714214c8U, \
    0xa55bcd4dU,     0x5413c645U,     0xd031076fU,     0x2893764fU, \
    0xb26bf942U,     0xf7e6ae5bU,     0xdfbcd54fU,     0x7431a336U, \
    0x53ed7ad4U,     0x741104b2U,     0x4d4de1ebU,     0xc2f20ce0U, \
    0x4dcc8a20U,     0xfa3e1967U,     0x7e03eed6U,     0xdcddf716U, \
    0xa5f1f427U,     0xa5035641U,     0xa9948cc5U,     0x31ca0adfU, \
    0x6f9dc00fU,     0xcc2b2d67U,     0x4c8028feU,     0x2c641625U, \
    0xe6980f64U,     0x3774b46cU,     0xa4602322U,     0x302868fcU, \
    0xa7f4ae8cU,     0x389d9e72U,     0xab158954U,     0x1f2d5c4eU, \
    0xb3fb4a10U,     0x205c3d5cU,     0x4b76e772U,     0x1f8e9a7eU, \
    0x741007fbU,     0xe2fad095U,     0x24beacd2U,     0x1085c3fdU, \
    0x98b20514U,     0x9b05123cU,     0xec39aeedU,     0x5edbbbf2U, \
    0x1c50e59cU,     0x0b267cd6U,     0x78f3b529U,     0x5e5bea0aU, \
    0xbabc2e95U,     0xe9a90f22U,     0x414b732eU,     0x307afe95U, \
    0x5f18a404U,     0x6d4fb752U,     0xee48c6f2U,     0xdcc3fcd8U, \
    0xceea060cU,     0x1591d0f5U,     0x3a9b28f6U,     0x4eb7a068U, \
    0x70ba02daU,     0x99d480c4U,     0x56a5c143U,     0x096645d5U, \
    0xdb269855U,     0x4fd56d70U,     0x2c76e8a9U,     0xe84d30f0U, \
    0xab414997U,     0xcabbff66U,     0x5e1a58e6U,     0xe05258deU, \
    0xa8813b16U,     0x041eeeb9U,     0xce5543eaU,     0xccc30b9bU, \
    0x271fab81U,     0x4796c398U,     0x00cab365U,     0x7be28912U, \
    0xfeec1b55U,     0xa977fa5cU,     0x95070a69U,     0xcf1fb3f2U, \
    0xd86e210eU,     0xcaa93898U,     0xfffbaa1eU,     0x7f0653d9U, \
    0x9d0cb345U,     0xb6c6a9b5U,     0xdef5e6c5U,     0x0659f403U, \
    0xd8b0c34bU,     0x5e9c47ccU,     0xf55c2689U,     0xd641b8a5U, \
    0xdd9f37bcU,     0x73d4d3e1U,     0xc2655c2cU,     0x1a611542U, \
    0x21792db6U,     0x75dfa59aU,     0x7d741c0fU,     0x8fc9b8f9U, \
    0xbcdfadabU,     0x52cee11cU,     0xa0aa91e8U,     0x0a6de3daU, \
    0xbd29acf6U,     0xdc09310cU,     0x37d4b798U,     0x31d33762U, \
    0x1ca0dc64U,     0x27f8c27fU,     0x41b49569U,     0xabed60a8U, \
    0x7ce3720cU,     0x709be3f5U,     0x0cc16fecU,     0x530b363dU, \
    0xcc8babadU,     0x33ed96d5U,     0xec58aca3U,     0x5b1180c9U, \
    0xb385468fU,     0xa4b96828U,     0xa3f2663aU,     0x865f13f3U, \
    0x7c980783U,     0x6bf81777U,     0xed5e8629U,     0x39f623ccU, \
    0x1d2a2ce2U,     0x539bae05U,     0x4ef443b2U,     0xe8ce34a2U, \
    0x677f319eU,     0x75d236dfU,     0x1c0ee8e2U,     0x7fd8a44bU, \
    0x82ca3474U,     0xe5a284b2U,     0x4f5da4f4U,     0xc6d422d7U, \
    0x79929610U,     0x0788c5ceU,     0x378c8faeU,     0x362f6247U, \
    0x66e96eb0U,     0x36e35ef6U,     0xe26edca4U,     0x2fe48ff9U, \
    0x5dc98475U,     0x4930b0e3U,     0x705e274aU,     0x86df8e4bU, \
    0x118eea5bU,     0xc907470fU,     0xca017212U,     0xd20a944bU, \
    0x116a609dU,     0xe124871eU,     0x0adc1d98U,     0xaf913437U, \
    0xc05c514fU,     0x7008fef7U,     0x6b525101U,     0x0ff61d1bU, \
    0x39df5f12U,     0xe2149b50U,     0x49854a26U,     0xe79da39dU, \
    0xe8caeb7aU,     0x9c70ffe6U,     0x9883ff22U,     0x4344d4ffU, \
    0x749d2010U,     0x655c3df1U,     0x47e2b28eU,     0xf7596e05U, \
    0x5ebe17f5U,     0xc4d749d7U,     0x1314f013U,     0x284e747eU, \
    0x4585c326U,     0x2097b527U,     0x7f5d9150U,     0x472daedfU, \
    0xf7fe4560U,     0x30c769b9U,     0x2db3989bU,     0xb2a7bdbaU, \
    0x45aed49eU,     0xea3262dbU,     0x9be7e455U,     0xcd1fa029U, \
    0xb1671462U,     0xf1149e8fU,     0xd2f73fdfU,     0x52b95a14U, \
    0x1a905003U,     0xe5671b76U,     0xda3b64e9U,     0x1f505aa6U, \
    0x78abb275U,     0xb28a3245U,     0xf0e325c5U,     0x7ab654caU, \
    0x1eb4bd41U,     0xe1acc0deU,     0xdd6da132U,     0xa9ba78a3U, \
    0x7b4cd752U,     0xa9c7e9d0U,     0xf8ad059fU,     0xd9b318e7U, \
    0xc27b9c32U,     0x969b0741U,     0x51c3eedaU,     0x5670a870U, \
    0xa4b1f975U,     0x6d992799U,     0x49cee16bU,     0x27eaced2U, \
    0x0f704858U,     0x573b9e90U,     0x1aeb49bdU,     0xe61e6497U, \
    0x8b7c87d3U,     0xcdc0d701U,     0x615af3efU,     0xf872ca74U, \
    0x37c8f66bU,     0x906bb8e7U,     0x409c3cbbU,     0x263fc8a6U, \
    0x35435b7aU,     0x1bc28e42U,     0x43eb5052U,     0x3e8c460dU, \
    0xa9266f1aU,     0x1fe7e3aaU,     0x0672fdcaU,     0x370efda1U, \
    0x5e46cfacU,     0x6a1cf068U,     0x37f7c32cU,     0x4dc80e6aU, \
    0xc58ce270U,     0x07a7b4f9U,     0x358473c1U,     0x9194fdcfU, \
    0x96623ae3U,     0x950808c5U,     0x295cdf85U,     0x05810e17U, \
    0x0138ef13U,     0x3fbeda71U,     0x39c24e43U,     0x766a7dbeU, \
    0xf53fc554U,     0x781ecaa0U,     0x2d19a5f5U,     0xb1f9936cU, \
    0x236cd929U,     0x00da88b2U,     0x21fb99a5U,     0x21e4dbceU, \
    0xc8eec3cfU,     0x192ef721U,     0x37d2bdd1U,     0xe45accf4U, \
    0x0e9c3400U,     0x07d5169eU,     0x4adf00c1U,     0x65e65f09U, \
    0x510cf07aU,     0x61cb9350U,     0xaf131c86U,     0x509509f1U, \
    0xf15a97c0U,     0xded2b0bdU,     0x199bbb74U,     0xd3597eecU, \
    0xcca4fd6fU,     0x63644259U,     0x706b0727U,     0x28867741U, \
    0x8d1d10d8U,     0x2b2b7d43U,     0xcd2e9889U,     0x05813661U, \
    0xedb807dcU,     0x3d9576c1U,     0xcfbf3f93U,     0x63f792f6U, \
    0x5bb9ac52U,     0xf40f1531U,     0x7218c660U,     0x67192c43U, \
    0x31be3e40U,     0xea302374U,     0x81dd53bdU,     0x4999f842U, \
    0x5dc6e444U,     0x455dd9f5U,     0x47d9bdbeU,     0x586defa9U, \
    0x4cf64c9eU,     0x215f9658U,     0x149140acU,     0x35b74999U, \
    0xc3724cf5U,     0x3079ce96U,     0x7c812018U,     0x136352c1U, \
    0x213edcf6U,     0x59a882b1U,     0x49f2819eU,     0xf0e00946U, \
    0x2e29f585U,     0x83f0493cU,     0x90686fa4U,     0x23d5221dU, \
    0x2fc49bd9U,     0xb41ec65aU,     0x697b888dU,     0xe2ceef8cU, \
    0x96519841U,     0x71f34d04U,     0x3ee0883dU,     0x3e3873e5U, \
    0x1e59fba3U,     0x551bf2bcU,     0x3339ac24U,     0x2b7bd990U, \
    0xd246248bU,     0xfd7ac967U,     0x8bb52e9fU,     0x94ac4433U, \
    0x5aed52a6U,     0x219e9549U,     0x2a4d923cU,     0x18dfa392U, \
    0x4a611246U,     0x9ae9a3ceU,     0x992bd74cU,     0x3c319eaeU, \
    0x7f860711U,     0x37a4d9f9U,     0x871a32e4U,     0xba37e535U, \
    0xf059fdd6U,     0x922891c7U,     0x5dd3d0b3U,     0x95f297bcU, \
    0x7582ec8bU,     0x773aca91U,     0xd35369d5U,     0xd58adfb8U, \
    0x178768e3U,     0xa544b23bU,     0x70560c0cU,     0x5acbc521U, \
    0xd8a5cd48U,     0xb7932f3eU,     0xfd70d370U,     0x9f25b49cU, \
    0x46c7741cU,     0x5a4a2927U,     0xf9e983ceU,     0x5e73a207U, \
    0x45e1668eU,     0x0e01e269U,     0xc23d0e9bU,     0xba33da77U, \
    0xab3b6587U,     0x84e1ec77U,     0x9404e3c4U,     0x7fab5e91U, \
    0x87af55d9U,     0xe23d9b65U,     0xd273c9deU,     0x38c88925U, \
    0x4fe16620U,     0xbb96d75aU,     0x5eed5abdU,     0xfa0d15efU, \
    0x3143f35bU,     0xfc210737U,     0xc28da2e4U,     0x0579b6d9U, \
    0x2a4b7dacU,     0xa0ad2822U,     0x85066cddU,     0x0389f087U, \
    0x43ba81cfU,     0xead6457cU,     0x4142820cU,     0x0b3f7c98U, \
    0x61e4eed0U,     0x430ce147U,     0xe998d910U,     0xe6b18537U, \
    0x0cefe88cU,     0xe0380842U,     0xb933bd76U,     0xaf541f5dU, \
    0xad7e061fU,     0xa0ac388aU,     0xa70fd3faU,     0x7d50e2d7U, \
    0xa9f92f57U,     0x33667c19U,     0x92b02389U,     0x24778831U, \
    0x4eb469daU,     0xa2ff86ffU,     0xa375b8dbU,     0x46ba0a3fU, \
    0x46901333U,     0x13b61d52U,     0x2744daa7U,     0x72ac98e1U, \
    0x715a2957U,     0x6a7fe953U,     0x9c807ba5U,     0x1f1b3deaU, \
    0x363cceecU,     0x924b9bddU,     0x2fac4e10U,     0x8d7a7b2bU, \
    0x16d950f5U,     0x499abe36U,     0x7c7d9396U,     0x6eccaae4U, \
    0x1b3fad5eU,     0x39ac6a64U,     0x30de01e3U,     0x0ee8e7a0U, \
    0xa52114d2U,     0x68367e0eU,     0x4eb5ec7aU,     0x861b24fbU, \
    0x8cfd5b12U,     0x0127df58U,     0x89dd98fcU,     0x8b5d1e75U, \
    0x4faf8636U,     0x6c461e72U,     0x7545e56fU,     0x04ae2cdbU, \
    0xe6ee917fU,     0x0456f917U,     0x6594c0f0U,     0x588b8d4fU, \
    0xc54208ddU,     0xe8d3ad8fU,     0x2c771646U,     0x8110bbbeU, \
    0xa1360403U,     0xa62ca22eU,     0x7f99cea7U,     0x5c377d5aU, \
    0x3bd38691U,     0xecfa08e2U,     0xc273440cU,     0x42fb252aU, \
    0xb034abe5U,     0xc5968071U,     0xe6c59285U,     0x6ca235e2U, \
    0xe6056351U,     0x48802e09U,     0xb0f10bacU,     0xed764681U, \
    0x3d83f24aU,     0x1f83ea0fU,     0x982de82fU,     0x7138181fU, \
    0xa6d26affU,     0xcd67c6d6U,     0xb9149420U,     0xe899412eU, \
    0x1d280735U,     0xce205150U,     0xc4aefedbU,     0x44e69eceU, \
    0x15b487f0U,     0x6ac05758U,     0x04801140U,     0x32ef6a15U, \
    0xa2b2a0cdU,     0x0538739dU,     0x03e59935U,     0x950ddd44U, \
    0xf3c91997U,     0xca029108U,     0xcf2a7cfbU,     0x9390731fU, \
    0x3de5ae18U,     0xfe1aaf28U,     0xc0115afdU,     0x81fc8ac3U, \
    0x37076437U,     0xedf041a7U,     0x3b3eb635U,     0xa4e29c8fU, \
    0xdf232367U,     0xdc259331U,     0xcf514b29U,     0x79f623adU, \
    0x4775d969U,     0xcf146ad6U,     0xf5bcafe7U,     0x56e99819U, \
    0x605c09b5U,     0x4846a54cU,     0x6378556aU,     0xcbba1481U, \
    0x2837d896U,     0x84e451abU,     0x28377e19U,     0x0574663fU, \
    0xe7d1bbbaU,     0x3004cc05U,     0x6db7732cU,     0xe9dd5f1bU, \
    0x2a751dc4U,     0x09c9ea88U,     0xa87d82beU,     0xd909f642U, \
    0xdd0886f8U,     0x1444093bU,     0xa3e64b97U,     0x08c22b00U, \
    0xd12c88a0U,     0xb00e947aU,     0x4c789c16U,     0xcadcee93U, \
    0xbf9f3e6cU,     0x6d05e87fU,     0x29d969b1U,     0x46da37ddU, \
    0xe302ca10U,     0x924f174bU,     0x1da64839U,     0xbde3cb4eU, \
    0x34e83dd2U,     0x63e3fe24U,     0x41ff989cU,     0x3e5ab609U, \
    0x00d09995U,     0x2cab3e96U,     0xc401c327U,     0x3389665aU, \
    0x3bda315fU,     0xdcce20b1U,     0x78dcafcfU,     0x754ad3aaU, \
    0xbfbf4f34U,     0x7b2c3481U,     0x5474ad78U,     0xbf214cfeU, \
    0xc37453b6U,     0x74fb441bU,     0xf5ba825dU,     0x1a46ec64U, \
    0xaf53e9d3U,     0xe69cedb7U,     0x755fa3f6U,     0x42e5e89cU, \
    0x59408d33U,     0x39f374d9U,     0x9fbc188aU,     0x788cb1bdU, \
    0xb3b6fba7U,     0x5e48bef8U,     0x8430afd4U,     0x512882e8U, \
    0xee5b54d5U,     0xfd17ebd4U,     0x109efbffU,     0x0ab75f6dU, \
    0xe5a36de7U,     0x63ea3059U,     0xfee08a15U,     0x529f7340U, \
    0x33983ce7U,     0xbde93461U,     0x1965251eU,     0x36741421U, \
    0xbae35195U,     0xddf3d817U,     0xae924201U,     0x7ef41fc3U, \
    0xea29c5a2U,     0xc0179ad9U,     0xaa2e6b94U,     0x051f6189U, \
    0x5d4fc2adU,     0x0fedfbb4U,     0x094ecea7U,     0x7d243fd5U, \
    0x0c4e23dcU,     0xd644c935U,     0x0bfc212aU,     0x69a51321U, \
    0x13dc4798U,     0xf297dfd0U,     0x6212a398U,     0x373fe41fU, \
    0x6b7ccd4aU,     0x428960a5U,     0xf9a2e117U,     0xa13d5ed8U, \
    0x1917733aU,     0x6cc2d26bU,     0x218cc038U,     0x47d2762dU, \
    0x28673affU,     0xd3caac04U,     0xab0227cdU,     0x449f46f6U, \
    0x7aa3fa32U,     0x14b5c032U,     0x6a448d1eU,     0xb3d86c59U, \
    0x4cae1609U,     0xfd1db4cfU,     0x9f2d4b2dU,     0x848b952eU, \
    0x00cebbb6U,     0x571cefa0U,     0x04186455U,     0x47cd6962U, \
    0x11813353U,     0xe88c4de4U,     0x4b261637U,     0xa0943d85U, \
    0x5a8c07a8U,     0xf361ee30U,     0xf9139e8bU,     0xb78fc86aU, \
    0x1bb2bbe7U,     0x1a578cb4U,     0x708bce6cU,     0x10587e9bU, \
    0x6fe6388bU,     0x4532910fU,     0x9b751fc3U,     0x9a374a88U, \
    0x0a007150U,     0xac641310U,     0x7f541972U,     0x5853c54dU, \
    0x505c4850U,     0x9e70b121U,     0xbd8e2fb0U,     0xe82352d7U, \
    0x859588daU,     0x260ddf59U,     0x2079e9f0U,     0x301ccdd3U, \
    0x615cd39dU,     0x890c3b9cU,     0x3b1a01f3U,     0x87ab8b27U, \
    0x5f4c10e5U,     0xd31169fbU,     0x5231855eU,     0x765d9472U, \
    0xc8d18ae4U,     0x1e0fa07dU,     0x7073f7e1U,     0x0ea29d4fU, \
    0x7158c035U,     0x2f5fc644U,     0xbe43d3f2U,     0x286b873fU, \
    0x890eba86U,     0x54ffe053U,     0x62147dd7U,     0xb7f3ab73U, \
    0x6c048869U,     0x5e697babU,     0x3e9fb777U,     0x5540a10fU, \
    0xac61c670U,     0x5a38eaf1U,     0x857932e5U,     0xd2f3fffaU, \
    0xfcba1bbdU,     0xb360eb34U,     0x4ae92d7dU,     0xcb86d81aU, \
    0x1c7ead3bU,     0x64c2b8b7U,     0xf0344e57U,     0xc8d8d8adU, \
    0x2e8fd2e6U,     0xeb72e767U,     0xb1e7efd6U,     0xa7792bffU, \
    0xfc7bef71U,     0xfe6239e2U,     0x69de278aU,     0x911b9f5aU, \
    0xe2fd31e2U,     0xe939ad2aU,     0xf698b559U,     0x8b46a9a1U, \
    0x00a8ba76U,     0x5c748649U,     0x3111ebf8U,     0x19aa2ba1U, \
    0x9d43db36U,     0xa0d4f3ceU,     0xac99dd73U,     0xc9e35584U, \
    0xf0ec15c6U,     0xef27d492U,     0xb455657dU,     0x53005ff7U, \
    0x457f8001U,     0xea910838U,     0xe25097b9U,     0x227468caU, \
    0xccd43b61U,     0xfc768170U,     0x79b587d3U,     0xb5cba4f3U, \
    0x18b7a30fU,     0x91860dc7U,     0x56fe3479U,     0x760a1c6cU, \
    0x23f5c1abU,     0x6d655228U,     0xa8c51561U,     0x923a372aU, \
    0x944d184cU,     0x1d499f1cU,     0xf8ed2b85U,     0xd59e72b5U, \
    0x5d363ec6U,     0x93505cd7U,     0xfa26aa0eU,     0xaae44e22U, \
    0x7b8c788dU,     0x6b4406b8U,     0x71912092U,     0x3673f17eU, \
    0xd3d0bfbdU,     0x402d9b68U,     0xc6362e8eU,     0xd4bf3513U, \
    0x84ad8687U,     0x673b2e6aU,     0xedbcbba7U,     0x46fbb8a9U, \
    0xbfa4d24dU,     0x24acb0adU,     0x9d103f48U,     0xcd20b2e5U, \
    0x2b7873ccU,     0xfc31bb08U,     0xc9888635U,     0x0aea0577U, \
    0x8eab13d5U,     0xffcfae51U,     0xcfdb4f8dU,     0x1d65529eU, \
    0x8da4d881U,     0x9fc0d6d3U,     0x8d9d4268U,     0x6b45d399U, \
    0xdc51e0b8U,     0xafb589e2U,     0x19694c63U,     0x3f523f56U, \
    0xa78cb3ddU,     0xd4057303U,     0xdd4ca21bU,     0xa37fe466U, \
    0x0df6be18U,     0xba8ef539U,     0x4b098633U,     0x3bfec6faU, \
    0x35216c5bU,     0xa964c43eU,     0x58514796U,     0x5352a692U, \
    0x6a1303a9U,     0x5418ecc7U,     0x1571337eU,     0x72c0b8b7U, \
    0x542e0f04U,     0x503c17d9U,     0x2284d069U,     0x0bbbd899U, \
    0x1dc56966U,     0xabc6e6eeU,     0xb2e78337U,     0x23709affU, \
    0xe86b1f55U,     0x79af70f1U,     0xa3b67cc1U,     0xc91cbd5bU, \
    0x48fb757aU,     0x63a80e37U,     0x20f7445bU,     0x55bc4fcbU, \
    0x6be5f20dU,     0x5df8e8ffU,     0xfaddff49U,     0x31717b86U, \
    0x356c6cdbU,     0x7c344251U,     0x67a7ba52U,     0x9ffad93eU, \
    0xbc41ca2aU,     0x6193119bU,     0xf8ad6449U,     0x3981d018U, \
    0x507afb15U,     0x2669ed56U,     0x2c6761e9U,     0xdeb5f89cU, \
    0x4748072bU,     0xc16c9986U,     0x3d2cd13dU,     0x42533469U, \
    0xca00b0b1U,     0x442ffc84U,     0x03b0f48dU,     0x7a6d5a1eU, \
    0x0e79546fU,     0xb5f3674eU,     0x3df10faaU,     0xfa817db4U, \
    0xc4217554U,     0xa59c5383U,     0x5b63a72cU,     0xd1714097U, \
    0x9a7c600bU,     0x14055045U,     0xe870a151U,     0x6a3150a9U, \
    0xd283ec24U,     0x025c49eaU,     0x5f23fbfeU,     0x8b0de15bU, \
    0x94939601U,     0x01e4d934U,     0xf9fd2494U,     0xa564429fU, \
    0xd8cd9545U,     0x1e8eb546U,     0x3b3bf594U,     0x57a5b668U, \
    0xac1e1284U,     0xeb15677bU,     0xbc8bc383U,     0xc7dee75fU, \
    0xc1e40ec1U,     0xa2817610U,     0xe1ea2709U,     0xb9b0118dU, \
    0xce07b4aaU,     0x2efcdd19U,     0x0abce106U,     0x65d3f594U, \
    0x7ac57d9bU,     0xa90f1505U,     0xe3f73cf1U,     0x2c25574dU, \
    0x4ebf136bU,     0x3dea8d92U,     0xb74a4a0cU,     0x7c893628U, \
    0x07d68046U,     0x192af14eU,     0x43ff49b9U,     0x03cf63e0U, \
    0xcb18c66dU,     0x10a6b34aU,     0x96ab822aU,     0x8fc641f1U, \
    0xfb2a07e0U,     0xe1cd0b6bU,     0xbb708c3aU,     0x32730ceeU, \
    0x4d0c427aU,     0x2a6360c4U,     0x576a3512U,     0x8c63f23bU, \
    0x276db862U,     0xd44f7d8aU,     0xcd10ae3cU,     0x84abbd07U, \
    0xcf2a1744U,     0x7fba7b47U,     0x581200ffU,     0x6cdba18cU, \
    0x188cbe2cU,     0x064262d3U,     0x605dba2dU,     0x08c39f34U, \
    0x0e53686eU,     0x40607a02U,     0xd59a27d0U,     0x6f732c75U, \
    0x0084fc32U,     0x9cdeea42U,     0x9fb50991U,     0x24e731f7U, \
    0x2f426619U,     0xb2aca5d5U,     0xd895b531U,     0x4ae30506U, \
    0x3cfe7c82U,     0xd9e42e54U,     0xab235949U,     0x531c4848U, \
    0x17b13d21U,     0x32917793U,     0x65364a03U,     0x48025e96U, \
    0x5cb1e769U,     0x400cd129U,     0x781c5943U,     0x77f3c95cU, \
    0xcbe54acbU,     0xfa6b8296U,     0x18f247afU,     0x09bedec7U, \
    0x7f4e67c9U,     0x0f995e05U,     0x819bc657U,     0xc0beecd4U, \
    0x3ec256e3U,     0xf8374d90U,     0x2fb1b725U,     0x04882d8dU, \
    0x69d42298U,     0xb19c6b3eU,     0x43457257U,     0x23b4cb6cU, \
    0x8fbb7d5eU,     0xb09d6cc7U,     0x969e8befU,     0x5da2a7daU, \
    0x64ceac42U,     0x927fb452U,     0x1bb03f84U,     0xb1055319U, \
    0xc4c55ab6U,     0xfff0e0e5U,     0x6334edeeU,     0x6d6e9337U, \
    0x9e595e23U,     0x0e86c4efU,     0x380c5169U,     0x9b118ef3U, \
    0xf569aae5U,     0xae07d04bU,     0xe6ca18a6U,     0x599efac9U, \
    0x753cb5f2U,     0xd42f2919U,     0xa9d5973bU,     0x1a440a36U, \
    0x70343b25U,     0xc4e2f3a2U,     0xc1644bacU,     0x8bde98ddU, \
    0x4fb339e7U,     0xa72536d9U,     0x3a3b949aU,     0x288baffdU, \
    0xf0b7f214U,     0x9fe22b55U,     0xa21d143aU,     0xdbd69b98U, \
    0x61cc99e3U,     0x00884de2U,     0xfdc1dbb9U,     0xa4a190e4U, \
    0xd519a748U,     0x23f0489eU,     0x6c68939eU,     0xbe54ce80U, \
    0x92414ab7U,     0x5b88e422U,     0xc9476696U,     0x2f9b61faU, \
    0x558a201cU,     0x26181c19U,     0x728cae03U,     0xaa04260cU, \
    0xac73c658U,     0x3be45fefU,     0x2f51b342U,     0x262d99e7U, \
    0x70dd6ee3U,     0xeb015585U,     0x8f0f9a8cU,     0x85650011U, \
    0x76ddb3cbU,     0xaf0d2dd2U,     0x2e55cf97U,     0xe0cc3893U, \
    0xc35321bfU,     0xf397250fU,     0x6e476e63U,     0xaaf72829U, \
    0xcee5b5adU,     0xeab9affaU,     0x2f5066b9U,     0xed6d8549U, \
    0xddecd496U,     0xa8693940U,     0x97652ddaU,     0x43b6ab6cU, \
    0xbc8f6392U,     0x728c73d0U,     0x912e4b79U,     0xf9890c2bU, \
    0xd82ca3fdU,     0xcbb9884bU,     0x7c32f531U,     0xa6900781U, \
    0xe4d40b8fU,     0x1d0751caU,     0x17451757U,     0xde810559U, \
    0x80c1715cU,     0xe35f442fU,     0x6a0bd92cU,     0x1cebd542U, \
    0x24fb916eU,     0x84965166U,     0x538d4946U,     0xc65ca096U, \
    0xd51581ecU,     0x16b9f1faU,     0xb587b7afU,     0xe365b25bU, \
    0xe4bfbabdU,     0x31501a3cU,     0x3e219d66U,     0xc58360dfU, \
    0xea712ba9U,     0xa11694e0U,     0x74c424d4U,     0x1b35a7e1U, \
    0xc2b43b7dU,     0xb2d54a7dU,     0x0d70e5f8U,     0xc6242affU, \
    0x92788035U,     0x94619c4fU,     0x71e44d2bU,     0x587fc7d8U, \
    0xf069bcd1U,     0x7366efceU,     0x0724f862U,     0xdee41707U, \
    0xaf505d70U,     0xc18b9a26U,     0x80d84781U,     0x5b238452U, \
    0x0135cf64U,     0x820afffeU,     0x88d38295U,     0xf57ff11fU, \
    0x4a4254b5U,     0xe88449f3U,     0x6994faf3U,     0x018fb5deU, \
    0x6e76c34dU,     0xcdb45c1aU,     0xa1a12a72U,     0x8785bc00U, \
    0x9aeb39deU,     0xf76676e1U,     0xa5d460d9U,     0x2e74699bU, \
    0xacc73c38U,     0x4898f3c1U,     0xc2199409U,     0xa1028106U, \
    0x26a5f5efU,     0x7eae6bd6U,     0xf76caaafU,     0xa7fd3f39U, \
    0x02561e37U,     0x3ab9686dU,     0x8e1b86fbU,     0xcb842b37U, \
    0x34783c62U,     0xb830c64fU,     0x35b49572U,     0x52d0b016U, \
    0x29112777U,     0x1c0fb5b7U,     0xc82369dcU,     0xaf73baa2U, \
    0xc75f6163U,     0x5a829781U,     0xb127f434U,     0x99278c1eU, \
    0x857df9e6U,     0xdb943d7fU,     0x2f52d0e0U,     0xfa26f890U, \
    0x9038de42U,     0x708e25dfU,     0xa7835a55U,     0x197ecca7U, \
    0xe721dc4cU,     0x0f72c23dU,     0x48e9c014U,     0x15956282U, \
    0x03a05c48U,     0x6271f79eU,     0x41715cb5U,     0x7337a364U, \
    0xba2e20cdU,     0x77ac4ce6U,     0xc7aae13dU,     0x532e8f60U, \
    0x70c904f9U,     0x38eed5cdU,     0x8190d380U,     0x5396e6b6U, \
    0x65c0b2baU,     0xd88dfc4dU,     0xe4e8ed5cU,     0x9e8aec6cU, \
    0xa8342dc0U,     0x93a4b8b7U,     0xdafc6812U,     0x8b05fd44U, \
    0xaaac14b3U,     0xd851eb9fU,     0x5b9afb4aU,     0xfdab72efU, \
    0x29aa01ccU,     0x50765e44U,     0x9f6b9be6U,     0x5d802c47U, \
    0xc0955db6U,     0x2eda8d66U,     0x59489bb4U,     0xc6bd28e3U, \
    0xbe4d1704U,     0xe70bba6dU,     0x280d260cU,     0xf378f102U, \
    0xfffcc920U,     0xce07bbccU,     0xe55b2039U,     0xd3369212U, \
    0x6d5131feU,     0xc1198561U,     0xbb7698c0U,     0x4644b11bU, \
    0xd3afa70fU,     0x37a18c89U,     0x6addbc64U,     0x64108390U, \
    0xe76b3c9bU,     0x57d9756eU,     0x44e3453dU,     0xa5faef55U, \
    0xa84554e7U,     0x8ab7b535U,     0x5fb8089cU,     0xe05179f4U, \
    0x83ec1094U,     0x8d599352U,     0xf46b1925U,     0x2f80d05cU, \
    0x4e80dc5eU,     0x4eaf7ce2U,     0x34dc7d4dU,     0x26f69deaU, \
    0xd32e8a40U,     0xf85d1ca1U,     0x59892382U,     0x2a2adc10U, \
    0x2199ed3dU,     0xecffe635U,     0x1a8071adU,     0x3eec525eU, \
    0x0da62007U,     0xe36020e5U,     0x9b697f4aU,     0x0591fdc4U, \
    0xd7ecd426U,     0x58cd08f3U,     0x240733a5U,     0x63dbdcbfU, \
    0x09cbec47U,     0xb182aa8cU,     0x92b8be70U,     0x7b2d5c37U, \
    0xafd71eefU,     0xc733bc3cU,     0x9aaa6bfcU,     0x241fa73fU, \
    0xddcf6902U,     0xf66b450fU,     0x49a627d7U,     0xdf6f67f9U, \
    0x44323a6aU,     0x826b9089U,     0x6bf3a2b3U,     0x35e1b9e3U, \
    0x016ba773U,     0x32caff01U,     0x9c5aea22U,     0x4f4061d4U, \
    0x9f5a6ce5U,     0x9bc1004fU,     0x9287ff35U,     0x3fe55ea2U, \
    0x96223579U,     0x0e112372U,     0x331e3effU,     0x8f30a144U, \
    0x5d009eacU,     0xd7b2aa68U,     0xfe4a04d6U,     0x03c82a29U, \
    0xbda431d0U,     0xd75d63bcU,     0xb010df89U,     0x903c487bU, \
    0x6b361ad0U,     0x69c2e8eaU,     0x80ba1d37U,     0xa45b7b92U, \
    0xbd5a8d00U,     0xe10b367dU,     0xf700ea46U,     0x45c077edU, \
    0x80416c01U,     0x4c387570U,     0x59ef0acfU,     0x2272124fU, \
    0x6d335391U,     0xd1a89c3cU,     0x8d417503U,     0xc9cb98c8U, \
    0x4d8a47aaU,     0x2c884179U,     0xc8b71c5cU,     0xb939b967U, \
    0x1c56a353U,     0xe61df94dU,     0xea0240d5U,     0x46577f87U, \
    0xfbd3fe0fU,     0xd7e0785dU,     0x3bc0b73eU,     0xe7134abbU, \
    0x7f39f63aU,     0x18178c3eU,     0xe1cb2498U,     0x94c515beU, \
    0x49b2b72dU,     0x7ee1740cU,     0xe6e9127dU,     0xf27002a3U, \
    0x931751c0U,     0x433330d8U,     0x43c6e05fU,     0x5f7e5a93U, \
    0x4b85ff8eU,     0x99ff5928U,     0xc603ed1cU,     0xf6a48953U, \
    0x55f8242dU,     0x3a0d322eU,     0x9a8b5aa0U,     0x5e4a9bb4U, \
    0x3ec383a2U,     0x98353cc1U,     0x5e8db0dbU,     0xac173877U, \
    0x07c4a1adU,     0x29c6daabU,     0xaad80e7bU,     0x34b6fb3dU, \
    0x3c8fe334U,     0xd73e55a0U,     0xa55177d9U,     0x6d0ed320U, \
    0xffcdee89U,     0x573a5219U,     0x35b7b23aU,     0x51516920U, \
    0x583e67afU,     0x0d3942adU,     0x658c45e6U,     0x69cbb5e8U, \
    0x43447b1eU,     0x15270eb2U,     0x6ae3d46dU,     0xb00432bdU, \
    0xb23214a9U,     0x38c6e7e9U,     0xb7256032U,     0x89c8b991U, \
    0xf9d05296U,     0x99361ea8U,     0x421c1267U,     0xba66b85fU, \
    0x61757e1cU,     0xcbf4be8cU,     0xe6fba382U,     0xbcf65675U, \
    0x4908e1aeU,     0xc3c8c98dU,     0x4c1adbabU,     0x71f9b035U, \
    0x70308fb1U,     0xc8830f72U,     0xcf0fb925U,     0x6d338eb0U, \
    0x15e8dce5U,     0x71aa0d41U,     0x0fe4edacU,     0x782151aaU, \
    0x5734f7e7U,     0x9827d635U,     0xc3961f08U,     0x98f103bdU, \
    0x16a91ab0U,     0x5462c857U,     0x5944dd01U,     0x36df7f9cU, \
    0x594bdfebU,     0x7cb5f543U,     0x64e7332bU,     0x29e69c3fU, \
    0x2b6b6048U,     0xe08d5afaU,     0x7a776458U,     0x92ae4f77U, \
    0xc3fe514aU,     0xed298ddaU,     0x11f0d98aU,     0xc3bd1347U, \
    0xe3fb3a04U,     0x822a52e9U,     0x30330924U,     0x8ab40b49U, \
    0x85224893U,     0x0cd18708U,     0x7c71c84cU,     0xe4f33c0cU, \
    0x95541fc4U,     0x8f0c16e3U,     0xcb35a313U,     0xfa469afdU, \
    0xeccc2c2dU,     0xc52c0746U,     0x3366a708U,     0x1cb6361cU, \
    0xdb2e8b82U,     0x95e0b2f9U,     0xc5e972d9U,     0xb9b1c686U, \
    0x2cb7edb9U,     0x8484924dU,     0xb0307104U,     0x35a81fffU, \
    0x1e8fd0d9U,     0x53b0edc4U,     0x808bbcfaU,     0xf8405cc0U, \
    0x2cc2e122U,     0x15a1f754U,     0x448f52d4U,     0x6d6242bfU, \
    0x13c351f0U,     0xd157fb4dU,     0xdeb4cdc9U,     0x3349353bU, \
    0x90d0f9f3U,     0x09cbea33U,     0x7371db8aU,     0xd90e901fU, \
    0xd7e905c8U,     0x3e379676U,     0x2c90f9e4U,     0xee93fb26U, \
    0x8c58890aU,     0xe5b3de46U,     0xe373b049U,     0x3195437cU, \
    0x98d2c151U,     0x40823568U,     0xfbc274beU,     0xc3a2f9ccU, \
    0x6f884eb4U,     0xd8faf4a4U,     0xafef785bU,     0x1392dfe6U, \
    0xee97e96fU,     0xcd40f049U,     0xecc2c195U,     0xef7538e7U, \
    0x2795deabU,     0x1fe275abU,     0xad53e371U,     0x9b12da3fU, \
    0x78753035U,     0x324cb15bU,     0x6d8005e3U,     0x4bbb9241U, \
    0x68df2c10U,     0xb5f60defU,     0xadc887bcU,     0x3daab160U, \
    0x6566e7cdU,     0xd8c8ece0U,     0xc63606a7U,     0x0f57da10U, \
    0xe414ac34U,     0x5667e92aU,     0xc0098b69U,     0xe72a433fU, \
    0xb2f0cb88U,     0xbc213835U,     0x7af2cb91U,     0xb51035bcU, \
    0x66cb9da4U,     0x75f562e7U,     0xb46099d6U,     0x61b45c27U, \
    0x11c0d97fU,     0x3a48f248U,     0x1fabbf4fU,     0xa85cb9b6U, \
    0x263238cbU,     0x5410b5eeU,     0x49465618U,     0x4c297e75U, \
    0x876a9542U,     0x248efadaU,     0x400f3e08U,     0xaf908512U, \
    0x20b9b89aU,     0x27534053U,     0xdad693d2U,     0x8aaba209U, \
    0xf2534024U,     0x0beb493eU,     0x5757a364U,     0xab9f8f64U, \
    0xf777bfd5U,     0x110305fcU,     0x75a0575eU,     0x84de3a38U, \
    0x93bb8936U,     0x30b1a7c7U,     0x3100cc13U,     0xd56fc10aU, \
    0x3efc288eU,     0xde8a599fU,     0xe9d69fc4U,     0xffc6e9abU, \
    0xba9c3d28U,     0x9926a91aU,     0x4dd3cde0U,     0x3dff884eU, \
    0xe14c6629U,     0x13df0091U,     0xb8110176U,     0xadba73ecU, \
    0xe7b47cf9U,     0xd77d4c32U,     0x28582718U,     0x5980af99U, \
    0x19e4dc91U,     0x7a361779U,     0xe7f0b0d6U,     0x5e08a003U, \
    0x64f09cbaU,     0x74862034U,     0x0632d130U,     0x72a84e22U, \
    0xa9143b0bU,     0x3dbf645fU,     0x2543e25bU,     0x205e31b3U, \
    0xccb2412cU,     0x5aa410ebU,     0x4338a436U,     0x1d01d6bcU, \
    0x633fca14U,     0xbc9f670fU,     0x6e301c0eU,     0x04f3d92cU, \
    0xb0447a8eU,     0x8d41275fU,     0x9b9f23bdU,     0xf389cbe1U, \
    0x01baaea5U,     0x427bef66U,     0xdacdc832U,     0xe04c414aU, \
    0x8d9c7562U,     0xf278ce63U,     0x3f19e4c3U,     0x221cf7eaU, \
    0x1b293f05U,     0xb0206466U,     0x42328d6fU,     0x37fe6818U, \
    0x7a000580U,     0xc070537aU,     0x2fd98c7aU,     0xb7dcff3aU, \
    0xcf39f261U,     0xaeb2b1c4U,     0xf3ede40aU,     0xcda168e1U, \
    0xef71f238U,     0xa17e8ab6U,     0xa3195baeU,     0x7c013f63U, \
    0xb1c638e5U,     0x02bd930aU,     0xfdcbc80dU,     0xb26b056bU, \
    0xace78cdbU,     0x4254672fU,     0x6276ba05U,     0x662672baU, \
    0x5c3dbedbU,     0xb318c634U,     0x3d26cf84U,     0x9c6d494dU, \
    0x26ce72afU,     0xf99d8b7eU,     0x42f7c9a7U,     0xa17e28acU, \
    0xe0f4622bU,     0x5742448bU,     0xa513e5c6U,     0xc9970384U, \
    0xb18b566aU,     0x588b35ffU,     0x71b110c9U,     0xb8f4a05eU, \
    0x84117da7U,     0xddda6614U,     0x8dde6c18U,     0x26213a8eU, \
    0x61952149U,     0x753417cbU,     0xc04f6d64U,     0x3105bcc2U, \
    0x86df52efU,     0xe40ebe27U,     0x638bd9c9U,     0x37968cb1U, \
    0x59d31251U,     0xb418eea3U,     0xc8809bf6U,     0x008e6a7cU, \
    0x6c36b0d6U,     0x2c516b75U,     0x7c1f3445U,     0xa90d1324U, \
    0xb26213d9U,     0x031ee09eU,     0x668ade9cU,     0x19fc6e7eU, \
    0xe18e7d27U,     0x20a67385U,     0x198bdb8dU,     0x697b139dU, \
    0x623f8013U,     0x5785d4d8U,     0x05c955faU,     0xa12bb7deU, \
    0x92010438U,     0x6f43d8d9U,     0xb7bfa14aU,     0x59c1d341U, \
    0xcd4fd102U,     0x12a1b534U,     0x8c9e97beU,     0xfc2e59a7U, \
    0xf34a1baaU,     0xd0497cbbU,     0xba1cebf5U,     0xb420618eU, \
    0xadf7934bU,     0x8a0e63a6U,     0x39c93a17U,     0xaf2aafd0U, \
    0xc7933319U,     0x9075edd1U,     0xfd57ef90U,     0x035036a8U, \
    0xdf83bee4U,     0xbf6b6eb7U,     0x28dc049dU,     0x5df0435aU, \
    0x877ff2d7U,     0xa9dd4755U,     0xaed2c1fdU,     0x8de93817U, \
    0x6364b053U,     0xbcdeb2ffU,     0x3e0cb3dcU,     0x4abd2227U, \
    0xfe2bdaf2U,     0x706a42c9U,     0x96922387U,     0xffd97c33U, \
    0x185bb927U,     0xa5105fbfU,     0x2de29298U,     0x5cef4923U, \
    0x0c9c4859U,     0x142e4ff0U,     0xcb71f776U,     0x40cef9d7U, \
    0xf445221fU,     0x2d0be41cU,     0xab7ae8edU,     0x49842576U, \
    0x8d1fa931U,     0x34a0d524U,     0x8af2c81fU,     0x33641fdfU, \
    0x4ccdd001U,     0x2cae89ceU,     0x918680dfU,     0xd5fb0968U, \
    0x8c17a3e3U,     0x6fa28f60U,     0x3b6aca56U,     0xc740c5b4U, \
    0x2188606eU,     0xbadc4998U,     0x5924a38eU,     0x5480f9f2U, \
    0x3c8395ceU,     0x4612dfb0U,     0x7bdf9a37U,     0xd555bf6cU, \
    0xdf2e8afbU,     0x5d6b02f7U,     0x0494cafeU,     0x09b37ccbU, \
    0xd1037cf1U,     0x9b9d546aU,     0x702f1929U,     0x49aebae4U, \
    0x0788a3c3U,     0x4b3de2ceU,     0x4563e4f8U,     0xbdd36af3U, \
    0x55778a22U,     0x7b2f83dfU,     0xdcd19a24U,     0xdb347020U, \
    0x269482a2U,     0x260dbf9cU,     0x11edb1e9U,     0x592e72c5U, \
    0x1e4fb978U,     0x23564feeU,     0xfe61a49fU,     0x866b1530U, \
    0xf01329dcU,     0xc4bf6476U,     0xba880546U,     0x076881ddU, \
    0xee989f18U,     0xe13ac7e1U,     0x3563a118U,     0x2e394340U, \
    0x9a32acafU,     0xf29daa28U,     0xabae1c2dU,     0x7a068342U, \
    0x2ccea15aU,     0xa1fc5168U,     0x54f50c29U,     0x549de0aaU, \
    0xa960e810U,     0xdb8d4989U,     0x33f4c3b3U,     0xf6cc1923U, \
    0x99d3ce46U,     0xbe8593b7U,     0x9230ecaeU,     0x07d04056U, \
    0x3207a8f8U,     0x6706b30fU,     0x4a25e78cU,     0x9125c1b0U, \
    0x42b3d58eU,     0x4cc5c13cU,     0x7241c35dU,     0x2dc79faeU, \
    0x099054f4U,     0x3aa28189U,     0xf45c805cU,     0x3f2c4258U, \
    0xc8fe27eaU,     0x65b71adfU,     0x9089c162U,     0x05cfb7ebU, \
    0x2c02c871U,     0xb40a417aU,     0xb3686ae5U,     0x689659bcU, \
    0x01cf29e4U,     0x47434fefU,     0xc22ec6c5U,     0xa78752acU, \
    0x6d3cea60U,     0x9fc0549dU,     0x727976afU,     0xd42af61dU, \
    0x6a0f8682U,     0xc6cd7e66U,     0x42ff0607U,     0xb0b6c496U, \
    0xf995d5c0U,     0xe264d0abU,     0x6f2ac187U,     0x9b6763baU, \
    0x299b3510U,     0xfcc9a10aU,     0xc48afefdU,     0x5a4b45a8U, \
    0x1b8aba8cU,     0x7719145fU,     0x9cba3a45U,     0xf1fe64dbU, \
    0x4180e19cU,     0xc9ecf012U,     0x194cb079U,     0xb0828282U, \
    0x79befac0U,     0x726bb335U,     0xb80d87cbU,     0xa7ac90beU, \
    0x31873528U,     0xd71b583eU,     0x6c9fb8dcU,     0x1dc4e61bU, \
    0x4f1c42e7U,     0x88fcfd5aU,     0xf7ca81f3U,     0xaf5fda39U, \
    0x7c92c0b0U,     0xea541e22U,     0xad596887U,     0x3fc3cbd3U, \
    0x27341fceU,     0x5ad33a39U,     0x92546762U,     0x53add53fU, \
    0x6fb4c019U,     0x4440564eU,     0xba8180bfU,     0x423880a8U, \
    0x00618fbfU,     0x5a8b2a58U,     0x3e21154aU,     0xdbd1e54dU, \
    0xc35e52f9U,     0xd2783591U,     0x88c090b2U,     0x3b62d4adU, \
    0x0def4477U,     0xf163f71fU,     0x28caecf5U,     0x90dab30dU, \
    0xaa693e95U,     0x13c02d98U,     0x0907589bU,     0xf62b0a77U, \
    0xb7053347U,     0xf8f47f41U,     0x29452dccU,     0x71115f81U, \
    0x822e1542U,     0xdb1219e1U,     0x50f50872U,     0xefad2323U, \
    0x78f1ccd4U,     0x6e855af7U,     0x66d6b916U,     0x99ac3706U, \
    0xc1415c53U,     0x9c7c7d02U,     0x5cd16a95U,     0x9a750d19U, \
    0xc6f891abU,     0xbc9ffce9U,     0xb2a1d2a4U,     0xaa3eb058U, \
    0x929ed03cU,     0x5dd6799cU,     0x5e4a8076U,     0x9267f337U, \
    0x8113351aU,     0x9c0d5847U,     0xb369a21cU,     0xe126e049U, \
    0xe2a037d6U,     0xc46b3782U,     0xbaa6c2f2U,     0xdc8fdae5U, \
    0xe63dafe2U,     0x482b0bdeU,     0x61303c4cU,     0x1948644eU, \
    0xbdc0d324U,     0xade8d849U,     0xc0b0d9f1U,     0xf6e4e0caU, \
    0xc2928003U,     0xf514c5c2U,     0x7ff54737U,     0x40e483cdU, \
    0x91a0663fU,     0x5c0816a7U,     0xfdc21a0eU,     0xf5f661bcU, \
    0x02c2c72eU,     0x8b06c0c0U,     0x1beac493U,     0x7c4cef9aU, \
    0x5bfa1288U,     0xa63c3e4cU,     0x536928dfU,     0x9281441cU, \
    0x735d0fd8U,     0x05ea3b75U,     0x97bc07afU,     0x3d869903U, \
    0xcebcb984U,     0x7e043d7bU,     0xf4512d13U,     0x839b1fc7U, \
    0x054e2870U,     0xdf5a5c33U,     0x9317307aU,     0xac93b4ddU, \
    0x28d69accU,     0x80dcffc3U,     0xf441577cU,     0x2107a959U, \
    0x4a17c4fcU,     0x1fcbf7cfU,     0xa7113ce2U,     0x4bd5d845U, \
    0xb69b316fU,     0x7d7d80dcU,     0x2ee053c4U,     0xee285bb1U, \
    0x8ab12cc3U,     0x67527bd9U,     0x7bb9d173U,     0x55b3efc6U, \
    0x55a1a346U,     0xdaf0c3b2U,     0x97426a53U,     0xe166bb0fU, \
    0xe017e940U,     0x6925f33eU,     0x1537d8ecU,     0xed275468U, \
    0xf0e406beU,     0x7558f85dU,     0xa91c5191U,     0xbb78d7feU, \
    0xe826b20eU,     0x2b32a497U,     0x35de5784U,     0xf3328a36U, \
    0x84c912c3U,     0xe688a987U,     0x0d36c71aU,     0xdf1c9d5cU, \
    0xce19a575U,     0x3f63b259U,     0x5ab0b9d0U,     0x8a2c6622U, \
    0x26f831c1U,     0x869523c7U,     0xaa6cdfc8U,     0xae121ee1U, \
    0xbbeb14b4U,     0xee7c28e0U,     0x0b7bdb33U,     0x612151feU, \
    0xec99d8aeU,     0x682d5e11U,     0x8608f7abU,     0x5bd5a832U, \
    0x5fab3b90U,     0x329b44d5U,     0x56c82214U,     0xa82ab238U, \
    0x6239c48fU,     0x9b89ad6fU,     0xb5468ed2U,     0x09baeca5U, \
    0x3d251bd9U,     0x32193c32U,     0xb267d96eU,     0x2de51e5bU, \
    0x43ef3701U,     0x5c9ab096U,     0xa7e555a9U,     0xfc23442fU, \
    0x0fcd4799U,     0xdeaea482U,     0xe75eec72U,     0x7a54d549U, \
    0x33320191U,     0x2b78cbf0U,     0x27b9983fU,     0x43de08a9U, \
    0xbfa50755U,     0x0567c576U,     0xa7d17507U,     0x81a227afU, \
    0x666b16ebU,     0x379d36c0U,     0x2e2fc721U,     0x8e638aacU, \
    0xc0374687U,     0xf571ae86U,     0x8f91832dU,     0x270d50ffU, \
    0x2da2443dU,     0x2695ef4cU,     0xaee189f7U,     0xcf0cf893U, \
    0x55fd966aU,     0x5886d8d0U,     0xa678f3ddU,     0x967ccd14U, \
    0xc128fbc8U,     0x658b8d2bU,     0x255cdd59U,     0x88665938U, \
    0x33aac17aU,     0x60e1ab6eU,     0xbc6dabfcU,     0x8875c4b0U, \
    0xcb6c8951U,     0xf9be821bU,     0x861bdd13U,     0x91f6721eU, \
    0xc85bc1f6U,     0x28a87317U,     0x61c04d37U,     0xcde2483cU, \
    0x3586403bU,     0x1665d87eU,     0x49756762U,     0x8f5d0be4U, \
    0x2efead4cU,     0x0f1613e5U,     0xe6ff8b6aU,     0x7248d349U, \
    0x22b1764aU,     0x9b638111U,     0x6667f9c4U,     0x1c84b456U, \
    0x88c9a22aU,     0x4dbe3c49U,     0x284e37f3U,     0xcc599d99U, \
    0x1e098bb8U,     0x938257b6U,     0xaa093683U,     0x97ddaf55U, \
    0x973db18eU,     0xcf732f98U,     0x4ee825c0U,     0x329b8b88U, \
    0x54aaa5d4U,     0xc7780c44U,     0x443875eaU,     0x9ee91a20U, \
    0xcc20235fU,     0x8960c6e5U,     0x9f03e676U,     0xe15f6105U, \
    0x80295296U,     0xeee7b67aU,     0x9fe852f5U,     0x2f38e9f9U, \
    0x70fa78a3U,     0x9956e8bdU,     0x64759180U,     0x2261bd48U, \
    0x47dca8b4U,     0x5268b6baU,     0xe6aea59eU,     0x07f04b02U, \
    0xda1ec2beU,     0x123bd4d2U,     0xbbe00855U,     0x30f076caU, \
    0x96c43a61U,     0x0def9501U,     0x677273bdU,     0x908f61cbU, \
    0xe7394d7aU,     0xe2d11fc2U,     0x74a58913U,     0x7f794d5cU, \
    0xdb38e2ffU,     0x73a2c214U,     0x974a8a47U,     0xf1b65f80U, \
    0x72bd178bU,     0x431bcc75U,     0x9ea823fcU,     0xb5a342b8U, \
    0xf7929f82U,     0x8f8809d8U,     0xb97e817dU,     0x1fc094f7U, \
    0xec8ad9d4U,     0x50e07546U,     0xc6c0815dU,     0x1051cb19U, \
    0x3ea3b168U,     0x5a94b575U,     0x64a7c397U,     0xff4d73d1U, \
    0x597ada2cU,     0xa5183678U,     0xa531ec07U,     0xd8e64305U, \
    0xc3ae6efeU,     0x5d27fd8eU,     0xcc2e6e03U,     0x15c9cb78U, \
    0xd1069149U,     0xf49ddb8aU,     0x1ce26117U,     0xcebb56dbU, \
    0xb5181b33U,     0xcf6be13eU,     0xf94b5df4U,     0xe2416612U, \
    0xeb7bd696U,     0x4ddf3aa2U,     0x29109579U,     0x03bc7011U, \
    0x9e3b086cU,     0xce8702c3U,     0x6300a3abU,     0x57aa2e52U, \
    0x65ea1048U,     0xe1eb8daeU,     0x92d87ba0U,     0xf3fcf00bU, \
    0xcd8f48e7U,     0x195fcee6U,     0x4c891168U,     0x83e8fdafU, \
    0x738c9a37U,     0x2126eaabU,     0x45f97421U,     0xa6be695fU, \
    0x184fbdd8U,     0xcfc7ed66U,     0x1f11b8b1U,     0x2eb2df71U, \
    0xb9aee21bU,     0xb7c4e525U,     0x0485aa69U,     0x147380ebU, \
    0xc0108f66U,     0x62306830U,     0x4918aedbU,     0xd6a89f90U, \
    0x15f57a80U,     0xb757378fU,     0x1fe233feU,     0xdf8a1119U, \
    0x93b98510U,     0x27c79709U,     0xc53b6fb9U,     0x2d9e07b9U, \
    0x7bc0bdf4U,     0xff9e6cedU,     0x15a1aa85U,     0x20a5f512U, \
    0xc670d2baU,     0xe6ce2804U,     0x84ee3080U,     0x86fd4571U, \
    0x7f3518a9U,     0xba3cf2edU,     0xbd188a66U,     0x7f574beeU, \
    0x8ae19471U,     0x6f194674U,     0xb40d57e1U,     0x60e38a0eU, \
    0x61ce8b7dU,     0xedaea7fdU,     0xfabf3cf5U,     0x5497ce54U, \
    0xb9cf5b4dU,     0x7677f83fU,     0x37e5db83U,     0xd795aefbU, \
    0x2093ef03U,     0xb52aa4a0U,     0x247ed94dU,     0xe82c73ddU, \
    0x7984695aU,     0x298e5e33U,     0x334924f5U,     0x5af5e30cU, \
    0xc3a04216U,     0x5996a7a1U,     0x3463b8e9U,     0xe1461cb0U, \
    0x6283e727U,     0xe5d4692fU,     0x369aa870U,     0x0b89b1d5U, \
    0x044d20abU,     0x067409d8U,     0x62962af3U,     0x22ec83ebU, \
    0x67860604U,     0xf8797d52U,     0x1e1a3d82U,     0x16b1f2f1U, \
    0xc654f369U,     0x269b4e98U,     0xc2fcb838U,     0xae61ecc6U, \
    0xca7ee926U,     0x0ec019fbU,     0x2cf1db8bU,     0x9b65bcfeU, \
    0xf10859c5U,     0x3f6ca6e8U,     0xec06dee8U,     0xad0d8497U, \
    0x37def713U,     0xe0dfbfc3U,     0x75ad1902U,     0xc66d7e31U, \
    0xac992017U,     0x2d45751cU,     0x0662c76cU,     0xa28fab43U, \
    0x51c1fb7aU,     0x460403a7U,     0xc6e6782fU,     0x1aaec876U, \
    0x7753b4c2U,     0x9caa63cbU,     0x8adaf34fU,     0xe0c208e8U, \
    0x2735221bU,     0x7a5e587bU,     0x0d5cfa01U,     0xee0d0163U, \
    0x4c17d333U,     0x27834b6cU,     0xa58875cfU,     0xb343543fU, \
    0xec09fc5dU,     0x0a568a93U,     0x9cceffc9U,     0x998c3296U, \
    0x46e770d5U,     0xe7e27a52U,     0x0ce4a474U,     0xce25f37eU, \
    0xbde034b5U,     0xada8a066U,     0x2b02eb8dU,     0x8857de95U, \
    0x0c8e3be0U,     0x846e0a47U,     0xeedcb4e7U,     0x6decdeffU, \
    0x144aa504U,     0xf755f572U,     0x8885d1ebU,     0x02fa2bf2U, \
    0x0a13a851U,     0xa12cffacU,     0x3f2a4a8dU,     0x20f446c1U, \
    0x7beb3767U,     0xaf0ba2e3U,     0x44739cd4U,     0x757fc3f4U, \
    0xe670b13eU,     0xd6c3024dU,     0x8348c784U,     0x6ce4b505U, \
    0xfa451257U,     0xe38086a8U,     0xec6480c9U,     0x9fb00e03U, \
    0x2c1ea860U,     0x4986931bU,     0x0c065077U,     0x01cc90e5U, \
    0xd32923cbU,     0xcdd1fec5U,     0x15623975U,     0xeaab7d36U, \
    0xb81f89e5U,     0xd05d78acU,     0x881a24f2U,     0xa7b48afaU, \
    0xb283b2daU,     0x8873429cU,     0xffc4abd7U,     0x67c49430U, \
    0xc7ac8a6bU,     0x3f7de839U,     0x8d0cd7beU,     0x8ca69a1eU, \
    0x876cd7aaU,     0xbc84413bU,     0x3ca5e165U,     0xeee38436U, \
    0x39434718U,     0x15bf0faaU,     0x2e3c1859U,     0x6ab75b49U, \
    0xfd5f98d7U,     0x652d59a7U,     0x9fda367cU,     0x2b952ec0U, \
    0x1317d93bU,     0xa4f607d8U,     0xc31d4298U,     0x49dc1e74U, \
    0xcb6af1d4U,     0x29a927b7U,     0x8e7da39fU,     0x24f1c2ccU, \
    0xac8bc5e1U,     0x977075d4U,     0x204187b8U,     0xbb70990cU, \
    0x7a149ab9U,     0x3efb5fceU,     0x482139b2U,     0xdd7b0623U, \
    0x6443b2e8U,     0xb452fc0eU,     0xc1f964afU,     0xcf0d9118U, \
    0xd3d39cb9U,     0x5a86f91eU,     0x2b54bf1aU,     0x7a269fadU, \
    0x36703380U,     0xab200047U,     0x5a2f8b15U,     0xc13cd8ceU, \
    0x6c39e9d2U,     0xcda1bfabU,     0xb7d496e7U,     0x65a93d0fU, \
    0xeeb6802aU,     0x5a63de60U,     0x26b86c67U,     0x5f9f8a01U, \
    0x193a7935U,     0x63ef45ddU,     0x634ae219U,     0x2f54c1ccU, \
    0x49d348a3U,     0xe00a7b40U,     0x447f4b8cU,     0x6ac5de10U, \
    0x0ac1b9daU,     0xd09f0597U,     0x8fdb5d40U,     0xfebb7966U, \
    0xd3747a11U,     0x9fce81eeU,     0x7a86ef89U,     0xc558959dU, \
    0x868c232aU,     0x0dc24b30U,     0xd9b62d9aU,     0xa744ff4cU, \
    0x396ee131U,     0x9241e9eeU,     0x431c7f2aU,     0xca57c5c0U, \
    0xfcaefe24U,     0x7e94d8efU,     0xab3d108dU,     0x3bec5282U, \
    0x8e1833aeU,     0x4accbe48U,     0xf9d58ed6U,     0x4a75048dU, \
    0x6210e72bU,     0xfce4f56dU,     0xbd499ee9U,     0xddcdce21U, \
    0xc45fc03cU,     0xfd4086c5U,     0x5811fe2aU,     0x191e2046U, \
    0x27e93038U,     0xccd85f6fU,     0xa94d018aU,     0x8b2195c3U, \
    0x2787d411U,     0x6c88dbb4U,     0xae5068f4U,     0xead7ee8bU, \
    0x9f23aa09U,     0xac5b1440U,     0x7315f874U,     0xf44f764bU, \
    0x9fd04059U,     0x6bdc955eU,     0xcb0000b4U,     0xa255c05fU, \
    0xd8b8c573U,     0x588fe3efU,     0x0f332e71U,     0x4c563e02U, \
    0x6bb58f51U,     0x70ba9b5aU,     0xe8969536U,     0x87591488U, \
    0x273b5b00U,     0x2c5b55fbU,     0xe47077caU,     0xdef8a4e0U, \
    0xd2b47032U,     0x6ed996c6U,     0x5872d0e0U,     0x315b2ab0U, \
    0x15681a3bU,     0xc2c06f67U,     0x0f73e70eU,     0xae19aaedU, \
    0x804650efU,     0xebf96467U,     0xd9e4e18bU,     0xe2c62ecbU, \
    0x2f3d10feU,     0xd613d847U,     0x7ab3448bU,     0xf144f1c4U, \
    0x34e8ce2aU,     0x1dfd3a71U,     0x03b71cb2U,     0xcffdc6b0U, \
    0x26a7f856U,     0x00cd77fdU,     0xaf375c3eU,     0x669477d6U, \
    0x07bd21a6U,     0xdfde729cU,     0xf8ded79aU,     0xe2399eb1U, \
    0x3ddc1805U,     0x36b59587U,     0x27664086U,     0x029a1b0aU, \
    0xc6c298bcU,     0x94c9af27U,     0x7a6d1125U,     0x0bed7ba0U, \
    0xff685a0dU,     0x92f9f6baU,     0xb1fa5b71U,     0x235dd0efU, \
    0xfe1dc1bdU,     0x9de3c473U,     0x87a1a876U,     0x75cca796U, \
    0xa303f640U,     0x647f8c8fU,     0x011cdbffU,     0x5f945765U, \
    0x78b58248U,     0xc083937aU,     0xeb25f498U,     0x6de27eefU, \
    0x06cc96eaU,     0x10a22c88U,     0x449fa219U,     0x238ca683U, \
    0x29af67e4U,     0x57a8924bU,     0x84d54956U,     0xc7189987U, \
    0xb994b34aU,     0x13ea1667U,     0x9e5dbed8U,     0x66207a0bU, \
    0x3680af75U,     0x21bb2b39U,     0xdc850eabU,     0x58d46b85U, \
    0xf8ac6bddU,     0x3a704e21U,     0xa9af3c68U,     0x4c99dcb8U, \
    0x4f6e97c4U,     0x60b413f8U,     0x5afba9a5U,     0x5cdd6142U, \
    0x7b410028U,     0xd38a2d9fU,     0x9c562985U,     0x8f7cbdf7U, \
    0x1740561cU,     0x390ae8dbU,     0x15ee637fU,     0x6970cc7dU, \
    0x4cb416b1U,     0x53ac8405U,     0xdf1e3c11U,     0xbd12d2f6U, \
    0x2242ad8cU,     0x6554ed8aU,     0xeca71ce4U,     0x91c0ec83U, \
    0x9e712debU,     0xe7d5ec33U,     0x7afd3648U,     0x86ae784fU, \
    0xb1756b98U,     0x879d8aebU,     0xc65055ffU,     0x1c5e7edaU, \
    0x050c568dU,     0x8a35ba57U,     0x0ce45afaU,     0x831351a4U, \
    0xb783d40fU,     0x70c4edd6U,     0x10e3cba0U,     0x2aa720ebU, \
    0xa8f8e9f0U,     0xe3bf5e4dU,     0x1a58a98bU,     0x01263839U, \
    0x5bf8c2a1U,     0xe3785b18U,     0xce1d0756U,     0xf2adc11aU, \
    0x65aed076U,     0xe8097749U,     0x0d1bc5c8U,     0xfb0d83f4U, \
    0xdbd018f8U,     0xe2f020efU,     0x275732c8U,     0x99f25c18U, \
    0x2546388cU,     0x1c66c2fcU,     0x39117d73U,     0xd52850ddU, \
    0x91f6c060U,     0x01ec648bU,     0xd6deffe6U,     0x98209318U, \
    0x8446d06dU,     0x392dd201U,     0x34607fb0U,     0xfaf8fd25U, \
    0x048a1d1aU,     0x3439e78fU,     0x87f7aa1aU,     0x16be07e0U, \
    0xfe810055U,     0xde97ed1eU,     0x186e067dU,     0x142ba7feU, \
    0xfc160ea8U,     0x84f4ed56U,     0x1fddb9e6U,     0xf9139ac1U, \
    0x73b1b5cfU,     0x90f9f718U,     0xddf1d9f0U,     0x610b1c96U, \
    0x762083abU,     0x68562c5eU,     0x0b03485eU,     0x2c469e85U, \
    0x7b2d34adU,     0xf657d2f7U,     0x0a863c91U,     0xfe548e98U, \
    0x81df5cbcU,     0x6ccf0ea6U,     0x1db39d74U,     0xb4459e32U, \
    0xff2583abU,     0x9a0ea012U,     0x956157eaU,     0xc2721d36U, \
    0x5fe7482cU,     0x8b38d1a6U,     0xf9ca87c1U,     0x01ec5e16U, \
    0x1a476329U,     0x4db0f5a3U,     0xa0af927dU,     0x7c1fded6U, \
    0xd1d0befaU,     0x31d35df4U,     0xec5a77a4U,     0x4b2b43d9U, \
    0xae860d32U,     0x84975eb1U,     0xf593ebb8U,     0x6419863fU, \
    0x4edf0f7cU,     0x6fccebbbU,     0x7512b4d3U,     0x770b9f1eU, \
    0x4f25c1e9U,     0xc123c0acU,     0xa7caf0a3U,     0x2abea3c5U, \
    0x5dff4018U,     0x109c793aU,     0x81bb5f33U,     0x791b7ec6U, \
    0xeaf89c49U,     0xe7f6102cU,     0xa48f24e1U,     0xfd2495b1U, \
    0x8c18987bU,     0x40a98d17U,     0xdd526836U,     0x655d5627U, \
    0x1a9b900bU,     0xd1af59ffU,     0x85c396a0U,     0x3faa37bcU, \
    0x38a8d840U,     0x301d5752U,     0x4cab8b16U,     0x05212d57U, \
    0x478dc991U,     0xbe44e8a6U,     0x73182149U,     0x0c726e94U, \
    0x0521a1adU,     0xaa4d3c92U,     0xbc901e64U,     0xa8a3a33eU, \
    0x89946deeU,     0x888000b3U,     0xee516678U,     0x9748897bU, \
    0x16f37143U,     0x964fb057U,     0xed38f192U,     0xe5f2e6d9U, \
    0xd00562ccU,     0x409c6b2aU,     0xe379b319U,     0x1c0ecbe6U, \
    0x3623d4dcU,     0x4af88706U,     0x88661154U,     0x0d7af2b6U, \
    0xf960e9c5U,     0xc1169b2aU,     0x916e812fU,     0xc2522764U, \
    0xf50e3cddU,     0x0ab670a0U,     0xdbd79bdaU,     0x8d982bd1U, \
    0x1f5a8b0cU,     0x374e1832U,     0xcce4a097U,     0x52129e15U, \
    0x440cc25cU,     0x8c629816U,     0x339518d1U,     0xc138176dU, \
    0x4c1fb044U,     0x0a4b045cU,     0x7a73b9d4U,     0x8edde1aaU, \
    0x791dc3bcU,     0x7a0f8d1fU,     0x9f854da1U,     0x63cec66bU, \
    0x93c249bdU,     0x44c73b45U,     0x9e7667caU,     0x8ebbcb28U, \
    0xa248209fU,     0x2a2e835cU,     0x480142abU,     0x0221b769U, \
    0xac9a5d4eU,     0x21ddb775U,     0x033be546U,     0x991476fcU, \
    0x82b5aab8U,     0x95fe8909U,     0x550505ecU,     0x2de0358fU, \
    0x1cd76284U,     0x66295424U,     0x9c7616e2U,     0x3c5578b1U, \
    0x2e29554dU,     0x5de4f80cU,     0x21973fb8U,     0x4ef7ab77U, \
    0xd8ea2f7fU,     0x768e0499U,     0x15483ac2U,     0xae0a536dU, \
    0xb8a62967U,     0xe6e87702U,     0x54cd392eU,     0x654684e0U, \
    0xe4bc2842U,     0x1222e0b0U,     0x18d0e372U,     0xb1e5b6d6U, \
    0xe205c145U,     0x998df284U,     0x0a826049U,     0xc73b9189U, \
    0xb19c952bU,     0x00640714U,     0xca074ec8U,     0xc0753e9eU, \
    0x2c4e5401U,     0xf4986716U,     0xc74e7090U,     0xd5580173U, \
    0xd43936ddU,     0x9bb69608U,     0xffb878c0U,     0xcdef06e7U, \
    0x6d112da5U,     0xec5263b9U,     0x090652a5U,     0xb81b6a8eU, \
    0x389d2894U,     0xed8e1e68U,     0xe68fef15U,     0xbe84f6fdU, \
    0xba199dd1U,     0x15119b18U,     0x892958aaU,     0x76336d62U, \
    0xa8477d6bU,     0xefa1a53dU,     0x6cb26cacU,     0xca215004U, \
    0x70c099b8U,     0x266b482dU,     0x38209458U,     0x19f32538U, \
    0x57681c47U,     0x2e4b5a8cU,     0xd6644608U,     0x78fee2c7U, \
    0x038c6aedU,     0x743d5397U,     0x41bde225U,     0x71914776U, \
    0x098175d8U,     0xda8efe40U,     0x62fddb30U,     0x5746b225U, \
    0x275c8bcfU,     0xbc6c7aa1U,     0xcffc6d0dU,     0xa79f7011U, \
    0x22f7ebf8U,     0xd351d4e4U,     0xe68e9ee6U,     0xa85fbb57U, \
    0xf6467dc6U,     0x16a0e148U,     0x639e07afU,     0xfc510071U, \
    0x346e48f9U,     0x9fe17fc0U,     0xb7a7d820U,     0x378deee8U, \
    0x9b188f02U,     0x485d8af7U,     0xf0bbc341U,     0x3276e35bU, \
    0xd9f3d6ffU,     0x87fb9f45U,     0xe3f94f86U,     0x26a6fa26U, \
    0x2aabc018U,     0x1d52fb4eU,     0xd0fceaadU,     0xebb33a83U, \
    0x4f4e8284U,     0x406ae2c1U,     0xdcd400b7U,     0x7bcfadcaU, \
    0x5ab0f3bcU,     0xa840ef1bU,     0x87cdd0ebU,     0x3f06e2caU, \
    0x7530ac6dU,     0xeec3e7f3U,     0xb8b54d89U,     0xf43c9416U, \
    0x2b162c57U,     0xad644279U,     0x9997ee4dU,     0xf644f350U, \
    0xde32d236U,     0x5b3d3577U,     0xc5b4d589U,     0x887c974aU, \
    0x25e2f904U,     0xbb2bce59U,     0xc506c13cU,     0xb1455b69U, \
    0xd0c6720cU,     0x67b078abU,     0x427c27cbU,     0xce7fa1a3U, \
    0x70e5cbeaU,     0x87fc469bU,     0x6fdec69fU,     0x1126febcU, \
    0x4feb4c4dU,     0x5f6de170U,     0x1e5e3d66U,     0xe9ba0524U, \
    0x4e1dddc1U,     0xd57f9a0dU,     0xdc1e2146U,     0xf1922825U, \
    0x21798f2dU,     0xe7826ba5U,     0x5ea80100U,     0x5995135eU, \
    0xc88a19c7U,     0xa0fcecd8U,     0x927dccb1U,     0xa127449bU, \
    0xd818121eU,     0xd47c6398U,     0xacd95f8fU,     0x011c5784U, \
    0x6b04d6d1U,     0x82bf9f4dU,     0x7a6a4094U,     0xe20ee18cU, \
    0xda354ab5U,     0xbeb89648U,     0xdb29d72cU,     0x24e71effU, \
    0xb04294f5U,     0xf54e83f6U,     0x63bb0148U,     0xfddc42d2U, \
    0xcbf3ed04U,     0x8a19ed60U,     0x882d2546U,     0xe140863eU, \
    0xce24e8fdU,     0x17c8fe78U,     0x9bc3d494U,     0x34dfe7d5U, \
    0x4e5cd70cU,     0x1001d436U,     0xe33b6edeU,     0x4cbaf7b5U, \
    0x1f1cfadaU,     0xe332cad3U,     0x167a5795U,     0x79adffadU, \
    0x01859ab5U,     0x2965ca51U,     0xdab08f84U,     0xfea5690bU, \
    0x5831b5c4U,     0x13762bb1U,     0xadf25439U,     0x00e61aa2U, \
    0x44c1bb55U,     0xbe437ec4U,     0x9e897eaeU,     0x8576fafbU, \
    0x4ebbe1beU,     0xcad80558U,     0xd93f20f4U,     0x50e6eb10U, \
    0x8b0a2c75U,     0xf51021abU,     0x5f901681U,     0x41cbfc6cU, \
    0x80f9c5cdU,     0xdeb4d106U,     0x5eb5cbb6U,     0x9975a3daU, \
    0x4ca00b9dU,     0xfc9eee85U,     0x67eed997U,     0x36c08b30U, \
    0x9e4e9abdU,     0xb443b0e4U,     0x4343159dU,     0x1ea5c049U, \
    0xa4e66404U,     0x9f1f11b2U,     0x57afbef3U,     0x0cfa59c1U, \
    0x8a307687U,     0xb5cf868eU,     0xe69cd4afU,     0xd2cd3e9fU, \
    0x0e89e995U,     0xa108883eU,     0x00ea516aU,     0x4b96a8bfU, \
    0x34990f54U,     0x03d6bc9bU,     0x87a428f6U,     0x2c642d4bU, \
    0x31ccfbc4U,     0x7b8d8299U,     0x706e8a6fU,     0x15346e46U, \
    0x4112bd18U,     0x7a4c522aU,     0xfe10ecaaU,     0x12d0da9bU, \
    0xd79b8cc6U,     0x8255b33bU,     0x924f7170U,     0xcda11cf7U, \
    0xdc3ff6d6U,     0x3d500b96U,     0xc75a8707U,     0x18036538U, \
    0xf394b832U,     0xff757802U,     0xe95bca1bU,     0x618166aeU, \
    0x6ced9b6dU,     0x13c3c5daU,     0x77fbb6a1U,     0x82e2a9daU, \
    0x89c2cb92U,     0xb5b05f0cU,     0x3b952ef6U,     0xb66dc5c8U, \
    0x9e2ae601U,     0x88cb571fU,     0x51b8dabeU,     0xfbd891fdU, \
    0x0e667b99U,     0x016508a2U,     0x8f5abcb1U,     0x504a8556U, \
    0x38868d3eU,     0x14115ffdU,     0x3454a920U,     0xd7a4e6d9U, \
    0x9367b3f2U,     0x04febefeU,     0xe782c376U,     0x72e94906U, \
    0x76f9cc2aU,     0xbbf304bcU,     0x894c08c8U,     0x1a665dfaU, \
    0x17cf59cdU,     0x9686eafbU,     0x54734952U,     0x127fc2cfU, \
    0x64bd64b9U,     0x64db63edU,     0x7a9f1ecbU,     0x1d57bc93U, \
    0x003a22deU,     0x87186b56U,     0x9402f50bU,     0x1a59eb07U, \
    0x729de767U,     0xcc723d7cU,     0xb46354e1U,     0x3d6ced1fU, \
    0xf6232efeU,     0xe937e705U,     0x34dd7e60U,     0x9e319910U, \
    0x97e67deeU,     0xaaec5aa0U,     0x174ed83bU,     0x224496cbU, \
    0x80d60a09U,     0x271f0e5cU,     0xcba8fbb3U,     0x73e259c6U, \
    0xa2047468U,     0xb4baa859U,     0x778599ebU,     0xf1416020U, \
    0x7ac4fd48U,     0x8ebfaea6U,     0x79bb9e87U,     0xd0a7b311U, \
    0xe64863e8U,     0xb0ac7a8eU,     0xdb2ba2f9U,     0xae2594f5U, \
    0xc428c944U,     0x2644eb9cU,     0x279f81b8U,     0x6e211d8aU, \
    0x85f0a7f7U,     0xfe232203U,     0x4cda5479U,     0xf0e1dc5fU, \
    0x136f377aU,     0xb395e63eU,     0x29822947U,     0x7a7e4bc3U, \
    0x995c6cb6U,     0x5feac131U,     0xdb119539U,     0xcf72040eU, \
    0x40435b53U,     0x129ca470U,     0x2a6fc15eU,     0x25f05a55U, \
    0x0c143cd6U,     0x81dd123bU,     0x8663d81bU,     0xcb875c4fU, \
    0x7414956fU,     0xe90f6b08U,     0x1f294853U,     0x0b0d0e71U, \
    0x6c1d10afU,     0x429661fdU,     0x08e3c1e7U,     0x986e9d30U, \
    0x25720d15U,     0x7bebe4a1U,     0x9b1f630aU,     0xd59b6a05U, \
    0xc2e1af01U,     0x483d377cU,     0xd4a5298dU,     0x0ae60dbaU, \
    0xea10b1cfU,     0xb8db0e39U,     0x6cc837e2U,     0x32e7d24cU, \
    0xd9db744fU,     0x26d378e9U,     0xb7be9db7U,     0x0287c4fcU, \
    0x544f9717U,     0x9be7719aU,     0x1d13bc7bU,     0x8cc81f94U, \
    0xd6fa26f1U,     0xbd6be857U,     0x36d07004U,     0x56c3cb39U, \
    0x13cb4827U,     0x035210a9U,     0x482ab8d2U,     0x1f958ae2U, \
    0x8a2546edU,     0xa0d72595U,     0x137ecc6dU,     0x5e8e4868U, \
    0xf3269bfbU,     0x3f0a870dU,     0x831f05f8U,     0x87fa0513U, \
    0x28f7f6aeU,     0xfaadbbb4U,     0x20669832U,     0xea5aee0bU, \
    0xf132ed70U,     0x4e1c7ee3U,     0x3e7c7b59U,     0x37ce0b46U, \
    0x86f15aa0U,     0x473964d2U,     0xe384ec01U,     0xea71b11fU, \
    0x05151e99U,     0x4f4e82e4U,     0x05a84decU,     0x71f09194U, \
    0xae53e83bU,     0x2c39de82U,     0xf31852f6U,     0xe2cc4d0eU, \
    0x41fb10a4U,     0x6d2998ecU,     0xc3bc6cb9U,     0xba83ce04U, \
    0x4bd54a11U,     0xed195f99U,     0xdc738affU,     0xaf2fad51U, \
    0x17d74713U,     0xe8085478U,     0xa89f998aU,     0x49cd88c2U, \
    0x47751883U,     0x85529760U,     0x77f1c541U,     0x3d90a538U, \
    0x06db31adU,     0x06d75c3fU,     0x9913a4f7U,     0xca086ec1U, \
    0xa59aff5bU,     0xdb80484bU,     0x3e54b415U,     0x65f5be80U, \
    0x561f939bU,     0x7439aae8U,     0x9d7bd474U,     0xae8e4e56U, \
    0xa01e213bU,     0x5b58874eU,     0xacac1dd1U,     0x3bed3e03U, \
    0x839d0e7bU,     0x4597bf01U,     0x6b1bd210U,     0xa5e4bca0U, \
    0x58cfa559U,     0x4aca1086U,     0x49968220U,     0xbaefd751U, \
    0xb3fe2171U,     0x5ca5a5efU,     0x3f399cd1U,     0x1284367fU, \
    0x37a6c3d2U,     0xdb5b657dU,     0x5f30b8e2U,     0xe5e89907U, \
    0x3eaa8249U,     0x0fe0c3a1U,     0x91933017U,     0x0a4ea5ecU, \
    0x07807f3bU,     0x1855a00bU,     0x4f14b76aU,     0xe9b9ff50U, \
    0xb2447479U,     0x406795cfU,     0xf36ad475U,     0xe02eed80U, \
    0x810ded1fU,     0xb638f2d2U,     0x0b3407d0U,     0x1dfdeac8U, \
    0x817af365U,     0xa42802b0U,     0x82711b38U,     0xdc10e1d3U, \
    0x212bf180U,     0x04ebeb04U,     0x28283327U,     0xaffb7f17U, \
    0xe5313bfeU,     0x8d9dcba8U,     0x600edab5U,     0x34cb1e6dU, \
    0x03b429f7U,     0x3e808d95U,     0xacaa09a4U,     0x77c8db5eU, \
    0xec767845U,     0xcce6263bU,     0x455af30dU,     0xb60b0678U, \
    0x0da17fd3U,     0xe8fd2548U,     0xc8bec669U,     0x4799afa6U, \
    0x4ebeaa46U,     0x44a5c2acU,     0xa5458ce0U,     0xcff7016cU, \
    0x5c33ab7aU,     0xac278a39U,     0x00a3dc11U,     0xba42c72bU, \
    0xd08c21f1U,     0x3dbe223dU,     0x933d6fa4U,     0x602860faU, \
    0xeb635e24U,     0xd28048b3U,     0x3cd3fc3cU,     0x654cb16cU, \
    0xf5b70d65U,     0xc4793583U,     0x82aa76e2U,     0x9d942c85U, \
    0x031365deU,     0x112b9461U,     0xf71a01c9U,     0x39cdcb19U, \
    0x60cbb476U,     0x8e1b0d84U,     0x73534c93U,     0x191ec0cbU, \
    0xf9cd35f5U,     0x860b4d4dU,     0x3e3c0241U,     0x14af6653U, \
    0x5c105038U,     0x3b7d4facU,     0xc93cf7b2U,     0x7541ac10U, \
    0x145ad960U,     0x47ec2fbcU,     0x7f6d0343U,     0xd3a1b3fdU, \
    0x3ba9ec59U,     0x992b12d1U,     0xed062017U,     0xed3578c9U, \
    0x46c3dc84U,     0x14b1cae8U,     0x192490dcU,     0x251d66e2U, \
    0xb5fefd51U,     0x5cde248aU,     0xd61d4592U,     0xd31624fbU, \
    0xf7ace385U,     0x2ffc6bc2U,     0xf53f91cbU,     0x42b84bb3U, \
    0xf3dbef8aU,     0x19160b46U,     0xc41147f3U,     0x248dad93U, \
    0xf46e08c6U,     0x65a79863U,     0x53569af2U,     0x371b5e52U, \
    0xccc05e73U,     0xe630511aU,     0xf6c3fb9dU,     0x2571f6e5U, \
    0xfaf0eec5U,     0x844ff1c2U,     0xd38384ddU,     0x7e14a414U, \
    0x2659fdbeU,     0x4b998811U,     0x77a74820U,     0xc92cfbecU, \
    0xd9219048U,     0x1a167b92U,     0x8d1f7384U,     0xa096d364U, \
    0x186169f4U,     0x0e8328aeU,     0x3394a285U,     0xc5d57f0eU, \
    0x855179b3U,     0x2a8f8dd0U,     0x296586adU,     0xe54e19abU, \
    0x6a697b0bU,     0xa091986bU,     0xbe911e5dU,     0x6b95386bU, \
    0x3380a13aU,     0x04316f30U,     0x3a07ac27U,     0x59b87cb4U, \
    0xc407455fU,     0xaee3fab2U,     0x92499c37U,     0x0f0931dfU, \
    0x96345a1dU,     0x8301a9c4U,     0x8fa7a000U,     0x42c36c51U, \
    0x523fab27U,     0x560169ceU,     0xc98105fdU,     0x58db9508U, \
    0xf999f20cU,     0x6a96666cU,     0xe908aed4U,     0xe3c88da1U, \
    0x5eb17b98U,     0xab77c5d0U,     0x2697f9d8U,     0x5efc54c5U, \
    0x535f689aU,     0xc2b19d0fU,     0x3134b6c7U,     0x468e762aU, \
    0x1d8b2e80U,     0xc173884eU,     0xe1c85b27U,     0x79d70081U, \
    0x2872a78bU,     0xa2968551U,     0x6e096169U,     0x81f3f3abU, \
    0x19ac66c1U,     0x604d978cU,     0xce49f0f5U,     0x97e0a253U, \
    0xbdf8b90cU,     0xa0e53cebU,     0xf4b09e92U,     0x776e53d5U, \
    0x1bbfaa52U,     0x9ab09f30U,     0x329a7689U,     0x764dae90U, \
    0x16d5415eU,     0xc80756d9U,     0xbbe9bfc4U,     0xc45116e6U, \
    0x4d0b48b5U,     0x6a36edc2U,     0x1ce22c36U,     0xa041e51dU, \
    0x11521e76U,     0x04a7e135U,     0xa6d125e0U,     0xe6db4dcfU, \
    0xf25cd67dU,     0x69557e90U,     0x62ea7bd3U,     0x3c7a4269U, \
    0xcd009286U,     0xb2737d9eU,     0x465cb947U,     0xa9eb91e0U, \
    0x281b689cU,     0x3fbd31a7U,     0xaa925affU,     0x0ce8e166U, \
    0x4c0e75ebU,     0x903ca264U,     0xda87c79cU,     0xd73795d4U, \
    0x919e430eU,     0x017226fbU,     0x015699e3U,     0x4124868cU, \
    0x4aa763dbU,     0xdd5ea9aeU,     0x7b62488bU,     0x16a28ce9U, \
    0x4da0852dU,     0x9377a2ccU,     0x3f227371U,     0xe3d830b9U, \
    0xc6db5f7dU,     0xbf7fb2bfU,     0x99a3a688U,     0x989c18b4U, \
    0x86581250U,     0x7c62f4d0U,     0xdcebf61aU,     0xe875f759U, \
    0xc8695bc5U,     0x6b4ebcbeU,     0x33468be6U,     0x0f429df9U, \
    0x0e705c6eU,     0x14b5ab7fU,     0x43410a8dU,     0x28e4c748U, \
    0x3b31e139U,     0xf54048ffU,     0xe15ed7c7U,     0x690c8c1fU, \
    0x4de77c60U,     0x53f3fe48U,     0x16aa22bdU,     0xa47ae0b8U, \
    0xba1f4acfU,     0xf43be3edU,     0xe8b305ceU,     0xc0dd38a0U, \
    0xfa4aa027U,     0x18ca4b2cU,     0xc10d7088U,     0xbfb157a5U, \
    0x2cfe7583U,     0x781095deU,     0x7f552b85U,     0x67d873eeU, \
    0xf4584ce0U,     0x11aa8096U,     0x9fb50322U,     0x688fc577U, \
    0x11cd7f8fU,     0x1ec411f9U,     0x9d33292aU,     0x56c68379U, \
    0x3b5530ffU,     0x846ecce0U,     0x825a572eU,     0x5d4ba756U, \
    0x77944abeU,     0xf670958bU,     0x9e31624aU,     0x6cd6f672U, \
    0x299bd557U,     0x3bf0067fU,     0x72eb5e6fU,     0xfeb15564U, \
    0xcd555c87U,     0x456799d6U,     0x0db208b1U,     0xca0e1346U, \
    0xfe9909caU,     0x87d0a843U,     0x5dce9ea9U,     0xdb3a8f69U, \
    0x191b9954U,     0xaef12cc7U,     0xf91c6b64U,     0xce0f34b2U, \
    0x4417d264U,     0xc24aeb51U,     0x1efd94ecU,     0x39d7860eU, \
    0x5fc18a50U,     0x58d9747cU,     0x3b32aa76U,     0xb6c704f2U, \
    0x49aec10fU,     0x3c026143U,     0x840a062aU,     0x55bc9878U, \
    0x48be15d6U,     0x2b351b01U,     0x3712f1e8U,     0xa97e0b80U, \
    0x686bfe47U,     0xda5d687cU,     0xa46f4425U,     0x792d1f1dU, \
    0xb51905b3U,     0x1d9325dfU,     0x18a2f031U,     0xb05a22e0U, \
    0x23b50931U,     0x51a5f8ddU,     0xe0ae6edeU,     0xfb2c54a5U, \
    0x2bcdb37aU,     0x00f1bbbfU,     0x7daa9879U,     0x05b448f8U, \
    0xf3f375e0U,     0x38b8ce94U,     0x072a3c4eU,     0xc6f24f77U, \
    0x0657f1bbU,     0xbd6efc27U,     0x68ac90faU,     0x8cfd1f41U, \
    0x24847a92U,     0xa7a651eeU,     0xbdafe9f7U,     0xdc20b123U, \
    0x4fcfc9caU,     0xd7a40a28U,     0xaf265549U,     0x6f1947f1U, \
    0xf42fbfa7U,     0x1de096dbU,     0xe2a4d24cU,     0xf767ea81U, \
    0x6350067fU,     0x2f57501fU,     0x96c29039U,     0xbd18a88eU, \
    0x83aad834U,     0xfb80aba6U,     0x7b76b3c5U,     0xae53feefU, \
    0x5b8110f2U,     0x7f6820fdU,     0xf98e666eU,     0xe4728ed3U, \
    0x8301039fU,     0xf06aea75U,     0x25dede47U,     0x2d4aab4dU, \
    0x84866c44U,     0xb215d07aU,     0x1da4bb04U,     0xd4d8679eU, \
    0xa7a9fb4aU,     0x8167e0ffU,     0x6bf470a2U,     0x73c1c3b9U, \
    0x572da5dfU,     0x17cdb0f6U,     0x148f80cbU,     0x07a2397aU, \
    0xd2c27840U,     0xb996818aU,     0x42235b73U,     0x2930bbb6U, \
    0x8edd2a61U,     0x5113dbf6U,     0x93a4f9ccU,     0xd8ab5ba7U, \
    0x05198cd5U,     0x4746c03cU,     0xba7319bbU,     0xd1934395U, \
    0xce96cdadU,     0x339730daU,     0xcd787237U,     0xd7e1b5fbU, \
    0xf60314b9U,     0x93bfa403U,     0xe4ec96c0U,     0xee09fc4bU, \
    0x40ca69cdU,     0x9c0e052bU,     0xf35db2b7U,     0x51fcc4aeU, \
    0x59d0fba7U,     0x220ff044U,     0x1eef7d08U,     0x035d7d01U, \
    0xf001a28aU,     0x82568148U,     0x2498b245U,     0x001a0b77U, \
    0x568935e5U,     0xd82bbd11U,     0x41f35c5eU,     0xb1977352U, \
    0x4554569eU,     0x03a1042eU,     0x3a3eaf7eU,     0xc614a568U, \
    0xe79c4d86U,     0x4ec3b24eU,     0xf822ec3fU,     0x3fdb155bU, \
    0x0c9833ebU,     0xe9c21d9cU,     0x428bb8f4U,     0xb5280087U, \
    0xdc5df51cU,     0xdfdb87d6U,     0x5a0d1908U,     0x49168483U, \
    0x88c70740U,     0x8db4b0a2U,     0xfa4e4329U,     0xb3add616U, \
    0x1e821399U,     0x7ae7a11bU,     0xc314dfdeU,     0xb42b67cdU, \
    0x7de43255U,     0x1ccfc711U,     0x1acae94dU,     0xb1eeef0dU, \
    0xf642c7e1U,     0x06b628ceU,     0xe672bb05U,     0x330b5a54U, \
    0x927830edU,     0x440c4482U,     0x26a977e0U,     0xf66ede7eU, \
    0x378198b3U,     0x9da6ca8eU,     0x561312d1U,     0xbe442605U, \
    0x53939f09U,     0x550853a4U,     0x0ae23a68U,     0x79e8cf52U, \
    0x9e6f92e8U,     0x0fc98ea5U,     0xd0532260U,     0xb2d51217U, \
    0x2b652d0eU,     0xa43c5525U,     0x543d9d09U,     0x1176a31aU, \
    0x79b62bf5U,     0x2e1ebcd8U,     0x8451db16U,     0x2d22ced3U, \
    0xf9463fbaU,     0xf6264303U,     0xdd41638aU,     0x69888febU, \
    0x70eb65b6U,     0x3b6070f9U,     0xd996b84aU,     0x18aad5b8U, \
    0xbc3063dfU,     0x79a9f379U,     0x1eec86a6U,     0xfda385d5U, \
    0xc0ec8429U,     0xa08d90ccU,     0x44f5afa8U,     0xe7229c94U, \
    0xa0eb9a2eU,     0x234c6d50U,     0x03cbdb67U,     0x5974126aU, \
    0xfc91aa92U,     0xc436fac3U,     0x88e82067U,     0x42360632U, \
    0xc57c6ad1U,     0x41b61d8cU,     0x7ce1ab6fU,     0xe433d2feU, \
    0x676d74b7U,     0x72daae9eU,     0xcabb0a9eU,     0xca628bd8U, \
    0x9af554e7U,     0xeddaf568U,     0xdf99cb84U,     0xf9ce7dd0U, \
    0xbb0b2f5fU,     0x99b28c64U,     0x9c9ca9f1U,     0x06bf947dU, \
    0x9381a99eU,     0x2a1b7daaU,     0xe7577289U,     0xe6b94227U, \
    0xd5c5453bU,     0xae8ae151U,     0x4b99e222U,     0xa6c87c0dU, \
    0x50987f45U,     0x93e631abU,     0x5132abbbU,     0xa430b327U, \
    0x8373cca5U,     0x541f59abU,     0x9006d161U,     0xc96e26f3U, \
    0x3b38c512U,     0x6b739afbU,     0x0a2e8bb2U,     0x55b719bcU, \
    0xd81e9d06U,     0xe604aff8U,     0x553c69b5U,     0x5d1a4a6aU, \
    0x213994b9U,     0xc28d0ae9U,     0x49aa380eU,     0xa3569cd2U, \
    0x27eed1e3U,     0xca6f17a9U,     0xf2a5cac0U,     0x0f0cae03U, \
    0x0a582e0fU,     0xfecd6ad8U,     0x915e984eU,     0x325c0179U, \
    0xc265357bU,     0x2f62f29bU,     0xf93cb41fU,     0x8b6e2fbdU, \
    0x6b1dcef4U,     0xbc18609bU,     0xd18b89efU,     0xc09c0b61U, \
    0x06af966fU,     0xa76bb1abU,     0x10429447U,     0x986e5e28U, \
    0xd7940a40U,     0xb9476c9eU,     0x0e675845U,     0xbe881bf6U, \
    0x10ae97acU,     0xa1356d92U,     0xbcc3b64fU,     0x09925ce5U, \
    0xa073bba9U,     0xc6d4962dU,     0x6cbb45dcU,     0xf309bdacU, \
    0x29fc114cU,     0x27c80490U,     0x0540afbaU,     0x787456a7U, \
    0x22482396U,     0x73724d97U,     0x8588cc27U,     0xa34d1aabU, \
    0x23ad18d3U,     0x7f23a888U,     0x4e9f706cU,     0xe0bcd416U, \
    0x0f0b1588U,     0xd5f60e89U,     0xc8a6292aU,     0x78906a8aU, \
    0x46c7b970U,     0x70f2cf2aU,     0x88b9b82dU,     0x7d8508eaU, \
    0xa03a370eU,     0x92c4411fU,     0x57cbaf9dU,     0xf2dc732aU, \
    0x44a6bef2U,     0xd6632b0cU,     0xcea584b1U,     0x1bcdcc60U, \
    0x872b2b86U,     0x467e56d5U,     0x14924ba4U,     0x10cbe1abU, \
    0x50782b91U,     0x605e201dU,     0x167824f7U,     0xbdce7e0bU, \
    0x4450a9b8U,     0xb68af4e5U,     0xc55033b0U,     0x92382d8dU, \
    0xaf08a8d7U,     0x617fb267U,     0x0f2161efU,     0xfb274517U, \
    0xaa1c4edeU,     0xfb511aa2U,     0x4c71af38U,     0x13f8805aU, \
    0x0b3e2bf9U,     0xefd494aaU,     0x2f1a23a2U,     0x55d88055U, \
    0xb931a16fU,     0x22d3dc63U,     0x15972839U,     0x3d86efafU, \
    0xfe5f8ebcU,     0xd2d4829eU,     0x60f0274fU,     0x1f02fec2U, \
    0xa051b166U,     0x490f2663U,     0x23388157U,     0xf9b94fe2U, \
    0x470b9e1bU,     0x8e3dbf29U,     0xbdec7233U,     0x7fea51c1U, \
    0x7b32232aU,     0x47a0622fU,     0x52d58853U,     0x606cdfc8U, \
    0x5445d431U,     0x70c5bccfU,     0x59d2bf94U,     0x802f6e06U, \
    0x193d32b6U,     0x7d1a15a0U,     0xc84749f6U,     0xf2f451d9U, \
    0x392af447U,     0x95a5682cU,     0x31320f64U,     0xa3fdd087U, \
    0x19e309f2U,     0xaf63c341U,     0xf151dd15U,     0xe8c06169U, \
    0xa9d3764fU,     0x8e58f2efU,     0x132067f6U,     0x41294b2fU, \
    0x168e4fbdU,     0xd8453e9fU,     0xbae3f728U,     0x2f72c14cU, \
    0x6d222c02U,     0xe767479eU,     0x667ee333U,     0x97f77c68U, \
    0x7e618b48U,     0x2dca7e2aU,     0x40d08dcaU,     0x8c340d5dU, \
    0xc39361d3U,     0xa5ee328eU,     0x69752cccU,     0x3ecc7b02U, \
    0x6b707a0aU,     0xa7abc32eU,     0x0b49dc56U,     0xaccb15d1U, \
    0x22654415U,     0x21db9810U,     0x3c0aae42U,     0xba670f87U, \
    0x2f812a6eU,     0xe44fc971U,     0x884fb0c8U,     0x0883854eU, \
    0x6df6c7efU,     0x4ccbade8U,     0x4befff82U,     0x74be21b0U, \
    0x81e18b68U,     0x4410ec3aU,     0x468ce076U,     0x8b237ec7U, \
    0xfb2257f6U,     0x1f8d5e98U,     0xca52dc83U,     0x6d3b4802U, \
    0xb259009eU,     0xa3e91175U,     0x28f3836bU,     0x5c4530afU, \
    0x047159eaU,     0xe7792a85U,     0xea9dbd6bU,     0xb5e19d43U, \
    0xa46296e0U,     0x22cf4166U,     0xe6a0597bU,     0xbe45a0deU, \
    0xac946764U,     0xc17bd644U,     0xff942eafU,     0x5fe14073U, \
    0x124802daU,     0x6b862cadU,     0x42454f60U,     0xc2826ea7U, \
    0xbfa928faU,     0x209c8585U,     0x853b5cfdU,     0x6ceeea9bU, \
    0x9e7eb356U,     0x97d96b5bU,     0x9b7182e8U,     0x026deef4U, \
    0x31d3b460U,     0x1f2a2d96U,     0x4e319712U,     0xb79fb92bU, \
    0xbf86720aU,     0x81d773d9U,     0xe1c8ccbbU,     0x8864c173U, \
    0xb2c34bb9U,     0xb6f2bd87U,     0x0a7e5cefU,     0xa8ec92c3U, \
    0x5250a329U,     0xeaeddcf9U,     0x11d3ce84U,     0xa17edecaU, \
    0x3c38c9bdU,     0x95152bedU,     0x6211e0e9U,     0xc22daba6U, \
    0x3a2a519eU,     0x24011e2bU,     0x4327f595U,     0x6ba4d45bU, \
    0x44a4e1edU,     0x2d67c535U,     0xf7f0d70eU,     0x29b262b2U, \
    0xba90571aU,     0x589ec887U,     0x1f2d3cfcU,     0x3699dd21U, \
    0x71b5d5c0U,     0x5e7a1bf1U,     0x5de7a3e7U,     0xaf906109U, \
    0x15eaf05bU,     0xfdc9d96fU,     0x68093887U,     0x9186d33dU, \
    0x59c783e4U,     0xa642e608U,     0xeb01ec1cU,     0x540fd556U, \
    0x379eed77U,     0xaca04967U,     0xe0fd9029U,     0xd7f0d193U, \
    0x14545073U,     0x2da5aecdU,     0x40747f96U,     0x173d6239U, \
    0x2060202fU,     0x6fbc2316U,     0x7f5d92b5U,     0x1bf72831U, \
    0xdf872c23U,     0xbeaa1620U,     0x5294ecaeU,     0x07b7aa55U, \
    0xe58c5de6U,     0x693ed0c3U,     0xe70cd768U,     0x7fcf5f14U, \
    0xedd1f7abU,     0x3eedd9feU,     0x9d4837a6U,     0x7e3c1603U, \
    0x6796b3f8U,     0x25d43337U,     0xffd171f3U,     0xb5dc7c0bU, \
    0xe7a6d1e6U,     0xcddd3ac8U,     0x22cb1b7eU,     0xe6fc3fe3U, \
    0x7613bf38U,     0x7677cfddU,     0xe693d886U,     0x3afe9a44U, \
    0x3b4bb305U,     0xfea7d265U,     0xc01dfd41U,     0xd4f55c4cU, \
    0x18442cb3U,     0xe14d0887U,     0xeb6468dfU,     0x9dce32f9U, \
    0xe804d9f5U,     0x7c320a38U,     0x02c8802fU,     0x9d6c3f7dU, \
    0x7506a61dU,     0x9cbdbbf2U,     0x0f405224U,     0xa52a25c7U, \
    0xcd123cadU,     0xee18ab57U,     0xf678b9f4U,     0x822a44e8U, \
    0xc3892a43U,     0x71ca76feU,     0x631a48c3U,     0xa944a17eU, \
    0x187bb4e6U,     0x0b4d889eU,     0x564dc0d6U,     0xd074425eU, \
    0x0b752bfcU,     0x3cd42933U,     0xa317d808U,     0xeeccf082U, \
    0xb771954cU,     0xe21a1c1cU,     0x856da916U,     0x2bf9a4fdU, \
    0xbea79ac6U,     0xb7a16a5cU,     0xd71b9cc7U,     0x2af0efd3U, \
    0xb8a0c310U,     0x037ac30eU,     0xab620f24U,     0x2535914bU, \
    0x61315ce4U,     0x7b14d940U,     0x2069cecbU,     0xd32491fbU, \
    0x887d0406U,     0x371c039fU,     0xd57f13f3U,     0xc78044d3U, \
    0xe5ab7234U,     0x9180d00bU,     0xf198f62fU,     0x0b647ae3U, \
    0x2ab94185U,     0xdc3e980aU,     0x110e8640U,     0xa621db5fU, \
    0xde73012fU,     0xf059eadfU,     0xc54ecb97U,     0xef220cd3U, \
    0xe0157c2fU,     0xa8c295a0U,     0x7a72d3e7U,     0xa43bace8U, \
    0x0231f52eU,     0x862b095fU,     0x1b63ffebU,     0x7f9ebb44U, \
    0xaaab0374U,     0x1796048cU,     0x1be86216U,     0xc73d5b83U, \
    0x33f0120aU,     0xf2ac5311U,     0x0362f0cbU,     0x41e3803cU, \
    0xbdd68515U,     0x2759aef3U,     0xd492c8e5U,     0xd4e8e34bU, \
    0xc2034700U,     0x0aacbf95U,     0x326f9b40U,     0x0bab2c8eU, \
    0x8f17898aU,     0x2ce0beb0U,     0x2a0b8febU,     0x36d11de0U, \
    0xa4251d5eU,     0x6b0f52a6U,     0xb2a56596U,     0x19bc6b2eU, \
    0x6ff721c8U,     0x2170d052U,     0x0a1dd85fU,     0xf6712c13U, \
    0x5fcbc8b2U,     0xb9c4cc3cU,     0xa8c38fc0U,     0xd5e89fe4U, \
    0x10349b9bU,     0xc4c3b8c9U,     0x260ba977U,     0x76ac9016U, \
    0xe1597f2fU,     0x5919e53aU,     0x54f9378fU,     0xdd60d732U, \
    0x0b9c6aa5U,     0xb313deceU,     0x2caa983aU,     0xe8dfe677U, \
    0x990c9db7U,     0xb9e6b406U,     0x4cc46477U,     0xc889a1e9U, \
    0x0ee7c9beU,     0xce0797adU,     0xc8fbc47aU,     0xfd5333ebU, \
    0xbf08e1acU,     0x32fdf4c8U,     0x565ec710U,     0xd7024c05U, \
    0xc1869375U,     0x2d893119U,     0x64d5625dU,     0x8e8c643fU, \
    0x341d920dU,     0xa5b70a32U,     0xe20d8004U,     0x49a76730U, \
    0x91e269b8U,     0xc382ab1bU,     0x2e96cc77U,     0x14b090feU, \
    0x779c4a68U,     0xfb1e79a3U,     0x70ed0d43U,     0x6b4461bbU, \
    0x243ed0a6U,     0x74202c6fU,     0xe0a7de75U,     0xe1f1dae8U, \
    0x374dfd63U,     0x4fce4369U,     0x6697fc35U,     0x01422761U, \
    0x3815b8a9U,     0x078ad998U,     0x67e0362eU,     0xa67d4f92U, \
    0x132fd949U,     0x90163044U,     0x89dc9c23U,     0x888c521dU, \
    0x565f9072U,     0x27e281b5U,     0x26df1e1eU,     0x151e8945U, \
    0xb8dd1ffdU,     0xbb2bffb9U,     0xe81c629eU,     0xdf44b419U, \
    0x7467a6c7U,     0x7ac599e0U,     0xf7df95edU,     0xaefced78U, \
    0x1e3d5cd2U,     0x1d6a2412U,     0xdb26c1b1U,     0xdaf0f485U, \
    0x8fd61b84U,     0x7757f727U,     0xac98fbbbU,     0x867858b1U, \
    0x910d5b54U,     0x3457c82aU,     0x7716b55dU,     0xd280bcf0U, \
    0x9833827cU,     0x60165934U,     0xbef8c3fbU,     0x702ce748U, \
    0xd13ed281U,     0x29731190U,     0x96733c5fU,     0x2de85dbdU, \
    0x199e60b0U,     0xf94d8ccfU,     0xd3a39f35U,     0xeec2d8b2U, \
    0xea0df7f7U,     0x2caad078U,     0x0f64068dU,     0x335bfa5aU, \
    0xb7886a51U,     0xd7705882U,     0x56363ccdU,     0xe4ca615bU, \
    0x34961d3aU,     0x7bc77665U,     0xb4466471U,     0x22d8f9e7U, \
    0x4bc87245U,     0x7eebfd75U,     0x059d0b0dU,     0xe5385722U, \
    0x71f3a4afU,     0x637764baU,     0x3dda5cadU,     0x4d019b0cU, \
    0x778495efU,     0xd8166d3bU,     0x9d635e50U,     0xc06772e7U, \
    0xdbb7477fU,     0xfbd72ec8U,     0x6a6e8636U,     0xbf699fc3U, \
    0x264794edU,     0x26f793f8U,     0xcbb7ae36U,     0x81be7c93U, \
    0x1d32aec3U,     0x983865bcU,     0x05031430U,     0x3926a049U, \
    0xb95affebU,     0xb79f6784U,     0x963e5cf6U,     0xfc3a920fU, \
    0x94c5125fU,     0x48cadcc8U,     0x02ff8f1cU,     0xd600ae3bU, \
    0x9ca86611U,     0x165bd981U,     0x7c26a3ddU,     0xec8822aeU, \
    0x883d2062U,     0x5f0c92eaU,     0x3134928aU,     0x5ff9daaaU, \
    0xd55d3d87U,     0x1e3989d9U,     0xe9313812U,     0xa924f119U, \
    0x6b4ef92dU,     0x7e6f5f28U,     0x64638ccfU,     0x4fc3dd72U, \
    0xf29ea75dU,     0x55c5f2f4U,     0x44c246bcU,     0x19d5b9fdU, \
    0x40d56cdcU,     0xe4a4b621U,     0xcf8ff6a9U,     0x7f3eed09U, \
    0x407c4591U,     0xdbf910a8U,     0x18829d5bU,     0xe853f9bcU, \
    0x18429a2bU,     0xccbe5b81U,     0xed848b10U,     0x82efbcaeU, \
    0xa2578139U,     0xfceb35faU,     0xa053862fU,     0x72813862U, \
    0xc578967bU,     0x1b993dddU,     0x06cb3b8cU,     0x1a37b14cU, \
    0x2448fb10U,     0xd1cbc9b4U,     0x0d62492dU,     0xa4c01a9eU, \
    0x61be4694U,     0xa6900218U,     0x41d339faU,     0x25766665U, \
    0x301297e7U,     0x7b0b9b73U,     0xb5257097U,     0x23408bb3U, \
    0xb1c14eb4U,     0x5735f18dU,     0xce04336cU,     0x9e033f8dU, \
    0xee9e206fU,     0xab44a985U,     0xa1ac6f48U,     0x7c8a211fU, \
    0x2b37a9f6U,     0x43ad3560U,     0x5dd22c44U,     0x914e2bc9U, \
    0xdde112f0U,     0x9b1409d7U,     0xebe0ee18U,     0x4a9dcebcU, \
    0x5e696461U,     0x9e159f26U,     0x0997a069U,     0x9b40f0cfU, \
    0x98f44255U,     0x2c9bebc3U,     0x7db7a2cfU,     0x9034bc32U, \
    0x1c0f8496U,     0xf727523cU,     0x4c859203U,     0x34b468bbU, \
    0x61f78bf2U,     0x25fc4976U,     0x38344769U,     0xf3f3e26fU, \
    0x655e9e65U,     0x0197ee0cU,     0x0811b83eU,     0x4063338fU, \
    0x745b5311U,     0x88ba3498U,     0x1ef2c7afU,     0x1e431037U, \
    0xccbed4fcU,     0xb31a3594U,     0x0fdc81c2U,     0x6f93bb86U, \
    0x124e6b64U,     0x8c4208e0U,     0x175e0bd8U,     0x12ef01dfU, \
    0x0b703433U,     0x0872eaaaU,     0x60515360U,     0x4c39aa60U, \
    0xc60605ceU,     0x80c3c709U,     0x303e4f0cU,     0x2dbda6e8U, \
    0x47842ddbU,     0x35fdfe5aU,     0x2d57f23dU,     0x7a7ab550U, \
    0xc5282e85U,     0x19412b32U,     0x80959d0cU,     0x418c82b0U, \
    0xc97764e5U,     0x0e42068bU,     0xc81d8cd1U,     0x5e6444bcU, \
    0x22826940U,     0x351e5683U,     0x9babfd90U,     0xfa1f10f7U, \
    0x6340e226U,     0x390aa681U,     0xa0aa5427U,     0x5344dfe8U, \
    0xd745c0abU,     0x363dab11U,     0x64fc03cfU,     0xab6df1abU, \
    0xcc496b69U,     0x042e1ff5U,     0x34ec04cdU,     0x0865e261U, \
    0x44319dd3U,     0xe8f88ce6U,     0xcb783073U,     0xd2a9a1f4U, \
    0xb119ebd4U,     0x7a3720e8U,     0x6ab74c4aU,     0x0d0a19afU, \
    0x16cb1f76U,     0x7d8f281aU,     0xadaebb71U,     0x6fddc1e3U, \
    0x2ef49fd8U,     0x8605065aU,     0x90a1d1a6U,     0xc4d419d8U, \
    0x11734cd5U,     0x6c974a01U,     0x08917241U,     0x6055276aU, \
    0x67b7dd6bU,     0x618eddffU,     0x9c09f286U,     0x475f7cddU, \
    0x4bb88a36U,     0xa61b81aeU,     0xa37f510aU,     0x49b01670U, \
    0x4cb3d509U,     0x75d40a69U,     0x6cfaaa57U,     0xd221f891U, \
    0x17feab83U,     0x87e33d8eU,     0x9802555aU,     0x075bbb6aU, \
    0x2a0d5de9U,     0xc9a04f60U,     0x33c778abU,     0x1474b4c9U, \
    0x790fc9d9U,     0xaf59b36eU,     0x2cba8fcfU,     0xbaad5c6cU, \
    0xdfadb628U,     0x618201f1U,     0xd66c67c7U,     0x6eefd57cU, \
    0x00330a15U,     0x6c79cfa7U,     0x447ccfaaU,     0xea6829f2U, \
    0x8e14ab18U,     0xc05961baU,     0x98884c38U,     0xdbf6f8c0U, \
    0xe4b7dce3U,     0x07b90779U,     0xd203a1afU,     0xa728a0b2U, \
    0x4d5a3c00U,     0x3514ffcfU,     0x46b9b6e1U,     0x86ad5159U, \
    0xfa8e401aU,     0x9bd7efa9U,     0x352302ebU,     0xbc22c403U, \
    0xd5030b6eU,     0xa9ff32d6U,     0x98caa39cU,     0x1884eae2U, \
    0xbfd80da4U,     0xca36eee6U,     0xa7c55e0aU,     0xfcbe4ceaU, \
    0xfe32c5b8U,     0x763a702aU,     0x3cb3bb29U,     0x3587bcddU, \
    0x1341dbcaU,     0xa1f289adU,     0x5eeb853fU,     0x4e45eb23U, \
    0x50a88c97U,     0xacca7897U,     0xb451c117U,     0x2d7fa581U, \
    0x6e237d4cU,     0x79c41626U,     0x9d545be9U,     0xd4ebf1d5U, \
    0x1f05cb33U,     0x13a934f1U,     0x8a7e3382U,     0x9c935153U, \
    0x7db7d609U,     0x86686a38U,     0x66967fb7U,     0xfca1c495U, \
    0x4dd5bc8bU,     0x56ebe857U,     0x12e683c1U,     0x580a5749U, \
    0x12784a37U,     0xf676ba2aU,     0x3449e9b8U,     0x7f04b270U, \
    0x6389a1c4U,     0xa44776efU,     0xce6d5e75U,     0x98be3bbaU, \
    0x3a3a2b19U,     0x2f4dfcc8U,     0xcceedf2bU,     0xff1b002bU, \
    0xe4202de3U,     0x599ec749U,     0xf7e83ab9U,     0x0bd83d84U, \
    0xacb42a9eU,     0x3155fabdU,     0x5d40766fU,     0x0e919d36U, \
    0xdc7c969aU,     0xbc312a70U,     0xe155a6daU,     0x06edb1d0U, \
    0x9cc1cbf5U,     0x2cd177dfU,     0x932338edU,     0x76c1e009U, \
    0xa8386605U,     0x33399508U,     0x4ed20ce5U,     0x2c649624U, \
    0x33ca3c4cU,     0x94e4db40U,     0xe6dfbf25U,     0xe2cd2b22U, \
    0xb3d88ed4U,     0x9f700fe2U,     0x5d010a72U,     0x0fda79c4U, \
    0x945a954cU,     0x4350fe3dU,     0x7043c652U,     0x8ec9ccc1U, \
    0xdc6055ebU,     0x1e2c7084U,     0xafc2dabeU,     0x143db01bU, \
    0x912a2e88U,     0x57ea63efU,     0xe7598cf5U,     0x99aad6feU, \
    0x5445a244U,     0xe499c7baU,     0xcdb0c84fU,     0xbfc38a68U, \
    0xc9ab4b8cU,     0x1b52b143U,     0x8d6e6f6dU,     0xd9c5cd89U, \
    0x96f594d3U,     0x6c3beb4bU,     0xca5bf6b7U,     0x95ec2504U, \
    0xcf775dc9U,     0x16053b86U,     0xb10a420aU,     0x0b409ef6U, \
    0xadc77929U,     0xfdc1aa2cU,     0x7e07bbe4U,     0x5fce80c4U, \
    0x0838366eU,     0xdd98714dU,     0x80c14c3fU,     0xce043b07U, \
    0x716a3fc3U,     0x4b682635U,     0xe44e4776U,     0x3fa8f330U, \
    0x55c8df1dU,     0x6586ec66U,     0x36cc6079U,     0xcb97df2fU, \
    0xb2071e1dU,     0xb1974969U,     0x36bf4317U,     0xd150688bU, \
    0x2dd56284U,     0x91c3c464U,     0x9d9770b9U,     0xad01000fU, \
    0xf4929e23U,     0x0add53ceU,     0x9f215190U,     0xcd934d93U, \
    0x8462a719U,     0x4aa9567eU,     0x36654831U,     0x1cf4889dU, \
    0x58fb6987U,     0x0fd3cef9U,     0xa5fe292fU,     0xf3884f10U, \
    0x1fc49d65U,     0x2108ee93U,     0x51d3e319U,     0x33373323U, \
    0xdd6c452dU,     0x557ccc31U,     0xdba3d110U,     0x3728cc2fU, \
    0x6285a1cfU,     0x84a86babU,     0xf1746712U,     0xe8e0ae0aU, \
    0x8b2c64eaU,     0x6b1d8590U,     0xaa0d8483U,     0xda830919U, \
    0x7a44498eU,     0x87b4ada5U,     0xf4ddac3cU,     0xd986f63bU, \
    0x9b344390U,     0x795b1bcbU,     0xb8f2839fU,     0x495477f9U, \
    0x03709c28U,     0x692d8d15U,     0x6e3208a6U,     0xa2624582U, \
    0x46d32c64U,     0xbc072bc9U,     0xc68a13b1U,     0x2a39692fU, \
    0x8546d49bU,     0x6d044ff6U,     0x8d165f6cU,     0xffc59f58U, \
    0x59d4f299U,     0x6f583f5aU,     0xc9fafe34U,     0x256e9d20U, \
    0x26531f2dU,     0xbfffdedbU,     0x4e37fdd6U,     0xe3655fe8U, \
    0xd72c4f05U,     0x812f820aU,     0x47bb690cU,     0xd8d71d3bU, \
    0x0f809488U,     0x71d46d05U,     0x8e47fce3U,     0xadcbb691U, \
    0x15eda279U,     0x7a6f308bU,     0xcc1cd053U,     0xdb9a8153U, \
    0x1657fb5eU,     0x5ea70490U,     0xefe87259U,     0x8c9dc000U, \
    0x9413993bU,     0xfa1a13e0U,     0x8c4ed7f1U,     0x7cf92dd2U, \
    0x6363810dU,     0x7cd1b10bU,     0x360adb2dU,     0x5c95d2e0U, \
    0xb77e3db1U,     0x1b6d2196U,     0x455e3d55U,     0x9cdf10afU, \
    0x52acbfc1U,     0xb9dd18feU,     0xccc5bfc2U,     0xd6738932U, \
    0xbfbb1108U,     0x22200658U,     0x8f72cea5U,     0x7749b636U, \
    0x3acee46fU,     0xcc05536cU,     0x7095ef41U,     0x543954fcU, \
    0x55c2121cU,     0x2800c9baU,     0x4725846dU,     0x4c0d9974U, \
    0xacad51bdU,     0x992ec46aU,     0x367e5030U,     0x4458c1d5U, \
    0x811c1918U,     0x5500ac74U,     0x5e0ed6f6U,     0x93930d5eU, \
    0xbc725ec4U,     0xf9079b7fU,     0x3e2079a2U,     0x79623e48U, \
    0xc295f697U,     0xf583e547U,     0x0d77c614U,     0xe830a6d2U, \
    0xc813c0d9U,     0x451e775aU,     0xba837992U,     0x1c865619U, \
    0x7a9c502eU,     0x64180221U,     0xfbba1b63U,     0x91257f15U, \
    0xc7fc886aU,     0x90aa0d3fU,     0xb0c9f231U,     0x15bb8483U, \
    0x8c9823d4U,     0xce9131cdU,     0xc24c9fedU,     0x17bd47f1U, \
    0xe6d636b0U,     0x35d88b7bU,     0xe7f4d1d8U,     0xabf209deU, \
    0x0504aa84U,     0xcc2f1af6U,     0x878ee4d9U,     0x9b799dd9U, \
    0xff0abc56U,     0xd22f5b37U,     0x769ad3cdU,     0x2309004aU, \
    0x05102cb6U,     0x8483f7cfU,     0xfb9e8f9aU,     0xc1179c51U, \
    0x7addfad8U,     0x46710275U,     0x032b3c97U,     0x1bde9ff7U, \
    0x01f5d29fU,     0x80d3f676U,     0x369acfadU,     0x184c30edU, \
    0xb65b9b40U,     0x387ea613U,     0x2e9d8ac7U,     0xbb93b6c7U, \
    0x60048454U,     0x642ef8c7U,     0x092a0ecfU,     0xeb3eb01aU, \
    0xe24242e9U,     0x20dc299dU,     0x9ec9a4b6U,     0xf5f24c9dU, \
    0x591c0101U,     0x686f0d01U,     0x54958e1eU,     0x44faf0dcU, \
    0x577b49e2U,     0xb3d3d68fU,     0xb9fe4f8cU,     0x67c70fd4U, \
    0x6c859c26U,     0x9e719ff5U,     0x4b53578bU,     0x5963e470U, \
    0xd94b7c0cU,     0x97bf272bU,     0x5aa9f170U,     0xd89e2ac3U, \
    0x2cfbffb5U,     0x57f10162U,     0x4fe8fd09U,     0x48d50a9cU, \
    0xf6bf2e84U,     0xf77230f7U,     0x91391026U,     0xb194dbf5U, \
    0x60bbc520U,     0x01fe87f3U,     0x599a668fU,     0xa6c27904U, \
    0x39dfc475U,     0xf703a590U,     0x5a9fb6beU,     0x264db882U, \
    0xb7f4f194U,     0xdcdd366bU,     0x1d381b46U,     0x84337317U, \
    0x936712a3U,     0x57010ecbU,     0x5ee2d6b3U,     0xdee96c61U, \
    0x416b1fd8U,     0x7d6a0dccU,     0x81bbcdbeU,     0x3e3d4785U, \
    0xd753d11cU,     0xe72c1b5aU,     0x041ccb34U,     0x7f6c057aU, \
    0x4dc75bdeU,     0x88a03e74U,     0xbe96d128U,     0xcfaa9839U, \
    0xa5375b75U,     0xa737d25fU,     0x0c307841U,     0xa98cc567U, \
    0xfd303867U,     0x03af9d52U,     0x8b5787bfU,     0xb2bc798dU, \
    0xe2d75b12U,     0x1148565aU,     0xbaaf42a5U,     0xa2e38f92U, \
    0xba592426U,     0xb301640aU,     0xf63ad03eU,     0x65fbf58cU, \
    0x5f668b55U,     0x8bd899adU,     0xb5c59bc6U,     0x778c81daU, \
    0x8f5ad144U,     0xe02c2253U,     0xefd67d43U,     0xde2569c9U, \
    0x8bcaab43U,     0x631d6a46U,     0x2f92a8dcU,     0x50851f53U, \
    0xf3265c38U,     0x2ea1b229U,     0x9e3aa037U,     0xb996b97dU, \
    0x285baddfU,     0xb978a80fU,     0xb3d2b358U,     0xcd997dfdU, \
    0x4503f471U,     0x9caf6d6dU,     0xc0f1996fU,     0xa50cfb84U, \
    0x095b68b5U,     0x6a6921aaU,     0x842e6167U,     0x62642977U, \
    0xa6c8ee12U,     0xc66f8c98U,     0x48e08d8bU,     0x1e39c54eU, \
    0xb5f567d7U,     0xb13f7d60U,     0xe7e00fb0U,     0xc2a11599U, \
    0x792626e5U,     0xe2ecdc81U,     0x217382b5U,     0x7dd57833U, \
    0x7bfa18e6U,     0x51d1ab81U,     0xa227c5c5U,     0xeb5d4155U, \
    0xfa7a709aU,     0x91a18eaaU,     0x28d4be72U,     0xa35089beU, \
    0x75c66dd4U,     0x48417832U,     0x4869dc17U,     0x02cd9fcfU, \
    0xf67ef643U,     0x1f39ef5dU,     0x5aeabdc5U,     0x04125f37U, \
    0x3ab05cc9U,     0x28c19bc1U,     0x59e8df3bU,     0xc32312fcU, \
    0x5e6ba401U,     0x6319bd84U,     0xd24ef72bU,     0x26327594U, \
    0x555faff2U,     0x7ddb1173U,     0xa0e3dcacU,     0x2deac820U, \
    0xe8986eeeU,     0xf0e2e98dU,     0xb4d27f88U,     0x068eae9fU, \
    0xae142062U,     0x26a56cdaU,     0x9013e4e7U,     0xe4a97527U, \
    0xf68e355fU,     0xa48430f5U,     0xe39f3f64U,     0xd437abd0U, \
    0x1e545ebeU,     0xcc838759U,     0xfa743a29U,     0x7aebf5b9U, \
    0xf997746eU,     0x931a9464U,     0x706962a6U,     0x68a11284U, \
    0x86e225dbU,     0x64c40ce3U,     0x2bb41beaU,     0x40b8f92dU, \
    0xea20e325U,     0xc05b8d25U,     0xac60b54cU,     0x0cfe3655U, \
    0x26fd5d3aU,     0xd2a43a96U,     0x5ec339d1U,     0x9fb83dafU, \
    0x91e6689cU,     0x64c4a839U,     0x1c9b4a9dU,     0xf2c781e9U, \
    0xb6f2d418U,     0x20e9694cU,     0x765e05edU,     0x4180a142U, \
    0x4ac3b292U,     0xf6ebbe71U,     0xbf2a0aa7U,     0xc8478a6fU, \
    0x379b7472U,     0x23037116U,     0x4b7f49a8U,     0xd75e05a7U, \
    0x67da6c0fU,     0xa42def22U,     0x3b8ca9c3U,     0x6addc44aU, \
    0x9e3bbae6U,     0x35c5cbb4U,     0x6b85a2d6U,     0x8e17dd0dU, \
    0x03202118U,     0xb7dc094bU,     0xef073bdaU,     0xcc63aa7cU, \
    0xefd53e1bU,     0x4ad943b1U,     0x2cb6db8cU,     0x712a8e29U, \
    0xae0cf1c1U,     0xde56813dU,     0xa9d007f8U,     0x4504343fU, \
    0x7fee6497U,     0xf8b97af0U,     0x4419277aU,     0xe01cdbccU, \
    0x7e480f4bU,     0x7c0191e9U,     0x76c3ba65U,     0x8e05f08dU, \
    0xe2e887e0U,     0x949974f9U,     0xcfc2b4acU,     0x9c344035U, \
    0xf09c4375U,     0xaad6b2ecU,     0x04dfd224U,     0xc8cde842U, \
    0xd3df16d4U,     0x95f05147U,     0x761c5fa3U,     0x17e25447U, \
    0x149c5845U,     0xce066203U,     0xc8197136U,     0xa22e063aU, \
    0x710f9dceU,     0xf7632699U,     0x65ae6437U,     0x375afd70U, \
    0x920b0523U,     0xd786e278U,     0x251637b7U,     0x5f074807U, \
    0x1dffceb2U,     0x4106794fU,     0x7a16cb85U,     0x00894b7eU, \
    0x61d7e45cU,     0x1f000d0cU,     0x746bf7c0U,     0x5ea135e1U, \
    0x477f52b4U,     0x53366f2eU,     0x0a2f924eU,     0xd18197a3U, \
    0xa649bee0U,     0xda8dcce2U,     0x35bde8e7U,     0xa2bb0c01U, \
    0x9d0b7fdcU,     0x80ac0e34U,     0x86ecf162U,     0x6c0f44c1U, \
    0x2f629963U,     0x02f2b39bU,     0x6134de82U,     0x055778e7U, \
    0xdca242d7U,     0xad364324U,     0xd559a99cU,     0xa1f5f10dU, \
    0xb0020c8eU,     0x67d4a597U,     0xa922d939U,     0xb8244542U, \
    0x04033b19U,     0x7ba9e837U,     0x41facfefU,     0x3a6a74a6U, \
    0x60ba8dacU,     0x808c2830U,     0xc1de0930U,     0xfe7a93dfU, \
    0x1c4b10fdU,     0x94ac67a9U,     0xd7fa35fdU,     0x58fdd38aU, \
    0xb50cd340U,     0xa8fd973dU,     0xdb6e01bbU,     0x40ce6868U, \
    0x0a19ff80U,     0x9f09b3bbU,     0x38ec470cU,     0x94a9c47dU, \
    0x941c913dU,     0x5043d29eU,     0x2a86bf60U,     0x7f2045ecU, \
    0xd0167ec1U,     0x0203570bU,     0x7f66a41eU,     0xd740a217U, \
    0xe64ae9cfU,     0x296f95b3U,     0x86f811fbU,     0x6301a8d1U, \
    0xa720de7dU,     0xffe50ee4U,     0x9a812a3dU,     0xf1a6e762U, \
    0x96d814d7U,     0xa6760c45U,     0xc95f0c44U,     0x0d94c10aU, \
    0x4e7e6466U,     0x09d61f3cU,     0xd625c19cU,     0xd11b0c8bU, \
    0xfb3e9e0eU,     0x1376cfccU,     0xf9a77858U,     0x067aa5cfU, \
    0x457a30a0U,     0x853e7d66U,     0xeb7832e7U,     0xb08a086bU, \
    0xd8f9775fU,     0x20ea7299U,     0xd17aa82cU,     0xbc37cda8U, \
    0x39825eacU,     0x541ff98fU,     0xa83395d0U,     0x43fc175aU, \
    0x54c73e14U,     0x6cd8d069U,     0xcee5b73eU,     0x42390b7fU, \
    0x4e45d5ddU,     0xc6839290U,     0x32eb53e1U,     0x0c2d2210U, \
    0x214af916U,     0x9060c335U,     0xee8163e5U,     0xc0bd4953U, \
    0x7efa92a9U,     0xce56f616U,     0x28162b81U,     0x5b867c96U, \
    0xae28f11eU,     0x6f82c60cU,     0x0d0d53f4U,     0x8fb0e600U, \
    0x8961f85eU,     0x90796266U,     0xbb0da260U,     0x2eec94a7U, \
    0xfaf00bb7U,     0xe1a10566U,     0x2d9f830eU,     0xb04310ebU, \
    0xcf8d581dU,     0xd1620ce2U,     0x98a1a760U,     0x0bc39928U, \
    0x9caf2910U,     0x6a6dbf23U,     0xd71a08e1U,     0x85a5c856U, \
    0x21cd4116U,     0x8424865fU,     0x75ceaf0bU,     0x50111e1bU, \
    0x04adde2cU,     0xf3c1cf44U,     0xbb5e68eeU,     0x476d28e5U, \
    0x0162113cU,     0xd6d0815eU,     0xbb29e432U,     0xaadc5e3dU, \
    0x92b30c3dU,     0x9a5ef33eU,     0x354518c9U,     0x220be18bU, \
    0x6e036d0dU,     0x9cdd0629U,     0x2a35155bU,     0xdcb1ac25U, \
    0x474729e9U,     0x7bce86c2U,     0xfb10a4e4U,     0x8dbe24efU, \
    0x0c72cf1cU,     0x6800d7beU,     0x40c17919U,     0x1c99ed25U, \
    0x8d46d56bU,     0x8a62377cU,     0x18975d2cU,     0x27f8a153U, \
    0xd580be3fU,     0x170f6c8fU,     0x071ac250U,     0x250a3e70U, \
    0xe2833890U,     0x1a57b9d0U,     0x84fb3f39U,     0x4bb97913U, \
    0xffabf6abU,     0x6ada6853U,     0x0f1a4db4U,     0xdfe159fcU, \
    0xf09b3f25U,     0xcc1e2f0cU,     0x4bbc34b8U,     0x00491e91U, \
    0x181ea92eU,     0xf739561cU,     0x97b7646aU,     0xb509d277U, \
    0xa8f6f6b4U,     0xae797774U,     0xae2ef6bdU,     0xfd01b30cU, \
    0xad1455e9U,     0x72ac12bdU,     0xba4686bdU,     0xafcdbb20U, \
    0xb38cf9f0U,     0x8e792b5bU,     0x69e50c3dU,     0xb08f7640U, \
    0x482a8ed4U,     0x3ef190aeU,     0x5710f608U,     0x77d08c7eU, \
    0xdf21eb4cU,     0x1bcc8eb8U,     0x421cdb40U,     0xb94bb7e4U, \
    0x8f2f9657U,     0x782e5e2fU,     0x7c86aef5U,     0xda529994U, \
    0x6c070972U,     0xdc31fa35U,     0x64754198U,     0xa90a6a76U, \
    0xc1d5e01cU,     0xad56652bU,     0xc7543137U,     0x27013fadU, \
    0x2cd00663U,     0x14e240f8U,     0x69e944e7U,     0x40f7114aU, \
    0xa4bbb632U,     0x958519e9U,     0x178b16c7U,     0x8ff8d111U, \
    0xe4bcb73fU,     0xcf68e308U,     0x69203d6eU,     0x06758a0dU, \
    0xc1b7720dU,     0x6398ccdbU,     0x6fafd3e9U,     0xff7d5bd0U, \
    0x553f21f6U,     0xbac786e5U,     0x7b4d3e2dU,     0xc458c250U, \
    0x90460e39U,     0xbefeedbfU,     0x7b153a63U,     0x3ba68753U, \
    0x2bf899dfU,     0x1f698d9dU,     0x4ce8b9d3U,     0x1a14592aU, \
    0xc9fb7888U,     0x4f758557U,     0x768e1c65U,     0x3a628db4U, \
    0x8cc2711cU,     0xf3ba0c08U,     0x7d2a6c3aU,     0x8e60493dU, \
    0x6a0410b7U,     0x46d0b480U,     0x52469850U,     0x6af7f447U, \
    0xcf035943U,     0xd7bedf41U,     0x28d1ae12U,     0x0d373e34U, \
    0xece437a3U,     0xdb28f1beU,     0xa6cbd72cU,     0x55da8f47U, \
    0xd9afe20dU,     0xbd0ef2e2U,     0x4db2b14eU,     0x4975678aU, \
    0x706b0415U,     0x4be72fddU,     0xe37e907cU,     0x3d30afdfU, \
    0x222a62fdU,     0x19b36f6bU,     0x8782dd37U,     0x018dc536U, \
    0xb918439aU,     0x87311c8fU,     0x46faffa3U,     0x0c0534e3U, \
    0xc888f024U,     0xcb043c77U,     0xfbfdaab9U,     0xbe59e0cfU, \
    0x08737dabU,     0x37c53d18U,     0x7cf71068U,     0xd4d743ffU, \
    0xe7e52e8bU,     0x9248563cU,     0x59123c2fU,     0x33700385U, \
    0xaa1ec7dbU,     0xf9548baeU,     0xa69d3fe0U,     0x7779be73U, \
    0x4d9016e6U,     0x2bc59e20U,     0xb4dba3a2U,     0x544adee2U, \
    0x0799ae45U,     0x025c0152U,     0x9195c854U,     0x48a41177U, \
    0xd181aadaU,     0x09d1f6a9U,     0x24c50c76U,     0x681bc782U, \
    0xcf8f1726U,     0x79270a6aU,     0xd609afd3U,     0x2684d140U, \
    0xf493ff0dU,     0x05625ad0U,     0xffb69d00U,     0x3182a5e4U, \
    0x50d39084U,     0x5fd438dbU,     0x5bb7b4a6U,     0xbe50f7aaU, \
    0xb6efe69aU,     0x4411c8b3U,     0x61e93c68U,     0xc9f5c4efU, \
    0x4c87609aU,     0x01e55ba1U,     0x724dd814U,     0x130fae87U, \
    0xc8f3ed09U,     0xd0e3cdc0U,     0x0399ef1aU,     0x3d7c0c48U, \
    0xaa3c75f5U,     0x3b3c9163U,     0xa775c59bU,     0x8f9eedfaU, \
    0x9253b84cU,     0x9117bb13U,     0xd920d8e3U,     0x0745c7a6U, \
    0xf4a0b060U,     0x7d5343e4U,     0x78fc2016U,     0xf7c63cc4U, \
    0x690b7009U,     0x343ade28U,     0xcbb3a9fdU,     0xaf864cabU, \
    0x715df863U,     0x10df496eU,     0x2fec52c2U,     0x269c6fd2U, \
    0x359728bbU,     0xe4211860U,     0xd69d3f09U,     0x409bfed3U, \
    0x5840917fU,     0x152332b6U,     0xad2683e3U,     0x851addefU, \
    0x03af2bf4U,     0x97edbd9fU,     0x737cfc95U,     0x424e1245U, \
    0x094f4ca5U,     0xf171a437U,     0x2b50e11bU,     0x7fe9bd48U, \
    0x2d4c0a49U,     0x39e3f310U,     0x9e285cedU,     0x3966d16bU, \
    0x83996b42U,     0xaab19cddU,     0x858e81cdU,     0xc82c83e5U, \
    0x8f7f129dU,     0xa4b1bd61U,     0x5c3f3f50U,     0x9d0bec46U, \
    0xeeca76a9U,     0x21481220U,     0x4d0dea90U,     0x6d000e32U, \
    0x9b065f84U,     0xab6ed5f2U,     0xc901f01aU,     0x8d36c575U, \
    0x23dae56dU,     0x38801510U,     0xffae0a77U,     0x37829442U, \
    0x9cc69656U,     0xc530f38eU,     0xc28be37fU,     0x3fc01cc6U, \
    0xb580cfd5U,     0x35e37234U,     0x1871055bU,     0xef50e91bU, \
    0xec5d48cfU,     0x4b53b12eU,     0x46a83058U,     0xa74961b3U, \
    0x18bd29bfU,     0x2889ec84U,     0x4c750a3fU,     0x5135c71eU, \
    0x6fef5672U,     0x4792b723U,     0x57cba9a8U,     0xf888d8b8U, \
    0x7df6746aU,     0x96acaa47U,     0x410cfad1U,     0x9786b443U, \
    0x2117dbc4U,     0x873bee11U,     0xc1a25129U,     0x128c4de5U, \
    0xc80b10fdU,     0x3d436604U,     0x7408fb5fU,     0x9a8c4368U, \
    0xe823889cU,     0xa37d8bbdU,     0x5327930dU,     0x01da3527U, \
    0x50ebd363U,     0x314853c4U,     0x5db7f58dU,     0x758f8423U, \
    0xa35ace8eU,     0x507de86fU,     0x72bfd589U,     0x83a4d9ffU, \
    0x21799655U,     0xd3dca99fU,     0x077c5ec4U,     0x4bdb4441U, \
    0x0bb9f27aU,     0x45346411U,     0x1c0d684cU,     0x0edf1b9eU, \
    0xe821daabU,     0x58718edcU,     0xdae7935cU,     0x9c434959U, \
    0x8cd0b3adU,     0x672bde30U,     0x716fd7caU,     0xc0c5ce32U, \
    0x1dc3165aU,     0xd0f1c1c1U,     0xadcb8e07U,     0x56d196c1U, \
    0x9ad15710U,     0x0f92ce9cU,     0xdc7c17e6U,     0x8b964e4fU, \
    0xb0e9fe67U,     0xd166acc1U,     0x0ed805d5U,     0x993eadd6U, \
    0xc31dd6e7U,     0x1a5fea76U,     0xbdc7af3fU,     0x4ef5073fU, \
    0x46dc35c4U,     0x4a8d525fU,     0xa266011dU,     0xf3fdd067U, \
    0x010bf14dU,     0x3a66c798U,     0xa465316eU,     0x8e3aaa0eU, \
    0x02b2402bU,     0x3497fcecU,     0x79232358U,     0xbed9315bU, \
    0xd87e6d0cU,     0xe2b0f657U,     0xbc99f068U,     0x355c01c9U, \
    0x8cda0726U,     0x0d40ef93U,     0x7f1af49eU,     0x4be999ddU, \
    0xafebababU,     0xc947376cU,     0xaa64253bU,     0xfd1148d9U, \
    0x1a1fb72aU,     0xb125e704U,     0xe281aba8U,     0xcc98d43bU, \
    0x2ff101a7U,     0x32e5ece2U,     0xe2e28263U,     0x1a3fe1c6U, \
    0x699efd27U,     0x2bbc0bfeU,     0x4b2db1e7U,     0xc073dfffU, \
    0x22fbb04aU,     0xae241d1aU,     0xd6f6f4abU,     0xe8dd3fbaU, \
    0x6b9f95b5U,     0x967971eeU,     0x49d0deb7U,     0xb075930fU, \
    0x3328017eU,     0xda3fba87U,     0x5bbf7d8bU,     0x5522aaffU, \
    0x502ed870U,     0xa198d25eU,     0x2316a0aeU,     0xc23cf571U, \
    0x231217c9U,     0x888c570bU,     0x0052aca1U,     0x9b1f396dU, \
    0x7f509c0cU,     0xa04430feU,     0xad91241bU,     0xbfc028d8U, \
    0xed5c8738U,     0x3cab3fdaU,     0x36918e95U,     0x3428c3a2U, \
    0xabfaeac6U,     0x4d8abe3cU,     0xe1e75e9eU,     0x14742b49U, \
    0x3de34d93U,     0xab7008b1U,     0xe093416dU,     0x85ed4e71U, \
    0x6c57a317U,     0x66609ca8U,     0x0e0ce50aU,     0xf3d875b3U, \
    0x3ecd0d45U,     0xe531b441U,     0x0a2a803bU,     0x2d5d2d45U, \
    0x0bde2fd1U,     0x15bdb86cU,     0xd94a3043U,     0xb5e125f4U, \
    0x7b57bb83U,     0x968d5a9cU,     0xa5798c56U,     0xf51a2cc3U, \
    0x13055f4aU,     0xd6314b89U,     0x37b5b050U,     0x6b447c26U, \
    0xe104a115U,     0x910a04acU,     0xa1459cf4U,     0xdbc21e1fU, \
    0x86610741U,     0x4a4e0660U,     0x51c923e1U,     0x75d8689eU, \
    0xd4614657U,     0x8a923a8cU,     0xa7196c79U,     0x045a7cc1U, \
    0x675b15f9U,     0xe048daf3U,     0x8f4e7f17U,     0x52766373U, \
    0x892fd65cU,     0xeb344771U,     0xeadfdd34U,     0x297f77f2U, \
    0xcbbd1cd6U,     0x93cbb2edU,     0xa864f336U,     0x0680afb8U, \
    0xf9bab3c5U,     0x04d70665U,     0xb3c12104U,     0xfbe6eb10U, \
    0x253b76c9U,     0xe1fd8e3cU,     0x4d1eed5fU,     0x28c00a93U, \
    0x0d7e2884U,     0xc2a21facU,     0xfeaacc4cU,     0x7540689bU, \
    0x5d93cbb6U,     0x790658d8U,     0xbf9e086dU,     0x1d171ee1U, \
    0x5008935dU,     0xabd3ed56U,     0x07726aa5U,     0x2922a949U, \
    0x95d64253U,     0xfbb2b1a1U,     0xcaa93253U,     0xf9840dfdU, \
    0x8c4dd966U,     0x27eb9ac5U,     0x26217d93U,     0x59caf169U, \
    0x0e1ce6cdU,     0xa47b52d3U,     0x780fe549U,     0xbcf28b74U, \
    0x1cc1897fU,     0xdf11f6a5U,     0xabc1e502U,     0x928ce155U, \
    0x3df135fcU,     0x23d16fd1U,     0x920f5c78U,     0x9c46c339U, \
    0x10f8bd07U,     0x050c683fU,     0xd8e8462aU,     0x7572f6f9U, \
    0xd3b271fbU,     0x8685613eU,     0x0f168cbaU,     0x80b31054U, \
    0x31f928faU,     0xdb13054cU,     0x2b8f4606U,     0xbc451410U, \
    0xc7bbd18fU,     0xfc2098fdU,     0x216556e7U,     0x4fd5f90fU, \
    0x76c824f4U,     0x19ea8e8dU,     0x7b5247a8U,     0xfe6867ddU, \
    0x31ccc8ffU,     0x7f28b998U,     0x1c16b0b8U,     0x371f6ec1U, \
    0xfbaff7b3U,     0xa32edba1U,     0x950d17e6U,     0x62133e25U, \
    0xed6ccebaU,     0xfc5325e4U,     0x869e4cfaU,     0x5cf8df66U, \
    0x7c19ded1U,     0x7aa61272U,     0x74d89fe1U,     0xdb686301U, \
    0x9f980e8aU,     0x6de5b371U,     0x0491d898U,     0x46bccac7U, \
    0x36dce4d4U,     0x89a0b515U,     0x812f4b7eU,     0x86ca22cbU, \
    0x07b590cbU,     0x73ae75c6U,     0x9515c03eU,     0xd2be10f2U, \
    0xf5af1133U,     0xaf03196dU,     0xce391c0cU,     0x70e8268aU, \
    0xbc3dd7e2U,     0x30e78223U,     0xa177b985U,     0x950e0e8fU, \
    0xca795764U,     0x6869db94U,     0x3486eec2U,     0x0c7d9804U, \
    0x466d3d31U,     0x26655a06U,     0xcecfbfb3U,     0x5b96bd3bU, \
    0x4d53da8dU,     0xdf41fa70U,     0x5b5c40dcU,     0x52c8ebdaU, \
    0xec117dccU,     0xbe4091c5U,     0xdad58516U,     0x2d8b940aU, \
    0x5a50d75aU,     0x744a7e92U,     0xd3a4005eU,     0xb679b977U, \
    0xb91c086fU,     0x4733c599U,     0x1e2cad59U,     0x008cc5a0U, \
    0xe7948654U,     0xe7a181bfU,     0x4c842190U,     0xfad7caa8U, \
    0x338ca5c2U,     0x13956975U,     0xaf067957U,     0x6b5090c7U, \
    0x7c0baaf7U,     0x59a4ae82U,     0x31e1c928U,     0x412026b4U, \
    0x2bfd1951U,     0x30616faeU,     0x0ef8c237U,     0xc6dbbf85U, \
    0xd5286cb1U,     0x9f01299dU,     0xcafb3db4U,     0x22aaff93U, \
    0xf7b1c558U,     0xa1230c37U,     0xf16e25b9U,     0x48f52559U, \
    0xa86e5b91U,     0x6dc1616dU,     0x40546759U,     0x89d8ea00U, \
    0x46b37995U,     0xb98c7736U,     0x8e5d3af3U,     0x313071e3U, \
    0x6c6e6ba6U,     0x3b24b084U,     0xf4695e39U,     0x81a671b6U, \
    0x4d6c5830U,     0x0ba696e2U,     0x6dd25806U,     0x6d4dbc3eU, \
    0x4d67ed44U,     0x3dae4d99U,     0x7ed782adU,     0x2af707eeU, \
    0x99d83ad9U,     0x57070160U,     0x31b021aeU,     0xc2c28d50U, \
    0x3ca94ac7U,     0x18990e10U,     0x01a8f394U,     0xccea3c65U, \
    0x3343ded3U,     0xb1b198e6U,     0x98bca5e0U,     0x1033899dU, \
    0x32da5640U,     0x0f3398e4U,     0xe16d312fU,     0xa0dee45cU, \
    0x8e606b60U,     0xd6b16ff7U,     0x175941dfU,     0xe9505341U, \
    0x9a27ee12U,     0x4deee857U,     0x25a83a5cU,     0xc511ed2dU, \
    0x01e4e24dU,     0xa6785b69U,     0xc53ea71dU,     0xeb2f9f1bU, \
    0x8ba5fd58U,     0x76de2b21U,     0xf956c556U,     0x55b85cbaU, \
    0x9b24670dU,     0xa52f9535U,     0x787110d7U,     0xddd2a012U, \
    0xbabed3b3U,     0xc0c40084U,     0x35f191a3U,     0x8ad8cc60U, \
    0xce9d094cU,     0xcc9f829bU,     0x58b7ccc2U,     0x67e313c0U, \
    0x8e88c9eaU,     0x2c8f309fU,     0x0c2ca9a1U,     0xec3081e1U, \
    0x9c12c11dU,     0xca46b0f2U,     0x0c83ef9bU,     0x914ea0cbU, \
    0xb533570bU,     0x3c980277U,     0xcead49d0U,     0x88bbe37dU, \
    0x2aa18efaU,     0x473148ffU,     0xd9006a3eU,     0xf134a526U, \
    0x0273b120U,     0xcae5a098U,     0x8a36e3f7U,     0x1da7170dU, \
    0x98486cfeU,     0xb9ef2145U,     0xf9e8b629U,     0x7471bda5U, \
    0x9858fe6cU,     0x6e894799U,     0x13a0919bU,     0xe4753f3fU, \
    0x40d93e4eU,     0x3416c309U,     0x2b6b5de2U,     0x43543ff7U, \
    0xf30dbe30U,     0xdd680d41U,     0xf1c82419U,     0xa14dad1dU, \
    0xaca00a18U,     0x61994966U,     0xaff8ea0fU,     0xc0297072U, \
    0x51bb5d8eU,     0x919d74bcU,     0xe7eaa4a6U,     0x9ffef40bU, \
    0xa04a8ad8U,     0x70c02021U,     0xe033d392U,     0x0f45e639U, \
    0x1accfb6bU,     0x267695daU,     0x7fb89e6aU,     0x2680e373U, \
    0x6d97cf59U,     0x789f37a9U,     0xd6291d6fU,     0x43df5d94U, \
    0x5068b2e9U,     0x104961b6U,     0x09ce6fafU,     0xa1aab7afU, \
    0x99abac80U,     0x26002ce5U,     0x6c93768dU,     0x7f998c46U, \
    0xa09d306cU,     0x1bef4855U,     0xe6749abaU,     0xe3edcbb4U, \
    0xb52a4adcU,     0xc32bb05bU,     0xbafc3143U,     0x3c89a7acU, \
    0x27bbbf21U,     0x19ce2a45U,     0x1f25fb67U,     0xbe2b5d15U, \
    0xd01fb8e8U,     0xee97314cU,     0x65c3a4a9U,     0x1e4058bfU, \
    0x6ab272a8U,     0x1d24e3adU,     0xbbb1d7a6U,     0x50a552b1U, \
    0x51ad821eU,     0xaaa8fc40U,     0x34bd9257U,     0x3f990915U, \
    0xeace2b8dU,     0xdadb2b8eU,     0x97546523U,     0xa3f1867aU, \
    0x8096f4caU,     0xff6546e6U,     0xd28bc028U,     0x24836627U, \
    0x5add454bU,     0x46428774U,     0x93e07456U,     0x890c59dfU, \
    0x6a45fd3fU,     0x2b3c5c52U,     0x36edd62cU,     0x1b043cd2U, \
    0x9a32010dU,     0x711baeeaU,     0xc1e15535U,     0x31f5a0f3U, \
    0xfb9a5975U,     0x7097ab4eU,     0x711180efU,     0x0f1db630U, \
    0x096bf4caU,     0x57785254U,     0xc4bed1c1U,     0xd9b7e863U, \
    0x87aeecb0U,     0xbf1b7cc2U,     0xf8c2fbe4U,     0x3d277e7eU, \
    0xb2173dc8U,     0x71ceead6U,     0x1c1dcadcU,     0xc4a0e18cU, \
    0xf5d452d7U,     0x9b6b6e47U,     0xb19f5ef5U,     0xee8c03f0U, \
    0x1c0d985dU,     0x0dae3bb2U,     0x9aa2b376U,     0xb0b62171U, \
    0x5330b2b6U,     0x6348bd79U,     0x260a0e2cU,     0x301ac450U, \
    0xbec3ab5dU,     0xeff09734U,     0x406c9d32U,     0x14419eaaU, \
    0xd11e7ef4U,     0xdabce82dU,     0x015ba3d3U,     0xed489e53U, \
    0xfca64258U,     0x50d8916dU,     0xdee9c62bU,     0x14e17a84U, \
    0x84d6a2dbU,     0x3e1319fbU,     0x9dfff335U,     0xdac8f8eaU, \
    0x9f29ba1bU,     0x63c19d5eU,     0x9c2fe62eU,     0x25b4f4fcU, \
    0x442302f0U,     0x82924d6fU,     0x21e0d8cdU,     0xc4801af4U, \
    0x6b65be55U,     0x19a1cf4fU,     0x859873a4U,     0x44dc2b5dU, \
    0x752d515fU,     0x62766722U,     0x3c24611fU,     0x20961a7bU, \
    0xe8139e32U,     0x9ec59746U,     0x30a8280eU,     0x81b0ea41U, \
    0x3b53dc4bU,     0x8ea92c62U,     0x980dc08cU,     0x84fba1baU, \
    0x41a059f2U,     0xc347aaddU,     0xe34538c1U,     0x304a9a42U, \
    0x29c30d3cU,     0x86b294a3U,     0x88b0fc9eU,     0x16d46259U, \
    0x712a9bd8U,     0x9a29d7c6U,     0x24f665baU,     0x067b6fb8U, \
    0xa7fb8737U,     0xc8fc5ed4U,     0x4930a4d2U,     0x5e0c8c1bU, \
    0xf4c679bcU,     0x5093089aU,     0x55d0ad3eU,     0xe1dffc88U, \
    0x17f91e43U,     0xa13f67adU,     0x5d22bec7U,     0x4228368eU, \
    0x9c44d977U,     0xcef38a1cU,     0x3b373c60U,     0x7c7689dfU, \
    0x2d717fe0U,     0xb3929958U,     0x1a7c63edU,     0xac637af6U, \
    0x83ed3f86U,     0x7484c9abU,     0x0220d641U,     0xec335fc6U, \
    0x40523701U,     0xd04031f1U,     0x678d3749U,     0x6b9960b1U, \
    0x532161d3U,     0x7768e6fdU,     0x6c8b4cd1U,     0x5ce7d6e0U, \
    0x75512fa5U,     0x7eee1c15U,     0xb2581caeU,     0x6d45c8b9U, \
    0xe662a53dU,     0xa99d8666U,     0x72d50203U,     0x6bf47b5dU, \
    0x5d912ad8U,     0x6a8a73d8U,     0xd9eb5812U,     0x01a3579fU, \
    0x73c47b95U,     0xbabd6283U,     0x42cad153U,     0x9a522eedU, \
    0x2b3e957eU,     0x9d81e018U,     0xe8f26731U,     0x33d2f7cbU, \
    0xbf898859U,     0x7640433dU,     0x5d3cf1b6U,     0x818a7c5bU, \
    0xfb4e5003U,     0x3df2ab98U,     0x8b956334U,     0x52fb35c3U, \
    0x30428021U,     0x85270ad8U,     0x746bc95fU,     0x8306c0b0U, \
    0xb25f25b3U,     0x68ec7ca6U,     0x63ac3175U,     0xc4eed956U, \
    0x2f93980dU,     0x606040fdU,     0x714135ddU,     0xdf57fe4fU, \
    0x321bf151U,     0x3f3dcca3U,     0x553b94fcU,     0x322c63d0U, \
    0xf7ff2fd8U,     0x2cfbe50aU,     0x0e7bb310U,     0xeb4fb60eU, \
    0x7f791329U,     0xc238bf9dU,     0xd35e819eU,     0x42ffb398U, \
    0xa0293634U,     0x04dd50a5U,     0x6946474bU,     0x83986c16U, \
    0xc743b074U,     0xf1efa978U,     0x8d42efe5U,     0x6e90f374U, \
    0x647da0adU,     0xf55638e0U,     0xb94cd1e3U,     0x159663a6U, \
    0x92f88fefU,     0x24098c64U,     0xe27e6174U,     0xc406e76eU, \
    0xfce5a1b6U,     0xd9185ad7U,     0xa80aaba9U,     0xf4d07d8eU, \
    0x4a0cb5ffU,     0x9a8a99f0U,     0x61330499U,     0x60289ef8U, \
    0x00b6a336U,     0xe12dfacbU,     0x1e882390U,     0xfc298f64U, \
    0x9b116228U,     0x19dc3268U,     0x1c98468eU,     0x6bc66576U, \
    0x9e4ef978U,     0xdd68ed78U,     0xed3cca42U,     0xc36abb8fU, \
    0xc3382283U,     0x9c776ef4U,     0xd2356992U,     0x79114418U, \
    0x0eb1f1b8U,     0x2502d220U,     0x3d5f3528U,     0xd2098d2eU, \
    0xcccddc88U,     0xb918c39bU,     0x8fef5826U,     0xc700c93aU, \
    0x41cedabcU,     0x3647ebceU,     0xd3acaeecU,     0xd0ee8ff2U, \
    0xed41fa9bU,     0xaa624b0eU,     0x3ef8e14aU,     0xb84e1c21U, \
    0x02733b9fU,     0xe76e57e7U,     0x4ce4b654U,     0xa8d3d5cdU, \
    0x692e9d7fU,     0x3ce0d975U,     0x27eacc76U,     0x7bfd7894U, \
    0x52dccfb1U,     0x622ea1baU,     0xf36002f8U,     0x2bfd292aU, \
    0xe2ce6e70U,     0xe91f12bcU,     0x0a9b9f52U,     0x989eaf00U, \
    0xdb15f448U,     0x9196d253U,     0x4f458cebU,     0x8189951dU, \
    0x11e623d3U,     0x5c9e45fdU,     0xb0d95080U,     0xd003ee3dU, \
    0x760b3c76U,     0xdf156bdcU,     0xa8d09dd6U,     0x431aa536U, \
    0x2cf6fc5eU,     0x0b527802U,     0x80b73ba2U,     0xf436dfafU, \
    0xcad84ba7U,     0x8434d6f4U,     0x4653ee1bU,     0xc9b79687U, \
    0xfa93b0f6U,     0x6ad50376U,     0x1f9fc6afU,     0xd5cd8bd2U, \
    0x8abfe15bU,     0x7c1af44fU,     0x6500b507U,     0xe2c7beebU, \
    0x234d2ac8U,     0x751d10caU,     0xc51176e6U,     0x1f650f58U, \
    0x700952d6U,     0x233ea188U,     0x83d36141U,     0x280e4b5aU, \
    0x6d045078U,     0x5dc1a329U,     0x1e37831eU,     0x7ffe0c8bU, \
    0xad65d719U,     0x274e3f3dU,     0xb449792eU,     0x717f42aeU, \
    0x71728537U,     0x268ad020U,     0x0d01a0c3U,     0xd7dff861U, \
    0x246114d8U,     0x67f3c95aU,     0x9886553eU,     0xe65db1acU, \
    0xb3b7bc85U,     0x26eae1d6U,     0xd7bd7002U,     0x9c8523aeU, \
    0xbab714fdU,     0xd5f5c1b7U,     0xac99b4d1U,     0xddd34b8eU, \
    0xec9d3933U,     0xc21f98fdU,     0x66f71cbcU,     0x9c039e8cU, \
    0x09aec958U,     0xd951c29aU,     0x23874b77U,     0x9a2d2034U, \
    0x7fbe9e93U,     0x1dcb166eU,     0x55ff9e10U,     0x10551e15U, \
    0x0553895eU,     0x7d9cd8ffU,     0xe23b3517U,     0x3e071637U, \
    0x1de39896U,     0x1ee02967U,     0x4e760f9fU,     0x6392f3b1U, \
    0xa8b02e8cU,     0x79a61d9dU,     0x457f503eU,     0x2054293fU, \
    0x6a534e37U,     0xe47aa924U,     0xc6900bafU,     0x26ef6544U, \
    0xd71a12ffU,     0xa6f6036bU,     0x5c18ad31U,     0x7f4292c8U, \
    0x64066d6cU,     0x4938cf35U,     0x92eba02aU,     0x8c110ecbU, \
    0xe2e5e38fU,     0xfc2ad1ccU,     0xc75cd45cU,     0xe6e6d4b7U, \
    0x8478b621U,     0x50362d93U,     0x9f0105a0U,     0xcad39a23U, \
    0xc380a77cU,     0x0f49e8e0U,     0xb38b7c37U,     0xfe44bc49U, \
    0x767c763fU,     0xab3b7366U,     0x63916496U,     0xdf775224U, \
    0x66d15a4aU,     0x48a42341U,     0x73f48c20U,     0x2853d97bU, \
    0x76598435U,     0x8076cd3aU,     0xcdc2774bU,     0xbe3480e6U, \
    0x6b20503bU,     0x72c61059U,     0x50ce0702U,     0xbd26476cU, \
    0x5bb47dd9U,     0xe358f188U,     0xc0cd12b5U,     0x0458ff56U, \
    0xa6a21b97U,     0xbd1807bdU,     0x73c18db0U,     0xca723be1U, \
    0x0cbbeb82U,     0x55a6549aU,     0x778c7983U,     0xf58bf963U, \
    0x9e8dd87bU,     0x1c5bec41U,     0xc0c076d5U,     0xda3bfb4bU, \
    0x900d664bU,     0x2bb17364U,     0x244227cfU,     0x7e2db1c9U, \
    0x5d03557cU,     0x43701c20U,     0x4e21ac09U,     0xbe69e8faU, \
    0x032332adU,     0xcca14197U,     0xa2e429d2U,     0x44782210U, \
    0xc7a5ba92U,     0xf04c6504U,     0x242a5817U,     0x053ce972U, \
    0x156f7340U,     0xa09f292aU,     0x2ac31834U,     0x01d160deU, \
    0x32ec755bU,     0x920ef7bcU,     0xd8c396c6U,     0xa071cbb7U, \
    0xc9bc3990U,     0x426e958aU,     0xa2e9bd66U,     0x556b443fU, \
    0x6890ab9cU,     0xdcb4fb32U,     0x4ebade61U,     0x832a606bU, \
    0x8d1ad251U,     0xc950a49fU,     0xf59a7d25U,     0x14f1f0f2U, \
    0xe1720481U,     0xd20de8cdU,     0x547acf5dU,     0xdd29d060U, \
    0x10869d99U,     0x708ef0a9U,     0x92e26d95U,     0x5b7a1293U, \
    0x8d907cd8U,     0x0058788aU,     0xd49f4656U,     0x2438d196U, \
    0x020ba3caU,     0xf78d09daU,     0x186d5433U,     0xf1514fbfU, \
    0x702e5c04U,     0x707537dbU,     0xdcb93c96U,     0x88735c75U, \
    0x17955f23U,     0x7b2d0f92U,     0x7dcf4176U,     0x44a2b631U, \
    0x86b5d8f7U,     0xc2016a2dU,     0x53c7aad8U,     0xe47f1919U, \
    0x1ebce39cU,     0xe04573a2U,     0x270ff1bdU,     0x5761b3b2U, \
    0x274c2254U,     0xe9b0b4dbU,     0x968c5ef4U,     0x9453d30eU, \
    0x671baff3U,     0x2e22dbfbU,     0xacbade0cU,     0x5bd27dc8U, \
    0x1b5e6816U,     0xd43ee093U,     0x2a311a2fU,     0x02efbc29U, \
    0x05f31eeeU,     0xe874ad8cU,     0x69773defU,     0x435ace6dU, \
    0x665b081aU,     0xfa880573U,     0x510023afU,     0x98ae8eb3U, \
    0x8c7da3a2U,     0x26fd406cU,     0x82eca3a0U,     0xe29c5a42U, \
    0x324de977U,     0x466e26afU,     0xee206e04U,     0x43382031U, \
    0x41c430acU,     0xe007cde6U,     0x889d4291U,     0xcc288745U, \
    0x102e67ccU,     0x31da9e46U,     0x6877f092U,     0xcea7a4edU, \
    0x8e331973U,     0x17bd720eU,     0x153cbfbcU,     0x7b2b3264U, \
    0x68cd3339U,     0xad08e2b8U,     0x444a1e44U,     0xd690b8a1U, \
    0x1e216bb0U,     0x0545f994U,     0x74194761U,     0xd8bfbbe7U, \
    0x02d27852U,     0x5b90eaf2U,     0xc81dcd12U,     0x856ac1d3U, \
    0x941cdf69U,     0x07ea9759U,     0x087896d9U,     0xb1154a2cU, \
    0x510b1f5dU,     0xd3e68bfbU,     0xc562e5baU,     0x6787886aU, \
    0xa9d1f7e3U,     0xa395f7c1U,     0x026654deU,     0x86df1a1fU, \
    0x8b7b1cddU,     0x72c0fa53U,     0x4e46265bU,     0xe4a24f5cU, \
    0x6a3f51c0U,     0x00af6086U,     0xfa79ee61U,     0x209e2c3eU, \
    0x270a237aU,     0x3b839df1U,     0x9a1f214aU,     0xdcbf387aU, \
    0xe86c309dU,     0x675be3bfU,     0x97685da2U,     0x0825d465U, \
    0xdc29328aU,     0xa0353b58U,     0x5aadf1f5U,     0x78cfd135U, \
    0xa5637f9bU,     0x6750a211U,     0x8211df13U,     0x4684c7afU, \
    0xc73eb147U,     0x4a901c17U,     0x7a88f085U,     0x43bf7436U, \
    0x8388b148U,     0xe71042c9U,     0x43ce6effU,     0x8a6d17ceU, \
    0xe71eb7feU,     0xfa37b555U,     0x6f71bc40U,     0x27e7a3f6U, \
    0xf21fecb3U,     0x7a7fc71bU,     0xa32c3c9dU,     0x8d568ee5U, \
    0xf13990e5U,     0x9842b440U,     0x858c02a4U,     0xbf4d60bbU, \
    0xda2a3272U,     0x3f446b21U,     0xed648535U,     0x8b81339eU, \
    0xeb110a91U,     0xe59aac46U,     0xd9e46fb3U,     0xc2394ecfU, \
    0x77bc7f20U,     0xb4c6c94aU,     0xc2f82aeaU,     0xfb496ca6U, \
    0x5df630b0U,     0xb26d378aU,     0x31e2e5bcU,     0xbc3ce0f3U, \
    0x8630c249U,     0xe88fef15U,     0x7f80c08eU,     0x6f33f5bbU, \
    0x19e28342U,     0x45ea3684U,     0x15d122deU,     0xc8c3cb42U, \
    0x68fa531cU,     0x1eeaac69U,     0x3cebce81U,     0xc1edddbcU, \
    0xb18cac33U,     0xc1868cc0U,     0x5860a8f7U,     0xbab73df3U, \
    0x3cc95dfcU,     0xb0ced0d2U,     0x7b15858bU,     0x11ef4f0eU, \
    0x922ae9b5U,     0x1a0324dcU,     0x10e02e7bU,     0x34f97639U, \
    0x5cb04a93U,     0x947de3beU,     0x645f8b8aU,     0xffe5c588U, \
    0x4711c3ebU,     0x0eee6d89U,     0xdf5ef4a7U,     0x768e4e75U, \
    0xbd01c53eU,     0x9ae2d198U,     0xe6536aa9U,     0xece6a13eU, \
    0xe3bd1464U,     0x19e7e6f4U,     0x326c494eU,     0x43233a45U, \
    0x188b399bU,     0xc20e8f52U,     0x417f5216U,     0x9d9fa97aU, \
    0x184aea28U,     0x08c5755eU,     0x22eb2b8bU,     0xfff8f6e5U, \
    0xcc0874c5U,     0x33399a38U,     0x14db3c3bU,     0x6ffa6894U, \
    0x6560c349U,     0x1996daecU,     0xa9ff46cdU,     0x780b130aU, \
    0x004005feU,     0x6ed8f49aU,     0xe6d1badbU,     0xae4ab2a4U, \
    0x2dcecef5U,     0x365203f8U,     0x8da1f980U,     0xef277a68U, \
    0x46149ab0U,     0xc336fa13U,     0x1083cc24U,     0xbb08b4d8U, \
    0xe2caebb5U,     0xf1d9d84dU,     0x60f963edU,     0x82c37dd4U, \
    0x595d03d8U,     0x513c6c3bU,     0xdb21f311U,     0x4624f9cdU, \
    0x1e2531daU,     0x9d09baddU,     0xed5df90bU,     0x4a727a83U, \
    0x03334901U,     0x12f3bc8cU,     0x9ec6f285U,     0x82169556U, \
    0x272d962bU,     0x7734e224U,     0xa718005cU,     0x565afce6U, \
    0xef1b61fcU,     0x36c5f65fU,     0xd4b2e921U,     0x5bf1f1e9U, \
    0xc109c043U,     0x21007199U,     0x76d19c85U,     0x8984fc9cU, \
    0x56e79d92U,     0x15b20babU,     0xb6990a12U,     0x60be1406U, \
    0x9d869b78U,     0x52995b56U,     0x4e9b2615U,     0x1c036f8eU, \
    0x427cf582U,     0x4059fc51U,     0xf1dcb718U,     0x6bc47d92U, \
    0x4a08fac7U,     0x33f2ca69U,     0x04280844U,     0xa6dbd3f3U, \
    0xf42f8459U,     0xd8ee559fU,     0xb8055fb8U,     0xacf73435U, \
    0x8ba09859U,     0x83dc651fU,     0x71567492U,     0xe5532d53U, \
    0xa8694c00U,     0x84bdef44U,     0x49be67a6U,     0x6793740bU, \
    0xcbdead33U,     0xcbc3699bU,     0x64ad1c5cU,     0x14749ea8U, \
    0x44df27c7U,     0x95f68314U,     0xd155ddccU,     0xa9fbfca1U, \
    0x36df9abfU,     0x4cb9a13cU,     0x4be58a7cU,     0xa300261eU, \
    0x66eab169U,     0xf6478657U,     0x9eaabe47U,     0xaf339952U, \
    0x3eaa2e5dU,     0xbae353f3U,     0xd9000b00U,     0x7a14a660U, \
    0x888cdc65U,     0xcbb0af87U,     0x4970f73dU,     0x82d07eb1U, \
    0x7251f23aU,     0x6490da72U,     0x099a49d3U,     0xdf1b9d03U, \
    0xc98ee86aU,     0xc1069bc1U,     0x794243fdU,     0xe581b7fdU, \
    0xa3af1cf6U,     0x319a904cU,     0x11975e47U,     0x01cd0dfaU, \
    0xf7e8e9aeU,     0x33ea0d60U,     0x6ef01759U,     0x13a8ea56U, \
    0x28dcd933U,     0xbbce9b47U,     0x4f79607eU,     0xfffb7afeU, \
    0xeeb5d49cU,     0x2c3ea84bU,     0xca0d0f18U,     0x730a9a4eU, \
    0xae7f432fU,     0xc373d622U,     0x87bf3fa3U,     0x7530b1feU, \
    0x7191f745U,     0xe6adba20U,     0x89798894U,     0xcf4e75a2U, \
    0xbebdc434U,     0x05afc9c4U,     0xaf5ff32cU,     0x0a235088U, \
    0x5f32c497U,     0xe93bc18eU,     0x2d4780f5U,     0x57a0ce29U, \
    0x31c3f628U,     0xb1509bb9U,     0xd675a61bU,     0x7ff43e13U, \
    0x46d26431U,     0xd0caad4cU,     0x434b3e22U,     0x358b9326U, \
    0xf08d4030U,     0x6b7d34b1U,     0x86665b68U,     0x62ab0c91U, \
    0x866d59d6U,     0xaf1e9620U,     0xb9a17081U,     0x06053919U, \
    0x23db76e6U,     0x6bdec43aU,     0x1cb4acf1U,     0x02ee09e1U, \
    0x3b50d2deU,     0x98f14e68U,     0x2cd447dbU,     0xd6ee48b3U, \
    0x2aeb4467U,     0xf604a3d8U,     0xb953bf8eU,     0x45e1afddU, \
    0xb53f85e8U,     0xbb80b2bdU,     0xc2b1a643U,     0x17c01133U, \
    0xa0ed9b66U,     0xc058f8a7U,     0x06fa0417U,     0x95058b75U, \
    0x905c8b74U,     0xa26e15b3U,     0x96d1226dU,     0xf1ea8e9eU, \
    0x71e23d45U,     0x61f22495U,     0xa250bc99U,     0xc7df351aU, \
    0x38907ef4U,     0x5e296945U,     0x8086affeU,     0x0baa0bd1U, \
    0x22b4e1dfU,     0xbf0c58d6U,     0xa3269bf6U,     0x0df927fcU, \
    0x1d9aa758U,     0x74872306U,     0xf14cb541U,     0xf6358eccU, \
    0xbf2d0011U,     0xd6991e57U,     0x3eedacdbU,     0xc7548496U, \
    0xdbbbb65dU,     0xd398f863U,     0xb7b958e4U,     0x21c0f135U, \
    0xb7939cf9U,     0xe2a5a344U,     0xb8dfb83fU,     0xd1b1825bU, \
    0x73be3b43U,     0xccf4256eU,     0xe51162c8U,     0xdeb4d1bcU, \
    0xfcd801bcU,     0x7d6afaafU,     0x761284f2U,     0x1ae9f7bcU, \
    0x7257eee2U,     0x78a66de5U,     0xf0cf8567U,     0x01f81cd7U, \
    0xbff40ff3U,     0xb41ef29eU,     0x9cccf9c9U,     0xc62a12dbU, \
    0xbeccb505U,     0x2ab1f661U,     0xf412e7bfU,     0x93a61321U, \
    0x92c59ca5U,     0xfecefbf1U,     0xc5e62770U,     0x3fa543c4U, \
    0x7c1f478fU,     0xbbe154ceU,     0x3a81b0b4U,     0x24f63c03U, \
    0xeea344b5U,     0x4379784dU,     0xa5b67028U,     0xf2ffd721U, \
    0x64f76479U,     0xea7f1031U,     0x89e14abaU,     0x051fbff7U, \
    0xa99d3962U,     0x3b6f3356U,     0x33f078d0U,     0xe9a01765U, \
    0x0a3248e5U,     0x7a9251c6U,     0x3a807100U,     0xadeb85a6U, \
    0xbbc1511fU,     0x976de8c6U,     0xdbcf1e30U,     0x6f6b45dcU, \
    0xf015088bU,     0x8d1c0619U,     0x99202d04U,     0x76b592d3U, \
    0xce392b0cU,     0x738d5a26U,     0xca284aaeU,     0xfa36177bU, \
    0xa35e9f8dU,     0x803c7281U,     0x6823592fU,     0x944eb493U, \
    0x39ce1b6cU,     0x03c90e60U,     0xb4be450cU,     0x638bcc9dU, \
    0x2f053c11U,     0xfb422088U,     0x444a0cb9U,     0x709952f8U, \
    0x4006c9f9U,     0x566a4ccdU,     0xf57f4942U,     0x2c50efa7U, \
    0x4b9e2450U,     0x37d8737aU,     0xf33fde5dU,     0x75dd3a97U, \
    0x10fc6402U,     0x8ec74f1dU,     0x72d0f549U,     0xab4fe3caU, \
    0x1d3fd162U,     0xc346b854U,     0x312571c9U,     0x055610e3U, \
    0x78556e45U,     0xd564785bU,     0x5f376d77U,     0x86f36436U, \
    0x7d43db33U,     0x02818259U,     0x9b6973c0U,     0x3ba7fadaU, \
    0xbcd0ee61U,     0xf6a34343U,     0xaa0260a4U,     0x2745714aU, \
    0x3727e660U,     0xc93ff14bU,     0xe91d0470U,     0x12033cb4U, \
    0x305f57f4U,     0xb841e782U,     0xfe75cd64U,     0xaf0e3e16U, \
    0xe3ed3b09U,     0xabf6984bU,     0xdf7f466aU,     0xc9196023U, \
    0xbca57603U,     0xee3b8d81U,     0x707d0007U,     0xeef8b87bU, \
    0xcb564d5fU,     0xdef815deU,     0x75cba2d1U,     0x6600719eU, \
    0x0ed0478cU,     0x8ffceba9U,     0x317990c9U,     0xb5199670U, \
    0x34a7930bU,     0xd3da1c4fU,     0x5f370daeU,     0xa6ae6e2eU, \
    0xfd4c0f93U,     0x02bd7802U,     0xcbfc30beU,     0x35a87048U, \
    0x9497a551U,     0x464004c9U,     0x50511a91U,     0x1cbd6b3cU, \
    0x817e62acU,     0xba7414a2U,     0xbb8525c8U,     0x73a060b4U, \
    0x5605eaf1U,     0x1ff09aebU,     0xa8e17db5U,     0x6e42258eU, \
    0x63b792bfU,     0x15cd019aU,     0x6d95d538U,     0xe07e325bU, \
    0x7df5dc0fU,     0xd1d28eefU,     0xaf1e40ccU,     0x65fdb4f8U, \
    0xd3f00b41U,     0xe122a07dU,     0x238a980cU,     0x843107a4U, \
    0x7764fd93U,     0x33bd9194U,     0xdd7975b6U,     0xbcac56beU, \
    0xd5309ebeU,     0xec177f37U,     0x2d6bfb5eU,     0x134d07a0U, \
    0xd52d974dU,     0x6f341a02U,     0x6ab02e4dU,     0x5b8f41b2U, \
    0x52fe5c2eU,     0xcd9ffdb3U,     0x1a167d08U,     0xbfa86222U, \
    0x46a7fda1U,     0x69ccfa44U,     0xffea8f45U,     0x2c5cfaa7U, \
    0xf2584f25U,     0xa3cd048cU,     0xfb81c3a4U,     0xe1396fd8U, \
    0x727f0080U,     0x6f395657U,     0xfdf8cc75U,     0x5a767a30U, \
    0xea373e79U,     0xa2672c55U,     0x55009db3U,     0x1389746eU, \
    0xabf84ef6U,     0x06ca36bdU,     0xb2f9f7f8U,     0xd5caf2c6U, \
    0xc9b8e36dU,     0xea921affU,     0x24261943U,     0xed845df9U, \
    0xe2195f34U,     0x17e7b559U,     0xa339892bU,     0x4bf33de0U, \
    0x3bd4e9dfU,     0x9d1b383fU,     0xe3d2662cU,     0x22c3f31fU, \
    0x0e138e68U,     0xa61eb975U,     0x79b14166U,     0x8994e367U, \
    0x7cff7081U,     0x00530af8U,     0x2dded61eU,     0x54c278e6U, \
    0x5d033972U,     0x2eafb673U,     0x29236e68U,     0x8542ba63U, \
    0x21fc1592U,     0x7ccf8a5aU,     0x58c4c224U,     0x93e5a3f9U, \
    0x2eb17177U,     0xeca91f06U,     0xbaa7ea15U,     0xd15ebe04U, \
    0x252cbf18U,     0x519bca15U,     0x5ca8202dU,     0xe69bc898U, \
    0x46fb3c23U,     0x2a83e663U,     0x231bea08U,     0x40688a9cU, \
    0x519a3c1bU,     0x130588e9U,     0x03fc9454U,     0x86bb7b1aU, \
    0xba5d73a7U,     0xda021d03U,     0xfa872fc2U,     0x0fd929e6U, \
    0xbe5d7191U,     0x542971d2U,     0x08c17465U,     0x56d39ddbU, \
    0x7eb88533U,     0x68152f01U,     0x6994e28cU,     0x51746edaU, \
    0xa65e60e9U,     0x252c3f5eU,     0xc17bd1d3U,     0x094ea303U, \
    0x1aaab136U,     0x15f0b384U,     0xc1200ca0U,     0xffc84005U, \
    0xa9f0e9adU,     0xe883b6bcU,     0x5251b8d6U,     0xd948896fU, \
    0xe60b8db8U,     0x089da01aU,     0x3cc5bf91U,     0x98c1fafdU, \
    0x56deac32U,     0x35d62784U,     0x2c61bdaeU,     0x2c739cedU, \
    0xc186489eU,     0x92c45979U,     0x7528a832U,     0x12f9ae35U, \
    0xd6f906c0U,     0xd895bd45U,     0x401e8d01U,     0xc2cda154U, \
    0x82c1da8dU,     0x712a6ddcU,     0x0f8f75afU,     0x5b6ede11U, \
    0x1c0edd88U,     0x2ba5e1c4U,     0x54478a3eU,     0xe1cc8d80U, \
    0x557152f3U,     0x78ebaba3U,     0x73fa6bd8U,     0xcf7ccea4U, \
    0xec3cda37U,     0xb114b9e4U,     0x066d53a0U,     0xc6a0ea45U, \
    0x2d8083ebU,     0x67174936U,     0xf2e7daefU,     0xf2ae6db6U, \
    0x28d47cd2U,     0x5e3823bcU,     0xe21984bfU,     0x87750118U, \
    0x842c975aU,     0x2d7a5b6cU,     0xd9066925U,     0x0a7c83beU, \
    0xa72d2ee0U,     0x110520d9U,     0xbbdf59ddU,     0xc54b6617U, \
    0xac4ba186U,     0x303a10f9U,     0xeaaf43fcU,     0x7d48d5a4U, \
    0xae075863U,     0x21cefa17U,     0x19a5aba9U,     0x10a4695bU, \
    0xd5b6d445U,     0x8b692c5dU,     0x060cedadU,     0xcb351392U, \
    0xe0ea47e1U,     0xcbdff851U,     0x1f57b0e9U,     0xa3bbd284U, \
    0x625ee05dU,     0x2a26c168U,     0x1eec7f75U,     0x7258133aU, \
    0x29d23af5U,     0x4a708e4fU,     0x4b737857U,     0xfbbc843cU, \
    0xd3ff4671U,     0x20b4e41aU,     0x1d163a2cU,     0xd0b9b96eU, \
    0x166ce514U,     0x40cdf9b4U,     0x3b286ee4U,     0xec5746e6U, \
    0x812b0184U,     0x1a753f0dU,     0xd9d2f24cU,     0x331d05bbU, \
    0xa146db1fU,     0xaa9b2d42U,     0x73ae9db4U,     0xd2dd5b29U, \
    0x556949a8U,     0x0806ceb9U,     0xab6e85a4U,     0x41eef466U, \
    0x37ac7184U,     0x96119531U,     0x5ac9b46dU,     0x383582fcU, \
    0xfd7316e9U,     0x10e3212dU,     0x26a95112U,     0x892f6073U, \
    0xa44bf998U,     0x7b9083e1U,     0x87dd9d64U,     0x4ca7be49U, \
    0xc9c9065dU,     0x31fd8374U,     0x3a6c0f3dU,     0xc404c224U, \
    0xc656faeaU,     0xd1437423U,     0xcfed045dU,     0xf9596912U, \
    0x499febd2U,     0x84f10f0cU,     0xba7f8badU,     0x99f4bb1fU, \
    0x114b8a83U,     0x0b95370aU,     0xe5fa52e5U,     0x7a1b33e5U, \
    0x7de11af1U,     0xe36339daU,     0xb2964c73U,     0xa38c6af3U, \
    0xa8d5bd54U,     0xccb10293U,     0xcfddf913U,     0x0679fff0U, \
    0x6108c297U,     0xda120336U,     0xc293f5adU,     0x97154620U, \
    0xae07877aU,     0xe3f86feeU,     0xc257d5baU,     0x20c1845fU, \
    0x78eebc16U,     0x0b3913e4U,     0x0ed57df2U,     0x3bb32065U, \
    0x758bddd8U,     0xf5026a42U,     0x96538924U,     0xb881eae3U, \
    0xd76609b7U,     0xfab91bd1U,     0x835dedd0U,     0x30bf8cbdU, \
    0xeac4694eU,     0xc3d272edU,     0xd793668bU,     0x0e7ac8f6U, \
    0x2926f7aaU,     0x84f5afdcU,     0x86daae30U,     0x7f003be6U, \
    0x3bacb0a3U,     0xb6745db7U,     0x5c9849f8U,     0x7ef349f2U, \
    0x5bf03cbfU,     0xb77e6f95U,     0x2e494946U,     0x522304b3U, \
    0x0adc9052U,     0x67bed5f2U,     0x805381e6U,     0x18fe4909U, \
    0x09afb471U,     0x50f0ef81U,     0x792f6760U,     0xd3e0fad1U, \
    0x42475c20U,     0x2bfdd62aU,     0xaa1afaccU,     0x2a2fac66U, \
    0x6faf601eU,     0xa685281aU,     0xe8539197U,     0x1922b5b8U, \
    0x453e4123U,     0x068667caU,     0x06252c4aU,     0xd8aa71eaU, \
    0xe6018219U,     0x1cf095ecU,     0xc664b949U,     0x2f626f6eU, \
    0x6d319dccU,     0x9ab47a0cU,     0x689eb7f2U,     0xe5f3f939U, \
    0x1f8a1e6dU,     0x7872edf6U,     0x0cf852e5U,     0x51a9eeadU, \
    0x6ad86187U,     0x82ffd8c3U,     0x5599960eU,     0xc443ee58U, \
    0x7c3962b9U,     0x4ee51ba4U,     0x19e46ee8U,     0xdbd419d1U, \
    0x509e0c1cU,     0x327bbe6cU,     0x79f2bf10U,     0xb5cb179bU, \
    0xf51b2d55U,     0xdf36d55bU,     0x6e1107bdU,     0x322fecf7U, \
    0xdabeafb7U,     0xf749fb8bU,     0xd3b38cedU,     0xef1868cdU, \
    0x06fbb067U,     0x766c58d4U,     0xead8025eU,     0x2e462f2eU, \
    0x73dd0dbbU,     0xaf67156bU,     0x1cc20c90U,     0x081950fbU, \
    0x7afb94a5U,     0x95a0b8f2U,     0x3f7e353bU,     0xe9dab231U, \
    0x28f0f2d1U,     0xa49d1e9fU,     0x057021e2U,     0x2aa69b84U, \
    0x7c4ec221U,     0xfae90604U,     0x071ca8a6U,     0x36632fdeU, \
    0x88bc0dfaU,     0x16fc07d5U,     0xbaa7d501U,     0xab6cd2bbU, \
    0xcfc4542fU,     0x2966214dU,     0x214f3ed8U,     0x7349d82eU, \
    0xb0ce68adU,     0x6e365795U,     0x8d887a10U,     0xb22d29f7U, \
    0x2a3af114U,     0x06916fd9U,     0x88f1fa4bU,     0x1a499798U, \
    0x020db528U,     0xa70ad8bdU,     0x4ddfc230U,     0x25e9e091U, \
    0x434b18fcU,     0xb682e439U,     0x2e8e61feU,     0x60c03428U, \
    0x861a341aU,     0xab5ca7bcU,     0x799e68e0U,     0x1a13ea67U, \
    0x20363218U,     0xa6bec1eaU,     0x3e7271d4U,     0x475c031bU, \
    0x91ef2959U,     0xedc7809fU,     0x22f6833cU,     0xb8c904d2U, \
    0x6d58bb75U,     0x75385324U,     0x11339a46U,     0x08e0c1dbU, \
    0x987cd7f0U,     0x98b99345U,     0x20b78416U,     0x0f4313e3U, \
    0xface80b1U,     0x8f2d8c5dU,     0x36663f02U,     0xe02bbe44U, \
    0x2e42240eU,     0xc818f0cdU,     0xb0911d71U,     0xd8d5de53U, \
    0x5903ba26U,     0xa4546428U,     0x2f606621U,     0xc27b95d5U, \
    0x1cb7526fU,     0x0d78f81cU,     0xdade8ab2U,     0xe697daf1U, \
    0x9367a45bU,     0x903a7e55U,     0xa6012e67U,     0xac5ff67fU, \
    0xb769470bU,     0x8ba9bba0U,     0xaf0f06afU,     0x1ee5306dU, \
    0x4756f1bbU,     0x24de3905U,     0xee146dfbU,     0x8b1d03ceU, \
    0x3040cd0fU,     0x0ab9358aU,     0xe8923aa3U,     0x7a71aab8U, \
    0x7d7818baU,     0x519f3e2dU,     0xa889ad5dU,     0x635d279fU, \
    0xeb79333cU,     0xa1a1c3bcU,     0x4c479284U,     0xe11a6a46U, \
    0x34e85c83U,     0x379c5194U,     0xd60bf17dU,     0x082109c6U, \
    0x954d11c7U,     0xdf29fb60U,     0x2a346f3eU,     0x72e82201U, \
    0xaf0bd5ccU,     0x548973f9U,     0xdf292596U,     0xcfe46644U, \
    0x40dc4244U,     0xd52f438dU,     0xcc373ef7U,     0x10fbf3ecU, \
    0xb603c42eU,     0x21abfb09U,     0xc9ed0df6U,     0x405c5e57U, \
    0x902a9b82U,     0xbd40d817U,     0x0f9afeabU,     0x43de7732U, \
    0x768f2c10U,     0x11051edbU,     0x40616c73U,     0x92afd96cU, \
    0xcaa2750eU,     0xb587c167U,     0x2d706cecU,     0xc81d6ce1U, \
    0x1f6a8022U,     0x3419011cU,     0x09d7dc31U,     0xd4c72933U, \
    0x8586a0dcU,     0x30df3f5bU,     0x73b18977U,     0x93163bd9U, \
    0x34b658abU,     0xc2c939a5U,     0x121ac697U,     0xab3d8295U, \
    0xb92642fcU,     0x158802e7U,     0x75f19efcU,     0x3d6ab680U, \
    0xa843c107U,     0xd907973cU,     0x403f417dU,     0x6361db5cU, \
    0xf5364a5dU,     0xbb0e741aU,     0xf5c8fd85U,     0xec5e129dU, \
    0x2fa52889U,     0x4335938fU,     0x0ed45bc9U,     0xb543e2acU, \
    0x87f0c5daU,     0xdce224b4U,     0x23fa18f1U,     0x15cf3aa9U, \
    0x41870379U,     0xd99b4217U,     0xc991df33U,     0x11dfc7c8U, \
    0x797ef441U,     0xa98a04edU,     0x4c42f068U,     0xda610dd8U, \
    0xf766b093U,     0x1f4245a4U,     0x10e55fbfU,     0x7e42f6a6U, \
    0xad939e79U,     0x8523c592U,     0x4a229bebU,     0x75962ccdU, \
    0x4240760bU,     0xf75da0a6U,     0x287b7de0U,     0xc73635acU, \
    0xca7eaf2cU,     0x8910d65dU,     0xaa52bbdeU,     0x9bdc9415U, \
    0x9877c62aU,     0x17ca5d7dU,     0xa2f8591fU,     0xe91fcad0U, \
    0x576ac1c4U,     0xd8687675U,     0x5822386fU,     0x397b0090U, \
    0x4f48a011U,     0xbfba606fU,     0x3ed26f5eU,     0x4b123e98U, \
    0xec587d0bU,     0x783ee7b7U,     0x3fbf9a0bU,     0x65b44d20U, \
    0xbd6ad687U,     0xd953191bU,     0x1e01ff4cU,     0x82b05771U, \
    0x5239caf8U,     0xdb1ee916U,     0xa7a5a0c6U,     0xed4fae90U, \
    0xb84cb1f3U,     0x94ee078cU,     0xa0d40995U,     0xf96c7c15U, \
    0xa86cb051U,     0x833f9794U,     0x108b37fcU,     0x26992a01U, \
    0x33b3f8ddU,     0x6e8c4f6fU,     0xb2a884f0U,     0xbf293f43U, \
    0x279cb651U,     0xde6ee8b6U,     0xd76d2914U,     0x4a5122afU, \
    0x6c22697eU,     0x0c4e3320U,     0xebda47d4U,     0x52bc714fU, \
    0xdfedb45cU,     0x1a167ca9U,     0xb91d805dU,     0xec7d31f1U, \
    0xcba9dd2aU,     0x0e54dec4U,     0xf2bb3842U,     0xca7a41a1U, \
    0x7d510df1U,     0x18b6b752U,     0xa043bd67U,     0x12c6a053U, \
    0xa8cf826fU,     0xab00a735U,     0x98cd2b60U,     0x77b4f47fU, \
    0xbeb30375U,     0x0a3cd77cU,     0x2cd7e3e0U,     0x560bdbcdU, \
    0xe7bdaf1dU,     0x71357a82U,     0x0808b5fdU,     0x4cabba78U, \
    0xcec4bd3aU,     0x2d0ca01dU,     0x8b842fccU,     0x6375dddfU, \
    0xf759a4dcU,     0x764488afU,     0x2e4fed81U,     0x76d4c0b8U, \
    0x730b0a49U,     0x2bfd6843U,     0x3ebaac40U,     0x256fa0cfU, \
    0x5f535cdaU,     0xd0cd79ddU,     0x035fe464U,     0x0f25c03aU, \
    0x0ad76567U,     0xf843180fU,     0x6fefe327U,     0xed786d47U, \
    0xf0332af4U,     0xa92ac4c2U,     0xe342a14dU,     0x5043953bU, \
    0xfd004415U,     0x2796652fU,     0xcb6fa622U,     0xc0482546U, \
    0x3e091983U,     0xba5a6729U,     0x032ce804U,     0x8b3102f5U, \
    0x20f58d7cU,     0xa3135949U,     0x9c74aaa3U,     0x66cde199U, \
    0x33725ca5U,     0xecccaa82U,     0x1e0c12d6U,     0x58066becU, \
    0xd275e1f7U,     0x8520c6ddU,     0x50b3cd1cU,     0xd8799394U, \
    0x0dedcd84U,     0x6d391730U,     0x13b6e0f9U,     0x2d0f38d6U, \
    0x1154d471U,     0xb4ca7e54U,     0xe7acddc9U,     0xa90b0f99U, \
    0x7450d76fU,     0x331b6878U,     0x84f8eb74U,     0x1a4d9ecbU, \
    0xcd6dde4eU,     0x5c20ad36U,     0x41353f8aU,     0x6a965a32U, \
    0xf59a7e9cU,     0xbd7f754dU,     0xa75ae5a8U,     0x42463d69U, \
    0xc1803d7cU,     0x7c9e5cacU,     0x98b3f276U,     0x726c7786U, \
    0x3d1797e3U,     0xe25d73d1U,     0x358c305bU,     0xce2c7872U, \
    0xb5a4b31dU,     0x6e17dd2dU,     0x50252e9fU,     0x59ca5da2U, \
    0xe9871b1eU,     0x3d263dd2U,     0xf6501a36U,     0x47a7fd74U, \
    0xcb62de3dU,     0x4487f102U,     0xef170d51U,     0xb57b5b71U, \
    0x7b465728U,     0x705a326fU,     0xe89ccc5fU,     0x74f068a3U, \
    0x76a4b1f0U,     0x827d1f5fU,     0x34ad4c4cU,     0x80cf3f07U, \
    0xada60ab8U,     0x5965e8daU,     0x82b9a9acU,     0xe4dbe6deU, \
    0xa1b8cdecU,     0x5031673cU,     0x9d74ced2U,     0x07fb28b8U, \
    0xadab627bU,     0xa2e654cfU,     0x16e3b05aU,     0x7e14c209U, \
    0x6b5d44adU,     0xd594398eU,     0xbddf7e1dU,     0x20147d13U, \
    0x7bd7249fU,     0xcf08ae65U,     0x3f254aa5U,     0x4a1b1dacU, \
    0x8055dc94U,     0x541d0a97U,     0x2533889fU,     0x68403846U, \
    0x23596db1U,     0x32f88977U,     0x38495842U,     0x7c4bed41U, \
    0xa55d8edeU,     0xe488dda2U,     0xba0adde3U,     0x0e08c3a8U, \
    0x1f4f4a6aU,     0x062c443fU,     0x5532d6b7U,     0x522423c2U, \
    0xca66cc9eU,     0xc82f5580U,     0xeee4d907U,     0x0e557ae7U, \
    0xd7bcc81fU,     0x8313bbdcU,     0x63b6959dU,     0x56440d22U, \
    0xe80d7defU,     0x0e19475bU,     0x3c6a86ffU,     0x8171fbb0U, \
    0x4b75b7b5U,     0x65644d82U,     0x8dc837c7U,     0xb0a95fecU, \
    0xa54ec520U,     0xadc43bdcU,     0x34ae462bU,     0xd7f079deU, \
    0xcb4ae115U,     0x9eb033edU,     0xe3191b1bU,     0x3452be07U, \
    0xf9ecbcfcU,     0x486369e2U,     0x86080c64U,     0x9cc6372eU, \
    0xa521f2a9U,     0x329e081bU,     0x54a369f0U,     0xe697770eU, \
    0x88496472U,     0xcd2b3994U,     0x79fabc67U,     0xf8dac6caU, \
    0xaed709c2U,     0xff102b10U,     0x3738df59U,     0x42b569e9U, \
    0x6d2dcc99U,     0xfa4dc505U,     0xc1e4aa75U,     0x278efe7aU, \
    0xf01e7717U,     0xe5b3044fU,     0xcae340f9U,     0x35822213U, \
    0xffcd5139U,     0xd3539beaU,     0x7e8e4cc0U,     0xece86371U, \
    0x9d351dfcU,     0x0525c594U,     0x00f2b516U,     0x1780d4cbU, \
    0xd9465b89U,     0xfd51cc43U,     0x931a8b55U,     0x41c49003U, \
    0x1f4951d1U,     0xf86ffc43U,     0xc16fd1afU,     0x41ca6f96U, \
    0xfd5bf9d0U,     0xd09e60e7U,     0x5291e299U,     0x86c3e866U, \
    0x20ad3d29U,     0x28f8ba5aU,     0xef231e33U,     0xae49fc0dU, \
    0xb71755c8U,     0xdf6ffe86U,     0x2c78a623U,     0xbccd0b92U, \
    0xb40a0a4dU,     0x4f498448U,     0x95334621U,     0x9f79a170U, \
    0x3a6852c7U,     0xd6f4bfb6U,     0x49a65176U,     0x9152d27cU, \
    0xa38cbe0cU,     0xe84119b2U,     0xe8fe144cU,     0x6d93bb61U, \
    0xb1c367eaU,     0x1303ef9eU,     0x7bdcea5aU,     0x6971bd67U, \
    0x2ac3dafaU,     0x5bd8cef0U,     0x62874880U,     0x3fd9b605U, \
    0x688d68e9U,     0x3f8043d0U,     0xbe4daaacU,     0x6ef1068bU, \
    0xc26f65ccU,     0xc720fc1fU,     0xaf81f04eU,     0xa4479587U, \
    0x0d6e5e67U,     0xb6dfdefaU,     0x9334f43aU,     0x546dc095U, \
    0x3264f621U,     0x0f048de4U,     0x0245faf1U,     0x18f9c722U, \
    0x38f481feU,     0x6958bd5bU,     0x39c6d902U,     0xbf4ff809U, \
    0xc171ed9eU,     0x96611906U,     0xb900463dU,     0xd1b7c3ecU, \
    0x59c71d6cU,     0xa23f4710U,     0x0331ba0bU,     0x3b2b897dU, \
    0x6c563ec5U,     0x8e7f3c01U,     0x54fe7d33U,     0x4eb85739U, \
    0xe7733674U,     0x1de706d4U,     0x83ee5717U,     0x28e9ea0aU, \
    0xac54aeccU,     0xc0aeafffU,     0xbcd02559U,     0x29cc9814U, \
    0xb1ca5475U,     0x6d58bce4U,     0x1aed0f7eU,     0x7486748fU, \
    0x6449db85U,     0x25f988aaU,     0xf6414c41U,     0x6c9fc73dU, \
    0x4626902aU,     0xfa2eb6b0U,     0xf576b644U,     0xd4d42558U, \
    0x4e0d43d8U,     0x3b504314U,     0x46ff5144U,     0x168170d2U, \
    0x1c85a6a5U,     0xf6981cabU,     0x00a5d6f9U,     0x2c4ce1aaU, \
    0x22f42e52U,     0xab280aa1U,     0xc78fbca5U,     0xba8354b7U, \
    0xfa80bb17U,     0x7bfbf662U,     0x25e9c1d9U,     0x8820b9d8U, \
    0xff55c941U,     0x08768408U,     0xcdc95324U,     0x9448141eU, \
    0x064e4b97U,     0xe92cbb21U,     0xbc9a9f04U,     0x8d973812U, \
    0x476cc116U,     0x66cd705bU,     0x7a644232U,     0xf9a3bea4U, \
    0x140a715cU,     0x64225e0cU,     0x43027899U,     0x754d328dU, \
    0xcd44ae3aU,     0x47f27ea1U,     0x49e2cd68U,     0xb1e827b8U, \
    0x846e913bU,     0x6aad96d3U,     0xa177d1feU,     0x12a712bcU, \
    0xb27a7c17U,     0x9a9cd6d0U,     0xa562b35dU,     0x9e713214U, \
    0x1cd1f5b6U,     0x229d54ecU,     0xc5e7ef8aU,     0xfc8601dcU, \
    0x4668fb26U,     0x27b47d39U,     0x248ae9f1U,     0x3b63e1eeU, \
    0x58320ae6U,     0x551b76c0U,     0x2c097a26U,     0x6d0aac2fU, \
    0x894c006dU,     0x85018dfdU,     0xb4495d78U,     0x591a85ccU, \
    0xd93fd3aeU,     0xcabb69a8U,     0x37dd6261U,     0x87a8fb4bU, \
    0xde4709beU,     0x15319f4aU,     0x6641c5caU,     0x37e887d5U, \
    0x1abfab1fU,     0x31421508U,     0x719754b4U,     0x9bd94933U, \
    0x1fa88a8eU,     0xf8c076eaU,     0xcd98feaeU,     0xa2beb810U, \
    0x3270725aU,     0x80e16bd2U,     0x504a3b19U,     0x2792b16cU, \
    0xd43ba38fU,     0x371f33d2U,     0x9b434f26U,     0xffd9bf8aU, \
    0x39de2869U,     0xddfa0b0cU,     0x92fe6e72U,     0xb491ff64U, \
    0xe54c6c64U,     0x8e29e55aU,     0x80687187U,     0x1b168afeU, \
    0x69dc48c7U,     0x6dd3cf2aU,     0x76791459U,     0x19997785U, \
    0xc98ea096U,     0xdea45f03U,     0xa7d269a0U,     0xae37adfbU, \
    0x1a847a04U,     0x0d4b0377U,     0x13470365U,     0xbce4d2fdU, \
    0x2c815261U,     0x08905cb4U,     0x55fac8bbU,     0xebb0aa31U, \
    0xf0b8ef5dU,     0x3a9c0e25U,     0x024b5f8aU,     0xadafe903U, \
    0xceeacef9U,     0x9db8d306U,     0xaf99b142U,     0x17e7b0aaU, \
    0x0dfbe959U,     0x7ebe3b23U,     0xb86d6d70U,     0xe991219bU, \
    0x1c1ada4aU,     0x66f0597dU,     0x2a1a3644U,     0xf9654ec0U, \
    0xa74303daU,     0xd0657ad9U,     0x17f6d6c5U,     0x3f289d83U, \
    0x6daa29e4U,     0x2aaa7489U,     0x976256beU,     0xd250f72eU, \
    0xeca6507cU,     0xd287d782U,     0x35a5ef32U,     0x52d6f750U, \
    0xcba82c3dU,     0xbd2afc14U,     0x10c6efb5U,     0x31033878U, \
    0xdfa3bb1eU,     0x68c73da8U,     0x3ac1386bU,     0xc61e4db4U, \
    0x9aa4cad0U,     0x93df88e5U,     0x8f1deb23U,     0xac927b58U, \
    0x6d6e3d8dU,     0x6d113248U,     0x256ef2e0U,     0x62005901U, \
    0xf0944c5fU,     0xc18fa38eU,     0x4e75f5d5U,     0x14c74c06U, \
    0x596d7436U,     0x2cd20827U,     0x278ef381U,     0xdbfc5a7eU, \
    0x01395deaU,     0x868781a3U,     0x9464b12dU,     0x053938eaU, \
    0x88fce3e2U,     0x65f42c8cU,     0xbef3d0a1U,     0x3a32c73aU, \
    0x1738b4e0U,     0xf41c9c84U,     0xa891e11bU,     0x611a46cfU, \
    0x1aa1e921U,     0x6cdb6b48U,     0xd624a722U,     0x4841c611U, \
    0xc58dee14U,     0x12df41b4U,     0x8b478b25U,     0xe3d8d582U, \
    0xf8a8c2f3U,     0xc558e2e0U,     0xc6205360U,     0xa46a91feU, \
    0x1c2f3508U,     0x8deabc57U,     0x7be1759dU,     0x01cd19f8U, \
    0xf7da2d04U,     0xfdfe266eU,     0x87701af8U,     0xe945b570U, \
    0x7e2b8069U,     0xa9cbac31U,     0xa9d099c6U,     0x77fafbf5U, \
    0xb71d59cfU,     0xfa2117a6U,     0xa4c274cbU,     0xf1e42208U, \
    0x8f6b8441U,     0x169425e4U,     0xeb5651d6U,     0xe25004bbU, \
    0x2226ac09U,     0x229bf019U,     0x5c3008b3U,     0xaa717dbfU, \
    0x51613f1dU,     0x33057577U,     0x4ceca515U,     0xb2490d17U, \
    0x9ea89549U,     0x2c882ce5U,     0x07901b9cU,     0x75b1c28bU, \
    0xc03c0163U,     0xbd90aef7U,     0xc1a0c200U,     0xa20763a5U, \
    0x898cc9a5U,     0xbdf22cb4U,     0x91dd700bU,     0xf126f125U, \
    0xeafefc0aU,     0xd7edb4e3U,     0xc80e0314U,     0xa8c39639U, \
    0x679fee01U,     0x9e9cd93cU,     0xa6b67d27U,     0xb2f95670U, \
    0xf6db4a9cU,     0xca7ba415U,     0x9f216115U,     0xaf43816eU, \
    0x470edf5eU,     0x0d314d31U,     0x0c8002fbU,     0xc015b7c5U, \
    0x1e5acf0dU,     0x355c3dccU,     0x19cc17c8U,     0x6cabbbc7U, \
    0xc9361147U,     0xf34b78f9U,     0x03eac454U,     0xadef5d4aU, \
    0x09ca1e50U,     0x50643561U,     0x2fe5acadU,     0x24e14b26U, \
    0x68d1aaf7U,     0x333faa04U,     0x44b9a795U,     0x1295f200U, \
    0xee0d2d59U,     0x60fd77a8U,     0xf82253a2U,     0x5734b9e8U, \
    0x0321e08fU,     0x92afb2d7U,     0xe86a8140U,     0x7a9dba68U, \
    0x8920a389U,     0xeaca030fU,     0xea60bca0U,     0xbfefd0fcU, \
    0xf158c0b1U,     0xbd532c2bU,     0x6b0f79a3U,     0xf0b55d76U, \
    0x990b980dU,     0x61d5ed92U,     0x240316faU,     0x8b70d58fU, \
    0xf98646edU,     0xf4888914U,     0xf89b5489U,     0x21e279f2U, \
    0x9741fbdaU,     0x402e228aU,     0xd12630aeU,     0x1dafa9c5U, \
    0x3c2b101cU,     0x3ac4bbddU,     0x9a2bd1beU,     0xcaee4acaU, \
    0x15477673U,     0x677ad3a0U,     0x7d7571a3U,     0x04e7fc02U, \
    0x130f3c2dU,     0xf2b585fbU,     0xc4f0e05aU,     0x4605e2b6U, \
    0x72236350U,     0xbeb3c325U,     0xa079fb18U,     0xf117881dU, \
    0x32afc111U,     0x70e48c47U,     0x3370fa26U,     0xc9f1b0a2U, \
    0x83304c26U,     0xdd6ea692U,     0xd46a4833U,     0x467bb336U, \
    0x1de4ba7dU,     0xab791069U,     0x55130552U,     0xb07aaf3aU, \
    0x8e9ecf1aU,     0x08d965c9U,     0x713ee84aU,     0x1a6f9425U, \
    0xd0fd2225U,     0x5aa69d9dU,     0xf7e8dd3bU,     0xffa9a4ccU, \
    0xa1983a2cU,     0xc2365b88U,     0xb1a382c0U,     0x25f4b889U, \
    0x6012c342U,     0xa254bcfbU,     0x4abe4dfaU,     0xfca46293U, \
    0x9c1dc50dU,     0x7b986903U,     0x530c17d2U,     0x05430db8U, \
    0xcdaf4310U,     0x23669c70U,     0xea10151aU,     0x8b7d85c7U, \
    0x19bb822aU,     0x09324c78U,     0x5d2ea42fU,     0x8a64dae4U, \
    0xe1812a4fU,     0x19d1049eU,     0x5800a050U,     0x4be6db98U, \
    0x3f80fb7dU,     0x8eb59cd7U,     0xcb8cdef8U,     0x6c017493U, \
    0x3d255a72U,     0x26d135c6U,     0x35b5e7cbU,     0xceadb38dU, \
    0x112c7403U,     0x30e2c4e2U,     0x1d0ca7a4U,     0x7fc8c4f1U, \
    0x7486f028U,     0x846dcbbcU,     0x6ebc3f12U,     0x4d1ef187U, \
    0x00eba2c4U,     0x731f3889U,     0xdcae2d08U,     0x69433adfU, \
    0xbd0c0fa4U,     0xe6e97b0bU,     0x60bd390bU,     0x9820619eU, \
    0xf8da8e0eU,     0xc878654bU,     0xe6a6e8eeU,     0x7a590776U, \
    0xb465e73eU,     0xd4cd50e4U,     0x2de3cbc7U,     0x0c3db7b3U, \
    0x3346dd9fU,     0xee89528aU,     0xda7a794aU,     0xfa58eabdU, \
    0x6d20f08fU,     0x4271a0ebU,     0xa74124cfU,     0xd4c08223U, \
    0x5269b48bU,     0x53ae6e41U,     0x07a1e772U,     0x76fbd878U, \
    0x5eab235aU,     0x4c067fa6U,     0x23d4abd2U,     0x6e9e219bU, \
    0xc09dd0a7U,     0xbab0b5aeU,     0x6bbdf7baU,     0x8e881cc4U, \
    0x30502ffbU,     0xb049d8e2U,     0x6ba94967U,     0x730e075eU, \
    0x11ecfba6U,     0xdb25ffe0U,     0x94ee5545U,     0xb59f1fc8U, \
    0xd4855d77U,     0x736417a4U,     0x92f64f94U,     0x1ac77831U, \
    0xdb634be5U,     0xcb97208fU,     0x2c5e7831U,     0x87c42a3dU, \
    0x2d7986efU,     0x5d86148fU,     0xd47982aaU,     0x2888cb8cU, \
    0x3007a73bU,     0x320a951dU,     0x11377a78U,     0xc86b0a56U, \
    0x092a2fe4U,     0x9611b6f9U,     0xa9254662U,     0xdb244e33U, \
    0xb09ae095U,     0xcfc6c462U,     0x50755da6U,     0x325bf134U, \
    0x17c52ff2U,     0xd0962871U,     0xe9838d05U,     0xa141aa2fU, \
    0xd24ad416U,     0x1279b4efU,     0x17095aeeU,     0x2e200a0aU, \
    0x719b838cU,     0x74b8c08bU,     0x4aac2cd4U,     0xbcb3c55cU, \
    0xba3a7979U,     0x5fb7cfd3U,     0x9335e68bU,     0x3cef61d1U, \
    0x81734d39U,     0x0aaa8874U,     0x9be64cdbU,     0x4c11bbd1U, \
    0x84552108U,     0xf25e7bb7U,     0x62d38dc1U,     0xe9291d79U, \
    0x0e23c373U,     0x1b0f3e67U,     0x91331ec0U,     0xe7d55de0U, \
    0x1fc30776U,     0x86a4fde0U,     0xb86f273aU,     0xec3e3f1bU, \
    0xa9abd731U,     0xfe4cd007U,     0x04bb8b16U,     0xe96a6022U, \
    0x9aa125bdU,     0x90a0b468U,     0x9dec329aU,     0x8e2f3db0U, \
    0x002c2020U,     0x9636e7dbU,     0x433fd188U,     0x6272735eU, \
    0xad04b4c1U,     0x8a697caaU,     0x613f68f0U,     0x3604937dU, \
    0x2e86354dU,     0xe3e17cd0U,     0x7912328bU,     0xcb38a080U, \
    0xdbe815d2U,     0xd88a28c0U,     0x1e6658dcU,     0x658b8268U, \
    0x42eae10cU,     0x82e599bbU,     0xba936379U,     0x677b397eU, \
    0xd845c098U,     0x9aca8804U,     0x4894435eU,     0x46cc548aU, \
    0x0fb231e9U,     0x283d3bfaU,     0x5be7ced6U,     0x1fe2c3d5U, \
    0x9bd1adc7U,     0xa78711eaU,     0x0d838f9fU,     0xcd44a406U, \
    0x8d133fefU,     0x2bea0cceU,     0x35d2e4f0U,     0x798110ecU, \
    0x225bd5d2U,     0xde17f710U,     0x0411e10fU,     0x940a2da7U, \
    0x1c9e064cU,     0xe7dd702aU,     0xc521cba9U,     0xa1c73727U, \
    0x6a7f5b55U,     0x3cf8133aU,     0x4fd71856U,     0xafa73e0fU, \
    0x91fa704aU,     0xec9c2befU,     0x1c48581bU,     0x34e4f8beU, \
    0x07e87abaU,     0xb1ea3817U,     0xade479e7U,     0x434da248U, \
    0x761b9487U,     0x972e2e12U,     0xb921f970U,     0x537bd7b3U, \
    0x3edafae5U,     0x8fbd7b0fU,     0x6b2e41afU,     0xe9db6b1dU, \
    0xa8508493U,     0x72ca2d79U,     0x4946b104U,     0x52bf793bU, \
    0xdc5a7899U,     0x090565d9U,     0x748235deU,     0xd6818dbbU, \
    0x6c398658U,     0x3edd6694U,     0x5e3102b4U,     0xffcf24f7U, \
    0xd21ec950U,     0x08147e30U,     0xa805eabbU,     0x6bc2f7ffU, \
    0x5650174dU,     0x5a703671U,     0x4d6e007bU,     0x3586d026U, \
    0xc5912fb4U,     0xf3c6d252U,     0x7d547a97U,     0x1711c071U, \
    0x07ee6e7dU,     0x051c8c86U,     0xa247b29dU,     0x04062a04U, \
    0x98dc0c99U,     0x6288582dU,     0x14059fcbU,     0xe0e6c6a1U, \
    0x32d5d288U,     0x96366905U,     0x599f1a13U,     0x88f8b0b3U, \
    0x44e5a526U,     0x890e3bccU,     0x2362f18bU,     0xf83b8962U, \
    0xab3e12fcU,     0x9f505ba6U,     0x53348fdfU,     0xe6200fe9U, \
    0x3b26adcfU,     0x76862e58U,     0x8ff527c0U,     0xe2956916U, \
    0x499fb774U,     0x1f708fffU,     0xa08d9ae7U,     0xfab4f295U, \
    0x32a2f2ebU,     0xc7cc59eeU,     0x52a733abU,     0xf7e3d8c3U, \
    0x4e2369b7U,     0x99937d1aU,     0x0ee58d5cU,     0x131382afU, \
    0x4e76fd3cU,     0x29ec1d5cU,     0xd600d13bU,     0x0cc2ae46U, \
    0x4807c699U,     0x5524106bU,     0x1d07460cU,     0xc92397afU, \
    0x8b739ab0U,     0x963e9787U,     0xfb4e7632U,     0x1686c69eU, \
    0x1fb6390bU,     0xc7996a4dU,     0xbe33eb3fU,     0xdaabd636U, \
    0x1f9932faU,     0xd0422bb7U,     0x08297637U,     0xb7d08625U, \
    0xccf53f5dU,     0x3ffcf101U,     0x3233c8fdU,     0x2299d4deU, \
    0xeb98790aU,     0x94383a1fU,     0x6e07db11U,     0x853b0a2cU, \
    0xed913c4aU,     0xde55e14bU,     0x2dbebafbU,     0x3f312f4cU, \
    0x63f9cad4U,     0x47341a9bU,     0x570b186bU,     0xee131147U, \
    0x787f4552U,     0x5fb2013aU,     0x39360902U,     0x068d99d3U, \
    0x9231b5e0U,     0x52b59e71U,     0x4577cd7dU,     0x076f506aU, \
    0xb94f4699U,     0xa5a13bd2U,     0x31e9d444U,     0x4fc4054aU, \
    0x88d8aa23U,     0xb0ed4cd6U,     0x7c22da28U,     0x44fea3a8U, \
    0x5f120629U,     0xd330f100U,     0x80546f0cU,     0x3808394fU, \
    0x1175fbddU,     0x0471b677U,     0x76903ecbU,     0x452eeaf1U, \
    0xa1d92485U,     0xe538d6c8U,     0x7e28a080U,     0xf56f3ea4U, \
    0xb4443d7bU,     0xa7c0c03eU,     0x165b1d21U,     0xa666d692U, \
    0x49c4dc9fU,     0xb02210fbU,     0x855d9fceU,     0xfda003adU, \
    0x770e3f6bU,     0x7af8c20bU,     0x0a08e3efU,     0x11ae314eU, \
    0x8b2e5307U,     0x7a36280bU,     0x436fb750U,     0x50519021U, \
    0x6f3332e8U,     0xde205a67U,     0x8867ac1eU,     0x6396098cU, \
    0xfada096aU,     0xad1629a9U,     0xc68a614fU,     0xcac6ff1cU, \
    0x1c76268fU,     0x013bbcafU,     0x47c4dbfeU,     0x6fd29a87U, \
    0x31d23c6cU,     0x8dd6290bU,     0xf4317f7aU,     0x67210925U, \
    0x84c82c55U,     0x37f7f9d4U,     0x6d9389ecU,     0xf95a062bU, \
    0xb3c2f659U,     0xdbb3ce5fU,     0x6b5bd291U,     0xf261b275U, \
    0x9cdcba41U,     0xa7bfb505U,     0xf037c257U,     0x31407fd2U, \
    0xdd49860fU,     0x8b668e99U,     0x6a618b10U,     0x67ad2cb4U, \
    0x5ffe6688U,     0xfb77b723U,     0xa1ed9e38U,     0xbc02d8cbU, \
    0x651daf7fU,     0xe7b9a7c9U,     0x7bfe615bU,     0xa5c767aeU, \
    0x550acdd5U,     0x6b88117cU,     0xfba37818U,     0x4a91cdf4U, \
    0xbe3e9e94U,     0xb5c2f60eU,     0xb046f2aaU,     0x7d38d502U, \
    0x18e0f37aU,     0x2af11d77U,     0xb54e5e71U,     0xd2f52fc1U, \
    0x80f08bb6U,     0x2e786a35U,     0x056fe53fU,     0xc2122b5fU, \
    0x6218d4c4U,     0x8cb4c87cU,     0x09d6f12aU,     0x92432a68U, \
    0xf9c5b3eaU,     0xc142a11dU,     0xdb5fad5fU,     0xf7b241dbU, \
    0xf8252fc2U,     0x1891d2ecU,     0x4f1ed684U,     0xbf3a30e0U, \
    0x2c44b4feU,     0x77229eb0U,     0x1759a9b3U,     0x0937f88fU, \
    0x732873f4U,     0x396124a7U,     0x0ce691feU,     0x0603dc45U, \
    0x305b8fd3U,     0xc4fccbbeU,     0xabd1bf5bU,     0x0d2f8edfU, \
    0xfb0c00f3U,     0x35983f17U,     0x20f50f87U,     0xd0b476a4U, \
    0xc77834d5U,     0xf6b71e83U,     0x259caa1dU,     0x80f4d513U, \
    0x69b000b0U,     0xd5b306c0U,     0xc1f68085U,     0x36617d2cU, \
    0x944c72efU,     0x083999d2U,     0xbe9971e4U,     0x31521450U, \
    0xde43f9a1U,     0x2aea0b15U,     0x715ff9b5U,     0xff13a1a4U, \
    0xbc29fc67U,     0x5844d413U,     0x01891d44U,     0x14dd7c7dU, \
    0x0c6154deU,     0xb3607e7cU,     0x8c2c177cU,     0xf2dc9b3aU, \
    0x6752b95cU,     0xe9d16062U,     0x3cdfda56U,     0x7e7658feU, \
    0xb6518a72U,     0x92430832U,     0xee9bc4b4U,     0xd37f86bbU, \
    0x3a0af792U,     0x7f52a23aU,     0xc3a8192aU,     0x6c21d325U, \
    0xdbb0ee59U,     0x3274d756U,     0x46d901f1U,     0x6aea4db8U, \
    0xc48d2658U,     0x6cce31b0U,     0xa756f740U,     0xb5e38936U, \
    0x060b406cU,     0x0f85d75cU,     0xe58cd171U,     0x3522a48bU, \
    0xd2329b58U,     0xfec163eeU,     0x2232a379U,     0x20fe88d1U, \
    0x4f539993U,     0x1d01e942U,     0x11039282U,     0x41268645U, \
    0xcc5ee855U,     0xf8a09ed1U,     0xa188c6f8U,     0x5c396fc3U, \
    0x61ad392eU,     0x5e1b7ffaU,     0x4770c8f5U,     0x7a84fe64U, \
    0x99172a1fU,     0xbf3e5af4U,     0xeb96a1fbU,     0x58294c97U, \
    0xbd8a6ac5U,     0x1908c787U,     0xf194a40eU,     0x8ecc22d0U, \
    0x997c3f69U,     0xc4af4bdfU,     0x2bb359e4U,     0x920f31d8U, \
    0xbfd8a9e5U,     0xd348d300U,     0xbfffe511U,     0xb01b6124U, \
    0xdf7bf5c4U,     0xcfff4eb1U,     0xe2110bacU,     0xc7dd4725U, \
    0xca02d4faU,     0x19523f3aU,     0x32bf03dbU,     0x767a64e2U, \
    0x1f6166baU,     0x39c57a30U,     0x564006dfU,     0xc261ea4dU, \
    0x37020643U,     0xbdf63a32U,     0xf83302c0U,     0xf85ed2deU, \
    0xb3d61c97U,     0xf583fe7aU,     0x7e18231dU,     0x951eb10eU, \
    0xaca50b29U,     0x6af434e0U,     0x25394069U,     0xcb1730c3U, \
    0xb2de6319U,     0x67db4502U,     0x0584d7f1U,     0xaf35ad3cU, \
    0x8b0ef8c2U,     0x09f8c8f7U,     0x64bca863U,     0xb7a9c5f1U, \
    0xa5b5956aU,     0x19bc9b4dU,     0xccfd2d1cU,     0x1e292be3U, \
    0x36c89de3U,     0x4c1e118eU,     0x9e30e8d9U,     0xabda36e2U, \
    0xeedebb5bU,     0x837b4f3bU,     0x8c5d0607U,     0xf32179daU, \
    0x3d85cd23U,     0xd3240fd4U,     0xbd8eecbbU,     0x6cf05e4dU, \
    0xdc3aa671U,     0x38d31f05U,     0xb62dc67dU,     0xb7eeb1a8U, \
    0xa4242590U,     0xad9150a4U,     0x03ec3038U,     0xc3929d05U, \
    0x1c730b1eU,     0xc4ee022bU,     0x7d83681fU,     0x018dfa5dU, \
    0x5ae57aceU,     0x834aa006U,     0xd78665a3U,     0x3aabac90U, \
    0x1916d21cU,     0x66930edfU,     0x4648dc22U,     0xc597aa81U, \
    0xddc37697U,     0x6fda82bdU,     0xfb9ca2beU,     0xb22a1dd9U, \
    0x7d6815c4U,     0xfe6fd27fU,     0xbae9e116U,     0x2d85ec7fU, \
    0x4dc39a1bU,     0x36c27e69U,     0x7e40117dU,     0xa460e036U, \
    0xdc5d793aU,     0x92e8fc14U,     0x8a35c482U,     0x6fd27d4dU, \
    0x930fe28fU,     0x9c33f970U,     0x4c4e039dU,     0x3f2b4111U, \
    0x81770fd4U,     0xb7555493U,     0x121cc347U,     0x7fddad8dU, \
    0x0788ea2aU,     0x94ed4ac7U,     0x88314650U,     0xc9ba6374U, \
    0x011936d4U,     0x00172223U,     0x5f6ecef3U,     0x9d06dabcU, \
    0x8d9bd137U,     0xe10f88a7U,     0x9df1c45aU,     0x1f96e50fU, \
    0x11a3ffceU,     0x08db32b3U,     0x20b80586U,     0x15d0a958U, \
    0x80ab7b71U,     0x40cae07fU,     0x1b2049caU,     0x210d7ad1U, \
    0x93b45cc1U,     0x065d70d0U,     0xb1b5ae9dU,     0xa8b547f4U, \
    0xe8c2be30U,     0x533f49e4U,     0x7a34ee00U,     0xde7489aeU, \
    0xe07d4f89U,     0x6702b043U,     0xb2557d3fU,     0x76caacf5U, \
    0x9db7c39aU,     0x0cdb588bU,     0x369213b6U,     0x843644e0U, \
    0x885d2edcU,     0x9ddaa791U,     0xbfd92a6dU,     0xa7367d92U, \
    0x41f5edb1U,     0xf7e2670dU,     0x6c5b652aU,     0x70c29474U, \
    0x7fd40864U,     0x3fbbc296U,     0xf978039fU,     0x4fb09f7eU, \
    0x21582e19U,     0xf61443e3U,     0x91061bd9U,     0x0ff9c5abU, \
    0x5267786eU,     0xcf3ba697U,     0x53e6191dU,     0x527f91bdU, \
    0x7af9134bU,     0xec252c7eU,     0xd598df47U,     0x5d7e3212U, \
    0x6ec6a67cU,     0x7858466eU,     0x1fd65147U,     0x4a7115ffU, \
    0x69b9ef64U,     0xafed1542U,     0xb6aa897fU,     0xfc71af0aU, \
    0xb1c6fa01U,     0x32b0a80cU,     0xf0cb2ef6U,     0x79ac2051U, \
    0x8583411dU,     0x8999c89aU,     0x10fd0446U,     0x5900cee3U, \
    0x37526791U,     0xbb49d99aU,     0x98270fb6U,     0x63cc6a4dU, \
    0xb0dbd117U,     0xbbdc1bedU,     0x58fa77c0U,     0x1e1c3fb2U, \
    0xc47cd3dbU,     0x14696dfbU,     0x98827cdcU,     0xc7132211U, \
    0xc890fd36U,     0x63a88131U,     0x65fa5babU,     0x2b22852aU, \
    0xa8b64f55U,     0x89c0c982U,     0xea5d6480U,     0xfdfad73cU, \
    0x0bdb0bb6U,     0xe81de7ecU,     0xde7805efU,     0xe476e5efU, \
    0xbfb29fe6U,     0x5058a637U,     0x0fcfda26U,     0x3721d473U, \
    0x09a87227U,     0x65c766c0U,     0x3a921838U,     0x5ae3119bU, \
    0xeaf73850U,     0x615bc9dfU,     0x800eab24U,     0x76bebac0U, \
    0x6010aa70U,     0x89995aeeU,     0xdb3afb26U,     0x6dc13d2aU, \
    0xe1b1ecdbU,     0x2a29297eU,     0x0953b959U,     0x9ba00694U, \
    0x3d16c533U,     0xb70ec31dU,     0x5195c84cU,     0x220dfcfcU, \
    0x64022a47U,     0xf1a183aaU,     0x9e482a67U,     0xa4d5d1b1U, \
    0x44ad975fU,     0x1760c7d8U,     0x1af4eb08U,     0x8ce94165U, \
    0xcafb0e5dU,     0x1ac8d37dU,     0xb70e3df8U,     0x50277080U, \
    0xcc5d1d39U,     0x373b3ec0U,     0x0f12514fU,     0xa1f1c425U, \
    0xeed58caeU,     0x7753239aU,     0x45d53740U,     0x45d32b86U, \
    0x5c0a3b52U,     0xa49f6f33U,     0xe9eb18f5U,     0xb19c31a2U, \
    0x3eb0ab67U,     0xc3d9fbadU,     0xd33a1615U,     0xa4d7595dU, \
    0xfc4ef226U,     0xec70733bU,     0xc998f079U,     0x9a1b9c71U, \
    0x1377cc75U,     0xf4d98902U,     0x1aa1e66dU,     0xd740f821U, \
    0xc8f29277U,     0xbadef565U,     0x2621b950U,     0x0a2262efU, \
    0x298c98e2U,     0xc2b9bf68U,     0xb8c423a4U,     0x9b7834bdU, \
    0x79b37d45U,     0x63399b16U,     0x0a467285U,     0x157e09f7U, \
    0x33d596daU,     0xf82033adU,     0x8517637dU,     0xf5556d7dU, \
    0x8757e812U,     0x3e2e5161U,     0x31505cc2U,     0x601d85a7U, \
    0xd3f5e3bbU,     0xbff64284U,     0xbd6a51cdU,     0x7c874788U, \
    0xf78a35b9U,     0x2e40090aU,     0xf2df34f7U,     0xe3d71320U, \
    0x70eb5931U,     0x9b24087eU,     0xcf2d9a1aU,     0x6a05adc0U, \
    0xa1c212b8U,     0x1f81f98aU,     0x161f11ffU,     0x87c06fd6U, \
    0x231ca160U,     0x5c754b02U,     0x7e6fd337U,     0xfe9a5c05U, \
    0xb6c8c7e7U,     0x176c7955U,     0xe1da1fd2U,     0x5f49b7a0U, \
    0x417e00c1U,     0xc06d66a7U,     0xbb3b0397U,     0x06e09bd1U, \
    0x5d93f161U,     0x98a68c9bU,     0xbf8d7711U,     0x6d569ed0U, \
    0xfbb74affU,     0x549b1864U,     0x29bc0a4dU,     0xf466df50U, \
    0x5f6dc6afU,     0x77ef9a53U,     0x00ca6fe0U,     0x50bf0f27U, \
    0x9cf8baa1U,     0x363d8e74U,     0x2f8b3809U,     0x6c44b71bU, \
    0xf8406132U,     0xade3bf87U,     0x1b3da4bdU,     0x6ccc9ea3U, \
    0x3574dc8fU,     0x49483592U,     0xd6169859U,     0x8f7eec57U, \
    0x1b6e6624U,     0xf03f69dcU,     0x56b3d9beU,     0xc627fb24U, \
    0x9716040dU,     0xcedfeb34U,     0x7647e4b6U,     0x11527fe0U, \
    0x39ec4eefU,     0x86d782dbU,     0xf026eeaeU,     0xe07797feU, \
    0x59fd6d31U,     0x993b643bU,     0x5b520535U,     0x734e6928U, \
    0xa34895b7U,     0x5c15f737U,     0x98fa7f3cU,     0x2372e202U, \
    0x6ede867eU,     0xe6249ac5U,     0x470e9e36U,     0xe95c933eU, \
    0xb8c44ea1U,     0xb8eee6ccU,     0x170d0a63U,     0x18361c0cU, \
    0x996e6e50U,     0x44e4bbe9U,     0x612110c8U,     0x2723c03fU, \
    0xb08f1942U,     0x20a61ddaU,     0x5ecabd64U,     0x524eeb94U, \
    0xa046207cU,     0xfcda1a15U,     0x3f995066U,     0xdefb71b9U, \
    0x6a6a5df6U,     0x1aee6008U,     0xb2d48ed1U,     0xb78c2662U, \
    0xe9d94b59U,     0x8754b265U,     0x5e513c9bU,     0x9b951636U, \
    0xf28391ddU,     0x6bf91ca2U,     0x67830555U,     0x89b8a0a1U, \
    0x1175411eU,     0xf1883b27U,     0xd1c0190fU,     0xa01603dcU, \
    0x6aa3ac7fU,     0xf4f4466dU,     0x79cbc655U,     0xe875d888U, \
    0x91265600U,     0xf9cb702aU,     0x6e69fc69U,     0x948a0788U, \
    0x1507a024U,     0x99d3113eU,     0xc056efefU,     0xed1f8d5fU, \
    0x64cbf4a9U,     0xa91d6862U,     0x0814dff6U,     0x528d04fbU, \
    0xcba5bac0U,     0x84d86bf1U,     0xf4a50226U,     0x31e36a28U, \
    0x7c709d11U,     0x72762e3dU,     0xd5ad7293U,     0x99c78b62U, \
    0x20c5c4deU,     0xfc65e82fU,     0x3c1f7e8cU,     0x2455cab5U, \
    0x386e5de3U,     0xc45e024dU,     0xd1bde533U,     0x17440a37U, \
    0x87ce1939U,     0x98135dd5U,     0x3150b1b6U,     0xc7f749e4U, \
    0xbd618d09U,     0x2089411eU,     0x3feccb0cU,     0xd7e2e56fU, \
    0x7160d0b4U,     0x0f827d34U,     0xc703bf52U,     0x0f439d3eU, \
    0x465b7a39U,     0x4106ad73U,     0x65b454eaU,     0x5f97fa0bU, \
    0xedecd50aU,     0x04b484b9U,     0xe6261656U,     0xaaf346cdU, \
    0xdbaded1aU,     0x11f22adaU,     0xbd92afbbU,     0xba78dab6U, \
    0x4b46afdaU,     0x0c91f56dU,     0x94b99e43U,     0x467bacfcU, \
    0xaf826c8aU,     0x6300ca1cU,     0x464e825eU,     0xcb351a3cU, \
    0x1b53dbedU,     0xe6cf769aU,     0x22a6d4a7U,     0x4e1bcae6U, \
    0x7a8b8147U,     0x56bcbbcdU,     0x7c43d86aU,     0x156d9c15U, \
    0xf844d170U,     0x1c3810fbU,     0x2f261d91U,     0xa2236e78U, \
    0x723e965bU,     0x02c444acU,     0xa67d5c06U,     0x880fac33U, \
    0x62d4fe37U,     0x23444164U,     0xc1a2e5b8U,     0x5cd60d86U, \
    0x26f9cfbcU,     0xca63ece1U,     0x3551609cU,     0x582bbdcbU, \
    0xd497f67fU,     0x4dcfc552U,     0x3129b546U,     0x1dc25c4aU, \
    0xdfe1bfc5U,     0xcc39c753U,     0x1bb4ff61U,     0x75b355baU, \
    0x1af24072U,     0x210ff59aU,     0x8e635e5bU,     0xd4747459U, \
    0xbaf71aebU,     0xe91369b8U,     0x69234e1bU,     0x5a94cc70U, \
    0x7f5950ebU,     0xf7247810U,     0x15f4ce2eU,     0x61f42241U, \
    0x54486938U,     0xb5c3af59U,     0x3c1ab7f0U,     0x7c11f06dU, \
    0x34a8cd1cU,     0x8b10d0acU,     0xf4415891U,     0xffc463ddU, \
    0xb426ca1eU,     0xd1ed2465U,     0x18276648U,     0xee3e30fcU, \
    0xb78fad7fU,     0x24b1724bU,     0x33cf7aefU,     0x698f2213U, \
    0xa30380ccU,     0xcebf0a8dU,     0xaad68a13U,     0x4e46e33eU, \
    0xb72d5cd8U,     0x84f94a58U,     0x5ff522efU,     0x92012418U, \
    0xcf2f77caU,     0x2758136aU,     0x658f241dU,     0x9c7733feU, \
    0x22c00733U,     0x48c9b1b9U,     0xb73d233dU,     0x08bb588aU, \
    0xd6e5bd90U,     0xd87aa7edU,     0xe40d250cU,     0x3410c18aU, \
    0xda5ee20cU,     0x63b9ee27U,     0xb06bbaefU,     0x96c2d12aU, \
    0x57350714U,     0x378f11f4U,     0x44e1c3d9U,     0x7272cbbeU, \
    0x50f7b6e9U,     0x12724159U,     0x065b302eU,     0xce0d861aU, \
    0x7edc5873U,     0xe82a7c12U,     0x6cff09d3U,     0x3b861a58U, \
    0xe830596cU,     0x07e532aeU,     0x699fc5ddU,     0xd0c2ee57U, \
    0x81044952U,     0xb38c3d85U,     0xed77350cU,     0x89e74455U, \
    0xc6e89e21U,     0x7b00e87aU,     0xf033e6e6U,     0xc18672baU, \
    0x716a215cU,     0x4022e53aU,     0x5e9e261aU,     0x9acc1ff2U, \
    0xeebf0e1bU,     0x8c9858abU,     0x9b616ea9U,     0x27c7e15dU, \
    0xec5384c2U,     0x0161def2U,     0x58cffeccU,     0xf2683d62U, \
    0xad95ebf4U,     0xb66129ffU,     0x9ace0653U,     0xae346c8eU, \
    0x897734c3U,     0xc1ab309fU,     0x5f338d37U,     0x26b0988aU, \
    0xf4622a6bU,     0x63c1b6f5U,     0x560f125fU,     0x0112f31cU, \
    0x6955ed0cU,     0xc5c67dacU,     0xa46a0c6dU,     0x0337e012U, \
    0xeb1dabf1U,     0x6587972eU,     0xd80f7691U,     0xe198b8b4U, \
    0xcbddb747U,     0x959509afU,     0x60734defU,     0xaa10b470U, \
    0x7f1132acU,     0xa6b2271aU,     0xd4060f9fU,     0xd99fd971U, \
    0xd5ebfe5cU,     0x4be733daU,     0x75472914U,     0x1b0996e2U, \
    0x15a2ca09U,     0xcfed1b80U,     0x9db86ae6U,     0xef2c367cU, \
    0x260acb58U,     0x18091603U,     0x07f63175U,     0x33bbf25cU, \
    0x41979dd6U,     0x1bcbecb0U,     0xcc54a7e4U,     0x81bcf805U, \
    0x774dd1d8U,     0xce1b4236U,     0x64a83b6fU,     0x428f0e72U, \
    0x1b9c267aU,     0x283c5afbU,     0xb3a6d731U,     0x3170fb7bU, \
    0x661e9170U,     0x8fdc09eeU,     0x26347749U,     0x18d88eefU, \
    0xc6878614U,     0x0aa13f1fU,     0xd2a7f735U,     0xbba7d248U, \
    0xff2bcdc3U,     0x0e20ddebU,     0x09cc8f8cU,     0xc13724ceU, \
    0xf103bdffU,     0x346cca68U,     0xce11645bU,     0xd457c4eeU, \
    0xac15a1faU,     0xff9a6608U,     0xae883b2dU,     0x6c428eefU, \
    0x8c053968U,     0xa623c041U,     0x205fcdc4U,     0x3c2d8540U, \
    0xee9e253aU,     0x4cad9a5aU,     0x564a03b6U,     0xc490ededU, \
    0x00ce8f2fU,     0x2821ad96U,     0x8c14f0f6U,     0xf97959f8U, \
    0x5e39c69cU,     0xcfc4dcd9U,     0xd4c2c192U,     0xb4a6f459U, \
    0x99d45e66U,     0x7d4e13d8U,     0x5100d83cU,     0xeffda0b3U, \
    0x66845c8eU,     0xffeef29aU,     0x6f6435c3U,     0x113bf144U, \
    0xf4decd90U,     0xc99cf0cbU,     0x48789392U,     0xe62d307eU, \
    0xa66e36b3U,     0x5e462ddeU,     0x5d83056cU,     0x77d4d950U, \
    0x59287c6aU,     0x140a816cU,     0xdf6c9ff7U,     0x3993007eU, \
    0x96e47c88U,     0x845ee369U,     0x0b5bb74bU,     0xcf8e5326U, \
    0xd98363adU,     0x25ad3964U,     0x54a5f699U,     0x8e05a637U, \
    0xf325a2daU,     0xcb05002eU,     0x5bd94aacU,     0x0e64a56bU, \
    0xc93a9eb8U,     0xe0fc3cdaU,     0xdd6b0c60U,     0xe04bd99dU, \
    0x9413f45dU,     0x927f6155U,     0x6696d675U,     0x7ef0851cU, \
    0x880ca2deU,     0xb5e732f7U,     0x3c2e33a9U,     0x6eb2d565U, \
    0x297b5f07U,     0x73ab2c1eU,     0xc59faee2U,     0x89c393e6U, \
    0x5f810d8aU,     0xc753b8f2U,     0xa7e30003U,     0x35db2c4aU, \
    0x28ac1797U,     0xbfbdcfe5U,     0x135f29f7U,     0x5ca4418bU, \
    0x546dbc36U,     0xd4e45cb6U,     0xa705c0dfU,     0x0ade7ce2U, \
    0x284146fdU,     0xd6364fbaU,     0xe5afc058U,     0x1b99675bU, \
    0x2566a167U,     0x081915bbU,     0x32b44f82U,     0x5e6e6484U, \
    0x4e489f70U,     0xcb1a0842U,     0xadd36ec9U,     0xc7cd5dd6U, \
    0xb556d9b6U,     0x9d9dfa7fU,     0xd332ebf1U,     0xed710385U, \
    0x4dc53aa9U,     0x32bce054U,     0x67a422e7U,     0x9538764fU, \
    0x7b0f25fcU,     0x8b4714a9U,     0x5b0359c7U,     0x2175b3bcU, \
    0x945e113bU,     0x0fa9e7aaU,     0x36f5d873U,     0xfe252d76U, \
    0xc44fe7a0U,     0x7a6a1ef0U,     0xba21e4eaU,     0x7371e4e4U, \
    0xdb2ec87fU,     0xaf5d34cfU,     0x268f2657U,     0x3538dbf4U, \
    0xd6145e49U,     0x277c5f5eU,     0x4001a4c0U,     0x5be9ff90U, \
    0x9464f0b6U,     0xcf5f42b3U,     0xd6203073U,     0x547a365cU, \
    0x5818c47cU,     0xc2f172b7U,     0xbb88baffU,     0xd44a3e74U, \
    0x5bb5c6bbU,     0xf0d2ea54U,     0xac4ab390U,     0x23412e8cU, \
    0xdaea644dU,     0x9f53b6ebU,     0xd89e893eU,     0x7024733bU, \
    0xd4461425U,     0x5cafc58dU,     0x8ca8ec96U,     0x1d7f839eU, \
    0x549005c4U,     0x15a45a8eU,     0xa77b9e58U,     0xfee00435U, \
    0x1170161aU,     0xee4947cdU,     0x02589b5fU,     0x52a2b804U, \
    0xe40f7a3fU,     0x9a36832eU,     0x15fb9c22U,     0x2870d2c9U, \
    0xa408ca70U,     0xc27bb66eU,     0x9e2cbff1U,     0x20ad1579U, \
    0xd83d534dU,     0x95fe1235U,     0x53cc19c1U,     0x9005cbcaU, \
    0xf0dc0a36U,     0xd5251427U,     0xc7157632U,     0x8d93e3b2U, \
    0xeb2ee629U,     0x71bc7178U,     0x97b4c631U,     0xa663bacbU, \
    0xec48f256U,     0x8ea365adU,     0xbe129250U,     0xfc038c0dU, \
    0xe6c283ccU,     0x2f0e92dfU,     0xfe75cc16U,     0x51e2e41eU, \
    0xc1b3c1fcU,     0x701dddc1U,     0x63550e05U,     0x507e2d61U, \
    0x9e3a7f5fU,     0x41c07c2eU,     0x5146b07bU,     0xb8901846U, \
    0xb4e0e02dU,     0xc33b1573U,     0xba199c6aU,     0xc822bb60U, \
    0x9bd56bc4U,     0x8d338596U,     0xf74b1393U,     0x7e1489d0U, \
    0xb7985156U,     0xb8d6ae6aU,     0x3acf0941U,     0xe9cd7048U, \
    0xd82d4e02U,     0x97c49941U,     0x1aac229cU,     0x1c57cb8cU, \
    0x19e03a3dU,     0xe4959345U,     0x799fd7ffU,     0x6500b86bU, \
    0x01fdc226U,     0xef18e6dcU,     0x9e19ba4eU,     0x09677486U, \
    0x16056cc5U,     0x38df137cU,     0x7520defbU,     0xa4e1c8b1U, \
    0x6a31cc89U,     0xcea9d969U,     0xe47e4d7fU,     0xb3377319U, \
    0x10083ba7U,     0xf7361e94U,     0x9924f760U,     0x2fdbd713U, \
    0x9fd1e8afU,     0x96cc74afU,     0xcf0e389aU,     0x4f2eac30U, \
    0xde8ecd16U,     0x1c130c8fU,     0x078acfccU,     0x2607f02dU, \
    0xe67052bdU,     0x5c3879a0U,     0xad7e9848U,     0xd3412ea4U, \
    0x6ecd50d2U,     0x115e7953U,     0x4a18b153U,     0xf1aec1a5U, \
    0x88a7a71aU,     0x36a3b77fU,     0xd6ed01e5U,     0xc7dd9068U, \
    0x0436e8deU,     0x73d302aeU,     0x17b57612U,     0x361c88b0U, \
    0x0d09b393U,     0xb72c4ba9U,     0x071a07a3U,     0xe1684093U, \
    0x38f4fb44U,     0x30d53aa8U,     0xabb76b64U,     0xc2e08a3cU, \
    0x8e0c2360U,     0xa900f311U,     0xc110c003U,     0x366b9826U, \
    0x96f2644eU,     0x7b1ce55cU,     0xb6d998f5U,     0x61ddc3d2U, \
    0xb3f86693U,     0x6980e09aU,     0xbc82e658U,     0xdab70a61U, \
    0x3026bc4dU,     0x4bb2d3d4U,     0xc98a21f4U,     0xa8e292c8U, \
    0xf72d72a4U,     0xf3a62f08U,     0x7c722ca1U,     0x0ec072ebU, \
    0x273df555U,     0x7ca9f530U,     0x1a5c28aeU,     0xbeea5bc1U, \
    0xa3172650U,     0x38c53ba4U,     0xe8c2ad58U,     0xbc6aa8ecU, \
    0xe9fdc0cdU,     0x8905b594U,     0x88b8f984U,     0x6c4f7306U, \
    0x7dccd1bfU,     0xd847630eU,     0xa1103615U,     0x71edae51U, \
    0x9471e2baU,     0xa01d7d96U,     0x04d02c05U,     0xf6cf566eU, \
    0x69ed43c5U,     0xe8389573U,     0xe5871e5eU,     0x7a302ce2U, \
    0xefb44ca8U,     0xd8a7a037U,     0x842ecee9U,     0x3747267cU, \
    0xf254a3edU,     0x11bf76c4U,     0xb052cd1eU,     0x61fbbb90U, \
    0xeb8b76c8U,     0x7d3c0c8dU,     0x412c44b9U,     0x46bcb74fU, \
    0x06b8730eU,     0x74ffdccaU,     0x1c4866e7U,     0x0b110279U, \
    0x7fe6266aU,     0xdb8f39b4U,     0x7683ed07U,     0x88663f81U, \
    0x6cf471d5U,     0xe621e152U,     0x81825b16U,     0x6dd29233U, \
    0xbeae5fddU,     0xee82870eU,     0x3cf33befU,     0xbbc80e4fU, \
    0x1add0223U,     0xcb589cf0U,     0xc78b7421U,     0xd006c195U, \
    0x540cc9bcU,     0xb7025927U,     0xcf89bcc6U,     0x4358d3b8U, \
    0x28c9bbbaU,     0xc0f1d991U,     0x0d9828dbU,     0x4c9bab08U, \
    0x4720b8fdU,     0xf45a64f3U,     0x3066fc91U,     0x4104cc32U, \
    0xe1f03c6eU,     0x7d14566aU,     0xf8685df7U,     0xf3501265U, \
    0x1893a271U,     0x414cf7baU,     0x018a8317U,     0xf6f58e10U, \
    0xf7ff65cdU,     0x6a7974efU,     0x509f7423U,     0x5506a924U, \
    0x4890b400U,     0x239f67abU,     0x71bb265bU,     0x8faf448eU, \
    0x881c58acU,     0xdcab24e5U,     0xad692e28U,     0x7d8a6b10U, \
    0xbe486c8dU,     0xb1cd268fU,     0x26717d40U,     0x60d399fbU, \
    0x642087f2U,     0x23e9954aU,     0xdffb1d3dU,     0x476c0f63U, \
    0x3114edc1U,     0x25b1ed79U,     0x3ec7e472U,     0xa372b834U, \
    0xc6212b61U,     0x12dceeb2U,     0x128fd2baU,     0x49dac0a1U, \
    0xea11ff57U,     0x5d69e098U,     0x53aff188U,     0x93319774U, \
    0xf3f6f510U,     0xf2dd57c4U,     0xdf0f66d7U,     0xd2e7cd7aU, \
    0x8df959caU,     0xcdc44523U,     0x1e2756b6U,     0x1c7372cbU, \
    0x0e4578caU,     0xf1418fadU,     0x82283736U,     0xe3b25495U, \
    0x02e27cfcU,     0xaf8a0572U,     0x502c69d7U,     0x6349d406U, \
    0x8f224cc1U,     0x15714b0aU,     0x69fbb8d0U,     0x0768e65fU, \
    0x496e5e8fU,     0xbe454955U,     0x38d6fb96U,     0xe9ad315aU, \
    0x89be90efU,     0x886a434eU,     0xcf169c69U,     0xc98afad0U, \
    0x0be64ccdU,     0xf58c5baeU,     0xa901d05dU,     0x834be49fU, \
    0x5aa5d8fcU,     0x89cbc175U,     0xdfc54ed7U,     0x738c26a1U, \
    0x28a9c74dU,     0x98645ff6U,     0x640e5427U,     0xd28f172aU, \
    0xa0033c15U,     0xf637f9d9U,     0xc48bad4fU,     0xa6835470U, \
    0x9b67d50bU,     0xb379b941U,     0xdd542788U,     0x47fa79d2U, \
    0x5a3ed55eU,     0x83d96dbeU,     0xa55df165U,     0x6493052dU, \
    0x5367a5a5U,     0xa576fff6U,     0x19244639U,     0xe5880eb6U, \
    0x5f208f0fU,     0x92162880U,     0xd20d8310U,     0x64efd0f7U, \
    0xcb317d6cU,     0x815601e4U,     0x6af8a80eU,     0xddad396dU, \
    0xd220806fU,     0x3e164591U,     0xf208443eU,     0x70aa918eU, \
    0x2f55b863U,     0xeb40da0eU,     0x7e58bce6U,     0xe42e25f3U, \
    0xe04d7b34U,     0x6d36c395U,     0xa1c1df14U,     0x98627c67U, \
    0x90aaf93fU,     0xbac66b61U,     0xa02bce27U,     0x7e61e927U, \
    0xcc12982dU,     0xe575df6eU,     0xdd27ad3bU,     0x6edbafe5U, \
    0xd6d4f265U,     0xac1bf733U,     0x4160d1e2U,     0x4e843937U, \
    0x7199c5bdU,     0xa0d32f82U,     0xb1b6976dU,     0x1eef4265U, \
    0x4f61d52fU,     0x07b67005U,     0x098825b7U,     0x7aee8743U, \
    0x3bd70005U,     0xc6dbabd2U,     0x5c9f89bbU,     0xe9ef0f9bU, \
    0x3d734c52U,     0x82da4003U,     0x944b0c71U,     0x939550a6U, \
    0x03982bd3U,     0x7ea8aedcU,     0x5054225cU,     0xeaae00dbU, \
    0x2b6fe722U,     0xa8702dadU,     0x7e110230U,     0x453c0d9cU, \
    0x0c2175b7U,     0xea1c07c6U,     0x99c98cffU,     0x83c8ff7aU, \
    0x33f50a71U,     0x107fcc2dU,     0xd1b0cc34U,     0xf9430e49U, \
    0x60228d1eU,     0xedb6c546U,     0x111c0d96U,     0x31ab8eb9U, \
    0xb815ebefU,     0x2ecbd2c2U,     0x34530affU,     0xf6c1fffcU, \
    0xe55df649U,     0x8cb79e1dU,     0x76e17712U,     0x02fe9195U, \
    0x5b60b50bU,     0xe5c225cbU,     0x877a3d78U,     0xf409c244U, \
    0x87e92b41U,     0x8b6d0a63U,     0xb3b03320U,     0xcddc7d3aU, \
    0x310d75c2U,     0x08e82c2fU,     0xce52c9cbU,     0xd415e1a9U, \
    0x32bf8be8U,     0x80606d95U,     0xfca072b3U,     0xcac4260eU, \
    0x690f956dU,     0x16f606a0U,     0xfebc193aU,     0x44d6978eU, \
    0x54ad60eeU,     0x2d4bc223U,     0x3551bc89U,     0x0741e8afU, \
    0xae546060U,     0x802ab0dfU,     0xbfe047e3U,     0x9e045948U, \
    0xb3659a77U,     0xc1e9b161U,     0xb54bb567U,     0xf25a932fU, \
    0x3e58b562U,     0x884934ceU,     0xf00e6841U,     0xf700644aU, \
    0xc4f2015dU,     0x96ed1ecaU,     0xf5f20d69U,     0xfc57d0e3U, \
    0x7c09d606U,     0x23712e9cU,     0x070494bcU,     0x38471d48U, \
    0x2e7f52d2U,     0x56b388daU,     0x2ca20e49U,     0x227a5433U, \
    0x8122ee8aU,     0x7b0dee0dU,     0x5b5b1dfeU,     0xd8c7d45cU, \
    0x3ddb2468U,     0xe49f7a21U,     0x270cddc5U,     0xd4a30285U, \
    0xf070e80eU,     0x8f72f22cU,     0x8d195b67U,     0xac653c2bU, \
    0x8345c667U,     0x16a4958dU,     0x4f7c5c42U,     0x806eeab9U, \
    0x134e4971U,     0xa14229d3U,     0xe3ca7252U,     0x828e2dd1U, \
    0x55e3db2dU,     0x1ab5bceeU,     0xbc2fe5c0U,     0xfc572101U, \
    0x8fa77a97U,     0xd7eb5dadU,     0x702a7616U,     0xea04b9c7U, \
    0x70d4e2deU,     0x57899835U,     0x3c2e4ce1U,     0x1f3a9985U, \
    0x7082aa70U,     0xeea0d5d6U,     0x5182b11eU,     0x97640110U, \
    0xe36479f4U,     0xa75812b0U,     0x4827644aU,     0x090580f5U, \
    0x9c2fac6dU,     0xbe2f9b73U,     0xebf591fdU,     0xda8f7596U, \
    0x2e539638U,     0xab72cf85U,     0xa1e5939fU,     0x88256892U, \
    0x05d03266U,     0xf59114e3U,     0xa7dd4466U,     0xf96dd5edU, \
    0xef4cc6acU,     0xcff3a878U,     0xa3f2b412U,     0xd518d99aU, \
    0x07a4225dU,     0xb61b4e06U,     0xbd19d4dbU,     0xe3d7b54fU, \
    0x116080f4U,     0x4f039814U,     0x7ab83536U,     0x740b4cc3U, \
    0xf8f42258U,     0x4b96b437U,     0x81cb769cU,     0x6407d434U, \
    0xa773f05fU,     0x48b98b8dU,     0xbe3a5477U,     0xca849f71U, \
    0x7288469aU,     0xd4780b47U,     0x9e3b9ed8U,     0x0d40cbebU, \
    0xaeeb3ea6U,     0xfd8dd1d2U,     0xa953c90bU,     0x41f11e3dU, \
    0x6313e8d7U,     0xdafe229cU,     0x83aa2a9cU,     0x14d96635U, \
    0x029f8ebfU,     0xf78e1470U,     0x9ee049b7U,     0xca2a9821U, \
    0xfc0cf841U,     0xee0849dfU,     0x9dd898e6U,     0xc57dde16U, \
    0x82b2d0e8U,     0x58c12fb3U,     0xe9d0f167U,     0x53cbf4b8U, \
    0xb7a89a97U,     0x7fb32f19U,     0x368a242eU,     0x8e871402U, \
    0xd378312bU,     0x75526f8dU,     0x8478a288U,     0x5c30518aU, \
    0xd77ab0efU,     0x60256cbbU,     0xef3b508aU,     0x315c7bebU, \
    0xc78145c4U,     0xc6d3c7efU,     0x2e8c89faU,     0x384c3452U, \
    0x1e0f74f3U,     0x48c37ed5U,     0xabd1a27bU,     0xa5bb8616U, \
    0xe84969e7U,     0x1c0b8b36U,     0xd216a9d4U,     0xf5567205U, \
    0x5fc1efa1U,     0xb0b77df4U,     0x989794b7U,     0x92d0600aU, \
    0x905b0abdU,     0x66bdcb70U,     0x005f353aU,     0xe53f388bU, \
    0x01f71581U,     0xf8eff523U,     0xc8e6292cU,     0xcfae688cU, \
    0xeb1463ddU,     0x9befafc8U,     0x591893c4U,     0xba246c89U, \
    0x47337a70U,     0x04d4eb91U,     0xacb0f4c4U,     0xb3e9db1dU, \
    0xe6dd1b1cU,     0xa9e3bf83U,     0x267dd20bU,     0xe84c6a24U, \
    0x792a353cU,     0x1dceb063U,     0xdc5c5cbeU,     0xf8175695U, \
    0x141f7f72U,     0xb076eceeU,     0x50a167e5U,     0x2e2ec528U, \
    0xf1fd827fU,     0xaa88b15dU,     0x393e6b1fU,     0x36221da1U, \
    0x36bcc91aU,     0x2bc9e234U,     0xbc81ad8bU,     0x25d980b5U, \
    0x8d6c3f8bU,     0x3a6911f6U,     0x8b6ea76fU,     0xc32e438bU, \
    0x4d6eaad8U,     0xb41112e9U,     0xc628c6cbU,     0x5c1d76dbU, \
    0xc329d712U,     0x8a69b132U,     0xc2c53db3U,     0xadd6843fU, \
    0x24885425U,     0x3a039028U,     0x8c6d2f17U,     0x379d1ed8U, \
    0x54200215U,     0xb6d0efd7U,     0xaae0484cU,     0x4b44663aU, \
    0xcd57aaddU,     0x17277815U,     0x0b107155U,     0xc669a594U, \
    0xe2b68a5dU,     0x13db62b9U,     0x8d45635fU,     0xd2f3eb3bU, \
    0x42a6981fU,     0x1bdb9ab7U,     0x1f1ffd7eU,     0xc94f1656U, \
    0x142db163U,     0x200ac4b9U,     0x2115cb59U,     0xbb3ad2d1U, \
    0xa30387f3U,     0xc0c480e5U,     0x8343452eU,     0xbf782621U, \
    0x798089b9U,     0x92de0724U,     0xbcc40240U,     0xcef2b34fU, \
    0x8b5b3734U,     0x082d808dU,     0xa0e4c651U,     0x201e5c87U, \
    0x7d75e91dU,     0xde78c77aU,     0x7dbb7da4U,     0xa401d95aU, \
    0x84fbb1bbU,     0x392089b6U,     0xdbd4afa2U,     0xdcad5262U, \
    0x7b4fc092U,     0x9504a304U,     0xfeeb7d06U,     0x7bc66b2cU, \
    0xcd0de726U,     0x0b37610cU,     0x74319296U,     0x85e3c366U, \
    0xa476216aU,     0x1d801423U,     0x4772bf8aU,     0x023e6d93U, \
    0xb0746880U,     0xd3ca2f0eU,     0x59096e27U,     0x46c91f1aU, \
    0xf2b37cf5U,     0x09838cb0U,     0x3bf14681U,     0x5eb3a93eU, \
    0x61a08cc8U,     0xdbd97fe0U,     0xd6566e9fU,     0x49200c57U, \
    0xe7f7cc0fU,     0x91f13009U,     0x64534a96U,     0xe77d12aeU, \
    0x0c43d2f8U,     0x293b81e6U,     0xb279e2b5U,     0x81c31fd9U, \
    0x1b58d4baU,     0x8aa38576U,     0x5208c148U,     0xcb320521U, \
    0x5b20866cU,     0x41507165U,     0xbd7eaa1eU,     0x4480cec9U, \
    0x5cca690cU,     0xf902510cU,     0xe2b39da9U,     0xbeba085aU, \
    0x5c671fa6U,     0xf2971fadU,     0xfa2a3800U,     0xcb7b36e1U, \
    0x83df0668U,     0x521b761aU,     0x0bcf5ce3U,     0x29c49eb4U, \
    0x3a8a5848U,     0x71b95354U,     0x958fc561U,     0x7cbdfca4U, \
    0x30c40170U,     0x1279b802U,     0xc2cc87acU,     0x892d9491U, \
    0x0cb56d55U,     0xae1426b1U,     0x605f738cU,     0xea75ffc9U, \
    0x586f30e9U,     0x61e952f0U,     0x3f201b48U,     0x0ec8d6d2U, \
    0xd6bbfa10U,     0xb2ca51bbU,     0x9300a315U,     0x3f494e44U, \
    0x2371a07bU,     0xdf51d6d4U,     0x9382e58cU,     0xab91df74U, \
    0xf35ddd54U,     0x39edf191U,     0x98fde060U,     0x090fd45fU, \
    0xd2d4356dU,     0x53754ab0U,     0xc5f2ffb1U,     0x4df5cee0U, \
    0xabbe80d3U,     0xb7ef6504U,     0x03f83668U,     0x5998232fU, \
    0x8e2cba06U,     0x3d11afc3U,     0xc67dcf18U,     0xaa4f099aU, \
    0xc909f08bU,     0x386c547cU,     0x6e2a4e0cU,     0x5051030dU, \
    0x22d163eeU,     0xc3bdb48fU,     0x06bc0230U,     0x41693879U, \
    0x67e7aa9eU,     0x73575c52U,     0x8ce4ff2dU,     0xfccc302bU, \
    0x781f97f5U,     0x4a664a97U,     0x35fe8fbcU,     0x9d15c550U, \
    0x138ca7deU,     0xfcecd570U,     0xf62b393eU,     0x742a8614U, \
    0x9bc397d3U,     0x1aaf1cacU,     0x40fbdfe9U,     0xe6069a22U, \
    0x8bcfeec9U,     0xeff2d225U,     0xdaf2661fU,     0x9a7d1529U, \
    0x88d11c5eU,     0x8a455203U,     0x4903bb51U,     0x85eab273U, \
    0xbb0cd9c9U,     0xebfd4c91U,     0x44f00df1U,     0xbbca9642U, \
    0xac7322dcU,     0x784a133fU,     0xe2f3aa66U,     0xd9a40839U, \
    0xc9ca7277U,     0x8c2008d4U,     0x0a3d3785U,     0x897ee2f8U, \
    0xee25f741U,     0x02691f64U,     0x0df25703U,     0x65fc1ed1U, \
    0xfe2ac546U,     0x6f48fc10U,     0xcb015c35U,     0xaa417a67U, \
    0x85befc5eU,     0xbd7f2e58U,     0xc2f052d1U,     0xb87ea612U, \
    0x2e7eadeaU,     0x1cb230acU,     0xb5416dbbU,     0x05e24daeU, \
    0xc9637fa3U,     0xe000fd47U,     0x3487b4e1U,     0xef41e2adU, \
    0xe0c92044U,     0x855da82eU,     0x1c65cba3U,     0xd03b81a4U, \
    0xef6bf060U,     0x9da71381U,     0x7a9eb2a3U,     0xa44139a8U, \
    0xbca9ffcfU,     0x0ee6197dU,     0xd6aa86e0U,     0xb3f9300fU, \
    0xf49d0111U,     0x7c89db46U,     0xdbfe5e96U,     0x3ebc840fU, \
    0x656009d3U,     0x0df33128U,     0x2f857158U,     0x99734106U, \
    0x8231ad2aU,     0xab43e235U,     0x586d367cU,     0x9f66ce71U, \
    0xcfca78c0U,     0xede605bfU,     0xac041865U,     0x531dbb89U, \
    0x89ba6142U,     0xadb57bccU,     0x0f15fc7aU,     0x15a667f3U, \
    0x356f14a3U,     0xeb34eedeU,     0x0e58789dU,     0xb77cb9f8U, \
    0x2bc89792U,     0xcfe9b103U,     0x63f8b920U,     0x93c81dccU, \
    0x4daec4a2U,     0x7dcd4570U,     0x29a161a3U,     0xee6f833bU, \
    0xda20e1daU,     0xab88deb4U,     0x821d110dU,     0x7a930ce1U, \
    0xd8aa8fb8U,     0x3aafe8e2U,     0xffffa9c4U,     0x5f7e4206U, \
    0x5edf4fd7U,     0xbe5fc824U,     0x3fc698b0U,     0xf28bf57aU, \
    0x45a0a351U,     0x6648354dU,     0x785d91c8U,     0x509b533eU, \
    0x4b4abd5bU,     0x0453961fU,     0xae6b860cU,     0x074b7208U, \
    0xbf673db9U,     0xb44d535dU,     0x18f3630aU,     0x8091d576U, \
    0xe6ff566cU,     0xf0d23b17U,     0x1c759358U,     0x4f36287bU, \
    0xbee783ffU,     0xc562d505U,     0x0addb3d2U,     0x2f21ddb5U, \
    0x8435bd0dU,     0x2a7c74acU,     0xf2dbf0acU,     0x43f640a6U, \
    0xd7830eacU,     0x69ce845eU,     0x974e1a3cU,     0x70b1e445U, \
    0xc85de5ddU,     0xc72ca888U,     0xafb5bc50U,     0xaf78fe3fU, \
    0x89c40addU,     0x5a1cd4feU,     0xf360e97aU,     0x50f57550U, \
    0xce39dc15U,     0x1e145478U,     0x7519f059U,     0x12361e02U, \
    0xb9a01443U,     0x6b3dd3deU,     0x0a8aead2U,     0x031ab83dU, \
    0x4a1b9140U,     0x37b26f18U,     0x95a3997dU,     0x608904e7U, \
    0x1c80c713U,     0xd8507f1fU,     0x824c9da4U,     0xd7e67c1bU, \
    0xcff47744U,     0xe37f64b2U,     0x792f1a34U,     0x45b1ebefU, \
    0x5894a15dU,     0xba57abfeU,     0xc74cf73aU,     0xff57de55U, \
    0xa7db22b7U,     0xc5965843U,     0xcbdfe489U,     0x466dc9ebU, \
    0xeb773dfdU,     0xfcb6c43aU,     0xed244c72U,     0x68fe11c3U, \
    0x05216a2bU,     0x38f0dd0bU,     0x08613b6cU,     0xaffe6316U, \
    0xc46343a5U,     0xfa3df6a8U,     0x3740cd37U,     0xb2419dc6U, \
    0xf90f7164U,     0xc8094b49U,     0x1542dfeeU,     0xd4a64ec0U, \
    0xc4a87046U,     0xee033a0cU,     0xc7a0fcceU,     0xcd6868c0U, \
    0x7d35f2f0U,     0x16813cafU,     0x0393a89aU,     0x7617f680U, \
    0xb021aa00U,     0x35b2a5ebU,     0x553a2da9U,     0x6dc63655U, \
    0xccf70497U,     0x93602f1aU,     0x181323b7U,     0x69d832c1U, \
    0x75a43b2dU,     0x3361c5b6U,     0x19072196U,     0x7bdcb601U, \
    0xbb14af4bU,     0x9842e62eU,     0x29dcb387U,     0xb45998d9U, \
    0x9bfd27c6U,     0xa35b3e97U,     0xc03bcafbU,     0x143f50c9U, \
    0xe20a85c2U,     0x5e61ab22U,     0x9e51d944U,     0xc013421dU, \
    0x3830ffcbU,     0xe707a60cU,     0x4c8874e0U,     0x6abf793bU, \
    0x3a2e7e2aU,     0xdfdcb5e8U,     0x11dd60a1U,     0x40016319U, \
    0x6708beedU,     0x7d1ab064U,     0x5e5613c7U,     0xf298b9cbU, \
    0xea970086U,     0xd71409b5U,     0xcccc1143U,     0x19b050d8U, \
    0xa0f998cfU,     0x4b6ef716U,     0x1dacf81bU,     0xf1d4b0a2U, \
    0xea8f3a1aU,     0x69948954U,     0xe1049161U,     0x0d683390U, \
    0xd7f6ace6U,     0x78d1162eU,     0xd7f377d5U,     0x580a823cU, \
    0xc503b3beU,     0x82c40577U,     0xedcb36dfU,     0x2cc48216U, \
    0xbf9d1eadU,     0xa2b087ccU,     0xe0686212U,     0xd6728a11U, \
    0x43e1b63bU,     0x8756d39bU,     0xdad02b18U,     0xf2cca4f0U, \
    0x11a31617U,     0x5775ebadU,     0x64fb198bU,     0x46720aa3U, \
    0x8f2476d7U,     0xb3b7a15eU,     0x9891de4dU,     0x674e35c7U, \
    0x126bbc19U,     0xfeff0bdcU,     0xce09aff6U,     0x1744bae9U, \
    0x26e7c9b1U,     0x47cf7c3cU,     0x34d6702eU,     0xfdfb5ea1U, \
    0xc1da9479U,     0x78edbf70U,     0xf92e5bafU,     0x7aa89e35U, \
    0xc5508722U,     0x14901775U,     0x566d6188U,     0xca699b73U, \
    0xf1d305a7U,     0xe880b3e0U,     0x6e758fbdU,     0x23c8c224U, \
    0xe064c6ebU,     0xfe287aaaU,     0x1c78b516U,     0xf751c5fcU, \
    0x65b51ea8U,     0xa14bd635U,     0x9ee06bedU,     0xb3a98c9cU, \
    0xba2ea62cU,     0xac8eaf4fU,     0x5c230ce0U,     0x45f1104dU, \
    0xddaca0fcU,     0xa25380d0U,     0x6b0d13d7U,     0xb81157a5U, \
    0xfc72c7f4U,     0xef347f60U,     0xa76ab61fU,     0x538a5de9U, \
    0xc8e62661U,     0xe1955950U,     0x0668fc0eU,     0x3f16c40fU, \
    0xad97a3e3U,     0xe9657ba7U,     0xb8fd3e72U,     0xf05e847cU, \
    0xe134be77U,     0x8fecd0e1U,     0xea243f5aU,     0xd8a797e9U, \
    0x6356e810U,     0x64904a8cU,     0x1342e7adU,     0x02381e87U, \
    0x0ff97e6cU,     0x44c4c97dU,     0x8ef3d7f5U,     0xe87533c1U, \
    0xf9a9296dU,     0xeca87252U,     0x7087079eU,     0xc266cb8eU, \
    0x5db87af5U,     0xe30f921bU,     0x87b95a7aU,     0x37082863U, \
    0xa1117e26U,     0x49197980U,     0xeb9cc541U,     0xb4681620U, \
    0xc0f159c8U,     0x90340e49U,     0x3267bbd8U,     0xf97e372eU, \
    0x674b3418U,     0x5a9a6417U,     0x47812926U,     0xef6aec63U, \
    0xd7baff47U,     0xa7aa9d83U,     0x16ce885aU,     0x8727a06fU, \
    0x182f3052U,     0xce2fcd2dU,     0x71d83613U,     0xf9af2f58U, \
    0x51e377c8U,     0x831e0b06U,     0xcd2013cbU,     0x2ecc44fdU, \
    0x2e9e32a8U,     0x6dd15035U,     0xd23ef5bbU,     0xd7d72b7dU, \
    0x3469111aU,     0xe1d9c3dfU,     0xc56122c9U,     0xb5b2e5b8U, \
    0xf1a1302aU,     0x3df711e8U,     0x6d28e290U,     0xf1447fd8U, \
    0x9a135fa5U,     0x7c087ecbU,     0x442bdd2fU,     0x6a7e2aa3U, \
    0xd3343945U,     0xc1618372U,     0xe83affbdU,     0x458dc138U, \
    0xed7018d8U,     0x901f9dc8U,     0x62be021aU,     0x11098e8cU, \
    0xce218635U,     0x4eea4083U,     0x1cf032f5U,     0x0cd9bdf5U, \
    0xe0097141U,     0x734a5213U,     0xdfe2500cU,     0x12ae5fbbU, \
    0x85861c53U,     0xc5756d13U,     0x8c9e835eU,     0x867920dcU, \
    0xa33743ecU,     0xc5295020U,     0x47202024U,     0xd001d4e8U, \
    0x0fce11c4U,     0x31f2ece1U,     0xba474794U,     0x9478b317U, \
    0x0e3ef59bU,     0x287f27a3U,     0xfeb62193U,     0x6ca057b6U, \
    0xb3278f83U,     0x458c44faU,     0x3c5de2eeU,     0xe29812e4U, \
    0x1839eb60U,     0x86859637U,     0x0f640be7U,     0xc807102aU, \
    0xce76de8dU,     0x07dd1a79U,     0xdd559c8eU,     0xb0f1e13fU, \
    0x8cd0cd19U,     0x628102cdU,     0xa0f9ce5fU,     0xf50fd640U, \
    0xaee7fd21U,     0xf0a9485aU,     0x57ceb105U,     0xe1539af0U, \
    0x562d812aU,     0x9077e62aU,     0xdf9aa467U,     0x1a784976U, \
    0x5c7a683fU,     0x86ea6e85U,     0x3a8df021U,     0xa62025b9U, \
    0xd1479569U,     0xde75d4cfU,     0xd7bce98aU,     0xcb442110U, \
    0x036887bdU,     0x485725a0U,     0xac368750U,     0x44986f9aU, \
    0x7275c9ecU,     0x70a474f0U,     0x9309226bU,     0x7b20585bU, \
    0x03be0e4aU,     0x8d223bc7U,     0xb66935afU,     0x2ee449d6U, \
    0x9c9a4b13U,     0xbc9e2e36U,     0x6ac9f223U,     0x17a1581dU, \
    0xcdf86171U,     0xa65ad6dfU,     0x79981cb0U,     0xb3ecaba6U, \
    0x6bd9038cU,     0x3833ecd7U,     0xd66f3d90U,     0x128dec2dU, \
    0xb045f08bU,     0x47562eedU,     0xef0eb6a4U,     0x40ed9fb6U, \
    0xa2b438acU,     0x54a385a3U,     0x050a6ba3U,     0x6b209fa7U, \
    0x50f2f81aU,     0x47be161cU,     0xc5106ef0U,     0xdc6521d4U, \
    0x56ea573bU,     0xcf522b9bU,     0x9ba51ea5U,     0x5f64f6cdU, \
    0xe10f4fefU,     0x6ebddce1U,     0xed99b075U,     0xfb5b84f0U, \
    0x4c7eb33fU,     0x41b2b683U,     0xf316306dU,     0x29655edcU, \
    0xbc4103ebU,     0x168a25f2U,     0xb9c1ad48U,     0x5dddf14bU, \
    0xc2ac2df1U,     0x7de2305bU,     0xdb749f81U,     0x6a2b1dcfU, \
    0x7a37e26fU,     0xaea59d91U,     0xd2a2385eU,     0x6fb79e60U, \
    0x6ab51b67U,     0xa5652d7aU,     0x041b70edU,     0xbec135b6U, \
    0x9d6dddb9U,     0x9b8b7559U,     0xbdea66d9U,     0x692d7a37U, \
    0x68c79c49U,     0xef6d72e2U,     0x1dc95055U,     0xccd6b80eU, \
    0xb3857f21U,     0xd45eaf34U,     0x57db73cdU,     0x547f3daeU, \
    0x7180f03aU,     0x919e4662U,     0x16caa315U,     0xa1391356U, \
    0x3f5ab9d0U,     0x89dac482U,     0xfb61ad68U,     0x53572be7U, \
    0xbde5da1dU,     0x62379a9eU,     0xccdc32b5U,     0x9d27b27cU, \
    0x30d58bd1U,     0x24e052e8U,     0x30e02bb2U,     0xab8abf04U, \
    0x0cbeb472U,     0xfb0a0ce4U,     0x05f10cbdU,     0xafb4055eU, \
    0xee00a655U,     0xfe366ed1U,     0x6aa94dbaU,     0x83d5723cU, \
    0x79bf34cdU,     0x58f11b09U,     0x312acdcdU,     0xf3d64140U, \
    0xdee1abc9U,     0x1b7a8951U,     0x424af8c2U,     0xcc47cc48U, \
    0x6c8ec28fU,     0x171c6a49U,     0xcafbc373U,     0x3154aef0U, \
    0xbb37df73U,     0xf5076fa0U,     0x5bac8679U,     0xd69a47a3U, \
    0x2eb3fa89U,     0x7efc30ddU,     0xc49a20ceU,     0xa2d45b08U, \
    0x363bdd63U,     0x234d3aa9U,     0x012ba08dU,     0x4bf010bdU, \
    0x7b986d1fU,     0x52fe0038U,     0x097de3a9U,     0xac3143d4U, \
    0x3ce2c8f1U,     0xab3c6abdU,     0x7f638876U,     0x5d93b52eU, \
    0x5e756d6bU,     0xc779a154U,     0x487d5e27U,     0x959ca6a0U, \
    0x1c1b2e23U,     0xf982915dU,     0x0018435bU,     0x519c7e56U, \
    0x0773e505U,     0x6ccc48d6U,     0x266cb1caU,     0xa41f3250U, \
    0x0b7c0e83U,     0x13d602f8U,     0xe1f4c091U,     0x43ff1b16U, \
    0x4b4c709dU,     0x31132aa1U,     0x42c8703dU,     0xedb88f37U, \
    0x582cfea9U,     0x60e8e096U,     0xc036bc13U,     0x7722975aU, \
    0x13673ca8U,     0x8c4a0e8cU,     0xe332c2baU,     0x0fdd6179U, \
    0x15dc1fa0U,     0x9ce9505bU,     0xb06a3330U,     0xe289f29fU, \
    0xc6a99bd2U,     0x2061b3ebU,     0x7156be53U,     0xe086f1f0U, \
    0x76194ca5U,     0xca1449b4U,     0x0de59512U,     0x56d9baedU, \
    0x9c5f9fecU,     0xe0904787U,     0x7cf04383U,     0x7b13f04cU, \
    0xc690cd90U,     0x46f21a3cU,     0x84fb63c0U,     0x9d58ead1U, \
    0x15acada6U,     0x2a16856eU,     0x7fd71708U,     0xefe79547U, \
    0x16663a99U,     0xdfb3e62bU,     0xc331f3f3U,     0xcac35d6dU, \
    0x6e199b33U,     0x53c5b4e3U,     0xfcf16acbU,     0xcd42fa85U, \
    0x3dfe00baU,     0x2bd8b80fU,     0xe80c72ebU,     0x10c72c78U, \
    0x90faaf34U,     0x7a1d14d4U,     0xa0442fc5U,     0xffd8a7ebU, \
    0x54da5132U,     0x04d7772bU,     0x651f209eU,     0x8a928bf9U, \
    0x9f7b5b64U,     0x1cfc52f9U,     0x3186f4a4U,     0x3d387c46U, \
    0x23dc1fb3U,     0xb65ea0c7U,     0xe981212eU,     0x51415cdeU, \
    0x6eff10cdU,     0xf5cf4bf1U,     0xe3682f2dU,     0x05faff78U, \
    0x415e107aU,     0x9f6ad36dU,     0xe618c2daU,     0x01103fe6U, \
    0xca3f70c0U,     0xc134a2f2U,     0x5783c271U,     0x4312a4f6U, \
    0x01585147U,     0x5575e61dU,     0x501c224eU,     0x9767650cU, \
    0xc9f55c11U,     0x9518cd9dU,     0x67f71a81U,     0x60bd0ad8U, \
    0x8ed4c892U,     0x3bbc39b7U,     0xc75b8625U,     0x8efffa6eU, \
    0x271dbdc4U,     0x9bd4c48dU,     0x11b462dbU,     0x0ae6ea2cU, \
    0xe7bb4c3cU,     0x69586325U,     0x9fba60deU,     0x4b8dfe92U, \
    0xebf3e61aU,     0xa61420c9U,     0x4ea7d546U,     0xce733997U, \
    0x2f5d06b1U,     0x8d6a555cU,     0xe2e7323cU,     0xe7df68e6U, \
    0x594a6b83U,     0xff3f3317U,     0x616f91a4U,     0x3aa4b28bU, \
    0xbb592c9aU,     0xf9aeb0afU,     0x57e6b916U,     0xaaf1f3f6U, \
    0x030a69caU,     0x2a91ab51U,     0x8d3d2ed4U,     0x1fdf60f8U, \
    0x9a00b7b9U,     0x947b6166U,     0x76f87844U,     0x7df1a6c9U, \
    0xfb0d9407U,     0xbae1ebcfU,     0x398bdccdU,     0x79a00214U, \
    0x1b1d785cU,     0x83011032U,     0x31e9687aU,     0x0f135f4bU, \
    0x1b7cdc4bU,     0xddeed0f6U,     0x2fb76868U,     0xf1145cc4U, \
    0x7360db37U,     0xa5e34492U,     0x64b28567U,     0x76b89abbU, \
    0xcd00b232U,     0x20c107cdU,     0xe0101484U,     0x6a9affecU, \
    0x3401ab9fU,     0xca719856U,     0xd4e52a1cU,     0xe388033cU, \
    0x3dd96ed3U,     0xd0fd1e66U,     0xdcfa4d81U,     0x83ff0db3U, \
    0x8b672844U,     0x89f6263bU,     0x2d1fa6a1U,     0x203d418aU, \
    0xdfa0fed4U,     0x5b334224U,     0x670d2280U,     0x0e6801f9U, \
    0x895299adU,     0x422ad43fU,     0x2d1b2843U,     0x48b17891U, \
    0xc331c375U,     0xe0d69b9eU,     0x6ccedc9dU,     0xf44b1dccU, \
    0x24f1878eU,     0x2944d5bcU,     0xa201ca0aU,     0xed396a95U, \
    0xe8e80b08U,     0x9f3b1dc8U,     0x2329bdbdU,     0x56e77965U, \
    0xb9295f97U,     0x555dab9cU,     0x6a4d5f68U,     0x63c8b7aeU, \
    0x07bf1bb9U,     0xcd66ffaaU,     0xd459af73U,     0x1070fba7U, \
    0x3bfb4d38U,     0xa44a1000U,     0xa5b0a0eeU,     0x4eda656aU, \
    0x89a2ff8cU,     0x8b91b43bU,     0x13e3c53eU,     0x89f826beU, \
    0x53eb8778U,     0x79580686U,     0x3bbfc781U,     0xd90f3e05U, \
    0xddb986daU,     0x10a4abb7U,     0x758ad8c7U,     0x6b6c8edcU, \
    0xd2d42b6aU,     0x3b2215c5U,     0x760fb4f7U,     0xfb3ebba5U, \
    0x7a0cf569U,     0xa008a74aU,     0xac1646d5U,     0x4a184d45U, \
    0xa23f08f7U,     0xaa7ad941U,     0x62c58d64U,     0xac36099bU, \
    0xad9bbb84U,     0x331caeccU,     0x52bbdbbfU,     0x71425f66U, \
    0xd1d892e7U,     0xf4f4c7cdU,     0x665f2a5fU,     0x28fbce41U, \
    0xf43c9e46U,     0x246f53caU,     0xe06cee25U,     0xa8d8a217U, \
    0x840907fdU,     0x952f7d99U,     0x43bc0ddbU,     0x620a76f0U, \
    0x9e9f2572U,     0xf6181365U,     0xa619f0e5U,     0x08b7ad44U, \
    0x6e80b042U,     0x3a17cfe0U,     0x688e094bU,     0xba058d22U, \
    0xa6db84a7U,     0x7a0dc68aU,     0x340a13c0U,     0x69b1d9e5U, \
    0x75e3862bU,     0x5ca91b00U,     0xa45155f0U,     0xf914e820U, \
    0x6d09eb43U,     0x7ed1a2a7U,     0x43375646U,     0x7b63033fU, \
    0x4c0c5b1aU,     0x97f7fce8U,     0x6ea32cd3U,     0x0e924596U, \
    0x09f2dacdU,     0xed1dff20U,     0x4b712cc4U,     0xfd408ae2U, \
    0xfb979c5aU,     0xb3937758U,     0x6755b158U,     0x973bb16fU, \
    0xfdfca6f7U,     0x69a4db96U,     0x126c84dfU,     0xe1df71c6U, \
    0xc3773cd3U,     0xd0ec6a55U,     0x055b055bU,     0x8da6a1f5U, \
    0x1687287fU,     0xc2f1c711U,     0x8307347dU,     0x793b7c13U, \
    0x54409a8aU,     0xf2dc8c09U,     0x6a639b37U,     0x9e92cf1aU, \
    0x7188334aU,     0x6e15b94cU,     0x01557859U,     0x47e4f53eU, \
    0x2a5e0856U,     0xd8baf1e9U,     0x625019b1U,     0x77e59877U, \
    0x33f36971U,     0xd4c680e6U,     0x44c217abU,     0xd5b6acafU, \
    0x0186d2a5U,     0xd3e09d23U,     0xae9875d9U,     0xce1dac11U, \
    0x55ba4e38U,     0x4afab011U,     0x355fec12U,     0x3cc44a3eU, \
    0xb8647a28U,     0x1662effcU,     0x9f4a95b9U,     0xff5f71f6U, \
    0x15ea91c9U,     0x8c162967U,     0x525d46b7U,     0x1a5eca03U, \
    0xda72b179U,     0xfe81e82bU,     0xf6be736eU,     0xa32ae599U, \
    0x9be9f6abU,     0xc4866369U,     0x3cd3154fU,     0xa873376eU, \
    0x5229c8b7U,     0xa0bac409U,     0x7efeae6dU,     0xc514f271U, \
    0x89767405U,     0xce67a633U,     0x7f4b3f05U,     0x29ef85b1U, \
    0x436dcb14U,     0x01768788U,     0xdbb9d8d5U,     0x82c4d0b2U, \
    0x1dde6078U,     0x79575076U,     0x605aedb9U,     0x2d9934d2U, \
    0xc01ae184U,     0xf9c1f539U,     0x84b8cb16U,     0x4c07df1bU, \
    0x7a21eac5U,     0xa37fac39U,     0x4bce5a4fU,     0xe7593d51U, \
    0x8055e1a8U,     0xd2a09b58U,     0xd1475fe1U,     0xee803facU, \
    0x92c3dfd4U,     0x42312b72U,     0x9acfe3eeU,     0x1d429473U, \
    0xb934a871U,     0xfdc4e55cU,     0x9510bc6fU,     0xb95fc691U, \
    0x9119ebcbU,     0x5e7d947aU,     0xe4b64318U,     0x7f09c130U, \
    0xc8dfac58U,     0x0a2c7795U,     0xb9bc8a77U,     0x9d6cf025U, \
    0x7cd8c6f4U,     0xcacb4c1fU,     0x36e18423U,     0x50751bdaU, \
    0x2b61ca4dU,     0x6c588b88U,     0xd1dec4b9U,     0x88d97521U, \
    0xf9f0433bU,     0xc4a5dd7aU,     0xcb7cec8aU,     0xba1aef72U, \
    0x2b8b8f0dU,     0x3facd3efU,     0x8b9a03cfU,     0x885a7e99U, \
    0x295913dfU,     0x62c0d70cU,     0x54be6da0U,     0x518225ecU, \
    0xbe768983U,     0x02898a09U,     0xe37e8f75U,     0x55ce200aU, \
    0x0f420c04U,     0x14ea97afU,     0xac355e55U,     0x168953d2U, \
    0x40a73202U,     0xfb07f92cU,     0x1078c044U,     0x85639818U, \
    0xff62f30cU,     0xd3359d43U,     0xbc7a2fe0U,     0x5f0822b5U, \
    0x9e71d9d3U,     0x38b06fffU,     0x18e66418U,     0x9635e705U, \
    0x9d70a86dU,     0xd81025a3U,     0xc688c2c1U,     0x1f052fecU, \
    0x22cd115eU,     0xf0cfbd7aU,     0xbb87ffe3U,     0xd96af7e4U, \
    0xc5ef0071U,     0x29d33a9fU,     0xc62fe929U,     0xcb1cf6fcU, \
    0x2b0a8149U,     0x03ecf89eU,     0x704ee6a2U,     0x6e972edeU, \
    0xfcaa070fU,     0x19edc856U,     0xcdbbcf57U,     0x62593de7U, \
    0x67b9895aU,     0x7f2f9129U,     0x5146d33fU,     0xcb01c15fU, \
    0x12d1d5a9U,     0x7f88a410U,     0x6ecab290U,     0x408d244aU, \
    0xd5d994c0U,     0xa7de8be6U,     0x42f919adU,     0xcccead55U, \
    0xc12f2fb0U,     0x18e780baU,     0x6b662427U,     0x2965df7aU, \
    0x4fba2029U,     0x2f82d9c7U,     0x7b0995d4U,     0x7637a7f1U, \
    0x1ddd9295U,     0xa59eafd7U,     0x61a355e7U,     0x1fe91bddU, \
    0xdeef7077U,     0xfbeff6bfU,     0x9233ef83U,     0xd214fbfeU, \
    0x4f06e6cfU,     0xb4b000d0U,     0xc2113a7cU,     0xf55b138dU, \
    0x2d321078U,     0x0802a97fU,     0xb516af0bU,     0xd78133dfU, \
    0x6e4618a4U,     0x14af2a40U,     0x54188c26U,     0x082cffa7U, \
    0x9be12186U,     0x57306c50U,     0xb94cc6ddU,     0xc83695fbU, \
    0xd786af97U,     0x287e96daU,     0x6c9cbe00U,     0x588a0158U, \
    0x321c47d7U,     0x7fc0a7a9U,     0x4eb27116U,     0x71265fbdU, \
    0x329ccf59U,     0xbc064776U,     0x43b8906dU,     0xabdc72eeU, \
    0xd96ef9c8U,     0x7559052eU,     0x440ef6b6U,     0xb8bedd0aU, \
    0x8fd4778cU,     0x593d7232U,     0x6c9f167cU,     0x75de6705U, \
    0x81b04aeaU,     0x716ad85bU,     0x5ceca49fU,     0x58ce081fU, \
    0x75c3df38U,     0x045c534aU,     0x409b19caU,     0x00f59fecU, \
    0x9281c361U,     0x817bd53dU,     0x2a5c3d4fU,     0xa49f11c3U, \
    0xbfb8086bU,     0xd98d4269U,     0xef1a884eU,     0xedcb9410U, \
    0xe4d98b01U,     0x2e87571dU,     0x586ac6baU,     0x1329fdf7U, \
    0xdb083316U,     0xca231f42U,     0xc419aae5U,     0x42d9d07bU, \
    0x3a681b5eU,     0xb0de72ebU,     0x7d15fbe4U,     0xb09fbe86U, \
    0x609ab78eU,     0x0b9ba3e0U,     0x240808b0U,     0x767a9664U, \
    0xc64bd414U,     0x3b2a1da1U,     0x0db8055fU,     0x1176bcefU, \
    0xd636c75bU,     0x26f263e8U,     0xc0422dd4U,     0x3d62dc96U, \
    0x35c9f96bU,     0x99190671U,     0xff69c250U,     0x262abf4cU, \
    0xd7478560U,     0x66f082b0U,     0xcfd2509fU,     0xa5badc04U, \
    0xfbd02ca6U,     0xc59552d1U,     0x3227e274U,     0xa6e696d2U, \
    0x4fb97370U,     0x0f75da19U,     0xbd873324U,     0xf42ac5c7U, \
    0x22f4ff1fU,     0x8c83736dU,     0xc1d7bd15U,     0xdb570d22U, \
    0x286b9879U,     0x41b31499U,     0x9ac3b62fU,     0x19ab069dU, \
    0xeac927a6U,     0x3668b8f5U,     0xb4003332U,     0xa8080640U, \
    0xbf50ef91U,     0x9eff9e8fU,     0x037dc926U,     0x396c2b4eU, \
    0x0fcea4afU,     0xcd9182f5U,     0xa97fbc3aU,     0xb0142568U, \
    0x0ab82047U,     0xdfcecca9U,     0xdfb8564bU,     0x4c91dd3cU, \
    0x457ca2feU,     0x59318959U,     0x8e5b743bU,     0x8d4bf9d6U, \
    0xbd5b0efeU,     0xdb8876eaU,     0xcd33b4bdU,     0x57d83d1eU, \
    0x37fc8ae9U,     0x878d62f2U,     0xca3be0f9U,     0xbde10f70U, \
    0xcb6ade2cU,     0xa2df28e8U,     0xb2f773c8U,     0xdcaced01U, \
    0x5206384bU,     0x5498553cU,     0x9616678eU,     0x1ff07f49U, \
    0x2b4f23ebU,     0xc8b5ca52U,     0x1a604009U,     0x7f5ea806U, \
    0xbdf427beU,     0x8024ceb8U,     0x250a1ddeU,     0x4e3e378aU, \
    0xa7554548U,     0x14526ebeU,     0x971df354U,     0xf78e053fU, \
    0xf3b05955U,     0x57b02737U,     0xd9f5cd25U,     0x16790655U, \
    0x0319dcd1U,     0x029055bbU,     0xa26dd1a7U,     0x2758d031U, \
    0x686ee3aaU,     0x5c79bdafU,     0x97a84c43U,     0xe0607c40U, \
    0xe7f9581eU,     0x2aa8d5dcU,     0xd03ca3d0U,     0x0466705eU, \
    0x4f56e9d8U,     0x4b1eb980U,     0xd572f6b1U,     0xf400a6c7U, \
    0x1f5868ceU,     0x5ee10db4U,     0x992e8da1U,     0x2bd8e7a6U, \
    0xaaa0faffU,     0x6394a6abU,     0xc2e69198U,     0xc6d3827fU, \
    0x4a21048eU,     0xed2e08f8U,     0x1b78b1cbU,     0xa097e199U, \
    0x09074efeU,     0x57dfb4b5U,     0xa876c777U,     0xe6b0f7a2U, \
    0xe7ccabc8U,     0xf5d347c3U,     0xe21046daU,     0xc20cfec4U, \
    0x88211b9cU,     0x226363a7U,     0xfe4928c7U,     0x6f0d0257U, \
    0x749f3a47U,     0xa5071428U,     0x467f01a9U,     0x5de06275U, \
    0xec39cac8U,     0x3d1f247dU,     0x8b0a8fbaU,     0x80aa65b9U, \
    0xbb04775cU,     0x9f18bc69U,     0xe640e864U,     0x80373265U, \
    0x8572562eU,     0xaad473a9U,     0x9717778aU,     0x8b27cb25U, \
    0xc304c876U,     0x553d95a0U,     0x484ac5b7U,     0x390e8ffeU, \
    0xa5827d28U,     0xd84688c6U,     0xa630067aU,     0x943fefcdU, \
    0x9e9e0066U,     0x0d69487cU,     0x249791e6U,     0xf5d56975U, \
    0xf068e9e9U,     0x99419468U,     0xfb185812U,     0x357a9f34U, \
    0x4d9298d4U,     0x6446d711U,     0xc65cc0b7U,     0x3d3ce025U, \
    0x3a2abc4eU,     0x0beb8028U,     0xe0362358U,     0xb42bdcfaU, \
    0x4e13cef6U,     0x0a0c8845U,     0x9fea6bf7U,     0x6c2a2ffcU, \
    0x9fb1dafbU,     0x2989e413U,     0xadcb95ddU,     0x716901e3U, \
    0x1fea18d6U,     0xd9358c08U,     0x3d6b3eeeU,     0xa1d2e9a4U, \
    0x3761f2e3U,     0xf23d6fadU,     0x3f90ba2eU,     0x670fdd04U, \
    0x59d8613fU,     0x704d65f9U,     0x3daa9e23U,     0xef0bee62U, \
    0xf19c65fcU,     0x8559e487U,     0xf2a1f4b9U,     0x085abc94U, \
    0x89f75e52U,     0x765f12b5U,     0x4b99b02aU,     0xc5797c25U, \
    0xd5677d8eU,     0x17bf3390U,     0x2c6b2b80U,     0xe4b3d2aeU, \
    0xaa3497faU,     0x59119c8eU,     0x922cc92cU,     0xb522720bU, \
    0x13995b2aU,     0x6a7a82e5U,     0x301a2740U,     0x4ef01e34U, \
    0xf4908142U,     0x94c85dfcU,     0xa6a836b6U,     0xa353a06cU, \
    0x71f084fcU,     0x51a115c2U,     0x548a6bdeU,     0x7e491e20U, \
    0x52413ed3U,     0x0e276065U,     0x31d66b02U,     0xcd5247a8U, \
    0x345c6c3eU,     0xa37f6ce8U,     0xd301d3cdU,     0x85ba34b8U, \
    0xe7fe75e0U,     0xeaeefa21U,     0xe6523561U,     0xbbf508c2U, \
    0x0d7aa7b4U,     0x01e4c243U,     0xcd484bccU,     0xefddc826U, \
    0xb3b11557U,     0x20a9623eU,     0xa82d46abU,     0x8f7b71e9U, \
    0xde8ac0f8U,     0x3378b07aU,     0xd1300fc4U,     0x076101cfU, \
    0xc8226f3eU,     0xc185590cU,     0xa823cb05U,     0x3922c040U, \
    0x98ad39abU,     0xc8b2f7c0U,     0x533c645fU,     0x7b91faa2U, \
    0x769f0cb6U,     0x8d5b946dU,     0xf2ba1043U,     0x54c9ba30U, \
    0xa9086a66U,     0xc488f81eU,     0x96687b05U,     0x3fe82a31U, \
    0x3c0ae4c0U,     0xa9fa36a6U,     0xc935df9aU,     0x71709b5fU, \
    0xeaae7bbcU,     0x70ad2c7fU,     0xc3421775U,     0x8fa16706U, \
    0x49c64adeU,     0xbf5d51eeU,     0x90c82100U,     0xca8bd398U, \
    0x4fa507c5U,     0x240cc124U,     0xd44b63a3U,     0xe543d4b2U, \
    0x65250df4U,     0x3e5c1cbeU,     0x2768dfc2U,     0x8f3bae3eU, \
    0x73f4bd77U,     0xe8508d55U,     0xb73f6ae3U,     0x835f5598U, \
    0x3e32cd97U,     0x90993877U,     0xbd592e23U,     0x3f06cf5bU, \
    0xba122bdcU,     0x4b9cd50cU,     0x092cd054U,     0xcb5fe4edU, \
    0x8bc606bbU,     0x73362734U,     0xf82467eaU,     0x90da65d9U, \
    0x677a23adU,     0xe66bcc6fU,     0xf91c6b5dU,     0xcb533b50U, \
    0xcb253055U,     0x8f292cf4U,     0xa22139afU,     0x09c4d8cdU, \
    0xace7c37cU,     0x889cfef2U,     0x89d00c67U,     0x6268366eU, \
    0x638c3558U,     0x57c72173U,     0x5d5b3844U,     0x3232f9e0U, \
    0x3b847177U,     0x608181cbU,     0xa443ca98U,     0x61afe483U, \
    0x3bbe737aU,     0xb604d570U,     0x6bcd09b3U,     0x37289220U, \
    0xd1bad6b1U,     0x664a698cU,     0x05d4cbdaU,     0x3d920182U, \
    0xe3869967U,     0x47e8b789U,     0xdf6686eaU,     0x26d4e08eU, \
    0xab462a6eU,     0x3606cf1aU,     0x6aaae890U,     0x99428b87U, \
    0x43d12970U,     0x9fe496b5U,     0x2636f1eeU,     0x4e0fdcd7U, \
    0xa934c6bbU,     0x28eea185U,     0xdba775e8U,     0xfd8a0d01U, \
    0x7c2d1c55U,     0x7560cd68U,     0x01a0dac8U,     0x10230c7bU, \
    0x28579020U,     0x2e6ac907U,     0xa29ff2e3U,     0x97b70f12U, \
    0xc15844c8U,     0xf1b7b311U,     0x9c2a913fU,     0xaa474011U, \
    0xeb5ffb2eU,     0x20fd7e44U,     0x47e1df4fU,     0x1aec498eU, \
    0x4f37cc20U,     0x7356df8aU,     0xa5d95a83U,     0xb66d6cedU, \
    0xb8ef23f7U,     0x7dd98e0bU,     0x09d30934U,     0x4d5867bdU, \
    0x6890dab5U,     0x494b70c8U,     0xe33c5f99U,     0xe6bda80fU, \
    0x8831ba63U,     0x229c5bceU,     0xbed8a525U,     0x1aef35aaU, \
    0x7052a296U,     0xf42a3ea7U,     0xb81b9fabU,     0x5d00a17bU, \
    0x0b78491aU,     0x9a6fedfaU,     0xff5ca791U,     0x88e56014U, \
    0x8577a3f4U,     0x0de62f53U,     0x7d1a1b1eU,     0x06d87b8bU, \
    0x15259474U,     0x512e1c2dU,     0x03e5a0edU,     0xbdd76e39U, \
    0x8a6446b8U,     0xb445add7U,     0x7d406ec4U,     0x59fb578bU, \
    0x169b54e9U,     0x3a06be27U,     0x60ec3f7eU,     0xcfbacff7U, \
    0x48b29202U,     0xeb88de9aU,     0x7380bd7dU,     0x07fb472bU, \
    0xbf25379dU,     0x42227881U,     0xd2d31467U,     0x1ecba2aeU, \
    0x65ccb5ceU,     0x5b7d3d44U,     0x0fe828f0U,     0x2a7ee5caU, \
    0xb70ca74bU,     0x905abfbcU,     0x1e8d2f8eU,     0x066e5d2dU, \
    0xbda1d403U,     0x27ff621cU,     0xa5ab1406U,     0xae187679U, \
    0xed3a9256U,     0x0c94b818U,     0xcd757000U,     0xd90ae546U, \
    0xba739642U,     0x1625bee5U,     0x092bf80cU,     0x0d7297faU, \
    0x91bb5b90U,     0x0bd3962dU,     0xeb70fa48U,     0x54cff8f2U, \
    0x57090e92U,     0x6bb9bd44U,     0xc3dfd940U,     0xc64ae81dU, \
    0xe4588fe7U,     0xdb881950U,     0xffb14958U,     0x96bbef33U, \
    0x3a74fba3U,     0x88228252U,     0xa96394e4U,     0x4f960d45U, \
    0x5d394500U,     0x82d610e5U,     0xb7f2bf21U,     0x38728841U, \
    0x155fcb18U,     0xb883f698U,     0xea530348U,     0x2f391657U, \
    0xa0c4f7feU,     0x32dd1532U,     0x7e327807U,     0x7dd0065aU, \
    0x83496c23U,     0x652b7599U,     0xf9767b21U,     0xe5aec08bU, \
    0xcd51a333U,     0xed8bdb8bU,     0xf6c96abfU,     0x1e0a39f7U, \
    0xb33ad482U,     0x3e8776f6U,     0xb3726e60U,     0xf44cdebbU, \
    0xf0a30b29U,     0xd5af7382U,     0xd78494beU,     0x0bd56fc6U, \
    0x8d38437cU,     0xdb65cd50U,     0xc475087dU,     0x1d80ff64U, \
    0x31c5e6f7U,     0xdaae0a76U,     0x690aa6c2U,     0x1bf54650U, \
    0x829107ceU,     0x14dea7b4U,     0x1dadb405U,     0x62d305beU, \
    0xa1c4f1dbU,     0xed414bcbU,     0xad1ccbdeU,     0x506842fbU, \
    0x5c6ece30U,     0xed3237b5U,     0xb2423104U,     0x53ac0d5fU, \
    0x6a8f1536U,     0x8dc2ecf0U,     0xffb3efa6U,     0xb8109cdfU, \
    0x1e15bfdfU,     0x083ed2a7U,     0x759028c3U,     0xfe4b18e5U, \
    0x1f60105cU,     0x24fc758dU,     0xb7836c56U,     0x0739f812U, \
    0xb369884aU,     0xc5175c5cU,     0x90fc1a20U,     0x41968432U, \
    0x81eeb11dU,     0xaef9c24fU,     0x1696c288U,     0x28568425U, \
    0x2169cdd1U,     0x2f824a33U,     0x8755c830U,     0x71c0a941U, \
    0xea84a04bU,     0x498c956bU,     0xc7dfe4c8U,     0xcf41c01eU, \
    0x8dd32f9fU,     0x62f49b66U,     0x7df847cbU,     0x28dbb285U, \
    0x90cda459U,     0x9280abf1U,     0xb74791c6U,     0xad87c0c0U, \
    0x2865cf39U,     0xfeb9991eU,     0xa83dd01bU,     0x97b7f1f6U, \
    0x8bfa7c6cU,     0x653d3426U,     0xc15d67b4U,     0x3170ec7aU, \
    0x861090d8U,     0x9d0019acU,     0x680d0edbU,     0xc2d64401U, \
    0x9b18d528U,     0x1ed68e9dU,     0xd0a0366cU,     0x68789177U, \
    0xc38e7310U,     0x67852b21U,     0xebd79db5U,     0xe4aad6a4U, \
    0x7c17c1f3U,     0x0b1006beU,     0x763c7d6aU,     0xac6118caU, \
    0x3fc449eaU,     0x16d5295fU,     0x51ec2705U,     0xe9205e86U, \
    0x2e93d66dU,     0x004e9964U,     0x0140e354U,     0x8ffe2fb9U, \
    0xd6e92e84U,     0xa29521ebU,     0x41b022d8U,     0x5e48af17U, \
    0xb4805a06U,     0xdce767feU,     0x9c013063U,     0x4dbc8ebeU, \
    0xe890b4bbU,     0xb313f3dcU,     0x357e1999U,     0x6cac0019U, \
    0xa4db4274U,     0x614b8ee2U,     0x97a9515bU,     0xb842e17dU, \
    0x34a78010U,     0x1ac00c3fU,     0x75246006U,     0x45ca1ef0U, \
    0x325480e1U,     0x71add5a2U,     0xeb9ec5adU,     0xcb080070U, \
    0xeb353bcdU,     0x2b05c98eU,     0xab60b728U,     0x5c214f77U, \
    0x041dafd2U,     0xf9969e8fU,     0xf61db793U,     0x24b037d4U, \
    0xd37952e2U,     0x5e2f9390U,     0xc424d3a4U,     0x991cae6eU, \
    0x40a699acU,     0xce7cfd7dU,     0x478afe97U,     0xf1d6ac49U, \
    0xfaf8e34cU,     0x1153e1beU,     0xa73f96e9U,     0x652c38f7U, \
    0x949518aeU,     0xbdc9b47eU,     0x434f3891U,     0x326b927fU, \
    0x3c72785aU,     0x6f7f2fd0U,     0xe07d09c7U,     0xcb4725adU, \
    0xfea0d2d7U,     0x437bfa38U,     0xb6776271U,     0xbdb064e8U, \
    0xea281f39U,     0xdf417d03U,     0x7a383cffU,     0x5c82e860U, \
    0xadc9ccceU,     0x851743d2U,     0x83ee0764U,     0xfac26b62U, \
    0xefe681cfU,     0x396c3d97U,     0x65fc1f91U,     0xa011d781U, \
    0x923cbe1fU,     0xcfbad2a7U,     0xc5362c94U,     0xd7b08fadU, \
    0x5dd08ca5U,     0xe073c258U,     0xd3082ce9U,     0x857b0382U, \
    0x0b496cd6U,     0xa80648eaU,     0x6128b7beU,     0x7c48893fU, \
    0x409fe605U,     0x037f1e94U,     0x111993d3U,     0x8091116fU, \
    0xde591984U,     0x956b0e4aU,     0x6fe2d2a2U,     0xeca9b5a9U, \
    0xbf31111bU,     0xdb8806feU,     0xa72cbadeU,     0x0f61db1eU, \
    0xe6ab4487U,     0xe3cd0e67U,     0x8fbe4f18U,     0x54fc80beU, \
    0x1a57f5f6U,     0x137bec5eU,     0x1cd26cbbU,     0x500b180bU, \
    0xf9b0fb58U,     0xdeb74fe7U,     0x9d8005c0U,     0x3c213ab6U, \
    0xf61f9bb3U,     0x6d6850d5U,     0xfb076660U,     0x6d594363U, \
    0xe139a447U,     0x084e6f5bU,     0x898e9308U,     0xaaf2be08U, \
    0x4866bfb1U,     0xfa9cd693U,     0x81f369d0U,     0xcb3fc882U, \
    0x7450737dU,     0x40231b00U,     0x3946ea06U,     0xbf1a5dfdU, \
    0xcd7ef275U,     0x8e47dfdcU,     0x6598ea57U,     0x7bc6f11cU, \
    0xfe5782feU,     0x5d584d91U,     0x96b85013U,     0xd1c9153eU, \
    0x1e278265U,     0xce37e4e8U,     0x26f1d308U,     0x8fe2938aU, \
    0x79168b00U,     0x370dc96fU,     0x2c70d900U,     0xb1adf098U, \
    0x0d32df67U,     0xe85a1d67U,     0xcc7d5f88U,     0x07cffadaU, \
    0x7dcd1e6dU,     0xfd4eb0a3U,     0xc993bd56U,     0x7c3fca94U, \
    0x72f91bfdU,     0x60dde33dU,     0xe1251bcaU,     0x75882692U, \
    0x9a11a821U,     0xf4568e71U,     0x5dfc0a0bU,     0xb10e01c6U, \
    0x90f4ca4eU,     0x99bd2d23U,     0xcbf74cecU,     0x5972d709U, \
    0x11e3a09eU,     0xe37f90f0U,     0x8e16f105U,     0x70b236e7U, \
    0x394647a4U,     0x42a7f9c4U,     0x50b0ebb8U,     0xecdf7778U, \
    0xc1b8e56dU,     0x89c6aec9U,     0xb7f31166U,     0xb23c33baU, \
    0xb906c1e9U,     0x9c081aebU,     0x61a7cd4fU,     0xe20c3412U, \
    0x256cd015U,     0x0bea7df8U,     0x3a3da1c7U,     0x03ac85c8U, \
    0x0e2221aeU,     0x4eb5679eU,     0xd4ddec75U,     0x256b12caU, \
    0x95c1fc6eU,     0xbd982285U,     0xc952b0bbU,     0x9ad441dfU, \
    0xa74140f2U,     0x9c32edeeU,     0xcbe3c86fU,     0x403d5254U, \
    0x00d9fb48U,     0x0b805f8aU,     0x177c4c4cU,     0x7ba126d4U, \
    0x0b7ac0f3U,     0xa459440eU,     0xaab5de18U,     0xd9ecc503U, \
    0x10297980U,     0xa2ae8309U,     0xba04c549U,     0xd50064faU, \
    0x00851da1U,     0x7464b279U,     0xaf6a1b94U,     0x6c905c5aU, \
    0x670a2375U,     0x20cca7c0U,     0x6945fe0aU,     0x6ddfa05aU, \
    0x180adba4U,     0x9878e6a2U,     0x6e8e7993U,     0xbc36ac36U, \
    0x6298534fU,     0x4f92b105U,     0xa81b6a31U,     0x3609a363U, \
    0x038ad744U,     0x820c6b4cU,     0x2398ce90U,     0x8648efc8U, \
    0xbf5df7a8U,     0xde067aabU,     0xb22eb770U,     0xcb7672e9U, \
    0x1a0df8baU,     0xebe55e8bU,     0x2be7e34cU,     0x96a78c90U, \
    0x3dfb13b4U,     0x68dc0424U,     0x6bc1c183U,     0xa5fd160eU, \
    0x6fe346c0U,     0x20de6b9aU,     0x5dde0b91U,     0x4a0d430cU, \
    0x7d4b37bfU,     0xf36cfbbdU,     0xb5c7d1b3U,     0x17de81c2U, \
    0x5a4b2fdbU,     0xa0cacc6dU,     0xdc5b60abU,     0x2825a790U, \
    0x073b18c0U,     0x23514ad0U,     0xbc13d34fU,     0x6bc33325U, \
    0x537275deU,     0xc6a6c69bU,     0xd7b79e5fU,     0x681ab829U, \
    0xac39649bU,     0x91e99b4cU,     0xa414ad1dU,     0x651015cbU, \
    0xbbe426f6U,     0x0fa9abeaU,     0x9921b3c2U,     0x811d63b1U, \
    0xd24114b3U,     0x94fb7d00U,     0x45b313e8U,     0xa8ddd844U, \
    0x29dd7d45U,     0xf056b91bU,     0xe165879cU,     0xb051dc3dU, \
    0x776d0722U,     0x4891a154U,     0x4dec5523U,     0x36926855U, \
    0xe5eee020U,     0x6164cea9U,     0x6a2f2d98U,     0xf5877366U, \
    0x037bf399U,     0x34da18baU,     0xdd04e458U,     0x08f7f016U, \
    0xfbf999c1U,     0x643505afU,     0xb40d56ddU,     0x8fb47ddbU, \
    0x85dec6e5U,     0x0ae7b167U,     0x4d528d6cU,     0xff1a007bU, \
    0x72e7a94cU,     0x83cbbf3fU,     0xad50297fU,     0x0f965905U, \
    0x8fd6c699U,     0x58b45babU,     0x6e8e09dbU,     0xbee37532U, \
    0x2426995eU,     0xf06c7a58U,     0x70fdfa01U,     0xa9ac946cU, \
    0xbf840e50U,     0x42267199U,     0xcedfe61aU,     0xfe16d417U, \
    0xc5b06cb2U,     0x9be01867U,     0xb00ee817U,     0x0c56fc7dU, \
    0x5a446e93U,     0x2de9cb42U,     0xe0548790U,     0x3d573351U, \
    0x5c5dbc0eU,     0x4d6c2137U,     0x5427d027U,     0xe781e666U, \
    0xf2704350U,     0x48fc1694U,     0x06b71e9bU,     0x2147fde1U, \
    0xa41c2b0bU,     0x307c7cccU,     0x4dc93609U,     0xbe3f4d15U, \
    0xdded6026U,     0x160a53efU,     0xd92d1316U,     0x96838de3U, \
    0x67157667U,     0x2e8eba7fU,     0x197769b7U,     0x65a1a1adU, \
    0x821163d4U,     0xf1451af1U,     0xdf4d7d11U,     0x6288c93bU, \
    0x3b3fb50aU,     0xf461f065U,     0x43a1c380U,     0x56bbe450U, \
    0x88e90b21U,     0xff756f36U,     0x55190f2fU,     0x90b432bfU, \
    0xd76ba832U,     0xdcc8bf83U,     0x1e97bd44U,     0x54be5717U, \
    0xdecd020dU,     0x4b6fec13U,     0xe9678e40U,     0x0189f0c1U, \
    0x9125726eU,     0x34342838U,     0x6dccc0b1U,     0x37766f6eU, \
    0xc7d5511aU,     0x890cfb1fU,     0x204e09f4U,     0xa221ba9eU, \
    0x19253055U,     0xc66f1e3aU,     0xba246b7bU,     0xd4c1e549U, \
    0x24a03497U,     0xa8e4a100U,     0x5fd736ffU,     0x20b169e9U, \
    0x71c3107dU,     0x24a8e709U,     0x811b690fU,     0xdab411bbU, \
    0xb083735dU,     0x49af6fd5U,     0x56134ba6U,     0x4fc1f7deU, \
    0x7ffe1b57U,     0x9e619106U,     0x74ea6e71U,     0xa3b5d329U, \
    0xe7c17702U,     0x5404648dU,     0xbc93a0c6U,     0x3c6b4721U, \
    0x0908c17dU,     0xdf79e8fcU,     0x7d76bf57U,     0xcb06a1c7U, \
    0xc46122d8U,     0x4877a00eU,     0x22c38724U,     0x7e102988U, \
    0x8a4c59e1U,     0x1b42cb5cU,     0x70393088U,     0xad815760U, \
    0x137cd39dU,     0xc24efd61U,     0xf1b06cbcU,     0xeca8c46cU, \
    0x25fe9913U,     0x3dc24d5cU,     0xabc2903bU,     0x140d902fU, \
    0xc43ca97cU,     0x0c203c66U,     0xa663fc34U,     0xb9c8476cU, \
    0xb4b13bafU,     0x2bd9c23dU,     0x4757f5e9U,     0xa6d1d067U, \
    0x044ec337U,     0xa2db8b6aU,     0x10944736U,     0x1f869da0U, \
    0xf40ceb6dU,     0x1047f15cU,     0x75ad66c5U,     0x393cf68eU, \
    0x63e09abbU,     0x30c8a4daU,     0x4ed7ee95U,     0x2272d86eU, \
    0x84efa10dU,     0xae0ec1a7U,     0x38aa1625U,     0x510e292fU, \
    0x2f2d896bU,     0xe40b9b97U,     0x4b18e23bU,     0x458c4e78U, \
    0x1ed69c27U,     0xbc417d8dU,     0xa21b7641U,     0x3ae47b66U, \
    0x2daf1479U,     0x0d102af7U,     0xd8d3fccbU,     0xc4ad86c7U, \
    0x77712accU,     0x1f096b92U,     0x574fa03aU,     0x5c877bf9U, \
    0x00cffb4cU,     0x2004438aU,     0x8581cd8eU,     0x71915fe6U, \
    0xcb9789f7U,     0xef59d0a6U,     0x55e6af00U,     0xe8cf77e3U, \
    0x2498dc6dU,     0xdd9a0b04U,     0x7d4c3d1bU,     0xc8cd98a3U, \
    0x37b4acb0U,     0x4429e782U,     0x5ea4d458U,     0x13b84379U, \
    0x82e0968dU,     0x95267e5cU,     0x901c9a5cU,     0xd3747ab1U, \
    0x2c05168dU,     0x29abd6b2U,     0xbfb385dcU,     0xf3f08acbU, \
    0xb5c28338U,     0xc94f5727U,     0x393702c0U,     0xc35a36d1U, \
    0x8ab12615U,     0x4c3e7173U,     0xd0062b37U,     0xeae48268U, \
    0x9b510d1eU,     0x61b6dd9cU,     0x4400b251U,     0xa47353e0U, \
    0xecab3d14U,     0x2fa5e675U,     0xda3caac3U,     0x82fc6cd7U, \
    0xacacfb7cU,     0xbef45d21U,     0x54c54f95U,     0xb1b36382U, \
    0x6d170d28U,     0x68a20b7fU,     0x449d7b21U,     0x7cd7faeaU, \
    0xb6fc238cU,     0x7eaffc4fU,     0x6162a875U,     0x4806161bU, \
    0xf534d18cU,     0x81c06a8aU,     0x30245744U,     0x09faeaadU, \
    0x554bd604U,     0xa7841242U,     0x3c832691U,     0xe175b40eU, \
    0xe2befe30U,     0x9b4e2541U,     0xf740177cU,     0x80a4a79eU, \
    0x0c683df5U,     0xcdb6b1bcU,     0x676a9b4cU,     0x1cd7e2b4U, \
    0x3904b266U,     0x27e20b07U,     0x35cb6a8eU,     0xd40a72baU, \
    0x046318bdU,     0xfb282ec2U,     0x66eee7fdU,     0xb7f0f6b7U, \
    0xa9e709dcU,     0x559b0cb8U,     0x797d93a5U,     0x1e4f80cfU, \
    0x6f01eb54U,     0x497c4f31U,     0x6c23b6a9U,     0x2e301257U, \
    0xa7566471U,     0xa08491cfU,     0x38d24835U,     0x6d89decbU, \
    0x92b9f4eeU,     0x868ccbd4U,     0xead7ee81U,     0x20b24a12U, \
    0x23be4bb0U,     0x269acd69U,     0xb93cc231U,     0xf7445203U, \
    0xc54c1607U,     0x7fcd2dbcU,     0x38c8dbefU,     0x3a284a41U, \
    0x0b5c7316U,     0x3666ddb1U,     0xf4d2d52aU,     0x07923f3cU, \
    0xc9849e76U,     0xd685407bU,     0x26e8450fU,     0x46b05549U, \
    0x7d8af0ccU,     0x62eb51a6U,     0xc79dc6f5U,     0x6bba369eU, \
    0xafbbf064U,     0xb78accbeU,     0xa50bc828U,     0xf89116e5U, \
    0x431bba6dU,     0xef745ac8U,     0x57f03f02U,     0x4f125f10U, \
    0x76f9ec87U,     0xd6ffcffcU,     0xa38e57a6U,     0x9ad46eaaU, \
    0xc13cea1fU,     0xc02c80f9U,     0xc96869a8U,     0x486a6a37U, \
    0x0919ece6U,     0x6ceece40U,     0x7026e5dbU,     0x1d6d2c5eU, \
    0xcd14b65cU,     0xbe7c8cbeU,     0x3508b203U,     0xf33e10feU, \
    0xac483d24U,     0x27acd3aaU,     0x0adbd818U,     0xc20d8885U, \
    0xdfc340eaU,     0xfbe5ef9dU,     0x54e64085U,     0xeb84a41dU, \
    0x5a708959U,     0x31c127c4U,     0x76b90cb5U,     0xe88e2452U, \
    0x6afc8dfbU,     0xd98eb720U,     0x674aef00U,     0xb2ed48dcU, \
    0xfb489e92U,     0x1146a230U,     0x7cf0895eU,     0x89210681U, \
    0xf76ae0e1U,     0x86983d0eU,     0xe5f8dfdeU,     0xaf45999dU, \
    0x10f96f92U,     0x659b28d8U,     0x6bba9507U,     0xf06b9fbaU, \
    0xcbe7147eU,     0xb22ede0cU,     0x543903a9U,     0x9cbdb63aU, \
    0xb2fba678U,     0x114de9cbU,     0xe404ea34U,     0xf2fadea0U, \
    0x5c3faf50U,     0x02616720U,     0x8a708f98U,     0x8acc2e9aU, \
    0x1948a2a6U,     0xea812aaaU,     0xd4f505eaU,     0xe0e8855cU, \
    0x3c766e5dU,     0x63633adcU,     0x2dae6dc2U,     0x934f0518U, \
    0x2ce9eaf2U,     0x816a54cbU,     0x728c7636U,     0x3db75351U, \
    0x6c63b9beU,     0x9f7d29d1U,     0x81c06c90U,     0xb999a95aU, \
    0x5dd75426U,     0xcd56b5afU,     0x87f2fb34U,     0x15152861U, \
    0x756297e6U,     0x84fa1d5fU,     0xcab086b5U,     0x42f8f846U, \
    0xb9538c53U,     0xee1d2ebeU,     0xa5fa2edcU,     0x04791c1eU, \
    0x3f279ed8U,     0x2ffa273bU,     0x0be6fb76U,     0x8574d9d1U, \
    0xabb93a5aU,     0x9d4604ffU,     0xd384f4f3U,     0xaec0ba5eU, \
    0x24e7c679U,     0xe330679fU,     0x27c35697U,     0x5710d96eU, \
    0x1be45a1dU,     0x1fc13a82U,     0xcaf16376U,     0xce8eb078U, \
    0x7e0f9d99U,     0x62fd735dU,     0x10896939U,     0x2f9c8df4U, \
    0xfb6fcf5bU,     0x262d2950U,     0x211c4eb8U,     0xf056f45bU, \
    0xb6b993fcU,     0x4927c5ecU,     0x99e1a1feU,     0x54765811U, \
    0x72e18e24U,     0x495abc4aU,     0xba1f319eU,     0x7c02d302U, \
    0x45ce6688U,     0xf7274d80U,     0x722987c0U,     0x4b05f6d1U, \
    0x86e7b585U,     0x2f646330U,     0xe00a7206U,     0xe3a04716U, \
    0x7a2bf58dU,     0x7f991d3cU,     0x308d689dU,     0xbff5894dU, \
    0x06fafe5eU,     0xfa951afbU,     0x8413a685U,     0x1f99e337U, \
    0x8509c117U,     0x47db0136U,     0xf14c5b3cU,     0x6c20c123U, \
    0xfa6ffb85U,     0xffff912bU,     0x661a4542U,     0x528c481dU, \
    0xd2add9abU,     0xa0f327bdU,     0xfe06c631U,     0xf2239c56U, \
    0xa17fec28U,     0x7add0d72U,     0x25e7cde8U,     0xe680bc1fU, \
    0x10e89174U,     0x7dccb99dU,     0x7989ae6cU,     0xe23aa54dU, \
    0x9bac4550U,     0x2195df05U,     0x329915ecU,     0x8c612803U, \
    0x740d35a2U,     0x3765a367U,     0xfe053fa2U,     0x031be344U, \
    0x03ff9634U,     0xb580d6acU,     0xeb4d03d9U,     0xfab1990aU, \
    0xdc1f3310U,     0x350e44c8U,     0xb7859ce3U,     0x19f3aeb3U, \
    0x3a8b2d72U,     0x4a612d7dU,     0x211c6f99U,     0x631e34ecU, \
    0x246852deU,     0xa785b364U,     0xd929eff5U,     0xc6df1b5dU, \
    0xfc4b00e9U,     0xf4e39c95U,     0x2aba5e0aU,     0x0d32b942U, \
    0xfa6c6ae8U,     0x9e665949U,     0x3b718b79U,     0x8bfa6ea8U, \
    0x1fa93e58U,     0x91b9de5eU,     0xc564bbc6U,     0x1b80fb6eU, \
    0x2ae933bdU,     0x55b64f22U,     0x59976ddbU,     0xd275f211U, \
    0xd7a5d34bU,     0x6550e120U,     0xb8e200daU,     0x553367e7U, \
    0x9ef27588U,     0xf69d0043U,     0xef072ca9U,     0xe61f4052U, \
    0x436a5b96U,     0xb7d9ceaeU,     0x0568fa10U,     0x05fd5107U, \
    0x53e71912U,     0xbe436e4bU,     0x3f3c5593U,     0x73ba6fe0U, \
    0x6a129463U,     0x84a6a90fU,     0xb7d1ace9U,     0x9fc76c2aU, \
    0x26429157U,     0x4fc03e31U,     0x21cd46c6U,     0x11567effU, \
    0xfa1f79e9U,     0xf4455ac2U,     0x0c947e51U,     0xdc50ff25U, \
    0x9dd13fb2U,     0x65c03d1cU,     0xb6cae1faU,     0xa12c363bU, \
    0xe0b47b2dU,     0x90f702f4U,     0x61663ed6U,     0xca0d48cfU, \
    0x07c6e14dU,     0x7e439f9fU,     0xfba5a0cfU,     0x94b06339U, \
    0xbe78af87U,     0x85e19b37U,     0xaa294af9U,     0xb2b7a3afU, \
    0x47f1e1c5U,     0x1ea525f6U,     0x793e4ddaU,     0xba1a5f5eU, \
    0xe7a1a998U,     0xe73f69a2U,     0x136090ceU,     0xc893a3d0U, \
    0x4e08f002U,     0x6b87d5f8U,     0x85aa3e27U,     0x984480deU, \
    0x2e66ec8eU,     0xfeea8d0cU,     0xcc66dba1U,     0x2d679c57U, \
    0xea09408cU,     0x1f9ddfcfU,     0x2d160db9U,     0xa4430019U, \
    0x9cf27a2bU,     0x589471f9U,     0x76c0f740U,     0x42d1d048U, \
    0x53e39773U,     0x021aed20U,     0x3eeb8d5dU,     0x9ade4be4U, \
    0xc15c0487U,     0x2ccc167aU,     0x792dca05U,     0x97f8240bU, \
    0x61678e05U,     0x07447972U,     0xd797649eU,     0xe8ef6830U, \
    0x232fe531U,     0x55592fc2U,     0x9f9af9b7U,     0xed1389a4U, \
    0xc1d35c87U,     0x6e5668b6U,     0x2bc92031U,     0x30cac6d0U, \
    0xaf602f39U,     0xec690abdU,     0xcf9d5ae2U,     0xb352f89cU, \
    0xf61bcde4U,     0xb69cf1d9U,     0x59ee0903U,     0x0b89f777U, \
    0x4002dec8U,     0x14551c6dU,     0xfb720374U,     0x871510c9U, \
    0x74aebfe0U,     0xaca55d8dU,     0xa9baf831U,     0x176b98e3U, \
    0xc3ef15b3U,     0x051cb270U,     0xa5d1acf1U,     0x89460b74U, \
    0x3ae50438U,     0x6b809de0U,     0xcbda447cU,     0xb1db1af2U, \
    0xe190d9a2U,     0x0b8ff7dfU,     0xc86b0a89U,     0xb8c6b724U, \
    0x844cd7e4U,     0xcfbeb61bU,     0xd534f382U,     0x1d98028aU, \
    0xe01e1734U,     0x924f5e51U,     0xa304acd8U,     0xce064dabU, \
    0x80a957c5U,     0x7ac28416U,     0x3edae925U,     0xaaae06ccU, \
    0x3a01f129U,     0x889a4ec7U,     0x153b4582U,     0x482afcbcU, \
    0x35dbcebcU,     0xa6c79303U,     0x10394a87U,     0xf1a3d694U, \
    0xe785cc47U,     0x504b6b05U,     0xb9080c01U,     0xcdcfaf66U, \
    0x6d384044U,     0x74ec02d4U,     0x094311d9U,     0x8ada89daU, \
    0xd16fd99fU,     0xd6807f99U,     0xb380f432U,     0xf7068f02U, \
    0xa8a936b8U,     0x50a4b70aU,     0xa46879d5U,     0x9f218195U, \
    0xca0ae2f1U,     0x84305386U,     0x0e133e6cU,     0x3bdface2U, \
    0xedb78fa5U,     0x2b68f521U,     0xb84813c3U,     0x8b06c2d5U, \
    0xb9007dfbU,     0xadaa51efU,     0xbb0b5dc0U,     0x818d3f47U, \
    0x5702c85bU,     0x07ef28feU,     0x8af67a20U,     0x92ad664fU, \
    0x758dd2c5U,     0x143f63faU,     0xed766f67U,     0x5c928a0aU, \
    0x07030527U,     0x8f866d74U,     0x2551bdd4U,     0xa1c25920U, \
    0xc08d1f0aU,     0x43db4c9bU,     0x40122175U,     0x2197f99cU, \
    0xba09ff48U,     0x3a349976U,     0x22e046e0U,     0x970c8efaU, \
    0x8b76196dU,     0x8e0b0b7cU,     0x4fd9ac07U,     0x7c299e12U, \
    0xa88a533aU,     0xeaeaeebbU,     0xc09a9703U,     0xcb956063U, \
    0x339a1b8eU,     0x5b4b1960U,     0x2631831bU,     0xe7cb9515U, \
    0x33b93802U,     0x8cd0cf6aU,     0x32b88d79U,     0x77ee64aaU, \
    0x50ce2432U,     0x7c9eecf9U,     0xb4f5d457U,     0xb672496eU, \
    0xfdeb4197U,     0xd912196eU,     0xfb27e51eU,     0x12cb4db6U, \
    0x764b022cU,     0x039c296aU,     0x5736b506U,     0x82d138c6U, \
    0xbfd360d5U,     0xc18c8074U,     0x628b6bd2U,     0x0e9f5313U, \
    0x5b20c4e0U,     0xb7d72631U,     0x74569c17U,     0x73a10fb6U, \
    0x7771204aU,     0xf800a7f7U,     0x179fb158U,     0xffd5d439U, \
    0x0a7b9ca8U,     0x63d9ca7aU,     0xc0d106bbU,     0x14822f61U, \
    0xf9befc0cU,     0x5d828228U,     0x2378fb20U,     0xa1450164U, \
    0xfa32003aU,     0x5a259a3bU,     0x3df99137U,     0xbb0f7201U, \
    0xc0a0aa30U,     0xb3480cebU,     0x47c607c5U,     0xd089bb4cU, \
    0x9eff9945U,     0xddc2cd0bU,     0x3342dd01U,     0x5ae63410U, \
    0xdb50815dU,     0x2694b8b8U,     0xdc4bf614U,     0xd45f5d1fU, \
    0xe7eea80bU,     0x86473818U,     0xe987bed4U,     0xc393c08aU, \
    0x3919b3d9U,     0x8869ba99U,     0xe7846464U,     0x5491e3daU, \
    0xcc1aaaacU,     0x6bbcda19U,     0xf2c59cc4U,     0xfadf450fU, \
    0x0a00870fU,     0xce18d862U,     0x237a154dU,     0xd100c8d3U, \
    0xeee9c34fU,     0x49751c3dU,     0x7b1c0f2cU,     0x1819ab30U, \
    0xac22d8f7U,     0x0c1d32e3U,     0x676ddd5dU,     0xf9506d3dU, \
    0xd037e6eaU,     0x8798dd46U,     0x7167e8a4U,     0xc01603bbU, \
    0xcb34366aU,     0xe20acdc1U,     0xfd4d0a83U,     0xbf7c8bc6U, \
    0x77422fc5U,     0x6863916cU,     0xdfc3a1eaU,     0xebfcfce4U, \
    0xb9672867U,     0xbcf25225U,     0x9d0f19d8U,     0x54915dd3U, \
    0xb26eef87U,     0x9c2136a4U,     0x88cfb94dU,     0xf6e1a4d8U, \
    0x85eee577U,     0x6ea87d96U,     0x0b96aab0U,     0xa5255da0U, \
    0x5ea57289U,     0xe976ebf7U,     0x8c66d360U,     0xf505a788U, \
    0x362d4f32U,     0x4187af7fU,     0x81404c1aU,     0xe91e16a5U, \
    0x63d58b91U,     0x825aac5bU,     0x15c7e411U,     0xed4d49dbU, \
    0x92816e6bU,     0x9a21b956U,     0xe88f32e9U,     0x6628d453U, \
    0x133baf91U,     0x60fc98d8U,     0x6cef7019U,     0xc947a707U, \
    0xb5d0a500U,     0x0c96c190U,     0x19d49493U,     0x6431f528U, \
    0x254a77d3U,     0x6817d696U,     0x4e5defd6U,     0x1b181836U, \
    0x49e087f3U,     0xd21cc8aeU,     0x0bbc5556U,     0xd863a912U, \
    0x4a8b299fU,     0x3f87c74dU,     0x593871d3U,     0xf17f5c31U, \
    0xba20932eU,     0xde3390bcU,     0x73217ba6U,     0xb8ae0447U, \
    0x0d6ae651U,     0x3f8b9048U,     0x65ee185fU,     0x9206baedU, \
    0xae372f53U,     0x0a63b3faU,     0x8ed46e28U,     0x1155bee7U, \
    0x7c0cf5b0U,     0x98ed4142U,     0x11d84ca4U,     0x5986a178U, \
    0x227112c0U,     0x0ade801eU,     0x63b90b07U,     0x50a912c5U, \
    0x05f05b8aU,     0xfa3f6c37U,     0x19611883U,     0x61e8b1f2U, \
    0x400cede9U,     0x07c57067U,     0x9767d77aU,     0xcc07fc5eU, \
    0x4b679795U,     0x90598fedU,     0xb9e57d25U,     0xf03c42c6U, \
    0xba3fee4aU,     0x131cd92bU,     0x42ef2df6U,     0x07fc06b6U, \
    0x481c56aaU,     0xd824a0e3U,     0x24e92ca1U,     0xeb424b81U, \
    0x7611ee5dU,     0x1bb7d3a0U,     0xf8bb4717U,     0x079944aeU, \
    0x265ed18aU,     0x9a1123b7U,     0x01a0f3d3U,     0xd323f8b3U, \
    0x886f6212U,     0xc8abf479U,     0x63443d46U,     0x67cc46edU, \
    0xd05957faU,     0x4efc4e0fU,     0xf352270cU,     0xf39cfa05U, \
    0x5df15c7dU,     0xed8285dfU,     0x7ac5e542U,     0x9c54d7d6U, \
    0x62bb66efU,     0xc49a3287U,     0xad488733U,     0xf35714dfU, \
    0x22374d8cU,     0x9309fd6eU,     0x1c5a6844U,     0x82040f95U, \
    0xe42c1915U,     0x901d9285U,     0x5b0affeaU,     0xc153d309U, \
    0x066fdf40U,     0x7298fd00U,     0xf74ec99cU,     0x93a6fe9bU, \
    0x41bdda6dU,     0xf0abc721U,     0x18d88450U,     0xb4612b1eU, \
    0x353d07eaU,     0x2182030cU,     0xf0e19405U,     0x9809458dU, \
    0xdce485fbU,     0xf39d2a81U,     0x19563151U,     0x3f4ffb7cU, \
    0x00d5143aU,     0x67991b4dU,     0xba42743dU,     0xf88bf206U, \
    0xb6722e37U,     0x5757ca5bU,     0x808e05c6U,     0x52eb8478U, \
    0xf969180aU,     0x50b0a4c7U,     0x93310847U,     0x6844feecU, \
    0x3e752dc7U,     0xa8424adcU,     0x3dd95d31U,     0xb13edd3cU, \
    0xf6ce13d1U,     0xa58736e3U,     0x0d750806U,     0x37d778d8U, \
    0xb7683530U,     0x5c155d77U,     0xf189efddU,     0x8bdb4911U, \
    0x9b301d72U,     0xb7a1937fU,     0x27349e88U,     0x10d30834U, \
    0x58c3ad86U,     0xf9e1ab39U,     0x07ca4565U,     0x81d1de87U, \
    0x6add9365U,     0xdef86499U,     0x538afb00U,     0x213e1f0cU, \
    0x9d35ddf6U,     0x78730b7bU,     0x94947d5bU,     0xb7ae9f43U, \
    0x370268f4U,     0x8c3a807eU,     0xc5a87832U,     0xee68ecc2U, \
    0x90648127U,     0x5e273847U,     0x5779659fU,     0x41576711U, \
    0x61175a06U,     0xa6e5f446U,     0x5470982aU,     0x7a31b400U, \
    0x624eee33U,     0xa6b6cec0U,     0xbb0d1e01U,     0x7d270a00U, \
    0x9b78f242U,     0xf81ba9c8U,     0xfc4a1072U,     0x9dc8233fU, \
    0x6b4f2a68U,     0x5f7f2c49U,     0xe0923bf8U,     0x811004f9U, \
    0xee705d5dU,     0xe5b1caeeU,     0x577d6a95U,     0xf8cefb0bU, \
    0x130dac57U,     0x1ae9e7deU,     0xca23908dU,     0x9026bb1aU, \
    0xf36764f9U,     0xe2e91668U,     0x205fe9beU,     0x024b70f6U, \
    0xe99cb822U,     0x65c9786bU,     0xb57581deU,     0xb38a89d0U, \
    0x98a86fa0U,     0xeee8d50cU,     0xc4ac9087U,     0x2e7a84e3U, \
    0xfd71597cU,     0x7c9c015fU,     0x0ba83741U,     0xf8928d35U, \
    0xf76eb53dU,     0x8f04a6deU,     0x61c73819U,     0xb66ed337U, \
    0x12a7d17aU,     0xe2507954U,     0xe276a53bU,     0xc46648acU, \
    0x3e5ef373U,     0xa1a38a52U,     0xeabac08bU,     0x2e360a3cU, \
    0xa4607b18U,     0xcfbf0312U,     0x812aadb3U,     0xa139ca08U, \
    0x093a4edbU,     0x534b050eU,     0x8b57a843U,     0x4e5c3f20U, \
    0x813be1e3U,     0xd3e11594U,     0xc10c42d5U,     0x1509f75fU, \
    0x437e4295U,     0x245e76dcU,     0x13ec03d4U,     0x2391ad93U, \
    0x87a771c0U,     0x6beaa7feU,     0xefdbb58bU,     0x5f180ba8U, \
    0xf0e28e81U,     0x38e0b5ffU,     0x2a43240fU,     0x33d47e3aU, \
    0xd2c20a50U,     0x6c267a95U,     0xb1b17a42U,     0xf6b01b99U, \
    0x7855366eU,     0xf6068fc5U,     0xd9744372U,     0xe0373fcaU, \
    0xb46f74e4U,     0x5f4a5c54U,     0xf7c24071U,     0xdf85c366U, \
    0x90d2c623U,     0x3973874bU,     0xcd263ffaU,     0xe4bd7115U, \
    0xc953e7daU,     0x8134fa72U,     0x36a44aa8U,     0xf28d98b4U, \
    0xdf0d45aaU,     0x7b1940ccU,     0xfe6b980eU,     0xf0fbe5c6U, \
    0x4f1f81b8U,     0x48b4e89cU,     0x14ce8dadU,     0xdd15c0f1U, \
    0x21ab0eacU,     0xc2b96962U,     0xd21f65e5U,     0x7f29cf2eU, \
    0x12cfdf66U,     0xc7f765daU,     0x1134a690U,     0xae824588U, \
    0xd6671b16U,     0xfbdb952eU,     0xca4502dbU,     0x6cf8a9efU, \
    0xc9e24b8aU,     0x72727eaaU,     0x245fa0c3U,     0xf50d2c8eU, \
    0xdbb843f5U,     0x20ba71dbU,     0x7ab1feb5U,     0xc53a9c93U, \
    0xbfd7c8b2U,     0xab18a946U,     0x2e8b1e9eU,     0x04af4ffeU, \
    0x3a09b198U,     0xbc54ed5cU,     0xda6fcad8U,     0x774b4c19U, \
    0x4203f25cU,     0x216a97c3U,     0xfb58d5e4U,     0xed0bb4f3U, \
    0x1399a4f5U,     0xbb2b2e1cU,     0x20aefe41U,     0x95b0ef2cU, \
    0x1d7b370aU,     0x355ee5d0U,     0xd908b4c3U,     0x65fe3b54U, \
    0xea203be3U,     0xad8fed50U,     0x929c0b6fU,     0x394ee7b9U, \
    0xa2525444U,     0x91391161U,     0x0366f361U,     0x8902b2a5U, \
    0x1d4a6024U,     0x04bed02cU,     0x0a459ee4U,     0xb8848dafU, \
    0x9d295c91U,     0xd18738eeU,     0x932eec7aU,     0x24dd6293U, \
    0xe9ea0244U,     0xcd864f95U,     0xf6a1b1b5U,     0x08dcf13aU, \
    0xc9f371deU,     0x7807368dU,     0xefd9a585U,     0x86db5502U, \
    0xdb1795f0U,     0xddafdc29U,     0xbe707e1bU,     0xfbc4bfaaU, \
    0xe7f24bf7U,     0x89bccfd5U,     0xc8000b1bU,     0x44059556U, \
    0xe2e44940U,     0x0ce6b759U,     0x053600f3U,     0x0c117d2fU, \
    0xa612ea96U,     0x8da3f0b0U,     0x005ae584U,     0xd4b8e0ecU, \
    0x6f8b7b4cU,     0xcb0f4c72U,     0xc3915013U,     0x6a0da385U, \
    0xf6bf47b4U,     0x69fefe34U,     0x204ce769U,     0x89e4d359U, \
    0x5a77fe30U,     0xd485763bU,     0x612ca98cU,     0x7d8e8d9dU, \
    0x096f1b8aU,     0x2d0b8360U,     0xf386e2c1U,     0xcccdf563U, \
    0xfc420cfeU,     0xb67f80caU,     0xd32abdb7U,     0x357aace9U, \
    0x096633f9U,     0x92cc1bf6U,     0x9ef9a736U,     0x2852eb85U, \
    0x0b2b2577U,     0xca3259efU,     0x20d9715eU,     0xeeef37c4U, \
    0x2cd08855U,     0x44f4df1aU,     0x8c9e7a5eU,     0x8e77b441U, \
    0xd06f6299U,     0xdf3a80e2U,     0x2cad1b66U,     0xe1d0d455U, \
    0xdaecd48bU,     0xdc1da44dU,     0x80eac9e4U,     0xf6d9eb7bU, \
    0x6c7cc144U,     0x171569d2U,     0xc5364dceU,     0xe5bd49c0U, \
    0x91fefcf4U,     0xa9c324a8U,     0x1f305f31U,     0xd371505cU, \
    0x4109cee2U,     0x00ffb786U,     0x54e320e9U,     0xaa6edea2U, \
    0xb88bf7ccU,     0xb1e80effU,     0x0b4cd9b7U,     0xfac75858U, \
    0x8d3ae758U,     0xd5c90354U,     0xfc0dda97U,     0xc6399ce0U, \
    0x0e832ee4U,     0x1cce3fbbU,     0x92586f5fU,     0x802f07b3U, \
    0xe82000f7U,     0x7662c1a8U,     0x3e349600U,     0x3aafca35U, \
    0xb0c0e5d2U,     0xd929c65aU,     0xf50c04d7U,     0xb64a8649U, \
    0x4e6ea1fdU,     0x60f4c59bU,     0xb97a2ab5U,     0x43a0289fU, \
    0xc2b1b7cfU,     0xbe37a102U,     0x89fed778U,     0xc8e6ebdfU, \
    0x5e7f6c9aU,     0x257565bcU,     0xa6cdf795U,     0x88a55b47U, \
    0xac80d0f6U,     0x4b4aafb5U,     0xb1e447dbU,     0x9796c03dU, \
    0x6cd92b81U,     0x270661ccU,     0x34340232U,     0x5a4cfa06U, \
    0x33ff6639U,     0xd0aaad01U,     0xac5cb06fU,     0x8a6d2c31U, \
    0x2f681725U,     0x269ef6d2U,     0x1ce72488U,     0x2af2b188U, \
    0xb4c81da3U,     0x08b0633dU,     0x8af5d2e0U,     0x0a5bee40U, \
    0xf5da1e28U,     0x005b7266U,     0x260c57feU,     0xb6fbc5b8U, \
    0x0ce5ac40U,     0x286d9000U,     0xbb87248aU,     0xd4c49596U, \
    0xd1c3b6e8U,     0x025e3ea0U,     0x7e674114U,     0xe9e2d462U, \
    0x33dea62aU,     0xf53f039bU,     0xd159d7d9U,     0x9fb31313U, \
    0xe6d03943U,     0x9e5c6e14U,     0x67b978ecU,     0xca59fffaU, \
    0x474fba22U,     0x04a65888U,     0xdd2debf7U,     0xe7f12c82U, \
    0x391bdc2eU,     0x73f197feU,     0xf01cca33U,     0x77704f9fU, \
    0xfb2746b9U,     0x8ab46d74U,     0xe1472e5dU,     0x64739461U, \
    0x2f08cc46U,     0x037b4ba9U,     0xe0aed4ccU,     0x05e8a964U, \
    0xbdefefe9U,     0x763a1057U,     0xb643f7bdU,     0x517d305eU, \
    0x305edd03U,     0xadc9db43U,     0x693c01e8U,     0x7c44d7a5U, \
    0x27791ef1U,     0xfd1be85aU,     0x78d8f18bU,     0xe8344cfdU, \
    0x765d1a21U,     0xebe875aeU,     0x84a23dc5U,     0x2fe2f31fU, \
    0x61444a4aU,     0x63214ee1U,     0xcb1bc87eU,     0xd7f79270U, \
    0x3a76ba7dU,     0x1a46d066U,     0x591ca439U,     0x823019d8U, \
    0x6327434fU,     0x3ceebf88U,     0x728c5f52U,     0x821452fbU, \
    0x1dc2d0d5U,     0xdc496fa4U,     0xd60031c0U,     0xee23b156U, \
    0x51c823baU,     0xe1f3accaU,     0x5fa757c8U,     0x0387c5ffU, \
    0x3b9db212U,     0xd1edcfa5U,     0x38bd13c9U,     0xec314e17U, \
    0x52f59a5bU,     0x3b2fa812U,     0x9fde521fU,     0x766d9d73U, \
    0x882b8a0dU,     0xdcbcae04U,     0xd930ac77U,     0xac35728cU, \
    0xd19c6704U,     0x4d3becd8U,     0xe2dcf0b2U,     0xd4735f42U, \
    0x7c38f992U,     0x0edef474U,     0x45e9f149U,     0xa99df809U, \
    0x2403dfc4U,     0x3b11afefU,     0x6834ff4bU,     0x220011d5U, \
    0x250fc10dU,     0xc9f8f6d6U,     0xd32f156fU,     0xbd642008U, \
    0x9ac97d94U,     0x5191ed68U,     0x8691fa9dU,     0x9a2153daU, \
    0x1892942eU,     0x4a834d27U,     0x36c536a2U,     0x51fa7a8eU, \
    0x2c4cba26U,     0x21d263eeU,     0x0da352a2U,     0xeaeccdbaU, \
    0x7c1b1f5bU,     0x7ce5eadfU,     0xfd4d676dU,     0x49710825U, \
    0x95dd99ebU,     0x3a78054bU,     0x49321c5dU,     0xdffe66a7U, \
    0x6b991bfaU,     0x2cf55b6dU,     0xcc583faaU,     0xe9c7d003U, \
    0x09d5959bU,     0x09ad648bU,     0x7e12af5cU,     0xca001b92U, \
    0x5753d960U,     0x54cdb4daU,     0xeca7222cU,     0x30697c59U, \
    0x9b60a71aU,     0x96f8611fU,     0x797fcb1eU,     0xe7b60bbeU, \
    0x6f317784U,     0x4b1cdd0bU,     0x0af3a1d3U,     0xb110402dU, \
    0x803e00c8U,     0x69b5f3beU,     0x91f00ca7U,     0x0d7be175U, \
    0xc8c464b9U,     0x3deba299U,     0x48448ac1U,     0x66a2892fU, \
    0xa3857fbcU,     0x75496081U,     0x41dbacf1U,     0x0207af3bU, \
    0x117716f2U,     0x7453473cU,     0x11f38d7dU,     0x23f5561aU, \
    0x87bb8a68U,     0x0112032bU,     0x9c3ea641U,     0x5412d79aU, \
    0x0b5ae6e5U,     0x68e19ef2U,     0x4b80dab3U,     0x5d2766deU, \
    0xfe0dad5eU,     0xd896120cU,     0xb5048888U,     0x238bf976U, \
    0xbdc44fa2U,     0x7f0c45dfU,     0xc8ccae1eU,     0x456016d2U, \
    0x74b6cb3dU,     0x74e45f42U,     0x8fed1a9fU,     0x4ba016f2U, \
    0xa8566ff1U,     0xf4204711U,     0xd11fb4b5U,     0x83f7d519U, \
    0xa15ee7eeU,     0xc83320a5U,     0x8abf656dU,     0xffef05dfU, \
    0xca2baa23U,     0x8f6af9eaU,     0xe2e3320bU,     0xd7ac8062U, \
    0xf9712376U,     0x8538c5baU,     0x34a6b0f4U,     0x4b2ac07eU, \
    0xec7a15d7U,     0x957de9b5U,     0x0beb7a8cU,     0xae24f73aU, \
    0x74cd7490U,     0x78b4ad86U,     0x439550abU,     0x8c2bebe3U, \
    0x26bf22fdU,     0x0f79eb21U,     0xaa2b373fU,     0x3c963131U, \
    0x53d4596dU,     0xffe171b7U,     0x2d530b31U,     0xa07485feU, \
    0x3c32fe9aU,     0x5c2b5d5eU,     0xab623c07U,     0x887af5f0U, \
    0x60508080U,     0x5e022eefU,     0x8054f591U,     0x67a009dbU, \
    0xc560ba8eU,     0xb0c3d889U,     0x7603b7f5U,     0x8e306831U, \
    0x7be50569U,     0x8d777a76U,     0xeab5c591U,     0x4960decfU, \
    0xc83a0684U,     0x17d08b28U,     0xb1946be6U,     0x85b4f9f9U, \
    0xcc6082e6U,     0x5fc6a2f6U,     0xad323e92U,     0xc7ca0d66U, \
    0xd6cfde7bU,     0x6890230dU,     0x11020e08U,     0x352de657U, \
    0xda0deeb1U,     0x6484c6a0U,     0xc8cb4d84U,     0x64865d92U, \
    0x7498c55fU,     0x875aa4a0U,     0xd634e873U,     0xf75f7d86U, \
    0xb5049eb7U,     0x4fe37bccU,     0x12467a7aU,     0xfd8931adU, \
    0xca4508f8U,     0x2a555581U,     0x255af36bU,     0x88f977e7U, \
    0x23e45241U,     0xbef4afdfU,     0x0c4dbaa7U,     0xc79dafa2U, \
    0xf4b2ab20U,     0x3cdbbb7aU,     0x8c977f24U,     0x4ed29f2aU, \
    0xf1da6d1dU,     0x6281b96dU,     0x47be07ffU,     0x188708d1U, \
    0x1e104196U,     0xca1234d8U,     0xd5be0e9eU,     0xf24a73e5U, \
    0x6d8496aaU,     0x3b409171U,     0x580f5b84U,     0x80c4b891U, \
    0x2de56a33U,     0x9f813de1U,     0xc7941a53U,     0x787b1abaU, \
    0x245f798fU,     0x94863cd7U,     0x021a7a21U,     0x9db89867U, \
    0x0ff150a4U,     0x8f59d9cfU,     0xa4ab03d6U,     0xd7281823U, \
    0xa5564aacU,     0x7277a0cdU,     0x8a535292U,     0xa78fa249U, \
    0x13d5393aU,     0xcb7cf7e2U,     0x4db62856U,     0x03cc14d8U, \
    0xd09660a4U,     0x5e7c39c3U,     0x03e84143U,     0xa79637c6U, \
    0x1d92b35eU,     0x0118c6e7U,     0x9156a008U,     0xe887be61U, \
    0xc19ed504U,     0xbabb0d2cU,     0xc66de343U,     0x80c03711U, \
    0xd2514145U,     0x6d12b549U,     0x0e18ffedU,     0x4ff7dcdeU, \
    0x19ad6307U,     0xf50d4c3fU,     0x15f86b45U,     0x1329e294U, \
    0x2ce09b8dU,     0x4ee68cf8U,     0xcfcbfc58U,     0x5eb5d613U, \
    0x640fb4f0U,     0xea89a778U,     0x565c8ab9U,     0x83249c54U, \
    0x846d617bU,     0xbc64e191U,     0x34b2986cU,     0x77bb3fbeU, \
    0xa858c88fU,     0x50d8c396U,     0x04921edbU,     0xca5159a3U, \
    0x504dfe08U,     0xa4012d41U,     0xf0478051U,     0xcebc318dU, \
    0x2d8a8689U,     0x8005a184U,     0xe3b661f7U,     0x30e126a9U, \
    0xf2b9356dU,     0x1dddea6cU,     0x09d99e12U,     0x3cc60729U, \
    0x661fab3bU,     0x687ca6adU,     0x2ade0625U,     0x3b5159d4U, \
    0xc601fc18U,     0x88216d50U,     0x94a3bf9eU,     0x33ee558dU, \
    0x0f636e31U,     0xbb8058b9U,     0xce183980U,     0xad1e32a9U, \
    0xc50aea29U,     0x5651ad0fU,     0x6d237568U,     0x53519e35U, \
    0x5ec6dab6U,     0xd0a22990U,     0xb46b5b91U,     0xbfb0bb5eU, \
    0x6c6237f7U,     0x1eae5fc8U,     0x8bd9c070U,     0x29cc96e1U, \
    0xf856f0c2U,     0x56a6293bU,     0xb882825eU,     0xac25949aU, \
    0x8563a50bU,     0x83c3d742U,     0xcaf41875U,     0x123075c6U, \
    0x981063cfU,     0xecdb8bd5U,     0xe6c8deacU,     0x7334301cU, \
    0xd719deabU,     0xc047c306U,     0x52a9c7bdU,     0xa57219b3U, \
    0x9eb35bd9U,     0xfed85cabU,     0xad79bc60U,     0xa17297b1U, \
    0xaf1db8ceU,     0xf0eff511U,     0x79d7bb13U,     0x4ad2a4c3U, \
    0xa9ebaf1bU,     0xc6ec4963U,     0x74678d0cU,     0x11ac8e8cU, \
    0x6b3aa290U,     0x6b67ed63U,     0x7dc5e3d7U,     0x94737312U, \
    0x4ece5769U,     0x29d82343U,     0xb2208bffU,     0xfdd63d49U, \
    0xafdbff75U,     0x5d39ea15U,     0x83ce8729U,     0xfaf7ea04U, \
    0xfc34e182U,     0xe0c2424fU,     0xe7c8cc35U,     0x75475477U, \
    0x3a81e2d9U,     0x2fa1adc4U,     0x5d2b8b19U,     0x4144bbd1U, \
    0xfa80d33fU,     0xa10a981fU,     0x4628a1cfU,     0x19c66cccU, \
    0x963b6beeU,     0x038693b1U,     0xe48d5499U,     0xd0b1bc68U, \
    0xc1304050U,     0x481b500bU,     0xe87eaeb9U,     0x55ae17caU, \
    0x6ce56fafU,     0xce876764U,     0xf5672afdU,     0x8bb627ecU, \
    0x327a2ecbU,     0x79739514U,     0x5b356473U,     0x04fe06d4U, \
    0x53c38cb5U,     0x28047014U,     0xbe1284a9U,     0x66a539b4U, \
    0x65fa3ac7U,     0x8f1ff363U,     0xb972ac3fU,     0x2040f43fU, \
    0x17851335U,     0xf2939ebfU,     0x3b15bbcfU,     0xfc6cff04U, \
    0xa20b8bb0U,     0xc07be26dU,     0xae738a55U,     0xfaa8fc26U, \
    0x5af7a888U,     0x434cd17cU,     0xe0672fcdU,     0x289be929U, \
    0x118247c5U,     0xd3f9c282U,     0x67738395U,     0xf0d8dc86U, \
    0x3132d9a0U,     0xa3109393U,     0x53af20b4U,     0x6f262bafU, \
    0x0a2408aeU,     0x6ba4110dU,     0x08bcf071U,     0x7ef3f6a8U, \
    0xe52c9f9eU,     0xca4a5ef8U,     0x54fab5c4U,     0xd880527cU, \
    0xb5ce175dU,     0x52f39fc2U,     0x82242884U,     0x4dc92aa2U, \
    0x3ede45a3U,     0xc898245fU,     0x9defbf09U,     0xf6736904U, \
    0x8a91f2d0U,     0x624c8e10U,     0xb7f08f51U,     0x4693ae43U, \
    0x322b9620U,     0x538cbd04U,     0x38f7e4f2U,     0x38171abaU, \
    0x4f6b1387U,     0x8401bbeeU,     0x0200e605U,     0x13735c08U, \
    0x4f7c5c2bU,     0x25cc3676U,     0x75f73780U,     0xb8100766U, \
    0xbc419433U,     0xed517ee0U,     0x6cba430bU,     0xa66e8029U, \
    0x0f949e1cU,     0x4612c273U,     0x8abf312eU,     0xd24f6863U, \
    0x44382582U,     0x360292f9U,     0xd87ff0b8U,     0xf94bad5fU, \
    0xb93d8874U,     0x97ef25bdU,     0xc36ed9e8U,     0xbb31865aU, \
    0x09a4d7c6U,     0xff98021cU,     0xce175ab6U,     0x8dee65b7U, \
    0xc9a99053U,     0x476bd3cbU,     0xc527dc11U,     0x352ca0ddU, \
    0x0896bdadU,     0x4aab5e64U,     0x79a6fe79U,     0x31a100d6U, \
    0xb04e6b3dU,     0x04a6aa91U,     0x4be675a1U,     0x46a00731U, \
    0x85136cc6U,     0x171aecd4U,     0x42f1fd88U,     0x699077b9U, \
    0xdde7e1c0U,     0xb08258ffU,     0x256f9de4U,     0x7efafe4fU, \
    0x86a4384eU,     0xbc9bfa14U,     0xa3253b5cU,     0x1e6ccd58U, \
    0xf1ae938dU,     0xb090e4dcU,     0x22e214b6U,     0xb11c5678U, \
    0x6307dcc8U,     0x952b2e78U,     0x259386eeU,     0x2948ef29U, \
    0xa90354faU,     0x06997773U,     0xd1c84cd7U,     0x1a062d00U, \
    0x3f1bf941U,     0x3d7583aeU,     0xdc602306U,     0xe89abcf9U, \
    0xae892cdeU,     0xd250da34U,     0x89823f16U,     0xa6b4a971U, \
    0xccd63010U,     0xf8b5babcU,     0xe121f2beU,     0xb54c5d48U, \
    0xd38bd661U,     0x8069386cU,     0x3272ab21U,     0x8b6864a6U, \
    0xcbe15977U,     0xce7d15d2U,     0x4f6e41c8U,     0xb84d4325U, \
    0x0e64a554U,     0xbbc37c20U,     0xa1b65a17U,     0xf91f6777U, \
    0x499e7432U,     0x884ce3eeU,     0xf6a64a16U,     0xce9cd9c7U, \
    0x7d5690e6U,     0x8cc45470U,     0xeea17305U,     0x446c665cU, \
    0xcee35e54U,     0x31194e8dU,     0x0d70c81eU,     0x21427f3fU, \
    0xa3d3b430U,     0xbe5b9ee9U,     0xfd557ddcU,     0x4cd6d879U, \
    0x4cc5bab8U,     0x29142c2cU,     0x3069f9e0U,     0xf0a01e6fU, \
    0x253b3d91U,     0x14f4b7a4U,     0x33a574ebU,     0x866fd9f9U, \
    0x0fe55858U,     0xec0048caU,     0x8b5a1507U,     0xcdf54de8U, \
    0xb3ab4369U,     0x868f9bdfU,     0xc7a3160fU,     0xb7e6fbfdU, \
    0xb34175adU,     0x25b6c914U,     0xb5720e71U,     0x25275a00U, \
    0x7e8f54a6U,     0x1d5b6f79U,     0x182bdd65U,     0x1382a97aU, \
    0xab84460eU,     0xa1435cfeU,     0x05b85a37U,     0xe2d9e40bU, \
    0xa9ada796U,     0x3ac6a9f6U,     0xe5d7215aU,     0xe56b56e8U, \
    0x49c7699cU,     0x96012937U,     0x4fbe49feU,     0x2684bb06U, \
    0x6a4b191fU,     0x4d543927U,     0xf0d72944U,     0xe9630239U, \
    0xbe7ebbf1U,     0x696f4c5aU,     0x245287e5U,     0x790729b4U, \
    0xced9b64cU,     0x65038ea0U,     0xc5ced60eU,     0x1ea5646fU, \
    0x31ff71ceU,     0xe76f9e4aU,     0xc0eb47ceU,     0xee4695a0U, \
    0xc5040cfeU,     0x6aec35afU,     0x0dc39365U,     0xe24239cfU, \
    0x438da65bU,     0x13ff5b2fU,     0x9dbfd3f5U,     0x57c3adf8U, \
    0xe00e7182U,     0xff5a2335U,     0x2d135736U,     0x051af97aU, \
    0x6848536dU,     0x13ea0110U,     0x236bfad5U,     0xbfdc2e8aU, \
    0x0408db79U,     0x10ae58a6U,     0x0e9fa57eU,     0x26e8e944U, \
    0x66717382U,     0x58000988U,     0xf8aa2d06U,     0xf057f8fcU, \
    0x9565d360U,     0x5c7fb958U,     0xdc1ce60bU,     0xe6372afdU, \
    0xaa4f3607U,     0xfd4e38e0U,     0xa9df7d99U,     0xd3e71c51U, \
    0x471ddfe9U,     0x5930e8f1U,     0xebf5ad3bU,     0x0fccbe80U, \
    0x96621931U,     0xa830a32cU,     0x001c51c1U,     0x6812956aU, \
    0x02b79833U,     0xd68cbddcU,     0xc1eab2bdU,     0x6b587343U, \
    0x28f438e8U,     0x6b9ba3d3U,     0xca678320U,     0xf70daa92U, \
    0x9a8383fbU,     0xf09352d4U,     0x73c85584U,     0x8ac44375U, \
    0x2e9e40adU,     0x15992b90U,     0xf739b2ffU,     0x0093f8aeU, \
    0x3ea29b54U,     0xcb01d457U,     0xdf38212bU,     0x12ef814eU, \
    0xb2523cc9U,     0xf4350ebfU,     0xa1d881b6U,     0xe37bd90dU, \
    0x875017abU,     0x885c1b14U,     0xbf6e3950U,     0x9ebf2d98U, \
    0x7539f77aU,     0xb314ee3eU,     0x94e969bbU,     0x4975a77dU, \
    0xe53dbcf0U,     0xa4a3c28bU,     0x88d793e9U,     0x3750e11cU, \
    0xad3ee11dU,     0x36389de9U,     0x900a54d6U,     0x9cd4a453U, \
    0x01d36520U,     0x72bceeb4U,     0xf6ad6b9eU,     0xb6b9d33dU, \
    0x6facf3a0U,     0x66dccc0aU,     0x6f6d362fU,     0x216ee6b0U, \
    0xadb91f51U,     0x22ee50f4U,     0xc5ac5c52U,     0xdb6a6f04U, \
    0xd6178e1cU,     0x20bd5354U,     0x846822d2U,     0x4ee2611bU, \
    0x97c9d7e1U,     0x08ec2412U,     0x75b6fd12U,     0x6bb6e25fU, \
    0x3f2bd7fdU,     0x462d99faU,     0xcf92c078U,     0x3db03f8dU, \
    0x8c852f06U,     0x5a99707dU,     0x94485035U,     0xe2b37942U, \
    0xce246b5dU,     0x514e860dU,     0x97a0e549U,     0x356f049fU, \
    0x7e2e60faU,     0x5bfe7fc1U,     0xf1cf5ef9U,     0xe519c00cU, \
    0xfbcb18f8U,     0x17ebbba3U,     0x10f6912aU,     0xac611386U, \
    0xdc4b23b6U,     0x53247a9dU,     0xe0e61353U,     0xd3b55a9eU, \
    0x85f4863bU,     0x918d491dU,     0x95941a78U,     0x88877f7dU, \
    0x68a681c2U,     0xec1ac9b7U,     0x12804f7cU,     0xa4ed432aU, \
    0xa0492231U,     0x7829f8c2U,     0x96258554U,     0x37021ff2U, \
    0x6500a465U,     0x8894096bU,     0x7d347e03U,     0xed52be87U, \
    0x0bebea12U,     0x443de0a3U,     0xb059128bU,     0x98479dcaU, \
    0x0c3a05bbU,     0xe47131c1U,     0x99cb1885U,     0xa5c61690U, \
    0x009a03a8U,     0x6c7b4e1dU,     0x4f06af38U,     0x55a7a368U, \
    0x71fc50adU,     0x53d407b0U,     0x4fa142a2U,     0xa838688aU, \
    0x5e3b72bcU,     0x816490b8U,     0x5072e66aU,     0xdf0e0c7fU, \
    0x6a42e996U,     0x3d337a78U,     0x4353690cU,     0x7b01f25cU, \
    0xc4926c4fU,     0x0d35091aU,     0x705ac772U,     0x03f254c4U, \
    0x67d95b0eU,     0x1390c283U,     0x2e741663U,     0xbd5ffb24U, \
    0xc5d2b797U,     0xb7897a1fU,     0xd7da0abeU,     0x0cbbe38bU, \
    0x2e6df7abU,     0x1ae692abU,     0x0039e487U,     0x57ed0bc3U, \
    0x40301c06U,     0xd8becba8U,     0xef153dacU,     0x2e263941U, \
    0x81d9a081U,     0x7391a08dU,     0xf325f15aU,     0x11a6c748U, \
    0x429825f2U,     0x0e061676U,     0x0fc9697dU,     0x19420682U, \
    0x4afca7e6U,     0x139ef4bdU,     0x0a1c074bU,     0xb3933abeU, \
    0xcd25bb44U,     0xff438a02U,     0xbaa5f0a3U,     0xdc417e7dU, \
    0x03452c3cU,     0x528f8a39U,     0x553bf5c9U,     0xbc709a8aU, \
    0xd0047861U,     0x948109ffU,     0x2ad48689U,     0xd93424c7U, \
    0x20458fcbU,     0x557ee451U,     0x6a8055f9U,     0x88cf4f48U, \
    0xba8c4159U,     0x17899f70U,     0x1ce1eeffU,     0x23eac910U, \
    0x16cd0675U,     0x1779981eU,     0x45af9827U,     0x335c21d9U, \
    0x6ba030b7U,     0x74875976U,     0x095f2bbbU,     0xeedafe66U, \
    0x596b2c74U,     0x75f5859cU,     0x73f018c5U,     0x8ae09c29U, \
    0x5895634aU,     0xd0a51601U,     0x060eceaaU,     0xd5c6a1b6U, \
    0x1ff76f8eU,     0xdf51e150U,     0x7e0e7fe4U,     0x5192b4f0U, \
    0x6894e86dU,     0x7a2df19bU,     0x396dc52eU,     0x4217b4e8U, \
    0x3d0e9eb0U,     0x2ea58482U,     0x19cca116U,     0xf318fc75U, \
    0x6c607ee4U,     0x8afaa4a3U,     0x8d1169a1U,     0x09824db2U, \
    0x68dd3b3bU,     0x77d75aebU,     0xd45acce3U,     0xb377a84dU, \
    0x6a7e78b1U,     0xe72cefaeU,     0x4a4d5d9dU,     0xbb3fb443U, \
    0x620c4fcdU,     0xff76c403U,     0x0a9074e4U,     0xdbd42fe5U, \
    0x2d2f1282U,     0x2a374fb3U,     0x2f063986U,     0xec7b88dcU, \
    0xce7ba54eU,     0xf5b42a41U,     0x086dfea5U,     0xb45cd018U, \
    0xcd755df9U,     0xec85b254U,     0xd622baadU,     0x8f989adcU, \
    0xa791e821U,     0xa900fe24U,     0x0f2de4daU,     0x79e094b2U, \
    0xa3de1bd0U,     0x33060928U,     0x817509abU,     0xe18bd610U, \
    0x62d996b3U,     0xbc8e281aU,     0xaef5114aU,     0xea422518U, \
    0x3e5e40e5U,     0x52a59c8fU,     0x6bd66a5dU,     0x5d52e065U, \
    0x957ba90dU,     0xa07a58feU,     0x2bdb6263U,     0x4e1c672fU, \
    0x29210c18U,     0xb359dbcfU,     0xda6a9f6bU,     0x745608f4U, \
    0x10e9dd31U,     0xff354cd7U,     0xe1c86369U,     0x81b0e356U, \
    0xebd57c26U,     0x015c3c56U,     0x62bb4a77U,     0xc0f94303U, \
    0x54696049U,     0xb7d92024U,     0x06cc7fd5U,     0x7d76ed38U, \
    0xa464e4c3U,     0xf4aa70c4U,     0x7019e663U,     0x628c3b33U, \
    0x2390e9fbU,     0xa47d4ec2U,     0xf9c1d2adU,     0x2092e9efU, \
    0xa871efb4U,     0xe02317dcU,     0x7110aabcU,     0x449f2260U, \
    0x5da8c953U,     0x36a3c6faU,     0x4a8b3d80U,     0xbb5e69c5U, \
    0x3cd9b1a5U,     0x0a77927fU,     0x9ab798cbU,     0x5b41a91eU, \
    0xf14b749dU,     0x91c52e01U,     0x200c8501U,     0xb4732a70U, \
    0x25754f60U,     0x2af40c7fU,     0x2cc0ccf8U,     0xc5a31b66U, \
    0x768e7316U,     0xe112fa21U,     0x82afa0b7U,     0xc259bc3aU, \
    0xd52a18fbU,     0xd78ba320U,     0xfdd5ba7aU,     0xa1af7eddU, \
    0xb6b16aa3U,     0x4d5e05c8U,     0xc433666aU,     0x46d6b858U, \
    0xad26ae3dU,     0xe6fd366bU,     0x2a7928f2U,     0xc4b3b917U, \
    0xb45f2b62U,     0xd4d9e2a5U,     0x5f5542daU,     0x561afda5U, \
    0xdec9eb50U,     0x5a5f0b7eU,     0xe65ff419U,     0xc82710ffU, \
    0x0a6b3053U,     0xf5543208U,     0x28184eafU,     0x14fa0608U, \
    0x1871b715U,     0x14310aa2U,     0xb1ede356U,     0x43b78a8aU, \
    0x672bb9caU,     0xd09da332U,     0xff1447c4U,     0xe26715a8U, \
    0xc05f08abU,     0xcd57a84aU,     0xe40ccacaU,     0x20af245cU, \
    0x064e082cU,     0x8e485ef0U,     0xbffdc235U,     0x342fbe7aU, \
    0x7ab3fab9U,     0xb1d4273aU,     0x675c29f4U,     0x5d279aedU, \
    0x06e80a30U,     0xd2bf3cf8U,     0x9ce8d432U,     0x4297f600U, \
    0xa10fe83bU,     0xd8e1f60dU,     0xb291cca1U,     0x7a35f093U, \
    0x8380ee4fU,     0x4d1c6e02U,     0xd1b9e13aU,     0xeb2aca3fU, \
    0x73da2cf8U,     0x1f153ca3U,     0xbf590958U,     0xdc6ffcdaU, \
    0xab62b146U,     0xec1366c1U,     0xe05a3687U,     0xbbc6184aU, \
    0x215bd100U,     0xf609a535U,     0xe5c80e7bU,     0x1a29eb52U, \
    0x66d6672dU,     0xb3d52b3dU,     0x27b2c274U,     0xacd11cebU, \
    0x2ce13f16U,     0xd40364fdU,     0xd44630d9U,     0x8d2e242eU, \
    0x0b43af9bU,     0x6ec7aa65U,     0xf4069339U,     0x8b22d714U, \
    0x19a88ed5U,     0x0fef4127U,     0x729a7298U,     0xc9806506U, \
    0xee28c593U,     0x963cf8bbU,     0x75a1842cU,     0x31d329adU, \
    0x9b9efe37U,     0xe762bab7U,     0x1a751ad9U,     0x107aa76fU, \
    0x8537d871U,     0x5df966e5U,     0xa076720fU,     0xf66ebca4U, \
    0xa6d7e057U,     0xec509a9cU,     0x14d4940fU,     0x72ca4f03U, \
    0xaa5b6f8cU,     0x54a1b80aU,     0x797b3417U,     0x79aa0083U, \
    0x3662a82bU,     0xbf51e5bbU,     0xd958263eU,     0x41be099eU, \
    0x2d90d840U,     0xa67e738bU,     0xfca015b4U,     0xf19c8ba8U, \
    0x59a35d65U,     0x7041be46U,     0x92dc5270U,     0x52356d62U, \
    0xda9f5c3bU,     0xc4186703U,     0x280e96f9U,     0x0c0ee82fU, \
    0x67e108aeU,     0x06fbdb37U,     0x895e40a8U,     0x76adb7e4U, \
    0x242e76b7U,     0x6ac68590U,     0x5e59b385U,     0x2791dd7aU, \
    0xfb2214cfU,     0xbf6e68baU,     0x5f259734U,     0xd6eab83eU, \
    0xabb988f2U,     0xf5d88a45U,     0x83a11f69U,     0x07584eeeU, \
    0x78c59ce8U,     0x13ed3607U,     0x3f5367e0U,     0x5119da6aU, \
    0x677db739U,     0x6086fc18U,     0x572fd8fdU,     0xd546d7d0U, \
    0x271f7cd8U,     0xdb8f1b3fU,     0xf50aa7deU,     0xc563cf76U, \
    0xc4eee4a9U,     0x94ce820fU,     0x60bc3ef3U,     0x8f0d713aU, \
    0x28bbf917U,     0xf4235d5dU,     0xdfa68366U,     0x9edaeec3U, \
    0xb7a51268U,     0x62a0fe69U,     0xfb3bf9bfU,     0x61ef2c5eU, \
    0x219a3955U,     0x9432801cU,     0x282ce6aeU,     0x6b5851fdU, \
    0x052fa6dcU,     0x35653e0eU,     0xd46c62fdU,     0x28571770U, \
    0xb3c8290fU,     0xbcca4fa8U,     0x798af584U,     0xba6c4fb7U, \
    0x678c961cU,     0x96601bd6U,     0x8c7cf0eeU,     0x82f418a5U, \
    0xbd9daef3U,     0xb2667016U,     0xe10ac2b3U,     0x51e24868U, \
    0xf93dc799U,     0x482e578eU,     0xd7e5e2e3U,     0x3878edf1U, \
    0x97c38d71U,     0x9d98806fU,     0xec1b6ac9U,     0x94773480U, \
    0x21afb9bcU,     0x0e56fa3cU,     0xb199e254U,     0x6b2d7ab6U, \
    0x9c5c65f5U,     0x7559a78aU,     0x165837ddU,     0x6865de1bU, \
    0x477f1787U,     0x834d078aU,     0x87f6658bU,     0xae3edea9U, \
    0x2f51e34fU,     0x6c18efddU,     0x17528bfeU,     0x175cb727U, \
    0x20d38aefU,     0x88c2a0d3U,     0xac8d36c9U,     0xb3919243U, \
    0xb4463ee0U,     0x500b317cU,     0xffd60feeU,     0x1b9a045cU, \
    0x58893cc0U,     0xb026085eU,     0x3aa7480cU,     0xcb20ab70U, \
    0x32c1c69cU,     0x85f276b9U,     0x323eb5fdU,     0xde96d846U, \
    0xc5e58105U,     0xf06c4532U,     0x0492d3cbU,     0x12051874U, \
    0xba0532cdU,     0xedd568f9U,     0x6ee1dfd9U,     0x07d09e68U, \
    0x51495493U,     0x70e0c812U,     0x230ccc87U,     0xd63f4c57U, \
    0x31f61efbU,     0x6f455ceeU,     0x4a00c408U,     0xbf2d9304U, \
    0x373ba812U,     0x130357f8U,     0x1ba30190U,     0xdf2eb342U, \
    0xf0cae64fU,     0xcd47ec37U,     0xc8a39cb9U,     0xd828b052U, \
    0xcf71411eU,     0x43a3ecfdU,     0xb0f12f00U,     0x386ee56bU, \
    0xf2545d6fU,     0x824250f9U,     0xe90dbff9U,     0xe3fd494cU, \
    0xa57105aeU,     0x03779823U,     0x010ca4ccU,     0x148c5f55U, \
    0x9eb17164U,     0x749de376U,     0x83ebedb3U,     0x72f3bdf5U, \
    0xefa1e322U,     0xafc94d5bU,     0x8d41b7f1U,     0x526301d0U, \
    0xa91bc1b7U,     0x2ef5b39eU,     0x5558f512U,     0x439c9ad6U, \
    0x017e127dU,     0xabab817cU,     0x43e8addeU,     0xf584a56bU, \
    0x20ae2987U,     0x651e0f83U,     0x2fa749e1U,     0xd1562f58U, \
    0x6be34492U,     0x5b447c2dU,     0x0fa66b08U,     0x7c8bfc39U, \
    0x23e330faU,     0xfb99ce2aU,     0x54d50362U,     0x6696cd22U, \
    0xe63cfd24U,     0x2d807795U,     0x662855caU,     0x9eecb47bU, \
    0xc896b557U,     0x84d8b03dU,     0x29ed51cdU,     0xb01d3812U, \
    0x187b84cdU,     0xfa18fcacU,     0x3d157b99U,     0x12bd8695U, \
    0x2c0b2e81U,     0xb2eabed6U,     0x9068fdb2U,     0xc26d1786U, \
    0xb291c9c9U,     0x3e8de13cU,     0xb7c088a0U,     0x89dd503bU, \
    0x80049b8aU,     0x196bb385U,     0xa6203dd5U,     0xd9fbc9c5U, \
    0xf98c1220U,     0x5c180140U,     0x2917bbf5U,     0x68c899d3U, \
    0xf34008e3U,     0x2db7b80eU,     0x49117086U,     0x4da46aeeU, \
    0x2f9c7600U,     0xb7587208U,     0xfa77a3f1U,     0x6137ed30U, \
    0xa399e87eU,     0x229fbcd3U,     0xfd1ac134U,     0xf577f56bU, \
    0x2d0e5f09U,     0xfbcad837U,     0xabd50840U,     0x2f354983U, \
    0xd30768abU,     0xf5de91a7U,     0xa5345edfU,     0xf4d1e61aU, \
    0xbc08ee8bU,     0x0af220f1U,     0xa0350271U,     0x994ac2aaU, \
    0x5e3b6cdfU,     0xd4024350U,     0x9ab499ebU,     0xf155ab9dU, \
    0x5e1bbf57U,     0x82bcfbd5U,     0xf721f629U,     0x23d8d880U, \
    0x1b942194U,     0x083b47b9U,     0xa275f2c6U,     0xbd7c7f50U, \
    0xed7e596aU,     0x1883dcd6U,     0x4d79c25eU,     0xefb1034aU, \
    0xbd5c654bU,     0x1240e891U,     0xcab83bc7U,     0x89a36faeU, \
    0x1fda3951U,     0x39be5b1fU,     0x19950da8U,     0x33b27702U, \
    0x9e6953b3U,     0xe5bdc0a6U,     0x7c7684c0U,     0x071ea299U, \
    0x43c72e52U,     0x94361ba2U,     0x56008225U,     0xf010fb3eU, \
    0x3b4e7521U,     0xc46b8fbfU,     0x159ff69dU,     0xab5492c7U, \
    0xea7ecc59U,     0x07c160dbU,     0xa46aca6dU,     0x76cf9e8dU, \
    0xee0ac397U,     0xcef1772aU,     0x01d1ae49U,     0x7cfb0250U, \
    0x33a30d49U,     0x3d2281e8U,     0xc2484b96U,     0xdb4c9ce1U, \
    0xd56b2a36U,     0x954b0a46U,     0xe51007d4U,     0xc737e821U, \
    0x78dab8dfU,     0xb0f1392dU,     0x1919b93dU,     0x9ab44e6eU, \
    0xb48f0e9aU,     0x1159bd7bU,     0x577277c2U,     0xd07f8d7fU, \
    0x80db01e6U,     0x3bd49a47U,     0xe9682a71U,     0x9d5e3be2U, \
    0xf27504a8U,     0x2fb32e62U,     0x00ed8452U,     0x9c6ad8feU, \
    0x27a24654U,     0x33183a5bU,     0xa6c9acf5U,     0xf2d736b0U, \
    0xb004d506U,     0x24c85dd2U,     0x5a61eeb2U,     0x02c2379dU, \
    0x5da0e917U,     0xb9158b4dU,     0x80fe9e4bU,     0xdff1681aU, \
    0x35f20f8aU,     0xad1e6663U,     0xafc66b2fU,     0x6bb1d0d3U, \
    0xb955ee16U,     0x94c80cf8U,     0x23c628baU,     0x63f7f2a8U, \
    0x26260c0fU,     0xc81703d5U,     0x25762b57U,     0x4884e460U, \
    0x50a56074U,     0xee92886cU,     0x779f6190U,     0x52d98977U, \
    0xd4eaa95cU,     0x5e287e1aU,     0x25840a89U,     0x9f64bd1eU, \
    0x4de2596bU,     0x615aa537U,     0xc77a23a2U,     0x93ce401dU, \
    0x7fae6e4fU,     0xec67ffbcU,     0xc1f725d3U,     0xd66a1a13U, \
    0x9e3d9614U,     0x54682507U,     0xfebc160dU,     0x3c1f1224U, \
    0x2bb7cd11U,     0x166635a3U,     0x2d384bebU,     0xc69ba0f4U, \
    0xbd2423ceU,     0xf5d8fa3aU,     0xe6fa158fU,     0x3645f231U, \
    0x09550d73U,     0xe4d4e97bU,     0x7dc2388aU,     0x52770e3bU, \
    0xdb84688aU,     0x6040c3aaU,     0x72feee2eU,     0x2af156dbU, \
    0x9fe09c20U,     0x3e5fa98dU,     0x4c437c2aU,     0xfbb6ff66U, \
    0x7724d908U,     0xd1d5ca25U,     0xba82d4ecU,     0xf1fde6f5U, \
    0xba53dc04U,     0xba46e9c4U,     0x88242179U,     0xc4e7d02dU, \
    0x17f21fd7U,     0x4af830beU,     0xd0760b00U,     0x5b2d30ceU, \
    0x41cef339U,     0x03ca84fcU,     0x8aa3270bU,     0x00908192U, \
    0x179115d5U,     0xc19338b0U,     0x5d5fee78U,     0x92885407U, \
    0x8b596817U,     0x22facaadU,     0x02037b7dU,     0x150d2bb0U, \
    0x7e09fdc4U,     0x8135d27cU,     0x136651dfU,     0x4bbbd7c2U, \
    0x9a0d0429U,     0x2b272d6dU,     0x76a9981dU,     0x575311c6U, \
    0x4cd543cfU,     0x73196a5eU,     0x2c30cf9eU,     0x6e7ec102U, \
    0x0566d13aU,     0x28b965eeU,     0x9b1982acU,     0x0a0156b4U, \
    0x6980e352U,     0x139e7434U,     0xc8eebd2cU,     0x93f4f9beU, \
    0x54e7f631U,     0x11039e95U,     0x22c22501U,     0xa9012a30U, \
    0x7e223a4fU,     0xbd100a28U,     0xd995884fU,     0xad7704e8U, \
    0x0de4074cU,     0x2b4a407dU,     0x981ed704U,     0x1d285b33U, \
    0x83a78244U,     0x4889c1ebU,     0xbc9c835fU,     0xff1bdc82U, \
    0x74b050d6U,     0xfd19a74dU,     0x02205adeU,     0x600e7f33U, \
    0x2f0ca66fU,     0x12d60ba6U,     0x5f564512U,     0xb547dac9U, \
    0xd72ef383U,     0x22a2eb89U,     0x0dbccc02U,     0x64af3ab7U, \
    0x11c14114U,     0xd1106270U,     0x211adbf7U,     0xae02ab61U, \
    0x00a7530bU,     0xf97671dbU,     0xe1552482U,     0x33708d36U, \
    0x3d6546d5U,     0x69ff7e72U,     0x923cb8a1U,     0x7c07e413U, \
    0x8f6a6685U,     0x733fe446U,     0x89f1495fU,     0xcd1c761cU, \
    0xb1b48d04U,     0xbf1cfe14U,     0x41f5d46fU,     0xf04a2fb5U, \
    0xf571f006U,     0x242800f3U,     0x278700ddU,     0x820884acU, \
    0x43b8bc37U,     0xe8dc4c11U,     0x984fda72U,     0xfdead171U, \
    0xae62350bU,     0x70c13c50U,     0xd140338eU,     0xa7267a2eU, \
    0xbf286fadU,     0xb2c618a1U,     0x189f9d3eU,     0xd876c01cU, \
    0x052c91a1U,     0x2025fe5aU,     0xd4683e40U,     0x8bed2863U, \
    0x3d75088eU,     0x8d8d32b7U,     0x01deedeeU,     0x37d55731U, \
    0xd9dec949U,     0xb79639b9U,     0x57dcf583U,     0x925cbc7bU, \
    0x67c63e50U,     0x0a36f78cU,     0x1d4aae79U,     0xa65b2b21U, \
    0x32e571f7U,     0xcf6c2e46U,     0x09d18815U,     0x789126eaU, \
    0x419389f8U,     0xa4eb6c09U,     0xfc04e0f3U,     0x8f3fb01dU, \
    0x4680c30bU,     0x46a55969U,     0x715ef664U,     0xc48efcc0U, \
    0x69edbf4fU,     0x05e1d6e8U,     0xa5418f5aU,     0x58207662U, \
    0xdf1f1971U,     0xade0c1edU,     0xf026f06cU,     0xeb765b9dU, \
    0xcb2e27baU,     0xc036c340U,     0xb629d09dU,     0xa94c038fU, \
    0x4aaf8c33U,     0x99004082U,     0xb37b4558U,     0xff28db54U, \
    0x01f5a7f2U,     0x13176cbcU,     0x9a8c0170U,     0x1936baedU, \
    0x8e5a2278U,     0x255bbff5U,     0x63f2419eU,     0xaebd9169U, \
    0x86005898U,     0x412c4768U,     0x2bef4317U,     0x7cf4f7caU, \
    0x208cd22cU,     0xd1367205U,     0x56a5cc80U,     0xf13648c4U, \
    0x2e84a1edU,     0x08d98fcaU,     0x98de12f5U,     0xe0325fc0U, \
    0xf94e7e96U,     0x110ebc27U,     0xcc6eafa0U,     0x0832bbdcU, \
    0xa335931fU,     0x63a5b4e7U,     0x92967643U,     0xaa2fca99U, \
    0xc2ea75bfU,     0x15f99774U,     0xf27120abU,     0xa3df1ba7U, \
    0xff48633fU,     0x79f68c5dU,     0xd62a6fabU,     0x6d94cf4cU, \
    0xf8d278f5U,     0x56170cb0U,     0x978f65f3U,     0xae46403dU, \
    0x91d863dbU,     0x2444db64U,     0xd540907aU,     0x4a028fbfU, \
    0x219542feU,     0x3d0db121U,     0x96fb178aU,     0x426231bbU, \
    0x368b5381U,     0x50dd3107U,     0x41acaeecU,     0xd55f11a1U, \
    0xb591d19cU,     0x4a7d9eadU,     0x8cc32228U,     0x03b585ccU, \
    0x9d343adaU,     0x88eacc3eU,     0x5a18cc33U,     0x50948cb0U, \
    0x1d0ba7f4U,     0x60ffeb96U,     0x0ed25683U,     0xca83edabU, \
    0xc5691f86U,     0xf10e6344U,     0xf2f69476U,     0x4f110973U, \
    0xb861c0b2U,     0x18ce9480U,     0x327d36ebU,     0x5e73621bU, \
    0x5f8dcd2dU,     0x0dde8d43U,     0x439492b1U,     0xfe3a21e4U, \
    0xf2e896e9U,     0x1c383390U,     0xa8d535c9U,     0x35d58cacU, \
    0x61874e3cU,     0x5656d02aU,     0x183c73fcU,     0x7d95da1fU, \
    0xc25cef63U,     0x676a5b40U,     0xc6d6e318U,     0x7c837f31U, \
    0x37407392U,     0xebdff248U,     0x6266d13eU,     0x36b9e608U, \
    0x67689901U,     0x07cbc1b5U,     0xc3e512f4U,     0xb87d1a6dU, \
    0x8ae82383U,     0xc462e5baU,     0x85c20458U,     0x9e0aa9dbU, \
    0x1083ccf2U,     0x600d32baU,     0x3b90cf09U,     0x56828083U, \
    0x06168ad3U,     0x8bd4fc70U,     0x7ba6dc9cU,     0x7c3413ddU, \
    0xe47c4becU,     0x91e072e6U,     0x643593ebU,     0xf7ffbb68U, \
    0x683e059aU,     0xce67a177U,     0xb646a353U,     0x76d116e2U, \
    0x411dee8dU,     0xb39ab776U,     0x7c4f86a9U,     0x81e0b1daU, \
    0x3735a82dU,     0x3db6d788U,     0x2ef5e23cU,     0x47960878U, \
    0x9a3bfcf1U,     0x95b99f05U,     0xd9bf3b43U,     0x9150ed29U, \
    0x9ce807aaU,     0x1d689a34U,     0xfaf56c30U,     0x72f66e62U, \
    0xfc2fff87U,     0x4b217571U,     0x94625fd5U,     0xa490d1d0U, \
    0x386262c8U,     0x498ce9e5U,     0xfafe39a5U,     0xd4f322c8U, \
    0x72644b03U,     0xd299c610U,     0xba433106U,     0x8dca9c5aU, \
    0xfdcbc42fU,     0x787fa3a6U,     0x0152b2c6U,     0xcd154e01U, \
    0x3db1fe13U,     0x1297b36dU,     0x690143a9U,     0xa0d28304U, \
    0xc7464e76U,     0x0a5718ebU,     0xed485255U,     0x7c373b08U, \
    0x3e6580d2U,     0xc1088867U,     0xca675f87U,     0x78c6dfd3U, \
    0x34a647d0U,     0x985d7f77U,     0x7cba0f43U,     0x0589872fU, \
    0x51095e42U,     0xe303b368U,     0x9dfee872U,     0xec4e1e73U, \
    0x85bc7445U,     0xb452e870U,     0x9f5e57bdU,     0xeab147ffU, \
    0xbd9dd67cU,     0x0a69de92U,     0xb33fed1fU,     0x20ab9f32U, \
    0x2751078cU,     0x7917ba74U,     0x75b5457aU,     0x6acc6f1eU, \
    0x24d01fa9U,     0x246d6de6U,     0x067f147cU,     0x8f289b96U, \
    0xcd3f3b3aU,     0x317af08eU,     0xb7704f02U,     0x3de1059eU, \
    0x769c3f7eU,     0xa28acd7eU,     0xc484236dU,     0x2d72ae1bU, \
    0xd5634c08U,     0xeccb48fdU,     0xea4755e4U,     0xce03fb49U, \
    0xc988efd4U,     0xac635e81U,     0x585d56dcU,     0x9d21160aU, \
    0xa2ee378bU,     0x52138929U,     0x106a80d4U,     0xb4a76072U, \
    0x9c29be5aU,     0x57b23660U,     0x6166d512U,     0x7fc4b643U, \
    0x1aea3e80U,     0xc68f64e6U,     0x4a61f3efU,     0x4c3e6e2aU, \
    0x8edd6955U,     0x6e9b84a2U,     0x89e89a79U,     0xb1d60b26U, \
    0x5336d602U,     0xc1d2eac7U,     0x274f8d4fU,     0x4ace0ea9U, \
    0x6b692bafU,     0x39bd2033U,     0x0870942fU,     0x2fd1801bU, \
    0xb7f9de18U,     0x443360b3U,     0x95a533b9U,     0xddd58ca9U, \
    0xf1a0f90aU,     0xa1d55949U,     0x05fba0b1U,     0x9ca46090U, \
    0x0c4b3fd8U,     0x229cf731U,     0x44d1ae1dU,     0xdd8bda1dU, \
    0x893f4865U,     0xfc5b8c9eU,     0x91df5bfdU,     0x13438816U, \
    0xe1662ad8U,     0xd924df55U,     0x69e8eb5bU,     0xb186d2c1U, \
    0x37cf88d6U,     0xfea983c1U,     0x5cd85b25U,     0x9b84ae04U, \
    0x34e32a8eU,     0xeea27647U,     0x58e99facU,     0x41713cd8U, \
    0x8547e297U,     0xf035ddf0U,     0x5dd265d0U,     0xc0cec73aU, \
    0x3d28d118U,     0xdda1d93aU,     0x19865256U,     0x9251fc00U, \
    0x7cb34579U,     0xd6649cccU,     0xf1bf2cc0U,     0x8eb7a87eU, \
    0xc17c881dU,     0xda5ec37bU,     0x27ae821aU,     0x2b0fd0daU, \
    0x85f67469U,     0xce290767U,     0x2183ce78U,     0x31302a8aU, \
    0x7e4bc93dU,     0xdb49b10fU,     0x57a50ddeU,     0x8e2696a9U, \
    0x1681cf18U,     0x553513d0U,     0x44a4029fU,     0xf1fa4040U, \
    0x2da370abU,     0xa1af55a1U,     0x514117b8U,     0x2778d6ccU, \
    0x2ee3b19fU,     0x1a4bf3eaU,     0xb8fa8c75U,     0x737eec32U, \
    0x5ba2cfb2U,     0x6fe315e9U,     0xae558e62U,     0x3ed6e0a7U, \
    0x49c8e3f8U,     0x0ab3082aU,     0x65f7e7baU,     0xb9bbb590U, \
    0xe33bda20U,     0x5412d768U,     0x5a44bf62U,     0x405c071fU, \
    0x4bcdb3c1U,     0xd2cb68e9U,     0x4923ea41U,     0x33ed94feU, \
    0x1f0d3872U,     0x136d1f2eU,     0xd77443afU,     0xff16accfU, \
    0xb92ca2efU,     0x4289a1e2U,     0xac0047c0U,     0xcf3033fbU, \
    0x98bc2791U,     0xda866dfeU,     0x7abe598aU,     0xffe4bac6U, \
    0xcaec8a21U,     0xc516811eU,     0xfdf14470U,     0x7f8fa280U, \
    0xd4973acfU,     0x181d018bU,     0xdeb846efU,     0xdc27b5dcU, \
    0x30b84948U,     0xf2e212c9U,     0x0759cd4dU,     0xcce4a388U, \
    0xe36a92bdU,     0x7a0b49ceU,     0x9bdf2fd9U,     0x407cd927U, \
    0x703316f1U,     0x76314247U,     0xb439591eU,     0xbac96c3aU, \
    0xb4e7b47dU,     0x54bb9d83U,     0xc5601de3U,     0x6ac2dba1U, \
    0x1333ae8eU,     0x320b69dbU,     0x73db4a8cU,     0x0e8e38fcU, \
    0x097e2946U,     0x1af48db8U,     0x1c8d5c48U,     0xfbfc83b8U, \
    0x21985360U,     0xa4e05249U,     0x4fbd4d41U,     0x8ce6b757U, \
    0x9e942ee7U,     0xc731f5f4U,     0xf091c454U,     0x7277418aU, \
    0x13c0627cU,     0xe8269756U,     0x3b435fabU,     0xc05a723aU, \
    0xed8f0696U,     0x81813798U,     0x2633dd1aU,     0x811433eeU, \
    0xfd425c6aU,     0x47642345U,     0x465a8e8eU,     0x337c26bbU, \
    0xf513776fU,     0x7972d5d3U,     0xf2c088d2U,     0x9d4ac5b6U, \
    0x296dd2fbU,     0x711060cfU,     0xaf72a2a8U,     0x34669e1cU, \
    0x90ddc731U,     0x162898b7U,     0x558d09b7U,     0x90671becU, \
    0x2901ae61U,     0x87ff37a7U,     0x876d83b6U,     0xc29725bbU, \
    0xfa6c7c7fU,     0x23d9db5dU,     0xf6fcb7b2U,     0xf775cf72U, \
    0x984cd9f2U,     0xfd21ed7aU,     0x4e83935eU,     0xb9343d84U, \
    0xf4191adaU,     0xdc159f0aU,     0xd3f6c87fU,     0x0cc16e13U, \
    0x3211d027U,     0xeb505232U,     0x6bcd74a6U,     0xdf98f7c3U, \
    0x967227e3U,     0xe7332959U,     0x889dae3bU,     0x7e68105dU, \
    0x665e6de7U,     0xaf063b1aU,     0x4bed96feU,     0x1b56e61aU, \
    0x892f97d8U,     0x81e0dd0aU,     0xf34c9977U,     0x82f3527aU, \
    0x38120a29U,     0x00c0d6cfU,     0x4ae00084U,     0x03909a6dU, \
    0xd5623d2eU,     0x574af00eU,     0x3bc77248U,     0xeda227baU, \
    0xceac1f79U,     0x38b8d2c5U,     0x22877212U,     0x1f4cfb32U, \
    0xa9b0b98aU,     0x42c69f26U,     0xf28b4274U,     0xfcd9bbacU, \
    0xce2bd40fU,     0x916cb430U,     0xb1775199U,     0x689aadaeU, \
    0x6e819682U,     0x31ecc594U,     0x7578e0a1U,     0x399c95c2U, \
    0x747b7587U,     0xbf2675bbU,     0x3d6907a1U,     0xf3dd4d18U, \
    0xc00e3003U,     0x4b1df856U,     0x5e4a8677U,     0xf8df262bU, \
    0xe4dbd818U,     0xfb82d9e1U,     0x6a471ceaU,     0x8435a39dU, \
    0xc28655baU,     0x4f360150U,     0xcd26a5d0U,     0x2b00545eU, \
    0x7f5c7ab3U,     0x316b1503U,     0xffa5e30fU,     0xa6c552c7U, \
    0x44a00388U,     0x354fb0e9U,     0x5a9957aeU,     0x08e1153eU, \
    0xde576cc2U,     0x28b45517U,     0xf5893ea5U,     0xf8811a20U, \
    0x37ad21e1U,     0xf38df8e2U,     0x5a9d0b74U,     0x96ae32e8U, \
    0x96c005d4U,     0x3df3e158U,     0x1d447fd6U,     0xb298a934U, \
    0xe3069354U,     0x3ec99c2bU,     0xf147f726U,     0x48c6c838U, \
    0x09754bd4U,     0xcb8d7752U,     0xefe96628U,     0xa598dd5fU, \
    0x3841ddebU,     0x73e9596eU,     0x8192bbc0U,     0x1077b798U, \
    0xa106a20eU,     0x2146bf0aU,     0x1557f36cU,     0x2200d6b9U, \
    0xcf818297U,     0x26e43a60U,     0xaaca38e1U,     0x9a845a0cU, \
    0x3c9ec9dfU,     0xd104ddf7U,     0xf62afc4bU,     0x6b02c39aU, \
    0xf8c504b0U,     0xb19e18feU,     0x45a356c7U,     0x3fd8b4b8U, \
    0xeb70e573U,     0x67d04784U,     0x24f862cbU,     0xaefe0d2eU, \
    0xfe1f6173U,     0x6e2af230U,     0x6d0782fbU,     0x108dd7a5U, \
    0xc8348203U,     0xa2fd0dc7U,     0xdec82b97U,     0xa7c5e771U, \
    0x0a440ab8U,     0x258c8c01U,     0x6a8bac46U,     0x501819e1U, \
    0x2c5097caU,     0x4691f9e3U,     0xbfb5bd7aU,     0x2aa6186bU, \
    0xa5a16494U,     0x255e55b4U,     0x5c17a459U,     0xc4d18ad3U, \
    0xab9615bbU,     0x12c5420cU,     0x724d6d95U,     0xa9bbd672U, \
    0x434944c0U,     0xc82b40ffU,     0x63458383U,     0xd0d10220U, \
    0x15be4549U,     0xd97bb67eU,     0x2d3cbda7U,     0x484e38dcU, \
    0x0cebebb0U,     0x37c79014U,     0xcbba8f42U,     0xad3f5993U, \
    0x52aadb91U,     0x274eb3c8U,     0x58a7b442U,     0x0b5a3eb1U, \
    0xabb50963U,     0xf4ec0e9dU,     0x160a142fU,     0xa18a4033U, \
    0x2a7d5a90U,     0x17e736afU,     0x56fe1180U,     0xbb31b165U, \
    0x543c478cU,     0x6d898573U,     0x16dac456U,     0xcf38023fU, \
    0x5556c8a8U,     0xee4c32cfU,     0x019c90dfU,     0x205f7fe8U, \
    0x22ffe64fU,     0x6d451076U,     0x041673e2U,     0x8eb6be0dU, \
    0xb404a86dU,     0x77e43affU,     0x6611c12eU,     0x734292f2U, \
    0xe4dfd482U,     0x4f6a8070U,     0x8868a02dU,     0x8b219443U, \
    0xc44efba6U,     0xa6c1c7d7U,     0x98b41ba3U,     0x0b233584U, \
    0xd0557022U,     0x5555be07U,     0x41403a44U,     0x097b6e84U, \
    0xe27b21d5U,     0xb9e3c470U,     0x58dcfca9U,     0xcbcae83dU, \
    0x6bda1690U,     0xe1c4324dU,     0x0e065e60U,     0x2f6cf97cU, \
    0xbdb256cfU,     0xd149b78bU,     0x7f31b2f6U,     0x2ef1973dU, \
    0x30f666ddU,     0xb9281e24U,     0x79136fa7U,     0x508b3264U, \
    0xa4e5e6adU,     0xc56c27f9U,     0x4dcfc2c3U,     0xa97c6d4eU, \
    0x16eccd31U,     0xd83da55eU,     0xc2ea01dcU,     0x04dbe794U, \
    0x85ce4f77U,     0x8425a9eeU,     0x462b50bdU,     0x840d1fe3U, \
    0xdd2921e9U,     0x45384f34U,     0x8df54905U,     0x816b964eU, \
    0xb46d3824U,     0xf54a4fc3U,     0x6f566975U,     0x341e44adU, \
    0xd101ea50U,     0x0baa535cU,     0x9483f03bU,     0x94d70ec8U, \
    0x7cdcfadbU,     0x11a8a49fU,     0x3717fdfdU,     0x0df4a2d8U, \
    0xd2ca9265U,     0xcdd8397eU,     0xc50651bbU,     0x7555297bU, \
    0x7c1b8313U,     0xac1cb4fcU,     0x6c848f5cU,     0x24ebf86dU, \
    0xd669baa0U,     0xdd8be9fcU,     0xc3dc4219U,     0x7176c20bU, \
    0xedb3dfb3U,     0xb3642d55U,     0x61377049U,     0x8d3e680cU, \
    0x71fdf7eeU,     0x6806f9e6U,     0x10544ca6U,     0x2d46f792U, \
    0x8a9ae3e7U,     0x3f79872eU,     0x6dd59c0eU,     0x65c94a02U, \
    0xaea69250U,     0x6170919aU,     0x7784824eU,     0xfff25061U, \
    0x88d51d94U,     0x4aa9ed34U,     0xc687dfd2U,     0xfc5f489eU, \
    0xb00eadd0U,     0x166221b6U,     0x5b936775U,     0x039a370aU, \
    0x9137e887U,     0xf7fdfd9eU,     0x8fb667d8U,     0xb87180bbU, \
    0xa339f2dbU,     0xc3055ebcU,     0xa8731f38U,     0xd5033f1eU, \
    0xa4e4f29eU,     0xf3c4d62bU,     0x6e65dbeaU,     0x4ac42063U, \
    0x9e5348abU,     0xfdfafcb4U,     0xb83b9893U,     0x1131bc2cU, \
    0xe9c0b796U,     0x4ea7d4b3U,     0x6b18a240U,     0x359505d7U, \
    0x53dad2e8U,     0xc94c0ba9U,     0xe0368121U,     0x19750536U, \
    0x44d80756U,     0x47b1bf86U,     0x636e4dcaU,     0xe5266c90U, \
    0x2a1c6d73U,     0x71199ba5U,     0xa9544f2cU,     0xa0353d4aU, \
    0xb5a0252fU,     0x37f97913U,     0x06f117e4U,     0xebf28402U, \
    0x56c54466U,     0xfbb093c1U,     0xa5ff483fU,     0xc2c890e6U, \
    0xa563a95fU,     0x38204a84U,     0x381e2f6aU,     0xdc0f26c9U, \
    0x1c3fdc07U,     0x90601d62U,     0x8c897d2fU,     0x2c1626c4U, \
    0x3e3f9000U,     0x3ac35237U,     0x7211d2d7U,     0x08e969e7U, \
    0x50f10f07U,     0xb6d6e533U,     0x91e7686cU,     0x68bcbb5eU, \
    0x41819176U,     0x29c76012U,     0x79c7c2f3U,     0x55b6a401U, \
    0x92e81aceU,     0xafac22deU,     0x49c697a4U,     0x8113c356U, \
    0x53b51dd9U,     0x26a8b086U,     0x2b506dc4U,     0x9273cb96U, \
    0x644f710cU,     0x836fc658U,     0x4548723bU,     0x3b7673fdU, \
    0x25f1e761U,     0x8d67e4a4U,     0x09773a46U,     0x54132fc9U, \
    0x16959996U,     0x72ec2639U,     0xc52073edU,     0x65c5d825U, \
    0xff5b1f11U,     0x27c99e49U,     0x7a815614U,     0x8db3453aU, \
    0x6ebd0a1eU,     0x8ebe6d94U,     0x908b850fU,     0xb19d7d11U, \
    0xf630b63bU,     0xba2414e9U,     0xd9c09d09U,     0xfd4d216eU, \
    0x764140b4U,     0x3f8137bfU,     0x9b874743U,     0xad7b7660U, \
    0x5903e82aU,     0xbe2c79abU,     0x0aa696b1U,     0x633ae5caU, \
    0xcbe010bfU,     0x57aaa08fU,     0xf15e8b74U,     0x62c29e4eU, \
    0xea15dbe1U,     0xfac13194U,     0x72913e31U,     0x88ff5e1fU, \
    0xe02a9360U,     0xbdf56629U,     0x30cbd97cU,     0xb7a97e12U, \
    0xb425b1adU,     0x255d3a3fU,     0xf6ee413fU,     0x892ab6a9U, \
    0x368d4705U,     0x4bbaadf8U,     0x1a0c802fU,     0x699a62f9U, \
    0xb7324f7dU,     0x72342d2dU,     0xe0540cd6U,     0x86fdde32U, \
    0xb4d5e062U,     0x17ae62bfU,     0x3f152bf3U,     0x57dd4e7dU, \
    0x6e04efbbU,     0xcfbb7cc9U,     0xf6327e0fU,     0x1c4e6266U, \
    0xd4c8d71dU,     0x940f2d5eU,     0x668031c7U,     0x4dd4cf7cU, \
    0xe794e5a0U,     0x3951f766U,     0x03cc3936U,     0x56cc9287U, \
    0xe864db72U,     0x8ff2da1bU,     0x6fd42980U,     0xc6e0dc3aU, \
    0x1e48b182U,     0xdc1f6399U,     0xbcfb1da3U,     0x31216283U, \
    0xe83c2590U,     0xdc09a644U,     0x5be1771bU,     0x46199f54U, \
    0xa3411431U,     0xbe891230U,     0x4eb6f2f4U,     0x8c0ed394U, \
    0x8b4f388eU,     0xcf203793U,     0x58c7de37U,     0xc90b754cU, \
    0x7f576780U,     0xa133dadaU,     0x335c9277U,     0xb35c8fd8U, \
    0x8a1060b0U,     0x8854ea5eU,     0xcaaf8f7eU,     0x4603c2e9U, \
    0xf6f99bcdU,     0xcb7639cfU,     0xa6141f59U,     0xc55a010bU, \
    0xeba02fe5U,     0xb018c132U,     0x2809cc1eU,     0x6f81f695U, \
    0xe003d8fdU,     0x9794d6bcU,     0xaba60e08U,     0x03685758U, \
    0x6503c858U,     0x5a7e9d11U,     0x57a29b22U,     0x3bc8fd5fU, \
    0x70f195a2U,     0xb3b47cf4U,     0x4fd519b8U,     0xce229a91U, \
    0xbc60148bU,     0x3bcdb3feU,     0xc3008817U,     0x4f630b93U, \
    0x4580f4aeU,     0x0ff476a2U,     0x23ffd314U,     0x3992c2b4U, \
    0xef07a3dcU,     0x9347bed4U,     0x774e21ccU,     0x1c92443bU, \
    0x416af045U,     0xd2acc369U,     0x24b80353U,     0x7aaf10a2U, \
    0xb3e5ff7cU,     0xd974332dU,     0x449ec922U,     0xd8c63151U, \
    0xce8eec50U,     0x983a7e95U,     0x191e9aaaU,     0x0817f973U, \
    0x711aae36U,     0x486ed9b2U,     0x00ebac15U,     0xcd55fcf3U, \
    0x22d6c7a3U,     0x970ee6edU,     0x5b4db4d9U,     0xf4803f23U, \
    0x617ae0d3U,     0xc683005bU,     0xfaa9a2caU,     0x56a041e2U, \
    0xb36bd4afU,     0xec1494efU,     0xda96e0d0U,     0xbdf33c76U, \
    0x647a1366U,     0x6718d4c6U,     0x517a050cU,     0x6410a1cfU, \
    0x60d95227U,     0xe11e1d26U,     0xe8463ce1U,     0x6e0b4100U, \
    0x9be4f958U,     0x6a5668beU,     0xf7f12ea1U,     0xfd5ba511U, \
    0xf755385dU,     0xd3ea121eU,     0xd3ba38deU,     0x927cc2d3U, \
    0xe6451574U,     0x4da0356fU,     0x0f8e1ff7U,     0xe8061f74U, \
    0xd33c6174U,     0xbfac99fcU,     0x595ca9e5U,     0xa6bc9d09U, \
    0x7ce30147U,     0x62474b1dU,     0xf1e3acc0U,     0xfc6bd421U, \
    0x434b41b0U,     0xb014fae1U,     0xd39991a1U,     0x6ace2e6eU, \
    0x90964167U,     0x552b3444U,     0xb0f22c11U,     0xf0a97179U, \
    0xb99a318cU,     0x247210bcU,     0x830d7e82U,     0xd15b8caeU, \
    0xd75409abU,     0x7902bfd4U,     0x0b75db49U,     0x287c908dU, \
    0xc2b6af80U,     0x99a5d3f3U,     0x9f21dfa2U,     0xa8735a19U, \
    0x22adeac7U,     0xc17166a1U,     0xe2be31b1U,     0xa0438d41U, \
    0x1bff00c9U,     0xe488fc6dU,     0x52106ff8U,     0x5ee2b585U, \
    0xeeab5ea1U,     0xef0a51e5U,     0xfb049674U,     0x2adbd347U, \
    0x28e9a96fU,     0x0dfc7e71U,     0x8c3531c6U,     0x3b66ad5aU, \
    0x0123c004U,     0x9ca24cb1U,     0xc23ddbf3U,     0xb581d8c1U, \
    0xa6065395U,     0x3f48a22eU,     0x538c8e79U,     0x45b4481bU, \
    0xdc423b30U,     0x82445eaeU,     0x862469c3U,     0xbc9fab04U, \
    0xb96f055dU,     0xc615a3b4U,     0xbbc8dbdcU,     0x6ef363a9U, \
    0x5e4e4c19U,     0x7623c7dcU,     0x79d332d2U,     0xf0a0c286U, \
    0xd4ad8d49U,     0xc54b67dbU,     0xd58408e5U,     0x990d2f62U, \
    0x799d430bU,     0x09167f20U,     0x9e4812b2U,     0xd22f02a3U, \
    0x7a8eb0adU,     0xd23dc3e9U,     0xb276a5e0U,     0x39a718a9U, \
    0xb33d1356U,     0x1644da2dU,     0xb82e90a5U,     0x5c9ca043U, \
    0x29bbb7f3U,     0x1bec5798U,     0x8318cef0U,     0xd48c8ccdU, \
    0xc537bb8fU,     0xcabc24e3U,     0xa70eb54dU,     0x408942d7U, \
    0xbb60a38aU,     0xbc60a644U,     0xaddef2a5U,     0x9eaf9ed7U, \
    0x7842c784U,     0xb559adc7U,     0xb008e7b0U,     0xeba6e311U, \
    0x6354d88cU,     0x8730361fU,     0xb76ee125U,     0x838a8870U, \
    0x138c63a3U,     0xbea4143cU,     0xf930bbb3U,     0x549768ecU, \
    0xfb6253eeU,     0x65290827U,     0xc34bda7dU,     0xf606667bU, \
    0xc7a85465U,     0x23dd865cU,     0xb3c5670aU,     0x22ad7417U, \
    0x9746b6e9U,     0xa899011eU,     0xe6c12915U,     0x52ed83daU, \
    0x2da3f62aU,     0x2c64a2deU,     0xe9145c8eU,     0xa67b30aaU, \
    0xfb56a1e5U,     0xac63d4ffU,     0xf2e7a277U,     0xa2c66d5bU, \
    0x5f022d69U,     0xac591553U,     0xa9c0a472U,     0xc9b61b8fU, \
    0x3cc417e4U,     0xb522d39eU,     0xc2c1f7e6U,     0x3391aa78U, \
    0x601f59baU,     0x55c33bb6U,     0xad35d47eU,     0xa7c1371dU, \
    0x275fec35U,     0x5ec52c71U,     0xb56e0e25U,     0x1309d63cU, \
    0x8d700b1bU,     0xcbcd3580U,     0x9cd74870U,     0xf6f60512U, \
    0xb9e3ec41U,     0x29da3ae6U,     0xab9f9457U,     0x47f692fcU, \
    0x09f03f9fU,     0x5aba5ed3U,     0xdd97c8e5U,     0xa7925af6U, \
    0xfb174d5aU,     0xd206f0ffU,     0xc607a908U,     0xd15e5a07U, \
    0x08feea35U,     0x14a3d280U,     0x058ff044U,     0x183bdfbeU, \
    0x2855a73aU,     0x14271f6fU,     0x61d416e9U,     0xfe7882f0U, \
    0x8c3b340dU,     0x3f2a059cU,     0x5b2ecfd6U,     0x0260291bU, \
    0x7756fa8fU,     0xe1d53805U,     0x178c6949U,     0x8683fbc0U, \
    0xa94e01c7U,     0xca517fadU,     0xe549de17U,     0xd6472d70U, \
    0x27373df8U,     0x1c9d6a80U,     0x3ab92030U,     0x32356135U, \
    0x3232e47aU,     0xc201cd14U,     0x5796a24dU,     0x160ee867U, \
    0x10fb67aeU,     0xea3ab73fU,     0x14b73fdcU,     0xd0cd7cafU, \
    0x549267a0U,     0xfe29b366U,     0x98df5f18U,     0x01e069dbU, \
    0xb4350378U,     0xf551b1aaU,     0xa3bf343fU,     0x168365c2U, \
    0x3bf11cb9U,     0xa0d7181dU,     0x4b89d496U,     0xb9ac0e7cU, \
    0xe3e06145U,     0x808c2a84U,     0x9d18a39eU,     0x0b2a6381U, \
    0xdfb651b0U,     0x25721ae1U,     0x3404ae21U,     0xddcce89aU, \
    0xa6a4b302U,     0xabada458U,     0xc4d00e79U,     0xfd592e24U, \
    0x96b76c40U,     0x5b94cb93U,     0xf32422abU,     0x72263a78U, \
    0xceda89cdU,     0xf0242a0cU,     0x438d5e59U,     0x7d7700eeU, \
    0x82fa54b9U,     0xf45c1dcdU,     0xda2af224U,     0x5d47ff73U, \
    0x3648fe63U,     0x471acd5cU,     0x17fcbba3U,     0x55b064f6U, \
    0xe254dc51U,     0x2ad3b455U,     0x743b433cU,     0x6be91389U, \
    0x28d3950fU,     0xc2d510e5U,     0x9ceb3334U,     0x33195e42U, \
    0xad1b8451U,     0x3b77dc0dU,     0xff769f3bU,     0x19b36562U, \
    0xd254433cU,     0x86fdec1aU,     0x681c5b15U,     0x959ae7b3U, \
    0x4761abb1U,     0x9a26e204U,     0x84ec5cb1U,     0x94621fdbU, \
    0xb1b921d9U,     0x9b2c4f04U,     0xd287d679U,     0x2ad93d4fU, \
    0x94033611U,     0xaef3b7d8U,     0xf8cf8756U,     0x9e61ec02U, \
    0x2c1f69eaU,     0x57d5a033U,     0x1ab7c590U,     0x8a736ef9U, \
    0x0e3491a8U,     0xa584f30eU,     0x0bf0690dU,     0xdb18063bU, \
    0x3a0a1482U,     0x1630b287U,     0xab4e971dU,     0x9ffe8272U, \
    0x2c7f29c6U,     0xd83f4b93U,     0x9e8df166U,     0xc907042dU, \
    0x9eb90356U,     0xbbc0cd3bU,     0x262f5ffdU,     0x6ebb3fb2U, \
    0x8d7f6f08U,     0x1773c8b0U,     0x43022873U,     0xb56d3f76U, \
    0xb3f688c0U,     0xbf330539U,     0x3ce90be8U,     0xf9cd351fU, \
    0x1b288ae3U,     0x9671a66dU,     0x19a60c88U,     0x567e4dc3U, \
    0xd0c02b62U,     0x4750b1f5U,     0xcacd3f3bU,     0x5155eaf6U, \
    0x0f5948dfU,     0xbfeb5890U,     0x25cdec2bU,     0x64c06f95U, \
    0x8b4c5fb1U,     0x69c66b85U,     0x37c43ac8U,     0x3e7735d7U, \
    0x6033869cU,     0x57cf5886U,     0x173c310eU,     0x3133a32eU, \
    0x66b140afU,     0xc4ac9bc4U,     0x72114ad7U,     0xdd02c7afU, \
    0xd6dd2253U,     0xfa2d7636U,     0x5b4fe81dU,     0x954af1b7U, \
    0x3d758f71U,     0x509585c1U,     0x0970c6a0U,     0x6c840b90U, \
    0x6b2d2344U,     0x9b417078U,     0x98484fbdU,     0x2d8f715fU, \
    0xc6175787U,     0x029196c1U,     0xbda256a8U,     0x5aa8f876U, \
    0x4327f74fU,     0xc4b1e178U,     0xc01d9aceU,     0x0708f6b2U, \
    0x20ccae46U,     0x836ddef0U,     0x6d9a0a33U,     0x7ef52477U, \
    0xf8ec9fafU,     0xff01d298U,     0x1f618847U,     0xc2e7fa59U, \
    0x8740af52U,     0xad7301fbU,     0x213941ffU,     0x143b2340U, \
    0x183f2cacU,     0x30483204U,     0xac5a0378U,     0xe91c4cc7U, \
    0x04fa03dcU,     0x5f57375aU,     0x5f11c5e5U,     0xa2075512U, \
    0x18e17387U,     0xd2a89751U,     0x295c0867U,     0xf53a5f12U, \
    0xde474aa0U,     0x739eb73eU,     0xfc3348ebU,     0x637450ddU, \
    0x1a1c8ef7U,     0x576b67cdU,     0xe09a2315U,     0x68f52c04U, \
    0x3e38d5efU,     0x4a0b5e17U,     0x6655b10fU,     0xf3fe90f7U, \
    0x1b90f364U,     0x6ebf0b8fU,     0xb205d247U,     0x5316d63eU, \
    0x5a619c6eU,     0x421e949eU,     0x1258ed36U,     0x04ee2558U, \
    0x5b1594ddU,     0x333ab948U,     0xef559f71U,     0x3a79b4f9U, \
    0x53e592c9U,     0x5c43e820U,     0x6a89c69fU,     0xdc6fed56U, \
    0x5bfdb1b4U,     0x4249ad07U,     0xe438f499U,     0x03993d40U, \
    0x6eabb90fU,     0x1724ebdeU,     0x9e3da981U,     0xb607e129U, \
    0xff987a8bU,     0x2655125cU,     0x4e86297bU,     0x24b8ec7fU, \
    0x3a4e5f90U,     0x5d8934bbU,     0xe5ea7c72U,     0x3bb445c8U, \
    0x308050a6U,     0xb517f2a4U,     0xc122de21U,     0xe2f8e828U, \
    0x3071ce34U,     0xc57fc476U,     0x1ebb8c95U,     0xc119528bU, \
    0xc38ae1fcU,     0x68ff7703U,     0x82df2e9cU,     0xeb42a318U, \
    0x61362d8dU,     0x069ee6f3U,     0x2009086dU,     0x0d21b976U, \
    0x26f14b60U,     0x40e9ca07U,     0x514a6246U,     0xe01430f4U, \
    0xa1439151U,     0xfbdeca1eU,     0x01e9e335U,     0xf803e403U, \
    0x68ddc1dcU,     0xd70eac0aU,     0x5e528d58U,     0xcf383ddfU, \
    0x533e084bU,     0x5c7a32d8U,     0xc1db12f7U,     0x92f205b5U, \
    0xb3a623d6U,     0x5986c14fU,     0xbfbfc4d0U,     0x362d8cf3U, \
    0xf13cefd1U,     0x753db322U,     0x56364772U,     0xbe448528U, \
    0x6ce1aab9U,     0x46d76089U,     0xba2296fdU,     0xd0821d0fU, \
    0x79c68193U,     0xd77137cbU,     0x6e337974U,     0x4ee85f71U, \
    0xac2a26ffU,     0xd2a022e0U,     0x5eeedfd5U,     0x3b9332d0U, \
    0xa3ae67baU,     0xcd0e8836U,     0xe28d1ca8U,     0xd0bfcfd8U, \
    0xde24a40aU,     0x8d758cbaU,     0x7bacec42U,     0xce195c96U, \
    0x6b8a7c85U,     0xb8f99684U,     0xff18e627U,     0x5ca19483U, \
    0x361a41adU,     0x4bda990bU,     0x348a24efU,     0x3617f237U, \
    0x7742beb4U,     0x213a8fc3U,     0xac6026c4U,     0xddb5000dU, \
    0xc9d300a3U,     0xeae806cbU,     0x7163ce3aU,     0xffceab3dU, \
    0xdfe266aeU,     0x80bfedb4U,     0x152bb456U,     0x94af2722U, \
    0xc15b5e3aU,     0xca583973U,     0xf2dccbcfU,     0xd3fc63f5U, \
    0xa5314ea1U,     0xa7c81776U,     0xb4abc96fU,     0x75dbb811U, \
    0x17248ef2U,     0xcd3ce514U,     0x0c9fe230U,     0x9c964a18U, \
    0x7c3a3591U,     0x0ec39140U,     0x21e69c1aU,     0xcc5e22bbU, \
    0xfd5a2562U,     0xc4d7418bU,     0xc0e43709U,     0x579eab6fU, \
    0xff89560aU,     0xc706c35bU,     0x3d5923a0U,     0xac25273bU, \
    0x3ace5991U,     0x93b80a29U,     0xda27d061U,     0xa86f6e6aU, \
    0x3a95849dU,     0x0480784dU,     0xfb0d3cb9U,     0x3cdcfd85U, \
    0x7ea392a9U,     0xf2b3b1bfU,     0xf9951af4U,     0xeaf91852U, \
    0x50f532fdU,     0x129df25cU,     0xc2aa0921U,     0xc04eecb0U, \
    0x446b84f6U,     0xcafba408U,     0x58ef73faU,     0x924ece8cU, \
    0x71751befU,     0x005fedbcU,     0x8d35d89cU,     0x81cebc51U, \
    0x92b725e6U,     0x147a5a16U,     0xc82b3288U,     0x53dca3f9U, \
    0x0960f32fU,     0xc803d990U,     0xcf3ad42aU,     0x221034c0U, \
    0x42751a7aU,     0xfbb0889eU,     0xabe47a4fU,     0x7e71284fU, \
    0x7d7fb005U,     0xc9817db8U,     0xccf33c81U,     0xfc5f00bbU, \
    0xc6c1cafbU,     0x3c5fb95cU,     0x3e885a3bU,     0x4c793ffcU, \
    0xede59677U,     0xbfd4cf81U,     0x90aa7fe3U,     0x294ad6b3U, \
    0x94011a13U,     0xdc382bc1U,     0x4a92e2beU,     0x5f867cbcU, \
    0x1331daecU,     0x949bd719U,     0x430ad2fdU,     0x5331c38aU, \
    0x5a954a00U,     0x4b50f37aU,     0xce4f888aU,     0x8f36107dU, \
    0x3a876460U,     0x5030a846U,     0x0676f1eeU,     0xe5dc92ebU, \
    0x2447e6bbU,     0x5616bfc7U,     0xb4409bb4U,     0xaa17b411U, \
    0x2c78a3e2U,     0xc7503d4dU,     0xc854b997U,     0xa83865d2U, \
    0xa5c93441U,     0x19a748adU,     0x01b303dcU,     0xb02fa2b6U, \
    0x786b922bU,     0x2bd0d17eU,     0x555c7826U,     0x1057c7f7U, \
    0x8f2b4ebfU,     0xe2c310b3U,     0x4e68d3f6U,     0xe97b5069U, \
    0x33621933U,     0xb6e10b26U,     0x44ad94cfU,     0x233def3bU, \
    0xa2cb129eU,     0x1e7002caU,     0xd6bf72c0U,     0x9de81d66U, \
    0xea64f941U,     0xdf390a2bU,     0x5d8d6e10U,     0x1f6119d9U, \
    0x0632ce11U,     0xa5714b9bU,     0xd88db337U,     0x419d1f8eU, \
    0x9ccc2b24U,     0x8bd1ebefU,     0x725beb76U,     0xa1a41908U, \
    0x9ec90a9cU,     0x407aede3U,     0x72dab97cU,     0xcd850e2cU, \
    0x6065265cU,     0x71a27c79U,     0x79f9dd14U,     0x5a2bce0eU, \
    0x6836d66eU,     0x573d1042U,     0x019191e3U,     0xcaf4a5aaU, \
    0xbfa94d69U,     0xf92083dbU,     0x3d404cbdU,     0x7e88ad50U, \
    0x0ab169beU,     0x82d88367U,     0x33f871bdU,     0xedb00ff8U, \
    0x65ece7ceU,     0x7ec8ef91U,     0x1b8ed82cU,     0xffc976aeU, \
    0xaa921be3U,     0x57b17e4dU,     0x4cce67b6U,     0xa53bac00U, \
    0xcf2eae7eU,     0x1eedd346U,     0x6d809e3aU,     0x25d83c32U, \
    0xc48af995U,     0x164349c7U,     0x37278c50U,     0x0f9360b9U, \
    0x4dd2e5ccU,     0xeac965d5U,     0x3e0a386bU,     0x2602a884U, \
    0x1f9b6399U,     0x77323c9cU,     0xa10d91c7U,     0x4dafd25bU, \
    0xae2e0586U,     0x49403783U,     0x251fefaaU,     0x25ad84eaU, \
    0xe10035d9U,     0xfba9a630U,     0xe866a19eU,     0x1db8261aU, \
    0x6ac44af4U,     0x2762e63dU,     0x3f745f49U,     0xe536f31cU, \
    0x211fd5dbU,     0x5ee3e702U,     0x3efa5fbcU,     0x75fe9827U, \
    0x540031d4U,     0x0fb46d31U,     0x7dedb83dU,     0x0af7c444U, \
    0xe187db9aU,     0x9bd2d149U,     0x1dea9355U,     0x2c73e71bU, \
    0x98ca46feU,     0x25bda835U,     0x5ffac4b1U,     0x31130b7aU, \
    0x9dea98d0U,     0x8b446453U,     0x9d7af953U,     0x6d1bc575U, \
    0xf20e5936U,     0x18dbb6d4U,     0xb642bbeaU,     0x304fd497U, \
    0x2ea0c6d0U,     0xaa3680bbU,     0xc311934dU,     0xb0c9f3e6U, \
    0xe81d6c43U,     0x613d34afU,     0x2a47d3f4U,     0x57801fe3U, \
    0x334e4ee6U,     0x704267e0U,     0xa1a39a49U,     0xb5e9293dU, \
    0xf73a67a9U,     0x7b635073U,     0x65e9051bU,     0x0f9e2859U, \
    0x221cdbb4U,     0xda2e9a85U,     0x3fca3d1fU,     0x655718d7U, \
    0x0792d2bfU,     0x35466147U,     0x2dd506cdU,     0x80730a53U, \
    0x2e63ed72U,     0xac7058a9U,     0xf2113eacU,     0xdbdb06e8U, \
    0x2596ec81U,     0xe894c17bU,     0x042919f4U,     0xb8cb0a54U, \
    0x8dd67eebU,     0x2616efe5U,     0x9c347e62U,     0x1c00bad6U, \
    0x96b2a57bU,     0x2e3d71a5U,     0xf1c756adU,     0xb5196bfcU, \
    0xc08a5710U,     0xb2b46f04U,     0xc72f5ce3U,     0x07accd9aU, \
    0x94e24f82U,     0x63c75822U,     0x86b87d67U,     0xf97d1fa9U, \
    0x631a188eU,     0x0a5aa3a2U,     0x6aa1b5e3U,     0x2b8e9e9fU, \
    0x2ccd41dbU,     0x29d1f409U,     0xded9d3e1U,     0xdd11ee36U, \
    0x2df69265U,     0x2a710499U,     0x5101eff6U,     0x84a08567U, \
    0xcc4ec414U,     0x92c240c9U,     0x3cf6a76fU,     0xcef8f85dU, \
    0xc267b484U,     0x65bc60b3U,     0x2f52365aU,     0xc7a0efedU, \
    0x21bc3e67U,     0x42b3748fU,     0x4f2419aeU,     0x4c9398d1U, \
    0x6d8c785bU,     0x6e4fbfc8U,     0x3e89db3eU,     0x29a0d838U, \
    0x52a7a3b1U,     0x157975d1U,     0xd0e9fd8bU,     0x1e21bb6aU, \
    0x5c6d0773U,     0x1113587fU,     0x06f93bf4U,     0x0fecc462U, \
    0xf3126f51U,     0xa1708bedU,     0x2ecd43d1U,     0x63876e2bU, \
    0xa63a32acU,     0x085aec77U,     0xdd252ba3U,     0xa83c0408U, \
    0x78a213c1U,     0x9f72d474U,     0xb6ae2a00U,     0x06902acbU, \
    0xa3845be0U,     0x7047ab53U,     0xc538e68bU,     0x7443db9aU, \
    0xa53d972aU,     0x95808817U,     0xf81b7b33U,     0xbd10bfa1U, \
    0x88d88ecfU,     0x5e28c2a3U,     0x7a7718e8U,     0xa7accb5cU, \
    0xf98a7c3bU,     0xf164cb48U,     0xc3beaa7cU,     0xef778916U, \
    0x0a508ef4U,     0x9fee27c8U,     0x2ae49155U,     0xd81e1d62U, \
    0xc82c2dc4U,     0x203d07dfU,     0x9f44c1a8U,     0x58827412U, \
    0x44e4305cU,     0x2c705041U,     0xc81e159dU,     0x57e729bdU, \
    0x2a238f86U,     0x23c5d169U,     0x5511a90cU,     0x7b2fdc34U, \
    0xdf7b28f4U,     0xfd25d8b9U,     0xc9c68bf4U,     0x0945d9b9U, \
    0x43443527U,     0xb52ada52U,     0xbc21c720U,     0x32c5c43dU, \
    0x3888ac66U,     0xf4c90c85U,     0xa5a48a02U,     0x9206a060U, \
    0x7f7f4ef5U,     0xf924946bU,     0x577c8caeU,     0x2541d95cU, \
    0x79f6f4cbU,     0x0bd4a2fdU,     0xf682a75cU,     0xbdfd196eU, \
    0xc604b5dcU,     0x2c859118U,     0xbb4a3e91U,     0x257f9665U, \
    0xc5dafd4fU,     0xae6560b2U,     0x183b7b1dU,     0xa1808b67U, \
    0xaca5240aU,     0xb6cd968dU,     0xc9322524U,     0x0685b67bU, \
    0xff46fc5dU,     0x16d9e48aU,     0xaef72326U,     0x5b6f4aafU, \
    0x73f8cd55U,     0xe5133845U,     0x51400312U,     0x356c8b6dU, \
    0xa6303e70U,     0x9226adcfU,     0xb5e81b07U,     0x363e17a1U, \
    0x3d692d05U,     0x18976b47U,     0x4a7dd6d2U,     0x4968ee65U, \
    0x8219cee6U,     0xf68dc1fcU,     0x2d4b1169U,     0xa5e314f2U, \
    0x708d505fU,     0x12c488b0U,     0x0b11e636U,     0x4122b1f8U, \
    0x7d638a43U,     0x632b5fa8U,     0x3c71c12dU,     0x52c19947U, \
    0xbe85bda4U,     0x491b8d18U,     0xe5d40a99U,     0x08a999ffU, \
    0x7ed12c7bU,     0xa2d87a60U,     0x1a26fa01U,     0xbff6e6b4U, \
    0xd6674172U,     0xd0e0a7c4U,     0x3f4fab4dU,     0x5b43fc72U, \
    0x9c569c9aU,     0x95e1e373U,     0xaed4f346U,     0xd6d1e9b9U, \
    0x9ca52ca4U,     0xa46accfdU,     0xe3c11bd2U,     0x0c13e7b1U, \
    0xbe9ecf5eU,     0x540d6e37U,     0xca6d6380U,     0xd9412ee9U, \
    0x5e2ddebfU,     0x65e8a477U,     0x6fd10171U,     0x11b32bc3U, \
    0x41d61e09U,     0xeb0f89d7U,     0xa6d84139U,     0xf8675092U, \
    0xd04e49d2U,     0x0f724337U,     0x67ba7157U,     0xadf3f371U, \
    0x7cdd07a3U,     0x71225e2fU,     0xbff7725fU,     0xb1be1af7U, \
    0xf4624da1U,     0xe986a49eU,     0x6185e159U,     0xbfb33236U, \
    0x0d9f2e2bU,     0xf9c5b102U,     0x6bf40517U,     0xd068b4a9U, \
    0xe9e47a76U,     0x01603b66U,     0x90d329e3U,     0x915015ddU, \
    0x50a239cfU,     0x0a3bc2dfU,     0xab560e67U,     0xa7c227adU, \
    0x62edab16U,     0xbd9a1529U,     0xb19bd50bU,     0x213351caU, \
    0xf99f7cf3U,     0xdf17d9e7U,     0xd8b2c3b9U,     0x10c686a0U, \
    0x1f6ee68cU,     0xa30cfb1eU,     0x199d9139U,     0x1ea60dddU, \
    0xc0feee90U,     0x6d229627U,     0xe9fda215U,     0xb78c6602U, \
    0xa0a0dd49U,     0xe6368e6eU,     0xdcf32944U,     0xc77007e1U, \
    0x24ff837fU,     0x7ed38d58U,     0xaa7e8d49U,     0x2e88343bU, \
    0xa849e377U,     0xd5697b11U,     0x605020e5U,     0x6efb7046U, \
    0x9bbec068U,     0xa62a8a51U,     0xb582ede8U,     0x50a16a21U, \
    0x4f0fe164U,     0x96d91a13U,     0x88e1180eU,     0x34fa8739U, \
    0x90b1f72cU,     0xaedfe6ecU,     0x5ec64a81U,     0x0df64608U, \
    0x29883b21U,     0x8de7a53cU,     0xdc8bcae2U,     0x7dc256abU, \
    0xa2797e98U,     0x84177080U,     0x6534c356U,     0xf489e6cbU, \
    0xb3e98962U,     0xb1667727U,     0xe1c75cfdU,     0x343341a5U, \
    0x7caa702fU,     0x9b8eba21U,     0x929777fdU,     0x2572c53dU, \
    0xaeec164cU,     0xba0babadU,     0x50193c5fU,     0x94cf0c7fU, \
    0x275ff72fU,     0x1fc4cae3U,     0xad77caafU,     0xf1d5fa59U, \
    0x7379361cU,     0x0fdf3c54U,     0xda61d918U,     0x6a44e809U, \
    0x9eb500b9U,     0x02477b0fU,     0x7f47a616U,     0x50c71e82U, \
    0x5838365fU,     0x25c60375U,     0x3e266abcU,     0xd68c46a8U, \
    0xab184e82U,     0x9864dc98U,     0x471e450aU,     0x4f2fd9ccU, \
    0xfe15672cU,     0xad649810U,     0x7fb191e8U,     0x7a83c9adU, \
    0x93cac120U,     0x51d96a8bU,     0x4d0eea72U,     0xfdda3f93U, \
    0xd1b710e6U,     0x61d8a6a6U,     0xc5cb5e2eU,     0x1365d2d0U, \
    0x2297d971U,     0xa49312a3U,     0x888c153cU,     0xdf482963U, \
    0xee26c0efU,     0x99ce8ab5U,     0xce0d9087U,     0xa5e9ec90U, \
    0x690e66fcU,     0xccf75026U,     0x7262c727U,     0xd9d7c2f3U, \
    0x5ad3dcddU,     0x3ced4fdaU,     0xe00904baU,     0x9e3ef994U, \
    0xb57dfcabU,     0xde11dbd1U,     0xd61653cbU,     0xa2c6fe37U, \
    0x928755aaU,     0x27778b63U,     0xfd184108U,     0x54c17b0eU, \
    0x520c4e91U,     0xed12e3f3U,     0xf169be61U,     0x133533e2U, \
    0xa93d0f5aU,     0xe681ff39U,     0x0295c29fU,     0x5e1ce5a2U, \
    0x8795bd05U,     0x9dea4773U,     0xeb1a8e45U,     0x89f8d9caU, \
    0x82c28501U,     0x351892c8U,     0xf68d1469U,     0x0c727277U, \
    0xee6457b2U,     0x140242c0U,     0xb6a1eacbU,     0xb93290bcU, \
    0x37663ef8U,     0x77e94d32U,     0xe45890e6U,     0x6812ab78U, \
    0xe191f78aU,     0x75b6362aU,     0x8475662bU,     0x80ab426dU, \
    0xb66ef7b9U,     0x7445f609U,     0xcb418455U,     0x30813a39U, \
    0xaa3abdc8U,     0xb334495bU,     0x834ff333U,     0x1d4b0a33U, \
    0xd68be875U,     0xf49e92eeU,     0x5eaaf9fbU,     0x58102320U, \
    0x8c63c8b4U,     0xf4b10724U,     0x64f64db8U,     0x15e17655U, \
    0x6ccf87d4U,     0xd416b476U,     0xdaa892ceU,     0x87fec748U, \
    0x0c03361aU,     0x170033afU,     0xc3ca1419U,     0x0f189d4dU, \
    0x0beebf94U,     0x4ebf8a1bU,     0x84622e50U,     0x6b8c1b19U, \
    0x725090c5U,     0x1d63da97U,     0x97024bbbU,     0x8e1c36abU, \
    0xc852fe60U,     0xd23e80d0U,     0x3ce80b3eU,     0x98e72e20U, \
    0x5d2ac8fdU,     0x3f8f2a96U,     0xf7202b00U,     0x4a77d9c2U, \
    0x28023b6cU,     0xa1ea2d18U,     0x5361b441U,     0xeac690deU, \
    0xad05981aU,     0x7eda9555U,     0x48ce7773U,     0x274bb97bU, \
    0x91954d21U,     0xc1fd4509U,     0x7e1a67d7U,     0xa1f42b86U, \
    0xe15e6495U,     0x0a7a857bU,     0x5906f4a8U,     0x1323621bU, \
    0xe8ef0e09U,     0x4109a7ecU,     0xe1e3c8caU,     0x4cd0e6b0U, \
    0x0deb172fU,     0x84b96347U,     0x06e4b2b9U,     0xd7713d4aU, \
    0xe117e263U,     0xfdd27c57U,     0x9bb97259U,     0xbadbd609U, \
    0xbeb268e6U,     0xddb0d7d8U,     0xb363994eU,     0x99f3b4e9U, \
    0x5f24fc8aU,     0xe80e5508U,     0x33e152f8U,     0xb1657fddU, \
    0x35d8f996U,     0x7f12e96bU,     0x0eddd3d0U,     0x5c5e08c3U, \
    0x1622bb3fU,     0x2e331854U,     0x86c61e59U,     0xabd7e42cU, \
    0x3afebdb2U,     0x21f4270aU,     0x3cca40c3U,     0x45321e66U, \
    0x026c9dd7U,     0x7d21ab0cU,     0xf6e2ed99U,     0xa4e0b1f0U, \
    0x4feabc04U,     0x5292598bU,     0x3172e26cU,     0x5183ac4eU, \
    0x6ffde599U,     0x0b49737fU,     0x053b285dU,     0xcbf78152U, \
    0xa67aa152U,     0xa4e2a344U,     0xa9b025e6U,     0xa599ad37U, \
    0x949bd19cU,     0xef4a0fb3U,     0x83ea20b7U,     0x77a61d19U, \
    0x10e32d6dU,     0x0af89b0aU,     0x2aff6e98U,     0xd5822313U, \
    0x0b80dad3U,     0xc5030c71U,     0x036df4a7U,     0x47d17c9eU, \
    0x4e024c8dU,     0x32c28f89U,     0x48b069c2U,     0xed397ecfU, \
    0xdc36015eU,     0x2b9cef55U,     0x941374dcU,     0x4f6a9767U, \
    0x0c1cdcefU,     0x835e9204U,     0x7943a494U,     0x4817ee46U, \
    0xd8fa82d2U,     0x41e897f9U,     0x73139fa2U,     0xd355bb61U, \
    0x232e85c9U,     0xe9f4b91cU,     0x9e5c19ecU,     0xafa41ba5U, \
    0x39f08490U,     0x751cdef4U,     0x600bbf43U,     0xa679e943U, \
    0x587d9550U,     0xb8bb2524U,     0x5cca6cf9U,     0x84bd7a1cU, \
    0x02910518U,     0x05ace42fU,     0x353b0471U,     0x8b2832cdU, \
    0xbc5f8259U,     0x7f47b9dfU,     0xa79b5c3cU,     0x8693b769U, \
    0xbf52b040U,     0x18d4687bU,     0x3b30399eU,     0x9aec3d7fU, \
    0xd1a053b1U,     0xf80f4b3eU,     0x9c2bb5d5U,     0x74b11a87U, \
    0xabe6e96fU,     0x290df51aU,     0x79af69fdU,     0xd2a2406cU, \
    0x86a189dcU,     0x2913c276U,     0x3a34157eU,     0xbd9f7a85U, \
    0x5ba4000dU,     0x2400a395U,     0x4323eab0U,     0x2f26869eU, \
    0xcc665a36U,     0x52945a04U,     0xf57866b6U,     0x2f31de75U, \
    0x578ef269U,     0x86e6bc41U,     0x8966a8edU,     0xe62c31efU, \
    0x85b975a7U,     0x67a9bdb3U,     0x9f7702ccU,     0x40dca0e2U, \
    0x285d7e8eU,     0x27dae622U,     0xbde6f9a5U,     0x2a353f74U, \
    0x96080e5aU,     0x8e65c3b1U,     0xf8470e0bU,     0x8e7ebe39U, \
    0x57f2cdf5U,     0x4a49a715U,     0x1ec7965dU,     0x1682156cU, \
    0x5b13c9ccU,     0x3e4687b4U,     0x9e5368f0U,     0x55238e50U, \
    0xbc847f2fU,     0xd51a36c3U,     0xf5e8f499U,     0x1205b0d9U, \
    0x122626acU,     0x8e096bb8U,     0x89f5fa56U,     0x4740f49aU, \
    0x6cfe868eU,     0x46211b80U,     0xd4378595U,     0x2d27a42cU, \
    0x068dee38U,     0x88720595U,     0x9cc94035U,     0xea399994U, \
    0xca1f1c89U,     0x2bc421d1U,     0x27eb46ecU,     0xced3286aU, \
    0xda298503U,     0x3d94b8d5U,     0x2010cbe2U,     0x5ab77865U, \
    0x556a27bdU,     0x12e0ec3eU,     0x6e7a9da2U,     0x096bbba5U, \
    0xc9b78c78U,     0x5c10e904U,     0x07a3174bU,     0x810e0ebaU, \
    0x5b1f2035U,     0xf35d0f57U,     0xf3195befU,     0x3de0c2cdU, \
    0x79e4383eU,     0x93c500f2U,     0x27b810c5U,     0x929ba70fU, \
    0x6ac8d2a8U,     0x655a6b17U,     0x302b7c48U,     0x5429c3eaU, \
    0x831b3bc7U,     0xffa905f1U,     0x9eddd55bU,     0xb1c726c6U, \
    0x207523a4U,     0x92f0e942U,     0xb3031308U,     0x7ffa3364U, \
    0xc31d2c8dU,     0x9b21a28eU,     0x7b0affe1U,     0x4b9b35deU, \
    0x4fedb8e1U,     0xbc0291b3U,     0xff1f1a52U,     0xfbef9500U, \
    0xcfdfaa7fU,     0x6f79e16eU,     0x11cb39ecU,     0xada90c74U, \
    0x45656874U,     0xcc5a9337U,     0x76aa3c6eU,     0x6040af33U, \
    0x563a9c89U,     0x8a7f474dU,     0x1a6fc72fU,     0xaec1524bU, \
    0xb0f03b74U,     0x1ce1dbc4U,     0xd677d9d3U,     0x49912cf8U, \
    0xab485562U,     0x8ce948b3U,     0xc144b6feU,     0x50a78ebdU, \
    0x1dbf79e6U,     0xe28ee874U,     0xf6ac552eU,     0x0673b6f7U, \
    0xbe0beb90U,     0x06011d3aU,     0x043237b1U,     0x48fea5ebU, \
    0x79690fb7U,     0x4a09793bU,     0x43e5f466U,     0x63d097c5U, \
    0x422c2e80U,     0x5452e495U,     0x44bce5faU,     0x015cf9eeU, \
    0x00fb6c7aU,     0xe3594bcbU,     0x0195bb12U,     0x1e1712e6U, \
    0x13c01164U,     0xe2f7fa10U,     0x6cdea26fU,     0x9e29d332U, \
    0xd10a8f48U,     0xdd67d7e1U,     0xc7f5141cU,     0x75d86dffU, \
    0xa9cf0356U,     0x194b1739U,     0xd61ac9d8U,     0x76f49e3eU, \
    0xf240cc35U,     0x637997feU,     0x17ef6d8dU,     0x938b4d15U, \
    0x32310c93U,     0x3d39caddU,     0x3b9fef00U,     0x3778a666U, \
    0x85e4f05aU,     0xd26596d7U,     0x24f33b5eU,     0x59c6284eU, \
    0x17f142ebU,     0x6af4f8e5U,     0x6ffbf2ceU,     0x4c07b347U, \
    0x396c2e25U,     0x0ce6e85cU,     0xd9d08f70U,     0xc4423904U, \
    0xca9f7e71U,     0x3a38d428U,     0xdab9a9edU,     0x1bc050b8U, \
    0xe8f73481U,     0xc6591d35U,     0x7891dfceU,     0x698972f5U, \
    0xb97765bdU,     0x5ff39922U,     0xf70e73dbU,     0x8b1691e2U, \
    0x03c9167cU,     0x4d1b12f6U,     0x1151611eU,     0x127ab725U, \
    0x1027a758U,     0x14c3837dU,     0xad57d621U,     0x108d3d11U, \
    0x12b6c0edU,     0xa57a0704U,     0x842b0986U,     0xddc9354fU, \
    0x81385ed9U,     0x254ef730U,     0x98420ef9U,     0xde51d806U, \
    0x87fe6153U,     0xa4d2a019U,     0xa2d92f1bU,     0x378bb7efU, \
    0xabf25b15U,     0x6586e0ceU,     0xb6eec9d0U,     0xb0936171U, \
    0xd98a6d0cU,     0x43d8ca62U,     0x4724cf15U,     0xbc940e95U, \
    0x38613ed8U,     0xb550682eU,     0xe5c633e7U,     0x4286ba02U, \
    0x18be7007U,     0x665d1971U,     0x2a2dcdc0U,     0xb007cbb0U, \
    0x92d0a4b9U,     0x3c4973faU,     0xb3f1a0feU,     0x1c7392c2U, \
    0x30bcbabeU,     0xabbd2e69U,     0xa5f55249U,     0x1ac3abd7U, \
    0xb978eaddU,     0xf3e90fefU,     0x4f81e092U,     0x366749f4U, \
    0x38d7f5ceU,     0x00fa3760U,     0x99e9b897U,     0xfdf3c9b4U, \
    0x31d0f060U,     0x64cbcf19U,     0x5a4fc4ecU,     0x3b73fa2dU, \
    0x9b16c5d6U,     0x7c2c2319U,     0x0a7151c5U,     0xe5ef24c2U, \
    0x759bad82U,     0xd9582448U,     0xe7e5baa6U,     0x0f0719caU, \
    0xf9c0383bU,     0x50afde52U,     0x20b3c047U,     0x4fdb3d71U, \
    0xa9d0a6b9U,     0x8f645f4fU,     0x5b440ac3U,     0xe28dca75U, \
    0xc01a30a6U,     0xdd553e4aU,     0xd47169cfU,     0x4f220275U, \
    0xcc05f252U,     0xdd6f51fdU,     0x07255fb9U,     0x40f7c860U, \
    0x99e9b2edU,     0xe0dfc412U,     0x15ba2acfU,     0x4f9734ecU, \
    0x55484316U,     0x533f9159U,     0xc278ff19U,     0xac701188U, \
    0x17a7b390U,     0x58331006U,     0x60578d2bU,     0x5b5d8a8eU, \
    0x597e0d05U,     0x515c4af8U,     0x638ec26fU,     0x804e01bcU, \
    0x44c676bfU,     0xcff4ed01U,     0xc016b78eU,     0x7f7d7e9cU, \
    0xd48b82abU,     0xd68427feU,     0x9bbd2848U,     0x050a7d79U, \
    0x07fd40e0U,     0x2deb6598U,     0x89d40581U,     0x1d8c4ffdU, \
    0x968e4445U,     0x99009e3aU,     0xf0cb6063U,     0x039c8406U, \
    0x77252cedU,     0xcdb8b3b9U,     0x3d07f7c2U,     0xfac4a85dU, \
    0x8401a9bfU,     0xf797d0c8U,     0x8b0a5530U,     0x0b2d9aefU, \
    0xd45ae318U,     0xf2e99bb4U,     0x53ef71d8U,     0x296e7743U, \
    0xb4005a8eU,     0x5d5d5bacU,     0x7bf0a209U,     0x3111b602U, \
    0x5c4141e0U,     0x41209001U,     0x89522066U,     0x30969c24U, \
    0xd08f215bU,     0x0c6141c0U,     0x096c8f88U,     0x3009fc69U, \
    0xb98914f6U,     0xe0d6d810U,     0xcd29c10eU,     0x7fcee035U, \
    0x03e1274bU,     0x53afc50aU,     0x35da0bb6U,     0xdd6463bfU, \
    0x67359ac9U,     0x19194f71U,     0xc7336ea8U,     0xe63a1365U, \
    0xc32977adU,     0x57d61974U,     0x85ea99acU,     0x44298ceaU, \
    0xeb5e3cf5U,     0x3d2ef5c5U,     0x6de20801U,     0x3d1e660cU, \
    0xe90e9933U,     0xfa63b1b5U,     0x6e3e69f7U,     0x0be975ebU, \
    0x3768a1f5U,     0x7a89de0aU,     0x9d7a6078U,     0x8c9d8714U, \
    0xe99e1eb4U,     0xa6a5fc09U,     0xd4132e21U,     0xeeea0812U, \
    0xbd1f2253U,     0x5f8bfec2U,     0xa469869eU,     0x7368a777U, \
    0xcf3471a6U,     0x27b17054U,     0x8fdaec9cU,     0xd7ab5033U, \
    0x5d4a5865U,     0x3afb880aU,     0xa9df89a4U,     0xddc3cf4bU, \
    0x4074a9c3U,     0x61fb15a2U,     0x6fed48f8U,     0x6a978301U, \
    0xca8912ddU,     0x90c298e9U,     0x8ac2e3f6U,     0xdc5202e0U, \
    0xeb6ce5f4U,     0xb2955a59U,     0x48d804a6U,     0xd8cf5accU, \
    0xf42be2e4U,     0x68a52c6bU,     0x43d705d1U,     0x416b503dU, \
    0x585736a9U,     0x15edf3e2U,     0x3d107fcfU,     0x831ff45bU, \
    0x2f6a7412U,     0x4dccde30U,     0x37b32e7bU,     0xfdda7819U, \
    0xc8f678d0U,     0x6398d1bdU,     0x83afe9a2U,     0xca160a80U, \
    0x45adedabU,     0xb0cca1dfU,     0x9553aea6U,     0x36a9e293U, \
    0xb7935704U,     0x629df12aU,     0x71150dd9U,     0xdd9d5c98U, \
    0x89f19475U,     0x26b2b46cU,     0x3cf86086U,     0x11c6954cU, \
    0xc1c0318eU,     0x5c6f999cU,     0xf1406209U,     0x6a9b4bf1U, \
    0xbe5cdc46U,     0x73182ab7U,     0xc87d0d16U,     0x7eaf866cU, \
    0x1335d2e9U,     0x2bd8c9ffU,     0xdb2174f2U,     0x5b2a005dU, \
    0xb96b74abU,     0xb5ddc1edU,     0xbf26ef7dU,     0xc7c9171fU, \
    0x06440f99U,     0x40073b1bU,     0x39f5c5f8U,     0x56de7670U, \
    0x4c9d9cf7U,     0x76290397U,     0x0cc2f11eU,     0xfee4de94U, \
    0xd4a496bdU,     0x4002600fU,     0x0678bfafU,     0x13019392U, \
    0x9a283636U,     0x0604948dU,     0xe3e07044U,     0x3c4714d7U, \
    0xa9a2557dU,     0x55dd2e6dU,     0x64e343fdU,     0xee75f6a2U, \
    0x48547237U,     0xcd638b72U,     0xff5f82a2U,     0x557d0d59U, \
    0xa57edf9aU,     0xb1e98cddU,     0x01e46578U,     0x2ee93945U, \
    0x700755f9U,     0x32c7838eU,     0x36d7af15U,     0x2a1a49d4U, \
    0xf281bdd0U,     0x3bf9d2f1U,     0xc7277ffcU,     0x5b321052U, \
    0x1042a5b7U,     0x22c87d64U,     0xf3b8c0e0U,     0x74224b38U, \
    0xa2022aa8U,     0x32e9aa5fU,     0xe028a565U,     0x57d3a7ffU, \
    0xdaa207baU,     0x7def33f4U,     0x674d32c3U,     0xbe4440caU, \
    0x8cb599fdU,     0x86942961U,     0xa6a30449U,     0xc9e5d518U, \
    0xa9496f95U,     0x163c366fU,     0x4c108b99U,     0xabf21b03U, \
    0x32fc9157U,     0xd637caf4U,     0xd71d95ecU,     0x99be7479U, \
    0xb0916782U,     0xd05ae44aU,     0xd91ee10bU,     0x5f92423eU, \
    0x402a5fe3U,     0x4815a722U,     0x614ec56eU,     0x103c5d86U, \
    0x88989766U,     0x1e45409fU,     0x7da1bfa7U,     0x3f11e00bU, \
    0x8a6eacf2U,     0x8e864be8U,     0xaa7572acU,     0xf7977a05U, \
    0xa40bc8e4U,     0xc87a77a4U,     0x3b2e88eaU,     0x344fc1aeU, \
    0x462cdbb3U,     0x7516ec2bU,     0x3676299fU,     0x8328cfb0U, \
    0xf2e5b88eU,     0x0a79d1aaU,     0x8fb98740U,     0x1c8c5ae9U, \
    0x3ea8956eU,     0x0c4da657U,     0x3cffd72eU,     0xe7babb0eU, \
    0x28680fecU,     0xa7ab87caU,     0x3a534520U,     0x31ab6d62U, \
    0xbc090f14U,     0x422ea511U,     0x99a84b54U,     0x9c7d252cU, \
    0x67641aecU,     0x203d846fU,     0x02a8b893U,     0xbca0e372U, \
    0x92bd8315U,     0xf92761baU,     0xb3c4e34dU,     0x1d4ddd5bU, \
    0xeccf1c8cU,     0xd13c267dU,     0xcb76b3a7U,     0xab620393U, \
    0x2ac2443bU,     0xda554ab0U,     0x2e5700b7U,     0x7de5f3ffU, \
    0xb9a99da3U,     0x848c01b5U,     0x608d8c8eU,     0xff0173fcU, \
    0x687a1ce9U,     0x2d2a15c7U,     0x5c941233U,     0x81c21cb6U, \
    0x562b52d8U,     0x44b50941U,     0xfd464f4dU,     0x31a19f80U, \
    0xb46cd388U,     0xe4a1a54bU,     0x9157cc88U,     0xe9dc493dU, \
    0x3fb9af34U,     0xa2f73524U,     0xd5041cd4U,     0x1543a2ecU, \
    0x4b7c7710U,     0x118cf676U,     0xbdba2dc6U,     0xd08f97d0U, \
    0x845ef6adU,     0x6f6c2d7cU,     0xdb77a710U,     0xd8f5ca5aU, \
    0x84b863e7U,     0x9ede660cU,     0xd1053fbdU,     0xc3219ffbU, \
    0x94be7479U,     0x2f5540f2U,     0x2e36f7d7U,     0x56c725efU, \
    0xc50605d7U,     0x74f3d52fU,     0x85eca672U,     0x0e7f71f8U, \
    0x8414d35cU,     0xc91b50e8U,     0x6b68ec5bU,     0xc21903cdU, \
    0x6c013474U,     0x165c853dU,     0x4bcd5a4cU,     0xbcb59077U, \
    0x4237184bU,     0x29180d93U,     0x9c945e75U,     0x9854888aU, \
    0xd50a292cU,     0x1e56f34eU,     0x546b99feU,     0xa615f764U, \
    0x6b53468bU,     0x65a60babU,     0xcc7d52aeU,     0x7e27fdd5U, \
    0x8fa40c7bU,     0xb92796e9U,     0xdf1a95aaU,     0x428ff154U, \
    0x71df9305U,     0xfa681d31U,     0xae0102faU,     0x4183927eU, \
    0xf2f274d0U,     0x668330a4U,     0x96a7b978U,     0x97d96e84U, \
    0x25464894U,     0x54a370c4U,     0xef6899e4U,     0xe3b08ae0U, \
    0xf560235aU,     0xecf8ddb0U,     0xbc284623U,     0x311d38b6U, \
    0xe0c9caddU,     0x6398e305U,     0xa01be4eeU,     0x8779a43bU, \
    0x12d995faU,     0x80611fb3U,     0xe457da5aU,     0x0968f428U, \
    0xefef116dU,     0x523bc531U,     0x7293bc80U,     0xc06e7e51U, \
    0x2d75d3fcU,     0xb97da1caU,     0x70fddb65U,     0xeedfc2afU, \
    0x7878a18aU,     0x27973e0cU,     0x6ed79f08U,     0xc9093e69U, \
    0xa37e8508U,     0x63c6ffa9U,     0x8b79f67fU,     0x4b074599U, \
    0xbccdeeb8U,     0xc7fb2766U,     0x36165363U,     0x34d457e2U, \
    0x8928ea8dU,     0x0dd41a01U,     0xc7c653f7U,     0x2b67b566U, \
    0x6d444505U,     0x29b882e5U,     0x69372450U,     0xefaf1b7fU, \
    0x3842384cU,     0xe8aeb959U,     0xf85624d4U,     0x088150a3U, \
    0xd0d2f555U,     0x9165c6c5U,     0xd71aa566U,     0xb24876e4U, \
    0xb52ea04cU,     0x873f33c4U,     0x1d5e9153U,     0x36047c40U, \
    0x7815f565U,     0xac23c731U,     0xc3db2f8cU,     0xfea1a505U, \
    0xda13f147U,     0x95501507U,     0xee3814ddU,     0xfd0cb509U, \
    0x47d02582U,     0x639ca0fbU,     0xf8c6dffcU,     0x926e042fU, \
    0x12699e2aU,     0x48e17fd7U,     0x9f76abd7U,     0xa8753cf4U, \
    0x4a2b7f62U,     0xf4e32734U,     0xc791bb1fU,     0x2ab9fd2bU, \
    0x1eeee720U,     0x0d559cd1U,     0x8be7855cU,     0x5946e886U, \
    0x66c9e097U,     0x16f32e05U,     0x4dfb34e3U,     0xf07e13c0U, \
    0xd7fa0345U,     0xaca004b2U,     0x956deaf3U,     0xe359259eU, \
    0x576b8767U,     0x896807d5U,     0xea10d2a1U,     0x7ca325b3U, \
    0xeab50d5dU,     0xa717b604U,     0xa70071bbU,     0x09c23ef6U, \
    0x0806a0b8U,     0xc9b57829U,     0xf810980bU,     0x422fbce3U, \
    0xa9e6c3f3U,     0x4e8ff675U,     0x144cf82fU,     0x0dd0796dU, \
    0x6023dc25U,     0xf3b43036U,     0xa0629cf9U,     0x1c09bc9aU, \
    0xffed9bf8U,     0x538f5465U,     0xe1e21b84U,     0x20efb297U, \
    0x0c19f256U,     0x2b3e70a6U,     0xdfda83e9U,     0x5492428bU, \
    0x1373022dU,     0xaa0cc263U,     0xf7689eb6U,     0xa8307a95U, \
    0x6bd063ddU,     0x2b18766fU,     0xa654b777U,     0x25735090U, \
    0x638501bdU,     0x7638ae05U,     0xba701d8aU,     0xe9cd0128U, \
    0xac7d97a7U,     0x27692d21U,     0xb7c65214U,     0x072ebc64U, \
    0x9885e56bU,     0xc61b1762U,     0x6e955388U,     0x59555c30U, \
    0xffde5d00U,     0x90ad3026U,     0x4e37b432U,     0x8b8773d3U, \
    0xd4243219U,     0x4a2bcfadU,     0xa5ccca98U,     0x48b4abf9U, \
    0x4ec5a54cU,     0x1bea4bbbU,     0xe4ddf7baU,     0xd393a65aU, \
    0xc80a0bccU,     0x13d2027bU,     0xad16b0c5U,     0xeac0bc95U, \
    0xb5bf0848U,     0xd727a7fcU,     0x440e6fcbU,     0x3f2d750aU, \
    0xed209315U,     0xe938da86U,     0xc1c2e743U,     0x59897c10U, \
    0xf4f54a28U,     0x7ca193bcU,     0xdaf008f3U,     0x814f36fcU, \
    0x7dfe611eU,     0x92a7852eU,     0xdfc80974U,     0xc5792fe6U, \
    0x7ac3e708U,     0x35731eecU,     0xbff6af20U,     0x3d85614fU, \
    0x6fe20893U,     0x76f1c6fbU,     0x55481c5cU,     0xf050b6c0U, \
    0xb867a56cU,     0x3a5d7c02U,     0x4332f31eU,     0x12d284f6U, \
    0xa97a6be1U,     0xea9256bcU,     0x43718ac4U,     0xb729e489U, \
    0x822899f3U,     0x7015346cU,     0x4f3c4a19U,     0xfc336cecU, \
    0x564745bbU,     0x59aafff9U,     0xe075511dU,     0xda621b37U, \
    0xebbbf3d4U,     0x4af529d9U,     0xba2cb4dfU,     0xa03f6962U, \
    0xbe1d92b9U,     0x14469676U,     0x36a42b9cU,     0x58b74f31U, \
    0x2b485196U,     0x77ee718cU,     0x105e5e7aU,     0xb3b7c7b6U, \
    0x093f8e40U,     0xefb80007U,     0x5aa62cc0U,     0x9b7218f2U, \
    0x710c64b7U,     0xad37fb94U,     0xf090fa45U,     0x620be92bU, \
    0xd7e1ac5fU,     0x4590dd47U,     0xabfc3cf3U,     0x19e5f1feU, \
    0xba1a921fU,     0xb1ccf6eeU,     0x2873c234U,     0x43f451a0U, \
    0x3a471daeU,     0x31c633a5U,     0x79e46c19U,     0xe9933381U, \
    0x331b98cdU,     0xf60f337bU,     0x382d647dU,     0x4a075e18U, \
    0xaebe0a79U,     0xa5755930U,     0xe7eaff8cU,     0x6d0974b3U, \
    0xe5f334d8U,     0x167100eeU,     0x553d0024U,     0x900d12b5U, \
    0x31c4cdbdU,     0x30574072U,     0xa465ecafU,     0x807c1036U, \
    0x9efd8443U,     0x8d908003U,     0x2cf9f1f7U,     0xabf56cebU, \
    0x546e4048U,     0x65ba1e1eU,     0xdb5a7d92U,     0x9e7923eaU, \
    0xa8e7a339U,     0x0504a3a4U,     0x2aa978a4U,     0xa92879bdU, \
    0xb2f2c131U,     0x8ce15246U,     0x402fc53aU,     0xc86685a6U, \
    0xfb528b1aU,     0x9ea02eafU,     0x856dbb7fU,     0xce7c6ff0U, \
    0x1bbc2cf3U,     0x8ba36c16U,     0x2bc8dc5eU,     0xb0aae435U, \
    0x377b5e28U,     0x17200ba7U,     0x0aa2fa68U,     0xc2174e2cU, \
    0x0c0a4abcU,     0x7ee3bb7cU,     0x24ed068dU,     0x40535c73U, \
    0x71afd326U,     0xf526daf1U,     0xd5e2a59dU,     0xb3270d61U, \
    0x7b2769daU,     0xf09a1e45U,     0x21a7dd34U,     0x43eaacb9U, \
    0x7d773442U,     0x20f85fbdU,     0x8ecb3bc6U,     0xfb69af3bU, \
    0x6e014e58U,     0xe5807cb3U,     0xd1ab7765U,     0x4e0e3ff8U, \
    0x7a2ba996U,     0x5713228eU,     0x220d50b7U,     0xa5714775U, \
    0x9f1127aeU,     0xbd000ca4U,     0x24460512U,     0x76ea78c3U, \
    0xfcd29547U,     0x9ace815dU,     0xda7fa0c4U,     0x07f8b36dU, \
    0xf52deb3bU,     0x115bf72fU,     0xdf48d6f8U,     0x9606bc51U, \
    0xac437764U,     0xb0f2aee9U,     0x716f5553U,     0x84facaf7U, \
    0x437d6de6U,     0x68f8c479U,     0xddda5c00U,     0xb4175c6aU, \
    0x325707d2U,     0xe23a3111U,     0x328a1691U,     0xb0e0a217U, \
    0xc41e96ceU,     0xd5b71f47U,     0xb0fba4e7U,     0xe1c46ed2U, \
    0x889ae275U,     0xdd7db120U,     0xaabd4dc3U,     0x059ea36cU, \
    0x8ced890aU,     0x270d0dafU,     0x41cd3191U,     0x1d3c9e62U, \
    0xdadf2e9fU,     0x5ccb267aU,     0x7a02695cU,     0x9f314cc7U, \
    0xa3df443dU,     0x86f2470bU,     0xc6373405U,     0x14484ef3U, \
    0x6ab67874U,     0x1ad60669U,     0xfff5b613U,     0x21afe637U, \
    0x0645272fU,     0xfe27d4fbU,     0x0338ce54U,     0x18fe4cbcU, \
    0x3c38751bU,     0xa24bdc04U,     0x47f96ddcU,     0x78d1d3a6U, \
    0xdcf8e905U,     0x46ef64e5U,     0xd0b8aeedU,     0x73ab19c4U, \
    0x1eabb8eeU,     0xfade8e56U,     0x07730073U,     0xfc4da8ceU, \
    0xa41cc6bcU,     0xc46573b8U,     0xe981fd20U,     0x4f617777U, \
    0x75ad00acU,     0x103f45c6U,     0x273bc745U,     0x99258aabU, \
    0x7c16a5f6U,     0x0b95396dU,     0x560d27c0U,     0x7933e01bU, \
    0x54b1f61fU,     0x49b346f5U,     0x066c4194U,     0x07d69b59U, \
    0x2713c129U,     0xbd2c49d6U,     0x6a41cae4U,     0x7b180e1bU, \
    0xdd26a670U,     0xe190640fU,     0xc28f2cacU,     0x8acde642U, \
    0x7e320ba3U,     0x99fd7a9fU,     0x31ec92d8U,     0xfe0f08f5U, \
    0x38830cefU,     0x719f9754U,     0xeaf2b063U,     0x02d8fbd1U, \
    0x3ae4f4a3U,     0xf5baa8c2U,     0x8c600127U,     0x12833c53U, \
    0xeb27458eU,     0x046918c8U,     0x002a70acU,     0x34999fdaU, \
    0xaf1105e6U,     0x6526c381U,     0x16b22bc0U,     0xc3d35548U, \
    0xaa3cb5beU,     0x9269b209U,     0x109c60dbU,     0x2df86ef2U, \
    0x72ea1681U,     0x54d99052U,     0x977a387eU,     0xc3b8b2fdU, \
    0xe56ea98aU,     0x89a769a3U,     0xf5625872U,     0x76f7a62bU, \
    0xe231da02U,     0x47cce657U,     0xad3ca68dU,     0xc6e74f8fU, \
    0x3567c2e7U,     0xac4bbd75U,     0x2b8c4ab3U,     0xedef7390U, \
    0xeff446abU,     0xc22f6d10U,     0x07dc68b5U,     0xb889799cU, \
    0xec3c4144U,     0x75664494U,     0xab3fe0e7U,     0x7961aecdU, \
    0x8c7f73e5U,     0x0b998b57U,     0x580deff1U,     0xa01e7506U, \
    0xb192acccU,     0xcc2e6c1eU,     0x59e0c6adU,     0xe9084429U, \
    0x950e3e99U,     0x2dab7925U,     0x7627274dU,     0x71152ad8U, \
    0xe5c96940U,     0x65da9f26U,     0x213647f6U,     0x52eb7a87U, \
    0x303cd91aU,     0xdc907f6cU,     0x6c13e5a3U,     0x413e2382U, \
    0x3660ebe0U,     0xd5e85442U,     0xa99c136eU,     0x9ac5ab6eU, \
    0x092a0c3fU,     0xc842eaa2U,     0x94fbf6f5U,     0xf89aa57eU, \
    0x562a4ef5U,     0x9fedaa27U,     0x3d06c373U,     0x293a4ff8U, \
    0x162526a6U,     0x99ff4505U,     0x624c616cU,     0x6af07979U, \
    0xf4c9c8c2U,     0x999fca84U,     0x61d573beU,     0xa5df555bU, \
    0x2be9885dU,     0x88d3e7acU,     0x8a94350bU,     0xe962153eU, \
    0xf0888a29U,     0x67f26ea8U,     0x31ca2e57U,     0xed074eb6U, \
    0xc8277745U,     0x04d470f5U,     0x57d7a384U,     0xe96e45d3U, \
    0xc97ad976U,     0x2d668314U,     0x3828509fU,     0x4be6247aU, \
    0x52c8e3d9U,     0x6f5128b4U,     0x59d32828U,     0x5f7bc4b2U, \
    0xc2be8210U,     0x1ac8b691U,     0x7a1088daU,     0xe457e0d5U, \
    0xb1f7e453U,     0x15063e8cU,     0x78485ba8U,     0x61c78ef8U, \
    0xe930d4b1U,     0x3ff345bdU,     0xebc9b852U,     0x75843676U, \
    0x55b5a763U,     0x2d6e49d3U,     0x0dd7eb58U,     0xd998bccbU, \
    0xb5f15096U,     0xa37d2902U,     0x2774f88aU,     0x23ea217bU, \
    0xdaecf6f4U,     0xc52a86e3U,     0xcee6fe0cU,     0xb3b3ca29U, \
    0x21f66804U,     0x0607a737U,     0x49b51006U,     0x7fcda462U, \
    0x12c3aeefU,     0xeeee0cb2U,     0x8e894501U,     0x50fc6eddU, \
    0xf47ef45aU,     0x242b2dd8U,     0xf3b9c255U,     0x7bebf820U, \
    0x91d40bf8U,     0x3da3fa36U,     0xbc18a9faU,     0xc8f6c356U, \
    0x73e685efU,     0xfccbbd3aU,     0xf9a071baU,     0x31ed4e59U, \
    0x02c98a54U,     0x3e3cdb2dU,     0x259bed27U,     0x6c8aa069U, \
    0xb4619c7aU,     0xc9e2fd2dU,     0x1e9fe2beU,     0xee9dc44dU, \
    0xcb5815e7U,     0xa5107d24U,     0x82ceed28U,     0x898eaaa9U, \
    0x91fc95d2U,     0x5feeae75U,     0x8ed5822bU,     0x101b811aU, \
    0xb35a7f1aU,     0x588e7c2bU,     0x5007085aU,     0x7e122610U, \
    0xac7e4d47U,     0xa7ce1a97U,     0x1c5476c3U,     0x91207528U, \
    0x6e2e33f5U,     0xf857e08eU,     0xb8890135U,     0x819e7d5cU, \
    0x729cacabU,     0x6a4a5d91U,     0x851409a8U,     0x8138fa4bU, \
    0x8c35e4c1U,     0x2e23ca1dU,     0x8f88e4b1U,     0x6bc417e3U, \
    0xe9d3b739U,     0xe8074cb0U,     0x08366963U,     0x49a66b42U, \
    0x7f54f4c0U,     0x08e6768aU,     0x346447d8U,     0xaadf18cfU, \
    0xd24526faU,     0xcae2c472U,     0x7dcce38cU,     0x32449e37U, \
    0xe9b230d8U,     0x9aa9d9ffU,     0x1a0ac8b9U,     0xa7711cd0U, \
    0xb4e8ba30U,     0x76e05fafU,     0x14e7026dU,     0xaccf8532U, \
    0x03cd6855U,     0x64004b15U,     0x5570712cU,     0x8d89d401U, \
    0xe3f70f9eU,     0x3676129aU,     0xfdb17e6eU,     0xaf4c24a1U, \
    0xc737bd91U,     0x30f04bc7U,     0xf795bc05U,     0x2d44c0d0U, \
    0xcdbff418U,     0xf3027be8U,     0xc29dfa0dU,     0x45b229e4U, \
    0x8c32f37cU,     0x4ef52131U,     0x2920d561U,     0x7de1f014U, \
    0x1861f386U,     0x2b4931b4U,     0x938ca5d3U,     0x3a4398faU, \
    0xcab8281dU,     0xfa2a8cd5U,     0x2f633521U,     0x8f6f172fU, \
    0x8cfe310aU,     0xec0076fbU,     0xa3e764cdU,     0xc489e925U, \
    0xa88aa5b6U,     0xac2f2c60U,     0xa47f9100U,     0x7d72bcbeU, \
    0x58802825U,     0x8c338645U,     0xbd6eaa7dU,     0xab6585d1U, \
    0x2a9d9567U,     0xb7c76782U,     0x64ae0025U,     0x51070856U, \
    0x99d83385U,     0xcf9b6b16U,     0xce52a284U,     0xd0284652U, \
    0x64a8bff3U,     0x33d6c989U,     0x172eec89U,     0x5624fd80U, \
    0x316f9f96U,     0xbb0b5ad9U,     0x46e93777U,     0xbd179f82U, \
    0xda874fbaU,     0xad0d209eU,     0x424bb135U,     0x085ae7feU, \
    0x6addc20bU,     0x208edceaU,     0xdaca7b92U,     0x3c975aabU, \
    0x7f9e2319U,     0xc17fc0a4U,     0x5667633cU,     0x729f6816U, \
    0x27e41248U,     0xbc9206afU,     0x9743b691U,     0x448d9bc3U, \
    0x931cf1cbU,     0x5d30581dU,     0xd8bccd8cU,     0xb87f009bU, \
    0xd51e6bc3U,     0xb2ae55bdU,     0xfe6be5fdU,     0x5d245205U, \
    0xbc501df2U,     0xae5c27dbU,     0x070619a4U,     0xf03bb0d3U, \
    0xfc678ef5U,     0xfc0de41fU,     0xd32675bcU,     0x0b1a823fU, \
    0x7aecac08U,     0x1f242f3eU,     0x60707109U,     0x6373a1dbU, \
    0xc666284eU,     0x4c857ce5U,     0x1837cd0dU,     0x3b5b4833U, \
    0xe058b96fU,     0xf67fe8c0U,     0x7bd22f0eU,     0xc0657460U, \
    0x72cf058fU,     0xf3611b0bU,     0x4bd27b83U,     0x05404262U, \
    0x0ee750a6U,     0x68ca30daU,     0xf706e834U,     0x6eb78092U, \
    0xc827d54aU,     0xa84ce9c5U,     0x8435ba76U,     0xbf4cef8bU, \
    0x00f826a1U,     0x5381b6dcU,     0x2242c091U,     0x221d8a51U, \
    0x223892d9U,     0x0916322fU,     0xbf090a98U,     0x1284ca29U, \
    0x9075019bU,     0xaffa29beU,     0x1a3ab8c9U,     0x77b3161aU, \
    0x6b8a8d35U,     0x2adfa3cfU,     0x7f44d25aU,     0x3b10f3c4U, \
    0xff4e9dc5U,     0x0740f443U,     0xa1e6bceeU,     0xb4ae1723U, \
    0xdf614ecdU,     0x1040bd68U,     0x024fdeebU,     0xd579a65aU, \
    0x2c1f1c4cU,     0x27de6686U,     0x77e3c62aU,     0x6656fd89U, \
    0x0a8acf38U,     0x74a29a30U,     0xf9186db1U,     0xfe1e933dU, \
    0x6d275ebbU,     0x9311f2e5U,     0xe8378437U,     0xcf7ac7daU, \
    0x0e11e89bU,     0x691e5cfdU,     0x4153d619U,     0xde210033U, \
    0x5d1761c6U,     0x4f423e5bU,     0x120f5bbbU,     0xe4b257fdU, \
    0x27b62c22U,     0x0f79a1dcU,     0xf1d16fd3U,     0xb9ab0973U, \
    0x6017b227U,     0x457161a5U,     0x88229850U,     0x23cd7f30U, \
    0xd5d7e9f0U,     0x4eb2d55eU,     0x173b132cU,     0xa7f29ef9U, \
    0x9ec72613U,     0x3d2dccd6U,     0xb6d95570U,     0xeb05d711U, \
    0x2798c175U,     0x435a7095U,     0xf88e4f09U,     0x03d42a16U, \
    0x14b3c997U,     0x8acfddacU,     0x59959230U,     0x0e5251d1U, \
    0xcc33604bU,     0x19f920d8U,     0x8b8bb376U,     0x63afc8e5U, \
    0x06ab1601U,     0xb6a94a57U,     0xeec081feU,     0x0af5181bU, \
    0x2dfcfb93U,     0x21af7ce9U,     0x9366ebbdU,     0xba308d9aU, \
    0x2fe04bafU,     0x469647a0U,     0x57781205U,     0xa7c23b8eU, \
    0x160d2e44U,     0x65b259a1U,     0xe44cbc77U,     0x77d23f18U, \
    0xbc457d07U,     0x134a1ab8U,     0x4228d892U,     0x79f084c1U, \
    0x73464472U,     0xb8cbeaaaU,     0xbe5dd7a5U,     0x26a31200U, \
    0x23d72ce6U,     0xf1efd129U,     0xba515240U,     0x7436e464U, \
    0x1f1d8726U,     0x6aab00dbU,     0x1aa3570eU,     0x60cb4780U, \
    0x001b9001U,     0xe55db593U,     0x8765d985U,     0xf297ad50U, \
    0x4de753d4U,     0x254dbd6eU,     0xce76eaa8U,     0xec81b151U, \
    0x4479a6ddU,     0x81496f69U,     0xe318cf41U,     0x63271d77U, \
    0x7a158319U,     0xb06c1c5eU,     0xb55d3419U,     0xd6018271U, \
    0xea551e73U,     0xa57656b6U,     0x8ccee570U,     0x69156c76U, \
    0xf1f840bcU,     0x62ad4cc7U,     0x5796165dU,     0xa3a59e70U, \
    0x8dc30706U,     0x01721908U,     0xdf1878caU,     0x2677a39fU, \
    0x2babec49U,     0x92302b64U,     0x8db9ecafU,     0x3e567c33U, \
    0x77075df0U,     0x23fd1d66U,     0x2c17f6cdU,     0xba412878U, \
    0xe9e63856U,     0x1adbd33eU,     0xeaae401aU,     0xc4a9b6c7U, \
    0x3afbce39U,     0xe9a8684dU,     0x47f0b3ddU,     0x097738acU, \
    0xc2582f9bU,     0x9ff67888U,     0x2e2eb4deU,     0x9c505e35U, \
    0x62ae8680U,     0xf1ce7927U,     0x32473b80U,     0x8e5dfa12U, \
    0x2116e1faU,     0x12cccb2fU,     0xf258ccc3U,     0x7b30a7a9U, \
    0x61ae8f38U,     0x7dc086e6U,     0x44353391U,     0xf839312aU, \
    0x2e9b796fU,     0x332352c6U,     0x1db0990eU,     0xc62706d3U, \
    0xf13b1d04U,     0x66b2cd5eU,     0x217d24aeU,     0x2d1b015fU, \
    0x8eb67e72U,     0xbb058d4cU,     0x5d6fef1fU,     0x15100f7cU, \
    0xf1b40071U,     0x6484ad9bU,     0xfb0a6bcaU,     0xb47dd72bU, \
    0x9b2f36abU,     0xe95ca6c5U,     0x76346859U,     0x43fdf29aU, \
    0x2e6265ecU,     0xa71de60cU,     0x92b5b4b0U,     0x6f84c10aU, \
    0x71f75186U,     0xe5aa4c57U,     0xb8aa9cebU,     0x37f5b44aU, \
    0x838a0ae0U,     0x595d54faU,     0x8f88fb09U,     0x43316d62U, \
    0x71ae9dafU,     0x62aa114aU,     0x4344b109U,     0xd1adcb5eU, \
    0xa1fc6232U,     0xbf158b0dU,     0xdd155d22U,     0xab210780U, \
    0xad92acc5U,     0x14107b12U,     0x4ad6f903U,     0xa119386bU, \
    0x010efeb0U,     0x56a6e907U,     0xddd3a455U,     0xa04b5802U, \
    0x6759817bU,     0x77bb67c8U,     0x3eedbc43U,     0xaf5973b4U, \
    0x8d4bcc1bU,     0x1840e6a2U,     0xbd58ac74U,     0x565e1f7aU, \
    0x09147bc4U,     0x11f2b301U,     0x586d4ed5U,     0xb8e78445U, \
    0xb4381d9dU,     0xedd1d2f7U,     0x27642497U,     0x66fc011aU, \
    0xf6b3b456U,     0x54f63781U,     0x469d55f7U,     0xba9ba02fU, \
    0x24217c63U,     0x81ecf637U,     0xbc56cf8cU,     0xeec7e023U, \
    0x705df8d1U,     0x92f80ff9U,     0x8b519941U,     0x52f47f6cU, \
    0xda6e5e08U,     0xf463f064U,     0x46615eb6U,     0x090bd814U, \
    0xaadb23c6U,     0xff728f5cU,     0xdebba854U,     0x01eb361bU, \
    0xb4e80658U,     0xb25f2adeU,     0x55759439U,     0xde107410U, \
    0xeb7b560aU,     0x3935101cU,     0x86fdd3c3U,     0xc985a1f3U, \
    0x8060422dU,     0x8b1a0525U,     0xa4d157aaU,     0x82c9c547U, \
    0xb7937e6bU,     0xbc171cb2U,     0x8b4a58e8U,     0x49835f8cU, \
    0x85c610fdU,     0x90edcc09U,     0x1a7275b2U,     0xe320ec1eU, \
    0x91d40e78U,     0x4788a825U,     0xc2a51de2U,     0xeb706eeeU, \
    0xe502cbddU,     0xb558119fU,     0x3be3aa08U,     0xe9488c30U, \
    0xcef8e8fbU,     0xa651fe08U,     0x40b91c6eU,     0xfdad2576U, \
    0x7f761954U,     0x0951c6bfU,     0xd5e36187U,     0xe96d0f70U, \
    0x4a21952aU,     0x0908f426U,     0x15c8af81U,     0x73ec0827U, \
    0x48a8ba98U,     0x25e181c6U,     0x38550fc9U,     0x17b8a35cU, \
    0x820e68d8U,     0x718ea4e2U,     0x5f479c6fU,     0xb22e2ae9U, \
    0x73c7d399U,     0x43e33f0dU,     0x74e39253U,     0xa429306fU, \
    0x443e0f1bU,     0xd15a0340U,     0x7a583b8bU,     0x13a2733dU, \
    0x0366737dU,     0x70f56718U,     0xdaae0451U,     0x67ff4f6dU, \
    0xd261e6d0U,     0xd6063b11U,     0xbce8c888U,     0x37332ef1U, \
    0x02d18c8fU,     0x2ab7503fU,     0x50f2f857U,     0xf3f8b96eU, \
    0xbdd5a57fU,     0x1209623aU,     0x04a5aca2U,     0xf107c408U, \
    0x02833753U,     0xdcb7c2b8U,     0x2fe558b3U,     0x01d4beb1U, \
    0xd0be9e30U,     0xa231d69bU,     0x1176d6c2U,     0x84b55e21U, \
    0xd05f1453U,     0x8fb11d41U,     0x90d7589bU,     0xcdc279dcU, \
    0x16697106U,     0xce9f119eU,     0x49b26873U,     0x897dae7bU, \
    0x41205ca8U,     0x93de9e3cU,     0xdcd0fc69U,     0x2025e5f4U, \
    0x45eba26dU,     0xdfe123efU,     0x567ae70eU,     0x762ca6aeU, \
    0x03897573U,     0xad5fb7f4U,     0x840e9315U,     0xfe7ea739U, \
    0x4104278dU,     0xf680815dU,     0xaca77999U,     0xc5441da7U, \
    0xd541a574U,     0xed9b195dU,     0x0e5566feU,     0x3fa980dcU, \
    0x5edefa70U,     0xe25672a7U,     0x60d27cecU,     0xa4a3c003U, \
    0xfa94eae2U,     0x23865948U,     0x622ac052U,     0x5b1eba1eU, \
    0x31afb44dU,     0x0dcbe703U,     0x9efd9f81U,     0xfa6fb36bU, \
    0x8c041942U,     0xcfc87a87U,     0x9a52a1acU,     0x0c63e581U, \
    0x26efc989U,     0x90afe3bbU,     0xb527e240U,     0xacd1169cU, \
    0x28f4999aU,     0x92b75f45U,     0x10dd596eU,     0x6c499248U, \
    0xcc23ee4eU,     0x234d2377U,     0x25b95835U,     0x76d97fc8U, \
    0x5fa815c8U,     0x328c08a5U,     0x65f0ba04U,     0x8ff2d9b2U, \
    0x0df4455cU,     0x981fe37eU,     0x54b9289fU,     0xde551803U, \
    0x8e2bdba8U,     0x131bc721U,     0xa5db579cU,     0xf682a6bcU, \
    0xab24970cU,     0xb2fb2ffdU,     0xfef06992U,     0xa030e355U, \
    0x3510a462U,     0xaa504d52U,     0x25787995U,     0xac1c7f85U, \
    0xfddc9051U,     0x70b3e90fU,     0x6d222e38U,     0xf345727eU, \
    0xdc805ae2U,     0xa7c11138U,     0xf1866030U,     0xf03e1b09U, \
    0x9f126d9fU,     0x07abe164U,     0xb6c6ef72U,     0xc4f4ab90U, \
    0x852e5736U,     0x5f166ba2U,     0xf70527e2U,     0x575e9a43U, \
    0x2905fe62U,     0xa749f2e3U,     0x75c1bbdaU,     0xd5f4c437U, \
    0xba2c4f2aU,     0x3ea8e92aU,     0x3a43c396U,     0xf7e6071aU, \
    0xbbecb904U,     0x17f9ceffU,     0xe0ca75e8U,     0xf7035d9cU, \
    0x9e621448U,     0xc2d6d7ddU,     0x49646be8U,     0xb35198daU, \
    0x1155076bU,     0x47e0f035U,     0xd63864c5U,     0x7306cdcbU, \
    0xbbd36a0fU,     0x5ac7fdb8U,     0x844e7fd1U,     0x38782371U, \
    0x6b30f5bbU,     0xa1c006fbU,     0x51076b79U,     0x9673c67dU, \
    0xf7e608ddU,     0xe0fe4016U,     0x49e4bba0U,     0xdd6a6e6fU, \
    0x9a7ffbbfU,     0xc7a86b04U,     0xaae79b15U,     0xe41d4a12U, \
    0x376da05bU,     0xf5acc19dU,     0x6bec9c3eU,     0xddcfac14U, \
    0x0a692507U,     0x2a2f5b79U,     0x8256b398U,     0x902fe67fU, \
    0x83258c8fU,     0xe8bd7931U,     0xa1fdc8f9U,     0x3c6e38c2U, \
    0x6e682295U,     0xd148613aU,     0x3bdc98b2U,     0xa720bd5bU, \
    0xdf42d200U,     0x709534ebU,     0x3044731fU,     0x212bc57bU, \
    0xb063ba6fU,     0xf194886dU,     0xb5f4c0c1U,     0x35f5e878U, \
    0x6163f572U,     0x91642149U,     0xb0d4b17fU,     0x0c4db273U, \
    0x64f4a8ffU,     0x5c21c148U,     0x87105b84U,     0x21051e6bU, \
    0xa41e0e6fU,     0xce8f4b38U,     0x25a3ccc8U,     0xc8704575U, \
    0xf505aca2U,     0xd91f3eafU,     0x6acf28b6U,     0x8a06bb72U, \
    0x6cb7903aU,     0x697b3434U,     0xe39aebf2U,     0x93195105U, \
    0xd9451f83U,     0xcd218043U,     0xcc4463c1U,     0xd622d9c8U, \
    0xdf474538U,     0xef40892aU,     0xc557d9c5U,     0x590acfcfU, \
    0x92c456f1U,     0x952412adU,     0xb8eea0c7U,     0x1d1e4e8cU, \
    0xe6c291aeU,     0xc5a8f0a9U,     0xdabe2b50U,     0xaa01cf09U, \
    0xfc2520e0U,     0x0aeaaadcU,     0x0de8941dU,     0xc87c108cU, \
    0xc53fcd29U,     0x28b9cc6eU,     0x10346f0eU,     0x9e5ea649U, \
    0x4b087f70U,     0x90a98650U,     0x6eeb72c1U,     0x93122437U, \
    0x6f6d8c56U,     0xf16c72c6U,     0x43ce8ba3U,     0x00222da3U, \
    0x5ef36653U,     0x9639827fU,     0xb1af8bc0U,     0xbbfe8f8dU, \
    0xc22dafb4U,     0x8496602aU,     0xd4af3ff8U,     0xfae7336bU, \
    0x11578ed0U,     0x179e7053U,     0x909fb5afU,     0xecd7744bU, \
    0x1487ec2cU,     0xe3de73ceU,     0x5fc3e64cU,     0xb34a9741U, \
    0xc4c9aa4aU,     0xd68747e6U,     0x75527c7dU,     0x888b0a2bU, \
    0xab559764U,     0x698d4d72U,     0x2bb6669eU,     0xa78c8d14U, \
    0x6076920aU,     0x3f775b62U,     0x324bc300U,     0x05c28426U, \
    0xc5b2acbaU,     0x0378ba5cU,     0xc622726fU,     0xa8b25eb3U, \
    0x2e479290U,     0xa579b949U,     0x77d597c6U,     0x245ff9c2U, \
    0x37b2d2fdU,     0x88bf5013U,     0x009a5a7aU,     0x85a30ea3U, \
    0xf3ccd557U,     0x79a8c069U,     0x93623c49U,     0xa60fe25eU, \
    0x39485afeU,     0xd47eb11dU,     0x927db050U,     0xee04239fU, \
    0x099d49c4U,     0x77f15fdfU,     0xcea7387cU,     0x683586bfU, \
    0x26c68452U,     0xdfc5efecU,     0x566586cdU,     0xa74e39bcU, \
    0x271e1531U,     0x279b3139U,     0x28e875f4U,     0xad4e61bfU, \
    0x493fd763U,     0xcf4328d3U,     0x434dbddcU,     0xcba0a336U, \
    0x37f72cddU,     0x9ca4d250U,     0x4074d3dcU,     0x07cc5e6dU, \
    0xa532e6f6U,     0x08786f90U,     0x62864d12U,     0xb533fbb0U, \
    0x0876d647U,     0x8584c9a3U,     0xae93fe6dU,     0xf111f304U, \
    0xfe41c2caU,     0x1c1b6207U,     0x73d871aeU,     0xfe311e84U, \
    0x177e7e01U,     0x84ceafb6U,     0x45fb334cU,     0x5adfbdc6U, \
    0x8bdcde01U,     0x358d2c65U,     0x73dba755U,     0x53ffdd9fU, \
    0xa4f04f39U,     0xa8d498f0U,     0xd8a6702fU,     0xf8092324U, \
    0xadada75eU,     0x950099c4U,     0x96ba5e7dU,     0x201c6b09U, \
    0x39d5ddf2U,     0x32a39b05U,     0xe5374fabU,     0x26bfa51aU, \
    0x0f04c7e0U,     0x2ed472efU,     0xeb360ff3U,     0x3b78a86eU, \
    0x3cb1834dU,     0xeb24a410U,     0x73671a67U,     0x2a340f0fU, \
    0x91c84577U,     0x60ca16cfU,     0x8d080eb6U,     0x45852eaeU, \
    0x9bf5c6c1U,     0x7ec77971U,     0x08a803a5U,     0xd49a92e6U, \
    0x20278eb5U,     0x9c15954cU,     0xbbf84a08U,     0xc76807daU, \
    0xf6f78ed8U,     0xfd791ee3U,     0x4618d4e7U,     0x26423a5eU, \
    0xdb11bda9U,     0xd2202342U,     0x57bcbb4dU,     0x42e99525U, \
    0x17fcf657U,     0xbbbdb381U,     0x9794499aU,     0x97610ebbU, \
    0xe89cfffbU,     0x3e79fb3bU,     0x46cebaeeU,     0xb303534dU, \
    0xb567dabeU,     0x0742f99aU,     0x0459ea2cU,     0x4e3081d9U, \
    0x292ff3d1U,     0xbc3f85a7U,     0xcebdaef7U,     0x3ed2286cU, \
    0x202c8a53U,     0xe2959819U,     0xfe4afa32U,     0xd5ba4620U, \
    0x43cd7b16U,     0x8558e583U,     0x034d7e08U,     0xc8d2d996U, \
    0xad01780cU,     0xbcacfda9U,     0xc94d9badU,     0xb00f2401U, \
    0x48960032U,     0xf1a714fbU,     0x4e9c07fcU,     0x03c3b9ddU, \
    0x7726a557U,     0x277b9208U,     0x061c2046U,     0x2cd75466U, \
    0x0532f168U,     0xe2106719U,     0x43d2019bU,     0x5f54a9f7U, \
    0x990cdb3bU,     0xc85fdba5U,     0x008c18cdU,     0xb15b2d51U, \
    0x485342d8U,     0xa05a8af1U,     0x2f73db52U,     0xb15c31eeU, \
    0x9902b119U,     0x85f7a46dU,     0x72f9b390U,     0x5541610dU, \
    0xd490298bU,     0xaac7436eU,     0xa32a2f4aU,     0xcbcdb886U, \
    0x7916b47fU,     0x4713c44cU,     0x37c60a1bU,     0x36816052U, \
    0xf266e54dU,     0x612ff874U,     0x096b9a9eU,     0x21366da7U, \
    0xd2402084U,     0x9d29bcc9U,     0xa4c235b9U,     0x6a39c516U, \
    0x656bbcf6U,     0x5593f118U,     0xc9f21c10U,     0x76f65279U, \
    0x26535fd5U,     0xa012905dU,     0x10392b1fU,     0xc55ad746U, \
    0xc1eba37eU,     0xe2f27164U,     0xd98a36faU,     0x5a1d78d2U, \
    0xd317d3d3U,     0x4a9b534cU,     0x63919e11U,     0x78a8b604U, \
    0x9ab6665fU,     0x152571c7U,     0x89500612U,     0x988bb5d0U, \
    0x1fdc3489U,     0x1e16ec5cU,     0x79950108U,     0xc438e4c9U, \
    0x353d8c95U,     0xd77ef330U,     0xa1bb0fd5U,     0x34c0b167U, \
    0xa3c6e433U,     0xaf51275aU,     0x8191d2eeU,     0x0a541a01U, \
    0x2c7c70c7U,     0x5d42e9b7U,     0x0b098cc8U,     0x3968ea85U, \
    0xa329372fU,     0x1dd84c50U,     0x154b44f4U,     0xd224faa8U, \
    0x0597c94aU,     0x9154a36cU,     0x737f3ceaU,     0xe7959579U, \
    0xfa843901U,     0xe65fc678U,     0x433b0cc4U,     0x228415b4U, \
    0xaa004874U,     0x1f8896fdU,     0xc206a668U,     0xde9ad597U, \
    0xaf5f969dU,     0x0d13ce54U,     0xcc56cdfcU,     0x8ecb23d0U, \
    0x3f0ec55bU,     0xa51010b4U,     0xd65bf173U,     0xede4deebU, \
    0x8f27ea19U,     0x8f7c5b92U,     0xca722773U,     0xc8a44c6eU, \
    0xa3658ab7U,     0xed334d85U,     0x91be3a63U,     0x0f90b64aU, \
    0xa3fef29eU,     0xcdd23cffU,     0xc92caa36U,     0xd64ac5d3U, \
    0xc331bfd2U,     0x09a29903U,     0x74f659edU,     0x28ac432bU, \
    0x58b9fb9aU,     0x1e069adeU,     0x3f74762bU,     0xc67c69bfU, \
    0xddd70fc8U,     0xd1423385U,     0xeb61e847U,     0x5cecc7cdU, \
    0xf14d41a6U,     0xf673e6bfU,     0xb512f16eU,     0x0f05ddc0U, \
    0x12c5cf2fU,     0x7df46656U,     0xcabe84f1U,     0x7dfcce0bU, \
    0x6764ab2aU,     0xc0d47987U,     0x811b0f33U,     0x8e01afdbU, \
    0xeb3799efU,     0x0c4f463bU,     0x94eefd2bU,     0xb0a9e452U, \
    0x066e775cU,     0xfbe99b30U,     0xec968471U,     0x46a26012U, \
    0xa44f3458U,     0x43853f28U,     0x386ced1eU,     0x5da72e57U, \
    0x8229e355U,     0x44dae54cU,     0xcb31abe8U,     0xdae311cbU, \
    0x37966c0dU,     0x6c5a32f9U,     0x36a4a384U,     0xa62fe678U, \
    0xefbe86a5U,     0x5838de94U,     0x165839aaU,     0x1beb5bd8U, \
    0x84c62b00U,     0xb72ea847U,     0x526c65afU,     0xd2307dd4U, \
    0x1f5c86d6U,     0x6c6ff0b3U,     0xd6acad8dU,     0x207b2dc7U, \
    0x4d5a52bbU,     0x219c7d18U,     0xb34dda7cU,     0xd4fe7574U, \
    0x512d2a3eU,     0x58bdd68eU,     0x008c0f81U,     0x81dd7fffU, \
    0x3f6431f3U,     0x83057e83U,     0x28ef8613U,     0xeb58c416U, \
    0x18f306c3U,     0xa1e4b7aeU,     0xd754d47aU,     0xe780370dU, \
    0x20d79411U,     0xbf50bf19U,     0x8d4a41feU,     0xcd8189dfU, \
    0x3cd80fd6U,     0xf8de756cU,     0x70da8974U,     0x72bedc71U, \
    0x07195f35U,     0x61dd7f90U,     0x245d3010U,     0xbe4735b6U, \
    0x68e8279bU,     0xe2f165acU,     0x8ffcbc68U,     0xd2cd07c8U, \
    0x4f0650bdU,     0xfa219abaU,     0x675fa407U,     0x3e4d5b6cU, \
    0x477f4fe2U,     0x8d998c8fU,     0x79cf162dU,     0x9517b22cU, \
    0x4f2c6c05U,     0x4833c3f7U,     0x536c52c8U,     0xa0cdbd5eU, \
    0x5dd29bdeU,     0x5750ed44U,     0xf32b68bfU,     0x4c363dcfU, \
    0xf6be9459U,     0x2b45abdaU,     0x0e60899fU,     0xcd24ea16U, \
    0xb6c8f47bU,     0x70be5849U,     0x103efa18U,     0x22e438adU, \
    0x18c1852eU,     0x965b8bd9U,     0x2ade7c29U,     0x44361d03U, \
    0xafd91b66U,     0x50ac692eU,     0x6a418490U,     0x22dd0b35U, \
    0xbfaf1c1bU,     0x33b9678fU,     0xb3585046U,     0x749108b3U, \
    0x6c4706f8U,     0x1fba37ebU,     0xb7a0fca8U,     0xa61b47aaU, \
    0x33fd00b9U,     0xf6c31b03U,     0x0f13dc53U,     0xdd72ee02U, \
    0xfd1f9e00U,     0x04f15714U,     0xa8c7285bU,     0x1a4b2cafU, \
    0x05073dd3U,     0x20b0f990U,     0x68d1ebf9U,     0xc622b132U, \
    0xa1b89eb9U,     0xaeabc01aU,     0xb76fdf78U,     0xc64c6f80U, \
    0xbfb57f59U,     0x114f7adaU,     0x9b3c59faU,     0x3c4c59ceU, \
    0x33b0e2adU,     0xa345df9dU,     0xe7fad009U,     0x86362edbU, \
    0x6c57baf0U,     0x6510d763U,     0x792b1e8dU,     0x342d2e45U, \
    0x26ae9695U,     0x9782b3d5U,     0x34697012U,     0x46835ea3U, \
    0xb36f8909U,     0xc960a937U,     0x049034a7U,     0xb107d25bU, \
    0xf0ab214bU,     0x26d82810U,     0x162eb729U,     0x0385c128U, \
    0x2851569dU,     0x6d37adc5U,     0xc99e1edcU,     0x84c57367U, \
    0x55c0b2aaU,     0x844d453dU,     0x1cf8a194U,     0x3e83e036U, \
    0x640769d1U,     0x4c6593abU,     0x96ec7b85U,     0x8213790eU, \
    0x94d9be45U,     0x5df4d905U,     0xe71d6718U,     0x91e4fdcbU, \
    0x83b1926fU,     0x1291a595U,     0x5327a801U,     0x05f72a32U, \
    0x0ad1b7b5U,     0x90a4942fU,     0xcc5d80e3U,     0x4d5efb70U, \
    0x5676b404U,     0xd0d970f7U,     0x673a889dU,     0xc81f16d2U, \
    0xf65ae6b6U,     0xac24cdafU,     0xfe16637aU,     0x6d68191aU, \
    0x854cdd6bU,     0x52d6311bU,     0x2644ef61U,     0x4784bf44U, \
    0x95f87caaU,     0x1677c3bcU,     0xd2e814ccU,     0xc0c702f6U, \
    0xbd79a4e1U,     0x9fad196eU,     0xa1073f6eU,     0xaccd72bfU, \
    0xfff3f7aaU,     0x3b06f9fcU,     0x970c1721U,     0x95e583ecU, \
    0xb0d7ae25U,     0x422d4afbU,     0x4079ea83U,     0xc583c4cdU, \
    0xaf8803c2U,     0x77006003U,     0xa234ec9aU,     0xb8b2480bU, \
    0x0bdf264cU,     0xdb296182U,     0x1d66bd4dU,     0xd3f56a52U, \
    0x01a41959U,     0x628cc0f4U,     0x93f4ba26U,     0x61567981U, \
    0x7ef42428U,     0x21f31a2dU,     0xfc6ff208U,     0xf5dd47ceU, \
    0x5b9d6cc6U,     0x442fbf3dU,     0x68b61251U,     0xdb4490daU, \
    0xec8d36d4U,     0x50b38ad1U,     0xf514327bU,     0x13790a49U, \
    0x6f7ffbc7U,     0x97c6c8f9U,     0x82e29539U,     0xc2619062U, \
    0x6f34807eU,     0x9734e05eU,     0xe861f70fU,     0xab15efc2U, \
    0x4edca933U,     0xc8aaebdfU,     0x8d59c55dU,     0xc92fb4d7U, \
    0x96e997e5U,     0xdb933eeaU,     0xe4d72a51U,     0x4ba717f8U, \
    0x8640a1b6U,     0xe6507031U,     0xfd560522U,     0x453138b7U, \
    0x3c088f0dU,     0x6870bf54U,     0xb0d4395bU,     0x878990b9U, \
    0x0310b917U,     0xa9fc08beU,     0xce3bc8f8U,     0x96e63583U, \
    0x8de32668U,     0x484bac82U,     0xf638cbb0U,     0xdb8f6598U, \
    0xd943e1dbU,     0x6fcaff42U,     0xdbdfcb43U,     0xcd2ba307U, \
    0x6d335d90U,     0x1f4b7042U,     0x5cc7cf83U,     0x2f6d7b71U, \
    0x7abffb13U,     0xb117b92dU,     0xd9fa0c32U,     0x3f577a2fU, \
    0xd5c73b10U,     0x841e6228U,     0xd8d3f765U,     0xc66b50ffU, \
    0x271d2ecdU,     0xb0f59b4aU,     0x69956db4U,     0x9f3809daU, \
    0x6d6679c1U,     0x6cfbb6b9U,     0xa93b9d6bU,     0xc6e3a761U, \
    0xf88a8984U,     0x243ad846U,     0x22f8359fU,     0xc546942aU, \
    0xb238bbaeU,     0x88937d24U,     0xdc982306U,     0xb3f709c2U, \
    0xeb0f406eU,     0x7803d15cU,     0xb6147ebdU,     0xf7e95f8cU, \
    0xb0990108U,     0xb740554bU,     0xfffc6988U,     0x92ab90f4U, \
    0x51302c3dU,     0x0de83180U,     0xb4e3181aU,     0x2dc75a2dU, \
    0xe39a6a91U,     0xb61893e8U,     0xcdd52d5cU,     0xd2ac6ba9U, \
    0x95aa0544U,     0x8d95aa53U,     0x95f549feU,     0xd18ef952U, \
    0xdda4cde6U,     0x97f4f9d5U,     0xb93c4c4dU,     0xb8364f55U, \
    0x1e5cfac9U,     0x93ea0932U,     0xb9fbc682U,     0x0ef64972U, \
    0x26f321ceU,     0x043a308cU,     0x280d5ca4U,     0xa8b41295U, \
    0xe4c98852U,     0x5d37242bU,     0x03757247U,     0xfbbe158bU, \
    0x5b6c5067U,     0x518d9968U,     0xa1d0e229U,     0xcd5ff78aU, \
    0x70b48942U,     0xbf7979aaU,     0xdee97eeeU,     0x8ef2dbb9U, \
    0x137eab69U,     0x91e3ef37U,     0x874748fdU,     0x8b74a417U, \
    0x2493e153U,     0x5776d9a7U,     0x3a5a77ddU,     0x2951f82fU, \
    0x06218dadU,     0x7364f161U,     0x5aee9ca3U,     0x00e447c8U, \
    0xf48ef09cU,     0x1aaad833U,     0xa3ff38c5U,     0x5b6cf949U, \
    0xd42b2866U,     0x947329f1U,     0x730ff4d0U,     0x61b02670U, \
    0x43ba05ffU,     0xf9427d68U,     0xf7c65263U,     0x949657a7U, \
    0x3bfa3721U,     0x5ff1e7bcU,     0x7ac50419U,     0xa82a34a2U, \
    0xad93ed65U,     0x7ca70d3eU,     0xa5002a14U,     0xc2f3e906U, \
    0xab7e8d2fU,     0xb21e22fdU,     0x4190fd77U,     0xba88419eU, \
    0x33ba9894U,     0xa6c8409dU,     0xd4280459U,     0x9c64db07U, \
    0x51ebc3dfU,     0x8985c5a2U,     0x8ec5e0abU,     0xb4d19498U, \
    0x9e3bbcefU,     0x834a766fU,     0xb89cdebcU,     0xb21da97fU, \
    0xda7f4ca8U,     0x63e0c246U,     0xc914072dU,     0xd978a151U, \
    0xca10d47aU,     0x15668b12U,     0x80f6b327U,     0xe33ee83eU, \
    0x6b03295cU,     0x4ee6dd3aU,     0x3b7c0041U,     0x5350708dU, \
    0x3e2357f0U,     0x4943cfffU,     0xaa520744U,     0xea38eef4U, \
    0x4e6ad558U,     0x6a781254U,     0xcf7fa961U,     0xf57df094U, \
    0xa78c88ebU,     0xb9cc565cU,     0x72c1393eU,     0x154d3a09U, \
    0xf85b1315U,     0x0e623d42U,     0x130bcae9U,     0x72aceb72U, \
    0x4a295f86U,     0xb7b58496U,     0x1378ee08U,     0xa4b2a4b7U, \
    0x46c26e65U,     0x8385e7dcU,     0x631dec9bU,     0x16d49072U, \
    0xe12c8d18U,     0xca9cf802U,     0xae7d2a52U,     0x67d8b48aU, \
    0x10bc7c68U,     0xfe56bc7cU,     0x144670b3U,     0xea259fbcU, \
    0x35959520U,     0x7b7fd8fbU,     0xaee8511aU,     0x179fe5acU, \
    0x0b2297e1U,     0x221676beU,     0xac243f3fU,     0x6065387fU, \
    0x33b7743cU,     0xe36b20d3U,     0x3fbf36e3U,     0x8e18a7a4U, \
    0x3e312cefU,     0xf8a17384U,     0x3f46cb67U,     0x92775118U, \
    0x693805afU,     0xaf69c1d7U,     0xa0de009aU,     0xadb376beU, \
    0xbfcaeee1U,     0x4f39d3f9U,     0x40cff688U,     0xd5635ce3U, \
    0x6fac26e9U,     0x674c482bU,     0xce913982U,     0x2a9333c4U, \
    0x14e81bfcU,     0xb3c95deeU,     0xb2e5c003U,     0x0608834aU, \
    0x9bdde10cU,     0x1c4c1e7dU,     0xefd29c35U,     0xf87ca1faU, \
    0xffcd47bbU,     0x26a0dcbcU,     0x18ed59fdU,     0x38dee444U, \
    0x92b5aa52U,     0xf40dc1c3U,     0xe496d748U,     0xd238b252U, \
    0xc9bf0d13U,     0x15a119aaU,     0xa4393293U,     0x4ded82f5U, \
    0x7887bf76U,     0xe9dde165U,     0xbda4c4f3U,     0x477e6a3dU, \
    0x7e8298ffU,     0xb077e32dU,     0x43d99791U,     0x27331ffeU, \
    0x37fe540eU,     0xc2e75cbaU,     0xa74de619U,     0x41bb54a8U, \
    0x063a9cc3U,     0xd600fa54U,     0x8affba0aU,     0x500abadeU, \
    0xc0e7d0fdU,     0xf73512a3U,     0xbda66c43U,     0xb734056fU, \
    0x619de568U,     0x8752084fU,     0xda389b13U,     0x6ea09be6U, \
    0xa8e78606U,     0x21026847U,     0x92ec836cU,     0xbedc2622U, \
    0x32291eb3U,     0xe5353662U,     0xf6eaa1afU,     0x4520e059U, \
    0xdafad173U,     0xa33a395cU,     0xbd6c7edcU,     0x5bc92db5U, \
    0x6502f88dU,     0x9761450fU,     0xa541f35eU,     0x6ede7160U, \
    0x0dbcaae7U,     0xb145e323U,     0xdd6a9432U,     0x40c0991eU, \
    0x0564baacU,     0xa0d468faU,     0xf5a8117dU,     0x03acfbebU, \
    0x4b9199f7U,     0x2622ebafU,     0xf8460ca2U,     0x227761ebU, \
    0xc81fe633U,     0x941e8547U,     0xf4bafa3bU,     0xa6f0e5ebU, \
    0xfa660395U,     0x72633b64U,     0x529933dfU,     0xf5fc5952U, \
    0xc2ec3676U,     0xf3539afaU,     0xa772c05eU,     0x146311ffU, \
    0x949530f0U,     0x8ff092b6U,     0xb5147353U,     0x7ab9e352U, \
    0x98066820U,     0x52b0ceddU,     0xfc7285caU,     0xce2eb9adU, \
    0xd3e7d4d9U,     0xdc1de450U,     0x36922065U,     0xcde9bfa7U, \
    0xc45be664U,     0x1dad35aeU,     0x3b57d47dU,     0xc937f5a7U, \
    0x58cf02b9U,     0xcd4f809eU,     0xc8e00977U,     0x4848e679U, \
    0xee94b145U,     0x31f7cf2cU,     0xd10178e4U,     0x58407c01U, \
    0xc0a25648U,     0x4bc8cc31U,     0x2358dbd8U,     0x44ae1b84U, \
    0xea6f6d8fU,     0xa5143b46U,     0x35876f6aU,     0x99893c3fU, \
    0x49502fbeU,     0xc0f5bb8aU,     0xa43d5323U,     0x2fe0ce08U, \
    0xf111447bU,     0xf5b39f51U,     0x770f975cU,     0x86367a30U, \
    0x9e3be6baU,     0xcdebfa83U,     0x0be1cb16U,     0xda1c986dU, \
    0xdec3f3bcU,     0xb163bf79U,     0xb4ad94daU,     0x6892e379U, \
    0x2d162d3bU,     0xbea38e21U,     0x5ee4dd98U,     0x1f315ea0U, \
    0x161dd4e5U,     0x2f6d4336U,     0xba8c2814U,     0xac8c6b5fU, \
    0x4d943049U,     0xeaa457b6U,     0x3e33142aU,     0x6d125779U, \
    0x3bb05a36U,     0x58f9b86aU,     0x7860e32cU,     0xfbf43832U, \
    0x12807409U,     0x39db63eaU,     0xdf502bb5U,     0xbe184689U, \
    0x2ae01dcfU,     0xc6fde209U,     0xc4622fd5U,     0xc4dbe61aU, \
    0x56b87b70U,     0x3b7b9fc9U,     0x8ec42a88U,     0x774f67d6U, \
    0x1419b6c0U,     0x2d172a9eU,     0xb030804fU,     0x30fcd148U, \
    0x62af1ce7U,     0x87a07996U,     0x7d82005fU,     0x95c94795U, \
    0xed90c8a7U,     0xde9f4724U,     0x2b7fd9e4U,     0xf0cedd6cU, \
    0x27df21e7U,     0xb2acce43U,     0x3b053c93U,     0x89133e80U, \
    0xaf32afd5U,     0xade15fa0U,     0xf82bb209U,     0x4c4771fcU, \
    0x29be5f5eU,     0xbd233e79U,     0x68b4bba3U,     0x3e15839fU, \
    0xa7252345U,     0x4e949fa8U,     0x7843b15fU,     0x1764d803U, \
    0x470a5ed7U,     0x7333b3b5U,     0xc9773df9U,     0x276d2236U, \
    0xa97d26c9U,     0x7f6e138dU,     0x1c155853U,     0xdeed8107U, \
    0x37c1abf2U,     0x9d0df264U,     0x5e8754d3U,     0xe196fe59U, \
    0x91dfeda0U,     0x14fe9c50U,     0x6a42e8c9U,     0x08e0f51eU, \
    0x30add8c8U,     0x518238c6U,     0x1285cc4aU,     0x0b68826bU, \
    0x0c55afeaU,     0xa6fcf830U,     0x9f56df46U,     0x45b9e0b4U, \
    0x3c34d414U,     0xe57399c9U,     0x724a67b3U,     0xe50b5086U, \
    0xe51150d1U,     0x43b7f8f6U,     0x68cc31bdU,     0x4c10448dU, \
    0x919c0c88U,     0xf7f9c962U,     0xd53ec91dU,     0xbabcbee7U, \
    0xe1df6a86U,     0xb7647f83U,     0x8bd4cd84U,     0x3c4dd310U, \
    0x8b405c0aU,     0x3264a68aU,     0x5688e4d1U,     0xa1b832e0U, \
    0xda2b8441U,     0xadd799d8U,     0x53ec4cdeU,     0x943ba17fU, \
    0xa6991f79U,     0x5ea998a8U,     0xef0b62ccU,     0x30733a77U, \
    0xb7656d1fU,     0x8ad12f09U,     0x0beb6912U,     0x5ef268c9U, \
    0x299f9fd4U,     0xd0547aedU,     0x09480cf3U,     0xd1ef27d2U, \
    0x0f37b9c5U,     0x52b0ee22U,     0xa75d41edU,     0x6b462948U, \
    0x5c3d38d8U,     0xb81a13c2U,     0x63f4beb6U,     0xf476ebf3U, \
    0x070b77bfU,     0x833722f3U,     0xd2bd3070U,     0xdb5fbe3fU, \
    0x80d2e625U,     0x4e8ae7b9U,     0xadb3cba0U,     0xc33df4caU, \
    0x074c6f71U,     0x9d8a89e1U,     0xd6617b41U,     0xe7b56b7eU, \
    0xde099addU,     0x2755d9e1U,     0x781a573dU,     0xa99de13dU, \
    0xc9c13944U,     0x83339e58U,     0xdfadb309U,     0xf902a1b9U, \
    0xe0e8a809U,     0x37238cefU,     0x0a8d2144U,     0x2093be01U, \
    0xde2755e7U,     0x976aa9d3U,     0xba2462c4U,     0x4ae2199aU, \
    0x8b1a43baU,     0xcdd54f4fU,     0x0029558fU,     0x46bdffe1U, \
    0x1136f1bdU,     0x01ab46e6U,     0xf501a541U,     0xd3b4d241U, \
    0xe504f7e5U,     0xf385a646U,     0x472e3e21U,     0x0f79e72cU, \
    0x7691fa72U,     0x4c0653c8U,     0xee73adf5U,     0x6185f3eaU, \
    0x95fdad26U,     0x8572fa0aU,     0xbbebb6d6U,     0xcd72a195U, \
    0x84c7eab0U,     0x5e74ac0bU,     0xad1f16e9U,     0x565000feU, \
    0x4a8b2681U,     0x9822bec0U,     0x57f59f1cU,     0xa6d921b9U, \
    0x15f21fa6U,     0x655ac233U,     0x70911a49U,     0x493b6dbbU, \
    0xfe2ce607U,     0xd3e524d9U,     0x0ae8e411U,     0xeb23703eU, \
    0xe25c13d2U,     0xc98b982aU,     0xc1f30e52U,     0x7bc8ae78U, \
    0xf79554a6U,     0xd6ab7935U,     0x3e78d1deU,     0xe212826bU, \
    0x17b26409U,     0x2bb9e401U,     0x39efa378U,     0x4c47607fU, \
    0x6076fc18U,     0xc2f11be2U,     0xa1d007c0U,     0x1ee7e47aU, \
    0x19488b17U,     0x5fb22283U,     0xbca154a2U,     0x74dedd25U, \
    0x2c9c85f9U,     0x518db3d2U,     0xadad6113U,     0xef3cc64cU, \
    0x762cd3e0U,     0xab0cf806U,     0x1f6c33f6U,     0xf3744166U, \
    0x0e656be7U,     0x7a35dde1U,     0x3e1c4031U,     0x7bf3b45dU, \
    0xf7b7894eU,     0xb08e3ecaU,     0xfb2259d3U,     0xbc4dd8abU, \
    0xb3e3d86cU,     0xffb3d1a9U,     0xc0223e61U,     0x250b2e9cU, \
    0x422fb40fU,     0xace847e6U,     0xb1ccff63U,     0xd680b0a2U, \
    0x9b6987f7U,     0x7025d12fU,     0x5d529b16U,     0xad74f61aU, \
    0xa09da5c8U,     0x95066028U,     0x0c8731d2U,     0xc13bac7eU, \
    0xd1d7b834U,     0x2208abb9U,     0x8a1b5349U,     0x43913225U, \
    0x7e884c54U,     0xb5a2dd4cU,     0x4854a43aU,     0xc68faa10U, \
    0x12348257U,     0x104a4919U,     0xa86bbf36U,     0x94ac8063U, \
    0xe6f49b9aU,     0x94c91124U,     0xe3f5d8eeU,     0x8f8160e4U, \
    0x94b88c89U,     0xe2354e2fU,     0x1fae35efU,     0xec93dff7U, \
    0xb1e2228dU,     0x901e864dU,     0x26aeb6adU,     0x85241361U, \
    0x1192ea8eU,     0xcd5f4bddU,     0x4466bc70U,     0x2decdcacU, \
    0xd0446703U,     0x1e300b89U,     0xf99157cbU,     0x01504755U, \
    0xa1177226U,     0xba6576f4U,     0x8a03c6fbU,     0x6225135aU, \
    0xda82b4b3U,     0x836cce08U,     0x5d80d605U,     0xd26a4fa5U, \
    0x491828dcU,     0xf6a36947U,     0x1151ba4bU,     0xdfca6416U, \
    0x5b2a0d94U,     0x00572a5cU,     0x4223f4d7U,     0x7f1fbf40U, \
    0xf7c6470bU,     0x0d2d9f81U,     0x0f78035cU,     0xa0738b76U, \
    0x31785d07U,     0x96877d1bU,     0x5fdd85a0U,     0x20dca0dcU, \
    0xd6f83a48U,     0xa0374556U,     0x2e5f81aeU,     0xde38dd1fU, \
    0x3a2a206eU,     0x62d84e1bU,     0x39a16d3aU,     0xdc09c853U, \
    0x73465650U,     0x4bb79a75U,     0xb008a52aU,     0x9d11b066U, \
    0xd61d9da5U,     0xfa917e30U,     0xcd01fe24U,     0x13172a43U, \
    0x091ce2c1U,     0xf7515eb3U,     0x49671db3U,     0x3fbb6d7aU, \
    0xbf43428eU,     0x93f743c3U,     0x6e5dcdbdU,     0x4dab3993U, \
    0x98549632U,     0x0fc01d98U,     0x8bc8f6fbU,     0x9fd86634U, \
    0x54519f4dU,     0x30340bceU,     0xc0193128U,     0x51596bdfU, \
    0x1d8fa74eU,     0xaceb6efbU,     0x88b696bbU,     0xc3bf4681U, \
    0x41265e0eU,     0xcf20279eU,     0xb72e86b9U,     0x528235abU, \
    0xc437e622U,     0x82ab56d7U,     0x0dc130b1U,     0x92b49c65U, \
    0x4b94ebd4U,     0xcec6f3b5U,     0x2f72dcb0U,     0xfc029265U, \
    0x445f4b67U,     0xbee2f2aeU,     0xf8357feeU,     0xe48eca4fU, \
    0x1f7634a5U,     0xc5bf0c31U,     0xf4b01724U,     0x8729fa46U, \
    0x48138d6cU,     0xd9cde91bU,     0xbe3a37b7U,     0x9b95c896U, \
    0xc507aa3aU,     0x1f134d9fU,     0x952146eaU,     0xf4b7d4d3U, \
    0x233b9329U,     0x741dac3bU,     0xc6573400U,     0x79c34548U, \
    0x4971de08U,     0x89139920U,     0xc2bb4dacU,     0x6c248168U, \
    0xa073d97cU,     0x43d1ae0fU,     0xd9357156U,     0x404085eeU, \
    0x6c2ac607U,     0xc9b430e3U,     0x6f348b72U,     0xde9602edU, \
    0xed6dec05U,     0xfd0e561bU,     0xfdd9f0fcU,     0xd0576c65U, \
    0xe3161258U,     0xa103a3efU,     0x4f2c7ba3U,     0x1b30f827U, \
    0x681dd052U,     0x08a08750U,     0x3a6e2aa4U,     0x681b8b7eU, \
    0xc9e728adU,     0xc02d7776U,     0x4c83739cU,     0x10d13fb3U, \
    0xc8f4f34cU,     0xc67a9b7cU,     0x9e9a0192U,     0x7d00076cU, \
    0xc09422d1U,     0x6f9a8ef1U,     0x1e8373e9U,     0x6a717ae3U, \
    0x7b0e0f7fU,     0x1dffe8ceU,     0xf20d10dcU,     0x57e076deU, \
    0x96b0edc1U,     0x2de48560U,     0xd8cfb917U,     0xa70ce016U, \
    0x895857ecU,     0x348b4592U,     0xe1f2033eU,     0xd1a13fc1U, \
    0x73c9fa41U,     0xf25cd412U,     0xf7b3cbceU,     0xbe0ac143U, \
    0xf3724f9fU,     0x9b34582aU,     0x39a8b239U,     0x77e40550U, \
    0x6b328281U,     0xb24bc2c2U,     0x0f15ec6aU,     0x9fb7a11fU, \
    0xf7a23656U,     0x0f601becU,     0xfca3dce0U,     0xd6b41a56U, \
    0x03ebcbb5U,     0xda2dd702U,     0xe92f6733U,     0x38804f42U, \
    0x7f87b845U,     0xeb025c81U,     0x303f6710U,     0xe9911b3aU, \
    0xcdd491ecU,     0x615b5f59U,     0x5e668923U,     0x54d9b6cbU, \
    0xf0c20de4U,     0x91a43dfeU,     0xc0f02ee8U,     0x1b44745bU, \
    0x23bde27dU,     0xfbf3a8d5U,     0xcbf749daU,     0xf0225304U, \
    0x6aff4208U,     0xf7124d36U,     0xbb8a1403U,     0x29e92c31U, \
    0x50ab4010U,     0x5e3732bdU,     0x1733083cU,     0xf416ca91U, \
    0x3ca6c9a9U,     0x07a882d6U,     0x10ec5466U,     0xdc77e645U, \
    0x1217c3b5U,     0x6651eef9U,     0x302b9927U,     0xdce47798U, \
    0xdb78bb04U,     0xed490fd8U,     0xe82832ebU,     0x9221acebU, \
    0x71189aa6U,     0x956a9559U,     0xdfd9ef82U,     0x5bcfdf1bU, \
    0xadfbb425U,     0x7d827c33U,     0x968bd03eU,     0xe92310f5U, \
    0xaaee039cU,     0x5d23eadcU,     0x40b9642aU,     0x83bb7067U, \
    0x1e62a673U,     0xf96fece5U,     0xc050c9caU,     0x4da6465eU, \
    0x17d50f4bU,     0x5d765e09U,     0xfe56f1adU,     0x6a6f281bU, \
    0x6c6b2d08U,     0x14b939daU,     0xdd8ebccfU,     0x974809b2U, \
    0xe9e29e66U,     0x8870f07dU,     0xd3070bfaU,     0xdd1eafb3U, \
    0xd3359bedU,     0xe9257e52U,     0x32054eb8U,     0x685b224bU, \
    0x98108ce0U,     0xb2e9d8b5U,     0x3fecc422U,     0x961ff70bU, \
    0x57c162baU,     0x48bc3246U,     0xd502e091U,     0x59505732U, \
    0x1e8c4666U,     0x4679a9e5U,     0x84f25544U,     0xd4c472aaU, \
    0x818181d4U,     0x23a02036U,     0xe061271fU,     0x18ad1251U, \
    0xe6abdfddU,     0x20287b73U,     0x6dfede12U,     0x31963c5bU, \
    0x2f666644U,     0x9c90300aU,     0x44c0a2c3U,     0x2e77d91fU, \
    0xf47e6548U,     0xc52a2d47U,     0xb0e06ed7U,     0x736e9a58U, \
    0xa8a09c0fU,     0x9cc00fb9U,     0xa8504a32U,     0x574d7209U, \
    0x27af4339U,     0xee6b1e27U,     0x265695bdU,     0x8cc3ccdfU, \
    0x5cadab67U,     0xe3a5e5b2U,     0x6ed0acbbU,     0x28d4ca65U, \
    0x43eac2a2U,     0xdf780514U,     0x1fe072cbU,     0xf240f07aU, \
    0x5f7f9096U,     0x5bc55e4cU,     0x6b0bcfb1U,     0xf56dbf48U, \
    0xabd52618U,     0x0181b138U,     0x296da393U,     0x39c829e1U, \
    0xceb6c35aU,     0xddbb749fU,     0x3c03080fU,     0x9c1e4e54U, \
    0xa139cbbfU,     0xfa6919b1U,     0x2ce4cf1bU,     0x1cf42d58U, \
    0x2fc2537bU,     0x134540ccU,     0xa867d05cU,     0x886239c3U, \
    0x4b609d2eU,     0x9350ee39U,     0x99729c42U,     0x83062eafU, \
    0xa13b2f7fU,     0x1be93c9bU,     0x9a52276eU,     0x5cfcda8bU, \
    0x92b0ec25U,     0xce3f8ea1U,     0x3639c1d1U,     0x46c547f5U, \
    0xa34200d1U,     0x51fde799U,     0x13f987fcU,     0x2f1d20e7U, \
    0xb005364cU,     0xff218e57U,     0xd344195bU,     0xef112e57U, \
    0x4c8b8b93U,     0xbc4dc8efU,     0xf9ddede8U,     0x63fff728U, \
    0xc0ba6368U,     0xbfb3527bU,     0x8872aa50U,     0x97fb4c60U, \
    0x11ac3352U,     0x8531bb59U,     0x478cb76fU,     0xfebda8e8U, \
    0xf91ccdd9U,     0x85b9c1b5U,     0xe4b003a0U,     0xbbee0a83U, \
    0x0d9ae60dU,     0xb14de2d8U,     0xafd397f7U,     0x3a4a2349U, \
    0xb6f0110dU,     0xba933269U,     0x459cbf8dU,     0x861f713fU, \
    0x1bdd27ccU,     0x0a6d172eU,     0x2234a62fU,     0x17c493f0U, \
    0xe842002dU,     0xab4ed5c8U,     0x3aa1a2dbU,     0x172e9873U, \
    0xfdfb8eb2U,     0x6a5995abU,     0xfc510d51U,     0x207849e3U, \
    0x01efee49U,     0x15a00781U,     0x0525a4e8U,     0xf1a7b502U, \
    0x52444caaU,     0x1ef0558eU,     0xbe325fa8U,     0xc1e2aea1U, \
    0x1e382b4dU,     0x1e4fa815U,     0xf17dec3dU,     0x3495ea9fU, \
    0xcc25db0cU,     0xc163c6dfU,     0xa7d02686U,     0x52e27ff2U, \
    0xd23ac4d7U,     0x31a2d70dU,     0x01da2a61U,     0x49a665baU, \
    0xaaebf865U,     0x825ff94cU,     0xade193d1U,     0x912a7f22U, \
    0x82d911baU,     0x1acd25aaU,     0xcbf2f976U,     0x6872493bU, \
    0xdee884e4U,     0x9ca9de49U,     0xc3775f8eU,     0xb3ad1e28U, \
    0x8679675fU,     0x556ddbadU,     0x8dfe0985U,     0xf3376a00U, \
    0x96ca4f1cU,     0xbc2d402cU,     0x7ed3e14cU,     0x8150bc03U, \
    0xda953990U,     0xae7c870aU,     0x1551f614U,     0x61df9a9fU, \
    0x05633d50U,     0x7ab10795U,     0x7cbab4f0U,     0x98922becU, \
    0x3fa66e42U,     0x46bde696U,     0x2b48143fU,     0x2c0f2a93U, \
    0x42d715e5U,     0x36b50da3U,     0x683db5a1U,     0xf0be7f4cU, \
    0xbbcf2592U,     0xab9740b6U,     0x788d9baeU,     0xb677fa37U, \
    0x6a66a121U,     0xe31f4aa7U,     0xe08381ddU,     0xb335b666U, \
    0x2f2e69c4U,     0xb0a969afU,     0x81cfcddbU,     0x4f8e3487U, \
    0xa5a7f25bU,     0x73b4eb46U,     0xa78d2350U,     0x9df0c3efU, \
    0xfb2ee830U,     0x70b46b66U,     0x5ce2e6a6U,     0x39a72ad6U, \
    0x64da1761U,     0x76bd641eU,     0xb2d98308U,     0xbc38c53dU, \
    0x85ca2075U,     0xad3687a1U,     0xba2a7a47U,     0xac894926U, \
    0x37e6b59bU,     0xaa3401a4U,     0x74ba10e9U,     0xfb6f6284U, \
    0x9d2a7793U,     0x5fdc990fU,     0xbeed7e51U,     0xbf8d3fe1U, \
    0x7c97ac9fU,     0x07866874U,     0x9b88ccfaU,     0xb8fa2541U, \
    0x78d94b80U,     0x4ff36acdU,     0x22464ff3U,     0xd7906aaeU, \
    0xf93642a7U,     0xbb0383f9U,     0x60bac840U,     0x1e3a88d4U, \
    0xef956131U,     0xfb8752d9U,     0x49bb969cU,     0xdbb8da15U, \
    0x0cbb3cdbU,     0x60e6aad1U,     0x99d948c4U,     0x04f62571U, \
    0x3702e05fU,     0x337c112bU,     0x2bf50a62U,     0xf7609ee9U, \
    0xfd9d831eU,     0x36777494U,     0xc645722aU,     0xc58bfe59U, \
    0x47747006U,     0x245d9d4aU,     0xc39230f5U,     0xe2bce04aU, \
    0x8858e65bU,     0x85a8a531U,     0xc8b371beU,     0x02769c0fU, \
    0xea97e54eU,     0x5746200aU,     0xf50e58f1U,     0x5225bad2U, \
    0xf2c186ddU,     0x3c20d3f1U,     0xe379f90cU,     0x8e484841U, \
    0x4b1232d5U,     0xd74bcd07U,     0x455bf105U,     0x753cce4bU, \
    0x0e539d33U,     0x80bc7b2aU,     0x1f926726U,     0x6ad5b64aU, \
    0x4e25d294U,     0x3e084dc4U,     0xa8d2310bU,     0xb418b069U, \
    0x9b3abbecU,     0x881d3360U,     0xbe78c13cU,     0x85ae3733U, \
    0x0fd13debU,     0xe1033f7fU,     0x5214e20dU,     0xb2a14b4aU, \
    0x76d4c06cU,     0xfdffd1a0U,     0x74ae597eU,     0x4213897cU, \
    0x54868bf3U,     0xa0446fa6U,     0x2fbfeb29U,     0x7248c9f4U, \
    0x711041a5U,     0xa80e3bf8U,     0xf8e52636U,     0x42d9020fU, \
    0xbc555976U,     0xda2852d2U,     0xb610ba1fU,     0x697268cdU, \
    0x4b149cc3U,     0x3f66c7aaU,     0xf5ee8f79U,     0x24796798U, \
    0x6fe0f7d1U,     0x986a3a6fU,     0x40753889U,     0x28470ab5U, \
    0x504b23bcU,     0xff33e345U,     0xd4117f90U,     0x7c7ca5a5U, \
    0x1674170dU,     0x89f915aaU,     0xa1be7a25U,     0x6cbe7d85U, \
    0xff1e4e2bU,     0x2a4402ebU,     0xba1b50fbU,     0x207caac5U, \
    0x5a074499U,     0x5ce38cc1U,     0x797cf3a8U,     0x9c9ad01fU, \
    0x69db6852U,     0x881228aaU,     0x1f6c86b0U,     0xd3421210U, \
    0x0dbb909aU,     0xcca1711fU,     0x6aa00e01U,     0x5a013217U, \
    0x8b6c2b0dU,     0x88f8ec69U,     0x69f1889fU,     0x542a45dbU, \
    0x44bfc408U,     0x0b51eb60U,     0x97b944a8U,     0x28696d65U, \
    0x85a680dcU,     0x6bfeca5aU,     0x1fbd9f32U,     0x547e4443U, \
    0x1000e415U,     0x220b5c88U,     0x644247a7U,     0x2be7c6e0U, \
    0x11759354U,     0x9f82855dU,     0x2458272aU,     0x04072915U, \
    0x3806d83cU,     0x50572e48U,     0x56796712U,     0x8f85233eU, \
    0x1f1d6099U,     0x5c98d835U,     0x2d0af5afU,     0xcfe63751U, \
    0x1e110d5bU,     0xf71af850U,     0x20fd32ffU,     0x8dcb7114U, \
    0xbcd4592bU,     0xa52f1543U,     0xbe8a7053U,     0x2e82fa47U, \
    0xc706e256U,     0x0402b77bU,     0xdb04c9e4U,     0x30d038fdU, \
    0xbe480364U,     0xac7d4658U,     0x73abbaa9U,     0x75e821e7U, \
    0xf0f2e36aU,     0x519d3708U,     0x50ef7580U,     0x5e6b3111U, \
    0x87b679f2U,     0x24322002U,     0x555f36d7U,     0x138bbfd7U, \
    0x9b4598b2U,     0x879f221dU,     0xa9274b67U,     0xcbecc92bU, \
    0x5460caddU,     0x5d8e2d17U,     0x0ce04076U,     0x0538875bU, \
    0x7c27a94aU,     0x6868d1ffU,     0x36958e7eU,     0x2768b6dfU, \
    0x195814b7U,     0x6b717799U,     0xe0a2243eU,     0x42815177U, \
    0x77948fe4U,     0xe10ee920U,     0xd9945202U,     0x595d5b4aU, \
    0xb31b497bU,     0x1f0a23e8U,     0x32272829U,     0x4160231dU, \
    0x3c0799bbU,     0x38da40afU,     0x80827a5bU,     0x52b35fcfU, \
    0x7aff440eU,     0xf4861f1eU,     0x0d479746U,     0x0b7905beU, \
    0x38e44009U,     0x9c3b2a30U,     0xe2fd5e54U,     0xb60e92ecU, \
    0x6d5cbefcU,     0xa41127e0U,     0xed79cf3fU,     0xbb008058U, \
    0x123ab504U,     0x1dfc661eU,     0x667d9614U,     0x4b4b9a55U, \
    0x4e681b00U,     0x2a1b4369U,     0xa04e858aU,     0x34e08a46U, \
    0xe35abdd3U,     0xf7aaf906U,     0xf0ded280U,     0x6a3bd1f6U, \
    0xc68435a9U,     0xcc19d4e2U,     0x3d25a0dbU,     0xd940fcfbU, \
    0x5fc534e9U,     0xdf9ace7aU,     0x1deb17f6U,     0x53e346ebU, \
    0xf9ef1c7bU,     0x8d743f63U,     0x4b016143U,     0x7db33d56U, \
    0x0951ea0aU,     0x797cdbfdU,     0x035a1dfdU,     0x122e4e72U, \
    0x59692d77U,     0xc65a53deU,     0x188e58ebU,     0xc9fc103dU, \
    0xa7555b03U,     0xe738f7ebU,     0x8fc2fb6fU,     0xb9ccb898U, \
    0x273d98bdU,     0xfee561cbU,     0x8f9cd0c3U,     0xa6a6566bU, \
    0xb1de979dU,     0x64c60507U,     0xc0b1524dU,     0x9a6519c1U, \
    0x7426dd65U,     0xa0d17147U,     0x56e34282U,     0x633150dbU, \
    0x0b5ea71aU,     0x97b7526bU,     0x02336090U,     0x60ff07b5U, \
    0x240741e1U,     0xdc1942a0U,     0x27fde803U,     0x97feeed0U, \
    0x435364edU,     0xf045f020U,     0xbd580566U,     0x1fa87dd5U, \
    0xda32b654U,     0xfc1dfa34U,     0x6ba21b91U,     0xd7f78e69U, \
    0xf4137bdfU,     0xac9b125aU,     0x3c30c14fU,     0xb841f3dbU, \
    0x100c5ac8U,     0xcf840bf4U,     0x9a17a20cU,     0xc74d8e5dU, \
    0xf39712dfU,     0x5b562310U,     0xf2d9bc60U,     0xc4823017U, \
    0xf361979dU,     0x2d819d1bU,     0xeb93d838U,     0x5999b8bcU, \
    0x69255e91U,     0xf66a3e86U,     0xccaf7e70U,     0xefac7b28U, \
    0x74bd34bdU,     0xe36e73efU,     0xe4220f15U,     0x5f7f14e6U, \
    0xe5466b2dU,     0xada43546U,     0xd9cecc2cU,     0xdfa66b98U, \
    0x5a59bee3U,     0x8ab1bb5bU,     0x42f9efd4U,     0xa070be8fU, \
    0x6e2e53dbU,     0x69689bddU,     0x3689f215U,     0x12803c9dU, \
    0x38cef37bU,     0xde78c7c8U,     0xc8a3632eU,     0x1095f736U, \
    0x4d127006U,     0x066256e9U,     0x126d1d90U,     0x5ecb2e72U, \
    0x5cd43764U,     0x43c55399U,     0xfbf96bb7U,     0x0edd8121U, \
    0x9f4027f4U,     0xec509e41U,     0x6d48277cU,     0xe39a8a15U, \
    0xa44db31dU,     0x59f0bc8dU,     0x12ead148U,     0x503120e2U, \
    0x75ce77d3U,     0xcdb727dfU,     0x7cbe6560U,     0x6ab8d0feU, \
    0x377553cfU,     0x329287d1U,     0x9f5d9da1U,     0x2f15214bU, \
    0x69a489b1U,     0x5c07eaabU,     0xbad33984U,     0x20f104afU, \
    0xbe9ca980U,     0xeea7eecbU,     0xe150528bU,     0x3cc2202cU, \
    0xd5df8008U,     0x510d644dU,     0x6d7f71a4U,     0xd7b83a82U, \
    0x947c2833U,     0xb395c4d8U,     0xadee680fU,     0x99fac222U, \
    0x1457a219U,     0xfcc5a4f5U,     0x8b098566U,     0x23ee2811U, \
    0xcca0c311U,     0x183621d1U,     0xdba5ab8bU,     0x5890d5b6U, \
    0x41fece99U,     0xfb6f1bcdU,     0xa28280f1U,     0x7abe643aU, \
    0xb1d19e46U,     0x8caead32U,     0xb138b9acU,     0xe3fd18b5U, \
    0x9e095ef4U,     0xddbb80d6U,     0x5b99ce12U,     0xd6bb4453U, \
    0xc44e7ac6U,     0x7b739b0bU,     0xb6a1824aU,     0xed68a28aU, \
    0x1a99d655U,     0xafb0259fU,     0x05c3b043U,     0x6913b35cU, \
    0x6403c719U,     0x05f52947U,     0xc3f1c874U,     0xc3cb6e6dU, \
    0x15cee2faU,     0x9225c9caU,     0xb6d6065dU,     0xfdb185e8U, \
    0xa035c94dU,     0x81049b20U,     0xa9d76a14U,     0x3532c89fU, \
    0xffb6956fU,     0xfb4ba571U,     0xbd601f82U,     0xf935f187U, \
    0x2f56d2a1U,     0xce12b850U,     0xf1f9129fU,     0xabae07feU, \
    0x05e861eaU,     0x815efceaU,     0x96e58348U,     0x3165a95eU, \
    0x6717f587U,     0xd6dd635cU,     0xc039643bU,     0xb41a4a15U, \
    0x20b305afU,     0xd84128c8U,     0x53d99f28U,     0x715be6dcU, \
    0x9e9052a5U,     0x1617eb59U,     0x4c5f4a20U,     0x73cba9ceU, \
    0xb9bfb303U,     0xf2a5b082U,     0x52135992U,     0x7574ba34U, \
    0xb24b289dU,     0x0695383aU,     0x348ffc1fU,     0x3e5c0e3bU, \
    0xc87274deU,     0x6abf5750U,     0xdf760101U,     0x61d372d9U, \
    0xd3a368a2U,     0x198c95a1U,     0xaddd0d79U,     0x63c1ad7bU, \
    0x8d386f80U,     0x38bf4772U,     0x70f1757aU,     0xbd498c35U, \
    0x79992472U,     0xabb78cb2U,     0xc4018dbdU,     0x4df0592aU, \
    0xb87a5aa5U,     0x630b1b78U,     0x01c1eceaU,     0x8b6d0e16U, \
    0x3ccd583dU,     0x5d1fb652U,     0x85a9b706U,     0x58ecf524U, \
    0x3ce62106U,     0xbbb51fb7U,     0x6676c805U,     0x35b1263dU, \
    0x4752137aU,     0xc1c31124U,     0x9b2c6b68U,     0xc148ad23U, \
    0x90c2ec86U,     0xf30129cfU,     0x899ae62eU,     0x2b6b06aaU, \
    0x59d3bee1U,     0x71e75f09U,     0x1672516fU,     0x79729478U, \
    0x85c47e6bU,     0x3d23da33U,     0x83a34bbaU,     0xc6226092U, \
    0xaf7c6646U,     0xeb4547b1U,     0xb069a417U,     0x2b11f5eeU, \
    0xe04e6eb9U,     0x01d429d5U,     0xd3ac3216U,     0x9aedc77aU, \
    0xe9d84d76U,     0xb8c1d842U,     0x690feedfU,     0x7db89e4eU, \
    0xcffc1b8dU,     0x95a816bdU,     0x3135e154U,     0x012d5bd5U, \
    0xc5e0f831U,     0x74c245abU,     0x82a1e4c8U,     0x158402bcU, \
    0x7a2b295fU,     0xdf659849U,     0xc1347296U,     0x8fa49be8U, \
    0xc60fb294U,     0x5160a4eaU,     0x3bbe6eb7U,     0xbda0b745U, \
    0x85a3732bU,     0xf025d94eU,     0x8f8146ceU,     0x3203754fU, \
    0x0e0116a8U,     0x53619e21U,     0x73c7c98bU,     0xb0875873U, \
    0x589c15b9U,     0x388c6315U,     0xdeb6df8cU,     0x8e51c98bU, \
    0x3fbfb79aU,     0xf2c5cd6aU,     0xb26b1f5aU,     0xbdec66a4U, \
    0x70281cb8U,     0x9fff6630U,     0x884ab6feU,     0x42355e5aU, \
    0xdb1745c7U,     0xa81a8462U,     0x1b296d53U,     0x4069adfaU, \
    0x74f1d836U,     0x54be02bcU,     0x63a42f2fU,     0xc8571b93U, \
    0x1b175298U,     0x9b899011U,     0x9768dffbU,     0xc0ca4728U, \
    0xd925e00fU,     0x37610eb7U,     0x8930d791U,     0xf236f987U, \
    0x55de04bbU,     0x7a40a042U,     0x1557b40bU,     0x15f9f9abU, \
    0x8a1f6259U,     0x0cd90beaU,     0x233b751cU,     0x180f1508U, \
    0xf776da6aU,     0xe9f72721U,     0x31929a1bU,     0x1493297aU, \
    0x007426f4U,     0x95c7a563U,     0xcd516c6aU,     0xe729fe8bU, \
    0xf84661b9U,     0x241e8001U,     0xc991c5ffU,     0x54458a7fU, \
    0x76438431U,     0x0975bab9U,     0x166d0ab5U,     0x2c354685U, \
    0x2639d31cU,     0x5e1d8d65U,     0xade534f3U,     0x9a9d7c5cU, \
    0xa5c5cee8U,     0x2df9367aU,     0x8f4507bfU,     0x143ac5edU, \
    0x503aa51cU,     0x6949d32bU,     0xd15321a3U,     0x9529cec8U, \
    0xff6eb864U,     0x67fdcac9U,     0x1cb95c6fU,     0xdd7c3eeaU, \
    0x4407f7ecU,     0x070c83b6U,     0x9e840fc8U,     0x97c17afdU, \
    0x6a968a82U,     0x8de68142U,     0xda18af3fU,     0x9f51c8d8U, \
    0xbb7fbdb3U,     0xff25946aU,     0x0cd75164U,     0x942eb33aU, \
    0x246e31ffU,     0xc7a1af3fU,     0x6cd3dd3bU,     0xec0e451bU, \
    0x900e1febU,     0xb5c71a2eU,     0xc0c55fe2U,     0x59f764aaU, \
    0xd938b83eU,     0xaa98315aU,     0x49d47407U,     0x637dd967U, \
    0x02e9cc80U,     0x814c16ceU,     0x7063ec3bU,     0xd3f00992U, \
    0xdc0727e2U,     0x927f5cd5U,     0xa7a12ec4U,     0xf9e23f9dU, \
    0x2f2f68d4U,     0xd65abc90U,     0xa9db2917U,     0x946be46bU, \
    0x2dacb1a8U,     0x8852fd2dU,     0xdae1b891U,     0x380d7d17U, \
    0xc282398bU,     0xcc24e828U,     0x4c8a7556U,     0xb81fd327U, \
    0xa8399fffU,     0x06efff66U,     0x520737cfU,     0xf08e2c14U, \
    0x5e7bc824U,     0xbade33a1U,     0x6111fb0cU,     0x89ed4582U, \
    0xeccaab96U,     0xe2212125U,     0x6e209b7eU,     0x6269ec2dU, \
    0xae21deadU,     0xb12db2faU,     0x67835f0dU,     0xe34c2984U, \
    0x9d97d419U,     0x79243640U,     0xe1aeaf86U,     0xb131b687U, \
    0x5fa53f92U,     0xab6826b2U,     0xa75a4fdeU,     0x12b52b65U, \
    0xace3655cU,     0x9d1c9b21U,     0x7f1dbbe1U,     0xacb40222U, \
    0xa5902938U,     0x964df662U,     0xc8de1981U,     0x86d99630U, \
    0xa25cad96U,     0x94be09d0U,     0xffb3c59aU,     0x4990cab1U, \
    0xb427da34U,     0x3f93c49aU,     0x736e1d04U,     0xe9cc03b0U, \
    0x1c25089fU,     0xdaa11adcU,     0x414f093dU,     0xefe917b6U, \
    0x576866cfU,     0x99eefa3eU,     0x51fd918aU,     0x0b78d006U, \
    0xcd30cfdeU,     0xd53f3bf8U,     0xbccd7026U,     0x369b5775U, \
    0x68a4eb83U,     0x3f100367U,     0x74375f40U,     0x1e29dc91U, \
    0xcdb2d0c6U,     0x8a4ce82eU,     0x05e4688bU,     0x682c7d4dU, \
    0xecde8727U,     0xac53f703U,     0xc11f1556U,     0x40dda5e7U, \
    0xd14ae619U,     0x3f9ec113U,     0x513d258eU,     0xf519841dU, \
    0x3dba6e07U,     0xd38a0114U,     0x59c6b1b2U,     0xdae9451cU, \
    0x9b797abcU,     0xc364ffedU,     0x3b30ab82U,     0x9dcaad95U, \
    0x68c1cb0fU,     0x37085d1fU,     0x1c80e649U,     0x07c0ca6eU, \
    0xfb7e2d7bU,     0x21c4a28dU,     0x5bece6b1U,     0xdf7103baU, \
    0xce2443b9U,     0x83396297U,     0x1e69edd1U,     0x248f786bU, \
    0x2d943676U,     0xbd061801U,     0xcfebb9d7U,     0xcc93e551U, \
    0x0ae7179aU,     0x611434caU,     0x763bea87U,     0x979cebbdU, \
    0x5a6b0c13U,     0x35b851f0U,     0xf0e26b12U,     0x0d2a6581U, \
    0x6f2676d8U,     0xcc618026U,     0x6f36517bU,     0xc2b7be9eU, \
    0x6a7a05bbU,     0xc6a4e171U,     0x24a75ac1U,     0x4a3caec4U, \
    0x25a4e87bU,     0x60bedb52U,     0x25b9b773U,     0x5b7708bdU, \
    0x796b5d49U,     0xad411a7cU,     0x1d67fe44U,     0xa082921bU, \
    0x36c8335dU,     0xf1bd8698U,     0x1f68b726U,     0x8a807eceU, \
    0x7b7f2e85U,     0xd55b99fdU,     0xfa3e894eU,     0x9db1d366U, \
    0xe033b91eU,     0xd25748b9U,     0x334d9b61U,     0x620b1cc4U, \
    0xfca85755U,     0x500fbfc2U,     0xe80df6b7U,     0xd594e49cU, \
    0x9c1348f7U,     0xc84675d5U,     0x91208d20U,     0xafe292acU, \
    0x6a64c157U,     0x9e0aacbcU,     0x5c79611bU,     0x9b3c7f8cU, \
    0x8204aa16U,     0xa6120099U,     0xb61af6bcU,     0x20bb5fc9U, \
    0x73f6b929U,     0x84247efaU,     0xe3604b68U,     0xb02cde98U, \
    0xe5d45a67U,     0xc7eec6ceU,     0x131508a1U,     0x88b55963U, \
    0x02378b9cU,     0x1e882de2U,     0x1f609895U,     0xcb2f8b40U, \
    0x4c71005dU,     0x3c74cdeeU,     0x3b431ecfU,     0x138af247U, \
    0xc21fb786U,     0x1c257b1fU,     0x3902a1aeU,     0x4c2953f2U, \
    0xca8c2f24U,     0x7f492a1fU,     0xdd621f47U,     0x187b653aU, \
    0xc0a63181U,     0x7032caadU,     0xd43e5cf2U,     0x53fa4225U, \
    0xe46e55eeU,     0x019a912aU,     0xe08ad788U,     0x0a5650eeU, \
    0xc13d90a2U,     0xc4b50c28U,     0x703646cfU,     0x6c45b663U, \
    0x73cf6ca5U,     0x518a4560U,     0xb0aa3489U,     0xd6272295U, \
    0x8f8ee5beU,     0x0bb51dc0U,     0xf02fa64eU,     0xd133c1d6U, \
    0x6b31107eU,     0x8c68b9c8U,     0x176735bdU,     0x78e4657cU, \
    0x22f88960U,     0xdbb178aeU,     0x364b8871U,     0x8cfcb65dU, \
    0x0442bc83U,     0x58083468U,     0x1de86021U,     0xce73c3dfU, \
    0x43607759U,     0xdc432f39U,     0x1a92b6ceU,     0x0b2f59e0U, \
    0xf90e514dU,     0x0abac294U,     0x0cd61f07U,     0xc9678915U, \
    0x7ed21f0bU,     0x76784e72U,     0xb812a7d3U,     0x980167c2U, \
    0x5cc2a81eU,     0xe997f789U,     0xcb32bdf6U,     0x5314cda1U, \
    0x7bf079e2U,     0x2b9985fbU,     0x5efa5a6bU,     0x693aa3c0U, \
    0xaf577df9U,     0xb1d05ff8U,     0x202e864dU,     0x93282496U, \
    0xd69411c3U,     0x5c7565e0U,     0x63f6b3f0U,     0x78116e92U, \
    0x4c23fb90U,     0x077e9582U,     0x039d4832U,     0x439eaa6cU, \
    0x598822a0U,     0x6279f491U,     0x42027cc6U,     0xc7df723fU, \
    0x4ba13f09U,     0x0e8d2874U,     0x21ca1e78U,     0x03561addU, \
    0xe102688dU,     0x63a25c3fU,     0xe9f5a9caU,     0xab9e4c34U, \
    0x587e474aU,     0x7905e3a5U,     0x88aeb64fU,     0x2f9df9bcU, \
    0xc5fc6693U,     0xf1932d2eU,     0xef3f3267U,     0x28a7b713U, \
    0x95c609a0U,     0x00702df8U,     0xf77873acU,     0x4a51790bU, \
    0x5a225d2cU,     0x50dc4fb2U,     0xe21481d8U,     0xf79a7a5cU, \
    0x91f82a22U,     0x31914213U,     0x3560da67U,     0x64f2c599U, \
    0x7cba5f57U,     0x5be355d1U,     0xa665a7c6U,     0x1efd030bU, \
    0x97dbc0bfU,     0xb3ef3746U,     0xc562f2feU,     0xe08922ebU, \
    0xb6a99e46U,     0xa5c3fc37U,     0x7a1eb11cU,     0x34b72e4cU, \
    0x19efee9dU,     0x94bdfa3eU,     0xc4bc76daU,     0x4b81f7d5U, \
    0x01e5902fU,     0x2e4cfec8U,     0x953fde5cU,     0x638b6833U, \
    0x2495289aU,     0xcd94e7f0U,     0x5fb50c2cU,     0x909ce997U, \
    0x35673670U,     0x3c30422eU,     0x60ed761dU,     0xc2156a2fU, \
    0xf924b5e7U,     0x0e9f0e37U,     0xf019dd91U,     0x3a1ffb50U, \
    0xcdb79974U,     0x3126ac62U,     0x66051748U,     0xec2c4bc1U, \
    0xb0ab0df3U,     0xcbc4f788U,     0xa600f4aeU,     0xf976896aU, \
    0x39e0b8eeU,     0x0addf0a0U,     0x2fa2b910U,     0x51b56d87U, \
    0xb25b997cU,     0xb5e2a695U,     0xda7839f8U,     0x256b4bb3U, \
    0x94ba68eaU,     0xdab37613U,     0xf52d9d5eU,     0x57fe07bdU, \
    0x24d4d250U,     0x3eb36d58U,     0x7cf4651aU,     0x1f7f003aU, \
    0xd952e229U,     0x07862723U,     0x96416673U,     0x8d8fa56fU, \
    0x174e8becU,     0x1efa2bc1U,     0x55fc08f0U,     0xc6aeeb88U, \
    0xaed0b0d1U,     0xf7c65703U,     0x67deefc8U,     0x30b0efe4U, \
    0x1b04fc76U,     0x307a9bd3U,     0x42b3663bU,     0x811113d0U, \
    0xe85d3cacU,     0xb2f14445U,     0xc7a54635U,     0x1c5da806U, \
    0x1e70a497U,     0x1f3cd667U,     0x88b4580cU,     0xdd21bec1U, \
    0x2d0b59eaU,     0xb8719e0bU,     0x714031ccU,     0x92538bafU, \
    0x8711d3f2U,     0x8a0ba275U,     0xa8a06f15U,     0x3b64959bU, \
    0x2cb5862bU,     0xb7e3030bU,     0xdf3fa3e6U,     0x35d4c0c4U, \
    0x8ad5b765U,     0xb2a5992dU,     0xbfeccb1eU,     0xaa8abbd2U, \
    0xa311b783U,     0x77dc871bU,     0x529521b2U,     0xd2d00c92U, \
    0xa0813f77U,     0x609f52d3U,     0xcec23be8U,     0xf5c25249U, \
    0xe90cf135U,     0x5a504bfbU,     0x2e77974cU,     0xd7880a22U, \
    0xbd68988aU,     0x604fe28dU,     0x88a2ab11U,     0xc3264941U, \
    0x650139e4U,     0x65b46d34U,     0x21256eb5U,     0x7a9c4c8fU, \
    0xf4d83180U,     0x55d13766U,     0xc4122602U,     0x9d48e28fU, \
    0x6d8dc0b9U,     0xbcddaadbU,     0x58db718cU,     0xca7c0703U, \
    0xaea516ddU,     0x05e0091bU,     0x22e5b221U,     0x33e3b29fU, \
    0xc981c49eU,     0x2f515cd5U,     0x711c5f9fU,     0xbdee874fU, \
    0x2deb4f04U,     0xff66175bU,     0x85fecae2U,     0x6d2274eeU, \
    0xdb4eb19eU,     0x187c7cdaU,     0xf6870429U,     0x3975b3c1U, \
    0xcf2b143cU,     0xd0ad76eeU,     0xf3cc5897U,     0xd47e1e05U, \
    0xf11b761cU,     0x145872d3U,     0x7d7fb83cU,     0xd0b41cebU, \
    0x94c3a1eaU,     0x5eb5d633U,     0x602b8164U,     0x815d8043U, \
    0x3f639296U,     0xcc86cb09U,     0xf03f4782U,     0x0d1b2255U, \
    0xe9b73613U,     0xfecd2b17U,     0x9f4acaeaU,     0x024b06daU, \
    0xe4a4911bU,     0x8e8bed71U,     0x0c4f27e3U,     0x96ca6cc9U, \
    0x01aa4936U,     0xe1b04d51U,     0xb5de29fdU,     0x017f45b5U, \
    0xaa6f5cccU,     0x437f46c3U,     0x3753081cU,     0xab7b99bfU, \
    0x036de600U,     0x9b546563U,     0x2ae4dbc4U,     0xd2d67fd0U, \
    0x597974a5U,     0x713f5a53U,     0x32546556U,     0x0a3a9817U, \
    0xd9824848U,     0x6d2e0a78U,     0xc7d17978U,     0x69fbd17aU, \
    0x6146e6eeU,     0x8dbb80ecU,     0x168d1787U,     0x5af79e9cU, \
    0xbae8beaaU,     0xd8383114U,     0xef1df43dU,     0x0b3afafdU, \
    0x1b7b3d38U,     0xb2b0fef6U,     0xb80b7195U,     0x756b098aU, \
    0x5101a72aU,     0x98b901e8U,     0x9dfa3a94U,     0xb0fdd9fbU, \
    0x265f9d19U,     0xf819981cU,     0xc6b5718bU,     0xf888ddccU, \
    0x844dc15fU,     0x788d719aU,     0x8d577c46U,     0x356cb3ffU, \
    0xd41803bbU,     0xb41650e9U,     0xb22169c2U,     0x7c5072b0U, \
    0x9ac3d174U,     0x4e81d489U,     0x7e01de11U,     0x0784a67aU, \
    0x6d648a50U,     0x3ce09e44U,     0x1545c9f6U,     0x41143baaU, \
    0xc9f35683U,     0x45ce3663U,     0x4bb7500cU,     0xe7a8b385U, \
    0xe0e8e64fU,     0xbf8eca04U,     0x2db14371U,     0x3cc74457U, \
    0xc6ec9620U,     0xe489c054U,     0x01435799U,     0x916a2cf7U, \
    0xafe181ccU,     0xc5304b90U,     0xce75581bU,     0x3067c010U, \
    0xd7a5e9c5U,     0x38144792U,     0x1eb1bf18U,     0x4821931eU, \
    0x68c54848U,     0x4fd04f42U,     0x1af41eecU,     0xea6fdaf9U, \
    0x9e4e56d0U,     0xcd7a7a5aU,     0x52ba9da6U,     0x4ad4bc08U, \
    0x3d5b66a7U,     0x416114e4U,     0x945651ecU,     0x11a3dd29U, \
    0x6bf2ef40U,     0x4fb9cbafU,     0xff4cc44eU,     0xb274d8a0U, \
    0xcfbdbf2dU,     0x93f3e385U,     0x4133ac4aU,     0xf0020aafU, \
    0xd577b021U,     0x6f692ddaU,     0x35988fe1U,     0xfedf314eU, \
    0xacc2a044U,     0x80ee028fU,     0x17f2f5e8U,     0x3f59fd2fU, \
    0xc26bafc3U,     0xc44935c0U,     0x3a5cd5daU,     0x2244e976U, \
    0x8fb28fb8U,     0xbeb7e85dU,     0x2de280a2U,     0x4ff1de3bU, \
    0xfdf803bfU,     0x4f030a2bU,     0xba3383feU,     0xf7f4e5c4U, \
    0xba219089U,     0xe0f6c47dU,     0x62d75f41U,     0xbd468103U, \
    0x306a6475U,     0x4dcc2347U,     0xd068f277U,     0x953f490eU, \
    0x4e508c99U,     0x9f2de450U,     0x9dcf41f2U,     0x8f2da17fU, \
    0xf9d93093U,     0x1ecf07b9U,     0x9ecbcee0U,     0x7e8d7677U, \
    0x8acf6808U,     0x0140bd56U,     0xc685e686U,     0xe63b71e4U, \
    0xe67575a7U,     0xb5762c14U,     0xc86f8751U,     0xfc486e06U, \
    0x1ecc9b58U,     0x7c4515eeU,     0xfe22bb0fU,     0x0c74d290U, \
    0x94b2b893U,     0x9bd7da54U,     0x6a062b8fU,     0x192173d2U, \
    0x385e61c0U,     0xbf1d381fU,     0xee655e4dU,     0x0fa582c2U, \
    0x14e74878U,     0x9ef22be7U,     0xa630f76aU,     0x267bf58fU, \
    0x6aa341dbU,     0x3cc4ce1eU,     0x6d1afe09U,     0x21eebca7U, \
    0xbd48a3b1U,     0x5d407b1aU,     0x1b0161daU,     0xacc96e95U, \
    0x4e8269c3U,     0xb4475e7dU,     0x44ad9472U,     0xf799a050U, \
    0xc3946d4eU,     0x1cecf157U,     0x2c84e95dU,     0x5386a49eU, \
    0x80c87b12U,     0xda4f829cU,     0x0489d4c8U,     0xf66bcef5U, \
    0xd2795958U,     0xcef1e8b1U,     0x51761675U,     0xd078ce1dU, \
    0xcd02bbeaU,     0x9db938fdU,     0x6c3316fdU,     0x6b5e409eU, \
    0xdd941fc8U,     0x2cbbc7f6U,     0xb40d0886U,     0x9bf83f11U, \
    0x1b6327e6U,     0x29b5f74fU,     0x9ee1aff3U,     0x957926f1U, \
    0xbb4e5da0U,     0x9905e494U,     0x2f2e46d8U,     0x49e3be55U, \
    0x1d3a8559U,     0x16eb27f6U,     0x29f47751U,     0x9d1fa701U, \
    0x41e86057U,     0x8860e3dbU,     0x35ca072cU,     0x4bb0b1ceU, \
    0xde555215U,     0x36110a27U,     0x4d98360aU,     0x7953c991U, \
    0xcfd51141U,     0x04d56254U,     0x057ccc1fU,     0x917d4068U, \
    0xa3b361efU,     0xe0cb0051U,     0xfe906df6U,     0xc913b503U, \
    0x1b33135dU,     0xb0af6f7fU,     0xc477d905U,     0x1eb3faecU, \
    0xdda8cde6U,     0x30a4ed65U,     0x5ede5f6bU,     0x52e04999U, \
    0x49291f7bU,     0xd94bfc72U,     0xa5389975U,     0xf09809afU, \
    0x2b4f5092U,     0x9df504daU,     0x8a8607d6U,     0x521d077aU, \
    0x1304752fU,     0x34d8e8a8U,     0xfedef7c7U,     0x45215962U, \
    0x8295664cU,     0x6f590116U,     0x97379cc2U,     0xd2dfdc1eU, \
    0xb0a6c6f2U,     0x2ac5400aU,     0xab6651e6U,     0xe710a2dbU, \
    0xd78a2638U,     0xfd2890a9U,     0x22a4e077U,     0xbd142af0U, \
    0xebdb5165U,     0x9e62d526U,     0xc7c30b24U,     0x999101b1U, \
    0x5d2646c7U,     0x2d9d5513U,     0x6c0a121fU,     0xafb43279U, \
    0xb38ae38cU,     0x44daa0d3U,     0xf5db3af4U,     0x8f089a15U, \
    0x47673d67U,     0x1e9331f7U,     0x3db9e3b6U,     0x7966aa12U, \
    0xcacb5ea3U,     0x12409a50U,     0x4388b8d0U,     0x73014fb7U, \
    0xdc61333eU,     0xa7a86104U,     0x9a4a74f4U,     0x7fe0bdb1U, \
    0x65e6a9c9U,     0xa4b31b8cU,     0xb000f3d6U,     0x08d17425U, \
    0x22714253U,     0x5b8fe232U,     0xdbc9da8fU,     0x019fb211U, \
    0xc4800e5dU,     0x59108953U,     0xd2ba605eU,     0x2e5ec0e8U, \
    0x14d0842fU,     0x263ce529U,     0x858a8f66U,     0x004b80b8U, \
    0xd6a2f229U,     0x3ae9e05fU,     0xe03c6b86U,     0xd22d130dU, \
    0x84056ba6U,     0xd4acd0b4U,     0xcfe49416U,     0xb040bd96U, \
    0xbc9d7298U,     0x473a7d52U,     0x701564ffU,     0xb1766ad6U, \
    0x64aa7d17U,     0xe3670ebfU,     0x4b8f6d5bU,     0xbdd5a17aU, \
    0x212e4b74U,     0x84ed0a5bU,     0x5ce463e0U,     0xf156ba6bU, \
    0x1d20ce99U,     0x62bc2284U,     0x7b1390edU,     0x8155a54cU, \
    0xf0412c33U,     0xf345cd8cU,     0x1008ce92U,     0x6c9dc00cU, \
    0x721dda16U,     0x36d3b8a1U,     0x33f90986U,     0xf64154f7U, \
    0x00c9e53cU,     0x140ebd60U,     0x76e36656U,     0x8fb7fb8fU, \
    0x3406ba05U,     0xc67cf1a2U,     0x6e4ec6eaU,     0xcb6da29dU, \
    0x5882e40bU,     0x03c88eb0U,     0xec5cbf69U,     0x4babca50U, \
    0x94c4beb3U,     0xa117f805U,     0x9398434bU,     0x049498b4U, \
    0x3520f5e3U,     0xa45bb914U,     0x8e4ab96eU,     0xb85456a8U, \
    0x3886f0ebU,     0xd1418246U,     0x432cf863U,     0xe39213e8U, \
    0xca20b8e9U,     0x90a95a27U,     0x522b9ab1U,     0xa121aa66U, \
    0x8c4c51caU,     0xcef57b6cU,     0x734eac4eU,     0x6ffa66a7U, \
    0x8cf42784U,     0x74343feaU,     0x54c022f0U,     0xfb0e6f44U, \
    0x56c3a22aU,     0x2da7e444U,     0x1c420026U,     0x37c7c4f2U, \
    0x0b840357U,     0x4ab7f214U,     0x17204efeU,     0xd8b0b356U, \
    0x6d1a5063U,     0x6712417cU,     0x65880a90U,     0x7080c7e2U, \
    0x83f3bef6U,     0xd6e24865U,     0x40b8b432U,     0xf0fc39b0U, \
    0x0dde4015U,     0x1b666543U,     0x53ed61e8U,     0xca0c8be1U, \
    0xd997af9fU,     0x880f056eU,     0x9dc44b27U,     0x2c6bb4f2U, \
    0xf2a0b08fU,     0x888ed7b8U,     0xe6afd8b2U,     0xb9dd85c0U, \
    0xd2c56628U,     0xf254f5c2U,     0xcf276f2bU,     0x2e2345d6U, \
    0x9dba88d8U,     0x02b169caU,     0x90be9f83U,     0xee7ba58eU, \
    0x724374f7U,     0xd6f931b0U,     0xa5bce167U,     0x150d96e2U, \
    0x093f618cU,     0xc3543fa1U,     0x414c4b33U,     0xf885563dU, \
    0x99cb6b98U,     0xd4755c31U,     0x63b6946fU,     0x0e248170U, \
    0x617b8991U,     0x2a1c9ab2U,     0x74a28ff5U,     0x8421ba53U, \
    0x64657ad7U,     0x0502fafcU,     0xa66aab16U,     0x8343dfc9U, \
    0x81acf424U,     0xef297fc0U,     0x411ac9c1U,     0x270b8dfeU, \
    0x698d2c59U,     0x6cfbf6ecU,     0x80350cfbU,     0x4ab3af0aU, \
    0xc0a9f3f3U,     0xdc98f442U,     0xff096bfcU,     0xd9ab25abU, \
    0x7dbbe39fU,     0xfdf354d0U,     0x0302f7f5U,     0xdf958f50U, \
    0x6252b8e9U,     0x48934a8bU,     0x42dfcefaU,     0x2cb10774U, \
    0xbb5a0472U,     0x4ee1acf3U,     0x47081bf3U,     0xe3d6003dU, \
    0x92c4916aU,     0x46734033U,     0x4132f205U,     0xa9b656b7U, \
    0x5b57f11bU,     0x227c7e55U,     0x7984471cU,     0xe60f4b6dU, \
    0x42b4e1dcU,     0x06fa173bU,     0x7151f327U,     0xf44e8727U, \
    0xc8096fe1U,     0x31ac7334U,     0xeaac8e79U,     0x45901809U, \
    0x1164dfb7U,     0x2f54b540U,     0x79868ee4U,     0xb5d5788aU, \
    0xa695c2afU,     0x0faa7975U,     0xf590df90U,     0x32ba3912U, \
    0x9223331aU,     0x90017606U,     0x7f27e25dU,     0x72531273U, \
    0x2c7d68a4U,     0xff428eadU,     0x53bfda0fU,     0x857cb849U, \
    0x04b19f4bU,     0xda4452dfU,     0x27cc73e3U,     0x564b0f97U, \
    0xa3f28a57U,     0x6b4ebe9dU,     0x516407c4U,     0x016d56d5U, \
    0x02683699U,     0xdc4160a8U,     0xdd071349U,     0xdcb1fac3U, \
    0x8ad315b0U,     0x177ba1e6U,     0x857184c6U,     0x9bdd4d57U, \
    0x0e00e0e7U,     0x087872acU,     0xe90c109aU,     0xb7dc85d2U, \
    0x83a6a8e2U,     0xabbb7049U,     0xddcc107eU,     0x3d6177f1U, \
    0x44fc0872U,     0x2d371ad2U,     0xcd71b202U,     0xa53c92baU, \
    0xa950562fU,     0x676e3009U,     0x9af19134U,     0x88d8c930U, \
    0xb3fa8618U,     0x7ef4d21fU,     0x987e5e08U,     0xbac92756U, \
    0x0657249fU,     0x7dce2155U,     0x0da1ff10U,     0xf61352b8U, \
    0xc761bb37U,     0xda5d1005U,     0x3f20f447U,     0x0db0bf43U, \
    0x9ff7b20bU,     0xdb224f3cU,     0x11e9e9e5U,     0x72d63447U, \
    0x17e7b53fU,     0x1b71e9edU,     0xf251fa32U,     0x03ad57a5U, \
    0xea451affU,     0xa174bc17U,     0xa78df542U,     0xedc827d9U, \
    0x6b9197e8U,     0xed6e7745U,     0x0aec5aefU,     0x1473eee5U, \
    0x028dc33cU,     0xaa3c5d1aU,     0x33d366e8U,     0x4d016f7bU, \
    0x79410d2dU,     0xdf9e378aU,     0xdf4437b2U,     0x9f441fbeU, \
    0x4ddf8441U,     0x1b9f8081U,     0xc9359346U,     0x5fee50b8U, \
    0xa1cad39dU,     0x08b05559U,     0x7baede61U,     0x9e77464bU, \
    0x22ee3e6fU,     0x2debde60U,     0x4886f7a6U,     0xda791c7aU, \
    0x5060a1abU,     0x40b242f3U,     0x7ffb12e9U,     0xada1ff22U, \
    0xde57fec4U,     0x83ce998eU,     0xfe26eb1fU,     0x9c60762bU, \
    0x2133069bU,     0xd138dabeU,     0xfa2ca60aU,     0x18d5d306U, \
    0xaaad3cd5U,     0xa078818dU,     0x1478ab65U,     0x690cdbcdU, \
    0x836c894bU,     0xba474dd1U,     0x257180f9U,     0xcba4ee27U, \
    0x806c723fU,     0x2fcdf9aeU,     0x5dc25191U,     0x93b6780dU, \
    0x3d787bc3U,     0x5266f364U,     0x5953a8edU,     0x43b5d639U, \
    0x6fbcbb50U,     0x5ff60b99U,     0xaf6f366dU,     0x29e7bbb9U, \
    0xcd023055U,     0x4f75a617U,     0x93411414U,     0x90876670U, \
    0xe564af77U,     0x47994812U,     0x47892fa2U,     0x35c24ccbU, \
    0xbdb5d128U,     0x4cd871feU,     0xe7f16033U,     0xcd43b76cU, \
    0x5af2178fU,     0x0bc126a9U,     0x8eaea7dfU,     0xbf52f97fU, \
    0xb259582aU,     0x3ee4889bU,     0xd418022cU,     0x12974efdU, \
    0x584a1560U,     0x68c15577U,     0x1070c51cU,     0x9e74d129U, \
    0x412a52bdU,     0x61883d38U,     0x4cff71c2U,     0x6ed79d2aU, \
    0x7e36adf5U,     0x8dac85b7U,     0x6e4e1bc3U,     0x92395086U, \
    0x569a7119U,     0xe79b98baU,     0x6ee4d245U,     0xd1928bedU, \
    0x1f1e980bU,     0x2fb92952U,     0xdbf68a13U,     0x069ae53bU, \
    0x16a77de2U,     0x684fff37U,     0xd1055a80U,     0x665996d9U, \
    0x1a8e7095U,     0x33df9318U,     0xdcd61106U,     0x6abb59a3U, \
    0xa3f9e730U,     0x0899e7d3U,     0x669b6080U,     0xe2e7b7ffU, \
    0x95b1eafdU,     0x86eb5a8eU,     0xf556e5b5U,     0x9bdbb514U, \
    0x58c9aa38U,     0x8bbc1543U,     0xb4516d67U,     0x144bb844U, \
    0x705ff586U,     0x13c22cdaU,     0x3f794988U,     0x1641408cU, \
    0xe7a4b0bfU,     0x2c00090bU,     0x65a6cbb4U,     0x0a004dbaU, \
    0xaabc929aU,     0xb7322380U,     0xa537852dU,     0x5620a2d4U, \
    0x8dd8465eU,     0xf0e718bfU,     0x7058c08cU,     0xe27f52f0U, \
    0x79e1c93cU,     0xbbeeead3U,     0x6ebc568eU,     0x920cf30aU, \
    0xe591a84cU,     0x2ba1ea25U,     0x78b9aca4U,     0xee1325d1U, \
    0x028d02a3U,     0xf54cd0e3U,     0x42392e23U,     0x88ca0f8cU, \
    0x7a372391U,     0xd3a0ace1U,     0x53f70374U,     0x79f5cb50U, \
    0x0527ec5fU,     0xe7cc6109U,     0x7509787cU,     0x3ed764e7U, \
    0xfebb7288U,     0xc0c0a909U,     0x7a75a4bbU,     0x080239b0U, \
    0x466fe9b4U,     0x7a92ceaaU,     0x496920cfU,     0xa6f8f422U, \
    0x94912012U,     0x14d07596U,     0x3e9767d6U,     0xdcafd281U, \
    0x1340417fU,     0xb3ea2bbaU,     0x2e3f2077U,     0x0cc20706U, \
    0x6997d860U,     0x8e37345dU,     0x56387de8U,     0x22c41401U, \
    0xd05075a4U,     0xaf9b763fU,     0x5631a22aU,     0xae8c9b77U, \
    0xdb4d287eU,     0x6bedcd61U,     0xa0ae8a30U,     0x1c6ac365U, \
    0xcc3d6007U,     0x10d8d4d4U,     0xcc37b331U,     0x0f41b0bfU, \
    0x0d034633U,     0xc8b9e2e8U,     0x7162711fU,     0x61e09573U, \
    0x755f7b55U,     0x69b72032U,     0x7022cf66U,     0x17eebef7U, \
    0x7acd85e7U,     0x3019cd43U,     0x23d64d63U,     0xbb5aa69dU, \
    0xd83e59c3U,     0xa21a8d0eU,     0x58a1f0ebU,     0x0f5ea7a7U, \
    0xbb0db3b2U,     0x0dfb823bU,     0x92202fb4U,     0xd77e181bU, \
    0x7c7c9bc5U,     0xbcd3809bU,     0xf7699a9cU,     0xdab1884aU, \
    0xe6ee2aa6U,     0x5b56cbaaU,     0xd768ee47U,     0x699b27f6U, \
    0xfc2e8f10U,     0x945329bcU,     0x0deb0e60U,     0x0dbf632bU, \
    0x36ed18e2U,     0xd1d76109U,     0xea0959efU,     0x3ca20824U, \
    0x6e576117U,     0xe3cf08b5U,     0x65fde3a1U,     0x56d0b930U, \
    0xf162bad6U,     0xa110a689U,     0xd4b1ec40U,     0xd03639a9U, \
    0x352a97a9U,     0xc3b66136U,     0xd7dfbe34U,     0xe86ea4b3U, \
    0xdc8e66d1U,     0x438f8505U,     0x7bfc3c47U,     0xd4afaf49U, \
    0xd0fbde77U,     0x8613689bU,     0xbdad7acdU,     0xf5bf200fU, \
    0x5a2596c0U,     0x70ec511cU,     0xca940eedU,     0x3c47c9f6U, \
    0xda806254U,     0x65ca81e6U,     0x62b3de7eU,     0x0feea415U, \
    0xe3ebff0cU,     0xe467b256U,     0x99a99322U,     0xa803b4b2U, \
    0xd8b953bdU,     0x93f277c4U,     0x4ef2d252U,     0x5128e193U, \
    0xb288e51bU,     0xf9d2c4c1U,     0x518713a7U,     0xb6925d4bU, \
    0x55f10b25U,     0xdcd94f56U,     0x1b2314baU,     0x3cf6d879U, \
    0x0f6c0d4aU,     0x8786a199U,     0xd03f7cc6U,     0x88c38d94U, \
    0xab80fdd0U,     0x0603c197U,     0x5c6eec4eU,     0x8a4294e8U, \
    0xe00d958cU,     0x3600165cU,     0xf2cc4892U,     0x453d8fd6U, \
    0x34651831U,     0x722d954aU,     0xbba40b1aU,     0x745712e6U, \
    0x0f4374a5U,     0xd55ba178U,     0x413eafe4U,     0xbf376be5U, \
    0xe06e4608U,     0x7e6b002bU,     0xb7312c8dU,     0xfb41cf16U, \
    0x0d81e9d5U,     0xf368ae91U,     0x6498e140U,     0xb2122f87U, \
    0xc1301c2dU,     0x48279948U,     0xf431522bU,     0xd0a65401U, \
    0x24f18a74U,     0x20f87e9dU,     0x92e58a37U,     0x2c41405fU, \
    0x2c4fe410U,     0x1f4574c7U,     0x84cc082eU,     0x7e0de933U, \
    0x403d3348U,     0xf3d5ed13U,     0x053244daU,     0x15040037U, \
    0x27c574bfU,     0x64aa8702U,     0x365187bfU,     0xcd02f15fU, \
    0x1265ba6aU,     0x37ef00c0U,     0x71a3d5feU,     0x64cc4750U, \
    0xae9ac024U,     0xebf5fcc5U,     0x5c873eccU,     0x460457f3U, \
    0xa0bbaec2U,     0x4e7706e9U,     0x9daa55bcU,     0xccaa13c1U, \
    0x53af010eU,     0x6ed9275dU,     0xd4265667U,     0x70a32745U, \
    0x98269d51U,     0xb1ae82b6U,     0xbb07a70eU,     0xdca9083cU, \
    0x9fd618aaU,     0xfbd37f86U,     0x55506924U,     0x2d617853U, \
    0xfd057206U,     0x88d183a0U,     0x10376360U,     0xe87c9204U, \
    0xea375d0dU,     0xae6d68d9U,     0xfc883a7eU,     0xe8d6dad0U, \
    0x404ce3dfU,     0x4827544bU,     0xa63d89e9U,     0xc0a90195U, \
    0x64819691U,     0xad0d6ec2U,     0xa28860edU,     0xbe1823d4U, \
    0x99bf9381U,     0x2e9bf404U,     0x76804db0U,     0xcf4d6bc6U, \
    0x538e9070U,     0xe1de46bfU,     0x32b80a06U,     0xdebd5b28U, \
    0x88d97642U,     0x17c1e04bU,     0x7f9b4a8dU,     0x4f62fcd5U, \
    0xdd49cb0fU,     0xb62d816eU,     0x42dec7f3U,     0xa55498dcU, \
    0x41ffd9b5U,     0x3f9f0671U,     0xa87434b4U,     0xb3d07dbeU, \
    0xa9b2e0cfU,     0x2d66f177U,     0x769a0db4U,     0x76bdca98U, \
    0x564b3cd8U,     0xadd6faf4U,     0xf0271badU,     0x38a1120dU, \
    0xf1b7196aU,     0x56499947U,     0x9c826590U,     0x5b93b77fU, \
    0x733aa6fbU,     0x8679e19fU,     0xecfe0093U,     0x5b88c8f0U, \
    0x8122fa96U,     0x74b3119dU,     0x6f008684U,     0xcfcf6021U, \
    0x12d13e64U,     0xe33ee3a8U,     0xa222610cU,     0x35aecf8cU, \
    0xa0c66854U,     0x94a0623dU,     0x152b79f5U,     0x3d2d4b71U, \
    0x01d63493U,     0xd15b9523U,     0x5dcc2dbfU,     0x58e6cfe9U, \
    0x74069b11U,     0x471f66bcU,     0x64327561U,     0x140e6923U, \
    0x3eb41d80U,     0x47e9618cU,     0x2cdee72dU,     0xd5c76479U, \
    0xbdaddaccU,     0x537f219bU,     0x5bfb71f9U,     0xe99c6a08U, \
    0x73f040caU,     0x8c1011a1U,     0x5b8918f3U,     0x6abdb2f9U, \
    0x2b531ce4U,     0x041c5437U,     0xcc05a6f3U,     0xce28d51aU, \
    0x4235fd69U,     0xc26fe279U,     0xcc961d8bU,     0x00633011U, \
    0xfd698a63U,     0x6ee67584U,     0x42854d94U,     0x22bfcb46U, \
    0x776120e3U,     0xae4c5569U,     0xd89ade68U,     0x0783c848U, \
    0xc789d3cdU,     0x2597535dU,     0xcf4cde04U,     0xb84d9b77U, \
    0x7e62ea62U,     0x5f4d87e1U,     0x4f827358U,     0x3daf1e8dU, \
    0xa5672993U,     0x166e16e6U,     0x9f287912U,     0x873b879fU, \
    0xc21c8ea5U,     0x42c60f30U,     0xbabf3594U,     0x513ac7b0U, \
    0x2c926d52U,     0x75671ae3U,     0x7b32b026U,     0x976c7f5eU, \
    0xd899d4caU,     0xe8cad8b7U,     0x79088366U,     0x25bdac87U, \
    0xe6b8ff64U,     0x76f241f4U,     0x609011b7U,     0xe8d6f179U, \
    0xf00d8b9cU,     0x21594e2eU,     0x0af37d79U,     0x03d943a2U, \
    0x6f718298U,     0x3655219cU,     0x01ffd8d5U,     0x17eb1c14U, \
    0x1789a9f6U,     0x7291e954U,     0x7995350eU,     0x9bb32abdU, \
    0xc4b81ee6U,     0xf801d7daU,     0x2bd28dd2U,     0x20079da4U, \
    0xf0d525bfU,     0xb2c1f7acU,     0x208cf4ecU,     0xf08eff68U, \
    0x001602daU,     0xff2a91eeU,     0xae97c0cfU,     0x2033f365U, \
    0xa1a8ce59U,     0x8ef0bd10U,     0xa1ff73f8U,     0xd03ed361U, \
    0x457af07cU,     0x7d3a27baU,     0x39e4f5fcU,     0x7ad18a26U, \
    0x2541063eU,     0x12d2e7aaU,     0x5e30ffd5U,     0x3c6e2ef9U, \
    0xe434bf15U,     0x9517a982U,     0x6fd6f50cU,     0xbbfd5120U, \
    0x811177eeU,     0xaa77c864U,     0x0e01e0adU,     0x8714a472U, \
    0x9a38e762U,     0x98072c00U,     0x84c197c2U,     0x7dd6c186U, \
    0x16c8d945U,     0x18173660U,     0xc738f925U,     0xc8c78544U, \
    0xb7ced522U,     0x809315f0U,     0xeff8a5d5U,     0x0f690ef3U, \
    0xcd349ad9U,     0x2a0004b6U,     0x07147c64U,     0x807ef04cU, \
    0x8276de6cU,     0xad7bbabeU,     0x9b49f984U,     0x42515a1eU, \
    0x6103de44U,     0x5a5ea0c7U,     0x7a05fb03U,     0xf734f866U, \
    0xac81b78aU,     0xd46b5f5eU,     0xa58a6818U,     0x06eb99e6U, \
    0x3fab6830U,     0x87316e99U,     0xec6e8ba7U,     0xf505dfeaU, \
    0xf27d1282U,     0x6f7fa5dbU,     0x8dd88d44U,     0xf1c8c4ccU, \
    0xcc263d86U,     0x7a50fc2eU,     0x4a75a64fU,     0x5b85ffbeU, \
    0x0bda45f0U,     0xc93e9911U,     0x61cda474U,     0xf81b9833U, \
    0xcfed71e6U,     0xcc0a3548U,     0xe687bfc7U,     0x2255d50aU, \
    0x6f334deeU,     0x574566daU,     0x3c7bc6d0U,     0xae452240U, \
    0x4e1ab06aU,     0x59a0d428U,     0x7de9203cU,     0x00ce10e8U, \
    0x00968926U,     0x83389829U,     0xe9f6b73aU,     0xe3c4ca0cU, \
    0x385bd8e5U,     0x068e4041U,     0x8475b4b3U,     0xe442ee74U, \
    0x33af653aU,     0x3ecc12fbU,     0x018f4310U,     0xa08a2295U, \
    0x1b73daaaU,     0xf071e1b7U,     0xf0c48fb7U,     0x1aef9290U, \
    0x1b0e4364U,     0x57dcb293U,     0x6de1f4b3U,     0xf3c59eb0U, \
    0x546d3e4aU,     0x52e414b9U,     0x381613f3U,     0xed9a1911U, \
    0x17396739U,     0x93adf536U,     0x99cab94aU,     0xa6d10c34U, \
    0xb314ec68U,     0x90be406eU,     0xfdcec7b4U,     0x3e3eabfdU, \
    0x29e2f63fU,     0xf4515b9aU,     0xc9103a33U,     0x22ab9e74U, \
    0xa756f80fU,     0xb3924056U,     0x64b7befcU,     0x360dc6daU, \
    0xba4abb57U,     0x19c355b9U,     0x369ba327U,     0x83178bffU, \
    0x585e4475U,     0x8b16185eU,     0x6cfcfe7eU,     0xdaf1f222U, \
    0x48f14d4eU,     0xceeed7fbU,     0x7e7f1a9eU,     0x1cf2d618U, \
    0x2b221de4U,     0x9f15edd6U,     0xa2d0cdb3U,     0xf2107663U, \
    0xe8104174U,     0x4873eec2U,     0xec0a9426U,     0xf22ebb1bU, \
    0xb45fae13U,     0xceb1dc64U,     0xd7339e49U,     0x0c40e443U, \
    0xc864db8dU,     0x0a73a2daU,     0xd32500ebU,     0xa694afc5U, \
    0x2200c3e5U,     0x848014e4U,     0x54121b8dU,     0x83a9e0f2U, \
    0xe2e43491U,     0x2b26558bU,     0xd275f418U,     0xd6534429U, \
    0x713aa0d7U,     0xc6f2f3faU,     0x6a117c25U,     0x37ca33afU, \
    0xe5620370U,     0xbd69c47dU,     0xc58b2392U,     0x1db29508U, \
    0xb4bd0740U,     0x58c39b16U,     0x0a5083ffU,     0xd1bbfc97U, \
    0x5d411c62U,     0x5ba12cb8U,     0x71943f43U,     0x976da976U, \
    0x72e7917bU,     0xd4b17183U,     0x807804ddU,     0x4fa83dfdU, \
    0xdff6ed92U,     0x1f42bc0eU,     0x32684a84U,     0x09ec15afU, \
    0xe6df814dU,     0x4b94481fU,     0x2127c36dU,     0xc28fbb58U, \
    0xfd42e42bU,     0x9b8120eaU,     0xe0e064a9U,     0xeaa57379U, \
    0x9843c65aU,     0xc56867f8U,     0x6f41f0e3U,     0x0e5a433eU, \
    0x758c640bU,     0x27deedc6U,     0xe77c0089U,     0xe47a6994U, \
    0x538441dbU,     0xdb00741bU,     0xc74586fcU,     0x67815386U, \
    0xa48cf83dU,     0xfed29b79U,     0x84aedc32U,     0x51da0a73U, \
    0xe7e7a649U,     0xf311b201U,     0xb50df197U,     0xbc02cd4eU, \
    0x478f0540U,     0x944dd61aU,     0x93b88eadU,     0x20c6108dU, \
    0x45884a69U,     0x7b8d79b6U,     0x5ceccd3dU,     0x924fd861U, \
    0x2ae56debU,     0x19e8dc65U,     0x79a64598U,     0xb59e9722U, \
    0x32a1048aU,     0x4de415ddU,     0x98ed8644U,     0xdcac27f1U, \
    0xc34ec5f1U,     0xf2469640U,     0x7b4f9af9U,     0xff4ca301U, \
    0xcd72f00aU,     0xb91044c1U,     0x42571a9aU,     0x14d21b40U, \
    0xa1af9e35U,     0x12d7b6c5U,     0x3a4fdb2cU,     0x220462d1U, \
    0x20f90eacU,     0xfab3be9eU,     0x9e60bb43U,     0xf64ca2a1U, \
    0x3c7a4900U,     0x9991618bU,     0xe59f5535U,     0xa444bd84U, \
    0x85916d6dU,     0xea3375a8U,     0x334d9f74U,     0xda2c1e6eU, \
    0xcce13f03U,     0xdb23e56eU,     0x71e83981U,     0x03418513U, \
    0xdb5e685bU,     0xd3d383adU,     0xabd9bff2U,     0xdbfecb45U, \
    0x55b1e158U,     0x87809530U,     0xb23daa88U,     0xe77b6befU, \
    0x123fc892U,     0xc7ffea6dU,     0x1acf97cbU,     0xb2def840U, \
    0xd1a53689U,     0x7f92e41aU,     0x2351fbf2U,     0x72a17a10U, \
    0xc4424e14U,     0x8388a04dU,     0x90ec2908U,     0x39958f58U, \
    0xc7deab20U,     0x58b3c9c9U,     0x176084d0U,     0x82b196b8U, \
    0xada20cf4U,     0x12e4bb66U,     0x51a02a2eU,     0x125c9087U, \
    0x8dd3fa6aU,     0x30730a76U,     0xde41a525U,     0xb365e031U, \
    0xa56e8956U,     0x9619022dU,     0x76f535a0U,     0xec0ab7f1U, \
    0xd7181b6cU,     0xb7b4a2a6U,     0x1707812cU,     0x079a3203U, \
    0x5a5cbb34U,     0x4c9a6a21U,     0xe42548e2U,     0x92f8c103U, \
    0x17039da5U,     0x1f3d9742U,     0x4f2dcce2U,     0x2f79415dU, \
    0xbc1715e4U,     0xc81daf53U,     0x4988dae6U,     0x6415242cU, \
    0x1dcc9a98U,     0xd22fdaf1U,     0x73eb71f7U,     0x63f0bebfU, \
    0xe281178aU,     0xe7c9b25eU,     0x42e387e9U,     0xd3c46af4U, \
    0x02493719U,     0x765d6709U,     0x656979daU,     0xd8df1756U, \
    0x1fce60d4U,     0x1cf2c61eU,     0xd1b17900U,     0xf8f0dc38U, \
    0xebfe2887U,     0xcb59fecbU,     0xb251b8a3U,     0x50f1a82cU, \
    0xffc1d4a7U,     0x20426dd9U,     0x1cf5e3f5U,     0x1c307e4dU, \
    0xb4ceee49U,     0xed7474c2U,     0x4f80412cU,     0x95dd8fb5U, \
    0xe1fc8099U,     0x4d1331aeU,     0xbfee9642U,     0x6cfa972dU, \
    0x395c52c1U,     0x59c29d9aU,     0x20e81dedU,     0xe9924fc7U, \
    0xfdaac9bbU,     0xe35b864bU,     0x97946080U,     0x969bf7beU, \
    0x96af8dc3U,     0xe7238ba6U,     0x00090cb0U,     0x6022b973U, \
    0xeed467ddU,     0xbe4493e4U,     0xdc6555b5U,     0x771f2e56U, \
    0x741c243dU,     0x0160b3beU,     0x88774702U,     0xbdb8c1fcU, \
    0x42374d7eU,     0xcbad1de8U,     0xf8a013bcU,     0xb5305363U, \
    0xbe99d95aU,     0x924eb78aU,     0x48c6e2e8U,     0x73b8a4b9U, \
    0xf4232816U,     0x9d570163U,     0x65b02234U,     0x5f32662eU, \
    0xc6be2a3dU,     0x6f3e07d6U,     0xaa19654bU,     0x3024fc76U, \
    0xe2e9e248U,     0x11b70604U,     0xec366165U,     0xbe625907U, \
    0xe3d9b20aU,     0x10151662U,     0xe354aa55U,     0x7aac7ae6U, \
    0xe4e41336U,     0xd25da7ffU,     0x9eb2221aU,     0xc938dc30U, \
    0xcf185315U,     0x63f2d572U,     0xdf6d249fU,     0x4af36b06U, \
    0x9e7dc628U,     0x80043777U,     0xdd771b8eU,     0x44311d8eU, \
    0xb5350f73U,     0x9d9d4be8U,     0x8937f4f3U,     0x0a64c1feU, \
    0x567dcd70U,     0xfbe7480fU,     0xeb7f91b8U,     0xbeba3fafU, \
    0x44702659U,     0x82ea62efU,     0xb23511adU,     0xde9103cbU, \
    0xc72ec461U,     0xf23303fcU,     0x0ef8d13fU,     0x3f81e4f5U, \
    0x5827b8c6U,     0x67faa896U,     0x491789d9U,     0x21d62757U, \
    0x007b83cdU,     0xb20a8425U,     0xd849d134U,     0xf174e65dU, \
    0x402c50a2U,     0xbb3a260cU,     0xe90a6a4eU,     0xf395a8dfU, \
    0xa97c1e13U,     0xbf9b76ebU,     0x08e16f92U,     0x2bda4e00U, \
    0xd78c8355U,     0xc337f2bfU,     0x82356c8eU,     0xc0fbd5d9U, \
    0xf175e0d8U,     0xc8ed339eU,     0xc6cdc905U,     0xff75db9aU, \
    0x0ad370b4U,     0xb5a1219fU,     0x6d8f7f14U,     0x77692185U, \
    0x3b1c12e0U,     0x4eeb9460U,     0x434af4e2U,     0x6ec36898U, \
    0x543d5fa4U,     0x096a37a6U,     0x7cd4ca1aU,     0xd1bd397eU, \
    0xcc67a841U,     0x4cb5743fU,     0xae9b3a73U,     0x7d0d3825U, \
    0x68b9a764U,     0xee8b5b56U,     0xb9138bf9U,     0x1ad121d2U, \
    0xed120eecU,     0xeadb68baU,     0xea71b18cU,     0x53267238U, \
    0x7a36dd01U,     0x36077443U,     0xc520494aU,     0x89560f24U, \
    0xce9a6c41U,     0x1aeaf160U,     0x061591e6U,     0xe677df5aU, \
    0x10e8960dU,     0xd6d9863bU,     0xb32ae672U,     0xa83c4084U, \
    0x0b301f7dU,     0x0a8c4509U,     0x7a390e1fU,     0x6d3173a4U, \
    0x50dabc0eU,     0x53e6abc1U,     0x826059d1U,     0x36931ed3U, \
    0x6626e076U,     0x701c8ca4U,     0x87bacbc2U,     0x591e2687U, \
    0x74e2ed3bU,     0xf3a728a2U,     0xe1313e7fU,     0xa17dbf0fU, \
    0x4c14bd12U,     0xaaa253dbU,     0x5fa0b36eU,     0xa48bf389U, \
    0x01128a5dU,     0x63e80abcU,     0x53bba783U,     0x789736b7U, \
    0xe4222fdaU,     0xd4e16b02U,     0x8b77f6b9U,     0xa092f2e9U, \
    0x8ca5b108U,     0x07dce42cU,     0x8aa191abU,     0xba21e291U, \
    0xec3a3488U,     0xeb302485U,     0x457aeaf8U,     0x26af1426U, \
    0xe15c5543U,     0xb076eb8bU,     0x1ae8642cU,     0x0c533955U, \
    0xae762c38U,     0x93fe4fb8U,     0x477b0a79U,     0xa3eb9addU, \
    0xc3145f55U,     0x0c8f253cU,     0xa4ab7e7cU,     0xe81c4252U, \
    0x57496995U,     0x7c547c90U,     0xae2638c5U,     0x2859a07eU, \
    0xbf65e538U,     0xcd0580e3U,     0x67953e43U,     0x93bb1e4eU, \
    0xbd398565U,     0x898cfaa9U,     0xaec4bc40U,     0x24a0c8daU, \
    0x5a46d017U,     0xae29763bU,     0x6e8d4304U,     0x3dfff6fdU, \
    0xfd6cf82cU,     0x6f891b33U,     0x297a172fU,     0x1584553eU, \
    0x1923907cU,     0x3c96d7aeU,     0x0ee89545U,     0x680f66a4U, \
    0x2ef02dd5U,     0xd80befe1U,     0x31021d00U,     0x09e2fb71U, \
    0x3ee51a0fU,     0x198b561bU,     0x80cb8a09U,     0x50f3cf18U, \
    0x75091575U,     0x62fa1e35U,     0x74f19be6U,     0xf335b387U, \
    0x5b51d58dU,     0x08181f69U,     0x84c7745aU,     0x6f10e049U, \
    0xc191d64fU,     0xf2e30df1U,     0xcdfda4f3U,     0x20934157U, \
    0x1c623a68U,     0x1703432dU,     0x3e4db73cU,     0x3ea0f2c4U, \
    0xa3642120U,     0x2dad54e7U,     0x9d72cdf5U,     0x18f5b39eU, \
    0x25c02403U,     0x998a6905U,     0x95160ba5U,     0xcf3982bfU, \
    0x78c463ffU,     0x91222f3dU,     0x1db8e0adU,     0x4ab16582U, \
    0xfcbcadb0U,     0xc8297cdeU,     0x3cf6e8c6U,     0x689a9eb2U, \
    0xe7c60f58U,     0xcff28dedU,     0xc1b9b432U,     0x17e971a0U, \
    0xce626478U,     0xe4b68de0U,     0xd5b674a6U,     0xf4cdcd45U, \
    0x14a228b6U,     0xf5d1a4c0U,     0x74f235caU,     0x85bf8feeU, \
    0x23217d4dU,     0x1c5449c3U,     0x72a30976U,     0x9aec3b11U, \
    0x856c2242U,     0xc8a7a4beU,     0x500fc910U,     0x9f7bf7baU, \
    0x0c254d15U,     0xe57e941bU,     0xba791eb0U,     0xd80d8918U, \
    0x9252db9dU,     0x90efe95dU,     0x18ce3246U,     0xe026ac0cU, \
    0x1e299ebdU,     0x045414a5U,     0x6cf03160U,     0x09785bd8U, \
    0x2b7a1e16U,     0x28d6fdfbU,     0xc7d8fb15U,     0x95501e63U, \
    0xf012f188U,     0x59922657U,     0x08f9f02aU,     0xc8112d7bU, \
    0x21a97445U,     0xedbbc96bU,     0xa1815672U,     0x49d2fd6bU, \
    0x3434e3afU,     0x1e632d5aU,     0xf7409002U,     0x2d9eaac9U, \
    0x67f5743dU,     0xc6779df3U,     0x90fe91ecU,     0xf567e399U, \
    0x6d07a5e7U,     0x5edd93b0U,     0x1bc77b24U,     0xc109689bU, \
    0x6984498dU,     0x1ab57a7fU,     0x096c696cU,     0x9213a08dU, \
    0x1ab027adU,     0xfb55b552U,     0x1a80372cU,     0x8a74f128U, \
    0x23a1fdbeU,     0x7e6cd252U,     0xd06217d5U,     0xb5ed43e7U, \
    0x54a59a70U,     0x0eb3d985U,     0xe7b46a54U,     0x6fa07023U, \
    0xaa10a3bdU,     0x78d5f89cU,     0xcb72c2ccU,     0x96193cb4U, \
    0xa7403a9eU,     0x6718359cU,     0xc7222a89U,     0xb2b825f7U, \
    0x828eaa5bU,     0x915c377aU,     0x40bc2e93U,     0x0c55f5f7U, \
    0x45710ff9U,     0x62bb4d33U,     0xe1331b5eU,     0xffba8026U, \
    0x1c83f3d0U,     0xfa636de5U,     0x10cc3951U,     0xf2d52ebfU, \
    0x718dd0d2U,     0xc1718d91U,     0x6deeb264U,     0x8e7ddd0aU, \
    0x909ed6d2U,     0x37262088U,     0xeb333930U,     0x5116dca5U, \
    0xbea6f490U,     0x91f297beU,     0x50c8fd34U,     0x6fa80b04U, \
    0x3fff4ae5U,     0xb44f19fdU,     0x1cee0e45U,     0xf24577efU, \
    0x7d12b074U,     0x7db7c9adU,     0x80ff0c68U,     0x80b7d292U, \
    0xace3062cU,     0x91854cf8U,     0xaa75a6ccU,     0x9d30120aU, \
    0xa5461babU,     0xfed154b2U,     0x53d6e0deU,     0xc14eef88U, \
    0x57e484d4U,     0x9bf84bbfU,     0x2348f6e1U,     0xf58cb4e1U, \
    0xf3b068aeU,     0x187750c5U,     0x7dd5262fU,     0x593d1bfaU, \
    0x01a0139bU,     0xee6656d5U,     0x87d4a327U,     0xed5ba3f2U, \
    0xd2097d17U,     0x7ae0b9e4U,     0x3bebb505U,     0x4eadd122U, \
    0xfa1ade85U,     0x591b195fU,     0x5dde0995U,     0xab806e2eU, \
    0xb56c9078U,     0x10757865U,     0xa219eb2cU,     0x2f36834bU, \
    0x9dc2ceb2U,     0x2644ed0cU,     0x69a2a624U,     0xff466d23U, \
    0xc4307087U,     0x02e9cc7aU,     0xe8fa4ce2U,     0x3fd1c43fU, \
    0xcc2ad213U,     0x2e8dd0feU,     0x593d3c68U,     0x3f39b9bdU, \
    0x0799b332U,     0x9522c55eU,     0x8a084fa5U,     0xa2bbd4c7U, \
    0x9ed5748dU,     0x5db55cc5U,     0x480f92a1U,     0xd079d77eU, \
    0xeda1e021U,     0x38760c7fU,     0xf6c2efd4U,     0xb2cf15e6U, \
    0x2fc117a1U,     0xd1b16d0fU,     0xa28ef6c7U,     0xca7975d7U, \
    0xeac47f0cU,     0xf7b5de9fU,     0x593d2f4dU,     0xff1ff3b8U, \
    0x16c8b7cdU,     0x2bb47330U,     0x0bfa670aU,     0x80daea74U, \
    0x06080fd3U,     0x6710b272U,     0x1768f1d0U,     0xbfd263d9U, \
    0xc6209c8cU,     0x785fd3c2U,     0xb56ac43bU,     0x69724dd1U, \
    0x1ee29182U,     0xf313b259U,     0xf1ff6df4U,     0xb5c2f77aU, \
    0xc546627dU,     0xb5852196U,     0x435da7a0U,     0x083420acU, \
    0xa26a3ee2U,     0x11a8132bU,     0x90544937U,     0x06ed1351U, \
    0xd0f3fc54U,     0xe298179fU,     0x3f957ee6U,     0x148d7936U, \
    0x20ea4b21U,     0xe79d1098U,     0xb25f70e1U,     0x7408796dU, \
    0xce832011U,     0xf47760c0U,     0x48b35e34U,     0x07af8256U, \
    0x978dc26aU,     0x5ac47645U,     0xc6c123c1U,     0x9cc80bdcU, \
    0xe73437b1U,     0x67c6edddU,     0xd1708475U,     0x7ec06bfbU, \
    0x050b97dcU,     0xc5fdb04fU,     0x2c5d5791U,     0x1bd8580dU, \
    0x5a5255aaU,     0xeb4a3207U,     0xdb1b91c3U,     0x068386e9U, \
    0xd19005d4U,     0xe81555dbU,     0x10759b62U,     0x26154d72U, \
    0x4b9783a8U,     0x03e1c3bdU,     0x22d6d09aU,     0x38bee25fU, \
    0x9baf448bU,     0xba5b2de6U,     0xa9d30a69U,     0x549b99e9U, \
    0xae693cc8U,     0x9b672fa3U,     0x373e0d53U,     0xca79d833U, \
    0x2e3604edU,     0x699cb02eU,     0x8dce473aU,     0xe597d320U, \
    0xad3acb2fU,     0xc7dc0137U,     0x56e7d2a3U,     0xb8a581edU, \
    0x70d95595U,     0x3f6fb004U,     0x1e15d0c5U,     0xc3f5614dU, \
    0xb768cf5aU,     0x695b2b30U,     0x573613a1U,     0x4e5f4743U, \
    0x25a4c482U,     0xb3c16e34U,     0x30e0ba6dU,     0x28477fc3U, \
    0x96d571a0U,     0xfd532c30U,     0x3d7c896aU,     0x8868b502U, \
    0x11ba48a1U,     0xd7a836afU,     0x4630fe60U,     0xce9e5059U, \
    0x7e298a23U,     0x6f260179U,     0x1f94c719U,     0x9601cdfdU, \
    0x8ce7f3acU,     0xf43b87dbU,     0xef6790d8U,     0xf0f0806fU, \
    0x306b2159U,     0x68a63eddU,     0x74d9cb7eU,     0xac25deacU, \
    0x7c77bb96U,     0xff48a303U,     0xd45b14daU,     0x6d18b39bU, \
    0x6c1aa2adU,     0xdf27bde5U,     0x0870bdffU,     0x766eabd0U, \
    0x45b967b1U,     0x14448a57U,     0xdf0af4a2U,     0xf5f1c626U, \
    0x7f134c19U,     0xb6328fecU,     0x4803bc54U,     0x867bfa48U, \
    0xd6b9050fU,     0x633bd633U,     0x2ed8cdfdU,     0x05f99d34U, \
    0xfae1279dU,     0x923c89ccU,     0x0c35373fU,     0x5ce2d789U, \
    0xf0257f67U,     0xa6839feaU,     0xf6b7fcf6U,     0xe047a6e9U, \
    0x8c8d16b7U,     0x1c6d78ceU,     0x33fd69a6U,     0xd8080d5aU, \
    0xd7243228U,     0xeecec3d5U,     0x1053ea6aU,     0x29902418U, \
    0x079f7a9dU,     0xcff4438eU,     0x0c6d19e6U,     0x916f5de2U, \
    0x831516d4U,     0x5b28dc72U,     0x60489fddU,     0xdf79a0c4U, \
    0xc296370cU,     0xb144856bU,     0xe7704336U,     0x02c797c3U, \
    0x116ee0e6U,     0x405c3ca7U,     0x062e8b86U,     0xe530c266U, \
    0xf6a3f895U,     0x21401732U,     0xbbc073e1U,     0x9437b530U, \
    0x85283de9U,     0x7231bf67U,     0x0bc02cc6U,     0x6f0132d7U, \
    0x33d835b8U,     0xf7461680U,     0x43b8b7abU,     0x97ae3720U, \
    0x92186149U,     0xd9e174daU,     0xa3038c5fU,     0x6a7f06f3U, \
    0x2932d4beU,     0xc3491de7U,     0xc3bf81f7U,     0x862d473fU, \
    0x099c68c1U,     0x4689936eU,     0x52157bc9U,     0x9b6920f6U, \
    0x2806df00U,     0x8b16ed0aU,     0xe06433c3U,     0x9e030898U, \
    0x1c725f63U,     0x4148a93eU,     0x29c9179cU,     0xc1da7128U, \
    0x178061cdU,     0x7a59ce16U,     0xb70a356cU,     0x8cc8170aU, \
    0x91348a0cU,     0x28afce4bU,     0x1fdb0043U,     0x73039b79U, \
    0xcfe83d9eU,     0xfc26c1a4U,     0x6ae46ae4U,     0x1229018bU, \
    0x75b29c37U,     0xb055898dU,     0x54a7f50aU,     0xe5874661U, \
    0x6ac646b2U,     0x51361355U,     0xad297ae5U,     0x99e155fcU, \
    0x56363fd6U,     0x552046c8U,     0x6afcd888U,     0x689bd744U, \
    0x4aae9669U,     0x16696c88U,     0x7d6cb5feU,     0xd968ce49U, \
    0xb2032bbaU,     0xfe4bb8c4U,     0xc308a437U,     0xa11bdd01U, \
    0x180c6cdfU,     0xae038f00U,     0xef872392U,     0x0588784bU, \
    0x95b3bbccU,     0x0582a568U,     0x6e0b14c5U,     0x85d49138U, \
    0xf447d7d3U,     0xe89fd4ecU,     0x35ef14f1U,     0xf1e94a11U, \
    0xdcf35dacU,     0xa8cc2465U,     0xbca46269U,     0xf29fbda3U, \
    0x80342fb1U,     0x95eeeb6bU,     0x9cd2e5b7U,     0xe4de8b5dU, \
    0xa2b64514U,     0x2a398d7dU,     0x963c61a4U,     0x5cd72270U, \
    0x3b34d83eU,     0x14a5e909U,     0xef09c422U,     0xada78ccfU, \
    0xc9953bd8U,     0x5fdf6320U,     0x7d8bd72aU,     0x19c4ecdfU, \
    0xbb7e9534U,     0x0b5572afU,     0x861ae4b3U,     0x95105f28U, \
    0x6d50bbf1U,     0x0b9da340U,     0xc15fd01aU,     0x3d43824cU, \
    0x9394ba16U,     0xa7e19528U,     0x6b8c6b94U,     0xd693c4cfU, \
    0xc45896edU,     0xb05f90f1U,     0xec9269beU,     0x510e438bU, \
    0x922fc5c7U,     0x953fd4f2U,     0x38f370b4U,     0xb3c24b14U, \
    0x151cb8a6U,     0x1b5b46f0U,     0xd3ca12cdU,     0xca56ac9dU, \
    0x5bcecf01U,     0x538d1181U,     0xf5d0e8cdU,     0x628e46d0U, \
    0xa210786aU,     0xd3869332U,     0x315fbe7aU,     0x6888f58cU, \
    0x94ce99d8U,     0x74f42ebcU,     0xb9c9440dU,     0x328f22ffU, \
    0xb7318addU,     0x37d0904aU,     0xc77b1e4eU,     0x7402f0a9U, \
    0x4f4e917dU,     0xaccf520dU,     0x6236ab4bU,     0x9ca26101U, \
    0x3a682e76U,     0x23641a10U,     0xd9df0facU,     0xcb67b9faU, \
    0xa30e4214U,     0xb490b2e8U,     0xe78d0b2aU,     0x78013775U, \
    0x128080a4U,     0x1ff93f5fU,     0xe0bf1bfaU,     0xeaf099cdU, \
    0x11dc4ee2U,     0x3920958aU,     0xa6834c29U,     0x8242687dU, \
    0xb6c87a0aU,     0x1db732cdU,     0x87b3d220U,     0x109385d4U, \
    0xa939bc71U,     0xd212d2e5U,     0x18f62857U,     0x7bd20c76U, \
    0x3662ab4eU,     0x5dbd38b4U,     0x32e7ebb4U,     0xca14d4feU, \
    0xa3c00f40U,     0x92bb7042U,     0x3344389aU,     0xddfb85b9U, \
    0xcb7605f6U,     0x7cd199fcU,     0x85be0c95U,     0xb6676823U, \
    0x05bba875U,     0x51750d4cU,     0x91c40456U,     0xa817f512U, \
    0xea07114cU,     0x2dd3bb55U,     0x67fc3e60U,     0x09e3c480U, \
    0x5117354fU,     0xbce5e8c6U,     0x99f885d2U,     0x17409293U, \
    0x0aeb86feU,     0xe1bd1bfaU,     0x6e002aefU,     0x20283caeU, \
    0xc8481e74U,     0x8d5a1c85U,     0xe0ad0ca4U,     0xa2019b89U, \
    0x28938242U,     0x4158602bU,     0xd603c3c0U,     0xd99f6cb1U, \
    0xeea30802U,     0xf5fbb608U,     0x31fb88cdU,     0x17c1cae1U, \
    0xc8e9e7d3U,     0x20055b9bU,     0x96c1f291U,     0xa78579a1U, \
    0x59117b72U,     0xa78fb174U,     0x4e03608aU,     0xd86b6ccbU, \
    0x0a2273aeU,     0x9b8191c9U,     0x5039c953U,     0x9a178279U, \
    0x573c3203U,     0xf783399bU,     0x33c8ffb6U,     0x6d01fd1cU, \
    0xbf1110e4U,     0x83e46326U,     0xb2e3ae72U,     0x1028bbbcU, \
    0x1265abedU,     0x3cd4fc0cU,     0x73745ce3U,     0x122f3401U, \
    0xe0792420U,     0x4d068da3U,     0xfceddfdaU,     0x845db2ecU, \
    0x1f10ea72U,     0x7353314eU,     0x672cfa5dU,     0xda40fb04U, \
    0xcf8c5f4fU,     0x991cf407U,     0xc0c7de0bU,     0x2759d8b5U, \
    0x44bd9b08U,     0x1b6bffacU,     0x91da2676U,     0xf1581dacU, \
    0xcf12d998U,     0x3bb2a810U,     0x9bf906edU,     0x491d23c8U, \
    0x807e81fcU,     0x9fb692b3U,     0x9d825699U,     0x09615416U, \
    0x9449a314U,     0x7328bde7U,     0xe13653d7U,     0xaa5f235dU, \
    0xf2c00c17U,     0xf02f86c2U,     0xd2df24abU,     0xbea702a2U, \
    0x9591d808U,     0xb21d7526U,     0x89169635U,     0x3befa9b8U, \
    0x2fff27b0U,     0x647b6a65U,     0xbba12886U,     0xf2364dd0U, \
    0xd3e65c6bU,     0x4d5caa61U,     0xe24c904eU,     0x2bc7ac60U, \
    0x2d5aba6cU,     0xce74f3faU,     0x00c62eeaU,     0xa246883dU, \
    0x44e1b5c7U,     0x346dfa34U,     0xcbaad84fU,     0x28005227U, \
    0xc45e8186U,     0xc203defcU,     0x3e3ebb4aU,     0x02046328U, \
    0x3f5b44b0U,     0x697c63cbU,     0x3950da3cU,     0xf7a094b1U, \
    0x7e013967U,     0x57e11e5eU,     0x1fd1332eU,     0x37bc4671U, \
    0x74399f61U,     0x8806c50dU,     0x81cf81d8U,     0x38cc3217U, \
    0x476ee48dU,     0xb5fbb943U,     0xd232f4daU,     0x2e6a7231U, \
    0xa7c88c6bU,     0x50392ae5U,     0x13968581U,     0xc976e794U, \
    0x4f65785aU,     0x6c3fad18U,     0xf9a07e22U,     0x0a9aacc1U, \
    0x73a1e6a1U,     0x6d85aec1U,     0x554fa1b7U,     0x3738e158U, \
    0xddfff063U,     0x00174ca0U,     0xf4be714aU,     0x650f1b5dU, \
    0x7c9a9519U,     0x22a35345U,     0x30272d0bU,     0x711ec861U, \
    0xf4d61d50U,     0x7f2a76fbU,     0x415a8ffeU,     0x6dcc7d3cU, \
    0x378a8683U,     0x922ae355U,     0xaa51808fU,     0xce8a9009U, \
    0x768f58d4U,     0x63f73f4cU,     0xb7d67cebU,     0xc7ae1892U, \
    0x375097b7U,     0xa9049199U,     0xd9c06232U,     0x16196538U, \
    0x7b7dc7bdU,     0xe0b078baU,     0x96e7fe4fU,     0x101e930aU, \
    0x5d679274U,     0xa85b3cb6U,     0xaa8b9741U,     0x2cda8debU, \
    0x41e70d18U,     0xea732205U,     0x2c87bdbdU,     0x8e430f78U, \
    0x50100ab8U,     0x0d1ee63bU,     0x8f3b79a7U,     0x53264bfdU, \
    0x8dcae5a4U,     0xf03450feU,     0xee6e8c94U,     0x0e654b16U, \
    0x909d25afU,     0xcfbea835U,     0x1c7498daU,     0x7c6521e0U, \
    0xa4839355U,     0xca6d6961U,     0xdc70c192U,     0xf9e923adU, \
    0xf0f735caU,     0xb0647c61U,     0x6fb52ad3U,     0x5793e49aU, \
    0xcb1d9500U,     0xf13ec7a0U,     0x845d3c9cU,     0x83d9130dU, \
    0xe6de885aU,     0x2705e2f9U,     0x65004fdeU,     0xf0b68f4aU, \
    0xd60d96d7U,     0x3d2601a8U,     0x9d0dff28U,     0xafaa28b7U, \
    0x150c2a86U,     0xeb3260a2U,     0x08096b32U,     0x51a36eeeU, \
    0x6b3e7ef6U,     0x8e0fba31U,     0xe7f57afcU,     0x5bb24e55U, \
    0xf09ef2cbU,     0x61874080U,     0x9d1f6106U,     0x1cf37ca3U, \
    0xb4743e37U,     0x1c793b29U,     0x43b31be2U,     0x3466c9c2U, \
    0xf878206aU,     0x72342b7fU,     0x6818a2bfU,     0x8489de64U, \
    0xefdf3d04U,     0xe999ce3fU,     0x40fa7185U,     0x329f5e1dU, \
    0x6c2f1d51U,     0xe7363effU,     0x6d9283ffU,     0xb98b1af6U, \
    0xf8cc7df9U,     0x0c0bc291U,     0x0829ce25U,     0x6373d0ecU, \
    0xad1cf374U,     0xfac35552U,     0x2e7e8ecaU,     0x9dc63fd6U, \
    0xe7c136cfU,     0x31250a84U,     0xd8a9628fU,     0x15b65437U, \
    0x63bedd7bU,     0x94f80cd5U,     0xfcadc5eaU,     0x61179614U, \
    0xf48eff35U,     0x898c67c0U,     0x2e4ab464U,     0x5601ba69U, \
    0xb2196ee3U,     0x85a9fc64U,     0x840b0354U,     0x11a3105fU, \
    0xa646baf2U,     0xdef6fed8U,     0xa3060838U,     0x13d4287dU, \
    0x11150d85U,     0xfe5b7dcfU,     0xcf0094e2U,     0xe4f8aef9U, \
    0x0eaa19f9U,     0x0a4ee40cU,     0x557b4194U,     0xef0491f5U, \
    0x1b43a4ebU,     0x30d251afU,     0xaa3351d1U,     0xd3b084dfU, \
    0x247f0fd1U,     0xef20da78U,     0x6ab6f225U,     0x317e27c3U, \
    0xc71e8282U,     0x35103c7aU,     0xa695a051U,     0x6aab0426U, \
    0x5bb26861U,     0x5d35ae9fU,     0x83a767daU,     0x8c353cf2U, \
    0xef9a7efcU,     0x6fbaff44U,     0xbe2cb650U,     0x99403424U, \
    0xdfb4008cU,     0x4dc9b7fcU,     0x8dffb77aU,     0xcb983c4cU, \
    0x49c451f7U,     0x57c33d53U,     0xaa1a17abU,     0x59b9b5b9U, \
    0xa6718ec8U,     0xcd313a34U,     0xd6742fafU,     0x6ff275b5U, \
    0x5c71b55eU,     0x95560e4dU,     0xa73e8e86U,     0x5422e0aaU, \
    0x10bff91fU,     0xa6e0639aU,     0xaf2709acU,     0x2986cff5U, \
    0x87bee3d5U,     0x6747e9d7U,     0xa5a68729U,     0x25472837U, \
    0x6cd74bcdU,     0x2a313ad5U,     0x27412722U,     0x55692826U, \
    0xe42422eaU,     0x342085ccU,     0xa3430069U,     0x01f97bd6U, \
    0xe00d6eeeU,     0x626cf341U,     0x75e8268eU,     0x80e4e1cdU, \
    0xc7c51b56U,     0x6ea0306bU,     0xbea5ceedU,     0xa139ba31U, \
    0xb0db5d12U,     0xaba8dac4U,     0x7e3f9951U,     0x924a48bdU, \
    0xc638f144U,     0x35b7f537U,     0x0c781920U,     0xd66b3062U, \
    0xb5ab9eb4U,     0x77c9d2c2U,     0xf83e814aU,     0xbcce87acU, \
    0x9d41e6c3U,     0x9e441f45U,     0xe590dddfU,     0x8b4e10c9U, \
    0x75c92045U,     0xea42c41aU,     0x68edd232U,     0x84ce4accU, \
    0x89be5742U,     0xc0dd21acU,     0xed7167e7U,     0xd183b421U, \
    0xc248ab95U,     0x00603a17U,     0xc9c95988U,     0x55a6cdaaU, \
    0xf1a92a4dU,     0x34095f4bU,     0x6e4c1a12U,     0x112713abU, \
    0xa29a7273U,     0xd5428b27U,     0x3b7d9280U,     0xffd58765U, \
    0xe7cd3ca5U,     0xb7d7cfc9U,     0x3429bdd7U,     0xcdde176cU, \
    0xad4fe9edU,     0x2b6abcf4U,     0xac863394U,     0x143b2e4dU, \
    0xab808419U,     0x68b87036U,     0xc039590dU,     0x00a1b5aaU, \
    0x650d9b5dU,     0xbd49eef9U,     0xb156b96aU,     0x9fd2304fU, \
    0x50802a50U,     0x4baa3e8dU,     0x996f9398U,     0xfb525b3fU, \
    0x4756e937U,     0x7b5ac0f3U,     0xf5557843U,     0xde55dc83U, \
    0x34af7317U,     0x9d18df67U,     0x5f9e9c2eU,     0xfd5081e2U, \
    0x6f3c63b5U,     0xb3c6a0e5U,     0x330db220U,     0x5e6977bfU, \
    0xceda38b5U,     0x99d405e9U,     0x3a5bc290U,     0xe0e5addbU, \
    0x4e8ec1f8U,     0x0109d8e2U,     0xadf9ff2bU,     0xa422c54bU, \
    0xb68cb99cU,     0xb690b163U,     0x40dce825U,     0x9181bd0cU, \
    0xbf350f0aU,     0x3aee4b82U,     0x7cc7dcd9U,     0x48167fa6U, \
    0x34ac31afU,     0x2d8f2e5aU,     0x30e4d0f5U,     0x16ed0e5aU, \
    0x21910aaeU,     0x1cb4c69aU,     0x9194cca2U,     0xe69a33f8U, \
    0x0aeb72efU,     0x2dd5be0bU,     0xb6837cf4U,     0xd45f730cU, \
    0x7c7161a3U,     0x879f5f6bU,     0x2061d1b4U,     0x09b071e1U, \
    0x502698d9U,     0x288f3b14U,     0xa2396323U,     0x03eab18eU, \
    0xf0ea2662U,     0x65041bd4U,     0x83112ad2U,     0x518b2428U, \
    0x7ca72ca7U,     0x84063440U,     0x2a25e1a7U,     0x000f0805U, \
    0xdaa0bb79U,     0xa834bf43U,     0xc33b0fd5U,     0x633898e3U, \
    0x84558e6eU,     0x4dbfec5aU,     0xc8e943f4U,     0x5ebabba2U, \
    0x9dc5526eU,     0x52aad3f8U,     0xc08634d5U,     0xfec06da0U, \
    0x1c70fc24U,     0x759ba651U,     0xc12027b5U,     0x57e5b15fU, \
    0x8c118771U,     0x74f012d3U,     0x689c44fdU,     0xfbd6681aU, \
    0x4927adb8U,     0x9cf0f131U,     0xae86e30dU,     0x5f414303U, \
    0x0bec7557U,     0xbdd051e0U,     0x4b3b1e21U,     0x633a208dU, \
    0xb02cc977U,     0x2f36a903U,     0x429482e1U,     0x076d1216U, \
    0xf7fdc6c3U,     0xe20d4031U,     0x0afaee55U,     0x1ef33aa0U, \
    0x4bd4074fU,     0xd0315b6bU,     0x69d6c18bU,     0x9995e1deU, \
    0x80ffd5e3U,     0x5b10acd9U,     0x18713d39U,     0xa3d7d37dU, \
    0x1b45eb6eU,     0x059eda11U,     0xe6a5f5ffU,     0xf73c1fbcU, \
    0x7159f968U,     0x3df32428U,     0x2cacfab0U,     0xe04e476dU, \
    0x8d607695U,     0xbe8d30d5U,     0xf17b2834U,     0x9f07ff05U, \
    0xc6390766U,     0x31e993a5U,     0xfb8cc8b1U,     0x2d5a6dd0U, \
    0x7127f289U,     0xb8d32e72U,     0x96f00a42U,     0xcc7ffdfaU, \
    0xe7165798U,     0x9d398022U,     0x2e86c27dU,     0xcd279605U, \
    0xe8dc9c70U,     0x938137b7U,     0x5c153dffU,     0x80afbb27U, \
    0x76d98d1eU,     0x191a459aU,     0x79eff4b8U,     0xb7271265U, \
    0xec74adebU,     0xc7a63de4U,     0xbd919acaU,     0x6b5f3307U, \
    0xf4883169U,     0x884cefc5U,     0x03b9a01dU,     0x6f30d354U, \
    0x0f3d1bb6U,     0x2c14e33dU,     0x3f19a031U,     0x1cdcf560U, \
    0x70437f37U,     0x00390a46U,     0x2fc01e4dU,     0xb380ab59U, \
    0x674078f8U,     0xeb64dd39U,     0x68b8ce63U,     0x753d3aebU, \
    0x1625119fU,     0x09ea7836U,     0xc46542efU,     0x81fc5c13U, \
    0x82414155U,     0x34d45f58U,     0x6b44dadfU,     0xa4617d93U, \
    0xf853601dU,     0x6a371126U,     0x09fffc50U,     0x874ee00dU, \
    0x72c3c87aU,     0x7ff65f94U,     0x8553a38aU,     0x608c884dU, \
    0x15dfcd96U,     0x697daaccU,     0xa8d5df60U,     0xf66ccd0cU, \
    0x2fe890ebU,     0x4515e67dU,     0xc09f0250U,     0xef76fa82U, \
    0x5a3d24bcU,     0x383f8256U,     0xdc78288fU,     0xed249b6dU, \
    0xab1a6274U,     0xd9a4e082U,     0xcc89c279U,     0x454f4acdU, \
    0x913a6ca1U,     0x8b02e634U,     0xb875e7ecU,     0xe7680a38U, \
    0x92d9ced8U,     0xec8b26ffU,     0xaa7551abU,     0x04752ae4U, \
    0xc82adcf0U,     0x0ca9de61U,     0x13939fbfU,     0xecd527feU, \
    0x3a4a96d9U,     0x4fca59aaU,     0x24915887U,     0x50d3b272U, \
    0xf693fadfU,     0x81ccd4a7U,     0x7ec721b5U,     0x7306aedcU, \
    0x22083159U,     0x52ae5388U,     0x52111f2eU,     0x8cd7c548U, \
    0x78ed292bU,     0x5f3aacfdU,     0x569d26beU,     0x0938d993U, \
    0x0a0f78b8U,     0xf6b041acU,     0x8e768220U,     0x9f34a513U, \
    0x31dfecc9U,     0xf9be3359U,     0x75230451U,     0x793672e4U, \
    0x5b830a8eU,     0x0128cb1fU,     0x93c920d0U,     0xe159d16bU, \
    0x8a7e53c7U,     0x1e0e2e72U,     0x51a1a6b0U,     0xf4e0eb05U, \
    0xcc27c6b8U,     0x48353f67U,     0xb55b238aU,     0xd69f57d3U, \
    0x3b1d49a9U,     0xac738f17U,     0x1a8437a9U,     0x886f3649U, \
    0xc9a5736cU,     0xe4f2d0fbU,     0x2f0cd21aU,     0x7f450000U, \
    0x30b83416U,     0xddb5136eU,     0x91e54a11U,     0x106b18c5U, \
    0xb7e7f806U,     0x99e0fd6aU,     0x2e012f79U,     0x855626e1U, \
    0xb65bd027U,     0xbd588cecU,     0x78162848U,     0x602a1ab4U, \
    0xb2b83bcbU,     0x7634180cU,     0x4c812b86U,     0x1e168ec4U, \
    0x9f1fc48bU,     0x3c13fa48U,     0xad4af3fcU,     0x25e84681U, \
    0xfa9575c8U,     0x1c5433bcU,     0x8db4fd7eU,     0x1f698470U, \
    0x9a7ed11aU,     0x3758e88eU,     0xe37c24caU,     0xc9352e0cU, \
    0x1d01230dU,     0xff43f4acU,     0x40ae5b95U,     0x00eb45e4U, \
    0xd5f3d4baU,     0x63afeaecU,     0xf7413682U,     0xe4cf7c3fU, \
    0xf09e8a43U,     0x06b7109cU,     0x85ae86afU,     0xdd59ce4bU, \
    0x200940d8U,     0xf3e016ecU,     0x510f3cafU,     0x28680341U, \
    0x9df13832U,     0x0cff7ec9U,     0x0571204aU,     0x7b857ed1U, \
    0x605dcb18U,     0xb3ac4e75U,     0x99e013fbU,     0x9ab45672U, \
    0xc4a2482cU,     0x2adebed0U,     0x64504f51U,     0x96dfb870U, \
    0xed1bc950U,     0x15feaa1eU,     0x60bdffdaU,     0x5c4ebff0U, \
    0x1cdaa251U,     0x87f98863U,     0xcbbbae6aU,     0x5194bd72U, \
    0xb55e3ff2U,     0x45171036U,     0x5e68c759U,     0x4018e2f7U, \
    0x3070094bU,     0x0fb9a328U,     0x2a3cb1d3U,     0x23b5cd0aU, \
    0xe1b99a11U,     0x2a65f544U,     0x5abb6e39U,     0xe79922ebU, \
    0xcda7830fU,     0x01493109U,     0xad6e540bU,     0x855dbaacU, \
    0x97583b54U,     0x5a2d0095U,     0xa8bc4914U,     0x8f3d20a2U, \
    0xefb9a8ffU,     0x629f9f4fU,     0xcd98f569U,     0x2d8ce1edU, \
    0xb3f9cf95U,     0x77ae1075U,     0xf800e8e9U,     0xdbef6729U, \
    0x4eba7572U,     0x1233bf6aU,     0x62b4b806U,     0x17a3cd46U, \
    0xc5767de1U,     0x71549622U,     0x20e2885eU,     0x354ae10fU, \
    0x3aff8d2aU,     0x3e34f161U,     0x633917ccU,     0x1ac2e81bU, \
    0xee8e4142U,     0xf688a30fU,     0x39ef2606U,     0xbd57bf09U, \
    0x1e267cacU,     0x5e44a7f7U,     0xb8320c3bU,     0xc5ad2b5dU, \
    0xed7650e5U,     0xf723c20cU,     0xd2afe74dU,     0xed4f8eddU, \
    0xbf05d1c5U,     0x7b0a7f54U,     0x6764e3f7U,     0x808d512aU, \
    0xe1f1455cU,     0x960510a9U,     0x294834f4U,     0x7327b2e0U, \
    0x21337220U,     0xf403a3d3U,     0x6869f34bU,     0xd077f4beU, \
    0x050bf1e6U,     0x3cedbe7dU,     0x0b90bcc5U,     0x504b16ddU, \
    0xef2f8c2cU,     0x9ae9d771U,     0x2c14be59U,     0x74053a3bU, \
    0x968d22faU,     0x0ff19355U,     0x12f50591U,     0x4596c575U, \
    0x4357e684U,     0xbbbb5bbcU,     0xb294b3feU,     0x1a58c2edU, \
    0xe0dcdf20U,     0xd658cdb3U,     0x29ba6e2bU,     0x5e1dead4U, \
    0xdc557cbbU,     0xf6fac5ebU,     0xf797cb1bU,     0xb15407eeU, \
    0x23532f90U,     0x50049d66U,     0x7231a0eeU,     0x998aa7fdU, \
    0xd7624d29U,     0x16e321e5U,     0xc59e11a6U,     0xd83f8f4aU, \
    0x3687e953U,     0x186da5c3U,     0x246e1635U,     0xe9cdc70cU, \
    0xba6ea9b0U,     0x1eff488dU,     0xc7896403U,     0xa34a2966U, \
    0x03a29666U,     0xf0ff868eU,     0x3580d38bU,     0x4e60bc45U, \
    0x2c154344U,     0x9a76297bU,     0xe9c53a76U,     0x1a3452e6U, \
    0xe049a162U,     0x5591f5b7U,     0xa1e08a8eU,     0xc892401bU, \
    0xe54e2be1U,     0xd67607b2U,     0x52d8cb5fU,     0x76b904bbU, \
    0x0fc3e10fU,     0x15ee4e1cU,     0x77d60deeU,     0x69617f1aU, \
    0x9d6b4355U,     0x722c6d28U,     0x15357579U,     0x582d09a5U, \
    0x61399169U,     0x631e5a34U,     0x19c62c2cU,     0x93a19a53U, \
    0x4601591dU,     0x3c4c2c26U,     0x3de8e8c3U,     0x299c59bfU, \
    0x55f2cc6fU,     0xe94a381bU,     0x36b5da5aU,     0x04875c36U, \
    0xeef95460U,     0xe4d4204fU,     0x20bd6d4bU,     0x18284507U, \
    0x3babefecU,     0xfa5af110U,     0xcdcf1434U,     0xec806a5aU, \
    0xfdf4db0bU,     0xe7724d6eU,     0x1248afa6U,     0x22dda77aU, \
    0xc6709c65U,     0xbd46d388U,     0x4c6a9fdcU,     0x55d7380fU, \
    0x088290b5U,     0xd23144baU,     0x947fd1f0U,     0xdad64e90U, \
    0x49efba45U,     0x4aa08cdeU,     0x3a82430cU,     0xefcc47bfU, \
    0x904cca38U,     0x78989b98U,     0x3cdf0639U,     0x1d2807d4U, \
    0xbb702ee4U,     0x9164fde8U,     0xc38bdd9fU,     0x286a0694U, \
    0x5068f422U,     0xcc6c2c59U,     0x68ee09e2U,     0x6a4be8cdU, \
    0x39cbb581U,     0x31ece36cU,     0x39784a7fU,     0x94839e22U, \
    0xbf2f9446U,     0x6b5b5c82U,     0x2bd7307fU,     0xc5f48b1dU, \
    0xd1c0b8b8U,     0xf2735ec7U,     0x324b9bdfU,     0x6f1e295aU, \
    0xfb16a68aU,     0xbd7acd73U,     0x4f1f4b7dU,     0x1ac3dfe9U, \
    0x42cd34f6U,     0xe2028e63U,     0x381ca64dU,     0xba92abadU, \
    0xe4754a31U,     0x8679e02fU,     0xa1c5b14bU,     0x3f54edb2U, \
    0xef6d99e4U,     0x27020299U,     0xfb70d054U,     0xcb6dac44U, \
    0xbdef4633U,     0x7f3e9f3aU,     0x9904cc48U,     0x1df88ba9U, \
    0x090d227eU,     0x68b546e7U,     0x4256a7aeU,     0xb3744794U, \
    0x7c0eae23U,     0x15b4559fU,     0x0cb4e949U,     0x94a48324U, \
    0x71f14c2aU,     0x8d66d441U,     0x0f2f1042U,     0x3569d9d7U, \
    0x7ddd8417U,     0x8444d235U,     0xa4787b57U,     0xb721009eU, \
    0x76550e3cU,     0x694f6a48U,     0x6022ec51U,     0x41e86ee7U, \
    0xbc3b8081U,     0xcbc9a61aU,     0xa548a2e5U,     0x71c8b00eU, \
    0x068c191cU,     0x33a8bb00U,     0xb3072206U,     0xb371fd39U, \
    0x0dee9e16U,     0x52c4bb5cU,     0x472b4009U,     0x9e3c1494U, \
    0x65136f2cU,     0xca0688d7U,     0xfac45ee6U,     0xd9bd29fbU, \
    0xbaeebb6fU,     0x7839fe02U,     0xc09135ecU,     0x96771c42U, \
    0xa29b660bU,     0x1f12eeeeU,     0x72be71eeU,     0x8add3920U, \
    0x52caf047U,     0xa43ead31U,     0x0543aed6U,     0x2f32797aU, \
    0x4763507cU,     0x3ed949fdU,     0xc5b42275U,     0x606f3570U, \
    0x5d9cedb0U,     0x8e242f99U,     0x04bebf4cU,     0xba335dd9U, \
    0xa439e835U,     0xef5ec307U,     0xe7c6fc28U,     0xbb89825eU, \
    0xe1514702U,     0x5c01f12bU,     0x71965210U,     0x162b37e1U, \
    0x77022becU,     0x4f2cc337U,     0xdeebbc8bU,     0xf27c0b43U, \
    0x3da53709U,     0x7a3dffdfU,     0xd7a7d325U,     0xabf529beU, \
    0xa8137bf7U,     0x1be99c11U,     0x095da497U,     0x88fb0a12U, \
    0x741fa4a4U,     0x2238edbaU,     0xcbae6e0dU,     0x5266f9d2U, \
    0xdb8a492dU,     0x848e6238U,     0x7cc70b34U,     0x98ab16c5U, \
    0xa5c3c5e3U,     0x585e9285U,     0x8491c0a4U,     0xca09e42fU, \
    0x163bee19U,     0xc14ef0cfU,     0x7f2484abU,     0xb9363ed4U, \
    0x4a291498U,     0x378157cbU,     0x9b2cb20bU,     0x3c52a7e7U, \
    0x5ae28379U,     0xe6ca3d8eU,     0x2e2b64ddU,     0x6616694aU, \
    0xb9b813b6U,     0x87ad5e48U,     0x04f996d3U,     0x49f378b2U, \
    0x469c048bU,     0xa2c5f363U,     0x9c808fb3U,     0x35f3cab0U, \
    0x3ca74822U,     0xc8f5c978U,     0xad8d6921U,     0x483c4dfcU, \
    0x3f006bcbU,     0x26861cf1U,     0x30e013bdU,     0x6389ddc1U, \
    0x2f184f27U,     0x1bff756cU,     0xd18d0445U,     0x703c6c44U, \
    0xb2108fe9U,     0x983db53fU,     0xc4aa7253U,     0xf8b879beU, \
    0x1211324bU,     0x1b93b157U,     0xcf7f9679U,     0x13733a87U, \
    0xd8fa5d58U,     0xa00360e3U,     0x87aab104U,     0x13aacbdaU, \
    0x9322f9aeU,     0x721508f0U,     0x81bbe1ddU,     0xde9df435U, \
    0xa91b38f0U,     0x7949632eU,     0xb7435579U,     0x0e09adb0U, \
    0x527be35eU,     0x0e338890U,     0x50112af6U,     0xbcb0cc26U, \
    0x06fd83f5U,     0xde7a7cb3U,     0x76c177acU,     0xcd01cc99U, \
    0xe3d12267U,     0x5e178c1fU,     0xa736588aU,     0xee34aba7U, \
    0xe806d887U,     0x65713627U,     0x2eaedaf7U,     0x93ee18bcU, \
    0xbca50ce4U,     0xac2a8b06U,     0xc4e6e15cU,     0x83c86fabU, \
    0x35c777f0U,     0x878d0193U,     0xe30b75a5U,     0xd444c800U, \
    0xf3347666U,     0x4cb90ae7U,     0x07b06955U,     0x86745c83U, \
    0xc6038d4eU,     0x3454b04cU,     0xdc204cf3U,     0xd7d5e87aU, \
    0xb806f686U,     0x6020572eU,     0x9cb08aebU,     0x811bc4f5U, \
    0x4d601c58U,     0x8c777587U,     0xa47071f1U,     0xa130f4f0U, \
    0xa3173204U,     0xab483058U,     0x1e7c3907U,     0xe8374028U, \
    0x57eb6c78U,     0x817e4360U,     0x798a5655U,     0x28a5d44bU, \
    0xcff4ab5dU,     0x25197ebbU,     0x8a44c5f9U,     0xc441c954U, \
    0xeff92a6fU,     0x63facdfdU,     0xb5194389U,     0x548dd4b4U, \
    0x814f921bU,     0xea399bebU,     0x8a749959U,     0xdc6d8df2U, \
    0x9d3a693dU,     0xf511ffb0U,     0xa4029c6aU,     0x41b0f6dcU, \
    0xc40903b9U,     0x45772cbeU,     0xefa53f1fU,     0xfce0e10eU, \
    0x3cf5f4b4U,     0x3561fdcbU,     0x2793f6d9U,     0x445316aaU, \
    0xd91f3cd5U,     0x3c86bd45U,     0x2fadf90bU,     0x17bfd379U, \
    0x54fdd427U,     0x533fa285U,     0xdfb5aecfU,     0xea554086U, \
    0xe2337cb7U,     0x5d17ad1aU,     0x4ba80315U,     0x571181e2U, \
    0x670df74fU,     0x7b18a9c9U,     0x0127e0a1U,     0x90bd8855U, \
    0x703c61a5U,     0x206c7065U,     0x9fe2e05eU,     0x7a16d818U, \
    0xbb27548fU,     0x94382843U,     0xe858b278U,     0x3fda0fcdU, \
    0xc5372606U,     0x25fca710U,     0xd98710eeU,     0xbc808a01U, \
    0xa2e204bdU,     0xd5c1c9f5U,     0xc48dac98U,     0xfd66e0b8U, \
    0x4a805cc1U,     0xbeedef51U,     0xa2d24c57U,     0xf5eed99aU, \
    0xd421ca75U,     0xb5786bb4U,     0xac285570U,     0xea3ec786U, \
    0xef8be321U,     0x46ab0f98U,     0x3cc2e7a0U,     0x805a8c1fU, \
    0xa8e9f13bU,     0x413250c9U,     0x128e676cU,     0x3675e04aU, \
    0x65ccdb8fU,     0x4ca07995U,     0xe2ab1057U,     0xb35685a5U, \
    0xcd60a029U,     0x0e0b4388U,     0x9be2b411U,     0x8ee37d2aU, \
    0xc4f7fc50U,     0xb846420dU,     0xa76bc0deU,     0xdb3dc5e7U, \
    0x7d652ab4U,     0xd82cef22U,     0xb88ad606U,     0x01e79c0eU, \
    0x3e4e9690U,     0x4c60e32bU,     0xb868af19U,     0x1ca54272U, \
    0x4673d1f9U,     0x6ec3e950U,     0x49bc7132U,     0x41f1be20U, \
    0xa0f51424U,     0x1e772739U,     0x97b9a5e9U,     0xca3be28cU, \
    0x1a3084ccU,     0xbd6a9eabU,     0xdd81d1efU,     0x60cae1b6U, \
    0x3768144aU,     0x5154f7b9U,     0x86a5483aU,     0xaa2aaf90U, \
    0xea4b64baU,     0xc01982edU,     0x060fb31fU,     0x5296b1fdU, \
    0xe6d1bcbbU,     0x06e74b96U,     0x98048426U,     0x568320caU, \
    0xb0e706c1U,     0xbb3723b7U,     0x52d7b741U,     0x39e6e0a3U, \
    0xbe403d96U,     0x6f38cd52U,     0xb0a0eab4U,     0x8ac912deU, \
    0x9e7dd224U,     0xbcc0ef82U,     0x16cdd6d8U,     0xb39d142dU, \
    0x792fb2a8U,     0x9d712ff5U,     0x05516d57U,     0xdb0e66bdU, \
    0x84be21a3U,     0xf43c1c5bU,     0x060f94ebU,     0x4f8474ceU, \
    0x17be97f6U,     0x231eb860U,     0xd5d73456U,     0x12e7d5f4U, \
    0x4fae35c4U,     0xde14079cU,     0x7ee5fd79U,     0x87c7b121U, \
    0xdf466548U,     0x2e9317cfU,     0x12952b24U,     0x31200ddbU, \
    0x25e17e4aU,     0xde2b24f0U,     0xa696bdfcU,     0xaa76f7beU, \
    0x77ea0927U,     0xe3a95067U,     0xdee46cf3U,     0x9fb0b1c0U, \
    0xaa47d7f9U,     0x7939a6d4U,     0xbbb70e2bU,     0xb20fe29fU, \
    0x583a4899U,     0x43ef0804U,     0xf6abee2bU,     0xc5cfc886U, \
    0xf6263b89U,     0x3ca932d3U,     0xe5e63ad1U,     0x2ea733a7U, \
    0x8ee6c8d7U,     0x18965e93U,     0x4293755dU,     0x864010d3U, \
    0x5863c815U,     0xcb235666U,     0xca5eaf04U,     0x9fa40083U, \
    0x02683ee6U,     0x90f238b7U,     0x37d410cbU,     0x58dc1e4eU, \
    0x5311ffa7U,     0xb5ff2d48U,     0x0c3808f2U,     0xbf85c3b4U, \
    0x7ac126e9U,     0xb977d149U,     0x00118cefU,     0x0f8ed787U, \
    0xbd163e18U,     0x01cf02ceU,     0x885fe431U,     0x94fe46b8U, \
    0x746c4b38U,     0xa68d72c1U,     0x192b7711U,     0xe7b29a8dU, \
    0x3f7bd1c2U,     0xae7f4b4dU,     0xb944f155U,     0x8d7fd50dU, \
    0x66eb1139U,     0x8b2f57a8U,     0xe782e1cdU,     0x15a18142U, \
    0x0b4c3cd5U,     0xb75f7f64U,     0xea1c62bcU,     0x734d40f1U, \
    0x223866a3U,     0x427cebe1U,     0x220e93f2U,     0xad3552adU, \
    0x1a5a75eeU,     0x0fd0e71aU,     0x91791669U,     0x8c7779f2U, \
    0x9294f708U,     0xe8741a09U,     0xf3a18024U,     0xa0e7b116U, \
    0xf5f6bb6fU,     0xe30a3688U,     0xd155321bU,     0x313d0699U, \
    0x0f223f52U,     0x8c7cd3c6U,     0xa1d15ba1U,     0xfe5c6f37U, \
    0xd5b4b57cU,     0x03ec529fU,     0xf57059dfU,     0x006381b3U, \
    0x31f8ca55U,     0x24db0599U,     0x398dac4eU,     0x3ead1097U, \
    0xa071f10cU,     0x254734ceU,     0xd359cdedU,     0x41ccb62aU, \
    0xf40cd928U,     0xc3fd7c57U,     0xeaa389caU,     0x9d10fa2cU, \
    0x19326194U,     0xe0373c9dU,     0xb4244b27U,     0x428de59eU, \
    0xbc2ceb1eU,     0xffaf9f83U,     0xccd26f50U,     0x9868c7b2U, \
    0xe3658c60U,     0x86e24c88U,     0xa90334a3U,     0xbe6cd724U, \
    0xf1d074d3U,     0x46c32aecU,     0x794fa24aU,     0x9f37e9eeU, \
    0x712caa7cU,     0xdd0f74abU,     0x30d44d59U,     0x2d3d7f51U, \
    0xb7ad3a64U,     0xedcc7b47U,     0x995ee379U,     0xd769c54dU, \
    0x6149bc22U,     0x0c90b569U,     0xb2fd8cd8U,     0x7be353e4U, \
    0xf298a709U,     0xee9f73dfU,     0x5cb3b40cU,     0xf52c9d5aU, \
    0xcdd48e72U,     0x6993af5cU,     0xef970c29U,     0x988f1a49U, \
    0xb451515aU,     0xec2a16c9U,     0x80bb705cU,     0x4ef18de7U, \
    0x382e957fU,     0xfd1c08d6U,     0xa727c766U,     0x219911a4U, \
    0x3c35700eU,     0xc58c7925U,     0x486aa220U,     0x76d0edefU, \
    0x12a03446U,     0x9259f27aU,     0x55d07fc2U,     0x8f44ef1fU, \
    0x2128c442U,     0xd07f888eU,     0xa1485e69U,     0x9ffd967aU, \
    0x086bfb23U,     0x018596b6U,     0x5e9d635cU,     0x26712c5cU, \
    0xde1d1770U,     0x3c59ca4bU,     0x030aef92U,     0x8944bd0bU, \
    0xe8bfb893U,     0x67e78733U,     0x7458f4ebU,     0xa7834c32U, \
    0x05a7b4daU,     0x99344e9eU,     0x61955e7fU,     0x4d3c130dU, \
    0x3eb1bdf8U,     0xdf0c7e20U,     0x9ead19cbU,     0x3086a5a6U, \
    0x7935929dU,     0x3b02d6e5U,     0xde265ab7U,     0xc20ee430U, \
    0x7235b78bU,     0x444e6802U,     0xf03cf032U,     0x2e490854U, \
    0x22da942dU,     0x68df1457U,     0x94f026c3U,     0xbf45fee5U, \
    0xed958df3U,     0x8252c6c5U,     0x99aa0f1dU,     0x21e38e09U, \
    0xff5ebf12U,     0xb36a74c4U,     0x723ba092U,     0xc11389cdU, \
    0x2001c83eU,     0xf1b7f1dfU,     0xcbf2cc06U,     0x52b7db3cU, \
    0x523e10bfU,     0x7c902fb7U,     0x043284f9U,     0xc2e7c060U, \
    0xbeaf0ab7U,     0x29d78827U,     0xd3ed62eeU,     0x48cee226U, \
    0xc018034fU,     0x7e7a7f35U,     0x77b9f4a0U,     0x90c93878U, \
    0xc19e7600U,     0xf320d8f3U,     0x6b6a7f5aU,     0x3b44a0ecU, \
    0x1c514a3dU,     0x6c134880U,     0x372bf0c9U,     0x205dbce3U, \
    0xda25efa2U,     0xc75ee4b7U,     0x13d350e9U,     0xfbc011e5U, \
    0x55dbbe12U,     0x503b47d7U,     0x00703c84U,     0x7db11e7dU, \
    0x0352c2a0U,     0xe30a236aU,     0x0458afc7U,     0x59efcd74U, \
    0xd3c8dfecU,     0x63c702f3U,     0x312c17bfU,     0x05052a59U, \
    0x5a1a4b9aU,     0x2a0bec19U,     0xcfefed2aU,     0x98a8b0f8U, \
    0x2b28526aU,     0xbb52a374U,     0xf039e8a9U,     0x12972746U, \
    0x9bba798cU,     0xd14bdfc0U,     0x8daf61e8U,     0x6ec29554U, \
    0x7a866350U,     0x3e4b99a7U,     0x3ad56fedU,     0x642e1700U, \
    0x905ea996U,     0xb5cab2daU,     0x0d1097e5U,     0xe8e6f22dU, \
    0x95a36bb6U,     0x058fc411U,     0xd3c7e2f0U,     0x6fa92d4fU, \
    0x327d1113U,     0x8c4442aeU,     0x52d97cd0U,     0x5e7fc89dU, \
    0x8d927deaU,     0x105d4d5cU,     0xc235ce81U,     0x3b4e9ceaU, \
    0x4d3bc6ccU,     0x9eb86c60U,     0x78939416U,     0x1fb96063U, \
    0x66f1745cU,     0x5cf7951aU,     0xb7a80da4U,     0xee677961U, \
    0x6934a441U,     0x9abb3b71U,     0x962dfdf5U,     0x7cee897cU, \
    0xc4633f58U,     0xf6ac8e5dU,     0x1f4572c0U,     0xdb6417e3U, \
    0xd7a45e14U,     0xbbc7124fU,     0xc9261284U,     0x1df0f012U, \
    0x8c5d5f16U,     0xe7ada686U,     0xe7f7f7c2U,     0xe4e4f321U, \
    0x28041474U,     0x82b4e8abU,     0xd96d4f3bU,     0x1e0f8d41U, \
    0x5df3d76cU,     0xab742cc0U,     0xdb2c4248U,     0xa8c6fa4cU, \
    0xa59388efU,     0x0a9ad5f3U,     0x88c069d6U,     0x400dd5f8U, \
    0xdf8a219fU,     0x9a81481bU,     0xac65c661U,     0x5b929681U, \
    0x0a1d175fU,     0xf8579158U,     0xdc55aaa3U,     0x29089996U, \
    0x51d9625aU,     0x3ea15ae0U,     0xa13f78f6U,     0x75423104U, \
    0x136ed302U,     0x04a862cbU,     0x0d8941eeU,     0xc8a8fdc8U, \
    0x8d6f2ddcU,     0xbc9e559cU,     0xa88f5d08U,     0xe0ea3575U, \
    0xb5fd7cd0U,     0x10cbdba6U,     0x2323d2a6U,     0xcdad9485U, \
    0x3e37f70fU,     0x83be314cU,     0x4bc56e25U,     0x49ea8780U, \
    0xaa13c11fU,     0x614e5dfaU,     0xe6e33607U,     0x8a102611U, \
    0xa474a6deU,     0xbbc24fc4U,     0x0b5f8a44U,     0xca67cd95U, \
    0x7978ea51U,     0xe6168e31U,     0x0ef68d5fU,     0xf8656c87U, \
    0x41b4eba8U,     0xc18b12b9U,     0x9b4e96a1U,     0xb986117dU, \
    0xcb8c27edU,     0x3b5d27e4U,     0x3bbeeaf3U,     0xaaf7ab66U, \
    0x4d2da3e6U,     0x3c74b126U,     0x0b8ed3b5U,     0x5d30388fU, \
    0xba4c4a89U,     0x40130d24U,     0xc4191099U,     0x677adaacU, \
    0x929d6686U,     0xb91c3a89U,     0x2755628bU,     0xaed17296U, \
    0x350afa01U,     0xa2f95aeeU,     0x98fd7f68U,     0xca111a36U, \
    0x8c22df68U,     0x2d130b7eU,     0x81dcb7c4U,     0x5f61a9feU, \
    0xed289af7U,     0x42f82864U,     0xd7b04566U,     0xef2ce30fU, \
    0xee186acfU,     0x5f2814c7U,     0x4d30cb92U,     0x39cff0d7U, \
    0x5c415d9eU,     0x98486a5fU,     0x8b3befeaU,     0x6dab93ddU, \
    0xd5286a91U,     0x5b2a0c31U,     0x0bd00fb3U,     0x7488961fU, \
    0xd20402bfU,     0x1df9ad30U,     0xdde0ff27U,     0x70b68480U, \
    0x9b8a3fa4U,     0x3bc08057U,     0x65b8385dU,     0x73c2f15eU, \
    0xddd667c9U,     0xd8418355U,     0xf186bbb1U,     0x7d1c0244U, \
    0xf4923915U,     0x1916863cU,     0x53232152U,     0xd9996720U, \
    0x44a38ebeU,     0x1450fa54U,     0xa6e2288dU,     0x9d668e98U, \
    0x098da637U,     0xab570fbdU,     0x4ca30107U,     0x955298d2U, \
    0xfd7661acU,     0x8e62d539U,     0xdf230f52U,     0x00ff99ceU, \
    0x1e9028e6U,     0x3006f06aU,     0xe2256152U,     0x631c1011U, \
    0x8cb6b956U,     0xd0e55945U,     0x6debf3deU,     0xb6cd4651U, \
    0x610e246eU,     0xf431f443U,     0x161eb909U,     0xaa4b68a6U, \
    0xd17acf48U,     0xb013e408U,     0xbf479654U,     0xff3d8cc3U, \
    0xe4f7ed4dU,     0x61e55f75U,     0x7bad6a0cU,     0x528bf9a8U, \
    0x9e29d2d9U,     0xd55b6b86U,     0x0a9c78efU,     0x4edc0e62U, \
    0xf32e1a4cU,     0x46834af3U,     0xa2a97be2U,     0xb28460beU, \
    0x0f93b6a4U,     0x16a06018U,     0x6a4b0023U,     0x4159a277U, \
    0x32a50e0bU,     0x4f3cf9a1U,     0x9ad9fbf0U,     0x1167b4c1U, \
    0x1b343237U,     0xaa6d5e60U,     0x1e31d56cU,     0x8ff8d319U, \
    0x85cd7971U,     0x4988465eU,     0x46b5e7baU,     0x2ba7642aU, \
    0x7a4cc498U,     0x5a60f722U,     0x50044459U,     0x2bf928f0U, \
    0x807ab541U,     0x580d783cU,     0xb0932181U,     0xc19973e1U, \
    0xe694f5eeU,     0xfb4bef49U,     0x156ef3d1U,     0x43a49821U, \
    0xf2662738U,     0x96701141U,     0x42331246U,     0x8a0d9e08U, \
    0xba20f301U,     0x655e3f22U,     0xe74d41cfU,     0x5298f88eU, \
    0xd837d06eU,     0x3ba4cd9cU,     0x4b74a09cU,     0x09ffd52bU, \
    0x817838fdU,     0x629646bfU,     0x3329344eU,     0xac8e85eeU, \
    0x1f671786U,     0xc637a489U,     0x3f03ce0aU,     0xedc29eb6U, \
    0xc3a7757dU,     0xc7dd0087U,     0xd8b4333eU,     0x24af7630U, \
    0xac9eae7fU,     0x11680803U,     0xdba248abU,     0xfb85420eU, \
    0x3cc5305aU,     0xbacafd99U,     0xf16112a3U,     0x470c9456U, \
    0xa900404fU,     0x70ff42d3U,     0x12674751U,     0xd0cffba5U, \
    0x7577b252U,     0x5bf04c91U,     0x7790cc9cU,     0x3c325c8fU, \
    0x2645bb29U,     0xb5389b99U,     0xafdfdee4U,     0x856ca531U, \
    0x26b04917U,     0xec1a8c67U,     0xf180726aU,     0xb9c73cdaU, \
    0xeb4bb597U,     0x4cb1cee1U,     0x7435eae7U,     0x2e8d4a43U, \
    0x6649f9ccU,     0xe37efcb9U,     0xc7f014f0U,     0x9558f614U, \
    0x24e031a4U,     0x8dceea86U,     0x2cd5b3a9U,     0xbbdc37dcU, \
    0x7732c0baU,     0x9a4facd5U,     0xa1ce9529U,     0x503594c0U, \
    0x558acde7U,     0x8a637ed4U,     0x7852d6abU,     0x277c17dfU, \
    0x9fb66424U,     0x0830d9e3U,     0x2cf891edU,     0xe7b72135U, \
    0xd9ead46aU,     0x11e81679U,     0x4aa09deeU,     0xca48fe7cU, \
    0x8768de9aU,     0x5834509cU,     0xd18b2b49U,     0x94ad1b58U, \
    0x25cc1cdeU,     0xb8e9bddfU,     0x8d8597acU,     0x78fd812cU, \
    0x20f581c5U,     0xa331fc48U,     0x6df3c8adU,     0xf4ec5ea0U, \
    0x04f1c6d9U,     0xc33cbd06U,     0x839b7e6cU,     0x238828c2U, \
    0x9b481e47U,     0x5937f80aU,     0x458a5cf6U,     0x3b072a16U, \
    0x4d343fd2U,     0x978d376bU,     0x344b9161U,     0xae2deb6bU, \
    0x276d8447U,     0xa7b04e4bU,     0x17b3d683U,     0x30593ef3U, \
    0x540971f1U,     0x37a6b0d5U,     0x232f7876U,     0xa79bc6ddU, \
    0xa78dddb2U,     0xf9c4b1c7U,     0xa860b175U,     0x39ccbfdaU, \
    0xd1b62a99U,     0xc230af6fU,     0x270870ccU,     0xa3b06680U, \
    0x801b7be9U,     0x2179303cU,     0x46f5395dU,     0x4662e7d2U, \
    0x5ac6d883U,     0xf53f9cf4U,     0x2b41fcc5U,     0x901055caU, \
    0x7ffe728fU,     0x8a442ecdU,     0xee12c917U,     0xc49d45d3U, \
    0xe7b005e1U,     0x3d678ccdU,     0xaf4ea500U,     0x749096aeU, \
    0xa4d1fbf8U,     0x58dd7002U,     0xbdb29426U,     0x95fe869dU, \
    0x9195bcf7U,     0x4d367a67U,     0xe96c577eU,     0xa7e86805U, \
    0x807cf529U,     0xac4f1e93U,     0x56d10e49U,     0x4aa391bdU, \
    0x0a63c40bU,     0x8479993eU,     0x5d425f65U,     0x1bb06da8U, \
    0xc3c2b321U,     0x73fe9412U,     0x656309bdU,     0x27751dfcU, \
    0x8c058d7cU,     0x079ef98cU,     0xea2379a4U,     0xb5f6f8a2U, \
    0x0f027129U,     0x1fcc3ad3U,     0xd53d11f9U,     0x9c340ed3U, \
    0x7232f63aU,     0xe22be0aaU,     0x97400492U,     0x805668f1U, \
    0x63c07e7cU,     0x5a25c651U,     0x47d79631U,     0x07a64e58U, \
    0x337f9dd5U,     0x075cee38U,     0x12293333U,     0xc4dba63cU, \
    0x9b87403bU,     0x51daacf6U,     0x0a177691U,     0xe5b36126U, \
    0xa1e0945eU,     0x0549588cU,     0x7e42137bU,     0xa6982cf6U, \
    0xaec0a72fU,     0x3df28f50U,     0x4d62fb3eU,     0xfe32817aU, \
    0x9ba983b0U,     0xca7b4e5dU,     0x3f14fe3cU,     0x3894124fU, \
    0xd6c4d35aU,     0x2bd17f09U,     0x1d28f8e6U,     0xee0b4ebfU, \
    0x181fd649U,     0xdbd57a45U,     0xbe7e0d7fU,     0x771b7b6bU, \
    0xb9040fa2U,     0xc8b76860U,     0xd7d9e3faU,     0x1936e0f9U, \
    0xa4ff231dU,     0x909a9d78U,     0x0b92ee7aU,     0xbdc73c09U, \
    0x2a004d48U,     0x698f915fU,     0xce80f618U,     0x5aab0f15U, \
    0x9ba04c33U,     0x11f0c223U,     0x8bf3bf2bU,     0xcac745d5U, \
    0x220395e4U,     0x81531e63U,     0x1168a4c7U,     0x6ac39069U, \
    0xbfe3be35U,     0xa7b33382U,     0x867f55beU,     0x976fb553U, \
    0xc26f9e0bU,     0x85dcb8e5U,     0x86578b5fU,     0xeb8d364cU, \
    0x78779b76U,     0xc49919d7U,     0x58a65e52U,     0xc9851769U, \
    0xbc0591f6U,     0x63eacb4bU,     0xfd336ccfU,     0xbcb1c00aU, \
    0x4310abecU,     0x9b7bfa0fU,     0x27801b3fU,     0x5f7f327cU, \
    0xd5700cd9U,     0xc8f0772bU,     0x51275836U,     0x9aac4480U, \
    0x254ba0c1U,     0xae392ac9U,     0x30f31354U,     0x5565d791U, \
    0xb09a22e0U,     0x1fca077aU,     0x867fd834U,     0xdcbc4ad4U, \
    0x3c8e8c71U,     0xecf31f94U,     0xfced33e2U,     0xd7ecb980U, \
    0x457b2d81U,     0x88575391U,     0x5c48f79fU,     0xa19b8038U, \
    0xdc17ccbeU,     0x051dc961U,     0x399836fbU,     0x52f0fda6U, \
    0xd0d8024dU,     0xa0f16ee3U,     0xd0468b8aU,     0xb68c8b95U, \
    0x11998a86U,     0xeccc432cU,     0x26cd9bdbU,     0x5b5714a5U, \
    0xedafcc99U,     0xa2e01afeU,     0x620af0ddU,     0x53421c23U, \
    0xeff3fa3fU,     0x91832f99U,     0x84c363c8U,     0x7479a900U, \
    0x749a7817U,     0x8a9520ecU,     0x71e73a22U,     0x7cc152d6U, \
    0x2861f7ceU,     0xfb453304U,     0x9aa6ed9cU,     0x4a6be013U, \
    0xcbb35dd3U,     0x2ed4ce1eU,     0xb336848eU,     0x18652a60U, \
    0x71a111e2U,     0xabbed520U,     0x13e38cc7U,     0x34bdcd0fU, \
    0x21b621f5U,     0x5b1634f3U,     0x488fa7e0U,     0xc112422cU, \
    0xbb121bf7U,     0xc2a0cbdbU,     0x249b32c9U,     0x54c8c11bU, \
    0x289fd052U,     0xc2c78b27U,     0x28746349U,     0x7f5cec54U, \
    0x4743dcddU,     0x73ef9cc1U,     0x4a6216d8U,     0x29d46bffU, \
    0x444132a5U,     0x7242f069U,     0xd80df525U,     0xa182621eU, \
    0xc478b9c8U,     0xe857fcf5U,     0x60299ac9U,     0x7c81730dU, \
    0xfa981882U,     0x7bfbdd42U,     0xf5531e50U,     0xb20c6707U, \
    0xaf3b26ebU,     0xaa99a2adU,     0x5fa6dd72U,     0xf52b87baU, \
    0xde870f89U,     0xd331642aU,     0x57e19a69U,     0x402e22caU, \
    0x62130d33U,     0x84056a95U,     0xcf43aaf9U,     0x36f89ebfU, \
    0x1ddc2838U,     0xc9c01b9cU,     0xa0194e2bU,     0x4c02c1b3U, \
    0xfbea2d93U,     0x958ddc98U,     0x4828a270U,     0xc8efb2c5U, \
    0xded89c27U,     0xfecbec80U,     0xfba638bfU,     0xdfda0919U, \
    0x29eb8c8eU,     0x7cbf0ae3U,     0xc99f6128U,     0x62abbd98U, \
    0xc40e0098U,     0x46efc241U,     0xf2272a1aU,     0x7533ca85U, \
    0xba2517f0U,     0xb0992771U,     0x72428c55U,     0xa0e8787fU, \
    0x678f5647U,     0x0e2ab597U,     0xb2b1b248U,     0xa71d3c0bU, \
    0x1442127bU,     0x0f3c7bafU,     0xc4e54a86U,     0x57d83961U, \
    0x519d9aceU,     0x6d319163U,     0x4c9fea52U,     0x1a3ba57bU, \
    0x63d87354U,     0x2a5ea75fU,     0xdd9e547eU,     0x1a991766U, \
    0x27dd4a20U,     0x42095b4eU,     0xc37e1ee0U,     0xc2470894U, \
    0xc7d5248cU,     0x8645fd30U,     0xb67b1093U,     0x71e37352U, \
    0x0626468fU,     0xe8ffe181U,     0x51b1d087U,     0x51043e14U, \
    0x6b3ec486U,     0x593f5220U,     0x60ebb1ccU,     0xed791b4bU, \
    0xf5cdd2f8U,     0x2829e85dU,     0xcb381c7aU,     0x53462fa6U, \
    0x7fbb9a9bU,     0xe324cc54U,     0x6f496ba7U,     0x3cdc6551U, \
    0xdc84c29fU,     0xc4bbc11aU,     0xc229fff1U,     0x19341050U, \
    0x27e63e3aU,     0x2f90108dU,     0x525ba6c7U,     0xa310a320U, \
    0x82a1769fU,     0xe155e0d3U,     0x62d82146U,     0xf76a0829U, \
    0x460aab4dU,     0xbdf016c7U,     0x61009027U,     0x3efed58eU, \
    0x28ecd911U,     0x9323ddb2U,     0x090ae3f1U,     0xd4fd2b02U, \
    0xeccae3b5U,     0x2513d07cU,     0xafe4fd7eU,     0x61086fe6U, \
    0x8bd3427aU,     0x5ab2527eU,     0x420fae87U,     0x97cd68b0U, \
    0xc321bcacU,     0xc90084a5U,     0x13a4085aU,     0xaafdb1e2U, \
    0x72e42c0bU,     0x922761fdU,     0x26612392U,     0x239bdd90U, \
    0x6ebc2483U,     0xea32887fU,     0x87a1b543U,     0x755baaa0U, \
    0x5f195034U,     0x4504af49U,     0x738b4a6fU,     0xdccf36c6U, \
    0xac8a8b5aU,     0x8c379ee6U,     0x65f58e86U,     0x9af59362U, \
    0x91107326U,     0x9809b795U,     0x762a8633U,     0x6049ce6cU, \
    0x7d4265fbU,     0x703247d3U,     0x63c684adU,     0x8109025bU, \
    0x6f4e3e5fU,     0x0fe73a5dU,     0x0e1734c0U,     0x2eeedb98U, \
    0x9e10d512U,     0xe39baacfU,     0x44d1b3e1U,     0x8441df8aU, \
    0x5cd84e11U,     0x04b23e3bU,     0xabcbb9b5U,     0xdb4c48dbU, \
    0xd385b6f1U,     0xc1716bb1U,     0xa4585843U,     0xa1e22ef3U, \
    0x173207e0U,     0x2eb8a027U,     0x2fc251a0U,     0x79139c90U, \
    0x878c5718U,     0xdb3e1550U,     0x0532ab10U,     0x4cbed9a4U, \
    0xbdbfac60U,     0x814f6391U,     0xbac8f0c4U,     0xdc8fe8f1U, \
    0x21ca6c15U,     0x9f8fa831U,     0x755c56c2U,     0xa79dfce4U, \
    0x75a5b264U,     0xcf246783U,     0xc397925eU,     0x1cffa68aU, \
    0x8a26db1bU,     0xf50820b3U,     0xe3c1b629U,     0x8d8f54cdU, \
    0x109ba915U,     0x7d8628caU,     0x84108dd2U,     0xc1d754f0U, \
    0xb1b60c79U,     0x79550e10U,     0x8fff9464U,     0xd94fe785U, \
    0xd8293815U,     0x5566a31dU,     0x76d42701U,     0xc8861a97U, \
    0x66c674e7U,     0x0e6ac7bfU,     0x5e3c5a8fU,     0x4b7c112fU, \
    0xa3da9f60U,     0xae6abcafU,     0xb9bb0f05U,     0xc8ec6280U, \
    0xca483991U,     0x80d76361U,     0x58770a7aU,     0x6dd81f00U, \
    0x55b84f25U,     0xbe7bcad0U,     0xae3e25d7U,     0xea2e1b16U, \
    0x2bbe073aU,     0xf9704151U,     0x3df67702U,     0x3cee0de3U, \
    0xb96d2a01U,     0xb60528f5U,     0x9d871d01U,     0xf0b26532U, \
    0x2ffabac0U,     0x69ebcbebU,     0xd85acc9aU,     0xdeff8125U, \
    0x9dda127cU,     0x8f7e8b5cU,     0xbbe90a81U,     0x59be1d53U, \
    0xc191ec51U,     0xf098b01cU,     0xa61a3aa0U,     0xb7d987abU, \
    0x29c3abdfU,     0xee20552cU,     0x4b79e2d7U,     0x32235ca3U, \
    0x0d973ff6U,     0x13c4ea76U,     0xb4e0ccb8U,     0x0fe6e6b9U, \
    0xbd715457U,     0xfbb79fd7U,     0x614388c3U,     0xade12016U, \
    0x28187ff9U,     0xdd74c104U,     0x9555c3e2U,     0xb00dfbddU, \
    0x5f31be2aU,     0x381fe50bU,     0x3147fa4cU,     0xf2fc7f10U, \
    0x9f6aed88U,     0xfc57f782U,     0x656576e7U,     0x529a3311U, \
    0x4d202d0bU,     0xc3815545U,     0xa3578c81U,     0x7e05e503U, \
    0xb4b2aa77U,     0x964814c2U,     0x3c58aebcU,     0xb3847c82U, \
    0x8d3cbc25U,     0x04d10b7bU,     0x93e699b2U,     0xadf774e6U, \
    0xb4ed0a8aU,     0xe335d702U,     0x323b9353U,     0xb9a5b2e2U, \
    0x4280f232U,     0x0532e3c8U,     0xc8733fc9U,     0x0fdb642aU, \
    0x07f0b0b2U,     0xa37fe50eU,     0x6e9e12c4U,     0xe28cedbcU, \
    0xbc3c96a6U,     0xd5b8f6b8U,     0xb3a71380U,     0x65299737U, \
    0x169be352U,     0x7a1245b2U,     0x707f04ffU,     0x3c8fca47U, \
    0xa0e5e7ffU,     0xb0448086U,     0x5b568101U,     0x23921512U, \
    0xdd2066c6U,     0x32751602U,     0xacc9b159U,     0x3a7abebdU, \
    0xdb320ad5U,     0xcd9dad73U,     0x659a68dcU,     0x82c72406U, \
    0x9aff0b6dU,     0x997d29a5U,     0x1e37a754U,     0xf68c027dU, \
    0x91d8c8bbU,     0x90edbb22U,     0x550f06faU,     0x0cf1ca1aU, \
    0x663453e5U,     0x2e278d7eU,     0xeb37cc98U,     0x40f8658bU, \
    0xdebf18e5U,     0x5c080a15U,     0x1ec32b71U,     0x2e99608aU, \
    0xcf834ce3U,     0xd31094f3U,     0x38bc263eU,     0xaaec0b3cU, \
    0xb0d0540cU,     0xaf94e5beU,     0xb0b85729U,     0xdc112fe6U, \
    0x41953616U,     0x88edbaf9U,     0x0f133148U,     0xc9b59dedU, \
    0x92d27876U,     0xd0593b18U,     0x8cfa0f0eU,     0xa3aa8327U, \
    0x673eac3eU,     0x3a98f506U,     0x22880ebfU,     0xf1d461daU, \
    0xb0b85de1U,     0x560ed34eU,     0x08395e78U,     0xa9e002e0U, \
    0x2b10598aU,     0xb67c18c7U,     0x685dad44U,     0x3350fea1U, \
    0x1745517eU,     0x8e78a777U,     0x89e74af6U,     0x0c38fe7dU, \
    0x2c9fda7bU,     0xca5a471cU,     0xcb8dee1fU,     0x62fc8392U, \
    0x3e0c46ebU,     0x636093a3U,     0x28058d43U,     0xb432645aU, \
    0xce9c59d5U,     0x2a8934c2U,     0x973a54f8U,     0xeaae820cU, \
    0xd2f3f98cU,     0x2c80f69eU,     0xcf473edcU,     0x249951a6U, \
    0x3ae9db4bU,     0x63e0da21U,     0x006073c3U,     0x56444acbU, \
    0x48b8543fU,     0x49e71fe2U,     0xdc6fe0adU,     0xd2b125b0U, \
    0x94737bfbU,     0x96bd9ebaU,     0xbbb32d27U,     0x65686d0aU, \
    0xd04b8bbaU,     0xced18792U,     0x0ef5c1b1U,     0x20ee0255U, \
    0x23ded815U,     0x85d4ff4aU,     0x31fd06dcU,     0x3a18402fU, \
    0x0ecc11c7U,     0x3d9a238cU,     0xfeb8ec78U,     0x0b9595fbU, \
    0x1ca325b1U,     0x422264ebU,     0x45f531c3U,     0x7534c12aU, \
    0x1c7beb91U,     0x6fbe8ee0U,     0xd6b12edeU,     0xdfb54555U, \
    0xe1e82a78U,     0xfcc83aa4U,     0x43a29605U,     0xad2f484dU, \
    0xb92bfe38U,     0x2c7674b4U,     0x25a0018aU,     0x56e55642U, \
    0xe2ada521U,     0x904cffd5U,     0xc35a1c42U,     0x840ab593U, \
    0x2e666820U,     0x31b6facfU,     0x5f2a9d8bU,     0xa0c8f9a2U, \
    0x4cc6646eU,     0x87836529U,     0x9c03f98dU,     0x3616c37fU, \
    0xf9ac6962U,     0x9b2cee22U,     0x3af4b80bU,     0xe530cf43U, \
    0xd18a1c8cU,     0xd682b3deU,     0xb2b2c0edU,     0x91d2c09eU, \
    0xa71bee55U,     0x64636640U,     0x6477d884U,     0x181cce8fU, \
    0x649dc2abU,     0x3c1908f6U,     0x2b0c502fU,     0xd15d1925U, \
    0x12f02e94U,     0xce8ef7f3U,     0x7e4ec0cdU,     0xaea2a922U, \
    0x57d19a58U,     0xae118bcdU,     0x61183180U,     0xc0df43a6U, \
    0x97c78c77U,     0x8063daccU,     0x02989dc0U,     0xb70eee1aU, \
    0xc8708028U,     0xc9d4a838U,     0xbe5a41d7U,     0x2e9a7e72U, \
    0x773c5ae9U,     0x2aa5ae56U,     0xb84666ebU,     0x05b2ecfbU, \
    0x5a607b7eU,     0x551d83edU,     0x8a9861b5U,     0xdae016ccU, \
    0x6db3d008U,     0x390b3d39U,     0xc348d251U,     0xa157689dU, \
    0xc88c006eU,     0xca3131c4U,     0x02d76e45U,     0xbb0d3d54U, \
    0xe435916cU,     0x5b499618U,     0x5142bdddU,     0xbfa778bbU, \
    0x125e1f25U,     0xf88d83b1U,     0x55de9229U,     0x784704bcU, \
    0xa890efc5U,     0x3e161592U,     0x0e4d89efU,     0x9c7da0a3U, \
    0x29d00881U,     0x191d9b62U,     0x4dd03224U,     0x6e51060fU, \
    0x7d2e631eU,     0xb763b758U,     0x383e8929U,     0x4faf817dU, \
    0x39f0040bU,     0x0eecd1a6U,     0x43ad5d73U,     0x856fc584U, \
    0x8d004e3eU,     0xe08f792cU,     0x5ea856cdU,     0x758f6d64U, \
    0xe7a7c53cU,     0x846899b2U,     0xc648b241U,     0x32f58909U, \
    0x0e88dd4dU,     0xfab879c2U,     0x3409db1fU,     0xe045ab3aU, \
    0x3d1b077fU,     0xa943f51dU,     0x789120ddU,     0x94107721U, \
    0xd6570ba6U,     0x27a585d6U,     0xe6004c7cU,     0xc296a909U, \
    0xe7293101U,     0x0f278ae6U,     0x8aa9de54U,     0x1f241b1dU, \
    0x76edfa23U,     0x2a3165f0U,     0x3780524dU,     0x5e3caf7dU, \
    0x54f1f107U,     0x97ab3c54U,     0xa9dd21ceU,     0xbed8398aU, \
    0x1f9f7f33U,     0xd5c8de83U,     0x23f984c8U,     0x02d04480U, \
    0x98b420c5U,     0xe76987bfU,     0xb95c7562U,     0x94b48c2dU, \
    0xce2bd584U,     0x11023f9dU,     0x4761d241U,     0x1d86a674U, \
    0x53db625fU,     0x1403c6bbU,     0xf87d8df6U,     0x650c80a3U, \
    0x36dd9128U,     0x942a34d6U,     0xff7628a4U,     0x1dcc029aU, \
    0x5f3b2bf8U,     0xd7ee1aaaU,     0x8136ce0dU,     0xa4d70653U, \
    0x67c5d839U,     0xceab59e2U,     0x46afa2caU,     0x6202a697U, \
    0x5e6e2f4dU,     0xfe39b12eU,     0x0c320c89U,     0xa3497d04U, \
    0xeb62104eU,     0x26238948U,     0x4dcf0af0U,     0x5fb6b771U, \
    0x1386106dU,     0xc5fceb44U,     0xbed20b8eU,     0x885c4a99U, \
    0x4bdaa9d6U,     0xbaa8e557U,     0xd47a767cU,     0xe1cd1a38U, \
    0x5e82a425U,     0x5fe0437eU,     0xea77c9b9U,     0xa1b2b83aU, \
    0x9004326bU,     0x34a827ccU,     0x2bec9b8aU,     0x215cf75cU, \
    0x5288d18fU,     0x276b9109U,     0x921dfa22U,     0xf95987e7U, \
    0xdbcc75f4U,     0x8247ebedU,     0x38be4764U,     0xe261e989U, \
    0x375f1aa1U,     0x4ddda9eaU,     0x286e1cfdU,     0xc2839643U, \
    0xddcc1c91U,     0x148b1195U,     0xd47d771dU,     0xe3c74d09U, \
    0xb577763bU,     0x8b7be6f8U,     0xc73c4284U,     0x5690ab48U, \
    0x29a46fe6U,     0xc9691648U,     0x02bc0b97U,     0x288c645fU, \
    0x01a14d94U,     0xadb61335U,     0x0269e2fcU,     0x84704f2fU, \
    0x363e0e9fU,     0xdbd11d7bU,     0x609473a2U,     0x81b87d53U, \
    0x8f5ec992U,     0xc4422fcbU,     0x71dfe42eU,     0xf3106463U, \
    0x44180d2cU,     0xdba2370fU,     0x9d8c6b12U,     0xbe7ec42aU, \
    0xcad8cef7U,     0x7b6d2474U,     0xd4cee4f4U,     0xf4c851e1U, \
    0xb6d90f62U,     0x519b6cb7U,     0x87483774U,     0xf6078a0fU, \
    0x9207f3eeU,     0x3370247fU,     0x78abfa3aU,     0x49435e9aU, \
    0xd2dc52e0U,     0x5d788776U,     0xa3b9ddadU,     0x98683ee5U, \
    0xda7f73a3U,     0xb79a03ccU,     0xb2b7e116U,     0x8b0a1863U, \
    0xb387fc21U,     0xf6ea2143U,     0x740880c1U,     0x8401911aU, \
    0x76f24305U,     0x12e6f40eU,     0x146a0e8aU,     0x531098b5U, \
    0x1bfeb68eU,     0x35e54d0aU,     0x17fad8c0U,     0xcf0afaf1U, \
    0x9f35ba51U,     0x929e136dU,     0xa325165dU,     0x2e84da34U, \
    0x5a92989cU,     0xef30ece2U,     0x540b596aU,     0x59358ddcU, \
    0xcb7e963eU,     0x0e360d57U,     0xd6f8c1bfU,     0x2b6971a5U, \
    0xbbc51a42U,     0xe70e80dfU,     0x4a380012U,     0x0f6d581cU, \
    0x423d9d73U,     0x5bb4b5b1U,     0x9b154297U,     0xb8e2cdfdU, \
    0x718f5a4fU,     0x5df1c7ceU,     0x20a05c3aU,     0x74fc25d3U, \
    0x1c27e5e9U,     0x9838c486U,     0x7743d30fU,     0x66d4eda9U, \
    0x72960410U,     0xf9f8b19aU,     0x1d9e3b4eU,     0xc660d3d8U, \
    0x78a64a17U,     0x66b5f105U,     0x4ab559cdU,     0x018c1107U, \
    0xa3a75a1fU,     0x6f703a03U,     0x4a843343U,     0x30b8655bU, \
    0xe7fc43d0U,     0x9bf6bbf2U,     0xca9f3dd0U,     0xc972fc95U, \
    0xb1ea27e7U,     0xebfbe8ccU,     0x68c77102U,     0x02f35f9dU, \
    0x08f9a3e1U,     0x7648cdc7U,     0xbbc2af64U,     0x62f3cdf9U, \
    0xf604fa73U,     0xe375a744U,     0x0491957eU,     0xb970ac09U, \
    0x49b11f84U,     0xf861ffb0U,     0xef705a99U,     0xbb0bcf45U, \
    0x04806d59U,     0x650b9ddaU,     0xec1f393eU,     0x3e61669fU, \
    0x83ef07daU,     0x78686ed2U,     0x6a50b6b4U,     0x27509ea3U, \
    0x9868138eU,     0x4671c28aU,     0xd41c27f7U,     0x7c5e826cU, \
    0xdf75c1edU,     0xdf2bdfa9U,     0x52a9b23cU,     0x00b20d62U, \
    0x72146f92U,     0x316ff9ccU,     0x2d8fc28fU,     0x2b89721dU, \
    0x88dad7a6U,     0x088426f0U,     0xa046c23bU,     0x10f8ca80U, \
    0x3bc0e694U,     0x22a52175U,     0x6ac18555U,     0x74c467e4U, \
    0x7d47e74cU,     0xe5f422a8U,     0x97ed0a7dU,     0x8ba3ff90U, \
    0xe3481ddbU,     0x9bb53c2fU,     0x8ac3c908U,     0x9c1e44feU, \
    0x82788833U,     0x5e911d9bU,     0x6153f38eU,     0x0142c8c9U, \
    0x42391898U,     0x0e0ca3bfU,     0x20728bf9U,     0xb0d3dc5fU, \
    0xc93e66ccU,     0x64e64538U,     0x4e8dcf9dU,     0x90ae3886U, \
    0x12ebbd73U,     0x776df5e3U,     0xdfdacd28U,     0xd59894b8U, \
    0x41cf7f5bU,     0xd4086abcU,     0x86d1fd5eU,     0xa399df79U, \
    0xbdda0c5eU,     0xeffb54ecU,     0xe9494165U,     0xd64ee534U, \
    0xc614f076U,     0x3eb94736U,     0xe83eb124U,     0x24e4ac01U, \
    0xd3777b6aU,     0xc88c59f7U,     0x14bf4637U,     0x0c0162ddU, \
    0x44bb479cU,     0xf0ee11d3U,     0xe8dd4a62U,     0x0cb9f5a3U, \
    0x3b2188cdU,     0xfeaa3ba6U,     0x31e95b83U,     0x97e66cefU, \
    0xcc57a0fdU,     0xa9cb5447U,     0x2869a1adU,     0xb6169a9dU, \
    0x0318172fU,     0x23e81210U,     0x1bf83c3aU,     0x8534a47eU, \
    0x7b088dc5U,     0x4d664928U,     0xe2077fdbU,     0x1c9867cbU, \
    0x080a3d7eU,     0xa657a795U,     0x40a028ecU,     0xf87f5d7eU, \
    0x55482085U,     0xddb33c79U,     0xc8932cc2U,     0xfde7b66fU, \
    0x841538b1U,     0xef52265dU,     0xadda162aU,     0xb9583d5fU, \
    0x04ed5000U,     0xbba93fbfU,     0x561c21a8U,     0xad0257c1U, \
    0xb106cca4U,     0xa648650bU,     0x436644a9U,     0x657bae27U, \
    0xbcb5a29aU,     0x9df17283U,     0xa92b6991U,     0x2b619106U, \
    0x6bda003bU,     0xd212f39eU,     0x9be7c0abU,     0xccbbf1aeU, \
    0x6d3dd60dU,     0xdeb13c0dU,     0x05157a33U,     0xb825f5c5U, \
    0xad4f838dU,     0x6697fd9cU,     0xdca23293U,     0x4b57ac2aU, \
    0xcae5059bU,     0x0218befbU,     0xc139c71eU,     0x3ffd0bfbU, \
    0x6a42c60fU,     0x3593e62fU,     0x14df2d64U,     0x518be931U, \
    0xc72190ecU,     0xf4dafe21U,     0x6385c5b6U,     0x1e8cdaf8U, \
    0x6d1486adU,     0xba3ba2f9U,     0x8fb3053fU,     0x1c29a2fcU, \
    0x12f30b2fU,     0x37f91b4dU,     0x99f5606aU,     0x83bf53dcU, \
    0x2492f2b3U,     0xa818e2efU,     0x172c6c60U,     0xdd252e99U, \
    0x2dbbb08aU,     0xa885e494U,     0x1b9e3af0U,     0xa6f4d443U, \
    0x4751ee4bU,     0xb412524fU,     0xd39b7778U,     0x111e929dU, \
    0xabf2944bU,     0x3a9d4c42U,     0xe238782cU,     0xcd4ccd8cU, \
    0x2ea04001U,     0xca454cb1U,     0x778d87bbU,     0xaaf6f3f0U, \
    0x1e51b130U,     0x1665d4f1U,     0xa29d7eafU,     0xfba4aaedU, \
    0x1cc481ccU,     0x021929b0U,     0xd784008bU,     0x8b0751b7U, \
    0x64f1e639U,     0xf1f65d02U,     0x3fb0b66aU,     0x89db00f2U, \
    0x55c9bd45U,     0x8af4cf4fU,     0x49c097bcU,     0x9d5ab97eU, \
    0xb2226945U,     0x2bfb5459U,     0x422fcdbcU,     0xadfcadffU, \
    0xad3d68abU,     0xcc00a53fU,     0x5545bbd3U,     0xa587964cU, \
    0x2e408f79U,     0xfbcff9fcU,     0x73e6ab69U,     0xd80d02aeU, \
    0x9f23d67fU,     0x135e74b5U,     0xb0c79c8bU,     0x43c198f8U, \
    0x6762a4a4U,     0x644cbee8U,     0x13557316U,     0x792df18aU, \
    0x076bf618U,     0x2706fd88U,     0x733c23edU,     0x13c75467U, \
    0x7d0135c4U,     0x41d490abU,     0x209365c5U,     0xd6634b6dU, \
    0x441a36d8U,     0x8f928e7bU,     0x3fd0aad4U,     0xa3ad9f64U, \
    0xba4c796bU,     0xf03ddfacU,     0xec93292eU,     0x62daa122U, \
    0x4578e9feU,     0x666183edU,     0x8e546d72U,     0xe41b670dU, \
    0xc233fb12U,     0xc68c8cf3U,     0xb4dce0f1U,     0x0c0dbe60U, \
    0x52870981U,     0x287d348aU,     0x82c3e47eU,     0xef822189U, \
    0x6e6b9ebbU,     0xb5a55553U,     0x8b7dd395U,     0x8747c55eU, \
    0x4c71feceU,     0x25be34c5U,     0xd44b85efU,     0x2e382a21U, \
    0x03b1b5cfU,     0x1f15037eU,     0xe5204b76U,     0xaded4829U, \
    0x75d71acdU,     0xc7c71592U,     0xc9679b30U,     0x29066682U, \
    0x790ed2e8U,     0xe2803fe9U,     0xa6a1778cU,     0xd7c1f2b9U, \
    0xd4fd9c2cU,     0xf0aec205U,     0x25524082U,     0x9cd87962U, \
    0xa3005a6bU,     0x0dd605e0U,     0xc30b71b4U,     0x20597d7eU, \
    0xe6840e7aU,     0xcdde671bU,     0x1f10bf54U,     0x0141f3f0U, \
    0xaddb3e16U,     0x9a182d67U,     0xfd665085U,     0x5825146eU, \
    0x2ac6b40dU,     0xf6880dc4U,     0x3d014c41U,     0xbdba6e89U, \
    0xb78c945aU,     0x100144d8U,     0xa71884ebU,     0x846a803bU, \
    0x492a8c92U,     0x8bcc71dfU,     0x9799d37cU,     0x30fe1c4aU, \
    0xa1754b08U,     0xa78c4111U,     0x921e9ea5U,     0x9196f943U, \
    0x5fcf5f7fU,     0xdc9ffcb4U,     0x4ac7d403U,     0x95ce7b0dU, \
    0x1126c01aU,     0xdb2ab1fdU,     0xe7a1b812U,     0x3894fbc3U, \
    0x2b8d4357U,     0xe1920713U,     0xaf32075bU,     0x178afc99U, \
    0xd41195beU,     0x6d1323c0U,     0x73877765U,     0xc2388116U, \
    0xad0913e7U,     0x3fe3d246U,     0xfc42046dU,     0xc04b64d8U, \
    0xac9359cfU,     0x90208a9cU,     0x373b8bd5U,     0x17b99f1eU, \
    0x2fd73c1cU,     0xc7141c59U,     0x1b2f155cU,     0x4df58010U, \
    0x4a672b8dU,     0xf159752dU,     0x86135381U,     0x9aa383efU, \
    0x42e021e4U,     0x0813ebabU,     0x822fd161U,     0xc6efd47cU, \
    0x69d06adaU,     0x45c8988aU,     0xaf149169U,     0x68a18a2eU, \
    0x2fd1e186U,     0x520acae3U,     0x5640b2f3U,     0x0231a6c3U, \
    0x6a876119U,     0x9e16b1cbU,     0xbb0f36c4U,     0xaa1b90e3U, \
    0x7489faa2U,     0xe18757c3U,     0x012388acU,     0x277aa7a2U, \
    0x7d74b65cU,     0xabbc3397U,     0xef237830U,     0x169064d1U, \
    0x61d11450U,     0x1b1519feU,     0x590fb667U,     0x3a06763cU, \
    0xb8ab253dU,     0x59cb474dU,     0xa4c6b5c1U,     0xd23ec318U, \
    0xbd67f3fbU,     0x7c9ab66fU,     0x6dcc0999U,     0x0827c257U, \
    0x85b4d8a3U,     0x4b68bf34U,     0x60a78ce1U,     0x7134ee71U, \
    0x215fcd38U,     0xc2497380U,     0xfea31f84U,     0x72e8699bU, \
    0x958f021eU,     0x26e6eeb0U,     0x419e6149U,     0xf5c7825bU, \
    0x065be3cbU,     0xae030d99U,     0x386b1dcdU,     0x4ca41936U, \
    0x046b8452U,     0x801ce3ceU,     0xd57ebce6U,     0xb45f4cb9U, \
    0xad1c304fU,     0xab66f3d6U,     0x8d446bb3U,     0xf9efb74aU, \
    0x94d525bbU,     0xe6aba4d2U,     0x48b5b28aU,     0x483f5e12U, \
    0x923e8e07U,     0x16a4d5abU,     0x841ffac0U,     0x5a12118aU, \
    0x42a7b978U,     0x5e755a95U,     0xb112ff36U,     0xb331934dU, \
    0x4f583d49U,     0xd5aa2445U,     0xaf4c532dU,     0xdf2462a7U, \
    0xc05f2ce2U,     0x1466fe9dU,     0x5b46b2aaU,     0xb41b9e81U, \
    0x9ac6a61bU,     0x4919c9c9U,     0xa6d56758U,     0xa686da15U, \
    0xbc559902U,     0x9f9eef7cU,     0xc665b7a3U,     0xc8a40a3eU, \
    0x0c37865eU,     0x64fe0402U,     0xfb3536e5U,     0x508e0e03U, \
    0xd6885097U,     0x7d35f869U,     0x0a6f5017U,     0x64504186U, \
    0x3c9b2a84U,     0xdcbb92c8U,     0x4eb62d26U,     0x30615973U, \
    0xdfb0beafU,     0xaa1ca498U,     0x82dadebcU,     0xab7fd805U, \
    0x8cd4b626U,     0x7f3ec42aU,     0x02511417U,     0xc616438cU, \
    0xa9aeacefU,     0x5b0a4b84U,     0xa6c5581cU,     0xdc5d859cU, \
    0x17b4bb1aU,     0xff8916ffU,     0x78542b6eU,     0x60b87094U, \
    0x06fdbdbdU,     0x96dc5a3fU,     0xaeb73a9bU,     0xfd87777fU, \
    0x26e3ed46U,     0xcc2aceadU,     0x83e63edbU,     0x2a8120eaU, \
    0x507ba932U,     0x0bd870d4U,     0x31a3a998U,     0x9ea42406U, \
    0x15582dacU,     0x933cdadeU,     0x8b9af5abU,     0x60717080U, \
    0x13e79fd3U,     0xdd506260U,     0x7e29083eU,     0x731d7f3fU, \
    0x6eeb7849U,     0x3c47e567U,     0xc4a49dfcU,     0xb277c969U, \
    0xfcaec746U,     0xa0b54a90U,     0x597730e3U,     0x1b711e1aU, \
    0x878e581aU,     0xa21f9473U,     0x79a908b9U,     0x1506163bU, \
    0x40a0b5f2U,     0xacae358eU,     0x2b346200U,     0x7395f076U, \
    0x58a2fca5U,     0xca3dcaa8U,     0x185e03b0U,     0xcefa9838U, \
    0x0b3acbaeU,     0x4173b160U,     0x3c795d5eU,     0x0888ae6fU, \
    0xf20c448aU,     0x73c416a5U,     0x53196f58U,     0xf099ac58U, \
    0x63e03788U,     0xac912b10U,     0x547e8597U,     0x5f1fcfb9U, \
    0xd7f0ace5U,     0xe65c3d3cU,     0xea7c709cU,     0xff1998c5U, \
    0x0b8a9d93U,     0xc1ab9ee1U,     0x3b6e2ceeU,     0x1599fa94U, \
    0xe1cdbe2eU,     0x927a0256U,     0x3fde6a1bU,     0x85ae7b68U, \
    0x6173ccc9U,     0xd2ea4f30U,     0xdccb510bU,     0x5fd11a32U, \
    0x4d262014U,     0xd08d548fU,     0xd5d88b21U,     0x464c8c3bU, \
    0xbebc2e63U,     0xc093c8e1U,     0x7281b2ceU,     0x2dc524f0U, \
    0x8b4af76eU,     0xbd5afce8U,     0xb5952434U,     0x9d2f96dfU, \
    0xd1a2d129U,     0x5858650bU,     0x360e450eU,     0x04296048U, \
    0x326ac2f0U,     0xc49f3c88U,     0x4faffd63U,     0xf947f3d4U, \
    0x7f337e76U,     0x73947593U,     0xc7041ea2U,     0xb960fcc6U, \
    0x19a4bd0aU,     0x35abcdf8U,     0xaa5bf3a7U,     0xab2d5723U, \
    0x9aa7afe5U,     0x141486efU,     0x712c5102U,     0x34d6b0cfU, \
    0xf905b05dU,     0xa426fe52U,     0x08321be0U,     0x5d56273cU, \
    0xb3586050U,     0x7d2fe45dU,     0x2cf81120U,     0x8a99b6e5U, \
    0x4c5c4688U,     0x8c5abb73U,     0xbc2a3961U,     0x8cb08841U, \
    0x3730cc80U,     0x3537f9faU,     0xef1fa7bbU,     0xd10169ddU, \
    0xec03fcd1U,     0xa2bdab3aU,     0x3cb6a4eeU,     0xb523d377U, \
    0x87320fb7U,     0xbff4c6f0U,     0x0c788cf5U,     0xc05c3ce1U, \
    0x7bea01ecU,     0x85924264U,     0x99b28ee5U,     0x46991a0eU, \
    0xca0b8080U,     0x463046e2U,     0xbe9e1ab5U,     0xe1b9971cU, \
    0x82cce799U,     0xc06f42ceU,     0x7dd79b33U,     0xf4596480U, \
    0x3519fdeaU,     0x3b60a4faU,     0x7839961fU,     0x21376055U, \
    0x6e05db5cU,     0x1e29faebU,     0x7a86d43eU,     0xaf26e29aU, \
    0x691249baU,     0x9e691523U,     0x50973f05U,     0xcaa81fa6U, \
    0x6300a334U,     0xc4146e35U,     0x516cbfa2U,     0x20c8091dU, \
    0x31253da3U,     0xf138b231U,     0xbaae35feU,     0xb66e18e7U, \
    0xe9e248d0U,     0x0d2ea5b3U,     0xdb6138fbU,     0x0058df72U, \
    0xbccf16b8U,     0x67c7891cU,     0x2ad7ea70U,     0x21288da3U, \
    0xd3c0dc01U,     0x89a16d27U,     0x9eb30a51U,     0x163b76bcU, \
    0x67f430b5U,     0x00fea5fbU,     0x5fb7743bU,     0x1ebf4885U, \
    0x81294f3cU,     0xb845f6edU,     0xa8ed17c5U,     0x2c5cb0e0U, \
    0x366055ecU,     0x5a705624U,     0xd444e6eaU,     0x936d305aU, \
    0x457c3da7U,     0xa74d711aU,     0xb3b6ecadU,     0xba1cf531U, \
    0xf4834c77U,     0x7a5b06b6U,     0xf239a232U,     0x2e3c9e07U, \
    0x51c2bb3aU,     0x8c6b3de3U,     0xde3fc0d8U,     0x950d154fU, \
    0x0e631499U,     0x35aaff22U,     0xe184a062U,     0x9287770cU, \
    0x3fe44f63U,     0x9a5dc23dU,     0x5d816053U,     0x9535f514U, \
    0x47912137U,     0x93e384f7U,     0x5f6a275eU,     0xaac12049U, \
    0xb84e0f84U,     0x0e2c0b1eU,     0xde6d1efbU,     0x428d5330U, \
    0x916c6822U,     0x083d328fU,     0x66dcecabU,     0x9c3a48f3U, \
    0xa67909edU,     0x331f4aa6U,     0x3680c0f7U,     0x1fc372e4U, \
    0xab52da2fU,     0xdd7aa05eU,     0x1d4ab485U,     0x40ed1d9fU, \
    0x18fca6a9U,     0x8a66f3e0U,     0x4e545d34U,     0xaffab057U, \
    0x9c4d1217U,     0xf67bbdcaU,     0xfd3c02fcU,     0x8684fb3aU, \
    0xce5aa666U,     0xbc5bd293U,     0xf537476eU,     0x2f69c916U, \
    0xff405c3fU,     0x7ddfb0a5U,     0x396460deU,     0x8f53da3dU, \
    0xdeaf3aa2U,     0xe9f5d995U,     0xbd8b65e5U,     0xcd24e286U, \
    0xca58e55eU,     0x4fd81124U,     0x1e27e4dcU,     0xee1aae69U, \
    0x10856032U,     0xcc7f0519U,     0xd540ce11U,     0x27c3e4f8U, \
    0xaa39fabdU,     0x09a10e55U,     0x51ec1765U,     0x361c4d0bU, \
    0x3d4b318eU,     0xa3bd993cU,     0xe1ecbcb2U,     0x55801bc1U, \
    0xb4cab311U,     0x0b864308U,     0x41d9209aU,     0x71db6f97U, \
    0x5199c246U,     0x4e074ab2U,     0x986bf89fU,     0xe0faa764U, \
    0x84792b0eU,     0xa45cbe3cU,     0x590244baU,     0xfe64018aU, \
    0x295498d0U,     0xd9a600d5U,     0x20941038U,     0x97e2c2b7U, \
    0xe4c70021U,     0x0cacaa2aU,     0x0a246028U,     0x935d2962U, \
    0xfc67d27fU,     0xc7470685U,     0x2260d012U,     0x1bcbeb0eU, \
    0xfc38b167U,     0xd1bbd9f3U,     0xb9638495U,     0x19050c4aU, \
    0xf8e191baU,     0x12f47b10U,     0x9d5c1501U,     0x133d9ddbU, \
    0x18e4d7d3U,     0x30028816U,     0x2ef65ee3U,     0x98938b66U, \
    0x6a5b9aa3U,     0x3afe4ff3U,     0x35c2c7b4U,     0x6391c347U, \
    0x5f40774dU,     0x152f43f7U,     0x3f11b995U,     0x6c636c2fU, \
    0x04a66b58U,     0x8689a42aU,     0x0269772aU,     0x5930c8f5U, \
    0x8a1b20a3U,     0xd10fde3eU,     0xf7f74377U,     0x4d7710a2U, \
    0x09d26b5cU,     0x0c61d9baU,     0x125986a6U,     0x242df8eeU, \
    0xeb6bff41U,     0xa0d07e1eU,     0x9706ba35U,     0x103f8206U, \
    0xa8874e9aU,     0x5ebd4b6fU,     0x365dce6aU,     0x02cd9512U, \
    0xf8ea43f5U,     0x50fff9d9U,     0x62df2816U,     0x4f4ef509U, \
    0x2b6990beU,     0xebabe114U,     0xb284a8acU,     0x917f7dfbU, \
    0xbf631ab2U,     0xbf45829fU,     0x06029877U,     0xb8991958U, \
    0x4858c784U,     0x852328d5U,     0x3447e42fU,     0x07f3fcabU, \
    0x7d1fdd42U,     0x5d54d55dU,     0x0fa95d7dU,     0x86692130U, \
    0xe5dccc08U,     0x22316e02U,     0x209f90f8U,     0xad6a62c5U, \
    0x197c433fU,     0x6d96cd35U,     0x2fb53a49U,     0xe3351cd7U, \
    0x6988d201U,     0xeba6264eU,     0x5360c8c3U,     0x99dae18aU, \
    0xef794bd2U,     0x2df282daU,     0x7063eee4U,     0x4d9e557cU, \
    0xc7bed94eU,     0xbe35b077U,     0xdbb67d6fU,     0x6a64c45aU, \
    0xd8894344U,     0xeea04949U,     0xb60d0c8aU,     0xc5a679c7U, \
    0x104fa917U,     0x55d41a6dU,     0xc7035eddU,     0x75a31ffdU, \
    0x4041598cU,     0x02e5b5daU,     0x56e9063fU,     0x4db47f7dU, \
    0x1931b35dU,     0x6b3d115dU,     0xbcccc664U,     0xf408692dU, \
    0x4fdb0d3aU,     0x1b53bb7eU,     0xa7c02317U,     0x00cd7737U, \
    0xfcb1a60bU,     0x56e615ecU,     0x2615c1b3U,     0x837edda8U, \
    0x5763035aU,     0x79b3d65cU,     0x79e6df5aU,     0x77525ecfU, \
    0x2d7af508U,     0xedf30c79U,     0x38c3cc5fU,     0x3e768c8aU, \
    0x554cbaf3U,     0xfc50998cU,     0x00ba26f5U,     0x6b5442f5U, \
    0xeeb92641U,     0x73204badU,     0x2009768dU,     0xda0a2b14U, \
    0x03829a25U,     0x426edff5U,     0x2d7db825U,     0xb5327ae9U, \
    0xdb8b74c5U,     0x2cf24de2U,     0x1a4295d3U,     0x800da4eeU, \
    0xcfffaf58U,     0x1ffa8b70U,     0x3af7de5fU,     0xe44da431U, \
    0xd7467376U,     0x23b50248U,     0xb2ca7c1bU,     0x167bd37bU, \
    0x2bce2d8dU,     0x5579d994U,     0x886f9755U,     0x1c27a7ddU, \
    0xaa89bf74U,     0x941a9da3U,     0xecf3c006U,     0x3d75e855U, \
    0x41d332b4U,     0xab1d4902U,     0x6952e5dfU,     0xd56de42aU, \
    0xb1d851b7U,     0x359f5329U,     0xb865407eU,     0xec48ac60U, \
    0x654f511cU,     0x08248238U,     0x873b7dbbU,     0xd2ee9a8dU, \
    0xd69d2829U,     0x09dd4e3bU,     0x8c55036fU,     0xb3fd2ac0U, \
    0xc2e173c1U,     0xcf3643e2U,     0xac03d03fU,     0xa0b4debcU, \
    0xcfe1661bU,     0xac8375e3U,     0xdcf31a40U,     0xcae3cb3fU, \
    0xd9dac548U,     0xeeaddd3dU,     0xbde53d19U,     0xceb08f87U, \
    0xd6cb3157U,     0xc721824eU,     0x5c393484U,     0xedd63b72U, \
    0xc8c37a12U,     0x2aa0e0f5U,     0xf84ec2d8U,     0x68499c8eU, \
    0xe9d6271cU,     0xc9241eceU,     0x3918542cU,     0xf507ae8aU, \
    0x1ea031dbU,     0xc81b9b32U,     0x3b6ede02U,     0xcafab2aaU, \
    0x15605c2bU,     0x48507380U,     0x5fd8e421U,     0x60727181U, \
    0x55a4fa27U,     0x62bae97aU,     0x48eb890cU,     0xcacc0ab9U, \
    0x1091b5d5U,     0x392de86eU,     0x60fb2e6dU,     0xc25bcc08U, \
    0xc6e7c4a9U,     0xb871e1e4U,     0x231b800bU,     0xf1610758U, \
    0xca4f1120U,     0xa7b18a53U,     0x97ab5decU,     0xead0d989U, \
    0x66295000U,     0x005faab8U,     0x5d1dda54U,     0xa3a71313U, \
    0x164e08e0U,     0x6ef2a828U,     0xd822cbf0U,     0x7fdab9dfU, \
    0x33ac43b3U,     0x2447646dU,     0x47a3fd34U,     0xa30d6cf1U, \
    0x6b9a9e49U,     0x70c1db71U,     0x4fcda6c1U,     0xb7c2b886U, \
    0x1f43a918U,     0xd3e282ffU,     0xb0b36b68U,     0x3c4e9b73U, \
    0x22368677U,     0xc0524154U,     0x4cc0cc58U,     0xbc5c3a80U, \
    0x8f8d7fbeU,     0x194c6026U,     0x167cb5c1U,     0x18dd93c7U, \
    0xc3613654U,     0xee9c5885U,     0x0b83cf25U,     0xa995e0cdU, \
    0x057f23a2U,     0x5291bf4dU,     0xe27d6fe4U,     0xdc90937aU, \
    0x9d7f734fU,     0xaa15cf9cU,     0x68649adeU,     0x74d3d41dU, \
    0xf79d41dcU,     0xd5bdd9d5U,     0x83323df7U,     0xbea23110U, \
    0xb695417fU,     0xcaed0ce4U,     0x938978a0U,     0xbe067181U, \
    0x734b9608U,     0x76c1e74eU,     0x374589dfU,     0xf6edfe12U, \
    0xff89f6f0U,     0x862cda92U,     0xc1980deeU,     0x2db6d487U, \
    0x118516beU,     0x5b06d4ffU,     0x43fdc501U,     0x7969aa78U, \
    0xeb008673U,     0xdabe5a69U,     0xa95cee71U,     0xcbc9d282U, \
    0x554c61ddU,     0xb7333a5dU,     0x52698f06U,     0xce833d52U, \
    0x8aa3a1d5U,     0xd157b5c5U,     0x0871d57cU,     0x5946ac7fU, \
    0xa9bc13a6U,     0x6046b292U,     0xea8af983U,     0x4987f866U, \
    0x5ec1ddd7U,     0xf4383498U,     0x7653e9beU,     0xdcfd1100U, \
    0x29286b8aU,     0xad6c03e8U,     0xfa0c71c2U,     0x7338a19fU, \
    0x586d46cbU,     0xfe3ce93bU,     0xffb38d69U,     0x4d363c2aU, \
    0x9c207640U,     0x7406aaebU,     0x27a119e3U,     0x9affa044U, \
    0xd323ef79U,     0xda5e473aU,     0x36fb07a1U,     0xc646841dU, \
    0xab4ffce4U,     0x3fe18039U,     0x65230049U,     0xb24d1a2aU, \
    0x5e7fa67eU,     0x01e6cc15U,     0xb27bd25bU,     0x419eca82U, \
    0x3d44ce71U,     0xa77d3060U,     0x9501bb93U,     0x262b8ce0U, \
    0xc8f333bdU,     0x8d1bc68eU,     0xb66e71d8U,     0xf9830b23U, \
    0x493be3b6U,     0xa8fdd46cU,     0x339b8c30U,     0xd43db794U, \
    0x67d989f6U,     0x380a1e14U,     0x59854879U,     0x44247009U, \
    0xaed37ae8U,     0x917c5e98U,     0xb0c0038bU,     0xb6fa6943U, \
    0xc4dbe167U,     0xe14d12d8U,     0xb2169612U,     0xcabdac40U, \
    0xdc8ae8f0U,     0x46f8dc23U,     0x1f50ae08U,     0xedfd87cdU, \
    0x08b5bf5dU,     0xbb4cc0b4U,     0xf7f6ee05U,     0xe7cf46aeU, \
    0x00b9ee4cU,     0x468bcb18U,     0x70680694U,     0x59c4db7eU, \
    0x85b594b8U,     0xf2250d20U,     0x1154b86bU,     0x55b09519U, \
    0x573f8c29U,     0x285a86b2U,     0x6525f2efU,     0xc0e2926bU, \
    0xb60e34acU,     0xc0e81b0dU,     0x86f11571U,     0xf345e050U, \
    0x126aee63U,     0x6e0f5e7cU,     0x2381bf4fU,     0x8a94ead9U, \
    0x0b1d5c38U,     0x2a5824d0U,     0x862c0be6U,     0x055f40cdU, \
    0x3544d0c9U,     0x3c2b04d5U,     0x59062bbdU,     0x6e783698U, \
    0xcf4864aaU,     0xbbaef27eU,     0x60c918deU,     0xbe613b0cU, \
    0x3c7d4b7eU,     0xc0a3be77U,     0x2617aa01U,     0x02e9de50U, \
    0xbe72b99dU,     0x3df7ddceU,     0xb91d7389U,     0x3b40041cU, \
    0x8570dadcU,     0xb94d3dfbU,     0xc45f4d4aU,     0x6318c590U, \
    0x87bf8484U,     0x48854fdcU,     0x5339cf24U,     0xc5bc5341U, \
    0x70cc6f06U,     0xac31478dU,     0xba009506U,     0x770fe748U, \
    0xa0ac3ef7U,     0x884d30a9U,     0xd84da5fdU,     0x29f063ffU, \
    0x84fb70bcU,     0xe947acf5U,     0xd7f6e610U,     0x93145baeU, \
    0x56fa200eU,     0xa1327b44U,     0x9a19fc4fU,     0x7a51a1a2U, \
    0x4cf014ecU,     0x13bcdc08U,     0x5a3e6d5eU,     0x285a4b6bU, \
    0xec774a61U,     0x18fa2521U,     0xe5312976U,     0xd415c512U, \
    0xb63abcf3U,     0x8bfa4934U,     0xc4c3e5d7U,     0x697821a8U, \
    0x86056a34U,     0x5d6b18afU,     0x36ac17edU,     0x50725587U, \
    0xb765c875U,     0x43cb0730U,     0xd9e31adfU,     0x2c2c317dU, \
    0xb755e4d9U,     0x92844d38U,     0x3e0944ebU,     0xdbc55c46U, \
    0xb08314ecU,     0xaf20a682U,     0x8d0a86fbU,     0x4d1417e7U, \
    0x8685a07aU,     0x05f391a4U,     0x547e02cdU,     0x8574ea42U, \
    0xd2ef4603U,     0xe84739f2U,     0xa6f97a27U,     0xa631ce6fU, \
    0x2abef43cU,     0xf577bb07U,     0x5d207e3eU,     0xd8e4dd42U, \
    0x2de01217U,     0xae00a8adU,     0x8b184727U,     0x48c9e8d5U, \
    0x4f7bc1a9U,     0x9fd2ea3fU,     0xa61f0442U,     0x61fb1504U, \
    0x8c8c2ad8U,     0xe01c695aU,     0x7e54ffe8U,     0x385a6779U, \
    0xd803183dU,     0x41b3e737U,     0xc4dbf0e5U,     0xa5758cf6U, \
    0xffc2e127U,     0x5575ecabU,     0x11e30468U,     0x794bd3b0U, \
    0x0ade61c4U,     0x697efbd3U,     0x7484d49aU,     0x31aee845U, \
    0x64738f8fU,     0x04dfa040U,     0x06b3ec8aU,     0xfa819ad2U, \
    0xddbc6591U,     0xff9d0599U,     0x26d13aa7U,     0x8975c09eU, \
    0xbc88768aU,     0x0b54e222U,     0xb2e98943U,     0x57ddb26eU, \
    0xb29839f6U,     0x604999a0U,     0x4efba0f7U,     0xfb42af20U, \
    0x126c0477U,     0x150e1bf8U,     0x1558b692U,     0xb5c56cf9U, \
    0x83118a94U,     0x22366b83U,     0xb1b3a52eU,     0x27da5431U, \
    0xe6043765U,     0x6b0d2472U,     0x90085c2fU,     0xb2ed01baU, \
    0x778d51b7U,     0x390dc957U,     0x0582922cU,     0x9d6c7bbcU, \
    0xb09aefa6U,     0x589fc8b6U,     0x2fa6ce56U,     0x56093724U, \
    0xbd7b524eU,     0xa15571d3U,     0x493fa77bU,     0xc9447e96U, \
    0x976ac681U,     0x8af774caU,     0x1b8867b3U,     0xc77b82b4U, \
    0xad2d2db6U,     0x728e5264U,     0x627d8bcfU,     0x89060bffU, \
    0x61aa86e4U,     0x51c71d6aU,     0x7707d009U,     0x1a9edf54U, \
    0xdd46b0fbU,     0x0f234d53U,     0xc18df838U,     0x487b680cU, \
    0x4f84d6b6U,     0xc6c303d1U,     0x7cce4d60U,     0xdfd570d9U, \
    0xabe8c956U,     0xccd7d392U,     0x91393754U,     0x9f34813dU, \
    0x54dc61cdU,     0x679cefa4U,     0xdf0c30b7U,     0x2d8cfcd3U, \
    0xf5def4bfU,     0x980e75c8U,     0x85677bf9U,     0x5d8fbee1U, \
    0xae888871U,     0x62e2d65aU,     0x7e50bb9eU,     0x72c83fdcU, \
    0x11773920U,     0xcd6a890bU,     0x14561097U,     0x0bc97bafU, \
    0xd6dfdab9U,     0x7f46b425U,     0x43b17571U,     0x6ce1088bU, \
    0xbd73c9cbU,     0x13666643U,     0x9456d98aU,     0x59a1664cU, \
    0xc5905986U,     0xbea66477U,     0xb993eb27U,     0xd78c5fdeU, \
    0x9f8c8ba3U,     0x4311518bU,     0x06457b7dU,     0xf102bbdeU, \
    0x33d4c256U,     0xb9788300U,     0xc08f7d4fU,     0x9f503823U, \
    0x3038b844U,     0xac72a15aU,     0xd78b5591U,     0x048bb523U, \
    0xc4237f40U,     0xdbbf3956U,     0xa3311a2bU,     0xbba7eb61U, \
    0x0672490fU,     0x07f058b6U,     0xe66f5792U,     0xdb300ac4U, \
    0x7c4a4ac6U,     0x045fb506U,     0x8acd67efU,     0x0b3a5effU, \
    0xd0e358acU,     0x075c80f1U,     0xfbe83176U,     0xde40314bU, \
    0xea36d935U,     0x41209e60U,     0xfb9c89d4U,     0xe0a79b0bU, \
    0x523dd1aeU,     0x65213f73U,     0x7eb92347U,     0xff0ee0eaU, \
    0xfd697b47U,     0x8e4fef5fU,     0xf025225bU,     0xb33cd766U, \
    0x39f356edU,     0x62a13594U,     0xa2f5a29aU,     0x5d31e055U, \
    0x15138e5dU,     0x9433b5c0U,     0xab4bd443U,     0x3617ffffU, \
    0xa7a52715U,     0xf9869936U,     0xe31ac3aaU,     0x70514b62U, \
    0x61388344U,     0x22d9a46cU,     0x8588be4dU,     0xf1193dfaU, \
    0x8afdc40aU,     0x59de6700U,     0xb25e5f79U,     0xdbc1ce73U, \
    0x2216fcb6U,     0x4d4c0b4eU,     0xce2a3b90U,     0x5966d380U, \
    0xf66a110eU,     0xff41b92bU,     0xfe5774dcU,     0x3f69d5c2U, \
    0x3e122386U,     0xc8564abeU,     0x850ce342U,     0x0b15a5fdU, \
    0xb4e5ba3eU,     0x1fab4530U,     0x198c5241U,     0x5b8fc5c3U, \
    0xe98a8c35U,     0x04019fe2U,     0xe0c4f3f9U,     0xec231cbbU, \
    0xfcd99204U,     0x2326f92fU,     0x430bfa3aU,     0x62449c40U, \
    0xc50f317eU,     0x1e51bc04U,     0xd86f0bb4U,     0xf7aefb7bU, \
    0x6088c3b1U,     0x2590445fU,     0x468396a7U,     0x51e63887U, \
    0x586c8d97U,     0x1232626cU,     0xf5364666U,     0xc28881b8U, \
    0xe91b8bb3U,     0x65bcd185U,     0x9de3e7d1U,     0xc13ee43bU, \
    0x3bf8a8eaU,     0x154d5a3bU,     0x82016d6dU,     0x9a9b66c9U, \
    0x8eff5915U,     0x48fd6f1dU,     0x63a98796U,     0x68f18c7eU, \
    0xee8e37d8U,     0x47c3c702U,     0x990daccfU,     0x5eca17d7U, \
    0xf620b9afU,     0xc37fc352U,     0xc7e5c684U,     0x29e72b82U, \
    0x5e930234U,     0x8ab68e5cU,     0x4c26c312U,     0x60f21831U, \
    0xbe54b62fU,     0x4a427b0fU,     0x1ec7e013U,     0xd07d863cU, \
    0x2c143330U,     0xa618d329U,     0xad7a22edU,     0x4594b137U, \
    0xd823b3a6U,     0x2b40903bU,     0x455a5fbeU,     0xa28a0069U, \
    0x1489f018U,     0x50e44de5U,     0xcfe04104U,     0x8b3d8bebU, \
    0x7c6c92e9U,     0xc3f51e79U,     0x1d6603f2U,     0xe6973045U, \
    0x98e728f5U,     0x1e6d815eU,     0x901e9243U,     0xee350036U, \
    0x5905a6e9U,     0x692bc631U,     0xce196dafU,     0x2d3c1c27U, \
    0xcd20105fU,     0xe382fd0eU,     0xa8e981d7U,     0x6e1dc8daU, \
    0x87c9aad2U,     0xbfa821a4U,     0x18728a04U,     0x24e886c5U, \
    0xe691afdeU,     0xbd7c0227U,     0x4b701d2fU,     0xb679bb37U, \
    0xb1b82cceU,     0x51508829U,     0x0d6300caU,     0x779c19caU, \
    0x02ef36b7U,     0x9ef9804eU,     0xf549e2ccU,     0x9d2c5c2dU, \
    0x2482ce62U,     0xc5d0184fU,     0xfc2469d9U,     0x3876c9a0U, \
    0xe1da820fU,     0x59b9382dU,     0xaff9e6a6U,     0x71fe6d9bU, \
    0xc20e82b7U,     0xa3c11db4U,     0xb2df1574U,     0x3087d3d6U, \
    0x35e1e21dU,     0x2ba48169U,     0xd926ca7bU,     0x903a2d7aU, \
    0x69056248U,     0xf3f19eecU,     0x5414a330U,     0xa9d94e26U, \
    0x5217d63cU,     0x3c32e382U,     0x56da3910U,     0x10d9a26dU, \
    0xaa3e5f2dU,     0x5240f9b0U,     0x4b190d9fU,     0x329f55e0U, \
    0x0bf8cde1U,     0x08f26f03U,     0xa93e0d0dU,     0xb710e4f7U, \
    0x58f16261U,     0x2b6ada82U,     0xad84b6beU,     0x38ea2558U, \
    0x8f700b00U,     0xaea867e1U,     0x6322954aU,     0x337c82baU, \
    0x17b27561U,     0x5bd4802bU,     0x7bf729dbU,     0xc9f9a18dU, \
    0xcca2f6b9U,     0x369b03b0U,     0x27760180U,     0x04e8b27dU, \
    0x4ac72897U,     0x941e644fU,     0xdb4e7f5fU,     0xa4057288U, \
    0x4f5c6887U,     0xa8e02550U,     0x56543daaU,     0x269529a9U, \
    0x6c2f3ed9U,     0x0b776c5eU,     0x2662743bU,     0x38857b72U, \
    0x25cc661bU,     0x83098cc3U,     0xad6acf3aU,     0xa0a67110U, \
    0x47db78f4U,     0xdafdc57bU,     0xd73518f3U,     0xb2bd1fdaU, \
    0x17939869U,     0x63df32a0U,     0x2ac911cfU,     0x28bf4691U, \
    0x837ea9d5U,     0xded8a5e9U,     0x8a71a364U,     0x8b262379U, \
    0xd517edb5U,     0x78af8aa5U,     0xb7ea9bcfU,     0x8d67f8deU, \
    0xead604c9U,     0x4acb6e1eU,     0xaef0b152U,     0xdd6229faU, \
    0x0bffe979U,     0x72c3135bU,     0x9bd83ee2U,     0x776a470aU, \
    0xabfbed6eU,     0xd2f1686fU,     0x06a74441U,     0x9e6c5cf0U, \
    0x74b199bfU,     0xcbbd52ecU,     0xbcb02258U,     0x1a6c7653U, \
    0xea05f096U,     0x2ddc3c9cU,     0x39a1b709U,     0xcd5eb588U, \
    0xb4f16ad4U,     0xba2d1151U,     0x0cf6b56aU,     0xad58265fU, \
    0xbfe2d160U,     0xb1c00726U,     0x554470deU,     0x8faed420U, \
    0xeae79aaaU,     0x2e694988U,     0xfad7f3d0U,     0x0288cfe8U, \
    0x29b0fcf6U,     0x590dc8daU,     0xb968bb00U,     0xa17c3ed5U, \
    0x57d82844U,     0x004ac235U,     0xd9b80b56U,     0xccfbc566U, \
    0x9dfdebabU,     0xc11ad7eeU,     0x2dd7c4e1U,     0xa5571f58U, \
    0x8b772d95U,     0x15b4d1e1U,     0x9d0d89c7U,     0x42bdd7b7U, \
    0x647bd51dU,     0x36b26a83U,     0xa9ffca58U,     0x563c104fU, \
    0x3f29350cU,     0xb66e2327U,     0xb469b101U,     0xa8afce06U, \
    0x03397920U,     0xc5944f1fU,     0x98ccd319U,     0xe4ac08bcU, \
    0xdf683618U,     0x37c1532dU,     0x2aabdbeeU,     0x1c73febcU, \
    0x60409711U,     0xed63ee87U,     0x484a626fU,     0xa3d2cca5U, \
    0xa70b5d0dU,     0x7f1a8a10U,     0x616e9759U,     0x3740e249U, \
    0xf58224f1U,     0xb22e3a79U,     0x6bbb685eU,     0x0b133c93U, \
    0xd3c24e35U,     0x4e5297b2U,     0x1e33fc47U,     0x1f313deeU, \
    0x301e3cc4U,     0x62b4f8cfU,     0xa9f8d311U,     0x6f6515f4U, \
    0x97245bfeU,     0xc1dcc552U,     0xb6e8ec8aU,     0xcb3a29d3U, \
    0xb03e8138U,     0x6e92d38dU,     0x5ea2d5e7U,     0x0960bb09U, \
    0x2985e0abU,     0xad3b507aU,     0x6df00870U,     0x50dd0f19U, \
    0x0198beb7U,     0x128501c5U,     0x8eda438dU,     0xadcb9c23U, \
    0xf6eb6791U,     0x62bc05a5U,     0x7a3e17b9U,     0x8117b114U, \
    0x9e10534eU,     0x7d8d5699U,     0x6acd2f88U,     0xaf16db2cU, \
    0xfe85bfe9U,     0x2212ada0U,     0xef5cc7fdU,     0xe51b69f1U, \
    0x7b7b33d6U,     0x4b3d39c4U,     0x5ae8babdU,     0xba5257f0U, \
    0xcb4fd7c8U,     0xfe8a3ca1U,     0xdf25a42aU,     0x81cdf06fU, \
    0xcf278607U,     0x2f809ba4U,     0x048fb789U,     0xa4e60b33U, \
    0xe0581433U,     0x6d47783cU,     0x6811d793U,     0x15f6c3c7U, \
    0xa3130941U,     0xe65142d7U,     0x7e7500bbU,     0x3f5820adU, \
    0x97f51699U,     0x958e13e5U,     0x494aa5ffU,     0xde4b6818U, \
    0x23e24642U,     0xd807b78aU,     0x4d2df80eU,     0xd342f834U, \
    0x9b4e7d7cU,     0x6952ad50U,     0x703a0d8fU,     0x138789d2U, \
    0x0e7991bfU,     0x17e7201eU,     0xf108b2a5U,     0xcedcfc58U, \
    0x0a51cfb8U,     0xeb80e022U,     0x24500df6U,     0x5ee1c4e1U, \
    0xee055291U,     0xe9d3a0a3U,     0xd2b6b599U,     0xd4529a5bU, \
    0x1772a4daU,     0x57563f78U,     0xa72aef86U,     0x020a6ac2U, \
    0xae45ecfcU,     0x9fdfe390U,     0x5d846555U,     0x9ff97e4bU, \
    0x5bb4e599U,     0x03df0733U,     0x921f9124U,     0x46a3e6d0U, \
    0x47b0ed6fU,     0x11de6a74U,     0x48715658U,     0x46b4ceddU, \
    0x74d64708U,     0xd06deef7U,     0x2bebdbadU,     0xde4a1426U, \
    0xa38d25efU,     0x6d44e485U,     0xb860f1efU,     0xbf82b652U, \
    0xa39deaabU,     0x4973beb2U,     0x3c1e4e95U,     0xab3630d1U, \
    0x15d99b34U,     0xa8d70ca4U,     0xe1a3539bU,     0x0e8aa69bU, \
    0x7bd89e85U,     0x51238327U,     0x55f1be6cU,     0xae8e4629U, \
    0x3026fc55U,     0x44b51720U,     0x3e3616cbU,     0xfa9ad860U, \
    0xc9667accU,     0x2c328defU,     0xbade986dU,     0x92e5da67U, \
    0x4341f3f7U,     0x8eb6a58bU,     0x2e59e9ecU,     0x1a4a9fd3U, \
    0xa6bd057eU,     0xc810f5bdU,     0x53aedcd6U,     0x93b57e6bU, \
    0x2291fb72U,     0x97773614U,     0x8b6f5280U,     0x88443fb5U, \
    0x4fe8c6c0U,     0xf26f6d4aU,     0x915b048bU,     0x8de371dfU, \
    0x7baf2400U,     0xc01ebd60U,     0x45e35227U,     0x36c20375U, \
    0x3557b5daU,     0x53d4d30aU,     0xf0538b24U,     0x91a5ab2dU, \
    0x85c49a7dU,     0x8a9fc16bU,     0x798edeebU,     0xc3822df6U, \
    0xc6f85e71U,     0xc7d1934bU,     0x51b8e600U,     0xd8ddc649U, \
    0x614d2f06U,     0xa6a9214eU,     0xddec9791U,     0xcb5d852cU, \
    0x071bb871U,     0x6535fc80U,     0xa6a9fdf9U,     0x22d7d156U, \
    0x5beca20cU,     0x0233c48aU,     0xf2a3f7bcU,     0x897844b7U, \
    0xb73979cbU,     0x72165d56U,     0x3f6402b4U,     0x4ba83669U, \
    0xbeb988ebU,     0x94a88079U,     0x6974c7b2U,     0x5d200166U, \
    0x74a5d10fU,     0x1d90cc6bU,     0x10700a99U,     0xb80f5c9aU, \
    0x8012e5d9U,     0xf05aa555U,     0x6704160bU,     0xdf106413U, \
    0xb5b255e0U,     0x9d8a47ecU,     0x182bcd42U,     0x77fea37aU, \
    0x03179deaU,     0x2f197f19U,     0x27383254U,     0x18f4606fU, \
    0x0298d4efU,     0x8d8e29e1U,     0xc828e05fU,     0x38f1f1b5U, \
    0xa0c23abbU,     0x4a7f58d9U,     0xaa1f472bU,     0xed45d7b1U, \
    0x64965c36U,     0x17d1c187U,     0x2f175512U,     0x63a66f69U, \
    0x18555547U,     0x9eb092cdU,     0xbb10b46bU,     0xffba39d5U, \
    0x8ba99450U,     0x2c9b1685U,     0xdb66cc9fU,     0x07bf016bU, \
    0x95a36348U,     0x36b46436U,     0x5157a72dU,     0x21c22266U, \
    0x9cc2b547U,     0x08d0fd08U,     0x7e02744cU,     0xf3d3e797U, \
    0x325a1454U,     0x0598bdd1U,     0xf6dca55dU,     0x98e7a1deU, \
    0x0bb7a386U,     0xe5cb1f06U,     0x0d3e1e09U,     0x34fdfe5aU, \
    0xe71e0fd2U,     0x68cdfc85U,     0x9596b40bU,     0xc414edf8U, \
    0x94ab4781U,     0xfb10712dU,     0x7fec03afU,     0x42e5ed6fU, \
    0x933f8dcdU,     0xc837d218U,     0xb2efef54U,     0xd1781548U, \
    0x39c0f5f2U,     0xc5544b4dU,     0xc71ad90cU,     0xd0f544deU, \
    0x2a979eb3U,     0xd2e61756U,     0x7ae0c13fU,     0xd25b2975U, \
    0x40829fd1U,     0x057611ceU,     0x02b72567U,     0xbcc1e4f8U, \
    0x373e5419U,     0x583ec403U,     0x488d7958U,     0xdeff0c36U, \
    0x97dba675U,     0x37b6d1c5U,     0x421bb807U,     0x5f19674cU, \
    0xb5d13935U,     0x93d59204U,     0xf2ea52c5U,     0x5be67ea9U, \
    0xe8f7a0b6U,     0xe7c4293eU,     0xac18b51eU,     0x2aaac307U, \
    0xb922303eU,     0xd15467c7U,     0x1105d381U,     0xc060139fU, \
    0x145e96a2U,     0xc963ee9eU,     0x6983958eU,     0x96e8c4a5U, \
    0x8d5a8b52U,     0x3ae74cb7U,     0xaf8d6f8bU,     0x0ec629ddU, \
    0x07262254U,     0x6816e95fU,     0x50dd72deU,     0xbd2a168eU, \
    0x3020f4f8U,     0xf5d3ba5cU,     0xd731101dU,     0x11b2b84fU, \
    0x38a61d2dU,     0x76cefbcbU,     0x29e3b351U,     0x99235501U, \
    0x3b4cb897U,     0x4259b4deU,     0x154c1e85U,     0x68f54356U, \
    0xbddc6c7dU,     0x62782491U,     0x7291636bU,     0x6a0e32faU, \
    0xbee9e74aU,     0xf9684948U,     0x01110aebU,     0x72a72d8eU, \
    0x7d864b03U,     0x9aac5136U,     0x3c682634U,     0x9dae6654U, \
    0xf6b20e76U,     0x2eb48ce0U,     0xd14df0e1U,     0x947913dbU, \
    0xd9929b8bU,     0xa445f694U,     0x80f9205aU,     0xcf63c1cbU, \
    0x8d56e0c0U,     0x6af15f9eU,     0xcf3f89c1U,     0xce1f92a7U, \
    0x644c0085U,     0x367c572aU,     0x33855861U,     0xc9d66f76U, \
    0x66aa716aU,     0x6a862ffeU,     0xae40aab7U,     0x32f9f0cdU, \
    0xbee226c0U,     0x79b910f1U,     0xff88e8acU,     0xcef9f6fdU, \
    0x9423a483U,     0xb023f064U,     0x484ea4e2U,     0x9980d64dU, \
    0xf7506275U,     0x85282633U,     0xf19b0e37U,     0x9a1e9893U, \
    0xf190ceffU,     0x27f2208fU,     0xec3f26c5U,     0x07ce2d0cU, \
    0xb3fcdd03U,     0x3797e097U,     0x75178fc6U,     0xe2f7fc74U, \
    0xac422d01U,     0x2a4f9c32U,     0xae6f4458U,     0x5508d3bcU, \
    0x08cc4983U,     0x6fb5d798U,     0x8d2b07c8U,     0xff47e18eU, \
    0xed402ad0U,     0x87654d20U,     0xca9f2448U,     0x455dc73dU, \
    0x17d7f148U,     0xd536977fU,     0x9a414234U,     0x5248ae74U, \
    0xf32e7b4eU,     0x1ceaef30U,     0x449ce7a0U,     0x18f4cde8U, \
    0xa06e527cU,     0x9763c2afU,     0x31bd21aaU,     0x7fe61a49U, \
    0x4c29be04U,     0x6f5f823dU,     0xb0c233e1U,     0xb2cc8c85U, \
    0x5b51b589U,     0xbcc9e7f0U,     0xfad4cfa5U,     0x3f3fb4bbU, \
    0x2e358688U,     0xdf9bd46dU,     0xc30780baU,     0x68b2cac2U, \
    0x38a99655U,     0x38de9339U,     0xcacb12c2U,     0xcd76ddedU, \
    0x964dea8dU,     0x2568491bU,     0xf90668b3U,     0xe61b7a32U, \
    0x4ead83caU,     0x8ba47cb5U,     0x358389c4U,     0x3df8c651U, \
    0xb427a89bU,     0xeb2cb46dU,     0x10788139U,     0x6efe4dfdU, \
    0x9459808eU,     0x1000e873U,     0x879e7564U,     0xa30b8313U, \
    0x212364d6U,     0x689843d6U,     0x8f479050U,     0x1baba887U, \
    0x4e484c32U,     0xa6562448U,     0xa17f75f1U,     0xdcac9c3eU, \
    0xcab46cb5U,     0x13dd5a52U,     0xea4baeceU,     0xb993a86cU, \
    0xde80193aU,     0xe7cec4fcU,     0xc4511016U,     0x2da1a91bU, \
    0xe3e80cecU,     0xd423f853U,     0xeaa825afU,     0x0b9514c2U, \
    0xa280a8a7U,     0xa7833188U,     0xddfead53U,     0xc154fdd9U, \
    0x0acfb8ceU,     0x6170d0aeU,     0xb6c91c54U,     0xd76eb2d8U, \
    0xda69ecbcU,     0xd5458715U,     0xc65cffebU,     0xf783bf8cU, \
    0x63763261U,     0x5a1f3189U,     0xaa96cd80U,     0x1526fc0aU, \
    0x1cc58592U,     0x5e3cd70cU,     0x9610bb5cU,     0x9a421c6bU, \
    0x107f82b2U,     0x2075c3f4U,     0x110f0c18U,     0x499819f6U, \
    0xa73ad881U,     0x60050b07U,     0xb8d4bf9eU,     0x2c9f74bcU, \
    0x8f4598a0U,     0xc5abf78fU,     0x22d097daU,     0x9a5b47acU, \
    0x44843122U,     0xfe3a4e1cU,     0xdaca9124U,     0xedfba8f9U, \
    0xdb80e2fbU,     0x06a6dd24U,     0x7977399fU,     0xa82548d8U, \
    0xfcadbff9U,     0x94e9a808U,     0x704464acU,     0x3e17c82aU, \
    0x5ea11595U,     0xfce37f47U,     0xc0792496U,     0x8592c3f2U, \
    0x81fbec98U,     0xb6287844U,     0xcd60cc9bU,     0xf6b0bd23U, \
    0xcb44989cU,     0xa8dfcf11U,     0xbac6d477U,     0xf97c889cU, \
    0x150628c7U,     0xba309d9dU,     0x349f1df5U,     0xa03a5836U, \
    0xdc3d7aa3U,     0xf4f1a7e2U,     0x72413f94U,     0xf0e1e2a7U, \
    0x19f73f9fU,     0xf9a7b868U,     0x899ead2aU,     0x46013758U, \
    0x6ce60e21U,     0x8960bcc8U,     0x56a52519U,     0x8effc941U, \
    0xfe3847ebU,     0x5ba09896U,     0xb5538b5dU,     0xbadd1af2U, \
    0x0cc51bacU,     0xb2cd334aU,     0xd5a53120U,     0x72ac3605U, \
    0xc562b30eU,     0x1370bf69U,     0x7267cdebU,     0xed99facdU, \
    0x52630763U,     0x0437cbfeU,     0xd49b86e1U,     0x62e4f93aU, \
    0x1812aa14U,     0x2fd521d5U,     0xe093c0abU,     0x8ea68990U, \
    0x6a868411U,     0x9a24cc24U,     0xfd71b7d7U,     0x7e2efcbcU, \
    0x2d211269U,     0x1d16c855U,     0xb621a465U,     0x867d7709U, \
    0x10d6c82eU,     0xe3f6da46U,     0x7c50c46fU,     0x345b8072U, \
    0xfa21c9d1U,     0x80f06c20U,     0xd5b21132U,     0xf112db83U, \
    0xa4ce6e14U,     0x34e8d3a9U,     0x7abf1aabU,     0xb3e3677cU, \
    0xccebdd29U,     0xf4390988U,     0x581ba1c5U,     0xa10f95a3U, \
    0x298b1a1bU,     0xd57398b8U,     0xaee3eae8U,     0xba1511efU, \
    0x45b0e578U,     0x1d6e61f1U,     0xf9b3019fU,     0x9b12bd72U, \
    0xacaf9b9aU,     0xf5b54123U,     0x4d81722eU,     0x8a08965bU, \
    0x2b0f0d19U,     0x0f2fbf7cU,     0x05490cedU,     0x667e5604U, \
    0x26f8bb7fU,     0x82a2abefU,     0x90b980deU,     0xdd8709f4U, \
    0x620d8599U,     0x4ab3ca34U,     0x87525af8U,     0x0bfdc5d7U, \
    0xd9bf6c7cU,     0xe42850a6U,     0xbe1a5133U,     0xa507ec18U, \
    0x5b870f4cU,     0x6e81d24eU,     0xd5c278e1U,     0x7e34ff59U, \
    0x0b257d3bU,     0xa24ce621U,     0x0de074a8U,     0x775f7863U, \
    0x3c45d6c2U,     0x36b38fbeU,     0x9742ed23U,     0xf78ef8d8U, \
    0x22166d8aU,     0x2925ccc9U,     0x292d0e07U,     0x98c66806U, \
    0x70cbdb2cU,     0xf2e71316U,     0xc011c4f7U,     0xfdbdb30cU, \
    0xe4946e28U,     0xacd0937cU,     0x8fe662c7U,     0x88c89f89U, \
    0x8eea782aU,     0xbc4e8c6eU,     0x38ea1006U,     0x725ffb36U, \
    0x48472768U,     0x01a525c9U,     0x502ded09U,     0x52c8d034U, \
    0x6eba62e6U,     0x90a238e0U,     0x5048fbceU,     0x20164c5fU, \
    0x50ac9f04U,     0xc4d78f3dU,     0x8e872282U,     0xcdfc7c30U, \
    0xd692a0e4U,     0x02857932U,     0x8939974cU,     0xbab28850U, \
    0xdb91ed89U,     0x8195779cU,     0x2cb877d0U,     0xbcb8c8ecU, \
    0x1c484902U,     0x940a68e9U,     0x794a0fbfU,     0xd81b114dU, \
    0x567db4d3U,     0xc610945bU,     0xd11d978fU,     0xa9fea3dcU, \
    0xdefb35e7U,     0xbf32fff0U,     0x9a5589fbU,     0x77a72196U, \
    0x56af98c6U,     0xf4c1411eU,     0x1d90b968U,     0x1097bec3U, \
    0xedb9ac10U,     0x5a8b63bfU,     0xf8b1378dU,     0xee39ddd4U, \
    0x6434c8d4U,     0x1ed494efU,     0xb3f52939U,     0x162fba59U, \
    0x6518ffc8U,     0x538d88f9U,     0xfea7dd7eU,     0x11e61bacU, \
    0x3ed586a3U,     0x3eea02fdU,     0x71e54331U,     0xee28324bU, \
    0x956f6f91U,     0x885906aaU,     0x67a7897aU,     0xcd19daafU, \
    0xbb127018U,     0x0fda71d0U,     0xa0cf5ef5U,     0x3749348cU, \
    0x99b48fd6U,     0xdc3eb33eU,     0xaa052a04U,     0xd8a13e79U, \
    0xace44c3bU,     0x46a807adU,     0xf916a615U,     0x944a03e7U, \
    0x4a076d99U,     0x9ca7ad12U,     0x862e4db1U,     0x8a4b093dU, \
    0x21b095abU,     0xee789637U,     0xbe5a39beU,     0xb930d5beU, \
    0x0988d5b1U,     0x57a76468U,     0x3e6ab9dcU,     0x5291dcd3U, \
    0xb94ffd65U,     0x403f774aU,     0x998d1b05U,     0x762bbf3cU, \
    0x5c05e888U,     0x34d4fe3dU,     0x98307749U,     0x62387650U, \
    0x91d1e156U,     0xbb0cf711U,     0x3f84d09fU,     0xecef4099U, \
    0x1259f115U,     0x5bd736b4U,     0xa4b4f6d3U,     0x68d4a035U, \
    0xe6c19b55U,     0x6f24a9f5U,     0xa1973c29U,     0x930e2562U, \
    0xc6baa3c4U,     0xbfd5c34cU,     0x4c2b145eU,     0x8d90a70eU, \
    0xc7949389U,     0xa8ff4ceeU,     0x5da5ce6fU,     0x11208ca9U, \
    0x17b786feU,     0x65a46857U,     0xb91d0689U,     0x2f772854U, \
    0x4fd3c7c8U,     0xe04916a5U,     0xf84226b9U,     0x2e96b5a5U, \
    0x2aa6099fU,     0x0326c688U,     0xe1861d82U,     0xe4aeeea4U, \
    0xb36fd006U,     0xed006315U,     0xc407beccU,     0xf14df9c9U, \
    0x0ba7b316U,     0x7e8f2bb2U,     0x8e61de31U,     0x0f6896fdU, \
    0x7ba6a4a1U,     0xfa081722U,     0x727aab13U,     0xf2d15ad5U, \
    0x846aa7fcU,     0x865e679aU,     0x99d6f9b0U,     0xb9170df6U, \
    0xf55ea77dU,     0xe0ebdd9fU,     0x9377fd2dU,     0xb7cda647U, \
    0xccc3f249U,     0x1cc9dbfeU,     0x4645e3c5U,     0x7a552dcdU, \
    0x14e8b81fU,     0xa937de18U,     0x22297c62U,     0x3c1885dbU, \
    0x3e9949daU,     0x4c968a84U,     0xb2ab7db3U,     0x72f7979cU, \
    0x04a67a5eU,     0x82a3badcU,     0x89bd463dU,     0xdfb19dc5U, \
    0xd027dc4fU,     0x3f53e5b3U,     0xe8c11852U,     0x6813c7eeU, \
    0x1847428bU,     0xa7d68d7cU,     0xa0ec1cc0U,     0x49a10d9bU, \
    0x7362b411U,     0x7e74a22eU,     0x1c827f1cU,     0x7098b74cU, \
    0x8b78789eU,     0x3a02d74eU,     0xab3cbfb7U,     0x72780048U, \
    0xf55daad5U,     0x0d360422U,     0x85e3e52fU,     0xe4f62d34U, \
    0xd83d1421U,     0x1bc50bc2U,     0x41b93863U,     0x99c86175U, \
    0x423ec88fU,     0xe4a119a5U,     0x62f1c465U,     0x06980821U, \
    0xdbb23a2dU,     0x7a90759eU,     0xe69d8db5U,     0x2b0cdc93U, \
    0xa4504218U,     0xb2f32cc7U,     0x4126cf6fU,     0x4feb3f13U, \
    0x74eb1058U,     0x410a5709U,     0x73705bbcU,     0x8de60fcfU, \
    0x51288e52U,     0x8a77af88U,     0xf09afbc2U,     0x9b1ef0bcU, \
    0xdd275903U,     0x36559f0fU,     0x8ec3358bU,     0x8a8d743bU, \
    0x449cac38U,     0x60cac1edU,     0x738860faU,     0xa75e44d7U, \
    0x2d10d5f4U,     0xb8dbcf7eU,     0xb23f07f3U,     0x91542a7bU, \
    0x4e25b002U,     0x06f518ceU,     0xc0803007U,     0x721f8d64U, \
    0x65810cf3U,     0x7c2438ebU,     0xee4d368eU,     0x239dbe9eU, \
    0x6aaf9718U,     0xcbfe1175U,     0x25674fa1U,     0xee743812U, \
    0x2243c5f7U,     0xc6c3bbbeU,     0xffc4e8ddU,     0x59c7a410U, \
    0xbb9b7474U,     0xe6457647U,     0xbcdec61eU,     0xabcef8bcU, \
    0x00b29d6aU,     0xb7d1bb06U,     0x2650c631U,     0x9a347c61U, \
    0x16b2b677U,     0x20552af1U,     0x52371670U,     0xc4809c42U, \
    0xdf4f8944U,     0x103bd18cU,     0xddb27a9fU,     0xd3b79c66U, \
    0xa99613f0U,     0x9ba31b5cU,     0x177611c1U,     0x225ad915U, \
    0x4216fcd4U,     0x628e9684U,     0x482f2d76U,     0xbb4661fbU, \
    0x048edf06U,     0x587ab37fU,     0xaaf24865U,     0xef4c3bf4U, \
    0x2d6ef8c0U,     0x9156c398U,     0x2665e629U,     0x0b1d4caeU, \
    0x0620cdd2U,     0x3e9c17d3U,     0x06f8956aU,     0xb311b006U, \
    0x36b116e6U,     0x0da1b153U,     0x9c3a3e8cU,     0x4a52734dU, \
    0x8bc1793fU,     0xa743cba5U,     0xdb308e83U,     0x8de82e38U, \
    0x5f98eca1U,     0xab703f9bU,     0xde6c4b41U,     0x03266babU, \
    0xa7cf44b4U,     0x26e76b2eU,     0xce14407cU,     0x4c8e4323U, \
    0xa0047b7dU,     0x5c7a134eU,     0x75194e7dU,     0xfa5a0bfaU, \
    0x4427c001U,     0xfd05a0a0U,     0xbd06859dU,     0xd4dfabc5U, \
    0xe8ef3abaU,     0x6c404ce5U,     0x1b47f52aU,     0x1f25382eU, \
    0x96cd7cd9U,     0xb5f24b9fU,     0x4dbdddfeU,     0x3ebcfb99U, \
    0xf3b19105U,     0xb4e6b9b6U,     0xed9a6341U,     0xc8778197U, \
    0xc6a5098dU,     0x8642a86dU,     0x54d6bc6dU,     0xf6d096f3U, \
    0x155c350dU,     0x9fc84b01U,     0x6f071c6cU,     0x37026449U, \
    0xd9f61da6U,     0x1de21902U,     0xd69d5e43U,     0x36982f06U, \
    0xd8b74c44U,     0xe494fe4bU,     0x71bc61ddU,     0x625973eaU, \
    0xb587c2c5U,     0x14931ffcU,     0x6e62cf86U,     0x151ba90aU, \
    0xc2a2074bU,     0xfef978acU,     0xea730bb0U,     0xc3870369U, \
    0x055bf5d1U,     0xb030768aU,     0x0b2b0c2aU,     0xb64e4587U, \
    0xecb7379cU,     0x8b3437b9U,     0xd6803242U,     0xf8d6d88eU, \
    0xd8a775c1U,     0x522466b3U,     0x269c2741U,     0x599eece3U, \
    0xc62f5080U,     0xb6d17e78U,     0xd7f555f5U,     0x1a6866fdU, \
    0x3b38b336U,     0xf2baef3dU,     0x3ffce5e6U,     0x4b5574a2U, \
    0xf0868872U,     0xf48696e7U,     0xa4ee6fdcU,     0xf93f555aU, \
    0xd37e889dU,     0x8392d54bU,     0x159f6e5bU,     0xa7008c46U, \
    0x41be9c0bU,     0x28bed20fU,     0x58ee48d9U,     0xe261a9b1U, \
    0xbf30cd47U,     0x17d7a684U,     0x9c6c539bU,     0x6f713552U, \
    0x3adaf0e1U,     0x0a3049d5U,     0x3a03a9c5U,     0xf9ee2df1U, \
    0xc61a5aa3U,     0x8482c439U,     0x6cd26e49U,     0xf0266266U, \
    0xd27ac13eU,     0x37b14cbeU,     0x71fe83aeU,     0x9c035f38U, \
    0xce03b054U,     0x49bf570eU,     0x68023a80U,     0x600f40acU, \
    0xfda9bb73U,     0xf9051612U,     0xfa84451aU,     0x3d22fdf2U, \
    0xa27d49b3U,     0x25170afdU,     0xcb3ecaa3U,     0x7ec85a4bU, \
    0xbdafa93bU,     0x291f2521U,     0x18ca2c1aU,     0xccacfd04U, \
    0xa0e5ca62U,     0x65a18ff9U,     0xa3539925U,     0xc4a83d90U, \
    0xdb73717aU,     0x1863dcd2U,     0x959b6de4U,     0x775e7058U, \
    0xd3c5f992U,     0x0bb26fb6U,     0xb8781f73U,     0xca1196a2U, \
    0x33cfa8a4U,     0x64247e50U,     0xc69b048eU,     0xbe94abcfU, \
    0xace3beb6U,     0xa17caf9aU,     0x383e5516U,     0xf1fe50eaU, \
    0x85b727d0U,     0x40f37507U,     0x228c974dU,     0x6f18286eU, \
    0xede7af1aU,     0xce944d6fU,     0x15684054U,     0x77b4fff3U, \
    0x3a84867fU,     0x3c1142ceU,     0x0d554eecU,     0x3bfead8dU, \
    0x53a9b40eU,     0x420ae147U,     0x6f533df0U,     0x59e03fcdU, \
    0x01634646U,     0xb86f1c45U,     0xeffbd5f7U,     0xdf223e26U, \
    0x63485ed0U,     0x84da3c70U,     0xc3cbc53dU,     0xf253a468U, \
    0x890be035U,     0xe788b472U,     0xafbc92dbU,     0x6bf5b6c2U, \
    0xad66d582U,     0x02e65e69U,     0x4abf05fbU,     0x43ff0f13U, \
    0x3fdb8d1cU,     0xf262419aU,     0x154510d1U,     0x71c9245aU, \
    0x303d345eU,     0xf41e64a8U,     0xe9c2f0d0U,     0x81f8faf3U, \
    0x0e1bcd42U,     0xa6a662e2U,     0xd838d4d7U,     0x78b6536bU, \
    0x0dceb2d7U,     0xee624e65U,     0x41f3e775U,     0x93f8fbeeU, \
    0xc0a3503bU,     0x4bf0fb8dU,     0x6fd15fd8U,     0x0e920ca6U, \
    0x7604bbe5U,     0x02925b16U,     0xbab2ba60U,     0xa27b7dadU, \
    0x451ff59cU,     0x097c86bbU,     0x12789f8aU,     0x6b13af95U, \
    0x2dd93c46U,     0x7b5a7926U,     0xa237a005U,     0xd6bd9dafU, \
    0x3ec644ceU,     0x7be5ec4fU,     0x4047ed15U,     0x169a9666U, \
    0xa484cbe9U,     0xc0ef0c7eU,     0xc999e905U,     0x300d3bbdU, \
    0x2dec17bbU,     0x46d3d412U,     0x5892febcU,     0xf052ab36U, \
    0x24ca35c3U,     0x8a3c7bc0U,     0x7d69f885U,     0xcbf0fce6U, \
    0x37eb61beU,     0xd89de357U,     0x83b92060U,     0xbb2260d7U, \
    0xaa82346bU,     0xe6267157U,     0x6e903b3fU,     0x1ad0f8a5U, \
    0x9db41588U,     0xb3d058b8U,     0x00cb613bU,     0x0f6a8c39U, \
    0xce53d84cU,     0xd06ae325U,     0xe401dea6U,     0xaec45cc9U, \
    0x6ee9e572U,     0x58f90a42U,     0x5600e473U,     0x7c7a6d88U, \
    0x722563a2U,     0x61da72a7U,     0xc78c7dcbU,     0xcbeb2634U, \
    0x6213942cU,     0xf9337ed8U,     0xa986ee05U,     0x2d3894edU, \
    0xfbd63093U,     0xd0d646daU,     0xfffd849cU,     0x5ccf6a98U, \
    0x6623a0e8U,     0x6431c8cfU,     0x2c03b8edU,     0xe3b35497U, \
    0x2cf0e004U,     0x696c9f49U,     0x1164a53bU,     0x5922f3d8U, \
    0x5f7c71e5U,     0x4961683bU,     0xe433e849U,     0x6f1ba957U, \
    0x6467d762U,     0xa788fb67U,     0x626a7e77U,     0xe14b6b93U, \
    0xcf8528adU,     0x41009404U,     0x9db612beU,     0xffda4b94U, \
    0xa98768b5U,     0x4cee299bU,     0x4d0a407eU,     0x558e97b3U, \
    0x251999afU,     0x22f75e45U,     0x4f5019afU,     0x958e2d32U, \
    0xccbda25dU,     0xbbcb1553U,     0x507f7cb4U,     0xf7b890daU, \
    0x985d1dccU,     0x2b078769U,     0x39db5c39U,     0x4577cd45U, \
    0x2eff3f36U,     0x399fc5acU,     0x36d56219U,     0x8f9b6ba7U, \
    0xe123c159U,     0xa615f2d2U,     0xb6b98868U,     0xe54f540dU, \
    0x98752771U,     0xf9730a3fU,     0x86e73883U,     0xce81f256U, \
    0x4255a314U,     0x1ee75713U,     0x00f300d3U,     0x7660445eU, \
    0x1a1ef7f6U,     0x6e351bafU,     0x90f9a244U,     0x60315125U, \
    0x64a007c1U,     0xa7202c27U,     0xf6411facU,     0x132c8d27U, \
    0xb600d5efU,     0xb276b3b1U,     0x5b01c8b7U,     0x71177ef6U, \
    0x88a5f17aU,     0xb3adb4c5U,     0xab3de4cdU,     0x5d76a28bU, \
    0x2f3f48fdU,     0xd6a24e9dU,     0x22eed2c0U,     0x99d55db2U, \
    0xa96e29c2U,     0xb4257d5cU,     0x2e7664abU,     0xd8aed7c3U, \
    0x97e6beccU,     0xe261d96cU,     0x2b02af7eU,     0xab6f89aeU, \
    0x25bb91cbU,     0x4dcf1660U,     0x84af4f96U,     0x3a31e815U, \
    0x6b014a71U,     0x0170d556U,     0xf55a5a54U,     0xb196451eU, \
    0x63f84ed0U,     0x0eff34e0U,     0xd82adbc3U,     0x58be0a78U, \
    0x88dd7c5cU,     0x3d1c0488U,     0x18f2153dU,     0xc6415109U, \
    0x45713ab8U,     0x97df501aU,     0x476f146fU,     0xf31e16c1U, \
    0x2a7bcf9eU,     0x5ac8ce15U,     0xc1807124U,     0xa0bddbc0U, \
    0xe7fb1549U,     0x532e1c80U,     0xd32127f4U,     0x16342eeaU, \
    0x2cadc9e9U,     0x24978888U,     0x06bf2a54U,     0xeff9232eU, \
    0x466c49d2U,     0xf95902d3U,     0x9876086dU,     0x9984f01bU, \
    0xd477ffd1U,     0xf960a8ceU,     0x24d5dd9aU,     0x847f3b0fU, \
    0x8d18e57aU,     0x188020c0U,     0xe65d1540U,     0xd2f28794U, \
    0x7d609fb3U,     0x3209eb80U,     0x91d71f98U,     0x177d41b7U, \
    0xf73de503U,     0x6ef799a5U,     0xe425b06bU,     0xd27c7989U, \
    0x14ac2b42U,     0xd634e10cU,     0x15323b8bU,     0x1d77cf73U, \
    0x4086ef6cU,     0xbf2ed507U,     0xcf489504U,     0x5d3bb12eU, \
    0x80c9b65eU,     0x97d734a4U,     0x246e3c2cU,     0xa2105affU, \
    0xb354354fU,     0x9985bb93U,     0x24c2784dU,     0xe6630bfcU, \
    0x01bd6b90U,     0x8e0d0a75U,     0xbdb9ba4dU,     0x68945fd6U, \
    0x5304444eU,     0x916ec475U,     0x61e9e580U,     0x097dd5c4U, \
    0x5bbe93f2U,     0xa61b9cedU,     0xd6862f75U,     0xa63fc1f6U, \
    0x2049e82aU,     0x95b23114U,     0xa36939feU,     0x890e2379U, \
    0xa23900b6U,     0x6ff66fe1U,     0xe8444a1fU,     0x95a2d862U, \
    0xb4dec56dU,     0xdd397187U,     0x5220f7b5U,     0xabb07237U, \
    0x5eacfed9U,     0x1f2b9a18U,     0x5cbe6020U,     0xc9c65bf1U, \
    0xe88a4034U,     0xdb15fb97U,     0x5af7b574U,     0x15827b85U, \
    0x6c2a1177U,     0x25f03e8bU,     0xe618f3e8U,     0xd68cd687U, \
    0xbd5ceacaU,     0xf28a31b6U,     0xa0b5b4c5U,     0x14d5e56aU, \
    0x2b6f80a8U,     0xdb779d8cU,     0x9c673afbU,     0x3e7699c5U, \
    0x1dbc884aU,     0x0202049eU,     0xd586ac80U,     0x6bb114d1U, \
    0x31bd9f8eU,     0xfffa544cU,     0x2cf060beU,     0x3fafdcb6U, \
    0xed98988aU,     0xcd5b90c0U,     0x23a2f3fbU,     0x3b2789d8U, \
    0xf304676bU,     0x18e5cd32U,     0xdc559d08U,     0xa2d8c387U, \
    0xe5d126adU,     0x27919976U,     0xab03726cU,     0x24ddedb1U, \
    0x0d8e287dU,     0x7c7cf25cU,     0xf0d10ae3U,     0xa1a5a2b2U, \
    0xbb4b55a8U,     0x184b45deU,     0x24420290U,     0xb9ed4592U, \
    0x6822c181U,     0x5e0aa38fU,     0x3da14158U,     0xc2659d26U, \
    0xc9fe5774U,     0x496344f9U,     0xb66c22bdU,     0x97313fceU, \
    0x93a91918U,     0x889a0489U,     0x51e7164fU,     0xe7830100U, \
    0xb4729f1fU,     0x71a2b252U,     0xec54dbedU,     0xbdd79ea9U, \
    0x37ef1552U,     0xdec3c844U,     0xc68e5370U,     0x337e70bfU, \
    0xec1fb5c0U,     0x8ab7f9aaU,     0x3aeec5daU,     0xe9cd9783U, \
    0x7ad88b56U,     0xa9481a36U,     0x26663d5aU,     0xef08a60fU, \
    0xc9728370U,     0x4c375e1dU,     0x10d3739dU,     0x01d36a7dU, \
    0xfbae9dfaU,     0x52f51923U,     0xf246b02fU,     0x15d3bb0fU, \
    0x136453c6U,     0xb176b375U,     0x82772655U,     0x28855763U, \
    0x522ac7afU,     0x610eb64cU,     0x0c2c17b5U,     0xbad67d38U, \
    0x32c35db2U,     0xf6f7cac5U,     0x029c2337U,     0xd5656d9aU, \
    0x4ed6635dU,     0xc289fbbfU,     0x9e9c29e3U,     0x2ae002f5U, \
    0x4d2ca258U,     0x7eff404bU,     0xd97e392fU,     0x01357783U, \
    0x8e74fe34U,     0x00a2044dU,     0x1741ffa3U,     0x84b354a0U, \
    0x86900ebbU,     0x9fbe65ceU,     0xcc390d34U,     0xca1c99f3U, \
    0x92930bcdU,     0x40c44731U,     0x69f09dd3U,     0x41807da8U, \
    0xb070dad7U,     0x2661a86fU,     0xff91584cU,     0x8a916f8eU, \
    0xc23c2b8fU,     0xee835a1fU,     0xca594044U,     0xd07b57aaU, \
    0x7ca0f5dcU,     0x7f9ea743U,     0x0e68c986U,     0x320741b2U, \
    0x72491423U,     0xc098dc2cU,     0x5d2d4e3eU,     0xa7e7bca1U, \
    0x1e7b5b02U,     0x7f6ac0caU,     0x79c4a53dU,     0xf80d29a6U, \
    0x8cb8d315U,     0x0a1ec8e2U,     0xd4a255e2U,     0x247e48bbU, \
    0xb8e131e8U,     0x8aad8192U,     0xb3cbb8efU,     0x129df415U, \
    0x8be65600U,     0xa7c014c4U,     0x8e6d20d6U,     0x4ca96903U, \
    0x5dd7cb40U,     0x9461df90U,     0x5f463746U,     0x5e8f9380U, \
    0x89f6c24fU,     0x0b1054b5U,     0x9d12d417U,     0xe7766fd7U, \
    0x3f2c5551U,     0xcd79fd0cU,     0x41f4c3deU,     0x6e1f039eU, \
    0x560a10ceU,     0x2a74756cU,     0xe09153acU,     0x2699f09fU, \
    0x847e8958U,     0xe03e8636U,     0xcb1db63dU,     0x204a2734U, \
    0x09b918c1U,     0x168b923eU,     0x9e0bde27U,     0x092c197fU, \
    0xd5b61759U,     0x5896725cU,     0x2d28de00U,     0x966c21b1U, \
    0x7addbc40U,     0x36fa8534U,     0x679582c5U,     0x213ab32bU, \
    0x932a36d9U,     0x96201ca4U,     0x3bd3b490U,     0x4b86a87aU, \
    0x6dcbf3dcU,     0x080f9217U,     0x5b44c91cU,     0xc981dd4fU, \
    0xd97229ceU,     0x14a1f81aU,     0x95924eddU,     0x82abe682U, \
    0x0a25949eU,     0x40602eaeU,     0xd95e4630U,     0x9ff57738U, \
    0xab7bb07fU,     0x8ae719ceU,     0x00f7ecefU,     0x57f9aa60U, \
    0x8be0cc49U,     0x3e6ad17fU,     0xd2a1b51aU,     0x49f3f6faU, \
    0x4a49dc29U,     0x36675735U,     0x44f13089U,     0x7acf7f2bU, \
    0x6738f17dU,     0x2406ba17U,     0x237b07a2U,     0xf9866473U, \
    0x4a06ad1cU,     0x74616b66U,     0x6d5403dfU,     0x1a45cdfeU, \
    0x1b3e7720U,     0xdc49c173U,     0x9acfc072U,     0x18fb2526U, \
    0x18003010U,     0x11c534cdU,     0x433bd597U,     0xf0ef4be3U, \
    0xcb0aae4eU,     0xbc1d4129U,     0xf47f64fbU,     0x67ba6418U, \
    0x18744eecU,     0x18383bcdU,     0x8662ea39U,     0xc9d82185U, \
    0xad257d18U,     0xf60f7d5cU,     0x46721808U,     0xf42b5f27U, \
    0xa578b97bU,     0x35d2e800U,     0x716ccd49U,     0xb76874e0U, \
    0x6d7eb400U,     0x6f24c06dU,     0xaedac655U,     0x3e2131c3U, \
    0x6730282eU,     0x23a44621U,     0xf28d15aeU,     0xba3bd8efU, \
    0x239d97ceU,     0x3378154cU,     0xd23a4867U,     0x334307a6U, \
    0x06088f06U,     0x5610fb33U,     0x9988fc80U,     0x2e813c52U, \
    0xcc9ef177U,     0x9a5fd7b9U,     0xde4abf08U,     0xaf6eb0a6U, \
    0x14d72a76U,     0x8c7527bcU,     0xf136f240U,     0x5232a1eeU, \
    0x90ffe126U,     0x12029a45U,     0xa1a4bddeU,     0xcd8d92f9U, \
    0xc8bf29b5U,     0xaae1d14eU,     0x5c737424U,     0x1f3465c1U, \
    0x08f53d68U,     0xc68f9bf9U,     0x8f35f9bdU,     0x5139caf7U, \
    0x51643212U,     0x292e1d54U,     0x9ee24566U,     0x8019032fU, \
    0x9ba6c15bU,     0x9bc8528cU,     0x9361b8a2U,     0xc82970f7U, \
    0x857b4107U,     0xe689b009U,     0x737f7663U,     0x38e4a27fU, \
    0xc23d5387U,     0x4cb3e1f7U,     0xc7b0b72aU,     0x918e57d4U, \
    0xca6eab3cU,     0x7f30ae90U,     0x58943039U,     0xee727dbbU, \
    0xebbba685U,     0x10c5bd48U,     0x75aab10bU,     0x490ed835U, \
    0x6085bc0aU,     0x8b1e37a8U,     0x1d56f656U,     0x03488f8aU, \
    0x075fa3c5U,     0xda5b6cb6U,     0xd396d4c3U,     0xb91355e4U, \
    0x57037f87U,     0x86ae243aU,     0x3ad4f76aU,     0x375bbc1aU, \
    0x611d7102U,     0x43265fbdU,     0xaa278c6bU,     0xaceb3530U, \
    0x2a18b3fcU,     0xc33b4eccU,     0x27f03353U,     0xe4556f32U, \
    0xe1d2df95U,     0xf0a6bf2aU,     0xb85b9cd5U,     0x21a4fd4aU, \
    0x5ec9b073U,     0x3e1ab1a7U,     0x4d6c35b8U,     0x7aefe6a8U, \
    0x347de7e6U,     0x672d79afU,     0x471f344dU,     0x5c7e6d28U, \
    0x34cd21b0U,     0x6a2ed933U,     0xd60a2c38U,     0x91da49c5U, \
    0xd1164764U,     0x4f617e10U,     0x538c31efU,     0x14baf308U, \
    0x730805e2U,     0x51a516baU,     0x7fb8c3c8U,     0xd0508342U, \
    0x4abf25c7U,     0x74051e27U,     0x3a6d9e9fU,     0x2b131db6U, \
    0xd075bdbeU,     0x72f92213U,     0x598104c8U,     0xac25336fU, \
    0x21e019b6U,     0xee8a4f1dU,     0xe183d448U,     0xd5220d00U, \
    0xfc80b6c8U,     0x46b66bc0U,     0x2cf93877U,     0x755d48b2U, \
    0xa08c5522U,     0x41127bb4U,     0xcb19014bU,     0x3c3e6ab1U, \
    0xf3a743bcU,     0xa3fa711aU,     0x6d535250U,     0x26fc13ffU, \
    0x5d393d3cU,     0xc750d72cU,     0x2dd400ebU,     0x074330ceU, \
    0xaee464ecU,     0x5499df3bU,     0x022e721fU,     0x1f74207dU, \
    0x4ef0ed7bU,     0x4d21bab0U,     0x4f01ca81U,     0x1a15757cU, \
    0xde2cfb6fU,     0x83b9d1bbU,     0x754dff81U,     0xda967d09U, \
    0xce20a693U,     0x29848c00U,     0x952a5ecbU,     0xa6e67039U, \
    0x3481d36cU,     0x0d85be43U,     0x3714b404U,     0xc13585d3U, \
    0xc07abcfeU,     0x9005b2b8U,     0x1edc6f0eU,     0xa00c6692U, \
    0x0e185ccdU,     0x8db94cfaU,     0x5645dab7U,     0x53d90784U, \
    0x8d1212b2U,     0x1462da48U,     0x5da104b5U,     0xe6aec69cU, \
    0xa1023ac1U,     0xaec6166dU,     0x9eda92c8U,     0xea376a1eU, \
    0x5bf40e8dU,     0x769e6926U,     0xed972643U,     0x9beffc8aU, \
    0xff1c3a3aU,     0xeddaabd2U,     0x0c4cf6e5U,     0xa879827bU, \
    0x7ebc80c0U,     0xe4aa5cb5U,     0x6c830507U,     0x3de03637U, \
    0x73356da0U,     0x4027e2f3U,     0x73e002b5U,     0x4e81c333U, \
    0xc11f8fc0U,     0xc4acc34eU,     0x055b5f5fU,     0x0c9ac117U, \
    0xd5b5683fU,     0x0ed46a87U,     0x484fc423U,     0x32bf0682U, \
    0x74ee6a91U,     0x2695c438U,     0x8006704bU,     0xb8c45d00U, \
    0x794998e9U,     0x38083c3fU,     0x5c687a79U,     0xadad6063U, \
    0x649c2e99U,     0x995e6c65U,     0x2af7c6bbU,     0x6d18c63bU, \
    0x6df6e3beU,     0x0644936fU,     0xc3c0a69eU,     0x2a7aff07U, \
    0xe12b3504U,     0xf28843dfU,     0x0deeea6cU,     0x5f9d399fU, \
    0x7d32c287U,     0x0d53ccc7U,     0xf10dd038U,     0x56353715U, \
    0x5b3343e9U,     0x63d85b72U,     0x5cd290c5U,     0xc3810b50U, \
    0xd070b78bU,     0x474973fbU,     0x179bfa52U,     0x3217afb5U, \
    0x27c2701bU,     0x3e75f17bU,     0xba163d0cU,     0xcf9d931bU, \
    0x27cbbb09U,     0x5ee8dd2cU,     0xfc419372U,     0x879dc253U, \
    0x53038a1eU,     0x0bfb74a7U,     0x99babd8eU,     0x21a2b1c2U, \
    0xfcea9c4bU,     0x90f0c520U,     0x38420005U,     0x804d635cU, \
    0xe63fee1dU,     0x6adf30e6U,     0x5e67818fU,     0x032a7a2cU, \
    0x596d8e4aU,     0x02bdedd5U,     0x1d9d5ec4U,     0x2b22d30aU, \
    0x247b50e0U,     0xf333e930U,     0x9448da4aU,     0xe11210adU, \
    0xa72b22e8U,     0x106423bcU,     0x05d4e30bU,     0x79ae44d1U, \
    0xa56c59d2U,     0xcf1c5bb1U,     0xe892f834U,     0x23ed0cf8U, \
    0x9ca3b307U,     0x86efc970U,     0x079ac3b4U,     0x2acaaa7eU, \
    0xe2ab92b5U,     0x32bed667U,     0x26d2a62fU,     0x7f36d25bU, \
    0x09f0d5d9U,     0xebcc804dU,     0xc39068a9U,     0xe426924dU, \
    0x071050a0U,     0x7b3f9662U,     0x8a590dadU,     0x8b87ff3aU, \
    0xe54de909U,     0x8895a7b5U,     0x344b1f0aU,     0xa89ec765U, \
    0x29c202c4U,     0xf95b723eU,     0x77b3da7aU,     0xc904b1b7U, \
    0x2e221e82U,     0xdeb33e84U,     0x18652b52U,     0xf25284f6U, \
    0xd95a0964U,     0x483841bdU,     0xf5443242U,     0x7ea52ea9U, \
    0x5905fa58U,     0x2a83dedaU,     0x086bf7b2U,     0x3e319985U, \
    0xc999ba9dU,     0x2d909eedU,     0x567ba9c9U,     0xa8db9771U, \
    0xcc5c5c5bU,     0x5657fea5U,     0x98016c43U,     0x60ebd88eU, \
    0x9fcb9c2dU,     0xaed3c179U,     0x9ce760edU,     0xf7c7c630U, \
    0x84c89857U,     0xeff4d6e6U,     0xcedde05fU,     0x2d7ce1afU, \
    0x12a67e01U,     0x5a1af4cdU,     0xcdb213e3U,     0xffba5918U, \
    0xc2aae2dcU,     0x512fc082U,     0xb503c9b6U,     0x99d22569U, \
    0x0aee2919U,     0x8e8629a2U,     0xf55e7eb7U,     0x2da07c7dU, \
    0x379693beU,     0x9eb95baeU,     0x9fe94f57U,     0x84f2c5eaU, \
    0xe043e8f5U,     0xc09b175bU,     0x9f0a40c8U,     0x6f94bff2U, \
    0xf9f35e3bU,     0x32d8a64fU,     0xbacb7987U,     0xeb8f1d9aU, \
    0x4a955c2aU,     0xd19eb0bcU,     0xf548ee8cU,     0xa92f9e90U, \
    0x7bd4080aU,     0x26dafb5dU,     0x26c065a0U,     0x97acb6d5U, \
    0x416bcd70U,     0xea568768U,     0xa34bb4cfU,     0x7004dec8U, \
    0x80910542U,     0x747958d1U,     0x83531aebU,     0x90f2bc6cU, \
    0x71ade7edU,     0xfab1acd4U,     0x36a596edU,     0x20f9176cU, \
    0x63454337U,     0x8e870f5cU,     0x11afbe3cU,     0x2f2f5329U, \
    0xae4c3081U,     0xc4242146U,     0x16f86102U,     0xfd18bfceU, \
    0x5120dabfU,     0x76d9039aU,     0x95612054U,     0x80485919U, \
    0xe1025e3aU,     0x00751cc4U,     0x0bce556eU,     0x8387441dU, \
    0xe150e089U,     0x9c4908d1U,     0xe49786cdU,     0xdf16454aU, \
    0x019fb5d3U,     0x06c17ad8U,     0xd5758a1eU,     0x35274e1aU, \
    0x529ab585U,     0x278227fdU,     0x462c90ceU,     0xbb6dd600U, \
    0x574455ceU,     0xf629bebdU,     0x1d99a8c2U,     0xe76a0c5eU, \
    0xc2c7c98cU,     0xec104671U,     0x29cb8c4aU,     0xe4f514eeU, \
    0x2ddd14d1U,     0x7bd3a04eU,     0xc3118befU,     0xb4a287a0U, \
    0xd21e09d6U,     0x5f453733U,     0xbed7be2eU,     0x52709e34U, \
    0x05282799U,     0xccec223cU,     0x77e5ebe2U,     0x976f3115U, \
    0x46a016f6U,     0xa7cbd736U,     0xc4be9031U,     0xda9536abU, \
    0x96b2d1c5U,     0xa5516f7bU,     0xf22255daU,     0xd8e210f9U, \
    0xd1aac41cU,     0xff052560U,     0xcc63c1c2U,     0xd953b5ddU, \
    0x4cea8c4fU,     0x0315e1d8U,     0x6e65521bU,     0xe36b7fffU, \
    0x949f32a4U,     0xac51ae4eU,     0x76c7e6f0U,     0xa11f2954U, \
    0x2cbbcedfU,     0x8bfe40d1U,     0x73985e50U,     0x617a3ee3U, \
    0x46b2cac6U,     0xd1a63231U,     0xa4284d2bU,     0xf88572f7U, \
    0x784166c8U,     0x8fb06f08U,     0x9c87a509U,     0xa9db12f0U, \
    0xd2b1552dU,     0x34876132U,     0x8b0a6306U,     0xbcbd5299U, \
    0x7ceaca57U,     0xed2319ccU,     0x159c6cbfU,     0x8a6aa19aU, \
    0x57f92f09U,     0x05214e43U,     0xb2e7830aU,     0x069e9e69U, \
    0xdee03ac0U,     0xc7932d41U,     0x87c4c743U,     0xf2b539d2U, \
    0xacf8bf09U,     0x82bf4d2bU,     0x483b2fb7U,     0x3f5ad6d3U, \
    0xca3ee68fU,     0x14b0c44dU,     0xf6ab2aa7U,     0x0af2dd19U, \
    0xd0628cc0U,     0xa48c51e6U,     0x287cbe01U,     0x32595251U, \
    0xe91ee9efU,     0xc5a09932U,     0xcc56146fU,     0x914378c9U, \
    0x58207961U,     0x79153d97U,     0x4ac7b173U,     0xa038ba62U, \
    0x3841f0ceU,     0x75d5a532U,     0xde3fddbdU,     0x8898f378U, \
    0x4e124696U,     0x4bbebc82U,     0xbc2440f1U,     0x1914f461U, \
    0x8b0978d6U,     0x2e994d1eU,     0x513b00f5U,     0xe2a0445eU, \
    0x64d08329U,     0x8783a788U,     0x50dc8243U,     0x7f635a99U, \
    0x0d186e7fU,     0x56a6267eU,     0x7976d47dU,     0x04320441U, \
    0xc656849bU,     0x13857d7cU,     0x0e809d2fU,     0xfbdbb399U, \
    0xccde546aU,     0x41fddc08U,     0x8f6999dbU,     0x2a6efff4U, \
    0xacf0112eU,     0x434ebf9eU,     0xda64bbe7U,     0xc6cb4230U, \
    0x468861b4U,     0x53836619U,     0x5a564ab7U,     0x6b58b9a0U, \
    0x44c71711U,     0x0579cdebU,     0xadeb2eacU,     0x4e4e4e20U, \
    0x05c08084U,     0x8e6debdeU,     0xfac5181aU,     0x68dc412fU, \
    0x84db36ecU,     0x8f889b67U,     0x7cf567a6U,     0xcda48ff6U, \
    0x853ef11dU,     0xb94093abU,     0xaccf2bceU,     0x14ecd374U, \
    0xe4579d9fU,     0x0af604d2U,     0xf10ab4a1U,     0x7d006be8U, \
    0x82686c56U,     0xddf351bcU,     0x4aa5270aU,     0x8e06eed3U, \
    0x674465b2U,     0x547c108dU,     0xaa5e1c02U,     0x5879de32U, \
    0x8b1b81baU,     0x8b4b2e57U,     0x8536246fU,     0x24d55d2fU, \
    0xa368d7d8U,     0x303791c3U,     0x109da386U,     0x9cd2ffa7U, \
    0x3ccc283bU,     0x52d619d3U,     0x6418b1a3U,     0xd3ebaea8U, \
    0x257bed12U,     0x5c1c696cU,     0x9bc21133U,     0x7999b6bbU, \
    0xfb3a4ee1U,     0x5a8d37baU,     0xa2ebb4b7U,     0x2a03bc55U, \
    0x5034a625U,     0xb249392aU,     0xc675e846U,     0x61e96523U, \
    0x879a4d85U,     0xebde29d4U,     0x9c03cf95U,     0x36e1057bU, \
    0xd34114d5U,     0x9dfcb2ecU,     0x0f7f7956U,     0xc9227fb0U, \
    0x9c4f3120U,     0x5270cac8U,     0xedfec746U,     0xe49ac115U, \
    0x4981b7a2U,     0x13231c81U,     0xe4431605U,     0x4c162043U, \
    0x3a126c42U,     0xa7514cd2U,     0x28db457dU,     0x5fa35298U, \
    0x771d7672U,     0x1d0378abU,     0x2ae9db46U,     0xe1afc42dU, \
    0xea823e31U,     0x86d4b36aU,     0xd305c061U,     0x80ac1fa3U, \
    0xd2bad34dU,     0x8d3d6c04U,     0x6fee19b2U,     0x833de336U, \
    0x0e624d7aU,     0xe6b31ac6U,     0xd6aec827U,     0x069c0bbdU, \
    0x3c75c6caU,     0x5d954d0bU,     0x311a9d53U,     0x818c40dfU, \
    0x7332fbe5U,     0xc0d06fedU,     0x031f170eU,     0xd71abb04U, \
    0x809073bbU,     0xa4cbd162U,     0x9618dd14U,     0x8d5d43f5U, \
    0x452343aeU,     0x6baac5c1U,     0xaf952de6U,     0x73deebe6U, \
    0x817424d4U,     0xbcfae3e5U,     0xc865fc9fU,     0x33a6131fU, \
    0x5263cf03U,     0x9780776aU,     0x379224edU,     0x5760a2b4U, \
    0x06b908b1U,     0xba68395cU,     0xe3134c6aU,     0x29ccc05bU, \
    0x16bb62e0U,     0x87d7b399U,     0x738fd44dU,     0x57e33a8cU, \
    0x34cf5e7eU,     0x42170c45U,     0x2245d026U,     0x99a0941dU, \
    0xb8f77c1eU,     0x55652bb0U,     0x4ca5e75cU,     0x7ca13608U, \
    0x5bb52526U,     0x3637235bU,     0xd5e2a9f8U,     0x25a6ab19U, \
    0xa31e38aeU,     0x81fc97ddU,     0x9ca6c440U,     0x95d6494dU, \
    0x9557bf62U,     0xd25be026U,     0x659d25f3U,     0x496a513dU, \
    0x6c03d0c1U,     0x14863b65U,     0x85a71ed7U,     0x22e83ce3U, \
    0xedcfba9dU,     0x3ad9da7cU,     0x06371ff5U,     0xccd89eebU, \
    0x12404e88U,     0x2473213eU,     0x83bbe187U,     0xa70d4532U, \
    0xbb9cba5dU,     0x5f4feedeU,     0xd2acc2caU,     0xd0dd4e55U, \
    0xbbf7e1b4U,     0x4b070e62U,     0xdcab01e4U,     0xc891b536U, \
    0x99869283U,     0x9bcd5fafU,     0xb2b21ae3U,     0xd2f435e8U, \
    0xadc5164dU,     0xeeac5f83U,     0x9c2fcf2dU,     0x8c25fa60U, \
    0xd57118f8U,     0x023e56ccU,     0x985cf802U,     0xf1faffa0U, \
    0x8f7284e8U,     0x9040c874U,     0x6c166318U,     0xbbe6d4f8U, \
    0x4232c1c0U,     0x8ce10906U,     0xed32aefaU,     0xa5b6e656U, \
    0x93d0b317U,     0x594ef109U,     0x2484d866U,     0x6bd66db0U, \
    0x9684089aU,     0xf3ec6d13U,     0xfd9e9e86U,     0x336054d1U, \
    0x672c66ffU,     0xcc7140f3U,     0x17d89743U,     0x4fd61b55U, \
    0xa49f2cf2U,     0x266c556fU,     0xa8d028a5U,     0x864a7fa8U, \
    0x91c48f41U,     0xca5121beU,     0x10d606d0U,     0x875db3c3U, \
    0x7a39df7bU,     0x1118789cU,     0x2e020f24U,     0x73a85e77U, \
    0x7dc74838U,     0x8e94efb1U,     0x69ae81f3U,     0x2ddb0a40U, \
    0x2bc8c6e3U,     0x4e60e265U,     0x343fa40bU,     0x3fca4efcU, \
    0x1e8940a8U,     0x738a7b19U,     0x1375006bU,     0xe5b4b250U, \
    0x3d639251U,     0x762f4ecaU,     0x96be55b3U,     0x003b8657U, \
    0x3dcc7518U,     0x57e25b93U,     0xd7206c79U,     0xca236bfdU, \
    0x40dd115eU,     0x02b06decU,     0x71057ae1U,     0xb7de121fU, \
    0x3404b155U,     0xa7c0df91U,     0x3b8d81b4U,     0x60b31597U, \
    0x339d6abaU,     0x6b2b0dbeU,     0x380cf7b1U,     0xdb8ab21dU, \
    0x57126c34U,     0xd5c804d0U,     0x2a4bc427U,     0x72f11870U, \
    0x842a26efU,     0x724c1ce6U,     0xad9811a2U,     0x5978ff55U, \
    0x1ab2bd2cU,     0x71e7d891U,     0x12dcfb29U,     0x999031bbU, \
    0xb246717cU,     0xf459d5b9U,     0x25c08bdfU,     0x01c22be6U, \
    0x0ca2865cU,     0x2152d787U,     0x0fe1ea1cU,     0xfd348802U, \
    0x6e9e154dU,     0x576dd458U,     0x7160d941U,     0x90cc2e4dU, \
    0xf88dd542U,     0xf0525a39U,     0x66417f1bU,     0x21592e75U, \
    0xa2082ecaU,     0x0be1a61eU,     0xce4da9f5U,     0xfec26689U, \
    0x368709f9U,     0xb577204fU,     0x96e43b4cU,     0x24523724U, \
    0x3759e5d1U,     0xc0056fe3U,     0xb51498faU,     0x2249aa07U, \
    0xcf4de89fU,     0x85a1e6c8U,     0x8d6c5a16U,     0x9f0e0c4dU, \
    0x00fb0b6dU,     0x70ddc859U,     0xf3c57a4dU,     0xf36d9be2U, \
    0xe5876c48U,     0xc2995f5fU,     0x7478cbc4U,     0x8a5ed295U, \
    0xbce1db3aU,     0x43c20068U,     0xb12abedcU,     0x623cd4a7U, \
    0xbfa6b849U,     0x274338bbU,     0xd290e968U,     0xa3905c10U, \
    0xc7c9200eU,     0x3805c4d3U,     0x0701bb71U,     0x6fac2103U, \
    0x337b129cU,     0x9e56078fU,     0x6f031c12U,     0x89fe1e24U, \
    0x3a36ecbeU,     0xcd797606U,     0xed00de3dU,     0x86d2896cU, \
    0xc9383566U,     0x8db89128U,     0xba82e96bU,     0x32c7ee3bU, \
    0xa8d90a46U,     0xdf977adcU,     0x9d11981bU,     0x45c12784U, \
    0x40d3b57cU,     0x58f4b535U,     0x8bfc7566U,     0x89f03ce7U, \
    0x0a5b1b77U,     0xc3b2228dU,     0x8683605bU,     0x02e62bfdU, \
    0x67a1f747U,     0xd7bc9eceU,     0xbddf2ffdU,     0x6147cc23U, \
    0x17665ae6U,     0x66e23384U,     0x780c1b0bU,     0xee4a34e1U, \
    0x3b1926a3U,     0x53f5d1c6U,     0x9acb1e59U,     0xdbabbef5U, \
    0xb2c61218U,     0x038ca9dcU,     0x03ed0966U,     0xc70c8820U, \
    0x5f0ae39aU,     0xd0115417U,     0x45d8f16cU,     0x546ec6f6U, \
    0x3875fa14U,     0x09d3ca67U,     0xaa53dfddU,     0xd8df6919U, \
    0x98f7c1c5U,     0x7c9e38f2U,     0xd380e31fU,     0xb9268f37U, \
    0xa3c612a8U,     0x7b70c533U,     0xa01a6e50U,     0x28f46987U, \
    0x4a012799U,     0x4cd46989U,     0xa5b4688dU,     0x5ad7bc35U, \
    0x2ca590d3U,     0x7802620fU,     0xb8cf1cc3U,     0xa190de20U, \
    0x919d4beeU,     0x69f51a46U,     0x37bab917U,     0x74ef6993U, \
    0xdb9a16dfU,     0x1c2df382U,     0x4296250dU,     0xcd3aa105U, \
    0x7a0d8babU,     0xc447d381U,     0x3e42eb5dU,     0x708ed4a0U, \
    0x92c7e1beU,     0x1859c6acU,     0x3b3b81ccU,     0xbae1e201U, \
    0xd6cd52f7U,     0x8a6db8f4U,     0x06c0826bU,     0xdff8186cU, \
    0xaae36f42U,     0xbaae3a69U,     0xa06114ecU,     0x4b45498dU, \
    0x6b535a01U,     0x63086e2dU,     0xacc77221U,     0xc32af07dU, \
    0x8ee99663U,     0xd75a8635U,     0xb8b1fba4U,     0x6e6fa2e5U, \
    0x0e323f4aU,     0xdc14dbb9U,     0x57f47c3bU,     0x2dc641edU, \
    0x90fe9cc3U,     0x85b8bf63U,     0x31e5e575U,     0x4b55ba9cU, \
    0x30502446U,     0x5b6231feU,     0x77359628U,     0xe11f7e37U, \
    0x03d360f7U,     0x1c33da00U,     0x1539c43aU,     0x746bdf52U, \
    0xfeb9c33cU,     0xf4b98461U,     0x4468283cU,     0xf87606afU, \
    0xeccf8ed1U,     0x33235ac1U,     0x99974f08U,     0xd1f3909bU, \
    0x94fd7934U,     0x70dab809U,     0xf9753752U,     0xa0fefbe6U, \
    0x115fdae2U,     0x88350ceeU,     0x1a5282fcU,     0x5381ba39U, \
    0xd766db31U,     0x15b688eeU,     0xbc783702U,     0x5fdac834U, \
    0x7d52da98U,     0xefad6658U,     0x46a4f3b5U,     0x933cb56fU, \
    0xceec9879U,     0x1936f04eU,     0x0931d615U,     0x4b51a97dU, \
    0x929fdad3U,     0xcc148cf9U,     0x352b15d2U,     0x396e1d92U, \
    0xad95ad44U,     0x040df043U,     0xff55a010U,     0xafe29abeU, \
    0xe5303918U,     0x2d3342aaU,     0xf7d3df04U,     0xff9e0c50U, \
    0x57ea346aU,     0xd9381579U,     0xd308a335U,     0x5a969553U, \
    0xad105a73U,     0xcba54680U,     0x1c484dccU,     0xb7acaae5U, \
    0x6116af8cU,     0x41c0166dU,     0x9a205a16U,     0x2cc09bf2U, \
    0x28434323U,     0xa8e4714aU,     0x65433485U,     0xe888ab4eU, \
    0x47ab8865U,     0x6d5d2831U,     0xa72d1166U,     0x4e3821daU, \
    0x94171dfcU,     0xedd9891cU,     0x03da675eU,     0xbf97d82bU, \
    0xb267e747U,     0xf7fd0ce0U,     0x0d0f1d32U,     0xd5b3c3c2U, \
    0x4fd90b02U,     0x018874f8U,     0x35ac427cU,     0xadf93962U, \
    0x131a1a0aU,     0x28e7cefaU,     0xa7249112U,     0xbc8aa756U, \
    0x140a9502U,     0x3c156830U,     0xaef90ec5U,     0x0b7ee001U, \
    0xad0ae0a9U,     0xd491deddU,     0xf51001e9U,     0x69bc62feU, \
    0xf1da0d82U,     0x22aabce1U,     0xf9b35cd6U,     0xdb664eb0U, \
    0x98ec16c2U,     0xf3c368ccU,     0x73326bbfU,     0x5c7adc42U, \
    0x481ba472U,     0x95eb029eU,     0xc7af3390U,     0x4b22c259U, \
    0x0190234cU,     0x9d796178U,     0x77196d74U,     0xbaafccecU, \
    0x64894c89U,     0x7a24648eU,     0x841bf129U,     0xcd51cd82U, \
    0xe0b20ed1U,     0x05ae5ac7U,     0x3415995cU,     0x0c4745b1U, \
    0x3999e746U,     0xcc17edc7U,     0x2a4b8df4U,     0x53296234U, \
    0xcc625799U,     0xe697dc97U,     0xa16f0497U,     0xc0d6a4e5U, \
    0xc55be4ecU,     0x35f2aa45U,     0xb137aa64U,     0x95748eb4U, \
    0x8a633d9eU,     0x390b6171U,     0xa95fa024U,     0xd2e3f470U, \
    0x81641fc5U,     0x8e24828fU,     0x39d78d1bU,     0xdf122691U, \
    0x45ccbf58U,     0xe60f8982U,     0x7633b287U,     0x959f670dU, \
    0x8dae55bfU,     0x861bc3fbU,     0xbeaf9ddeU,     0x1d1352b8U, \
    0x610b458dU,     0x633c5ad5U,     0x015f5f31U,     0xe3e83fffU, \
    0x8ca26752U,     0xbd047e88U,     0xa6a9dd9eU,     0x497d44aaU, \
    0xc3ad907fU,     0xa0250762U,     0x69622d40U,     0x7ec7dbc7U, \
    0x6daa4e22U,     0xd495c1feU,     0x6b727331U,     0x28ac528bU, \
    0x45084a1cU,     0x756e174cU,     0x1cf6793eU,     0xb9174ed4U, \
    0xdbb52e7fU,     0xc5a37437U,     0x427a0ea1U,     0x1250e38fU, \
    0x615decdeU,     0xc3a68b77U,     0x615ec1e0U,     0xe04c46d4U, \
    0x6b5083d1U,     0xdb961532U,     0x122d0f40U,     0xd75a584cU, \
    0xfe1bfe18U,     0x178f446cU,     0x9573f317U,     0x5aaa6e01U, \
    0x0657ad20U,     0xc969c784U,     0xe7318a17U,     0x91176771U, \
    0x680fa65fU,     0x56e629fcU,     0x9b6ad419U,     0xddbd02f8U, \
    0x5f2fcd06U,     0x5539dfc2U,     0x590d6544U,     0x8566a3d7U, \
    0x1c1ae903U,     0x91a6ce61U,     0x0aadb86cU,     0xfffbaef9U, \
    0xd38a9e3aU,     0x02269feeU,     0x985f141eU,     0xf1bca456U, \
    0x2678ea97U,     0x81372c17U,     0x1176484dU,     0x20c30ebeU, \
    0x03d0a1d8U,     0xc5c7d32fU,     0xa411777cU,     0x6b13898fU, \
    0x3f17c397U,     0x36aa9fc2U,     0xb18edde3U,     0x578a3847U, \
    0x40d3cc75U,     0xdd3428a8U,     0x651a6f68U,     0x9cf4ca80U, \
    0xd5c68af6U,     0x333d26b4U,     0xb232bec1U,     0x4845741cU, \
    0x59ab278cU,     0x425cf625U,     0x51281266U,     0x79bdf127U, \
    0x3459f3ccU,     0x3422bffaU,     0xcecaf537U,     0x253a01e2U, \
    0x3d0880beU,     0x5b3c2a9aU,     0x6dfe9590U,     0x73deb475U, \
    0xd8ab4be5U,     0x06f186a9U,     0x9eef8a38U,     0x472b62c8U, \
    0xf960262cU,     0x34e92b3dU,     0x4f098f9cU,     0x3acf2285U, \
    0xb9d2bd86U,     0x29d2464dU,     0xfc675a14U,     0x2011711aU, \
    0xfd702adaU,     0xb869df2dU,     0x53232319U,     0x9c04afceU, \
    0x33bce01aU,     0x4f351e29U,     0x5d7e2a97U,     0x542a5ed6U, \
    0x6c62cfdeU,     0x110e0513U,     0xceeb309eU,     0xd7acae0dU, \
    0x329247bdU,     0xa9c762c7U,     0x080e3ec7U,     0x48f34ebbU, \
    0xf241a6f4U,     0xa0a6179dU,     0xa49c5755U,     0x1a260963U, \
    0x40cf0217U,     0x8d34d352U,     0x3f672da3U,     0x2579f50aU, \
    0x41b8edefU,     0x98148705U,     0x86d529d3U,     0x9dc366b7U, \
    0xbec1a872U,     0xd4080e68U,     0xc8d88c3fU,     0xd475b654U, \
    0x5d28f514U,     0xbe7fefbeU,     0x6e077e6eU,     0x61d3a5d4U, \
    0xb9ede305U,     0x1a89f4d8U,     0x06d2a31bU,     0x55022f45U, \
    0x30dc0932U,     0x5c8bd2ebU,     0xe662f94cU,     0xafbb3523U, \
    0xd86066d8U,     0xdc8866f0U,     0x5dbbb301U,     0x2fb27aecU, \
    0x58511e8bU,     0x650ca12fU,     0x05797ff6U,     0xee02095bU, \
    0x16a8b32aU,     0x231aec07U,     0x5ddf5cb0U,     0x749a4f28U, \
    0x31215d21U,     0x3229fe58U,     0x7a31d0edU,     0xc00a0f2cU, \
    0x61869947U,     0xb998a306U,     0x865f2826U,     0xb92eb874U, \
    0x5bcaadaeU,     0xdf173a63U,     0x03e86a8dU,     0xa787fac8U, \
    0xf0d0a8adU,     0x2b416f53U,     0xc8948f41U,     0xa73cc535U, \
    0x177ed419U,     0x6e07e5b5U,     0xcde7dd4aU,     0xef669a44U, \
    0x5cb47e28U,     0x0e1ca9daU,     0x0b25f71cU,     0x30fb0e7bU, \
    0xc53ff119U,     0xc02234edU,     0x0b247020U,     0x02815c20U, \
    0xf56c5fe8U,     0x87b8fb37U,     0x4b97a324U,     0x1f8e6570U, \
    0xa75c9601U,     0xb056fa58U,     0xca343df5U,     0xc7fd4d56U, \
    0xbfd1f57cU,     0xa81d50a1U,     0xb1802668U,     0x1162bbf1U, \
    0xd6bb010fU,     0xf4d92317U,     0x413f0cd1U,     0x2cf7bce1U, \
    0x55465e50U,     0x9cc3ba2bU,     0xd0b5d30aU,     0xfd6833d5U, \
    0xb8ab9ea2U,     0xb5fbe3f6U,     0x2b35bd4eU,     0xaf4766d0U, \
    0x2059b93cU,     0xf6e59665U,     0x6f1f022bU,     0x08c297e6U, \
    0xe33637e2U,     0xd537bd0fU,     0xc2e6aebeU,     0x1b4e77f8U, \
    0x6106f328U,     0x5ca62e8bU,     0x0ebcd3d3U,     0xc6ac1be0U, \
    0x06d79213U,     0xa1fb7b70U,     0x7395ced0U,     0x1f49b47dU, \
    0x4e9aee90U,     0x7680e35cU,     0x2cbc956bU,     0x52c00f0bU, \
    0xb331233eU,     0x35360105U,     0x582747f1U,     0xb5ab16f9U, \
    0xdf957be1U,     0x6bb09c02U,     0xab8a8c0cU,     0x2163269dU, \
    0x1f1a418bU,     0xc66ec0eaU,     0x6bf29958U,     0xba15f30fU, \
    0xb4aed801U,     0x01923d5eU,     0xbf86e2f0U,     0x6396b237U, \
    0x5d4e26b9U,     0xef63c2f1U,     0x48001918U,     0xc55479aeU, \
    0x072dbe14U,     0x3676a18fU,     0xb24e3159U,     0x43089571U, \
    0xf5809ceeU,     0x3e5e6b97U,     0x6d4726eeU,     0x7cbb1a33U, \
    0x7aee249dU,     0x8627570eU,     0xd5e41d5dU,     0x085d542bU, \
    0x6764ac06U,     0x3faf0efcU,     0x343bebf2U,     0xb2c992b1U, \
    0x20352130U,     0xebe549c9U,     0xd2efa8c0U,     0x57abc797U, \
    0x52c713c3U,     0x407e3a49U,     0x7a3acbb3U,     0x933a0c8fU, \
    0x8c65ed8cU,     0x9ed90142U,     0x8215909bU,     0xf7fc11ffU, \
    0xf99bd947U,     0x654befd9U,     0x5ceadfc0U,     0x68b799c5U, \
    0x180fbe11U,     0x393cc0a8U,     0x331301c6U,     0x76feb3bdU, \
    0x9d165aa9U,     0x767e65b9U,     0x6ec1daa9U,     0xf57c5cfcU, \
    0x7f08b945U,     0x5a100915U,     0x21181c06U,     0x133110d2U, \
    0x7788ac3eU,     0x1e8bfc95U,     0x8dc26c3aU,     0x7efcabf9U, \
    0x18049446U,     0x2ea0e7caU,     0x26a8f1beU,     0xafa600e2U, \
    0xafd005b3U,     0xb66f853aU,     0xe4a5cf13U,     0x77811d3eU, \
    0x06b30063U,     0x82daf8ceU,     0x9b6a3735U,     0xf206ab66U, \
    0x66674454U,     0xe6579542U,     0x46594b55U,     0x25526f2cU, \
    0xd433594fU,     0xa7f38177U,     0xf40274e8U,     0xa9f310f5U, \
    0x4ce0c424U,     0x3345e8dbU,     0xf5c12d62U,     0x5a55ab98U, \
    0x6f9649e7U,     0xe6c3f371U,     0x164b93d4U,     0xd774debbU, \
    0x838c0b99U,     0xcb9a2743U,     0xba45c096U,     0x4f7ae718U, \
    0x0eb92372U,     0x827842abU,     0xc69aa809U,     0xd5bbf054U, \
    0x5807bd72U,     0x5ff9c6b5U,     0x1c72de31U,     0x6149f34aU, \
    0x025f029cU,     0x8bf48399U,     0x1636f4f1U,     0x06d9830aU, \
    0x83c8bed6U,     0x428c1ab5U,     0x4c31384fU,     0xc342773bU, \
    0x74776fb6U,     0x35552d8eU,     0xdf46e5a1U,     0x648075d1U, \
    0x84b9bab8U,     0x9aaea2b1U,     0x240f3ccdU,     0xfda1720fU, \
    0x9ea81febU,     0xcbe87320U,     0x6db9e553U,     0x846fb2dfU, \
    0x4e159f1cU,     0x9fb79911U,     0x3acfde35U,     0xeb99fbfbU, \
    0x50ae0012U,     0x02e39bbeU,     0x7a8f22f0U,     0x8e251646U, \
    0x1d15d2bcU,     0x7c10872fU,     0x08d630d2U,     0x58a50808U, \
    0xba73ef34U,     0x8cdd0a0fU,     0xccac84bbU,     0xde6cff93U, \
    0x66078ad6U,     0x769ee976U,     0x5b851a36U,     0x8a387c32U, \
    0xe6ccbba6U,     0x00402970U,     0xd0320840U,     0xf635cf95U, \
    0x682a5ce7U,     0x8640cf09U,     0x2871bc38U,     0xad1a827cU, \
    0x118109c1U,     0xabccf714U,     0x3558fc2fU,     0xa99545d4U, \
    0xd941f345U,     0x0b813706U,     0xe6a394fbU,     0xbcd4f33bU, \
    0xb771d3b4U,     0x32539f47U,     0xfeab5530U,     0xe39be43dU, \
    0x8e111ec4U,     0x6f571e97U,     0xe4baf759U,     0xa13150c4U, \
    0xf31c8a60U,     0xb8ef6e97U,     0xbc0b50ceU,     0x0bd8f24eU, \
    0xcdfbab8cU,     0x3d121c84U,     0xdab28584U,     0xbeea88a9U, \
    0xd7eba3c9U,     0xb5a95ae2U,     0x72aadcbbU,     0x09bb1536U, \
    0x543fbb8bU,     0xe0c1729eU,     0xc13b1a23U,     0xba407c27U, \
    0x5335962aU,     0x5e33bd81U,     0xdc519da1U,     0x2869875eU, \
    0x668090edU,     0xeca653a0U,     0xd68bc8e4U,     0x16e683c0U, \
    0x0ea53d5eU,     0x7a092c8fU,     0x262b596cU,     0x328d0110U, \
    0x71ff207eU,     0x91292732U,     0x7bd9d611U,     0xd6d4cf50U, \
    0xeaf746e1U,     0x791920f6U,     0x6b3ea9daU,     0x28b4c23eU, \
    0x3c1ab1a3U,     0x344e6ea3U,     0x01801be3U,     0x22315eacU, \
    0xd51ff194U,     0x7c6d20bcU,     0x54a3234aU,     0x1733c8b9U, \
    0x58d9999dU,     0xf55f58e1U,     0x6df77dd4U,     0x3f883f60U, \
    0x5f2f684aU,     0x7e848c26U,     0xea370d63U,     0x4de98713U, \
    0x3f753963U,     0xf76fd9e8U,     0xa8d8203dU,     0x64465096U, \
    0xf2261ca5U,     0x191cd230U,     0x3f440da9U,     0xfa634457U, \
    0x8e2872a8U,     0xd591a412U,     0x91968ba7U,     0xd845b8aeU, \
    0xa7ddbeb7U,     0xb8dd00feU,     0x3a74d097U,     0x72386b2bU, \
    0x6707c34dU,     0xc6b2488aU,     0x0cb2fd85U,     0xe8ae9ab7U, \
    0xf7d34920U,     0xe4087ef7U,     0xd7ae0390U,     0xf31e51feU, \
    0x0d6bd66fU,     0xcfe965b7U,     0xea86d181U,     0xc5f209fcU, \
    0x55834e87U,     0xd85a596dU,     0xb58a4ac5U,     0xafce5f3dU, \
    0xb0c5d61bU,     0x76772f07U,     0x88d339c1U,     0xb54a68d3U, \
    0x532fc85bU,     0xe9f01b44U,     0x306a542fU,     0xbe4759f6U, \
    0xce26c4beU,     0x89760758U,     0xbaea64eeU,     0xdc5fcc61U, \
    0x66651b35U,     0xc9d8f78aU,     0xcf6a1028U,     0x57064ab6U, \
    0xe5a06b72U,     0x4b457423U,     0xc2b9629dU,     0x23677d87U, \
    0xc84a5191U,     0xf47a0d20U,     0x1748e6eeU,     0x0ec2ff3bU, \
    0x63d7b02eU,     0xbc23c900U,     0x6bc4e306U,     0x5475b9b4U, \
    0x14277b57U,     0x15ea35fdU,     0x961fe14aU,     0xbd2231d4U, \
    0xb4ee4dacU,     0xa89fd3e2U,     0x1e62d2b0U,     0x4c5ddfc3U, \
    0xfcb4098cU,     0x2c08bbd9U,     0x6f648350U,     0xef6f32cbU, \
    0x3c45bbe5U,     0xf8f29727U,     0x4bb12c99U,     0x06b3bc1dU, \
    0x68176492U,     0x9e582841U,     0xae3c7b3dU,     0x56b41d58U, \
    0xeb816932U,     0x77d3cee0U,     0xee609c99U,     0xeac9d3b5U, \
    0x848ad30eU,     0xf1669037U,     0x08ceee70U,     0x980b16b6U, \
    0x722ddf23U,     0x0f6bd4d1U,     0x148ca73fU,     0x440caf95U, \
    0xcf4ed0b7U,     0x080c9507U,     0x1075accfU,     0xac2d727cU, \
    0x2d8fecaaU,     0xaab94741U,     0x3400708bU,     0xaa79cef0U, \
    0x342e8c4aU,     0x384d9654U,     0x67afeb82U,     0x1bfa914dU, \
    0xbf142ee3U,     0x6e86fff6U,     0x2329f234U,     0xde1ebe33U, \
    0x512bdb22U,     0x4864a809U,     0x00921036U,     0x0ff888e4U, \
    0x1705367aU,     0xaa3f5cf9U,     0xcadbb3aeU,     0xd867f3a5U, \
    0x9cb34f1eU,     0x2a3954d4U,     0x13493a21U,     0xbda6d6a2U, \
    0xf0d44436U,     0x45ffbd06U,     0x5bddf909U,     0x3df1585cU, \
    0x0f60e3acU,     0x2ff826eeU,     0x7b90ceaeU,     0x40bd9ed6U, \
    0x048d394fU,     0x2fefef96U,     0xbbf9796eU,     0x994d1aa6U, \
    0xeee620aeU,     0x53c4357fU,     0x6c76c572U,     0x2f2789f4U, \
    0x6c7d7f8dU,     0x5f679507U,     0xffad0674U,     0x57b202b9U, \
    0x4ae29140U,     0x32061368U,     0x8666b083U,     0x3c36cc6bU, \
    0x3d5986beU,     0xd637d8ccU,     0x27a29c1dU,     0x23141b8aU, \
    0x77b92835U,     0x564ea9e6U,     0x2fd91d9bU,     0xf0a3e821U, \
    0x758247b6U,     0xc3285edaU,     0xc822955dU,     0x78e7f861U, \
    0xe7a881d8U,     0x2495e85eU,     0xe9c4425aU,     0x6cf3cd41U, \
    0xd1aabbb5U,     0x4469c4e2U,     0x4d15b5f7U,     0xd52f3c23U, \
    0x20b5fcfeU,     0xe2b9efa5U,     0x15274a6fU,     0xcc225d09U, \
    0x351f5efaU,     0x44124336U,     0x26bbb0e1U,     0xdf8b34a3U, \
    0x706d224eU,     0xc4776be6U,     0x310adabfU,     0x2e9bf38dU, \
    0x31a36b34U,     0x650a3a8bU,     0x2aedd7e2U,     0x15dc2265U, \
    0xe360f5bdU,     0xeb5ff784U,     0x524e5917U,     0xb125ece5U, \
    0xbf65f120U,     0x3f4a2befU,     0x0c782923U,     0x047d902fU, \
    0xc27a5c57U,     0x1a53cfd2U,     0x61e5ff09U,     0x1dd76074U, \
    0x98dfde18U,     0xd07af1bdU,     0x308537e9U,     0xc29fc35eU, \
    0x6ee12e96U,     0x69322893U,     0x71f080f6U,     0x14cedfd6U, \
    0x0679a02eU,     0xaf51b8d6U,     0x229653e9U,     0x83fb4a8eU, \
    0x297158f6U,     0xd8497210U,     0x92ea0c3aU,     0x3f0d1aecU, \
    0x6909171dU,     0x8331b511U,     0xa58ca710U,     0x935b1adeU, \
    0xcf5fa70dU,     0x378f2bf3U,     0x63859a12U,     0xb302fc75U, \
    0x6e9cf60eU,     0x42e97a2bU,     0x5c125421U,     0x40827e31U, \
    0x63397cd7U,     0x016abe14U,     0xaa07e6d4U,     0x974526eaU, \
    0x47f8b09aU,     0x1e9c4325U,     0x6fdf93f0U,     0xa710ac90U, \
    0x87d08067U,     0xb3bf4a26U,     0x76532e8cU,     0x8b8b5c10U, \
    0xc6131e9fU,     0x2a258a77U,     0xa29ae522U,     0xabde515eU, \
    0xd804f8adU,     0x4730bffdU,     0xab4e52b2U,     0x1395de01U, \
    0xb2828a91U,     0xe2ee6cf7U,     0xe0cb4f22U,     0xfa96775cU, \
    0xfbd3da50U,     0x862f04deU,     0x21d78a20U,     0x69ed0752U, \
    0x974e822eU,     0x0c98a95dU,     0xdc885024U,     0x216a73c0U, \
    0xa02f9b8eU,     0x82dd02aeU,     0x211cb22bU,     0xf3c180faU, \
    0x449a059bU,     0x16d1f6e4U,     0xbd461a9eU,     0xd0c11a67U, \
    0x7dec4992U,     0x2c6363beU,     0xbd7beb9bU,     0xcc993076U, \
    0xb7f13c88U,     0xd3fea318U,     0x59ace94dU,     0x1f52cf95U, \
    0x8e212a7dU,     0x8d099715U,     0x8e892c2eU,     0x0d08caedU, \
    0xdfce4213U,     0x7f14f283U,     0x0d8de55bU,     0xb705df28U, \
    0x2fde8d9fU,     0xc7fcdc44U,     0xadb71804U,     0x3ecac320U, \
    0xedd0bd03U,     0xff745c2aU,     0xfc58984cU,     0x0b2a37deU, \
    0x0ea230d4U,     0x574d7642U,     0x08034017U,     0x4b55359fU, \
    0x3e332cd7U,     0x3488c7f0U,     0x908e612cU,     0x29d6ac33U, \
    0xb21c2917U,     0xe191ad89U,     0x2e182a81U,     0x10ef3c5cU, \
    0x5162c7e8U,     0x53f04007U,     0xc6e5b4bcU,     0x5785abecU, \
    0x6d36612cU,     0xfc329f1bU,     0x3bedfb8aU,     0xbb873268U, \
    0x278878baU,     0xcb42c6b7U,     0x16e874caU,     0xa0e8b03fU, \
    0xdcf67fb5U,     0x6bc2e6ceU,     0xc0b236bbU,     0xc0af93a1U, \
    0xcd23b34eU,     0xf0ec49b0U,     0x97c1cc72U,     0xb2511ff1U, \
    0x20dbed74U,     0x9eed749cU,     0xee512ad2U,     0x5cd4ab66U, \
    0x180507c0U,     0xcefcd4f2U,     0x9245323aU,     0x5ec91a51U, \
    0x049ba893U,     0x66eb7683U,     0x27cd853dU,     0xf4432d11U, \
    0x6628b6a9U,     0xe6b0f798U,     0x8db455bfU,     0xed9f398aU, \
    0x714fcff9U,     0x11375373U,     0xe4e17622U,     0xfb54572eU, \
    0xa4431e1dU,     0xa2d71e9bU,     0xcdbb073eU,     0xd23ee879U, \
    0x29f61b11U,     0xe479c8bbU,     0x35344855U,     0xe1b96727U, \
    0x4c371e07U,     0x82883b1fU,     0xc2d13c35U,     0xea9003cbU, \
    0xe41a9d25U,     0x4b48a109U,     0x31b67694U,     0xb57eaa8aU, \
    0xced8b1bbU,     0x394d96b0U,     0xfa1c6492U,     0x774a5defU, \
    0x2328261bU,     0x1a7e3c53U,     0xe5a84bb1U,     0x27318fc6U, \
    0xf2df223cU,     0x48a1f119U,     0xc5c96180U,     0xef4fae0aU, \
    0xdb062a6bU,     0x1ef1432eU,     0xc48e5924U,     0x93c1e8f5U, \
    0x1253d8bfU,     0xdcfc1e73U,     0xf78fba79U,     0x4ce2b430U, \
    0x7a44dd16U,     0xaf159f85U,     0x82454556U,     0x198b8673U, \
    0x422632c5U,     0xe42f1687U,     0x0b5cc5dfU,     0x88177527U, \
    0x53380066U,     0x1936721aU,     0xc2c055d3U,     0xaf37aa0bU, \
    0x8743b3f3U,     0xdfafbdadU,     0x2f7f4508U,     0x5f6673c4U, \
    0xe847ce80U,     0xca70f400U,     0x9f636a06U,     0x7d082033U, \
    0x99b95e10U,     0x65e6db6dU,     0xac5862cbU,     0x57e70845U, \
    0x8daeff61U,     0x17594e4fU,     0x780f7b1bU,     0xa68673e2U, \
    0x6b0dad0dU,     0x9670845cU,     0xf508c5d6U,     0x61ed620aU, \
    0x021e661cU,     0x7c890aecU,     0xbe99d4dbU,     0xdcf8a3e1U, \
    0xa2967e31U,     0x4a58f529U,     0xd1a1750bU,     0xe6788635U, \
    0x75d98f3eU,     0x966dc4a3U,     0x99d87348U,     0x84dee184U, \
    0x8e4ebb2eU,     0x801197bcU,     0xcf3bd93dU,     0xe28e8b91U, \
    0x679c7ed4U,     0xa6e0b93fU,     0x47235950U,     0x7e17b9aaU, \
    0xd5a969a9U,     0xa6272783U,     0x92d693ddU,     0x1dd84149U, \
    0x56fea572U,     0xa94f8333U,     0x9ec1cf22U,     0xc4b68917U, \
    0xc8bed3d4U,     0xd9b5fdabU,     0xe7646bd7U,     0x06991b21U, \
    0xcd670de7U,     0x2c023c05U,     0xc6b6d044U,     0x100c11d7U, \
    0x16470b62U,     0x7718440aU,     0xe86c64d4U,     0x5144c01fU, \
    0xff7551a5U,     0x7e37128cU,     0x34e24b8eU,     0x53d23a35U, \
    0x108c2200U,     0xa6c41b31U,     0x6cc725c9U,     0x86e182c6U, \
    0xbcd12e0bU,     0x56f8e102U,     0xb8e312c1U,     0x98816cfbU, \
    0xd9a5e35aU,     0xa53e86c3U,     0xc3a65a6cU,     0x1c2ce1c9U, \
    0x787c2b28U,     0xbadc6317U,     0x76551577U,     0x98dfbae3U, \
    0x18ae6e17U,     0xc1296892U,     0xc0636fcfU,     0x59006b88U, \
    0x1daf33caU,     0x1191d177U,     0x86a46464U,     0xdb345343U, \
    0xe30b37ccU,     0x54998ff3U,     0xd069201eU,     0xcf9b7a20U, \
    0xf57e28a5U,     0xa5e906b3U,     0xe5c25bdbU,     0x2b60ecb3U, \
    0x318fda24U,     0x60e93c1bU,     0xe69378c8U,     0xee4b035eU, \
    0xcf0e4f55U,     0x6b233ab4U,     0x28e4b7b7U,     0x41af267eU, \
    0x24aecd91U,     0x0119dd31U,     0xb14f39ccU,     0x0092c7d4U, \
    0x0edcc333U,     0xfe35142eU,     0x55f03a75U,     0xf997b20aU, \
    0xc2b41bd3U,     0xdf9393b6U,     0xe400e7aeU,     0x0011fae4U, \
    0x702d6a1fU,     0xea9bbac0U,     0x13f31bc9U,     0xa9b2054fU, \
    0xaa594591U,     0x8491bd96U,     0x41038755U,     0x0307666aU, \
    0xa1a9cc6cU,     0x7f46ed0cU,     0x9b894a94U,     0xc4e1d623U, \
    0xfebae2a1U,     0xe8270524U,     0x90fd878bU,     0x9ad5206cU, \
    0x86cd57d9U,     0x7ef16df4U,     0x0985b435U,     0xfc57ed29U, \
    0xd20b22f5U,     0x6ab0b43aU,     0x389208eeU,     0x1bd429dbU, \
    0x9046bc0fU,     0xa3bc590aU,     0xa41c24b0U,     0xc457741bU, \
    0x88bef3e8U,     0xe7097ae6U,     0xbc862fa9U,     0xce110c58U, \
    0x29ffea25U,     0xa0b5fa3eU,     0xee7dc083U,     0x89e679f2U, \
    0x63222b99U,     0x9f8fa2b4U,     0x9cb8a9d1U,     0xf4f1c938U, \
    0x92b73981U,     0x1c94834eU,     0xecdd2022U,     0xe11f647fU, \
    0xaba50206U,     0xf092e6cdU,     0x347d1a4fU,     0x72040c06U, \
    0xb346fd31U,     0x33f590c2U,     0xd8acf3e2U,     0xc6831a6fU, \
    0x4313d4efU,     0x9dd20102U,     0x9ce58d81U,     0x45cb6c5bU, \
    0x770db327U,     0xd071d53fU,     0x864f82b9U,     0xb8bf2359U, \
    0xd48d9413U,     0xcbed4bfaU,     0x523f5b41U,     0x8132f6deU, \
    0x70c2ad11U,     0x8192774dU,     0x1aeeda0eU,     0x7417fa37U, \
    0xb204890cU,     0x9172a338U,     0x7cf8f413U,     0x4bf2bdc5U, \
    0xa726d0f8U,     0x52aca6adU,     0x135b9348U,     0x0bb377b6U, \
    0xcdee4af1U,     0x5292f854U,     0xe802abe0U,     0x684915b3U, \
    0xcbb36371U,     0x3404d2e0U,     0x34600a6bU,     0x46f73d4cU, \
    0xf81dbfb2U,     0xc010a378U,     0xba6cb030U,     0x8756c11bU, \
    0x52f8071dU,     0x71b2ae5cU,     0x0c9757d2U,     0x3857b817U, \
    0x39eb2aadU,     0xb4f62a5bU,     0x98151196U,     0x9252d227U, \
    0x03ef9c8fU,     0xa1c3ec87U,     0x49109136U,     0xacbdca84U, \
    0x4a9fa18aU,     0xc5869fb2U,     0xdfa00dc9U,     0x83417b58U, \
    0xe8d41672U,     0xfda1ca57U,     0xe9733a36U,     0xa839d362U, \
    0x1069db17U,     0xf2590893U,     0x3c8b8a5fU,     0x38e9d417U, \
    0x9c927e9fU,     0x783f9b78U,     0xcfdcd1c8U,     0x40581547U, \
    0x9f3bf9a6U,     0x414fb569U,     0x5dda48b7U,     0xcafb5fd8U, \
    0xf3618be3U,     0x81939425U,     0x92429858U,     0xcc7106c5U, \
    0x2aa29d9aU,     0x942f9ba4U,     0x7ad821dfU,     0x90a2ea8cU, \
    0xd596033fU,     0x252a998aU,     0x60d8c5b6U,     0x25c61d3dU, \
    0xd70c087cU,     0xf9105bd8U,     0xea98cce4U,     0x46bbffdcU, \
    0xf041c225U,     0xaff8117eU,     0xdba8681fU,     0x2a7c96ceU, \
    0xf8ae16d8U,     0x84a37801U,     0xae1ea60bU,     0xe2ecdc91U, \
    0xaa85bbfcU,     0xe32a4419U,     0x8df1b58fU,     0xef1fbb9dU, \
    0xda611024U,     0xd16df71fU,     0x40102171U,     0x791aef34U, \
    0x76065758U,     0x81f62a62U,     0x11e2b2b9U,     0xe1f88c10U, \
    0xc37767c4U,     0x1ecda6d3U,     0x1435e840U,     0x0f3a651aU, \
    0x6788c853U,     0x3b494c15U,     0x48f7e252U,     0xa66400b2U, \
    0x96bb1972U,     0xb0c8d204U,     0xff886933U,     0x58561e68U, \
    0x5013256eU,     0xbe6c2cceU,     0x2818273fU,     0x2690e7b9U, \
    0x70d0bb03U,     0x97f8b64cU,     0xcea501e9U,     0x5c75303fU, \
    0x2d52926bU,     0x7ece6a2cU,     0xdedbe21eU,     0x2fdb91bdU, \
    0x1d3e3fa2U,     0x7461abe0U,     0x9d1ebfb1U,     0xa803d46dU, \
    0xce58eb4bU,     0xa1c74e44U,     0x6c445456U,     0x030fc618U, \
    0xa284a11aU,     0x37f982e8U,     0x524c1b66U,     0x70958affU, \
    0xb3059290U,     0x9c1a5e5aU,     0x4eef5391U,     0x88e23822U, \
    0x5307d9ecU,     0x811c2052U,     0xe1247109U,     0x4f3ef0cdU, \
    0x809719daU,     0x338d4d81U,     0x741de12eU,     0x6f546c7cU, \
    0x92c5c495U,     0xbf164874U,     0x1d3e8910U,     0xba2472ebU, \
    0x174dcb17U,     0x46b56323U,     0xb4e982e1U,     0xbfbf1571U, \
    0x6aa39617U,     0xcb098edbU,     0xa251bf25U,     0x5a5ba56eU, \
    0x0e51f79fU,     0xd12ba23bU,     0xf1b0ea4dU,     0x508d600fU, \
    0x2f3c27acU,     0xb9f6008eU,     0x49c3bbcfU,     0x62aea027U, \
    0x38733b27U,     0x72e52d7aU,     0x82da514bU,     0xe57aa3a3U, \
    0x1d91d1efU,     0x8be996f2U,     0x65af3772U,     0x230e5edbU, \
    0x89d958b0U,     0xe39ced31U,     0xaacd58c9U,     0xc8570c04U, \
    0x35852f21U,     0x78a806f0U,     0xc84c1678U,     0xb8986848U, \
    0x1abb76bdU,     0x159fca04U,     0xe8c2acd9U,     0x4b42c571U, \
    0x1e179861U,     0x22348032U,     0xfeacbd29U,     0x1916f6f9U, \
    0x9781ede8U,     0x384088b4U,     0x18eb0936U,     0x93ab31f3U, \
    0x7eef7171U,     0xef503c59U,     0xd5a6cb52U,     0xe8a48f02U, \
    0xce060becU,     0x5a44c8d3U,     0xee2813a3U,     0x543dfcedU, \
    0xc9e515e0U,     0x158d1af1U,     0xb5b623d6U,     0xcb098cd6U, \
    0x79ba5860U,     0x67ca5424U,     0x6f0e36c6U,     0x6d676fb8U, \
    0x9c0d3c71U,     0x020ce1f4U,     0x27192d6aU,     0x9f5c289aU, \
    0x939167b7U,     0x4e9a461cU,     0xcf17e0b7U,     0x8213908dU, \
    0xc2ddd1e8U,     0x4f35f7b7U,     0x190fca8aU,     0x708baf4eU, \
    0xddbe455cU,     0xae729f33U,     0xd3f8c938U,     0x6a7f0bf8U, \
    0x2812b1b2U,     0x07576481U,     0x0b56350eU,     0x14b8a32aU, \
    0x0da03936U,     0x35c5a03fU,     0x3eae1426U,     0xe67bde44U, \
    0x1a13ae10U,     0x38888250U,     0x69e0b40bU,     0x413a3b94U, \
    0x00d7afbbU,     0xeb9dbcacU,     0xa027184bU,     0xe07813aeU, \
    0xf3d49a99U,     0xd4803f1fU,     0x285300a4U,     0x12555399U, \
    0x3cf6f216U,     0x2a904a9eU,     0x86375338U,     0x12c1f1ffU, \
    0xfdacaeefU,     0xd9692391U,     0x566601e6U,     0x9df0ae8cU, \
    0xf2094c72U,     0x148dde43U,     0x2bcf86f3U,     0xd3470cb2U, \
    0x1b39e046U,     0x6cdf3b8aU,     0xf2fdfd9dU,     0x0ddfedffU, \
    0xdedcdeb4U,     0xba07cf4aU,     0xebf5743aU,     0x4efdbaa5U, \
    0xcdc448b3U,     0xe57af6c6U,     0x65b20311U,     0x933e4019U, \
    0xb3bb595eU,     0xb74586dfU,     0x746d638cU,     0x641402d6U, \
    0xc4b7441dU,     0x2c3ac792U,     0x71ef0be9U,     0x39b8900bU, \
    0x398e71cdU,     0x781190dbU,     0x96136db8U,     0x7fa34946U, \
    0xf25a779bU,     0xdbf86feeU,     0x49fe5fcfU,     0x711c87fbU, \
    0x7334ad11U,     0xffea99e1U,     0xb4fa9736U,     0x058cf426U, \
    0xba9d63dfU,     0xbe6e8f5fU,     0xf76471f3U,     0x52f8a1b5U, \
    0x6227b5b5U,     0xc7387e3cU,     0xc25b3c49U,     0xbbdf31ffU, \
    0xc9dd219cU,     0x8145fd12U,     0xb0e8368aU,     0xb69b533aU, \
    0x32429e07U,     0xaf130e5cU,     0x80b6cc86U,     0xcf24014dU, \
    0xb0ccbedaU,     0x973ffdf1U,     0xf47beef1U,     0xa7a7f05aU, \
    0x3fd2fc1fU,     0x80de0a64U,     0xa12b9969U,     0x5c09e754U, \
    0x1d0bd82bU,     0x79032693U,     0x8fb7fd6dU,     0x63100768U, \
    0x999e15c9U,     0x86ba9e7eU,     0x77c514feU,     0x17e0efdfU, \
    0x5fd568fdU,     0xef2317f3U,     0xdd3961ebU,     0xf9035948U, \
    0x00ca6681U,     0xe2042645U,     0xff6fcd1fU,     0x339fe8aaU, \
    0xf5888d6aU,     0x00733a1eU,     0x86abdb01U,     0x3c76d87eU, \
    0xc98cc144U,     0x761ff3acU,     0xc3d5c2ceU,     0xba0e03c7U, \
    0x9728d473U,     0x10538937U,     0xd494e090U,     0xe3de3efeU, \
    0xaa9d46a5U,     0x3b08ac31U,     0x03dd97a0U,     0x35f065f9U, \
    0x1772c6a9U,     0x4b1236f1U,     0xe8192af6U,     0xb131d21dU, \
    0x43e39020U,     0xd33aadecU,     0x5fec296cU,     0x48c9ed75U, \
    0x666b67c2U,     0x5989bf37U,     0x439e4596U,     0x5646fe74U, \
    0xfa45acdcU,     0xb76507a9U,     0x6e564b7fU,     0x33e98a6aU, \
    0x65c2adf1U,     0xc49adec2U,     0x176ac5d0U,     0x5ce16709U, \
    0x8ed8fd95U,     0xad3dde41U,     0x5fd49e83U,     0x2a2f312bU, \
    0x7d6ac9a7U,     0xc948395eU,     0xa049abeeU,     0xf8738fa4U, \
    0x9c30f53dU,     0x38ceb660U,     0xa89668d7U,     0x52ccd0e9U, \
    0x2eaf57a0U,     0x973a2d8eU,     0x996bc188U,     0xe6f7046eU, \
    0xbe3b43a6U,     0x4aab70a6U,     0xb75d49a0U,     0xda11729bU, \
    0xcbb03209U,     0x8a90b1b8U,     0xe63001c1U,     0x04db3a95U, \
    0x1839ce42U,     0x8df0f338U,     0xdc3b9f5aU,     0xf7fdb7d1U, \
    0x3a9feb0aU,     0x84559526U,     0xfaad1d40U,     0xce7b42baU, \
    0x7d0910cdU,     0x45c9cc8cU,     0x12756074U,     0x71254e02U, \
    0x1fe9dbabU,     0x83a752c9U,     0xfe615717U,     0x8d65e8dbU, \
    0x29d605a0U,     0xe5e40ed0U,     0x1aeca5d0U,     0x49c30c39U, \
    0x673f0835U,     0x0352ce9dU,     0x257695b9U,     0x3e628b36U, \
    0x7ef313d9U,     0x4af09ca7U,     0x7730b3daU,     0x4ae23678U, \
    0x0dd3aae3U,     0x9e0bad47U,     0xb1e96f89U,     0x7b17b988U, \
    0xfbe3f394U,     0x82340638U,     0xfe7f731bU,     0xa8af2103U, \
    0xd4cef9b9U,     0xa3b7ee51U,     0x596694e2U,     0xad219726U, \
    0x9561d180U,     0xb997c492U,     0xa11eb919U,     0x61868dedU, \
    0xa52b2297U,     0x16d0646bU,     0xecf280f5U,     0xbc223965U, \
    0x583e3ef2U,     0xa301df7eU,     0x24db1c48U,     0xe43eb241U, \
    0x672fa53aU,     0x98f2a1aeU,     0x1f994220U,     0x18c24629U, \
    0x8dcfb008U,     0x11b264eaU,     0x1893236fU,     0x480376e1U, \
    0x327e83bbU,     0xd490970dU,     0x2968117bU,     0x0213e305U, \
    0x1314fcf5U,     0x1f351685U,     0x9f64c35fU,     0xef15db33U, \
    0x3700a394U,     0x81fa63e6U,     0x16138015U,     0xf25c81b9U, \
    0xc8a03539U,     0x40096d13U,     0x69f1992cU,     0xf32eef62U, \
    0x6f0036eeU,     0x16c3fb30U,     0x2e0d1b21U,     0x701aaeafU, \
    0x6e7a86a8U,     0x7c817adaU,     0xe8f3e686U,     0x5bf0a755U, \
    0xe336de5aU,     0xe9220adaU,     0xae5ce595U,     0x8d7d7029U, \
    0xe5a6562cU,     0xc1236724U,     0x22206246U,     0xf3a47befU, \
    0x09a0af2fU,     0x68c2a043U,     0xf0de723cU,     0xfd225299U, \
    0x3b47a0d9U,     0xb6585176U,     0x72cb7044U,     0x555bee35U, \
    0xe5460db4U,     0x5fe8054bU,     0x34394ba3U,     0xb02ad211U, \
    0x20ee2999U,     0x8d4173f5U,     0xc0465daeU,     0x783f2549U, \
    0x9621765eU,     0xb63ff6d1U,     0xae11ef66U,     0xdbc820a3U, \
    0xce20c291U,     0x27b49298U,     0x26ac6c7cU,     0xf45aca47U, \
    0x72cd1c2bU,     0x87b20c8dU,     0x0f0c5791U,     0x3a4903c6U, \
    0x5eacc8fdU,     0x028fa211U,     0xa9d71296U,     0x55f68c08U, \
    0x6bf4d5e3U,     0x9d6a2013U,     0x7e2b3f14U,     0xd99a0141U, \
    0x293f179bU,     0xa5d17937U,     0xc7b58958U,     0x24996e55U, \
    0x2449e4ceU,     0x09a49b5bU,     0x448ff191U,     0x49fe5ba2U, \
    0xed4177f0U,     0x9fe4ce1fU,     0x2919cb9aU,     0xa37e57edU, \
    0xb5f26f0bU,     0x816bbf1dU,     0x7ff4591aU,     0x73266b3eU, \
    0x0bd82725U,     0xb6e6d16aU,     0x0e7dc79dU,     0x7400187fU, \
    0x11f73d44U,     0x18ca80f6U,     0x7cb4a812U,     0xaf1f8e49U, \
    0xf203cc96U,     0x9f8c0344U,     0x838c917eU,     0x5380b512U, \
    0x69c81367U,     0x27c833c8U,     0x7613da03U,     0xecd2c3c6U, \
    0xa0ab0032U,     0x14bac9baU,     0xc86c06ffU,     0x985fdf35U, \
    0xb6e0735cU,     0x973bb6e6U,     0x100222beU,     0xf275f9f0U, \
    0xb7e3e4edU,     0x0061742fU,     0xc2b60030U,     0x173456d7U, \
    0x85317cb9U,     0x4ea2be90U,     0xfb7db9e6U,     0xc7a1f874U, \
    0x74d1b4e4U,     0xe8eb28a7U,     0x001859a1U,     0xeaa9dba4U, \
    0x5382f8e3U,     0xb535af72U,     0x60eb632aU,     0xcb1b3771U, \
    0xdd28045bU,     0x8d458954U,     0xbc267b3fU,     0x0725a057U, \
    0x3332321eU,     0x00cda684U,     0x73f06696U,     0x67b495f3U, \
    0x926d6753U,     0xdbc3527bU,     0xe0a45fccU,     0xe9009051U, \
    0x1bb5ac2eU,     0xeae4afdbU,     0xcb3bc4baU,     0x946ca9deU, \
    0x81e8fd59U,     0x33768209U,     0x2706a6e6U,     0xf9fe5e23U, \
    0x03d2cd4eU,     0xd2ea4324U,     0xab1afff1U,     0x7fe9aac5U, \
    0x700b811eU,     0x8f8fc059U,     0xb2fe4c86U,     0x57eb6e3bU, \
    0x84a19e24U,     0x1be141a2U,     0x48c68b32U,     0x2e376699U, \
    0xea221709U,     0xd0781fdbU,     0xc1aaa21aU,     0xd4bc2ec1U, \
    0xa2b0635cU,     0xd4dcedb7U,     0xa530c169U,     0x603db1f7U, \
    0xc4a6c3b4U,     0x0d0dc57eU,     0xe8eb7f6eU,     0x0f3b2557U, \
    0x8ed018cfU,     0xd4b36b66U,     0xe4924c41U,     0xb8736883U, \
    0x82417a5bU,     0xb9867f85U,     0xf6e36f0fU,     0x348142c3U, \
    0xd30aa15dU,     0x010062f7U,     0x30dd5ae2U,     0xda75a1ffU, \
    0xd4009c1cU,     0xa078e1deU,     0xd9a2e624U,     0x87383439U, \
    0xe2d2f587U,     0xb30028b5U,     0xf39f3652U,     0x5e8f9f65U, \
    0x3b674475U,     0x680712fdU,     0xe1d27e29U,     0x175627a4U, \
    0xb1deb1d1U,     0x564f2111U,     0x262d6486U,     0xfbefe319U, \
    0xa67ff5acU,     0x7d173e10U,     0x5c94c38dU,     0x09f7a6b7U, \
    0x0a0664a5U,     0xd357b947U,     0xe90c4c6eU,     0x8a26ccf5U, \
    0x78881989U,     0x875131a7U,     0x842df111U,     0xf7b14e5fU, \
    0xdc7421abU,     0x7abaa79aU,     0x81177cdeU,     0xdc015f25U, \
    0x582ce9deU,     0xac2070a7U,     0x71d186c3U,     0xae003f75U, \
    0xd0a15d6fU,     0x9de3a3c8U,     0x9bcf9dfdU,     0xdc2c4f11U, \
    0xd87eae13U,     0x1ef86e66U,     0xd4895530U,     0xa807739bU, \
    0x65175026U,     0x1fefb874U,     0xf1043a66U,     0xfe00044eU, \
    0x13dfed1bU,     0x1ddb671eU,     0x7fdef38cU,     0xa0df960cU, \
    0x252d99d0U,     0xb4d13511U,     0xe1840e1eU,     0xd5f66ec6U, \
    0x5276bb20U,     0x6dc8ba84U,     0x76476653U,     0x5c8194b9U, \
    0xc69fa50bU,     0x6b467d14U,     0x00e790f9U,     0x73a38295U, \
    0x5c41a2bbU,     0x590f5f3aU,     0xed9537d2U,     0x1369b2d9U, \
    0x2601ad74U,     0x456fa3f1U,     0x61fb5de1U,     0x853047edU, \
    0xc2864561U,     0x1fb50a92U,     0xd4b3d435U,     0xf4aad168U, \
    0xb743049dU,     0xb08f006fU,     0x208dd989U,     0x52869d4eU, \
    0x439af8c6U,     0xd96cba14U,     0x597ae001U,     0x532f0492U, \
    0x714364a5U,     0x3fd558ebU,     0x8738c31dU,     0xa04da671U, \
    0x1100cbc8U,     0x6bf7331fU,     0x47705ad5U,     0x00c94d5fU, \
    0xde369aedU,     0xd400e8f8U,     0xeabed7adU,     0x38afead7U, \
    0x7a83b4beU,     0x53e86cabU,     0x42c0a2a9U,     0x139a9c56U, \
    0xeb22fc0fU,     0x301cd9f0U,     0xddc615c5U,     0x8d028215U, \
    0x35b57cbcU,     0xed11a333U,     0xaaead95aU,     0x9746d356U, \
    0xf89447f0U,     0xd3c62f4bU,     0x3fd41027U,     0x1f72ce86U, \
    0x15f673b6U,     0x911c57d5U,     0x10eebca5U,     0x3947d79dU, \
    0xd38fe5c1U,     0xbd6e1d1eU,     0x30480cf9U,     0xf597c852U, \
    0x1a374935U,     0xf61d1061U,     0x00162ef8U,     0x368a08c6U, \
    0xb29248c2U,     0x2b86b49bU,     0xccf31817U,     0x58498ab6U, \
    0x2dff6605U,     0x1d0517ffU,     0x62c308a3U,     0xaedb5136U, \
    0x895ba545U,     0x9316cab0U,     0x689c0135U,     0x11db8e72U, \
    0xfcc0d9aaU,     0xd414814eU,     0x997eab97U,     0xaf2948abU, \
    0x369fe826U,     0x2d3ddc47U,     0xea831c20U,     0x11ad945eU, \
    0x7ee1e9faU,     0x2458aadaU,     0xb6ec9b06U,     0xc854043dU, \
    0x7ab001c1U,     0xd4f55807U,     0xfbc25df2U,     0x7a94359fU, \
    0x90e2188bU,     0x77f5f980U,     0xaaac9c3eU,     0xad7b4994U, \
    0x49e09a49U,     0x3402aa3bU,     0x5b6b4632U,     0xb7646e6eU, \
    0x2c91ab16U,     0xef9e408bU,     0xa101a1ffU,     0x22ae5f9dU, \
    0x48a7c80dU,     0xdb752f19U,     0x8a41804aU,     0xfdef5ed1U, \
    0xf10f076fU,     0x52e5d831U,     0x4e5e6b29U,     0x2e3effe0U, \
    0xaf94bf93U,     0x75b2d83eU,     0x22d6405eU,     0xca0195daU, \
    0x778b3f1eU,     0x3d1a6e2bU,     0x80218ee9U,     0x28a34497U, \
    0x36d46dfcU,     0x16994ca6U,     0x5b90e276U,     0x44cf54f0U, \
    0xb6f50572U,     0xea41269aU,     0x75671017U,     0x022316fdU, \
    0x0521f16dU,     0xc9bd4862U,     0xe9fd5d73U,     0x251f1ccaU, \
    0x56fb5bc4U,     0x1fd4ea75U,     0x5244c95fU,     0xf617a7b5U, \
    0x479d16c2U,     0x328b947aU,     0x8ade1d24U,     0xd55d6478U, \
    0x545d243eU,     0x1acb09eeU,     0x3263b6f2U,     0xe25177d2U, \
    0x7c4fe3aeU,     0x0a9f2f61U,     0x19c7cfceU,     0x145a786dU, \
    0xa4b7c412U,     0x3781d288U,     0x2e0aad54U,     0x1eadc9e9U, \
    0xe9be9780U,     0xb1f158e2U,     0x822b3074U,     0x5eb3093dU, \
    0x2edde2c7U,     0x80197dacU,     0xfbfefe4eU,     0x925efacdU, \
    0x5643c0f6U,     0x4da82be8U,     0x0ceec389U,     0x74a75fcaU, \
    0xb0a57cc1U,     0x37522d0fU,     0x96bc15e5U,     0x8f1e4036U, \
    0xf837d564U,     0xbd6e8c10U,     0xe8a01f97U,     0x9e959453U, \
    0xcb852267U,     0xff0002d5U,     0x0d65904cU,     0x23228e22U, \
    0xaa6e1afeU,     0x9663b67eU,     0x5cfd11adU,     0x86134ba2U, \
    0x239aaf97U,     0x52e705ecU,     0xeaeb6362U,     0x1f3f2f7aU, \
    0x86d4760fU,     0x29c68b97U,     0x395ffdf1U,     0x113499d1U, \
    0x0957db7eU,     0x5be219bfU,     0x0b14ba14U,     0x8da409a3U, \
    0x323eb0a0U,     0x116f73ecU,     0x3af97a2dU,     0x8d2672c9U, \
    0xb6ccb8dfU,     0xef838981U,     0xfd786e52U,     0xabf79b0aU, \
    0x02a70696U,     0xe8cff57cU,     0xdd0f8afbU,     0xe1ca2672U, \
    0x8ab6ad85U,     0x46407131U,     0xc0edf5c8U,     0x215456d8U, \
    0xaca8424aU,     0xfa09c159U,     0x210b0cf7U,     0x37122300U, \
    0xb2131881U,     0xd9c6d7c8U,     0xa8210c7aU,     0x25c02e97U, \
    0x77a0ea04U,     0xe9b39a4bU,     0x7696985fU,     0x6a254ef3U, \
    0x048d8ae7U,     0x952a6742U,     0xa32d9c2bU,     0x5814aed0U, \
    0xd70fc829U,     0xb74575edU,     0x4b661f50U,     0x877e9b37U, \
    0xf4f6e60cU,     0xbc257fa9U,     0xf7eb4a24U,     0xac64c140U, \
    0x79c23fa8U,     0x545c12a1U,     0x5517c931U,     0xfaf86308U, \
    0x8c705114U,     0xaa3406adU,     0xfdef0de9U,     0x04a48e96U, \
    0xea78a2afU,     0x2f250283U,     0xacf1cfc1U,     0xcac108f7U, \
    0xb36b7303U,     0x046cbd3cU,     0x3b3ae10dU,     0x3e4bff60U, \
    0x42f92123U,     0x89ff324cU,     0x15738402U,     0xdebb8083U, \
    0x59f63947U,     0x7aec4714U,     0x47148b47U,     0xb029c3feU, \
    0x2bbfabc8U,     0x231923e8U,     0x27498eafU,     0xf323d38cU, \
    0xe5a47e31U,     0xf4a5dd34U,     0x774f9b5fU,     0x4ecf22b6U, \
    0xb38cd3ceU,     0x4f7d954fU,     0xb4a4ea7fU,     0x7b5b7e76U, \
    0x55dcab58U,     0xf5ea5b9bU,     0xfb575a1dU,     0xf2b40111U, \
    0x74eb0d84U,     0x29904c5bU,     0x7fd0bed1U,     0x849dc674U, \
    0x2584ec78U,     0x44370953U,     0xdd069be1U,     0x741818c1U, \
    0x4aa2cdd1U,     0x5437349cU,     0xb05ef098U,     0x9d36044fU, \
    0x4820a308U,     0x5a8a9b44U,     0x6d575ac1U,     0xae7b311aU, \
    0x2557365eU,     0x79b1feeeU,     0x34037a52U,     0x03ca4c93U, \
    0xeaaa4123U,     0x97084c37U,     0x2220b59fU,     0x7e06c6e2U, \
    0xffe6f28dU,     0x15bc6881U,     0x2475e9baU,     0x6110ff53U, \
    0xb92b5882U,     0x66fb4a23U,     0x54cce121U,     0x4754ac8fU, \
    0x6092d2c7U,     0x0c662dc3U,     0x29e6d8d8U,     0x03b14abdU, \
    0x2c35c5a0U,     0xb8486ea4U,     0x235464f5U,     0x0606aa11U, \
    0x4132bdebU,     0x8cbe3e8bU,     0xa792ce9eU,     0x7f27ac31U, \
    0x7431f832U,     0x1a2250e7U,     0x2f50a704U,     0x5802d5a7U, \
    0xb7970119U,     0x2eb24da8U,     0xfa63897aU,     0x97401ab9U, \
    0x144da712U,     0x728b8877U,     0x18ef26cbU,     0x6b733e4bU, \
    0xc4af4a4cU,     0x6878f874U,     0x92208340U,     0xa0b2282fU, \
    0xa8db44edU,     0x3baafb34U,     0x0a9d890dU,     0x071dfc43U, \
    0x7f34ad44U,     0x4449742fU,     0xf7477ac2U,     0x5995b7b3U, \
    0xc3fedf27U,     0x0dc61d0aU,     0xcc6dca37U,     0x99dc729aU, \
    0xadfd5acdU,     0xdf2c86d4U,     0x7400d0a7U,     0x0452d1e3U, \
    0x5d4a20b4U,     0x2350c3a4U,     0xa3499a8cU,     0xd97ebb40U, \
    0x103f74ebU,     0x74f51dd1U,     0xc71e6171U,     0xdf69c5f7U, \
    0xda6c0d09U,     0xf4d68d00U,     0x0735dfbfU,     0x581a2504U, \
    0xa91c78a8U,     0x0c959c19U,     0x5924f5e4U,     0x137386b7U, \
    0x36b14aebU,     0x2fa66153U,     0x2822e142U,     0xfdc74479U, \
    0x961214b5U,     0xcd2ea39eU,     0x9e73197bU,     0xf4c44ed9U, \
    0x96af4c29U,     0x651f0e59U,     0x6b43cd85U,     0x6a823611U, \
    0x0168d392U,     0xd9506f9fU,     0x4a954324U,     0xef18410eU, \
    0xe858afb3U,     0x08879e62U,     0x9134881eU,     0x1d04e425U, \
    0x7b8ed32eU,     0xb2632487U,     0xae881662U,     0x0d241ccbU, \
    0x90a77922U,     0xd32adcaeU,     0xaa6d8335U,     0x02eb177aU, \
    0x5c971b1aU,     0x539bda9fU,     0x437e4a01U,     0x11057224U, \
    0x10d54601U,     0xac385edeU,     0x9031cf1aU,     0x72a46428U, \
    0x4d70a8fbU,     0x713ca192U,     0xeac0fbe0U,     0x4227c8d7U, \
    0xec37bd08U,     0xc705c8d3U,     0x419ab543U,     0x51449fddU, \
    0x84cbdf0cU,     0x24dd8499U,     0x52e01133U,     0x1f89811cU, \
    0x8c0ad4c3U,     0x1bf39afcU,     0xd3062046U,     0x61f8daf8U, \
    0x584b894aU,     0x4e8537d3U,     0x21c2da0aU,     0x39589052U, \
    0xb82d796dU,     0x3aa257bbU,     0x2c0db8c0U,     0xc5f7406fU, \
    0xf696ceaeU,     0x1424dd31U,     0x6eb54a8aU,     0x6627ec9cU, \
    0x7441b35aU,     0x80b0e772U,     0x1188c8acU,     0x1e1a7914U, \
    0x66691982U,     0x7d4b2ba9U,     0x96c2fbcaU,     0x9edccfa8U, \
    0xcf41b7d8U,     0x99bc125eU,     0x6bb20f44U,     0xa1bf0ef5U, \
    0x6276b82cU,     0x06134b9aU,     0x6101995bU,     0x7321f117U, \
    0xd37ce09bU,     0xc453c5deU,     0xbed14ab0U,     0x48b63de2U, \
    0xf310eecbU,     0xc0c36191U,     0x62d6ed8bU,     0x2a956e17U, \
    0xf5a51fe0U,     0x9f3f74acU,     0xa1615e37U,     0x53cc8760U, \
    0xd4d9d8bdU,     0x0a625599U,     0x3d454973U,     0xa4481482U, \
    0x60007c4cU,     0xfd8c453bU,     0xd65ff2b7U,     0x2624b47fU, \
    0x9f8b90e8U,     0xe030d10cU,     0x2fcc8c2bU,     0xdfc0e077U, \
    0x31f311aeU,     0x397fc223U,     0x0edc6df6U,     0xe3510fb4U, \
    0x778785ecU,     0x1c6f951cU,     0x98102f3dU,     0x2bb741f1U, \
    0xb3db99ccU,     0x21defc6aU,     0xf07deadcU,     0xff0232e9U, \
    0xf3c6327eU,     0x630102c3U,     0xbf57fba6U,     0x301dd093U, \
    0xa9481cabU,     0x85a1d4c5U,     0xeb1cb3acU,     0xa0a08f07U, \
    0xa3a9c3e1U,     0x870b8609U,     0x349f13acU,     0x46c8a5adU, \
    0xdc5ceeb4U,     0x574bfea6U,     0x45f00011U,     0xb14a4973U, \
    0x8c065465U,     0x6cb23a35U,     0x0105e553U,     0x001dd112U, \
    0x8f7dd600U,     0x23c7d74bU,     0x7436af11U,     0x3fb685f5U, \
    0xb9f277daU,     0x98c26998U,     0xc4936c88U,     0x8c3fdafcU, \
    0x25b127f6U,     0x12f06291U,     0x6809e2c8U,     0x6eb46977U, \
    0xfbb516ebU,     0x0db754a9U,     0xd44d7f87U,     0x0f02b936U, \
    0x09dffcb1U,     0x5096a00aU,     0x7f02be07U,     0x119f9a34U, \
    0x4a2a6026U,     0x6dedc394U,     0x1a3c1925U,     0xed830867U, \
    0xfffb5c68U,     0x75c825ceU,     0xce89602fU,     0x427e07f1U, \
    0x1dd92b6cU,     0xc4bbc2a7U,     0xe02c04e9U,     0x14599e54U, \
    0x94405ee4U,     0xd55bc5afU,     0x5d5fd8c1U,     0x23ddadf8U, \
    0xb4435009U,     0xbc03195dU,     0x8f3f77afU,     0xf5d4b194U, \
    0x7a980effU,     0x5818bde9U,     0x144dbff4U,     0x1b94b891U, \
    0xb1d9b156U,     0xfb1aa750U,     0x2496a7acU,     0x2f9d80e8U, \
    0x6f34bfedU,     0xb3e5d75aU,     0xaffdec2fU,     0x10728fd5U, \
    0xb205a15eU,     0x77579ba8U,     0x36c6cd03U,     0xa4ca15feU, \
    0xd0ade102U,     0xeb6a778aU,     0xd4ffd694U,     0xef0435ecU, \
    0xef9bc33dU,     0xe747d711U,     0x59343f48U,     0x796cab1fU, \
    0xff1712d2U,     0xc60e3cf1U,     0x585ad7a6U,     0x8ec7e2b2U, \
    0xdfa9ceafU,     0xf2ef55b0U,     0x6899db9bU,     0x719d4581U, \
    0x74ba46a8U,     0xe042e433U,     0x80cd58e0U,     0x05feb61dU, \
    0x9863cdc9U,     0xf79751b2U,     0x4ddcc52dU,     0x8f7cffd4U, \
    0x4523c419U,     0x5c959efdU,     0x056926bdU,     0x1cd5e77eU, \
    0x88240702U,     0x2e7f3229U,     0x56a71247U,     0x87066130U, \
    0x191f7449U,     0xdec14d88U,     0x4f217f43U,     0xae474866U, \
    0x4ff78fa0U,     0xcfcf199bU,     0x432a971fU,     0xa79c37f4U, \
    0x2ed7be25U,     0xd42a0639U,     0xab060ad0U,     0xc1d250a1U, \
    0x86f10aebU,     0x165ef8deU,     0x21cb4f4cU,     0x041036eaU, \
    0xb9f78d3cU,     0xca105cd9U,     0x5f4a64f4U,     0x242d938bU, \
    0x83ccd089U,     0x7658afbaU,     0x074f1e09U,     0x837ec14bU, \
    0x1abc5de4U,     0xb569078eU,     0x63c5675dU,     0x6bc3ac81U, \
    0x8f3aabd6U,     0x0caf8f92U,     0x27c977f0U,     0x57f4a4b0U, \
    0x6825fbc8U,     0x1886407cU,     0x85281864U,     0x896837b8U, \
    0xec89b8a2U,     0x7e120f2eU,     0x3374218fU,     0x26a789a8U, \
    0x016931b4U,     0x8dc5a238U,     0x4e87c42cU,     0xa1ff5308U, \
    0xd200c96aU,     0x66e5f44dU,     0x610d418dU,     0xa5047d58U, \
    0x70e96430U,     0x18b64fa0U,     0xfb0fd565U,     0x3e16e6c3U, \
    0xb57a200eU,     0x5a4518e2U,     0xd01621e7U,     0x7788445aU, \
    0xe570c156U,     0x7469b36eU,     0x1fa2aec0U,     0x83dae041U, \
    0x97cbd0c2U,     0x8d51420aU,     0x67423c04U,     0x46f5573bU, \
    0xed97e6e7U,     0x4daf076eU,     0x3ba0b4b6U,     0xbdd9aef5U, \
    0xbb0d1032U,     0xffa017ddU,     0x4c673fabU,     0x9bcca841U, \
    0x1c3e9f4dU,     0x4da04ebbU,     0x929a5540U,     0x9974ebdfU, \
    0x66c1958fU,     0x41aba03bU,     0xecafdaa0U,     0x869af246U, \
    0x88cba3a3U,     0x323230ccU,     0x8c529ca1U,     0xfaada39cU, \
    0x2b2162abU,     0x6ecb06beU,     0xbaae439dU,     0x8c6c6e43U, \
    0x58715305U,     0xf55af49bU,     0xad562771U,     0xf3abc4eeU, \
    0x87278d6aU,     0xd4517392U,     0x63c4e4c5U,     0x79f5fecfU, \
    0xc7a43edcU,     0xfa3ac3dbU,     0xc28bf201U,     0xd61ed734U, \
    0xfbcedf3bU,     0x792c97f2U,     0x0f19eed7U,     0x96fd1e8bU, \
    0x0270471aU,     0xa60cdcdaU,     0x988fb5a7U,     0x5f18194cU, \
    0x675c6f9bU,     0x2a8962e1U,     0x3474366eU,     0x94dd9078U, \
    0xdefdf214U,     0x19d5a6abU,     0xbb70bca7U,     0xfa32029fU, \
    0x042feb21U,     0xbd4455a1U,     0x934c21c8U,     0x1cc08836U, \
    0x96a7965fU,     0x0432e857U,     0xe01e929dU,     0x11db0dd5U, \
    0xd3055af6U,     0x56673b1eU,     0x7cb6f6faU,     0xdc40d5beU, \
    0x57019b85U,     0xc3bcc3edU,     0x536df963U,     0x170b2467U, \
    0x9b12e97eU,     0x38d8650eU,     0xbea536a3U,     0x8b9794e1U, \
    0xfbd80693U,     0x3a04863dU,     0x51e75936U,     0x54d0629eU, \
    0x144c3694U,     0x421d8dcbU,     0x1ef4f6deU,     0x7919fbc6U, \
    0x5b082840U,     0x37701408U,     0xc077c703U,     0xfdd8e320U, \
    0xdc667a2bU,     0x6afd3333U,     0x81082ab6U,     0x37c8a98eU, \
    0x8eb22db7U,     0x88484d50U,     0x0b00e3e9U,     0xac9a4dccU, \
    0xd151166eU,     0x0782ab9dU,     0x1c7a9126U,     0x4ed33d0bU, \
    0x0cceb113U,     0x467f858aU,     0x1b7691a8U,     0xe60bc03dU, \
    0xa85f2d9cU,     0x96140df3U,     0x2d16b9e9U,     0x914ebc59U, \
    0x671c4eccU,     0xe0aede8aU,     0xd49ee823U,     0x769146beU, \
    0x43d4bb13U,     0xcf468375U,     0x2b7dc230U,     0x8c205feaU, \
    0x4eaabeecU,     0x1069d308U,     0x9e462a5cU,     0xbcb1b05cU, \
    0x0a2f8060U,     0xeb50c52bU,     0xd3530ed8U,     0xf1d63372U, \
    0x7cb45734U,     0x9b5a0229U,     0xdf150367U,     0x0483211fU, \
    0xbe85abe7U,     0xb1a70cb4U,     0x306cd35aU,     0x83256c45U, \
    0x4f24c361U,     0x4d667fb1U,     0xbbe52116U,     0x663fc371U, \
    0xcd01de21U,     0x5aa57d01U,     0xece4d510U,     0x799a26faU, \
    0x6d153515U,     0x4e4082e4U,     0x601daed7U,     0xd22fdb70U, \
    0x0b820ac0U,     0xb44fe44bU,     0x69094b50U,     0xecc20e7aU, \
    0x414bd07dU,     0x7067f743U,     0x3fa9a992U,     0x10bf01d2U, \
    0xa5acbf56U,     0xf1bc64daU,     0xffcec424U,     0xec878b0bU, \
    0x79154b96U,     0x6d967843U,     0xb9a1c1ffU,     0x9279375eU, \
    0x56c5fe36U,     0x4da6b648U,     0xdbff2b0bU,     0x9280f918U, \
    0x44bc3445U,     0x39f1d8d2U,     0xce166642U,     0x454998c0U, \
    0xb3afd480U,     0xc20072d7U,     0xf073412cU,     0xdbf2c4bcU, \
    0x3469b1f1U,     0x46f82af0U,     0xcd8cc8b2U,     0xd5d926c0U, \
    0x7f01daf7U,     0x15f45dedU,     0xa012d52eU,     0x35e1e225U, \
    0x1878d7feU,     0x8899577fU,     0xa155d187U,     0x08417e04U, \
    0x9410cddeU,     0x86b98b96U,     0x18e4020fU,     0xcae9e05eU, \
    0x9312accbU,     0xd21a6303U,     0xeab7248aU,     0x9f547d7dU, \
    0x6d0d1228U,     0x92173a48U,     0xd5527819U,     0x8f742130U, \
    0xe3259e80U,     0x757981d7U,     0x676c8406U,     0x46123293U, \
    0x8ab975deU,     0xfc3ef9bbU,     0xcad6cfe2U,     0x7c9a956fU, \
    0xb17dc622U,     0x1bb2f5e3U,     0x6210a7beU,     0xffbed60aU, \
    0x8a56f595U,     0x54ea7553U,     0xaae72020U,     0xe6b52ac7U, \
    0x7cdba98fU,     0x4e76fb91U,     0x5c067fddU,     0x0b4c21fbU, \
    0x69d90e41U,     0x8a66395eU,     0xef46d560U,     0x8e246017U, \
    0x08cb0d7cU,     0x3cc0d921U,     0xf4a0e529U,     0xcd7bbe82U, \
    0xcaed0f23U,     0xddc1de53U,     0x3fba1e1bU,     0x20047956U, \
    0x0a41336fU,     0x2e9d1667U,     0xe44aab06U,     0xe7550b2fU, \
    0x5fa94772U,     0xb3a84df9U,     0x9e682773U,     0x9352fb0aU, \
    0x0143a629U,     0x29b39021U,     0xc8a61a88U,     0xcab8c5caU, \
    0x37b600a6U,     0x0055cfb0U,     0x8c6736b7U,     0xe7e27042U, \
    0x0dfb4ebcU,     0x418bdf8cU,     0x77c2b44cU,     0x00a3315bU, \
    0x7d47d8c6U,     0xacb7aa30U,     0x1822c3d6U,     0xa1305098U, \
    0xd1b10831U,     0x9f12be2fU,     0x07092991U,     0x31c16544U, \
    0xca9929ccU,     0xcde02eeaU,     0x5a41b53dU,     0x73ea9904U, \
    0x5e5286a1U,     0x0e5928b1U,     0xeb1c5e87U,     0x1e31c9a2U, \
    0xf3423571U,     0x8e539039U,     0xe41690a0U,     0x618e4df0U, \
    0x3754d3a2U,     0x2e8baa05U,     0x575d6f33U,     0x8cb9659eU, \
    0x7151ceadU,     0x479775d6U,     0x31f48deaU,     0xc5a048c7U, \
    0x3ce8ff26U,     0x0b539fe5U,     0xece4140aU,     0x152a9b01U, \
    0x5e126ae7U,     0x734cf016U,     0xa24558ceU,     0xf56b3a6fU, \
    0x02ac35d2U,     0xdf49d8fdU,     0x1e785a74U,     0x51c91d99U, \
    0xac135ba3U,     0x2c6fb00fU,     0x13f1172bU,     0x6e3872c8U, \
    0x525f76ceU,     0x9b9bf9bbU,     0x085bdda3U,     0x62d2a581U, \
    0xe89d67f6U,     0x00c74f6dU,     0x5e25ae5eU,     0xd216e293U, \
    0x11dcc6dbU,     0xf801f388U,     0x0d7a4fb1U,     0x72795d8dU, \
    0xce30d66dU,     0x45143531U,     0xc26780a7U,     0x677d5750U, \
    0x44965f81U,     0xdb2cc13dU,     0xf9b62fd1U,     0xcbb9f23fU, \
    0x0296af3aU,     0x2d52bee3U,     0x12494eadU,     0x4bd8f8f0U, \
    0x93abbabdU,     0x27a04c66U,     0x6f98f93bU,     0x994561b9U, \
    0xce91fe71U,     0xe0bc73f9U,     0x3da6bdbfU,     0x08736db2U, \
    0x128b9694U,     0x764ed7a1U,     0x092e312cU,     0x0ed3e770U, \
    0xb174d169U,     0xe658dfe3U,     0xf28d8912U,     0xfe837308U, \
    0x905a4542U,     0xdc34e0a9U,     0x63a76060U,     0x051d9424U, \
    0x250b1659U,     0x74143e8cU,     0xc25f91c2U,     0x13562bacU, \
    0xe8389d7bU,     0xf13a8494U,     0x8f1d6178U,     0xbbb1c046U, \
    0xf0027eaaU,     0x8e1400a6U,     0x6265b42aU,     0x4a5a3b5eU, \
    0x1e51279bU,     0xea2c4445U,     0x02a42450U,     0xa8d5ace8U, \
    0x357d067dU,     0xf02324daU,     0x8575ef43U,     0xc364aba9U, \
    0xe7d47222U,     0xe2fdb32fU,     0x005a94b1U,     0x110e61b5U, \
    0xe153d0f1U,     0x141198deU,     0x81e0aed9U,     0xbd7a88abU, \
    0x8f2d9760U,     0x0d3d8c40U,     0xc58c6ff3U,     0xa96382a4U, \
    0x3958cca0U,     0xffef2967U,     0x337f775dU,     0x23db9d1bU, \
    0x2ecaae75U,     0x11f062ceU,     0x83d6d123U,     0x111c3183U, \
    0x5f085175U,     0x5561cb17U,     0xe823ba2dU,     0xd4d81043U, \
    0xa5618fc5U,     0x6fe8ad4eU,     0xcf4bb177U,     0xb73dbd7cU, \
    0x6da21f85U,     0x136c81b3U,     0xbf2aed39U,     0x53d10f32U, \
    0x2d543c02U,     0xdfc96733U,     0x835ef6afU,     0x6ad845eaU, \
    0xad9b3de4U,     0xa3450430U,     0xfbb44819U,     0x76ff8a14U, \
    0x823aa90aU,     0x15a22de2U,     0x1ae08d53U,     0x157f3f72U, \
    0x486d2fd3U,     0xe382e1a4U,     0x772f3904U,     0x752ed74cU, \
    0xe519a178U,     0x3c170518U,     0xcb0a7451U,     0xfed77765U, \
    0xc27b597cU,     0x2beca9e8U,     0x94fd0026U,     0x58381918U, \
    0x455dfbbcU,     0x0be01606U,     0xfde1d1b5U,     0x0517a0c8U, \
    0x84901078U,     0x4a20d08cU,     0x951512a9U,     0xc8460cafU, \
    0xab166511U,     0x2e472cbaU,     0xdb7f2c35U,     0x87e2228eU, \
    0x48618a2eU,     0xf2f6a3ceU,     0x28f9ea3eU,     0xc1b0e41aU, \
    0xa43f0a6bU,     0xc17e9a06U,     0x14dc388dU,     0x84a1a2d4U, \
    0x46359c30U,     0xca4bb9a3U,     0x71fb8bd7U,     0x96596b9eU, \
    0xe7625197U,     0x8c20a760U,     0x206cfcdbU,     0xfb348566U, \
    0xb99f90f4U,     0x158764deU,     0xb80f2a19U,     0x39da662dU, \
    0xeedf980eU,     0xabd5dedfU,     0x6a5864f0U,     0x7d0055a0U, \
    0x6567405dU,     0x19ff2c58U,     0x3cb6c123U,     0x62480b3bU, \
    0xb3a131afU,     0x42939511U,     0xfec93246U,     0xe1a64502U, \
    0x138bbb2fU,     0xf7f20267U,     0x0500568eU,     0x2cec132fU, \
    0xd2afd234U,     0x4eba0c3cU,     0xf396c7d6U,     0x823622b8U, \
    0xdde03a3eU,     0xe36d52dbU,     0x2867c37cU,     0x69c6f61bU, \
    0x872cc304U,     0x5a11faeeU,     0x8e48748cU,     0x95107b11U, \
    0x3055e05fU,     0x0c55c448U,     0x46714f1fU,     0x330093a8U, \
    0x8c71bf9aU,     0x109ba98dU,     0x6ef8ddc8U,     0x377beda2U, \
    0xa600e650U,     0x6203fd9aU,     0xe96247c3U,     0xb7bc5023U, \
    0xf1e7ede4U,     0xb599c457U,     0x88457c30U,     0xe47ede3fU, \
    0xb2bf1a3fU,     0x49e9fcfcU,     0x7d87d14bU,     0x57311791U, \
    0x3bf72c25U,     0x6367939cU,     0x7956e974U,     0x02c10173U, \
    0x66e16920U,     0x1055e883U,     0xac93d5b4U,     0x582f834fU, \
    0x6ba8fdabU,     0xcdbbf797U,     0x0fdcd556U,     0x12f49bacU, \
    0x44ac35d6U,     0xcc7e66d2U,     0xaa564421U,     0xe2c1c364U, \
    0x32707be3U,     0xa1cced48U,     0x460a51a8U,     0x1cc00976U, \
    0x38fc8c12U,     0x06da926eU,     0xdd770daaU,     0x20dabb58U, \
    0x5d8c8e0cU,     0x00af1054U,     0x5d887d63U,     0x8960dcc2U, \
    0xff3a97ebU,     0xfb947fc1U,     0x45092d15U,     0x434a9b55U, \
    0x8342d671U,     0x1772081cU,     0x747abbaeU,     0x60201be6U, \
    0xaa112680U,     0x5c21f98dU,     0x3c3322a1U,     0x957f8777U, \
    0xb3df6de2U,     0x59eb69e1U,     0x5f9e5e0eU,     0x1b4fc866U, \
    0x5b74a194U,     0x234eef62U,     0x46c8bba8U,     0xe40fb8acU, \
    0x0a36958bU,     0xf1c30682U,     0xd7533965U,     0x56968056U, \
    0x521b97e6U,     0x28b69c85U,     0x73d9c99eU,     0x94adae83U, \
    0x7ced30a5U,     0x333033edU,     0x6ec99bd6U,     0x9710cc45U, \
    0xf9892575U,     0xdaf39df9U,     0x962ed2e1U,     0x4f224e08U, \
    0x9473e2cdU,     0xb0dbcbf1U,     0xd067f20cU,     0x345763a2U, \
    0x7b3f5674U,     0x306c530dU,     0xbf010aeeU,     0x8dc47740U, \
    0x5a113ff3U,     0x631975caU,     0x2bd480caU,     0x9cd2d7d3U, \
    0xc4e1dc42U,     0x9b6042aaU,     0x2c94d35aU,     0x732d79a9U, \
    0x15830767U,     0xd221de40U,     0x48cb0a7cU,     0x8d7681f8U, \
    0x7494b477U,     0x80dd620dU,     0xc3543373U,     0x3491b5a2U, \
    0x6bddaf21U,     0x2808bc06U,     0x6f21286fU,     0xf59be043U, \
    0x4bdbc1d4U,     0x321961d0U,     0xad5eda47U,     0x99e06ad6U, \
    0x2298f08aU,     0x60ae2330U,     0xda7184b1U,     0x86739512U, \
    0x8930d6a0U,     0x1244aad9U,     0x49980340U,     0x2fc36f20U, \
    0x312ade91U,     0x1ce01198U,     0xd9e197e4U,     0x93bc7e6cU, \
    0xc31e1594U,     0x1934ed86U,     0xc3fc511cU,     0x9b7b145bU, \
    0x6136af79U,     0x66725f62U,     0xa2aa4227U,     0x6fc48fc9U, \
    0xd9f9fc96U,     0x029b54c8U,     0xcd504d7fU,     0xf1adb0adU, \
    0x0a6beb8dU,     0x0acb8bc0U,     0xaa17611eU,     0x1ec6788fU, \
    0xf9397312U,     0x844c5b85U,     0x12bdb746U,     0x1af5b512U, \
    0x67df4a1fU,     0xedce3ae0U,     0xcfdd959eU,     0x378f68b5U, \
    0xf54c10c0U,     0xfd9b916fU,     0xe29b36daU,     0xbfd70c76U, \
    0xaa66742eU,     0xdc4d0fe8U,     0x458c68cbU,     0xfddbcb20U, \
    0xee80483fU,     0xdf407154U,     0xfecf6dbfU,     0xf241c343U, \
    0xc6b73914U,     0xbb6ad44dU,     0xb8b6a234U,     0x04c03ad9U, \
    0xb06d5e78U,     0x75fbc79dU,     0x09398a73U,     0x3f4098e9U, \
    0x403271c4U,     0x4beecb3eU,     0x78189537U,     0x851be258U, \
    0x2c45b860U,     0xbb37c61aU,     0xe38c57b2U,     0x94c6a3a2U, \
    0x592ff6d7U,     0xce9599d9U,     0xacca8f9dU,     0xc38cf983U, \
    0xed264ce1U,     0x1561bb33U,     0xa6af51feU,     0x38884ee2U, \
    0x7c20d055U,     0x86dc0053U,     0xd38887d2U,     0x58f6d6f7U, \
    0x89df6978U,     0x84210202U,     0x89461b79U,     0x4672e038U, \
    0xe1d19631U,     0xad0c30b8U,     0xc70d53daU,     0x1ea67074U, \
    0xe7149a03U,     0x851025f6U,     0x79768b05U,     0x6236f911U, \
    0x8df0990eU,     0x3264d847U,     0xca8a1ac5U,     0x24020109U, \
    0xa8bca71eU,     0x38c37c48U,     0xbfd35ec2U,     0x7adbcb3dU, \
    0xe6268b71U,     0xcb525981U,     0xdaf23947U,     0xbe57c5f8U, \
    0x01615b7cU,     0x91fa235eU,     0xaf423d60U,     0x124d332cU, \
    0x72ba6425U,     0x2867945eU,     0x7ca25148U,     0x6b37a3c0U, \
    0xc1f51402U,     0x7a6e03e4U,     0x58e6a7f8U,     0x90dbd055U, \
    0x01a44ec2U,     0x19b0b21cU,     0x88526366U,     0x603fd716U, \
    0xdd878124U,     0x455ac9e2U,     0x4de5d25eU,     0x8636744cU, \
    0x5f313013U,     0x62b72531U,     0xbf57cbe3U,     0x6c46a634U, \
    0xfcd23d7eU,     0xb3592c92U,     0x9ff5ca70U,     0x0f60f07fU, \
    0x960fb7afU,     0xae75ecf0U,     0x4fd21451U,     0xd0edbf39U, \
    0x601f3291U,     0x70ec2652U,     0x250c1bb6U,     0x7d1b1396U, \
    0xd9084cd7U,     0xed256bb5U,     0x0b0a80f6U,     0xc658694cU, \
    0x1b31dcc1U,     0x4c54617dU,     0xe9f77b68U,     0x01e40a9cU, \
    0x2bc48991U,     0x29ccc11eU,     0x7d50ccd8U,     0x40b7b148U, \
    0x729fc488U,     0x022d7cfcU,     0x9e10f665U,     0x2c4f7cacU, \
    0x053d7408U,     0x0eed8cefU,     0x7b17566cU,     0xd9ada0bfU, \
    0x79ce1856U,     0x1a0bbcc7U,     0xa76df904U,     0xb67c2ee6U, \
    0x5227fb6dU,     0xa3119a3fU,     0x1da0353aU,     0x5c211e52U, \
    0x013fb8b9U,     0xede1256cU,     0x8fb6d09dU,     0xdbc9c1aeU, \
    0xf7a599ddU,     0x0c082db5U,     0xb26bb288U,     0x774a97caU, \
    0xd99a34f7U,     0x8bfb9d90U,     0x90c7a52bU,     0x5456e53fU, \
    0xd8f02adaU,     0x8062630aU,     0xfab0c859U,     0x425a613bU, \
    0xc3bd37b8U,     0xd28bf336U,     0x11d9ed15U,     0xd1431546U, \
    0xc0d31f65U,     0x1f97362aU,     0x5c93f3bcU,     0xdc7a5bd6U, \
    0x68427a10U,     0xfa985515U,     0x38730c72U,     0x3ebc72f4U, \
    0xc38b22daU,     0xcf8f367fU,     0x57bbe683U,     0x07b803d4U, \
    0x73dd7241U,     0x1cbfea52U,     0x0e03e788U,     0x690a70a9U, \
    0x8c2bd571U,     0x425b78e8U,     0x727a69e1U,     0xd4ae101bU, \
    0xed8c3097U,     0xd02ef741U,     0x722d2efaU,     0xb3016df5U, \
    0x93eb06e1U,     0x349fdee1U,     0xb1092f9bU,     0x12d0f075U, \
    0xbb4c145fU,     0xa950e3c3U,     0xa7963437U,     0xc564ea82U, \
    0xc223e31eU,     0x56d1d438U,     0x3a8bbe1cU,     0xed51f946U, \
    0x3c6e56f9U,     0xd526c261U,     0x64ab12ddU,     0x64e9d10dU, \
    0x14817f10U,     0x54627006U,     0xee526ab6U,     0xf929cc56U, \
    0xf547ccf5U,     0x12fdcc8dU,     0x85910b6eU,     0x998d0f0bU, \
    0x16ca5facU,     0x5da14cf4U,     0x6c61c93aU,     0x47c68bfbU, \
    0x2b38a941U,     0x6712eb7cU,     0x74d7de31U,     0x0d8c0438U, \
    0xfacc8499U,     0x1f422381U,     0xf748a643U,     0x2c64a81aU, \
    0x9a6fa823U,     0x0cc6ff77U,     0xad8a61c9U,     0xeaba5802U, \
    0x20cb6f9bU,     0xb41b9d4aU,     0x3a989cfcU,     0x20600aadU, \
    0x4c52e54bU,     0x7d473870U,     0xcd468172U,     0xc29c7682U, \
    0x074de359U,     0x2de9fd0aU,     0xdd264bc0U,     0x237ef060U, \
    0x8296f408U,     0x6580bddcU,     0x70b1e51eU,     0x90c37aa1U, \
    0x6c80db8aU,     0xab1d6adeU,     0xd208d06cU,     0x465c257bU, \
    0xcfd22e80U,     0x366e55adU,     0xfc45ed35U,     0x6391f46dU, \
    0xac7913eaU,     0x6bc4f2a1U,     0x0118fbb6U,     0x4361caa9U, \
    0x775779c4U,     0x0150e22dU,     0xd883c5d7U,     0x4c996f51U, \
    0x10e78a8aU,     0x62133d53U,     0xd3153398U,     0x948b0211U, \
    0x26a76fd5U,     0x5ed59219U,     0x3083a9cfU,     0x4b93064cU, \
    0xc61d49d5U,     0x5973d3ecU,     0x5b7221f9U,     0x6ecc0b2eU, \
    0xc1a94e88U,     0xdc11406aU,     0x2003b854U,     0x01540162U, \
    0xc17d9e9aU,     0xea6789b4U,     0x186b017fU,     0x468381b6U, \
    0x119816edU,     0x331a63c2U,     0x810aa46cU,     0x8e6d7048U, \
    0x7397598eU,     0x5e809859U,     0x07839670U,     0x680aa80bU, \
    0x573395e1U,     0x73c09335U,     0x154ff662U,     0xcc6d1d88U, \
    0x1b88dbf4U,     0x3253466fU,     0x5bf0a335U,     0x885c46a2U, \
    0xd3c9876cU,     0x1b109d80U,     0x14149417U,     0x095d7992U, \
    0x9b054c73U,     0x5cb374b5U,     0x65125453U,     0x9cfcc334U, \
    0xe587de19U,     0x83fdc928U,     0xafdd353bU,     0xf2b5abd0U, \
    0x7935b8a0U,     0x2e347eeaU,     0x2b7a7285U,     0x91411a27U, \
    0x033dab1aU,     0xa0d5cbf6U,     0x8f1ed669U,     0x42a2461bU, \
    0x89512f9bU,     0x067d721eU,     0x65c9acf4U,     0x026ac431U, \
    0xbcedb2daU,     0x17057836U,     0x8db6fff1U,     0x99a628deU, \
    0x27e871e5U,     0xf86f44ceU,     0x0d54e18bU,     0x5dfe2c9bU, \
    0xb758b113U,     0x538a5de7U,     0xd0f2583eU,     0x833d0ea4U, \
    0xfa07ddccU,     0x9d7c5596U,     0xb981c81eU,     0x06ce529aU, \
    0x55a78286U,     0x080cfd2bU,     0xa7589544U,     0xebea45beU, \
    0xf941a6acU,     0x8c2c986cU,     0xa90df04aU,     0xb2dbd617U, \
    0xa2385282U,     0x720ad9b4U,     0x9f73f52cU,     0x4b00d694U, \
    0x4b4b7d10U,     0x83870a6dU,     0x9c9574cfU,     0x6442e2caU, \
    0x6d71f793U,     0x36488506U,     0x0e3ef2deU,     0x70e43671U, \
    0x2fe0fae8U,     0x8bbe281eU,     0xa731b0b3U,     0x5e76e00fU, \
    0x107e7792U,     0x9a143ce9U,     0xd58c41fdU,     0x1bfd23b0U, \
    0x5c30ad0bU,     0x06d09fc2U,     0x1f9ce8a4U,     0x7057d537U, \
    0x3aed1326U,     0x1451726dU,     0x67fb8c69U,     0x2eaa26e1U, \
    0x3f5bad0aU,     0x0e92b463U,     0x9c46b56dU,     0x1bbbf8adU, \
    0xe1dbb71eU,     0x047fe974U,     0xf37f9d8dU,     0x4f4e59adU, \
    0xa0a30e27U,     0x5b61d4e2U,     0xad7ed521U,     0x6fda4c14U, \
    0x9fe5e87cU,     0x3583efd5U,     0xa9711de7U,     0x80bdafb1U, \
    0xbd5f44eaU,     0xa4e61070U,     0x66dcf47aU,     0x6aad0907U, \
    0xad2a4441U,     0x9ddbc508U,     0x3800188bU,     0x057c976fU, \
    0x8520b196U,     0xf12ab1e6U,     0x7848a864U,     0x5f0694cdU, \
    0x3af638b6U,     0x6f78dbbdU,     0xf13a02f2U,     0x38c89f1bU, \
    0xdf1f1577U,     0xaca47cbbU,     0xeb77af66U,     0x7407bc63U, \
    0x8fb32198U,     0x9c3c387fU,     0x7c6725fdU,     0x8a35b26dU, \
    0xc039395bU,     0x12b85a36U,     0xc0c2e3ebU,     0x81adf929U, \
    0x05dd1568U,     0x06b1b294U,     0x2f6b74ccU,     0xb85cd03fU, \
    0xd97e2d42U,     0xf3970574U,     0x2263d8a8U,     0x5c4aed6fU, \
    0x4bfd27a6U,     0xfb2dbee9U,     0x82c0091eU,     0x18f9d159U, \
    0x2110db1eU,     0x53a8cc70U,     0x22412ec1U,     0xe4d3cfd1U, \
    0x750eda2cU,     0x2b405116U,     0x9042a191U,     0x637ca250U, \
    0x7034e8caU,     0x93d8ae6dU,     0x41c6242eU,     0x06e1cb04U, \
    0x84d92c9cU,     0x2f8f17c4U,     0x94e79819U,     0xbf258815U, \
    0x7bf30c7dU,     0x068d97d0U,     0xbab562a1U,     0x2ed1b6acU, \
    0x86284f72U,     0x3bf4cd4bU,     0x59619df3U,     0x69282ef7U, \
    0x74c53bf2U,     0xcce45c9dU,     0xebd51772U,     0x03632f24U, \
    0x159c4f1eU,     0x241aa210U,     0xa880992bU,     0x514544e8U, \
    0x4f07c867U,     0x89de4f7eU,     0xdbf79babU,     0xcec31ab9U, \
    0xe43b40f7U,     0x4c34e25dU,     0x03677e73U,     0x25d90348U, \
    0x5fdcc016U,     0x2171be46U,     0x4345a079U,     0x1e6a733bU, \
    0xc08d85dcU,     0xe06e0366U,     0x30b7a11fU,     0x1e401d01U, \
    0x5f5768c5U,     0x8910c614U,     0x43a5cfddU,     0xc9fd6603U, \
    0x36f1203eU,     0x1f44a8b4U,     0xb419731fU,     0xf3562d9eU, \
    0xe2ff2595U,     0x9ba9896fU,     0xf7bf88c4U,     0x0056fcc3U, \
    0xf6595456U,     0x066669c0U,     0xe4bdea82U,     0x649953c5U, \
    0xb6b29fe5U,     0xdf86bc60U,     0x2ad6eb6cU,     0xe09fd4caU, \
    0x1507dc0aU,     0x5dae14ccU,     0x71e69b61U,     0x738744feU, \
    0x52328821U,     0x8795416fU,     0xbcc6e547U,     0xc8790c54U, \
    0x086284efU,     0xd0528542U,     0x7cac2d9dU,     0x4bf265aaU, \
    0x7e35bde5U,     0xde873b05U,     0x7bd01950U,     0x753669d4U, \
    0xfce25c8bU,     0x9023d1c3U,     0x01e380c7U,     0x2633d683U, \
    0x44932dceU,     0x038feab6U,     0x128da1bbU,     0x219dc8afU, \
    0xc2604f3aU,     0x2a493a93U,     0xaa879d50U,     0x675215ffU, \
    0x0d7eb06cU,     0x72955c97U,     0xd277af1fU,     0x566dc7c8U, \
    0xfab092c9U,     0xfcc843d5U,     0xfa63c899U,     0x8ef5c751U, \
    0x0b655143U,     0x8a886a2eU,     0x61b12069U,     0xbf1dea0aU, \
    0xa6f8293dU,     0xb69430c0U,     0x4679c459U,     0x331c2f5dU, \
    0x18e512b4U,     0x64877945U,     0xaf6c9a05U,     0xd307fb48U, \
    0x5982c7c3U,     0x6d9bccf5U,     0x0e9c09fcU,     0x9aeb00c4U, \
    0x7450515cU,     0x28df9e11U,     0xb984c444U,     0xada7793dU, \
    0x5a7dc328U,     0xc699f921U,     0x8693088fU,     0x7af65f6dU, \
    0x520da204U,     0x78bfbec3U,     0xe1011cd8U,     0xe548a3d7U, \
    0xd4476d8dU,     0x2bd98ca1U,     0x3228e417U,     0x056e75feU, \
    0x1ed2b11bU,     0x46a2c68dU,     0x6e8cbd6fU,     0x638d6f4cU, \
    0xad0090beU,     0xddda62e3U,     0xe859761dU,     0x8305ab11U, \
    0x4e2c1a45U,     0x5b32390dU,     0x03a08eaeU,     0xf7c7a981U, \
    0x52a8c6a6U,     0xf3233444U,     0x70779427U,     0xeb2ef44aU, \
    0xdf7d5869U,     0xd3b9a435U,     0x6d3bdd74U,     0x13a15511U, \
    0xcedf96edU,     0x86fd3d00U,     0xa4f5ea68U,     0x752fbfa1U, \
    0x4f2fd37eU,     0x5d7601e5U,     0x7a5d7bc4U,     0x7a286b79U, \
    0xbc0b6b60U,     0x45a13e26U,     0xe38df1f6U,     0xf6fb15faU, \
    0x03f68bb4U,     0x6958f31fU,     0xda383200U,     0x047e54bcU, \
    0x24c64c86U,     0xf28aaf26U,     0xb65e431fU,     0x8af78308U, \
    0x00ace560U,     0xd424127dU,     0x19b73abeU,     0x49b4bc31U, \
    0x9ecd2828U,     0xb43b344aU,     0x0cc4f8d0U,     0x438f3d56U, \
    0xe18b97fdU,     0x272d23caU,     0x961d4901U,     0x6aeeb8a1U, \
    0xf1ddb477U,     0x8d0a754fU,     0x1a97cec3U,     0x3cfed17aU, \
    0xa81e7b2aU,     0x6a588483U,     0x6982d77aU,     0x29d79b17U, \
    0x106aeb0bU,     0x11cb6ddcU,     0x90e097b3U,     0xfb334974U, \
    0x0b938a81U,     0x3ce0070fU,     0x52695c1aU,     0x8082ceabU, \
    0xac758c0fU,     0xc7f13b04U,     0xad1a73baU,     0x5facb1f8U, \
    0x8dda8e05U,     0x25c17d13U,     0xf0962766U,     0x691e1dbcU, \
    0x197a16ceU,     0xb423b0a6U,     0xa9dfc988U,     0x02a02db3U, \
    0x91cb9ff6U,     0x8dc4b1b0U,     0x104561faU,     0x91a8fa3eU, \
    0x7d74de22U,     0x1450e97cU,     0x6cb4f31aU,     0x8028ddd2U, \
    0xbfc9731aU,     0xcb13dd59U,     0x2fa88fe8U,     0x034e3276U, \
    0x4aeb5365U,     0x544103a0U,     0x866fd7dbU,     0xa5ae343cU, \
    0x7f8bfb4cU,     0xcb769a68U,     0xc9303ca5U,     0xfd40ef9bU, \
    0x7f8c8da1U,     0xb8a92032U,     0x92b2e801U,     0x11a4f7abU, \
    0x41f41b17U,     0x36814376U,     0xcca88f3eU,     0xe0006a5aU, \
    0x9b7e3489U,     0x7a735ea7U,     0x381c7125U,     0xb1f2df85U, \
    0x565c1da7U,     0x0dd7bb3bU,     0x4545b68fU,     0xeed04d56U, \
    0x2011243bU,     0x3992e149U,     0x7b4ddad5U,     0xb98f8198U, \
    0x180d1942U,     0xd4b01506U,     0x6a46c876U,     0xb5da24ffU, \
    0x3a450ddbU,     0x1a093dc2U,     0xddd8fa6aU,     0x163421b7U, \
    0xa20358a2U,     0x43642a31U,     0xca2509fdU,     0x1d3ccd5cU, \
    0x135286a9U,     0x934a3a67U,     0xa9ab86d3U,     0x8d11d4ddU, \
    0xcd88e565U,     0xb1feda4eU,     0x490c90ccU,     0x02ff4eefU, \
    0x51f2b3fcU,     0x4f96b407U,     0x56a42006U,     0x714ed37fU, \
    0xadc2a82eU,     0xe0556417U,     0xcb102126U,     0xbc25f165U, \
    0x6eb2a9d9U,     0xc5dece16U,     0x663268a4U,     0xf0174662U, \
    0xea04ddd2U,     0x50d3cc18U,     0x3e3de66bU,     0xa3b9ccb4U, \
    0x10f56265U,     0xb40229b9U,     0x3e8f1248U,     0x1202672aU, \
    0xec607417U,     0x173e1f0cU,     0x6540f572U,     0x2f274b30U, \
    0x089f1a7eU,     0x5544d028U,     0xd20044deU,     0xd0eac762U, \
    0xe8701b2dU,     0xdc7ef4c8U,     0xbb89777cU,     0x31cc1d33U, \
    0xfd8f13c5U,     0x9e92b26aU,     0x3280ea07U,     0x4c6379bdU, \
    0xe2457babU,     0x8e0b876dU,     0x0585875fU,     0x14abd445U, \
    0x5baaee5eU,     0x2bef6a68U,     0xe76ae9d5U,     0xc16f5857U, \
    0xa7cc66a9U,     0x55750d26U,     0x28c82a53U,     0x6648f1b6U, \
    0xbf1db025U,     0x4d18aa9dU,     0x77f61eb7U,     0x4938f5c4U, \
    0x23c9dd2eU,     0xf3adb193U,     0x0e7f3d92U,     0x85bcea7dU, \
    0x5b0e210fU,     0x8c302230U,     0xa40ecda2U,     0x24279cedU, \
    0x7796bee9U,     0x82b58a76U,     0x042205c1U,     0xa8200811U, \
    0xb7d5a410U,     0xa1fec6b8U,     0x5a5d2c38U,     0xa8f36245U, \
    0x8bd3dafcU,     0x4cf7ddb3U,     0x311d18f3U,     0x09c2f7c4U, \
    0xee372740U,     0x1d546e93U,     0x8f013ee1U,     0x085c5e23U, \
    0x6e48dcfcU,     0xd89a8a80U,     0x5ef9de9aU,     0x970fe9e7U, \
    0x04ab7c32U,     0xd940e466U,     0x2ca2436bU,     0x368034e2U, \
    0x53d66763U,     0x24a3385dU,     0x9e4f0388U,     0x6dc4ab62U, \
    0x57892b98U,     0xf5346b9dU,     0x4aea6fb5U,     0x7460538aU, \
    0x45e8b3d2U,     0x25107c28U,     0x25388c43U,     0xa6538714U, \
    0xd13b0f97U,     0x18d8d2feU,     0x2afb104fU,     0x0c061894U, \
    0x954f1cb9U,     0xb45e233dU,     0xad89514dU,     0xf258cb24U, \
    0x185d0727U,     0x20b18544U,     0x6eacd3c5U,     0x797352d2U, \
    0xa33737a7U,     0x6b261559U,     0xffb4f07cU,     0x3c01cb45U, \
    0xf32ada91U,     0xecf8f8b4U,     0x29606797U,     0x9e7a0302U, \
    0xb5c8ca53U,     0x7e318944U,     0x7dcbbc06U,     0x4b93ca33U, \
    0x24ab0524U,     0x1fee024aU,     0x56f72ae5U,     0x54c93ecfU, \
    0x6dc98855U,     0xcf2147e5U,     0x2589a8f1U,     0x4576608dU, \
    0x023f84b0U,     0xc4517979U,     0xa210129aU,     0x60573956U, \
    0x8fe1b37aU,     0x15dfb9a5U,     0x717c75a0U,     0xe110938cU, \
    0x4883f937U,     0x27d16aebU,     0x6deabc63U,     0xdc50a107U, \
    0x1e66df2aU,     0x430e3e16U,     0x6241347aU,     0x7aec582cU, \
    0xef93f893U,     0x2d684a9dU,     0xfc9d7d57U,     0xcfe1a000U, \
    0x2e4b89e5U,     0xd8b04067U,     0x291aaebdU,     0x8aad55abU, \
    0xcf0f466dU,     0x933cc7c0U,     0x26e833bcU,     0x21bc558fU, \
    0x0420a485U,     0x0307fe5aU,     0x44af659dU,     0x608f1965U, \
    0xf5364605U,     0x0087e809U,     0x1703ceecU,     0x02e139ccU, \
    0x15e70d32U,     0xd0b82975U,     0x8d478e4dU,     0xe09fff7aU, \
    0x4eb496b2U,     0x52faf81eU,     0xf5d140e2U,     0x7ba818ccU, \
    0x31a7e90fU,     0x55044a30U,     0x639bdea5U,     0xcb068313U, \
    0x3e00abf4U,     0xe281d5b9U,     0x1da28c82U,     0x66c1f000U, \
    0xfd379c2eU,     0x343c5930U,     0x7b7138afU,     0x771ca009U, \
    0xf51193c1U,     0x5d60f782U,     0xb041ce11U,     0x98dad41dU, \
    0xbea9b55bU,     0x83de0623U,     0x921e7076U,     0xc3e3a8cdU, \
    0xf1fa0fa3U,     0x4c3eab86U,     0x5ea1f300U,     0x9d66c547U, \
    0x6ae4e1caU,     0x755dbc74U,     0x855d3cc8U,     0xccfb1e26U, \
    0x29081fb6U,     0x940da6abU,     0xc6930d2dU,     0x102ef11dU, \
    0x2fb97cb3U,     0x96b90384U,     0x8b39693eU,     0xb62d7d50U, \
    0x6383040cU,     0xd367b80eU,     0xf223d4a0U,     0x71705477U, \
    0xbdbce79dU,     0x1ae1fa10U,     0x5e248744U,     0x80e37d8eU, \
    0x2c5ff548U,     0xeb343425U,     0xb44bb44eU,     0xcaf4ae1dU, \
    0x8123936aU,     0xa1bdb215U,     0x7b843a9dU,     0xad7a728bU, \
    0x82f63194U,     0x7cbb08d6U,     0x5705ef72U,     0xb180e772U, \
    0xa28d8b3cU,     0x98c9bda8U,     0x7639ebb0U,     0x96d812edU, \
    0x067b4a43U,     0xc15d4931U,     0xda425323U,     0xd5641ce4U, \
    0xd988f2a7U,     0x3747f24dU,     0xbceace61U,     0xbf384692U, \
    0xa62d5db2U,     0x6ab18908U,     0x2be7d650U,     0x5a2d12c0U, \
    0xf21e252eU,     0xb56db2d0U,     0xc1959dfaU,     0x46bab550U, \
    0x71e3a68aU,     0xe4d96bffU,     0x74d6604fU,     0x693e64dbU, \
    0xb604c399U,     0x6f926383U,     0x5248cf1aU,     0x1e27e3f9U, \
    0x3a5f3a24U,     0xfd74825cU,     0xc27033faU,     0xdb9f8597U, \
    0xd25ad21cU,     0xe3f375c4U,     0xe2b3564aU,     0xed066c84U, \
    0x64abff16U,     0x57de1c1cU,     0x78713343U,     0x9b430593U, \
    0x6583affdU,     0x7fbd1a09U,     0x11f5dba5U,     0x6b4d6367U, \
    0xa0dfa4d0U,     0x33903108U,     0x55670e79U,     0xd04f3c75U, \
    0xac2a8c70U,     0x665e1d68U,     0xf358e78dU,     0x3dd4ccf6U, \
    0xf62be2dcU,     0x4c5c8aa5U,     0x00af21baU,     0xe9e964b0U, \
    0x2af373d9U,     0xd44a95ceU,     0x7dff35dfU,     0x576ed6b0U, \
    0x03daaae1U,     0x62dfbcd8U,     0xee19a138U,     0xf6e62040U, \
    0xc15cd98dU,     0xa124e0deU,     0x30401c50U,     0x9dffefa8U, \
    0xd827fb9bU,     0x58301dceU,     0x045a47b3U,     0x0c626ab8U, \
    0xb9d3cc2eU,     0x1b6db8ecU,     0x9fdb1a9eU,     0x94260129U, \
    0x61d7b921U,     0x52b1fd00U,     0x030a9ca4U,     0xaca95d6cU, \
    0xbcc9c348U,     0xf34198d8U,     0x53194089U,     0x180e4e70U, \
    0xc2e89046U,     0xad9613aaU,     0x9ba4fea6U,     0x4ce4431bU, \
    0xabba5315U,     0x9c732eecU,     0x3e54bc36U,     0x798652c3U, \
    0xe73d2380U,     0x65080acdU,     0xcbcd3b63U,     0xd559c467U, \
    0x58314042U,     0x893b409dU,     0xfdae52f5U,     0xd0d4586cU, \
    0xe6003f53U,     0x55723de9U,     0x724a7b02U,     0xba856434U, \
    0x9f741b4fU,     0xfb501c0fU,     0x109c07b5U,     0xfe78067cU, \
    0x49c312fcU,     0x28d8be09U,     0xe733b41fU,     0x50a3ca7bU, \
    0x970306a6U,     0x447bd569U,     0xa668c931U,     0xe7f7079eU, \
    0x8dcc52c9U,     0x423b467bU,     0x2db456e6U,     0x91e285d8U, \
    0xe5fe312eU,     0xcccd4b4eU,     0x75a437f0U,     0x2db22b84U, \
    0x121d0945U,     0x815b4700U,     0x9ddbe501U,     0xa96e7febU, \
    0xfdf35cceU,     0x1164346aU,     0xa663aa94U,     0x69c8a851U, \
    0xd4d889d4U,     0x60f2f1d8U,     0xf6454925U,     0x61f92011U, \
    0x056d082aU,     0xe6d7a421U,     0x62ef508dU,     0xe53853c7U, \
    0x20ff30caU,     0xf1703680U,     0x886ec900U,     0xaeb3d627U, \
    0xad8e2aadU,     0x7c473d3dU,     0x15c4c4cfU,     0xfa56f563U, \
    0xb5fc4f63U,     0xf369c50cU,     0x5786dee4U,     0x7c658ef9U, \
    0x8baf8d55U,     0x0de79686U,     0xae0b0c27U,     0x683ef0b1U, \
    0x5ee7594fU,     0xb238c836U,     0xeb841a97U,     0x99bad40dU, \
    0xd13e4dddU,     0x5a138f6aU,     0x398e3cfbU,     0x92f14dc1U, \
    0x59b86e78U,     0xa124dcd1U,     0xc0f4cd8bU,     0xe72a9758U, \
    0x85bbca14U,     0x62af8eb2U,     0x8ec86761U,     0x89c60bdeU, \
    0xd7569147U,     0x96d7690dU,     0xf6b631d5U,     0x7d53cbfaU, \
    0xfced39bfU,     0xf56be44eU,     0xf1f0fe4eU,     0xbb96028eU, \
    0xdb3dce93U,     0x730cc1b3U,     0xc6651bceU,     0x22f72804U, \
    0x3ba46adaU,     0x733f92b3U,     0xe91f1868U,     0x426837e6U, \
    0xfb3804edU,     0xd6203eceU,     0x6f94bd6cU,     0xf2ec5872U, \
    0x49a39d97U,     0xc26415b4U,     0x0d7435deU,     0xb5b41307U, \
    0x2f6f572bU,     0xec6d0dabU,     0xc310c840U,     0xf471066cU, \
    0x0952889dU,     0xbd220af2U,     0x1418cf2eU,     0x0261bbb7U, \
    0x6f629496U,     0x7590cbf7U,     0xa856a36bU,     0x45fe87faU, \
    0x087207ccU,     0x68a88ec5U,     0x5c68e7c4U,     0xa20f0e78U, \
    0x5589d7b5U,     0x4f26f69fU,     0x544042abU,     0x394e3feaU, \
    0xac3ed0d5U,     0x842b0faaU,     0xdaa9f03eU,     0xca4907c7U, \
    0x7b9c6607U,     0x2aab3cb2U,     0xcbb60a12U,     0xc6728dfdU, \
    0xb0fbea7dU,     0xfc955684U,     0x8118316aU,     0x3a2e489aU, \
    0xc48495efU,     0x15c7763aU,     0x3add5bd2U,     0x39f43ce1U, \
    0xa2b58e48U,     0xc18d348bU,     0x1bdc240aU,     0xcf52e031U, \
    0x3535c284U,     0x16025b93U,     0x90f664ebU,     0x64c25ea1U, \
    0xfdc42793U,     0xbfe91dcbU,     0x1597272fU,     0xa7dc3b11U, \
    0x0a1ee1efU,     0x5c1d1598U,     0xc80fab31U,     0x8768be59U, \
    0xaa1bd9dbU,     0x91646132U,     0xbc4cf7deU,     0x13c3c8ebU, \
    0xf80f79a2U,     0x1c0bd4b7U,     0xb853555eU,     0xca0bd9f1U, \
    0x78259349U,     0x0ec3808dU,     0xdb530c54U,     0xa5688b41U, \
    0x50964ceaU,     0x31cbc108U,     0x8ddc55f0U,     0xdcf3a638U, \
    0x29084ea0U,     0x1c00439bU,     0xee05d129U,     0x1873a9eaU, \
    0xcc94c446U,     0x847f6104U,     0x585da33aU,     0x957b2b61U, \
    0x33e7f379U,     0x3ab4b780U,     0x0f91c55eU,     0x70761918U, \
    0x6cb0159eU,     0xfaf10f40U,     0x1abb176dU,     0xec1ea38dU, \
    0x1e31f018U,     0xbea8842dU,     0x3512eb17U,     0x4580a332U, \
    0xde3ab680U,     0x09b771c7U,     0xa723b513U,     0x60070cf9U, \
    0x3bcf23a3U,     0x651b9c11U,     0x721729e2U,     0x3e5c4420U, \
    0x40594cfaU,     0xaf457187U,     0x75403c3aU,     0xd5b7e436U, \
    0x25285d49U,     0x8e61c02aU,     0xcef7f817U,     0x0a2d352eU, \
    0x2f6f4f42U,     0x30315d8fU,     0x28ba5930U,     0xf859e2eaU, \
    0xbf922951U,     0x701eaae1U,     0x7813d4d1U,     0x3a3c423bU, \
    0x5e6b1efeU,     0xd60c13fcU,     0xdd25ddb4U,     0xb8d28bcfU, \
    0x53402f97U,     0x5082194fU,     0x0b45f24cU,     0xb389a481U, \
    0xd5802a47U,     0xb12d604aU,     0xd815751fU,     0x1b36bd27U, \
    0x91f1ca5aU,     0xbd196f17U,     0xbd29ae48U,     0x30776e48U, \
    0x8eebcdebU,     0x64f568e4U,     0xafb3efd9U,     0xb3c6accaU, \
    0xa54204e6U,     0x6f60889dU,     0xc6696d40U,     0x9db04ebeU, \
    0xa4aa40d5U,     0x19cfce6aU,     0x5b112bd0U,     0x44fc8664U, \
    0x313edf7aU,     0x5affb57dU,     0x2b455295U,     0x57e33c76U, \
    0x3e7c3e04U,     0x38dcabd4U,     0xf5ffe8b0U,     0x04fed2b8U, \
    0xd8585aa8U,     0xf4897ca3U,     0xde12dc01U,     0xfdad1484U, \
    0xa0080c00U,     0x1b20365fU,     0x6cc530b1U,     0x7dcad6f0U, \
    0x43460f95U,     0x635d853fU,     0xebd3a73dU,     0xc902a1ffU, \
    0x560f408dU,     0x84fc081aU,     0x06880563U,     0x9cd84e72U, \
    0x6f4a8ef6U,     0x88a66f80U,     0xbf55d98dU,     0xdc5c79f3U, \
    0x9a846512U,     0x902df16cU,     0xb6ca5a6fU,     0xcb0fc9d0U, \
    0x4d086691U,     0xf8ae34c8U,     0xfdbfeff8U,     0x67d55dd6U, \
    0x32824246U,     0x7ce0b6a7U,     0x7c733f9eU,     0xed0bbe01U, \
    0xfa52ad84U,     0xe76448e1U,     0xf2010de8U,     0x5485b2fbU, \
    0x57a0d891U,     0x732fe670U,     0xf54e8653U,     0xcb11d934U, \
    0xd3ab043dU,     0xf14a021dU,     0x6339d546U,     0x4270ca04U, \
    0x38f88a95U,     0xacaad9c4U,     0xac30ccc6U,     0x3cf65b76U, \
    0x8359c035U,     0x3d4cb3feU,     0x8d73cac4U,     0xb281e74eU, \
    0xf2bf5920U,     0x7b8b058cU,     0xe471edd0U,     0x07b1fc39U, \
    0x07b599fcU,     0x2cbcb569U,     0x03b9f0eeU,     0xc879f667U, \
    0x49707766U,     0xc160eb8dU,     0x291d6955U,     0x66a0fa84U, \
    0xe23e96efU,     0xab8abe41U,     0x6d97432fU,     0x95c182a0U, \
    0xd8ccef96U,     0xdb6c896eU,     0xd3a969f0U,     0x0ca50ff6U, \
    0x3d5508e5U,     0x3a88d1b9U,     0x062740d1U,     0xf14181faU, \
    0xb64505c3U,     0xecfd1c77U,     0x1875062cU,     0x765ea264U, \
    0x5bffe145U,     0x7bfc4accU,     0xf1317f65U,     0xb1555fc6U, \
    0xa23c9088U,     0x4b2aaf8dU,     0x17d2cfe1U,     0x32223bccU, \
    0xe499ea72U,     0x9d8b1f1bU,     0xeb64c903U,     0x86cca2eaU, \
    0x188eb292U,     0xad2017c5U,     0x190179d4U,     0x21ea8409U, \
    0xf7ffedb8U,     0x1794c696U,     0xf384e9e9U,     0xb8e52474U, \
    0xcf5039cbU,     0x3b6a19f5U,     0x15cf7236U,     0x03ebab53U, \
    0x1445416eU,     0x4cbc9150U,     0x4401eae5U,     0x154fee4aU, \
    0x461ef8a8U,     0xb8576006U,     0xf0a9b67bU,     0x15b76bb6U, \
    0x13a7011dU,     0x0c9529ddU,     0x322801bcU,     0x82477235U, \
    0x6bc7a4ddU,     0x1384f7a1U,     0x5df41bfdU,     0x55cc03cfU, \
    0xe3d9f7ccU,     0xd04be4eaU,     0xc9acf6d8U,     0x9c22aa45U, \
    0x5255ab5cU,     0x13eaef41U,     0xb3e94de9U,     0xabc2c7b6U, \
    0x9a0cfffaU,     0xd5816e52U,     0xd787e10cU,     0x78f7d885U, \
    0xa15a20f8U,     0xa124c5cdU,     0x680134abU,     0xc3395d1dU, \
    0x6bf644c2U,     0xd30296f1U,     0x5775fee4U,     0xfb363dcaU, \
    0xd2ebc287U,     0x39ace7b7U,     0x035e58f7U,     0x37b64b49U, \
    0x28598e4cU,     0xfdd5d5ccU,     0xe9683086U,     0x4f3050cdU, \
    0xd423c4c8U,     0x87de8e60U,     0xec1eba8dU,     0x5fe2bf27U, \
    0x5249722aU,     0x3e2358c4U,     0x4c301ff4U,     0x0f7357faU, \
    0xc98bb653U,     0x5b0f98afU,     0x3eaca1fdU,     0x5d4c690aU, \
    0x051dd1bbU,     0x227f93f3U,     0x68c799c2U,     0x9ac1699bU, \
    0x6bf48435U,     0x8cf5287cU,     0xe7147713U,     0xa393b011U, \
    0x68951722U,     0x45a5de81U,     0x592c932aU,     0x5becb96bU, \
    0x6a94b7d5U,     0x9e71cbf8U,     0xc6e8aa52U,     0x616cdee5U, \
    0xe97e2870U,     0x1a4895b1U,     0xae2b5e57U,     0x0ff4d4d5U, \
    0xd0eb2162U,     0x1812e1d7U,     0xdf62e2d3U,     0xdc35c2e2U, \
    0x97128712U,     0x2522b44dU,     0xc5a33ceeU,     0x3082933eU, \
    0xc66fba5fU,     0xdd68f591U,     0x4d5f36bdU,     0x3c3d0086U, \
    0x3bbdd73cU,     0xf61f1d27U,     0x8d5bad5bU,     0xd87c6395U, \
    0x761a894cU,     0xbf2d9d81U,     0xf588ec39U,     0x5fb9768eU, \
    0xc9ff0151U,     0x879e1874U,     0x46ed235fU,     0xeaa73827U, \
    0x6786b221U,     0xa1fc5147U,     0x1ba622ddU,     0x36eaf713U, \
    0x0851a07bU,     0xd04c8a08U,     0x15d2de5fU,     0xa1f80981U, \
    0x1e1b6480U,     0x7ebe839eU,     0xc0128906U,     0x64e9dd7bU, \
    0x27c0a03fU,     0x6f4b9a75U,     0x596f267fU,     0xca271b99U, \
    0x64251b42U,     0x9b3ae415U,     0x51b080b1U,     0xcc128d88U, \
    0xb8890e97U,     0x9bbd17adU,     0x517ca2c4U,     0x251a58e0U, \
    0x53ad4e12U,     0x07222e1fU,     0xd8301114U,     0x681fc21eU, \
    0x42326170U,     0x18c3f378U,     0x170f1067U,     0xce7eb725U, \
    0x6411bd10U,     0x1b776fb2U,     0xf9edf73eU,     0xc539abf3U, \
    0xc1fff0d9U,     0xb16b4359U,     0x6c5076d4U,     0x7a338761U, \
    0xcd53b1ceU,     0x4ef51417U,     0xf4ee92a7U,     0xbbd0039fU, \
    0x104eda3fU,     0x171022e7U,     0xe800b229U,     0x21b451ecU, \
    0xc85e39ddU,     0x4cbb4b49U,     0x7b3c5d73U,     0x645c3de6U, \
    0xa4889a7bU,     0x1b7682f3U,     0x603083bcU,     0xccd1c142U, \
    0x0f08ff33U,     0xa812d3dbU,     0x7a45695aU,     0x46b05af3U, \
    0xe027dc35U,     0xcb648ff2U,     0x78425ba8U,     0x1770a820U, \
    0x78ddd3f5U,     0x7a64c0feU,     0x060cc855U,     0xbfa780c5U, \
    0x8bed883bU,     0x524a8edbU,     0x9aa463dcU,     0xd9b3dbdfU, \
    0xdc9810edU,     0x61e4960eU,     0x0dbc96a8U,     0x3207d107U, \
    0xc757f9a4U,     0x5b83542cU,     0xa41963b9U,     0xa1c8606aU, \
    0x5ae09998U,     0x2d859447U,     0x21c48ec1U,     0x47aa4bb9U, \
    0xfeb38cecU,     0xf4a5e73bU,     0x58c1e805U,     0xac159299U, \
    0xe6b3d250U,     0x098afef1U,     0xc9a87e6fU,     0x43886318U, \
    0xd3805e32U,     0x381478a9U,     0xaf6fa24fU,     0xef3b122cU, \
    0xda08617fU,     0x4c2f815eU,     0xa2ef2904U,     0xf2e3a5b8U, \
    0xeb47a854U,     0x8340819bU,     0x0432301fU,     0xf2eec7f3U, \
    0xdd933a73U,     0x0f73781bU,     0x3d1fe82fU,     0xece6b409U, \
    0x288d486aU,     0xf7a679dfU,     0x796670a0U,     0x822aaae2U, \
    0x6b866543U,     0x6b00a1b0U,     0x42a967e9U,     0xb980db47U, \
    0x74ac873cU,     0x8f740ddcU,     0x5478ca71U,     0x9d0c8499U, \
    0x5cb50b07U,     0x7f545a74U,     0xe63ca37fU,     0x774bbc30U, \
    0x8c371f70U,     0x93515362U,     0xbd9b5b7dU,     0xb9137782U, \
    0x4a475d0aU,     0x22b41f14U,     0x27646e8eU,     0x009640acU, \
    0xa42c0926U,     0xa213413bU,     0x11b94401U,     0x7681e17dU, \
    0xac90d831U,     0xd71a6764U,     0x6040cb33U,     0x78299756U, \
    0xaa807b2cU,     0x109efd75U,     0x1414aefcU,     0x1e32bf9dU, \
    0x570f284bU,     0xcc3d90b3U,     0xabfdee4eU,     0xe7b3b3a5U, \
    0x38fdcbffU,     0x59850f59U,     0x930b40b3U,     0x81cf488dU, \
    0x3ffaa876U,     0x871871bdU,     0x9206cf56U,     0x66c085ccU, \
    0x79a62534U,     0xb0808d48U,     0x8fd0b1aeU,     0x1b088808U, \
    0x5af71e06U,     0xca735965U,     0x45f6ed68U,     0x911abb7eU, \
    0xa83049dfU,     0x22a37ae3U,     0x6b0c5968U,     0x3a80e9f5U, \
    0x1a36ebaaU,     0xcf41f93bU,     0x59271d46U,     0xebb0357eU, \
    0xb8b083b3U,     0x53e5ae6dU,     0x512c0b95U,     0x327230cdU, \
    0x125a5a21U,     0xb7830de5U,     0x80aa46b5U,     0xef1b5bb0U, \
    0x6bd7f173U,     0x2b1616f2U,     0x7c831331U,     0x0078b2abU, \
    0x580a945dU,     0x436ac0dfU,     0x3ee8bc3dU,     0xc0729999U, \
    0xb9b687f2U,     0x836ff94eU,     0x824c3d0bU,     0x4860a122U, \
    0x7ee23456U,     0x376ee130U,     0x8100ee24U,     0xb600ed01U, \
    0x99ebdefaU,     0xaec4aec4U,     0x45b6a4f4U,     0x7b5981c9U, \
    0x44a45e10U,     0x4ac66c25U,     0x87027bccU,     0xe41a906cU, \
    0x9b1fb775U,     0x63c0ac52U,     0x3062408cU,     0x8e343f9cU, \
    0x5511327cU,     0x62ce33d7U,     0xd1004b43U,     0xfc66f096U, \
    0x1bf17d5fU,     0x1de92c5dU,     0x98ec37eaU,     0x2907e01eU, \
    0x8a81c012U,     0x9adf0a0eU,     0x5ef830d4U,     0x0662ea5cU, \
    0x7dce99f6U,     0x87de4327U,     0x766b61e9U,     0xf961d23bU, \
    0x54ba8399U,     0xfac5a39bU,     0xfa30b923U,     0xf59f0740U, \
    0x2245b476U,     0x4ddb4986U,     0xc51bcf4aU,     0xe5728404U, \
    0xba39a901U,     0xd82f49e4U,     0x59e22d7fU,     0xfa20906eU, \
    0x7be45dc8U,     0x97279cbcU,     0xaa63e0e2U,     0xd159e205U, \
    0xb6964668U,     0xc8a378cbU,     0x60f80f89U,     0x423d39ceU, \
    0xd1ba4bc4U,     0x61024b90U,     0x6bb70af9U,     0x56cfd0c5U, \
    0x7dbc417bU,     0x5f166346U,     0x5d4467f8U,     0xc2f33597U, \
    0xdaca667cU,     0x49eee4a1U,     0x51293000U,     0x2c0b2415U, \
    0x8099d39eU,     0x7e0671ddU,     0x66d898e7U,     0x224448afU, \
    0xfcacaac7U,     0x4e4a1ca1U,     0x71679f4aU,     0x771f8e75U, \
    0xcbd7141eU,     0x60cf874dU,     0xa60b582eU,     0x755fb9ffU, \
    0x0ce854c1U,     0x6c1b9fe5U,     0x7c2492b3U,     0x6c1e23c2U, \
    0x34fe9528U,     0x59ef1607U,     0x59ae8c47U,     0x8e7d3e49U, \
    0x503eff07U,     0xb35a298aU,     0xe0c0fecdU,     0xf962de83U, \
    0x94a1b806U,     0x7f5670caU,     0xb0e3a9a7U,     0x8d780260U, \
    0x17df78c9U,     0x53b5a800U,     0xff61bc21U,     0xee57dd49U, \
    0x4f146486U,     0x34de412dU,     0x719a4b54U,     0x58c44fdcU, \
    0xdf75b178U,     0xaec68033U,     0x42f07abeU,     0x8d775b4bU, \
    0x915b2895U,     0x5bd5b93aU,     0x179fbc34U,     0x2dc32ae3U, \
    0x2c375479U,     0x3947f0f5U,     0x872c8ef6U,     0x5e2aec9cU, \
    0xebfdd121U,     0x5b4cdd82U,     0xd3da165bU,     0x7ff94f78U, \
    0xacb0f066U,     0x6fc68408U,     0x4997a3eaU,     0x4727f12fU, \
    0xd47da963U,     0x1ccbc217U,     0x0822248fU,     0xdae62a49U, \
    0xddc444eaU,     0xb46e0841U,     0x2faa52c9U,     0x3d2202e0U, \
    0xb7477f63U,     0x346b0e5eU,     0xb1ccf253U,     0xeeb377a8U, \
    0xefb2b83cU,     0xa4b5b63aU,     0x5658656fU,     0x7758e670U, \
    0x492f46f9U,     0x8c59caeeU,     0xb694ea09U,     0x2828fb8dU, \
    0x90293c47U,     0x02d30d22U,     0x24e50f93U,     0x18a045efU, \
    0xb5c4c97fU,     0xc43f0d77U,     0xa6c135a9U,     0x50efdd9aU, \
    0x37aa8a1aU,     0x89d9b1ccU,     0x0b316fa8U,     0x0375ec2dU, \
    0x718b9b2cU,     0x7ff824c1U,     0xe12c888cU,     0xa6f705b8U, \
    0x5fb0880dU,     0x55a935ecU,     0x9a178782U,     0x105d5fb6U, \
    0x4a43a696U,     0x1c896e63U,     0x15ed89cfU,     0x6a06dae2U, \
    0x5f7f3c9fU,     0xc75de900U,     0x4e9c5e69U,     0xe3be2802U, \
    0x40bfc387U,     0x48675786U,     0xc0478495U,     0x8357b292U, \
    0xebf37e56U,     0x19bf65aeU,     0x36da8782U,     0xc65a9827U, \
    0x32ce2d5eU,     0x8a33e4afU,     0xca238ce4U,     0x743efedfU, \
    0x72dd22beU,     0x59a923bdU,     0xb0343e86U,     0x876f0b96U, \
    0xb7645d21U,     0x97ddf423U,     0x9c771339U,     0x89d9e750U, \
    0x1fa5879cU,     0xd43fcf6bU,     0xdf2c4194U,     0xe3f27fb1U, \
    0x234068f9U,     0x9a18dba7U,     0x48a52c0bU,     0x1a65ce5eU, \
    0x3ca4e456U,     0xa3017b37U,     0xb39c44c4U,     0xb3bf271dU, \
    0x2f9fc496U,     0x49fcf466U,     0xa4746403U,     0x384d86b2U, \
    0x55c9f6b7U,     0x762d0a80U,     0x61ed373eU,     0xb46964eeU, \
    0xea9d1078U,     0x56d9b2a8U,     0x457706bdU,     0x2b014588U, \
    0x3f0013c9U,     0xd6c79e16U,     0xfc199d24U,     0xa916ac93U, \
    0x700b18f5U,     0x19b316f3U,     0x343809cfU,     0x79d6d46bU, \
    0x3bb4b7f3U,     0xc63f1461U,     0x9069196cU,     0x91c22eb4U, \
    0xa717518aU,     0xb84d778cU,     0x042eb71cU,     0x44995800U, \
    0x563a5a5bU,     0xaf2ce995U,     0xd14dac38U,     0xe399c9e6U, \
    0x34e7b7aaU,     0x9f3bff3fU,     0x6e20518aU,     0xab7787cfU, \
    0xe05b5547U,     0x83a92143U,     0x11eb32baU,     0x0dd4f3a0U, \
    0xa2765562U,     0xde52b989U,     0x84608d8eU,     0xf5d1cdd3U, \
    0xbb666ce3U,     0xcf58a8a5U,     0x70efc732U,     0x604d47aeU, \
    0x6ffea955U,     0x22a9ca90U,     0x6125656eU,     0xad58874cU, \
    0x3f8e0b70U,     0x04c67996U,     0xa50b4073U,     0xc357c8f6U, \
    0x8fbb3f09U,     0xf2a544beU,     0x104fe68dU,     0x76df9fffU, \
    0x3804af1aU,     0xac2038d6U,     0x8af24d39U,     0x5bccc9e7U, \
    0x63981905U,     0x9b73df42U,     0xcb0fc99aU,     0x4643e612U, \
    0x8e802a94U,     0xa67a0851U,     0xbc30cce9U,     0x499f52b4U, \
    0x55a330f3U,     0xcb411dd8U,     0x77f91e98U,     0x3b13c1a9U, \
    0xca37ee4cU,     0x5ac7733fU,     0x470537a7U,     0xb53c5cfaU, \
    0x6fe9799dU,     0xa09cf473U,     0xe3105b5aU,     0x094c61f3U, \
    0x680678b6U,     0x2be80ee2U,     0x22862eb1U,     0x96c4681eU, \
    0xe9b8cbdaU,     0xc10e3bb8U,     0xb8f89878U,     0x7329bccdU, \
    0x86c725ddU,     0xbf443886U,     0xe4356d56U,     0x0f906892U, \
    0xefc0028dU,     0x05d7e80bU,     0x90dbc78fU,     0x1b94ed62U, \
    0xc0cc909aU,     0xf63e21e8U,     0x9923e28fU,     0x5454ff35U, \
    0x8bf53679U,     0xc975e825U,     0xfa10617cU,     0x0c6e9c47U, \
    0xefb4ca74U,     0x4fa8c021U,     0x1ee8a076U,     0xb91aa06fU, \
    0x9858d22bU,     0x2206482bU,     0x2582035eU,     0xfa0c4709U, \
    0x5cb673cdU,     0x0cbaf912U,     0x36d0493bU,     0xefc71a67U, \
    0x646f4470U,     0x5a76aaf4U,     0x249af775U,     0x46332365U, \
    0x4e689b5dU,     0x243d54f7U,     0x400927bfU,     0x295dc251U, \
    0x1773bc5eU,     0x3cb7e1bcU,     0x92fbace9U,     0x140b68efU, \
    0x427a6d9fU,     0x53f1a193U,     0xa5a10bafU,     0xb328b439U, \
    0xda590dcaU,     0x4ada3b7aU,     0x7d352859U,     0xca73c18cU, \
    0x2edbb908U,     0x01782baaU,     0x8338815dU,     0x1f7042b1U, \
    0x9c4ee055U,     0x24edf630U,     0x146146acU,     0x4cbd75d0U, \
    0xbd2c6337U,     0xecfa049fU,     0x8f543d30U,     0xc1f06906U, \
    0x1a615107U,     0x9d9eb104U,     0x1d40b6bdU,     0xd82e5e72U, \
    0xb5165061U,     0x87584accU,     0xf95ab395U,     0xc72dfd32U, \
    0x1fb2b6deU,     0xb43f6ac0U,     0xb1aa3dceU,     0xbe658a24U, \
    0x7909df36U,     0x2033492bU,     0x6cb2280dU,     0x5d1b371fU, \
    0x29083ad0U,     0x1e66e431U,     0x1326631bU,     0x3d3d4703U, \
    0xe86b858cU,     0x535ae465U,     0x0a260e7aU,     0xcc294918U, \
    0x0fc35b9dU,     0x358afb86U,     0x8d5f7839U,     0x523d12f2U, \
    0x4734a139U,     0x261ef0b8U,     0x5bc07c7dU,     0xa1678adfU, \
    0xd4beae05U,     0x68d89c80U,     0x93b0d24aU,     0x4e402141U, \
    0xc5d69059U,     0xa52d95e8U,     0x96bdf0b1U,     0x658a3fd5U, \
    0x8751b191U,     0x6c557abaU,     0xf2a10cadU,     0x15b93780U, \
    0x48fd9497U,     0x2774be3bU,     0xf1e798f9U,     0x6881c826U, \
    0x6122e5d5U,     0xc0df20beU,     0x171cacc4U,     0x74f7cda1U, \
    0xb7b44639U,     0x73e14e5bU,     0x87d1a504U,     0x7125a675U, \
    0x06d8b7b2U,     0xa14280cdU,     0x7cb0195cU,     0xd8392d4bU, \
    0x407f1e46U,     0x9d415e9bU,     0xcc037d8fU,     0x65fe1972U, \
    0xcbb8fc87U,     0x65a4c786U,     0x643f2a8cU,     0x11bfef16U, \
    0x3480d8c1U,     0x2ecf627bU,     0xeaf80fb5U,     0x0aa700aaU, \
    0x34cd62daU,     0xba372e1aU,     0x9e90f9a2U,     0x2b317a2eU, \
    0xf258b0dbU,     0xb43b1fa3U,     0xc75c79a2U,     0x370e24a6U, \
    0x16897bd9U,     0xd9374a1bU,     0x8652468dU,     0xa68c998aU, \
    0xa9c08b8bU,     0x88081308U,     0xcd2e3c9cU,     0x340d492dU, \
    0x430c649dU,     0xbfbad3b2U,     0xf908081eU,     0xee5d7e6dU, \
    0x60eb1eeeU,     0x488d5d9aU,     0x3b068149U,     0x5bafe863U, \
    0xcd42790cU,     0xecbff721U,     0xbd080b5bU,     0x42276bf9U, \
    0x8e81c5bfU,     0x38cce03dU,     0x8b566e16U,     0x3e58c5fdU, \
    0xa6db59a5U,     0x1dc3c03dU,     0x5bc32fd6U,     0x1d82ee96U, \
    0x5c3c2e45U,     0x4a69ed6bU,     0x38e357e6U,     0x6ad7ae6cU, \
    0xce8f9473U,     0xb7a72348U,     0xb5666c8cU,     0x70f57ce2U, \
    0x700b7b64U,     0x5ae4b91eU,     0x7030255fU,     0x3a2c13efU, \
    0x1d3de002U,     0xeeee529aU,     0x35ca29b2U,     0x40493e45U, \
    0xe2b0219bU,     0x4c52cedbU,     0x336bed4dU,     0x14f53548U, \
    0xfa44a0e3U,     0xadf5a18bU,     0xa337a1aaU,     0x3e83358eU, \
    0xa159c2f8U,     0x2cf1061cU,     0xb712ee52U,     0x8bb2a818U, \
    0x8085fb56U,     0xdab03d8fU,     0x6ac64c24U,     0x8b809d95U, \
    0x63ed47b6U,     0x0ae44d0bU,     0xd8f44a4fU,     0x3d603b10U, \
    0x123a7e98U,     0x35bfdc8cU,     0xcb639284U,     0x4b1286a3U, \
    0x52e8a053U,     0xa8a3fd22U,     0xc66a2c42U,     0xaaa3177cU, \
    0x6e77c72dU,     0xc248f62eU,     0x0eb112f2U,     0x497e77aeU, \
    0x71c24955U,     0x6d1614a9U,     0xef5cd74cU,     0xdeee8163U, \
    0x89fe1040U,     0x3f912a27U,     0xecbe1862U,     0xa2db3ea8U, \
    0x92de3156U,     0x0488f07aU,     0x174fb8d7U,     0x4bd3069fU, \
    0xd6fa7fb2U,     0xf4a254d8U,     0x59408862U,     0xfecf8115U, \
    0xdb830bc0U,     0xfefb10f8U,     0x21f59d9eU,     0x11babf56U, \
    0x9d860ecdU,     0x24e62340U,     0x394d2012U,     0x95bd52b4U, \
    0xe7375cbaU,     0x19235db1U,     0x7ce9d00fU,     0xf79dd0b7U, \
    0xda69d80bU,     0xdf70e5f8U,     0x4192f084U,     0x01d4e4d4U, \
    0xef465999U,     0x8ae8cc28U,     0xd86da6d1U,     0xdb2ba0c3U, \
    0x82c657d5U,     0x656c789bU,     0xb6f35d20U,     0x44c07c6cU, \
    0x98ac5798U,     0xea376621U,     0xdc6fd1dfU,     0x846add09U, \
    0x4c00ef00U,     0x9cf7bce6U,     0xeba971d3U,     0xe0b1b629U, \
    0x87616814U,     0x8eb7ea0cU,     0x191a907bU,     0x738da1caU, \
    0x2aa23cc4U,     0x9e585446U,     0xd69408f0U,     0x41ce6a8bU, \
    0x2e24e8d5U,     0x0488b127U,     0x2e260b32U,     0x6ac12b68U, \
    0x730467e0U,     0x00b89dceU,     0x3508150cU,     0x95f4fe20U, \
    0xd6ccacacU,     0x7ef60bebU,     0x07bf91ceU,     0x477adc67U, \
    0x59627848U,     0xa2b8236dU,     0xee7b6f4dU,     0x58b3040aU, \
    0xa28fd3f2U,     0xf05e9567U,     0xf1644336U,     0xb75e9261U, \
    0x429617f7U,     0x223c4e9dU,     0xa4342517U,     0xda9a840cU, \
    0x235585f2U,     0x74fd91daU,     0xd01eed14U,     0x435d3073U, \
    0xc8cb40daU,     0x005fc1adU,     0xf8d8ce53U,     0xe6681228U, \
    0x0add0b84U,     0xc421cd5eU,     0xebcc5a53U,     0xf6f5d6ccU, \
    0x19ba37a5U,     0x0ac48bfcU,     0x6a1dee6bU,     0x8ca75d7cU, \
    0xbd24daffU,     0x08f166e7U,     0x3d745569U,     0xb8e100ccU, \
    0xe21ced13U,     0x3731204aU,     0x292903b5U,     0x17fb02e2U, \
    0xdc6e4923U,     0x607b6325U,     0x2d137656U,     0xafa3eeeeU, \
    0xd8405c4cU,     0x7de5570bU,     0x061e7fdcU,     0x5be33868U, \
    0x8675e94eU,     0x44db7659U,     0x3745093fU,     0x6bcaa6d1U, \
    0x81d3a407U,     0xe06ea3d8U,     0xbfd2954cU,     0x9aad67a9U, \
    0xbad3d2d1U,     0xd85ec813U,     0x3ee4b511U,     0xdafc1967U, \
    0x789f15f7U,     0x5606356dU,     0x1714841aU,     0x8e9b478dU, \
    0x7ec9a503U,     0x86e0974bU,     0x051b99fcU,     0x0bc88ff7U, \
    0x07a1b788U,     0x1e454aeeU,     0x5935efa2U,     0x7b901930U, \
    0xa72dde24U,     0x3820b963U,     0xa477e17dU,     0xbcd15fb6U, \
    0xf9bc9cffU,     0x93ebe287U,     0x4e3803edU,     0xb4516610U, \
    0x9ed44ca4U,     0x1300da65U,     0xdbce6b81U,     0xc22c8b08U, \
    0x0124aeadU,     0x15ebdd1cU,     0xed97b244U,     0x09c3e267U, \
    0x6e6d22b5U,     0x6b7c9513U,     0x1e82a416U,     0xf2709c78U, \
    0xdfb68ac8U,     0x6ba43402U,     0x44bbb741U,     0xba1b4639U, \
    0x9760973dU,     0x3c21a270U,     0x2d4e73c5U,     0x56bee100U, \
    0x603d28caU,     0x33cb6698U,     0x6b1ec1f9U,     0x008fc258U, \
    0x3694560bU,     0xd4bfa43dU,     0x5c2f1ac2U,     0xdccf7c5cU, \
    0x5442fca9U,     0x135cd677U,     0x23120a93U,     0xf430ab97U, \
    0x7f60cc52U,     0x4f4ae354U,     0xdca5faf6U,     0xe764d9f4U, \
    0xc0650af2U,     0x85193affU,     0x16d3d8a3U,     0xa4920c35U, \
    0x7a3be0fcU,     0x1e19c9b2U,     0x140698cbU,     0xd3ae26beU, \
    0x586668e3U,     0xf20cf7dfU,     0x52a0051fU,     0x8da573bfU, \
    0x36f21d5eU,     0x52739d43U,     0xfe758d7eU,     0x1a76855cU, \
    0xda35b7a9U,     0x61f21ef5U,     0xc587b70fU,     0xdb79a485U, \
    0x2c3e8c99U,     0x8f989788U,     0x2b0026beU,     0x19985186U, \
    0x3a4598c3U,     0x060fb5a9U,     0xa063a1a1U,     0xf88142a1U, \
    0x131be664U,     0x2efba543U,     0x6dc8e0a1U,     0x7359f522U, \
    0x50ac7dcaU,     0x80189017U,     0x1ce20561U,     0x570216a7U, \
    0x47709282U,     0x7e76886eU,     0x28c39be3U,     0x89cfa341U, \
    0x7f391ae8U,     0x6610f820U,     0x512c8b90U,     0xef89a1b2U, \
    0xb168101dU,     0xfcdb1684U,     0x8e09d948U,     0x3c7143adU, \
    0x69dc8442U,     0x4f85d496U,     0xb8389d53U,     0xf7d58334U, \
    0x6dbb9256U,     0xcf198c4dU,     0xc042c56aU,     0x4225aacaU, \
    0xb5f82e33U,     0xeb3d0f1bU,     0xd902a9d7U,     0x2a2030adU, \
    0xaa965a2dU,     0xeef2d936U,     0xbe494302U,     0x922a0ff0U, \
    0x0c7302e2U,     0xec20ef1bU,     0xda44e8dfU,     0x07150356U, \
    0x92bd2b38U,     0xa1536f20U,     0x68f878f3U,     0xcd75a99dU, \
    0x4496d0a1U,     0xf214e11eU,     0x2c7e496fU,     0x3a269e1cU, \
    0x7325026dU,     0x3c059609U,     0x04456d37U,     0xbabe52b4U, \
    0x2be21a43U,     0x13ffd21eU,     0x5999e7f7U,     0x3930d7caU, \
    0x5d9f1f33U,     0x75c3ed8bU,     0x8d0e2bc9U,     0x158fb4e1U, \
    0x138ec8b0U,     0x0dc3d2a4U,     0x156358b9U,     0xed52e802U, \
    0xec0dc1aeU,     0x76ebdf04U,     0x03f93252U,     0xdafc1a6cU, \
    0x4fcd595cU,     0xdaf3b7a9U,     0xc64c493fU,     0xd08bd93cU, \
    0xc42edcc1U,     0xc9ade79fU,     0x54e2fb3eU,     0xd98c3f67U, \
    0x9b0c3439U,     0xf602b182U,     0xc68f987dU,     0xa03a1307U, \
    0x3d0ce52bU,     0x6e2ba5ccU,     0x2abb86e7U,     0x814a72d0U, \
    0x67c68b34U,     0xc38a4f15U,     0xa1aa2b83U,     0xbbf2c991U, \
    0xf56731c2U,     0xa03cc9f1U,     0x2013fa3bU,     0x78a527daU, \
    0xa5d68269U,     0x45a7cc16U,     0x9343b72dU,     0xbcd9da05U, \
    0x983dfa92U,     0x41bcc160U,     0xb56a4454U,     0x53b29bf8U, \
    0x4a8688d2U,     0x771caf4eU,     0xa87e7045U,     0xe917f054U, \
    0x8436c658U,     0x11b026f5U,     0x8cb724a0U,     0x73fe072cU, \
    0xbfb5371cU,     0x298f7fffU,     0xf5506d7cU,     0x3e76efdeU, \
    0x82a7e9deU,     0xcb979d09U,     0x3de0de7eU,     0x3ae00372U, \
    0x1dcc5d23U,     0xbb3aab3bU,     0xf039e32cU,     0xdbac8033U, \
    0xd5c6894aU,     0xf74cbf85U,     0xf02a5e8fU,     0x7b04a6c0U, \
    0x02307b59U,     0x5c925626U,     0xec4e9356U,     0xc52da212U, \
    0x27582598U,     0xe373a4d5U,     0x24de99d6U,     0xf3dc3283U, \
    0x6e6783f8U,     0xf907592fU,     0x63f7ea37U,     0x6f70f092U, \
    0x154125e9U,     0x2c25b476U,     0x382d4404U,     0x18a2ad14U, \
    0x85dae2f3U,     0x09f6b732U,     0x2add135bU,     0x4de8b779U, \
    0x92c3a183U,     0xed982e88U,     0x7d4fbae3U,     0xad694950U, \
    0x0e411366U,     0x0afce45cU,     0xb403d03cU,     0x17a65c81U, \
    0x122d8380U,     0xcdb68091U,     0xfc52a6abU,     0xa9be985bU, \
    0xfd920bf4U,     0x6ba31a3cU,     0x3210f64cU,     0xb160096bU, \
    0x50558950U,     0x70be80bfU,     0x03dd4af5U,     0x96d93009U, \
    0xf1c81ad8U,     0xbf897c3dU,     0xc74e5d49U,     0xb70c6881U, \
    0xb7bbb06aU,     0xe80ff979U,     0x985b8892U,     0x8a11ea36U, \
    0xb9b3d314U,     0xb25c2232U,     0xd76d897dU,     0x3e82b0d4U, \
    0xbef90e10U,     0xe9f2aa4eU,     0x74029a54U,     0x0b5cf856U, \
    0x94dc09f2U,     0xfd3d6690U,     0x1addc235U,     0xd1a173e4U, \
    0xb54e75c2U,     0x6fe50703U,     0xa053a49bU,     0xae6fa95fU, \
    0x0830f02dU,     0xa7f49cbeU,     0xa152e81fU,     0x101339c4U, \
    0xfba28c5eU,     0xcb96188eU,     0x2d90fe50U,     0x1a42d37aU, \
    0xf7cb581eU,     0xb41ac4d1U,     0xdcfd659aU,     0x065f710dU, \
    0x971dc52dU,     0xf3de1d3aU,     0xa8f8df34U,     0xc05561c6U, \
    0x5ae4501bU,     0xb6a0318dU,     0x89b3478eU,     0x7a6b5d58U, \
    0xa17d95daU,     0x80281c3bU,     0xcb996f0fU,     0x1cd724b3U, \
    0x5cee7245U,     0x2286c818U,     0xbf84fcffU,     0xd30e7f04U, \
    0xf7fe19bdU,     0x3ad3e5beU,     0x1dc24c40U,     0xfbc3fd4cU, \
    0x95185eb2U,     0xf1362d17U,     0xa6bbc3c7U,     0xb3ac6250U, \
    0x73bfd111U,     0xe2c39cd4U,     0xa06ff69dU,     0x20a14227U, \
    0x04fe7078U,     0x28e95ef7U,     0xab0cafe4U,     0x0e5f246eU, \
    0x763fea50U,     0x76c5f5b7U,     0x8a539537U,     0xb0cee27cU, \
    0x12494c0bU,     0xe5ea5c20U,     0x51973a26U,     0xf7d3161dU, \
    0x5b28ff19U,     0x8c89a4bdU,     0xf30842a0U,     0xcbeb6c81U, \
    0xfe84562fU,     0x8991ee21U,     0xd0225a48U,     0x1bf397c2U, \
    0x14e8b6cfU,     0xffb5b741U,     0x990a422bU,     0x531d9862U, \
    0x1e321a36U,     0x1737030dU,     0x7ec2da24U,     0x464f4df2U, \
    0xcbe2d341U,     0x5fbfeb07U,     0x13dfd738U,     0xfd0d0a7aU, \
    0x1e41fa69U,     0x8ae32b47U,     0xcb801981U,     0x6c804905U, \
    0x2f67d684U,     0x9913a8a1U,     0x7e186a4dU,     0xee06d554U, \
    0x02b886b1U,     0xd95b3080U,     0xf831c42eU,     0xfe6a6cb9U, \
    0xad2fc340U,     0xf41073a1U,     0xaedc033aU,     0x3c5c828fU, \
    0x28836c33U,     0xffbe2f2fU,     0xe2227099U,     0x89184cd3U, \
    0x59e0b340U,     0xf022195dU,     0x002ae836U,     0x517f1859U, \
    0xd0e20a2aU,     0x44fac66cU,     0x6f03a528U,     0xae286e15U, \
    0xf4bbb1b7U,     0x2c7cd5b5U,     0x0bdb09bcU,     0x83e7e668U, \
    0xee71274bU,     0x749219c9U,     0xb027a824U,     0x0967039bU, \
    0xde33159aU,     0xf5c0d208U,     0x40c3342dU,     0x16513f42U, \
    0x29199abfU,     0xb88b57f7U,     0x72dc2681U,     0x8e66f889U, \
    0xdf72effcU,     0x842fe4b1U,     0x7f91f434U,     0xf421ba2dU, \
    0xb949c9c0U,     0x7e5bf8e7U,     0x2ba42bebU,     0xc0695104U, \
    0xef05a02eU,     0xacdcdab0U,     0xc3a228f5U,     0x2bf01e24U, \
    0x4abb45a4U,     0x3cb75173U,     0x9902109dU,     0xd0a271eaU, \
    0xb71a62b2U,     0xd0438000U,     0xc37b97fbU,     0xc25ff4edU, \
    0x523d48daU,     0x0c5b8392U,     0xf6a37775U,     0xeeed3843U, \
    0xfbf0d89aU,     0x487a94e2U,     0xba1e5cffU,     0x9c977bceU, \
    0xf4214ebaU,     0xcbf84f6fU,     0x4fe23e1eU,     0x06b35497U, \
    0xd26e59a1U,     0xb9558150U,     0xa5e89a7eU,     0x5e547c63U, \
    0xbb5933d7U,     0x3e9ece47U,     0x25b1c88eU,     0x7fb14c7fU, \
    0xe6a6372eU,     0x11915d37U,     0x2d828993U,     0xdfb1ff2aU, \
    0x7bd4124bU,     0x1cef67b2U,     0x34e942a4U,     0x5180471aU, \
    0xc9fbf252U,     0xb575d17cU,     0x65d24660U,     0x47d3db99U, \
    0x1751e3daU,     0xb4acc6abU,     0x84e2c743U,     0xa709acc1U, \
    0x193c7916U,     0xa7072846U,     0x9b06294fU,     0x1ac4a23dU, \
    0xa2cfa2fcU,     0x7290056aU,     0x671bf495U,     0x2f20b514U, \
    0xb310ae2fU,     0x123d9c67U,     0x169182a1U,     0x41194c24U, \
    0xb197eb62U,     0xab5e75a8U,     0xf1cb1c99U,     0xfa64acf6U, \
    0xd9b69ac9U,     0xe1f4896fU,     0xc79163e3U,     0xc5adc9f7U, \
    0x5a22deedU,     0xea3fc7fbU,     0x27bed193U,     0xf769f37dU, \
    0xee625fbcU,     0x06d4aba7U,     0x5a43501dU,     0x281f3530U, \
    0x7e3debbdU,     0x727b4d25U,     0xe88b1606U,     0x21204f09U, \
    0xe203afdbU,     0x3e7ddf01U,     0xdf9d9de0U,     0xe0f9f981U, \
    0xca5864c6U,     0x9f5350c4U,     0xc09f12f8U,     0xd4062abfU, \
    0x77eb3165U,     0x8b561014U,     0x442e85f5U,     0xb37b8babU, \
    0xb9ac0d2aU,     0xbfa79244U,     0xafce7fa5U,     0xf27fbe16U, \
    0x2fb60a85U,     0x41accbaeU,     0x854ca3c4U,     0xc4184f33U, \
    0xa6d7ec9fU,     0x8e84d5c7U,     0x23652758U,     0x764ba5a4U, \
    0x39e739efU,     0xbe603f3fU,     0xdaf0565aU,     0x10c52806U, \
    0x00200459U,     0x5185a6d5U,     0x924a2d9fU,     0x0f65584eU, \
    0xa9889555U,     0x0d7d9cf9U,     0x176a6ceeU,     0xbaebb302U, \
    0x9cd85ec8U,     0x425da9dfU,     0x288ed5c4U,     0xebf1e331U, \
    0xf91b599cU,     0xcc3dc4d7U,     0x27eed3e2U,     0xc4a6d775U, \
    0xf8d1efd2U,     0xbf2d5381U,     0x5f501675U,     0x657a4656U, \
    0xf8e69e30U,     0x6149078dU,     0x3d02caa3U,     0xf469f81eU, \
    0xaf1a9266U,     0xd02b0753U,     0xf29f60caU,     0xadea876bU, \
    0xf9b1bd69U,     0x7e456a3cU,     0x93fa96a5U,     0x057c7307U, \
    0x1e538c17U,     0x79814b2dU,     0x93d8b2e0U,     0xbc91ed4dU, \
    0x586307e2U,     0x5559955fU,     0x651f616aU,     0xf106638dU, \
    0xb7a0e41bU,     0x93804d35U,     0xe12ab9e9U,     0xdf6598c8U, \
    0xc03b7227U,     0x8d25b488U,     0xcf91df3cU,     0x7439cee3U, \
    0x963a183cU,     0xf5f3c4e7U,     0x6522223eU,     0x749855f9U, \
    0xb5af15edU,     0x08d72504U,     0x4888e732U,     0x53a7fc73U, \
    0xe85f9b8dU,     0xde4b4ae6U,     0x0571396dU,     0xe56b8e16U, \
    0xef46fec7U,     0xca39e9f8U,     0xbb3fe4f7U,     0x1a095694U, \
    0xa1584c42U,     0x77205898U,     0xc8f9e240U,     0x9c85765aU, \
    0xb137de3aU,     0x0146e0d3U,     0x841567eeU,     0x307daefeU, \
    0xd949128bU,     0x54471222U,     0x1f2548e1U,     0x4c328112U, \
    0xe648b868U,     0x9b70bbd4U,     0xf03aab2dU,     0x98cda416U, \
    0x05fab76dU,     0xddf4dd58U,     0x3a353defU,     0x419fe7aeU, \
    0x0b43235dU,     0x772a73f3U,     0xd5f2da58U,     0xae2fc2bfU, \
    0x0f1281a8U,     0xc712bbcfU,     0x81e9ac68U,     0x992808cfU, \
    0x7410488cU,     0x16b5b40aU,     0x6707503dU,     0x904d15d8U, \
    0x8e936a3fU,     0xd3e89aa3U,     0xebbf0b1eU,     0xb501dffeU, \
    0xb4dc7012U,     0xb194f33dU,     0x44b1bf51U,     0x409667e2U, \
    0x276b41e5U,     0x8dc1226dU,     0x058111c7U,     0xcff7d919U, \
    0x9a63af4dU,     0xebd48937U,     0xa134663aU,     0x03cb45eaU, \
    0xadb34567U,     0xa2a80985U,     0xd72d166fU,     0xbc07702eU, \
    0x9a1ec628U,     0xdef35b74U,     0xdc5938baU,     0x4a0f860cU, \
    0x99977ba9U,     0x14e67205U,     0xa08d70dcU,     0x3ebab9c7U, \
    0xbc5b76fdU,     0x1989b54fU,     0x4d1599d4U,     0x41bcc4e7U, \
    0x0e30d5f6U,     0x1a673b27U,     0x2406cd6aU,     0xe325e036U, \
    0x34e18d76U,     0xdbcb96d4U,     0x8317d806U,     0x793c8237U, \
    0xe40124ccU,     0xc0c22614U,     0x27fa8e41U,     0x82e92f42U, \
    0xd93d4c03U,     0xbe9fb9d6U,     0x9b88d3cbU,     0xba4b46b3U, \
    0x9d8c7b40U,     0x2f14edd4U,     0xef25fe3aU,     0x1fbfb406U, \
    0x82ab6c10U,     0x6b74aa0eU,     0xf0adeca9U,     0x848674d3U, \
    0x52c5b690U,     0xb149975fU,     0x241c6a58U,     0x3e906579U, \
    0xbb9dc220U,     0xa244aabaU,     0x5bba7465U,     0x184325dfU, \
    0x03694805U,     0x49decebcU,     0x5c9654efU,     0x87b6a95bU, \
    0xffc1943dU,     0xfcb8336eU,     0xd12e86edU,     0x090bf978U, \
    0xbc835f0bU,     0xc01e8155U,     0xd74dd449U,     0xa4ce54ecU, \
    0x7d623f27U,     0x6f3feeafU,     0x6a252c45U,     0x01f0f510U, \
    0xcb703ba5U,     0x328edc59U,     0x79b47ae4U,     0xdcf5c6cbU, \
    0x43eb0dafU,     0x10c3d9daU,     0xdf502a9bU,     0x97f9b535U, \
    0xfcadfc09U,     0xcc5dcf7dU,     0x5e36b25eU,     0x8930cd7eU, \
    0x85300659U,     0xb62a4602U,     0x59e23fd5U,     0xa16a19e1U, \
    0x9549431aU,     0x4850a772U,     0x9ee812bdU,     0xa840cbc6U, \
    0x510acdd1U,     0x32fae7fdU,     0xf6d11415U,     0xa44f2a02U, \
    0xbddcf30cU,     0xa4779b51U,     0x75911800U,     0x99cc8e39U, \
    0x5c3584caU,     0xa844bea6U,     0x0dca0a05U,     0x45cfa472U, \
    0x59fcde6cU,     0x19c31899U,     0x1c339557U,     0x12a257b0U, \
    0xf7588604U,     0xfc68856cU,     0x1d0b77a7U,     0x7f503b1dU, \
    0x27f07bc3U,     0xc5299478U,     0x7a060e64U,     0xadd865f8U, \
    0x78d91a8cU,     0xc7839622U,     0x2da99a3bU,     0x38a38395U, \
    0xc8e365e5U,     0x4d1b4b97U,     0x8cdc480cU,     0x3a880718U, \
    0xadd5b4f5U,     0x2e6caefeU,     0xa4bd563bU,     0xc30d60fcU, \
    0x9f8f422bU,     0x8b86685fU,     0x6fbb90f4U,     0xf92021b8U, \
    0x29f23b2cU,     0x61dcc438U,     0xd59a43dbU,     0xe70ea8fcU, \
    0xb0b8caddU,     0x25d01935U,     0xf72269b5U,     0x6620d4f2U, \
    0xd279e1e8U,     0x9f66e65dU,     0x6f70747bU,     0x89c41584U, \
    0xcb555ab1U,     0x87b142f5U,     0x8f2c9ef2U,     0x701fe7d9U, \
    0x1dd19eb0U,     0xbd60fd9eU,     0x5f339415U,     0x7be14dacU, \
    0x44508ea3U,     0x02548996U,     0x3bc033aeU,     0xd2175c7cU, \
    0x01021c2fU,     0x9c60ee72U,     0xe233a7acU,     0x5c9b18fcU, \
    0xa06c1a1bU,     0xf16ac2cdU,     0x247a4e3bU,     0x305efdecU, \
    0x05fb1ac8U,     0x3e41119cU,     0xef91a515U,     0x36d0eeafU, \
    0xf6b843a1U,     0x1b8c5614U,     0xe3ac58d3U,     0xdbbb2373U, \
    0xea8c6ee7U,     0xc857cd9fU,     0xfdebfa2aU,     0x46b5b970U, \
    0x14e70d5aU,     0xd5d4ebcfU,     0x6831154aU,     0x9352ac1dU, \
    0xb43cb53dU,     0xedb9c80dU,     0xb3f9dc15U,     0xdf7f2958U, \
    0x8dd4c9c4U,     0x0d067859U,     0x890b82daU,     0xbb07e8a1U, \
    0x2568c6f5U,     0xcddb8af7U,     0xacd22249U,     0x2b429167U, \
    0xbc75a3d1U,     0x8b4a8bc3U,     0xec92e5e4U,     0xd8abab5fU, \
    0xa1dea15bU,     0x23110354U,     0xe50d3110U,     0x4f76c64eU, \
    0xdf65b9ddU,     0xb59ca98aU,     0xab6edd16U,     0x6b222eedU, \
    0xf0b8d9e1U,     0x365a82d5U,     0x4c7f6a66U,     0x4d15228bU, \
    0xed4d74bbU,     0x5d06f6cfU,     0x428fcfd6U,     0x97575ce0U, \
    0xec37f60eU,     0xc9343006U,     0x7d6eeb85U,     0xaf84c31dU, \
    0x6bcf1ed0U,     0x07c2d637U,     0xa6be3ecdU,     0x76bcb511U, \
    0x70185928U,     0x0f227461U,     0xe19ce665U,     0xfc5775a7U, \
    0xbd424eb4U,     0xe63f52d7U,     0x8ad06acaU,     0xa4a72b8dU, \
    0x047cd9a3U,     0x30a5ee06U,     0xee5fbd25U,     0x89849ef0U, \
    0xa43c1e36U,     0x940af537U,     0x0250dff5U,     0xa468bee8U, \
    0xce13e33cU,     0x75d7369bU,     0xd6334e63U,     0x8e9ed5b0U, \
    0x54b667d8U,     0x3a267005U,     0x4571be6aU,     0xcca6a94eU, \
    0x55b8b7adU,     0xcf93f083U,     0xbf7a88b0U,     0x9b1538b9U, \
    0x98174bc7U,     0xaac25e2dU,     0x64ed61c2U,     0x4cabf8d2U, \
    0xf6ef10bbU,     0x3446c6c7U,     0x855d0295U,     0x0a0ef427U, \
    0xb04253f1U,     0xb8496c04U,     0xf5fa0816U,     0xc03842a5U, \
    0x8a13de99U,     0xca38a176U,     0x91196ad3U,     0x7ea2f923U, \
    0xc1e8bc55U,     0x5dccdd3dU,     0x5e4c617aU,     0x6ae27a04U, \
    0x28a9bd46U,     0xf9ade689U,     0xab33aec6U,     0xf054f52dU, \
    0xef60e821U,     0x6b9a80daU,     0xc0e21aa7U,     0x1bf46c8aU, \
    0x2d407c26U,     0xfba1a4e7U,     0x50b9d573U,     0x3d68b73dU, \
    0x90871fe8U,     0x715bbe5bU,     0x8475e14fU,     0x891ff128U, \
    0x343fca02U,     0x32f3e24cU,     0xad697bbeU,     0xcacf17dcU, \
    0xd6427779U,     0x38733387U,     0x214575fcU,     0x2be63c7aU, \
    0xceb45716U,     0x0dcb633dU,     0xec045e0eU,     0x85e604deU, \
    0x9d0499f5U,     0x2d4763a8U,     0xacd85d3aU,     0xc8f46244U, \
    0xc7b3d886U,     0xcf90532eU,     0x8961ea82U,     0xa4cf929aU, \
    0xb4c3fdddU,     0x9a63d967U,     0x3c72d971U,     0x29913b83U, \
    0x6496dabeU,     0xa56f5b0cU,     0xeee38ab7U,     0xeb3fc4d4U, \
    0x9dddce63U,     0x992d4663U,     0x7ebfe280U,     0xe863df9aU, \
    0x4d15697eU,     0x41451451U,     0xd25aedb9U,     0xee46f1b1U, \
    0xa12a42f2U,     0xd15dff06U,     0xfff6fe6dU,     0x3c243c53U, \
    0x0cdbcf0cU,     0x39c3605bU,     0x684d20e4U,     0x6c6cbd9aU, \
    0x0a8b9ecdU,     0xb9e9c278U,     0x72cb4836U,     0xf79662f4U, \
    0x1bda6adaU,     0x2ee6ff46U,     0xa44e3279U,     0xf74fa9c7U, \
    0xb50bb8d1U,     0x3a5dda0cU,     0xe54e276fU,     0xd71b0e0fU, \
    0xa1bd9768U,     0x20169279U,     0x7a006000U,     0x63ee137dU, \
    0xc4e7dd83U,     0x0eeba012U,     0x143e824aU,     0x6249a21eU, \
    0x0ff3fca8U,     0x78c1ae81U,     0x1f757f9fU,     0x38d1e81dU, \
    0xd6ffb416U,     0x4ba0aa4aU,     0x8df11019U,     0x240e4775U, \
    0x1f594d54U,     0xcb237b67U,     0xf8d2e0b6U,     0xd9f9e84dU, \
    0xa05fc56eU,     0x3e8b7651U,     0x85c9047aU,     0xb311d7b2U, \
    0xd1c0e475U,     0x541fd50bU,     0x23250d83U,     0x172cc088U, \
    0xeab2db9fU,     0x2de4ffc4U,     0x0ec8bf6fU,     0x082e7ed6U, \
    0x0195a889U,     0x03227ab1U,     0x8ed8ca56U,     0x4ea0a296U, \
    0x88e5924cU,     0x606903a1U,     0x058d8ff7U,     0xb3b261b1U, \
    0x30c1c2cfU,     0x3e5f127bU,     0xf7b8a51fU,     0x37f31368U, \
    0x72ee2971U,     0x97fceccdU,     0x7029512fU,     0x8372fae5U, \
    0xfb73a8dfU,     0xd3d27f31U,     0x497729a9U,     0xcb2c28b0U, \
    0x1b5f0b2fU,     0x0789ff56U,     0x2aba93d1U,     0x9358da45U, \
    0x40b897fcU,     0x815a5cb1U,     0x8d1b062eU,     0x53dbdaa7U, \
    0xf4821985U,     0x34127ce0U,     0x4d9a0e2aU,     0x31776708U, \
    0x4a097828U,     0x4cddc3c4U,     0x2754247dU,     0x40496f70U, \
    0x5f64d836U,     0x2e21b161U,     0xc91a6d7fU,     0x38cabf0eU, \
    0xbd301214U,     0xc7345809U,     0xb0a7d8a7U,     0xbcc46006U, \
    0xa2f12127U,     0x8a1bab01U,     0x9f22df62U,     0x2f288fa9U, \
    0xd425e9b1U,     0xb1dfde85U,     0x0f195a4bU,     0x091c4680U, \
    0x9cab882eU,     0x5123b29bU,     0x94379956U,     0x7cff3702U, \
    0x4c96277aU,     0xac63ce8cU,     0xa7a9e710U,     0x6fbfc4ecU, \
    0xf0cce0f4U,     0xab89b2b1U,     0x41cf39b5U,     0x29a4316eU, \
    0x2f02f3b9U,     0x61b12678U,     0x97142aaeU,     0x82effcdbU, \
    0x45748bf1U,     0xd6ae51a5U,     0xf7310a48U,     0xd9ea8d31U, \
    0x5f3f8f5cU,     0xbe9a4c13U,     0x14d55b2dU,     0xf6787ccfU, \
    0x076af89aU,     0x3d36c278U,     0xc58973d5U,     0xa6b521b6U, \
    0x0fb82672U,     0xed1c8a01U,     0x6d2c4828U,     0x6d37898cU, \
    0x2033c0cfU,     0xdd30e3efU,     0x600ec817U,     0xbcfe6026U, \
    0x33f98ebcU,     0x57544331U,     0xc0aa7a4bU,     0x4cd696a9U, \
    0x3555c5dbU,     0x010e853dU,     0x68d2cfe7U,     0x0f34df1dU, \
    0xc52d5308U,     0x84ca5a03U,     0x066ddab4U,     0xfa3de68fU, \
    0xec8c31c6U,     0x33ff0828U,     0x8e29e203U,     0x7308a62aU, \
    0x52c71a83U,     0xd5b8cc55U,     0x22447ffdU,     0xf3a2c36bU, \
    0xdda16801U,     0xafc0948aU,     0x5be5ae1eU,     0x6f082339U, \
    0xfb95e007U,     0x59803480U,     0x4a8af4fdU,     0x4b291269U, \
    0x1442f1e1U,     0x175442edU,     0x039ebd54U,     0x4efd2389U, \
    0xcd976a07U,     0x01bcafd9U,     0x4ac62a84U,     0x5675d4daU, \
    0x55438798U,     0x4e384125U,     0xe4cd32bdU,     0x060af645U, \
    0x8c0ee628U,     0xdc6613f1U,     0xc6402aacU,     0x880c5157U, \
    0xdb849177U,     0x145f08ceU,     0x8c9560f5U,     0x7f6ca822U, \
    0x0e79e348U,     0x346eeb99U,     0x17b5e4e1U,     0x8c265638U, \
    0x1a2649c3U,     0x4ffcb623U,     0x12e7b051U,     0x66d7c77cU, \
    0x58e2a706U,     0x5700e9e5U,     0xcd092d0bU,     0xc1a6f75fU, \
    0x870dc683U,     0xdbba0ad0U,     0xd002da3cU,     0xe4ffefc1U, \
    0x69b9a676U,     0x5c3c6e83U,     0x785837a3U,     0xe6de96feU, \
    0x0ad79444U,     0x33cbb853U,     0x5cb05598U,     0x4e10212aU, \
    0xd0715b84U,     0x3f39c5d6U,     0x2c7711f7U,     0x0039d1a3U, \
    0xa80ac603U,     0x678de84eU,     0xba2698bfU,     0x05b9dcdcU, \
    0x1dfd9498U,     0x5d78c12dU,     0x46537b51U,     0x591c29f0U, \
    0x11d33b67U,     0xfc9022b6U,     0x2dd5a24cU,     0xa667796bU, \
    0x6628de27U,     0xdc14c763U,     0xbe75a8afU,     0xf7224e7fU, \
    0x637ac35dU,     0x533bb95fU,     0x0ae69a95U,     0xdeaae7d4U, \
    0x648f9605U,     0x0698589eU,     0xc891862aU,     0xffe0d608U, \
    0x5639c033U,     0xc3f64842U,     0xba34fd21U,     0xfb3a2a4dU, \
    0x6bedff00U,     0xfb7b8069U,     0xed0da4e0U,     0x2eeb025fU, \
    0xf0b4c721U,     0xd268fc05U,     0x7d6ef440U,     0x51af0f0dU, \
    0xb432d73aU,     0xc28051d2U,     0xf52f7b0dU,     0xe8ac31b9U, \
    0x9546a33fU,     0x6d71ba15U,     0xe8fce4c9U,     0xb999c3ccU, \
    0xea0b7829U,     0x70bc4036U,     0xf2f80e03U,     0xcd35d7bbU, \
    0xf21683daU,     0x5dae6b59U,     0x816fd125U,     0x18932ddcU, \
    0x7fb9e4e6U,     0x1ba2879fU,     0x81a3e2bfU,     0x70431560U, \
    0x48d902cfU,     0x7c9b0f9dU,     0xf13d61b1U,     0xf54fd204U, \
    0x1dc1facaU,     0x59d540d1U,     0x1c41373eU,     0x00a98d26U, \
    0x93208ee2U,     0xe55a1e4cU,     0x3db7bb82U,     0x3f4ff1fbU, \
    0x695eb636U,     0xe02b8f01U,     0x284fe371U,     0xdc9ee6c2U, \
    0x54691a3cU,     0xdaf165c3U,     0x1a59ab69U,     0x8ec898d0U, \
    0x810eeaefU,     0x446fe711U,     0x2cfb17cbU,     0x9b9c48ecU, \
    0xd6a3606cU,     0xe522a2b4U,     0x27e887eaU,     0x562babc5U, \
    0xc7d8e6a4U,     0x5c135949U,     0x77bfb69dU,     0xa868d7d0U, \
    0xc95a4b6cU,     0x56a30c2fU,     0xc9b999faU,     0x145f0f2cU, \
    0x6d0cb0faU,     0xb3be1aecU,     0xc1db8d12U,     0xb8c8a7b1U, \
    0xdb6aa492U,     0x7ccfe977U,     0x73ea2a62U,     0xfd9239f9U, \
    0x1353610eU,     0x14858d8cU,     0xcf729a82U,     0x4c4064c1U, \
    0x1a87e070U,     0x944040c8U,     0x06ba5b68U,     0x2a42d95cU, \
    0x97232759U,     0x807c6fc3U,     0xb3023d73U,     0x0380805fU, \
    0x61ae9e2aU,     0x7e8a42c7U,     0x4c8d1035U,     0x051d290aU, \
    0x228c4c00U,     0x7ec18522U,     0x29dd6f29U,     0xe6c26a5aU, \
    0x66b7d699U,     0x24bc99c7U,     0x9632624eU,     0x037d0d89U, \
    0x03dfd231U,     0x7a1907e6U,     0x9dbef08fU,     0x118770b9U, \
    0x2c090755U,     0xcd450d07U,     0x3b74f310U,     0xd679d7f5U, \
    0x88d80e8bU,     0xec667c4cU,     0xa9db204eU,     0xc9095db2U, \
    0x9a2bbba5U,     0x577e8972U,     0x23c891a9U,     0xaea1c07cU, \
    0xf9228724U,     0x34582bc9U,     0x778da3faU,     0x7e088a20U, \
    0x6de9887dU,     0xcb9a842cU,     0x4b93446dU,     0xee6350aeU, \
    0x11605e4fU,     0x9477907eU,     0xe000fb92U,     0x01c4dc1dU, \
    0x6d3955d3U,     0x544ef717U,     0xde506792U,     0x154a204aU, \
    0x9963b04bU,     0x2853188aU,     0xa5d09257U,     0xfbe3ac57U, \
    0xda518f18U,     0xa3699249U,     0x203da706U,     0xc4d2ea3dU, \
    0xebfb1e85U,     0x47e6874eU,     0x8bb2b731U,     0x5f1b4597U, \
    0x1788b340U,     0xee4dd309U,     0x3819cd60U,     0x335e6059U, \
    0x0f9a8d2dU,     0x98a7427dU,     0x1505a2a6U,     0xd84f225fU, \
    0x180a7738U,     0x42e41af4U,     0xfc7c9f29U,     0xd4d84840U, \
    0xe5079385U,     0xe2beeb5cU,     0x5dd59748U,     0x4b8bae92U, \
    0xc2e11d70U,     0x6548dd45U,     0xbffef47bU,     0xa54f0125U, \
    0x6afaa524U,     0xd879e79bU,     0x01c862e9U,     0x608f6ffaU, \
    0x98f87f02U,     0xc540de39U,     0x06472908U,     0x3adb9adfU, \
    0x5a017ef0U,     0xefcd7f4aU,     0x1f5e0445U,     0x97441dbdU, \
    0x5096d873U,     0xf6db2850U,     0xa83e0e24U,     0x6f543d26U, \
    0x31981e9eU,     0x5d350234U,     0xb7e380aeU,     0xe203a0a7U, \
    0x48c45afcU,     0x866e7fd3U,     0xbb6c0c74U,     0xc0df0e73U, \
    0x4f0b3535U,     0x365b88b4U,     0x1e760467U,     0xe0d86171U, \
    0x81cef30bU,     0x53bf1b22U,     0x6a74f0ecU,     0x98052a55U, \
    0x11917afdU,     0x5d10ac52U,     0x95fb620bU,     0x90766da3U, \
    0x5e22fa73U,     0x47752841U,     0xa749c124U,     0x723d78ebU, \
    0xa884f861U,     0x84fd0fe2U,     0xf9532828U,     0x6a520971U, \
    0xf2eaedf8U,     0x6ca4a581U,     0xa7bd8c84U,     0x261d56f2U, \
    0xbd48db3cU,     0x3a571683U,     0xe6e4cc9fU,     0x354473b1U, \
    0x9f340c7eU,     0xdd1c8df9U,     0x12a49a05U,     0x3a26a0d2U, \
    0xed1e8a74U,     0x6bd18cd9U,     0xa4dfd102U,     0xb7d1f485U, \
    0x706fb1e5U,     0xfd65fa04U,     0xb10ea145U,     0x9b2d911cU, \
    0xd979ea06U,     0x2c69be7fU,     0x3063a8eeU,     0xebf77c08U, \
    0x2e4c2f0aU,     0x136560d6U,     0x84323995U,     0x1263b52dU, \
    0x155473eeU,     0x0a12c0bfU,     0xd7a4a94aU,     0x2b07bfccU, \
    0x0f027ac2U,     0x3c5387a2U,     0xa3f31011U,     0x4d56c498U, \
    0x902252f3U,     0x1336950cU,     0xbad0ae90U,     0x332dfb4bU, \
    0xa719953bU,     0x04971495U,     0xcad37232U,     0xb639e858U, \
    0xff224436U,     0x9b09780eU,     0x387c9585U,     0xa47eb72bU, \
    0x2113481cU,     0x39a6a50dU,     0xb4326ad2U,     0x30816cd0U, \
    0x6cfa55b5U,     0x73641cddU,     0x02d98293U,     0x169ffe8cU, \
    0xfee187a0U,     0x9823aec3U,     0xcaa0f7b3U,     0x2b573bd4U, \
    0xb83e5d06U,     0xc2af5dffU,     0xd756bb68U,     0x4f103122U, \
    0x7600a3e0U,     0x431861a4U,     0xdf5edb9cU,     0x01897adcU, \
    0xf3d67b94U,     0xab000b64U,     0x16f3663aU,     0x8e2e239aU, \
    0x9b9ba0dfU,     0x7c239aa1U,     0x29289b7aU,     0x95b05e84U, \
    0xf6429411U,     0xb95b4a3eU,     0xc2458bc0U,     0xc65eb69eU, \
    0x25573c8eU,     0x8a2e5cb8U,     0xd80b0614U,     0x7202ae4aU, \
    0x8d1224f2U,     0x5ed80a60U,     0x294f8c48U,     0xc6ab70c0U, \
    0x4a5da088U,     0x05781a67U,     0xd5195ad9U,     0x8c5be509U, \
    0x39c86887U,     0x2062d7a7U,     0xea88ab0fU,     0x49d30cbaU, \
    0xd5392dd9U,     0xcac8bfd7U,     0x0ed45dfcU,     0x2d897b70U, \
    0x80c911e6U,     0xcda86663U,     0x481c158dU,     0xb3fbd91bU, \
    0x8f4dc529U,     0xca7437bfU,     0xf7370170U,     0x9f100e3aU, \
    0x0fe9290aU,     0x6e51e5c8U,     0x2e776aa2U,     0x604f914eU, \
    0x2055db88U,     0xe180761fU,     0x2e16b513U,     0xc789501aU, \
    0xc372afacU,     0x15ef019eU,     0xb4631821U,     0xffd6e600U, \
    0xc72e657dU,     0x7e4d7c3bU,     0x4f072fcaU,     0xb92d0fc3U, \
    0x8db240a2U,     0x40895bd3U,     0x2bcee6feU,     0xc89f0960U, \
    0xcf05b3c2U,     0xf570de5eU,     0x23936d75U,     0x59122a94U, \
    0x72eee43eU,     0x61a81dd8U,     0x669d37f3U,     0x94d14e04U, \
    0xeefb895bU,     0xe9b4cfd8U,     0x45e905bbU,     0x78857398U, \
    0xd7cc8f8bU,     0xf09e7c91U,     0xd4e8a30dU,     0xfd9d31baU, \
    0xc4fe73bbU,     0x26c1048aU,     0xb9cc29cbU,     0x02431940U, \
    0x0127055eU,     0xba6edf30U,     0x4ea7ebc0U,     0x81326d41U, \
    0xb3ea3dfcU,     0xd894d7c9U,     0xc1fd9a1dU,     0xc30b9f46U, \
    0xe1384322U,     0x68485e81U,     0x36003113U,     0xeeab4ba8U, \
    0x330f73d1U,     0x46a1074cU,     0x65189005U,     0xd084fc68U, \
    0x45c4ac32U,     0x8f3ebb11U,     0x94fdab06U,     0x2db1358aU, \
    0x1adca07aU,     0x6705eb7dU,     0x38b94b52U,     0xf288a66cU, \
    0x819c5633U,     0x6d65bb76U,     0xa97d05c8U,     0xc01438d5U, \
    0x1ba68422U,     0xfd947e7fU,     0xed284409U,     0xa2f6b9f0U, \
    0xc435c7ecU,     0x7e0cce31U,     0x5e66a484U,     0xbc5f722aU, \
    0xbf704b16U,     0x87a2fcb6U,     0xf6c095faU,     0xcb6382d0U, \
    0x1d68861aU,     0x768b7facU,     0x95a48363U,     0x4d5c6ed7U, \
    0x52ea7fb2U,     0x7c2d966aU,     0xbd3dbb23U,     0xcc393cd1U, \
    0xb335780cU,     0xe3966935U,     0xf1f6a9d1U,     0xec54e50bU, \
    0xf0be438fU,     0xc41ad977U,     0xfa41db70U,     0x96543275U, \
    0x3b3d44b6U,     0x9297b7bcU,     0xf4e30799U,     0x79ef0b88U, \
    0xcc9eae62U,     0x201e6498U,     0x23549f81U,     0x12f0ff0dU, \
    0x85928546U,     0x878900fdU,     0xb6fc760eU,     0xfcd4c0e7U, \
    0xb60caa7aU,     0xebf53ad2U,     0xdda1fbdbU,     0x3632b1e7U, \
    0x8fafc2fcU,     0x842e8086U,     0xa08d139aU,     0x88b31781U, \
    0x3e7cfe69U,     0x3b7fdee2U,     0x81110921U,     0xa8248b37U, \
    0x9814c013U,     0x21d1a5f5U,     0xa240285cU,     0x9adb8126U, \
    0x9945124dU,     0xe00835f7U,     0x1bf9746dU,     0xf096e2dbU, \
    0xfb0c58d9U,     0x6edbedbdU,     0x83654c2aU,     0x342d75d8U, \
    0xf86e8db5U,     0xaa6c3c04U,     0x9601f34aU,     0x53d4be5cU, \
    0x5daa61e5U,     0xbb4fa791U,     0x4e246e0eU,     0xedd8d1f1U, \
    0x5c669fd4U,     0x8a1b7d3bU,     0x11ad98c5U,     0x4d820800U, \
    0x6f8d0be5U,     0xc883ce91U,     0x21b818a9U,     0xc4b9f8c4U, \
    0x188cb08bU,     0x77d9be54U,     0x3fe80c52U,     0xc8d066b8U, \
    0x17679cadU,     0xc667ed11U,     0x6823122eU,     0x9facca0dU, \
    0x6d73fe42U,     0x7b23a0b2U,     0xb41c012eU,     0xe082e6b7U, \
    0x3ef642bdU,     0xaaa701caU,     0xa78472b4U,     0x08cf225aU, \
    0x8c696155U,     0xad349fa5U,     0x7321583dU,     0xbd6649e2U, \
    0x8a212216U,     0x041138d6U,     0x9057375aU,     0x15744983U, \
    0x2325820eU,     0x77539c06U,     0x0ada7979U,     0x7ecd32b4U, \
    0x8dfc51f1U,     0xa5395e73U,     0xb27ffdaeU,     0x189a94f3U, \
    0x723d6353U,     0xae5103f8U,     0x6039110cU,     0xda989d04U, \
    0xe106ebd4U,     0x542f2fb2U,     0xe45acf9cU,     0x9ec6c291U, \
    0xf7d71a25U,     0xb75499afU,     0x94708c45U,     0xd3267713U, \
    0x4da5a98dU,     0xed911576U,     0x3ee9166eU,     0xfeaa854fU, \
    0xd0fb0ec0U,     0xd02f0397U,     0xd8bcacaaU,     0xe58aa3d9U, \
    0xafc4e4f0U,     0x52b89250U,     0x9926a757U,     0xd9627865U, \
    0x2eb72a9cU,     0x2dc169a0U,     0x011c16e3U,     0xb3649ca9U, \
    0xba434252U,     0x839d1c17U,     0x8a1401b5U,     0x9d99a99bU, \
    0x7f7c02a7U,     0xa85ba577U,     0x817b6a38U,     0x0f427937U, \
    0xb7750267U,     0xbd71b0afU,     0x24a68b61U,     0xc1054855U, \
    0xb60e4404U,     0x7c3508b2U,     0x570648c9U,     0x64843dc2U, \
    0xce39b19fU,     0xa1c6a096U,     0x3a325c1eU,     0x2af9426eU, \
    0x10c6ad7eU,     0x047e7f30U,     0x5f77fa31U,     0x5c6a8f75U, \
    0x97e7e1c5U,     0xe4eb80cdU,     0x4297ae47U,     0x27fdcbe6U, \
    0xf96d44d7U,     0xe7ec9fe7U,     0x97d1dd40U,     0x01e8fc94U, \
    0x8ea7e323U,     0x42322c3eU,     0x3aaa8b4fU,     0xdbbd4a0dU, \
    0xe7731cc5U,     0x52f6a958U,     0xa80ff9adU,     0xea96a973U, \
    0x8ef5d5afU,     0xb2583e48U,     0x536981eaU,     0x49e480feU, \
    0xc7cfe223U,     0x9f9c231eU,     0xf8a9232cU,     0x94916071U, \
    0xef8bb82fU,     0x1bec3e33U,     0x7054cd10U,     0x6ee30fd2U, \
    0x8f72564dU,     0x65979854U,     0x37108372U,     0xd4e7912bU, \
    0xc7866848U,     0x9849d261U,     0x1dd1754eU,     0x2917fc31U, \
    0x06c57299U,     0x8ca05d02U,     0xe281e01eU,     0xee5d107fU, \
    0x8cef4a7dU,     0x2d3f01e3U,     0xbbe41c51U,     0x06b96ea6U, \
    0x7f97c1f6U,     0x382cd563U,     0xd621de0eU,     0x7f36a58eU, \
    0x0861dec8U,     0xe03c12c8U,     0xf50ce1b4U,     0x39eed96eU, \
    0x559c56b5U,     0x1d927e9fU,     0x1f0bde9bU,     0xa2065fe8U, \
    0x16c87cdfU,     0x0741be8fU,     0xe2d465c0U,     0x5d855bfcU, \
    0x5a92347aU,     0x4d831c64U,     0x8f8b9bddU,     0xdf5b3834U, \
    0x2abf1eeeU,     0xd7314ffdU,     0x47a05e58U,     0xab89eea7U, \
    0x74079f64U,     0x135c9b42U,     0xa675e9bbU,     0xe1be6861U, \
    0x86f39e96U,     0xdaba3793U,     0x7421b28aU,     0x42fa8a56U, \
    0x87efc26aU,     0xbbd7174eU,     0xefc7c232U,     0x6c57c29aU, \
    0xc41d9bebU,     0x1b1e144cU,     0xf9abde7eU,     0xed46efbcU, \
    0xf7f6637bU,     0xa3ebd56aU,     0x5b9b11fbU,     0x6d81ad85U, \
    0xa4b9ec24U,     0x93c6b690U,     0x48967792U,     0xfd088719U, \
    0xa413d1f6U,     0x28f7dde0U,     0xf05c1caaU,     0x727d4913U, \
    0x52fda6e5U,     0x26476f63U,     0x87f70287U,     0x16bb7862U, \
    0x5eb7556dU,     0xdbde86dcU,     0x56245179U,     0x69a4f973U, \
    0xa910b9a0U,     0xa1579390U,     0x1807514eU,     0x7e0eb263U, \
    0x30482c3eU,     0xb51d996cU,     0x97c34b05U,     0x1d470a98U, \
    0x1acb94d1U,     0x206f6199U,     0x19d1fea1U,     0x6f9c2416U, \
    0x00094fbfU,     0x9af18b6fU,     0x127c8d65U,     0x5db81fcfU, \
    0x2b488805U,     0x89c2d182U,     0xff5030e4U,     0xadbfa656U, \
    0x19870a0bU,     0x4efdab09U,     0x0d11187eU,     0xed979b87U, \
    0xdfe611c8U,     0x8fb3ceb7U,     0x700b5fccU,     0xdd2fe89fU, \
    0x90852f07U,     0xa4763b06U,     0xf04326f9U,     0x12a27258U, \
    0xe37d98beU,     0x469cafdeU,     0x439b4322U,     0x42629411U, \
    0x64ee5f12U,     0x9d36ef37U,     0xf5eb23d2U,     0xe1268e0bU, \
    0xc448dc11U,     0xfa1ceb2cU,     0xa01381b3U,     0xb0e86f8dU, \
    0xd274baddU,     0x7f220e58U,     0xf3049fadU,     0x9ec47031U, \
    0x1f11c476U,     0xf6576330U,     0x5a055d80U,     0x88c3f925U, \
    0x57086bedU,     0x3c857d2dU,     0xe48bc12eU,     0x748e273eU, \
    0x3f6a893fU,     0x66d2bdaaU,     0xc6332d2fU,     0x79a97804U, \
    0x018ac529U,     0x30269f9cU,     0x365a7c53U,     0x81179750U, \
    0x3f8e31beU,     0x786bd9b9U,     0xca4e5256U,     0xae2a0063U, \
    0xe5595584U,     0xee701c7aU,     0x16c7a46fU,     0x92f00143U, \
    0x8b845e4eU,     0x3b6dd07fU,     0xf8b60df5U,     0xb5819870U, \
    0x9e1e1d8aU,     0x258c033fU,     0x7f721638U,     0x1c93fbaaU, \
    0x479917d2U,     0x48391505U,     0x74bbe9b1U,     0x905ce916U, \
    0x1d03ab54U,     0xe676461fU,     0xdffb25faU,     0xb2a0b08eU, \
    0xb1bc295bU,     0x5efd63ffU,     0x8e5b92edU,     0x8a62f553U, \
    0x56ab1d65U,     0x4fe13a78U,     0x381c369aU,     0xccb9e1bcU, \
    0xc218a80eU,     0xb79f8ec9U,     0x162ddb7cU,     0x876a76caU, \
    0x422688aaU,     0xc6a4e701U,     0x11c97938U,     0x74f30729U, \
    0x8dfb6e74U,     0xc75011baU,     0x003e8ae9U,     0x8776c307U, \
    0x83f68e35U,     0x78b15a3cU,     0x91aa46faU,     0xaa02e823U, \
    0x353852ddU,     0x99beb643U,     0xbba8168eU,     0xcf03314dU, \
    0xc45dd112U,     0x9c570d30U,     0xbf179996U,     0x612a35fcU, \
    0xbc7acf93U,     0x1c077bb0U,     0x5dcf4c74U,     0x7ebdca99U, \
    0x4ab849ceU,     0xd4ff0fabU,     0xfb7bf17dU,     0x6ecfe151U, \
    0x22100a1cU,     0xb25a68e7U,     0x2eaabc0fU,     0x5980fa67U, \
    0xd5da9454U,     0xbc673a8eU,     0x01627473U,     0x866adc40U, \
    0x530ec952U,     0x6ffe4833U,     0xb2ab3449U,     0xf5bdcf7fU, \
    0xb90df200U,     0xaca65fedU,     0xef012e47U,     0xd59a517aU, \
    0xf0dca0faU,     0x1f6b51ffU,     0xfe00b4ffU,     0x10ad54b5U, \
    0x2b49e9fdU,     0xdd37940aU,     0x4fdac130U,     0x154f68cfU, \
    0xb8a4b6fbU,     0x88ba7292U,     0xc03707ecU,     0xe3eba870U, \
    0x74a6a323U,     0x90e27725U,     0x242b1c74U,     0x81a1c9a1U, \
    0x07b37ceaU,     0xafd20860U,     0x7a99ceb5U,     0x853c2679U, \
    0x1213fc63U,     0x9db5c381U,     0xeac88812U,     0x425d4f52U, \
    0x1d4246f8U,     0x1d3592e0U,     0xa5b0a53fU,     0xb6a003acU, \
    0x50e4dc84U,     0x3f4a0c03U,     0x80709216U,     0x415f8c09U, \
    0xc4738537U,     0xd1d300b6U,     0xf8303525U,     0xa4fd0e4bU, \
    0xc7013d18U,     0x7171e87cU,     0x61bdcc81U,     0x26540501U, \
    0x00fadc3eU,     0x25962a97U,     0xcb547710U,     0x5604b859U, \
    0x628dce53U,     0x8c9e1ae9U,     0x3dcd3707U,     0x65bb3743U, \
    0x935e45adU,     0xc0f4e4a8U,     0xf56fd645U,     0xe06754beU, \
    0xc3efc827U,     0x0b67afefU,     0xb99e1253U,     0xe05aac52U, \
    0x1ce3dca2U,     0x135ecf56U,     0x0b3abb27U,     0xa2d96d47U, \
    0xf8ea3bdaU,     0x59645997U,     0xc6adcc93U,     0xe39233f9U, \
    0x43a4d801U,     0x668ca4e6U,     0xc2773f49U,     0x24325b6dU, \
    0x6dbdcb1dU,     0xcd145888U,     0xabee9023U,     0x37d29548U, \
    0x95a668d9U,     0x08f708deU,     0x60e07d24U,     0x535e25cfU, \
    0xd26e3bf2U,     0x4cb1cdcaU,     0x00ac5eaaU,     0x437191e8U, \
    0x76db88cfU,     0x87be4df4U,     0x6fb850c2U,     0x18fecf69U, \
    0x98fd6e58U,     0x9ea4e6b0U,     0xb6d55742U,     0xcc4abd4dU, \
    0x4f8b4c06U,     0xa1f1a566U,     0xf4013320U,     0x7b644779U, \
    0xb5164ba9U,     0x988e09baU,     0xc384f020U,     0x41f2d193U, \
    0xdb40abbdU,     0x93c459b0U,     0xe96b5c47U,     0x66e2e438U, \
    0xb4d13e77U,     0x6fe579acU,     0x7646654cU,     0xa993f349U, \
    0x12e797c0U,     0x2443d59bU,     0xffdf4aa7U,     0x4340e396U, \
    0xd5f23817U,     0xfd1407edU,     0xffa9c06aU,     0xa0095de6U, \
    0x137e79bfU,     0x9f9d3ba6U,     0x9d187f3eU,     0xaac8b623U, \
    0xb4d0967fU,     0x67a13187U,     0x930ca12cU,     0x3b7ed8e5U, \
    0x034ef2eaU,     0xb6c3ad14U,     0x7df7b139U,     0xac721e68U, \
    0x46e85927U,     0xfb38b004U,     0x2834f169U,     0x115a196eU, \
    0xfbc782baU,     0x0b8c9c4aU,     0xfcb5b342U,     0xd70b1fcfU, \
    0xc6dc2368U,     0x8a0b0e7cU,     0x20ff71b2U,     0xb49275dbU, \
    0x105b330bU,     0x25cace16U,     0x3e6b4f80U,     0x2f237583U, \
    0x73a3793fU,     0xf420703aU,     0x3afde756U,     0xfd86050aU, \
    0x6e74a43eU,     0xf25e885fU,     0x51ae4f37U,     0x4e67bf89U, \
    0xbc6e3e90U,     0xefec5e84U,     0xa8e590e5U,     0xc76a2951U, \
    0x43d1ba1fU,     0x0ec080c4U,     0x3e77702cU,     0xfa1b688eU, \
    0x03c2a1bfU,     0x87e2f03fU,     0x7cf86192U,     0xc1c94d81U, \
    0x42a45209U,     0xb41ef221U,     0x7264cd81U,     0xa4fd9673U, \
    0x989a1b63U,     0x056fb464U,     0xca95d376U,     0xae6bfe1aU, \
    0x02ee517dU,     0x1b470262U,     0x022e45a5U,     0xe8177aaeU, \
    0x8982388eU,     0x6e96c068U,     0x10eb14e7U,     0x94e9876aU, \
    0x9dfe2e30U,     0xe9335607U,     0xaa0d5c34U,     0x443e0991U, \
    0xe2842f4fU,     0x36660802U,     0x403c96d6U,     0x24066903U, \
    0x7712456aU,     0x2f21a430U,     0x7195e0b1U,     0x34b91981U, \
    0x95bdb754U,     0x92cc9097U,     0x37763afaU,     0xfc8f5bd0U, \
    0x3162a47cU,     0x40ae807fU,     0x75d8d63aU,     0x3b5ab4e0U, \
    0xb6e3569cU,     0x933755e6U,     0x6e2b6ec7U,     0x3c8a6951U, \
    0x1845d7d5U,     0xc63f9e10U,     0x8d30fd89U,     0x4ee15128U, \
    0x40057cf2U,     0xd572abfeU,     0x6cb15e88U,     0xdbfd9efaU, \
    0x4e65dd4eU,     0x4457566cU,     0xf03336c5U,     0x868cf1d6U, \
    0xe2bcdf73U,     0xc79812e5U,     0xd8c9e0a1U,     0x2c53d679U, \
    0xfa8d7a6dU,     0x67185483U,     0xbc2f7b45U,     0xf0d78f92U, \
    0x653b8101U,     0xbad03ad5U,     0x4d406e33U,     0x33dd9fe2U, \
    0xea594387U,     0x4640c626U,     0x554d2f49U,     0x9c9f2ce2U, \
    0x02ad26acU,     0xee84af97U,     0x48935af8U,     0xbe1e2c73U, \
    0x4a3820a2U,     0xa61df13cU,     0xebf41730U,     0x21011fd2U, \
    0xf80bc6e1U,     0x2abee215U,     0x914b61a4U,     0xdb709aaeU, \
    0x35c231b9U,     0x08edb4d9U,     0x6b5a17e7U,     0x51587e6eU, \
    0x3c912dd0U,     0x24fcde84U,     0x1cb14833U,     0x48b6ee9eU, \
    0xb6e759f4U,     0x29c9bb2cU,     0x45bc6605U,     0x8e89fb0cU, \
    0x03b3bdfcU,     0xb551ba90U,     0xdd5c34d9U,     0xe1b2b4bcU, \
    0x61f6af3aU,     0x34cad2feU,     0x270b9b56U,     0x8a180b9dU, \
    0x02a9ecafU,     0xd8e0f66dU,     0xdb53f39fU,     0x3a15abf0U, \
    0xb2c011f2U,     0xb408c8fbU,     0x4571144bU,     0xb6b30cf7U, \
    0x12814397U,     0x382bbf65U,     0xcbae15d5U,     0x46046e5aU, \
    0x40f3894bU,     0xbf44b7ebU,     0xe5262080U,     0x50d99600U, \
    0x4d8bc3f6U,     0x4539c112U,     0x30d95deaU,     0x34c31b29U, \
    0x7395f9f4U,     0x3819d01cU,     0xed577ecbU,     0x4e16d67aU, \
    0xd86efc09U,     0xe50ed627U,     0x20c631f4U,     0x6a4156ffU, \
    0x5ef4ba9bU,     0xe56ba2f4U,     0x99e8c888U,     0xaf2e061aU, \
    0x63e36d94U,     0x72ddd875U,     0x2d60d104U,     0x95d3579bU, \
    0x4631b599U,     0xc7a2b6d6U,     0x358d5a7cU,     0x2397011eU, \
    0x40b42b18U,     0x619993d6U,     0x581c375aU,     0x31b24a1fU, \
    0x7bd543e0U,     0x419a1f23U,     0x36e1a25cU,     0xb0a9a072U, \
    0x38f9d964U,     0x30dc7fd8U,     0xfaa45416U,     0xd355e85bU, \
    0x86012c46U,     0xd41117eaU,     0x6c0c8fbdU,     0x8a0bfb29U, \
    0x33f18898U,     0x234dca26U,     0xbab29512U,     0x7ebea54cU, \
    0xd6fdab61U,     0x45396dcaU,     0x33cbabd2U,     0xf0e8fa74U, \
    0x50ddffe9U,     0xc9ce6edbU,     0xe3343fe5U,     0x4cc76611U, \
    0x61aca43bU,     0x2c5b085bU,     0xc1cdd3e7U,     0xd75c205eU, \
    0x60a56259U,     0x9ebc2a30U,     0x6e77a4afU,     0xe91ab910U, \
    0x78ec4516U,     0xc7e0cf23U,     0xbe52e089U,     0xa438d63eU, \
    0xe1d73849U,     0x3341dc6bU,     0x58002643U,     0x32268483U, \
    0xe267402aU,     0x2328d6ebU,     0x4ee72cc0U,     0x874fbbbbU, \
    0x504996a7U,     0x2c71f91dU,     0xeadfccfeU,     0x9e43e44aU, \
    0x51b98751U,     0x25650064U,     0x80ea2d27U,     0x856eedd5U, \
    0x6808eb2eU,     0x149d5226U,     0xe5f41a5dU,     0xbc38462fU, \
    0x9a4f4c76U,     0xbca9b17cU,     0x64d31ea3U,     0x3d43d866U, \
    0x54987663U,     0xba862513U,     0x029c7626U,     0xc1b07511U, \
    0x822a4200U,     0xc7f3e465U,     0x04af6f9dU,     0x24e4417bU, \
    0x1c352d94U,     0x5d0ba939U,     0xb9bb3053U,     0x7e98ad3fU, \
    0x27677414U,     0xc412120fU,     0x2d407445U,     0x069e1584U, \
    0x6d43c1e4U,     0xfe562dcdU,     0xf03c041fU,     0x56a5e53dU, \
    0x2189f2b9U,     0x62b8b512U,     0xb00b42eaU,     0x27989ba5U, \
    0x07cdf22eU,     0x80f988e6U,     0xbba67764U,     0xa86c7786U, \
    0x5e071900U,     0xc1aa6244U,     0x4f56339aU,     0x80b7196aU, \
    0x1d99259fU,     0x26dc98dcU,     0x5afd0460U,     0x3ffe7c8bU, \
    0xa22b06deU,     0x3609e791U,     0x7eadc703U,     0x6e563e51U, \
    0x08963f7bU,     0x7fad81b8U,     0x7c06dd02U,     0x7ce08e00U, \
    0x88578345U,     0x789d47b2U,     0x7734852dU,     0x1d4dca89U, \
    0x9569535aU,     0xb123b71eU,     0x29a8492dU,     0xdc86bab3U, \
    0x42fe0c2eU,     0x37756124U,     0xddf49b12U,     0x9fd9e77aU, \
    0xd88489b7U,     0xab1cb1c2U,     0xb32a0494U,     0xe7ef48d6U, \
    0x7ada864dU,     0xcc541d0dU,     0x1d85dd6eU,     0x2225d2f7U, \
    0xf18cf618U,     0x02ef716fU,     0x9d541bbcU,     0xed9858c6U, \
    0x40329b1bU,     0xfa703243U,     0xe4534950U,     0xbc87e592U, \
    0x18e61488U,     0xe75cd9d3U,     0xb8c3f26bU,     0xc6bdfe55U, \
    0x55bedc3aU,     0x2a5710a8U,     0x2992f16aU,     0xfa5a48c4U, \
    0xccc19e00U,     0xe83ccf51U,     0xd8fa6faeU,     0x92240c36U, \
    0x023741d0U,     0x9492d4ccU,     0xe113b2b1U,     0x518e9853U, \
    0x11b559bdU,     0xe92ab53eU,     0xe4b5144aU,     0x8a99cbc0U, \
    0x3c72b6d1U,     0x0416121dU,     0x3cf5229dU,     0x3581de68U, \
    0x7e1d1e29U,     0xa013d73eU,     0x37122d39U,     0xd10440ceU, \
    0x764d06cdU,     0x73a49182U,     0x29bbf543U,     0xa2c47470U, \
    0x80c43b67U,     0xbe127974U,     0xd94a651dU,     0x38c564f7U, \
    0x8b6e7cc7U,     0x72e312e4U,     0x10f171c4U,     0xcb973d54U, \
    0x98e57f18U,     0xa14defbfU,     0x7579f0f8U,     0xab2428e5U, \
    0xc4445da7U,     0x2f695516U,     0x944496c4U,     0x0bb0374fU, \
    0x296b628eU,     0xb9fb3e74U,     0x77ff3139U,     0x310ee2e2U, \
    0xed1d4734U,     0x27be962fU,     0x7f89d096U,     0x00ae5950U, \
    0xbe7bdca2U,     0x1f0ed411U,     0x4f92ef8eU,     0x87541a75U, \
    0xad8612c3U,     0xd1258d27U,     0x9b477e71U,     0xad72b0beU, \
    0x25a2fe55U,     0x434e81ebU,     0x5dcf6d93U,     0x7ec883beU, \
    0x46869a3eU,     0xd65e0f94U,     0x030297faU,     0x08cffb22U, \
    0xa1c08560U,     0xeb3e39eaU,     0xe3b96169U,     0xb23f7588U, \
    0x66fc3164U,     0xbf9aa390U,     0xc6f6e8d8U,     0x7c1c487cU, \
    0xc93d8487U,     0xe872affcU,     0xd2af7aeaU,     0x4e02a97eU, \
    0x15639f5fU,     0xcf80bff4U,     0xe5a34895U,     0xfd34b3b3U, \
    0x4273ac7bU,     0x28885743U,     0x2c24e90bU,     0x665f18f6U, \
    0x55471afdU,     0xed337176U,     0x40c2af7bU,     0x70d44ae9U, \
    0x814a5b1aU,     0xbf892a90U,     0x7263ac10U,     0x8a10e2c1U, \
    0xb2d47d62U,     0xc6997969U,     0xc153d7dcU,     0x91915489U, \
    0xcb3a9caaU,     0xde4c94e3U,     0x74405614U,     0x70631a4eU, \
    0xb2585d34U,     0xecbf7ffcU,     0x07467c74U,     0x1d126df5U, \
    0x3e600235U,     0x6cb5df22U,     0x404102cdU,     0xb34bb8e8U, \
    0xf2d85821U,     0x6a37e347U,     0x0d683130U,     0x1261fbc5U, \
    0xef7888edU,     0x0d51116fU,     0xb5998156U,     0xeb79e5c8U, \
    0x69de41c0U,     0xeeefcba9U,     0xcf0301f4U,     0xe93174fdU, \
    0xd204542fU,     0x4434e198U,     0x0bbf9a6bU,     0xd14e2f0aU, \
    0xc126d530U,     0xbcc905cdU,     0x6b3865feU,     0x5f839202U, \
    0x7d61d84bU,     0x8239ec83U,     0x73656283U,     0x31040847U, \
    0x118a56e6U,     0xe5404d34U,     0x0230987dU,     0x42f05cc7U, \
    0x896e59c4U,     0xb8f2d912U,     0xb2b3aa89U,     0xd8a9d874U, \
    0x411e6670U,     0xb3604617U,     0xbd6a06aaU,     0x7d086709U, \
    0x9c4169f7U,     0xc8bbf880U,     0xf331ad63U,     0x7063d284U, \
    0x577285e4U,     0x779f306aU,     0x8982f80dU,     0xfdec6920U, \
    0xa2f5c752U,     0x1b94298dU,     0x8988112bU,     0x0b198d43U, \
    0xdbac776aU,     0x6b21f028U,     0xaa24e309U,     0xce8198a3U, \
    0x2c07a735U,     0x3a640fa5U,     0x7ab96bd1U,     0x66c8f8f6U, \
    0x3149ba08U,     0x6feafd4bU,     0x953e3a82U,     0xd8e5f8a6U, \
    0x500e0b15U,     0x5fb33cfeU,     0xc47e732aU,     0x2f9b75caU, \
    0xf22fdc2aU,     0x3d453fcaU,     0xe297cd17U,     0xed8f8692U, \
    0xb98f9d76U,     0xb8e8e00cU,     0xd2b003e6U,     0x1fb4168fU, \
    0x3ff0671eU,     0xcec1eca8U,     0x2f385874U,     0x96c6a59dU, \
    0x4fcf6a94U,     0x150f2af1U,     0x81895ccbU,     0x18a0018aU, \
    0x85f3a913U,     0xaa5d9947U,     0xf1bc9086U,     0xf027f412U, \
    0xdfe85b52U,     0xf8de7aa6U,     0xf3b75264U,     0x49fc9b19U, \
    0x2e98f5b3U,     0xd3656954U,     0xc7a201bcU,     0x4a5a7a4aU, \
    0xdd6881d3U,     0x5f6e26efU,     0x77b85d19U,     0xa17c5d8aU, \
    0xd9fe0cb3U,     0xcab1b5a0U,     0x9f8cc9bbU,     0xbb063b5aU, \
    0xbb801507U,     0x7f8d877cU,     0x535f3c58U,     0xb73f627dU, \
    0x53808419U,     0xf73bf042U,     0x5b971229U,     0xb082520eU, \
    0xcca3435fU,     0x222f6cdeU,     0x8b98e522U,     0x92d70c85U, \
    0x2af6e077U,     0xb74125bfU,     0x5ef93ec8U,     0x5b595c70U, \
    0x82146f5dU,     0x3680dca0U,     0x31ea5bd1U,     0x0c4fbdbbU, \
    0x3df0b794U,     0xde5e2811U,     0x3929f24bU,     0xf6e0dd9eU, \
    0x6e637dacU,     0x9f1a8b40U,     0x972163aaU,     0xe126401dU, \
    0xff750354U,     0x87b5f8ddU,     0x6535fed2U,     0xe3e6fb34U, \
    0xcb3d2fafU,     0xa6a458d6U,     0x20081bf8U,     0x12bdafefU, \
    0x33cd2a03U,     0x2e13f778U,     0x594888f0U,     0x9d9fb1e9U, \
    0x7e41ca5eU,     0xa74f4767U,     0x87833888U,     0xf5529ee3U, \
    0xed1eb1beU,     0xdd0d5d86U,     0xc20715cfU,     0xac172ac6U, \
    0x0d09f1f5U,     0xfed27824U,     0x7a62ce81U,     0xa2841cf5U, \
    0x1a4d70dfU,     0x86efa685U,     0x619d8af2U,     0x85f62d92U, \
    0xde32824fU,     0xfe45621aU,     0x1654ad32U,     0xa15e7dc5U, \
    0xa7991538U,     0x3c4ed7d0U,     0x97fe0af3U,     0xb458363bU, \
    0xc5faa989U,     0x6ae65bd8U,     0x7036adecU,     0xa2573895U, \
    0x7f3b5584U,     0x30887f5cU,     0xfe7e0b64U,     0x5fc27a68U, \
    0xf302acd4U,     0xd7cda6e8U,     0x93b1ccd8U,     0x2a3947a5U, \
    0xa6f05df2U,     0x0df04621U,     0xd72a6447U,     0x6d73344aU, \
    0xb1969201U,     0x3bd53285U,     0x38e47f57U,     0x7f36de38U, \
    0xc23e96b9U,     0x46814e14U,     0x951cabf4U,     0xf46df20dU, \
    0x66f0510cU,     0x8686e117U,     0x97945798U,     0xfcbecb32U, \
    0xa19cf013U,     0xaf755bc5U,     0x61332a1aU,     0x50802df9U, \
    0x909950e1U,     0x5d0d0ba1U,     0xd7079604U,     0xeabd2a6eU, \
    0xad350d7cU,     0x1afac39dU,     0xe2afcfafU,     0x528de2c1U, \
    0xf2e829e3U,     0xae071f23U,     0xb42d8b54U,     0x63cbb066U, \
    0x4348b053U,     0x845ba85cU,     0x847340f0U,     0x496f9b66U, \
    0x5203d3f0U,     0x47b0ea89U,     0x6ddd062dU,     0x4651b4b7U, \
    0x8f1c25b8U,     0xfc7b839cU,     0x7a8c151eU,     0x6e79a4c7U, \
    0xbcd02159U,     0x8028a4e2U,     0x37ac6583U,     0x51b6b1ffU, \
    0x1a6b27a4U,     0xc57ab35aU,     0xae404b42U,     0x9bd7dd1cU, \
    0xddcfea91U,     0x1568fe17U,     0x81f420efU,     0x49cd6650U, \
    0x31411f3dU,     0xef27cc05U,     0x6c354a12U,     0xc4716461U, \
    0xae8fdb35U,     0xa5e52847U,     0xdfea45d3U,     0x876bab05U, \
    0x4598d4e4U,     0xbc1c0754U,     0xf28a102dU,     0x82daa592U, \
    0xace048d5U,     0x8aae34cbU,     0xab9ca966U,     0x2ad5f8fbU, \
    0xbcf2ab45U,     0xeb188095U,     0x6a5b5d3cU,     0xf11b6ab2U, \
    0xc0cd6af5U,     0xdb2cfa34U,     0x8f90c752U,     0xfabdc580U, \
    0x37c0048eU,     0x4d492ee2U,     0x40f7e09aU,     0x8df38625U, \
    0x0f799197U,     0x6e8ff654U,     0xd503018bU,     0x6cda970cU, \
    0x49d5edb8U,     0xaed153c2U,     0x7d589585U,     0x76339b56U, \
    0x6e77af18U,     0x1911ce4cU,     0xe2df9c7eU,     0x3b235fb5U, \
    0x6186fe51U,     0xd1a69be2U,     0xcc42a527U,     0x57a390d3U, \
    0x7e01ee29U,     0x2bbd4ffaU,     0xc6702fc5U,     0x06b91ff5U, \
    0xc1504f82U,     0x2fa86323U,     0xf6acb1b7U,     0xe0804a42U, \
    0x052e217bU,     0x0b2dd13aU,     0x557dd713U,     0x76e9a4c2U, \
    0x250e085eU,     0xbf7ebc3fU,     0x470293a1U,     0x0f67edc4U, \
    0xf2753541U,     0x860f3b44U,     0xee67d5b6U,     0x0359a9e9U, \
    0xd7152d20U,     0x1e97838fU,     0x0c65377dU,     0xfb87812eU, \
    0x084b17fcU,     0xfce5c58aU,     0xae26965aU,     0x825fa40aU, \
    0xe39f5ee0U,     0xac24caddU,     0x2c8ae5bbU,     0x4e4c7820U, \
    0xddff45afU,     0xd8514908U,     0xa4a35410U,     0xe92bc6b9U, \
    0x1f054ad4U,     0xc044666fU,     0x804cc1b1U,     0xb77781eeU, \
    0x4e0f5134U,     0x21eaf7b2U,     0xc2b54707U,     0xfd4b9f4fU, \
    0x3027c163U,     0x4fc9febaU,     0xba473666U,     0x6968f881U, \
    0x8fa52b79U,     0xa09d7861U,     0x19de80d7U,     0x835a39c9U, \
    0x700d127bU,     0xe926d60eU,     0xde1f99cfU,     0xa087040bU, \
    0x03f52288U,     0xeb4a8273U,     0x2da48fc7U,     0x2c3d1ab6U, \
    0x303c9029U,     0xf38a9547U,     0x5ce36237U,     0x952ef030U, \
    0xd546c316U,     0xa8673427U,     0x839692e4U,     0x1bc30607U, \
    0xdad63863U,     0x16e5f7d9U,     0x23d10aebU,     0x9d677222U, \
    0xe68bd7b2U,     0xaeda9687U,     0x1ff872a5U,     0xc2e614a4U, \
    0xb0f86e1dU,     0x8d895142U,     0x738fce4eU,     0x497d14c6U, \
    0xf2b75244U,     0xab6d7cbbU,     0x5b49cb0eU,     0x10984e09U, \
    0x1e2f437bU,     0x67a07240U,     0x46b873edU,     0xd423ad63U, \
    0x70069c3fU,     0xf9451ccfU,     0x0c49fd6cU,     0x9cdb507aU, \
    0x5d19b3ddU,     0xd932aab9U,     0x29af8809U,     0x2d5c1e8eU, \
    0x14272b7dU,     0x98eb2e53U,     0x4be436ddU,     0xe880378fU, \
    0x8f5dec1cU,     0x9af6310dU,     0xf46b633fU,     0xcf685660U, \
    0x3b873476U,     0x779797adU,     0xea843476U,     0x4d65cd0bU, \
    0xd1222681U,     0x4c1f423cU,     0x667fabfbU,     0x3e6fee29U, \
    0xa019f035U,     0x8d86f3b3U,     0x67c25ce5U,     0xcdacd1aaU, \
    0xacc96f2cU,     0xd6ffbb4dU,     0x8aac931bU,     0x915c436eU, \
    0xf0292e11U,     0x86cb3be7U,     0xc30486deU,     0x5d98539cU, \
    0xfeeb1d6aU,     0x327217f1U,     0x0a71341aU,     0xabd2648cU, \
    0x0be5ea2aU,     0x077aaf4dU,     0x09faf007U,     0x5d50857aU, \
    0xcff3422eU,     0x4b37dcc5U,     0xa416b7d1U,     0xb221fd8aU, \
    0x548e595dU,     0x8fadf7b9U,     0x7bfcd302U,     0xbcea18e8U, \
    0xf16513f5U,     0xd5064e1dU,     0x3d7e6636U,     0x5fb941a4U, \
    0xa8865828U,     0x34e0d775U,     0x41b34f5fU,     0x13ddeda1U, \
    0xa5323632U,     0x9ecb78eaU,     0x520d97e4U,     0x5e25e43fU, \
    0x7a8aa2d3U,     0x3ca3b57fU,     0x1f44d89cU,     0x6ae2ce06U, \
    0x96fb35f7U,     0x0b41addaU,     0x75ee12b1U,     0x6dfd29a5U, \
    0x31e411c6U,     0xa7ccfd8dU,     0xcd84d7d3U,     0x50e79f5aU, \
    0x80bf1d05U,     0xf2664ed8U,     0x7a99e4c3U,     0x450babb1U, \
    0x3af2ae6fU,     0x86f28df1U,     0xe7f698a4U,     0x0a868376U, \
    0xf4989d57U,     0xe0133ef3U,     0xeca3bb80U,     0xe1179cdaU, \
    0xd38337ccU,     0xce1afd32U,     0x9dfb6c44U,     0xd288f4baU, \
    0x09ebd1cbU,     0x34349029U,     0x8d96dfd5U,     0x42f282b5U, \
    0x67251dcfU,     0x382a91f6U,     0x35372190U,     0xf7fc4fceU, \
    0x75836b10U,     0x84f5fb2aU,     0x6ab1353bU,     0x56af93e0U, \
    0x274966afU,     0x2bbd3cadU,     0x71835019U,     0xd2d37461U, \
    0xb48b0b08U,     0xa19f575cU,     0xa66d7f96U,     0x2ef766a3U, \
    0xbd4f5c0bU,     0xa1d7a8fcU,     0xc1b2f45eU,     0x71cd9744U, \
    0xcfa6f3ddU,     0x707e9aa7U,     0x19065136U,     0x168ad057U, \
    0x15caaf58U,     0x82dc6e11U,     0x43c1c5c7U,     0x76325773U, \
    0xa9a85651U,     0xb4b23b21U,     0x57e146beU,     0xd495e24cU, \
    0x2c4624bfU,     0x44ed254cU,     0x04b2c56dU,     0xe9c8bea1U, \
    0x047ed802U,     0x0f432cffU,     0x62349b71U,     0x502b5bacU, \
    0xfaded070U,     0xdacc6602U,     0x42af7d8bU,     0xd990b53eU, \
    0xb31be919U,     0x9f268f77U,     0xfc2ec3b4U,     0xfac085d1U, \
    0x0fe4c889U,     0xae766f6cU,     0xe765ac21U,     0x04e422aaU, \
    0x1d075ceaU,     0x615449bdU,     0x849df1a0U,     0xbaba6af1U, \
    0x89c4baebU,     0x53e8cec6U,     0xbf939a70U,     0x5687940cU, \
    0x9ef0b164U,     0xf1140300U,     0x413a7408U,     0xbddc978aU, \
    0x1f143298U,     0x95771db2U,     0x9c3068a8U,     0x196d5aa5U, \
    0xb7ae3b83U,     0x41747070U,     0xc923c60fU,     0xb7ebc286U, \
    0x687627acU,     0xb7a6bd65U,     0xebbfd5ebU,     0x88633d92U, \
    0xa322c51dU,     0x2c92371aU,     0x44949cf8U,     0x8aeb5746U, \
    0x43bc1f3dU,     0x0ec10e28U,     0x6d1bb9f5U,     0x71c160feU, \
    0xae38d462U,     0xc7ccb73bU,     0xd7e21ae8U,     0xb22ce89fU, \
    0x7a832697U,     0x6cedd0d8U,     0x27b085f0U,     0x3da5c1c9U, \
    0x23174d83U,     0xb77a5f09U,     0x692d091fU,     0x0f5e8174U, \
    0x26b55539U,     0x3f8839ddU,     0x47a4d0cfU,     0x9551ac5dU, \
    0x1414ff27U,     0x0680f6dcU,     0x5ffc641dU,     0x67014367U, \
    0x7667e9ceU,     0x8f533abeU,     0xdd734780U,     0x0175593cU, \
    0xd99ea374U,     0xf88addd8U,     0xbd1fdd33U,     0xa0008c55U, \
    0xc9cbe1f9U,     0xd86c7d94U,     0xaf40642bU,     0x63856646U, \
    0xd55d2b34U,     0x9e0354f5U,     0xef33a07fU,     0xe8dfc996U, \
    0xa83a1691U,     0x88cf9a0aU,     0x20e6938fU,     0xbce475b9U, \
    0x26549ac2U,     0x18fb7e5bU,     0x9e2bd0f6U,     0xf62c850dU, \
    0xb341daeaU,     0xcf502ba5U,     0xa077df58U,     0xbd621d2eU, \
    0x122b6cc9U,     0xa573c29cU,     0x58a85d82U,     0x1809b84dU, \
    0xed5aaacbU,     0xa7a04b90U,     0x13a3d9edU,     0xbc933c29U, \
    0x7f72af6fU,     0x49bf0bf0U,     0xd6a3fb37U,     0x648b172bU, \
    0x1f5cb859U,     0xb0518a47U,     0xf17b4877U,     0x40103c6bU, \
    0x0f393559U,     0x290da493U,     0xea86a72bU,     0xe5a5795aU, \
    0x557d1b79U,     0xe927961eU,     0x6229387fU,     0x8d7bafcfU, \
    0x43d2f576U,     0x02ef79a9U,     0xcf4cbcf9U,     0xe7267fd3U, \
    0xf924c876U,     0x5c06e516U,     0xafd9c509U,     0xb682bb89U, \
    0xe49e0f3cU,     0x0303a0a4U,     0xb9c33f1eU,     0xa276a98eU, \
    0x744d5a72U,     0xac235f4aU,     0xb2337306U,     0xa8f582ceU, \
    0xa633a9e5U,     0xcdd097f4U,     0x3611ee3aU,     0x945f1317U, \
    0xe1dcf1fbU,     0x32dc7367U,     0x57b6c2c4U,     0xe65dacfcU, \
    0xce0030e2U,     0x725c7eebU,     0x2708c54dU,     0x72ac2a28U, \
    0x98172ae0U,     0xa637e452U,     0x8e24a386U,     0xba7d2fa8U, \
    0x83119fe8U,     0xe52086a2U,     0x16fd3858U,     0x3c992475U, \
    0xe5e7c64bU,     0xe9ec970bU,     0x5a786176U,     0x54127ebfU, \
    0xef68702bU,     0x08604ba9U,     0x2d7a6c3aU,     0x69ddf225U, \
    0x6a003eefU,     0x343ba82dU,     0x05afe82aU,     0xe8da35afU, \
    0x203c255aU,     0x349e7aecU,     0x8d264919U,     0x7d4a3bbbU, \
    0x27849fe4U,     0xe8045cdeU,     0x501c5b9dU,     0x98c09b37U, \
    0xff9102ffU,     0x147ff5cbU,     0xde6eec50U,     0xb741449cU, \
    0xfbff43acU,     0xe61caecfU,     0x9deb7b94U,     0xcb9a6680U, \
    0xb8671e9dU,     0x56f955f1U,     0x169e224cU,     0xcf0fdd33U, \
    0x5565e339U,     0xd12976daU,     0x10a402ecU,     0xe1b0e90fU, \
    0x015649e8U,     0x00cbc1f0U,     0xf74f0df6U,     0xcb79b52cU, \
    0xd3ef3695U,     0x7e678fe0U,     0xe9d20817U,     0xa471314eU, \
    0xcab663f4U,     0x165e0926U,     0x0202683eU,     0xb22715c3U, \
    0x81afd6b7U,     0x698e485eU,     0x4b18b52cU,     0x33e6e0e4U, \
    0x352d5924U,     0x7683ca53U,     0xe3e411c5U,     0x3d9cc9b6U, \
    0x69d1fa2aU,     0x606bac05U,     0x7281a3b6U,     0x3d59265aU, \
    0xd64721f8U,     0xd8e27015U,     0x6119558fU,     0x73af10fbU, \
    0x2997df05U,     0xa0f8eccdU,     0xf02e8fb1U,     0x90486144U, \
    0x6c2e2028U,     0x6feee277U,     0x9fdf0ca6U,     0x9b552e90U, \
    0x711d28beU,     0xc1612c86U,     0xaf30f90eU,     0xff0851b9U, \
    0x8fec3adbU,     0x946bed94U,     0x5b137ce1U,     0x46314266U, \
    0x2e6db82cU,     0x09be52cbU,     0x1e71445bU,     0x633d36eeU, \
    0x80b8a345U,     0xc19d0c8eU,     0x4e89e3c9U,     0x0268b6c0U, \
    0x626ec3b2U,     0xaffa8195U,     0x9258f176U,     0x1e93ff5bU, \
    0xf8eaa073U,     0x3bf2350cU,     0xe9f5365dU,     0xca14b6b8U, \
    0x2b08fa06U,     0xd3413f35U,     0x5ea27e75U,     0x21d720dcU, \
    0xf99627ffU,     0x2435f72eU,     0x695b60ccU,     0x94ba566bU, \
    0x1fa874a8U,     0x4080a809U,     0x5e97b048U,     0xf538326fU, \
    0xeb57c24bU,     0xc4bae596U,     0x885b9740U,     0xc1163609U, \
    0x4d525218U,     0x39eacbdcU,     0xaa387316U,     0x7e86c0aaU, \
    0x2d285ec3U,     0x3725d476U,     0xf8ccfde3U,     0xdf91a217U, \
    0x55d6fcb6U,     0x5aeaf390U,     0x08e10bd8U,     0x9a51e9feU, \
    0xa679a24cU,     0x6fdb0649U,     0xdf22a94aU,     0xac52b013U, \
    0x7e96aa5bU,     0x71877a6aU,     0x8d7b5ad2U,     0x66ce558fU, \
    0x8e91e3fdU,     0x810c4bc5U,     0x69fbee39U,     0x4e69e2afU, \
    0xb576ba12U,     0xff763ec1U,     0x343d16caU,     0x8215280dU, \
    0xefa85555U,     0xfc3e8d4fU,     0xaa9ca0afU,     0x1b6360d2U, \
    0x07c7e240U,     0x50782633U,     0xae3804a6U,     0x71bdd126U, \
    0x61400d63U,     0xc848dde8U,     0x3da8ab7dU,     0x2fdb245bU, \
    0xf3bee41dU,     0xc9010219U,     0xf95ca02eU,     0x5ff0d1b0U, \
    0xfda4f61fU,     0x2b5eef04U,     0x5485eb12U,     0x4a3a7094U, \
    0x25055303U,     0x0572db95U,     0x056ef906U,     0x3a4b2e37U, \
    0x38cca334U,     0xbf7d9bfbU,     0x1db70537U,     0x77500533U, \
    0xe9737e48U,     0xc81cf26dU,     0x9c7d9d8eU,     0x52cc6f5bU, \
    0x4c2d6c70U,     0xdc755760U,     0x59559b49U,     0x8e7ea455U, \
    0xfdae498aU,     0x43a43be9U,     0xf9480147U,     0xee23e0faU, \
    0x058ec9e2U,     0x28c2eef3U,     0x291dfd44U,     0xcfd4c308U, \
    0x6c03e7a2U,     0x611104b4U,     0x22559fadU,     0x920f26f8U, \
    0xd82123a9U,     0x5b09bbf1U,     0x1f0b84d4U,     0xaa63e779U, \
    0x0a1f8ea6U,     0x2c2be807U,     0xa9fd8139U,     0x68707d26U, \
    0xf9abf9daU,     0x0e1b80d2U,     0xdc46d62dU,     0x79618b35U, \
    0xb19c7412U,     0xf88a724aU,     0x78b29a8fU,     0x01ab189aU, \
    0xd0186bdaU,     0x1fd43715U,     0x3c4fbb17U,     0x68571b9cU, \
    0x7b21698bU,     0x87438055U,     0x597fd47fU,     0x2f793de6U, \
    0x03fe7c1aU,     0x53aaebdaU,     0x442f71daU,     0x70825090U, \
    0xb8d1298bU,     0x62da1e7aU,     0xa33a5fc7U,     0x5edf3b8bU, \
    0x3ae571f8U,     0xe6c3df52U,     0x09bd67e0U,     0x3ef44983U, \
    0x5997e1abU,     0x2ff62535U,     0x15a65588U,     0x35373eacU, \
    0xd9b815d3U,     0xe1f05518U,     0xace24160U,     0xdd7bf905U, \
    0x3d700ab8U,     0x4ddcee03U,     0x44fd8d0bU,     0xa6b0c734U, \
    0xaf420811U,     0x71ad9e92U,     0x8dc34d40U,     0x158c55faU, \
    0xd08647e7U,     0x09227dbeU,     0xf2a907a9U,     0x84290c6eU, \
    0xdd9d64a4U,     0xa158a355U,     0x324ddb29U,     0xda1c4d4dU, \
    0x6e76c25fU,     0xaab06f7bU,     0x16347fefU,     0x81aabc00U, \
    0x342dcc00U,     0x399b1303U,     0xa76cc131U,     0x97bdcc16U, \
    0xe6e55056U,     0xfc0d743eU,     0x8e51779cU,     0xcc91e13bU, \
    0x4c84e74cU,     0xef2cd2c8U,     0xec9c1923U,     0x8b882d81U, \
    0x55a48df8U,     0x15baca76U,     0x31d311f6U,     0xe164e788U, \
    0x2c8922c5U,     0x45f114c1U,     0x7aaa88b3U,     0x04222031U, \
    0x1deced57U,     0x6d8e48f9U,     0x080366b4U,     0x2660f019U, \
    0x25b0d419U,     0x2c0dc8feU,     0xbe6fc42dU,     0x5c6fe43dU, \
    0xa5d1fc5eU,     0xebbc4c29U,     0x3633bbe6U,     0xeff364a1U, \
    0xb1c0cdb3U,     0xe0fda244U,     0xbf2f6e7cU,     0x67e9ef5dU, \
    0x901ddc23U,     0x02373987U,     0x24de2a5cU,     0xd399903aU, \
    0x3655c746U,     0x59773ad8U,     0x4f1fa990U,     0x581677f5U, \
    0x36c4c884U,     0x5531e200U,     0x1b382617U,     0xf99464c3U, \
    0x59cc1b23U,     0x59c34028U,     0xbbfd3ad0U,     0x4ecc620dU, \
    0xad740336U,     0x3f49458bU,     0xf6da5a25U,     0x45f132daU, \
    0x7a26cf36U,     0x3f3fe29eU,     0xa67e46b6U,     0x18d71937U, \
    0x1c5c59f9U,     0x54616a87U,     0x7f08800dU,     0x14147003U, \
    0x57eb5a54U,     0xe365c200U,     0x64817834U,     0x96392adbU, \
    0xdc9010a1U,     0xa8f46d9dU,     0x187b25cdU,     0xcb8cae03U, \
    0x9b93800bU,     0x01067cfeU,     0xa220b2ceU,     0x52b692a4U, \
    0x4344103bU,     0xb1d2e2e9U,     0x3e519c85U,     0xd0ec20edU, \
    0x01cb4e0fU,     0x417e3140U,     0xcef8ab3aU,     0x35dcb10eU, \
    0x59208d3fU,     0xf7ead512U,     0xdb8070c8U,     0x1d3c64dcU, \
    0xdaf1faa4U,     0x8b21bc66U,     0x66c4a73fU,     0xb388676eU, \
    0x3ed13a56U,     0xa59cdb70U,     0xf1fa4582U,     0x34dbd9c1U, \
    0x0ecf2426U,     0x54005a26U,     0xcfb53531U,     0x03f5f1afU, \
    0x1745add2U,     0xe7df724fU,     0x71f82240U,     0xc414cb0aU, \
    0xcc0651bcU,     0x20cad6b3U,     0xada4412cU,     0xda4d1e52U, \
    0x80dfb6b7U,     0x99479e5fU,     0x7fb2b907U,     0x29707eb3U, \
    0x567deeefU,     0xf9bf8cacU,     0x7f0b79adU,     0x873ea245U, \
    0xb635078cU,     0x0a37f19dU,     0x291bdb67U,     0x64b57760U, \
    0x760b1490U,     0x9f308eecU,     0xa239d9fcU,     0xc846bf42U, \
    0xf0a8c15eU,     0x96755005U,     0xde022712U,     0x0ca781d2U, \
    0x72e8987bU,     0x217808a1U,     0x47ab3c09U,     0x2d2d6b32U, \
    0xc59ff373U,     0x143db8e0U,     0x18285288U,     0xcb47f0a6U, \
    0xff2d9056U,     0x195c3ba0U,     0x3cb77bf6U,     0xa33e0e60U, \
    0xda27acd5U,     0xe367760aU,     0x756269caU,     0xd0de26d2U, \
    0xdc300907U,     0x272854f5U,     0x923235dfU,     0x692fad6dU, \
    0x5fb3e5e4U,     0xd8418c9cU,     0xbb0e1689U,     0x144ec3bfU, \
    0xb64800bbU,     0x54933dabU,     0xc4c7b719U,     0xb8cde452U, \
    0xe2f5d95bU,     0xc0e850e7U,     0xdca0f89aU,     0xec377ca0U, \
    0x77e4ca55U,     0x010eda78U,     0x464e5b69U,     0x037020f1U, \
    0x3f81706fU,     0xa32ae630U,     0x81e13cb9U,     0x56276632U, \
    0x3000d555U,     0x797ca1eeU,     0x1f2a7f44U,     0x0d5211aaU, \
    0xe2a04d24U,     0x3548f8efU,     0x06a8c54bU,     0x3015c82bU, \
    0x84a5dbbaU,     0xeb4154c9U,     0xfd24c97fU,     0x5da00277U, \
    0x538e2cc5U,     0xea84307bU,     0xe4941a35U,     0x1274630fU, \
    0x6bbe9575U,     0xc115be37U,     0x245c68f7U,     0xd5d560caU, \
    0x80bed7c7U,     0x8be5428aU,     0xc5374dd2U,     0xa2613763U, \
    0x64520fbfU,     0x02250913U,     0x205abbb8U,     0xaea0b8ceU, \
    0x417d4a90U,     0xc82bba03U,     0x9076d29bU,     0x22b8a7edU, \
    0x1741b319U,     0x39f6f0d0U,     0xab32c523U,     0x00033efaU, \
    0xc0134334U,     0x7ea05e34U,     0x62db7835U,     0x72c30375U, \
    0x5f98c4d5U,     0x0cc257a0U,     0xeafec87dU,     0x575b0b44U, \
    0xdf09f519U,     0x3de24572U,     0x4decf4e9U,     0x4f54e9e6U, \
    0xc663fdd7U,     0x9725f6ceU,     0xda4320a7U,     0x13c8c57fU, \
    0xf7a79de5U,     0xd45c4459U,     0x848d8174U,     0x9af75dc0U, \
    0xb7f2384cU,     0x22764abcU,     0xb46475d7U,     0x0e768399U, \
    0xd2e07ddcU,     0x9f8744c4U,     0xb5167dbaU,     0xb41e674aU, \
    0x88a0e4d2U,     0x58c20ac8U,     0x9545f2f7U,     0xa724a006U, \
    0xf88ecbb4U,     0xad827940U,     0x13ee7e18U,     0xfc4019afU, \
    0x39e92333U,     0xf376764fU,     0x25635eabU,     0xab187a3cU, \
    0x9c8c2b22U,     0x80d92583U,     0xfd5141c9U,     0x671ec62fU, \
    0xdea3603fU,     0xc871c74eU,     0xf961b55eU,     0xa5472afbU, \
    0x12739ee9U,     0xed0c702cU,     0xa677564aU,     0xbd6ca7ebU, \
    0xa60ad67aU,     0x560d2162U,     0x3c844e8cU,     0xfbbc15fcU, \
    0x8d434795U,     0x6df6ba1dU,     0x204e5edfU,     0xa3714251U, \
    0x31ccd04cU,     0x91688999U,     0xc4eebe86U,     0xa739e02aU, \
    0xf6c1c8a1U,     0xa746a812U,     0xd82e17a4U,     0x7b2fb2f6U, \
    0xfa61995bU,     0xd5a33ca0U,     0x2bce7641U,     0xd66e1f04U, \
    0x6836ad30U,     0x0252bc07U,     0x1068f6b0U,     0x36fe2e5cU, \
    0x65bcabadU,     0x4e704fe7U,     0xcdd50415U,     0xcd063eccU, \
    0x4aa99e6fU,     0x543fcc64U,     0x7b74e61aU,     0xf4b532f2U, \
    0xb483d913U,     0x8aef0d7eU,     0x30f6c8c5U,     0x1d3f969bU, \
    0x4c5b5d3fU,     0xee9df3aaU,     0xa00f4f0eU,     0x42536738U, \
    0x43246abfU,     0xa9db022bU,     0x71a679dbU,     0x83a70dadU, \
    0x411cce1fU,     0xe73a7156U,     0x142f8d50U,     0xecb04298U, \
    0x27fe92c3U,     0x9992e51cU,     0x79951fecU,     0x62e754a0U, \
    0x1edd1618U,     0xbf3393bfU,     0x6604bf7dU,     0x68a24a4aU, \
    0xb34286feU,     0xacbbb459U,     0x1589db2eU,     0xd9bb008aU, \
    0x9eba16efU,     0x9576ebf2U,     0xd0dde89bU,     0xc28921acU, \
    0xb158cef2U,     0x40df697cU,     0x1201fa80U,     0x5ca1c4e3U, \
    0xb43aab68U,     0x51408ec0U,     0xa08dd743U,     0xe30a85dfU, \
    0xa1d4d28aU,     0x03b1b5d1U,     0xe800f063U,     0x0c679a39U, \
    0x03cea0e1U,     0x1c382700U,     0xa5191aadU,     0x024ee8c7U, \
    0x04f51e3dU,     0x580bee6cU,     0x3ad3ca3dU,     0x94db9b87U, \
    0x9d75f708U,     0x997543adU,     0xc5735674U,     0x720a4149U, \
    0x448eabb4U,     0xd4142ec8U,     0xd0b14ff9U,     0x91e139f8U, \
    0xeb5fad36U,     0x517b11c8U,     0xf9493432U,     0x59476df2U, \
    0x7c0455c5U,     0x143b8d84U,     0x660e4807U,     0xf89523c8U, \
    0xf2d3638bU,     0x3c70c4edU,     0x8cb829b8U,     0xb391142eU, \
    0xf5282e96U,     0x5af7acd8U,     0x633f46c2U,     0xa5c707e6U, \
    0xccecc323U,     0xa86111a8U,     0xc6f89f92U,     0x5adb37a7U, \
    0x7a58e0feU,     0xcdfebb0fU,     0x259801e4U,     0x74c70ae4U, \
    0x8a884297U,     0x731ffb29U,     0x869b6ccbU,     0xd88e2a72U, \
    0x158481eeU,     0x0da7178aU,     0x17c0b804U,     0x8a463c93U, \
    0xe902032fU,     0x1f14e4a0U,     0x467c4012U,     0xdd70d2eaU, \
    0x6387bc4dU,     0x1cd1cb87U,     0x27de5773U,     0x75ee36ecU, \
    0x441138baU,     0x304ff452U,     0xf87decaaU,     0x27d3225aU, \
    0x93e95452U,     0xefb71ff2U,     0x5273758dU,     0xd477fe88U, \
    0x99be3bb6U,     0xa58135feU,     0xd4a988f1U,     0xb55c955aU, \
    0xf74b0046U,     0x33931881U,     0x61d529aaU,     0xa4cc298dU, \
    0x0cfe79ccU,     0xcc81b4b2U,     0x5f468531U,     0xe8e6bbe6U, \
    0x9dcdd06dU,     0x387ab6daU,     0xed2900cfU,     0x30fefc66U, \
    0x12645813U,     0x4b1bf259U,     0xee733923U,     0xee28a0e2U, \
    0xa07f8f76U,     0xbdfa83d4U,     0x7c110b7dU,     0xc4c9c115U, \
    0x9ec38202U,     0x6153e394U,     0x08465b46U,     0xc2a32317U, \
    0x00fbd8e8U,     0x3f1b7eb1U,     0xbad1b3feU,     0x1d5a5b05U, \
    0x3ddde062U,     0x37eda680U,     0x687eca49U,     0x61be9d66U, \
    0xb576425fU,     0xaf9e550bU,     0xdd1f1194U,     0xb5f6109cU, \
    0x81178164U,     0x355870c6U,     0x88b844cbU,     0xda9d9a72U, \
    0x8cefd9e2U,     0x3371f177U,     0x2043ece9U,     0x6f19b55eU, \
    0x31dccc0aU,     0x9787bf5dU,     0x3d29a8e1U,     0xdce063acU, \
    0xfad3d6e0U,     0xa3371dd7U,     0x30f50b05U,     0x3c01183aU, \
    0x2f411e49U,     0x1b8aa41aU,     0xe9aee8f9U,     0x37da862eU, \
    0x16678af1U,     0x7f0d4c6bU,     0xbd8198d2U,     0x5bcaf063U, \
    0x38360d69U,     0x49a2af25U,     0x79838261U,     0x1e15c1a6U, \
    0x0fb865acU,     0xf3167134U,     0x8cf4dc37U,     0xf85395bbU, \
    0xe6924bacU,     0x08be1fefU,     0x9b129662U,     0xb5c0b1c3U, \
    0xa4179d4eU,     0x55d4e6ecU,     0xccbe7311U,     0x09e79759U, \
    0x142bfbbcU,     0x2b254379U,     0x9d8f2bbbU,     0x419e1528U, \
    0xeb57fd44U,     0x3ed97bcaU,     0xe927ca6bU,     0x67a7953eU, \
    0x683b4679U,     0x7a65dd6fU,     0x9c26765bU,     0xe67df018U, \
    0xf35b6928U,     0x3234210aU,     0x402cb871U,     0x4e304f36U, \
    0x090ca13cU,     0xcd189a72U,     0x41df9868U,     0xd34a2da2U, \
    0xef5a453dU,     0x0b23c9c9U,     0x7337cac5U,     0x785884e8U, \
    0x21914f25U,     0x003d96cfU,     0xc14e8f12U,     0x3642ecc4U, \
    0xf544daf8U,     0x97910ab4U,     0xd90089abU,     0xd86321c3U, \
    0x8a1b840eU,     0x67780511U,     0xcdcddc16U,     0x6d9b9469U, \
    0xa078ec45U,     0xba795c74U,     0xb0d80a98U,     0xa1048b8aU, \
    0xd3f6e14bU,     0x048ef4bbU,     0x2f45429eU,     0xb49a7e0bU, \
    0x266671b1U,     0xf34bdc30U,     0x73e40decU,     0x3451b35fU, \
    0xc1006976U,     0xaa51e9d8U,     0xf2c605f3U,     0x95b2554eU, \
    0xa2c562f0U,     0x4db6e544U,     0x2e456428U,     0x13d1b5dbU, \
    0x803b838fU,     0x6a1c247aU,     0x685c07d1U,     0x67a7cbeaU, \
    0x36365764U,     0xff25ae58U,     0xa2592cabU,     0x78d63c28U, \
    0x55f630aaU,     0x97b604efU,     0x3a1c5ceaU,     0x2dd3503cU, \
    0xaaa9d59eU,     0x85a8fb66U,     0x8295fb1cU,     0xe83d970cU, \
    0x6c2c8d46U,     0x2057a146U,     0xe184a5aaU,     0xd96c2a44U, \
    0x00b6d7b5U,     0x607bf570U,     0x334d9429U,     0x906aa009U, \
    0x2fa3952fU,     0xf2fb699aU,     0xa0e15095U,     0x1175686dU, \
    0xd41e1c66U,     0x0908dd21U,     0xb0441737U,     0x037f38caU, \
    0x4a5b2844U,     0xa376523eU,     0x1bad02d5U,     0xf33b6efeU, \
    0x20976223U,     0xf97b7421U,     0x87375968U,     0xc8a8a79bU, \
    0x4da6fff4U,     0x05267efeU,     0x10204038U,     0xe181569eU, \
    0x7dd981caU,     0x97f3c878U,     0xdcdd3df5U,     0x6c92bb90U, \
    0x15f89418U,     0x302ca9d2U,     0x47c8d4c2U,     0xf7767a5eU, \
    0xb3b7adffU,     0xcd340947U,     0xfe962717U,     0x8ddb3eadU, \
    0x70345b7dU,     0xf91860a0U,     0xf9c5ff38U,     0xb7494de8U, \
    0xc239789dU,     0xcf74b99dU,     0x42e4e571U,     0xf7e1554dU, \
    0xd4bcf81dU,     0x05e65093U,     0x7fa2f2daU,     0xdc77af0cU, \
    0xd1e19f6cU,     0x177f9e8bU,     0xb6ba1497U,     0x658edba2U, \
    0x417e9b1eU,     0xf370c494U,     0x07421d3bU,     0xfa2cb3b6U, \
    0xd39fa7c2U,     0xd9edc59cU,     0xed3199dcU,     0xf431d19bU, \
    0xd5679b8cU,     0x3b6b5e8eU,     0xcb94e439U,     0x5b5936d3U, \
    0x19db0f08U,     0x08ab0c2dU,     0x2fd28637U,     0xc1436ceaU, \
    0x12dff2daU,     0x0df1bb51U,     0x22a6cf84U,     0xf296fd66U, \
    0xf18a9aefU,     0xe7422eb6U,     0x13521b9fU,     0x90b65317U, \
    0x590aa595U,     0x03515c39U,     0xa3c957deU,     0xcc14c14aU, \
    0x82593769U,     0x74543aadU,     0xf84420d5U,     0x981e8c5dU, \
    0x0e4b5ec3U,     0x041e9341U,     0xf13a20c3U,     0x0b411277U, \
    0xc10834f1U,     0x16b7db23U,     0x31d90529U,     0x0981482cU, \
    0x844fe669U,     0x6465b9a2U,     0x6474a2dcU,     0xbc52ecccU, \
    0x836eab40U,     0x9a481ef6U,     0x6c867ecdU,     0x2c625614U, \
    0x88301df1U,     0xa28c5e4bU,     0x4697deb5U,     0x6e7fabc8U, \
    0xd5316f86U,     0xac820bedU,     0x3182e58dU,     0x5d04af7fU, \
    0x83e8e48eU,     0xfdeda68bU,     0x44955ce0U,     0x8a0097feU, \
    0xd1fa5a6fU,     0x92d5f925U,     0x76189127U,     0x1a82a643U, \
    0x8dbeb8caU,     0x7f489ed9U,     0x04018618U,     0x0787d437U, \
    0x23ea95c6U,     0x71cf1c3eU,     0xcf6e5551U,     0x0883227fU, \
    0xa42d269bU,     0xef9a895bU,     0xa83ac185U,     0x5534c9c5U, \
    0xc7fec888U,     0xf9a5509eU,     0x33d06cbcU,     0x841704ebU, \
    0x5a882c7aU,     0x79a27d7dU,     0x1fc6ce97U,     0x8d2b70a1U, \
    0x5e5e41a4U,     0xa3621059U,     0x2ad328bdU,     0x2ddee689U, \
    0xa568c270U,     0x0987d198U,     0xc30619adU,     0x2a1427c2U, \
    0xa934c0dfU,     0xa26fa0d6U,     0xdc1d75d4U,     0xe5a756b3U, \
    0xbe197c3cU,     0x07fa3ffaU,     0xa6b13134U,     0xe7161864U, \
    0x7877f0e7U,     0x185060c8U,     0x80cd717eU,     0x4c3782a3U, \
    0x7848b725U,     0x7f1b8641U,     0x22bead52U,     0xe3b0a835U, \
    0xe49ef534U,     0x40b5b97aU,     0x234f979aU,     0x8374cf33U, \
    0x353af35fU,     0xb6c16a56U,     0x1a59523fU,     0x0ec36ef6U, \
    0x0cd9ae35U,     0x986469ebU,     0xc304b0f2U,     0xf61ef384U, \
    0x9df95e5dU,     0xb181d922U,     0x77229765U,     0x23d671fbU, \
    0xa94871bbU,     0xbaa1988fU,     0x1a51ea93U,     0xaa549e92U, \
    0x3ab0991cU,     0x43727addU,     0x8cec5549U,     0x150e9abcU, \
    0x18859655U,     0xd1cd0d4bU,     0x67956027U,     0xde20511aU, \
    0xb6b412ccU,     0xff0c6fb1U,     0xab5d73e4U,     0x767f5c62U, \
    0x125d23d6U,     0xed1e9997U,     0x3d41fbf3U,     0xa046c531U, \
    0xb93b8dc6U,     0xa2d37f37U,     0x9fbe2219U,     0x9b8f23b3U, \
    0xe6f17266U,     0x96c72151U,     0x1b82136eU,     0x6034aa8fU, \
    0xebaba8d8U,     0xd5c7a396U,     0x19d9937fU,     0x4a27c2d3U, \
    0x9dc5c129U,     0xed99f5ceU,     0x25bfd50fU,     0xc8be4beaU, \
    0xbf85c39bU,     0x9b918ea8U,     0x94aa7233U,     0x21ab3a48U, \
    0x2b5f6296U,     0xd6b16466U,     0x81dc020eU,     0x55662e8bU, \
    0xfcf44505U,     0x92ade5cfU,     0xed81a3abU,     0x519b260dU, \
    0xa330c240U,     0xfb19a817U,     0xb8482e2aU,     0x3b2500c3U, \
    0xc7e4915aU,     0x62e9afaeU,     0x6a32937cU,     0xda93abe9U, \
    0x4ae313e1U,     0xd897b61fU,     0x1cdc016fU,     0x76716546U, \
    0x50da34c8U,     0x0d1e8f8fU,     0x3083e0a0U,     0x2148fa0fU, \
    0xf73c369cU,     0x0766f801U,     0x470045d5U,     0xb8c7e644U, \
    0x06d72925U,     0x5f52ae58U,     0x4127707eU,     0x01d35be2U, \
    0x95edb16dU,     0xbbcbe7d4U,     0xdeb278f0U,     0x2db25b31U, \
    0x1057b896U,     0xedbbdbcaU,     0x4818d444U,     0x393b36e4U, \
    0xf5a35254U,     0xcbb9508aU,     0xcb352207U,     0x36b068adU, \
    0x1fb1d8bcU,     0xb2a7fa1eU,     0x551fc142U,     0x4da8c2c8U, \
    0xfd1206fdU,     0x11ca6589U,     0xcf311f82U,     0x266dbc85U, \
    0x84e76080U,     0x13931086U,     0xbcd30653U,     0xc3442efcU, \
    0x839cf8d7U,     0x7424d6d4U,     0x12b82c38U,     0x81690077U, \
    0x3c19a2d6U,     0x5a90232bU,     0xbc435f16U,     0x88c3dbbaU, \
    0xfb317c20U,     0x4983399eU,     0x9d951b50U,     0xb65647e4U, \
    0x4902bf16U,     0xf6d1422bU,     0xef741eb7U,     0x882821f8U, \
    0x6910217bU,     0x5e2b9a9fU,     0x94aaa4edU,     0x673d32f5U, \
    0x303482c7U,     0x02181360U,     0x57ea3029U,     0xe9f77a76U, \
    0xd4b27cefU,     0x750b1023U,     0x933b3724U,     0xffb19855U, \
    0x50ad0eccU,     0x0658018dU,     0x05a9ec58U,     0xbe3e490eU, \
    0xfbe896c5U,     0x70cfdfedU,     0xcc3fc8ebU,     0x55e650f1U, \
    0xc164ca81U,     0x52a5fe09U,     0x124cf82cU,     0xff60c44eU, \
    0x9833c988U,     0x8ffa03edU,     0xdee7a560U,     0x3667e339U, \
    0x70ced7e1U,     0xf5661b99U,     0xdce88602U,     0x1335ab8bU, \
    0x07ee3006U,     0xf4eea864U,     0x7ece2f07U,     0xa73eca32U, \
    0x823a7befU,     0xa00cede2U,     0x7e710d62U,     0xd04bbba4U, \
    0x827b5c01U,     0x6a97614aU,     0xc996e55bU,     0xf966ff1fU, \
    0x53888485U,     0x5b0f6dd8U,     0x81220e54U,     0xc101e518U, \
    0x70cdd80cU,     0xf09c501eU,     0x4aa0f8fbU,     0x77f4082dU, \
    0xed9b6af7U,     0xb04056ccU,     0xf75684cfU,     0xf875c847U, \
    0x8830e945U,     0x6cf243a1U,     0x3eee5824U,     0x37ee17cfU, \
    0x90c90a85U,     0x36fa317eU,     0x10436b16U,     0x4815a0fbU, \
    0xd22a9938U,     0x567a573cU,     0xfbc1c701U,     0x30311aa8U, \
    0xa3028b7cU,     0x30c56eebU,     0xa1d9bffbU,     0x70d35839U, \
    0xc5a07d27U,     0xb4cd5596U,     0x3ff2c90fU,     0x12d828f4U, \
    0x509f26b5U,     0xc27ad051U,     0x590c0368U,     0xbca0a1f5U, \
    0x1a6104b9U,     0xf4933619U,     0xd0557dbfU,     0x9dcb6bfeU, \
    0x96b09641U,     0x8db551fbU,     0x9407f68eU,     0xeaba4b55U, \
    0x349a0859U,     0xd3295b25U,     0xa1b2cb43U,     0x42726414U, \
    0x2abb46e6U,     0x92899358U,     0xe4aaab81U,     0x0fe87c6bU, \
    0x78d6f779U,     0x90e3a4afU,     0xc3d5cee5U,     0x0d0d7c7eU, \
    0xf4508423U,     0x78293e5aU,     0xdcbfd02cU,     0x1b23c0bbU, \
    0xc3130c02U,     0x4a1ce025U,     0x3a76b189U,     0x5a056d53U, \
    0x7376f25eU,     0xdb78548eU,     0x71ceee83U,     0x067fc25eU, \
    0x364aa447U,     0x4f94b007U,     0x5134b357U,     0x04b06879U, \
    0x70ade5a5U,     0xb057ff7aU,     0xa49fc7d2U,     0xff2f1bbfU, \
    0xc8b0992fU,     0x29d2b32bU,     0x34a0c2a2U,     0xb790da20U, \
    0x3d5bd856U,     0xb99b5482U,     0xc8698795U,     0xde8e708fU, \
    0x51c3ea74U,     0xc66971c5U,     0x3ebc6450U,     0x7d1533edU, \
    0xa9bb5553U,     0xf5743c9fU,     0x0752e39fU,     0x5791ab3eU, \
    0xd09f7e28U,     0xd499155aU,     0x4b374314U,     0xdb7f0df1U, \
    0x1a0451d4U,     0xb955b5f0U,     0xd8f28934U,     0xea1768e2U, \
    0xb643c822U,     0x0d7ecc04U,     0xbfb12cc6U,     0xa4110e0fU, \
    0xb5d0e747U,     0xd5f46231U,     0x570935f5U,     0x23a58097U, \
    0x7bd296c0U,     0xce138a66U,     0x1453f019U,     0xc689bbdcU, \
    0x0e683846U,     0x92f64c47U,     0xa03f443bU,     0xe66c0181U, \
    0x671df981U,     0xcffa85ddU,     0x03004712U,     0x251cc4b3U, \
    0x344295d7U,     0x43244be3U,     0x622011c8U,     0xfc296d96U, \
    0x21d772b4U,     0x831bc81eU,     0x0d596923U,     0x91a11b7aU, \
    0xe4adae4cU,     0xc4f63227U,     0x04bd0698U,     0xa7fb16f7U, \
    0x7f0952bdU,     0xc128a799U,     0xf76487beU,     0x55534513U, \
    0x850ad0f8U,     0x07434286U,     0x3c831577U,     0xc1676628U, \
    0xfa2336ffU,     0x704b0ef6U,     0x2e8428dfU,     0xd8a30d2eU, \
    0x71266d86U,     0xa38b74b1U,     0x0da32bf6U,     0x27d9a493U, \
    0x830c1985U,     0xf2e08ce0U,     0xe40d4499U,     0x035acad9U, \
    0xe494ab54U,     0x30dd43f7U,     0x19981ec3U,     0xd3c05eb6U, \
    0xd2b1084cU,     0xebc3cba4U,     0xfcd84176U,     0x27c24bf0U, \
    0x097e0b68U,     0xfa74c2dfU,     0xd78449f1U,     0x8e127ca7U, \
    0xe02fa83bU,     0xf4a6d1e1U,     0xdb909799U,     0x60fac0f7U, \
    0x3151daecU,     0x3c068d49U,     0xaa1ddc19U,     0x48c41a79U, \
    0xb5a0c1e0U,     0x7a4e1aeeU,     0x42c2fd36U,     0x30ee3c94U, \
    0x8b236537U,     0x6464f88dU,     0x6edc0232U,     0xd34164f3U, \
    0x49113bdfU,     0x5089f67aU,     0x3bd6b345U,     0x4525262dU, \
    0x864104d4U,     0x78352247U,     0x1ff775a7U,     0x0f6cb155U, \
    0x017bacc4U,     0x8e2c09d1U,     0x3d4a9687U,     0xfb941868U, \
    0x69da7319U,     0x15d4692dU,     0x68787421U,     0x69a15e19U, \
    0x49ffc7f2U,     0xcb209054U,     0xadc1e874U,     0xf5fe7ad2U, \
    0x68f9eb97U,     0x67e7c3cbU,     0x2326ea04U,     0xf578b8beU, \
    0xaedeb84aU,     0xd27552e5U,     0x1b23e3f3U,     0xef59f8b4U, \
    0x19ede674U,     0xc624a869U,     0x46921f0fU,     0xed5cde73U, \
    0x5669ad96U,     0xd48266bdU,     0x897d4231U,     0xeb764af7U, \
    0xb35b8039U,     0x245de036U,     0x7ac3a21bU,     0x32cdd2f9U, \
    0x4200d078U,     0x2be363e1U,     0xc605d963U,     0x105d83cbU, \
    0x57ccec6fU,     0xa30c81f7U,     0x529a1263U,     0x0180990dU, \
    0x90405943U,     0x9018d118U,     0xc19cf8fcU,     0x441cf100U, \
    0x34e1e1f4U,     0x82950793U,     0x98e16bcfU,     0xb5f023dcU, \
    0x945c0febU,     0xbeeeab7dU,     0xf41f5d64U,     0xfbf6a774U, \
    0x6ae90d8eU,     0x4224a16dU,     0x0cc74419U,     0xdf030a4eU, \
    0xe7e7da2eU,     0xb4ac48ecU,     0xac8fb4c2U,     0x61cbd131U, \
    0x9acbbae3U,     0xff477af5U,     0xb427b85fU,     0x93d484a1U, \
    0x0af1d844U,     0x88d122aaU,     0xf03cbf3fU,     0xb4dca11bU, \
    0x56263951U,     0xc77487d7U,     0xa56944b6U,     0x16d5a4c1U, \
    0xda2404c4U,     0xb77afeb4U,     0xd797be74U,     0x94158baaU, \
    0x86f6606bU,     0xd20d9823U,     0x5f1fb19aU,     0x31fae5fcU, \
    0x65eacdf1U,     0xd6d8b62bU,     0xc91fef24U,     0xdd1d1545U, \
    0xb1f7dbc5U,     0xd8bfe18cU,     0xdb56cf6cU,     0x26b8b926U, \
    0x13179945U,     0x2d379647U,     0x988066d4U,     0x00c72b97U, \
    0xf8a95a0bU,     0xfbc7e765U,     0x5f78a3a8U,     0x6ae7a5c0U, \
    0xc2d01bbfU,     0xc36e26bdU,     0xe30aa6afU,     0x99580531U, \
    0xe8236155U,     0x723a7e5cU,     0x617095b2U,     0x11f79774U, \
    0xcf57b1e9U,     0x31e8d03bU,     0x1f094d36U,     0x88973927U, \
    0xcd293738U,     0x3b8f94dfU,     0xe6d7a104U,     0xbaa305a7U, \
    0x5cb86f9dU,     0x116ee1d1U,     0xda96ee38U,     0xfdc101f7U, \
    0xb4d1e54eU,     0xfc92c6cdU,     0x4184dd78U,     0x9870b9e3U, \
    0xec9f1ab9U,     0xb8db2a72U,     0x5b5227c7U,     0xfdcaf19dU, \
    0x8aa9abf2U,     0x726b35c1U,     0xce9c2ba1U,     0x31829839U, \
    0x5cc9451fU,     0x08cc7112U,     0xddfe9092U,     0x354bd840U, \
    0x21e9aacfU,     0x46e29fd2U,     0x8d1f2324U,     0x4992d62bU, \
    0xaf698b7bU,     0xdb8712b5U,     0x12091fe4U,     0x8fffe959U, \
    0x5bcaed24U,     0x48fed82fU,     0xfd2af237U,     0xd30baeb6U, \
    0xc00c3491U,     0xa8e7d825U,     0x548a90a7U,     0x6a168e70U, \
    0x1f9ebfa9U,     0x66f9a2aaU,     0x8d02ec43U,     0xd2df80dbU, \
    0x1b30bdb3U,     0x8611e98fU,     0x76916687U,     0xba714907U, \
    0x6586e621U,     0x5273fb41U,     0x692d4dbfU,     0x61c46a86U, \
    0xf91d1434U,     0x2ef5ecdfU,     0x25fb072fU,     0x3f7aef98U, \
    0x13fc1d29U,     0xa5353e0bU,     0xf0013e3fU,     0x4eed7406U, \
    0x642e3a97U,     0x35603b7bU,     0x8643634dU,     0x2f64ff6cU, \
    0x02ababa8U,     0x8e4a298fU,     0xf694e728U,     0x5687342bU, \
    0xc41bf675U,     0x047f5d9fU,     0x63967f3dU,     0xc45a2524U, \
    0x668b0e9eU,     0x4005381fU,     0xcb79dd21U,     0x062f6a46U, \
    0x64a89d4cU,     0x8a09818fU,     0xf76b1bb7U,     0x500fb2f3U, \
    0x52d2fb22U,     0x85764181U,     0xd2017df1U,     0xe1a4adc6U, \
    0xf8398a37U,     0x57cd326fU,     0x7d99b0d6U,     0xb68dbffcU, \
    0xfaf8fb8cU,     0x4cf66e9dU,     0xf2f77493U,     0x3df7a7fcU, \
    0xf5c2edffU,     0xe80756e5U,     0x62a3e9b5U,     0xc28ee9e4U, \
    0xf556041eU,     0x4a62fb6aU,     0xddcb0ed5U,     0x4b1f6c0aU, \
    0x486a68b4U,     0x4aeb5b89U,     0xa313d651U,     0xdb8fdc94U, \
    0x3560ac71U,     0x02f68d9bU,     0xbb968933U,     0x6ae1deb1U, \
    0xc7953d7aU,     0x3b7e146bU,     0x35557985U,     0x861654b6U, \
    0xf5ba792bU,     0x768c568fU,     0x28ab6c33U,     0xc15af312U, \
    0xe2044778U,     0x9b184799U,     0xdb558f4cU,     0x000ae7a9U, \
    0xde3dcdf6U,     0x4180c2c2U,     0xcf20a642U,     0xf5517af2U, \
    0x7d1a2d48U,     0xf8b850b4U,     0x9e39af6dU,     0x71507b49U, \
    0xfc96ed92U,     0x93db116bU,     0xbf7dd1c8U,     0x09a76bbaU, \
    0xb73ed603U,     0x926daa01U,     0x86e26557U,     0x717507f8U, \
    0x7ebe91b2U,     0x0bc2d3e9U,     0x6ec529c4U,     0xdbb23dd7U, \
    0x1dc7da4eU,     0xfd1d25d3U,     0xe8e54e90U,     0xb9a0e0b4U, \
    0xd2219bf0U,     0xbc3520aeU,     0xc4d193feU,     0xad7c3aecU, \
    0xb54ea9f5U,     0xc66b618bU,     0xfe0ba2caU,     0xc6de414cU, \
    0xe199e0d0U,     0x034cad44U,     0xfb50bfbcU,     0xf02a0997U, \
    0x3a5c7008U,     0x768be5c4U,     0x65120868U,     0xb11af1a1U, \
    0xf4baef4fU,     0x17c34d10U,     0xf54bde2dU,     0x09d2da9bU, \
    0x8a87bf5bU,     0x1fc571e8U,     0x8f4bbb56U,     0x39a8e18aU, \
    0xb5d83818U,     0xc25aa779U,     0x2237dbccU,     0x051d7da8U, \
    0x619c3b77U,     0x8395a148U,     0xa0ab0a09U,     0x0226840bU, \
    0x6e01fe53U,     0x616ecc38U,     0x76a65661U,     0x4733b72dU, \
    0xa37a8eb8U,     0xdd3434f2U,     0xa8604eb3U,     0x6b8083a0U, \
    0x4c71c6cbU,     0x5e04774fU,     0x72a3a5ceU,     0x04c7f3b9U, \
    0x9f641aa6U,     0x913d63b2U,     0xa04810aaU,     0xd086984fU, \
    0xc30c8a90U,     0x49a785c6U,     0x980499dcU,     0x06114baeU, \
    0xa5534d85U,     0xa810e5f2U,     0x3d970272U,     0xf7a57ebfU, \
    0xff82b04fU,     0x91cc20b5U,     0x28ae45b8U,     0x11c4c30fU, \
    0x093988e8U,     0x9e4c8438U,     0x2092bed7U,     0xbbc37fa8U, \
    0xb9802c06U,     0x9291972bU,     0x2933ac9aU,     0x5c6c3f92U, \
    0x9e1bdb05U,     0xf1a3fc7eU,     0xbe6c9a32U,     0xcb05b8ebU, \
    0x4401b669U,     0x08550a76U,     0x12819e82U,     0x6d3d0ed0U, \
    0x1450aaa5U,     0x2c7fd40aU,     0x7582edfcU,     0x4a751097U, \
    0x9c14ad2dU,     0x0694c9f1U,     0xd7fbe721U,     0x3d11776aU, \
    0x83d23281U,     0xcc87eca5U,     0xa5ada558U,     0xf161b69dU, \
    0xd86d52deU,     0xcadf2900U,     0x54a000c7U,     0x703dbc9aU, \
    0xab9c1abeU,     0x2c33be2cU,     0xc1c1ba45U,     0xc16da58aU, \
    0x4271f361U,     0x772f1bd6U,     0xebbc05cbU,     0xa27f0191U, \
    0x8468e3b2U,     0x1cadf432U,     0x4b1a9f69U,     0x5dad2517U, \
    0xa6b09f07U,     0x506ae218U,     0x713fb314U,     0xa6985dabU, \
    0xa682acd0U,     0xd776cfb5U,     0x4fec7e48U,     0xa65b1dd1U, \
    0x22dda76bU,     0xd92362d7U,     0x228ff505U,     0x6f692df1U, \
    0xa5e3dfe5U,     0x40f09a9aU,     0xb4d21f0aU,     0xd39f7c77U, \
    0x3ea0ae59U,     0x9c249972U,     0x49e0aa14U,     0xe3719fa8U, \
    0xcf291e0dU,     0xf1f3265bU,     0x82a0e0e1U,     0xaecfffa9U, \
    0xc4712819U,     0x01b2d554U,     0x98e4fe8bU,     0x07916cb4U, \
    0x4f8ecf10U,     0xeb5a1bc9U,     0x6cd95a88U,     0x4914c80cU, \
    0x8292d954U,     0xf2ad519dU,     0x5a0c04e1U,     0xebd815caU, \
    0x105e4b90U,     0x13c3421eU,     0x18080ab5U,     0x467a5ba0U, \
    0x5f65c620U,     0xc23ff629U,     0x8f9ce2cbU,     0xe57c4153U, \
    0x20e939dfU,     0x79f0c8b0U,     0x2f45ca15U,     0x209a0c51U, \
    0x4d416622U,     0x52295172U,     0x88e50b8aU,     0x104783ecU, \
    0xea5db069U,     0x95716619U,     0x32249e33U,     0xc77c83faU, \
    0x213be1b6U,     0xea0109e3U,     0x44394c26U,     0x59f6b6f4U, \
    0xcb27341aU,     0x618173e1U,     0xc0cc6b68U,     0xbd3fe34dU, \
    0xaa95f301U,     0x785462aaU,     0xe3343d22U,     0x6d1ee386U, \
    0x4164f8e1U,     0x63c2597cU,     0xdde999aeU,     0x79fa7ff5U, \
    0xead11c80U,     0x3652c159U,     0x8f702c83U,     0x514fe9aeU, \
    0x61b30cb1U,     0x5d3e175cU,     0x5a68d6f4U,     0xef21981aU, \
    0xc96783edU,     0xf20df5a6U,     0x87de097eU,     0x7ca0ab5fU, \
    0x0f450af2U,     0x9801180bU,     0x3e98bd78U,     0xb13feb49U, \
    0xc76ca344U,     0x9bb3c6d6U,     0xdf54f738U,     0xbb2fef36U, \
    0xaba1dbd6U,     0xcf69b8a0U,     0x7267c1adU,     0x6fcbc3e6U, \
    0x73aa69e4U,     0x5ed435f8U,     0xe0e80289U,     0x8dac57beU, \
    0xcb232221U,     0xb1027f63U,     0xaac54b95U,     0xbcde7612U, \
    0x7560ad86U,     0xc7b81d0fU,     0x414c29aaU,     0x40a10da5U, \
    0x5a434e6bU,     0x0869c33bU,     0xaed441d4U,     0x52e11558U, \
    0x06675148U,     0x47fb8456U,     0xca42737fU,     0x3b8f61c7U, \
    0x436c74c7U,     0x51e48187U,     0x673e8491U,     0x3cffbb3cU, \
    0x1fc504acU,     0xee5130c4U,     0x2d55f69eU,     0x69ea442aU, \
    0x71be96b2U,     0xf8300de8U,     0xa02e5ea3U,     0x6a29eeedU, \
    0x0e482148U,     0x27e3d588U,     0x13842468U,     0xce4acf35U, \
    0xb9eed710U,     0xa27e9855U,     0xa201d6adU,     0xdcfdba53U, \
    0x49b7bf6dU,     0x7be3466cU,     0x10e9a0bdU,     0x605a3f31U, \
    0x72aa7fc2U,     0x4d6be208U,     0x11f6e1c4U,     0xe546e276U, \
    0x0946c66bU,     0xb6a6b4caU,     0x6be41667U,     0x4eb7c18fU, \
    0x6600cc9bU,     0xe25190d8U,     0x54580d46U,     0x296a2268U, \
    0x9f9474f8U,     0x373a31d0U,     0xbac685d5U,     0xd23afe80U, \
    0xd77a1935U,     0x6a44a224U,     0x191a278fU,     0x0bdd3c33U, \
    0x4adacebfU,     0xcc977a04U,     0xa8fa9e4dU,     0x9914ae96U, \
    0x929422e6U,     0xc6d9e496U,     0x358701d7U,     0xa7044a6cU, \
    0x5ff312d2U,     0x146c4bc8U,     0xfd7bd92bU,     0x2f2e265cU, \
    0x6b2110bcU,     0x4601fc4eU,     0xc25983a0U,     0xd5f13b4aU, \
    0xb489c467U,     0xc15f826aU,     0xb26d8c7aU,     0x64885a8cU, \
    0x3eec185cU,     0xe6a9d8e5U,     0x23420078U,     0xe30fce9aU, \
    0x254e8201U,     0x741fad13U,     0x97316f6cU,     0xd4b7084cU, \
    0x822e1e70U,     0xb2ae77ccU,     0x9358ed42U,     0x00a41a91U, \
    0x8c38a25eU,     0xa1fab0a4U,     0x06dcc447U,     0xbff859f3U, \
    0x99dd6366U,     0x5167cc70U,     0xff217316U,     0xdca0db43U, \
    0x45b3a577U,     0x6c812f30U,     0x28296e8aU,     0xb2182685U, \
    0xad3dec1aU,     0x7bea4a1aU,     0x2b1682a3U,     0xdb63918bU, \
    0xbac0e8bfU,     0x8dfd1c13U,     0xcacb462aU,     0x7e98e4f3U, \
    0x456de783U,     0x0a9441a6U,     0x03bd8e2fU,     0x5b59d459U, \
    0x8df849acU,     0x8dcd97c4U,     0xce20afcdU,     0x55aa397aU, \
    0xa2096233U,     0x4170aeadU,     0xd73291e2U,     0x6674740eU, \
    0xd2f02820U,     0xe7561b4bU,     0x78ab9152U,     0xb69d66e8U, \
    0x4e8b40f1U,     0xfaa9d665U,     0xfbbc4445U,     0x891fed4eU, \
    0xa0fb9e1bU,     0x12fb8d4aU,     0x419dade0U,     0x40b648a8U, \
    0x5d278315U,     0x7100a668U,     0x948b0470U,     0x6c8101f9U, \
    0x9164415cU,     0x23c57aa1U,     0x3a79a279U,     0xc97d04acU, \
    0x361b4395U,     0x827b0f34U,     0x17ce241dU,     0x3aea9bd8U, \
    0xbadd2186U,     0x39ea9423U,     0xb8426356U,     0x33b92f1dU, \
    0xda5e4c1eU,     0x900c8f5dU,     0x7be3b7a8U,     0xf731c29cU, \
    0xde7409aaU,     0x7c1e15d9U,     0x1b1e398aU,     0x4a529dc1U, \
    0xa6db0fe9U,     0x02da75e8U,     0xcde0479dU,     0x9e779f30U, \
    0x62d864ddU,     0xea65439cU,     0x628b3b50U,     0x56384062U, \
    0x293d7fd0U,     0x54760a7cU,     0x6fa565a7U,     0xf9e9f137U, \
    0x7a11d755U,     0x67b4d799U,     0xbc39a6b6U,     0x4baafe2cU, \
    0x3868a190U,     0xcd637fc6U,     0x4861d6adU,     0x350e824eU, \
    0xd8d732f1U,     0xf2840d2fU,     0x93e0ed20U,     0x2ea86d65U, \
    0xd89aa80cU,     0xf1df241dU,     0xd4c3d3a2U,     0x11fcfd71U, \
    0x34d388ceU,     0x139170ebU,     0x6fb0436bU,     0x65b1ae9fU, \
    0xd0bf94a7U,     0x5248fbc6U,     0xd779757dU,     0x7153d70eU, \
    0xd1fbdcefU,     0xc318ca91U,     0x6f733885U,     0xbc452e4aU, \
    0xf26f1ff4U,     0x1c368b49U,     0xdf91d00fU,     0x0ea5c74eU, \
    0xa18a6c70U,     0x7a934befU,     0x12e3393eU,     0x25b71daeU, \
    0xee11cf3eU,     0xb07bea5bU,     0xc3ac4cefU,     0x8f78adfaU, \
    0x4fd1fd98U,     0xf7098770U,     0xf29c00b8U,     0xff4c55b0U, \
    0x7707499eU,     0x652140e5U,     0x534cfaedU,     0xb9c8c5eeU, \
    0x23e5d0d8U,     0x7a21dd4eU,     0xb13b0869U,     0xbdc1d2c5U, \
    0x55240f9fU,     0x4147a123U,     0x4e15bfa9U,     0x9be174a1U, \
    0x9c7c7971U,     0xfb294c77U,     0xc28e68b2U,     0xa51d10aeU, \
    0xfd8a1e5aU,     0x3fd27cb6U,     0x1d344495U,     0xb5a293bfU, \
    0x18cfc1a8U,     0xdc9e790aU,     0x91490c1cU,     0x0afbdab2U, \
    0xcda974dbU,     0x42965136U,     0x082d4817U,     0xaccd2c90U, \
    0x9c6f20ccU,     0x408bc30fU,     0x3cc14414U,     0x6ce7de8bU, \
    0x0e39f185U,     0x17e3848fU,     0x1b2e7028U,     0x7a032ab8U, \
    0x3aeb7848U,     0xe2cabdb1U,     0xe9d1f142U,     0x738ae369U, \
    0x517914e6U,     0xf9ae882aU,     0xf082b2edU,     0x75a1bedaU, \
    0x672e7baaU,     0x306e5b0dU,     0xe9a900e0U,     0x4f4a6565U, \
    0xb634bfafU,     0xa2a0150cU,     0x9a46cdfdU,     0x1f549f68U, \
    0xefa9b9c6U,     0xaa80813bU,     0xbaccbf86U,     0x3a670e2fU, \
    0xd789ff94U,     0x6a702a0eU,     0x303b7aa4U,     0x21b7ac4cU, \
    0xbc488fd3U,     0x1a096fabU,     0x2060ef5eU,     0x6283b00eU, \
    0xe21ebff1U,     0x82d24411U,     0xb3aa5336U,     0x807ae26aU, \
    0xa5a0ffc9U,     0xc6fefe61U,     0x39a374d4U,     0x5c357f53U, \
    0x30f07074U,     0x35218dd7U,     0xa0700c03U,     0x0534083dU, \
    0xa211a0baU,     0xff694344U,     0x605fe119U,     0x5fe97cd3U, \
    0x8be0c450U,     0x6ec72156U,     0xa496f133U,     0xa7d554f1U, \
    0xaa676904U,     0x9765cba7U,     0xfedc6a20U,     0xb421a8d7U, \
    0xeea273f8U,     0x429afd29U,     0x2ace807cU,     0x3949c16aU, \
    0xc763ccb9U,     0xeacbd051U,     0xf422e09cU,     0xb07337c4U, \
    0xa334ac1bU,     0x4fef5d9fU,     0xdcc299dcU,     0xafa18cc9U, \
    0xe5e61bceU,     0x31afde1bU,     0x630c7ac0U,     0xca1db92fU, \
    0xff543834U,     0x3697619cU,     0x12299bfdU,     0x9b1993deU, \
    0xd7509223U,     0x95e24417U,     0xcc7c9e68U,     0xc388212fU, \
    0x6b355dc9U,     0x82339a08U,     0xa669df28U,     0x303bb057U, \
    0xff205bd4U,     0x66f62e63U,     0x18af68ffU,     0x70fa587cU, \
    0xc00573faU,     0x03c0df9cU,     0xf8acb3beU,     0xd9a83a30U, \
    0x85c8f0a1U,     0x412eea0aU,     0x6a47eb88U,     0x9b31aaacU, \
    0x8c74e19cU,     0xf67bd1d6U,     0x824b40a9U,     0xf99ca725U, \
    0x47c87e76U,     0xdd83ce6eU,     0xb6d4f04fU,     0x695ac706U, \
    0xb8ff708cU,     0xb58f1417U,     0xa7323578U,     0x25328a34U, \
    0x870d12d6U,     0x20e28b53U,     0xf1407dc0U,     0x3629776dU, \
    0xce74ffe5U,     0x6f9bf5b9U,     0x55bbe9b6U,     0x9c66866bU, \
    0x810c58dcU,     0x92a21eb7U,     0x20f1181aU,     0x0660964fU, \
    0xdff2a3cfU,     0x7e2cb388U,     0x7d31237eU,     0x8bc482a9U, \
    0xe8555e12U,     0xdc8db41eU,     0x6c1ac2daU,     0x1b546481U, \
    0x1be4d00aU,     0xcc1fa76cU,     0x5ddc1bfaU,     0xa14c62cfU, \
    0x3182b1f6U,     0x06313b1dU,     0x7835bfedU,     0x02ca1df1U, \
    0xb246f7c8U,     0x4c56a78aU,     0x945d573dU,     0xb7f2a13bU, \
    0x294865d2U,     0x73cdc2d3U,     0x5ce6ff71U,     0xff5f747bU, \
    0x6ef32836U,     0xa999a7beU,     0xec58f045U,     0xd02696deU, \
    0x0eeb196dU,     0xc69f1b93U,     0xbff034feU,     0xd0e377b5U, \
    0x49b84050U,     0x1bf5331dU,     0x7f4a1bcfU,     0xe4af6d11U, \
    0x3284b3ffU,     0x56d106d7U,     0x9c475950U,     0x5f3db85cU, \
    0xc5562acdU,     0xdbf21ba5U,     0xf6d39fbcU,     0x38e0f90eU, \
    0x18e9fe37U,     0x902a8655U,     0x50e0b132U,     0x3d9b3e59U, \
    0xa445651fU,     0xff613f01U,     0xf488557bU,     0x8de8ed61U, \
    0x4a7c802bU,     0xc81c77f0U,     0x25e66457U,     0x82fa6392U, \
    0xa7ce8372U,     0x585cd302U,     0x612c2563U,     0xa1f332b6U, \
    0x969b2da5U,     0x41e04971U,     0xf584ea8cU,     0x8b1f4350U, \
    0x4b4b2398U,     0x962d4e96U,     0xa19e06a4U,     0x02500adeU, \
    0x28e648faU,     0x9265c887U,     0xf39eee37U,     0x05988d11U, \
    0x6ce3a25dU,     0x706d709dU,     0x95659078U,     0x3d3d9f98U, \
    0xf70101caU,     0x11110eaeU,     0x98347c71U,     0x05d555b0U, \
    0x7d6eee45U,     0x4ac1a385U,     0xe4c7a3b8U,     0xf444dee6U, \
    0x1e68f60aU,     0xd2ad382aU,     0x63ae9ba9U,     0x37e7802fU, \
    0x7f784a95U,     0xb0921c0aU,     0xd334f968U,     0x46a5cef3U, \
    0x86f1759fU,     0x41de5e87U,     0x23fab971U,     0x020f51dcU, \
    0xf64d2e75U,     0x20988ec8U,     0x57f7e3b5U,     0xb698654fU, \
    0xe96874bcU,     0xed99ae6dU,     0x2bb47659U,     0xedbb2631U, \
    0x0ee21e8dU,     0x53a5ec09U,     0xa6087da8U,     0x5108f827U, \
    0x2338f59cU,     0x44e30df5U,     0xe5672a26U,     0x8ecd0504U, \
    0xf1dbfe49U,     0xbcee72c6U,     0xb5afe9ceU,     0xe40c6af8U, \
    0x879248dfU,     0xc0062cf4U,     0x128cdcd4U,     0x5554efa0U, \
    0xe5cc0446U,     0x2e9bef8aU,     0x3ff05c52U,     0x0680230eU, \
    0x256346a8U,     0xd0705c4dU,     0x64278b5fU,     0x2eecc07fU, \
    0xc3a10d6bU,     0x01b3d78cU,     0xf9d5e5b1U,     0x000648beU, \
    0x8d78856eU,     0xe124b637U,     0x72a4b94dU,     0xa133f85bU, \
    0x20dbcfbaU,     0xe2dfe33fU,     0xb09c62dbU,     0xa2e94952U, \
    0x633c36b2U,     0x264ad24eU,     0x79c97329U,     0x16653125U, \
    0x9fcec838U,     0x35ad4289U,     0xe97cfb3bU,     0x8a56834eU, \
    0xe8b89cddU,     0x37cb7202U,     0xadc4232fU,     0xd02a01efU, \
    0x41d98452U,     0xdbf0c5c3U,     0x6633c5b5U,     0x3b73794bU, \
    0x4d6a855dU,     0x99036a61U,     0x67b25f44U,     0xffedfeaeU, \
    0x891b4391U,     0xb86e2714U,     0x74716c95U,     0xd0755344U, \
    0x8e77d7f9U,     0xf7a6eeaaU,     0x9d324508U,     0xb8efc7ceU, \
    0xf2766677U,     0x13882d67U,     0x33acda44U,     0xe52c5532U, \
    0xc3af6aadU,     0x28305130U,     0x354124a0U,     0x55334a07U, \
    0x1cba8181U,     0xab4c29d9U,     0x64efc21eU,     0x8a2860e4U, \
    0xe91f7da5U,     0xef956936U,     0x34aac9e8U,     0x8bd1bc1aU, \
    0xb5d8e79fU,     0x0048482cU,     0x0f2b1d63U,     0x6401acd7U, \
    0x182f5487U,     0xe96e4552U,     0x38e28896U,     0x09993e21U, \
    0xe6832040U,     0x439e286aU,     0x77999508U,     0xb31d0b6cU, \
    0x9e19ca25U,     0xd6c6873dU,     0x61d85a52U,     0x9bfc0bb1U, \
    0xea008b9eU,     0xa189ddaeU,     0xce62f488U,     0x2e5eb2c5U, \
    0xbb70a909U,     0x38883485U,     0xa54dd50bU,     0x1ab338faU, \
    0x58034c82U,     0x475af2b9U,     0x4618a99cU,     0x99ece948U, \
    0x7d39ba3cU,     0x997884a7U,     0x16419ee6U,     0xaa84162cU, \
    0x79581e56U,     0xdc036db3U,     0x7d8d1481U,     0x101c3921U, \
    0x16086cd6U,     0xd919c2c4U,     0x5e202de1U,     0x4a3c8490U, \
    0x2e434de9U,     0xcd140e42U,     0xa69c2b2aU,     0x1b30be6dU, \
    0x65d6e42cU,     0xff576c5eU,     0xaea2b2e3U,     0xa672659cU, \
    0x23954e1dU,     0x4dc5cc59U,     0x38ecb55eU,     0xace2f154U, \
    0x70ee9a93U,     0x504035d4U,     0x61970257U,     0xa1ed1259U, \
    0xe166bef8U,     0x2ab4c500U,     0x87dee255U,     0x1f3ff865U, \
    0x43486c4bU,     0xf1b75ffaU,     0xa4392194U,     0x0d00bcfaU, \
    0xc1c4bd31U,     0x4d4e7766U,     0xb7e9193aU,     0xba044b0cU, \
    0x3a877947U,     0x52b39ae4U,     0xb7a81dcfU,     0xcf2b3ea0U, \
    0xf9f29bfaU,     0x8f528be0U,     0xd265fda0U,     0x6dcc78beU, \
    0x13c88bf1U,     0xd9846d8dU,     0x87076488U,     0xbb4d87fcU, \
    0xf1e74652U,     0x83e92b2aU,     0xc5fb14ffU,     0x5520345aU, \
    0x0678b50fU,     0x49115066U,     0x749239a7U,     0x2cca0a0fU, \
    0xf2c9a8edU,     0x4b8cea6fU,     0x15e9a3b9U,     0xd7d69689U, \
    0x87937598U,     0x777a5cdeU,     0x1a271056U,     0x65ada843U, \
    0xe73fa53dU,     0x594ac55bU,     0x28c34c2bU,     0x5b85e5a5U, \
    0x9f3ff20fU,     0xe892857eU,     0x061ad5d6U,     0x2f939999U, \
    0x25c26ea4U,     0x3ed5fef1U,     0x9a97ab78U,     0xc2fb16f1U, \
    0x179de77fU,     0x169bf9bcU,     0x8cad3a03U,     0x0c31a843U, \
    0x8f2e6e45U,     0x9bbe48b6U,     0x98a6548fU,     0xf5cc1e9bU, \
    0x2cd64356U,     0x7a756383U,     0xb008b344U,     0x7e400380U, \
    0x2cf9e0e6U,     0x92df9a82U,     0x7dec035eU,     0xa3de5d47U, \
    0x6c74d205U,     0x8b017d25U,     0x6aeed1aaU,     0xfe8ff8b1U, \
    0xb753a881U,     0x954c182bU,     0xe138f67eU,     0xf11ba612U, \
    0x48814882U,     0x32b23d3fU,     0x23eed707U,     0x11a2d76cU, \
    0x9242effbU,     0xadf43b92U,     0x45cb334eU,     0x23ce4cf9U, \
    0x5bf6e418U,     0xb01f6e99U,     0x65e2a11bU,     0xd99dd78fU, \
    0xdf94b0ebU,     0x083d60f7U,     0x5646ea16U,     0xfcafb3e2U, \
    0xa3ca9739U,     0x84bdbaa1U,     0x57b5f40dU,     0x5bd548f9U, \
    0x92267cb9U,     0x5052d806U,     0x3985e6e0U,     0x65f446daU, \
    0xb0ddf713U,     0xf6f68e20U,     0x0a7e19a5U,     0x9d5998dbU, \
    0xc13e6ac3U,     0xd48c419eU,     0xd5811305U,     0xfc4a532cU, \
    0xaafc7abbU,     0x4908a036U,     0x5841fa4aU,     0xfaf41e79U, \
    0x46d66b89U,     0xdea36d82U,     0xefccdaf5U,     0x4fb4103cU, \
    0x97415da4U,     0x55964226U,     0x9e9f09edU,     0x1133df02U, \
    0xd1a23c9fU,     0x1b79356bU,     0x528c1fe3U,     0x8e1bda3cU, \
    0xb2f8e772U,     0xb345d2c5U,     0xdecbc35cU,     0xbcd393fcU, \
    0xcd00b1a8U,     0xbb652431U,     0xd9da8f65U,     0x264eb600U, \
    0x71fc8238U,     0xb4818f87U,     0x3f39b385U,     0x28d31739U, \
    0x5446921cU,     0x3f9d3c8eU,     0xb9251996U,     0x7e12367bU, \
    0xc42c4158U,     0x807302b3U,     0x3f6513a8U,     0x93b7a877U, \
    0x5a78e951U,     0xf521c997U,     0x3d9c4c71U,     0x45d1e458U, \
    0x8deab90fU,     0xd8d90627U,     0xb5006dddU,     0x18aa2206U, \
    0x9ad32f82U,     0xc3977dbfU,     0xb6338230U,     0x7d6cba0aU, \
    0x9fd92800U,     0x689ed98dU,     0x2008f4a6U,     0xe0c774a0U, \
    0x1f15f27eU,     0xe201d5b6U,     0xe48da251U,     0x4257229fU, \
    0xf0c5aef7U,     0x85ff5087U,     0x8aa801aaU,     0x14660ff3U, \
    0x84147da4U,     0x8186b445U,     0x5ca990f4U,     0x182fe289U, \
    0xc77f04e6U,     0x3ebc2007U,     0xe7b1c826U,     0x17197264U, \
    0x5b15063bU,     0xc37c20ebU,     0x3c1444e5U,     0x9a7f7283U, \
    0x77a37e99U,     0xd78ce34aU,     0x611ff80aU,     0x4dbeeb34U, \
    0x7057c3bbU,     0xc9acdf77U,     0x3aed4f58U,     0x45301a69U, \
    0xab3917a1U,     0xdd86e427U,     0x8aa035b2U,     0x9b58e567U, \
    0xb1d5bd81U,     0x72e50435U,     0xb6ca872eU,     0x70138741U, \
    0x1148bc1cU,     0xd1dbdde1U,     0x4a920176U,     0xd50bbfa5U, \
    0xbc205aedU,     0xbe8344e9U,     0xcca3eaaeU,     0x04149484U, \
    0x175645b2U,     0x52b7a2d7U,     0x8c03ae8cU,     0xca888aadU, \
    0xc872e89bU,     0x348e9ae8U,     0xc13e14d8U,     0x44f16598U, \
    0x88503b91U,     0x8c888311U,     0xefe43155U,     0x12622bc7U, \
    0x0faa50baU,     0x5617643cU,     0x5bb7041fU,     0xd5418952U, \
    0x9b25c926U,     0xde810c61U,     0x7dcfb850U,     0x62c785b0U, \
    0x744f593dU,     0x5fe8dbbeU,     0x71d7cfcaU,     0x21db515eU, \
    0x3a7210a7U,     0x538e0f03U,     0x79d2647bU,     0x09a568abU, \
    0xe55724feU,     0x24d72db3U,     0xf42f0fdcU,     0x394a18cfU, \
    0x0afdde10U,     0xdc9a1108U,     0xffe68538U,     0xe8295a13U, \
    0xa2171307U,     0xabce16c3U,     0x376f6a0fU,     0x6879a60fU, \
    0x8508d202U,     0x989a0d5dU,     0xdab867ddU,     0xe32a413eU, \
    0xd0895647U,     0xeb34e750U,     0x0e48ed22U,     0x45436ab4U, \
    0xc7b92436U,     0xfd275ff2U,     0xc702ed13U,     0xcf28cb46U, \
    0xfab6c736U,     0x527e2575U,     0xe49f68f8U,     0x5ef9edf0U, \
    0x98add0a6U,     0x02615394U,     0xc8373021U,     0x2e0b958cU, \
    0x06a11236U,     0x9df82edcU,     0x96d08632U,     0x9e8a64b1U, \
    0xa03e51a5U,     0xad7f2b8aU,     0x47a516f7U,     0x34b4d397U, \
    0x5194b62fU,     0xd4b7fa1cU,     0xddb7c2acU,     0x5ec80a16U, \
    0x487a945eU,     0xb4157070U,     0xdb8305f2U,     0x7640eba6U, \
    0xfe63e239U,     0x5d167564U,     0xf71686f0U,     0x7f3756b5U, \
    0x7d2c1800U,     0xa9397e58U,     0x94ba09ceU,     0xfaa79e8fU, \
    0xe63e01f8U,     0x46beffb8U,     0x32680019U,     0x6f63fa03U, \
    0x16fb28cfU,     0x97721cabU,     0xa22afd36U,     0x8d1ea926U, \
    0x504cca5fU,     0xe6418009U,     0xaf82ad50U,     0x34d0da14U, \
    0xa4b2abe2U,     0x58a60104U,     0xea879d5bU,     0xcf554be0U, \
    0x3c513233U,     0xb4dfa9c1U,     0x04ef5118U,     0x0d2f7e9fU, \
    0xdaaabb18U,     0xa177ce53U,     0xad30c943U,     0xfed77974U, \
    0xb4c23b66U,     0x5c4fd5e9U,     0xb56bfe21U,     0x07ea69aeU, \
    0xf0b818f5U,     0xb7c0b25bU,     0xc4e25014U,     0x6f7ef69fU, \
    0xc71d97f1U,     0x3d025515U,     0x3d12b037U,     0xa0e86f9fU, \
    0x61cfdcfbU,     0xb857dfa2U,     0x938da503U,     0xecf96208U, \
    0xf7e8db59U,     0x2865eab8U,     0xebd01b2dU,     0x3ac3b40fU, \
    0xb60cea8dU,     0x61edd642U,     0x4859840cU,     0x6e37f676U, \
    0x5eec156bU,     0x852e8340U,     0x3b97be38U,     0x378f1a2bU, \
    0x8ecc2428U,     0x3a226339U,     0x696fb54fU,     0xc4fd97b2U, \
    0xea7f9789U,     0x6f45d175U,     0x7e2ef8cbU,     0xb7e5e7f9U, \
    0x55bfd7e7U,     0x9315dafcU,     0xd558858dU,     0x08ab2341U, \
    0xa1ed666eU,     0xff4eefe4U,     0x2753d4acU,     0xa7f13f60U, \
    0xc4f7a72fU,     0x3eaf70ecU,     0x008d7e42U,     0x166a6c73U, \
    0x4654bfaeU,     0x905fd7d8U,     0x44ac9617U,     0xc3e6641cU, \
    0x6c3c7da3U,     0x5f6a9289U,     0xa428c864U,     0x325819cdU, \
    0x8fc2e19fU,     0xa6fb8232U,     0xcae8fc3cU,     0x766f9e28U, \
    0xaabb8860U,     0x97f78ea1U,     0x205a26ebU,     0x4102c889U, \
    0x6a363dedU,     0xcf92ad56U,     0x8539f0dcU,     0x806c74b0U, \
    0x23b574c1U,     0xed021032U,     0x345479b8U,     0x1e058436U, \
    0xfe12597cU,     0xd7a38b3eU,     0xc4d9b07bU,     0x0a5d684fU, \
    0x5c825821U,     0xe3cc698eU,     0x16d9a384U,     0x70d8c05fU, \
    0x112f9e7cU,     0x6bd1d954U,     0x4a020b61U,     0xb2962386U, \
    0x0417e088U,     0x3d3abc3dU,     0x387f4507U,     0x5c6b9e9eU, \
    0xf5c87fa4U,     0x8836453dU,     0xc0dddfaeU,     0x474ddf8bU, \
    0x1232873bU,     0xc19b476eU,     0x6025f234U,     0x505eb885U, \
    0x933a5660U,     0x49261477U,     0x36f9e1c1U,     0x4376564cU, \
    0xf26cbc43U,     0xabb1e891U,     0xb6085b68U,     0x4abecb94U, \
    0xdc097470U,     0x53446e8bU,     0xbc9163daU,     0xc3fad191U, \
    0x5651083eU,     0x9c729f0aU,     0x89824bfeU,     0x06cac3e5U, \
    0xcb9a74c7U,     0x3115675dU,     0xaa3235c6U,     0x709231eeU, \
    0x08502996U,     0x5e1cd81eU,     0xd24a3738U,     0x6e8931f2U, \
    0xc505d354U,     0x9794505cU,     0x117d2b50U,     0x1004f2d8U, \
    0x261b2888U,     0xafd04272U,     0x501802cfU,     0xfd8579b3U, \
    0xe8046ee7U,     0xb94d5699U,     0xa98dedaaU,     0xe2ab9bb2U, \
    0xedcccb1bU,     0x4afeb180U,     0x9a9db57cU,     0x93742c80U, \
    0xfbfae384U,     0x7622ab33U,     0x48ded445U,     0x50560899U, \
    0x52736b8dU,     0x2687b77fU,     0xe5386fb5U,     0x98bad4f6U, \
    0xc5d03ff7U,     0xf3c93570U,     0xc2d227e3U,     0xd760db4bU, \
    0x3bce02bbU,     0xfb8330e8U,     0x7e0878beU,     0xaca4e17cU, \
    0xaa80fa86U,     0x8c3bea7fU,     0xe7a91871U,     0xef0c9f44U, \
    0x37cf75ecU,     0xd65c7f7dU,     0x56f055edU,     0xf0416106U, \
    0x2f35f448U,     0x16ddf01eU,     0xbd049626U,     0xd6be951aU, \
    0x7f62875eU,     0x0d0ecb54U,     0x9cdd2a24U,     0x90298f5bU, \
    0x72c31035U,     0x22c0efe1U,     0xb3355a45U,     0xfb34c382U, \
    0x9604ecbaU,     0xc376193fU,     0xdfd3197aU,     0xc2292b60U, \
    0x13abc39eU,     0xdd86e933U,     0x39ea209cU,     0xb9cb2912U, \
    0x6203e64fU,     0x097e6dafU,     0x9b4bac1fU,     0xd87ea1ebU, \
    0x799c316dU,     0x25ca22baU,     0x65f3c13bU,     0x8f19f248U, \
    0xbdc78ec5U,     0x87e9d592U,     0x6a04d79bU,     0x0b959c1cU, \
    0x4459b83aU,     0xe206ec46U,     0x760dc516U,     0xa7b42267U, \
    0x5aa03f17U,     0x37447b0bU,     0x28ba83d1U,     0x57f32172U, \
    0x1b914003U,     0x90c713b5U,     0xb83024a3U,     0xb88c23ebU, \
    0x59a20dcaU,     0x263dbc49U,     0x0e6ce3b2U,     0x281f516bU, \
    0x25d771cbU,     0xe1279aafU,     0x4b822ee2U,     0xe5d6d7e5U, \
    0x9906d74bU,     0x9e2dacc0U,     0xb103de39U,     0xb9d7edebU, \
    0x8dc4ed64U,     0x553b48a3U,     0x9a0e5cceU,     0x2ff76b0eU, \
    0x886d349dU,     0x7aac7576U,     0x8b79d1bdU,     0x0702f738U, \
    0xfc944fe1U,     0x42e6fe1aU,     0x4a4bd356U,     0x2e09d498U, \
    0x2ab59d98U,     0x0a59dc35U,     0x8a0e2209U,     0x751cdb6fU, \
    0xe73445ebU,     0x0c12edefU,     0x791db374U,     0x492e488bU, \
    0xb054e006U,     0x69c72596U,     0x93153bb3U,     0xfc6b8cebU, \
    0x585f3e49U,     0xb1262a30U,     0xf7110324U,     0x630f007fU, \
    0x90c37df2U,     0x16a49516U,     0x647befe6U,     0x855edc8fU, \
    0x505ee28fU,     0xd92eb1f7U,     0x0c5872dbU,     0xa0ee8f90U, \
    0x13bb6586U,     0x3deb4694U,     0x5621a74aU,     0xfbcb2d6dU, \
    0x6bbaab33U,     0xb70d88a4U,     0x6fa54bcdU,     0x99b62ad1U, \
    0x9ff4bec8U,     0x6fbcb320U,     0x7777ae38U,     0xc6cf6d79U, \
    0xe4a9cc30U,     0x04e1f6a0U,     0x239b9ddcU,     0xfe081b7cU, \
    0x0fecb727U,     0x44475de9U,     0xef8e7a6bU,     0x2d57f598U, \
    0x44292fb9U,     0x29cf7da1U,     0x357a1d62U,     0x7f3eb27aU, \
    0xa743b4b6U,     0x4fa8d5c1U,     0x8c2213e7U,     0xf4832c9cU, \
    0xae5a5aaeU,     0xfe7c7f10U,     0x4ab1bc93U,     0x7198f782U, \
    0xf6630984U,     0xeae92d53U,     0xcd81dc7bU,     0xb5a7d873U, \
    0xf1c62d8bU,     0xee4a6a10U,     0xf97321faU,     0x9fed9511U, \
    0x821e46a6U,     0xb6fd7d7fU,     0xe713d84bU,     0xf5a0393eU, \
    0x0267975aU,     0x214866e5U,     0x61c1f57fU,     0xae56a353U, \
    0x9a17e889U,     0x556fa22aU,     0xbde26601U,     0x6e420e5eU, \
    0x20ce7a5cU,     0xc2413438U,     0x551190bdU,     0x108e70aeU, \
    0xea381538U,     0xa5c2a965U,     0x5f51cbfdU,     0xaccf0139U, \
    0x4163e99cU,     0x692dce91U,     0x216c2671U,     0xb33011f6U, \
    0x1c0ddb63U,     0xe22989e2U,     0xd05bcbd2U,     0x8f6740f2U, \
    0x18fc482bU,     0x8e12fee6U,     0x4cbf72e0U,     0xca3f2d16U, \
    0x95ee0a48U,     0xa1a9418dU,     0xae8aa4cdU,     0x285fc688U, \
    0xb9ec6017U,     0x1bcb9104U,     0x4b8a3c0eU,     0x8453b19aU, \
    0x85ee308bU,     0x0dc7c48fU,     0x1d860be3U,     0xd020fa72U, \
    0xd8acf9f5U,     0xdbd18aeaU,     0x3cbc1b75U,     0x0ec5e2baU, \
    0xaae91ea7U,     0xa62008faU,     0xa3aa730bU,     0x77b31860U, \
    0x399b1f86U,     0x42a0ca11U,     0x4e94791bU,     0xf560568dU, \
    0xfe0786a8U,     0xe77be895U,     0x4f8e6893U,     0x191e23b4U, \
    0xe8af4f91U,     0xa48c82ffU,     0xd566d8b2U,     0x40a5ded6U, \
    0x50b8bdb1U,     0x9076e220U,     0xebd0838fU,     0x29b405daU, \
    0x62e7235cU,     0x7af4bca4U,     0x2495924aU,     0x8a23ef40U, \
    0x0c93fcbcU,     0x3dbf4cdeU,     0xd852747cU,     0x23461d69U, \
    0x84b6d48fU,     0x099c525eU,     0x07d3aa51U,     0x45ff11f6U, \
    0xa2fe7e78U,     0x0c2fc310U,     0x0e9b7f85U,     0x4b41d602U, \
    0x9adaba9fU,     0x077cc87fU,     0xe439ef49U,     0xeb4ab511U, \
    0x6dd9cdacU,     0xab982526U,     0xd05f1529U,     0x7b7fcd38U, \
    0x86e12811U,     0xd0ca1d5bU,     0xa8144a6dU,     0x80fa9982U, \
    0xa809b7a8U,     0xbbc5afc4U,     0xa9549238U,     0x5f3f4bebU, \
    0x14538fe9U,     0x04d65abbU,     0xcc15f9f4U,     0xe92ad931U, \
    0xaf6ace7dU,     0x188d22eeU,     0x197896a9U,     0xe618da84U, \
    0x5a457abbU,     0x860348beU,     0x4b450bcbU,     0xd961efa3U, \
    0x2ddc0e13U,     0xbb32c314U,     0xf07f68e3U,     0x00ebdccdU, \
    0x42ff1547U,     0x8f502569U,     0xebac8f8cU,     0x16afc13cU, \
    0xf10b9dbbU,     0xe765849dU,     0x570298efU,     0x1fb35cd5U, \
    0x8d87bd40U,     0x253a31d9U,     0xcea1d7a2U,     0x41a1a303U, \
    0xa3173c37U,     0x2b386d9fU,     0x28ffca3fU,     0x8e594ec2U, \
    0x57600516U,     0xc03b4f11U,     0xb7b54234U,     0x3c3396dcU, \
    0xe6ead42cU,     0x89844cd9U,     0x94174578U,     0x15b124a1U, \
    0xc26f6acdU,     0xaa21bb5dU,     0xda0ee1f9U,     0x5cadc601U, \
    0xdfc52791U,     0xf8cfd4a3U,     0xc5ce3175U,     0xa369db4aU, \
    0x063faa9fU,     0x6ed07c3aU,     0xe7a6832bU,     0x0bdff61cU, \
    0x019a3a42U,     0x7f73480dU,     0x35e9b84eU,     0xc3425b25U, \
    0x67027bd5U,     0x6dcf07d2U,     0x8682a8abU,     0xf5e884edU, \
    0xcc122506U,     0x6ac4ebadU,     0x8c4b8037U,     0x8f4eb22aU, \
    0x22dc8163U,     0x8a53aa34U,     0x19732c58U,     0x2b3179e5U, \
    0x56f381bcU,     0x839d2d27U,     0xadb08da8U,     0xd865c257U, \
    0x94b48a29U,     0x6e5919fdU,     0xff30fc6aU,     0xb7b56e5bU, \
    0xf5164366U,     0x89846244U,     0x35159f8fU,     0xbb85cdb7U, \
    0x430e6b1dU,     0xd1c7ce4dU,     0x960529e9U,     0x8e9ea54eU, \
    0x5cfdf55bU,     0x107e8362U,     0x29d48988U,     0x0bd9f1faU, \
    0x31e2c39cU,     0x5609ff77U,     0x9385fa2aU,     0x117681faU, \
    0xd529031eU,     0x8a8f0789U,     0xf1c863d8U,     0x76f2f723U, \
    0xa075230cU,     0xe1532c36U,     0xb3730f97U,     0x0ed85c1eU, \
    0x50f93b10U,     0xe0ad6e11U,     0x569a16acU,     0x15654d59U, \
    0x51c72475U,     0x1c7ceeeaU,     0xb599b6afU,     0x2352549bU, \
    0xb101b10aU,     0x113334a4U,     0xb8bf79f3U,     0xa70b1df2U, \
    0x0c0ceaa5U,     0x64f2df57U,     0x6a1362a4U,     0x776b5520U, \
    0xe8d6abb4U,     0x03901871U,     0x7ab4a4b6U,     0x65deadf7U, \
    0x1003d036U,     0xf9724447U,     0x3298a2e8U,     0x0ad1145bU, \
    0xde6f55d2U,     0x9a8d7d16U,     0xb35beb5aU,     0x9e4e1427U, \
    0x7851e6d4U,     0x2689193bU,     0xa92a6a23U,     0xd400e76aU, \
    0xafcc8379U,     0xe4700757U,     0x1b1f3263U,     0xf33f6a6aU, \
    0x15fa99dcU,     0x3f28443aU,     0xd001bb3aU,     0xa8368437U, \
    0x1fc00d6bU,     0x7d0908a8U,     0xb3addbabU,     0x862da20bU, \
    0xc8a55d83U,     0x03072af3U,     0x1f2b547eU,     0x73d17d67U, \
    0xf93551c3U,     0x452ac2d3U,     0xeba477c6U,     0x0fe63c75U, \
    0xe8a2edf9U,     0xf358bd75U,     0xa0eef73aU,     0x89b3abfdU, \
    0xc0663f16U,     0x061184f0U,     0xa2c3b8b8U,     0x6cbf30baU, \
    0x01af4e10U,     0x3e7d6e0cU,     0x39580dc2U,     0x2039514aU, \
    0x9fc48594U,     0x84914134U,     0xfd283455U,     0x1955fca7U, \
    0x52834e8dU,     0x43388bd7U,     0xf6c39111U,     0x9790b25dU, \
    0x5ea18e04U,     0xe65d9440U,     0xd02fbf4eU,     0x98ca7d25U, \
    0x11c61948U,     0xf15cf03eU,     0x14e353a1U,     0xa13d33cfU, \
    0x9725e823U,     0x271e3dc6U,     0x5ba7f034U,     0x246b59b5U, \
    0x4dc9a0cdU,     0x7f67c3d7U,     0x23aed193U,     0x714869f6U, \
    0x78ebd15bU,     0xa53064c3U,     0xb70d38a9U,     0x07e8b0d5U, \
    0xdfd5fdb5U,     0x2411da19U,     0xc3af2395U,     0xd7d2a30cU, \
    0x56c38d0dU,     0xb445322dU,     0xacab8fdfU,     0x97989946U, \
    0xc2f0241bU,     0x0213afb7U,     0x19ed5839U,     0xf70d3c50U, \
    0x3997dd36U,     0x884f86ecU,     0xf3ea5034U,     0x8c4ef8a2U, \
    0x0ec77237U,     0x614a9ea0U,     0x1fb0a846U,     0x6f54eb5bU, \
    0x5b164320U,     0xe5a3eeadU,     0x51711aa3U,     0xe314d4e0U, \
    0x5120f00dU,     0x90adcbd1U,     0xc6821768U,     0xd61a3cb4U, \
    0x44d40b61U,     0x45353146U,     0xf6fc1bd5U,     0xd81500dbU, \
    0x48aadacaU,     0xcc9186c3U,     0x60bd2ef7U,     0x832af1a7U, \
    0xd6766e70U,     0x6575daebU,     0x1595dd25U,     0xc251ca61U, \
    0x2542e008U,     0x6fd23764U,     0xff0e2c37U,     0x073517cbU, \
    0x301e9083U,     0x2d1d3b42U,     0x60bf0146U,     0x9888378cU, \
    0x675ae270U,     0x83f7001aU,     0x096d4455U,     0xbc3b6276U, \
    0xe6122df0U,     0xe905515fU,     0x250767eeU,     0x807c9f8fU, \
    0x001caf52U,     0x93c25644U,     0x03008af9U,     0xccfef831U, \
    0x35c5afd1U,     0x5469980dU,     0x402f5ed3U,     0x4c1da034U, \
    0x3ead67ffU,     0x5969750aU,     0xc56d63caU,     0x14630937U, \
    0xa30aeec7U,     0x1c915165U,     0x273eff91U,     0x3b15650dU, \
    0xcb0587a8U,     0x551aed2aU,     0x2ec50a1cU,     0xf7c4d7feU, \
    0x9cc09ae7U,     0xa274b3f9U,     0xa56e5856U,     0x0e5e89f8U, \
    0xf269d798U,     0xa8938551U,     0xa32c9d0fU,     0x6e7834cdU, \
    0x48561b55U,     0xd5ebfca0U,     0x64359e0bU,     0x14be96feU, \
    0x27f60843U,     0x0bda61beU,     0xc0f86d75U,     0xdd3f07b6U, \
    0xc6fe51a0U,     0x80d2374aU,     0xf4cdcdccU,     0xba71af34U, \
    0xb55f801dU,     0x045a1c98U,     0x0a31b9f8U,     0xff1210ecU, \
    0x01a7f4e5U,     0xd202f56eU,     0x88899244U,     0x45536339U, \
    0xcd5796f6U,     0xdc8ef151U,     0x60893257U,     0x293e2927U, \
    0xda6fc8fbU,     0xcbbc6510U,     0xb74ba8afU,     0xb9d99caaU, \
    0xda35e478U,     0xaafbf10eU,     0xfe23859eU,     0x488ba0c3U, \
    0x58c60eddU,     0x59a32b72U,     0x0fe46c15U,     0x082b05fcU, \
    0x61400563U,     0x7daf475dU,     0xf0a0bab6U,     0xd2b5b1b2U, \
    0x0c5d57f8U,     0x8cbe65e3U,     0x2177536aU,     0x3806fd65U, \
    0xd499a1d6U,     0xa1023a1cU,     0xb65bb651U,     0x60a239faU, \
    0x28ba34faU,     0xd1543426U,     0xc11eaaa1U,     0xb2ef51caU, \
    0xb307a329U,     0x179bd67fU,     0xdf1c38f8U,     0xcefaf0fcU, \
    0x506982e0U,     0xe6b6dddaU,     0xb4f11d83U,     0xca0d5c96U, \
    0x43f8bc71U,     0x6f529d82U,     0x41f1b401U,     0x0fe48b01U, \
    0x4d627299U,     0xccbfb4d1U,     0x9b258f50U,     0x8ed5b811U, \
    0xc734c830U,     0x58761f10U,     0x78ab3472U,     0xb336aeefU, \
    0x5b159ab3U,     0x00ceef2eU,     0x78902476U,     0x5fc5c41cU, \
    0x75056c71U,     0x9a477237U,     0xdef00565U,     0x42c7c62aU, \
    0x2f23d62bU,     0xa9924f4aU,     0xab105c68U,     0x2960659eU, \
    0x622b733bU,     0x6ff6a2f3U,     0xfcb844fcU,     0x849b66afU, \
    0x5c8709d6U,     0x30f2b189U,     0x3e88fab9U,     0x200de3d4U, \
    0x561cf981U,     0xbda3aed4U,     0xfd2ba85fU,     0xe8a476f1U, \
    0xd945adfdU,     0x6138b0a1U,     0x40335d8eU,     0xb1ffd0e6U, \
    0x487a2317U,     0xeb49c693U,     0x455f640eU,     0xed0ca10fU, \
    0x0704e68cU,     0x1ac3b0deU,     0x095d1681U,     0x712dcbdcU, \
    0xed4b4b44U,     0xf03002ddU,     0xad56f1f5U,     0x2309156dU, \
    0x93df1430U,     0x390868a4U,     0x7c4e8219U,     0x602c1a20U, \
    0x7062a3dbU,     0xac7651b9U,     0x688d4681U,     0xd707bf1aU, \
    0x6ed1691fU,     0x0820f4d7U,     0x19fa46abU,     0x23ddce91U, \
    0x0e8d3272U,     0x0dec1c73U,     0xcf24a2b6U,     0xb880a917U, \
    0xee4563eaU,     0xf1caf431U,     0x37512e2bU,     0x4949ae4fU, \
    0x01b5f40bU,     0xf6e4ad8bU,     0xeeaae3acU,     0xab11bfadU, \
    0xab485b68U,     0x1b4af2f6U,     0x523bb96aU,     0xb5ae19f2U, \
    0x5c524e52U,     0xb9668f9fU,     0x83b32cd5U,     0x9f8cb194U, \
    0xf7067a6aU,     0x2bf998d6U,     0xe389c2deU,     0xec3ff9fcU, \
    0x9862368fU,     0x26c88a70U,     0x91994e76U,     0x461f56dfU, \
    0x511ab72cU,     0x472c15a6U,     0x1acd9c39U,     0x8f7f6dd2U, \
    0xaee70544U,     0xbbb2a8ccU,     0x5ac3e225U,     0xd80dc6e6U, \
    0xe5e515b9U,     0x1480b105U,     0xf8392e23U,     0x01f68c0bU, \
    0x9801d57eU,     0x6bbcfc21U,     0xd49b63d3U,     0xbc7f7656U, \
    0x810c9e83U,     0x50d81d30U,     0x87d00c51U,     0xe5fe6081U, \
    0x311911a3U,     0x408a1608U,     0x842c52c9U,     0x170f2d3fU, \
    0xbadedc61U,     0x78e2bf54U,     0x5ae02f15U,     0x93d89aafU, \
    0xf77bbadbU,     0x09503e8cU,     0xe2821515U,     0x68448852U, \
    0x33de9c00U,     0x3368e409U,     0x5eba4dd5U,     0x23a4f068U, \
    0x450ce7a4U,     0x728bd4b7U,     0xb020f47bU,     0x5e3bdfafU, \
    0x57899002U,     0x8e471c2fU,     0x6a80d94cU,     0xd5389b84U, \
    0xa9861de2U,     0x2f4bb4a9U,     0xb582d54cU,     0xfc80d581U, \
    0x1e5d1184U,     0xe20eda0eU,     0x3944014cU,     0x77db2f02U, \
    0xdf6d0365U,     0x874e44deU,     0x532773cfU,     0xe120dffeU, \
    0x0b567070U,     0xbc9b25baU,     0x1debc84bU,     0x25867c36U, \
    0x5cb00a3eU,     0xc9c0fe5aU,     0x14c2c1a0U,     0x39d22105U, \
    0xf469538fU,     0xc870a456U,     0x82c62e19U,     0x839d5fafU, \
    0xce77c24bU,     0x6f5664faU,     0x795e17edU,     0x1a731192U, \
    0xac25debcU,     0x28982272U,     0x5fabc026U,     0x8b3a4224U, \
    0x27948ebaU,     0xf792d4deU,     0x978eefdaU,     0xd492c9f2U, \
    0x8fda3baeU,     0x1c8deb9fU,     0x117cebf4U,     0x6f99f5f6U, \
    0x75c5e475U,     0x047e2f3dU,     0xfaa05d69U,     0x735dbc27U, \
    0x5d7b6d60U,     0xab5531ceU,     0x6e58f495U,     0x76df7c71U, \
    0x90ee81deU,     0x0a8e7cdcU,     0x2f02ef89U,     0xf18ced1bU, \
    0x10ca0641U,     0xd44a7d61U,     0xae85fc20U,     0x8914a4a8U, \
    0xd6cb159dU,     0x008b53bbU,     0x9fad2207U,     0x3903b67cU, \
    0xfda043f6U,     0x9cd620edU,     0x0255f3b1U,     0xbe257cafU, \
    0x6537c9eeU,     0xf1723548U,     0x9dafcf02U,     0x06ed30caU, \
    0x6c4030a7U,     0xc0ceab3bU,     0x433cb202U,     0x4689f87fU, \
    0x1a005f28U,     0x52432d41U,     0xa6b024abU,     0x3ce2de44U, \
    0x49238d08U,     0x2c7d5232U,     0x6a020102U,     0x77177facU, \
    0x16b9d67cU,     0x7152cc2eU,     0xf64c4bb2U,     0x126c6df2U, \
    0x4eabd66eU,     0xc4411420U,     0x9c389a55U,     0xe37b0ce4U, \
    0x3610e467U,     0x01f20a04U,     0x3c717780U,     0x99792e69U, \
    0xc8bdc690U,     0x95bd68bfU,     0x14ce47faU,     0x9d7d769cU, \
    0x5886e0acU,     0xaf7a7c60U,     0xb7266983U,     0xacffccfdU, \
    0xc7c689b2U,     0x7873d9c7U,     0x89bc87cfU,     0x5780314aU, \
    0xe0e7bbd0U,     0x71557426U,     0x337ba986U,     0x37e20533U, \
    0xe055194bU,     0x9e540f5fU,     0xb1301adcU,     0x1ad7fb59U, \
    0x9aadf1eaU,     0x61b4ac65U,     0x79d66bdfU,     0xc93abe5dU, \
    0xde0cd8f7U,     0x12fcf181U,     0x2fffcaf7U,     0x3bda465fU, \
    0x6c63c05cU,     0xdaf3e30cU,     0x66f6439dU,     0xfa5a954cU, \
    0xb2795377U,     0x812a0346U,     0xc6363f15U,     0x1579076eU, \
    0x8e0d56b2U,     0x43a0a7b5U,     0xa2b34061U,     0x368c636cU, \
    0x5b45b450U,     0x31421b94U,     0x1080996eU,     0xf89c0f97U, \
    0x193a6757U,     0x15c51d6cU,     0x68b3bf77U,     0x1f867195U, \
    0xf141a002U,     0x79765697U,     0x56baca48U,     0x89ed9573U, \
    0x6aa99602U,     0xb10de48dU,     0x5c9e8c0fU,     0x4d10be1fU, \
    0xd53535f8U,     0xcc021e30U,     0x9a08ddcdU,     0x1e4e2121U, \
    0xe702ee00U,     0x8a56d0edU,     0x04620555U,     0x12479c20U, \
    0x0ac4471fU,     0x0f18cd0bU,     0x90499c1eU,     0xeb842492U, \
    0x238a6049U,     0x88c7e2a9U,     0x1123bd82U,     0xc8ac9963U, \
    0x3af825ffU,     0xa4a01b13U,     0xe5b02812U,     0xc030fed8U, \
    0xfc2dc38aU,     0x46c3c495U,     0x5a6dd135U,     0xe79a68fcU, \
    0x7a103690U,     0x7cb70dfbU,     0xfe6e3943U,     0x9068dbe5U, \
    0x4c4f7d38U,     0xdf6bc4abU,     0x56bd5365U,     0x8cdb5291U, \
    0x75e822bcU,     0xdf87e2f7U,     0x77b81221U,     0x98482810U, \
    0x37e2b790U,     0x3054b390U,     0xe19ab1aeU,     0x1fe3ba52U, \
    0xe049cfa6U,     0x9004d644U,     0x7aa32004U,     0x9f53e8a0U, \
    0x3489f833U,     0xac84e8ffU,     0x808c7557U,     0x453933a7U, \
    0x642b3776U,     0x7a5d45a0U,     0xc90c7184U,     0x683c846dU, \
    0x5bbc0703U,     0x0dfd6446U,     0x0ca10456U,     0x2f86952fU, \
    0x1714c5ffU,     0xbd7108f5U,     0x896f3624U,     0x64708eb7U, \
    0x53554318U,     0xc7be0e02U,     0x9f7d26a5U,     0x8e0509d4U, \
    0xb494c76aU,     0x29d173e3U,     0x22fe5e07U,     0x73cfb873U, \
    0x1e52a379U,     0xb23b5143U,     0x45ba5abbU,     0x24a828bfU, \
    0x6beab037U,     0x03302f4dU,     0x604e0767U,     0x5e75055cU, \
    0xcbf529cfU,     0x7a6ac51cU,     0xc67a67fdU,     0xfa77d75bU, \
    0x465fc8edU,     0xe24d33b8U,     0xa7142032U,     0xe8ccd15eU, \
    0xf8fbfe6cU,     0xab1392a1U,     0x865f261bU,     0x943e19caU, \
    0x4953ed1dU,     0xe266c63bU,     0x8560ad03U,     0x795bccf2U, \
    0x59dd2dc3U,     0x2907769fU,     0x90d5b233U,     0x2bc74787U, \
    0xe716ef60U,     0xfc5a7db8U,     0x3a749032U,     0xcfb5f18cU, \
    0x4760bb13U,     0x76444ecbU,     0x2ab89f81U,     0x7822a1e0U, \
    0x4f34fbc8U,     0xcf2804a0U,     0x03ec879cU,     0xb20a7bcfU, \
    0x6616d18dU,     0x44aec5daU,     0xbcdd6a45U,     0x769a7f4cU, \
    0x277c6f4cU,     0xb0e0b196U,     0x73260f29U,     0xdfed72f5U, \
    0x4e2098a5U,     0x79e78751U,     0x8ad1cff7U,     0xda2c80fdU, \
    0x39e14d12U,     0x5a35bfceU,     0xa7eb7558U,     0x97565d77U, \
    0x4d52ebf4U,     0x6d31390eU,     0x9f20b5adU,     0x1e82f1e4U, \
    0x049ebe68U,     0x03290eb3U,     0x41e175ccU,     0x674d6c8cU, \
    0x8422dbd7U,     0x1253fb90U,     0x0daaa5adU,     0xdcb574f4U, \
    0xb2488266U,     0x8f922c9cU,     0xacf4ab4cU,     0xd712994dU, \
    0x348724ceU,     0xa1e61db8U,     0xe0fdf747U,     0x2a0c081bU, \
    0xcb188a04U,     0xa063caedU,     0x44c52b63U,     0x80ef784cU, \
    0x12a07f9eU,     0xc671bc71U,     0x1ba282ddU,     0xa80c90f9U, \
    0xfb471091U,     0xd805d1b6U,     0xbe2b349eU,     0xa8edd856U, \
    0x7287625dU,     0xd980d60aU,     0xb3b8a36eU,     0xfd3c289fU, \
    0xbefecdbcU,     0x7dcd90c2U,     0x52778a39U,     0x567e92ebU, \
    0x7dd8902bU,     0x7b5559c6U,     0xba94229aU,     0xcb77ae53U, \
    0x1a3264f1U,     0x2ed615d3U,     0xb5acce44U,     0xa8015b2cU, \
    0xb6f4408eU,     0xb4c21c33U,     0xfbdd6f34U,     0xf9175c3bU, \
    0x9f585069U,     0xba365c4eU,     0x7d8ce3e0U,     0x951aeda2U, \
    0x9f5fc3e8U,     0xb30f9995U,     0xbd54e6eaU,     0x4782c3b5U, \
    0xfbd3449fU,     0xb597c2e8U,     0x4f2a4690U,     0x942beb98U, \
    0x43b48ff9U,     0x458698d5U,     0x21fda989U,     0x18c8cd43U, \
    0x3d83c868U,     0x71b806ddU,     0xb81b3e20U,     0x2caee15bU, \
    0xeb7a6e77U,     0xdc1788a6U,     0x85385af6U,     0x4bb27ba7U, \
    0x08964eb8U,     0xbc9dcc6fU,     0xc16b7effU,     0xb327ccfcU, \
    0x46083385U,     0xf9708915U,     0x4e62e274U,     0x1cc01fa8U, \
    0xa1855857U,     0xe5242a0cU,     0x921e8790U,     0xd2778a15U, \
    0x00de298bU,     0x4452e452U,     0x3cf81ac0U,     0x67b06646U, \
    0xe1bc5908U,     0x9d718900U,     0x8189f1d1U,     0x86f6d7b9U, \
    0x23be34a6U,     0xe08d1d5bU,     0x012f3066U,     0x3285b4e5U, \
    0x3dba1b1aU,     0xaaf7f50eU,     0xba6b8041U,     0xd666d7daU, \
    0xa613abebU,     0xd2131a8dU,     0xb35b3075U,     0xb33f2186U, \
    0xc2751d26U,     0x9ca6107fU,     0x2df7e5fcU,     0xece17569U, \
    0x1529c44aU,     0x5099ce89U,     0xb9f5f792U,     0x4b126440U, \
    0xd933d535U,     0xbb5977a8U,     0x2eb64a8eU,     0xfa133627U, \
    0x641f637fU,     0x524c2cd2U,     0x021f0e96U,     0x677a07aeU, \
    0xac99fdbeU,     0xfda11988U,     0x714bad98U,     0x7b2dc648U, \
    0xc881fe2aU,     0x98a3ee28U,     0x4c597bf9U,     0xa8a13714U, \
    0x4d218946U,     0xf38222d5U,     0x7dedea2fU,     0x07965bb0U, \
    0xc3d46284U,     0x70da9351U,     0x23dcd1fcU,     0x94d1248bU, \
    0x8226e30cU,     0x7811c0aaU,     0xcad419feU,     0xc1ebcc42U, \
    0xe311479cU,     0x15261ac9U,     0x1c833734U,     0x1d987603U, \
    0x9b1ef753U,     0xb0b20a6dU,     0xe8258d34U,     0xcdaf878fU, \
    0xc4d445afU,     0x9b5ccad3U,     0xb049397aU,     0xc32d189fU, \
    0xf9914730U,     0xd48a4ad7U,     0x5bf3a936U,     0x2e81a0c5U, \
    0x5d585d70U,     0xa0b44586U,     0xc89d6c63U,     0xec351d09U, \
    0xeb88b64bU,     0x789a3965U,     0x8f97610eU,     0xbfecb06eU, \
    0xcde40d62U,     0xfab7cc6dU,     0xa738b254U,     0x4222390fU, \
    0x631646b0U,     0xb13f8ea8U,     0xbd41fed3U,     0xbf5d5cbbU, \
    0xcdb670bbU,     0x4a2302b0U,     0xba265e53U,     0xb02bfdb4U, \
    0xabd964bbU,     0x459595dcU,     0xc55bf729U,     0xe15ec60cU, \
    0xf2e837d0U,     0xea374ea1U,     0xb036cb18U,     0x9708f460U, \
    0x8013bdacU,     0x3f76382bU,     0x9fbbf713U,     0x892f1610U, \
    0x8851dae0U,     0xb9dab71eU,     0xaa8e956cU,     0x281d1719U, \
    0x899fbbc1U,     0xe475df10U,     0x2ac98b3fU,     0xf83fbe1bU, \
    0x0c0776e8U,     0xa6ae72eaU,     0xfa9d00adU,     0x8292cbc0U, \
    0xe9e885adU,     0xbf853619U,     0xab8108caU,     0x1281fbdfU, \
    0x6de862a1U,     0xbb20a9f5U,     0x3fdc673eU,     0xc5e52eccU, \
    0x13d38ffdU,     0x8019dfb1U,     0x368b232eU,     0x9dfedecdU, \
    0x1da4dbd1U,     0x143f0a4aU,     0x54ce5f66U,     0x9fd7f011U, \
    0x33f2268cU,     0xbaf7bc85U,     0xaa1977ddU,     0xa2e21fc0U, \
    0x3bb509e1U,     0xfa7f2221U,     0x0a889a73U,     0xb2da4aa6U, \
    0x6b11ded6U,     0x0148f7c4U,     0x9734c787U,     0xaf72ad0fU, \
    0xcbb6bf78U,     0xd21b7ecdU,     0x8d2ca290U,     0xbd99d8d5U, \
    0x18d0fd7aU,     0xfd49e258U,     0xa952695dU,     0x875b1c34U, \
    0xbe8c7968U,     0x5a9c26a0U,     0xbd2208b8U,     0x2cde77d2U, \
    0xf82cb3f8U,     0x586e9ed9U,     0x3dac3d9bU,     0xe52b2da9U, \
    0xbb62f3c9U,     0xeb6713d0U,     0xfd0a0519U,     0x14cb03f1U, \
    0x84a8ff2cU,     0x87e36e71U,     0x968fa35eU,     0xbb145aa8U, \
    0x42c08424U,     0xdf067dc1U,     0x84225f4aU,     0xee0be72bU, \
    0xe842b1c4U,     0x208604afU,     0x21ab314dU,     0xbdb3e508U, \
    0x4cdc0288U,     0x0bbdcb50U,     0x10fbcc56U,     0x1c350bf3U, \
    0x9a59bd9dU,     0xc2add8b1U,     0xbd42e05aU,     0x9c9b862aU, \
    0xf499d630U,     0x177a203eU,     0xcbc9627dU,     0x2b3caf6eU, \
    0xb42b203cU,     0xd3f6198bU,     0xb2f5ebf0U,     0xb6c16540U, \
    0xb4e6184bU,     0xe5caab61U,     0xd96e39f8U,     0xc22fd57fU, \
    0x25af5438U,     0x62c750ffU,     0x30da929dU,     0xcc776f0eU, \
    0xd10cca61U,     0x1829a383U,     0x8c75a208U,     0xa27d2ec9U, \
    0x42f1400bU,     0x5619265fU,     0x190539b0U,     0x97382194U, \
    0x6764cce0U,     0x898c1dbcU,     0x1777d7bfU,     0x6b9db342U, \
    0xb1180320U,     0xc01c49ccU,     0xe3ff5107U,     0x530a6cccU, \
    0xa8905fd7U,     0x25a797baU,     0xf5ef525dU,     0xea8d9da0U, \
    0x06277b0dU,     0x9fb0c4beU,     0x5ab41828U,     0xc4acba1dU, \
    0x467b9335U,     0xdbe74101U,     0xf3c5219fU,     0xb63b555fU, \
    0xf28822c3U,     0x83723546U,     0x6558bc76U,     0x5207ed31U, \
    0x45518a7fU,     0xa7382b30U,     0x1aaf65feU,     0xc397ccbfU, \
    0xadd5eed2U,     0x853b9ae3U,     0x2876955cU,     0x6e5d1496U, \
    0x499e0916U,     0x4f1b8254U,     0x2c5d9cb5U,     0xf5571ad1U, \
    0xf7c58a6eU,     0xe6c21f5eU,     0xb45766d2U,     0x98281175U, \
    0xbb81fe2dU,     0xa490e11fU,     0x490aa8abU,     0xc1d597e3U, \
    0x6e78fe25U,     0x7377274aU,     0x0fe4ff04U,     0x7f87042dU, \
    0x2776067cU,     0x41b2d950U,     0xd80c865aU,     0x2df63a78U, \
    0xcb92341cU,     0x4fe580e6U,     0xb8dc5babU,     0x367de114U, \
    0xe9a720b2U,     0x1de6c0cbU,     0x2abe838dU,     0x932333f6U, \
    0xc17f1f5eU,     0x78827873U,     0x4597eb11U,     0x8b191065U, \
    0xc50dfd46U,     0xe4b27f4bU,     0xfda5180eU,     0x97a33778U, \
    0x11600cd0U,     0x7761648fU,     0x84662149U,     0xc9960a8aU, \
    0xcf66a24eU,     0x1f7c60b4U,     0xa82e5884U,     0x84f73d3eU, \
    0xd314e06bU,     0x4d77b581U,     0xd0e5565fU,     0x1099e1b0U, \
    0x2f711450U,     0x9195cf60U,     0x457de8d2U,     0x568b603aU, \
    0x3d55872eU,     0x33adedf7U,     0x423a552bU,     0x5ba89b0eU, \
    0x397dea29U,     0xefc11f8bU,     0xad005bc8U,     0xa649ed1bU, \
    0xd0913435U,     0x46f9bc49U,     0x6b10b0a8U,     0xd7a36811U, \
    0xda6c655bU,     0xd1cf2c46U,     0xf6cc0580U,     0xa6ab6524U, \
    0xa929982dU,     0x6ee39ba5U,     0xa4225b0cU,     0xc230abfeU, \
    0x4695a837U,     0xeb81d35fU,     0xb7234515U,     0x2d3b1906U, \
    0xe6e4f126U,     0xa48190edU,     0x8eca8468U,     0x2c73781aU, \
    0xb2f29564U,     0x07020a1cU,     0x9fb1ad68U,     0x81966a47U, \
    0xe8748393U,     0xc5757279U,     0x7fdbfcd8U,     0x4514ff06U, \
    0xd529890aU,     0xdad96e46U,     0x79be7bbfU,     0x3d10f0b8U, \
    0x428788e7U,     0x3bc44a2fU,     0xb77f2b05U,     0x77269435U, \
    0x78492f46U,     0xa808b1b2U,     0x350f1d42U,     0x42ae4f8cU, \
    0x02bc7b77U,     0x03cca4c1U,     0x227d0648U,     0x6a7e4cb8U, \
    0xbbb3514cU,     0xe640834aU,     0x107017ebU,     0x76511394U, \
    0x190e0be7U,     0x5af0b896U,     0x59d69526U,     0xc2388af8U, \
    0x56b7f9e1U,     0xa9df4b17U,     0xe588d320U,     0xf3979c3eU, \
    0xf25508fbU,     0x5268b362U,     0xc185eaa3U,     0xbcb82332U, \
    0x2bdbe5c7U,     0x21528d98U,     0xfb2561ebU,     0xd0a0dc48U, \
    0xff2a5c90U,     0x135052afU,     0x91c864daU,     0x181762bfU, \
    0xdcf919bbU,     0xa5635cbaU,     0xb7992945U,     0xeb38fb79U, \
    0xf351a68aU,     0xbe9f7007U,     0x7f57f7ffU,     0x35d341bfU, \
    0xa049ea45U,     0xb2e0344bU,     0xcc09c716U,     0xa166210eU, \
    0xcc932d49U,     0x526e8848U,     0xf44cbaadU,     0x46c8b0e1U, \
    0x0fc85893U,     0xa88b0864U,     0x89e2b64aU,     0x65693ae6U, \
    0x6e1bc6a8U,     0xb07c03c7U,     0xfa4c868eU,     0xe3cf9f20U, \
    0x5b008878U,     0x5c7c85c9U,     0x1b8a000bU,     0x80423b1eU, \
    0x9f82608cU,     0xae1ad84eU,     0xbb307298U,     0x7cabdd41U, \
    0xab945f82U,     0xfa5554faU,     0x0fb31a8aU,     0x9cfdaaa3U, \
    0xa8b93a07U,     0xfad132cbU,     0xb18e85a3U,     0x51db351bU, \
    0xd3625cdaU,     0x0f9a2b12U,     0x7c089010U,     0x30f90549U, \
    0x9a0971e8U,     0x8c794c46U,     0xf3399dfeU,     0x66aa35ceU, \
    0x934ae70bU,     0x6441b5dfU,     0xe5ba4a0aU,     0x7d25f374U, \
    0x8a3817f6U,     0x49f5c57aU,     0xde13b931U,     0x2ab6a7dbU, \
    0xbb2fd841U,     0x84754fb3U,     0xfd46d2dcU,     0x299ab7c8U, \
    0x8ab66141U,     0x57fb2401U,     0xb4c4dce4U,     0xcde831b5U, \
    0xc8969f9aU,     0x601abf5bU,     0xb053247cU,     0x5f96f31eU, \
    0x24758a9aU,     0xac08538bU,     0xce46bb14U,     0x66882104U, \
    0x57793084U,     0x73de32cdU,     0xc4b83ec9U,     0xaf19ab83U, \
    0x454d02a1U,     0x37a38018U,     0x04ce9ab9U,     0x4b5cd187U, \
    0x9850c1bbU,     0x9199e71bU,     0x02a06b5eU,     0x1438e7d2U, \
    0x26143e0fU,     0x8a38ead0U,     0x89a272dfU,     0xd3b26b61U, \
    0x4a7e6dabU,     0x0e36ef02U,     0x1d880ae4U,     0xcd685201U, \
    0x39a768f3U,     0x6ee69dc2U,     0xf9be57dbU,     0xcdb9980bU, \
    0x952ffd81U,     0xc8fcc980U,     0xb0bbe7deU,     0x53f9c7c3U, \
    0xf21d2f71U,     0x2068601cU,     0x589471aaU,     0xe9f4cebfU, \
    0x3e1357caU,     0xf40dcb15U,     0xc312310bU,     0xdbc13f9aU, \
    0x6398f8dbU,     0x523f88a5U,     0xf4952a11U,     0x51dbadcfU, \
    0x8110afcfU,     0x8e52b652U,     0x265d462dU,     0x06ebed9aU, \
    0x37551656U,     0xd490d542U,     0xfdd7b6c5U,     0xb9685299U, \
    0x0cf52ea5U,     0xd6573882U,     0x4c5fbd73U,     0xd8a03b4aU, \
    0x8fcc2894U,     0xb50f9195U,     0x7c4677ebU,     0x59b738d8U, \
    0x859b56dbU,     0x39643c05U,     0xedf5af28U,     0x27b437cfU, \
    0xd52ee954U,     0xb52872caU,     0x6ff62e50U,     0xef854287U, \
    0xe9d762e6U,     0x64ca5eb8U,     0xbc76d157U,     0x367df236U, \
    0xff5a0da0U,     0xc7835e7aU,     0x5662facbU,     0xf1b9d482U, \
    0x5e962e89U,     0x98be09d8U,     0x2ad39ad8U,     0x9d047fe2U, \
    0x114f2517U,     0x4d3049cfU,     0xb6e9e422U,     0x9704ad75U, \
    0xe8b67f7aU,     0xda6cf758U,     0xe62eea2dU,     0xf55e7e5cU, \
    0x14a21893U,     0x768ed08bU,     0xc4444a3dU,     0xfd1174f2U, \
    0x3be256b1U,     0xd55aa869U,     0xd9a871dfU,     0x8dac1cedU, \
    0x886c3d64U,     0x6d511623U,     0x70adea56U,     0xcb47bae2U, \
    0x7a6d7d7aU,     0xa82e4d6cU,     0x92a11c04U,     0x56dbd4caU, \
    0x0407602aU,     0x982c3526U,     0x300ba04fU,     0x5b75f8b9U, \
    0x34745f08U,     0x3197379aU,     0x7f7cd5a0U,     0xaa790aa8U, \
    0x3182eedaU,     0xda59e23dU,     0xff74d50aU,     0x6ef0d5b5U, \
    0x2e89b31fU,     0xdf61c095U,     0x6e59b531U,     0xe5fabb3cU, \
    0x3dfc0cf8U,     0x201d34c6U,     0x1fb7d2f6U,     0x26458699U, \
    0x3744d1f6U,     0x16db1765U,     0x2a3ac541U,     0xc6bc5c29U, \
    0x3125727eU,     0x48cd4354U,     0x17237362U,     0x685d604aU, \
    0x2ec939f4U,     0x6ef9b651U,     0x601af848U,     0xf2b0af2fU, \
    0xd8b880a3U,     0x87585239U,     0x40d84e0bU,     0x928be96cU, \
    0xe360cfe5U,     0x3595848aU,     0xdba9c2fdU,     0x58f87b56U, \
    0x1445673eU,     0x3b8f7a5eU,     0xf91a4db7U,     0x9b7f411eU, \
    0xc9e358e7U,     0x2ec3f082U,     0xc32a26a4U,     0xd2d4f096U, \
    0x7fcc6da0U,     0x3ba45ce5U,     0xaed70ae2U,     0x909c0d67U, \
    0x657ddf38U,     0xe288e294U,     0x0908aeaaU,     0xea955032U, \
    0x7463c545U,     0xb925d595U,     0x1fddc5dbU,     0x946f43aeU, \
    0x9424d91eU,     0x682b06b2U,     0x94865a1eU,     0x0640a310U, \
    0x57aad1b4U,     0xff679081U,     0x849cbb1fU,     0x9f658408U, \
    0xec4f85e9U,     0x857f0c08U,     0x85e3f0c5U,     0x21abc781U, \
    0xf212796cU,     0x8edb5cc8U,     0xdac7333bU,     0xb1c250edU, \
    0xbfd1bfa5U,     0x025ca93cU,     0x1e5ebaaaU,     0x0f645459U, \
    0x2a477e6eU,     0xd872bb20U,     0xbcb3c910U,     0xae00f36eU, \
    0x4cc3ba1dU,     0x587131fcU,     0xbc497b07U,     0x5ea72b3fU, \
    0x4dea5166U,     0x03a79d76U,     0xef6fbd66U,     0xddd2138fU, \
    0x7f492fffU,     0xe26ab826U,     0x5be1f982U,     0x4e2deaabU, \
    0xf93f13b7U,     0xd6c55973U,     0xeebe8dceU,     0x76761adcU, \
    0xda74a57eU,     0xb47193bbU,     0x18699cfdU,     0x380360faU, \
    0xeb218d22U,     0x5e0d6dc5U,     0xc0ce88f7U,     0xe676dd8dU, \
    0x55ec0697U,     0xe66c3516U,     0xe22f5a91U,     0x9f6f3b2fU, \
    0x5bf432aeU,     0x701c8609U,     0x97cfed76U,     0xdd9ef935U, \
    0xd16a5382U,     0x8c7fcf17U,     0x0bd417d2U,     0x05f1124dU, \
    0x64323c4bU,     0x46a88b23U,     0x27d4e97cU,     0x4ddb2ae2U, \
    0x685e40b2U,     0x64621a39U,     0xb0fbfad5U,     0x5dafd98aU, \
    0xfa783e79U,     0x244f3caaU,     0x515e6fd5U,     0x0594f3d4U, \
    0x1c3825e7U,     0x405be11fU,     0xa797e0b5U,     0xd73ce99cU, \
    0xc79bcdc9U,     0x55ba2949U,     0xc55a03e5U,     0x7b9740acU, \
    0xb17083b2U,     0x0ecbc512U,     0x29d15ba8U,     0x473491c7U, \
    0x66766cfeU,     0x7ce912ccU,     0x44cc811bU,     0xe8ff7ea6U, \
    0xe0111073U,     0x96d29406U,     0xbe57f6e1U,     0x5e76a564U, \
    0x7f067b93U,     0xe2a15252U,     0x55fce6edU,     0x494c6e49U, \
    0xbc8e2dd2U,     0x88ecfbc1U,     0x4a5cab72U,     0xebc47ea0U, \
    0x0fda7499U,     0x0f1b45fdU,     0x4ed74d14U,     0xe86a62a0U, \
    0x7010f91eU,     0x11198362U,     0x2e262e2aU,     0xec027608U, \
    0x3f388c25U,     0xfe60c65bU,     0x1281695eU,     0x78282d14U, \
    0x95ba25dbU,     0xf5e05a40U,     0x51d3ed3aU,     0xade62d05U, \
    0x7aaccc77U,     0x9b35875bU,     0xac9f64ebU,     0x4cdad1acU, \
    0xb8c61473U,     0x84668bb7U,     0x5efc4c27U,     0xf3e33f76U, \
    0x12655766U,     0xb897f9a6U,     0x7edc0adaU,     0xa2e1d03aU, \
    0xb3849786U,     0x7ca4c143U,     0x068831d8U,     0xf964208eU, \
    0xcfbbfc95U,     0xce03b883U,     0xf98d646eU,     0x1fc102d7U, \
    0x73e58febU,     0x9e094015U,     0xee73e23bU,     0x3b6dcaeeU, \
    0x5ee56a9aU,     0x21f6037cU,     0x4212ba82U,     0xb1723244U, \
    0x0062e50cU,     0xd1d107e7U,     0xd099448aU,     0x30381580U, \
    0x1cde9309U,     0xd95977b6U,     0xaa969069U,     0xda132fd8U, \
    0xebfd7344U,     0xdf96b15eU,     0x10fb9da2U,     0xe0ced3fcU, \
    0x774149bcU,     0x0691eed7U,     0x2126e826U,     0xf9447fcfU, \
    0x6e552299U,     0x05ee16b5U,     0xf45cf313U,     0x0292dea5U, \
    0x7563b7f3U,     0x8a9bb609U,     0xf251d1c1U,     0xc973e6e5U, \
    0x435399dbU,     0x7c3adc37U,     0xa06e301aU,     0x2d1fc3d0U, \
    0x31b0f8aaU,     0x06b7ab51U,     0xf761aa82U,     0x76d5b3a6U, \
    0x97441dd2U,     0x0d7ade1eU,     0x9dcc4a2eU,     0x5306bdb3U, \
    0x52137ac5U,     0x0dcfdbb7U,     0xd19eae8bU,     0x87494366U, \
    0xb19e4ea5U,     0x67e8df42U,     0x044c72f0U,     0x3190baeeU, \
    0x8a3b8d7cU,     0x1e1b1e86U,     0x5c8c9380U,     0x73ae697eU, \
    0x3336b365U,     0x8b00f552U,     0x485bbd8cU,     0x2d62696fU, \
    0x9fbb4228U,     0x912d89baU,     0x1fdd4989U,     0x73584d4dU, \
    0xb79ddb14U,     0x27841591U,     0x921acda7U,     0xc293da67U, \
    0xa1cdaff0U,     0x17a743c4U,     0xeb455097U,     0x15bff385U, \
    0x6483764bU,     0xb11b8ff0U,     0xfc87e364U,     0x9f1949d4U, \
    0x23010199U,     0x6f7e3694U,     0xe653e641U,     0x50959c5fU, \
    0xc9328c34U,     0x1bc407eeU,     0x63bb6ae4U,     0x102ad852U, \
    0x9f89a8e6U,     0xe61c948aU,     0x362c6c3bU,     0x0ff94c41U, \
    0x0eb76c06U,     0x5bd10898U,     0xea7fd412U,     0x145d6e07U, \
    0xeaac7d0aU,     0x80a73843U,     0x4f0a5af8U,     0x81738d54U, \
    0x7da0e988U,     0xae07d632U,     0xb3500a7bU,     0x7db42a12U, \
    0xc237ac96U,     0xde5257c2U,     0x9eb15298U,     0x7b549ae6U, \
    0x5937ec59U,     0xc58035d2U,     0xbb472ea0U,     0xa305749aU, \
    0x585fd845U,     0xdabd342dU,     0x778060a2U,     0x7cb6b57cU, \
    0x59a20fadU,     0x2ba30446U,     0xb7f9f055U,     0xbd317909U, \
    0xc83cf186U,     0x637fe8d9U,     0x305c4ad4U,     0xd49a5253U, \
    0xb7791e89U,     0xdb44574cU,     0x850fa787U,     0xaafa2e22U, \
    0x84f09fe8U,     0x2e363152U,     0x0f551883U,     0x67fa5f55U, \
    0x5413f92fU,     0x955cb40bU,     0x8505d816U,     0x51fb335fU, \
    0x93e369bdU,     0x2104a357U,     0x9001b76aU,     0x16afa08bU, \
    0x7b920c40U,     0xf4bf13a5U,     0x640df99eU,     0x9e893397U, \
    0x799f4d71U,     0x5e9a489cU,     0x9aa24a6bU,     0x4d628085U, \
    0x38784d3dU,     0x9ca2dcddU,     0xd03d18feU,     0x9522b12eU, \
    0xd5f0371aU,     0x688ae078U,     0x74db2f15U,     0x410878d6U, \
    0x7931e859U,     0x42030154U,     0x16cf6d52U,     0xda982539U, \
    0x736ab1dcU,     0xf4f0d12bU,     0x4b46ec05U,     0x225fea61U, \
    0xf7307afdU,     0x8d537c11U,     0xe8a9a6d5U,     0x1f7a0114U, \
    0x2d9c26f8U,     0xa137ffe8U,     0x065e459cU,     0xd76c5dcbU, \
    0xba402419U,     0x0426242eU,     0x221e1d22U,     0x05dc7853U, \
    0x4b62dbe3U,     0x23815c30U,     0xa934218aU,     0x548ad2c8U, \
    0xa53d7d49U,     0x9d8ade84U,     0x07fbf6c6U,     0x80a7c552U, \
    0x394eef3dU,     0xf281e83cU,     0x78e1856cU,     0xf4198089U, \
    0x6e32a5acU,     0x15b1e7cfU,     0x945407c4U,     0x31fee7f0U, \
    0x9a01fd05U,     0x46779c30U,     0xe3214a5bU,     0x3a185399U, \
    0x7aad03b4U,     0xe4fc3090U,     0x7b140afbU,     0x109e93b7U, \
    0x679fdcdcU,     0xaf277422U,     0xc88beb93U,     0x88850117U, \
    0x718e4813U,     0x22b3666dU,     0xc8ee3deaU,     0x12ef3722U, \
    0x77d6d1f0U,     0x615147d9U,     0xc9dab360U,     0x459a231eU, \
    0xce06eb0eU,     0x57bc324bU,     0x342cfeadU,     0xe461fd7fU, \
    0xeb8fb298U,     0x6549439cU,     0xee2b545cU,     0x6af63d5cU, \
    0x8197a7afU,     0xab7e7f9eU,     0x05f382dcU,     0xe7a6f8f6U, \
    0x1051725aU,     0x0cd623b7U,     0x7d2dbf83U,     0x89559886U, \
    0x15a3c9faU,     0x13175c39U,     0xfe8ab121U,     0xb28bc4ecU, \
    0xc950d3f1U,     0x9399456cU,     0xcc19ed7eU,     0x024ea3bdU, \
    0xc364e169U,     0x36d52343U,     0x0e38d60bU,     0x6e044c4bU, \
    0x6fc68a14U,     0x23aff303U,     0x2df6b369U,     0x6553696aU, \
    0x24b9bf30U,     0xc7db1bc7U,     0x9dec6f1bU,     0xb33ca8acU, \
    0xf77fb230U,     0xec6befe2U,     0x3fdc0d46U,     0xc0f13b84U, \
    0x543ce28aU,     0xd36dd338U,     0x17bdd097U,     0xe89082c0U, \
    0xe3e41746U,     0x8ed1d6dfU,     0x0bcd81b1U,     0x8bc74168U, \
    0xed715442U,     0xd907529dU,     0x20f566abU,     0x45476c72U, \
    0x528296c3U,     0xd501696cU,     0x40bc73beU,     0x2e452c43U, \
    0x0ea23394U,     0xffa1a377U,     0xc52ff5eaU,     0xe2428872U, \
    0x35d558feU,     0x11228d44U,     0xeca8af0dU,     0x7fa2ca69U, \
    0xc350df01U,     0xc0bde1c1U,     0x7eb69fc6U,     0x02fc6cc4U, \
    0xc40ccc48U,     0x7b79fa25U,     0xa5d6f426U,     0x0a402b12U, \
    0x7f2fc1beU,     0x1e49a801U,     0x4b819b52U,     0x0cea9acbU, \
    0x9be54c2bU,     0x399b103aU,     0x698dedfcU,     0xeac259d4U, \
    0x88b859ecU,     0x921131d6U,     0xb377adcaU,     0x5ebc8056U, \
    0x91bfeaf4U,     0xe02921c6U,     0x79fde2aeU,     0x227f1812U, \
    0x203dd2fbU,     0xc26373aaU,     0x4a9b97b6U,     0xdc500226U, \
    0x97c90f2dU,     0xae59668cU,     0x89121c4cU,     0xc6514aa2U, \
    0xa0fb7f6bU,     0xfd3e85b6U,     0x1bc36c15U,     0xf1233aa2U, \
    0x5c678d54U,     0x16e5a1bdU,     0x8b36891eU,     0xfa9fa2b4U, \
    0xf3c7a9d5U,     0xf19f30cfU,     0x428e08f7U,     0xd574f9b6U, \
    0x1c801cfdU,     0xf3bf4064U,     0x67d9aa56U,     0x395e30d8U, \
    0x6ea98991U,     0x2ed56c57U,     0x165cf510U,     0x01cefd7eU, \
    0x832afab5U,     0x63257a07U,     0x8304d319U,     0x67a3196aU, \
    0x34ca0cb4U,     0x76901093U,     0x5cf484b1U,     0x835c1c03U, \
    0xedee974dU,     0xd700ad9dU,     0x6fa62542U,     0xb786c2fcU, \
    0x71d2a070U,     0x555ddba2U,     0x4428ca1fU,     0xe9c8a900U, \
    0x319d1ab4U,     0xa7770fd8U,     0xbce84a32U,     0x7ab58ddbU, \
    0xd818e170U,     0x4edffd98U,     0xbb1a5876U,     0x00cbbc6fU, \
    0x258571bbU,     0xab36ce8bU,     0x3dda337aU,     0x107de9daU, \
    0x8a327f02U,     0x7c6e5fbbU,     0x329fb603U,     0x643ace5cU, \
    0x7493cd92U,     0x5f868e16U,     0x1a10a4e1U,     0x7c08cdbdU, \
    0xdb41c48fU,     0x05bccaa3U,     0xd7e63c50U,     0x56206806U, \
    0x48edd76dU,     0x89f46567U,     0xbb045cadU,     0xfa857d51U, \
    0x4a81b6d7U,     0x550c5e6fU,     0x9e2f55a7U,     0x300b69bfU, \
    0xc0b00ab8U,     0x2deb4780U,     0xfbe19e02U,     0xbc63a409U, \
    0x7d26de48U,     0x7685b681U,     0xb7327fa7U,     0xdf836a7eU, \
    0xe0b3540fU,     0x8f2fb7d3U,     0xfe8dd2d1U,     0x9a3348d8U, \
    0x363376f5U,     0xa8921b67U,     0x4724f382U,     0x5e6156f7U, \
    0xb4e45fc1U,     0xd05d143cU,     0xa9c54c78U,     0x55f71de8U, \
    0x6b7eecceU,     0x38602cd2U,     0x653fa9b6U,     0x20135e41U, \
    0x8d6452b1U,     0x194a4adcU,     0x2f93e982U,     0x865361f5U, \
    0xfcdca92aU,     0xfc418e75U,     0xcbabbfe4U,     0xb67493a4U, \
    0x4294f2b8U,     0x01ad664fU,     0x5b85c368U,     0xe0f0cd6bU, \
    0xcfb6dc79U,     0xaad85520U,     0x68897544U,     0xfa716bacU, \
    0xc2e8cd00U,     0xf10cddb1U,     0x56bc1134U,     0xb8065668U, \
    0x09070df7U,     0x0526f2cbU,     0x42157104U,     0xee0e3c56U, \
    0x7d11e6d5U,     0xdc668dbaU,     0xa0852ae4U,     0xa429ee3cU, \
    0xdbca9a91U,     0xf8b4ab4fU,     0x3da56d4eU,     0x24df61e5U, \
    0x07466051U,     0x01a56e34U,     0xe8dc4e91U,     0x0dc22b93U, \
    0x68962f77U,     0xb5920f60U,     0x6ede203eU,     0x05dee917U, \
    0x52b52e43U,     0xbdc9b231U,     0xf063dd01U,     0x61514966U, \
    0xd2b1cd6fU,     0xd385e1eeU,     0xa5773b28U,     0xb4fc674eU, \
    0x74b98769U,     0xd6398520U,     0x1b3061b1U,     0xd8c0efbcU, \
    0x5ca5f767U,     0x20302811U,     0x70bb3a19U,     0xaab08b39U, \
    0x94484076U,     0x2d4191caU,     0x8eda296fU,     0x01864e61U, \
    0xd5ed2817U,     0x8f8562f4U,     0x7bea5c0aU,     0x23f8b307U, \
    0x84338757U,     0xf288f817U,     0x06b25123U,     0x1961c79eU, \
    0x7941fdaaU,     0x56463268U,     0xab4f6b49U,     0xc192a0baU, \
    0x1e2db966U,     0xa744379fU,     0x830ef2c2U,     0x577fb145U, \
    0x7b6e4031U,     0xe69a0689U,     0x734c607aU,     0xd92a4ffcU, \
    0x69059200U,     0x2f526d27U,     0x53951aa0U,     0x27e73712U, \
    0x4258ac80U,     0x8c6453b9U,     0x3df12e3dU,     0x7cf6f56dU, \
    0xd9030a26U,     0xee0b3bb1U,     0xfa4f2fa0U,     0x6944b0a5U, \
    0x1091d2dbU,     0x330a23e5U,     0x9f5900efU,     0x4f15f1c2U, \
    0xfb95b2abU,     0xaa8ca2cdU,     0x75282f57U,     0x5ac9cfe7U, \
    0x3bafb2daU,     0xc700e314U,     0x40d96164U,     0xa6560fa6U, \
    0xbb3ad2d1U,     0x15d564b6U,     0x52575d29U,     0x3d715d4fU, \
    0xdd822a34U,     0x45d85c89U,     0x32f78658U,     0x90ed9b2eU, \
    0x027c1909U,     0x811676f8U,     0xe20d21d0U,     0x26e26f4cU, \
    0xc3a3efe7U,     0x47f13220U,     0x67134ebcU,     0xc8935804U, \
    0xef7c7218U,     0x53737b7bU,     0xe416f079U,     0xa8627467U, \
    0x10b0069dU,     0x79d7f540U,     0xf71220e9U,     0xa827cae3U, \
    0xaab025ebU,     0xe2003d3bU,     0x6558844eU,     0xfcb3a381U, \
    0x2407d51eU,     0x8e9e1fc9U,     0xfa286041U,     0xde9c83d1U, \
    0xacf6d54fU,     0x0c9823d4U,     0x457df661U,     0x9eb75f7dU, \
    0xd073ff31U,     0x877f545dU,     0x30280a7aU,     0x8eefac14U, \
    0x9c2e1d23U,     0x4a4856d8U,     0xa7bdf850U,     0xd31e6653U, \
    0x8f7c46a1U,     0x7e8d7c43U,     0x5fbc4b7cU,     0xeecd5986U, \
    0x65566237U,     0xb842cc45U,     0x05462649U,     0x0fba7914U, \
    0xd318a525U,     0xcb0181aeU,     0x72bb2dd9U,     0x49bfec98U, \
    0xb5383869U,     0x070d00c9U,     0x95f2a7e0U,     0xcfd11d74U, \
    0xef78f51bU,     0x400ddd03U,     0x709d3e45U,     0x4897156dU, \
    0x1f6198b9U,     0x042f724cU,     0x4bc83999U,     0xe881d937U, \
    0xceb8ee90U,     0x3249b320U,     0x5b95044eU,     0x5c95857fU, \
    0x592d688cU,     0x45429a5fU,     0x057ed6c5U,     0x1b52904aU, \
    0x39195343U,     0x37d85830U,     0x9c74104eU,     0x29c083bdU, \
    0x181efce7U,     0x51e21abcU,     0x43af273aU,     0x27796e9bU, \
    0x6caa4678U,     0xa31f4dc5U,     0xdfab0239U,     0x35325d8dU, \
    0x204ce241U,     0x138ebbe6U,     0x322d7999U,     0xc7fdbe11U, \
    0x1891b34cU,     0x814e741bU,     0x8b2ae6f5U,     0x5e090236U, \
    0x09057d2bU,     0x496d49e8U,     0x9677db0bU,     0xdf914d31U, \
    0xbd7252c3U,     0xe5fb854dU,     0x5bf72facU,     0x2b73c7e4U, \
    0xace2dac2U,     0x62f61cddU,     0x76f2c043U,     0x90fc02d3U, \
    0x0978429eU,     0x1397af0aU,     0x5910e9ddU,     0x5066be7eU, \
    0x2bf7e1f3U,     0xa2654043U,     0x3ae6a206U,     0x4b679569U, \
    0x5562850bU,     0x65e4a7bbU,     0x63a451abU,     0xaef93f5aU, \
    0xd8ba83ebU,     0x399fff64U,     0x7798243bU,     0xe5851db9U, \
    0x41f010afU,     0x71caa136U,     0xcd0b5a50U,     0x2f830b74U, \
    0x6cda4d8bU,     0x04bd0db0U,     0x9b7a0081U,     0x99c2d92cU, \
    0x6bbc7cb6U,     0x9b55a10aU,     0xa032f9f2U,     0x03c66f02U, \
    0x2bf4d396U,     0x0debffd4U,     0x1fd80987U,     0xd21542caU, \
    0x31a522bbU,     0xec05250eU,     0x1538e66eU,     0x43294bd8U, \
    0x9bf02e10U,     0xc33d966fU,     0x713217ddU,     0xe8e7d205U, \
    0xe2159fb1U,     0xbf17a7acU,     0xb44f5303U,     0x470c344cU, \
    0x470e6595U,     0xfb01b398U,     0x1d912f28U,     0xb765766bU, \
    0xb8d8688aU,     0x96668ca3U,     0xe6bf252fU,     0x05a8e0c2U, \
    0x5d82467cU,     0x9b5c8f52U,     0x72ab0a2eU,     0x17c45bf5U, \
    0x54e93862U,     0xf331e0f6U,     0x81841c11U,     0x6bbaccd0U, \
    0x3c1f119bU,     0xbca4e012U,     0x851611a9U,     0x032a5649U, \
    0xb2a3b90dU,     0x3d055c9dU,     0x10a116caU,     0x1e8ca68cU, \
    0x58afdbddU,     0x3bb8fdfcU,     0x021848eeU,     0x851b527fU, \
    0x950bb9efU,     0x01588087U,     0xb1921cddU,     0xa204b01cU, \
    0xc0fe2af9U,     0x1ef5dd46U,     0x3b23f774U,     0x64afc75cU, \
    0x95a99db8U,     0xa0384253U,     0xc5787fc2U,     0x457cd0eaU, \
    0x1f7b3a4dU,     0xf88b99afU,     0xf9c54a59U,     0x0cd37901U, \
    0x06de447eU,     0x8175ad3fU,     0x88e14287U,     0xaea15d20U, \
    0x3db2989fU,     0x1b14a520U,     0xcce0b4a8U,     0xafbc5bfaU, \
    0xf22bfd7dU,     0xed9c0e86U,     0x008b9be6U,     0x6c92245fU, \
    0x3ac4f012U,     0x67992058U,     0xd6d9d9f8U,     0x1c325a09U, \
    0xfaaaa4fcU,     0x65cf69b7U,     0x71cf6e8dU,     0x448cb6c2U, \
    0x8d5bca9cU,     0x4c0b7af1U,     0x44fc30f3U,     0x5e64e587U, \
    0x0abc1fdbU,     0x1b64ac2fU,     0x2fcbca56U,     0xa6710b62U, \
    0x8775948eU,     0x9d9e88f6U,     0x6e580defU,     0xd5b1ffc1U, \
    0x1f98877aU,     0xeb0641a3U,     0x53cdc30dU,     0xc65cd27eU, \
    0xa7d69400U,     0x3a51e5f1U,     0x345df8c5U,     0xc59bccdbU, \
    0x19a1c18fU,     0x8e707343U,     0x0028bc51U,     0x4f5b2efaU, \
    0x63521ae2U,     0x042b5258U,     0xcd5457c3U,     0x12c021f0U, \
    0xaa923cdeU,     0x2f169e64U,     0xbc377e78U,     0x3877f9acU, \
    0xe71e1fc7U,     0x2b5d296eU,     0x60c96026U,     0x0fce27a3U, \
    0xca226481U,     0xde29ea06U,     0x4b88a0b0U,     0x77c6adbaU, \
    0x23554928U,     0xb7b68237U,     0xf9f8e297U,     0xa7ac558fU, \
    0x445ac885U,     0xb167d54eU,     0xc55a3956U,     0xd4c8efc3U, \
    0x274d2df2U,     0xe5789cb6U,     0xde532175U,     0x9e6e1374U, \
    0x83b97577U,     0xecef55fcU,     0xf767fd38U,     0x8f7dd8a4U, \
    0x1b0d7a79U,     0x986f80baU,     0x915d392dU,     0x2c7976caU, \
    0x9dcc2532U,     0x0a2fce7eU,     0x05f67c7cU,     0x9084920fU, \
    0x7935b5f0U,     0x827a5f16U,     0xe987dfabU,     0x17ddebfcU, \
    0x03966cceU,     0xbfff57eeU,     0x5578a000U,     0x1227d575U, \
    0xd0107bbbU,     0xc4143317U,     0x42aa0c1bU,     0xfce8dcf3U, \
    0x44ba8a75U,     0x11048295U,     0x78479ee9U,     0xd1e63551U, \
    0x7ca76f64U,     0x1de409bbU,     0xc1477ce2U,     0x62ce1b70U, \
    0x155a356bU,     0x5fd06a38U,     0xd17ed387U,     0x8b7b6f0cU, \
    0x56005176U,     0x759b51cdU,     0x43afed2cU,     0x2bfa2d0aU, \
    0x7c747f83U,     0xb70a12acU,     0xc32c2c68U,     0x7ec7242fU, \
    0x91785bcfU,     0xd5f954afU,     0xab588eddU,     0xc015ffbaU, \
    0x43a4b639U,     0xd0eef483U,     0xca96b471U,     0x98f9a814U, \
    0xa411c5e5U,     0xd1d19c3cU,     0x0d2b3831U,     0x4beb63faU, \
    0xc135bf97U,     0xf31bdc20U,     0x709d8c00U,     0x18debf26U, \
    0x34bbb747U,     0xee65ea54U,     0xbdc50955U,     0x28271b22U, \
    0x08606611U,     0x7d52b312U,     0xf69a3340U,     0x23a2f97eU, \
    0xd329835dU,     0xa5043191U,     0xcd15abf9U,     0x2b2b8b61U, \
    0x057db758U,     0x81d9551fU,     0xbcae1669U,     0x6b039ec3U, \
    0xa2775048U,     0x9fd144deU,     0x43296ab9U,     0x8e6a0258U, \
    0x46d7e019U,     0x4e6d6d4aU,     0xfc64256dU,     0x35fe8016U, \
    0xa57fb565U,     0xbb72019fU,     0xbf7b17deU,     0xdcbadc80U, \
    0x18c4f77aU,     0x7db2140cU,     0x71d08986U,     0x6d864aeaU, \
    0xf99051e9U,     0x7eacf07fU,     0x67b05809U,     0x05aa2079U, \
    0x047f4e85U,     0xe7f481b5U,     0x9238b517U,     0xdcf1bed1U, \
    0x71c9599cU,     0xe7ccd755U,     0xa88f0d42U,     0xd80ff667U, \
    0x3284c4bfU,     0xdd9b1a10U,     0x1fa1bc60U,     0xe2950a0cU, \
    0xdc5e869dU,     0x78d10614U,     0x97a6ef71U,     0xdd5a4e4bU, \
    0x8a053f85U,     0x9a5c8c76U,     0xd126352dU,     0xce769ec2U, \
    0x112c9a86U,     0x32d52727U,     0x8105b3ceU,     0xdf44bc64U, \
    0xd8d2dfc5U,     0x2d0f861eU,     0x5631b5c1U,     0x1b64cdbeU, \
    0x3111ab5fU,     0xfd7e48dbU,     0x4c5a2908U,     0xc8fce468U, \
    0xb3529874U,     0x20a7a237U,     0xbe2e0e77U,     0x884b4f00U, \
    0x9fb81decU,     0x8cd924c6U,     0xca3c04dbU,     0x6a2d50ceU, \
    0x447c1b03U,     0x4ece1c9aU,     0x14a7b504U,     0x19798daeU, \
    0x950a08f3U,     0x8fa35758U,     0xf5d34b35U,     0xc392185dU, \
    0xb8a685b1U,     0xc3cbf77dU,     0x251f3d1cU,     0xd499cc5aU, \
    0x86ae2be6U,     0x716f869eU,     0xe7032cdeU,     0xd38ca302U, \
    0xbf79b5f6U,     0xc197fecdU,     0xc82615e8U,     0x6b6e4c9eU, \
    0x7e11b001U,     0x986d2468U,     0xe1a460b9U,     0xe3ea4f6eU, \
    0x72b70276U,     0x6a99446eU,     0xe7f9c2b6U,     0x74bbcdffU, \
    0x098a3bf1U,     0x8675babcU,     0xe0c85029U,     0x354e423aU, \
    0xc5757496U,     0x79940a54U,     0x4fcbfffcU,     0x82ca142eU, \
    0x5a4fed51U,     0xd0973426U,     0x7192c6e8U,     0x583b7238U, \
    0x914a14f2U,     0x1a6c1109U,     0x9e823255U,     0x545fb3f3U, \
    0x0e20fad0U,     0x6b904f7aU,     0xbfff4f47U,     0x1ca1fd05U, \
    0xb9a0cb03U,     0xa1ffdc31U,     0x0d9ef1b2U,     0xbdb72c80U, \
    0xf8a8ea84U,     0x253b4407U,     0x48782c1fU,     0x0d9733caU, \
    0x1796566dU,     0x661fad65U,     0x8b71fd7eU,     0xc1f89942U, \
    0xc2a16b5aU,     0x45545d21U,     0xe3c05552U,     0x29502615U, \
    0x12b204f1U,     0xc18a304bU,     0x0e2a5a3eU,     0x54c843e3U, \
    0x98febcf5U,     0xda48e3a7U,     0xcdd6f128U,     0x65b33e34U, \
    0x199c377bU,     0x27ef16d6U,     0x7b8e98b9U,     0x37e786a3U, \
    0x07d488a0U,     0x25b99504U,     0xa54aff43U,     0xc97e693eU, \
    0x478c4271U,     0xef0748b3U,     0x61ddb3f4U,     0xb9c25234U, \
    0xacf7075cU,     0xebfeae11U,     0xbf02879cU,     0xe234be43U, \
    0x1100327cU,     0x08a6c1e7U,     0xe6f38a42U,     0x4666c5a7U, \
    0x0f2d4a79U,     0x93441319U,     0x9323fa17U,     0x1c4bf0d8U, \
    0xc187d1d0U,     0xdb29e9dfU,     0x9054cee8U,     0xfc571db2U, \
    0x2d7c9dc0U,     0x6c92e24eU,     0x8371b5eeU,     0x6fbf9799U, \
    0x4a6ba4d9U,     0x10fca74aU,     0x3ccdd155U,     0xf8191560U, \
    0xfad6e24aU,     0x5ad321a5U,     0xaad0fb2eU,     0xa35559e6U, \
    0x48c1b644U,     0x3f71c8c3U,     0xff5bc380U,     0x63e2c32bU, \
    0xb2dafc4eU,     0xca8142f1U,     0xafc8edbaU,     0x2df381eeU, \
    0xd0f5825dU,     0x692affd8U,     0x81b38314U,     0xcd85354dU, \
    0xefd798f7U,     0x0c5e9069U,     0x69958018U,     0x79611349U, \
    0x792db9c4U,     0x83679f45U,     0xef31e075U,     0xbce9c457U, \
    0xb9563ffcU,     0xc8ac4556U,     0x7d391e65U,     0xbfbfb312U, \
    0x9136ebf9U,     0x06152bb4U,     0x26618bb9U,     0xaf716bbbU, \
    0x8ba0f893U,     0xbbebdcdaU,     0x77914617U,     0x7db65f6eU, \
    0x510bdd00U,     0x0ad2a036U,     0x2910fd5bU,     0xbdc0e513U, \
    0xf86abd9aU,     0x8948c225U,     0x125dfdd2U,     0xac392ea1U, \
    0x3431459cU,     0xde81b470U,     0x5c343c4dU,     0x30d9e704U, \
    0x1840e574U,     0x3835c114U,     0xcea71ea3U,     0x94bdef22U, \
    0x8a2a692eU,     0x91e7cbcaU,     0xe2f1f5e6U,     0x0c40d67cU, \
    0x484c2820U,     0x3fb10400U,     0xc8078873U,     0xd06035c5U, \
    0x2ad04248U,     0x51139de2U,     0x79b4fff7U,     0x825037eeU, \
    0x871df4e9U,     0xb7c0a0c4U,     0x95f55c8fU,     0xac013c7aU, \
    0xde4ab063U,     0x7d7a466cU,     0x2aeb2457U,     0x25f63154U, \
    0xd3bd4311U,     0xe27203daU,     0x90740e63U,     0x23879feaU, \
    0x81dadadeU,     0xa7c012d4U,     0xc8478b29U,     0x54c96a95U, \
    0x5048a08dU,     0x443e724fU,     0x5b2d4e6cU,     0xce044b14U, \
    0xcfccd8f0U,     0xf045e792U,     0x58ad41ccU,     0x8013149fU, \
    0x19311702U,     0x25f5c485U,     0x2ebcc238U,     0x4799bbbeU, \
    0xb8493422U,     0x7e7845bfU,     0x86af15caU,     0xba786d00U, \
    0xfe306135U,     0xb770eb32U,     0x215dd3f8U,     0xc0c2701cU, \
    0x7f63e22dU,     0xcd6ca5c8U,     0x8dd9b2d5U,     0x6aa63f4aU, \
    0x93f96ed6U,     0xbd242120U,     0xb8978684U,     0xe752ab11U, \
    0xd0170efdU,     0x7201f0c0U,     0xdad88939U,     0x42a40bceU, \
    0xa50070b0U,     0xacc855f7U,     0x898962e7U,     0x880dfd07U, \
    0xb2584082U,     0xaad28addU,     0x03e8dfd6U,     0x43465a33U, \
    0x1875b287U,     0xe9560f2bU,     0xd2aa8455U,     0x69e4bbd4U, \
    0x28145c1aU,     0xad11a16fU,     0xf60b9df8U,     0xb96acefaU, \
    0x14fcf9c0U,     0x5c87e58cU,     0x5f6d670cU,     0xce5fa422U, \
    0xb2f43f51U,     0x4b72a9abU,     0xb3d3039aU,     0x80aa3ba1U, \
    0xe7869a05U,     0x0fbf04b9U,     0x9e97fe6eU,     0xa8486173U, \
    0x5432562cU,     0x15db6894U,     0xa0b6c6c0U,     0x0d4eb1c8U, \
    0xb08355f4U,     0xf7405b1dU,     0x8bb2e279U,     0xa26bdd55U, \
    0x4f0bd44fU,     0x39804184U,     0xa8db4372U,     0xd862cc10U, \
    0x2e2534b3U,     0x2a02d77bU,     0xbf158381U,     0x71007cf1U, \
    0x7a2d88f5U,     0x484c88d4U,     0xac583354U,     0x88ed5eedU, \
    0xf2c99666U,     0x64af6414U,     0xfaaf5d1fU,     0x889924beU, \
    0x84c442a5U,     0xc4f4bb79U,     0x30a84460U,     0xbf0d5d80U, \
    0x241fbd77U,     0xa7700d94U,     0x35c9c332U,     0xb643c516U, \
    0x6e423fe5U,     0x11775f26U,     0xfcdf8273U,     0x1f99e900U, \
    0x4fcdba3bU,     0x5d14222dU,     0x8cdb7006U,     0x75ace0f4U, \
    0x4ce0b8b5U,     0x185931d0U,     0x08bf1352U,     0xd64ade1bU, \
    0x1577e1efU,     0x3397b0afU,     0x3e8f7063U,     0xca4bdc36U, \
    0xbafb7452U,     0x39bf50a5U,     0x67692947U,     0xdc5a148aU, \
    0x17922d44U,     0xc2863a4bU,     0x67f06635U,     0x6dff1757U, \
    0x483e5aa2U,     0x6535e0a5U,     0xd4fbfa01U,     0xdaa2d84dU, \
    0xa70f8742U,     0x666f87c3U,     0x3ed41d4eU,     0x29bcea29U, \
    0x507679e2U,     0x0ee4ed7eU,     0xc4752636U,     0x7637598aU, \
    0x4f496fceU,     0x673d84c6U,     0x04548131U,     0x4d081bbeU, \
    0x575ddf09U,     0x9317e4d8U,     0x3bfc056fU,     0x819f7876U, \
    0x0bd8a6b8U,     0xb53767b5U,     0x592345f3U,     0xf15310ceU, \
    0x41fc34edU,     0xcda04852U,     0xfedffc57U,     0x2bff6f1eU, \
    0xb8ea7c79U,     0x34374c1eU,     0xc8e88bebU,     0xa0447c70U, \
    0xec7240d5U,     0x0968ddd4U,     0x951d2413U,     0xb1bad9cdU, \
    0x520326b7U,     0xed12bca0U,     0xcbdecec6U,     0x2d0d4a96U, \
    0x255bd99bU,     0xa56ecdb0U,     0x31903314U,     0x96793d11U, \
    0x85ce3d02U,     0x445a15caU,     0x9b15993dU,     0x902195f9U, \
    0xc082b0f9U,     0x654c1355U,     0x9bd883dbU,     0x1931f913U, \
    0x39927bb9U,     0x4090bea4U,     0xa1880d5cU,     0xf7a7f78fU, \
    0xb188a995U,     0xd67cb2a7U,     0x9f32b1b1U,     0xaa07b748U, \
    0xb542d480U,     0x042ca3d3U,     0xe406f98aU,     0x82343a10U, \
    0xb753828dU,     0x20acbf51U,     0x6fed6b2eU,     0xe7c5f910U, \
    0x39834104U,     0x3ca29e45U,     0x8b148ca2U,     0xd26cd3f1U, \
    0x43c6b6b9U,     0x662c31e8U,     0xdb9f293fU,     0xca17f9dbU, \
    0xde32a13aU,     0x3f184fd5U,     0x299e7075U,     0x1d9266c9U, \
    0x71cb4911U,     0x28f49c7bU,     0x684f40c5U,     0x00fa91c7U, \
    0x393d374bU,     0xbdc25e86U,     0xd556cfc4U,     0xaa68a9a8U, \
    0x36a29fc5U,     0x01ce4412U,     0x6f5145b0U,     0x580eecf6U, \
    0x97caf80bU,     0x6a0aacf9U,     0xc1941e56U,     0x7025c5d0U, \
    0xb29a4c53U,     0x4ed32e0eU,     0xcbd67999U,     0xf081e916U, \
    0xd807291bU,     0xcdd9c21dU,     0xdf0ceec7U,     0xc011f435U, \
    0xa18f03fcU,     0x431e8aa8U,     0x58842b6bU,     0xeb42b05dU, \
    0x8e6dc13cU,     0xdd0f451aU,     0x3ec77471U,     0x43a8b908U, \
    0x0cc84b90U,     0xa093b172U,     0x8d2f3e8fU,     0xd202ce4eU, \
    0xb6984c0aU,     0x6601abd0U,     0x47153c4bU,     0x5c82b62cU, \
    0x5d39553cU,     0x99c0ca88U,     0x867f2113U,     0xe41be0d5U, \
    0xefdbdd0aU,     0xbe56e8c7U,     0x53cee7d8U,     0x25dad832U, \
    0x780b3402U,     0x7a53bec5U,     0x01fd01b3U,     0x995d81c2U, \
    0x947a42acU,     0x8ab03e7fU,     0xe14958a5U,     0x94659ecfU, \
    0xa9e52f15U,     0x40a0eaabU,     0x55d963e8U,     0xe0ae659eU, \
    0xb8d62d42U,     0xc3dbb589U,     0x2c1aea38U,     0xc6c04228U, \
    0x61847d68U,     0x8e068acbU,     0xa851b879U,     0xce495eedU, \
    0x8e1781d3U,     0xf9cea200U,     0xb0c2f1bbU,     0x8d2213bdU, \
    0x2f408f26U,     0x30c31a92U,     0x74a34420U,     0xa65b419bU, \
    0x4d467e11U,     0xe62072f1U,     0x74a8b9dfU,     0x166fc5a9U, \
    0x9f1ccb0cU,     0xa01c6eddU,     0x5ead6bf1U,     0x69472f7cU, \
    0x59004877U,     0x2b958838U,     0xf8622cb5U,     0x2a805d6cU, \
    0x8dc80360U,     0xbbc6738bU,     0xbc0f7ef4U,     0x50232bbaU, \
    0xabea2d82U,     0x7fa0e08bU,     0xb5c808b3U,     0xa114078aU, \
    0x3e3cbdafU,     0x5c1ab8abU,     0x7f7752c3U,     0x29215856U, \
    0xa7bc4b13U,     0x7f163b38U,     0x3acf8cd4U,     0xf251c4f3U, \
    0xbd60d013U,     0xa0c0387dU,     0x6a435990U,     0xcdcbd572U, \
    0xdb5ae807U,     0x7f3fe67eU,     0x30619768U,     0x69c74cecU, \
    0x31948904U,     0x0854a4edU,     0x90e467b9U,     0x1459daa6U, \
    0xf4926f7eU,     0x069f7b66U,     0xdeca03c0U,     0x30bff03aU, \
    0x59f383ceU,     0x13de1082U,     0xe8e5f203U,     0x3bb2693eU, \
    0xae07ffb4U,     0x2143e7abU,     0xc964757cU,     0xd1a1f354U, \
    0x8b1d3665U,     0x3bf2d4adU,     0x248584d6U,     0xcb075590U, \
    0x0d7e0636U,     0x536056b1U,     0x8bef1305U,     0xfda99c72U, \
    0xde8717faU,     0x0fc13be5U,     0xe946a185U,     0xf5963c7cU, \
    0x4daf0377U,     0x510dda97U,     0x23354086U,     0xd0a94a16U, \
    0x4216d431U,     0xf5f37e48U,     0x99f75cc9U,     0xceffab69U, \
    0x10af3905U,     0x3ed85408U,     0xecd44afbU,     0x0de34743U, \
    0xf94686fbU,     0x3271ff6eU,     0x5a474cabU,     0x26906f4aU, \
    0x91a6bf44U,     0xa6641efbU,     0xef20d420U,     0x26531f5fU, \
    0x929f140eU,     0x72b753dcU,     0x86c3be68U,     0x12c25d4cU, \
    0x86c7d584U,     0x519ffb3aU,     0x852ab596U,     0xc43858bcU, \
    0x029fb2c2U,     0xf9466bbdU,     0x8bdd8ee4U,     0x330aee48U, \
    0x48b3313cU,     0xf9123171U,     0x2ff89022U,     0x1bec33bfU, \
    0x9113bd0bU,     0x1a19f858U,     0x7dd43640U,     0x9fac62c4U, \
    0x66678e0eU,     0x3f2d93abU,     0xb84660b3U,     0x39cc5402U, \
    0xe2158e6eU,     0x31476540U,     0xe8af1d23U,     0xb8b3f1ebU, \
    0xc0299f8bU,     0xfe822c0aU,     0xfc445c9fU,     0x3267127bU, \
    0x6a988318U,     0xb9fd0bedU,     0xec193889U,     0x7e91ea3aU, \
    0xa87b67ceU,     0xca64c1c3U,     0xf4552070U,     0x31af3e88U, \
    0x75f29829U,     0x9957b7a2U,     0xe058c85eU,     0x411fe7eaU, \
    0x07d8392aU,     0x5b62660eU,     0x70466884U,     0xb30e0d2aU, \
    0xce8bde3aU,     0x20e6d2aeU,     0xf7ef9949U,     0xb4a486baU, \
    0x24d11e6cU,     0xe0d45693U,     0xfbd25469U,     0x3482ea2cU, \
    0xa160ea35U,     0xe2a57ac4U,     0x1b7dbcfcU,     0x8559da51U, \
    0x32dcc368U,     0x2d4d0e3eU,     0x6d9236fcU,     0xa43d1103U, \
    0xecb9cf7eU,     0xfa7e2549U,     0xada7ad4aU,     0x1be69ef6U, \
    0x7cbb280aU,     0xa6d87258U,     0x9f0c4221U,     0x2e01fdf3U, \
    0xb2651f2aU,     0x3b2db432U,     0x54ce9057U,     0x0456e613U, \
    0x1b982f8eU,     0xb0fcf036U,     0xa663a315U,     0x950c2a1eU, \
    0xe585ba4eU,     0xda792b0aU,     0x524078b1U,     0x8ec2a209U, \
    0x0d0091a6U,     0x1d6622d1U,     0x42ef3ee7U,     0x142d1d62U, \
    0xa9f95443U,     0x8c219edcU,     0x023aee2eU,     0xd97d8256U, \
    0x8eb36a47U,     0x7c7a8993U,     0x25409d98U,     0x2034c332U, \
    0xa0df196fU,     0x787a3dbaU,     0x397591f2U,     0x36a39109U, \
    0x7e75f843U,     0xc711ac15U,     0xfd399efdU,     0x36527f6dU, \
    0xd28e049cU,     0xe24d326aU,     0xd49c8391U,     0xda1d97b7U, \
    0x51c82696U,     0x2cc8c86aU,     0x5ad3f078U,     0xcc654ba6U, \
    0xe9559b15U,     0xb4f77d8bU,     0xb6ed1c6bU,     0x966ee86cU, \
    0xa301f818U,     0xe8522638U,     0x43df8c46U,     0xaba9a36cU, \
    0x745008c8U,     0x951c43d6U,     0x878a5d87U,     0x55de3317U, \
    0xf081103aU,     0xc1208591U,     0x30ff993eU,     0xea984765U, \
    0xb9f3fe78U,     0x13b860a7U,     0x2f4f197eU,     0x64453ab4U, \
    0xb68f5709U,     0x62a02960U,     0x8403d5deU,     0x7a5dc634U, \
    0x648217faU,     0x4e41324bU,     0xfb80b7edU,     0xd444eaddU, \
    0xc581aeceU,     0x0935dfa3U,     0xf2002e2aU,     0xec20d425U, \
    0x7dd120a6U,     0xf0e4955cU,     0xe8feb5e5U,     0x55f42f3cU, \
    0x1034d7f7U,     0xb1688315U,     0xdcce0fd0U,     0x7574b453U, \
    0x60b71160U,     0xa502de54U,     0x8db8c802U,     0xe7e5072dU, \
    0xe01da4cbU,     0x88eae84bU,     0xb95fe3afU,     0x4d776662U, \
    0x28524d79U,     0x1c32dfefU,     0x10995480U,     0x031d9562U, \
    0xa65c4608U,     0x23448ea3U,     0xfb8fb13cU,     0x3f139a61U, \
    0xda2e6a4aU,     0x406d4fa0U,     0xb03abcf4U,     0xaef1f466U, \
    0xe810d87bU,     0x13ac09dfU,     0xc76d60ecU,     0x1b55cd5dU, \
    0x3c774d82U,     0x6678b492U,     0xc42eb667U,     0x735926ddU, \
    0x00e2e95dU,     0xc9257853U,     0x6f997084U,     0x2c118de1U, \
    0x9ee1b334U,     0xd0676770U,     0xe1e6db69U,     0x6e2c24dcU, \
    0x9710339bU,     0xa07116a3U,     0xb4da0f7bU,     0x77354795U, \
    0xec093a5fU,     0x5ff9119cU,     0x870ac8b0U,     0x8531eb1cU, \
    0x3917d696U,     0x4f87f9c9U,     0x6959206fU,     0x6393e5ffU, \
    0xd228c353U,     0xaafa2788U,     0xe41b6571U,     0x5bf57a46U, \
    0x05aebfd7U,     0x94445906U,     0xfe875613U,     0x51aaeb1eU, \
    0x46b4c46cU,     0x4fbd64edU,     0x3f5a84b3U,     0xeb717312U, \
    0x42e62ef9U,     0xa2d5d3b6U,     0x3d9a90f4U,     0x076ccd0bU, \
    0x21616ef3U,     0x7df41d3dU,     0xfe3aa790U,     0x2f0afbf2U, \
    0xb8b7376bU,     0xe0dec40eU,     0x0af0c57dU,     0x7b89dca0U, \
    0x152f18eeU,     0x111863a8U,     0x94ad468cU,     0x22068555U, \
    0x3b587e1dU,     0x524960e6U,     0x3206ca70U,     0x3bb898a4U, \
    0xe27312d5U,     0x56305189U,     0xe469ab1aU,     0x9cf19541U, \
    0xf4a57c88U,     0xdb713226U,     0x035653a3U,     0xe7d531dcU, \
    0x66fcbc8cU,     0xad030c0cU,     0xceb67952U,     0x9cbdcc34U, \
    0xb05f6746U,     0x3fc4d5fbU,     0xfa67b834U,     0x5d3a27fcU, \
    0xf5862bf9U,     0xa0eb59fbU,     0x66db6d62U,     0x7921ff03U, \
    0x9e4ef72bU,     0xfbb212bbU,     0x567e1a49U,     0x204dd0c4U, \
    0x8557b457U,     0x98689b00U,     0x8871c7efU,     0x5ef13d37U, \
    0x582f3ebeU,     0x1910a10aU,     0x9746e9b9U,     0xfaab4949U, \
    0x91e07b4fU,     0x78fe061cU,     0x0251a833U,     0xc128d5f7U, \
    0x86dd71f3U,     0x123c76faU,     0x9affdf9dU,     0xadf2abb0U, \
    0x853e15cfU,     0xea517515U,     0x79d9fd02U,     0xc5a0fd1bU, \
    0xde3fcbadU,     0x9b2ab221U,     0x3de56a61U,     0xeb5135baU, \
    0xb9c0ad17U,     0xea9e1faaU,     0xce80a754U,     0xc1f36471U, \
    0xa2811072U,     0x80ccaa28U,     0x52e7a062U,     0x513fbc69U, \
    0xb883ae72U,     0x8d76ce59U,     0x090c6c0bU,     0xc4efb9e3U, \
    0x914a8346U,     0x6fb94a90U,     0xee2b89c4U,     0x4a4f3080U, \
    0x21611ed7U,     0x7ef722e3U,     0x7db3a2f5U,     0x797ce90eU, \
    0x6c8fec0aU,     0x8332df24U,     0xb2faf6d4U,     0xf225522bU, \
    0xdaab46cdU,     0xc9c928f1U,     0xdae032bbU,     0xf5622303U, \
    0x5c509d44U,     0x35683ad7U,     0x15b7e297U,     0x8fd63f36U, \
    0xce303d03U,     0x63da984dU,     0x732d9527U,     0x64b6449eU, \
    0xaa78c462U,     0xf76e63dfU,     0xfc1e048bU,     0xbc36c1d1U, \
    0x257b676cU,     0xcb20a18fU,     0xa30dc952U,     0xd3e2c777U, \
    0x640a2fa4U,     0xc3edd364U,     0xcd253783U,     0xd590b2b5U, \
    0x5c3f3171U,     0xa3d2136fU,     0xaab42adcU,     0xafcce7f1U, \
    0xc5eb84caU,     0x386618eaU,     0xee33caf3U,     0xa5950856U, \
    0xdcd46ff8U,     0x8d0f5386U,     0xa6462e68U,     0xd31f4c7dU, \
    0x57094b27U,     0x1344775dU,     0x5da02664U,     0x01954558U, \
    0x5d5afbbfU,     0xc927d792U,     0xc829f2c3U,     0x4ebf5cb5U, \
    0x093e2b3aU,     0xbb8159aaU,     0x527eecd6U,     0x3b26becdU, \
    0xfb04022aU,     0xc1ac23c4U,     0x404a9ae8U,     0x8bb3e74cU, \
    0x341d2e87U,     0xf7c84155U,     0x832a991cU,     0xd450a88fU, \
    0xd85df470U,     0x6712213fU,     0x8b90fee1U,     0x0ec0dc95U, \
    0xfb49f981U,     0xe821389fU,     0x67f50783U,     0x9bbcffb6U, \
    0x507d2541U,     0x170629bdU,     0x097fbaa4U,     0x7a1b9e93U, \
    0x98451717U,     0xd3513902U,     0x8e83bc3bU,     0xa2b83cf0U, \
    0x38c0cab2U,     0x1c238860U,     0xc7d699a4U,     0xd32bb54cU, \
    0x92e98f1fU,     0xf342ff03U,     0x88db9946U,     0x11705d03U, \
    0x5c6e8500U,     0x60ae76f4U,     0x4891981dU,     0x088fc564U, \
    0x8bde6a15U,     0xbb6c9d3fU,     0x41a73267U,     0xfe620f5bU, \
    0x6b99861dU,     0x10996e60U,     0xd8d3a391U,     0x00ab0f6dU, \
    0x9bbe9649U,     0xa977c5a0U,     0x50f48883U,     0x316834c9U, \
    0x8954b86aU,     0x6d4588d5U,     0x245b71e8U,     0x508d5accU, \
    0x94b47a9aU,     0x23ee9192U,     0xebcaed4eU,     0xe1858f78U, \
    0xec1c5700U,     0x8af69025U,     0xb9e67ba7U,     0x7fb9fa4cU, \
    0x767049e2U,     0x539e6ae7U,     0xdfa74281U,     0x8a728145U, \
    0xcfcbd471U,     0x89fb1a30U,     0xe78addc0U,     0xe40b2215U, \
    0x9f6b19d5U,     0x1d4e6475U,     0xe797a686U,     0x9e57f351U, \
    0x3b688a70U,     0x2d9b788cU,     0x3742eecbU,     0x1e608f3aU, \
    0xffedabf7U,     0x174394ccU,     0x19d42a87U,     0x277bc6d1U, \
    0x90679867U,     0xfc42ffb4U,     0xe93d85ffU,     0x4413b519U, \
    0xf70af2f9U,     0x5667e205U,     0x032d1b35U,     0x3c024d2dU, \
    0x4a702ca8U,     0xfce4082bU,     0x983ad570U,     0x0ed9b7baU, \
    0x980adbb8U,     0xd310066cU,     0xf40e8ac1U,     0xcb7b4fe3U, \
    0x6c75f030U,     0x3f418339U,     0x07c1848fU,     0xba639830U, \
    0x27f1423cU,     0xe8f31cc9U,     0xa631bf5dU,     0x0e90d4a9U, \
    0x2bed4b5bU,     0xf1cf8f4aU,     0x28c3d499U,     0x3db24339U, \
    0x3b2338b2U,     0x6bfc07c4U,     0x6d06eafaU,     0x74d460b8U, \
    0xc1353105U,     0x7f41972aU,     0x3ea77190U,     0xcf782fabU, \
    0x279d91eaU,     0xf26777caU,     0x64d5f8f1U,     0xe082a4e8U, \
    0x909d86bbU,     0xe27bb7d0U,     0x4e11b1afU,     0xc33f5bc2U, \
    0x3da1b39aU,     0xab7b23d8U,     0x0f4f7ab5U,     0x668f2e3aU, \
    0x45a80d56U,     0x3fc42548U,     0x3b849d0dU,     0xaa73d763U, \
    0x8858e3b2U,     0xfdf9b380U,     0xcd1ba9d0U,     0x67e99003U, \
    0x7e3f3a04U,     0x9d955223U,     0x0a77bcecU,     0x9778c8e2U, \
    0x6183aa54U,     0x1e60dc70U,     0x5d901444U,     0x5e7e4c63U, \
    0x70e4404fU,     0x4378fea2U,     0xc9bda9bbU,     0x6d2fccc1U, \
    0x0b43888aU,     0xa85064b9U,     0x58308a06U,     0xe82a2750U, \
    0x5b3e56f0U,     0x39b0a6e3U,     0xf5113761U,     0x82c6552fU, \
    0x60316445U,     0x71940765U,     0xed94aeb8U,     0x6627ec63U, \
    0x9a0b97edU,     0xf5097ca0U,     0x196dd1a0U,     0x0c2a9642U, \
    0x8060fe2eU,     0xccb200c2U,     0x0b03dddbU,     0xebf8c5b7U, \
    0x09ab7828U,     0xd2c8e362U,     0x302a90f2U,     0xc63c6bebU, \
    0x5a1a4f44U,     0xe7e0a766U,     0xaf49a4e4U,     0x69afaebfU, \
    0x1bbf2ffaU,     0x11f99232U,     0xe578fbeaU,     0x8873923bU, \
    0x85ad4f98U,     0xcab6a42cU,     0x0c1f4d70U,     0x627c93afU, \
    0xfa782ff3U,     0x156ea143U,     0xcedeaaafU,     0xacb3bbcaU, \
    0x45f31e00U,     0xa81d9883U,     0x28b10dc0U,     0xda73ee1dU, \
    0x578547d3U,     0xcfd90a97U,     0xcb4afdbfU,     0x3868e139U, \
    0x85407566U,     0x8a83aa7dU,     0x8a500106U,     0xe29559d5U, \
    0x0174c754U,     0x8ba35398U,     0x632a21b4U,     0x3046d989U, \
    0x48a5d196U,     0x25108f16U,     0x0af136aaU,     0x5b747b53U, \
    0x32cdc382U,     0x44b3ff07U,     0xbfeb2715U,     0xbc6bb4bfU, \
    0x8913220dU,     0xf0984418U,     0x00c71943U,     0xdaf0dc70U, \
    0x7c9181b8U,     0x187ea91dU,     0x5f1a756aU,     0x42730ffaU, \
    0xf3e35e0eU,     0xb8a79252U,     0xfff0f6d5U,     0x7a075419U, \
    0xec55ff5fU,     0x2ddd4756U,     0x7b4dcc4aU,     0x7f4d47d5U, \
    0x78589257U,     0x12efd1c0U,     0xddc282aaU,     0xb6680f84U, \
    0xb4e1442dU,     0xe87fec9dU,     0x517dacfcU,     0x452f4a3eU, \
    0xe8960d27U,     0x9886af7eU,     0x1e45dd51U,     0x186e1c69U, \
    0x50278891U,     0xde8e7e1aU,     0x6d627d5dU,     0x4006e101U, \
    0x4bf74a6dU,     0x9ba775a0U,     0xf4e8f146U,     0x2f1f8badU, \
    0xdaec6575U,     0xf846af54U,     0x8ae04710U,     0x7fe7d1e5U, \
    0xfd54c30dU,     0xf3eccd20U,     0xb93893e5U,     0x63269062U, \
    0xb5c9a921U,     0x5d6fdb6aU,     0x254c7ca6U,     0xfe3ab10aU, \
    0xaac90f09U,     0xa5db298fU,     0x0ffeacf7U,     0xb47c3cd4U, \
    0x650bf0e5U,     0x3eee1df3U,     0x89a0cb43U,     0xb4510b85U, \
    0x35b47afeU,     0x5dd74b10U,     0x2b87010cU,     0xc4be2683U, \
    0xb4742457U,     0x1d92ab49U,     0x96d31ab7U,     0xdcfc2697U, \
    0x622fc2bcU,     0x204b9813U,     0x0e6e277fU,     0xfefe79e6U, \
    0x8d515ed8U,     0x73fedb03U,     0x22474e77U,     0xccb45a6aU, \
    0x9c617ba5U,     0xffbc1f99U,     0xfd70f765U,     0xef9e6f71U, \
    0x91d070f1U,     0xe41de9daU,     0x34f59a3aU,     0x2e505944U, \
    0x87d21ab7U,     0x556844cdU,     0x7cbf6aa0U,     0xa96f3ec9U, \
    0x195cbc4eU,     0xb89e0794U,     0x052121b1U,     0xcf6ac14eU, \
    0xf4937947U,     0x9d1edf70U,     0xdcaa3ecbU,     0x07ed0f9fU, \
    0x6b512ffbU,     0x02ac1bc8U,     0x5b133d30U,     0x5b2fc691U, \
    0x24786ef9U,     0x3227acaaU,     0x70ef2edaU,     0x62a1f671U, \
    0x400a9143U,     0xb74c00efU,     0x973233f5U,     0x8210dfdbU, \
    0xa7a7a544U,     0xa5a4d153U,     0xefca6238U,     0xa6072571U, \
    0x0aceb502U,     0xdf4a5110U,     0x3b0f03c7U,     0x7b30c891U, \
    0x09cad0c2U,     0xd55f7752U,     0x51db1ca4U,     0xba0fc360U, \
    0x58e00180U,     0x25a9117aU,     0x5af77f32U,     0xb4f19f0bU, \
    0x5925e1dfU,     0x6b69a2a1U,     0xbfce9b58U,     0xa917ef9fU, \
    0x53bc2667U,     0xbf30d848U,     0x95790fa0U,     0x8f97fe3bU, \
    0xc17f23ceU,     0x8e90829bU,     0x2e9da058U,     0xef3f5b2fU, \
    0xd4503e6cU,     0xbed984b7U,     0x8d5cb3b0U,     0x80920b40U, \
    0xf85dd42aU,     0x2c1d3b92U,     0x93e98483U,     0x1e5d791cU, \
    0x4ee3c8b6U,     0x1a04b3aeU,     0x9f66ed95U,     0x9df77c9eU, \
    0x3acd0393U,     0xc0ef9549U,     0xf3af7c61U,     0xb52d3fa1U, \
    0xa4900171U,     0x83c3a3b7U,     0x139898d5U,     0x8f44057aU, \
    0x52c36625U,     0xccf277cdU,     0x10e58d8fU,     0x47b64f5dU, \
    0x72a84d1dU,     0xcc5e0f07U,     0x614be1a3U,     0x204562cbU, \
    0xcb2f820cU,     0x28e1c0b0U,     0x7d437363U,     0xe2d5b081U, \
    0x68a9db80U,     0x4f98a810U,     0x2d19fddcU,     0x8f046a98U, \
    0xbaaeb371U,     0x12b04186U,     0xd61c107bU,     0xd9f80743U, \
    0xa24a923fU,     0x9e13c823U,     0x7a848252U,     0xb67919b6U, \
    0xc5af238dU,     0xe48ea1cfU,     0x6cb0fdd4U,     0x7188aeddU, \
    0xf7786f19U,     0x5003e9fbU,     0x1535ccaeU,     0x3cfd4778U, \
    0xcd9c7898U,     0x8483a318U,     0x1c52804dU,     0x9a2c05adU, \
    0x36d0076cU,     0xabce3ee4U,     0x7fcdc4c5U,     0xe8a97868U, \
    0xb113afe9U,     0x4f571d3eU,     0xd229c01fU,     0x61f17695U, \
    0x57836a92U,     0xc9308d1dU,     0xb1649473U,     0x1b802d0cU, \
    0xc741f5dbU,     0x43efe00bU,     0x8b1a691dU,     0xa0465d2cU, \
    0xe5d456dfU,     0xa315943dU,     0x81fea76eU,     0x57ab7a72U, \
    0x59ca51daU,     0x04936f95U,     0xe69f2280U,     0x4813bc49U, \
    0x90ecc5b9U,     0xd7c72c07U,     0xb8bc1f4fU,     0x256b641bU, \
    0xc111483eU,     0x0cc27f78U,     0x4a3bcf8cU,     0xb6dda3dfU, \
    0x8044d753U,     0x6523fb48U,     0xa2c47c03U,     0x7ce7a393U, \
    0xaed28a67U,     0x81abdb84U,     0x89c7db96U,     0xb9c9beaaU, \
    0xeaec8b27U,     0x1b8a117eU,     0x0d66c7d7U,     0x42407446U, \
    0x664b3b0cU,     0x66bf0430U,     0x979c7b4eU,     0x7c1444cbU, \
    0xc64c5667U,     0x556dcf6bU,     0x7c425be5U,     0x2a3943a5U, \
    0xdf7c53d7U,     0x2a42afabU,     0x4a55c330U,     0x1bc80d28U, \
    0xc83de7beU,     0xd18ebb82U,     0x1579b14aU,     0xd868293dU, \
    0x895cdddfU,     0x20f6aa37U,     0x8fb06041U,     0x57e1b095U, \
    0x5c4311f9U,     0x426826a3U,     0x34d44479U,     0x559a18aeU, \
    0xdf3b50acU,     0x6643a3b9U,     0xf35f0f00U,     0xc5586d02U, \
    0x82e28b76U,     0x4576baf7U,     0x34b2c101U,     0xdaaa62c3U, \
    0x3aa22b3eU,     0x3b8589f8U,     0x2d872197U,     0xcdb535e3U, \
    0x415b2b59U,     0xb68ae602U,     0x0ee98d5dU,     0xb4a7307fU, \
    0x02571161U,     0x4f626ff8U,     0xe1844e02U,     0xbc15c7fbU, \
    0x337dcb0cU,     0xc3b577c4U,     0x71a24cc6U,     0xa1b06dfcU, \
    0x51fad3ebU,     0x62c30a68U,     0x21a9a824U,     0x22b200c8U, \
    0xd98493b3U,     0x00b04a07U,     0x960ef3feU,     0x673353b5U, \
    0xb47a4c19U,     0x2cab4d3dU,     0x27ac6920U,     0xfca92c77U, \
    0x10e259e7U,     0xa5a73b54U,     0x6e59e108U,     0x4eca7f38U, \
    0x9dbd8c9bU,     0x324ca557U,     0x85340d08U,     0x5c9e8856U, \
    0x95ba1f06U,     0xb285e125U,     0x0f470898U,     0x3d7aff8fU, \
    0x66ef996bU,     0xc04d4fe3U,     0x931916adU,     0x65e25775U, \
    0xb6808ee0U,     0x6093b560U,     0xfaa57dd7U,     0xdd8e0e5bU, \
    0xc551fbe5U,     0x1d68ac7cU,     0x63e47785U,     0x5463b8c5U, \
    0xfd37fdccU,     0x1c5c213dU,     0x7962ea36U,     0x189fb40bU, \
    0xb7f0600aU,     0xa8af2308U,     0x8d7a88b8U,     0x0f153312U, \
    0xe2048d88U,     0x497fff4eU,     0x715d417bU,     0xa08b5616U, \
    0x5e7e5175U,     0xb85db8e5U,     0xa9862b30U,     0x617013eaU, \
    0x680bc97cU,     0xc11a0688U,     0x6b02e1d0U,     0x629d28c6U, \
    0xa4b118fcU,     0x7da1bf24U,     0x291495a9U,     0x92836a75U, \
    0x0e8f5d7dU,     0x8c13152cU,     0x91de3cc6U,     0xb4d71302U, \
    0x212f4aacU,     0x9103d92bU,     0x7b9f3dc8U,     0xab551d2bU, \
    0x13c74817U,     0x0f255da9U,     0x74c4b909U,     0x79c0f37eU, \
    0x77591a6bU,     0x85adc0b5U,     0x02441f5eU,     0x815e3f73U, \
    0xb4f5ce0aU,     0x52a143f3U,     0x28c7ac0bU,     0x8eaa1b8bU, \
    0x9856c966U,     0x10abf03dU,     0xca722ae4U,     0x87d2e102U, \
    0x76de4ddbU,     0x26c43fdbU,     0x47406bafU,     0x59993da3U, \
    0xae304c57U,     0x9f8970a9U,     0xae91acf2U,     0xe30b509eU, \
    0xaa912b4bU,     0x9e25a5e9U,     0x06a30125U,     0xf22fbefdU, \
    0x358a570cU,     0x6a4b5ad2U,     0x1cdd453dU,     0x1f9f8e3aU, \
    0xf76c5459U,     0x442c6c5fU,     0xf908f2d6U,     0xa37e62ceU, \
    0x9d3e185bU,     0x20f70f2cU,     0x51fef280U,     0x72ba1c72U, \
    0xe85cb535U,     0x44388dd0U,     0xb1f53f25U,     0xc114c0bbU, \
    0x2a25c460U,     0xed276a9bU,     0x75fec4d5U,     0x2ffbecc1U, \
    0x4f68efcbU,     0x8e965b71U,     0x5cdc9fdfU,     0x238acf7fU, \
    0xb3260b44U,     0x2577efb6U,     0x7619a682U,     0x4e6ffd78U, \
    0xaa292878U,     0x2d9ef9cbU,     0xce5bed02U,     0x81ef68c8U, \
    0xe3456bb7U,     0x63e1be6dU,     0x840b69e9U,     0x936b0866U, \
    0x8e009989U,     0xaf5d0b7eU,     0xe161fddaU,     0x91891a2bU, \
    0xc941f63bU,     0xe8f2e020U,     0xf30b3a36U,     0x4a240556U, \
    0x089a3404U,     0x6f45f8afU,     0x316ec82bU,     0x240c5fe8U, \
    0x78fd070dU,     0x3148fa1eU,     0xcbf07c1dU,     0xdfcdc0beU, \
    0x3c05628aU,     0x535cdd3cU,     0x22fb3442U,     0x8a38ec15U, \
    0x5bb0f02aU,     0x1c654ed4U,     0x56038bc3U,     0x66bd6f25U, \
    0xcf5d1155U,     0x1bf05bb9U,     0x08512abeU,     0x069602f6U, \
    0xb0d167a7U,     0xe4b67b96U,     0xbb62baa6U,     0x30b59d99U, \
    0x8a26638bU,     0x712418cdU,     0x7db55f41U,     0xed2ddae5U, \
    0xc562a166U,     0xd688921bU,     0x7e9ed49dU,     0xabc06508U, \
    0x03abd131U,     0xfa877951U,     0xd7537c99U,     0xb91107daU, \
    0x614feb1fU,     0x5aee69f8U,     0x28e155e6U,     0xa1687458U, \
    0xea318d58U,     0x65f62b21U,     0x58324af5U,     0xb88d85d9U, \
    0x5d8d52c6U,     0x371ab8b2U,     0xb027edc0U,     0x375d71eeU, \
    0xc7ebda64U,     0x84c38054U,     0x9a339e21U,     0xe31c2c1aU, \
    0xd91b419bU,     0x98a805b8U,     0x9aa9bbfeU,     0x07028a1bU, \
    0xea33ab67U,     0x9c75f454U,     0x782b08d0U,     0x61fd7b71U, \
    0xee7e12a3U,     0xe6ce7edcU,     0x740a9e0dU,     0x026216dfU, \
    0x28d9635cU,     0x20b92b1cU,     0x67bf2862U,     0x577c4e9fU, \
    0x9e36c83fU,     0x7d1bbdb9U,     0xe45ffb07U,     0xf45211bdU, \
    0xd8da749eU,     0x9ee33694U,     0x084f35ebU,     0x0e3378a9U, \
    0x2bb4b3bcU,     0x138bbb06U,     0xadae116bU,     0x9eaa3741U, \
    0x9d27ee4eU,     0x7eb5e789U,     0x2f915ebaU,     0xee492034U, \
    0xa93ff263U,     0x0bd3b610U,     0xa6a17b64U,     0xf344a071U, \
    0xb05feb37U,     0x124c2e6eU,     0x7318e0d7U,     0x8e9afbb7U, \
    0xfd66f00bU,     0x3a9bff79U,     0x99668cbfU,     0xf43b4537U, \
    0x716db806U,     0x54e14c0dU,     0x5f46f453U,     0xaca4b1cdU, \
    0x9ebabf8eU,     0x80465b45U,     0xe1b93f25U,     0xf96af539U, \
    0xab530db4U,     0xf08bb22bU,     0x3e9b7b45U,     0xcf6f92c7U, \
    0xda0c7fecU,     0x838a89ceU,     0xce820ff6U,     0x255b7dd9U, \
    0xc9163b93U,     0x7efe8e7eU,     0x5e5ee759U,     0x2533abf3U, \
    0x39961804U,     0xe31191c2U,     0xf63a2270U,     0x7c0789aaU, \
    0xf650d091U,     0xedca9520U,     0xbcea7485U,     0xabbdddecU, \
    0x55e31c7fU,     0x37a03572U,     0xb1c60491U,     0x7fec7a3fU, \
    0x59ed55a1U,     0x0cbace71U,     0x1c0b8c73U,     0x1ee4e454U, \
    0xec7a3716U,     0x930cb32fU,     0x07bf8549U,     0x246e9de9U, \
    0x93db7475U,     0x3a9524b7U,     0x829bd9b9U,     0x94886214U, \
    0xbf7db7ecU,     0x7f26d02bU,     0xaab5e561U,     0x08fe83daU, \
    0x8612faa8U,     0xec5ae982U,     0x5c4459a5U,     0x4ce4920bU, \
    0x26e16c59U,     0x9411f4faU,     0x27f69645U,     0xf85dff00U, \
    0x6df4cf47U,     0x2027f43cU,     0xd75e4f9bU,     0x18c2f882U, \
    0x0dfc8579U,     0x413434daU,     0xdcb3cd94U,     0x96fef972U, \
    0xdbbb9d55U,     0x5ee57792U,     0x80386aa7U,     0x59d59544U, \
    0xb351216bU,     0x618ce071U,     0xdeb476f3U,     0x4fd9c00dU, \
    0xa8f8163aU,     0xe06956b4U,     0xf355b9a4U,     0x9ad2b73bU, \
    0xf19a1823U,     0x52946abbU,     0xea99d056U,     0xeaaebf97U, \
    0xb5b8b331U,     0x197dd01dU,     0x76c8a8d5U,     0xc3c1526fU, \
    0x0c3592b1U,     0xd3815984U,     0x4760f2e7U,     0x2da35904U, \
    0x91301cacU,     0x34d1e833U,     0x2c3e5c37U,     0xb9d16b17U, \
    0x9afa870dU,     0x3b5995c6U,     0x9263894cU,     0x0bd5530cU, \
    0x9ab59646U,     0x40c177a4U,     0x5e073f0cU,     0x89402f91U, \
    0x2b31c0fcU,     0xb3d01e7aU,     0x24f0d936U,     0x90820bc4U, \
    0x1a282a82U,     0xfa132c51U,     0x92f6ce33U,     0x9038b9f3U, \
    0x23be10baU,     0x2eaa4522U,     0x04da528bU,     0x8035d16eU, \
    0x3e16b393U,     0x2bff1790U,     0xc092698dU,     0x82394e21U, \
    0xcd253ddeU,     0x5077384fU,     0x60dfde5fU,     0x303e59e7U, \
    0x0584ccfeU,     0xd5b0476aU,     0xb16589bbU,     0x0b184eedU, \
    0x111ded1cU,     0x1d36b43eU,     0x5593b6b5U,     0x416ed98cU, \
    0x43d5a889U,     0x6933aee3U,     0x4aa702fbU,     0xb879bcedU, \
    0xac0ee9afU,     0x3177b413U,     0x8f8c0647U,     0x1bc85ad3U, \
    0x87469eefU,     0x4d1a79a4U,     0x2b70840cU,     0xc8c70ad3U, \
    0x24d99a7eU,     0x9002114fU,     0x5b08b9c9U,     0xa63cba39U, \
    0x2414bda9U,     0x332af1a1U,     0x21b41e37U,     0x8acc66c8U, \
    0x0ae92583U,     0xc203eee7U,     0x837c7876U,     0x66c8e1c9U, \
    0xdfe38e27U,     0xae3e4944U,     0x1a1025e1U,     0x8abc79c9U, \
    0x3a00a207U,     0x9d086c47U,     0x28f87668U,     0x6ab02b23U, \
    0x08903f39U,     0x66f69565U,     0xe7cec254U,     0x0fcc0f7bU, \
    0x0c82cd00U,     0x2254448bU,     0x9101fa40U,     0xe8a2511aU, \
    0xa43f4221U,     0x24efbb1eU,     0x750e43c0U,     0x1f916659U, \
    0x552066aaU,     0x0cd32287U,     0xa6947a79U,     0xf225cc15U, \
    0x9274dafcU,     0x7dc4c4ddU,     0x83cb677cU,     0xa1ceb380U, \
    0x764c5fc5U,     0x659715dbU,     0xc6674e0aU,     0x057df3ddU, \
    0x31ca8e0cU,     0xe646418bU,     0xbd4df4e1U,     0x9442c05eU, \
    0x657af57dU,     0xd92c1f9bU,     0xcec3c395U,     0xbc1eb600U, \
    0xe590c279U,     0xac28e89aU,     0x0ac72512U,     0xac3b25aeU, \
    0x8094db6fU,     0x5b03535aU,     0x653ee1b4U,     0x716b4d34U, \
    0x4863a670U,     0x5ae3eaa4U,     0x712ca680U,     0x1d960306U, \
    0xc81b0bb8U,     0x99207aeaU,     0xc6292837U,     0xd0988815U, \
    0xfec41069U,     0xe6a8f444U,     0x3a8e6e1aU,     0x9345cbbbU, \
    0x1b212a80U,     0xe44fb6daU,     0xce705138U,     0x60362b35U, \
    0x0744fe00U,     0x8d48d8a6U,     0xf95b9b6aU,     0xbff7dc2bU, \
    0xe437e6eaU,     0x20254302U,     0xc186c22dU,     0xf665c4faU, \
    0x3782a70fU,     0xb8fc72a9U,     0xa7b02850U,     0x0a8e439eU, \
    0x8c417447U,     0xf33d12dcU,     0xb6e2de41U,     0x08359cd8U, \
    0xd86702e8U,     0x2c1d932aU,     0x1f3413d8U,     0xc885c43dU, \
    0x8ca91871U,     0xf471499aU,     0x46ac6c9dU,     0x1c9327d8U, \
    0x8e873007U,     0x48ac32afU,     0xae6c999eU,     0x1fcb2563U, \
    0xb14fc08fU,     0x5857cf1aU,     0xf9defd60U,     0x1ac81f38U, \
    0xfa3dc4bcU,     0xc39426dfU,     0x435639b3U,     0x5d244909U, \
    0x588dbe20U,     0x4a52e91fU,     0x8bbcea15U,     0xf44840deU, \
    0x74815ae4U,     0x2b2654eeU,     0x04584a87U,     0xbfd9055bU, \
    0x7377e874U,     0x19efa859U,     0xa3eb2211U,     0xe92dc343U, \
    0x461c37b7U,     0x96528d10U,     0x9e004bc6U,     0x72fb8d75U, \
    0x435d4272U,     0x8af55fa9U,     0x48ef358aU,     0xb4d2a108U, \
    0x8c7c46b6U,     0xea932a1aU,     0xb0879014U,     0xe8e005f3U, \
    0x69a47b97U,     0xc3d4fd03U,     0x68044d41U,     0x60ef11cfU, \
    0x04173ffeU,     0xae2fc761U,     0xc72e535dU,     0x2b58c6e2U, \
    0xd6df7488U,     0xc6da50aeU,     0x2118acf6U,     0x281180e4U, \
    0xc53c55a1U,     0x43bb6f4fU,     0xfc1d5124U,     0x96aefa5fU, \
    0x3afef500U,     0xfd652c4fU,     0xf2578108U,     0x9a02ec7cU, \
    0xaa1cd06eU,     0xb4618870U,     0x1d7f7dedU,     0x7e0b64a9U, \
    0xe531c4a2U,     0x87916384U,     0x7ceed8cfU,     0x18609f34U, \
    0x047437a9U,     0x2661157dU,     0x4260d427U,     0x593d0584U, \
    0xcca7290aU,     0xcfef6713U,     0xf8aae3c1U,     0x9f97d96fU, \
    0xf63148f6U,     0x0ae1e33dU,     0x09d4b437U,     0x73061317U, \
    0x2f87103cU,     0xeceed58cU,     0x2cb99007U,     0x8babe4dfU, \
    0xbe01450cU,     0xd4bed8f8U,     0x36cc37a8U,     0x4d963647U, \
    0x2a07c00aU,     0x018b279dU,     0x6fbdf3f5U,     0x54f5ca7dU, \
    0xb354cb66U,     0x0636814fU,     0x356ce328U,     0x93ed2f86U, \
    0x30b51b9eU,     0x4167264bU,     0xd1197a89U,     0xbaddd664U, \
    0xfa76a54fU,     0x771c461bU,     0xd7b9ed4aU,     0x50bb8df6U, \
    0x15e05711U,     0x2fcf602cU,     0xfdc91cddU,     0x2da919c6U, \
    0xecba2b0fU,     0xa3d7d33dU,     0xbc59c2edU,     0x930fd33fU, \
    0xb134b7cdU,     0x73099495U,     0x1fbb080aU,     0x25fb87ebU, \
    0x6883a795U,     0x865db175U,     0x4dcffe8aU,     0x685331deU, \
    0xf5ccefddU,     0x3aeec0e2U,     0x23216680U,     0xbf36919dU, \
    0x66d1f5d5U,     0xf99bc408U,     0x3f9ec119U,     0xf56a3684U, \
    0x403b58cfU,     0x38f3b3feU,     0x3c68b7bdU,     0xfd4803e0U, \
    0x83c46bcdU,     0x7f7ba05dU,     0x58ec3c36U,     0x0d6b210cU, \
    0x1bb61f09U,     0x550fe5f6U,     0x9be9ca0aU,     0x897a8e32U, \
    0xcaad238aU,     0xe0d554fbU,     0x448c4f11U,     0x197a30ecU, \
    0x74a16877U,     0xbf6965d3U,     0x57aac99bU,     0x05fa1402U, \
    0x23d65e29U,     0xa34bef13U,     0x46f2ee6bU,     0x36fcec9cU, \
    0x7e650c11U,     0x63343dbeU,     0xbe85beb7U,     0x82a42c08U, \
    0xe0434f80U,     0x1de05c90U,     0x06dbda0bU,     0xe608de64U, \
    0x26c268a8U,     0x28fc26e2U,     0x2df7f661U,     0x7f5dc421U, \
    0x4a7c7a53U,     0xa4262fe1U,     0x7cc12efbU,     0xa6d5a493U, \
    0x017f4461U,     0xa358c445U,     0x6a6f26bdU,     0xdc849bd8U, \
    0xff6eccc1U,     0x6218b788U,     0xfa702b90U,     0x1362a39dU, \
    0x68ad4a31U,     0xa9719b7bU,     0x0f3947afU,     0x9aade293U, \
    0x28aea2b7U,     0x321f1a6eU,     0x86caca7cU,     0xfe630f93U, \
    0xda292deeU,     0x6901ddcaU,     0xe2462a35U,     0xb10b5a13U, \
    0x15c24b3eU,     0x67d2a99bU,     0x7171f9dfU,     0xd2c8ff56U, \
    0xe3a63a39U,     0x9787bef4U,     0xba33eba5U,     0x5fafc015U, \
    0xd1a99cfcU,     0xde0648bcU,     0xddced19eU,     0x6f02c62eU, \
    0x517aab0cU,     0xdef2c207U,     0x2cd52d00U,     0xaa71afd8U, \
    0xe40c09c9U,     0x848c23eaU,     0xcbf027daU,     0x8116eb3aU, \
    0xc58ee72cU,     0xc64c40d6U,     0xfe09e8c3U,     0x33c3759cU, \
    0x97d1c3d5U,     0x157ea9f8U,     0x82d27d54U,     0x3edf558dU, \
    0x6a9feee8U,     0xff023916U,     0x8a5fe7fcU,     0x2014284bU, \
    0x61b9ab96U,     0x4c5433abU,     0x28603a5cU,     0x238bfe89U, \
    0x2d9c2783U,     0xe91eeea1U,     0x8516e13bU,     0x6b2bab35U, \
    0x045047f1U,     0x8039a1feU,     0xa6954dd2U,     0x4ae6c7f9U, \
    0x0e22e149U,     0x519b9dd4U,     0xfcd2f999U,     0xd7f1e5e9U, \
    0x1a7fb6b5U,     0x1756d9b9U,     0x8bef56a0U,     0xcac51441U, \
    0xf5f755a4U,     0x3293f372U,     0x700f77c4U,     0x0a67d067U, \
    0x22b37a7bU,     0xf686a0e1U,     0x622eb377U,     0x7100d8e1U, \
    0x6705283bU,     0x24b1bbf1U,     0xe1c05bbfU,     0x31dbb7e4U, \
    0xe43ffefcU,     0x64a1e874U,     0x0883ad7eU,     0xff8fa49aU, \
    0xf18a4514U,     0x476e0b34U,     0x216f7433U,     0x418bee16U, \
    0xca8cbd1aU,     0xe5be551aU,     0xbb73abbbU,     0xbf786e89U, \
    0x897ab1bcU,     0x72c54c00U,     0x9ce4e3ddU,     0x59988c75U, \
    0xced4fc2bU,     0xca80ed89U,     0xc054f089U,     0x4fec32b5U, \
    0xb1c32a8bU,     0x974b236dU,     0xb4cf02b7U,     0x78cb3a4eU, \
    0xaa7e0b3aU,     0xb336a3a1U,     0x383a3b97U,     0x9c828fc4U, \
    0xb220742cU,     0xf02ff60dU,     0xc38e8dc6U,     0x6cd91ab5U, \
    0x9bcbc3dfU,     0x9f20bb9dU,     0xd4c18b34U,     0xf5ea3245U, \
    0x05a99bd1U,     0x142963dbU,     0x5f3d6092U,     0x37e895a8U, \
    0x40d42d87U,     0xd76b905eU,     0xcaa0e382U,     0x64e12145U, \
    0xb148dddcU,     0x142d874bU,     0xfe5d69d2U,     0x02a9044fU, \
    0x9149277dU,     0xc72edab6U,     0xf095e792U,     0x7d958989U, \
    0x89559df5U,     0x6f8063c1U,     0xfed21200U,     0x0328602fU, \
    0x67b6020eU,     0xad392a67U,     0x6c177ce3U,     0x2010de5dU, \
    0x75412ae0U,     0x20f91b96U,     0x96304b75U,     0xc3cf046fU, \
    0x91927cc0U,     0x67bbab59U,     0x6f3f20ffU,     0x9fb44450U, \
    0xcb30fff3U,     0xe0543183U,     0xc1be7b68U,     0x644365f0U, \
    0x106f6fd5U,     0x4c5de98bU,     0xbf5a04adU,     0x110ead52U, \
    0x2c694213U,     0x0b744f31U,     0xa2359bacU,     0x6f4c2c7cU, \
    0x57ae6ce2U,     0x49aebbe8U,     0x606c5e0fU,     0x458f8a5eU, \
    0x6b2ed4d3U,     0x10d2aa61U,     0xd5ae4c15U,     0x8fced364U, \
    0x6e1fd461U,     0xcc550585U,     0xe747c30cU,     0xd83a002cU, \
    0x8f7b8913U,     0x82e04ad7U,     0x76eb43cdU,     0xc6a062b5U, \
    0xb2dad7e6U,     0x41e1d7e6U,     0xc8953233U,     0x54ac69f2U, \
    0x9e608c26U,     0x3ef24c62U,     0xefc16209U,     0x9345f464U, \
    0x1d5955b1U,     0x83e74d30U,     0x1c2c88beU,     0x73169dc8U, \
    0x98b1adf5U,     0xa5301e97U,     0x89b5c8b5U,     0x0137da5bU, \
    0xb789da1aU,     0x0210f37eU,     0xe7bd99a0U,     0xc2dfe18aU, \
    0xaac81c29U,     0xca96db54U,     0x48aff934U,     0x6b885f80U, \
    0x3ebfffcdU,     0x580decddU,     0xe02de243U,     0xc4672be1U, \
    0xda691e44U,     0x6c8effa1U,     0xfe66e3a5U,     0xff3524edU, \
    0xd5699970U,     0xaeeacb00U,     0x17ab268fU,     0x71b695d9U, \
    0x57913e96U,     0x6071f57cU,     0xdcbcfef7U,     0x0882cb1dU, \
    0xa826e33bU,     0xa8248789U,     0x1d66029bU,     0xde1e4032U, \
    0xd90e3bfbU,     0xf7374c7eU,     0xe8997e84U,     0x1409bc53U, \
    0xb91c910cU,     0x5412a711U,     0xc9b6a593U,     0x984b4f4eU, \
    0xb4eb6eefU,     0xd4c7f56eU,     0x8b8cff97U,     0x8d6db188U, \
    0x4b8555c4U,     0x14a759b6U,     0x21962c8eU,     0x3b23f74fU, \
    0x0e0f3e76U,     0xf924f7aeU,     0x5bf2d8eaU,     0x3b005e1cU, \
    0xa7f6eef2U,     0xd8fed220U,     0xdc9d7ad9U,     0x09233982U, \
    0x2ef4f42dU,     0x4f074c6dU,     0xf4fe83abU,     0xb5c55c2aU, \
    0x7c6ac4b0U,     0x99915389U,     0x49469958U,     0x6056321dU, \
    0xb3d969d0U,     0xc638272dU,     0x8bda7f75U,     0x95b3e7fdU, \
    0x5cb5b5dcU,     0x6955f932U,     0x626eef05U,     0xfc1d89b5U, \
    0x1aee71c5U,     0xef11a3b4U,     0x4bb048a1U,     0xaaae389aU, \
    0x3cd72f5fU,     0x9d3d0760U,     0x78e62595U,     0xa0f6a819U, \
    0x146445d4U,     0xeda7be32U,     0x6366c0adU,     0xe7d049baU, \
    0x7a9d83a4U,     0x041bed3fU,     0x1c6b0b13U,     0x166f7cf1U, \
    0xdb3694adU,     0xee47bab3U,     0x89d73cbfU,     0x17b1b2eeU, \
    0x790e9a38U,     0x2a4d3922U,     0x69f3bb50U,     0x65e00075U, \
    0x7ea2a829U,     0x0fb936baU,     0xc4961099U,     0x3a9e2be4U, \
    0x1338d60dU,     0xe97dec24U,     0xcceba953U,     0x6adae6a8U, \
    0x79492c40U,     0xea25d04fU,     0xb94524ccU,     0x684f3e02U, \
    0xd0c40094U,     0x0f75def5U,     0x4f8328cdU,     0x4b902a88U, \
    0x030aa03bU,     0x5bf5da3cU,     0xf6eea139U,     0x2de73cbeU, \
    0x717d2675U,     0x035931b8U,     0xe6c6d34cU,     0x2f835e3aU, \
    0x959d7995U,     0xef68114dU,     0x2506ca6aU,     0xa102f349U, \
    0x5e4d06caU,     0x80e6bd1fU,     0xcfd717f8U,     0xfbb6faedU, \
    0x5009cb74U,     0xe0121303U,     0xabe184c2U,     0x91625a5cU, \
    0x64f17bc8U,     0x0033fb97U,     0x0f291770U,     0x1781d0dcU, \
    0xaa88217eU,     0x24fd69ddU,     0x65a67367U,     0x72a40434U, \
    0x9a4db426U,     0x1f128716U,     0x4ab72d7fU,     0xc488b5f7U, \
    0xd91676ecU,     0x7d8e74d0U,     0xf2a8c900U,     0x3cef9b92U, \
    0xbb7d2d6eU,     0xb0b28313U,     0xd10ccd70U,     0xdf608af6U, \
    0x40424dd5U,     0xb145f27eU,     0xb5adc7a1U,     0x341b7325U, \
    0x697b5368U,     0x3c05691eU,     0x1930dae7U,     0xa04b2dddU, \
    0x46902e22U,     0x7d902ce7U,     0x3f46af80U,     0x681b83baU, \
    0x3dba8e30U,     0x63e1f63dU,     0x1fe3add2U,     0x003f6841U, \
    0xd4edc62bU,     0x39bc56c9U,     0x00a0e6ccU,     0x5283cd68U, \
    0xda4d2b74U,     0x0938dc62U,     0xf6baa920U,     0x02892baaU, \
    0x52770bb8U,     0xd13f3311U,     0x8dee3200U,     0x938c0d15U, \
    0xc97aa7a8U,     0x66cf3793U,     0x20119129U,     0xe59f3dc2U, \
    0x0e4b8445U,     0xb0ff2408U,     0xfb7f445fU,     0x77891d4dU, \
    0x935d4723U,     0xdc223e48U,     0x6cfd70bfU,     0xcd03f146U, \
    0x5a817f2fU,     0x7fbe2b85U,     0x53067d07U,     0xe637c502U, \
    0xbf8f583dU,     0x31818159U,     0x2409d5afU,     0x892441a0U, \
    0x13b5275fU,     0x03d3b8e8U,     0xeae6d3fcU,     0x17455056U, \
    0xb64f8053U,     0x40e6fae7U,     0x049e4a23U,     0x632bc5a9U, \
    0x55dc55e1U,     0x2b477ba1U,     0xfb2b0148U,     0x30260c23U, \
    0x342ad569U,     0x5f4d8f01U,     0xaf75904eU,     0x8802e2b6U, \
    0x635789d5U,     0xdfed4f42U,     0x0a6feb78U,     0xbc1718a9U, \
    0x8d2bacd6U,     0x4887b22cU,     0x3f7b6843U,     0x9ea5ec64U, \
    0x19d4f8efU,     0xc95e5537U,     0x02b35ae5U,     0xba608ce6U, \
    0x7e17c528U,     0x0f7e8565U,     0x3859b036U,     0xaa4c2eefU, \
    0x2cf46d9dU,     0xe6f71c20U,     0x56dad762U,     0xd682fc2eU, \
    0x6e45f1e0U,     0xdc4efabeU,     0x271b1d7eU,     0xa4168627U, \
    0xe18cffcfU,     0x7d98fd75U,     0x1b2f910cU,     0x7efa4c73U, \
    0xd419ca37U,     0xfcacb3d0U,     0x4db413b8U,     0x8b45cbfbU, \
    0x4319a576U,     0x61418744U,     0x6d005cbeU,     0x25a67addU, \
    0x2711d566U,     0xbec34330U,     0x17afe93eU,     0xaae84ba7U, \
    0x9a97d31dU,     0xed27f18eU,     0x0a9c6765U,     0x800d4b0eU, \
    0x3e8c324cU,     0x23ebc649U,     0xda911c64U,     0x83288f89U, \
    0x18116aa7U,     0xadb39f69U,     0x94f857d0U,     0x9a8909b7U, \
    0xe303d6ceU,     0x3c5840adU,     0xa8e48122U,     0x354134bbU, \
    0x2dcea054U,     0x13727614U,     0xca6f8b29U,     0xacf039e9U, \
    0x00601f04U,     0x2a23f7ceU,     0x332ccb89U,     0xe96753caU, \
    0x1477b86cU,     0xd59c4c5eU,     0x989a19a5U,     0xb80c2f57U, \
    0xa9e72757U,     0x2bbf0c22U,     0x4c57b679U,     0xa6e4b937U, \
    0xb886bcc2U,     0xac616705U,     0x17b32d5aU,     0xdbb8c88aU, \
    0x1c36ab61U,     0x23769fcdU,     0x9d43c7edU,     0x3e9ef506U, \
    0x4a58dda8U,     0x94d76dc2U,     0x66e26dabU,     0x339707b6U, \
    0xb2cf5da9U,     0x14890a72U,     0x252b988bU,     0x16c745b7U, \
    0x11a36a6aU,     0xe4a1a3dbU,     0x10f0a368U,     0x22292081U, \
    0x1a6fdf5bU,     0x947a9338U,     0x8b8480c2U,     0x0b1df868U, \
    0xd9cdd557U,     0xcf9faa21U,     0x800b3dccU,     0x7d765cb6U, \
    0xf5acfa9eU,     0xa61f168cU,     0x04492f91U,     0x0de3497cU, \
    0xf2b9acd1U,     0xb78036fcU,     0xa5c7d798U,     0x4adfa872U, \
    0x2051c985U,     0xedbbb04cU,     0x730af41cU,     0x5c21009dU, \
    0x7ffd15e5U,     0x9a9a7628U,     0x34e26727U,     0x1a7f7bd6U, \
    0x9c578702U,     0xf0a218adU,     0xfdb89d7cU,     0x71c70892U, \
    0x598bad02U,     0xc1c540d0U,     0x1a855769U,     0xe5003876U, \
    0xbebdc7cfU,     0x1a3cdfbdU,     0xbd02dc92U,     0x3973a4e8U, \
    0x1b299fceU,     0xcc89eea9U,     0x179f2497U,     0xf4db67a0U, \
    0xcae54d91U,     0x331df69fU,     0x3180c3dcU,     0x0587a7adU, \
    0xea7be0ffU,     0x174e4616U,     0x05a715fcU,     0xf884cdb8U, \
    0xafdb3cbfU,     0xf1b3d373U,     0x7cff21edU,     0x2bb99973U, \
    0x84078f88U,     0xbe11112dU,     0x291f1e03U,     0xbb297c42U, \
    0xc475d67cU,     0xa57cabb5U,     0x0571be4eU,     0x7d4d3bc4U, \
    0xc3d6f4e8U,     0xe0d94406U,     0x5be77e0eU,     0x80b69f8fU, \
    0x56dfaaf3U,     0x09c7858cU,     0xb67f207aU,     0xd8c7def3U, \
    0x0725f2f2U,     0xb95567daU,     0xc6509a9cU,     0x7dddd3f5U, \
    0x832102a9U,     0x7fcab01cU,     0xe5c8f151U,     0x1bfb73b6U, \
    0xf2bd2e0fU,     0x758ad8e3U,     0x5f19e538U,     0x88ebc2c0U, \
    0xaab57137U,     0xbef0dbbfU,     0x8bc621a1U,     0x83b68788U, \
    0x24d21db5U,     0x1532b55aU,     0xd09ee30dU,     0xcc292242U, \
    0xd1ed71a2U,     0x2615af22U,     0x2e9f6931U,     0x803c7925U, \
    0xe7f0bfc5U,     0x218c911bU,     0x4ce06592U,     0x74dc5e45U, \
    0x1ac3bf9bU,     0x3ef25538U,     0xf27430afU,     0xa43a23d1U, \
    0x4c6bd1e2U,     0xa7778c4eU,     0x46eec51dU,     0xd090e52bU, \
    0xf158dce8U,     0x3d7b97e8U,     0x10ae3a51U,     0x30eab85aU, \
    0xb9c4ec33U,     0x2aa316c6U,     0x13e273c0U,     0x81c470d6U, \
    0xadb7be18U,     0x61499e38U,     0x62f73bf3U,     0xdf68c85eU, \
    0x295f23ccU,     0xbaed6c0bU,     0xb8b248c5U,     0xed476c04U, \
    0xe9e0dc9fU,     0xd09a130bU,     0x09490351U,     0x203f05ddU, \
    0xe9ade1e0U,     0xe8bfde95U,     0x4c6a65e0U,     0xa804705aU, \
    0x21f981deU,     0x3efe910fU,     0x262222f3U,     0xe2e17b99U, \
    0xf16ecdc0U,     0xab9f8c13U,     0xaa86ce85U,     0x90139f88U, \
    0xf24ace38U,     0x94c1461aU,     0xaf1e0678U,     0x327eeb21U, \
    0x3c6ada9dU,     0x7df0e53cU,     0x059c7b35U,     0x444d4723U, \
    0x5071db53U,     0x93248806U,     0x9ad3492eU,     0x296e8048U, \
    0x28469ff7U,     0x4f169f7eU,     0x21375957U,     0x9fde687cU, \
    0x09d31769U,     0x83c9a4c6U,     0x0c9853faU,     0xf599d055U, \
    0xe5481742U,     0x0ff25b71U,     0x82bba090U,     0x67cb831dU, \
    0x95fddc13U,     0x07e56238U,     0xb8c15ce2U,     0x00573e2fU, \
    0x396194acU,     0xb6f943faU,     0x5ef4950cU,     0x349ed6e7U, \
    0x3993d427U,     0x451003acU,     0xcbe7c23eU,     0xcbd6eb4bU, \
    0xfdf62615U,     0x6fbad8f5U,     0xf5eab5b3U,     0x0ad263deU, \
    0x355c9810U,     0x88ff2e77U,     0x62c4240fU,     0x3faf21f0U, \
    0xc9fc9ef5U,     0xff60f81dU,     0xed314bffU,     0x906a607bU, \
    0x5468fa97U,     0x3b9a74eeU,     0x78b1016dU,     0xacf0af31U, \
    0xdf9924b8U,     0xc3d96422U,     0xf7c955d1U,     0x25f265c3U, \
    0x9dacbee3U,     0x90843715U,     0x58dc5623U,     0xe37621ffU, \
    0x88c618d5U,     0x096c06dbU,     0x338e9257U,     0x99cefcc7U, \
    0xeae084feU,     0x9683c110U,     0x41ad51efU,     0x76009b57U, \
    0x504e5aa4U,     0x2263aed8U,     0x13d5b190U,     0xff3420ddU, \
    0x439c8243U,     0x0b3f0a50U,     0x77e435fbU,     0x3d349ca6U, \
    0x7cef99c5U,     0x448dc97cU,     0xfef2ae24U,     0xdffff86dU, \
    0x334a7461U,     0x552ca388U,     0xd3f4ad9cU,     0x72c8605eU, \
    0x4021ab18U,     0x22097588U,     0x70c2eb8eU,     0x65f17ed8U, \
    0xc04f33cfU,     0x93367052U,     0x5c6f7dcdU,     0xa5940517U, \
    0x85218c2fU,     0x8b9d9419U,     0xfec9d260U,     0xcc106385U, \
    0x90988c77U,     0x34d7de59U,     0xb332b089U,     0x8a69318eU, \
    0x1de91ceeU,     0xd5d784e2U,     0xdf121a9cU,     0xa3d0bd32U, \
    0x243c4f2cU,     0x737ef686U,     0x7745b5feU,     0xb333234fU, \
    0xe7b1dcf6U,     0x9ba2802dU,     0x9068cc42U,     0xa14408bdU, \
    0x261711b8U,     0xf45d7e61U,     0xfdc84f1cU,     0x2084b7c5U, \
    0xa7f51e2eU,     0x0a235340U,     0x9071127cU,     0xb4900173U, \
    0x2f498210U,     0x6042d06bU,     0x57c2ac8fU,     0x72afbe3cU, \
    0xcc48751fU,     0x993a0d7fU,     0xc967fe57U,     0xb4069f0eU, \
    0x20fcfa7dU,     0x2c6d67b2U,     0x4f3b6986U,     0xd9985ad9U, \
    0xb611bdadU,     0xa09f402bU,     0x288021c7U,     0x46645f16U, \
    0x423cb228U,     0x9810269eU,     0x49d0e3f6U,     0xc070c425U, \
    0x871a8d1aU,     0x68bf1ed3U,     0x2ddbcc83U,     0xc9f263fdU, \
    0xfce7fb7cU,     0x6c18b990U,     0x887c979eU,     0xf018509dU, \
    0xc5e662eaU,     0x8c697fc2U,     0xe5409b8dU,     0x7821ab6cU, \
    0x191dce10U,     0x89d02164U,     0x71152bdaU,     0x506aa373U, \
    0xc0d3cf45U,     0x1838507fU,     0x506dca5bU,     0x6ad9894eU, \
    0x09fe21cfU,     0x1ff31c42U,     0xccdbc697U,     0x7a06eb0fU, \
    0x20fc62f0U,     0x664ab270U,     0x823f659bU,     0x8f4bda87U, \
    0xb5995c5aU,     0x54ef59ffU,     0x8e593f8aU,     0xc3350f1aU, \
    0x475250c3U,     0xca834ee6U,     0xab5deec0U,     0xf2964b4fU, \
    0xe2e8d76dU,     0x59415c3cU,     0xac32525aU,     0x2da2fe7cU, \
    0xe3be2aa9U,     0x350949c2U,     0x94b1c798U,     0xbb7eb3afU, \
    0xdfe472d8U,     0xe8dc82a0U,     0x48be9285U,     0x7373467dU, \
    0xde448d16U,     0x7de3bb2bU,     0xdf3d31afU,     0xdc8fc36fU, \
    0x6e6d2c30U,     0x7bf5f5daU,     0x4b7e7feeU,     0x5ae3d5d6U, \
    0xa2cf28efU,     0x798a2915U,     0x4ef46c39U,     0xe959a5ecU, \
    0xa11384d7U,     0xe803e50fU,     0x7367b983U,     0xf9cffc79U, \
    0xc594bd72U,     0x2c7f6d19U,     0x955815ffU,     0x8c253b6aU, \
    0x38a45cf1U,     0x619b9371U,     0x45c885a6U,     0x28c70293U, \
    0x8ca7f39aU,     0x68c81af5U,     0xd42afcdcU,     0xbf8af829U, \
    0x0e9e2294U,     0x7015593aU,     0xf56d2ff2U,     0x05f8485fU, \
    0x0eeed2c8U,     0xd240e4c4U,     0x07ae8fb6U,     0x33a2e248U, \
    0x20c34160U,     0xe6377eb7U,     0xc1ec2abaU,     0x2f5f4175U, \
    0x5ea0fdafU,     0x82ac94a3U,     0x469f67f7U,     0x6ba44563U, \
    0x31b75872U,     0x12c89743U,     0x70fc751dU,     0xdf674264U, \
    0xccc05c8cU,     0xedc1d9edU,     0xc5bacfd5U,     0x32dd5e89U, \
    0x7d19f565U,     0x4a0ed196U,     0x23fe91b7U,     0xd05be76cU, \
    0xaa8331c0U,     0xd5c12a8eU,     0x2d906fbfU,     0x4031f440U, \
    0x9adc5a7bU,     0x9f09bbdfU,     0xa27e6222U,     0x8e471020U, \
    0x10a1a337U,     0x0ca4f4caU,     0x8b520724U,     0x481869d4U, \
    0xeb3e911eU,     0xc47f1823U,     0x689c3e64U,     0xbbb3b72eU, \
    0xecf31fa4U,     0x9cad34b9U,     0x214c831eU,     0x8ba15e63U, \
    0x426e572aU,     0xc90bbd72U,     0x25c1e960U,     0x2cf85165U, \
    0x25c0eed5U,     0x35dd3824U,     0x9faeb2d8U,     0x90b626d4U, \
    0xecc3167eU,     0xc51c8a92U,     0x90e09dc5U,     0xc51d61e4U, \
    0x3af15ae1U,     0x7c051701U,     0xa12926d3U,     0x3e4e3ee9U, \
    0xd7070a19U,     0x9997ba26U,     0x1bf6982cU,     0x82e3a4d4U, \
    0xd67adaf8U,     0x79e8b15aU,     0x0a1acee5U,     0xf3451b5eU, \
    0x6b62f28cU,     0x30f3a831U,     0xfc6189e2U,     0x2458c6bdU, \
    0x1db77713U,     0x199be325U,     0x8588e143U,     0xbca2ccb5U, \
    0x1bd59f2aU,     0x85101331U,     0x23a25f51U,     0xd66151d1U, \
    0x108cf15fU,     0x416fe7f4U,     0xfa7dbb20U,     0x2ccb117bU, \
    0x20926a8dU,     0x1ab08b29U,     0xcfbd40baU,     0xa87a0845U, \
    0xa7f269cfU,     0x0f2ca45fU,     0x4726d8a9U,     0x15833de9U, \
    0xda21fc98U,     0x83cf0d54U,     0x27830cf4U,     0xeb7720b4U, \
    0x3a665bc1U,     0xebe1dcf1U,     0x4a2d9574U,     0x99c4de19U, \
    0x72a2fdfeU,     0xbc9b0d66U,     0xe4972511U,     0xf5712994U, \
    0x1ecc42c3U,     0xc03c0dc7U,     0x3275f6edU,     0x1a6e421bU, \
    0x7903843aU,     0xe3672e2fU,     0x46cfe8a5U,     0x76f299b6U, \
    0x66e0baddU,     0x74e6be41U,     0x1bcdb099U,     0xf00169c7U, \
    0x3fb3f47aU,     0xce721775U,     0x3676fc0bU,     0x745a6b7eU, \
    0x6cebb52dU,     0xecbea8c6U,     0xd8b2ccacU,     0xbd881913U, \
    0xae7d74ccU,     0x7e7baa07U,     0xd971c41fU,     0x03adda76U, \
    0xedc4f2c7U,     0x85918518U,     0x5db586e4U,     0xdea69317U, \
    0x458ff3a2U,     0x0bf22596U,     0x42bec6abU,     0x516ceb53U, \
    0x633d1ee2U,     0x948a7515U,     0x47860368U,     0xa91fcc15U, \
    0x487c56c5U,     0xb4a0dee4U,     0x3a973293U,     0x2bce750bU, \
    0x53bdfb66U,     0x6dcdcea0U,     0x893999d3U,     0x4b7c184dU, \
    0x72894174U,     0x455882aaU,     0x6ca401f8U,     0x1792cc79U, \
    0x571f7917U,     0x9e5cfbb1U,     0x155fcba7U,     0x6f6525e3U, \
    0x04aa3bffU,     0x60084571U,     0x8dd94856U,     0xf0f22e55U, \
    0xbdf699deU,     0xc83dc100U,     0xf246da3cU,     0xf3f67191U, \
    0x829830a3U,     0xadadb7ceU,     0xf59209a7U,     0xdcb56893U, \
    0xd47b19f0U,     0x15c77f18U,     0x9a025b8aU,     0x284eef8bU, \
    0x7762b778U,     0x1f542c6fU,     0x54ebfcd1U,     0xebd2355fU, \
    0x22b87539U,     0xea51f449U,     0xd6f2a2b9U,     0x18791355U, \
    0x4170f2e8U,     0x6d675e3cU,     0x18f864c8U,     0x9234ba92U, \
    0x2d34b384U,     0x5745b533U,     0x3bbb83b2U,     0x69c01cd6U, \
    0x329c8676U,     0xfb2772bcU,     0x73d02875U,     0x0f8de645U, \
    0x377a07eeU,     0x5c33aebeU,     0x15583519U,     0xaa801477U, \
    0x7ddcafb7U,     0xa9620d7aU,     0x259cff29U,     0x4045e6c4U, \
    0x9e9a66deU,     0xd618aa3dU,     0x269b6fc1U,     0x6933a7e4U, \
    0xbe6a56a7U,     0x1a9705f0U,     0x176fac8cU,     0x181f36acU, \
    0x807f9a0dU,     0x5eac9692U,     0x06c6a7fbU,     0xe2f16b4eU, \
    0x7fbfa192U,     0x112dfc8dU,     0xc1439701U,     0x7face55cU, \
    0xb268df14U,     0x559589e0U,     0xcb0a350dU,     0xd250280eU, \
    0x3d2edc51U,     0x61203a61U,     0x22fb1673U,     0xbe96dbefU, \
    0x221449d1U,     0xf25b2442U,     0x41e1a946U,     0xcb1407b5U, \
    0x7c5bcbf0U,     0x26199a05U,     0x4575a11dU,     0x7ddf2b01U, \
    0x0e7812d6U,     0x98d1ea57U,     0x1d000525U,     0x0112d079U, \
    0xde69739bU,     0xa1b45e3dU,     0xc61ef7acU,     0x6cda127dU, \
    0x6ca5cc92U,     0x882f994bU,     0x82ce4ce2U,     0x20a707dfU, \
    0x12bac7baU,     0x3b1f9550U,     0x8a9246eeU,     0x681041b6U, \
    0xe64236d2U,     0xeb88fb14U,     0x388d2477U,     0x5f2676f9U, \
    0x42e626b6U,     0x90167ec8U,     0xbdaa3178U,     0x5cdcbe88U, \
    0xd3696a32U,     0x923bad0cU,     0x03d9f891U,     0x5f95228aU, \
    0xbe4dd6a0U,     0xf3edf587U,     0x275c0599U,     0x0469f750U, \
    0x0603a1afU,     0x62f16303U,     0xafa4bc1dU,     0xa7a53254U, \
    0x01234907U,     0x8306ccdeU,     0xf2474e61U,     0xc1538c3bU, \
    0x1517dbc4U,     0xa000f35eU,     0x04097117U,     0x647515cdU, \
    0xd50d5ff0U,     0x9eeda805U,     0x4d92f62eU,     0x34cd310eU, \
    0x4bea7f51U,     0x346ae354U,     0x427094a0U,     0xb9de41e1U, \
    0x71bd117cU,     0x4ba6c30aU,     0xe3a83f78U,     0x1e32db0fU, \
    0x650f72a2U,     0xe0bf52e2U,     0x23eee80aU,     0x93f59e35U, \
    0x694d58b9U,     0x97edabffU,     0x867dd6ddU,     0xee3f943cU, \
    0xb4688073U,     0x24a88f57U,     0xcda3fa5dU,     0x21dc2265U, \
    0x5c5cb348U,     0x471ebdd7U,     0x012d9f1cU,     0x0f2760a1U, \
    0xbaf54a93U,     0x1e6765e8U,     0x7e9dfd93U,     0x6b17247fU, \
    0xa27701aeU,     0xed2dba54U,     0x0a64325aU,     0xb85b6956U, \
    0x134517e0U,     0x7f4a9309U,     0xb5b1cac1U,     0x34666b8cU, \
    0xd00b95bbU,     0xfb6c59b4U,     0x377bd068U,     0x6885335aU, \
    0x92f8cb59U,     0x0ec95750U,     0xb3f683e1U,     0xd7dc897bU, \
    0xac80ee37U,     0xa4aff322U,     0xd6cf9a28U,     0xce258e2fU, \
    0xd40061a6U,     0x14295ea1U,     0xcbe6c75dU,     0x648fa691U, \
    0x59d15ff0U,     0x13b931fbU,     0x42e40b83U,     0x7ce52df4U, \
    0x6b961912U,     0x4ef2c7f9U,     0x9c87cd87U,     0xf10f2c99U, \
    0xed9001c0U,     0x4a5b5318U,     0x1e3cbba5U,     0x9bccb04fU, \
    0xbaedf676U,     0xade998dbU,     0x41e3f43cU,     0x2e52e806U, \
    0xd7133bbfU,     0x6dd2e5abU,     0xa971612eU,     0xc915bae5U, \
    0x97ce9369U,     0xffc52e9fU,     0x71111d11U,     0xde606d40U, \
    0xfda9da2dU,     0x41cfb9deU,     0x5dd0a17bU,     0x10f20e69U, \
    0xa784ff5eU,     0x65869ec1U,     0x8e6e53e0U,     0xf517791bU, \
    0x54f5fc28U,     0xfd096eaaU,     0x425a0c22U,     0xb2457885U, \
    0x7654b3b3U,     0x00e777f9U,     0x1732fee8U,     0x9a5a8ddbU, \
    0x86471228U,     0xe1a17771U,     0x4a269e20U,     0xce96cd6aU, \
    0xcfb56097U,     0xdbfe34cdU,     0x07e1e38fU,     0x3a0ddbb8U, \
    0x8306c62dU,     0xcba9b6c1U,     0xb16b9e42U,     0xe9d8dee8U, \
    0x6bdad3d7U,     0x97d75a10U,     0x22965088U,     0x91fa0612U, \
    0x148813b9U,     0x72ea65efU,     0x66b7f006U,     0x49b96787U, \
    0x3465a4a4U,     0xce1dc227U,     0xaf9b4b75U,     0x0f2159e9U, \
    0xf304e162U,     0xbc6dad13U,     0xd93b850dU,     0xdabda137U, \
    0xbb97a6d1U,     0x47221f99U,     0x0b17a4e0U,     0x6e62a669U, \
    0x9233d546U,     0xb7869c28U,     0xcea79005U,     0x7a6959cdU, \
    0x960796bcU,     0x4d1b2d00U,     0xfc3f4540U,     0x9866f32dU, \
    0x5f04d345U,     0xe83297f6U,     0x3dbca515U,     0x686c96b7U, \
    0x5a04f780U,     0xd9d34131U,     0x6b82a0b3U,     0x14de626bU, \
    0x1081174bU,     0xfffe719bU,     0xcf0b8169U,     0xbfdad680U, \
    0x45755975U,     0x3439e917U,     0x60eeb548U,     0xf694144cU, \
    0x844c5d82U,     0xae6edad8U,     0x0e96a304U,     0xbe4ec0f8U, \
    0x3b746378U,     0x2f9f445eU,     0x4f3d2787U,     0xd6b3009eU, \
    0x7f7eee2dU,     0x715a2d14U,     0xf7d2e7a2U,     0x1b0415a2U, \
    0x9d5f00bdU,     0xfccd0f11U,     0x075ae5d3U,     0xd1980d09U, \
    0xe04ffc1bU,     0x616daa72U,     0xe00d29bdU,     0x0bd84f10U, \
    0xeb41da77U,     0xa539dd4dU,     0x9063e174U,     0xc94506a3U, \
    0xfdb39e63U,     0x07202ec6U,     0x164bb11aU,     0x18af600dU, \
    0x739bfed4U,     0x474ca262U,     0xd6a21d5bU,     0xb38f779dU, \
    0xc149bab7U,     0x04d59cd3U,     0x87f611e8U,     0x5cd8195fU, \
    0x83c7f338U,     0x672ece34U,     0xcc490632U,     0x33811b84U, \
    0x3f7db04aU,     0x79262ad6U,     0xe23705f3U,     0x969ae4a1U, \
    0xb5b0a9edU,     0x6ceb01abU,     0x7a4a325cU,     0x68d78b31U, \
    0x66a01e64U,     0x8df0931fU,     0xa9634449U,     0x568a5382U, \
    0xb9533c42U,     0xc66c6e36U,     0xea67857aU,     0x9244709dU, \
    0x154bcc78U,     0x7f2a93e0U,     0x3e7373a4U,     0x1be1c111U, \
    0xf1397cdaU,     0xc9b37f6dU,     0xad8795d3U,     0x60dcd370U, \
    0x8cd18d96U,     0x7c30b005U,     0x402a0ebfU,     0xb6124675U, \
    0x5e9b3faaU,     0x082b6710U,     0x3c9d816bU,     0x84b62564U, \
    0xfd8921e9U,     0x53ac29bdU,     0x301de9aaU,     0x2d0ee7c8U, \
    0x605a775eU,     0x536c288eU,     0x2e74fd03U,     0xd5fb52cfU, \
    0xfc0c4c82U,     0x43188e26U,     0x4dea0177U,     0xd70f0214U, \
    0x3e00f809U,     0x32286368U,     0xdaf5cba3U,     0x8cf7b2b2U, \
    0xfe194cd9U,     0xd3958495U,     0x03c52e14U,     0x69419374U, \
    0x1e475f88U,     0x58f7a97cU,     0xff40a96fU,     0x089769c7U, \
    0x1cb54ea0U,     0xcc3be547U,     0xaa5e9f2dU,     0xcc2de4bfU, \
    0x96de505dU,     0xa8f3e131U,     0x2a102cacU,     0xb18438b0U, \
    0x8f862501U,     0x5e7b5788U,     0x9fefc717U,     0x2f9be713U, \
    0x926a48c6U,     0xf5f6999cU,     0x7de77c99U,     0x0c02cb8eU, \
    0x32ca36e5U,     0xb925ce47U,     0x8f73acb0U,     0xc1f3083bU, \
    0x1b6fe3e5U,     0xef24f7f2U,     0x650b2465U,     0x3e8d4c42U, \
    0x12fe6cf8U,     0x48c61b89U,     0x2cf3b13fU,     0x5a49f30cU, \
    0x4673c7ffU,     0x2d594fd8U,     0x10d79549U,     0xe48a3601U, \
    0xaebebba3U,     0xa0571841U,     0xe5b4fa80U,     0x17a5c3a0U, \
    0xbe08c959U,     0x02a14a09U,     0xa04f78a4U,     0x0d60f58eU, \
    0x42bfa7baU,     0xac3bce1dU,     0x0e42f756U,     0x6924e6d9U, \
    0x03dea1d8U,     0xad8040a3U,     0x6aed1598U,     0x47d8a50fU, \
    0x280bb627U,     0x3485e078U,     0x9d70343eU,     0xf17c0bfcU, \
    0x4d4a087eU,     0x8a9dca06U,     0xafe5b9b7U,     0xbe38924cU, \
    0xf080cd7dU,     0x58996e38U,     0x680748eeU,     0x0af1f467U, \
    0x16e967c4U,     0xeadf2a85U,     0xe522664dU,     0x0cc05a3bU, \
    0xffae172aU,     0x5eba6990U,     0xf336c32bU,     0x2db827afU, \
    0x3d814431U,     0x67954caeU,     0xea4ac1deU,     0x4f00c47dU, \
    0xab9178d2U,     0x7532970cU,     0x3898b8abU,     0x1131f306U, \
    0xcdc77a09U,     0x94ade92eU,     0xb35cd269U,     0xee3fa81eU, \
    0xa51a49caU,     0x24666a62U,     0xeed2d563U,     0x925e16b3U, \
    0x355af976U,     0xd1d8970dU,     0x90288f87U,     0x609d1525U, \
    0xf5995f36U,     0xec607aceU,     0x74e8e6f6U,     0x0989259bU, \
    0xa79eeb86U,     0x12cd196bU,     0xb5c6abc6U,     0x1e935cf3U, \
    0x5bb6e59eU,     0xff3d7a31U,     0x777d8d6bU,     0x98e35085U, \
    0x3658d704U,     0x8539dff8U,     0xa4f85746U,     0xbe82c56cU, \
    0xd1146456U,     0xa6bb88adU,     0xca2358a4U,     0x80ddecc9U, \
    0xfd1d8e3eU,     0x2b601c9bU,     0x9fa4cb12U,     0xcdfe8078U, \
    0xdbfc8a98U,     0xb3b34debU,     0x25df4998U,     0x2c2309beU, \
    0x1e371806U,     0x6bcf34fdU,     0xcfe7d70eU,     0x39087892U, \
    0x508a71c8U,     0x84e6be6dU,     0x078dd6cbU,     0x61540948U, \
    0xaa567131U,     0x709a51efU,     0xce3d88a2U,     0x38782bd7U, \
    0xe2ee0799U,     0x0e233f21U,     0x8472ee7cU,     0x847fe702U, \
    0xb0322d0fU,     0x83ade258U,     0xe096ea4dU,     0xe23f531cU, \
    0x6fb95074U,     0x53c0e549U,     0xcbcc6698U,     0xa69066fbU, \
    0x50abfcf4U,     0x3846c977U,     0x6bb88e51U,     0xad504bc9U, \
    0x3bcd39b1U,     0x2f682b46U,     0x27d7f50dU,     0x3ab28e0aU, \
    0x6702fce0U,     0xc9e8432dU,     0xc41da2eaU,     0xc3815233U, \
    0x169d7c74U,     0x2aa37512U,     0xabd336e0U,     0xcead7d64U, \
    0x386466a4U,     0xcbe71489U,     0xaf7b2ff5U,     0x9ab77e3eU, \
    0x26dff4cfU,     0x157ed6a8U,     0x070cae26U,     0x1506d1daU, \
    0x36376847U,     0x1bd6a06cU,     0x87e8fdabU,     0x03985fd5U, \
    0x3078c9dcU,     0x085ae4dfU,     0xd769d384U,     0x30c6fb17U, \
    0x7d4c0292U,     0x991e918bU,     0xd956aaa4U,     0x308dca35U, \
    0x6bfeac05U,     0xa74f6112U,     0xb3e83d4aU,     0x1f824080U, \
    0xbbb215c6U,     0xdc928880U,     0x800a36c7U,     0xda952bafU, \
    0x4ed63da9U,     0x5ef8d4cfU,     0xb4318af8U,     0x260c0ea8U, \
    0xe2190c9eU,     0xbc184c48U,     0xd1205c6fU,     0xb710d9f1U, \
    0x9a97b61dU,     0x7110cd7cU,     0x5d9c1963U,     0x7360b3d9U, \
    0xd3ba51dbU,     0x2d1f98bbU,     0x79162bceU,     0xccc44736U, \
    0x35b015caU,     0x93066992U,     0x84712404U,     0x915fda68U, \
    0xfe047ecdU,     0xbc126ddaU,     0x68aeae12U,     0x088cad43U, \
    0x0b97b360U,     0xd6b34eeaU,     0x37aac6f3U,     0x98897e31U, \
    0x52d2e0c3U,     0xb1977437U,     0x00d90a33U,     0xdf81956dU, \
    0x80217724U,     0x89717c6eU,     0xdaff15d5U,     0xcc45b46bU, \
    0x56985d29U,     0xd0f0cd03U,     0x595d98e2U,     0x0b23d705U, \
    0xb7d24d81U,     0xb739df4bU,     0xa38764d1U,     0x9684176cU, \
    0xbc61333fU,     0x42b89c2fU,     0x48daaa3eU,     0x50464b27U, \
    0x20a95567U,     0xd269eec5U,     0xe2df5caeU,     0x28c66f70U, \
    0x3e8a0b45U,     0xd1f406dfU,     0xf2cb6937U,     0xf70b211cU, \
    0x72d595b1U,     0xbc792bc6U,     0x6306cee8U,     0x338b0d23U, \
    0xfd6bfc29U,     0x7028ca64U,     0x9169f2f9U,     0x342fd5e0U, \
    0x25c617b3U,     0x236d9c7eU,     0x4880cb65U,     0x1d24df0bU, \
    0x31f11a3eU,     0xd1bd2bb6U,     0xf603b7bbU,     0x4b11e174U, \
    0x21382cfeU,     0x4b0cc14dU,     0xdf9c2071U,     0xda22c58dU, \
    0x99d2d56dU,     0xe54b5fc4U,     0x4cbcdfe2U,     0xc007954eU, \
    0x6fc7dc31U,     0x35ab944bU,     0x771e5ddeU,     0x0152e9fcU, \
    0xd82356f2U,     0x5342a923U,     0xe6aa95c6U,     0xdf17ffa0U, \
    0x62a29ed8U,     0xc0425c3bU,     0xcca8224cU,     0x9a1b0b4fU, \
    0x2ff9ec20U,     0x98ed707aU,     0x19324f47U,     0x3edf995aU, \
    0x86997ce6U,     0x1e2617daU,     0x3bb70bb8U,     0x084053e0U, \
    0x51f7aba4U,     0x28cb7e26U,     0x3d8b39e3U,     0xb8b61916U, \
    0x4133b1f7U,     0x9be530bfU,     0x53d0ffbeU,     0xfd6aa07eU, \
    0xc71f638bU,     0x5e4cd013U,     0xd64f6a3eU,     0x026fc23dU, \
    0x36872ae8U,     0xb4dfa294U,     0x78fd705cU,     0x54ec3df7U, \
    0x2bb118d8U,     0x53e1c075U,     0x58f7e9b9U,     0x05733cb0U, \
    0x2cebe94dU,     0xf002e1b3U,     0xde8e26beU,     0x9da26f4cU, \
    0xf95b46faU,     0x559ee8b9U,     0xa069ec0cU,     0x6de1a107U, \
    0x34ea28b9U,     0x311b5724U,     0x75f5b87eU,     0x6b64a60eU, \
    0x4a5c4de1U,     0x46198260U,     0x9a703320U,     0x3511e248U, \
    0x580461abU,     0xc0141c44U,     0x1280238bU,     0xac567cc5U, \
    0xe8e90184U,     0x4baf274cU,     0x6c2e0788U,     0x1e60678cU, \
    0x0bb110d9U,     0x2f39c136U,     0x6db55741U,     0x41a43ec6U, \
    0xc2d01046U,     0x3f8071b8U,     0xade6830bU,     0xb6c16c1aU, \
    0x03d99d25U,     0x6a94d464U,     0x85398076U,     0x6986f2d2U, \
    0x0d329383U,     0xbd32a0a8U,     0xf3e2e7f7U,     0x9577f089U, \
    0x56f4f031U,     0xdc46b43eU,     0x80a4b1f3U,     0x4b286aa7U, \
    0xb4dc7ed7U,     0x5003cd5aU,     0x71eb3d02U,     0x706caeccU, \
    0x80fcdfcbU,     0xb7feeb70U,     0x9529d87cU,     0x391be080U, \
    0x4853cbfeU,     0xe5ca867aU,     0xcccea3ceU,     0x879477ddU, \
    0x8b31fb58U,     0x15faabeaU,     0x53fc40d6U,     0xa5942ff6U, \
    0x4daa561dU,     0xc50cc78dU,     0x03f1b8bcU,     0x81b829d7U, \
    0x2bd5e794U,     0xcc6157daU,     0x67b44c87U,     0xb900bc37U, \
    0x4c524c85U,     0x240b5ea7U,     0x693f0feeU,     0x99e5b45cU, \
    0x07bf9b73U,     0xbc8724c1U,     0xe277ba79U,     0x0aac08f9U, \
    0xa257b9ebU,     0x02c7b783U,     0xa1a9a8f5U,     0x515ccc5eU, \
    0xff389442U,     0x3d555da0U,     0x6da22a2eU,     0x29361bc7U, \
    0xc28a7163U,     0x62d00a41U,     0x0ecefd9cU,     0x445ec000U, \
    0x578caebbU,     0x44b8856bU,     0x075ef5caU,     0xed739168U, \
    0xc7294dcaU,     0x9255ec99U,     0xfed71553U,     0x3a60049bU, \
    0x1bd676eeU,     0xcf8fd7d9U,     0x5fd32b23U,     0xce1704f5U, \
    0x4158d444U,     0x3d4112e3U,     0x9c8ccc85U,     0x07a0e561U, \
    0xd2c3a17fU,     0x1f855a0fU,     0x28259f30U,     0x34e89795U, \
    0x6f1f068dU,     0x56598a2bU,     0x15bd7c6cU,     0x2124f944U, \
    0xfe8a20f6U,     0xd5d531e9U,     0x619094d2U,     0x573a24cdU, \
    0xa3785964U,     0x8128fec9U,     0x0e9cb697U,     0x9fdcd887U, \
    0x37b961e6U,     0xe79f0f9fU,     0xcb410547U,     0x9a6c0219U, \
    0x46e36356U,     0xeb772474U,     0x45511d9aU,     0x03fae195U, \
    0x8ed20be8U,     0xa9b366e6U,     0x8650e010U,     0xdf283cbaU, \
    0x6001eb3aU,     0x5e75c8ebU,     0xa74cdb55U,     0xe499985bU, \
    0x8c6d4e03U,     0x6e11612cU,     0x5b30083fU,     0xe432bb1eU, \
    0xbcec2404U,     0xcde6f53aU,     0xa43c4391U,     0x40bd6135U, \
    0x05d70ef0U,     0x1709050aU,     0x4eeeba93U,     0x7c08cbaeU, \
    0x8a898367U,     0x0c20cde1U,     0x04038f49U,     0xb7019bf6U, \
    0x724b461aU,     0x9b884238U,     0x5117e13dU,     0xdede79b7U, \
    0xc08fcc16U,     0xbea6e08dU,     0xa3e99536U,     0x3e4759acU, \
    0xd1a0bbd1U,     0x82b44bf3U,     0x796f3e18U,     0xd5066207U, \
    0x310a2437U,     0x4e61d7b6U,     0x76ad6537U,     0x26a2d22eU, \
    0x1628e543U,     0x98af01a0U,     0xebee806cU,     0xe68b6b7eU, \
    0xc1f92588U,     0x9cdfca92U,     0x60601b27U,     0x3fa5866cU, \
    0x6f89eb35U,     0xfbb3183bU,     0xd11883d2U,     0x40144420U, \
    0x5b2fa1b2U,     0xa835e2ceU,     0xb0b46cc2U,     0xcffda7b4U, \
    0xb90bfe95U,     0xb7a4a93cU,     0xd80685c0U,     0xbea1ba05U, \
    0x0a083d28U,     0x0b449aceU,     0xa89a3abeU,     0x9c8d1f5fU, \
    0x16f86bcaU,     0x5e78f062U,     0xc6e1f07fU,     0x1743c5bfU, \
    0x57245486U,     0xcf9caddfU,     0x42005387U,     0xab992cf7U, \
    0xf6469ba8U,     0x3411f153U,     0x110701e0U,     0x36992230U, \
    0x2a41f1f3U,     0xea4469f9U,     0xc31eedd8U,     0xa03cb0a9U, \
    0x4188a198U,     0x829cb4b7U,     0x33fca5a7U,     0x835eeafbU, \
    0x535674f3U,     0xe98f9f78U,     0xafb91ba8U,     0xb6f3c419U, \
    0x9b844f99U,     0x1df97708U,     0x29d65f4aU,     0x00d05a3aU, \
    0x5ab8b14eU,     0x01050528U,     0xe8d70f17U,     0x4a94e5e9U, \
    0xd697fda3U,     0x80f266fdU,     0x73196557U,     0xef76038eU, \
    0x3ec5f1deU,     0x218fd379U,     0xe79a5ea1U,     0xf6f4e1ffU, \
    0x9018cbc6U,     0xae14e2e0U,     0xaf45bda0U,     0xb20d754bU, \
    0x8994be6aU,     0x772d7574U,     0x046c0746U,     0xbc11e23dU, \
    0x7cd7b3f7U,     0x1656809fU,     0x4171e00fU,     0x51d3a697U, \
    0x17a5c7f7U,     0x47ff0c90U,     0xef50a7a4U,     0x32030ddcU, \
    0x7e982155U,     0x71c9b6a0U,     0x132549afU,     0x5f47c09aU, \
    0x9b56d5caU,     0x0fd2cb9aU,     0xd72b30e2U,     0xf8f873ddU, \
    0xe3add7c8U,     0xfa7edd17U,     0x6be7bfa8U,     0x6a22133eU, \
    0xee3a71b7U,     0xc9f37360U,     0x4a22c346U,     0xac00e3c0U, \
    0x53858ed5U,     0xa53bc4ecU,     0x5464f621U,     0x1a4e7966U, \
    0x934026fdU,     0x4f79e618U,     0x388c6ce6U,     0xa1f6a1c7U, \
    0x4656e66bU,     0x217d4bd1U,     0x7971cd3fU,     0x404ffa5bU, \
    0x14837118U,     0xaf83caf5U,     0x5084a48bU,     0xce1c2abaU, \
    0x6f3a2d78U,     0x0ddd9786U,     0x863a0a0dU,     0xd672a6a4U, \
    0x5e411385U,     0x5c778cdfU,     0x884cd0deU,     0x3aad50ecU, \
    0x3bb09809U,     0xca285e53U,     0x24cc12d5U,     0x52b0af28U, \
    0x106ec2f7U,     0xec79eec0U,     0xafa72a66U,     0x8d2f4c22U, \
    0x17161e8bU,     0xecc2ff12U,     0xaf592a53U,     0x98d9dca9U, \
    0x320e44e7U,     0x55d6188dU,     0x92129dc7U,     0x923c476eU, \
    0x178ec741U,     0xa9e9c3daU,     0x30041096U,     0xd9f4fd99U, \
    0xca7d4419U,     0xc113173dU,     0xb179420aU,     0x01c6c48fU, \
    0xc5dd5762U,     0x4da05587U,     0x475fbe8dU,     0xf398150fU, \
    0x9a323579U,     0x035741acU,     0xe0e245dbU,     0x41118becU, \
    0xbd8b32d7U,     0xc96b5393U,     0xdb606383U,     0x6a3984cfU, \
    0x9b38b93bU,     0xb270d05cU,     0xaf5387feU,     0xcc1cdb34U, \
    0xd390c227U,     0x5a7f1757U,     0x22bfd416U,     0x80073b2bU, \
    0x188626b6U,     0xf1e568b4U,     0x4808a695U,     0x3a93efc4U, \
    0xaf994800U,     0x9e32f0c4U,     0x25ba8b13U,     0x0d340c8fU, \
    0x5f101cb0U,     0x425342feU,     0x487821d6U,     0x14d65c78U, \
    0x2021af01U,     0xb09bc3fdU,     0x548e26edU,     0xc26a02b4U, \
    0xac4f69ecU,     0xa63e2290U,     0x60b7871bU,     0xade85eb1U, \
    0xa5104c8aU,     0x08ac4711U,     0x626332ffU,     0xa03ba99eU, \
    0xd06b80d8U,     0xf4206ee7U,     0x693ef2c3U,     0x81eeb2a6U, \
    0x9dc3e407U,     0x9029b2faU,     0xbb3b3978U,     0x592207f5U, \
    0x26d64456U,     0xcda0bd00U,     0x71022b6aU,     0x9b4d71e9U, \
    0xffe6d435U,     0x3d5e3558U,     0xf0126a45U,     0x1b08ce2aU, \
    0x34d844a5U,     0xeaaa018eU,     0x0c371b37U,     0x2eae1930U, \
    0x7a78abeeU,     0x6764c9d6U,     0xefb28672U,     0xce9c160fU, \
    0x6e66fa49U,     0x3f85a758U,     0x4d8fd834U,     0x9432be4fU, \
    0x1efe64b3U,     0x6d5974f2U,     0x75a5cd81U,     0x8b660a7bU, \
    0xc9a75cd3U,     0x8bd2dcccU,     0x1d20971dU,     0x3c64f49eU, \
    0x19d6c891U,     0x53209a7fU,     0x7599e1e8U,     0xf5342696U, \
    0xdf730974U,     0xd3ae8060U,     0xbf6ce88dU,     0xf91af9aaU, \
    0x82e75525U,     0xc5b5c73fU,     0x3dc492fcU,     0x0fcfd11fU, \
    0x43ff63e3U,     0x69474de9U,     0xd870cf52U,     0x6ea74444U, \
    0xd04068beU,     0x2f3bdce6U,     0x39aa11bbU,     0x219d4ad0U, \
    0x288756daU,     0x4e5357f6U,     0xe5654e32U,     0x03059eb4U, \
    0x4c635165U,     0x64f6f7a9U,     0x1933e3ceU,     0x6d80623aU, \
    0xe6f603afU,     0x81736c8aU,     0x27671337U,     0x2791c373U, \
    0xafcd8629U,     0x1663048aU,     0x97a2c436U,     0xd1113f83U, \
    0x80ad3161U,     0xbf8a7d3dU,     0xffda82dcU,     0x41d72d54U, \
    0xc252885eU,     0x09fc40b0U,     0x0f921274U,     0xbc311c65U, \
    0x80e587ffU,     0x09c8b19eU,     0xba3bd91dU,     0x6943bef1U, \
    0x25a66cb3U,     0x49ecab0cU,     0x082fd154U,     0xa0ca762bU, \
    0x52e0da67U,     0x6cb89987U,     0x29c9c878U,     0xaa9474c5U, \
    0xe20a583dU,     0xf755bd59U,     0xd2b652a9U,     0x8cf91bc7U, \
    0x5aa63ac3U,     0x1c7d39aaU,     0x5ae089b2U,     0xda408cbeU, \
    0x60283291U,     0x002f6a67U,     0x571e748cU,     0xaa511129U, \
    0xe35cc3c5U,     0x1c75785bU,     0xe6c28aaeU,     0x2a3c282eU, \
    0xb792be3cU,     0x7e788f1aU,     0x4fbba357U,     0x146c8e93U, \
    0xeb78b035U,     0xf6c427b8U,     0xdf37fc7aU,     0x423d3520U, \
    0xabaf68dcU,     0xd01f1b2eU,     0x8efc2191U,     0x6e3ad83eU, \
    0x24c48baaU,     0x8f1db052U,     0xcdb3216aU,     0x7a3974adU, \
    0x78959bb2U,     0x5b26d3e3U,     0x5f62c874U,     0x71c69600U, \
    0x7f2b48ebU,     0x4ec99130U,     0xf4fc9448U,     0x540b24eeU, \
    0x248f9858U,     0xff276929U,     0x030daaceU,     0xde09ec3dU, \
    0x50a500b3U,     0x41925c2dU,     0xe0c16e02U,     0xf0aeb434U, \
    0x3638bad5U,     0xf7848755U,     0xa56f2016U,     0x60c51636U, \
    0x8bc3afefU,     0x001879b9U,     0x43def2fbU,     0x95014133U, \
    0x38bf90e6U,     0x9f3a0b3dU,     0x10a793b5U,     0x17a7b421U, \
    0x04dff652U,     0xc384cb96U,     0xa3311cb3U,     0x50782cceU, \
    0x8c3cb1e3U,     0x45441085U,     0xa932fd03U,     0xa818d6d2U, \
    0xaed75b54U,     0x1e6d97bdU,     0x78a9f39cU,     0xe5449c82U, \
    0x364b2098U,     0x65aa6f52U,     0xdcf94e96U,     0x76fc0b2bU, \
    0xa60b7ccfU,     0xeaae5cabU,     0xa2ea68a6U,     0x323b2ac5U, \
    0xc4eac2a2U,     0x0193a1c8U,     0x30d6c51eU,     0x5d2d5501U, \
    0x8b390754U,     0xc3baf261U,     0x6effabb2U,     0x5a4b09afU, \
    0x1ffac8adU,     0xca2882f1U,     0xb7364536U,     0x1dab7ca6U, \
    0x05c6db18U,     0x5d7b37caU,     0x49692746U,     0x72d89d90U, \
    0xdfba70aeU,     0x6abb5008U,     0xbeb67ca0U,     0x05c8c323U, \
    0xbccad2d5U,     0x2c740995U,     0xa7ee7895U,     0xab100d92U, \
    0xa731ae7fU,     0xbf655eb7U,     0x3b13d594U,     0x32485f01U, \
    0x20b33be0U,     0x91f1df40U,     0x12ac9967U,     0x82f0304bU, \
    0x5f6a7817U,     0xdc8cd1ecU,     0xad27ed14U,     0x1baab33aU, \
    0xc5e33938U,     0x3881d429U,     0x68637b30U,     0xcf1f964cU, \
    0x5aaddfd1U,     0x9d0d923fU,     0x77f583b4U,     0xcdad1309U, \
    0xf8d24d90U,     0x21fe9058U,     0x02bc5a86U,     0x17eea5dbU, \
    0x0753be00U,     0x1bad5fa2U,     0x2f480c44U,     0xb28f0d7fU, \
    0x2ef92633U,     0x15115988U,     0xa3ce13cbU,     0xe5ea2acbU, \
    0xf6ba13e2U,     0x516a3ef8U,     0x9979451cU,     0xcfec275eU, \
    0x1622dccdU,     0x88b03e4cU,     0xe9d68fd3U,     0xdebef387U, \
    0x8d587a86U,     0x45f3bffdU,     0x35b5ddfbU,     0xa3a46a41U, \
    0xbb0c3903U,     0x512364b1U,     0x210551bbU,     0x628b9c4dU, \
    0x90ebf066U,     0x125c0a02U,     0x22e231d9U,     0x71efa70fU, \
    0x34dbaa12U,     0x8b851fc2U,     0xbde718f9U,     0x3ded395fU, \
    0x7a42ee57U,     0x1d0796a8U,     0x905e5f1fU,     0xbfd8f4e7U, \
    0x207fe534U,     0x6dec61e2U,     0xcd2f2119U,     0xba510cd7U, \
    0x44a3aa10U,     0xa4ba2eb5U,     0x309abac2U,     0x2b5a2b80U, \
    0xf923f4e7U,     0xfadc563aU,     0xb36552d3U,     0xb69f7e7cU, \
    0x9fee7d36U,     0xf63f6378U,     0x1e4659ecU,     0x2ef2d8faU, \
    0x1a04f288U,     0xccef770bU,     0x21ef5276U,     0xe5dcbc08U, \
    0x04376315U,     0x88d1af13U,     0x29ac0e7fU,     0xb1fde47bU, \
    0x51089f2cU,     0x6e86ff6aU,     0x247725b4U,     0x2bb84922U, \
    0x406ff6c9U,     0xac49940dU,     0xb44299d5U,     0x4da44794U, \
    0x89ec5703U,     0x4487cbfaU,     0x86775880U,     0xd65ec90aU, \
    0x2e10de19U,     0x2c084d1bU,     0x97892339U,     0x48bb1defU, \
    0x3a75a2ecU,     0x45b617ccU,     0x0b4aaed9U,     0x7cd07167U, \
    0x5aa597c0U,     0xf3e97640U,     0xcfa3515aU,     0xe26780e3U, \
    0x8fe39661U,     0x78f1d9f9U,     0xb90a7e84U,     0x19071415U, \
    0x9a07ba4bU,     0x912f3b65U,     0x353470e1U,     0x350a10c3U, \
    0x805c45b0U,     0x7254867eU,     0x208b59c3U,     0xc037ca84U, \
    0xbf893048U,     0xf5369528U,     0x4ca50f8cU,     0x3791ef18U, \
    0x94c04571U,     0x702f5eeeU,     0x26c36c22U,     0x7881516aU, \
    0xf867e931U,     0x9d5b88cbU,     0x3bafb227U,     0x33db3732U, \
    0x42339ad4U,     0x9b6b2609U,     0x59d9a2b4U,     0x1660087dU, \
    0x7ffdfbe9U,     0xe8050a58U,     0xdddc14e7U,     0xfda91e75U, \
    0x5f78ab1eU,     0x25a4d051U,     0xe55781b3U,     0xd9ec9665U, \
    0x74fca53fU,     0xed7c245aU,     0x6e9887e0U,     0x5f3dce4cU, \
    0xe4174995U,     0x967d2846U,     0xe21d548aU,     0x94a27c09U, \
    0xc9ce2bfeU,     0x1f668cc3U,     0x21773376U,     0x8c21a024U, \
    0x91a107a9U,     0x0214f1a1U,     0xad73be75U,     0xf6595bd7U, \
    0xd52d4964U,     0xa603e116U,     0xe9578465U,     0xad732932U, \
    0x991aa2b5U,     0x413626abU,     0xa2679787U,     0xd7ff1cf4U, \
    0x7482e1b4U,     0x82548012U,     0xe3d0d183U,     0xe223b554U, \
    0x8f5d01a5U,     0xf13e06f7U,     0x572268f5U,     0xc6d56f53U, \
    0xaf2d0b03U,     0x6007b97eU,     0x1b571dfdU,     0xde4be2f9U, \
    0xd376133dU,     0xa0532cc1U,     0x9b4f8875U,     0xb41a3877U, \
    0x7343b1eaU,     0xd944f4b4U,     0x5cbf5491U,     0xd5e94078U, \
    0x2ddafa85U,     0x44accee5U,     0x365b3362U,     0x275e339fU, \
    0x880025f0U,     0xc81c055fU,     0xe4adff7bU,     0x89dba958U, \
    0x924397a0U,     0x6849c720U,     0x6d3d1adbU,     0x3bfc83edU, \
    0xa94c9ef3U,     0xba1bd3eaU,     0x07942e7eU,     0x255cb04eU, \
    0x94f58bc0U,     0x7d7a1f7aU,     0xb5d1b020U,     0x0430edccU, \
    0x567f78aeU,     0x0d7a0c09U,     0x121d7cd4U,     0x84d63988U, \
    0x01aae656U,     0x7e9ae09fU,     0x50463b87U,     0xb0722815U, \
    0x9998d7f5U,     0x09035657U,     0xaa244a16U,     0x837d5ad7U, \
    0x701e2c95U,     0xab314d70U,     0x268f18d4U,     0xb2692e55U, \
    0x6f8af7fdU,     0xd3a87f1fU,     0xfd8e14f6U,     0xea0dd0a4U, \
    0xcc2b4c51U,     0x317a22ecU,     0x54417bfcU,     0x0dc3c35cU, \
    0xf6433724U,     0xc68ad5bdU,     0x63fc7420U,     0x27aff85dU, \
    0xd5d71cecU,     0xba645771U,     0x7f81a048U,     0x4c218feeU, \
    0x0af69701U,     0x398f80b8U,     0x84b3b810U,     0x275c9b4eU, \
    0xba00f6f1U,     0x425c91c9U,     0x4a230351U,     0xf76f281aU, \
    0xdb5daf32U,     0x890ca7e2U,     0xd2cf5f19U,     0xed9098a0U, \
    0x1f6501e9U,     0xd8c73320U,     0x974f61dcU,     0xe96d9f6fU, \
    0x0bbfdf49U,     0x1db13336U,     0x5fd46626U,     0xdfdc8be4U, \
    0xfbf582d2U,     0xac399db8U,     0x53bb6f2dU,     0x1bfbf979U, \
    0x95efc73fU,     0x9667e224U,     0x72a8cbd9U,     0xcb438837U, \
    0x5b41d4d8U,     0x3467f639U,     0xe09a4389U,     0x856de28dU, \
    0x8b1b259aU,     0xfafcc5f6U,     0xbe1899bbU,     0xf4e42a95U, \
    0xdfd811d6U,     0x65019c40U,     0xba80a48bU,     0xe58f8dc9U, \
    0x2984e5b9U,     0x171a9a3cU,     0xc6a8414aU,     0xf6c6ca3fU, \
    0x6a0030c2U,     0x4280e5b1U,     0xe7ec662aU,     0xc017a119U, \
    0x5e305c2bU,     0x210abfbdU,     0xaa05d81fU,     0x7db8a04bU, \
    0x1b5db024U,     0x21277a86U,     0xc5147e93U,     0xcce9fb53U, \
    0xf492313fU,     0xb65228beU,     0x84c7b0e1U,     0x2b2f450aU, \
    0xdcd0985dU,     0xcba87e69U,     0xa54c24acU,     0xf3a7c267U, \
    0xd7b140dbU,     0x980a529aU,     0x2d967441U,     0x699d29c3U, \
    0xe6354582U,     0xf06f1713U,     0xaa8ce9a4U,     0x56dd336fU, \
    0x3160e3b7U,     0x09f646fdU,     0x7b38de5aU,     0x9c69b65dU, \
    0xb26eb303U,     0xc58f2c8bU,     0xda142941U,     0xab0ff31cU, \
    0xee490fd9U,     0x3375a967U,     0xc4c3d36bU,     0x55021988U, \
    0x296f4aa8U,     0x4ea0360fU,     0xe4df0b51U,     0x5783cb99U, \
    0xd01fd437U,     0x0f50486fU,     0xb0d03dcdU,     0xd24a43e3U, \
    0xc028364eU,     0x5090bceeU,     0xb2433ec4U,     0x67849e1cU, \
    0xdd4e32e1U,     0x8185cd18U,     0x9ad7ebaeU,     0x47e9991bU, \
    0xd842b02fU,     0xa8c0483dU,     0x8d54c4adU,     0x6c8cf609U, \
    0x61a90a84U,     0x1e22fce4U,     0x0f5be5adU,     0x1f733254U, \
    0x58ad6758U,     0xcb97a299U,     0x428ecffdU,     0x6c083392U, \
    0x04f82ba2U,     0xf28ce552U,     0x47e32d94U,     0x1257a487U, \
    0x17f7320cU,     0x70620de9U,     0x61a6ce37U,     0x4ede82e3U, \
    0xf07f22c7U,     0x5da73986U,     0x03be39e9U,     0x3fd69116U, \
    0x0daba042U,     0x31ad8967U,     0xf8c3107bU,     0xe57b1286U, \
    0x142bb591U,     0x3dfb8c93U,     0x90c982c7U,     0x93ade7fcU, \
    0xf6696563U,     0xc5e4644cU,     0x055a42d3U,     0x7da3d8b0U, \
    0xd787b4c7U,     0x7ca68ea2U,     0x6d263170U,     0x578b0339U, \
    0xb1b7bb1fU,     0x95f9d8d5U,     0x0fd4dd26U,     0x30451fc2U, \
    0x75e1e3fcU,     0x4f6d2784U,     0x057318f9U,     0xd3af7e77U, \
    0x47baa730U,     0xe0b46a4aU,     0x42241713U,     0xacd518d1U, \
    0x06f7da25U,     0x6ad12db8U,     0xf5c4de6fU,     0x269a89c4U, \
    0x85996098U,     0xce9b72cfU,     0x7d408cf0U,     0x78df0736U, \
    0x76b3f73aU,     0xecb76c8fU,     0x799615b2U,     0xe7850650U, \
    0x219c0533U,     0x11cd1485U,     0x3a181cb5U,     0xc15f0546U, \
    0x20e1b0cfU,     0x940888b9U,     0x6cd3acfbU,     0x4bbc09e1U, \
    0x7367572fU,     0x90d5390cU,     0xaa19ae18U,     0x3b06b4c9U, \
    0x1fdff265U,     0x80b09d23U,     0xff670769U,     0xc7d2d04aU, \
    0x4543adfbU,     0xaf5cbe65U,     0x5c56fedcU,     0xb5fa332bU, \
    0x3e5cdb66U,     0xb5caf9f6U,     0x2790282cU,     0xc3fe0ba3U, \
    0xaa2dd724U,     0xe4b495c7U,     0x5f239584U,     0x64b170b3U, \
    0x0078affeU,     0x871f3fc2U,     0x8bb6078bU,     0x02803ae9U, \
    0xe13f3b9dU,     0x99c93647U,     0x5e1989f9U,     0x8675f4baU, \
    0x3c38e715U,     0x780cfa9dU,     0xc98c2807U,     0x34dbd53dU, \
    0x379588efU,     0x0c2874c0U,     0xc0864784U,     0xa4e4dde2U, \
    0xe3334db8U,     0xe4f78017U,     0xa9742265U,     0xd6555f98U, \
    0x707d72feU,     0x41ef8900U,     0xaf647cbdU,     0x80a59f68U, \
    0x4ad80400U,     0x0c394156U,     0x80958750U,     0xb012b24eU, \
    0xe73c744eU,     0x86fdd0b4U,     0x46ddc639U,     0x87b3c042U, \
    0xe8fed53eU,     0x0ab42341U,     0x9dfd33f9U,     0xd2a19694U, \
    0xb5b9db28U,     0x2fc2c8a0U,     0xc5c67b57U,     0xcdf2ba55U, \
    0x8e0b3815U,     0xaca65895U,     0xaea29893U,     0x3c83e224U, \
    0x262dcb32U,     0xfb48fbefU,     0xa82cbedeU,     0xfcbc0178U, \
    0x641ddf8dU,     0x67bcb74bU,     0x1cf0d21eU,     0x7175238cU, \
    0x1f6eaaceU,     0x4f4e92f1U,     0xa499c755U,     0x45b1c6e2U, \
    0x05ffa3bbU,     0x0bc60985U,     0x400b4755U,     0xe363cc47U, \
    0x40173e63U,     0xd04532c5U,     0x3043dbd2U,     0x816f973fU, \
    0x5c5bfd32U,     0x9c97c5efU,     0x3ddb2451U,     0xf957a616U, \
    0x61b99ecfU,     0x3bc85c34U,     0xf68f3d4eU,     0xc89e2ec0U, \
    0x1a292647U,     0x71153f20U,     0xddaa4394U,     0x88912055U, \
    0x7605abb8U,     0x3f6b7142U,     0x2af9b3f9U,     0x4785cf05U, \
    0xa31124f5U,     0xbeeaa411U,     0xcc3135c6U,     0x3b3aa723U, \
    0x7d2655afU,     0x870d20baU,     0xbe9ef677U,     0x67fe2526U, \
    0x39c1606dU,     0x293f9deeU,     0x927fc932U,     0x8cea286aU, \
    0x154a45c1U,     0x2b4c10b8U,     0xb3a06d1cU,     0xe67a829aU, \
    0x8c8d4a6fU,     0xfbc54d60U,     0x29b903b1U,     0x8495282eU, \
    0x2ad77ab7U,     0xe90a900fU,     0x08ab3402U,     0xc443ed97U, \
    0x6c698ccaU,     0x3ef24331U,     0xd97e5c3eU,     0x0cfc9ab0U, \
    0x0cdd69d3U,     0x6e7e255dU,     0xa1216b49U,     0x0e72a519U, \
    0xd2a44cfbU,     0x15ce1ad6U,     0x373e700bU,     0x0d788174U, \
    0x818edb30U,     0x6bdcfce0U,     0xf0a87986U,     0xd3f010e1U, \
    0x7df6a7ddU,     0x1ba4f1e5U,     0x94e97a2bU,     0xdf2afddbU, \
    0xa0d4f3abU,     0x942ddc00U,     0x7c793a4eU,     0xcea52f48U, \
    0x389d9f48U,     0xadba72edU,     0x5c3d3aefU,     0x5ea02b3bU, \
    0x2f58f80bU,     0xef69e957U,     0xae19df9bU,     0xf80c3dc3U, \
    0xfd9fa340U,     0x0d16c302U,     0xd1d096a9U,     0xc874bb5eU, \
    0x68c61ab6U,     0x2f8c13c5U,     0x325deb8eU,     0xfbf89b80U, \
    0x9aa64d2dU,     0x4079bd72U,     0x8d2012f2U,     0xc456931bU, \
    0x2e38c409U,     0xdacff7a6U,     0xf8d1e367U,     0x7d05663dU, \
    0x07592ca1U,     0xeb82a88cU,     0xcf83414dU,     0xf005c34cU, \
    0x40f86fb2U,     0xb941aa03U,     0x3c5dc56fU,     0x733f502cU, \
    0x2a64c8ceU,     0x95105c8cU,     0x3f6a00bfU,     0x75a1a27cU, \
    0x3244ca82U,     0x904ea7f1U,     0x32098cbfU,     0x74ef56d5U, \
    0x1c519fd4U,     0xeb9af7b6U,     0x0ab4cb09U,     0xa1d09a9aU, \
    0x7169ab57U,     0x7f86734eU,     0x73d65624U,     0x5237171bU, \
    0xa51607f2U,     0x8edf6d4cU,     0x353622aaU,     0x041709beU, \
    0xcdbeb19aU,     0xfd8e61d4U,     0x6ea7ea3dU,     0x95590ae7U, \
    0xe4dfa3b7U,     0xd14f6012U,     0x472d7ebeU,     0x75cfdf3bU, \
    0x92557949U,     0x4169ee21U,     0x4ccf8cf0U,     0x95288c4cU, \
    0x963b0981U,     0xea44d36dU,     0x62de2227U,     0xd7bf23aeU, \
    0x327f8d2fU,     0x5e875d57U,     0x5ac56fbfU,     0x50d2f7c7U, \
    0xbe20f562U,     0xeb4b3bfeU,     0x1ba6fcd2U,     0x93b6cf86U, \
    0xca83f94fU,     0x87ba71e8U,     0xa7b121f3U,     0x4aecab9dU, \
    0x6356469eU,     0xcc3ec905U,     0x928ced9eU,     0x362e4532U, \
    0x650fc48bU,     0xe4bcd808U,     0x0928ed94U,     0x74d0d5b6U, \
    0x95135456U,     0xedbf9069U,     0x03181edaU,     0xa233aba0U, \
    0xfb1ac087U,     0xd8e66122U,     0x52e8dd69U,     0x81287824U, \
    0x17d40644U,     0xeb2c2662U,     0xf7f6fbb4U,     0x01a44bd8U, \
    0xe544fd6dU,     0xf305507cU,     0xb1efe08dU,     0x7042d451U, \
    0xe6337be9U,     0x6ae9f4cfU,     0xa4d2f9d3U,     0x755736aeU, \
    0x021d09d7U,     0xfebe983bU,     0x7be3098dU,     0x99bdb749U, \
    0xcc18c518U,     0xaaa7a7e1U,     0x19a19574U,     0x3a9901beU, \
    0x8a7495caU,     0x6af34400U,     0x2401f81cU,     0x4213e46fU, \
    0x27f5c069U,     0xa77f3e81U,     0xa6c2f720U,     0x68e09a54U, \
    0x18fa99baU,     0xbffdbdf5U,     0xf861f4c7U,     0xeefda971U, \
    0x030d3a3cU,     0x3b8539b0U,     0x078a38e9U,     0xfe8d217bU, \
    0xf7a6763eU,     0x4fe507c7U,     0xdfe2d56eU,     0x884c0ef9U, \
    0x944696f8U,     0x18dcebd6U,     0xf964ac72U,     0x24210304U, \
    0x26cd3e76U,     0x5c02f2b1U,     0xdc48f5a5U,     0x2cdaff69U, \
    0xd8dff1b3U,     0x77bb8bc1U,     0x700473a8U,     0xb6f7b4e3U, \
    0x711be0d4U,     0x83e313bfU,     0x7e74f2b2U,     0xd7f914f5U, \
    0x129a802eU,     0x1f3673ccU,     0x8770dcd0U,     0x4114aad2U, \
    0xe5763e51U,     0xcbde6049U,     0x01852aaeU,     0x03f4946aU, \
    0xf7c760afU,     0x4e0c296bU,     0x343d17e2U,     0xd288c76cU, \
    0x331e1e96U,     0x975cc73aU,     0xcf025e7dU,     0xae6bd395U, \
    0xb2053babU,     0xfcfacaf4U,     0xcb63908bU,     0xfc08ca0cU, \
    0x6d72ad27U,     0x516a4f57U,     0xa16b6c6dU,     0x91ce4e7aU, \
    0x4d7a5590U,     0x41840787U,     0x06936099U,     0x10fb122fU, \
    0xfdba1e65U,     0x36217a0fU,     0xab3302edU,     0x4c719bbbU, \
    0x967dedd1U,     0x26681cc2U,     0x0259cbf2U,     0x37bbf642U, \
    0x5237e134U,     0xa37764c3U,     0x96b60815U,     0xc82fa50fU, \
    0x65eb5c3fU,     0x9769e4eaU,     0x26fa5fb7U,     0x09c79c54U, \
    0xa25339dbU,     0x5224d676U,     0x8996aef2U,     0x149a6a6eU, \
    0xe2b1c71fU,     0x2dc3b12eU,     0x6f01f0ecU,     0x5396f8d3U, \
    0x66dd42aeU,     0x18a8a179U,     0xf8651ab9U,     0x60a025eeU, \
    0x86cf6f9bU,     0x2d96da1cU,     0x37a139ceU,     0x68a7b881U, \
    0x17c48721U,     0xd3830eb9U,     0x8b9e98e2U,     0x2114c90eU, \
    0xeac9a730U,     0xcb527b66U,     0xb239cd0cU,     0xcb0f66caU, \
    0x7bbca62fU,     0x2168ab81U,     0xab3d4c1cU,     0x8dbf4dcaU, \
    0x0a1f6b64U,     0xcae95d35U,     0xf6e96310U,     0xc3ebfc15U, \
    0x89ef8313U,     0x48a142edU,     0x4adb94e9U,     0x5be5ee39U, \
    0x408aa172U,     0x21f61862U,     0xb7c625a4U,     0x038d2d7eU, \
    0xa7baabb0U,     0x7db130c8U,     0xc114dd9bU,     0xa1d0b275U, \
    0x2d1630dcU,     0x785ca79fU,     0xc3e67a43U,     0xc727b60fU, \
    0xb0825906U,     0xea759e64U,     0xbed1d902U,     0x0e1f9e28U, \
    0xe519a8e6U,     0x7a3df1e3U,     0x16d9142eU,     0x04fe20cdU, \
    0x350d761bU,     0x0ed87bc4U,     0x4747b58dU,     0xaa41c062U, \
    0x71de6736U,     0x2ec60255U,     0x73d6d83eU,     0x3888515eU, \
    0x3cbe93e3U,     0x88abcb54U,     0x77c4646aU,     0xc2172a1cU, \
    0x6d6a9299U,     0x5e26e1d2U,     0xdb609ea0U,     0xc8d8a694U, \
    0x0f84dacbU,     0xb48ccd6bU,     0x25c9dd3bU,     0x00b575dcU, \
    0x5cf42398U,     0xa09c5ae2U,     0xbf713e03U,     0xb824868fU, \
    0x5476ba71U,     0xa1e28a0cU,     0x11440e21U,     0x9709b24bU, \
    0xf3b0f70dU,     0x025904edU,     0xe3368365U,     0xd7b8c24aU, \
    0x00bad327U,     0xf427f777U,     0x7b2737ccU,     0x85ba7322U, \
    0xa50e2811U,     0x79a0d342U,     0x83c21378U,     0x261a8081U, \
    0x6e1beda1U,     0x4d1f7b2cU,     0x8f19b60cU,     0xaae8c303U, \
    0x2d2bacb0U,     0x2c0a50d7U,     0xa1469991U,     0xf8410604U, \
    0x2341193bU,     0x0a1e0207U,     0x8409a0d4U,     0xf956b453U, \
    0xe4ffec24U,     0x124bb1a9U,     0x80188523U,     0xc11f4dadU, \
    0x3c028ca1U,     0x7cd8c470U,     0xedd91796U,     0xdac01271U, \
    0x6f999c41U,     0xa37190d2U,     0x922dc69dU,     0x0bb60bd8U, \
    0x8400fce3U,     0x13155f85U,     0xda11ea4dU,     0x99814c16U, \
    0x6f662b46U,     0xd8e4347eU,     0x3bf75e98U,     0x861630e6U, \
    0x20e5e5efU,     0x358c2a11U,     0x04136bdbU,     0xc6fbdfffU, \
    0x416319b8U,     0xd7347f76U,     0xd3638f1cU,     0x0d20985cU, \
    0x78b7bd37U,     0xc227a0d3U,     0x77936c36U,     0x74ce7a0cU, \
    0x39b0f40cU,     0xf3e1d8d5U,     0x4e4e8fd6U,     0x5a630facU, \
    0x01200ebbU,     0xa303435dU,     0x41e3e626U,     0xaa6eddbbU, \
    0xd8dd209cU,     0xe1d415c3U,     0xbd887ff4U,     0xeedafbd4U, \
    0x814c3d01U,     0xdcf9daebU,     0xab8b9b1cU,     0x443b0674U, \
    0x39359369U,     0x847e2914U,     0x358eb670U,     0xad54d332U, \
    0x1ce7b0e6U,     0x047f6e94U,     0x05f74f3dU,     0xcc7e5c0dU, \
    0x7133f76bU,     0xc89fe0b5U,     0x05310a81U,     0xb504ce9bU, \
    0x7862e7ceU,     0x9a7b1514U,     0x3fbce707U,     0xaf3425a3U, \
    0x72a85d41U,     0x61fa938fU,     0x4a852ce7U,     0xa79eca04U, \
    0x83622688U,     0xc995daf4U,     0x69ca7a55U,     0xb8196f07U, \
    0x1d24ff8dU,     0x3dc46ae9U,     0xd45dd276U,     0x7ebc11ccU, \
    0xc825ccc8U,     0x437c8611U,     0xb34fa461U,     0x5bc25853U, \
    0x61194c5dU,     0xa9b3ca93U,     0x87227c8aU,     0x6ea229feU, \
    0xdefc1691U,     0xee2e933fU,     0x5e68a48fU,     0x2dbe2e78U, \
    0xf474c2c3U,     0xb9b4e1e2U,     0x0ba6b076U,     0x01f6105aU, \
    0xd12cf3f6U,     0x9ddb5ebdU,     0xae1de43dU,     0xdb928c40U, \
    0x8169a1bdU,     0x226627e6U,     0x383ce357U,     0xa533f4d3U, \
    0x86e87084U,     0xb0a62b72U,     0x08f217a9U,     0x1560748aU, \
    0x05639156U,     0x443558cbU,     0xc2c170e6U,     0xb524ef62U, \
    0x402b0825U,     0xe124d99aU,     0xf304120dU,     0x94b0f0f6U, \
    0x91a9b89fU,     0xb23dd23cU,     0x9ba6afa0U,     0x3d3cf846U, \
    0x9e766f20U,     0x9a05eaecU,     0x27ed527eU,     0x920d0485U, \
    0x210701ccU,     0x8fbca855U,     0xee6db1eeU,     0x380f78fbU, \
    0x451fad20U,     0x494b760cU,     0xb195cf04U,     0x6ff5f771U, \
    0xd57f9f49U,     0xd93b161bU,     0x234951d1U,     0xe38f5dc7U, \
    0x0d4eaae5U,     0xa7537d10U,     0x4a4e458dU,     0xc1d28837U, \
    0x105964d7U,     0x1323cb53U,     0xb0a6d76dU,     0x0227429eU, \
    0x1f6a48e8U,     0x04299274U,     0x9ad4f0baU,     0x971e5375U, \
    0x5aedb17eU,     0x015e8ae5U,     0xdf411726U,     0x2a1d9c3cU, \
    0xdab59bbdU,     0x18249c5fU,     0xbc9a7a4bU,     0x200b1ff1U, \
    0xf3af1429U,     0x028ae8d8U,     0xbfca4d24U,     0xe15768bbU, \
    0x189ac960U,     0x6333f7bbU,     0xf48cd764U,     0xb87e755aU, \
    0x88de5975U,     0x654f5c2bU,     0x5eb48e52U,     0xe6f1792bU, \
    0x75a1d9f2U,     0x8d8452b3U,     0xde5fb3f6U,     0x1aa56ac6U, \
    0x806c483dU,     0xdd05e710U,     0xf47cf8e9U,     0xbf5263c0U, \
    0x82e306d2U,     0x658e3e97U,     0x1e17d769U,     0xc164bce5U, \
    0x9e56b91dU,     0x11b42532U,     0xfe4b1e14U,     0xac702dfeU, \
    0x263e2184U,     0x125e8d92U,     0x62273c21U,     0x886e8fc0U, \
    0x2017fe3eU,     0xc3be6d0eU,     0x9fb3e3d8U,     0x8b9e06abU, \
    0x6ef3f75cU,     0xe79ee0d4U,     0xacbf65f6U,     0x2b325ca0U, \
    0xfc48078aU,     0xa848b68dU,     0xa1b0c7caU,     0x99251b69U, \
    0x8a15b919U,     0xf55c45a7U,     0x3a2c1701U,     0xe666f74aU, \
    0x50c9ac8aU,     0x713baf07U,     0x54083003U,     0xc9e125b7U, \
    0x7d9afc1cU,     0x62fd7a75U,     0x8551b4d2U,     0x034d7460U, \
    0xca48b967U,     0x43a07718U,     0xff9b8699U,     0x529f3b06U, \
    0x687d399dU,     0xa058c212U,     0x12c63256U,     0x0c7feef2U, \
    0xef20749cU,     0xd5cacd3cU,     0x5453bf0bU,     0xb5ab35b9U, \
    0xe872e7c8U,     0xf34fcef1U,     0xa2643c23U,     0x5ad2e4d5U, \
    0xcc2ca48aU,     0x8647278eU,     0xd74a0cc2U,     0xd62b6373U, \
    0x3f0816b4U,     0x591592a8U,     0x68924862U,     0x86e072e6U, \
    0x2267cc2eU,     0x7aa00265U,     0xac020ee1U,     0x151e3fe6U, \
    0xc63732a1U,     0xdc92c3d8U,     0x76a92521U,     0x853f185fU, \
    0x71181354U,     0x2a179b82U,     0x784488a6U,     0x211b3dd1U, \
    0x43046e0eU,     0x29bcf486U,     0x8d7b2b0fU,     0xc2350312U, \
    0xf2209e68U,     0x66153842U,     0x04967332U,     0xec2b796aU, \
    0xaf60dd87U,     0x740d85d2U,     0x34db3c5dU,     0x85bc0e43U, \
    0xae5748e6U,     0x4f966707U,     0xf11e1e80U,     0xe830a457U, \
    0x6678465fU,     0x9d9933b9U,     0xa0bb1fd2U,     0x9d8ba58dU, \
    0xaa541585U,     0x7e3d41d9U,     0xcd9694edU,     0x92ae398cU, \
    0x0089a296U,     0x033cbb4aU,     0x3d29106eU,     0x780307c5U, \
    0x58d64452U,     0x2f4cf662U,     0x95f28530U,     0xa5c7bf1fU, \
    0xfee93683U,     0x17c7094fU,     0xdb251ed5U,     0x2a4eb6a5U, \
    0xc6ff285dU,     0xeb0a9bc2U,     0x39310668U,     0x3362b4e5U, \
    0x11856b21U,     0xbf7dd206U,     0xd8ad81c6U,     0xb6a90971U, \
    0x06b8a019U,     0xf6d0ae5cU,     0x76788990U,     0xe37bfbf6U, \
    0x0ecd0c14U,     0xb40ff1bfU,     0x0eabc473U,     0xb5bf132cU, \
    0x1f848406U,     0xc74375a4U,     0xebb6bdfcU,     0xdada41fbU, \
    0x8da88901U,     0x11f8bd17U,     0x04461f7aU,     0xc5e593c6U, \
    0x94e07951U,     0xe0b8f5bbU,     0x3cf57fccU,     0xfab0d38aU, \
    0xd7b00fdbU,     0x078323f6U,     0xc5cdefa5U,     0x6ceba8c3U, \
    0x270372cfU,     0xf4f68af1U,     0x48b566aeU,     0x99347b2fU, \
    0x6cf08d66U,     0x0a83f4d0U,     0x4dab76e8U,     0x3dfabbd9U, \
    0xd44b08e6U,     0xbe8c3adbU,     0x2b79bdb3U,     0x4e24de00U, \
    0xf911e3aeU,     0x1d7c0761U,     0x9e71d7bfU,     0xeb2fab58U, \
    0x9b5a9df8U,     0x0b6524b3U,     0xa0be1991U,     0xf30be6aaU, \
    0x6db21c13U,     0xf84d822fU,     0xbb8d5ad9U,     0xcbcfe2f3U, \
    0x1f4be8efU,     0x4f0b4b28U,     0x3ea8cdf7U,     0x13dc61a0U, \
    0x5a2a7b69U,     0x34b9c90cU,     0x9cf74d28U,     0xb29ef094U, \
    0x4a63e69aU,     0xeedcd3adU,     0x975a59f5U,     0x938fc46fU, \
    0x2050a22dU,     0x7e91618cU,     0x7bf62f0dU,     0x3c9790f7U, \
    0xf7ac1c64U,     0x28f701b4U,     0x2b535d33U,     0x224f2346U, \
    0xd295001eU,     0x844731b3U,     0x403c3080U,     0x9e878637U, \
    0x116e5c79U,     0x9d58d1d6U,     0x65914eecU,     0xf9a8265aU, \
    0xe3f3489cU,     0x55225d85U,     0xce5ebd64U,     0x8616101bU, \
    0x6d07f06bU,     0x6ab02406U,     0x3932c590U,     0x3fafa87eU, \
    0x76fec524U,     0xa3a40e87U,     0x5280e239U,     0x02fe9c27U, \
    0xc75d18c9U,     0x4912ac65U,     0x318a10f6U,     0x004038ddU, \
    0x25a4ca5dU,     0x389cc33bU,     0x1a0c14a9U,     0xdc6eb1fdU, \
    0x61dc95caU,     0x8ff799a2U,     0x8b61c207U,     0x0fb0c457U, \
    0x9e388728U,     0x81c95ddeU,     0x77a6163aU,     0xc9c25d2aU, \
    0x7da69ea6U,     0x9e4d15c2U,     0xee6c3a2bU,     0x67461f01U, \
    0x5c7d78bdU,     0x14e7018aU,     0xa6261fe8U,     0x157657eaU, \
    0xd37b27b9U,     0x4d9e0802U,     0xede79ba9U,     0xf0a36ca0U, \
    0xd45aa75dU,     0x3a23fc1aU,     0x21eae84fU,     0xb990c113U, \
    0xbf6195a6U,     0xf68abf22U,     0xd1cd7af9U,     0x8cb064b8U, \
    0xebe69ecaU,     0xed1963d8U,     0xc3e843d0U,     0x6728479bU, \
    0x91caceb0U,     0x624c87c9U,     0x5747b437U,     0xf7209665U, \
    0x9f0e7843U,     0x47064787U,     0x884a7960U,     0x593fbc3dU, \
    0x3112d799U,     0xa778b90fU,     0xbbba3950U,     0x96051a69U, \
    0x3f5192c2U,     0xc962063bU,     0x39e6980dU,     0x00701f4aU, \
    0xd75bca0dU,     0x4f063ab1U,     0x429afa00U,     0x6b0fb191U, \
    0xa94daadbU,     0x42f4040eU,     0xf0b304c6U,     0xa8eb30abU, \
    0x5e4fa308U,     0x460371d9U,     0x020349e3U,     0x89510bf8U, \
    0xb86531aaU,     0xba7c753bU,     0xfaaece53U,     0x52ff7f43U, \
    0x6240f986U,     0x3a343432U,     0x5755fc5fU,     0x4dd6426eU, \
    0x8e36db80U,     0x957cb1e2U,     0x27c5c425U,     0xc6732009U, \
    0x0dfad163U,     0x0897fa10U,     0x252aa8adU,     0xcac4a7b5U, \
    0x016ee498U,     0x4742f5e6U,     0xcde4c926U,     0x443b66bfU, \
    0xa509073eU,     0xe30c8e0cU,     0x66580882U,     0x45e7a999U, \
    0xbf17c961U,     0x606285a8U,     0x52a9a480U,     0x58064149U, \
    0x74a866e4U,     0x569f1cd3U,     0xd5b0f4baU,     0x221a8eb7U, \
    0xfe54bb22U,     0x232e865bU,     0x3efaec01U,     0x8c7f984aU, \
    0x7d15c6e5U,     0x60b438c0U,     0x866e6028U,     0x9e783e49U, \
    0xb533cefeU,     0x033a0060U,     0xc771465dU,     0x5ce76348U, \
    0xcc0eb602U,     0xdaa36b7fU,     0xc760c32aU,     0x074b7cb5U, \
    0x09956b2fU,     0x0ed54447U,     0xe7d05b02U,     0x53c8d22aU, \
    0x825f9735U,     0x42cf4b24U,     0xd2ef9234U,     0x6df7e951U, \
    0xc738e1fcU,     0x36b44cb4U,     0x6c4dc574U,     0xb3379361U, \
    0x41442eb4U,     0xe48ff0fbU,     0xe6ca8dc7U,     0x8449586bU, \
    0x493e1e03U,     0x55446d1fU,     0x0747b59cU,     0xf6a89464U, \
    0x3f386db0U,     0x02c0516dU,     0x8a9d4ab3U,     0x388ab137U, \
    0x6e7918d4U,     0x53f6e975U,     0x17c3d2e7U,     0xece6546cU, \
    0x81990f3cU,     0xd651336cU,     0x0a300687U,     0x51f4d7d8U, \
    0xf6377b35U,     0x4e4b7f82U,     0x2a30d1f1U,     0xf45012e8U, \
    0xd46294feU,     0xfbf85adfU,     0x2e605924U,     0x3addb0fcU, \
    0x8a0366f8U,     0xf18f8c2eU,     0x0dc1f5d3U,     0x60ccc6c5U, \
    0x1af8d8e5U,     0x15d84836U,     0x8296642cU,     0x81945badU, \
    0xf2bd79a3U,     0xa066e4d8U,     0x023993aeU,     0x0539589dU, \
    0x7d7480beU,     0x7fda2ff4U,     0x8218046cU,     0x6ab039e9U, \
    0x18e2cedeU,     0xcc6df17eU,     0xb5749e8bU,     0xe53b6992U, \
    0x0de31569U,     0xbec1cf11U,     0x50cf4e6cU,     0x453ba948U, \
    0xb976787fU,     0x0f2292c9U,     0x01d4ed4cU,     0xdbdbf812U, \
    0xa31f860eU,     0xd8353340U,     0xf2bdd425U,     0xc1ae2220U, \
    0x3d489b78U,     0x5d3735c1U,     0x6f73662bU,     0x4d553188U, \
    0xfc51bb74U,     0x95819590U,     0xf9e2740bU,     0x08e65d8cU, \
    0x84605f57U,     0x1aa7b300U,     0xd9d6daddU,     0x94dcdbf7U, \
    0xb69db3a9U,     0x83cb6eafU,     0xb2b92ea2U,     0xe91ea8dcU, \
    0x8a817abaU,     0xda7cc798U,     0xf4feeab3U,     0x27cce3d3U, \
    0x96d05169U,     0x6ccdc99eU,     0xe3a6e178U,     0x8cdace2eU, \
    0xbeec20b2U,     0xd408e798U,     0x675edf7fU,     0xba26a231U, \
    0xb28bbd85U,     0xccf54c28U,     0xd150d4a8U,     0xf32fbe0eU, \
    0xbec26ae9U,     0xef4d0b02U,     0x12cc8776U,     0xa896fd1bU, \
    0x86ee6be0U,     0xa3b0c633U,     0x2c35bf62U,     0xbb31513eU, \
    0xde75fc39U,     0xb3ce6f6dU,     0x78c6e1e9U,     0x0eff97e5U, \
    0xe9a42b81U,     0xa9d18da4U,     0x3faa2a4cU,     0x71d76305U, \
    0xe828f04aU,     0x1c442810U,     0x604a7638U,     0x4ac740edU, \
    0xe6fdc370U,     0xeccc6505U,     0xbdd9c708U,     0x436f8a6aU, \
    0xd725a5f8U,     0xdda2032dU,     0x026879ddU,     0x43cc5b80U, \
    0xa024dd14U,     0xaf3c86ecU,     0xdce01c53U,     0xaacdb02eU, \
    0x7ec27c2fU,     0x7019b015U,     0x9ff05d71U,     0xbd3e171eU, \
    0xa74d286bU,     0xeb8fd30dU,     0x4935bda3U,     0x42b20e27U, \
    0xffaaa7b3U,     0xbe651d47U,     0xfac9a028U,     0x8a066a48U, \
    0x6d6bca90U,     0xa94dfcdaU,     0x4e816e9aU,     0xcd112708U, \
    0x5fb546feU,     0x6394e0ceU,     0x533e6485U,     0xe1567ee9U, \
    0x0429c7c0U,     0x83355a13U,     0x0fc9e0adU,     0x222e9672U, \
    0x7eeabdebU,     0xa52930b0U,     0xf561706fU,     0xfe637b5cU, \
    0x260b0cbaU,     0x15feb878U,     0x0a12f42dU,     0xdca7f01eU, \
    0x56d83b7eU,     0x5a97db4dU,     0xc438ab23U,     0xbe5eb302U, \
    0x223af3eeU,     0xe72d1defU,     0x5a0c0c08U,     0xcbfabdc0U, \
    0xedfd44a7U,     0xbe4a105dU,     0x96c56b79U,     0xbfec4048U, \
    0xe4860029U,     0xf6841158U,     0x98e89f9eU,     0x0a2a24f8U, \
    0x7516bb23U,     0xae187db8U,     0x2e094eeeU,     0x097f614cU, \
    0x948ca9e4U,     0xba300272U,     0xb48b68e1U,     0x00d27ce3U, \
    0xcb7473c3U,     0xff2ed91fU,     0x6711c613U,     0xb1c57d37U, \
    0x174171e5U,     0xd2d458a1U,     0xf43a7a07U,     0x2b7dcb62U, \
    0x8350e3c9U,     0xfd48a515U,     0x320eb30cU,     0xbdc187b9U, \
    0x5f892f55U,     0xba3ba5b6U,     0x513bfeb9U,     0xdd0eb789U, \
    0xb3b55c14U,     0xf0540b5bU,     0x90c76595U,     0x01444526U, \
    0x00e89ceeU,     0x4cc3e3b0U,     0x1e4c69b9U,     0xeeb38ba4U, \
    0x57f95461U,     0x344f2a97U,     0xe6108e5cU,     0x7816a432U, \
    0x83331334U,     0xea2d72c8U,     0x41092ed6U,     0xcb366265U, \
    0x14ee6d3fU,     0x1869e6dfU,     0x43aa8d79U,     0xac80809cU, \
    0x5384f475U,     0x285357baU,     0x32e0f38aU,     0x6832666aU, \
    0x016bb4aeU,     0xd5989b6aU,     0x4f532201U,     0x93b5ed7bU, \
    0x74da5e3eU,     0x67139902U,     0xd848fbd7U,     0x091d380dU, \
    0x77927e02U,     0x32782afcU,     0xa38fd112U,     0x476cfda1U, \
    0x6a3cd367U,     0x546690b6U,     0xe8fc6977U,     0x881660faU, \
    0x9e8e032cU,     0x6e53a8b8U,     0xe1b1ed06U,     0xd5487f74U, \
    0x8074c7baU,     0xf28e1ba1U,     0xa3c3efdeU,     0xadaa598dU, \
    0x9702ae68U,     0x53eca658U,     0x71626515U,     0x6d5ae01aU, \
    0xa319349bU,     0xaf9f2d68U,     0xf6507959U,     0x4975acb2U, \
    0x900c8806U,     0xcd0e07bdU,     0x61f2c6e5U,     0x6c809824U, \
    0x568bedebU,     0x2196ba73U,     0x8cbeb5c7U,     0x09fe5770U, \
    0x57179415U,     0x0b64ca02U,     0x911a4efdU,     0x146ac9caU, \
    0xf4c4ab36U,     0xa978ca5bU,     0xbcbbb526U,     0x0b6fc411U, \
    0xa4b5a4b3U,     0x65d0c54fU,     0xbed45d57U,     0xd3ea9de4U, \
    0x24771f5cU,     0x377aecf0U,     0x8ff6ab3fU,     0x2b972c08U, \
    0x425d6830U,     0x82814bceU,     0x2f92c580U,     0x97cceb90U, \
    0xf6d0aa5eU,     0x83e60b26U,     0xdd6f40ebU,     0xd9f4cac2U, \
    0x56c19ea6U,     0xb78169f5U,     0x5afa6ec2U,     0x7b594623U, \
    0x19418ee6U,     0x8ba2a501U,     0xba44ddc0U,     0xe62a20f6U, \
    0x49f96bdbU,     0x76e7d5a7U,     0x5b87ba1aU,     0xd4ef59e3U, \
    0x576f59a1U,     0xdf75ccc0U,     0x3cf39b59U,     0x9b8412f7U, \
    0x2b91596dU,     0x77e5f175U,     0xa749ad25U,     0xd4f937baU, \
    0x06b91463U,     0xdfea5b32U,     0x866b24bfU,     0xbab95325U, \
    0x90eb5a31U,     0x418ca2c5U,     0xd9fc0281U,     0xf0e95b12U, \
    0xeb1c4c82U,     0xfb573913U,     0x317af914U,     0x2b7ba44bU, \
    0x59c1e3a1U,     0x8fa8713eU,     0x3d7c30d9U,     0xa3fd098aU, \
    0xf0522ca8U,     0xc53ab58cU,     0xd5797f5aU,     0x2184f7aaU, \
    0x548844c2U,     0x6c98faa8U,     0xd135c08fU,     0x90177481U, \
    0x2d96880fU,     0xd742289dU,     0xb5273dafU,     0x1bb8acf6U, \
    0x8564af6dU,     0x82c68873U,     0x9200a658U,     0x95c509abU, \
    0x833012e3U,     0xe221cd98U,     0xc8d7a5f6U,     0xbbb82efdU, \
    0xfb1d8e24U,     0x31263a43U,     0xdf49e400U,     0xca38bd77U, \
    0x6d7a9708U,     0x8373aa52U,     0xbbf6ec61U,     0x1c33e0ecU, \
    0x02c7a4f0U,     0x7ed52beeU,     0x2f42b9c2U,     0x1450fe74U, \
    0xcfb82068U,     0x0f466f3dU,     0x372e7e08U,     0x2a80a24eU, \
    0xf38e851bU,     0x39cbecf1U,     0xd096d935U,     0x0ebef25dU, \
    0xb061a35cU,     0x0cfe6bebU,     0x68acae46U,     0x545ebadbU, \
    0xb7650b8bU,     0xc1724225U,     0xbd24edddU,     0x78ad3beeU, \
    0x336358c0U,     0xd4ad35f1U,     0x09c130d4U,     0x9c1587edU, \
    0x700972ecU,     0xafce03baU,     0xf1e26c0cU,     0xf54ed76bU, \
    0x7a9d6903U,     0x3c88ffc3U,     0xd5106af5U,     0x6458ea84U, \
    0x88c99989U,     0xa09e1292U,     0xfb338a2eU,     0x9d3f8db7U, \
    0xd09c9eaeU,     0x33712381U,     0xbf0967b0U,     0x29c22d91U, \
    0x00e21e59U,     0x36e1b206U,     0x4d096d40U,     0xb6458d2aU, \
    0x7540776bU,     0x04e43c5cU,     0x93c34300U,     0x3f6557bdU, \
    0xd836126cU,     0xaec79d77U,     0x0d04310cU,     0x2b452dbcU, \
    0xb6b23789U,     0x3d4e9311U,     0xc09f60f8U,     0x06c5d8f0U, \
    0xc2023291U,     0x41243146U,     0x969e4898U,     0x613041bdU, \
    0x1f2ff157U,     0x89e5301cU,     0x2ed9406dU,     0x2861caadU, \
    0x2b8bb340U,     0x79c7ec29U,     0x063d99cbU,     0xfd4063a0U, \
    0x5678d4beU,     0x36651c36U,     0x641b6462U,     0x4a996e9aU, \
    0x427107eaU,     0xf20be8efU,     0x46ae5f6fU,     0x48ae2902U, \
    0x1cfc1e5fU,     0xbe0c0be8U,     0x1fd1f6afU,     0xf61734d7U, \
    0x026daa46U,     0xdd74f71cU,     0xc3c88a16U,     0x075d2f63U, \
    0xf5c80fd2U,     0x410b0291U,     0xd02f7ebdU,     0xfcd86b91U, \
    0x3fda4f26U,     0x8efc05d5U,     0xa5191f88U,     0xb15c09c4U, \
    0x7e27bfd5U,     0xd21287feU,     0x2af410d8U,     0xc4e7d467U, \
    0x6c34c272U,     0xa6a88ee4U,     0x9151cbe1U,     0x2d9ab68fU, \
    0x5a3b7926U,     0x501b67c8U,     0x8807d7b9U,     0x607d9b3cU, \
    0x4b4bc8e1U,     0x8139cf35U,     0x44d542a2U,     0x04d857e0U, \
    0x657939ccU,     0x561357c7U,     0xf7fb6036U,     0xe8388f9bU, \
    0x4a5146ecU,     0x1aca4b73U,     0xb2cc7731U,     0xabe241eeU, \
    0x1c07cddeU,     0xa4118b0fU,     0xb1e17e95U,     0x1f118c78U, \
    0x8c05bf01U,     0xd652471aU,     0xaab96efcU,     0xde6a8ea8U, \
    0x1c97e120U,     0xfcf4f045U,     0x9922f9fdU,     0x26f4c27bU, \
    0x6163bbbaU,     0xe93b9a39U,     0x0f9cf78aU,     0x3936ef91U, \
    0x4828b4b7U,     0x069139a9U,     0xcd054d83U,     0x2291ba4aU, \
    0xa0b26bdbU,     0xb828f8ddU,     0x574c9e2eU,     0x69698aa2U, \
    0x55ec674fU,     0xfb3fe3fdU,     0x3015e2d4U,     0xe4c61bf6U, \
    0xe2d63efbU,     0xbe443b75U,     0xcc534d5eU,     0xfc778d30U, \
    0x4806509dU,     0x73c035b9U,     0xffce036aU,     0x336ac8aeU, \
    0x8a4f1f15U,     0x581188d5U,     0xf67da199U,     0x9f77caccU, \
    0x7f1892d5U,     0xafb28718U,     0xa08b15eaU,     0xf172b8e6U, \
    0xda838b23U,     0x8f627931U,     0x306823e5U,     0x12bf7dffU, \
    0x7621172bU,     0x29519cc4U,     0xa7f4d0b3U,     0xbe7ffd58U, \
    0x26945191U,     0x6d8cf3a3U,     0xc623c558U,     0x5f7e5ef6U, \
    0xcd0c15dcU,     0x74720abfU,     0x781d9d30U,     0x7b7ba1f0U, \
    0xbc63346dU,     0xec3252bfU,     0x32b4d52aU,     0xa9a89033U, \
    0xf87227d2U,     0x12eff904U,     0x903e048dU,     0x5fd9e050U, \
    0x601e08e4U,     0x3c28afb2U,     0xdf14bc93U,     0x681edfe4U, \
    0x6dbb7921U,     0xace43437U,     0x48adf1e2U,     0x074e9966U, \
    0x27633ce2U,     0x9d580562U,     0x034e3ebbU,     0x7d1c846bU, \
    0x2ecf2425U,     0xaa17857cU,     0x20401576U,     0x897212ffU, \
    0xe6a7bae7U,     0x70638d23U,     0x04deba10U,     0x51071f15U, \
    0x081c1ed2U,     0x4b307ce5U,     0xc723c8e0U,     0x7687f739U, \
    0x9bb4de0fU,     0x065f131bU,     0xb6f7002fU,     0x057ff1caU, \
    0x3589c605U,     0x2683ac5aU,     0xc89b2c79U,     0x122aafaeU, \
    0x784e00a0U,     0x0da69338U,     0x41220b26U,     0x37d6f01eU, \
    0x2a5fe4acU,     0x025f4ab5U,     0x923f23d3U,     0xb4e8bcfcU, \
    0x0d9cc7f3U,     0x1781cddaU,     0xa6d827b3U,     0xc1146609U, \
    0x52ed98a1U,     0x970f5246U,     0x315413e8U,     0xc99b5dd4U, \
    0x5d2fc89bU,     0xd269325cU,     0x1715e8a5U,     0x58aa97c9U, \
    0xf7eead11U,     0xba556fd6U,     0xa454d9adU,     0x768e7e5fU, \
    0xc66fbebdU,     0x7f6e4cc7U,     0xa041bd7dU,     0x16c0abb2U, \
    0x6175be05U,     0xa08b7ca3U,     0x08b7eab4U,     0x1bfcb691U, \
    0x3566466fU,     0x6c32e256U,     0x347e9185U,     0x1d8ef93fU, \
    0x5d1e0de2U,     0xdd6b9173U,     0x42a40f5cU,     0x6d2b300aU, \
    0xe656dfa2U,     0x74c16e18U,     0x9fe60ff1U,     0x3c30ddf7U, \
    0x035babfbU,     0x4e687587U,     0xfa2abd30U,     0x7c5927edU, \
    0x0ff4dd8dU,     0xd38640aeU,     0x71953736U,     0x8bbf14b9U, \
    0xa2d6f9faU,     0x0fa1eeecU,     0xdc32bf60U,     0xe2174760U, \
    0x14b93068U,     0x0d5a6094U,     0xef425d36U,     0xa23317ceU, \
    0x1bd9b3beU,     0x8298adc3U,     0x0682ef21U,     0x5f687450U, \
    0x22733754U,     0x0199ac42U,     0x778cc521U,     0x9970a09bU, \
    0x3a93aaccU,     0xe707df9cU,     0x3d5a081fU,     0xc05c35a0U, \
    0xafd853cfU,     0x3d66ba20U,     0x5315af93U,     0x189b43aaU, \
    0x06916462U,     0x82b10b76U,     0x08ef6c66U,     0x36743007U, \
    0x260e9677U,     0x032402dfU,     0xae2f2050U,     0xc7d2cff6U, \
    0x254db0a0U,     0xf8fee225U,     0x818df380U,     0xccf2c407U, \
    0xee02f790U,     0xfa074f1cU,     0x7e55d0fbU,     0x5186e958U, \
    0xbf5c07adU,     0x5d383e01U,     0x21442d62U,     0x244ec0c2U, \
    0x763b709dU,     0xa7d298b9U,     0xff8def5fU,     0x733abb0eU, \
    0x52a41541U,     0x0d7c62c7U,     0x90435ab6U,     0x0ff40abaU, \
    0x0d5bb584U,     0x655c3f68U,     0xaa0c4ac9U,     0xc5279cf9U, \
    0x736aa74fU,     0x7f547449U,     0x4c16d4a6U,     0xcfce54cbU, \
    0xfdfb14c4U,     0xb6ebfdb1U,     0x2fe36fedU,     0xabdd7e04U, \
    0x22828056U,     0xaf659d8aU,     0x2944c330U,     0x541dc57eU, \
    0xb5bcd48dU,     0x89cfd7c5U,     0xa1b698d0U,     0xd2baa024U, \
    0x551eb7dcU,     0x9bec0746U,     0x1215f481U,     0x22c617daU, \
    0x556e3adaU,     0x20ff865eU,     0xca9cd0cbU,     0x2b2e44a3U, \
    0x14051c55U,     0xf833ac19U,     0x7637fc2bU,     0x4aee6d09U, \
    0xf69bb73fU,     0x058e8900U,     0x6bfebe0fU,     0x87a212a5U, \
    0xc326023dU,     0x02ca2b70U,     0x33a4c82fU,     0x321d7908U, \
    0xab75535dU,     0x1c25061fU,     0xf5858193U,     0x50d14ef3U, \
    0x07e97591U,     0x0107bf19U,     0x261ccc70U,     0x4f075bcaU, \
    0xda7c7425U,     0x45273e49U,     0x02d04baaU,     0xf50d56c3U, \
    0x1832261aU,     0xa5b5b89aU,     0x1e15e70eU,     0x941cd30eU, \
    0xbd69718fU,     0x2dda0c8cU,     0xda9344cdU,     0xc6006b79U, \
    0x0d8804d0U,     0x14afb8b0U,     0xc9624c19U,     0x24a9cf64U, \
    0xbc7f0866U,     0x646ef0abU,     0x854effceU,     0xe498d3adU, \
    0xa76a88bbU,     0x33751b33U,     0xa28cf650U,     0x293faee0U, \
    0x22a0b16aU,     0x9ff285f0U,     0x07325322U,     0xf9333646U, \
    0xa46a887aU,     0x24ff8583U,     0xd2988b1eU,     0xf05b2fe6U, \
    0xd543e734U,     0x801e51e6U,     0xa98bddcbU,     0x5547bbe0U, \
    0x80f36b3aU,     0x8d93da16U,     0x3bccf964U,     0x378d032dU, \
    0x57ce0483U,     0x46234775U,     0xd9155894U,     0x4b9119a9U, \
    0x2675b360U,     0xa6146a8fU,     0x9a4b95d3U,     0xe5757aceU, \
    0xd53ab9d5U,     0x6bf20ebfU,     0x33034c01U,     0xa4f35d41U, \
    0x81c02650U,     0x30ba0607U,     0xf1b3b497U,     0xf63a03e0U, \
    0x93a5cc5aU,     0x4c4a7963U,     0x7371e0a4U,     0x4b77ce68U, \
    0x8f14ef23U,     0x413d41d3U,     0x53c3a6d0U,     0x637e423bU, \
    0x21444de5U,     0x4fb0b9fcU,     0xae0bd1cfU,     0x794c8c64U, \
    0x89426975U,     0x3503ecccU,     0xc4a3006fU,     0x98869871U, \
    0xddab07c9U,     0xd8949125U,     0xe84565faU,     0x99d0b035U, \
    0x6a36f545U,     0x23132420U,     0x3b8a24b7U,     0x4edecd10U, \
    0xeccaa564U,     0x4b22f153U,     0xfa057247U,     0x96279a3dU, \
    0xd0584053U,     0x501815e7U,     0xe83d071fU,     0x6f65979fU, \
    0x18d77f40U,     0x31d2f40bU,     0xde709c4dU,     0xc1f00ebeU, \
    0x5480c209U,     0xb346eb3cU,     0x3b9d156aU,     0x78e72bcdU, \
    0x743490f7U,     0xa874d055U,     0x3f441083U,     0x22d4a8aeU, \
    0xf749b049U,     0xeab11b2eU,     0xc232693aU,     0x99e0f3afU, \
    0x026bb6aaU,     0x77a3b431U,     0x06a91103U,     0xaa664a21U, \
    0x7d503dc7U,     0x70ac81c2U,     0x10096a9cU,     0x49bb0e9aU, \
    0x9d9286c2U,     0x798c1991U,     0x344b0753U,     0x3d26012aU, \
    0x4dabeca3U,     0xbf1c6188U,     0x37b08e5aU,     0x2ed0626fU, \
    0xe23a73f5U,     0xe749ad16U,     0x3062512bU,     0x03351d4fU, \
    0x691f5872U,     0x3a4bcce4U,     0x0b85783bU,     0x6d5386b9U, \
    0x4c928c8aU,     0xb2e82e77U,     0x4269e780U,     0xf6dfec7fU, \
    0xbb5c2cc9U,     0xa906737eU,     0xbbaf2d99U,     0x8f382874U, \
    0x96d391a6U,     0x6666bf98U,     0xe4eb7d0cU,     0x1c8387acU, \
    0x65b35686U,     0x79f8e839U,     0x3129213dU,     0x3568676eU, \
    0x7aa36519U,     0x8e79122dU,     0xac06b954U,     0xc91fe790U, \
    0xc0766027U,     0x2df60804U,     0x17cd82a7U,     0x5dd686bcU, \
    0x51d11fe0U,     0xaf7b65bbU,     0x84b95196U,     0xff3e0d4bU, \
    0x03f35d8cU,     0xa9300728U,     0xba3e9f68U,     0x439d9bf6U, \
    0xfbc337aeU,     0x7fb212c7U,     0xd43a3752U,     0x58c722afU, \
    0xad8b2c75U,     0xfc08e8ebU,     0xd66bc18aU,     0x0b7c45f5U, \
    0xfd9bc706U,     0x0b4303f5U,     0xc9bbb9a3U,     0x69a02c74U, \
    0x17e3dc65U,     0x74e68d1aU,     0x52bd8b64U,     0xeae7887eU, \
    0xb08bee5dU,     0x1944a9c4U,     0xe75aca0dU,     0x233984c1U, \
    0x41a93268U,     0xb77834efU,     0xf63e619dU,     0xa2b5a37aU, \
    0xfb50ecfcU,     0xfae7cc67U,     0x1caaaeb8U,     0x8f486c91U, \
    0x04ec4bf9U,     0xea85e73cU,     0x8f9cb1feU,     0x6aafffccU, \
    0x73b42c5fU,     0xfe178a42U,     0x3883c672U,     0xb59657bdU, \
    0x086dff6fU,     0x84eccaa7U,     0x31781858U,     0xc96ac934U, \
    0x750d88d4U,     0x14475b39U,     0x5bbade84U,     0xde24be3eU, \
    0x27219e68U,     0xc4c42cfeU,     0x12629fb8U,     0xbb472983U, \
    0x79bcc76aU,     0x1af0e443U,     0x93b2dbe3U,     0x447bc5c5U, \
    0x360e914dU,     0x3e177742U,     0xd2206eb6U,     0xb3f02167U, \
    0xcd0edeb6U,     0x8e40f667U,     0x6fca28f5U,     0xab57e6cbU, \
    0x3996120fU,     0x72cd4f2cU,     0x6b6696b6U,     0xcaf9f4feU, \
    0x0b9a618bU,     0xab0ccdb2U,     0xed011825U,     0x5854044aU, \
    0x34ba649aU,     0x87070757U,     0xabbbb374U,     0x47f6a4dbU, \
    0xc5fa120aU,     0x1b661bfcU,     0x8094d02aU,     0x3cb02d6fU, \
    0x25903d22U,     0xd8ed2d02U,     0xea149377U,     0x85a57b40U, \
    0x35fa8dcdU,     0x834f2801U,     0xf247e811U,     0xf3c1b56eU, \
    0x81d48d94U,     0x6c077662U,     0x56eb4afeU,     0xf8069c07U, \
    0x7d7d98f6U,     0xf7e98676U,     0x7e09485eU,     0x1566614dU, \
    0x740d4a50U,     0x965bdd0fU,     0x682cfc5fU,     0xf33b75a0U, \
    0x8972e95bU,     0x537ed2ebU,     0xd8aaaa10U,     0xe5bf57e2U, \
    0x818c8bd4U,     0x8d63b246U,     0x510aff5aU,     0x83b89f29U, \
    0x5774ffcfU,     0x95afb1f0U,     0xcf430597U,     0x808017ebU, \
    0x4fd6c485U,     0x5d8a6d78U,     0x0be7708bU,     0xe996971eU, \
    0xea5add1fU,     0xe05951bdU,     0x0b19a5c0U,     0x09c72067U, \
    0xf8da2dfcU,     0xdb850875U,     0xa6cb1d82U,     0x10950f83U, \
    0x8ffc0396U,     0xe3aae40cU,     0x9528294fU,     0xdfc12572U, \
    0xdc2aed70U,     0x3885840bU,     0xcfb56966U,     0x53581568U, \
    0xe7ea8194U,     0x8f9b16e6U,     0xa1e199afU,     0x06035e32U, \
    0xaecf46fdU,     0xb89d6534U,     0xa68c0d1fU,     0x5aaa31d6U, \
    0xd4f0e901U,     0x215cd711U,     0xb1f29fe3U,     0x021b518fU, \
    0xc4d4c1dcU,     0x14df9bf3U,     0x43c33b79U,     0xccdfc432U, \
    0x94344c84U,     0x9f57cb41U,     0xc58bc01cU,     0xa87cfc70U, \
    0xaf3c5adfU,     0xc92af060U,     0xb6d5f769U,     0xc7da30dfU, \
    0xa49cdde1U,     0xdc7a322fU,     0xdd916f13U,     0x838852caU, \
    0x17748ad6U,     0x8776f0f2U,     0xf53a1850U,     0xb07e22b9U, \
    0xef9fc900U,     0x33c56903U,     0x4e6d1426U,     0xd99aab14U, \
    0x8e105382U,     0x7fc80579U,     0xf1f69d17U,     0xd6d662efU, \
    0xd2c42fb0U,     0x5a359a56U,     0x67578794U,     0xf5f7a036U, \
    0xe833cc26U,     0x3cf5cedbU,     0x5b5380d3U,     0xa6e4bba6U, \
    0x977d71f2U,     0x2607806dU,     0xd558f860U,     0x915982eeU, \
    0xc015eac2U,     0xd8e2d229U,     0x56da1797U,     0xdccce6c4U, \
    0x65cbc3a1U,     0xfea90489U,     0x2879aff7U,     0x32954776U, \
    0xd84b8006U,     0x84bd67feU,     0x3baa8faaU,     0xe3724d31U, \
    0x5b072f27U,     0x5c1409a2U,     0x28bf9d86U,     0x41135e2fU, \
    0x8a3aa1a7U,     0xc1f9eb67U,     0x0588f151U,     0xb3c4ccecU, \
    0x78fdf2a6U,     0x0ebe5f8fU,     0x3ad01b7aU,     0x5e80dda6U, \
    0x4a24b307U,     0xcf7304ffU,     0x4eb4e000U,     0xf506f67dU, \
    0x6212b040U,     0xd9a8b25aU,     0x5354ca50U,     0x236add14U, \
    0x7ab96402U,     0xae6d8485U,     0x6b618418U,     0xbc1784e3U, \
    0x24231c08U,     0x955ef269U,     0x0bbfb24dU,     0xd603d3d0U, \
    0xa1f12a14U,     0xcba1f450U,     0x91794098U,     0xfd615657U, \
    0xec5f6da7U,     0x9022b826U,     0x39201301U,     0x8aae76baU, \
    0x34a360e2U,     0x58c00682U,     0x46b47ab8U,     0x536105caU, \
    0xbe846fc9U,     0xc6b3d58eU,     0x7e7f13e3U,     0x158654d7U, \
    0x7c528e8cU,     0x1a3b4187U,     0x2b3c900dU,     0xeda37043U, \
    0x2cc14b53U,     0x4d6599eaU,     0x465a6f9bU,     0x3e0179d6U, \
    0x116cc4b0U,     0x623c2287U,     0xe87e1f22U,     0x4b953628U, \
    0x552d2ea5U,     0x2ecd56b7U,     0x2ac3d6d0U,     0x692f1148U, \
    0x468bf796U,     0xbbeafe44U,     0x1f65cfd2U,     0x042ee300U, \
    0xc746c47fU,     0xd8644110U,     0x62aaa96fU,     0xa38d81e7U, \
    0xff88765bU,     0x6d36cd6bU,     0x14f23b08U,     0x5f13a94cU, \
    0xcf783cf8U,     0x646035daU,     0x42c65b63U,     0x6fb36290U, \
    0xb80b0203U,     0x361b4bbbU,     0x62e310e8U,     0x2eda920dU, \
    0xcbb14d29U,     0xe09ca914U,     0x268d3d98U,     0xa73c4df2U, \
    0x9a6b1154U,     0x8dc837d3U,     0x4a0153c6U,     0x560537f9U, \
    0x491c963bU,     0xe3169e07U,     0xa025a991U,     0x9805f2ddU, \
    0x4b35a203U,     0xc75597d8U,     0x0b70aefdU,     0x941cdc1dU, \
    0x2dc464b6U,     0xe6c4580aU,     0xce921d8aU,     0xf81788c4U, \
    0x84e4dd62U,     0x577bb5d8U,     0x312c0caaU,     0x7cf39fcaU, \
    0x9b6d109aU,     0xd735058aU,     0xa399303eU,     0x962cafcfU, \
    0x37726cceU,     0xdb1b2bb4U,     0x1cede339U,     0x51aee66dU, \
    0x56e1298eU,     0x76c0fc17U,     0xe503f4afU,     0x521ec1c6U, \
    0xf71cf1b6U,     0x37b0a7f2U,     0x1a75c58dU,     0xf8dd8e4eU, \
    0xe38546d2U,     0xa003d024U,     0xfcc17d20U,     0x5ade8aedU, \
    0x6c2d8cb2U,     0x387e7f91U,     0xb0d1272aU,     0x59d3ca13U, \
    0x48eeb57cU,     0x49882c3aU,     0xa78bad1fU,     0x2c624667U, \
    0xf53d9b5aU,     0x8510d882U,     0x2472f720U,     0xd658ff37U, \
    0xfbc25e95U,     0xc97c3df3U,     0x1ec906ebU,     0x942f538aU, \
    0x020a61adU,     0x489801ceU,     0xd6964a21U,     0x3f2491baU, \
    0xd2613a9bU,     0x5c76162cU,     0x67aa5505U,     0x445bb895U, \
    0x0866c31aU,     0x7fb251f9U,     0x253b0b6cU,     0x029742d4U, \
    0x1a9cd9d3U,     0xa083fbccU,     0x9ea1441bU,     0x6916b7f8U, \
    0x96817b96U,     0xa88d13ccU,     0x53122fd9U,     0xdee3563bU, \
    0x080f087aU,     0xe7c6815cU,     0xeced95daU,     0xb9760da8U, \
    0x246bcde0U,     0x0e221b25U,     0x89caa206U,     0x0d8b3defU, \
    0x136a442dU,     0x66e00908U,     0x0fd4fe8cU,     0x10c80e39U, \
    0xf67a4b14U,     0xa11bf87bU,     0xd2528e80U,     0xb79109c1U, \
    0xa197823cU,     0xf0ec808cU,     0xc983a1edU,     0xc10e30f3U, \
    0x5213c706U,     0x9dca35e9U,     0x03b3ae5fU,     0x83eaaefdU, \
    0xbaab68b4U,     0x29c81598U,     0x361f8161U,     0x13fdb565U, \
    0xf429c324U,     0xfb4cc061U,     0x7db3790cU,     0xd0494235U, \
    0xd0d26953U,     0xe4675dd5U,     0xf0aaf43fU,     0x0020c482U, \
    0x334c888eU,     0x32eb7dc0U,     0x7b343c12U,     0xf30d68b7U, \
    0x0274c92dU,     0x4e145f06U,     0xc1f1a257U,     0x3a1328c8U, \
    0x3f1aa8fbU,     0x0caf54eaU,     0xd338e3b0U,     0x3de5910aU, \
    0x11ff7f86U,     0x4710ebbeU,     0x7c28f0d0U,     0xd9dce590U, \
    0xbfeae34bU,     0xe94da73bU,     0x1dd297f3U,     0x50d7145cU, \
    0x23c20759U,     0x342715d1U,     0x4596679fU,     0x50bc2671U, \
    0xee5db4eaU,     0x518dbb23U,     0xb455a3adU,     0xa42601b0U, \
    0x3d5d43f9U,     0xa05c2742U,     0x9db03226U,     0x3a8b869eU, \
    0xd222b540U,     0xb3ffcf3aU,     0xa2d58d88U,     0xe7a29a0aU, \
    0x9cf4ab90U,     0x9ddea4d1U,     0xccc20361U,     0x38e66d7dU, \
    0xc22bc4e6U,     0x2c3f8eb2U,     0x39d48950U,     0xd4542dddU, \
    0xa26fefcbU,     0x156443e2U,     0xf6b3dde0U,     0xc7a977a9U, \
    0x2be9ffc3U,     0x8aa9ecaaU,     0x3ccd6641U,     0xb0f51fa7U, \
    0xb1775cb7U,     0x088a0893U,     0x6c6af1cbU,     0x364535d2U, \
    0x33fcd2d3U,     0xdd698b9fU,     0xd82955c5U,     0xebf57488U, \
    0xf64cb6d6U,     0x9a3aed71U,     0x5eb059ebU,     0xa2a03bd9U, \
    0x278a6bceU,     0xa0152e41U,     0xa81dc4b6U,     0x34b95dbeU, \
    0xb4bb698cU,     0x535fafebU,     0xd6dd952cU,     0x63bcd182U, \
    0x8f95cbf0U,     0x8637b05cU,     0xd94bcd5bU,     0x772446a5U, \
    0x779b00a7U,     0xb749bb03U,     0x8ce99ee5U,     0x5a3e92a6U, \
    0x6a5f4046U,     0x3f7e3d25U,     0xd3df6c00U,     0x187711e8U, \
    0x501fd95eU,     0x0960811dU,     0x15ab02b9U,     0x1c59e516U, \
    0x7f78cc37U,     0x35fb2f1eU,     0xcf7a42e1U,     0x0016a5f1U, \
    0xbc63a2c2U,     0xb9b8b0aeU,     0x65621e48U,     0x7843ca23U, \
    0x654c3eddU,     0xde480892U,     0xe21e38c8U,     0x36c84825U, \
    0x0a6993f4U,     0x987d7f70U,     0x6dc13a5fU,     0x8f646aacU, \
    0x8e7c6d02U,     0xc0c0004fU,     0x14a9faceU,     0x9eced64fU, \
    0xbfc584bcU,     0x31a244a9U,     0xc78b469eU,     0x01650667U, \
    0x28f23f23U,     0x321fc413U,     0xb6de501fU,     0xb841068cU, \
    0x55e718e6U,     0xabffa2d6U,     0x071f36c5U,     0xea8443c1U, \
    0x7787df46U,     0x20ed2f07U,     0xd291c4e0U,     0x3e741521U, \
    0x56435c99U,     0xf61603f1U,     0x1b7fe814U,     0xf44bcadbU, \
    0xce4a46a2U,     0x6667b4c3U,     0x346f5d0aU,     0x9924f238U, \
    0x74a0cc35U,     0xabb981d6U,     0x78da2350U,     0x58771081U, \
    0x248670e4U,     0x21fde58fU,     0xc794b1f9U,     0x8468f533U, \
    0xcc60ddfcU,     0xc026a76fU,     0xf1b6cb2bU,     0x7aeacd22U, \
    0x44a34e59U,     0x994c298fU,     0xfe249dbeU,     0x45bdb1daU, \
    0x3a4261d2U,     0xb3dea609U,     0xe14ed59fU,     0x41772dbaU, \
    0x62b9c6f9U,     0xf0289d48U,     0xcea99b95U,     0x252ec4ccU, \
    0x8beab166U,     0xe193b718U,     0x4c6a7d4eU,     0x92a12586U, \
    0x3c2b5510U,     0xad390a6cU,     0x31c89c7cU,     0xc7828bc0U, \
    0x69deb277U,     0xc2a74fa2U,     0xf0a3252fU,     0x72cd1a8fU, \
    0x54138c4fU,     0xb939c8b3U,     0xd1638ceeU,     0x37b2ae31U, \
    0x0a35c3e9U,     0xeaf3eeaaU,     0xbf3531d7U,     0xb6d74123U, \
    0x5a070b13U,     0xa84d050aU,     0x615a76eeU,     0x59cbe969U, \
    0x843e6c9fU,     0x333d6a1aU,     0x72f45fecU,     0xf7d0916bU, \
    0x45c9fe27U,     0x82718d54U,     0x05230319U,     0x079189f6U, \
    0xcd439cb8U,     0xc6de8faaU,     0x6b3be53dU,     0x9a7dff3aU, \
    0x4ae0dc3dU,     0xaafb41a3U,     0xd81d972aU,     0x6bfc18d5U, \
    0xeec039acU,     0x668f3afdU,     0x0c4a6cbaU,     0x596a9888U, \
    0xc4c7108bU,     0xffcdc5edU,     0xcac5415aU,     0xb2dd4e7eU, \
    0x6f1cb1c0U,     0x735c9b22U,     0xb6ff37a6U,     0xff9ac4acU, \
    0x9d47d2dbU,     0x30584b65U,     0xecf43980U,     0xa0025babU, \
    0xb2a646d5U,     0xf922a2bcU,     0xa5d21826U,     0x32650e71U, \
    0xef53e3f8U,     0x83a05d6eU,     0x6aac7c11U,     0x0298aaa4U, \
    0xc62eee7dU,     0x5f08caf7U,     0x5d67f06cU,     0xde7af7c6U, \
    0x41424e28U,     0xcc74463dU,     0xee4b2057U,     0xd5d7056aU, \
    0xc5067ce9U,     0x66bcb0caU,     0x89a1cab4U,     0xfe3f5cf6U, \
    0x6113b3eeU,     0x95d11cdbU,     0xe9e84e02U,     0x225167c9U, \
    0xf31f696bU,     0x831b2d96U,     0x39b0ed07U,     0xfcd0b672U, \
    0xc8ea74c8U,     0xe188bd06U,     0xc4bd1e67U,     0x7cd1cdfaU, \
    0xbefc084bU,     0xf83718c3U,     0xfdd77034U,     0x18d6d673U, \
    0x8c4ee4ddU,     0xa6d19bb2U,     0x49b99b03U,     0x7bdaea9eU, \
    0x518931d7U,     0x82a092c5U,     0x8dc7cae5U,     0xa6eb11d5U, \
    0x1e5246a7U,     0x43984326U,     0xff58221aU,     0x5f906a82U, \
    0x74067c73U,     0x242492b1U,     0x2f05e847U,     0x3cebc09fU, \
    0xdf8dddf9U,     0x35ba55c4U,     0x5242d7eaU,     0xd6a7ffa0U, \
    0xb1120fd2U,     0x24ad84c2U,     0xd68407d9U,     0xfc7034d3U, \
    0x0b7c6155U,     0xe0a9840cU,     0x4619169fU,     0x0818afcfU, \
    0x35ac4a3bU,     0x486d5f76U,     0xe1032d7fU,     0xb3352aafU, \
    0x981a27beU,     0x99f2d1c1U,     0xae04a1d0U,     0x5a68681cU, \
    0x8d7773bcU,     0x40b2731dU,     0x655faebaU,     0x0961f756U, \
    0xb52b7ecfU,     0xe1251ce3U,     0x4bdb68c9U,     0x6a797381U, \
    0x4627ee6aU,     0x34085db6U,     0x4d89a428U,     0xa88375fbU, \
    0x336173e9U,     0x6e511421U,     0xa5623567U,     0x93fb1d24U, \
    0x2c7f7602U,     0x90ea326fU,     0x7d8ceb24U,     0x88c3d3adU, \
    0x2b5f4d00U,     0x9e73ace1U,     0xf4b5ec39U,     0x7ab82c8cU, \
    0xa4f74c7eU,     0xceef8356U,     0x6408e69bU,     0x9d224440U, \
    0x968a6395U,     0x5c57bc61U,     0x5e261581U,     0xa6f95fa6U, \
    0x7d9ef45fU,     0x7286cca4U,     0x90e0fd81U,     0x9602849bU, \
    0x0c1b999aU,     0x349030e1U,     0xb348ba2eU,     0x10381423U, \
    0x48d54ce6U,     0xa7a6a6f5U,     0x37d7dca9U,     0x89370c7aU, \
    0xde36227aU,     0xbff6d05aU,     0x359cf8feU,     0x1c7afb66U, \
    0x252e9901U,     0x6abb5e55U,     0x7e306a81U,     0x78c393fbU, \
    0xfc1d994eU,     0x6390752dU,     0x7f098bfeU,     0x6800fce5U, \
    0x27f9abe1U,     0x68559e9aU,     0x5c4b3e81U,     0x10617278U, \
    0x8288c111U,     0xf79828e9U,     0x4a0fd931U,     0xddc2636eU, \
    0x11a5befbU,     0xdc5b4ec2U,     0x64f4f8c0U,     0x52440501U, \
    0x2f6da190U,     0x076b88b3U,     0x92747a6dU,     0xfc580f6bU, \
    0x3f431858U,     0x0ad498e7U,     0x5834e298U,     0xecd852ceU, \
    0x2b81ab89U,     0xef2386ccU,     0xac377a2eU,     0x736e23e8U, \
    0x956c4d91U,     0x7c20e206U,     0x22806a33U,     0x691d7979U, \
    0xa9f82422U,     0xd430c510U,     0xa919f9b0U,     0xc555a5fcU, \
    0x330044e3U,     0xc37c72f2U,     0x48b52153U,     0xde1a5799U, \
    0xe8f02badU,     0x06fee367U,     0xcdd3e1f0U,     0x5fcd3827U, \
    0x336071c7U,     0x988f516dU,     0x731ddd03U,     0x4f78c41aU, \
    0x2d95193bU,     0x42dac077U,     0x4962c0baU,     0x5f20975dU, \
    0x8f48a8d0U,     0xb617f49cU,     0xd13778d9U,     0x58f373eaU, \
    0x6d57239eU,     0x37e759e4U,     0xefceedafU,     0x449200a2U, \
    0x2489e203U,     0xae3bff6bU,     0xacdab80bU,     0xcd093097U, \
    0x6beb9222U,     0x4e72898bU,     0x08f66594U,     0x4be82fc3U, \
    0x5d712cd4U,     0x1b1ff8fbU,     0xc8b5a6cbU,     0x355cd508U, \
    0x1b2a7b6fU,     0xebdff674U,     0x63fc0913U,     0x286faa79U, \
    0x9130ced6U,     0x4e1b43d4U,     0xc7a28f20U,     0x05aa4607U, \
    0x4567781dU,     0x85f43971U,     0xbb0d0ae3U,     0x5fa30876U, \
    0xda1c5287U,     0x0efb1110U,     0x70ef317eU,     0x0e244ef9U, \
    0x8b8ff593U,     0xac23b193U,     0x7528fb90U,     0x0c971c38U, \
    0x0ab91615U,     0xdf355b52U,     0x863fb978U,     0x8eda7a44U, \
    0x6c9abbc2U,     0x3d9b78b5U,     0xd4bdcad6U,     0x227356eeU, \
    0xbdf7ec0fU,     0x2877d00fU,     0x762dbe2cU,     0xa36f7e58U, \
    0xd96d3fa5U,     0x8f7ef8c9U,     0x4b47ad4cU,     0x3e9f75d1U, \
    0x85081895U,     0xc6bdc374U,     0xda6c5af7U,     0xb6e6db54U, \
    0xd8aa18ceU,     0xd77882a7U,     0x7f315c4aU,     0x2260a8ddU, \
    0x0bf57a30U,     0x4ca77144U,     0xab2e8aeaU,     0x59b72b14U, \
    0x9d917e8fU,     0x36c5ec38U,     0xfb1fd5bbU,     0x5b8818caU, \
    0x23ac2b72U,     0x925715baU,     0x0047d18cU,     0xe63fb9ffU, \
    0xf988f864U,     0x6384b9c9U,     0x7b914fa4U,     0xfbd9d1d0U, \
    0xd6428045U,     0xc138eed2U,     0x217afb59U,     0xd1c49319U, \
    0x972c9f73U,     0x7f5bc0d6U,     0xb9d36cdcU,     0x69930ec0U, \
    0x7c8a940eU,     0x5de723c6U,     0xd2ae56ccU,     0x4cd7199eU, \
    0x365caefcU,     0xdad4aecfU,     0xcbd72175U,     0x1c994dcbU, \
    0xa34d755cU,     0x73dde9f2U,     0x92294d6bU,     0x18204e3dU, \
    0xc65ec11bU,     0xf326502bU,     0xe58bb7ddU,     0xbcea0815U, \
    0x469b7255U,     0x5090eb58U,     0xe2f033feU,     0xfcd6a8c0U, \
    0x2b01ab1aU,     0x7f21a36fU,     0x5dc50f30U,     0x53fa42ccU, \
    0x4c956503U,     0xc5164656U,     0x847b6b44U,     0xf2056f78U, \
    0x1955ddffU,     0x50b5eec9U,     0xdb6f1fc4U,     0x8b091929U, \
    0x5f95437fU,     0x531675cfU,     0x7d0f7c57U,     0x306a5369U, \
    0x90759febU,     0xe6d86241U,     0xaef8e325U,     0xdeec8e03U, \
    0x7f37f5d2U,     0x33a72171U,     0xc62bd8ceU,     0x8f3b33f5U, \
    0x49cbbdd8U,     0xa27c1d84U,     0xb7c94f13U,     0x65c1ebc7U, \
    0x89d9d5c3U,     0x446a46dbU,     0x574b0d46U,     0xff1b6fe5U, \
    0x66154393U,     0xc1dcc3bcU,     0xcf0ca3b1U,     0x9474a609U, \
    0x2c616ec0U,     0x2a92c1a9U,     0xea3b5e0cU,     0x631b0c1bU, \
    0x1df97b6eU,     0x195a35ebU,     0x0802a73aU,     0xefa11893U, \
    0x441ae40eU,     0xcfd9d05aU,     0x58b4bff4U,     0x86204406U, \
    0x17f35697U,     0x859a1323U,     0xc06bc7aeU,     0x9ce900acU, \
    0x2ce0fbf1U,     0x8f16567cU,     0xc7814798U,     0x47959966U, \
    0xc73f6048U,     0x2f36d8a6U,     0x8c0380bbU,     0x5010a740U, \
    0x826482a7U,     0x1af7a28cU,     0xa3fc8eb5U,     0x9f77a7eaU, \
    0xf08a5fbaU,     0x2ed56b3bU,     0xa30b13a2U,     0xd60c7b6fU, \
    0x952e7843U,     0x946ef798U,     0xf6e1fef7U,     0x3e399024U, \
    0x4c8d56c6U,     0xcb5070c6U,     0x0b56070cU,     0xbacebf85U, \
    0x18564679U,     0x501d56e9U,     0xc61d3012U,     0x74544c4dU, \
    0x0620c100U,     0xc63ffcdfU,     0xfd7dff88U,     0x58536ea8U, \
    0x43c17cb5U,     0x6eae8ebaU,     0x31e818eaU,     0x461074d1U, \
    0xefbc0d3eU,     0xb8c4e958U,     0x9c034448U,     0xf7592a5dU, \
    0xe906a8a4U,     0xbd93e307U,     0xb3f6388cU,     0x35d67469U, \
    0xc9ae3233U,     0x6a0e67edU,     0x3905453bU,     0xb08be42aU, \
    0x55e6ed8dU,     0xffcca5ceU,     0xe8e8720fU,     0x81e6d971U, \
    0xfb10bdecU,     0x2c0ae5beU,     0xdf904f49U,     0x292a42acU, \
    0x99ac3068U,     0xe91626a8U,     0xe73dfdbfU,     0x8f07555dU, \
    0xc54bc56bU,     0x64ebb9acU,     0x861d7162U,     0x5ed7c2f0U, \
    0x63ccd7d5U,     0xff811405U,     0x30ea2619U,     0x47e526ffU, \
    0xa9075868U,     0xa3d073bfU,     0x5b3cf255U,     0x10546986U, \
    0x45859bf2U,     0x226054d0U,     0xda385f56U,     0x2c51a99dU, \
    0xd895d281U,     0x6da0d3c4U,     0xe5b52446U,     0x53339338U, \
    0x86b6a86dU,     0x039622edU,     0x6b11126bU,     0x14256c1fU, \
    0x018d8badU,     0x781bcefbU,     0x42af0791U,     0xc9c76733U, \
    0x218a08b4U,     0xa5e6f020U,     0xccb17d7eU,     0x991d40f5U, \
    0xb01af205U,     0xc3d5d76aU,     0x3c787cbfU,     0xa6925868U, \
    0x1b17a2fcU,     0x2a737017U,     0xa86ae71eU,     0x665ba308U, \
    0x9733c16fU,     0x52cb4998U,     0x4b609826U,     0xd7be1414U, \
    0x38c38a3dU,     0x461990bcU,     0x4cbfe7fcU,     0x4ddaa6e9U, \
    0x743bbfe6U,     0x01522b51U,     0xdd513bb9U,     0x94fd8303U, \
    0x9e99b817U,     0x00a3e83bU,     0x021268b5U,     0xec22c5ebU, \
    0x1a486ae7U,     0x9d14d224U,     0xe747a176U,     0xeb069c9aU, \
    0xc32e839aU,     0x5faba04fU,     0x3b29b983U,     0xf79af6a9U, \
    0xb46528c7U,     0x370e9adbU,     0x923e6e34U,     0x6d494841U, \
    0x90b14cb4U,     0xdbbdaf89U,     0x2d8b494dU,     0x311dd40bU, \
    0x56d151adU,     0x4dae3f12U,     0xfe0a3259U,     0x10585eadU, \
    0xb5581f2dU,     0x17d5a7a3U,     0xa5606478U,     0x9e4c7963U, \
    0x144250ccU,     0x00ed6be3U,     0xd181138fU,     0x3f48f44cU, \
    0xa09e035bU,     0x81016f41U,     0xc51f9414U,     0x07108136U, \
    0xef778920U,     0xb6ff161eU,     0xe4ce05d9U,     0x8e7f600cU, \
    0x847e212eU,     0x1abfcd6cU,     0x5a447cf2U,     0xe477143aU, \
    0x4954e145U,     0xb260107fU,     0x74cc37bcU,     0x706c4630U, \
    0xa3042051U,     0xdf14d5b8U,     0xf0080350U,     0x9bd261e7U, \
    0x0d0b6e5dU,     0x75148f36U,     0xa7b5b39bU,     0xc4e21888U, \
    0xd9ff8808U,     0x926760e5U,     0xac7b5a6fU,     0x614260fcU, \
    0x8471b030U,     0x750fb218U,     0xe16fc084U,     0x107d2581U, \
    0xf1c631b9U,     0xe866d902U,     0xd1b1cf9eU,     0x7931016bU, \
    0x698541d2U,     0x748fdf20U,     0x14096a15U,     0xe5d4f4eeU, \
    0x46b885b1U,     0x1d6be9d9U,     0x7cd74a75U,     0x0364d24eU, \
    0xef63a63eU,     0xed42e320U,     0xc9c1f45fU,     0x976679fbU, \
    0xd679bf61U,     0xddc445d0U,     0xd85c7283U,     0x17964c7eU, \
    0xe0bd132cU,     0x7824e1bbU,     0x931d0f7fU,     0x1d1029a0U, \
    0x4fd0d782U,     0x0d08b979U,     0x7173c622U,     0xadf86725U, \
    0x71eb56fbU,     0x1d6c1e0aU,     0xf783e7d7U,     0xb0a7539eU, \
    0x82de3c04U,     0x5ee395ecU,     0xa5391e3aU,     0xcb32b9b6U, \
    0xd3f43243U,     0x378eca6eU,     0xb248f0afU,     0x9433bd86U, \
    0xcfe55523U,     0xfd83fbccU,     0x06b37c2dU,     0xa745eda8U, \
    0x95936373U,     0x7a0e3b60U,     0xb79b9dbfU,     0xf3cf5850U, \
    0xef5cc112U,     0x12e12386U,     0xe07eaed6U,     0xa3bf59d2U, \
    0x5fad69d1U,     0x44745e1bU,     0xc4a22af2U,     0xc05bca2fU, \
    0x98c2d583U,     0x0f8e9449U,     0x51df7459U,     0x0d561a2fU, \
    0x1f196015U,     0x989fd5baU,     0x0a8d7271U,     0xa774601fU, \
    0xc0c8a567U,     0x29d2f84dU,     0xc65b3bfbU,     0x5d648dadU, \
    0xe1610c48U,     0x1408c830U,     0x1d7038baU,     0x151d3c81U, \
    0x43bd0b10U,     0x35d5034dU,     0xa4b4ed77U,     0x649716e5U, \
    0xd3b5cce8U,     0x8e946062U,     0x73241955U,     0x9a134a00U, \
    0x9af757d8U,     0xe33e920aU,     0xf1b4854cU,     0x2362c8a2U, \
    0xecf12e1fU,     0xd2fc506bU,     0x02372b4bU,     0x819f956cU, \
    0x49d3aa6aU,     0xf8f676faU,     0xbdb36da1U,     0x115bf080U, \
    0x649738faU,     0xd726a3a5U,     0xd97c9080U,     0x88bda5caU, \
    0x4d96b083U,     0x8bf4e4daU,     0xe46e8cf5U,     0xdcd996aaU, \
    0x0947688cU,     0x016499f1U,     0xf1ec6051U,     0x83c533aeU, \
    0xdf92e60aU,     0xb5fdf6a3U,     0x62cbe529U,     0x155fab9aU, \
    0x9a100e96U,     0xd27c3830U,     0x7fd67f37U,     0x06ff6e99U, \
    0x356064e7U,     0x66f1a1ecU,     0xf5430cfcU,     0x4544f422U, \
    0x97bc7281U,     0xfbc80dd4U,     0x6d40777dU,     0x4b3a7835U, \
    0xbccb7488U,     0xe746bc92U,     0x80ccb5afU,     0x63ad5107U, \
    0x37b82405U,     0x468d18a4U,     0xd666676fU,     0x7ab6e276U, \
    0x66dd526dU,     0x4022d541U,     0xc0f5363fU,     0xa8c5c6e6U, \
    0xfc934be0U,     0x75857c28U,     0xdf58fb08U,     0xbf2b3e4bU, \
    0xca670a5cU,     0x92a535b8U,     0x12724989U,     0x14e6d0e5U, \
    0xa3a5b782U,     0xcc2fbbd2U,     0xfa326109U,     0x5c0077f9U, \
    0x252a1f0eU,     0x14522796U,     0xa36c4f1bU,     0x98fc391fU, \
    0x45613050U,     0x5423f719U,     0xc04000dfU,     0xb7a86834U, \
    0x877d4159U,     0x82996233U,     0x67a8c9f8U,     0x059305ebU, \
    0x0706e837U,     0x5932c9e6U,     0x718e5862U,     0x549b64d5U, \
    0xec46ad65U,     0x6a7a614bU,     0x573d0bd4U,     0x7e823d10U, \
    0x5bdbf2ddU,     0xa333376bU,     0x1f024d5aU,     0xc4215e4cU, \
    0xedf3f75aU,     0x8eb3a4dbU,     0xcccc017dU,     0xdb0c1501U, \
    0x5692ebabU,     0xd4ec0df0U,     0x4c8b44cdU,     0xeb2b59c0U, \
    0xbc5fdb82U,     0x20f8a002U,     0x0c801d3dU,     0xaf09ec7eU, \
    0xb1b873f7U,     0x8f96f4bfU,     0x4ffbc5f2U,     0x5c455aabU, \
    0x8e1f5c5dU,     0xd1b2eddcU,     0xcac54c37U,     0x0d85f9a4U, \
    0xdd14d19fU,     0x20aea029U,     0xfdb8a9f6U,     0x6a3c595eU, \
    0x72ec69bcU,     0x5f5faa99U,     0x9b097ec4U,     0xfa6caae1U, \
    0x3e288f21U,     0x01615136U,     0xc7516377U,     0xe7656e3fU, \
    0x2f9fa7afU,     0x1b640d97U,     0x540385c7U,     0xeb2e97f0U, \
    0x447df052U,     0x1395ef87U,     0xbc41e8ccU,     0xaee16a93U, \
    0x48d51948U,     0x8dd5188aU,     0xf622c3abU,     0xbcc67cf7U, \
    0xd4d1d30eU,     0x6e818134U,     0x8b5aafbcU,     0x6d2be015U, \
    0x0a04b4c1U,     0xe7452148U,     0x40bbfde5U,     0x2b6a1f76U, \
    0x1cee2f63U,     0xf97e0434U,     0x7b7113c6U,     0xe40c2e39U, \
    0x8d9e3618U,     0x7cbd4f6eU,     0xe12ec52dU,     0x463a98e9U, \
    0x64d55496U,     0x479a5f1eU,     0x09266d1cU,     0x69032d3eU, \
    0xc6fde3e4U,     0xfcad9e61U,     0x7028d7f6U,     0x63f14ea9U, \
    0x640033dcU,     0x970777c4U,     0x534d6876U,     0x4702448fU, \
    0x42971d8cU,     0x2c42ab5bU,     0x6a4681fdU,     0x4c1b02f3U, \
    0xa13543d2U,     0x189142d4U,     0x879e9120U,     0x2ed818abU, \
    0x518a96c7U,     0x3f13a7bfU,     0xd3e7dea3U,     0x123d38e9U, \
    0x2c7780dbU,     0xda54674bU,     0x5a9013c9U,     0x140f2a86U, \
    0xc1370b5dU,     0x3589b523U,     0xeda9474eU,     0x485e936dU, \
    0x1ae9f1e0U,     0x82d05957U,     0x999be627U,     0xd8ce0eebU, \
    0xb7e26fe5U,     0x62950bccU,     0x64d6cfacU,     0x3b33dc28U, \
    0x66d13ecdU,     0x13f9dae8U,     0x4d743df6U,     0x9c922cd1U, \
    0x3770b1b5U,     0x4acffa73U,     0x9d497e7eU,     0xb7645c75U, \
    0x1286772dU,     0x05e3653aU,     0x6a3b1092U,     0xff0b9bcbU, \
    0xc8ac9bbbU,     0xaa840e72U,     0x596cef38U,     0x6f8ebc39U, \
    0x8f0f70f8U,     0xebeefdb5U,     0xac045575U,     0x5d828506U, \
    0xc6c40811U,     0x0b8ee3c5U,     0x8e75716bU,     0xfa1202a2U, \
    0x0032fd79U,     0x28c37bd9U,     0x9d7d593fU,     0xb0c657dfU, \
    0x359acda1U,     0x4260b64dU,     0x9536dd6fU,     0xcee90c3fU, \
    0xd2b23885U,     0x3e42d8e5U,     0x9613d2d6U,     0x886d48b1U, \
    0x505e105fU,     0xb20192e6U,     0x8f299ba9U,     0x45888400U, \
    0x0cde196cU,     0xda16e327U,     0xb12e70bbU,     0xfa823e1fU, \
    0x6fe87ccdU,     0x7f749c50U,     0xe4cc081fU,     0x3cb0d3fcU, \
    0x05bde8f4U,     0x38905a86U,     0xe4318a84U,     0xfdcba2f5U, \
    0x53679803U,     0xc40c31fbU,     0xbd69b3b2U,     0x8f7c18baU, \
    0xbca30712U,     0x5a07a932U,     0xacf138e3U,     0xbbaf843cU, \
    0x5aba286aU,     0x52f7572eU,     0x98ae3edeU,     0xf04d7e34U, \
    0x2da77306U,     0xb8c72c74U,     0x39291ff5U,     0x6582f450U, \
    0x537e1305U,     0x327c6fb9U,     0x145b6466U,     0x24f2774aU, \
    0x4ba1d0aeU,     0x2bb638bfU,     0x78469ff4U,     0x8efa5adeU, \
    0x3cd20d3dU,     0x5f72a506U,     0x15075c2fU,     0x178ea630U, \
    0xfd67ee68U,     0x92741fd3U,     0x5d62907cU,     0x1f74ba91U, \
    0xc43b09d5U,     0x4ae3ad84U,     0x05fdcfb4U,     0x3b4c000cU, \
    0x5b58c360U,     0xbe09b217U,     0xf8ef95f1U,     0xb3686bf1U, \
    0x39abb8d1U,     0x74513de8U,     0x37bd4ffcU,     0x0c32aeb2U, \
    0x812ecc6fU,     0x085991e8U,     0x4f9df834U,     0xf8afd4a7U, \
    0x82fdc1aeU,     0xbe635210U,     0xa201b6a2U,     0xa075e42eU, \
    0x8b21a007U,     0x1e566302U,     0xdc613111U,     0xdfcadcd8U, \
    0xb3406dd8U,     0x46e8507dU,     0xa402da28U,     0x12c22e81U, \
    0xb5ccb613U,     0xef36d20fU,     0xb81f4b80U,     0xded05255U, \
    0xdd3bbe09U,     0xc6a4ae8bU,     0x024092ccU,     0x5ae66221U, \
    0xcdf71e76U,     0x3d36afb7U,     0xabe6ff31U,     0x64f7e33dU, \
    0x034f4e8eU,     0xef70ca5eU,     0x44caf6e4U,     0x5b9c15ddU, \
    0x3f99a1faU,     0x6cd67c5cU,     0xd222c3cdU,     0x53db6db2U, \
    0x9db346d0U,     0xc6425dc3U,     0x8c69bc3cU,     0x4b618bccU, \
    0x87cacb21U,     0x0a161f2cU,     0x16c116deU,     0xff4cfc43U, \
    0xbaf5166aU,     0x835ce5d5U,     0xd1ce32efU,     0xe14b0282U, \
    0x5fb34a84U,     0xe55a91c2U,     0x4f0b8c9aU,     0x97aefab9U, \
    0xe893a0bfU,     0x215db0ccU,     0x5e87115bU,     0x6cea6f27U, \
    0xf87bbdffU,     0x4bff9189U,     0xfa3abaa0U,     0xf9793586U, \
    0xbec18792U,     0xdff53212U,     0xa7ecf2a5U,     0xc277e1d4U, \
    0x5aea7753U,     0xbba1b890U,     0x6c3a9a1bU,     0xc55657bbU, \
    0x65393c5dU,     0x2d9cb158U,     0xe6c28caaU,     0xfa69ab35U, \
    0xd7822598U,     0x3ac7d8e6U,     0xdc8440b7U,     0x2f69c421U, \
    0x47a568ecU,     0x05e77495U,     0x710be8a4U,     0x51c53e77U, \
    0x64267d45U,     0x38198f24U,     0x2c5cb4e7U,     0x8f08d6e1U, \
    0x16349250U,     0xc0c75a39U,     0x33363c9eU,     0x0edcca86U, \
    0x9a944f09U,     0x6c19beb8U,     0x5d1ef4daU,     0x8359389cU, \
    0xe565e6b9U,     0x91e97946U,     0x1691cb7cU,     0x00dfcd8eU, \
    0xd0d9937bU,     0xb7971300U,     0x45464e43U,     0xd11906b0U, \
    0x4ace61e1U,     0x890e865cU,     0x26636b45U,     0xd8560e0dU, \
    0x610b1578U,     0xc61e1591U,     0x83bddf75U,     0x0a4d21eeU, \
    0x87ab32d9U,     0x4b6cd664U,     0x1d8191f2U,     0x668b739eU, \
    0x1603904aU,     0x827ffb57U,     0xaa2822fcU,     0x9ebbe76dU, \
    0x38022030U,     0x4aa6681dU,     0x491c4e51U,     0xe5cb3d06U, \
    0xe88c02daU,     0xfbf67135U,     0x6457697cU,     0xa0ea1b67U, \
    0x9ccf9a73U,     0x0eed1394U,     0x11301f02U,     0x526a7ec2U, \
    0xf6f23d46U,     0xaa25cadcU,     0xb86049b1U,     0xb80c87eaU, \
    0xe44b291dU,     0x0996126fU,     0x650bad90U,     0x26dd8e74U, \
    0x847a3946U,     0x2405d07aU,     0x1b5e0c1bU,     0xa2d687abU, \
    0x0097bd3cU,     0xe91ebf66U,     0x3d173e72U,     0x0fd2db1aU, \
    0x93030744U,     0x62e4264dU,     0xa28455f7U,     0x0f07bebeU, \
    0xdef7ff18U,     0xe062c11cU,     0x4a6158ecU,     0xe8b58846U, \
    0x04abd0c2U,     0x8e748a6aU,     0xd0ded970U,     0xc6db10b0U, \
    0x871f5dccU,     0x501dbbf0U,     0x39a18069U,     0x10b15d58U, \
    0x18ba3ce4U,     0xf15c7769U,     0x7e9df14eU,     0x9d835e20U, \
    0x6a298926U,     0xa3cf9524U,     0x45ffa52aU,     0x682e4b4fU, \
    0xc8062260U,     0x54fba082U,     0x45271e53U,     0xfaaf105cU, \
    0x3a1dea94U,     0x5ed24a2aU,     0x59d231ebU,     0xefb46c59U, \
    0x7ed8f6eeU,     0xd31247dbU,     0x317f32f0U,     0x61894177U, \
    0xa4aab76cU,     0xc0d4126dU,     0x3783727aU,     0xfdb5150fU, \
    0x12ef7be3U,     0x39f95dc9U,     0x9232c59aU,     0x25932967U, \
    0xc863c280U,     0x46342f42U,     0xdd403650U,     0xeb6cca3aU, \
    0x0a829122U,     0x63038eabU,     0xe870dfe4U,     0xa2169149U, \
    0xd128f396U,     0x28977a15U,     0x5d76d9eaU,     0x168a9b89U, \
    0xef3ee4d6U,     0x5e7b61f4U,     0xfb4c02bcU,     0x7f4e40fcU, \
    0x26caf14fU,     0x80a8e6cbU,     0xfa894981U,     0x9ad3d582U, \
    0x88d12a5cU,     0x9cbfa6a2U,     0x67b69d16U,     0x02dbdb88U, \
    0xe5465812U,     0xf474d3c9U,     0x6ec6aed1U,     0xd88bb13fU, \
    0x56139ec7U,     0xe7c344e0U,     0xdfad0175U,     0x70537b4aU, \
    0xae903b5eU,     0x2834d74fU,     0xca94327fU,     0x17952a30U, \
    0x41a9443aU,     0xaa83b236U,     0xc5783198U,     0x46b8c147U, \
    0xf531fc01U,     0x786c7166U,     0xa3572700U,     0x9935883fU, \
    0x42ca89efU,     0x377e2d53U,     0x701325d9U,     0x04780c24U, \
    0x04aa5ed2U,     0xc84cb521U,     0x0aaa1e3dU,     0x6d2cd1f2U, \
    0x46253cfdU,     0x12685965U,     0x02385d41U,     0xac80d0b4U, \
    0x88f0d0f0U,     0x78ce737aU,     0x1d0fdbbbU,     0x4abf8be4U, \
    0x76125292U,     0x08c055afU,     0xcaa599acU,     0xfd774047U, \
    0xe8a60132U,     0x42d3b9c2U,     0x7ceb8d8fU,     0x36680d0bU, \
    0x1074da80U,     0x94a0ed05U,     0xdaa2b247U,     0xbc7d967fU, \
    0xc65ed751U,     0xe6f105fbU,     0x3720c526U,     0x1bbf666eU, \
    0xf300fa69U,     0xf79d63d3U,     0x9cd584a7U,     0x98ecba00U, \
    0xe29ab5fbU,     0x774540c2U,     0xfe4adff7U,     0x939d1326U, \
    0x4d1b47bbU,     0x6c417011U,     0xd9eceee6U,     0x699b995eU, \
    0x8f4b9c34U,     0xe0d868f8U,     0xa5ac2be6U,     0x85568ecbU, \
    0xb05f314aU,     0x8e49a01cU,     0xc819e7a5U,     0x10d32a6eU, \
    0xdb72ae9bU,     0x45b2fc69U,     0x30d13fa3U,     0x97d517d8U, \
    0x68a88154U,     0x6226f3c3U,     0x072956e9U,     0xcb589d62U, \
    0x2d27bbc2U,     0x56544725U,     0x2cc42eb5U,     0xf51f500fU, \
    0x0da0d72cU,     0xe05d6243U,     0xe7f78482U,     0x0b74dbaaU, \
    0x2ac412c6U,     0x9847a44aU,     0x381e11a7U,     0xf9ca808fU, \
    0xd11b3977U,     0x95954dd3U,     0x2eb660d6U,     0x511c8371U, \
    0x960fad9cU,     0xace71f9dU,     0xc3aa5083U,     0xb7f17f11U, \
    0x72bbd8bdU,     0x85ecb3c2U,     0x5be122c1U,     0x47407956U, \
    0x85a259e8U,     0x5b06eb49U,     0x000000a5U\
} /* 265561 bytes */
